#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 19339
#define LARGE_STATE_COUNT 5257
#define SYMBOL_COUNT 568
#define ALIAS_COUNT 61
#define TOKEN_COUNT 251
#define EXTERNAL_TOKEN_COUNT 3
#define FIELD_COUNT 50
#define MAX_ALIAS_SEQUENCE_LENGTH 14
#define PRODUCTION_ID_COUNT 290

enum ts_symbol_identifiers {
  sym__unquoted_identifier = 1,
  aux_sym_keyword_if_not_exists_token1 = 2,
  aux_sym_keyword_if_not_exists_token2 = 3,
  aux_sym_keyword_if_not_exists_token3 = 4,
  aux_sym_keyword_temporary_token1 = 5,
  aux_sym_keyword_temporary_token2 = 6,
  aux_sym_keyword_replace_token1 = 7,
  aux_sym_keyword_replace_token2 = 8,
  aux_sym__keyword_alter_token1 = 9,
  aux_sym__keyword_from_token1 = 10,
  aux_sym__keyword_distinct_token1 = 11,
  aux_sym__keyword_format_token1 = 12,
  aux_sym__keyword_delete_token1 = 13,
  aux_sym__keyword_tablesuffix_token1 = 14,
  aux_sym__keyword_begin_token1 = 15,
  aux_sym__keyword_end_token1 = 16,
  aux_sym__keyword_struct_token1 = 17,
  aux_sym__keyword_range_token1 = 18,
  aux_sym__keyword_array_token1 = 19,
  aux_sym__keyword_returns_token1 = 20,
  aux_sym__keyword_between_token1 = 21,
  aux_sym__keyword_case_token1 = 22,
  aux_sym__keyword_when_token1 = 23,
  aux_sym__keyword_then_token1 = 24,
  aux_sym__keyword_else_token1 = 25,
  aux_sym__keyword_is_token1 = 26,
  aux_sym__keyword_in_token1 = 27,
  aux_sym__keyword_and_token1 = 28,
  aux_sym__keyword_like_token1 = 29,
  aux_sym__keyword_repeat_token1 = 30,
  aux_sym__keyword_as_token1 = 31,
  aux_sym__keyword_cast_token1 = 32,
  aux_sym__keyword_cast_token2 = 33,
  aux_sym__keyword_window_token1 = 34,
  aux_sym__keyword_partition_by_token1 = 35,
  aux_sym__keyword_partition_by_token2 = 36,
  aux_sym__keyword_date_token1 = 37,
  aux_sym__keyword_datetime_token1 = 38,
  aux_sym__keyword_time_token1 = 39,
  aux_sym__keyword_timestamp_token1 = 40,
  aux_sym__keyword_for_token1 = 41,
  aux_sym__keyword_partitiontime_token1 = 42,
  aux_sym__keyword_system_as_of_token1 = 43,
  aux_sym__keyword_system_as_of_token2 = 44,
  anon_sym_SEMI = 45,
  aux_sym_declare_statement_token1 = 46,
  anon_sym_COMMA = 47,
  aux_sym_default_clause_token1 = 48,
  aux_sym_set_statement_token1 = 49,
  aux_sym_set_statement_token2 = 50,
  anon_sym_LPAREN = 51,
  anon_sym_RPAREN = 52,
  aux_sym_execute_immadiate_statement_token1 = 53,
  aux_sym_execute_immadiate_statement_token2 = 54,
  aux_sym_into_clause_token1 = 55,
  aux_sym_using_clause_token1 = 56,
  aux_sym_return_satement_token1 = 57,
  aux_sym_call_statement_token1 = 58,
  aux_sym_begin_exception_end_statement_token1 = 59,
  aux_sym_begin_exception_end_statement_token2 = 60,
  aux_sym_if_statement_token1 = 61,
  aux_sym_loop_statement_token1 = 62,
  aux_sym_repeat_statement_token1 = 63,
  aux_sym_while_statement_token1 = 64,
  aux_sym_while_statement_token2 = 65,
  aux_sym_break_statement_token1 = 66,
  aux_sym_leave_statement_token1 = 67,
  aux_sym_continue_statement_token1 = 68,
  aux_sym_iterate_statement_token1 = 69,
  aux_sym_raise_statement_token1 = 70,
  aux_sym_raise_statement_token2 = 71,
  anon_sym_EQ = 72,
  aux_sym_assert_statement_token1 = 73,
  aux_sym_create_schema_statement_token1 = 74,
  aux_sym_create_schema_statement_token2 = 75,
  aux_sym_drop_schema_statement_token1 = 76,
  aux_sym_drop_schema_option_token1 = 77,
  aux_sym_drop_schema_option_token2 = 78,
  aux_sym_create_table_statement_token1 = 79,
  aux_sym_create_table_statement_token2 = 80,
  aux_sym_create_table_statement_token3 = 81,
  aux_sym_clone_clause_token1 = 82,
  aux_sym_default_collate_clause_token1 = 83,
  aux_sym_copy_clause_token1 = 84,
  aux_sym_create_snapshot_table_statement_token1 = 85,
  aux_sym_create_external_table_statement_token1 = 86,
  aux_sym_partition_columns_clause_token1 = 87,
  aux_sym_partition_columns_clause_token2 = 88,
  aux_sym_alter_table_rename_statement_token1 = 89,
  aux_sym_alter_table_rename_statement_token2 = 90,
  aux_sym_add_column_action_token1 = 91,
  aux_sym_add_column_action_token2 = 92,
  aux_sym_set_data_type_token1 = 93,
  aux_sym_set_data_type_token2 = 94,
  aux_sym_drop_notnull_token1 = 95,
  aux_sym_constraint_enfoce_option_token1 = 96,
  aux_sym_primary_key_token1 = 97,
  aux_sym_primary_key_token2 = 98,
  aux_sym_foreign_key_token1 = 99,
  aux_sym_foreign_key_references_token1 = 100,
  aux_sym_add_foreign_key_action_token1 = 101,
  aux_sym_drop_table_statement_token1 = 102,
  aux_sym_option_clause_token1 = 103,
  anon_sym_LT = 104,
  anon_sym_GT = 105,
  aux_sym_partition_expression_token1 = 106,
  aux_sym_partition_expression_token2 = 107,
  aux_sym_partition_expression_token3 = 108,
  aux_sym_partition_expression_token4 = 109,
  aux_sym_partition_expression_token5 = 110,
  aux_sym_partition_expression_token6 = 111,
  aux_sym_partition_expression_token7 = 112,
  aux_sym_partition_expression_token8 = 113,
  aux_sym_partition_expression_token9 = 114,
  aux_sym_partition_expression_token10 = 115,
  aux_sym_table_cluster_clause_token1 = 116,
  aux_sym_create_function_statement_token1 = 117,
  aux_sym_create_remote_function_statement_token1 = 118,
  aux_sym_create_remote_function_statement_token2 = 119,
  aux_sym__function_language_token1 = 120,
  aux_sym_create_procedure_statement_token1 = 121,
  aux_sym_procedure_argument_token1 = 122,
  aux_sym_procedure_argument_token2 = 123,
  aux_sym_create_model_statement_token1 = 124,
  aux_sym_transoform_clause_token1 = 125,
  aux_sym_set_operation_token1 = 126,
  aux_sym_set_operation_token2 = 127,
  aux_sym_set_operation_token3 = 128,
  aux_sym_set_operation_token4 = 129,
  aux_sym_select_token1 = 130,
  aux_sym_select_token2 = 131,
  aux_sym_having_clause_token1 = 132,
  aux_sym_qualify_clause_token1 = 133,
  aux_sym_limit_clause_token1 = 134,
  aux_sym_limit_clause_token2 = 135,
  aux_sym_group_by_clause_token1 = 136,
  aux_sym_grouping_sets_token1 = 137,
  aux_sym_grouping_sets_token2 = 138,
  aux_sym_rollup_token1 = 139,
  aux_sym_cube_token1 = 140,
  aux_sym_rows_range_token1 = 141,
  aux_sym_window_numeric_preceding_token1 = 142,
  aux_sym_window_numeric_following_token1 = 143,
  aux_sym_keyword_unbounded_preceding_token1 = 144,
  aux_sym_keyword_current_row_token1 = 145,
  aux_sym_keyword_current_row_token2 = 146,
  aux_sym_aggregation_threshold_clause_token1 = 147,
  anon_sym_OPTIONS = 148,
  aux_sym_differential_privacy_clause_token1 = 149,
  aux_sym__direction_keywords_token1 = 150,
  aux_sym__direction_keywords_token2 = 151,
  aux_sym__nulls_preference_token1 = 152,
  aux_sym__nulls_preference_token2 = 153,
  aux_sym__nulls_preference_token3 = 154,
  aux_sym_order_by_clause_token1 = 155,
  aux_sym_where_clause_token1 = 156,
  aux_sym_cte_clause_token1 = 157,
  aux_sym_pivot_operator_token1 = 158,
  aux_sym_unpivot_operator_token1 = 159,
  aux_sym_unpivot_operator_token2 = 160,
  aux_sym_unpivot_operator_token3 = 161,
  aux_sym_tablesample_operator_token1 = 162,
  aux_sym_tablesample_operator_token2 = 163,
  aux_sym_tablesample_operator_token3 = 164,
  aux_sym_join_type_token1 = 165,
  aux_sym_join_type_token2 = 166,
  aux_sym_join_type_token3 = 167,
  aux_sym_join_type_token4 = 168,
  aux_sym_join_type_token5 = 169,
  aux_sym__cross_join_operation_token1 = 170,
  aux_sym__cross_join_operation_token2 = 171,
  aux_sym_join_condition_token1 = 172,
  aux_sym_analytics_clause_token1 = 173,
  anon_sym_EQ_GT = 174,
  aux_sym_function_call_token1 = 175,
  aux_sym_function_call_token2 = 176,
  aux_sym_having_max_clause_token1 = 177,
  aux_sym_having_min_clause_token1 = 178,
  aux_sym_unnest_operator_token1 = 179,
  aux_sym_insert_statement_token1 = 180,
  aux_sym_values_clause_token1 = 181,
  aux_sym_truncate_statement_token1 = 182,
  aux_sym_update_statement_token1 = 183,
  aux_sym_merge_statement_token1 = 184,
  aux_sym_merge_matched_clause_token1 = 185,
  aux_sym_merge_not_matched_by_target_clause_token1 = 186,
  aux_sym_merge_not_matched_by_source_clause_token1 = 187,
  aux_sym_grant_statement_token1 = 188,
  aux_sym_grant_statement_token2 = 189,
  aux_sym_revoke_statement_token1 = 190,
  sym_privilege_role = 191,
  anon_sym_DQUOTE = 192,
  anon_sym_user = 193,
  anon_sym_group = 194,
  anon_sym_serviceAccount = 195,
  anon_sym_domain = 196,
  anon_sym_specialGroup = 197,
  anon_sym_COLON = 198,
  aux_sym_privilege_user_token1 = 199,
  aux_sym_export_data_statement_token1 = 200,
  anon_sym_AS = 201,
  aux_sym_load_data_statement_token1 = 202,
  aux_sym_load_data_statement_token2 = 203,
  aux_sym_from_files_clause_token1 = 204,
  aux_sym_TRUE_token1 = 205,
  aux_sym_FALSE_token1 = 206,
  sym__integer = 207,
  aux_sym__float_token1 = 208,
  aux_sym__float_token2 = 209,
  aux_sym__float_token3 = 210,
  aux_sym_numeric_token1 = 211,
  aux_sym_numeric_token2 = 212,
  aux_sym_numeric_token3 = 213,
  aux_sym_numeric_token4 = 214,
  anon_sym_SQUOTE = 215,
  aux_sym_interval_token1 = 216,
  anon_sym_LBRACK = 217,
  anon_sym_RBRACK = 218,
  aux_sym_range_content_token1 = 219,
  aux_sym_json_token1 = 220,
  sym_system_variable = 221,
  sym__named_query_parameter = 222,
  sym__positional_query_parameter = 223,
  sym__quoted_identifier = 224,
  anon_sym_DOT = 225,
  sym_comment = 226,
  anon_sym_DOT2 = 227,
  anon_sym_TILDE = 228,
  anon_sym_PLUS = 229,
  anon_sym_DASH = 230,
  anon_sym_STAR = 231,
  anon_sym_SLASH = 232,
  anon_sym_PIPE_PIPE = 233,
  anon_sym_LT_EQ = 234,
  anon_sym_LT_GT = 235,
  anon_sym_GT_EQ = 236,
  anon_sym_BANG_EQ = 237,
  anon_sym_LT_LT = 238,
  anon_sym_GT_GT = 239,
  anon_sym_AMP = 240,
  anon_sym_CARET = 241,
  anon_sym_PIPE = 242,
  anon_sym_operator_compare = 243,
  aux_sym_quantitve_like_operator_token1 = 244,
  aux_sym_quantitve_like_operator_token2 = 245,
  anon_sym_DOLLAR = 246,
  aux_sym_argument_reference_token1 = 247,
  sym__string_start = 248,
  sym__string_content = 249,
  sym__string_end = 250,
  sym_source_file = 251,
  sym_keyword_if_not_exists = 252,
  sym_keyword_if_exists = 253,
  sym_keyword_temporary = 254,
  sym_keyword_replace = 255,
  sym__keyword_alter = 256,
  sym__keyword_from = 257,
  sym__keyword_distinct = 258,
  sym__keyword_format = 259,
  sym__keyword_delete = 260,
  sym__keyword_end = 261,
  sym__keyword_struct = 262,
  sym__keyword_range = 263,
  sym__keyword_array = 264,
  sym__keyword_returns = 265,
  sym__keyword_between = 266,
  sym__keyword_case = 267,
  sym__keyword_when = 268,
  sym__keyword_then = 269,
  sym__keyword_else = 270,
  sym__keyword_is = 271,
  sym__keyword_in = 272,
  sym__keyword_not = 273,
  sym__keyword_and = 274,
  sym__keyword_or = 275,
  sym__keyword_like = 276,
  sym__keyword_repeat = 277,
  sym__keyword_as = 278,
  sym__keyword_cast = 279,
  sym__keyword_window = 280,
  sym__keyword_partition_by = 281,
  sym__keyword_date = 282,
  sym__keyword_datetime = 283,
  sym__keyword_time = 284,
  sym__keyword_timestamp = 285,
  sym__keyword_for = 286,
  sym__keyword_system_as_of = 287,
  sym__statement = 288,
  aux_sym__statement_list = 289,
  sym_declare_statement = 290,
  sym_default_clause = 291,
  sym_set_statement = 292,
  sym_execute_immadiate_statement = 293,
  sym_into_clause = 294,
  sym_using_clause = 295,
  sym_return_satement = 296,
  sym_call_statement = 297,
  sym_begin_end_statement = 298,
  sym_begin_exception_end_statement = 299,
  sym_if_statement = 300,
  sym_loop_statement = 301,
  sym_repeat_statement = 302,
  sym_while_statement = 303,
  sym_for_in_statement = 304,
  sym_break_statement = 305,
  sym_leave_statement = 306,
  sym_continue_statement = 307,
  sym_iterate_statement = 308,
  sym_raise_statement = 309,
  sym_assert_statement = 310,
  sym_create_schema_statement = 311,
  sym_alter_schema_statement = 312,
  sym_drop_schema_statement = 313,
  sym_drop_schema_option = 314,
  sym_create_table_statement = 315,
  sym_create_table_like_statement = 316,
  sym_like_clause = 317,
  sym_create_table_clone_statement = 318,
  sym_clone_clause = 319,
  sym_create_table_copy_statement = 320,
  sym_default_collate_clause = 321,
  sym_copy_clause = 322,
  sym_create_snapshot_table_statement = 323,
  sym_create_external_table_statement = 324,
  sym_partition_columns_clause = 325,
  sym_system_time_clause = 326,
  sym_alter_table_statement = 327,
  sym_alter_table_rename_statement = 328,
  sym_alter_table_column_statement = 329,
  sym_alter_column_actions_list = 330,
  sym_add_column_action = 331,
  sym_rename_column_action = 332,
  sym_drop_column_action = 333,
  sym_alter_column_action = 334,
  sym_set_option = 335,
  sym_set_data_type = 336,
  sym_set_default = 337,
  sym_drop_notnull = 338,
  sym_drop_default = 339,
  sym_column_list = 340,
  sym_constraint_enfoce_option = 341,
  sym_primary_key = 342,
  sym_add_primary_key_action = 343,
  sym_drop_primary_key_action = 344,
  sym_foreign_key = 345,
  sym_foreign_key_references = 346,
  sym_add_foreign_key_action = 347,
  sym_drop_constraint_action = 348,
  sym_drop_table_statement = 349,
  sym_create_table_parameters = 350,
  sym_option_clause = 351,
  sym_option_item = 352,
  sym_column_definition = 353,
  sym_constraint_definition = 354,
  sym_collate_clause = 355,
  sym_column_type = 356,
  sym__column_definition_type_array = 357,
  sym__column_definition_type_struct = 358,
  sym_partition_expression = 359,
  sym_table_partition_clause = 360,
  sym_table_cluster_clause = 361,
  sym_create_function_statement = 362,
  sym_create_remote_function_statement = 363,
  sym__function_body_sql = 364,
  sym__function_body_js = 365,
  sym_create_function_return_clause = 366,
  sym_drop_function_statement = 367,
  sym_create_table_function_statement = 368,
  sym_create_table_function_body = 369,
  sym_drop_table_function_statement = 370,
  sym_create_table_function_returns = 371,
  sym__function_language = 372,
  sym_create_function_parameter = 373,
  sym_create_function_parameters = 374,
  sym_create_procedure_statement = 375,
  sym_procedure_parameters = 376,
  sym_procedure_body = 377,
  sym_procedure_argument = 378,
  sym_drop_procedure_statement = 379,
  sym_create_model_statement = 380,
  sym_transoform_clause = 381,
  sym_drop_model_statement = 382,
  sym_query_statement = 383,
  sym_set_operation = 384,
  sym_query_expr = 385,
  sym_select = 386,
  sym_select_list = 387,
  sym_select_all = 388,
  sym_select_all_except = 389,
  sym_select_all_replace = 390,
  sym_select_replace_expression = 391,
  sym_having_clause = 392,
  sym_qualify_clause = 393,
  sym_limit_clause = 394,
  sym_group_by_clause = 395,
  sym__grouping_list = 396,
  sym_grouping_sets = 397,
  sym_grouping_item_sets = 398,
  sym_rollup = 399,
  sym_cube = 400,
  sym_grouping_empty = 401,
  sym_grouping_item = 402,
  sym_over_clause = 403,
  sym_window_specification = 404,
  sym_window_partition_clause = 405,
  sym_window_frame_clause = 406,
  sym_rows_range = 407,
  sym_window_frame_start = 408,
  sym_window_frame_between = 409,
  sym__window_frame_end_a = 410,
  sym__window_frame_end_b = 411,
  sym__window_frame_end_c = 412,
  sym_window_numeric_preceding = 413,
  sym_window_numeric_following = 414,
  sym_keyword_unbounded_preceding = 415,
  sym_keyword_unbounded_following = 416,
  sym_keyword_current_row = 417,
  sym_named_window_expression = 418,
  sym_aggregation_threshold_clause = 419,
  sym_differential_privacy_clause = 420,
  sym_window_clause = 421,
  sym_order_by_clause_body = 422,
  sym__direction_keywords = 423,
  sym__nulls_preference = 424,
  sym_order_by_clause = 425,
  sym_where_clause = 426,
  sym__aliasable_expression = 427,
  sym_as_alias = 428,
  sym_cte_clause = 429,
  sym_cte = 430,
  sym_from_clause = 431,
  sym_pivot_value = 432,
  sym_pivot_operator = 433,
  sym_unpivot_operator = 434,
  sym_single_column_unpivot = 435,
  sym_multi_column_unpivot = 436,
  sym_unpivot_column = 437,
  sym_tablesample_operator = 438,
  sym_from_item = 439,
  sym_join_operation = 440,
  sym_join_type = 441,
  sym__cross_join_operation = 442,
  sym__conditional_join_operator = 443,
  sym_join_condition = 444,
  sym_select_subexpression = 445,
  sym_analytics_clause = 446,
  sym_bigquery_resource = 447,
  sym_argument = 448,
  sym_function_call = 449,
  sym_having_max_clause = 450,
  sym_having_min_clause = 451,
  sym_unnest_operator = 452,
  sym_unnest_clause = 453,
  sym_unnest_withoffset = 454,
  sym_insert_statement = 455,
  sym_insert_columns = 456,
  sym_values_clause = 457,
  sym_value_element = 458,
  sym_delete_statement = 459,
  sym_truncate_statement = 460,
  sym_update_statement = 461,
  sym_set_clause = 462,
  sym_update_item = 463,
  sym__assigment_expression = 464,
  sym_merge_statement = 465,
  sym_merge_matched_clause = 466,
  sym_merge_not_matched_by_target_clause = 467,
  sym_merge_not_matched_by_source_clause = 468,
  sym_merge_update_clause = 469,
  sym_merge_delete_clause = 470,
  sym_merge_insert_clause = 471,
  sym_grant_statement = 472,
  sym_revoke_statement = 473,
  sym_privilege_user = 474,
  sym_object_type = 475,
  sym_export_data_statement = 476,
  sym_load_data_statement = 477,
  sym_with_connection_clause = 478,
  sym_from_files_clause = 479,
  sym__literal = 480,
  sym_NULL = 481,
  sym_TRUE = 482,
  sym_FALSE = 483,
  sym__float = 484,
  sym__float_or_integer = 485,
  sym_numeric = 486,
  sym__number = 487,
  sym_interval = 488,
  sym_range_boundary_start = 489,
  sym_range_boundary_end = 490,
  sym_range_content = 491,
  sym_range_start = 492,
  sym_range_end = 493,
  sym__range_string = 494,
  sym_range = 495,
  sym_time = 496,
  sym_number = 497,
  sym_json = 498,
  sym_query_parameter = 499,
  sym_type = 500,
  sym__bqtype = 501,
  sym__type_chrono = 502,
  sym__type_struct = 503,
  sym__type_array = 504,
  sym_array = 505,
  sym_struct = 506,
  sym__identifier = 507,
  sym__dotted_identifier = 508,
  sym_identifier = 509,
  sym__base_type = 510,
  sym_string = 511,
  sym__expression = 512,
  sym__parenthesized_expression = 513,
  sym_element_access = 514,
  sym_field_access = 515,
  sym_unary_expression = 516,
  sym_binary_expression = 517,
  sym_like_operator = 518,
  sym_quantitve_like_operator = 519,
  sym_quantitve_like_patterns = 520,
  sym_between_operator = 521,
  sym_casewhen_expression = 522,
  sym_casewhen_clause = 523,
  sym_caseelse_clause = 524,
  sym_cast_expression = 525,
  sym_cast_format_clause = 526,
  sym_asterisk_expression = 527,
  sym_argument_reference = 528,
  aux_sym_source_file_repeat1 = 529,
  aux_sym_declare_statement_repeat1 = 530,
  aux_sym_set_statement_repeat1 = 531,
  aux_sym_using_clause_repeat1 = 532,
  aux_sym_call_statement_repeat1 = 533,
  aux_sym_if_statement_repeat1 = 534,
  aux_sym_alter_column_actions_list_repeat1 = 535,
  aux_sym_create_table_parameters_repeat1 = 536,
  aux_sym_option_clause_repeat1 = 537,
  aux_sym_column_type_repeat1 = 538,
  aux_sym__column_definition_type_struct_repeat1 = 539,
  aux_sym_create_function_parameters_repeat1 = 540,
  aux_sym_procedure_parameters_repeat1 = 541,
  aux_sym_select_list_repeat1 = 542,
  aux_sym_select_all_except_repeat1 = 543,
  aux_sym_select_all_replace_repeat1 = 544,
  aux_sym_group_by_clause_repeat1 = 545,
  aux_sym__grouping_list_repeat1 = 546,
  aux_sym_grouping_sets_repeat1 = 547,
  aux_sym_window_partition_clause_repeat1 = 548,
  aux_sym_order_by_clause_body_repeat1 = 549,
  aux_sym_cte_clause_repeat1 = 550,
  aux_sym_pivot_operator_repeat1 = 551,
  aux_sym_pivot_operator_repeat2 = 552,
  aux_sym_single_column_unpivot_repeat1 = 553,
  aux_sym_multi_column_unpivot_repeat1 = 554,
  aux_sym_join_condition_repeat1 = 555,
  aux_sym_function_call_repeat1 = 556,
  aux_sym_values_clause_repeat1 = 557,
  aux_sym_set_clause_repeat1 = 558,
  aux_sym_merge_statement_repeat1 = 559,
  aux_sym_grant_statement_repeat1 = 560,
  aux_sym_grant_statement_repeat2 = 561,
  aux_sym__type_struct_repeat1 = 562,
  aux_sym_struct_repeat1 = 563,
  aux_sym_identifier_repeat1 = 564,
  aux_sym_string_repeat1 = 565,
  aux_sym_quantitve_like_patterns_repeat1 = 566,
  aux_sym_casewhen_expression_repeat1 = 567,
  anon_alias_sym_ADD_COLUMN = 568,
  anon_alias_sym_ALTER = 569,
  anon_alias_sym_ALTER_SCHEMA = 570,
  anon_alias_sym_COLLATE = 571,
  anon_alias_sym_DISTINCT = 572,
  anon_alias_sym_DROP_COLUMN = 573,
  anon_alias_sym_DROP_CONSTRAINT = 574,
  anon_alias_sym_DROP_DEFAULT = 575,
  anon_alias_sym_DROP_NOT_NULL = 576,
  anon_alias_sym_DROP_PRIMARY_KEY = 577,
  anon_alias_sym_DROP_SCHEMA = 578,
  anon_alias_sym_END = 579,
  anon_alias_sym_END_LOOP = 580,
  anon_alias_sym_END_REPEAT = 581,
  anon_alias_sym_END_WHILE = 582,
  anon_alias_sym_EXCEPT_DISTINCT = 583,
  anon_alias_sym_EXISTS = 584,
  anon_alias_sym_FOR = 585,
  anon_alias_sym_IF_EXISTS = 586,
  anon_alias_sym_NOT = 587,
  anon_alias_sym_NOT_ENFORCED = 588,
  anon_alias_sym_NULL = 589,
  anon_alias_sym_OFFSET = 590,
  anon_alias_sym_OR = 591,
  anon_alias_sym_PARTITION_BY = 592,
  anon_alias_sym_RENAME_COLUMN = 593,
  anon_alias_sym_SCHEMA = 594,
  anon_alias_sym_SET_DEFAULT = 595,
  anon_alias_sym_TABLE_FUNCTION = 596,
  anon_alias_sym_UNBOUNDED = 597,
  anon_alias_sym_UNBOUNDED_FOLLOWING = 598,
  anon_alias_sym_UNION_DISTINCT = 599,
  anon_alias_sym_UPDATE_SET = 600,
  anon_alias_sym_WHEN = 601,
  anon_alias_sym_WHEN_NOT_MATCHED = 602,
  anon_alias_sym_WITH = 603,
  anon_alias_sym_WITH_CONNECTION = 604,
  alias_sym_between_from = 605,
  alias_sym_connection_path = 606,
  alias_sym_create_table_function_parameters = 607,
  alias_sym_datetime_part = 608,
  alias_sym_distinct = 609,
  alias_sym_else_statement = 610,
  alias_sym_elseif_statement = 611,
  alias_sym_having_expression = 612,
  alias_sym_input_column = 613,
  alias_sym_language = 614,
  alias_sym_like_pattern = 615,
  alias_sym_load_data_table_parameters = 616,
  alias_sym_merge_condition = 617,
  alias_sym_name_column = 618,
  alias_sym_partition_columns = 619,
  alias_sym_pivot_column = 620,
  alias_sym_range_type = 621,
  alias_sym_search_condition = 622,
  alias_sym_select_expression = 623,
  alias_sym_type_identifier = 624,
  alias_sym_unpivot_value = 625,
  alias_sym_until_clause = 626,
  alias_sym_using_expression = 627,
  alias_sym_variable_type = 628,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym__unquoted_identifier] = "_unquoted_identifier",
  [aux_sym_keyword_if_not_exists_token1] = "IF",
  [aux_sym_keyword_if_not_exists_token2] = "NOT_NULL",
  [aux_sym_keyword_if_not_exists_token3] = "IF_NOT_EXISTS",
  [aux_sym_keyword_temporary_token1] = "TEMP",
  [aux_sym_keyword_temporary_token2] = "TEMPORARY",
  [aux_sym_keyword_replace_token1] = "OR_REPLACE",
  [aux_sym_keyword_replace_token2] = "REPLACE",
  [aux_sym__keyword_alter_token1] = "ALTER_COLUMN",
  [aux_sym__keyword_from_token1] = "FROM",
  [aux_sym__keyword_distinct_token1] = "DISTINCT_FROM",
  [aux_sym__keyword_format_token1] = "FORMAT",
  [aux_sym__keyword_delete_token1] = "DELETE",
  [aux_sym__keyword_tablesuffix_token1] = "_TABLE_SUFFIX",
  [aux_sym__keyword_begin_token1] = "BEGIN",
  [aux_sym__keyword_end_token1] = "END_IF",
  [aux_sym__keyword_struct_token1] = "STRUCT",
  [aux_sym__keyword_range_token1] = "RANGE",
  [aux_sym__keyword_array_token1] = "ARRAY",
  [aux_sym__keyword_returns_token1] = "RETURNS",
  [aux_sym__keyword_between_token1] = "BETWEEN",
  [aux_sym__keyword_case_token1] = "CASE",
  [aux_sym__keyword_when_token1] = "WHEN_MATCHED",
  [aux_sym__keyword_then_token1] = "THEN",
  [aux_sym__keyword_else_token1] = "ELSE",
  [aux_sym__keyword_is_token1] = "IS",
  [aux_sym__keyword_in_token1] = "IN",
  [aux_sym__keyword_and_token1] = "AND",
  [aux_sym__keyword_like_token1] = "LIKE",
  [aux_sym__keyword_repeat_token1] = "REPEAT",
  [aux_sym__keyword_as_token1] = "AS",
  [aux_sym__keyword_cast_token1] = "CAST",
  [aux_sym__keyword_cast_token2] = "SAFE_CAST",
  [aux_sym__keyword_window_token1] = "WINDOW",
  [aux_sym__keyword_partition_by_token1] = "PARTITION_COLUMNS",
  [aux_sym__keyword_partition_by_token2] = "GROUP_BY",
  [aux_sym__keyword_date_token1] = "DATE",
  [aux_sym__keyword_datetime_token1] = "DATETIME",
  [aux_sym__keyword_time_token1] = "TIME",
  [aux_sym__keyword_timestamp_token1] = "TIMESTAMP",
  [aux_sym__keyword_for_token1] = "END_FOR",
  [aux_sym__keyword_partitiontime_token1] = "_PARTITIONTIME",
  [aux_sym__keyword_system_as_of_token1] = "FOR_SYSTEM_TIME_AS_OF",
  [aux_sym__keyword_system_as_of_token2] = "FOR_SYSTEM_TIME_AS_OF",
  [anon_sym_SEMI] = ";",
  [aux_sym_declare_statement_token1] = "DECLARE",
  [anon_sym_COMMA] = ",",
  [aux_sym_default_clause_token1] = "DEFAULT",
  [aux_sym_set_statement_token1] = "SET",
  [aux_sym_set_statement_token2] = "=",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [aux_sym_execute_immadiate_statement_token1] = "EXECUTE_IMMEDIATE",
  [aux_sym_execute_immadiate_statement_token2] = "EXECUTE_IMMEDIATE",
  [aux_sym_into_clause_token1] = "INTO",
  [aux_sym_using_clause_token1] = "USING",
  [aux_sym_return_satement_token1] = "RETURN",
  [aux_sym_call_statement_token1] = "CALL",
  [aux_sym_begin_exception_end_statement_token1] = "EXCEPTION_WHEN_ERROR_THEN",
  [aux_sym_begin_exception_end_statement_token2] = "EXCEPTION_WHEN_ERROR_THEN",
  [aux_sym_if_statement_token1] = "ELSEIF",
  [aux_sym_loop_statement_token1] = "LOOP",
  [aux_sym_repeat_statement_token1] = "UNTIL",
  [aux_sym_while_statement_token1] = "WHILE",
  [aux_sym_while_statement_token2] = "DO",
  [aux_sym_break_statement_token1] = "BREAK",
  [aux_sym_leave_statement_token1] = "LEAVE",
  [aux_sym_continue_statement_token1] = "CONTINUE",
  [aux_sym_iterate_statement_token1] = "ITERATE",
  [aux_sym_raise_statement_token1] = "RAISE",
  [aux_sym_raise_statement_token2] = "USING_MESSAGE",
  [anon_sym_EQ] = "=",
  [aux_sym_assert_statement_token1] = "ASSERT",
  [aux_sym_create_schema_statement_token1] = "CREATE",
  [aux_sym_create_schema_statement_token2] = "CREATE_SCHEMA",
  [aux_sym_drop_schema_statement_token1] = "DROP",
  [aux_sym_drop_schema_option_token1] = "CASCADE",
  [aux_sym_drop_schema_option_token2] = "RESTRICT",
  [aux_sym_create_table_statement_token1] = "TABLE",
  [aux_sym_create_table_statement_token2] = "VIEW",
  [aux_sym_create_table_statement_token3] = "MATERIALIZED_VIEW",
  [aux_sym_clone_clause_token1] = "CLONE",
  [aux_sym_default_collate_clause_token1] = "DEFAULT_COLLATE",
  [aux_sym_copy_clause_token1] = "COPY",
  [aux_sym_create_snapshot_table_statement_token1] = "SNAPSHOT_TABLE",
  [aux_sym_create_external_table_statement_token1] = "EXTERNAL_TABLE",
  [aux_sym_partition_columns_clause_token1] = "REMOTE_WITH_CONNECTION",
  [aux_sym_partition_columns_clause_token2] = "PARTITION_COLUMNS",
  [aux_sym_alter_table_rename_statement_token1] = "RENAME_TO",
  [aux_sym_alter_table_rename_statement_token2] = "TO",
  [aux_sym_add_column_action_token1] = "ADD",
  [aux_sym_add_column_action_token2] = "ALTER_COLUMN",
  [aux_sym_set_data_type_token1] = "LOAD_DATA",
  [aux_sym_set_data_type_token2] = "SET_DATA_TYPE",
  [aux_sym_drop_notnull_token1] = "NOT_NULL",
  [aux_sym_constraint_enfoce_option_token1] = "ENFORCED",
  [aux_sym_primary_key_token1] = "PRIMARY_KEY",
  [aux_sym_primary_key_token2] = "PRIMARY_KEY",
  [aux_sym_foreign_key_token1] = "FOREIGN_KEY",
  [aux_sym_foreign_key_references_token1] = "REFERENCES",
  [aux_sym_add_foreign_key_action_token1] = "CONSTRAINT",
  [aux_sym_drop_table_statement_token1] = "SNAPSHOST_TABLE",
  [aux_sym_option_clause_token1] = "OPTIONS",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [aux_sym_partition_expression_token1] = "_PARTITIONDATE",
  [aux_sym_partition_expression_token2] = "DATETIME_TRUNC",
  [aux_sym_partition_expression_token3] = "TIMESTAMP_TRUNC",
  [aux_sym_partition_expression_token4] = "DATE_TRUNC",
  [aux_sym_partition_expression_token5] = "DAY",
  [aux_sym_partition_expression_token6] = "HOUR",
  [aux_sym_partition_expression_token7] = "MONTH",
  [aux_sym_partition_expression_token8] = "YEAR",
  [aux_sym_partition_expression_token9] = "RANGE_BUCKET",
  [aux_sym_partition_expression_token10] = "GENERATE_ARRAY",
  [aux_sym_table_cluster_clause_token1] = "CLUSTER_BY",
  [aux_sym_create_function_statement_token1] = "FUNCTION",
  [aux_sym_create_remote_function_statement_token1] = "REMOTE_WITH_CONNECTION",
  [aux_sym_create_remote_function_statement_token2] = "REMOTE_WITH_CONNECTION",
  [aux_sym__function_language_token1] = "LANGUAGE",
  [aux_sym_create_procedure_statement_token1] = "PROCEDURE",
  [aux_sym_procedure_argument_token1] = "OUT",
  [aux_sym_procedure_argument_token2] = "INOUT",
  [aux_sym_create_model_statement_token1] = "MODEL",
  [aux_sym_transoform_clause_token1] = "TRANSFORM",
  [aux_sym_set_operation_token1] = "UNION_ALL",
  [aux_sym_set_operation_token2] = "ALL",
  [aux_sym_set_operation_token3] = "INTERSECT_DISTINCT",
  [aux_sym_set_operation_token4] = "EXCEPT",
  [aux_sym_select_token1] = "SELECT",
  [aux_sym_select_token2] = "VALUE",
  [aux_sym_having_clause_token1] = "HAVING",
  [aux_sym_qualify_clause_token1] = "QUALIFY",
  [aux_sym_limit_clause_token1] = "LIMIT",
  [aux_sym_limit_clause_token2] = "WITH_OFFSET",
  [aux_sym_group_by_clause_token1] = "GROUP_BY",
  [aux_sym_grouping_sets_token1] = "GROUPING_SETS",
  [aux_sym_grouping_sets_token2] = "GROUPING_SETS",
  [aux_sym_rollup_token1] = "ROLLUP",
  [aux_sym_cube_token1] = "CUBE",
  [aux_sym_rows_range_token1] = "ROWS",
  [aux_sym_window_numeric_preceding_token1] = "PRECEDING",
  [aux_sym_window_numeric_following_token1] = "FOLLOWING",
  [aux_sym_keyword_unbounded_preceding_token1] = "UNBOUNDED_PRECEDING",
  [aux_sym_keyword_current_row_token1] = "CURRENT_ROW",
  [aux_sym_keyword_current_row_token2] = "ROW",
  [aux_sym_aggregation_threshold_clause_token1] = "WITH_AGGREGATION_THRESHOLD",
  [anon_sym_OPTIONS] = "OPTIONS",
  [aux_sym_differential_privacy_clause_token1] = "WITH_DIFFERENTIAL_PRIVACY",
  [aux_sym__direction_keywords_token1] = "ASC",
  [aux_sym__direction_keywords_token2] = "DESC",
  [aux_sym__nulls_preference_token1] = "NULLS",
  [aux_sym__nulls_preference_token2] = "NULLS_FIRST",
  [aux_sym__nulls_preference_token3] = "NULLS_LAST",
  [aux_sym_order_by_clause_token1] = "ORDER_BY",
  [aux_sym_where_clause_token1] = "WHERE",
  [aux_sym_cte_clause_token1] = "with_recursive_keyword",
  [aux_sym_pivot_operator_token1] = "PIVOT",
  [aux_sym_unpivot_operator_token1] = "UNPIVOT",
  [aux_sym_unpivot_operator_token2] = "INCLUDE_NULLS",
  [aux_sym_unpivot_operator_token3] = "EXCLUDE_NULLS",
  [aux_sym_tablesample_operator_token1] = "TABLESAMPLE_SYSTEM",
  [aux_sym_tablesample_operator_token2] = "TABLESAMPLE_SYSTEM",
  [aux_sym_tablesample_operator_token3] = "PERCENT",
  [aux_sym_join_type_token1] = "INNER",
  [aux_sym_join_type_token2] = "LEFT",
  [aux_sym_join_type_token3] = "RIGHT",
  [aux_sym_join_type_token4] = "FULL",
  [aux_sym_join_type_token5] = "OUTER",
  [aux_sym__cross_join_operation_token1] = "CROSS_JOIN",
  [aux_sym__cross_join_operation_token2] = "JOIN",
  [aux_sym_join_condition_token1] = "ON",
  [aux_sym_analytics_clause_token1] = "OVER",
  [anon_sym_EQ_GT] = "=>",
  [aux_sym_function_call_token1] = "IGNORE",
  [aux_sym_function_call_token2] = "identifier",
  [aux_sym_having_max_clause_token1] = "MAX",
  [aux_sym_having_min_clause_token1] = "MIN",
  [aux_sym_unnest_operator_token1] = "UNNEST",
  [aux_sym_insert_statement_token1] = "INSERT",
  [aux_sym_values_clause_token1] = "VALUES",
  [aux_sym_truncate_statement_token1] = "TRUNCATE_TABLE",
  [aux_sym_update_statement_token1] = "UPDATE",
  [aux_sym_merge_statement_token1] = "MERGE",
  [aux_sym_merge_matched_clause_token1] = "WHEN_MATCHED",
  [aux_sym_merge_not_matched_by_target_clause_token1] = "BY_TARGET",
  [aux_sym_merge_not_matched_by_source_clause_token1] = "WHEN_NOT_MATCHED_BY_SOURCE",
  [aux_sym_grant_statement_token1] = "GRANT",
  [aux_sym_grant_statement_token2] = "ALL_PRIVILEGES",
  [aux_sym_revoke_statement_token1] = "REVOKE",
  [sym_privilege_role] = "privilege_role",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_user] = "user_type",
  [anon_sym_group] = "user_type",
  [anon_sym_serviceAccount] = "user_type",
  [anon_sym_domain] = "user_type",
  [anon_sym_specialGroup] = "user_type",
  [anon_sym_COLON] = ":",
  [aux_sym_privilege_user_token1] = "user_id",
  [aux_sym_export_data_statement_token1] = "EXPORT_DATA",
  [anon_sym_AS] = "AS",
  [aux_sym_load_data_statement_token1] = "LOAD_DATA",
  [aux_sym_load_data_statement_token2] = "OVERWRITE",
  [aux_sym_from_files_clause_token1] = "FILES",
  [aux_sym_TRUE_token1] = "TRUE",
  [aux_sym_FALSE_token1] = "FALSE",
  [sym__integer] = "_integer",
  [aux_sym__float_token1] = "_float_token1",
  [aux_sym__float_token2] = "_float_token2",
  [aux_sym__float_token3] = "_float_token3",
  [aux_sym_numeric_token1] = "NUMERIC",
  [aux_sym_numeric_token2] = "BIGNUMERIC",
  [aux_sym_numeric_token3] = "DECIMAL",
  [aux_sym_numeric_token4] = "BIGDECIMAL",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_interval_token1] = "INTERVAL",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [aux_sym_range_content_token1] = "range_content_token1",
  [aux_sym_json_token1] = "JSON",
  [sym_system_variable] = "system_variable",
  [sym__named_query_parameter] = "_named_query_parameter",
  [sym__positional_query_parameter] = "_positional_query_parameter",
  [sym__quoted_identifier] = "_quoted_identifier",
  [anon_sym_DOT] = ".",
  [sym_comment] = "comment",
  [anon_sym_DOT2] = ".",
  [anon_sym_TILDE] = "~",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_LT_GT] = "<>",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_PIPE] = "|",
  [anon_sym_operator_compare] = "operator_compare",
  [aux_sym_quantitve_like_operator_token1] = "ANY",
  [aux_sym_quantitve_like_operator_token2] = "SOME",
  [anon_sym_DOLLAR] = "$",
  [aux_sym_argument_reference_token1] = "argument_reference_token1",
  [sym__string_start] = "_string_start",
  [sym__string_content] = "_string_content",
  [sym__string_end] = "_string_end",
  [sym_source_file] = "source_file",
  [sym_keyword_if_not_exists] = "keyword_if_not_exists",
  [sym_keyword_if_exists] = "keyword_if_exists",
  [sym_keyword_temporary] = "keyword_temporary",
  [sym_keyword_replace] = "keyword_replace",
  [sym__keyword_alter] = "_keyword_alter",
  [sym__keyword_from] = "_keyword_from",
  [sym__keyword_distinct] = "_keyword_distinct",
  [sym__keyword_format] = "_keyword_format",
  [sym__keyword_delete] = "_keyword_delete",
  [sym__keyword_end] = "_keyword_end",
  [sym__keyword_struct] = "_keyword_struct",
  [sym__keyword_range] = "_keyword_range",
  [sym__keyword_array] = "_keyword_array",
  [sym__keyword_returns] = "_keyword_returns",
  [sym__keyword_between] = "_keyword_between",
  [sym__keyword_case] = "_keyword_case",
  [sym__keyword_when] = "_keyword_when",
  [sym__keyword_then] = "_keyword_then",
  [sym__keyword_else] = "_keyword_else",
  [sym__keyword_is] = "_keyword_is",
  [sym__keyword_in] = "_keyword_in",
  [sym__keyword_not] = "_keyword_not",
  [sym__keyword_and] = "_keyword_and",
  [sym__keyword_or] = "_keyword_or",
  [sym__keyword_like] = "_keyword_like",
  [sym__keyword_repeat] = "_keyword_repeat",
  [sym__keyword_as] = "_keyword_as",
  [sym__keyword_cast] = "_keyword_cast",
  [sym__keyword_window] = "_keyword_window",
  [sym__keyword_partition_by] = "_keyword_partition_by",
  [sym__keyword_date] = "_keyword_date",
  [sym__keyword_datetime] = "_keyword_datetime",
  [sym__keyword_time] = "_keyword_time",
  [sym__keyword_timestamp] = "_keyword_timestamp",
  [sym__keyword_for] = "_keyword_for",
  [sym__keyword_system_as_of] = "_keyword_system_as_of",
  [sym__statement] = "_statement",
  [aux_sym__statement_list] = "_statement_list",
  [sym_declare_statement] = "declare_statement",
  [sym_default_clause] = "default_clause",
  [sym_set_statement] = "set_statement",
  [sym_execute_immadiate_statement] = "execute_immadiate_statement",
  [sym_into_clause] = "into_clause",
  [sym_using_clause] = "using_clause",
  [sym_return_satement] = "return_satement",
  [sym_call_statement] = "call_statement",
  [sym_begin_end_statement] = "begin_end_statement",
  [sym_begin_exception_end_statement] = "begin_exception_end_statement",
  [sym_if_statement] = "if_statement",
  [sym_loop_statement] = "loop_statement",
  [sym_repeat_statement] = "repeat_statement",
  [sym_while_statement] = "while_statement",
  [sym_for_in_statement] = "for_in_statement",
  [sym_break_statement] = "break_statement",
  [sym_leave_statement] = "leave_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_iterate_statement] = "iterate_statement",
  [sym_raise_statement] = "raise_statement",
  [sym_assert_statement] = "assert_statement",
  [sym_create_schema_statement] = "create_schema_statement",
  [sym_alter_schema_statement] = "alter_schema_statement",
  [sym_drop_schema_statement] = "drop_schema_statement",
  [sym_drop_schema_option] = "drop_schema_option",
  [sym_create_table_statement] = "create_table_statement",
  [sym_create_table_like_statement] = "create_table_like_statement",
  [sym_like_clause] = "like_clause",
  [sym_create_table_clone_statement] = "create_table_clone_statement",
  [sym_clone_clause] = "clone_clause",
  [sym_create_table_copy_statement] = "create_table_copy_statement",
  [sym_default_collate_clause] = "default_collate_clause",
  [sym_copy_clause] = "copy_clause",
  [sym_create_snapshot_table_statement] = "create_snapshot_table_statement",
  [sym_create_external_table_statement] = "create_external_table_statement",
  [sym_partition_columns_clause] = "partition_columns_clause",
  [sym_system_time_clause] = "system_time_clause",
  [sym_alter_table_statement] = "alter_table_statement",
  [sym_alter_table_rename_statement] = "alter_table_rename_statement",
  [sym_alter_table_column_statement] = "alter_table_column_statement",
  [sym_alter_column_actions_list] = "alter_column_actions_list",
  [sym_add_column_action] = "add_column_action",
  [sym_rename_column_action] = "rename_column_action",
  [sym_drop_column_action] = "drop_column_action",
  [sym_alter_column_action] = "alter_column_action",
  [sym_set_option] = "set_option",
  [sym_set_data_type] = "set_data_type",
  [sym_set_default] = "set_default",
  [sym_drop_notnull] = "drop_notnull",
  [sym_drop_default] = "drop_default",
  [sym_column_list] = "column_list",
  [sym_constraint_enfoce_option] = "constraint_enfoce_option",
  [sym_primary_key] = "primary_key",
  [sym_add_primary_key_action] = "add_primary_key_action",
  [sym_drop_primary_key_action] = "drop_primary_key_action",
  [sym_foreign_key] = "foreign_key",
  [sym_foreign_key_references] = "foreign_key_references",
  [sym_add_foreign_key_action] = "add_foreign_key_action",
  [sym_drop_constraint_action] = "drop_constraint_action",
  [sym_drop_table_statement] = "drop_table_statement",
  [sym_create_table_parameters] = "create_table_parameters",
  [sym_option_clause] = "option_clause",
  [sym_option_item] = "option_item",
  [sym_column_definition] = "column_definition",
  [sym_constraint_definition] = "constraint_definition",
  [sym_collate_clause] = "collate_clause",
  [sym_column_type] = "column_type",
  [sym__column_definition_type_array] = "_column_definition_type_array",
  [sym__column_definition_type_struct] = "_column_definition_type_struct",
  [sym_partition_expression] = "partition_expression",
  [sym_table_partition_clause] = "table_partition_clause",
  [sym_table_cluster_clause] = "table_cluster_clause",
  [sym_create_function_statement] = "create_function_statement",
  [sym_create_remote_function_statement] = "create_remote_function_statement",
  [sym__function_body_sql] = "create_function_body",
  [sym__function_body_js] = "create_function_body",
  [sym_create_function_return_clause] = "create_function_return_clause",
  [sym_drop_function_statement] = "drop_function_statement",
  [sym_create_table_function_statement] = "create_table_function_statement",
  [sym_create_table_function_body] = "create_table_function_body",
  [sym_drop_table_function_statement] = "drop_table_function_statement",
  [sym_create_table_function_returns] = "create_table_function_returns",
  [sym__function_language] = "_function_language",
  [sym_create_function_parameter] = "create_function_parameter",
  [sym_create_function_parameters] = "create_function_parameters",
  [sym_create_procedure_statement] = "create_procedure_statement",
  [sym_procedure_parameters] = "procedure_parameters",
  [sym_procedure_body] = "procedure_body",
  [sym_procedure_argument] = "procedure_argument",
  [sym_drop_procedure_statement] = "drop_procedure_statement",
  [sym_create_model_statement] = "create_model_statement",
  [sym_transoform_clause] = "transoform_clause",
  [sym_drop_model_statement] = "drop_model_statement",
  [sym_query_statement] = "query_statement",
  [sym_set_operation] = "set_operation",
  [sym_query_expr] = "query_expr",
  [sym_select] = "select",
  [sym_select_list] = "select_list",
  [sym_select_all] = "select_all",
  [sym_select_all_except] = "select_all_except",
  [sym_select_all_replace] = "select_all_replace",
  [sym_select_replace_expression] = "select_replace_expression",
  [sym_having_clause] = "having_clause",
  [sym_qualify_clause] = "qualify_clause",
  [sym_limit_clause] = "limit_clause",
  [sym_group_by_clause] = "group_by_clause",
  [sym__grouping_list] = "_grouping_list",
  [sym_grouping_sets] = "grouping_sets",
  [sym_grouping_item_sets] = "grouping_item_sets",
  [sym_rollup] = "rollup",
  [sym_cube] = "cube",
  [sym_grouping_empty] = "grouping_empty",
  [sym_grouping_item] = "grouping_item",
  [sym_over_clause] = "over_clause",
  [sym_window_specification] = "window_specification",
  [sym_window_partition_clause] = "window_partition_clause",
  [sym_window_frame_clause] = "window_frame_clause",
  [sym_rows_range] = "rows_range",
  [sym_window_frame_start] = "window_frame_start",
  [sym_window_frame_between] = "window_frame_between",
  [sym__window_frame_end_a] = "between_to",
  [sym__window_frame_end_b] = "_window_frame_end_b",
  [sym__window_frame_end_c] = "between_to",
  [sym_window_numeric_preceding] = "window_numeric_preceding",
  [sym_window_numeric_following] = "window_numeric_following",
  [sym_keyword_unbounded_preceding] = "keyword_unbounded_preceding",
  [sym_keyword_unbounded_following] = "keyword_unbounded_following",
  [sym_keyword_current_row] = "keyword_current_row",
  [sym_named_window_expression] = "named_window_expression",
  [sym_aggregation_threshold_clause] = "aggregation_threshold_clause",
  [sym_differential_privacy_clause] = "differential_privacy_clause",
  [sym_window_clause] = "window_clause",
  [sym_order_by_clause_body] = "order_by_clause_body",
  [sym__direction_keywords] = "_direction_keywords",
  [sym__nulls_preference] = "_nulls_preference",
  [sym_order_by_clause] = "order_by_clause",
  [sym_where_clause] = "where_clause",
  [sym__aliasable_expression] = "_aliasable_expression",
  [sym_as_alias] = "as_alias",
  [sym_cte_clause] = "cte_clause",
  [sym_cte] = "cte",
  [sym_from_clause] = "from_clause",
  [sym_pivot_value] = "pivot_value",
  [sym_pivot_operator] = "pivot_operator",
  [sym_unpivot_operator] = "unpivot_operator",
  [sym_single_column_unpivot] = "single_column_unpivot",
  [sym_multi_column_unpivot] = "multi_column_unpivot",
  [sym_unpivot_column] = "unpivot_column",
  [sym_tablesample_operator] = "tablesample_operator",
  [sym_from_item] = "from_item",
  [sym_join_operation] = "join_operation",
  [sym_join_type] = "join_type",
  [sym__cross_join_operation] = "_cross_join_operation",
  [sym__conditional_join_operator] = "_conditional_join_operator",
  [sym_join_condition] = "join_condition",
  [sym_select_subexpression] = "select_subexpression",
  [sym_analytics_clause] = "analytics_clause",
  [sym_bigquery_resource] = "bigquery_resource",
  [sym_argument] = "argument",
  [sym_function_call] = "function_call",
  [sym_having_max_clause] = "having_max_clause",
  [sym_having_min_clause] = "having_min_clause",
  [sym_unnest_operator] = "unnest_operator",
  [sym_unnest_clause] = "unnest_clause",
  [sym_unnest_withoffset] = "unnest_withoffset",
  [sym_insert_statement] = "insert_statement",
  [sym_insert_columns] = "insert_columns",
  [sym_values_clause] = "values_clause",
  [sym_value_element] = "value_element",
  [sym_delete_statement] = "delete_statement",
  [sym_truncate_statement] = "truncate_statement",
  [sym_update_statement] = "update_statement",
  [sym_set_clause] = "set_clause",
  [sym_update_item] = "update_item",
  [sym__assigment_expression] = "_assigment_expression",
  [sym_merge_statement] = "merge_statement",
  [sym_merge_matched_clause] = "merge_matched_clause",
  [sym_merge_not_matched_by_target_clause] = "merge_not_matched_by_target_clause",
  [sym_merge_not_matched_by_source_clause] = "merge_not_matched_by_source_clause",
  [sym_merge_update_clause] = "merge_update_clause",
  [sym_merge_delete_clause] = "merge_delete_clause",
  [sym_merge_insert_clause] = "merge_insert_clause",
  [sym_grant_statement] = "grant_statement",
  [sym_revoke_statement] = "revoke_statement",
  [sym_privilege_user] = "privilege_user",
  [sym_object_type] = "object_type",
  [sym_export_data_statement] = "export_data_statement",
  [sym_load_data_statement] = "load_data_statement",
  [sym_with_connection_clause] = "with_connection_clause",
  [sym_from_files_clause] = "from_files_clause",
  [sym__literal] = "_literal",
  [sym_NULL] = "NULL",
  [sym_TRUE] = "TRUE",
  [sym_FALSE] = "FALSE",
  [sym__float] = "_float",
  [sym__float_or_integer] = "_float_or_integer",
  [sym_numeric] = "numeric",
  [sym__number] = "_number",
  [sym_interval] = "interval",
  [sym_range_boundary_start] = "range_boundary_start",
  [sym_range_boundary_end] = "range_boundary_end",
  [sym_range_content] = "range_content",
  [sym_range_start] = "range_start",
  [sym_range_end] = "range_end",
  [sym__range_string] = "string",
  [sym_range] = "range",
  [sym_time] = "time",
  [sym_number] = "number",
  [sym_json] = "json",
  [sym_query_parameter] = "query_parameter",
  [sym_type] = "type",
  [sym__bqtype] = "_bqtype",
  [sym__type_chrono] = "_type_chrono",
  [sym__type_struct] = "_type_struct",
  [sym__type_array] = "_type_array",
  [sym_array] = "array",
  [sym_struct] = "struct",
  [sym__identifier] = "_identifier",
  [sym__dotted_identifier] = "_dotted_identifier",
  [sym_identifier] = "identifier",
  [sym__base_type] = "_base_type",
  [sym_string] = "string",
  [sym__expression] = "_expression",
  [sym__parenthesized_expression] = "_parenthesized_expression",
  [sym_element_access] = "element_access",
  [sym_field_access] = "field_access",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_like_operator] = "like_operator",
  [sym_quantitve_like_operator] = "quantitve_like_operator",
  [sym_quantitve_like_patterns] = "quantitve_like_patterns",
  [sym_between_operator] = "between_operator",
  [sym_casewhen_expression] = "casewhen_expression",
  [sym_casewhen_clause] = "casewhen_clause",
  [sym_caseelse_clause] = "caseelse_clause",
  [sym_cast_expression] = "cast_expression",
  [sym_cast_format_clause] = "cast_format_clause",
  [sym_asterisk_expression] = "asterisk_expression",
  [sym_argument_reference] = "argument_reference",
  [aux_sym_source_file_repeat1] = "source_file_repeat1",
  [aux_sym_declare_statement_repeat1] = "declare_statement_repeat1",
  [aux_sym_set_statement_repeat1] = "set_statement_repeat1",
  [aux_sym_using_clause_repeat1] = "using_clause_repeat1",
  [aux_sym_call_statement_repeat1] = "call_statement_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_alter_column_actions_list_repeat1] = "alter_column_actions_list_repeat1",
  [aux_sym_create_table_parameters_repeat1] = "create_table_parameters_repeat1",
  [aux_sym_option_clause_repeat1] = "option_clause_repeat1",
  [aux_sym_column_type_repeat1] = "column_type_repeat1",
  [aux_sym__column_definition_type_struct_repeat1] = "_column_definition_type_struct_repeat1",
  [aux_sym_create_function_parameters_repeat1] = "create_function_parameters_repeat1",
  [aux_sym_procedure_parameters_repeat1] = "procedure_parameters_repeat1",
  [aux_sym_select_list_repeat1] = "select_list_repeat1",
  [aux_sym_select_all_except_repeat1] = "select_all_except_repeat1",
  [aux_sym_select_all_replace_repeat1] = "select_all_replace_repeat1",
  [aux_sym_group_by_clause_repeat1] = "group_by_clause_repeat1",
  [aux_sym__grouping_list_repeat1] = "_grouping_list_repeat1",
  [aux_sym_grouping_sets_repeat1] = "grouping_sets_repeat1",
  [aux_sym_window_partition_clause_repeat1] = "window_partition_clause_repeat1",
  [aux_sym_order_by_clause_body_repeat1] = "order_by_clause_body_repeat1",
  [aux_sym_cte_clause_repeat1] = "cte_clause_repeat1",
  [aux_sym_pivot_operator_repeat1] = "pivot_operator_repeat1",
  [aux_sym_pivot_operator_repeat2] = "pivot_operator_repeat2",
  [aux_sym_single_column_unpivot_repeat1] = "single_column_unpivot_repeat1",
  [aux_sym_multi_column_unpivot_repeat1] = "multi_column_unpivot_repeat1",
  [aux_sym_join_condition_repeat1] = "join_condition_repeat1",
  [aux_sym_function_call_repeat1] = "function_call_repeat1",
  [aux_sym_values_clause_repeat1] = "values_clause_repeat1",
  [aux_sym_set_clause_repeat1] = "set_clause_repeat1",
  [aux_sym_merge_statement_repeat1] = "merge_statement_repeat1",
  [aux_sym_grant_statement_repeat1] = "grant_statement_repeat1",
  [aux_sym_grant_statement_repeat2] = "grant_statement_repeat2",
  [aux_sym__type_struct_repeat1] = "_type_struct_repeat1",
  [aux_sym_struct_repeat1] = "struct_repeat1",
  [aux_sym_identifier_repeat1] = "identifier_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_quantitve_like_patterns_repeat1] = "quantitve_like_patterns_repeat1",
  [aux_sym_casewhen_expression_repeat1] = "casewhen_expression_repeat1",
  [anon_alias_sym_ADD_COLUMN] = "ADD_COLUMN",
  [anon_alias_sym_ALTER] = "ALTER",
  [anon_alias_sym_ALTER_SCHEMA] = "ALTER_SCHEMA",
  [anon_alias_sym_COLLATE] = "COLLATE",
  [anon_alias_sym_DISTINCT] = "DISTINCT",
  [anon_alias_sym_DROP_COLUMN] = "DROP_COLUMN",
  [anon_alias_sym_DROP_CONSTRAINT] = "DROP_CONSTRAINT",
  [anon_alias_sym_DROP_DEFAULT] = "DROP_DEFAULT",
  [anon_alias_sym_DROP_NOT_NULL] = "DROP_NOT_NULL",
  [anon_alias_sym_DROP_PRIMARY_KEY] = "DROP_PRIMARY_KEY",
  [anon_alias_sym_DROP_SCHEMA] = "DROP_SCHEMA",
  [anon_alias_sym_END] = "END",
  [anon_alias_sym_END_LOOP] = "END_LOOP",
  [anon_alias_sym_END_REPEAT] = "END_REPEAT",
  [anon_alias_sym_END_WHILE] = "END_WHILE",
  [anon_alias_sym_EXCEPT_DISTINCT] = "EXCEPT_DISTINCT",
  [anon_alias_sym_EXISTS] = "EXISTS",
  [anon_alias_sym_FOR] = "FOR",
  [anon_alias_sym_IF_EXISTS] = "IF_EXISTS",
  [anon_alias_sym_NOT] = "NOT",
  [anon_alias_sym_NOT_ENFORCED] = "NOT_ENFORCED",
  [anon_alias_sym_NULL] = "NULL",
  [anon_alias_sym_OFFSET] = "OFFSET",
  [anon_alias_sym_OR] = "OR",
  [anon_alias_sym_PARTITION_BY] = "PARTITION_BY",
  [anon_alias_sym_RENAME_COLUMN] = "RENAME_COLUMN",
  [anon_alias_sym_SCHEMA] = "SCHEMA",
  [anon_alias_sym_SET_DEFAULT] = "SET_DEFAULT",
  [anon_alias_sym_TABLE_FUNCTION] = "TABLE_FUNCTION",
  [anon_alias_sym_UNBOUNDED] = "UNBOUNDED",
  [anon_alias_sym_UNBOUNDED_FOLLOWING] = "UNBOUNDED_FOLLOWING",
  [anon_alias_sym_UNION_DISTINCT] = "UNION_DISTINCT",
  [anon_alias_sym_UPDATE_SET] = "UPDATE_SET",
  [anon_alias_sym_WHEN] = "WHEN",
  [anon_alias_sym_WHEN_NOT_MATCHED] = "WHEN_NOT_MATCHED",
  [anon_alias_sym_WITH] = "WITH",
  [anon_alias_sym_WITH_CONNECTION] = "WITH_CONNECTION",
  [alias_sym_between_from] = "between_from",
  [alias_sym_connection_path] = "connection_path",
  [alias_sym_create_table_function_parameters] = "create_table_function_parameters",
  [alias_sym_datetime_part] = "datetime_part",
  [alias_sym_distinct] = "distinct",
  [alias_sym_else_statement] = "else_statement",
  [alias_sym_elseif_statement] = "elseif_statement",
  [alias_sym_having_expression] = "having_expression",
  [alias_sym_input_column] = "input_column",
  [alias_sym_language] = "language",
  [alias_sym_like_pattern] = "like_pattern",
  [alias_sym_load_data_table_parameters] = "load_data_table_parameters",
  [alias_sym_merge_condition] = "merge_condition",
  [alias_sym_name_column] = "name_column",
  [alias_sym_partition_columns] = "partition_columns",
  [alias_sym_pivot_column] = "pivot_column",
  [alias_sym_range_type] = "range_type",
  [alias_sym_search_condition] = "search_condition",
  [alias_sym_select_expression] = "select_expression",
  [alias_sym_type_identifier] = "type_identifier",
  [alias_sym_unpivot_value] = "unpivot_value",
  [alias_sym_until_clause] = "until_clause",
  [alias_sym_using_expression] = "using_expression",
  [alias_sym_variable_type] = "variable_type",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym__unquoted_identifier] = sym__unquoted_identifier,
  [aux_sym_keyword_if_not_exists_token1] = aux_sym_keyword_if_not_exists_token1,
  [aux_sym_keyword_if_not_exists_token2] = aux_sym_keyword_if_not_exists_token2,
  [aux_sym_keyword_if_not_exists_token3] = aux_sym_keyword_if_not_exists_token3,
  [aux_sym_keyword_temporary_token1] = aux_sym_keyword_temporary_token1,
  [aux_sym_keyword_temporary_token2] = aux_sym_keyword_temporary_token2,
  [aux_sym_keyword_replace_token1] = aux_sym_keyword_replace_token1,
  [aux_sym_keyword_replace_token2] = aux_sym_keyword_replace_token2,
  [aux_sym__keyword_alter_token1] = aux_sym__keyword_alter_token1,
  [aux_sym__keyword_from_token1] = aux_sym__keyword_from_token1,
  [aux_sym__keyword_distinct_token1] = aux_sym__keyword_distinct_token1,
  [aux_sym__keyword_format_token1] = aux_sym__keyword_format_token1,
  [aux_sym__keyword_delete_token1] = aux_sym__keyword_delete_token1,
  [aux_sym__keyword_tablesuffix_token1] = aux_sym__keyword_tablesuffix_token1,
  [aux_sym__keyword_begin_token1] = aux_sym__keyword_begin_token1,
  [aux_sym__keyword_end_token1] = aux_sym__keyword_end_token1,
  [aux_sym__keyword_struct_token1] = aux_sym__keyword_struct_token1,
  [aux_sym__keyword_range_token1] = aux_sym__keyword_range_token1,
  [aux_sym__keyword_array_token1] = aux_sym__keyword_array_token1,
  [aux_sym__keyword_returns_token1] = aux_sym__keyword_returns_token1,
  [aux_sym__keyword_between_token1] = aux_sym__keyword_between_token1,
  [aux_sym__keyword_case_token1] = aux_sym__keyword_case_token1,
  [aux_sym__keyword_when_token1] = aux_sym__keyword_when_token1,
  [aux_sym__keyword_then_token1] = aux_sym__keyword_then_token1,
  [aux_sym__keyword_else_token1] = aux_sym__keyword_else_token1,
  [aux_sym__keyword_is_token1] = aux_sym__keyword_is_token1,
  [aux_sym__keyword_in_token1] = aux_sym__keyword_in_token1,
  [aux_sym__keyword_and_token1] = aux_sym__keyword_and_token1,
  [aux_sym__keyword_like_token1] = aux_sym__keyword_like_token1,
  [aux_sym__keyword_repeat_token1] = aux_sym__keyword_repeat_token1,
  [aux_sym__keyword_as_token1] = anon_sym_AS,
  [aux_sym__keyword_cast_token1] = aux_sym__keyword_cast_token1,
  [aux_sym__keyword_cast_token2] = aux_sym__keyword_cast_token2,
  [aux_sym__keyword_window_token1] = aux_sym__keyword_window_token1,
  [aux_sym__keyword_partition_by_token1] = aux_sym__keyword_partition_by_token1,
  [aux_sym__keyword_partition_by_token2] = aux_sym__keyword_partition_by_token2,
  [aux_sym__keyword_date_token1] = aux_sym__keyword_date_token1,
  [aux_sym__keyword_datetime_token1] = aux_sym__keyword_datetime_token1,
  [aux_sym__keyword_time_token1] = aux_sym__keyword_time_token1,
  [aux_sym__keyword_timestamp_token1] = aux_sym__keyword_timestamp_token1,
  [aux_sym__keyword_for_token1] = aux_sym__keyword_for_token1,
  [aux_sym__keyword_partitiontime_token1] = aux_sym__keyword_partitiontime_token1,
  [aux_sym__keyword_system_as_of_token1] = aux_sym__keyword_system_as_of_token1,
  [aux_sym__keyword_system_as_of_token2] = aux_sym__keyword_system_as_of_token1,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [aux_sym_declare_statement_token1] = aux_sym_declare_statement_token1,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [aux_sym_default_clause_token1] = aux_sym_default_clause_token1,
  [aux_sym_set_statement_token1] = aux_sym_set_statement_token1,
  [aux_sym_set_statement_token2] = anon_sym_EQ,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [aux_sym_execute_immadiate_statement_token1] = aux_sym_execute_immadiate_statement_token1,
  [aux_sym_execute_immadiate_statement_token2] = aux_sym_execute_immadiate_statement_token1,
  [aux_sym_into_clause_token1] = aux_sym_into_clause_token1,
  [aux_sym_using_clause_token1] = aux_sym_using_clause_token1,
  [aux_sym_return_satement_token1] = aux_sym_return_satement_token1,
  [aux_sym_call_statement_token1] = aux_sym_call_statement_token1,
  [aux_sym_begin_exception_end_statement_token1] = aux_sym_begin_exception_end_statement_token1,
  [aux_sym_begin_exception_end_statement_token2] = aux_sym_begin_exception_end_statement_token1,
  [aux_sym_if_statement_token1] = aux_sym_if_statement_token1,
  [aux_sym_loop_statement_token1] = aux_sym_loop_statement_token1,
  [aux_sym_repeat_statement_token1] = aux_sym_repeat_statement_token1,
  [aux_sym_while_statement_token1] = aux_sym_while_statement_token1,
  [aux_sym_while_statement_token2] = aux_sym_while_statement_token2,
  [aux_sym_break_statement_token1] = aux_sym_break_statement_token1,
  [aux_sym_leave_statement_token1] = aux_sym_leave_statement_token1,
  [aux_sym_continue_statement_token1] = aux_sym_continue_statement_token1,
  [aux_sym_iterate_statement_token1] = aux_sym_iterate_statement_token1,
  [aux_sym_raise_statement_token1] = aux_sym_raise_statement_token1,
  [aux_sym_raise_statement_token2] = aux_sym_raise_statement_token2,
  [anon_sym_EQ] = anon_sym_EQ,
  [aux_sym_assert_statement_token1] = aux_sym_assert_statement_token1,
  [aux_sym_create_schema_statement_token1] = aux_sym_create_schema_statement_token1,
  [aux_sym_create_schema_statement_token2] = aux_sym_create_schema_statement_token2,
  [aux_sym_drop_schema_statement_token1] = aux_sym_drop_schema_statement_token1,
  [aux_sym_drop_schema_option_token1] = aux_sym_drop_schema_option_token1,
  [aux_sym_drop_schema_option_token2] = aux_sym_drop_schema_option_token2,
  [aux_sym_create_table_statement_token1] = aux_sym_create_table_statement_token1,
  [aux_sym_create_table_statement_token2] = aux_sym_create_table_statement_token2,
  [aux_sym_create_table_statement_token3] = aux_sym_create_table_statement_token3,
  [aux_sym_clone_clause_token1] = aux_sym_clone_clause_token1,
  [aux_sym_default_collate_clause_token1] = aux_sym_default_collate_clause_token1,
  [aux_sym_copy_clause_token1] = aux_sym_copy_clause_token1,
  [aux_sym_create_snapshot_table_statement_token1] = aux_sym_create_snapshot_table_statement_token1,
  [aux_sym_create_external_table_statement_token1] = aux_sym_create_external_table_statement_token1,
  [aux_sym_partition_columns_clause_token1] = aux_sym_partition_columns_clause_token1,
  [aux_sym_partition_columns_clause_token2] = aux_sym__keyword_partition_by_token1,
  [aux_sym_alter_table_rename_statement_token1] = aux_sym_alter_table_rename_statement_token1,
  [aux_sym_alter_table_rename_statement_token2] = aux_sym_alter_table_rename_statement_token2,
  [aux_sym_add_column_action_token1] = aux_sym_add_column_action_token1,
  [aux_sym_add_column_action_token2] = aux_sym__keyword_alter_token1,
  [aux_sym_set_data_type_token1] = aux_sym_set_data_type_token1,
  [aux_sym_set_data_type_token2] = aux_sym_set_data_type_token2,
  [aux_sym_drop_notnull_token1] = aux_sym_keyword_if_not_exists_token2,
  [aux_sym_constraint_enfoce_option_token1] = aux_sym_constraint_enfoce_option_token1,
  [aux_sym_primary_key_token1] = aux_sym_primary_key_token1,
  [aux_sym_primary_key_token2] = aux_sym_primary_key_token1,
  [aux_sym_foreign_key_token1] = aux_sym_foreign_key_token1,
  [aux_sym_foreign_key_references_token1] = aux_sym_foreign_key_references_token1,
  [aux_sym_add_foreign_key_action_token1] = aux_sym_add_foreign_key_action_token1,
  [aux_sym_drop_table_statement_token1] = aux_sym_drop_table_statement_token1,
  [aux_sym_option_clause_token1] = anon_sym_OPTIONS,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [aux_sym_partition_expression_token1] = aux_sym_partition_expression_token1,
  [aux_sym_partition_expression_token2] = aux_sym_partition_expression_token2,
  [aux_sym_partition_expression_token3] = aux_sym_partition_expression_token3,
  [aux_sym_partition_expression_token4] = aux_sym_partition_expression_token4,
  [aux_sym_partition_expression_token5] = aux_sym_partition_expression_token5,
  [aux_sym_partition_expression_token6] = aux_sym_partition_expression_token6,
  [aux_sym_partition_expression_token7] = aux_sym_partition_expression_token7,
  [aux_sym_partition_expression_token8] = aux_sym_partition_expression_token8,
  [aux_sym_partition_expression_token9] = aux_sym_partition_expression_token9,
  [aux_sym_partition_expression_token10] = aux_sym_partition_expression_token10,
  [aux_sym_table_cluster_clause_token1] = aux_sym_table_cluster_clause_token1,
  [aux_sym_create_function_statement_token1] = aux_sym_create_function_statement_token1,
  [aux_sym_create_remote_function_statement_token1] = aux_sym_partition_columns_clause_token1,
  [aux_sym_create_remote_function_statement_token2] = aux_sym_partition_columns_clause_token1,
  [aux_sym__function_language_token1] = aux_sym__function_language_token1,
  [aux_sym_create_procedure_statement_token1] = aux_sym_create_procedure_statement_token1,
  [aux_sym_procedure_argument_token1] = aux_sym_procedure_argument_token1,
  [aux_sym_procedure_argument_token2] = aux_sym_procedure_argument_token2,
  [aux_sym_create_model_statement_token1] = aux_sym_create_model_statement_token1,
  [aux_sym_transoform_clause_token1] = aux_sym_transoform_clause_token1,
  [aux_sym_set_operation_token1] = aux_sym_set_operation_token1,
  [aux_sym_set_operation_token2] = aux_sym_set_operation_token2,
  [aux_sym_set_operation_token3] = aux_sym_set_operation_token3,
  [aux_sym_set_operation_token4] = aux_sym_set_operation_token4,
  [aux_sym_select_token1] = aux_sym_select_token1,
  [aux_sym_select_token2] = aux_sym_select_token2,
  [aux_sym_having_clause_token1] = aux_sym_having_clause_token1,
  [aux_sym_qualify_clause_token1] = aux_sym_qualify_clause_token1,
  [aux_sym_limit_clause_token1] = aux_sym_limit_clause_token1,
  [aux_sym_limit_clause_token2] = aux_sym_limit_clause_token2,
  [aux_sym_group_by_clause_token1] = aux_sym__keyword_partition_by_token2,
  [aux_sym_grouping_sets_token1] = aux_sym_grouping_sets_token1,
  [aux_sym_grouping_sets_token2] = aux_sym_grouping_sets_token1,
  [aux_sym_rollup_token1] = aux_sym_rollup_token1,
  [aux_sym_cube_token1] = aux_sym_cube_token1,
  [aux_sym_rows_range_token1] = aux_sym_rows_range_token1,
  [aux_sym_window_numeric_preceding_token1] = aux_sym_window_numeric_preceding_token1,
  [aux_sym_window_numeric_following_token1] = aux_sym_window_numeric_following_token1,
  [aux_sym_keyword_unbounded_preceding_token1] = aux_sym_keyword_unbounded_preceding_token1,
  [aux_sym_keyword_current_row_token1] = aux_sym_keyword_current_row_token1,
  [aux_sym_keyword_current_row_token2] = aux_sym_keyword_current_row_token2,
  [aux_sym_aggregation_threshold_clause_token1] = aux_sym_aggregation_threshold_clause_token1,
  [anon_sym_OPTIONS] = anon_sym_OPTIONS,
  [aux_sym_differential_privacy_clause_token1] = aux_sym_differential_privacy_clause_token1,
  [aux_sym__direction_keywords_token1] = aux_sym__direction_keywords_token1,
  [aux_sym__direction_keywords_token2] = aux_sym__direction_keywords_token2,
  [aux_sym__nulls_preference_token1] = aux_sym__nulls_preference_token1,
  [aux_sym__nulls_preference_token2] = aux_sym__nulls_preference_token2,
  [aux_sym__nulls_preference_token3] = aux_sym__nulls_preference_token3,
  [aux_sym_order_by_clause_token1] = aux_sym_order_by_clause_token1,
  [aux_sym_where_clause_token1] = aux_sym_where_clause_token1,
  [aux_sym_cte_clause_token1] = aux_sym_cte_clause_token1,
  [aux_sym_pivot_operator_token1] = aux_sym_pivot_operator_token1,
  [aux_sym_unpivot_operator_token1] = aux_sym_unpivot_operator_token1,
  [aux_sym_unpivot_operator_token2] = aux_sym_unpivot_operator_token2,
  [aux_sym_unpivot_operator_token3] = aux_sym_unpivot_operator_token3,
  [aux_sym_tablesample_operator_token1] = aux_sym_tablesample_operator_token1,
  [aux_sym_tablesample_operator_token2] = aux_sym_tablesample_operator_token1,
  [aux_sym_tablesample_operator_token3] = aux_sym_tablesample_operator_token3,
  [aux_sym_join_type_token1] = aux_sym_join_type_token1,
  [aux_sym_join_type_token2] = aux_sym_join_type_token2,
  [aux_sym_join_type_token3] = aux_sym_join_type_token3,
  [aux_sym_join_type_token4] = aux_sym_join_type_token4,
  [aux_sym_join_type_token5] = aux_sym_join_type_token5,
  [aux_sym__cross_join_operation_token1] = aux_sym__cross_join_operation_token1,
  [aux_sym__cross_join_operation_token2] = aux_sym__cross_join_operation_token2,
  [aux_sym_join_condition_token1] = aux_sym_join_condition_token1,
  [aux_sym_analytics_clause_token1] = aux_sym_analytics_clause_token1,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [aux_sym_function_call_token1] = aux_sym_function_call_token1,
  [aux_sym_function_call_token2] = sym_identifier,
  [aux_sym_having_max_clause_token1] = aux_sym_having_max_clause_token1,
  [aux_sym_having_min_clause_token1] = aux_sym_having_min_clause_token1,
  [aux_sym_unnest_operator_token1] = aux_sym_unnest_operator_token1,
  [aux_sym_insert_statement_token1] = aux_sym_insert_statement_token1,
  [aux_sym_values_clause_token1] = aux_sym_values_clause_token1,
  [aux_sym_truncate_statement_token1] = aux_sym_truncate_statement_token1,
  [aux_sym_update_statement_token1] = aux_sym_update_statement_token1,
  [aux_sym_merge_statement_token1] = aux_sym_merge_statement_token1,
  [aux_sym_merge_matched_clause_token1] = aux_sym__keyword_when_token1,
  [aux_sym_merge_not_matched_by_target_clause_token1] = aux_sym_merge_not_matched_by_target_clause_token1,
  [aux_sym_merge_not_matched_by_source_clause_token1] = aux_sym_merge_not_matched_by_source_clause_token1,
  [aux_sym_grant_statement_token1] = aux_sym_grant_statement_token1,
  [aux_sym_grant_statement_token2] = aux_sym_grant_statement_token2,
  [aux_sym_revoke_statement_token1] = aux_sym_revoke_statement_token1,
  [sym_privilege_role] = sym_privilege_role,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_user] = anon_sym_user,
  [anon_sym_group] = anon_sym_user,
  [anon_sym_serviceAccount] = anon_sym_user,
  [anon_sym_domain] = anon_sym_user,
  [anon_sym_specialGroup] = anon_sym_user,
  [anon_sym_COLON] = anon_sym_COLON,
  [aux_sym_privilege_user_token1] = aux_sym_privilege_user_token1,
  [aux_sym_export_data_statement_token1] = aux_sym_export_data_statement_token1,
  [anon_sym_AS] = anon_sym_AS,
  [aux_sym_load_data_statement_token1] = aux_sym_set_data_type_token1,
  [aux_sym_load_data_statement_token2] = aux_sym_load_data_statement_token2,
  [aux_sym_from_files_clause_token1] = aux_sym_from_files_clause_token1,
  [aux_sym_TRUE_token1] = aux_sym_TRUE_token1,
  [aux_sym_FALSE_token1] = aux_sym_FALSE_token1,
  [sym__integer] = sym__integer,
  [aux_sym__float_token1] = aux_sym__float_token1,
  [aux_sym__float_token2] = aux_sym__float_token2,
  [aux_sym__float_token3] = aux_sym__float_token3,
  [aux_sym_numeric_token1] = aux_sym_numeric_token1,
  [aux_sym_numeric_token2] = aux_sym_numeric_token2,
  [aux_sym_numeric_token3] = aux_sym_numeric_token3,
  [aux_sym_numeric_token4] = aux_sym_numeric_token4,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_interval_token1] = aux_sym_interval_token1,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [aux_sym_range_content_token1] = aux_sym_range_content_token1,
  [aux_sym_json_token1] = aux_sym_json_token1,
  [sym_system_variable] = sym_system_variable,
  [sym__named_query_parameter] = sym__named_query_parameter,
  [sym__positional_query_parameter] = sym__positional_query_parameter,
  [sym__quoted_identifier] = sym__quoted_identifier,
  [anon_sym_DOT] = anon_sym_DOT,
  [sym_comment] = sym_comment,
  [anon_sym_DOT2] = anon_sym_DOT,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_LT_GT] = anon_sym_LT_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_operator_compare] = anon_sym_operator_compare,
  [aux_sym_quantitve_like_operator_token1] = aux_sym_quantitve_like_operator_token1,
  [aux_sym_quantitve_like_operator_token2] = aux_sym_quantitve_like_operator_token2,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [aux_sym_argument_reference_token1] = aux_sym_argument_reference_token1,
  [sym__string_start] = sym__string_start,
  [sym__string_content] = sym__string_content,
  [sym__string_end] = sym__string_end,
  [sym_source_file] = sym_source_file,
  [sym_keyword_if_not_exists] = sym_keyword_if_not_exists,
  [sym_keyword_if_exists] = sym_keyword_if_exists,
  [sym_keyword_temporary] = sym_keyword_temporary,
  [sym_keyword_replace] = sym_keyword_replace,
  [sym__keyword_alter] = sym__keyword_alter,
  [sym__keyword_from] = sym__keyword_from,
  [sym__keyword_distinct] = sym__keyword_distinct,
  [sym__keyword_format] = sym__keyword_format,
  [sym__keyword_delete] = sym__keyword_delete,
  [sym__keyword_end] = sym__keyword_end,
  [sym__keyword_struct] = sym__keyword_struct,
  [sym__keyword_range] = sym__keyword_range,
  [sym__keyword_array] = sym__keyword_array,
  [sym__keyword_returns] = sym__keyword_returns,
  [sym__keyword_between] = sym__keyword_between,
  [sym__keyword_case] = sym__keyword_case,
  [sym__keyword_when] = sym__keyword_when,
  [sym__keyword_then] = sym__keyword_then,
  [sym__keyword_else] = sym__keyword_else,
  [sym__keyword_is] = sym__keyword_is,
  [sym__keyword_in] = sym__keyword_in,
  [sym__keyword_not] = sym__keyword_not,
  [sym__keyword_and] = sym__keyword_and,
  [sym__keyword_or] = sym__keyword_or,
  [sym__keyword_like] = sym__keyword_like,
  [sym__keyword_repeat] = sym__keyword_repeat,
  [sym__keyword_as] = sym__keyword_as,
  [sym__keyword_cast] = sym__keyword_cast,
  [sym__keyword_window] = sym__keyword_window,
  [sym__keyword_partition_by] = sym__keyword_partition_by,
  [sym__keyword_date] = sym__keyword_date,
  [sym__keyword_datetime] = sym__keyword_datetime,
  [sym__keyword_time] = sym__keyword_time,
  [sym__keyword_timestamp] = sym__keyword_timestamp,
  [sym__keyword_for] = sym__keyword_for,
  [sym__keyword_system_as_of] = sym__keyword_system_as_of,
  [sym__statement] = sym__statement,
  [aux_sym__statement_list] = aux_sym__statement_list,
  [sym_declare_statement] = sym_declare_statement,
  [sym_default_clause] = sym_default_clause,
  [sym_set_statement] = sym_set_statement,
  [sym_execute_immadiate_statement] = sym_execute_immadiate_statement,
  [sym_into_clause] = sym_into_clause,
  [sym_using_clause] = sym_using_clause,
  [sym_return_satement] = sym_return_satement,
  [sym_call_statement] = sym_call_statement,
  [sym_begin_end_statement] = sym_begin_end_statement,
  [sym_begin_exception_end_statement] = sym_begin_exception_end_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_loop_statement] = sym_loop_statement,
  [sym_repeat_statement] = sym_repeat_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_for_in_statement] = sym_for_in_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_leave_statement] = sym_leave_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_iterate_statement] = sym_iterate_statement,
  [sym_raise_statement] = sym_raise_statement,
  [sym_assert_statement] = sym_assert_statement,
  [sym_create_schema_statement] = sym_create_schema_statement,
  [sym_alter_schema_statement] = sym_alter_schema_statement,
  [sym_drop_schema_statement] = sym_drop_schema_statement,
  [sym_drop_schema_option] = sym_drop_schema_option,
  [sym_create_table_statement] = sym_create_table_statement,
  [sym_create_table_like_statement] = sym_create_table_like_statement,
  [sym_like_clause] = sym_like_clause,
  [sym_create_table_clone_statement] = sym_create_table_clone_statement,
  [sym_clone_clause] = sym_clone_clause,
  [sym_create_table_copy_statement] = sym_create_table_copy_statement,
  [sym_default_collate_clause] = sym_default_collate_clause,
  [sym_copy_clause] = sym_copy_clause,
  [sym_create_snapshot_table_statement] = sym_create_snapshot_table_statement,
  [sym_create_external_table_statement] = sym_create_external_table_statement,
  [sym_partition_columns_clause] = sym_partition_columns_clause,
  [sym_system_time_clause] = sym_system_time_clause,
  [sym_alter_table_statement] = sym_alter_table_statement,
  [sym_alter_table_rename_statement] = sym_alter_table_rename_statement,
  [sym_alter_table_column_statement] = sym_alter_table_column_statement,
  [sym_alter_column_actions_list] = sym_alter_column_actions_list,
  [sym_add_column_action] = sym_add_column_action,
  [sym_rename_column_action] = sym_rename_column_action,
  [sym_drop_column_action] = sym_drop_column_action,
  [sym_alter_column_action] = sym_alter_column_action,
  [sym_set_option] = sym_set_option,
  [sym_set_data_type] = sym_set_data_type,
  [sym_set_default] = sym_set_default,
  [sym_drop_notnull] = sym_drop_notnull,
  [sym_drop_default] = sym_drop_default,
  [sym_column_list] = sym_column_list,
  [sym_constraint_enfoce_option] = sym_constraint_enfoce_option,
  [sym_primary_key] = sym_primary_key,
  [sym_add_primary_key_action] = sym_add_primary_key_action,
  [sym_drop_primary_key_action] = sym_drop_primary_key_action,
  [sym_foreign_key] = sym_foreign_key,
  [sym_foreign_key_references] = sym_foreign_key_references,
  [sym_add_foreign_key_action] = sym_add_foreign_key_action,
  [sym_drop_constraint_action] = sym_drop_constraint_action,
  [sym_drop_table_statement] = sym_drop_table_statement,
  [sym_create_table_parameters] = sym_create_table_parameters,
  [sym_option_clause] = sym_option_clause,
  [sym_option_item] = sym_option_item,
  [sym_column_definition] = sym_column_definition,
  [sym_constraint_definition] = sym_constraint_definition,
  [sym_collate_clause] = sym_collate_clause,
  [sym_column_type] = sym_column_type,
  [sym__column_definition_type_array] = sym__column_definition_type_array,
  [sym__column_definition_type_struct] = sym__column_definition_type_struct,
  [sym_partition_expression] = sym_partition_expression,
  [sym_table_partition_clause] = sym_table_partition_clause,
  [sym_table_cluster_clause] = sym_table_cluster_clause,
  [sym_create_function_statement] = sym_create_function_statement,
  [sym_create_remote_function_statement] = sym_create_remote_function_statement,
  [sym__function_body_sql] = sym__function_body_sql,
  [sym__function_body_js] = sym__function_body_sql,
  [sym_create_function_return_clause] = sym_create_function_return_clause,
  [sym_drop_function_statement] = sym_drop_function_statement,
  [sym_create_table_function_statement] = sym_create_table_function_statement,
  [sym_create_table_function_body] = sym_create_table_function_body,
  [sym_drop_table_function_statement] = sym_drop_table_function_statement,
  [sym_create_table_function_returns] = sym_create_table_function_returns,
  [sym__function_language] = sym__function_language,
  [sym_create_function_parameter] = sym_create_function_parameter,
  [sym_create_function_parameters] = sym_create_function_parameters,
  [sym_create_procedure_statement] = sym_create_procedure_statement,
  [sym_procedure_parameters] = sym_procedure_parameters,
  [sym_procedure_body] = sym_procedure_body,
  [sym_procedure_argument] = sym_procedure_argument,
  [sym_drop_procedure_statement] = sym_drop_procedure_statement,
  [sym_create_model_statement] = sym_create_model_statement,
  [sym_transoform_clause] = sym_transoform_clause,
  [sym_drop_model_statement] = sym_drop_model_statement,
  [sym_query_statement] = sym_query_statement,
  [sym_set_operation] = sym_set_operation,
  [sym_query_expr] = sym_query_expr,
  [sym_select] = sym_select,
  [sym_select_list] = sym_select_list,
  [sym_select_all] = sym_select_all,
  [sym_select_all_except] = sym_select_all_except,
  [sym_select_all_replace] = sym_select_all_replace,
  [sym_select_replace_expression] = sym_select_replace_expression,
  [sym_having_clause] = sym_having_clause,
  [sym_qualify_clause] = sym_qualify_clause,
  [sym_limit_clause] = sym_limit_clause,
  [sym_group_by_clause] = sym_group_by_clause,
  [sym__grouping_list] = sym__grouping_list,
  [sym_grouping_sets] = sym_grouping_sets,
  [sym_grouping_item_sets] = sym_grouping_item_sets,
  [sym_rollup] = sym_rollup,
  [sym_cube] = sym_cube,
  [sym_grouping_empty] = sym_grouping_empty,
  [sym_grouping_item] = sym_grouping_item,
  [sym_over_clause] = sym_over_clause,
  [sym_window_specification] = sym_window_specification,
  [sym_window_partition_clause] = sym_window_partition_clause,
  [sym_window_frame_clause] = sym_window_frame_clause,
  [sym_rows_range] = sym_rows_range,
  [sym_window_frame_start] = sym_window_frame_start,
  [sym_window_frame_between] = sym_window_frame_between,
  [sym__window_frame_end_a] = sym__window_frame_end_a,
  [sym__window_frame_end_b] = sym__window_frame_end_b,
  [sym__window_frame_end_c] = sym__window_frame_end_a,
  [sym_window_numeric_preceding] = sym_window_numeric_preceding,
  [sym_window_numeric_following] = sym_window_numeric_following,
  [sym_keyword_unbounded_preceding] = sym_keyword_unbounded_preceding,
  [sym_keyword_unbounded_following] = sym_keyword_unbounded_following,
  [sym_keyword_current_row] = sym_keyword_current_row,
  [sym_named_window_expression] = sym_named_window_expression,
  [sym_aggregation_threshold_clause] = sym_aggregation_threshold_clause,
  [sym_differential_privacy_clause] = sym_differential_privacy_clause,
  [sym_window_clause] = sym_window_clause,
  [sym_order_by_clause_body] = sym_order_by_clause_body,
  [sym__direction_keywords] = sym__direction_keywords,
  [sym__nulls_preference] = sym__nulls_preference,
  [sym_order_by_clause] = sym_order_by_clause,
  [sym_where_clause] = sym_where_clause,
  [sym__aliasable_expression] = sym__aliasable_expression,
  [sym_as_alias] = sym_as_alias,
  [sym_cte_clause] = sym_cte_clause,
  [sym_cte] = sym_cte,
  [sym_from_clause] = sym_from_clause,
  [sym_pivot_value] = sym_pivot_value,
  [sym_pivot_operator] = sym_pivot_operator,
  [sym_unpivot_operator] = sym_unpivot_operator,
  [sym_single_column_unpivot] = sym_single_column_unpivot,
  [sym_multi_column_unpivot] = sym_multi_column_unpivot,
  [sym_unpivot_column] = sym_unpivot_column,
  [sym_tablesample_operator] = sym_tablesample_operator,
  [sym_from_item] = sym_from_item,
  [sym_join_operation] = sym_join_operation,
  [sym_join_type] = sym_join_type,
  [sym__cross_join_operation] = sym__cross_join_operation,
  [sym__conditional_join_operator] = sym__conditional_join_operator,
  [sym_join_condition] = sym_join_condition,
  [sym_select_subexpression] = sym_select_subexpression,
  [sym_analytics_clause] = sym_analytics_clause,
  [sym_bigquery_resource] = sym_bigquery_resource,
  [sym_argument] = sym_argument,
  [sym_function_call] = sym_function_call,
  [sym_having_max_clause] = sym_having_max_clause,
  [sym_having_min_clause] = sym_having_min_clause,
  [sym_unnest_operator] = sym_unnest_operator,
  [sym_unnest_clause] = sym_unnest_clause,
  [sym_unnest_withoffset] = sym_unnest_withoffset,
  [sym_insert_statement] = sym_insert_statement,
  [sym_insert_columns] = sym_insert_columns,
  [sym_values_clause] = sym_values_clause,
  [sym_value_element] = sym_value_element,
  [sym_delete_statement] = sym_delete_statement,
  [sym_truncate_statement] = sym_truncate_statement,
  [sym_update_statement] = sym_update_statement,
  [sym_set_clause] = sym_set_clause,
  [sym_update_item] = sym_update_item,
  [sym__assigment_expression] = sym__assigment_expression,
  [sym_merge_statement] = sym_merge_statement,
  [sym_merge_matched_clause] = sym_merge_matched_clause,
  [sym_merge_not_matched_by_target_clause] = sym_merge_not_matched_by_target_clause,
  [sym_merge_not_matched_by_source_clause] = sym_merge_not_matched_by_source_clause,
  [sym_merge_update_clause] = sym_merge_update_clause,
  [sym_merge_delete_clause] = sym_merge_delete_clause,
  [sym_merge_insert_clause] = sym_merge_insert_clause,
  [sym_grant_statement] = sym_grant_statement,
  [sym_revoke_statement] = sym_revoke_statement,
  [sym_privilege_user] = sym_privilege_user,
  [sym_object_type] = sym_object_type,
  [sym_export_data_statement] = sym_export_data_statement,
  [sym_load_data_statement] = sym_load_data_statement,
  [sym_with_connection_clause] = sym_with_connection_clause,
  [sym_from_files_clause] = sym_from_files_clause,
  [sym__literal] = sym__literal,
  [sym_NULL] = sym_NULL,
  [sym_TRUE] = sym_TRUE,
  [sym_FALSE] = sym_FALSE,
  [sym__float] = sym__float,
  [sym__float_or_integer] = sym__float_or_integer,
  [sym_numeric] = sym_numeric,
  [sym__number] = sym__number,
  [sym_interval] = sym_interval,
  [sym_range_boundary_start] = sym_range_boundary_start,
  [sym_range_boundary_end] = sym_range_boundary_end,
  [sym_range_content] = sym_range_content,
  [sym_range_start] = sym_range_start,
  [sym_range_end] = sym_range_end,
  [sym__range_string] = sym_string,
  [sym_range] = sym_range,
  [sym_time] = sym_time,
  [sym_number] = sym_number,
  [sym_json] = sym_json,
  [sym_query_parameter] = sym_query_parameter,
  [sym_type] = sym_type,
  [sym__bqtype] = sym__bqtype,
  [sym__type_chrono] = sym__type_chrono,
  [sym__type_struct] = sym__type_struct,
  [sym__type_array] = sym__type_array,
  [sym_array] = sym_array,
  [sym_struct] = sym_struct,
  [sym__identifier] = sym__identifier,
  [sym__dotted_identifier] = sym__dotted_identifier,
  [sym_identifier] = sym_identifier,
  [sym__base_type] = sym__base_type,
  [sym_string] = sym_string,
  [sym__expression] = sym__expression,
  [sym__parenthesized_expression] = sym__parenthesized_expression,
  [sym_element_access] = sym_element_access,
  [sym_field_access] = sym_field_access,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_like_operator] = sym_like_operator,
  [sym_quantitve_like_operator] = sym_quantitve_like_operator,
  [sym_quantitve_like_patterns] = sym_quantitve_like_patterns,
  [sym_between_operator] = sym_between_operator,
  [sym_casewhen_expression] = sym_casewhen_expression,
  [sym_casewhen_clause] = sym_casewhen_clause,
  [sym_caseelse_clause] = sym_caseelse_clause,
  [sym_cast_expression] = sym_cast_expression,
  [sym_cast_format_clause] = sym_cast_format_clause,
  [sym_asterisk_expression] = sym_asterisk_expression,
  [sym_argument_reference] = sym_argument_reference,
  [aux_sym_source_file_repeat1] = aux_sym_source_file_repeat1,
  [aux_sym_declare_statement_repeat1] = aux_sym_declare_statement_repeat1,
  [aux_sym_set_statement_repeat1] = aux_sym_set_statement_repeat1,
  [aux_sym_using_clause_repeat1] = aux_sym_using_clause_repeat1,
  [aux_sym_call_statement_repeat1] = aux_sym_call_statement_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_alter_column_actions_list_repeat1] = aux_sym_alter_column_actions_list_repeat1,
  [aux_sym_create_table_parameters_repeat1] = aux_sym_create_table_parameters_repeat1,
  [aux_sym_option_clause_repeat1] = aux_sym_option_clause_repeat1,
  [aux_sym_column_type_repeat1] = aux_sym_column_type_repeat1,
  [aux_sym__column_definition_type_struct_repeat1] = aux_sym__column_definition_type_struct_repeat1,
  [aux_sym_create_function_parameters_repeat1] = aux_sym_create_function_parameters_repeat1,
  [aux_sym_procedure_parameters_repeat1] = aux_sym_procedure_parameters_repeat1,
  [aux_sym_select_list_repeat1] = aux_sym_select_list_repeat1,
  [aux_sym_select_all_except_repeat1] = aux_sym_select_all_except_repeat1,
  [aux_sym_select_all_replace_repeat1] = aux_sym_select_all_replace_repeat1,
  [aux_sym_group_by_clause_repeat1] = aux_sym_group_by_clause_repeat1,
  [aux_sym__grouping_list_repeat1] = aux_sym__grouping_list_repeat1,
  [aux_sym_grouping_sets_repeat1] = aux_sym_grouping_sets_repeat1,
  [aux_sym_window_partition_clause_repeat1] = aux_sym_window_partition_clause_repeat1,
  [aux_sym_order_by_clause_body_repeat1] = aux_sym_order_by_clause_body_repeat1,
  [aux_sym_cte_clause_repeat1] = aux_sym_cte_clause_repeat1,
  [aux_sym_pivot_operator_repeat1] = aux_sym_pivot_operator_repeat1,
  [aux_sym_pivot_operator_repeat2] = aux_sym_pivot_operator_repeat2,
  [aux_sym_single_column_unpivot_repeat1] = aux_sym_single_column_unpivot_repeat1,
  [aux_sym_multi_column_unpivot_repeat1] = aux_sym_multi_column_unpivot_repeat1,
  [aux_sym_join_condition_repeat1] = aux_sym_join_condition_repeat1,
  [aux_sym_function_call_repeat1] = aux_sym_function_call_repeat1,
  [aux_sym_values_clause_repeat1] = aux_sym_values_clause_repeat1,
  [aux_sym_set_clause_repeat1] = aux_sym_set_clause_repeat1,
  [aux_sym_merge_statement_repeat1] = aux_sym_merge_statement_repeat1,
  [aux_sym_grant_statement_repeat1] = aux_sym_grant_statement_repeat1,
  [aux_sym_grant_statement_repeat2] = aux_sym_grant_statement_repeat2,
  [aux_sym__type_struct_repeat1] = aux_sym__type_struct_repeat1,
  [aux_sym_struct_repeat1] = aux_sym_struct_repeat1,
  [aux_sym_identifier_repeat1] = aux_sym_identifier_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_quantitve_like_patterns_repeat1] = aux_sym_quantitve_like_patterns_repeat1,
  [aux_sym_casewhen_expression_repeat1] = aux_sym_casewhen_expression_repeat1,
  [anon_alias_sym_ADD_COLUMN] = anon_alias_sym_ADD_COLUMN,
  [anon_alias_sym_ALTER] = anon_alias_sym_ALTER,
  [anon_alias_sym_ALTER_SCHEMA] = anon_alias_sym_ALTER_SCHEMA,
  [anon_alias_sym_COLLATE] = anon_alias_sym_COLLATE,
  [anon_alias_sym_DISTINCT] = anon_alias_sym_DISTINCT,
  [anon_alias_sym_DROP_COLUMN] = anon_alias_sym_DROP_COLUMN,
  [anon_alias_sym_DROP_CONSTRAINT] = anon_alias_sym_DROP_CONSTRAINT,
  [anon_alias_sym_DROP_DEFAULT] = anon_alias_sym_DROP_DEFAULT,
  [anon_alias_sym_DROP_NOT_NULL] = anon_alias_sym_DROP_NOT_NULL,
  [anon_alias_sym_DROP_PRIMARY_KEY] = anon_alias_sym_DROP_PRIMARY_KEY,
  [anon_alias_sym_DROP_SCHEMA] = anon_alias_sym_DROP_SCHEMA,
  [anon_alias_sym_END] = anon_alias_sym_END,
  [anon_alias_sym_END_LOOP] = anon_alias_sym_END_LOOP,
  [anon_alias_sym_END_REPEAT] = anon_alias_sym_END_REPEAT,
  [anon_alias_sym_END_WHILE] = anon_alias_sym_END_WHILE,
  [anon_alias_sym_EXCEPT_DISTINCT] = anon_alias_sym_EXCEPT_DISTINCT,
  [anon_alias_sym_EXISTS] = anon_alias_sym_EXISTS,
  [anon_alias_sym_FOR] = anon_alias_sym_FOR,
  [anon_alias_sym_IF_EXISTS] = anon_alias_sym_IF_EXISTS,
  [anon_alias_sym_NOT] = anon_alias_sym_NOT,
  [anon_alias_sym_NOT_ENFORCED] = anon_alias_sym_NOT_ENFORCED,
  [anon_alias_sym_NULL] = anon_alias_sym_NULL,
  [anon_alias_sym_OFFSET] = anon_alias_sym_OFFSET,
  [anon_alias_sym_OR] = anon_alias_sym_OR,
  [anon_alias_sym_PARTITION_BY] = anon_alias_sym_PARTITION_BY,
  [anon_alias_sym_RENAME_COLUMN] = anon_alias_sym_RENAME_COLUMN,
  [anon_alias_sym_SCHEMA] = anon_alias_sym_SCHEMA,
  [anon_alias_sym_SET_DEFAULT] = anon_alias_sym_SET_DEFAULT,
  [anon_alias_sym_TABLE_FUNCTION] = anon_alias_sym_TABLE_FUNCTION,
  [anon_alias_sym_UNBOUNDED] = anon_alias_sym_UNBOUNDED,
  [anon_alias_sym_UNBOUNDED_FOLLOWING] = anon_alias_sym_UNBOUNDED_FOLLOWING,
  [anon_alias_sym_UNION_DISTINCT] = anon_alias_sym_UNION_DISTINCT,
  [anon_alias_sym_UPDATE_SET] = anon_alias_sym_UPDATE_SET,
  [anon_alias_sym_WHEN] = anon_alias_sym_WHEN,
  [anon_alias_sym_WHEN_NOT_MATCHED] = anon_alias_sym_WHEN_NOT_MATCHED,
  [anon_alias_sym_WITH] = anon_alias_sym_WITH,
  [anon_alias_sym_WITH_CONNECTION] = anon_alias_sym_WITH_CONNECTION,
  [alias_sym_between_from] = alias_sym_between_from,
  [alias_sym_connection_path] = alias_sym_connection_path,
  [alias_sym_create_table_function_parameters] = alias_sym_create_table_function_parameters,
  [alias_sym_datetime_part] = alias_sym_datetime_part,
  [alias_sym_distinct] = alias_sym_distinct,
  [alias_sym_else_statement] = alias_sym_else_statement,
  [alias_sym_elseif_statement] = alias_sym_elseif_statement,
  [alias_sym_having_expression] = alias_sym_having_expression,
  [alias_sym_input_column] = alias_sym_input_column,
  [alias_sym_language] = alias_sym_language,
  [alias_sym_like_pattern] = alias_sym_like_pattern,
  [alias_sym_load_data_table_parameters] = alias_sym_load_data_table_parameters,
  [alias_sym_merge_condition] = alias_sym_merge_condition,
  [alias_sym_name_column] = alias_sym_name_column,
  [alias_sym_partition_columns] = alias_sym_partition_columns,
  [alias_sym_pivot_column] = alias_sym_pivot_column,
  [alias_sym_range_type] = alias_sym_range_type,
  [alias_sym_search_condition] = alias_sym_search_condition,
  [alias_sym_select_expression] = alias_sym_select_expression,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
  [alias_sym_unpivot_value] = alias_sym_unpivot_value,
  [alias_sym_until_clause] = alias_sym_until_clause,
  [alias_sym_using_expression] = alias_sym_using_expression,
  [alias_sym_variable_type] = alias_sym_variable_type,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym__unquoted_identifier] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_keyword_if_not_exists_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_keyword_if_not_exists_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_keyword_if_not_exists_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_keyword_temporary_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_keyword_temporary_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_keyword_replace_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_keyword_replace_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_alter_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_from_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_distinct_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_format_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_delete_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_tablesuffix_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_begin_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_end_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_struct_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_range_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_array_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_returns_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_between_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_case_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_when_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_then_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_else_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_is_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_in_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_and_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_like_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_repeat_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_as_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_cast_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_cast_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_window_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_partition_by_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_partition_by_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_date_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_datetime_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_time_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_timestamp_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_for_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_partitiontime_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_system_as_of_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_system_as_of_token2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_declare_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_default_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_set_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_set_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_execute_immadiate_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_execute_immadiate_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_into_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_using_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_return_satement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_call_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_begin_exception_end_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_begin_exception_end_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_if_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_loop_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_repeat_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_break_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_leave_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_continue_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_iterate_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_raise_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_raise_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_assert_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_create_schema_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_create_schema_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_drop_schema_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_drop_schema_option_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_drop_schema_option_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_create_table_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_create_table_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_create_table_statement_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_clone_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_default_collate_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_copy_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_create_snapshot_table_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_create_external_table_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_partition_columns_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_partition_columns_clause_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_alter_table_rename_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_alter_table_rename_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_add_column_action_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_add_column_action_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_set_data_type_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_set_data_type_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_drop_notnull_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_constraint_enfoce_option_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_primary_key_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_primary_key_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreign_key_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreign_key_references_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_add_foreign_key_action_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_drop_table_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_option_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_partition_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_partition_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_partition_expression_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_partition_expression_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_partition_expression_token5] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_partition_expression_token6] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_partition_expression_token7] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_partition_expression_token8] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_partition_expression_token9] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_partition_expression_token10] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_table_cluster_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_create_function_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_create_remote_function_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_create_remote_function_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__function_language_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_create_procedure_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_argument_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_argument_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_create_model_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_transoform_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_set_operation_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_set_operation_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_set_operation_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_set_operation_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_select_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_select_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_having_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_qualify_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_limit_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_limit_clause_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_group_by_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_grouping_sets_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_grouping_sets_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_rollup_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_cube_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_rows_range_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_window_numeric_preceding_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_window_numeric_following_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_keyword_unbounded_preceding_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_keyword_current_row_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_keyword_current_row_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_aggregation_threshold_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_OPTIONS] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_differential_privacy_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__direction_keywords_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__direction_keywords_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__nulls_preference_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__nulls_preference_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__nulls_preference_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_order_by_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_where_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_cte_clause_token1] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_pivot_operator_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_unpivot_operator_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_unpivot_operator_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_unpivot_operator_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_tablesample_operator_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_tablesample_operator_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_tablesample_operator_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_join_type_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_join_type_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_join_type_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_join_type_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_join_type_token5] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__cross_join_operation_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__cross_join_operation_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_join_condition_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_analytics_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_function_call_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_function_call_token2] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_having_max_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_having_min_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_unnest_operator_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_insert_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_values_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_truncate_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_update_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_merge_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_merge_matched_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_merge_not_matched_by_target_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_merge_not_matched_by_source_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_grant_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_grant_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_revoke_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_privilege_role] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_user] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_group] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_serviceAccount] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_domain] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_specialGroup] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_privilege_user_token1] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_export_data_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AS] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_load_data_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_load_data_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_from_files_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_TRUE_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_FALSE_token1] = {
    .visible = true,
    .named = false,
  },
  [sym__integer] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__float_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__float_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__float_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_numeric_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_numeric_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_numeric_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_numeric_token4] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_interval_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_range_content_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_json_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_system_variable] = {
    .visible = true,
    .named = true,
  },
  [sym__named_query_parameter] = {
    .visible = false,
    .named = true,
  },
  [sym__positional_query_parameter] = {
    .visible = false,
    .named = true,
  },
  [sym__quoted_identifier] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_operator_compare] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_quantitve_like_operator_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_quantitve_like_operator_token2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_argument_reference_token1] = {
    .visible = false,
    .named = false,
  },
  [sym__string_start] = {
    .visible = false,
    .named = true,
  },
  [sym__string_content] = {
    .visible = false,
    .named = true,
  },
  [sym__string_end] = {
    .visible = false,
    .named = true,
  },
  [sym_source_file] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_if_not_exists] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_if_exists] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_temporary] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_replace] = {
    .visible = true,
    .named = true,
  },
  [sym__keyword_alter] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_from] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_distinct] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_format] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_delete] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_end] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_struct] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_range] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_array] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_returns] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_between] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_case] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_when] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_then] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_else] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_is] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_in] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_not] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_and] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_or] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_like] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_repeat] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_as] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_cast] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_window] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_partition_by] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_date] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_datetime] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_time] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_timestamp] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_for] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_system_as_of] = {
    .visible = false,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__statement_list] = {
    .visible = false,
    .named = false,
  },
  [sym_declare_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_default_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_set_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_execute_immadiate_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_into_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_using_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_return_satement] = {
    .visible = true,
    .named = true,
  },
  [sym_call_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_begin_end_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_begin_exception_end_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_loop_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_repeat_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_in_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_leave_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_iterate_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_raise_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_assert_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_create_schema_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_alter_schema_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_schema_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_schema_option] = {
    .visible = true,
    .named = true,
  },
  [sym_create_table_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_create_table_like_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_like_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_create_table_clone_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_clone_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_create_table_copy_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_default_collate_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_copy_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_create_snapshot_table_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_create_external_table_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_partition_columns_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_system_time_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_alter_table_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_alter_table_rename_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_alter_table_column_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_alter_column_actions_list] = {
    .visible = true,
    .named = true,
  },
  [sym_add_column_action] = {
    .visible = true,
    .named = true,
  },
  [sym_rename_column_action] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_column_action] = {
    .visible = true,
    .named = true,
  },
  [sym_alter_column_action] = {
    .visible = true,
    .named = true,
  },
  [sym_set_option] = {
    .visible = true,
    .named = true,
  },
  [sym_set_data_type] = {
    .visible = true,
    .named = true,
  },
  [sym_set_default] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_notnull] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_default] = {
    .visible = true,
    .named = true,
  },
  [sym_column_list] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint_enfoce_option] = {
    .visible = true,
    .named = true,
  },
  [sym_primary_key] = {
    .visible = true,
    .named = true,
  },
  [sym_add_primary_key_action] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_primary_key_action] = {
    .visible = true,
    .named = true,
  },
  [sym_foreign_key] = {
    .visible = true,
    .named = true,
  },
  [sym_foreign_key_references] = {
    .visible = true,
    .named = true,
  },
  [sym_add_foreign_key_action] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_constraint_action] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_table_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_create_table_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_option_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_option_item] = {
    .visible = true,
    .named = true,
  },
  [sym_column_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_collate_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_column_type] = {
    .visible = true,
    .named = true,
  },
  [sym__column_definition_type_array] = {
    .visible = false,
    .named = true,
  },
  [sym__column_definition_type_struct] = {
    .visible = false,
    .named = true,
  },
  [sym_partition_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_table_partition_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_table_cluster_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_create_function_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_create_remote_function_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__function_body_sql] = {
    .visible = true,
    .named = true,
  },
  [sym__function_body_js] = {
    .visible = true,
    .named = true,
  },
  [sym_create_function_return_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_function_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_create_table_function_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_create_table_function_body] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_table_function_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_create_table_function_returns] = {
    .visible = true,
    .named = true,
  },
  [sym__function_language] = {
    .visible = false,
    .named = true,
  },
  [sym_create_function_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_create_function_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_create_procedure_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_procedure_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_procedure_body] = {
    .visible = true,
    .named = true,
  },
  [sym_procedure_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_procedure_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_create_model_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_transoform_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_model_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_query_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_set_operation] = {
    .visible = true,
    .named = true,
  },
  [sym_query_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_select] = {
    .visible = true,
    .named = true,
  },
  [sym_select_list] = {
    .visible = true,
    .named = true,
  },
  [sym_select_all] = {
    .visible = true,
    .named = true,
  },
  [sym_select_all_except] = {
    .visible = true,
    .named = true,
  },
  [sym_select_all_replace] = {
    .visible = true,
    .named = true,
  },
  [sym_select_replace_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_having_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_qualify_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_limit_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_group_by_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__grouping_list] = {
    .visible = false,
    .named = true,
  },
  [sym_grouping_sets] = {
    .visible = true,
    .named = true,
  },
  [sym_grouping_item_sets] = {
    .visible = true,
    .named = true,
  },
  [sym_rollup] = {
    .visible = true,
    .named = true,
  },
  [sym_cube] = {
    .visible = true,
    .named = true,
  },
  [sym_grouping_empty] = {
    .visible = true,
    .named = true,
  },
  [sym_grouping_item] = {
    .visible = true,
    .named = true,
  },
  [sym_over_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_window_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_window_partition_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_window_frame_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_rows_range] = {
    .visible = true,
    .named = true,
  },
  [sym_window_frame_start] = {
    .visible = true,
    .named = true,
  },
  [sym_window_frame_between] = {
    .visible = true,
    .named = true,
  },
  [sym__window_frame_end_a] = {
    .visible = true,
    .named = true,
  },
  [sym__window_frame_end_b] = {
    .visible = false,
    .named = true,
  },
  [sym__window_frame_end_c] = {
    .visible = true,
    .named = true,
  },
  [sym_window_numeric_preceding] = {
    .visible = true,
    .named = true,
  },
  [sym_window_numeric_following] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_unbounded_preceding] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_unbounded_following] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_current_row] = {
    .visible = true,
    .named = true,
  },
  [sym_named_window_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_aggregation_threshold_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_differential_privacy_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_window_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_order_by_clause_body] = {
    .visible = true,
    .named = true,
  },
  [sym__direction_keywords] = {
    .visible = false,
    .named = true,
  },
  [sym__nulls_preference] = {
    .visible = false,
    .named = true,
  },
  [sym_order_by_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_where_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__aliasable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_as_alias] = {
    .visible = true,
    .named = true,
  },
  [sym_cte_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_cte] = {
    .visible = true,
    .named = true,
  },
  [sym_from_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_pivot_value] = {
    .visible = true,
    .named = true,
  },
  [sym_pivot_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_unpivot_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_single_column_unpivot] = {
    .visible = true,
    .named = true,
  },
  [sym_multi_column_unpivot] = {
    .visible = true,
    .named = true,
  },
  [sym_unpivot_column] = {
    .visible = true,
    .named = true,
  },
  [sym_tablesample_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_from_item] = {
    .visible = true,
    .named = true,
  },
  [sym_join_operation] = {
    .visible = true,
    .named = true,
  },
  [sym_join_type] = {
    .visible = true,
    .named = true,
  },
  [sym__cross_join_operation] = {
    .visible = false,
    .named = true,
  },
  [sym__conditional_join_operator] = {
    .visible = false,
    .named = true,
  },
  [sym_join_condition] = {
    .visible = true,
    .named = true,
  },
  [sym_select_subexpression] = {
    .visible = true,
    .named = true,
  },
  [sym_analytics_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_bigquery_resource] = {
    .visible = true,
    .named = true,
  },
  [sym_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_function_call] = {
    .visible = true,
    .named = true,
  },
  [sym_having_max_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_having_min_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_unnest_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_unnest_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_unnest_withoffset] = {
    .visible = true,
    .named = true,
  },
  [sym_insert_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_insert_columns] = {
    .visible = true,
    .named = true,
  },
  [sym_values_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_value_element] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_truncate_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_update_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_set_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_update_item] = {
    .visible = true,
    .named = true,
  },
  [sym__assigment_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_merge_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_merge_matched_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_merge_not_matched_by_target_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_merge_not_matched_by_source_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_merge_update_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_merge_delete_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_merge_insert_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_grant_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_revoke_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_privilege_user] = {
    .visible = true,
    .named = true,
  },
  [sym_object_type] = {
    .visible = true,
    .named = true,
  },
  [sym_export_data_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_load_data_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_connection_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_from_files_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__literal] = {
    .visible = false,
    .named = true,
  },
  [sym_NULL] = {
    .visible = true,
    .named = true,
  },
  [sym_TRUE] = {
    .visible = true,
    .named = true,
  },
  [sym_FALSE] = {
    .visible = true,
    .named = true,
  },
  [sym__float] = {
    .visible = false,
    .named = true,
  },
  [sym__float_or_integer] = {
    .visible = false,
    .named = true,
  },
  [sym_numeric] = {
    .visible = true,
    .named = true,
  },
  [sym__number] = {
    .visible = false,
    .named = true,
  },
  [sym_interval] = {
    .visible = true,
    .named = true,
  },
  [sym_range_boundary_start] = {
    .visible = true,
    .named = true,
  },
  [sym_range_boundary_end] = {
    .visible = true,
    .named = true,
  },
  [sym_range_content] = {
    .visible = true,
    .named = true,
  },
  [sym_range_start] = {
    .visible = true,
    .named = true,
  },
  [sym_range_end] = {
    .visible = true,
    .named = true,
  },
  [sym__range_string] = {
    .visible = true,
    .named = true,
  },
  [sym_range] = {
    .visible = true,
    .named = true,
  },
  [sym_time] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_json] = {
    .visible = true,
    .named = true,
  },
  [sym_query_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = true,
    .named = true,
  },
  [sym__bqtype] = {
    .visible = false,
    .named = true,
  },
  [sym__type_chrono] = {
    .visible = false,
    .named = true,
  },
  [sym__type_struct] = {
    .visible = false,
    .named = true,
  },
  [sym__type_array] = {
    .visible = false,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_struct] = {
    .visible = true,
    .named = true,
  },
  [sym__identifier] = {
    .visible = false,
    .named = true,
  },
  [sym__dotted_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__base_type] = {
    .visible = false,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym__parenthesized_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_element_access] = {
    .visible = true,
    .named = true,
  },
  [sym_field_access] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_like_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_quantitve_like_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_quantitve_like_patterns] = {
    .visible = true,
    .named = true,
  },
  [sym_between_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_casewhen_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_casewhen_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_caseelse_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_format_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_asterisk_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_reference] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_source_file_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declare_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_set_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_using_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_call_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_alter_column_actions_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_create_table_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_option_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_column_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__column_definition_type_struct_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_create_function_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_procedure_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_select_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_select_all_except_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_select_all_replace_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_group_by_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__grouping_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_grouping_sets_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_window_partition_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_order_by_clause_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cte_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pivot_operator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pivot_operator_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_single_column_unpivot_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_multi_column_unpivot_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_join_condition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_call_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_values_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_set_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_merge_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_grant_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_grant_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_struct_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_struct_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_identifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_quantitve_like_patterns_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_casewhen_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [anon_alias_sym_ADD_COLUMN] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_ALTER] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_ALTER_SCHEMA] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_COLLATE] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_DISTINCT] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_DROP_COLUMN] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_DROP_CONSTRAINT] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_DROP_DEFAULT] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_DROP_NOT_NULL] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_DROP_PRIMARY_KEY] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_DROP_SCHEMA] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_END] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_END_LOOP] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_END_REPEAT] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_END_WHILE] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_EXCEPT_DISTINCT] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_EXISTS] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_FOR] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_IF_EXISTS] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_NOT] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_NOT_ENFORCED] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_NULL] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_OFFSET] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_OR] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_PARTITION_BY] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_RENAME_COLUMN] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_SCHEMA] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_SET_DEFAULT] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_TABLE_FUNCTION] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_UNBOUNDED] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_UNBOUNDED_FOLLOWING] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_UNION_DISTINCT] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_UPDATE_SET] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_WHEN] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_WHEN_NOT_MATCHED] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_WITH] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_WITH_CONNECTION] = {
    .visible = true,
    .named = false,
  },
  [alias_sym_between_from] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_connection_path] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_create_table_function_parameters] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_datetime_part] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_distinct] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_else_statement] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_elseif_statement] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_having_expression] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_input_column] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_language] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_like_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_load_data_table_parameters] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_merge_condition] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_name_column] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_partition_columns] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_pivot_column] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_range_type] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_search_condition] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_select_expression] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_unpivot_value] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_until_clause] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_using_expression] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_variable_type] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_actions = 1,
  field_alias = 2,
  field_alias_name = 3,
  field_argument = 4,
  field_argument_mode = 5,
  field_collate_clause = 6,
  field_column_list = 7,
  field_column_name = 8,
  field_column_schema = 9,
  field_column_type = 10,
  field_connection_name = 11,
  field_constraint_clause = 12,
  field_constraint_name = 13,
  field_default = 14,
  field_default_value = 15,
  field_else_result = 16,
  field_except_key = 17,
  field_exp = 18,
  field_expr = 19,
  field_format_type = 20,
  field_from = 21,
  field_function = 22,
  field_key = 23,
  field_keys = 24,
  field_keyword = 25,
  field_left = 26,
  field_load_option_list = 27,
  field_match_condition = 28,
  field_match_result = 29,
  field_model_name = 30,
  field_new_column_name = 31,
  field_new_table_name = 32,
  field_not_null = 33,
  field_nulls_preference = 34,
  field_operator = 35,
  field_option = 36,
  field_order = 37,
  field_referenced_column_list = 38,
  field_referenced_table_name = 39,
  field_resource_type = 40,
  field_right = 41,
  field_routine_name = 42,
  field_sample_rate = 43,
  field_schema_name = 44,
  field_source_name = 45,
  field_source_table_name = 46,
  field_table_name = 47,
  field_to = 48,
  field_value = 49,
  field_variable_type = 50,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_actions] = "actions",
  [field_alias] = "alias",
  [field_alias_name] = "alias_name",
  [field_argument] = "argument",
  [field_argument_mode] = "argument_mode",
  [field_collate_clause] = "collate_clause",
  [field_column_list] = "column_list",
  [field_column_name] = "column_name",
  [field_column_schema] = "column_schema",
  [field_column_type] = "column_type",
  [field_connection_name] = "connection_name",
  [field_constraint_clause] = "constraint_clause",
  [field_constraint_name] = "constraint_name",
  [field_default] = "default",
  [field_default_value] = "default_value",
  [field_else_result] = "else_result",
  [field_except_key] = "except_key",
  [field_exp] = "exp",
  [field_expr] = "expr",
  [field_format_type] = "format_type",
  [field_from] = "from",
  [field_function] = "function",
  [field_key] = "key",
  [field_keys] = "keys",
  [field_keyword] = "keyword",
  [field_left] = "left",
  [field_load_option_list] = "load_option_list",
  [field_match_condition] = "match_condition",
  [field_match_result] = "match_result",
  [field_model_name] = "model_name",
  [field_new_column_name] = "new_column_name",
  [field_new_table_name] = "new_table_name",
  [field_not_null] = "not_null",
  [field_nulls_preference] = "nulls_preference",
  [field_operator] = "operator",
  [field_option] = "option",
  [field_order] = "order",
  [field_referenced_column_list] = "referenced_column_list",
  [field_referenced_table_name] = "referenced_table_name",
  [field_resource_type] = "resource_type",
  [field_right] = "right",
  [field_routine_name] = "routine_name",
  [field_sample_rate] = "sample_rate",
  [field_schema_name] = "schema_name",
  [field_source_name] = "source_name",
  [field_source_table_name] = "source_table_name",
  [field_table_name] = "table_name",
  [field_to] = "to",
  [field_value] = "value",
  [field_variable_type] = "variable_type",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [9] = {.index = 0, .length = 1},
  [10] = {.index = 1, .length = 1},
  [11] = {.index = 0, .length = 1},
  [13] = {.index = 2, .length = 2},
  [14] = {.index = 4, .length = 1},
  [17] = {.index = 5, .length = 1},
  [19] = {.index = 6, .length = 1},
  [20] = {.index = 7, .length = 1},
  [21] = {.index = 8, .length = 1},
  [22] = {.index = 6, .length = 1},
  [23] = {.index = 9, .length = 1},
  [24] = {.index = 10, .length = 1},
  [25] = {.index = 7, .length = 1},
  [27] = {.index = 1, .length = 1},
  [30] = {.index = 11, .length = 1},
  [31] = {.index = 12, .length = 3},
  [32] = {.index = 12, .length = 3},
  [34] = {.index = 6, .length = 1},
  [35] = {.index = 15, .length = 1},
  [36] = {.index = 16, .length = 1},
  [38] = {.index = 17, .length = 1},
  [39] = {.index = 18, .length = 1},
  [40] = {.index = 18, .length = 1},
  [41] = {.index = 18, .length = 1},
  [42] = {.index = 19, .length = 1},
  [43] = {.index = 17, .length = 1},
  [44] = {.index = 20, .length = 1},
  [45] = {.index = 18, .length = 1},
  [46] = {.index = 18, .length = 1},
  [47] = {.index = 20, .length = 1},
  [48] = {.index = 21, .length = 1},
  [49] = {.index = 22, .length = 1},
  [52] = {.index = 23, .length = 2},
  [54] = {.index = 25, .length = 2},
  [55] = {.index = 25, .length = 2},
  [56] = {.index = 25, .length = 2},
  [57] = {.index = 25, .length = 2},
  [58] = {.index = 27, .length = 2},
  [59] = {.index = 29, .length = 1},
  [60] = {.index = 30, .length = 1},
  [61] = {.index = 31, .length = 2},
  [62] = {.index = 1, .length = 1},
  [63] = {.index = 27, .length = 2},
  [65] = {.index = 33, .length = 4},
  [66] = {.index = 17, .length = 1},
  [68] = {.index = 37, .length = 2},
  [72] = {.index = 39, .length = 1},
  [74] = {.index = 40, .length = 1},
  [75] = {.index = 40, .length = 1},
  [76] = {.index = 40, .length = 1},
  [77] = {.index = 40, .length = 1},
  [78] = {.index = 40, .length = 1},
  [79] = {.index = 41, .length = 1},
  [80] = {.index = 42, .length = 1},
  [81] = {.index = 40, .length = 1},
  [82] = {.index = 40, .length = 1},
  [84] = {.index = 43, .length = 1},
  [87] = {.index = 44, .length = 1},
  [88] = {.index = 45, .length = 1},
  [89] = {.index = 46, .length = 1},
  [90] = {.index = 47, .length = 2},
  [92] = {.index = 49, .length = 3},
  [94] = {.index = 52, .length = 2},
  [96] = {.index = 54, .length = 2},
  [97] = {.index = 56, .length = 1},
  [98] = {.index = 57, .length = 3},
  [99] = {.index = 60, .length = 2},
  [100] = {.index = 62, .length = 1},
  [101] = {.index = 49, .length = 3},
  [104] = {.index = 63, .length = 3},
  [105] = {.index = 66, .length = 5},
  [107] = {.index = 71, .length = 3},
  [110] = {.index = 74, .length = 2},
  [113] = {.index = 76, .length = 1},
  [114] = {.index = 76, .length = 1},
  [115] = {.index = 76, .length = 1},
  [116] = {.index = 76, .length = 1},
  [119] = {.index = 77, .length = 1},
  [120] = {.index = 78, .length = 1},
  [121] = {.index = 18, .length = 1},
  [122] = {.index = 79, .length = 1},
  [124] = {.index = 80, .length = 1},
  [125] = {.index = 81, .length = 2},
  [128] = {.index = 83, .length = 2},
  [129] = {.index = 83, .length = 2},
  [130] = {.index = 85, .length = 2},
  [131] = {.index = 87, .length = 3},
  [132] = {.index = 90, .length = 3},
  [133] = {.index = 93, .length = 4},
  [134] = {.index = 1, .length = 1},
  [136] = {.index = 97, .length = 3},
  [140] = {.index = 100, .length = 6},
  [141] = {.index = 106, .length = 3},
  [143] = {.index = 20, .length = 1},
  [144] = {.index = 109, .length = 1},
  [145] = {.index = 110, .length = 3},
  [146] = {.index = 113, .length = 3},
  [147] = {.index = 116, .length = 3},
  [148] = {.index = 119, .length = 3},
  [149] = {.index = 122, .length = 1},
  [150] = {.index = 42, .length = 1},
  [151] = {.index = 123, .length = 1},
  [152] = {.index = 25, .length = 2},
  [153] = {.index = 124, .length = 1},
  [154] = {.index = 125, .length = 2},
  [155] = {.index = 127, .length = 2},
  [156] = {.index = 10, .length = 1},
  [157] = {.index = 129, .length = 2},
  [159] = {.index = 131, .length = 2},
  [160] = {.index = 133, .length = 2},
  [161] = {.index = 79, .length = 1},
  [162] = {.index = 135, .length = 1},
  [163] = {.index = 136, .length = 1},
  [164] = {.index = 80, .length = 1},
  [165] = {.index = 137, .length = 1},
  [166] = {.index = 138, .length = 1},
  [167] = {.index = 139, .length = 4},
  [169] = {.index = 143, .length = 1},
  [173] = {.index = 42, .length = 1},
  [174] = {.index = 144, .length = 4},
  [176] = {.index = 148, .length = 4},
  [177] = {.index = 152, .length = 4},
  [178] = {.index = 156, .length = 4},
  [179] = {.index = 160, .length = 4},
  [180] = {.index = 164, .length = 4},
  [181] = {.index = 168, .length = 4},
  [184] = {.index = 42, .length = 1},
  [185] = {.index = 7, .length = 1},
  [186] = {.index = 172, .length = 2},
  [187] = {.index = 10, .length = 1},
  [188] = {.index = 129, .length = 2},
  [189] = {.index = 174, .length = 2},
  [190] = {.index = 135, .length = 1},
  [192] = {.index = 176, .length = 2},
  [193] = {.index = 136, .length = 1},
  [194] = {.index = 178, .length = 2},
  [198] = {.index = 180, .length = 5},
  [199] = {.index = 185, .length = 5},
  [200] = {.index = 190, .length = 5},
  [201] = {.index = 195, .length = 5},
  [202] = {.index = 200, .length = 5},
  [203] = {.index = 205, .length = 5},
  [204] = {.index = 210, .length = 5},
  [205] = {.index = 215, .length = 5},
  [206] = {.index = 220, .length = 5},
  [207] = {.index = 225, .length = 2},
  [208] = {.index = 227, .length = 1},
  [209] = {.index = 227, .length = 1},
  [210] = {.index = 7, .length = 1},
  [211] = {.index = 172, .length = 2},
  [212] = {.index = 228, .length = 2},
  [213] = {.index = 10, .length = 1},
  [214] = {.index = 129, .length = 2},
  [215] = {.index = 174, .length = 2},
  [216] = {.index = 230, .length = 1},
  [217] = {.index = 231, .length = 1},
  [219] = {.index = 232, .length = 2},
  [221] = {.index = 234, .length = 1},
  [222] = {.index = 234, .length = 1},
  [224] = {.index = 235, .length = 6},
  [225] = {.index = 241, .length = 6},
  [226] = {.index = 247, .length = 6},
  [227] = {.index = 253, .length = 6},
  [228] = {.index = 259, .length = 6},
  [229] = {.index = 265, .length = 6},
  [230] = {.index = 271, .length = 6},
  [231] = {.index = 277, .length = 6},
  [232] = {.index = 283, .length = 6},
  [233] = {.index = 289, .length = 6},
  [234] = {.index = 295, .length = 2},
  [238] = {.index = 297, .length = 1},
  [239] = {.index = 298, .length = 1},
  [240] = {.index = 7, .length = 1},
  [241] = {.index = 172, .length = 2},
  [242] = {.index = 228, .length = 2},
  [243] = {.index = 10, .length = 1},
  [244] = {.index = 174, .length = 2},
  [245] = {.index = 299, .length = 2},
  [246] = {.index = 301, .length = 1},
  [249] = {.index = 302, .length = 7},
  [250] = {.index = 309, .length = 7},
  [251] = {.index = 316, .length = 7},
  [252] = {.index = 323, .length = 7},
  [253] = {.index = 330, .length = 7},
  [254] = {.index = 337, .length = 7},
  [255] = {.index = 344, .length = 7},
  [256] = {.index = 351, .length = 7},
  [257] = {.index = 358, .length = 2},
  [258] = {.index = 360, .length = 1},
  [259] = {.index = 361, .length = 2},
  [260] = {.index = 363, .length = 2},
  [261] = {.index = 7, .length = 1},
  [262] = {.index = 228, .length = 2},
  [265] = {.index = 365, .length = 8},
  [266] = {.index = 373, .length = 8},
  [267] = {.index = 381, .length = 2},
  [268] = {.index = 383, .length = 8},
  [269] = {.index = 391, .length = 8},
  [270] = {.index = 399, .length = 8},
  [271] = {.index = 407, .length = 2},
  [274] = {.index = 409, .length = 9},
  [275] = {.index = 418, .length = 9},
  [276] = {.index = 427, .length = 9},
  [281] = {.index = 436, .length = 10},
  [284] = {.index = 446, .length = 1},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_operator, 0},
  [1] =
    {field_function, 0},
  [2] =
    {field_operator, 0},
    {field_value, 1},
  [4] =
    {field_alias_name, 0},
  [5] =
    {field_variable_type, 2},
  [6] =
    {field_schema_name, 2},
  [7] =
    {field_table_name, 2},
  [8] =
    {field_model_name, 2},
  [9] =
    {field_routine_name, 2},
  [10] =
    {field_table_name, 1},
  [11] =
    {field_alias_name, 1},
  [12] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [15] =
    {field_variable_type, 3},
  [16] =
    {field_routine_name, 1},
  [17] =
    {field_schema_name, 3},
  [18] =
    {field_table_name, 3},
  [19] =
    {field_model_name, 3},
  [20] =
    {field_routine_name, 3},
  [21] =
    {field_operator, 0, .inherited = true},
  [22] =
    {field_table_name, 0},
  [23] =
    {field_actions, 3},
    {field_table_name, 2},
  [25] =
    {field_operator, 1},
    {field_operator, 2},
  [27] =
    {field_argument, 2},
    {field_function, 0},
  [29] =
    {field_expr, 1},
  [30] =
    {field_else_result, 1},
  [31] =
    {field_resource_type, 0},
    {field_resource_type, 1},
  [33] =
    {field_left, 0},
    {field_operator, 1},
    {field_operator, 2},
    {field_right, 3},
  [37] =
    {field_argument, 3},
    {field_routine_name, 1},
  [39] =
    {field_source_table_name, 1},
  [40] =
    {field_table_name, 4},
  [41] =
    {field_model_name, 4},
  [42] =
    {field_routine_name, 4},
  [43] =
    {field_connection_name, 2},
  [44] =
    {field_order, 0},
  [45] =
    {field_order, 1, .inherited = true},
  [46] =
    {field_nulls_preference, 1, .inherited = true},
  [47] =
    {field_nulls_preference, 1, .inherited = true},
    {field_order, 1, .inherited = true},
  [49] =
    {field_argument, 2},
    {field_argument, 3},
    {field_function, 0},
  [52] =
    {field_match_condition, 1},
    {field_match_result, 3},
  [54] =
    {field_argument, 3},
    {field_function, 0},
  [56] =
    {field_argument, 1},
  [57] =
    {field_argument, 2},
    {field_argument, 3, .inherited = true},
    {field_function, 0},
  [60] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [62] =
    {field_keyword, 0},
  [63] =
    {field_exp, 0},
    {field_from, 2},
    {field_to, 4},
  [66] =
    {field_left, 0},
    {field_operator, 1},
    {field_operator, 2},
    {field_operator, 3},
    {field_right, 4},
  [71] =
    {field_argument, 3},
    {field_argument, 4, .inherited = true},
    {field_routine_name, 1},
  [74] =
    {field_column_name, 0},
    {field_column_type, 1},
  [76] =
    {field_table_name, 5},
  [77] =
    {field_operator, 1},
  [78] =
    {field_except_key, 2},
  [79] =
    {field_column_name, 2},
  [80] =
    {field_constraint_name, 2},
  [81] =
    {field_new_table_name, 5},
    {field_table_name, 2},
  [83] =
    {field_nulls_preference, 0},
    {field_nulls_preference, 1},
  [85] =
    {field_nulls_preference, 2, .inherited = true},
    {field_order, 1, .inherited = true},
  [87] =
    {field_nulls_preference, 2, .inherited = true},
    {field_order, 1, .inherited = true},
    {field_order, 2, .inherited = true},
  [90] =
    {field_nulls_preference, 1, .inherited = true},
    {field_nulls_preference, 2, .inherited = true},
    {field_order, 2, .inherited = true},
  [93] =
    {field_nulls_preference, 0, .inherited = true},
    {field_nulls_preference, 1, .inherited = true},
    {field_order, 0, .inherited = true},
    {field_order, 1, .inherited = true},
  [97] =
    {field_argument, 3},
    {field_argument, 4, .inherited = true},
    {field_function, 0},
  [100] =
    {field_left, 0},
    {field_operator, 1},
    {field_operator, 2},
    {field_operator, 3},
    {field_operator, 4},
    {field_right, 5},
  [106] =
    {field_exp, 0},
    {field_from, 3},
    {field_to, 5},
  [109] =
    {field_constraint_name, 1},
  [110] =
    {field_column_name, 0},
    {field_column_type, 1},
    {field_default, 2},
  [113] =
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 2},
  [116] =
    {field_column_name, 0},
    {field_column_type, 1},
    {field_option, 2},
  [119] =
    {field_collate_clause, 2},
    {field_column_name, 0},
    {field_column_type, 1},
  [122] =
    {field_argument_mode, 0},
  [123] =
    {field_table_name, 6},
  [124] =
    {field_except_key, 1},
  [125] =
    {field_except_key, 2},
    {field_except_key, 3, .inherited = true},
  [127] =
    {field_except_key, 0, .inherited = true},
    {field_except_key, 1, .inherited = true},
  [129] =
    {field_source_name, 3},
    {field_table_name, 1},
  [131] =
    {field_key, 0},
    {field_value, 2},
  [133] =
    {field_new_table_name, 6},
    {field_table_name, 3},
  [135] =
    {field_column_name, 3},
  [136] =
    {field_constraint_name, 3},
  [137] =
    {field_order, 2, .inherited = true},
  [138] =
    {field_nulls_preference, 2, .inherited = true},
  [139] =
    {field_nulls_preference, 2, .inherited = true},
    {field_nulls_preference, 3, .inherited = true},
    {field_order, 1, .inherited = true},
    {field_order, 3, .inherited = true},
  [143] =
    {field_format_type, 1},
  [144] =
    {field_column_name, 0},
    {field_column_type, 1},
    {field_not_null, 2},
    {field_not_null, 3},
  [148] =
    {field_column_name, 0},
    {field_column_type, 1},
    {field_default, 2},
    {field_option, 3},
  [152] =
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 2},
    {field_default, 3},
  [156] =
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 2},
    {field_option, 3},
  [160] =
    {field_collate_clause, 2},
    {field_column_name, 0},
    {field_column_type, 1},
    {field_default, 3},
  [164] =
    {field_collate_clause, 2},
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 3},
  [168] =
    {field_collate_clause, 2},
    {field_column_name, 0},
    {field_column_type, 1},
    {field_option, 3},
  [172] =
    {field_source_name, 4},
    {field_table_name, 2},
  [174] =
    {field_source_name, 4},
    {field_table_name, 1},
  [176] =
    {field_column_name, 2},
    {field_new_column_name, 4},
  [178] =
    {field_nulls_preference, 3, .inherited = true},
    {field_order, 2, .inherited = true},
  [180] =
    {field_column_name, 0},
    {field_column_type, 1},
    {field_not_null, 2},
    {field_not_null, 3},
    {field_option, 4},
  [185] =
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 2},
    {field_constraint_clause, 3},
    {field_constraint_clause, 4},
  [190] =
    {field_column_name, 0},
    {field_column_type, 1},
    {field_default, 2},
    {field_not_null, 3},
    {field_not_null, 4},
  [195] =
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 2},
    {field_not_null, 3},
    {field_not_null, 4},
  [200] =
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 2},
    {field_default, 3},
    {field_option, 4},
  [205] =
    {field_collate_clause, 2},
    {field_column_name, 0},
    {field_column_type, 1},
    {field_not_null, 3},
    {field_not_null, 4},
  [210] =
    {field_collate_clause, 2},
    {field_column_name, 0},
    {field_column_type, 1},
    {field_default, 3},
    {field_option, 4},
  [215] =
    {field_collate_clause, 2},
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 3},
    {field_default, 4},
  [220] =
    {field_collate_clause, 2},
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 3},
    {field_option, 4},
  [225] =
    {field_connection_name, 8},
    {field_routine_name, 2},
  [227] =
    {field_routine_name, 5},
  [228] =
    {field_source_name, 5},
    {field_table_name, 2},
  [230] =
    {field_load_option_list, 3},
  [231] =
    {field_default_value, 2},
  [232] =
    {field_column_name, 3},
    {field_new_column_name, 5},
  [234] =
    {field_column_list, 3},
  [235] =
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 2},
    {field_constraint_clause, 3},
    {field_constraint_clause, 4},
    {field_default, 5},
  [241] =
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 2},
    {field_constraint_clause, 3},
    {field_constraint_clause, 4},
    {field_option, 5},
  [247] =
    {field_column_name, 0},
    {field_column_type, 1},
    {field_default, 2},
    {field_not_null, 3},
    {field_not_null, 4},
    {field_option, 5},
  [253] =
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 2},
    {field_not_null, 3},
    {field_not_null, 4},
    {field_option, 5},
  [259] =
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 2},
    {field_default, 3},
    {field_not_null, 4},
    {field_not_null, 5},
  [265] =
    {field_collate_clause, 2},
    {field_column_name, 0},
    {field_column_type, 1},
    {field_not_null, 3},
    {field_not_null, 4},
    {field_option, 5},
  [271] =
    {field_collate_clause, 2},
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 3},
    {field_constraint_clause, 4},
    {field_constraint_clause, 5},
  [277] =
    {field_collate_clause, 2},
    {field_column_name, 0},
    {field_column_type, 1},
    {field_default, 3},
    {field_not_null, 4},
    {field_not_null, 5},
  [283] =
    {field_collate_clause, 2},
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 3},
    {field_not_null, 4},
    {field_not_null, 5},
  [289] =
    {field_collate_clause, 2},
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 3},
    {field_default, 4},
    {field_option, 5},
  [295] =
    {field_connection_name, 9},
    {field_routine_name, 3},
  [297] =
    {field_sample_rate, 3},
  [298] =
    {field_keys, 2},
  [299] =
    {field_load_option_list, 3},
    {field_load_option_list, 4},
  [301] =
    {field_column_schema, 3},
  [302] =
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 2},
    {field_constraint_clause, 3},
    {field_constraint_clause, 4},
    {field_not_null, 5},
    {field_not_null, 6},
  [309] =
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 2},
    {field_constraint_clause, 3},
    {field_constraint_clause, 4},
    {field_default, 5},
    {field_option, 6},
  [316] =
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 2},
    {field_default, 3},
    {field_not_null, 4},
    {field_not_null, 5},
    {field_option, 6},
  [323] =
    {field_collate_clause, 2},
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 3},
    {field_constraint_clause, 4},
    {field_constraint_clause, 5},
    {field_default, 6},
  [330] =
    {field_collate_clause, 2},
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 3},
    {field_constraint_clause, 4},
    {field_constraint_clause, 5},
    {field_option, 6},
  [337] =
    {field_collate_clause, 2},
    {field_column_name, 0},
    {field_column_type, 1},
    {field_default, 3},
    {field_not_null, 4},
    {field_not_null, 5},
    {field_option, 6},
  [344] =
    {field_collate_clause, 2},
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 3},
    {field_not_null, 4},
    {field_not_null, 5},
    {field_option, 6},
  [351] =
    {field_collate_clause, 2},
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 3},
    {field_default, 4},
    {field_not_null, 5},
    {field_not_null, 6},
  [358] =
    {field_connection_name, 10},
    {field_routine_name, 4},
  [360] =
    {field_keys, 1},
  [361] =
    {field_keys, 2},
    {field_keys, 3, .inherited = true},
  [363] =
    {field_keys, 0, .inherited = true},
    {field_keys, 1, .inherited = true},
  [365] =
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 2},
    {field_constraint_clause, 3},
    {field_constraint_clause, 4},
    {field_not_null, 5},
    {field_not_null, 6},
    {field_option, 7},
  [373] =
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 2},
    {field_constraint_clause, 3},
    {field_constraint_clause, 4},
    {field_default, 5},
    {field_not_null, 6},
    {field_not_null, 7},
  [381] =
    {field_referenced_column_list, 3},
    {field_referenced_table_name, 1},
  [383] =
    {field_collate_clause, 2},
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 3},
    {field_constraint_clause, 4},
    {field_constraint_clause, 5},
    {field_not_null, 6},
    {field_not_null, 7},
  [391] =
    {field_collate_clause, 2},
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 3},
    {field_constraint_clause, 4},
    {field_constraint_clause, 5},
    {field_default, 6},
    {field_option, 7},
  [399] =
    {field_collate_clause, 2},
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 3},
    {field_default, 4},
    {field_not_null, 5},
    {field_not_null, 6},
    {field_option, 7},
  [407] =
    {field_connection_name, 11},
    {field_routine_name, 5},
  [409] =
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 2},
    {field_constraint_clause, 3},
    {field_constraint_clause, 4},
    {field_default, 5},
    {field_not_null, 6},
    {field_not_null, 7},
    {field_option, 8},
  [418] =
    {field_collate_clause, 2},
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 3},
    {field_constraint_clause, 4},
    {field_constraint_clause, 5},
    {field_not_null, 6},
    {field_not_null, 7},
    {field_option, 8},
  [427] =
    {field_collate_clause, 2},
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 3},
    {field_constraint_clause, 4},
    {field_constraint_clause, 5},
    {field_default, 6},
    {field_not_null, 7},
    {field_not_null, 8},
  [436] =
    {field_collate_clause, 2},
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 3},
    {field_constraint_clause, 4},
    {field_constraint_clause, 5},
    {field_default, 6},
    {field_not_null, 7},
    {field_not_null, 8},
    {field_option, 9},
  [446] =
    {field_alias, 2},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = anon_alias_sym_ALTER,
  },
  [2] = {
    [0] = anon_alias_sym_FOR,
  },
  [3] = {
    [0] = anon_alias_sym_NOT,
  },
  [4] = {
    [0] = anon_alias_sym_NULL,
  },
  [5] = {
    [1] = anon_alias_sym_END,
  },
  [6] = {
    [0] = anon_alias_sym_WITH,
  },
  [7] = {
    [0] = anon_alias_sym_DISTINCT,
  },
  [8] = {
    [0] = alias_sym_select_expression,
  },
  [9] = {
    [0] = anon_alias_sym_EXISTS,
  },
  [12] = {
    [0] = anon_alias_sym_WHEN,
  },
  [15] = {
    [0] = anon_alias_sym_OR,
  },
  [16] = {
    [2] = anon_alias_sym_END,
  },
  [17] = {
    [2] = alias_sym_variable_type,
  },
  [18] = {
    [1] = aux_sym_keyword_replace_token1,
  },
  [19] = {
    [0] = aux_sym_create_schema_statement_token2,
  },
  [22] = {
    [0] = anon_alias_sym_DROP_SCHEMA,
    [1] = anon_alias_sym_DROP_SCHEMA,
  },
  [25] = {
    [1] = aux_sym_truncate_statement_token1,
  },
  [26] = {
    [2] = alias_sym_datetime_part,
  },
  [27] = {
    [0] = sym_identifier,
  },
  [28] = {
    [0] = anon_alias_sym_END,
  },
  [29] = {
    [0] = aux_sym_limit_clause_token2,
  },
  [32] = {
    [2] = alias_sym_like_pattern,
  },
  [33] = {
    [0] = anon_alias_sym_IF_EXISTS,
    [1] = anon_alias_sym_IF_EXISTS,
  },
  [34] = {
    [0] = anon_alias_sym_ALTER_SCHEMA,
    [1] = anon_alias_sym_ALTER_SCHEMA,
  },
  [35] = {
    [3] = alias_sym_variable_type,
  },
  [37] = {
    [2] = anon_alias_sym_END_LOOP,
    [3] = anon_alias_sym_END_LOOP,
  },
  [38] = {
    [0] = aux_sym_create_schema_statement_token2,
  },
  [40] = {
    [2] = aux_sym_create_table_statement_token3,
  },
  [41] = {
    [2] = aux_sym_create_external_table_statement_token1,
  },
  [43] = {
    [0] = anon_alias_sym_DROP_SCHEMA,
    [1] = anon_alias_sym_DROP_SCHEMA,
  },
  [44] = {
    [1] = anon_alias_sym_TABLE_FUNCTION,
    [2] = anon_alias_sym_TABLE_FUNCTION,
  },
  [45] = {
    [2] = aux_sym_create_snapshot_table_statement_token1,
  },
  [46] = {
    [2] = aux_sym_drop_table_statement_token1,
  },
  [50] = {
    [1] = alias_sym_select_expression,
  },
  [51] = {
    [0] = anon_alias_sym_SCHEMA,
  },
  [53] = {
    [1] = aux_sym_order_by_clause_token1,
  },
  [54] = {
    [1] = anon_alias_sym_UNION_DISTINCT,
    [2] = anon_alias_sym_UNION_DISTINCT,
  },
  [55] = {
    [2] = aux_sym_set_operation_token1,
  },
  [56] = {
    [2] = aux_sym_set_operation_token3,
  },
  [57] = {
    [1] = anon_alias_sym_EXCEPT_DISTINCT,
    [2] = anon_alias_sym_EXCEPT_DISTINCT,
  },
  [58] = {
    [0] = sym_identifier,
  },
  [62] = {
    [2] = alias_sym_distinct,
  },
  [64] = {
    [4] = aux_sym__keyword_end_token1,
  },
  [66] = {
    [0] = anon_alias_sym_ALTER_SCHEMA,
    [1] = anon_alias_sym_ALTER_SCHEMA,
  },
  [67] = {
    [1] = alias_sym_using_expression,
  },
  [69] = {
    [3] = anon_alias_sym_END_WHILE,
    [4] = anon_alias_sym_END_WHILE,
  },
  [70] = {
    [1] = aux_sym_raise_statement_token2,
  },
  [71] = {
    [0] = aux_sym_keyword_if_not_exists_token3,
    [1] = aux_sym_keyword_if_not_exists_token3,
  },
  [73] = {
    [0] = anon_alias_sym_PARTITION_BY,
    [1] = anon_alias_sym_PARTITION_BY,
  },
  [74] = {
    [2] = aux_sym_create_table_statement_token3,
  },
  [75] = {
    [2] = aux_sym_create_external_table_statement_token1,
  },
  [77] = {
    [2] = aux_sym_create_table_statement_token3,
    [3] = aux_sym_create_table_statement_token3,
  },
  [78] = {
    [2] = aux_sym_create_external_table_statement_token1,
    [3] = aux_sym_create_external_table_statement_token1,
  },
  [80] = {
    [1] = anon_alias_sym_TABLE_FUNCTION,
    [2] = anon_alias_sym_TABLE_FUNCTION,
  },
  [81] = {
    [2] = aux_sym_create_snapshot_table_statement_token1,
  },
  [82] = {
    [2] = aux_sym_drop_table_statement_token1,
  },
  [83] = {
    [1] = aux_sym_create_external_table_statement_token1,
  },
  [84] = {
    [0] = anon_alias_sym_WITH_CONNECTION,
    [1] = anon_alias_sym_WITH_CONNECTION,
    [2] = alias_sym_connection_path,
  },
  [85] = {
    [1] = aux_sym_export_data_statement_token1,
  },
  [86] = {
    [2] = anon_alias_sym_OFFSET,
  },
  [91] = {
    [2] = alias_sym_datetime_part,
    [4] = alias_sym_datetime_part,
  },
  [92] = {
    [0] = sym_identifier,
  },
  [93] = {
    [2] = alias_sym_range_type,
  },
  [95] = {
    [2] = alias_sym_having_expression,
  },
  [96] = {
    [2] = alias_sym_distinct,
  },
  [102] = {
    [1] = alias_sym_elseif_statement,
  },
  [103] = {
    [4] = aux_sym__keyword_end_token1,
    [5] = aux_sym__keyword_end_token1,
  },
  [104] = {
    [2] = alias_sym_between_from,
    [4] = sym__window_frame_end_a,
  },
  [105] = {
    [3] = aux_sym__keyword_distinct_token1,
  },
  [106] = {
    [1] = alias_sym_like_pattern,
  },
  [108] = {
    [4] = anon_alias_sym_END_WHILE,
    [5] = anon_alias_sym_END_WHILE,
  },
  [109] = {
    [0] = aux_sym_default_collate_clause_token1,
  },
  [111] = {
    [1] = aux_sym_table_cluster_clause_token1,
  },
  [112] = {
    [1] = alias_sym_language,
  },
  [113] = {
    [2] = aux_sym_create_table_statement_token3,
    [3] = aux_sym_create_table_statement_token3,
  },
  [114] = {
    [2] = aux_sym_create_external_table_statement_token1,
    [3] = aux_sym_create_external_table_statement_token1,
  },
  [116] = {
    [3] = aux_sym_create_table_statement_token3,
    [4] = aux_sym_create_table_statement_token3,
  },
  [117] = {
    [0] = aux_sym_aggregation_threshold_clause_token1,
  },
  [118] = {
    [0] = aux_sym_differential_privacy_clause_token1,
  },
  [121] = {
    [4] = alias_sym_load_data_table_parameters,
  },
  [122] = {
    [0] = anon_alias_sym_DROP_COLUMN,
    [1] = anon_alias_sym_DROP_COLUMN,
  },
  [123] = {
    [0] = anon_alias_sym_DROP_PRIMARY_KEY,
    [1] = anon_alias_sym_DROP_PRIMARY_KEY,
    [2] = anon_alias_sym_DROP_PRIMARY_KEY,
  },
  [124] = {
    [0] = anon_alias_sym_DROP_CONSTRAINT,
    [1] = anon_alias_sym_DROP_CONSTRAINT,
  },
  [125] = {
    [4] = aux_sym_alter_table_rename_statement_token1,
  },
  [126] = {
    [0] = anon_alias_sym_ADD_COLUMN,
    [1] = anon_alias_sym_ADD_COLUMN,
  },
  [127] = {
    [3] = alias_sym_until_clause,
    [4] = anon_alias_sym_END_REPEAT,
    [5] = anon_alias_sym_END_REPEAT,
  },
  [128] = {
    [0] = aux_sym__nulls_preference_token2,
  },
  [129] = {
    [0] = aux_sym__nulls_preference_token3,
  },
  [134] = {
    [0] = sym_identifier,
    [2] = alias_sym_datetime_part,
  },
  [135] = {
    [4] = alias_sym_type_identifier,
  },
  [136] = {
    [2] = alias_sym_distinct,
  },
  [137] = {
    [4] = alias_sym_else_statement,
    [5] = aux_sym__keyword_end_token1,
    [6] = aux_sym__keyword_end_token1,
  },
  [138] = {
    [1] = alias_sym_elseif_statement,
    [3] = alias_sym_elseif_statement,
  },
  [139] = {
    [5] = aux_sym__keyword_end_token1,
    [6] = aux_sym__keyword_end_token1,
  },
  [140] = {
    [3] = aux_sym__keyword_distinct_token1,
    [4] = aux_sym__keyword_distinct_token1,
  },
  [141] = {
    [3] = alias_sym_between_from,
    [5] = sym__window_frame_end_a,
  },
  [142] = {
    [3] = aux_sym_begin_exception_end_statement_token1,
    [5] = aux_sym_begin_exception_end_statement_token1,
    [6] = anon_alias_sym_END,
  },
  [143] = {
    [1] = anon_alias_sym_TABLE_FUNCTION,
    [2] = anon_alias_sym_TABLE_FUNCTION,
    [4] = alias_sym_create_table_function_parameters,
  },
  [151] = {
    [3] = aux_sym_create_table_statement_token3,
    [4] = aux_sym_create_table_statement_token3,
  },
  [152] = {
    [2] = aux_sym__cross_join_operation_token1,
  },
  [156] = {
    [5] = alias_sym_merge_condition,
  },
  [157] = {
    [5] = alias_sym_merge_condition,
  },
  [158] = {
    [1] = aux_sym_grant_statement_token2,
  },
  [160] = {
    [4] = aux_sym_alter_table_rename_statement_token1,
    [5] = aux_sym_alter_table_rename_statement_token1,
  },
  [162] = {
    [0] = anon_alias_sym_DROP_COLUMN,
    [1] = anon_alias_sym_DROP_COLUMN,
  },
  [163] = {
    [0] = anon_alias_sym_DROP_CONSTRAINT,
    [1] = anon_alias_sym_DROP_CONSTRAINT,
  },
  [168] = {
    [0] = anon_alias_sym_UNBOUNDED,
  },
  [170] = {
    [1] = sym_partition_expression,
  },
  [171] = {
    [5] = alias_sym_else_statement,
    [6] = aux_sym__keyword_end_token1,
    [7] = aux_sym__keyword_end_token1,
  },
  [172] = {
    [3] = aux_sym_begin_exception_end_statement_token1,
    [5] = aux_sym_begin_exception_end_statement_token1,
    [7] = anon_alias_sym_END,
  },
  [173] = {
    [1] = anon_alias_sym_TABLE_FUNCTION,
    [2] = anon_alias_sym_TABLE_FUNCTION,
    [5] = alias_sym_create_table_function_parameters,
  },
  [175] = {
    [0] = anon_alias_sym_COLLATE,
  },
  [182] = {
    [0] = aux_sym__keyword_system_as_of_token1,
    [2] = aux_sym__keyword_system_as_of_token1,
  },
  [183] = {
    [0] = anon_alias_sym_WITH,
    [3] = alias_sym_partition_columns,
  },
  [184] = {
    [2] = anon_alias_sym_TABLE_FUNCTION,
    [3] = anon_alias_sym_TABLE_FUNCTION,
    [5] = alias_sym_create_table_function_parameters,
  },
  [185] = {
    [6] = alias_sym_merge_condition,
  },
  [186] = {
    [6] = alias_sym_merge_condition,
  },
  [187] = {
    [6] = alias_sym_merge_condition,
  },
  [188] = {
    [6] = alias_sym_merge_condition,
  },
  [189] = {
    [6] = alias_sym_merge_condition,
  },
  [191] = {
    [0] = anon_alias_sym_DROP_DEFAULT,
    [1] = anon_alias_sym_DROP_DEFAULT,
  },
  [192] = {
    [0] = anon_alias_sym_RENAME_COLUMN,
    [1] = anon_alias_sym_RENAME_COLUMN,
  },
  [195] = {
    [1] = aux_sym_keyword_unbounded_preceding_token1,
  },
  [196] = {
    [1] = aux_sym_keyword_current_row_token1,
  },
  [197] = {
    [6] = alias_sym_else_statement,
    [7] = aux_sym__keyword_end_token1,
    [8] = aux_sym__keyword_end_token1,
  },
  [207] = {
    [8] = alias_sym_connection_path,
  },
  [208] = {
    [2] = anon_alias_sym_TABLE_FUNCTION,
    [3] = anon_alias_sym_TABLE_FUNCTION,
    [6] = alias_sym_create_table_function_parameters,
  },
  [210] = {
    [7] = alias_sym_merge_condition,
  },
  [211] = {
    [7] = alias_sym_merge_condition,
  },
  [212] = {
    [7] = alias_sym_merge_condition,
  },
  [213] = {
    [7] = alias_sym_merge_condition,
  },
  [214] = {
    [7] = alias_sym_merge_condition,
  },
  [215] = {
    [7] = alias_sym_merge_condition,
  },
  [217] = {
    [0] = anon_alias_sym_SET_DEFAULT,
    [1] = anon_alias_sym_SET_DEFAULT,
  },
  [218] = {
    [0] = anon_alias_sym_DROP_NOT_NULL,
    [1] = anon_alias_sym_DROP_NOT_NULL,
    [2] = anon_alias_sym_DROP_NOT_NULL,
  },
  [219] = {
    [0] = anon_alias_sym_RENAME_COLUMN,
    [1] = anon_alias_sym_RENAME_COLUMN,
  },
  [220] = {
    [7] = aux_sym__keyword_for_token1,
    [8] = aux_sym__keyword_for_token1,
  },
  [222] = {
    [1] = aux_sym_foreign_key_token1,
  },
  [223] = {
    [0] = anon_alias_sym_NOT_ENFORCED,
    [1] = anon_alias_sym_NOT_ENFORCED,
  },
  [234] = {
    [9] = alias_sym_connection_path,
  },
  [235] = {
    [1] = alias_sym_unpivot_value,
  },
  [236] = {
    [2] = aux_sym_unpivot_operator_token2,
  },
  [237] = {
    [2] = aux_sym_unpivot_operator_token3,
  },
  [240] = {
    [8] = alias_sym_merge_condition,
  },
  [241] = {
    [8] = alias_sym_merge_condition,
  },
  [242] = {
    [8] = alias_sym_merge_condition,
  },
  [243] = {
    [8] = alias_sym_merge_condition,
  },
  [244] = {
    [8] = alias_sym_merge_condition,
  },
  [246] = {
    [0] = aux_sym_set_data_type_token2,
    [1] = aux_sym_set_data_type_token2,
  },
  [247] = {
    [8] = aux_sym__keyword_for_token1,
  },
  [248] = {
    [1] = alias_sym_between_from,
  },
  [257] = {
    [10] = alias_sym_connection_path,
  },
  [261] = {
    [9] = alias_sym_merge_condition,
  },
  [262] = {
    [9] = alias_sym_merge_condition,
  },
  [263] = {
    [0] = anon_alias_sym_WHEN_NOT_MATCHED,
    [1] = anon_alias_sym_WHEN_NOT_MATCHED,
    [2] = anon_alias_sym_WHEN_NOT_MATCHED,
  },
  [264] = {
    [0] = anon_alias_sym_UNBOUNDED_FOLLOWING,
    [1] = anon_alias_sym_UNBOUNDED_FOLLOWING,
  },
  [271] = {
    [11] = alias_sym_connection_path,
  },
  [272] = {
    [0] = anon_alias_sym_UPDATE_SET,
    [1] = anon_alias_sym_UPDATE_SET,
  },
  [273] = {
    [3] = alias_sym_search_condition,
  },
  [277] = {
    [0] = alias_sym_unpivot_value,
    [2] = alias_sym_name_column,
  },
  [278] = {
    [0] = anon_alias_sym_WHEN_NOT_MATCHED,
    [1] = anon_alias_sym_WHEN_NOT_MATCHED,
    [2] = anon_alias_sym_WHEN_NOT_MATCHED,
    [3] = aux_sym_merge_not_matched_by_target_clause_token1,
  },
  [279] = {
    [0] = aux_sym_merge_not_matched_by_source_clause_token1,
    [1] = aux_sym_merge_not_matched_by_source_clause_token1,
    [2] = aux_sym_merge_not_matched_by_source_clause_token1,
    [3] = aux_sym_merge_not_matched_by_source_clause_token1,
  },
  [280] = {
    [0] = anon_alias_sym_WHEN_NOT_MATCHED,
    [1] = anon_alias_sym_WHEN_NOT_MATCHED,
    [2] = anon_alias_sym_WHEN_NOT_MATCHED,
    [4] = alias_sym_search_condition,
  },
  [282] = {
    [1] = alias_sym_pivot_column,
  },
  [283] = {
    [4] = alias_sym_input_column,
    [7] = alias_sym_pivot_column,
  },
  [285] = {
    [5] = alias_sym_input_column,
    [8] = alias_sym_pivot_column,
  },
  [286] = {
    [1] = alias_sym_unpivot_value,
    [4] = alias_sym_name_column,
  },
  [287] = {
    [0] = anon_alias_sym_WHEN_NOT_MATCHED,
    [1] = anon_alias_sym_WHEN_NOT_MATCHED,
    [2] = anon_alias_sym_WHEN_NOT_MATCHED,
    [3] = aux_sym_merge_not_matched_by_target_clause_token1,
    [6] = alias_sym_search_condition,
  },
  [288] = {
    [0] = aux_sym_merge_not_matched_by_source_clause_token1,
    [1] = aux_sym_merge_not_matched_by_source_clause_token1,
    [2] = aux_sym_merge_not_matched_by_source_clause_token1,
    [3] = aux_sym_merge_not_matched_by_source_clause_token1,
    [6] = alias_sym_search_condition,
  },
  [289] = {
    [1] = alias_sym_unpivot_value,
    [5] = alias_sym_name_column,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__keyword_distinct, 2,
    sym__keyword_distinct,
    alias_sym_distinct,
  sym__keyword_range, 2,
    sym__keyword_range,
    sym_identifier,
  aux_sym__statement_list, 3,
    aux_sym__statement_list,
    alias_sym_else_statement,
    alias_sym_elseif_statement,
  sym_create_table_parameters, 3,
    sym_create_table_parameters,
    alias_sym_load_data_table_parameters,
    alias_sym_partition_columns,
  sym_create_function_parameters, 2,
    sym_create_function_parameters,
    alias_sym_create_table_function_parameters,
  sym_window_numeric_preceding, 2,
    sym_window_numeric_preceding,
    alias_sym_between_from,
  sym_window_numeric_following, 2,
    sym_window_numeric_following,
    alias_sym_between_from,
  sym_keyword_unbounded_preceding, 2,
    sym_keyword_unbounded_preceding,
    alias_sym_between_from,
  sym_keyword_current_row, 2,
    sym_keyword_current_row,
    alias_sym_between_from,
  sym__aliasable_expression, 4,
    sym__aliasable_expression,
    alias_sym_pivot_column,
    alias_sym_select_expression,
    alias_sym_using_expression,
  sym_type, 2,
    sym_type,
    alias_sym_variable_type,
  sym__bqtype, 2,
    sym__bqtype,
    alias_sym_type_identifier,
  sym__type_chrono, 3,
    sym__type_chrono,
    alias_sym_range_type,
    sym_identifier,
  sym_identifier, 5,
    sym_identifier,
    alias_sym_connection_path,
    alias_sym_input_column,
    alias_sym_name_column,
    alias_sym_unpivot_value,
  sym_string, 2,
    sym_string,
    alias_sym_like_pattern,
  sym__expression, 9,
    sym__expression,
    alias_sym_between_from,
    alias_sym_elseif_statement,
    alias_sym_having_expression,
    alias_sym_merge_condition,
    alias_sym_search_condition,
    alias_sym_until_clause,
    sym__window_frame_end_a,
    sym_partition_expression,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 4,
  [7] = 5,
  [8] = 2,
  [9] = 3,
  [10] = 10,
  [11] = 11,
  [12] = 11,
  [13] = 11,
  [14] = 11,
  [15] = 11,
  [16] = 11,
  [17] = 11,
  [18] = 11,
  [19] = 11,
  [20] = 20,
  [21] = 11,
  [22] = 11,
  [23] = 11,
  [24] = 11,
  [25] = 11,
  [26] = 11,
  [27] = 11,
  [28] = 11,
  [29] = 11,
  [30] = 11,
  [31] = 11,
  [32] = 11,
  [33] = 11,
  [34] = 11,
  [35] = 11,
  [36] = 11,
  [37] = 11,
  [38] = 11,
  [39] = 3,
  [40] = 40,
  [41] = 41,
  [42] = 41,
  [43] = 41,
  [44] = 41,
  [45] = 41,
  [46] = 41,
  [47] = 41,
  [48] = 41,
  [49] = 41,
  [50] = 40,
  [51] = 41,
  [52] = 10,
  [53] = 40,
  [54] = 5,
  [55] = 55,
  [56] = 41,
  [57] = 41,
  [58] = 41,
  [59] = 41,
  [60] = 2,
  [61] = 41,
  [62] = 41,
  [63] = 41,
  [64] = 41,
  [65] = 41,
  [66] = 41,
  [67] = 41,
  [68] = 41,
  [69] = 41,
  [70] = 41,
  [71] = 41,
  [72] = 4,
  [73] = 41,
  [74] = 41,
  [75] = 20,
  [76] = 76,
  [77] = 76,
  [78] = 76,
  [79] = 79,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 85,
  [86] = 86,
  [87] = 85,
  [88] = 88,
  [89] = 89,
  [90] = 82,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 94,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 98,
  [99] = 99,
  [100] = 85,
  [101] = 101,
  [102] = 102,
  [103] = 103,
  [104] = 104,
  [105] = 101,
  [106] = 82,
  [107] = 101,
  [108] = 10,
  [109] = 109,
  [110] = 110,
  [111] = 111,
  [112] = 112,
  [113] = 113,
  [114] = 111,
  [115] = 115,
  [116] = 116,
  [117] = 111,
  [118] = 118,
  [119] = 116,
  [120] = 116,
  [121] = 121,
  [122] = 122,
  [123] = 95,
  [124] = 124,
  [125] = 103,
  [126] = 126,
  [127] = 104,
  [128] = 89,
  [129] = 83,
  [130] = 84,
  [131] = 131,
  [132] = 132,
  [133] = 98,
  [134] = 99,
  [135] = 80,
  [136] = 97,
  [137] = 137,
  [138] = 138,
  [139] = 139,
  [140] = 139,
  [141] = 139,
  [142] = 142,
  [143] = 139,
  [144] = 96,
  [145] = 81,
  [146] = 94,
  [147] = 147,
  [148] = 139,
  [149] = 139,
  [150] = 139,
  [151] = 139,
  [152] = 139,
  [153] = 139,
  [154] = 154,
  [155] = 139,
  [156] = 92,
  [157] = 157,
  [158] = 158,
  [159] = 139,
  [160] = 160,
  [161] = 139,
  [162] = 162,
  [163] = 139,
  [164] = 164,
  [165] = 10,
  [166] = 102,
  [167] = 167,
  [168] = 160,
  [169] = 169,
  [170] = 139,
  [171] = 139,
  [172] = 139,
  [173] = 139,
  [174] = 10,
  [175] = 10,
  [176] = 139,
  [177] = 177,
  [178] = 93,
  [179] = 179,
  [180] = 88,
  [181] = 92,
  [182] = 95,
  [183] = 93,
  [184] = 10,
  [185] = 84,
  [186] = 186,
  [187] = 187,
  [188] = 83,
  [189] = 189,
  [190] = 89,
  [191] = 191,
  [192] = 104,
  [193] = 103,
  [194] = 102,
  [195] = 80,
  [196] = 99,
  [197] = 98,
  [198] = 10,
  [199] = 20,
  [200] = 200,
  [201] = 186,
  [202] = 202,
  [203] = 96,
  [204] = 97,
  [205] = 94,
  [206] = 81,
  [207] = 207,
  [208] = 208,
  [209] = 209,
  [210] = 210,
  [211] = 211,
  [212] = 211,
  [213] = 3,
  [214] = 4,
  [215] = 209,
  [216] = 5,
  [217] = 2,
  [218] = 210,
  [219] = 208,
  [220] = 210,
  [221] = 221,
  [222] = 209,
  [223] = 208,
  [224] = 211,
  [225] = 225,
  [226] = 226,
  [227] = 227,
  [228] = 228,
  [229] = 229,
  [230] = 230,
  [231] = 231,
  [232] = 232,
  [233] = 233,
  [234] = 234,
  [235] = 235,
  [236] = 236,
  [237] = 237,
  [238] = 238,
  [239] = 239,
  [240] = 240,
  [241] = 241,
  [242] = 242,
  [243] = 243,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 254,
  [255] = 255,
  [256] = 228,
  [257] = 257,
  [258] = 258,
  [259] = 259,
  [260] = 249,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 228,
  [269] = 269,
  [270] = 249,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 228,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 228,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 228,
  [288] = 288,
  [289] = 289,
  [290] = 249,
  [291] = 291,
  [292] = 292,
  [293] = 115,
  [294] = 294,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 228,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 320,
  [321] = 321,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 325,
  [326] = 228,
  [327] = 327,
  [328] = 328,
  [329] = 329,
  [330] = 330,
  [331] = 331,
  [332] = 332,
  [333] = 333,
  [334] = 334,
  [335] = 335,
  [336] = 336,
  [337] = 228,
  [338] = 338,
  [339] = 339,
  [340] = 340,
  [341] = 341,
  [342] = 342,
  [343] = 343,
  [344] = 344,
  [345] = 228,
  [346] = 346,
  [347] = 347,
  [348] = 348,
  [349] = 228,
  [350] = 350,
  [351] = 351,
  [352] = 352,
  [353] = 228,
  [354] = 354,
  [355] = 355,
  [356] = 356,
  [357] = 357,
  [358] = 228,
  [359] = 359,
  [360] = 360,
  [361] = 228,
  [362] = 362,
  [363] = 363,
  [364] = 364,
  [365] = 365,
  [366] = 366,
  [367] = 367,
  [368] = 368,
  [369] = 369,
  [370] = 228,
  [371] = 371,
  [372] = 228,
  [373] = 373,
  [374] = 228,
  [375] = 375,
  [376] = 228,
  [377] = 377,
  [378] = 378,
  [379] = 379,
  [380] = 380,
  [381] = 381,
  [382] = 104,
  [383] = 383,
  [384] = 92,
  [385] = 10,
  [386] = 386,
  [387] = 387,
  [388] = 84,
  [389] = 387,
  [390] = 10,
  [391] = 10,
  [392] = 392,
  [393] = 393,
  [394] = 97,
  [395] = 387,
  [396] = 98,
  [397] = 387,
  [398] = 96,
  [399] = 387,
  [400] = 400,
  [401] = 387,
  [402] = 387,
  [403] = 403,
  [404] = 95,
  [405] = 387,
  [406] = 387,
  [407] = 387,
  [408] = 387,
  [409] = 99,
  [410] = 81,
  [411] = 94,
  [412] = 387,
  [413] = 387,
  [414] = 387,
  [415] = 387,
  [416] = 80,
  [417] = 387,
  [418] = 387,
  [419] = 387,
  [420] = 102,
  [421] = 103,
  [422] = 387,
  [423] = 89,
  [424] = 93,
  [425] = 387,
  [426] = 387,
  [427] = 427,
  [428] = 83,
  [429] = 429,
  [430] = 430,
  [431] = 431,
  [432] = 432,
  [433] = 433,
  [434] = 434,
  [435] = 435,
  [436] = 436,
  [437] = 437,
  [438] = 10,
  [439] = 439,
  [440] = 440,
  [441] = 441,
  [442] = 442,
  [443] = 443,
  [444] = 444,
  [445] = 445,
  [446] = 446,
  [447] = 447,
  [448] = 448,
  [449] = 449,
  [450] = 450,
  [451] = 451,
  [452] = 452,
  [453] = 453,
  [454] = 454,
  [455] = 455,
  [456] = 456,
  [457] = 457,
  [458] = 458,
  [459] = 459,
  [460] = 460,
  [461] = 461,
  [462] = 462,
  [463] = 463,
  [464] = 464,
  [465] = 465,
  [466] = 466,
  [467] = 467,
  [468] = 468,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 472,
  [473] = 473,
  [474] = 474,
  [475] = 475,
  [476] = 476,
  [477] = 477,
  [478] = 478,
  [479] = 479,
  [480] = 480,
  [481] = 481,
  [482] = 482,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 487,
  [488] = 488,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 493,
  [494] = 494,
  [495] = 495,
  [496] = 496,
  [497] = 497,
  [498] = 498,
  [499] = 499,
  [500] = 500,
  [501] = 501,
  [502] = 502,
  [503] = 503,
  [504] = 504,
  [505] = 505,
  [506] = 506,
  [507] = 507,
  [508] = 508,
  [509] = 509,
  [510] = 510,
  [511] = 511,
  [512] = 512,
  [513] = 513,
  [514] = 514,
  [515] = 515,
  [516] = 516,
  [517] = 517,
  [518] = 518,
  [519] = 519,
  [520] = 520,
  [521] = 521,
  [522] = 522,
  [523] = 523,
  [524] = 524,
  [525] = 525,
  [526] = 526,
  [527] = 527,
  [528] = 528,
  [529] = 529,
  [530] = 530,
  [531] = 531,
  [532] = 532,
  [533] = 533,
  [534] = 534,
  [535] = 535,
  [536] = 536,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 540,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 544,
  [545] = 545,
  [546] = 546,
  [547] = 547,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 552,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 558,
  [559] = 559,
  [560] = 560,
  [561] = 561,
  [562] = 562,
  [563] = 563,
  [564] = 564,
  [565] = 565,
  [566] = 566,
  [567] = 567,
  [568] = 568,
  [569] = 569,
  [570] = 570,
  [571] = 571,
  [572] = 572,
  [573] = 573,
  [574] = 574,
  [575] = 575,
  [576] = 576,
  [577] = 577,
  [578] = 578,
  [579] = 579,
  [580] = 386,
  [581] = 581,
  [582] = 582,
  [583] = 583,
  [584] = 584,
  [585] = 585,
  [586] = 586,
  [587] = 587,
  [588] = 588,
  [589] = 589,
  [590] = 590,
  [591] = 591,
  [592] = 592,
  [593] = 593,
  [594] = 594,
  [595] = 595,
  [596] = 596,
  [597] = 597,
  [598] = 598,
  [599] = 599,
  [600] = 600,
  [601] = 601,
  [602] = 602,
  [603] = 603,
  [604] = 604,
  [605] = 605,
  [606] = 606,
  [607] = 607,
  [608] = 608,
  [609] = 20,
  [610] = 610,
  [611] = 611,
  [612] = 612,
  [613] = 613,
  [614] = 614,
  [615] = 615,
  [616] = 616,
  [617] = 617,
  [618] = 618,
  [619] = 619,
  [620] = 620,
  [621] = 621,
  [622] = 622,
  [623] = 623,
  [624] = 278,
  [625] = 279,
  [626] = 369,
  [627] = 381,
  [628] = 628,
  [629] = 629,
  [630] = 630,
  [631] = 631,
  [632] = 632,
  [633] = 363,
  [634] = 628,
  [635] = 310,
  [636] = 636,
  [637] = 629,
  [638] = 344,
  [639] = 236,
  [640] = 309,
  [641] = 343,
  [642] = 642,
  [643] = 642,
  [644] = 238,
  [645] = 628,
  [646] = 307,
  [647] = 629,
  [648] = 648,
  [649] = 305,
  [650] = 339,
  [651] = 642,
  [652] = 304,
  [653] = 311,
  [654] = 303,
  [655] = 642,
  [656] = 302,
  [657] = 336,
  [658] = 636,
  [659] = 301,
  [660] = 300,
  [661] = 661,
  [662] = 296,
  [663] = 629,
  [664] = 334,
  [665] = 292,
  [666] = 288,
  [667] = 636,
  [668] = 642,
  [669] = 661,
  [670] = 284,
  [671] = 636,
  [672] = 282,
  [673] = 280,
  [674] = 629,
  [675] = 642,
  [676] = 333,
  [677] = 312,
  [678] = 648,
  [679] = 636,
  [680] = 629,
  [681] = 274,
  [682] = 642,
  [683] = 239,
  [684] = 273,
  [685] = 271,
  [686] = 686,
  [687] = 636,
  [688] = 648,
  [689] = 269,
  [690] = 630,
  [691] = 642,
  [692] = 359,
  [693] = 636,
  [694] = 319,
  [695] = 642,
  [696] = 235,
  [697] = 636,
  [698] = 234,
  [699] = 229,
  [700] = 629,
  [701] = 357,
  [702] = 379,
  [703] = 367,
  [704] = 308,
  [705] = 629,
  [706] = 355,
  [707] = 313,
  [708] = 629,
  [709] = 360,
  [710] = 226,
  [711] = 342,
  [712] = 241,
  [713] = 346,
  [714] = 377,
  [715] = 365,
  [716] = 314,
  [717] = 364,
  [718] = 317,
  [719] = 648,
  [720] = 225,
  [721] = 631,
  [722] = 356,
  [723] = 318,
  [724] = 630,
  [725] = 725,
  [726] = 286,
  [727] = 320,
  [728] = 258,
  [729] = 354,
  [730] = 321,
  [731] = 731,
  [732] = 352,
  [733] = 315,
  [734] = 295,
  [735] = 272,
  [736] = 285,
  [737] = 283,
  [738] = 636,
  [739] = 252,
  [740] = 264,
  [741] = 324,
  [742] = 350,
  [743] = 329,
  [744] = 331,
  [745] = 642,
  [746] = 233,
  [747] = 231,
  [748] = 648,
  [749] = 232,
  [750] = 243,
  [751] = 335,
  [752] = 752,
  [753] = 631,
  [754] = 323,
  [755] = 629,
  [756] = 629,
  [757] = 246,
  [758] = 265,
  [759] = 259,
  [760] = 368,
  [761] = 277,
  [762] = 298,
  [763] = 230,
  [764] = 371,
  [765] = 325,
  [766] = 227,
  [767] = 327,
  [768] = 636,
  [769] = 330,
  [770] = 328,
  [771] = 351,
  [772] = 629,
  [773] = 332,
  [774] = 338,
  [775] = 237,
  [776] = 248,
  [777] = 294,
  [778] = 341,
  [779] = 340,
  [780] = 306,
  [781] = 629,
  [782] = 266,
  [783] = 316,
  [784] = 267,
  [785] = 262,
  [786] = 291,
  [787] = 289,
  [788] = 348,
  [789] = 276,
  [790] = 247,
  [791] = 261,
  [792] = 257,
  [793] = 255,
  [794] = 636,
  [795] = 242,
  [796] = 362,
  [797] = 253,
  [798] = 642,
  [799] = 629,
  [800] = 251,
  [801] = 250,
  [802] = 245,
  [803] = 244,
  [804] = 636,
  [805] = 240,
  [806] = 373,
  [807] = 686,
  [808] = 642,
  [809] = 636,
  [810] = 642,
  [811] = 642,
  [812] = 636,
  [813] = 375,
  [814] = 636,
  [815] = 629,
  [816] = 642,
  [817] = 817,
  [818] = 630,
  [819] = 631,
  [820] = 263,
  [821] = 648,
  [822] = 642,
  [823] = 648,
  [824] = 636,
  [825] = 642,
  [826] = 628,
  [827] = 629,
  [828] = 380,
  [829] = 642,
  [830] = 636,
  [831] = 636,
  [832] = 366,
  [833] = 347,
  [834] = 254,
  [835] = 297,
  [836] = 378,
  [837] = 629,
  [838] = 629,
  [839] = 839,
  [840] = 840,
  [841] = 840,
  [842] = 842,
  [843] = 842,
  [844] = 840,
  [845] = 845,
  [846] = 302,
  [847] = 847,
  [848] = 848,
  [849] = 849,
  [850] = 850,
  [851] = 845,
  [852] = 852,
  [853] = 848,
  [854] = 845,
  [855] = 848,
  [856] = 845,
  [857] = 848,
  [858] = 845,
  [859] = 859,
  [860] = 860,
  [861] = 861,
  [862] = 839,
  [863] = 863,
  [864] = 864,
  [865] = 865,
  [866] = 866,
  [867] = 867,
  [868] = 868,
  [869] = 867,
  [870] = 850,
  [871] = 871,
  [872] = 872,
  [873] = 842,
  [874] = 840,
  [875] = 875,
  [876] = 864,
  [877] = 847,
  [878] = 849,
  [879] = 852,
  [880] = 880,
  [881] = 881,
  [882] = 859,
  [883] = 860,
  [884] = 861,
  [885] = 839,
  [886] = 886,
  [887] = 863,
  [888] = 888,
  [889] = 251,
  [890] = 307,
  [891] = 305,
  [892] = 253,
  [893] = 304,
  [894] = 255,
  [895] = 303,
  [896] = 866,
  [897] = 867,
  [898] = 301,
  [899] = 868,
  [900] = 867,
  [901] = 300,
  [902] = 296,
  [903] = 257,
  [904] = 847,
  [905] = 850,
  [906] = 906,
  [907] = 871,
  [908] = 867,
  [909] = 868,
  [910] = 910,
  [911] = 292,
  [912] = 288,
  [913] = 845,
  [914] = 848,
  [915] = 845,
  [916] = 842,
  [917] = 840,
  [918] = 918,
  [919] = 864,
  [920] = 847,
  [921] = 849,
  [922] = 852,
  [923] = 859,
  [924] = 860,
  [925] = 925,
  [926] = 848,
  [927] = 861,
  [928] = 928,
  [929] = 839,
  [930] = 863,
  [931] = 931,
  [932] = 849,
  [933] = 850,
  [934] = 871,
  [935] = 852,
  [936] = 859,
  [937] = 619,
  [938] = 938,
  [939] = 939,
  [940] = 881,
  [941] = 875,
  [942] = 866,
  [943] = 860,
  [944] = 866,
  [945] = 945,
  [946] = 861,
  [947] = 868,
  [948] = 938,
  [949] = 309,
  [950] = 250,
  [951] = 310,
  [952] = 245,
  [953] = 244,
  [954] = 240,
  [955] = 239,
  [956] = 238,
  [957] = 236,
  [958] = 871,
  [959] = 850,
  [960] = 234,
  [961] = 229,
  [962] = 313,
  [963] = 308,
  [964] = 314,
  [965] = 317,
  [966] = 355,
  [967] = 318,
  [968] = 320,
  [969] = 360,
  [970] = 321,
  [971] = 269,
  [972] = 342,
  [973] = 241,
  [974] = 346,
  [975] = 377,
  [976] = 365,
  [977] = 364,
  [978] = 356,
  [979] = 863,
  [980] = 354,
  [981] = 352,
  [982] = 315,
  [983] = 295,
  [984] = 867,
  [985] = 868,
  [986] = 285,
  [987] = 324,
  [988] = 331,
  [989] = 335,
  [990] = 226,
  [991] = 252,
  [992] = 866,
  [993] = 264,
  [994] = 350,
  [995] = 329,
  [996] = 231,
  [997] = 845,
  [998] = 243,
  [999] = 246,
  [1000] = 868,
  [1001] = 265,
  [1002] = 259,
  [1003] = 278,
  [1004] = 277,
  [1005] = 866,
  [1006] = 298,
  [1007] = 867,
  [1008] = 325,
  [1009] = 227,
  [1010] = 330,
  [1011] = 332,
  [1012] = 338,
  [1013] = 340,
  [1014] = 348,
  [1015] = 845,
  [1016] = 373,
  [1017] = 1017,
  [1018] = 375,
  [1019] = 1019,
  [1020] = 380,
  [1021] = 852,
  [1022] = 850,
  [1023] = 871,
  [1024] = 850,
  [1025] = 871,
  [1026] = 366,
  [1027] = 347,
  [1028] = 845,
  [1029] = 254,
  [1030] = 1030,
  [1031] = 297,
  [1032] = 378,
  [1033] = 1033,
  [1034] = 283,
  [1035] = 368,
  [1036] = 242,
  [1037] = 247,
  [1038] = 839,
  [1039] = 863,
  [1040] = 839,
  [1041] = 850,
  [1042] = 861,
  [1043] = 860,
  [1044] = 859,
  [1045] = 852,
  [1046] = 849,
  [1047] = 847,
  [1048] = 864,
  [1049] = 276,
  [1050] = 863,
  [1051] = 289,
  [1052] = 291,
  [1053] = 267,
  [1054] = 316,
  [1055] = 261,
  [1056] = 306,
  [1057] = 341,
  [1058] = 294,
  [1059] = 248,
  [1060] = 237,
  [1061] = 351,
  [1062] = 871,
  [1063] = 842,
  [1064] = 328,
  [1065] = 327,
  [1066] = 866,
  [1067] = 230,
  [1068] = 323,
  [1069] = 840,
  [1070] = 868,
  [1071] = 232,
  [1072] = 386,
  [1073] = 840,
  [1074] = 233,
  [1075] = 842,
  [1076] = 272,
  [1077] = 279,
  [1078] = 258,
  [1079] = 867,
  [1080] = 286,
  [1081] = 225,
  [1082] = 362,
  [1083] = 848,
  [1084] = 1084,
  [1085] = 850,
  [1086] = 871,
  [1087] = 848,
  [1088] = 1088,
  [1089] = 859,
  [1090] = 860,
  [1091] = 367,
  [1092] = 861,
  [1093] = 848,
  [1094] = 379,
  [1095] = 848,
  [1096] = 1096,
  [1097] = 839,
  [1098] = 864,
  [1099] = 847,
  [1100] = 849,
  [1101] = 357,
  [1102] = 1084,
  [1103] = 872,
  [1104] = 235,
  [1105] = 852,
  [1106] = 859,
  [1107] = 860,
  [1108] = 861,
  [1109] = 839,
  [1110] = 319,
  [1111] = 863,
  [1112] = 1096,
  [1113] = 359,
  [1114] = 863,
  [1115] = 845,
  [1116] = 1116,
  [1117] = 848,
  [1118] = 928,
  [1119] = 1096,
  [1120] = 938,
  [1121] = 868,
  [1122] = 1122,
  [1123] = 1123,
  [1124] = 369,
  [1125] = 1125,
  [1126] = 848,
  [1127] = 381,
  [1128] = 1128,
  [1129] = 363,
  [1130] = 344,
  [1131] = 845,
  [1132] = 343,
  [1133] = 842,
  [1134] = 848,
  [1135] = 339,
  [1136] = 840,
  [1137] = 866,
  [1138] = 848,
  [1139] = 311,
  [1140] = 864,
  [1141] = 1141,
  [1142] = 847,
  [1143] = 336,
  [1144] = 1096,
  [1145] = 1141,
  [1146] = 849,
  [1147] = 845,
  [1148] = 334,
  [1149] = 852,
  [1150] = 848,
  [1151] = 333,
  [1152] = 312,
  [1153] = 868,
  [1154] = 867,
  [1155] = 842,
  [1156] = 840,
  [1157] = 859,
  [1158] = 860,
  [1159] = 861,
  [1160] = 886,
  [1161] = 1096,
  [1162] = 848,
  [1163] = 1084,
  [1164] = 839,
  [1165] = 1116,
  [1166] = 850,
  [1167] = 871,
  [1168] = 863,
  [1169] = 888,
  [1170] = 866,
  [1171] = 868,
  [1172] = 864,
  [1173] = 847,
  [1174] = 1174,
  [1175] = 849,
  [1176] = 842,
  [1177] = 840,
  [1178] = 845,
  [1179] = 867,
  [1180] = 850,
  [1181] = 852,
  [1182] = 1182,
  [1183] = 871,
  [1184] = 842,
  [1185] = 859,
  [1186] = 864,
  [1187] = 847,
  [1188] = 849,
  [1189] = 860,
  [1190] = 1190,
  [1191] = 852,
  [1192] = 859,
  [1193] = 861,
  [1194] = 860,
  [1195] = 1195,
  [1196] = 1096,
  [1197] = 1197,
  [1198] = 861,
  [1199] = 839,
  [1200] = 863,
  [1201] = 839,
  [1202] = 840,
  [1203] = 864,
  [1204] = 1141,
  [1205] = 847,
  [1206] = 863,
  [1207] = 925,
  [1208] = 1096,
  [1209] = 1209,
  [1210] = 1210,
  [1211] = 1211,
  [1212] = 866,
  [1213] = 1213,
  [1214] = 1088,
  [1215] = 849,
  [1216] = 1216,
  [1217] = 1217,
  [1218] = 852,
  [1219] = 1219,
  [1220] = 859,
  [1221] = 868,
  [1222] = 866,
  [1223] = 867,
  [1224] = 1224,
  [1225] = 860,
  [1226] = 861,
  [1227] = 839,
  [1228] = 1141,
  [1229] = 1229,
  [1230] = 1174,
  [1231] = 850,
  [1232] = 1182,
  [1233] = 863,
  [1234] = 868,
  [1235] = 865,
  [1236] = 1116,
  [1237] = 945,
  [1238] = 848,
  [1239] = 1141,
  [1240] = 1017,
  [1241] = 850,
  [1242] = 867,
  [1243] = 1019,
  [1244] = 848,
  [1245] = 1245,
  [1246] = 871,
  [1247] = 866,
  [1248] = 850,
  [1249] = 871,
  [1250] = 1096,
  [1251] = 842,
  [1252] = 840,
  [1253] = 845,
  [1254] = 1084,
  [1255] = 273,
  [1256] = 849,
  [1257] = 839,
  [1258] = 1245,
  [1259] = 868,
  [1260] = 861,
  [1261] = 262,
  [1262] = 617,
  [1263] = 1263,
  [1264] = 1264,
  [1265] = 867,
  [1266] = 863,
  [1267] = 1267,
  [1268] = 868,
  [1269] = 850,
  [1270] = 845,
  [1271] = 871,
  [1272] = 842,
  [1273] = 1128,
  [1274] = 860,
  [1275] = 271,
  [1276] = 840,
  [1277] = 864,
  [1278] = 848,
  [1279] = 847,
  [1280] = 847,
  [1281] = 849,
  [1282] = 852,
  [1283] = 1096,
  [1284] = 859,
  [1285] = 1141,
  [1286] = 860,
  [1287] = 861,
  [1288] = 850,
  [1289] = 1141,
  [1290] = 1084,
  [1291] = 845,
  [1292] = 1292,
  [1293] = 839,
  [1294] = 863,
  [1295] = 859,
  [1296] = 871,
  [1297] = 1297,
  [1298] = 1229,
  [1299] = 842,
  [1300] = 840,
  [1301] = 1224,
  [1302] = 864,
  [1303] = 847,
  [1304] = 849,
  [1305] = 852,
  [1306] = 859,
  [1307] = 860,
  [1308] = 861,
  [1309] = 839,
  [1310] = 863,
  [1311] = 866,
  [1312] = 850,
  [1313] = 842,
  [1314] = 848,
  [1315] = 845,
  [1316] = 1316,
  [1317] = 1317,
  [1318] = 1096,
  [1319] = 1096,
  [1320] = 1088,
  [1321] = 848,
  [1322] = 871,
  [1323] = 1141,
  [1324] = 1324,
  [1325] = 1084,
  [1326] = 845,
  [1327] = 845,
  [1328] = 850,
  [1329] = 383,
  [1330] = 1084,
  [1331] = 284,
  [1332] = 863,
  [1333] = 866,
  [1334] = 553,
  [1335] = 852,
  [1336] = 282,
  [1337] = 866,
  [1338] = 1338,
  [1339] = 1084,
  [1340] = 868,
  [1341] = 867,
  [1342] = 1141,
  [1343] = 1190,
  [1344] = 842,
  [1345] = 868,
  [1346] = 867,
  [1347] = 371,
  [1348] = 880,
  [1349] = 1141,
  [1350] = 840,
  [1351] = 850,
  [1352] = 871,
  [1353] = 867,
  [1354] = 868,
  [1355] = 1088,
  [1356] = 842,
  [1357] = 840,
  [1358] = 850,
  [1359] = 864,
  [1360] = 847,
  [1361] = 849,
  [1362] = 852,
  [1363] = 859,
  [1364] = 860,
  [1365] = 861,
  [1366] = 871,
  [1367] = 863,
  [1368] = 1141,
  [1369] = 871,
  [1370] = 867,
  [1371] = 868,
  [1372] = 1096,
  [1373] = 864,
  [1374] = 840,
  [1375] = 866,
  [1376] = 1116,
  [1377] = 1096,
  [1378] = 868,
  [1379] = 867,
  [1380] = 847,
  [1381] = 849,
  [1382] = 1141,
  [1383] = 852,
  [1384] = 850,
  [1385] = 871,
  [1386] = 859,
  [1387] = 867,
  [1388] = 868,
  [1389] = 842,
  [1390] = 840,
  [1391] = 864,
  [1392] = 847,
  [1393] = 860,
  [1394] = 849,
  [1395] = 1395,
  [1396] = 852,
  [1397] = 859,
  [1398] = 860,
  [1399] = 861,
  [1400] = 839,
  [1401] = 863,
  [1402] = 866,
  [1403] = 868,
  [1404] = 867,
  [1405] = 850,
  [1406] = 871,
  [1407] = 861,
  [1408] = 842,
  [1409] = 840,
  [1410] = 864,
  [1411] = 847,
  [1412] = 849,
  [1413] = 852,
  [1414] = 859,
  [1415] = 860,
  [1416] = 861,
  [1417] = 839,
  [1418] = 863,
  [1419] = 866,
  [1420] = 868,
  [1421] = 867,
  [1422] = 850,
  [1423] = 871,
  [1424] = 842,
  [1425] = 840,
  [1426] = 864,
  [1427] = 847,
  [1428] = 849,
  [1429] = 852,
  [1430] = 859,
  [1431] = 860,
  [1432] = 861,
  [1433] = 839,
  [1434] = 839,
  [1435] = 1088,
  [1436] = 863,
  [1437] = 863,
  [1438] = 866,
  [1439] = 848,
  [1440] = 1116,
  [1441] = 842,
  [1442] = 845,
  [1443] = 842,
  [1444] = 840,
  [1445] = 1141,
  [1446] = 866,
  [1447] = 867,
  [1448] = 1267,
  [1449] = 1084,
  [1450] = 868,
  [1451] = 848,
  [1452] = 867,
  [1453] = 1141,
  [1454] = 1084,
  [1455] = 849,
  [1456] = 850,
  [1457] = 871,
  [1458] = 1316,
  [1459] = 280,
  [1460] = 852,
  [1461] = 840,
  [1462] = 274,
  [1463] = 859,
  [1464] = 928,
  [1465] = 938,
  [1466] = 845,
  [1467] = 1116,
  [1468] = 1096,
  [1469] = 1088,
  [1470] = 848,
  [1471] = 842,
  [1472] = 842,
  [1473] = 845,
  [1474] = 1084,
  [1475] = 1475,
  [1476] = 860,
  [1477] = 845,
  [1478] = 848,
  [1479] = 266,
  [1480] = 866,
  [1481] = 1088,
  [1482] = 871,
  [1483] = 1096,
  [1484] = 863,
  [1485] = 850,
  [1486] = 849,
  [1487] = 839,
  [1488] = 847,
  [1489] = 1088,
  [1490] = 861,
  [1491] = 867,
  [1492] = 868,
  [1493] = 860,
  [1494] = 859,
  [1495] = 852,
  [1496] = 845,
  [1497] = 849,
  [1498] = 1116,
  [1499] = 1116,
  [1500] = 1096,
  [1501] = 866,
  [1502] = 1141,
  [1503] = 1088,
  [1504] = 840,
  [1505] = 848,
  [1506] = 847,
  [1507] = 864,
  [1508] = 845,
  [1509] = 1084,
  [1510] = 864,
  [1511] = 848,
  [1512] = 866,
  [1513] = 863,
  [1514] = 839,
  [1515] = 864,
  [1516] = 861,
  [1517] = 864,
  [1518] = 842,
  [1519] = 860,
  [1520] = 840,
  [1521] = 847,
  [1522] = 849,
  [1523] = 847,
  [1524] = 840,
  [1525] = 845,
  [1526] = 1084,
  [1527] = 852,
  [1528] = 859,
  [1529] = 842,
  [1530] = 859,
  [1531] = 1531,
  [1532] = 863,
  [1533] = 839,
  [1534] = 861,
  [1535] = 860,
  [1536] = 859,
  [1537] = 1116,
  [1538] = 860,
  [1539] = 1096,
  [1540] = 861,
  [1541] = 848,
  [1542] = 839,
  [1543] = 863,
  [1544] = 852,
  [1545] = 852,
  [1546] = 849,
  [1547] = 931,
  [1548] = 849,
  [1549] = 849,
  [1550] = 847,
  [1551] = 852,
  [1552] = 859,
  [1553] = 860,
  [1554] = 861,
  [1555] = 839,
  [1556] = 864,
  [1557] = 863,
  [1558] = 864,
  [1559] = 847,
  [1560] = 866,
  [1561] = 847,
  [1562] = 864,
  [1563] = 868,
  [1564] = 867,
  [1565] = 840,
  [1566] = 850,
  [1567] = 842,
  [1568] = 871,
  [1569] = 848,
  [1570] = 849,
  [1571] = 842,
  [1572] = 840,
  [1573] = 864,
  [1574] = 847,
  [1575] = 849,
  [1576] = 864,
  [1577] = 852,
  [1578] = 847,
  [1579] = 849,
  [1580] = 852,
  [1581] = 859,
  [1582] = 859,
  [1583] = 860,
  [1584] = 861,
  [1585] = 860,
  [1586] = 852,
  [1587] = 861,
  [1588] = 1264,
  [1589] = 839,
  [1590] = 839,
  [1591] = 863,
  [1592] = 859,
  [1593] = 860,
  [1594] = 861,
  [1595] = 839,
  [1596] = 863,
  [1597] = 1128,
  [1598] = 863,
  [1599] = 871,
  [1600] = 850,
  [1601] = 866,
  [1602] = 867,
  [1603] = 918,
  [1604] = 868,
  [1605] = 867,
  [1606] = 1088,
  [1607] = 868,
  [1608] = 1122,
  [1609] = 868,
  [1610] = 845,
  [1611] = 1125,
  [1612] = 867,
  [1613] = 866,
  [1614] = 1195,
  [1615] = 845,
  [1616] = 1088,
  [1617] = 866,
  [1618] = 392,
  [1619] = 1197,
  [1620] = 850,
  [1621] = 871,
  [1622] = 1209,
  [1623] = 910,
  [1624] = 868,
  [1625] = 1210,
  [1626] = 842,
  [1627] = 867,
  [1628] = 871,
  [1629] = 840,
  [1630] = 866,
  [1631] = 880,
  [1632] = 864,
  [1633] = 850,
  [1634] = 847,
  [1635] = 849,
  [1636] = 863,
  [1637] = 852,
  [1638] = 859,
  [1639] = 839,
  [1640] = 860,
  [1641] = 861,
  [1642] = 839,
  [1643] = 867,
  [1644] = 863,
  [1645] = 868,
  [1646] = 861,
  [1647] = 860,
  [1648] = 866,
  [1649] = 938,
  [1650] = 840,
  [1651] = 850,
  [1652] = 863,
  [1653] = 839,
  [1654] = 871,
  [1655] = 861,
  [1656] = 859,
  [1657] = 860,
  [1658] = 852,
  [1659] = 866,
  [1660] = 859,
  [1661] = 868,
  [1662] = 849,
  [1663] = 1663,
  [1664] = 842,
  [1665] = 868,
  [1666] = 867,
  [1667] = 867,
  [1668] = 847,
  [1669] = 864,
  [1670] = 840,
  [1671] = 842,
  [1672] = 842,
  [1673] = 852,
  [1674] = 871,
  [1675] = 850,
  [1676] = 849,
  [1677] = 871,
  [1678] = 842,
  [1679] = 840,
  [1680] = 847,
  [1681] = 864,
  [1682] = 864,
  [1683] = 906,
  [1684] = 842,
  [1685] = 850,
  [1686] = 1316,
  [1687] = 1084,
  [1688] = 850,
  [1689] = 871,
  [1690] = 848,
  [1691] = 1116,
  [1692] = 864,
  [1693] = 847,
  [1694] = 849,
  [1695] = 852,
  [1696] = 928,
  [1697] = 859,
  [1698] = 860,
  [1699] = 1096,
  [1700] = 861,
  [1701] = 871,
  [1702] = 839,
  [1703] = 863,
  [1704] = 872,
  [1705] = 1096,
  [1706] = 864,
  [1707] = 1297,
  [1708] = 1708,
  [1709] = 1116,
  [1710] = 850,
  [1711] = 867,
  [1712] = 1088,
  [1713] = 868,
  [1714] = 866,
  [1715] = 848,
  [1716] = 866,
  [1717] = 910,
  [1718] = 906,
  [1719] = 863,
  [1720] = 839,
  [1721] = 1096,
  [1722] = 861,
  [1723] = 860,
  [1724] = 872,
  [1725] = 859,
  [1726] = 1084,
  [1727] = 852,
  [1728] = 849,
  [1729] = 1141,
  [1730] = 847,
  [1731] = 868,
  [1732] = 864,
  [1733] = 840,
  [1734] = 840,
  [1735] = 928,
  [1736] = 1292,
  [1737] = 842,
  [1738] = 867,
  [1739] = 866,
  [1740] = 845,
  [1741] = 845,
  [1742] = 848,
  [1743] = 850,
  [1744] = 859,
  [1745] = 871,
  [1746] = 872,
  [1747] = 1084,
  [1748] = 1088,
  [1749] = 881,
  [1750] = 840,
  [1751] = 871,
  [1752] = 850,
  [1753] = 845,
  [1754] = 866,
  [1755] = 1116,
  [1756] = 1141,
  [1757] = 850,
  [1758] = 938,
  [1759] = 1759,
  [1760] = 871,
  [1761] = 871,
  [1762] = 850,
  [1763] = 867,
  [1764] = 1141,
  [1765] = 845,
  [1766] = 868,
  [1767] = 1096,
  [1768] = 1116,
  [1769] = 928,
  [1770] = 938,
  [1771] = 842,
  [1772] = 1084,
  [1773] = 845,
  [1774] = 840,
  [1775] = 864,
  [1776] = 1128,
  [1777] = 866,
  [1778] = 1219,
  [1779] = 847,
  [1780] = 863,
  [1781] = 839,
  [1782] = 842,
  [1783] = 1217,
  [1784] = 840,
  [1785] = 867,
  [1786] = 868,
  [1787] = 864,
  [1788] = 849,
  [1789] = 847,
  [1790] = 861,
  [1791] = 849,
  [1792] = 860,
  [1793] = 852,
  [1794] = 859,
  [1795] = 848,
  [1796] = 867,
  [1797] = 847,
  [1798] = 1798,
  [1799] = 860,
  [1800] = 1088,
  [1801] = 1216,
  [1802] = 861,
  [1803] = 1096,
  [1804] = 839,
  [1805] = 863,
  [1806] = 1096,
  [1807] = 1213,
  [1808] = 1084,
  [1809] = 1211,
  [1810] = 852,
  [1811] = 849,
  [1812] = 847,
  [1813] = 845,
  [1814] = 839,
  [1815] = 864,
  [1816] = 840,
  [1817] = 1817,
  [1818] = 866,
  [1819] = 848,
  [1820] = 842,
  [1821] = 842,
  [1822] = 1088,
  [1823] = 848,
  [1824] = 1088,
  [1825] = 451,
  [1826] = 845,
  [1827] = 848,
  [1828] = 861,
  [1829] = 1084,
  [1830] = 852,
  [1831] = 263,
  [1832] = 859,
  [1833] = 860,
  [1834] = 871,
  [1835] = 840,
  [1836] = 861,
  [1837] = 839,
  [1838] = 1116,
  [1839] = 839,
  [1840] = 868,
  [1841] = 1841,
  [1842] = 1096,
  [1843] = 867,
  [1844] = 868,
  [1845] = 1116,
  [1846] = 1084,
  [1847] = 845,
  [1848] = 393,
  [1849] = 1116,
  [1850] = 863,
  [1851] = 866,
  [1852] = 839,
  [1853] = 864,
  [1854] = 861,
  [1855] = 859,
  [1856] = 860,
  [1857] = 864,
  [1858] = 859,
  [1859] = 852,
  [1860] = 849,
  [1861] = 847,
  [1862] = 864,
  [1863] = 848,
  [1864] = 847,
  [1865] = 1096,
  [1866] = 849,
  [1867] = 852,
  [1868] = 1088,
  [1869] = 871,
  [1870] = 1096,
  [1871] = 1116,
  [1872] = 1316,
  [1873] = 863,
  [1874] = 1874,
  [1875] = 866,
  [1876] = 448,
  [1877] = 1116,
  [1878] = 1084,
  [1879] = 845,
  [1880] = 861,
  [1881] = 860,
  [1882] = 848,
  [1883] = 1088,
  [1884] = 386,
  [1885] = 447,
  [1886] = 434,
  [1887] = 507,
  [1888] = 10,
  [1889] = 435,
  [1890] = 452,
  [1891] = 508,
  [1892] = 443,
  [1893] = 504,
  [1894] = 455,
  [1895] = 592,
  [1896] = 459,
  [1897] = 444,
  [1898] = 539,
  [1899] = 462,
  [1900] = 615,
  [1901] = 432,
  [1902] = 622,
  [1903] = 436,
  [1904] = 437,
  [1905] = 468,
  [1906] = 439,
  [1907] = 593,
  [1908] = 509,
  [1909] = 440,
  [1910] = 441,
  [1911] = 442,
  [1912] = 470,
  [1913] = 445,
  [1914] = 446,
  [1915] = 510,
  [1916] = 449,
  [1917] = 450,
  [1918] = 471,
  [1919] = 453,
  [1920] = 431,
  [1921] = 473,
  [1922] = 454,
  [1923] = 594,
  [1924] = 474,
  [1925] = 512,
  [1926] = 456,
  [1927] = 457,
  [1928] = 458,
  [1929] = 460,
  [1930] = 475,
  [1931] = 595,
  [1932] = 476,
  [1933] = 482,
  [1934] = 596,
  [1935] = 484,
  [1936] = 489,
  [1937] = 597,
  [1938] = 492,
  [1939] = 598,
  [1940] = 599,
  [1941] = 494,
  [1942] = 536,
  [1943] = 392,
  [1944] = 535,
  [1945] = 495,
  [1946] = 496,
  [1947] = 1475,
  [1948] = 393,
  [1949] = 461,
  [1950] = 383,
  [1951] = 591,
  [1952] = 515,
  [1953] = 600,
  [1954] = 601,
  [1955] = 602,
  [1956] = 499,
  [1957] = 505,
  [1958] = 503,
  [1959] = 506,
  [1960] = 511,
  [1961] = 513,
  [1962] = 10,
  [1963] = 514,
  [1964] = 516,
  [1965] = 603,
  [1966] = 604,
  [1967] = 520,
  [1968] = 523,
  [1969] = 322,
  [1970] = 605,
  [1971] = 527,
  [1972] = 502,
  [1973] = 530,
  [1974] = 616,
  [1975] = 528,
  [1976] = 529,
  [1977] = 590,
  [1978] = 498,
  [1979] = 589,
  [1980] = 531,
  [1981] = 532,
  [1982] = 534,
  [1983] = 618,
  [1984] = 586,
  [1985] = 585,
  [1986] = 537,
  [1987] = 582,
  [1988] = 614,
  [1989] = 581,
  [1990] = 574,
  [1991] = 608,
  [1992] = 572,
  [1993] = 570,
  [1994] = 541,
  [1995] = 623,
  [1996] = 567,
  [1997] = 621,
  [1998] = 400,
  [1999] = 620,
  [2000] = 606,
  [2001] = 500,
  [2002] = 524,
  [2003] = 522,
  [2004] = 427,
  [2005] = 565,
  [2006] = 542,
  [2007] = 544,
  [2008] = 545,
  [2009] = 564,
  [2010] = 521,
  [2011] = 563,
  [2012] = 552,
  [2013] = 519,
  [2014] = 463,
  [2015] = 497,
  [2016] = 554,
  [2017] = 555,
  [2018] = 464,
  [2019] = 556,
  [2020] = 429,
  [2021] = 612,
  [2022] = 557,
  [2023] = 558,
  [2024] = 559,
  [2025] = 465,
  [2026] = 560,
  [2027] = 466,
  [2028] = 561,
  [2029] = 493,
  [2030] = 551,
  [2031] = 550,
  [2032] = 549,
  [2033] = 548,
  [2034] = 467,
  [2035] = 547,
  [2036] = 491,
  [2037] = 469,
  [2038] = 517,
  [2039] = 611,
  [2040] = 490,
  [2041] = 546,
  [2042] = 472,
  [2043] = 430,
  [2044] = 10,
  [2045] = 433,
  [2046] = 562,
  [2047] = 477,
  [2048] = 2048,
  [2049] = 543,
  [2050] = 588,
  [2051] = 587,
  [2052] = 584,
  [2053] = 583,
  [2054] = 579,
  [2055] = 578,
  [2056] = 540,
  [2057] = 577,
  [2058] = 538,
  [2059] = 576,
  [2060] = 386,
  [2061] = 478,
  [2062] = 479,
  [2063] = 480,
  [2064] = 533,
  [2065] = 526,
  [2066] = 481,
  [2067] = 573,
  [2068] = 483,
  [2069] = 575,
  [2070] = 518,
  [2071] = 610,
  [2072] = 487,
  [2073] = 485,
  [2074] = 486,
  [2075] = 566,
  [2076] = 525,
  [2077] = 501,
  [2078] = 607,
  [2079] = 10,
  [2080] = 568,
  [2081] = 569,
  [2082] = 488,
  [2083] = 571,
  [2084] = 403,
  [2085] = 481,
  [2086] = 615,
  [2087] = 586,
  [2088] = 585,
  [2089] = 403,
  [2090] = 582,
  [2091] = 485,
  [2092] = 581,
  [2093] = 486,
  [2094] = 610,
  [2095] = 487,
  [2096] = 488,
  [2097] = 490,
  [2098] = 611,
  [2099] = 115,
  [2100] = 612,
  [2101] = 491,
  [2102] = 493,
  [2103] = 607,
  [2104] = 429,
  [2105] = 497,
  [2106] = 553,
  [2107] = 588,
  [2108] = 574,
  [2109] = 587,
  [2110] = 572,
  [2111] = 584,
  [2112] = 479,
  [2113] = 478,
  [2114] = 583,
  [2115] = 579,
  [2116] = 578,
  [2117] = 577,
  [2118] = 576,
  [2119] = 575,
  [2120] = 573,
  [2121] = 571,
  [2122] = 569,
  [2123] = 570,
  [2124] = 568,
  [2125] = 567,
  [2126] = 566,
  [2127] = 562,
  [2128] = 565,
  [2129] = 564,
  [2130] = 563,
  [2131] = 10,
  [2132] = 386,
  [2133] = 552,
  [2134] = 561,
  [2135] = 551,
  [2136] = 560,
  [2137] = 550,
  [2138] = 559,
  [2139] = 558,
  [2140] = 557,
  [2141] = 549,
  [2142] = 461,
  [2143] = 510,
  [2144] = 548,
  [2145] = 556,
  [2146] = 600,
  [2147] = 555,
  [2148] = 554,
  [2149] = 545,
  [2150] = 544,
  [2151] = 547,
  [2152] = 542,
  [2153] = 589,
  [2154] = 541,
  [2155] = 537,
  [2156] = 590,
  [2157] = 534,
  [2158] = 546,
  [2159] = 532,
  [2160] = 591,
  [2161] = 531,
  [2162] = 592,
  [2163] = 529,
  [2164] = 527,
  [2165] = 593,
  [2166] = 523,
  [2167] = 520,
  [2168] = 516,
  [2169] = 514,
  [2170] = 513,
  [2171] = 606,
  [2172] = 511,
  [2173] = 480,
  [2174] = 506,
  [2175] = 505,
  [2176] = 499,
  [2177] = 451,
  [2178] = 496,
  [2179] = 495,
  [2180] = 494,
  [2181] = 594,
  [2182] = 500,
  [2183] = 463,
  [2184] = 464,
  [2185] = 465,
  [2186] = 492,
  [2187] = 489,
  [2188] = 484,
  [2189] = 482,
  [2190] = 476,
  [2191] = 475,
  [2192] = 595,
  [2193] = 460,
  [2194] = 466,
  [2195] = 596,
  [2196] = 458,
  [2197] = 597,
  [2198] = 598,
  [2199] = 457,
  [2200] = 2048,
  [2201] = 599,
  [2202] = 456,
  [2203] = 619,
  [2204] = 536,
  [2205] = 467,
  [2206] = 454,
  [2207] = 453,
  [2208] = 483,
  [2209] = 450,
  [2210] = 502,
  [2211] = 449,
  [2212] = 446,
  [2213] = 535,
  [2214] = 427,
  [2215] = 445,
  [2216] = 601,
  [2217] = 602,
  [2218] = 442,
  [2219] = 603,
  [2220] = 604,
  [2221] = 605,
  [2222] = 441,
  [2223] = 617,
  [2224] = 440,
  [2225] = 469,
  [2226] = 530,
  [2227] = 439,
  [2228] = 616,
  [2229] = 503,
  [2230] = 528,
  [2231] = 437,
  [2232] = 436,
  [2233] = 432,
  [2234] = 444,
  [2235] = 443,
  [2236] = 435,
  [2237] = 434,
  [2238] = 614,
  [2239] = 433,
  [2240] = 447,
  [2241] = 452,
  [2242] = 455,
  [2243] = 472,
  [2244] = 608,
  [2245] = 459,
  [2246] = 623,
  [2247] = 448,
  [2248] = 621,
  [2249] = 620,
  [2250] = 539,
  [2251] = 462,
  [2252] = 468,
  [2253] = 470,
  [2254] = 618,
  [2255] = 471,
  [2256] = 473,
  [2257] = 507,
  [2258] = 474,
  [2259] = 498,
  [2260] = 501,
  [2261] = 524,
  [2262] = 518,
  [2263] = 525,
  [2264] = 522,
  [2265] = 508,
  [2266] = 622,
  [2267] = 509,
  [2268] = 431,
  [2269] = 526,
  [2270] = 533,
  [2271] = 538,
  [2272] = 504,
  [2273] = 477,
  [2274] = 540,
  [2275] = 521,
  [2276] = 543,
  [2277] = 519,
  [2278] = 512,
  [2279] = 515,
  [2280] = 517,
  [2281] = 430,
  [2282] = 89,
  [2283] = 83,
  [2284] = 84,
  [2285] = 83,
  [2286] = 94,
  [2287] = 2287,
  [2288] = 93,
  [2289] = 89,
  [2290] = 81,
  [2291] = 95,
  [2292] = 103,
  [2293] = 102,
  [2294] = 102,
  [2295] = 81,
  [2296] = 96,
  [2297] = 103,
  [2298] = 80,
  [2299] = 99,
  [2300] = 97,
  [2301] = 92,
  [2302] = 104,
  [2303] = 612,
  [2304] = 89,
  [2305] = 83,
  [2306] = 10,
  [2307] = 2307,
  [2308] = 99,
  [2309] = 80,
  [2310] = 98,
  [2311] = 84,
  [2312] = 97,
  [2313] = 96,
  [2314] = 102,
  [2315] = 103,
  [2316] = 104,
  [2317] = 607,
  [2318] = 98,
  [2319] = 104,
  [2320] = 84,
  [2321] = 94,
  [2322] = 97,
  [2323] = 80,
  [2324] = 95,
  [2325] = 92,
  [2326] = 98,
  [2327] = 93,
  [2328] = 99,
  [2329] = 96,
  [2330] = 92,
  [2331] = 95,
  [2332] = 93,
  [2333] = 94,
  [2334] = 81,
  [2335] = 386,
  [2336] = 461,
  [2337] = 94,
  [2338] = 93,
  [2339] = 95,
  [2340] = 92,
  [2341] = 81,
  [2342] = 96,
  [2343] = 1475,
  [2344] = 97,
  [2345] = 84,
  [2346] = 98,
  [2347] = 99,
  [2348] = 80,
  [2349] = 102,
  [2350] = 103,
  [2351] = 104,
  [2352] = 89,
  [2353] = 83,
  [2354] = 276,
  [2355] = 393,
  [2356] = 250,
  [2357] = 251,
  [2358] = 81,
  [2359] = 253,
  [2360] = 94,
  [2361] = 255,
  [2362] = 257,
  [2363] = 261,
  [2364] = 262,
  [2365] = 266,
  [2366] = 277,
  [2367] = 271,
  [2368] = 273,
  [2369] = 274,
  [2370] = 348,
  [2371] = 280,
  [2372] = 282,
  [2373] = 284,
  [2374] = 288,
  [2375] = 292,
  [2376] = 373,
  [2377] = 296,
  [2378] = 300,
  [2379] = 301,
  [2380] = 302,
  [2381] = 303,
  [2382] = 375,
  [2383] = 304,
  [2384] = 380,
  [2385] = 305,
  [2386] = 307,
  [2387] = 366,
  [2388] = 309,
  [2389] = 347,
  [2390] = 310,
  [2391] = 254,
  [2392] = 297,
  [2393] = 378,
  [2394] = 313,
  [2395] = 314,
  [2396] = 317,
  [2397] = 283,
  [2398] = 318,
  [2399] = 320,
  [2400] = 321,
  [2401] = 368,
  [2402] = 242,
  [2403] = 247,
  [2404] = 325,
  [2405] = 383,
  [2406] = 289,
  [2407] = 324,
  [2408] = 331,
  [2409] = 335,
  [2410] = 291,
  [2411] = 267,
  [2412] = 316,
  [2413] = 298,
  [2414] = 10,
  [2415] = 306,
  [2416] = 244,
  [2417] = 240,
  [2418] = 341,
  [2419] = 294,
  [2420] = 96,
  [2421] = 248,
  [2422] = 97,
  [2423] = 2048,
  [2424] = 237,
  [2425] = 351,
  [2426] = 328,
  [2427] = 327,
  [2428] = 230,
  [2429] = 323,
  [2430] = 239,
  [2431] = 98,
  [2432] = 322,
  [2433] = 232,
  [2434] = 238,
  [2435] = 236,
  [2436] = 233,
  [2437] = 272,
  [2438] = 279,
  [2439] = 245,
  [2440] = 258,
  [2441] = 286,
  [2442] = 225,
  [2443] = 362,
  [2444] = 367,
  [2445] = 99,
  [2446] = 234,
  [2447] = 379,
  [2448] = 357,
  [2449] = 1475,
  [2450] = 229,
  [2451] = 235,
  [2452] = 80,
  [2453] = 308,
  [2454] = 319,
  [2455] = 115,
  [2456] = 355,
  [2457] = 360,
  [2458] = 359,
  [2459] = 263,
  [2460] = 369,
  [2461] = 381,
  [2462] = 363,
  [2463] = 227,
  [2464] = 344,
  [2465] = 343,
  [2466] = 269,
  [2467] = 102,
  [2468] = 342,
  [2469] = 103,
  [2470] = 339,
  [2471] = 104,
  [2472] = 311,
  [2473] = 241,
  [2474] = 89,
  [2475] = 346,
  [2476] = 336,
  [2477] = 278,
  [2478] = 83,
  [2479] = 334,
  [2480] = 400,
  [2481] = 333,
  [2482] = 312,
  [2483] = 115,
  [2484] = 10,
  [2485] = 377,
  [2486] = 10,
  [2487] = 84,
  [2488] = 365,
  [2489] = 364,
  [2490] = 92,
  [2491] = 340,
  [2492] = 356,
  [2493] = 338,
  [2494] = 354,
  [2495] = 259,
  [2496] = 352,
  [2497] = 315,
  [2498] = 295,
  [2499] = 2499,
  [2500] = 371,
  [2501] = 285,
  [2502] = 226,
  [2503] = 93,
  [2504] = 10,
  [2505] = 252,
  [2506] = 264,
  [2507] = 350,
  [2508] = 329,
  [2509] = 330,
  [2510] = 231,
  [2511] = 95,
  [2512] = 243,
  [2513] = 246,
  [2514] = 332,
  [2515] = 265,
  [2516] = 10,
  [2517] = 2048,
  [2518] = 2518,
  [2519] = 383,
  [2520] = 115,
  [2521] = 10,
  [2522] = 393,
  [2523] = 392,
  [2524] = 115,
  [2525] = 386,
  [2526] = 2526,
  [2527] = 98,
  [2528] = 575,
  [2529] = 573,
  [2530] = 571,
  [2531] = 569,
  [2532] = 568,
  [2533] = 566,
  [2534] = 562,
  [2535] = 561,
  [2536] = 560,
  [2537] = 559,
  [2538] = 558,
  [2539] = 557,
  [2540] = 556,
  [2541] = 555,
  [2542] = 554,
  [2543] = 545,
  [2544] = 81,
  [2545] = 544,
  [2546] = 542,
  [2547] = 541,
  [2548] = 537,
  [2549] = 534,
  [2550] = 532,
  [2551] = 531,
  [2552] = 577,
  [2553] = 578,
  [2554] = 529,
  [2555] = 579,
  [2556] = 583,
  [2557] = 527,
  [2558] = 584,
  [2559] = 523,
  [2560] = 520,
  [2561] = 587,
  [2562] = 516,
  [2563] = 96,
  [2564] = 588,
  [2565] = 514,
  [2566] = 467,
  [2567] = 97,
  [2568] = 513,
  [2569] = 511,
  [2570] = 506,
  [2571] = 98,
  [2572] = 505,
  [2573] = 499,
  [2574] = 469,
  [2575] = 496,
  [2576] = 495,
  [2577] = 84,
  [2578] = 83,
  [2579] = 494,
  [2580] = 89,
  [2581] = 104,
  [2582] = 492,
  [2583] = 103,
  [2584] = 489,
  [2585] = 484,
  [2586] = 102,
  [2587] = 482,
  [2588] = 476,
  [2589] = 99,
  [2590] = 475,
  [2591] = 460,
  [2592] = 594,
  [2593] = 457,
  [2594] = 456,
  [2595] = 80,
  [2596] = 99,
  [2597] = 454,
  [2598] = 80,
  [2599] = 2287,
  [2600] = 453,
  [2601] = 102,
  [2602] = 450,
  [2603] = 449,
  [2604] = 97,
  [2605] = 446,
  [2606] = 445,
  [2607] = 96,
  [2608] = 442,
  [2609] = 441,
  [2610] = 440,
  [2611] = 472,
  [2612] = 439,
  [2613] = 103,
  [2614] = 104,
  [2615] = 437,
  [2616] = 436,
  [2617] = 81,
  [2618] = 432,
  [2619] = 89,
  [2620] = 615,
  [2621] = 444,
  [2622] = 94,
  [2623] = 93,
  [2624] = 95,
  [2625] = 443,
  [2626] = 92,
  [2627] = 83,
  [2628] = 478,
  [2629] = 435,
  [2630] = 84,
  [2631] = 479,
  [2632] = 434,
  [2633] = 606,
  [2634] = 433,
  [2635] = 480,
  [2636] = 447,
  [2637] = 481,
  [2638] = 452,
  [2639] = 455,
  [2640] = 459,
  [2641] = 92,
  [2642] = 539,
  [2643] = 483,
  [2644] = 462,
  [2645] = 451,
  [2646] = 468,
  [2647] = 470,
  [2648] = 471,
  [2649] = 473,
  [2650] = 448,
  [2651] = 95,
  [2652] = 403,
  [2653] = 485,
  [2654] = 2654,
  [2655] = 474,
  [2656] = 498,
  [2657] = 501,
  [2658] = 518,
  [2659] = 525,
  [2660] = 526,
  [2661] = 533,
  [2662] = 538,
  [2663] = 540,
  [2664] = 543,
  [2665] = 553,
  [2666] = 619,
  [2667] = 486,
  [2668] = 546,
  [2669] = 610,
  [2670] = 487,
  [2671] = 488,
  [2672] = 547,
  [2673] = 490,
  [2674] = 617,
  [2675] = 611,
  [2676] = 491,
  [2677] = 493,
  [2678] = 548,
  [2679] = 429,
  [2680] = 549,
  [2681] = 497,
  [2682] = 550,
  [2683] = 93,
  [2684] = 551,
  [2685] = 465,
  [2686] = 500,
  [2687] = 552,
  [2688] = 502,
  [2689] = 503,
  [2690] = 504,
  [2691] = 507,
  [2692] = 508,
  [2693] = 563,
  [2694] = 622,
  [2695] = 564,
  [2696] = 565,
  [2697] = 509,
  [2698] = 510,
  [2699] = 94,
  [2700] = 431,
  [2701] = 512,
  [2702] = 567,
  [2703] = 10,
  [2704] = 570,
  [2705] = 515,
  [2706] = 572,
  [2707] = 517,
  [2708] = 574,
  [2709] = 430,
  [2710] = 519,
  [2711] = 521,
  [2712] = 427,
  [2713] = 2307,
  [2714] = 581,
  [2715] = 522,
  [2716] = 524,
  [2717] = 582,
  [2718] = 618,
  [2719] = 585,
  [2720] = 586,
  [2721] = 620,
  [2722] = 621,
  [2723] = 623,
  [2724] = 608,
  [2725] = 614,
  [2726] = 464,
  [2727] = 589,
  [2728] = 477,
  [2729] = 528,
  [2730] = 590,
  [2731] = 616,
  [2732] = 530,
  [2733] = 92,
  [2734] = 591,
  [2735] = 95,
  [2736] = 605,
  [2737] = 592,
  [2738] = 593,
  [2739] = 604,
  [2740] = 463,
  [2741] = 603,
  [2742] = 576,
  [2743] = 602,
  [2744] = 601,
  [2745] = 600,
  [2746] = 458,
  [2747] = 94,
  [2748] = 466,
  [2749] = 595,
  [2750] = 81,
  [2751] = 96,
  [2752] = 97,
  [2753] = 535,
  [2754] = 84,
  [2755] = 83,
  [2756] = 93,
  [2757] = 89,
  [2758] = 104,
  [2759] = 103,
  [2760] = 596,
  [2761] = 102,
  [2762] = 597,
  [2763] = 80,
  [2764] = 598,
  [2765] = 99,
  [2766] = 599,
  [2767] = 98,
  [2768] = 536,
  [2769] = 84,
  [2770] = 98,
  [2771] = 461,
  [2772] = 89,
  [2773] = 97,
  [2774] = 386,
  [2775] = 93,
  [2776] = 81,
  [2777] = 99,
  [2778] = 94,
  [2779] = 80,
  [2780] = 95,
  [2781] = 102,
  [2782] = 103,
  [2783] = 104,
  [2784] = 92,
  [2785] = 96,
  [2786] = 83,
  [2787] = 80,
  [2788] = 2499,
  [2789] = 104,
  [2790] = 95,
  [2791] = 99,
  [2792] = 92,
  [2793] = 2793,
  [2794] = 98,
  [2795] = 97,
  [2796] = 115,
  [2797] = 84,
  [2798] = 93,
  [2799] = 96,
  [2800] = 81,
  [2801] = 94,
  [2802] = 102,
  [2803] = 2803,
  [2804] = 322,
  [2805] = 103,
  [2806] = 322,
  [2807] = 115,
  [2808] = 322,
  [2809] = 89,
  [2810] = 83,
  [2811] = 363,
  [2812] = 340,
  [2813] = 312,
  [2814] = 333,
  [2815] = 334,
  [2816] = 336,
  [2817] = 311,
  [2818] = 81,
  [2819] = 339,
  [2820] = 343,
  [2821] = 344,
  [2822] = 400,
  [2823] = 331,
  [2824] = 381,
  [2825] = 321,
  [2826] = 369,
  [2827] = 320,
  [2828] = 359,
  [2829] = 96,
  [2830] = 97,
  [2831] = 98,
  [2832] = 318,
  [2833] = 317,
  [2834] = 99,
  [2835] = 314,
  [2836] = 80,
  [2837] = 319,
  [2838] = 235,
  [2839] = 357,
  [2840] = 379,
  [2841] = 313,
  [2842] = 367,
  [2843] = 102,
  [2844] = 362,
  [2845] = 225,
  [2846] = 286,
  [2847] = 103,
  [2848] = 258,
  [2849] = 279,
  [2850] = 272,
  [2851] = 233,
  [2852] = 232,
  [2853] = 104,
  [2854] = 89,
  [2855] = 93,
  [2856] = 323,
  [2857] = 83,
  [2858] = 84,
  [2859] = 230,
  [2860] = 327,
  [2861] = 328,
  [2862] = 310,
  [2863] = 309,
  [2864] = 307,
  [2865] = 351,
  [2866] = 237,
  [2867] = 248,
  [2868] = 335,
  [2869] = 316,
  [2870] = 267,
  [2871] = 291,
  [2872] = 325,
  [2873] = 276,
  [2874] = 247,
  [2875] = 242,
  [2876] = 368,
  [2877] = 305,
  [2878] = 283,
  [2879] = 378,
  [2880] = 297,
  [2881] = 254,
  [2882] = 347,
  [2883] = 366,
  [2884] = 380,
  [2885] = 304,
  [2886] = 375,
  [2887] = 373,
  [2888] = 289,
  [2889] = 348,
  [2890] = 322,
  [2891] = 338,
  [2892] = 332,
  [2893] = 302,
  [2894] = 330,
  [2895] = 227,
  [2896] = 301,
  [2897] = 300,
  [2898] = 296,
  [2899] = 298,
  [2900] = 292,
  [2901] = 288,
  [2902] = 277,
  [2903] = 278,
  [2904] = 259,
  [2905] = 265,
  [2906] = 246,
  [2907] = 243,
  [2908] = 231,
  [2909] = 329,
  [2910] = 350,
  [2911] = 284,
  [2912] = 95,
  [2913] = 264,
  [2914] = 252,
  [2915] = 282,
  [2916] = 94,
  [2917] = 226,
  [2918] = 280,
  [2919] = 285,
  [2920] = 295,
  [2921] = 315,
  [2922] = 352,
  [2923] = 354,
  [2924] = 356,
  [2925] = 341,
  [2926] = 364,
  [2927] = 365,
  [2928] = 377,
  [2929] = 346,
  [2930] = 241,
  [2931] = 342,
  [2932] = 269,
  [2933] = 324,
  [2934] = 244,
  [2935] = 400,
  [2936] = 274,
  [2937] = 360,
  [2938] = 273,
  [2939] = 271,
  [2940] = 266,
  [2941] = 355,
  [2942] = 262,
  [2943] = 261,
  [2944] = 257,
  [2945] = 308,
  [2946] = 229,
  [2947] = 234,
  [2948] = 236,
  [2949] = 238,
  [2950] = 239,
  [2951] = 2951,
  [2952] = 255,
  [2953] = 263,
  [2954] = 253,
  [2955] = 240,
  [2956] = 400,
  [2957] = 371,
  [2958] = 251,
  [2959] = 10,
  [2960] = 2518,
  [2961] = 303,
  [2962] = 92,
  [2963] = 306,
  [2964] = 250,
  [2965] = 245,
  [2966] = 115,
  [2967] = 294,
  [2968] = 392,
  [2969] = 478,
  [2970] = 486,
  [2971] = 89,
  [2972] = 93,
  [2973] = 2973,
  [2974] = 94,
  [2975] = 81,
  [2976] = 96,
  [2977] = 97,
  [2978] = 98,
  [2979] = 99,
  [2980] = 80,
  [2981] = 102,
  [2982] = 103,
  [2983] = 104,
  [2984] = 89,
  [2985] = 83,
  [2986] = 84,
  [2987] = 92,
  [2988] = 95,
  [2989] = 2989,
  [2990] = 393,
  [2991] = 400,
  [2992] = 94,
  [2993] = 383,
  [2994] = 84,
  [2995] = 83,
  [2996] = 93,
  [2997] = 95,
  [2998] = 104,
  [2999] = 103,
  [3000] = 102,
  [3001] = 80,
  [3002] = 99,
  [3003] = 98,
  [3004] = 97,
  [3005] = 96,
  [3006] = 81,
  [3007] = 386,
  [3008] = 84,
  [3009] = 83,
  [3010] = 93,
  [3011] = 89,
  [3012] = 104,
  [3013] = 103,
  [3014] = 102,
  [3015] = 80,
  [3016] = 99,
  [3017] = 98,
  [3018] = 3018,
  [3019] = 97,
  [3020] = 96,
  [3021] = 81,
  [3022] = 94,
  [3023] = 95,
  [3024] = 92,
  [3025] = 2526,
  [3026] = 2654,
  [3027] = 92,
  [3028] = 430,
  [3029] = 553,
  [3030] = 477,
  [3031] = 588,
  [3032] = 587,
  [3033] = 584,
  [3034] = 583,
  [3035] = 579,
  [3036] = 578,
  [3037] = 577,
  [3038] = 576,
  [3039] = 575,
  [3040] = 573,
  [3041] = 571,
  [3042] = 569,
  [3043] = 546,
  [3044] = 566,
  [3045] = 562,
  [3046] = 561,
  [3047] = 560,
  [3048] = 559,
  [3049] = 558,
  [3050] = 557,
  [3051] = 556,
  [3052] = 555,
  [3053] = 554,
  [3054] = 545,
  [3055] = 542,
  [3056] = 541,
  [3057] = 537,
  [3058] = 534,
  [3059] = 532,
  [3060] = 531,
  [3061] = 529,
  [3062] = 527,
  [3063] = 523,
  [3064] = 520,
  [3065] = 516,
  [3066] = 514,
  [3067] = 513,
  [3068] = 511,
  [3069] = 506,
  [3070] = 505,
  [3071] = 499,
  [3072] = 496,
  [3073] = 495,
  [3074] = 494,
  [3075] = 492,
  [3076] = 489,
  [3077] = 484,
  [3078] = 482,
  [3079] = 476,
  [3080] = 544,
  [3081] = 460,
  [3082] = 458,
  [3083] = 457,
  [3084] = 456,
  [3085] = 454,
  [3086] = 453,
  [3087] = 450,
  [3088] = 449,
  [3089] = 446,
  [3090] = 445,
  [3091] = 442,
  [3092] = 441,
  [3093] = 440,
  [3094] = 439,
  [3095] = 437,
  [3096] = 436,
  [3097] = 432,
  [3098] = 615,
  [3099] = 444,
  [3100] = 443,
  [3101] = 435,
  [3102] = 434,
  [3103] = 433,
  [3104] = 447,
  [3105] = 452,
  [3106] = 455,
  [3107] = 459,
  [3108] = 462,
  [3109] = 468,
  [3110] = 470,
  [3111] = 471,
  [3112] = 473,
  [3113] = 474,
  [3114] = 498,
  [3115] = 501,
  [3116] = 518,
  [3117] = 525,
  [3118] = 526,
  [3119] = 533,
  [3120] = 538,
  [3121] = 540,
  [3122] = 371,
  [3123] = 3123,
  [3124] = 92,
  [3125] = 95,
  [3126] = 543,
  [3127] = 617,
  [3128] = 312,
  [3129] = 333,
  [3130] = 334,
  [3131] = 336,
  [3132] = 311,
  [3133] = 547,
  [3134] = 475,
  [3135] = 549,
  [3136] = 503,
  [3137] = 550,
  [3138] = 551,
  [3139] = 552,
  [3140] = 563,
  [3141] = 564,
  [3142] = 565,
  [3143] = 567,
  [3144] = 570,
  [3145] = 572,
  [3146] = 3146,
  [3147] = 574,
  [3148] = 581,
  [3149] = 582,
  [3150] = 585,
  [3151] = 586,
  [3152] = 589,
  [3153] = 590,
  [3154] = 263,
  [3155] = 591,
  [3156] = 592,
  [3157] = 593,
  [3158] = 594,
  [3159] = 595,
  [3160] = 619,
  [3161] = 596,
  [3162] = 597,
  [3163] = 598,
  [3164] = 599,
  [3165] = 600,
  [3166] = 601,
  [3167] = 602,
  [3168] = 603,
  [3169] = 94,
  [3170] = 81,
  [3171] = 604,
  [3172] = 96,
  [3173] = 97,
  [3174] = 98,
  [3175] = 339,
  [3176] = 99,
  [3177] = 80,
  [3178] = 605,
  [3179] = 616,
  [3180] = 614,
  [3181] = 608,
  [3182] = 548,
  [3183] = 621,
  [3184] = 620,
  [3185] = 618,
  [3186] = 102,
  [3187] = 103,
  [3188] = 104,
  [3189] = 427,
  [3190] = 89,
  [3191] = 93,
  [3192] = 83,
  [3193] = 84,
  [3194] = 431,
  [3195] = 622,
  [3196] = 623,
  [3197] = 611,
  [3198] = 610,
  [3199] = 403,
  [3200] = 343,
  [3201] = 344,
  [3202] = 606,
  [3203] = 461,
  [3204] = 539,
  [3205] = 536,
  [3206] = 535,
  [3207] = 568,
  [3208] = 530,
  [3209] = 528,
  [3210] = 524,
  [3211] = 522,
  [3212] = 521,
  [3213] = 519,
  [3214] = 517,
  [3215] = 515,
  [3216] = 512,
  [3217] = 309,
  [3218] = 510,
  [3219] = 509,
  [3220] = 508,
  [3221] = 507,
  [3222] = 363,
  [3223] = 504,
  [3224] = 483,
  [3225] = 502,
  [3226] = 500,
  [3227] = 497,
  [3228] = 612,
  [3229] = 493,
  [3230] = 491,
  [3231] = 490,
  [3232] = 488,
  [3233] = 369,
  [3234] = 487,
  [3235] = 448,
  [3236] = 486,
  [3237] = 359,
  [3238] = 319,
  [3239] = 335,
  [3240] = 331,
  [3241] = 324,
  [3242] = 321,
  [3243] = 320,
  [3244] = 318,
  [3245] = 317,
  [3246] = 314,
  [3247] = 313,
  [3248] = 310,
  [3249] = 485,
  [3250] = 307,
  [3251] = 305,
  [3252] = 304,
  [3253] = 303,
  [3254] = 302,
  [3255] = 301,
  [3256] = 300,
  [3257] = 296,
  [3258] = 292,
  [3259] = 607,
  [3260] = 264,
  [3261] = 479,
  [3262] = 481,
  [3263] = 480,
  [3264] = 288,
  [3265] = 284,
  [3266] = 282,
  [3267] = 280,
  [3268] = 274,
  [3269] = 273,
  [3270] = 271,
  [3271] = 266,
  [3272] = 262,
  [3273] = 261,
  [3274] = 257,
  [3275] = 429,
  [3276] = 255,
  [3277] = 478,
  [3278] = 253,
  [3279] = 251,
  [3280] = 250,
  [3281] = 245,
  [3282] = 472,
  [3283] = 469,
  [3284] = 467,
  [3285] = 244,
  [3286] = 240,
  [3287] = 239,
  [3288] = 238,
  [3289] = 236,
  [3290] = 234,
  [3291] = 229,
  [3292] = 308,
  [3293] = 355,
  [3294] = 360,
  [3295] = 269,
  [3296] = 342,
  [3297] = 241,
  [3298] = 346,
  [3299] = 377,
  [3300] = 365,
  [3301] = 364,
  [3302] = 356,
  [3303] = 354,
  [3304] = 352,
  [3305] = 315,
  [3306] = 295,
  [3307] = 285,
  [3308] = 226,
  [3309] = 466,
  [3310] = 451,
  [3311] = 252,
  [3312] = 381,
  [3313] = 350,
  [3314] = 329,
  [3315] = 231,
  [3316] = 243,
  [3317] = 235,
  [3318] = 246,
  [3319] = 265,
  [3320] = 386,
  [3321] = 465,
  [3322] = 464,
  [3323] = 259,
  [3324] = 278,
  [3325] = 463,
  [3326] = 277,
  [3327] = 298,
  [3328] = 325,
  [3329] = 227,
  [3330] = 330,
  [3331] = 332,
  [3332] = 338,
  [3333] = 340,
  [3334] = 348,
  [3335] = 373,
  [3336] = 375,
  [3337] = 380,
  [3338] = 366,
  [3339] = 347,
  [3340] = 254,
  [3341] = 297,
  [3342] = 378,
  [3343] = 283,
  [3344] = 368,
  [3345] = 242,
  [3346] = 247,
  [3347] = 276,
  [3348] = 289,
  [3349] = 291,
  [3350] = 267,
  [3351] = 316,
  [3352] = 306,
  [3353] = 341,
  [3354] = 294,
  [3355] = 248,
  [3356] = 237,
  [3357] = 351,
  [3358] = 328,
  [3359] = 327,
  [3360] = 230,
  [3361] = 323,
  [3362] = 232,
  [3363] = 233,
  [3364] = 272,
  [3365] = 279,
  [3366] = 258,
  [3367] = 286,
  [3368] = 225,
  [3369] = 362,
  [3370] = 367,
  [3371] = 379,
  [3372] = 357,
  [3373] = 386,
  [3374] = 2973,
  [3375] = 322,
  [3376] = 3376,
  [3377] = 2793,
  [3378] = 115,
  [3379] = 115,
  [3380] = 2803,
  [3381] = 2287,
  [3382] = 393,
  [3383] = 400,
  [3384] = 383,
  [3385] = 115,
  [3386] = 392,
  [3387] = 3387,
  [3388] = 432,
  [3389] = 95,
  [3390] = 621,
  [3391] = 620,
  [3392] = 618,
  [3393] = 430,
  [3394] = 431,
  [3395] = 622,
  [3396] = 611,
  [3397] = 610,
  [3398] = 606,
  [3399] = 451,
  [3400] = 448,
  [3401] = 553,
  [3402] = 619,
  [3403] = 617,
  [3404] = 608,
  [3405] = 427,
  [3406] = 403,
  [3407] = 614,
  [3408] = 616,
  [3409] = 605,
  [3410] = 604,
  [3411] = 603,
  [3412] = 602,
  [3413] = 601,
  [3414] = 600,
  [3415] = 547,
  [3416] = 599,
  [3417] = 598,
  [3418] = 597,
  [3419] = 596,
  [3420] = 595,
  [3421] = 594,
  [3422] = 593,
  [3423] = 592,
  [3424] = 591,
  [3425] = 429,
  [3426] = 590,
  [3427] = 589,
  [3428] = 586,
  [3429] = 585,
  [3430] = 582,
  [3431] = 581,
  [3432] = 574,
  [3433] = 572,
  [3434] = 570,
  [3435] = 567,
  [3436] = 565,
  [3437] = 564,
  [3438] = 563,
  [3439] = 552,
  [3440] = 551,
  [3441] = 550,
  [3442] = 549,
  [3443] = 548,
  [3444] = 546,
  [3445] = 543,
  [3446] = 539,
  [3447] = 540,
  [3448] = 538,
  [3449] = 533,
  [3450] = 526,
  [3451] = 525,
  [3452] = 518,
  [3453] = 501,
  [3454] = 498,
  [3455] = 474,
  [3456] = 473,
  [3457] = 471,
  [3458] = 470,
  [3459] = 468,
  [3460] = 462,
  [3461] = 459,
  [3462] = 455,
  [3463] = 452,
  [3464] = 447,
  [3465] = 433,
  [3466] = 434,
  [3467] = 435,
  [3468] = 443,
  [3469] = 444,
  [3470] = 615,
  [3471] = 436,
  [3472] = 437,
  [3473] = 439,
  [3474] = 440,
  [3475] = 441,
  [3476] = 442,
  [3477] = 445,
  [3478] = 446,
  [3479] = 449,
  [3480] = 450,
  [3481] = 453,
  [3482] = 454,
  [3483] = 456,
  [3484] = 457,
  [3485] = 458,
  [3486] = 460,
  [3487] = 475,
  [3488] = 476,
  [3489] = 482,
  [3490] = 484,
  [3491] = 489,
  [3492] = 492,
  [3493] = 494,
  [3494] = 495,
  [3495] = 496,
  [3496] = 499,
  [3497] = 505,
  [3498] = 506,
  [3499] = 511,
  [3500] = 513,
  [3501] = 514,
  [3502] = 516,
  [3503] = 520,
  [3504] = 523,
  [3505] = 527,
  [3506] = 529,
  [3507] = 588,
  [3508] = 531,
  [3509] = 532,
  [3510] = 534,
  [3511] = 536,
  [3512] = 535,
  [3513] = 537,
  [3514] = 541,
  [3515] = 542,
  [3516] = 544,
  [3517] = 545,
  [3518] = 554,
  [3519] = 555,
  [3520] = 556,
  [3521] = 557,
  [3522] = 558,
  [3523] = 559,
  [3524] = 623,
  [3525] = 560,
  [3526] = 561,
  [3527] = 562,
  [3528] = 566,
  [3529] = 530,
  [3530] = 528,
  [3531] = 568,
  [3532] = 569,
  [3533] = 571,
  [3534] = 573,
  [3535] = 575,
  [3536] = 576,
  [3537] = 84,
  [3538] = 524,
  [3539] = 522,
  [3540] = 521,
  [3541] = 519,
  [3542] = 83,
  [3543] = 517,
  [3544] = 515,
  [3545] = 512,
  [3546] = 577,
  [3547] = 578,
  [3548] = 579,
  [3549] = 93,
  [3550] = 510,
  [3551] = 509,
  [3552] = 89,
  [3553] = 508,
  [3554] = 507,
  [3555] = 504,
  [3556] = 503,
  [3557] = 502,
  [3558] = 500,
  [3559] = 497,
  [3560] = 104,
  [3561] = 612,
  [3562] = 493,
  [3563] = 491,
  [3564] = 103,
  [3565] = 490,
  [3566] = 488,
  [3567] = 487,
  [3568] = 102,
  [3569] = 486,
  [3570] = 485,
  [3571] = 607,
  [3572] = 483,
  [3573] = 481,
  [3574] = 480,
  [3575] = 479,
  [3576] = 478,
  [3577] = 477,
  [3578] = 472,
  [3579] = 469,
  [3580] = 467,
  [3581] = 466,
  [3582] = 465,
  [3583] = 464,
  [3584] = 463,
  [3585] = 80,
  [3586] = 583,
  [3587] = 98,
  [3588] = 97,
  [3589] = 99,
  [3590] = 461,
  [3591] = 584,
  [3592] = 81,
  [3593] = 94,
  [3594] = 587,
  [3595] = 96,
  [3596] = 2951,
  [3597] = 386,
  [3598] = 92,
  [3599] = 297,
  [3600] = 526,
  [3601] = 236,
  [3602] = 238,
  [3603] = 591,
  [3604] = 239,
  [3605] = 592,
  [3606] = 593,
  [3607] = 240,
  [3608] = 244,
  [3609] = 245,
  [3610] = 250,
  [3611] = 251,
  [3612] = 594,
  [3613] = 253,
  [3614] = 595,
  [3615] = 255,
  [3616] = 257,
  [3617] = 261,
  [3618] = 262,
  [3619] = 266,
  [3620] = 596,
  [3621] = 271,
  [3622] = 597,
  [3623] = 273,
  [3624] = 598,
  [3625] = 274,
  [3626] = 599,
  [3627] = 95,
  [3628] = 92,
  [3629] = 280,
  [3630] = 282,
  [3631] = 284,
  [3632] = 288,
  [3633] = 292,
  [3634] = 600,
  [3635] = 296,
  [3636] = 300,
  [3637] = 301,
  [3638] = 302,
  [3639] = 303,
  [3640] = 601,
  [3641] = 304,
  [3642] = 602,
  [3643] = 305,
  [3644] = 307,
  [3645] = 603,
  [3646] = 309,
  [3647] = 604,
  [3648] = 310,
  [3649] = 605,
  [3650] = 617,
  [3651] = 616,
  [3652] = 2989,
  [3653] = 229,
  [3654] = 234,
  [3655] = 313,
  [3656] = 614,
  [3657] = 314,
  [3658] = 317,
  [3659] = 608,
  [3660] = 318,
  [3661] = 320,
  [3662] = 623,
  [3663] = 321,
  [3664] = 621,
  [3665] = 620,
  [3666] = 618,
  [3667] = 430,
  [3668] = 81,
  [3669] = 324,
  [3670] = 331,
  [3671] = 335,
  [3672] = 431,
  [3673] = 622,
  [3674] = 468,
  [3675] = 96,
  [3676] = 97,
  [3677] = 98,
  [3678] = 99,
  [3679] = 96,
  [3680] = 80,
  [3681] = 102,
  [3682] = 103,
  [3683] = 94,
  [3684] = 263,
  [3685] = 84,
  [3686] = 611,
  [3687] = 83,
  [3688] = 89,
  [3689] = 89,
  [3690] = 610,
  [3691] = 104,
  [3692] = 103,
  [3693] = 102,
  [3694] = 80,
  [3695] = 99,
  [3696] = 93,
  [3697] = 83,
  [3698] = 606,
  [3699] = 371,
  [3700] = 98,
  [3701] = 97,
  [3702] = 94,
  [3703] = 81,
  [3704] = 84,
  [3705] = 589,
  [3706] = 104,
  [3707] = 308,
  [3708] = 355,
  [3709] = 360,
  [3710] = 269,
  [3711] = 342,
  [3712] = 586,
  [3713] = 585,
  [3714] = 241,
  [3715] = 582,
  [3716] = 346,
  [3717] = 377,
  [3718] = 581,
  [3719] = 365,
  [3720] = 364,
  [3721] = 553,
  [3722] = 574,
  [3723] = 356,
  [3724] = 572,
  [3725] = 619,
  [3726] = 570,
  [3727] = 352,
  [3728] = 567,
  [3729] = 315,
  [3730] = 295,
  [3731] = 285,
  [3732] = 226,
  [3733] = 252,
  [3734] = 565,
  [3735] = 564,
  [3736] = 264,
  [3737] = 563,
  [3738] = 350,
  [3739] = 329,
  [3740] = 552,
  [3741] = 231,
  [3742] = 243,
  [3743] = 551,
  [3744] = 246,
  [3745] = 550,
  [3746] = 549,
  [3747] = 265,
  [3748] = 548,
  [3749] = 259,
  [3750] = 278,
  [3751] = 547,
  [3752] = 277,
  [3753] = 298,
  [3754] = 546,
  [3755] = 325,
  [3756] = 227,
  [3757] = 330,
  [3758] = 332,
  [3759] = 543,
  [3760] = 540,
  [3761] = 538,
  [3762] = 338,
  [3763] = 533,
  [3764] = 590,
  [3765] = 340,
  [3766] = 525,
  [3767] = 518,
  [3768] = 348,
  [3769] = 501,
  [3770] = 373,
  [3771] = 375,
  [3772] = 498,
  [3773] = 380,
  [3774] = 366,
  [3775] = 474,
  [3776] = 347,
  [3777] = 254,
  [3778] = 378,
  [3779] = 473,
  [3780] = 471,
  [3781] = 470,
  [3782] = 283,
  [3783] = 443,
  [3784] = 462,
  [3785] = 368,
  [3786] = 448,
  [3787] = 459,
  [3788] = 455,
  [3789] = 242,
  [3790] = 452,
  [3791] = 247,
  [3792] = 447,
  [3793] = 354,
  [3794] = 276,
  [3795] = 434,
  [3796] = 289,
  [3797] = 291,
  [3798] = 435,
  [3799] = 267,
  [3800] = 316,
  [3801] = 95,
  [3802] = 306,
  [3803] = 2973,
  [3804] = 341,
  [3805] = 294,
  [3806] = 248,
  [3807] = 444,
  [3808] = 615,
  [3809] = 432,
  [3810] = 237,
  [3811] = 436,
  [3812] = 437,
  [3813] = 351,
  [3814] = 439,
  [3815] = 328,
  [3816] = 440,
  [3817] = 441,
  [3818] = 442,
  [3819] = 327,
  [3820] = 445,
  [3821] = 446,
  [3822] = 230,
  [3823] = 449,
  [3824] = 450,
  [3825] = 323,
  [3826] = 453,
  [3827] = 232,
  [3828] = 233,
  [3829] = 454,
  [3830] = 272,
  [3831] = 279,
  [3832] = 456,
  [3833] = 457,
  [3834] = 458,
  [3835] = 460,
  [3836] = 475,
  [3837] = 258,
  [3838] = 476,
  [3839] = 482,
  [3840] = 286,
  [3841] = 484,
  [3842] = 489,
  [3843] = 225,
  [3844] = 492,
  [3845] = 362,
  [3846] = 367,
  [3847] = 494,
  [3848] = 379,
  [3849] = 357,
  [3850] = 495,
  [3851] = 496,
  [3852] = 451,
  [3853] = 433,
  [3854] = 505,
  [3855] = 235,
  [3856] = 506,
  [3857] = 511,
  [3858] = 513,
  [3859] = 319,
  [3860] = 514,
  [3861] = 516,
  [3862] = 359,
  [3863] = 520,
  [3864] = 523,
  [3865] = 369,
  [3866] = 527,
  [3867] = 381,
  [3868] = 363,
  [3869] = 529,
  [3870] = 344,
  [3871] = 343,
  [3872] = 531,
  [3873] = 532,
  [3874] = 534,
  [3875] = 537,
  [3876] = 541,
  [3877] = 92,
  [3878] = 95,
  [3879] = 542,
  [3880] = 544,
  [3881] = 545,
  [3882] = 339,
  [3883] = 554,
  [3884] = 555,
  [3885] = 311,
  [3886] = 556,
  [3887] = 557,
  [3888] = 558,
  [3889] = 93,
  [3890] = 559,
  [3891] = 560,
  [3892] = 336,
  [3893] = 561,
  [3894] = 562,
  [3895] = 334,
  [3896] = 566,
  [3897] = 568,
  [3898] = 84,
  [3899] = 83,
  [3900] = 93,
  [3901] = 89,
  [3902] = 104,
  [3903] = 569,
  [3904] = 103,
  [3905] = 102,
  [3906] = 571,
  [3907] = 80,
  [3908] = 99,
  [3909] = 98,
  [3910] = 97,
  [3911] = 96,
  [3912] = 81,
  [3913] = 94,
  [3914] = 573,
  [3915] = 575,
  [3916] = 333,
  [3917] = 576,
  [3918] = 577,
  [3919] = 312,
  [3920] = 578,
  [3921] = 579,
  [3922] = 583,
  [3923] = 584,
  [3924] = 587,
  [3925] = 588,
  [3926] = 499,
  [3927] = 3018,
  [3928] = 92,
  [3929] = 240,
  [3930] = 335,
  [3931] = 331,
  [3932] = 324,
  [3933] = 321,
  [3934] = 263,
  [3935] = 320,
  [3936] = 318,
  [3937] = 288,
  [3938] = 317,
  [3939] = 314,
  [3940] = 363,
  [3941] = 313,
  [3942] = 312,
  [3943] = 333,
  [3944] = 310,
  [3945] = 334,
  [3946] = 309,
  [3947] = 336,
  [3948] = 307,
  [3949] = 305,
  [3950] = 311,
  [3951] = 304,
  [3952] = 339,
  [3953] = 303,
  [3954] = 302,
  [3955] = 301,
  [3956] = 300,
  [3957] = 296,
  [3958] = 343,
  [3959] = 292,
  [3960] = 344,
  [3961] = 259,
  [3962] = 284,
  [3963] = 282,
  [3964] = 280,
  [3965] = 381,
  [3966] = 274,
  [3967] = 369,
  [3968] = 273,
  [3969] = 359,
  [3970] = 271,
  [3971] = 319,
  [3972] = 266,
  [3973] = 262,
  [3974] = 261,
  [3975] = 257,
  [3976] = 255,
  [3977] = 235,
  [3978] = 253,
  [3979] = 357,
  [3980] = 251,
  [3981] = 250,
  [3982] = 245,
  [3983] = 244,
  [3984] = 240,
  [3985] = 379,
  [3986] = 367,
  [3987] = 239,
  [3988] = 362,
  [3989] = 225,
  [3990] = 286,
  [3991] = 238,
  [3992] = 236,
  [3993] = 258,
  [3994] = 234,
  [3995] = 229,
  [3996] = 272,
  [3997] = 308,
  [3998] = 355,
  [3999] = 360,
  [4000] = 269,
  [4001] = 342,
  [4002] = 233,
  [4003] = 232,
  [4004] = 241,
  [4005] = 323,
  [4006] = 346,
  [4007] = 377,
  [4008] = 230,
  [4009] = 365,
  [4010] = 364,
  [4011] = 327,
  [4012] = 356,
  [4013] = 328,
  [4014] = 354,
  [4015] = 351,
  [4016] = 352,
  [4017] = 237,
  [4018] = 315,
  [4019] = 295,
  [4020] = 285,
  [4021] = 226,
  [4022] = 252,
  [4023] = 248,
  [4024] = 294,
  [4025] = 264,
  [4026] = 341,
  [4027] = 350,
  [4028] = 329,
  [4029] = 306,
  [4030] = 231,
  [4031] = 243,
  [4032] = 316,
  [4033] = 246,
  [4034] = 267,
  [4035] = 291,
  [4036] = 265,
  [4037] = 289,
  [4038] = 259,
  [4039] = 278,
  [4040] = 267,
  [4041] = 277,
  [4042] = 298,
  [4043] = 276,
  [4044] = 325,
  [4045] = 227,
  [4046] = 330,
  [4047] = 332,
  [4048] = 247,
  [4049] = 242,
  [4050] = 368,
  [4051] = 338,
  [4052] = 283,
  [4053] = 378,
  [4054] = 340,
  [4055] = 297,
  [4056] = 254,
  [4057] = 348,
  [4058] = 347,
  [4059] = 373,
  [4060] = 375,
  [4061] = 366,
  [4062] = 380,
  [4063] = 366,
  [4064] = 380,
  [4065] = 347,
  [4066] = 254,
  [4067] = 297,
  [4068] = 378,
  [4069] = 375,
  [4070] = 373,
  [4071] = 348,
  [4072] = 283,
  [4073] = 340,
  [4074] = 338,
  [4075] = 368,
  [4076] = 3146,
  [4077] = 332,
  [4078] = 330,
  [4079] = 242,
  [4080] = 227,
  [4081] = 247,
  [4082] = 325,
  [4083] = 298,
  [4084] = 276,
  [4085] = 277,
  [4086] = 289,
  [4087] = 291,
  [4088] = 278,
  [4089] = 344,
  [4090] = 316,
  [4091] = 309,
  [4092] = 306,
  [4093] = 341,
  [4094] = 294,
  [4095] = 248,
  [4096] = 279,
  [4097] = 246,
  [4098] = 237,
  [4099] = 243,
  [4100] = 231,
  [4101] = 351,
  [4102] = 329,
  [4103] = 328,
  [4104] = 350,
  [4105] = 264,
  [4106] = 252,
  [4107] = 327,
  [4108] = 226,
  [4109] = 285,
  [4110] = 230,
  [4111] = 295,
  [4112] = 315,
  [4113] = 323,
  [4114] = 352,
  [4115] = 232,
  [4116] = 233,
  [4117] = 354,
  [4118] = 272,
  [4119] = 279,
  [4120] = 356,
  [4121] = 364,
  [4122] = 365,
  [4123] = 377,
  [4124] = 346,
  [4125] = 258,
  [4126] = 241,
  [4127] = 342,
  [4128] = 286,
  [4129] = 269,
  [4130] = 360,
  [4131] = 225,
  [4132] = 355,
  [4133] = 362,
  [4134] = 367,
  [4135] = 308,
  [4136] = 379,
  [4137] = 357,
  [4138] = 229,
  [4139] = 234,
  [4140] = 236,
  [4141] = 238,
  [4142] = 235,
  [4143] = 239,
  [4144] = 244,
  [4145] = 245,
  [4146] = 319,
  [4147] = 250,
  [4148] = 265,
  [4149] = 359,
  [4150] = 253,
  [4151] = 255,
  [4152] = 369,
  [4153] = 257,
  [4154] = 381,
  [4155] = 363,
  [4156] = 261,
  [4157] = 262,
  [4158] = 343,
  [4159] = 266,
  [4160] = 271,
  [4161] = 273,
  [4162] = 274,
  [4163] = 280,
  [4164] = 282,
  [4165] = 284,
  [4166] = 288,
  [4167] = 339,
  [4168] = 292,
  [4169] = 296,
  [4170] = 311,
  [4171] = 300,
  [4172] = 301,
  [4173] = 302,
  [4174] = 303,
  [4175] = 304,
  [4176] = 336,
  [4177] = 305,
  [4178] = 307,
  [4179] = 334,
  [4180] = 96,
  [4181] = 310,
  [4182] = 313,
  [4183] = 314,
  [4184] = 317,
  [4185] = 318,
  [4186] = 333,
  [4187] = 320,
  [4188] = 321,
  [4189] = 312,
  [4190] = 324,
  [4191] = 331,
  [4192] = 335,
  [4193] = 251,
  [4194] = 371,
  [4195] = 263,
  [4196] = 322,
  [4197] = 3123,
  [4198] = 92,
  [4199] = 95,
  [4200] = 392,
  [4201] = 84,
  [4202] = 83,
  [4203] = 93,
  [4204] = 89,
  [4205] = 103,
  [4206] = 102,
  [4207] = 80,
  [4208] = 99,
  [4209] = 98,
  [4210] = 97,
  [4211] = 104,
  [4212] = 81,
  [4213] = 94,
  [4214] = 393,
  [4215] = 383,
  [4216] = 386,
  [4217] = 280,
  [4218] = 528,
  [4219] = 10,
  [4220] = 115,
  [4221] = 335,
  [4222] = 331,
  [4223] = 324,
  [4224] = 321,
  [4225] = 320,
  [4226] = 318,
  [4227] = 386,
  [4228] = 317,
  [4229] = 3387,
  [4230] = 314,
  [4231] = 313,
  [4232] = 310,
  [4233] = 309,
  [4234] = 307,
  [4235] = 305,
  [4236] = 304,
  [4237] = 303,
  [4238] = 302,
  [4239] = 301,
  [4240] = 300,
  [4241] = 296,
  [4242] = 292,
  [4243] = 288,
  [4244] = 284,
  [4245] = 282,
  [4246] = 115,
  [4247] = 274,
  [4248] = 273,
  [4249] = 271,
  [4250] = 393,
  [4251] = 266,
  [4252] = 262,
  [4253] = 261,
  [4254] = 257,
  [4255] = 255,
  [4256] = 253,
  [4257] = 251,
  [4258] = 250,
  [4259] = 245,
  [4260] = 244,
  [4261] = 240,
  [4262] = 383,
  [4263] = 239,
  [4264] = 238,
  [4265] = 236,
  [4266] = 234,
  [4267] = 229,
  [4268] = 308,
  [4269] = 355,
  [4270] = 360,
  [4271] = 269,
  [4272] = 342,
  [4273] = 241,
  [4274] = 346,
  [4275] = 377,
  [4276] = 365,
  [4277] = 364,
  [4278] = 356,
  [4279] = 354,
  [4280] = 352,
  [4281] = 315,
  [4282] = 295,
  [4283] = 285,
  [4284] = 226,
  [4285] = 252,
  [4286] = 264,
  [4287] = 350,
  [4288] = 329,
  [4289] = 231,
  [4290] = 243,
  [4291] = 246,
  [4292] = 265,
  [4293] = 259,
  [4294] = 278,
  [4295] = 277,
  [4296] = 298,
  [4297] = 325,
  [4298] = 227,
  [4299] = 330,
  [4300] = 332,
  [4301] = 338,
  [4302] = 340,
  [4303] = 348,
  [4304] = 373,
  [4305] = 392,
  [4306] = 375,
  [4307] = 380,
  [4308] = 366,
  [4309] = 347,
  [4310] = 254,
  [4311] = 297,
  [4312] = 378,
  [4313] = 283,
  [4314] = 368,
  [4315] = 242,
  [4316] = 247,
  [4317] = 276,
  [4318] = 289,
  [4319] = 291,
  [4320] = 267,
  [4321] = 316,
  [4322] = 306,
  [4323] = 341,
  [4324] = 294,
  [4325] = 248,
  [4326] = 237,
  [4327] = 351,
  [4328] = 328,
  [4329] = 327,
  [4330] = 230,
  [4331] = 323,
  [4332] = 232,
  [4333] = 233,
  [4334] = 272,
  [4335] = 279,
  [4336] = 258,
  [4337] = 286,
  [4338] = 225,
  [4339] = 263,
  [4340] = 362,
  [4341] = 383,
  [4342] = 367,
  [4343] = 379,
  [4344] = 357,
  [4345] = 235,
  [4346] = 539,
  [4347] = 319,
  [4348] = 400,
  [4349] = 536,
  [4350] = 393,
  [4351] = 359,
  [4352] = 369,
  [4353] = 381,
  [4354] = 535,
  [4355] = 491,
  [4356] = 493,
  [4357] = 322,
  [4358] = 334,
  [4359] = 612,
  [4360] = 322,
  [4361] = 463,
  [4362] = 429,
  [4363] = 464,
  [4364] = 497,
  [4365] = 500,
  [4366] = 502,
  [4367] = 322,
  [4368] = 503,
  [4369] = 465,
  [4370] = 336,
  [4371] = 466,
  [4372] = 530,
  [4373] = 467,
  [4374] = 2287,
  [4375] = 512,
  [4376] = 469,
  [4377] = 472,
  [4378] = 477,
  [4379] = 371,
  [4380] = 479,
  [4381] = 504,
  [4382] = 480,
  [4383] = 115,
  [4384] = 481,
  [4385] = 483,
  [4386] = 400,
  [4387] = 507,
  [4388] = 508,
  [4389] = 509,
  [4390] = 510,
  [4391] = 3376,
  [4392] = 2973,
  [4393] = 515,
  [4394] = 403,
  [4395] = 343,
  [4396] = 344,
  [4397] = 400,
  [4398] = 311,
  [4399] = 517,
  [4400] = 519,
  [4401] = 521,
  [4402] = 339,
  [4403] = 607,
  [4404] = 427,
  [4405] = 522,
  [4406] = 524,
  [4407] = 485,
  [4408] = 312,
  [4409] = 487,
  [4410] = 363,
  [4411] = 333,
  [4412] = 488,
  [4413] = 490,
  [4414] = 570,
  [4415] = 477,
  [4416] = 442,
  [4417] = 598,
  [4418] = 572,
  [4419] = 597,
  [4420] = 574,
  [4421] = 596,
  [4422] = 581,
  [4423] = 582,
  [4424] = 585,
  [4425] = 586,
  [4426] = 589,
  [4427] = 590,
  [4428] = 591,
  [4429] = 592,
  [4430] = 593,
  [4431] = 595,
  [4432] = 594,
  [4433] = 595,
  [4434] = 596,
  [4435] = 597,
  [4436] = 598,
  [4437] = 599,
  [4438] = 600,
  [4439] = 601,
  [4440] = 602,
  [4441] = 603,
  [4442] = 604,
  [4443] = 605,
  [4444] = 616,
  [4445] = 614,
  [4446] = 608,
  [4447] = 623,
  [4448] = 621,
  [4449] = 620,
  [4450] = 618,
  [4451] = 430,
  [4452] = 594,
  [4453] = 431,
  [4454] = 622,
  [4455] = 611,
  [4456] = 610,
  [4457] = 606,
  [4458] = 593,
  [4459] = 592,
  [4460] = 4460,
  [4461] = 591,
  [4462] = 590,
  [4463] = 461,
  [4464] = 589,
  [4465] = 451,
  [4466] = 586,
  [4467] = 585,
  [4468] = 582,
  [4469] = 448,
  [4470] = 581,
  [4471] = 574,
  [4472] = 572,
  [4473] = 553,
  [4474] = 619,
  [4475] = 400,
  [4476] = 617,
  [4477] = 599,
  [4478] = 427,
  [4479] = 429,
  [4480] = 552,
  [4481] = 570,
  [4482] = 600,
  [4483] = 565,
  [4484] = 564,
  [4485] = 403,
  [4486] = 563,
  [4487] = 475,
  [4488] = 551,
  [4489] = 550,
  [4490] = 4490,
  [4491] = 4491,
  [4492] = 392,
  [4493] = 4493,
  [4494] = 601,
  [4495] = 549,
  [4496] = 567,
  [4497] = 548,
  [4498] = 602,
  [4499] = 603,
  [4500] = 547,
  [4501] = 539,
  [4502] = 546,
  [4503] = 4503,
  [4504] = 543,
  [4505] = 4505,
  [4506] = 4506,
  [4507] = 536,
  [4508] = 540,
  [4509] = 538,
  [4510] = 533,
  [4511] = 535,
  [4512] = 526,
  [4513] = 525,
  [4514] = 518,
  [4515] = 4515,
  [4516] = 530,
  [4517] = 501,
  [4518] = 565,
  [4519] = 498,
  [4520] = 564,
  [4521] = 474,
  [4522] = 473,
  [4523] = 528,
  [4524] = 524,
  [4525] = 522,
  [4526] = 563,
  [4527] = 471,
  [4528] = 521,
  [4529] = 470,
  [4530] = 468,
  [4531] = 462,
  [4532] = 459,
  [4533] = 552,
  [4534] = 455,
  [4535] = 452,
  [4536] = 447,
  [4537] = 433,
  [4538] = 434,
  [4539] = 551,
  [4540] = 435,
  [4541] = 519,
  [4542] = 443,
  [4543] = 517,
  [4544] = 515,
  [4545] = 550,
  [4546] = 512,
  [4547] = 510,
  [4548] = 549,
  [4549] = 509,
  [4550] = 508,
  [4551] = 507,
  [4552] = 504,
  [4553] = 444,
  [4554] = 615,
  [4555] = 548,
  [4556] = 432,
  [4557] = 436,
  [4558] = 437,
  [4559] = 503,
  [4560] = 439,
  [4561] = 502,
  [4562] = 440,
  [4563] = 500,
  [4564] = 497,
  [4565] = 441,
  [4566] = 612,
  [4567] = 442,
  [4568] = 493,
  [4569] = 491,
  [4570] = 490,
  [4571] = 445,
  [4572] = 488,
  [4573] = 604,
  [4574] = 487,
  [4575] = 486,
  [4576] = 446,
  [4577] = 485,
  [4578] = 607,
  [4579] = 483,
  [4580] = 481,
  [4581] = 547,
  [4582] = 449,
  [4583] = 450,
  [4584] = 453,
  [4585] = 480,
  [4586] = 605,
  [4587] = 479,
  [4588] = 454,
  [4589] = 478,
  [4590] = 616,
  [4591] = 567,
  [4592] = 472,
  [4593] = 469,
  [4594] = 546,
  [4595] = 467,
  [4596] = 456,
  [4597] = 466,
  [4598] = 457,
  [4599] = 465,
  [4600] = 464,
  [4601] = 463,
  [4602] = 588,
  [4603] = 587,
  [4604] = 458,
  [4605] = 460,
  [4606] = 584,
  [4607] = 386,
  [4608] = 583,
  [4609] = 579,
  [4610] = 476,
  [4611] = 578,
  [4612] = 482,
  [4613] = 484,
  [4614] = 577,
  [4615] = 576,
  [4616] = 489,
  [4617] = 575,
  [4618] = 573,
  [4619] = 492,
  [4620] = 494,
  [4621] = 571,
  [4622] = 495,
  [4623] = 569,
  [4624] = 568,
  [4625] = 496,
  [4626] = 566,
  [4627] = 499,
  [4628] = 505,
  [4629] = 506,
  [4630] = 562,
  [4631] = 511,
  [4632] = 561,
  [4633] = 513,
  [4634] = 514,
  [4635] = 543,
  [4636] = 560,
  [4637] = 559,
  [4638] = 558,
  [4639] = 557,
  [4640] = 556,
  [4641] = 516,
  [4642] = 520,
  [4643] = 523,
  [4644] = 527,
  [4645] = 555,
  [4646] = 554,
  [4647] = 529,
  [4648] = 531,
  [4649] = 545,
  [4650] = 532,
  [4651] = 544,
  [4652] = 534,
  [4653] = 537,
  [4654] = 542,
  [4655] = 541,
  [4656] = 541,
  [4657] = 537,
  [4658] = 542,
  [4659] = 534,
  [4660] = 532,
  [4661] = 544,
  [4662] = 531,
  [4663] = 545,
  [4664] = 554,
  [4665] = 529,
  [4666] = 540,
  [4667] = 555,
  [4668] = 556,
  [4669] = 557,
  [4670] = 558,
  [4671] = 559,
  [4672] = 560,
  [4673] = 561,
  [4674] = 538,
  [4675] = 527,
  [4676] = 562,
  [4677] = 566,
  [4678] = 523,
  [4679] = 568,
  [4680] = 520,
  [4681] = 569,
  [4682] = 571,
  [4683] = 516,
  [4684] = 514,
  [4685] = 573,
  [4686] = 513,
  [4687] = 575,
  [4688] = 576,
  [4689] = 577,
  [4690] = 511,
  [4691] = 578,
  [4692] = 579,
  [4693] = 506,
  [4694] = 583,
  [4695] = 584,
  [4696] = 587,
  [4697] = 588,
  [4698] = 533,
  [4699] = 614,
  [4700] = 505,
  [4701] = 608,
  [4702] = 623,
  [4703] = 499,
  [4704] = 621,
  [4705] = 496,
  [4706] = 495,
  [4707] = 620,
  [4708] = 526,
  [4709] = 618,
  [4710] = 430,
  [4711] = 494,
  [4712] = 431,
  [4713] = 525,
  [4714] = 492,
  [4715] = 622,
  [4716] = 518,
  [4717] = 611,
  [4718] = 610,
  [4719] = 501,
  [4720] = 606,
  [4721] = 489,
  [4722] = 461,
  [4723] = 484,
  [4724] = 451,
  [4725] = 448,
  [4726] = 386,
  [4727] = 498,
  [4728] = 553,
  [4729] = 619,
  [4730] = 482,
  [4731] = 617,
  [4732] = 474,
  [4733] = 476,
  [4734] = 386,
  [4735] = 473,
  [4736] = 475,
  [4737] = 471,
  [4738] = 460,
  [4739] = 458,
  [4740] = 470,
  [4741] = 468,
  [4742] = 462,
  [4743] = 459,
  [4744] = 455,
  [4745] = 457,
  [4746] = 452,
  [4747] = 393,
  [4748] = 456,
  [4749] = 447,
  [4750] = 433,
  [4751] = 434,
  [4752] = 435,
  [4753] = 443,
  [4754] = 454,
  [4755] = 383,
  [4756] = 444,
  [4757] = 615,
  [4758] = 432,
  [4759] = 436,
  [4760] = 437,
  [4761] = 439,
  [4762] = 440,
  [4763] = 453,
  [4764] = 441,
  [4765] = 450,
  [4766] = 445,
  [4767] = 446,
  [4768] = 449,
  [4769] = 530,
  [4770] = 590,
  [4771] = 513,
  [4772] = 429,
  [4773] = 514,
  [4774] = 516,
  [4775] = 520,
  [4776] = 523,
  [4777] = 527,
  [4778] = 497,
  [4779] = 529,
  [4780] = 500,
  [4781] = 531,
  [4782] = 532,
  [4783] = 534,
  [4784] = 537,
  [4785] = 541,
  [4786] = 542,
  [4787] = 544,
  [4788] = 545,
  [4789] = 554,
  [4790] = 555,
  [4791] = 449,
  [4792] = 556,
  [4793] = 557,
  [4794] = 558,
  [4795] = 559,
  [4796] = 560,
  [4797] = 506,
  [4798] = 561,
  [4799] = 562,
  [4800] = 502,
  [4801] = 566,
  [4802] = 568,
  [4803] = 569,
  [4804] = 571,
  [4805] = 573,
  [4806] = 575,
  [4807] = 505,
  [4808] = 576,
  [4809] = 577,
  [4810] = 503,
  [4811] = 578,
  [4812] = 579,
  [4813] = 583,
  [4814] = 584,
  [4815] = 587,
  [4816] = 588,
  [4817] = 504,
  [4818] = 461,
  [4819] = 507,
  [4820] = 499,
  [4821] = 451,
  [4822] = 508,
  [4823] = 496,
  [4824] = 393,
  [4825] = 622,
  [4826] = 511,
  [4827] = 495,
  [4828] = 509,
  [4829] = 510,
  [4830] = 431,
  [4831] = 512,
  [4832] = 515,
  [4833] = 517,
  [4834] = 430,
  [4835] = 519,
  [4836] = 521,
  [4837] = 427,
  [4838] = 494,
  [4839] = 522,
  [4840] = 524,
  [4841] = 618,
  [4842] = 607,
  [4843] = 620,
  [4844] = 621,
  [4845] = 623,
  [4846] = 491,
  [4847] = 386,
  [4848] = 492,
  [4849] = 608,
  [4850] = 611,
  [4851] = 489,
  [4852] = 614,
  [4853] = 484,
  [4854] = 490,
  [4855] = 482,
  [4856] = 528,
  [4857] = 488,
  [4858] = 476,
  [4859] = 616,
  [4860] = 475,
  [4861] = 487,
  [4862] = 610,
  [4863] = 460,
  [4864] = 612,
  [4865] = 617,
  [4866] = 458,
  [4867] = 605,
  [4868] = 604,
  [4869] = 603,
  [4870] = 457,
  [4871] = 486,
  [4872] = 602,
  [4873] = 403,
  [4874] = 600,
  [4875] = 456,
  [4876] = 535,
  [4877] = 536,
  [4878] = 485,
  [4879] = 454,
  [4880] = 619,
  [4881] = 483,
  [4882] = 599,
  [4883] = 481,
  [4884] = 480,
  [4885] = 598,
  [4886] = 453,
  [4887] = 597,
  [4888] = 596,
  [4889] = 450,
  [4890] = 595,
  [4891] = 446,
  [4892] = 594,
  [4893] = 601,
  [4894] = 592,
  [4895] = 591,
  [4896] = 606,
  [4897] = 493,
  [4898] = 479,
  [4899] = 589,
  [4900] = 478,
  [4901] = 586,
  [4902] = 585,
  [4903] = 582,
  [4904] = 581,
  [4905] = 445,
  [4906] = 553,
  [4907] = 574,
  [4908] = 383,
  [4909] = 442,
  [4910] = 441,
  [4911] = 572,
  [4912] = 440,
  [4913] = 439,
  [4914] = 437,
  [4915] = 436,
  [4916] = 570,
  [4917] = 477,
  [4918] = 567,
  [4919] = 565,
  [4920] = 564,
  [4921] = 472,
  [4922] = 563,
  [4923] = 552,
  [4924] = 469,
  [4925] = 593,
  [4926] = 432,
  [4927] = 615,
  [4928] = 444,
  [4929] = 467,
  [4930] = 551,
  [4931] = 550,
  [4932] = 443,
  [4933] = 549,
  [4934] = 548,
  [4935] = 435,
  [4936] = 434,
  [4937] = 433,
  [4938] = 447,
  [4939] = 452,
  [4940] = 547,
  [4941] = 455,
  [4942] = 459,
  [4943] = 448,
  [4944] = 466,
  [4945] = 546,
  [4946] = 465,
  [4947] = 543,
  [4948] = 539,
  [4949] = 540,
  [4950] = 538,
  [4951] = 462,
  [4952] = 464,
  [4953] = 468,
  [4954] = 533,
  [4955] = 470,
  [4956] = 471,
  [4957] = 473,
  [4958] = 526,
  [4959] = 474,
  [4960] = 525,
  [4961] = 498,
  [4962] = 463,
  [4963] = 518,
  [4964] = 501,
  [4965] = 297,
  [4966] = 363,
  [4967] = 369,
  [4968] = 319,
  [4969] = 342,
  [4970] = 298,
  [4971] = 269,
  [4972] = 338,
  [4973] = 360,
  [4974] = 355,
  [4975] = 344,
  [4976] = 308,
  [4977] = 343,
  [4978] = 229,
  [4979] = 234,
  [4980] = 235,
  [4981] = 357,
  [4982] = 379,
  [4983] = 340,
  [4984] = 367,
  [4985] = 362,
  [4986] = 236,
  [4987] = 339,
  [4988] = 241,
  [4989] = 238,
  [4990] = 239,
  [4991] = 240,
  [4992] = 311,
  [4993] = 244,
  [4994] = 348,
  [4995] = 332,
  [4996] = 245,
  [4997] = 330,
  [4998] = 336,
  [4999] = 250,
  [5000] = 251,
  [5001] = 346,
  [5002] = 373,
  [5003] = 286,
  [5004] = 375,
  [5005] = 334,
  [5006] = 253,
  [5007] = 377,
  [5008] = 227,
  [5009] = 255,
  [5010] = 365,
  [5011] = 257,
  [5012] = 261,
  [5013] = 262,
  [5014] = 333,
  [5015] = 266,
  [5016] = 364,
  [5017] = 312,
  [5018] = 271,
  [5019] = 356,
  [5020] = 273,
  [5021] = 274,
  [5022] = 280,
  [5023] = 258,
  [5024] = 325,
  [5025] = 366,
  [5026] = 282,
  [5027] = 225,
  [5028] = 354,
  [5029] = 284,
  [5030] = 288,
  [5031] = 347,
  [5032] = 254,
  [5033] = 381,
  [5034] = 359,
  [5035] = 380,
  [5036] = 378,
  [5037] = 277,
  [5038] = 292,
  [5039] = 296,
  [5040] = 300,
  [5041] = 278,
  [5042] = 301,
  [5043] = 352,
  [5044] = 323,
  [5045] = 230,
  [5046] = 302,
  [5047] = 303,
  [5048] = 304,
  [5049] = 305,
  [5050] = 283,
  [5051] = 307,
  [5052] = 309,
  [5053] = 259,
  [5054] = 368,
  [5055] = 310,
  [5056] = 313,
  [5057] = 314,
  [5058] = 265,
  [5059] = 242,
  [5060] = 317,
  [5061] = 247,
  [5062] = 279,
  [5063] = 246,
  [5064] = 276,
  [5065] = 289,
  [5066] = 318,
  [5067] = 320,
  [5068] = 243,
  [5069] = 291,
  [5070] = 231,
  [5071] = 272,
  [5072] = 267,
  [5073] = 316,
  [5074] = 306,
  [5075] = 321,
  [5076] = 324,
  [5077] = 341,
  [5078] = 331,
  [5079] = 329,
  [5080] = 350,
  [5081] = 294,
  [5082] = 335,
  [5083] = 248,
  [5084] = 264,
  [5085] = 233,
  [5086] = 232,
  [5087] = 315,
  [5088] = 252,
  [5089] = 237,
  [5090] = 327,
  [5091] = 263,
  [5092] = 20,
  [5093] = 351,
  [5094] = 328,
  [5095] = 226,
  [5096] = 285,
  [5097] = 295,
  [5098] = 393,
  [5099] = 383,
  [5100] = 461,
  [5101] = 386,
  [5102] = 576,
  [5103] = 494,
  [5104] = 578,
  [5105] = 579,
  [5106] = 610,
  [5107] = 606,
  [5108] = 622,
  [5109] = 553,
  [5110] = 448,
  [5111] = 611,
  [5112] = 583,
  [5113] = 584,
  [5114] = 4490,
  [5115] = 587,
  [5116] = 588,
  [5117] = 575,
  [5118] = 573,
  [5119] = 571,
  [5120] = 569,
  [5121] = 568,
  [5122] = 430,
  [5123] = 618,
  [5124] = 566,
  [5125] = 562,
  [5126] = 620,
  [5127] = 621,
  [5128] = 623,
  [5129] = 561,
  [5130] = 431,
  [5131] = 560,
  [5132] = 559,
  [5133] = 608,
  [5134] = 558,
  [5135] = 557,
  [5136] = 614,
  [5137] = 556,
  [5138] = 555,
  [5139] = 322,
  [5140] = 554,
  [5141] = 4460,
  [5142] = 545,
  [5143] = 544,
  [5144] = 616,
  [5145] = 605,
  [5146] = 4515,
  [5147] = 542,
  [5148] = 4491,
  [5149] = 604,
  [5150] = 541,
  [5151] = 603,
  [5152] = 602,
  [5153] = 601,
  [5154] = 600,
  [5155] = 619,
  [5156] = 599,
  [5157] = 537,
  [5158] = 534,
  [5159] = 598,
  [5160] = 532,
  [5161] = 597,
  [5162] = 596,
  [5163] = 595,
  [5164] = 594,
  [5165] = 531,
  [5166] = 593,
  [5167] = 592,
  [5168] = 617,
  [5169] = 591,
  [5170] = 529,
  [5171] = 590,
  [5172] = 589,
  [5173] = 586,
  [5174] = 527,
  [5175] = 585,
  [5176] = 523,
  [5177] = 582,
  [5178] = 451,
  [5179] = 520,
  [5180] = 516,
  [5181] = 581,
  [5182] = 514,
  [5183] = 513,
  [5184] = 511,
  [5185] = 574,
  [5186] = 572,
  [5187] = 506,
  [5188] = 505,
  [5189] = 570,
  [5190] = 567,
  [5191] = 565,
  [5192] = 564,
  [5193] = 563,
  [5194] = 499,
  [5195] = 496,
  [5196] = 495,
  [5197] = 577,
  [5198] = 492,
  [5199] = 552,
  [5200] = 489,
  [5201] = 484,
  [5202] = 551,
  [5203] = 482,
  [5204] = 550,
  [5205] = 549,
  [5206] = 548,
  [5207] = 547,
  [5208] = 546,
  [5209] = 543,
  [5210] = 540,
  [5211] = 476,
  [5212] = 538,
  [5213] = 4493,
  [5214] = 475,
  [5215] = 533,
  [5216] = 526,
  [5217] = 525,
  [5218] = 518,
  [5219] = 501,
  [5220] = 498,
  [5221] = 474,
  [5222] = 473,
  [5223] = 460,
  [5224] = 471,
  [5225] = 470,
  [5226] = 468,
  [5227] = 462,
  [5228] = 458,
  [5229] = 457,
  [5230] = 459,
  [5231] = 456,
  [5232] = 455,
  [5233] = 452,
  [5234] = 4503,
  [5235] = 4505,
  [5236] = 447,
  [5237] = 454,
  [5238] = 453,
  [5239] = 433,
  [5240] = 450,
  [5241] = 449,
  [5242] = 434,
  [5243] = 446,
  [5244] = 4506,
  [5245] = 435,
  [5246] = 445,
  [5247] = 442,
  [5248] = 443,
  [5249] = 441,
  [5250] = 440,
  [5251] = 444,
  [5252] = 615,
  [5253] = 439,
  [5254] = 437,
  [5255] = 436,
  [5256] = 432,
  [5257] = 5257,
  [5258] = 5258,
  [5259] = 400,
  [5260] = 5257,
  [5261] = 5261,
  [5262] = 5261,
  [5263] = 5263,
  [5264] = 5264,
  [5265] = 5265,
  [5266] = 5266,
  [5267] = 5267,
  [5268] = 5268,
  [5269] = 5269,
  [5270] = 5270,
  [5271] = 5271,
  [5272] = 5272,
  [5273] = 5273,
  [5274] = 5274,
  [5275] = 5273,
  [5276] = 5274,
  [5277] = 10,
  [5278] = 5257,
  [5279] = 5261,
  [5280] = 10,
  [5281] = 5257,
  [5282] = 5264,
  [5283] = 5261,
  [5284] = 92,
  [5285] = 83,
  [5286] = 95,
  [5287] = 80,
  [5288] = 81,
  [5289] = 94,
  [5290] = 5274,
  [5291] = 5291,
  [5292] = 5273,
  [5293] = 96,
  [5294] = 5294,
  [5295] = 102,
  [5296] = 103,
  [5297] = 97,
  [5298] = 5298,
  [5299] = 104,
  [5300] = 99,
  [5301] = 89,
  [5302] = 5302,
  [5303] = 98,
  [5304] = 84,
  [5305] = 93,
  [5306] = 5306,
  [5307] = 88,
  [5308] = 115,
  [5309] = 5273,
  [5310] = 5310,
  [5311] = 5274,
  [5312] = 10,
  [5313] = 10,
  [5314] = 5314,
  [5315] = 10,
  [5316] = 5316,
  [5317] = 5317,
  [5318] = 5318,
  [5319] = 5319,
  [5320] = 10,
  [5321] = 99,
  [5322] = 5322,
  [5323] = 5322,
  [5324] = 93,
  [5325] = 10,
  [5326] = 5322,
  [5327] = 5322,
  [5328] = 5328,
  [5329] = 5322,
  [5330] = 5322,
  [5331] = 5322,
  [5332] = 5332,
  [5333] = 84,
  [5334] = 5322,
  [5335] = 95,
  [5336] = 5322,
  [5337] = 5322,
  [5338] = 5328,
  [5339] = 97,
  [5340] = 83,
  [5341] = 96,
  [5342] = 92,
  [5343] = 104,
  [5344] = 5322,
  [5345] = 103,
  [5346] = 102,
  [5347] = 5347,
  [5348] = 81,
  [5349] = 80,
  [5350] = 94,
  [5351] = 5322,
  [5352] = 89,
  [5353] = 5322,
  [5354] = 5328,
  [5355] = 5322,
  [5356] = 5356,
  [5357] = 5322,
  [5358] = 5358,
  [5359] = 10,
  [5360] = 5322,
  [5361] = 98,
  [5362] = 5362,
  [5363] = 5322,
  [5364] = 20,
  [5365] = 5365,
  [5366] = 5322,
  [5367] = 5302,
  [5368] = 5294,
  [5369] = 5369,
  [5370] = 5306,
  [5371] = 5298,
  [5372] = 10,
  [5373] = 5291,
  [5374] = 5374,
  [5375] = 5375,
  [5376] = 5376,
  [5377] = 5377,
  [5378] = 5378,
  [5379] = 5379,
  [5380] = 5380,
  [5381] = 5381,
  [5382] = 5382,
  [5383] = 5383,
  [5384] = 5384,
  [5385] = 5385,
  [5386] = 5386,
  [5387] = 5387,
  [5388] = 5388,
  [5389] = 5389,
  [5390] = 5390,
  [5391] = 5391,
  [5392] = 5392,
  [5393] = 5393,
  [5394] = 5394,
  [5395] = 5395,
  [5396] = 5314,
  [5397] = 393,
  [5398] = 5317,
  [5399] = 393,
  [5400] = 383,
  [5401] = 5401,
  [5402] = 5402,
  [5403] = 5403,
  [5404] = 5310,
  [5405] = 5405,
  [5406] = 5406,
  [5407] = 5407,
  [5408] = 383,
  [5409] = 371,
  [5410] = 5410,
  [5411] = 5411,
  [5412] = 5412,
  [5413] = 5413,
  [5414] = 5414,
  [5415] = 5415,
  [5416] = 5416,
  [5417] = 5417,
  [5418] = 5418,
  [5419] = 5419,
  [5420] = 289,
  [5421] = 283,
  [5422] = 5422,
  [5423] = 333,
  [5424] = 274,
  [5425] = 5425,
  [5426] = 367,
  [5427] = 312,
  [5428] = 362,
  [5429] = 273,
  [5430] = 271,
  [5431] = 225,
  [5432] = 5332,
  [5433] = 286,
  [5434] = 266,
  [5435] = 258,
  [5436] = 262,
  [5437] = 279,
  [5438] = 272,
  [5439] = 233,
  [5440] = 232,
  [5441] = 323,
  [5442] = 261,
  [5443] = 230,
  [5444] = 327,
  [5445] = 5445,
  [5446] = 328,
  [5447] = 351,
  [5448] = 257,
  [5449] = 237,
  [5450] = 255,
  [5451] = 253,
  [5452] = 5452,
  [5453] = 251,
  [5454] = 248,
  [5455] = 294,
  [5456] = 341,
  [5457] = 250,
  [5458] = 400,
  [5459] = 306,
  [5460] = 314,
  [5461] = 302,
  [5462] = 316,
  [5463] = 267,
  [5464] = 291,
  [5465] = 282,
  [5466] = 379,
  [5467] = 322,
  [5468] = 381,
  [5469] = 245,
  [5470] = 284,
  [5471] = 244,
  [5472] = 240,
  [5473] = 288,
  [5474] = 334,
  [5475] = 239,
  [5476] = 5476,
  [5477] = 276,
  [5478] = 5478,
  [5479] = 247,
  [5480] = 292,
  [5481] = 5362,
  [5482] = 357,
  [5483] = 238,
  [5484] = 242,
  [5485] = 336,
  [5486] = 5365,
  [5487] = 263,
  [5488] = 307,
  [5489] = 236,
  [5490] = 234,
  [5491] = 303,
  [5492] = 368,
  [5493] = 229,
  [5494] = 308,
  [5495] = 280,
  [5496] = 378,
  [5497] = 278,
  [5498] = 235,
  [5499] = 360,
  [5500] = 269,
  [5501] = 319,
  [5502] = 297,
  [5503] = 342,
  [5504] = 254,
  [5505] = 296,
  [5506] = 241,
  [5507] = 300,
  [5508] = 301,
  [5509] = 5356,
  [5510] = 347,
  [5511] = 366,
  [5512] = 380,
  [5513] = 346,
  [5514] = 377,
  [5515] = 5515,
  [5516] = 365,
  [5517] = 364,
  [5518] = 356,
  [5519] = 359,
  [5520] = 375,
  [5521] = 354,
  [5522] = 352,
  [5523] = 311,
  [5524] = 315,
  [5525] = 5525,
  [5526] = 295,
  [5527] = 339,
  [5528] = 285,
  [5529] = 5529,
  [5530] = 5530,
  [5531] = 373,
  [5532] = 226,
  [5533] = 252,
  [5534] = 5534,
  [5535] = 343,
  [5536] = 264,
  [5537] = 350,
  [5538] = 335,
  [5539] = 331,
  [5540] = 348,
  [5541] = 324,
  [5542] = 329,
  [5543] = 231,
  [5544] = 243,
  [5545] = 369,
  [5546] = 340,
  [5547] = 246,
  [5548] = 344,
  [5549] = 5347,
  [5550] = 363,
  [5551] = 309,
  [5552] = 265,
  [5553] = 338,
  [5554] = 355,
  [5555] = 259,
  [5556] = 321,
  [5557] = 277,
  [5558] = 313,
  [5559] = 320,
  [5560] = 332,
  [5561] = 386,
  [5562] = 318,
  [5563] = 304,
  [5564] = 298,
  [5565] = 310,
  [5566] = 330,
  [5567] = 305,
  [5568] = 227,
  [5569] = 325,
  [5570] = 317,
  [5571] = 5571,
  [5572] = 5572,
  [5573] = 5573,
  [5574] = 5574,
  [5575] = 5575,
  [5576] = 5576,
  [5577] = 5577,
  [5578] = 607,
  [5579] = 612,
  [5580] = 477,
  [5581] = 392,
  [5582] = 5582,
  [5583] = 5583,
  [5584] = 5584,
  [5585] = 5585,
  [5586] = 5586,
  [5587] = 461,
  [5588] = 10,
  [5589] = 386,
  [5590] = 493,
  [5591] = 498,
  [5592] = 267,
  [5593] = 226,
  [5594] = 316,
  [5595] = 478,
  [5596] = 443,
  [5597] = 5597,
  [5598] = 306,
  [5599] = 479,
  [5600] = 480,
  [5601] = 481,
  [5602] = 341,
  [5603] = 294,
  [5604] = 483,
  [5605] = 252,
  [5606] = 248,
  [5607] = 403,
  [5608] = 444,
  [5609] = 485,
  [5610] = 565,
  [5611] = 486,
  [5612] = 564,
  [5613] = 5613,
  [5614] = 615,
  [5615] = 487,
  [5616] = 432,
  [5617] = 264,
  [5618] = 563,
  [5619] = 5619,
  [5620] = 488,
  [5621] = 237,
  [5622] = 436,
  [5623] = 490,
  [5624] = 541,
  [5625] = 491,
  [5626] = 429,
  [5627] = 497,
  [5628] = 350,
  [5629] = 5378,
  [5630] = 500,
  [5631] = 502,
  [5632] = 329,
  [5633] = 503,
  [5634] = 552,
  [5635] = 504,
  [5636] = 507,
  [5637] = 231,
  [5638] = 508,
  [5639] = 5639,
  [5640] = 509,
  [5641] = 510,
  [5642] = 512,
  [5643] = 515,
  [5644] = 517,
  [5645] = 519,
  [5646] = 521,
  [5647] = 427,
  [5648] = 522,
  [5649] = 524,
  [5650] = 472,
  [5651] = 469,
  [5652] = 5652,
  [5653] = 467,
  [5654] = 466,
  [5655] = 528,
  [5656] = 448,
  [5657] = 465,
  [5658] = 530,
  [5659] = 464,
  [5660] = 463,
  [5661] = 5661,
  [5662] = 291,
  [5663] = 289,
  [5664] = 434,
  [5665] = 276,
  [5666] = 5666,
  [5667] = 433,
  [5668] = 386,
  [5669] = 5669,
  [5670] = 5670,
  [5671] = 535,
  [5672] = 536,
  [5673] = 447,
  [5674] = 247,
  [5675] = 452,
  [5676] = 5676,
  [5677] = 242,
  [5678] = 455,
  [5679] = 459,
  [5680] = 368,
  [5681] = 5681,
  [5682] = 462,
  [5683] = 5377,
  [5684] = 437,
  [5685] = 468,
  [5686] = 351,
  [5687] = 283,
  [5688] = 470,
  [5689] = 5689,
  [5690] = 439,
  [5691] = 471,
  [5692] = 328,
  [5693] = 440,
  [5694] = 5694,
  [5695] = 473,
  [5696] = 5696,
  [5697] = 5697,
  [5698] = 441,
  [5699] = 442,
  [5700] = 327,
  [5701] = 445,
  [5702] = 446,
  [5703] = 5703,
  [5704] = 5704,
  [5705] = 230,
  [5706] = 378,
  [5707] = 297,
  [5708] = 606,
  [5709] = 371,
  [5710] = 610,
  [5711] = 611,
  [5712] = 449,
  [5713] = 84,
  [5714] = 83,
  [5715] = 450,
  [5716] = 254,
  [5717] = 323,
  [5718] = 5718,
  [5719] = 89,
  [5720] = 104,
  [5721] = 453,
  [5722] = 5722,
  [5723] = 347,
  [5724] = 103,
  [5725] = 553,
  [5726] = 232,
  [5727] = 102,
  [5728] = 80,
  [5729] = 233,
  [5730] = 99,
  [5731] = 454,
  [5732] = 272,
  [5733] = 474,
  [5734] = 622,
  [5735] = 366,
  [5736] = 431,
  [5737] = 279,
  [5738] = 380,
  [5739] = 335,
  [5740] = 456,
  [5741] = 435,
  [5742] = 331,
  [5743] = 375,
  [5744] = 373,
  [5745] = 324,
  [5746] = 588,
  [5747] = 587,
  [5748] = 457,
  [5749] = 584,
  [5750] = 98,
  [5751] = 430,
  [5752] = 583,
  [5753] = 5753,
  [5754] = 579,
  [5755] = 578,
  [5756] = 458,
  [5757] = 312,
  [5758] = 577,
  [5759] = 5759,
  [5760] = 576,
  [5761] = 333,
  [5762] = 575,
  [5763] = 573,
  [5764] = 501,
  [5765] = 348,
  [5766] = 607,
  [5767] = 571,
  [5768] = 285,
  [5769] = 5387,
  [5770] = 569,
  [5771] = 618,
  [5772] = 295,
  [5773] = 568,
  [5774] = 315,
  [5775] = 566,
  [5776] = 334,
  [5777] = 518,
  [5778] = 562,
  [5779] = 561,
  [5780] = 567,
  [5781] = 336,
  [5782] = 560,
  [5783] = 559,
  [5784] = 558,
  [5785] = 5379,
  [5786] = 352,
  [5787] = 619,
  [5788] = 557,
  [5789] = 570,
  [5790] = 354,
  [5791] = 556,
  [5792] = 525,
  [5793] = 572,
  [5794] = 460,
  [5795] = 356,
  [5796] = 311,
  [5797] = 620,
  [5798] = 555,
  [5799] = 5799,
  [5800] = 574,
  [5801] = 554,
  [5802] = 364,
  [5803] = 339,
  [5804] = 545,
  [5805] = 243,
  [5806] = 544,
  [5807] = 542,
  [5808] = 340,
  [5809] = 5809,
  [5810] = 537,
  [5811] = 534,
  [5812] = 532,
  [5813] = 365,
  [5814] = 526,
  [5815] = 5380,
  [5816] = 531,
  [5817] = 475,
  [5818] = 617,
  [5819] = 343,
  [5820] = 621,
  [5821] = 344,
  [5822] = 581,
  [5823] = 377,
  [5824] = 346,
  [5825] = 529,
  [5826] = 258,
  [5827] = 582,
  [5828] = 363,
  [5829] = 241,
  [5830] = 585,
  [5831] = 381,
  [5832] = 586,
  [5833] = 527,
  [5834] = 369,
  [5835] = 342,
  [5836] = 523,
  [5837] = 520,
  [5838] = 269,
  [5839] = 360,
  [5840] = 533,
  [5841] = 355,
  [5842] = 5842,
  [5843] = 359,
  [5844] = 308,
  [5845] = 393,
  [5846] = 516,
  [5847] = 589,
  [5848] = 93,
  [5849] = 514,
  [5850] = 263,
  [5851] = 319,
  [5852] = 513,
  [5853] = 229,
  [5854] = 511,
  [5855] = 506,
  [5856] = 234,
  [5857] = 590,
  [5858] = 236,
  [5859] = 95,
  [5860] = 92,
  [5861] = 235,
  [5862] = 321,
  [5863] = 238,
  [5864] = 476,
  [5865] = 505,
  [5866] = 88,
  [5867] = 591,
  [5868] = 499,
  [5869] = 239,
  [5870] = 623,
  [5871] = 592,
  [5872] = 593,
  [5873] = 496,
  [5874] = 495,
  [5875] = 338,
  [5876] = 357,
  [5877] = 379,
  [5878] = 240,
  [5879] = 244,
  [5880] = 245,
  [5881] = 250,
  [5882] = 251,
  [5883] = 594,
  [5884] = 253,
  [5885] = 595,
  [5886] = 494,
  [5887] = 482,
  [5888] = 255,
  [5889] = 367,
  [5890] = 320,
  [5891] = 257,
  [5892] = 538,
  [5893] = 261,
  [5894] = 5894,
  [5895] = 362,
  [5896] = 262,
  [5897] = 266,
  [5898] = 492,
  [5899] = 596,
  [5900] = 271,
  [5901] = 597,
  [5902] = 273,
  [5903] = 598,
  [5904] = 274,
  [5905] = 225,
  [5906] = 5906,
  [5907] = 551,
  [5908] = 489,
  [5909] = 318,
  [5910] = 599,
  [5911] = 94,
  [5912] = 81,
  [5913] = 280,
  [5914] = 282,
  [5915] = 284,
  [5916] = 288,
  [5917] = 292,
  [5918] = 600,
  [5919] = 296,
  [5920] = 300,
  [5921] = 301,
  [5922] = 302,
  [5923] = 303,
  [5924] = 601,
  [5925] = 304,
  [5926] = 602,
  [5927] = 305,
  [5928] = 484,
  [5929] = 307,
  [5930] = 603,
  [5931] = 309,
  [5932] = 608,
  [5933] = 246,
  [5934] = 5934,
  [5935] = 550,
  [5936] = 540,
  [5937] = 549,
  [5938] = 539,
  [5939] = 317,
  [5940] = 383,
  [5941] = 604,
  [5942] = 5942,
  [5943] = 314,
  [5944] = 543,
  [5945] = 310,
  [5946] = 265,
  [5947] = 548,
  [5948] = 5948,
  [5949] = 451,
  [5950] = 259,
  [5951] = 605,
  [5952] = 5389,
  [5953] = 278,
  [5954] = 612,
  [5955] = 547,
  [5956] = 277,
  [5957] = 614,
  [5958] = 298,
  [5959] = 546,
  [5960] = 313,
  [5961] = 286,
  [5962] = 616,
  [5963] = 96,
  [5964] = 325,
  [5965] = 332,
  [5966] = 97,
  [5967] = 227,
  [5968] = 330,
  [5969] = 254,
  [5970] = 235,
  [5971] = 5971,
  [5972] = 263,
  [5973] = 5973,
  [5974] = 386,
  [5975] = 5975,
  [5976] = 5392,
  [5977] = 5977,
  [5978] = 1475,
  [5979] = 5979,
  [5980] = 5980,
  [5981] = 5981,
  [5982] = 400,
  [5983] = 5405,
  [5984] = 386,
  [5985] = 366,
  [5986] = 461,
  [5987] = 10,
  [5988] = 461,
  [5989] = 5413,
  [5990] = 5407,
  [5991] = 5406,
  [5992] = 5992,
  [5993] = 5993,
  [5994] = 5411,
  [5995] = 323,
  [5996] = 5410,
  [5997] = 5997,
  [5998] = 5391,
  [5999] = 5999,
  [6000] = 335,
  [6001] = 312,
  [6002] = 333,
  [6003] = 334,
  [6004] = 336,
  [6005] = 311,
  [6006] = 339,
  [6007] = 343,
  [6008] = 344,
  [6009] = 363,
  [6010] = 381,
  [6011] = 6011,
  [6012] = 369,
  [6013] = 359,
  [6014] = 319,
  [6015] = 347,
  [6016] = 357,
  [6017] = 379,
  [6018] = 367,
  [6019] = 362,
  [6020] = 5390,
  [6021] = 115,
  [6022] = 225,
  [6023] = 286,
  [6024] = 258,
  [6025] = 5403,
  [6026] = 272,
  [6027] = 233,
  [6028] = 5393,
  [6029] = 232,
  [6030] = 348,
  [6031] = 230,
  [6032] = 327,
  [6033] = 328,
  [6034] = 351,
  [6035] = 237,
  [6036] = 248,
  [6037] = 294,
  [6038] = 341,
  [6039] = 306,
  [6040] = 316,
  [6041] = 267,
  [6042] = 291,
  [6043] = 331,
  [6044] = 289,
  [6045] = 276,
  [6046] = 247,
  [6047] = 6047,
  [6048] = 6048,
  [6049] = 6049,
  [6050] = 242,
  [6051] = 368,
  [6052] = 283,
  [6053] = 5394,
  [6054] = 378,
  [6055] = 297,
  [6056] = 5418,
  [6057] = 5417,
  [6058] = 6058,
  [6059] = 279,
  [6060] = 6060,
  [6061] = 6061,
  [6062] = 380,
  [6063] = 375,
  [6064] = 373,
  [6065] = 240,
  [6066] = 6066,
  [6067] = 340,
  [6068] = 338,
  [6069] = 332,
  [6070] = 330,
  [6071] = 227,
  [6072] = 325,
  [6073] = 6073,
  [6074] = 298,
  [6075] = 277,
  [6076] = 278,
  [6077] = 259,
  [6078] = 265,
  [6079] = 246,
  [6080] = 243,
  [6081] = 231,
  [6082] = 329,
  [6083] = 350,
  [6084] = 264,
  [6085] = 252,
  [6086] = 226,
  [6087] = 285,
  [6088] = 295,
  [6089] = 315,
  [6090] = 352,
  [6091] = 5412,
  [6092] = 354,
  [6093] = 356,
  [6094] = 364,
  [6095] = 365,
  [6096] = 377,
  [6097] = 346,
  [6098] = 241,
  [6099] = 342,
  [6100] = 269,
  [6101] = 360,
  [6102] = 355,
  [6103] = 308,
  [6104] = 229,
  [6105] = 6105,
  [6106] = 234,
  [6107] = 236,
  [6108] = 238,
  [6109] = 239,
  [6110] = 324,
  [6111] = 244,
  [6112] = 245,
  [6113] = 6113,
  [6114] = 250,
  [6115] = 251,
  [6116] = 253,
  [6117] = 255,
  [6118] = 257,
  [6119] = 261,
  [6120] = 321,
  [6121] = 262,
  [6122] = 6122,
  [6123] = 305,
  [6124] = 6124,
  [6125] = 266,
  [6126] = 6126,
  [6127] = 6127,
  [6128] = 271,
  [6129] = 320,
  [6130] = 273,
  [6131] = 274,
  [6132] = 318,
  [6133] = 317,
  [6134] = 280,
  [6135] = 314,
  [6136] = 313,
  [6137] = 310,
  [6138] = 309,
  [6139] = 282,
  [6140] = 284,
  [6141] = 307,
  [6142] = 288,
  [6143] = 6143,
  [6144] = 292,
  [6145] = 296,
  [6146] = 300,
  [6147] = 301,
  [6148] = 6148,
  [6149] = 302,
  [6150] = 303,
  [6151] = 304,
  [6152] = 2048,
  [6153] = 6153,
  [6154] = 5425,
  [6155] = 476,
  [6156] = 371,
  [6157] = 527,
  [6158] = 475,
  [6159] = 511,
  [6160] = 6160,
  [6161] = 6161,
  [6162] = 6162,
  [6163] = 460,
  [6164] = 458,
  [6165] = 622,
  [6166] = 457,
  [6167] = 456,
  [6168] = 529,
  [6169] = 531,
  [6170] = 6170,
  [6171] = 516,
  [6172] = 494,
  [6173] = 520,
  [6174] = 514,
  [6175] = 454,
  [6176] = 492,
  [6177] = 532,
  [6178] = 534,
  [6179] = 453,
  [6180] = 537,
  [6181] = 386,
  [6182] = 450,
  [6183] = 449,
  [6184] = 541,
  [6185] = 446,
  [6186] = 6186,
  [6187] = 445,
  [6188] = 542,
  [6189] = 442,
  [6190] = 441,
  [6191] = 440,
  [6192] = 544,
  [6193] = 439,
  [6194] = 6194,
  [6195] = 545,
  [6196] = 437,
  [6197] = 5452,
  [6198] = 436,
  [6199] = 554,
  [6200] = 432,
  [6201] = 451,
  [6202] = 615,
  [6203] = 444,
  [6204] = 555,
  [6205] = 556,
  [6206] = 557,
  [6207] = 6207,
  [6208] = 558,
  [6209] = 6209,
  [6210] = 443,
  [6211] = 559,
  [6212] = 560,
  [6213] = 435,
  [6214] = 561,
  [6215] = 562,
  [6216] = 434,
  [6217] = 566,
  [6218] = 433,
  [6219] = 448,
  [6220] = 447,
  [6221] = 568,
  [6222] = 452,
  [6223] = 569,
  [6224] = 5445,
  [6225] = 455,
  [6226] = 459,
  [6227] = 571,
  [6228] = 462,
  [6229] = 468,
  [6230] = 573,
  [6231] = 6231,
  [6232] = 470,
  [6233] = 471,
  [6234] = 473,
  [6235] = 575,
  [6236] = 576,
  [6237] = 577,
  [6238] = 578,
  [6239] = 474,
  [6240] = 6240,
  [6241] = 579,
  [6242] = 583,
  [6243] = 498,
  [6244] = 6244,
  [6245] = 584,
  [6246] = 587,
  [6247] = 501,
  [6248] = 588,
  [6249] = 6249,
  [6250] = 518,
  [6251] = 553,
  [6252] = 525,
  [6253] = 6253,
  [6254] = 526,
  [6255] = 533,
  [6256] = 538,
  [6257] = 540,
  [6258] = 543,
  [6259] = 546,
  [6260] = 6260,
  [6261] = 619,
  [6262] = 547,
  [6263] = 548,
  [6264] = 549,
  [6265] = 550,
  [6266] = 551,
  [6267] = 552,
  [6268] = 563,
  [6269] = 564,
  [6270] = 489,
  [6271] = 6271,
  [6272] = 565,
  [6273] = 567,
  [6274] = 617,
  [6275] = 482,
  [6276] = 572,
  [6277] = 574,
  [6278] = 581,
  [6279] = 582,
  [6280] = 477,
  [6281] = 585,
  [6282] = 586,
  [6283] = 570,
  [6284] = 589,
  [6285] = 590,
  [6286] = 484,
  [6287] = 591,
  [6288] = 592,
  [6289] = 6061,
  [6290] = 593,
  [6291] = 6291,
  [6292] = 594,
  [6293] = 595,
  [6294] = 115,
  [6295] = 6295,
  [6296] = 505,
  [6297] = 506,
  [6298] = 5422,
  [6299] = 596,
  [6300] = 6300,
  [6301] = 597,
  [6302] = 598,
  [6303] = 599,
  [6304] = 5525,
  [6305] = 495,
  [6306] = 600,
  [6307] = 6307,
  [6308] = 601,
  [6309] = 322,
  [6310] = 6310,
  [6311] = 6311,
  [6312] = 6312,
  [6313] = 602,
  [6314] = 603,
  [6315] = 604,
  [6316] = 5476,
  [6317] = 605,
  [6318] = 616,
  [6319] = 499,
  [6320] = 614,
  [6321] = 608,
  [6322] = 623,
  [6323] = 6323,
  [6324] = 621,
  [6325] = 620,
  [6326] = 618,
  [6327] = 430,
  [6328] = 392,
  [6329] = 431,
  [6330] = 607,
  [6331] = 612,
  [6332] = 6332,
  [6333] = 6333,
  [6334] = 610,
  [6335] = 606,
  [6336] = 6336,
  [6337] = 386,
  [6338] = 523,
  [6339] = 6339,
  [6340] = 6340,
  [6341] = 611,
  [6342] = 461,
  [6343] = 1475,
  [6344] = 6344,
  [6345] = 6345,
  [6346] = 6346,
  [6347] = 461,
  [6348] = 6348,
  [6349] = 6349,
  [6350] = 496,
  [6351] = 6351,
  [6352] = 6352,
  [6353] = 513,
  [6354] = 5534,
  [6355] = 6355,
  [6356] = 439,
  [6357] = 561,
  [6358] = 526,
  [6359] = 6359,
  [6360] = 541,
  [6361] = 534,
  [6362] = 533,
  [6363] = 544,
  [6364] = 538,
  [6365] = 529,
  [6366] = 540,
  [6367] = 543,
  [6368] = 500,
  [6369] = 542,
  [6370] = 546,
  [6371] = 579,
  [6372] = 583,
  [6373] = 584,
  [6374] = 587,
  [6375] = 588,
  [6376] = 547,
  [6377] = 6377,
  [6378] = 502,
  [6379] = 545,
  [6380] = 503,
  [6381] = 532,
  [6382] = 527,
  [6383] = 548,
  [6384] = 479,
  [6385] = 554,
  [6386] = 549,
  [6387] = 550,
  [6388] = 504,
  [6389] = 551,
  [6390] = 513,
  [6391] = 507,
  [6392] = 508,
  [6393] = 591,
  [6394] = 622,
  [6395] = 509,
  [6396] = 563,
  [6397] = 510,
  [6398] = 564,
  [6399] = 523,
  [6400] = 565,
  [6401] = 520,
  [6402] = 516,
  [6403] = 514,
  [6404] = 431,
  [6405] = 512,
  [6406] = 515,
  [6407] = 517,
  [6408] = 567,
  [6409] = 430,
  [6410] = 447,
  [6411] = 429,
  [6412] = 570,
  [6413] = 519,
  [6414] = 511,
  [6415] = 525,
  [6416] = 555,
  [6417] = 572,
  [6418] = 521,
  [6419] = 574,
  [6420] = 553,
  [6421] = 427,
  [6422] = 6422,
  [6423] = 522,
  [6424] = 518,
  [6425] = 581,
  [6426] = 501,
  [6427] = 524,
  [6428] = 556,
  [6429] = 6429,
  [6430] = 582,
  [6431] = 497,
  [6432] = 620,
  [6433] = 506,
  [6434] = 578,
  [6435] = 386,
  [6436] = 585,
  [6437] = 586,
  [6438] = 498,
  [6439] = 557,
  [6440] = 6440,
  [6441] = 442,
  [6442] = 474,
  [6443] = 623,
  [6444] = 558,
  [6445] = 505,
  [6446] = 499,
  [6447] = 608,
  [6448] = 451,
  [6449] = 493,
  [6450] = 491,
  [6451] = 559,
  [6452] = 614,
  [6453] = 589,
  [6454] = 528,
  [6455] = 6455,
  [6456] = 6456,
  [6457] = 6457,
  [6458] = 590,
  [6459] = 6459,
  [6460] = 6460,
  [6461] = 6461,
  [6462] = 6462,
  [6463] = 6463,
  [6464] = 531,
  [6465] = 2048,
  [6466] = 6466,
  [6467] = 6467,
  [6468] = 496,
  [6469] = 495,
  [6470] = 494,
  [6471] = 10,
  [6472] = 6472,
  [6473] = 10,
  [6474] = 1475,
  [6475] = 492,
  [6476] = 489,
  [6477] = 562,
  [6478] = 6344,
  [6479] = 6479,
  [6480] = 484,
  [6481] = 566,
  [6482] = 6482,
  [6483] = 568,
  [6484] = 616,
  [6485] = 611,
  [6486] = 6345,
  [6487] = 601,
  [6488] = 6488,
  [6489] = 6346,
  [6490] = 6490,
  [6491] = 6491,
  [6492] = 490,
  [6493] = 6493,
  [6494] = 473,
  [6495] = 471,
  [6496] = 464,
  [6497] = 569,
  [6498] = 482,
  [6499] = 470,
  [6500] = 6479,
  [6501] = 476,
  [6502] = 6502,
  [6503] = 573,
  [6504] = 621,
  [6505] = 462,
  [6506] = 488,
  [6507] = 539,
  [6508] = 448,
  [6509] = 459,
  [6510] = 455,
  [6511] = 465,
  [6512] = 487,
  [6513] = 475,
  [6514] = 6514,
  [6515] = 6515,
  [6516] = 460,
  [6517] = 571,
  [6518] = 452,
  [6519] = 610,
  [6520] = 468,
  [6521] = 433,
  [6522] = 486,
  [6523] = 434,
  [6524] = 6472,
  [6525] = 485,
  [6526] = 6526,
  [6527] = 458,
  [6528] = 403,
  [6529] = 560,
  [6530] = 435,
  [6531] = 457,
  [6532] = 456,
  [6533] = 463,
  [6534] = 6534,
  [6535] = 443,
  [6536] = 483,
  [6537] = 481,
  [6538] = 530,
  [6539] = 552,
  [6540] = 6540,
  [6541] = 444,
  [6542] = 535,
  [6543] = 615,
  [6544] = 6422,
  [6545] = 432,
  [6546] = 592,
  [6547] = 466,
  [6548] = 606,
  [6549] = 436,
  [6550] = 467,
  [6551] = 454,
  [6552] = 593,
  [6553] = 437,
  [6554] = 617,
  [6555] = 480,
  [6556] = 605,
  [6557] = 604,
  [6558] = 603,
  [6559] = 536,
  [6560] = 6560,
  [6561] = 619,
  [6562] = 6562,
  [6563] = 537,
  [6564] = 602,
  [6565] = 594,
  [6566] = 478,
  [6567] = 440,
  [6568] = 441,
  [6569] = 445,
  [6570] = 595,
  [6571] = 446,
  [6572] = 600,
  [6573] = 6340,
  [6574] = 6574,
  [6575] = 618,
  [6576] = 449,
  [6577] = 577,
  [6578] = 450,
  [6579] = 596,
  [6580] = 453,
  [6581] = 6581,
  [6582] = 472,
  [6583] = 469,
  [6584] = 597,
  [6585] = 576,
  [6586] = 6482,
  [6587] = 6587,
  [6588] = 598,
  [6589] = 599,
  [6590] = 575,
  [6591] = 93,
  [6592] = 6459,
  [6593] = 6460,
  [6594] = 6461,
  [6595] = 507,
  [6596] = 92,
  [6597] = 6457,
  [6598] = 5759,
  [6599] = 95,
  [6600] = 98,
  [6601] = 104,
  [6602] = 6455,
  [6603] = 5661,
  [6604] = 6456,
  [6605] = 93,
  [6606] = 5666,
  [6607] = 6462,
  [6608] = 5619,
  [6609] = 5722,
  [6610] = 6610,
  [6611] = 6611,
  [6612] = 5942,
  [6613] = 94,
  [6614] = 81,
  [6615] = 96,
  [6616] = 97,
  [6617] = 98,
  [6618] = 6618,
  [6619] = 99,
  [6620] = 80,
  [6621] = 5948,
  [6622] = 102,
  [6623] = 5753,
  [6624] = 5809,
  [6625] = 103,
  [6626] = 104,
  [6627] = 89,
  [6628] = 83,
  [6629] = 84,
  [6630] = 92,
  [6631] = 95,
  [6632] = 5681,
  [6633] = 97,
  [6634] = 5799,
  [6635] = 96,
  [6636] = 5652,
  [6637] = 5718,
  [6638] = 5842,
  [6639] = 84,
  [6640] = 83,
  [6641] = 89,
  [6642] = 5697,
  [6643] = 5906,
  [6644] = 5703,
  [6645] = 99,
  [6646] = 103,
  [6647] = 6647,
  [6648] = 84,
  [6649] = 5613,
  [6650] = 102,
  [6651] = 2048,
  [6652] = 83,
  [6653] = 5689,
  [6654] = 89,
  [6655] = 104,
  [6656] = 2287,
  [6657] = 94,
  [6658] = 93,
  [6659] = 81,
  [6660] = 103,
  [6661] = 102,
  [6662] = 80,
  [6663] = 80,
  [6664] = 5676,
  [6665] = 99,
  [6666] = 98,
  [6667] = 97,
  [6668] = 95,
  [6669] = 96,
  [6670] = 2307,
  [6671] = 99,
  [6672] = 98,
  [6673] = 81,
  [6674] = 94,
  [6675] = 6675,
  [6676] = 97,
  [6677] = 84,
  [6678] = 96,
  [6679] = 92,
  [6680] = 81,
  [6681] = 83,
  [6682] = 93,
  [6683] = 89,
  [6684] = 472,
  [6685] = 94,
  [6686] = 6686,
  [6687] = 92,
  [6688] = 95,
  [6689] = 104,
  [6690] = 103,
  [6691] = 102,
  [6692] = 5694,
  [6693] = 5696,
  [6694] = 5639,
  [6695] = 80,
  [6696] = 5704,
  [6697] = 295,
  [6698] = 489,
  [6699] = 257,
  [6700] = 6700,
  [6701] = 553,
  [6702] = 261,
  [6703] = 230,
  [6704] = 6704,
  [6705] = 6705,
  [6706] = 567,
  [6707] = 253,
  [6708] = 6708,
  [6709] = 262,
  [6710] = 323,
  [6711] = 232,
  [6712] = 233,
  [6713] = 272,
  [6714] = 266,
  [6715] = 271,
  [6716] = 6716,
  [6717] = 279,
  [6718] = 6718,
  [6719] = 258,
  [6720] = 286,
  [6721] = 273,
  [6722] = 574,
  [6723] = 6723,
  [6724] = 274,
  [6725] = 572,
  [6726] = 251,
  [6727] = 601,
  [6728] = 6728,
  [6729] = 570,
  [6730] = 115,
  [6731] = 225,
  [6732] = 280,
  [6733] = 602,
  [6734] = 362,
  [6735] = 6735,
  [6736] = 367,
  [6737] = 6737,
  [6738] = 379,
  [6739] = 6739,
  [6740] = 6740,
  [6741] = 357,
  [6742] = 6742,
  [6743] = 282,
  [6744] = 284,
  [6745] = 6745,
  [6746] = 6746,
  [6747] = 250,
  [6748] = 5979,
  [6749] = 235,
  [6750] = 6750,
  [6751] = 6751,
  [6752] = 288,
  [6753] = 245,
  [6754] = 319,
  [6755] = 6755,
  [6756] = 6756,
  [6757] = 359,
  [6758] = 244,
  [6759] = 6759,
  [6760] = 369,
  [6761] = 381,
  [6762] = 363,
  [6763] = 344,
  [6764] = 343,
  [6765] = 6765,
  [6766] = 563,
  [6767] = 564,
  [6768] = 339,
  [6769] = 240,
  [6770] = 311,
  [6771] = 336,
  [6772] = 292,
  [6773] = 334,
  [6774] = 499,
  [6775] = 6775,
  [6776] = 6143,
  [6777] = 296,
  [6778] = 239,
  [6779] = 300,
  [6780] = 6780,
  [6781] = 94,
  [6782] = 451,
  [6783] = 6783,
  [6784] = 6148,
  [6785] = 92,
  [6786] = 505,
  [6787] = 506,
  [6788] = 81,
  [6789] = 238,
  [6790] = 333,
  [6791] = 511,
  [6792] = 236,
  [6793] = 513,
  [6794] = 95,
  [6795] = 606,
  [6796] = 312,
  [6797] = 327,
  [6798] = 622,
  [6799] = 6799,
  [6800] = 619,
  [6801] = 600,
  [6802] = 328,
  [6803] = 351,
  [6804] = 234,
  [6805] = 514,
  [6806] = 301,
  [6807] = 229,
  [6808] = 6808,
  [6809] = 308,
  [6810] = 6810,
  [6811] = 516,
  [6812] = 6812,
  [6813] = 520,
  [6814] = 237,
  [6815] = 523,
  [6816] = 302,
  [6817] = 527,
  [6818] = 6818,
  [6819] = 355,
  [6820] = 6820,
  [6821] = 529,
  [6822] = 6073,
  [6823] = 248,
  [6824] = 360,
  [6825] = 599,
  [6826] = 431,
  [6827] = 294,
  [6828] = 587,
  [6829] = 6829,
  [6830] = 92,
  [6831] = 531,
  [6832] = 6832,
  [6833] = 341,
  [6834] = 306,
  [6835] = 95,
  [6836] = 532,
  [6837] = 534,
  [6838] = 537,
  [6839] = 6839,
  [6840] = 541,
  [6841] = 96,
  [6842] = 598,
  [6843] = 542,
  [6844] = 565,
  [6845] = 544,
  [6846] = 545,
  [6847] = 303,
  [6848] = 554,
  [6849] = 555,
  [6850] = 556,
  [6851] = 557,
  [6852] = 597,
  [6853] = 558,
  [6854] = 559,
  [6855] = 548,
  [6856] = 304,
  [6857] = 97,
  [6858] = 316,
  [6859] = 560,
  [6860] = 6860,
  [6861] = 462,
  [6862] = 468,
  [6863] = 561,
  [6864] = 562,
  [6865] = 267,
  [6866] = 470,
  [6867] = 471,
  [6868] = 473,
  [6869] = 291,
  [6870] = 269,
  [6871] = 596,
  [6872] = 342,
  [6873] = 5993,
  [6874] = 6874,
  [6875] = 289,
  [6876] = 305,
  [6877] = 6877,
  [6878] = 307,
  [6879] = 276,
  [6880] = 610,
  [6881] = 603,
  [6882] = 241,
  [6883] = 309,
  [6884] = 346,
  [6885] = 310,
  [6886] = 6886,
  [6887] = 115,
  [6888] = 247,
  [6889] = 573,
  [6890] = 98,
  [6891] = 595,
  [6892] = 6892,
  [6893] = 6126,
  [6894] = 377,
  [6895] = 115,
  [6896] = 594,
  [6897] = 604,
  [6898] = 92,
  [6899] = 6899,
  [6900] = 6061,
  [6901] = 474,
  [6902] = 242,
  [6903] = 6903,
  [6904] = 6904,
  [6905] = 6905,
  [6906] = 605,
  [6907] = 6907,
  [6908] = 95,
  [6909] = 368,
  [6910] = 283,
  [6911] = 378,
  [6912] = 99,
  [6913] = 80,
  [6914] = 297,
  [6915] = 365,
  [6916] = 566,
  [6917] = 6917,
  [6918] = 568,
  [6919] = 102,
  [6920] = 569,
  [6921] = 571,
  [6922] = 103,
  [6923] = 6923,
  [6924] = 575,
  [6925] = 364,
  [6926] = 576,
  [6927] = 577,
  [6928] = 578,
  [6929] = 579,
  [6930] = 583,
  [6931] = 93,
  [6932] = 104,
  [6933] = 89,
  [6934] = 6934,
  [6935] = 83,
  [6936] = 444,
  [6937] = 552,
  [6938] = 313,
  [6939] = 584,
  [6940] = 84,
  [6941] = 356,
  [6942] = 354,
  [6943] = 6943,
  [6944] = 314,
  [6945] = 254,
  [6946] = 317,
  [6947] = 6947,
  [6948] = 6948,
  [6949] = 498,
  [6950] = 551,
  [6951] = 501,
  [6952] = 6952,
  [6953] = 352,
  [6954] = 6113,
  [6955] = 518,
  [6956] = 347,
  [6957] = 593,
  [6958] = 592,
  [6959] = 496,
  [6960] = 84,
  [6961] = 83,
  [6962] = 89,
  [6963] = 104,
  [6964] = 318,
  [6965] = 103,
  [6966] = 591,
  [6967] = 102,
  [6968] = 495,
  [6969] = 263,
  [6970] = 80,
  [6971] = 99,
  [6972] = 6011,
  [6973] = 590,
  [6974] = 320,
  [6975] = 321,
  [6976] = 6976,
  [6977] = 589,
  [6978] = 494,
  [6979] = 617,
  [6980] = 492,
  [6981] = 98,
  [6982] = 525,
  [6983] = 614,
  [6984] = 255,
  [6985] = 315,
  [6986] = 608,
  [6987] = 623,
  [6988] = 621,
  [6989] = 620,
  [6990] = 618,
  [6991] = 484,
  [6992] = 482,
  [6993] = 550,
  [6994] = 476,
  [6995] = 475,
  [6996] = 6996,
  [6997] = 549,
  [6998] = 460,
  [6999] = 458,
  [7000] = 285,
  [7001] = 457,
  [7002] = 7002,
  [7003] = 226,
  [7004] = 456,
  [7005] = 252,
  [7006] = 430,
  [7007] = 97,
  [7008] = 264,
  [7009] = 96,
  [7010] = 454,
  [7011] = 526,
  [7012] = 453,
  [7013] = 546,
  [7014] = 94,
  [7015] = 366,
  [7016] = 450,
  [7017] = 81,
  [7018] = 350,
  [7019] = 449,
  [7020] = 533,
  [7021] = 446,
  [7022] = 445,
  [7023] = 442,
  [7024] = 441,
  [7025] = 96,
  [7026] = 7026,
  [7027] = 93,
  [7028] = 440,
  [7029] = 439,
  [7030] = 97,
  [7031] = 586,
  [7032] = 437,
  [7033] = 436,
  [7034] = 98,
  [7035] = 585,
  [7036] = 432,
  [7037] = 615,
  [7038] = 99,
  [7039] = 81,
  [7040] = 80,
  [7041] = 102,
  [7042] = 582,
  [7043] = 329,
  [7044] = 103,
  [7045] = 104,
  [7046] = 94,
  [7047] = 231,
  [7048] = 89,
  [7049] = 547,
  [7050] = 538,
  [7051] = 7051,
  [7052] = 83,
  [7053] = 84,
  [7054] = 243,
  [7055] = 540,
  [7056] = 581,
  [7057] = 380,
  [7058] = 375,
  [7059] = 7059,
  [7060] = 543,
  [7061] = 246,
  [7062] = 443,
  [7063] = 265,
  [7064] = 435,
  [7065] = 392,
  [7066] = 7066,
  [7067] = 434,
  [7068] = 373,
  [7069] = 324,
  [7070] = 433,
  [7071] = 447,
  [7072] = 616,
  [7073] = 7073,
  [7074] = 452,
  [7075] = 7075,
  [7076] = 348,
  [7077] = 455,
  [7078] = 259,
  [7079] = 278,
  [7080] = 340,
  [7081] = 7081,
  [7082] = 338,
  [7083] = 332,
  [7084] = 277,
  [7085] = 448,
  [7086] = 5980,
  [7087] = 7087,
  [7088] = 7088,
  [7089] = 93,
  [7090] = 588,
  [7091] = 298,
  [7092] = 331,
  [7093] = 330,
  [7094] = 466,
  [7095] = 227,
  [7096] = 335,
  [7097] = 459,
  [7098] = 611,
  [7099] = 7099,
  [7100] = 6122,
  [7101] = 7101,
  [7102] = 325,
  [7103] = 6311,
  [7104] = 469,
  [7105] = 539,
  [7106] = 491,
  [7107] = 6194,
  [7108] = 115,
  [7109] = 465,
  [7110] = 7110,
  [7111] = 6253,
  [7112] = 535,
  [7113] = 6349,
  [7114] = 464,
  [7115] = 7115,
  [7116] = 490,
  [7117] = 7117,
  [7118] = 6249,
  [7119] = 7119,
  [7120] = 7120,
  [7121] = 7121,
  [7122] = 6355,
  [7123] = 487,
  [7124] = 7124,
  [7125] = 2499,
  [7126] = 6061,
  [7127] = 486,
  [7128] = 84,
  [7129] = 530,
  [7130] = 83,
  [7131] = 6336,
  [7132] = 7132,
  [7133] = 488,
  [7134] = 4460,
  [7135] = 7135,
  [7136] = 115,
  [7137] = 89,
  [7138] = 517,
  [7139] = 7124,
  [7140] = 7140,
  [7141] = 519,
  [7142] = 521,
  [7143] = 467,
  [7144] = 429,
  [7145] = 522,
  [7146] = 524,
  [7147] = 6295,
  [7148] = 104,
  [7149] = 7124,
  [7150] = 6231,
  [7151] = 528,
  [7152] = 7152,
  [7153] = 7124,
  [7154] = 7154,
  [7155] = 6244,
  [7156] = 7124,
  [7157] = 6307,
  [7158] = 6291,
  [7159] = 6300,
  [7160] = 6209,
  [7161] = 393,
  [7162] = 463,
  [7163] = 6162,
  [7164] = 610,
  [7165] = 103,
  [7166] = 6271,
  [7167] = 102,
  [7168] = 7124,
  [7169] = 6161,
  [7170] = 6160,
  [7171] = 80,
  [7172] = 99,
  [7173] = 371,
  [7174] = 502,
  [7175] = 497,
  [7176] = 503,
  [7177] = 510,
  [7178] = 7124,
  [7179] = 371,
  [7180] = 98,
  [7181] = 97,
  [7182] = 96,
  [7183] = 7183,
  [7184] = 7124,
  [7185] = 427,
  [7186] = 7124,
  [7187] = 7187,
  [7188] = 81,
  [7189] = 6170,
  [7190] = 7190,
  [7191] = 7191,
  [7192] = 7124,
  [7193] = 7193,
  [7194] = 383,
  [7195] = 7195,
  [7196] = 7124,
  [7197] = 7197,
  [7198] = 94,
  [7199] = 7199,
  [7200] = 6310,
  [7201] = 6260,
  [7202] = 6312,
  [7203] = 7203,
  [7204] = 7204,
  [7205] = 7124,
  [7206] = 7206,
  [7207] = 6323,
  [7208] = 7124,
  [7209] = 7209,
  [7210] = 7124,
  [7211] = 7124,
  [7212] = 6333,
  [7213] = 7213,
  [7214] = 7214,
  [7215] = 7124,
  [7216] = 500,
  [7217] = 7124,
  [7218] = 6240,
  [7219] = 10,
  [7220] = 485,
  [7221] = 512,
  [7222] = 93,
  [7223] = 515,
  [7224] = 6351,
  [7225] = 95,
  [7226] = 7226,
  [7227] = 479,
  [7228] = 92,
  [7229] = 7229,
  [7230] = 6348,
  [7231] = 509,
  [7232] = 7232,
  [7233] = 536,
  [7234] = 508,
  [7235] = 504,
  [7236] = 480,
  [7237] = 403,
  [7238] = 6186,
  [7239] = 7239,
  [7240] = 7240,
  [7241] = 7241,
  [7242] = 6207,
  [7243] = 7124,
  [7244] = 6153,
  [7245] = 7245,
  [7246] = 5894,
  [7247] = 6352,
  [7248] = 7248,
  [7249] = 7124,
  [7250] = 7250,
  [7251] = 478,
  [7252] = 481,
  [7253] = 7253,
  [7254] = 7254,
  [7255] = 7255,
  [7256] = 7256,
  [7257] = 7257,
  [7258] = 7258,
  [7259] = 7259,
  [7260] = 7260,
  [7261] = 7124,
  [7262] = 483,
  [7263] = 7263,
  [7264] = 7264,
  [7265] = 7265,
  [7266] = 7266,
  [7267] = 493,
  [7268] = 7124,
  [7269] = 7269,
  [7270] = 7270,
  [7271] = 6482,
  [7272] = 7272,
  [7273] = 7273,
  [7274] = 7274,
  [7275] = 7275,
  [7276] = 7276,
  [7277] = 7277,
  [7278] = 7278,
  [7279] = 7279,
  [7280] = 7280,
  [7281] = 7281,
  [7282] = 7282,
  [7283] = 7283,
  [7284] = 386,
  [7285] = 7285,
  [7286] = 7286,
  [7287] = 7287,
  [7288] = 7288,
  [7289] = 7289,
  [7290] = 7290,
  [7291] = 7291,
  [7292] = 7292,
  [7293] = 7293,
  [7294] = 7294,
  [7295] = 7295,
  [7296] = 7296,
  [7297] = 7297,
  [7298] = 7298,
  [7299] = 7299,
  [7300] = 7300,
  [7301] = 7301,
  [7302] = 7302,
  [7303] = 7303,
  [7304] = 7304,
  [7305] = 7305,
  [7306] = 7306,
  [7307] = 7307,
  [7308] = 7308,
  [7309] = 7309,
  [7310] = 7310,
  [7311] = 7311,
  [7312] = 7312,
  [7313] = 7313,
  [7314] = 7314,
  [7315] = 7315,
  [7316] = 7316,
  [7317] = 7317,
  [7318] = 7318,
  [7319] = 7319,
  [7320] = 7320,
  [7321] = 7321,
  [7322] = 7322,
  [7323] = 7323,
  [7324] = 7324,
  [7325] = 7325,
  [7326] = 7326,
  [7327] = 7327,
  [7328] = 7328,
  [7329] = 7329,
  [7330] = 6482,
  [7331] = 7331,
  [7332] = 7332,
  [7333] = 7333,
  [7334] = 6479,
  [7335] = 7335,
  [7336] = 7336,
  [7337] = 7337,
  [7338] = 6422,
  [7339] = 7339,
  [7340] = 6472,
  [7341] = 7341,
  [7342] = 7342,
  [7343] = 7343,
  [7344] = 7344,
  [7345] = 2518,
  [7346] = 6422,
  [7347] = 7347,
  [7348] = 7348,
  [7349] = 7349,
  [7350] = 7350,
  [7351] = 7351,
  [7352] = 7352,
  [7353] = 115,
  [7354] = 7354,
  [7355] = 7355,
  [7356] = 7356,
  [7357] = 7357,
  [7358] = 7358,
  [7359] = 7359,
  [7360] = 7360,
  [7361] = 7361,
  [7362] = 7362,
  [7363] = 7363,
  [7364] = 7364,
  [7365] = 7365,
  [7366] = 7366,
  [7367] = 7367,
  [7368] = 7368,
  [7369] = 7369,
  [7370] = 7370,
  [7371] = 7371,
  [7372] = 7372,
  [7373] = 7373,
  [7374] = 7374,
  [7375] = 7375,
  [7376] = 7376,
  [7377] = 7377,
  [7378] = 2526,
  [7379] = 7379,
  [7380] = 7380,
  [7381] = 7381,
  [7382] = 7382,
  [7383] = 7383,
  [7384] = 7384,
  [7385] = 386,
  [7386] = 7386,
  [7387] = 7387,
  [7388] = 7388,
  [7389] = 7389,
  [7390] = 7390,
  [7391] = 7391,
  [7392] = 7392,
  [7393] = 7393,
  [7394] = 7394,
  [7395] = 7395,
  [7396] = 7396,
  [7397] = 7397,
  [7398] = 7398,
  [7399] = 7399,
  [7400] = 6472,
  [7401] = 7401,
  [7402] = 7402,
  [7403] = 7403,
  [7404] = 7404,
  [7405] = 7405,
  [7406] = 7406,
  [7407] = 7407,
  [7408] = 7408,
  [7409] = 7409,
  [7410] = 7410,
  [7411] = 7411,
  [7412] = 6462,
  [7413] = 6461,
  [7414] = 6460,
  [7415] = 6459,
  [7416] = 6479,
  [7417] = 7417,
  [7418] = 6457,
  [7419] = 322,
  [7420] = 7420,
  [7421] = 400,
  [7422] = 6456,
  [7423] = 6455,
  [7424] = 477,
  [7425] = 7425,
  [7426] = 392,
  [7427] = 7427,
  [7428] = 7428,
  [7429] = 7429,
  [7430] = 7430,
  [7431] = 7431,
  [7432] = 7432,
  [7433] = 7433,
  [7434] = 7434,
  [7435] = 7435,
  [7436] = 607,
  [7437] = 7437,
  [7438] = 7438,
  [7439] = 7439,
  [7440] = 7440,
  [7441] = 7441,
  [7442] = 392,
  [7443] = 612,
  [7444] = 7444,
  [7445] = 7445,
  [7446] = 7446,
  [7447] = 7447,
  [7448] = 7448,
  [7449] = 6456,
  [7450] = 6455,
  [7451] = 7451,
  [7452] = 7452,
  [7453] = 7453,
  [7454] = 2654,
  [7455] = 7455,
  [7456] = 7456,
  [7457] = 7457,
  [7458] = 7458,
  [7459] = 7459,
  [7460] = 7460,
  [7461] = 7461,
  [7462] = 7462,
  [7463] = 7463,
  [7464] = 7464,
  [7465] = 7465,
  [7466] = 7466,
  [7467] = 7467,
  [7468] = 6457,
  [7469] = 6459,
  [7470] = 7470,
  [7471] = 6460,
  [7472] = 7472,
  [7473] = 6461,
  [7474] = 7474,
  [7475] = 7475,
  [7476] = 7476,
  [7477] = 7477,
  [7478] = 7478,
  [7479] = 7479,
  [7480] = 7480,
  [7481] = 7481,
  [7482] = 7482,
  [7483] = 7483,
  [7484] = 7484,
  [7485] = 7485,
  [7486] = 7486,
  [7487] = 7487,
  [7488] = 7488,
  [7489] = 7489,
  [7490] = 7490,
  [7491] = 7491,
  [7492] = 7492,
  [7493] = 7493,
  [7494] = 7494,
  [7495] = 7495,
  [7496] = 7496,
  [7497] = 7497,
  [7498] = 7498,
  [7499] = 7499,
  [7500] = 7500,
  [7501] = 7501,
  [7502] = 7502,
  [7503] = 7503,
  [7504] = 7504,
  [7505] = 7505,
  [7506] = 7506,
  [7507] = 7507,
  [7508] = 7508,
  [7509] = 7509,
  [7510] = 7510,
  [7511] = 7511,
  [7512] = 612,
  [7513] = 7513,
  [7514] = 607,
  [7515] = 7515,
  [7516] = 6462,
  [7517] = 7517,
  [7518] = 7518,
  [7519] = 7519,
  [7520] = 7520,
  [7521] = 7521,
  [7522] = 7522,
  [7523] = 7523,
  [7524] = 7524,
  [7525] = 7525,
  [7526] = 7526,
  [7527] = 7527,
  [7528] = 7528,
  [7529] = 7073,
  [7530] = 7530,
  [7531] = 7531,
  [7532] = 7532,
  [7533] = 6751,
  [7534] = 7534,
  [7535] = 7535,
  [7536] = 7536,
  [7537] = 611,
  [7538] = 610,
  [7539] = 7539,
  [7540] = 7540,
  [7541] = 7541,
  [7542] = 622,
  [7543] = 7543,
  [7544] = 7544,
  [7545] = 7545,
  [7546] = 7546,
  [7547] = 7547,
  [7548] = 7548,
  [7549] = 6947,
  [7550] = 6735,
  [7551] = 431,
  [7552] = 6718,
  [7553] = 7553,
  [7554] = 7554,
  [7555] = 7555,
  [7556] = 7059,
  [7557] = 7557,
  [7558] = 430,
  [7559] = 6737,
  [7560] = 6705,
  [7561] = 606,
  [7562] = 618,
  [7563] = 6756,
  [7564] = 620,
  [7565] = 7565,
  [7566] = 7566,
  [7567] = 621,
  [7568] = 7568,
  [7569] = 7569,
  [7570] = 6818,
  [7571] = 623,
  [7572] = 7572,
  [7573] = 6755,
  [7574] = 539,
  [7575] = 608,
  [7576] = 7576,
  [7577] = 7577,
  [7578] = 7578,
  [7579] = 6739,
  [7580] = 7580,
  [7581] = 614,
  [7582] = 7582,
  [7583] = 7583,
  [7584] = 451,
  [7585] = 6742,
  [7586] = 7586,
  [7587] = 6905,
  [7588] = 7588,
  [7589] = 616,
  [7590] = 6780,
  [7591] = 7591,
  [7592] = 605,
  [7593] = 7593,
  [7594] = 604,
  [7595] = 7595,
  [7596] = 7075,
  [7597] = 7597,
  [7598] = 603,
  [7599] = 602,
  [7600] = 7600,
  [7601] = 6723,
  [7602] = 6728,
  [7603] = 601,
  [7604] = 7604,
  [7605] = 7605,
  [7606] = 600,
  [7607] = 7607,
  [7608] = 6704,
  [7609] = 6708,
  [7610] = 7610,
  [7611] = 7611,
  [7612] = 7612,
  [7613] = 7613,
  [7614] = 403,
  [7615] = 7615,
  [7616] = 7616,
  [7617] = 6832,
  [7618] = 6877,
  [7619] = 599,
  [7620] = 7088,
  [7621] = 7621,
  [7622] = 7622,
  [7623] = 7066,
  [7624] = 6700,
  [7625] = 597,
  [7626] = 6948,
  [7627] = 429,
  [7628] = 7628,
  [7629] = 596,
  [7630] = 7630,
  [7631] = 7631,
  [7632] = 7632,
  [7633] = 595,
  [7634] = 7634,
  [7635] = 6923,
  [7636] = 7636,
  [7637] = 7637,
  [7638] = 7638,
  [7639] = 7639,
  [7640] = 594,
  [7641] = 7641,
  [7642] = 7642,
  [7643] = 593,
  [7644] = 592,
  [7645] = 591,
  [7646] = 7087,
  [7647] = 7647,
  [7648] = 590,
  [7649] = 589,
  [7650] = 7650,
  [7651] = 6716,
  [7652] = 7652,
  [7653] = 7653,
  [7654] = 6740,
  [7655] = 586,
  [7656] = 585,
  [7657] = 582,
  [7658] = 7658,
  [7659] = 581,
  [7660] = 574,
  [7661] = 598,
  [7662] = 570,
  [7663] = 7663,
  [7664] = 567,
  [7665] = 7665,
  [7666] = 427,
  [7667] = 7667,
  [7668] = 7668,
  [7669] = 565,
  [7670] = 7051,
  [7671] = 564,
  [7672] = 7672,
  [7673] = 563,
  [7674] = 7674,
  [7675] = 7675,
  [7676] = 7676,
  [7677] = 7677,
  [7678] = 7678,
  [7679] = 7679,
  [7680] = 7680,
  [7681] = 7681,
  [7682] = 552,
  [7683] = 7683,
  [7684] = 7684,
  [7685] = 7026,
  [7686] = 7621,
  [7687] = 7687,
  [7688] = 7530,
  [7689] = 7580,
  [7690] = 7577,
  [7691] = 7691,
  [7692] = 7692,
  [7693] = 7693,
  [7694] = 7694,
  [7695] = 551,
  [7696] = 7696,
  [7697] = 550,
  [7698] = 7698,
  [7699] = 549,
  [7700] = 7700,
  [7701] = 7701,
  [7702] = 548,
  [7703] = 6996,
  [7704] = 547,
  [7705] = 536,
  [7706] = 7706,
  [7707] = 7707,
  [7708] = 7708,
  [7709] = 7709,
  [7710] = 7710,
  [7711] = 7711,
  [7712] = 535,
  [7713] = 7713,
  [7714] = 7714,
  [7715] = 7715,
  [7716] = 546,
  [7717] = 6934,
  [7718] = 7718,
  [7719] = 543,
  [7720] = 540,
  [7721] = 538,
  [7722] = 7676,
  [7723] = 7723,
  [7724] = 533,
  [7725] = 7725,
  [7726] = 7002,
  [7727] = 526,
  [7728] = 6976,
  [7729] = 525,
  [7730] = 7730,
  [7731] = 7731,
  [7732] = 6952,
  [7733] = 7733,
  [7734] = 448,
  [7735] = 539,
  [7736] = 7736,
  [7737] = 6943,
  [7738] = 7738,
  [7739] = 7739,
  [7740] = 518,
  [7741] = 7741,
  [7742] = 6904,
  [7743] = 501,
  [7744] = 7744,
  [7745] = 6886,
  [7746] = 498,
  [7747] = 7747,
  [7748] = 474,
  [7749] = 6917,
  [7750] = 6745,
  [7751] = 7639,
  [7752] = 7752,
  [7753] = 7677,
  [7754] = 7754,
  [7755] = 7755,
  [7756] = 7756,
  [7757] = 7757,
  [7758] = 7758,
  [7759] = 6765,
  [7760] = 473,
  [7761] = 530,
  [7762] = 7762,
  [7763] = 528,
  [7764] = 7764,
  [7765] = 7765,
  [7766] = 7766,
  [7767] = 471,
  [7768] = 470,
  [7769] = 7769,
  [7770] = 6899,
  [7771] = 7762,
  [7772] = 468,
  [7773] = 6810,
  [7774] = 462,
  [7775] = 7758,
  [7776] = 524,
  [7777] = 7757,
  [7778] = 522,
  [7779] = 427,
  [7780] = 521,
  [7781] = 519,
  [7782] = 459,
  [7783] = 7754,
  [7784] = 517,
  [7785] = 7752,
  [7786] = 7786,
  [7787] = 7787,
  [7788] = 7788,
  [7789] = 7789,
  [7790] = 7790,
  [7791] = 7791,
  [7792] = 7792,
  [7793] = 7793,
  [7794] = 7794,
  [7795] = 7795,
  [7796] = 515,
  [7797] = 512,
  [7798] = 455,
  [7799] = 7799,
  [7800] = 7800,
  [7801] = 7801,
  [7802] = 7802,
  [7803] = 7803,
  [7804] = 7804,
  [7805] = 7805,
  [7806] = 510,
  [7807] = 7807,
  [7808] = 7808,
  [7809] = 7809,
  [7810] = 553,
  [7811] = 509,
  [7812] = 7812,
  [7813] = 452,
  [7814] = 393,
  [7815] = 508,
  [7816] = 7816,
  [7817] = 7817,
  [7818] = 507,
  [7819] = 504,
  [7820] = 6829,
  [7821] = 503,
  [7822] = 7684,
  [7823] = 7823,
  [7824] = 502,
  [7825] = 7825,
  [7826] = 7826,
  [7827] = 500,
  [7828] = 383,
  [7829] = 572,
  [7830] = 7830,
  [7831] = 7831,
  [7832] = 7832,
  [7833] = 7638,
  [7834] = 7834,
  [7835] = 497,
  [7836] = 7836,
  [7837] = 7837,
  [7838] = 7838,
  [7839] = 7839,
  [7840] = 7840,
  [7841] = 7841,
  [7842] = 6746,
  [7843] = 7843,
  [7844] = 7607,
  [7845] = 7845,
  [7846] = 7846,
  [7847] = 490,
  [7848] = 7848,
  [7849] = 7612,
  [7850] = 7850,
  [7851] = 7613,
  [7852] = 7852,
  [7853] = 429,
  [7854] = 7854,
  [7855] = 493,
  [7856] = 6759,
  [7857] = 491,
  [7858] = 490,
  [7859] = 433,
  [7860] = 619,
  [7861] = 536,
  [7862] = 7630,
  [7863] = 488,
  [7864] = 6783,
  [7865] = 535,
  [7866] = 487,
  [7867] = 7631,
  [7868] = 486,
  [7869] = 485,
  [7870] = 403,
  [7871] = 7871,
  [7872] = 434,
  [7873] = 7632,
  [7874] = 483,
  [7875] = 481,
  [7876] = 480,
  [7877] = 479,
  [7878] = 478,
  [7879] = 7879,
  [7880] = 6799,
  [7881] = 435,
  [7882] = 443,
  [7883] = 617,
  [7884] = 530,
  [7885] = 588,
  [7886] = 528,
  [7887] = 587,
  [7888] = 584,
  [7889] = 583,
  [7890] = 579,
  [7891] = 578,
  [7892] = 6808,
  [7893] = 577,
  [7894] = 576,
  [7895] = 472,
  [7896] = 575,
  [7897] = 573,
  [7898] = 571,
  [7899] = 569,
  [7900] = 568,
  [7901] = 566,
  [7902] = 562,
  [7903] = 561,
  [7904] = 560,
  [7905] = 559,
  [7906] = 558,
  [7907] = 524,
  [7908] = 557,
  [7909] = 556,
  [7910] = 469,
  [7911] = 555,
  [7912] = 522,
  [7913] = 554,
  [7914] = 521,
  [7915] = 6812,
  [7916] = 519,
  [7917] = 517,
  [7918] = 545,
  [7919] = 544,
  [7920] = 515,
  [7921] = 467,
  [7922] = 542,
  [7923] = 512,
  [7924] = 541,
  [7925] = 537,
  [7926] = 534,
  [7927] = 532,
  [7928] = 510,
  [7929] = 466,
  [7930] = 465,
  [7931] = 464,
  [7932] = 531,
  [7933] = 509,
  [7934] = 508,
  [7935] = 507,
  [7936] = 463,
  [7937] = 7937,
  [7938] = 504,
  [7939] = 7939,
  [7940] = 503,
  [7941] = 529,
  [7942] = 502,
  [7943] = 7943,
  [7944] = 7944,
  [7945] = 6820,
  [7946] = 527,
  [7947] = 7947,
  [7948] = 500,
  [7949] = 444,
  [7950] = 523,
  [7951] = 7081,
  [7952] = 615,
  [7953] = 520,
  [7954] = 516,
  [7955] = 514,
  [7956] = 432,
  [7957] = 513,
  [7958] = 497,
  [7959] = 436,
  [7960] = 7099,
  [7961] = 511,
  [7962] = 506,
  [7963] = 7963,
  [7964] = 437,
  [7965] = 439,
  [7966] = 493,
  [7967] = 440,
  [7968] = 505,
  [7969] = 7969,
  [7970] = 491,
  [7971] = 441,
  [7972] = 7972,
  [7973] = 6907,
  [7974] = 499,
  [7975] = 496,
  [7976] = 447,
  [7977] = 488,
  [7978] = 487,
  [7979] = 495,
  [7980] = 442,
  [7981] = 6839,
  [7982] = 486,
  [7983] = 7983,
  [7984] = 445,
  [7985] = 494,
  [7986] = 446,
  [7987] = 449,
  [7988] = 450,
  [7989] = 453,
  [7990] = 492,
  [7991] = 6903,
  [7992] = 7992,
  [7993] = 463,
  [7994] = 464,
  [7995] = 465,
  [7996] = 489,
  [7997] = 484,
  [7998] = 7998,
  [7999] = 6892,
  [8000] = 6860,
  [8001] = 485,
  [8002] = 482,
  [8003] = 476,
  [8004] = 6874,
  [8005] = 483,
  [8006] = 8006,
  [8007] = 481,
  [8008] = 480,
  [8009] = 466,
  [8010] = 479,
  [8011] = 478,
  [8012] = 475,
  [8013] = 460,
  [8014] = 458,
  [8015] = 472,
  [8016] = 454,
  [8017] = 469,
  [8018] = 457,
  [8019] = 456,
  [8020] = 467,
  [8021] = 8021,
  [8022] = 8022,
  [8023] = 8023,
  [8024] = 8024,
  [8025] = 8025,
  [8026] = 8026,
  [8027] = 8027,
  [8028] = 8028,
  [8029] = 8029,
  [8030] = 8030,
  [8031] = 8031,
  [8032] = 8032,
  [8033] = 8033,
  [8034] = 8034,
  [8035] = 8035,
  [8036] = 8036,
  [8037] = 8037,
  [8038] = 8038,
  [8039] = 8039,
  [8040] = 8040,
  [8041] = 8041,
  [8042] = 8042,
  [8043] = 8043,
  [8044] = 8044,
  [8045] = 8045,
  [8046] = 8046,
  [8047] = 7183,
  [8048] = 7263,
  [8049] = 8027,
  [8050] = 8050,
  [8051] = 8051,
  [8052] = 8052,
  [8053] = 8053,
  [8054] = 8054,
  [8055] = 8055,
  [8056] = 8056,
  [8057] = 8057,
  [8058] = 8058,
  [8059] = 8059,
  [8060] = 8060,
  [8061] = 8061,
  [8062] = 8027,
  [8063] = 8063,
  [8064] = 8064,
  [8065] = 8065,
  [8066] = 8066,
  [8067] = 8067,
  [8068] = 8068,
  [8069] = 8027,
  [8070] = 8070,
  [8071] = 8071,
  [8072] = 8072,
  [8073] = 8073,
  [8074] = 8074,
  [8075] = 8075,
  [8076] = 8076,
  [8077] = 8027,
  [8078] = 8078,
  [8079] = 8079,
  [8080] = 8080,
  [8081] = 8081,
  [8082] = 8082,
  [8083] = 8083,
  [8084] = 8084,
  [8085] = 8085,
  [8086] = 8086,
  [8087] = 8087,
  [8088] = 8088,
  [8089] = 8089,
  [8090] = 8090,
  [8091] = 8091,
  [8092] = 8027,
  [8093] = 2803,
  [8094] = 8094,
  [8095] = 8095,
  [8096] = 8027,
  [8097] = 8097,
  [8098] = 8098,
  [8099] = 8099,
  [8100] = 8100,
  [8101] = 8101,
  [8102] = 8102,
  [8103] = 8103,
  [8104] = 8104,
  [8105] = 8105,
  [8106] = 8106,
  [8107] = 8107,
  [8108] = 8108,
  [8109] = 8109,
  [8110] = 8110,
  [8111] = 8111,
  [8112] = 8112,
  [8113] = 8113,
  [8114] = 8114,
  [8115] = 8115,
  [8116] = 8116,
  [8117] = 8117,
  [8118] = 8118,
  [8119] = 8119,
  [8120] = 8027,
  [8121] = 8121,
  [8122] = 8122,
  [8123] = 8123,
  [8124] = 8124,
  [8125] = 8027,
  [8126] = 8126,
  [8127] = 8127,
  [8128] = 8128,
  [8129] = 7206,
  [8130] = 7203,
  [8131] = 7199,
  [8132] = 8132,
  [8133] = 8133,
  [8134] = 8134,
  [8135] = 7197,
  [8136] = 8027,
  [8137] = 8137,
  [8138] = 8138,
  [8139] = 8139,
  [8140] = 7193,
  [8141] = 8141,
  [8142] = 8142,
  [8143] = 8143,
  [8144] = 8144,
  [8145] = 7190,
  [8146] = 8146,
  [8147] = 8147,
  [8148] = 8148,
  [8149] = 8149,
  [8150] = 8150,
  [8151] = 8151,
  [8152] = 8152,
  [8153] = 8153,
  [8154] = 8154,
  [8155] = 8155,
  [8156] = 95,
  [8157] = 92,
  [8158] = 8158,
  [8159] = 8159,
  [8160] = 8160,
  [8161] = 8161,
  [8162] = 8162,
  [8163] = 8163,
  [8164] = 8027,
  [8165] = 8165,
  [8166] = 8166,
  [8167] = 8167,
  [8168] = 8168,
  [8169] = 8169,
  [8170] = 8170,
  [8171] = 93,
  [8172] = 8172,
  [8173] = 8173,
  [8174] = 8174,
  [8175] = 8175,
  [8176] = 8176,
  [8177] = 8177,
  [8178] = 8178,
  [8179] = 8179,
  [8180] = 8180,
  [8181] = 8181,
  [8182] = 8027,
  [8183] = 8183,
  [8184] = 8184,
  [8185] = 8185,
  [8186] = 8186,
  [8187] = 8187,
  [8188] = 7266,
  [8189] = 7245,
  [8190] = 8190,
  [8191] = 8191,
  [8192] = 8192,
  [8193] = 8193,
  [8194] = 8194,
  [8195] = 8195,
  [8196] = 8196,
  [8197] = 8197,
  [8198] = 371,
  [8199] = 94,
  [8200] = 81,
  [8201] = 8201,
  [8202] = 8202,
  [8203] = 8203,
  [8204] = 96,
  [8205] = 8205,
  [8206] = 98,
  [8207] = 99,
  [8208] = 80,
  [8209] = 8209,
  [8210] = 102,
  [8211] = 8211,
  [8212] = 8212,
  [8213] = 103,
  [8214] = 104,
  [8215] = 8215,
  [8216] = 89,
  [8217] = 83,
  [8218] = 7135,
  [8219] = 84,
  [8220] = 8220,
  [8221] = 8221,
  [8222] = 8222,
  [8223] = 7132,
  [8224] = 8224,
  [8225] = 8225,
  [8226] = 8226,
  [8227] = 8227,
  [8228] = 8228,
  [8229] = 8229,
  [8230] = 8230,
  [8231] = 8231,
  [8232] = 8232,
  [8233] = 8233,
  [8234] = 8234,
  [8235] = 8235,
  [8236] = 7121,
  [8237] = 7119,
  [8238] = 8238,
  [8239] = 8239,
  [8240] = 8240,
  [8241] = 7117,
  [8242] = 8242,
  [8243] = 7115,
  [8244] = 8244,
  [8245] = 8245,
  [8246] = 8246,
  [8247] = 8247,
  [8248] = 8248,
  [8249] = 8249,
  [8250] = 8250,
  [8251] = 8251,
  [8252] = 8252,
  [8253] = 8253,
  [8254] = 8254,
  [8255] = 8255,
  [8256] = 8256,
  [8257] = 7253,
  [8258] = 8258,
  [8259] = 8259,
  [8260] = 8260,
  [8261] = 7254,
  [8262] = 8027,
  [8263] = 8263,
  [8264] = 8264,
  [8265] = 8265,
  [8266] = 8027,
  [8267] = 8267,
  [8268] = 8268,
  [8269] = 8269,
  [8270] = 8270,
  [8271] = 8271,
  [8272] = 97,
  [8273] = 8273,
  [8274] = 8274,
  [8275] = 8275,
  [8276] = 8027,
  [8277] = 8277,
  [8278] = 8278,
  [8279] = 8279,
  [8280] = 8280,
  [8281] = 8281,
  [8282] = 8282,
  [8283] = 8283,
  [8284] = 7258,
  [8285] = 8285,
  [8286] = 7265,
  [8287] = 7269,
  [8288] = 8288,
  [8289] = 8289,
  [8290] = 8290,
  [8291] = 8291,
  [8292] = 8292,
  [8293] = 8293,
  [8294] = 8294,
  [8295] = 8295,
  [8296] = 8296,
  [8297] = 8297,
  [8298] = 8298,
  [8299] = 8299,
  [8300] = 8300,
  [8301] = 8301,
  [8302] = 8302,
  [8303] = 8303,
  [8304] = 8304,
  [8305] = 8305,
  [8306] = 8306,
  [8307] = 8307,
  [8308] = 8027,
  [8309] = 8309,
  [8310] = 8310,
  [8311] = 8311,
  [8312] = 8312,
  [8313] = 8313,
  [8314] = 8314,
  [8315] = 8315,
  [8316] = 8316,
  [8317] = 8317,
  [8318] = 8318,
  [8319] = 8319,
  [8320] = 8320,
  [8321] = 8321,
  [8322] = 8322,
  [8323] = 8027,
  [8324] = 8324,
  [8325] = 8325,
  [8326] = 8326,
  [8327] = 8327,
  [8328] = 8328,
  [8329] = 8329,
  [8330] = 8330,
  [8331] = 8331,
  [8332] = 8332,
  [8333] = 8333,
  [8334] = 8334,
  [8335] = 8335,
  [8336] = 8336,
  [8337] = 8337,
  [8338] = 8338,
  [8339] = 8339,
  [8340] = 8340,
  [8341] = 8341,
  [8342] = 8342,
  [8343] = 8343,
  [8344] = 8344,
  [8345] = 8345,
  [8346] = 8346,
  [8347] = 8347,
  [8348] = 8348,
  [8349] = 8349,
  [8350] = 8350,
  [8351] = 8351,
  [8352] = 8352,
  [8353] = 8353,
  [8354] = 8354,
  [8355] = 8355,
  [8356] = 8356,
  [8357] = 8027,
  [8358] = 8358,
  [8359] = 7348,
  [8360] = 313,
  [8361] = 7380,
  [8362] = 8362,
  [8363] = 322,
  [8364] = 8364,
  [8365] = 8362,
  [8366] = 400,
  [8367] = 8367,
  [8368] = 8368,
  [8369] = 8368,
  [8370] = 8362,
  [8371] = 8367,
  [8372] = 8368,
  [8373] = 8362,
  [8374] = 8367,
  [8375] = 8362,
  [8376] = 8367,
  [8377] = 8367,
  [8378] = 8368,
  [8379] = 8362,
  [8380] = 8362,
  [8381] = 2951,
  [8382] = 8367,
  [8383] = 8368,
  [8384] = 8368,
  [8385] = 8362,
  [8386] = 8367,
  [8387] = 8362,
  [8388] = 8367,
  [8389] = 8368,
  [8390] = 8362,
  [8391] = 8368,
  [8392] = 8367,
  [8393] = 8368,
  [8394] = 2973,
  [8395] = 7282,
  [8396] = 8368,
  [8397] = 8362,
  [8398] = 8368,
  [8399] = 8367,
  [8400] = 322,
  [8401] = 8362,
  [8402] = 386,
  [8403] = 8367,
  [8404] = 8368,
  [8405] = 263,
  [8406] = 8367,
  [8407] = 8362,
  [8408] = 8368,
  [8409] = 8367,
  [8410] = 8362,
  [8411] = 8368,
  [8412] = 8367,
  [8413] = 8362,
  [8414] = 8368,
  [8415] = 8367,
  [8416] = 8368,
  [8417] = 312,
  [8418] = 248,
  [8419] = 333,
  [8420] = 378,
  [8421] = 7299,
  [8422] = 371,
  [8423] = 8368,
  [8424] = 7304,
  [8425] = 8367,
  [8426] = 8368,
  [8427] = 115,
  [8428] = 8362,
  [8429] = 334,
  [8430] = 336,
  [8431] = 311,
  [8432] = 339,
  [8433] = 343,
  [8434] = 344,
  [8435] = 363,
  [8436] = 7331,
  [8437] = 381,
  [8438] = 369,
  [8439] = 359,
  [8440] = 319,
  [8441] = 7321,
  [8442] = 235,
  [8443] = 8368,
  [8444] = 7399,
  [8445] = 283,
  [8446] = 7276,
  [8447] = 7278,
  [8448] = 7281,
  [8449] = 7309,
  [8450] = 7286,
  [8451] = 368,
  [8452] = 7289,
  [8453] = 7293,
  [8454] = 7294,
  [8455] = 8362,
  [8456] = 242,
  [8457] = 247,
  [8458] = 276,
  [8459] = 289,
  [8460] = 2951,
  [8461] = 357,
  [8462] = 291,
  [8463] = 379,
  [8464] = 367,
  [8465] = 362,
  [8466] = 225,
  [8467] = 286,
  [8468] = 258,
  [8469] = 267,
  [8470] = 272,
  [8471] = 233,
  [8472] = 316,
  [8473] = 306,
  [8474] = 232,
  [8475] = 341,
  [8476] = 323,
  [8477] = 230,
  [8478] = 294,
  [8479] = 327,
  [8480] = 328,
  [8481] = 351,
  [8482] = 237,
  [8483] = 237,
  [8484] = 351,
  [8485] = 248,
  [8486] = 328,
  [8487] = 294,
  [8488] = 327,
  [8489] = 230,
  [8490] = 323,
  [8491] = 232,
  [8492] = 233,
  [8493] = 272,
  [8494] = 279,
  [8495] = 258,
  [8496] = 286,
  [8497] = 341,
  [8498] = 225,
  [8499] = 306,
  [8500] = 316,
  [8501] = 362,
  [8502] = 267,
  [8503] = 291,
  [8504] = 367,
  [8505] = 379,
  [8506] = 357,
  [8507] = 289,
  [8508] = 2989,
  [8509] = 235,
  [8510] = 276,
  [8511] = 247,
  [8512] = 242,
  [8513] = 319,
  [8514] = 279,
  [8515] = 359,
  [8516] = 369,
  [8517] = 7317,
  [8518] = 381,
  [8519] = 363,
  [8520] = 344,
  [8521] = 7324,
  [8522] = 7327,
  [8523] = 343,
  [8524] = 7329,
  [8525] = 7332,
  [8526] = 339,
  [8527] = 7359,
  [8528] = 7335,
  [8529] = 7339,
  [8530] = 311,
  [8531] = 336,
  [8532] = 334,
  [8533] = 333,
  [8534] = 312,
  [8535] = 7347,
  [8536] = 7349,
  [8537] = 7270,
  [8538] = 7354,
  [8539] = 7358,
  [8540] = 8540,
  [8541] = 338,
  [8542] = 7312,
  [8543] = 368,
  [8544] = 283,
  [8545] = 254,
  [8546] = 347,
  [8547] = 378,
  [8548] = 371,
  [8549] = 297,
  [8550] = 254,
  [8551] = 347,
  [8552] = 400,
  [8553] = 7290,
  [8554] = 366,
  [8555] = 380,
  [8556] = 375,
  [8557] = 373,
  [8558] = 348,
  [8559] = 340,
  [8560] = 338,
  [8561] = 332,
  [8562] = 7376,
  [8563] = 400,
  [8564] = 263,
  [8565] = 7291,
  [8566] = 330,
  [8567] = 227,
  [8568] = 325,
  [8569] = 298,
  [8570] = 277,
  [8571] = 278,
  [8572] = 7296,
  [8573] = 259,
  [8574] = 265,
  [8575] = 246,
  [8576] = 243,
  [8577] = 366,
  [8578] = 231,
  [8579] = 329,
  [8580] = 350,
  [8581] = 297,
  [8582] = 380,
  [8583] = 264,
  [8584] = 375,
  [8585] = 373,
  [8586] = 348,
  [8587] = 252,
  [8588] = 226,
  [8589] = 295,
  [8590] = 315,
  [8591] = 383,
  [8592] = 352,
  [8593] = 354,
  [8594] = 356,
  [8595] = 393,
  [8596] = 263,
  [8597] = 285,
  [8598] = 7384,
  [8599] = 335,
  [8600] = 331,
  [8601] = 324,
  [8602] = 321,
  [8603] = 320,
  [8604] = 318,
  [8605] = 317,
  [8606] = 314,
  [8607] = 313,
  [8608] = 7386,
  [8609] = 310,
  [8610] = 7391,
  [8611] = 309,
  [8612] = 7410,
  [8613] = 7417,
  [8614] = 335,
  [8615] = 7398,
  [8616] = 7379,
  [8617] = 7411,
  [8618] = 7373,
  [8619] = 7303,
  [8620] = 7372,
  [8621] = 7370,
  [8622] = 307,
  [8623] = 7310,
  [8624] = 7362,
  [8625] = 386,
  [8626] = 7351,
  [8627] = 305,
  [8628] = 7333,
  [8629] = 7313,
  [8630] = 7272,
  [8631] = 266,
  [8632] = 7377,
  [8633] = 340,
  [8634] = 8634,
  [8635] = 304,
  [8636] = 364,
  [8637] = 7318,
  [8638] = 365,
  [8639] = 303,
  [8640] = 377,
  [8641] = 346,
  [8642] = 241,
  [8643] = 302,
  [8644] = 7350,
  [8645] = 342,
  [8646] = 269,
  [8647] = 301,
  [8648] = 360,
  [8649] = 300,
  [8650] = 296,
  [8651] = 355,
  [8652] = 292,
  [8653] = 288,
  [8654] = 284,
  [8655] = 308,
  [8656] = 282,
  [8657] = 229,
  [8658] = 280,
  [8659] = 274,
  [8660] = 273,
  [8661] = 271,
  [8662] = 234,
  [8663] = 236,
  [8664] = 7364,
  [8665] = 238,
  [8666] = 239,
  [8667] = 266,
  [8668] = 331,
  [8669] = 7355,
  [8670] = 7369,
  [8671] = 240,
  [8672] = 8367,
  [8673] = 244,
  [8674] = 262,
  [8675] = 8368,
  [8676] = 261,
  [8677] = 257,
  [8678] = 255,
  [8679] = 253,
  [8680] = 251,
  [8681] = 245,
  [8682] = 250,
  [8683] = 251,
  [8684] = 253,
  [8685] = 255,
  [8686] = 257,
  [8687] = 250,
  [8688] = 261,
  [8689] = 320,
  [8690] = 245,
  [8691] = 262,
  [8692] = 244,
  [8693] = 8362,
  [8694] = 271,
  [8695] = 240,
  [8696] = 273,
  [8697] = 239,
  [8698] = 238,
  [8699] = 236,
  [8700] = 234,
  [8701] = 229,
  [8702] = 308,
  [8703] = 355,
  [8704] = 313,
  [8705] = 360,
  [8706] = 274,
  [8707] = 7277,
  [8708] = 324,
  [8709] = 7374,
  [8710] = 269,
  [8711] = 342,
  [8712] = 241,
  [8713] = 346,
  [8714] = 377,
  [8715] = 365,
  [8716] = 364,
  [8717] = 314,
  [8718] = 356,
  [8719] = 354,
  [8720] = 352,
  [8721] = 315,
  [8722] = 317,
  [8723] = 7314,
  [8724] = 295,
  [8725] = 285,
  [8726] = 226,
  [8727] = 252,
  [8728] = 264,
  [8729] = 350,
  [8730] = 329,
  [8731] = 318,
  [8732] = 231,
  [8733] = 243,
  [8734] = 246,
  [8735] = 265,
  [8736] = 306,
  [8737] = 278,
  [8738] = 259,
  [8739] = 278,
  [8740] = 277,
  [8741] = 321,
  [8742] = 7341,
  [8743] = 8743,
  [8744] = 8744,
  [8745] = 7357,
  [8746] = 7405,
  [8747] = 298,
  [8748] = 7381,
  [8749] = 331,
  [8750] = 324,
  [8751] = 325,
  [8752] = 7356,
  [8753] = 8753,
  [8754] = 7352,
  [8755] = 227,
  [8756] = 330,
  [8757] = 321,
  [8758] = 332,
  [8759] = 7342,
  [8760] = 338,
  [8761] = 340,
  [8762] = 320,
  [8763] = 318,
  [8764] = 317,
  [8765] = 314,
  [8766] = 7323,
  [8767] = 310,
  [8768] = 335,
  [8769] = 307,
  [8770] = 305,
  [8771] = 304,
  [8772] = 7295,
  [8773] = 383,
  [8774] = 303,
  [8775] = 302,
  [8776] = 348,
  [8777] = 373,
  [8778] = 301,
  [8779] = 300,
  [8780] = 296,
  [8781] = 292,
  [8782] = 288,
  [8783] = 284,
  [8784] = 282,
  [8785] = 280,
  [8786] = 400,
  [8787] = 263,
  [8788] = 393,
  [8789] = 274,
  [8790] = 7288,
  [8791] = 273,
  [8792] = 7280,
  [8793] = 271,
  [8794] = 266,
  [8795] = 375,
  [8796] = 262,
  [8797] = 261,
  [8798] = 257,
  [8799] = 7301,
  [8800] = 255,
  [8801] = 380,
  [8802] = 253,
  [8803] = 366,
  [8804] = 7279,
  [8805] = 251,
  [8806] = 250,
  [8807] = 245,
  [8808] = 244,
  [8809] = 240,
  [8810] = 335,
  [8811] = 239,
  [8812] = 331,
  [8813] = 238,
  [8814] = 236,
  [8815] = 7311,
  [8816] = 324,
  [8817] = 234,
  [8818] = 229,
  [8819] = 321,
  [8820] = 347,
  [8821] = 308,
  [8822] = 355,
  [8823] = 360,
  [8824] = 332,
  [8825] = 269,
  [8826] = 254,
  [8827] = 330,
  [8828] = 227,
  [8829] = 325,
  [8830] = 298,
  [8831] = 277,
  [8832] = 342,
  [8833] = 297,
  [8834] = 320,
  [8835] = 8367,
  [8836] = 378,
  [8837] = 283,
  [8838] = 368,
  [8839] = 315,
  [8840] = 242,
  [8841] = 259,
  [8842] = 265,
  [8843] = 247,
  [8844] = 246,
  [8845] = 243,
  [8846] = 276,
  [8847] = 231,
  [8848] = 329,
  [8849] = 310,
  [8850] = 8368,
  [8851] = 350,
  [8852] = 318,
  [8853] = 289,
  [8854] = 291,
  [8855] = 264,
  [8856] = 309,
  [8857] = 252,
  [8858] = 226,
  [8859] = 285,
  [8860] = 307,
  [8861] = 267,
  [8862] = 295,
  [8863] = 316,
  [8864] = 343,
  [8865] = 352,
  [8866] = 322,
  [8867] = 354,
  [8868] = 305,
  [8869] = 272,
  [8870] = 356,
  [8871] = 364,
  [8872] = 377,
  [8873] = 346,
  [8874] = 241,
  [8875] = 312,
  [8876] = 304,
  [8877] = 333,
  [8878] = 342,
  [8879] = 269,
  [8880] = 341,
  [8881] = 360,
  [8882] = 294,
  [8883] = 303,
  [8884] = 248,
  [8885] = 355,
  [8886] = 334,
  [8887] = 308,
  [8888] = 229,
  [8889] = 336,
  [8890] = 234,
  [8891] = 236,
  [8892] = 237,
  [8893] = 302,
  [8894] = 351,
  [8895] = 301,
  [8896] = 238,
  [8897] = 311,
  [8898] = 300,
  [8899] = 239,
  [8900] = 328,
  [8901] = 339,
  [8902] = 240,
  [8903] = 327,
  [8904] = 296,
  [8905] = 244,
  [8906] = 230,
  [8907] = 245,
  [8908] = 292,
  [8909] = 323,
  [8910] = 250,
  [8911] = 251,
  [8912] = 291,
  [8913] = 344,
  [8914] = 253,
  [8915] = 232,
  [8916] = 233,
  [8917] = 363,
  [8918] = 381,
  [8919] = 255,
  [8920] = 369,
  [8921] = 279,
  [8922] = 257,
  [8923] = 288,
  [8924] = 359,
  [8925] = 258,
  [8926] = 284,
  [8927] = 286,
  [8928] = 261,
  [8929] = 225,
  [8930] = 319,
  [8931] = 362,
  [8932] = 282,
  [8933] = 262,
  [8934] = 266,
  [8935] = 235,
  [8936] = 280,
  [8937] = 367,
  [8938] = 379,
  [8939] = 271,
  [8940] = 357,
  [8941] = 273,
  [8942] = 357,
  [8943] = 235,
  [8944] = 379,
  [8945] = 274,
  [8946] = 319,
  [8947] = 367,
  [8948] = 359,
  [8949] = 369,
  [8950] = 362,
  [8951] = 381,
  [8952] = 225,
  [8953] = 286,
  [8954] = 363,
  [8955] = 280,
  [8956] = 258,
  [8957] = 344,
  [8958] = 282,
  [8959] = 8959,
  [8960] = 279,
  [8961] = 272,
  [8962] = 241,
  [8963] = 343,
  [8964] = 339,
  [8965] = 233,
  [8966] = 232,
  [8967] = 311,
  [8968] = 284,
  [8969] = 8969,
  [8970] = 336,
  [8971] = 323,
  [8972] = 334,
  [8973] = 288,
  [8974] = 292,
  [8975] = 230,
  [8976] = 296,
  [8977] = 327,
  [8978] = 333,
  [8979] = 328,
  [8980] = 351,
  [8981] = 237,
  [8982] = 248,
  [8983] = 294,
  [8984] = 312,
  [8985] = 322,
  [8986] = 341,
  [8987] = 306,
  [8988] = 300,
  [8989] = 316,
  [8990] = 267,
  [8991] = 301,
  [8992] = 7383,
  [8993] = 246,
  [8994] = 289,
  [8995] = 276,
  [8996] = 247,
  [8997] = 317,
  [8998] = 242,
  [8999] = 302,
  [9000] = 346,
  [9001] = 368,
  [9002] = 283,
  [9003] = 7420,
  [9004] = 365,
  [9005] = 378,
  [9006] = 297,
  [9007] = 254,
  [9008] = 347,
  [9009] = 303,
  [9010] = 366,
  [9011] = 380,
  [9012] = 377,
  [9013] = 375,
  [9014] = 373,
  [9015] = 7392,
  [9016] = 348,
  [9017] = 304,
  [9018] = 340,
  [9019] = 305,
  [9020] = 307,
  [9021] = 338,
  [9022] = 332,
  [9023] = 330,
  [9024] = 227,
  [9025] = 325,
  [9026] = 298,
  [9027] = 277,
  [9028] = 278,
  [9029] = 259,
  [9030] = 265,
  [9031] = 309,
  [9032] = 309,
  [9033] = 243,
  [9034] = 231,
  [9035] = 329,
  [9036] = 365,
  [9037] = 350,
  [9038] = 7396,
  [9039] = 364,
  [9040] = 310,
  [9041] = 264,
  [9042] = 252,
  [9043] = 226,
  [9044] = 285,
  [9045] = 295,
  [9046] = 315,
  [9047] = 352,
  [9048] = 7382,
  [9049] = 313,
  [9050] = 354,
  [9051] = 7397,
  [9052] = 314,
  [9053] = 356,
  [9054] = 300,
  [9055] = 343,
  [9056] = 379,
  [9057] = 9057,
  [9058] = 9057,
  [9059] = 9057,
  [9060] = 9057,
  [9061] = 9057,
  [9062] = 263,
  [9063] = 235,
  [9064] = 9057,
  [9065] = 312,
  [9066] = 9057,
  [9067] = 312,
  [9068] = 333,
  [9069] = 334,
  [9070] = 336,
  [9071] = 311,
  [9072] = 339,
  [9073] = 343,
  [9074] = 344,
  [9075] = 363,
  [9076] = 381,
  [9077] = 333,
  [9078] = 369,
  [9079] = 359,
  [9080] = 319,
  [9081] = 235,
  [9082] = 9057,
  [9083] = 357,
  [9084] = 334,
  [9085] = 302,
  [9086] = 367,
  [9087] = 362,
  [9088] = 225,
  [9089] = 286,
  [9090] = 9057,
  [9091] = 335,
  [9092] = 331,
  [9093] = 324,
  [9094] = 258,
  [9095] = 279,
  [9096] = 9057,
  [9097] = 272,
  [9098] = 233,
  [9099] = 232,
  [9100] = 323,
  [9101] = 230,
  [9102] = 336,
  [9103] = 327,
  [9104] = 311,
  [9105] = 328,
  [9106] = 339,
  [9107] = 301,
  [9108] = 7526,
  [9109] = 344,
  [9110] = 351,
  [9111] = 9057,
  [9112] = 237,
  [9113] = 461,
  [9114] = 248,
  [9115] = 294,
  [9116] = 341,
  [9117] = 306,
  [9118] = 9057,
  [9119] = 363,
  [9120] = 316,
  [9121] = 321,
  [9122] = 477,
  [9123] = 9057,
  [9124] = 320,
  [9125] = 357,
  [9126] = 9057,
  [9127] = 318,
  [9128] = 317,
  [9129] = 314,
  [9130] = 267,
  [9131] = 9131,
  [9132] = 291,
  [9133] = 381,
  [9134] = 289,
  [9135] = 9135,
  [9136] = 276,
  [9137] = 247,
  [9138] = 242,
  [9139] = 461,
  [9140] = 9057,
  [9141] = 263,
  [9142] = 9057,
  [9143] = 368,
  [9144] = 477,
  [9145] = 283,
  [9146] = 477,
  [9147] = 378,
  [9148] = 369,
  [9149] = 297,
  [9150] = 359,
  [9151] = 347,
  [9152] = 319,
  [9153] = 235,
  [9154] = 366,
  [9155] = 357,
  [9156] = 380,
  [9157] = 375,
  [9158] = 379,
  [9159] = 367,
  [9160] = 9160,
  [9161] = 313,
  [9162] = 373,
  [9163] = 348,
  [9164] = 362,
  [9165] = 340,
  [9166] = 338,
  [9167] = 332,
  [9168] = 7455,
  [9169] = 286,
  [9170] = 330,
  [9171] = 254,
  [9172] = 325,
  [9173] = 298,
  [9174] = 258,
  [9175] = 277,
  [9176] = 278,
  [9177] = 279,
  [9178] = 259,
  [9179] = 265,
  [9180] = 246,
  [9181] = 351,
  [9182] = 243,
  [9183] = 231,
  [9184] = 329,
  [9185] = 350,
  [9186] = 264,
  [9187] = 252,
  [9188] = 226,
  [9189] = 233,
  [9190] = 285,
  [9191] = 232,
  [9192] = 295,
  [9193] = 315,
  [9194] = 352,
  [9195] = 319,
  [9196] = 354,
  [9197] = 356,
  [9198] = 9057,
  [9199] = 364,
  [9200] = 323,
  [9201] = 230,
  [9202] = 365,
  [9203] = 327,
  [9204] = 328,
  [9205] = 377,
  [9206] = 351,
  [9207] = 242,
  [9208] = 237,
  [9209] = 346,
  [9210] = 248,
  [9211] = 294,
  [9212] = 341,
  [9213] = 306,
  [9214] = 241,
  [9215] = 316,
  [9216] = 267,
  [9217] = 291,
  [9218] = 342,
  [9219] = 289,
  [9220] = 269,
  [9221] = 276,
  [9222] = 360,
  [9223] = 247,
  [9224] = 355,
  [9225] = 308,
  [9226] = 373,
  [9227] = 229,
  [9228] = 368,
  [9229] = 234,
  [9230] = 367,
  [9231] = 236,
  [9232] = 283,
  [9233] = 227,
  [9234] = 378,
  [9235] = 239,
  [9236] = 240,
  [9237] = 244,
  [9238] = 245,
  [9239] = 250,
  [9240] = 251,
  [9241] = 400,
  [9242] = 253,
  [9243] = 238,
  [9244] = 297,
  [9245] = 254,
  [9246] = 255,
  [9247] = 347,
  [9248] = 366,
  [9249] = 380,
  [9250] = 335,
  [9251] = 331,
  [9252] = 324,
  [9253] = 321,
  [9254] = 375,
  [9255] = 320,
  [9256] = 318,
  [9257] = 317,
  [9258] = 314,
  [9259] = 313,
  [9260] = 310,
  [9261] = 272,
  [9262] = 309,
  [9263] = 307,
  [9264] = 348,
  [9265] = 305,
  [9266] = 359,
  [9267] = 304,
  [9268] = 303,
  [9269] = 302,
  [9270] = 301,
  [9271] = 300,
  [9272] = 340,
  [9273] = 338,
  [9274] = 296,
  [9275] = 292,
  [9276] = 288,
  [9277] = 284,
  [9278] = 332,
  [9279] = 282,
  [9280] = 280,
  [9281] = 274,
  [9282] = 273,
  [9283] = 330,
  [9284] = 271,
  [9285] = 262,
  [9286] = 227,
  [9287] = 325,
  [9288] = 261,
  [9289] = 298,
  [9290] = 277,
  [9291] = 278,
  [9292] = 259,
  [9293] = 257,
  [9294] = 265,
  [9295] = 255,
  [9296] = 246,
  [9297] = 253,
  [9298] = 243,
  [9299] = 251,
  [9300] = 231,
  [9301] = 250,
  [9302] = 400,
  [9303] = 245,
  [9304] = 244,
  [9305] = 362,
  [9306] = 240,
  [9307] = 225,
  [9308] = 239,
  [9309] = 329,
  [9310] = 238,
  [9311] = 350,
  [9312] = 236,
  [9313] = 264,
  [9314] = 234,
  [9315] = 252,
  [9316] = 229,
  [9317] = 308,
  [9318] = 355,
  [9319] = 360,
  [9320] = 269,
  [9321] = 342,
  [9322] = 241,
  [9323] = 346,
  [9324] = 377,
  [9325] = 365,
  [9326] = 364,
  [9327] = 356,
  [9328] = 354,
  [9329] = 7479,
  [9330] = 266,
  [9331] = 315,
  [9332] = 295,
  [9333] = 285,
  [9334] = 226,
  [9335] = 252,
  [9336] = 310,
  [9337] = 339,
  [9338] = 309,
  [9339] = 307,
  [9340] = 264,
  [9341] = 305,
  [9342] = 304,
  [9343] = 303,
  [9344] = 350,
  [9345] = 322,
  [9346] = 477,
  [9347] = 312,
  [9348] = 333,
  [9349] = 334,
  [9350] = 336,
  [9351] = 311,
  [9352] = 351,
  [9353] = 343,
  [9354] = 344,
  [9355] = 363,
  [9356] = 381,
  [9357] = 369,
  [9358] = 359,
  [9359] = 319,
  [9360] = 235,
  [9361] = 357,
  [9362] = 379,
  [9363] = 367,
  [9364] = 362,
  [9365] = 225,
  [9366] = 286,
  [9367] = 258,
  [9368] = 279,
  [9369] = 272,
  [9370] = 233,
  [9371] = 232,
  [9372] = 323,
  [9373] = 230,
  [9374] = 327,
  [9375] = 328,
  [9376] = 278,
  [9377] = 237,
  [9378] = 248,
  [9379] = 294,
  [9380] = 341,
  [9381] = 306,
  [9382] = 316,
  [9383] = 267,
  [9384] = 291,
  [9385] = 289,
  [9386] = 276,
  [9387] = 247,
  [9388] = 242,
  [9389] = 368,
  [9390] = 283,
  [9391] = 378,
  [9392] = 297,
  [9393] = 254,
  [9394] = 347,
  [9395] = 366,
  [9396] = 380,
  [9397] = 375,
  [9398] = 373,
  [9399] = 348,
  [9400] = 340,
  [9401] = 338,
  [9402] = 332,
  [9403] = 330,
  [9404] = 227,
  [9405] = 325,
  [9406] = 298,
  [9407] = 277,
  [9408] = 226,
  [9409] = 259,
  [9410] = 265,
  [9411] = 246,
  [9412] = 243,
  [9413] = 231,
  [9414] = 329,
  [9415] = 350,
  [9416] = 264,
  [9417] = 302,
  [9418] = 252,
  [9419] = 226,
  [9420] = 400,
  [9421] = 285,
  [9422] = 263,
  [9423] = 295,
  [9424] = 315,
  [9425] = 352,
  [9426] = 354,
  [9427] = 356,
  [9428] = 364,
  [9429] = 365,
  [9430] = 285,
  [9431] = 295,
  [9432] = 377,
  [9433] = 346,
  [9434] = 241,
  [9435] = 342,
  [9436] = 269,
  [9437] = 360,
  [9438] = 355,
  [9439] = 308,
  [9440] = 229,
  [9441] = 234,
  [9442] = 236,
  [9443] = 238,
  [9444] = 239,
  [9445] = 240,
  [9446] = 244,
  [9447] = 240,
  [9448] = 245,
  [9449] = 250,
  [9450] = 251,
  [9451] = 253,
  [9452] = 352,
  [9453] = 255,
  [9454] = 257,
  [9455] = 261,
  [9456] = 262,
  [9457] = 266,
  [9458] = 271,
  [9459] = 273,
  [9460] = 274,
  [9461] = 354,
  [9462] = 315,
  [9463] = 280,
  [9464] = 282,
  [9465] = 284,
  [9466] = 288,
  [9467] = 292,
  [9468] = 369,
  [9469] = 296,
  [9470] = 225,
  [9471] = 286,
  [9472] = 379,
  [9473] = 303,
  [9474] = 304,
  [9475] = 305,
  [9476] = 307,
  [9477] = 309,
  [9478] = 386,
  [9479] = 310,
  [9480] = 263,
  [9481] = 364,
  [9482] = 365,
  [9483] = 313,
  [9484] = 314,
  [9485] = 317,
  [9486] = 318,
  [9487] = 377,
  [9488] = 320,
  [9489] = 321,
  [9490] = 346,
  [9491] = 241,
  [9492] = 324,
  [9493] = 331,
  [9494] = 335,
  [9495] = 386,
  [9496] = 342,
  [9497] = 269,
  [9498] = 360,
  [9499] = 355,
  [9500] = 308,
  [9501] = 229,
  [9502] = 234,
  [9503] = 236,
  [9504] = 238,
  [9505] = 239,
  [9506] = 261,
  [9507] = 244,
  [9508] = 329,
  [9509] = 245,
  [9510] = 301,
  [9511] = 250,
  [9512] = 251,
  [9513] = 253,
  [9514] = 231,
  [9515] = 381,
  [9516] = 300,
  [9517] = 363,
  [9518] = 296,
  [9519] = 255,
  [9520] = 257,
  [9521] = 322,
  [9522] = 2973,
  [9523] = 292,
  [9524] = 262,
  [9525] = 288,
  [9526] = 266,
  [9527] = 284,
  [9528] = 258,
  [9529] = 282,
  [9530] = 280,
  [9531] = 243,
  [9532] = 271,
  [9533] = 246,
  [9534] = 265,
  [9535] = 259,
  [9536] = 278,
  [9537] = 277,
  [9538] = 298,
  [9539] = 273,
  [9540] = 325,
  [9541] = 274,
  [9542] = 227,
  [9543] = 330,
  [9544] = 280,
  [9545] = 332,
  [9546] = 7344,
  [9547] = 282,
  [9548] = 284,
  [9549] = 338,
  [9550] = 288,
  [9551] = 340,
  [9552] = 292,
  [9553] = 296,
  [9554] = 300,
  [9555] = 386,
  [9556] = 301,
  [9557] = 302,
  [9558] = 303,
  [9559] = 304,
  [9560] = 305,
  [9561] = 307,
  [9562] = 309,
  [9563] = 344,
  [9564] = 356,
  [9565] = 310,
  [9566] = 343,
  [9567] = 313,
  [9568] = 314,
  [9569] = 317,
  [9570] = 318,
  [9571] = 348,
  [9572] = 320,
  [9573] = 321,
  [9574] = 274,
  [9575] = 279,
  [9576] = 273,
  [9577] = 271,
  [9578] = 324,
  [9579] = 331,
  [9580] = 266,
  [9581] = 335,
  [9582] = 272,
  [9583] = 233,
  [9584] = 232,
  [9585] = 323,
  [9586] = 262,
  [9587] = 261,
  [9588] = 2307,
  [9589] = 257,
  [9590] = 230,
  [9591] = 7506,
  [9592] = 327,
  [9593] = 328,
  [9594] = 373,
  [9595] = 375,
  [9596] = 339,
  [9597] = 380,
  [9598] = 352,
  [9599] = 237,
  [9600] = 311,
  [9601] = 7501,
  [9602] = 248,
  [9603] = 294,
  [9604] = 7388,
  [9605] = 366,
  [9606] = 347,
  [9607] = 341,
  [9608] = 254,
  [9609] = 306,
  [9610] = 316,
  [9611] = 336,
  [9612] = 267,
  [9613] = 312,
  [9614] = 297,
  [9615] = 378,
  [9616] = 333,
  [9617] = 9617,
  [9618] = 283,
  [9619] = 368,
  [9620] = 242,
  [9621] = 291,
  [9622] = 334,
  [9623] = 289,
  [9624] = 247,
  [9625] = 7518,
  [9626] = 9057,
  [9627] = 276,
  [9628] = 487,
  [9629] = 477,
  [9630] = 612,
  [9631] = 9631,
  [9632] = 9632,
  [9633] = 607,
  [9634] = 9634,
  [9635] = 9634,
  [9636] = 9631,
  [9637] = 9632,
  [9638] = 9632,
  [9639] = 9631,
  [9640] = 9632,
  [9641] = 9641,
  [9642] = 9641,
  [9643] = 9634,
  [9644] = 9634,
  [9645] = 9631,
  [9646] = 9634,
  [9647] = 9632,
  [9648] = 9641,
  [9649] = 9631,
  [9650] = 9632,
  [9651] = 9651,
  [9652] = 9641,
  [9653] = 9632,
  [9654] = 9634,
  [9655] = 9631,
  [9656] = 9631,
  [9657] = 9641,
  [9658] = 9658,
  [9659] = 9634,
  [9660] = 9634,
  [9661] = 9631,
  [9662] = 9632,
  [9663] = 9634,
  [9664] = 9631,
  [9665] = 9632,
  [9666] = 9641,
  [9667] = 9634,
  [9668] = 9634,
  [9669] = 9631,
  [9670] = 9641,
  [9671] = 9632,
  [9672] = 9634,
  [9673] = 7667,
  [9674] = 7668,
  [9675] = 9631,
  [9676] = 9632,
  [9677] = 9632,
  [9678] = 7787,
  [9679] = 9634,
  [9680] = 9632,
  [9681] = 9634,
  [9682] = 322,
  [9683] = 9641,
  [9684] = 9684,
  [9685] = 9634,
  [9686] = 9632,
  [9687] = 9634,
  [9688] = 9634,
  [9689] = 7672,
  [9690] = 9641,
  [9691] = 7674,
  [9692] = 9634,
  [9693] = 9634,
  [9694] = 477,
  [9695] = 7675,
  [9696] = 7812,
  [9697] = 9631,
  [9698] = 9632,
  [9699] = 9634,
  [9700] = 9632,
  [9701] = 7678,
  [9702] = 9634,
  [9703] = 7679,
  [9704] = 9631,
  [9705] = 7831,
  [9706] = 7680,
  [9707] = 461,
  [9708] = 7681,
  [9709] = 9634,
  [9710] = 7687,
  [9711] = 9641,
  [9712] = 92,
  [9713] = 95,
  [9714] = 7576,
  [9715] = 9641,
  [9716] = 392,
  [9717] = 7691,
  [9718] = 7692,
  [9719] = 7694,
  [9720] = 477,
  [9721] = 7565,
  [9722] = 9634,
  [9723] = 7706,
  [9724] = 7711,
  [9725] = 7713,
  [9726] = 9631,
  [9727] = 9632,
  [9728] = 522,
  [9729] = 7723,
  [9730] = 7725,
  [9731] = 7731,
  [9732] = 7733,
  [9733] = 7736,
  [9734] = 84,
  [9735] = 9735,
  [9736] = 7738,
  [9737] = 89,
  [9738] = 104,
  [9739] = 103,
  [9740] = 102,
  [9741] = 80,
  [9742] = 99,
  [9743] = 7739,
  [9744] = 504,
  [9745] = 7741,
  [9746] = 83,
  [9747] = 386,
  [9748] = 97,
  [9749] = 96,
  [9750] = 386,
  [9751] = 9641,
  [9752] = 7998,
  [9753] = 386,
  [9754] = 81,
  [9755] = 392,
  [9756] = 7534,
  [9757] = 6440,
  [9758] = 9641,
  [9759] = 9631,
  [9760] = 9760,
  [9761] = 9641,
  [9762] = 93,
  [9763] = 98,
  [9764] = 7766,
  [9765] = 7786,
  [9766] = 7793,
  [9767] = 7794,
  [9768] = 7801,
  [9769] = 7802,
  [9770] = 7803,
  [9771] = 7807,
  [9772] = 9631,
  [9773] = 9632,
  [9774] = 7816,
  [9775] = 7528,
  [9776] = 7730,
  [9777] = 7826,
  [9778] = 7834,
  [9779] = 9779,
  [9780] = 7838,
  [9781] = 7839,
  [9782] = 7840,
  [9783] = 7841,
  [9784] = 7846,
  [9785] = 477,
  [9786] = 607,
  [9787] = 7714,
  [9788] = 392,
  [9789] = 612,
  [9790] = 7718,
  [9791] = 7744,
  [9792] = 7747,
  [9793] = 7843,
  [9794] = 612,
  [9795] = 607,
  [9796] = 461,
  [9797] = 7879,
  [9798] = 7939,
  [9799] = 7992,
  [9800] = 7943,
  [9801] = 7804,
  [9802] = 7700,
  [9803] = 9641,
  [9804] = 7665,
  [9805] = 7658,
  [9806] = 7650,
  [9807] = 7755,
  [9808] = 7647,
  [9809] = 7764,
  [9810] = 7642,
  [9811] = 7583,
  [9812] = 7641,
  [9813] = 7628,
  [9814] = 81,
  [9815] = 7605,
  [9816] = 7593,
  [9817] = 7588,
  [9818] = 7769,
  [9819] = 94,
  [9820] = 9641,
  [9821] = 7532,
  [9822] = 7788,
  [9823] = 9632,
  [9824] = 7830,
  [9825] = 461,
  [9826] = 7845,
  [9827] = 7854,
  [9828] = 9634,
  [9829] = 7969,
  [9830] = 7983,
  [9831] = 9641,
  [9832] = 9631,
  [9833] = 9658,
  [9834] = 7546,
  [9835] = 9634,
  [9836] = 7616,
  [9837] = 7795,
  [9838] = 7663,
  [9839] = 7637,
  [9840] = 7634,
  [9841] = 7586,
  [9842] = 7578,
  [9843] = 9843,
  [9844] = 9844,
  [9845] = 9684,
  [9846] = 7544,
  [9847] = 7545,
  [9848] = 7547,
  [9849] = 322,
  [9850] = 9850,
  [9851] = 7531,
  [9852] = 9852,
  [9853] = 9632,
  [9854] = 9632,
  [9855] = 7543,
  [9856] = 7539,
  [9857] = 92,
  [9858] = 95,
  [9859] = 7701,
  [9860] = 7548,
  [9861] = 7553,
  [9862] = 93,
  [9863] = 9735,
  [9864] = 7566,
  [9865] = 7572,
  [9866] = 7947,
  [9867] = 9651,
  [9868] = 9631,
  [9869] = 9641,
  [9870] = 9634,
  [9871] = 7610,
  [9872] = 94,
  [9873] = 400,
  [9874] = 7591,
  [9875] = 7568,
  [9876] = 84,
  [9877] = 83,
  [9878] = 7937,
  [9879] = 89,
  [9880] = 104,
  [9881] = 103,
  [9882] = 102,
  [9883] = 80,
  [9884] = 99,
  [9885] = 98,
  [9886] = 97,
  [9887] = 96,
  [9888] = 544,
  [9889] = 9889,
  [9890] = 497,
  [9891] = 427,
  [9892] = 521,
  [9893] = 519,
  [9894] = 430,
  [9895] = 517,
  [9896] = 515,
  [9897] = 512,
  [9898] = 431,
  [9899] = 510,
  [9900] = 509,
  [9901] = 622,
  [9902] = 508,
  [9903] = 507,
  [9904] = 503,
  [9905] = 502,
  [9906] = 500,
  [9907] = 483,
  [9908] = 429,
  [9909] = 493,
  [9910] = 491,
  [9911] = 611,
  [9912] = 490,
  [9913] = 488,
  [9914] = 486,
  [9915] = 485,
  [9916] = 403,
  [9917] = 480,
  [9918] = 9889,
  [9919] = 9919,
  [9920] = 481,
  [9921] = 463,
  [9922] = 606,
  [9923] = 479,
  [9924] = 478,
  [9925] = 472,
  [9926] = 469,
  [9927] = 467,
  [9928] = 466,
  [9929] = 465,
  [9930] = 464,
  [9931] = 618,
  [9932] = 9919,
  [9933] = 9889,
  [9934] = 9919,
  [9935] = 9889,
  [9936] = 620,
  [9937] = 524,
  [9938] = 623,
  [9939] = 608,
  [9940] = 614,
  [9941] = 528,
  [9942] = 616,
  [9943] = 530,
  [9944] = 617,
  [9945] = 605,
  [9946] = 604,
  [9947] = 603,
  [9948] = 602,
  [9949] = 601,
  [9950] = 600,
  [9951] = 535,
  [9952] = 536,
  [9953] = 619,
  [9954] = 599,
  [9955] = 598,
  [9956] = 597,
  [9957] = 596,
  [9958] = 595,
  [9959] = 594,
  [9960] = 593,
  [9961] = 592,
  [9962] = 591,
  [9963] = 621,
  [9964] = 9889,
  [9965] = 9919,
  [9966] = 9889,
  [9967] = 9919,
  [9968] = 6675,
  [9969] = 9889,
  [9970] = 9919,
  [9971] = 589,
  [9972] = 9919,
  [9973] = 9889,
  [9974] = 9889,
  [9975] = 586,
  [9976] = 585,
  [9977] = 590,
  [9978] = 9919,
  [9979] = 581,
  [9980] = 553,
  [9981] = 582,
  [9982] = 572,
  [9983] = 570,
  [9984] = 567,
  [9985] = 565,
  [9986] = 564,
  [9987] = 563,
  [9988] = 552,
  [9989] = 551,
  [9990] = 550,
  [9991] = 549,
  [9992] = 548,
  [9993] = 547,
  [9994] = 546,
  [9995] = 543,
  [9996] = 540,
  [9997] = 538,
  [9998] = 533,
  [9999] = 526,
  [10000] = 525,
  [10001] = 518,
  [10002] = 501,
  [10003] = 574,
  [10004] = 9889,
  [10005] = 9919,
  [10006] = 9889,
  [10007] = 9919,
  [10008] = 9889,
  [10009] = 9919,
  [10010] = 9889,
  [10011] = 9919,
  [10012] = 474,
  [10013] = 9919,
  [10014] = 9889,
  [10015] = 9889,
  [10016] = 473,
  [10017] = 471,
  [10018] = 470,
  [10019] = 9919,
  [10020] = 439,
  [10021] = 498,
  [10022] = 462,
  [10023] = 539,
  [10024] = 448,
  [10025] = 459,
  [10026] = 455,
  [10027] = 452,
  [10028] = 447,
  [10029] = 433,
  [10030] = 434,
  [10031] = 435,
  [10032] = 443,
  [10033] = 444,
  [10034] = 615,
  [10035] = 432,
  [10036] = 588,
  [10037] = 587,
  [10038] = 584,
  [10039] = 583,
  [10040] = 579,
  [10041] = 578,
  [10042] = 577,
  [10043] = 576,
  [10044] = 575,
  [10045] = 573,
  [10046] = 571,
  [10047] = 569,
  [10048] = 568,
  [10049] = 566,
  [10050] = 562,
  [10051] = 561,
  [10052] = 560,
  [10053] = 559,
  [10054] = 558,
  [10055] = 557,
  [10056] = 556,
  [10057] = 555,
  [10058] = 554,
  [10059] = 545,
  [10060] = 542,
  [10061] = 541,
  [10062] = 537,
  [10063] = 534,
  [10064] = 532,
  [10065] = 531,
  [10066] = 529,
  [10067] = 527,
  [10068] = 523,
  [10069] = 520,
  [10070] = 516,
  [10071] = 514,
  [10072] = 513,
  [10073] = 511,
  [10074] = 506,
  [10075] = 505,
  [10076] = 499,
  [10077] = 496,
  [10078] = 495,
  [10079] = 494,
  [10080] = 492,
  [10081] = 489,
  [10082] = 484,
  [10083] = 482,
  [10084] = 476,
  [10085] = 475,
  [10086] = 460,
  [10087] = 458,
  [10088] = 457,
  [10089] = 456,
  [10090] = 454,
  [10091] = 453,
  [10092] = 450,
  [10093] = 449,
  [10094] = 446,
  [10095] = 445,
  [10096] = 442,
  [10097] = 441,
  [10098] = 440,
  [10099] = 595,
  [10100] = 437,
  [10101] = 436,
  [10102] = 432,
  [10103] = 615,
  [10104] = 444,
  [10105] = 443,
  [10106] = 435,
  [10107] = 434,
  [10108] = 433,
  [10109] = 447,
  [10110] = 452,
  [10111] = 455,
  [10112] = 459,
  [10113] = 462,
  [10114] = 468,
  [10115] = 470,
  [10116] = 471,
  [10117] = 473,
  [10118] = 474,
  [10119] = 498,
  [10120] = 501,
  [10121] = 518,
  [10122] = 525,
  [10123] = 526,
  [10124] = 533,
  [10125] = 538,
  [10126] = 540,
  [10127] = 543,
  [10128] = 546,
  [10129] = 547,
  [10130] = 548,
  [10131] = 549,
  [10132] = 550,
  [10133] = 551,
  [10134] = 552,
  [10135] = 563,
  [10136] = 564,
  [10137] = 565,
  [10138] = 567,
  [10139] = 570,
  [10140] = 572,
  [10141] = 574,
  [10142] = 581,
  [10143] = 582,
  [10144] = 585,
  [10145] = 586,
  [10146] = 589,
  [10147] = 436,
  [10148] = 590,
  [10149] = 591,
  [10150] = 592,
  [10151] = 593,
  [10152] = 594,
  [10153] = 437,
  [10154] = 606,
  [10155] = 596,
  [10156] = 597,
  [10157] = 598,
  [10158] = 599,
  [10159] = 600,
  [10160] = 439,
  [10161] = 440,
  [10162] = 441,
  [10163] = 442,
  [10164] = 601,
  [10165] = 445,
  [10166] = 446,
  [10167] = 602,
  [10168] = 449,
  [10169] = 603,
  [10170] = 604,
  [10171] = 605,
  [10172] = 616,
  [10173] = 614,
  [10174] = 468,
  [10175] = 9889,
  [10176] = 608,
  [10177] = 9919,
  [10178] = 9889,
  [10179] = 9919,
  [10180] = 623,
  [10181] = 621,
  [10182] = 620,
  [10183] = 618,
  [10184] = 430,
  [10185] = 9889,
  [10186] = 431,
  [10187] = 9919,
  [10188] = 9889,
  [10189] = 622,
  [10190] = 611,
  [10191] = 610,
  [10192] = 9919,
  [10193] = 9889,
  [10194] = 9919,
  [10195] = 9889,
  [10196] = 9919,
  [10197] = 9889,
  [10198] = 9919,
  [10199] = 9889,
  [10200] = 9919,
  [10201] = 9919,
  [10202] = 9889,
  [10203] = 9919,
  [10204] = 9889,
  [10205] = 9919,
  [10206] = 9889,
  [10207] = 9919,
  [10208] = 9889,
  [10209] = 9919,
  [10210] = 9889,
  [10211] = 9919,
  [10212] = 453,
  [10213] = 454,
  [10214] = 9919,
  [10215] = 10215,
  [10216] = 456,
  [10217] = 9889,
  [10218] = 450,
  [10219] = 458,
  [10220] = 460,
  [10221] = 475,
  [10222] = 476,
  [10223] = 482,
  [10224] = 484,
  [10225] = 489,
  [10226] = 492,
  [10227] = 494,
  [10228] = 457,
  [10229] = 496,
  [10230] = 451,
  [10231] = 499,
  [10232] = 505,
  [10233] = 506,
  [10234] = 511,
  [10235] = 513,
  [10236] = 514,
  [10237] = 516,
  [10238] = 520,
  [10239] = 523,
  [10240] = 9889,
  [10241] = 527,
  [10242] = 529,
  [10243] = 531,
  [10244] = 532,
  [10245] = 534,
  [10246] = 537,
  [10247] = 495,
  [10248] = 542,
  [10249] = 544,
  [10250] = 545,
  [10251] = 554,
  [10252] = 555,
  [10253] = 556,
  [10254] = 557,
  [10255] = 558,
  [10256] = 559,
  [10257] = 541,
  [10258] = 9919,
  [10259] = 561,
  [10260] = 9889,
  [10261] = 8039,
  [10262] = 562,
  [10263] = 566,
  [10264] = 568,
  [10265] = 569,
  [10266] = 571,
  [10267] = 573,
  [10268] = 575,
  [10269] = 576,
  [10270] = 577,
  [10271] = 578,
  [10272] = 579,
  [10273] = 583,
  [10274] = 584,
  [10275] = 587,
  [10276] = 588,
  [10277] = 560,
  [10278] = 9919,
  [10279] = 9889,
  [10280] = 10280,
  [10281] = 9889,
  [10282] = 9919,
  [10283] = 464,
  [10284] = 465,
  [10285] = 466,
  [10286] = 467,
  [10287] = 469,
  [10288] = 472,
  [10289] = 478,
  [10290] = 479,
  [10291] = 480,
  [10292] = 481,
  [10293] = 483,
  [10294] = 485,
  [10295] = 486,
  [10296] = 9919,
  [10297] = 487,
  [10298] = 488,
  [10299] = 490,
  [10300] = 491,
  [10301] = 493,
  [10302] = 497,
  [10303] = 500,
  [10304] = 502,
  [10305] = 503,
  [10306] = 504,
  [10307] = 507,
  [10308] = 508,
  [10309] = 486,
  [10310] = 509,
  [10311] = 510,
  [10312] = 512,
  [10313] = 515,
  [10314] = 517,
  [10315] = 519,
  [10316] = 521,
  [10317] = 522,
  [10318] = 524,
  [10319] = 528,
  [10320] = 530,
  [10321] = 463,
  [10322] = 536,
  [10323] = 478,
  [10324] = 539,
  [10325] = 535,
  [10326] = 429,
  [10327] = 427,
  [10328] = 617,
  [10329] = 619,
  [10330] = 403,
  [10331] = 448,
  [10332] = 553,
  [10333] = 451,
  [10334] = 9919,
  [10335] = 9889,
  [10336] = 9919,
  [10337] = 9889,
  [10338] = 9919,
  [10339] = 9889,
  [10340] = 9919,
  [10341] = 10215,
  [10342] = 9919,
  [10343] = 10215,
  [10344] = 9889,
  [10345] = 10215,
  [10346] = 9889,
  [10347] = 10347,
  [10348] = 606,
  [10349] = 610,
  [10350] = 611,
  [10351] = 622,
  [10352] = 431,
  [10353] = 618,
  [10354] = 620,
  [10355] = 621,
  [10356] = 539,
  [10357] = 623,
  [10358] = 608,
  [10359] = 614,
  [10360] = 616,
  [10361] = 605,
  [10362] = 604,
  [10363] = 451,
  [10364] = 448,
  [10365] = 603,
  [10366] = 602,
  [10367] = 601,
  [10368] = 600,
  [10369] = 599,
  [10370] = 598,
  [10371] = 597,
  [10372] = 596,
  [10373] = 497,
  [10374] = 595,
  [10375] = 594,
  [10376] = 593,
  [10377] = 592,
  [10378] = 553,
  [10379] = 591,
  [10380] = 619,
  [10381] = 536,
  [10382] = 535,
  [10383] = 617,
  [10384] = 530,
  [10385] = 528,
  [10386] = 524,
  [10387] = 522,
  [10388] = 427,
  [10389] = 590,
  [10390] = 589,
  [10391] = 586,
  [10392] = 521,
  [10393] = 585,
  [10394] = 519,
  [10395] = 517,
  [10396] = 515,
  [10397] = 512,
  [10398] = 582,
  [10399] = 581,
  [10400] = 574,
  [10401] = 572,
  [10402] = 570,
  [10403] = 510,
  [10404] = 567,
  [10405] = 565,
  [10406] = 509,
  [10407] = 564,
  [10408] = 563,
  [10409] = 552,
  [10410] = 508,
  [10411] = 551,
  [10412] = 550,
  [10413] = 549,
  [10414] = 548,
  [10415] = 507,
  [10416] = 547,
  [10417] = 430,
  [10418] = 543,
  [10419] = 540,
  [10420] = 538,
  [10421] = 504,
  [10422] = 533,
  [10423] = 526,
  [10424] = 525,
  [10425] = 503,
  [10426] = 518,
  [10427] = 501,
  [10428] = 498,
  [10429] = 474,
  [10430] = 473,
  [10431] = 502,
  [10432] = 500,
  [10433] = 471,
  [10434] = 481,
  [10435] = 470,
  [10436] = 468,
  [10437] = 429,
  [10438] = 462,
  [10439] = 459,
  [10440] = 455,
  [10441] = 452,
  [10442] = 447,
  [10443] = 433,
  [10444] = 434,
  [10445] = 435,
  [10446] = 493,
  [10447] = 491,
  [10448] = 443,
  [10449] = 490,
  [10450] = 444,
  [10451] = 615,
  [10452] = 488,
  [10453] = 432,
  [10454] = 436,
  [10455] = 487,
  [10456] = 437,
  [10457] = 439,
  [10458] = 440,
  [10459] = 441,
  [10460] = 442,
  [10461] = 445,
  [10462] = 446,
  [10463] = 449,
  [10464] = 450,
  [10465] = 453,
  [10466] = 454,
  [10467] = 456,
  [10468] = 457,
  [10469] = 458,
  [10470] = 460,
  [10471] = 475,
  [10472] = 476,
  [10473] = 482,
  [10474] = 484,
  [10475] = 489,
  [10476] = 492,
  [10477] = 494,
  [10478] = 485,
  [10479] = 495,
  [10480] = 403,
  [10481] = 496,
  [10482] = 483,
  [10483] = 499,
  [10484] = 463,
  [10485] = 480,
  [10486] = 479,
  [10487] = 546,
  [10488] = 506,
  [10489] = 511,
  [10490] = 513,
  [10491] = 514,
  [10492] = 472,
  [10493] = 516,
  [10494] = 520,
  [10495] = 469,
  [10496] = 523,
  [10497] = 527,
  [10498] = 529,
  [10499] = 467,
  [10500] = 531,
  [10501] = 532,
  [10502] = 534,
  [10503] = 537,
  [10504] = 541,
  [10505] = 466,
  [10506] = 465,
  [10507] = 542,
  [10508] = 464,
  [10509] = 544,
  [10510] = 505,
  [10511] = 554,
  [10512] = 555,
  [10513] = 556,
  [10514] = 557,
  [10515] = 558,
  [10516] = 559,
  [10517] = 560,
  [10518] = 561,
  [10519] = 562,
  [10520] = 566,
  [10521] = 568,
  [10522] = 569,
  [10523] = 571,
  [10524] = 573,
  [10525] = 575,
  [10526] = 576,
  [10527] = 577,
  [10528] = 578,
  [10529] = 579,
  [10530] = 583,
  [10531] = 584,
  [10532] = 587,
  [10533] = 588,
  [10534] = 545,
  [10535] = 393,
  [10536] = 383,
  [10537] = 371,
  [10538] = 10,
  [10539] = 364,
  [10540] = 386,
  [10541] = 263,
  [10542] = 331,
  [10543] = 324,
  [10544] = 321,
  [10545] = 320,
  [10546] = 381,
  [10547] = 312,
  [10548] = 318,
  [10549] = 333,
  [10550] = 334,
  [10551] = 336,
  [10552] = 311,
  [10553] = 317,
  [10554] = 314,
  [10555] = 313,
  [10556] = 339,
  [10557] = 310,
  [10558] = 309,
  [10559] = 343,
  [10560] = 344,
  [10561] = 363,
  [10562] = 294,
  [10563] = 369,
  [10564] = 359,
  [10565] = 319,
  [10566] = 235,
  [10567] = 357,
  [10568] = 379,
  [10569] = 367,
  [10570] = 362,
  [10571] = 225,
  [10572] = 286,
  [10573] = 258,
  [10574] = 279,
  [10575] = 272,
  [10576] = 233,
  [10577] = 232,
  [10578] = 323,
  [10579] = 230,
  [10580] = 327,
  [10581] = 328,
  [10582] = 351,
  [10583] = 237,
  [10584] = 307,
  [10585] = 305,
  [10586] = 304,
  [10587] = 248,
  [10588] = 303,
  [10589] = 332,
  [10590] = 341,
  [10591] = 306,
  [10592] = 302,
  [10593] = 301,
  [10594] = 316,
  [10595] = 300,
  [10596] = 267,
  [10597] = 2526,
  [10598] = 296,
  [10599] = 292,
  [10600] = 291,
  [10601] = 288,
  [10602] = 289,
  [10603] = 276,
  [10604] = 284,
  [10605] = 247,
  [10606] = 282,
  [10607] = 280,
  [10608] = 274,
  [10609] = 242,
  [10610] = 368,
  [10611] = 283,
  [10612] = 273,
  [10613] = 271,
  [10614] = 266,
  [10615] = 378,
  [10616] = 262,
  [10617] = 261,
  [10618] = 297,
  [10619] = 257,
  [10620] = 254,
  [10621] = 255,
  [10622] = 253,
  [10623] = 347,
  [10624] = 251,
  [10625] = 250,
  [10626] = 366,
  [10627] = 245,
  [10628] = 244,
  [10629] = 380,
  [10630] = 240,
  [10631] = 375,
  [10632] = 373,
  [10633] = 239,
  [10634] = 348,
  [10635] = 340,
  [10636] = 238,
  [10637] = 236,
  [10638] = 234,
  [10639] = 229,
  [10640] = 308,
  [10641] = 338,
  [10642] = 355,
  [10643] = 360,
  [10644] = 277,
  [10645] = 269,
  [10646] = 342,
  [10647] = 330,
  [10648] = 241,
  [10649] = 227,
  [10650] = 325,
  [10651] = 346,
  [10652] = 298,
  [10653] = 231,
  [10654] = 377,
  [10655] = 365,
  [10656] = 278,
  [10657] = 259,
  [10658] = 265,
  [10659] = 246,
  [10660] = 243,
  [10661] = 335,
  [10662] = 329,
  [10663] = 350,
  [10664] = 264,
  [10665] = 252,
  [10666] = 226,
  [10667] = 285,
  [10668] = 295,
  [10669] = 315,
  [10670] = 352,
  [10671] = 354,
  [10672] = 356,
  [10673] = 2654,
  [10674] = 238,
  [10675] = 298,
  [10676] = 325,
  [10677] = 227,
  [10678] = 330,
  [10679] = 277,
  [10680] = 278,
  [10681] = 381,
  [10682] = 338,
  [10683] = 340,
  [10684] = 259,
  [10685] = 265,
  [10686] = 348,
  [10687] = 246,
  [10688] = 243,
  [10689] = 231,
  [10690] = 373,
  [10691] = 329,
  [10692] = 350,
  [10693] = 375,
  [10694] = 264,
  [10695] = 252,
  [10696] = 380,
  [10697] = 226,
  [10698] = 366,
  [10699] = 347,
  [10700] = 285,
  [10701] = 612,
  [10702] = 254,
  [10703] = 295,
  [10704] = 315,
  [10705] = 352,
  [10706] = 354,
  [10707] = 356,
  [10708] = 364,
  [10709] = 365,
  [10710] = 377,
  [10711] = 297,
  [10712] = 346,
  [10713] = 241,
  [10714] = 378,
  [10715] = 342,
  [10716] = 269,
  [10717] = 360,
  [10718] = 355,
  [10719] = 308,
  [10720] = 283,
  [10721] = 229,
  [10722] = 234,
  [10723] = 236,
  [10724] = 242,
  [10725] = 383,
  [10726] = 247,
  [10727] = 393,
  [10728] = 276,
  [10729] = 289,
  [10730] = 291,
  [10731] = 267,
  [10732] = 316,
  [10733] = 306,
  [10734] = 341,
  [10735] = 368,
  [10736] = 400,
  [10737] = 248,
  [10738] = 321,
  [10739] = 237,
  [10740] = 351,
  [10741] = 328,
  [10742] = 327,
  [10743] = 304,
  [10744] = 332,
  [10745] = 239,
  [10746] = 240,
  [10747] = 244,
  [10748] = 245,
  [10749] = 250,
  [10750] = 251,
  [10751] = 230,
  [10752] = 253,
  [10753] = 255,
  [10754] = 323,
  [10755] = 257,
  [10756] = 261,
  [10757] = 262,
  [10758] = 266,
  [10759] = 232,
  [10760] = 233,
  [10761] = 272,
  [10762] = 279,
  [10763] = 258,
  [10764] = 286,
  [10765] = 225,
  [10766] = 362,
  [10767] = 367,
  [10768] = 379,
  [10769] = 357,
  [10770] = 235,
  [10771] = 392,
  [10772] = 477,
  [10773] = 607,
  [10774] = 322,
  [10775] = 271,
  [10776] = 273,
  [10777] = 294,
  [10778] = 363,
  [10779] = 312,
  [10780] = 333,
  [10781] = 334,
  [10782] = 336,
  [10783] = 311,
  [10784] = 461,
  [10785] = 339,
  [10786] = 343,
  [10787] = 344,
  [10788] = 335,
  [10789] = 319,
  [10790] = 331,
  [10791] = 274,
  [10792] = 324,
  [10793] = 359,
  [10794] = 386,
  [10795] = 280,
  [10796] = 282,
  [10797] = 284,
  [10798] = 369,
  [10799] = 288,
  [10800] = 292,
  [10801] = 296,
  [10802] = 300,
  [10803] = 301,
  [10804] = 302,
  [10805] = 303,
  [10806] = 263,
  [10807] = 305,
  [10808] = 307,
  [10809] = 309,
  [10810] = 310,
  [10811] = 313,
  [10812] = 314,
  [10813] = 317,
  [10814] = 318,
  [10815] = 320,
  [10816] = 504,
  [10817] = 483,
  [10818] = 486,
  [10819] = 478,
  [10820] = 593,
  [10821] = 610,
  [10822] = 611,
  [10823] = 465,
  [10824] = 622,
  [10825] = 431,
  [10826] = 430,
  [10827] = 618,
  [10828] = 539,
  [10829] = 466,
  [10830] = 451,
  [10831] = 448,
  [10832] = 620,
  [10833] = 528,
  [10834] = 553,
  [10835] = 621,
  [10836] = 619,
  [10837] = 536,
  [10838] = 623,
  [10839] = 467,
  [10840] = 608,
  [10841] = 614,
  [10842] = 441,
  [10843] = 535,
  [10844] = 616,
  [10845] = 605,
  [10846] = 617,
  [10847] = 530,
  [10848] = 524,
  [10849] = 463,
  [10850] = 522,
  [10851] = 427,
  [10852] = 521,
  [10853] = 519,
  [10854] = 517,
  [10855] = 515,
  [10856] = 512,
  [10857] = 510,
  [10858] = 459,
  [10859] = 509,
  [10860] = 508,
  [10861] = 469,
  [10862] = 507,
  [10863] = 472,
  [10864] = 503,
  [10865] = 502,
  [10866] = 500,
  [10867] = 497,
  [10868] = 429,
  [10869] = 442,
  [10870] = 603,
  [10871] = 602,
  [10872] = 601,
  [10873] = 600,
  [10874] = 599,
  [10875] = 598,
  [10876] = 597,
  [10877] = 596,
  [10878] = 595,
  [10879] = 594,
  [10880] = 447,
  [10881] = 479,
  [10882] = 592,
  [10883] = 591,
  [10884] = 590,
  [10885] = 589,
  [10886] = 586,
  [10887] = 585,
  [10888] = 582,
  [10889] = 581,
  [10890] = 574,
  [10891] = 572,
  [10892] = 570,
  [10893] = 567,
  [10894] = 565,
  [10895] = 564,
  [10896] = 563,
  [10897] = 552,
  [10898] = 551,
  [10899] = 550,
  [10900] = 549,
  [10901] = 548,
  [10902] = 547,
  [10903] = 546,
  [10904] = 386,
  [10905] = 588,
  [10906] = 587,
  [10907] = 584,
  [10908] = 480,
  [10909] = 583,
  [10910] = 481,
  [10911] = 440,
  [10912] = 579,
  [10913] = 578,
  [10914] = 543,
  [10915] = 577,
  [10916] = 576,
  [10917] = 604,
  [10918] = 575,
  [10919] = 573,
  [10920] = 403,
  [10921] = 571,
  [10922] = 569,
  [10923] = 485,
  [10924] = 568,
  [10925] = 566,
  [10926] = 538,
  [10927] = 562,
  [10928] = 561,
  [10929] = 4460,
  [10930] = 487,
  [10931] = 488,
  [10932] = 445,
  [10933] = 490,
  [10934] = 491,
  [10935] = 471,
  [10936] = 446,
  [10937] = 533,
  [10938] = 560,
  [10939] = 559,
  [10940] = 558,
  [10941] = 557,
  [10942] = 556,
  [10943] = 443,
  [10944] = 449,
  [10945] = 526,
  [10946] = 555,
  [10947] = 554,
  [10948] = 525,
  [10949] = 545,
  [10950] = 544,
  [10951] = 542,
  [10952] = 450,
  [10953] = 433,
  [10954] = 541,
  [10955] = 537,
  [10956] = 534,
  [10957] = 532,
  [10958] = 453,
  [10959] = 455,
  [10960] = 531,
  [10961] = 518,
  [10962] = 501,
  [10963] = 529,
  [10964] = 498,
  [10965] = 434,
  [10966] = 454,
  [10967] = 474,
  [10968] = 462,
  [10969] = 527,
  [10970] = 473,
  [10971] = 464,
  [10972] = 523,
  [10973] = 520,
  [10974] = 444,
  [10975] = 456,
  [10976] = 457,
  [10977] = 458,
  [10978] = 460,
  [10979] = 475,
  [10980] = 615,
  [10981] = 476,
  [10982] = 482,
  [10983] = 432,
  [10984] = 484,
  [10985] = 489,
  [10986] = 452,
  [10987] = 492,
  [10988] = 436,
  [10989] = 437,
  [10990] = 494,
  [10991] = 435,
  [10992] = 439,
  [10993] = 495,
  [10994] = 496,
  [10995] = 540,
  [10996] = 493,
  [10997] = 499,
  [10998] = 505,
  [10999] = 468,
  [11000] = 506,
  [11001] = 511,
  [11002] = 513,
  [11003] = 470,
  [11004] = 514,
  [11005] = 606,
  [11006] = 516,
  [11007] = 529,
  [11008] = 588,
  [11009] = 516,
  [11010] = 514,
  [11011] = 513,
  [11012] = 511,
  [11013] = 506,
  [11014] = 505,
  [11015] = 499,
  [11016] = 496,
  [11017] = 495,
  [11018] = 526,
  [11019] = 492,
  [11020] = 489,
  [11021] = 484,
  [11022] = 482,
  [11023] = 476,
  [11024] = 475,
  [11025] = 460,
  [11026] = 458,
  [11027] = 457,
  [11028] = 456,
  [11029] = 454,
  [11030] = 453,
  [11031] = 450,
  [11032] = 449,
  [11033] = 446,
  [11034] = 445,
  [11035] = 442,
  [11036] = 441,
  [11037] = 440,
  [11038] = 439,
  [11039] = 437,
  [11040] = 436,
  [11041] = 432,
  [11042] = 615,
  [11043] = 444,
  [11044] = 443,
  [11045] = 435,
  [11046] = 434,
  [11047] = 433,
  [11048] = 447,
  [11049] = 452,
  [11050] = 455,
  [11051] = 459,
  [11052] = 462,
  [11053] = 468,
  [11054] = 470,
  [11055] = 471,
  [11056] = 473,
  [11057] = 474,
  [11058] = 498,
  [11059] = 501,
  [11060] = 518,
  [11061] = 525,
  [11062] = 523,
  [11063] = 527,
  [11064] = 531,
  [11065] = 532,
  [11066] = 565,
  [11067] = 564,
  [11068] = 534,
  [11069] = 563,
  [11070] = 537,
  [11071] = 541,
  [11072] = 542,
  [11073] = 552,
  [11074] = 551,
  [11075] = 544,
  [11076] = 545,
  [11077] = 550,
  [11078] = 554,
  [11079] = 494,
  [11080] = 556,
  [11081] = 557,
  [11082] = 558,
  [11083] = 559,
  [11084] = 560,
  [11085] = 561,
  [11086] = 562,
  [11087] = 566,
  [11088] = 568,
  [11089] = 569,
  [11090] = 571,
  [11091] = 573,
  [11092] = 575,
  [11093] = 576,
  [11094] = 577,
  [11095] = 578,
  [11096] = 579,
  [11097] = 583,
  [11098] = 584,
  [11099] = 587,
  [11100] = 520,
  [11101] = 555,
  [11102] = 549,
  [11103] = 548,
  [11104] = 547,
  [11105] = 546,
  [11106] = 543,
  [11107] = 461,
  [11108] = 540,
  [11109] = 538,
  [11110] = 533,
  [11111] = 4515,
  [11112] = 4505,
  [11113] = 4503,
  [11114] = 4493,
  [11115] = 4491,
  [11116] = 4490,
  [11117] = 10347,
  [11118] = 581,
  [11119] = 570,
  [11120] = 572,
  [11121] = 574,
  [11122] = 582,
  [11123] = 599,
  [11124] = 617,
  [11125] = 585,
  [11126] = 619,
  [11127] = 553,
  [11128] = 4506,
  [11129] = 448,
  [11130] = 586,
  [11131] = 451,
  [11132] = 589,
  [11133] = 567,
  [11134] = 606,
  [11135] = 610,
  [11136] = 590,
  [11137] = 622,
  [11138] = 431,
  [11139] = 430,
  [11140] = 618,
  [11141] = 620,
  [11142] = 621,
  [11143] = 623,
  [11144] = 608,
  [11145] = 614,
  [11146] = 616,
  [11147] = 605,
  [11148] = 604,
  [11149] = 603,
  [11150] = 602,
  [11151] = 601,
  [11152] = 611,
  [11153] = 591,
  [11154] = 600,
  [11155] = 592,
  [11156] = 598,
  [11157] = 593,
  [11158] = 594,
  [11159] = 597,
  [11160] = 596,
  [11161] = 595,
  [11162] = 11162,
  [11163] = 11163,
  [11164] = 11164,
  [11165] = 11165,
  [11166] = 11166,
  [11167] = 11162,
  [11168] = 11162,
  [11169] = 400,
  [11170] = 11166,
  [11171] = 11166,
  [11172] = 11166,
  [11173] = 11164,
  [11174] = 11165,
  [11175] = 11166,
  [11176] = 11162,
  [11177] = 11162,
  [11178] = 11162,
  [11179] = 400,
  [11180] = 11163,
  [11181] = 11166,
  [11182] = 11166,
  [11183] = 11162,
  [11184] = 11166,
  [11185] = 11164,
  [11186] = 11165,
  [11187] = 11163,
  [11188] = 11165,
  [11189] = 11164,
  [11190] = 322,
  [11191] = 11163,
  [11192] = 11162,
  [11193] = 322,
  [11194] = 11194,
  [11195] = 11194,
  [11196] = 11194,
  [11197] = 11194,
  [11198] = 11194,
  [11199] = 11194,
  [11200] = 11194,
  [11201] = 11194,
  [11202] = 11194,
  [11203] = 11194,
  [11204] = 11194,
  [11205] = 11194,
  [11206] = 11194,
  [11207] = 11194,
  [11208] = 11194,
  [11209] = 11194,
  [11210] = 11194,
  [11211] = 11194,
  [11212] = 11194,
  [11213] = 11194,
  [11214] = 11214,
  [11215] = 11194,
  [11216] = 11214,
  [11217] = 5257,
  [11218] = 400,
  [11219] = 5264,
  [11220] = 5261,
  [11221] = 5261,
  [11222] = 5257,
  [11223] = 322,
  [11224] = 11224,
  [11225] = 5273,
  [11226] = 11226,
  [11227] = 5274,
  [11228] = 11228,
  [11229] = 11229,
  [11230] = 7343,
  [11231] = 5273,
  [11232] = 11232,
  [11233] = 11233,
  [11234] = 5274,
  [11235] = 11233,
  [11236] = 4460,
  [11237] = 11237,
  [11238] = 11237,
  [11239] = 11237,
  [11240] = 11240,
  [11241] = 11241,
  [11242] = 11237,
  [11243] = 11243,
  [11244] = 11244,
  [11245] = 11245,
  [11246] = 4515,
  [11247] = 11247,
  [11248] = 11248,
  [11249] = 11249,
  [11250] = 11249,
  [11251] = 4506,
  [11252] = 4505,
  [11253] = 11253,
  [11254] = 5298,
  [11255] = 5306,
  [11256] = 11256,
  [11257] = 11257,
  [11258] = 4503,
  [11259] = 5291,
  [11260] = 4493,
  [11261] = 4491,
  [11262] = 4490,
  [11263] = 11256,
  [11264] = 5294,
  [11265] = 11265,
  [11266] = 11266,
  [11267] = 5302,
  [11268] = 11268,
  [11269] = 11269,
  [11270] = 11268,
  [11271] = 11271,
  [11272] = 11272,
  [11273] = 11273,
  [11274] = 11274,
  [11275] = 11275,
  [11276] = 11276,
  [11277] = 11277,
  [11278] = 11278,
  [11279] = 11279,
  [11280] = 11274,
  [11281] = 11272,
  [11282] = 11282,
  [11283] = 11276,
  [11284] = 11273,
  [11285] = 11285,
  [11286] = 11286,
  [11287] = 11285,
  [11288] = 11278,
  [11289] = 11289,
  [11290] = 11290,
  [11291] = 11291,
  [11292] = 11292,
  [11293] = 11293,
  [11294] = 11277,
  [11295] = 11295,
  [11296] = 11275,
  [11297] = 11297,
  [11298] = 11282,
  [11299] = 11279,
  [11300] = 11293,
  [11301] = 11301,
  [11302] = 11302,
  [11303] = 11292,
  [11304] = 11295,
  [11305] = 11302,
  [11306] = 11289,
  [11307] = 11297,
  [11308] = 11291,
  [11309] = 11290,
  [11310] = 11310,
  [11311] = 11311,
  [11312] = 11310,
  [11313] = 11310,
  [11314] = 11310,
  [11315] = 11315,
  [11316] = 11310,
  [11317] = 11310,
  [11318] = 11310,
  [11319] = 11319,
  [11320] = 11310,
  [11321] = 11321,
  [11322] = 11322,
  [11323] = 11323,
  [11324] = 11310,
  [11325] = 11311,
  [11326] = 11322,
  [11327] = 11327,
  [11328] = 11319,
  [11329] = 11327,
  [11330] = 11327,
  [11331] = 11331,
  [11332] = 11322,
  [11333] = 11310,
  [11334] = 11310,
  [11335] = 11310,
  [11336] = 11327,
  [11337] = 11310,
  [11338] = 11310,
  [11339] = 11319,
  [11340] = 11310,
  [11341] = 11310,
  [11342] = 11310,
  [11343] = 11322,
  [11344] = 11319,
  [11345] = 11323,
  [11346] = 11310,
  [11347] = 11310,
  [11348] = 11310,
  [11349] = 11310,
  [11350] = 11310,
  [11351] = 11310,
  [11352] = 11310,
  [11353] = 11353,
  [11354] = 11321,
  [11355] = 11310,
  [11356] = 11310,
  [11357] = 11310,
  [11358] = 11358,
  [11359] = 11359,
  [11360] = 11360,
  [11361] = 11361,
  [11362] = 11362,
  [11363] = 5365,
  [11364] = 11364,
  [11365] = 11365,
  [11366] = 11366,
  [11367] = 11367,
  [11368] = 11368,
  [11369] = 11369,
  [11370] = 11370,
  [11371] = 11371,
  [11372] = 11372,
  [11373] = 5362,
  [11374] = 11374,
  [11375] = 11375,
  [11376] = 11376,
  [11377] = 11377,
  [11378] = 11378,
  [11379] = 11379,
  [11380] = 11380,
  [11381] = 11381,
  [11382] = 11382,
  [11383] = 11383,
  [11384] = 11384,
  [11385] = 11385,
  [11386] = 11386,
  [11387] = 11387,
  [11388] = 11388,
  [11389] = 11389,
  [11390] = 11390,
  [11391] = 11381,
  [11392] = 11392,
  [11393] = 11375,
  [11394] = 11394,
  [11395] = 11372,
  [11396] = 11396,
  [11397] = 11397,
  [11398] = 5332,
  [11399] = 11399,
  [11400] = 11400,
  [11401] = 11358,
  [11402] = 5356,
  [11403] = 11403,
  [11404] = 11404,
  [11405] = 11368,
  [11406] = 11406,
  [11407] = 11383,
  [11408] = 11370,
  [11409] = 11374,
  [11410] = 11410,
  [11411] = 11379,
  [11412] = 11412,
  [11413] = 11413,
  [11414] = 11414,
  [11415] = 11414,
  [11416] = 11397,
  [11417] = 11369,
  [11418] = 11418,
  [11419] = 11419,
  [11420] = 11396,
  [11421] = 11421,
  [11422] = 11403,
  [11423] = 11380,
  [11424] = 11385,
  [11425] = 11376,
  [11426] = 11426,
  [11427] = 11413,
  [11428] = 11383,
  [11429] = 11429,
  [11430] = 11406,
  [11431] = 11431,
  [11432] = 5347,
  [11433] = 11397,
  [11434] = 11382,
  [11435] = 11435,
  [11436] = 11360,
  [11437] = 11390,
  [11438] = 11438,
  [11439] = 5257,
  [11440] = 11440,
  [11441] = 11441,
  [11442] = 11442,
  [11443] = 11443,
  [11444] = 11444,
  [11445] = 11445,
  [11446] = 5261,
  [11447] = 5261,
  [11448] = 11448,
  [11449] = 11438,
  [11450] = 11450,
  [11451] = 11451,
  [11452] = 11452,
  [11453] = 11453,
  [11454] = 5257,
  [11455] = 11453,
  [11456] = 11456,
  [11457] = 11452,
  [11458] = 11458,
  [11459] = 11459,
  [11460] = 11459,
  [11461] = 11440,
  [11462] = 11462,
  [11463] = 5273,
  [11464] = 11464,
  [11465] = 5387,
  [11466] = 11466,
  [11467] = 11467,
  [11468] = 11468,
  [11469] = 11469,
  [11470] = 11470,
  [11471] = 5377,
  [11472] = 11470,
  [11473] = 11473,
  [11474] = 11474,
  [11475] = 11475,
  [11476] = 11469,
  [11477] = 11477,
  [11478] = 11470,
  [11479] = 11479,
  [11480] = 11480,
  [11481] = 11481,
  [11482] = 11482,
  [11483] = 11469,
  [11484] = 11484,
  [11485] = 11470,
  [11486] = 11486,
  [11487] = 11469,
  [11488] = 11468,
  [11489] = 11469,
  [11490] = 11490,
  [11491] = 11491,
  [11492] = 11492,
  [11493] = 11493,
  [11494] = 11494,
  [11495] = 11495,
  [11496] = 11470,
  [11497] = 11497,
  [11498] = 11469,
  [11499] = 11469,
  [11500] = 11470,
  [11501] = 11501,
  [11502] = 11470,
  [11503] = 11503,
  [11504] = 11469,
  [11505] = 11474,
  [11506] = 11506,
  [11507] = 11469,
  [11508] = 11508,
  [11509] = 11509,
  [11510] = 11510,
  [11511] = 11511,
  [11512] = 11512,
  [11513] = 11469,
  [11514] = 11514,
  [11515] = 11470,
  [11516] = 11516,
  [11517] = 11517,
  [11518] = 11469,
  [11519] = 11519,
  [11520] = 11520,
  [11521] = 11521,
  [11522] = 11469,
  [11523] = 5379,
  [11524] = 11524,
  [11525] = 11525,
  [11526] = 11470,
  [11527] = 11469,
  [11528] = 11470,
  [11529] = 11468,
  [11530] = 11474,
  [11531] = 11509,
  [11532] = 11532,
  [11533] = 11533,
  [11534] = 11506,
  [11535] = 5264,
  [11536] = 11470,
  [11537] = 11537,
  [11538] = 11520,
  [11539] = 11539,
  [11540] = 11540,
  [11541] = 11469,
  [11542] = 11542,
  [11543] = 11470,
  [11544] = 11470,
  [11545] = 5378,
  [11546] = 11506,
  [11547] = 11469,
  [11548] = 11508,
  [11549] = 11469,
  [11550] = 11550,
  [11551] = 11551,
  [11552] = 11552,
  [11553] = 11519,
  [11554] = 11469,
  [11555] = 11524,
  [11556] = 11486,
  [11557] = 11557,
  [11558] = 11558,
  [11559] = 11559,
  [11560] = 11560,
  [11561] = 11464,
  [11562] = 11562,
  [11563] = 11469,
  [11564] = 11552,
  [11565] = 11565,
  [11566] = 11566,
  [11567] = 11567,
  [11568] = 11469,
  [11569] = 11569,
  [11570] = 11470,
  [11571] = 11571,
  [11572] = 11572,
  [11573] = 11573,
  [11574] = 11574,
  [11575] = 11475,
  [11576] = 11532,
  [11577] = 11470,
  [11578] = 11578,
  [11579] = 11579,
  [11580] = 11469,
  [11581] = 11469,
  [11582] = 11582,
  [11583] = 11583,
  [11584] = 11566,
  [11585] = 11470,
  [11586] = 11586,
  [11587] = 11587,
  [11588] = 11588,
  [11589] = 11474,
  [11590] = 11590,
  [11591] = 11591,
  [11592] = 11469,
  [11593] = 11469,
  [11594] = 11594,
  [11595] = 5274,
  [11596] = 11469,
  [11597] = 11469,
  [11598] = 11533,
  [11599] = 11470,
  [11600] = 11469,
  [11601] = 11601,
  [11602] = 5389,
  [11603] = 11603,
  [11604] = 11604,
  [11605] = 11470,
  [11606] = 11606,
  [11607] = 11607,
  [11608] = 11569,
  [11609] = 11582,
  [11610] = 5380,
  [11611] = 11611,
  [11612] = 11484,
  [11613] = 11613,
  [11614] = 11559,
  [11615] = 11574,
  [11616] = 11616,
  [11617] = 11473,
  [11618] = 11618,
  [11619] = 11611,
  [11620] = 11620,
  [11621] = 11621,
  [11622] = 11622,
  [11623] = 11571,
  [11624] = 11624,
  [11625] = 11625,
  [11626] = 11468,
  [11627] = 11470,
  [11628] = 11628,
  [11629] = 11469,
  [11630] = 11521,
  [11631] = 11631,
  [11632] = 11470,
  [11633] = 11469,
  [11634] = 11542,
  [11635] = 11469,
  [11636] = 11636,
  [11637] = 11469,
  [11638] = 11470,
  [11639] = 11639,
  [11640] = 11640,
  [11641] = 5406,
  [11642] = 11640,
  [11643] = 7836,
  [11644] = 5405,
  [11645] = 11645,
  [11646] = 11646,
  [11647] = 5412,
  [11648] = 5392,
  [11649] = 11646,
  [11650] = 5407,
  [11651] = 11651,
  [11652] = 11651,
  [11653] = 5476,
  [11654] = 5534,
  [11655] = 11651,
  [11656] = 11651,
  [11657] = 11651,
  [11658] = 5274,
  [11659] = 11651,
  [11660] = 11651,
  [11661] = 5422,
  [11662] = 11651,
  [11663] = 11651,
  [11664] = 5273,
  [11665] = 11651,
  [11666] = 5452,
  [11667] = 11651,
  [11668] = 11651,
  [11669] = 11651,
  [11670] = 11651,
  [11671] = 11651,
  [11672] = 11651,
  [11673] = 5525,
  [11674] = 11651,
  [11675] = 11651,
  [11676] = 11651,
  [11677] = 11651,
  [11678] = 11651,
  [11679] = 11651,
  [11680] = 5425,
  [11681] = 11651,
  [11682] = 11651,
  [11683] = 5445,
  [11684] = 11651,
  [11685] = 11651,
  [11686] = 11651,
  [11687] = 11687,
  [11688] = 11688,
  [11689] = 11689,
  [11690] = 11690,
  [11691] = 11691,
  [11692] = 11690,
  [11693] = 11689,
  [11694] = 11687,
  [11695] = 11688,
  [11696] = 11687,
  [11697] = 11697,
  [11698] = 11688,
  [11699] = 11688,
  [11700] = 11687,
  [11701] = 11697,
  [11702] = 11697,
  [11703] = 11689,
  [11704] = 11697,
  [11705] = 11690,
  [11706] = 5689,
  [11707] = 11687,
  [11708] = 11688,
  [11709] = 11690,
  [11710] = 11697,
  [11711] = 11697,
  [11712] = 11690,
  [11713] = 11689,
  [11714] = 11689,
  [11715] = 11689,
  [11716] = 11687,
  [11717] = 11688,
  [11718] = 11690,
  [11719] = 11687,
  [11720] = 11688,
  [11721] = 11697,
  [11722] = 11697,
  [11723] = 5689,
  [11724] = 11697,
  [11725] = 11697,
  [11726] = 11726,
  [11727] = 11697,
  [11728] = 11689,
  [11729] = 11729,
  [11730] = 11688,
  [11731] = 11687,
  [11732] = 11690,
  [11733] = 11688,
  [11734] = 11687,
  [11735] = 11690,
  [11736] = 11688,
  [11737] = 11689,
  [11738] = 11689,
  [11739] = 11687,
  [11740] = 11690,
  [11741] = 11697,
  [11742] = 11688,
  [11743] = 11689,
  [11744] = 11690,
  [11745] = 11687,
  [11746] = 11690,
  [11747] = 11689,
  [11748] = 11687,
  [11749] = 11687,
  [11750] = 11688,
  [11751] = 11751,
  [11752] = 11752,
  [11753] = 11690,
  [11754] = 11689,
  [11755] = 11697,
  [11756] = 11690,
  [11757] = 11688,
  [11758] = 11689,
  [11759] = 11697,
  [11760] = 11697,
  [11761] = 11687,
  [11762] = 11690,
  [11763] = 11689,
  [11764] = 11687,
  [11765] = 11687,
  [11766] = 11688,
  [11767] = 11688,
  [11768] = 11729,
  [11769] = 11688,
  [11770] = 11697,
  [11771] = 11687,
  [11772] = 11690,
  [11773] = 11688,
  [11774] = 11689,
  [11775] = 11689,
  [11776] = 11697,
  [11777] = 11690,
  [11778] = 11689,
  [11779] = 11779,
  [11780] = 11689,
  [11781] = 11690,
  [11782] = 11689,
  [11783] = 11688,
  [11784] = 11687,
  [11785] = 11690,
  [11786] = 11687,
  [11787] = 11688,
  [11788] = 11689,
  [11789] = 11689,
  [11790] = 11752,
  [11791] = 11697,
  [11792] = 11690,
  [11793] = 11697,
  [11794] = 11688,
  [11795] = 11687,
  [11796] = 11687,
  [11797] = 11697,
  [11798] = 11690,
  [11799] = 11688,
  [11800] = 11800,
  [11801] = 11689,
  [11802] = 11688,
  [11803] = 11697,
  [11804] = 11697,
  [11805] = 11688,
  [11806] = 11687,
  [11807] = 11697,
  [11808] = 11690,
  [11809] = 11751,
  [11810] = 11689,
  [11811] = 11687,
  [11812] = 11690,
  [11813] = 11690,
  [11814] = 11689,
  [11815] = 11689,
  [11816] = 11687,
  [11817] = 11697,
  [11818] = 11688,
  [11819] = 11690,
  [11820] = 11688,
  [11821] = 11687,
  [11822] = 11688,
  [11823] = 11697,
  [11824] = 11690,
  [11825] = 11697,
  [11826] = 11688,
  [11827] = 11689,
  [11828] = 11687,
  [11829] = 11690,
  [11830] = 11690,
  [11831] = 11689,
  [11832] = 11697,
  [11833] = 11687,
  [11834] = 5666,
  [11835] = 229,
  [11836] = 225,
  [11837] = 286,
  [11838] = 258,
  [11839] = 279,
  [11840] = 272,
  [11841] = 233,
  [11842] = 232,
  [11843] = 323,
  [11844] = 230,
  [11845] = 327,
  [11846] = 328,
  [11847] = 351,
  [11848] = 237,
  [11849] = 248,
  [11850] = 294,
  [11851] = 341,
  [11852] = 306,
  [11853] = 316,
  [11854] = 267,
  [11855] = 291,
  [11856] = 289,
  [11857] = 276,
  [11858] = 247,
  [11859] = 242,
  [11860] = 368,
  [11861] = 283,
  [11862] = 378,
  [11863] = 297,
  [11864] = 254,
  [11865] = 347,
  [11866] = 366,
  [11867] = 380,
  [11868] = 375,
  [11869] = 373,
  [11870] = 348,
  [11871] = 340,
  [11872] = 338,
  [11873] = 332,
  [11874] = 330,
  [11875] = 227,
  [11876] = 325,
  [11877] = 298,
  [11878] = 277,
  [11879] = 278,
  [11880] = 259,
  [11881] = 265,
  [11882] = 246,
  [11883] = 243,
  [11884] = 231,
  [11885] = 329,
  [11886] = 350,
  [11887] = 264,
  [11888] = 252,
  [11889] = 226,
  [11890] = 5759,
  [11891] = 5681,
  [11892] = 11892,
  [11893] = 5676,
  [11894] = 11892,
  [11895] = 11892,
  [11896] = 11892,
  [11897] = 11892,
  [11898] = 11892,
  [11899] = 11892,
  [11900] = 11900,
  [11901] = 11901,
  [11902] = 11902,
  [11903] = 5718,
  [11904] = 11892,
  [11905] = 343,
  [11906] = 11892,
  [11907] = 367,
  [11908] = 379,
  [11909] = 357,
  [11910] = 235,
  [11911] = 5703,
  [11912] = 11892,
  [11913] = 319,
  [11914] = 359,
  [11915] = 369,
  [11916] = 381,
  [11917] = 5753,
  [11918] = 363,
  [11919] = 344,
  [11920] = 285,
  [11921] = 5722,
  [11922] = 295,
  [11923] = 263,
  [11924] = 315,
  [11925] = 339,
  [11926] = 311,
  [11927] = 336,
  [11928] = 11892,
  [11929] = 334,
  [11930] = 333,
  [11931] = 11892,
  [11932] = 312,
  [11933] = 11892,
  [11934] = 11892,
  [11935] = 11935,
  [11936] = 11892,
  [11937] = 335,
  [11938] = 331,
  [11939] = 5948,
  [11940] = 324,
  [11941] = 11902,
  [11942] = 321,
  [11943] = 320,
  [11944] = 11892,
  [11945] = 318,
  [11946] = 317,
  [11947] = 314,
  [11948] = 313,
  [11949] = 5697,
  [11950] = 310,
  [11951] = 11951,
  [11952] = 11892,
  [11953] = 309,
  [11954] = 307,
  [11955] = 305,
  [11956] = 304,
  [11957] = 11901,
  [11958] = 303,
  [11959] = 11892,
  [11960] = 302,
  [11961] = 11951,
  [11962] = 301,
  [11963] = 11900,
  [11964] = 300,
  [11965] = 11892,
  [11966] = 296,
  [11967] = 292,
  [11968] = 11935,
  [11969] = 288,
  [11970] = 11892,
  [11971] = 284,
  [11972] = 352,
  [11973] = 354,
  [11974] = 356,
  [11975] = 282,
  [11976] = 364,
  [11977] = 365,
  [11978] = 377,
  [11979] = 346,
  [11980] = 241,
  [11981] = 280,
  [11982] = 274,
  [11983] = 273,
  [11984] = 271,
  [11985] = 266,
  [11986] = 342,
  [11987] = 262,
  [11988] = 261,
  [11989] = 5694,
  [11990] = 269,
  [11991] = 360,
  [11992] = 5696,
  [11993] = 257,
  [11994] = 355,
  [11995] = 5704,
  [11996] = 308,
  [11997] = 362,
  [11998] = 234,
  [11999] = 255,
  [12000] = 236,
  [12001] = 253,
  [12002] = 238,
  [12003] = 251,
  [12004] = 250,
  [12005] = 11892,
  [12006] = 239,
  [12007] = 240,
  [12008] = 245,
  [12009] = 244,
  [12010] = 12010,
  [12011] = 12011,
  [12012] = 12012,
  [12013] = 12011,
  [12014] = 6253,
  [12015] = 12015,
  [12016] = 12012,
  [12017] = 12017,
  [12018] = 12010,
  [12019] = 12019,
  [12020] = 12020,
  [12021] = 12015,
  [12022] = 6061,
  [12023] = 6253,
  [12024] = 12024,
  [12025] = 12024,
  [12026] = 12026,
  [12027] = 12027,
  [12028] = 12024,
  [12029] = 12029,
  [12030] = 12030,
  [12031] = 12029,
  [12032] = 12032,
  [12033] = 12029,
  [12034] = 12029,
  [12035] = 12029,
  [12036] = 12026,
  [12037] = 12029,
  [12038] = 12029,
  [12039] = 12029,
  [12040] = 12029,
  [12041] = 5997,
  [12042] = 12030,
  [12043] = 12043,
  [12044] = 12029,
  [12045] = 12045,
  [12046] = 12024,
  [12047] = 12026,
  [12048] = 6066,
  [12049] = 12029,
  [12050] = 12024,
  [12051] = 12029,
  [12052] = 12026,
  [12053] = 12029,
  [12054] = 6127,
  [12055] = 12055,
  [12056] = 12056,
  [12057] = 12057,
  [12058] = 12024,
  [12059] = 12059,
  [12060] = 12060,
  [12061] = 12061,
  [12062] = 12029,
  [12063] = 12063,
  [12064] = 12056,
  [12065] = 12055,
  [12066] = 12024,
  [12067] = 12029,
  [12068] = 12029,
  [12069] = 12026,
  [12070] = 12024,
  [12071] = 12029,
  [12072] = 12026,
  [12073] = 12029,
  [12074] = 12074,
  [12075] = 12029,
  [12076] = 5981,
  [12077] = 6105,
  [12078] = 12029,
  [12079] = 12026,
  [12080] = 12059,
  [12081] = 12081,
  [12082] = 12029,
  [12083] = 12083,
  [12084] = 12029,
  [12085] = 12083,
  [12086] = 5973,
  [12087] = 12026,
  [12088] = 12026,
  [12089] = 12083,
  [12090] = 12090,
  [12091] = 12083,
  [12092] = 12083,
  [12093] = 12024,
  [12094] = 12029,
  [12095] = 12090,
  [12096] = 12026,
  [12097] = 12026,
  [12098] = 12024,
  [12099] = 12099,
  [12100] = 12083,
  [12101] = 12029,
  [12102] = 12029,
  [12103] = 12024,
  [12104] = 12024,
  [12105] = 12024,
  [12106] = 12029,
  [12107] = 12029,
  [12108] = 12026,
  [12109] = 6061,
  [12110] = 12029,
  [12111] = 12083,
  [12112] = 12083,
  [12113] = 6124,
  [12114] = 12024,
  [12115] = 12115,
  [12116] = 12026,
  [12117] = 12024,
  [12118] = 12118,
  [12119] = 12029,
  [12120] = 12081,
  [12121] = 12026,
  [12122] = 12029,
  [12123] = 12083,
  [12124] = 5999,
  [12125] = 12083,
  [12126] = 12026,
  [12127] = 12083,
  [12128] = 12083,
  [12129] = 12029,
  [12130] = 12083,
  [12131] = 12083,
  [12132] = 12083,
  [12133] = 12029,
  [12134] = 12134,
  [12135] = 12029,
  [12136] = 12083,
  [12137] = 12083,
  [12138] = 12138,
  [12139] = 12029,
  [12140] = 12083,
  [12141] = 12026,
  [12142] = 12138,
  [12143] = 12134,
  [12144] = 12026,
  [12145] = 12045,
  [12146] = 12043,
  [12147] = 12024,
  [12148] = 12148,
  [12149] = 12118,
  [12150] = 12115,
  [12151] = 12029,
  [12152] = 5992,
  [12153] = 12029,
  [12154] = 12029,
  [12155] = 12026,
  [12156] = 12024,
  [12157] = 12029,
  [12158] = 12024,
  [12159] = 12159,
  [12160] = 12159,
  [12161] = 12161,
  [12162] = 12162,
  [12163] = 12163,
  [12164] = 12164,
  [12165] = 12165,
  [12166] = 12166,
  [12167] = 12167,
  [12168] = 12168,
  [12169] = 12169,
  [12170] = 12170,
  [12171] = 12171,
  [12172] = 12172,
  [12173] = 12173,
  [12174] = 12174,
  [12175] = 12175,
  [12176] = 12176,
  [12177] = 12177,
  [12178] = 12178,
  [12179] = 12179,
  [12180] = 12180,
  [12181] = 12181,
  [12182] = 12182,
  [12183] = 12177,
  [12184] = 12184,
  [12185] = 12185,
  [12186] = 12186,
  [12187] = 12187,
  [12188] = 12188,
  [12189] = 12189,
  [12190] = 12190,
  [12191] = 12191,
  [12192] = 12192,
  [12193] = 12193,
  [12194] = 12194,
  [12195] = 12195,
  [12196] = 12196,
  [12197] = 12197,
  [12198] = 12198,
  [12199] = 12199,
  [12200] = 12200,
  [12201] = 12201,
  [12202] = 12186,
  [12203] = 12203,
  [12204] = 12204,
  [12205] = 12205,
  [12206] = 12206,
  [12207] = 12207,
  [12208] = 12208,
  [12209] = 12209,
  [12210] = 12210,
  [12211] = 12211,
  [12212] = 12159,
  [12213] = 12213,
  [12214] = 12163,
  [12215] = 12206,
  [12216] = 12189,
  [12217] = 12217,
  [12218] = 12171,
  [12219] = 12219,
  [12220] = 12213,
  [12221] = 12163,
  [12222] = 12210,
  [12223] = 12170,
  [12224] = 12205,
  [12225] = 12169,
  [12226] = 12166,
  [12227] = 12227,
  [12228] = 12228,
  [12229] = 12204,
  [12230] = 12227,
  [12231] = 12163,
  [12232] = 12203,
  [12233] = 12233,
  [12234] = 12161,
  [12235] = 12235,
  [12236] = 12164,
  [12237] = 12162,
  [12238] = 12227,
  [12239] = 12228,
  [12240] = 12240,
  [12241] = 12241,
  [12242] = 12242,
  [12243] = 12180,
  [12244] = 12244,
  [12245] = 12245,
  [12246] = 12246,
  [12247] = 12247,
  [12248] = 12248,
  [12249] = 12163,
  [12250] = 12228,
  [12251] = 12251,
  [12252] = 12161,
  [12253] = 12181,
  [12254] = 12254,
  [12255] = 12255,
  [12256] = 12256,
  [12257] = 12240,
  [12258] = 12180,
  [12259] = 12259,
  [12260] = 12260,
  [12261] = 12261,
  [12262] = 12262,
  [12263] = 12263,
  [12264] = 12182,
  [12265] = 12208,
  [12266] = 12200,
  [12267] = 12255,
  [12268] = 12199,
  [12269] = 12251,
  [12270] = 12270,
  [12271] = 12227,
  [12272] = 12272,
  [12273] = 12251,
  [12274] = 12240,
  [12275] = 12275,
  [12276] = 12161,
  [12277] = 12159,
  [12278] = 12211,
  [12279] = 12209,
  [12280] = 12280,
  [12281] = 12281,
  [12282] = 12282,
  [12283] = 12283,
  [12284] = 12284,
  [12285] = 12285,
  [12286] = 12286,
  [12287] = 12208,
  [12288] = 12235,
  [12289] = 12289,
  [12290] = 12290,
  [12291] = 12291,
  [12292] = 12240,
  [12293] = 12251,
  [12294] = 12207,
  [12295] = 12181,
  [12296] = 12207,
  [12297] = 12280,
  [12298] = 12255,
  [12299] = 12227,
  [12300] = 12262,
  [12301] = 12301,
  [12302] = 12209,
  [12303] = 12211,
  [12304] = 12159,
  [12305] = 12177,
  [12306] = 12182,
  [12307] = 12181,
  [12308] = 12180,
  [12309] = 12228,
  [12310] = 6455,
  [12311] = 6456,
  [12312] = 12228,
  [12313] = 12163,
  [12314] = 12255,
  [12315] = 12315,
  [12316] = 12316,
  [12317] = 12317,
  [12318] = 12318,
  [12319] = 12251,
  [12320] = 12182,
  [12321] = 12159,
  [12322] = 12211,
  [12323] = 12177,
  [12324] = 12324,
  [12325] = 12325,
  [12326] = 12240,
  [12327] = 12255,
  [12328] = 12328,
  [12329] = 12191,
  [12330] = 12209,
  [12331] = 12208,
  [12332] = 12190,
  [12333] = 12227,
  [12334] = 12334,
  [12335] = 12335,
  [12336] = 12207,
  [12337] = 12337,
  [12338] = 12338,
  [12339] = 12339,
  [12340] = 12165,
  [12341] = 12280,
  [12342] = 12342,
  [12343] = 6457,
  [12344] = 6459,
  [12345] = 6460,
  [12346] = 6461,
  [12347] = 12207,
  [12348] = 12280,
  [12349] = 12159,
  [12350] = 12208,
  [12351] = 12209,
  [12352] = 12211,
  [12353] = 12256,
  [12354] = 12209,
  [12355] = 12260,
  [12356] = 6482,
  [12357] = 12208,
  [12358] = 12161,
  [12359] = 12207,
  [12360] = 12177,
  [12361] = 12182,
  [12362] = 12161,
  [12363] = 12211,
  [12364] = 12270,
  [12365] = 12159,
  [12366] = 12272,
  [12367] = 6422,
  [12368] = 12233,
  [12369] = 12369,
  [12370] = 12275,
  [12371] = 12161,
  [12372] = 12281,
  [12373] = 12181,
  [12374] = 12289,
  [12375] = 12227,
  [12376] = 12291,
  [12377] = 12263,
  [12378] = 12378,
  [12379] = 12280,
  [12380] = 12380,
  [12381] = 12339,
  [12382] = 12382,
  [12383] = 12180,
  [12384] = 12240,
  [12385] = 12385,
  [12386] = 12386,
  [12387] = 12387,
  [12388] = 12255,
  [12389] = 6462,
  [12390] = 12390,
  [12391] = 12251,
  [12392] = 12228,
  [12393] = 12163,
  [12394] = 12180,
  [12395] = 12181,
  [12396] = 12182,
  [12397] = 12177,
  [12398] = 12207,
  [12399] = 12208,
  [12400] = 12209,
  [12401] = 12401,
  [12402] = 12211,
  [12403] = 12163,
  [12404] = 12159,
  [12405] = 12405,
  [12406] = 12406,
  [12407] = 6472,
  [12408] = 12255,
  [12409] = 12180,
  [12410] = 12251,
  [12411] = 12240,
  [12412] = 12255,
  [12413] = 12251,
  [12414] = 6482,
  [12415] = 12181,
  [12416] = 12227,
  [12417] = 12240,
  [12418] = 12418,
  [12419] = 12369,
  [12420] = 12163,
  [12421] = 12180,
  [12422] = 12181,
  [12423] = 12182,
  [12424] = 12177,
  [12425] = 12207,
  [12426] = 12208,
  [12427] = 12209,
  [12428] = 12428,
  [12429] = 12211,
  [12430] = 12159,
  [12431] = 12177,
  [12432] = 12182,
  [12433] = 6479,
  [12434] = 12255,
  [12435] = 12159,
  [12436] = 6472,
  [12437] = 12251,
  [12438] = 12240,
  [12439] = 12211,
  [12440] = 6479,
  [12441] = 6422,
  [12442] = 12227,
  [12443] = 12177,
  [12444] = 12209,
  [12445] = 12369,
  [12446] = 12208,
  [12447] = 12163,
  [12448] = 12228,
  [12449] = 12449,
  [12450] = 12180,
  [12451] = 12181,
  [12452] = 12182,
  [12453] = 12177,
  [12454] = 12211,
  [12455] = 12207,
  [12456] = 12280,
  [12457] = 12207,
  [12458] = 12208,
  [12459] = 12209,
  [12460] = 12280,
  [12461] = 12211,
  [12462] = 12159,
  [12463] = 12463,
  [12464] = 12464,
  [12465] = 12465,
  [12466] = 12466,
  [12467] = 12255,
  [12468] = 12428,
  [12469] = 12251,
  [12470] = 12240,
  [12471] = 12159,
  [12472] = 12405,
  [12473] = 12380,
  [12474] = 12227,
  [12475] = 12385,
  [12476] = 12280,
  [12477] = 12386,
  [12478] = 12390,
  [12479] = 12401,
  [12480] = 12227,
  [12481] = 12163,
  [12482] = 12163,
  [12483] = 12406,
  [12484] = 12181,
  [12485] = 12180,
  [12486] = 12163,
  [12487] = 12180,
  [12488] = 12228,
  [12489] = 12177,
  [12490] = 12228,
  [12491] = 12181,
  [12492] = 12181,
  [12493] = 12493,
  [12494] = 12182,
  [12495] = 12182,
  [12496] = 12177,
  [12497] = 12182,
  [12498] = 12181,
  [12499] = 12280,
  [12500] = 12180,
  [12501] = 12387,
  [12502] = 12182,
  [12503] = 12228,
  [12504] = 12504,
  [12505] = 12505,
  [12506] = 12163,
  [12507] = 12180,
  [12508] = 12181,
  [12509] = 12180,
  [12510] = 12182,
  [12511] = 12177,
  [12512] = 12177,
  [12513] = 12207,
  [12514] = 12280,
  [12515] = 12325,
  [12516] = 12181,
  [12517] = 12517,
  [12518] = 12518,
  [12519] = 12208,
  [12520] = 12207,
  [12521] = 12521,
  [12522] = 12522,
  [12523] = 12209,
  [12524] = 12208,
  [12525] = 12209,
  [12526] = 12526,
  [12527] = 12527,
  [12528] = 12211,
  [12529] = 12159,
  [12530] = 12530,
  [12531] = 12531,
  [12532] = 12532,
  [12533] = 12533,
  [12534] = 12182,
  [12535] = 12177,
  [12536] = 12227,
  [12537] = 12463,
  [12538] = 12211,
  [12539] = 12255,
  [12540] = 12464,
  [12541] = 12180,
  [12542] = 12465,
  [12543] = 12418,
  [12544] = 12382,
  [12545] = 12251,
  [12546] = 12240,
  [12547] = 12378,
  [12548] = 12280,
  [12549] = 12466,
  [12550] = 12227,
  [12551] = 12159,
  [12552] = 12552,
  [12553] = 12553,
  [12554] = 12554,
  [12555] = 12240,
  [12556] = 12251,
  [12557] = 12208,
  [12558] = 12255,
  [12559] = 12251,
  [12560] = 12163,
  [12561] = 12255,
  [12562] = 12228,
  [12563] = 12240,
  [12564] = 12180,
  [12565] = 12207,
  [12566] = 12181,
  [12567] = 12493,
  [12568] = 12182,
  [12569] = 12318,
  [12570] = 12177,
  [12571] = 12338,
  [12572] = 12572,
  [12573] = 12526,
  [12574] = 12228,
  [12575] = 12280,
  [12576] = 12207,
  [12577] = 12208,
  [12578] = 12209,
  [12579] = 12533,
  [12580] = 12159,
  [12581] = 12211,
  [12582] = 12211,
  [12583] = 12159,
  [12584] = 12208,
  [12585] = 12209,
  [12586] = 12531,
  [12587] = 12337,
  [12588] = 12552,
  [12589] = 12209,
  [12590] = 12208,
  [12591] = 12553,
  [12592] = 12255,
  [12593] = 12554,
  [12594] = 12251,
  [12595] = 12207,
  [12596] = 12240,
  [12597] = 12335,
  [12598] = 12211,
  [12599] = 12159,
  [12600] = 12530,
  [12601] = 12334,
  [12602] = 12227,
  [12603] = 12280,
  [12604] = 12527,
  [12605] = 12227,
  [12606] = 12167,
  [12607] = 12522,
  [12608] = 12168,
  [12609] = 12521,
  [12610] = 12532,
  [12611] = 12207,
  [12612] = 12172,
  [12613] = 12613,
  [12614] = 12173,
  [12615] = 12177,
  [12616] = 12182,
  [12617] = 12163,
  [12618] = 12228,
  [12619] = 12174,
  [12620] = 12180,
  [12621] = 12181,
  [12622] = 12182,
  [12623] = 12177,
  [12624] = 12198,
  [12625] = 12175,
  [12626] = 12280,
  [12627] = 12207,
  [12628] = 12181,
  [12629] = 12208,
  [12630] = 12209,
  [12631] = 12207,
  [12632] = 12211,
  [12633] = 12159,
  [12634] = 12209,
  [12635] = 12518,
  [12636] = 12328,
  [12637] = 12176,
  [12638] = 12180,
  [12639] = 12211,
  [12640] = 12255,
  [12641] = 12179,
  [12642] = 12251,
  [12643] = 12240,
  [12644] = 12324,
  [12645] = 12184,
  [12646] = 12228,
  [12647] = 12255,
  [12648] = 12163,
  [12649] = 12227,
  [12650] = 12650,
  [12651] = 12163,
  [12652] = 12251,
  [12653] = 12240,
  [12654] = 12505,
  [12655] = 12517,
  [12656] = 12185,
  [12657] = 12163,
  [12658] = 12658,
  [12659] = 12187,
  [12660] = 12188,
  [12661] = 12163,
  [12662] = 12228,
  [12663] = 12180,
  [12664] = 12180,
  [12665] = 12181,
  [12666] = 12182,
  [12667] = 12177,
  [12668] = 12208,
  [12669] = 12181,
  [12670] = 12280,
  [12671] = 12207,
  [12672] = 12208,
  [12673] = 12209,
  [12674] = 12674,
  [12675] = 12211,
  [12676] = 12342,
  [12677] = 12209,
  [12678] = 12182,
  [12679] = 12227,
  [12680] = 12177,
  [12681] = 12255,
  [12682] = 12572,
  [12683] = 12251,
  [12684] = 12240,
  [12685] = 12317,
  [12686] = 12207,
  [12687] = 12208,
  [12688] = 12227,
  [12689] = 12209,
  [12690] = 12227,
  [12691] = 12211,
  [12692] = 12504,
  [12693] = 12161,
  [12694] = 12159,
  [12695] = 12695,
  [12696] = 12696,
  [12697] = 12240,
  [12698] = 12192,
  [12699] = 12240,
  [12700] = 12163,
  [12701] = 12228,
  [12702] = 12251,
  [12703] = 12180,
  [12704] = 12181,
  [12705] = 12182,
  [12706] = 12177,
  [12707] = 12255,
  [12708] = 12255,
  [12709] = 12280,
  [12710] = 12207,
  [12711] = 12208,
  [12712] = 12209,
  [12713] = 12251,
  [12714] = 12211,
  [12715] = 12159,
  [12716] = 12251,
  [12717] = 12316,
  [12718] = 12240,
  [12719] = 12178,
  [12720] = 12255,
  [12721] = 12161,
  [12722] = 12251,
  [12723] = 12240,
  [12724] = 12315,
  [12725] = 12227,
  [12726] = 12159,
  [12727] = 12211,
  [12728] = 12227,
  [12729] = 12161,
  [12730] = 12209,
  [12731] = 12208,
  [12732] = 12207,
  [12733] = 12280,
  [12734] = 12161,
  [12735] = 12177,
  [12736] = 12182,
  [12737] = 12181,
  [12738] = 12180,
  [12739] = 12228,
  [12740] = 12163,
  [12741] = 12161,
  [12742] = 12163,
  [12743] = 12240,
  [12744] = 12161,
  [12745] = 12251,
  [12746] = 12286,
  [12747] = 12290,
  [12748] = 12285,
  [12749] = 12284,
  [12750] = 12283,
  [12751] = 12282,
  [12752] = 12255,
  [12753] = 12261,
  [12754] = 12259,
  [12755] = 12254,
  [12756] = 12248,
  [12757] = 12247,
  [12758] = 12246,
  [12759] = 12245,
  [12760] = 12228,
  [12761] = 12227,
  [12762] = 12180,
  [12763] = 12244,
  [12764] = 12181,
  [12765] = 12182,
  [12766] = 12177,
  [12767] = 12161,
  [12768] = 12163,
  [12769] = 12242,
  [12770] = 12241,
  [12771] = 12219,
  [12772] = 12217,
  [12773] = 12255,
  [12774] = 12280,
  [12775] = 12180,
  [12776] = 12658,
  [12777] = 12194,
  [12778] = 12207,
  [12779] = 12208,
  [12780] = 12209,
  [12781] = 12240,
  [12782] = 12782,
  [12783] = 12211,
  [12784] = 12159,
  [12785] = 12251,
  [12786] = 12786,
  [12787] = 12181,
  [12788] = 12788,
  [12789] = 12255,
  [12790] = 12227,
  [12791] = 12674,
  [12792] = 12182,
  [12793] = 12793,
  [12794] = 12794,
  [12795] = 12255,
  [12796] = 12796,
  [12797] = 12161,
  [12798] = 12301,
  [12799] = 12177,
  [12800] = 12251,
  [12801] = 12240,
  [12802] = 12195,
  [12803] = 6061,
  [12804] = 12207,
  [12805] = 12227,
  [12806] = 12227,
  [12807] = 12163,
  [12808] = 12159,
  [12809] = 12240,
  [12810] = 12251,
  [12811] = 12211,
  [12812] = 12208,
  [12813] = 12161,
  [12814] = 12209,
  [12815] = 12255,
  [12816] = 12208,
  [12817] = 12207,
  [12818] = 12280,
  [12819] = 12209,
  [12820] = 12177,
  [12821] = 12228,
  [12822] = 12182,
  [12823] = 12193,
  [12824] = 12181,
  [12825] = 12161,
  [12826] = 12180,
  [12827] = 12228,
  [12828] = 12163,
  [12829] = 12180,
  [12830] = 7518,
  [12831] = 12211,
  [12832] = 12163,
  [12833] = 12228,
  [12834] = 12159,
  [12835] = 12211,
  [12836] = 12159,
  [12837] = 12180,
  [12838] = 12181,
  [12839] = 12161,
  [12840] = 12182,
  [12841] = 12177,
  [12842] = 12255,
  [12843] = 12209,
  [12844] = 12208,
  [12845] = 12251,
  [12846] = 12280,
  [12847] = 12207,
  [12848] = 12208,
  [12849] = 12207,
  [12850] = 12209,
  [12851] = 12240,
  [12852] = 12211,
  [12853] = 12159,
  [12854] = 12181,
  [12855] = 12227,
  [12856] = 12794,
  [12857] = 12280,
  [12858] = 12793,
  [12859] = 12196,
  [12860] = 12197,
  [12861] = 12227,
  [12862] = 12255,
  [12863] = 12788,
  [12864] = 12251,
  [12865] = 12240,
  [12866] = 12786,
  [12867] = 12782,
  [12868] = 12369,
  [12869] = 12177,
  [12870] = 12182,
  [12871] = 12871,
  [12872] = 12871,
  [12873] = 12873,
  [12874] = 12874,
  [12875] = 12875,
  [12876] = 12871,
  [12877] = 12871,
  [12878] = 12878,
  [12879] = 12871,
  [12880] = 12871,
  [12881] = 12871,
  [12882] = 12874,
  [12883] = 12874,
  [12884] = 12871,
  [12885] = 12878,
  [12886] = 12871,
  [12887] = 12871,
  [12888] = 12888,
  [12889] = 12889,
  [12890] = 12890,
  [12891] = 12891,
  [12892] = 12874,
  [12893] = 12893,
  [12894] = 6745,
  [12895] = 6746,
  [12896] = 12871,
  [12897] = 12871,
  [12898] = 12878,
  [12899] = 12899,
  [12900] = 12900,
  [12901] = 12874,
  [12902] = 6746,
  [12903] = 12903,
  [12904] = 6750,
  [12905] = 6755,
  [12906] = 12906,
  [12907] = 12907,
  [12908] = 12908,
  [12909] = 12871,
  [12910] = 7101,
  [12911] = 7972,
  [12912] = 12874,
  [12913] = 12878,
  [12914] = 12914,
  [12915] = 6755,
  [12916] = 12874,
  [12917] = 12874,
  [12918] = 12918,
  [12919] = 6756,
  [12920] = 12871,
  [12921] = 12871,
  [12922] = 12900,
  [12923] = 12874,
  [12924] = 6745,
  [12925] = 12918,
  [12926] = 12873,
  [12927] = 12878,
  [12928] = 12893,
  [12929] = 12899,
  [12930] = 12930,
  [12931] = 12931,
  [12932] = 12871,
  [12933] = 12891,
  [12934] = 12893,
  [12935] = 12871,
  [12936] = 12871,
  [12937] = 12871,
  [12938] = 12878,
  [12939] = 12871,
  [12940] = 12940,
  [12941] = 12878,
  [12942] = 12942,
  [12943] = 12874,
  [12944] = 12871,
  [12945] = 478,
  [12946] = 12891,
  [12947] = 12890,
  [12948] = 12890,
  [12949] = 12874,
  [12950] = 12889,
  [12951] = 12889,
  [12952] = 12874,
  [12953] = 12871,
  [12954] = 12871,
  [12955] = 12874,
  [12956] = 12871,
  [12957] = 12878,
  [12958] = 12942,
  [12959] = 12906,
  [12960] = 12874,
  [12961] = 12871,
  [12962] = 12906,
  [12963] = 12942,
  [12964] = 12874,
  [12965] = 12874,
  [12966] = 12900,
  [12967] = 6455,
  [12968] = 12906,
  [12969] = 6456,
  [12970] = 12871,
  [12971] = 12878,
  [12972] = 12900,
  [12973] = 12874,
  [12974] = 12871,
  [12975] = 486,
  [12976] = 12976,
  [12977] = 12871,
  [12978] = 12878,
  [12979] = 12878,
  [12980] = 12871,
  [12981] = 12874,
  [12982] = 6457,
  [12983] = 12878,
  [12984] = 6459,
  [12985] = 12878,
  [12986] = 6460,
  [12987] = 12987,
  [12988] = 6461,
  [12989] = 12878,
  [12990] = 12871,
  [12991] = 12871,
  [12992] = 12871,
  [12993] = 12900,
  [12994] = 12871,
  [12995] = 12871,
  [12996] = 12878,
  [12997] = 12997,
  [12998] = 12906,
  [12999] = 12942,
  [13000] = 12874,
  [13001] = 12878,
  [13002] = 13002,
  [13003] = 12908,
  [13004] = 12871,
  [13005] = 6462,
  [13006] = 13006,
  [13007] = 12871,
  [13008] = 12878,
  [13009] = 12871,
  [13010] = 12903,
  [13011] = 13011,
  [13012] = 12874,
  [13013] = 12942,
  [13014] = 12914,
  [13015] = 12874,
  [13016] = 12900,
  [13017] = 12878,
  [13018] = 12871,
  [13019] = 6756,
  [13020] = 12942,
  [13021] = 12906,
  [13022] = 13022,
  [13023] = 13023,
  [13024] = 13023,
  [13025] = 13025,
  [13026] = 13025,
  [13027] = 13027,
  [13028] = 13023,
  [13029] = 13027,
  [13030] = 13023,
  [13031] = 13031,
  [13032] = 13032,
  [13033] = 13031,
  [13034] = 13022,
  [13035] = 13025,
  [13036] = 13025,
  [13037] = 13023,
  [13038] = 13031,
  [13039] = 13031,
  [13040] = 13025,
  [13041] = 13027,
  [13042] = 7226,
  [13043] = 13031,
  [13044] = 13023,
  [13045] = 13025,
  [13046] = 13023,
  [13047] = 13027,
  [13048] = 13025,
  [13049] = 13023,
  [13050] = 13025,
  [13051] = 13031,
  [13052] = 13027,
  [13053] = 13023,
  [13054] = 13023,
  [13055] = 7459,
  [13056] = 13027,
  [13057] = 13032,
  [13058] = 13025,
  [13059] = 13027,
  [13060] = 13022,
  [13061] = 13032,
  [13062] = 13023,
  [13063] = 13031,
  [13064] = 13023,
  [13065] = 13065,
  [13066] = 13066,
  [13067] = 13031,
  [13068] = 13023,
  [13069] = 13023,
  [13070] = 13023,
  [13071] = 13025,
  [13072] = 13023,
  [13073] = 13031,
  [13074] = 13023,
  [13075] = 7466,
  [13076] = 13027,
  [13077] = 13023,
  [13078] = 13031,
  [13079] = 6723,
  [13080] = 13023,
  [13081] = 13023,
  [13082] = 6700,
  [13083] = 6704,
  [13084] = 13023,
  [13085] = 6708,
  [13086] = 13027,
  [13087] = 13023,
  [13088] = 13025,
  [13089] = 13023,
  [13090] = 13090,
  [13091] = 13023,
  [13092] = 13023,
  [13093] = 13023,
  [13094] = 13032,
  [13095] = 13027,
  [13096] = 13022,
  [13097] = 13025,
  [13098] = 13023,
  [13099] = 13023,
  [13100] = 13023,
  [13101] = 13027,
  [13102] = 13031,
  [13103] = 13032,
  [13104] = 13027,
  [13105] = 13032,
  [13106] = 13022,
  [13107] = 13025,
  [13108] = 13022,
  [13109] = 13022,
  [13110] = 6462,
  [13111] = 13025,
  [13112] = 13032,
  [13113] = 13022,
  [13114] = 13023,
  [13115] = 13023,
  [13116] = 13032,
  [13117] = 13022,
  [13118] = 13118,
  [13119] = 13025,
  [13120] = 13120,
  [13121] = 13022,
  [13122] = 13032,
  [13123] = 13027,
  [13124] = 13031,
  [13125] = 13032,
  [13126] = 13031,
  [13127] = 7214,
  [13128] = 7248,
  [13129] = 13031,
  [13130] = 13027,
  [13131] = 13027,
  [13132] = 13025,
  [13133] = 13027,
  [13134] = 6455,
  [13135] = 7120,
  [13136] = 6461,
  [13137] = 13137,
  [13138] = 13022,
  [13139] = 6460,
  [13140] = 13025,
  [13141] = 6459,
  [13142] = 6457,
  [13143] = 13023,
  [13144] = 7152,
  [13145] = 13023,
  [13146] = 13032,
  [13147] = 7456,
  [13148] = 13031,
  [13149] = 13031,
  [13150] = 7140,
  [13151] = 13031,
  [13152] = 13025,
  [13153] = 6456,
  [13154] = 13065,
  [13155] = 13023,
  [13156] = 7260,
  [13157] = 7259,
  [13158] = 13032,
  [13159] = 13031,
  [13160] = 13022,
  [13161] = 13161,
  [13162] = 13032,
  [13163] = 7213,
  [13164] = 13023,
  [13165] = 13022,
  [13166] = 13023,
  [13167] = 13027,
  [13168] = 13168,
  [13169] = 13032,
  [13170] = 7110,
  [13171] = 13025,
  [13172] = 13027,
  [13173] = 13022,
  [13174] = 13027,
  [13175] = 13175,
  [13176] = 13031,
  [13177] = 13031,
  [13178] = 13032,
  [13179] = 13022,
  [13180] = 13027,
  [13181] = 13027,
  [13182] = 13031,
  [13183] = 13032,
  [13184] = 13023,
  [13185] = 13025,
  [13186] = 13022,
  [13187] = 13022,
  [13188] = 7232,
  [13189] = 6775,
  [13190] = 13025,
  [13191] = 13032,
  [13192] = 13023,
  [13193] = 13022,
  [13194] = 13032,
  [13195] = 13195,
  [13196] = 13196,
  [13197] = 13197,
  [13198] = 13198,
  [13199] = 13199,
  [13200] = 13196,
  [13201] = 13201,
  [13202] = 13199,
  [13203] = 13203,
  [13204] = 13197,
  [13205] = 13205,
  [13206] = 13206,
  [13207] = 13207,
  [13208] = 13196,
  [13209] = 13198,
  [13210] = 13210,
  [13211] = 13199,
  [13212] = 13198,
  [13213] = 13203,
  [13214] = 13214,
  [13215] = 13215,
  [13216] = 13207,
  [13217] = 13217,
  [13218] = 13218,
  [13219] = 13219,
  [13220] = 13207,
  [13221] = 13206,
  [13222] = 13206,
  [13223] = 13201,
  [13224] = 13224,
  [13225] = 13225,
  [13226] = 13226,
  [13227] = 7287,
  [13228] = 13196,
  [13229] = 13229,
  [13230] = 13230,
  [13231] = 7285,
  [13232] = 13232,
  [13233] = 13233,
  [13234] = 13234,
  [13235] = 13235,
  [13236] = 13236,
  [13237] = 13232,
  [13238] = 13238,
  [13239] = 13210,
  [13240] = 13240,
  [13241] = 13195,
  [13242] = 13242,
  [13243] = 13243,
  [13244] = 13218,
  [13245] = 13245,
  [13246] = 13205,
  [13247] = 13201,
  [13248] = 13229,
  [13249] = 13230,
  [13250] = 13203,
  [13251] = 13199,
  [13252] = 13198,
  [13253] = 13196,
  [13254] = 13254,
  [13255] = 13242,
  [13256] = 13256,
  [13257] = 13238,
  [13258] = 13245,
  [13259] = 13234,
  [13260] = 13235,
  [13261] = 13197,
  [13262] = 13210,
  [13263] = 13214,
  [13264] = 13236,
  [13265] = 13215,
  [13266] = 13217,
  [13267] = 13205,
  [13268] = 13218,
  [13269] = 13195,
  [13270] = 13219,
  [13271] = 13240,
  [13272] = 13224,
  [13273] = 13224,
  [13274] = 13242,
  [13275] = 13232,
  [13276] = 13225,
  [13277] = 13226,
  [13278] = 13238,
  [13279] = 13236,
  [13280] = 13214,
  [13281] = 13236,
  [13282] = 13238,
  [13283] = 13242,
  [13284] = 13232,
  [13285] = 13215,
  [13286] = 13226,
  [13287] = 13235,
  [13288] = 13225,
  [13289] = 13234,
  [13290] = 13240,
  [13291] = 13229,
  [13292] = 13195,
  [13293] = 13254,
  [13294] = 7298,
  [13295] = 13217,
  [13296] = 13245,
  [13297] = 7300,
  [13298] = 7273,
  [13299] = 13226,
  [13300] = 13232,
  [13301] = 13225,
  [13302] = 13243,
  [13303] = 13224,
  [13304] = 13217,
  [13305] = 13224,
  [13306] = 13207,
  [13307] = 13206,
  [13308] = 13219,
  [13309] = 13218,
  [13310] = 13217,
  [13311] = 13215,
  [13312] = 13214,
  [13313] = 13242,
  [13314] = 13219,
  [13315] = 13229,
  [13316] = 13230,
  [13317] = 13317,
  [13318] = 13234,
  [13319] = 13238,
  [13320] = 13235,
  [13321] = 13321,
  [13322] = 13218,
  [13323] = 13236,
  [13324] = 13240,
  [13325] = 13195,
  [13326] = 13230,
  [13327] = 13218,
  [13328] = 13245,
  [13329] = 13205,
  [13330] = 13205,
  [13331] = 13245,
  [13332] = 13201,
  [13333] = 13219,
  [13334] = 13201,
  [13335] = 13226,
  [13336] = 13203,
  [13337] = 13199,
  [13338] = 13225,
  [13339] = 13210,
  [13340] = 13217,
  [13341] = 13198,
  [13342] = 13196,
  [13343] = 13224,
  [13344] = 13254,
  [13345] = 13197,
  [13346] = 13197,
  [13347] = 13219,
  [13348] = 13254,
  [13349] = 13210,
  [13350] = 13196,
  [13351] = 13214,
  [13352] = 13218,
  [13353] = 13217,
  [13354] = 13215,
  [13355] = 13198,
  [13356] = 13217,
  [13357] = 13215,
  [13358] = 13214,
  [13359] = 13218,
  [13360] = 13199,
  [13361] = 13219,
  [13362] = 13215,
  [13363] = 13203,
  [13364] = 13199,
  [13365] = 13203,
  [13366] = 13230,
  [13367] = 13224,
  [13368] = 13229,
  [13369] = 13210,
  [13370] = 13225,
  [13371] = 13226,
  [13372] = 13197,
  [13373] = 13201,
  [13374] = 13214,
  [13375] = 13205,
  [13376] = 13376,
  [13377] = 13254,
  [13378] = 13196,
  [13379] = 13236,
  [13380] = 13238,
  [13381] = 13198,
  [13382] = 13207,
  [13383] = 13206,
  [13384] = 13199,
  [13385] = 13203,
  [13386] = 13198,
  [13387] = 13242,
  [13388] = 13232,
  [13389] = 7360,
  [13390] = 7361,
  [13391] = 7305,
  [13392] = 13206,
  [13393] = 13229,
  [13394] = 13201,
  [13395] = 13205,
  [13396] = 13396,
  [13397] = 13207,
  [13398] = 13206,
  [13399] = 13230,
  [13400] = 13207,
  [13401] = 13206,
  [13402] = 13195,
  [13403] = 13219,
  [13404] = 13196,
  [13405] = 13207,
  [13406] = 13245,
  [13407] = 13229,
  [13408] = 13230,
  [13409] = 13195,
  [13410] = 13245,
  [13411] = 13240,
  [13412] = 13234,
  [13413] = 13195,
  [13414] = 13240,
  [13415] = 13254,
  [13416] = 13235,
  [13417] = 13235,
  [13418] = 13234,
  [13419] = 13230,
  [13420] = 13240,
  [13421] = 13195,
  [13422] = 13229,
  [13423] = 13245,
  [13424] = 13210,
  [13425] = 13205,
  [13426] = 13201,
  [13427] = 13240,
  [13428] = 13234,
  [13429] = 13203,
  [13430] = 13235,
  [13431] = 13234,
  [13432] = 13197,
  [13433] = 13199,
  [13434] = 13198,
  [13435] = 13196,
  [13436] = 13254,
  [13437] = 13197,
  [13438] = 13210,
  [13439] = 13225,
  [13440] = 13235,
  [13441] = 13230,
  [13442] = 13229,
  [13443] = 13215,
  [13444] = 13214,
  [13445] = 13215,
  [13446] = 13254,
  [13447] = 13447,
  [13448] = 13196,
  [13449] = 13224,
  [13450] = 13217,
  [13451] = 13234,
  [13452] = 13218,
  [13453] = 13219,
  [13454] = 13198,
  [13455] = 13224,
  [13456] = 13447,
  [13457] = 13225,
  [13458] = 13206,
  [13459] = 13207,
  [13460] = 13199,
  [13461] = 13226,
  [13462] = 13235,
  [13463] = 13236,
  [13464] = 13203,
  [13465] = 13214,
  [13466] = 13240,
  [13467] = 13238,
  [13468] = 13235,
  [13469] = 13195,
  [13470] = 13225,
  [13471] = 13242,
  [13472] = 13234,
  [13473] = 13245,
  [13474] = 13232,
  [13475] = 13206,
  [13476] = 13240,
  [13477] = 13207,
  [13478] = 13226,
  [13479] = 13195,
  [13480] = 13201,
  [13481] = 13205,
  [13482] = 13203,
  [13483] = 7292,
  [13484] = 13229,
  [13485] = 13230,
  [13486] = 13197,
  [13487] = 13245,
  [13488] = 13234,
  [13489] = 13230,
  [13490] = 13235,
  [13491] = 13207,
  [13492] = 13215,
  [13493] = 13197,
  [13494] = 13206,
  [13495] = 13243,
  [13496] = 13245,
  [13497] = 13205,
  [13498] = 13210,
  [13499] = 13240,
  [13500] = 13201,
  [13501] = 13245,
  [13502] = 13229,
  [13503] = 13195,
  [13504] = 13504,
  [13505] = 13240,
  [13506] = 13230,
  [13507] = 13214,
  [13508] = 13210,
  [13509] = 13234,
  [13510] = 13235,
  [13511] = 13217,
  [13512] = 13218,
  [13513] = 13229,
  [13514] = 13514,
  [13515] = 13240,
  [13516] = 13219,
  [13517] = 13195,
  [13518] = 13245,
  [13519] = 13205,
  [13520] = 13201,
  [13521] = 13205,
  [13522] = 13201,
  [13523] = 13203,
  [13524] = 13203,
  [13525] = 13199,
  [13526] = 13198,
  [13527] = 13243,
  [13528] = 13196,
  [13529] = 13224,
  [13530] = 13254,
  [13531] = 13243,
  [13532] = 13199,
  [13533] = 13225,
  [13534] = 13197,
  [13535] = 13210,
  [13536] = 13236,
  [13537] = 13199,
  [13538] = 13214,
  [13539] = 13215,
  [13540] = 13217,
  [13541] = 13218,
  [13542] = 13226,
  [13543] = 13219,
  [13544] = 13198,
  [13545] = 13224,
  [13546] = 13225,
  [13547] = 13206,
  [13548] = 13207,
  [13549] = 13226,
  [13550] = 13550,
  [13551] = 13236,
  [13552] = 13232,
  [13553] = 13232,
  [13554] = 13238,
  [13555] = 13236,
  [13556] = 13243,
  [13557] = 13242,
  [13558] = 13196,
  [13559] = 13232,
  [13560] = 13254,
  [13561] = 7315,
  [13562] = 7316,
  [13563] = 13396,
  [13564] = 13197,
  [13565] = 13242,
  [13566] = 13238,
  [13567] = 13235,
  [13568] = 13234,
  [13569] = 13242,
  [13570] = 13238,
  [13571] = 13238,
  [13572] = 13210,
  [13573] = 13198,
  [13574] = 13196,
  [13575] = 13236,
  [13576] = 13254,
  [13577] = 13214,
  [13578] = 13242,
  [13579] = 13215,
  [13580] = 13217,
  [13581] = 13218,
  [13582] = 13207,
  [13583] = 13210,
  [13584] = 13206,
  [13585] = 13219,
  [13586] = 13224,
  [13587] = 13226,
  [13588] = 13238,
  [13589] = 13225,
  [13590] = 13225,
  [13591] = 13226,
  [13592] = 13229,
  [13593] = 13230,
  [13594] = 13197,
  [13595] = 13224,
  [13596] = 13236,
  [13597] = 13242,
  [13598] = 13234,
  [13599] = 13219,
  [13600] = 13235,
  [13601] = 13238,
  [13602] = 13242,
  [13603] = 13240,
  [13604] = 13218,
  [13605] = 13217,
  [13606] = 13230,
  [13607] = 13229,
  [13608] = 13195,
  [13609] = 13215,
  [13610] = 13214,
  [13611] = 13245,
  [13612] = 13232,
  [13613] = 13232,
  [13614] = 13236,
  [13615] = 13205,
  [13616] = 13201,
  [13617] = 13210,
  [13618] = 13214,
  [13619] = 13215,
  [13620] = 13203,
  [13621] = 13210,
  [13622] = 13199,
  [13623] = 13198,
  [13624] = 13197,
  [13625] = 13196,
  [13626] = 13254,
  [13627] = 13203,
  [13628] = 13217,
  [13629] = 13254,
  [13630] = 13196,
  [13631] = 13206,
  [13632] = 13197,
  [13633] = 13198,
  [13634] = 13218,
  [13635] = 13243,
  [13636] = 13199,
  [13637] = 13203,
  [13638] = 13210,
  [13639] = 13226,
  [13640] = 13201,
  [13641] = 13214,
  [13642] = 13215,
  [13643] = 13217,
  [13644] = 13218,
  [13645] = 13207,
  [13646] = 13201,
  [13647] = 13205,
  [13648] = 13207,
  [13649] = 13225,
  [13650] = 13219,
  [13651] = 13206,
  [13652] = 13224,
  [13653] = 13224,
  [13654] = 13225,
  [13655] = 13226,
  [13656] = 13229,
  [13657] = 13219,
  [13658] = 13219,
  [13659] = 13230,
  [13660] = 13236,
  [13661] = 13238,
  [13662] = 13245,
  [13663] = 13217,
  [13664] = 13234,
  [13665] = 13195,
  [13666] = 13240,
  [13667] = 13242,
  [13668] = 13235,
  [13669] = 13214,
  [13670] = 13215,
  [13671] = 13214,
  [13672] = 13232,
  [13673] = 13205,
  [13674] = 13210,
  [13675] = 13197,
  [13676] = 13243,
  [13677] = 13218,
  [13678] = 13215,
  [13679] = 13240,
  [13680] = 13195,
  [13681] = 13245,
  [13682] = 13235,
  [13683] = 13234,
  [13684] = 13376,
  [13685] = 13205,
  [13686] = 13232,
  [13687] = 13201,
  [13688] = 13215,
  [13689] = 13203,
  [13690] = 13199,
  [13691] = 13207,
  [13692] = 13206,
  [13693] = 13230,
  [13694] = 13229,
  [13695] = 13198,
  [13696] = 13696,
  [13697] = 13196,
  [13698] = 13254,
  [13699] = 13197,
  [13700] = 13210,
  [13701] = 13224,
  [13702] = 13229,
  [13703] = 13230,
  [13704] = 13225,
  [13705] = 13234,
  [13706] = 13235,
  [13707] = 13205,
  [13708] = 13243,
  [13709] = 13201,
  [13710] = 13206,
  [13711] = 13207,
  [13712] = 13712,
  [13713] = 331,
  [13714] = 324,
  [13715] = 321,
  [13716] = 320,
  [13717] = 318,
  [13718] = 317,
  [13719] = 13240,
  [13720] = 314,
  [13721] = 13195,
  [13722] = 313,
  [13723] = 335,
  [13724] = 309,
  [13725] = 307,
  [13726] = 13726,
  [13727] = 13245,
  [13728] = 13203,
  [13729] = 13729,
  [13730] = 305,
  [13731] = 13226,
  [13732] = 304,
  [13733] = 13733,
  [13734] = 13254,
  [13735] = 13196,
  [13736] = 303,
  [13737] = 13205,
  [13738] = 13201,
  [13739] = 302,
  [13740] = 301,
  [13741] = 300,
  [13742] = 296,
  [13743] = 292,
  [13744] = 13744,
  [13745] = 13203,
  [13746] = 13243,
  [13747] = 13243,
  [13748] = 13199,
  [13749] = 13198,
  [13750] = 288,
  [13751] = 13196,
  [13752] = 13254,
  [13753] = 13254,
  [13754] = 13198,
  [13755] = 13197,
  [13756] = 13199,
  [13757] = 13243,
  [13758] = 13210,
  [13759] = 13198,
  [13760] = 13243,
  [13761] = 13196,
  [13762] = 284,
  [13763] = 282,
  [13764] = 13199,
  [13765] = 13203,
  [13766] = 13226,
  [13767] = 13214,
  [13768] = 13215,
  [13769] = 13769,
  [13770] = 13217,
  [13771] = 13236,
  [13772] = 13218,
  [13773] = 13254,
  [13774] = 280,
  [13775] = 13219,
  [13776] = 13217,
  [13777] = 13224,
  [13778] = 13254,
  [13779] = 13218,
  [13780] = 274,
  [13781] = 13197,
  [13782] = 13225,
  [13783] = 13233,
  [13784] = 13550,
  [13785] = 13226,
  [13786] = 273,
  [13787] = 13197,
  [13788] = 13198,
  [13789] = 13201,
  [13790] = 13205,
  [13791] = 271,
  [13792] = 266,
  [13793] = 13236,
  [13794] = 13243,
  [13795] = 13238,
  [13796] = 262,
  [13797] = 13236,
  [13798] = 13798,
  [13799] = 261,
  [13800] = 13800,
  [13801] = 13210,
  [13802] = 13242,
  [13803] = 13238,
  [13804] = 13232,
  [13805] = 257,
  [13806] = 13321,
  [13807] = 13243,
  [13808] = 255,
  [13809] = 13232,
  [13810] = 13214,
  [13811] = 13238,
  [13812] = 13242,
  [13813] = 13245,
  [13814] = 13800,
  [13815] = 7320,
  [13816] = 13195,
  [13817] = 13242,
  [13818] = 253,
  [13819] = 13199,
  [13820] = 13219,
  [13821] = 13240,
  [13822] = 251,
  [13823] = 13238,
  [13824] = 250,
  [13825] = 245,
  [13826] = 13203,
  [13827] = 13236,
  [13828] = 13243,
  [13829] = 13242,
  [13830] = 13232,
  [13831] = 244,
  [13832] = 240,
  [13833] = 13217,
  [13834] = 13232,
  [13835] = 13242,
  [13836] = 13218,
  [13837] = 239,
  [13838] = 13219,
  [13839] = 13226,
  [13840] = 238,
  [13841] = 13224,
  [13842] = 13225,
  [13843] = 13317,
  [13844] = 236,
  [13845] = 234,
  [13846] = 13225,
  [13847] = 13224,
  [13848] = 229,
  [13849] = 13214,
  [13850] = 13215,
  [13851] = 13219,
  [13852] = 308,
  [13853] = 355,
  [13854] = 360,
  [13855] = 13226,
  [13856] = 13218,
  [13857] = 13217,
  [13858] = 269,
  [13859] = 342,
  [13860] = 13207,
  [13861] = 13215,
  [13862] = 13214,
  [13863] = 13206,
  [13864] = 13217,
  [13865] = 241,
  [13866] = 346,
  [13867] = 13207,
  [13868] = 13206,
  [13869] = 13238,
  [13870] = 13218,
  [13871] = 310,
  [13872] = 13224,
  [13873] = 13210,
  [13874] = 13245,
  [13875] = 13219,
  [13876] = 13197,
  [13877] = 13224,
  [13878] = 13236,
  [13879] = 13229,
  [13880] = 13230,
  [13881] = 13254,
  [13882] = 13196,
  [13883] = 13236,
  [13884] = 13225,
  [13885] = 13198,
  [13886] = 13226,
  [13887] = 13232,
  [13888] = 13199,
  [13889] = 13203,
  [13890] = 13234,
  [13891] = 13235,
  [13892] = 365,
  [13893] = 13238,
  [13894] = 364,
  [13895] = 13240,
  [13896] = 356,
  [13897] = 13195,
  [13898] = 13201,
  [13899] = 13205,
  [13900] = 13242,
  [13901] = 13245,
  [13902] = 354,
  [13903] = 13903,
  [13904] = 13195,
  [13905] = 13205,
  [13906] = 352,
  [13907] = 13201,
  [13908] = 315,
  [13909] = 13203,
  [13910] = 13199,
  [13911] = 13232,
  [13912] = 295,
  [13913] = 13198,
  [13914] = 13245,
  [13915] = 13196,
  [13916] = 13254,
  [13917] = 13195,
  [13918] = 13240,
  [13919] = 285,
  [13920] = 13197,
  [13921] = 226,
  [13922] = 13210,
  [13923] = 252,
  [13924] = 13214,
  [13925] = 264,
  [13926] = 13215,
  [13927] = 350,
  [13928] = 13235,
  [13929] = 13217,
  [13930] = 13218,
  [13931] = 13234,
  [13932] = 329,
  [13933] = 13219,
  [13934] = 13235,
  [13935] = 13234,
  [13936] = 13240,
  [13937] = 231,
  [13938] = 13226,
  [13939] = 13224,
  [13940] = 13940,
  [13941] = 243,
  [13942] = 13225,
  [13943] = 246,
  [13944] = 13226,
  [13945] = 13230,
  [13946] = 13229,
  [13947] = 13232,
  [13948] = 265,
  [13949] = 259,
  [13950] = 278,
  [13951] = 13225,
  [13952] = 277,
  [13953] = 298,
  [13954] = 13243,
  [13955] = 13243,
  [13956] = 13236,
  [13957] = 13225,
  [13958] = 325,
  [13959] = 13238,
  [13960] = 13201,
  [13961] = 13230,
  [13962] = 13206,
  [13963] = 13207,
  [13964] = 227,
  [13965] = 330,
  [13966] = 13229,
  [13967] = 13224,
  [13968] = 13242,
  [13969] = 332,
  [13970] = 338,
  [13971] = 13219,
  [13972] = 340,
  [13973] = 13232,
  [13974] = 348,
  [13975] = 373,
  [13976] = 13207,
  [13977] = 13207,
  [13978] = 263,
  [13979] = 13218,
  [13980] = 13217,
  [13981] = 375,
  [13982] = 380,
  [13983] = 366,
  [13984] = 347,
  [13985] = 13206,
  [13986] = 13226,
  [13987] = 13215,
  [13988] = 254,
  [13989] = 13243,
  [13990] = 13214,
  [13991] = 297,
  [13992] = 378,
  [13993] = 283,
  [13994] = 368,
  [13995] = 13229,
  [13996] = 13232,
  [13997] = 242,
  [13998] = 247,
  [13999] = 13243,
  [14000] = 276,
  [14001] = 13242,
  [14002] = 289,
  [14003] = 13238,
  [14004] = 377,
  [14005] = 13236,
  [14006] = 13207,
  [14007] = 13210,
  [14008] = 13229,
  [14009] = 13206,
  [14010] = 13230,
  [14011] = 13226,
  [14012] = 13197,
  [14013] = 13225,
  [14014] = 13224,
  [14015] = 13230,
  [14016] = 13206,
  [14017] = 267,
  [14018] = 13219,
  [14019] = 316,
  [14020] = 306,
  [14021] = 13218,
  [14022] = 341,
  [14023] = 13229,
  [14024] = 13230,
  [14025] = 13217,
  [14026] = 13215,
  [14027] = 294,
  [14028] = 248,
  [14029] = 13214,
  [14030] = 13234,
  [14031] = 13235,
  [14032] = 237,
  [14033] = 13210,
  [14034] = 13197,
  [14035] = 13234,
  [14036] = 13235,
  [14037] = 351,
  [14038] = 13206,
  [14039] = 13254,
  [14040] = 13232,
  [14041] = 13196,
  [14042] = 13240,
  [14043] = 328,
  [14044] = 327,
  [14045] = 230,
  [14046] = 13195,
  [14047] = 13245,
  [14048] = 13198,
  [14049] = 13199,
  [14050] = 13203,
  [14051] = 323,
  [14052] = 13201,
  [14053] = 13242,
  [14054] = 13205,
  [14055] = 232,
  [14056] = 13205,
  [14057] = 13201,
  [14058] = 13245,
  [14059] = 13238,
  [14060] = 13203,
  [14061] = 233,
  [14062] = 13199,
  [14063] = 13236,
  [14064] = 272,
  [14065] = 13198,
  [14066] = 13195,
  [14067] = 279,
  [14068] = 13254,
  [14069] = 13196,
  [14070] = 13254,
  [14071] = 13196,
  [14072] = 13236,
  [14073] = 258,
  [14074] = 13240,
  [14075] = 13226,
  [14076] = 286,
  [14077] = 13197,
  [14078] = 13225,
  [14079] = 225,
  [14080] = 13240,
  [14081] = 362,
  [14082] = 13210,
  [14083] = 13224,
  [14084] = 13195,
  [14085] = 13235,
  [14086] = 13234,
  [14087] = 13219,
  [14088] = 13205,
  [14089] = 367,
  [14090] = 379,
  [14091] = 13214,
  [14092] = 13218,
  [14093] = 13217,
  [14094] = 13245,
  [14095] = 357,
  [14096] = 13215,
  [14097] = 13215,
  [14098] = 13214,
  [14099] = 13217,
  [14100] = 235,
  [14101] = 13218,
  [14102] = 319,
  [14103] = 13230,
  [14104] = 13229,
  [14105] = 359,
  [14106] = 13219,
  [14107] = 369,
  [14108] = 13224,
  [14109] = 13210,
  [14110] = 381,
  [14111] = 13225,
  [14112] = 13197,
  [14113] = 291,
  [14114] = 13206,
  [14115] = 344,
  [14116] = 13226,
  [14117] = 13254,
  [14118] = 13196,
  [14119] = 343,
  [14120] = 13207,
  [14121] = 13198,
  [14122] = 339,
  [14123] = 13198,
  [14124] = 13199,
  [14125] = 13203,
  [14126] = 311,
  [14127] = 336,
  [14128] = 334,
  [14129] = 13254,
  [14130] = 13199,
  [14131] = 13236,
  [14132] = 333,
  [14133] = 13207,
  [14134] = 13201,
  [14135] = 13205,
  [14136] = 13238,
  [14137] = 312,
  [14138] = 13236,
  [14139] = 13242,
  [14140] = 14140,
  [14141] = 13238,
  [14142] = 13242,
  [14143] = 13203,
  [14144] = 13232,
  [14145] = 14145,
  [14146] = 13229,
  [14147] = 13798,
  [14148] = 13230,
  [14149] = 13238,
  [14150] = 13245,
  [14151] = 13234,
  [14152] = 13235,
  [14153] = 13195,
  [14154] = 13240,
  [14155] = 13201,
  [14156] = 13243,
  [14157] = 13243,
  [14158] = 13232,
  [14159] = 13242,
  [14160] = 13238,
  [14161] = 13205,
  [14162] = 13236,
  [14163] = 13234,
  [14164] = 13235,
  [14165] = 13226,
  [14166] = 13225,
  [14167] = 13224,
  [14168] = 13242,
  [14169] = 13219,
  [14170] = 13235,
  [14171] = 13234,
  [14172] = 13218,
  [14173] = 13217,
  [14174] = 13256,
  [14175] = 13207,
  [14176] = 13206,
  [14177] = 13215,
  [14178] = 13214,
  [14179] = 13210,
  [14180] = 13197,
  [14181] = 13230,
  [14182] = 13229,
  [14183] = 13254,
  [14184] = 13229,
  [14185] = 13230,
  [14186] = 13196,
  [14187] = 13240,
  [14188] = 13198,
  [14189] = 13232,
  [14190] = 13199,
  [14191] = 13203,
  [14192] = 363,
  [14193] = 13234,
  [14194] = 13235,
  [14195] = 13201,
  [14196] = 13205,
  [14197] = 13240,
  [14198] = 13206,
  [14199] = 13207,
  [14200] = 13195,
  [14201] = 13245,
  [14202] = 13245,
  [14203] = 13195,
  [14204] = 14204,
  [14205] = 14205,
  [14206] = 14206,
  [14207] = 14207,
  [14208] = 14204,
  [14209] = 7282,
  [14210] = 14204,
  [14211] = 14207,
  [14212] = 14212,
  [14213] = 14205,
  [14214] = 14214,
  [14215] = 14205,
  [14216] = 14214,
  [14217] = 14217,
  [14218] = 14207,
  [14219] = 14207,
  [14220] = 14205,
  [14221] = 14214,
  [14222] = 14204,
  [14223] = 14223,
  [14224] = 14224,
  [14225] = 14204,
  [14226] = 14226,
  [14227] = 14207,
  [14228] = 14228,
  [14229] = 14205,
  [14230] = 14230,
  [14231] = 14204,
  [14232] = 14232,
  [14233] = 14205,
  [14234] = 14207,
  [14235] = 14235,
  [14236] = 14214,
  [14237] = 14237,
  [14238] = 14214,
  [14239] = 14205,
  [14240] = 14205,
  [14241] = 14214,
  [14242] = 14242,
  [14243] = 14204,
  [14244] = 12930,
  [14245] = 14245,
  [14246] = 14214,
  [14247] = 14205,
  [14248] = 14207,
  [14249] = 14214,
  [14250] = 14205,
  [14251] = 14251,
  [14252] = 14205,
  [14253] = 14253,
  [14254] = 14204,
  [14255] = 14255,
  [14256] = 14207,
  [14257] = 14257,
  [14258] = 14258,
  [14259] = 14259,
  [14260] = 14205,
  [14261] = 14261,
  [14262] = 14214,
  [14263] = 7282,
  [14264] = 14207,
  [14265] = 14204,
  [14266] = 14207,
  [14267] = 7479,
  [14268] = 14204,
  [14269] = 14214,
  [14270] = 14205,
  [14271] = 14204,
  [14272] = 14207,
  [14273] = 14205,
  [14274] = 14205,
  [14275] = 14275,
  [14276] = 14205,
  [14277] = 14277,
  [14278] = 14207,
  [14279] = 14279,
  [14280] = 14280,
  [14281] = 14207,
  [14282] = 14204,
  [14283] = 14283,
  [14284] = 14214,
  [14285] = 14285,
  [14286] = 14204,
  [14287] = 14207,
  [14288] = 14283,
  [14289] = 14245,
  [14290] = 14214,
  [14291] = 14214,
  [14292] = 14292,
  [14293] = 14293,
  [14294] = 14294,
  [14295] = 14207,
  [14296] = 14296,
  [14297] = 14214,
  [14298] = 14298,
  [14299] = 14207,
  [14300] = 14207,
  [14301] = 14204,
  [14302] = 14204,
  [14303] = 14303,
  [14304] = 14205,
  [14305] = 14305,
  [14306] = 7375,
  [14307] = 14214,
  [14308] = 14308,
  [14309] = 7279,
  [14310] = 14285,
  [14311] = 14245,
  [14312] = 14207,
  [14313] = 7380,
  [14314] = 14285,
  [14315] = 14245,
  [14316] = 14316,
  [14317] = 14317,
  [14318] = 14285,
  [14319] = 14245,
  [14320] = 14320,
  [14321] = 14285,
  [14322] = 14322,
  [14323] = 14205,
  [14324] = 14303,
  [14325] = 14204,
  [14326] = 14214,
  [14327] = 14327,
  [14328] = 14305,
  [14329] = 14308,
  [14330] = 14275,
  [14331] = 14204,
  [14332] = 7337,
  [14333] = 14207,
  [14334] = 14214,
  [14335] = 14207,
  [14336] = 14204,
  [14337] = 14337,
  [14338] = 14214,
  [14339] = 14242,
  [14340] = 14245,
  [14341] = 14207,
  [14342] = 14296,
  [14343] = 14322,
  [14344] = 14296,
  [14345] = 14322,
  [14346] = 14296,
  [14347] = 14322,
  [14348] = 14285,
  [14349] = 14204,
  [14350] = 14350,
  [14351] = 14351,
  [14352] = 14352,
  [14353] = 14353,
  [14354] = 14354,
  [14355] = 14355,
  [14356] = 14356,
  [14357] = 14357,
  [14358] = 14358,
  [14359] = 14359,
  [14360] = 14359,
  [14361] = 14361,
  [14362] = 14362,
  [14363] = 14363,
  [14364] = 14364,
  [14365] = 14365,
  [14366] = 14354,
  [14367] = 14367,
  [14368] = 14356,
  [14369] = 14369,
  [14370] = 14370,
  [14371] = 14371,
  [14372] = 14372,
  [14373] = 14373,
  [14374] = 14374,
  [14375] = 14370,
  [14376] = 14376,
  [14377] = 14377,
  [14378] = 14351,
  [14379] = 14379,
  [14380] = 14380,
  [14381] = 14381,
  [14382] = 14382,
  [14383] = 14383,
  [14384] = 14384,
  [14385] = 14385,
  [14386] = 14371,
  [14387] = 14387,
  [14388] = 14388,
  [14389] = 14351,
  [14390] = 14381,
  [14391] = 14353,
  [14392] = 14352,
  [14393] = 14379,
  [14394] = 14394,
  [14395] = 14395,
  [14396] = 14396,
  [14397] = 14397,
  [14398] = 14398,
  [14399] = 14399,
  [14400] = 14398,
  [14401] = 14399,
  [14402] = 14396,
  [14403] = 14397,
  [14404] = 14394,
  [14405] = 14395,
  [14406] = 14406,
  [14407] = 14380,
  [14408] = 14408,
  [14409] = 14365,
  [14410] = 14388,
  [14411] = 14411,
  [14412] = 14387,
  [14413] = 14385,
  [14414] = 14384,
  [14415] = 14383,
  [14416] = 14382,
  [14417] = 14357,
  [14418] = 14418,
  [14419] = 14377,
  [14420] = 14370,
  [14421] = 14377,
  [14422] = 14361,
  [14423] = 14408,
  [14424] = 14369,
  [14425] = 14367,
  [14426] = 14351,
  [14427] = 14365,
  [14428] = 14365,
  [14429] = 14376,
  [14430] = 14430,
  [14431] = 14374,
  [14432] = 14408,
  [14433] = 14373,
  [14434] = 14434,
  [14435] = 14435,
  [14436] = 14359,
  [14437] = 14437,
  [14438] = 14356,
  [14439] = 14361,
  [14440] = 14440,
  [14441] = 14352,
  [14442] = 14367,
  [14443] = 14364,
  [14444] = 14357,
  [14445] = 14363,
  [14446] = 14357,
  [14447] = 14354,
  [14448] = 14361,
  [14449] = 14354,
  [14450] = 14362,
  [14451] = 14451,
  [14452] = 14358,
  [14453] = 14453,
  [14454] = 14381,
  [14455] = 14455,
  [14456] = 14456,
  [14457] = 14457,
  [14458] = 14371,
  [14459] = 14355,
  [14460] = 14369,
  [14461] = 14461,
  [14462] = 14462,
  [14463] = 14463,
  [14464] = 14353,
  [14465] = 14380,
  [14466] = 14357,
  [14467] = 14379,
  [14468] = 14352,
  [14469] = 14469,
  [14470] = 14411,
  [14471] = 14359,
  [14472] = 14376,
  [14473] = 14367,
  [14474] = 14352,
  [14475] = 14369,
  [14476] = 14418,
  [14477] = 14477,
  [14478] = 14478,
  [14479] = 14479,
  [14480] = 14408,
  [14481] = 14374,
  [14482] = 14381,
  [14483] = 14483,
  [14484] = 14484,
  [14485] = 14485,
  [14486] = 14411,
  [14487] = 14430,
  [14488] = 14356,
  [14489] = 14434,
  [14490] = 14370,
  [14491] = 14491,
  [14492] = 14492,
  [14493] = 14461,
  [14494] = 14440,
  [14495] = 14373,
  [14496] = 14355,
  [14497] = 14492,
  [14498] = 14434,
  [14499] = 14377,
  [14500] = 14483,
  [14501] = 14491,
  [14502] = 14371,
  [14503] = 14484,
  [14504] = 14451,
  [14505] = 14479,
  [14506] = 14440,
  [14507] = 14359,
  [14508] = 14508,
  [14509] = 14451,
  [14510] = 14469,
  [14511] = 14455,
  [14512] = 14353,
  [14513] = 14456,
  [14514] = 14356,
  [14515] = 14457,
  [14516] = 14383,
  [14517] = 14469,
  [14518] = 14463,
  [14519] = 14462,
  [14520] = 14457,
  [14521] = 14456,
  [14522] = 14455,
  [14523] = 14523,
  [14524] = 14451,
  [14525] = 14365,
  [14526] = 14462,
  [14527] = 14463,
  [14528] = 14361,
  [14529] = 14440,
  [14530] = 14385,
  [14531] = 14485,
  [14532] = 14483,
  [14533] = 14388,
  [14534] = 14434,
  [14535] = 14354,
  [14536] = 14380,
  [14537] = 14430,
  [14538] = 14469,
  [14539] = 14477,
  [14540] = 14379,
  [14541] = 14418,
  [14542] = 14542,
  [14543] = 14358,
  [14544] = 14479,
  [14545] = 14461,
  [14546] = 14411,
  [14547] = 14367,
  [14548] = 14355,
  [14549] = 14408,
  [14550] = 14364,
  [14551] = 14484,
  [14552] = 14491,
  [14553] = 14358,
  [14554] = 14379,
  [14555] = 14369,
  [14556] = 14362,
  [14557] = 14363,
  [14558] = 14353,
  [14559] = 14559,
  [14560] = 14364,
  [14561] = 14492,
  [14562] = 14562,
  [14563] = 14371,
  [14564] = 14564,
  [14565] = 14565,
  [14566] = 14362,
  [14567] = 14350,
  [14568] = 14381,
  [14569] = 14569,
  [14570] = 14461,
  [14571] = 14380,
  [14572] = 14373,
  [14573] = 14363,
  [14574] = 14374,
  [14575] = 14376,
  [14576] = 14485,
  [14577] = 14351,
  [14578] = 14354,
  [14579] = 14411,
  [14580] = 14361,
  [14581] = 14355,
  [14582] = 14582,
  [14583] = 14357,
  [14584] = 14584,
  [14585] = 14418,
  [14586] = 14483,
  [14587] = 14382,
  [14588] = 14352,
  [14589] = 14589,
  [14590] = 14430,
  [14591] = 14384,
  [14592] = 14356,
  [14593] = 14358,
  [14594] = 14387,
  [14595] = 14359,
  [14596] = 14362,
  [14597] = 14434,
  [14598] = 14381,
  [14599] = 14484,
  [14600] = 14395,
  [14601] = 14365,
  [14602] = 14397,
  [14603] = 14367,
  [14604] = 14399,
  [14605] = 14369,
  [14606] = 14363,
  [14607] = 14440,
  [14608] = 14398,
  [14609] = 14396,
  [14610] = 14394,
  [14611] = 14370,
  [14612] = 14364,
  [14613] = 14377,
  [14614] = 14451,
  [14615] = 14455,
  [14616] = 14363,
  [14617] = 14388,
  [14618] = 14456,
  [14619] = 14383,
  [14620] = 14385,
  [14621] = 14385,
  [14622] = 14372,
  [14623] = 14383,
  [14624] = 14388,
  [14625] = 14457,
  [14626] = 14462,
  [14627] = 14477,
  [14628] = 14377,
  [14629] = 14370,
  [14630] = 14394,
  [14631] = 14373,
  [14632] = 14396,
  [14633] = 14364,
  [14634] = 14398,
  [14635] = 14369,
  [14636] = 14367,
  [14637] = 14399,
  [14638] = 14365,
  [14639] = 14397,
  [14640] = 14396,
  [14641] = 14395,
  [14642] = 14374,
  [14643] = 14463,
  [14644] = 14376,
  [14645] = 14485,
  [14646] = 14359,
  [14647] = 14351,
  [14648] = 14387,
  [14649] = 14356,
  [14650] = 14384,
  [14651] = 14469,
  [14652] = 14382,
  [14653] = 14479,
  [14654] = 14484,
  [14655] = 14491,
  [14656] = 14352,
  [14657] = 14398,
  [14658] = 14562,
  [14659] = 14371,
  [14660] = 14357,
  [14661] = 14382,
  [14662] = 14351,
  [14663] = 14361,
  [14664] = 14354,
  [14665] = 14376,
  [14666] = 14564,
  [14667] = 14374,
  [14668] = 14384,
  [14669] = 14373,
  [14670] = 14565,
  [14671] = 14387,
  [14672] = 14381,
  [14673] = 14350,
  [14674] = 14492,
  [14675] = 14371,
  [14676] = 14399,
  [14677] = 14406,
  [14678] = 14353,
  [14679] = 14364,
  [14680] = 14395,
  [14681] = 14363,
  [14682] = 14379,
  [14683] = 14397,
  [14684] = 14397,
  [14685] = 14408,
  [14686] = 14362,
  [14687] = 14381,
  [14688] = 14358,
  [14689] = 14411,
  [14690] = 14395,
  [14691] = 14399,
  [14692] = 14353,
  [14693] = 14485,
  [14694] = 14434,
  [14695] = 14355,
  [14696] = 14398,
  [14697] = 14461,
  [14698] = 14440,
  [14699] = 14394,
  [14700] = 14396,
  [14701] = 14451,
  [14702] = 14387,
  [14703] = 14362,
  [14704] = 14358,
  [14705] = 14394,
  [14706] = 14384,
  [14707] = 14373,
  [14708] = 14477,
  [14709] = 14492,
  [14710] = 14483,
  [14711] = 14469,
  [14712] = 14374,
  [14713] = 14379,
  [14714] = 14483,
  [14715] = 14388,
  [14716] = 14485,
  [14717] = 14717,
  [14718] = 14382,
  [14719] = 14385,
  [14720] = 14376,
  [14721] = 14383,
  [14722] = 14722,
  [14723] = 14491,
  [14724] = 14408,
  [14725] = 14725,
  [14726] = 14351,
  [14727] = 14727,
  [14728] = 14492,
  [14729] = 14729,
  [14730] = 14463,
  [14731] = 14462,
  [14732] = 14491,
  [14733] = 14411,
  [14734] = 14484,
  [14735] = 14457,
  [14736] = 14479,
  [14737] = 14484,
  [14738] = 14456,
  [14739] = 14455,
  [14740] = 14451,
  [14741] = 14469,
  [14742] = 14461,
  [14743] = 14479,
  [14744] = 14370,
  [14745] = 14745,
  [14746] = 14355,
  [14747] = 14440,
  [14748] = 14351,
  [14749] = 14463,
  [14750] = 14462,
  [14751] = 14457,
  [14752] = 14456,
  [14753] = 14455,
  [14754] = 14469,
  [14755] = 14451,
  [14756] = 14377,
  [14757] = 14434,
  [14758] = 14370,
  [14759] = 14430,
  [14760] = 14440,
  [14761] = 14461,
  [14762] = 14477,
  [14763] = 14377,
  [14764] = 14355,
  [14765] = 14434,
  [14766] = 14369,
  [14767] = 14358,
  [14768] = 14430,
  [14769] = 14362,
  [14770] = 14363,
  [14771] = 14358,
  [14772] = 14418,
  [14773] = 14367,
  [14774] = 14365,
  [14775] = 14364,
  [14776] = 14359,
  [14777] = 14411,
  [14778] = 14356,
  [14779] = 14352,
  [14780] = 14408,
  [14781] = 14355,
  [14782] = 14362,
  [14783] = 14373,
  [14784] = 14374,
  [14785] = 14379,
  [14786] = 14357,
  [14787] = 14376,
  [14788] = 14351,
  [14789] = 14353,
  [14790] = 14361,
  [14791] = 14354,
  [14792] = 14383,
  [14793] = 14382,
  [14794] = 14371,
  [14795] = 14382,
  [14796] = 14385,
  [14797] = 14363,
  [14798] = 14384,
  [14799] = 14381,
  [14800] = 14380,
  [14801] = 14379,
  [14802] = 14380,
  [14803] = 14387,
  [14804] = 14371,
  [14805] = 14353,
  [14806] = 14364,
  [14807] = 14395,
  [14808] = 14397,
  [14809] = 14354,
  [14810] = 14399,
  [14811] = 14361,
  [14812] = 14418,
  [14813] = 14398,
  [14814] = 14357,
  [14815] = 14815,
  [14816] = 14396,
  [14817] = 14394,
  [14818] = 14408,
  [14819] = 14352,
  [14820] = 14411,
  [14821] = 14394,
  [14822] = 14418,
  [14823] = 14356,
  [14824] = 14396,
  [14825] = 14388,
  [14826] = 14359,
  [14827] = 14430,
  [14828] = 14434,
  [14829] = 14398,
  [14830] = 14385,
  [14831] = 14383,
  [14832] = 14365,
  [14833] = 14377,
  [14834] = 14367,
  [14835] = 14370,
  [14836] = 14369,
  [14837] = 14384,
  [14838] = 14440,
  [14839] = 14374,
  [14840] = 14840,
  [14841] = 14399,
  [14842] = 14370,
  [14843] = 14369,
  [14844] = 14377,
  [14845] = 14367,
  [14846] = 14365,
  [14847] = 14451,
  [14848] = 14455,
  [14849] = 14359,
  [14850] = 14383,
  [14851] = 14456,
  [14852] = 14385,
  [14853] = 14457,
  [14854] = 14356,
  [14855] = 14388,
  [14856] = 14462,
  [14857] = 14463,
  [14858] = 14397,
  [14859] = 14387,
  [14860] = 14352,
  [14861] = 14394,
  [14862] = 14373,
  [14863] = 14396,
  [14864] = 14395,
  [14865] = 14398,
  [14866] = 14469,
  [14867] = 14357,
  [14868] = 14399,
  [14869] = 14461,
  [14870] = 14397,
  [14871] = 14361,
  [14872] = 14395,
  [14873] = 14479,
  [14874] = 14484,
  [14875] = 14354,
  [14876] = 12613,
  [14877] = 14491,
  [14878] = 14381,
  [14879] = 14387,
  [14880] = 14376,
  [14881] = 14384,
  [14882] = 14435,
  [14883] = 14382,
  [14884] = 14492,
  [14885] = 5412,
  [14886] = 14722,
  [14887] = 14371,
  [14888] = 14387,
  [14889] = 14353,
  [14890] = 14384,
  [14891] = 14382,
  [14892] = 14379,
  [14893] = 14351,
  [14894] = 5694,
  [14895] = 14408,
  [14896] = 14376,
  [14897] = 14485,
  [14898] = 14374,
  [14899] = 14411,
  [14900] = 14373,
  [14901] = 14483,
  [14902] = 14395,
  [14903] = 14430,
  [14904] = 14434,
  [14905] = 14364,
  [14906] = 14477,
  [14907] = 14440,
  [14908] = 14363,
  [14909] = 14397,
  [14910] = 14364,
  [14911] = 14451,
  [14912] = 14363,
  [14913] = 14725,
  [14914] = 14469,
  [14915] = 14388,
  [14916] = 14362,
  [14917] = 14362,
  [14918] = 14399,
  [14919] = 14358,
  [14920] = 14358,
  [14921] = 14418,
  [14922] = 14922,
  [14923] = 14434,
  [14924] = 14469,
  [14925] = 14398,
  [14926] = 14355,
  [14927] = 14927,
  [14928] = 14461,
  [14929] = 14355,
  [14930] = 14463,
  [14931] = 14461,
  [14932] = 14396,
  [14933] = 14933,
  [14934] = 14462,
  [14935] = 14373,
  [14936] = 14394,
  [14937] = 14374,
  [14938] = 14440,
  [14939] = 14477,
  [14940] = 14477,
  [14941] = 14461,
  [14942] = 14355,
  [14943] = 14388,
  [14944] = 14456,
  [14945] = 14483,
  [14946] = 14385,
  [14947] = 14485,
  [14948] = 14948,
  [14949] = 14383,
  [14950] = 14950,
  [14951] = 14377,
  [14952] = 14451,
  [14953] = 14953,
  [14954] = 14954,
  [14955] = 14370,
  [14956] = 14376,
  [14957] = 14957,
  [14958] = 14383,
  [14959] = 14492,
  [14960] = 14382,
  [14961] = 14369,
  [14962] = 14358,
  [14963] = 14491,
  [14964] = 14367,
  [14965] = 14484,
  [14966] = 14351,
  [14967] = 14479,
  [14968] = 14362,
  [14969] = 14365,
  [14970] = 14565,
  [14971] = 14455,
  [14972] = 14469,
  [14973] = 14973,
  [14974] = 14455,
  [14975] = 14477,
  [14976] = 14564,
  [14977] = 14384,
  [14978] = 14363,
  [14979] = 14359,
  [14980] = 14463,
  [14981] = 14462,
  [14982] = 14457,
  [14983] = 14456,
  [14984] = 14455,
  [14985] = 5405,
  [14986] = 14451,
  [14987] = 14364,
  [14988] = 5392,
  [14989] = 14451,
  [14990] = 14483,
  [14991] = 14440,
  [14992] = 14377,
  [14993] = 14373,
  [14994] = 14382,
  [14995] = 14374,
  [14996] = 14434,
  [14997] = 14376,
  [14998] = 14485,
  [14999] = 14430,
  [15000] = 14384,
  [15001] = 15001,
  [15002] = 14356,
  [15003] = 14418,
  [15004] = 15004,
  [15005] = 14351,
  [15006] = 14387,
  [15007] = 15007,
  [15008] = 14411,
  [15009] = 14351,
  [15010] = 15010,
  [15011] = 14408,
  [15012] = 14382,
  [15013] = 14384,
  [15014] = 15014,
  [15015] = 14387,
  [15016] = 14379,
  [15017] = 14387,
  [15018] = 14440,
  [15019] = 14469,
  [15020] = 14353,
  [15021] = 14352,
  [15022] = 14457,
  [15023] = 14395,
  [15024] = 5406,
  [15025] = 14371,
  [15026] = 14397,
  [15027] = 14385,
  [15028] = 14399,
  [15029] = 5407,
  [15030] = 14381,
  [15031] = 14395,
  [15032] = 14398,
  [15033] = 14380,
  [15034] = 14492,
  [15035] = 14395,
  [15036] = 14491,
  [15037] = 14484,
  [15038] = 14397,
  [15039] = 14479,
  [15040] = 14354,
  [15041] = 15041,
  [15042] = 14361,
  [15043] = 14396,
  [15044] = 15044,
  [15045] = 14357,
  [15046] = 14394,
  [15047] = 14434,
  [15048] = 14399,
  [15049] = 15049,
  [15050] = 14352,
  [15051] = 14479,
  [15052] = 14388,
  [15053] = 14469,
  [15054] = 14356,
  [15055] = 14727,
  [15056] = 14385,
  [15057] = 14359,
  [15058] = 14383,
  [15059] = 14484,
  [15060] = 15060,
  [15061] = 15061,
  [15062] = 14357,
  [15063] = 14365,
  [15064] = 15064,
  [15065] = 14367,
  [15066] = 14397,
  [15067] = 14369,
  [15068] = 14361,
  [15069] = 14376,
  [15070] = 14584,
  [15071] = 14463,
  [15072] = 15072,
  [15073] = 14370,
  [15074] = 14462,
  [15075] = 14377,
  [15076] = 14411,
  [15077] = 14398,
  [15078] = 14457,
  [15079] = 14456,
  [15080] = 14455,
  [15081] = 14383,
  [15082] = 14451,
  [15083] = 14385,
  [15084] = 14370,
  [15085] = 14354,
  [15086] = 14388,
  [15087] = 14491,
  [15088] = 14369,
  [15089] = 14396,
  [15090] = 14440,
  [15091] = 14456,
  [15092] = 14394,
  [15093] = 14477,
  [15094] = 14396,
  [15095] = 14367,
  [15096] = 14398,
  [15097] = 15097,
  [15098] = 15098,
  [15099] = 14399,
  [15100] = 14381,
  [15101] = 14397,
  [15102] = 15102,
  [15103] = 14395,
  [15104] = 14365,
  [15105] = 14457,
  [15106] = 14374,
  [15107] = 14434,
  [15108] = 14411,
  [15109] = 14359,
  [15110] = 14387,
  [15111] = 14408,
  [15112] = 14384,
  [15113] = 14492,
  [15114] = 14382,
  [15115] = 14356,
  [15116] = 14352,
  [15117] = 15117,
  [15118] = 14462,
  [15119] = 14379,
  [15120] = 14399,
  [15121] = 14418,
  [15122] = 14353,
  [15123] = 14373,
  [15124] = 14351,
  [15125] = 14357,
  [15126] = 14371,
  [15127] = 14376,
  [15128] = 14361,
  [15129] = 14374,
  [15130] = 14354,
  [15131] = 14373,
  [15132] = 14371,
  [15133] = 14380,
  [15134] = 14411,
  [15135] = 14381,
  [15136] = 14381,
  [15137] = 14371,
  [15138] = 14353,
  [15139] = 14463,
  [15140] = 14380,
  [15141] = 14364,
  [15142] = 14408,
  [15143] = 14363,
  [15144] = 14388,
  [15145] = 14379,
  [15146] = 14478,
  [15147] = 14379,
  [15148] = 14362,
  [15149] = 14483,
  [15150] = 14358,
  [15151] = 14353,
  [15152] = 15152,
  [15153] = 14353,
  [15154] = 14408,
  [15155] = 14371,
  [15156] = 14462,
  [15157] = 14355,
  [15158] = 14364,
  [15159] = 14461,
  [15160] = 14485,
  [15161] = 14418,
  [15162] = 14381,
  [15163] = 14430,
  [15164] = 14430,
  [15165] = 14379,
  [15166] = 14394,
  [15167] = 15167,
  [15168] = 14451,
  [15169] = 14430,
  [15170] = 14477,
  [15171] = 14418,
  [15172] = 14398,
  [15173] = 14434,
  [15174] = 14584,
  [15175] = 14440,
  [15176] = 14483,
  [15177] = 15177,
  [15178] = 14485,
  [15179] = 14362,
  [15180] = 14451,
  [15181] = 14408,
  [15182] = 15182,
  [15183] = 14388,
  [15184] = 14469,
  [15185] = 14396,
  [15186] = 14411,
  [15187] = 14455,
  [15188] = 14440,
  [15189] = 14394,
  [15190] = 14492,
  [15191] = 14456,
  [15192] = 14457,
  [15193] = 15193,
  [15194] = 14491,
  [15195] = 15195,
  [15196] = 14484,
  [15197] = 14385,
  [15198] = 14479,
  [15199] = 15098,
  [15200] = 14479,
  [15201] = 14380,
  [15202] = 14396,
  [15203] = 14469,
  [15204] = 14383,
  [15205] = 14463,
  [15206] = 15206,
  [15207] = 14562,
  [15208] = 14394,
  [15209] = 14354,
  [15210] = 14361,
  [15211] = 14463,
  [15212] = 14462,
  [15213] = 14457,
  [15214] = 14456,
  [15215] = 14455,
  [15216] = 14434,
  [15217] = 14451,
  [15218] = 14358,
  [15219] = 14469,
  [15220] = 14377,
  [15221] = 14434,
  [15222] = 14440,
  [15223] = 14411,
  [15224] = 14479,
  [15225] = 14370,
  [15226] = 14357,
  [15227] = 14434,
  [15228] = 14484,
  [15229] = 15229,
  [15230] = 14430,
  [15231] = 15231,
  [15232] = 15232,
  [15233] = 14491,
  [15234] = 14418,
  [15235] = 14363,
  [15236] = 14492,
  [15237] = 14369,
  [15238] = 14398,
  [15239] = 14411,
  [15240] = 14440,
  [15241] = 14352,
  [15242] = 14408,
  [15243] = 14355,
  [15244] = 14491,
  [15245] = 14367,
  [15246] = 14461,
  [15247] = 14379,
  [15248] = 15248,
  [15249] = 15249,
  [15250] = 14492,
  [15251] = 14353,
  [15252] = 14485,
  [15253] = 14365,
  [15254] = 14483,
  [15255] = 15255,
  [15256] = 14371,
  [15257] = 14451,
  [15258] = 14399,
  [15259] = 14485,
  [15260] = 15260,
  [15261] = 14381,
  [15262] = 14477,
  [15263] = 7466,
  [15264] = 14380,
  [15265] = 14492,
  [15266] = 7459,
  [15267] = 14356,
  [15268] = 7456,
  [15269] = 14359,
  [15270] = 14397,
  [15271] = 14354,
  [15272] = 14359,
  [15273] = 14361,
  [15274] = 14469,
  [15275] = 14408,
  [15276] = 14357,
  [15277] = 14477,
  [15278] = 15278,
  [15279] = 14483,
  [15280] = 14395,
  [15281] = 14352,
  [15282] = 15282,
  [15283] = 14491,
  [15284] = 15284,
  [15285] = 14356,
  [15286] = 14484,
  [15287] = 14479,
  [15288] = 14359,
  [15289] = 14388,
  [15290] = 14483,
  [15291] = 14356,
  [15292] = 15292,
  [15293] = 14485,
  [15294] = 14365,
  [15295] = 15295,
  [15296] = 14367,
  [15297] = 15297,
  [15298] = 14369,
  [15299] = 15299,
  [15300] = 14435,
  [15301] = 14477,
  [15302] = 15302,
  [15303] = 14469,
  [15304] = 14370,
  [15305] = 15305,
  [15306] = 14377,
  [15307] = 15307,
  [15308] = 14461,
  [15309] = 14355,
  [15310] = 14385,
  [15311] = 14453,
  [15312] = 14383,
  [15313] = 15313,
  [15314] = 14385,
  [15315] = 14358,
  [15316] = 14461,
  [15317] = 14388,
  [15318] = 14362,
  [15319] = 14363,
  [15320] = 14352,
  [15321] = 15321,
  [15322] = 14364,
  [15323] = 14394,
  [15324] = 14365,
  [15325] = 14396,
  [15326] = 14367,
  [15327] = 14398,
  [15328] = 14369,
  [15329] = 14477,
  [15330] = 14399,
  [15331] = 14373,
  [15332] = 14397,
  [15333] = 14370,
  [15334] = 14395,
  [15335] = 14374,
  [15336] = 14355,
  [15337] = 15337,
  [15338] = 15338,
  [15339] = 14358,
  [15340] = 15340,
  [15341] = 14387,
  [15342] = 14362,
  [15343] = 14384,
  [15344] = 14370,
  [15345] = 14382,
  [15346] = 14376,
  [15347] = 15347,
  [15348] = 14377,
  [15349] = 14354,
  [15350] = 14361,
  [15351] = 14461,
  [15352] = 14357,
  [15353] = 14461,
  [15354] = 14352,
  [15355] = 14351,
  [15356] = 14355,
  [15357] = 14363,
  [15358] = 14376,
  [15359] = 14356,
  [15360] = 14374,
  [15361] = 14364,
  [15362] = 14373,
  [15363] = 14411,
  [15364] = 14382,
  [15365] = 14359,
  [15366] = 14379,
  [15367] = 14384,
  [15368] = 14408,
  [15369] = 14365,
  [15370] = 14367,
  [15371] = 14369,
  [15372] = 14364,
  [15373] = 14387,
  [15374] = 14363,
  [15375] = 15375,
  [15376] = 14370,
  [15377] = 14377,
  [15378] = 14383,
  [15379] = 14362,
  [15380] = 15380,
  [15381] = 14358,
  [15382] = 14383,
  [15383] = 14353,
  [15384] = 14379,
  [15385] = 14463,
  [15386] = 14385,
  [15387] = 14461,
  [15388] = 14355,
  [15389] = 14388,
  [15390] = 14461,
  [15391] = 14462,
  [15392] = 14457,
  [15393] = 15393,
  [15394] = 14395,
  [15395] = 14355,
  [15396] = 14397,
  [15397] = 14373,
  [15398] = 14357,
  [15399] = 14353,
  [15400] = 14399,
  [15401] = 14477,
  [15402] = 14483,
  [15403] = 15403,
  [15404] = 14362,
  [15405] = 14394,
  [15406] = 14361,
  [15407] = 14398,
  [15408] = 14354,
  [15409] = 14396,
  [15410] = 14484,
  [15411] = 14398,
  [15412] = 14399,
  [15413] = 14397,
  [15414] = 14469,
  [15415] = 14380,
  [15416] = 14374,
  [15417] = 14396,
  [15418] = 14456,
  [15419] = 14395,
  [15420] = 14463,
  [15421] = 14457,
  [15422] = 14394,
  [15423] = 14451,
  [15424] = 14358,
  [15425] = 14381,
  [15426] = 14376,
  [15427] = 14387,
  [15428] = 14440,
  [15429] = 14388,
  [15430] = 15430,
  [15431] = 14430,
  [15432] = 14384,
  [15433] = 14434,
  [15434] = 14385,
  [15435] = 14371,
  [15436] = 14430,
  [15437] = 14382,
  [15438] = 14363,
  [15439] = 14383,
  [15440] = 14353,
  [15441] = 14485,
  [15442] = 14351,
  [15443] = 14411,
  [15444] = 14492,
  [15445] = 14376,
  [15446] = 14408,
  [15447] = 14364,
  [15448] = 14483,
  [15449] = 14379,
  [15450] = 14374,
  [15451] = 14379,
  [15452] = 14377,
  [15453] = 14373,
  [15454] = 14406,
  [15455] = 14353,
  [15456] = 14418,
  [15457] = 14371,
  [15458] = 14408,
  [15459] = 14455,
  [15460] = 14371,
  [15461] = 14369,
  [15462] = 14351,
  [15463] = 14364,
  [15464] = 14363,
  [15465] = 14381,
  [15466] = 14367,
  [15467] = 14381,
  [15468] = 14365,
  [15469] = 14362,
  [15470] = 14411,
  [15471] = 14358,
  [15472] = 14355,
  [15473] = 14354,
  [15474] = 14461,
  [15475] = 14361,
  [15476] = 14451,
  [15477] = 14491,
  [15478] = 14357,
  [15479] = 14359,
  [15480] = 14356,
  [15481] = 14418,
  [15482] = 14440,
  [15483] = 14352,
  [15484] = 14352,
  [15485] = 14484,
  [15486] = 14382,
  [15487] = 14356,
  [15488] = 14479,
  [15489] = 14377,
  [15490] = 14359,
  [15491] = 14357,
  [15492] = 14373,
  [15493] = 14361,
  [15494] = 14384,
  [15495] = 14483,
  [15496] = 14365,
  [15497] = 14374,
  [15498] = 14367,
  [15499] = 14477,
  [15500] = 14369,
  [15501] = 14354,
  [15502] = 14376,
  [15503] = 14387,
  [15504] = 14461,
  [15505] = 14492,
  [15506] = 14370,
  [15507] = 14491,
  [15508] = 14377,
  [15509] = 14484,
  [15510] = 14469,
  [15511] = 14434,
  [15512] = 14479,
  [15513] = 14469,
  [15514] = 14383,
  [15515] = 14351,
  [15516] = 14385,
  [15517] = 15517,
  [15518] = 14355,
  [15519] = 14388,
  [15520] = 14380,
  [15521] = 14381,
  [15522] = 14463,
  [15523] = 14462,
  [15524] = 14457,
  [15525] = 14394,
  [15526] = 14456,
  [15527] = 14396,
  [15528] = 14455,
  [15529] = 14398,
  [15530] = 14451,
  [15531] = 14371,
  [15532] = 14399,
  [15533] = 14440,
  [15534] = 14397,
  [15535] = 15535,
  [15536] = 14395,
  [15537] = 14371,
  [15538] = 14463,
  [15539] = 14434,
  [15540] = 14353,
  [15541] = 14430,
  [15542] = 14418,
  [15543] = 14387,
  [15544] = 14462,
  [15545] = 14384,
  [15546] = 14411,
  [15547] = 14382,
  [15548] = 14379,
  [15549] = 14395,
  [15550] = 14457,
  [15551] = 14408,
  [15552] = 14456,
  [15553] = 14408,
  [15554] = 14397,
  [15555] = 14379,
  [15556] = 14351,
  [15557] = 15557,
  [15558] = 14353,
  [15559] = 14376,
  [15560] = 14411,
  [15561] = 14374,
  [15562] = 14371,
  [15563] = 14373,
  [15564] = 14382,
  [15565] = 14455,
  [15566] = 14434,
  [15567] = 14434,
  [15568] = 14399,
  [15569] = 14381,
  [15570] = 14451,
  [15571] = 14384,
  [15572] = 14430,
  [15573] = 14364,
  [15574] = 15574,
  [15575] = 14363,
  [15576] = 15576,
  [15577] = 14387,
  [15578] = 15578,
  [15579] = 15579,
  [15580] = 14362,
  [15581] = 14398,
  [15582] = 14358,
  [15583] = 15583,
  [15584] = 14396,
  [15585] = 14394,
  [15586] = 15586,
  [15587] = 15587,
  [15588] = 14380,
  [15589] = 14355,
  [15590] = 14485,
  [15591] = 14461,
  [15592] = 14354,
  [15593] = 14361,
  [15594] = 15594,
  [15595] = 15595,
  [15596] = 14370,
  [15597] = 14388,
  [15598] = 14440,
  [15599] = 14357,
  [15600] = 14440,
  [15601] = 14440,
  [15602] = 14434,
  [15603] = 14451,
  [15604] = 14451,
  [15605] = 14418,
  [15606] = 14385,
  [15607] = 14455,
  [15608] = 14484,
  [15609] = 14455,
  [15610] = 14352,
  [15611] = 14456,
  [15612] = 14469,
  [15613] = 14456,
  [15614] = 14457,
  [15615] = 14457,
  [15616] = 14462,
  [15617] = 14462,
  [15618] = 14463,
  [15619] = 14356,
  [15620] = 14451,
  [15621] = 14463,
  [15622] = 14463,
  [15623] = 15623,
  [15624] = 15624,
  [15625] = 14440,
  [15626] = 14395,
  [15627] = 14397,
  [15628] = 14383,
  [15629] = 15629,
  [15630] = 14434,
  [15631] = 14430,
  [15632] = 14469,
  [15633] = 14430,
  [15634] = 15634,
  [15635] = 14350,
  [15636] = 14479,
  [15637] = 15001,
  [15638] = 14484,
  [15639] = 15639,
  [15640] = 14411,
  [15641] = 14469,
  [15642] = 14358,
  [15643] = 14408,
  [15644] = 14418,
  [15645] = 14491,
  [15646] = 14565,
  [15647] = 14564,
  [15648] = 14379,
  [15649] = 14399,
  [15650] = 14479,
  [15651] = 14562,
  [15652] = 14353,
  [15653] = 14411,
  [15654] = 14492,
  [15655] = 14377,
  [15656] = 14362,
  [15657] = 14371,
  [15658] = 14484,
  [15659] = 14491,
  [15660] = 14370,
  [15661] = 14359,
  [15662] = 14381,
  [15663] = 15663,
  [15664] = 14398,
  [15665] = 14396,
  [15666] = 15666,
  [15667] = 14485,
  [15668] = 14492,
  [15669] = 14363,
  [15670] = 14354,
  [15671] = 15671,
  [15672] = 14361,
  [15673] = 14411,
  [15674] = 14369,
  [15675] = 14357,
  [15676] = 14367,
  [15677] = 14483,
  [15678] = 15678,
  [15679] = 14408,
  [15680] = 14352,
  [15681] = 14394,
  [15682] = 14379,
  [15683] = 15683,
  [15684] = 14356,
  [15685] = 15685,
  [15686] = 14365,
  [15687] = 14359,
  [15688] = 14353,
  [15689] = 14485,
  [15690] = 14364,
  [15691] = 15691,
  [15692] = 14354,
  [15693] = 14365,
  [15694] = 14361,
  [15695] = 14367,
  [15696] = 14408,
  [15697] = 14369,
  [15698] = 14483,
  [15699] = 14372,
  [15700] = 14369,
  [15701] = 14359,
  [15702] = 15702,
  [15703] = 14370,
  [15704] = 14379,
  [15705] = 14377,
  [15706] = 15706,
  [15707] = 14356,
  [15708] = 14477,
  [15709] = 14357,
  [15710] = 15710,
  [15711] = 14383,
  [15712] = 14367,
  [15713] = 14385,
  [15714] = 15714,
  [15715] = 15715,
  [15716] = 14388,
  [15717] = 14352,
  [15718] = 14477,
  [15719] = 14353,
  [15720] = 15720,
  [15721] = 14387,
  [15722] = 14394,
  [15723] = 15723,
  [15724] = 14396,
  [15725] = 14365,
  [15726] = 14398,
  [15727] = 14371,
  [15728] = 14352,
  [15729] = 14399,
  [15730] = 14357,
  [15731] = 14397,
  [15732] = 15732,
  [15733] = 14395,
  [15734] = 14365,
  [15735] = 14361,
  [15736] = 15736,
  [15737] = 14381,
  [15738] = 14367,
  [15739] = 14369,
  [15740] = 14387,
  [15741] = 14461,
  [15742] = 14384,
  [15743] = 14355,
  [15744] = 14382,
  [15745] = 15745,
  [15746] = 14380,
  [15747] = 14383,
  [15748] = 14385,
  [15749] = 14354,
  [15750] = 14371,
  [15751] = 14388,
  [15752] = 14388,
  [15753] = 14351,
  [15754] = 14361,
  [15755] = 14354,
  [15756] = 14376,
  [15757] = 14394,
  [15758] = 14374,
  [15759] = 14396,
  [15760] = 14373,
  [15761] = 14356,
  [15762] = 14357,
  [15763] = 14398,
  [15764] = 14399,
  [15765] = 14397,
  [15766] = 14395,
  [15767] = 15714,
  [15768] = 14385,
  [15769] = 14387,
  [15770] = 14364,
  [15771] = 14384,
  [15772] = 14363,
  [15773] = 14381,
  [15774] = 14382,
  [15775] = 14383,
  [15776] = 14461,
  [15777] = 14362,
  [15778] = 15778,
  [15779] = 14358,
  [15780] = 14381,
  [15781] = 14370,
  [15782] = 14377,
  [15783] = 14381,
  [15784] = 15784,
  [15785] = 15785,
  [15786] = 14355,
  [15787] = 15787,
  [15788] = 14461,
  [15789] = 14377,
  [15790] = 15745,
  [15791] = 14355,
  [15792] = 14358,
  [15793] = 14362,
  [15794] = 14363,
  [15795] = 14364,
  [15796] = 14370,
  [15797] = 14369,
  [15798] = 14358,
  [15799] = 14373,
  [15800] = 15375,
  [15801] = 14374,
  [15802] = 15666,
  [15803] = 14376,
  [15804] = 14484,
  [15805] = 14351,
  [15806] = 15806,
  [15807] = 14383,
  [15808] = 14469,
  [15809] = 14385,
  [15810] = 14367,
  [15811] = 14461,
  [15812] = 14362,
  [15813] = 15813,
  [15814] = 14463,
  [15815] = 14384,
  [15816] = 14451,
  [15817] = 14365,
  [15818] = 14355,
  [15819] = 14380,
  [15820] = 14388,
  [15821] = 14440,
  [15822] = 14371,
  [15823] = 14363,
  [15824] = 14364,
  [15825] = 15825,
  [15826] = 14434,
  [15827] = 14359,
  [15828] = 14394,
  [15829] = 14430,
  [15830] = 14396,
  [15831] = 14382,
  [15832] = 14353,
  [15833] = 14354,
  [15834] = 14358,
  [15835] = 15001,
  [15836] = 14411,
  [15837] = 15745,
  [15838] = 15838,
  [15839] = 14408,
  [15840] = 14376,
  [15841] = 14398,
  [15842] = 14362,
  [15843] = 14373,
  [15844] = 14379,
  [15845] = 14359,
  [15846] = 14361,
  [15847] = 14379,
  [15848] = 14353,
  [15849] = 14374,
  [15850] = 14399,
  [15851] = 14397,
  [15852] = 14365,
  [15853] = 14371,
  [15854] = 14370,
  [15855] = 14356,
  [15856] = 14367,
  [15857] = 14351,
  [15858] = 14381,
  [15859] = 14352,
  [15860] = 14357,
  [15861] = 14363,
  [15862] = 14395,
  [15863] = 14408,
  [15864] = 14364,
  [15865] = 14352,
  [15866] = 14354,
  [15867] = 14369,
  [15868] = 14361,
  [15869] = 14382,
  [15870] = 14359,
  [15871] = 14357,
  [15872] = 14384,
  [15873] = 14411,
  [15874] = 15874,
  [15875] = 15875,
  [15876] = 14352,
  [15877] = 14453,
  [15878] = 14387,
  [15879] = 15879,
  [15880] = 14356,
  [15881] = 15001,
  [15882] = 15882,
  [15883] = 14359,
  [15884] = 15745,
  [15885] = 15714,
  [15886] = 14395,
  [15887] = 14357,
  [15888] = 14352,
  [15889] = 14365,
  [15890] = 15890,
  [15891] = 14367,
  [15892] = 14387,
  [15893] = 14369,
  [15894] = 14397,
  [15895] = 14370,
  [15896] = 15517,
  [15897] = 14377,
  [15898] = 14356,
  [15899] = 14370,
  [15900] = 14434,
  [15901] = 14377,
  [15902] = 14380,
  [15903] = 15903,
  [15904] = 15904,
  [15905] = 15905,
  [15906] = 14384,
  [15907] = 14383,
  [15908] = 14359,
  [15909] = 14385,
  [15910] = 14399,
  [15911] = 14440,
  [15912] = 14388,
  [15913] = 14398,
  [15914] = 14361,
  [15915] = 14396,
  [15916] = 14382,
  [15917] = 14384,
  [15918] = 14394,
  [15919] = 14387,
  [15920] = 14396,
  [15921] = 14351,
  [15922] = 14398,
  [15923] = 14394,
  [15924] = 14395,
  [15925] = 14399,
  [15926] = 14397,
  [15927] = 14397,
  [15928] = 14399,
  [15929] = 14395,
  [15930] = 15930,
  [15931] = 14354,
  [15932] = 14398,
  [15933] = 14396,
  [15934] = 14394,
  [15935] = 14388,
  [15936] = 14387,
  [15937] = 14451,
  [15938] = 14384,
  [15939] = 14388,
  [15940] = 14382,
  [15941] = 14385,
  [15942] = 14373,
  [15943] = 14383,
  [15944] = 14385,
  [15945] = 14383,
  [15946] = 14374,
  [15947] = 14376,
  [15948] = 14365,
  [15949] = 14351,
  [15950] = 14376,
  [15951] = 14469,
  [15952] = 14376,
  [15953] = 15714,
  [15954] = 14374,
  [15955] = 14374,
  [15956] = 14373,
  [15957] = 14367,
  [15958] = 14377,
  [15959] = 14373,
  [15960] = 5666,
  [15961] = 14351,
  [15962] = 14369,
  [15963] = 14382,
  [15964] = 14351,
  [15965] = 15965,
  [15966] = 14364,
  [15967] = 14376,
  [15968] = 14363,
  [15969] = 14374,
  [15970] = 14373,
  [15971] = 14430,
  [15972] = 15972,
  [15973] = 14362,
  [15974] = 15974,
  [15975] = 14358,
  [15976] = 15976,
  [15977] = 14356,
  [15978] = 14364,
  [15979] = 14363,
  [15980] = 14362,
  [15981] = 14358,
  [15982] = 14355,
  [15983] = 15983,
  [15984] = 14461,
  [15985] = 15985,
  [15986] = 15986,
  [15987] = 15987,
  [15988] = 15988,
  [15989] = 15989,
  [15990] = 15990,
  [15991] = 15991,
  [15992] = 15992,
  [15993] = 15993,
  [15994] = 15994,
  [15995] = 15989,
  [15996] = 15996,
  [15997] = 15989,
  [15998] = 15998,
  [15999] = 15999,
  [16000] = 16000,
  [16001] = 15990,
  [16002] = 15989,
  [16003] = 16003,
  [16004] = 15990,
  [16005] = 15989,
  [16006] = 15990,
  [16007] = 16007,
  [16008] = 15989,
  [16009] = 15990,
  [16010] = 15990,
  [16011] = 15989,
  [16012] = 16012,
  [16013] = 16013,
  [16014] = 16014,
  [16015] = 16015,
  [16016] = 16016,
  [16017] = 16017,
  [16018] = 15989,
  [16019] = 16019,
  [16020] = 15990,
  [16021] = 16021,
  [16022] = 15990,
  [16023] = 16023,
  [16024] = 16024,
  [16025] = 15989,
  [16026] = 16026,
  [16027] = 15990,
  [16028] = 16028,
  [16029] = 15989,
  [16030] = 16030,
  [16031] = 16030,
  [16032] = 16028,
  [16033] = 16014,
  [16034] = 15990,
  [16035] = 16035,
  [16036] = 15990,
  [16037] = 16037,
  [16038] = 15989,
  [16039] = 15989,
  [16040] = 15990,
  [16041] = 15990,
  [16042] = 16042,
  [16043] = 16043,
  [16044] = 16044,
  [16045] = 16012,
  [16046] = 15990,
  [16047] = 16047,
  [16048] = 16048,
  [16049] = 16042,
  [16050] = 16048,
  [16051] = 16051,
  [16052] = 15989,
  [16053] = 16042,
  [16054] = 16054,
  [16055] = 15990,
  [16056] = 16056,
  [16057] = 16057,
  [16058] = 16042,
  [16059] = 16059,
  [16060] = 15989,
  [16061] = 16061,
  [16062] = 16062,
  [16063] = 16059,
  [16064] = 16064,
  [16065] = 15990,
  [16066] = 16066,
  [16067] = 16014,
  [16068] = 16068,
  [16069] = 16069,
  [16070] = 16070,
  [16071] = 16014,
  [16072] = 16072,
  [16073] = 15993,
  [16074] = 16074,
  [16075] = 16075,
  [16076] = 16076,
  [16077] = 15989,
  [16078] = 16078,
  [16079] = 16079,
  [16080] = 16080,
  [16081] = 16047,
  [16082] = 16074,
  [16083] = 16083,
  [16084] = 16078,
  [16085] = 16085,
  [16086] = 16086,
  [16087] = 16042,
  [16088] = 16088,
  [16089] = 16089,
  [16090] = 16090,
  [16091] = 15990,
  [16092] = 16092,
  [16093] = 15989,
  [16094] = 16094,
  [16095] = 16048,
  [16096] = 16096,
  [16097] = 16097,
  [16098] = 16098,
  [16099] = 16099,
  [16100] = 16100,
  [16101] = 16101,
  [16102] = 16102,
  [16103] = 16103,
  [16104] = 16059,
  [16105] = 16105,
  [16106] = 16106,
  [16107] = 16107,
  [16108] = 16108,
  [16109] = 15989,
  [16110] = 16110,
  [16111] = 15989,
  [16112] = 16112,
  [16113] = 16113,
  [16114] = 16078,
  [16115] = 16115,
  [16116] = 16074,
  [16117] = 16117,
  [16118] = 16014,
  [16119] = 16059,
  [16120] = 16042,
  [16121] = 16048,
  [16122] = 15989,
  [16123] = 15989,
  [16124] = 15990,
  [16125] = 16059,
  [16126] = 16059,
  [16127] = 16127,
  [16128] = 16128,
  [16129] = 16129,
  [16130] = 16078,
  [16131] = 16074,
  [16132] = 16078,
  [16133] = 16003,
  [16134] = 16134,
  [16135] = 16135,
  [16136] = 16136,
  [16137] = 15987,
  [16138] = 16015,
  [16139] = 16139,
  [16140] = 16140,
  [16141] = 16141,
  [16142] = 16142,
  [16143] = 16143,
  [16144] = 16144,
  [16145] = 16145,
  [16146] = 16146,
  [16147] = 16074,
  [16148] = 16007,
  [16149] = 16048,
  [16150] = 16048,
  [16151] = 16151,
  [16152] = 16152,
  [16153] = 16153,
  [16154] = 16042,
  [16155] = 16155,
  [16156] = 16156,
  [16157] = 16157,
  [16158] = 16158,
  [16159] = 16042,
  [16160] = 16085,
  [16161] = 16007,
  [16162] = 16142,
  [16163] = 16059,
  [16164] = 16164,
  [16165] = 16165,
  [16166] = 16007,
  [16167] = 16048,
  [16168] = 16168,
  [16169] = 16090,
  [16170] = 16170,
  [16171] = 16014,
  [16172] = 16059,
  [16173] = 16173,
  [16174] = 16048,
  [16175] = 16042,
  [16176] = 16048,
  [16177] = 16048,
  [16178] = 16142,
  [16179] = 16059,
  [16180] = 16180,
  [16181] = 16074,
  [16182] = 16078,
  [16183] = 16014,
  [16184] = 16078,
  [16185] = 16185,
  [16186] = 16042,
  [16187] = 16112,
  [16188] = 16074,
  [16189] = 16078,
  [16190] = 16074,
  [16191] = 16007,
  [16192] = 16192,
  [16193] = 16142,
  [16194] = 16194,
  [16195] = 16195,
  [16196] = 16142,
  [16197] = 16197,
  [16198] = 16078,
  [16199] = 16074,
  [16200] = 16200,
  [16201] = 16143,
  [16202] = 16202,
  [16203] = 16144,
  [16204] = 16014,
  [16205] = 16110,
  [16206] = 16059,
  [16207] = 16207,
  [16208] = 16007,
  [16209] = 16209,
  [16210] = 16210,
  [16211] = 16113,
  [16212] = 16212,
  [16213] = 16142,
  [16214] = 16117,
  [16215] = 16215,
  [16216] = 16216,
  [16217] = 16007,
  [16218] = 16014,
  [16219] = 16142,
  [16220] = 16074,
  [16221] = 15989,
  [16222] = 16222,
  [16223] = 16059,
  [16224] = 16224,
  [16225] = 16225,
  [16226] = 16007,
  [16227] = 16227,
  [16228] = 16142,
  [16229] = 16113,
  [16230] = 16230,
  [16231] = 16231,
  [16232] = 16232,
  [16233] = 16233,
  [16234] = 16007,
  [16235] = 16145,
  [16236] = 16142,
  [16237] = 16078,
  [16238] = 16238,
  [16239] = 16007,
  [16240] = 16240,
  [16241] = 16142,
  [16242] = 16242,
  [16243] = 16014,
  [16244] = 16059,
  [16245] = 16007,
  [16246] = 16042,
  [16247] = 16247,
  [16248] = 16248,
  [16249] = 16048,
  [16250] = 16250,
  [16251] = 16251,
  [16252] = 16252,
  [16253] = 16089,
  [16254] = 16254,
  [16255] = 16042,
  [16256] = 16078,
  [16257] = 16257,
  [16258] = 16074,
  [16259] = 16259,
  [16260] = 16260,
  [16261] = 16261,
  [16262] = 16262,
  [16263] = 16066,
  [16264] = 16142,
  [16265] = 16068,
  [16266] = 16142,
  [16267] = 16267,
  [16268] = 16048,
  [16269] = 16014,
  [16270] = 16270,
  [16271] = 16271,
  [16272] = 16059,
  [16273] = 16142,
  [16274] = 16106,
  [16275] = 16275,
  [16276] = 16276,
  [16277] = 16277,
  [16278] = 16152,
  [16279] = 16279,
  [16280] = 16094,
  [16281] = 16281,
  [16282] = 16007,
  [16283] = 16048,
  [16284] = 16042,
  [16285] = 16059,
  [16286] = 16014,
  [16287] = 16074,
  [16288] = 16078,
  [16289] = 16215,
  [16290] = 16113,
  [16291] = 16142,
  [16292] = 16252,
  [16293] = 16048,
  [16294] = 16007,
  [16295] = 16295,
  [16296] = 16142,
  [16297] = 16297,
  [16298] = 16007,
  [16299] = 16142,
  [16300] = 16059,
  [16301] = 16301,
  [16302] = 16042,
  [16303] = 16078,
  [16304] = 16074,
  [16305] = 16305,
  [16306] = 16146,
  [16307] = 16113,
  [16308] = 16014,
  [16309] = 16014,
  [16310] = 16059,
  [16311] = 16007,
  [16312] = 16048,
  [16313] = 16242,
  [16314] = 16074,
  [16315] = 16078,
  [16316] = 16078,
  [16317] = 16129,
  [16318] = 16042,
  [16319] = 16074,
  [16320] = 16113,
  [16321] = 16230,
  [16322] = 16142,
  [16323] = 16059,
  [16324] = 16324,
  [16325] = 16007,
  [16326] = 16007,
  [16327] = 16074,
  [16328] = 16078,
  [16329] = 16048,
  [16330] = 16042,
  [16331] = 16059,
  [16332] = 16014,
  [16333] = 16333,
  [16334] = 16042,
  [16335] = 16074,
  [16336] = 16078,
  [16337] = 16074,
  [16338] = 16078,
  [16339] = 16014,
  [16340] = 16059,
  [16341] = 16042,
  [16342] = 16048,
  [16343] = 16048,
  [16344] = 16014,
  [16345] = 16345,
  [16346] = 16142,
  [16347] = 16347,
  [16348] = 16227,
  [16349] = 16014,
  [16350] = 16129,
  [16351] = 16007,
  [16352] = 16352,
  [16353] = 16353,
  [16354] = 16354,
  [16355] = 16355,
  [16356] = 16356,
  [16357] = 16357,
  [16358] = 16358,
  [16359] = 16359,
  [16360] = 16360,
  [16361] = 16361,
  [16362] = 16362,
  [16363] = 16363,
  [16364] = 16364,
  [16365] = 16365,
  [16366] = 16366,
  [16367] = 16367,
  [16368] = 16368,
  [16369] = 16365,
  [16370] = 16366,
  [16371] = 16371,
  [16372] = 16365,
  [16373] = 16366,
  [16374] = 16374,
  [16375] = 16375,
  [16376] = 16365,
  [16377] = 16366,
  [16378] = 16378,
  [16379] = 16365,
  [16380] = 16366,
  [16381] = 16381,
  [16382] = 16365,
  [16383] = 16366,
  [16384] = 16384,
  [16385] = 16365,
  [16386] = 16366,
  [16387] = 16387,
  [16388] = 16365,
  [16389] = 16366,
  [16390] = 16390,
  [16391] = 16365,
  [16392] = 16366,
  [16393] = 16393,
  [16394] = 16394,
  [16395] = 16395,
  [16396] = 16365,
  [16397] = 16366,
  [16398] = 16398,
  [16399] = 16399,
  [16400] = 16400,
  [16401] = 16365,
  [16402] = 16366,
  [16403] = 16403,
  [16404] = 16404,
  [16405] = 16405,
  [16406] = 16406,
  [16407] = 16407,
  [16408] = 16408,
  [16409] = 16409,
  [16410] = 16410,
  [16411] = 16411,
  [16412] = 16412,
  [16413] = 16413,
  [16414] = 16414,
  [16415] = 16415,
  [16416] = 16416,
  [16417] = 16417,
  [16418] = 16418,
  [16419] = 16419,
  [16420] = 16420,
  [16421] = 16421,
  [16422] = 16422,
  [16423] = 16423,
  [16424] = 16424,
  [16425] = 16425,
  [16426] = 16426,
  [16427] = 16427,
  [16428] = 16428,
  [16429] = 16429,
  [16430] = 16430,
  [16431] = 16431,
  [16432] = 16432,
  [16433] = 16433,
  [16434] = 16434,
  [16435] = 16435,
  [16436] = 16436,
  [16437] = 16437,
  [16438] = 16438,
  [16439] = 16439,
  [16440] = 16440,
  [16441] = 16441,
  [16442] = 16442,
  [16443] = 16443,
  [16444] = 16444,
  [16445] = 16445,
  [16446] = 16361,
  [16447] = 16447,
  [16448] = 16448,
  [16449] = 16449,
  [16450] = 16450,
  [16451] = 16451,
  [16452] = 16366,
  [16453] = 16453,
  [16454] = 16454,
  [16455] = 16455,
  [16456] = 16456,
  [16457] = 16457,
  [16458] = 16458,
  [16459] = 16360,
  [16460] = 16460,
  [16461] = 16461,
  [16462] = 16462,
  [16463] = 16463,
  [16464] = 16464,
  [16465] = 16465,
  [16466] = 16466,
  [16467] = 16467,
  [16468] = 16468,
  [16469] = 16469,
  [16470] = 16470,
  [16471] = 16462,
  [16472] = 16472,
  [16473] = 16473,
  [16474] = 16474,
  [16475] = 16475,
  [16476] = 16476,
  [16477] = 16477,
  [16478] = 16362,
  [16479] = 16479,
  [16480] = 16364,
  [16481] = 16367,
  [16482] = 16368,
  [16483] = 16483,
  [16484] = 16371,
  [16485] = 16485,
  [16486] = 16486,
  [16487] = 16374,
  [16488] = 16375,
  [16489] = 16378,
  [16490] = 16490,
  [16491] = 16491,
  [16492] = 16476,
  [16493] = 16381,
  [16494] = 16384,
  [16495] = 16387,
  [16496] = 16496,
  [16497] = 16390,
  [16498] = 16395,
  [16499] = 16499,
  [16500] = 16399,
  [16501] = 16393,
  [16502] = 16475,
  [16503] = 16503,
  [16504] = 16422,
  [16505] = 16365,
  [16506] = 16483,
  [16507] = 16426,
  [16508] = 16429,
  [16509] = 16394,
  [16510] = 16468,
  [16511] = 16511,
  [16512] = 16469,
  [16513] = 16432,
  [16514] = 16460,
  [16515] = 16436,
  [16516] = 16366,
  [16517] = 16517,
  [16518] = 16462,
  [16519] = 16466,
  [16520] = 16419,
  [16521] = 16358,
  [16522] = 16465,
  [16523] = 16469,
  [16524] = 16524,
  [16525] = 16352,
  [16526] = 16463,
  [16527] = 16461,
  [16528] = 16483,
  [16529] = 16529,
  [16530] = 16365,
  [16531] = 16457,
  [16532] = 16460,
  [16533] = 16533,
  [16534] = 16456,
  [16535] = 16529,
  [16536] = 16477,
  [16537] = 16361,
  [16538] = 16538,
  [16539] = 16360,
  [16540] = 16359,
  [16541] = 16358,
  [16542] = 16357,
  [16543] = 16543,
  [16544] = 16356,
  [16545] = 16545,
  [16546] = 16355,
  [16547] = 16354,
  [16548] = 16353,
  [16549] = 16398,
  [16550] = 16404,
  [16551] = 16406,
  [16552] = 16408,
  [16553] = 16409,
  [16554] = 16554,
  [16555] = 16359,
  [16556] = 16358,
  [16557] = 16357,
  [16558] = 16356,
  [16559] = 16410,
  [16560] = 16355,
  [16561] = 16413,
  [16562] = 16562,
  [16563] = 16563,
  [16564] = 16414,
  [16565] = 16436,
  [16566] = 16415,
  [16567] = 16416,
  [16568] = 16432,
  [16569] = 16417,
  [16570] = 16374,
  [16571] = 16423,
  [16572] = 16361,
  [16573] = 16573,
  [16574] = 16429,
  [16575] = 16424,
  [16576] = 16425,
  [16577] = 16360,
  [16578] = 16426,
  [16579] = 16427,
  [16580] = 16428,
  [16581] = 16359,
  [16582] = 16415,
  [16583] = 16583,
  [16584] = 16422,
  [16585] = 16430,
  [16586] = 16431,
  [16587] = 16433,
  [16588] = 16357,
  [16589] = 16589,
  [16590] = 16393,
  [16591] = 16434,
  [16592] = 16435,
  [16593] = 16437,
  [16594] = 16354,
  [16595] = 16356,
  [16596] = 16438,
  [16597] = 16440,
  [16598] = 16353,
  [16599] = 16398,
  [16600] = 16404,
  [16601] = 16406,
  [16602] = 16602,
  [16603] = 16443,
  [16604] = 16445,
  [16605] = 16355,
  [16606] = 16448,
  [16607] = 16354,
  [16608] = 16608,
  [16609] = 16609,
  [16610] = 16610,
  [16611] = 16353,
  [16612] = 16453,
  [16613] = 16454,
  [16614] = 16456,
  [16615] = 16457,
  [16616] = 16461,
  [16617] = 16617,
  [16618] = 16618,
  [16619] = 16619,
  [16620] = 16620,
  [16621] = 16463,
  [16622] = 16465,
  [16623] = 16398,
  [16624] = 16466,
  [16625] = 16404,
  [16626] = 16626,
  [16627] = 16406,
  [16628] = 16468,
  [16629] = 16394,
  [16630] = 16453,
  [16631] = 16631,
  [16632] = 16475,
  [16633] = 16476,
  [16634] = 16602,
  [16635] = 16477,
  [16636] = 16408,
  [16637] = 16362,
  [16638] = 16409,
  [16639] = 16410,
  [16640] = 16413,
  [16641] = 16364,
  [16642] = 16414,
  [16643] = 16367,
  [16644] = 16368,
  [16645] = 16448,
  [16646] = 16646,
  [16647] = 16371,
  [16648] = 16440,
  [16649] = 16435,
  [16650] = 16416,
  [16651] = 16417,
  [16652] = 16419,
  [16653] = 16399,
  [16654] = 16375,
  [16655] = 16395,
  [16656] = 16378,
  [16657] = 16445,
  [16658] = 16390,
  [16659] = 16381,
  [16660] = 16384,
  [16661] = 16423,
  [16662] = 16424,
  [16663] = 16663,
  [16664] = 16387,
  [16665] = 16387,
  [16666] = 16443,
  [16667] = 16390,
  [16668] = 16384,
  [16669] = 16395,
  [16670] = 16399,
  [16671] = 16381,
  [16672] = 16393,
  [16673] = 16422,
  [16674] = 16440,
  [16675] = 16425,
  [16676] = 16378,
  [16677] = 16375,
  [16678] = 16426,
  [16679] = 16374,
  [16680] = 16429,
  [16681] = 16371,
  [16682] = 16438,
  [16683] = 16432,
  [16684] = 16436,
  [16685] = 16427,
  [16686] = 16368,
  [16687] = 16367,
  [16688] = 16437,
  [16689] = 16364,
  [16690] = 16366,
  [16691] = 16691,
  [16692] = 16692,
  [16693] = 16462,
  [16694] = 16437,
  [16695] = 16434,
  [16696] = 16469,
  [16697] = 16454,
  [16698] = 16428,
  [16699] = 16483,
  [16700] = 16365,
  [16701] = 16431,
  [16702] = 16430,
  [16703] = 16431,
  [16704] = 16431,
  [16705] = 16433,
  [16706] = 16706,
  [16707] = 16707,
  [16708] = 16430,
  [16709] = 16460,
  [16710] = 16710,
  [16711] = 16711,
  [16712] = 16428,
  [16713] = 16713,
  [16714] = 16434,
  [16715] = 16715,
  [16716] = 16529,
  [16717] = 16435,
  [16718] = 16361,
  [16719] = 16692,
  [16720] = 16360,
  [16721] = 16359,
  [16722] = 16358,
  [16723] = 16691,
  [16724] = 16437,
  [16725] = 16357,
  [16726] = 16438,
  [16727] = 16356,
  [16728] = 16355,
  [16729] = 16408,
  [16730] = 16354,
  [16731] = 16409,
  [16732] = 16410,
  [16733] = 16413,
  [16734] = 16414,
  [16735] = 16353,
  [16736] = 16415,
  [16737] = 16398,
  [16738] = 16416,
  [16739] = 16417,
  [16740] = 16419,
  [16741] = 16423,
  [16742] = 16424,
  [16743] = 16425,
  [16744] = 16427,
  [16745] = 16404,
  [16746] = 16406,
  [16747] = 16602,
  [16748] = 16408,
  [16749] = 16409,
  [16750] = 16410,
  [16751] = 16428,
  [16752] = 16413,
  [16753] = 16430,
  [16754] = 16414,
  [16755] = 16415,
  [16756] = 16433,
  [16757] = 16416,
  [16758] = 16434,
  [16759] = 16435,
  [16760] = 16417,
  [16761] = 16419,
  [16762] = 16423,
  [16763] = 16424,
  [16764] = 16425,
  [16765] = 16427,
  [16766] = 16428,
  [16767] = 16430,
  [16768] = 16431,
  [16769] = 16433,
  [16770] = 16434,
  [16771] = 16362,
  [16772] = 16477,
  [16773] = 16435,
  [16774] = 16476,
  [16775] = 16692,
  [16776] = 16433,
  [16777] = 16475,
  [16778] = 16438,
  [16779] = 16440,
  [16780] = 16443,
  [16781] = 16363,
  [16782] = 16394,
  [16783] = 16468,
  [16784] = 16445,
  [16785] = 16466,
  [16786] = 16448,
  [16787] = 16465,
  [16788] = 16453,
  [16789] = 16463,
  [16790] = 16461,
  [16791] = 16454,
  [16792] = 16457,
  [16793] = 16456,
  [16794] = 16456,
  [16795] = 16457,
  [16796] = 16461,
  [16797] = 16463,
  [16798] = 16454,
  [16799] = 16453,
  [16800] = 16448,
  [16801] = 16445,
  [16802] = 16465,
  [16803] = 16443,
  [16804] = 16466,
  [16805] = 16440,
  [16806] = 16468,
  [16807] = 16394,
  [16808] = 16427,
  [16809] = 16438,
  [16810] = 16437,
  [16811] = 16475,
  [16812] = 16692,
  [16813] = 16476,
  [16814] = 16691,
  [16815] = 16477,
  [16816] = 16816,
  [16817] = 16443,
  [16818] = 16818,
  [16819] = 16819,
  [16820] = 16362,
  [16821] = 16425,
  [16822] = 16424,
  [16823] = 16363,
  [16824] = 16364,
  [16825] = 16825,
  [16826] = 16367,
  [16827] = 16368,
  [16828] = 16828,
  [16829] = 16829,
  [16830] = 16830,
  [16831] = 16423,
  [16832] = 16832,
  [16833] = 16445,
  [16834] = 16448,
  [16835] = 16453,
  [16836] = 16371,
  [16837] = 16374,
  [16838] = 16375,
  [16839] = 16454,
  [16840] = 16378,
  [16841] = 16361,
  [16842] = 16381,
  [16843] = 16384,
  [16844] = 16387,
  [16845] = 16417,
  [16846] = 16416,
  [16847] = 16390,
  [16848] = 16395,
  [16849] = 16399,
  [16850] = 16415,
  [16851] = 16456,
  [16852] = 16400,
  [16853] = 16393,
  [16854] = 16414,
  [16855] = 16422,
  [16856] = 16457,
  [16857] = 16413,
  [16858] = 16461,
  [16859] = 16410,
  [16860] = 16463,
  [16861] = 16426,
  [16862] = 16409,
  [16863] = 16429,
  [16864] = 16408,
  [16865] = 16432,
  [16866] = 16866,
  [16867] = 16436,
  [16868] = 16419,
  [16869] = 16465,
  [16870] = 16366,
  [16871] = 16466,
  [16872] = 16406,
  [16873] = 16468,
  [16874] = 16394,
  [16875] = 16404,
  [16876] = 16462,
  [16877] = 16398,
  [16878] = 16353,
  [16879] = 16469,
  [16880] = 16354,
  [16881] = 16881,
  [16882] = 16483,
  [16883] = 16883,
  [16884] = 16475,
  [16885] = 16365,
  [16886] = 16355,
  [16887] = 16476,
  [16888] = 16356,
  [16889] = 16889,
  [16890] = 16477,
  [16891] = 16362,
  [16892] = 16435,
  [16893] = 16434,
  [16894] = 16460,
  [16895] = 16433,
  [16896] = 16431,
  [16897] = 16357,
  [16898] = 16430,
  [16899] = 16358,
  [16900] = 16428,
  [16901] = 16359,
  [16902] = 16529,
  [16903] = 16360,
  [16904] = 16427,
  [16905] = 16425,
  [16906] = 16424,
  [16907] = 16423,
  [16908] = 16419,
  [16909] = 16417,
  [16910] = 16416,
  [16911] = 16430,
  [16912] = 16415,
  [16913] = 16602,
  [16914] = 16414,
  [16915] = 16413,
  [16916] = 16410,
  [16917] = 16409,
  [16918] = 16361,
  [16919] = 16408,
  [16920] = 16360,
  [16921] = 16921,
  [16922] = 16922,
  [16923] = 16359,
  [16924] = 16924,
  [16925] = 16925,
  [16926] = 16926,
  [16927] = 16358,
  [16928] = 16357,
  [16929] = 16929,
  [16930] = 16356,
  [16931] = 16355,
  [16932] = 16932,
  [16933] = 16354,
  [16934] = 16353,
  [16935] = 16398,
  [16936] = 16364,
  [16937] = 16404,
  [16938] = 16367,
  [16939] = 16406,
  [16940] = 16368,
  [16941] = 16602,
  [16942] = 16942,
  [16943] = 16437,
  [16944] = 16438,
  [16945] = 16408,
  [16946] = 16409,
  [16947] = 16410,
  [16948] = 16413,
  [16949] = 16440,
  [16950] = 16414,
  [16951] = 16443,
  [16952] = 16415,
  [16953] = 16445,
  [16954] = 16448,
  [16955] = 16453,
  [16956] = 16454,
  [16957] = 16416,
  [16958] = 16417,
  [16959] = 16419,
  [16960] = 16456,
  [16961] = 16423,
  [16962] = 16457,
  [16963] = 16424,
  [16964] = 16461,
  [16965] = 16463,
  [16966] = 16425,
  [16967] = 16465,
  [16968] = 16427,
  [16969] = 16466,
  [16970] = 16428,
  [16971] = 16468,
  [16972] = 16394,
  [16973] = 16374,
  [16974] = 16431,
  [16975] = 16433,
  [16976] = 16434,
  [16977] = 16475,
  [16978] = 16435,
  [16979] = 16692,
  [16980] = 16476,
  [16981] = 16437,
  [16982] = 16406,
  [16983] = 16404,
  [16984] = 16398,
  [16985] = 16353,
  [16986] = 16354,
  [16987] = 16438,
  [16988] = 16355,
  [16989] = 16440,
  [16990] = 16356,
  [16991] = 16357,
  [16992] = 16358,
  [16993] = 16359,
  [16994] = 16477,
  [16995] = 16362,
  [16996] = 16443,
  [16997] = 16997,
  [16998] = 16998,
  [16999] = 16999,
  [17000] = 16371,
  [17001] = 17001,
  [17002] = 17002,
  [17003] = 16445,
  [17004] = 16363,
  [17005] = 17005,
  [17006] = 16448,
  [17007] = 17007,
  [17008] = 16453,
  [17009] = 16454,
  [17010] = 16374,
  [17011] = 16456,
  [17012] = 17012,
  [17013] = 16457,
  [17014] = 16461,
  [17015] = 16463,
  [17016] = 16465,
  [17017] = 16466,
  [17018] = 16468,
  [17019] = 16375,
  [17020] = 16394,
  [17021] = 16378,
  [17022] = 16475,
  [17023] = 16476,
  [17024] = 16477,
  [17025] = 16362,
  [17026] = 16363,
  [17027] = 16364,
  [17028] = 16367,
  [17029] = 16368,
  [17030] = 16371,
  [17031] = 17031,
  [17032] = 16360,
  [17033] = 16361,
  [17034] = 16462,
  [17035] = 16375,
  [17036] = 16378,
  [17037] = 17037,
  [17038] = 17038,
  [17039] = 16381,
  [17040] = 16400,
  [17041] = 16384,
  [17042] = 17042,
  [17043] = 17043,
  [17044] = 16387,
  [17045] = 16533,
  [17046] = 16390,
  [17047] = 16395,
  [17048] = 17048,
  [17049] = 16399,
  [17050] = 16400,
  [17051] = 16529,
  [17052] = 17052,
  [17053] = 17053,
  [17054] = 16393,
  [17055] = 17055,
  [17056] = 16422,
  [17057] = 16381,
  [17058] = 17058,
  [17059] = 16426,
  [17060] = 16352,
  [17061] = 16429,
  [17062] = 16524,
  [17063] = 16432,
  [17064] = 16436,
  [17065] = 16366,
  [17066] = 16460,
  [17067] = 16365,
  [17068] = 16469,
  [17069] = 16503,
  [17070] = 16384,
  [17071] = 16483,
  [17072] = 16365,
  [17073] = 16460,
  [17074] = 17074,
  [17075] = 16483,
  [17076] = 16387,
  [17077] = 16529,
  [17078] = 17078,
  [17079] = 16390,
  [17080] = 16469,
  [17081] = 16361,
  [17082] = 16360,
  [17083] = 16359,
  [17084] = 16358,
  [17085] = 16395,
  [17086] = 16357,
  [17087] = 16399,
  [17088] = 16356,
  [17089] = 16403,
  [17090] = 16355,
  [17091] = 16354,
  [17092] = 16353,
  [17093] = 16398,
  [17094] = 16404,
  [17095] = 16406,
  [17096] = 16602,
  [17097] = 17097,
  [17098] = 16408,
  [17099] = 16409,
  [17100] = 16410,
  [17101] = 16413,
  [17102] = 16414,
  [17103] = 16415,
  [17104] = 16416,
  [17105] = 16417,
  [17106] = 17106,
  [17107] = 16419,
  [17108] = 16393,
  [17109] = 16423,
  [17110] = 16424,
  [17111] = 16425,
  [17112] = 16427,
  [17113] = 16422,
  [17114] = 16428,
  [17115] = 16430,
  [17116] = 16426,
  [17117] = 16431,
  [17118] = 16433,
  [17119] = 16434,
  [17120] = 16429,
  [17121] = 16435,
  [17122] = 16692,
  [17123] = 16432,
  [17124] = 16437,
  [17125] = 16438,
  [17126] = 16436,
  [17127] = 16440,
  [17128] = 16443,
  [17129] = 16366,
  [17130] = 16445,
  [17131] = 16448,
  [17132] = 16453,
  [17133] = 16462,
  [17134] = 16454,
  [17135] = 16456,
  [17136] = 16469,
  [17137] = 16457,
  [17138] = 16461,
  [17139] = 16483,
  [17140] = 16463,
  [17141] = 16465,
  [17142] = 16466,
  [17143] = 16468,
  [17144] = 16394,
  [17145] = 16503,
  [17146] = 16462,
  [17147] = 16365,
  [17148] = 16475,
  [17149] = 16476,
  [17150] = 16460,
  [17151] = 16477,
  [17152] = 16362,
  [17153] = 16363,
  [17154] = 16524,
  [17155] = 16352,
  [17156] = 16364,
  [17157] = 16367,
  [17158] = 16368,
  [17159] = 16529,
  [17160] = 16415,
  [17161] = 16371,
  [17162] = 16374,
  [17163] = 16533,
  [17164] = 16375,
  [17165] = 16378,
  [17166] = 16366,
  [17167] = 16443,
  [17168] = 16381,
  [17169] = 16384,
  [17170] = 16387,
  [17171] = 17171,
  [17172] = 17172,
  [17173] = 17173,
  [17174] = 17174,
  [17175] = 16361,
  [17176] = 16360,
  [17177] = 16359,
  [17178] = 16358,
  [17179] = 16357,
  [17180] = 16356,
  [17181] = 16390,
  [17182] = 16355,
  [17183] = 16395,
  [17184] = 16354,
  [17185] = 16353,
  [17186] = 16398,
  [17187] = 16404,
  [17188] = 16406,
  [17189] = 16602,
  [17190] = 16618,
  [17191] = 16619,
  [17192] = 16399,
  [17193] = 16408,
  [17194] = 16436,
  [17195] = 16409,
  [17196] = 16410,
  [17197] = 16413,
  [17198] = 16414,
  [17199] = 16400,
  [17200] = 16415,
  [17201] = 16393,
  [17202] = 16416,
  [17203] = 16417,
  [17204] = 16419,
  [17205] = 16423,
  [17206] = 16424,
  [17207] = 16425,
  [17208] = 16427,
  [17209] = 16432,
  [17210] = 16422,
  [17211] = 16426,
  [17212] = 16428,
  [17213] = 16429,
  [17214] = 16430,
  [17215] = 16429,
  [17216] = 16431,
  [17217] = 16433,
  [17218] = 16432,
  [17219] = 16434,
  [17220] = 16435,
  [17221] = 16692,
  [17222] = 16691,
  [17223] = 16437,
  [17224] = 16438,
  [17225] = 16436,
  [17226] = 16426,
  [17227] = 16366,
  [17228] = 16440,
  [17229] = 16422,
  [17230] = 16362,
  [17231] = 16462,
  [17232] = 16445,
  [17233] = 16448,
  [17234] = 16453,
  [17235] = 16454,
  [17236] = 16469,
  [17237] = 16393,
  [17238] = 16483,
  [17239] = 16456,
  [17240] = 16365,
  [17241] = 16457,
  [17242] = 16460,
  [17243] = 16461,
  [17244] = 16463,
  [17245] = 16403,
  [17246] = 16465,
  [17247] = 17247,
  [17248] = 16400,
  [17249] = 17249,
  [17250] = 16399,
  [17251] = 16466,
  [17252] = 16395,
  [17253] = 16468,
  [17254] = 16394,
  [17255] = 17255,
  [17256] = 16529,
  [17257] = 17257,
  [17258] = 16390,
  [17259] = 16361,
  [17260] = 16360,
  [17261] = 16359,
  [17262] = 16358,
  [17263] = 16357,
  [17264] = 16356,
  [17265] = 16475,
  [17266] = 16355,
  [17267] = 16354,
  [17268] = 16353,
  [17269] = 16476,
  [17270] = 17270,
  [17271] = 16398,
  [17272] = 16404,
  [17273] = 16406,
  [17274] = 16602,
  [17275] = 16408,
  [17276] = 17276,
  [17277] = 16409,
  [17278] = 16364,
  [17279] = 16410,
  [17280] = 16367,
  [17281] = 16368,
  [17282] = 16477,
  [17283] = 16413,
  [17284] = 16414,
  [17285] = 16417,
  [17286] = 16371,
  [17287] = 16416,
  [17288] = 16374,
  [17289] = 16429,
  [17290] = 16375,
  [17291] = 16378,
  [17292] = 16419,
  [17293] = 16423,
  [17294] = 16424,
  [17295] = 16425,
  [17296] = 16381,
  [17297] = 16427,
  [17298] = 16428,
  [17299] = 16384,
  [17300] = 16430,
  [17301] = 16431,
  [17302] = 16433,
  [17303] = 16387,
  [17304] = 16663,
  [17305] = 16363,
  [17306] = 17055,
  [17307] = 16434,
  [17308] = 16435,
  [17309] = 16390,
  [17310] = 16387,
  [17311] = 16692,
  [17312] = 16395,
  [17313] = 16691,
  [17314] = 16399,
  [17315] = 16437,
  [17316] = 16364,
  [17317] = 16438,
  [17318] = 16400,
  [17319] = 16367,
  [17320] = 16368,
  [17321] = 16403,
  [17322] = 16440,
  [17323] = 17323,
  [17324] = 16443,
  [17325] = 16445,
  [17326] = 16448,
  [17327] = 17327,
  [17328] = 17328,
  [17329] = 16453,
  [17330] = 16454,
  [17331] = 16456,
  [17332] = 17332,
  [17333] = 16457,
  [17334] = 16461,
  [17335] = 16371,
  [17336] = 16463,
  [17337] = 16374,
  [17338] = 16465,
  [17339] = 16466,
  [17340] = 16468,
  [17341] = 16394,
  [17342] = 16375,
  [17343] = 16475,
  [17344] = 17344,
  [17345] = 16476,
  [17346] = 16378,
  [17347] = 16477,
  [17348] = 16362,
  [17349] = 16363,
  [17350] = 16364,
  [17351] = 16367,
  [17352] = 16368,
  [17353] = 16384,
  [17354] = 16371,
  [17355] = 16374,
  [17356] = 16375,
  [17357] = 16378,
  [17358] = 16381,
  [17359] = 16384,
  [17360] = 16387,
  [17361] = 16381,
  [17362] = 16390,
  [17363] = 17363,
  [17364] = 17364,
  [17365] = 16381,
  [17366] = 16395,
  [17367] = 16399,
  [17368] = 16384,
  [17369] = 16400,
  [17370] = 16403,
  [17371] = 16393,
  [17372] = 16378,
  [17373] = 16422,
  [17374] = 16375,
  [17375] = 16426,
  [17376] = 16374,
  [17377] = 16394,
  [17378] = 17378,
  [17379] = 17379,
  [17380] = 17380,
  [17381] = 17381,
  [17382] = 16387,
  [17383] = 16432,
  [17384] = 17384,
  [17385] = 16436,
  [17386] = 16366,
  [17387] = 16368,
  [17388] = 16367,
  [17389] = 16462,
  [17390] = 16364,
  [17391] = 16390,
  [17392] = 16469,
  [17393] = 16363,
  [17394] = 16483,
  [17395] = 16395,
  [17396] = 17396,
  [17397] = 16503,
  [17398] = 16399,
  [17399] = 16400,
  [17400] = 17400,
  [17401] = 16403,
  [17402] = 16365,
  [17403] = 16362,
  [17404] = 16477,
  [17405] = 16460,
  [17406] = 17406,
  [17407] = 16476,
  [17408] = 17408,
  [17409] = 16524,
  [17410] = 17410,
  [17411] = 16352,
  [17412] = 16475,
  [17413] = 16529,
  [17414] = 17414,
  [17415] = 16533,
  [17416] = 16438,
  [17417] = 16468,
  [17418] = 16361,
  [17419] = 16360,
  [17420] = 16359,
  [17421] = 16358,
  [17422] = 16357,
  [17423] = 17423,
  [17424] = 17424,
  [17425] = 16393,
  [17426] = 16356,
  [17427] = 16355,
  [17428] = 16354,
  [17429] = 17429,
  [17430] = 16422,
  [17431] = 17431,
  [17432] = 16353,
  [17433] = 16398,
  [17434] = 17434,
  [17435] = 17435,
  [17436] = 16404,
  [17437] = 16426,
  [17438] = 16406,
  [17439] = 17439,
  [17440] = 17440,
  [17441] = 16602,
  [17442] = 16408,
  [17443] = 16409,
  [17444] = 16410,
  [17445] = 16429,
  [17446] = 17446,
  [17447] = 16413,
  [17448] = 16414,
  [17449] = 16415,
  [17450] = 16416,
  [17451] = 17451,
  [17452] = 17452,
  [17453] = 16417,
  [17454] = 16419,
  [17455] = 16423,
  [17456] = 16393,
  [17457] = 16589,
  [17458] = 16432,
  [17459] = 16424,
  [17460] = 16425,
  [17461] = 16427,
  [17462] = 16428,
  [17463] = 16430,
  [17464] = 16422,
  [17465] = 16583,
  [17466] = 16436,
  [17467] = 16431,
  [17468] = 16433,
  [17469] = 16434,
  [17470] = 16426,
  [17471] = 16435,
  [17472] = 16366,
  [17473] = 16371,
  [17474] = 16692,
  [17475] = 16429,
  [17476] = 16573,
  [17477] = 16691,
  [17478] = 16437,
  [17479] = 16432,
  [17480] = 16440,
  [17481] = 16432,
  [17482] = 16443,
  [17483] = 16445,
  [17484] = 16436,
  [17485] = 16448,
  [17486] = 16453,
  [17487] = 16462,
  [17488] = 16454,
  [17489] = 16456,
  [17490] = 16457,
  [17491] = 16461,
  [17492] = 16463,
  [17493] = 16465,
  [17494] = 16466,
  [17495] = 17495,
  [17496] = 17496,
  [17497] = 17497,
  [17498] = 16468,
  [17499] = 16469,
  [17500] = 16394,
  [17501] = 16475,
  [17502] = 16483,
  [17503] = 16476,
  [17504] = 17504,
  [17505] = 16477,
  [17506] = 16362,
  [17507] = 17507,
  [17508] = 16465,
  [17509] = 16363,
  [17510] = 16364,
  [17511] = 16367,
  [17512] = 17512,
  [17513] = 16503,
  [17514] = 17514,
  [17515] = 16368,
  [17516] = 16463,
  [17517] = 16365,
  [17518] = 16371,
  [17519] = 16374,
  [17520] = 16375,
  [17521] = 16378,
  [17522] = 16461,
  [17523] = 16381,
  [17524] = 16384,
  [17525] = 16387,
  [17526] = 16457,
  [17527] = 16460,
  [17528] = 16390,
  [17529] = 16395,
  [17530] = 16399,
  [17531] = 16456,
  [17532] = 16524,
  [17533] = 16352,
  [17534] = 16400,
  [17535] = 16403,
  [17536] = 16393,
  [17537] = 16422,
  [17538] = 16454,
  [17539] = 16426,
  [17540] = 16453,
  [17541] = 16429,
  [17542] = 16448,
  [17543] = 16445,
  [17544] = 16469,
  [17545] = 16436,
  [17546] = 16563,
  [17547] = 16529,
  [17548] = 16562,
  [17549] = 17174,
  [17550] = 17550,
  [17551] = 17551,
  [17552] = 16443,
  [17553] = 17553,
  [17554] = 16366,
  [17555] = 16440,
  [17556] = 16462,
  [17557] = 16691,
  [17558] = 17558,
  [17559] = 17559,
  [17560] = 17560,
  [17561] = 16466,
  [17562] = 16533,
  [17563] = 16483,
  [17564] = 16503,
  [17565] = 16365,
  [17566] = 16366,
  [17567] = 16365,
  [17568] = 16437,
  [17569] = 16691,
  [17570] = 16692,
  [17571] = 16460,
  [17572] = 16435,
  [17573] = 16434,
  [17574] = 16433,
  [17575] = 16524,
  [17576] = 17171,
  [17577] = 16352,
  [17578] = 17172,
  [17579] = 17173,
  [17580] = 17174,
  [17581] = 16431,
  [17582] = 16361,
  [17583] = 17583,
  [17584] = 16529,
  [17585] = 16360,
  [17586] = 16430,
  [17587] = 17173,
  [17588] = 16359,
  [17589] = 16533,
  [17590] = 17590,
  [17591] = 16358,
  [17592] = 17592,
  [17593] = 16357,
  [17594] = 16428,
  [17595] = 16361,
  [17596] = 16356,
  [17597] = 16360,
  [17598] = 16359,
  [17599] = 16355,
  [17600] = 16358,
  [17601] = 17601,
  [17602] = 16357,
  [17603] = 17603,
  [17604] = 16354,
  [17605] = 16353,
  [17606] = 17606,
  [17607] = 16398,
  [17608] = 16356,
  [17609] = 16355,
  [17610] = 16404,
  [17611] = 17611,
  [17612] = 17612,
  [17613] = 16406,
  [17614] = 16602,
  [17615] = 16618,
  [17616] = 16354,
  [17617] = 16353,
  [17618] = 16619,
  [17619] = 17619,
  [17620] = 16398,
  [17621] = 17621,
  [17622] = 17622,
  [17623] = 17623,
  [17624] = 17624,
  [17625] = 16404,
  [17626] = 17626,
  [17627] = 16406,
  [17628] = 16366,
  [17629] = 16602,
  [17630] = 16408,
  [17631] = 16408,
  [17632] = 16409,
  [17633] = 16409,
  [17634] = 16460,
  [17635] = 16410,
  [17636] = 16410,
  [17637] = 16413,
  [17638] = 16413,
  [17639] = 16483,
  [17640] = 16414,
  [17641] = 16415,
  [17642] = 16414,
  [17643] = 16416,
  [17644] = 16469,
  [17645] = 16417,
  [17646] = 16415,
  [17647] = 16419,
  [17648] = 16423,
  [17649] = 16462,
  [17650] = 16424,
  [17651] = 16425,
  [17652] = 16416,
  [17653] = 16417,
  [17654] = 16436,
  [17655] = 16427,
  [17656] = 16428,
  [17657] = 16432,
  [17658] = 16430,
  [17659] = 16431,
  [17660] = 16419,
  [17661] = 16423,
  [17662] = 16429,
  [17663] = 16433,
  [17664] = 16434,
  [17665] = 16424,
  [17666] = 16426,
  [17667] = 16435,
  [17668] = 16692,
  [17669] = 16425,
  [17670] = 16427,
  [17671] = 16422,
  [17672] = 16466,
  [17673] = 16437,
  [17674] = 16438,
  [17675] = 16440,
  [17676] = 16393,
  [17677] = 16443,
  [17678] = 16445,
  [17679] = 16448,
  [17680] = 16399,
  [17681] = 16453,
  [17682] = 16395,
  [17683] = 16454,
  [17684] = 16456,
  [17685] = 16390,
  [17686] = 16457,
  [17687] = 16461,
  [17688] = 16463,
  [17689] = 16465,
  [17690] = 16387,
  [17691] = 16398,
  [17692] = 16468,
  [17693] = 16394,
  [17694] = 16384,
  [17695] = 16438,
  [17696] = 16475,
  [17697] = 16381,
  [17698] = 16476,
  [17699] = 16477,
  [17700] = 16362,
  [17701] = 16428,
  [17702] = 16378,
  [17703] = 16375,
  [17704] = 16427,
  [17705] = 16374,
  [17706] = 16425,
  [17707] = 16371,
  [17708] = 16363,
  [17709] = 16364,
  [17710] = 16367,
  [17711] = 16368,
  [17712] = 16368,
  [17713] = 16367,
  [17714] = 16424,
  [17715] = 16364,
  [17716] = 16371,
  [17717] = 16362,
  [17718] = 16477,
  [17719] = 16374,
  [17720] = 16476,
  [17721] = 16375,
  [17722] = 16378,
  [17723] = 16475,
  [17724] = 16423,
  [17725] = 16381,
  [17726] = 16384,
  [17727] = 16430,
  [17728] = 16394,
  [17729] = 16468,
  [17730] = 16387,
  [17731] = 16466,
  [17732] = 16419,
  [17733] = 16465,
  [17734] = 16417,
  [17735] = 16463,
  [17736] = 16461,
  [17737] = 16390,
  [17738] = 16457,
  [17739] = 16395,
  [17740] = 16456,
  [17741] = 16399,
  [17742] = 16416,
  [17743] = 16400,
  [17744] = 16454,
  [17745] = 16453,
  [17746] = 16448,
  [17747] = 16445,
  [17748] = 16415,
  [17749] = 16443,
  [17750] = 16403,
  [17751] = 16440,
  [17752] = 16393,
  [17753] = 16422,
  [17754] = 16414,
  [17755] = 16438,
  [17756] = 16437,
  [17757] = 16435,
  [17758] = 16434,
  [17759] = 16413,
  [17760] = 16433,
  [17761] = 16431,
  [17762] = 16426,
  [17763] = 16430,
  [17764] = 16410,
  [17765] = 16428,
  [17766] = 16429,
  [17767] = 16409,
  [17768] = 16432,
  [17769] = 16427,
  [17770] = 16425,
  [17771] = 16424,
  [17772] = 16423,
  [17773] = 16419,
  [17774] = 16417,
  [17775] = 16416,
  [17776] = 16436,
  [17777] = 16415,
  [17778] = 16408,
  [17779] = 16414,
  [17780] = 16413,
  [17781] = 16410,
  [17782] = 16409,
  [17783] = 16366,
  [17784] = 16408,
  [17785] = 16602,
  [17786] = 16406,
  [17787] = 16404,
  [17788] = 16398,
  [17789] = 16353,
  [17790] = 16354,
  [17791] = 16406,
  [17792] = 16355,
  [17793] = 16462,
  [17794] = 16356,
  [17795] = 16357,
  [17796] = 16358,
  [17797] = 16359,
  [17798] = 16360,
  [17799] = 16361,
  [17800] = 16503,
  [17801] = 16448,
  [17802] = 17802,
  [17803] = 16431,
  [17804] = 16469,
  [17805] = 16353,
  [17806] = 16462,
  [17807] = 16517,
  [17808] = 16433,
  [17809] = 16354,
  [17810] = 16483,
  [17811] = 16503,
  [17812] = 16469,
  [17813] = 16511,
  [17814] = 16434,
  [17815] = 16435,
  [17816] = 16365,
  [17817] = 16355,
  [17818] = 16483,
  [17819] = 16692,
  [17820] = 16691,
  [17821] = 16460,
  [17822] = 16356,
  [17823] = 16357,
  [17824] = 16437,
  [17825] = 16404,
  [17826] = 16476,
  [17827] = 16524,
  [17828] = 16435,
  [17829] = 16359,
  [17830] = 16438,
  [17831] = 16529,
  [17832] = 16360,
  [17833] = 17171,
  [17834] = 16440,
  [17835] = 17835,
  [17836] = 16460,
  [17837] = 16533,
  [17838] = 17172,
  [17839] = 16361,
  [17840] = 16443,
  [17841] = 16361,
  [17842] = 16365,
  [17843] = 16483,
  [17844] = 16360,
  [17845] = 16359,
  [17846] = 16445,
  [17847] = 16358,
  [17848] = 16469,
  [17849] = 16357,
  [17850] = 16453,
  [17851] = 16356,
  [17852] = 16454,
  [17853] = 16462,
  [17854] = 16355,
  [17855] = 16354,
  [17856] = 16353,
  [17857] = 16398,
  [17858] = 16366,
  [17859] = 16404,
  [17860] = 16436,
  [17861] = 16406,
  [17862] = 16602,
  [17863] = 16432,
  [17864] = 16408,
  [17865] = 16409,
  [17866] = 16456,
  [17867] = 16410,
  [17868] = 16429,
  [17869] = 16413,
  [17870] = 16414,
  [17871] = 16457,
  [17872] = 16426,
  [17873] = 16415,
  [17874] = 16416,
  [17875] = 16417,
  [17876] = 16461,
  [17877] = 16422,
  [17878] = 16419,
  [17879] = 16423,
  [17880] = 16424,
  [17881] = 16463,
  [17882] = 16393,
  [17883] = 16425,
  [17884] = 16427,
  [17885] = 16428,
  [17886] = 16399,
  [17887] = 16430,
  [17888] = 16395,
  [17889] = 16431,
  [17890] = 16433,
  [17891] = 16390,
  [17892] = 16434,
  [17893] = 16435,
  [17894] = 16692,
  [17895] = 16465,
  [17896] = 16387,
  [17897] = 16691,
  [17898] = 16437,
  [17899] = 16438,
  [17900] = 16384,
  [17901] = 16440,
  [17902] = 16443,
  [17903] = 16381,
  [17904] = 16445,
  [17905] = 16448,
  [17906] = 16453,
  [17907] = 16454,
  [17908] = 16378,
  [17909] = 16375,
  [17910] = 16456,
  [17911] = 16374,
  [17912] = 16457,
  [17913] = 16371,
  [17914] = 16461,
  [17915] = 16463,
  [17916] = 16465,
  [17917] = 16466,
  [17918] = 16368,
  [17919] = 16367,
  [17920] = 16466,
  [17921] = 16364,
  [17922] = 16468,
  [17923] = 16362,
  [17924] = 16477,
  [17925] = 16394,
  [17926] = 16476,
  [17927] = 16475,
  [17928] = 16358,
  [17929] = 16475,
  [17930] = 16477,
  [17931] = 16362,
  [17932] = 16363,
  [17933] = 16371,
  [17934] = 16394,
  [17935] = 16468,
  [17936] = 16364,
  [17937] = 16466,
  [17938] = 16367,
  [17939] = 16465,
  [17940] = 16368,
  [17941] = 16463,
  [17942] = 16461,
  [17943] = 17943,
  [17944] = 16457,
  [17945] = 16371,
  [17946] = 16456,
  [17947] = 16374,
  [17948] = 16375,
  [17949] = 16378,
  [17950] = 16454,
  [17951] = 16453,
  [17952] = 16448,
  [17953] = 16445,
  [17954] = 16533,
  [17955] = 16443,
  [17956] = 16381,
  [17957] = 16440,
  [17958] = 16384,
  [17959] = 16387,
  [17960] = 16390,
  [17961] = 16438,
  [17962] = 16437,
  [17963] = 16435,
  [17964] = 16434,
  [17965] = 16395,
  [17966] = 16433,
  [17967] = 16431,
  [17968] = 16399,
  [17969] = 16430,
  [17970] = 16529,
  [17971] = 16428,
  [17972] = 16400,
  [17973] = 16403,
  [17974] = 16393,
  [17975] = 16427,
  [17976] = 16425,
  [17977] = 16424,
  [17978] = 16423,
  [17979] = 16419,
  [17980] = 16417,
  [17981] = 16416,
  [17982] = 16422,
  [17983] = 16415,
  [17984] = 16352,
  [17985] = 16414,
  [17986] = 16413,
  [17987] = 16410,
  [17988] = 16409,
  [17989] = 16426,
  [17990] = 16408,
  [17991] = 16524,
  [17992] = 16406,
  [17993] = 16404,
  [17994] = 16398,
  [17995] = 16353,
  [17996] = 16354,
  [17997] = 16429,
  [17998] = 16355,
  [17999] = 16432,
  [18000] = 16356,
  [18001] = 16357,
  [18002] = 16358,
  [18003] = 16359,
  [18004] = 16360,
  [18005] = 16361,
  [18006] = 16468,
  [18007] = 16394,
  [18008] = 16436,
  [18009] = 16460,
  [18010] = 16366,
  [18011] = 16475,
  [18012] = 16529,
  [18013] = 16462,
  [18014] = 16365,
  [18015] = 16529,
  [18016] = 16503,
  [18017] = 16476,
  [18018] = 16469,
  [18019] = 16460,
  [18020] = 16483,
  [18021] = 16503,
  [18022] = 16365,
  [18023] = 16477,
  [18024] = 16483,
  [18025] = 18025,
  [18026] = 16460,
  [18027] = 16362,
  [18028] = 16363,
  [18029] = 16469,
  [18030] = 16483,
  [18031] = 17055,
  [18032] = 18032,
  [18033] = 16524,
  [18034] = 16462,
  [18035] = 16352,
  [18036] = 16469,
  [18037] = 16364,
  [18038] = 16529,
  [18039] = 16436,
  [18040] = 16462,
  [18041] = 16366,
  [18042] = 16432,
  [18043] = 16533,
  [18044] = 16355,
  [18045] = 16367,
  [18046] = 16368,
  [18047] = 16429,
  [18048] = 16432,
  [18049] = 16361,
  [18050] = 16360,
  [18051] = 16426,
  [18052] = 16359,
  [18053] = 16358,
  [18054] = 16357,
  [18055] = 16356,
  [18056] = 16422,
  [18057] = 16387,
  [18058] = 16354,
  [18059] = 16353,
  [18060] = 16398,
  [18061] = 16393,
  [18062] = 16404,
  [18063] = 16406,
  [18064] = 16602,
  [18065] = 16399,
  [18066] = 16408,
  [18067] = 16395,
  [18068] = 16409,
  [18069] = 16410,
  [18070] = 16390,
  [18071] = 16413,
  [18072] = 16414,
  [18073] = 16415,
  [18074] = 16374,
  [18075] = 16387,
  [18076] = 16416,
  [18077] = 16417,
  [18078] = 16419,
  [18079] = 16384,
  [18080] = 16423,
  [18081] = 16424,
  [18082] = 16381,
  [18083] = 16425,
  [18084] = 16427,
  [18085] = 16428,
  [18086] = 16430,
  [18087] = 16378,
  [18088] = 16375,
  [18089] = 16431,
  [18090] = 16374,
  [18091] = 16433,
  [18092] = 16371,
  [18093] = 16434,
  [18094] = 16435,
  [18095] = 16692,
  [18096] = 16375,
  [18097] = 16368,
  [18098] = 16367,
  [18099] = 16691,
  [18100] = 16364,
  [18101] = 16437,
  [18102] = 16362,
  [18103] = 16477,
  [18104] = 16438,
  [18105] = 16476,
  [18106] = 16440,
  [18107] = 16443,
  [18108] = 16475,
  [18109] = 16445,
  [18110] = 16448,
  [18111] = 16453,
  [18112] = 16378,
  [18113] = 16394,
  [18114] = 16468,
  [18115] = 16454,
  [18116] = 16466,
  [18117] = 16456,
  [18118] = 16465,
  [18119] = 16457,
  [18120] = 16463,
  [18121] = 16461,
  [18122] = 16461,
  [18123] = 16457,
  [18124] = 16463,
  [18125] = 16456,
  [18126] = 16465,
  [18127] = 16466,
  [18128] = 16468,
  [18129] = 16454,
  [18130] = 16453,
  [18131] = 16448,
  [18132] = 16445,
  [18133] = 16394,
  [18134] = 16443,
  [18135] = 16475,
  [18136] = 16440,
  [18137] = 16476,
  [18138] = 16477,
  [18139] = 16362,
  [18140] = 16438,
  [18141] = 16437,
  [18142] = 16435,
  [18143] = 16434,
  [18144] = 16429,
  [18145] = 16433,
  [18146] = 16431,
  [18147] = 16363,
  [18148] = 16430,
  [18149] = 16364,
  [18150] = 16428,
  [18151] = 16367,
  [18152] = 16368,
  [18153] = 16371,
  [18154] = 16427,
  [18155] = 16425,
  [18156] = 16424,
  [18157] = 16423,
  [18158] = 16419,
  [18159] = 16417,
  [18160] = 16416,
  [18161] = 16374,
  [18162] = 16415,
  [18163] = 16375,
  [18164] = 16414,
  [18165] = 16413,
  [18166] = 16410,
  [18167] = 16409,
  [18168] = 16378,
  [18169] = 16408,
  [18170] = 16426,
  [18171] = 16406,
  [18172] = 16404,
  [18173] = 16398,
  [18174] = 16353,
  [18175] = 16354,
  [18176] = 16381,
  [18177] = 16355,
  [18178] = 16384,
  [18179] = 16356,
  [18180] = 16357,
  [18181] = 16358,
  [18182] = 16359,
  [18183] = 16360,
  [18184] = 16361,
  [18185] = 16529,
  [18186] = 16529,
  [18187] = 16436,
  [18188] = 16436,
  [18189] = 16365,
  [18190] = 16366,
  [18191] = 16353,
  [18192] = 16381,
  [18193] = 16390,
  [18194] = 16365,
  [18195] = 16366,
  [18196] = 16395,
  [18197] = 16384,
  [18198] = 18198,
  [18199] = 16399,
  [18200] = 16422,
  [18201] = 16411,
  [18202] = 16400,
  [18203] = 16403,
  [18204] = 16418,
  [18205] = 16393,
  [18206] = 16420,
  [18207] = 16421,
  [18208] = 16422,
  [18209] = 16426,
  [18210] = 16387,
  [18211] = 16429,
  [18212] = 16432,
  [18213] = 16436,
  [18214] = 18214,
  [18215] = 16390,
  [18216] = 18216,
  [18217] = 16403,
  [18218] = 16400,
  [18219] = 16366,
  [18220] = 16399,
  [18221] = 16395,
  [18222] = 16447,
  [18223] = 16450,
  [18224] = 16455,
  [18225] = 16458,
  [18226] = 16462,
  [18227] = 18227,
  [18228] = 16395,
  [18229] = 16472,
  [18230] = 16469,
  [18231] = 16490,
  [18232] = 16399,
  [18233] = 16400,
  [18234] = 16403,
  [18235] = 16390,
  [18236] = 16483,
  [18237] = 16503,
  [18238] = 16365,
  [18239] = 16387,
  [18240] = 16460,
  [18241] = 16511,
  [18242] = 16517,
  [18243] = 16393,
  [18244] = 16562,
  [18245] = 16563,
  [18246] = 16573,
  [18247] = 16583,
  [18248] = 16589,
  [18249] = 16384,
  [18250] = 16524,
  [18251] = 16352,
  [18252] = 16422,
  [18253] = 16381,
  [18254] = 16663,
  [18255] = 16496,
  [18256] = 16529,
  [18257] = 16426,
  [18258] = 16378,
  [18259] = 16375,
  [18260] = 16533,
  [18261] = 16429,
  [18262] = 16374,
  [18263] = 16371,
  [18264] = 16393,
  [18265] = 16361,
  [18266] = 16360,
  [18267] = 16359,
  [18268] = 16358,
  [18269] = 16432,
  [18270] = 16357,
  [18271] = 16356,
  [18272] = 16503,
  [18273] = 16355,
  [18274] = 16354,
  [18275] = 16430,
  [18276] = 16398,
  [18277] = 16404,
  [18278] = 16366,
  [18279] = 16406,
  [18280] = 16602,
  [18281] = 18281,
  [18282] = 16408,
  [18283] = 16409,
  [18284] = 16462,
  [18285] = 16411,
  [18286] = 16418,
  [18287] = 16410,
  [18288] = 16413,
  [18289] = 16414,
  [18290] = 16469,
  [18291] = 16415,
  [18292] = 16416,
  [18293] = 16483,
  [18294] = 16417,
  [18295] = 16455,
  [18296] = 16458,
  [18297] = 18297,
  [18298] = 16419,
  [18299] = 16423,
  [18300] = 16424,
  [18301] = 16490,
  [18302] = 16425,
  [18303] = 16427,
  [18304] = 16428,
  [18305] = 16511,
  [18306] = 16517,
  [18307] = 16562,
  [18308] = 16563,
  [18309] = 16573,
  [18310] = 16583,
  [18311] = 16589,
  [18312] = 16393,
  [18313] = 18313,
  [18314] = 16431,
  [18315] = 16365,
  [18316] = 16663,
  [18317] = 16433,
  [18318] = 16434,
  [18319] = 16460,
  [18320] = 16435,
  [18321] = 16368,
  [18322] = 16692,
  [18323] = 16691,
  [18324] = 16524,
  [18325] = 16352,
  [18326] = 16437,
  [18327] = 16438,
  [18328] = 16440,
  [18329] = 16443,
  [18330] = 16445,
  [18331] = 18313,
  [18332] = 16448,
  [18333] = 16453,
  [18334] = 16454,
  [18335] = 16456,
  [18336] = 16457,
  [18337] = 16529,
  [18338] = 16461,
  [18339] = 16463,
  [18340] = 16465,
  [18341] = 16466,
  [18342] = 16490,
  [18343] = 16411,
  [18344] = 16418,
  [18345] = 16468,
  [18346] = 16533,
  [18347] = 16394,
  [18348] = 16367,
  [18349] = 16475,
  [18350] = 18350,
  [18351] = 18351,
  [18352] = 16476,
  [18353] = 16455,
  [18354] = 16458,
  [18355] = 16477,
  [18356] = 16362,
  [18357] = 16364,
  [18358] = 16490,
  [18359] = 16363,
  [18360] = 16364,
  [18361] = 16511,
  [18362] = 16517,
  [18363] = 16563,
  [18364] = 16573,
  [18365] = 16583,
  [18366] = 16589,
  [18367] = 16367,
  [18368] = 16663,
  [18369] = 16368,
  [18370] = 16371,
  [18371] = 16374,
  [18372] = 16375,
  [18373] = 16378,
  [18374] = 16363,
  [18375] = 16381,
  [18376] = 16384,
  [18377] = 16387,
  [18378] = 18378,
  [18379] = 16411,
  [18380] = 16418,
  [18381] = 16362,
  [18382] = 16477,
  [18383] = 16390,
  [18384] = 16395,
  [18385] = 16399,
  [18386] = 16476,
  [18387] = 16400,
  [18388] = 16403,
  [18389] = 16455,
  [18390] = 16458,
  [18391] = 16533,
  [18392] = 16422,
  [18393] = 16475,
  [18394] = 16426,
  [18395] = 16429,
  [18396] = 16511,
  [18397] = 16517,
  [18398] = 16563,
  [18399] = 16573,
  [18400] = 16583,
  [18401] = 16589,
  [18402] = 16394,
  [18403] = 16663,
  [18404] = 16432,
  [18405] = 16436,
  [18406] = 18406,
  [18407] = 16468,
  [18408] = 16466,
  [18409] = 16366,
  [18410] = 16465,
  [18411] = 16462,
  [18412] = 16463,
  [18413] = 16469,
  [18414] = 16411,
  [18415] = 16461,
  [18416] = 16483,
  [18417] = 16503,
  [18418] = 16365,
  [18419] = 16457,
  [18420] = 16456,
  [18421] = 16460,
  [18422] = 16454,
  [18423] = 16455,
  [18424] = 16458,
  [18425] = 16453,
  [18426] = 16524,
  [18427] = 16352,
  [18428] = 16448,
  [18429] = 16445,
  [18430] = 16511,
  [18431] = 16517,
  [18432] = 16563,
  [18433] = 16573,
  [18434] = 16583,
  [18435] = 16589,
  [18436] = 16443,
  [18437] = 16663,
  [18438] = 16529,
  [18439] = 16440,
  [18440] = 16472,
  [18441] = 16425,
  [18442] = 16438,
  [18443] = 16437,
  [18444] = 16691,
  [18445] = 16692,
  [18446] = 16435,
  [18447] = 18447,
  [18448] = 16411,
  [18449] = 16361,
  [18450] = 16360,
  [18451] = 16359,
  [18452] = 16358,
  [18453] = 16357,
  [18454] = 16356,
  [18455] = 18455,
  [18456] = 18456,
  [18457] = 16455,
  [18458] = 16458,
  [18459] = 18459,
  [18460] = 16355,
  [18461] = 16354,
  [18462] = 16353,
  [18463] = 16398,
  [18464] = 16511,
  [18465] = 16517,
  [18466] = 16563,
  [18467] = 16573,
  [18468] = 16583,
  [18469] = 16589,
  [18470] = 16404,
  [18471] = 16663,
  [18472] = 16406,
  [18473] = 16602,
  [18474] = 16408,
  [18475] = 18475,
  [18476] = 16409,
  [18477] = 16410,
  [18478] = 16411,
  [18479] = 16413,
  [18480] = 16414,
  [18481] = 16415,
  [18482] = 16416,
  [18483] = 18483,
  [18484] = 18484,
  [18485] = 18485,
  [18486] = 16417,
  [18487] = 16455,
  [18488] = 16458,
  [18489] = 18489,
  [18490] = 16419,
  [18491] = 16423,
  [18492] = 16424,
  [18493] = 16384,
  [18494] = 16511,
  [18495] = 16517,
  [18496] = 16573,
  [18497] = 16583,
  [18498] = 16589,
  [18499] = 16663,
  [18500] = 16427,
  [18501] = 16365,
  [18502] = 16428,
  [18503] = 16430,
  [18504] = 16431,
  [18505] = 16411,
  [18506] = 16433,
  [18507] = 18507,
  [18508] = 16434,
  [18509] = 16435,
  [18510] = 16692,
  [18511] = 16691,
  [18512] = 16437,
  [18513] = 16438,
  [18514] = 16455,
  [18515] = 16458,
  [18516] = 16440,
  [18517] = 16443,
  [18518] = 16445,
  [18519] = 16460,
  [18520] = 16448,
  [18521] = 16511,
  [18522] = 16517,
  [18523] = 16573,
  [18524] = 16583,
  [18525] = 16589,
  [18526] = 16663,
  [18527] = 16453,
  [18528] = 16458,
  [18529] = 16454,
  [18530] = 16456,
  [18531] = 16457,
  [18532] = 16411,
  [18533] = 16461,
  [18534] = 16463,
  [18535] = 16465,
  [18536] = 16466,
  [18537] = 16468,
  [18538] = 16394,
  [18539] = 16433,
  [18540] = 16475,
  [18541] = 16455,
  [18542] = 16458,
  [18543] = 16455,
  [18544] = 16476,
  [18545] = 16477,
  [18546] = 16362,
  [18547] = 16431,
  [18548] = 16511,
  [18549] = 16517,
  [18550] = 16573,
  [18551] = 16583,
  [18552] = 16589,
  [18553] = 16663,
  [18554] = 16363,
  [18555] = 18555,
  [18556] = 16364,
  [18557] = 16367,
  [18558] = 16368,
  [18559] = 16411,
  [18560] = 16430,
  [18561] = 16524,
  [18562] = 16371,
  [18563] = 16374,
  [18564] = 16352,
  [18565] = 16375,
  [18566] = 16378,
  [18567] = 16381,
  [18568] = 16455,
  [18569] = 16458,
  [18570] = 18570,
  [18571] = 16436,
  [18572] = 16387,
  [18573] = 16428,
  [18574] = 16390,
  [18575] = 16511,
  [18576] = 16517,
  [18577] = 16573,
  [18578] = 16583,
  [18579] = 16589,
  [18580] = 16663,
  [18581] = 16395,
  [18582] = 16399,
  [18583] = 16400,
  [18584] = 16427,
  [18585] = 16403,
  [18586] = 16411,
  [18587] = 16393,
  [18588] = 16425,
  [18589] = 16422,
  [18590] = 16424,
  [18591] = 18591,
  [18592] = 16423,
  [18593] = 16426,
  [18594] = 16419,
  [18595] = 16455,
  [18596] = 16458,
  [18597] = 18597,
  [18598] = 16429,
  [18599] = 16417,
  [18600] = 16416,
  [18601] = 16432,
  [18602] = 16511,
  [18603] = 16517,
  [18604] = 16573,
  [18605] = 16583,
  [18606] = 16589,
  [18607] = 16663,
  [18608] = 16410,
  [18609] = 16415,
  [18610] = 16434,
  [18611] = 16366,
  [18612] = 16414,
  [18613] = 16411,
  [18614] = 16413,
  [18615] = 16451,
  [18616] = 16462,
  [18617] = 16410,
  [18618] = 16450,
  [18619] = 16449,
  [18620] = 16409,
  [18621] = 16469,
  [18622] = 16455,
  [18623] = 16458,
  [18624] = 18624,
  [18625] = 16408,
  [18626] = 16483,
  [18627] = 16503,
  [18628] = 16365,
  [18629] = 16511,
  [18630] = 16517,
  [18631] = 16573,
  [18632] = 16583,
  [18633] = 16589,
  [18634] = 16663,
  [18635] = 16602,
  [18636] = 18636,
  [18637] = 18637,
  [18638] = 16406,
  [18639] = 18639,
  [18640] = 16411,
  [18641] = 16460,
  [18642] = 16404,
  [18643] = 16398,
  [18644] = 16524,
  [18645] = 16352,
  [18646] = 16354,
  [18647] = 16529,
  [18648] = 16355,
  [18649] = 16455,
  [18650] = 16458,
  [18651] = 16356,
  [18652] = 16533,
  [18653] = 16357,
  [18654] = 16358,
  [18655] = 16359,
  [18656] = 16511,
  [18657] = 16517,
  [18658] = 16573,
  [18659] = 16583,
  [18660] = 16589,
  [18661] = 16663,
  [18662] = 16360,
  [18663] = 16361,
  [18664] = 18664,
  [18665] = 16533,
  [18666] = 18666,
  [18667] = 16411,
  [18668] = 16353,
  [18669] = 16361,
  [18670] = 16360,
  [18671] = 16359,
  [18672] = 16358,
  [18673] = 16447,
  [18674] = 16357,
  [18675] = 16356,
  [18676] = 16455,
  [18677] = 16458,
  [18678] = 18678,
  [18679] = 18679,
  [18680] = 16355,
  [18681] = 16354,
  [18682] = 16353,
  [18683] = 16511,
  [18684] = 16517,
  [18685] = 16573,
  [18686] = 16583,
  [18687] = 16589,
  [18688] = 16663,
  [18689] = 16398,
  [18690] = 16404,
  [18691] = 16406,
  [18692] = 16602,
  [18693] = 16408,
  [18694] = 16411,
  [18695] = 16409,
  [18696] = 16427,
  [18697] = 16413,
  [18698] = 16414,
  [18699] = 16415,
  [18700] = 16416,
  [18701] = 16417,
  [18702] = 16419,
  [18703] = 16455,
  [18704] = 16458,
  [18705] = 16423,
  [18706] = 16424,
  [18707] = 16425,
  [18708] = 16394,
  [18709] = 16428,
  [18710] = 16511,
  [18711] = 16517,
  [18712] = 16573,
  [18713] = 16583,
  [18714] = 16589,
  [18715] = 16663,
  [18716] = 16430,
  [18717] = 16431,
  [18718] = 16433,
  [18719] = 16434,
  [18720] = 16619,
  [18721] = 16411,
  [18722] = 17171,
  [18723] = 16435,
  [18724] = 17172,
  [18725] = 17173,
  [18726] = 18726,
  [18727] = 17174,
  [18728] = 16692,
  [18729] = 18729,
  [18730] = 16455,
  [18731] = 16458,
  [18732] = 16691,
  [18733] = 16437,
  [18734] = 16438,
  [18735] = 16440,
  [18736] = 16443,
  [18737] = 16511,
  [18738] = 16517,
  [18739] = 16573,
  [18740] = 16583,
  [18741] = 16589,
  [18742] = 16663,
  [18743] = 16445,
  [18744] = 16361,
  [18745] = 16360,
  [18746] = 16448,
  [18747] = 16359,
  [18748] = 16458,
  [18749] = 16358,
  [18750] = 16357,
  [18751] = 16356,
  [18752] = 16511,
  [18753] = 16517,
  [18754] = 16573,
  [18755] = 16583,
  [18756] = 16589,
  [18757] = 16663,
  [18758] = 16453,
  [18759] = 16355,
  [18760] = 16454,
  [18761] = 16458,
  [18762] = 16354,
  [18763] = 16353,
  [18764] = 18764,
  [18765] = 16511,
  [18766] = 16517,
  [18767] = 16573,
  [18768] = 16583,
  [18769] = 16589,
  [18770] = 16663,
  [18771] = 16398,
  [18772] = 16404,
  [18773] = 16456,
  [18774] = 16458,
  [18775] = 16441,
  [18776] = 18776,
  [18777] = 16457,
  [18778] = 16511,
  [18779] = 16517,
  [18780] = 16573,
  [18781] = 16583,
  [18782] = 16589,
  [18783] = 16663,
  [18784] = 16406,
  [18785] = 16602,
  [18786] = 16458,
  [18787] = 18787,
  [18788] = 16511,
  [18789] = 16517,
  [18790] = 16573,
  [18791] = 16583,
  [18792] = 16589,
  [18793] = 16663,
  [18794] = 18794,
  [18795] = 16618,
  [18796] = 16458,
  [18797] = 18797,
  [18798] = 16511,
  [18799] = 16517,
  [18800] = 16573,
  [18801] = 16583,
  [18802] = 16589,
  [18803] = 16663,
  [18804] = 16461,
  [18805] = 16463,
  [18806] = 16458,
  [18807] = 16465,
  [18808] = 16511,
  [18809] = 16517,
  [18810] = 16573,
  [18811] = 16583,
  [18812] = 16589,
  [18813] = 16663,
  [18814] = 16466,
  [18815] = 16468,
  [18816] = 16458,
  [18817] = 16408,
  [18818] = 16511,
  [18819] = 16517,
  [18820] = 16573,
  [18821] = 16583,
  [18822] = 16589,
  [18823] = 16663,
  [18824] = 16443,
  [18825] = 16483,
  [18826] = 16458,
  [18827] = 16409,
  [18828] = 16511,
  [18829] = 16517,
  [18830] = 16573,
  [18831] = 16583,
  [18832] = 16589,
  [18833] = 16663,
  [18834] = 16529,
  [18835] = 16410,
  [18836] = 16413,
  [18837] = 16414,
  [18838] = 16475,
  [18839] = 16415,
  [18840] = 18840,
  [18841] = 16476,
  [18842] = 16477,
  [18843] = 16362,
  [18844] = 16416,
  [18845] = 16352,
  [18846] = 16363,
  [18847] = 16417,
  [18848] = 16421,
  [18849] = 16420,
  [18850] = 16364,
  [18851] = 16418,
  [18852] = 18852,
  [18853] = 16367,
  [18854] = 16419,
  [18855] = 16423,
  [18856] = 18856,
  [18857] = 16424,
  [18858] = 16425,
  [18859] = 16427,
  [18860] = 16368,
  [18861] = 16524,
  [18862] = 16371,
  [18863] = 16374,
  [18864] = 18864,
  [18865] = 16375,
  [18866] = 18866,
  [18867] = 16378,
  [18868] = 16381,
  [18869] = 16384,
  [18870] = 18870,
  [18871] = 16387,
  [18872] = 16428,
  [18873] = 16390,
  [18874] = 16430,
  [18875] = 16395,
  [18876] = 16399,
  [18877] = 16431,
  [18878] = 16529,
  [18879] = 16433,
  [18880] = 16460,
  [18881] = 16434,
  [18882] = 16435,
  [18883] = 16692,
  [18884] = 16691,
  [18885] = 16400,
  [18886] = 16437,
  [18887] = 16438,
  [18888] = 16403,
  [18889] = 16393,
  [18890] = 16365,
  [18891] = 16422,
  [18892] = 16503,
  [18893] = 16426,
  [18894] = 16429,
  [18895] = 16458,
  [18896] = 16432,
  [18897] = 16436,
  [18898] = 16440,
  [18899] = 16395,
  [18900] = 16475,
  [18901] = 16366,
  [18902] = 16445,
  [18903] = 16448,
  [18904] = 16453,
  [18905] = 16454,
  [18906] = 16511,
  [18907] = 16517,
  [18908] = 16529,
  [18909] = 16462,
  [18910] = 16469,
  [18911] = 16462,
  [18912] = 16483,
  [18913] = 16456,
  [18914] = 16503,
  [18915] = 16365,
  [18916] = 16573,
  [18917] = 16583,
  [18918] = 16589,
  [18919] = 16366,
  [18920] = 16457,
  [18921] = 16460,
  [18922] = 16461,
  [18923] = 18923,
  [18924] = 16436,
  [18925] = 18925,
  [18926] = 16463,
  [18927] = 16524,
  [18928] = 16465,
  [18929] = 17323,
  [18930] = 16663,
  [18931] = 17257,
  [18932] = 16352,
  [18933] = 17053,
  [18934] = 17052,
  [18935] = 16466,
  [18936] = 16432,
  [18937] = 16429,
  [18938] = 16468,
  [18939] = 16529,
  [18940] = 16426,
  [18941] = 16533,
  [18942] = 16422,
  [18943] = 16394,
  [18944] = 16393,
  [18945] = 16925,
  [18946] = 16924,
  [18947] = 16922,
  [18948] = 16469,
  [18949] = 16403,
  [18950] = 16400,
  [18951] = 16399,
  [18952] = 16387,
  [18953] = 16430,
  [18954] = 16710,
  [18955] = 16390,
  [18956] = 16707,
  [18957] = 16706,
  [18958] = 16361,
  [18959] = 18959,
  [18960] = 18960,
  [18961] = 16360,
  [18962] = 16545,
  [18963] = 16538,
  [18964] = 16476,
  [18965] = 18965,
  [18966] = 16474,
  [18967] = 16442,
  [18968] = 16439,
  [18969] = 16359,
  [18970] = 18970,
  [18971] = 17078,
  [18972] = 16477,
  [18973] = 16362,
  [18974] = 16363,
  [18975] = 17055,
  [18976] = 16358,
  [18977] = 16357,
  [18978] = 16356,
  [18979] = 16364,
  [18980] = 16355,
  [18981] = 18981,
  [18982] = 16367,
  [18983] = 18983,
  [18984] = 18984,
  [18985] = 16368,
  [18986] = 16354,
  [18987] = 16353,
  [18988] = 18988,
  [18989] = 16398,
  [18990] = 16404,
  [18991] = 16406,
  [18992] = 16371,
  [18993] = 16602,
  [18994] = 16374,
  [18995] = 16408,
  [18996] = 16375,
  [18997] = 16409,
  [18998] = 18864,
  [18999] = 16410,
  [19000] = 18866,
  [19001] = 16413,
  [19002] = 16378,
  [19003] = 16414,
  [19004] = 16415,
  [19005] = 16416,
  [19006] = 16417,
  [19007] = 16419,
  [19008] = 17323,
  [19009] = 17053,
  [19010] = 17052,
  [19011] = 16423,
  [19012] = 16424,
  [19013] = 18870,
  [19014] = 19014,
  [19015] = 16425,
  [19016] = 16427,
  [19017] = 16381,
  [19018] = 16428,
  [19019] = 16364,
  [19020] = 16384,
  [19021] = 16431,
  [19022] = 16433,
  [19023] = 16434,
  [19024] = 16435,
  [19025] = 18864,
  [19026] = 16692,
  [19027] = 18866,
  [19028] = 16691,
  [19029] = 16437,
  [19030] = 16438,
  [19031] = 16440,
  [19032] = 16443,
  [19033] = 17323,
  [19034] = 17053,
  [19035] = 17052,
  [19036] = 16445,
  [19037] = 16448,
  [19038] = 16412,
  [19039] = 16453,
  [19040] = 16454,
  [19041] = 16390,
  [19042] = 18864,
  [19043] = 16456,
  [19044] = 18866,
  [19045] = 16457,
  [19046] = 16461,
  [19047] = 16463,
  [19048] = 17323,
  [19049] = 18864,
  [19050] = 16465,
  [19051] = 18866,
  [19052] = 16395,
  [19053] = 16466,
  [19054] = 16468,
  [19055] = 17323,
  [19056] = 18864,
  [19057] = 16394,
  [19058] = 18866,
  [19059] = 16399,
  [19060] = 16475,
  [19061] = 19061,
  [19062] = 17323,
  [19063] = 18864,
  [19064] = 16476,
  [19065] = 18866,
  [19066] = 16400,
  [19067] = 16477,
  [19068] = 16411,
  [19069] = 17323,
  [19070] = 18864,
  [19071] = 16362,
  [19072] = 18866,
  [19073] = 16403,
  [19074] = 16384,
  [19075] = 18866,
  [19076] = 17323,
  [19077] = 18864,
  [19078] = 16363,
  [19079] = 18866,
  [19080] = 16462,
  [19081] = 16367,
  [19082] = 19082,
  [19083] = 17323,
  [19084] = 18864,
  [19085] = 16367,
  [19086] = 18866,
  [19087] = 16368,
  [19088] = 16371,
  [19089] = 16374,
  [19090] = 17323,
  [19091] = 18864,
  [19092] = 16375,
  [19093] = 18866,
  [19094] = 16378,
  [19095] = 16381,
  [19096] = 16533,
  [19097] = 17323,
  [19098] = 18864,
  [19099] = 16384,
  [19100] = 18866,
  [19101] = 16387,
  [19102] = 16381,
  [19103] = 16390,
  [19104] = 17323,
  [19105] = 18864,
  [19106] = 16395,
  [19107] = 18866,
  [19108] = 16399,
  [19109] = 16400,
  [19110] = 16378,
  [19111] = 17323,
  [19112] = 18864,
  [19113] = 16403,
  [19114] = 18866,
  [19115] = 16393,
  [19116] = 16375,
  [19117] = 18864,
  [19118] = 17323,
  [19119] = 18864,
  [19120] = 16422,
  [19121] = 18866,
  [19122] = 16393,
  [19123] = 16374,
  [19124] = 19124,
  [19125] = 17323,
  [19126] = 18864,
  [19127] = 16426,
  [19128] = 18866,
  [19129] = 16429,
  [19130] = 16371,
  [19131] = 16432,
  [19132] = 17323,
  [19133] = 18864,
  [19134] = 16436,
  [19135] = 18866,
  [19136] = 16368,
  [19137] = 16366,
  [19138] = 16438,
  [19139] = 17323,
  [19140] = 18864,
  [19141] = 16462,
  [19142] = 18864,
  [19143] = 16387,
  [19144] = 18864,
  [19145] = 16469,
  [19146] = 18864,
  [19147] = 18864,
  [19148] = 18864,
  [19149] = 18864,
  [19150] = 18864,
  [19151] = 16422,
  [19152] = 16363,
  [19153] = 16362,
  [19154] = 16483,
  [19155] = 16426,
  [19156] = 19156,
  [19157] = 18984,
  [19158] = 18983,
  [19159] = 16503,
  [19160] = 16365,
  [19161] = 16477,
  [19162] = 18840,
  [19163] = 16476,
  [19164] = 16429,
  [19165] = 18729,
  [19166] = 16460,
  [19167] = 16475,
  [19168] = 16524,
  [19169] = 18378,
  [19170] = 16432,
  [19171] = 16352,
  [19172] = 16394,
  [19173] = 16436,
  [19174] = 16468,
  [19175] = 16466,
  [19176] = 16529,
  [19177] = 17623,
  [19178] = 16465,
  [19179] = 17381,
  [19180] = 17380,
  [19181] = 16366,
  [19182] = 16463,
  [19183] = 16461,
  [19184] = 16533,
  [19185] = 16457,
  [19186] = 16456,
  [19187] = 17364,
  [19188] = 17363,
  [19189] = 16454,
  [19190] = 16453,
  [19191] = 16469,
  [19192] = 16448,
  [19193] = 17255,
  [19194] = 17043,
  [19195] = 17042,
  [19196] = 16445,
  [19197] = 16483,
  [19198] = 17038,
  [19199] = 17037,
  [19200] = 16921,
  [19201] = 16830,
  [19202] = 16829,
  [19203] = 16828,
  [19204] = 16486,
  [19205] = 16713,
  [19206] = 16443,
  [19207] = 16440,
  [19208] = 18840,
  [19209] = 16434,
  [19210] = 17381,
  [19211] = 17380,
  [19212] = 17255,
  [19213] = 16921,
  [19214] = 16486,
  [19215] = 16713,
  [19216] = 18840,
  [19217] = 19217,
  [19218] = 17381,
  [19219] = 17380,
  [19220] = 17255,
  [19221] = 16921,
  [19222] = 16486,
  [19223] = 16713,
  [19224] = 18840,
  [19225] = 19156,
  [19226] = 18840,
  [19227] = 16437,
  [19228] = 18840,
  [19229] = 16691,
  [19230] = 18840,
  [19231] = 16692,
  [19232] = 18840,
  [19233] = 16364,
  [19234] = 18840,
  [19235] = 19235,
  [19236] = 18840,
  [19237] = 16361,
  [19238] = 18840,
  [19239] = 16360,
  [19240] = 18840,
  [19241] = 16359,
  [19242] = 18840,
  [19243] = 16503,
  [19244] = 18840,
  [19245] = 18313,
  [19246] = 18840,
  [19247] = 16358,
  [19248] = 18840,
  [19249] = 16405,
  [19250] = 18840,
  [19251] = 16490,
  [19252] = 18840,
  [19253] = 18840,
  [19254] = 18840,
  [19255] = 19124,
  [19256] = 19082,
  [19257] = 16357,
  [19258] = 18447,
  [19259] = 16365,
  [19260] = 18227,
  [19261] = 16356,
  [19262] = 16355,
  [19263] = 16460,
  [19264] = 16354,
  [19265] = 16353,
  [19266] = 16398,
  [19267] = 16404,
  [19268] = 16626,
  [19269] = 16485,
  [19270] = 19124,
  [19271] = 19082,
  [19272] = 16626,
  [19273] = 16485,
  [19274] = 19124,
  [19275] = 19082,
  [19276] = 16626,
  [19277] = 16485,
  [19278] = 19124,
  [19279] = 19082,
  [19280] = 19124,
  [19281] = 19082,
  [19282] = 19124,
  [19283] = 19082,
  [19284] = 19124,
  [19285] = 19082,
  [19286] = 19124,
  [19287] = 19082,
  [19288] = 19124,
  [19289] = 19082,
  [19290] = 19124,
  [19291] = 19082,
  [19292] = 19124,
  [19293] = 19082,
  [19294] = 19124,
  [19295] = 19082,
  [19296] = 19124,
  [19297] = 19082,
  [19298] = 19124,
  [19299] = 19082,
  [19300] = 19124,
  [19301] = 19082,
  [19302] = 19124,
  [19303] = 19082,
  [19304] = 19124,
  [19305] = 19082,
  [19306] = 19124,
  [19307] = 19124,
  [19308] = 19124,
  [19309] = 16524,
  [19310] = 18639,
  [19311] = 16352,
  [19312] = 16406,
  [19313] = 18297,
  [19314] = 16602,
  [19315] = 18570,
  [19316] = 16408,
  [19317] = 16409,
  [19318] = 16410,
  [19319] = 16529,
  [19320] = 16413,
  [19321] = 16414,
  [19322] = 16415,
  [19323] = 16418,
  [19324] = 16416,
  [19325] = 16417,
  [19326] = 16419,
  [19327] = 16423,
  [19328] = 16424,
  [19329] = 16425,
  [19330] = 16427,
  [19331] = 16428,
  [19332] = 16533,
  [19333] = 16430,
  [19334] = 16431,
  [19335] = 16433,
  [19336] = 17553,
  [19337] = 17553,
  [19338] = 17553,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(104);
      ADVANCE_MAP(
        '!', 26,
        '"', 124,
        '#', 177,
        '$', 200,
        '&', 195,
        '\'', 143,
        '(', 110,
        ')', 111,
        '*', 186,
        '+', 181,
        ',', 108,
        '-', 184,
        '.', 175,
        '/', 187,
        ':', 125,
        ';', 107,
        '<', 116,
        '=', 113,
        '>', 118,
        '?', 153,
        '@', 27,
        '[', 144,
      );
      if (lookahead == '\\') SKIP(51);
      if (lookahead == ']') ADVANCE(145);
      if (lookahead == '^') ADVANCE(196);
      if (lookahead == '`') ADVANCE(47);
      if (lookahead == '|') ADVANCE(197);
      if (lookahead == '~') ADVANCE(179);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(156);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(167);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(165);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(162);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(82);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(82);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(137);
      if (('B' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(15);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(15);
      if (lookahead == '\r') SKIP(1);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(14);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(14);
      if (lookahead == '\r') SKIP(3);
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(17);
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(17);
      if (lookahead == '\r') SKIP(5);
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(13);
      END_STATE();
    case 8:
      if (lookahead == '\n') SKIP(13);
      if (lookahead == '\r') SKIP(7);
      END_STATE();
    case 9:
      if (lookahead == '\n') SKIP(18);
      END_STATE();
    case 10:
      if (lookahead == '\n') SKIP(18);
      if (lookahead == '\r') SKIP(9);
      END_STATE();
    case 11:
      if (lookahead == '\n') SKIP(19);
      END_STATE();
    case 12:
      if (lookahead == '\n') SKIP(19);
      if (lookahead == '\r') SKIP(11);
      END_STATE();
    case 13:
      if (lookahead == ' ') ADVANCE(146);
      if (lookahead == '#') ADVANCE(177);
      if (lookahead == '-') ADVANCE(147);
      if (lookahead == '/') ADVANCE(21);
      if (lookahead == '\\') SKIP(8);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(13);
      if (('\t' <= lookahead && lookahead <= '\r')) SKIP(13);
      if (('.' <= lookahead && lookahead <= ':')) ADVANCE(148);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '!', 26,
        '#', 177,
        '&', 195,
        '(', 110,
        ')', 111,
        '*', 186,
        '+', 180,
        ',', 108,
        '-', 183,
        '.', 178,
        '/', 187,
        '<', 116,
        '=', 112,
        '>', 118,
        '[', 144,
      );
      if (lookahead == '\\') SKIP(4);
      if (lookahead == '^') ADVANCE(196);
      if (lookahead == '|') ADVANCE(197);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(168);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(167);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(165);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(14);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(14);
      if (('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        '#', 177,
        '$', 200,
        '(', 110,
        '*', 186,
        '+', 182,
        '-', 185,
        '.', 43,
        '/', 21,
        '?', 153,
        '@', 27,
        '[', 144,
      );
      if (lookahead == '\\') SKIP(2);
      if (lookahead == '`') ADVANCE(49);
      if (lookahead == '~') ADVANCE(179);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(157);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(15);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(15);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(135);
      if (('B' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 16:
      ADVANCE_MAP(
        '#', 177,
        '(', 110,
        ')', 111,
        ',', 108,
        '-', 24,
        '.', 175,
        '/', 21,
        '>', 117,
      );
      if (lookahead == '\\') SKIP(6);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(17);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(17);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 17:
      if (lookahead == '#') ADVANCE(177);
      if (lookahead == '(') ADVANCE(110);
      if (lookahead == ')') ADVANCE(111);
      if (lookahead == ',') ADVANCE(108);
      if (lookahead == '-') ADVANCE(24);
      if (lookahead == '/') ADVANCE(21);
      if (lookahead == '>') ADVANCE(117);
      if (lookahead == '\\') SKIP(6);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(17);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(17);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 18:
      if (lookahead == '#') ADVANCE(177);
      if (lookahead == ')') ADVANCE(111);
      if (lookahead == ',') ADVANCE(108);
      if (lookahead == '-') ADVANCE(24);
      if (lookahead == '/') ADVANCE(21);
      if (lookahead == '\\') SKIP(10);
      if (lookahead == '`') ADVANCE(48);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(37);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(40);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(18);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(18);
      END_STATE();
    case 19:
      if (lookahead == '#') ADVANCE(177);
      if (lookahead == '-') ADVANCE(24);
      if (lookahead == '/') ADVANCE(21);
      if (lookahead == '\\') SKIP(12);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(158);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(19);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(19);
      if (('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 20:
      if (lookahead == '#') ADVANCE(128);
      if (lookahead == '-') ADVANCE(133);
      if (lookahead == '/') ADVANCE(130);
      if (lookahead == '\\') ADVANCE(126);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(129);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(129);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '#' &&
          lookahead != '\'') ADVANCE(134);
      END_STATE();
    case 21:
      if (lookahead == '*') ADVANCE(23);
      END_STATE();
    case 22:
      if (lookahead == '*') ADVANCE(22);
      if (lookahead == '/') ADVANCE(176);
      if (lookahead != 0) ADVANCE(23);
      END_STATE();
    case 23:
      if (lookahead == '*') ADVANCE(22);
      if (lookahead != 0) ADVANCE(23);
      END_STATE();
    case 24:
      if (lookahead == '-') ADVANCE(177);
      END_STATE();
    case 25:
      if (lookahead == '-') ADVANCE(177);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(137);
      END_STATE();
    case 26:
      if (lookahead == '=') ADVANCE(192);
      END_STATE();
    case 27:
      if (lookahead == '@') ADVANCE(29);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(152);
      END_STATE();
    case 28:
      if (lookahead == '@') ADVANCE(28);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(152);
      END_STATE();
    case 29:
      if (lookahead == '@') ADVANCE(28);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(150);
      END_STATE();
    case 30:
      if (lookahead == '`') ADVANCE(123);
      if (('-' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(30);
      if (lookahead != 0) ADVANCE(32);
      END_STATE();
    case 31:
      if (lookahead == '`') ADVANCE(123);
      if (('-' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(31);
      END_STATE();
    case 32:
      if (lookahead == '`') ADVANCE(174);
      if (lookahead != 0) ADVANCE(32);
      END_STATE();
    case 33:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(44);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(142);
      END_STATE();
    case 34:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(45);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(141);
      END_STATE();
    case 35:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(46);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(139);
      END_STATE();
    case 36:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(199);
      END_STATE();
    case 37:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(38);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(41);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(105);
      END_STATE();
    case 38:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(119);
      END_STATE();
    case 39:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(36);
      END_STATE();
    case 40:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(39);
      END_STATE();
    case 41:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(198);
      END_STATE();
    case 42:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(137);
      END_STATE();
    case 43:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(140);
      END_STATE();
    case 44:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(142);
      END_STATE();
    case 45:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(141);
      END_STATE();
    case 46:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(139);
      END_STATE();
    case 47:
      if (('-' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(30);
      if (lookahead != 0 &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(32);
      END_STATE();
    case 48:
      if (('-' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(31);
      END_STATE();
    case 49:
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(32);
      END_STATE();
    case 50:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(82);
      END_STATE();
    case 51:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(82);
      if (lookahead == '\r') SKIP(50);
      END_STATE();
    case 52:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(98);
      END_STATE();
    case 53:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(98);
      if (lookahead == '\r') SKIP(52);
      END_STATE();
    case 54:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(99);
      END_STATE();
    case 55:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(99);
      if (lookahead == '\r') SKIP(54);
      END_STATE();
    case 56:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(91);
      END_STATE();
    case 57:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(91);
      if (lookahead == '\r') SKIP(56);
      END_STATE();
    case 58:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(92);
      END_STATE();
    case 59:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(92);
      if (lookahead == '\r') SKIP(58);
      END_STATE();
    case 60:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(100);
      END_STATE();
    case 61:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(100);
      if (lookahead == '\r') SKIP(60);
      END_STATE();
    case 62:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(88);
      END_STATE();
    case 63:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(88);
      if (lookahead == '\r') SKIP(62);
      END_STATE();
    case 64:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(89);
      END_STATE();
    case 65:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(89);
      if (lookahead == '\r') SKIP(64);
      END_STATE();
    case 66:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(95);
      END_STATE();
    case 67:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(95);
      if (lookahead == '\r') SKIP(66);
      END_STATE();
    case 68:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(102);
      END_STATE();
    case 69:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(102);
      if (lookahead == '\r') SKIP(68);
      END_STATE();
    case 70:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(96);
      END_STATE();
    case 71:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(96);
      if (lookahead == '\r') SKIP(70);
      END_STATE();
    case 72:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(103);
      END_STATE();
    case 73:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(103);
      if (lookahead == '\r') SKIP(72);
      END_STATE();
    case 74:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(93);
      END_STATE();
    case 75:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(93);
      if (lookahead == '\r') SKIP(74);
      END_STATE();
    case 76:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(94);
      END_STATE();
    case 77:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(94);
      if (lookahead == '\r') SKIP(76);
      END_STATE();
    case 78:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(90);
      END_STATE();
    case 79:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(90);
      if (lookahead == '\r') SKIP(78);
      END_STATE();
    case 80:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(97);
      END_STATE();
    case 81:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(97);
      if (lookahead == '\r') SKIP(80);
      END_STATE();
    case 82:
      if (eof) ADVANCE(104);
      ADVANCE_MAP(
        '!', 26,
        '"', 124,
        '#', 177,
        '$', 200,
        '&', 195,
        '\'', 143,
        '(', 110,
        ')', 111,
        '*', 186,
        '+', 181,
        ',', 108,
        '-', 184,
        '.', 178,
        '/', 187,
        ':', 125,
        ';', 107,
        '<', 116,
        '=', 113,
        '>', 118,
        '?', 153,
        '@', 27,
        '[', 144,
      );
      if (lookahead == '\\') SKIP(51);
      if (lookahead == ']') ADVANCE(145);
      if (lookahead == '^') ADVANCE(196);
      if (lookahead == '`') ADVANCE(47);
      if (lookahead == '|') ADVANCE(197);
      if (lookahead == '~') ADVANCE(179);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(156);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(167);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(165);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(162);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(82);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(82);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(137);
      if (('B' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 83:
      if (eof) ADVANCE(104);
      ADVANCE_MAP(
        '!', 26,
        '#', 177,
        '&', 195,
        '(', 110,
        ')', 111,
        '*', 186,
        '+', 180,
        ',', 108,
        '-', 183,
        '.', 175,
        '/', 187,
        ';', 107,
        '<', 116,
        '=', 113,
        '>', 118,
        '[', 144,
      );
      if (lookahead == '\\') SKIP(65);
      if (lookahead == ']') ADVANCE(145);
      if (lookahead == '^') ADVANCE(196);
      if (lookahead == '|') ADVANCE(197);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(89);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(89);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 84:
      if (eof) ADVANCE(104);
      ADVANCE_MAP(
        '!', 26,
        '#', 177,
        '&', 195,
        '(', 110,
        ')', 111,
        '*', 186,
        '+', 180,
        ',', 108,
        '-', 183,
        '.', 175,
        '/', 187,
        ';', 107,
        '<', 116,
        '=', 113,
        '>', 118,
        '[', 144,
      );
      if (lookahead == '\\') SKIP(79);
      if (lookahead == '^') ADVANCE(196);
      if (lookahead == '`') ADVANCE(49);
      if (lookahead == '|') ADVANCE(197);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(168);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(90);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(90);
      if (('B' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 85:
      if (eof) ADVANCE(104);
      ADVANCE_MAP(
        '!', 26,
        '#', 177,
        '&', 195,
        '(', 110,
        ')', 111,
        '*', 186,
        '+', 180,
        ',', 108,
        '-', 183,
        '.', 175,
        '/', 187,
        ';', 107,
        '<', 116,
        '=', 112,
        '>', 118,
        '[', 144,
      );
      if (lookahead == '\\') SKIP(75);
      if (lookahead == '^') ADVANCE(196);
      if (lookahead == '|') ADVANCE(197);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(167);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(93);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(93);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 86:
      if (eof) ADVANCE(104);
      ADVANCE_MAP(
        '!', 26,
        '#', 177,
        '&', 195,
        '(', 110,
        ')', 111,
        '*', 186,
        '+', 180,
        ',', 108,
        '-', 183,
        '.', 175,
        '/', 187,
        ';', 107,
        '<', 116,
        '=', 112,
        '>', 118,
        '[', 144,
      );
      if (lookahead == '\\') SKIP(77);
      if (lookahead == '^') ADVANCE(196);
      if (lookahead == '`') ADVANCE(49);
      if (lookahead == '|') ADVANCE(197);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(168);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(167);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(94);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(94);
      if (('B' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 87:
      if (eof) ADVANCE(104);
      ADVANCE_MAP(
        '!', 26,
        '#', 177,
        '&', 195,
        '(', 110,
        ')', 111,
        '*', 186,
        '+', 180,
        ',', 108,
        '-', 183,
        '.', 175,
        '/', 187,
        ';', 107,
        '<', 116,
        '=', 112,
        '>', 118,
        '[', 144,
      );
      if (lookahead == '\\') SKIP(81);
      if (lookahead == '^') ADVANCE(196);
      if (lookahead == '|') ADVANCE(197);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(168);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(165);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(97);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(97);
      if (('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 88:
      if (eof) ADVANCE(104);
      ADVANCE_MAP(
        '!', 26,
        '#', 177,
        '&', 195,
        '(', 110,
        ')', 111,
        '*', 186,
        '+', 180,
        ',', 108,
        '-', 183,
        '.', 178,
        '/', 187,
        ';', 107,
        '<', 116,
        '=', 113,
        '>', 118,
        '[', 144,
      );
      if (lookahead == '\\') SKIP(63);
      if (lookahead == ']') ADVANCE(145);
      if (lookahead == '^') ADVANCE(196);
      if (lookahead == '`') ADVANCE(49);
      if (lookahead == '|') ADVANCE(197);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(168);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(88);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(88);
      if (('B' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 89:
      if (eof) ADVANCE(104);
      ADVANCE_MAP(
        '!', 26,
        '#', 177,
        '&', 195,
        '(', 110,
        ')', 111,
        '*', 186,
        '+', 180,
        ',', 108,
        '-', 183,
        '.', 178,
        '/', 187,
        ';', 107,
        '<', 116,
        '=', 113,
        '>', 118,
        '[', 144,
      );
      if (lookahead == '\\') SKIP(65);
      if (lookahead == ']') ADVANCE(145);
      if (lookahead == '^') ADVANCE(196);
      if (lookahead == '|') ADVANCE(197);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(89);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(89);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 90:
      if (eof) ADVANCE(104);
      ADVANCE_MAP(
        '!', 26,
        '#', 177,
        '&', 195,
        '(', 110,
        ')', 111,
        '*', 186,
        '+', 180,
        ',', 108,
        '-', 183,
        '.', 178,
        '/', 187,
        ';', 107,
        '<', 116,
        '=', 113,
        '>', 118,
        '[', 144,
      );
      if (lookahead == '\\') SKIP(79);
      if (lookahead == '^') ADVANCE(196);
      if (lookahead == '`') ADVANCE(49);
      if (lookahead == '|') ADVANCE(197);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(168);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(90);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(90);
      if (('B' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 91:
      if (eof) ADVANCE(104);
      ADVANCE_MAP(
        '!', 26,
        '#', 177,
        '&', 195,
        '(', 110,
        ')', 111,
        '*', 186,
        '+', 180,
        ',', 108,
        '-', 183,
        '.', 178,
        '/', 187,
        ';', 107,
        '<', 116,
        '=', 112,
        '>', 118,
        '[', 144,
      );
      if (lookahead == '\\') SKIP(57);
      if (lookahead == '^') ADVANCE(196);
      if (lookahead == '`') ADVANCE(49);
      if (lookahead == '|') ADVANCE(197);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(168);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(167);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(91);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(91);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(201);
      if (('B' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 92:
      if (eof) ADVANCE(104);
      ADVANCE_MAP(
        '!', 26,
        '#', 177,
        '&', 195,
        '(', 110,
        ')', 111,
        '*', 186,
        '+', 180,
        ',', 108,
        '-', 183,
        '.', 178,
        '/', 187,
        ';', 107,
        '<', 116,
        '=', 112,
        '>', 118,
        '[', 144,
      );
      if (lookahead == '\\') SKIP(59);
      if (lookahead == '^') ADVANCE(196);
      if (lookahead == '`') ADVANCE(48);
      if (lookahead == '|') ADVANCE(197);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(167);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(92);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(92);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 93:
      if (eof) ADVANCE(104);
      ADVANCE_MAP(
        '!', 26,
        '#', 177,
        '&', 195,
        '(', 110,
        ')', 111,
        '*', 186,
        '+', 180,
        ',', 108,
        '-', 183,
        '.', 178,
        '/', 187,
        ';', 107,
        '<', 116,
        '=', 112,
        '>', 118,
        '[', 144,
      );
      if (lookahead == '\\') SKIP(75);
      if (lookahead == '^') ADVANCE(196);
      if (lookahead == '|') ADVANCE(197);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(167);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(93);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(93);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 94:
      if (eof) ADVANCE(104);
      ADVANCE_MAP(
        '!', 26,
        '#', 177,
        '&', 195,
        '(', 110,
        ')', 111,
        '*', 186,
        '+', 180,
        ',', 108,
        '-', 183,
        '.', 178,
        '/', 187,
        ';', 107,
        '<', 116,
        '=', 112,
        '>', 118,
        '[', 144,
      );
      if (lookahead == '\\') SKIP(77);
      if (lookahead == '^') ADVANCE(196);
      if (lookahead == '`') ADVANCE(49);
      if (lookahead == '|') ADVANCE(197);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(168);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(167);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(94);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(94);
      if (('B' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 95:
      if (eof) ADVANCE(104);
      ADVANCE_MAP(
        '!', 26,
        '#', 177,
        '&', 195,
        '(', 110,
        ')', 111,
        '*', 186,
        '+', 180,
        ',', 108,
        '-', 183,
        '.', 178,
        '/', 187,
        ';', 107,
        '<', 116,
        '=', 112,
        '>', 118,
        '[', 144,
      );
      if (lookahead == '\\') SKIP(67);
      if (lookahead == '^') ADVANCE(196);
      if (lookahead == '`') ADVANCE(49);
      if (lookahead == '|') ADVANCE(197);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(168);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(165);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(95);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(95);
      if (('B' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 96:
      if (eof) ADVANCE(104);
      ADVANCE_MAP(
        '!', 26,
        '#', 177,
        '&', 195,
        '(', 110,
        ')', 111,
        '*', 186,
        '+', 180,
        ',', 108,
        '-', 183,
        '.', 178,
        '/', 187,
        ';', 107,
        '<', 116,
        '=', 112,
        '>', 118,
        '[', 144,
      );
      if (lookahead == '\\') SKIP(71);
      if (lookahead == '^') ADVANCE(196);
      if (lookahead == '|') ADVANCE(197);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(165);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(96);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(96);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 97:
      if (eof) ADVANCE(104);
      ADVANCE_MAP(
        '!', 26,
        '#', 177,
        '&', 195,
        '(', 110,
        ')', 111,
        '*', 186,
        '+', 180,
        ',', 108,
        '-', 183,
        '.', 178,
        '/', 187,
        ';', 107,
        '<', 116,
        '=', 112,
        '>', 118,
        '[', 144,
      );
      if (lookahead == '\\') SKIP(81);
      if (lookahead == '^') ADVANCE(196);
      if (lookahead == '|') ADVANCE(197);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(168);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(165);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(97);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(97);
      if (('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 98:
      if (eof) ADVANCE(104);
      ADVANCE_MAP(
        '#', 177,
        '$', 200,
        '(', 110,
        ')', 111,
        '*', 186,
        '+', 182,
        ',', 108,
        '-', 185,
        '.', 43,
        '/', 21,
        ';', 107,
        '<', 115,
        '=', 109,
        '>', 117,
        '?', 153,
        '@', 27,
        '[', 144,
      );
      if (lookahead == '\\') SKIP(53);
      if (lookahead == ']') ADVANCE(145);
      if (lookahead == '`') ADVANCE(49);
      if (lookahead == '~') ADVANCE(179);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(98);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(98);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(135);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 99:
      if (eof) ADVANCE(104);
      ADVANCE_MAP(
        '#', 177,
        '$', 200,
        '(', 110,
        ')', 111,
        '*', 186,
        '+', 182,
        ',', 108,
        '-', 185,
        '.', 43,
        '/', 21,
        ';', 107,
        '=', 112,
        '?', 153,
        '@', 27,
        '[', 144,
      );
      if (lookahead == '\\') SKIP(55);
      if (lookahead == '`') ADVANCE(49);
      if (lookahead == '~') ADVANCE(179);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(167);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(99);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(99);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(135);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 100:
      if (eof) ADVANCE(104);
      ADVANCE_MAP(
        '#', 177,
        '$', 200,
        '(', 110,
        ')', 111,
        '*', 186,
        '+', 182,
        ',', 108,
        '-', 185,
        '.', 43,
        '/', 21,
        ';', 107,
        '?', 153,
        '@', 27,
        '[', 144,
      );
      if (lookahead == '\\') SKIP(61);
      if (lookahead == '`') ADVANCE(49);
      if (lookahead == '~') ADVANCE(179);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(168);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(100);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(100);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(135);
      if (('B' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 101:
      if (eof) ADVANCE(104);
      ADVANCE_MAP(
        '#', 177,
        '(', 110,
        ')', 111,
        '+', 42,
        ',', 108,
        '-', 25,
        '.', 175,
        '/', 21,
        ';', 107,
        '=', 109,
        '>', 117,
        '?', 153,
        '@', 28,
      );
      if (lookahead == '\\') SKIP(69);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(168);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(167);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(165);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(102);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(102);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(137);
      if (('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 102:
      if (eof) ADVANCE(104);
      ADVANCE_MAP(
        '#', 177,
        '(', 110,
        ')', 111,
        '+', 42,
        ',', 108,
        '-', 25,
        '/', 21,
        ';', 107,
        '=', 109,
        '>', 117,
        '?', 153,
        '@', 28,
      );
      if (lookahead == '\\') SKIP(69);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(168);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(167);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(165);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(102);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(102);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(137);
      if (('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 103:
      if (eof) ADVANCE(104);
      ADVANCE_MAP(
        '#', 177,
        '(', 110,
        ')', 111,
        ',', 108,
        '-', 24,
        '/', 21,
        ';', 107,
        '>', 117,
      );
      if (lookahead == '\\') SKIP(73);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(165);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(103);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(103);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(aux_sym__keyword_as_token1);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(aux_sym__keyword_as_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(aux_sym_set_statement_token2);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(122);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(aux_sym_option_clause_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(193);
      if (lookahead == '=') ADVANCE(189);
      if (lookahead == '>') ADVANCE(190);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(191);
      if (lookahead == '>') ADVANCE(194);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(aux_sym_set_operation_token2);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(aux_sym_set_operation_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(aux_sym_group_by_clause_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(sym_privilege_role);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(aux_sym_privilege_user_token1);
      if (lookahead == '\n') ADVANCE(129);
      if (lookahead == '\r') ADVANCE(127);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\'') ADVANCE(134);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(aux_sym_privilege_user_token1);
      if (lookahead == '\n') ADVANCE(129);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\'') ADVANCE(134);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(aux_sym_privilege_user_token1);
      if (lookahead == '\n') ADVANCE(134);
      if (lookahead == '"' ||
          lookahead == '\'') ADVANCE(177);
      if (lookahead != 0) ADVANCE(128);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(aux_sym_privilege_user_token1);
      if (lookahead == '#') ADVANCE(128);
      if (lookahead == '-') ADVANCE(133);
      if (lookahead == '/') ADVANCE(130);
      if (lookahead == '\\') ADVANCE(126);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(129);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(129);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '#' &&
          lookahead != '\'') ADVANCE(134);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(aux_sym_privilege_user_token1);
      if (lookahead == '*') ADVANCE(132);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\'') ADVANCE(134);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(aux_sym_privilege_user_token1);
      if (lookahead == '*') ADVANCE(131);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == '"' ||
          lookahead == '\'') ADVANCE(23);
      if (lookahead != 0) ADVANCE(132);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(aux_sym_privilege_user_token1);
      if (lookahead == '*') ADVANCE(131);
      if (lookahead == '"' ||
          lookahead == '\'') ADVANCE(23);
      if (lookahead != 0) ADVANCE(132);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(aux_sym_privilege_user_token1);
      if (lookahead == '-') ADVANCE(128);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\'') ADVANCE(134);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(aux_sym_privilege_user_token1);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\'') ADVANCE(134);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(sym__integer);
      if (lookahead == '.') ADVANCE(138);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(33);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(135);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(sym__integer);
      if (lookahead == '.') ADVANCE(138);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(136);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(sym__integer);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(137);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(aux_sym__float_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(35);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(138);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(aux_sym__float_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(139);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(aux_sym__float_token2);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(34);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(140);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(aux_sym__float_token2);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(141);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(aux_sym__float_token3);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(142);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(aux_sym_range_content_token1);
      if (lookahead == ' ') ADVANCE(146);
      if (lookahead == '-') ADVANCE(147);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':')) ADVANCE(148);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(aux_sym_range_content_token1);
      if (lookahead == '-') ADVANCE(149);
      if (lookahead == ' ' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':')) ADVANCE(148);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(aux_sym_range_content_token1);
      if (lookahead == ' ' ||
          lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':')) ADVANCE(148);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(aux_sym_range_content_token1);
      if (lookahead == ' ' ||
          lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':')) ADVANCE(149);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(177);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym_system_variable);
      if (lookahead == '.') ADVANCE(151);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(150);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_system_variable);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(151);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym__named_query_parameter);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(152);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym__positional_query_parameter);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym__unquoted_identifier);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(173);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(sym__unquoted_identifier);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(164);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym__unquoted_identifier);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(159);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(172);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(106);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(sym__unquoted_identifier);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(159);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(106);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(sym__unquoted_identifier);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(159);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(sym__unquoted_identifier);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(120);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(sym__unquoted_identifier);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(154);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(sym__unquoted_identifier);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(169);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(sym__unquoted_identifier);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(160);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(sym__unquoted_identifier);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(171);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(sym__unquoted_identifier);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(161);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(sym__unquoted_identifier);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(170);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(sym__unquoted_identifier);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(121);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(sym__unquoted_identifier);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(163);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(sym__unquoted_identifier);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(106);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(sym__unquoted_identifier);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(114);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(sym__unquoted_identifier);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(155);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(sym__unquoted_identifier);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(166);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(sym__unquoted_identifier);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(173);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(sym__unquoted_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(sym__quoted_identifier);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(177);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_DOT2);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(137);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(136);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(177);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(177);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(137);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(177);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(136);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(23);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(188);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(aux_sym_quantitve_like_operator_token1);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(aux_sym_quantitve_like_operator_token2);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(aux_sym_argument_reference_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(201);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'A') ADVANCE(1);
      if (lookahead == 'D') ADVANCE(2);
      if (lookahead == 'G') ADVANCE(3);
      if (lookahead == 'O') ADVANCE(4);
      if (lookahead == 'S') ADVANCE(5);
      if (lookahead == 'U') ADVANCE(6);
      if (lookahead == '\\') SKIP(7);
      if (lookahead == '_') ADVANCE(8);
      if (lookahead == 'a') ADVANCE(9);
      if (lookahead == 'd') ADVANCE(10);
      if (lookahead == 'g') ADVANCE(11);
      if (lookahead == 'o') ADVANCE(12);
      if (lookahead == 's') ADVANCE(13);
      if (lookahead == 'u') ADVANCE(14);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(15);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(16);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(17);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(18);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(19);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(20);
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(21);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(22);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(23);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(24);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(25);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(26);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(27);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(28);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(29);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(30);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(31);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(32);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(0);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(33);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        'S', 34,
        's', 35,
        'D', 36,
        'd', 36,
        'G', 37,
        'g', 37,
        'L', 38,
        'l', 38,
        'N', 39,
        'n', 39,
        'R', 40,
        'r', 40,
      );
      END_STATE();
    case 2:
      ADVANCE_MAP(
        'A', 41,
        'a', 41,
        'E', 42,
        'e', 42,
        'I', 43,
        'i', 43,
        'O', 44,
        'o', 44,
        'R', 45,
        'r', 45,
      );
      END_STATE();
    case 3:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(46);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(47);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        'P', 48,
        'F', 49,
        'f', 49,
        'N', 50,
        'n', 50,
        'R', 51,
        'r', 51,
        'U', 52,
        'u', 52,
        'V', 53,
        'v', 53,
      );
      END_STATE();
    case 5:
      ADVANCE_MAP(
        'A', 54,
        'a', 54,
        'C', 55,
        'c', 55,
        'E', 56,
        'e', 56,
        'N', 57,
        'n', 57,
        'O', 58,
        'o', 58,
        'T', 59,
        't', 59,
        'Y', 60,
        'y', 60,
      );
      END_STATE();
    case 6:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(61);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(62);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(63);
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(0);
      if (lookahead == '\r') SKIP(64);
      END_STATE();
    case 8:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(65);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(66);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        'D', 36,
        'd', 36,
        'G', 37,
        'g', 37,
        'L', 38,
        'l', 38,
        'N', 39,
        'n', 39,
        'R', 40,
        'r', 40,
        'S', 35,
        's', 35,
      );
      END_STATE();
    case 10:
      ADVANCE_MAP(
        'O', 44,
        'o', 67,
        'A', 41,
        'a', 41,
        'E', 42,
        'e', 42,
        'I', 43,
        'i', 43,
        'R', 45,
        'r', 45,
      );
      END_STATE();
    case 11:
      if (lookahead == 'R') ADVANCE(47);
      if (lookahead == 'r') ADVANCE(68);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(46);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        'p', 69,
        'F', 49,
        'f', 49,
        'N', 50,
        'n', 50,
        'R', 51,
        'r', 51,
        'U', 52,
        'u', 52,
        'V', 53,
        'v', 53,
      );
      END_STATE();
    case 13:
      ADVANCE_MAP(
        'E', 56,
        'e', 70,
        'p', 71,
        'A', 54,
        'a', 54,
        'C', 55,
        'c', 55,
        'N', 57,
        'n', 57,
        'O', 58,
        'o', 58,
        'T', 59,
        't', 59,
        'Y', 60,
        'y', 60,
      );
      END_STATE();
    case 14:
      if (lookahead == 'S') ADVANCE(63);
      if (lookahead == 's') ADVANCE(72);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(61);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(62);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        'E', 73,
        'e', 73,
        'I', 74,
        'i', 74,
        'R', 75,
        'r', 75,
        'Y', 76,
        'y', 76,
      );
      END_STATE();
    case 16:
      ADVANCE_MAP(
        'A', 77,
        'a', 77,
        'L', 78,
        'l', 78,
        'O', 79,
        'o', 79,
        'R', 80,
        'r', 80,
        'U', 81,
        'u', 81,
      );
      END_STATE();
    case 17:
      ADVANCE_MAP(
        'L', 82,
        'l', 82,
        'N', 83,
        'n', 83,
        'R', 84,
        'r', 84,
        'X', 85,
        'x', 85,
      );
      END_STATE();
    case 18:
      ADVANCE_MAP(
        'A', 86,
        'a', 86,
        'I', 87,
        'i', 87,
        'O', 88,
        'o', 88,
        'R', 89,
        'r', 89,
        'U', 90,
        'u', 90,
      );
      END_STATE();
    case 19:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(91);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(92);
      END_STATE();
    case 20:
      ADVANCE_MAP(
        'F', 93,
        'f', 93,
        'G', 94,
        'g', 94,
        'M', 95,
        'm', 95,
        'N', 96,
        'n', 96,
        'S', 97,
        's', 97,
        'T', 98,
        't', 98,
      );
      END_STATE();
    case 21:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(99);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(100);
      END_STATE();
    case 22:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(101);
      END_STATE();
    case 23:
      ADVANCE_MAP(
        'A', 102,
        'a', 102,
        'E', 103,
        'e', 103,
        'I', 104,
        'i', 104,
        'O', 105,
        'o', 105,
      );
      END_STATE();
    case 24:
      ADVANCE_MAP(
        'A', 106,
        'a', 106,
        'E', 107,
        'e', 107,
        'I', 108,
        'i', 108,
        'O', 109,
        'o', 109,
      );
      END_STATE();
    case 25:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(110);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(111);
      END_STATE();
    case 26:
      ADVANCE_MAP(
        'A', 112,
        'a', 112,
        'E', 113,
        'e', 113,
        'I', 114,
        'i', 114,
        'R', 115,
        'r', 115,
      );
      END_STATE();
    case 27:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(116);
      END_STATE();
    case 28:
      ADVANCE_MAP(
        'A', 117,
        'a', 117,
        'E', 118,
        'e', 118,
        'I', 119,
        'i', 119,
        'O', 120,
        'o', 120,
      );
      END_STATE();
    case 29:
      ADVANCE_MAP(
        'A', 121,
        'a', 121,
        'E', 122,
        'e', 122,
        'H', 123,
        'h', 123,
        'I', 124,
        'i', 124,
        'O', 125,
        'o', 125,
        'R', 126,
        'r', 126,
        'Y', 127,
        'y', 127,
      );
      END_STATE();
    case 30:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(128);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(129);
      END_STATE();
    case 31:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(130);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(131);
      END_STATE();
    case 32:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(132);
      END_STATE();
    case 33:
      if (lookahead == 'A') ADVANCE(1);
      if (lookahead == 'D') ADVANCE(2);
      if (lookahead == 'G') ADVANCE(3);
      if (lookahead == 'O') ADVANCE(4);
      if (lookahead == 'S') ADVANCE(5);
      if (lookahead == 'U') ADVANCE(6);
      if (lookahead == '\\') SKIP(7);
      if (lookahead == '_') ADVANCE(8);
      if (lookahead == 'a') ADVANCE(9);
      if (lookahead == 'd') ADVANCE(10);
      if (lookahead == 'g') ADVANCE(11);
      if (lookahead == 'o') ADVANCE(12);
      if (lookahead == 's') ADVANCE(13);
      if (lookahead == 'u') ADVANCE(14);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(15);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(16);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(17);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(18);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(19);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(20);
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(21);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(22);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(23);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(24);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(25);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(26);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(27);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(28);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(29);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(30);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(31);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(32);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(0);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(33);
      END_STATE();
    case 34:
      ACCEPT_TOKEN(anon_sym_AS);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(133);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(134);
      END_STATE();
    case 35:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(133);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(134);
      END_STATE();
    case 36:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(135);
      END_STATE();
    case 37:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(136);
      END_STATE();
    case 38:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(137);
      END_STATE();
    case 39:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(138);
      END_STATE();
    case 40:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(139);
      END_STATE();
    case 41:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(140);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(141);
      END_STATE();
    case 42:
      ADVANCE_MAP(
        'C', 142,
        'c', 142,
        'F', 143,
        'f', 143,
        'L', 144,
        'l', 144,
        'S', 145,
        's', 145,
      );
      END_STATE();
    case 43:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(146);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(147);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(aux_sym_while_statement_token2);
      END_STATE();
    case 45:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(148);
      END_STATE();
    case 46:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(149);
      END_STATE();
    case 47:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(150);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(151);
      END_STATE();
    case 48:
      if (lookahead == 'T') ADVANCE(152);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(aux_sym__keyword_system_as_of_token2);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(153);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(aux_sym_join_condition_token1);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(aux_sym_keyword_replace_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(154);
      END_STATE();
    case 52:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(155);
      END_STATE();
    case 53:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(156);
      END_STATE();
    case 54:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(157);
      END_STATE();
    case 55:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(158);
      END_STATE();
    case 56:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(159);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(160);
      END_STATE();
    case 57:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(161);
      END_STATE();
    case 58:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(162);
      END_STATE();
    case 59:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(163);
      END_STATE();
    case 60:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(164);
      END_STATE();
    case 61:
      ADVANCE_MAP(
        'B', 165,
        'b', 165,
        'I', 166,
        'i', 166,
        'N', 167,
        'n', 167,
        'P', 168,
        'p', 168,
        'T', 169,
        't', 169,
      );
      END_STATE();
    case 62:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(170);
      END_STATE();
    case 63:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(171);
      END_STATE();
    case 64:
      if (lookahead == '\n') SKIP(0);
      END_STATE();
    case 65:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(172);
      END_STATE();
    case 66:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(173);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(aux_sym_while_statement_token2);
      if (lookahead == 'm') ADVANCE(174);
      END_STATE();
    case 68:
      if (lookahead == 'O') ADVANCE(151);
      if (lookahead == 'o') ADVANCE(175);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(150);
      END_STATE();
    case 69:
      if (lookahead == 'e') ADVANCE(176);
      END_STATE();
    case 70:
      if (lookahead == 'r') ADVANCE(177);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(159);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(160);
      END_STATE();
    case 71:
      if (lookahead == 'e') ADVANCE(178);
      END_STATE();
    case 72:
      if (lookahead == 'e') ADVANCE(179);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(171);
      END_STATE();
    case 73:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(180);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(181);
      END_STATE();
    case 74:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(182);
      END_STATE();
    case 75:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(183);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(aux_sym__keyword_partition_by_token2);
      END_STATE();
    case 77:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(184);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(185);
      END_STATE();
    case 78:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(186);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(187);
      END_STATE();
    case 79:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(188);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(189);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(190);
      END_STATE();
    case 80:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(191);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(192);
      END_STATE();
    case 81:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(193);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(194);
      END_STATE();
    case 82:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(195);
      END_STATE();
    case 83:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(196);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(197);
      END_STATE();
    case 84:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(198);
      END_STATE();
    case 85:
      ADVANCE_MAP(
        'C', 199,
        'c', 199,
        'E', 200,
        'e', 200,
        'I', 201,
        'i', 201,
        'P', 202,
        'p', 202,
        'T', 203,
        't', 203,
      );
      END_STATE();
    case 86:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(204);
      END_STATE();
    case 87:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(205);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(206);
      END_STATE();
    case 88:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(207);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(208);
      END_STATE();
    case 89:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(209);
      END_STATE();
    case 90:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(210);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(211);
      END_STATE();
    case 91:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(212);
      END_STATE();
    case 92:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(213);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(aux_sym_keyword_if_not_exists_token1);
      END_STATE();
    case 94:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(214);
      END_STATE();
    case 95:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(215);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(aux_sym__keyword_in_token1);
      ADVANCE_MAP(
        'C', 216,
        'c', 216,
        'N', 217,
        'n', 217,
        'O', 218,
        'o', 218,
        'S', 219,
        's', 219,
        'T', 220,
        't', 220,
      );
      END_STATE();
    case 97:
      ACCEPT_TOKEN(aux_sym__keyword_is_token1);
      END_STATE();
    case 98:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(221);
      END_STATE();
    case 99:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(222);
      END_STATE();
    case 100:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(223);
      END_STATE();
    case 101:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(224);
      END_STATE();
    case 102:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(225);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(226);
      END_STATE();
    case 103:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(227);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(228);
      END_STATE();
    case 104:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(229);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(230);
      END_STATE();
    case 105:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(231);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(232);
      END_STATE();
    case 106:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(233);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(234);
      END_STATE();
    case 107:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(235);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(236);
      END_STATE();
    case 108:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(237);
      END_STATE();
    case 109:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(238);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(239);
      END_STATE();
    case 110:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(240);
      END_STATE();
    case 111:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(241);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(242);
      END_STATE();
    case 112:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(243);
      END_STATE();
    case 113:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(244);
      END_STATE();
    case 114:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(245);
      END_STATE();
    case 115:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(246);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(247);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(248);
      END_STATE();
    case 116:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(249);
      END_STATE();
    case 117:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(250);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(251);
      END_STATE();
    case 118:
      ADVANCE_MAP(
        'C', 252,
        'c', 252,
        'F', 253,
        'f', 253,
        'M', 254,
        'm', 254,
        'N', 255,
        'n', 255,
        'P', 256,
        'p', 256,
        'S', 257,
        's', 257,
        'T', 258,
        't', 258,
        'V', 259,
        'v', 259,
      );
      END_STATE();
    case 119:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(260);
      END_STATE();
    case 120:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(261);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(262);
      END_STATE();
    case 121:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(263);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(264);
      END_STATE();
    case 122:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(265);
      END_STATE();
    case 123:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(266);
      END_STATE();
    case 124:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(267);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(aux_sym_alter_table_rename_statement_token2);
      END_STATE();
    case 126:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(268);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(269);
      END_STATE();
    case 127:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(270);
      END_STATE();
    case 128:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(271);
      END_STATE();
    case 129:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(272);
      END_STATE();
    case 130:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(273);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(274);
      END_STATE();
    case 131:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(275);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(276);
      END_STATE();
    case 132:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(277);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(aux_sym__direction_keywords_token1);
      END_STATE();
    case 134:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(278);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(aux_sym_add_column_action_token1);
      END_STATE();
    case 136:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(279);
      END_STATE();
    case 137:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(280);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(aux_sym__keyword_and_token1);
      END_STATE();
    case 139:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(281);
      END_STATE();
    case 140:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(282);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(283);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(aux_sym_partition_expression_token5);
      END_STATE();
    case 142:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(284);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(285);
      END_STATE();
    case 143:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(286);
      END_STATE();
    case 144:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(287);
      END_STATE();
    case 145:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(288);
      END_STATE();
    case 146:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(289);
      END_STATE();
    case 147:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(290);
      END_STATE();
    case 148:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(291);
      END_STATE();
    case 149:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(292);
      END_STATE();
    case 150:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(293);
      END_STATE();
    case 151:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(294);
      END_STATE();
    case 152:
      if (lookahead == 'I') ADVANCE(295);
      END_STATE();
    case 153:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(296);
      END_STATE();
    case 154:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(297);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(aux_sym_procedure_argument_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(298);
      END_STATE();
    case 156:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(299);
      END_STATE();
    case 157:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(300);
      END_STATE();
    case 158:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(301);
      END_STATE();
    case 159:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(302);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(aux_sym_set_statement_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(303);
      END_STATE();
    case 161:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(304);
      END_STATE();
    case 162:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(305);
      END_STATE();
    case 163:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(306);
      END_STATE();
    case 164:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(307);
      END_STATE();
    case 165:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(308);
      END_STATE();
    case 166:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(309);
      END_STATE();
    case 167:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(310);
      END_STATE();
    case 168:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(311);
      END_STATE();
    case 169:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(312);
      END_STATE();
    case 170:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(313);
      END_STATE();
    case 171:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(314);
      END_STATE();
    case 172:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(315);
      END_STATE();
    case 173:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(316);
      END_STATE();
    case 174:
      if (lookahead == 'a') ADVANCE(317);
      END_STATE();
    case 175:
      if (lookahead == 'U') ADVANCE(294);
      if (lookahead == 'u') ADVANCE(318);
      END_STATE();
    case 176:
      if (lookahead == 'r') ADVANCE(319);
      END_STATE();
    case 177:
      if (lookahead == 'v') ADVANCE(320);
      END_STATE();
    case 178:
      if (lookahead == 'c') ADVANCE(321);
      END_STATE();
    case 179:
      if (lookahead == 'r') ADVANCE(322);
      END_STATE();
    case 180:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(323);
      END_STATE();
    case 181:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(324);
      END_STATE();
    case 182:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(325);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(326);
      END_STATE();
    case 183:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(327);
      END_STATE();
    case 184:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(328);
      END_STATE();
    case 185:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(329);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(330);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(331);
      END_STATE();
    case 186:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(332);
      END_STATE();
    case 187:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(333);
      END_STATE();
    case 188:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(334);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(335);
      END_STATE();
    case 189:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(336);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(337);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(338);
      END_STATE();
    case 190:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(339);
      END_STATE();
    case 191:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(340);
      END_STATE();
    case 192:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(341);
      END_STATE();
    case 193:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(342);
      END_STATE();
    case 194:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(343);
      END_STATE();
    case 195:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(344);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(aux_sym__keyword_end_token1);
      END_STATE();
    case 197:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(345);
      END_STATE();
    case 198:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(346);
      END_STATE();
    case 199:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(347);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(348);
      END_STATE();
    case 200:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(349);
      END_STATE();
    case 201:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(350);
      END_STATE();
    case 202:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(351);
      END_STATE();
    case 203:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(352);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(353);
      END_STATE();
    case 204:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(354);
      END_STATE();
    case 205:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(355);
      END_STATE();
    case 206:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(356);
      END_STATE();
    case 207:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(357);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(aux_sym__keyword_for_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(358);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(359);
      END_STATE();
    case 209:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(360);
      END_STATE();
    case 210:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(361);
      END_STATE();
    case 211:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(362);
      END_STATE();
    case 212:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(363);
      END_STATE();
    case 213:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(364);
      END_STATE();
    case 214:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(365);
      END_STATE();
    case 215:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(366);
      END_STATE();
    case 216:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(367);
      END_STATE();
    case 217:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(368);
      END_STATE();
    case 218:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 219:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(370);
      END_STATE();
    case 220:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(371);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(372);
      END_STATE();
    case 221:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(373);
      END_STATE();
    case 222:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(374);
      END_STATE();
    case 223:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(375);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(aux_sym_primary_key_token2);
      END_STATE();
    case 225:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(376);
      END_STATE();
    case 226:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(377);
      END_STATE();
    case 227:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(378);
      END_STATE();
    case 228:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(379);
      END_STATE();
    case 229:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(380);
      END_STATE();
    case 230:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(381);
      END_STATE();
    case 231:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(382);
      END_STATE();
    case 232:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(383);
      END_STATE();
    case 233:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(384);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(385);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(aux_sym_having_max_clause_token1);
      END_STATE();
    case 235:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(386);
      END_STATE();
    case 236:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(387);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(aux_sym_having_min_clause_token1);
      END_STATE();
    case 238:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(388);
      END_STATE();
    case 239:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(389);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(aux_sym_keyword_if_not_exists_token2);
      END_STATE();
    case 241:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(390);
      END_STATE();
    case 242:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(391);
      END_STATE();
    case 243:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(392);
      END_STATE();
    case 244:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(393);
      END_STATE();
    case 245:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(394);
      END_STATE();
    case 246:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(395);
      END_STATE();
    case 247:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(396);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(397);
      END_STATE();
    case 248:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(398);
      END_STATE();
    case 249:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(399);
      END_STATE();
    case 250:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(400);
      END_STATE();
    case 251:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(401);
      END_STATE();
    case 252:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(402);
      END_STATE();
    case 253:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(403);
      END_STATE();
    case 254:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(404);
      END_STATE();
    case 255:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(405);
      END_STATE();
    case 256:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(406);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(407);
      END_STATE();
    case 257:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(408);
      END_STATE();
    case 258:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(409);
      END_STATE();
    case 259:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(410);
      END_STATE();
    case 260:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(411);
      END_STATE();
    case 261:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(412);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(aux_sym_keyword_current_row_token2);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(413);
      END_STATE();
    case 263:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(414);
      END_STATE();
    case 264:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(415);
      END_STATE();
    case 265:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(416);
      END_STATE();
    case 266:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(417);
      END_STATE();
    case 267:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(418);
      END_STATE();
    case 268:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(419);
      END_STATE();
    case 269:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(420);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(421);
      END_STATE();
    case 270:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(422);
      END_STATE();
    case 271:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(423);
      END_STATE();
    case 272:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(424);
      END_STATE();
    case 273:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(425);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(426);
      END_STATE();
    case 274:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(427);
      END_STATE();
    case 275:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(428);
      END_STATE();
    case 276:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(429);
      END_STATE();
    case 277:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(430);
      END_STATE();
    case 278:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(431);
      END_STATE();
    case 279:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(432);
      END_STATE();
    case 280:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(433);
      END_STATE();
    case 281:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(434);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(aux_sym_set_data_type_token1);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(aux_sym__keyword_date_token1);
      if (lookahead == '_') ADVANCE(435);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(436);
      END_STATE();
    case 284:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(437);
      END_STATE();
    case 285:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(438);
      END_STATE();
    case 286:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(439);
      END_STATE();
    case 287:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(440);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(aux_sym__direction_keywords_token2);
      END_STATE();
    case 289:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(441);
      END_STATE();
    case 290:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(442);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(aux_sym_drop_schema_statement_token1);
      END_STATE();
    case 292:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(443);
      END_STATE();
    case 293:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(444);
      END_STATE();
    case 294:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(445);
      END_STATE();
    case 295:
      if (lookahead == 'O') ADVANCE(446);
      END_STATE();
    case 296:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(447);
      END_STATE();
    case 297:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(448);
      END_STATE();
    case 298:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(449);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(aux_sym_analytics_clause_token1);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(450);
      END_STATE();
    case 300:
      if (lookahead == '_') ADVANCE(451);
      END_STATE();
    case 301:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(452);
      END_STATE();
    case 302:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(453);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(aux_sym_grouping_sets_token2);
      END_STATE();
    case 304:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(454);
      END_STATE();
    case 305:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(455);
      END_STATE();
    case 306:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(456);
      END_STATE();
    case 307:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(457);
      END_STATE();
    case 308:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(458);
      END_STATE();
    case 309:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(459);
      END_STATE();
    case 310:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(460);
      END_STATE();
    case 311:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(461);
      END_STATE();
    case 312:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(462);
      END_STATE();
    case 313:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(463);
      END_STATE();
    case 314:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(464);
      END_STATE();
    case 315:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(465);
      END_STATE();
    case 316:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(466);
      END_STATE();
    case 317:
      if (lookahead == 'i') ADVANCE(467);
      END_STATE();
    case 318:
      if (lookahead == 'P') ADVANCE(445);
      if (lookahead == 'p') ADVANCE(468);
      END_STATE();
    case 319:
      if (lookahead == 'a') ADVANCE(469);
      END_STATE();
    case 320:
      if (lookahead == 'i') ADVANCE(470);
      END_STATE();
    case 321:
      if (lookahead == 'i') ADVANCE(471);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(anon_sym_user);
      END_STATE();
    case 323:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(472);
      END_STATE();
    case 324:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(473);
      END_STATE();
    case 325:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(474);
      END_STATE();
    case 326:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(475);
      END_STATE();
    case 327:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(476);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(aux_sym_call_statement_token1);
      END_STATE();
    case 329:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(477);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(aux_sym__keyword_case_token1);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(aux_sym__keyword_cast_token1);
      END_STATE();
    case 332:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(478);
      END_STATE();
    case 333:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(479);
      END_STATE();
    case 334:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(480);
      END_STATE();
    case 335:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(481);
      END_STATE();
    case 336:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(482);
      END_STATE();
    case 337:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(483);
      END_STATE();
    case 338:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(484);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(aux_sym_copy_clause_token1);
      END_STATE();
    case 340:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(485);
      END_STATE();
    case 341:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(486);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(aux_sym_cube_token1);
      END_STATE();
    case 343:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(487);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(aux_sym__keyword_else_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(488);
      END_STATE();
    case 345:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(489);
      END_STATE();
    case 346:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(490);
      END_STATE();
    case 347:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(491);
      END_STATE();
    case 348:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(492);
      END_STATE();
    case 349:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(493);
      END_STATE();
    case 350:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(494);
      END_STATE();
    case 351:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(495);
      END_STATE();
    case 352:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(496);
      END_STATE();
    case 353:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(497);
      END_STATE();
    case 354:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(498);
      END_STATE();
    case 355:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(499);
      END_STATE();
    case 356:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(500);
      END_STATE();
    case 357:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(501);
      END_STATE();
    case 358:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(502);
      END_STATE();
    case 359:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(503);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(aux_sym__keyword_from_token1);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(aux_sym_join_type_token4);
      END_STATE();
    case 362:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(504);
      END_STATE();
    case 363:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(505);
      END_STATE();
    case 364:
      ACCEPT_TOKEN(aux_sym_partition_expression_token6);
      END_STATE();
    case 365:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(506);
      END_STATE();
    case 366:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(507);
      END_STATE();
    case 367:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(508);
      END_STATE();
    case 368:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(509);
      END_STATE();
    case 369:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(510);
      END_STATE();
    case 370:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(511);
      END_STATE();
    case 371:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(512);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(aux_sym_into_clause_token1);
      END_STATE();
    case 373:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(513);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(aux_sym__cross_join_operation_token2);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(aux_sym_json_token1);
      END_STATE();
    case 376:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(514);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(aux_sym__nulls_preference_token3);
      END_STATE();
    case 378:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(515);
      END_STATE();
    case 379:
      ACCEPT_TOKEN(aux_sym_join_type_token2);
      END_STATE();
    case 380:
      ACCEPT_TOKEN(aux_sym__keyword_like_token1);
      END_STATE();
    case 381:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(516);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(aux_sym_load_data_statement_token1);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(aux_sym_loop_statement_token1);
      END_STATE();
    case 384:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(517);
      END_STATE();
    case 385:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(518);
      END_STATE();
    case 386:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(519);
      END_STATE();
    case 387:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(520);
      END_STATE();
    case 388:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(521);
      END_STATE();
    case 389:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(522);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(aux_sym_drop_notnull_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(523);
      END_STATE();
    case 391:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(524);
      END_STATE();
    case 392:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(525);
      END_STATE();
    case 393:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(526);
      END_STATE();
    case 394:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(527);
      END_STATE();
    case 395:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(528);
      END_STATE();
    case 396:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(529);
      END_STATE();
    case 397:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(530);
      END_STATE();
    case 398:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(531);
      END_STATE();
    case 399:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(532);
      END_STATE();
    case 400:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(533);
      END_STATE();
    case 401:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(534);
      END_STATE();
    case 402:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(535);
      END_STATE();
    case 403:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(536);
      END_STATE();
    case 404:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(537);
      END_STATE();
    case 405:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(538);
      END_STATE();
    case 406:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(539);
      END_STATE();
    case 407:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(540);
      END_STATE();
    case 408:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(541);
      END_STATE();
    case 409:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(542);
      END_STATE();
    case 410:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(543);
      END_STATE();
    case 411:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(544);
      END_STATE();
    case 412:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(545);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(aux_sym_rows_range_token1);
      END_STATE();
    case 414:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(546);
      END_STATE();
    case 415:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(547);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(aux_sym_keyword_temporary_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(548);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(aux_sym__keyword_then_token1);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(aux_sym__keyword_time_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(549);
      END_STATE();
    case 419:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(550);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(aux_sym_TRUE_token1);
      END_STATE();
    case 421:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(551);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(aux_sym_set_data_type_token2);
      END_STATE();
    case 423:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(552);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(aux_sym_create_table_statement_token2);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(aux_sym__keyword_when_token1);
      END_STATE();
    case 426:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(553);
      END_STATE();
    case 427:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(554);
      END_STATE();
    case 428:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(555);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(aux_sym_partition_columns_clause_token1);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(aux_sym_partition_expression_token8);
      END_STATE();
    case 431:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(556);
      END_STATE();
    case 432:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(557);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(aux_sym__keyword_alter_token1);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(aux_sym__keyword_array_token1);
      END_STATE();
    case 435:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(558);
      END_STATE();
    case 436:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(559);
      END_STATE();
    case 437:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(560);
      END_STATE();
    case 438:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(561);
      END_STATE();
    case 439:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(562);
      END_STATE();
    case 440:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(563);
      END_STATE();
    case 441:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(564);
      END_STATE();
    case 442:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(565);
      END_STATE();
    case 443:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(566);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(aux_sym_grant_statement_token1);
      END_STATE();
    case 445:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(567);
      END_STATE();
    case 446:
      if (lookahead == 'N') ADVANCE(568);
      END_STATE();
    case 447:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(569);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(aux_sym_order_by_clause_token1);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(aux_sym_join_type_token5);
      END_STATE();
    case 450:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(570);
      END_STATE();
    case 451:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(571);
      END_STATE();
    case 452:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(572);
      END_STATE();
    case 453:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(573);
      END_STATE();
    case 454:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(574);
      END_STATE();
    case 455:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(575);
      END_STATE();
    case 456:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(576);
      END_STATE();
    case 457:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(577);
      END_STATE();
    case 458:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(578);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(aux_sym_set_operation_token1);
      END_STATE();
    case 460:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(579);
      END_STATE();
    case 461:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(580);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(aux_sym_repeat_statement_token1);
      END_STATE();
    case 463:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(581);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(aux_sym_using_clause_token1);
      END_STATE();
    case 465:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(582);
      END_STATE();
    case 466:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(583);
      END_STATE();
    case 467:
      if (lookahead == 'n') ADVANCE(584);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym_group);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(567);
      END_STATE();
    case 469:
      if (lookahead == 't') ADVANCE(585);
      END_STATE();
    case 470:
      if (lookahead == 'c') ADVANCE(586);
      END_STATE();
    case 471:
      if (lookahead == 'a') ADVANCE(587);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(aux_sym__keyword_begin_token1);
      END_STATE();
    case 473:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(588);
      END_STATE();
    case 474:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(589);
      END_STATE();
    case 475:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(590);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(aux_sym_break_statement_token1);
      END_STATE();
    case 477:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(591);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(aux_sym_clone_clause_token1);
      END_STATE();
    case 479:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(592);
      END_STATE();
    case 480:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(593);
      END_STATE();
    case 481:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(594);
      END_STATE();
    case 482:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(595);
      END_STATE();
    case 483:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(596);
      END_STATE();
    case 484:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(597);
      END_STATE();
    case 485:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(598);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(aux_sym__cross_join_operation_token1);
      END_STATE();
    case 487:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(599);
      END_STATE();
    case 488:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(600);
      END_STATE();
    case 489:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(601);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(aux_sym_begin_exception_end_statement_token2);
      END_STATE();
    case 491:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(602);
      END_STATE();
    case 492:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(603);
      END_STATE();
    case 493:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(604);
      END_STATE();
    case 494:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(605);
      END_STATE();
    case 495:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(606);
      END_STATE();
    case 496:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(607);
      END_STATE();
    case 497:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(608);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(aux_sym_FALSE_token1);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(aux_sym_from_files_clause_token1);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(aux_sym__nulls_preference_token2);
      END_STATE();
    case 501:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(609);
      END_STATE();
    case 502:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(610);
      END_STATE();
    case 503:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(611);
      END_STATE();
    case 504:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(612);
      END_STATE();
    case 505:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(613);
      END_STATE();
    case 506:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(614);
      END_STATE();
    case 507:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(615);
      END_STATE();
    case 508:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(616);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(aux_sym_join_type_token1);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(aux_sym_procedure_argument_token2);
      END_STATE();
    case 511:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(617);
      END_STATE();
    case 512:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(618);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(619);
      END_STATE();
    case 513:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(620);
      END_STATE();
    case 514:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(621);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(aux_sym_leave_statement_token1);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(aux_sym_limit_clause_token1);
      END_STATE();
    case 517:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(622);
      END_STATE();
    case 518:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(623);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(aux_sym_merge_statement_token1);
      END_STATE();
    case 520:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(624);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(aux_sym_create_model_statement_token1);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(aux_sym_partition_expression_token7);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(aux_sym__nulls_preference_token1);
      END_STATE();
    case 524:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(625);
      END_STATE();
    case 525:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(626);
      END_STATE();
    case 526:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(627);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(aux_sym_pivot_operator_token1);
      END_STATE();
    case 528:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(628);
      END_STATE();
    case 529:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(629);
      END_STATE();
    case 530:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(630);
      END_STATE();
    case 531:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(631);
      END_STATE();
    case 532:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(632);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(aux_sym_raise_statement_token1);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(aux_sym__keyword_range_token1);
      if (lookahead == '_') ADVANCE(633);
      END_STATE();
    case 535:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(634);
      END_STATE();
    case 536:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(635);
      END_STATE();
    case 537:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(636);
      END_STATE();
    case 538:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(637);
      END_STATE();
    case 539:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(638);
      END_STATE();
    case 540:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(639);
      END_STATE();
    case 541:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(640);
      END_STATE();
    case 542:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(641);
      END_STATE();
    case 543:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(642);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(aux_sym_join_type_token3);
      END_STATE();
    case 545:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(643);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(aux_sym_create_table_statement_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(644);
      END_STATE();
    case 547:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(645);
      END_STATE();
    case 548:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(646);
      END_STATE();
    case 549:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(647);
      END_STATE();
    case 550:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(648);
      END_STATE();
    case 551:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(649);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(aux_sym_select_token2);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(650);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(aux_sym_where_clause_token1);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(aux_sym_while_statement_token1);
      END_STATE();
    case 555:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(651);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(aux_sym_assert_statement_token1);
      END_STATE();
    case 557:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(652);
      END_STATE();
    case 558:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(653);
      END_STATE();
    case 559:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(654);
      END_STATE();
    case 560:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(655);
      END_STATE();
    case 561:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(656);
      END_STATE();
    case 562:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(657);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(aux_sym__keyword_delete_token1);
      END_STATE();
    case 564:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(658);
      END_STATE();
    case 565:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(659);
      END_STATE();
    case 566:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(660);
      END_STATE();
    case 567:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(661);
      END_STATE();
    case 568:
      if (lookahead == 'S') ADVANCE(662);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(aux_sym_limit_clause_token2);
      END_STATE();
    case 570:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(663);
      END_STATE();
    case 571:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(664);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(aux_sym_create_schema_statement_token2);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(aux_sym_select_token1);
      END_STATE();
    case 574:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(665);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(aux_sym_merge_not_matched_by_source_clause_token1);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(aux_sym__keyword_struct_token1);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(aux_sym_tablesample_operator_token2);
      if (lookahead == '_') ADVANCE(666);
      END_STATE();
    case 578:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(667);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(aux_sym_unnest_operator_token1);
      END_STATE();
    case 580:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(668);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(aux_sym_update_statement_token1);
      END_STATE();
    case 582:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(669);
      END_STATE();
    case 583:
      if (lookahead == '_') ADVANCE(670);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(anon_sym_domain);
      END_STATE();
    case 585:
      if (lookahead == 'o') ADVANCE(671);
      END_STATE();
    case 586:
      if (lookahead == 'e') ADVANCE(672);
      END_STATE();
    case 587:
      if (lookahead == 'l') ADVANCE(673);
      END_STATE();
    case 588:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(674);
      END_STATE();
    case 589:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(675);
      END_STATE();
    case 590:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(676);
      END_STATE();
    case 591:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(677);
      END_STATE();
    case 592:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(678);
      END_STATE();
    case 593:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(679);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(aux_sym_add_column_action_token2);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(680);
      END_STATE();
    case 595:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(681);
      END_STATE();
    case 596:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(682);
      END_STATE();
    case 597:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(683);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(aux_sym_create_schema_statement_token1);
      END_STATE();
    case 599:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(684);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(aux_sym_if_statement_token1);
      END_STATE();
    case 601:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(685);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(aux_sym_set_operation_token4);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(686);
      END_STATE();
    case 603:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(687);
      END_STATE();
    case 604:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(688);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(aux_sym_keyword_if_not_exists_token3);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(aux_sym_export_data_statement_token1);
      END_STATE();
    case 607:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(689);
      END_STATE();
    case 608:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(690);
      END_STATE();
    case 609:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(691);
      END_STATE();
    case 610:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(692);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(aux_sym__keyword_format_token1);
      END_STATE();
    case 612:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(693);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(aux_sym_having_clause_token1);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(aux_sym_function_call_token1);
      END_STATE();
    case 615:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(694);
      END_STATE();
    case 616:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(695);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(aux_sym_insert_statement_token1);
      END_STATE();
    case 618:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(696);
      END_STATE();
    case 619:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(697);
      END_STATE();
    case 620:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(698);
      END_STATE();
    case 621:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(699);
      END_STATE();
    case 622:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(700);
      END_STATE();
    case 623:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(701);
      END_STATE();
    case 624:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(702);
      END_STATE();
    case 625:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(703);
      END_STATE();
    case 626:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(704);
      END_STATE();
    case 627:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(705);
      END_STATE();
    case 628:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(706);
      END_STATE();
    case 629:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(707);
      END_STATE();
    case 630:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(708);
      END_STATE();
    case 631:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(709);
      END_STATE();
    case 632:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(710);
      END_STATE();
    case 633:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(711);
      END_STATE();
    case 634:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(712);
      END_STATE();
    case 635:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(713);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(aux_sym_create_remote_function_statement_token1);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(aux_sym_alter_table_rename_statement_token1);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(aux_sym__keyword_repeat_token1);
      END_STATE();
    case 639:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(714);
      END_STATE();
    case 640:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(715);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(aux_sym_return_satement_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(716);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(aux_sym_revoke_statement_token1);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(aux_sym_rollup_token1);
      END_STATE();
    case 644:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(717);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(aux_sym_merge_not_matched_by_target_clause_token1);
      END_STATE();
    case 646:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(718);
      END_STATE();
    case 647:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(719);
      END_STATE();
    case 648:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(720);
      END_STATE();
    case 649:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(721);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(aux_sym_values_clause_token1);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(aux_sym__keyword_window_token1);
      END_STATE();
    case 652:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(722);
      END_STATE();
    case 653:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(723);
      END_STATE();
    case 654:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(724);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(aux_sym_numeric_token3);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(aux_sym_declare_statement_token1);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(aux_sym_default_clause_token1);
      END_STATE();
    case 658:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(725);
      END_STATE();
    case 659:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(726);
      END_STATE();
    case 660:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(727);
      END_STATE();
    case 661:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(728);
      END_STATE();
    case 662:
      ACCEPT_TOKEN(anon_sym_OPTIONS);
      END_STATE();
    case 663:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(729);
      END_STATE();
    case 664:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(730);
      END_STATE();
    case 665:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(731);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(732);
      END_STATE();
    case 666:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(733);
      END_STATE();
    case 667:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(734);
      END_STATE();
    case 668:
      ACCEPT_TOKEN(aux_sym_unpivot_operator_token1);
      END_STATE();
    case 669:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(735);
      END_STATE();
    case 670:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(736);
      END_STATE();
    case 671:
      if (lookahead == 'r') ADVANCE(737);
      END_STATE();
    case 672:
      if (lookahead == 'A') ADVANCE(738);
      END_STATE();
    case 673:
      if (lookahead == 'G') ADVANCE(739);
      END_STATE();
    case 674:
      ACCEPT_TOKEN(aux_sym__keyword_between_token1);
      END_STATE();
    case 675:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(740);
      END_STATE();
    case 676:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(741);
      END_STATE();
    case 677:
      ACCEPT_TOKEN(aux_sym_drop_schema_option_token1);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(aux_sym_table_cluster_clause_token1);
      END_STATE();
    case 679:
      ACCEPT_TOKEN(aux_sym_default_collate_clause_token1);
      END_STATE();
    case 680:
      ACCEPT_TOKEN(aux_sym_partition_columns_clause_token2);
      END_STATE();
    case 681:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(742);
      END_STATE();
    case 682:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(743);
      END_STATE();
    case 683:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(744);
      END_STATE();
    case 684:
      ACCEPT_TOKEN(aux_sym_keyword_current_row_token1);
      END_STATE();
    case 685:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(745);
      END_STATE();
    case 686:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(746);
      END_STATE();
    case 687:
      ACCEPT_TOKEN(aux_sym_unpivot_operator_token3);
      END_STATE();
    case 688:
      ACCEPT_TOKEN(aux_sym_execute_immadiate_statement_token1);
      END_STATE();
    case 689:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(747);
      END_STATE();
    case 690:
      ACCEPT_TOKEN(aux_sym_function_call_token2);
      END_STATE();
    case 691:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(748);
      END_STATE();
    case 692:
      ACCEPT_TOKEN(aux_sym_foreign_key_token1);
      END_STATE();
    case 693:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(749);
      END_STATE();
    case 694:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(750);
      END_STATE();
    case 695:
      ACCEPT_TOKEN(aux_sym_unpivot_operator_token2);
      END_STATE();
    case 696:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(751);
      END_STATE();
    case 697:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(752);
      END_STATE();
    case 698:
      ACCEPT_TOKEN(aux_sym_iterate_statement_token1);
      END_STATE();
    case 699:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(753);
      END_STATE();
    case 700:
      ACCEPT_TOKEN(aux_sym_merge_matched_clause_token1);
      END_STATE();
    case 701:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(754);
      END_STATE();
    case 702:
      ACCEPT_TOKEN(aux_sym_raise_statement_token2);
      END_STATE();
    case 703:
      ACCEPT_TOKEN(aux_sym_numeric_token1);
      END_STATE();
    case 704:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(755);
      END_STATE();
    case 705:
      ACCEPT_TOKEN(aux_sym_tablesample_operator_token3);
      END_STATE();
    case 706:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(756);
      END_STATE();
    case 707:
      ACCEPT_TOKEN(aux_sym_primary_key_token1);
      END_STATE();
    case 708:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(757);
      END_STATE();
    case 709:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(758);
      END_STATE();
    case 710:
      ACCEPT_TOKEN(aux_sym_qualify_clause_token1);
      END_STATE();
    case 711:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(759);
      END_STATE();
    case 712:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(760);
      END_STATE();
    case 713:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(761);
      END_STATE();
    case 714:
      ACCEPT_TOKEN(aux_sym_keyword_replace_token2);
      END_STATE();
    case 715:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(762);
      END_STATE();
    case 716:
      ACCEPT_TOKEN(aux_sym__keyword_returns_token1);
      END_STATE();
    case 717:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(763);
      END_STATE();
    case 718:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(764);
      END_STATE();
    case 719:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(765);
      END_STATE();
    case 720:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(766);
      END_STATE();
    case 721:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(767);
      END_STATE();
    case 722:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(768);
      END_STATE();
    case 723:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(769);
      END_STATE();
    case 724:
      ACCEPT_TOKEN(aux_sym__keyword_datetime_token1);
      if (lookahead == '_') ADVANCE(770);
      END_STATE();
    case 725:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(771);
      END_STATE();
    case 726:
      ACCEPT_TOKEN(aux_sym__keyword_distinct_token1);
      END_STATE();
    case 727:
      if (lookahead == '_') ADVANCE(772);
      END_STATE();
    case 728:
      ACCEPT_TOKEN(aux_sym_grouping_sets_token1);
      END_STATE();
    case 729:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(773);
      END_STATE();
    case 730:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(774);
      END_STATE();
    case 731:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(775);
      END_STATE();
    case 732:
      ACCEPT_TOKEN(aux_sym_create_snapshot_table_statement_token1);
      END_STATE();
    case 733:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(776);
      END_STATE();
    case 734:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(777);
      END_STATE();
    case 735:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(778);
      END_STATE();
    case 736:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(779);
      END_STATE();
    case 737:
      if (lookahead == '_') ADVANCE(780);
      END_STATE();
    case 738:
      if (lookahead == 'c') ADVANCE(781);
      END_STATE();
    case 739:
      if (lookahead == 'r') ADVANCE(782);
      END_STATE();
    case 740:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(783);
      END_STATE();
    case 741:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(784);
      END_STATE();
    case 742:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(785);
      END_STATE();
    case 743:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(786);
      END_STATE();
    case 744:
      ACCEPT_TOKEN(aux_sym_continue_statement_token1);
      END_STATE();
    case 745:
      ACCEPT_TOKEN(aux_sym_constraint_enfoce_option_token1);
      END_STATE();
    case 746:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(787);
      END_STATE();
    case 747:
      ACCEPT_TOKEN(aux_sym_create_external_table_statement_token1);
      END_STATE();
    case 748:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(788);
      END_STATE();
    case 749:
      ACCEPT_TOKEN(aux_sym_create_function_statement_token1);
      END_STATE();
    case 750:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(789);
      END_STATE();
    case 751:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(790);
      END_STATE();
    case 752:
      ACCEPT_TOKEN(aux_sym_interval_token1);
      END_STATE();
    case 753:
      ACCEPT_TOKEN(aux_sym__function_language_token1);
      END_STATE();
    case 754:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(791);
      END_STATE();
    case 755:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(792);
      END_STATE();
    case 756:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(793);
      END_STATE();
    case 757:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(794);
      END_STATE();
    case 758:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(795);
      END_STATE();
    case 759:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(796);
      END_STATE();
    case 760:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(797);
      END_STATE();
    case 761:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(798);
      END_STATE();
    case 762:
      ACCEPT_TOKEN(aux_sym_drop_schema_option_token2);
      END_STATE();
    case 763:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(799);
      END_STATE();
    case 764:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(800);
      END_STATE();
    case 765:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(801);
      END_STATE();
    case 766:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(802);
      END_STATE();
    case 767:
      ACCEPT_TOKEN(aux_sym_truncate_statement_token1);
      END_STATE();
    case 768:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(803);
      END_STATE();
    case 769:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(804);
      END_STATE();
    case 770:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(805);
      END_STATE();
    case 771:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(806);
      END_STATE();
    case 772:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(807);
      END_STATE();
    case 773:
      ACCEPT_TOKEN(aux_sym_load_data_statement_token2);
      END_STATE();
    case 774:
      ACCEPT_TOKEN(aux_sym__keyword_cast_token2);
      END_STATE();
    case 775:
      ACCEPT_TOKEN(aux_sym_drop_table_statement_token1);
      END_STATE();
    case 776:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(808);
      END_STATE();
    case 777:
      ACCEPT_TOKEN(aux_sym_keyword_unbounded_preceding_token1);
      END_STATE();
    case 778:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(809);
      END_STATE();
    case 779:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(810);
      END_STATE();
    case 780:
      if (lookahead == 'c') ADVANCE(811);
      END_STATE();
    case 781:
      if (lookahead == 'c') ADVANCE(812);
      END_STATE();
    case 782:
      if (lookahead == 'o') ADVANCE(813);
      END_STATE();
    case 783:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(814);
      END_STATE();
    case 784:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(815);
      END_STATE();
    case 785:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(816);
      END_STATE();
    case 786:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(817);
      END_STATE();
    case 787:
      ACCEPT_TOKEN(aux_sym_begin_exception_end_statement_token1);
      END_STATE();
    case 788:
      ACCEPT_TOKEN(aux_sym_window_numeric_following_token1);
      END_STATE();
    case 789:
      ACCEPT_TOKEN(aux_sym_execute_immadiate_statement_token2);
      END_STATE();
    case 790:
      ACCEPT_TOKEN(aux_sym_set_operation_token3);
      END_STATE();
    case 791:
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(818);
      END_STATE();
    case 792:
      ACCEPT_TOKEN(aux_sym__keyword_partition_by_token1);
      END_STATE();
    case 793:
      ACCEPT_TOKEN(aux_sym_window_numeric_preceding_token1);
      END_STATE();
    case 794:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(819);
      END_STATE();
    case 795:
      ACCEPT_TOKEN(aux_sym_create_procedure_statement_token1);
      END_STATE();
    case 796:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(820);
      END_STATE();
    case 797:
      ACCEPT_TOKEN(aux_sym_cte_clause_token1);
      END_STATE();
    case 798:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(821);
      END_STATE();
    case 799:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(822);
      END_STATE();
    case 800:
      ACCEPT_TOKEN(aux_sym_keyword_temporary_token2);
      END_STATE();
    case 801:
      ACCEPT_TOKEN(aux_sym__keyword_timestamp_token1);
      if (lookahead == '_') ADVANCE(823);
      END_STATE();
    case 802:
      ACCEPT_TOKEN(aux_sym_transoform_clause_token1);
      END_STATE();
    case 803:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(824);
      END_STATE();
    case 804:
      ACCEPT_TOKEN(aux_sym_partition_expression_token4);
      END_STATE();
    case 805:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(825);
      END_STATE();
    case 806:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(826);
      END_STATE();
    case 807:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(827);
      END_STATE();
    case 808:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(828);
      END_STATE();
    case 809:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(829);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(830);
      END_STATE();
    case 810:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(831);
      END_STATE();
    case 811:
      if (lookahead == 'o') ADVANCE(832);
      END_STATE();
    case 812:
      if (lookahead == 'o') ADVANCE(833);
      END_STATE();
    case 813:
      if (lookahead == 'u') ADVANCE(834);
      END_STATE();
    case 814:
      ACCEPT_TOKEN(aux_sym_numeric_token4);
      END_STATE();
    case 815:
      ACCEPT_TOKEN(aux_sym_numeric_token2);
      END_STATE();
    case 816:
      ACCEPT_TOKEN(aux_sym_create_remote_function_statement_token2);
      END_STATE();
    case 817:
      ACCEPT_TOKEN(aux_sym_add_foreign_key_action_token1);
      END_STATE();
    case 818:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(835);
      END_STATE();
    case 819:
      ACCEPT_TOKEN(aux_sym_grant_statement_token2);
      END_STATE();
    case 820:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(836);
      END_STATE();
    case 821:
      ACCEPT_TOKEN(aux_sym_foreign_key_references_token1);
      END_STATE();
    case 822:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(837);
      END_STATE();
    case 823:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(838);
      END_STATE();
    case 824:
      if (lookahead == '_') ADVANCE(839);
      END_STATE();
    case 825:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(840);
      END_STATE();
    case 826:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(841);
      END_STATE();
    case 827:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(842);
      END_STATE();
    case 828:
      ACCEPT_TOKEN(aux_sym__keyword_system_as_of_token1);
      END_STATE();
    case 829:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(843);
      END_STATE();
    case 830:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(844);
      END_STATE();
    case 831:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(845);
      END_STATE();
    case 832:
      if (lookahead == 'm') ADVANCE(846);
      END_STATE();
    case 833:
      if (lookahead == 'u') ADVANCE(847);
      END_STATE();
    case 834:
      if (lookahead == 'p') ADVANCE(848);
      END_STATE();
    case 835:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(849);
      END_STATE();
    case 836:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(850);
      END_STATE();
    case 837:
      ACCEPT_TOKEN(aux_sym_tablesample_operator_token1);
      END_STATE();
    case 838:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(851);
      END_STATE();
    case 839:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(852);
      END_STATE();
    case 840:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(853);
      END_STATE();
    case 841:
      if (lookahead == '_') ADVANCE(854);
      END_STATE();
    case 842:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(855);
      END_STATE();
    case 843:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(856);
      END_STATE();
    case 844:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(857);
      END_STATE();
    case 845:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(858);
      END_STATE();
    case 846:
      if (lookahead == 'p') ADVANCE(859);
      END_STATE();
    case 847:
      if (lookahead == 'n') ADVANCE(860);
      END_STATE();
    case 848:
      ACCEPT_TOKEN(anon_sym_specialGroup);
      END_STATE();
    case 849:
      ACCEPT_TOKEN(aux_sym_create_table_statement_token3);
      END_STATE();
    case 850:
      ACCEPT_TOKEN(aux_sym_partition_expression_token9);
      END_STATE();
    case 851:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(861);
      END_STATE();
    case 852:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(862);
      END_STATE();
    case 853:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(863);
      END_STATE();
    case 854:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(864);
      END_STATE();
    case 855:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(865);
      END_STATE();
    case 856:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(866);
      END_STATE();
    case 857:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(867);
      END_STATE();
    case 858:
      ACCEPT_TOKEN(aux_sym__keyword_tablesuffix_token1);
      END_STATE();
    case 859:
      if (lookahead == 'a') ADVANCE(868);
      END_STATE();
    case 860:
      if (lookahead == 't') ADVANCE(869);
      END_STATE();
    case 861:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(870);
      END_STATE();
    case 862:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(871);
      END_STATE();
    case 863:
      ACCEPT_TOKEN(aux_sym_partition_expression_token2);
      END_STATE();
    case 864:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(872);
      END_STATE();
    case 865:
      ACCEPT_TOKEN(aux_sym_partition_expression_token10);
      END_STATE();
    case 866:
      ACCEPT_TOKEN(aux_sym_partition_expression_token1);
      END_STATE();
    case 867:
      ACCEPT_TOKEN(aux_sym__keyword_partitiontime_token1);
      END_STATE();
    case 868:
      if (lookahead == 'r') ADVANCE(873);
      END_STATE();
    case 869:
      ACCEPT_TOKEN(anon_sym_serviceAccount);
      END_STATE();
    case 870:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(874);
      END_STATE();
    case 871:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(875);
      END_STATE();
    case 872:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(876);
      END_STATE();
    case 873:
      if (lookahead == 'e') ADVANCE(877);
      END_STATE();
    case 874:
      ACCEPT_TOKEN(aux_sym_partition_expression_token3);
      END_STATE();
    case 875:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(878);
      END_STATE();
    case 876:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(879);
      END_STATE();
    case 877:
      ACCEPT_TOKEN(anon_sym_operator_compare);
      END_STATE();
    case 878:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(880);
      END_STATE();
    case 879:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(881);
      END_STATE();
    case 880:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(882);
      END_STATE();
    case 881:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(883);
      END_STATE();
    case 882:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(884);
      END_STATE();
    case 883:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(885);
      END_STATE();
    case 884:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(886);
      END_STATE();
    case 885:
      ACCEPT_TOKEN(aux_sym_differential_privacy_clause_token1);
      END_STATE();
    case 886:
      ACCEPT_TOKEN(aux_sym_aggregation_threshold_clause_token1);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 98},
  [2] = {.lex_state = 99, .external_lex_state = 2},
  [3] = {.lex_state = 99, .external_lex_state = 2},
  [4] = {.lex_state = 99, .external_lex_state = 2},
  [5] = {.lex_state = 99, .external_lex_state = 2},
  [6] = {.lex_state = 99, .external_lex_state = 2},
  [7] = {.lex_state = 99, .external_lex_state = 2},
  [8] = {.lex_state = 99, .external_lex_state = 2},
  [9] = {.lex_state = 99, .external_lex_state = 2},
  [10] = {.lex_state = 91},
  [11] = {.lex_state = 98, .external_lex_state = 2},
  [12] = {.lex_state = 98, .external_lex_state = 2},
  [13] = {.lex_state = 98, .external_lex_state = 2},
  [14] = {.lex_state = 98, .external_lex_state = 2},
  [15] = {.lex_state = 98, .external_lex_state = 2},
  [16] = {.lex_state = 98, .external_lex_state = 2},
  [17] = {.lex_state = 98, .external_lex_state = 2},
  [18] = {.lex_state = 98, .external_lex_state = 2},
  [19] = {.lex_state = 98, .external_lex_state = 2},
  [20] = {.lex_state = 91},
  [21] = {.lex_state = 98, .external_lex_state = 2},
  [22] = {.lex_state = 98, .external_lex_state = 2},
  [23] = {.lex_state = 98, .external_lex_state = 2},
  [24] = {.lex_state = 98, .external_lex_state = 2},
  [25] = {.lex_state = 98, .external_lex_state = 2},
  [26] = {.lex_state = 98, .external_lex_state = 2},
  [27] = {.lex_state = 98, .external_lex_state = 2},
  [28] = {.lex_state = 98, .external_lex_state = 2},
  [29] = {.lex_state = 98, .external_lex_state = 2},
  [30] = {.lex_state = 98, .external_lex_state = 2},
  [31] = {.lex_state = 98, .external_lex_state = 2},
  [32] = {.lex_state = 98, .external_lex_state = 2},
  [33] = {.lex_state = 98, .external_lex_state = 2},
  [34] = {.lex_state = 98, .external_lex_state = 2},
  [35] = {.lex_state = 98, .external_lex_state = 2},
  [36] = {.lex_state = 98, .external_lex_state = 2},
  [37] = {.lex_state = 98, .external_lex_state = 2},
  [38] = {.lex_state = 98, .external_lex_state = 2},
  [39] = {.lex_state = 99, .external_lex_state = 2},
  [40] = {.lex_state = 98, .external_lex_state = 2},
  [41] = {.lex_state = 98, .external_lex_state = 2},
  [42] = {.lex_state = 98, .external_lex_state = 2},
  [43] = {.lex_state = 98, .external_lex_state = 2},
  [44] = {.lex_state = 98, .external_lex_state = 2},
  [45] = {.lex_state = 98, .external_lex_state = 2},
  [46] = {.lex_state = 98, .external_lex_state = 2},
  [47] = {.lex_state = 98, .external_lex_state = 2},
  [48] = {.lex_state = 98, .external_lex_state = 2},
  [49] = {.lex_state = 98, .external_lex_state = 2},
  [50] = {.lex_state = 98, .external_lex_state = 2},
  [51] = {.lex_state = 98, .external_lex_state = 2},
  [52] = {.lex_state = 91},
  [53] = {.lex_state = 98, .external_lex_state = 2},
  [54] = {.lex_state = 99, .external_lex_state = 2},
  [55] = {.lex_state = 98, .external_lex_state = 2},
  [56] = {.lex_state = 98, .external_lex_state = 2},
  [57] = {.lex_state = 98, .external_lex_state = 2},
  [58] = {.lex_state = 98, .external_lex_state = 2},
  [59] = {.lex_state = 98, .external_lex_state = 2},
  [60] = {.lex_state = 99, .external_lex_state = 2},
  [61] = {.lex_state = 98, .external_lex_state = 2},
  [62] = {.lex_state = 98, .external_lex_state = 2},
  [63] = {.lex_state = 98, .external_lex_state = 2},
  [64] = {.lex_state = 98, .external_lex_state = 2},
  [65] = {.lex_state = 98, .external_lex_state = 2},
  [66] = {.lex_state = 98, .external_lex_state = 2},
  [67] = {.lex_state = 98, .external_lex_state = 2},
  [68] = {.lex_state = 98, .external_lex_state = 2},
  [69] = {.lex_state = 98, .external_lex_state = 2},
  [70] = {.lex_state = 98, .external_lex_state = 2},
  [71] = {.lex_state = 98, .external_lex_state = 2},
  [72] = {.lex_state = 99, .external_lex_state = 2},
  [73] = {.lex_state = 98, .external_lex_state = 2},
  [74] = {.lex_state = 98, .external_lex_state = 2},
  [75] = {.lex_state = 91},
  [76] = {.lex_state = 15, .external_lex_state = 2},
  [77] = {.lex_state = 15, .external_lex_state = 2},
  [78] = {.lex_state = 15, .external_lex_state = 2},
  [79] = {.lex_state = 98},
  [80] = {.lex_state = 92},
  [81] = {.lex_state = 92},
  [82] = {.lex_state = 100, .external_lex_state = 2},
  [83] = {.lex_state = 92},
  [84] = {.lex_state = 92},
  [85] = {.lex_state = 98, .external_lex_state = 2},
  [86] = {.lex_state = 98},
  [87] = {.lex_state = 98, .external_lex_state = 2},
  [88] = {.lex_state = 92},
  [89] = {.lex_state = 92},
  [90] = {.lex_state = 100, .external_lex_state = 2},
  [91] = {.lex_state = 98},
  [92] = {.lex_state = 92},
  [93] = {.lex_state = 92},
  [94] = {.lex_state = 92},
  [95] = {.lex_state = 92},
  [96] = {.lex_state = 92},
  [97] = {.lex_state = 92},
  [98] = {.lex_state = 92},
  [99] = {.lex_state = 92},
  [100] = {.lex_state = 98, .external_lex_state = 2},
  [101] = {.lex_state = 98, .external_lex_state = 2},
  [102] = {.lex_state = 92},
  [103] = {.lex_state = 92},
  [104] = {.lex_state = 92},
  [105] = {.lex_state = 98, .external_lex_state = 2},
  [106] = {.lex_state = 100, .external_lex_state = 2},
  [107] = {.lex_state = 98, .external_lex_state = 2},
  [108] = {.lex_state = 91},
  [109] = {.lex_state = 98},
  [110] = {.lex_state = 98},
  [111] = {.lex_state = 98, .external_lex_state = 2},
  [112] = {.lex_state = 98, .external_lex_state = 2},
  [113] = {.lex_state = 98, .external_lex_state = 2},
  [114] = {.lex_state = 98, .external_lex_state = 2},
  [115] = {.lex_state = 91},
  [116] = {.lex_state = 98, .external_lex_state = 2},
  [117] = {.lex_state = 98, .external_lex_state = 2},
  [118] = {.lex_state = 98, .external_lex_state = 2},
  [119] = {.lex_state = 98, .external_lex_state = 2},
  [120] = {.lex_state = 98, .external_lex_state = 2},
  [121] = {.lex_state = 98, .external_lex_state = 2},
  [122] = {.lex_state = 98},
  [123] = {.lex_state = 91},
  [124] = {.lex_state = 98},
  [125] = {.lex_state = 91},
  [126] = {.lex_state = 98},
  [127] = {.lex_state = 91},
  [128] = {.lex_state = 91},
  [129] = {.lex_state = 91},
  [130] = {.lex_state = 91},
  [131] = {.lex_state = 98},
  [132] = {.lex_state = 98},
  [133] = {.lex_state = 91},
  [134] = {.lex_state = 91},
  [135] = {.lex_state = 91},
  [136] = {.lex_state = 91},
  [137] = {.lex_state = 98},
  [138] = {.lex_state = 98},
  [139] = {.lex_state = 98, .external_lex_state = 2},
  [140] = {.lex_state = 98, .external_lex_state = 2},
  [141] = {.lex_state = 98, .external_lex_state = 2},
  [142] = {.lex_state = 98},
  [143] = {.lex_state = 98, .external_lex_state = 2},
  [144] = {.lex_state = 91},
  [145] = {.lex_state = 91},
  [146] = {.lex_state = 91},
  [147] = {.lex_state = 98},
  [148] = {.lex_state = 98, .external_lex_state = 2},
  [149] = {.lex_state = 98, .external_lex_state = 2},
  [150] = {.lex_state = 98, .external_lex_state = 2},
  [151] = {.lex_state = 98, .external_lex_state = 2},
  [152] = {.lex_state = 98, .external_lex_state = 2},
  [153] = {.lex_state = 98, .external_lex_state = 2},
  [154] = {.lex_state = 98},
  [155] = {.lex_state = 98, .external_lex_state = 2},
  [156] = {.lex_state = 91},
  [157] = {.lex_state = 98},
  [158] = {.lex_state = 98},
  [159] = {.lex_state = 98, .external_lex_state = 2},
  [160] = {.lex_state = 98},
  [161] = {.lex_state = 98, .external_lex_state = 2},
  [162] = {.lex_state = 98},
  [163] = {.lex_state = 98, .external_lex_state = 2},
  [164] = {.lex_state = 98},
  [165] = {.lex_state = 91},
  [166] = {.lex_state = 91},
  [167] = {.lex_state = 98, .external_lex_state = 2},
  [168] = {.lex_state = 98},
  [169] = {.lex_state = 98},
  [170] = {.lex_state = 98, .external_lex_state = 2},
  [171] = {.lex_state = 98, .external_lex_state = 2},
  [172] = {.lex_state = 98, .external_lex_state = 2},
  [173] = {.lex_state = 98, .external_lex_state = 2},
  [174] = {.lex_state = 88},
  [175] = {.lex_state = 88},
  [176] = {.lex_state = 98, .external_lex_state = 2},
  [177] = {.lex_state = 98},
  [178] = {.lex_state = 91},
  [179] = {.lex_state = 98, .external_lex_state = 2},
  [180] = {.lex_state = 92},
  [181] = {.lex_state = 92},
  [182] = {.lex_state = 92},
  [183] = {.lex_state = 92},
  [184] = {.lex_state = 88},
  [185] = {.lex_state = 92},
  [186] = {.lex_state = 98, .external_lex_state = 2},
  [187] = {.lex_state = 98, .external_lex_state = 2},
  [188] = {.lex_state = 92},
  [189] = {.lex_state = 98},
  [190] = {.lex_state = 92},
  [191] = {.lex_state = 98},
  [192] = {.lex_state = 92},
  [193] = {.lex_state = 92},
  [194] = {.lex_state = 92},
  [195] = {.lex_state = 92},
  [196] = {.lex_state = 92},
  [197] = {.lex_state = 92},
  [198] = {.lex_state = 91},
  [199] = {.lex_state = 88},
  [200] = {.lex_state = 98},
  [201] = {.lex_state = 98, .external_lex_state = 2},
  [202] = {.lex_state = 98},
  [203] = {.lex_state = 92},
  [204] = {.lex_state = 92},
  [205] = {.lex_state = 92},
  [206] = {.lex_state = 92},
  [207] = {.lex_state = 98},
  [208] = {.lex_state = 98, .external_lex_state = 2},
  [209] = {.lex_state = 98, .external_lex_state = 2},
  [210] = {.lex_state = 98, .external_lex_state = 2},
  [211] = {.lex_state = 98, .external_lex_state = 2},
  [212] = {.lex_state = 98, .external_lex_state = 2},
  [213] = {.lex_state = 98, .external_lex_state = 2},
  [214] = {.lex_state = 98, .external_lex_state = 2},
  [215] = {.lex_state = 98, .external_lex_state = 2},
  [216] = {.lex_state = 98, .external_lex_state = 2},
  [217] = {.lex_state = 98, .external_lex_state = 2},
  [218] = {.lex_state = 98, .external_lex_state = 2},
  [219] = {.lex_state = 98, .external_lex_state = 2},
  [220] = {.lex_state = 98, .external_lex_state = 2},
  [221] = {.lex_state = 98, .external_lex_state = 2},
  [222] = {.lex_state = 98, .external_lex_state = 2},
  [223] = {.lex_state = 98, .external_lex_state = 2},
  [224] = {.lex_state = 98, .external_lex_state = 2},
  [225] = {.lex_state = 92},
  [226] = {.lex_state = 92},
  [227] = {.lex_state = 92},
  [228] = {.lex_state = 98, .external_lex_state = 2},
  [229] = {.lex_state = 92},
  [230] = {.lex_state = 92},
  [231] = {.lex_state = 92},
  [232] = {.lex_state = 92},
  [233] = {.lex_state = 92},
  [234] = {.lex_state = 92},
  [235] = {.lex_state = 92},
  [236] = {.lex_state = 92},
  [237] = {.lex_state = 92},
  [238] = {.lex_state = 92},
  [239] = {.lex_state = 92},
  [240] = {.lex_state = 92},
  [241] = {.lex_state = 92},
  [242] = {.lex_state = 92},
  [243] = {.lex_state = 92},
  [244] = {.lex_state = 92},
  [245] = {.lex_state = 92},
  [246] = {.lex_state = 92},
  [247] = {.lex_state = 92},
  [248] = {.lex_state = 92},
  [249] = {.lex_state = 98, .external_lex_state = 2},
  [250] = {.lex_state = 92},
  [251] = {.lex_state = 92},
  [252] = {.lex_state = 92},
  [253] = {.lex_state = 92},
  [254] = {.lex_state = 92},
  [255] = {.lex_state = 92},
  [256] = {.lex_state = 98, .external_lex_state = 2},
  [257] = {.lex_state = 92},
  [258] = {.lex_state = 92},
  [259] = {.lex_state = 92},
  [260] = {.lex_state = 98, .external_lex_state = 2},
  [261] = {.lex_state = 92},
  [262] = {.lex_state = 92},
  [263] = {.lex_state = 92},
  [264] = {.lex_state = 92},
  [265] = {.lex_state = 92},
  [266] = {.lex_state = 92},
  [267] = {.lex_state = 92},
  [268] = {.lex_state = 98, .external_lex_state = 2},
  [269] = {.lex_state = 92},
  [270] = {.lex_state = 98, .external_lex_state = 2},
  [271] = {.lex_state = 92},
  [272] = {.lex_state = 92},
  [273] = {.lex_state = 92},
  [274] = {.lex_state = 92},
  [275] = {.lex_state = 98, .external_lex_state = 2},
  [276] = {.lex_state = 92},
  [277] = {.lex_state = 92},
  [278] = {.lex_state = 92},
  [279] = {.lex_state = 92},
  [280] = {.lex_state = 92},
  [281] = {.lex_state = 98, .external_lex_state = 2},
  [282] = {.lex_state = 92},
  [283] = {.lex_state = 92},
  [284] = {.lex_state = 92},
  [285] = {.lex_state = 92},
  [286] = {.lex_state = 92},
  [287] = {.lex_state = 98, .external_lex_state = 2},
  [288] = {.lex_state = 92},
  [289] = {.lex_state = 92},
  [290] = {.lex_state = 98, .external_lex_state = 2},
  [291] = {.lex_state = 92},
  [292] = {.lex_state = 92},
  [293] = {.lex_state = 91},
  [294] = {.lex_state = 92},
  [295] = {.lex_state = 92},
  [296] = {.lex_state = 92},
  [297] = {.lex_state = 92},
  [298] = {.lex_state = 92},
  [299] = {.lex_state = 98, .external_lex_state = 2},
  [300] = {.lex_state = 92},
  [301] = {.lex_state = 92},
  [302] = {.lex_state = 92},
  [303] = {.lex_state = 92},
  [304] = {.lex_state = 92},
  [305] = {.lex_state = 92},
  [306] = {.lex_state = 92},
  [307] = {.lex_state = 92},
  [308] = {.lex_state = 92},
  [309] = {.lex_state = 92},
  [310] = {.lex_state = 92},
  [311] = {.lex_state = 92},
  [312] = {.lex_state = 92},
  [313] = {.lex_state = 92},
  [314] = {.lex_state = 92},
  [315] = {.lex_state = 92},
  [316] = {.lex_state = 92},
  [317] = {.lex_state = 92},
  [318] = {.lex_state = 92},
  [319] = {.lex_state = 92},
  [320] = {.lex_state = 92},
  [321] = {.lex_state = 92},
  [322] = {.lex_state = 91},
  [323] = {.lex_state = 92},
  [324] = {.lex_state = 92},
  [325] = {.lex_state = 92},
  [326] = {.lex_state = 98, .external_lex_state = 2},
  [327] = {.lex_state = 92},
  [328] = {.lex_state = 92},
  [329] = {.lex_state = 92},
  [330] = {.lex_state = 92},
  [331] = {.lex_state = 92},
  [332] = {.lex_state = 92},
  [333] = {.lex_state = 92},
  [334] = {.lex_state = 92},
  [335] = {.lex_state = 92},
  [336] = {.lex_state = 92},
  [337] = {.lex_state = 98, .external_lex_state = 2},
  [338] = {.lex_state = 92},
  [339] = {.lex_state = 92},
  [340] = {.lex_state = 92},
  [341] = {.lex_state = 92},
  [342] = {.lex_state = 92},
  [343] = {.lex_state = 92},
  [344] = {.lex_state = 92},
  [345] = {.lex_state = 98, .external_lex_state = 2},
  [346] = {.lex_state = 92},
  [347] = {.lex_state = 92},
  [348] = {.lex_state = 92},
  [349] = {.lex_state = 98, .external_lex_state = 2},
  [350] = {.lex_state = 92},
  [351] = {.lex_state = 92},
  [352] = {.lex_state = 92},
  [353] = {.lex_state = 98, .external_lex_state = 2},
  [354] = {.lex_state = 92},
  [355] = {.lex_state = 92},
  [356] = {.lex_state = 92},
  [357] = {.lex_state = 92},
  [358] = {.lex_state = 98, .external_lex_state = 2},
  [359] = {.lex_state = 92},
  [360] = {.lex_state = 92},
  [361] = {.lex_state = 98, .external_lex_state = 2},
  [362] = {.lex_state = 92},
  [363] = {.lex_state = 92},
  [364] = {.lex_state = 92},
  [365] = {.lex_state = 92},
  [366] = {.lex_state = 92},
  [367] = {.lex_state = 92},
  [368] = {.lex_state = 92},
  [369] = {.lex_state = 92},
  [370] = {.lex_state = 98, .external_lex_state = 2},
  [371] = {.lex_state = 92, .external_lex_state = 2},
  [372] = {.lex_state = 98, .external_lex_state = 2},
  [373] = {.lex_state = 92},
  [374] = {.lex_state = 98, .external_lex_state = 2},
  [375] = {.lex_state = 92},
  [376] = {.lex_state = 98, .external_lex_state = 2},
  [377] = {.lex_state = 92},
  [378] = {.lex_state = 92},
  [379] = {.lex_state = 92},
  [380] = {.lex_state = 92},
  [381] = {.lex_state = 92},
  [382] = {.lex_state = 91},
  [383] = {.lex_state = 85},
  [384] = {.lex_state = 91},
  [385] = {.lex_state = 88},
  [386] = {.lex_state = 92, .external_lex_state = 2},
  [387] = {.lex_state = 98, .external_lex_state = 2},
  [388] = {.lex_state = 91},
  [389] = {.lex_state = 98, .external_lex_state = 2},
  [390] = {.lex_state = 91},
  [391] = {.lex_state = 88},
  [392] = {.lex_state = 92},
  [393] = {.lex_state = 85},
  [394] = {.lex_state = 91},
  [395] = {.lex_state = 98, .external_lex_state = 2},
  [396] = {.lex_state = 91},
  [397] = {.lex_state = 98, .external_lex_state = 2},
  [398] = {.lex_state = 91},
  [399] = {.lex_state = 98, .external_lex_state = 2},
  [400] = {.lex_state = 92},
  [401] = {.lex_state = 98, .external_lex_state = 2},
  [402] = {.lex_state = 98, .external_lex_state = 2},
  [403] = {.lex_state = 92},
  [404] = {.lex_state = 91},
  [405] = {.lex_state = 98, .external_lex_state = 2},
  [406] = {.lex_state = 98, .external_lex_state = 2},
  [407] = {.lex_state = 98, .external_lex_state = 2},
  [408] = {.lex_state = 98, .external_lex_state = 2},
  [409] = {.lex_state = 91},
  [410] = {.lex_state = 91},
  [411] = {.lex_state = 91},
  [412] = {.lex_state = 98, .external_lex_state = 2},
  [413] = {.lex_state = 98, .external_lex_state = 2},
  [414] = {.lex_state = 98, .external_lex_state = 2},
  [415] = {.lex_state = 98, .external_lex_state = 2},
  [416] = {.lex_state = 91},
  [417] = {.lex_state = 98, .external_lex_state = 2},
  [418] = {.lex_state = 98, .external_lex_state = 2},
  [419] = {.lex_state = 98, .external_lex_state = 2},
  [420] = {.lex_state = 91},
  [421] = {.lex_state = 91},
  [422] = {.lex_state = 98, .external_lex_state = 2},
  [423] = {.lex_state = 91},
  [424] = {.lex_state = 91},
  [425] = {.lex_state = 98, .external_lex_state = 2},
  [426] = {.lex_state = 98, .external_lex_state = 2},
  [427] = {.lex_state = 92},
  [428] = {.lex_state = 91},
  [429] = {.lex_state = 92},
  [430] = {.lex_state = 92},
  [431] = {.lex_state = 92},
  [432] = {.lex_state = 92},
  [433] = {.lex_state = 92},
  [434] = {.lex_state = 92},
  [435] = {.lex_state = 92},
  [436] = {.lex_state = 92},
  [437] = {.lex_state = 92},
  [438] = {.lex_state = 88},
  [439] = {.lex_state = 92},
  [440] = {.lex_state = 92},
  [441] = {.lex_state = 92},
  [442] = {.lex_state = 92},
  [443] = {.lex_state = 92},
  [444] = {.lex_state = 92},
  [445] = {.lex_state = 92},
  [446] = {.lex_state = 92},
  [447] = {.lex_state = 92},
  [448] = {.lex_state = 92},
  [449] = {.lex_state = 92},
  [450] = {.lex_state = 92},
  [451] = {.lex_state = 92},
  [452] = {.lex_state = 92},
  [453] = {.lex_state = 92},
  [454] = {.lex_state = 92},
  [455] = {.lex_state = 92},
  [456] = {.lex_state = 92},
  [457] = {.lex_state = 92},
  [458] = {.lex_state = 92},
  [459] = {.lex_state = 92},
  [460] = {.lex_state = 92},
  [461] = {.lex_state = 92},
  [462] = {.lex_state = 92},
  [463] = {.lex_state = 92},
  [464] = {.lex_state = 92},
  [465] = {.lex_state = 92},
  [466] = {.lex_state = 92},
  [467] = {.lex_state = 92},
  [468] = {.lex_state = 92},
  [469] = {.lex_state = 92},
  [470] = {.lex_state = 92},
  [471] = {.lex_state = 92},
  [472] = {.lex_state = 92},
  [473] = {.lex_state = 92},
  [474] = {.lex_state = 92},
  [475] = {.lex_state = 92},
  [476] = {.lex_state = 92},
  [477] = {.lex_state = 92},
  [478] = {.lex_state = 92},
  [479] = {.lex_state = 92},
  [480] = {.lex_state = 92},
  [481] = {.lex_state = 92},
  [482] = {.lex_state = 92},
  [483] = {.lex_state = 92},
  [484] = {.lex_state = 92},
  [485] = {.lex_state = 92},
  [486] = {.lex_state = 92},
  [487] = {.lex_state = 92},
  [488] = {.lex_state = 92},
  [489] = {.lex_state = 92},
  [490] = {.lex_state = 92},
  [491] = {.lex_state = 92},
  [492] = {.lex_state = 92},
  [493] = {.lex_state = 92},
  [494] = {.lex_state = 92},
  [495] = {.lex_state = 92},
  [496] = {.lex_state = 92},
  [497] = {.lex_state = 92},
  [498] = {.lex_state = 92},
  [499] = {.lex_state = 92},
  [500] = {.lex_state = 92},
  [501] = {.lex_state = 92},
  [502] = {.lex_state = 92},
  [503] = {.lex_state = 92},
  [504] = {.lex_state = 92},
  [505] = {.lex_state = 92},
  [506] = {.lex_state = 92},
  [507] = {.lex_state = 92},
  [508] = {.lex_state = 92},
  [509] = {.lex_state = 92},
  [510] = {.lex_state = 92},
  [511] = {.lex_state = 92},
  [512] = {.lex_state = 92},
  [513] = {.lex_state = 92},
  [514] = {.lex_state = 92},
  [515] = {.lex_state = 92},
  [516] = {.lex_state = 92},
  [517] = {.lex_state = 92},
  [518] = {.lex_state = 92},
  [519] = {.lex_state = 92},
  [520] = {.lex_state = 92},
  [521] = {.lex_state = 92},
  [522] = {.lex_state = 92},
  [523] = {.lex_state = 92},
  [524] = {.lex_state = 92},
  [525] = {.lex_state = 92},
  [526] = {.lex_state = 92},
  [527] = {.lex_state = 92},
  [528] = {.lex_state = 92},
  [529] = {.lex_state = 92},
  [530] = {.lex_state = 92},
  [531] = {.lex_state = 92},
  [532] = {.lex_state = 92},
  [533] = {.lex_state = 92},
  [534] = {.lex_state = 92},
  [535] = {.lex_state = 92},
  [536] = {.lex_state = 92},
  [537] = {.lex_state = 92},
  [538] = {.lex_state = 92},
  [539] = {.lex_state = 92},
  [540] = {.lex_state = 92},
  [541] = {.lex_state = 92},
  [542] = {.lex_state = 92},
  [543] = {.lex_state = 92},
  [544] = {.lex_state = 92},
  [545] = {.lex_state = 92},
  [546] = {.lex_state = 92},
  [547] = {.lex_state = 92},
  [548] = {.lex_state = 92},
  [549] = {.lex_state = 92},
  [550] = {.lex_state = 92},
  [551] = {.lex_state = 92},
  [552] = {.lex_state = 92},
  [553] = {.lex_state = 92},
  [554] = {.lex_state = 92},
  [555] = {.lex_state = 92},
  [556] = {.lex_state = 92},
  [557] = {.lex_state = 92},
  [558] = {.lex_state = 92},
  [559] = {.lex_state = 92},
  [560] = {.lex_state = 92},
  [561] = {.lex_state = 92},
  [562] = {.lex_state = 92},
  [563] = {.lex_state = 92},
  [564] = {.lex_state = 92},
  [565] = {.lex_state = 92},
  [566] = {.lex_state = 92},
  [567] = {.lex_state = 92},
  [568] = {.lex_state = 92},
  [569] = {.lex_state = 92},
  [570] = {.lex_state = 92},
  [571] = {.lex_state = 92},
  [572] = {.lex_state = 92},
  [573] = {.lex_state = 92},
  [574] = {.lex_state = 92},
  [575] = {.lex_state = 92},
  [576] = {.lex_state = 92},
  [577] = {.lex_state = 92},
  [578] = {.lex_state = 92},
  [579] = {.lex_state = 92},
  [580] = {.lex_state = 92},
  [581] = {.lex_state = 92},
  [582] = {.lex_state = 92},
  [583] = {.lex_state = 92},
  [584] = {.lex_state = 92},
  [585] = {.lex_state = 92},
  [586] = {.lex_state = 92},
  [587] = {.lex_state = 92},
  [588] = {.lex_state = 92},
  [589] = {.lex_state = 92},
  [590] = {.lex_state = 92},
  [591] = {.lex_state = 92},
  [592] = {.lex_state = 92},
  [593] = {.lex_state = 92},
  [594] = {.lex_state = 92},
  [595] = {.lex_state = 92},
  [596] = {.lex_state = 92},
  [597] = {.lex_state = 92},
  [598] = {.lex_state = 92},
  [599] = {.lex_state = 92},
  [600] = {.lex_state = 92},
  [601] = {.lex_state = 92},
  [602] = {.lex_state = 92},
  [603] = {.lex_state = 92},
  [604] = {.lex_state = 92},
  [605] = {.lex_state = 92},
  [606] = {.lex_state = 92},
  [607] = {.lex_state = 92},
  [608] = {.lex_state = 92},
  [609] = {.lex_state = 88},
  [610] = {.lex_state = 92},
  [611] = {.lex_state = 92},
  [612] = {.lex_state = 92},
  [613] = {.lex_state = 98, .external_lex_state = 2},
  [614] = {.lex_state = 92},
  [615] = {.lex_state = 92},
  [616] = {.lex_state = 92},
  [617] = {.lex_state = 92},
  [618] = {.lex_state = 92},
  [619] = {.lex_state = 92},
  [620] = {.lex_state = 92},
  [621] = {.lex_state = 92},
  [622] = {.lex_state = 92},
  [623] = {.lex_state = 92},
  [624] = {.lex_state = 91},
  [625] = {.lex_state = 91},
  [626] = {.lex_state = 91},
  [627] = {.lex_state = 91},
  [628] = {.lex_state = 98, .external_lex_state = 2},
  [629] = {.lex_state = 98, .external_lex_state = 2},
  [630] = {.lex_state = 98, .external_lex_state = 2},
  [631] = {.lex_state = 98, .external_lex_state = 2},
  [632] = {.lex_state = 98, .external_lex_state = 2},
  [633] = {.lex_state = 91},
  [634] = {.lex_state = 98, .external_lex_state = 2},
  [635] = {.lex_state = 91},
  [636] = {.lex_state = 98, .external_lex_state = 2},
  [637] = {.lex_state = 98, .external_lex_state = 2},
  [638] = {.lex_state = 91},
  [639] = {.lex_state = 91},
  [640] = {.lex_state = 91},
  [641] = {.lex_state = 91},
  [642] = {.lex_state = 98, .external_lex_state = 2},
  [643] = {.lex_state = 98, .external_lex_state = 2},
  [644] = {.lex_state = 91},
  [645] = {.lex_state = 98, .external_lex_state = 2},
  [646] = {.lex_state = 91},
  [647] = {.lex_state = 98, .external_lex_state = 2},
  [648] = {.lex_state = 98, .external_lex_state = 2},
  [649] = {.lex_state = 91},
  [650] = {.lex_state = 91},
  [651] = {.lex_state = 98, .external_lex_state = 2},
  [652] = {.lex_state = 91},
  [653] = {.lex_state = 91},
  [654] = {.lex_state = 91},
  [655] = {.lex_state = 98, .external_lex_state = 2},
  [656] = {.lex_state = 91},
  [657] = {.lex_state = 91},
  [658] = {.lex_state = 98, .external_lex_state = 2},
  [659] = {.lex_state = 91},
  [660] = {.lex_state = 91},
  [661] = {.lex_state = 98, .external_lex_state = 2},
  [662] = {.lex_state = 91},
  [663] = {.lex_state = 98, .external_lex_state = 2},
  [664] = {.lex_state = 91},
  [665] = {.lex_state = 91},
  [666] = {.lex_state = 91},
  [667] = {.lex_state = 98, .external_lex_state = 2},
  [668] = {.lex_state = 98, .external_lex_state = 2},
  [669] = {.lex_state = 98, .external_lex_state = 2},
  [670] = {.lex_state = 91},
  [671] = {.lex_state = 98, .external_lex_state = 2},
  [672] = {.lex_state = 91},
  [673] = {.lex_state = 91},
  [674] = {.lex_state = 98, .external_lex_state = 2},
  [675] = {.lex_state = 98, .external_lex_state = 2},
  [676] = {.lex_state = 91},
  [677] = {.lex_state = 91},
  [678] = {.lex_state = 98, .external_lex_state = 2},
  [679] = {.lex_state = 98, .external_lex_state = 2},
  [680] = {.lex_state = 98, .external_lex_state = 2},
  [681] = {.lex_state = 91},
  [682] = {.lex_state = 98, .external_lex_state = 2},
  [683] = {.lex_state = 91},
  [684] = {.lex_state = 91},
  [685] = {.lex_state = 91},
  [686] = {.lex_state = 98, .external_lex_state = 2},
  [687] = {.lex_state = 98, .external_lex_state = 2},
  [688] = {.lex_state = 98, .external_lex_state = 2},
  [689] = {.lex_state = 91},
  [690] = {.lex_state = 98, .external_lex_state = 2},
  [691] = {.lex_state = 98, .external_lex_state = 2},
  [692] = {.lex_state = 91},
  [693] = {.lex_state = 98, .external_lex_state = 2},
  [694] = {.lex_state = 91},
  [695] = {.lex_state = 98, .external_lex_state = 2},
  [696] = {.lex_state = 91},
  [697] = {.lex_state = 98, .external_lex_state = 2},
  [698] = {.lex_state = 91},
  [699] = {.lex_state = 91},
  [700] = {.lex_state = 98, .external_lex_state = 2},
  [701] = {.lex_state = 91},
  [702] = {.lex_state = 91},
  [703] = {.lex_state = 91},
  [704] = {.lex_state = 91},
  [705] = {.lex_state = 98, .external_lex_state = 2},
  [706] = {.lex_state = 91},
  [707] = {.lex_state = 91},
  [708] = {.lex_state = 98, .external_lex_state = 2},
  [709] = {.lex_state = 91},
  [710] = {.lex_state = 91},
  [711] = {.lex_state = 91},
  [712] = {.lex_state = 91},
  [713] = {.lex_state = 91},
  [714] = {.lex_state = 91},
  [715] = {.lex_state = 91},
  [716] = {.lex_state = 91},
  [717] = {.lex_state = 91},
  [718] = {.lex_state = 91},
  [719] = {.lex_state = 98, .external_lex_state = 2},
  [720] = {.lex_state = 91},
  [721] = {.lex_state = 98, .external_lex_state = 2},
  [722] = {.lex_state = 91},
  [723] = {.lex_state = 91},
  [724] = {.lex_state = 98, .external_lex_state = 2},
  [725] = {.lex_state = 98, .external_lex_state = 2},
  [726] = {.lex_state = 91},
  [727] = {.lex_state = 91},
  [728] = {.lex_state = 91},
  [729] = {.lex_state = 91},
  [730] = {.lex_state = 91},
  [731] = {.lex_state = 98, .external_lex_state = 2},
  [732] = {.lex_state = 91},
  [733] = {.lex_state = 91},
  [734] = {.lex_state = 91},
  [735] = {.lex_state = 91},
  [736] = {.lex_state = 91},
  [737] = {.lex_state = 91},
  [738] = {.lex_state = 98, .external_lex_state = 2},
  [739] = {.lex_state = 91},
  [740] = {.lex_state = 91},
  [741] = {.lex_state = 91},
  [742] = {.lex_state = 91},
  [743] = {.lex_state = 91},
  [744] = {.lex_state = 91},
  [745] = {.lex_state = 98, .external_lex_state = 2},
  [746] = {.lex_state = 91},
  [747] = {.lex_state = 91},
  [748] = {.lex_state = 98, .external_lex_state = 2},
  [749] = {.lex_state = 91},
  [750] = {.lex_state = 91},
  [751] = {.lex_state = 91},
  [752] = {.lex_state = 98, .external_lex_state = 2},
  [753] = {.lex_state = 98, .external_lex_state = 2},
  [754] = {.lex_state = 91},
  [755] = {.lex_state = 98, .external_lex_state = 2},
  [756] = {.lex_state = 98, .external_lex_state = 2},
  [757] = {.lex_state = 91},
  [758] = {.lex_state = 91},
  [759] = {.lex_state = 91},
  [760] = {.lex_state = 91},
  [761] = {.lex_state = 91},
  [762] = {.lex_state = 91},
  [763] = {.lex_state = 91},
  [764] = {.lex_state = 91, .external_lex_state = 2},
  [765] = {.lex_state = 91},
  [766] = {.lex_state = 91},
  [767] = {.lex_state = 91},
  [768] = {.lex_state = 98, .external_lex_state = 2},
  [769] = {.lex_state = 91},
  [770] = {.lex_state = 91},
  [771] = {.lex_state = 91},
  [772] = {.lex_state = 98, .external_lex_state = 2},
  [773] = {.lex_state = 91},
  [774] = {.lex_state = 91},
  [775] = {.lex_state = 91},
  [776] = {.lex_state = 91},
  [777] = {.lex_state = 91},
  [778] = {.lex_state = 91},
  [779] = {.lex_state = 91},
  [780] = {.lex_state = 91},
  [781] = {.lex_state = 98, .external_lex_state = 2},
  [782] = {.lex_state = 91},
  [783] = {.lex_state = 91},
  [784] = {.lex_state = 91},
  [785] = {.lex_state = 91},
  [786] = {.lex_state = 91},
  [787] = {.lex_state = 91},
  [788] = {.lex_state = 91},
  [789] = {.lex_state = 91},
  [790] = {.lex_state = 91},
  [791] = {.lex_state = 91},
  [792] = {.lex_state = 91},
  [793] = {.lex_state = 91},
  [794] = {.lex_state = 98, .external_lex_state = 2},
  [795] = {.lex_state = 91},
  [796] = {.lex_state = 91},
  [797] = {.lex_state = 91},
  [798] = {.lex_state = 98, .external_lex_state = 2},
  [799] = {.lex_state = 98, .external_lex_state = 2},
  [800] = {.lex_state = 91},
  [801] = {.lex_state = 91},
  [802] = {.lex_state = 91},
  [803] = {.lex_state = 91},
  [804] = {.lex_state = 98, .external_lex_state = 2},
  [805] = {.lex_state = 91},
  [806] = {.lex_state = 91},
  [807] = {.lex_state = 98, .external_lex_state = 2},
  [808] = {.lex_state = 98, .external_lex_state = 2},
  [809] = {.lex_state = 98, .external_lex_state = 2},
  [810] = {.lex_state = 98, .external_lex_state = 2},
  [811] = {.lex_state = 98, .external_lex_state = 2},
  [812] = {.lex_state = 98, .external_lex_state = 2},
  [813] = {.lex_state = 91},
  [814] = {.lex_state = 98, .external_lex_state = 2},
  [815] = {.lex_state = 98, .external_lex_state = 2},
  [816] = {.lex_state = 98, .external_lex_state = 2},
  [817] = {.lex_state = 98, .external_lex_state = 2},
  [818] = {.lex_state = 98, .external_lex_state = 2},
  [819] = {.lex_state = 98, .external_lex_state = 2},
  [820] = {.lex_state = 91},
  [821] = {.lex_state = 98, .external_lex_state = 2},
  [822] = {.lex_state = 98, .external_lex_state = 2},
  [823] = {.lex_state = 98, .external_lex_state = 2},
  [824] = {.lex_state = 98, .external_lex_state = 2},
  [825] = {.lex_state = 98, .external_lex_state = 2},
  [826] = {.lex_state = 98, .external_lex_state = 2},
  [827] = {.lex_state = 98, .external_lex_state = 2},
  [828] = {.lex_state = 91},
  [829] = {.lex_state = 98, .external_lex_state = 2},
  [830] = {.lex_state = 98, .external_lex_state = 2},
  [831] = {.lex_state = 98, .external_lex_state = 2},
  [832] = {.lex_state = 91},
  [833] = {.lex_state = 91},
  [834] = {.lex_state = 91},
  [835] = {.lex_state = 91},
  [836] = {.lex_state = 91},
  [837] = {.lex_state = 98, .external_lex_state = 2},
  [838] = {.lex_state = 98, .external_lex_state = 2},
  [839] = {.lex_state = 98, .external_lex_state = 2},
  [840] = {.lex_state = 98, .external_lex_state = 2},
  [841] = {.lex_state = 98, .external_lex_state = 2},
  [842] = {.lex_state = 98, .external_lex_state = 2},
  [843] = {.lex_state = 98, .external_lex_state = 2},
  [844] = {.lex_state = 98, .external_lex_state = 2},
  [845] = {.lex_state = 98, .external_lex_state = 2},
  [846] = {.lex_state = 91},
  [847] = {.lex_state = 98, .external_lex_state = 2},
  [848] = {.lex_state = 98, .external_lex_state = 2},
  [849] = {.lex_state = 98, .external_lex_state = 2},
  [850] = {.lex_state = 98, .external_lex_state = 2},
  [851] = {.lex_state = 98, .external_lex_state = 2},
  [852] = {.lex_state = 98, .external_lex_state = 2},
  [853] = {.lex_state = 98, .external_lex_state = 2},
  [854] = {.lex_state = 98, .external_lex_state = 2},
  [855] = {.lex_state = 98, .external_lex_state = 2},
  [856] = {.lex_state = 98, .external_lex_state = 2},
  [857] = {.lex_state = 98, .external_lex_state = 2},
  [858] = {.lex_state = 98, .external_lex_state = 2},
  [859] = {.lex_state = 98, .external_lex_state = 2},
  [860] = {.lex_state = 98, .external_lex_state = 2},
  [861] = {.lex_state = 98, .external_lex_state = 2},
  [862] = {.lex_state = 98, .external_lex_state = 2},
  [863] = {.lex_state = 98, .external_lex_state = 2},
  [864] = {.lex_state = 98, .external_lex_state = 2},
  [865] = {.lex_state = 98, .external_lex_state = 2},
  [866] = {.lex_state = 98, .external_lex_state = 2},
  [867] = {.lex_state = 98, .external_lex_state = 2},
  [868] = {.lex_state = 98, .external_lex_state = 2},
  [869] = {.lex_state = 98, .external_lex_state = 2},
  [870] = {.lex_state = 98, .external_lex_state = 2},
  [871] = {.lex_state = 98, .external_lex_state = 2},
  [872] = {.lex_state = 98, .external_lex_state = 2},
  [873] = {.lex_state = 98, .external_lex_state = 2},
  [874] = {.lex_state = 98, .external_lex_state = 2},
  [875] = {.lex_state = 98, .external_lex_state = 2},
  [876] = {.lex_state = 98, .external_lex_state = 2},
  [877] = {.lex_state = 98, .external_lex_state = 2},
  [878] = {.lex_state = 98, .external_lex_state = 2},
  [879] = {.lex_state = 98, .external_lex_state = 2},
  [880] = {.lex_state = 98, .external_lex_state = 2},
  [881] = {.lex_state = 98, .external_lex_state = 2},
  [882] = {.lex_state = 98, .external_lex_state = 2},
  [883] = {.lex_state = 98, .external_lex_state = 2},
  [884] = {.lex_state = 98, .external_lex_state = 2},
  [885] = {.lex_state = 98, .external_lex_state = 2},
  [886] = {.lex_state = 98, .external_lex_state = 2},
  [887] = {.lex_state = 98, .external_lex_state = 2},
  [888] = {.lex_state = 98, .external_lex_state = 2},
  [889] = {.lex_state = 91},
  [890] = {.lex_state = 91},
  [891] = {.lex_state = 91},
  [892] = {.lex_state = 91},
  [893] = {.lex_state = 91},
  [894] = {.lex_state = 91},
  [895] = {.lex_state = 91},
  [896] = {.lex_state = 98, .external_lex_state = 2},
  [897] = {.lex_state = 98, .external_lex_state = 2},
  [898] = {.lex_state = 91},
  [899] = {.lex_state = 98, .external_lex_state = 2},
  [900] = {.lex_state = 98, .external_lex_state = 2},
  [901] = {.lex_state = 91},
  [902] = {.lex_state = 91},
  [903] = {.lex_state = 91},
  [904] = {.lex_state = 98, .external_lex_state = 2},
  [905] = {.lex_state = 98, .external_lex_state = 2},
  [906] = {.lex_state = 98, .external_lex_state = 2},
  [907] = {.lex_state = 98, .external_lex_state = 2},
  [908] = {.lex_state = 98, .external_lex_state = 2},
  [909] = {.lex_state = 98, .external_lex_state = 2},
  [910] = {.lex_state = 98, .external_lex_state = 2},
  [911] = {.lex_state = 91},
  [912] = {.lex_state = 91},
  [913] = {.lex_state = 98, .external_lex_state = 2},
  [914] = {.lex_state = 98, .external_lex_state = 2},
  [915] = {.lex_state = 98, .external_lex_state = 2},
  [916] = {.lex_state = 98, .external_lex_state = 2},
  [917] = {.lex_state = 98, .external_lex_state = 2},
  [918] = {.lex_state = 98, .external_lex_state = 2},
  [919] = {.lex_state = 98, .external_lex_state = 2},
  [920] = {.lex_state = 98, .external_lex_state = 2},
  [921] = {.lex_state = 98, .external_lex_state = 2},
  [922] = {.lex_state = 98, .external_lex_state = 2},
  [923] = {.lex_state = 98, .external_lex_state = 2},
  [924] = {.lex_state = 98, .external_lex_state = 2},
  [925] = {.lex_state = 98, .external_lex_state = 2},
  [926] = {.lex_state = 98, .external_lex_state = 2},
  [927] = {.lex_state = 98, .external_lex_state = 2},
  [928] = {.lex_state = 98, .external_lex_state = 2},
  [929] = {.lex_state = 98, .external_lex_state = 2},
  [930] = {.lex_state = 98, .external_lex_state = 2},
  [931] = {.lex_state = 98, .external_lex_state = 2},
  [932] = {.lex_state = 98, .external_lex_state = 2},
  [933] = {.lex_state = 98, .external_lex_state = 2},
  [934] = {.lex_state = 98, .external_lex_state = 2},
  [935] = {.lex_state = 98, .external_lex_state = 2},
  [936] = {.lex_state = 98, .external_lex_state = 2},
  [937] = {.lex_state = 91},
  [938] = {.lex_state = 98, .external_lex_state = 2},
  [939] = {.lex_state = 98, .external_lex_state = 2},
  [940] = {.lex_state = 98, .external_lex_state = 2},
  [941] = {.lex_state = 98, .external_lex_state = 2},
  [942] = {.lex_state = 98, .external_lex_state = 2},
  [943] = {.lex_state = 98, .external_lex_state = 2},
  [944] = {.lex_state = 98, .external_lex_state = 2},
  [945] = {.lex_state = 98, .external_lex_state = 2},
  [946] = {.lex_state = 98, .external_lex_state = 2},
  [947] = {.lex_state = 98, .external_lex_state = 2},
  [948] = {.lex_state = 98, .external_lex_state = 2},
  [949] = {.lex_state = 91},
  [950] = {.lex_state = 91},
  [951] = {.lex_state = 91},
  [952] = {.lex_state = 91},
  [953] = {.lex_state = 91},
  [954] = {.lex_state = 91},
  [955] = {.lex_state = 91},
  [956] = {.lex_state = 91},
  [957] = {.lex_state = 91},
  [958] = {.lex_state = 98, .external_lex_state = 2},
  [959] = {.lex_state = 98, .external_lex_state = 2},
  [960] = {.lex_state = 91},
  [961] = {.lex_state = 91},
  [962] = {.lex_state = 91},
  [963] = {.lex_state = 91},
  [964] = {.lex_state = 91},
  [965] = {.lex_state = 91},
  [966] = {.lex_state = 91},
  [967] = {.lex_state = 91},
  [968] = {.lex_state = 91},
  [969] = {.lex_state = 91},
  [970] = {.lex_state = 91},
  [971] = {.lex_state = 91},
  [972] = {.lex_state = 91},
  [973] = {.lex_state = 91},
  [974] = {.lex_state = 91},
  [975] = {.lex_state = 91},
  [976] = {.lex_state = 91},
  [977] = {.lex_state = 91},
  [978] = {.lex_state = 91},
  [979] = {.lex_state = 98, .external_lex_state = 2},
  [980] = {.lex_state = 91},
  [981] = {.lex_state = 91},
  [982] = {.lex_state = 91},
  [983] = {.lex_state = 91},
  [984] = {.lex_state = 98, .external_lex_state = 2},
  [985] = {.lex_state = 98, .external_lex_state = 2},
  [986] = {.lex_state = 91},
  [987] = {.lex_state = 91},
  [988] = {.lex_state = 91},
  [989] = {.lex_state = 91},
  [990] = {.lex_state = 91},
  [991] = {.lex_state = 91},
  [992] = {.lex_state = 98, .external_lex_state = 2},
  [993] = {.lex_state = 91},
  [994] = {.lex_state = 91},
  [995] = {.lex_state = 91},
  [996] = {.lex_state = 91},
  [997] = {.lex_state = 98, .external_lex_state = 2},
  [998] = {.lex_state = 91},
  [999] = {.lex_state = 91},
  [1000] = {.lex_state = 98, .external_lex_state = 2},
  [1001] = {.lex_state = 91},
  [1002] = {.lex_state = 91},
  [1003] = {.lex_state = 91},
  [1004] = {.lex_state = 91},
  [1005] = {.lex_state = 98, .external_lex_state = 2},
  [1006] = {.lex_state = 91},
  [1007] = {.lex_state = 98, .external_lex_state = 2},
  [1008] = {.lex_state = 91},
  [1009] = {.lex_state = 91},
  [1010] = {.lex_state = 91},
  [1011] = {.lex_state = 91},
  [1012] = {.lex_state = 91},
  [1013] = {.lex_state = 91},
  [1014] = {.lex_state = 91},
  [1015] = {.lex_state = 98, .external_lex_state = 2},
  [1016] = {.lex_state = 91},
  [1017] = {.lex_state = 98, .external_lex_state = 2},
  [1018] = {.lex_state = 91},
  [1019] = {.lex_state = 98, .external_lex_state = 2},
  [1020] = {.lex_state = 91},
  [1021] = {.lex_state = 98, .external_lex_state = 2},
  [1022] = {.lex_state = 98, .external_lex_state = 2},
  [1023] = {.lex_state = 98, .external_lex_state = 2},
  [1024] = {.lex_state = 98, .external_lex_state = 2},
  [1025] = {.lex_state = 98, .external_lex_state = 2},
  [1026] = {.lex_state = 91},
  [1027] = {.lex_state = 91},
  [1028] = {.lex_state = 98, .external_lex_state = 2},
  [1029] = {.lex_state = 91},
  [1030] = {.lex_state = 98, .external_lex_state = 2},
  [1031] = {.lex_state = 91},
  [1032] = {.lex_state = 91},
  [1033] = {.lex_state = 98, .external_lex_state = 2},
  [1034] = {.lex_state = 91},
  [1035] = {.lex_state = 91},
  [1036] = {.lex_state = 91},
  [1037] = {.lex_state = 91},
  [1038] = {.lex_state = 98, .external_lex_state = 2},
  [1039] = {.lex_state = 98, .external_lex_state = 2},
  [1040] = {.lex_state = 98, .external_lex_state = 2},
  [1041] = {.lex_state = 98, .external_lex_state = 2},
  [1042] = {.lex_state = 98, .external_lex_state = 2},
  [1043] = {.lex_state = 98, .external_lex_state = 2},
  [1044] = {.lex_state = 98, .external_lex_state = 2},
  [1045] = {.lex_state = 98, .external_lex_state = 2},
  [1046] = {.lex_state = 98, .external_lex_state = 2},
  [1047] = {.lex_state = 98, .external_lex_state = 2},
  [1048] = {.lex_state = 98, .external_lex_state = 2},
  [1049] = {.lex_state = 91},
  [1050] = {.lex_state = 98, .external_lex_state = 2},
  [1051] = {.lex_state = 91},
  [1052] = {.lex_state = 91},
  [1053] = {.lex_state = 91},
  [1054] = {.lex_state = 91},
  [1055] = {.lex_state = 91},
  [1056] = {.lex_state = 91},
  [1057] = {.lex_state = 91},
  [1058] = {.lex_state = 91},
  [1059] = {.lex_state = 91},
  [1060] = {.lex_state = 91},
  [1061] = {.lex_state = 91},
  [1062] = {.lex_state = 98, .external_lex_state = 2},
  [1063] = {.lex_state = 98, .external_lex_state = 2},
  [1064] = {.lex_state = 91},
  [1065] = {.lex_state = 91},
  [1066] = {.lex_state = 98, .external_lex_state = 2},
  [1067] = {.lex_state = 91},
  [1068] = {.lex_state = 91},
  [1069] = {.lex_state = 98, .external_lex_state = 2},
  [1070] = {.lex_state = 98, .external_lex_state = 2},
  [1071] = {.lex_state = 91},
  [1072] = {.lex_state = 91, .external_lex_state = 2},
  [1073] = {.lex_state = 98, .external_lex_state = 2},
  [1074] = {.lex_state = 91},
  [1075] = {.lex_state = 98, .external_lex_state = 2},
  [1076] = {.lex_state = 91},
  [1077] = {.lex_state = 91},
  [1078] = {.lex_state = 91},
  [1079] = {.lex_state = 98, .external_lex_state = 2},
  [1080] = {.lex_state = 91},
  [1081] = {.lex_state = 91},
  [1082] = {.lex_state = 91},
  [1083] = {.lex_state = 98, .external_lex_state = 2},
  [1084] = {.lex_state = 98, .external_lex_state = 2},
  [1085] = {.lex_state = 98, .external_lex_state = 2},
  [1086] = {.lex_state = 98, .external_lex_state = 2},
  [1087] = {.lex_state = 98, .external_lex_state = 2},
  [1088] = {.lex_state = 98, .external_lex_state = 2},
  [1089] = {.lex_state = 98, .external_lex_state = 2},
  [1090] = {.lex_state = 98, .external_lex_state = 2},
  [1091] = {.lex_state = 91},
  [1092] = {.lex_state = 98, .external_lex_state = 2},
  [1093] = {.lex_state = 98, .external_lex_state = 2},
  [1094] = {.lex_state = 91},
  [1095] = {.lex_state = 98, .external_lex_state = 2},
  [1096] = {.lex_state = 98, .external_lex_state = 2},
  [1097] = {.lex_state = 98, .external_lex_state = 2},
  [1098] = {.lex_state = 98, .external_lex_state = 2},
  [1099] = {.lex_state = 98, .external_lex_state = 2},
  [1100] = {.lex_state = 98, .external_lex_state = 2},
  [1101] = {.lex_state = 91},
  [1102] = {.lex_state = 98, .external_lex_state = 2},
  [1103] = {.lex_state = 98, .external_lex_state = 2},
  [1104] = {.lex_state = 91},
  [1105] = {.lex_state = 98, .external_lex_state = 2},
  [1106] = {.lex_state = 98, .external_lex_state = 2},
  [1107] = {.lex_state = 98, .external_lex_state = 2},
  [1108] = {.lex_state = 98, .external_lex_state = 2},
  [1109] = {.lex_state = 98, .external_lex_state = 2},
  [1110] = {.lex_state = 91},
  [1111] = {.lex_state = 98, .external_lex_state = 2},
  [1112] = {.lex_state = 98, .external_lex_state = 2},
  [1113] = {.lex_state = 91},
  [1114] = {.lex_state = 98, .external_lex_state = 2},
  [1115] = {.lex_state = 98, .external_lex_state = 2},
  [1116] = {.lex_state = 98, .external_lex_state = 2},
  [1117] = {.lex_state = 98, .external_lex_state = 2},
  [1118] = {.lex_state = 98, .external_lex_state = 2},
  [1119] = {.lex_state = 98, .external_lex_state = 2},
  [1120] = {.lex_state = 98, .external_lex_state = 2},
  [1121] = {.lex_state = 98, .external_lex_state = 2},
  [1122] = {.lex_state = 98, .external_lex_state = 2},
  [1123] = {.lex_state = 98, .external_lex_state = 2},
  [1124] = {.lex_state = 91},
  [1125] = {.lex_state = 98, .external_lex_state = 2},
  [1126] = {.lex_state = 98, .external_lex_state = 2},
  [1127] = {.lex_state = 91},
  [1128] = {.lex_state = 98, .external_lex_state = 2},
  [1129] = {.lex_state = 91},
  [1130] = {.lex_state = 91},
  [1131] = {.lex_state = 98, .external_lex_state = 2},
  [1132] = {.lex_state = 91},
  [1133] = {.lex_state = 98, .external_lex_state = 2},
  [1134] = {.lex_state = 98, .external_lex_state = 2},
  [1135] = {.lex_state = 91},
  [1136] = {.lex_state = 98, .external_lex_state = 2},
  [1137] = {.lex_state = 98, .external_lex_state = 2},
  [1138] = {.lex_state = 98, .external_lex_state = 2},
  [1139] = {.lex_state = 91},
  [1140] = {.lex_state = 98, .external_lex_state = 2},
  [1141] = {.lex_state = 98, .external_lex_state = 2},
  [1142] = {.lex_state = 98, .external_lex_state = 2},
  [1143] = {.lex_state = 91},
  [1144] = {.lex_state = 98, .external_lex_state = 2},
  [1145] = {.lex_state = 98, .external_lex_state = 2},
  [1146] = {.lex_state = 98, .external_lex_state = 2},
  [1147] = {.lex_state = 98, .external_lex_state = 2},
  [1148] = {.lex_state = 91},
  [1149] = {.lex_state = 98, .external_lex_state = 2},
  [1150] = {.lex_state = 98, .external_lex_state = 2},
  [1151] = {.lex_state = 91},
  [1152] = {.lex_state = 91},
  [1153] = {.lex_state = 98, .external_lex_state = 2},
  [1154] = {.lex_state = 98, .external_lex_state = 2},
  [1155] = {.lex_state = 98, .external_lex_state = 2},
  [1156] = {.lex_state = 98, .external_lex_state = 2},
  [1157] = {.lex_state = 98, .external_lex_state = 2},
  [1158] = {.lex_state = 98, .external_lex_state = 2},
  [1159] = {.lex_state = 98, .external_lex_state = 2},
  [1160] = {.lex_state = 98, .external_lex_state = 2},
  [1161] = {.lex_state = 98, .external_lex_state = 2},
  [1162] = {.lex_state = 98, .external_lex_state = 2},
  [1163] = {.lex_state = 98, .external_lex_state = 2},
  [1164] = {.lex_state = 98, .external_lex_state = 2},
  [1165] = {.lex_state = 98, .external_lex_state = 2},
  [1166] = {.lex_state = 98, .external_lex_state = 2},
  [1167] = {.lex_state = 98, .external_lex_state = 2},
  [1168] = {.lex_state = 98, .external_lex_state = 2},
  [1169] = {.lex_state = 98, .external_lex_state = 2},
  [1170] = {.lex_state = 98, .external_lex_state = 2},
  [1171] = {.lex_state = 98, .external_lex_state = 2},
  [1172] = {.lex_state = 98, .external_lex_state = 2},
  [1173] = {.lex_state = 98, .external_lex_state = 2},
  [1174] = {.lex_state = 98, .external_lex_state = 2},
  [1175] = {.lex_state = 98, .external_lex_state = 2},
  [1176] = {.lex_state = 98, .external_lex_state = 2},
  [1177] = {.lex_state = 98, .external_lex_state = 2},
  [1178] = {.lex_state = 98, .external_lex_state = 2},
  [1179] = {.lex_state = 98, .external_lex_state = 2},
  [1180] = {.lex_state = 98, .external_lex_state = 2},
  [1181] = {.lex_state = 98, .external_lex_state = 2},
  [1182] = {.lex_state = 98, .external_lex_state = 2},
  [1183] = {.lex_state = 98, .external_lex_state = 2},
  [1184] = {.lex_state = 98, .external_lex_state = 2},
  [1185] = {.lex_state = 98, .external_lex_state = 2},
  [1186] = {.lex_state = 98, .external_lex_state = 2},
  [1187] = {.lex_state = 98, .external_lex_state = 2},
  [1188] = {.lex_state = 98, .external_lex_state = 2},
  [1189] = {.lex_state = 98, .external_lex_state = 2},
  [1190] = {.lex_state = 98, .external_lex_state = 2},
  [1191] = {.lex_state = 98, .external_lex_state = 2},
  [1192] = {.lex_state = 98, .external_lex_state = 2},
  [1193] = {.lex_state = 98, .external_lex_state = 2},
  [1194] = {.lex_state = 98, .external_lex_state = 2},
  [1195] = {.lex_state = 98, .external_lex_state = 2},
  [1196] = {.lex_state = 98, .external_lex_state = 2},
  [1197] = {.lex_state = 98, .external_lex_state = 2},
  [1198] = {.lex_state = 98, .external_lex_state = 2},
  [1199] = {.lex_state = 98, .external_lex_state = 2},
  [1200] = {.lex_state = 98, .external_lex_state = 2},
  [1201] = {.lex_state = 98, .external_lex_state = 2},
  [1202] = {.lex_state = 98, .external_lex_state = 2},
  [1203] = {.lex_state = 98, .external_lex_state = 2},
  [1204] = {.lex_state = 98, .external_lex_state = 2},
  [1205] = {.lex_state = 98, .external_lex_state = 2},
  [1206] = {.lex_state = 98, .external_lex_state = 2},
  [1207] = {.lex_state = 98, .external_lex_state = 2},
  [1208] = {.lex_state = 98, .external_lex_state = 2},
  [1209] = {.lex_state = 98, .external_lex_state = 2},
  [1210] = {.lex_state = 98, .external_lex_state = 2},
  [1211] = {.lex_state = 98, .external_lex_state = 2},
  [1212] = {.lex_state = 98, .external_lex_state = 2},
  [1213] = {.lex_state = 98, .external_lex_state = 2},
  [1214] = {.lex_state = 98, .external_lex_state = 2},
  [1215] = {.lex_state = 98, .external_lex_state = 2},
  [1216] = {.lex_state = 98, .external_lex_state = 2},
  [1217] = {.lex_state = 98, .external_lex_state = 2},
  [1218] = {.lex_state = 98, .external_lex_state = 2},
  [1219] = {.lex_state = 98, .external_lex_state = 2},
  [1220] = {.lex_state = 98, .external_lex_state = 2},
  [1221] = {.lex_state = 98, .external_lex_state = 2},
  [1222] = {.lex_state = 98, .external_lex_state = 2},
  [1223] = {.lex_state = 98, .external_lex_state = 2},
  [1224] = {.lex_state = 98, .external_lex_state = 2},
  [1225] = {.lex_state = 98, .external_lex_state = 2},
  [1226] = {.lex_state = 98, .external_lex_state = 2},
  [1227] = {.lex_state = 98, .external_lex_state = 2},
  [1228] = {.lex_state = 98, .external_lex_state = 2},
  [1229] = {.lex_state = 98, .external_lex_state = 2},
  [1230] = {.lex_state = 98, .external_lex_state = 2},
  [1231] = {.lex_state = 98, .external_lex_state = 2},
  [1232] = {.lex_state = 98, .external_lex_state = 2},
  [1233] = {.lex_state = 98, .external_lex_state = 2},
  [1234] = {.lex_state = 98, .external_lex_state = 2},
  [1235] = {.lex_state = 98, .external_lex_state = 2},
  [1236] = {.lex_state = 98, .external_lex_state = 2},
  [1237] = {.lex_state = 98, .external_lex_state = 2},
  [1238] = {.lex_state = 98, .external_lex_state = 2},
  [1239] = {.lex_state = 98, .external_lex_state = 2},
  [1240] = {.lex_state = 98, .external_lex_state = 2},
  [1241] = {.lex_state = 98, .external_lex_state = 2},
  [1242] = {.lex_state = 98, .external_lex_state = 2},
  [1243] = {.lex_state = 98, .external_lex_state = 2},
  [1244] = {.lex_state = 98, .external_lex_state = 2},
  [1245] = {.lex_state = 98, .external_lex_state = 2},
  [1246] = {.lex_state = 98, .external_lex_state = 2},
  [1247] = {.lex_state = 98, .external_lex_state = 2},
  [1248] = {.lex_state = 98, .external_lex_state = 2},
  [1249] = {.lex_state = 98, .external_lex_state = 2},
  [1250] = {.lex_state = 98, .external_lex_state = 2},
  [1251] = {.lex_state = 98, .external_lex_state = 2},
  [1252] = {.lex_state = 98, .external_lex_state = 2},
  [1253] = {.lex_state = 98, .external_lex_state = 2},
  [1254] = {.lex_state = 98, .external_lex_state = 2},
  [1255] = {.lex_state = 91},
  [1256] = {.lex_state = 98, .external_lex_state = 2},
  [1257] = {.lex_state = 98, .external_lex_state = 2},
  [1258] = {.lex_state = 98, .external_lex_state = 2},
  [1259] = {.lex_state = 98, .external_lex_state = 2},
  [1260] = {.lex_state = 98, .external_lex_state = 2},
  [1261] = {.lex_state = 91},
  [1262] = {.lex_state = 91},
  [1263] = {.lex_state = 98, .external_lex_state = 2},
  [1264] = {.lex_state = 98, .external_lex_state = 2},
  [1265] = {.lex_state = 98, .external_lex_state = 2},
  [1266] = {.lex_state = 98, .external_lex_state = 2},
  [1267] = {.lex_state = 98, .external_lex_state = 2},
  [1268] = {.lex_state = 98, .external_lex_state = 2},
  [1269] = {.lex_state = 98, .external_lex_state = 2},
  [1270] = {.lex_state = 98, .external_lex_state = 2},
  [1271] = {.lex_state = 98, .external_lex_state = 2},
  [1272] = {.lex_state = 98, .external_lex_state = 2},
  [1273] = {.lex_state = 98, .external_lex_state = 2},
  [1274] = {.lex_state = 98, .external_lex_state = 2},
  [1275] = {.lex_state = 91},
  [1276] = {.lex_state = 98, .external_lex_state = 2},
  [1277] = {.lex_state = 98, .external_lex_state = 2},
  [1278] = {.lex_state = 98, .external_lex_state = 2},
  [1279] = {.lex_state = 98, .external_lex_state = 2},
  [1280] = {.lex_state = 98, .external_lex_state = 2},
  [1281] = {.lex_state = 98, .external_lex_state = 2},
  [1282] = {.lex_state = 98, .external_lex_state = 2},
  [1283] = {.lex_state = 98, .external_lex_state = 2},
  [1284] = {.lex_state = 98, .external_lex_state = 2},
  [1285] = {.lex_state = 98, .external_lex_state = 2},
  [1286] = {.lex_state = 98, .external_lex_state = 2},
  [1287] = {.lex_state = 98, .external_lex_state = 2},
  [1288] = {.lex_state = 98, .external_lex_state = 2},
  [1289] = {.lex_state = 98, .external_lex_state = 2},
  [1290] = {.lex_state = 98, .external_lex_state = 2},
  [1291] = {.lex_state = 98, .external_lex_state = 2},
  [1292] = {.lex_state = 98, .external_lex_state = 2},
  [1293] = {.lex_state = 98, .external_lex_state = 2},
  [1294] = {.lex_state = 98, .external_lex_state = 2},
  [1295] = {.lex_state = 98, .external_lex_state = 2},
  [1296] = {.lex_state = 98, .external_lex_state = 2},
  [1297] = {.lex_state = 98, .external_lex_state = 2},
  [1298] = {.lex_state = 98, .external_lex_state = 2},
  [1299] = {.lex_state = 98, .external_lex_state = 2},
  [1300] = {.lex_state = 98, .external_lex_state = 2},
  [1301] = {.lex_state = 98, .external_lex_state = 2},
  [1302] = {.lex_state = 98, .external_lex_state = 2},
  [1303] = {.lex_state = 98, .external_lex_state = 2},
  [1304] = {.lex_state = 98, .external_lex_state = 2},
  [1305] = {.lex_state = 98, .external_lex_state = 2},
  [1306] = {.lex_state = 98, .external_lex_state = 2},
  [1307] = {.lex_state = 98, .external_lex_state = 2},
  [1308] = {.lex_state = 98, .external_lex_state = 2},
  [1309] = {.lex_state = 98, .external_lex_state = 2},
  [1310] = {.lex_state = 98, .external_lex_state = 2},
  [1311] = {.lex_state = 98, .external_lex_state = 2},
  [1312] = {.lex_state = 98, .external_lex_state = 2},
  [1313] = {.lex_state = 98, .external_lex_state = 2},
  [1314] = {.lex_state = 98, .external_lex_state = 2},
  [1315] = {.lex_state = 98, .external_lex_state = 2},
  [1316] = {.lex_state = 98, .external_lex_state = 2},
  [1317] = {.lex_state = 98, .external_lex_state = 2},
  [1318] = {.lex_state = 98, .external_lex_state = 2},
  [1319] = {.lex_state = 98, .external_lex_state = 2},
  [1320] = {.lex_state = 98, .external_lex_state = 2},
  [1321] = {.lex_state = 98, .external_lex_state = 2},
  [1322] = {.lex_state = 98, .external_lex_state = 2},
  [1323] = {.lex_state = 98, .external_lex_state = 2},
  [1324] = {.lex_state = 98, .external_lex_state = 2},
  [1325] = {.lex_state = 98, .external_lex_state = 2},
  [1326] = {.lex_state = 98, .external_lex_state = 2},
  [1327] = {.lex_state = 98, .external_lex_state = 2},
  [1328] = {.lex_state = 98, .external_lex_state = 2},
  [1329] = {.lex_state = 86},
  [1330] = {.lex_state = 98, .external_lex_state = 2},
  [1331] = {.lex_state = 91},
  [1332] = {.lex_state = 98, .external_lex_state = 2},
  [1333] = {.lex_state = 98, .external_lex_state = 2},
  [1334] = {.lex_state = 91},
  [1335] = {.lex_state = 98, .external_lex_state = 2},
  [1336] = {.lex_state = 91},
  [1337] = {.lex_state = 98, .external_lex_state = 2},
  [1338] = {.lex_state = 98, .external_lex_state = 2},
  [1339] = {.lex_state = 98, .external_lex_state = 2},
  [1340] = {.lex_state = 98, .external_lex_state = 2},
  [1341] = {.lex_state = 98, .external_lex_state = 2},
  [1342] = {.lex_state = 98, .external_lex_state = 2},
  [1343] = {.lex_state = 98, .external_lex_state = 2},
  [1344] = {.lex_state = 98, .external_lex_state = 2},
  [1345] = {.lex_state = 98, .external_lex_state = 2},
  [1346] = {.lex_state = 98, .external_lex_state = 2},
  [1347] = {.lex_state = 91, .external_lex_state = 2},
  [1348] = {.lex_state = 98, .external_lex_state = 2},
  [1349] = {.lex_state = 98, .external_lex_state = 2},
  [1350] = {.lex_state = 98, .external_lex_state = 2},
  [1351] = {.lex_state = 98, .external_lex_state = 2},
  [1352] = {.lex_state = 98, .external_lex_state = 2},
  [1353] = {.lex_state = 98, .external_lex_state = 2},
  [1354] = {.lex_state = 98, .external_lex_state = 2},
  [1355] = {.lex_state = 98, .external_lex_state = 2},
  [1356] = {.lex_state = 98, .external_lex_state = 2},
  [1357] = {.lex_state = 98, .external_lex_state = 2},
  [1358] = {.lex_state = 98, .external_lex_state = 2},
  [1359] = {.lex_state = 98, .external_lex_state = 2},
  [1360] = {.lex_state = 98, .external_lex_state = 2},
  [1361] = {.lex_state = 98, .external_lex_state = 2},
  [1362] = {.lex_state = 98, .external_lex_state = 2},
  [1363] = {.lex_state = 98, .external_lex_state = 2},
  [1364] = {.lex_state = 98, .external_lex_state = 2},
  [1365] = {.lex_state = 98, .external_lex_state = 2},
  [1366] = {.lex_state = 98, .external_lex_state = 2},
  [1367] = {.lex_state = 98, .external_lex_state = 2},
  [1368] = {.lex_state = 98, .external_lex_state = 2},
  [1369] = {.lex_state = 98, .external_lex_state = 2},
  [1370] = {.lex_state = 98, .external_lex_state = 2},
  [1371] = {.lex_state = 98, .external_lex_state = 2},
  [1372] = {.lex_state = 98, .external_lex_state = 2},
  [1373] = {.lex_state = 98, .external_lex_state = 2},
  [1374] = {.lex_state = 98, .external_lex_state = 2},
  [1375] = {.lex_state = 98, .external_lex_state = 2},
  [1376] = {.lex_state = 98, .external_lex_state = 2},
  [1377] = {.lex_state = 98, .external_lex_state = 2},
  [1378] = {.lex_state = 98, .external_lex_state = 2},
  [1379] = {.lex_state = 98, .external_lex_state = 2},
  [1380] = {.lex_state = 98, .external_lex_state = 2},
  [1381] = {.lex_state = 98, .external_lex_state = 2},
  [1382] = {.lex_state = 98, .external_lex_state = 2},
  [1383] = {.lex_state = 98, .external_lex_state = 2},
  [1384] = {.lex_state = 98, .external_lex_state = 2},
  [1385] = {.lex_state = 98, .external_lex_state = 2},
  [1386] = {.lex_state = 98, .external_lex_state = 2},
  [1387] = {.lex_state = 98, .external_lex_state = 2},
  [1388] = {.lex_state = 98, .external_lex_state = 2},
  [1389] = {.lex_state = 98, .external_lex_state = 2},
  [1390] = {.lex_state = 98, .external_lex_state = 2},
  [1391] = {.lex_state = 98, .external_lex_state = 2},
  [1392] = {.lex_state = 98, .external_lex_state = 2},
  [1393] = {.lex_state = 98, .external_lex_state = 2},
  [1394] = {.lex_state = 98, .external_lex_state = 2},
  [1395] = {.lex_state = 98, .external_lex_state = 2},
  [1396] = {.lex_state = 98, .external_lex_state = 2},
  [1397] = {.lex_state = 98, .external_lex_state = 2},
  [1398] = {.lex_state = 98, .external_lex_state = 2},
  [1399] = {.lex_state = 98, .external_lex_state = 2},
  [1400] = {.lex_state = 98, .external_lex_state = 2},
  [1401] = {.lex_state = 98, .external_lex_state = 2},
  [1402] = {.lex_state = 98, .external_lex_state = 2},
  [1403] = {.lex_state = 98, .external_lex_state = 2},
  [1404] = {.lex_state = 98, .external_lex_state = 2},
  [1405] = {.lex_state = 98, .external_lex_state = 2},
  [1406] = {.lex_state = 98, .external_lex_state = 2},
  [1407] = {.lex_state = 98, .external_lex_state = 2},
  [1408] = {.lex_state = 98, .external_lex_state = 2},
  [1409] = {.lex_state = 98, .external_lex_state = 2},
  [1410] = {.lex_state = 98, .external_lex_state = 2},
  [1411] = {.lex_state = 98, .external_lex_state = 2},
  [1412] = {.lex_state = 98, .external_lex_state = 2},
  [1413] = {.lex_state = 98, .external_lex_state = 2},
  [1414] = {.lex_state = 98, .external_lex_state = 2},
  [1415] = {.lex_state = 98, .external_lex_state = 2},
  [1416] = {.lex_state = 98, .external_lex_state = 2},
  [1417] = {.lex_state = 98, .external_lex_state = 2},
  [1418] = {.lex_state = 98, .external_lex_state = 2},
  [1419] = {.lex_state = 98, .external_lex_state = 2},
  [1420] = {.lex_state = 98, .external_lex_state = 2},
  [1421] = {.lex_state = 98, .external_lex_state = 2},
  [1422] = {.lex_state = 98, .external_lex_state = 2},
  [1423] = {.lex_state = 98, .external_lex_state = 2},
  [1424] = {.lex_state = 98, .external_lex_state = 2},
  [1425] = {.lex_state = 98, .external_lex_state = 2},
  [1426] = {.lex_state = 98, .external_lex_state = 2},
  [1427] = {.lex_state = 98, .external_lex_state = 2},
  [1428] = {.lex_state = 98, .external_lex_state = 2},
  [1429] = {.lex_state = 98, .external_lex_state = 2},
  [1430] = {.lex_state = 98, .external_lex_state = 2},
  [1431] = {.lex_state = 98, .external_lex_state = 2},
  [1432] = {.lex_state = 98, .external_lex_state = 2},
  [1433] = {.lex_state = 98, .external_lex_state = 2},
  [1434] = {.lex_state = 98, .external_lex_state = 2},
  [1435] = {.lex_state = 98, .external_lex_state = 2},
  [1436] = {.lex_state = 98, .external_lex_state = 2},
  [1437] = {.lex_state = 98, .external_lex_state = 2},
  [1438] = {.lex_state = 98, .external_lex_state = 2},
  [1439] = {.lex_state = 98, .external_lex_state = 2},
  [1440] = {.lex_state = 98, .external_lex_state = 2},
  [1441] = {.lex_state = 98, .external_lex_state = 2},
  [1442] = {.lex_state = 98, .external_lex_state = 2},
  [1443] = {.lex_state = 98, .external_lex_state = 2},
  [1444] = {.lex_state = 98, .external_lex_state = 2},
  [1445] = {.lex_state = 98, .external_lex_state = 2},
  [1446] = {.lex_state = 98, .external_lex_state = 2},
  [1447] = {.lex_state = 98, .external_lex_state = 2},
  [1448] = {.lex_state = 98, .external_lex_state = 2},
  [1449] = {.lex_state = 98, .external_lex_state = 2},
  [1450] = {.lex_state = 98, .external_lex_state = 2},
  [1451] = {.lex_state = 98, .external_lex_state = 2},
  [1452] = {.lex_state = 98, .external_lex_state = 2},
  [1453] = {.lex_state = 98, .external_lex_state = 2},
  [1454] = {.lex_state = 98, .external_lex_state = 2},
  [1455] = {.lex_state = 98, .external_lex_state = 2},
  [1456] = {.lex_state = 98, .external_lex_state = 2},
  [1457] = {.lex_state = 98, .external_lex_state = 2},
  [1458] = {.lex_state = 98, .external_lex_state = 2},
  [1459] = {.lex_state = 91},
  [1460] = {.lex_state = 98, .external_lex_state = 2},
  [1461] = {.lex_state = 98, .external_lex_state = 2},
  [1462] = {.lex_state = 91},
  [1463] = {.lex_state = 98, .external_lex_state = 2},
  [1464] = {.lex_state = 98, .external_lex_state = 2},
  [1465] = {.lex_state = 98, .external_lex_state = 2},
  [1466] = {.lex_state = 98, .external_lex_state = 2},
  [1467] = {.lex_state = 98, .external_lex_state = 2},
  [1468] = {.lex_state = 98, .external_lex_state = 2},
  [1469] = {.lex_state = 98, .external_lex_state = 2},
  [1470] = {.lex_state = 98, .external_lex_state = 2},
  [1471] = {.lex_state = 98, .external_lex_state = 2},
  [1472] = {.lex_state = 98, .external_lex_state = 2},
  [1473] = {.lex_state = 98, .external_lex_state = 2},
  [1474] = {.lex_state = 98, .external_lex_state = 2},
  [1475] = {.lex_state = 89},
  [1476] = {.lex_state = 98, .external_lex_state = 2},
  [1477] = {.lex_state = 98, .external_lex_state = 2},
  [1478] = {.lex_state = 98, .external_lex_state = 2},
  [1479] = {.lex_state = 91},
  [1480] = {.lex_state = 98, .external_lex_state = 2},
  [1481] = {.lex_state = 98, .external_lex_state = 2},
  [1482] = {.lex_state = 98, .external_lex_state = 2},
  [1483] = {.lex_state = 98, .external_lex_state = 2},
  [1484] = {.lex_state = 98, .external_lex_state = 2},
  [1485] = {.lex_state = 98, .external_lex_state = 2},
  [1486] = {.lex_state = 98, .external_lex_state = 2},
  [1487] = {.lex_state = 98, .external_lex_state = 2},
  [1488] = {.lex_state = 98, .external_lex_state = 2},
  [1489] = {.lex_state = 98, .external_lex_state = 2},
  [1490] = {.lex_state = 98, .external_lex_state = 2},
  [1491] = {.lex_state = 98, .external_lex_state = 2},
  [1492] = {.lex_state = 98, .external_lex_state = 2},
  [1493] = {.lex_state = 98, .external_lex_state = 2},
  [1494] = {.lex_state = 98, .external_lex_state = 2},
  [1495] = {.lex_state = 98, .external_lex_state = 2},
  [1496] = {.lex_state = 98, .external_lex_state = 2},
  [1497] = {.lex_state = 98, .external_lex_state = 2},
  [1498] = {.lex_state = 98, .external_lex_state = 2},
  [1499] = {.lex_state = 98, .external_lex_state = 2},
  [1500] = {.lex_state = 98, .external_lex_state = 2},
  [1501] = {.lex_state = 98, .external_lex_state = 2},
  [1502] = {.lex_state = 98, .external_lex_state = 2},
  [1503] = {.lex_state = 98, .external_lex_state = 2},
  [1504] = {.lex_state = 98, .external_lex_state = 2},
  [1505] = {.lex_state = 98, .external_lex_state = 2},
  [1506] = {.lex_state = 98, .external_lex_state = 2},
  [1507] = {.lex_state = 98, .external_lex_state = 2},
  [1508] = {.lex_state = 98, .external_lex_state = 2},
  [1509] = {.lex_state = 98, .external_lex_state = 2},
  [1510] = {.lex_state = 98, .external_lex_state = 2},
  [1511] = {.lex_state = 98, .external_lex_state = 2},
  [1512] = {.lex_state = 98, .external_lex_state = 2},
  [1513] = {.lex_state = 98, .external_lex_state = 2},
  [1514] = {.lex_state = 98, .external_lex_state = 2},
  [1515] = {.lex_state = 98, .external_lex_state = 2},
  [1516] = {.lex_state = 98, .external_lex_state = 2},
  [1517] = {.lex_state = 98, .external_lex_state = 2},
  [1518] = {.lex_state = 98, .external_lex_state = 2},
  [1519] = {.lex_state = 98, .external_lex_state = 2},
  [1520] = {.lex_state = 98, .external_lex_state = 2},
  [1521] = {.lex_state = 98, .external_lex_state = 2},
  [1522] = {.lex_state = 98, .external_lex_state = 2},
  [1523] = {.lex_state = 98, .external_lex_state = 2},
  [1524] = {.lex_state = 98, .external_lex_state = 2},
  [1525] = {.lex_state = 98, .external_lex_state = 2},
  [1526] = {.lex_state = 98, .external_lex_state = 2},
  [1527] = {.lex_state = 98, .external_lex_state = 2},
  [1528] = {.lex_state = 98, .external_lex_state = 2},
  [1529] = {.lex_state = 98, .external_lex_state = 2},
  [1530] = {.lex_state = 98, .external_lex_state = 2},
  [1531] = {.lex_state = 98, .external_lex_state = 2},
  [1532] = {.lex_state = 98, .external_lex_state = 2},
  [1533] = {.lex_state = 98, .external_lex_state = 2},
  [1534] = {.lex_state = 98, .external_lex_state = 2},
  [1535] = {.lex_state = 98, .external_lex_state = 2},
  [1536] = {.lex_state = 98, .external_lex_state = 2},
  [1537] = {.lex_state = 98, .external_lex_state = 2},
  [1538] = {.lex_state = 98, .external_lex_state = 2},
  [1539] = {.lex_state = 98, .external_lex_state = 2},
  [1540] = {.lex_state = 98, .external_lex_state = 2},
  [1541] = {.lex_state = 98, .external_lex_state = 2},
  [1542] = {.lex_state = 98, .external_lex_state = 2},
  [1543] = {.lex_state = 98, .external_lex_state = 2},
  [1544] = {.lex_state = 98, .external_lex_state = 2},
  [1545] = {.lex_state = 98, .external_lex_state = 2},
  [1546] = {.lex_state = 98, .external_lex_state = 2},
  [1547] = {.lex_state = 98, .external_lex_state = 2},
  [1548] = {.lex_state = 98, .external_lex_state = 2},
  [1549] = {.lex_state = 98, .external_lex_state = 2},
  [1550] = {.lex_state = 98, .external_lex_state = 2},
  [1551] = {.lex_state = 98, .external_lex_state = 2},
  [1552] = {.lex_state = 98, .external_lex_state = 2},
  [1553] = {.lex_state = 98, .external_lex_state = 2},
  [1554] = {.lex_state = 98, .external_lex_state = 2},
  [1555] = {.lex_state = 98, .external_lex_state = 2},
  [1556] = {.lex_state = 98, .external_lex_state = 2},
  [1557] = {.lex_state = 98, .external_lex_state = 2},
  [1558] = {.lex_state = 98, .external_lex_state = 2},
  [1559] = {.lex_state = 98, .external_lex_state = 2},
  [1560] = {.lex_state = 98, .external_lex_state = 2},
  [1561] = {.lex_state = 98, .external_lex_state = 2},
  [1562] = {.lex_state = 98, .external_lex_state = 2},
  [1563] = {.lex_state = 98, .external_lex_state = 2},
  [1564] = {.lex_state = 98, .external_lex_state = 2},
  [1565] = {.lex_state = 98, .external_lex_state = 2},
  [1566] = {.lex_state = 98, .external_lex_state = 2},
  [1567] = {.lex_state = 98, .external_lex_state = 2},
  [1568] = {.lex_state = 98, .external_lex_state = 2},
  [1569] = {.lex_state = 98, .external_lex_state = 2},
  [1570] = {.lex_state = 98, .external_lex_state = 2},
  [1571] = {.lex_state = 98, .external_lex_state = 2},
  [1572] = {.lex_state = 98, .external_lex_state = 2},
  [1573] = {.lex_state = 98, .external_lex_state = 2},
  [1574] = {.lex_state = 98, .external_lex_state = 2},
  [1575] = {.lex_state = 98, .external_lex_state = 2},
  [1576] = {.lex_state = 98, .external_lex_state = 2},
  [1577] = {.lex_state = 98, .external_lex_state = 2},
  [1578] = {.lex_state = 98, .external_lex_state = 2},
  [1579] = {.lex_state = 98, .external_lex_state = 2},
  [1580] = {.lex_state = 98, .external_lex_state = 2},
  [1581] = {.lex_state = 98, .external_lex_state = 2},
  [1582] = {.lex_state = 98, .external_lex_state = 2},
  [1583] = {.lex_state = 98, .external_lex_state = 2},
  [1584] = {.lex_state = 98, .external_lex_state = 2},
  [1585] = {.lex_state = 98, .external_lex_state = 2},
  [1586] = {.lex_state = 98, .external_lex_state = 2},
  [1587] = {.lex_state = 98, .external_lex_state = 2},
  [1588] = {.lex_state = 98, .external_lex_state = 2},
  [1589] = {.lex_state = 98, .external_lex_state = 2},
  [1590] = {.lex_state = 98, .external_lex_state = 2},
  [1591] = {.lex_state = 98, .external_lex_state = 2},
  [1592] = {.lex_state = 98, .external_lex_state = 2},
  [1593] = {.lex_state = 98, .external_lex_state = 2},
  [1594] = {.lex_state = 98, .external_lex_state = 2},
  [1595] = {.lex_state = 98, .external_lex_state = 2},
  [1596] = {.lex_state = 98, .external_lex_state = 2},
  [1597] = {.lex_state = 98, .external_lex_state = 2},
  [1598] = {.lex_state = 98, .external_lex_state = 2},
  [1599] = {.lex_state = 98, .external_lex_state = 2},
  [1600] = {.lex_state = 98, .external_lex_state = 2},
  [1601] = {.lex_state = 98, .external_lex_state = 2},
  [1602] = {.lex_state = 98, .external_lex_state = 2},
  [1603] = {.lex_state = 98, .external_lex_state = 2},
  [1604] = {.lex_state = 98, .external_lex_state = 2},
  [1605] = {.lex_state = 98, .external_lex_state = 2},
  [1606] = {.lex_state = 98, .external_lex_state = 2},
  [1607] = {.lex_state = 98, .external_lex_state = 2},
  [1608] = {.lex_state = 98, .external_lex_state = 2},
  [1609] = {.lex_state = 98, .external_lex_state = 2},
  [1610] = {.lex_state = 98, .external_lex_state = 2},
  [1611] = {.lex_state = 98, .external_lex_state = 2},
  [1612] = {.lex_state = 98, .external_lex_state = 2},
  [1613] = {.lex_state = 98, .external_lex_state = 2},
  [1614] = {.lex_state = 98, .external_lex_state = 2},
  [1615] = {.lex_state = 98, .external_lex_state = 2},
  [1616] = {.lex_state = 98, .external_lex_state = 2},
  [1617] = {.lex_state = 98, .external_lex_state = 2},
  [1618] = {.lex_state = 91},
  [1619] = {.lex_state = 98, .external_lex_state = 2},
  [1620] = {.lex_state = 98, .external_lex_state = 2},
  [1621] = {.lex_state = 98, .external_lex_state = 2},
  [1622] = {.lex_state = 98, .external_lex_state = 2},
  [1623] = {.lex_state = 98, .external_lex_state = 2},
  [1624] = {.lex_state = 98, .external_lex_state = 2},
  [1625] = {.lex_state = 98, .external_lex_state = 2},
  [1626] = {.lex_state = 98, .external_lex_state = 2},
  [1627] = {.lex_state = 98, .external_lex_state = 2},
  [1628] = {.lex_state = 98, .external_lex_state = 2},
  [1629] = {.lex_state = 98, .external_lex_state = 2},
  [1630] = {.lex_state = 98, .external_lex_state = 2},
  [1631] = {.lex_state = 98, .external_lex_state = 2},
  [1632] = {.lex_state = 98, .external_lex_state = 2},
  [1633] = {.lex_state = 98, .external_lex_state = 2},
  [1634] = {.lex_state = 98, .external_lex_state = 2},
  [1635] = {.lex_state = 98, .external_lex_state = 2},
  [1636] = {.lex_state = 98, .external_lex_state = 2},
  [1637] = {.lex_state = 98, .external_lex_state = 2},
  [1638] = {.lex_state = 98, .external_lex_state = 2},
  [1639] = {.lex_state = 98, .external_lex_state = 2},
  [1640] = {.lex_state = 98, .external_lex_state = 2},
  [1641] = {.lex_state = 98, .external_lex_state = 2},
  [1642] = {.lex_state = 98, .external_lex_state = 2},
  [1643] = {.lex_state = 98, .external_lex_state = 2},
  [1644] = {.lex_state = 98, .external_lex_state = 2},
  [1645] = {.lex_state = 98, .external_lex_state = 2},
  [1646] = {.lex_state = 98, .external_lex_state = 2},
  [1647] = {.lex_state = 98, .external_lex_state = 2},
  [1648] = {.lex_state = 98, .external_lex_state = 2},
  [1649] = {.lex_state = 98, .external_lex_state = 2},
  [1650] = {.lex_state = 98, .external_lex_state = 2},
  [1651] = {.lex_state = 98, .external_lex_state = 2},
  [1652] = {.lex_state = 98, .external_lex_state = 2},
  [1653] = {.lex_state = 98, .external_lex_state = 2},
  [1654] = {.lex_state = 98, .external_lex_state = 2},
  [1655] = {.lex_state = 98, .external_lex_state = 2},
  [1656] = {.lex_state = 98, .external_lex_state = 2},
  [1657] = {.lex_state = 98, .external_lex_state = 2},
  [1658] = {.lex_state = 98, .external_lex_state = 2},
  [1659] = {.lex_state = 98, .external_lex_state = 2},
  [1660] = {.lex_state = 98, .external_lex_state = 2},
  [1661] = {.lex_state = 98, .external_lex_state = 2},
  [1662] = {.lex_state = 98, .external_lex_state = 2},
  [1663] = {.lex_state = 98, .external_lex_state = 2},
  [1664] = {.lex_state = 98, .external_lex_state = 2},
  [1665] = {.lex_state = 98, .external_lex_state = 2},
  [1666] = {.lex_state = 98, .external_lex_state = 2},
  [1667] = {.lex_state = 98, .external_lex_state = 2},
  [1668] = {.lex_state = 98, .external_lex_state = 2},
  [1669] = {.lex_state = 98, .external_lex_state = 2},
  [1670] = {.lex_state = 98, .external_lex_state = 2},
  [1671] = {.lex_state = 98, .external_lex_state = 2},
  [1672] = {.lex_state = 98, .external_lex_state = 2},
  [1673] = {.lex_state = 98, .external_lex_state = 2},
  [1674] = {.lex_state = 98, .external_lex_state = 2},
  [1675] = {.lex_state = 98, .external_lex_state = 2},
  [1676] = {.lex_state = 98, .external_lex_state = 2},
  [1677] = {.lex_state = 98, .external_lex_state = 2},
  [1678] = {.lex_state = 98, .external_lex_state = 2},
  [1679] = {.lex_state = 98, .external_lex_state = 2},
  [1680] = {.lex_state = 98, .external_lex_state = 2},
  [1681] = {.lex_state = 98, .external_lex_state = 2},
  [1682] = {.lex_state = 98, .external_lex_state = 2},
  [1683] = {.lex_state = 98, .external_lex_state = 2},
  [1684] = {.lex_state = 98, .external_lex_state = 2},
  [1685] = {.lex_state = 98, .external_lex_state = 2},
  [1686] = {.lex_state = 98, .external_lex_state = 2},
  [1687] = {.lex_state = 98, .external_lex_state = 2},
  [1688] = {.lex_state = 98, .external_lex_state = 2},
  [1689] = {.lex_state = 98, .external_lex_state = 2},
  [1690] = {.lex_state = 98, .external_lex_state = 2},
  [1691] = {.lex_state = 98, .external_lex_state = 2},
  [1692] = {.lex_state = 98, .external_lex_state = 2},
  [1693] = {.lex_state = 98, .external_lex_state = 2},
  [1694] = {.lex_state = 98, .external_lex_state = 2},
  [1695] = {.lex_state = 98, .external_lex_state = 2},
  [1696] = {.lex_state = 98, .external_lex_state = 2},
  [1697] = {.lex_state = 98, .external_lex_state = 2},
  [1698] = {.lex_state = 98, .external_lex_state = 2},
  [1699] = {.lex_state = 98, .external_lex_state = 2},
  [1700] = {.lex_state = 98, .external_lex_state = 2},
  [1701] = {.lex_state = 98, .external_lex_state = 2},
  [1702] = {.lex_state = 98, .external_lex_state = 2},
  [1703] = {.lex_state = 98, .external_lex_state = 2},
  [1704] = {.lex_state = 98, .external_lex_state = 2},
  [1705] = {.lex_state = 98, .external_lex_state = 2},
  [1706] = {.lex_state = 98, .external_lex_state = 2},
  [1707] = {.lex_state = 98, .external_lex_state = 2},
  [1708] = {.lex_state = 98, .external_lex_state = 2},
  [1709] = {.lex_state = 98, .external_lex_state = 2},
  [1710] = {.lex_state = 98, .external_lex_state = 2},
  [1711] = {.lex_state = 98, .external_lex_state = 2},
  [1712] = {.lex_state = 98, .external_lex_state = 2},
  [1713] = {.lex_state = 98, .external_lex_state = 2},
  [1714] = {.lex_state = 98, .external_lex_state = 2},
  [1715] = {.lex_state = 98, .external_lex_state = 2},
  [1716] = {.lex_state = 98, .external_lex_state = 2},
  [1717] = {.lex_state = 98, .external_lex_state = 2},
  [1718] = {.lex_state = 98, .external_lex_state = 2},
  [1719] = {.lex_state = 98, .external_lex_state = 2},
  [1720] = {.lex_state = 98, .external_lex_state = 2},
  [1721] = {.lex_state = 98, .external_lex_state = 2},
  [1722] = {.lex_state = 98, .external_lex_state = 2},
  [1723] = {.lex_state = 98, .external_lex_state = 2},
  [1724] = {.lex_state = 98, .external_lex_state = 2},
  [1725] = {.lex_state = 98, .external_lex_state = 2},
  [1726] = {.lex_state = 98, .external_lex_state = 2},
  [1727] = {.lex_state = 98, .external_lex_state = 2},
  [1728] = {.lex_state = 98, .external_lex_state = 2},
  [1729] = {.lex_state = 98, .external_lex_state = 2},
  [1730] = {.lex_state = 98, .external_lex_state = 2},
  [1731] = {.lex_state = 98, .external_lex_state = 2},
  [1732] = {.lex_state = 98, .external_lex_state = 2},
  [1733] = {.lex_state = 98, .external_lex_state = 2},
  [1734] = {.lex_state = 98, .external_lex_state = 2},
  [1735] = {.lex_state = 98, .external_lex_state = 2},
  [1736] = {.lex_state = 98, .external_lex_state = 2},
  [1737] = {.lex_state = 98, .external_lex_state = 2},
  [1738] = {.lex_state = 98, .external_lex_state = 2},
  [1739] = {.lex_state = 98, .external_lex_state = 2},
  [1740] = {.lex_state = 98, .external_lex_state = 2},
  [1741] = {.lex_state = 98, .external_lex_state = 2},
  [1742] = {.lex_state = 98, .external_lex_state = 2},
  [1743] = {.lex_state = 98, .external_lex_state = 2},
  [1744] = {.lex_state = 98, .external_lex_state = 2},
  [1745] = {.lex_state = 98, .external_lex_state = 2},
  [1746] = {.lex_state = 98, .external_lex_state = 2},
  [1747] = {.lex_state = 98, .external_lex_state = 2},
  [1748] = {.lex_state = 98, .external_lex_state = 2},
  [1749] = {.lex_state = 98, .external_lex_state = 2},
  [1750] = {.lex_state = 98, .external_lex_state = 2},
  [1751] = {.lex_state = 98, .external_lex_state = 2},
  [1752] = {.lex_state = 98, .external_lex_state = 2},
  [1753] = {.lex_state = 98, .external_lex_state = 2},
  [1754] = {.lex_state = 98, .external_lex_state = 2},
  [1755] = {.lex_state = 98, .external_lex_state = 2},
  [1756] = {.lex_state = 98, .external_lex_state = 2},
  [1757] = {.lex_state = 98, .external_lex_state = 2},
  [1758] = {.lex_state = 98, .external_lex_state = 2},
  [1759] = {.lex_state = 98, .external_lex_state = 2},
  [1760] = {.lex_state = 98, .external_lex_state = 2},
  [1761] = {.lex_state = 98, .external_lex_state = 2},
  [1762] = {.lex_state = 98, .external_lex_state = 2},
  [1763] = {.lex_state = 98, .external_lex_state = 2},
  [1764] = {.lex_state = 98, .external_lex_state = 2},
  [1765] = {.lex_state = 98, .external_lex_state = 2},
  [1766] = {.lex_state = 98, .external_lex_state = 2},
  [1767] = {.lex_state = 98, .external_lex_state = 2},
  [1768] = {.lex_state = 98, .external_lex_state = 2},
  [1769] = {.lex_state = 98, .external_lex_state = 2},
  [1770] = {.lex_state = 98, .external_lex_state = 2},
  [1771] = {.lex_state = 98, .external_lex_state = 2},
  [1772] = {.lex_state = 98, .external_lex_state = 2},
  [1773] = {.lex_state = 98, .external_lex_state = 2},
  [1774] = {.lex_state = 98, .external_lex_state = 2},
  [1775] = {.lex_state = 98, .external_lex_state = 2},
  [1776] = {.lex_state = 98, .external_lex_state = 2},
  [1777] = {.lex_state = 98, .external_lex_state = 2},
  [1778] = {.lex_state = 98, .external_lex_state = 2},
  [1779] = {.lex_state = 98, .external_lex_state = 2},
  [1780] = {.lex_state = 98, .external_lex_state = 2},
  [1781] = {.lex_state = 98, .external_lex_state = 2},
  [1782] = {.lex_state = 98, .external_lex_state = 2},
  [1783] = {.lex_state = 98, .external_lex_state = 2},
  [1784] = {.lex_state = 98, .external_lex_state = 2},
  [1785] = {.lex_state = 98, .external_lex_state = 2},
  [1786] = {.lex_state = 98, .external_lex_state = 2},
  [1787] = {.lex_state = 98, .external_lex_state = 2},
  [1788] = {.lex_state = 98, .external_lex_state = 2},
  [1789] = {.lex_state = 98, .external_lex_state = 2},
  [1790] = {.lex_state = 98, .external_lex_state = 2},
  [1791] = {.lex_state = 98, .external_lex_state = 2},
  [1792] = {.lex_state = 98, .external_lex_state = 2},
  [1793] = {.lex_state = 98, .external_lex_state = 2},
  [1794] = {.lex_state = 98, .external_lex_state = 2},
  [1795] = {.lex_state = 98, .external_lex_state = 2},
  [1796] = {.lex_state = 98, .external_lex_state = 2},
  [1797] = {.lex_state = 98, .external_lex_state = 2},
  [1798] = {.lex_state = 98, .external_lex_state = 2},
  [1799] = {.lex_state = 98, .external_lex_state = 2},
  [1800] = {.lex_state = 98, .external_lex_state = 2},
  [1801] = {.lex_state = 98, .external_lex_state = 2},
  [1802] = {.lex_state = 98, .external_lex_state = 2},
  [1803] = {.lex_state = 98, .external_lex_state = 2},
  [1804] = {.lex_state = 98, .external_lex_state = 2},
  [1805] = {.lex_state = 98, .external_lex_state = 2},
  [1806] = {.lex_state = 98, .external_lex_state = 2},
  [1807] = {.lex_state = 98, .external_lex_state = 2},
  [1808] = {.lex_state = 98, .external_lex_state = 2},
  [1809] = {.lex_state = 98, .external_lex_state = 2},
  [1810] = {.lex_state = 98, .external_lex_state = 2},
  [1811] = {.lex_state = 98, .external_lex_state = 2},
  [1812] = {.lex_state = 98, .external_lex_state = 2},
  [1813] = {.lex_state = 98, .external_lex_state = 2},
  [1814] = {.lex_state = 98, .external_lex_state = 2},
  [1815] = {.lex_state = 98, .external_lex_state = 2},
  [1816] = {.lex_state = 98, .external_lex_state = 2},
  [1817] = {.lex_state = 98, .external_lex_state = 2},
  [1818] = {.lex_state = 98, .external_lex_state = 2},
  [1819] = {.lex_state = 98, .external_lex_state = 2},
  [1820] = {.lex_state = 98, .external_lex_state = 2},
  [1821] = {.lex_state = 98, .external_lex_state = 2},
  [1822] = {.lex_state = 98, .external_lex_state = 2},
  [1823] = {.lex_state = 98, .external_lex_state = 2},
  [1824] = {.lex_state = 98, .external_lex_state = 2},
  [1825] = {.lex_state = 91},
  [1826] = {.lex_state = 98, .external_lex_state = 2},
  [1827] = {.lex_state = 98, .external_lex_state = 2},
  [1828] = {.lex_state = 98, .external_lex_state = 2},
  [1829] = {.lex_state = 98, .external_lex_state = 2},
  [1830] = {.lex_state = 98, .external_lex_state = 2},
  [1831] = {.lex_state = 91},
  [1832] = {.lex_state = 98, .external_lex_state = 2},
  [1833] = {.lex_state = 98, .external_lex_state = 2},
  [1834] = {.lex_state = 98, .external_lex_state = 2},
  [1835] = {.lex_state = 98, .external_lex_state = 2},
  [1836] = {.lex_state = 98, .external_lex_state = 2},
  [1837] = {.lex_state = 98, .external_lex_state = 2},
  [1838] = {.lex_state = 98, .external_lex_state = 2},
  [1839] = {.lex_state = 98, .external_lex_state = 2},
  [1840] = {.lex_state = 98, .external_lex_state = 2},
  [1841] = {.lex_state = 98, .external_lex_state = 2},
  [1842] = {.lex_state = 98, .external_lex_state = 2},
  [1843] = {.lex_state = 98, .external_lex_state = 2},
  [1844] = {.lex_state = 98, .external_lex_state = 2},
  [1845] = {.lex_state = 98, .external_lex_state = 2},
  [1846] = {.lex_state = 98, .external_lex_state = 2},
  [1847] = {.lex_state = 98, .external_lex_state = 2},
  [1848] = {.lex_state = 86},
  [1849] = {.lex_state = 98, .external_lex_state = 2},
  [1850] = {.lex_state = 98, .external_lex_state = 2},
  [1851] = {.lex_state = 98, .external_lex_state = 2},
  [1852] = {.lex_state = 98, .external_lex_state = 2},
  [1853] = {.lex_state = 98, .external_lex_state = 2},
  [1854] = {.lex_state = 98, .external_lex_state = 2},
  [1855] = {.lex_state = 98, .external_lex_state = 2},
  [1856] = {.lex_state = 98, .external_lex_state = 2},
  [1857] = {.lex_state = 98, .external_lex_state = 2},
  [1858] = {.lex_state = 98, .external_lex_state = 2},
  [1859] = {.lex_state = 98, .external_lex_state = 2},
  [1860] = {.lex_state = 98, .external_lex_state = 2},
  [1861] = {.lex_state = 98, .external_lex_state = 2},
  [1862] = {.lex_state = 98, .external_lex_state = 2},
  [1863] = {.lex_state = 98, .external_lex_state = 2},
  [1864] = {.lex_state = 98, .external_lex_state = 2},
  [1865] = {.lex_state = 98, .external_lex_state = 2},
  [1866] = {.lex_state = 98, .external_lex_state = 2},
  [1867] = {.lex_state = 98, .external_lex_state = 2},
  [1868] = {.lex_state = 98, .external_lex_state = 2},
  [1869] = {.lex_state = 98, .external_lex_state = 2},
  [1870] = {.lex_state = 98, .external_lex_state = 2},
  [1871] = {.lex_state = 98, .external_lex_state = 2},
  [1872] = {.lex_state = 98, .external_lex_state = 2},
  [1873] = {.lex_state = 98, .external_lex_state = 2},
  [1874] = {.lex_state = 98, .external_lex_state = 2},
  [1875] = {.lex_state = 98, .external_lex_state = 2},
  [1876] = {.lex_state = 91},
  [1877] = {.lex_state = 98, .external_lex_state = 2},
  [1878] = {.lex_state = 98, .external_lex_state = 2},
  [1879] = {.lex_state = 98, .external_lex_state = 2},
  [1880] = {.lex_state = 98, .external_lex_state = 2},
  [1881] = {.lex_state = 98, .external_lex_state = 2},
  [1882] = {.lex_state = 98, .external_lex_state = 2},
  [1883] = {.lex_state = 98, .external_lex_state = 2},
  [1884] = {.lex_state = 91},
  [1885] = {.lex_state = 91},
  [1886] = {.lex_state = 91},
  [1887] = {.lex_state = 91},
  [1888] = {.lex_state = 95},
  [1889] = {.lex_state = 91},
  [1890] = {.lex_state = 91},
  [1891] = {.lex_state = 91},
  [1892] = {.lex_state = 91},
  [1893] = {.lex_state = 91},
  [1894] = {.lex_state = 91},
  [1895] = {.lex_state = 91},
  [1896] = {.lex_state = 91},
  [1897] = {.lex_state = 91},
  [1898] = {.lex_state = 91},
  [1899] = {.lex_state = 91},
  [1900] = {.lex_state = 91},
  [1901] = {.lex_state = 91},
  [1902] = {.lex_state = 91},
  [1903] = {.lex_state = 91},
  [1904] = {.lex_state = 91},
  [1905] = {.lex_state = 91},
  [1906] = {.lex_state = 91},
  [1907] = {.lex_state = 91},
  [1908] = {.lex_state = 91},
  [1909] = {.lex_state = 91},
  [1910] = {.lex_state = 91},
  [1911] = {.lex_state = 91},
  [1912] = {.lex_state = 91},
  [1913] = {.lex_state = 91},
  [1914] = {.lex_state = 91},
  [1915] = {.lex_state = 91},
  [1916] = {.lex_state = 91},
  [1917] = {.lex_state = 91},
  [1918] = {.lex_state = 91},
  [1919] = {.lex_state = 91},
  [1920] = {.lex_state = 91},
  [1921] = {.lex_state = 91},
  [1922] = {.lex_state = 91},
  [1923] = {.lex_state = 91},
  [1924] = {.lex_state = 91},
  [1925] = {.lex_state = 91},
  [1926] = {.lex_state = 91},
  [1927] = {.lex_state = 91},
  [1928] = {.lex_state = 91},
  [1929] = {.lex_state = 91},
  [1930] = {.lex_state = 91},
  [1931] = {.lex_state = 91},
  [1932] = {.lex_state = 91},
  [1933] = {.lex_state = 91},
  [1934] = {.lex_state = 91},
  [1935] = {.lex_state = 91},
  [1936] = {.lex_state = 91},
  [1937] = {.lex_state = 91},
  [1938] = {.lex_state = 91},
  [1939] = {.lex_state = 91},
  [1940] = {.lex_state = 91},
  [1941] = {.lex_state = 91},
  [1942] = {.lex_state = 91},
  [1943] = {.lex_state = 91},
  [1944] = {.lex_state = 91},
  [1945] = {.lex_state = 91},
  [1946] = {.lex_state = 91},
  [1947] = {.lex_state = 89},
  [1948] = {.lex_state = 86},
  [1949] = {.lex_state = 91},
  [1950] = {.lex_state = 86},
  [1951] = {.lex_state = 91},
  [1952] = {.lex_state = 91},
  [1953] = {.lex_state = 91},
  [1954] = {.lex_state = 91},
  [1955] = {.lex_state = 91},
  [1956] = {.lex_state = 91},
  [1957] = {.lex_state = 91},
  [1958] = {.lex_state = 91},
  [1959] = {.lex_state = 91},
  [1960] = {.lex_state = 91},
  [1961] = {.lex_state = 91},
  [1962] = {.lex_state = 88},
  [1963] = {.lex_state = 91},
  [1964] = {.lex_state = 91},
  [1965] = {.lex_state = 91},
  [1966] = {.lex_state = 91},
  [1967] = {.lex_state = 91},
  [1968] = {.lex_state = 91},
  [1969] = {.lex_state = 91},
  [1970] = {.lex_state = 91},
  [1971] = {.lex_state = 91},
  [1972] = {.lex_state = 91},
  [1973] = {.lex_state = 91},
  [1974] = {.lex_state = 91},
  [1975] = {.lex_state = 91},
  [1976] = {.lex_state = 91},
  [1977] = {.lex_state = 91},
  [1978] = {.lex_state = 91},
  [1979] = {.lex_state = 91},
  [1980] = {.lex_state = 91},
  [1981] = {.lex_state = 91},
  [1982] = {.lex_state = 91},
  [1983] = {.lex_state = 91},
  [1984] = {.lex_state = 91},
  [1985] = {.lex_state = 91},
  [1986] = {.lex_state = 91},
  [1987] = {.lex_state = 91},
  [1988] = {.lex_state = 91},
  [1989] = {.lex_state = 91},
  [1990] = {.lex_state = 91},
  [1991] = {.lex_state = 91},
  [1992] = {.lex_state = 91},
  [1993] = {.lex_state = 91},
  [1994] = {.lex_state = 91},
  [1995] = {.lex_state = 91},
  [1996] = {.lex_state = 91},
  [1997] = {.lex_state = 91},
  [1998] = {.lex_state = 91},
  [1999] = {.lex_state = 91},
  [2000] = {.lex_state = 91},
  [2001] = {.lex_state = 91},
  [2002] = {.lex_state = 91},
  [2003] = {.lex_state = 91},
  [2004] = {.lex_state = 91},
  [2005] = {.lex_state = 91},
  [2006] = {.lex_state = 91},
  [2007] = {.lex_state = 91},
  [2008] = {.lex_state = 91},
  [2009] = {.lex_state = 91},
  [2010] = {.lex_state = 91},
  [2011] = {.lex_state = 91},
  [2012] = {.lex_state = 91},
  [2013] = {.lex_state = 91},
  [2014] = {.lex_state = 91},
  [2015] = {.lex_state = 91},
  [2016] = {.lex_state = 91},
  [2017] = {.lex_state = 91},
  [2018] = {.lex_state = 91},
  [2019] = {.lex_state = 91},
  [2020] = {.lex_state = 91},
  [2021] = {.lex_state = 91},
  [2022] = {.lex_state = 91},
  [2023] = {.lex_state = 91},
  [2024] = {.lex_state = 91},
  [2025] = {.lex_state = 91},
  [2026] = {.lex_state = 91},
  [2027] = {.lex_state = 91},
  [2028] = {.lex_state = 91},
  [2029] = {.lex_state = 91},
  [2030] = {.lex_state = 91},
  [2031] = {.lex_state = 91},
  [2032] = {.lex_state = 91},
  [2033] = {.lex_state = 91},
  [2034] = {.lex_state = 91},
  [2035] = {.lex_state = 91},
  [2036] = {.lex_state = 91},
  [2037] = {.lex_state = 91},
  [2038] = {.lex_state = 91},
  [2039] = {.lex_state = 91},
  [2040] = {.lex_state = 91},
  [2041] = {.lex_state = 91},
  [2042] = {.lex_state = 91},
  [2043] = {.lex_state = 91},
  [2044] = {.lex_state = 88},
  [2045] = {.lex_state = 91},
  [2046] = {.lex_state = 91},
  [2047] = {.lex_state = 91},
  [2048] = {.lex_state = 89},
  [2049] = {.lex_state = 91},
  [2050] = {.lex_state = 91},
  [2051] = {.lex_state = 91},
  [2052] = {.lex_state = 91},
  [2053] = {.lex_state = 91},
  [2054] = {.lex_state = 91},
  [2055] = {.lex_state = 91},
  [2056] = {.lex_state = 91},
  [2057] = {.lex_state = 91},
  [2058] = {.lex_state = 91},
  [2059] = {.lex_state = 91},
  [2060] = {.lex_state = 91, .external_lex_state = 2},
  [2061] = {.lex_state = 91},
  [2062] = {.lex_state = 91},
  [2063] = {.lex_state = 91},
  [2064] = {.lex_state = 91},
  [2065] = {.lex_state = 91},
  [2066] = {.lex_state = 91},
  [2067] = {.lex_state = 91},
  [2068] = {.lex_state = 91},
  [2069] = {.lex_state = 91},
  [2070] = {.lex_state = 91},
  [2071] = {.lex_state = 91},
  [2072] = {.lex_state = 91},
  [2073] = {.lex_state = 91},
  [2074] = {.lex_state = 91},
  [2075] = {.lex_state = 91},
  [2076] = {.lex_state = 91},
  [2077] = {.lex_state = 91},
  [2078] = {.lex_state = 91},
  [2079] = {.lex_state = 95},
  [2080] = {.lex_state = 91},
  [2081] = {.lex_state = 91},
  [2082] = {.lex_state = 91},
  [2083] = {.lex_state = 91},
  [2084] = {.lex_state = 91},
  [2085] = {.lex_state = 91},
  [2086] = {.lex_state = 91},
  [2087] = {.lex_state = 91},
  [2088] = {.lex_state = 91},
  [2089] = {.lex_state = 91},
  [2090] = {.lex_state = 91},
  [2091] = {.lex_state = 91},
  [2092] = {.lex_state = 91},
  [2093] = {.lex_state = 91},
  [2094] = {.lex_state = 91},
  [2095] = {.lex_state = 91},
  [2096] = {.lex_state = 91},
  [2097] = {.lex_state = 91},
  [2098] = {.lex_state = 91},
  [2099] = {.lex_state = 91},
  [2100] = {.lex_state = 91},
  [2101] = {.lex_state = 91},
  [2102] = {.lex_state = 91},
  [2103] = {.lex_state = 91},
  [2104] = {.lex_state = 91},
  [2105] = {.lex_state = 91},
  [2106] = {.lex_state = 91},
  [2107] = {.lex_state = 91},
  [2108] = {.lex_state = 91},
  [2109] = {.lex_state = 91},
  [2110] = {.lex_state = 91},
  [2111] = {.lex_state = 91},
  [2112] = {.lex_state = 91},
  [2113] = {.lex_state = 91},
  [2114] = {.lex_state = 91},
  [2115] = {.lex_state = 91},
  [2116] = {.lex_state = 91},
  [2117] = {.lex_state = 91},
  [2118] = {.lex_state = 91},
  [2119] = {.lex_state = 91},
  [2120] = {.lex_state = 91},
  [2121] = {.lex_state = 91},
  [2122] = {.lex_state = 91},
  [2123] = {.lex_state = 91},
  [2124] = {.lex_state = 91},
  [2125] = {.lex_state = 91},
  [2126] = {.lex_state = 91},
  [2127] = {.lex_state = 91},
  [2128] = {.lex_state = 91},
  [2129] = {.lex_state = 91},
  [2130] = {.lex_state = 91},
  [2131] = {.lex_state = 88},
  [2132] = {.lex_state = 91},
  [2133] = {.lex_state = 91},
  [2134] = {.lex_state = 91},
  [2135] = {.lex_state = 91},
  [2136] = {.lex_state = 91},
  [2137] = {.lex_state = 91},
  [2138] = {.lex_state = 91},
  [2139] = {.lex_state = 91},
  [2140] = {.lex_state = 91},
  [2141] = {.lex_state = 91},
  [2142] = {.lex_state = 91},
  [2143] = {.lex_state = 91},
  [2144] = {.lex_state = 91},
  [2145] = {.lex_state = 91},
  [2146] = {.lex_state = 91},
  [2147] = {.lex_state = 91},
  [2148] = {.lex_state = 91},
  [2149] = {.lex_state = 91},
  [2150] = {.lex_state = 91},
  [2151] = {.lex_state = 91},
  [2152] = {.lex_state = 91},
  [2153] = {.lex_state = 91},
  [2154] = {.lex_state = 91},
  [2155] = {.lex_state = 91},
  [2156] = {.lex_state = 91},
  [2157] = {.lex_state = 91},
  [2158] = {.lex_state = 91},
  [2159] = {.lex_state = 91},
  [2160] = {.lex_state = 91},
  [2161] = {.lex_state = 91},
  [2162] = {.lex_state = 91},
  [2163] = {.lex_state = 91},
  [2164] = {.lex_state = 91},
  [2165] = {.lex_state = 91},
  [2166] = {.lex_state = 91},
  [2167] = {.lex_state = 91},
  [2168] = {.lex_state = 91},
  [2169] = {.lex_state = 91},
  [2170] = {.lex_state = 91},
  [2171] = {.lex_state = 91},
  [2172] = {.lex_state = 91},
  [2173] = {.lex_state = 91},
  [2174] = {.lex_state = 91},
  [2175] = {.lex_state = 91},
  [2176] = {.lex_state = 91},
  [2177] = {.lex_state = 91},
  [2178] = {.lex_state = 91},
  [2179] = {.lex_state = 91},
  [2180] = {.lex_state = 91},
  [2181] = {.lex_state = 91},
  [2182] = {.lex_state = 91},
  [2183] = {.lex_state = 91},
  [2184] = {.lex_state = 91},
  [2185] = {.lex_state = 91},
  [2186] = {.lex_state = 91},
  [2187] = {.lex_state = 91},
  [2188] = {.lex_state = 91},
  [2189] = {.lex_state = 91},
  [2190] = {.lex_state = 91},
  [2191] = {.lex_state = 91},
  [2192] = {.lex_state = 91},
  [2193] = {.lex_state = 91},
  [2194] = {.lex_state = 91},
  [2195] = {.lex_state = 91},
  [2196] = {.lex_state = 91},
  [2197] = {.lex_state = 91},
  [2198] = {.lex_state = 91},
  [2199] = {.lex_state = 91},
  [2200] = {.lex_state = 89},
  [2201] = {.lex_state = 91},
  [2202] = {.lex_state = 91},
  [2203] = {.lex_state = 91},
  [2204] = {.lex_state = 91},
  [2205] = {.lex_state = 91},
  [2206] = {.lex_state = 91},
  [2207] = {.lex_state = 91},
  [2208] = {.lex_state = 91},
  [2209] = {.lex_state = 91},
  [2210] = {.lex_state = 91},
  [2211] = {.lex_state = 91},
  [2212] = {.lex_state = 91},
  [2213] = {.lex_state = 91},
  [2214] = {.lex_state = 91},
  [2215] = {.lex_state = 91},
  [2216] = {.lex_state = 91},
  [2217] = {.lex_state = 91},
  [2218] = {.lex_state = 91},
  [2219] = {.lex_state = 91},
  [2220] = {.lex_state = 91},
  [2221] = {.lex_state = 91},
  [2222] = {.lex_state = 91},
  [2223] = {.lex_state = 91},
  [2224] = {.lex_state = 91},
  [2225] = {.lex_state = 91},
  [2226] = {.lex_state = 91},
  [2227] = {.lex_state = 91},
  [2228] = {.lex_state = 91},
  [2229] = {.lex_state = 91},
  [2230] = {.lex_state = 91},
  [2231] = {.lex_state = 91},
  [2232] = {.lex_state = 91},
  [2233] = {.lex_state = 91},
  [2234] = {.lex_state = 91},
  [2235] = {.lex_state = 91},
  [2236] = {.lex_state = 91},
  [2237] = {.lex_state = 91},
  [2238] = {.lex_state = 91},
  [2239] = {.lex_state = 91},
  [2240] = {.lex_state = 91},
  [2241] = {.lex_state = 91},
  [2242] = {.lex_state = 91},
  [2243] = {.lex_state = 91},
  [2244] = {.lex_state = 91},
  [2245] = {.lex_state = 91},
  [2246] = {.lex_state = 91},
  [2247] = {.lex_state = 91},
  [2248] = {.lex_state = 91},
  [2249] = {.lex_state = 91},
  [2250] = {.lex_state = 91},
  [2251] = {.lex_state = 91},
  [2252] = {.lex_state = 91},
  [2253] = {.lex_state = 91},
  [2254] = {.lex_state = 91},
  [2255] = {.lex_state = 91},
  [2256] = {.lex_state = 91},
  [2257] = {.lex_state = 91},
  [2258] = {.lex_state = 91},
  [2259] = {.lex_state = 91},
  [2260] = {.lex_state = 91},
  [2261] = {.lex_state = 91},
  [2262] = {.lex_state = 91},
  [2263] = {.lex_state = 91},
  [2264] = {.lex_state = 91},
  [2265] = {.lex_state = 91},
  [2266] = {.lex_state = 91},
  [2267] = {.lex_state = 91},
  [2268] = {.lex_state = 91},
  [2269] = {.lex_state = 91},
  [2270] = {.lex_state = 91},
  [2271] = {.lex_state = 91},
  [2272] = {.lex_state = 91},
  [2273] = {.lex_state = 91},
  [2274] = {.lex_state = 91},
  [2275] = {.lex_state = 91},
  [2276] = {.lex_state = 91},
  [2277] = {.lex_state = 91},
  [2278] = {.lex_state = 91},
  [2279] = {.lex_state = 91},
  [2280] = {.lex_state = 91},
  [2281] = {.lex_state = 91},
  [2282] = {.lex_state = 92},
  [2283] = {.lex_state = 92},
  [2284] = {.lex_state = 89},
  [2285] = {.lex_state = 89},
  [2286] = {.lex_state = 92},
  [2287] = {.lex_state = 92},
  [2288] = {.lex_state = 89},
  [2289] = {.lex_state = 89},
  [2290] = {.lex_state = 89},
  [2291] = {.lex_state = 89},
  [2292] = {.lex_state = 89},
  [2293] = {.lex_state = 89},
  [2294] = {.lex_state = 89},
  [2295] = {.lex_state = 92},
  [2296] = {.lex_state = 92},
  [2297] = {.lex_state = 89},
  [2298] = {.lex_state = 89},
  [2299] = {.lex_state = 89},
  [2300] = {.lex_state = 92},
  [2301] = {.lex_state = 89},
  [2302] = {.lex_state = 89},
  [2303] = {.lex_state = 92},
  [2304] = {.lex_state = 89},
  [2305] = {.lex_state = 89},
  [2306] = {.lex_state = 88},
  [2307] = {.lex_state = 89},
  [2308] = {.lex_state = 92},
  [2309] = {.lex_state = 92},
  [2310] = {.lex_state = 89},
  [2311] = {.lex_state = 89},
  [2312] = {.lex_state = 89},
  [2313] = {.lex_state = 89},
  [2314] = {.lex_state = 92},
  [2315] = {.lex_state = 92},
  [2316] = {.lex_state = 89},
  [2317] = {.lex_state = 92},
  [2318] = {.lex_state = 92},
  [2319] = {.lex_state = 92},
  [2320] = {.lex_state = 92},
  [2321] = {.lex_state = 89},
  [2322] = {.lex_state = 89},
  [2323] = {.lex_state = 89},
  [2324] = {.lex_state = 89},
  [2325] = {.lex_state = 89},
  [2326] = {.lex_state = 89},
  [2327] = {.lex_state = 89},
  [2328] = {.lex_state = 89},
  [2329] = {.lex_state = 89},
  [2330] = {.lex_state = 92},
  [2331] = {.lex_state = 92},
  [2332] = {.lex_state = 92},
  [2333] = {.lex_state = 89},
  [2334] = {.lex_state = 89},
  [2335] = {.lex_state = 92},
  [2336] = {.lex_state = 92},
  [2337] = {.lex_state = 89},
  [2338] = {.lex_state = 89},
  [2339] = {.lex_state = 89},
  [2340] = {.lex_state = 89},
  [2341] = {.lex_state = 89},
  [2342] = {.lex_state = 89},
  [2343] = {.lex_state = 89},
  [2344] = {.lex_state = 89},
  [2345] = {.lex_state = 89},
  [2346] = {.lex_state = 89},
  [2347] = {.lex_state = 89},
  [2348] = {.lex_state = 89},
  [2349] = {.lex_state = 89},
  [2350] = {.lex_state = 89},
  [2351] = {.lex_state = 89},
  [2352] = {.lex_state = 89},
  [2353] = {.lex_state = 89},
  [2354] = {.lex_state = 92},
  [2355] = {.lex_state = 101},
  [2356] = {.lex_state = 92},
  [2357] = {.lex_state = 92},
  [2358] = {.lex_state = 88},
  [2359] = {.lex_state = 92},
  [2360] = {.lex_state = 88},
  [2361] = {.lex_state = 92},
  [2362] = {.lex_state = 92},
  [2363] = {.lex_state = 92},
  [2364] = {.lex_state = 92},
  [2365] = {.lex_state = 92},
  [2366] = {.lex_state = 92},
  [2367] = {.lex_state = 92},
  [2368] = {.lex_state = 92},
  [2369] = {.lex_state = 92},
  [2370] = {.lex_state = 92},
  [2371] = {.lex_state = 92},
  [2372] = {.lex_state = 92},
  [2373] = {.lex_state = 92},
  [2374] = {.lex_state = 92},
  [2375] = {.lex_state = 92},
  [2376] = {.lex_state = 92},
  [2377] = {.lex_state = 92},
  [2378] = {.lex_state = 92},
  [2379] = {.lex_state = 92},
  [2380] = {.lex_state = 92},
  [2381] = {.lex_state = 92},
  [2382] = {.lex_state = 92},
  [2383] = {.lex_state = 92},
  [2384] = {.lex_state = 92},
  [2385] = {.lex_state = 92},
  [2386] = {.lex_state = 92},
  [2387] = {.lex_state = 92},
  [2388] = {.lex_state = 92},
  [2389] = {.lex_state = 92},
  [2390] = {.lex_state = 92},
  [2391] = {.lex_state = 92},
  [2392] = {.lex_state = 92},
  [2393] = {.lex_state = 92},
  [2394] = {.lex_state = 92},
  [2395] = {.lex_state = 92},
  [2396] = {.lex_state = 92},
  [2397] = {.lex_state = 92},
  [2398] = {.lex_state = 92},
  [2399] = {.lex_state = 92},
  [2400] = {.lex_state = 92},
  [2401] = {.lex_state = 92},
  [2402] = {.lex_state = 92},
  [2403] = {.lex_state = 92},
  [2404] = {.lex_state = 92},
  [2405] = {.lex_state = 101},
  [2406] = {.lex_state = 92},
  [2407] = {.lex_state = 92},
  [2408] = {.lex_state = 92},
  [2409] = {.lex_state = 92},
  [2410] = {.lex_state = 92},
  [2411] = {.lex_state = 92},
  [2412] = {.lex_state = 92},
  [2413] = {.lex_state = 92},
  [2414] = {.lex_state = 95},
  [2415] = {.lex_state = 92},
  [2416] = {.lex_state = 92},
  [2417] = {.lex_state = 92},
  [2418] = {.lex_state = 92},
  [2419] = {.lex_state = 92},
  [2420] = {.lex_state = 88},
  [2421] = {.lex_state = 92},
  [2422] = {.lex_state = 88},
  [2423] = {.lex_state = 89},
  [2424] = {.lex_state = 92},
  [2425] = {.lex_state = 92},
  [2426] = {.lex_state = 92},
  [2427] = {.lex_state = 92},
  [2428] = {.lex_state = 92},
  [2429] = {.lex_state = 92},
  [2430] = {.lex_state = 92},
  [2431] = {.lex_state = 88},
  [2432] = {.lex_state = 91},
  [2433] = {.lex_state = 92},
  [2434] = {.lex_state = 92},
  [2435] = {.lex_state = 92},
  [2436] = {.lex_state = 92},
  [2437] = {.lex_state = 92},
  [2438] = {.lex_state = 92},
  [2439] = {.lex_state = 92},
  [2440] = {.lex_state = 92},
  [2441] = {.lex_state = 92},
  [2442] = {.lex_state = 92},
  [2443] = {.lex_state = 92},
  [2444] = {.lex_state = 92},
  [2445] = {.lex_state = 88},
  [2446] = {.lex_state = 92},
  [2447] = {.lex_state = 92},
  [2448] = {.lex_state = 92},
  [2449] = {.lex_state = 89},
  [2450] = {.lex_state = 92},
  [2451] = {.lex_state = 92},
  [2452] = {.lex_state = 88},
  [2453] = {.lex_state = 92},
  [2454] = {.lex_state = 92},
  [2455] = {.lex_state = 88},
  [2456] = {.lex_state = 92},
  [2457] = {.lex_state = 92},
  [2458] = {.lex_state = 92},
  [2459] = {.lex_state = 92},
  [2460] = {.lex_state = 92},
  [2461] = {.lex_state = 92},
  [2462] = {.lex_state = 92},
  [2463] = {.lex_state = 92},
  [2464] = {.lex_state = 92},
  [2465] = {.lex_state = 92},
  [2466] = {.lex_state = 92},
  [2467] = {.lex_state = 88},
  [2468] = {.lex_state = 92},
  [2469] = {.lex_state = 88},
  [2470] = {.lex_state = 92},
  [2471] = {.lex_state = 88},
  [2472] = {.lex_state = 92},
  [2473] = {.lex_state = 92},
  [2474] = {.lex_state = 88},
  [2475] = {.lex_state = 92},
  [2476] = {.lex_state = 92},
  [2477] = {.lex_state = 92},
  [2478] = {.lex_state = 88},
  [2479] = {.lex_state = 92},
  [2480] = {.lex_state = 91},
  [2481] = {.lex_state = 92},
  [2482] = {.lex_state = 92},
  [2483] = {.lex_state = 88},
  [2484] = {.lex_state = 95},
  [2485] = {.lex_state = 92},
  [2486] = {.lex_state = 88},
  [2487] = {.lex_state = 88},
  [2488] = {.lex_state = 92},
  [2489] = {.lex_state = 92},
  [2490] = {.lex_state = 88},
  [2491] = {.lex_state = 92},
  [2492] = {.lex_state = 92},
  [2493] = {.lex_state = 92},
  [2494] = {.lex_state = 92},
  [2495] = {.lex_state = 92},
  [2496] = {.lex_state = 92},
  [2497] = {.lex_state = 92},
  [2498] = {.lex_state = 92},
  [2499] = {.lex_state = 89},
  [2500] = {.lex_state = 92, .external_lex_state = 2},
  [2501] = {.lex_state = 92},
  [2502] = {.lex_state = 92},
  [2503] = {.lex_state = 88},
  [2504] = {.lex_state = 88},
  [2505] = {.lex_state = 92},
  [2506] = {.lex_state = 92},
  [2507] = {.lex_state = 92},
  [2508] = {.lex_state = 92},
  [2509] = {.lex_state = 92},
  [2510] = {.lex_state = 92},
  [2511] = {.lex_state = 88},
  [2512] = {.lex_state = 92},
  [2513] = {.lex_state = 92},
  [2514] = {.lex_state = 92},
  [2515] = {.lex_state = 92},
  [2516] = {.lex_state = 88},
  [2517] = {.lex_state = 89},
  [2518] = {.lex_state = 89},
  [2519] = {.lex_state = 85},
  [2520] = {.lex_state = 88},
  [2521] = {.lex_state = 91},
  [2522] = {.lex_state = 85},
  [2523] = {.lex_state = 92},
  [2524] = {.lex_state = 91},
  [2525] = {.lex_state = 92, .external_lex_state = 2},
  [2526] = {.lex_state = 91},
  [2527] = {.lex_state = 89},
  [2528] = {.lex_state = 92},
  [2529] = {.lex_state = 92},
  [2530] = {.lex_state = 92},
  [2531] = {.lex_state = 92},
  [2532] = {.lex_state = 92},
  [2533] = {.lex_state = 92},
  [2534] = {.lex_state = 92},
  [2535] = {.lex_state = 92},
  [2536] = {.lex_state = 92},
  [2537] = {.lex_state = 92},
  [2538] = {.lex_state = 92},
  [2539] = {.lex_state = 92},
  [2540] = {.lex_state = 92},
  [2541] = {.lex_state = 92},
  [2542] = {.lex_state = 92},
  [2543] = {.lex_state = 92},
  [2544] = {.lex_state = 92},
  [2545] = {.lex_state = 92},
  [2546] = {.lex_state = 92},
  [2547] = {.lex_state = 92},
  [2548] = {.lex_state = 92},
  [2549] = {.lex_state = 92},
  [2550] = {.lex_state = 92},
  [2551] = {.lex_state = 92},
  [2552] = {.lex_state = 92},
  [2553] = {.lex_state = 92},
  [2554] = {.lex_state = 92},
  [2555] = {.lex_state = 92},
  [2556] = {.lex_state = 92},
  [2557] = {.lex_state = 92},
  [2558] = {.lex_state = 92},
  [2559] = {.lex_state = 92},
  [2560] = {.lex_state = 92},
  [2561] = {.lex_state = 92},
  [2562] = {.lex_state = 92},
  [2563] = {.lex_state = 92},
  [2564] = {.lex_state = 92},
  [2565] = {.lex_state = 92},
  [2566] = {.lex_state = 92},
  [2567] = {.lex_state = 92},
  [2568] = {.lex_state = 92},
  [2569] = {.lex_state = 92},
  [2570] = {.lex_state = 92},
  [2571] = {.lex_state = 92},
  [2572] = {.lex_state = 92},
  [2573] = {.lex_state = 92},
  [2574] = {.lex_state = 92},
  [2575] = {.lex_state = 92},
  [2576] = {.lex_state = 92},
  [2577] = {.lex_state = 89},
  [2578] = {.lex_state = 89},
  [2579] = {.lex_state = 92},
  [2580] = {.lex_state = 89},
  [2581] = {.lex_state = 89},
  [2582] = {.lex_state = 92},
  [2583] = {.lex_state = 89},
  [2584] = {.lex_state = 92},
  [2585] = {.lex_state = 92},
  [2586] = {.lex_state = 89},
  [2587] = {.lex_state = 92},
  [2588] = {.lex_state = 92},
  [2589] = {.lex_state = 92},
  [2590] = {.lex_state = 92},
  [2591] = {.lex_state = 92},
  [2592] = {.lex_state = 92},
  [2593] = {.lex_state = 92},
  [2594] = {.lex_state = 92},
  [2595] = {.lex_state = 89},
  [2596] = {.lex_state = 89},
  [2597] = {.lex_state = 92},
  [2598] = {.lex_state = 92},
  [2599] = {.lex_state = 92},
  [2600] = {.lex_state = 92},
  [2601] = {.lex_state = 92},
  [2602] = {.lex_state = 92},
  [2603] = {.lex_state = 92},
  [2604] = {.lex_state = 89},
  [2605] = {.lex_state = 92},
  [2606] = {.lex_state = 92},
  [2607] = {.lex_state = 89},
  [2608] = {.lex_state = 92},
  [2609] = {.lex_state = 92},
  [2610] = {.lex_state = 92},
  [2611] = {.lex_state = 92},
  [2612] = {.lex_state = 92},
  [2613] = {.lex_state = 92},
  [2614] = {.lex_state = 92},
  [2615] = {.lex_state = 92},
  [2616] = {.lex_state = 92},
  [2617] = {.lex_state = 89},
  [2618] = {.lex_state = 92},
  [2619] = {.lex_state = 92},
  [2620] = {.lex_state = 92},
  [2621] = {.lex_state = 92},
  [2622] = {.lex_state = 89},
  [2623] = {.lex_state = 89},
  [2624] = {.lex_state = 89},
  [2625] = {.lex_state = 92},
  [2626] = {.lex_state = 89},
  [2627] = {.lex_state = 92},
  [2628] = {.lex_state = 92},
  [2629] = {.lex_state = 92},
  [2630] = {.lex_state = 92},
  [2631] = {.lex_state = 92},
  [2632] = {.lex_state = 92},
  [2633] = {.lex_state = 92},
  [2634] = {.lex_state = 92},
  [2635] = {.lex_state = 92},
  [2636] = {.lex_state = 92},
  [2637] = {.lex_state = 92},
  [2638] = {.lex_state = 92},
  [2639] = {.lex_state = 92},
  [2640] = {.lex_state = 92},
  [2641] = {.lex_state = 92},
  [2642] = {.lex_state = 92},
  [2643] = {.lex_state = 92},
  [2644] = {.lex_state = 92},
  [2645] = {.lex_state = 92},
  [2646] = {.lex_state = 92},
  [2647] = {.lex_state = 92},
  [2648] = {.lex_state = 92},
  [2649] = {.lex_state = 92},
  [2650] = {.lex_state = 92},
  [2651] = {.lex_state = 92},
  [2652] = {.lex_state = 92},
  [2653] = {.lex_state = 92},
  [2654] = {.lex_state = 91},
  [2655] = {.lex_state = 92},
  [2656] = {.lex_state = 92},
  [2657] = {.lex_state = 92},
  [2658] = {.lex_state = 92},
  [2659] = {.lex_state = 92},
  [2660] = {.lex_state = 92},
  [2661] = {.lex_state = 92},
  [2662] = {.lex_state = 92},
  [2663] = {.lex_state = 92},
  [2664] = {.lex_state = 92},
  [2665] = {.lex_state = 92},
  [2666] = {.lex_state = 92},
  [2667] = {.lex_state = 92},
  [2668] = {.lex_state = 92},
  [2669] = {.lex_state = 92},
  [2670] = {.lex_state = 92},
  [2671] = {.lex_state = 92},
  [2672] = {.lex_state = 92},
  [2673] = {.lex_state = 92},
  [2674] = {.lex_state = 92},
  [2675] = {.lex_state = 92},
  [2676] = {.lex_state = 92},
  [2677] = {.lex_state = 92},
  [2678] = {.lex_state = 92},
  [2679] = {.lex_state = 92},
  [2680] = {.lex_state = 92},
  [2681] = {.lex_state = 92},
  [2682] = {.lex_state = 92},
  [2683] = {.lex_state = 92},
  [2684] = {.lex_state = 92},
  [2685] = {.lex_state = 92},
  [2686] = {.lex_state = 92},
  [2687] = {.lex_state = 92},
  [2688] = {.lex_state = 92},
  [2689] = {.lex_state = 92},
  [2690] = {.lex_state = 92},
  [2691] = {.lex_state = 92},
  [2692] = {.lex_state = 92},
  [2693] = {.lex_state = 92},
  [2694] = {.lex_state = 92},
  [2695] = {.lex_state = 92},
  [2696] = {.lex_state = 92},
  [2697] = {.lex_state = 92},
  [2698] = {.lex_state = 92},
  [2699] = {.lex_state = 92},
  [2700] = {.lex_state = 92},
  [2701] = {.lex_state = 92},
  [2702] = {.lex_state = 92},
  [2703] = {.lex_state = 88},
  [2704] = {.lex_state = 92},
  [2705] = {.lex_state = 92},
  [2706] = {.lex_state = 92},
  [2707] = {.lex_state = 92},
  [2708] = {.lex_state = 92},
  [2709] = {.lex_state = 92},
  [2710] = {.lex_state = 92},
  [2711] = {.lex_state = 92},
  [2712] = {.lex_state = 92},
  [2713] = {.lex_state = 89},
  [2714] = {.lex_state = 92},
  [2715] = {.lex_state = 92},
  [2716] = {.lex_state = 92},
  [2717] = {.lex_state = 92},
  [2718] = {.lex_state = 92},
  [2719] = {.lex_state = 92},
  [2720] = {.lex_state = 92},
  [2721] = {.lex_state = 92},
  [2722] = {.lex_state = 92},
  [2723] = {.lex_state = 92},
  [2724] = {.lex_state = 92},
  [2725] = {.lex_state = 92},
  [2726] = {.lex_state = 92},
  [2727] = {.lex_state = 92},
  [2728] = {.lex_state = 92},
  [2729] = {.lex_state = 92},
  [2730] = {.lex_state = 92},
  [2731] = {.lex_state = 92},
  [2732] = {.lex_state = 92},
  [2733] = {.lex_state = 89},
  [2734] = {.lex_state = 92},
  [2735] = {.lex_state = 89},
  [2736] = {.lex_state = 92},
  [2737] = {.lex_state = 92},
  [2738] = {.lex_state = 92},
  [2739] = {.lex_state = 92},
  [2740] = {.lex_state = 92},
  [2741] = {.lex_state = 92},
  [2742] = {.lex_state = 92},
  [2743] = {.lex_state = 92},
  [2744] = {.lex_state = 92},
  [2745] = {.lex_state = 92},
  [2746] = {.lex_state = 92},
  [2747] = {.lex_state = 89},
  [2748] = {.lex_state = 92},
  [2749] = {.lex_state = 92},
  [2750] = {.lex_state = 89},
  [2751] = {.lex_state = 89},
  [2752] = {.lex_state = 89},
  [2753] = {.lex_state = 92},
  [2754] = {.lex_state = 89},
  [2755] = {.lex_state = 89},
  [2756] = {.lex_state = 89},
  [2757] = {.lex_state = 89},
  [2758] = {.lex_state = 89},
  [2759] = {.lex_state = 89},
  [2760] = {.lex_state = 92},
  [2761] = {.lex_state = 89},
  [2762] = {.lex_state = 92},
  [2763] = {.lex_state = 89},
  [2764] = {.lex_state = 92},
  [2765] = {.lex_state = 89},
  [2766] = {.lex_state = 92},
  [2767] = {.lex_state = 89},
  [2768] = {.lex_state = 92},
  [2769] = {.lex_state = 89},
  [2770] = {.lex_state = 89},
  [2771] = {.lex_state = 95},
  [2772] = {.lex_state = 89},
  [2773] = {.lex_state = 89},
  [2774] = {.lex_state = 95},
  [2775] = {.lex_state = 89},
  [2776] = {.lex_state = 89},
  [2777] = {.lex_state = 89},
  [2778] = {.lex_state = 89},
  [2779] = {.lex_state = 89},
  [2780] = {.lex_state = 89},
  [2781] = {.lex_state = 89},
  [2782] = {.lex_state = 89},
  [2783] = {.lex_state = 89},
  [2784] = {.lex_state = 89},
  [2785] = {.lex_state = 89},
  [2786] = {.lex_state = 89},
  [2787] = {.lex_state = 88},
  [2788] = {.lex_state = 89},
  [2789] = {.lex_state = 88},
  [2790] = {.lex_state = 88},
  [2791] = {.lex_state = 88},
  [2792] = {.lex_state = 88},
  [2793] = {.lex_state = 89},
  [2794] = {.lex_state = 88},
  [2795] = {.lex_state = 88},
  [2796] = {.lex_state = 88},
  [2797] = {.lex_state = 88},
  [2798] = {.lex_state = 88},
  [2799] = {.lex_state = 88},
  [2800] = {.lex_state = 88},
  [2801] = {.lex_state = 88},
  [2802] = {.lex_state = 88},
  [2803] = {.lex_state = 95},
  [2804] = {.lex_state = 91},
  [2805] = {.lex_state = 88},
  [2806] = {.lex_state = 88},
  [2807] = {.lex_state = 88},
  [2808] = {.lex_state = 88},
  [2809] = {.lex_state = 88},
  [2810] = {.lex_state = 88},
  [2811] = {.lex_state = 89},
  [2812] = {.lex_state = 89},
  [2813] = {.lex_state = 89},
  [2814] = {.lex_state = 89},
  [2815] = {.lex_state = 89},
  [2816] = {.lex_state = 89},
  [2817] = {.lex_state = 89},
  [2818] = {.lex_state = 95},
  [2819] = {.lex_state = 89},
  [2820] = {.lex_state = 89},
  [2821] = {.lex_state = 89},
  [2822] = {.lex_state = 89},
  [2823] = {.lex_state = 89},
  [2824] = {.lex_state = 89},
  [2825] = {.lex_state = 89},
  [2826] = {.lex_state = 89},
  [2827] = {.lex_state = 89},
  [2828] = {.lex_state = 89},
  [2829] = {.lex_state = 95},
  [2830] = {.lex_state = 95},
  [2831] = {.lex_state = 95},
  [2832] = {.lex_state = 89},
  [2833] = {.lex_state = 89},
  [2834] = {.lex_state = 95},
  [2835] = {.lex_state = 89},
  [2836] = {.lex_state = 95},
  [2837] = {.lex_state = 89},
  [2838] = {.lex_state = 89},
  [2839] = {.lex_state = 89},
  [2840] = {.lex_state = 89},
  [2841] = {.lex_state = 89},
  [2842] = {.lex_state = 89},
  [2843] = {.lex_state = 95},
  [2844] = {.lex_state = 89},
  [2845] = {.lex_state = 89},
  [2846] = {.lex_state = 89},
  [2847] = {.lex_state = 95},
  [2848] = {.lex_state = 89},
  [2849] = {.lex_state = 89},
  [2850] = {.lex_state = 89},
  [2851] = {.lex_state = 89},
  [2852] = {.lex_state = 89},
  [2853] = {.lex_state = 95},
  [2854] = {.lex_state = 95},
  [2855] = {.lex_state = 95},
  [2856] = {.lex_state = 89},
  [2857] = {.lex_state = 95},
  [2858] = {.lex_state = 95},
  [2859] = {.lex_state = 89},
  [2860] = {.lex_state = 89},
  [2861] = {.lex_state = 89},
  [2862] = {.lex_state = 89},
  [2863] = {.lex_state = 89},
  [2864] = {.lex_state = 89},
  [2865] = {.lex_state = 89},
  [2866] = {.lex_state = 89},
  [2867] = {.lex_state = 89},
  [2868] = {.lex_state = 89},
  [2869] = {.lex_state = 89},
  [2870] = {.lex_state = 89},
  [2871] = {.lex_state = 89},
  [2872] = {.lex_state = 89},
  [2873] = {.lex_state = 89},
  [2874] = {.lex_state = 89},
  [2875] = {.lex_state = 89},
  [2876] = {.lex_state = 89},
  [2877] = {.lex_state = 89},
  [2878] = {.lex_state = 89},
  [2879] = {.lex_state = 89},
  [2880] = {.lex_state = 89},
  [2881] = {.lex_state = 89},
  [2882] = {.lex_state = 89},
  [2883] = {.lex_state = 89},
  [2884] = {.lex_state = 89},
  [2885] = {.lex_state = 89},
  [2886] = {.lex_state = 89},
  [2887] = {.lex_state = 89},
  [2888] = {.lex_state = 89},
  [2889] = {.lex_state = 89},
  [2890] = {.lex_state = 88},
  [2891] = {.lex_state = 89},
  [2892] = {.lex_state = 89},
  [2893] = {.lex_state = 89},
  [2894] = {.lex_state = 89},
  [2895] = {.lex_state = 89},
  [2896] = {.lex_state = 89},
  [2897] = {.lex_state = 89},
  [2898] = {.lex_state = 89},
  [2899] = {.lex_state = 89},
  [2900] = {.lex_state = 89},
  [2901] = {.lex_state = 89},
  [2902] = {.lex_state = 89},
  [2903] = {.lex_state = 89},
  [2904] = {.lex_state = 89},
  [2905] = {.lex_state = 89},
  [2906] = {.lex_state = 89},
  [2907] = {.lex_state = 89},
  [2908] = {.lex_state = 89},
  [2909] = {.lex_state = 89},
  [2910] = {.lex_state = 89},
  [2911] = {.lex_state = 89},
  [2912] = {.lex_state = 95},
  [2913] = {.lex_state = 89},
  [2914] = {.lex_state = 89},
  [2915] = {.lex_state = 89},
  [2916] = {.lex_state = 95},
  [2917] = {.lex_state = 89},
  [2918] = {.lex_state = 89},
  [2919] = {.lex_state = 89},
  [2920] = {.lex_state = 89},
  [2921] = {.lex_state = 89},
  [2922] = {.lex_state = 89},
  [2923] = {.lex_state = 89},
  [2924] = {.lex_state = 89},
  [2925] = {.lex_state = 89},
  [2926] = {.lex_state = 89},
  [2927] = {.lex_state = 89},
  [2928] = {.lex_state = 89},
  [2929] = {.lex_state = 89},
  [2930] = {.lex_state = 89},
  [2931] = {.lex_state = 89},
  [2932] = {.lex_state = 89},
  [2933] = {.lex_state = 89},
  [2934] = {.lex_state = 89},
  [2935] = {.lex_state = 92},
  [2936] = {.lex_state = 89},
  [2937] = {.lex_state = 89},
  [2938] = {.lex_state = 89},
  [2939] = {.lex_state = 89},
  [2940] = {.lex_state = 89},
  [2941] = {.lex_state = 89},
  [2942] = {.lex_state = 89},
  [2943] = {.lex_state = 89},
  [2944] = {.lex_state = 89},
  [2945] = {.lex_state = 89},
  [2946] = {.lex_state = 89},
  [2947] = {.lex_state = 89},
  [2948] = {.lex_state = 89},
  [2949] = {.lex_state = 89},
  [2950] = {.lex_state = 89},
  [2951] = {.lex_state = 95},
  [2952] = {.lex_state = 89},
  [2953] = {.lex_state = 89},
  [2954] = {.lex_state = 89},
  [2955] = {.lex_state = 89},
  [2956] = {.lex_state = 89},
  [2957] = {.lex_state = 89, .external_lex_state = 2},
  [2958] = {.lex_state = 89},
  [2959] = {.lex_state = 91},
  [2960] = {.lex_state = 89},
  [2961] = {.lex_state = 89},
  [2962] = {.lex_state = 95},
  [2963] = {.lex_state = 89},
  [2964] = {.lex_state = 89},
  [2965] = {.lex_state = 89},
  [2966] = {.lex_state = 88},
  [2967] = {.lex_state = 89},
  [2968] = {.lex_state = 89},
  [2969] = {.lex_state = 95},
  [2970] = {.lex_state = 95},
  [2971] = {.lex_state = 89},
  [2972] = {.lex_state = 89},
  [2973] = {.lex_state = 96},
  [2974] = {.lex_state = 89},
  [2975] = {.lex_state = 89},
  [2976] = {.lex_state = 89},
  [2977] = {.lex_state = 89},
  [2978] = {.lex_state = 89},
  [2979] = {.lex_state = 89},
  [2980] = {.lex_state = 89},
  [2981] = {.lex_state = 89},
  [2982] = {.lex_state = 89},
  [2983] = {.lex_state = 89},
  [2984] = {.lex_state = 89},
  [2985] = {.lex_state = 89},
  [2986] = {.lex_state = 89},
  [2987] = {.lex_state = 89},
  [2988] = {.lex_state = 89},
  [2989] = {.lex_state = 89},
  [2990] = {.lex_state = 83},
  [2991] = {.lex_state = 89},
  [2992] = {.lex_state = 89},
  [2993] = {.lex_state = 83},
  [2994] = {.lex_state = 89},
  [2995] = {.lex_state = 89},
  [2996] = {.lex_state = 89},
  [2997] = {.lex_state = 96},
  [2998] = {.lex_state = 89},
  [2999] = {.lex_state = 89},
  [3000] = {.lex_state = 89},
  [3001] = {.lex_state = 89},
  [3002] = {.lex_state = 89},
  [3003] = {.lex_state = 89},
  [3004] = {.lex_state = 89},
  [3005] = {.lex_state = 89},
  [3006] = {.lex_state = 89},
  [3007] = {.lex_state = 89, .external_lex_state = 2},
  [3008] = {.lex_state = 96},
  [3009] = {.lex_state = 96},
  [3010] = {.lex_state = 96},
  [3011] = {.lex_state = 96},
  [3012] = {.lex_state = 96},
  [3013] = {.lex_state = 96},
  [3014] = {.lex_state = 96},
  [3015] = {.lex_state = 96},
  [3016] = {.lex_state = 96},
  [3017] = {.lex_state = 96},
  [3018] = {.lex_state = 88},
  [3019] = {.lex_state = 96},
  [3020] = {.lex_state = 96},
  [3021] = {.lex_state = 96},
  [3022] = {.lex_state = 96},
  [3023] = {.lex_state = 89},
  [3024] = {.lex_state = 89},
  [3025] = {.lex_state = 91},
  [3026] = {.lex_state = 91},
  [3027] = {.lex_state = 96},
  [3028] = {.lex_state = 89},
  [3029] = {.lex_state = 89},
  [3030] = {.lex_state = 89},
  [3031] = {.lex_state = 89},
  [3032] = {.lex_state = 89},
  [3033] = {.lex_state = 89},
  [3034] = {.lex_state = 89},
  [3035] = {.lex_state = 89},
  [3036] = {.lex_state = 89},
  [3037] = {.lex_state = 89},
  [3038] = {.lex_state = 89},
  [3039] = {.lex_state = 89},
  [3040] = {.lex_state = 89},
  [3041] = {.lex_state = 89},
  [3042] = {.lex_state = 89},
  [3043] = {.lex_state = 89},
  [3044] = {.lex_state = 89},
  [3045] = {.lex_state = 89},
  [3046] = {.lex_state = 89},
  [3047] = {.lex_state = 89},
  [3048] = {.lex_state = 89},
  [3049] = {.lex_state = 89},
  [3050] = {.lex_state = 89},
  [3051] = {.lex_state = 89},
  [3052] = {.lex_state = 89},
  [3053] = {.lex_state = 89},
  [3054] = {.lex_state = 89},
  [3055] = {.lex_state = 89},
  [3056] = {.lex_state = 89},
  [3057] = {.lex_state = 89},
  [3058] = {.lex_state = 89},
  [3059] = {.lex_state = 89},
  [3060] = {.lex_state = 89},
  [3061] = {.lex_state = 89},
  [3062] = {.lex_state = 89},
  [3063] = {.lex_state = 89},
  [3064] = {.lex_state = 89},
  [3065] = {.lex_state = 89},
  [3066] = {.lex_state = 89},
  [3067] = {.lex_state = 89},
  [3068] = {.lex_state = 89},
  [3069] = {.lex_state = 89},
  [3070] = {.lex_state = 89},
  [3071] = {.lex_state = 89},
  [3072] = {.lex_state = 89},
  [3073] = {.lex_state = 89},
  [3074] = {.lex_state = 89},
  [3075] = {.lex_state = 89},
  [3076] = {.lex_state = 89},
  [3077] = {.lex_state = 89},
  [3078] = {.lex_state = 89},
  [3079] = {.lex_state = 89},
  [3080] = {.lex_state = 89},
  [3081] = {.lex_state = 89},
  [3082] = {.lex_state = 89},
  [3083] = {.lex_state = 89},
  [3084] = {.lex_state = 89},
  [3085] = {.lex_state = 89},
  [3086] = {.lex_state = 89},
  [3087] = {.lex_state = 89},
  [3088] = {.lex_state = 89},
  [3089] = {.lex_state = 89},
  [3090] = {.lex_state = 89},
  [3091] = {.lex_state = 89},
  [3092] = {.lex_state = 89},
  [3093] = {.lex_state = 89},
  [3094] = {.lex_state = 89},
  [3095] = {.lex_state = 89},
  [3096] = {.lex_state = 89},
  [3097] = {.lex_state = 89},
  [3098] = {.lex_state = 89},
  [3099] = {.lex_state = 89},
  [3100] = {.lex_state = 89},
  [3101] = {.lex_state = 89},
  [3102] = {.lex_state = 89},
  [3103] = {.lex_state = 89},
  [3104] = {.lex_state = 89},
  [3105] = {.lex_state = 89},
  [3106] = {.lex_state = 89},
  [3107] = {.lex_state = 89},
  [3108] = {.lex_state = 89},
  [3109] = {.lex_state = 89},
  [3110] = {.lex_state = 89},
  [3111] = {.lex_state = 89},
  [3112] = {.lex_state = 89},
  [3113] = {.lex_state = 89},
  [3114] = {.lex_state = 89},
  [3115] = {.lex_state = 89},
  [3116] = {.lex_state = 89},
  [3117] = {.lex_state = 89},
  [3118] = {.lex_state = 89},
  [3119] = {.lex_state = 89},
  [3120] = {.lex_state = 89},
  [3121] = {.lex_state = 89},
  [3122] = {.lex_state = 88, .external_lex_state = 2},
  [3123] = {.lex_state = 89},
  [3124] = {.lex_state = 88},
  [3125] = {.lex_state = 88},
  [3126] = {.lex_state = 89},
  [3127] = {.lex_state = 89},
  [3128] = {.lex_state = 88},
  [3129] = {.lex_state = 88},
  [3130] = {.lex_state = 88},
  [3131] = {.lex_state = 88},
  [3132] = {.lex_state = 88},
  [3133] = {.lex_state = 89},
  [3134] = {.lex_state = 89},
  [3135] = {.lex_state = 89},
  [3136] = {.lex_state = 89},
  [3137] = {.lex_state = 89},
  [3138] = {.lex_state = 89},
  [3139] = {.lex_state = 89},
  [3140] = {.lex_state = 89},
  [3141] = {.lex_state = 89},
  [3142] = {.lex_state = 89},
  [3143] = {.lex_state = 89},
  [3144] = {.lex_state = 89},
  [3145] = {.lex_state = 89},
  [3146] = {.lex_state = 96},
  [3147] = {.lex_state = 89},
  [3148] = {.lex_state = 89},
  [3149] = {.lex_state = 89},
  [3150] = {.lex_state = 89},
  [3151] = {.lex_state = 89},
  [3152] = {.lex_state = 89},
  [3153] = {.lex_state = 89},
  [3154] = {.lex_state = 88},
  [3155] = {.lex_state = 89},
  [3156] = {.lex_state = 89},
  [3157] = {.lex_state = 89},
  [3158] = {.lex_state = 89},
  [3159] = {.lex_state = 89},
  [3160] = {.lex_state = 89},
  [3161] = {.lex_state = 89},
  [3162] = {.lex_state = 89},
  [3163] = {.lex_state = 89},
  [3164] = {.lex_state = 89},
  [3165] = {.lex_state = 89},
  [3166] = {.lex_state = 89},
  [3167] = {.lex_state = 89},
  [3168] = {.lex_state = 89},
  [3169] = {.lex_state = 88},
  [3170] = {.lex_state = 88},
  [3171] = {.lex_state = 89},
  [3172] = {.lex_state = 88},
  [3173] = {.lex_state = 88},
  [3174] = {.lex_state = 88},
  [3175] = {.lex_state = 88},
  [3176] = {.lex_state = 88},
  [3177] = {.lex_state = 88},
  [3178] = {.lex_state = 89},
  [3179] = {.lex_state = 89},
  [3180] = {.lex_state = 89},
  [3181] = {.lex_state = 89},
  [3182] = {.lex_state = 89},
  [3183] = {.lex_state = 89},
  [3184] = {.lex_state = 89},
  [3185] = {.lex_state = 89},
  [3186] = {.lex_state = 88},
  [3187] = {.lex_state = 88},
  [3188] = {.lex_state = 88},
  [3189] = {.lex_state = 89},
  [3190] = {.lex_state = 88},
  [3191] = {.lex_state = 88},
  [3192] = {.lex_state = 88},
  [3193] = {.lex_state = 88},
  [3194] = {.lex_state = 89},
  [3195] = {.lex_state = 89},
  [3196] = {.lex_state = 89},
  [3197] = {.lex_state = 89},
  [3198] = {.lex_state = 89},
  [3199] = {.lex_state = 89},
  [3200] = {.lex_state = 88},
  [3201] = {.lex_state = 88},
  [3202] = {.lex_state = 89},
  [3203] = {.lex_state = 89},
  [3204] = {.lex_state = 89},
  [3205] = {.lex_state = 89},
  [3206] = {.lex_state = 89},
  [3207] = {.lex_state = 89},
  [3208] = {.lex_state = 89},
  [3209] = {.lex_state = 89},
  [3210] = {.lex_state = 89},
  [3211] = {.lex_state = 89},
  [3212] = {.lex_state = 89},
  [3213] = {.lex_state = 89},
  [3214] = {.lex_state = 89},
  [3215] = {.lex_state = 89},
  [3216] = {.lex_state = 89},
  [3217] = {.lex_state = 88},
  [3218] = {.lex_state = 89},
  [3219] = {.lex_state = 89},
  [3220] = {.lex_state = 89},
  [3221] = {.lex_state = 89},
  [3222] = {.lex_state = 88},
  [3223] = {.lex_state = 89},
  [3224] = {.lex_state = 89},
  [3225] = {.lex_state = 89},
  [3226] = {.lex_state = 89},
  [3227] = {.lex_state = 89},
  [3228] = {.lex_state = 89},
  [3229] = {.lex_state = 89},
  [3230] = {.lex_state = 89},
  [3231] = {.lex_state = 89},
  [3232] = {.lex_state = 89},
  [3233] = {.lex_state = 88},
  [3234] = {.lex_state = 89},
  [3235] = {.lex_state = 89},
  [3236] = {.lex_state = 89},
  [3237] = {.lex_state = 88},
  [3238] = {.lex_state = 88},
  [3239] = {.lex_state = 88},
  [3240] = {.lex_state = 88},
  [3241] = {.lex_state = 88},
  [3242] = {.lex_state = 88},
  [3243] = {.lex_state = 88},
  [3244] = {.lex_state = 88},
  [3245] = {.lex_state = 88},
  [3246] = {.lex_state = 88},
  [3247] = {.lex_state = 88},
  [3248] = {.lex_state = 88},
  [3249] = {.lex_state = 89},
  [3250] = {.lex_state = 88},
  [3251] = {.lex_state = 88},
  [3252] = {.lex_state = 88},
  [3253] = {.lex_state = 88},
  [3254] = {.lex_state = 88},
  [3255] = {.lex_state = 88},
  [3256] = {.lex_state = 88},
  [3257] = {.lex_state = 88},
  [3258] = {.lex_state = 88},
  [3259] = {.lex_state = 89},
  [3260] = {.lex_state = 88},
  [3261] = {.lex_state = 89},
  [3262] = {.lex_state = 89},
  [3263] = {.lex_state = 89},
  [3264] = {.lex_state = 88},
  [3265] = {.lex_state = 88},
  [3266] = {.lex_state = 88},
  [3267] = {.lex_state = 88},
  [3268] = {.lex_state = 88},
  [3269] = {.lex_state = 88},
  [3270] = {.lex_state = 88},
  [3271] = {.lex_state = 88},
  [3272] = {.lex_state = 88},
  [3273] = {.lex_state = 88},
  [3274] = {.lex_state = 88},
  [3275] = {.lex_state = 89},
  [3276] = {.lex_state = 88},
  [3277] = {.lex_state = 89},
  [3278] = {.lex_state = 88},
  [3279] = {.lex_state = 88},
  [3280] = {.lex_state = 88},
  [3281] = {.lex_state = 88},
  [3282] = {.lex_state = 89},
  [3283] = {.lex_state = 89},
  [3284] = {.lex_state = 89},
  [3285] = {.lex_state = 88},
  [3286] = {.lex_state = 88},
  [3287] = {.lex_state = 88},
  [3288] = {.lex_state = 88},
  [3289] = {.lex_state = 88},
  [3290] = {.lex_state = 88},
  [3291] = {.lex_state = 88},
  [3292] = {.lex_state = 88},
  [3293] = {.lex_state = 88},
  [3294] = {.lex_state = 88},
  [3295] = {.lex_state = 88},
  [3296] = {.lex_state = 88},
  [3297] = {.lex_state = 88},
  [3298] = {.lex_state = 88},
  [3299] = {.lex_state = 88},
  [3300] = {.lex_state = 88},
  [3301] = {.lex_state = 88},
  [3302] = {.lex_state = 88},
  [3303] = {.lex_state = 88},
  [3304] = {.lex_state = 88},
  [3305] = {.lex_state = 88},
  [3306] = {.lex_state = 88},
  [3307] = {.lex_state = 88},
  [3308] = {.lex_state = 88},
  [3309] = {.lex_state = 89},
  [3310] = {.lex_state = 89},
  [3311] = {.lex_state = 88},
  [3312] = {.lex_state = 88},
  [3313] = {.lex_state = 88},
  [3314] = {.lex_state = 88},
  [3315] = {.lex_state = 88},
  [3316] = {.lex_state = 88},
  [3317] = {.lex_state = 88},
  [3318] = {.lex_state = 88},
  [3319] = {.lex_state = 88},
  [3320] = {.lex_state = 89},
  [3321] = {.lex_state = 89},
  [3322] = {.lex_state = 89},
  [3323] = {.lex_state = 88},
  [3324] = {.lex_state = 88},
  [3325] = {.lex_state = 89},
  [3326] = {.lex_state = 88},
  [3327] = {.lex_state = 88},
  [3328] = {.lex_state = 88},
  [3329] = {.lex_state = 88},
  [3330] = {.lex_state = 88},
  [3331] = {.lex_state = 88},
  [3332] = {.lex_state = 88},
  [3333] = {.lex_state = 88},
  [3334] = {.lex_state = 88},
  [3335] = {.lex_state = 88},
  [3336] = {.lex_state = 88},
  [3337] = {.lex_state = 88},
  [3338] = {.lex_state = 88},
  [3339] = {.lex_state = 88},
  [3340] = {.lex_state = 88},
  [3341] = {.lex_state = 88},
  [3342] = {.lex_state = 88},
  [3343] = {.lex_state = 88},
  [3344] = {.lex_state = 88},
  [3345] = {.lex_state = 88},
  [3346] = {.lex_state = 88},
  [3347] = {.lex_state = 88},
  [3348] = {.lex_state = 88},
  [3349] = {.lex_state = 88},
  [3350] = {.lex_state = 88},
  [3351] = {.lex_state = 88},
  [3352] = {.lex_state = 88},
  [3353] = {.lex_state = 88},
  [3354] = {.lex_state = 88},
  [3355] = {.lex_state = 88},
  [3356] = {.lex_state = 88},
  [3357] = {.lex_state = 88},
  [3358] = {.lex_state = 88},
  [3359] = {.lex_state = 88},
  [3360] = {.lex_state = 88},
  [3361] = {.lex_state = 88},
  [3362] = {.lex_state = 88},
  [3363] = {.lex_state = 88},
  [3364] = {.lex_state = 88},
  [3365] = {.lex_state = 88},
  [3366] = {.lex_state = 88},
  [3367] = {.lex_state = 88},
  [3368] = {.lex_state = 88},
  [3369] = {.lex_state = 88},
  [3370] = {.lex_state = 88},
  [3371] = {.lex_state = 88},
  [3372] = {.lex_state = 88},
  [3373] = {.lex_state = 88, .external_lex_state = 2},
  [3374] = {.lex_state = 89},
  [3375] = {.lex_state = 88},
  [3376] = {.lex_state = 89},
  [3377] = {.lex_state = 89},
  [3378] = {.lex_state = 88},
  [3379] = {.lex_state = 95},
  [3380] = {.lex_state = 95},
  [3381] = {.lex_state = 89},
  [3382] = {.lex_state = 84},
  [3383] = {.lex_state = 88},
  [3384] = {.lex_state = 84},
  [3385] = {.lex_state = 88},
  [3386] = {.lex_state = 88},
  [3387] = {.lex_state = 89},
  [3388] = {.lex_state = 88},
  [3389] = {.lex_state = 95},
  [3390] = {.lex_state = 88},
  [3391] = {.lex_state = 88},
  [3392] = {.lex_state = 88},
  [3393] = {.lex_state = 88},
  [3394] = {.lex_state = 88},
  [3395] = {.lex_state = 88},
  [3396] = {.lex_state = 88},
  [3397] = {.lex_state = 88},
  [3398] = {.lex_state = 88},
  [3399] = {.lex_state = 88},
  [3400] = {.lex_state = 88},
  [3401] = {.lex_state = 88},
  [3402] = {.lex_state = 88},
  [3403] = {.lex_state = 88},
  [3404] = {.lex_state = 88},
  [3405] = {.lex_state = 88},
  [3406] = {.lex_state = 88},
  [3407] = {.lex_state = 88},
  [3408] = {.lex_state = 88},
  [3409] = {.lex_state = 88},
  [3410] = {.lex_state = 88},
  [3411] = {.lex_state = 88},
  [3412] = {.lex_state = 88},
  [3413] = {.lex_state = 88},
  [3414] = {.lex_state = 88},
  [3415] = {.lex_state = 88},
  [3416] = {.lex_state = 88},
  [3417] = {.lex_state = 88},
  [3418] = {.lex_state = 88},
  [3419] = {.lex_state = 88},
  [3420] = {.lex_state = 88},
  [3421] = {.lex_state = 88},
  [3422] = {.lex_state = 88},
  [3423] = {.lex_state = 88},
  [3424] = {.lex_state = 88},
  [3425] = {.lex_state = 88},
  [3426] = {.lex_state = 88},
  [3427] = {.lex_state = 88},
  [3428] = {.lex_state = 88},
  [3429] = {.lex_state = 88},
  [3430] = {.lex_state = 88},
  [3431] = {.lex_state = 88},
  [3432] = {.lex_state = 88},
  [3433] = {.lex_state = 88},
  [3434] = {.lex_state = 88},
  [3435] = {.lex_state = 88},
  [3436] = {.lex_state = 88},
  [3437] = {.lex_state = 88},
  [3438] = {.lex_state = 88},
  [3439] = {.lex_state = 88},
  [3440] = {.lex_state = 88},
  [3441] = {.lex_state = 88},
  [3442] = {.lex_state = 88},
  [3443] = {.lex_state = 88},
  [3444] = {.lex_state = 88},
  [3445] = {.lex_state = 88},
  [3446] = {.lex_state = 88},
  [3447] = {.lex_state = 88},
  [3448] = {.lex_state = 88},
  [3449] = {.lex_state = 88},
  [3450] = {.lex_state = 88},
  [3451] = {.lex_state = 88},
  [3452] = {.lex_state = 88},
  [3453] = {.lex_state = 88},
  [3454] = {.lex_state = 88},
  [3455] = {.lex_state = 88},
  [3456] = {.lex_state = 88},
  [3457] = {.lex_state = 88},
  [3458] = {.lex_state = 88},
  [3459] = {.lex_state = 88},
  [3460] = {.lex_state = 88},
  [3461] = {.lex_state = 88},
  [3462] = {.lex_state = 88},
  [3463] = {.lex_state = 88},
  [3464] = {.lex_state = 88},
  [3465] = {.lex_state = 88},
  [3466] = {.lex_state = 88},
  [3467] = {.lex_state = 88},
  [3468] = {.lex_state = 88},
  [3469] = {.lex_state = 88},
  [3470] = {.lex_state = 88},
  [3471] = {.lex_state = 88},
  [3472] = {.lex_state = 88},
  [3473] = {.lex_state = 88},
  [3474] = {.lex_state = 88},
  [3475] = {.lex_state = 88},
  [3476] = {.lex_state = 88},
  [3477] = {.lex_state = 88},
  [3478] = {.lex_state = 88},
  [3479] = {.lex_state = 88},
  [3480] = {.lex_state = 88},
  [3481] = {.lex_state = 88},
  [3482] = {.lex_state = 88},
  [3483] = {.lex_state = 88},
  [3484] = {.lex_state = 88},
  [3485] = {.lex_state = 88},
  [3486] = {.lex_state = 88},
  [3487] = {.lex_state = 88},
  [3488] = {.lex_state = 88},
  [3489] = {.lex_state = 88},
  [3490] = {.lex_state = 88},
  [3491] = {.lex_state = 88},
  [3492] = {.lex_state = 88},
  [3493] = {.lex_state = 88},
  [3494] = {.lex_state = 88},
  [3495] = {.lex_state = 88},
  [3496] = {.lex_state = 88},
  [3497] = {.lex_state = 88},
  [3498] = {.lex_state = 88},
  [3499] = {.lex_state = 88},
  [3500] = {.lex_state = 88},
  [3501] = {.lex_state = 88},
  [3502] = {.lex_state = 88},
  [3503] = {.lex_state = 88},
  [3504] = {.lex_state = 88},
  [3505] = {.lex_state = 88},
  [3506] = {.lex_state = 88},
  [3507] = {.lex_state = 88},
  [3508] = {.lex_state = 88},
  [3509] = {.lex_state = 88},
  [3510] = {.lex_state = 88},
  [3511] = {.lex_state = 88},
  [3512] = {.lex_state = 88},
  [3513] = {.lex_state = 88},
  [3514] = {.lex_state = 88},
  [3515] = {.lex_state = 88},
  [3516] = {.lex_state = 88},
  [3517] = {.lex_state = 88},
  [3518] = {.lex_state = 88},
  [3519] = {.lex_state = 88},
  [3520] = {.lex_state = 88},
  [3521] = {.lex_state = 88},
  [3522] = {.lex_state = 88},
  [3523] = {.lex_state = 88},
  [3524] = {.lex_state = 88},
  [3525] = {.lex_state = 88},
  [3526] = {.lex_state = 88},
  [3527] = {.lex_state = 88},
  [3528] = {.lex_state = 88},
  [3529] = {.lex_state = 88},
  [3530] = {.lex_state = 88},
  [3531] = {.lex_state = 88},
  [3532] = {.lex_state = 88},
  [3533] = {.lex_state = 88},
  [3534] = {.lex_state = 88},
  [3535] = {.lex_state = 88},
  [3536] = {.lex_state = 88},
  [3537] = {.lex_state = 95},
  [3538] = {.lex_state = 88},
  [3539] = {.lex_state = 88},
  [3540] = {.lex_state = 88},
  [3541] = {.lex_state = 88},
  [3542] = {.lex_state = 95},
  [3543] = {.lex_state = 88},
  [3544] = {.lex_state = 88},
  [3545] = {.lex_state = 88},
  [3546] = {.lex_state = 88},
  [3547] = {.lex_state = 88},
  [3548] = {.lex_state = 88},
  [3549] = {.lex_state = 95},
  [3550] = {.lex_state = 88},
  [3551] = {.lex_state = 88},
  [3552] = {.lex_state = 95},
  [3553] = {.lex_state = 88},
  [3554] = {.lex_state = 88},
  [3555] = {.lex_state = 88},
  [3556] = {.lex_state = 88},
  [3557] = {.lex_state = 88},
  [3558] = {.lex_state = 88},
  [3559] = {.lex_state = 88},
  [3560] = {.lex_state = 95},
  [3561] = {.lex_state = 88},
  [3562] = {.lex_state = 88},
  [3563] = {.lex_state = 88},
  [3564] = {.lex_state = 95},
  [3565] = {.lex_state = 88},
  [3566] = {.lex_state = 88},
  [3567] = {.lex_state = 88},
  [3568] = {.lex_state = 95},
  [3569] = {.lex_state = 88},
  [3570] = {.lex_state = 88},
  [3571] = {.lex_state = 88},
  [3572] = {.lex_state = 88},
  [3573] = {.lex_state = 88},
  [3574] = {.lex_state = 88},
  [3575] = {.lex_state = 88},
  [3576] = {.lex_state = 88},
  [3577] = {.lex_state = 88},
  [3578] = {.lex_state = 88},
  [3579] = {.lex_state = 88},
  [3580] = {.lex_state = 88},
  [3581] = {.lex_state = 88},
  [3582] = {.lex_state = 88},
  [3583] = {.lex_state = 88},
  [3584] = {.lex_state = 88},
  [3585] = {.lex_state = 95},
  [3586] = {.lex_state = 88},
  [3587] = {.lex_state = 95},
  [3588] = {.lex_state = 95},
  [3589] = {.lex_state = 95},
  [3590] = {.lex_state = 88},
  [3591] = {.lex_state = 88},
  [3592] = {.lex_state = 95},
  [3593] = {.lex_state = 95},
  [3594] = {.lex_state = 88},
  [3595] = {.lex_state = 95},
  [3596] = {.lex_state = 95},
  [3597] = {.lex_state = 88},
  [3598] = {.lex_state = 95},
  [3599] = {.lex_state = 95},
  [3600] = {.lex_state = 95},
  [3601] = {.lex_state = 95},
  [3602] = {.lex_state = 95},
  [3603] = {.lex_state = 95},
  [3604] = {.lex_state = 95},
  [3605] = {.lex_state = 95},
  [3606] = {.lex_state = 95},
  [3607] = {.lex_state = 95},
  [3608] = {.lex_state = 95},
  [3609] = {.lex_state = 95},
  [3610] = {.lex_state = 95},
  [3611] = {.lex_state = 95},
  [3612] = {.lex_state = 95},
  [3613] = {.lex_state = 95},
  [3614] = {.lex_state = 95},
  [3615] = {.lex_state = 95},
  [3616] = {.lex_state = 95},
  [3617] = {.lex_state = 95},
  [3618] = {.lex_state = 95},
  [3619] = {.lex_state = 95},
  [3620] = {.lex_state = 95},
  [3621] = {.lex_state = 95},
  [3622] = {.lex_state = 95},
  [3623] = {.lex_state = 95},
  [3624] = {.lex_state = 95},
  [3625] = {.lex_state = 95},
  [3626] = {.lex_state = 95},
  [3627] = {.lex_state = 96},
  [3628] = {.lex_state = 96},
  [3629] = {.lex_state = 95},
  [3630] = {.lex_state = 95},
  [3631] = {.lex_state = 95},
  [3632] = {.lex_state = 95},
  [3633] = {.lex_state = 95},
  [3634] = {.lex_state = 95},
  [3635] = {.lex_state = 95},
  [3636] = {.lex_state = 95},
  [3637] = {.lex_state = 95},
  [3638] = {.lex_state = 95},
  [3639] = {.lex_state = 95},
  [3640] = {.lex_state = 95},
  [3641] = {.lex_state = 95},
  [3642] = {.lex_state = 95},
  [3643] = {.lex_state = 95},
  [3644] = {.lex_state = 95},
  [3645] = {.lex_state = 95},
  [3646] = {.lex_state = 95},
  [3647] = {.lex_state = 95},
  [3648] = {.lex_state = 95},
  [3649] = {.lex_state = 95},
  [3650] = {.lex_state = 95},
  [3651] = {.lex_state = 95},
  [3652] = {.lex_state = 89},
  [3653] = {.lex_state = 95},
  [3654] = {.lex_state = 95},
  [3655] = {.lex_state = 95},
  [3656] = {.lex_state = 95},
  [3657] = {.lex_state = 95},
  [3658] = {.lex_state = 95},
  [3659] = {.lex_state = 95},
  [3660] = {.lex_state = 95},
  [3661] = {.lex_state = 95},
  [3662] = {.lex_state = 95},
  [3663] = {.lex_state = 95},
  [3664] = {.lex_state = 95},
  [3665] = {.lex_state = 95},
  [3666] = {.lex_state = 95},
  [3667] = {.lex_state = 95},
  [3668] = {.lex_state = 96},
  [3669] = {.lex_state = 95},
  [3670] = {.lex_state = 95},
  [3671] = {.lex_state = 95},
  [3672] = {.lex_state = 95},
  [3673] = {.lex_state = 95},
  [3674] = {.lex_state = 95},
  [3675] = {.lex_state = 96},
  [3676] = {.lex_state = 96},
  [3677] = {.lex_state = 96},
  [3678] = {.lex_state = 96},
  [3679] = {.lex_state = 89},
  [3680] = {.lex_state = 96},
  [3681] = {.lex_state = 96},
  [3682] = {.lex_state = 96},
  [3683] = {.lex_state = 96},
  [3684] = {.lex_state = 95},
  [3685] = {.lex_state = 89},
  [3686] = {.lex_state = 95},
  [3687] = {.lex_state = 89},
  [3688] = {.lex_state = 96},
  [3689] = {.lex_state = 89},
  [3690] = {.lex_state = 95},
  [3691] = {.lex_state = 89},
  [3692] = {.lex_state = 89},
  [3693] = {.lex_state = 89},
  [3694] = {.lex_state = 89},
  [3695] = {.lex_state = 89},
  [3696] = {.lex_state = 96},
  [3697] = {.lex_state = 96},
  [3698] = {.lex_state = 95},
  [3699] = {.lex_state = 95, .external_lex_state = 2},
  [3700] = {.lex_state = 89},
  [3701] = {.lex_state = 89},
  [3702] = {.lex_state = 89},
  [3703] = {.lex_state = 89},
  [3704] = {.lex_state = 96},
  [3705] = {.lex_state = 95},
  [3706] = {.lex_state = 96},
  [3707] = {.lex_state = 95},
  [3708] = {.lex_state = 95},
  [3709] = {.lex_state = 95},
  [3710] = {.lex_state = 95},
  [3711] = {.lex_state = 95},
  [3712] = {.lex_state = 95},
  [3713] = {.lex_state = 95},
  [3714] = {.lex_state = 95},
  [3715] = {.lex_state = 95},
  [3716] = {.lex_state = 95},
  [3717] = {.lex_state = 95},
  [3718] = {.lex_state = 95},
  [3719] = {.lex_state = 95},
  [3720] = {.lex_state = 95},
  [3721] = {.lex_state = 95},
  [3722] = {.lex_state = 95},
  [3723] = {.lex_state = 95},
  [3724] = {.lex_state = 95},
  [3725] = {.lex_state = 95},
  [3726] = {.lex_state = 95},
  [3727] = {.lex_state = 95},
  [3728] = {.lex_state = 95},
  [3729] = {.lex_state = 95},
  [3730] = {.lex_state = 95},
  [3731] = {.lex_state = 95},
  [3732] = {.lex_state = 95},
  [3733] = {.lex_state = 95},
  [3734] = {.lex_state = 95},
  [3735] = {.lex_state = 95},
  [3736] = {.lex_state = 95},
  [3737] = {.lex_state = 95},
  [3738] = {.lex_state = 95},
  [3739] = {.lex_state = 95},
  [3740] = {.lex_state = 95},
  [3741] = {.lex_state = 95},
  [3742] = {.lex_state = 95},
  [3743] = {.lex_state = 95},
  [3744] = {.lex_state = 95},
  [3745] = {.lex_state = 95},
  [3746] = {.lex_state = 95},
  [3747] = {.lex_state = 95},
  [3748] = {.lex_state = 95},
  [3749] = {.lex_state = 95},
  [3750] = {.lex_state = 95},
  [3751] = {.lex_state = 95},
  [3752] = {.lex_state = 95},
  [3753] = {.lex_state = 95},
  [3754] = {.lex_state = 95},
  [3755] = {.lex_state = 95},
  [3756] = {.lex_state = 95},
  [3757] = {.lex_state = 95},
  [3758] = {.lex_state = 95},
  [3759] = {.lex_state = 95},
  [3760] = {.lex_state = 95},
  [3761] = {.lex_state = 95},
  [3762] = {.lex_state = 95},
  [3763] = {.lex_state = 95},
  [3764] = {.lex_state = 95},
  [3765] = {.lex_state = 95},
  [3766] = {.lex_state = 95},
  [3767] = {.lex_state = 95},
  [3768] = {.lex_state = 95},
  [3769] = {.lex_state = 95},
  [3770] = {.lex_state = 95},
  [3771] = {.lex_state = 95},
  [3772] = {.lex_state = 95},
  [3773] = {.lex_state = 95},
  [3774] = {.lex_state = 95},
  [3775] = {.lex_state = 95},
  [3776] = {.lex_state = 95},
  [3777] = {.lex_state = 95},
  [3778] = {.lex_state = 95},
  [3779] = {.lex_state = 95},
  [3780] = {.lex_state = 95},
  [3781] = {.lex_state = 95},
  [3782] = {.lex_state = 95},
  [3783] = {.lex_state = 95},
  [3784] = {.lex_state = 95},
  [3785] = {.lex_state = 95},
  [3786] = {.lex_state = 95},
  [3787] = {.lex_state = 95},
  [3788] = {.lex_state = 95},
  [3789] = {.lex_state = 95},
  [3790] = {.lex_state = 95},
  [3791] = {.lex_state = 95},
  [3792] = {.lex_state = 95},
  [3793] = {.lex_state = 95},
  [3794] = {.lex_state = 95},
  [3795] = {.lex_state = 95},
  [3796] = {.lex_state = 95},
  [3797] = {.lex_state = 95},
  [3798] = {.lex_state = 95},
  [3799] = {.lex_state = 95},
  [3800] = {.lex_state = 95},
  [3801] = {.lex_state = 89},
  [3802] = {.lex_state = 95},
  [3803] = {.lex_state = 96},
  [3804] = {.lex_state = 95},
  [3805] = {.lex_state = 95},
  [3806] = {.lex_state = 95},
  [3807] = {.lex_state = 95},
  [3808] = {.lex_state = 95},
  [3809] = {.lex_state = 95},
  [3810] = {.lex_state = 95},
  [3811] = {.lex_state = 95},
  [3812] = {.lex_state = 95},
  [3813] = {.lex_state = 95},
  [3814] = {.lex_state = 95},
  [3815] = {.lex_state = 95},
  [3816] = {.lex_state = 95},
  [3817] = {.lex_state = 95},
  [3818] = {.lex_state = 95},
  [3819] = {.lex_state = 95},
  [3820] = {.lex_state = 95},
  [3821] = {.lex_state = 95},
  [3822] = {.lex_state = 95},
  [3823] = {.lex_state = 95},
  [3824] = {.lex_state = 95},
  [3825] = {.lex_state = 95},
  [3826] = {.lex_state = 95},
  [3827] = {.lex_state = 95},
  [3828] = {.lex_state = 95},
  [3829] = {.lex_state = 95},
  [3830] = {.lex_state = 95},
  [3831] = {.lex_state = 95},
  [3832] = {.lex_state = 95},
  [3833] = {.lex_state = 95},
  [3834] = {.lex_state = 95},
  [3835] = {.lex_state = 95},
  [3836] = {.lex_state = 95},
  [3837] = {.lex_state = 95},
  [3838] = {.lex_state = 95},
  [3839] = {.lex_state = 95},
  [3840] = {.lex_state = 95},
  [3841] = {.lex_state = 95},
  [3842] = {.lex_state = 95},
  [3843] = {.lex_state = 95},
  [3844] = {.lex_state = 95},
  [3845] = {.lex_state = 95},
  [3846] = {.lex_state = 95},
  [3847] = {.lex_state = 95},
  [3848] = {.lex_state = 95},
  [3849] = {.lex_state = 95},
  [3850] = {.lex_state = 95},
  [3851] = {.lex_state = 95},
  [3852] = {.lex_state = 95},
  [3853] = {.lex_state = 95},
  [3854] = {.lex_state = 95},
  [3855] = {.lex_state = 95},
  [3856] = {.lex_state = 95},
  [3857] = {.lex_state = 95},
  [3858] = {.lex_state = 95},
  [3859] = {.lex_state = 95},
  [3860] = {.lex_state = 95},
  [3861] = {.lex_state = 95},
  [3862] = {.lex_state = 95},
  [3863] = {.lex_state = 95},
  [3864] = {.lex_state = 95},
  [3865] = {.lex_state = 95},
  [3866] = {.lex_state = 95},
  [3867] = {.lex_state = 95},
  [3868] = {.lex_state = 95},
  [3869] = {.lex_state = 95},
  [3870] = {.lex_state = 95},
  [3871] = {.lex_state = 95},
  [3872] = {.lex_state = 95},
  [3873] = {.lex_state = 95},
  [3874] = {.lex_state = 95},
  [3875] = {.lex_state = 95},
  [3876] = {.lex_state = 95},
  [3877] = {.lex_state = 89},
  [3878] = {.lex_state = 89},
  [3879] = {.lex_state = 95},
  [3880] = {.lex_state = 95},
  [3881] = {.lex_state = 95},
  [3882] = {.lex_state = 95},
  [3883] = {.lex_state = 95},
  [3884] = {.lex_state = 95},
  [3885] = {.lex_state = 95},
  [3886] = {.lex_state = 95},
  [3887] = {.lex_state = 95},
  [3888] = {.lex_state = 95},
  [3889] = {.lex_state = 89},
  [3890] = {.lex_state = 95},
  [3891] = {.lex_state = 95},
  [3892] = {.lex_state = 95},
  [3893] = {.lex_state = 95},
  [3894] = {.lex_state = 95},
  [3895] = {.lex_state = 95},
  [3896] = {.lex_state = 95},
  [3897] = {.lex_state = 95},
  [3898] = {.lex_state = 89},
  [3899] = {.lex_state = 89},
  [3900] = {.lex_state = 89},
  [3901] = {.lex_state = 89},
  [3902] = {.lex_state = 89},
  [3903] = {.lex_state = 95},
  [3904] = {.lex_state = 89},
  [3905] = {.lex_state = 89},
  [3906] = {.lex_state = 95},
  [3907] = {.lex_state = 89},
  [3908] = {.lex_state = 89},
  [3909] = {.lex_state = 89},
  [3910] = {.lex_state = 89},
  [3911] = {.lex_state = 89},
  [3912] = {.lex_state = 89},
  [3913] = {.lex_state = 89},
  [3914] = {.lex_state = 95},
  [3915] = {.lex_state = 95},
  [3916] = {.lex_state = 95},
  [3917] = {.lex_state = 95},
  [3918] = {.lex_state = 95},
  [3919] = {.lex_state = 95},
  [3920] = {.lex_state = 95},
  [3921] = {.lex_state = 95},
  [3922] = {.lex_state = 95},
  [3923] = {.lex_state = 95},
  [3924] = {.lex_state = 95},
  [3925] = {.lex_state = 95},
  [3926] = {.lex_state = 95},
  [3927] = {.lex_state = 88},
  [3928] = {.lex_state = 89},
  [3929] = {.lex_state = 91},
  [3930] = {.lex_state = 88},
  [3931] = {.lex_state = 88},
  [3932] = {.lex_state = 88},
  [3933] = {.lex_state = 88},
  [3934] = {.lex_state = 88},
  [3935] = {.lex_state = 88},
  [3936] = {.lex_state = 88},
  [3937] = {.lex_state = 88},
  [3938] = {.lex_state = 88},
  [3939] = {.lex_state = 88},
  [3940] = {.lex_state = 91},
  [3941] = {.lex_state = 88},
  [3942] = {.lex_state = 91},
  [3943] = {.lex_state = 91},
  [3944] = {.lex_state = 88},
  [3945] = {.lex_state = 91},
  [3946] = {.lex_state = 88},
  [3947] = {.lex_state = 91},
  [3948] = {.lex_state = 88},
  [3949] = {.lex_state = 88},
  [3950] = {.lex_state = 91},
  [3951] = {.lex_state = 88},
  [3952] = {.lex_state = 91},
  [3953] = {.lex_state = 88},
  [3954] = {.lex_state = 88},
  [3955] = {.lex_state = 88},
  [3956] = {.lex_state = 88},
  [3957] = {.lex_state = 88},
  [3958] = {.lex_state = 91},
  [3959] = {.lex_state = 88},
  [3960] = {.lex_state = 91},
  [3961] = {.lex_state = 91},
  [3962] = {.lex_state = 88},
  [3963] = {.lex_state = 88},
  [3964] = {.lex_state = 88},
  [3965] = {.lex_state = 91},
  [3966] = {.lex_state = 88},
  [3967] = {.lex_state = 91},
  [3968] = {.lex_state = 88},
  [3969] = {.lex_state = 91},
  [3970] = {.lex_state = 88},
  [3971] = {.lex_state = 91},
  [3972] = {.lex_state = 88},
  [3973] = {.lex_state = 88},
  [3974] = {.lex_state = 88},
  [3975] = {.lex_state = 88},
  [3976] = {.lex_state = 88},
  [3977] = {.lex_state = 91},
  [3978] = {.lex_state = 88},
  [3979] = {.lex_state = 91},
  [3980] = {.lex_state = 88},
  [3981] = {.lex_state = 88},
  [3982] = {.lex_state = 88},
  [3983] = {.lex_state = 88},
  [3984] = {.lex_state = 88},
  [3985] = {.lex_state = 91},
  [3986] = {.lex_state = 91},
  [3987] = {.lex_state = 88},
  [3988] = {.lex_state = 91},
  [3989] = {.lex_state = 91},
  [3990] = {.lex_state = 91},
  [3991] = {.lex_state = 88},
  [3992] = {.lex_state = 88},
  [3993] = {.lex_state = 91},
  [3994] = {.lex_state = 88},
  [3995] = {.lex_state = 88},
  [3996] = {.lex_state = 91},
  [3997] = {.lex_state = 88},
  [3998] = {.lex_state = 88},
  [3999] = {.lex_state = 88},
  [4000] = {.lex_state = 88},
  [4001] = {.lex_state = 88},
  [4002] = {.lex_state = 91},
  [4003] = {.lex_state = 91},
  [4004] = {.lex_state = 88},
  [4005] = {.lex_state = 91},
  [4006] = {.lex_state = 88},
  [4007] = {.lex_state = 88},
  [4008] = {.lex_state = 91},
  [4009] = {.lex_state = 88},
  [4010] = {.lex_state = 88},
  [4011] = {.lex_state = 91},
  [4012] = {.lex_state = 88},
  [4013] = {.lex_state = 91},
  [4014] = {.lex_state = 88},
  [4015] = {.lex_state = 91},
  [4016] = {.lex_state = 88},
  [4017] = {.lex_state = 91},
  [4018] = {.lex_state = 88},
  [4019] = {.lex_state = 88},
  [4020] = {.lex_state = 88},
  [4021] = {.lex_state = 88},
  [4022] = {.lex_state = 88},
  [4023] = {.lex_state = 91},
  [4024] = {.lex_state = 91},
  [4025] = {.lex_state = 88},
  [4026] = {.lex_state = 91},
  [4027] = {.lex_state = 88},
  [4028] = {.lex_state = 88},
  [4029] = {.lex_state = 91},
  [4030] = {.lex_state = 88},
  [4031] = {.lex_state = 88},
  [4032] = {.lex_state = 91},
  [4033] = {.lex_state = 88},
  [4034] = {.lex_state = 91},
  [4035] = {.lex_state = 91},
  [4036] = {.lex_state = 88},
  [4037] = {.lex_state = 91},
  [4038] = {.lex_state = 88},
  [4039] = {.lex_state = 88},
  [4040] = {.lex_state = 88},
  [4041] = {.lex_state = 88},
  [4042] = {.lex_state = 88},
  [4043] = {.lex_state = 91},
  [4044] = {.lex_state = 88},
  [4045] = {.lex_state = 88},
  [4046] = {.lex_state = 88},
  [4047] = {.lex_state = 88},
  [4048] = {.lex_state = 91},
  [4049] = {.lex_state = 91},
  [4050] = {.lex_state = 91},
  [4051] = {.lex_state = 88},
  [4052] = {.lex_state = 91},
  [4053] = {.lex_state = 91},
  [4054] = {.lex_state = 88},
  [4055] = {.lex_state = 91},
  [4056] = {.lex_state = 91},
  [4057] = {.lex_state = 88},
  [4058] = {.lex_state = 91},
  [4059] = {.lex_state = 88},
  [4060] = {.lex_state = 88},
  [4061] = {.lex_state = 91},
  [4062] = {.lex_state = 88},
  [4063] = {.lex_state = 88},
  [4064] = {.lex_state = 91},
  [4065] = {.lex_state = 88},
  [4066] = {.lex_state = 88},
  [4067] = {.lex_state = 88},
  [4068] = {.lex_state = 88},
  [4069] = {.lex_state = 91},
  [4070] = {.lex_state = 91},
  [4071] = {.lex_state = 91},
  [4072] = {.lex_state = 88},
  [4073] = {.lex_state = 91},
  [4074] = {.lex_state = 91},
  [4075] = {.lex_state = 88},
  [4076] = {.lex_state = 96},
  [4077] = {.lex_state = 91},
  [4078] = {.lex_state = 91},
  [4079] = {.lex_state = 88},
  [4080] = {.lex_state = 91},
  [4081] = {.lex_state = 88},
  [4082] = {.lex_state = 91},
  [4083] = {.lex_state = 91},
  [4084] = {.lex_state = 88},
  [4085] = {.lex_state = 91},
  [4086] = {.lex_state = 88},
  [4087] = {.lex_state = 88},
  [4088] = {.lex_state = 91},
  [4089] = {.lex_state = 88},
  [4090] = {.lex_state = 88},
  [4091] = {.lex_state = 91},
  [4092] = {.lex_state = 88},
  [4093] = {.lex_state = 88},
  [4094] = {.lex_state = 88},
  [4095] = {.lex_state = 88},
  [4096] = {.lex_state = 91},
  [4097] = {.lex_state = 91},
  [4098] = {.lex_state = 88},
  [4099] = {.lex_state = 91},
  [4100] = {.lex_state = 91},
  [4101] = {.lex_state = 88},
  [4102] = {.lex_state = 91},
  [4103] = {.lex_state = 88},
  [4104] = {.lex_state = 91},
  [4105] = {.lex_state = 91},
  [4106] = {.lex_state = 91},
  [4107] = {.lex_state = 88},
  [4108] = {.lex_state = 91},
  [4109] = {.lex_state = 91},
  [4110] = {.lex_state = 88},
  [4111] = {.lex_state = 91},
  [4112] = {.lex_state = 91},
  [4113] = {.lex_state = 88},
  [4114] = {.lex_state = 91},
  [4115] = {.lex_state = 88},
  [4116] = {.lex_state = 88},
  [4117] = {.lex_state = 91},
  [4118] = {.lex_state = 88},
  [4119] = {.lex_state = 88},
  [4120] = {.lex_state = 91},
  [4121] = {.lex_state = 91},
  [4122] = {.lex_state = 91},
  [4123] = {.lex_state = 91},
  [4124] = {.lex_state = 91},
  [4125] = {.lex_state = 88},
  [4126] = {.lex_state = 91},
  [4127] = {.lex_state = 91},
  [4128] = {.lex_state = 88},
  [4129] = {.lex_state = 91},
  [4130] = {.lex_state = 91},
  [4131] = {.lex_state = 88},
  [4132] = {.lex_state = 91},
  [4133] = {.lex_state = 88},
  [4134] = {.lex_state = 88},
  [4135] = {.lex_state = 91},
  [4136] = {.lex_state = 88},
  [4137] = {.lex_state = 88},
  [4138] = {.lex_state = 91},
  [4139] = {.lex_state = 91},
  [4140] = {.lex_state = 91},
  [4141] = {.lex_state = 91},
  [4142] = {.lex_state = 88},
  [4143] = {.lex_state = 91},
  [4144] = {.lex_state = 91},
  [4145] = {.lex_state = 91},
  [4146] = {.lex_state = 88},
  [4147] = {.lex_state = 91},
  [4148] = {.lex_state = 91},
  [4149] = {.lex_state = 88},
  [4150] = {.lex_state = 91},
  [4151] = {.lex_state = 91},
  [4152] = {.lex_state = 88},
  [4153] = {.lex_state = 91},
  [4154] = {.lex_state = 88},
  [4155] = {.lex_state = 88},
  [4156] = {.lex_state = 91},
  [4157] = {.lex_state = 91},
  [4158] = {.lex_state = 88},
  [4159] = {.lex_state = 91},
  [4160] = {.lex_state = 91},
  [4161] = {.lex_state = 91},
  [4162] = {.lex_state = 91},
  [4163] = {.lex_state = 91},
  [4164] = {.lex_state = 91},
  [4165] = {.lex_state = 91},
  [4166] = {.lex_state = 91},
  [4167] = {.lex_state = 88},
  [4168] = {.lex_state = 91},
  [4169] = {.lex_state = 91},
  [4170] = {.lex_state = 88},
  [4171] = {.lex_state = 91},
  [4172] = {.lex_state = 91},
  [4173] = {.lex_state = 91},
  [4174] = {.lex_state = 91},
  [4175] = {.lex_state = 91},
  [4176] = {.lex_state = 88},
  [4177] = {.lex_state = 91},
  [4178] = {.lex_state = 91},
  [4179] = {.lex_state = 88},
  [4180] = {.lex_state = 88},
  [4181] = {.lex_state = 91},
  [4182] = {.lex_state = 91},
  [4183] = {.lex_state = 91},
  [4184] = {.lex_state = 91},
  [4185] = {.lex_state = 91},
  [4186] = {.lex_state = 88},
  [4187] = {.lex_state = 91},
  [4188] = {.lex_state = 91},
  [4189] = {.lex_state = 88},
  [4190] = {.lex_state = 91},
  [4191] = {.lex_state = 91},
  [4192] = {.lex_state = 91},
  [4193] = {.lex_state = 91},
  [4194] = {.lex_state = 88, .external_lex_state = 2},
  [4195] = {.lex_state = 91},
  [4196] = {.lex_state = 95},
  [4197] = {.lex_state = 89},
  [4198] = {.lex_state = 88},
  [4199] = {.lex_state = 88},
  [4200] = {.lex_state = 95},
  [4201] = {.lex_state = 88},
  [4202] = {.lex_state = 88},
  [4203] = {.lex_state = 88},
  [4204] = {.lex_state = 88},
  [4205] = {.lex_state = 88},
  [4206] = {.lex_state = 88},
  [4207] = {.lex_state = 88},
  [4208] = {.lex_state = 88},
  [4209] = {.lex_state = 88},
  [4210] = {.lex_state = 88},
  [4211] = {.lex_state = 88},
  [4212] = {.lex_state = 88},
  [4213] = {.lex_state = 88},
  [4214] = {.lex_state = 87},
  [4215] = {.lex_state = 87},
  [4216] = {.lex_state = 95, .external_lex_state = 2},
  [4217] = {.lex_state = 89},
  [4218] = {.lex_state = 95},
  [4219] = {.lex_state = 91},
  [4220] = {.lex_state = 88},
  [4221] = {.lex_state = 89},
  [4222] = {.lex_state = 89},
  [4223] = {.lex_state = 89},
  [4224] = {.lex_state = 89},
  [4225] = {.lex_state = 89},
  [4226] = {.lex_state = 89},
  [4227] = {.lex_state = 88, .external_lex_state = 2},
  [4228] = {.lex_state = 89},
  [4229] = {.lex_state = 89},
  [4230] = {.lex_state = 89},
  [4231] = {.lex_state = 89},
  [4232] = {.lex_state = 89},
  [4233] = {.lex_state = 89},
  [4234] = {.lex_state = 89},
  [4235] = {.lex_state = 89},
  [4236] = {.lex_state = 89},
  [4237] = {.lex_state = 89},
  [4238] = {.lex_state = 89},
  [4239] = {.lex_state = 89},
  [4240] = {.lex_state = 89},
  [4241] = {.lex_state = 89},
  [4242] = {.lex_state = 89},
  [4243] = {.lex_state = 89},
  [4244] = {.lex_state = 89},
  [4245] = {.lex_state = 89},
  [4246] = {.lex_state = 95},
  [4247] = {.lex_state = 89},
  [4248] = {.lex_state = 89},
  [4249] = {.lex_state = 89},
  [4250] = {.lex_state = 86},
  [4251] = {.lex_state = 89},
  [4252] = {.lex_state = 89},
  [4253] = {.lex_state = 89},
  [4254] = {.lex_state = 89},
  [4255] = {.lex_state = 89},
  [4256] = {.lex_state = 89},
  [4257] = {.lex_state = 89},
  [4258] = {.lex_state = 89},
  [4259] = {.lex_state = 89},
  [4260] = {.lex_state = 89},
  [4261] = {.lex_state = 89},
  [4262] = {.lex_state = 86},
  [4263] = {.lex_state = 89},
  [4264] = {.lex_state = 89},
  [4265] = {.lex_state = 89},
  [4266] = {.lex_state = 89},
  [4267] = {.lex_state = 89},
  [4268] = {.lex_state = 89},
  [4269] = {.lex_state = 89},
  [4270] = {.lex_state = 89},
  [4271] = {.lex_state = 89},
  [4272] = {.lex_state = 89},
  [4273] = {.lex_state = 89},
  [4274] = {.lex_state = 89},
  [4275] = {.lex_state = 89},
  [4276] = {.lex_state = 89},
  [4277] = {.lex_state = 89},
  [4278] = {.lex_state = 89},
  [4279] = {.lex_state = 89},
  [4280] = {.lex_state = 89},
  [4281] = {.lex_state = 89},
  [4282] = {.lex_state = 89},
  [4283] = {.lex_state = 89},
  [4284] = {.lex_state = 89},
  [4285] = {.lex_state = 89},
  [4286] = {.lex_state = 89},
  [4287] = {.lex_state = 89},
  [4288] = {.lex_state = 89},
  [4289] = {.lex_state = 89},
  [4290] = {.lex_state = 89},
  [4291] = {.lex_state = 89},
  [4292] = {.lex_state = 89},
  [4293] = {.lex_state = 89},
  [4294] = {.lex_state = 89},
  [4295] = {.lex_state = 89},
  [4296] = {.lex_state = 89},
  [4297] = {.lex_state = 89},
  [4298] = {.lex_state = 89},
  [4299] = {.lex_state = 89},
  [4300] = {.lex_state = 89},
  [4301] = {.lex_state = 89},
  [4302] = {.lex_state = 89},
  [4303] = {.lex_state = 89},
  [4304] = {.lex_state = 89},
  [4305] = {.lex_state = 88},
  [4306] = {.lex_state = 89},
  [4307] = {.lex_state = 89},
  [4308] = {.lex_state = 89},
  [4309] = {.lex_state = 89},
  [4310] = {.lex_state = 89},
  [4311] = {.lex_state = 89},
  [4312] = {.lex_state = 89},
  [4313] = {.lex_state = 89},
  [4314] = {.lex_state = 89},
  [4315] = {.lex_state = 89},
  [4316] = {.lex_state = 89},
  [4317] = {.lex_state = 89},
  [4318] = {.lex_state = 89},
  [4319] = {.lex_state = 89},
  [4320] = {.lex_state = 89},
  [4321] = {.lex_state = 89},
  [4322] = {.lex_state = 89},
  [4323] = {.lex_state = 89},
  [4324] = {.lex_state = 89},
  [4325] = {.lex_state = 89},
  [4326] = {.lex_state = 89},
  [4327] = {.lex_state = 89},
  [4328] = {.lex_state = 89},
  [4329] = {.lex_state = 89},
  [4330] = {.lex_state = 89},
  [4331] = {.lex_state = 89},
  [4332] = {.lex_state = 89},
  [4333] = {.lex_state = 89},
  [4334] = {.lex_state = 89},
  [4335] = {.lex_state = 89},
  [4336] = {.lex_state = 89},
  [4337] = {.lex_state = 89},
  [4338] = {.lex_state = 89},
  [4339] = {.lex_state = 89},
  [4340] = {.lex_state = 89},
  [4341] = {.lex_state = 84},
  [4342] = {.lex_state = 89},
  [4343] = {.lex_state = 89},
  [4344] = {.lex_state = 89},
  [4345] = {.lex_state = 89},
  [4346] = {.lex_state = 95},
  [4347] = {.lex_state = 89},
  [4348] = {.lex_state = 88},
  [4349] = {.lex_state = 95},
  [4350] = {.lex_state = 84},
  [4351] = {.lex_state = 89},
  [4352] = {.lex_state = 89},
  [4353] = {.lex_state = 89},
  [4354] = {.lex_state = 95},
  [4355] = {.lex_state = 95},
  [4356] = {.lex_state = 95},
  [4357] = {.lex_state = 95},
  [4358] = {.lex_state = 89},
  [4359] = {.lex_state = 95},
  [4360] = {.lex_state = 88},
  [4361] = {.lex_state = 95},
  [4362] = {.lex_state = 95},
  [4363] = {.lex_state = 95},
  [4364] = {.lex_state = 95},
  [4365] = {.lex_state = 95},
  [4366] = {.lex_state = 95},
  [4367] = {.lex_state = 88},
  [4368] = {.lex_state = 95},
  [4369] = {.lex_state = 95},
  [4370] = {.lex_state = 89},
  [4371] = {.lex_state = 95},
  [4372] = {.lex_state = 95},
  [4373] = {.lex_state = 95},
  [4374] = {.lex_state = 89},
  [4375] = {.lex_state = 95},
  [4376] = {.lex_state = 95},
  [4377] = {.lex_state = 95},
  [4378] = {.lex_state = 95},
  [4379] = {.lex_state = 89, .external_lex_state = 2},
  [4380] = {.lex_state = 95},
  [4381] = {.lex_state = 95},
  [4382] = {.lex_state = 95},
  [4383] = {.lex_state = 88},
  [4384] = {.lex_state = 95},
  [4385] = {.lex_state = 95},
  [4386] = {.lex_state = 95},
  [4387] = {.lex_state = 95},
  [4388] = {.lex_state = 95},
  [4389] = {.lex_state = 95},
  [4390] = {.lex_state = 95},
  [4391] = {.lex_state = 89},
  [4392] = {.lex_state = 89},
  [4393] = {.lex_state = 95},
  [4394] = {.lex_state = 95},
  [4395] = {.lex_state = 89},
  [4396] = {.lex_state = 89},
  [4397] = {.lex_state = 96},
  [4398] = {.lex_state = 89},
  [4399] = {.lex_state = 95},
  [4400] = {.lex_state = 95},
  [4401] = {.lex_state = 95},
  [4402] = {.lex_state = 89},
  [4403] = {.lex_state = 95},
  [4404] = {.lex_state = 95},
  [4405] = {.lex_state = 95},
  [4406] = {.lex_state = 95},
  [4407] = {.lex_state = 95},
  [4408] = {.lex_state = 89},
  [4409] = {.lex_state = 95},
  [4410] = {.lex_state = 89},
  [4411] = {.lex_state = 89},
  [4412] = {.lex_state = 95},
  [4413] = {.lex_state = 95},
  [4414] = {.lex_state = 88},
  [4415] = {.lex_state = 88},
  [4416] = {.lex_state = 91},
  [4417] = {.lex_state = 91},
  [4418] = {.lex_state = 88},
  [4419] = {.lex_state = 91},
  [4420] = {.lex_state = 88},
  [4421] = {.lex_state = 91},
  [4422] = {.lex_state = 88},
  [4423] = {.lex_state = 88},
  [4424] = {.lex_state = 88},
  [4425] = {.lex_state = 88},
  [4426] = {.lex_state = 88},
  [4427] = {.lex_state = 88},
  [4428] = {.lex_state = 88},
  [4429] = {.lex_state = 88},
  [4430] = {.lex_state = 88},
  [4431] = {.lex_state = 91},
  [4432] = {.lex_state = 88},
  [4433] = {.lex_state = 88},
  [4434] = {.lex_state = 88},
  [4435] = {.lex_state = 88},
  [4436] = {.lex_state = 88},
  [4437] = {.lex_state = 88},
  [4438] = {.lex_state = 88},
  [4439] = {.lex_state = 88},
  [4440] = {.lex_state = 88},
  [4441] = {.lex_state = 88},
  [4442] = {.lex_state = 88},
  [4443] = {.lex_state = 88},
  [4444] = {.lex_state = 88},
  [4445] = {.lex_state = 88},
  [4446] = {.lex_state = 88},
  [4447] = {.lex_state = 88},
  [4448] = {.lex_state = 88},
  [4449] = {.lex_state = 88},
  [4450] = {.lex_state = 88},
  [4451] = {.lex_state = 88},
  [4452] = {.lex_state = 91},
  [4453] = {.lex_state = 88},
  [4454] = {.lex_state = 88},
  [4455] = {.lex_state = 88},
  [4456] = {.lex_state = 88},
  [4457] = {.lex_state = 88},
  [4458] = {.lex_state = 91},
  [4459] = {.lex_state = 91},
  [4460] = {.lex_state = 91},
  [4461] = {.lex_state = 91},
  [4462] = {.lex_state = 91},
  [4463] = {.lex_state = 91},
  [4464] = {.lex_state = 91},
  [4465] = {.lex_state = 88},
  [4466] = {.lex_state = 91},
  [4467] = {.lex_state = 91},
  [4468] = {.lex_state = 91},
  [4469] = {.lex_state = 88},
  [4470] = {.lex_state = 91},
  [4471] = {.lex_state = 91},
  [4472] = {.lex_state = 91},
  [4473] = {.lex_state = 88},
  [4474] = {.lex_state = 88},
  [4475] = {.lex_state = 89},
  [4476] = {.lex_state = 88},
  [4477] = {.lex_state = 91},
  [4478] = {.lex_state = 88},
  [4479] = {.lex_state = 88},
  [4480] = {.lex_state = 88},
  [4481] = {.lex_state = 91},
  [4482] = {.lex_state = 91},
  [4483] = {.lex_state = 88},
  [4484] = {.lex_state = 88},
  [4485] = {.lex_state = 88},
  [4486] = {.lex_state = 88},
  [4487] = {.lex_state = 88},
  [4488] = {.lex_state = 88},
  [4489] = {.lex_state = 88},
  [4490] = {.lex_state = 91},
  [4491] = {.lex_state = 91},
  [4492] = {.lex_state = 89},
  [4493] = {.lex_state = 91},
  [4494] = {.lex_state = 91},
  [4495] = {.lex_state = 88},
  [4496] = {.lex_state = 91},
  [4497] = {.lex_state = 88},
  [4498] = {.lex_state = 91},
  [4499] = {.lex_state = 91},
  [4500] = {.lex_state = 88},
  [4501] = {.lex_state = 88},
  [4502] = {.lex_state = 88},
  [4503] = {.lex_state = 91},
  [4504] = {.lex_state = 88},
  [4505] = {.lex_state = 91},
  [4506] = {.lex_state = 91},
  [4507] = {.lex_state = 88},
  [4508] = {.lex_state = 88},
  [4509] = {.lex_state = 88},
  [4510] = {.lex_state = 88},
  [4511] = {.lex_state = 88},
  [4512] = {.lex_state = 88},
  [4513] = {.lex_state = 88},
  [4514] = {.lex_state = 88},
  [4515] = {.lex_state = 91},
  [4516] = {.lex_state = 88},
  [4517] = {.lex_state = 88},
  [4518] = {.lex_state = 91},
  [4519] = {.lex_state = 88},
  [4520] = {.lex_state = 91},
  [4521] = {.lex_state = 88},
  [4522] = {.lex_state = 88},
  [4523] = {.lex_state = 88},
  [4524] = {.lex_state = 88},
  [4525] = {.lex_state = 88},
  [4526] = {.lex_state = 91},
  [4527] = {.lex_state = 88},
  [4528] = {.lex_state = 88},
  [4529] = {.lex_state = 88},
  [4530] = {.lex_state = 88},
  [4531] = {.lex_state = 88},
  [4532] = {.lex_state = 88},
  [4533] = {.lex_state = 91},
  [4534] = {.lex_state = 88},
  [4535] = {.lex_state = 88},
  [4536] = {.lex_state = 88},
  [4537] = {.lex_state = 88},
  [4538] = {.lex_state = 88},
  [4539] = {.lex_state = 91},
  [4540] = {.lex_state = 88},
  [4541] = {.lex_state = 88},
  [4542] = {.lex_state = 88},
  [4543] = {.lex_state = 88},
  [4544] = {.lex_state = 88},
  [4545] = {.lex_state = 91},
  [4546] = {.lex_state = 88},
  [4547] = {.lex_state = 88},
  [4548] = {.lex_state = 91},
  [4549] = {.lex_state = 88},
  [4550] = {.lex_state = 88},
  [4551] = {.lex_state = 88},
  [4552] = {.lex_state = 88},
  [4553] = {.lex_state = 88},
  [4554] = {.lex_state = 88},
  [4555] = {.lex_state = 91},
  [4556] = {.lex_state = 88},
  [4557] = {.lex_state = 88},
  [4558] = {.lex_state = 88},
  [4559] = {.lex_state = 88},
  [4560] = {.lex_state = 88},
  [4561] = {.lex_state = 88},
  [4562] = {.lex_state = 88},
  [4563] = {.lex_state = 88},
  [4564] = {.lex_state = 88},
  [4565] = {.lex_state = 88},
  [4566] = {.lex_state = 88},
  [4567] = {.lex_state = 88},
  [4568] = {.lex_state = 88},
  [4569] = {.lex_state = 88},
  [4570] = {.lex_state = 88},
  [4571] = {.lex_state = 88},
  [4572] = {.lex_state = 88},
  [4573] = {.lex_state = 91},
  [4574] = {.lex_state = 88},
  [4575] = {.lex_state = 88},
  [4576] = {.lex_state = 88},
  [4577] = {.lex_state = 88},
  [4578] = {.lex_state = 88},
  [4579] = {.lex_state = 88},
  [4580] = {.lex_state = 88},
  [4581] = {.lex_state = 91},
  [4582] = {.lex_state = 88},
  [4583] = {.lex_state = 88},
  [4584] = {.lex_state = 88},
  [4585] = {.lex_state = 88},
  [4586] = {.lex_state = 91},
  [4587] = {.lex_state = 88},
  [4588] = {.lex_state = 88},
  [4589] = {.lex_state = 88},
  [4590] = {.lex_state = 91},
  [4591] = {.lex_state = 88},
  [4592] = {.lex_state = 88},
  [4593] = {.lex_state = 88},
  [4594] = {.lex_state = 91},
  [4595] = {.lex_state = 88},
  [4596] = {.lex_state = 88},
  [4597] = {.lex_state = 88},
  [4598] = {.lex_state = 88},
  [4599] = {.lex_state = 88},
  [4600] = {.lex_state = 88},
  [4601] = {.lex_state = 88},
  [4602] = {.lex_state = 91},
  [4603] = {.lex_state = 91},
  [4604] = {.lex_state = 88},
  [4605] = {.lex_state = 88},
  [4606] = {.lex_state = 91},
  [4607] = {.lex_state = 89, .external_lex_state = 2},
  [4608] = {.lex_state = 91},
  [4609] = {.lex_state = 91},
  [4610] = {.lex_state = 88},
  [4611] = {.lex_state = 91},
  [4612] = {.lex_state = 88},
  [4613] = {.lex_state = 88},
  [4614] = {.lex_state = 91},
  [4615] = {.lex_state = 91},
  [4616] = {.lex_state = 88},
  [4617] = {.lex_state = 91},
  [4618] = {.lex_state = 91},
  [4619] = {.lex_state = 88},
  [4620] = {.lex_state = 88},
  [4621] = {.lex_state = 91},
  [4622] = {.lex_state = 88},
  [4623] = {.lex_state = 91},
  [4624] = {.lex_state = 91},
  [4625] = {.lex_state = 88},
  [4626] = {.lex_state = 91},
  [4627] = {.lex_state = 88},
  [4628] = {.lex_state = 88},
  [4629] = {.lex_state = 88},
  [4630] = {.lex_state = 91},
  [4631] = {.lex_state = 88},
  [4632] = {.lex_state = 91},
  [4633] = {.lex_state = 88},
  [4634] = {.lex_state = 88},
  [4635] = {.lex_state = 91},
  [4636] = {.lex_state = 91},
  [4637] = {.lex_state = 91},
  [4638] = {.lex_state = 91},
  [4639] = {.lex_state = 91},
  [4640] = {.lex_state = 91},
  [4641] = {.lex_state = 88},
  [4642] = {.lex_state = 88},
  [4643] = {.lex_state = 88},
  [4644] = {.lex_state = 88},
  [4645] = {.lex_state = 91},
  [4646] = {.lex_state = 91},
  [4647] = {.lex_state = 88},
  [4648] = {.lex_state = 88},
  [4649] = {.lex_state = 91},
  [4650] = {.lex_state = 88},
  [4651] = {.lex_state = 91},
  [4652] = {.lex_state = 88},
  [4653] = {.lex_state = 88},
  [4654] = {.lex_state = 91},
  [4655] = {.lex_state = 88},
  [4656] = {.lex_state = 91},
  [4657] = {.lex_state = 91},
  [4658] = {.lex_state = 88},
  [4659] = {.lex_state = 91},
  [4660] = {.lex_state = 91},
  [4661] = {.lex_state = 88},
  [4662] = {.lex_state = 91},
  [4663] = {.lex_state = 88},
  [4664] = {.lex_state = 88},
  [4665] = {.lex_state = 91},
  [4666] = {.lex_state = 91},
  [4667] = {.lex_state = 88},
  [4668] = {.lex_state = 88},
  [4669] = {.lex_state = 88},
  [4670] = {.lex_state = 88},
  [4671] = {.lex_state = 88},
  [4672] = {.lex_state = 88},
  [4673] = {.lex_state = 88},
  [4674] = {.lex_state = 91},
  [4675] = {.lex_state = 91},
  [4676] = {.lex_state = 88},
  [4677] = {.lex_state = 88},
  [4678] = {.lex_state = 91},
  [4679] = {.lex_state = 88},
  [4680] = {.lex_state = 91},
  [4681] = {.lex_state = 88},
  [4682] = {.lex_state = 88},
  [4683] = {.lex_state = 91},
  [4684] = {.lex_state = 91},
  [4685] = {.lex_state = 88},
  [4686] = {.lex_state = 91},
  [4687] = {.lex_state = 88},
  [4688] = {.lex_state = 88},
  [4689] = {.lex_state = 88},
  [4690] = {.lex_state = 91},
  [4691] = {.lex_state = 88},
  [4692] = {.lex_state = 88},
  [4693] = {.lex_state = 91},
  [4694] = {.lex_state = 88},
  [4695] = {.lex_state = 88},
  [4696] = {.lex_state = 88},
  [4697] = {.lex_state = 88},
  [4698] = {.lex_state = 91},
  [4699] = {.lex_state = 91},
  [4700] = {.lex_state = 91},
  [4701] = {.lex_state = 91},
  [4702] = {.lex_state = 91},
  [4703] = {.lex_state = 91},
  [4704] = {.lex_state = 91},
  [4705] = {.lex_state = 91},
  [4706] = {.lex_state = 91},
  [4707] = {.lex_state = 91},
  [4708] = {.lex_state = 91},
  [4709] = {.lex_state = 91},
  [4710] = {.lex_state = 91},
  [4711] = {.lex_state = 91},
  [4712] = {.lex_state = 91},
  [4713] = {.lex_state = 91},
  [4714] = {.lex_state = 91},
  [4715] = {.lex_state = 91},
  [4716] = {.lex_state = 91},
  [4717] = {.lex_state = 91},
  [4718] = {.lex_state = 91},
  [4719] = {.lex_state = 91},
  [4720] = {.lex_state = 91},
  [4721] = {.lex_state = 91},
  [4722] = {.lex_state = 88},
  [4723] = {.lex_state = 91},
  [4724] = {.lex_state = 91},
  [4725] = {.lex_state = 91},
  [4726] = {.lex_state = 91},
  [4727] = {.lex_state = 91},
  [4728] = {.lex_state = 91},
  [4729] = {.lex_state = 91},
  [4730] = {.lex_state = 91},
  [4731] = {.lex_state = 91},
  [4732] = {.lex_state = 91},
  [4733] = {.lex_state = 91},
  [4734] = {.lex_state = 88},
  [4735] = {.lex_state = 91},
  [4736] = {.lex_state = 91},
  [4737] = {.lex_state = 91},
  [4738] = {.lex_state = 91},
  [4739] = {.lex_state = 91},
  [4740] = {.lex_state = 91},
  [4741] = {.lex_state = 91},
  [4742] = {.lex_state = 91},
  [4743] = {.lex_state = 91},
  [4744] = {.lex_state = 91},
  [4745] = {.lex_state = 91},
  [4746] = {.lex_state = 91},
  [4747] = {.lex_state = 83},
  [4748] = {.lex_state = 91},
  [4749] = {.lex_state = 91},
  [4750] = {.lex_state = 91},
  [4751] = {.lex_state = 91},
  [4752] = {.lex_state = 91},
  [4753] = {.lex_state = 91},
  [4754] = {.lex_state = 91},
  [4755] = {.lex_state = 83},
  [4756] = {.lex_state = 91},
  [4757] = {.lex_state = 91},
  [4758] = {.lex_state = 91},
  [4759] = {.lex_state = 91},
  [4760] = {.lex_state = 91},
  [4761] = {.lex_state = 91},
  [4762] = {.lex_state = 91},
  [4763] = {.lex_state = 91},
  [4764] = {.lex_state = 91},
  [4765] = {.lex_state = 91},
  [4766] = {.lex_state = 91},
  [4767] = {.lex_state = 91},
  [4768] = {.lex_state = 91},
  [4769] = {.lex_state = 89},
  [4770] = {.lex_state = 89},
  [4771] = {.lex_state = 89},
  [4772] = {.lex_state = 89},
  [4773] = {.lex_state = 89},
  [4774] = {.lex_state = 89},
  [4775] = {.lex_state = 89},
  [4776] = {.lex_state = 89},
  [4777] = {.lex_state = 89},
  [4778] = {.lex_state = 89},
  [4779] = {.lex_state = 89},
  [4780] = {.lex_state = 89},
  [4781] = {.lex_state = 89},
  [4782] = {.lex_state = 89},
  [4783] = {.lex_state = 89},
  [4784] = {.lex_state = 89},
  [4785] = {.lex_state = 89},
  [4786] = {.lex_state = 89},
  [4787] = {.lex_state = 89},
  [4788] = {.lex_state = 89},
  [4789] = {.lex_state = 89},
  [4790] = {.lex_state = 89},
  [4791] = {.lex_state = 89},
  [4792] = {.lex_state = 89},
  [4793] = {.lex_state = 89},
  [4794] = {.lex_state = 89},
  [4795] = {.lex_state = 89},
  [4796] = {.lex_state = 89},
  [4797] = {.lex_state = 89},
  [4798] = {.lex_state = 89},
  [4799] = {.lex_state = 89},
  [4800] = {.lex_state = 89},
  [4801] = {.lex_state = 89},
  [4802] = {.lex_state = 89},
  [4803] = {.lex_state = 89},
  [4804] = {.lex_state = 89},
  [4805] = {.lex_state = 89},
  [4806] = {.lex_state = 89},
  [4807] = {.lex_state = 89},
  [4808] = {.lex_state = 89},
  [4809] = {.lex_state = 89},
  [4810] = {.lex_state = 89},
  [4811] = {.lex_state = 89},
  [4812] = {.lex_state = 89},
  [4813] = {.lex_state = 89},
  [4814] = {.lex_state = 89},
  [4815] = {.lex_state = 89},
  [4816] = {.lex_state = 89},
  [4817] = {.lex_state = 89},
  [4818] = {.lex_state = 89},
  [4819] = {.lex_state = 89},
  [4820] = {.lex_state = 89},
  [4821] = {.lex_state = 89},
  [4822] = {.lex_state = 89},
  [4823] = {.lex_state = 89},
  [4824] = {.lex_state = 83},
  [4825] = {.lex_state = 89},
  [4826] = {.lex_state = 89},
  [4827] = {.lex_state = 89},
  [4828] = {.lex_state = 89},
  [4829] = {.lex_state = 89},
  [4830] = {.lex_state = 89},
  [4831] = {.lex_state = 89},
  [4832] = {.lex_state = 89},
  [4833] = {.lex_state = 89},
  [4834] = {.lex_state = 89},
  [4835] = {.lex_state = 89},
  [4836] = {.lex_state = 89},
  [4837] = {.lex_state = 89},
  [4838] = {.lex_state = 89},
  [4839] = {.lex_state = 89},
  [4840] = {.lex_state = 89},
  [4841] = {.lex_state = 89},
  [4842] = {.lex_state = 89},
  [4843] = {.lex_state = 89},
  [4844] = {.lex_state = 89},
  [4845] = {.lex_state = 89},
  [4846] = {.lex_state = 89},
  [4847] = {.lex_state = 89},
  [4848] = {.lex_state = 89},
  [4849] = {.lex_state = 89},
  [4850] = {.lex_state = 89},
  [4851] = {.lex_state = 89},
  [4852] = {.lex_state = 89},
  [4853] = {.lex_state = 89},
  [4854] = {.lex_state = 89},
  [4855] = {.lex_state = 89},
  [4856] = {.lex_state = 89},
  [4857] = {.lex_state = 89},
  [4858] = {.lex_state = 89},
  [4859] = {.lex_state = 89},
  [4860] = {.lex_state = 89},
  [4861] = {.lex_state = 89},
  [4862] = {.lex_state = 89},
  [4863] = {.lex_state = 89},
  [4864] = {.lex_state = 89},
  [4865] = {.lex_state = 89},
  [4866] = {.lex_state = 89},
  [4867] = {.lex_state = 89},
  [4868] = {.lex_state = 89},
  [4869] = {.lex_state = 89},
  [4870] = {.lex_state = 89},
  [4871] = {.lex_state = 89},
  [4872] = {.lex_state = 89},
  [4873] = {.lex_state = 89},
  [4874] = {.lex_state = 89},
  [4875] = {.lex_state = 89},
  [4876] = {.lex_state = 89},
  [4877] = {.lex_state = 89},
  [4878] = {.lex_state = 89},
  [4879] = {.lex_state = 89},
  [4880] = {.lex_state = 89},
  [4881] = {.lex_state = 89},
  [4882] = {.lex_state = 89},
  [4883] = {.lex_state = 89},
  [4884] = {.lex_state = 89},
  [4885] = {.lex_state = 89},
  [4886] = {.lex_state = 89},
  [4887] = {.lex_state = 89},
  [4888] = {.lex_state = 89},
  [4889] = {.lex_state = 89},
  [4890] = {.lex_state = 89},
  [4891] = {.lex_state = 89},
  [4892] = {.lex_state = 89},
  [4893] = {.lex_state = 89},
  [4894] = {.lex_state = 89},
  [4895] = {.lex_state = 89},
  [4896] = {.lex_state = 89},
  [4897] = {.lex_state = 89},
  [4898] = {.lex_state = 89},
  [4899] = {.lex_state = 89},
  [4900] = {.lex_state = 89},
  [4901] = {.lex_state = 89},
  [4902] = {.lex_state = 89},
  [4903] = {.lex_state = 89},
  [4904] = {.lex_state = 89},
  [4905] = {.lex_state = 89},
  [4906] = {.lex_state = 89},
  [4907] = {.lex_state = 89},
  [4908] = {.lex_state = 83},
  [4909] = {.lex_state = 89},
  [4910] = {.lex_state = 89},
  [4911] = {.lex_state = 89},
  [4912] = {.lex_state = 89},
  [4913] = {.lex_state = 89},
  [4914] = {.lex_state = 89},
  [4915] = {.lex_state = 89},
  [4916] = {.lex_state = 89},
  [4917] = {.lex_state = 89},
  [4918] = {.lex_state = 89},
  [4919] = {.lex_state = 89},
  [4920] = {.lex_state = 89},
  [4921] = {.lex_state = 89},
  [4922] = {.lex_state = 89},
  [4923] = {.lex_state = 89},
  [4924] = {.lex_state = 89},
  [4925] = {.lex_state = 89},
  [4926] = {.lex_state = 89},
  [4927] = {.lex_state = 89},
  [4928] = {.lex_state = 89},
  [4929] = {.lex_state = 89},
  [4930] = {.lex_state = 89},
  [4931] = {.lex_state = 89},
  [4932] = {.lex_state = 89},
  [4933] = {.lex_state = 89},
  [4934] = {.lex_state = 89},
  [4935] = {.lex_state = 89},
  [4936] = {.lex_state = 89},
  [4937] = {.lex_state = 89},
  [4938] = {.lex_state = 89},
  [4939] = {.lex_state = 89},
  [4940] = {.lex_state = 89},
  [4941] = {.lex_state = 89},
  [4942] = {.lex_state = 89},
  [4943] = {.lex_state = 89},
  [4944] = {.lex_state = 89},
  [4945] = {.lex_state = 89},
  [4946] = {.lex_state = 89},
  [4947] = {.lex_state = 89},
  [4948] = {.lex_state = 89},
  [4949] = {.lex_state = 89},
  [4950] = {.lex_state = 89},
  [4951] = {.lex_state = 89},
  [4952] = {.lex_state = 89},
  [4953] = {.lex_state = 89},
  [4954] = {.lex_state = 89},
  [4955] = {.lex_state = 89},
  [4956] = {.lex_state = 89},
  [4957] = {.lex_state = 89},
  [4958] = {.lex_state = 89},
  [4959] = {.lex_state = 89},
  [4960] = {.lex_state = 89},
  [4961] = {.lex_state = 89},
  [4962] = {.lex_state = 89},
  [4963] = {.lex_state = 89},
  [4964] = {.lex_state = 89},
  [4965] = {.lex_state = 91},
  [4966] = {.lex_state = 91},
  [4967] = {.lex_state = 91},
  [4968] = {.lex_state = 91},
  [4969] = {.lex_state = 91},
  [4970] = {.lex_state = 91},
  [4971] = {.lex_state = 91},
  [4972] = {.lex_state = 91},
  [4973] = {.lex_state = 91},
  [4974] = {.lex_state = 91},
  [4975] = {.lex_state = 91},
  [4976] = {.lex_state = 91},
  [4977] = {.lex_state = 91},
  [4978] = {.lex_state = 91},
  [4979] = {.lex_state = 91},
  [4980] = {.lex_state = 91},
  [4981] = {.lex_state = 91},
  [4982] = {.lex_state = 91},
  [4983] = {.lex_state = 91},
  [4984] = {.lex_state = 91},
  [4985] = {.lex_state = 91},
  [4986] = {.lex_state = 91},
  [4987] = {.lex_state = 91},
  [4988] = {.lex_state = 91},
  [4989] = {.lex_state = 91},
  [4990] = {.lex_state = 91},
  [4991] = {.lex_state = 91},
  [4992] = {.lex_state = 91},
  [4993] = {.lex_state = 91},
  [4994] = {.lex_state = 91},
  [4995] = {.lex_state = 91},
  [4996] = {.lex_state = 91},
  [4997] = {.lex_state = 91},
  [4998] = {.lex_state = 91},
  [4999] = {.lex_state = 91},
  [5000] = {.lex_state = 91},
  [5001] = {.lex_state = 91},
  [5002] = {.lex_state = 91},
  [5003] = {.lex_state = 91},
  [5004] = {.lex_state = 91},
  [5005] = {.lex_state = 91},
  [5006] = {.lex_state = 91},
  [5007] = {.lex_state = 91},
  [5008] = {.lex_state = 91},
  [5009] = {.lex_state = 91},
  [5010] = {.lex_state = 91},
  [5011] = {.lex_state = 91},
  [5012] = {.lex_state = 91},
  [5013] = {.lex_state = 91},
  [5014] = {.lex_state = 91},
  [5015] = {.lex_state = 91},
  [5016] = {.lex_state = 91},
  [5017] = {.lex_state = 91},
  [5018] = {.lex_state = 91},
  [5019] = {.lex_state = 91},
  [5020] = {.lex_state = 91},
  [5021] = {.lex_state = 91},
  [5022] = {.lex_state = 91},
  [5023] = {.lex_state = 91},
  [5024] = {.lex_state = 91},
  [5025] = {.lex_state = 91},
  [5026] = {.lex_state = 91},
  [5027] = {.lex_state = 91},
  [5028] = {.lex_state = 91},
  [5029] = {.lex_state = 91},
  [5030] = {.lex_state = 91},
  [5031] = {.lex_state = 91},
  [5032] = {.lex_state = 91},
  [5033] = {.lex_state = 91},
  [5034] = {.lex_state = 91},
  [5035] = {.lex_state = 91},
  [5036] = {.lex_state = 91},
  [5037] = {.lex_state = 91},
  [5038] = {.lex_state = 91},
  [5039] = {.lex_state = 91},
  [5040] = {.lex_state = 91},
  [5041] = {.lex_state = 91},
  [5042] = {.lex_state = 91},
  [5043] = {.lex_state = 91},
  [5044] = {.lex_state = 91},
  [5045] = {.lex_state = 91},
  [5046] = {.lex_state = 91},
  [5047] = {.lex_state = 91},
  [5048] = {.lex_state = 91},
  [5049] = {.lex_state = 91},
  [5050] = {.lex_state = 91},
  [5051] = {.lex_state = 91},
  [5052] = {.lex_state = 91},
  [5053] = {.lex_state = 91},
  [5054] = {.lex_state = 91},
  [5055] = {.lex_state = 91},
  [5056] = {.lex_state = 91},
  [5057] = {.lex_state = 91},
  [5058] = {.lex_state = 91},
  [5059] = {.lex_state = 91},
  [5060] = {.lex_state = 91},
  [5061] = {.lex_state = 91},
  [5062] = {.lex_state = 91},
  [5063] = {.lex_state = 91},
  [5064] = {.lex_state = 91},
  [5065] = {.lex_state = 91},
  [5066] = {.lex_state = 91},
  [5067] = {.lex_state = 91},
  [5068] = {.lex_state = 91},
  [5069] = {.lex_state = 91},
  [5070] = {.lex_state = 91},
  [5071] = {.lex_state = 91},
  [5072] = {.lex_state = 91},
  [5073] = {.lex_state = 91},
  [5074] = {.lex_state = 91},
  [5075] = {.lex_state = 91},
  [5076] = {.lex_state = 91},
  [5077] = {.lex_state = 91},
  [5078] = {.lex_state = 91},
  [5079] = {.lex_state = 91},
  [5080] = {.lex_state = 91},
  [5081] = {.lex_state = 91},
  [5082] = {.lex_state = 91},
  [5083] = {.lex_state = 91},
  [5084] = {.lex_state = 91},
  [5085] = {.lex_state = 91},
  [5086] = {.lex_state = 91},
  [5087] = {.lex_state = 91},
  [5088] = {.lex_state = 91},
  [5089] = {.lex_state = 91},
  [5090] = {.lex_state = 91},
  [5091] = {.lex_state = 91},
  [5092] = {.lex_state = 91},
  [5093] = {.lex_state = 91},
  [5094] = {.lex_state = 91},
  [5095] = {.lex_state = 91},
  [5096] = {.lex_state = 91},
  [5097] = {.lex_state = 91},
  [5098] = {.lex_state = 86},
  [5099] = {.lex_state = 86},
  [5100] = {.lex_state = 91},
  [5101] = {.lex_state = 91},
  [5102] = {.lex_state = 91},
  [5103] = {.lex_state = 91},
  [5104] = {.lex_state = 91},
  [5105] = {.lex_state = 91},
  [5106] = {.lex_state = 91},
  [5107] = {.lex_state = 91},
  [5108] = {.lex_state = 91},
  [5109] = {.lex_state = 91},
  [5110] = {.lex_state = 91},
  [5111] = {.lex_state = 91},
  [5112] = {.lex_state = 91},
  [5113] = {.lex_state = 91},
  [5114] = {.lex_state = 91},
  [5115] = {.lex_state = 91},
  [5116] = {.lex_state = 91},
  [5117] = {.lex_state = 91},
  [5118] = {.lex_state = 91},
  [5119] = {.lex_state = 91},
  [5120] = {.lex_state = 91},
  [5121] = {.lex_state = 91},
  [5122] = {.lex_state = 91},
  [5123] = {.lex_state = 91},
  [5124] = {.lex_state = 91},
  [5125] = {.lex_state = 91},
  [5126] = {.lex_state = 91},
  [5127] = {.lex_state = 91},
  [5128] = {.lex_state = 91},
  [5129] = {.lex_state = 91},
  [5130] = {.lex_state = 91},
  [5131] = {.lex_state = 91},
  [5132] = {.lex_state = 91},
  [5133] = {.lex_state = 91},
  [5134] = {.lex_state = 91},
  [5135] = {.lex_state = 91},
  [5136] = {.lex_state = 91},
  [5137] = {.lex_state = 91},
  [5138] = {.lex_state = 91},
  [5139] = {.lex_state = 91},
  [5140] = {.lex_state = 91},
  [5141] = {.lex_state = 91},
  [5142] = {.lex_state = 91},
  [5143] = {.lex_state = 91},
  [5144] = {.lex_state = 91},
  [5145] = {.lex_state = 91},
  [5146] = {.lex_state = 91},
  [5147] = {.lex_state = 91},
  [5148] = {.lex_state = 91},
  [5149] = {.lex_state = 91},
  [5150] = {.lex_state = 91},
  [5151] = {.lex_state = 91},
  [5152] = {.lex_state = 91},
  [5153] = {.lex_state = 91},
  [5154] = {.lex_state = 91},
  [5155] = {.lex_state = 91},
  [5156] = {.lex_state = 91},
  [5157] = {.lex_state = 91},
  [5158] = {.lex_state = 91},
  [5159] = {.lex_state = 91},
  [5160] = {.lex_state = 91},
  [5161] = {.lex_state = 91},
  [5162] = {.lex_state = 91},
  [5163] = {.lex_state = 91},
  [5164] = {.lex_state = 91},
  [5165] = {.lex_state = 91},
  [5166] = {.lex_state = 91},
  [5167] = {.lex_state = 91},
  [5168] = {.lex_state = 91},
  [5169] = {.lex_state = 91},
  [5170] = {.lex_state = 91},
  [5171] = {.lex_state = 91},
  [5172] = {.lex_state = 91},
  [5173] = {.lex_state = 91},
  [5174] = {.lex_state = 91},
  [5175] = {.lex_state = 91},
  [5176] = {.lex_state = 91},
  [5177] = {.lex_state = 91},
  [5178] = {.lex_state = 91},
  [5179] = {.lex_state = 91},
  [5180] = {.lex_state = 91},
  [5181] = {.lex_state = 91},
  [5182] = {.lex_state = 91},
  [5183] = {.lex_state = 91},
  [5184] = {.lex_state = 91},
  [5185] = {.lex_state = 91},
  [5186] = {.lex_state = 91},
  [5187] = {.lex_state = 91},
  [5188] = {.lex_state = 91},
  [5189] = {.lex_state = 91},
  [5190] = {.lex_state = 91},
  [5191] = {.lex_state = 91},
  [5192] = {.lex_state = 91},
  [5193] = {.lex_state = 91},
  [5194] = {.lex_state = 91},
  [5195] = {.lex_state = 91},
  [5196] = {.lex_state = 91},
  [5197] = {.lex_state = 91},
  [5198] = {.lex_state = 91},
  [5199] = {.lex_state = 91},
  [5200] = {.lex_state = 91},
  [5201] = {.lex_state = 91},
  [5202] = {.lex_state = 91},
  [5203] = {.lex_state = 91},
  [5204] = {.lex_state = 91},
  [5205] = {.lex_state = 91},
  [5206] = {.lex_state = 91},
  [5207] = {.lex_state = 91},
  [5208] = {.lex_state = 91},
  [5209] = {.lex_state = 91},
  [5210] = {.lex_state = 91},
  [5211] = {.lex_state = 91},
  [5212] = {.lex_state = 91},
  [5213] = {.lex_state = 91},
  [5214] = {.lex_state = 91},
  [5215] = {.lex_state = 91},
  [5216] = {.lex_state = 91},
  [5217] = {.lex_state = 91},
  [5218] = {.lex_state = 91},
  [5219] = {.lex_state = 91},
  [5220] = {.lex_state = 91},
  [5221] = {.lex_state = 91},
  [5222] = {.lex_state = 91},
  [5223] = {.lex_state = 91},
  [5224] = {.lex_state = 91},
  [5225] = {.lex_state = 91},
  [5226] = {.lex_state = 91},
  [5227] = {.lex_state = 91},
  [5228] = {.lex_state = 91},
  [5229] = {.lex_state = 91},
  [5230] = {.lex_state = 91},
  [5231] = {.lex_state = 91},
  [5232] = {.lex_state = 91},
  [5233] = {.lex_state = 91},
  [5234] = {.lex_state = 91},
  [5235] = {.lex_state = 91},
  [5236] = {.lex_state = 91},
  [5237] = {.lex_state = 91},
  [5238] = {.lex_state = 91},
  [5239] = {.lex_state = 91},
  [5240] = {.lex_state = 91},
  [5241] = {.lex_state = 91},
  [5242] = {.lex_state = 91},
  [5243] = {.lex_state = 91},
  [5244] = {.lex_state = 91},
  [5245] = {.lex_state = 91},
  [5246] = {.lex_state = 91},
  [5247] = {.lex_state = 91},
  [5248] = {.lex_state = 91},
  [5249] = {.lex_state = 91},
  [5250] = {.lex_state = 91},
  [5251] = {.lex_state = 91},
  [5252] = {.lex_state = 91},
  [5253] = {.lex_state = 91},
  [5254] = {.lex_state = 91},
  [5255] = {.lex_state = 91},
  [5256] = {.lex_state = 91},
  [5257] = {.lex_state = 99},
  [5258] = {.lex_state = 99},
  [5259] = {.lex_state = 99},
  [5260] = {.lex_state = 99},
  [5261] = {.lex_state = 99},
  [5262] = {.lex_state = 99},
  [5263] = {.lex_state = 99},
  [5264] = {.lex_state = 99},
  [5265] = {.lex_state = 99},
  [5266] = {.lex_state = 99},
  [5267] = {.lex_state = 99},
  [5268] = {.lex_state = 99},
  [5269] = {.lex_state = 99},
  [5270] = {.lex_state = 99},
  [5271] = {.lex_state = 99},
  [5272] = {.lex_state = 99},
  [5273] = {.lex_state = 99},
  [5274] = {.lex_state = 99},
  [5275] = {.lex_state = 99},
  [5276] = {.lex_state = 99},
  [5277] = {.lex_state = 88},
  [5278] = {.lex_state = 99},
  [5279] = {.lex_state = 99},
  [5280] = {.lex_state = 91},
  [5281] = {.lex_state = 99},
  [5282] = {.lex_state = 99},
  [5283] = {.lex_state = 99},
  [5284] = {.lex_state = 92},
  [5285] = {.lex_state = 92},
  [5286] = {.lex_state = 92},
  [5287] = {.lex_state = 92},
  [5288] = {.lex_state = 92},
  [5289] = {.lex_state = 92},
  [5290] = {.lex_state = 99},
  [5291] = {.lex_state = 99},
  [5292] = {.lex_state = 99},
  [5293] = {.lex_state = 92},
  [5294] = {.lex_state = 99},
  [5295] = {.lex_state = 92},
  [5296] = {.lex_state = 92},
  [5297] = {.lex_state = 92},
  [5298] = {.lex_state = 99},
  [5299] = {.lex_state = 92},
  [5300] = {.lex_state = 92},
  [5301] = {.lex_state = 92},
  [5302] = {.lex_state = 99},
  [5303] = {.lex_state = 92},
  [5304] = {.lex_state = 92},
  [5305] = {.lex_state = 92},
  [5306] = {.lex_state = 99},
  [5307] = {.lex_state = 92},
  [5308] = {.lex_state = 91},
  [5309] = {.lex_state = 99},
  [5310] = {.lex_state = 95},
  [5311] = {.lex_state = 99},
  [5312] = {.lex_state = 88},
  [5313] = {.lex_state = 91},
  [5314] = {.lex_state = 95},
  [5315] = {.lex_state = 88},
  [5316] = {.lex_state = 99},
  [5317] = {.lex_state = 95},
  [5318] = {.lex_state = 99},
  [5319] = {.lex_state = 99},
  [5320] = {.lex_state = 88},
  [5321] = {.lex_state = 91},
  [5322] = {.lex_state = 88},
  [5323] = {.lex_state = 88},
  [5324] = {.lex_state = 91},
  [5325] = {.lex_state = 88},
  [5326] = {.lex_state = 88},
  [5327] = {.lex_state = 88},
  [5328] = {.lex_state = 88},
  [5329] = {.lex_state = 88},
  [5330] = {.lex_state = 88},
  [5331] = {.lex_state = 88},
  [5332] = {.lex_state = 99},
  [5333] = {.lex_state = 91},
  [5334] = {.lex_state = 88},
  [5335] = {.lex_state = 91},
  [5336] = {.lex_state = 88},
  [5337] = {.lex_state = 88},
  [5338] = {.lex_state = 88},
  [5339] = {.lex_state = 91},
  [5340] = {.lex_state = 91},
  [5341] = {.lex_state = 91},
  [5342] = {.lex_state = 91},
  [5343] = {.lex_state = 91},
  [5344] = {.lex_state = 88},
  [5345] = {.lex_state = 91},
  [5346] = {.lex_state = 91},
  [5347] = {.lex_state = 99},
  [5348] = {.lex_state = 91},
  [5349] = {.lex_state = 91},
  [5350] = {.lex_state = 91},
  [5351] = {.lex_state = 88},
  [5352] = {.lex_state = 91},
  [5353] = {.lex_state = 88},
  [5354] = {.lex_state = 88},
  [5355] = {.lex_state = 88},
  [5356] = {.lex_state = 99},
  [5357] = {.lex_state = 88},
  [5358] = {.lex_state = 99},
  [5359] = {.lex_state = 88},
  [5360] = {.lex_state = 88},
  [5361] = {.lex_state = 91},
  [5362] = {.lex_state = 99},
  [5363] = {.lex_state = 88},
  [5364] = {.lex_state = 88},
  [5365] = {.lex_state = 99},
  [5366] = {.lex_state = 88},
  [5367] = {.lex_state = 99},
  [5368] = {.lex_state = 99},
  [5369] = {.lex_state = 99},
  [5370] = {.lex_state = 99},
  [5371] = {.lex_state = 99},
  [5372] = {.lex_state = 88},
  [5373] = {.lex_state = 99},
  [5374] = {.lex_state = 99},
  [5375] = {.lex_state = 99},
  [5376] = {.lex_state = 99},
  [5377] = {.lex_state = 99},
  [5378] = {.lex_state = 99},
  [5379] = {.lex_state = 99},
  [5380] = {.lex_state = 99},
  [5381] = {.lex_state = 88},
  [5382] = {.lex_state = 99},
  [5383] = {.lex_state = 99},
  [5384] = {.lex_state = 99},
  [5385] = {.lex_state = 99},
  [5386] = {.lex_state = 99},
  [5387] = {.lex_state = 99},
  [5388] = {.lex_state = 99},
  [5389] = {.lex_state = 99},
  [5390] = {.lex_state = 95},
  [5391] = {.lex_state = 95},
  [5392] = {.lex_state = 99},
  [5393] = {.lex_state = 95},
  [5394] = {.lex_state = 95},
  [5395] = {.lex_state = 99},
  [5396] = {.lex_state = 95},
  [5397] = {.lex_state = 85},
  [5398] = {.lex_state = 95},
  [5399] = {.lex_state = 84},
  [5400] = {.lex_state = 85},
  [5401] = {.lex_state = 99},
  [5402] = {.lex_state = 99},
  [5403] = {.lex_state = 95},
  [5404] = {.lex_state = 95},
  [5405] = {.lex_state = 99},
  [5406] = {.lex_state = 99},
  [5407] = {.lex_state = 99},
  [5408] = {.lex_state = 84},
  [5409] = {.lex_state = 92, .external_lex_state = 2},
  [5410] = {.lex_state = 95},
  [5411] = {.lex_state = 95},
  [5412] = {.lex_state = 99},
  [5413] = {.lex_state = 95},
  [5414] = {.lex_state = 99},
  [5415] = {.lex_state = 99},
  [5416] = {.lex_state = 99},
  [5417] = {.lex_state = 95},
  [5418] = {.lex_state = 95},
  [5419] = {.lex_state = 99},
  [5420] = {.lex_state = 92},
  [5421] = {.lex_state = 92},
  [5422] = {.lex_state = 98},
  [5423] = {.lex_state = 92},
  [5424] = {.lex_state = 92},
  [5425] = {.lex_state = 98},
  [5426] = {.lex_state = 92},
  [5427] = {.lex_state = 92},
  [5428] = {.lex_state = 92},
  [5429] = {.lex_state = 92},
  [5430] = {.lex_state = 92},
  [5431] = {.lex_state = 92},
  [5432] = {.lex_state = 99},
  [5433] = {.lex_state = 92},
  [5434] = {.lex_state = 92},
  [5435] = {.lex_state = 92},
  [5436] = {.lex_state = 92},
  [5437] = {.lex_state = 92},
  [5438] = {.lex_state = 92},
  [5439] = {.lex_state = 92},
  [5440] = {.lex_state = 92},
  [5441] = {.lex_state = 92},
  [5442] = {.lex_state = 92},
  [5443] = {.lex_state = 92},
  [5444] = {.lex_state = 92},
  [5445] = {.lex_state = 98},
  [5446] = {.lex_state = 92},
  [5447] = {.lex_state = 92},
  [5448] = {.lex_state = 92},
  [5449] = {.lex_state = 92},
  [5450] = {.lex_state = 92},
  [5451] = {.lex_state = 92},
  [5452] = {.lex_state = 98},
  [5453] = {.lex_state = 92},
  [5454] = {.lex_state = 92},
  [5455] = {.lex_state = 92},
  [5456] = {.lex_state = 92},
  [5457] = {.lex_state = 92},
  [5458] = {.lex_state = 92},
  [5459] = {.lex_state = 92},
  [5460] = {.lex_state = 92},
  [5461] = {.lex_state = 92},
  [5462] = {.lex_state = 92},
  [5463] = {.lex_state = 92},
  [5464] = {.lex_state = 92},
  [5465] = {.lex_state = 92},
  [5466] = {.lex_state = 92},
  [5467] = {.lex_state = 91},
  [5468] = {.lex_state = 92},
  [5469] = {.lex_state = 92},
  [5470] = {.lex_state = 92},
  [5471] = {.lex_state = 92},
  [5472] = {.lex_state = 92},
  [5473] = {.lex_state = 92},
  [5474] = {.lex_state = 92},
  [5475] = {.lex_state = 92},
  [5476] = {.lex_state = 98},
  [5477] = {.lex_state = 92},
  [5478] = {.lex_state = 99},
  [5479] = {.lex_state = 92},
  [5480] = {.lex_state = 92},
  [5481] = {.lex_state = 99},
  [5482] = {.lex_state = 92},
  [5483] = {.lex_state = 92},
  [5484] = {.lex_state = 92},
  [5485] = {.lex_state = 92},
  [5486] = {.lex_state = 99},
  [5487] = {.lex_state = 92},
  [5488] = {.lex_state = 92},
  [5489] = {.lex_state = 92},
  [5490] = {.lex_state = 92},
  [5491] = {.lex_state = 92},
  [5492] = {.lex_state = 92},
  [5493] = {.lex_state = 92},
  [5494] = {.lex_state = 92},
  [5495] = {.lex_state = 92},
  [5496] = {.lex_state = 92},
  [5497] = {.lex_state = 92},
  [5498] = {.lex_state = 92},
  [5499] = {.lex_state = 92},
  [5500] = {.lex_state = 92},
  [5501] = {.lex_state = 92},
  [5502] = {.lex_state = 92},
  [5503] = {.lex_state = 92},
  [5504] = {.lex_state = 92},
  [5505] = {.lex_state = 92},
  [5506] = {.lex_state = 92},
  [5507] = {.lex_state = 92},
  [5508] = {.lex_state = 92},
  [5509] = {.lex_state = 99},
  [5510] = {.lex_state = 92},
  [5511] = {.lex_state = 92},
  [5512] = {.lex_state = 92},
  [5513] = {.lex_state = 92},
  [5514] = {.lex_state = 92},
  [5515] = {.lex_state = 98},
  [5516] = {.lex_state = 92},
  [5517] = {.lex_state = 92},
  [5518] = {.lex_state = 92},
  [5519] = {.lex_state = 92},
  [5520] = {.lex_state = 92},
  [5521] = {.lex_state = 92},
  [5522] = {.lex_state = 92},
  [5523] = {.lex_state = 92},
  [5524] = {.lex_state = 92},
  [5525] = {.lex_state = 98},
  [5526] = {.lex_state = 92},
  [5527] = {.lex_state = 92},
  [5528] = {.lex_state = 92},
  [5529] = {.lex_state = 99},
  [5530] = {.lex_state = 99},
  [5531] = {.lex_state = 92},
  [5532] = {.lex_state = 92},
  [5533] = {.lex_state = 92},
  [5534] = {.lex_state = 98},
  [5535] = {.lex_state = 92},
  [5536] = {.lex_state = 92},
  [5537] = {.lex_state = 92},
  [5538] = {.lex_state = 92},
  [5539] = {.lex_state = 92},
  [5540] = {.lex_state = 92},
  [5541] = {.lex_state = 92},
  [5542] = {.lex_state = 92},
  [5543] = {.lex_state = 92},
  [5544] = {.lex_state = 92},
  [5545] = {.lex_state = 92},
  [5546] = {.lex_state = 92},
  [5547] = {.lex_state = 92},
  [5548] = {.lex_state = 92},
  [5549] = {.lex_state = 99},
  [5550] = {.lex_state = 92},
  [5551] = {.lex_state = 92},
  [5552] = {.lex_state = 92},
  [5553] = {.lex_state = 92},
  [5554] = {.lex_state = 92},
  [5555] = {.lex_state = 92},
  [5556] = {.lex_state = 92},
  [5557] = {.lex_state = 92},
  [5558] = {.lex_state = 92},
  [5559] = {.lex_state = 92},
  [5560] = {.lex_state = 92},
  [5561] = {.lex_state = 92, .external_lex_state = 2},
  [5562] = {.lex_state = 92},
  [5563] = {.lex_state = 92},
  [5564] = {.lex_state = 92},
  [5565] = {.lex_state = 92},
  [5566] = {.lex_state = 92},
  [5567] = {.lex_state = 92},
  [5568] = {.lex_state = 92},
  [5569] = {.lex_state = 92},
  [5570] = {.lex_state = 92},
  [5571] = {.lex_state = 98},
  [5572] = {.lex_state = 98},
  [5573] = {.lex_state = 98},
  [5574] = {.lex_state = 98},
  [5575] = {.lex_state = 98},
  [5576] = {.lex_state = 98},
  [5577] = {.lex_state = 98},
  [5578] = {.lex_state = 92},
  [5579] = {.lex_state = 92},
  [5580] = {.lex_state = 92},
  [5581] = {.lex_state = 92},
  [5582] = {.lex_state = 98},
  [5583] = {.lex_state = 98},
  [5584] = {.lex_state = 98},
  [5585] = {.lex_state = 98},
  [5586] = {.lex_state = 98},
  [5587] = {.lex_state = 92},
  [5588] = {.lex_state = 95},
  [5589] = {.lex_state = 92},
  [5590] = {.lex_state = 92},
  [5591] = {.lex_state = 92},
  [5592] = {.lex_state = 88},
  [5593] = {.lex_state = 88},
  [5594] = {.lex_state = 88},
  [5595] = {.lex_state = 92},
  [5596] = {.lex_state = 92},
  [5597] = {.lex_state = 98},
  [5598] = {.lex_state = 88},
  [5599] = {.lex_state = 92},
  [5600] = {.lex_state = 92},
  [5601] = {.lex_state = 92},
  [5602] = {.lex_state = 88},
  [5603] = {.lex_state = 88},
  [5604] = {.lex_state = 92},
  [5605] = {.lex_state = 88},
  [5606] = {.lex_state = 88},
  [5607] = {.lex_state = 92},
  [5608] = {.lex_state = 92},
  [5609] = {.lex_state = 92},
  [5610] = {.lex_state = 92},
  [5611] = {.lex_state = 92},
  [5612] = {.lex_state = 92},
  [5613] = {.lex_state = 95},
  [5614] = {.lex_state = 92},
  [5615] = {.lex_state = 92},
  [5616] = {.lex_state = 92},
  [5617] = {.lex_state = 88},
  [5618] = {.lex_state = 92},
  [5619] = {.lex_state = 95},
  [5620] = {.lex_state = 92},
  [5621] = {.lex_state = 88},
  [5622] = {.lex_state = 92},
  [5623] = {.lex_state = 92},
  [5624] = {.lex_state = 92},
  [5625] = {.lex_state = 92},
  [5626] = {.lex_state = 92},
  [5627] = {.lex_state = 92},
  [5628] = {.lex_state = 88},
  [5629] = {.lex_state = 99},
  [5630] = {.lex_state = 92},
  [5631] = {.lex_state = 92},
  [5632] = {.lex_state = 88},
  [5633] = {.lex_state = 92},
  [5634] = {.lex_state = 92},
  [5635] = {.lex_state = 92},
  [5636] = {.lex_state = 92},
  [5637] = {.lex_state = 88},
  [5638] = {.lex_state = 92},
  [5639] = {.lex_state = 95},
  [5640] = {.lex_state = 92},
  [5641] = {.lex_state = 92},
  [5642] = {.lex_state = 92},
  [5643] = {.lex_state = 92},
  [5644] = {.lex_state = 92},
  [5645] = {.lex_state = 92},
  [5646] = {.lex_state = 92},
  [5647] = {.lex_state = 92},
  [5648] = {.lex_state = 92},
  [5649] = {.lex_state = 92},
  [5650] = {.lex_state = 92},
  [5651] = {.lex_state = 92},
  [5652] = {.lex_state = 95},
  [5653] = {.lex_state = 92},
  [5654] = {.lex_state = 92},
  [5655] = {.lex_state = 92},
  [5656] = {.lex_state = 92},
  [5657] = {.lex_state = 92},
  [5658] = {.lex_state = 92},
  [5659] = {.lex_state = 92},
  [5660] = {.lex_state = 92},
  [5661] = {.lex_state = 95},
  [5662] = {.lex_state = 88},
  [5663] = {.lex_state = 88},
  [5664] = {.lex_state = 92},
  [5665] = {.lex_state = 88},
  [5666] = {.lex_state = 98},
  [5667] = {.lex_state = 92},
  [5668] = {.lex_state = 88},
  [5669] = {.lex_state = 98},
  [5670] = {.lex_state = 98},
  [5671] = {.lex_state = 92},
  [5672] = {.lex_state = 92},
  [5673] = {.lex_state = 92},
  [5674] = {.lex_state = 88},
  [5675] = {.lex_state = 92},
  [5676] = {.lex_state = 98},
  [5677] = {.lex_state = 88},
  [5678] = {.lex_state = 92},
  [5679] = {.lex_state = 92},
  [5680] = {.lex_state = 88},
  [5681] = {.lex_state = 98},
  [5682] = {.lex_state = 92},
  [5683] = {.lex_state = 99},
  [5684] = {.lex_state = 92},
  [5685] = {.lex_state = 92},
  [5686] = {.lex_state = 88},
  [5687] = {.lex_state = 88},
  [5688] = {.lex_state = 92},
  [5689] = {.lex_state = 96},
  [5690] = {.lex_state = 92},
  [5691] = {.lex_state = 92},
  [5692] = {.lex_state = 88},
  [5693] = {.lex_state = 92},
  [5694] = {.lex_state = 98},
  [5695] = {.lex_state = 92},
  [5696] = {.lex_state = 98},
  [5697] = {.lex_state = 98},
  [5698] = {.lex_state = 92},
  [5699] = {.lex_state = 92},
  [5700] = {.lex_state = 88},
  [5701] = {.lex_state = 92},
  [5702] = {.lex_state = 92},
  [5703] = {.lex_state = 98},
  [5704] = {.lex_state = 98},
  [5705] = {.lex_state = 88},
  [5706] = {.lex_state = 88},
  [5707] = {.lex_state = 88},
  [5708] = {.lex_state = 92},
  [5709] = {.lex_state = 91, .external_lex_state = 2},
  [5710] = {.lex_state = 92},
  [5711] = {.lex_state = 92},
  [5712] = {.lex_state = 92},
  [5713] = {.lex_state = 89},
  [5714] = {.lex_state = 89},
  [5715] = {.lex_state = 92},
  [5716] = {.lex_state = 88},
  [5717] = {.lex_state = 88},
  [5718] = {.lex_state = 98},
  [5719] = {.lex_state = 89},
  [5720] = {.lex_state = 89},
  [5721] = {.lex_state = 92},
  [5722] = {.lex_state = 98},
  [5723] = {.lex_state = 88},
  [5724] = {.lex_state = 89},
  [5725] = {.lex_state = 92},
  [5726] = {.lex_state = 88},
  [5727] = {.lex_state = 89},
  [5728] = {.lex_state = 89},
  [5729] = {.lex_state = 88},
  [5730] = {.lex_state = 89},
  [5731] = {.lex_state = 92},
  [5732] = {.lex_state = 88},
  [5733] = {.lex_state = 92},
  [5734] = {.lex_state = 92},
  [5735] = {.lex_state = 88},
  [5736] = {.lex_state = 92},
  [5737] = {.lex_state = 88},
  [5738] = {.lex_state = 88},
  [5739] = {.lex_state = 88},
  [5740] = {.lex_state = 92},
  [5741] = {.lex_state = 92},
  [5742] = {.lex_state = 88},
  [5743] = {.lex_state = 88},
  [5744] = {.lex_state = 88},
  [5745] = {.lex_state = 88},
  [5746] = {.lex_state = 92},
  [5747] = {.lex_state = 92},
  [5748] = {.lex_state = 92},
  [5749] = {.lex_state = 92},
  [5750] = {.lex_state = 89},
  [5751] = {.lex_state = 92},
  [5752] = {.lex_state = 92},
  [5753] = {.lex_state = 98},
  [5754] = {.lex_state = 92},
  [5755] = {.lex_state = 92},
  [5756] = {.lex_state = 92},
  [5757] = {.lex_state = 88},
  [5758] = {.lex_state = 92},
  [5759] = {.lex_state = 98},
  [5760] = {.lex_state = 92},
  [5761] = {.lex_state = 88},
  [5762] = {.lex_state = 92},
  [5763] = {.lex_state = 92},
  [5764] = {.lex_state = 92},
  [5765] = {.lex_state = 88},
  [5766] = {.lex_state = 88},
  [5767] = {.lex_state = 92},
  [5768] = {.lex_state = 88},
  [5769] = {.lex_state = 99},
  [5770] = {.lex_state = 92},
  [5771] = {.lex_state = 92},
  [5772] = {.lex_state = 88},
  [5773] = {.lex_state = 92},
  [5774] = {.lex_state = 88},
  [5775] = {.lex_state = 92},
  [5776] = {.lex_state = 88},
  [5777] = {.lex_state = 92},
  [5778] = {.lex_state = 92},
  [5779] = {.lex_state = 92},
  [5780] = {.lex_state = 92},
  [5781] = {.lex_state = 88},
  [5782] = {.lex_state = 92},
  [5783] = {.lex_state = 92},
  [5784] = {.lex_state = 92},
  [5785] = {.lex_state = 99},
  [5786] = {.lex_state = 88},
  [5787] = {.lex_state = 92},
  [5788] = {.lex_state = 92},
  [5789] = {.lex_state = 92},
  [5790] = {.lex_state = 88},
  [5791] = {.lex_state = 92},
  [5792] = {.lex_state = 92},
  [5793] = {.lex_state = 92},
  [5794] = {.lex_state = 92},
  [5795] = {.lex_state = 88},
  [5796] = {.lex_state = 88},
  [5797] = {.lex_state = 92},
  [5798] = {.lex_state = 92},
  [5799] = {.lex_state = 95},
  [5800] = {.lex_state = 92},
  [5801] = {.lex_state = 92},
  [5802] = {.lex_state = 88},
  [5803] = {.lex_state = 88},
  [5804] = {.lex_state = 92},
  [5805] = {.lex_state = 88},
  [5806] = {.lex_state = 92},
  [5807] = {.lex_state = 92},
  [5808] = {.lex_state = 88},
  [5809] = {.lex_state = 95},
  [5810] = {.lex_state = 92},
  [5811] = {.lex_state = 92},
  [5812] = {.lex_state = 92},
  [5813] = {.lex_state = 88},
  [5814] = {.lex_state = 92},
  [5815] = {.lex_state = 99},
  [5816] = {.lex_state = 92},
  [5817] = {.lex_state = 92},
  [5818] = {.lex_state = 92},
  [5819] = {.lex_state = 88},
  [5820] = {.lex_state = 92},
  [5821] = {.lex_state = 88},
  [5822] = {.lex_state = 92},
  [5823] = {.lex_state = 88},
  [5824] = {.lex_state = 88},
  [5825] = {.lex_state = 92},
  [5826] = {.lex_state = 88},
  [5827] = {.lex_state = 92},
  [5828] = {.lex_state = 88},
  [5829] = {.lex_state = 88},
  [5830] = {.lex_state = 92},
  [5831] = {.lex_state = 88},
  [5832] = {.lex_state = 92},
  [5833] = {.lex_state = 92},
  [5834] = {.lex_state = 88},
  [5835] = {.lex_state = 88},
  [5836] = {.lex_state = 92},
  [5837] = {.lex_state = 92},
  [5838] = {.lex_state = 88},
  [5839] = {.lex_state = 88},
  [5840] = {.lex_state = 92},
  [5841] = {.lex_state = 88},
  [5842] = {.lex_state = 95},
  [5843] = {.lex_state = 88},
  [5844] = {.lex_state = 88},
  [5845] = {.lex_state = 86},
  [5846] = {.lex_state = 92},
  [5847] = {.lex_state = 92},
  [5848] = {.lex_state = 89},
  [5849] = {.lex_state = 92},
  [5850] = {.lex_state = 88},
  [5851] = {.lex_state = 88},
  [5852] = {.lex_state = 92},
  [5853] = {.lex_state = 88},
  [5854] = {.lex_state = 92},
  [5855] = {.lex_state = 92},
  [5856] = {.lex_state = 88},
  [5857] = {.lex_state = 92},
  [5858] = {.lex_state = 88},
  [5859] = {.lex_state = 89},
  [5860] = {.lex_state = 89},
  [5861] = {.lex_state = 88},
  [5862] = {.lex_state = 88},
  [5863] = {.lex_state = 88},
  [5864] = {.lex_state = 92},
  [5865] = {.lex_state = 92},
  [5866] = {.lex_state = 89},
  [5867] = {.lex_state = 92},
  [5868] = {.lex_state = 92},
  [5869] = {.lex_state = 88},
  [5870] = {.lex_state = 92},
  [5871] = {.lex_state = 92},
  [5872] = {.lex_state = 92},
  [5873] = {.lex_state = 92},
  [5874] = {.lex_state = 92},
  [5875] = {.lex_state = 88},
  [5876] = {.lex_state = 88},
  [5877] = {.lex_state = 88},
  [5878] = {.lex_state = 88},
  [5879] = {.lex_state = 88},
  [5880] = {.lex_state = 88},
  [5881] = {.lex_state = 88},
  [5882] = {.lex_state = 88},
  [5883] = {.lex_state = 92},
  [5884] = {.lex_state = 88},
  [5885] = {.lex_state = 92},
  [5886] = {.lex_state = 92},
  [5887] = {.lex_state = 92},
  [5888] = {.lex_state = 88},
  [5889] = {.lex_state = 88},
  [5890] = {.lex_state = 88},
  [5891] = {.lex_state = 88},
  [5892] = {.lex_state = 92},
  [5893] = {.lex_state = 88},
  [5894] = {.lex_state = 98, .external_lex_state = 2},
  [5895] = {.lex_state = 88},
  [5896] = {.lex_state = 88},
  [5897] = {.lex_state = 88},
  [5898] = {.lex_state = 92},
  [5899] = {.lex_state = 92},
  [5900] = {.lex_state = 88},
  [5901] = {.lex_state = 92},
  [5902] = {.lex_state = 88},
  [5903] = {.lex_state = 92},
  [5904] = {.lex_state = 88},
  [5905] = {.lex_state = 88},
  [5906] = {.lex_state = 95},
  [5907] = {.lex_state = 92},
  [5908] = {.lex_state = 92},
  [5909] = {.lex_state = 88},
  [5910] = {.lex_state = 92},
  [5911] = {.lex_state = 89},
  [5912] = {.lex_state = 89},
  [5913] = {.lex_state = 88},
  [5914] = {.lex_state = 88},
  [5915] = {.lex_state = 88},
  [5916] = {.lex_state = 88},
  [5917] = {.lex_state = 88},
  [5918] = {.lex_state = 92},
  [5919] = {.lex_state = 88},
  [5920] = {.lex_state = 88},
  [5921] = {.lex_state = 88},
  [5922] = {.lex_state = 88},
  [5923] = {.lex_state = 88},
  [5924] = {.lex_state = 92},
  [5925] = {.lex_state = 88},
  [5926] = {.lex_state = 92},
  [5927] = {.lex_state = 88},
  [5928] = {.lex_state = 92},
  [5929] = {.lex_state = 88},
  [5930] = {.lex_state = 92},
  [5931] = {.lex_state = 88},
  [5932] = {.lex_state = 92},
  [5933] = {.lex_state = 88},
  [5934] = {.lex_state = 98},
  [5935] = {.lex_state = 92},
  [5936] = {.lex_state = 92},
  [5937] = {.lex_state = 92},
  [5938] = {.lex_state = 92},
  [5939] = {.lex_state = 88},
  [5940] = {.lex_state = 86},
  [5941] = {.lex_state = 92},
  [5942] = {.lex_state = 95},
  [5943] = {.lex_state = 88},
  [5944] = {.lex_state = 92},
  [5945] = {.lex_state = 88},
  [5946] = {.lex_state = 88},
  [5947] = {.lex_state = 92},
  [5948] = {.lex_state = 98},
  [5949] = {.lex_state = 92},
  [5950] = {.lex_state = 88},
  [5951] = {.lex_state = 92},
  [5952] = {.lex_state = 99},
  [5953] = {.lex_state = 88},
  [5954] = {.lex_state = 88},
  [5955] = {.lex_state = 92},
  [5956] = {.lex_state = 88},
  [5957] = {.lex_state = 92},
  [5958] = {.lex_state = 88},
  [5959] = {.lex_state = 92},
  [5960] = {.lex_state = 88},
  [5961] = {.lex_state = 88},
  [5962] = {.lex_state = 92},
  [5963] = {.lex_state = 89},
  [5964] = {.lex_state = 88},
  [5965] = {.lex_state = 88},
  [5966] = {.lex_state = 89},
  [5967] = {.lex_state = 88},
  [5968] = {.lex_state = 88},
  [5969] = {.lex_state = 91},
  [5970] = {.lex_state = 91},
  [5971] = {.lex_state = 103},
  [5972] = {.lex_state = 91},
  [5973] = {.lex_state = 98},
  [5974] = {.lex_state = 88},
  [5975] = {.lex_state = 103},
  [5976] = {.lex_state = 99},
  [5977] = {.lex_state = 103},
  [5978] = {.lex_state = 89},
  [5979] = {.lex_state = 95},
  [5980] = {.lex_state = 95},
  [5981] = {.lex_state = 98},
  [5982] = {.lex_state = 91},
  [5983] = {.lex_state = 99},
  [5984] = {.lex_state = 91, .external_lex_state = 2},
  [5985] = {.lex_state = 91},
  [5986] = {.lex_state = 88},
  [5987] = {.lex_state = 88},
  [5988] = {.lex_state = 88},
  [5989] = {.lex_state = 95},
  [5990] = {.lex_state = 99},
  [5991] = {.lex_state = 99},
  [5992] = {.lex_state = 98},
  [5993] = {.lex_state = 95},
  [5994] = {.lex_state = 95},
  [5995] = {.lex_state = 91},
  [5996] = {.lex_state = 95},
  [5997] = {.lex_state = 98},
  [5998] = {.lex_state = 95},
  [5999] = {.lex_state = 98},
  [6000] = {.lex_state = 91},
  [6001] = {.lex_state = 91},
  [6002] = {.lex_state = 91},
  [6003] = {.lex_state = 91},
  [6004] = {.lex_state = 91},
  [6005] = {.lex_state = 91},
  [6006] = {.lex_state = 91},
  [6007] = {.lex_state = 91},
  [6008] = {.lex_state = 91},
  [6009] = {.lex_state = 91},
  [6010] = {.lex_state = 91},
  [6011] = {.lex_state = 95},
  [6012] = {.lex_state = 91},
  [6013] = {.lex_state = 91},
  [6014] = {.lex_state = 91},
  [6015] = {.lex_state = 91},
  [6016] = {.lex_state = 91},
  [6017] = {.lex_state = 91},
  [6018] = {.lex_state = 91},
  [6019] = {.lex_state = 91},
  [6020] = {.lex_state = 95},
  [6021] = {.lex_state = 88},
  [6022] = {.lex_state = 91},
  [6023] = {.lex_state = 91},
  [6024] = {.lex_state = 91},
  [6025] = {.lex_state = 95},
  [6026] = {.lex_state = 91},
  [6027] = {.lex_state = 91},
  [6028] = {.lex_state = 95},
  [6029] = {.lex_state = 91},
  [6030] = {.lex_state = 91},
  [6031] = {.lex_state = 91},
  [6032] = {.lex_state = 91},
  [6033] = {.lex_state = 91},
  [6034] = {.lex_state = 91},
  [6035] = {.lex_state = 91},
  [6036] = {.lex_state = 91},
  [6037] = {.lex_state = 91},
  [6038] = {.lex_state = 91},
  [6039] = {.lex_state = 91},
  [6040] = {.lex_state = 91},
  [6041] = {.lex_state = 91},
  [6042] = {.lex_state = 91},
  [6043] = {.lex_state = 91},
  [6044] = {.lex_state = 91},
  [6045] = {.lex_state = 91},
  [6046] = {.lex_state = 91},
  [6047] = {.lex_state = 103},
  [6048] = {.lex_state = 103},
  [6049] = {.lex_state = 103},
  [6050] = {.lex_state = 91},
  [6051] = {.lex_state = 91},
  [6052] = {.lex_state = 91},
  [6053] = {.lex_state = 95},
  [6054] = {.lex_state = 91},
  [6055] = {.lex_state = 91},
  [6056] = {.lex_state = 95},
  [6057] = {.lex_state = 95},
  [6058] = {.lex_state = 98},
  [6059] = {.lex_state = 91},
  [6060] = {.lex_state = 103},
  [6061] = {.lex_state = 98},
  [6062] = {.lex_state = 91},
  [6063] = {.lex_state = 91},
  [6064] = {.lex_state = 91},
  [6065] = {.lex_state = 91},
  [6066] = {.lex_state = 98},
  [6067] = {.lex_state = 91},
  [6068] = {.lex_state = 91},
  [6069] = {.lex_state = 91},
  [6070] = {.lex_state = 91},
  [6071] = {.lex_state = 91},
  [6072] = {.lex_state = 91},
  [6073] = {.lex_state = 95},
  [6074] = {.lex_state = 91},
  [6075] = {.lex_state = 91},
  [6076] = {.lex_state = 91},
  [6077] = {.lex_state = 91},
  [6078] = {.lex_state = 91},
  [6079] = {.lex_state = 91},
  [6080] = {.lex_state = 91},
  [6081] = {.lex_state = 91},
  [6082] = {.lex_state = 91},
  [6083] = {.lex_state = 91},
  [6084] = {.lex_state = 91},
  [6085] = {.lex_state = 91},
  [6086] = {.lex_state = 91},
  [6087] = {.lex_state = 91},
  [6088] = {.lex_state = 91},
  [6089] = {.lex_state = 91},
  [6090] = {.lex_state = 91},
  [6091] = {.lex_state = 99},
  [6092] = {.lex_state = 91},
  [6093] = {.lex_state = 91},
  [6094] = {.lex_state = 91},
  [6095] = {.lex_state = 91},
  [6096] = {.lex_state = 91},
  [6097] = {.lex_state = 91},
  [6098] = {.lex_state = 91},
  [6099] = {.lex_state = 91},
  [6100] = {.lex_state = 91},
  [6101] = {.lex_state = 91},
  [6102] = {.lex_state = 91},
  [6103] = {.lex_state = 91},
  [6104] = {.lex_state = 91},
  [6105] = {.lex_state = 98},
  [6106] = {.lex_state = 91},
  [6107] = {.lex_state = 91},
  [6108] = {.lex_state = 91},
  [6109] = {.lex_state = 91},
  [6110] = {.lex_state = 91},
  [6111] = {.lex_state = 91},
  [6112] = {.lex_state = 91},
  [6113] = {.lex_state = 95},
  [6114] = {.lex_state = 91},
  [6115] = {.lex_state = 91},
  [6116] = {.lex_state = 91},
  [6117] = {.lex_state = 91},
  [6118] = {.lex_state = 91},
  [6119] = {.lex_state = 91},
  [6120] = {.lex_state = 91},
  [6121] = {.lex_state = 91},
  [6122] = {.lex_state = 95},
  [6123] = {.lex_state = 91},
  [6124] = {.lex_state = 98},
  [6125] = {.lex_state = 91},
  [6126] = {.lex_state = 95},
  [6127] = {.lex_state = 98},
  [6128] = {.lex_state = 91},
  [6129] = {.lex_state = 91},
  [6130] = {.lex_state = 91},
  [6131] = {.lex_state = 91},
  [6132] = {.lex_state = 91},
  [6133] = {.lex_state = 91},
  [6134] = {.lex_state = 91},
  [6135] = {.lex_state = 91},
  [6136] = {.lex_state = 91},
  [6137] = {.lex_state = 91},
  [6138] = {.lex_state = 91},
  [6139] = {.lex_state = 91},
  [6140] = {.lex_state = 91},
  [6141] = {.lex_state = 91},
  [6142] = {.lex_state = 91},
  [6143] = {.lex_state = 95},
  [6144] = {.lex_state = 91},
  [6145] = {.lex_state = 91},
  [6146] = {.lex_state = 91},
  [6147] = {.lex_state = 91},
  [6148] = {.lex_state = 95},
  [6149] = {.lex_state = 91},
  [6150] = {.lex_state = 91},
  [6151] = {.lex_state = 91},
  [6152] = {.lex_state = 89},
  [6153] = {.lex_state = 95},
  [6154] = {.lex_state = 98},
  [6155] = {.lex_state = 88},
  [6156] = {.lex_state = 88, .external_lex_state = 2},
  [6157] = {.lex_state = 88},
  [6158] = {.lex_state = 88},
  [6159] = {.lex_state = 88},
  [6160] = {.lex_state = 95},
  [6161] = {.lex_state = 95},
  [6162] = {.lex_state = 95},
  [6163] = {.lex_state = 88},
  [6164] = {.lex_state = 88},
  [6165] = {.lex_state = 88},
  [6166] = {.lex_state = 88},
  [6167] = {.lex_state = 88},
  [6168] = {.lex_state = 88},
  [6169] = {.lex_state = 88},
  [6170] = {.lex_state = 95},
  [6171] = {.lex_state = 88},
  [6172] = {.lex_state = 88},
  [6173] = {.lex_state = 88},
  [6174] = {.lex_state = 88},
  [6175] = {.lex_state = 88},
  [6176] = {.lex_state = 88},
  [6177] = {.lex_state = 88},
  [6178] = {.lex_state = 88},
  [6179] = {.lex_state = 88},
  [6180] = {.lex_state = 88},
  [6181] = {.lex_state = 91},
  [6182] = {.lex_state = 88},
  [6183] = {.lex_state = 88},
  [6184] = {.lex_state = 88},
  [6185] = {.lex_state = 88},
  [6186] = {.lex_state = 95},
  [6187] = {.lex_state = 88},
  [6188] = {.lex_state = 88},
  [6189] = {.lex_state = 88},
  [6190] = {.lex_state = 88},
  [6191] = {.lex_state = 88},
  [6192] = {.lex_state = 88},
  [6193] = {.lex_state = 88},
  [6194] = {.lex_state = 95},
  [6195] = {.lex_state = 88},
  [6196] = {.lex_state = 88},
  [6197] = {.lex_state = 98},
  [6198] = {.lex_state = 88},
  [6199] = {.lex_state = 88},
  [6200] = {.lex_state = 88},
  [6201] = {.lex_state = 88},
  [6202] = {.lex_state = 88},
  [6203] = {.lex_state = 88},
  [6204] = {.lex_state = 88},
  [6205] = {.lex_state = 88},
  [6206] = {.lex_state = 88},
  [6207] = {.lex_state = 95},
  [6208] = {.lex_state = 88},
  [6209] = {.lex_state = 95},
  [6210] = {.lex_state = 88},
  [6211] = {.lex_state = 88},
  [6212] = {.lex_state = 88},
  [6213] = {.lex_state = 88},
  [6214] = {.lex_state = 88},
  [6215] = {.lex_state = 88},
  [6216] = {.lex_state = 88},
  [6217] = {.lex_state = 88},
  [6218] = {.lex_state = 88},
  [6219] = {.lex_state = 88},
  [6220] = {.lex_state = 88},
  [6221] = {.lex_state = 88},
  [6222] = {.lex_state = 88},
  [6223] = {.lex_state = 88},
  [6224] = {.lex_state = 98},
  [6225] = {.lex_state = 88},
  [6226] = {.lex_state = 88},
  [6227] = {.lex_state = 88},
  [6228] = {.lex_state = 88},
  [6229] = {.lex_state = 88},
  [6230] = {.lex_state = 88},
  [6231] = {.lex_state = 95},
  [6232] = {.lex_state = 88},
  [6233] = {.lex_state = 88},
  [6234] = {.lex_state = 88},
  [6235] = {.lex_state = 88},
  [6236] = {.lex_state = 88},
  [6237] = {.lex_state = 88},
  [6238] = {.lex_state = 88},
  [6239] = {.lex_state = 88},
  [6240] = {.lex_state = 95},
  [6241] = {.lex_state = 88},
  [6242] = {.lex_state = 88},
  [6243] = {.lex_state = 88},
  [6244] = {.lex_state = 95},
  [6245] = {.lex_state = 88},
  [6246] = {.lex_state = 88},
  [6247] = {.lex_state = 88},
  [6248] = {.lex_state = 88},
  [6249] = {.lex_state = 95},
  [6250] = {.lex_state = 88},
  [6251] = {.lex_state = 88},
  [6252] = {.lex_state = 88},
  [6253] = {.lex_state = 96},
  [6254] = {.lex_state = 88},
  [6255] = {.lex_state = 88},
  [6256] = {.lex_state = 88},
  [6257] = {.lex_state = 88},
  [6258] = {.lex_state = 88},
  [6259] = {.lex_state = 88},
  [6260] = {.lex_state = 95},
  [6261] = {.lex_state = 88},
  [6262] = {.lex_state = 88},
  [6263] = {.lex_state = 88},
  [6264] = {.lex_state = 88},
  [6265] = {.lex_state = 88},
  [6266] = {.lex_state = 88},
  [6267] = {.lex_state = 88},
  [6268] = {.lex_state = 88},
  [6269] = {.lex_state = 88},
  [6270] = {.lex_state = 88},
  [6271] = {.lex_state = 95},
  [6272] = {.lex_state = 88},
  [6273] = {.lex_state = 88},
  [6274] = {.lex_state = 88},
  [6275] = {.lex_state = 88},
  [6276] = {.lex_state = 88},
  [6277] = {.lex_state = 88},
  [6278] = {.lex_state = 88},
  [6279] = {.lex_state = 88},
  [6280] = {.lex_state = 91},
  [6281] = {.lex_state = 88},
  [6282] = {.lex_state = 88},
  [6283] = {.lex_state = 88},
  [6284] = {.lex_state = 88},
  [6285] = {.lex_state = 88},
  [6286] = {.lex_state = 88},
  [6287] = {.lex_state = 88},
  [6288] = {.lex_state = 88},
  [6289] = {.lex_state = 98},
  [6290] = {.lex_state = 88},
  [6291] = {.lex_state = 95},
  [6292] = {.lex_state = 88},
  [6293] = {.lex_state = 88},
  [6294] = {.lex_state = 91},
  [6295] = {.lex_state = 95},
  [6296] = {.lex_state = 88},
  [6297] = {.lex_state = 88},
  [6298] = {.lex_state = 98},
  [6299] = {.lex_state = 88},
  [6300] = {.lex_state = 95},
  [6301] = {.lex_state = 88},
  [6302] = {.lex_state = 88},
  [6303] = {.lex_state = 88},
  [6304] = {.lex_state = 98},
  [6305] = {.lex_state = 88},
  [6306] = {.lex_state = 88},
  [6307] = {.lex_state = 95},
  [6308] = {.lex_state = 88},
  [6309] = {.lex_state = 91},
  [6310] = {.lex_state = 95},
  [6311] = {.lex_state = 95},
  [6312] = {.lex_state = 95},
  [6313] = {.lex_state = 88},
  [6314] = {.lex_state = 88},
  [6315] = {.lex_state = 88},
  [6316] = {.lex_state = 98},
  [6317] = {.lex_state = 88},
  [6318] = {.lex_state = 88},
  [6319] = {.lex_state = 88},
  [6320] = {.lex_state = 88},
  [6321] = {.lex_state = 88},
  [6322] = {.lex_state = 88},
  [6323] = {.lex_state = 95},
  [6324] = {.lex_state = 88},
  [6325] = {.lex_state = 88},
  [6326] = {.lex_state = 88},
  [6327] = {.lex_state = 88},
  [6328] = {.lex_state = 91},
  [6329] = {.lex_state = 88},
  [6330] = {.lex_state = 91},
  [6331] = {.lex_state = 91},
  [6332] = {.lex_state = 98},
  [6333] = {.lex_state = 95},
  [6334] = {.lex_state = 88},
  [6335] = {.lex_state = 88},
  [6336] = {.lex_state = 95},
  [6337] = {.lex_state = 14},
  [6338] = {.lex_state = 88},
  [6339] = {.lex_state = 103},
  [6340] = {.lex_state = 98},
  [6341] = {.lex_state = 88},
  [6342] = {.lex_state = 91},
  [6343] = {.lex_state = 89},
  [6344] = {.lex_state = 98},
  [6345] = {.lex_state = 98},
  [6346] = {.lex_state = 98},
  [6347] = {.lex_state = 14},
  [6348] = {.lex_state = 95},
  [6349] = {.lex_state = 95},
  [6350] = {.lex_state = 88},
  [6351] = {.lex_state = 95},
  [6352] = {.lex_state = 95},
  [6353] = {.lex_state = 88},
  [6354] = {.lex_state = 98},
  [6355] = {.lex_state = 95},
  [6356] = {.lex_state = 91},
  [6357] = {.lex_state = 91},
  [6358] = {.lex_state = 91},
  [6359] = {.lex_state = 98},
  [6360] = {.lex_state = 91},
  [6361] = {.lex_state = 91},
  [6362] = {.lex_state = 91},
  [6363] = {.lex_state = 91},
  [6364] = {.lex_state = 91},
  [6365] = {.lex_state = 91},
  [6366] = {.lex_state = 91},
  [6367] = {.lex_state = 91},
  [6368] = {.lex_state = 91},
  [6369] = {.lex_state = 91},
  [6370] = {.lex_state = 91},
  [6371] = {.lex_state = 91},
  [6372] = {.lex_state = 91},
  [6373] = {.lex_state = 91},
  [6374] = {.lex_state = 91},
  [6375] = {.lex_state = 91},
  [6376] = {.lex_state = 91},
  [6377] = {.lex_state = 98},
  [6378] = {.lex_state = 91},
  [6379] = {.lex_state = 91},
  [6380] = {.lex_state = 91},
  [6381] = {.lex_state = 91},
  [6382] = {.lex_state = 91},
  [6383] = {.lex_state = 91},
  [6384] = {.lex_state = 91},
  [6385] = {.lex_state = 91},
  [6386] = {.lex_state = 91},
  [6387] = {.lex_state = 91},
  [6388] = {.lex_state = 91},
  [6389] = {.lex_state = 91},
  [6390] = {.lex_state = 91},
  [6391] = {.lex_state = 91},
  [6392] = {.lex_state = 91},
  [6393] = {.lex_state = 91},
  [6394] = {.lex_state = 91},
  [6395] = {.lex_state = 91},
  [6396] = {.lex_state = 91},
  [6397] = {.lex_state = 91},
  [6398] = {.lex_state = 91},
  [6399] = {.lex_state = 91},
  [6400] = {.lex_state = 91},
  [6401] = {.lex_state = 91},
  [6402] = {.lex_state = 91},
  [6403] = {.lex_state = 91},
  [6404] = {.lex_state = 91},
  [6405] = {.lex_state = 91},
  [6406] = {.lex_state = 91},
  [6407] = {.lex_state = 91},
  [6408] = {.lex_state = 91},
  [6409] = {.lex_state = 91},
  [6410] = {.lex_state = 91},
  [6411] = {.lex_state = 91},
  [6412] = {.lex_state = 91},
  [6413] = {.lex_state = 91},
  [6414] = {.lex_state = 91},
  [6415] = {.lex_state = 91},
  [6416] = {.lex_state = 91},
  [6417] = {.lex_state = 91},
  [6418] = {.lex_state = 91},
  [6419] = {.lex_state = 91},
  [6420] = {.lex_state = 91},
  [6421] = {.lex_state = 91},
  [6422] = {.lex_state = 98},
  [6423] = {.lex_state = 91},
  [6424] = {.lex_state = 91},
  [6425] = {.lex_state = 91},
  [6426] = {.lex_state = 91},
  [6427] = {.lex_state = 91},
  [6428] = {.lex_state = 91},
  [6429] = {.lex_state = 98},
  [6430] = {.lex_state = 91},
  [6431] = {.lex_state = 91},
  [6432] = {.lex_state = 91},
  [6433] = {.lex_state = 91},
  [6434] = {.lex_state = 91},
  [6435] = {.lex_state = 88, .external_lex_state = 2},
  [6436] = {.lex_state = 91},
  [6437] = {.lex_state = 91},
  [6438] = {.lex_state = 91},
  [6439] = {.lex_state = 91},
  [6440] = {.lex_state = 98},
  [6441] = {.lex_state = 91},
  [6442] = {.lex_state = 91},
  [6443] = {.lex_state = 91},
  [6444] = {.lex_state = 91},
  [6445] = {.lex_state = 91},
  [6446] = {.lex_state = 91},
  [6447] = {.lex_state = 91},
  [6448] = {.lex_state = 91},
  [6449] = {.lex_state = 91},
  [6450] = {.lex_state = 91},
  [6451] = {.lex_state = 91},
  [6452] = {.lex_state = 91},
  [6453] = {.lex_state = 91},
  [6454] = {.lex_state = 91},
  [6455] = {.lex_state = 98},
  [6456] = {.lex_state = 98},
  [6457] = {.lex_state = 98},
  [6458] = {.lex_state = 91},
  [6459] = {.lex_state = 98},
  [6460] = {.lex_state = 98},
  [6461] = {.lex_state = 98},
  [6462] = {.lex_state = 98},
  [6463] = {.lex_state = 98},
  [6464] = {.lex_state = 91},
  [6465] = {.lex_state = 89},
  [6466] = {.lex_state = 98},
  [6467] = {.lex_state = 98},
  [6468] = {.lex_state = 91},
  [6469] = {.lex_state = 91},
  [6470] = {.lex_state = 91},
  [6471] = {.lex_state = 88},
  [6472] = {.lex_state = 98},
  [6473] = {.lex_state = 88},
  [6474] = {.lex_state = 89},
  [6475] = {.lex_state = 91},
  [6476] = {.lex_state = 91},
  [6477] = {.lex_state = 91},
  [6478] = {.lex_state = 98},
  [6479] = {.lex_state = 98},
  [6480] = {.lex_state = 91},
  [6481] = {.lex_state = 91},
  [6482] = {.lex_state = 98},
  [6483] = {.lex_state = 91},
  [6484] = {.lex_state = 91},
  [6485] = {.lex_state = 91},
  [6486] = {.lex_state = 98},
  [6487] = {.lex_state = 91},
  [6488] = {.lex_state = 98},
  [6489] = {.lex_state = 98},
  [6490] = {.lex_state = 98},
  [6491] = {.lex_state = 98},
  [6492] = {.lex_state = 91},
  [6493] = {.lex_state = 98},
  [6494] = {.lex_state = 91},
  [6495] = {.lex_state = 91},
  [6496] = {.lex_state = 91},
  [6497] = {.lex_state = 91},
  [6498] = {.lex_state = 91},
  [6499] = {.lex_state = 91},
  [6500] = {.lex_state = 98},
  [6501] = {.lex_state = 91},
  [6502] = {.lex_state = 98},
  [6503] = {.lex_state = 91},
  [6504] = {.lex_state = 91},
  [6505] = {.lex_state = 91},
  [6506] = {.lex_state = 91},
  [6507] = {.lex_state = 91},
  [6508] = {.lex_state = 91},
  [6509] = {.lex_state = 91},
  [6510] = {.lex_state = 91},
  [6511] = {.lex_state = 91},
  [6512] = {.lex_state = 91},
  [6513] = {.lex_state = 91},
  [6514] = {.lex_state = 98},
  [6515] = {.lex_state = 98},
  [6516] = {.lex_state = 91},
  [6517] = {.lex_state = 91},
  [6518] = {.lex_state = 91},
  [6519] = {.lex_state = 91},
  [6520] = {.lex_state = 91},
  [6521] = {.lex_state = 91},
  [6522] = {.lex_state = 91},
  [6523] = {.lex_state = 91},
  [6524] = {.lex_state = 98},
  [6525] = {.lex_state = 91},
  [6526] = {.lex_state = 98},
  [6527] = {.lex_state = 91},
  [6528] = {.lex_state = 91},
  [6529] = {.lex_state = 91},
  [6530] = {.lex_state = 91},
  [6531] = {.lex_state = 91},
  [6532] = {.lex_state = 91},
  [6533] = {.lex_state = 91},
  [6534] = {.lex_state = 98},
  [6535] = {.lex_state = 91},
  [6536] = {.lex_state = 91},
  [6537] = {.lex_state = 91},
  [6538] = {.lex_state = 91},
  [6539] = {.lex_state = 91},
  [6540] = {.lex_state = 98},
  [6541] = {.lex_state = 91},
  [6542] = {.lex_state = 91},
  [6543] = {.lex_state = 91},
  [6544] = {.lex_state = 98},
  [6545] = {.lex_state = 91},
  [6546] = {.lex_state = 91},
  [6547] = {.lex_state = 91},
  [6548] = {.lex_state = 91},
  [6549] = {.lex_state = 91},
  [6550] = {.lex_state = 91},
  [6551] = {.lex_state = 91},
  [6552] = {.lex_state = 91},
  [6553] = {.lex_state = 91},
  [6554] = {.lex_state = 91},
  [6555] = {.lex_state = 91},
  [6556] = {.lex_state = 91},
  [6557] = {.lex_state = 91},
  [6558] = {.lex_state = 91},
  [6559] = {.lex_state = 91},
  [6560] = {.lex_state = 98},
  [6561] = {.lex_state = 91},
  [6562] = {.lex_state = 98},
  [6563] = {.lex_state = 91},
  [6564] = {.lex_state = 91},
  [6565] = {.lex_state = 91},
  [6566] = {.lex_state = 91},
  [6567] = {.lex_state = 91},
  [6568] = {.lex_state = 91},
  [6569] = {.lex_state = 91},
  [6570] = {.lex_state = 91},
  [6571] = {.lex_state = 91},
  [6572] = {.lex_state = 91},
  [6573] = {.lex_state = 98},
  [6574] = {.lex_state = 98},
  [6575] = {.lex_state = 91},
  [6576] = {.lex_state = 91},
  [6577] = {.lex_state = 91},
  [6578] = {.lex_state = 91},
  [6579] = {.lex_state = 91},
  [6580] = {.lex_state = 91},
  [6581] = {.lex_state = 98},
  [6582] = {.lex_state = 91},
  [6583] = {.lex_state = 91},
  [6584] = {.lex_state = 91},
  [6585] = {.lex_state = 91},
  [6586] = {.lex_state = 98},
  [6587] = {.lex_state = 98},
  [6588] = {.lex_state = 91},
  [6589] = {.lex_state = 91},
  [6590] = {.lex_state = 91},
  [6591] = {.lex_state = 89},
  [6592] = {.lex_state = 98},
  [6593] = {.lex_state = 98},
  [6594] = {.lex_state = 98},
  [6595] = {.lex_state = 88},
  [6596] = {.lex_state = 89},
  [6597] = {.lex_state = 98},
  [6598] = {.lex_state = 98},
  [6599] = {.lex_state = 89},
  [6600] = {.lex_state = 89},
  [6601] = {.lex_state = 89},
  [6602] = {.lex_state = 98},
  [6603] = {.lex_state = 95},
  [6604] = {.lex_state = 98},
  [6605] = {.lex_state = 89},
  [6606] = {.lex_state = 98},
  [6607] = {.lex_state = 98},
  [6608] = {.lex_state = 95},
  [6609] = {.lex_state = 98},
  [6610] = {.lex_state = 103},
  [6611] = {.lex_state = 103},
  [6612] = {.lex_state = 95},
  [6613] = {.lex_state = 89},
  [6614] = {.lex_state = 89},
  [6615] = {.lex_state = 89},
  [6616] = {.lex_state = 89},
  [6617] = {.lex_state = 89},
  [6618] = {.lex_state = 95},
  [6619] = {.lex_state = 89},
  [6620] = {.lex_state = 89},
  [6621] = {.lex_state = 98},
  [6622] = {.lex_state = 89},
  [6623] = {.lex_state = 98},
  [6624] = {.lex_state = 95},
  [6625] = {.lex_state = 89},
  [6626] = {.lex_state = 89},
  [6627] = {.lex_state = 89},
  [6628] = {.lex_state = 89},
  [6629] = {.lex_state = 89},
  [6630] = {.lex_state = 89},
  [6631] = {.lex_state = 89},
  [6632] = {.lex_state = 98},
  [6633] = {.lex_state = 89},
  [6634] = {.lex_state = 95},
  [6635] = {.lex_state = 89},
  [6636] = {.lex_state = 95},
  [6637] = {.lex_state = 98},
  [6638] = {.lex_state = 95},
  [6639] = {.lex_state = 89},
  [6640] = {.lex_state = 89},
  [6641] = {.lex_state = 89},
  [6642] = {.lex_state = 98},
  [6643] = {.lex_state = 95},
  [6644] = {.lex_state = 98},
  [6645] = {.lex_state = 89},
  [6646] = {.lex_state = 89},
  [6647] = {.lex_state = 95},
  [6648] = {.lex_state = 92},
  [6649] = {.lex_state = 95},
  [6650] = {.lex_state = 89},
  [6651] = {.lex_state = 89},
  [6652] = {.lex_state = 92},
  [6653] = {.lex_state = 96},
  [6654] = {.lex_state = 92},
  [6655] = {.lex_state = 92},
  [6656] = {.lex_state = 92},
  [6657] = {.lex_state = 89},
  [6658] = {.lex_state = 92},
  [6659] = {.lex_state = 89},
  [6660] = {.lex_state = 92},
  [6661] = {.lex_state = 92},
  [6662] = {.lex_state = 89},
  [6663] = {.lex_state = 92},
  [6664] = {.lex_state = 98},
  [6665] = {.lex_state = 92},
  [6666] = {.lex_state = 92},
  [6667] = {.lex_state = 92},
  [6668] = {.lex_state = 89},
  [6669] = {.lex_state = 92},
  [6670] = {.lex_state = 89},
  [6671] = {.lex_state = 89},
  [6672] = {.lex_state = 89},
  [6673] = {.lex_state = 92},
  [6674] = {.lex_state = 92},
  [6675] = {.lex_state = 98},
  [6676] = {.lex_state = 89},
  [6677] = {.lex_state = 89},
  [6678] = {.lex_state = 89},
  [6679] = {.lex_state = 89},
  [6680] = {.lex_state = 89},
  [6681] = {.lex_state = 89},
  [6682] = {.lex_state = 89},
  [6683] = {.lex_state = 89},
  [6684] = {.lex_state = 88},
  [6685] = {.lex_state = 89},
  [6686] = {.lex_state = 103},
  [6687] = {.lex_state = 92},
  [6688] = {.lex_state = 92},
  [6689] = {.lex_state = 89},
  [6690] = {.lex_state = 89},
  [6691] = {.lex_state = 89},
  [6692] = {.lex_state = 98},
  [6693] = {.lex_state = 98},
  [6694] = {.lex_state = 95},
  [6695] = {.lex_state = 89},
  [6696] = {.lex_state = 98},
  [6697] = {.lex_state = 95},
  [6698] = {.lex_state = 88},
  [6699] = {.lex_state = 95},
  [6700] = {.lex_state = 98},
  [6701] = {.lex_state = 88},
  [6702] = {.lex_state = 95},
  [6703] = {.lex_state = 95},
  [6704] = {.lex_state = 98},
  [6705] = {.lex_state = 95},
  [6706] = {.lex_state = 88},
  [6707] = {.lex_state = 95},
  [6708] = {.lex_state = 98},
  [6709] = {.lex_state = 95},
  [6710] = {.lex_state = 95},
  [6711] = {.lex_state = 95},
  [6712] = {.lex_state = 95},
  [6713] = {.lex_state = 95},
  [6714] = {.lex_state = 95},
  [6715] = {.lex_state = 95},
  [6716] = {.lex_state = 95},
  [6717] = {.lex_state = 95},
  [6718] = {.lex_state = 95},
  [6719] = {.lex_state = 95},
  [6720] = {.lex_state = 95},
  [6721] = {.lex_state = 95},
  [6722] = {.lex_state = 88},
  [6723] = {.lex_state = 98},
  [6724] = {.lex_state = 95},
  [6725] = {.lex_state = 88},
  [6726] = {.lex_state = 95},
  [6727] = {.lex_state = 88},
  [6728] = {.lex_state = 95},
  [6729] = {.lex_state = 88},
  [6730] = {.lex_state = 88},
  [6731] = {.lex_state = 95},
  [6732] = {.lex_state = 95},
  [6733] = {.lex_state = 88},
  [6734] = {.lex_state = 95},
  [6735] = {.lex_state = 95},
  [6736] = {.lex_state = 95},
  [6737] = {.lex_state = 95},
  [6738] = {.lex_state = 95},
  [6739] = {.lex_state = 95},
  [6740] = {.lex_state = 95},
  [6741] = {.lex_state = 95},
  [6742] = {.lex_state = 95},
  [6743] = {.lex_state = 95},
  [6744] = {.lex_state = 95},
  [6745] = {.lex_state = 96},
  [6746] = {.lex_state = 96},
  [6747] = {.lex_state = 95},
  [6748] = {.lex_state = 95},
  [6749] = {.lex_state = 95},
  [6750] = {.lex_state = 98},
  [6751] = {.lex_state = 95},
  [6752] = {.lex_state = 95},
  [6753] = {.lex_state = 95},
  [6754] = {.lex_state = 95},
  [6755] = {.lex_state = 96},
  [6756] = {.lex_state = 96},
  [6757] = {.lex_state = 95},
  [6758] = {.lex_state = 95},
  [6759] = {.lex_state = 95},
  [6760] = {.lex_state = 95},
  [6761] = {.lex_state = 95},
  [6762] = {.lex_state = 95},
  [6763] = {.lex_state = 95},
  [6764] = {.lex_state = 95},
  [6765] = {.lex_state = 95},
  [6766] = {.lex_state = 88},
  [6767] = {.lex_state = 88},
  [6768] = {.lex_state = 95},
  [6769] = {.lex_state = 95},
  [6770] = {.lex_state = 95},
  [6771] = {.lex_state = 95},
  [6772] = {.lex_state = 95},
  [6773] = {.lex_state = 95},
  [6774] = {.lex_state = 88},
  [6775] = {.lex_state = 98},
  [6776] = {.lex_state = 95},
  [6777] = {.lex_state = 95},
  [6778] = {.lex_state = 95},
  [6779] = {.lex_state = 95},
  [6780] = {.lex_state = 95},
  [6781] = {.lex_state = 89},
  [6782] = {.lex_state = 88},
  [6783] = {.lex_state = 95},
  [6784] = {.lex_state = 95},
  [6785] = {.lex_state = 88},
  [6786] = {.lex_state = 88},
  [6787] = {.lex_state = 88},
  [6788] = {.lex_state = 89},
  [6789] = {.lex_state = 95},
  [6790] = {.lex_state = 95},
  [6791] = {.lex_state = 88},
  [6792] = {.lex_state = 95},
  [6793] = {.lex_state = 88},
  [6794] = {.lex_state = 88},
  [6795] = {.lex_state = 88},
  [6796] = {.lex_state = 95},
  [6797] = {.lex_state = 95},
  [6798] = {.lex_state = 88},
  [6799] = {.lex_state = 95},
  [6800] = {.lex_state = 88},
  [6801] = {.lex_state = 88},
  [6802] = {.lex_state = 95},
  [6803] = {.lex_state = 95},
  [6804] = {.lex_state = 95},
  [6805] = {.lex_state = 88},
  [6806] = {.lex_state = 95},
  [6807] = {.lex_state = 95},
  [6808] = {.lex_state = 95},
  [6809] = {.lex_state = 95},
  [6810] = {.lex_state = 95},
  [6811] = {.lex_state = 88},
  [6812] = {.lex_state = 95},
  [6813] = {.lex_state = 88},
  [6814] = {.lex_state = 95},
  [6815] = {.lex_state = 88},
  [6816] = {.lex_state = 95},
  [6817] = {.lex_state = 88},
  [6818] = {.lex_state = 95},
  [6819] = {.lex_state = 95},
  [6820] = {.lex_state = 95},
  [6821] = {.lex_state = 88},
  [6822] = {.lex_state = 95},
  [6823] = {.lex_state = 95},
  [6824] = {.lex_state = 95},
  [6825] = {.lex_state = 88},
  [6826] = {.lex_state = 88},
  [6827] = {.lex_state = 95},
  [6828] = {.lex_state = 88},
  [6829] = {.lex_state = 95},
  [6830] = {.lex_state = 89},
  [6831] = {.lex_state = 88},
  [6832] = {.lex_state = 95},
  [6833] = {.lex_state = 95},
  [6834] = {.lex_state = 95},
  [6835] = {.lex_state = 89},
  [6836] = {.lex_state = 88},
  [6837] = {.lex_state = 88},
  [6838] = {.lex_state = 88},
  [6839] = {.lex_state = 95},
  [6840] = {.lex_state = 88},
  [6841] = {.lex_state = 89},
  [6842] = {.lex_state = 88},
  [6843] = {.lex_state = 88},
  [6844] = {.lex_state = 88},
  [6845] = {.lex_state = 88},
  [6846] = {.lex_state = 88},
  [6847] = {.lex_state = 95},
  [6848] = {.lex_state = 88},
  [6849] = {.lex_state = 88},
  [6850] = {.lex_state = 88},
  [6851] = {.lex_state = 88},
  [6852] = {.lex_state = 88},
  [6853] = {.lex_state = 88},
  [6854] = {.lex_state = 88},
  [6855] = {.lex_state = 88},
  [6856] = {.lex_state = 95},
  [6857] = {.lex_state = 89},
  [6858] = {.lex_state = 95},
  [6859] = {.lex_state = 88},
  [6860] = {.lex_state = 95},
  [6861] = {.lex_state = 88},
  [6862] = {.lex_state = 88},
  [6863] = {.lex_state = 88},
  [6864] = {.lex_state = 88},
  [6865] = {.lex_state = 95},
  [6866] = {.lex_state = 88},
  [6867] = {.lex_state = 88},
  [6868] = {.lex_state = 88},
  [6869] = {.lex_state = 95},
  [6870] = {.lex_state = 95},
  [6871] = {.lex_state = 88},
  [6872] = {.lex_state = 95},
  [6873] = {.lex_state = 95},
  [6874] = {.lex_state = 95},
  [6875] = {.lex_state = 95},
  [6876] = {.lex_state = 95},
  [6877] = {.lex_state = 95},
  [6878] = {.lex_state = 95},
  [6879] = {.lex_state = 95},
  [6880] = {.lex_state = 88},
  [6881] = {.lex_state = 88},
  [6882] = {.lex_state = 95},
  [6883] = {.lex_state = 95},
  [6884] = {.lex_state = 95},
  [6885] = {.lex_state = 95},
  [6886] = {.lex_state = 95},
  [6887] = {.lex_state = 88},
  [6888] = {.lex_state = 95},
  [6889] = {.lex_state = 88},
  [6890] = {.lex_state = 89},
  [6891] = {.lex_state = 88},
  [6892] = {.lex_state = 95},
  [6893] = {.lex_state = 95},
  [6894] = {.lex_state = 95},
  [6895] = {.lex_state = 88},
  [6896] = {.lex_state = 88},
  [6897] = {.lex_state = 88},
  [6898] = {.lex_state = 89},
  [6899] = {.lex_state = 95},
  [6900] = {.lex_state = 98},
  [6901] = {.lex_state = 88},
  [6902] = {.lex_state = 95},
  [6903] = {.lex_state = 95},
  [6904] = {.lex_state = 95},
  [6905] = {.lex_state = 95},
  [6906] = {.lex_state = 88},
  [6907] = {.lex_state = 95},
  [6908] = {.lex_state = 89},
  [6909] = {.lex_state = 95},
  [6910] = {.lex_state = 95},
  [6911] = {.lex_state = 95},
  [6912] = {.lex_state = 89},
  [6913] = {.lex_state = 89},
  [6914] = {.lex_state = 95},
  [6915] = {.lex_state = 95},
  [6916] = {.lex_state = 88},
  [6917] = {.lex_state = 95},
  [6918] = {.lex_state = 88},
  [6919] = {.lex_state = 89},
  [6920] = {.lex_state = 88},
  [6921] = {.lex_state = 88},
  [6922] = {.lex_state = 89},
  [6923] = {.lex_state = 95},
  [6924] = {.lex_state = 88},
  [6925] = {.lex_state = 95},
  [6926] = {.lex_state = 88},
  [6927] = {.lex_state = 88},
  [6928] = {.lex_state = 88},
  [6929] = {.lex_state = 88},
  [6930] = {.lex_state = 88},
  [6931] = {.lex_state = 89},
  [6932] = {.lex_state = 89},
  [6933] = {.lex_state = 89},
  [6934] = {.lex_state = 95},
  [6935] = {.lex_state = 89},
  [6936] = {.lex_state = 88},
  [6937] = {.lex_state = 88},
  [6938] = {.lex_state = 95},
  [6939] = {.lex_state = 88},
  [6940] = {.lex_state = 89},
  [6941] = {.lex_state = 95},
  [6942] = {.lex_state = 95},
  [6943] = {.lex_state = 95},
  [6944] = {.lex_state = 95},
  [6945] = {.lex_state = 95},
  [6946] = {.lex_state = 95},
  [6947] = {.lex_state = 95},
  [6948] = {.lex_state = 95},
  [6949] = {.lex_state = 88},
  [6950] = {.lex_state = 88},
  [6951] = {.lex_state = 88},
  [6952] = {.lex_state = 95},
  [6953] = {.lex_state = 95},
  [6954] = {.lex_state = 95},
  [6955] = {.lex_state = 88},
  [6956] = {.lex_state = 95},
  [6957] = {.lex_state = 88},
  [6958] = {.lex_state = 88},
  [6959] = {.lex_state = 88},
  [6960] = {.lex_state = 89},
  [6961] = {.lex_state = 89},
  [6962] = {.lex_state = 89},
  [6963] = {.lex_state = 89},
  [6964] = {.lex_state = 95},
  [6965] = {.lex_state = 89},
  [6966] = {.lex_state = 88},
  [6967] = {.lex_state = 89},
  [6968] = {.lex_state = 88},
  [6969] = {.lex_state = 95},
  [6970] = {.lex_state = 89},
  [6971] = {.lex_state = 89},
  [6972] = {.lex_state = 95},
  [6973] = {.lex_state = 88},
  [6974] = {.lex_state = 95},
  [6975] = {.lex_state = 95},
  [6976] = {.lex_state = 95},
  [6977] = {.lex_state = 88},
  [6978] = {.lex_state = 88},
  [6979] = {.lex_state = 88},
  [6980] = {.lex_state = 88},
  [6981] = {.lex_state = 89},
  [6982] = {.lex_state = 88},
  [6983] = {.lex_state = 88},
  [6984] = {.lex_state = 95},
  [6985] = {.lex_state = 95},
  [6986] = {.lex_state = 88},
  [6987] = {.lex_state = 88},
  [6988] = {.lex_state = 88},
  [6989] = {.lex_state = 88},
  [6990] = {.lex_state = 88},
  [6991] = {.lex_state = 88},
  [6992] = {.lex_state = 88},
  [6993] = {.lex_state = 88},
  [6994] = {.lex_state = 88},
  [6995] = {.lex_state = 88},
  [6996] = {.lex_state = 95},
  [6997] = {.lex_state = 88},
  [6998] = {.lex_state = 88},
  [6999] = {.lex_state = 88},
  [7000] = {.lex_state = 95},
  [7001] = {.lex_state = 88},
  [7002] = {.lex_state = 95},
  [7003] = {.lex_state = 95},
  [7004] = {.lex_state = 88},
  [7005] = {.lex_state = 95},
  [7006] = {.lex_state = 88},
  [7007] = {.lex_state = 89},
  [7008] = {.lex_state = 95},
  [7009] = {.lex_state = 89},
  [7010] = {.lex_state = 88},
  [7011] = {.lex_state = 88},
  [7012] = {.lex_state = 88},
  [7013] = {.lex_state = 88},
  [7014] = {.lex_state = 88},
  [7015] = {.lex_state = 95},
  [7016] = {.lex_state = 88},
  [7017] = {.lex_state = 88},
  [7018] = {.lex_state = 95},
  [7019] = {.lex_state = 88},
  [7020] = {.lex_state = 88},
  [7021] = {.lex_state = 88},
  [7022] = {.lex_state = 88},
  [7023] = {.lex_state = 88},
  [7024] = {.lex_state = 88},
  [7025] = {.lex_state = 88},
  [7026] = {.lex_state = 95},
  [7027] = {.lex_state = 88},
  [7028] = {.lex_state = 88},
  [7029] = {.lex_state = 88},
  [7030] = {.lex_state = 88},
  [7031] = {.lex_state = 88},
  [7032] = {.lex_state = 88},
  [7033] = {.lex_state = 88},
  [7034] = {.lex_state = 88},
  [7035] = {.lex_state = 88},
  [7036] = {.lex_state = 88},
  [7037] = {.lex_state = 88},
  [7038] = {.lex_state = 88},
  [7039] = {.lex_state = 89},
  [7040] = {.lex_state = 88},
  [7041] = {.lex_state = 88},
  [7042] = {.lex_state = 88},
  [7043] = {.lex_state = 95},
  [7044] = {.lex_state = 88},
  [7045] = {.lex_state = 88},
  [7046] = {.lex_state = 89},
  [7047] = {.lex_state = 95},
  [7048] = {.lex_state = 88},
  [7049] = {.lex_state = 88},
  [7050] = {.lex_state = 88},
  [7051] = {.lex_state = 95},
  [7052] = {.lex_state = 88},
  [7053] = {.lex_state = 88},
  [7054] = {.lex_state = 95},
  [7055] = {.lex_state = 88},
  [7056] = {.lex_state = 88},
  [7057] = {.lex_state = 95},
  [7058] = {.lex_state = 95},
  [7059] = {.lex_state = 95},
  [7060] = {.lex_state = 88},
  [7061] = {.lex_state = 95},
  [7062] = {.lex_state = 88},
  [7063] = {.lex_state = 95},
  [7064] = {.lex_state = 88},
  [7065] = {.lex_state = 88},
  [7066] = {.lex_state = 95},
  [7067] = {.lex_state = 88},
  [7068] = {.lex_state = 95},
  [7069] = {.lex_state = 95},
  [7070] = {.lex_state = 88},
  [7071] = {.lex_state = 88},
  [7072] = {.lex_state = 88},
  [7073] = {.lex_state = 95},
  [7074] = {.lex_state = 88},
  [7075] = {.lex_state = 95},
  [7076] = {.lex_state = 95},
  [7077] = {.lex_state = 88},
  [7078] = {.lex_state = 95},
  [7079] = {.lex_state = 95},
  [7080] = {.lex_state = 95},
  [7081] = {.lex_state = 95},
  [7082] = {.lex_state = 95},
  [7083] = {.lex_state = 95},
  [7084] = {.lex_state = 95},
  [7085] = {.lex_state = 88},
  [7086] = {.lex_state = 95},
  [7087] = {.lex_state = 95},
  [7088] = {.lex_state = 95},
  [7089] = {.lex_state = 89},
  [7090] = {.lex_state = 88},
  [7091] = {.lex_state = 95},
  [7092] = {.lex_state = 95},
  [7093] = {.lex_state = 95},
  [7094] = {.lex_state = 88},
  [7095] = {.lex_state = 95},
  [7096] = {.lex_state = 95},
  [7097] = {.lex_state = 88},
  [7098] = {.lex_state = 88},
  [7099] = {.lex_state = 95},
  [7100] = {.lex_state = 95},
  [7101] = {.lex_state = 98},
  [7102] = {.lex_state = 95},
  [7103] = {.lex_state = 95},
  [7104] = {.lex_state = 88},
  [7105] = {.lex_state = 88},
  [7106] = {.lex_state = 88},
  [7107] = {.lex_state = 95},
  [7108] = {.lex_state = 88},
  [7109] = {.lex_state = 88},
  [7110] = {.lex_state = 96},
  [7111] = {.lex_state = 96},
  [7112] = {.lex_state = 88},
  [7113] = {.lex_state = 95},
  [7114] = {.lex_state = 88},
  [7115] = {.lex_state = 98},
  [7116] = {.lex_state = 88},
  [7117] = {.lex_state = 98},
  [7118] = {.lex_state = 95},
  [7119] = {.lex_state = 98},
  [7120] = {.lex_state = 98},
  [7121] = {.lex_state = 98},
  [7122] = {.lex_state = 95},
  [7123] = {.lex_state = 88},
  [7124] = {.lex_state = 89},
  [7125] = {.lex_state = 89},
  [7126] = {.lex_state = 98},
  [7127] = {.lex_state = 88},
  [7128] = {.lex_state = 89},
  [7129] = {.lex_state = 88},
  [7130] = {.lex_state = 89},
  [7131] = {.lex_state = 95},
  [7132] = {.lex_state = 98},
  [7133] = {.lex_state = 88},
  [7134] = {.lex_state = 95},
  [7135] = {.lex_state = 98},
  [7136] = {.lex_state = 88},
  [7137] = {.lex_state = 89},
  [7138] = {.lex_state = 88},
  [7139] = {.lex_state = 89},
  [7140] = {.lex_state = 98},
  [7141] = {.lex_state = 88},
  [7142] = {.lex_state = 88},
  [7143] = {.lex_state = 88},
  [7144] = {.lex_state = 88},
  [7145] = {.lex_state = 88},
  [7146] = {.lex_state = 88},
  [7147] = {.lex_state = 95},
  [7148] = {.lex_state = 89},
  [7149] = {.lex_state = 89},
  [7150] = {.lex_state = 95},
  [7151] = {.lex_state = 88},
  [7152] = {.lex_state = 98},
  [7153] = {.lex_state = 89},
  [7154] = {.lex_state = 95},
  [7155] = {.lex_state = 95},
  [7156] = {.lex_state = 89},
  [7157] = {.lex_state = 95},
  [7158] = {.lex_state = 95},
  [7159] = {.lex_state = 95},
  [7160] = {.lex_state = 95},
  [7161] = {.lex_state = 85},
  [7162] = {.lex_state = 88},
  [7163] = {.lex_state = 95},
  [7164] = {.lex_state = 89},
  [7165] = {.lex_state = 89},
  [7166] = {.lex_state = 95},
  [7167] = {.lex_state = 89},
  [7168] = {.lex_state = 89},
  [7169] = {.lex_state = 95},
  [7170] = {.lex_state = 95},
  [7171] = {.lex_state = 89},
  [7172] = {.lex_state = 89},
  [7173] = {.lex_state = 92, .external_lex_state = 2},
  [7174] = {.lex_state = 88},
  [7175] = {.lex_state = 88},
  [7176] = {.lex_state = 88},
  [7177] = {.lex_state = 88},
  [7178] = {.lex_state = 89},
  [7179] = {.lex_state = 89, .external_lex_state = 2},
  [7180] = {.lex_state = 89},
  [7181] = {.lex_state = 89},
  [7182] = {.lex_state = 89},
  [7183] = {.lex_state = 98},
  [7184] = {.lex_state = 89},
  [7185] = {.lex_state = 88},
  [7186] = {.lex_state = 89},
  [7187] = {.lex_state = 95},
  [7188] = {.lex_state = 89},
  [7189] = {.lex_state = 95},
  [7190] = {.lex_state = 98},
  [7191] = {.lex_state = 96},
  [7192] = {.lex_state = 89},
  [7193] = {.lex_state = 98},
  [7194] = {.lex_state = 85},
  [7195] = {.lex_state = 95},
  [7196] = {.lex_state = 89},
  [7197] = {.lex_state = 98},
  [7198] = {.lex_state = 89},
  [7199] = {.lex_state = 98},
  [7200] = {.lex_state = 95},
  [7201] = {.lex_state = 95},
  [7202] = {.lex_state = 95},
  [7203] = {.lex_state = 98},
  [7204] = {.lex_state = 96},
  [7205] = {.lex_state = 89},
  [7206] = {.lex_state = 98},
  [7207] = {.lex_state = 95},
  [7208] = {.lex_state = 89},
  [7209] = {.lex_state = 96},
  [7210] = {.lex_state = 89},
  [7211] = {.lex_state = 89},
  [7212] = {.lex_state = 95},
  [7213] = {.lex_state = 96},
  [7214] = {.lex_state = 98},
  [7215] = {.lex_state = 89},
  [7216] = {.lex_state = 88},
  [7217] = {.lex_state = 89},
  [7218] = {.lex_state = 95},
  [7219] = {.lex_state = 91},
  [7220] = {.lex_state = 88},
  [7221] = {.lex_state = 88},
  [7222] = {.lex_state = 89},
  [7223] = {.lex_state = 88},
  [7224] = {.lex_state = 95},
  [7225] = {.lex_state = 89},
  [7226] = {.lex_state = 96},
  [7227] = {.lex_state = 88},
  [7228] = {.lex_state = 89},
  [7229] = {.lex_state = 98},
  [7230] = {.lex_state = 95},
  [7231] = {.lex_state = 88},
  [7232] = {.lex_state = 98},
  [7233] = {.lex_state = 88},
  [7234] = {.lex_state = 88},
  [7235] = {.lex_state = 88},
  [7236] = {.lex_state = 88},
  [7237] = {.lex_state = 88},
  [7238] = {.lex_state = 95},
  [7239] = {.lex_state = 95},
  [7240] = {.lex_state = 95},
  [7241] = {.lex_state = 95},
  [7242] = {.lex_state = 95},
  [7243] = {.lex_state = 89},
  [7244] = {.lex_state = 95},
  [7245] = {.lex_state = 98},
  [7246] = {.lex_state = 100, .external_lex_state = 2},
  [7247] = {.lex_state = 95},
  [7248] = {.lex_state = 96},
  [7249] = {.lex_state = 89},
  [7250] = {.lex_state = 98},
  [7251] = {.lex_state = 88},
  [7252] = {.lex_state = 88},
  [7253] = {.lex_state = 98},
  [7254] = {.lex_state = 98},
  [7255] = {.lex_state = 96},
  [7256] = {.lex_state = 96},
  [7257] = {.lex_state = 95},
  [7258] = {.lex_state = 98},
  [7259] = {.lex_state = 96},
  [7260] = {.lex_state = 96},
  [7261] = {.lex_state = 89},
  [7262] = {.lex_state = 88},
  [7263] = {.lex_state = 98},
  [7264] = {.lex_state = 96},
  [7265] = {.lex_state = 98},
  [7266] = {.lex_state = 98},
  [7267] = {.lex_state = 88},
  [7268] = {.lex_state = 89},
  [7269] = {.lex_state = 98},
  [7270] = {.lex_state = 95},
  [7271] = {.lex_state = 98},
  [7272] = {.lex_state = 95},
  [7273] = {.lex_state = 96},
  [7274] = {.lex_state = 98},
  [7275] = {.lex_state = 98},
  [7276] = {.lex_state = 95},
  [7277] = {.lex_state = 95},
  [7278] = {.lex_state = 95},
  [7279] = {.lex_state = 95},
  [7280] = {.lex_state = 96},
  [7281] = {.lex_state = 95},
  [7282] = {.lex_state = 95},
  [7283] = {.lex_state = 98},
  [7284] = {.lex_state = 89, .external_lex_state = 2},
  [7285] = {.lex_state = 96},
  [7286] = {.lex_state = 95},
  [7287] = {.lex_state = 96},
  [7288] = {.lex_state = 95},
  [7289] = {.lex_state = 95},
  [7290] = {.lex_state = 95},
  [7291] = {.lex_state = 95},
  [7292] = {.lex_state = 96},
  [7293] = {.lex_state = 95},
  [7294] = {.lex_state = 95},
  [7295] = {.lex_state = 95},
  [7296] = {.lex_state = 95},
  [7297] = {.lex_state = 98},
  [7298] = {.lex_state = 96},
  [7299] = {.lex_state = 95},
  [7300] = {.lex_state = 96},
  [7301] = {.lex_state = 95},
  [7302] = {.lex_state = 96},
  [7303] = {.lex_state = 95},
  [7304] = {.lex_state = 95},
  [7305] = {.lex_state = 96},
  [7306] = {.lex_state = 98},
  [7307] = {.lex_state = 98},
  [7308] = {.lex_state = 98},
  [7309] = {.lex_state = 95},
  [7310] = {.lex_state = 95},
  [7311] = {.lex_state = 95},
  [7312] = {.lex_state = 95},
  [7313] = {.lex_state = 95},
  [7314] = {.lex_state = 95},
  [7315] = {.lex_state = 96},
  [7316] = {.lex_state = 96},
  [7317] = {.lex_state = 95},
  [7318] = {.lex_state = 95},
  [7319] = {.lex_state = 98},
  [7320] = {.lex_state = 96},
  [7321] = {.lex_state = 95},
  [7322] = {.lex_state = 98},
  [7323] = {.lex_state = 95},
  [7324] = {.lex_state = 95},
  [7325] = {.lex_state = 98},
  [7326] = {.lex_state = 98},
  [7327] = {.lex_state = 95},
  [7328] = {.lex_state = 98},
  [7329] = {.lex_state = 95},
  [7330] = {.lex_state = 98},
  [7331] = {.lex_state = 96},
  [7332] = {.lex_state = 95},
  [7333] = {.lex_state = 95},
  [7334] = {.lex_state = 98},
  [7335] = {.lex_state = 95},
  [7336] = {.lex_state = 98},
  [7337] = {.lex_state = 95},
  [7338] = {.lex_state = 98},
  [7339] = {.lex_state = 95},
  [7340] = {.lex_state = 98},
  [7341] = {.lex_state = 95},
  [7342] = {.lex_state = 95},
  [7343] = {.lex_state = 88},
  [7344] = {.lex_state = 89},
  [7345] = {.lex_state = 89},
  [7346] = {.lex_state = 98},
  [7347] = {.lex_state = 95},
  [7348] = {.lex_state = 95},
  [7349] = {.lex_state = 95},
  [7350] = {.lex_state = 95},
  [7351] = {.lex_state = 95},
  [7352] = {.lex_state = 95},
  [7353] = {.lex_state = 88},
  [7354] = {.lex_state = 95},
  [7355] = {.lex_state = 95},
  [7356] = {.lex_state = 95},
  [7357] = {.lex_state = 95},
  [7358] = {.lex_state = 95},
  [7359] = {.lex_state = 95},
  [7360] = {.lex_state = 96},
  [7361] = {.lex_state = 96},
  [7362] = {.lex_state = 95},
  [7363] = {.lex_state = 98},
  [7364] = {.lex_state = 95},
  [7365] = {.lex_state = 98},
  [7366] = {.lex_state = 98},
  [7367] = {.lex_state = 98},
  [7368] = {.lex_state = 96},
  [7369] = {.lex_state = 95},
  [7370] = {.lex_state = 95},
  [7371] = {.lex_state = 98},
  [7372] = {.lex_state = 95},
  [7373] = {.lex_state = 95},
  [7374] = {.lex_state = 95},
  [7375] = {.lex_state = 98},
  [7376] = {.lex_state = 96},
  [7377] = {.lex_state = 95},
  [7378] = {.lex_state = 91},
  [7379] = {.lex_state = 95},
  [7380] = {.lex_state = 98},
  [7381] = {.lex_state = 95},
  [7382] = {.lex_state = 96},
  [7383] = {.lex_state = 95},
  [7384] = {.lex_state = 95},
  [7385] = {.lex_state = 92, .external_lex_state = 2},
  [7386] = {.lex_state = 95},
  [7387] = {.lex_state = 98},
  [7388] = {.lex_state = 89},
  [7389] = {.lex_state = 89},
  [7390] = {.lex_state = 98},
  [7391] = {.lex_state = 95},
  [7392] = {.lex_state = 95},
  [7393] = {.lex_state = 98},
  [7394] = {.lex_state = 96},
  [7395] = {.lex_state = 98},
  [7396] = {.lex_state = 95},
  [7397] = {.lex_state = 95},
  [7398] = {.lex_state = 95},
  [7399] = {.lex_state = 95},
  [7400] = {.lex_state = 98},
  [7401] = {.lex_state = 98},
  [7402] = {.lex_state = 98},
  [7403] = {.lex_state = 98},
  [7404] = {.lex_state = 98},
  [7405] = {.lex_state = 95},
  [7406] = {.lex_state = 96},
  [7407] = {.lex_state = 98},
  [7408] = {.lex_state = 98},
  [7409] = {.lex_state = 98},
  [7410] = {.lex_state = 95},
  [7411] = {.lex_state = 96},
  [7412] = {.lex_state = 98},
  [7413] = {.lex_state = 98},
  [7414] = {.lex_state = 98},
  [7415] = {.lex_state = 98},
  [7416] = {.lex_state = 98},
  [7417] = {.lex_state = 95},
  [7418] = {.lex_state = 98},
  [7419] = {.lex_state = 88},
  [7420] = {.lex_state = 95},
  [7421] = {.lex_state = 89},
  [7422] = {.lex_state = 98},
  [7423] = {.lex_state = 98},
  [7424] = {.lex_state = 89},
  [7425] = {.lex_state = 96},
  [7426] = {.lex_state = 89},
  [7427] = {.lex_state = 96},
  [7428] = {.lex_state = 96},
  [7429] = {.lex_state = 96},
  [7430] = {.lex_state = 96},
  [7431] = {.lex_state = 96},
  [7432] = {.lex_state = 96},
  [7433] = {.lex_state = 98},
  [7434] = {.lex_state = 95},
  [7435] = {.lex_state = 96},
  [7436] = {.lex_state = 92},
  [7437] = {.lex_state = 96},
  [7438] = {.lex_state = 96},
  [7439] = {.lex_state = 98},
  [7440] = {.lex_state = 96},
  [7441] = {.lex_state = 96},
  [7442] = {.lex_state = 92},
  [7443] = {.lex_state = 92},
  [7444] = {.lex_state = 96},
  [7445] = {.lex_state = 98, .external_lex_state = 2},
  [7446] = {.lex_state = 98, .external_lex_state = 2},
  [7447] = {.lex_state = 98},
  [7448] = {.lex_state = 96},
  [7449] = {.lex_state = 98},
  [7450] = {.lex_state = 98},
  [7451] = {.lex_state = 98},
  [7452] = {.lex_state = 98, .external_lex_state = 2},
  [7453] = {.lex_state = 98, .external_lex_state = 2},
  [7454] = {.lex_state = 91},
  [7455] = {.lex_state = 98},
  [7456] = {.lex_state = 100},
  [7457] = {.lex_state = 96},
  [7458] = {.lex_state = 96},
  [7459] = {.lex_state = 100},
  [7460] = {.lex_state = 98},
  [7461] = {.lex_state = 96},
  [7462] = {.lex_state = 98},
  [7463] = {.lex_state = 96},
  [7464] = {.lex_state = 96},
  [7465] = {.lex_state = 96},
  [7466] = {.lex_state = 100},
  [7467] = {.lex_state = 96},
  [7468] = {.lex_state = 98},
  [7469] = {.lex_state = 98},
  [7470] = {.lex_state = 98},
  [7471] = {.lex_state = 98},
  [7472] = {.lex_state = 96},
  [7473] = {.lex_state = 98},
  [7474] = {.lex_state = 98},
  [7475] = {.lex_state = 98},
  [7476] = {.lex_state = 98},
  [7477] = {.lex_state = 98},
  [7478] = {.lex_state = 96},
  [7479] = {.lex_state = 98},
  [7480] = {.lex_state = 98},
  [7481] = {.lex_state = 98},
  [7482] = {.lex_state = 98},
  [7483] = {.lex_state = 98},
  [7484] = {.lex_state = 98},
  [7485] = {.lex_state = 98, .external_lex_state = 2},
  [7486] = {.lex_state = 98, .external_lex_state = 2},
  [7487] = {.lex_state = 98},
  [7488] = {.lex_state = 98},
  [7489] = {.lex_state = 98},
  [7490] = {.lex_state = 98},
  [7491] = {.lex_state = 98},
  [7492] = {.lex_state = 96},
  [7493] = {.lex_state = 96},
  [7494] = {.lex_state = 98},
  [7495] = {.lex_state = 98},
  [7496] = {.lex_state = 98},
  [7497] = {.lex_state = 98},
  [7498] = {.lex_state = 98},
  [7499] = {.lex_state = 98},
  [7500] = {.lex_state = 98},
  [7501] = {.lex_state = 98},
  [7502] = {.lex_state = 98},
  [7503] = {.lex_state = 98},
  [7504] = {.lex_state = 98},
  [7505] = {.lex_state = 98},
  [7506] = {.lex_state = 98},
  [7507] = {.lex_state = 96},
  [7508] = {.lex_state = 98},
  [7509] = {.lex_state = 98},
  [7510] = {.lex_state = 96},
  [7511] = {.lex_state = 96},
  [7512] = {.lex_state = 89},
  [7513] = {.lex_state = 98},
  [7514] = {.lex_state = 89},
  [7515] = {.lex_state = 89},
  [7516] = {.lex_state = 98},
  [7517] = {.lex_state = 96},
  [7518] = {.lex_state = 98},
  [7519] = {.lex_state = 98},
  [7520] = {.lex_state = 98},
  [7521] = {.lex_state = 98},
  [7522] = {.lex_state = 98},
  [7523] = {.lex_state = 98},
  [7524] = {.lex_state = 98},
  [7525] = {.lex_state = 98},
  [7526] = {.lex_state = 98},
  [7527] = {.lex_state = 98},
  [7528] = {.lex_state = 100},
  [7529] = {.lex_state = 95},
  [7530] = {.lex_state = 89},
  [7531] = {.lex_state = 100},
  [7532] = {.lex_state = 100},
  [7533] = {.lex_state = 95},
  [7534] = {.lex_state = 100},
  [7535] = {.lex_state = 98},
  [7536] = {.lex_state = 96},
  [7537] = {.lex_state = 92},
  [7538] = {.lex_state = 92},
  [7539] = {.lex_state = 98},
  [7540] = {.lex_state = 98},
  [7541] = {.lex_state = 98, .external_lex_state = 2},
  [7542] = {.lex_state = 92},
  [7543] = {.lex_state = 100},
  [7544] = {.lex_state = 100},
  [7545] = {.lex_state = 100},
  [7546] = {.lex_state = 100},
  [7547] = {.lex_state = 100},
  [7548] = {.lex_state = 100},
  [7549] = {.lex_state = 95},
  [7550] = {.lex_state = 95},
  [7551] = {.lex_state = 92},
  [7552] = {.lex_state = 95},
  [7553] = {.lex_state = 100},
  [7554] = {.lex_state = 98},
  [7555] = {.lex_state = 98},
  [7556] = {.lex_state = 95},
  [7557] = {.lex_state = 98},
  [7558] = {.lex_state = 92},
  [7559] = {.lex_state = 95},
  [7560] = {.lex_state = 95},
  [7561] = {.lex_state = 92},
  [7562] = {.lex_state = 92},
  [7563] = {.lex_state = 96},
  [7564] = {.lex_state = 92},
  [7565] = {.lex_state = 100},
  [7566] = {.lex_state = 100},
  [7567] = {.lex_state = 92},
  [7568] = {.lex_state = 100},
  [7569] = {.lex_state = 98},
  [7570] = {.lex_state = 95},
  [7571] = {.lex_state = 92},
  [7572] = {.lex_state = 100},
  [7573] = {.lex_state = 96},
  [7574] = {.lex_state = 89},
  [7575] = {.lex_state = 92},
  [7576] = {.lex_state = 100},
  [7577] = {.lex_state = 89},
  [7578] = {.lex_state = 100},
  [7579] = {.lex_state = 95},
  [7580] = {.lex_state = 89},
  [7581] = {.lex_state = 92},
  [7582] = {.lex_state = 98},
  [7583] = {.lex_state = 100},
  [7584] = {.lex_state = 92},
  [7585] = {.lex_state = 95},
  [7586] = {.lex_state = 100},
  [7587] = {.lex_state = 95},
  [7588] = {.lex_state = 100},
  [7589] = {.lex_state = 92},
  [7590] = {.lex_state = 95},
  [7591] = {.lex_state = 100},
  [7592] = {.lex_state = 92},
  [7593] = {.lex_state = 100},
  [7594] = {.lex_state = 92},
  [7595] = {.lex_state = 98},
  [7596] = {.lex_state = 95},
  [7597] = {.lex_state = 98},
  [7598] = {.lex_state = 92},
  [7599] = {.lex_state = 92},
  [7600] = {.lex_state = 98},
  [7601] = {.lex_state = 98},
  [7602] = {.lex_state = 95},
  [7603] = {.lex_state = 92},
  [7604] = {.lex_state = 98},
  [7605] = {.lex_state = 100},
  [7606] = {.lex_state = 92},
  [7607] = {.lex_state = 89},
  [7608] = {.lex_state = 98},
  [7609] = {.lex_state = 98},
  [7610] = {.lex_state = 98},
  [7611] = {.lex_state = 98},
  [7612] = {.lex_state = 89},
  [7613] = {.lex_state = 89},
  [7614] = {.lex_state = 92},
  [7615] = {.lex_state = 98},
  [7616] = {.lex_state = 100},
  [7617] = {.lex_state = 95},
  [7618] = {.lex_state = 95},
  [7619] = {.lex_state = 92},
  [7620] = {.lex_state = 95},
  [7621] = {.lex_state = 89},
  [7622] = {.lex_state = 98},
  [7623] = {.lex_state = 95},
  [7624] = {.lex_state = 98},
  [7625] = {.lex_state = 92},
  [7626] = {.lex_state = 95},
  [7627] = {.lex_state = 92},
  [7628] = {.lex_state = 100},
  [7629] = {.lex_state = 92},
  [7630] = {.lex_state = 89},
  [7631] = {.lex_state = 89},
  [7632] = {.lex_state = 89},
  [7633] = {.lex_state = 92},
  [7634] = {.lex_state = 100},
  [7635] = {.lex_state = 95},
  [7636] = {.lex_state = 98},
  [7637] = {.lex_state = 100},
  [7638] = {.lex_state = 89},
  [7639] = {.lex_state = 89},
  [7640] = {.lex_state = 92},
  [7641] = {.lex_state = 100},
  [7642] = {.lex_state = 100},
  [7643] = {.lex_state = 92},
  [7644] = {.lex_state = 92},
  [7645] = {.lex_state = 92},
  [7646] = {.lex_state = 95},
  [7647] = {.lex_state = 100},
  [7648] = {.lex_state = 92},
  [7649] = {.lex_state = 92},
  [7650] = {.lex_state = 100},
  [7651] = {.lex_state = 95},
  [7652] = {.lex_state = 98, .external_lex_state = 2},
  [7653] = {.lex_state = 98},
  [7654] = {.lex_state = 95},
  [7655] = {.lex_state = 92},
  [7656] = {.lex_state = 92},
  [7657] = {.lex_state = 92},
  [7658] = {.lex_state = 100},
  [7659] = {.lex_state = 92},
  [7660] = {.lex_state = 92},
  [7661] = {.lex_state = 92},
  [7662] = {.lex_state = 92},
  [7663] = {.lex_state = 100},
  [7664] = {.lex_state = 92},
  [7665] = {.lex_state = 100},
  [7666] = {.lex_state = 92},
  [7667] = {.lex_state = 100},
  [7668] = {.lex_state = 100},
  [7669] = {.lex_state = 92},
  [7670] = {.lex_state = 95},
  [7671] = {.lex_state = 92},
  [7672] = {.lex_state = 100},
  [7673] = {.lex_state = 92},
  [7674] = {.lex_state = 100},
  [7675] = {.lex_state = 100},
  [7676] = {.lex_state = 89},
  [7677] = {.lex_state = 89},
  [7678] = {.lex_state = 100},
  [7679] = {.lex_state = 100},
  [7680] = {.lex_state = 100},
  [7681] = {.lex_state = 100},
  [7682] = {.lex_state = 92},
  [7683] = {.lex_state = 96},
  [7684] = {.lex_state = 89},
  [7685] = {.lex_state = 95},
  [7686] = {.lex_state = 89},
  [7687] = {.lex_state = 100},
  [7688] = {.lex_state = 89},
  [7689] = {.lex_state = 89},
  [7690] = {.lex_state = 89},
  [7691] = {.lex_state = 100},
  [7692] = {.lex_state = 100},
  [7693] = {.lex_state = 98},
  [7694] = {.lex_state = 100},
  [7695] = {.lex_state = 92},
  [7696] = {.lex_state = 98},
  [7697] = {.lex_state = 92},
  [7698] = {.lex_state = 98},
  [7699] = {.lex_state = 92},
  [7700] = {.lex_state = 100},
  [7701] = {.lex_state = 98},
  [7702] = {.lex_state = 92},
  [7703] = {.lex_state = 95},
  [7704] = {.lex_state = 92},
  [7705] = {.lex_state = 89},
  [7706] = {.lex_state = 100},
  [7707] = {.lex_state = 98},
  [7708] = {.lex_state = 98},
  [7709] = {.lex_state = 98},
  [7710] = {.lex_state = 98},
  [7711] = {.lex_state = 100},
  [7712] = {.lex_state = 89},
  [7713] = {.lex_state = 100},
  [7714] = {.lex_state = 100},
  [7715] = {.lex_state = 98},
  [7716] = {.lex_state = 92},
  [7717] = {.lex_state = 95},
  [7718] = {.lex_state = 100},
  [7719] = {.lex_state = 92},
  [7720] = {.lex_state = 92},
  [7721] = {.lex_state = 92},
  [7722] = {.lex_state = 89},
  [7723] = {.lex_state = 100},
  [7724] = {.lex_state = 92},
  [7725] = {.lex_state = 100},
  [7726] = {.lex_state = 95},
  [7727] = {.lex_state = 92},
  [7728] = {.lex_state = 95},
  [7729] = {.lex_state = 92},
  [7730] = {.lex_state = 98},
  [7731] = {.lex_state = 100},
  [7732] = {.lex_state = 95},
  [7733] = {.lex_state = 100},
  [7734] = {.lex_state = 92},
  [7735] = {.lex_state = 92},
  [7736] = {.lex_state = 100},
  [7737] = {.lex_state = 95},
  [7738] = {.lex_state = 100},
  [7739] = {.lex_state = 100},
  [7740] = {.lex_state = 92},
  [7741] = {.lex_state = 100},
  [7742] = {.lex_state = 95},
  [7743] = {.lex_state = 92},
  [7744] = {.lex_state = 100},
  [7745] = {.lex_state = 95},
  [7746] = {.lex_state = 92},
  [7747] = {.lex_state = 100},
  [7748] = {.lex_state = 92},
  [7749] = {.lex_state = 95},
  [7750] = {.lex_state = 96},
  [7751] = {.lex_state = 89},
  [7752] = {.lex_state = 89},
  [7753] = {.lex_state = 89},
  [7754] = {.lex_state = 89},
  [7755] = {.lex_state = 100},
  [7756] = {.lex_state = 98},
  [7757] = {.lex_state = 89},
  [7758] = {.lex_state = 89},
  [7759] = {.lex_state = 95},
  [7760] = {.lex_state = 92},
  [7761] = {.lex_state = 89},
  [7762] = {.lex_state = 89},
  [7763] = {.lex_state = 89},
  [7764] = {.lex_state = 100},
  [7765] = {.lex_state = 98},
  [7766] = {.lex_state = 100},
  [7767] = {.lex_state = 92},
  [7768] = {.lex_state = 92},
  [7769] = {.lex_state = 100},
  [7770] = {.lex_state = 95},
  [7771] = {.lex_state = 89},
  [7772] = {.lex_state = 92},
  [7773] = {.lex_state = 95},
  [7774] = {.lex_state = 92},
  [7775] = {.lex_state = 89},
  [7776] = {.lex_state = 89},
  [7777] = {.lex_state = 89},
  [7778] = {.lex_state = 89},
  [7779] = {.lex_state = 89},
  [7780] = {.lex_state = 89},
  [7781] = {.lex_state = 89},
  [7782] = {.lex_state = 92},
  [7783] = {.lex_state = 89},
  [7784] = {.lex_state = 89},
  [7785] = {.lex_state = 89},
  [7786] = {.lex_state = 100},
  [7787] = {.lex_state = 98},
  [7788] = {.lex_state = 100},
  [7789] = {.lex_state = 98},
  [7790] = {.lex_state = 98},
  [7791] = {.lex_state = 98},
  [7792] = {.lex_state = 98},
  [7793] = {.lex_state = 100},
  [7794] = {.lex_state = 100},
  [7795] = {.lex_state = 100},
  [7796] = {.lex_state = 89},
  [7797] = {.lex_state = 89},
  [7798] = {.lex_state = 92},
  [7799] = {.lex_state = 98},
  [7800] = {.lex_state = 98},
  [7801] = {.lex_state = 100},
  [7802] = {.lex_state = 100},
  [7803] = {.lex_state = 100},
  [7804] = {.lex_state = 100},
  [7805] = {.lex_state = 98},
  [7806] = {.lex_state = 89},
  [7807] = {.lex_state = 100},
  [7808] = {.lex_state = 98},
  [7809] = {.lex_state = 98},
  [7810] = {.lex_state = 92},
  [7811] = {.lex_state = 89},
  [7812] = {.lex_state = 98},
  [7813] = {.lex_state = 92},
  [7814] = {.lex_state = 84},
  [7815] = {.lex_state = 89},
  [7816] = {.lex_state = 100},
  [7817] = {.lex_state = 98},
  [7818] = {.lex_state = 89},
  [7819] = {.lex_state = 89},
  [7820] = {.lex_state = 95},
  [7821] = {.lex_state = 89},
  [7822] = {.lex_state = 89},
  [7823] = {.lex_state = 98},
  [7824] = {.lex_state = 89},
  [7825] = {.lex_state = 98},
  [7826] = {.lex_state = 100},
  [7827] = {.lex_state = 89},
  [7828] = {.lex_state = 84},
  [7829] = {.lex_state = 92},
  [7830] = {.lex_state = 100},
  [7831] = {.lex_state = 98},
  [7832] = {.lex_state = 98},
  [7833] = {.lex_state = 89},
  [7834] = {.lex_state = 100},
  [7835] = {.lex_state = 89},
  [7836] = {.lex_state = 98, .external_lex_state = 2},
  [7837] = {.lex_state = 89},
  [7838] = {.lex_state = 100},
  [7839] = {.lex_state = 100},
  [7840] = {.lex_state = 100},
  [7841] = {.lex_state = 100},
  [7842] = {.lex_state = 96},
  [7843] = {.lex_state = 100},
  [7844] = {.lex_state = 89},
  [7845] = {.lex_state = 100},
  [7846] = {.lex_state = 100},
  [7847] = {.lex_state = 92},
  [7848] = {.lex_state = 98},
  [7849] = {.lex_state = 89},
  [7850] = {.lex_state = 98},
  [7851] = {.lex_state = 89},
  [7852] = {.lex_state = 98, .external_lex_state = 2},
  [7853] = {.lex_state = 89},
  [7854] = {.lex_state = 100},
  [7855] = {.lex_state = 89},
  [7856] = {.lex_state = 95},
  [7857] = {.lex_state = 89},
  [7858] = {.lex_state = 89},
  [7859] = {.lex_state = 92},
  [7860] = {.lex_state = 92},
  [7861] = {.lex_state = 92},
  [7862] = {.lex_state = 89},
  [7863] = {.lex_state = 89},
  [7864] = {.lex_state = 95},
  [7865] = {.lex_state = 92},
  [7866] = {.lex_state = 89},
  [7867] = {.lex_state = 89},
  [7868] = {.lex_state = 89},
  [7869] = {.lex_state = 89},
  [7870] = {.lex_state = 89},
  [7871] = {.lex_state = 96},
  [7872] = {.lex_state = 92},
  [7873] = {.lex_state = 89},
  [7874] = {.lex_state = 89},
  [7875] = {.lex_state = 89},
  [7876] = {.lex_state = 89},
  [7877] = {.lex_state = 89},
  [7878] = {.lex_state = 89},
  [7879] = {.lex_state = 100},
  [7880] = {.lex_state = 95},
  [7881] = {.lex_state = 92},
  [7882] = {.lex_state = 92},
  [7883] = {.lex_state = 92},
  [7884] = {.lex_state = 92},
  [7885] = {.lex_state = 92},
  [7886] = {.lex_state = 92},
  [7887] = {.lex_state = 92},
  [7888] = {.lex_state = 92},
  [7889] = {.lex_state = 92},
  [7890] = {.lex_state = 92},
  [7891] = {.lex_state = 92},
  [7892] = {.lex_state = 95},
  [7893] = {.lex_state = 92},
  [7894] = {.lex_state = 92},
  [7895] = {.lex_state = 89},
  [7896] = {.lex_state = 92},
  [7897] = {.lex_state = 92},
  [7898] = {.lex_state = 92},
  [7899] = {.lex_state = 92},
  [7900] = {.lex_state = 92},
  [7901] = {.lex_state = 92},
  [7902] = {.lex_state = 92},
  [7903] = {.lex_state = 92},
  [7904] = {.lex_state = 92},
  [7905] = {.lex_state = 92},
  [7906] = {.lex_state = 92},
  [7907] = {.lex_state = 92},
  [7908] = {.lex_state = 92},
  [7909] = {.lex_state = 92},
  [7910] = {.lex_state = 89},
  [7911] = {.lex_state = 92},
  [7912] = {.lex_state = 92},
  [7913] = {.lex_state = 92},
  [7914] = {.lex_state = 92},
  [7915] = {.lex_state = 95},
  [7916] = {.lex_state = 92},
  [7917] = {.lex_state = 92},
  [7918] = {.lex_state = 92},
  [7919] = {.lex_state = 92},
  [7920] = {.lex_state = 92},
  [7921] = {.lex_state = 89},
  [7922] = {.lex_state = 92},
  [7923] = {.lex_state = 92},
  [7924] = {.lex_state = 92},
  [7925] = {.lex_state = 92},
  [7926] = {.lex_state = 92},
  [7927] = {.lex_state = 92},
  [7928] = {.lex_state = 92},
  [7929] = {.lex_state = 89},
  [7930] = {.lex_state = 89},
  [7931] = {.lex_state = 89},
  [7932] = {.lex_state = 92},
  [7933] = {.lex_state = 92},
  [7934] = {.lex_state = 92},
  [7935] = {.lex_state = 92},
  [7936] = {.lex_state = 89},
  [7937] = {.lex_state = 100},
  [7938] = {.lex_state = 92},
  [7939] = {.lex_state = 100},
  [7940] = {.lex_state = 92},
  [7941] = {.lex_state = 92},
  [7942] = {.lex_state = 92},
  [7943] = {.lex_state = 100},
  [7944] = {.lex_state = 96},
  [7945] = {.lex_state = 95},
  [7946] = {.lex_state = 92},
  [7947] = {.lex_state = 98},
  [7948] = {.lex_state = 92},
  [7949] = {.lex_state = 92},
  [7950] = {.lex_state = 92},
  [7951] = {.lex_state = 95},
  [7952] = {.lex_state = 92},
  [7953] = {.lex_state = 92},
  [7954] = {.lex_state = 92},
  [7955] = {.lex_state = 92},
  [7956] = {.lex_state = 92},
  [7957] = {.lex_state = 92},
  [7958] = {.lex_state = 92},
  [7959] = {.lex_state = 92},
  [7960] = {.lex_state = 95},
  [7961] = {.lex_state = 92},
  [7962] = {.lex_state = 92},
  [7963] = {.lex_state = 98},
  [7964] = {.lex_state = 92},
  [7965] = {.lex_state = 92},
  [7966] = {.lex_state = 92},
  [7967] = {.lex_state = 92},
  [7968] = {.lex_state = 92},
  [7969] = {.lex_state = 98},
  [7970] = {.lex_state = 92},
  [7971] = {.lex_state = 92},
  [7972] = {.lex_state = 98, .external_lex_state = 2},
  [7973] = {.lex_state = 95},
  [7974] = {.lex_state = 92},
  [7975] = {.lex_state = 92},
  [7976] = {.lex_state = 92},
  [7977] = {.lex_state = 92},
  [7978] = {.lex_state = 92},
  [7979] = {.lex_state = 92},
  [7980] = {.lex_state = 92},
  [7981] = {.lex_state = 95},
  [7982] = {.lex_state = 92},
  [7983] = {.lex_state = 100},
  [7984] = {.lex_state = 92},
  [7985] = {.lex_state = 92},
  [7986] = {.lex_state = 92},
  [7987] = {.lex_state = 92},
  [7988] = {.lex_state = 92},
  [7989] = {.lex_state = 92},
  [7990] = {.lex_state = 92},
  [7991] = {.lex_state = 95},
  [7992] = {.lex_state = 100},
  [7993] = {.lex_state = 92},
  [7994] = {.lex_state = 92},
  [7995] = {.lex_state = 92},
  [7996] = {.lex_state = 92},
  [7997] = {.lex_state = 92},
  [7998] = {.lex_state = 100},
  [7999] = {.lex_state = 95},
  [8000] = {.lex_state = 95},
  [8001] = {.lex_state = 92},
  [8002] = {.lex_state = 92},
  [8003] = {.lex_state = 92},
  [8004] = {.lex_state = 95},
  [8005] = {.lex_state = 92},
  [8006] = {.lex_state = 98},
  [8007] = {.lex_state = 92},
  [8008] = {.lex_state = 92},
  [8009] = {.lex_state = 92},
  [8010] = {.lex_state = 92},
  [8011] = {.lex_state = 92},
  [8012] = {.lex_state = 92},
  [8013] = {.lex_state = 92},
  [8014] = {.lex_state = 92},
  [8015] = {.lex_state = 92},
  [8016] = {.lex_state = 92},
  [8017] = {.lex_state = 92},
  [8018] = {.lex_state = 92},
  [8019] = {.lex_state = 92},
  [8020] = {.lex_state = 92},
  [8021] = {.lex_state = 98},
  [8022] = {.lex_state = 98},
  [8023] = {.lex_state = 98},
  [8024] = {.lex_state = 98},
  [8025] = {.lex_state = 98},
  [8026] = {.lex_state = 98},
  [8027] = {.lex_state = 89},
  [8028] = {.lex_state = 98},
  [8029] = {.lex_state = 98},
  [8030] = {.lex_state = 98},
  [8031] = {.lex_state = 98},
  [8032] = {.lex_state = 98},
  [8033] = {.lex_state = 98},
  [8034] = {.lex_state = 98},
  [8035] = {.lex_state = 98},
  [8036] = {.lex_state = 98},
  [8037] = {.lex_state = 98},
  [8038] = {.lex_state = 98},
  [8039] = {.lex_state = 98},
  [8040] = {.lex_state = 98},
  [8041] = {.lex_state = 98},
  [8042] = {.lex_state = 98},
  [8043] = {.lex_state = 98},
  [8044] = {.lex_state = 98},
  [8045] = {.lex_state = 98},
  [8046] = {.lex_state = 98},
  [8047] = {.lex_state = 98},
  [8048] = {.lex_state = 98},
  [8049] = {.lex_state = 89},
  [8050] = {.lex_state = 98},
  [8051] = {.lex_state = 98},
  [8052] = {.lex_state = 98},
  [8053] = {.lex_state = 98},
  [8054] = {.lex_state = 98},
  [8055] = {.lex_state = 98},
  [8056] = {.lex_state = 98},
  [8057] = {.lex_state = 98},
  [8058] = {.lex_state = 98},
  [8059] = {.lex_state = 98},
  [8060] = {.lex_state = 98},
  [8061] = {.lex_state = 98},
  [8062] = {.lex_state = 89},
  [8063] = {.lex_state = 98},
  [8064] = {.lex_state = 98},
  [8065] = {.lex_state = 98},
  [8066] = {.lex_state = 98},
  [8067] = {.lex_state = 98},
  [8068] = {.lex_state = 98},
  [8069] = {.lex_state = 89},
  [8070] = {.lex_state = 98},
  [8071] = {.lex_state = 98},
  [8072] = {.lex_state = 98},
  [8073] = {.lex_state = 98},
  [8074] = {.lex_state = 98},
  [8075] = {.lex_state = 98},
  [8076] = {.lex_state = 98},
  [8077] = {.lex_state = 89},
  [8078] = {.lex_state = 98},
  [8079] = {.lex_state = 98},
  [8080] = {.lex_state = 98},
  [8081] = {.lex_state = 98},
  [8082] = {.lex_state = 98},
  [8083] = {.lex_state = 98},
  [8084] = {.lex_state = 98},
  [8085] = {.lex_state = 98},
  [8086] = {.lex_state = 98},
  [8087] = {.lex_state = 98},
  [8088] = {.lex_state = 98},
  [8089] = {.lex_state = 98},
  [8090] = {.lex_state = 98},
  [8091] = {.lex_state = 98},
  [8092] = {.lex_state = 89},
  [8093] = {.lex_state = 96},
  [8094] = {.lex_state = 98},
  [8095] = {.lex_state = 98},
  [8096] = {.lex_state = 89},
  [8097] = {.lex_state = 98},
  [8098] = {.lex_state = 98},
  [8099] = {.lex_state = 98},
  [8100] = {.lex_state = 98},
  [8101] = {.lex_state = 98},
  [8102] = {.lex_state = 98},
  [8103] = {.lex_state = 98},
  [8104] = {.lex_state = 98},
  [8105] = {.lex_state = 98},
  [8106] = {.lex_state = 98},
  [8107] = {.lex_state = 98},
  [8108] = {.lex_state = 98},
  [8109] = {.lex_state = 98},
  [8110] = {.lex_state = 98},
  [8111] = {.lex_state = 98},
  [8112] = {.lex_state = 98},
  [8113] = {.lex_state = 98},
  [8114] = {.lex_state = 98},
  [8115] = {.lex_state = 98},
  [8116] = {.lex_state = 98},
  [8117] = {.lex_state = 98},
  [8118] = {.lex_state = 98},
  [8119] = {.lex_state = 98},
  [8120] = {.lex_state = 89},
  [8121] = {.lex_state = 98},
  [8122] = {.lex_state = 98},
  [8123] = {.lex_state = 98},
  [8124] = {.lex_state = 98},
  [8125] = {.lex_state = 89},
  [8126] = {.lex_state = 98},
  [8127] = {.lex_state = 98},
  [8128] = {.lex_state = 98},
  [8129] = {.lex_state = 98},
  [8130] = {.lex_state = 98},
  [8131] = {.lex_state = 98},
  [8132] = {.lex_state = 98},
  [8133] = {.lex_state = 98},
  [8134] = {.lex_state = 98},
  [8135] = {.lex_state = 98},
  [8136] = {.lex_state = 89},
  [8137] = {.lex_state = 98},
  [8138] = {.lex_state = 98},
  [8139] = {.lex_state = 98},
  [8140] = {.lex_state = 98},
  [8141] = {.lex_state = 98},
  [8142] = {.lex_state = 98},
  [8143] = {.lex_state = 98},
  [8144] = {.lex_state = 98},
  [8145] = {.lex_state = 98},
  [8146] = {.lex_state = 98},
  [8147] = {.lex_state = 98},
  [8148] = {.lex_state = 98},
  [8149] = {.lex_state = 98},
  [8150] = {.lex_state = 98},
  [8151] = {.lex_state = 98},
  [8152] = {.lex_state = 98},
  [8153] = {.lex_state = 98},
  [8154] = {.lex_state = 98},
  [8155] = {.lex_state = 98},
  [8156] = {.lex_state = 96},
  [8157] = {.lex_state = 96},
  [8158] = {.lex_state = 98},
  [8159] = {.lex_state = 98},
  [8160] = {.lex_state = 98},
  [8161] = {.lex_state = 98},
  [8162] = {.lex_state = 98},
  [8163] = {.lex_state = 98},
  [8164] = {.lex_state = 89},
  [8165] = {.lex_state = 98},
  [8166] = {.lex_state = 98},
  [8167] = {.lex_state = 98},
  [8168] = {.lex_state = 98},
  [8169] = {.lex_state = 98},
  [8170] = {.lex_state = 98},
  [8171] = {.lex_state = 96},
  [8172] = {.lex_state = 98},
  [8173] = {.lex_state = 98},
  [8174] = {.lex_state = 98},
  [8175] = {.lex_state = 98},
  [8176] = {.lex_state = 98},
  [8177] = {.lex_state = 98},
  [8178] = {.lex_state = 98},
  [8179] = {.lex_state = 98},
  [8180] = {.lex_state = 98},
  [8181] = {.lex_state = 98},
  [8182] = {.lex_state = 89},
  [8183] = {.lex_state = 98},
  [8184] = {.lex_state = 98},
  [8185] = {.lex_state = 98},
  [8186] = {.lex_state = 98},
  [8187] = {.lex_state = 98},
  [8188] = {.lex_state = 98},
  [8189] = {.lex_state = 98},
  [8190] = {.lex_state = 98},
  [8191] = {.lex_state = 98},
  [8192] = {.lex_state = 98},
  [8193] = {.lex_state = 98},
  [8194] = {.lex_state = 98},
  [8195] = {.lex_state = 98},
  [8196] = {.lex_state = 98},
  [8197] = {.lex_state = 98},
  [8198] = {.lex_state = 89, .external_lex_state = 2},
  [8199] = {.lex_state = 96},
  [8200] = {.lex_state = 96},
  [8201] = {.lex_state = 98},
  [8202] = {.lex_state = 98},
  [8203] = {.lex_state = 98},
  [8204] = {.lex_state = 96},
  [8205] = {.lex_state = 98},
  [8206] = {.lex_state = 96},
  [8207] = {.lex_state = 96},
  [8208] = {.lex_state = 96},
  [8209] = {.lex_state = 98},
  [8210] = {.lex_state = 96},
  [8211] = {.lex_state = 98},
  [8212] = {.lex_state = 98},
  [8213] = {.lex_state = 96},
  [8214] = {.lex_state = 96},
  [8215] = {.lex_state = 98},
  [8216] = {.lex_state = 96},
  [8217] = {.lex_state = 96},
  [8218] = {.lex_state = 98},
  [8219] = {.lex_state = 96},
  [8220] = {.lex_state = 98},
  [8221] = {.lex_state = 98},
  [8222] = {.lex_state = 98},
  [8223] = {.lex_state = 98},
  [8224] = {.lex_state = 98},
  [8225] = {.lex_state = 98},
  [8226] = {.lex_state = 98},
  [8227] = {.lex_state = 98},
  [8228] = {.lex_state = 98},
  [8229] = {.lex_state = 98},
  [8230] = {.lex_state = 98},
  [8231] = {.lex_state = 98},
  [8232] = {.lex_state = 98},
  [8233] = {.lex_state = 98},
  [8234] = {.lex_state = 98},
  [8235] = {.lex_state = 98},
  [8236] = {.lex_state = 98},
  [8237] = {.lex_state = 98},
  [8238] = {.lex_state = 98},
  [8239] = {.lex_state = 98},
  [8240] = {.lex_state = 98},
  [8241] = {.lex_state = 98},
  [8242] = {.lex_state = 98},
  [8243] = {.lex_state = 98},
  [8244] = {.lex_state = 98},
  [8245] = {.lex_state = 98},
  [8246] = {.lex_state = 98},
  [8247] = {.lex_state = 98},
  [8248] = {.lex_state = 98},
  [8249] = {.lex_state = 98},
  [8250] = {.lex_state = 98},
  [8251] = {.lex_state = 98},
  [8252] = {.lex_state = 98},
  [8253] = {.lex_state = 98},
  [8254] = {.lex_state = 98},
  [8255] = {.lex_state = 98},
  [8256] = {.lex_state = 98},
  [8257] = {.lex_state = 98},
  [8258] = {.lex_state = 98},
  [8259] = {.lex_state = 98},
  [8260] = {.lex_state = 98},
  [8261] = {.lex_state = 98},
  [8262] = {.lex_state = 89},
  [8263] = {.lex_state = 98},
  [8264] = {.lex_state = 98},
  [8265] = {.lex_state = 98},
  [8266] = {.lex_state = 89},
  [8267] = {.lex_state = 98},
  [8268] = {.lex_state = 98},
  [8269] = {.lex_state = 98},
  [8270] = {.lex_state = 98},
  [8271] = {.lex_state = 98},
  [8272] = {.lex_state = 96},
  [8273] = {.lex_state = 98},
  [8274] = {.lex_state = 98},
  [8275] = {.lex_state = 98},
  [8276] = {.lex_state = 89},
  [8277] = {.lex_state = 98},
  [8278] = {.lex_state = 98},
  [8279] = {.lex_state = 98},
  [8280] = {.lex_state = 98},
  [8281] = {.lex_state = 98},
  [8282] = {.lex_state = 98},
  [8283] = {.lex_state = 98},
  [8284] = {.lex_state = 98},
  [8285] = {.lex_state = 98},
  [8286] = {.lex_state = 98},
  [8287] = {.lex_state = 98},
  [8288] = {.lex_state = 98},
  [8289] = {.lex_state = 98},
  [8290] = {.lex_state = 98},
  [8291] = {.lex_state = 98},
  [8292] = {.lex_state = 98},
  [8293] = {.lex_state = 98},
  [8294] = {.lex_state = 98},
  [8295] = {.lex_state = 98},
  [8296] = {.lex_state = 98},
  [8297] = {.lex_state = 98},
  [8298] = {.lex_state = 98},
  [8299] = {.lex_state = 98},
  [8300] = {.lex_state = 98},
  [8301] = {.lex_state = 98},
  [8302] = {.lex_state = 98},
  [8303] = {.lex_state = 98},
  [8304] = {.lex_state = 98},
  [8305] = {.lex_state = 98},
  [8306] = {.lex_state = 98},
  [8307] = {.lex_state = 98},
  [8308] = {.lex_state = 89},
  [8309] = {.lex_state = 98},
  [8310] = {.lex_state = 98},
  [8311] = {.lex_state = 98},
  [8312] = {.lex_state = 98},
  [8313] = {.lex_state = 98},
  [8314] = {.lex_state = 98},
  [8315] = {.lex_state = 98},
  [8316] = {.lex_state = 98},
  [8317] = {.lex_state = 98},
  [8318] = {.lex_state = 98},
  [8319] = {.lex_state = 98},
  [8320] = {.lex_state = 98},
  [8321] = {.lex_state = 98},
  [8322] = {.lex_state = 98},
  [8323] = {.lex_state = 89},
  [8324] = {.lex_state = 98},
  [8325] = {.lex_state = 98},
  [8326] = {.lex_state = 98},
  [8327] = {.lex_state = 98},
  [8328] = {.lex_state = 98},
  [8329] = {.lex_state = 98},
  [8330] = {.lex_state = 98},
  [8331] = {.lex_state = 98},
  [8332] = {.lex_state = 98},
  [8333] = {.lex_state = 98},
  [8334] = {.lex_state = 98},
  [8335] = {.lex_state = 98},
  [8336] = {.lex_state = 98},
  [8337] = {.lex_state = 98},
  [8338] = {.lex_state = 98},
  [8339] = {.lex_state = 98},
  [8340] = {.lex_state = 98},
  [8341] = {.lex_state = 98},
  [8342] = {.lex_state = 98},
  [8343] = {.lex_state = 98},
  [8344] = {.lex_state = 98},
  [8345] = {.lex_state = 98},
  [8346] = {.lex_state = 98},
  [8347] = {.lex_state = 98},
  [8348] = {.lex_state = 98},
  [8349] = {.lex_state = 98},
  [8350] = {.lex_state = 98},
  [8351] = {.lex_state = 98},
  [8352] = {.lex_state = 98},
  [8353] = {.lex_state = 98},
  [8354] = {.lex_state = 98},
  [8355] = {.lex_state = 98},
  [8356] = {.lex_state = 98},
  [8357] = {.lex_state = 89},
  [8358] = {.lex_state = 98},
  [8359] = {.lex_state = 95},
  [8360] = {.lex_state = 92},
  [8361] = {.lex_state = 98},
  [8362] = {.lex_state = 89},
  [8363] = {.lex_state = 88},
  [8364] = {.lex_state = 98},
  [8365] = {.lex_state = 89},
  [8366] = {.lex_state = 89},
  [8367] = {.lex_state = 89},
  [8368] = {.lex_state = 89},
  [8369] = {.lex_state = 89},
  [8370] = {.lex_state = 89},
  [8371] = {.lex_state = 89},
  [8372] = {.lex_state = 89},
  [8373] = {.lex_state = 89},
  [8374] = {.lex_state = 89},
  [8375] = {.lex_state = 89},
  [8376] = {.lex_state = 89},
  [8377] = {.lex_state = 89},
  [8378] = {.lex_state = 89},
  [8379] = {.lex_state = 89},
  [8380] = {.lex_state = 89},
  [8381] = {.lex_state = 96},
  [8382] = {.lex_state = 89},
  [8383] = {.lex_state = 89},
  [8384] = {.lex_state = 89},
  [8385] = {.lex_state = 89},
  [8386] = {.lex_state = 89},
  [8387] = {.lex_state = 89},
  [8388] = {.lex_state = 89},
  [8389] = {.lex_state = 89},
  [8390] = {.lex_state = 89},
  [8391] = {.lex_state = 89},
  [8392] = {.lex_state = 89},
  [8393] = {.lex_state = 89},
  [8394] = {.lex_state = 96},
  [8395] = {.lex_state = 95},
  [8396] = {.lex_state = 89},
  [8397] = {.lex_state = 89},
  [8398] = {.lex_state = 89},
  [8399] = {.lex_state = 89},
  [8400] = {.lex_state = 88},
  [8401] = {.lex_state = 89},
  [8402] = {.lex_state = 98},
  [8403] = {.lex_state = 89},
  [8404] = {.lex_state = 89},
  [8405] = {.lex_state = 89},
  [8406] = {.lex_state = 89},
  [8407] = {.lex_state = 89},
  [8408] = {.lex_state = 89},
  [8409] = {.lex_state = 89},
  [8410] = {.lex_state = 89},
  [8411] = {.lex_state = 89},
  [8412] = {.lex_state = 89},
  [8413] = {.lex_state = 89},
  [8414] = {.lex_state = 89},
  [8415] = {.lex_state = 89},
  [8416] = {.lex_state = 89},
  [8417] = {.lex_state = 89},
  [8418] = {.lex_state = 89},
  [8419] = {.lex_state = 89},
  [8420] = {.lex_state = 89},
  [8421] = {.lex_state = 95},
  [8422] = {.lex_state = 89, .external_lex_state = 2},
  [8423] = {.lex_state = 89},
  [8424] = {.lex_state = 95},
  [8425] = {.lex_state = 89},
  [8426] = {.lex_state = 89},
  [8427] = {.lex_state = 95},
  [8428] = {.lex_state = 89},
  [8429] = {.lex_state = 89},
  [8430] = {.lex_state = 89},
  [8431] = {.lex_state = 89},
  [8432] = {.lex_state = 89},
  [8433] = {.lex_state = 89},
  [8434] = {.lex_state = 89},
  [8435] = {.lex_state = 89},
  [8436] = {.lex_state = 96},
  [8437] = {.lex_state = 89},
  [8438] = {.lex_state = 89},
  [8439] = {.lex_state = 89},
  [8440] = {.lex_state = 89},
  [8441] = {.lex_state = 95},
  [8442] = {.lex_state = 89},
  [8443] = {.lex_state = 89},
  [8444] = {.lex_state = 95},
  [8445] = {.lex_state = 89},
  [8446] = {.lex_state = 95},
  [8447] = {.lex_state = 95},
  [8448] = {.lex_state = 95},
  [8449] = {.lex_state = 95},
  [8450] = {.lex_state = 95},
  [8451] = {.lex_state = 89},
  [8452] = {.lex_state = 95},
  [8453] = {.lex_state = 95},
  [8454] = {.lex_state = 95},
  [8455] = {.lex_state = 89},
  [8456] = {.lex_state = 89},
  [8457] = {.lex_state = 89},
  [8458] = {.lex_state = 89},
  [8459] = {.lex_state = 89},
  [8460] = {.lex_state = 89},
  [8461] = {.lex_state = 89},
  [8462] = {.lex_state = 89},
  [8463] = {.lex_state = 89},
  [8464] = {.lex_state = 89},
  [8465] = {.lex_state = 89},
  [8466] = {.lex_state = 89},
  [8467] = {.lex_state = 89},
  [8468] = {.lex_state = 89},
  [8469] = {.lex_state = 89},
  [8470] = {.lex_state = 89},
  [8471] = {.lex_state = 89},
  [8472] = {.lex_state = 89},
  [8473] = {.lex_state = 89},
  [8474] = {.lex_state = 89},
  [8475] = {.lex_state = 89},
  [8476] = {.lex_state = 89},
  [8477] = {.lex_state = 89},
  [8478] = {.lex_state = 89},
  [8479] = {.lex_state = 89},
  [8480] = {.lex_state = 89},
  [8481] = {.lex_state = 89},
  [8482] = {.lex_state = 89},
  [8483] = {.lex_state = 89},
  [8484] = {.lex_state = 89},
  [8485] = {.lex_state = 89},
  [8486] = {.lex_state = 89},
  [8487] = {.lex_state = 89},
  [8488] = {.lex_state = 89},
  [8489] = {.lex_state = 89},
  [8490] = {.lex_state = 89},
  [8491] = {.lex_state = 89},
  [8492] = {.lex_state = 89},
  [8493] = {.lex_state = 89},
  [8494] = {.lex_state = 89},
  [8495] = {.lex_state = 89},
  [8496] = {.lex_state = 89},
  [8497] = {.lex_state = 89},
  [8498] = {.lex_state = 89},
  [8499] = {.lex_state = 89},
  [8500] = {.lex_state = 89},
  [8501] = {.lex_state = 89},
  [8502] = {.lex_state = 89},
  [8503] = {.lex_state = 89},
  [8504] = {.lex_state = 89},
  [8505] = {.lex_state = 89},
  [8506] = {.lex_state = 89},
  [8507] = {.lex_state = 89},
  [8508] = {.lex_state = 89},
  [8509] = {.lex_state = 89},
  [8510] = {.lex_state = 89},
  [8511] = {.lex_state = 89},
  [8512] = {.lex_state = 89},
  [8513] = {.lex_state = 89},
  [8514] = {.lex_state = 89},
  [8515] = {.lex_state = 89},
  [8516] = {.lex_state = 89},
  [8517] = {.lex_state = 95},
  [8518] = {.lex_state = 89},
  [8519] = {.lex_state = 89},
  [8520] = {.lex_state = 89},
  [8521] = {.lex_state = 95},
  [8522] = {.lex_state = 95},
  [8523] = {.lex_state = 89},
  [8524] = {.lex_state = 95},
  [8525] = {.lex_state = 95},
  [8526] = {.lex_state = 89},
  [8527] = {.lex_state = 95},
  [8528] = {.lex_state = 95},
  [8529] = {.lex_state = 95},
  [8530] = {.lex_state = 89},
  [8531] = {.lex_state = 89},
  [8532] = {.lex_state = 89},
  [8533] = {.lex_state = 89},
  [8534] = {.lex_state = 89},
  [8535] = {.lex_state = 95},
  [8536] = {.lex_state = 95},
  [8537] = {.lex_state = 95},
  [8538] = {.lex_state = 95},
  [8539] = {.lex_state = 95},
  [8540] = {.lex_state = 89},
  [8541] = {.lex_state = 89},
  [8542] = {.lex_state = 95},
  [8543] = {.lex_state = 89},
  [8544] = {.lex_state = 89},
  [8545] = {.lex_state = 89},
  [8546] = {.lex_state = 89},
  [8547] = {.lex_state = 89},
  [8548] = {.lex_state = 89, .external_lex_state = 2},
  [8549] = {.lex_state = 89},
  [8550] = {.lex_state = 89},
  [8551] = {.lex_state = 89},
  [8552] = {.lex_state = 92},
  [8553] = {.lex_state = 95},
  [8554] = {.lex_state = 89},
  [8555] = {.lex_state = 89},
  [8556] = {.lex_state = 89},
  [8557] = {.lex_state = 89},
  [8558] = {.lex_state = 89},
  [8559] = {.lex_state = 89},
  [8560] = {.lex_state = 89},
  [8561] = {.lex_state = 89},
  [8562] = {.lex_state = 96},
  [8563] = {.lex_state = 89},
  [8564] = {.lex_state = 89},
  [8565] = {.lex_state = 95},
  [8566] = {.lex_state = 89},
  [8567] = {.lex_state = 89},
  [8568] = {.lex_state = 89},
  [8569] = {.lex_state = 89},
  [8570] = {.lex_state = 89},
  [8571] = {.lex_state = 89},
  [8572] = {.lex_state = 95},
  [8573] = {.lex_state = 89},
  [8574] = {.lex_state = 89},
  [8575] = {.lex_state = 89},
  [8576] = {.lex_state = 89},
  [8577] = {.lex_state = 89},
  [8578] = {.lex_state = 89},
  [8579] = {.lex_state = 89},
  [8580] = {.lex_state = 89},
  [8581] = {.lex_state = 89},
  [8582] = {.lex_state = 89},
  [8583] = {.lex_state = 89},
  [8584] = {.lex_state = 89},
  [8585] = {.lex_state = 89},
  [8586] = {.lex_state = 89},
  [8587] = {.lex_state = 89},
  [8588] = {.lex_state = 89},
  [8589] = {.lex_state = 89},
  [8590] = {.lex_state = 89},
  [8591] = {.lex_state = 83},
  [8592] = {.lex_state = 89},
  [8593] = {.lex_state = 89},
  [8594] = {.lex_state = 89},
  [8595] = {.lex_state = 83},
  [8596] = {.lex_state = 92},
  [8597] = {.lex_state = 89},
  [8598] = {.lex_state = 95},
  [8599] = {.lex_state = 89},
  [8600] = {.lex_state = 89},
  [8601] = {.lex_state = 89},
  [8602] = {.lex_state = 89},
  [8603] = {.lex_state = 89},
  [8604] = {.lex_state = 89},
  [8605] = {.lex_state = 89},
  [8606] = {.lex_state = 89},
  [8607] = {.lex_state = 89},
  [8608] = {.lex_state = 95},
  [8609] = {.lex_state = 89},
  [8610] = {.lex_state = 95},
  [8611] = {.lex_state = 89},
  [8612] = {.lex_state = 95},
  [8613] = {.lex_state = 95},
  [8614] = {.lex_state = 89},
  [8615] = {.lex_state = 95},
  [8616] = {.lex_state = 95},
  [8617] = {.lex_state = 96},
  [8618] = {.lex_state = 95},
  [8619] = {.lex_state = 95},
  [8620] = {.lex_state = 95},
  [8621] = {.lex_state = 95},
  [8622] = {.lex_state = 89},
  [8623] = {.lex_state = 95},
  [8624] = {.lex_state = 95},
  [8625] = {.lex_state = 89, .external_lex_state = 2},
  [8626] = {.lex_state = 95},
  [8627] = {.lex_state = 89},
  [8628] = {.lex_state = 95},
  [8629] = {.lex_state = 95},
  [8630] = {.lex_state = 95},
  [8631] = {.lex_state = 89},
  [8632] = {.lex_state = 95},
  [8633] = {.lex_state = 89},
  [8634] = {.lex_state = 89},
  [8635] = {.lex_state = 89},
  [8636] = {.lex_state = 89},
  [8637] = {.lex_state = 95},
  [8638] = {.lex_state = 89},
  [8639] = {.lex_state = 89},
  [8640] = {.lex_state = 89},
  [8641] = {.lex_state = 89},
  [8642] = {.lex_state = 89},
  [8643] = {.lex_state = 89},
  [8644] = {.lex_state = 95},
  [8645] = {.lex_state = 89},
  [8646] = {.lex_state = 89},
  [8647] = {.lex_state = 89},
  [8648] = {.lex_state = 89},
  [8649] = {.lex_state = 89},
  [8650] = {.lex_state = 89},
  [8651] = {.lex_state = 89},
  [8652] = {.lex_state = 89},
  [8653] = {.lex_state = 89},
  [8654] = {.lex_state = 89},
  [8655] = {.lex_state = 89},
  [8656] = {.lex_state = 89},
  [8657] = {.lex_state = 89},
  [8658] = {.lex_state = 89},
  [8659] = {.lex_state = 89},
  [8660] = {.lex_state = 89},
  [8661] = {.lex_state = 89},
  [8662] = {.lex_state = 89},
  [8663] = {.lex_state = 89},
  [8664] = {.lex_state = 95},
  [8665] = {.lex_state = 89},
  [8666] = {.lex_state = 89},
  [8667] = {.lex_state = 89},
  [8668] = {.lex_state = 89},
  [8669] = {.lex_state = 95},
  [8670] = {.lex_state = 95},
  [8671] = {.lex_state = 89},
  [8672] = {.lex_state = 89},
  [8673] = {.lex_state = 89},
  [8674] = {.lex_state = 89},
  [8675] = {.lex_state = 89},
  [8676] = {.lex_state = 89},
  [8677] = {.lex_state = 89},
  [8678] = {.lex_state = 89},
  [8679] = {.lex_state = 89},
  [8680] = {.lex_state = 89},
  [8681] = {.lex_state = 89},
  [8682] = {.lex_state = 89},
  [8683] = {.lex_state = 89},
  [8684] = {.lex_state = 89},
  [8685] = {.lex_state = 89},
  [8686] = {.lex_state = 89},
  [8687] = {.lex_state = 89},
  [8688] = {.lex_state = 89},
  [8689] = {.lex_state = 89},
  [8690] = {.lex_state = 89},
  [8691] = {.lex_state = 89},
  [8692] = {.lex_state = 89},
  [8693] = {.lex_state = 89},
  [8694] = {.lex_state = 89},
  [8695] = {.lex_state = 89},
  [8696] = {.lex_state = 89},
  [8697] = {.lex_state = 89},
  [8698] = {.lex_state = 89},
  [8699] = {.lex_state = 89},
  [8700] = {.lex_state = 89},
  [8701] = {.lex_state = 89},
  [8702] = {.lex_state = 89},
  [8703] = {.lex_state = 89},
  [8704] = {.lex_state = 89},
  [8705] = {.lex_state = 89},
  [8706] = {.lex_state = 89},
  [8707] = {.lex_state = 95},
  [8708] = {.lex_state = 89},
  [8709] = {.lex_state = 95},
  [8710] = {.lex_state = 89},
  [8711] = {.lex_state = 89},
  [8712] = {.lex_state = 89},
  [8713] = {.lex_state = 89},
  [8714] = {.lex_state = 89},
  [8715] = {.lex_state = 89},
  [8716] = {.lex_state = 89},
  [8717] = {.lex_state = 89},
  [8718] = {.lex_state = 89},
  [8719] = {.lex_state = 89},
  [8720] = {.lex_state = 89},
  [8721] = {.lex_state = 89},
  [8722] = {.lex_state = 89},
  [8723] = {.lex_state = 95},
  [8724] = {.lex_state = 89},
  [8725] = {.lex_state = 89},
  [8726] = {.lex_state = 89},
  [8727] = {.lex_state = 89},
  [8728] = {.lex_state = 89},
  [8729] = {.lex_state = 89},
  [8730] = {.lex_state = 89},
  [8731] = {.lex_state = 89},
  [8732] = {.lex_state = 89},
  [8733] = {.lex_state = 89},
  [8734] = {.lex_state = 89},
  [8735] = {.lex_state = 89},
  [8736] = {.lex_state = 89},
  [8737] = {.lex_state = 89},
  [8738] = {.lex_state = 89},
  [8739] = {.lex_state = 89},
  [8740] = {.lex_state = 89},
  [8741] = {.lex_state = 89},
  [8742] = {.lex_state = 95},
  [8743] = {.lex_state = 89},
  [8744] = {.lex_state = 89},
  [8745] = {.lex_state = 95},
  [8746] = {.lex_state = 95},
  [8747] = {.lex_state = 89},
  [8748] = {.lex_state = 95},
  [8749] = {.lex_state = 92},
  [8750] = {.lex_state = 92},
  [8751] = {.lex_state = 89},
  [8752] = {.lex_state = 95},
  [8753] = {.lex_state = 89},
  [8754] = {.lex_state = 95},
  [8755] = {.lex_state = 89},
  [8756] = {.lex_state = 89},
  [8757] = {.lex_state = 92},
  [8758] = {.lex_state = 89},
  [8759] = {.lex_state = 95},
  [8760] = {.lex_state = 89},
  [8761] = {.lex_state = 89},
  [8762] = {.lex_state = 92},
  [8763] = {.lex_state = 92},
  [8764] = {.lex_state = 92},
  [8765] = {.lex_state = 92},
  [8766] = {.lex_state = 95},
  [8767] = {.lex_state = 92},
  [8768] = {.lex_state = 92},
  [8769] = {.lex_state = 92},
  [8770] = {.lex_state = 92},
  [8771] = {.lex_state = 92},
  [8772] = {.lex_state = 95},
  [8773] = {.lex_state = 84},
  [8774] = {.lex_state = 92},
  [8775] = {.lex_state = 92},
  [8776] = {.lex_state = 89},
  [8777] = {.lex_state = 89},
  [8778] = {.lex_state = 92},
  [8779] = {.lex_state = 92},
  [8780] = {.lex_state = 92},
  [8781] = {.lex_state = 92},
  [8782] = {.lex_state = 92},
  [8783] = {.lex_state = 92},
  [8784] = {.lex_state = 92},
  [8785] = {.lex_state = 92},
  [8786] = {.lex_state = 89},
  [8787] = {.lex_state = 89},
  [8788] = {.lex_state = 84},
  [8789] = {.lex_state = 92},
  [8790] = {.lex_state = 95},
  [8791] = {.lex_state = 92},
  [8792] = {.lex_state = 96},
  [8793] = {.lex_state = 92},
  [8794] = {.lex_state = 92},
  [8795] = {.lex_state = 89},
  [8796] = {.lex_state = 92},
  [8797] = {.lex_state = 92},
  [8798] = {.lex_state = 92},
  [8799] = {.lex_state = 95},
  [8800] = {.lex_state = 92},
  [8801] = {.lex_state = 89},
  [8802] = {.lex_state = 92},
  [8803] = {.lex_state = 89},
  [8804] = {.lex_state = 95},
  [8805] = {.lex_state = 92},
  [8806] = {.lex_state = 92},
  [8807] = {.lex_state = 92},
  [8808] = {.lex_state = 92},
  [8809] = {.lex_state = 92},
  [8810] = {.lex_state = 89},
  [8811] = {.lex_state = 92},
  [8812] = {.lex_state = 89},
  [8813] = {.lex_state = 92},
  [8814] = {.lex_state = 92},
  [8815] = {.lex_state = 95},
  [8816] = {.lex_state = 89},
  [8817] = {.lex_state = 92},
  [8818] = {.lex_state = 92},
  [8819] = {.lex_state = 89},
  [8820] = {.lex_state = 89},
  [8821] = {.lex_state = 92},
  [8822] = {.lex_state = 92},
  [8823] = {.lex_state = 92},
  [8824] = {.lex_state = 89},
  [8825] = {.lex_state = 92},
  [8826] = {.lex_state = 89},
  [8827] = {.lex_state = 89},
  [8828] = {.lex_state = 89},
  [8829] = {.lex_state = 89},
  [8830] = {.lex_state = 89},
  [8831] = {.lex_state = 89},
  [8832] = {.lex_state = 92},
  [8833] = {.lex_state = 89},
  [8834] = {.lex_state = 89},
  [8835] = {.lex_state = 89},
  [8836] = {.lex_state = 89},
  [8837] = {.lex_state = 89},
  [8838] = {.lex_state = 89},
  [8839] = {.lex_state = 89},
  [8840] = {.lex_state = 89},
  [8841] = {.lex_state = 89},
  [8842] = {.lex_state = 89},
  [8843] = {.lex_state = 89},
  [8844] = {.lex_state = 89},
  [8845] = {.lex_state = 89},
  [8846] = {.lex_state = 89},
  [8847] = {.lex_state = 89},
  [8848] = {.lex_state = 89},
  [8849] = {.lex_state = 89},
  [8850] = {.lex_state = 89},
  [8851] = {.lex_state = 89},
  [8852] = {.lex_state = 89},
  [8853] = {.lex_state = 89},
  [8854] = {.lex_state = 89},
  [8855] = {.lex_state = 89},
  [8856] = {.lex_state = 89},
  [8857] = {.lex_state = 89},
  [8858] = {.lex_state = 89},
  [8859] = {.lex_state = 89},
  [8860] = {.lex_state = 89},
  [8861] = {.lex_state = 89},
  [8862] = {.lex_state = 89},
  [8863] = {.lex_state = 89},
  [8864] = {.lex_state = 92},
  [8865] = {.lex_state = 89},
  [8866] = {.lex_state = 88},
  [8867] = {.lex_state = 89},
  [8868] = {.lex_state = 89},
  [8869] = {.lex_state = 89},
  [8870] = {.lex_state = 89},
  [8871] = {.lex_state = 89},
  [8872] = {.lex_state = 89},
  [8873] = {.lex_state = 89},
  [8874] = {.lex_state = 89},
  [8875] = {.lex_state = 92},
  [8876] = {.lex_state = 89},
  [8877] = {.lex_state = 92},
  [8878] = {.lex_state = 89},
  [8879] = {.lex_state = 89},
  [8880] = {.lex_state = 89},
  [8881] = {.lex_state = 89},
  [8882] = {.lex_state = 89},
  [8883] = {.lex_state = 89},
  [8884] = {.lex_state = 89},
  [8885] = {.lex_state = 89},
  [8886] = {.lex_state = 92},
  [8887] = {.lex_state = 89},
  [8888] = {.lex_state = 89},
  [8889] = {.lex_state = 92},
  [8890] = {.lex_state = 89},
  [8891] = {.lex_state = 89},
  [8892] = {.lex_state = 89},
  [8893] = {.lex_state = 89},
  [8894] = {.lex_state = 89},
  [8895] = {.lex_state = 89},
  [8896] = {.lex_state = 89},
  [8897] = {.lex_state = 92},
  [8898] = {.lex_state = 89},
  [8899] = {.lex_state = 89},
  [8900] = {.lex_state = 89},
  [8901] = {.lex_state = 92},
  [8902] = {.lex_state = 89},
  [8903] = {.lex_state = 89},
  [8904] = {.lex_state = 89},
  [8905] = {.lex_state = 89},
  [8906] = {.lex_state = 89},
  [8907] = {.lex_state = 89},
  [8908] = {.lex_state = 89},
  [8909] = {.lex_state = 89},
  [8910] = {.lex_state = 89},
  [8911] = {.lex_state = 89},
  [8912] = {.lex_state = 92},
  [8913] = {.lex_state = 92},
  [8914] = {.lex_state = 89},
  [8915] = {.lex_state = 89},
  [8916] = {.lex_state = 89},
  [8917] = {.lex_state = 92},
  [8918] = {.lex_state = 92},
  [8919] = {.lex_state = 89},
  [8920] = {.lex_state = 92},
  [8921] = {.lex_state = 89},
  [8922] = {.lex_state = 89},
  [8923] = {.lex_state = 89},
  [8924] = {.lex_state = 92},
  [8925] = {.lex_state = 89},
  [8926] = {.lex_state = 89},
  [8927] = {.lex_state = 89},
  [8928] = {.lex_state = 89},
  [8929] = {.lex_state = 89},
  [8930] = {.lex_state = 92},
  [8931] = {.lex_state = 89},
  [8932] = {.lex_state = 89},
  [8933] = {.lex_state = 89},
  [8934] = {.lex_state = 89},
  [8935] = {.lex_state = 92},
  [8936] = {.lex_state = 89},
  [8937] = {.lex_state = 89},
  [8938] = {.lex_state = 89},
  [8939] = {.lex_state = 89},
  [8940] = {.lex_state = 89},
  [8941] = {.lex_state = 89},
  [8942] = {.lex_state = 92},
  [8943] = {.lex_state = 89},
  [8944] = {.lex_state = 92},
  [8945] = {.lex_state = 89},
  [8946] = {.lex_state = 89},
  [8947] = {.lex_state = 92},
  [8948] = {.lex_state = 89},
  [8949] = {.lex_state = 89},
  [8950] = {.lex_state = 92},
  [8951] = {.lex_state = 89},
  [8952] = {.lex_state = 92},
  [8953] = {.lex_state = 92},
  [8954] = {.lex_state = 89},
  [8955] = {.lex_state = 89},
  [8956] = {.lex_state = 92},
  [8957] = {.lex_state = 89},
  [8958] = {.lex_state = 89},
  [8959] = {.lex_state = 89},
  [8960] = {.lex_state = 92},
  [8961] = {.lex_state = 92},
  [8962] = {.lex_state = 92},
  [8963] = {.lex_state = 89},
  [8964] = {.lex_state = 89},
  [8965] = {.lex_state = 92},
  [8966] = {.lex_state = 92},
  [8967] = {.lex_state = 89},
  [8968] = {.lex_state = 89},
  [8969] = {.lex_state = 89},
  [8970] = {.lex_state = 89},
  [8971] = {.lex_state = 92},
  [8972] = {.lex_state = 89},
  [8973] = {.lex_state = 89},
  [8974] = {.lex_state = 89},
  [8975] = {.lex_state = 92},
  [8976] = {.lex_state = 89},
  [8977] = {.lex_state = 92},
  [8978] = {.lex_state = 89},
  [8979] = {.lex_state = 92},
  [8980] = {.lex_state = 92},
  [8981] = {.lex_state = 92},
  [8982] = {.lex_state = 92},
  [8983] = {.lex_state = 92},
  [8984] = {.lex_state = 89},
  [8985] = {.lex_state = 91},
  [8986] = {.lex_state = 92},
  [8987] = {.lex_state = 92},
  [8988] = {.lex_state = 89},
  [8989] = {.lex_state = 92},
  [8990] = {.lex_state = 92},
  [8991] = {.lex_state = 89},
  [8992] = {.lex_state = 95},
  [8993] = {.lex_state = 92},
  [8994] = {.lex_state = 92},
  [8995] = {.lex_state = 92},
  [8996] = {.lex_state = 92},
  [8997] = {.lex_state = 89},
  [8998] = {.lex_state = 92},
  [8999] = {.lex_state = 89},
  [9000] = {.lex_state = 92},
  [9001] = {.lex_state = 92},
  [9002] = {.lex_state = 92},
  [9003] = {.lex_state = 95},
  [9004] = {.lex_state = 89},
  [9005] = {.lex_state = 92},
  [9006] = {.lex_state = 92},
  [9007] = {.lex_state = 92},
  [9008] = {.lex_state = 92},
  [9009] = {.lex_state = 89},
  [9010] = {.lex_state = 92},
  [9011] = {.lex_state = 92},
  [9012] = {.lex_state = 92},
  [9013] = {.lex_state = 92},
  [9014] = {.lex_state = 92},
  [9015] = {.lex_state = 95},
  [9016] = {.lex_state = 92},
  [9017] = {.lex_state = 89},
  [9018] = {.lex_state = 92},
  [9019] = {.lex_state = 89},
  [9020] = {.lex_state = 89},
  [9021] = {.lex_state = 92},
  [9022] = {.lex_state = 92},
  [9023] = {.lex_state = 92},
  [9024] = {.lex_state = 92},
  [9025] = {.lex_state = 92},
  [9026] = {.lex_state = 92},
  [9027] = {.lex_state = 92},
  [9028] = {.lex_state = 92},
  [9029] = {.lex_state = 92},
  [9030] = {.lex_state = 92},
  [9031] = {.lex_state = 89},
  [9032] = {.lex_state = 92},
  [9033] = {.lex_state = 92},
  [9034] = {.lex_state = 92},
  [9035] = {.lex_state = 92},
  [9036] = {.lex_state = 92},
  [9037] = {.lex_state = 92},
  [9038] = {.lex_state = 95},
  [9039] = {.lex_state = 92},
  [9040] = {.lex_state = 89},
  [9041] = {.lex_state = 92},
  [9042] = {.lex_state = 92},
  [9043] = {.lex_state = 92},
  [9044] = {.lex_state = 92},
  [9045] = {.lex_state = 92},
  [9046] = {.lex_state = 92},
  [9047] = {.lex_state = 92},
  [9048] = {.lex_state = 96},
  [9049] = {.lex_state = 89},
  [9050] = {.lex_state = 92},
  [9051] = {.lex_state = 95},
  [9052] = {.lex_state = 89},
  [9053] = {.lex_state = 92},
  [9054] = {.lex_state = 89},
  [9055] = {.lex_state = 88},
  [9056] = {.lex_state = 89},
  [9057] = {.lex_state = 88},
  [9058] = {.lex_state = 88},
  [9059] = {.lex_state = 88},
  [9060] = {.lex_state = 88},
  [9061] = {.lex_state = 88},
  [9062] = {.lex_state = 88},
  [9063] = {.lex_state = 89},
  [9064] = {.lex_state = 88},
  [9065] = {.lex_state = 89},
  [9066] = {.lex_state = 88},
  [9067] = {.lex_state = 88},
  [9068] = {.lex_state = 89},
  [9069] = {.lex_state = 89},
  [9070] = {.lex_state = 89},
  [9071] = {.lex_state = 89},
  [9072] = {.lex_state = 89},
  [9073] = {.lex_state = 89},
  [9074] = {.lex_state = 89},
  [9075] = {.lex_state = 89},
  [9076] = {.lex_state = 89},
  [9077] = {.lex_state = 88},
  [9078] = {.lex_state = 89},
  [9079] = {.lex_state = 89},
  [9080] = {.lex_state = 89},
  [9081] = {.lex_state = 89},
  [9082] = {.lex_state = 88},
  [9083] = {.lex_state = 89},
  [9084] = {.lex_state = 88},
  [9085] = {.lex_state = 89},
  [9086] = {.lex_state = 89},
  [9087] = {.lex_state = 89},
  [9088] = {.lex_state = 89},
  [9089] = {.lex_state = 89},
  [9090] = {.lex_state = 88},
  [9091] = {.lex_state = 89},
  [9092] = {.lex_state = 89},
  [9093] = {.lex_state = 89},
  [9094] = {.lex_state = 89},
  [9095] = {.lex_state = 89},
  [9096] = {.lex_state = 88},
  [9097] = {.lex_state = 89},
  [9098] = {.lex_state = 89},
  [9099] = {.lex_state = 89},
  [9100] = {.lex_state = 89},
  [9101] = {.lex_state = 89},
  [9102] = {.lex_state = 88},
  [9103] = {.lex_state = 89},
  [9104] = {.lex_state = 88},
  [9105] = {.lex_state = 89},
  [9106] = {.lex_state = 88},
  [9107] = {.lex_state = 89},
  [9108] = {.lex_state = 98},
  [9109] = {.lex_state = 88},
  [9110] = {.lex_state = 89},
  [9111] = {.lex_state = 88},
  [9112] = {.lex_state = 89},
  [9113] = {.lex_state = 89},
  [9114] = {.lex_state = 89},
  [9115] = {.lex_state = 89},
  [9116] = {.lex_state = 89},
  [9117] = {.lex_state = 89},
  [9118] = {.lex_state = 88},
  [9119] = {.lex_state = 88},
  [9120] = {.lex_state = 89},
  [9121] = {.lex_state = 89},
  [9122] = {.lex_state = 89},
  [9123] = {.lex_state = 88},
  [9124] = {.lex_state = 89},
  [9125] = {.lex_state = 89},
  [9126] = {.lex_state = 88},
  [9127] = {.lex_state = 89},
  [9128] = {.lex_state = 89},
  [9129] = {.lex_state = 89},
  [9130] = {.lex_state = 89},
  [9131] = {.lex_state = 89},
  [9132] = {.lex_state = 89},
  [9133] = {.lex_state = 88},
  [9134] = {.lex_state = 89},
  [9135] = {.lex_state = 98},
  [9136] = {.lex_state = 89},
  [9137] = {.lex_state = 89},
  [9138] = {.lex_state = 89},
  [9139] = {.lex_state = 98},
  [9140] = {.lex_state = 88},
  [9141] = {.lex_state = 89},
  [9142] = {.lex_state = 88},
  [9143] = {.lex_state = 89},
  [9144] = {.lex_state = 89},
  [9145] = {.lex_state = 89},
  [9146] = {.lex_state = 89},
  [9147] = {.lex_state = 89},
  [9148] = {.lex_state = 88},
  [9149] = {.lex_state = 89},
  [9150] = {.lex_state = 88},
  [9151] = {.lex_state = 89},
  [9152] = {.lex_state = 88},
  [9153] = {.lex_state = 88},
  [9154] = {.lex_state = 89},
  [9155] = {.lex_state = 88},
  [9156] = {.lex_state = 89},
  [9157] = {.lex_state = 89},
  [9158] = {.lex_state = 88},
  [9159] = {.lex_state = 88},
  [9160] = {.lex_state = 89},
  [9161] = {.lex_state = 89},
  [9162] = {.lex_state = 89},
  [9163] = {.lex_state = 89},
  [9164] = {.lex_state = 88},
  [9165] = {.lex_state = 89},
  [9166] = {.lex_state = 89},
  [9167] = {.lex_state = 89},
  [9168] = {.lex_state = 98},
  [9169] = {.lex_state = 88},
  [9170] = {.lex_state = 89},
  [9171] = {.lex_state = 89},
  [9172] = {.lex_state = 89},
  [9173] = {.lex_state = 89},
  [9174] = {.lex_state = 88},
  [9175] = {.lex_state = 89},
  [9176] = {.lex_state = 89},
  [9177] = {.lex_state = 88},
  [9178] = {.lex_state = 89},
  [9179] = {.lex_state = 89},
  [9180] = {.lex_state = 89},
  [9181] = {.lex_state = 88},
  [9182] = {.lex_state = 89},
  [9183] = {.lex_state = 89},
  [9184] = {.lex_state = 89},
  [9185] = {.lex_state = 89},
  [9186] = {.lex_state = 89},
  [9187] = {.lex_state = 89},
  [9188] = {.lex_state = 89},
  [9189] = {.lex_state = 88},
  [9190] = {.lex_state = 89},
  [9191] = {.lex_state = 88},
  [9192] = {.lex_state = 89},
  [9193] = {.lex_state = 89},
  [9194] = {.lex_state = 89},
  [9195] = {.lex_state = 89},
  [9196] = {.lex_state = 89},
  [9197] = {.lex_state = 89},
  [9198] = {.lex_state = 88},
  [9199] = {.lex_state = 89},
  [9200] = {.lex_state = 88},
  [9201] = {.lex_state = 88},
  [9202] = {.lex_state = 89},
  [9203] = {.lex_state = 88},
  [9204] = {.lex_state = 88},
  [9205] = {.lex_state = 89},
  [9206] = {.lex_state = 89},
  [9207] = {.lex_state = 88},
  [9208] = {.lex_state = 88},
  [9209] = {.lex_state = 89},
  [9210] = {.lex_state = 88},
  [9211] = {.lex_state = 88},
  [9212] = {.lex_state = 88},
  [9213] = {.lex_state = 88},
  [9214] = {.lex_state = 89},
  [9215] = {.lex_state = 88},
  [9216] = {.lex_state = 88},
  [9217] = {.lex_state = 88},
  [9218] = {.lex_state = 89},
  [9219] = {.lex_state = 88},
  [9220] = {.lex_state = 89},
  [9221] = {.lex_state = 88},
  [9222] = {.lex_state = 89},
  [9223] = {.lex_state = 88},
  [9224] = {.lex_state = 89},
  [9225] = {.lex_state = 89},
  [9226] = {.lex_state = 88},
  [9227] = {.lex_state = 89},
  [9228] = {.lex_state = 88},
  [9229] = {.lex_state = 89},
  [9230] = {.lex_state = 89},
  [9231] = {.lex_state = 89},
  [9232] = {.lex_state = 88},
  [9233] = {.lex_state = 89},
  [9234] = {.lex_state = 88},
  [9235] = {.lex_state = 89},
  [9236] = {.lex_state = 89},
  [9237] = {.lex_state = 89},
  [9238] = {.lex_state = 89},
  [9239] = {.lex_state = 89},
  [9240] = {.lex_state = 89},
  [9241] = {.lex_state = 89},
  [9242] = {.lex_state = 89},
  [9243] = {.lex_state = 89},
  [9244] = {.lex_state = 88},
  [9245] = {.lex_state = 88},
  [9246] = {.lex_state = 89},
  [9247] = {.lex_state = 88},
  [9248] = {.lex_state = 88},
  [9249] = {.lex_state = 88},
  [9250] = {.lex_state = 89},
  [9251] = {.lex_state = 89},
  [9252] = {.lex_state = 89},
  [9253] = {.lex_state = 89},
  [9254] = {.lex_state = 88},
  [9255] = {.lex_state = 89},
  [9256] = {.lex_state = 89},
  [9257] = {.lex_state = 89},
  [9258] = {.lex_state = 89},
  [9259] = {.lex_state = 89},
  [9260] = {.lex_state = 89},
  [9261] = {.lex_state = 88},
  [9262] = {.lex_state = 89},
  [9263] = {.lex_state = 89},
  [9264] = {.lex_state = 88},
  [9265] = {.lex_state = 89},
  [9266] = {.lex_state = 89},
  [9267] = {.lex_state = 89},
  [9268] = {.lex_state = 89},
  [9269] = {.lex_state = 89},
  [9270] = {.lex_state = 89},
  [9271] = {.lex_state = 89},
  [9272] = {.lex_state = 88},
  [9273] = {.lex_state = 88},
  [9274] = {.lex_state = 89},
  [9275] = {.lex_state = 89},
  [9276] = {.lex_state = 89},
  [9277] = {.lex_state = 89},
  [9278] = {.lex_state = 88},
  [9279] = {.lex_state = 89},
  [9280] = {.lex_state = 89},
  [9281] = {.lex_state = 89},
  [9282] = {.lex_state = 89},
  [9283] = {.lex_state = 88},
  [9284] = {.lex_state = 89},
  [9285] = {.lex_state = 89},
  [9286] = {.lex_state = 88},
  [9287] = {.lex_state = 88},
  [9288] = {.lex_state = 89},
  [9289] = {.lex_state = 88},
  [9290] = {.lex_state = 88},
  [9291] = {.lex_state = 88},
  [9292] = {.lex_state = 88},
  [9293] = {.lex_state = 89},
  [9294] = {.lex_state = 88},
  [9295] = {.lex_state = 89},
  [9296] = {.lex_state = 88},
  [9297] = {.lex_state = 89},
  [9298] = {.lex_state = 88},
  [9299] = {.lex_state = 89},
  [9300] = {.lex_state = 88},
  [9301] = {.lex_state = 89},
  [9302] = {.lex_state = 89},
  [9303] = {.lex_state = 89},
  [9304] = {.lex_state = 89},
  [9305] = {.lex_state = 89},
  [9306] = {.lex_state = 89},
  [9307] = {.lex_state = 89},
  [9308] = {.lex_state = 89},
  [9309] = {.lex_state = 88},
  [9310] = {.lex_state = 89},
  [9311] = {.lex_state = 88},
  [9312] = {.lex_state = 89},
  [9313] = {.lex_state = 88},
  [9314] = {.lex_state = 89},
  [9315] = {.lex_state = 88},
  [9316] = {.lex_state = 89},
  [9317] = {.lex_state = 89},
  [9318] = {.lex_state = 89},
  [9319] = {.lex_state = 89},
  [9320] = {.lex_state = 89},
  [9321] = {.lex_state = 89},
  [9322] = {.lex_state = 89},
  [9323] = {.lex_state = 89},
  [9324] = {.lex_state = 89},
  [9325] = {.lex_state = 89},
  [9326] = {.lex_state = 89},
  [9327] = {.lex_state = 89},
  [9328] = {.lex_state = 89},
  [9329] = {.lex_state = 98},
  [9330] = {.lex_state = 89},
  [9331] = {.lex_state = 89},
  [9332] = {.lex_state = 89},
  [9333] = {.lex_state = 89},
  [9334] = {.lex_state = 89},
  [9335] = {.lex_state = 89},
  [9336] = {.lex_state = 89},
  [9337] = {.lex_state = 89},
  [9338] = {.lex_state = 89},
  [9339] = {.lex_state = 89},
  [9340] = {.lex_state = 89},
  [9341] = {.lex_state = 89},
  [9342] = {.lex_state = 89},
  [9343] = {.lex_state = 89},
  [9344] = {.lex_state = 89},
  [9345] = {.lex_state = 88},
  [9346] = {.lex_state = 92},
  [9347] = {.lex_state = 89},
  [9348] = {.lex_state = 89},
  [9349] = {.lex_state = 89},
  [9350] = {.lex_state = 89},
  [9351] = {.lex_state = 89},
  [9352] = {.lex_state = 89},
  [9353] = {.lex_state = 89},
  [9354] = {.lex_state = 89},
  [9355] = {.lex_state = 89},
  [9356] = {.lex_state = 89},
  [9357] = {.lex_state = 89},
  [9358] = {.lex_state = 89},
  [9359] = {.lex_state = 89},
  [9360] = {.lex_state = 89},
  [9361] = {.lex_state = 89},
  [9362] = {.lex_state = 89},
  [9363] = {.lex_state = 89},
  [9364] = {.lex_state = 89},
  [9365] = {.lex_state = 89},
  [9366] = {.lex_state = 89},
  [9367] = {.lex_state = 89},
  [9368] = {.lex_state = 89},
  [9369] = {.lex_state = 89},
  [9370] = {.lex_state = 89},
  [9371] = {.lex_state = 89},
  [9372] = {.lex_state = 89},
  [9373] = {.lex_state = 89},
  [9374] = {.lex_state = 89},
  [9375] = {.lex_state = 89},
  [9376] = {.lex_state = 89},
  [9377] = {.lex_state = 89},
  [9378] = {.lex_state = 89},
  [9379] = {.lex_state = 89},
  [9380] = {.lex_state = 89},
  [9381] = {.lex_state = 89},
  [9382] = {.lex_state = 89},
  [9383] = {.lex_state = 89},
  [9384] = {.lex_state = 89},
  [9385] = {.lex_state = 89},
  [9386] = {.lex_state = 89},
  [9387] = {.lex_state = 89},
  [9388] = {.lex_state = 89},
  [9389] = {.lex_state = 89},
  [9390] = {.lex_state = 89},
  [9391] = {.lex_state = 89},
  [9392] = {.lex_state = 89},
  [9393] = {.lex_state = 89},
  [9394] = {.lex_state = 89},
  [9395] = {.lex_state = 89},
  [9396] = {.lex_state = 89},
  [9397] = {.lex_state = 89},
  [9398] = {.lex_state = 89},
  [9399] = {.lex_state = 89},
  [9400] = {.lex_state = 89},
  [9401] = {.lex_state = 89},
  [9402] = {.lex_state = 89},
  [9403] = {.lex_state = 89},
  [9404] = {.lex_state = 89},
  [9405] = {.lex_state = 89},
  [9406] = {.lex_state = 89},
  [9407] = {.lex_state = 89},
  [9408] = {.lex_state = 88},
  [9409] = {.lex_state = 89},
  [9410] = {.lex_state = 89},
  [9411] = {.lex_state = 89},
  [9412] = {.lex_state = 89},
  [9413] = {.lex_state = 89},
  [9414] = {.lex_state = 89},
  [9415] = {.lex_state = 89},
  [9416] = {.lex_state = 89},
  [9417] = {.lex_state = 89},
  [9418] = {.lex_state = 89},
  [9419] = {.lex_state = 89},
  [9420] = {.lex_state = 88},
  [9421] = {.lex_state = 89},
  [9422] = {.lex_state = 89},
  [9423] = {.lex_state = 89},
  [9424] = {.lex_state = 89},
  [9425] = {.lex_state = 89},
  [9426] = {.lex_state = 89},
  [9427] = {.lex_state = 89},
  [9428] = {.lex_state = 89},
  [9429] = {.lex_state = 89},
  [9430] = {.lex_state = 88},
  [9431] = {.lex_state = 88},
  [9432] = {.lex_state = 89},
  [9433] = {.lex_state = 89},
  [9434] = {.lex_state = 89},
  [9435] = {.lex_state = 89},
  [9436] = {.lex_state = 89},
  [9437] = {.lex_state = 89},
  [9438] = {.lex_state = 89},
  [9439] = {.lex_state = 89},
  [9440] = {.lex_state = 89},
  [9441] = {.lex_state = 89},
  [9442] = {.lex_state = 89},
  [9443] = {.lex_state = 89},
  [9444] = {.lex_state = 89},
  [9445] = {.lex_state = 89},
  [9446] = {.lex_state = 89},
  [9447] = {.lex_state = 88},
  [9448] = {.lex_state = 89},
  [9449] = {.lex_state = 89},
  [9450] = {.lex_state = 89},
  [9451] = {.lex_state = 89},
  [9452] = {.lex_state = 88},
  [9453] = {.lex_state = 89},
  [9454] = {.lex_state = 89},
  [9455] = {.lex_state = 89},
  [9456] = {.lex_state = 89},
  [9457] = {.lex_state = 89},
  [9458] = {.lex_state = 89},
  [9459] = {.lex_state = 89},
  [9460] = {.lex_state = 89},
  [9461] = {.lex_state = 88},
  [9462] = {.lex_state = 88},
  [9463] = {.lex_state = 89},
  [9464] = {.lex_state = 89},
  [9465] = {.lex_state = 89},
  [9466] = {.lex_state = 89},
  [9467] = {.lex_state = 89},
  [9468] = {.lex_state = 89},
  [9469] = {.lex_state = 89},
  [9470] = {.lex_state = 88},
  [9471] = {.lex_state = 89},
  [9472] = {.lex_state = 89},
  [9473] = {.lex_state = 89},
  [9474] = {.lex_state = 89},
  [9475] = {.lex_state = 89},
  [9476] = {.lex_state = 89},
  [9477] = {.lex_state = 89},
  [9478] = {.lex_state = 89},
  [9479] = {.lex_state = 89},
  [9480] = {.lex_state = 89},
  [9481] = {.lex_state = 88},
  [9482] = {.lex_state = 88},
  [9483] = {.lex_state = 89},
  [9484] = {.lex_state = 89},
  [9485] = {.lex_state = 89},
  [9486] = {.lex_state = 89},
  [9487] = {.lex_state = 88},
  [9488] = {.lex_state = 89},
  [9489] = {.lex_state = 89},
  [9490] = {.lex_state = 88},
  [9491] = {.lex_state = 88},
  [9492] = {.lex_state = 89},
  [9493] = {.lex_state = 89},
  [9494] = {.lex_state = 89},
  [9495] = {.lex_state = 89, .external_lex_state = 2},
  [9496] = {.lex_state = 88},
  [9497] = {.lex_state = 88},
  [9498] = {.lex_state = 88},
  [9499] = {.lex_state = 88},
  [9500] = {.lex_state = 88},
  [9501] = {.lex_state = 88},
  [9502] = {.lex_state = 88},
  [9503] = {.lex_state = 88},
  [9504] = {.lex_state = 88},
  [9505] = {.lex_state = 88},
  [9506] = {.lex_state = 88},
  [9507] = {.lex_state = 88},
  [9508] = {.lex_state = 89},
  [9509] = {.lex_state = 88},
  [9510] = {.lex_state = 89},
  [9511] = {.lex_state = 88},
  [9512] = {.lex_state = 88},
  [9513] = {.lex_state = 88},
  [9514] = {.lex_state = 89},
  [9515] = {.lex_state = 89},
  [9516] = {.lex_state = 89},
  [9517] = {.lex_state = 89},
  [9518] = {.lex_state = 89},
  [9519] = {.lex_state = 88},
  [9520] = {.lex_state = 88},
  [9521] = {.lex_state = 88},
  [9522] = {.lex_state = 96},
  [9523] = {.lex_state = 89},
  [9524] = {.lex_state = 88},
  [9525] = {.lex_state = 89},
  [9526] = {.lex_state = 88},
  [9527] = {.lex_state = 89},
  [9528] = {.lex_state = 89},
  [9529] = {.lex_state = 89},
  [9530] = {.lex_state = 89},
  [9531] = {.lex_state = 89},
  [9532] = {.lex_state = 88},
  [9533] = {.lex_state = 89},
  [9534] = {.lex_state = 89},
  [9535] = {.lex_state = 89},
  [9536] = {.lex_state = 89},
  [9537] = {.lex_state = 89},
  [9538] = {.lex_state = 89},
  [9539] = {.lex_state = 88},
  [9540] = {.lex_state = 89},
  [9541] = {.lex_state = 88},
  [9542] = {.lex_state = 89},
  [9543] = {.lex_state = 89},
  [9544] = {.lex_state = 88},
  [9545] = {.lex_state = 89},
  [9546] = {.lex_state = 89},
  [9547] = {.lex_state = 88},
  [9548] = {.lex_state = 88},
  [9549] = {.lex_state = 89},
  [9550] = {.lex_state = 88},
  [9551] = {.lex_state = 89},
  [9552] = {.lex_state = 88},
  [9553] = {.lex_state = 88},
  [9554] = {.lex_state = 88},
  [9555] = {.lex_state = 89, .external_lex_state = 2},
  [9556] = {.lex_state = 88},
  [9557] = {.lex_state = 88},
  [9558] = {.lex_state = 88},
  [9559] = {.lex_state = 88},
  [9560] = {.lex_state = 88},
  [9561] = {.lex_state = 88},
  [9562] = {.lex_state = 88},
  [9563] = {.lex_state = 89},
  [9564] = {.lex_state = 88},
  [9565] = {.lex_state = 88},
  [9566] = {.lex_state = 89},
  [9567] = {.lex_state = 88},
  [9568] = {.lex_state = 88},
  [9569] = {.lex_state = 88},
  [9570] = {.lex_state = 88},
  [9571] = {.lex_state = 89},
  [9572] = {.lex_state = 88},
  [9573] = {.lex_state = 88},
  [9574] = {.lex_state = 89},
  [9575] = {.lex_state = 89},
  [9576] = {.lex_state = 89},
  [9577] = {.lex_state = 89},
  [9578] = {.lex_state = 88},
  [9579] = {.lex_state = 88},
  [9580] = {.lex_state = 89},
  [9581] = {.lex_state = 88},
  [9582] = {.lex_state = 89},
  [9583] = {.lex_state = 89},
  [9584] = {.lex_state = 89},
  [9585] = {.lex_state = 89},
  [9586] = {.lex_state = 89},
  [9587] = {.lex_state = 89},
  [9588] = {.lex_state = 89},
  [9589] = {.lex_state = 89},
  [9590] = {.lex_state = 89},
  [9591] = {.lex_state = 98},
  [9592] = {.lex_state = 89},
  [9593] = {.lex_state = 89},
  [9594] = {.lex_state = 89},
  [9595] = {.lex_state = 89},
  [9596] = {.lex_state = 89},
  [9597] = {.lex_state = 89},
  [9598] = {.lex_state = 89},
  [9599] = {.lex_state = 89},
  [9600] = {.lex_state = 89},
  [9601] = {.lex_state = 98},
  [9602] = {.lex_state = 89},
  [9603] = {.lex_state = 89},
  [9604] = {.lex_state = 89},
  [9605] = {.lex_state = 89},
  [9606] = {.lex_state = 89},
  [9607] = {.lex_state = 89},
  [9608] = {.lex_state = 89},
  [9609] = {.lex_state = 89},
  [9610] = {.lex_state = 89},
  [9611] = {.lex_state = 89},
  [9612] = {.lex_state = 89},
  [9613] = {.lex_state = 89},
  [9614] = {.lex_state = 89},
  [9615] = {.lex_state = 89},
  [9616] = {.lex_state = 89},
  [9617] = {.lex_state = 89},
  [9618] = {.lex_state = 89},
  [9619] = {.lex_state = 89},
  [9620] = {.lex_state = 89},
  [9621] = {.lex_state = 89},
  [9622] = {.lex_state = 89},
  [9623] = {.lex_state = 89},
  [9624] = {.lex_state = 89},
  [9625] = {.lex_state = 98},
  [9626] = {.lex_state = 88},
  [9627] = {.lex_state = 89},
  [9628] = {.lex_state = 88},
  [9629] = {.lex_state = 88},
  [9630] = {.lex_state = 89},
  [9631] = {.lex_state = 89},
  [9632] = {.lex_state = 89},
  [9633] = {.lex_state = 89},
  [9634] = {.lex_state = 89},
  [9635] = {.lex_state = 89},
  [9636] = {.lex_state = 89},
  [9637] = {.lex_state = 89},
  [9638] = {.lex_state = 89},
  [9639] = {.lex_state = 89},
  [9640] = {.lex_state = 89},
  [9641] = {.lex_state = 89},
  [9642] = {.lex_state = 89},
  [9643] = {.lex_state = 89},
  [9644] = {.lex_state = 89},
  [9645] = {.lex_state = 89},
  [9646] = {.lex_state = 89},
  [9647] = {.lex_state = 89},
  [9648] = {.lex_state = 89},
  [9649] = {.lex_state = 89},
  [9650] = {.lex_state = 89},
  [9651] = {.lex_state = 89},
  [9652] = {.lex_state = 89},
  [9653] = {.lex_state = 89},
  [9654] = {.lex_state = 89},
  [9655] = {.lex_state = 89},
  [9656] = {.lex_state = 89},
  [9657] = {.lex_state = 89},
  [9658] = {.lex_state = 89},
  [9659] = {.lex_state = 89},
  [9660] = {.lex_state = 89},
  [9661] = {.lex_state = 89},
  [9662] = {.lex_state = 89},
  [9663] = {.lex_state = 89},
  [9664] = {.lex_state = 89},
  [9665] = {.lex_state = 89},
  [9666] = {.lex_state = 89},
  [9667] = {.lex_state = 89},
  [9668] = {.lex_state = 89},
  [9669] = {.lex_state = 89},
  [9670] = {.lex_state = 89},
  [9671] = {.lex_state = 89},
  [9672] = {.lex_state = 89},
  [9673] = {.lex_state = 100},
  [9674] = {.lex_state = 100},
  [9675] = {.lex_state = 89},
  [9676] = {.lex_state = 89},
  [9677] = {.lex_state = 89},
  [9678] = {.lex_state = 98},
  [9679] = {.lex_state = 89},
  [9680] = {.lex_state = 89},
  [9681] = {.lex_state = 89},
  [9682] = {.lex_state = 88},
  [9683] = {.lex_state = 89},
  [9684] = {.lex_state = 89},
  [9685] = {.lex_state = 89},
  [9686] = {.lex_state = 89},
  [9687] = {.lex_state = 89},
  [9688] = {.lex_state = 89},
  [9689] = {.lex_state = 100},
  [9690] = {.lex_state = 89},
  [9691] = {.lex_state = 100},
  [9692] = {.lex_state = 89},
  [9693] = {.lex_state = 89},
  [9694] = {.lex_state = 89},
  [9695] = {.lex_state = 100},
  [9696] = {.lex_state = 98},
  [9697] = {.lex_state = 89},
  [9698] = {.lex_state = 89},
  [9699] = {.lex_state = 89},
  [9700] = {.lex_state = 89},
  [9701] = {.lex_state = 100},
  [9702] = {.lex_state = 89},
  [9703] = {.lex_state = 100},
  [9704] = {.lex_state = 89},
  [9705] = {.lex_state = 98},
  [9706] = {.lex_state = 100},
  [9707] = {.lex_state = 89},
  [9708] = {.lex_state = 100},
  [9709] = {.lex_state = 89},
  [9710] = {.lex_state = 100},
  [9711] = {.lex_state = 89},
  [9712] = {.lex_state = 89},
  [9713] = {.lex_state = 89},
  [9714] = {.lex_state = 100},
  [9715] = {.lex_state = 89},
  [9716] = {.lex_state = 89},
  [9717] = {.lex_state = 100},
  [9718] = {.lex_state = 100},
  [9719] = {.lex_state = 100},
  [9720] = {.lex_state = 89},
  [9721] = {.lex_state = 100},
  [9722] = {.lex_state = 89},
  [9723] = {.lex_state = 100},
  [9724] = {.lex_state = 100},
  [9725] = {.lex_state = 100},
  [9726] = {.lex_state = 89},
  [9727] = {.lex_state = 89},
  [9728] = {.lex_state = 88},
  [9729] = {.lex_state = 100},
  [9730] = {.lex_state = 100},
  [9731] = {.lex_state = 100},
  [9732] = {.lex_state = 100},
  [9733] = {.lex_state = 100},
  [9734] = {.lex_state = 88},
  [9735] = {.lex_state = 89},
  [9736] = {.lex_state = 100},
  [9737] = {.lex_state = 88},
  [9738] = {.lex_state = 88},
  [9739] = {.lex_state = 88},
  [9740] = {.lex_state = 88},
  [9741] = {.lex_state = 88},
  [9742] = {.lex_state = 88},
  [9743] = {.lex_state = 100},
  [9744] = {.lex_state = 88},
  [9745] = {.lex_state = 100},
  [9746] = {.lex_state = 88},
  [9747] = {.lex_state = 89},
  [9748] = {.lex_state = 88},
  [9749] = {.lex_state = 88},
  [9750] = {.lex_state = 89},
  [9751] = {.lex_state = 89},
  [9752] = {.lex_state = 100},
  [9753] = {.lex_state = 89},
  [9754] = {.lex_state = 88},
  [9755] = {.lex_state = 89},
  [9756] = {.lex_state = 100},
  [9757] = {.lex_state = 98},
  [9758] = {.lex_state = 89},
  [9759] = {.lex_state = 89},
  [9760] = {.lex_state = 89},
  [9761] = {.lex_state = 89},
  [9762] = {.lex_state = 89},
  [9763] = {.lex_state = 88},
  [9764] = {.lex_state = 100},
  [9765] = {.lex_state = 100},
  [9766] = {.lex_state = 100},
  [9767] = {.lex_state = 100},
  [9768] = {.lex_state = 100},
  [9769] = {.lex_state = 100},
  [9770] = {.lex_state = 100},
  [9771] = {.lex_state = 100},
  [9772] = {.lex_state = 89},
  [9773] = {.lex_state = 89},
  [9774] = {.lex_state = 100},
  [9775] = {.lex_state = 100},
  [9776] = {.lex_state = 98},
  [9777] = {.lex_state = 100},
  [9778] = {.lex_state = 100},
  [9779] = {.lex_state = 89},
  [9780] = {.lex_state = 100},
  [9781] = {.lex_state = 100},
  [9782] = {.lex_state = 100},
  [9783] = {.lex_state = 100},
  [9784] = {.lex_state = 100},
  [9785] = {.lex_state = 89},
  [9786] = {.lex_state = 89},
  [9787] = {.lex_state = 100},
  [9788] = {.lex_state = 89},
  [9789] = {.lex_state = 89},
  [9790] = {.lex_state = 100},
  [9791] = {.lex_state = 100},
  [9792] = {.lex_state = 100},
  [9793] = {.lex_state = 100},
  [9794] = {.lex_state = 89},
  [9795] = {.lex_state = 89},
  [9796] = {.lex_state = 89},
  [9797] = {.lex_state = 100},
  [9798] = {.lex_state = 100},
  [9799] = {.lex_state = 100},
  [9800] = {.lex_state = 100},
  [9801] = {.lex_state = 100},
  [9802] = {.lex_state = 100},
  [9803] = {.lex_state = 89},
  [9804] = {.lex_state = 100},
  [9805] = {.lex_state = 100},
  [9806] = {.lex_state = 100},
  [9807] = {.lex_state = 100},
  [9808] = {.lex_state = 100},
  [9809] = {.lex_state = 100},
  [9810] = {.lex_state = 100},
  [9811] = {.lex_state = 100},
  [9812] = {.lex_state = 100},
  [9813] = {.lex_state = 100},
  [9814] = {.lex_state = 89},
  [9815] = {.lex_state = 100},
  [9816] = {.lex_state = 100},
  [9817] = {.lex_state = 100},
  [9818] = {.lex_state = 100},
  [9819] = {.lex_state = 88},
  [9820] = {.lex_state = 89},
  [9821] = {.lex_state = 100},
  [9822] = {.lex_state = 100},
  [9823] = {.lex_state = 89},
  [9824] = {.lex_state = 100},
  [9825] = {.lex_state = 89},
  [9826] = {.lex_state = 100},
  [9827] = {.lex_state = 100},
  [9828] = {.lex_state = 89},
  [9829] = {.lex_state = 98},
  [9830] = {.lex_state = 100},
  [9831] = {.lex_state = 89},
  [9832] = {.lex_state = 89},
  [9833] = {.lex_state = 89},
  [9834] = {.lex_state = 100},
  [9835] = {.lex_state = 89},
  [9836] = {.lex_state = 100},
  [9837] = {.lex_state = 100},
  [9838] = {.lex_state = 100},
  [9839] = {.lex_state = 100},
  [9840] = {.lex_state = 100},
  [9841] = {.lex_state = 100},
  [9842] = {.lex_state = 100},
  [9843] = {.lex_state = 89},
  [9844] = {.lex_state = 89},
  [9845] = {.lex_state = 89},
  [9846] = {.lex_state = 100},
  [9847] = {.lex_state = 100},
  [9848] = {.lex_state = 100},
  [9849] = {.lex_state = 88},
  [9850] = {.lex_state = 89},
  [9851] = {.lex_state = 100},
  [9852] = {.lex_state = 89},
  [9853] = {.lex_state = 89},
  [9854] = {.lex_state = 89},
  [9855] = {.lex_state = 100},
  [9856] = {.lex_state = 98},
  [9857] = {.lex_state = 88},
  [9858] = {.lex_state = 88},
  [9859] = {.lex_state = 98},
  [9860] = {.lex_state = 100},
  [9861] = {.lex_state = 100},
  [9862] = {.lex_state = 88},
  [9863] = {.lex_state = 89},
  [9864] = {.lex_state = 100},
  [9865] = {.lex_state = 100},
  [9866] = {.lex_state = 98},
  [9867] = {.lex_state = 89},
  [9868] = {.lex_state = 89},
  [9869] = {.lex_state = 89},
  [9870] = {.lex_state = 89},
  [9871] = {.lex_state = 98},
  [9872] = {.lex_state = 89},
  [9873] = {.lex_state = 89},
  [9874] = {.lex_state = 100},
  [9875] = {.lex_state = 100},
  [9876] = {.lex_state = 89},
  [9877] = {.lex_state = 89},
  [9878] = {.lex_state = 100},
  [9879] = {.lex_state = 89},
  [9880] = {.lex_state = 89},
  [9881] = {.lex_state = 89},
  [9882] = {.lex_state = 89},
  [9883] = {.lex_state = 89},
  [9884] = {.lex_state = 89},
  [9885] = {.lex_state = 89},
  [9886] = {.lex_state = 89},
  [9887] = {.lex_state = 89},
  [9888] = {.lex_state = 89},
  [9889] = {.lex_state = 89},
  [9890] = {.lex_state = 89},
  [9891] = {.lex_state = 89},
  [9892] = {.lex_state = 89},
  [9893] = {.lex_state = 89},
  [9894] = {.lex_state = 89},
  [9895] = {.lex_state = 89},
  [9896] = {.lex_state = 89},
  [9897] = {.lex_state = 89},
  [9898] = {.lex_state = 89},
  [9899] = {.lex_state = 89},
  [9900] = {.lex_state = 89},
  [9901] = {.lex_state = 89},
  [9902] = {.lex_state = 89},
  [9903] = {.lex_state = 89},
  [9904] = {.lex_state = 89},
  [9905] = {.lex_state = 89},
  [9906] = {.lex_state = 89},
  [9907] = {.lex_state = 89},
  [9908] = {.lex_state = 89},
  [9909] = {.lex_state = 89},
  [9910] = {.lex_state = 89},
  [9911] = {.lex_state = 89},
  [9912] = {.lex_state = 89},
  [9913] = {.lex_state = 89},
  [9914] = {.lex_state = 89},
  [9915] = {.lex_state = 89},
  [9916] = {.lex_state = 89},
  [9917] = {.lex_state = 89},
  [9918] = {.lex_state = 89},
  [9919] = {.lex_state = 89},
  [9920] = {.lex_state = 89},
  [9921] = {.lex_state = 89},
  [9922] = {.lex_state = 89},
  [9923] = {.lex_state = 89},
  [9924] = {.lex_state = 89},
  [9925] = {.lex_state = 89},
  [9926] = {.lex_state = 89},
  [9927] = {.lex_state = 89},
  [9928] = {.lex_state = 89},
  [9929] = {.lex_state = 89},
  [9930] = {.lex_state = 89},
  [9931] = {.lex_state = 89},
  [9932] = {.lex_state = 89},
  [9933] = {.lex_state = 89},
  [9934] = {.lex_state = 89},
  [9935] = {.lex_state = 89},
  [9936] = {.lex_state = 89},
  [9937] = {.lex_state = 89},
  [9938] = {.lex_state = 89},
  [9939] = {.lex_state = 89},
  [9940] = {.lex_state = 89},
  [9941] = {.lex_state = 89},
  [9942] = {.lex_state = 89},
  [9943] = {.lex_state = 89},
  [9944] = {.lex_state = 89},
  [9945] = {.lex_state = 89},
  [9946] = {.lex_state = 89},
  [9947] = {.lex_state = 89},
  [9948] = {.lex_state = 89},
  [9949] = {.lex_state = 89},
  [9950] = {.lex_state = 89},
  [9951] = {.lex_state = 89},
  [9952] = {.lex_state = 89},
  [9953] = {.lex_state = 89},
  [9954] = {.lex_state = 89},
  [9955] = {.lex_state = 89},
  [9956] = {.lex_state = 89},
  [9957] = {.lex_state = 89},
  [9958] = {.lex_state = 89},
  [9959] = {.lex_state = 89},
  [9960] = {.lex_state = 89},
  [9961] = {.lex_state = 89},
  [9962] = {.lex_state = 89},
  [9963] = {.lex_state = 89},
  [9964] = {.lex_state = 89},
  [9965] = {.lex_state = 89},
  [9966] = {.lex_state = 89},
  [9967] = {.lex_state = 89},
  [9968] = {.lex_state = 98},
  [9969] = {.lex_state = 89},
  [9970] = {.lex_state = 89},
  [9971] = {.lex_state = 89},
  [9972] = {.lex_state = 89},
  [9973] = {.lex_state = 89},
  [9974] = {.lex_state = 89},
  [9975] = {.lex_state = 89},
  [9976] = {.lex_state = 89},
  [9977] = {.lex_state = 89},
  [9978] = {.lex_state = 89},
  [9979] = {.lex_state = 89},
  [9980] = {.lex_state = 89},
  [9981] = {.lex_state = 89},
  [9982] = {.lex_state = 89},
  [9983] = {.lex_state = 89},
  [9984] = {.lex_state = 89},
  [9985] = {.lex_state = 89},
  [9986] = {.lex_state = 89},
  [9987] = {.lex_state = 89},
  [9988] = {.lex_state = 89},
  [9989] = {.lex_state = 89},
  [9990] = {.lex_state = 89},
  [9991] = {.lex_state = 89},
  [9992] = {.lex_state = 89},
  [9993] = {.lex_state = 89},
  [9994] = {.lex_state = 89},
  [9995] = {.lex_state = 89},
  [9996] = {.lex_state = 89},
  [9997] = {.lex_state = 89},
  [9998] = {.lex_state = 89},
  [9999] = {.lex_state = 89},
  [10000] = {.lex_state = 89},
  [10001] = {.lex_state = 89},
  [10002] = {.lex_state = 89},
  [10003] = {.lex_state = 89},
  [10004] = {.lex_state = 89},
  [10005] = {.lex_state = 89},
  [10006] = {.lex_state = 89},
  [10007] = {.lex_state = 89},
  [10008] = {.lex_state = 89},
  [10009] = {.lex_state = 89},
  [10010] = {.lex_state = 89},
  [10011] = {.lex_state = 89},
  [10012] = {.lex_state = 89},
  [10013] = {.lex_state = 89},
  [10014] = {.lex_state = 89},
  [10015] = {.lex_state = 89},
  [10016] = {.lex_state = 89},
  [10017] = {.lex_state = 89},
  [10018] = {.lex_state = 89},
  [10019] = {.lex_state = 89},
  [10020] = {.lex_state = 89},
  [10021] = {.lex_state = 89},
  [10022] = {.lex_state = 89},
  [10023] = {.lex_state = 89},
  [10024] = {.lex_state = 89},
  [10025] = {.lex_state = 89},
  [10026] = {.lex_state = 89},
  [10027] = {.lex_state = 89},
  [10028] = {.lex_state = 89},
  [10029] = {.lex_state = 89},
  [10030] = {.lex_state = 89},
  [10031] = {.lex_state = 89},
  [10032] = {.lex_state = 89},
  [10033] = {.lex_state = 89},
  [10034] = {.lex_state = 89},
  [10035] = {.lex_state = 89},
  [10036] = {.lex_state = 89},
  [10037] = {.lex_state = 89},
  [10038] = {.lex_state = 89},
  [10039] = {.lex_state = 89},
  [10040] = {.lex_state = 89},
  [10041] = {.lex_state = 89},
  [10042] = {.lex_state = 89},
  [10043] = {.lex_state = 89},
  [10044] = {.lex_state = 89},
  [10045] = {.lex_state = 89},
  [10046] = {.lex_state = 89},
  [10047] = {.lex_state = 89},
  [10048] = {.lex_state = 89},
  [10049] = {.lex_state = 89},
  [10050] = {.lex_state = 89},
  [10051] = {.lex_state = 89},
  [10052] = {.lex_state = 89},
  [10053] = {.lex_state = 89},
  [10054] = {.lex_state = 89},
  [10055] = {.lex_state = 89},
  [10056] = {.lex_state = 89},
  [10057] = {.lex_state = 89},
  [10058] = {.lex_state = 89},
  [10059] = {.lex_state = 89},
  [10060] = {.lex_state = 89},
  [10061] = {.lex_state = 89},
  [10062] = {.lex_state = 89},
  [10063] = {.lex_state = 89},
  [10064] = {.lex_state = 89},
  [10065] = {.lex_state = 89},
  [10066] = {.lex_state = 89},
  [10067] = {.lex_state = 89},
  [10068] = {.lex_state = 89},
  [10069] = {.lex_state = 89},
  [10070] = {.lex_state = 89},
  [10071] = {.lex_state = 89},
  [10072] = {.lex_state = 89},
  [10073] = {.lex_state = 89},
  [10074] = {.lex_state = 89},
  [10075] = {.lex_state = 89},
  [10076] = {.lex_state = 89},
  [10077] = {.lex_state = 89},
  [10078] = {.lex_state = 89},
  [10079] = {.lex_state = 89},
  [10080] = {.lex_state = 89},
  [10081] = {.lex_state = 89},
  [10082] = {.lex_state = 89},
  [10083] = {.lex_state = 89},
  [10084] = {.lex_state = 89},
  [10085] = {.lex_state = 89},
  [10086] = {.lex_state = 89},
  [10087] = {.lex_state = 89},
  [10088] = {.lex_state = 89},
  [10089] = {.lex_state = 89},
  [10090] = {.lex_state = 89},
  [10091] = {.lex_state = 89},
  [10092] = {.lex_state = 89},
  [10093] = {.lex_state = 89},
  [10094] = {.lex_state = 89},
  [10095] = {.lex_state = 89},
  [10096] = {.lex_state = 89},
  [10097] = {.lex_state = 89},
  [10098] = {.lex_state = 89},
  [10099] = {.lex_state = 89},
  [10100] = {.lex_state = 89},
  [10101] = {.lex_state = 89},
  [10102] = {.lex_state = 89},
  [10103] = {.lex_state = 89},
  [10104] = {.lex_state = 89},
  [10105] = {.lex_state = 89},
  [10106] = {.lex_state = 89},
  [10107] = {.lex_state = 89},
  [10108] = {.lex_state = 89},
  [10109] = {.lex_state = 89},
  [10110] = {.lex_state = 89},
  [10111] = {.lex_state = 89},
  [10112] = {.lex_state = 89},
  [10113] = {.lex_state = 89},
  [10114] = {.lex_state = 89},
  [10115] = {.lex_state = 89},
  [10116] = {.lex_state = 89},
  [10117] = {.lex_state = 89},
  [10118] = {.lex_state = 89},
  [10119] = {.lex_state = 89},
  [10120] = {.lex_state = 89},
  [10121] = {.lex_state = 89},
  [10122] = {.lex_state = 89},
  [10123] = {.lex_state = 89},
  [10124] = {.lex_state = 89},
  [10125] = {.lex_state = 89},
  [10126] = {.lex_state = 89},
  [10127] = {.lex_state = 89},
  [10128] = {.lex_state = 89},
  [10129] = {.lex_state = 89},
  [10130] = {.lex_state = 89},
  [10131] = {.lex_state = 89},
  [10132] = {.lex_state = 89},
  [10133] = {.lex_state = 89},
  [10134] = {.lex_state = 89},
  [10135] = {.lex_state = 89},
  [10136] = {.lex_state = 89},
  [10137] = {.lex_state = 89},
  [10138] = {.lex_state = 89},
  [10139] = {.lex_state = 89},
  [10140] = {.lex_state = 89},
  [10141] = {.lex_state = 89},
  [10142] = {.lex_state = 89},
  [10143] = {.lex_state = 89},
  [10144] = {.lex_state = 89},
  [10145] = {.lex_state = 89},
  [10146] = {.lex_state = 89},
  [10147] = {.lex_state = 89},
  [10148] = {.lex_state = 89},
  [10149] = {.lex_state = 89},
  [10150] = {.lex_state = 89},
  [10151] = {.lex_state = 89},
  [10152] = {.lex_state = 89},
  [10153] = {.lex_state = 89},
  [10154] = {.lex_state = 89},
  [10155] = {.lex_state = 89},
  [10156] = {.lex_state = 89},
  [10157] = {.lex_state = 89},
  [10158] = {.lex_state = 89},
  [10159] = {.lex_state = 89},
  [10160] = {.lex_state = 89},
  [10161] = {.lex_state = 89},
  [10162] = {.lex_state = 89},
  [10163] = {.lex_state = 89},
  [10164] = {.lex_state = 89},
  [10165] = {.lex_state = 89},
  [10166] = {.lex_state = 89},
  [10167] = {.lex_state = 89},
  [10168] = {.lex_state = 89},
  [10169] = {.lex_state = 89},
  [10170] = {.lex_state = 89},
  [10171] = {.lex_state = 89},
  [10172] = {.lex_state = 89},
  [10173] = {.lex_state = 89},
  [10174] = {.lex_state = 89},
  [10175] = {.lex_state = 89},
  [10176] = {.lex_state = 89},
  [10177] = {.lex_state = 89},
  [10178] = {.lex_state = 89},
  [10179] = {.lex_state = 89},
  [10180] = {.lex_state = 89},
  [10181] = {.lex_state = 89},
  [10182] = {.lex_state = 89},
  [10183] = {.lex_state = 89},
  [10184] = {.lex_state = 89},
  [10185] = {.lex_state = 89},
  [10186] = {.lex_state = 89},
  [10187] = {.lex_state = 89},
  [10188] = {.lex_state = 89},
  [10189] = {.lex_state = 89},
  [10190] = {.lex_state = 89},
  [10191] = {.lex_state = 88},
  [10192] = {.lex_state = 89},
  [10193] = {.lex_state = 89},
  [10194] = {.lex_state = 89},
  [10195] = {.lex_state = 89},
  [10196] = {.lex_state = 89},
  [10197] = {.lex_state = 89},
  [10198] = {.lex_state = 89},
  [10199] = {.lex_state = 89},
  [10200] = {.lex_state = 89},
  [10201] = {.lex_state = 89},
  [10202] = {.lex_state = 89},
  [10203] = {.lex_state = 89},
  [10204] = {.lex_state = 89},
  [10205] = {.lex_state = 89},
  [10206] = {.lex_state = 89},
  [10207] = {.lex_state = 89},
  [10208] = {.lex_state = 89},
  [10209] = {.lex_state = 89},
  [10210] = {.lex_state = 89},
  [10211] = {.lex_state = 89},
  [10212] = {.lex_state = 89},
  [10213] = {.lex_state = 89},
  [10214] = {.lex_state = 89},
  [10215] = {.lex_state = 98},
  [10216] = {.lex_state = 89},
  [10217] = {.lex_state = 89},
  [10218] = {.lex_state = 89},
  [10219] = {.lex_state = 89},
  [10220] = {.lex_state = 89},
  [10221] = {.lex_state = 89},
  [10222] = {.lex_state = 89},
  [10223] = {.lex_state = 89},
  [10224] = {.lex_state = 89},
  [10225] = {.lex_state = 89},
  [10226] = {.lex_state = 89},
  [10227] = {.lex_state = 89},
  [10228] = {.lex_state = 89},
  [10229] = {.lex_state = 89},
  [10230] = {.lex_state = 89},
  [10231] = {.lex_state = 89},
  [10232] = {.lex_state = 89},
  [10233] = {.lex_state = 89},
  [10234] = {.lex_state = 89},
  [10235] = {.lex_state = 89},
  [10236] = {.lex_state = 89},
  [10237] = {.lex_state = 89},
  [10238] = {.lex_state = 89},
  [10239] = {.lex_state = 89},
  [10240] = {.lex_state = 89},
  [10241] = {.lex_state = 89},
  [10242] = {.lex_state = 89},
  [10243] = {.lex_state = 89},
  [10244] = {.lex_state = 89},
  [10245] = {.lex_state = 89},
  [10246] = {.lex_state = 89},
  [10247] = {.lex_state = 89},
  [10248] = {.lex_state = 89},
  [10249] = {.lex_state = 89},
  [10250] = {.lex_state = 89},
  [10251] = {.lex_state = 89},
  [10252] = {.lex_state = 89},
  [10253] = {.lex_state = 89},
  [10254] = {.lex_state = 89},
  [10255] = {.lex_state = 89},
  [10256] = {.lex_state = 89},
  [10257] = {.lex_state = 89},
  [10258] = {.lex_state = 89},
  [10259] = {.lex_state = 89},
  [10260] = {.lex_state = 89},
  [10261] = {.lex_state = 98},
  [10262] = {.lex_state = 89},
  [10263] = {.lex_state = 89},
  [10264] = {.lex_state = 89},
  [10265] = {.lex_state = 89},
  [10266] = {.lex_state = 89},
  [10267] = {.lex_state = 89},
  [10268] = {.lex_state = 89},
  [10269] = {.lex_state = 89},
  [10270] = {.lex_state = 89},
  [10271] = {.lex_state = 89},
  [10272] = {.lex_state = 89},
  [10273] = {.lex_state = 89},
  [10274] = {.lex_state = 89},
  [10275] = {.lex_state = 89},
  [10276] = {.lex_state = 89},
  [10277] = {.lex_state = 89},
  [10278] = {.lex_state = 89},
  [10279] = {.lex_state = 89},
  [10280] = {.lex_state = 98},
  [10281] = {.lex_state = 89},
  [10282] = {.lex_state = 89},
  [10283] = {.lex_state = 89},
  [10284] = {.lex_state = 89},
  [10285] = {.lex_state = 89},
  [10286] = {.lex_state = 89},
  [10287] = {.lex_state = 89},
  [10288] = {.lex_state = 89},
  [10289] = {.lex_state = 89},
  [10290] = {.lex_state = 89},
  [10291] = {.lex_state = 89},
  [10292] = {.lex_state = 89},
  [10293] = {.lex_state = 89},
  [10294] = {.lex_state = 89},
  [10295] = {.lex_state = 89},
  [10296] = {.lex_state = 89},
  [10297] = {.lex_state = 89},
  [10298] = {.lex_state = 89},
  [10299] = {.lex_state = 89},
  [10300] = {.lex_state = 89},
  [10301] = {.lex_state = 89},
  [10302] = {.lex_state = 89},
  [10303] = {.lex_state = 89},
  [10304] = {.lex_state = 89},
  [10305] = {.lex_state = 89},
  [10306] = {.lex_state = 89},
  [10307] = {.lex_state = 89},
  [10308] = {.lex_state = 89},
  [10309] = {.lex_state = 89},
  [10310] = {.lex_state = 89},
  [10311] = {.lex_state = 89},
  [10312] = {.lex_state = 89},
  [10313] = {.lex_state = 89},
  [10314] = {.lex_state = 89},
  [10315] = {.lex_state = 89},
  [10316] = {.lex_state = 89},
  [10317] = {.lex_state = 89},
  [10318] = {.lex_state = 89},
  [10319] = {.lex_state = 89},
  [10320] = {.lex_state = 89},
  [10321] = {.lex_state = 89},
  [10322] = {.lex_state = 89},
  [10323] = {.lex_state = 89},
  [10324] = {.lex_state = 89},
  [10325] = {.lex_state = 89},
  [10326] = {.lex_state = 89},
  [10327] = {.lex_state = 89},
  [10328] = {.lex_state = 89},
  [10329] = {.lex_state = 89},
  [10330] = {.lex_state = 89},
  [10331] = {.lex_state = 89},
  [10332] = {.lex_state = 89},
  [10333] = {.lex_state = 89},
  [10334] = {.lex_state = 89},
  [10335] = {.lex_state = 89},
  [10336] = {.lex_state = 89},
  [10337] = {.lex_state = 89},
  [10338] = {.lex_state = 89},
  [10339] = {.lex_state = 89},
  [10340] = {.lex_state = 89},
  [10341] = {.lex_state = 98},
  [10342] = {.lex_state = 89},
  [10343] = {.lex_state = 98},
  [10344] = {.lex_state = 89},
  [10345] = {.lex_state = 98},
  [10346] = {.lex_state = 89},
  [10347] = {.lex_state = 89},
  [10348] = {.lex_state = 89},
  [10349] = {.lex_state = 89},
  [10350] = {.lex_state = 89},
  [10351] = {.lex_state = 89},
  [10352] = {.lex_state = 89},
  [10353] = {.lex_state = 89},
  [10354] = {.lex_state = 89},
  [10355] = {.lex_state = 89},
  [10356] = {.lex_state = 89},
  [10357] = {.lex_state = 89},
  [10358] = {.lex_state = 89},
  [10359] = {.lex_state = 89},
  [10360] = {.lex_state = 89},
  [10361] = {.lex_state = 89},
  [10362] = {.lex_state = 89},
  [10363] = {.lex_state = 89},
  [10364] = {.lex_state = 89},
  [10365] = {.lex_state = 89},
  [10366] = {.lex_state = 89},
  [10367] = {.lex_state = 89},
  [10368] = {.lex_state = 89},
  [10369] = {.lex_state = 89},
  [10370] = {.lex_state = 89},
  [10371] = {.lex_state = 89},
  [10372] = {.lex_state = 89},
  [10373] = {.lex_state = 89},
  [10374] = {.lex_state = 89},
  [10375] = {.lex_state = 89},
  [10376] = {.lex_state = 89},
  [10377] = {.lex_state = 89},
  [10378] = {.lex_state = 89},
  [10379] = {.lex_state = 89},
  [10380] = {.lex_state = 89},
  [10381] = {.lex_state = 89},
  [10382] = {.lex_state = 89},
  [10383] = {.lex_state = 89},
  [10384] = {.lex_state = 89},
  [10385] = {.lex_state = 89},
  [10386] = {.lex_state = 89},
  [10387] = {.lex_state = 89},
  [10388] = {.lex_state = 89},
  [10389] = {.lex_state = 89},
  [10390] = {.lex_state = 89},
  [10391] = {.lex_state = 89},
  [10392] = {.lex_state = 89},
  [10393] = {.lex_state = 89},
  [10394] = {.lex_state = 89},
  [10395] = {.lex_state = 89},
  [10396] = {.lex_state = 89},
  [10397] = {.lex_state = 89},
  [10398] = {.lex_state = 89},
  [10399] = {.lex_state = 89},
  [10400] = {.lex_state = 89},
  [10401] = {.lex_state = 89},
  [10402] = {.lex_state = 89},
  [10403] = {.lex_state = 89},
  [10404] = {.lex_state = 89},
  [10405] = {.lex_state = 89},
  [10406] = {.lex_state = 89},
  [10407] = {.lex_state = 89},
  [10408] = {.lex_state = 89},
  [10409] = {.lex_state = 89},
  [10410] = {.lex_state = 89},
  [10411] = {.lex_state = 89},
  [10412] = {.lex_state = 89},
  [10413] = {.lex_state = 89},
  [10414] = {.lex_state = 89},
  [10415] = {.lex_state = 89},
  [10416] = {.lex_state = 89},
  [10417] = {.lex_state = 89},
  [10418] = {.lex_state = 89},
  [10419] = {.lex_state = 89},
  [10420] = {.lex_state = 89},
  [10421] = {.lex_state = 89},
  [10422] = {.lex_state = 89},
  [10423] = {.lex_state = 89},
  [10424] = {.lex_state = 89},
  [10425] = {.lex_state = 89},
  [10426] = {.lex_state = 89},
  [10427] = {.lex_state = 89},
  [10428] = {.lex_state = 89},
  [10429] = {.lex_state = 89},
  [10430] = {.lex_state = 89},
  [10431] = {.lex_state = 89},
  [10432] = {.lex_state = 89},
  [10433] = {.lex_state = 89},
  [10434] = {.lex_state = 89},
  [10435] = {.lex_state = 89},
  [10436] = {.lex_state = 89},
  [10437] = {.lex_state = 89},
  [10438] = {.lex_state = 89},
  [10439] = {.lex_state = 89},
  [10440] = {.lex_state = 89},
  [10441] = {.lex_state = 89},
  [10442] = {.lex_state = 89},
  [10443] = {.lex_state = 89},
  [10444] = {.lex_state = 89},
  [10445] = {.lex_state = 89},
  [10446] = {.lex_state = 89},
  [10447] = {.lex_state = 89},
  [10448] = {.lex_state = 89},
  [10449] = {.lex_state = 89},
  [10450] = {.lex_state = 89},
  [10451] = {.lex_state = 89},
  [10452] = {.lex_state = 89},
  [10453] = {.lex_state = 89},
  [10454] = {.lex_state = 89},
  [10455] = {.lex_state = 89},
  [10456] = {.lex_state = 89},
  [10457] = {.lex_state = 89},
  [10458] = {.lex_state = 89},
  [10459] = {.lex_state = 89},
  [10460] = {.lex_state = 89},
  [10461] = {.lex_state = 89},
  [10462] = {.lex_state = 89},
  [10463] = {.lex_state = 89},
  [10464] = {.lex_state = 89},
  [10465] = {.lex_state = 89},
  [10466] = {.lex_state = 89},
  [10467] = {.lex_state = 89},
  [10468] = {.lex_state = 89},
  [10469] = {.lex_state = 89},
  [10470] = {.lex_state = 89},
  [10471] = {.lex_state = 89},
  [10472] = {.lex_state = 89},
  [10473] = {.lex_state = 89},
  [10474] = {.lex_state = 89},
  [10475] = {.lex_state = 89},
  [10476] = {.lex_state = 89},
  [10477] = {.lex_state = 89},
  [10478] = {.lex_state = 89},
  [10479] = {.lex_state = 89},
  [10480] = {.lex_state = 89},
  [10481] = {.lex_state = 89},
  [10482] = {.lex_state = 89},
  [10483] = {.lex_state = 89},
  [10484] = {.lex_state = 89},
  [10485] = {.lex_state = 89},
  [10486] = {.lex_state = 89},
  [10487] = {.lex_state = 89},
  [10488] = {.lex_state = 89},
  [10489] = {.lex_state = 89},
  [10490] = {.lex_state = 89},
  [10491] = {.lex_state = 89},
  [10492] = {.lex_state = 89},
  [10493] = {.lex_state = 89},
  [10494] = {.lex_state = 89},
  [10495] = {.lex_state = 89},
  [10496] = {.lex_state = 89},
  [10497] = {.lex_state = 89},
  [10498] = {.lex_state = 89},
  [10499] = {.lex_state = 89},
  [10500] = {.lex_state = 89},
  [10501] = {.lex_state = 89},
  [10502] = {.lex_state = 89},
  [10503] = {.lex_state = 89},
  [10504] = {.lex_state = 89},
  [10505] = {.lex_state = 89},
  [10506] = {.lex_state = 89},
  [10507] = {.lex_state = 89},
  [10508] = {.lex_state = 89},
  [10509] = {.lex_state = 89},
  [10510] = {.lex_state = 89},
  [10511] = {.lex_state = 89},
  [10512] = {.lex_state = 89},
  [10513] = {.lex_state = 89},
  [10514] = {.lex_state = 89},
  [10515] = {.lex_state = 89},
  [10516] = {.lex_state = 89},
  [10517] = {.lex_state = 89},
  [10518] = {.lex_state = 89},
  [10519] = {.lex_state = 89},
  [10520] = {.lex_state = 89},
  [10521] = {.lex_state = 89},
  [10522] = {.lex_state = 89},
  [10523] = {.lex_state = 89},
  [10524] = {.lex_state = 89},
  [10525] = {.lex_state = 89},
  [10526] = {.lex_state = 89},
  [10527] = {.lex_state = 89},
  [10528] = {.lex_state = 89},
  [10529] = {.lex_state = 89},
  [10530] = {.lex_state = 89},
  [10531] = {.lex_state = 89},
  [10532] = {.lex_state = 89},
  [10533] = {.lex_state = 89},
  [10534] = {.lex_state = 89},
  [10535] = {.lex_state = 87},
  [10536] = {.lex_state = 87},
  [10537] = {.lex_state = 95, .external_lex_state = 2},
  [10538] = {.lex_state = 100},
  [10539] = {.lex_state = 95},
  [10540] = {.lex_state = 95, .external_lex_state = 2},
  [10541] = {.lex_state = 95},
  [10542] = {.lex_state = 95},
  [10543] = {.lex_state = 95},
  [10544] = {.lex_state = 95},
  [10545] = {.lex_state = 95},
  [10546] = {.lex_state = 95},
  [10547] = {.lex_state = 95},
  [10548] = {.lex_state = 95},
  [10549] = {.lex_state = 95},
  [10550] = {.lex_state = 95},
  [10551] = {.lex_state = 95},
  [10552] = {.lex_state = 95},
  [10553] = {.lex_state = 95},
  [10554] = {.lex_state = 95},
  [10555] = {.lex_state = 95},
  [10556] = {.lex_state = 95},
  [10557] = {.lex_state = 95},
  [10558] = {.lex_state = 95},
  [10559] = {.lex_state = 95},
  [10560] = {.lex_state = 95},
  [10561] = {.lex_state = 95},
  [10562] = {.lex_state = 95},
  [10563] = {.lex_state = 95},
  [10564] = {.lex_state = 95},
  [10565] = {.lex_state = 95},
  [10566] = {.lex_state = 95},
  [10567] = {.lex_state = 95},
  [10568] = {.lex_state = 95},
  [10569] = {.lex_state = 95},
  [10570] = {.lex_state = 95},
  [10571] = {.lex_state = 95},
  [10572] = {.lex_state = 95},
  [10573] = {.lex_state = 95},
  [10574] = {.lex_state = 95},
  [10575] = {.lex_state = 95},
  [10576] = {.lex_state = 95},
  [10577] = {.lex_state = 95},
  [10578] = {.lex_state = 95},
  [10579] = {.lex_state = 95},
  [10580] = {.lex_state = 95},
  [10581] = {.lex_state = 95},
  [10582] = {.lex_state = 95},
  [10583] = {.lex_state = 95},
  [10584] = {.lex_state = 95},
  [10585] = {.lex_state = 95},
  [10586] = {.lex_state = 95},
  [10587] = {.lex_state = 95},
  [10588] = {.lex_state = 95},
  [10589] = {.lex_state = 95},
  [10590] = {.lex_state = 95},
  [10591] = {.lex_state = 95},
  [10592] = {.lex_state = 95},
  [10593] = {.lex_state = 95},
  [10594] = {.lex_state = 95},
  [10595] = {.lex_state = 95},
  [10596] = {.lex_state = 95},
  [10597] = {.lex_state = 100},
  [10598] = {.lex_state = 95},
  [10599] = {.lex_state = 95},
  [10600] = {.lex_state = 95},
  [10601] = {.lex_state = 95},
  [10602] = {.lex_state = 95},
  [10603] = {.lex_state = 95},
  [10604] = {.lex_state = 95},
  [10605] = {.lex_state = 95},
  [10606] = {.lex_state = 95},
  [10607] = {.lex_state = 95},
  [10608] = {.lex_state = 95},
  [10609] = {.lex_state = 95},
  [10610] = {.lex_state = 95},
  [10611] = {.lex_state = 95},
  [10612] = {.lex_state = 95},
  [10613] = {.lex_state = 95},
  [10614] = {.lex_state = 95},
  [10615] = {.lex_state = 95},
  [10616] = {.lex_state = 95},
  [10617] = {.lex_state = 95},
  [10618] = {.lex_state = 95},
  [10619] = {.lex_state = 95},
  [10620] = {.lex_state = 95},
  [10621] = {.lex_state = 95},
  [10622] = {.lex_state = 95},
  [10623] = {.lex_state = 95},
  [10624] = {.lex_state = 95},
  [10625] = {.lex_state = 95},
  [10626] = {.lex_state = 95},
  [10627] = {.lex_state = 95},
  [10628] = {.lex_state = 95},
  [10629] = {.lex_state = 95},
  [10630] = {.lex_state = 95},
  [10631] = {.lex_state = 95},
  [10632] = {.lex_state = 95},
  [10633] = {.lex_state = 95},
  [10634] = {.lex_state = 95},
  [10635] = {.lex_state = 95},
  [10636] = {.lex_state = 95},
  [10637] = {.lex_state = 95},
  [10638] = {.lex_state = 95},
  [10639] = {.lex_state = 95},
  [10640] = {.lex_state = 95},
  [10641] = {.lex_state = 95},
  [10642] = {.lex_state = 95},
  [10643] = {.lex_state = 95},
  [10644] = {.lex_state = 95},
  [10645] = {.lex_state = 95},
  [10646] = {.lex_state = 95},
  [10647] = {.lex_state = 95},
  [10648] = {.lex_state = 95},
  [10649] = {.lex_state = 95},
  [10650] = {.lex_state = 95},
  [10651] = {.lex_state = 95},
  [10652] = {.lex_state = 95},
  [10653] = {.lex_state = 95},
  [10654] = {.lex_state = 95},
  [10655] = {.lex_state = 95},
  [10656] = {.lex_state = 95},
  [10657] = {.lex_state = 95},
  [10658] = {.lex_state = 95},
  [10659] = {.lex_state = 95},
  [10660] = {.lex_state = 95},
  [10661] = {.lex_state = 95},
  [10662] = {.lex_state = 95},
  [10663] = {.lex_state = 95},
  [10664] = {.lex_state = 95},
  [10665] = {.lex_state = 95},
  [10666] = {.lex_state = 95},
  [10667] = {.lex_state = 95},
  [10668] = {.lex_state = 95},
  [10669] = {.lex_state = 95},
  [10670] = {.lex_state = 95},
  [10671] = {.lex_state = 95},
  [10672] = {.lex_state = 95},
  [10673] = {.lex_state = 100},
  [10674] = {.lex_state = 91},
  [10675] = {.lex_state = 91},
  [10676] = {.lex_state = 91},
  [10677] = {.lex_state = 91},
  [10678] = {.lex_state = 91},
  [10679] = {.lex_state = 91},
  [10680] = {.lex_state = 91},
  [10681] = {.lex_state = 91},
  [10682] = {.lex_state = 91},
  [10683] = {.lex_state = 91},
  [10684] = {.lex_state = 91},
  [10685] = {.lex_state = 91},
  [10686] = {.lex_state = 91},
  [10687] = {.lex_state = 91},
  [10688] = {.lex_state = 91},
  [10689] = {.lex_state = 91},
  [10690] = {.lex_state = 91},
  [10691] = {.lex_state = 91},
  [10692] = {.lex_state = 91},
  [10693] = {.lex_state = 91},
  [10694] = {.lex_state = 91},
  [10695] = {.lex_state = 91},
  [10696] = {.lex_state = 91},
  [10697] = {.lex_state = 91},
  [10698] = {.lex_state = 91},
  [10699] = {.lex_state = 91},
  [10700] = {.lex_state = 91},
  [10701] = {.lex_state = 95},
  [10702] = {.lex_state = 91},
  [10703] = {.lex_state = 91},
  [10704] = {.lex_state = 91},
  [10705] = {.lex_state = 91},
  [10706] = {.lex_state = 91},
  [10707] = {.lex_state = 91},
  [10708] = {.lex_state = 91},
  [10709] = {.lex_state = 91},
  [10710] = {.lex_state = 91},
  [10711] = {.lex_state = 91},
  [10712] = {.lex_state = 91},
  [10713] = {.lex_state = 91},
  [10714] = {.lex_state = 91},
  [10715] = {.lex_state = 91},
  [10716] = {.lex_state = 91},
  [10717] = {.lex_state = 91},
  [10718] = {.lex_state = 91},
  [10719] = {.lex_state = 91},
  [10720] = {.lex_state = 91},
  [10721] = {.lex_state = 91},
  [10722] = {.lex_state = 91},
  [10723] = {.lex_state = 91},
  [10724] = {.lex_state = 91},
  [10725] = {.lex_state = 86},
  [10726] = {.lex_state = 91},
  [10727] = {.lex_state = 86},
  [10728] = {.lex_state = 91},
  [10729] = {.lex_state = 91},
  [10730] = {.lex_state = 91},
  [10731] = {.lex_state = 91},
  [10732] = {.lex_state = 91},
  [10733] = {.lex_state = 91},
  [10734] = {.lex_state = 91},
  [10735] = {.lex_state = 91},
  [10736] = {.lex_state = 96},
  [10737] = {.lex_state = 91},
  [10738] = {.lex_state = 91},
  [10739] = {.lex_state = 91},
  [10740] = {.lex_state = 91},
  [10741] = {.lex_state = 91},
  [10742] = {.lex_state = 91},
  [10743] = {.lex_state = 91},
  [10744] = {.lex_state = 91},
  [10745] = {.lex_state = 91},
  [10746] = {.lex_state = 91},
  [10747] = {.lex_state = 91},
  [10748] = {.lex_state = 91},
  [10749] = {.lex_state = 91},
  [10750] = {.lex_state = 91},
  [10751] = {.lex_state = 91},
  [10752] = {.lex_state = 91},
  [10753] = {.lex_state = 91},
  [10754] = {.lex_state = 91},
  [10755] = {.lex_state = 91},
  [10756] = {.lex_state = 91},
  [10757] = {.lex_state = 91},
  [10758] = {.lex_state = 91},
  [10759] = {.lex_state = 91},
  [10760] = {.lex_state = 91},
  [10761] = {.lex_state = 91},
  [10762] = {.lex_state = 91},
  [10763] = {.lex_state = 91},
  [10764] = {.lex_state = 91},
  [10765] = {.lex_state = 91},
  [10766] = {.lex_state = 91},
  [10767] = {.lex_state = 91},
  [10768] = {.lex_state = 91},
  [10769] = {.lex_state = 91},
  [10770] = {.lex_state = 91},
  [10771] = {.lex_state = 95},
  [10772] = {.lex_state = 95},
  [10773] = {.lex_state = 95},
  [10774] = {.lex_state = 95},
  [10775] = {.lex_state = 91},
  [10776] = {.lex_state = 91},
  [10777] = {.lex_state = 91},
  [10778] = {.lex_state = 91},
  [10779] = {.lex_state = 91},
  [10780] = {.lex_state = 91},
  [10781] = {.lex_state = 91},
  [10782] = {.lex_state = 91},
  [10783] = {.lex_state = 91},
  [10784] = {.lex_state = 95},
  [10785] = {.lex_state = 91},
  [10786] = {.lex_state = 91},
  [10787] = {.lex_state = 91},
  [10788] = {.lex_state = 91},
  [10789] = {.lex_state = 91},
  [10790] = {.lex_state = 91},
  [10791] = {.lex_state = 91},
  [10792] = {.lex_state = 91},
  [10793] = {.lex_state = 91},
  [10794] = {.lex_state = 95},
  [10795] = {.lex_state = 91},
  [10796] = {.lex_state = 91},
  [10797] = {.lex_state = 91},
  [10798] = {.lex_state = 91},
  [10799] = {.lex_state = 91},
  [10800] = {.lex_state = 91},
  [10801] = {.lex_state = 91},
  [10802] = {.lex_state = 91},
  [10803] = {.lex_state = 91},
  [10804] = {.lex_state = 91},
  [10805] = {.lex_state = 91},
  [10806] = {.lex_state = 91},
  [10807] = {.lex_state = 91},
  [10808] = {.lex_state = 91},
  [10809] = {.lex_state = 91},
  [10810] = {.lex_state = 91},
  [10811] = {.lex_state = 91},
  [10812] = {.lex_state = 91},
  [10813] = {.lex_state = 91},
  [10814] = {.lex_state = 91},
  [10815] = {.lex_state = 91},
  [10816] = {.lex_state = 95},
  [10817] = {.lex_state = 95},
  [10818] = {.lex_state = 95},
  [10819] = {.lex_state = 95},
  [10820] = {.lex_state = 95},
  [10821] = {.lex_state = 95},
  [10822] = {.lex_state = 95},
  [10823] = {.lex_state = 95},
  [10824] = {.lex_state = 95},
  [10825] = {.lex_state = 95},
  [10826] = {.lex_state = 95},
  [10827] = {.lex_state = 95},
  [10828] = {.lex_state = 95},
  [10829] = {.lex_state = 95},
  [10830] = {.lex_state = 95},
  [10831] = {.lex_state = 95},
  [10832] = {.lex_state = 95},
  [10833] = {.lex_state = 95},
  [10834] = {.lex_state = 95},
  [10835] = {.lex_state = 95},
  [10836] = {.lex_state = 95},
  [10837] = {.lex_state = 95},
  [10838] = {.lex_state = 95},
  [10839] = {.lex_state = 95},
  [10840] = {.lex_state = 95},
  [10841] = {.lex_state = 95},
  [10842] = {.lex_state = 95},
  [10843] = {.lex_state = 95},
  [10844] = {.lex_state = 95},
  [10845] = {.lex_state = 95},
  [10846] = {.lex_state = 95},
  [10847] = {.lex_state = 95},
  [10848] = {.lex_state = 95},
  [10849] = {.lex_state = 95},
  [10850] = {.lex_state = 95},
  [10851] = {.lex_state = 95},
  [10852] = {.lex_state = 95},
  [10853] = {.lex_state = 95},
  [10854] = {.lex_state = 95},
  [10855] = {.lex_state = 95},
  [10856] = {.lex_state = 95},
  [10857] = {.lex_state = 95},
  [10858] = {.lex_state = 95},
  [10859] = {.lex_state = 95},
  [10860] = {.lex_state = 95},
  [10861] = {.lex_state = 95},
  [10862] = {.lex_state = 95},
  [10863] = {.lex_state = 95},
  [10864] = {.lex_state = 95},
  [10865] = {.lex_state = 95},
  [10866] = {.lex_state = 95},
  [10867] = {.lex_state = 95},
  [10868] = {.lex_state = 95},
  [10869] = {.lex_state = 95},
  [10870] = {.lex_state = 95},
  [10871] = {.lex_state = 95},
  [10872] = {.lex_state = 95},
  [10873] = {.lex_state = 95},
  [10874] = {.lex_state = 95},
  [10875] = {.lex_state = 95},
  [10876] = {.lex_state = 95},
  [10877] = {.lex_state = 95},
  [10878] = {.lex_state = 95},
  [10879] = {.lex_state = 95},
  [10880] = {.lex_state = 95},
  [10881] = {.lex_state = 95},
  [10882] = {.lex_state = 95},
  [10883] = {.lex_state = 95},
  [10884] = {.lex_state = 95},
  [10885] = {.lex_state = 95},
  [10886] = {.lex_state = 95},
  [10887] = {.lex_state = 95},
  [10888] = {.lex_state = 95},
  [10889] = {.lex_state = 95},
  [10890] = {.lex_state = 95},
  [10891] = {.lex_state = 95},
  [10892] = {.lex_state = 95},
  [10893] = {.lex_state = 95},
  [10894] = {.lex_state = 95},
  [10895] = {.lex_state = 95},
  [10896] = {.lex_state = 95},
  [10897] = {.lex_state = 95},
  [10898] = {.lex_state = 95},
  [10899] = {.lex_state = 95},
  [10900] = {.lex_state = 95},
  [10901] = {.lex_state = 95},
  [10902] = {.lex_state = 95},
  [10903] = {.lex_state = 95},
  [10904] = {.lex_state = 91},
  [10905] = {.lex_state = 95},
  [10906] = {.lex_state = 95},
  [10907] = {.lex_state = 95},
  [10908] = {.lex_state = 95},
  [10909] = {.lex_state = 95},
  [10910] = {.lex_state = 95},
  [10911] = {.lex_state = 95},
  [10912] = {.lex_state = 95},
  [10913] = {.lex_state = 95},
  [10914] = {.lex_state = 95},
  [10915] = {.lex_state = 95},
  [10916] = {.lex_state = 95},
  [10917] = {.lex_state = 95},
  [10918] = {.lex_state = 95},
  [10919] = {.lex_state = 95},
  [10920] = {.lex_state = 95},
  [10921] = {.lex_state = 95},
  [10922] = {.lex_state = 95},
  [10923] = {.lex_state = 95},
  [10924] = {.lex_state = 95},
  [10925] = {.lex_state = 95},
  [10926] = {.lex_state = 95},
  [10927] = {.lex_state = 95},
  [10928] = {.lex_state = 95},
  [10929] = {.lex_state = 91},
  [10930] = {.lex_state = 95},
  [10931] = {.lex_state = 95},
  [10932] = {.lex_state = 95},
  [10933] = {.lex_state = 95},
  [10934] = {.lex_state = 95},
  [10935] = {.lex_state = 95},
  [10936] = {.lex_state = 95},
  [10937] = {.lex_state = 95},
  [10938] = {.lex_state = 95},
  [10939] = {.lex_state = 95},
  [10940] = {.lex_state = 95},
  [10941] = {.lex_state = 95},
  [10942] = {.lex_state = 95},
  [10943] = {.lex_state = 95},
  [10944] = {.lex_state = 95},
  [10945] = {.lex_state = 95},
  [10946] = {.lex_state = 95},
  [10947] = {.lex_state = 95},
  [10948] = {.lex_state = 95},
  [10949] = {.lex_state = 95},
  [10950] = {.lex_state = 95},
  [10951] = {.lex_state = 95},
  [10952] = {.lex_state = 95},
  [10953] = {.lex_state = 95},
  [10954] = {.lex_state = 95},
  [10955] = {.lex_state = 95},
  [10956] = {.lex_state = 95},
  [10957] = {.lex_state = 95},
  [10958] = {.lex_state = 95},
  [10959] = {.lex_state = 95},
  [10960] = {.lex_state = 95},
  [10961] = {.lex_state = 95},
  [10962] = {.lex_state = 95},
  [10963] = {.lex_state = 95},
  [10964] = {.lex_state = 95},
  [10965] = {.lex_state = 95},
  [10966] = {.lex_state = 95},
  [10967] = {.lex_state = 95},
  [10968] = {.lex_state = 95},
  [10969] = {.lex_state = 95},
  [10970] = {.lex_state = 95},
  [10971] = {.lex_state = 95},
  [10972] = {.lex_state = 95},
  [10973] = {.lex_state = 95},
  [10974] = {.lex_state = 95},
  [10975] = {.lex_state = 95},
  [10976] = {.lex_state = 95},
  [10977] = {.lex_state = 95},
  [10978] = {.lex_state = 95},
  [10979] = {.lex_state = 95},
  [10980] = {.lex_state = 95},
  [10981] = {.lex_state = 95},
  [10982] = {.lex_state = 95},
  [10983] = {.lex_state = 95},
  [10984] = {.lex_state = 95},
  [10985] = {.lex_state = 95},
  [10986] = {.lex_state = 95},
  [10987] = {.lex_state = 95},
  [10988] = {.lex_state = 95},
  [10989] = {.lex_state = 95},
  [10990] = {.lex_state = 95},
  [10991] = {.lex_state = 95},
  [10992] = {.lex_state = 95},
  [10993] = {.lex_state = 95},
  [10994] = {.lex_state = 95},
  [10995] = {.lex_state = 95},
  [10996] = {.lex_state = 95},
  [10997] = {.lex_state = 95},
  [10998] = {.lex_state = 95},
  [10999] = {.lex_state = 95},
  [11000] = {.lex_state = 95},
  [11001] = {.lex_state = 95},
  [11002] = {.lex_state = 95},
  [11003] = {.lex_state = 95},
  [11004] = {.lex_state = 95},
  [11005] = {.lex_state = 95},
  [11006] = {.lex_state = 95},
  [11007] = {.lex_state = 91},
  [11008] = {.lex_state = 91},
  [11009] = {.lex_state = 91},
  [11010] = {.lex_state = 91},
  [11011] = {.lex_state = 91},
  [11012] = {.lex_state = 91},
  [11013] = {.lex_state = 91},
  [11014] = {.lex_state = 91},
  [11015] = {.lex_state = 91},
  [11016] = {.lex_state = 91},
  [11017] = {.lex_state = 91},
  [11018] = {.lex_state = 91},
  [11019] = {.lex_state = 91},
  [11020] = {.lex_state = 91},
  [11021] = {.lex_state = 91},
  [11022] = {.lex_state = 91},
  [11023] = {.lex_state = 91},
  [11024] = {.lex_state = 91},
  [11025] = {.lex_state = 91},
  [11026] = {.lex_state = 91},
  [11027] = {.lex_state = 91},
  [11028] = {.lex_state = 91},
  [11029] = {.lex_state = 91},
  [11030] = {.lex_state = 91},
  [11031] = {.lex_state = 91},
  [11032] = {.lex_state = 91},
  [11033] = {.lex_state = 91},
  [11034] = {.lex_state = 91},
  [11035] = {.lex_state = 91},
  [11036] = {.lex_state = 91},
  [11037] = {.lex_state = 91},
  [11038] = {.lex_state = 91},
  [11039] = {.lex_state = 91},
  [11040] = {.lex_state = 91},
  [11041] = {.lex_state = 91},
  [11042] = {.lex_state = 91},
  [11043] = {.lex_state = 91},
  [11044] = {.lex_state = 91},
  [11045] = {.lex_state = 91},
  [11046] = {.lex_state = 91},
  [11047] = {.lex_state = 91},
  [11048] = {.lex_state = 91},
  [11049] = {.lex_state = 91},
  [11050] = {.lex_state = 91},
  [11051] = {.lex_state = 91},
  [11052] = {.lex_state = 91},
  [11053] = {.lex_state = 91},
  [11054] = {.lex_state = 91},
  [11055] = {.lex_state = 91},
  [11056] = {.lex_state = 91},
  [11057] = {.lex_state = 91},
  [11058] = {.lex_state = 91},
  [11059] = {.lex_state = 91},
  [11060] = {.lex_state = 91},
  [11061] = {.lex_state = 91},
  [11062] = {.lex_state = 91},
  [11063] = {.lex_state = 91},
  [11064] = {.lex_state = 91},
  [11065] = {.lex_state = 91},
  [11066] = {.lex_state = 91},
  [11067] = {.lex_state = 91},
  [11068] = {.lex_state = 91},
  [11069] = {.lex_state = 91},
  [11070] = {.lex_state = 91},
  [11071] = {.lex_state = 91},
  [11072] = {.lex_state = 91},
  [11073] = {.lex_state = 91},
  [11074] = {.lex_state = 91},
  [11075] = {.lex_state = 91},
  [11076] = {.lex_state = 91},
  [11077] = {.lex_state = 91},
  [11078] = {.lex_state = 91},
  [11079] = {.lex_state = 91},
  [11080] = {.lex_state = 91},
  [11081] = {.lex_state = 91},
  [11082] = {.lex_state = 91},
  [11083] = {.lex_state = 91},
  [11084] = {.lex_state = 91},
  [11085] = {.lex_state = 91},
  [11086] = {.lex_state = 91},
  [11087] = {.lex_state = 91},
  [11088] = {.lex_state = 91},
  [11089] = {.lex_state = 91},
  [11090] = {.lex_state = 91},
  [11091] = {.lex_state = 91},
  [11092] = {.lex_state = 91},
  [11093] = {.lex_state = 91},
  [11094] = {.lex_state = 91},
  [11095] = {.lex_state = 91},
  [11096] = {.lex_state = 91},
  [11097] = {.lex_state = 91},
  [11098] = {.lex_state = 91},
  [11099] = {.lex_state = 91},
  [11100] = {.lex_state = 91},
  [11101] = {.lex_state = 91},
  [11102] = {.lex_state = 91},
  [11103] = {.lex_state = 91},
  [11104] = {.lex_state = 91},
  [11105] = {.lex_state = 91},
  [11106] = {.lex_state = 91},
  [11107] = {.lex_state = 91},
  [11108] = {.lex_state = 91},
  [11109] = {.lex_state = 91},
  [11110] = {.lex_state = 91},
  [11111] = {.lex_state = 91},
  [11112] = {.lex_state = 91},
  [11113] = {.lex_state = 91},
  [11114] = {.lex_state = 91},
  [11115] = {.lex_state = 91},
  [11116] = {.lex_state = 91},
  [11117] = {.lex_state = 89},
  [11118] = {.lex_state = 91},
  [11119] = {.lex_state = 91},
  [11120] = {.lex_state = 91},
  [11121] = {.lex_state = 91},
  [11122] = {.lex_state = 91},
  [11123] = {.lex_state = 91},
  [11124] = {.lex_state = 91},
  [11125] = {.lex_state = 91},
  [11126] = {.lex_state = 91},
  [11127] = {.lex_state = 91},
  [11128] = {.lex_state = 91},
  [11129] = {.lex_state = 91},
  [11130] = {.lex_state = 91},
  [11131] = {.lex_state = 91},
  [11132] = {.lex_state = 91},
  [11133] = {.lex_state = 91},
  [11134] = {.lex_state = 91},
  [11135] = {.lex_state = 91},
  [11136] = {.lex_state = 91},
  [11137] = {.lex_state = 91},
  [11138] = {.lex_state = 91},
  [11139] = {.lex_state = 91},
  [11140] = {.lex_state = 91},
  [11141] = {.lex_state = 91},
  [11142] = {.lex_state = 91},
  [11143] = {.lex_state = 91},
  [11144] = {.lex_state = 91},
  [11145] = {.lex_state = 91},
  [11146] = {.lex_state = 91},
  [11147] = {.lex_state = 91},
  [11148] = {.lex_state = 91},
  [11149] = {.lex_state = 91},
  [11150] = {.lex_state = 91},
  [11151] = {.lex_state = 91},
  [11152] = {.lex_state = 91},
  [11153] = {.lex_state = 91},
  [11154] = {.lex_state = 91},
  [11155] = {.lex_state = 91},
  [11156] = {.lex_state = 91},
  [11157] = {.lex_state = 91},
  [11158] = {.lex_state = 91},
  [11159] = {.lex_state = 91},
  [11160] = {.lex_state = 91},
  [11161] = {.lex_state = 91},
  [11162] = {.lex_state = 98},
  [11163] = {.lex_state = 98},
  [11164] = {.lex_state = 98},
  [11165] = {.lex_state = 98},
  [11166] = {.lex_state = 98},
  [11167] = {.lex_state = 98},
  [11168] = {.lex_state = 98},
  [11169] = {.lex_state = 89},
  [11170] = {.lex_state = 98},
  [11171] = {.lex_state = 98},
  [11172] = {.lex_state = 98},
  [11173] = {.lex_state = 98},
  [11174] = {.lex_state = 98},
  [11175] = {.lex_state = 98},
  [11176] = {.lex_state = 98},
  [11177] = {.lex_state = 98},
  [11178] = {.lex_state = 98},
  [11179] = {.lex_state = 88},
  [11180] = {.lex_state = 98},
  [11181] = {.lex_state = 98},
  [11182] = {.lex_state = 98},
  [11183] = {.lex_state = 98},
  [11184] = {.lex_state = 98},
  [11185] = {.lex_state = 98},
  [11186] = {.lex_state = 98},
  [11187] = {.lex_state = 98},
  [11188] = {.lex_state = 98},
  [11189] = {.lex_state = 98},
  [11190] = {.lex_state = 88},
  [11191] = {.lex_state = 98},
  [11192] = {.lex_state = 98},
  [11193] = {.lex_state = 88},
  [11194] = {.lex_state = 98},
  [11195] = {.lex_state = 98},
  [11196] = {.lex_state = 98},
  [11197] = {.lex_state = 98},
  [11198] = {.lex_state = 98},
  [11199] = {.lex_state = 98},
  [11200] = {.lex_state = 98},
  [11201] = {.lex_state = 98},
  [11202] = {.lex_state = 98},
  [11203] = {.lex_state = 98},
  [11204] = {.lex_state = 98},
  [11205] = {.lex_state = 98},
  [11206] = {.lex_state = 98},
  [11207] = {.lex_state = 98},
  [11208] = {.lex_state = 98},
  [11209] = {.lex_state = 98},
  [11210] = {.lex_state = 98},
  [11211] = {.lex_state = 98},
  [11212] = {.lex_state = 98},
  [11213] = {.lex_state = 98},
  [11214] = {.lex_state = 98},
  [11215] = {.lex_state = 98},
  [11216] = {.lex_state = 98},
  [11217] = {.lex_state = 99},
  [11218] = {.lex_state = 99},
  [11219] = {.lex_state = 99},
  [11220] = {.lex_state = 99},
  [11221] = {.lex_state = 99},
  [11222] = {.lex_state = 99},
  [11223] = {.lex_state = 91},
  [11224] = {.lex_state = 98},
  [11225] = {.lex_state = 99},
  [11226] = {.lex_state = 98},
  [11227] = {.lex_state = 99},
  [11228] = {.lex_state = 98},
  [11229] = {.lex_state = 98},
  [11230] = {.lex_state = 100},
  [11231] = {.lex_state = 99},
  [11232] = {.lex_state = 98},
  [11233] = {.lex_state = 98},
  [11234] = {.lex_state = 99},
  [11235] = {.lex_state = 98},
  [11236] = {.lex_state = 100},
  [11237] = {.lex_state = 98},
  [11238] = {.lex_state = 98},
  [11239] = {.lex_state = 98},
  [11240] = {.lex_state = 98},
  [11241] = {.lex_state = 98},
  [11242] = {.lex_state = 98},
  [11243] = {.lex_state = 98},
  [11244] = {.lex_state = 98},
  [11245] = {.lex_state = 98},
  [11246] = {.lex_state = 100},
  [11247] = {.lex_state = 98},
  [11248] = {.lex_state = 98},
  [11249] = {.lex_state = 100},
  [11250] = {.lex_state = 100},
  [11251] = {.lex_state = 100},
  [11252] = {.lex_state = 100},
  [11253] = {.lex_state = 100},
  [11254] = {.lex_state = 99},
  [11255] = {.lex_state = 99},
  [11256] = {.lex_state = 100},
  [11257] = {.lex_state = 98},
  [11258] = {.lex_state = 100},
  [11259] = {.lex_state = 99},
  [11260] = {.lex_state = 100},
  [11261] = {.lex_state = 100},
  [11262] = {.lex_state = 100},
  [11263] = {.lex_state = 100},
  [11264] = {.lex_state = 99},
  [11265] = {.lex_state = 98},
  [11266] = {.lex_state = 98},
  [11267] = {.lex_state = 99},
  [11268] = {.lex_state = 100},
  [11269] = {.lex_state = 98},
  [11270] = {.lex_state = 100},
  [11271] = {.lex_state = 98},
  [11272] = {.lex_state = 100},
  [11273] = {.lex_state = 100},
  [11274] = {.lex_state = 100},
  [11275] = {.lex_state = 100},
  [11276] = {.lex_state = 100},
  [11277] = {.lex_state = 100},
  [11278] = {.lex_state = 100},
  [11279] = {.lex_state = 100},
  [11280] = {.lex_state = 100},
  [11281] = {.lex_state = 100},
  [11282] = {.lex_state = 100},
  [11283] = {.lex_state = 100},
  [11284] = {.lex_state = 100},
  [11285] = {.lex_state = 100},
  [11286] = {.lex_state = 98},
  [11287] = {.lex_state = 100},
  [11288] = {.lex_state = 100},
  [11289] = {.lex_state = 100},
  [11290] = {.lex_state = 100},
  [11291] = {.lex_state = 100},
  [11292] = {.lex_state = 100},
  [11293] = {.lex_state = 100},
  [11294] = {.lex_state = 100},
  [11295] = {.lex_state = 100},
  [11296] = {.lex_state = 100},
  [11297] = {.lex_state = 100},
  [11298] = {.lex_state = 100},
  [11299] = {.lex_state = 100},
  [11300] = {.lex_state = 100},
  [11301] = {.lex_state = 98},
  [11302] = {.lex_state = 100},
  [11303] = {.lex_state = 100},
  [11304] = {.lex_state = 100},
  [11305] = {.lex_state = 100},
  [11306] = {.lex_state = 100},
  [11307] = {.lex_state = 100},
  [11308] = {.lex_state = 100},
  [11309] = {.lex_state = 100},
  [11310] = {.lex_state = 98},
  [11311] = {.lex_state = 98},
  [11312] = {.lex_state = 98},
  [11313] = {.lex_state = 98},
  [11314] = {.lex_state = 98},
  [11315] = {.lex_state = 98},
  [11316] = {.lex_state = 98},
  [11317] = {.lex_state = 98},
  [11318] = {.lex_state = 98},
  [11319] = {.lex_state = 98},
  [11320] = {.lex_state = 98},
  [11321] = {.lex_state = 98},
  [11322] = {.lex_state = 98},
  [11323] = {.lex_state = 98},
  [11324] = {.lex_state = 98},
  [11325] = {.lex_state = 98},
  [11326] = {.lex_state = 98},
  [11327] = {.lex_state = 98},
  [11328] = {.lex_state = 98},
  [11329] = {.lex_state = 98},
  [11330] = {.lex_state = 98},
  [11331] = {.lex_state = 98},
  [11332] = {.lex_state = 98},
  [11333] = {.lex_state = 98},
  [11334] = {.lex_state = 98},
  [11335] = {.lex_state = 98},
  [11336] = {.lex_state = 98},
  [11337] = {.lex_state = 98},
  [11338] = {.lex_state = 98},
  [11339] = {.lex_state = 98},
  [11340] = {.lex_state = 98},
  [11341] = {.lex_state = 98},
  [11342] = {.lex_state = 98},
  [11343] = {.lex_state = 98},
  [11344] = {.lex_state = 98},
  [11345] = {.lex_state = 98},
  [11346] = {.lex_state = 98},
  [11347] = {.lex_state = 98},
  [11348] = {.lex_state = 98},
  [11349] = {.lex_state = 98},
  [11350] = {.lex_state = 98},
  [11351] = {.lex_state = 98},
  [11352] = {.lex_state = 98},
  [11353] = {.lex_state = 98},
  [11354] = {.lex_state = 98},
  [11355] = {.lex_state = 98},
  [11356] = {.lex_state = 98},
  [11357] = {.lex_state = 98},
  [11358] = {.lex_state = 98},
  [11359] = {.lex_state = 98},
  [11360] = {.lex_state = 98},
  [11361] = {.lex_state = 98},
  [11362] = {.lex_state = 98},
  [11363] = {.lex_state = 99},
  [11364] = {.lex_state = 98},
  [11365] = {.lex_state = 98},
  [11366] = {.lex_state = 98},
  [11367] = {.lex_state = 98},
  [11368] = {.lex_state = 98},
  [11369] = {.lex_state = 98},
  [11370] = {.lex_state = 98},
  [11371] = {.lex_state = 98},
  [11372] = {.lex_state = 98},
  [11373] = {.lex_state = 99},
  [11374] = {.lex_state = 98},
  [11375] = {.lex_state = 98},
  [11376] = {.lex_state = 98},
  [11377] = {.lex_state = 98},
  [11378] = {.lex_state = 98},
  [11379] = {.lex_state = 98},
  [11380] = {.lex_state = 98},
  [11381] = {.lex_state = 98},
  [11382] = {.lex_state = 98},
  [11383] = {.lex_state = 98},
  [11384] = {.lex_state = 98},
  [11385] = {.lex_state = 98},
  [11386] = {.lex_state = 98},
  [11387] = {.lex_state = 98},
  [11388] = {.lex_state = 98},
  [11389] = {.lex_state = 98},
  [11390] = {.lex_state = 98},
  [11391] = {.lex_state = 98},
  [11392] = {.lex_state = 98},
  [11393] = {.lex_state = 98},
  [11394] = {.lex_state = 98},
  [11395] = {.lex_state = 98},
  [11396] = {.lex_state = 98},
  [11397] = {.lex_state = 98},
  [11398] = {.lex_state = 99},
  [11399] = {.lex_state = 98},
  [11400] = {.lex_state = 98},
  [11401] = {.lex_state = 98},
  [11402] = {.lex_state = 99},
  [11403] = {.lex_state = 98},
  [11404] = {.lex_state = 98},
  [11405] = {.lex_state = 98},
  [11406] = {.lex_state = 98},
  [11407] = {.lex_state = 98},
  [11408] = {.lex_state = 98},
  [11409] = {.lex_state = 98},
  [11410] = {.lex_state = 98},
  [11411] = {.lex_state = 98},
  [11412] = {.lex_state = 98},
  [11413] = {.lex_state = 98},
  [11414] = {.lex_state = 98},
  [11415] = {.lex_state = 98},
  [11416] = {.lex_state = 98},
  [11417] = {.lex_state = 98},
  [11418] = {.lex_state = 98},
  [11419] = {.lex_state = 98},
  [11420] = {.lex_state = 98},
  [11421] = {.lex_state = 98},
  [11422] = {.lex_state = 98},
  [11423] = {.lex_state = 98},
  [11424] = {.lex_state = 98},
  [11425] = {.lex_state = 98},
  [11426] = {.lex_state = 98},
  [11427] = {.lex_state = 98},
  [11428] = {.lex_state = 98},
  [11429] = {.lex_state = 98},
  [11430] = {.lex_state = 98},
  [11431] = {.lex_state = 98},
  [11432] = {.lex_state = 99},
  [11433] = {.lex_state = 98},
  [11434] = {.lex_state = 98},
  [11435] = {.lex_state = 98},
  [11436] = {.lex_state = 98},
  [11437] = {.lex_state = 98},
  [11438] = {.lex_state = 98},
  [11439] = {.lex_state = 98},
  [11440] = {.lex_state = 98},
  [11441] = {.lex_state = 98},
  [11442] = {.lex_state = 98},
  [11443] = {.lex_state = 98},
  [11444] = {.lex_state = 98},
  [11445] = {.lex_state = 98},
  [11446] = {.lex_state = 98},
  [11447] = {.lex_state = 98},
  [11448] = {.lex_state = 98},
  [11449] = {.lex_state = 98},
  [11450] = {.lex_state = 98},
  [11451] = {.lex_state = 98},
  [11452] = {.lex_state = 98},
  [11453] = {.lex_state = 98},
  [11454] = {.lex_state = 98},
  [11455] = {.lex_state = 98},
  [11456] = {.lex_state = 98},
  [11457] = {.lex_state = 98},
  [11458] = {.lex_state = 98},
  [11459] = {.lex_state = 98},
  [11460] = {.lex_state = 98},
  [11461] = {.lex_state = 98},
  [11462] = {.lex_state = 98},
  [11463] = {.lex_state = 98},
  [11464] = {.lex_state = 98},
  [11465] = {.lex_state = 99},
  [11466] = {.lex_state = 98},
  [11467] = {.lex_state = 98},
  [11468] = {.lex_state = 98},
  [11469] = {.lex_state = 98},
  [11470] = {.lex_state = 98},
  [11471] = {.lex_state = 99},
  [11472] = {.lex_state = 98},
  [11473] = {.lex_state = 98},
  [11474] = {.lex_state = 98},
  [11475] = {.lex_state = 98},
  [11476] = {.lex_state = 98},
  [11477] = {.lex_state = 98},
  [11478] = {.lex_state = 98},
  [11479] = {.lex_state = 98},
  [11480] = {.lex_state = 98},
  [11481] = {.lex_state = 98},
  [11482] = {.lex_state = 98},
  [11483] = {.lex_state = 98},
  [11484] = {.lex_state = 98},
  [11485] = {.lex_state = 98},
  [11486] = {.lex_state = 98},
  [11487] = {.lex_state = 98},
  [11488] = {.lex_state = 98},
  [11489] = {.lex_state = 98},
  [11490] = {.lex_state = 98},
  [11491] = {.lex_state = 98},
  [11492] = {.lex_state = 98},
  [11493] = {.lex_state = 98},
  [11494] = {.lex_state = 98},
  [11495] = {.lex_state = 98},
  [11496] = {.lex_state = 98},
  [11497] = {.lex_state = 98},
  [11498] = {.lex_state = 98},
  [11499] = {.lex_state = 98},
  [11500] = {.lex_state = 98},
  [11501] = {.lex_state = 98},
  [11502] = {.lex_state = 98},
  [11503] = {.lex_state = 98},
  [11504] = {.lex_state = 98},
  [11505] = {.lex_state = 98},
  [11506] = {.lex_state = 98},
  [11507] = {.lex_state = 98},
  [11508] = {.lex_state = 98},
  [11509] = {.lex_state = 98},
  [11510] = {.lex_state = 98},
  [11511] = {.lex_state = 98},
  [11512] = {.lex_state = 98},
  [11513] = {.lex_state = 98},
  [11514] = {.lex_state = 98},
  [11515] = {.lex_state = 98},
  [11516] = {.lex_state = 98},
  [11517] = {.lex_state = 98},
  [11518] = {.lex_state = 98},
  [11519] = {.lex_state = 98},
  [11520] = {.lex_state = 98},
  [11521] = {.lex_state = 98},
  [11522] = {.lex_state = 98},
  [11523] = {.lex_state = 99},
  [11524] = {.lex_state = 98},
  [11525] = {.lex_state = 98},
  [11526] = {.lex_state = 98},
  [11527] = {.lex_state = 98},
  [11528] = {.lex_state = 98},
  [11529] = {.lex_state = 98},
  [11530] = {.lex_state = 98},
  [11531] = {.lex_state = 98},
  [11532] = {.lex_state = 98},
  [11533] = {.lex_state = 98},
  [11534] = {.lex_state = 98},
  [11535] = {.lex_state = 98},
  [11536] = {.lex_state = 98},
  [11537] = {.lex_state = 98},
  [11538] = {.lex_state = 98},
  [11539] = {.lex_state = 98},
  [11540] = {.lex_state = 98},
  [11541] = {.lex_state = 98},
  [11542] = {.lex_state = 98},
  [11543] = {.lex_state = 98},
  [11544] = {.lex_state = 98},
  [11545] = {.lex_state = 99},
  [11546] = {.lex_state = 98},
  [11547] = {.lex_state = 98},
  [11548] = {.lex_state = 98},
  [11549] = {.lex_state = 98},
  [11550] = {.lex_state = 98},
  [11551] = {.lex_state = 98},
  [11552] = {.lex_state = 98},
  [11553] = {.lex_state = 98},
  [11554] = {.lex_state = 98},
  [11555] = {.lex_state = 98},
  [11556] = {.lex_state = 98},
  [11557] = {.lex_state = 98},
  [11558] = {.lex_state = 98},
  [11559] = {.lex_state = 98},
  [11560] = {.lex_state = 98},
  [11561] = {.lex_state = 98},
  [11562] = {.lex_state = 98},
  [11563] = {.lex_state = 98},
  [11564] = {.lex_state = 98},
  [11565] = {.lex_state = 98},
  [11566] = {.lex_state = 98},
  [11567] = {.lex_state = 98},
  [11568] = {.lex_state = 98},
  [11569] = {.lex_state = 98},
  [11570] = {.lex_state = 98},
  [11571] = {.lex_state = 98},
  [11572] = {.lex_state = 98},
  [11573] = {.lex_state = 98},
  [11574] = {.lex_state = 98},
  [11575] = {.lex_state = 98},
  [11576] = {.lex_state = 98},
  [11577] = {.lex_state = 98},
  [11578] = {.lex_state = 98},
  [11579] = {.lex_state = 98},
  [11580] = {.lex_state = 98},
  [11581] = {.lex_state = 98},
  [11582] = {.lex_state = 98},
  [11583] = {.lex_state = 98},
  [11584] = {.lex_state = 98},
  [11585] = {.lex_state = 98},
  [11586] = {.lex_state = 98},
  [11587] = {.lex_state = 98},
  [11588] = {.lex_state = 98},
  [11589] = {.lex_state = 98},
  [11590] = {.lex_state = 98},
  [11591] = {.lex_state = 98},
  [11592] = {.lex_state = 98},
  [11593] = {.lex_state = 98},
  [11594] = {.lex_state = 98},
  [11595] = {.lex_state = 98},
  [11596] = {.lex_state = 98},
  [11597] = {.lex_state = 98},
  [11598] = {.lex_state = 98},
  [11599] = {.lex_state = 98},
  [11600] = {.lex_state = 98},
  [11601] = {.lex_state = 98},
  [11602] = {.lex_state = 99},
  [11603] = {.lex_state = 98},
  [11604] = {.lex_state = 98},
  [11605] = {.lex_state = 98},
  [11606] = {.lex_state = 98},
  [11607] = {.lex_state = 98},
  [11608] = {.lex_state = 98},
  [11609] = {.lex_state = 98},
  [11610] = {.lex_state = 99},
  [11611] = {.lex_state = 98},
  [11612] = {.lex_state = 98},
  [11613] = {.lex_state = 98},
  [11614] = {.lex_state = 98},
  [11615] = {.lex_state = 98},
  [11616] = {.lex_state = 98},
  [11617] = {.lex_state = 98},
  [11618] = {.lex_state = 98},
  [11619] = {.lex_state = 98},
  [11620] = {.lex_state = 98},
  [11621] = {.lex_state = 98},
  [11622] = {.lex_state = 98},
  [11623] = {.lex_state = 98},
  [11624] = {.lex_state = 98},
  [11625] = {.lex_state = 98},
  [11626] = {.lex_state = 98},
  [11627] = {.lex_state = 98},
  [11628] = {.lex_state = 98},
  [11629] = {.lex_state = 98},
  [11630] = {.lex_state = 98},
  [11631] = {.lex_state = 98},
  [11632] = {.lex_state = 98},
  [11633] = {.lex_state = 98},
  [11634] = {.lex_state = 98},
  [11635] = {.lex_state = 98},
  [11636] = {.lex_state = 98},
  [11637] = {.lex_state = 98},
  [11638] = {.lex_state = 98},
  [11639] = {.lex_state = 98},
  [11640] = {.lex_state = 98},
  [11641] = {.lex_state = 99},
  [11642] = {.lex_state = 98},
  [11643] = {.lex_state = 98},
  [11644] = {.lex_state = 99},
  [11645] = {.lex_state = 98},
  [11646] = {.lex_state = 98},
  [11647] = {.lex_state = 99},
  [11648] = {.lex_state = 99},
  [11649] = {.lex_state = 98},
  [11650] = {.lex_state = 99},
  [11651] = {.lex_state = 98},
  [11652] = {.lex_state = 98},
  [11653] = {.lex_state = 98},
  [11654] = {.lex_state = 98},
  [11655] = {.lex_state = 98},
  [11656] = {.lex_state = 98},
  [11657] = {.lex_state = 98},
  [11658] = {.lex_state = 98},
  [11659] = {.lex_state = 98},
  [11660] = {.lex_state = 98},
  [11661] = {.lex_state = 98},
  [11662] = {.lex_state = 98},
  [11663] = {.lex_state = 98},
  [11664] = {.lex_state = 98},
  [11665] = {.lex_state = 98},
  [11666] = {.lex_state = 98},
  [11667] = {.lex_state = 98},
  [11668] = {.lex_state = 98},
  [11669] = {.lex_state = 98},
  [11670] = {.lex_state = 98},
  [11671] = {.lex_state = 98},
  [11672] = {.lex_state = 98},
  [11673] = {.lex_state = 98},
  [11674] = {.lex_state = 98},
  [11675] = {.lex_state = 98},
  [11676] = {.lex_state = 98},
  [11677] = {.lex_state = 98},
  [11678] = {.lex_state = 98},
  [11679] = {.lex_state = 98},
  [11680] = {.lex_state = 98},
  [11681] = {.lex_state = 98},
  [11682] = {.lex_state = 98},
  [11683] = {.lex_state = 98},
  [11684] = {.lex_state = 98},
  [11685] = {.lex_state = 98},
  [11686] = {.lex_state = 98},
  [11687] = {.lex_state = 98},
  [11688] = {.lex_state = 98},
  [11689] = {.lex_state = 98},
  [11690] = {.lex_state = 98},
  [11691] = {.lex_state = 98},
  [11692] = {.lex_state = 98},
  [11693] = {.lex_state = 98},
  [11694] = {.lex_state = 98},
  [11695] = {.lex_state = 98},
  [11696] = {.lex_state = 98},
  [11697] = {.lex_state = 98},
  [11698] = {.lex_state = 98},
  [11699] = {.lex_state = 98},
  [11700] = {.lex_state = 98},
  [11701] = {.lex_state = 98},
  [11702] = {.lex_state = 98},
  [11703] = {.lex_state = 98},
  [11704] = {.lex_state = 98},
  [11705] = {.lex_state = 98},
  [11706] = {.lex_state = 103},
  [11707] = {.lex_state = 98},
  [11708] = {.lex_state = 98},
  [11709] = {.lex_state = 98},
  [11710] = {.lex_state = 98},
  [11711] = {.lex_state = 98},
  [11712] = {.lex_state = 98},
  [11713] = {.lex_state = 98},
  [11714] = {.lex_state = 98},
  [11715] = {.lex_state = 98},
  [11716] = {.lex_state = 98},
  [11717] = {.lex_state = 98},
  [11718] = {.lex_state = 98},
  [11719] = {.lex_state = 98},
  [11720] = {.lex_state = 98},
  [11721] = {.lex_state = 98},
  [11722] = {.lex_state = 98},
  [11723] = {.lex_state = 96},
  [11724] = {.lex_state = 98},
  [11725] = {.lex_state = 98},
  [11726] = {.lex_state = 96},
  [11727] = {.lex_state = 98},
  [11728] = {.lex_state = 98},
  [11729] = {.lex_state = 98},
  [11730] = {.lex_state = 98},
  [11731] = {.lex_state = 98},
  [11732] = {.lex_state = 98},
  [11733] = {.lex_state = 98},
  [11734] = {.lex_state = 98},
  [11735] = {.lex_state = 98},
  [11736] = {.lex_state = 98},
  [11737] = {.lex_state = 98},
  [11738] = {.lex_state = 98},
  [11739] = {.lex_state = 98},
  [11740] = {.lex_state = 98},
  [11741] = {.lex_state = 98},
  [11742] = {.lex_state = 98},
  [11743] = {.lex_state = 98},
  [11744] = {.lex_state = 98},
  [11745] = {.lex_state = 98},
  [11746] = {.lex_state = 98},
  [11747] = {.lex_state = 98},
  [11748] = {.lex_state = 98},
  [11749] = {.lex_state = 98},
  [11750] = {.lex_state = 98},
  [11751] = {.lex_state = 98},
  [11752] = {.lex_state = 98},
  [11753] = {.lex_state = 98},
  [11754] = {.lex_state = 98},
  [11755] = {.lex_state = 98},
  [11756] = {.lex_state = 98},
  [11757] = {.lex_state = 98},
  [11758] = {.lex_state = 98},
  [11759] = {.lex_state = 98},
  [11760] = {.lex_state = 98},
  [11761] = {.lex_state = 98},
  [11762] = {.lex_state = 98},
  [11763] = {.lex_state = 98},
  [11764] = {.lex_state = 98},
  [11765] = {.lex_state = 98},
  [11766] = {.lex_state = 98},
  [11767] = {.lex_state = 98},
  [11768] = {.lex_state = 98},
  [11769] = {.lex_state = 98},
  [11770] = {.lex_state = 98},
  [11771] = {.lex_state = 98},
  [11772] = {.lex_state = 98},
  [11773] = {.lex_state = 98},
  [11774] = {.lex_state = 98},
  [11775] = {.lex_state = 98},
  [11776] = {.lex_state = 98},
  [11777] = {.lex_state = 98},
  [11778] = {.lex_state = 98},
  [11779] = {.lex_state = 98},
  [11780] = {.lex_state = 98},
  [11781] = {.lex_state = 98},
  [11782] = {.lex_state = 98},
  [11783] = {.lex_state = 98},
  [11784] = {.lex_state = 98},
  [11785] = {.lex_state = 98},
  [11786] = {.lex_state = 98},
  [11787] = {.lex_state = 98},
  [11788] = {.lex_state = 98},
  [11789] = {.lex_state = 98},
  [11790] = {.lex_state = 98},
  [11791] = {.lex_state = 98},
  [11792] = {.lex_state = 98},
  [11793] = {.lex_state = 98},
  [11794] = {.lex_state = 98},
  [11795] = {.lex_state = 98},
  [11796] = {.lex_state = 98},
  [11797] = {.lex_state = 98},
  [11798] = {.lex_state = 98},
  [11799] = {.lex_state = 98},
  [11800] = {.lex_state = 98},
  [11801] = {.lex_state = 98},
  [11802] = {.lex_state = 98},
  [11803] = {.lex_state = 98},
  [11804] = {.lex_state = 98},
  [11805] = {.lex_state = 98},
  [11806] = {.lex_state = 98},
  [11807] = {.lex_state = 98},
  [11808] = {.lex_state = 98},
  [11809] = {.lex_state = 98},
  [11810] = {.lex_state = 98},
  [11811] = {.lex_state = 98},
  [11812] = {.lex_state = 98},
  [11813] = {.lex_state = 98},
  [11814] = {.lex_state = 98},
  [11815] = {.lex_state = 98},
  [11816] = {.lex_state = 98},
  [11817] = {.lex_state = 98},
  [11818] = {.lex_state = 98},
  [11819] = {.lex_state = 98},
  [11820] = {.lex_state = 98},
  [11821] = {.lex_state = 98},
  [11822] = {.lex_state = 98},
  [11823] = {.lex_state = 98},
  [11824] = {.lex_state = 98},
  [11825] = {.lex_state = 98},
  [11826] = {.lex_state = 98},
  [11827] = {.lex_state = 98},
  [11828] = {.lex_state = 98},
  [11829] = {.lex_state = 98},
  [11830] = {.lex_state = 98},
  [11831] = {.lex_state = 98},
  [11832] = {.lex_state = 98},
  [11833] = {.lex_state = 98},
  [11834] = {.lex_state = 98},
  [11835] = {.lex_state = 100},
  [11836] = {.lex_state = 100},
  [11837] = {.lex_state = 100},
  [11838] = {.lex_state = 100},
  [11839] = {.lex_state = 100},
  [11840] = {.lex_state = 100},
  [11841] = {.lex_state = 100},
  [11842] = {.lex_state = 100},
  [11843] = {.lex_state = 100},
  [11844] = {.lex_state = 100},
  [11845] = {.lex_state = 100},
  [11846] = {.lex_state = 100},
  [11847] = {.lex_state = 100},
  [11848] = {.lex_state = 100},
  [11849] = {.lex_state = 100},
  [11850] = {.lex_state = 100},
  [11851] = {.lex_state = 100},
  [11852] = {.lex_state = 100},
  [11853] = {.lex_state = 100},
  [11854] = {.lex_state = 100},
  [11855] = {.lex_state = 100},
  [11856] = {.lex_state = 100},
  [11857] = {.lex_state = 100},
  [11858] = {.lex_state = 100},
  [11859] = {.lex_state = 100},
  [11860] = {.lex_state = 100},
  [11861] = {.lex_state = 100},
  [11862] = {.lex_state = 100},
  [11863] = {.lex_state = 100},
  [11864] = {.lex_state = 100},
  [11865] = {.lex_state = 100},
  [11866] = {.lex_state = 100},
  [11867] = {.lex_state = 100},
  [11868] = {.lex_state = 100},
  [11869] = {.lex_state = 100},
  [11870] = {.lex_state = 100},
  [11871] = {.lex_state = 100},
  [11872] = {.lex_state = 100},
  [11873] = {.lex_state = 100},
  [11874] = {.lex_state = 100},
  [11875] = {.lex_state = 100},
  [11876] = {.lex_state = 100},
  [11877] = {.lex_state = 100},
  [11878] = {.lex_state = 100},
  [11879] = {.lex_state = 100},
  [11880] = {.lex_state = 100},
  [11881] = {.lex_state = 100},
  [11882] = {.lex_state = 100},
  [11883] = {.lex_state = 100},
  [11884] = {.lex_state = 100},
  [11885] = {.lex_state = 100},
  [11886] = {.lex_state = 100},
  [11887] = {.lex_state = 100},
  [11888] = {.lex_state = 100},
  [11889] = {.lex_state = 100},
  [11890] = {.lex_state = 98},
  [11891] = {.lex_state = 98},
  [11892] = {.lex_state = 98},
  [11893] = {.lex_state = 98},
  [11894] = {.lex_state = 98},
  [11895] = {.lex_state = 98},
  [11896] = {.lex_state = 98},
  [11897] = {.lex_state = 98},
  [11898] = {.lex_state = 98},
  [11899] = {.lex_state = 98},
  [11900] = {.lex_state = 98},
  [11901] = {.lex_state = 98},
  [11902] = {.lex_state = 98},
  [11903] = {.lex_state = 98},
  [11904] = {.lex_state = 98},
  [11905] = {.lex_state = 100},
  [11906] = {.lex_state = 98},
  [11907] = {.lex_state = 100},
  [11908] = {.lex_state = 100},
  [11909] = {.lex_state = 100},
  [11910] = {.lex_state = 100},
  [11911] = {.lex_state = 98},
  [11912] = {.lex_state = 98},
  [11913] = {.lex_state = 100},
  [11914] = {.lex_state = 100},
  [11915] = {.lex_state = 100},
  [11916] = {.lex_state = 100},
  [11917] = {.lex_state = 98},
  [11918] = {.lex_state = 100},
  [11919] = {.lex_state = 100},
  [11920] = {.lex_state = 100},
  [11921] = {.lex_state = 98},
  [11922] = {.lex_state = 100},
  [11923] = {.lex_state = 100},
  [11924] = {.lex_state = 100},
  [11925] = {.lex_state = 100},
  [11926] = {.lex_state = 100},
  [11927] = {.lex_state = 100},
  [11928] = {.lex_state = 98},
  [11929] = {.lex_state = 100},
  [11930] = {.lex_state = 100},
  [11931] = {.lex_state = 98},
  [11932] = {.lex_state = 100},
  [11933] = {.lex_state = 98},
  [11934] = {.lex_state = 98},
  [11935] = {.lex_state = 98},
  [11936] = {.lex_state = 98},
  [11937] = {.lex_state = 100},
  [11938] = {.lex_state = 100},
  [11939] = {.lex_state = 98},
  [11940] = {.lex_state = 100},
  [11941] = {.lex_state = 98},
  [11942] = {.lex_state = 100},
  [11943] = {.lex_state = 100},
  [11944] = {.lex_state = 98},
  [11945] = {.lex_state = 100},
  [11946] = {.lex_state = 100},
  [11947] = {.lex_state = 100},
  [11948] = {.lex_state = 100},
  [11949] = {.lex_state = 98},
  [11950] = {.lex_state = 100},
  [11951] = {.lex_state = 98},
  [11952] = {.lex_state = 98},
  [11953] = {.lex_state = 100},
  [11954] = {.lex_state = 100},
  [11955] = {.lex_state = 100},
  [11956] = {.lex_state = 100},
  [11957] = {.lex_state = 98},
  [11958] = {.lex_state = 100},
  [11959] = {.lex_state = 98},
  [11960] = {.lex_state = 100},
  [11961] = {.lex_state = 98},
  [11962] = {.lex_state = 100},
  [11963] = {.lex_state = 98},
  [11964] = {.lex_state = 100},
  [11965] = {.lex_state = 98},
  [11966] = {.lex_state = 100},
  [11967] = {.lex_state = 100},
  [11968] = {.lex_state = 98},
  [11969] = {.lex_state = 100},
  [11970] = {.lex_state = 98},
  [11971] = {.lex_state = 100},
  [11972] = {.lex_state = 100},
  [11973] = {.lex_state = 100},
  [11974] = {.lex_state = 100},
  [11975] = {.lex_state = 100},
  [11976] = {.lex_state = 100},
  [11977] = {.lex_state = 100},
  [11978] = {.lex_state = 100},
  [11979] = {.lex_state = 100},
  [11980] = {.lex_state = 100},
  [11981] = {.lex_state = 100},
  [11982] = {.lex_state = 100},
  [11983] = {.lex_state = 100},
  [11984] = {.lex_state = 100},
  [11985] = {.lex_state = 100},
  [11986] = {.lex_state = 100},
  [11987] = {.lex_state = 100},
  [11988] = {.lex_state = 100},
  [11989] = {.lex_state = 98},
  [11990] = {.lex_state = 100},
  [11991] = {.lex_state = 100},
  [11992] = {.lex_state = 98},
  [11993] = {.lex_state = 100},
  [11994] = {.lex_state = 100},
  [11995] = {.lex_state = 98},
  [11996] = {.lex_state = 100},
  [11997] = {.lex_state = 100},
  [11998] = {.lex_state = 100},
  [11999] = {.lex_state = 100},
  [12000] = {.lex_state = 100},
  [12001] = {.lex_state = 100},
  [12002] = {.lex_state = 100},
  [12003] = {.lex_state = 100},
  [12004] = {.lex_state = 100},
  [12005] = {.lex_state = 98},
  [12006] = {.lex_state = 100},
  [12007] = {.lex_state = 100},
  [12008] = {.lex_state = 100},
  [12009] = {.lex_state = 100},
  [12010] = {.lex_state = 98},
  [12011] = {.lex_state = 98},
  [12012] = {.lex_state = 98},
  [12013] = {.lex_state = 98},
  [12014] = {.lex_state = 103},
  [12015] = {.lex_state = 98},
  [12016] = {.lex_state = 98},
  [12017] = {.lex_state = 98},
  [12018] = {.lex_state = 98},
  [12019] = {.lex_state = 98},
  [12020] = {.lex_state = 96},
  [12021] = {.lex_state = 98},
  [12022] = {.lex_state = 98},
  [12023] = {.lex_state = 96},
  [12024] = {.lex_state = 98},
  [12025] = {.lex_state = 98},
  [12026] = {.lex_state = 98},
  [12027] = {.lex_state = 98},
  [12028] = {.lex_state = 98},
  [12029] = {.lex_state = 98},
  [12030] = {.lex_state = 98},
  [12031] = {.lex_state = 98},
  [12032] = {.lex_state = 98},
  [12033] = {.lex_state = 98},
  [12034] = {.lex_state = 98},
  [12035] = {.lex_state = 98},
  [12036] = {.lex_state = 98},
  [12037] = {.lex_state = 98},
  [12038] = {.lex_state = 98},
  [12039] = {.lex_state = 98},
  [12040] = {.lex_state = 98},
  [12041] = {.lex_state = 98},
  [12042] = {.lex_state = 98},
  [12043] = {.lex_state = 98},
  [12044] = {.lex_state = 98},
  [12045] = {.lex_state = 98},
  [12046] = {.lex_state = 98},
  [12047] = {.lex_state = 98},
  [12048] = {.lex_state = 98},
  [12049] = {.lex_state = 98},
  [12050] = {.lex_state = 98},
  [12051] = {.lex_state = 98},
  [12052] = {.lex_state = 98},
  [12053] = {.lex_state = 98},
  [12054] = {.lex_state = 98},
  [12055] = {.lex_state = 98},
  [12056] = {.lex_state = 98},
  [12057] = {.lex_state = 98},
  [12058] = {.lex_state = 98},
  [12059] = {.lex_state = 98},
  [12060] = {.lex_state = 98},
  [12061] = {.lex_state = 98},
  [12062] = {.lex_state = 98},
  [12063] = {.lex_state = 95},
  [12064] = {.lex_state = 98},
  [12065] = {.lex_state = 98},
  [12066] = {.lex_state = 98},
  [12067] = {.lex_state = 98},
  [12068] = {.lex_state = 98},
  [12069] = {.lex_state = 98},
  [12070] = {.lex_state = 98},
  [12071] = {.lex_state = 98},
  [12072] = {.lex_state = 98},
  [12073] = {.lex_state = 98},
  [12074] = {.lex_state = 95},
  [12075] = {.lex_state = 98},
  [12076] = {.lex_state = 98},
  [12077] = {.lex_state = 98},
  [12078] = {.lex_state = 98},
  [12079] = {.lex_state = 98},
  [12080] = {.lex_state = 98},
  [12081] = {.lex_state = 98},
  [12082] = {.lex_state = 98},
  [12083] = {.lex_state = 98},
  [12084] = {.lex_state = 98},
  [12085] = {.lex_state = 98},
  [12086] = {.lex_state = 98},
  [12087] = {.lex_state = 98},
  [12088] = {.lex_state = 98},
  [12089] = {.lex_state = 98},
  [12090] = {.lex_state = 98},
  [12091] = {.lex_state = 98},
  [12092] = {.lex_state = 98},
  [12093] = {.lex_state = 98},
  [12094] = {.lex_state = 98},
  [12095] = {.lex_state = 98},
  [12096] = {.lex_state = 98},
  [12097] = {.lex_state = 98},
  [12098] = {.lex_state = 98},
  [12099] = {.lex_state = 95},
  [12100] = {.lex_state = 98},
  [12101] = {.lex_state = 98},
  [12102] = {.lex_state = 98},
  [12103] = {.lex_state = 98},
  [12104] = {.lex_state = 98},
  [12105] = {.lex_state = 98},
  [12106] = {.lex_state = 98},
  [12107] = {.lex_state = 98},
  [12108] = {.lex_state = 98},
  [12109] = {.lex_state = 98},
  [12110] = {.lex_state = 98},
  [12111] = {.lex_state = 98},
  [12112] = {.lex_state = 98},
  [12113] = {.lex_state = 98},
  [12114] = {.lex_state = 98},
  [12115] = {.lex_state = 98},
  [12116] = {.lex_state = 98},
  [12117] = {.lex_state = 98},
  [12118] = {.lex_state = 98},
  [12119] = {.lex_state = 98},
  [12120] = {.lex_state = 98},
  [12121] = {.lex_state = 98},
  [12122] = {.lex_state = 98},
  [12123] = {.lex_state = 98},
  [12124] = {.lex_state = 98},
  [12125] = {.lex_state = 98},
  [12126] = {.lex_state = 98},
  [12127] = {.lex_state = 98},
  [12128] = {.lex_state = 98},
  [12129] = {.lex_state = 98},
  [12130] = {.lex_state = 98},
  [12131] = {.lex_state = 98},
  [12132] = {.lex_state = 98},
  [12133] = {.lex_state = 98},
  [12134] = {.lex_state = 98},
  [12135] = {.lex_state = 98},
  [12136] = {.lex_state = 98},
  [12137] = {.lex_state = 98},
  [12138] = {.lex_state = 98},
  [12139] = {.lex_state = 98},
  [12140] = {.lex_state = 98},
  [12141] = {.lex_state = 98},
  [12142] = {.lex_state = 98},
  [12143] = {.lex_state = 98},
  [12144] = {.lex_state = 98},
  [12145] = {.lex_state = 98},
  [12146] = {.lex_state = 98},
  [12147] = {.lex_state = 98},
  [12148] = {.lex_state = 95},
  [12149] = {.lex_state = 98},
  [12150] = {.lex_state = 98},
  [12151] = {.lex_state = 98},
  [12152] = {.lex_state = 98},
  [12153] = {.lex_state = 98},
  [12154] = {.lex_state = 98},
  [12155] = {.lex_state = 98},
  [12156] = {.lex_state = 98},
  [12157] = {.lex_state = 98},
  [12158] = {.lex_state = 98},
  [12159] = {.lex_state = 98},
  [12160] = {.lex_state = 98},
  [12161] = {.lex_state = 98},
  [12162] = {.lex_state = 98},
  [12163] = {.lex_state = 98},
  [12164] = {.lex_state = 98},
  [12165] = {.lex_state = 98},
  [12166] = {.lex_state = 98},
  [12167] = {.lex_state = 98},
  [12168] = {.lex_state = 98},
  [12169] = {.lex_state = 98},
  [12170] = {.lex_state = 98},
  [12171] = {.lex_state = 98},
  [12172] = {.lex_state = 98},
  [12173] = {.lex_state = 98},
  [12174] = {.lex_state = 98},
  [12175] = {.lex_state = 98},
  [12176] = {.lex_state = 98},
  [12177] = {.lex_state = 98},
  [12178] = {.lex_state = 98},
  [12179] = {.lex_state = 98},
  [12180] = {.lex_state = 98},
  [12181] = {.lex_state = 98},
  [12182] = {.lex_state = 98},
  [12183] = {.lex_state = 98},
  [12184] = {.lex_state = 98},
  [12185] = {.lex_state = 98},
  [12186] = {.lex_state = 98},
  [12187] = {.lex_state = 98},
  [12188] = {.lex_state = 98},
  [12189] = {.lex_state = 98},
  [12190] = {.lex_state = 98},
  [12191] = {.lex_state = 98},
  [12192] = {.lex_state = 98},
  [12193] = {.lex_state = 98},
  [12194] = {.lex_state = 98},
  [12195] = {.lex_state = 98},
  [12196] = {.lex_state = 98},
  [12197] = {.lex_state = 98},
  [12198] = {.lex_state = 98},
  [12199] = {.lex_state = 98},
  [12200] = {.lex_state = 98},
  [12201] = {.lex_state = 98},
  [12202] = {.lex_state = 98},
  [12203] = {.lex_state = 98},
  [12204] = {.lex_state = 98},
  [12205] = {.lex_state = 98},
  [12206] = {.lex_state = 98},
  [12207] = {.lex_state = 98},
  [12208] = {.lex_state = 98},
  [12209] = {.lex_state = 98},
  [12210] = {.lex_state = 98},
  [12211] = {.lex_state = 98},
  [12212] = {.lex_state = 98},
  [12213] = {.lex_state = 98},
  [12214] = {.lex_state = 98},
  [12215] = {.lex_state = 98},
  [12216] = {.lex_state = 98},
  [12217] = {.lex_state = 98},
  [12218] = {.lex_state = 98},
  [12219] = {.lex_state = 98},
  [12220] = {.lex_state = 98},
  [12221] = {.lex_state = 98},
  [12222] = {.lex_state = 98},
  [12223] = {.lex_state = 98},
  [12224] = {.lex_state = 98},
  [12225] = {.lex_state = 98},
  [12226] = {.lex_state = 98},
  [12227] = {.lex_state = 98},
  [12228] = {.lex_state = 98},
  [12229] = {.lex_state = 98},
  [12230] = {.lex_state = 98},
  [12231] = {.lex_state = 98},
  [12232] = {.lex_state = 98},
  [12233] = {.lex_state = 98},
  [12234] = {.lex_state = 98},
  [12235] = {.lex_state = 98},
  [12236] = {.lex_state = 98},
  [12237] = {.lex_state = 98},
  [12238] = {.lex_state = 98},
  [12239] = {.lex_state = 98},
  [12240] = {.lex_state = 98},
  [12241] = {.lex_state = 98},
  [12242] = {.lex_state = 98},
  [12243] = {.lex_state = 98},
  [12244] = {.lex_state = 98},
  [12245] = {.lex_state = 98},
  [12246] = {.lex_state = 98},
  [12247] = {.lex_state = 98},
  [12248] = {.lex_state = 98},
  [12249] = {.lex_state = 98},
  [12250] = {.lex_state = 98},
  [12251] = {.lex_state = 98},
  [12252] = {.lex_state = 98},
  [12253] = {.lex_state = 98},
  [12254] = {.lex_state = 98},
  [12255] = {.lex_state = 98},
  [12256] = {.lex_state = 98},
  [12257] = {.lex_state = 98},
  [12258] = {.lex_state = 98},
  [12259] = {.lex_state = 98},
  [12260] = {.lex_state = 98},
  [12261] = {.lex_state = 98},
  [12262] = {.lex_state = 98},
  [12263] = {.lex_state = 98},
  [12264] = {.lex_state = 98},
  [12265] = {.lex_state = 98},
  [12266] = {.lex_state = 98},
  [12267] = {.lex_state = 98},
  [12268] = {.lex_state = 98},
  [12269] = {.lex_state = 98},
  [12270] = {.lex_state = 98},
  [12271] = {.lex_state = 98},
  [12272] = {.lex_state = 98},
  [12273] = {.lex_state = 98},
  [12274] = {.lex_state = 98},
  [12275] = {.lex_state = 98},
  [12276] = {.lex_state = 98},
  [12277] = {.lex_state = 98},
  [12278] = {.lex_state = 98},
  [12279] = {.lex_state = 98},
  [12280] = {.lex_state = 98},
  [12281] = {.lex_state = 98},
  [12282] = {.lex_state = 98},
  [12283] = {.lex_state = 98},
  [12284] = {.lex_state = 98},
  [12285] = {.lex_state = 98},
  [12286] = {.lex_state = 98},
  [12287] = {.lex_state = 98},
  [12288] = {.lex_state = 98},
  [12289] = {.lex_state = 98},
  [12290] = {.lex_state = 98},
  [12291] = {.lex_state = 98},
  [12292] = {.lex_state = 98},
  [12293] = {.lex_state = 98},
  [12294] = {.lex_state = 98},
  [12295] = {.lex_state = 98},
  [12296] = {.lex_state = 98},
  [12297] = {.lex_state = 98},
  [12298] = {.lex_state = 98},
  [12299] = {.lex_state = 98},
  [12300] = {.lex_state = 98},
  [12301] = {.lex_state = 98},
  [12302] = {.lex_state = 98},
  [12303] = {.lex_state = 98},
  [12304] = {.lex_state = 98},
  [12305] = {.lex_state = 98},
  [12306] = {.lex_state = 98},
  [12307] = {.lex_state = 98},
  [12308] = {.lex_state = 98},
  [12309] = {.lex_state = 98},
  [12310] = {.lex_state = 98},
  [12311] = {.lex_state = 98},
  [12312] = {.lex_state = 98},
  [12313] = {.lex_state = 98},
  [12314] = {.lex_state = 98},
  [12315] = {.lex_state = 98},
  [12316] = {.lex_state = 98},
  [12317] = {.lex_state = 98},
  [12318] = {.lex_state = 98},
  [12319] = {.lex_state = 98},
  [12320] = {.lex_state = 98},
  [12321] = {.lex_state = 98},
  [12322] = {.lex_state = 98},
  [12323] = {.lex_state = 98},
  [12324] = {.lex_state = 98},
  [12325] = {.lex_state = 98},
  [12326] = {.lex_state = 98},
  [12327] = {.lex_state = 98},
  [12328] = {.lex_state = 98},
  [12329] = {.lex_state = 98},
  [12330] = {.lex_state = 98},
  [12331] = {.lex_state = 98},
  [12332] = {.lex_state = 98},
  [12333] = {.lex_state = 98},
  [12334] = {.lex_state = 98},
  [12335] = {.lex_state = 98},
  [12336] = {.lex_state = 98},
  [12337] = {.lex_state = 98},
  [12338] = {.lex_state = 98},
  [12339] = {.lex_state = 98},
  [12340] = {.lex_state = 98},
  [12341] = {.lex_state = 98},
  [12342] = {.lex_state = 98},
  [12343] = {.lex_state = 98},
  [12344] = {.lex_state = 98},
  [12345] = {.lex_state = 98},
  [12346] = {.lex_state = 98},
  [12347] = {.lex_state = 98},
  [12348] = {.lex_state = 98},
  [12349] = {.lex_state = 98},
  [12350] = {.lex_state = 98},
  [12351] = {.lex_state = 98},
  [12352] = {.lex_state = 98},
  [12353] = {.lex_state = 98},
  [12354] = {.lex_state = 98},
  [12355] = {.lex_state = 98},
  [12356] = {.lex_state = 98},
  [12357] = {.lex_state = 98},
  [12358] = {.lex_state = 98},
  [12359] = {.lex_state = 98},
  [12360] = {.lex_state = 98},
  [12361] = {.lex_state = 98},
  [12362] = {.lex_state = 98},
  [12363] = {.lex_state = 98},
  [12364] = {.lex_state = 98},
  [12365] = {.lex_state = 98},
  [12366] = {.lex_state = 98},
  [12367] = {.lex_state = 98},
  [12368] = {.lex_state = 98},
  [12369] = {.lex_state = 98},
  [12370] = {.lex_state = 98},
  [12371] = {.lex_state = 98},
  [12372] = {.lex_state = 98},
  [12373] = {.lex_state = 98},
  [12374] = {.lex_state = 98},
  [12375] = {.lex_state = 98},
  [12376] = {.lex_state = 98},
  [12377] = {.lex_state = 98},
  [12378] = {.lex_state = 98},
  [12379] = {.lex_state = 98},
  [12380] = {.lex_state = 98},
  [12381] = {.lex_state = 98},
  [12382] = {.lex_state = 98},
  [12383] = {.lex_state = 98},
  [12384] = {.lex_state = 98},
  [12385] = {.lex_state = 98},
  [12386] = {.lex_state = 98},
  [12387] = {.lex_state = 98},
  [12388] = {.lex_state = 98},
  [12389] = {.lex_state = 98},
  [12390] = {.lex_state = 98},
  [12391] = {.lex_state = 98},
  [12392] = {.lex_state = 98},
  [12393] = {.lex_state = 98},
  [12394] = {.lex_state = 98},
  [12395] = {.lex_state = 98},
  [12396] = {.lex_state = 98},
  [12397] = {.lex_state = 98},
  [12398] = {.lex_state = 98},
  [12399] = {.lex_state = 98},
  [12400] = {.lex_state = 98},
  [12401] = {.lex_state = 98},
  [12402] = {.lex_state = 98},
  [12403] = {.lex_state = 98},
  [12404] = {.lex_state = 98},
  [12405] = {.lex_state = 98},
  [12406] = {.lex_state = 98},
  [12407] = {.lex_state = 98},
  [12408] = {.lex_state = 98},
  [12409] = {.lex_state = 98},
  [12410] = {.lex_state = 98},
  [12411] = {.lex_state = 98},
  [12412] = {.lex_state = 98},
  [12413] = {.lex_state = 98},
  [12414] = {.lex_state = 98},
  [12415] = {.lex_state = 98},
  [12416] = {.lex_state = 98},
  [12417] = {.lex_state = 98},
  [12418] = {.lex_state = 98},
  [12419] = {.lex_state = 98},
  [12420] = {.lex_state = 98},
  [12421] = {.lex_state = 98},
  [12422] = {.lex_state = 98},
  [12423] = {.lex_state = 98},
  [12424] = {.lex_state = 98},
  [12425] = {.lex_state = 98},
  [12426] = {.lex_state = 98},
  [12427] = {.lex_state = 98},
  [12428] = {.lex_state = 98},
  [12429] = {.lex_state = 98},
  [12430] = {.lex_state = 98},
  [12431] = {.lex_state = 98},
  [12432] = {.lex_state = 98},
  [12433] = {.lex_state = 98},
  [12434] = {.lex_state = 98},
  [12435] = {.lex_state = 98},
  [12436] = {.lex_state = 98},
  [12437] = {.lex_state = 98},
  [12438] = {.lex_state = 98},
  [12439] = {.lex_state = 98},
  [12440] = {.lex_state = 98},
  [12441] = {.lex_state = 98},
  [12442] = {.lex_state = 98},
  [12443] = {.lex_state = 98},
  [12444] = {.lex_state = 98},
  [12445] = {.lex_state = 98},
  [12446] = {.lex_state = 98},
  [12447] = {.lex_state = 98},
  [12448] = {.lex_state = 98},
  [12449] = {.lex_state = 98},
  [12450] = {.lex_state = 98},
  [12451] = {.lex_state = 98},
  [12452] = {.lex_state = 98},
  [12453] = {.lex_state = 98},
  [12454] = {.lex_state = 98},
  [12455] = {.lex_state = 98},
  [12456] = {.lex_state = 98},
  [12457] = {.lex_state = 98},
  [12458] = {.lex_state = 98},
  [12459] = {.lex_state = 98},
  [12460] = {.lex_state = 98},
  [12461] = {.lex_state = 98},
  [12462] = {.lex_state = 98},
  [12463] = {.lex_state = 98},
  [12464] = {.lex_state = 98},
  [12465] = {.lex_state = 98},
  [12466] = {.lex_state = 98},
  [12467] = {.lex_state = 98},
  [12468] = {.lex_state = 98},
  [12469] = {.lex_state = 98},
  [12470] = {.lex_state = 98},
  [12471] = {.lex_state = 98},
  [12472] = {.lex_state = 98},
  [12473] = {.lex_state = 98},
  [12474] = {.lex_state = 98},
  [12475] = {.lex_state = 98},
  [12476] = {.lex_state = 98},
  [12477] = {.lex_state = 98},
  [12478] = {.lex_state = 98},
  [12479] = {.lex_state = 98},
  [12480] = {.lex_state = 98},
  [12481] = {.lex_state = 98},
  [12482] = {.lex_state = 98},
  [12483] = {.lex_state = 98},
  [12484] = {.lex_state = 98},
  [12485] = {.lex_state = 98},
  [12486] = {.lex_state = 98},
  [12487] = {.lex_state = 98},
  [12488] = {.lex_state = 98},
  [12489] = {.lex_state = 98},
  [12490] = {.lex_state = 98},
  [12491] = {.lex_state = 98},
  [12492] = {.lex_state = 98},
  [12493] = {.lex_state = 98},
  [12494] = {.lex_state = 98},
  [12495] = {.lex_state = 98},
  [12496] = {.lex_state = 98},
  [12497] = {.lex_state = 98},
  [12498] = {.lex_state = 98},
  [12499] = {.lex_state = 98},
  [12500] = {.lex_state = 98},
  [12501] = {.lex_state = 98},
  [12502] = {.lex_state = 98},
  [12503] = {.lex_state = 98},
  [12504] = {.lex_state = 98},
  [12505] = {.lex_state = 98},
  [12506] = {.lex_state = 98},
  [12507] = {.lex_state = 98},
  [12508] = {.lex_state = 98},
  [12509] = {.lex_state = 98},
  [12510] = {.lex_state = 98},
  [12511] = {.lex_state = 98},
  [12512] = {.lex_state = 98},
  [12513] = {.lex_state = 98},
  [12514] = {.lex_state = 98},
  [12515] = {.lex_state = 98},
  [12516] = {.lex_state = 98},
  [12517] = {.lex_state = 98},
  [12518] = {.lex_state = 98},
  [12519] = {.lex_state = 98},
  [12520] = {.lex_state = 98},
  [12521] = {.lex_state = 98},
  [12522] = {.lex_state = 98},
  [12523] = {.lex_state = 98},
  [12524] = {.lex_state = 98},
  [12525] = {.lex_state = 98},
  [12526] = {.lex_state = 98},
  [12527] = {.lex_state = 98},
  [12528] = {.lex_state = 98},
  [12529] = {.lex_state = 98},
  [12530] = {.lex_state = 98},
  [12531] = {.lex_state = 98},
  [12532] = {.lex_state = 98},
  [12533] = {.lex_state = 98},
  [12534] = {.lex_state = 98},
  [12535] = {.lex_state = 98},
  [12536] = {.lex_state = 98},
  [12537] = {.lex_state = 98},
  [12538] = {.lex_state = 98},
  [12539] = {.lex_state = 98},
  [12540] = {.lex_state = 98},
  [12541] = {.lex_state = 98},
  [12542] = {.lex_state = 98},
  [12543] = {.lex_state = 98},
  [12544] = {.lex_state = 98},
  [12545] = {.lex_state = 98},
  [12546] = {.lex_state = 98},
  [12547] = {.lex_state = 98},
  [12548] = {.lex_state = 98},
  [12549] = {.lex_state = 98},
  [12550] = {.lex_state = 98},
  [12551] = {.lex_state = 98},
  [12552] = {.lex_state = 98},
  [12553] = {.lex_state = 98},
  [12554] = {.lex_state = 98},
  [12555] = {.lex_state = 98},
  [12556] = {.lex_state = 98},
  [12557] = {.lex_state = 98},
  [12558] = {.lex_state = 98},
  [12559] = {.lex_state = 98},
  [12560] = {.lex_state = 98},
  [12561] = {.lex_state = 98},
  [12562] = {.lex_state = 98},
  [12563] = {.lex_state = 98},
  [12564] = {.lex_state = 98},
  [12565] = {.lex_state = 98},
  [12566] = {.lex_state = 98},
  [12567] = {.lex_state = 98},
  [12568] = {.lex_state = 98},
  [12569] = {.lex_state = 98},
  [12570] = {.lex_state = 98},
  [12571] = {.lex_state = 98},
  [12572] = {.lex_state = 98},
  [12573] = {.lex_state = 98},
  [12574] = {.lex_state = 98},
  [12575] = {.lex_state = 98},
  [12576] = {.lex_state = 98},
  [12577] = {.lex_state = 98},
  [12578] = {.lex_state = 98},
  [12579] = {.lex_state = 98},
  [12580] = {.lex_state = 98},
  [12581] = {.lex_state = 98},
  [12582] = {.lex_state = 98},
  [12583] = {.lex_state = 98},
  [12584] = {.lex_state = 98},
  [12585] = {.lex_state = 98},
  [12586] = {.lex_state = 98},
  [12587] = {.lex_state = 98},
  [12588] = {.lex_state = 98},
  [12589] = {.lex_state = 98},
  [12590] = {.lex_state = 98},
  [12591] = {.lex_state = 98},
  [12592] = {.lex_state = 98},
  [12593] = {.lex_state = 98},
  [12594] = {.lex_state = 98},
  [12595] = {.lex_state = 98},
  [12596] = {.lex_state = 98},
  [12597] = {.lex_state = 98},
  [12598] = {.lex_state = 98},
  [12599] = {.lex_state = 98},
  [12600] = {.lex_state = 98},
  [12601] = {.lex_state = 98},
  [12602] = {.lex_state = 98},
  [12603] = {.lex_state = 98},
  [12604] = {.lex_state = 98},
  [12605] = {.lex_state = 98},
  [12606] = {.lex_state = 98},
  [12607] = {.lex_state = 98},
  [12608] = {.lex_state = 98},
  [12609] = {.lex_state = 98},
  [12610] = {.lex_state = 98},
  [12611] = {.lex_state = 98},
  [12612] = {.lex_state = 98},
  [12613] = {.lex_state = 98},
  [12614] = {.lex_state = 98},
  [12615] = {.lex_state = 98},
  [12616] = {.lex_state = 98},
  [12617] = {.lex_state = 98},
  [12618] = {.lex_state = 98},
  [12619] = {.lex_state = 98},
  [12620] = {.lex_state = 98},
  [12621] = {.lex_state = 98},
  [12622] = {.lex_state = 98},
  [12623] = {.lex_state = 98},
  [12624] = {.lex_state = 98},
  [12625] = {.lex_state = 98},
  [12626] = {.lex_state = 98},
  [12627] = {.lex_state = 98},
  [12628] = {.lex_state = 98},
  [12629] = {.lex_state = 98},
  [12630] = {.lex_state = 98},
  [12631] = {.lex_state = 98},
  [12632] = {.lex_state = 98},
  [12633] = {.lex_state = 98},
  [12634] = {.lex_state = 98},
  [12635] = {.lex_state = 98},
  [12636] = {.lex_state = 98},
  [12637] = {.lex_state = 98},
  [12638] = {.lex_state = 98},
  [12639] = {.lex_state = 98},
  [12640] = {.lex_state = 98},
  [12641] = {.lex_state = 98},
  [12642] = {.lex_state = 98},
  [12643] = {.lex_state = 98},
  [12644] = {.lex_state = 98},
  [12645] = {.lex_state = 98},
  [12646] = {.lex_state = 98},
  [12647] = {.lex_state = 98},
  [12648] = {.lex_state = 98},
  [12649] = {.lex_state = 98},
  [12650] = {.lex_state = 98},
  [12651] = {.lex_state = 98},
  [12652] = {.lex_state = 98},
  [12653] = {.lex_state = 98},
  [12654] = {.lex_state = 98},
  [12655] = {.lex_state = 98},
  [12656] = {.lex_state = 98},
  [12657] = {.lex_state = 98},
  [12658] = {.lex_state = 98},
  [12659] = {.lex_state = 98},
  [12660] = {.lex_state = 98},
  [12661] = {.lex_state = 98},
  [12662] = {.lex_state = 98},
  [12663] = {.lex_state = 98},
  [12664] = {.lex_state = 98},
  [12665] = {.lex_state = 98},
  [12666] = {.lex_state = 98},
  [12667] = {.lex_state = 98},
  [12668] = {.lex_state = 98},
  [12669] = {.lex_state = 98},
  [12670] = {.lex_state = 98},
  [12671] = {.lex_state = 98},
  [12672] = {.lex_state = 98},
  [12673] = {.lex_state = 98},
  [12674] = {.lex_state = 98},
  [12675] = {.lex_state = 98},
  [12676] = {.lex_state = 98},
  [12677] = {.lex_state = 98},
  [12678] = {.lex_state = 98},
  [12679] = {.lex_state = 98},
  [12680] = {.lex_state = 98},
  [12681] = {.lex_state = 98},
  [12682] = {.lex_state = 98},
  [12683] = {.lex_state = 98},
  [12684] = {.lex_state = 98},
  [12685] = {.lex_state = 98},
  [12686] = {.lex_state = 98},
  [12687] = {.lex_state = 98},
  [12688] = {.lex_state = 98},
  [12689] = {.lex_state = 98},
  [12690] = {.lex_state = 98},
  [12691] = {.lex_state = 98},
  [12692] = {.lex_state = 98},
  [12693] = {.lex_state = 98},
  [12694] = {.lex_state = 98},
  [12695] = {.lex_state = 98},
  [12696] = {.lex_state = 98},
  [12697] = {.lex_state = 98},
  [12698] = {.lex_state = 98},
  [12699] = {.lex_state = 98},
  [12700] = {.lex_state = 98},
  [12701] = {.lex_state = 98},
  [12702] = {.lex_state = 98},
  [12703] = {.lex_state = 98},
  [12704] = {.lex_state = 98},
  [12705] = {.lex_state = 98},
  [12706] = {.lex_state = 98},
  [12707] = {.lex_state = 98},
  [12708] = {.lex_state = 98},
  [12709] = {.lex_state = 98},
  [12710] = {.lex_state = 98},
  [12711] = {.lex_state = 98},
  [12712] = {.lex_state = 98},
  [12713] = {.lex_state = 98},
  [12714] = {.lex_state = 98},
  [12715] = {.lex_state = 98},
  [12716] = {.lex_state = 98},
  [12717] = {.lex_state = 98},
  [12718] = {.lex_state = 98},
  [12719] = {.lex_state = 98},
  [12720] = {.lex_state = 98},
  [12721] = {.lex_state = 98},
  [12722] = {.lex_state = 98},
  [12723] = {.lex_state = 98},
  [12724] = {.lex_state = 98},
  [12725] = {.lex_state = 98},
  [12726] = {.lex_state = 98},
  [12727] = {.lex_state = 98},
  [12728] = {.lex_state = 98},
  [12729] = {.lex_state = 98},
  [12730] = {.lex_state = 98},
  [12731] = {.lex_state = 98},
  [12732] = {.lex_state = 98},
  [12733] = {.lex_state = 98},
  [12734] = {.lex_state = 98},
  [12735] = {.lex_state = 98},
  [12736] = {.lex_state = 98},
  [12737] = {.lex_state = 98},
  [12738] = {.lex_state = 98},
  [12739] = {.lex_state = 98},
  [12740] = {.lex_state = 98},
  [12741] = {.lex_state = 98},
  [12742] = {.lex_state = 98},
  [12743] = {.lex_state = 98},
  [12744] = {.lex_state = 98},
  [12745] = {.lex_state = 98},
  [12746] = {.lex_state = 98},
  [12747] = {.lex_state = 98},
  [12748] = {.lex_state = 98},
  [12749] = {.lex_state = 98},
  [12750] = {.lex_state = 98},
  [12751] = {.lex_state = 98},
  [12752] = {.lex_state = 98},
  [12753] = {.lex_state = 98},
  [12754] = {.lex_state = 98},
  [12755] = {.lex_state = 98},
  [12756] = {.lex_state = 98},
  [12757] = {.lex_state = 98},
  [12758] = {.lex_state = 98},
  [12759] = {.lex_state = 98},
  [12760] = {.lex_state = 98},
  [12761] = {.lex_state = 98},
  [12762] = {.lex_state = 98},
  [12763] = {.lex_state = 98},
  [12764] = {.lex_state = 98},
  [12765] = {.lex_state = 98},
  [12766] = {.lex_state = 98},
  [12767] = {.lex_state = 98},
  [12768] = {.lex_state = 98},
  [12769] = {.lex_state = 98},
  [12770] = {.lex_state = 98},
  [12771] = {.lex_state = 98},
  [12772] = {.lex_state = 98},
  [12773] = {.lex_state = 98},
  [12774] = {.lex_state = 98},
  [12775] = {.lex_state = 98},
  [12776] = {.lex_state = 98},
  [12777] = {.lex_state = 98},
  [12778] = {.lex_state = 98},
  [12779] = {.lex_state = 98},
  [12780] = {.lex_state = 98},
  [12781] = {.lex_state = 98},
  [12782] = {.lex_state = 98},
  [12783] = {.lex_state = 98},
  [12784] = {.lex_state = 98},
  [12785] = {.lex_state = 98},
  [12786] = {.lex_state = 98},
  [12787] = {.lex_state = 98},
  [12788] = {.lex_state = 98},
  [12789] = {.lex_state = 98},
  [12790] = {.lex_state = 98},
  [12791] = {.lex_state = 98},
  [12792] = {.lex_state = 98},
  [12793] = {.lex_state = 98},
  [12794] = {.lex_state = 98},
  [12795] = {.lex_state = 98},
  [12796] = {.lex_state = 16},
  [12797] = {.lex_state = 98},
  [12798] = {.lex_state = 98},
  [12799] = {.lex_state = 98},
  [12800] = {.lex_state = 98},
  [12801] = {.lex_state = 98},
  [12802] = {.lex_state = 98},
  [12803] = {.lex_state = 98},
  [12804] = {.lex_state = 98},
  [12805] = {.lex_state = 98},
  [12806] = {.lex_state = 98},
  [12807] = {.lex_state = 98},
  [12808] = {.lex_state = 98},
  [12809] = {.lex_state = 98},
  [12810] = {.lex_state = 98},
  [12811] = {.lex_state = 98},
  [12812] = {.lex_state = 98},
  [12813] = {.lex_state = 98},
  [12814] = {.lex_state = 98},
  [12815] = {.lex_state = 98},
  [12816] = {.lex_state = 98},
  [12817] = {.lex_state = 98},
  [12818] = {.lex_state = 98},
  [12819] = {.lex_state = 98},
  [12820] = {.lex_state = 98},
  [12821] = {.lex_state = 98},
  [12822] = {.lex_state = 98},
  [12823] = {.lex_state = 98},
  [12824] = {.lex_state = 98},
  [12825] = {.lex_state = 98},
  [12826] = {.lex_state = 98},
  [12827] = {.lex_state = 98},
  [12828] = {.lex_state = 98},
  [12829] = {.lex_state = 98},
  [12830] = {.lex_state = 98},
  [12831] = {.lex_state = 98},
  [12832] = {.lex_state = 98},
  [12833] = {.lex_state = 98},
  [12834] = {.lex_state = 98},
  [12835] = {.lex_state = 98},
  [12836] = {.lex_state = 98},
  [12837] = {.lex_state = 98},
  [12838] = {.lex_state = 98},
  [12839] = {.lex_state = 98},
  [12840] = {.lex_state = 98},
  [12841] = {.lex_state = 98},
  [12842] = {.lex_state = 98},
  [12843] = {.lex_state = 98},
  [12844] = {.lex_state = 98},
  [12845] = {.lex_state = 98},
  [12846] = {.lex_state = 98},
  [12847] = {.lex_state = 98},
  [12848] = {.lex_state = 98},
  [12849] = {.lex_state = 98},
  [12850] = {.lex_state = 98},
  [12851] = {.lex_state = 98},
  [12852] = {.lex_state = 98},
  [12853] = {.lex_state = 98},
  [12854] = {.lex_state = 98},
  [12855] = {.lex_state = 98},
  [12856] = {.lex_state = 98},
  [12857] = {.lex_state = 98},
  [12858] = {.lex_state = 98},
  [12859] = {.lex_state = 98},
  [12860] = {.lex_state = 98},
  [12861] = {.lex_state = 98},
  [12862] = {.lex_state = 98},
  [12863] = {.lex_state = 98},
  [12864] = {.lex_state = 98},
  [12865] = {.lex_state = 98},
  [12866] = {.lex_state = 98},
  [12867] = {.lex_state = 98},
  [12868] = {.lex_state = 98},
  [12869] = {.lex_state = 98},
  [12870] = {.lex_state = 98},
  [12871] = {.lex_state = 98},
  [12872] = {.lex_state = 98},
  [12873] = {.lex_state = 95},
  [12874] = {.lex_state = 98},
  [12875] = {.lex_state = 95},
  [12876] = {.lex_state = 98},
  [12877] = {.lex_state = 98},
  [12878] = {.lex_state = 0, .external_lex_state = 3},
  [12879] = {.lex_state = 98},
  [12880] = {.lex_state = 98},
  [12881] = {.lex_state = 98},
  [12882] = {.lex_state = 98},
  [12883] = {.lex_state = 98},
  [12884] = {.lex_state = 98},
  [12885] = {.lex_state = 0, .external_lex_state = 3},
  [12886] = {.lex_state = 98},
  [12887] = {.lex_state = 98},
  [12888] = {.lex_state = 95},
  [12889] = {.lex_state = 98},
  [12890] = {.lex_state = 98},
  [12891] = {.lex_state = 98},
  [12892] = {.lex_state = 98},
  [12893] = {.lex_state = 98},
  [12894] = {.lex_state = 103},
  [12895] = {.lex_state = 103},
  [12896] = {.lex_state = 98},
  [12897] = {.lex_state = 98},
  [12898] = {.lex_state = 0, .external_lex_state = 3},
  [12899] = {.lex_state = 95},
  [12900] = {.lex_state = 98},
  [12901] = {.lex_state = 98},
  [12902] = {.lex_state = 96},
  [12903] = {.lex_state = 95},
  [12904] = {.lex_state = 95},
  [12905] = {.lex_state = 103},
  [12906] = {.lex_state = 98},
  [12907] = {.lex_state = 98},
  [12908] = {.lex_state = 95},
  [12909] = {.lex_state = 98},
  [12910] = {.lex_state = 95},
  [12911] = {.lex_state = 98},
  [12912] = {.lex_state = 98},
  [12913] = {.lex_state = 0, .external_lex_state = 3},
  [12914] = {.lex_state = 98},
  [12915] = {.lex_state = 96},
  [12916] = {.lex_state = 98},
  [12917] = {.lex_state = 98},
  [12918] = {.lex_state = 98},
  [12919] = {.lex_state = 103},
  [12920] = {.lex_state = 98},
  [12921] = {.lex_state = 98},
  [12922] = {.lex_state = 98},
  [12923] = {.lex_state = 98},
  [12924] = {.lex_state = 96},
  [12925] = {.lex_state = 98},
  [12926] = {.lex_state = 95},
  [12927] = {.lex_state = 0, .external_lex_state = 3},
  [12928] = {.lex_state = 98},
  [12929] = {.lex_state = 95},
  [12930] = {.lex_state = 95},
  [12931] = {.lex_state = 95},
  [12932] = {.lex_state = 98},
  [12933] = {.lex_state = 98},
  [12934] = {.lex_state = 98},
  [12935] = {.lex_state = 98},
  [12936] = {.lex_state = 98},
  [12937] = {.lex_state = 98},
  [12938] = {.lex_state = 0, .external_lex_state = 3},
  [12939] = {.lex_state = 98},
  [12940] = {.lex_state = 98},
  [12941] = {.lex_state = 0, .external_lex_state = 3},
  [12942] = {.lex_state = 98},
  [12943] = {.lex_state = 98},
  [12944] = {.lex_state = 98},
  [12945] = {.lex_state = 103},
  [12946] = {.lex_state = 98},
  [12947] = {.lex_state = 98},
  [12948] = {.lex_state = 98},
  [12949] = {.lex_state = 98},
  [12950] = {.lex_state = 98},
  [12951] = {.lex_state = 98},
  [12952] = {.lex_state = 98},
  [12953] = {.lex_state = 98},
  [12954] = {.lex_state = 98},
  [12955] = {.lex_state = 98},
  [12956] = {.lex_state = 98},
  [12957] = {.lex_state = 0, .external_lex_state = 3},
  [12958] = {.lex_state = 98},
  [12959] = {.lex_state = 98},
  [12960] = {.lex_state = 98},
  [12961] = {.lex_state = 98},
  [12962] = {.lex_state = 98},
  [12963] = {.lex_state = 98},
  [12964] = {.lex_state = 98},
  [12965] = {.lex_state = 98},
  [12966] = {.lex_state = 98},
  [12967] = {.lex_state = 98},
  [12968] = {.lex_state = 98},
  [12969] = {.lex_state = 98},
  [12970] = {.lex_state = 98},
  [12971] = {.lex_state = 0, .external_lex_state = 3},
  [12972] = {.lex_state = 98},
  [12973] = {.lex_state = 98},
  [12974] = {.lex_state = 98},
  [12975] = {.lex_state = 103},
  [12976] = {.lex_state = 98},
  [12977] = {.lex_state = 98},
  [12978] = {.lex_state = 0, .external_lex_state = 3},
  [12979] = {.lex_state = 0, .external_lex_state = 3},
  [12980] = {.lex_state = 98},
  [12981] = {.lex_state = 98},
  [12982] = {.lex_state = 98},
  [12983] = {.lex_state = 0, .external_lex_state = 3},
  [12984] = {.lex_state = 98},
  [12985] = {.lex_state = 0, .external_lex_state = 3},
  [12986] = {.lex_state = 98},
  [12987] = {.lex_state = 96},
  [12988] = {.lex_state = 98},
  [12989] = {.lex_state = 0, .external_lex_state = 3},
  [12990] = {.lex_state = 98},
  [12991] = {.lex_state = 98},
  [12992] = {.lex_state = 98},
  [12993] = {.lex_state = 98},
  [12994] = {.lex_state = 98},
  [12995] = {.lex_state = 98},
  [12996] = {.lex_state = 0, .external_lex_state = 3},
  [12997] = {.lex_state = 98},
  [12998] = {.lex_state = 98},
  [12999] = {.lex_state = 98},
  [13000] = {.lex_state = 98},
  [13001] = {.lex_state = 0, .external_lex_state = 3},
  [13002] = {.lex_state = 98},
  [13003] = {.lex_state = 95},
  [13004] = {.lex_state = 98},
  [13005] = {.lex_state = 98},
  [13006] = {.lex_state = 95},
  [13007] = {.lex_state = 98},
  [13008] = {.lex_state = 0, .external_lex_state = 3},
  [13009] = {.lex_state = 98},
  [13010] = {.lex_state = 95},
  [13011] = {.lex_state = 96},
  [13012] = {.lex_state = 98},
  [13013] = {.lex_state = 98},
  [13014] = {.lex_state = 98},
  [13015] = {.lex_state = 98},
  [13016] = {.lex_state = 98},
  [13017] = {.lex_state = 0, .external_lex_state = 3},
  [13018] = {.lex_state = 98},
  [13019] = {.lex_state = 96},
  [13020] = {.lex_state = 98},
  [13021] = {.lex_state = 98},
  [13022] = {.lex_state = 98},
  [13023] = {.lex_state = 98},
  [13024] = {.lex_state = 98},
  [13025] = {.lex_state = 98},
  [13026] = {.lex_state = 98},
  [13027] = {.lex_state = 98},
  [13028] = {.lex_state = 98},
  [13029] = {.lex_state = 98},
  [13030] = {.lex_state = 98},
  [13031] = {.lex_state = 98},
  [13032] = {.lex_state = 98},
  [13033] = {.lex_state = 98},
  [13034] = {.lex_state = 98},
  [13035] = {.lex_state = 98},
  [13036] = {.lex_state = 98},
  [13037] = {.lex_state = 98},
  [13038] = {.lex_state = 98},
  [13039] = {.lex_state = 98},
  [13040] = {.lex_state = 98},
  [13041] = {.lex_state = 98},
  [13042] = {.lex_state = 103},
  [13043] = {.lex_state = 98},
  [13044] = {.lex_state = 98},
  [13045] = {.lex_state = 98},
  [13046] = {.lex_state = 98},
  [13047] = {.lex_state = 98},
  [13048] = {.lex_state = 98},
  [13049] = {.lex_state = 98},
  [13050] = {.lex_state = 98},
  [13051] = {.lex_state = 98},
  [13052] = {.lex_state = 98},
  [13053] = {.lex_state = 98},
  [13054] = {.lex_state = 98},
  [13055] = {.lex_state = 98},
  [13056] = {.lex_state = 98},
  [13057] = {.lex_state = 98},
  [13058] = {.lex_state = 98},
  [13059] = {.lex_state = 98},
  [13060] = {.lex_state = 98},
  [13061] = {.lex_state = 98},
  [13062] = {.lex_state = 98},
  [13063] = {.lex_state = 98},
  [13064] = {.lex_state = 98},
  [13065] = {.lex_state = 98},
  [13066] = {.lex_state = 98},
  [13067] = {.lex_state = 98},
  [13068] = {.lex_state = 98},
  [13069] = {.lex_state = 98},
  [13070] = {.lex_state = 98},
  [13071] = {.lex_state = 98},
  [13072] = {.lex_state = 98},
  [13073] = {.lex_state = 98},
  [13074] = {.lex_state = 98},
  [13075] = {.lex_state = 98},
  [13076] = {.lex_state = 98},
  [13077] = {.lex_state = 98},
  [13078] = {.lex_state = 98},
  [13079] = {.lex_state = 98},
  [13080] = {.lex_state = 98},
  [13081] = {.lex_state = 98},
  [13082] = {.lex_state = 98},
  [13083] = {.lex_state = 98},
  [13084] = {.lex_state = 98},
  [13085] = {.lex_state = 98},
  [13086] = {.lex_state = 98},
  [13087] = {.lex_state = 98},
  [13088] = {.lex_state = 98},
  [13089] = {.lex_state = 98},
  [13090] = {.lex_state = 98},
  [13091] = {.lex_state = 98},
  [13092] = {.lex_state = 98},
  [13093] = {.lex_state = 98},
  [13094] = {.lex_state = 98},
  [13095] = {.lex_state = 98},
  [13096] = {.lex_state = 98},
  [13097] = {.lex_state = 98},
  [13098] = {.lex_state = 98},
  [13099] = {.lex_state = 98},
  [13100] = {.lex_state = 98},
  [13101] = {.lex_state = 98},
  [13102] = {.lex_state = 98},
  [13103] = {.lex_state = 98},
  [13104] = {.lex_state = 98},
  [13105] = {.lex_state = 98},
  [13106] = {.lex_state = 98},
  [13107] = {.lex_state = 98},
  [13108] = {.lex_state = 98},
  [13109] = {.lex_state = 98},
  [13110] = {.lex_state = 98},
  [13111] = {.lex_state = 98},
  [13112] = {.lex_state = 98},
  [13113] = {.lex_state = 98},
  [13114] = {.lex_state = 98},
  [13115] = {.lex_state = 98},
  [13116] = {.lex_state = 98},
  [13117] = {.lex_state = 98},
  [13118] = {.lex_state = 98},
  [13119] = {.lex_state = 98},
  [13120] = {.lex_state = 98},
  [13121] = {.lex_state = 98},
  [13122] = {.lex_state = 98},
  [13123] = {.lex_state = 98},
  [13124] = {.lex_state = 98},
  [13125] = {.lex_state = 98},
  [13126] = {.lex_state = 98},
  [13127] = {.lex_state = 95},
  [13128] = {.lex_state = 103},
  [13129] = {.lex_state = 98},
  [13130] = {.lex_state = 98},
  [13131] = {.lex_state = 98},
  [13132] = {.lex_state = 98},
  [13133] = {.lex_state = 98},
  [13134] = {.lex_state = 98},
  [13135] = {.lex_state = 95},
  [13136] = {.lex_state = 98},
  [13137] = {.lex_state = 98},
  [13138] = {.lex_state = 98},
  [13139] = {.lex_state = 98},
  [13140] = {.lex_state = 98},
  [13141] = {.lex_state = 98},
  [13142] = {.lex_state = 98},
  [13143] = {.lex_state = 98},
  [13144] = {.lex_state = 95},
  [13145] = {.lex_state = 98},
  [13146] = {.lex_state = 98},
  [13147] = {.lex_state = 98},
  [13148] = {.lex_state = 98},
  [13149] = {.lex_state = 98},
  [13150] = {.lex_state = 95},
  [13151] = {.lex_state = 98},
  [13152] = {.lex_state = 98},
  [13153] = {.lex_state = 98},
  [13154] = {.lex_state = 98},
  [13155] = {.lex_state = 98},
  [13156] = {.lex_state = 103},
  [13157] = {.lex_state = 103},
  [13158] = {.lex_state = 98},
  [13159] = {.lex_state = 98},
  [13160] = {.lex_state = 98},
  [13161] = {.lex_state = 98},
  [13162] = {.lex_state = 98},
  [13163] = {.lex_state = 103},
  [13164] = {.lex_state = 98},
  [13165] = {.lex_state = 98},
  [13166] = {.lex_state = 98},
  [13167] = {.lex_state = 98},
  [13168] = {.lex_state = 98},
  [13169] = {.lex_state = 98},
  [13170] = {.lex_state = 103},
  [13171] = {.lex_state = 98},
  [13172] = {.lex_state = 98},
  [13173] = {.lex_state = 98},
  [13174] = {.lex_state = 98},
  [13175] = {.lex_state = 98},
  [13176] = {.lex_state = 98},
  [13177] = {.lex_state = 98},
  [13178] = {.lex_state = 98},
  [13179] = {.lex_state = 98},
  [13180] = {.lex_state = 98},
  [13181] = {.lex_state = 98},
  [13182] = {.lex_state = 98},
  [13183] = {.lex_state = 98},
  [13184] = {.lex_state = 98},
  [13185] = {.lex_state = 98},
  [13186] = {.lex_state = 98},
  [13187] = {.lex_state = 98},
  [13188] = {.lex_state = 95},
  [13189] = {.lex_state = 95},
  [13190] = {.lex_state = 98},
  [13191] = {.lex_state = 98},
  [13192] = {.lex_state = 98},
  [13193] = {.lex_state = 98},
  [13194] = {.lex_state = 98},
  [13195] = {.lex_state = 98},
  [13196] = {.lex_state = 98},
  [13197] = {.lex_state = 98},
  [13198] = {.lex_state = 98},
  [13199] = {.lex_state = 98},
  [13200] = {.lex_state = 98},
  [13201] = {.lex_state = 98},
  [13202] = {.lex_state = 98},
  [13203] = {.lex_state = 98},
  [13204] = {.lex_state = 98},
  [13205] = {.lex_state = 98},
  [13206] = {.lex_state = 98},
  [13207] = {.lex_state = 98},
  [13208] = {.lex_state = 98},
  [13209] = {.lex_state = 98},
  [13210] = {.lex_state = 98},
  [13211] = {.lex_state = 98},
  [13212] = {.lex_state = 98},
  [13213] = {.lex_state = 98},
  [13214] = {.lex_state = 98},
  [13215] = {.lex_state = 98},
  [13216] = {.lex_state = 98},
  [13217] = {.lex_state = 98},
  [13218] = {.lex_state = 98},
  [13219] = {.lex_state = 98},
  [13220] = {.lex_state = 98},
  [13221] = {.lex_state = 98},
  [13222] = {.lex_state = 98},
  [13223] = {.lex_state = 98},
  [13224] = {.lex_state = 98},
  [13225] = {.lex_state = 98},
  [13226] = {.lex_state = 98},
  [13227] = {.lex_state = 101},
  [13228] = {.lex_state = 98},
  [13229] = {.lex_state = 98},
  [13230] = {.lex_state = 98},
  [13231] = {.lex_state = 101},
  [13232] = {.lex_state = 98},
  [13233] = {.lex_state = 98},
  [13234] = {.lex_state = 98},
  [13235] = {.lex_state = 98},
  [13236] = {.lex_state = 98},
  [13237] = {.lex_state = 98},
  [13238] = {.lex_state = 98},
  [13239] = {.lex_state = 98},
  [13240] = {.lex_state = 98},
  [13241] = {.lex_state = 98},
  [13242] = {.lex_state = 98},
  [13243] = {.lex_state = 98},
  [13244] = {.lex_state = 98},
  [13245] = {.lex_state = 98},
  [13246] = {.lex_state = 98},
  [13247] = {.lex_state = 98},
  [13248] = {.lex_state = 98},
  [13249] = {.lex_state = 98},
  [13250] = {.lex_state = 98},
  [13251] = {.lex_state = 98},
  [13252] = {.lex_state = 98},
  [13253] = {.lex_state = 98},
  [13254] = {.lex_state = 98},
  [13255] = {.lex_state = 98},
  [13256] = {.lex_state = 98},
  [13257] = {.lex_state = 98},
  [13258] = {.lex_state = 98},
  [13259] = {.lex_state = 98},
  [13260] = {.lex_state = 98},
  [13261] = {.lex_state = 98},
  [13262] = {.lex_state = 98},
  [13263] = {.lex_state = 98},
  [13264] = {.lex_state = 98},
  [13265] = {.lex_state = 98},
  [13266] = {.lex_state = 98},
  [13267] = {.lex_state = 98},
  [13268] = {.lex_state = 98},
  [13269] = {.lex_state = 98},
  [13270] = {.lex_state = 98},
  [13271] = {.lex_state = 98},
  [13272] = {.lex_state = 98},
  [13273] = {.lex_state = 98},
  [13274] = {.lex_state = 98},
  [13275] = {.lex_state = 98},
  [13276] = {.lex_state = 98},
  [13277] = {.lex_state = 98},
  [13278] = {.lex_state = 98},
  [13279] = {.lex_state = 98},
  [13280] = {.lex_state = 98},
  [13281] = {.lex_state = 98},
  [13282] = {.lex_state = 98},
  [13283] = {.lex_state = 98},
  [13284] = {.lex_state = 98},
  [13285] = {.lex_state = 98},
  [13286] = {.lex_state = 98},
  [13287] = {.lex_state = 98},
  [13288] = {.lex_state = 98},
  [13289] = {.lex_state = 98},
  [13290] = {.lex_state = 98},
  [13291] = {.lex_state = 98},
  [13292] = {.lex_state = 98},
  [13293] = {.lex_state = 98},
  [13294] = {.lex_state = 101},
  [13295] = {.lex_state = 98},
  [13296] = {.lex_state = 98},
  [13297] = {.lex_state = 101},
  [13298] = {.lex_state = 101},
  [13299] = {.lex_state = 98},
  [13300] = {.lex_state = 98},
  [13301] = {.lex_state = 98},
  [13302] = {.lex_state = 98},
  [13303] = {.lex_state = 98},
  [13304] = {.lex_state = 98},
  [13305] = {.lex_state = 98},
  [13306] = {.lex_state = 98},
  [13307] = {.lex_state = 98},
  [13308] = {.lex_state = 98},
  [13309] = {.lex_state = 98},
  [13310] = {.lex_state = 98},
  [13311] = {.lex_state = 98},
  [13312] = {.lex_state = 98},
  [13313] = {.lex_state = 98},
  [13314] = {.lex_state = 98},
  [13315] = {.lex_state = 98},
  [13316] = {.lex_state = 98},
  [13317] = {.lex_state = 100},
  [13318] = {.lex_state = 98},
  [13319] = {.lex_state = 98},
  [13320] = {.lex_state = 98},
  [13321] = {.lex_state = 98},
  [13322] = {.lex_state = 98},
  [13323] = {.lex_state = 98},
  [13324] = {.lex_state = 98},
  [13325] = {.lex_state = 98},
  [13326] = {.lex_state = 98},
  [13327] = {.lex_state = 98},
  [13328] = {.lex_state = 98},
  [13329] = {.lex_state = 98},
  [13330] = {.lex_state = 98},
  [13331] = {.lex_state = 98},
  [13332] = {.lex_state = 98},
  [13333] = {.lex_state = 98},
  [13334] = {.lex_state = 98},
  [13335] = {.lex_state = 98},
  [13336] = {.lex_state = 98},
  [13337] = {.lex_state = 98},
  [13338] = {.lex_state = 98},
  [13339] = {.lex_state = 98},
  [13340] = {.lex_state = 98},
  [13341] = {.lex_state = 98},
  [13342] = {.lex_state = 98},
  [13343] = {.lex_state = 98},
  [13344] = {.lex_state = 98},
  [13345] = {.lex_state = 98},
  [13346] = {.lex_state = 98},
  [13347] = {.lex_state = 98},
  [13348] = {.lex_state = 98},
  [13349] = {.lex_state = 98},
  [13350] = {.lex_state = 98},
  [13351] = {.lex_state = 98},
  [13352] = {.lex_state = 98},
  [13353] = {.lex_state = 98},
  [13354] = {.lex_state = 98},
  [13355] = {.lex_state = 98},
  [13356] = {.lex_state = 98},
  [13357] = {.lex_state = 98},
  [13358] = {.lex_state = 98},
  [13359] = {.lex_state = 98},
  [13360] = {.lex_state = 98},
  [13361] = {.lex_state = 98},
  [13362] = {.lex_state = 98},
  [13363] = {.lex_state = 98},
  [13364] = {.lex_state = 98},
  [13365] = {.lex_state = 98},
  [13366] = {.lex_state = 98},
  [13367] = {.lex_state = 98},
  [13368] = {.lex_state = 98},
  [13369] = {.lex_state = 98},
  [13370] = {.lex_state = 98},
  [13371] = {.lex_state = 98},
  [13372] = {.lex_state = 98},
  [13373] = {.lex_state = 98},
  [13374] = {.lex_state = 98},
  [13375] = {.lex_state = 98},
  [13376] = {.lex_state = 100},
  [13377] = {.lex_state = 98},
  [13378] = {.lex_state = 98},
  [13379] = {.lex_state = 98},
  [13380] = {.lex_state = 98},
  [13381] = {.lex_state = 98},
  [13382] = {.lex_state = 98},
  [13383] = {.lex_state = 98},
  [13384] = {.lex_state = 98},
  [13385] = {.lex_state = 98},
  [13386] = {.lex_state = 98},
  [13387] = {.lex_state = 98},
  [13388] = {.lex_state = 98},
  [13389] = {.lex_state = 101},
  [13390] = {.lex_state = 101},
  [13391] = {.lex_state = 101},
  [13392] = {.lex_state = 98},
  [13393] = {.lex_state = 98},
  [13394] = {.lex_state = 98},
  [13395] = {.lex_state = 98},
  [13396] = {.lex_state = 100},
  [13397] = {.lex_state = 98},
  [13398] = {.lex_state = 98},
  [13399] = {.lex_state = 98},
  [13400] = {.lex_state = 98},
  [13401] = {.lex_state = 98},
  [13402] = {.lex_state = 98},
  [13403] = {.lex_state = 98},
  [13404] = {.lex_state = 98},
  [13405] = {.lex_state = 98},
  [13406] = {.lex_state = 98},
  [13407] = {.lex_state = 98},
  [13408] = {.lex_state = 98},
  [13409] = {.lex_state = 98},
  [13410] = {.lex_state = 98},
  [13411] = {.lex_state = 98},
  [13412] = {.lex_state = 98},
  [13413] = {.lex_state = 98},
  [13414] = {.lex_state = 98},
  [13415] = {.lex_state = 98},
  [13416] = {.lex_state = 98},
  [13417] = {.lex_state = 98},
  [13418] = {.lex_state = 98},
  [13419] = {.lex_state = 98},
  [13420] = {.lex_state = 98},
  [13421] = {.lex_state = 98},
  [13422] = {.lex_state = 98},
  [13423] = {.lex_state = 98},
  [13424] = {.lex_state = 98},
  [13425] = {.lex_state = 98},
  [13426] = {.lex_state = 98},
  [13427] = {.lex_state = 98},
  [13428] = {.lex_state = 98},
  [13429] = {.lex_state = 98},
  [13430] = {.lex_state = 98},
  [13431] = {.lex_state = 98},
  [13432] = {.lex_state = 98},
  [13433] = {.lex_state = 98},
  [13434] = {.lex_state = 98},
  [13435] = {.lex_state = 98},
  [13436] = {.lex_state = 98},
  [13437] = {.lex_state = 98},
  [13438] = {.lex_state = 98},
  [13439] = {.lex_state = 98},
  [13440] = {.lex_state = 98},
  [13441] = {.lex_state = 98},
  [13442] = {.lex_state = 98},
  [13443] = {.lex_state = 98},
  [13444] = {.lex_state = 98},
  [13445] = {.lex_state = 98},
  [13446] = {.lex_state = 98},
  [13447] = {.lex_state = 100},
  [13448] = {.lex_state = 98},
  [13449] = {.lex_state = 98},
  [13450] = {.lex_state = 98},
  [13451] = {.lex_state = 98},
  [13452] = {.lex_state = 98},
  [13453] = {.lex_state = 98},
  [13454] = {.lex_state = 98},
  [13455] = {.lex_state = 98},
  [13456] = {.lex_state = 100},
  [13457] = {.lex_state = 98},
  [13458] = {.lex_state = 98},
  [13459] = {.lex_state = 98},
  [13460] = {.lex_state = 98},
  [13461] = {.lex_state = 98},
  [13462] = {.lex_state = 98},
  [13463] = {.lex_state = 98},
  [13464] = {.lex_state = 98},
  [13465] = {.lex_state = 98},
  [13466] = {.lex_state = 98},
  [13467] = {.lex_state = 98},
  [13468] = {.lex_state = 98},
  [13469] = {.lex_state = 98},
  [13470] = {.lex_state = 98},
  [13471] = {.lex_state = 98},
  [13472] = {.lex_state = 98},
  [13473] = {.lex_state = 98},
  [13474] = {.lex_state = 98},
  [13475] = {.lex_state = 98},
  [13476] = {.lex_state = 98},
  [13477] = {.lex_state = 98},
  [13478] = {.lex_state = 98},
  [13479] = {.lex_state = 98},
  [13480] = {.lex_state = 98},
  [13481] = {.lex_state = 98},
  [13482] = {.lex_state = 98},
  [13483] = {.lex_state = 101},
  [13484] = {.lex_state = 98},
  [13485] = {.lex_state = 98},
  [13486] = {.lex_state = 98},
  [13487] = {.lex_state = 98},
  [13488] = {.lex_state = 98},
  [13489] = {.lex_state = 98},
  [13490] = {.lex_state = 98},
  [13491] = {.lex_state = 98},
  [13492] = {.lex_state = 98},
  [13493] = {.lex_state = 98},
  [13494] = {.lex_state = 98},
  [13495] = {.lex_state = 98},
  [13496] = {.lex_state = 98},
  [13497] = {.lex_state = 98},
  [13498] = {.lex_state = 98},
  [13499] = {.lex_state = 98},
  [13500] = {.lex_state = 98},
  [13501] = {.lex_state = 98},
  [13502] = {.lex_state = 98},
  [13503] = {.lex_state = 98},
  [13504] = {.lex_state = 98},
  [13505] = {.lex_state = 98},
  [13506] = {.lex_state = 98},
  [13507] = {.lex_state = 98},
  [13508] = {.lex_state = 98},
  [13509] = {.lex_state = 98},
  [13510] = {.lex_state = 98},
  [13511] = {.lex_state = 98},
  [13512] = {.lex_state = 98},
  [13513] = {.lex_state = 98},
  [13514] = {.lex_state = 96},
  [13515] = {.lex_state = 98},
  [13516] = {.lex_state = 98},
  [13517] = {.lex_state = 98},
  [13518] = {.lex_state = 98},
  [13519] = {.lex_state = 98},
  [13520] = {.lex_state = 98},
  [13521] = {.lex_state = 98},
  [13522] = {.lex_state = 98},
  [13523] = {.lex_state = 98},
  [13524] = {.lex_state = 98},
  [13525] = {.lex_state = 98},
  [13526] = {.lex_state = 98},
  [13527] = {.lex_state = 98},
  [13528] = {.lex_state = 98},
  [13529] = {.lex_state = 98},
  [13530] = {.lex_state = 98},
  [13531] = {.lex_state = 98},
  [13532] = {.lex_state = 98},
  [13533] = {.lex_state = 98},
  [13534] = {.lex_state = 98},
  [13535] = {.lex_state = 98},
  [13536] = {.lex_state = 98},
  [13537] = {.lex_state = 98},
  [13538] = {.lex_state = 98},
  [13539] = {.lex_state = 98},
  [13540] = {.lex_state = 98},
  [13541] = {.lex_state = 98},
  [13542] = {.lex_state = 98},
  [13543] = {.lex_state = 98},
  [13544] = {.lex_state = 98},
  [13545] = {.lex_state = 98},
  [13546] = {.lex_state = 98},
  [13547] = {.lex_state = 98},
  [13548] = {.lex_state = 98},
  [13549] = {.lex_state = 98},
  [13550] = {.lex_state = 98},
  [13551] = {.lex_state = 98},
  [13552] = {.lex_state = 98},
  [13553] = {.lex_state = 98},
  [13554] = {.lex_state = 98},
  [13555] = {.lex_state = 98},
  [13556] = {.lex_state = 98},
  [13557] = {.lex_state = 98},
  [13558] = {.lex_state = 98},
  [13559] = {.lex_state = 98},
  [13560] = {.lex_state = 98},
  [13561] = {.lex_state = 101},
  [13562] = {.lex_state = 101},
  [13563] = {.lex_state = 100},
  [13564] = {.lex_state = 98},
  [13565] = {.lex_state = 98},
  [13566] = {.lex_state = 98},
  [13567] = {.lex_state = 98},
  [13568] = {.lex_state = 98},
  [13569] = {.lex_state = 98},
  [13570] = {.lex_state = 98},
  [13571] = {.lex_state = 98},
  [13572] = {.lex_state = 98},
  [13573] = {.lex_state = 98},
  [13574] = {.lex_state = 98},
  [13575] = {.lex_state = 98},
  [13576] = {.lex_state = 98},
  [13577] = {.lex_state = 98},
  [13578] = {.lex_state = 98},
  [13579] = {.lex_state = 98},
  [13580] = {.lex_state = 98},
  [13581] = {.lex_state = 98},
  [13582] = {.lex_state = 98},
  [13583] = {.lex_state = 98},
  [13584] = {.lex_state = 98},
  [13585] = {.lex_state = 98},
  [13586] = {.lex_state = 98},
  [13587] = {.lex_state = 98},
  [13588] = {.lex_state = 98},
  [13589] = {.lex_state = 98},
  [13590] = {.lex_state = 98},
  [13591] = {.lex_state = 98},
  [13592] = {.lex_state = 98},
  [13593] = {.lex_state = 98},
  [13594] = {.lex_state = 98},
  [13595] = {.lex_state = 98},
  [13596] = {.lex_state = 98},
  [13597] = {.lex_state = 98},
  [13598] = {.lex_state = 98},
  [13599] = {.lex_state = 98},
  [13600] = {.lex_state = 98},
  [13601] = {.lex_state = 98},
  [13602] = {.lex_state = 98},
  [13603] = {.lex_state = 98},
  [13604] = {.lex_state = 98},
  [13605] = {.lex_state = 98},
  [13606] = {.lex_state = 98},
  [13607] = {.lex_state = 98},
  [13608] = {.lex_state = 98},
  [13609] = {.lex_state = 98},
  [13610] = {.lex_state = 98},
  [13611] = {.lex_state = 98},
  [13612] = {.lex_state = 98},
  [13613] = {.lex_state = 98},
  [13614] = {.lex_state = 98},
  [13615] = {.lex_state = 98},
  [13616] = {.lex_state = 98},
  [13617] = {.lex_state = 98},
  [13618] = {.lex_state = 98},
  [13619] = {.lex_state = 98},
  [13620] = {.lex_state = 98},
  [13621] = {.lex_state = 98},
  [13622] = {.lex_state = 98},
  [13623] = {.lex_state = 98},
  [13624] = {.lex_state = 98},
  [13625] = {.lex_state = 98},
  [13626] = {.lex_state = 98},
  [13627] = {.lex_state = 98},
  [13628] = {.lex_state = 98},
  [13629] = {.lex_state = 98},
  [13630] = {.lex_state = 98},
  [13631] = {.lex_state = 98},
  [13632] = {.lex_state = 98},
  [13633] = {.lex_state = 98},
  [13634] = {.lex_state = 98},
  [13635] = {.lex_state = 98},
  [13636] = {.lex_state = 98},
  [13637] = {.lex_state = 98},
  [13638] = {.lex_state = 98},
  [13639] = {.lex_state = 98},
  [13640] = {.lex_state = 98},
  [13641] = {.lex_state = 98},
  [13642] = {.lex_state = 98},
  [13643] = {.lex_state = 98},
  [13644] = {.lex_state = 98},
  [13645] = {.lex_state = 98},
  [13646] = {.lex_state = 98},
  [13647] = {.lex_state = 98},
  [13648] = {.lex_state = 98},
  [13649] = {.lex_state = 98},
  [13650] = {.lex_state = 98},
  [13651] = {.lex_state = 98},
  [13652] = {.lex_state = 98},
  [13653] = {.lex_state = 98},
  [13654] = {.lex_state = 98},
  [13655] = {.lex_state = 98},
  [13656] = {.lex_state = 98},
  [13657] = {.lex_state = 98},
  [13658] = {.lex_state = 98},
  [13659] = {.lex_state = 98},
  [13660] = {.lex_state = 98},
  [13661] = {.lex_state = 98},
  [13662] = {.lex_state = 98},
  [13663] = {.lex_state = 98},
  [13664] = {.lex_state = 98},
  [13665] = {.lex_state = 98},
  [13666] = {.lex_state = 98},
  [13667] = {.lex_state = 98},
  [13668] = {.lex_state = 98},
  [13669] = {.lex_state = 98},
  [13670] = {.lex_state = 98},
  [13671] = {.lex_state = 98},
  [13672] = {.lex_state = 98},
  [13673] = {.lex_state = 98},
  [13674] = {.lex_state = 98},
  [13675] = {.lex_state = 98},
  [13676] = {.lex_state = 98},
  [13677] = {.lex_state = 98},
  [13678] = {.lex_state = 98},
  [13679] = {.lex_state = 98},
  [13680] = {.lex_state = 98},
  [13681] = {.lex_state = 98},
  [13682] = {.lex_state = 98},
  [13683] = {.lex_state = 98},
  [13684] = {.lex_state = 100},
  [13685] = {.lex_state = 98},
  [13686] = {.lex_state = 98},
  [13687] = {.lex_state = 98},
  [13688] = {.lex_state = 98},
  [13689] = {.lex_state = 98},
  [13690] = {.lex_state = 98},
  [13691] = {.lex_state = 98},
  [13692] = {.lex_state = 98},
  [13693] = {.lex_state = 98},
  [13694] = {.lex_state = 98},
  [13695] = {.lex_state = 98},
  [13696] = {.lex_state = 98},
  [13697] = {.lex_state = 98},
  [13698] = {.lex_state = 98},
  [13699] = {.lex_state = 98},
  [13700] = {.lex_state = 98},
  [13701] = {.lex_state = 98},
  [13702] = {.lex_state = 98},
  [13703] = {.lex_state = 98},
  [13704] = {.lex_state = 98},
  [13705] = {.lex_state = 98},
  [13706] = {.lex_state = 98},
  [13707] = {.lex_state = 98},
  [13708] = {.lex_state = 98},
  [13709] = {.lex_state = 98},
  [13710] = {.lex_state = 98},
  [13711] = {.lex_state = 98},
  [13712] = {.lex_state = 96},
  [13713] = {.lex_state = 96},
  [13714] = {.lex_state = 96},
  [13715] = {.lex_state = 96},
  [13716] = {.lex_state = 96},
  [13717] = {.lex_state = 96},
  [13718] = {.lex_state = 96},
  [13719] = {.lex_state = 98},
  [13720] = {.lex_state = 96},
  [13721] = {.lex_state = 98},
  [13722] = {.lex_state = 96},
  [13723] = {.lex_state = 96},
  [13724] = {.lex_state = 96},
  [13725] = {.lex_state = 96},
  [13726] = {.lex_state = 96},
  [13727] = {.lex_state = 98},
  [13728] = {.lex_state = 98},
  [13729] = {.lex_state = 98},
  [13730] = {.lex_state = 96},
  [13731] = {.lex_state = 98},
  [13732] = {.lex_state = 96},
  [13733] = {.lex_state = 98},
  [13734] = {.lex_state = 98},
  [13735] = {.lex_state = 98},
  [13736] = {.lex_state = 96},
  [13737] = {.lex_state = 98},
  [13738] = {.lex_state = 98},
  [13739] = {.lex_state = 96},
  [13740] = {.lex_state = 96},
  [13741] = {.lex_state = 96},
  [13742] = {.lex_state = 96},
  [13743] = {.lex_state = 96},
  [13744] = {.lex_state = 98},
  [13745] = {.lex_state = 98},
  [13746] = {.lex_state = 98},
  [13747] = {.lex_state = 98},
  [13748] = {.lex_state = 98},
  [13749] = {.lex_state = 98},
  [13750] = {.lex_state = 96},
  [13751] = {.lex_state = 98},
  [13752] = {.lex_state = 98},
  [13753] = {.lex_state = 98},
  [13754] = {.lex_state = 98},
  [13755] = {.lex_state = 98},
  [13756] = {.lex_state = 98},
  [13757] = {.lex_state = 98},
  [13758] = {.lex_state = 98},
  [13759] = {.lex_state = 98},
  [13760] = {.lex_state = 98},
  [13761] = {.lex_state = 98},
  [13762] = {.lex_state = 96},
  [13763] = {.lex_state = 96},
  [13764] = {.lex_state = 98},
  [13765] = {.lex_state = 98},
  [13766] = {.lex_state = 98},
  [13767] = {.lex_state = 98},
  [13768] = {.lex_state = 98},
  [13769] = {.lex_state = 98},
  [13770] = {.lex_state = 98},
  [13771] = {.lex_state = 98},
  [13772] = {.lex_state = 98},
  [13773] = {.lex_state = 98},
  [13774] = {.lex_state = 96},
  [13775] = {.lex_state = 98},
  [13776] = {.lex_state = 98},
  [13777] = {.lex_state = 98},
  [13778] = {.lex_state = 98},
  [13779] = {.lex_state = 98},
  [13780] = {.lex_state = 96},
  [13781] = {.lex_state = 98},
  [13782] = {.lex_state = 98},
  [13783] = {.lex_state = 98},
  [13784] = {.lex_state = 98},
  [13785] = {.lex_state = 98},
  [13786] = {.lex_state = 96},
  [13787] = {.lex_state = 98},
  [13788] = {.lex_state = 98},
  [13789] = {.lex_state = 98},
  [13790] = {.lex_state = 98},
  [13791] = {.lex_state = 96},
  [13792] = {.lex_state = 96},
  [13793] = {.lex_state = 98},
  [13794] = {.lex_state = 98},
  [13795] = {.lex_state = 98},
  [13796] = {.lex_state = 96},
  [13797] = {.lex_state = 98},
  [13798] = {.lex_state = 98},
  [13799] = {.lex_state = 96},
  [13800] = {.lex_state = 98},
  [13801] = {.lex_state = 98},
  [13802] = {.lex_state = 98},
  [13803] = {.lex_state = 98},
  [13804] = {.lex_state = 98},
  [13805] = {.lex_state = 96},
  [13806] = {.lex_state = 98},
  [13807] = {.lex_state = 98},
  [13808] = {.lex_state = 96},
  [13809] = {.lex_state = 98},
  [13810] = {.lex_state = 98},
  [13811] = {.lex_state = 98},
  [13812] = {.lex_state = 98},
  [13813] = {.lex_state = 98},
  [13814] = {.lex_state = 98},
  [13815] = {.lex_state = 101},
  [13816] = {.lex_state = 98},
  [13817] = {.lex_state = 98},
  [13818] = {.lex_state = 96},
  [13819] = {.lex_state = 98},
  [13820] = {.lex_state = 98},
  [13821] = {.lex_state = 98},
  [13822] = {.lex_state = 96},
  [13823] = {.lex_state = 98},
  [13824] = {.lex_state = 96},
  [13825] = {.lex_state = 96},
  [13826] = {.lex_state = 98},
  [13827] = {.lex_state = 98},
  [13828] = {.lex_state = 98},
  [13829] = {.lex_state = 98},
  [13830] = {.lex_state = 98},
  [13831] = {.lex_state = 96},
  [13832] = {.lex_state = 96},
  [13833] = {.lex_state = 98},
  [13834] = {.lex_state = 98},
  [13835] = {.lex_state = 98},
  [13836] = {.lex_state = 98},
  [13837] = {.lex_state = 96},
  [13838] = {.lex_state = 98},
  [13839] = {.lex_state = 98},
  [13840] = {.lex_state = 96},
  [13841] = {.lex_state = 98},
  [13842] = {.lex_state = 98},
  [13843] = {.lex_state = 100},
  [13844] = {.lex_state = 96},
  [13845] = {.lex_state = 96},
  [13846] = {.lex_state = 98},
  [13847] = {.lex_state = 98},
  [13848] = {.lex_state = 96},
  [13849] = {.lex_state = 98},
  [13850] = {.lex_state = 98},
  [13851] = {.lex_state = 98},
  [13852] = {.lex_state = 96},
  [13853] = {.lex_state = 96},
  [13854] = {.lex_state = 96},
  [13855] = {.lex_state = 98},
  [13856] = {.lex_state = 98},
  [13857] = {.lex_state = 98},
  [13858] = {.lex_state = 96},
  [13859] = {.lex_state = 96},
  [13860] = {.lex_state = 98},
  [13861] = {.lex_state = 98},
  [13862] = {.lex_state = 98},
  [13863] = {.lex_state = 98},
  [13864] = {.lex_state = 98},
  [13865] = {.lex_state = 96},
  [13866] = {.lex_state = 96},
  [13867] = {.lex_state = 98},
  [13868] = {.lex_state = 98},
  [13869] = {.lex_state = 98},
  [13870] = {.lex_state = 98},
  [13871] = {.lex_state = 96},
  [13872] = {.lex_state = 98},
  [13873] = {.lex_state = 98},
  [13874] = {.lex_state = 98},
  [13875] = {.lex_state = 98},
  [13876] = {.lex_state = 98},
  [13877] = {.lex_state = 98},
  [13878] = {.lex_state = 98},
  [13879] = {.lex_state = 98},
  [13880] = {.lex_state = 98},
  [13881] = {.lex_state = 98},
  [13882] = {.lex_state = 98},
  [13883] = {.lex_state = 98},
  [13884] = {.lex_state = 98},
  [13885] = {.lex_state = 98},
  [13886] = {.lex_state = 98},
  [13887] = {.lex_state = 98},
  [13888] = {.lex_state = 98},
  [13889] = {.lex_state = 98},
  [13890] = {.lex_state = 98},
  [13891] = {.lex_state = 98},
  [13892] = {.lex_state = 96},
  [13893] = {.lex_state = 98},
  [13894] = {.lex_state = 96},
  [13895] = {.lex_state = 98},
  [13896] = {.lex_state = 96},
  [13897] = {.lex_state = 98},
  [13898] = {.lex_state = 98},
  [13899] = {.lex_state = 98},
  [13900] = {.lex_state = 98},
  [13901] = {.lex_state = 98},
  [13902] = {.lex_state = 96},
  [13903] = {.lex_state = 96},
  [13904] = {.lex_state = 98},
  [13905] = {.lex_state = 98},
  [13906] = {.lex_state = 96},
  [13907] = {.lex_state = 98},
  [13908] = {.lex_state = 96},
  [13909] = {.lex_state = 98},
  [13910] = {.lex_state = 98},
  [13911] = {.lex_state = 98},
  [13912] = {.lex_state = 96},
  [13913] = {.lex_state = 98},
  [13914] = {.lex_state = 98},
  [13915] = {.lex_state = 98},
  [13916] = {.lex_state = 98},
  [13917] = {.lex_state = 98},
  [13918] = {.lex_state = 98},
  [13919] = {.lex_state = 96},
  [13920] = {.lex_state = 98},
  [13921] = {.lex_state = 96},
  [13922] = {.lex_state = 98},
  [13923] = {.lex_state = 96},
  [13924] = {.lex_state = 98},
  [13925] = {.lex_state = 96},
  [13926] = {.lex_state = 98},
  [13927] = {.lex_state = 96},
  [13928] = {.lex_state = 98},
  [13929] = {.lex_state = 98},
  [13930] = {.lex_state = 98},
  [13931] = {.lex_state = 98},
  [13932] = {.lex_state = 96},
  [13933] = {.lex_state = 98},
  [13934] = {.lex_state = 98},
  [13935] = {.lex_state = 98},
  [13936] = {.lex_state = 98},
  [13937] = {.lex_state = 96},
  [13938] = {.lex_state = 98},
  [13939] = {.lex_state = 98},
  [13940] = {.lex_state = 98},
  [13941] = {.lex_state = 96},
  [13942] = {.lex_state = 98},
  [13943] = {.lex_state = 96},
  [13944] = {.lex_state = 98},
  [13945] = {.lex_state = 98},
  [13946] = {.lex_state = 98},
  [13947] = {.lex_state = 98},
  [13948] = {.lex_state = 96},
  [13949] = {.lex_state = 96},
  [13950] = {.lex_state = 96},
  [13951] = {.lex_state = 98},
  [13952] = {.lex_state = 96},
  [13953] = {.lex_state = 96},
  [13954] = {.lex_state = 98},
  [13955] = {.lex_state = 98},
  [13956] = {.lex_state = 98},
  [13957] = {.lex_state = 98},
  [13958] = {.lex_state = 96},
  [13959] = {.lex_state = 98},
  [13960] = {.lex_state = 98},
  [13961] = {.lex_state = 98},
  [13962] = {.lex_state = 98},
  [13963] = {.lex_state = 98},
  [13964] = {.lex_state = 96},
  [13965] = {.lex_state = 96},
  [13966] = {.lex_state = 98},
  [13967] = {.lex_state = 98},
  [13968] = {.lex_state = 98},
  [13969] = {.lex_state = 96},
  [13970] = {.lex_state = 96},
  [13971] = {.lex_state = 98},
  [13972] = {.lex_state = 96},
  [13973] = {.lex_state = 98},
  [13974] = {.lex_state = 96},
  [13975] = {.lex_state = 96},
  [13976] = {.lex_state = 98},
  [13977] = {.lex_state = 98},
  [13978] = {.lex_state = 96},
  [13979] = {.lex_state = 98},
  [13980] = {.lex_state = 98},
  [13981] = {.lex_state = 96},
  [13982] = {.lex_state = 96},
  [13983] = {.lex_state = 96},
  [13984] = {.lex_state = 96},
  [13985] = {.lex_state = 98},
  [13986] = {.lex_state = 98},
  [13987] = {.lex_state = 98},
  [13988] = {.lex_state = 96},
  [13989] = {.lex_state = 98},
  [13990] = {.lex_state = 98},
  [13991] = {.lex_state = 96},
  [13992] = {.lex_state = 96},
  [13993] = {.lex_state = 96},
  [13994] = {.lex_state = 96},
  [13995] = {.lex_state = 98},
  [13996] = {.lex_state = 98},
  [13997] = {.lex_state = 96},
  [13998] = {.lex_state = 96},
  [13999] = {.lex_state = 98},
  [14000] = {.lex_state = 96},
  [14001] = {.lex_state = 98},
  [14002] = {.lex_state = 96},
  [14003] = {.lex_state = 98},
  [14004] = {.lex_state = 96},
  [14005] = {.lex_state = 98},
  [14006] = {.lex_state = 98},
  [14007] = {.lex_state = 98},
  [14008] = {.lex_state = 98},
  [14009] = {.lex_state = 98},
  [14010] = {.lex_state = 98},
  [14011] = {.lex_state = 98},
  [14012] = {.lex_state = 98},
  [14013] = {.lex_state = 98},
  [14014] = {.lex_state = 98},
  [14015] = {.lex_state = 98},
  [14016] = {.lex_state = 98},
  [14017] = {.lex_state = 96},
  [14018] = {.lex_state = 98},
  [14019] = {.lex_state = 96},
  [14020] = {.lex_state = 96},
  [14021] = {.lex_state = 98},
  [14022] = {.lex_state = 96},
  [14023] = {.lex_state = 98},
  [14024] = {.lex_state = 98},
  [14025] = {.lex_state = 98},
  [14026] = {.lex_state = 98},
  [14027] = {.lex_state = 96},
  [14028] = {.lex_state = 96},
  [14029] = {.lex_state = 98},
  [14030] = {.lex_state = 98},
  [14031] = {.lex_state = 98},
  [14032] = {.lex_state = 96},
  [14033] = {.lex_state = 98},
  [14034] = {.lex_state = 98},
  [14035] = {.lex_state = 98},
  [14036] = {.lex_state = 98},
  [14037] = {.lex_state = 96},
  [14038] = {.lex_state = 98},
  [14039] = {.lex_state = 98},
  [14040] = {.lex_state = 98},
  [14041] = {.lex_state = 98},
  [14042] = {.lex_state = 98},
  [14043] = {.lex_state = 96},
  [14044] = {.lex_state = 96},
  [14045] = {.lex_state = 96},
  [14046] = {.lex_state = 98},
  [14047] = {.lex_state = 98},
  [14048] = {.lex_state = 98},
  [14049] = {.lex_state = 98},
  [14050] = {.lex_state = 98},
  [14051] = {.lex_state = 96},
  [14052] = {.lex_state = 98},
  [14053] = {.lex_state = 98},
  [14054] = {.lex_state = 98},
  [14055] = {.lex_state = 96},
  [14056] = {.lex_state = 98},
  [14057] = {.lex_state = 98},
  [14058] = {.lex_state = 98},
  [14059] = {.lex_state = 98},
  [14060] = {.lex_state = 98},
  [14061] = {.lex_state = 96},
  [14062] = {.lex_state = 98},
  [14063] = {.lex_state = 98},
  [14064] = {.lex_state = 96},
  [14065] = {.lex_state = 98},
  [14066] = {.lex_state = 98},
  [14067] = {.lex_state = 96},
  [14068] = {.lex_state = 98},
  [14069] = {.lex_state = 98},
  [14070] = {.lex_state = 98},
  [14071] = {.lex_state = 98},
  [14072] = {.lex_state = 98},
  [14073] = {.lex_state = 96},
  [14074] = {.lex_state = 98},
  [14075] = {.lex_state = 98},
  [14076] = {.lex_state = 96},
  [14077] = {.lex_state = 98},
  [14078] = {.lex_state = 98},
  [14079] = {.lex_state = 96},
  [14080] = {.lex_state = 98},
  [14081] = {.lex_state = 96},
  [14082] = {.lex_state = 98},
  [14083] = {.lex_state = 98},
  [14084] = {.lex_state = 98},
  [14085] = {.lex_state = 98},
  [14086] = {.lex_state = 98},
  [14087] = {.lex_state = 98},
  [14088] = {.lex_state = 98},
  [14089] = {.lex_state = 96},
  [14090] = {.lex_state = 96},
  [14091] = {.lex_state = 98},
  [14092] = {.lex_state = 98},
  [14093] = {.lex_state = 98},
  [14094] = {.lex_state = 98},
  [14095] = {.lex_state = 96},
  [14096] = {.lex_state = 98},
  [14097] = {.lex_state = 98},
  [14098] = {.lex_state = 98},
  [14099] = {.lex_state = 98},
  [14100] = {.lex_state = 96},
  [14101] = {.lex_state = 98},
  [14102] = {.lex_state = 96},
  [14103] = {.lex_state = 98},
  [14104] = {.lex_state = 98},
  [14105] = {.lex_state = 96},
  [14106] = {.lex_state = 98},
  [14107] = {.lex_state = 96},
  [14108] = {.lex_state = 98},
  [14109] = {.lex_state = 98},
  [14110] = {.lex_state = 96},
  [14111] = {.lex_state = 98},
  [14112] = {.lex_state = 98},
  [14113] = {.lex_state = 96},
  [14114] = {.lex_state = 98},
  [14115] = {.lex_state = 96},
  [14116] = {.lex_state = 98},
  [14117] = {.lex_state = 98},
  [14118] = {.lex_state = 98},
  [14119] = {.lex_state = 96},
  [14120] = {.lex_state = 98},
  [14121] = {.lex_state = 98},
  [14122] = {.lex_state = 96},
  [14123] = {.lex_state = 98},
  [14124] = {.lex_state = 98},
  [14125] = {.lex_state = 98},
  [14126] = {.lex_state = 96},
  [14127] = {.lex_state = 96},
  [14128] = {.lex_state = 96},
  [14129] = {.lex_state = 98},
  [14130] = {.lex_state = 98},
  [14131] = {.lex_state = 98},
  [14132] = {.lex_state = 96},
  [14133] = {.lex_state = 98},
  [14134] = {.lex_state = 98},
  [14135] = {.lex_state = 98},
  [14136] = {.lex_state = 98},
  [14137] = {.lex_state = 96},
  [14138] = {.lex_state = 98},
  [14139] = {.lex_state = 98},
  [14140] = {.lex_state = 98},
  [14141] = {.lex_state = 98},
  [14142] = {.lex_state = 98},
  [14143] = {.lex_state = 98},
  [14144] = {.lex_state = 98},
  [14145] = {.lex_state = 98},
  [14146] = {.lex_state = 98},
  [14147] = {.lex_state = 98},
  [14148] = {.lex_state = 98},
  [14149] = {.lex_state = 98},
  [14150] = {.lex_state = 98},
  [14151] = {.lex_state = 98},
  [14152] = {.lex_state = 98},
  [14153] = {.lex_state = 98},
  [14154] = {.lex_state = 98},
  [14155] = {.lex_state = 98},
  [14156] = {.lex_state = 98},
  [14157] = {.lex_state = 98},
  [14158] = {.lex_state = 98},
  [14159] = {.lex_state = 98},
  [14160] = {.lex_state = 98},
  [14161] = {.lex_state = 98},
  [14162] = {.lex_state = 98},
  [14163] = {.lex_state = 98},
  [14164] = {.lex_state = 98},
  [14165] = {.lex_state = 98},
  [14166] = {.lex_state = 98},
  [14167] = {.lex_state = 98},
  [14168] = {.lex_state = 98},
  [14169] = {.lex_state = 98},
  [14170] = {.lex_state = 98},
  [14171] = {.lex_state = 98},
  [14172] = {.lex_state = 98},
  [14173] = {.lex_state = 98},
  [14174] = {.lex_state = 98},
  [14175] = {.lex_state = 98},
  [14176] = {.lex_state = 98},
  [14177] = {.lex_state = 98},
  [14178] = {.lex_state = 98},
  [14179] = {.lex_state = 98},
  [14180] = {.lex_state = 98},
  [14181] = {.lex_state = 98},
  [14182] = {.lex_state = 98},
  [14183] = {.lex_state = 98},
  [14184] = {.lex_state = 98},
  [14185] = {.lex_state = 98},
  [14186] = {.lex_state = 98},
  [14187] = {.lex_state = 98},
  [14188] = {.lex_state = 98},
  [14189] = {.lex_state = 98},
  [14190] = {.lex_state = 98},
  [14191] = {.lex_state = 98},
  [14192] = {.lex_state = 96},
  [14193] = {.lex_state = 98},
  [14194] = {.lex_state = 98},
  [14195] = {.lex_state = 98},
  [14196] = {.lex_state = 98},
  [14197] = {.lex_state = 98},
  [14198] = {.lex_state = 98},
  [14199] = {.lex_state = 98},
  [14200] = {.lex_state = 98},
  [14201] = {.lex_state = 98},
  [14202] = {.lex_state = 98},
  [14203] = {.lex_state = 98},
  [14204] = {.lex_state = 0},
  [14205] = {.lex_state = 13},
  [14206] = {.lex_state = 98},
  [14207] = {.lex_state = 98},
  [14208] = {.lex_state = 0},
  [14209] = {.lex_state = 0},
  [14210] = {.lex_state = 0},
  [14211] = {.lex_state = 98},
  [14212] = {.lex_state = 98},
  [14213] = {.lex_state = 13},
  [14214] = {.lex_state = 98},
  [14215] = {.lex_state = 13},
  [14216] = {.lex_state = 98},
  [14217] = {.lex_state = 96},
  [14218] = {.lex_state = 98},
  [14219] = {.lex_state = 98},
  [14220] = {.lex_state = 13},
  [14221] = {.lex_state = 98},
  [14222] = {.lex_state = 0},
  [14223] = {.lex_state = 98},
  [14224] = {.lex_state = 98},
  [14225] = {.lex_state = 0},
  [14226] = {.lex_state = 100},
  [14227] = {.lex_state = 98},
  [14228] = {.lex_state = 96},
  [14229] = {.lex_state = 13},
  [14230] = {.lex_state = 98},
  [14231] = {.lex_state = 0},
  [14232] = {.lex_state = 18, .external_lex_state = 2},
  [14233] = {.lex_state = 13},
  [14234] = {.lex_state = 98},
  [14235] = {.lex_state = 98},
  [14236] = {.lex_state = 98},
  [14237] = {.lex_state = 98},
  [14238] = {.lex_state = 98},
  [14239] = {.lex_state = 13},
  [14240] = {.lex_state = 13},
  [14241] = {.lex_state = 98},
  [14242] = {.lex_state = 98},
  [14243] = {.lex_state = 0},
  [14244] = {.lex_state = 98},
  [14245] = {.lex_state = 98},
  [14246] = {.lex_state = 98},
  [14247] = {.lex_state = 13},
  [14248] = {.lex_state = 98},
  [14249] = {.lex_state = 98},
  [14250] = {.lex_state = 13},
  [14251] = {.lex_state = 100},
  [14252] = {.lex_state = 13},
  [14253] = {.lex_state = 95},
  [14254] = {.lex_state = 0},
  [14255] = {.lex_state = 95},
  [14256] = {.lex_state = 98},
  [14257] = {.lex_state = 18},
  [14258] = {.lex_state = 100},
  [14259] = {.lex_state = 96},
  [14260] = {.lex_state = 13},
  [14261] = {.lex_state = 98},
  [14262] = {.lex_state = 98},
  [14263] = {.lex_state = 96},
  [14264] = {.lex_state = 98},
  [14265] = {.lex_state = 0},
  [14266] = {.lex_state = 98},
  [14267] = {.lex_state = 98},
  [14268] = {.lex_state = 0},
  [14269] = {.lex_state = 98},
  [14270] = {.lex_state = 13},
  [14271] = {.lex_state = 0},
  [14272] = {.lex_state = 98},
  [14273] = {.lex_state = 13},
  [14274] = {.lex_state = 13},
  [14275] = {.lex_state = 98},
  [14276] = {.lex_state = 13},
  [14277] = {.lex_state = 98},
  [14278] = {.lex_state = 98},
  [14279] = {.lex_state = 98},
  [14280] = {.lex_state = 18, .external_lex_state = 2},
  [14281] = {.lex_state = 98},
  [14282] = {.lex_state = 0},
  [14283] = {.lex_state = 96},
  [14284] = {.lex_state = 98},
  [14285] = {.lex_state = 98},
  [14286] = {.lex_state = 0},
  [14287] = {.lex_state = 98},
  [14288] = {.lex_state = 96},
  [14289] = {.lex_state = 98},
  [14290] = {.lex_state = 98},
  [14291] = {.lex_state = 98},
  [14292] = {.lex_state = 100},
  [14293] = {.lex_state = 95},
  [14294] = {.lex_state = 100},
  [14295] = {.lex_state = 98},
  [14296] = {.lex_state = 98},
  [14297] = {.lex_state = 98},
  [14298] = {.lex_state = 101},
  [14299] = {.lex_state = 98},
  [14300] = {.lex_state = 98},
  [14301] = {.lex_state = 0},
  [14302] = {.lex_state = 0},
  [14303] = {.lex_state = 96},
  [14304] = {.lex_state = 13},
  [14305] = {.lex_state = 98},
  [14306] = {.lex_state = 95},
  [14307] = {.lex_state = 98},
  [14308] = {.lex_state = 98},
  [14309] = {.lex_state = 96},
  [14310] = {.lex_state = 98},
  [14311] = {.lex_state = 98},
  [14312] = {.lex_state = 98},
  [14313] = {.lex_state = 98},
  [14314] = {.lex_state = 98},
  [14315] = {.lex_state = 98},
  [14316] = {.lex_state = 98},
  [14317] = {.lex_state = 100},
  [14318] = {.lex_state = 98},
  [14319] = {.lex_state = 98},
  [14320] = {.lex_state = 100},
  [14321] = {.lex_state = 98},
  [14322] = {.lex_state = 98},
  [14323] = {.lex_state = 13},
  [14324] = {.lex_state = 96},
  [14325] = {.lex_state = 0},
  [14326] = {.lex_state = 98},
  [14327] = {.lex_state = 100},
  [14328] = {.lex_state = 98},
  [14329] = {.lex_state = 98},
  [14330] = {.lex_state = 98},
  [14331] = {.lex_state = 0},
  [14332] = {.lex_state = 96},
  [14333] = {.lex_state = 98},
  [14334] = {.lex_state = 98},
  [14335] = {.lex_state = 98},
  [14336] = {.lex_state = 0},
  [14337] = {.lex_state = 98},
  [14338] = {.lex_state = 98},
  [14339] = {.lex_state = 98},
  [14340] = {.lex_state = 98},
  [14341] = {.lex_state = 98},
  [14342] = {.lex_state = 98},
  [14343] = {.lex_state = 98},
  [14344] = {.lex_state = 98},
  [14345] = {.lex_state = 98},
  [14346] = {.lex_state = 98},
  [14347] = {.lex_state = 98},
  [14348] = {.lex_state = 98},
  [14349] = {.lex_state = 0},
  [14350] = {.lex_state = 0},
  [14351] = {.lex_state = 98},
  [14352] = {.lex_state = 98},
  [14353] = {.lex_state = 98},
  [14354] = {.lex_state = 98},
  [14355] = {.lex_state = 98},
  [14356] = {.lex_state = 98},
  [14357] = {.lex_state = 98},
  [14358] = {.lex_state = 98},
  [14359] = {.lex_state = 98},
  [14360] = {.lex_state = 98},
  [14361] = {.lex_state = 98},
  [14362] = {.lex_state = 98},
  [14363] = {.lex_state = 98},
  [14364] = {.lex_state = 98},
  [14365] = {.lex_state = 98},
  [14366] = {.lex_state = 98},
  [14367] = {.lex_state = 98},
  [14368] = {.lex_state = 98},
  [14369] = {.lex_state = 98},
  [14370] = {.lex_state = 98},
  [14371] = {.lex_state = 98},
  [14372] = {.lex_state = 98},
  [14373] = {.lex_state = 98},
  [14374] = {.lex_state = 98},
  [14375] = {.lex_state = 98},
  [14376] = {.lex_state = 98},
  [14377] = {.lex_state = 98},
  [14378] = {.lex_state = 98},
  [14379] = {.lex_state = 98},
  [14380] = {.lex_state = 0},
  [14381] = {.lex_state = 98},
  [14382] = {.lex_state = 98},
  [14383] = {.lex_state = 98},
  [14384] = {.lex_state = 98},
  [14385] = {.lex_state = 98},
  [14386] = {.lex_state = 98},
  [14387] = {.lex_state = 98},
  [14388] = {.lex_state = 98},
  [14389] = {.lex_state = 98},
  [14390] = {.lex_state = 98},
  [14391] = {.lex_state = 98},
  [14392] = {.lex_state = 98},
  [14393] = {.lex_state = 98},
  [14394] = {.lex_state = 98},
  [14395] = {.lex_state = 98},
  [14396] = {.lex_state = 98},
  [14397] = {.lex_state = 98},
  [14398] = {.lex_state = 98},
  [14399] = {.lex_state = 98},
  [14400] = {.lex_state = 98},
  [14401] = {.lex_state = 98},
  [14402] = {.lex_state = 98},
  [14403] = {.lex_state = 98},
  [14404] = {.lex_state = 98},
  [14405] = {.lex_state = 98},
  [14406] = {.lex_state = 98},
  [14407] = {.lex_state = 0},
  [14408] = {.lex_state = 98},
  [14409] = {.lex_state = 98},
  [14410] = {.lex_state = 98},
  [14411] = {.lex_state = 98},
  [14412] = {.lex_state = 98},
  [14413] = {.lex_state = 98},
  [14414] = {.lex_state = 98},
  [14415] = {.lex_state = 98},
  [14416] = {.lex_state = 98},
  [14417] = {.lex_state = 98},
  [14418] = {.lex_state = 0},
  [14419] = {.lex_state = 98},
  [14420] = {.lex_state = 98},
  [14421] = {.lex_state = 98},
  [14422] = {.lex_state = 98},
  [14423] = {.lex_state = 98},
  [14424] = {.lex_state = 98},
  [14425] = {.lex_state = 98},
  [14426] = {.lex_state = 98},
  [14427] = {.lex_state = 98},
  [14428] = {.lex_state = 98},
  [14429] = {.lex_state = 98},
  [14430] = {.lex_state = 0},
  [14431] = {.lex_state = 98},
  [14432] = {.lex_state = 98},
  [14433] = {.lex_state = 98},
  [14434] = {.lex_state = 98},
  [14435] = {.lex_state = 98},
  [14436] = {.lex_state = 98},
  [14437] = {.lex_state = 98},
  [14438] = {.lex_state = 98},
  [14439] = {.lex_state = 98},
  [14440] = {.lex_state = 98},
  [14441] = {.lex_state = 98},
  [14442] = {.lex_state = 98},
  [14443] = {.lex_state = 98},
  [14444] = {.lex_state = 98},
  [14445] = {.lex_state = 98},
  [14446] = {.lex_state = 98},
  [14447] = {.lex_state = 98},
  [14448] = {.lex_state = 98},
  [14449] = {.lex_state = 98},
  [14450] = {.lex_state = 98},
  [14451] = {.lex_state = 98},
  [14452] = {.lex_state = 98},
  [14453] = {.lex_state = 0},
  [14454] = {.lex_state = 98},
  [14455] = {.lex_state = 0},
  [14456] = {.lex_state = 0},
  [14457] = {.lex_state = 98},
  [14458] = {.lex_state = 98},
  [14459] = {.lex_state = 98},
  [14460] = {.lex_state = 98},
  [14461] = {.lex_state = 98},
  [14462] = {.lex_state = 0, .external_lex_state = 2},
  [14463] = {.lex_state = 0},
  [14464] = {.lex_state = 98},
  [14465] = {.lex_state = 0},
  [14466] = {.lex_state = 98},
  [14467] = {.lex_state = 98},
  [14468] = {.lex_state = 98},
  [14469] = {.lex_state = 98},
  [14470] = {.lex_state = 98},
  [14471] = {.lex_state = 98},
  [14472] = {.lex_state = 98},
  [14473] = {.lex_state = 98},
  [14474] = {.lex_state = 98},
  [14475] = {.lex_state = 98},
  [14476] = {.lex_state = 0},
  [14477] = {.lex_state = 0, .external_lex_state = 3},
  [14478] = {.lex_state = 98},
  [14479] = {.lex_state = 0},
  [14480] = {.lex_state = 98},
  [14481] = {.lex_state = 98},
  [14482] = {.lex_state = 98},
  [14483] = {.lex_state = 0, .external_lex_state = 3},
  [14484] = {.lex_state = 0},
  [14485] = {.lex_state = 0},
  [14486] = {.lex_state = 98},
  [14487] = {.lex_state = 0},
  [14488] = {.lex_state = 98},
  [14489] = {.lex_state = 98},
  [14490] = {.lex_state = 98},
  [14491] = {.lex_state = 0},
  [14492] = {.lex_state = 0},
  [14493] = {.lex_state = 98},
  [14494] = {.lex_state = 98},
  [14495] = {.lex_state = 98},
  [14496] = {.lex_state = 98},
  [14497] = {.lex_state = 0},
  [14498] = {.lex_state = 98},
  [14499] = {.lex_state = 98},
  [14500] = {.lex_state = 0, .external_lex_state = 3},
  [14501] = {.lex_state = 0},
  [14502] = {.lex_state = 98},
  [14503] = {.lex_state = 0},
  [14504] = {.lex_state = 98},
  [14505] = {.lex_state = 0},
  [14506] = {.lex_state = 98},
  [14507] = {.lex_state = 98},
  [14508] = {.lex_state = 0},
  [14509] = {.lex_state = 98},
  [14510] = {.lex_state = 98},
  [14511] = {.lex_state = 0},
  [14512] = {.lex_state = 98},
  [14513] = {.lex_state = 0},
  [14514] = {.lex_state = 98},
  [14515] = {.lex_state = 98},
  [14516] = {.lex_state = 98},
  [14517] = {.lex_state = 98},
  [14518] = {.lex_state = 0},
  [14519] = {.lex_state = 0, .external_lex_state = 2},
  [14520] = {.lex_state = 98},
  [14521] = {.lex_state = 0},
  [14522] = {.lex_state = 0},
  [14523] = {.lex_state = 0},
  [14524] = {.lex_state = 98},
  [14525] = {.lex_state = 98},
  [14526] = {.lex_state = 0, .external_lex_state = 2},
  [14527] = {.lex_state = 0},
  [14528] = {.lex_state = 98},
  [14529] = {.lex_state = 98},
  [14530] = {.lex_state = 98},
  [14531] = {.lex_state = 0},
  [14532] = {.lex_state = 0, .external_lex_state = 3},
  [14533] = {.lex_state = 98},
  [14534] = {.lex_state = 98},
  [14535] = {.lex_state = 98},
  [14536] = {.lex_state = 0},
  [14537] = {.lex_state = 0},
  [14538] = {.lex_state = 98},
  [14539] = {.lex_state = 0, .external_lex_state = 3},
  [14540] = {.lex_state = 98},
  [14541] = {.lex_state = 0},
  [14542] = {.lex_state = 0},
  [14543] = {.lex_state = 98},
  [14544] = {.lex_state = 0},
  [14545] = {.lex_state = 98},
  [14546] = {.lex_state = 98},
  [14547] = {.lex_state = 98},
  [14548] = {.lex_state = 98},
  [14549] = {.lex_state = 98},
  [14550] = {.lex_state = 98},
  [14551] = {.lex_state = 0},
  [14552] = {.lex_state = 0},
  [14553] = {.lex_state = 98},
  [14554] = {.lex_state = 98},
  [14555] = {.lex_state = 98},
  [14556] = {.lex_state = 98},
  [14557] = {.lex_state = 98},
  [14558] = {.lex_state = 98},
  [14559] = {.lex_state = 98},
  [14560] = {.lex_state = 98},
  [14561] = {.lex_state = 0},
  [14562] = {.lex_state = 0},
  [14563] = {.lex_state = 98},
  [14564] = {.lex_state = 0},
  [14565] = {.lex_state = 0},
  [14566] = {.lex_state = 98},
  [14567] = {.lex_state = 0},
  [14568] = {.lex_state = 98},
  [14569] = {.lex_state = 98},
  [14570] = {.lex_state = 98},
  [14571] = {.lex_state = 0},
  [14572] = {.lex_state = 98},
  [14573] = {.lex_state = 98},
  [14574] = {.lex_state = 98},
  [14575] = {.lex_state = 98},
  [14576] = {.lex_state = 0},
  [14577] = {.lex_state = 98},
  [14578] = {.lex_state = 98},
  [14579] = {.lex_state = 98},
  [14580] = {.lex_state = 98},
  [14581] = {.lex_state = 98},
  [14582] = {.lex_state = 0},
  [14583] = {.lex_state = 98},
  [14584] = {.lex_state = 0},
  [14585] = {.lex_state = 0},
  [14586] = {.lex_state = 0, .external_lex_state = 3},
  [14587] = {.lex_state = 98},
  [14588] = {.lex_state = 98},
  [14589] = {.lex_state = 98},
  [14590] = {.lex_state = 0},
  [14591] = {.lex_state = 98},
  [14592] = {.lex_state = 98},
  [14593] = {.lex_state = 98},
  [14594] = {.lex_state = 98},
  [14595] = {.lex_state = 98},
  [14596] = {.lex_state = 98},
  [14597] = {.lex_state = 98},
  [14598] = {.lex_state = 98},
  [14599] = {.lex_state = 0},
  [14600] = {.lex_state = 98},
  [14601] = {.lex_state = 98},
  [14602] = {.lex_state = 98},
  [14603] = {.lex_state = 98},
  [14604] = {.lex_state = 98},
  [14605] = {.lex_state = 98},
  [14606] = {.lex_state = 98},
  [14607] = {.lex_state = 98},
  [14608] = {.lex_state = 98},
  [14609] = {.lex_state = 98},
  [14610] = {.lex_state = 98},
  [14611] = {.lex_state = 98},
  [14612] = {.lex_state = 98},
  [14613] = {.lex_state = 98},
  [14614] = {.lex_state = 98},
  [14615] = {.lex_state = 0},
  [14616] = {.lex_state = 98},
  [14617] = {.lex_state = 98},
  [14618] = {.lex_state = 0},
  [14619] = {.lex_state = 98},
  [14620] = {.lex_state = 98},
  [14621] = {.lex_state = 98},
  [14622] = {.lex_state = 98},
  [14623] = {.lex_state = 98},
  [14624] = {.lex_state = 98},
  [14625] = {.lex_state = 98},
  [14626] = {.lex_state = 0, .external_lex_state = 2},
  [14627] = {.lex_state = 0, .external_lex_state = 3},
  [14628] = {.lex_state = 98},
  [14629] = {.lex_state = 98},
  [14630] = {.lex_state = 98},
  [14631] = {.lex_state = 98},
  [14632] = {.lex_state = 98},
  [14633] = {.lex_state = 98},
  [14634] = {.lex_state = 98},
  [14635] = {.lex_state = 98},
  [14636] = {.lex_state = 98},
  [14637] = {.lex_state = 98},
  [14638] = {.lex_state = 98},
  [14639] = {.lex_state = 98},
  [14640] = {.lex_state = 98},
  [14641] = {.lex_state = 98},
  [14642] = {.lex_state = 98},
  [14643] = {.lex_state = 0},
  [14644] = {.lex_state = 98},
  [14645] = {.lex_state = 0},
  [14646] = {.lex_state = 98},
  [14647] = {.lex_state = 98},
  [14648] = {.lex_state = 98},
  [14649] = {.lex_state = 98},
  [14650] = {.lex_state = 98},
  [14651] = {.lex_state = 98},
  [14652] = {.lex_state = 98},
  [14653] = {.lex_state = 0},
  [14654] = {.lex_state = 0},
  [14655] = {.lex_state = 0},
  [14656] = {.lex_state = 98},
  [14657] = {.lex_state = 98},
  [14658] = {.lex_state = 0},
  [14659] = {.lex_state = 98},
  [14660] = {.lex_state = 98},
  [14661] = {.lex_state = 98},
  [14662] = {.lex_state = 98},
  [14663] = {.lex_state = 98},
  [14664] = {.lex_state = 98},
  [14665] = {.lex_state = 98},
  [14666] = {.lex_state = 0},
  [14667] = {.lex_state = 98},
  [14668] = {.lex_state = 98},
  [14669] = {.lex_state = 98},
  [14670] = {.lex_state = 0},
  [14671] = {.lex_state = 98},
  [14672] = {.lex_state = 98},
  [14673] = {.lex_state = 0},
  [14674] = {.lex_state = 0},
  [14675] = {.lex_state = 98},
  [14676] = {.lex_state = 98},
  [14677] = {.lex_state = 98},
  [14678] = {.lex_state = 98},
  [14679] = {.lex_state = 98},
  [14680] = {.lex_state = 98},
  [14681] = {.lex_state = 98},
  [14682] = {.lex_state = 98},
  [14683] = {.lex_state = 98},
  [14684] = {.lex_state = 98},
  [14685] = {.lex_state = 98},
  [14686] = {.lex_state = 98},
  [14687] = {.lex_state = 98},
  [14688] = {.lex_state = 98},
  [14689] = {.lex_state = 98},
  [14690] = {.lex_state = 98},
  [14691] = {.lex_state = 98},
  [14692] = {.lex_state = 98},
  [14693] = {.lex_state = 0},
  [14694] = {.lex_state = 98},
  [14695] = {.lex_state = 98},
  [14696] = {.lex_state = 98},
  [14697] = {.lex_state = 98},
  [14698] = {.lex_state = 98},
  [14699] = {.lex_state = 98},
  [14700] = {.lex_state = 98},
  [14701] = {.lex_state = 98},
  [14702] = {.lex_state = 98},
  [14703] = {.lex_state = 98},
  [14704] = {.lex_state = 98},
  [14705] = {.lex_state = 98},
  [14706] = {.lex_state = 98},
  [14707] = {.lex_state = 98},
  [14708] = {.lex_state = 0, .external_lex_state = 3},
  [14709] = {.lex_state = 0},
  [14710] = {.lex_state = 0, .external_lex_state = 3},
  [14711] = {.lex_state = 98},
  [14712] = {.lex_state = 98},
  [14713] = {.lex_state = 98},
  [14714] = {.lex_state = 0, .external_lex_state = 3},
  [14715] = {.lex_state = 98},
  [14716] = {.lex_state = 0},
  [14717] = {.lex_state = 0},
  [14718] = {.lex_state = 98},
  [14719] = {.lex_state = 98},
  [14720] = {.lex_state = 98},
  [14721] = {.lex_state = 98},
  [14722] = {.lex_state = 98},
  [14723] = {.lex_state = 0},
  [14724] = {.lex_state = 98},
  [14725] = {.lex_state = 98},
  [14726] = {.lex_state = 98},
  [14727] = {.lex_state = 98},
  [14728] = {.lex_state = 0},
  [14729] = {.lex_state = 0},
  [14730] = {.lex_state = 0},
  [14731] = {.lex_state = 0, .external_lex_state = 2},
  [14732] = {.lex_state = 0},
  [14733] = {.lex_state = 98},
  [14734] = {.lex_state = 0},
  [14735] = {.lex_state = 98},
  [14736] = {.lex_state = 0},
  [14737] = {.lex_state = 0},
  [14738] = {.lex_state = 0},
  [14739] = {.lex_state = 0},
  [14740] = {.lex_state = 98},
  [14741] = {.lex_state = 98},
  [14742] = {.lex_state = 98},
  [14743] = {.lex_state = 0},
  [14744] = {.lex_state = 98},
  [14745] = {.lex_state = 0},
  [14746] = {.lex_state = 98},
  [14747] = {.lex_state = 98},
  [14748] = {.lex_state = 98},
  [14749] = {.lex_state = 0},
  [14750] = {.lex_state = 0, .external_lex_state = 2},
  [14751] = {.lex_state = 98},
  [14752] = {.lex_state = 0},
  [14753] = {.lex_state = 0},
  [14754] = {.lex_state = 98},
  [14755] = {.lex_state = 98},
  [14756] = {.lex_state = 98},
  [14757] = {.lex_state = 98},
  [14758] = {.lex_state = 98},
  [14759] = {.lex_state = 0},
  [14760] = {.lex_state = 98},
  [14761] = {.lex_state = 98},
  [14762] = {.lex_state = 0, .external_lex_state = 3},
  [14763] = {.lex_state = 98},
  [14764] = {.lex_state = 98},
  [14765] = {.lex_state = 98},
  [14766] = {.lex_state = 98},
  [14767] = {.lex_state = 98},
  [14768] = {.lex_state = 0},
  [14769] = {.lex_state = 98},
  [14770] = {.lex_state = 98},
  [14771] = {.lex_state = 98},
  [14772] = {.lex_state = 0},
  [14773] = {.lex_state = 98},
  [14774] = {.lex_state = 98},
  [14775] = {.lex_state = 98},
  [14776] = {.lex_state = 98},
  [14777] = {.lex_state = 98},
  [14778] = {.lex_state = 98},
  [14779] = {.lex_state = 98},
  [14780] = {.lex_state = 98},
  [14781] = {.lex_state = 98},
  [14782] = {.lex_state = 98},
  [14783] = {.lex_state = 98},
  [14784] = {.lex_state = 98},
  [14785] = {.lex_state = 98},
  [14786] = {.lex_state = 98},
  [14787] = {.lex_state = 98},
  [14788] = {.lex_state = 98},
  [14789] = {.lex_state = 98},
  [14790] = {.lex_state = 98},
  [14791] = {.lex_state = 98},
  [14792] = {.lex_state = 98},
  [14793] = {.lex_state = 98},
  [14794] = {.lex_state = 98},
  [14795] = {.lex_state = 98},
  [14796] = {.lex_state = 98},
  [14797] = {.lex_state = 98},
  [14798] = {.lex_state = 98},
  [14799] = {.lex_state = 98},
  [14800] = {.lex_state = 0},
  [14801] = {.lex_state = 98},
  [14802] = {.lex_state = 0},
  [14803] = {.lex_state = 98},
  [14804] = {.lex_state = 98},
  [14805] = {.lex_state = 98},
  [14806] = {.lex_state = 98},
  [14807] = {.lex_state = 98},
  [14808] = {.lex_state = 98},
  [14809] = {.lex_state = 98},
  [14810] = {.lex_state = 98},
  [14811] = {.lex_state = 98},
  [14812] = {.lex_state = 0},
  [14813] = {.lex_state = 98},
  [14814] = {.lex_state = 98},
  [14815] = {.lex_state = 0},
  [14816] = {.lex_state = 98},
  [14817] = {.lex_state = 98},
  [14818] = {.lex_state = 98},
  [14819] = {.lex_state = 98},
  [14820] = {.lex_state = 98},
  [14821] = {.lex_state = 98},
  [14822] = {.lex_state = 0},
  [14823] = {.lex_state = 98},
  [14824] = {.lex_state = 98},
  [14825] = {.lex_state = 98},
  [14826] = {.lex_state = 98},
  [14827] = {.lex_state = 0},
  [14828] = {.lex_state = 98},
  [14829] = {.lex_state = 98},
  [14830] = {.lex_state = 98},
  [14831] = {.lex_state = 98},
  [14832] = {.lex_state = 98},
  [14833] = {.lex_state = 98},
  [14834] = {.lex_state = 98},
  [14835] = {.lex_state = 98},
  [14836] = {.lex_state = 98},
  [14837] = {.lex_state = 98},
  [14838] = {.lex_state = 98},
  [14839] = {.lex_state = 98},
  [14840] = {.lex_state = 98},
  [14841] = {.lex_state = 98},
  [14842] = {.lex_state = 98},
  [14843] = {.lex_state = 98},
  [14844] = {.lex_state = 98},
  [14845] = {.lex_state = 98},
  [14846] = {.lex_state = 98},
  [14847] = {.lex_state = 98},
  [14848] = {.lex_state = 0},
  [14849] = {.lex_state = 98},
  [14850] = {.lex_state = 98},
  [14851] = {.lex_state = 0},
  [14852] = {.lex_state = 98},
  [14853] = {.lex_state = 98},
  [14854] = {.lex_state = 98},
  [14855] = {.lex_state = 98},
  [14856] = {.lex_state = 0, .external_lex_state = 2},
  [14857] = {.lex_state = 0},
  [14858] = {.lex_state = 98},
  [14859] = {.lex_state = 98},
  [14860] = {.lex_state = 98},
  [14861] = {.lex_state = 98},
  [14862] = {.lex_state = 98},
  [14863] = {.lex_state = 98},
  [14864] = {.lex_state = 98},
  [14865] = {.lex_state = 98},
  [14866] = {.lex_state = 98},
  [14867] = {.lex_state = 98},
  [14868] = {.lex_state = 98},
  [14869] = {.lex_state = 98},
  [14870] = {.lex_state = 98},
  [14871] = {.lex_state = 98},
  [14872] = {.lex_state = 98},
  [14873] = {.lex_state = 0},
  [14874] = {.lex_state = 0},
  [14875] = {.lex_state = 98},
  [14876] = {.lex_state = 0},
  [14877] = {.lex_state = 0},
  [14878] = {.lex_state = 98},
  [14879] = {.lex_state = 98},
  [14880] = {.lex_state = 98},
  [14881] = {.lex_state = 98},
  [14882] = {.lex_state = 98},
  [14883] = {.lex_state = 98},
  [14884] = {.lex_state = 0},
  [14885] = {.lex_state = 0},
  [14886] = {.lex_state = 98},
  [14887] = {.lex_state = 98},
  [14888] = {.lex_state = 98},
  [14889] = {.lex_state = 98},
  [14890] = {.lex_state = 98},
  [14891] = {.lex_state = 98},
  [14892] = {.lex_state = 98},
  [14893] = {.lex_state = 98},
  [14894] = {.lex_state = 0},
  [14895] = {.lex_state = 98},
  [14896] = {.lex_state = 98},
  [14897] = {.lex_state = 0},
  [14898] = {.lex_state = 98},
  [14899] = {.lex_state = 98},
  [14900] = {.lex_state = 98},
  [14901] = {.lex_state = 0, .external_lex_state = 3},
  [14902] = {.lex_state = 98},
  [14903] = {.lex_state = 0},
  [14904] = {.lex_state = 98},
  [14905] = {.lex_state = 98},
  [14906] = {.lex_state = 0, .external_lex_state = 3},
  [14907] = {.lex_state = 98},
  [14908] = {.lex_state = 98},
  [14909] = {.lex_state = 98},
  [14910] = {.lex_state = 98},
  [14911] = {.lex_state = 98},
  [14912] = {.lex_state = 98},
  [14913] = {.lex_state = 98},
  [14914] = {.lex_state = 98},
  [14915] = {.lex_state = 98},
  [14916] = {.lex_state = 98},
  [14917] = {.lex_state = 98},
  [14918] = {.lex_state = 98},
  [14919] = {.lex_state = 98},
  [14920] = {.lex_state = 98},
  [14921] = {.lex_state = 0},
  [14922] = {.lex_state = 0},
  [14923] = {.lex_state = 98},
  [14924] = {.lex_state = 98},
  [14925] = {.lex_state = 98},
  [14926] = {.lex_state = 98},
  [14927] = {.lex_state = 0},
  [14928] = {.lex_state = 98},
  [14929] = {.lex_state = 98},
  [14930] = {.lex_state = 0},
  [14931] = {.lex_state = 98},
  [14932] = {.lex_state = 98},
  [14933] = {.lex_state = 0},
  [14934] = {.lex_state = 0, .external_lex_state = 2},
  [14935] = {.lex_state = 98},
  [14936] = {.lex_state = 98},
  [14937] = {.lex_state = 98},
  [14938] = {.lex_state = 98},
  [14939] = {.lex_state = 0, .external_lex_state = 3},
  [14940] = {.lex_state = 0, .external_lex_state = 3},
  [14941] = {.lex_state = 98},
  [14942] = {.lex_state = 98},
  [14943] = {.lex_state = 98},
  [14944] = {.lex_state = 0},
  [14945] = {.lex_state = 0, .external_lex_state = 3},
  [14946] = {.lex_state = 98},
  [14947] = {.lex_state = 0},
  [14948] = {.lex_state = 0},
  [14949] = {.lex_state = 98},
  [14950] = {.lex_state = 0},
  [14951] = {.lex_state = 98},
  [14952] = {.lex_state = 98},
  [14953] = {.lex_state = 0},
  [14954] = {.lex_state = 0},
  [14955] = {.lex_state = 98},
  [14956] = {.lex_state = 98},
  [14957] = {.lex_state = 0},
  [14958] = {.lex_state = 98},
  [14959] = {.lex_state = 0},
  [14960] = {.lex_state = 98},
  [14961] = {.lex_state = 98},
  [14962] = {.lex_state = 98},
  [14963] = {.lex_state = 0},
  [14964] = {.lex_state = 98},
  [14965] = {.lex_state = 0},
  [14966] = {.lex_state = 98},
  [14967] = {.lex_state = 0},
  [14968] = {.lex_state = 98},
  [14969] = {.lex_state = 98},
  [14970] = {.lex_state = 0},
  [14971] = {.lex_state = 0},
  [14972] = {.lex_state = 98},
  [14973] = {.lex_state = 0},
  [14974] = {.lex_state = 0},
  [14975] = {.lex_state = 0, .external_lex_state = 3},
  [14976] = {.lex_state = 0},
  [14977] = {.lex_state = 98},
  [14978] = {.lex_state = 98},
  [14979] = {.lex_state = 98},
  [14980] = {.lex_state = 0},
  [14981] = {.lex_state = 0, .external_lex_state = 2},
  [14982] = {.lex_state = 98},
  [14983] = {.lex_state = 0},
  [14984] = {.lex_state = 0},
  [14985] = {.lex_state = 0},
  [14986] = {.lex_state = 98},
  [14987] = {.lex_state = 98},
  [14988] = {.lex_state = 0},
  [14989] = {.lex_state = 98},
  [14990] = {.lex_state = 0, .external_lex_state = 3},
  [14991] = {.lex_state = 98},
  [14992] = {.lex_state = 98},
  [14993] = {.lex_state = 98},
  [14994] = {.lex_state = 98},
  [14995] = {.lex_state = 98},
  [14996] = {.lex_state = 98},
  [14997] = {.lex_state = 98},
  [14998] = {.lex_state = 0},
  [14999] = {.lex_state = 0},
  [15000] = {.lex_state = 98},
  [15001] = {.lex_state = 98},
  [15002] = {.lex_state = 98},
  [15003] = {.lex_state = 0},
  [15004] = {.lex_state = 0, .external_lex_state = 2},
  [15005] = {.lex_state = 98},
  [15006] = {.lex_state = 98},
  [15007] = {.lex_state = 0},
  [15008] = {.lex_state = 98},
  [15009] = {.lex_state = 98},
  [15010] = {.lex_state = 0},
  [15011] = {.lex_state = 98},
  [15012] = {.lex_state = 98},
  [15013] = {.lex_state = 98},
  [15014] = {.lex_state = 0},
  [15015] = {.lex_state = 98},
  [15016] = {.lex_state = 98},
  [15017] = {.lex_state = 98},
  [15018] = {.lex_state = 98},
  [15019] = {.lex_state = 98},
  [15020] = {.lex_state = 98},
  [15021] = {.lex_state = 98},
  [15022] = {.lex_state = 98},
  [15023] = {.lex_state = 98},
  [15024] = {.lex_state = 0},
  [15025] = {.lex_state = 98},
  [15026] = {.lex_state = 98},
  [15027] = {.lex_state = 98},
  [15028] = {.lex_state = 98},
  [15029] = {.lex_state = 0},
  [15030] = {.lex_state = 98},
  [15031] = {.lex_state = 98},
  [15032] = {.lex_state = 98},
  [15033] = {.lex_state = 0},
  [15034] = {.lex_state = 0},
  [15035] = {.lex_state = 98},
  [15036] = {.lex_state = 0},
  [15037] = {.lex_state = 0},
  [15038] = {.lex_state = 98},
  [15039] = {.lex_state = 0},
  [15040] = {.lex_state = 98},
  [15041] = {.lex_state = 98},
  [15042] = {.lex_state = 98},
  [15043] = {.lex_state = 98},
  [15044] = {.lex_state = 98},
  [15045] = {.lex_state = 98},
  [15046] = {.lex_state = 98},
  [15047] = {.lex_state = 98},
  [15048] = {.lex_state = 98},
  [15049] = {.lex_state = 98},
  [15050] = {.lex_state = 98},
  [15051] = {.lex_state = 0},
  [15052] = {.lex_state = 98},
  [15053] = {.lex_state = 98},
  [15054] = {.lex_state = 98},
  [15055] = {.lex_state = 98},
  [15056] = {.lex_state = 98},
  [15057] = {.lex_state = 98},
  [15058] = {.lex_state = 98},
  [15059] = {.lex_state = 0},
  [15060] = {.lex_state = 98},
  [15061] = {.lex_state = 98},
  [15062] = {.lex_state = 98},
  [15063] = {.lex_state = 98},
  [15064] = {.lex_state = 98},
  [15065] = {.lex_state = 98},
  [15066] = {.lex_state = 98},
  [15067] = {.lex_state = 98},
  [15068] = {.lex_state = 98},
  [15069] = {.lex_state = 98},
  [15070] = {.lex_state = 0},
  [15071] = {.lex_state = 0},
  [15072] = {.lex_state = 98},
  [15073] = {.lex_state = 98},
  [15074] = {.lex_state = 0, .external_lex_state = 2},
  [15075] = {.lex_state = 98},
  [15076] = {.lex_state = 98},
  [15077] = {.lex_state = 98},
  [15078] = {.lex_state = 98},
  [15079] = {.lex_state = 0},
  [15080] = {.lex_state = 0},
  [15081] = {.lex_state = 98},
  [15082] = {.lex_state = 98},
  [15083] = {.lex_state = 98},
  [15084] = {.lex_state = 98},
  [15085] = {.lex_state = 98},
  [15086] = {.lex_state = 98},
  [15087] = {.lex_state = 0},
  [15088] = {.lex_state = 98},
  [15089] = {.lex_state = 98},
  [15090] = {.lex_state = 98},
  [15091] = {.lex_state = 0},
  [15092] = {.lex_state = 98},
  [15093] = {.lex_state = 0, .external_lex_state = 3},
  [15094] = {.lex_state = 98},
  [15095] = {.lex_state = 98},
  [15096] = {.lex_state = 98},
  [15097] = {.lex_state = 98},
  [15098] = {.lex_state = 98},
  [15099] = {.lex_state = 98},
  [15100] = {.lex_state = 98},
  [15101] = {.lex_state = 98},
  [15102] = {.lex_state = 0},
  [15103] = {.lex_state = 98},
  [15104] = {.lex_state = 98},
  [15105] = {.lex_state = 98},
  [15106] = {.lex_state = 98},
  [15107] = {.lex_state = 98},
  [15108] = {.lex_state = 98},
  [15109] = {.lex_state = 98},
  [15110] = {.lex_state = 98},
  [15111] = {.lex_state = 98},
  [15112] = {.lex_state = 98},
  [15113] = {.lex_state = 0},
  [15114] = {.lex_state = 98},
  [15115] = {.lex_state = 98},
  [15116] = {.lex_state = 98},
  [15117] = {.lex_state = 0, .external_lex_state = 3},
  [15118] = {.lex_state = 0, .external_lex_state = 2},
  [15119] = {.lex_state = 98},
  [15120] = {.lex_state = 98},
  [15121] = {.lex_state = 0},
  [15122] = {.lex_state = 98},
  [15123] = {.lex_state = 98},
  [15124] = {.lex_state = 98},
  [15125] = {.lex_state = 98},
  [15126] = {.lex_state = 98},
  [15127] = {.lex_state = 98},
  [15128] = {.lex_state = 98},
  [15129] = {.lex_state = 98},
  [15130] = {.lex_state = 98},
  [15131] = {.lex_state = 98},
  [15132] = {.lex_state = 98},
  [15133] = {.lex_state = 0},
  [15134] = {.lex_state = 98},
  [15135] = {.lex_state = 98},
  [15136] = {.lex_state = 98},
  [15137] = {.lex_state = 98},
  [15138] = {.lex_state = 98},
  [15139] = {.lex_state = 0},
  [15140] = {.lex_state = 0},
  [15141] = {.lex_state = 98},
  [15142] = {.lex_state = 98},
  [15143] = {.lex_state = 98},
  [15144] = {.lex_state = 98},
  [15145] = {.lex_state = 98},
  [15146] = {.lex_state = 98},
  [15147] = {.lex_state = 98},
  [15148] = {.lex_state = 98},
  [15149] = {.lex_state = 0, .external_lex_state = 3},
  [15150] = {.lex_state = 98},
  [15151] = {.lex_state = 98},
  [15152] = {.lex_state = 0},
  [15153] = {.lex_state = 98},
  [15154] = {.lex_state = 98},
  [15155] = {.lex_state = 98},
  [15156] = {.lex_state = 0, .external_lex_state = 2},
  [15157] = {.lex_state = 98},
  [15158] = {.lex_state = 98},
  [15159] = {.lex_state = 98},
  [15160] = {.lex_state = 0},
  [15161] = {.lex_state = 0},
  [15162] = {.lex_state = 98},
  [15163] = {.lex_state = 0},
  [15164] = {.lex_state = 0},
  [15165] = {.lex_state = 98},
  [15166] = {.lex_state = 98},
  [15167] = {.lex_state = 0},
  [15168] = {.lex_state = 98},
  [15169] = {.lex_state = 0},
  [15170] = {.lex_state = 0, .external_lex_state = 3},
  [15171] = {.lex_state = 0},
  [15172] = {.lex_state = 98},
  [15173] = {.lex_state = 98},
  [15174] = {.lex_state = 0},
  [15175] = {.lex_state = 98},
  [15176] = {.lex_state = 0, .external_lex_state = 3},
  [15177] = {.lex_state = 98},
  [15178] = {.lex_state = 0},
  [15179] = {.lex_state = 98},
  [15180] = {.lex_state = 98},
  [15181] = {.lex_state = 98},
  [15182] = {.lex_state = 98},
  [15183] = {.lex_state = 98},
  [15184] = {.lex_state = 98},
  [15185] = {.lex_state = 98},
  [15186] = {.lex_state = 98},
  [15187] = {.lex_state = 0},
  [15188] = {.lex_state = 98},
  [15189] = {.lex_state = 98},
  [15190] = {.lex_state = 0},
  [15191] = {.lex_state = 0},
  [15192] = {.lex_state = 98},
  [15193] = {.lex_state = 0, .external_lex_state = 2},
  [15194] = {.lex_state = 0},
  [15195] = {.lex_state = 0},
  [15196] = {.lex_state = 0},
  [15197] = {.lex_state = 98},
  [15198] = {.lex_state = 0},
  [15199] = {.lex_state = 98},
  [15200] = {.lex_state = 0},
  [15201] = {.lex_state = 0},
  [15202] = {.lex_state = 98},
  [15203] = {.lex_state = 98},
  [15204] = {.lex_state = 98},
  [15205] = {.lex_state = 0},
  [15206] = {.lex_state = 0},
  [15207] = {.lex_state = 0},
  [15208] = {.lex_state = 98},
  [15209] = {.lex_state = 98},
  [15210] = {.lex_state = 98},
  [15211] = {.lex_state = 0},
  [15212] = {.lex_state = 0, .external_lex_state = 2},
  [15213] = {.lex_state = 98},
  [15214] = {.lex_state = 0},
  [15215] = {.lex_state = 0},
  [15216] = {.lex_state = 98},
  [15217] = {.lex_state = 98},
  [15218] = {.lex_state = 98},
  [15219] = {.lex_state = 98},
  [15220] = {.lex_state = 98},
  [15221] = {.lex_state = 98},
  [15222] = {.lex_state = 98},
  [15223] = {.lex_state = 98},
  [15224] = {.lex_state = 0},
  [15225] = {.lex_state = 98},
  [15226] = {.lex_state = 98},
  [15227] = {.lex_state = 98},
  [15228] = {.lex_state = 0},
  [15229] = {.lex_state = 0},
  [15230] = {.lex_state = 0},
  [15231] = {.lex_state = 0},
  [15232] = {.lex_state = 0},
  [15233] = {.lex_state = 0},
  [15234] = {.lex_state = 0},
  [15235] = {.lex_state = 98},
  [15236] = {.lex_state = 0},
  [15237] = {.lex_state = 98},
  [15238] = {.lex_state = 98},
  [15239] = {.lex_state = 98},
  [15240] = {.lex_state = 98},
  [15241] = {.lex_state = 98},
  [15242] = {.lex_state = 98},
  [15243] = {.lex_state = 98},
  [15244] = {.lex_state = 0},
  [15245] = {.lex_state = 98},
  [15246] = {.lex_state = 98},
  [15247] = {.lex_state = 98},
  [15248] = {.lex_state = 0, .external_lex_state = 2},
  [15249] = {.lex_state = 0},
  [15250] = {.lex_state = 0},
  [15251] = {.lex_state = 98},
  [15252] = {.lex_state = 0},
  [15253] = {.lex_state = 98},
  [15254] = {.lex_state = 0, .external_lex_state = 3},
  [15255] = {.lex_state = 0},
  [15256] = {.lex_state = 98},
  [15257] = {.lex_state = 98},
  [15258] = {.lex_state = 98},
  [15259] = {.lex_state = 0},
  [15260] = {.lex_state = 0},
  [15261] = {.lex_state = 98},
  [15262] = {.lex_state = 0, .external_lex_state = 3},
  [15263] = {.lex_state = 100},
  [15264] = {.lex_state = 0},
  [15265] = {.lex_state = 0},
  [15266] = {.lex_state = 100},
  [15267] = {.lex_state = 98},
  [15268] = {.lex_state = 100},
  [15269] = {.lex_state = 98},
  [15270] = {.lex_state = 98},
  [15271] = {.lex_state = 98},
  [15272] = {.lex_state = 98},
  [15273] = {.lex_state = 98},
  [15274] = {.lex_state = 98},
  [15275] = {.lex_state = 98},
  [15276] = {.lex_state = 98},
  [15277] = {.lex_state = 0, .external_lex_state = 3},
  [15278] = {.lex_state = 98},
  [15279] = {.lex_state = 0, .external_lex_state = 3},
  [15280] = {.lex_state = 98},
  [15281] = {.lex_state = 98},
  [15282] = {.lex_state = 0, .external_lex_state = 2},
  [15283] = {.lex_state = 0},
  [15284] = {.lex_state = 98},
  [15285] = {.lex_state = 98},
  [15286] = {.lex_state = 0},
  [15287] = {.lex_state = 0},
  [15288] = {.lex_state = 98},
  [15289] = {.lex_state = 98},
  [15290] = {.lex_state = 0, .external_lex_state = 3},
  [15291] = {.lex_state = 98},
  [15292] = {.lex_state = 98},
  [15293] = {.lex_state = 0},
  [15294] = {.lex_state = 98},
  [15295] = {.lex_state = 98},
  [15296] = {.lex_state = 98},
  [15297] = {.lex_state = 98},
  [15298] = {.lex_state = 98},
  [15299] = {.lex_state = 0},
  [15300] = {.lex_state = 98},
  [15301] = {.lex_state = 0, .external_lex_state = 3},
  [15302] = {.lex_state = 98},
  [15303] = {.lex_state = 98},
  [15304] = {.lex_state = 98},
  [15305] = {.lex_state = 98},
  [15306] = {.lex_state = 98},
  [15307] = {.lex_state = 98},
  [15308] = {.lex_state = 98},
  [15309] = {.lex_state = 98},
  [15310] = {.lex_state = 98},
  [15311] = {.lex_state = 0},
  [15312] = {.lex_state = 98},
  [15313] = {.lex_state = 98},
  [15314] = {.lex_state = 98},
  [15315] = {.lex_state = 98},
  [15316] = {.lex_state = 98},
  [15317] = {.lex_state = 98},
  [15318] = {.lex_state = 98},
  [15319] = {.lex_state = 98},
  [15320] = {.lex_state = 98},
  [15321] = {.lex_state = 98},
  [15322] = {.lex_state = 98},
  [15323] = {.lex_state = 98},
  [15324] = {.lex_state = 98},
  [15325] = {.lex_state = 98},
  [15326] = {.lex_state = 98},
  [15327] = {.lex_state = 98},
  [15328] = {.lex_state = 98},
  [15329] = {.lex_state = 0, .external_lex_state = 3},
  [15330] = {.lex_state = 98},
  [15331] = {.lex_state = 98},
  [15332] = {.lex_state = 98},
  [15333] = {.lex_state = 98},
  [15334] = {.lex_state = 98},
  [15335] = {.lex_state = 98},
  [15336] = {.lex_state = 98},
  [15337] = {.lex_state = 98},
  [15338] = {.lex_state = 0},
  [15339] = {.lex_state = 98},
  [15340] = {.lex_state = 13},
  [15341] = {.lex_state = 98},
  [15342] = {.lex_state = 98},
  [15343] = {.lex_state = 98},
  [15344] = {.lex_state = 98},
  [15345] = {.lex_state = 98},
  [15346] = {.lex_state = 98},
  [15347] = {.lex_state = 98},
  [15348] = {.lex_state = 98},
  [15349] = {.lex_state = 98},
  [15350] = {.lex_state = 98},
  [15351] = {.lex_state = 98},
  [15352] = {.lex_state = 98},
  [15353] = {.lex_state = 98},
  [15354] = {.lex_state = 98},
  [15355] = {.lex_state = 98},
  [15356] = {.lex_state = 98},
  [15357] = {.lex_state = 98},
  [15358] = {.lex_state = 98},
  [15359] = {.lex_state = 98},
  [15360] = {.lex_state = 98},
  [15361] = {.lex_state = 98},
  [15362] = {.lex_state = 98},
  [15363] = {.lex_state = 98},
  [15364] = {.lex_state = 98},
  [15365] = {.lex_state = 98},
  [15366] = {.lex_state = 98},
  [15367] = {.lex_state = 98},
  [15368] = {.lex_state = 98},
  [15369] = {.lex_state = 98},
  [15370] = {.lex_state = 98},
  [15371] = {.lex_state = 98},
  [15372] = {.lex_state = 98},
  [15373] = {.lex_state = 98},
  [15374] = {.lex_state = 98},
  [15375] = {.lex_state = 98},
  [15376] = {.lex_state = 98},
  [15377] = {.lex_state = 98},
  [15378] = {.lex_state = 98},
  [15379] = {.lex_state = 98},
  [15380] = {.lex_state = 0},
  [15381] = {.lex_state = 98},
  [15382] = {.lex_state = 98},
  [15383] = {.lex_state = 98},
  [15384] = {.lex_state = 98},
  [15385] = {.lex_state = 0},
  [15386] = {.lex_state = 98},
  [15387] = {.lex_state = 98},
  [15388] = {.lex_state = 98},
  [15389] = {.lex_state = 98},
  [15390] = {.lex_state = 98},
  [15391] = {.lex_state = 0, .external_lex_state = 2},
  [15392] = {.lex_state = 98},
  [15393] = {.lex_state = 0},
  [15394] = {.lex_state = 98},
  [15395] = {.lex_state = 98},
  [15396] = {.lex_state = 98},
  [15397] = {.lex_state = 98},
  [15398] = {.lex_state = 98},
  [15399] = {.lex_state = 98},
  [15400] = {.lex_state = 98},
  [15401] = {.lex_state = 0, .external_lex_state = 3},
  [15402] = {.lex_state = 0, .external_lex_state = 3},
  [15403] = {.lex_state = 0},
  [15404] = {.lex_state = 98},
  [15405] = {.lex_state = 98},
  [15406] = {.lex_state = 98},
  [15407] = {.lex_state = 98},
  [15408] = {.lex_state = 98},
  [15409] = {.lex_state = 98},
  [15410] = {.lex_state = 0},
  [15411] = {.lex_state = 98},
  [15412] = {.lex_state = 98},
  [15413] = {.lex_state = 98},
  [15414] = {.lex_state = 98},
  [15415] = {.lex_state = 0},
  [15416] = {.lex_state = 98},
  [15417] = {.lex_state = 98},
  [15418] = {.lex_state = 0},
  [15419] = {.lex_state = 98},
  [15420] = {.lex_state = 0},
  [15421] = {.lex_state = 98},
  [15422] = {.lex_state = 98},
  [15423] = {.lex_state = 98},
  [15424] = {.lex_state = 98},
  [15425] = {.lex_state = 98},
  [15426] = {.lex_state = 98},
  [15427] = {.lex_state = 98},
  [15428] = {.lex_state = 98},
  [15429] = {.lex_state = 98},
  [15430] = {.lex_state = 98},
  [15431] = {.lex_state = 0},
  [15432] = {.lex_state = 98},
  [15433] = {.lex_state = 98},
  [15434] = {.lex_state = 98},
  [15435] = {.lex_state = 98},
  [15436] = {.lex_state = 0},
  [15437] = {.lex_state = 98},
  [15438] = {.lex_state = 98},
  [15439] = {.lex_state = 98},
  [15440] = {.lex_state = 98},
  [15441] = {.lex_state = 0},
  [15442] = {.lex_state = 98},
  [15443] = {.lex_state = 98},
  [15444] = {.lex_state = 0},
  [15445] = {.lex_state = 98},
  [15446] = {.lex_state = 98},
  [15447] = {.lex_state = 98},
  [15448] = {.lex_state = 0, .external_lex_state = 3},
  [15449] = {.lex_state = 98},
  [15450] = {.lex_state = 98},
  [15451] = {.lex_state = 98},
  [15452] = {.lex_state = 98},
  [15453] = {.lex_state = 98},
  [15454] = {.lex_state = 98},
  [15455] = {.lex_state = 98},
  [15456] = {.lex_state = 0},
  [15457] = {.lex_state = 98},
  [15458] = {.lex_state = 98},
  [15459] = {.lex_state = 0},
  [15460] = {.lex_state = 98},
  [15461] = {.lex_state = 98},
  [15462] = {.lex_state = 98},
  [15463] = {.lex_state = 98},
  [15464] = {.lex_state = 98},
  [15465] = {.lex_state = 98},
  [15466] = {.lex_state = 98},
  [15467] = {.lex_state = 98},
  [15468] = {.lex_state = 98},
  [15469] = {.lex_state = 98},
  [15470] = {.lex_state = 98},
  [15471] = {.lex_state = 98},
  [15472] = {.lex_state = 98},
  [15473] = {.lex_state = 98},
  [15474] = {.lex_state = 98},
  [15475] = {.lex_state = 98},
  [15476] = {.lex_state = 98},
  [15477] = {.lex_state = 0},
  [15478] = {.lex_state = 98},
  [15479] = {.lex_state = 98},
  [15480] = {.lex_state = 98},
  [15481] = {.lex_state = 0},
  [15482] = {.lex_state = 98},
  [15483] = {.lex_state = 98},
  [15484] = {.lex_state = 98},
  [15485] = {.lex_state = 0},
  [15486] = {.lex_state = 98},
  [15487] = {.lex_state = 98},
  [15488] = {.lex_state = 0},
  [15489] = {.lex_state = 98},
  [15490] = {.lex_state = 98},
  [15491] = {.lex_state = 98},
  [15492] = {.lex_state = 98},
  [15493] = {.lex_state = 98},
  [15494] = {.lex_state = 98},
  [15495] = {.lex_state = 0, .external_lex_state = 3},
  [15496] = {.lex_state = 98},
  [15497] = {.lex_state = 98},
  [15498] = {.lex_state = 98},
  [15499] = {.lex_state = 0, .external_lex_state = 3},
  [15500] = {.lex_state = 98},
  [15501] = {.lex_state = 98},
  [15502] = {.lex_state = 98},
  [15503] = {.lex_state = 98},
  [15504] = {.lex_state = 98},
  [15505] = {.lex_state = 0},
  [15506] = {.lex_state = 98},
  [15507] = {.lex_state = 0},
  [15508] = {.lex_state = 98},
  [15509] = {.lex_state = 0},
  [15510] = {.lex_state = 98},
  [15511] = {.lex_state = 98},
  [15512] = {.lex_state = 0},
  [15513] = {.lex_state = 98},
  [15514] = {.lex_state = 98},
  [15515] = {.lex_state = 98},
  [15516] = {.lex_state = 98},
  [15517] = {.lex_state = 98},
  [15518] = {.lex_state = 98},
  [15519] = {.lex_state = 98},
  [15520] = {.lex_state = 0},
  [15521] = {.lex_state = 98},
  [15522] = {.lex_state = 0},
  [15523] = {.lex_state = 0, .external_lex_state = 2},
  [15524] = {.lex_state = 98},
  [15525] = {.lex_state = 98},
  [15526] = {.lex_state = 0},
  [15527] = {.lex_state = 98},
  [15528] = {.lex_state = 0},
  [15529] = {.lex_state = 98},
  [15530] = {.lex_state = 98},
  [15531] = {.lex_state = 98},
  [15532] = {.lex_state = 98},
  [15533] = {.lex_state = 98},
  [15534] = {.lex_state = 98},
  [15535] = {.lex_state = 0},
  [15536] = {.lex_state = 98},
  [15537] = {.lex_state = 98},
  [15538] = {.lex_state = 0},
  [15539] = {.lex_state = 98},
  [15540] = {.lex_state = 98},
  [15541] = {.lex_state = 0},
  [15542] = {.lex_state = 0},
  [15543] = {.lex_state = 98},
  [15544] = {.lex_state = 0, .external_lex_state = 2},
  [15545] = {.lex_state = 98},
  [15546] = {.lex_state = 98},
  [15547] = {.lex_state = 98},
  [15548] = {.lex_state = 98},
  [15549] = {.lex_state = 98},
  [15550] = {.lex_state = 98},
  [15551] = {.lex_state = 98},
  [15552] = {.lex_state = 0},
  [15553] = {.lex_state = 98},
  [15554] = {.lex_state = 98},
  [15555] = {.lex_state = 98},
  [15556] = {.lex_state = 98},
  [15557] = {.lex_state = 98},
  [15558] = {.lex_state = 98},
  [15559] = {.lex_state = 98},
  [15560] = {.lex_state = 98},
  [15561] = {.lex_state = 98},
  [15562] = {.lex_state = 98},
  [15563] = {.lex_state = 98},
  [15564] = {.lex_state = 98},
  [15565] = {.lex_state = 0},
  [15566] = {.lex_state = 98},
  [15567] = {.lex_state = 98},
  [15568] = {.lex_state = 98},
  [15569] = {.lex_state = 98},
  [15570] = {.lex_state = 98},
  [15571] = {.lex_state = 98},
  [15572] = {.lex_state = 0},
  [15573] = {.lex_state = 98},
  [15574] = {.lex_state = 0, .external_lex_state = 2},
  [15575] = {.lex_state = 98},
  [15576] = {.lex_state = 0},
  [15577] = {.lex_state = 98},
  [15578] = {.lex_state = 0},
  [15579] = {.lex_state = 0, .external_lex_state = 2},
  [15580] = {.lex_state = 98},
  [15581] = {.lex_state = 98},
  [15582] = {.lex_state = 98},
  [15583] = {.lex_state = 0},
  [15584] = {.lex_state = 98},
  [15585] = {.lex_state = 98},
  [15586] = {.lex_state = 98},
  [15587] = {.lex_state = 0},
  [15588] = {.lex_state = 0},
  [15589] = {.lex_state = 98},
  [15590] = {.lex_state = 0},
  [15591] = {.lex_state = 98},
  [15592] = {.lex_state = 98},
  [15593] = {.lex_state = 98},
  [15594] = {.lex_state = 0},
  [15595] = {.lex_state = 0, .external_lex_state = 2},
  [15596] = {.lex_state = 98},
  [15597] = {.lex_state = 98},
  [15598] = {.lex_state = 98},
  [15599] = {.lex_state = 98},
  [15600] = {.lex_state = 98},
  [15601] = {.lex_state = 98},
  [15602] = {.lex_state = 98},
  [15603] = {.lex_state = 98},
  [15604] = {.lex_state = 98},
  [15605] = {.lex_state = 0},
  [15606] = {.lex_state = 98},
  [15607] = {.lex_state = 0},
  [15608] = {.lex_state = 0},
  [15609] = {.lex_state = 0},
  [15610] = {.lex_state = 98},
  [15611] = {.lex_state = 0},
  [15612] = {.lex_state = 98},
  [15613] = {.lex_state = 0},
  [15614] = {.lex_state = 98},
  [15615] = {.lex_state = 98},
  [15616] = {.lex_state = 0, .external_lex_state = 2},
  [15617] = {.lex_state = 0, .external_lex_state = 2},
  [15618] = {.lex_state = 0},
  [15619] = {.lex_state = 98},
  [15620] = {.lex_state = 98},
  [15621] = {.lex_state = 0},
  [15622] = {.lex_state = 0},
  [15623] = {.lex_state = 0},
  [15624] = {.lex_state = 0},
  [15625] = {.lex_state = 98},
  [15626] = {.lex_state = 98},
  [15627] = {.lex_state = 98},
  [15628] = {.lex_state = 98},
  [15629] = {.lex_state = 0},
  [15630] = {.lex_state = 98},
  [15631] = {.lex_state = 0},
  [15632] = {.lex_state = 98},
  [15633] = {.lex_state = 0},
  [15634] = {.lex_state = 0},
  [15635] = {.lex_state = 0},
  [15636] = {.lex_state = 0},
  [15637] = {.lex_state = 98},
  [15638] = {.lex_state = 0},
  [15639] = {.lex_state = 0},
  [15640] = {.lex_state = 98},
  [15641] = {.lex_state = 98},
  [15642] = {.lex_state = 98},
  [15643] = {.lex_state = 98},
  [15644] = {.lex_state = 0},
  [15645] = {.lex_state = 0},
  [15646] = {.lex_state = 0},
  [15647] = {.lex_state = 0},
  [15648] = {.lex_state = 98},
  [15649] = {.lex_state = 98},
  [15650] = {.lex_state = 0},
  [15651] = {.lex_state = 0},
  [15652] = {.lex_state = 98},
  [15653] = {.lex_state = 98},
  [15654] = {.lex_state = 0},
  [15655] = {.lex_state = 98},
  [15656] = {.lex_state = 98},
  [15657] = {.lex_state = 98},
  [15658] = {.lex_state = 0},
  [15659] = {.lex_state = 0},
  [15660] = {.lex_state = 98},
  [15661] = {.lex_state = 98},
  [15662] = {.lex_state = 98},
  [15663] = {.lex_state = 98},
  [15664] = {.lex_state = 98},
  [15665] = {.lex_state = 98},
  [15666] = {.lex_state = 98},
  [15667] = {.lex_state = 0},
  [15668] = {.lex_state = 0},
  [15669] = {.lex_state = 98},
  [15670] = {.lex_state = 98},
  [15671] = {.lex_state = 0},
  [15672] = {.lex_state = 98},
  [15673] = {.lex_state = 98},
  [15674] = {.lex_state = 98},
  [15675] = {.lex_state = 98},
  [15676] = {.lex_state = 98},
  [15677] = {.lex_state = 0, .external_lex_state = 3},
  [15678] = {.lex_state = 0},
  [15679] = {.lex_state = 98},
  [15680] = {.lex_state = 98},
  [15681] = {.lex_state = 98},
  [15682] = {.lex_state = 98},
  [15683] = {.lex_state = 0, .external_lex_state = 2},
  [15684] = {.lex_state = 98},
  [15685] = {.lex_state = 98},
  [15686] = {.lex_state = 98},
  [15687] = {.lex_state = 98},
  [15688] = {.lex_state = 98},
  [15689] = {.lex_state = 0},
  [15690] = {.lex_state = 98},
  [15691] = {.lex_state = 98},
  [15692] = {.lex_state = 98},
  [15693] = {.lex_state = 98},
  [15694] = {.lex_state = 98},
  [15695] = {.lex_state = 98},
  [15696] = {.lex_state = 98},
  [15697] = {.lex_state = 98},
  [15698] = {.lex_state = 0, .external_lex_state = 3},
  [15699] = {.lex_state = 98},
  [15700] = {.lex_state = 98},
  [15701] = {.lex_state = 98},
  [15702] = {.lex_state = 98},
  [15703] = {.lex_state = 98},
  [15704] = {.lex_state = 98},
  [15705] = {.lex_state = 98},
  [15706] = {.lex_state = 98},
  [15707] = {.lex_state = 98},
  [15708] = {.lex_state = 0, .external_lex_state = 3},
  [15709] = {.lex_state = 98},
  [15710] = {.lex_state = 98},
  [15711] = {.lex_state = 98},
  [15712] = {.lex_state = 98},
  [15713] = {.lex_state = 98},
  [15714] = {.lex_state = 98},
  [15715] = {.lex_state = 0},
  [15716] = {.lex_state = 98},
  [15717] = {.lex_state = 98},
  [15718] = {.lex_state = 0, .external_lex_state = 3},
  [15719] = {.lex_state = 98},
  [15720] = {.lex_state = 98},
  [15721] = {.lex_state = 98},
  [15722] = {.lex_state = 98},
  [15723] = {.lex_state = 98},
  [15724] = {.lex_state = 98},
  [15725] = {.lex_state = 98},
  [15726] = {.lex_state = 98},
  [15727] = {.lex_state = 98},
  [15728] = {.lex_state = 98},
  [15729] = {.lex_state = 98},
  [15730] = {.lex_state = 98},
  [15731] = {.lex_state = 98},
  [15732] = {.lex_state = 0},
  [15733] = {.lex_state = 98},
  [15734] = {.lex_state = 98},
  [15735] = {.lex_state = 98},
  [15736] = {.lex_state = 0},
  [15737] = {.lex_state = 98},
  [15738] = {.lex_state = 98},
  [15739] = {.lex_state = 98},
  [15740] = {.lex_state = 98},
  [15741] = {.lex_state = 98},
  [15742] = {.lex_state = 98},
  [15743] = {.lex_state = 98},
  [15744] = {.lex_state = 98},
  [15745] = {.lex_state = 98},
  [15746] = {.lex_state = 0},
  [15747] = {.lex_state = 98},
  [15748] = {.lex_state = 98},
  [15749] = {.lex_state = 98},
  [15750] = {.lex_state = 98},
  [15751] = {.lex_state = 98},
  [15752] = {.lex_state = 98},
  [15753] = {.lex_state = 98},
  [15754] = {.lex_state = 98},
  [15755] = {.lex_state = 98},
  [15756] = {.lex_state = 98},
  [15757] = {.lex_state = 98},
  [15758] = {.lex_state = 98},
  [15759] = {.lex_state = 98},
  [15760] = {.lex_state = 98},
  [15761] = {.lex_state = 98},
  [15762] = {.lex_state = 98},
  [15763] = {.lex_state = 98},
  [15764] = {.lex_state = 98},
  [15765] = {.lex_state = 98},
  [15766] = {.lex_state = 98},
  [15767] = {.lex_state = 98},
  [15768] = {.lex_state = 98},
  [15769] = {.lex_state = 98},
  [15770] = {.lex_state = 98},
  [15771] = {.lex_state = 98},
  [15772] = {.lex_state = 98},
  [15773] = {.lex_state = 98},
  [15774] = {.lex_state = 98},
  [15775] = {.lex_state = 98},
  [15776] = {.lex_state = 98},
  [15777] = {.lex_state = 98},
  [15778] = {.lex_state = 0},
  [15779] = {.lex_state = 98},
  [15780] = {.lex_state = 98},
  [15781] = {.lex_state = 98},
  [15782] = {.lex_state = 98},
  [15783] = {.lex_state = 98},
  [15784] = {.lex_state = 0},
  [15785] = {.lex_state = 0},
  [15786] = {.lex_state = 98},
  [15787] = {.lex_state = 98},
  [15788] = {.lex_state = 98},
  [15789] = {.lex_state = 98},
  [15790] = {.lex_state = 98},
  [15791] = {.lex_state = 98},
  [15792] = {.lex_state = 98},
  [15793] = {.lex_state = 98},
  [15794] = {.lex_state = 98},
  [15795] = {.lex_state = 98},
  [15796] = {.lex_state = 98},
  [15797] = {.lex_state = 98},
  [15798] = {.lex_state = 98},
  [15799] = {.lex_state = 98},
  [15800] = {.lex_state = 98},
  [15801] = {.lex_state = 98},
  [15802] = {.lex_state = 98},
  [15803] = {.lex_state = 98},
  [15804] = {.lex_state = 0},
  [15805] = {.lex_state = 98},
  [15806] = {.lex_state = 0},
  [15807] = {.lex_state = 98},
  [15808] = {.lex_state = 98},
  [15809] = {.lex_state = 98},
  [15810] = {.lex_state = 98},
  [15811] = {.lex_state = 98},
  [15812] = {.lex_state = 98},
  [15813] = {.lex_state = 0, .external_lex_state = 2},
  [15814] = {.lex_state = 0},
  [15815] = {.lex_state = 98},
  [15816] = {.lex_state = 98},
  [15817] = {.lex_state = 98},
  [15818] = {.lex_state = 98},
  [15819] = {.lex_state = 0},
  [15820] = {.lex_state = 98},
  [15821] = {.lex_state = 98},
  [15822] = {.lex_state = 98},
  [15823] = {.lex_state = 98},
  [15824] = {.lex_state = 98},
  [15825] = {.lex_state = 0, .external_lex_state = 2},
  [15826] = {.lex_state = 98},
  [15827] = {.lex_state = 98},
  [15828] = {.lex_state = 98},
  [15829] = {.lex_state = 0},
  [15830] = {.lex_state = 98},
  [15831] = {.lex_state = 98},
  [15832] = {.lex_state = 98},
  [15833] = {.lex_state = 98},
  [15834] = {.lex_state = 98},
  [15835] = {.lex_state = 98},
  [15836] = {.lex_state = 98},
  [15837] = {.lex_state = 98},
  [15838] = {.lex_state = 0, .external_lex_state = 2},
  [15839] = {.lex_state = 98},
  [15840] = {.lex_state = 98},
  [15841] = {.lex_state = 98},
  [15842] = {.lex_state = 98},
  [15843] = {.lex_state = 98},
  [15844] = {.lex_state = 98},
  [15845] = {.lex_state = 98},
  [15846] = {.lex_state = 98},
  [15847] = {.lex_state = 98},
  [15848] = {.lex_state = 98},
  [15849] = {.lex_state = 98},
  [15850] = {.lex_state = 98},
  [15851] = {.lex_state = 98},
  [15852] = {.lex_state = 98},
  [15853] = {.lex_state = 98},
  [15854] = {.lex_state = 98},
  [15855] = {.lex_state = 98},
  [15856] = {.lex_state = 98},
  [15857] = {.lex_state = 98},
  [15858] = {.lex_state = 98},
  [15859] = {.lex_state = 98},
  [15860] = {.lex_state = 98},
  [15861] = {.lex_state = 98},
  [15862] = {.lex_state = 98},
  [15863] = {.lex_state = 98},
  [15864] = {.lex_state = 98},
  [15865] = {.lex_state = 98},
  [15866] = {.lex_state = 98},
  [15867] = {.lex_state = 98},
  [15868] = {.lex_state = 98},
  [15869] = {.lex_state = 98},
  [15870] = {.lex_state = 98},
  [15871] = {.lex_state = 98},
  [15872] = {.lex_state = 98},
  [15873] = {.lex_state = 98},
  [15874] = {.lex_state = 0},
  [15875] = {.lex_state = 0},
  [15876] = {.lex_state = 98},
  [15877] = {.lex_state = 0},
  [15878] = {.lex_state = 98},
  [15879] = {.lex_state = 0},
  [15880] = {.lex_state = 98},
  [15881] = {.lex_state = 98},
  [15882] = {.lex_state = 0},
  [15883] = {.lex_state = 98},
  [15884] = {.lex_state = 98},
  [15885] = {.lex_state = 98},
  [15886] = {.lex_state = 98},
  [15887] = {.lex_state = 98},
  [15888] = {.lex_state = 98},
  [15889] = {.lex_state = 98},
  [15890] = {.lex_state = 0},
  [15891] = {.lex_state = 98},
  [15892] = {.lex_state = 98},
  [15893] = {.lex_state = 98},
  [15894] = {.lex_state = 98},
  [15895] = {.lex_state = 98},
  [15896] = {.lex_state = 98},
  [15897] = {.lex_state = 98},
  [15898] = {.lex_state = 98},
  [15899] = {.lex_state = 98},
  [15900] = {.lex_state = 98},
  [15901] = {.lex_state = 98},
  [15902] = {.lex_state = 0},
  [15903] = {.lex_state = 0},
  [15904] = {.lex_state = 98},
  [15905] = {.lex_state = 0},
  [15906] = {.lex_state = 98},
  [15907] = {.lex_state = 98},
  [15908] = {.lex_state = 98},
  [15909] = {.lex_state = 98},
  [15910] = {.lex_state = 98},
  [15911] = {.lex_state = 98},
  [15912] = {.lex_state = 98},
  [15913] = {.lex_state = 98},
  [15914] = {.lex_state = 98},
  [15915] = {.lex_state = 98},
  [15916] = {.lex_state = 98},
  [15917] = {.lex_state = 98},
  [15918] = {.lex_state = 98},
  [15919] = {.lex_state = 98},
  [15920] = {.lex_state = 98},
  [15921] = {.lex_state = 98},
  [15922] = {.lex_state = 98},
  [15923] = {.lex_state = 98},
  [15924] = {.lex_state = 98},
  [15925] = {.lex_state = 98},
  [15926] = {.lex_state = 98},
  [15927] = {.lex_state = 98},
  [15928] = {.lex_state = 98},
  [15929] = {.lex_state = 98},
  [15930] = {.lex_state = 0, .external_lex_state = 2},
  [15931] = {.lex_state = 98},
  [15932] = {.lex_state = 98},
  [15933] = {.lex_state = 98},
  [15934] = {.lex_state = 98},
  [15935] = {.lex_state = 98},
  [15936] = {.lex_state = 98},
  [15937] = {.lex_state = 98},
  [15938] = {.lex_state = 98},
  [15939] = {.lex_state = 98},
  [15940] = {.lex_state = 98},
  [15941] = {.lex_state = 98},
  [15942] = {.lex_state = 98},
  [15943] = {.lex_state = 98},
  [15944] = {.lex_state = 98},
  [15945] = {.lex_state = 98},
  [15946] = {.lex_state = 98},
  [15947] = {.lex_state = 98},
  [15948] = {.lex_state = 98},
  [15949] = {.lex_state = 98},
  [15950] = {.lex_state = 98},
  [15951] = {.lex_state = 98},
  [15952] = {.lex_state = 98},
  [15953] = {.lex_state = 98},
  [15954] = {.lex_state = 98},
  [15955] = {.lex_state = 98},
  [15956] = {.lex_state = 98},
  [15957] = {.lex_state = 98},
  [15958] = {.lex_state = 98},
  [15959] = {.lex_state = 98},
  [15960] = {.lex_state = 0},
  [15961] = {.lex_state = 98},
  [15962] = {.lex_state = 98},
  [15963] = {.lex_state = 98},
  [15964] = {.lex_state = 98},
  [15965] = {.lex_state = 98},
  [15966] = {.lex_state = 98},
  [15967] = {.lex_state = 98},
  [15968] = {.lex_state = 98},
  [15969] = {.lex_state = 98},
  [15970] = {.lex_state = 98},
  [15971] = {.lex_state = 0},
  [15972] = {.lex_state = 0},
  [15973] = {.lex_state = 98},
  [15974] = {.lex_state = 0},
  [15975] = {.lex_state = 98},
  [15976] = {.lex_state = 98},
  [15977] = {.lex_state = 98},
  [15978] = {.lex_state = 98},
  [15979] = {.lex_state = 98},
  [15980] = {.lex_state = 98},
  [15981] = {.lex_state = 98},
  [15982] = {.lex_state = 98},
  [15983] = {.lex_state = 0},
  [15984] = {.lex_state = 98},
  [15985] = {.lex_state = 98},
  [15986] = {.lex_state = 0},
  [15987] = {.lex_state = 18},
  [15988] = {.lex_state = 98},
  [15989] = {.lex_state = 98},
  [15990] = {.lex_state = 0},
  [15991] = {.lex_state = 98},
  [15992] = {.lex_state = 98},
  [15993] = {.lex_state = 98},
  [15994] = {.lex_state = 98},
  [15995] = {.lex_state = 98},
  [15996] = {.lex_state = 98},
  [15997] = {.lex_state = 98},
  [15998] = {.lex_state = 98},
  [15999] = {.lex_state = 98},
  [16000] = {.lex_state = 98},
  [16001] = {.lex_state = 0},
  [16002] = {.lex_state = 98},
  [16003] = {.lex_state = 0, .external_lex_state = 2},
  [16004] = {.lex_state = 0},
  [16005] = {.lex_state = 98},
  [16006] = {.lex_state = 0},
  [16007] = {.lex_state = 0},
  [16008] = {.lex_state = 98},
  [16009] = {.lex_state = 0},
  [16010] = {.lex_state = 0},
  [16011] = {.lex_state = 98},
  [16012] = {.lex_state = 18},
  [16013] = {.lex_state = 0},
  [16014] = {.lex_state = 0, .external_lex_state = 2},
  [16015] = {.lex_state = 18},
  [16016] = {.lex_state = 0},
  [16017] = {.lex_state = 0},
  [16018] = {.lex_state = 98},
  [16019] = {.lex_state = 0},
  [16020] = {.lex_state = 0},
  [16021] = {.lex_state = 98},
  [16022] = {.lex_state = 0},
  [16023] = {.lex_state = 0},
  [16024] = {.lex_state = 18},
  [16025] = {.lex_state = 98},
  [16026] = {.lex_state = 0},
  [16027] = {.lex_state = 0},
  [16028] = {.lex_state = 18},
  [16029] = {.lex_state = 98},
  [16030] = {.lex_state = 18},
  [16031] = {.lex_state = 18},
  [16032] = {.lex_state = 18},
  [16033] = {.lex_state = 0, .external_lex_state = 2},
  [16034] = {.lex_state = 0},
  [16035] = {.lex_state = 18},
  [16036] = {.lex_state = 0},
  [16037] = {.lex_state = 0},
  [16038] = {.lex_state = 98},
  [16039] = {.lex_state = 98},
  [16040] = {.lex_state = 0},
  [16041] = {.lex_state = 0},
  [16042] = {.lex_state = 98},
  [16043] = {.lex_state = 0},
  [16044] = {.lex_state = 98},
  [16045] = {.lex_state = 18},
  [16046] = {.lex_state = 0},
  [16047] = {.lex_state = 18},
  [16048] = {.lex_state = 98},
  [16049] = {.lex_state = 98},
  [16050] = {.lex_state = 98},
  [16051] = {.lex_state = 18},
  [16052] = {.lex_state = 98},
  [16053] = {.lex_state = 98},
  [16054] = {.lex_state = 98},
  [16055] = {.lex_state = 0},
  [16056] = {.lex_state = 98},
  [16057] = {.lex_state = 98},
  [16058] = {.lex_state = 98},
  [16059] = {.lex_state = 0},
  [16060] = {.lex_state = 98},
  [16061] = {.lex_state = 0},
  [16062] = {.lex_state = 0},
  [16063] = {.lex_state = 0},
  [16064] = {.lex_state = 0},
  [16065] = {.lex_state = 0},
  [16066] = {.lex_state = 98},
  [16067] = {.lex_state = 0, .external_lex_state = 2},
  [16068] = {.lex_state = 98},
  [16069] = {.lex_state = 0},
  [16070] = {.lex_state = 0},
  [16071] = {.lex_state = 0, .external_lex_state = 2},
  [16072] = {.lex_state = 0},
  [16073] = {.lex_state = 98},
  [16074] = {.lex_state = 0, .external_lex_state = 2},
  [16075] = {.lex_state = 0},
  [16076] = {.lex_state = 0},
  [16077] = {.lex_state = 98},
  [16078] = {.lex_state = 0},
  [16079] = {.lex_state = 18},
  [16080] = {.lex_state = 0},
  [16081] = {.lex_state = 18},
  [16082] = {.lex_state = 0, .external_lex_state = 2},
  [16083] = {.lex_state = 98},
  [16084] = {.lex_state = 0},
  [16085] = {.lex_state = 0},
  [16086] = {.lex_state = 0},
  [16087] = {.lex_state = 98},
  [16088] = {.lex_state = 18},
  [16089] = {.lex_state = 0},
  [16090] = {.lex_state = 18},
  [16091] = {.lex_state = 0},
  [16092] = {.lex_state = 18},
  [16093] = {.lex_state = 98},
  [16094] = {.lex_state = 0},
  [16095] = {.lex_state = 98},
  [16096] = {.lex_state = 0},
  [16097] = {.lex_state = 96},
  [16098] = {.lex_state = 0},
  [16099] = {.lex_state = 98},
  [16100] = {.lex_state = 0},
  [16101] = {.lex_state = 18},
  [16102] = {.lex_state = 0},
  [16103] = {.lex_state = 0},
  [16104] = {.lex_state = 0},
  [16105] = {.lex_state = 18},
  [16106] = {.lex_state = 0},
  [16107] = {.lex_state = 0},
  [16108] = {.lex_state = 98},
  [16109] = {.lex_state = 98},
  [16110] = {.lex_state = 0},
  [16111] = {.lex_state = 98},
  [16112] = {.lex_state = 98},
  [16113] = {.lex_state = 0},
  [16114] = {.lex_state = 0},
  [16115] = {.lex_state = 98},
  [16116] = {.lex_state = 0, .external_lex_state = 2},
  [16117] = {.lex_state = 18},
  [16118] = {.lex_state = 0, .external_lex_state = 2},
  [16119] = {.lex_state = 0},
  [16120] = {.lex_state = 98},
  [16121] = {.lex_state = 98},
  [16122] = {.lex_state = 98},
  [16123] = {.lex_state = 98},
  [16124] = {.lex_state = 0},
  [16125] = {.lex_state = 0},
  [16126] = {.lex_state = 0},
  [16127] = {.lex_state = 98},
  [16128] = {.lex_state = 98},
  [16129] = {.lex_state = 19},
  [16130] = {.lex_state = 0},
  [16131] = {.lex_state = 0, .external_lex_state = 2},
  [16132] = {.lex_state = 0},
  [16133] = {.lex_state = 0, .external_lex_state = 2},
  [16134] = {.lex_state = 0, .external_lex_state = 2},
  [16135] = {.lex_state = 0},
  [16136] = {.lex_state = 0},
  [16137] = {.lex_state = 18},
  [16138] = {.lex_state = 18},
  [16139] = {.lex_state = 0},
  [16140] = {.lex_state = 0},
  [16141] = {.lex_state = 0},
  [16142] = {.lex_state = 0, .external_lex_state = 2},
  [16143] = {.lex_state = 98},
  [16144] = {.lex_state = 98},
  [16145] = {.lex_state = 98},
  [16146] = {.lex_state = 98},
  [16147] = {.lex_state = 0, .external_lex_state = 2},
  [16148] = {.lex_state = 0},
  [16149] = {.lex_state = 98},
  [16150] = {.lex_state = 98},
  [16151] = {.lex_state = 0, .external_lex_state = 2},
  [16152] = {.lex_state = 98},
  [16153] = {.lex_state = 13},
  [16154] = {.lex_state = 98},
  [16155] = {.lex_state = 0},
  [16156] = {.lex_state = 98},
  [16157] = {.lex_state = 98},
  [16158] = {.lex_state = 98},
  [16159] = {.lex_state = 98},
  [16160] = {.lex_state = 0},
  [16161] = {.lex_state = 0},
  [16162] = {.lex_state = 0, .external_lex_state = 2},
  [16163] = {.lex_state = 0},
  [16164] = {.lex_state = 0},
  [16165] = {.lex_state = 0},
  [16166] = {.lex_state = 0},
  [16167] = {.lex_state = 98},
  [16168] = {.lex_state = 0},
  [16169] = {.lex_state = 18},
  [16170] = {.lex_state = 18},
  [16171] = {.lex_state = 0, .external_lex_state = 2},
  [16172] = {.lex_state = 0},
  [16173] = {.lex_state = 0},
  [16174] = {.lex_state = 98},
  [16175] = {.lex_state = 98},
  [16176] = {.lex_state = 98},
  [16177] = {.lex_state = 98},
  [16178] = {.lex_state = 0, .external_lex_state = 2},
  [16179] = {.lex_state = 0},
  [16180] = {.lex_state = 0},
  [16181] = {.lex_state = 0, .external_lex_state = 2},
  [16182] = {.lex_state = 0},
  [16183] = {.lex_state = 0, .external_lex_state = 2},
  [16184] = {.lex_state = 0},
  [16185] = {.lex_state = 0},
  [16186] = {.lex_state = 98},
  [16187] = {.lex_state = 98},
  [16188] = {.lex_state = 0, .external_lex_state = 2},
  [16189] = {.lex_state = 0},
  [16190] = {.lex_state = 0, .external_lex_state = 2},
  [16191] = {.lex_state = 0},
  [16192] = {.lex_state = 0},
  [16193] = {.lex_state = 0, .external_lex_state = 2},
  [16194] = {.lex_state = 0},
  [16195] = {.lex_state = 96},
  [16196] = {.lex_state = 0, .external_lex_state = 2},
  [16197] = {.lex_state = 98},
  [16198] = {.lex_state = 0},
  [16199] = {.lex_state = 0, .external_lex_state = 2},
  [16200] = {.lex_state = 18},
  [16201] = {.lex_state = 98},
  [16202] = {.lex_state = 0},
  [16203] = {.lex_state = 98},
  [16204] = {.lex_state = 0, .external_lex_state = 2},
  [16205] = {.lex_state = 0},
  [16206] = {.lex_state = 0},
  [16207] = {.lex_state = 0},
  [16208] = {.lex_state = 0},
  [16209] = {.lex_state = 18},
  [16210] = {.lex_state = 0},
  [16211] = {.lex_state = 0},
  [16212] = {.lex_state = 98},
  [16213] = {.lex_state = 0, .external_lex_state = 2},
  [16214] = {.lex_state = 18},
  [16215] = {.lex_state = 98},
  [16216] = {.lex_state = 0, .external_lex_state = 2},
  [16217] = {.lex_state = 0},
  [16218] = {.lex_state = 0, .external_lex_state = 2},
  [16219] = {.lex_state = 0, .external_lex_state = 2},
  [16220] = {.lex_state = 0, .external_lex_state = 2},
  [16221] = {.lex_state = 98},
  [16222] = {.lex_state = 0},
  [16223] = {.lex_state = 0},
  [16224] = {.lex_state = 98},
  [16225] = {.lex_state = 98},
  [16226] = {.lex_state = 0},
  [16227] = {.lex_state = 98},
  [16228] = {.lex_state = 0, .external_lex_state = 2},
  [16229] = {.lex_state = 0},
  [16230] = {.lex_state = 98},
  [16231] = {.lex_state = 0},
  [16232] = {.lex_state = 0},
  [16233] = {.lex_state = 98},
  [16234] = {.lex_state = 0},
  [16235] = {.lex_state = 98},
  [16236] = {.lex_state = 0, .external_lex_state = 2},
  [16237] = {.lex_state = 0},
  [16238] = {.lex_state = 0},
  [16239] = {.lex_state = 0},
  [16240] = {.lex_state = 98},
  [16241] = {.lex_state = 0, .external_lex_state = 2},
  [16242] = {.lex_state = 18},
  [16243] = {.lex_state = 0, .external_lex_state = 2},
  [16244] = {.lex_state = 0},
  [16245] = {.lex_state = 0},
  [16246] = {.lex_state = 98},
  [16247] = {.lex_state = 0},
  [16248] = {.lex_state = 18},
  [16249] = {.lex_state = 98},
  [16250] = {.lex_state = 0},
  [16251] = {.lex_state = 0},
  [16252] = {.lex_state = 98},
  [16253] = {.lex_state = 0},
  [16254] = {.lex_state = 0},
  [16255] = {.lex_state = 98},
  [16256] = {.lex_state = 0},
  [16257] = {.lex_state = 98},
  [16258] = {.lex_state = 0, .external_lex_state = 2},
  [16259] = {.lex_state = 98},
  [16260] = {.lex_state = 96},
  [16261] = {.lex_state = 0, .external_lex_state = 2},
  [16262] = {.lex_state = 0},
  [16263] = {.lex_state = 98},
  [16264] = {.lex_state = 0, .external_lex_state = 2},
  [16265] = {.lex_state = 98},
  [16266] = {.lex_state = 0, .external_lex_state = 2},
  [16267] = {.lex_state = 18},
  [16268] = {.lex_state = 98},
  [16269] = {.lex_state = 0, .external_lex_state = 2},
  [16270] = {.lex_state = 18},
  [16271] = {.lex_state = 18},
  [16272] = {.lex_state = 0},
  [16273] = {.lex_state = 0, .external_lex_state = 2},
  [16274] = {.lex_state = 0},
  [16275] = {.lex_state = 0},
  [16276] = {.lex_state = 0},
  [16277] = {.lex_state = 98},
  [16278] = {.lex_state = 98},
  [16279] = {.lex_state = 0},
  [16280] = {.lex_state = 0},
  [16281] = {.lex_state = 0, .external_lex_state = 2},
  [16282] = {.lex_state = 0},
  [16283] = {.lex_state = 98},
  [16284] = {.lex_state = 98},
  [16285] = {.lex_state = 0},
  [16286] = {.lex_state = 0, .external_lex_state = 2},
  [16287] = {.lex_state = 0, .external_lex_state = 2},
  [16288] = {.lex_state = 0},
  [16289] = {.lex_state = 98},
  [16290] = {.lex_state = 0},
  [16291] = {.lex_state = 0, .external_lex_state = 2},
  [16292] = {.lex_state = 98},
  [16293] = {.lex_state = 98},
  [16294] = {.lex_state = 0},
  [16295] = {.lex_state = 0},
  [16296] = {.lex_state = 0, .external_lex_state = 2},
  [16297] = {.lex_state = 0},
  [16298] = {.lex_state = 0},
  [16299] = {.lex_state = 0, .external_lex_state = 2},
  [16300] = {.lex_state = 0},
  [16301] = {.lex_state = 0},
  [16302] = {.lex_state = 98},
  [16303] = {.lex_state = 0},
  [16304] = {.lex_state = 0, .external_lex_state = 2},
  [16305] = {.lex_state = 0},
  [16306] = {.lex_state = 98},
  [16307] = {.lex_state = 0},
  [16308] = {.lex_state = 0, .external_lex_state = 2},
  [16309] = {.lex_state = 0, .external_lex_state = 2},
  [16310] = {.lex_state = 0},
  [16311] = {.lex_state = 0},
  [16312] = {.lex_state = 98},
  [16313] = {.lex_state = 18},
  [16314] = {.lex_state = 0, .external_lex_state = 2},
  [16315] = {.lex_state = 0},
  [16316] = {.lex_state = 0},
  [16317] = {.lex_state = 19},
  [16318] = {.lex_state = 98},
  [16319] = {.lex_state = 0, .external_lex_state = 2},
  [16320] = {.lex_state = 0},
  [16321] = {.lex_state = 98},
  [16322] = {.lex_state = 0, .external_lex_state = 2},
  [16323] = {.lex_state = 0},
  [16324] = {.lex_state = 98},
  [16325] = {.lex_state = 0},
  [16326] = {.lex_state = 0},
  [16327] = {.lex_state = 0, .external_lex_state = 2},
  [16328] = {.lex_state = 0},
  [16329] = {.lex_state = 98},
  [16330] = {.lex_state = 98},
  [16331] = {.lex_state = 0},
  [16332] = {.lex_state = 0, .external_lex_state = 2},
  [16333] = {.lex_state = 0},
  [16334] = {.lex_state = 98},
  [16335] = {.lex_state = 0, .external_lex_state = 2},
  [16336] = {.lex_state = 0},
  [16337] = {.lex_state = 0, .external_lex_state = 2},
  [16338] = {.lex_state = 0},
  [16339] = {.lex_state = 0, .external_lex_state = 2},
  [16340] = {.lex_state = 0},
  [16341] = {.lex_state = 98},
  [16342] = {.lex_state = 98},
  [16343] = {.lex_state = 98},
  [16344] = {.lex_state = 0, .external_lex_state = 2},
  [16345] = {.lex_state = 98},
  [16346] = {.lex_state = 0, .external_lex_state = 2},
  [16347] = {.lex_state = 98},
  [16348] = {.lex_state = 98},
  [16349] = {.lex_state = 0, .external_lex_state = 2},
  [16350] = {.lex_state = 19},
  [16351] = {.lex_state = 0},
  [16352] = {.lex_state = 0},
  [16353] = {.lex_state = 0},
  [16354] = {.lex_state = 0},
  [16355] = {.lex_state = 0},
  [16356] = {.lex_state = 0},
  [16357] = {.lex_state = 0},
  [16358] = {.lex_state = 0},
  [16359] = {.lex_state = 0},
  [16360] = {.lex_state = 0},
  [16361] = {.lex_state = 0},
  [16362] = {.lex_state = 0},
  [16363] = {.lex_state = 0},
  [16364] = {.lex_state = 0},
  [16365] = {.lex_state = 98},
  [16366] = {.lex_state = 98},
  [16367] = {.lex_state = 0},
  [16368] = {.lex_state = 0},
  [16369] = {.lex_state = 98},
  [16370] = {.lex_state = 98},
  [16371] = {.lex_state = 0},
  [16372] = {.lex_state = 98},
  [16373] = {.lex_state = 98},
  [16374] = {.lex_state = 0},
  [16375] = {.lex_state = 0},
  [16376] = {.lex_state = 98},
  [16377] = {.lex_state = 98},
  [16378] = {.lex_state = 0},
  [16379] = {.lex_state = 98},
  [16380] = {.lex_state = 98},
  [16381] = {.lex_state = 0},
  [16382] = {.lex_state = 98},
  [16383] = {.lex_state = 98},
  [16384] = {.lex_state = 0},
  [16385] = {.lex_state = 98},
  [16386] = {.lex_state = 98},
  [16387] = {.lex_state = 0},
  [16388] = {.lex_state = 98},
  [16389] = {.lex_state = 98},
  [16390] = {.lex_state = 0},
  [16391] = {.lex_state = 98},
  [16392] = {.lex_state = 98},
  [16393] = {.lex_state = 0},
  [16394] = {.lex_state = 0},
  [16395] = {.lex_state = 0},
  [16396] = {.lex_state = 98},
  [16397] = {.lex_state = 98},
  [16398] = {.lex_state = 0},
  [16399] = {.lex_state = 0},
  [16400] = {.lex_state = 0},
  [16401] = {.lex_state = 98},
  [16402] = {.lex_state = 98},
  [16403] = {.lex_state = 0},
  [16404] = {.lex_state = 0},
  [16405] = {.lex_state = 98},
  [16406] = {.lex_state = 0},
  [16407] = {.lex_state = 0},
  [16408] = {.lex_state = 0},
  [16409] = {.lex_state = 0},
  [16410] = {.lex_state = 0},
  [16411] = {.lex_state = 0},
  [16412] = {.lex_state = 98},
  [16413] = {.lex_state = 0},
  [16414] = {.lex_state = 0},
  [16415] = {.lex_state = 0},
  [16416] = {.lex_state = 0},
  [16417] = {.lex_state = 0},
  [16418] = {.lex_state = 98},
  [16419] = {.lex_state = 0},
  [16420] = {.lex_state = 98},
  [16421] = {.lex_state = 98},
  [16422] = {.lex_state = 0},
  [16423] = {.lex_state = 0},
  [16424] = {.lex_state = 0},
  [16425] = {.lex_state = 0},
  [16426] = {.lex_state = 0},
  [16427] = {.lex_state = 0},
  [16428] = {.lex_state = 0},
  [16429] = {.lex_state = 0},
  [16430] = {.lex_state = 0},
  [16431] = {.lex_state = 0},
  [16432] = {.lex_state = 0},
  [16433] = {.lex_state = 0},
  [16434] = {.lex_state = 0},
  [16435] = {.lex_state = 0},
  [16436] = {.lex_state = 0},
  [16437] = {.lex_state = 0},
  [16438] = {.lex_state = 0},
  [16439] = {.lex_state = 98},
  [16440] = {.lex_state = 0},
  [16441] = {.lex_state = 99},
  [16442] = {.lex_state = 98},
  [16443] = {.lex_state = 0},
  [16444] = {.lex_state = 18},
  [16445] = {.lex_state = 0},
  [16446] = {.lex_state = 0},
  [16447] = {.lex_state = 98},
  [16448] = {.lex_state = 0},
  [16449] = {.lex_state = 98},
  [16450] = {.lex_state = 0},
  [16451] = {.lex_state = 98},
  [16452] = {.lex_state = 98},
  [16453] = {.lex_state = 0},
  [16454] = {.lex_state = 0},
  [16455] = {.lex_state = 98},
  [16456] = {.lex_state = 0},
  [16457] = {.lex_state = 0},
  [16458] = {.lex_state = 98},
  [16459] = {.lex_state = 0},
  [16460] = {.lex_state = 0},
  [16461] = {.lex_state = 0},
  [16462] = {.lex_state = 0},
  [16463] = {.lex_state = 0},
  [16464] = {.lex_state = 98},
  [16465] = {.lex_state = 0},
  [16466] = {.lex_state = 0},
  [16467] = {.lex_state = 0},
  [16468] = {.lex_state = 0},
  [16469] = {.lex_state = 0},
  [16470] = {.lex_state = 98},
  [16471] = {.lex_state = 0},
  [16472] = {.lex_state = 98},
  [16473] = {.lex_state = 0},
  [16474] = {.lex_state = 98},
  [16475] = {.lex_state = 0},
  [16476] = {.lex_state = 0},
  [16477] = {.lex_state = 0},
  [16478] = {.lex_state = 0},
  [16479] = {.lex_state = 0},
  [16480] = {.lex_state = 0},
  [16481] = {.lex_state = 0},
  [16482] = {.lex_state = 0},
  [16483] = {.lex_state = 0},
  [16484] = {.lex_state = 0},
  [16485] = {.lex_state = 98},
  [16486] = {.lex_state = 0},
  [16487] = {.lex_state = 0},
  [16488] = {.lex_state = 0},
  [16489] = {.lex_state = 0},
  [16490] = {.lex_state = 0},
  [16491] = {.lex_state = 98},
  [16492] = {.lex_state = 0},
  [16493] = {.lex_state = 0},
  [16494] = {.lex_state = 0},
  [16495] = {.lex_state = 0},
  [16496] = {.lex_state = 98},
  [16497] = {.lex_state = 0},
  [16498] = {.lex_state = 0},
  [16499] = {.lex_state = 0},
  [16500] = {.lex_state = 0},
  [16501] = {.lex_state = 0},
  [16502] = {.lex_state = 0},
  [16503] = {.lex_state = 98},
  [16504] = {.lex_state = 0},
  [16505] = {.lex_state = 98},
  [16506] = {.lex_state = 0},
  [16507] = {.lex_state = 0},
  [16508] = {.lex_state = 0},
  [16509] = {.lex_state = 0},
  [16510] = {.lex_state = 0},
  [16511] = {.lex_state = 98},
  [16512] = {.lex_state = 0},
  [16513] = {.lex_state = 0},
  [16514] = {.lex_state = 0},
  [16515] = {.lex_state = 0},
  [16516] = {.lex_state = 98},
  [16517] = {.lex_state = 98},
  [16518] = {.lex_state = 0},
  [16519] = {.lex_state = 0},
  [16520] = {.lex_state = 0},
  [16521] = {.lex_state = 0},
  [16522] = {.lex_state = 0},
  [16523] = {.lex_state = 0},
  [16524] = {.lex_state = 0},
  [16525] = {.lex_state = 0},
  [16526] = {.lex_state = 0},
  [16527] = {.lex_state = 0},
  [16528] = {.lex_state = 0},
  [16529] = {.lex_state = 98},
  [16530] = {.lex_state = 98},
  [16531] = {.lex_state = 0},
  [16532] = {.lex_state = 0},
  [16533] = {.lex_state = 91},
  [16534] = {.lex_state = 0},
  [16535] = {.lex_state = 98},
  [16536] = {.lex_state = 0},
  [16537] = {.lex_state = 0},
  [16538] = {.lex_state = 98},
  [16539] = {.lex_state = 0},
  [16540] = {.lex_state = 0},
  [16541] = {.lex_state = 0},
  [16542] = {.lex_state = 0},
  [16543] = {.lex_state = 0},
  [16544] = {.lex_state = 0},
  [16545] = {.lex_state = 98},
  [16546] = {.lex_state = 0},
  [16547] = {.lex_state = 0},
  [16548] = {.lex_state = 0},
  [16549] = {.lex_state = 0},
  [16550] = {.lex_state = 0},
  [16551] = {.lex_state = 0},
  [16552] = {.lex_state = 0},
  [16553] = {.lex_state = 0},
  [16554] = {.lex_state = 18},
  [16555] = {.lex_state = 0},
  [16556] = {.lex_state = 0},
  [16557] = {.lex_state = 0},
  [16558] = {.lex_state = 0},
  [16559] = {.lex_state = 0},
  [16560] = {.lex_state = 0},
  [16561] = {.lex_state = 0},
  [16562] = {.lex_state = 98},
  [16563] = {.lex_state = 98},
  [16564] = {.lex_state = 0},
  [16565] = {.lex_state = 0},
  [16566] = {.lex_state = 0},
  [16567] = {.lex_state = 0},
  [16568] = {.lex_state = 0},
  [16569] = {.lex_state = 0},
  [16570] = {.lex_state = 0},
  [16571] = {.lex_state = 0},
  [16572] = {.lex_state = 0},
  [16573] = {.lex_state = 98},
  [16574] = {.lex_state = 0},
  [16575] = {.lex_state = 0},
  [16576] = {.lex_state = 0},
  [16577] = {.lex_state = 0},
  [16578] = {.lex_state = 0},
  [16579] = {.lex_state = 0},
  [16580] = {.lex_state = 0},
  [16581] = {.lex_state = 0},
  [16582] = {.lex_state = 0},
  [16583] = {.lex_state = 98},
  [16584] = {.lex_state = 0},
  [16585] = {.lex_state = 0},
  [16586] = {.lex_state = 0},
  [16587] = {.lex_state = 0},
  [16588] = {.lex_state = 0},
  [16589] = {.lex_state = 98},
  [16590] = {.lex_state = 0},
  [16591] = {.lex_state = 0},
  [16592] = {.lex_state = 0},
  [16593] = {.lex_state = 0},
  [16594] = {.lex_state = 0},
  [16595] = {.lex_state = 0},
  [16596] = {.lex_state = 0},
  [16597] = {.lex_state = 0},
  [16598] = {.lex_state = 0},
  [16599] = {.lex_state = 0},
  [16600] = {.lex_state = 0},
  [16601] = {.lex_state = 0},
  [16602] = {.lex_state = 0},
  [16603] = {.lex_state = 0},
  [16604] = {.lex_state = 0},
  [16605] = {.lex_state = 0},
  [16606] = {.lex_state = 0},
  [16607] = {.lex_state = 0},
  [16608] = {.lex_state = 0, .external_lex_state = 4},
  [16609] = {.lex_state = 0, .external_lex_state = 4},
  [16610] = {.lex_state = 98},
  [16611] = {.lex_state = 0},
  [16612] = {.lex_state = 0},
  [16613] = {.lex_state = 0},
  [16614] = {.lex_state = 0},
  [16615] = {.lex_state = 0},
  [16616] = {.lex_state = 0},
  [16617] = {.lex_state = 0},
  [16618] = {.lex_state = 0},
  [16619] = {.lex_state = 0},
  [16620] = {.lex_state = 98},
  [16621] = {.lex_state = 0},
  [16622] = {.lex_state = 0},
  [16623] = {.lex_state = 0},
  [16624] = {.lex_state = 0},
  [16625] = {.lex_state = 0},
  [16626] = {.lex_state = 98},
  [16627] = {.lex_state = 0},
  [16628] = {.lex_state = 0},
  [16629] = {.lex_state = 0},
  [16630] = {.lex_state = 0},
  [16631] = {.lex_state = 98},
  [16632] = {.lex_state = 0},
  [16633] = {.lex_state = 0},
  [16634] = {.lex_state = 0},
  [16635] = {.lex_state = 0},
  [16636] = {.lex_state = 0},
  [16637] = {.lex_state = 0},
  [16638] = {.lex_state = 0},
  [16639] = {.lex_state = 0},
  [16640] = {.lex_state = 0},
  [16641] = {.lex_state = 0},
  [16642] = {.lex_state = 0},
  [16643] = {.lex_state = 0},
  [16644] = {.lex_state = 0},
  [16645] = {.lex_state = 0},
  [16646] = {.lex_state = 98},
  [16647] = {.lex_state = 0},
  [16648] = {.lex_state = 0},
  [16649] = {.lex_state = 0},
  [16650] = {.lex_state = 0},
  [16651] = {.lex_state = 0},
  [16652] = {.lex_state = 0},
  [16653] = {.lex_state = 0},
  [16654] = {.lex_state = 0},
  [16655] = {.lex_state = 0},
  [16656] = {.lex_state = 0},
  [16657] = {.lex_state = 0},
  [16658] = {.lex_state = 0},
  [16659] = {.lex_state = 0},
  [16660] = {.lex_state = 0},
  [16661] = {.lex_state = 0},
  [16662] = {.lex_state = 0},
  [16663] = {.lex_state = 98},
  [16664] = {.lex_state = 0},
  [16665] = {.lex_state = 0},
  [16666] = {.lex_state = 0},
  [16667] = {.lex_state = 0},
  [16668] = {.lex_state = 0},
  [16669] = {.lex_state = 0},
  [16670] = {.lex_state = 0},
  [16671] = {.lex_state = 0},
  [16672] = {.lex_state = 0},
  [16673] = {.lex_state = 0},
  [16674] = {.lex_state = 0},
  [16675] = {.lex_state = 0},
  [16676] = {.lex_state = 0},
  [16677] = {.lex_state = 0},
  [16678] = {.lex_state = 0},
  [16679] = {.lex_state = 0},
  [16680] = {.lex_state = 0},
  [16681] = {.lex_state = 0},
  [16682] = {.lex_state = 0},
  [16683] = {.lex_state = 0},
  [16684] = {.lex_state = 0},
  [16685] = {.lex_state = 0},
  [16686] = {.lex_state = 0},
  [16687] = {.lex_state = 0},
  [16688] = {.lex_state = 0},
  [16689] = {.lex_state = 0},
  [16690] = {.lex_state = 98},
  [16691] = {.lex_state = 0, .external_lex_state = 4},
  [16692] = {.lex_state = 0},
  [16693] = {.lex_state = 0},
  [16694] = {.lex_state = 0},
  [16695] = {.lex_state = 0},
  [16696] = {.lex_state = 0},
  [16697] = {.lex_state = 0},
  [16698] = {.lex_state = 0},
  [16699] = {.lex_state = 0},
  [16700] = {.lex_state = 98},
  [16701] = {.lex_state = 0},
  [16702] = {.lex_state = 0},
  [16703] = {.lex_state = 0},
  [16704] = {.lex_state = 0},
  [16705] = {.lex_state = 0},
  [16706] = {.lex_state = 98},
  [16707] = {.lex_state = 98},
  [16708] = {.lex_state = 0},
  [16709] = {.lex_state = 0},
  [16710] = {.lex_state = 98},
  [16711] = {.lex_state = 98},
  [16712] = {.lex_state = 0},
  [16713] = {.lex_state = 0},
  [16714] = {.lex_state = 0},
  [16715] = {.lex_state = 98},
  [16716] = {.lex_state = 98},
  [16717] = {.lex_state = 0},
  [16718] = {.lex_state = 0},
  [16719] = {.lex_state = 0},
  [16720] = {.lex_state = 0},
  [16721] = {.lex_state = 0},
  [16722] = {.lex_state = 0},
  [16723] = {.lex_state = 0, .external_lex_state = 4},
  [16724] = {.lex_state = 0},
  [16725] = {.lex_state = 0},
  [16726] = {.lex_state = 0},
  [16727] = {.lex_state = 0},
  [16728] = {.lex_state = 0},
  [16729] = {.lex_state = 0},
  [16730] = {.lex_state = 0},
  [16731] = {.lex_state = 0},
  [16732] = {.lex_state = 0},
  [16733] = {.lex_state = 0},
  [16734] = {.lex_state = 0},
  [16735] = {.lex_state = 0},
  [16736] = {.lex_state = 0},
  [16737] = {.lex_state = 0},
  [16738] = {.lex_state = 0},
  [16739] = {.lex_state = 0},
  [16740] = {.lex_state = 0},
  [16741] = {.lex_state = 0},
  [16742] = {.lex_state = 0},
  [16743] = {.lex_state = 0},
  [16744] = {.lex_state = 0},
  [16745] = {.lex_state = 0},
  [16746] = {.lex_state = 0},
  [16747] = {.lex_state = 0},
  [16748] = {.lex_state = 0},
  [16749] = {.lex_state = 0},
  [16750] = {.lex_state = 0},
  [16751] = {.lex_state = 0},
  [16752] = {.lex_state = 0},
  [16753] = {.lex_state = 0},
  [16754] = {.lex_state = 0},
  [16755] = {.lex_state = 0},
  [16756] = {.lex_state = 0},
  [16757] = {.lex_state = 0},
  [16758] = {.lex_state = 0},
  [16759] = {.lex_state = 0},
  [16760] = {.lex_state = 0},
  [16761] = {.lex_state = 0},
  [16762] = {.lex_state = 0},
  [16763] = {.lex_state = 0},
  [16764] = {.lex_state = 0},
  [16765] = {.lex_state = 0},
  [16766] = {.lex_state = 0},
  [16767] = {.lex_state = 0},
  [16768] = {.lex_state = 0},
  [16769] = {.lex_state = 0},
  [16770] = {.lex_state = 0},
  [16771] = {.lex_state = 0},
  [16772] = {.lex_state = 0},
  [16773] = {.lex_state = 0},
  [16774] = {.lex_state = 0},
  [16775] = {.lex_state = 0},
  [16776] = {.lex_state = 0},
  [16777] = {.lex_state = 0},
  [16778] = {.lex_state = 0},
  [16779] = {.lex_state = 0},
  [16780] = {.lex_state = 0},
  [16781] = {.lex_state = 0},
  [16782] = {.lex_state = 0},
  [16783] = {.lex_state = 0},
  [16784] = {.lex_state = 0},
  [16785] = {.lex_state = 0},
  [16786] = {.lex_state = 0},
  [16787] = {.lex_state = 0},
  [16788] = {.lex_state = 0},
  [16789] = {.lex_state = 0},
  [16790] = {.lex_state = 0},
  [16791] = {.lex_state = 0},
  [16792] = {.lex_state = 0},
  [16793] = {.lex_state = 0},
  [16794] = {.lex_state = 0},
  [16795] = {.lex_state = 0},
  [16796] = {.lex_state = 0},
  [16797] = {.lex_state = 0},
  [16798] = {.lex_state = 0},
  [16799] = {.lex_state = 0},
  [16800] = {.lex_state = 0},
  [16801] = {.lex_state = 0},
  [16802] = {.lex_state = 0},
  [16803] = {.lex_state = 0},
  [16804] = {.lex_state = 0},
  [16805] = {.lex_state = 0},
  [16806] = {.lex_state = 0},
  [16807] = {.lex_state = 0},
  [16808] = {.lex_state = 0},
  [16809] = {.lex_state = 0},
  [16810] = {.lex_state = 0},
  [16811] = {.lex_state = 0},
  [16812] = {.lex_state = 0},
  [16813] = {.lex_state = 0},
  [16814] = {.lex_state = 0, .external_lex_state = 4},
  [16815] = {.lex_state = 0},
  [16816] = {.lex_state = 98},
  [16817] = {.lex_state = 0},
  [16818] = {.lex_state = 98},
  [16819] = {.lex_state = 98},
  [16820] = {.lex_state = 0},
  [16821] = {.lex_state = 0},
  [16822] = {.lex_state = 0},
  [16823] = {.lex_state = 0},
  [16824] = {.lex_state = 0},
  [16825] = {.lex_state = 20},
  [16826] = {.lex_state = 0},
  [16827] = {.lex_state = 0},
  [16828] = {.lex_state = 98},
  [16829] = {.lex_state = 98},
  [16830] = {.lex_state = 98},
  [16831] = {.lex_state = 0},
  [16832] = {.lex_state = 98},
  [16833] = {.lex_state = 0},
  [16834] = {.lex_state = 0},
  [16835] = {.lex_state = 0},
  [16836] = {.lex_state = 0},
  [16837] = {.lex_state = 0},
  [16838] = {.lex_state = 0},
  [16839] = {.lex_state = 0},
  [16840] = {.lex_state = 0},
  [16841] = {.lex_state = 0},
  [16842] = {.lex_state = 0},
  [16843] = {.lex_state = 0},
  [16844] = {.lex_state = 0},
  [16845] = {.lex_state = 0},
  [16846] = {.lex_state = 0},
  [16847] = {.lex_state = 0},
  [16848] = {.lex_state = 0},
  [16849] = {.lex_state = 0},
  [16850] = {.lex_state = 0},
  [16851] = {.lex_state = 0},
  [16852] = {.lex_state = 0},
  [16853] = {.lex_state = 0},
  [16854] = {.lex_state = 0},
  [16855] = {.lex_state = 0},
  [16856] = {.lex_state = 0},
  [16857] = {.lex_state = 0},
  [16858] = {.lex_state = 0},
  [16859] = {.lex_state = 0},
  [16860] = {.lex_state = 0},
  [16861] = {.lex_state = 0},
  [16862] = {.lex_state = 0},
  [16863] = {.lex_state = 0},
  [16864] = {.lex_state = 0},
  [16865] = {.lex_state = 0},
  [16866] = {.lex_state = 98},
  [16867] = {.lex_state = 0},
  [16868] = {.lex_state = 0},
  [16869] = {.lex_state = 0},
  [16870] = {.lex_state = 98},
  [16871] = {.lex_state = 0},
  [16872] = {.lex_state = 0},
  [16873] = {.lex_state = 0},
  [16874] = {.lex_state = 0},
  [16875] = {.lex_state = 0},
  [16876] = {.lex_state = 0},
  [16877] = {.lex_state = 0},
  [16878] = {.lex_state = 0},
  [16879] = {.lex_state = 0},
  [16880] = {.lex_state = 0},
  [16881] = {.lex_state = 98},
  [16882] = {.lex_state = 0},
  [16883] = {.lex_state = 0},
  [16884] = {.lex_state = 0},
  [16885] = {.lex_state = 98},
  [16886] = {.lex_state = 0},
  [16887] = {.lex_state = 0},
  [16888] = {.lex_state = 0},
  [16889] = {.lex_state = 0},
  [16890] = {.lex_state = 0},
  [16891] = {.lex_state = 0},
  [16892] = {.lex_state = 0},
  [16893] = {.lex_state = 0},
  [16894] = {.lex_state = 0},
  [16895] = {.lex_state = 0},
  [16896] = {.lex_state = 0},
  [16897] = {.lex_state = 0},
  [16898] = {.lex_state = 0},
  [16899] = {.lex_state = 0},
  [16900] = {.lex_state = 0},
  [16901] = {.lex_state = 0},
  [16902] = {.lex_state = 98},
  [16903] = {.lex_state = 0},
  [16904] = {.lex_state = 0},
  [16905] = {.lex_state = 0},
  [16906] = {.lex_state = 0},
  [16907] = {.lex_state = 0},
  [16908] = {.lex_state = 0},
  [16909] = {.lex_state = 0},
  [16910] = {.lex_state = 0},
  [16911] = {.lex_state = 0},
  [16912] = {.lex_state = 0},
  [16913] = {.lex_state = 0},
  [16914] = {.lex_state = 0},
  [16915] = {.lex_state = 0},
  [16916] = {.lex_state = 0},
  [16917] = {.lex_state = 0},
  [16918] = {.lex_state = 0},
  [16919] = {.lex_state = 0},
  [16920] = {.lex_state = 0},
  [16921] = {.lex_state = 98},
  [16922] = {.lex_state = 98},
  [16923] = {.lex_state = 0},
  [16924] = {.lex_state = 98},
  [16925] = {.lex_state = 98},
  [16926] = {.lex_state = 0},
  [16927] = {.lex_state = 0},
  [16928] = {.lex_state = 0},
  [16929] = {.lex_state = 98},
  [16930] = {.lex_state = 0},
  [16931] = {.lex_state = 0},
  [16932] = {.lex_state = 0},
  [16933] = {.lex_state = 0},
  [16934] = {.lex_state = 0},
  [16935] = {.lex_state = 0},
  [16936] = {.lex_state = 0},
  [16937] = {.lex_state = 0},
  [16938] = {.lex_state = 0},
  [16939] = {.lex_state = 0},
  [16940] = {.lex_state = 0},
  [16941] = {.lex_state = 0},
  [16942] = {.lex_state = 98},
  [16943] = {.lex_state = 0},
  [16944] = {.lex_state = 0},
  [16945] = {.lex_state = 0},
  [16946] = {.lex_state = 0},
  [16947] = {.lex_state = 0},
  [16948] = {.lex_state = 0},
  [16949] = {.lex_state = 0},
  [16950] = {.lex_state = 0},
  [16951] = {.lex_state = 0},
  [16952] = {.lex_state = 0},
  [16953] = {.lex_state = 0},
  [16954] = {.lex_state = 0},
  [16955] = {.lex_state = 0},
  [16956] = {.lex_state = 0},
  [16957] = {.lex_state = 0},
  [16958] = {.lex_state = 0},
  [16959] = {.lex_state = 0},
  [16960] = {.lex_state = 0},
  [16961] = {.lex_state = 0},
  [16962] = {.lex_state = 0},
  [16963] = {.lex_state = 0},
  [16964] = {.lex_state = 0},
  [16965] = {.lex_state = 0},
  [16966] = {.lex_state = 0},
  [16967] = {.lex_state = 0},
  [16968] = {.lex_state = 0},
  [16969] = {.lex_state = 0},
  [16970] = {.lex_state = 0},
  [16971] = {.lex_state = 0},
  [16972] = {.lex_state = 0},
  [16973] = {.lex_state = 0},
  [16974] = {.lex_state = 0},
  [16975] = {.lex_state = 0},
  [16976] = {.lex_state = 0},
  [16977] = {.lex_state = 0},
  [16978] = {.lex_state = 0},
  [16979] = {.lex_state = 0},
  [16980] = {.lex_state = 0},
  [16981] = {.lex_state = 0},
  [16982] = {.lex_state = 0},
  [16983] = {.lex_state = 0},
  [16984] = {.lex_state = 0},
  [16985] = {.lex_state = 0},
  [16986] = {.lex_state = 0},
  [16987] = {.lex_state = 0},
  [16988] = {.lex_state = 0},
  [16989] = {.lex_state = 0},
  [16990] = {.lex_state = 0},
  [16991] = {.lex_state = 0},
  [16992] = {.lex_state = 0},
  [16993] = {.lex_state = 0},
  [16994] = {.lex_state = 0},
  [16995] = {.lex_state = 0},
  [16996] = {.lex_state = 0},
  [16997] = {.lex_state = 98},
  [16998] = {.lex_state = 0},
  [16999] = {.lex_state = 0},
  [17000] = {.lex_state = 0},
  [17001] = {.lex_state = 98},
  [17002] = {.lex_state = 98},
  [17003] = {.lex_state = 0},
  [17004] = {.lex_state = 0},
  [17005] = {.lex_state = 0},
  [17006] = {.lex_state = 0},
  [17007] = {.lex_state = 0},
  [17008] = {.lex_state = 0},
  [17009] = {.lex_state = 0},
  [17010] = {.lex_state = 0},
  [17011] = {.lex_state = 0},
  [17012] = {.lex_state = 98},
  [17013] = {.lex_state = 0},
  [17014] = {.lex_state = 0},
  [17015] = {.lex_state = 0},
  [17016] = {.lex_state = 0},
  [17017] = {.lex_state = 0},
  [17018] = {.lex_state = 0},
  [17019] = {.lex_state = 0},
  [17020] = {.lex_state = 0},
  [17021] = {.lex_state = 0},
  [17022] = {.lex_state = 0},
  [17023] = {.lex_state = 0},
  [17024] = {.lex_state = 0},
  [17025] = {.lex_state = 0},
  [17026] = {.lex_state = 0},
  [17027] = {.lex_state = 0},
  [17028] = {.lex_state = 0},
  [17029] = {.lex_state = 0},
  [17030] = {.lex_state = 0},
  [17031] = {.lex_state = 0},
  [17032] = {.lex_state = 0},
  [17033] = {.lex_state = 0},
  [17034] = {.lex_state = 0},
  [17035] = {.lex_state = 0},
  [17036] = {.lex_state = 0},
  [17037] = {.lex_state = 98},
  [17038] = {.lex_state = 98},
  [17039] = {.lex_state = 0},
  [17040] = {.lex_state = 0},
  [17041] = {.lex_state = 0},
  [17042] = {.lex_state = 98},
  [17043] = {.lex_state = 98},
  [17044] = {.lex_state = 0},
  [17045] = {.lex_state = 91},
  [17046] = {.lex_state = 0},
  [17047] = {.lex_state = 0},
  [17048] = {.lex_state = 0},
  [17049] = {.lex_state = 0},
  [17050] = {.lex_state = 0},
  [17051] = {.lex_state = 98},
  [17052] = {.lex_state = 0},
  [17053] = {.lex_state = 0},
  [17054] = {.lex_state = 0},
  [17055] = {.lex_state = 0},
  [17056] = {.lex_state = 0},
  [17057] = {.lex_state = 0},
  [17058] = {.lex_state = 0},
  [17059] = {.lex_state = 0},
  [17060] = {.lex_state = 0},
  [17061] = {.lex_state = 0},
  [17062] = {.lex_state = 0},
  [17063] = {.lex_state = 0},
  [17064] = {.lex_state = 0},
  [17065] = {.lex_state = 98},
  [17066] = {.lex_state = 0},
  [17067] = {.lex_state = 98},
  [17068] = {.lex_state = 0},
  [17069] = {.lex_state = 98},
  [17070] = {.lex_state = 0},
  [17071] = {.lex_state = 0},
  [17072] = {.lex_state = 98},
  [17073] = {.lex_state = 0},
  [17074] = {.lex_state = 0},
  [17075] = {.lex_state = 0},
  [17076] = {.lex_state = 0},
  [17077] = {.lex_state = 98},
  [17078] = {.lex_state = 98},
  [17079] = {.lex_state = 0},
  [17080] = {.lex_state = 0},
  [17081] = {.lex_state = 0},
  [17082] = {.lex_state = 0},
  [17083] = {.lex_state = 0},
  [17084] = {.lex_state = 0},
  [17085] = {.lex_state = 0},
  [17086] = {.lex_state = 0},
  [17087] = {.lex_state = 0},
  [17088] = {.lex_state = 0},
  [17089] = {.lex_state = 0},
  [17090] = {.lex_state = 0},
  [17091] = {.lex_state = 0},
  [17092] = {.lex_state = 0},
  [17093] = {.lex_state = 0},
  [17094] = {.lex_state = 0},
  [17095] = {.lex_state = 0},
  [17096] = {.lex_state = 0},
  [17097] = {.lex_state = 98},
  [17098] = {.lex_state = 0},
  [17099] = {.lex_state = 0},
  [17100] = {.lex_state = 0},
  [17101] = {.lex_state = 0},
  [17102] = {.lex_state = 0},
  [17103] = {.lex_state = 0},
  [17104] = {.lex_state = 0},
  [17105] = {.lex_state = 0},
  [17106] = {.lex_state = 98},
  [17107] = {.lex_state = 0},
  [17108] = {.lex_state = 0},
  [17109] = {.lex_state = 0},
  [17110] = {.lex_state = 0},
  [17111] = {.lex_state = 0},
  [17112] = {.lex_state = 0},
  [17113] = {.lex_state = 0},
  [17114] = {.lex_state = 0},
  [17115] = {.lex_state = 0},
  [17116] = {.lex_state = 0},
  [17117] = {.lex_state = 0},
  [17118] = {.lex_state = 0},
  [17119] = {.lex_state = 0},
  [17120] = {.lex_state = 0},
  [17121] = {.lex_state = 0},
  [17122] = {.lex_state = 0},
  [17123] = {.lex_state = 0},
  [17124] = {.lex_state = 0},
  [17125] = {.lex_state = 0},
  [17126] = {.lex_state = 0},
  [17127] = {.lex_state = 0},
  [17128] = {.lex_state = 0},
  [17129] = {.lex_state = 98},
  [17130] = {.lex_state = 0},
  [17131] = {.lex_state = 0},
  [17132] = {.lex_state = 0},
  [17133] = {.lex_state = 0},
  [17134] = {.lex_state = 0},
  [17135] = {.lex_state = 0},
  [17136] = {.lex_state = 0},
  [17137] = {.lex_state = 0},
  [17138] = {.lex_state = 0},
  [17139] = {.lex_state = 0},
  [17140] = {.lex_state = 0},
  [17141] = {.lex_state = 0},
  [17142] = {.lex_state = 0},
  [17143] = {.lex_state = 0},
  [17144] = {.lex_state = 0},
  [17145] = {.lex_state = 98},
  [17146] = {.lex_state = 0},
  [17147] = {.lex_state = 98},
  [17148] = {.lex_state = 0},
  [17149] = {.lex_state = 0},
  [17150] = {.lex_state = 0},
  [17151] = {.lex_state = 0},
  [17152] = {.lex_state = 0},
  [17153] = {.lex_state = 0},
  [17154] = {.lex_state = 0},
  [17155] = {.lex_state = 0},
  [17156] = {.lex_state = 0},
  [17157] = {.lex_state = 0},
  [17158] = {.lex_state = 0},
  [17159] = {.lex_state = 98},
  [17160] = {.lex_state = 0},
  [17161] = {.lex_state = 0},
  [17162] = {.lex_state = 0},
  [17163] = {.lex_state = 91},
  [17164] = {.lex_state = 0},
  [17165] = {.lex_state = 0},
  [17166] = {.lex_state = 98},
  [17167] = {.lex_state = 0},
  [17168] = {.lex_state = 0},
  [17169] = {.lex_state = 0},
  [17170] = {.lex_state = 0},
  [17171] = {.lex_state = 0},
  [17172] = {.lex_state = 0},
  [17173] = {.lex_state = 0},
  [17174] = {.lex_state = 0},
  [17175] = {.lex_state = 0},
  [17176] = {.lex_state = 0},
  [17177] = {.lex_state = 0},
  [17178] = {.lex_state = 0},
  [17179] = {.lex_state = 0},
  [17180] = {.lex_state = 0},
  [17181] = {.lex_state = 0},
  [17182] = {.lex_state = 0},
  [17183] = {.lex_state = 0},
  [17184] = {.lex_state = 0},
  [17185] = {.lex_state = 0},
  [17186] = {.lex_state = 0},
  [17187] = {.lex_state = 0},
  [17188] = {.lex_state = 0},
  [17189] = {.lex_state = 0},
  [17190] = {.lex_state = 0},
  [17191] = {.lex_state = 0},
  [17192] = {.lex_state = 0},
  [17193] = {.lex_state = 0},
  [17194] = {.lex_state = 0},
  [17195] = {.lex_state = 0},
  [17196] = {.lex_state = 0},
  [17197] = {.lex_state = 0},
  [17198] = {.lex_state = 0},
  [17199] = {.lex_state = 0},
  [17200] = {.lex_state = 0},
  [17201] = {.lex_state = 0},
  [17202] = {.lex_state = 0},
  [17203] = {.lex_state = 0},
  [17204] = {.lex_state = 0},
  [17205] = {.lex_state = 0},
  [17206] = {.lex_state = 0},
  [17207] = {.lex_state = 0},
  [17208] = {.lex_state = 0},
  [17209] = {.lex_state = 0},
  [17210] = {.lex_state = 0},
  [17211] = {.lex_state = 0},
  [17212] = {.lex_state = 0},
  [17213] = {.lex_state = 0},
  [17214] = {.lex_state = 0},
  [17215] = {.lex_state = 0},
  [17216] = {.lex_state = 0},
  [17217] = {.lex_state = 0},
  [17218] = {.lex_state = 0},
  [17219] = {.lex_state = 0},
  [17220] = {.lex_state = 0},
  [17221] = {.lex_state = 0},
  [17222] = {.lex_state = 0, .external_lex_state = 4},
  [17223] = {.lex_state = 0},
  [17224] = {.lex_state = 0},
  [17225] = {.lex_state = 0},
  [17226] = {.lex_state = 0},
  [17227] = {.lex_state = 98},
  [17228] = {.lex_state = 0},
  [17229] = {.lex_state = 0},
  [17230] = {.lex_state = 0},
  [17231] = {.lex_state = 0},
  [17232] = {.lex_state = 0},
  [17233] = {.lex_state = 0},
  [17234] = {.lex_state = 0},
  [17235] = {.lex_state = 0},
  [17236] = {.lex_state = 0},
  [17237] = {.lex_state = 0},
  [17238] = {.lex_state = 0},
  [17239] = {.lex_state = 0},
  [17240] = {.lex_state = 98},
  [17241] = {.lex_state = 0},
  [17242] = {.lex_state = 0},
  [17243] = {.lex_state = 0},
  [17244] = {.lex_state = 0},
  [17245] = {.lex_state = 0},
  [17246] = {.lex_state = 0},
  [17247] = {.lex_state = 98},
  [17248] = {.lex_state = 0},
  [17249] = {.lex_state = 0},
  [17250] = {.lex_state = 0},
  [17251] = {.lex_state = 0},
  [17252] = {.lex_state = 0},
  [17253] = {.lex_state = 0},
  [17254] = {.lex_state = 0},
  [17255] = {.lex_state = 98},
  [17256] = {.lex_state = 98},
  [17257] = {.lex_state = 98},
  [17258] = {.lex_state = 0},
  [17259] = {.lex_state = 0},
  [17260] = {.lex_state = 0},
  [17261] = {.lex_state = 0},
  [17262] = {.lex_state = 0},
  [17263] = {.lex_state = 0},
  [17264] = {.lex_state = 0},
  [17265] = {.lex_state = 0},
  [17266] = {.lex_state = 0},
  [17267] = {.lex_state = 0},
  [17268] = {.lex_state = 0},
  [17269] = {.lex_state = 0},
  [17270] = {.lex_state = 0},
  [17271] = {.lex_state = 0},
  [17272] = {.lex_state = 0},
  [17273] = {.lex_state = 0},
  [17274] = {.lex_state = 0},
  [17275] = {.lex_state = 0},
  [17276] = {.lex_state = 98},
  [17277] = {.lex_state = 0},
  [17278] = {.lex_state = 0},
  [17279] = {.lex_state = 0},
  [17280] = {.lex_state = 0},
  [17281] = {.lex_state = 0},
  [17282] = {.lex_state = 0},
  [17283] = {.lex_state = 0},
  [17284] = {.lex_state = 0},
  [17285] = {.lex_state = 0},
  [17286] = {.lex_state = 0},
  [17287] = {.lex_state = 0},
  [17288] = {.lex_state = 0},
  [17289] = {.lex_state = 0},
  [17290] = {.lex_state = 0},
  [17291] = {.lex_state = 0},
  [17292] = {.lex_state = 0},
  [17293] = {.lex_state = 0},
  [17294] = {.lex_state = 0},
  [17295] = {.lex_state = 0},
  [17296] = {.lex_state = 0},
  [17297] = {.lex_state = 0},
  [17298] = {.lex_state = 0},
  [17299] = {.lex_state = 0},
  [17300] = {.lex_state = 0},
  [17301] = {.lex_state = 0},
  [17302] = {.lex_state = 0},
  [17303] = {.lex_state = 0},
  [17304] = {.lex_state = 98},
  [17305] = {.lex_state = 0},
  [17306] = {.lex_state = 0},
  [17307] = {.lex_state = 0},
  [17308] = {.lex_state = 0},
  [17309] = {.lex_state = 0},
  [17310] = {.lex_state = 0},
  [17311] = {.lex_state = 0},
  [17312] = {.lex_state = 0},
  [17313] = {.lex_state = 0, .external_lex_state = 4},
  [17314] = {.lex_state = 0},
  [17315] = {.lex_state = 0},
  [17316] = {.lex_state = 0},
  [17317] = {.lex_state = 0},
  [17318] = {.lex_state = 0},
  [17319] = {.lex_state = 0},
  [17320] = {.lex_state = 0},
  [17321] = {.lex_state = 0},
  [17322] = {.lex_state = 0},
  [17323] = {.lex_state = 0},
  [17324] = {.lex_state = 0},
  [17325] = {.lex_state = 0},
  [17326] = {.lex_state = 0},
  [17327] = {.lex_state = 98},
  [17328] = {.lex_state = 98},
  [17329] = {.lex_state = 0},
  [17330] = {.lex_state = 0},
  [17331] = {.lex_state = 0},
  [17332] = {.lex_state = 98},
  [17333] = {.lex_state = 0},
  [17334] = {.lex_state = 0},
  [17335] = {.lex_state = 0},
  [17336] = {.lex_state = 0},
  [17337] = {.lex_state = 0},
  [17338] = {.lex_state = 0},
  [17339] = {.lex_state = 0},
  [17340] = {.lex_state = 0},
  [17341] = {.lex_state = 0},
  [17342] = {.lex_state = 0},
  [17343] = {.lex_state = 0},
  [17344] = {.lex_state = 0},
  [17345] = {.lex_state = 0},
  [17346] = {.lex_state = 0},
  [17347] = {.lex_state = 0},
  [17348] = {.lex_state = 0},
  [17349] = {.lex_state = 0},
  [17350] = {.lex_state = 0},
  [17351] = {.lex_state = 0},
  [17352] = {.lex_state = 0},
  [17353] = {.lex_state = 0},
  [17354] = {.lex_state = 0},
  [17355] = {.lex_state = 0},
  [17356] = {.lex_state = 0},
  [17357] = {.lex_state = 0},
  [17358] = {.lex_state = 0},
  [17359] = {.lex_state = 0},
  [17360] = {.lex_state = 0},
  [17361] = {.lex_state = 0},
  [17362] = {.lex_state = 0},
  [17363] = {.lex_state = 98},
  [17364] = {.lex_state = 98},
  [17365] = {.lex_state = 0},
  [17366] = {.lex_state = 0},
  [17367] = {.lex_state = 0},
  [17368] = {.lex_state = 0},
  [17369] = {.lex_state = 0},
  [17370] = {.lex_state = 0},
  [17371] = {.lex_state = 0},
  [17372] = {.lex_state = 0},
  [17373] = {.lex_state = 0},
  [17374] = {.lex_state = 0},
  [17375] = {.lex_state = 0},
  [17376] = {.lex_state = 0},
  [17377] = {.lex_state = 0},
  [17378] = {.lex_state = 98},
  [17379] = {.lex_state = 0},
  [17380] = {.lex_state = 98},
  [17381] = {.lex_state = 98},
  [17382] = {.lex_state = 0},
  [17383] = {.lex_state = 0},
  [17384] = {.lex_state = 0},
  [17385] = {.lex_state = 0},
  [17386] = {.lex_state = 98},
  [17387] = {.lex_state = 0},
  [17388] = {.lex_state = 0},
  [17389] = {.lex_state = 0},
  [17390] = {.lex_state = 0},
  [17391] = {.lex_state = 0},
  [17392] = {.lex_state = 0},
  [17393] = {.lex_state = 0},
  [17394] = {.lex_state = 0},
  [17395] = {.lex_state = 0},
  [17396] = {.lex_state = 0},
  [17397] = {.lex_state = 98},
  [17398] = {.lex_state = 0},
  [17399] = {.lex_state = 0},
  [17400] = {.lex_state = 0},
  [17401] = {.lex_state = 0},
  [17402] = {.lex_state = 98},
  [17403] = {.lex_state = 0},
  [17404] = {.lex_state = 0},
  [17405] = {.lex_state = 0},
  [17406] = {.lex_state = 0},
  [17407] = {.lex_state = 0},
  [17408] = {.lex_state = 98},
  [17409] = {.lex_state = 0},
  [17410] = {.lex_state = 98},
  [17411] = {.lex_state = 0},
  [17412] = {.lex_state = 0},
  [17413] = {.lex_state = 98},
  [17414] = {.lex_state = 18},
  [17415] = {.lex_state = 91},
  [17416] = {.lex_state = 0},
  [17417] = {.lex_state = 0},
  [17418] = {.lex_state = 0},
  [17419] = {.lex_state = 0},
  [17420] = {.lex_state = 0},
  [17421] = {.lex_state = 0},
  [17422] = {.lex_state = 0},
  [17423] = {.lex_state = 98},
  [17424] = {.lex_state = 98},
  [17425] = {.lex_state = 0},
  [17426] = {.lex_state = 0},
  [17427] = {.lex_state = 0},
  [17428] = {.lex_state = 0},
  [17429] = {.lex_state = 18},
  [17430] = {.lex_state = 0},
  [17431] = {.lex_state = 98},
  [17432] = {.lex_state = 0},
  [17433] = {.lex_state = 0},
  [17434] = {.lex_state = 0},
  [17435] = {.lex_state = 0},
  [17436] = {.lex_state = 0},
  [17437] = {.lex_state = 0},
  [17438] = {.lex_state = 0},
  [17439] = {.lex_state = 0},
  [17440] = {.lex_state = 0},
  [17441] = {.lex_state = 0},
  [17442] = {.lex_state = 0},
  [17443] = {.lex_state = 0},
  [17444] = {.lex_state = 0},
  [17445] = {.lex_state = 0},
  [17446] = {.lex_state = 98},
  [17447] = {.lex_state = 0},
  [17448] = {.lex_state = 0},
  [17449] = {.lex_state = 0},
  [17450] = {.lex_state = 0},
  [17451] = {.lex_state = 98},
  [17452] = {.lex_state = 98},
  [17453] = {.lex_state = 0},
  [17454] = {.lex_state = 0},
  [17455] = {.lex_state = 0},
  [17456] = {.lex_state = 0},
  [17457] = {.lex_state = 98},
  [17458] = {.lex_state = 0},
  [17459] = {.lex_state = 0},
  [17460] = {.lex_state = 0},
  [17461] = {.lex_state = 0},
  [17462] = {.lex_state = 0},
  [17463] = {.lex_state = 0},
  [17464] = {.lex_state = 0},
  [17465] = {.lex_state = 98},
  [17466] = {.lex_state = 0},
  [17467] = {.lex_state = 0},
  [17468] = {.lex_state = 0},
  [17469] = {.lex_state = 0},
  [17470] = {.lex_state = 0},
  [17471] = {.lex_state = 0},
  [17472] = {.lex_state = 98},
  [17473] = {.lex_state = 0},
  [17474] = {.lex_state = 0},
  [17475] = {.lex_state = 0},
  [17476] = {.lex_state = 98},
  [17477] = {.lex_state = 0, .external_lex_state = 4},
  [17478] = {.lex_state = 0},
  [17479] = {.lex_state = 0},
  [17480] = {.lex_state = 0},
  [17481] = {.lex_state = 0},
  [17482] = {.lex_state = 0},
  [17483] = {.lex_state = 0},
  [17484] = {.lex_state = 0},
  [17485] = {.lex_state = 0},
  [17486] = {.lex_state = 0},
  [17487] = {.lex_state = 0},
  [17488] = {.lex_state = 0},
  [17489] = {.lex_state = 0},
  [17490] = {.lex_state = 0},
  [17491] = {.lex_state = 0},
  [17492] = {.lex_state = 0},
  [17493] = {.lex_state = 0},
  [17494] = {.lex_state = 0},
  [17495] = {.lex_state = 0},
  [17496] = {.lex_state = 98},
  [17497] = {.lex_state = 98},
  [17498] = {.lex_state = 0},
  [17499] = {.lex_state = 0},
  [17500] = {.lex_state = 0},
  [17501] = {.lex_state = 0},
  [17502] = {.lex_state = 0},
  [17503] = {.lex_state = 0},
  [17504] = {.lex_state = 98},
  [17505] = {.lex_state = 0},
  [17506] = {.lex_state = 0},
  [17507] = {.lex_state = 98},
  [17508] = {.lex_state = 0},
  [17509] = {.lex_state = 0},
  [17510] = {.lex_state = 0},
  [17511] = {.lex_state = 0},
  [17512] = {.lex_state = 98},
  [17513] = {.lex_state = 98},
  [17514] = {.lex_state = 99},
  [17515] = {.lex_state = 0},
  [17516] = {.lex_state = 0},
  [17517] = {.lex_state = 98},
  [17518] = {.lex_state = 0},
  [17519] = {.lex_state = 0},
  [17520] = {.lex_state = 0},
  [17521] = {.lex_state = 0},
  [17522] = {.lex_state = 0},
  [17523] = {.lex_state = 0},
  [17524] = {.lex_state = 0},
  [17525] = {.lex_state = 0},
  [17526] = {.lex_state = 0},
  [17527] = {.lex_state = 0},
  [17528] = {.lex_state = 0},
  [17529] = {.lex_state = 0},
  [17530] = {.lex_state = 0},
  [17531] = {.lex_state = 0},
  [17532] = {.lex_state = 0},
  [17533] = {.lex_state = 0},
  [17534] = {.lex_state = 0},
  [17535] = {.lex_state = 0},
  [17536] = {.lex_state = 0},
  [17537] = {.lex_state = 0},
  [17538] = {.lex_state = 0},
  [17539] = {.lex_state = 0},
  [17540] = {.lex_state = 0},
  [17541] = {.lex_state = 0},
  [17542] = {.lex_state = 0},
  [17543] = {.lex_state = 0},
  [17544] = {.lex_state = 0},
  [17545] = {.lex_state = 0},
  [17546] = {.lex_state = 98},
  [17547] = {.lex_state = 98},
  [17548] = {.lex_state = 98},
  [17549] = {.lex_state = 0},
  [17550] = {.lex_state = 98},
  [17551] = {.lex_state = 98},
  [17552] = {.lex_state = 0},
  [17553] = {.lex_state = 0},
  [17554] = {.lex_state = 98},
  [17555] = {.lex_state = 0},
  [17556] = {.lex_state = 0},
  [17557] = {.lex_state = 0, .external_lex_state = 4},
  [17558] = {.lex_state = 0},
  [17559] = {.lex_state = 0},
  [17560] = {.lex_state = 98},
  [17561] = {.lex_state = 0},
  [17562] = {.lex_state = 91},
  [17563] = {.lex_state = 0},
  [17564] = {.lex_state = 98},
  [17565] = {.lex_state = 98},
  [17566] = {.lex_state = 98},
  [17567] = {.lex_state = 98},
  [17568] = {.lex_state = 0},
  [17569] = {.lex_state = 0, .external_lex_state = 4},
  [17570] = {.lex_state = 0},
  [17571] = {.lex_state = 0},
  [17572] = {.lex_state = 0},
  [17573] = {.lex_state = 0},
  [17574] = {.lex_state = 0},
  [17575] = {.lex_state = 0},
  [17576] = {.lex_state = 0},
  [17577] = {.lex_state = 0},
  [17578] = {.lex_state = 0},
  [17579] = {.lex_state = 0},
  [17580] = {.lex_state = 0},
  [17581] = {.lex_state = 0},
  [17582] = {.lex_state = 0},
  [17583] = {.lex_state = 0},
  [17584] = {.lex_state = 98},
  [17585] = {.lex_state = 0},
  [17586] = {.lex_state = 0},
  [17587] = {.lex_state = 0},
  [17588] = {.lex_state = 0},
  [17589] = {.lex_state = 91},
  [17590] = {.lex_state = 0},
  [17591] = {.lex_state = 0},
  [17592] = {.lex_state = 98},
  [17593] = {.lex_state = 0},
  [17594] = {.lex_state = 0},
  [17595] = {.lex_state = 0},
  [17596] = {.lex_state = 0},
  [17597] = {.lex_state = 0},
  [17598] = {.lex_state = 0},
  [17599] = {.lex_state = 0},
  [17600] = {.lex_state = 0},
  [17601] = {.lex_state = 98},
  [17602] = {.lex_state = 0},
  [17603] = {.lex_state = 98},
  [17604] = {.lex_state = 0},
  [17605] = {.lex_state = 0},
  [17606] = {.lex_state = 0},
  [17607] = {.lex_state = 0},
  [17608] = {.lex_state = 0},
  [17609] = {.lex_state = 0},
  [17610] = {.lex_state = 0},
  [17611] = {.lex_state = 98},
  [17612] = {.lex_state = 98},
  [17613] = {.lex_state = 0},
  [17614] = {.lex_state = 0},
  [17615] = {.lex_state = 0},
  [17616] = {.lex_state = 0},
  [17617] = {.lex_state = 0},
  [17618] = {.lex_state = 0},
  [17619] = {.lex_state = 98},
  [17620] = {.lex_state = 0},
  [17621] = {.lex_state = 98},
  [17622] = {.lex_state = 0},
  [17623] = {.lex_state = 0},
  [17624] = {.lex_state = 98},
  [17625] = {.lex_state = 0},
  [17626] = {.lex_state = 0},
  [17627] = {.lex_state = 0},
  [17628] = {.lex_state = 98},
  [17629] = {.lex_state = 0},
  [17630] = {.lex_state = 0},
  [17631] = {.lex_state = 0},
  [17632] = {.lex_state = 0},
  [17633] = {.lex_state = 0},
  [17634] = {.lex_state = 0},
  [17635] = {.lex_state = 0},
  [17636] = {.lex_state = 0},
  [17637] = {.lex_state = 0},
  [17638] = {.lex_state = 0},
  [17639] = {.lex_state = 0},
  [17640] = {.lex_state = 0},
  [17641] = {.lex_state = 0},
  [17642] = {.lex_state = 0},
  [17643] = {.lex_state = 0},
  [17644] = {.lex_state = 0},
  [17645] = {.lex_state = 0},
  [17646] = {.lex_state = 0},
  [17647] = {.lex_state = 0},
  [17648] = {.lex_state = 0},
  [17649] = {.lex_state = 0},
  [17650] = {.lex_state = 0},
  [17651] = {.lex_state = 0},
  [17652] = {.lex_state = 0},
  [17653] = {.lex_state = 0},
  [17654] = {.lex_state = 0},
  [17655] = {.lex_state = 0},
  [17656] = {.lex_state = 0},
  [17657] = {.lex_state = 0},
  [17658] = {.lex_state = 0},
  [17659] = {.lex_state = 0},
  [17660] = {.lex_state = 0},
  [17661] = {.lex_state = 0},
  [17662] = {.lex_state = 0},
  [17663] = {.lex_state = 0},
  [17664] = {.lex_state = 0},
  [17665] = {.lex_state = 0},
  [17666] = {.lex_state = 0},
  [17667] = {.lex_state = 0},
  [17668] = {.lex_state = 0},
  [17669] = {.lex_state = 0},
  [17670] = {.lex_state = 0},
  [17671] = {.lex_state = 0},
  [17672] = {.lex_state = 0},
  [17673] = {.lex_state = 0},
  [17674] = {.lex_state = 0},
  [17675] = {.lex_state = 0},
  [17676] = {.lex_state = 0},
  [17677] = {.lex_state = 0},
  [17678] = {.lex_state = 0},
  [17679] = {.lex_state = 0},
  [17680] = {.lex_state = 0},
  [17681] = {.lex_state = 0},
  [17682] = {.lex_state = 0},
  [17683] = {.lex_state = 0},
  [17684] = {.lex_state = 0},
  [17685] = {.lex_state = 0},
  [17686] = {.lex_state = 0},
  [17687] = {.lex_state = 0},
  [17688] = {.lex_state = 0},
  [17689] = {.lex_state = 0},
  [17690] = {.lex_state = 0},
  [17691] = {.lex_state = 0},
  [17692] = {.lex_state = 0},
  [17693] = {.lex_state = 0},
  [17694] = {.lex_state = 0},
  [17695] = {.lex_state = 0},
  [17696] = {.lex_state = 0},
  [17697] = {.lex_state = 0},
  [17698] = {.lex_state = 0},
  [17699] = {.lex_state = 0},
  [17700] = {.lex_state = 0},
  [17701] = {.lex_state = 0},
  [17702] = {.lex_state = 0},
  [17703] = {.lex_state = 0},
  [17704] = {.lex_state = 0},
  [17705] = {.lex_state = 0},
  [17706] = {.lex_state = 0},
  [17707] = {.lex_state = 0},
  [17708] = {.lex_state = 0},
  [17709] = {.lex_state = 0},
  [17710] = {.lex_state = 0},
  [17711] = {.lex_state = 0},
  [17712] = {.lex_state = 0},
  [17713] = {.lex_state = 0},
  [17714] = {.lex_state = 0},
  [17715] = {.lex_state = 0},
  [17716] = {.lex_state = 0},
  [17717] = {.lex_state = 0},
  [17718] = {.lex_state = 0},
  [17719] = {.lex_state = 0},
  [17720] = {.lex_state = 0},
  [17721] = {.lex_state = 0},
  [17722] = {.lex_state = 0},
  [17723] = {.lex_state = 0},
  [17724] = {.lex_state = 0},
  [17725] = {.lex_state = 0},
  [17726] = {.lex_state = 0},
  [17727] = {.lex_state = 0},
  [17728] = {.lex_state = 0},
  [17729] = {.lex_state = 0},
  [17730] = {.lex_state = 0},
  [17731] = {.lex_state = 0},
  [17732] = {.lex_state = 0},
  [17733] = {.lex_state = 0},
  [17734] = {.lex_state = 0},
  [17735] = {.lex_state = 0},
  [17736] = {.lex_state = 0},
  [17737] = {.lex_state = 0},
  [17738] = {.lex_state = 0},
  [17739] = {.lex_state = 0},
  [17740] = {.lex_state = 0},
  [17741] = {.lex_state = 0},
  [17742] = {.lex_state = 0},
  [17743] = {.lex_state = 0},
  [17744] = {.lex_state = 0},
  [17745] = {.lex_state = 0},
  [17746] = {.lex_state = 0},
  [17747] = {.lex_state = 0},
  [17748] = {.lex_state = 0},
  [17749] = {.lex_state = 0},
  [17750] = {.lex_state = 0},
  [17751] = {.lex_state = 0},
  [17752] = {.lex_state = 0},
  [17753] = {.lex_state = 0},
  [17754] = {.lex_state = 0},
  [17755] = {.lex_state = 0},
  [17756] = {.lex_state = 0},
  [17757] = {.lex_state = 0},
  [17758] = {.lex_state = 0},
  [17759] = {.lex_state = 0},
  [17760] = {.lex_state = 0},
  [17761] = {.lex_state = 0},
  [17762] = {.lex_state = 0},
  [17763] = {.lex_state = 0},
  [17764] = {.lex_state = 0},
  [17765] = {.lex_state = 0},
  [17766] = {.lex_state = 0},
  [17767] = {.lex_state = 0},
  [17768] = {.lex_state = 0},
  [17769] = {.lex_state = 0},
  [17770] = {.lex_state = 0},
  [17771] = {.lex_state = 0},
  [17772] = {.lex_state = 0},
  [17773] = {.lex_state = 0},
  [17774] = {.lex_state = 0},
  [17775] = {.lex_state = 0},
  [17776] = {.lex_state = 0},
  [17777] = {.lex_state = 0},
  [17778] = {.lex_state = 0},
  [17779] = {.lex_state = 0},
  [17780] = {.lex_state = 0},
  [17781] = {.lex_state = 0},
  [17782] = {.lex_state = 0},
  [17783] = {.lex_state = 98},
  [17784] = {.lex_state = 0},
  [17785] = {.lex_state = 0},
  [17786] = {.lex_state = 0},
  [17787] = {.lex_state = 0},
  [17788] = {.lex_state = 0},
  [17789] = {.lex_state = 0},
  [17790] = {.lex_state = 0},
  [17791] = {.lex_state = 0},
  [17792] = {.lex_state = 0},
  [17793] = {.lex_state = 0},
  [17794] = {.lex_state = 0},
  [17795] = {.lex_state = 0},
  [17796] = {.lex_state = 0},
  [17797] = {.lex_state = 0},
  [17798] = {.lex_state = 0},
  [17799] = {.lex_state = 0},
  [17800] = {.lex_state = 98},
  [17801] = {.lex_state = 0},
  [17802] = {.lex_state = 0},
  [17803] = {.lex_state = 0},
  [17804] = {.lex_state = 0},
  [17805] = {.lex_state = 0},
  [17806] = {.lex_state = 0},
  [17807] = {.lex_state = 98},
  [17808] = {.lex_state = 0},
  [17809] = {.lex_state = 0},
  [17810] = {.lex_state = 0},
  [17811] = {.lex_state = 98},
  [17812] = {.lex_state = 0},
  [17813] = {.lex_state = 98},
  [17814] = {.lex_state = 0},
  [17815] = {.lex_state = 0},
  [17816] = {.lex_state = 98},
  [17817] = {.lex_state = 0},
  [17818] = {.lex_state = 0},
  [17819] = {.lex_state = 0},
  [17820] = {.lex_state = 0, .external_lex_state = 4},
  [17821] = {.lex_state = 0},
  [17822] = {.lex_state = 0},
  [17823] = {.lex_state = 0},
  [17824] = {.lex_state = 0},
  [17825] = {.lex_state = 0},
  [17826] = {.lex_state = 0},
  [17827] = {.lex_state = 0},
  [17828] = {.lex_state = 0},
  [17829] = {.lex_state = 0},
  [17830] = {.lex_state = 0},
  [17831] = {.lex_state = 98},
  [17832] = {.lex_state = 0},
  [17833] = {.lex_state = 0},
  [17834] = {.lex_state = 0},
  [17835] = {.lex_state = 0},
  [17836] = {.lex_state = 0},
  [17837] = {.lex_state = 91},
  [17838] = {.lex_state = 0},
  [17839] = {.lex_state = 0},
  [17840] = {.lex_state = 0},
  [17841] = {.lex_state = 0},
  [17842] = {.lex_state = 98},
  [17843] = {.lex_state = 0},
  [17844] = {.lex_state = 0},
  [17845] = {.lex_state = 0},
  [17846] = {.lex_state = 0},
  [17847] = {.lex_state = 0},
  [17848] = {.lex_state = 0},
  [17849] = {.lex_state = 0},
  [17850] = {.lex_state = 0},
  [17851] = {.lex_state = 0},
  [17852] = {.lex_state = 0},
  [17853] = {.lex_state = 0},
  [17854] = {.lex_state = 0},
  [17855] = {.lex_state = 0},
  [17856] = {.lex_state = 0},
  [17857] = {.lex_state = 0},
  [17858] = {.lex_state = 98},
  [17859] = {.lex_state = 0},
  [17860] = {.lex_state = 0},
  [17861] = {.lex_state = 0},
  [17862] = {.lex_state = 0},
  [17863] = {.lex_state = 0},
  [17864] = {.lex_state = 0},
  [17865] = {.lex_state = 0},
  [17866] = {.lex_state = 0},
  [17867] = {.lex_state = 0},
  [17868] = {.lex_state = 0},
  [17869] = {.lex_state = 0},
  [17870] = {.lex_state = 0},
  [17871] = {.lex_state = 0},
  [17872] = {.lex_state = 0},
  [17873] = {.lex_state = 0},
  [17874] = {.lex_state = 0},
  [17875] = {.lex_state = 0},
  [17876] = {.lex_state = 0},
  [17877] = {.lex_state = 0},
  [17878] = {.lex_state = 0},
  [17879] = {.lex_state = 0},
  [17880] = {.lex_state = 0},
  [17881] = {.lex_state = 0},
  [17882] = {.lex_state = 0},
  [17883] = {.lex_state = 0},
  [17884] = {.lex_state = 0},
  [17885] = {.lex_state = 0},
  [17886] = {.lex_state = 0},
  [17887] = {.lex_state = 0},
  [17888] = {.lex_state = 0},
  [17889] = {.lex_state = 0},
  [17890] = {.lex_state = 0},
  [17891] = {.lex_state = 0},
  [17892] = {.lex_state = 0},
  [17893] = {.lex_state = 0},
  [17894] = {.lex_state = 0},
  [17895] = {.lex_state = 0},
  [17896] = {.lex_state = 0},
  [17897] = {.lex_state = 0, .external_lex_state = 4},
  [17898] = {.lex_state = 0},
  [17899] = {.lex_state = 0},
  [17900] = {.lex_state = 0},
  [17901] = {.lex_state = 0},
  [17902] = {.lex_state = 0},
  [17903] = {.lex_state = 0},
  [17904] = {.lex_state = 0},
  [17905] = {.lex_state = 0},
  [17906] = {.lex_state = 0},
  [17907] = {.lex_state = 0},
  [17908] = {.lex_state = 0},
  [17909] = {.lex_state = 0},
  [17910] = {.lex_state = 0},
  [17911] = {.lex_state = 0},
  [17912] = {.lex_state = 0},
  [17913] = {.lex_state = 0},
  [17914] = {.lex_state = 0},
  [17915] = {.lex_state = 0},
  [17916] = {.lex_state = 0},
  [17917] = {.lex_state = 0},
  [17918] = {.lex_state = 0},
  [17919] = {.lex_state = 0},
  [17920] = {.lex_state = 0},
  [17921] = {.lex_state = 0},
  [17922] = {.lex_state = 0},
  [17923] = {.lex_state = 0},
  [17924] = {.lex_state = 0},
  [17925] = {.lex_state = 0},
  [17926] = {.lex_state = 0},
  [17927] = {.lex_state = 0},
  [17928] = {.lex_state = 0},
  [17929] = {.lex_state = 0},
  [17930] = {.lex_state = 0},
  [17931] = {.lex_state = 0},
  [17932] = {.lex_state = 0},
  [17933] = {.lex_state = 0},
  [17934] = {.lex_state = 0},
  [17935] = {.lex_state = 0},
  [17936] = {.lex_state = 0},
  [17937] = {.lex_state = 0},
  [17938] = {.lex_state = 0},
  [17939] = {.lex_state = 0},
  [17940] = {.lex_state = 0},
  [17941] = {.lex_state = 0},
  [17942] = {.lex_state = 0},
  [17943] = {.lex_state = 0},
  [17944] = {.lex_state = 0},
  [17945] = {.lex_state = 0},
  [17946] = {.lex_state = 0},
  [17947] = {.lex_state = 0},
  [17948] = {.lex_state = 0},
  [17949] = {.lex_state = 0},
  [17950] = {.lex_state = 0},
  [17951] = {.lex_state = 0},
  [17952] = {.lex_state = 0},
  [17953] = {.lex_state = 0},
  [17954] = {.lex_state = 91},
  [17955] = {.lex_state = 0},
  [17956] = {.lex_state = 0},
  [17957] = {.lex_state = 0},
  [17958] = {.lex_state = 0},
  [17959] = {.lex_state = 0},
  [17960] = {.lex_state = 0},
  [17961] = {.lex_state = 0},
  [17962] = {.lex_state = 0},
  [17963] = {.lex_state = 0},
  [17964] = {.lex_state = 0},
  [17965] = {.lex_state = 0},
  [17966] = {.lex_state = 0},
  [17967] = {.lex_state = 0},
  [17968] = {.lex_state = 0},
  [17969] = {.lex_state = 0},
  [17970] = {.lex_state = 98},
  [17971] = {.lex_state = 0},
  [17972] = {.lex_state = 0},
  [17973] = {.lex_state = 0},
  [17974] = {.lex_state = 0},
  [17975] = {.lex_state = 0},
  [17976] = {.lex_state = 0},
  [17977] = {.lex_state = 0},
  [17978] = {.lex_state = 0},
  [17979] = {.lex_state = 0},
  [17980] = {.lex_state = 0},
  [17981] = {.lex_state = 0},
  [17982] = {.lex_state = 0},
  [17983] = {.lex_state = 0},
  [17984] = {.lex_state = 0},
  [17985] = {.lex_state = 0},
  [17986] = {.lex_state = 0},
  [17987] = {.lex_state = 0},
  [17988] = {.lex_state = 0},
  [17989] = {.lex_state = 0},
  [17990] = {.lex_state = 0},
  [17991] = {.lex_state = 0},
  [17992] = {.lex_state = 0},
  [17993] = {.lex_state = 0},
  [17994] = {.lex_state = 0},
  [17995] = {.lex_state = 0},
  [17996] = {.lex_state = 0},
  [17997] = {.lex_state = 0},
  [17998] = {.lex_state = 0},
  [17999] = {.lex_state = 0},
  [18000] = {.lex_state = 0},
  [18001] = {.lex_state = 0},
  [18002] = {.lex_state = 0},
  [18003] = {.lex_state = 0},
  [18004] = {.lex_state = 0},
  [18005] = {.lex_state = 0},
  [18006] = {.lex_state = 0},
  [18007] = {.lex_state = 0},
  [18008] = {.lex_state = 0},
  [18009] = {.lex_state = 0},
  [18010] = {.lex_state = 98},
  [18011] = {.lex_state = 0},
  [18012] = {.lex_state = 98},
  [18013] = {.lex_state = 0},
  [18014] = {.lex_state = 98},
  [18015] = {.lex_state = 98},
  [18016] = {.lex_state = 98},
  [18017] = {.lex_state = 0},
  [18018] = {.lex_state = 0},
  [18019] = {.lex_state = 0},
  [18020] = {.lex_state = 0},
  [18021] = {.lex_state = 98},
  [18022] = {.lex_state = 98},
  [18023] = {.lex_state = 0},
  [18024] = {.lex_state = 0},
  [18025] = {.lex_state = 0},
  [18026] = {.lex_state = 0},
  [18027] = {.lex_state = 0},
  [18028] = {.lex_state = 0},
  [18029] = {.lex_state = 0},
  [18030] = {.lex_state = 0},
  [18031] = {.lex_state = 0},
  [18032] = {.lex_state = 0},
  [18033] = {.lex_state = 0},
  [18034] = {.lex_state = 0},
  [18035] = {.lex_state = 0},
  [18036] = {.lex_state = 0},
  [18037] = {.lex_state = 0},
  [18038] = {.lex_state = 98},
  [18039] = {.lex_state = 0},
  [18040] = {.lex_state = 0},
  [18041] = {.lex_state = 98},
  [18042] = {.lex_state = 0},
  [18043] = {.lex_state = 91},
  [18044] = {.lex_state = 0},
  [18045] = {.lex_state = 0},
  [18046] = {.lex_state = 0},
  [18047] = {.lex_state = 0},
  [18048] = {.lex_state = 0},
  [18049] = {.lex_state = 0},
  [18050] = {.lex_state = 0},
  [18051] = {.lex_state = 0},
  [18052] = {.lex_state = 0},
  [18053] = {.lex_state = 0},
  [18054] = {.lex_state = 0},
  [18055] = {.lex_state = 0},
  [18056] = {.lex_state = 0},
  [18057] = {.lex_state = 0},
  [18058] = {.lex_state = 0},
  [18059] = {.lex_state = 0},
  [18060] = {.lex_state = 0},
  [18061] = {.lex_state = 0},
  [18062] = {.lex_state = 0},
  [18063] = {.lex_state = 0},
  [18064] = {.lex_state = 0},
  [18065] = {.lex_state = 0},
  [18066] = {.lex_state = 0},
  [18067] = {.lex_state = 0},
  [18068] = {.lex_state = 0},
  [18069] = {.lex_state = 0},
  [18070] = {.lex_state = 0},
  [18071] = {.lex_state = 0},
  [18072] = {.lex_state = 0},
  [18073] = {.lex_state = 0},
  [18074] = {.lex_state = 0},
  [18075] = {.lex_state = 0},
  [18076] = {.lex_state = 0},
  [18077] = {.lex_state = 0},
  [18078] = {.lex_state = 0},
  [18079] = {.lex_state = 0},
  [18080] = {.lex_state = 0},
  [18081] = {.lex_state = 0},
  [18082] = {.lex_state = 0},
  [18083] = {.lex_state = 0},
  [18084] = {.lex_state = 0},
  [18085] = {.lex_state = 0},
  [18086] = {.lex_state = 0},
  [18087] = {.lex_state = 0},
  [18088] = {.lex_state = 0},
  [18089] = {.lex_state = 0},
  [18090] = {.lex_state = 0},
  [18091] = {.lex_state = 0},
  [18092] = {.lex_state = 0},
  [18093] = {.lex_state = 0},
  [18094] = {.lex_state = 0},
  [18095] = {.lex_state = 0},
  [18096] = {.lex_state = 0},
  [18097] = {.lex_state = 0},
  [18098] = {.lex_state = 0},
  [18099] = {.lex_state = 0, .external_lex_state = 4},
  [18100] = {.lex_state = 0},
  [18101] = {.lex_state = 0},
  [18102] = {.lex_state = 0},
  [18103] = {.lex_state = 0},
  [18104] = {.lex_state = 0},
  [18105] = {.lex_state = 0},
  [18106] = {.lex_state = 0},
  [18107] = {.lex_state = 0},
  [18108] = {.lex_state = 0},
  [18109] = {.lex_state = 0},
  [18110] = {.lex_state = 0},
  [18111] = {.lex_state = 0},
  [18112] = {.lex_state = 0},
  [18113] = {.lex_state = 0},
  [18114] = {.lex_state = 0},
  [18115] = {.lex_state = 0},
  [18116] = {.lex_state = 0},
  [18117] = {.lex_state = 0},
  [18118] = {.lex_state = 0},
  [18119] = {.lex_state = 0},
  [18120] = {.lex_state = 0},
  [18121] = {.lex_state = 0},
  [18122] = {.lex_state = 0},
  [18123] = {.lex_state = 0},
  [18124] = {.lex_state = 0},
  [18125] = {.lex_state = 0},
  [18126] = {.lex_state = 0},
  [18127] = {.lex_state = 0},
  [18128] = {.lex_state = 0},
  [18129] = {.lex_state = 0},
  [18130] = {.lex_state = 0},
  [18131] = {.lex_state = 0},
  [18132] = {.lex_state = 0},
  [18133] = {.lex_state = 0},
  [18134] = {.lex_state = 0},
  [18135] = {.lex_state = 0},
  [18136] = {.lex_state = 0},
  [18137] = {.lex_state = 0},
  [18138] = {.lex_state = 0},
  [18139] = {.lex_state = 0},
  [18140] = {.lex_state = 0},
  [18141] = {.lex_state = 0},
  [18142] = {.lex_state = 0},
  [18143] = {.lex_state = 0},
  [18144] = {.lex_state = 0},
  [18145] = {.lex_state = 0},
  [18146] = {.lex_state = 0},
  [18147] = {.lex_state = 0},
  [18148] = {.lex_state = 0},
  [18149] = {.lex_state = 0},
  [18150] = {.lex_state = 0},
  [18151] = {.lex_state = 0},
  [18152] = {.lex_state = 0},
  [18153] = {.lex_state = 0},
  [18154] = {.lex_state = 0},
  [18155] = {.lex_state = 0},
  [18156] = {.lex_state = 0},
  [18157] = {.lex_state = 0},
  [18158] = {.lex_state = 0},
  [18159] = {.lex_state = 0},
  [18160] = {.lex_state = 0},
  [18161] = {.lex_state = 0},
  [18162] = {.lex_state = 0},
  [18163] = {.lex_state = 0},
  [18164] = {.lex_state = 0},
  [18165] = {.lex_state = 0},
  [18166] = {.lex_state = 0},
  [18167] = {.lex_state = 0},
  [18168] = {.lex_state = 0},
  [18169] = {.lex_state = 0},
  [18170] = {.lex_state = 0},
  [18171] = {.lex_state = 0},
  [18172] = {.lex_state = 0},
  [18173] = {.lex_state = 0},
  [18174] = {.lex_state = 0},
  [18175] = {.lex_state = 0},
  [18176] = {.lex_state = 0},
  [18177] = {.lex_state = 0},
  [18178] = {.lex_state = 0},
  [18179] = {.lex_state = 0},
  [18180] = {.lex_state = 0},
  [18181] = {.lex_state = 0},
  [18182] = {.lex_state = 0},
  [18183] = {.lex_state = 0},
  [18184] = {.lex_state = 0},
  [18185] = {.lex_state = 98},
  [18186] = {.lex_state = 98},
  [18187] = {.lex_state = 0},
  [18188] = {.lex_state = 0},
  [18189] = {.lex_state = 98},
  [18190] = {.lex_state = 98},
  [18191] = {.lex_state = 0},
  [18192] = {.lex_state = 0},
  [18193] = {.lex_state = 0},
  [18194] = {.lex_state = 98},
  [18195] = {.lex_state = 98},
  [18196] = {.lex_state = 0},
  [18197] = {.lex_state = 0},
  [18198] = {.lex_state = 101},
  [18199] = {.lex_state = 0},
  [18200] = {.lex_state = 0},
  [18201] = {.lex_state = 0},
  [18202] = {.lex_state = 0},
  [18203] = {.lex_state = 0},
  [18204] = {.lex_state = 98},
  [18205] = {.lex_state = 0},
  [18206] = {.lex_state = 98},
  [18207] = {.lex_state = 98},
  [18208] = {.lex_state = 0},
  [18209] = {.lex_state = 0},
  [18210] = {.lex_state = 0},
  [18211] = {.lex_state = 0},
  [18212] = {.lex_state = 0},
  [18213] = {.lex_state = 0},
  [18214] = {.lex_state = 98},
  [18215] = {.lex_state = 0},
  [18216] = {.lex_state = 98},
  [18217] = {.lex_state = 0},
  [18218] = {.lex_state = 0},
  [18219] = {.lex_state = 98},
  [18220] = {.lex_state = 0},
  [18221] = {.lex_state = 0},
  [18222] = {.lex_state = 98},
  [18223] = {.lex_state = 0},
  [18224] = {.lex_state = 98},
  [18225] = {.lex_state = 98},
  [18226] = {.lex_state = 0},
  [18227] = {.lex_state = 98},
  [18228] = {.lex_state = 0},
  [18229] = {.lex_state = 98},
  [18230] = {.lex_state = 0},
  [18231] = {.lex_state = 0},
  [18232] = {.lex_state = 0},
  [18233] = {.lex_state = 0},
  [18234] = {.lex_state = 0},
  [18235] = {.lex_state = 0},
  [18236] = {.lex_state = 0},
  [18237] = {.lex_state = 98},
  [18238] = {.lex_state = 98},
  [18239] = {.lex_state = 0},
  [18240] = {.lex_state = 0},
  [18241] = {.lex_state = 98},
  [18242] = {.lex_state = 98},
  [18243] = {.lex_state = 0},
  [18244] = {.lex_state = 98},
  [18245] = {.lex_state = 98},
  [18246] = {.lex_state = 98},
  [18247] = {.lex_state = 98},
  [18248] = {.lex_state = 98},
  [18249] = {.lex_state = 0},
  [18250] = {.lex_state = 0},
  [18251] = {.lex_state = 0},
  [18252] = {.lex_state = 0},
  [18253] = {.lex_state = 0},
  [18254] = {.lex_state = 98},
  [18255] = {.lex_state = 98},
  [18256] = {.lex_state = 98},
  [18257] = {.lex_state = 0},
  [18258] = {.lex_state = 0},
  [18259] = {.lex_state = 0},
  [18260] = {.lex_state = 91},
  [18261] = {.lex_state = 0},
  [18262] = {.lex_state = 0},
  [18263] = {.lex_state = 0},
  [18264] = {.lex_state = 0},
  [18265] = {.lex_state = 0},
  [18266] = {.lex_state = 0},
  [18267] = {.lex_state = 0},
  [18268] = {.lex_state = 0},
  [18269] = {.lex_state = 0},
  [18270] = {.lex_state = 0},
  [18271] = {.lex_state = 0},
  [18272] = {.lex_state = 98},
  [18273] = {.lex_state = 0},
  [18274] = {.lex_state = 0},
  [18275] = {.lex_state = 0},
  [18276] = {.lex_state = 0},
  [18277] = {.lex_state = 0},
  [18278] = {.lex_state = 98},
  [18279] = {.lex_state = 0},
  [18280] = {.lex_state = 0},
  [18281] = {.lex_state = 98},
  [18282] = {.lex_state = 0},
  [18283] = {.lex_state = 0},
  [18284] = {.lex_state = 0},
  [18285] = {.lex_state = 0},
  [18286] = {.lex_state = 98},
  [18287] = {.lex_state = 0},
  [18288] = {.lex_state = 0},
  [18289] = {.lex_state = 0},
  [18290] = {.lex_state = 0},
  [18291] = {.lex_state = 0},
  [18292] = {.lex_state = 0},
  [18293] = {.lex_state = 0},
  [18294] = {.lex_state = 0},
  [18295] = {.lex_state = 98},
  [18296] = {.lex_state = 98},
  [18297] = {.lex_state = 98},
  [18298] = {.lex_state = 0},
  [18299] = {.lex_state = 0},
  [18300] = {.lex_state = 0},
  [18301] = {.lex_state = 0},
  [18302] = {.lex_state = 0},
  [18303] = {.lex_state = 0},
  [18304] = {.lex_state = 0},
  [18305] = {.lex_state = 98},
  [18306] = {.lex_state = 98},
  [18307] = {.lex_state = 98},
  [18308] = {.lex_state = 98},
  [18309] = {.lex_state = 98},
  [18310] = {.lex_state = 98},
  [18311] = {.lex_state = 98},
  [18312] = {.lex_state = 0},
  [18313] = {.lex_state = 99},
  [18314] = {.lex_state = 0},
  [18315] = {.lex_state = 98},
  [18316] = {.lex_state = 98},
  [18317] = {.lex_state = 0},
  [18318] = {.lex_state = 0},
  [18319] = {.lex_state = 0},
  [18320] = {.lex_state = 0},
  [18321] = {.lex_state = 0},
  [18322] = {.lex_state = 0},
  [18323] = {.lex_state = 0, .external_lex_state = 4},
  [18324] = {.lex_state = 0},
  [18325] = {.lex_state = 0},
  [18326] = {.lex_state = 0},
  [18327] = {.lex_state = 0},
  [18328] = {.lex_state = 0},
  [18329] = {.lex_state = 0},
  [18330] = {.lex_state = 0},
  [18331] = {.lex_state = 99},
  [18332] = {.lex_state = 0},
  [18333] = {.lex_state = 0},
  [18334] = {.lex_state = 0},
  [18335] = {.lex_state = 0},
  [18336] = {.lex_state = 0},
  [18337] = {.lex_state = 98},
  [18338] = {.lex_state = 0},
  [18339] = {.lex_state = 0},
  [18340] = {.lex_state = 0},
  [18341] = {.lex_state = 0},
  [18342] = {.lex_state = 0},
  [18343] = {.lex_state = 0},
  [18344] = {.lex_state = 98},
  [18345] = {.lex_state = 0},
  [18346] = {.lex_state = 91},
  [18347] = {.lex_state = 0},
  [18348] = {.lex_state = 0},
  [18349] = {.lex_state = 0},
  [18350] = {.lex_state = 0},
  [18351] = {.lex_state = 0},
  [18352] = {.lex_state = 0},
  [18353] = {.lex_state = 98},
  [18354] = {.lex_state = 98},
  [18355] = {.lex_state = 0},
  [18356] = {.lex_state = 0},
  [18357] = {.lex_state = 0},
  [18358] = {.lex_state = 0},
  [18359] = {.lex_state = 0},
  [18360] = {.lex_state = 0},
  [18361] = {.lex_state = 98},
  [18362] = {.lex_state = 98},
  [18363] = {.lex_state = 98},
  [18364] = {.lex_state = 98},
  [18365] = {.lex_state = 98},
  [18366] = {.lex_state = 98},
  [18367] = {.lex_state = 0},
  [18368] = {.lex_state = 98},
  [18369] = {.lex_state = 0},
  [18370] = {.lex_state = 0},
  [18371] = {.lex_state = 0},
  [18372] = {.lex_state = 0},
  [18373] = {.lex_state = 0},
  [18374] = {.lex_state = 0},
  [18375] = {.lex_state = 0},
  [18376] = {.lex_state = 0},
  [18377] = {.lex_state = 0},
  [18378] = {.lex_state = 98},
  [18379] = {.lex_state = 0},
  [18380] = {.lex_state = 98},
  [18381] = {.lex_state = 0},
  [18382] = {.lex_state = 0},
  [18383] = {.lex_state = 0},
  [18384] = {.lex_state = 0},
  [18385] = {.lex_state = 0},
  [18386] = {.lex_state = 0},
  [18387] = {.lex_state = 0},
  [18388] = {.lex_state = 0},
  [18389] = {.lex_state = 98},
  [18390] = {.lex_state = 98},
  [18391] = {.lex_state = 91},
  [18392] = {.lex_state = 0},
  [18393] = {.lex_state = 0},
  [18394] = {.lex_state = 0},
  [18395] = {.lex_state = 0},
  [18396] = {.lex_state = 98},
  [18397] = {.lex_state = 98},
  [18398] = {.lex_state = 98},
  [18399] = {.lex_state = 98},
  [18400] = {.lex_state = 98},
  [18401] = {.lex_state = 98},
  [18402] = {.lex_state = 0},
  [18403] = {.lex_state = 98},
  [18404] = {.lex_state = 0},
  [18405] = {.lex_state = 0},
  [18406] = {.lex_state = 0},
  [18407] = {.lex_state = 0},
  [18408] = {.lex_state = 0},
  [18409] = {.lex_state = 98},
  [18410] = {.lex_state = 0},
  [18411] = {.lex_state = 0},
  [18412] = {.lex_state = 0},
  [18413] = {.lex_state = 0},
  [18414] = {.lex_state = 0},
  [18415] = {.lex_state = 0},
  [18416] = {.lex_state = 0},
  [18417] = {.lex_state = 98},
  [18418] = {.lex_state = 98},
  [18419] = {.lex_state = 0},
  [18420] = {.lex_state = 0},
  [18421] = {.lex_state = 0},
  [18422] = {.lex_state = 0},
  [18423] = {.lex_state = 98},
  [18424] = {.lex_state = 98},
  [18425] = {.lex_state = 0},
  [18426] = {.lex_state = 0},
  [18427] = {.lex_state = 0},
  [18428] = {.lex_state = 0},
  [18429] = {.lex_state = 0},
  [18430] = {.lex_state = 98},
  [18431] = {.lex_state = 98},
  [18432] = {.lex_state = 98},
  [18433] = {.lex_state = 98},
  [18434] = {.lex_state = 98},
  [18435] = {.lex_state = 98},
  [18436] = {.lex_state = 0},
  [18437] = {.lex_state = 98},
  [18438] = {.lex_state = 98},
  [18439] = {.lex_state = 0},
  [18440] = {.lex_state = 98},
  [18441] = {.lex_state = 0},
  [18442] = {.lex_state = 0},
  [18443] = {.lex_state = 0},
  [18444] = {.lex_state = 0, .external_lex_state = 4},
  [18445] = {.lex_state = 0},
  [18446] = {.lex_state = 0},
  [18447] = {.lex_state = 98},
  [18448] = {.lex_state = 0},
  [18449] = {.lex_state = 0},
  [18450] = {.lex_state = 0},
  [18451] = {.lex_state = 0},
  [18452] = {.lex_state = 0},
  [18453] = {.lex_state = 0},
  [18454] = {.lex_state = 0},
  [18455] = {.lex_state = 98},
  [18456] = {.lex_state = 98},
  [18457] = {.lex_state = 98},
  [18458] = {.lex_state = 98},
  [18459] = {.lex_state = 98},
  [18460] = {.lex_state = 0},
  [18461] = {.lex_state = 0},
  [18462] = {.lex_state = 0},
  [18463] = {.lex_state = 0},
  [18464] = {.lex_state = 98},
  [18465] = {.lex_state = 98},
  [18466] = {.lex_state = 98},
  [18467] = {.lex_state = 98},
  [18468] = {.lex_state = 98},
  [18469] = {.lex_state = 98},
  [18470] = {.lex_state = 0},
  [18471] = {.lex_state = 98},
  [18472] = {.lex_state = 0},
  [18473] = {.lex_state = 0},
  [18474] = {.lex_state = 0},
  [18475] = {.lex_state = 98},
  [18476] = {.lex_state = 0},
  [18477] = {.lex_state = 0},
  [18478] = {.lex_state = 0},
  [18479] = {.lex_state = 0},
  [18480] = {.lex_state = 0},
  [18481] = {.lex_state = 0},
  [18482] = {.lex_state = 0},
  [18483] = {.lex_state = 98},
  [18484] = {.lex_state = 98},
  [18485] = {.lex_state = 0},
  [18486] = {.lex_state = 0},
  [18487] = {.lex_state = 98},
  [18488] = {.lex_state = 98},
  [18489] = {.lex_state = 0},
  [18490] = {.lex_state = 0},
  [18491] = {.lex_state = 0},
  [18492] = {.lex_state = 0},
  [18493] = {.lex_state = 0},
  [18494] = {.lex_state = 98},
  [18495] = {.lex_state = 98},
  [18496] = {.lex_state = 98},
  [18497] = {.lex_state = 98},
  [18498] = {.lex_state = 98},
  [18499] = {.lex_state = 98},
  [18500] = {.lex_state = 0},
  [18501] = {.lex_state = 98},
  [18502] = {.lex_state = 0},
  [18503] = {.lex_state = 0},
  [18504] = {.lex_state = 0},
  [18505] = {.lex_state = 0},
  [18506] = {.lex_state = 0},
  [18507] = {.lex_state = 98},
  [18508] = {.lex_state = 0},
  [18509] = {.lex_state = 0},
  [18510] = {.lex_state = 0},
  [18511] = {.lex_state = 0, .external_lex_state = 4},
  [18512] = {.lex_state = 0},
  [18513] = {.lex_state = 0},
  [18514] = {.lex_state = 98},
  [18515] = {.lex_state = 98},
  [18516] = {.lex_state = 0},
  [18517] = {.lex_state = 0},
  [18518] = {.lex_state = 0},
  [18519] = {.lex_state = 0},
  [18520] = {.lex_state = 0},
  [18521] = {.lex_state = 98},
  [18522] = {.lex_state = 98},
  [18523] = {.lex_state = 98},
  [18524] = {.lex_state = 98},
  [18525] = {.lex_state = 98},
  [18526] = {.lex_state = 98},
  [18527] = {.lex_state = 0},
  [18528] = {.lex_state = 98},
  [18529] = {.lex_state = 0},
  [18530] = {.lex_state = 0},
  [18531] = {.lex_state = 0},
  [18532] = {.lex_state = 0},
  [18533] = {.lex_state = 0},
  [18534] = {.lex_state = 0},
  [18535] = {.lex_state = 0},
  [18536] = {.lex_state = 0},
  [18537] = {.lex_state = 0},
  [18538] = {.lex_state = 0},
  [18539] = {.lex_state = 0},
  [18540] = {.lex_state = 0},
  [18541] = {.lex_state = 98},
  [18542] = {.lex_state = 98},
  [18543] = {.lex_state = 98},
  [18544] = {.lex_state = 0},
  [18545] = {.lex_state = 0},
  [18546] = {.lex_state = 0},
  [18547] = {.lex_state = 0},
  [18548] = {.lex_state = 98},
  [18549] = {.lex_state = 98},
  [18550] = {.lex_state = 98},
  [18551] = {.lex_state = 98},
  [18552] = {.lex_state = 98},
  [18553] = {.lex_state = 98},
  [18554] = {.lex_state = 0},
  [18555] = {.lex_state = 98},
  [18556] = {.lex_state = 0},
  [18557] = {.lex_state = 0},
  [18558] = {.lex_state = 0},
  [18559] = {.lex_state = 0},
  [18560] = {.lex_state = 0},
  [18561] = {.lex_state = 0},
  [18562] = {.lex_state = 0},
  [18563] = {.lex_state = 0},
  [18564] = {.lex_state = 0},
  [18565] = {.lex_state = 0},
  [18566] = {.lex_state = 0},
  [18567] = {.lex_state = 0},
  [18568] = {.lex_state = 98},
  [18569] = {.lex_state = 98},
  [18570] = {.lex_state = 98},
  [18571] = {.lex_state = 0},
  [18572] = {.lex_state = 0},
  [18573] = {.lex_state = 0},
  [18574] = {.lex_state = 0},
  [18575] = {.lex_state = 98},
  [18576] = {.lex_state = 98},
  [18577] = {.lex_state = 98},
  [18578] = {.lex_state = 98},
  [18579] = {.lex_state = 98},
  [18580] = {.lex_state = 98},
  [18581] = {.lex_state = 0},
  [18582] = {.lex_state = 0},
  [18583] = {.lex_state = 0},
  [18584] = {.lex_state = 0},
  [18585] = {.lex_state = 0},
  [18586] = {.lex_state = 0},
  [18587] = {.lex_state = 0},
  [18588] = {.lex_state = 0},
  [18589] = {.lex_state = 0},
  [18590] = {.lex_state = 0},
  [18591] = {.lex_state = 0},
  [18592] = {.lex_state = 0},
  [18593] = {.lex_state = 0},
  [18594] = {.lex_state = 0},
  [18595] = {.lex_state = 98},
  [18596] = {.lex_state = 98},
  [18597] = {.lex_state = 98},
  [18598] = {.lex_state = 0},
  [18599] = {.lex_state = 0},
  [18600] = {.lex_state = 0},
  [18601] = {.lex_state = 0},
  [18602] = {.lex_state = 98},
  [18603] = {.lex_state = 98},
  [18604] = {.lex_state = 98},
  [18605] = {.lex_state = 98},
  [18606] = {.lex_state = 98},
  [18607] = {.lex_state = 98},
  [18608] = {.lex_state = 0},
  [18609] = {.lex_state = 0},
  [18610] = {.lex_state = 0},
  [18611] = {.lex_state = 98},
  [18612] = {.lex_state = 0},
  [18613] = {.lex_state = 0},
  [18614] = {.lex_state = 0},
  [18615] = {.lex_state = 98},
  [18616] = {.lex_state = 0},
  [18617] = {.lex_state = 0},
  [18618] = {.lex_state = 0},
  [18619] = {.lex_state = 98},
  [18620] = {.lex_state = 0},
  [18621] = {.lex_state = 0},
  [18622] = {.lex_state = 98},
  [18623] = {.lex_state = 98},
  [18624] = {.lex_state = 98},
  [18625] = {.lex_state = 0},
  [18626] = {.lex_state = 0},
  [18627] = {.lex_state = 98},
  [18628] = {.lex_state = 98},
  [18629] = {.lex_state = 98},
  [18630] = {.lex_state = 98},
  [18631] = {.lex_state = 98},
  [18632] = {.lex_state = 98},
  [18633] = {.lex_state = 98},
  [18634] = {.lex_state = 98},
  [18635] = {.lex_state = 0},
  [18636] = {.lex_state = 92},
  [18637] = {.lex_state = 98},
  [18638] = {.lex_state = 0},
  [18639] = {.lex_state = 98},
  [18640] = {.lex_state = 0},
  [18641] = {.lex_state = 0},
  [18642] = {.lex_state = 0},
  [18643] = {.lex_state = 0},
  [18644] = {.lex_state = 0},
  [18645] = {.lex_state = 0},
  [18646] = {.lex_state = 0},
  [18647] = {.lex_state = 98},
  [18648] = {.lex_state = 0},
  [18649] = {.lex_state = 98},
  [18650] = {.lex_state = 98},
  [18651] = {.lex_state = 0},
  [18652] = {.lex_state = 91},
  [18653] = {.lex_state = 0},
  [18654] = {.lex_state = 0},
  [18655] = {.lex_state = 0},
  [18656] = {.lex_state = 98},
  [18657] = {.lex_state = 98},
  [18658] = {.lex_state = 98},
  [18659] = {.lex_state = 98},
  [18660] = {.lex_state = 98},
  [18661] = {.lex_state = 98},
  [18662] = {.lex_state = 0},
  [18663] = {.lex_state = 0},
  [18664] = {.lex_state = 0},
  [18665] = {.lex_state = 91},
  [18666] = {.lex_state = 0},
  [18667] = {.lex_state = 0},
  [18668] = {.lex_state = 0},
  [18669] = {.lex_state = 0},
  [18670] = {.lex_state = 0},
  [18671] = {.lex_state = 0},
  [18672] = {.lex_state = 0},
  [18673] = {.lex_state = 98},
  [18674] = {.lex_state = 0},
  [18675] = {.lex_state = 0},
  [18676] = {.lex_state = 98},
  [18677] = {.lex_state = 98},
  [18678] = {.lex_state = 98},
  [18679] = {.lex_state = 0},
  [18680] = {.lex_state = 0},
  [18681] = {.lex_state = 0},
  [18682] = {.lex_state = 0},
  [18683] = {.lex_state = 98},
  [18684] = {.lex_state = 98},
  [18685] = {.lex_state = 98},
  [18686] = {.lex_state = 98},
  [18687] = {.lex_state = 98},
  [18688] = {.lex_state = 98},
  [18689] = {.lex_state = 0},
  [18690] = {.lex_state = 0},
  [18691] = {.lex_state = 0},
  [18692] = {.lex_state = 0},
  [18693] = {.lex_state = 0},
  [18694] = {.lex_state = 0},
  [18695] = {.lex_state = 0},
  [18696] = {.lex_state = 0},
  [18697] = {.lex_state = 0},
  [18698] = {.lex_state = 0},
  [18699] = {.lex_state = 0},
  [18700] = {.lex_state = 0},
  [18701] = {.lex_state = 0},
  [18702] = {.lex_state = 0},
  [18703] = {.lex_state = 98},
  [18704] = {.lex_state = 98},
  [18705] = {.lex_state = 0},
  [18706] = {.lex_state = 0},
  [18707] = {.lex_state = 0},
  [18708] = {.lex_state = 0},
  [18709] = {.lex_state = 0},
  [18710] = {.lex_state = 98},
  [18711] = {.lex_state = 98},
  [18712] = {.lex_state = 98},
  [18713] = {.lex_state = 98},
  [18714] = {.lex_state = 98},
  [18715] = {.lex_state = 98},
  [18716] = {.lex_state = 0},
  [18717] = {.lex_state = 0},
  [18718] = {.lex_state = 0},
  [18719] = {.lex_state = 0},
  [18720] = {.lex_state = 0},
  [18721] = {.lex_state = 0},
  [18722] = {.lex_state = 0},
  [18723] = {.lex_state = 0},
  [18724] = {.lex_state = 0},
  [18725] = {.lex_state = 0},
  [18726] = {.lex_state = 98},
  [18727] = {.lex_state = 0},
  [18728] = {.lex_state = 0},
  [18729] = {.lex_state = 98},
  [18730] = {.lex_state = 98},
  [18731] = {.lex_state = 98},
  [18732] = {.lex_state = 0, .external_lex_state = 4},
  [18733] = {.lex_state = 0},
  [18734] = {.lex_state = 0},
  [18735] = {.lex_state = 0},
  [18736] = {.lex_state = 0},
  [18737] = {.lex_state = 98},
  [18738] = {.lex_state = 98},
  [18739] = {.lex_state = 98},
  [18740] = {.lex_state = 98},
  [18741] = {.lex_state = 98},
  [18742] = {.lex_state = 98},
  [18743] = {.lex_state = 0},
  [18744] = {.lex_state = 0},
  [18745] = {.lex_state = 0},
  [18746] = {.lex_state = 0},
  [18747] = {.lex_state = 0},
  [18748] = {.lex_state = 98},
  [18749] = {.lex_state = 0},
  [18750] = {.lex_state = 0},
  [18751] = {.lex_state = 0},
  [18752] = {.lex_state = 98},
  [18753] = {.lex_state = 98},
  [18754] = {.lex_state = 98},
  [18755] = {.lex_state = 98},
  [18756] = {.lex_state = 98},
  [18757] = {.lex_state = 98},
  [18758] = {.lex_state = 0},
  [18759] = {.lex_state = 0},
  [18760] = {.lex_state = 0},
  [18761] = {.lex_state = 98},
  [18762] = {.lex_state = 0},
  [18763] = {.lex_state = 0},
  [18764] = {.lex_state = 98},
  [18765] = {.lex_state = 98},
  [18766] = {.lex_state = 98},
  [18767] = {.lex_state = 98},
  [18768] = {.lex_state = 98},
  [18769] = {.lex_state = 98},
  [18770] = {.lex_state = 98},
  [18771] = {.lex_state = 0},
  [18772] = {.lex_state = 0},
  [18773] = {.lex_state = 0},
  [18774] = {.lex_state = 98},
  [18775] = {.lex_state = 99},
  [18776] = {.lex_state = 98},
  [18777] = {.lex_state = 0},
  [18778] = {.lex_state = 98},
  [18779] = {.lex_state = 98},
  [18780] = {.lex_state = 98},
  [18781] = {.lex_state = 98},
  [18782] = {.lex_state = 98},
  [18783] = {.lex_state = 98},
  [18784] = {.lex_state = 0},
  [18785] = {.lex_state = 0},
  [18786] = {.lex_state = 98},
  [18787] = {.lex_state = 98},
  [18788] = {.lex_state = 98},
  [18789] = {.lex_state = 98},
  [18790] = {.lex_state = 98},
  [18791] = {.lex_state = 98},
  [18792] = {.lex_state = 98},
  [18793] = {.lex_state = 98},
  [18794] = {.lex_state = 98},
  [18795] = {.lex_state = 0},
  [18796] = {.lex_state = 98},
  [18797] = {.lex_state = 98},
  [18798] = {.lex_state = 98},
  [18799] = {.lex_state = 98},
  [18800] = {.lex_state = 98},
  [18801] = {.lex_state = 98},
  [18802] = {.lex_state = 98},
  [18803] = {.lex_state = 98},
  [18804] = {.lex_state = 0},
  [18805] = {.lex_state = 0},
  [18806] = {.lex_state = 98},
  [18807] = {.lex_state = 0},
  [18808] = {.lex_state = 98},
  [18809] = {.lex_state = 98},
  [18810] = {.lex_state = 98},
  [18811] = {.lex_state = 98},
  [18812] = {.lex_state = 98},
  [18813] = {.lex_state = 98},
  [18814] = {.lex_state = 0},
  [18815] = {.lex_state = 0},
  [18816] = {.lex_state = 98},
  [18817] = {.lex_state = 0},
  [18818] = {.lex_state = 98},
  [18819] = {.lex_state = 98},
  [18820] = {.lex_state = 98},
  [18821] = {.lex_state = 98},
  [18822] = {.lex_state = 98},
  [18823] = {.lex_state = 98},
  [18824] = {.lex_state = 0},
  [18825] = {.lex_state = 0},
  [18826] = {.lex_state = 98},
  [18827] = {.lex_state = 0},
  [18828] = {.lex_state = 98},
  [18829] = {.lex_state = 98},
  [18830] = {.lex_state = 98},
  [18831] = {.lex_state = 98},
  [18832] = {.lex_state = 98},
  [18833] = {.lex_state = 98},
  [18834] = {.lex_state = 98},
  [18835] = {.lex_state = 0},
  [18836] = {.lex_state = 0},
  [18837] = {.lex_state = 0},
  [18838] = {.lex_state = 0},
  [18839] = {.lex_state = 0},
  [18840] = {.lex_state = 98},
  [18841] = {.lex_state = 0},
  [18842] = {.lex_state = 0},
  [18843] = {.lex_state = 0},
  [18844] = {.lex_state = 0},
  [18845] = {.lex_state = 0},
  [18846] = {.lex_state = 0},
  [18847] = {.lex_state = 0},
  [18848] = {.lex_state = 98},
  [18849] = {.lex_state = 98},
  [18850] = {.lex_state = 0},
  [18851] = {.lex_state = 98},
  [18852] = {.lex_state = 101},
  [18853] = {.lex_state = 0},
  [18854] = {.lex_state = 0},
  [18855] = {.lex_state = 0},
  [18856] = {.lex_state = 98},
  [18857] = {.lex_state = 0},
  [18858] = {.lex_state = 0},
  [18859] = {.lex_state = 0},
  [18860] = {.lex_state = 0},
  [18861] = {.lex_state = 0},
  [18862] = {.lex_state = 0},
  [18863] = {.lex_state = 0},
  [18864] = {.lex_state = 0},
  [18865] = {.lex_state = 0},
  [18866] = {.lex_state = 0},
  [18867] = {.lex_state = 0},
  [18868] = {.lex_state = 0},
  [18869] = {.lex_state = 0},
  [18870] = {.lex_state = 98},
  [18871] = {.lex_state = 0},
  [18872] = {.lex_state = 0},
  [18873] = {.lex_state = 0},
  [18874] = {.lex_state = 0},
  [18875] = {.lex_state = 0},
  [18876] = {.lex_state = 0},
  [18877] = {.lex_state = 0},
  [18878] = {.lex_state = 98},
  [18879] = {.lex_state = 0},
  [18880] = {.lex_state = 0},
  [18881] = {.lex_state = 0},
  [18882] = {.lex_state = 0},
  [18883] = {.lex_state = 0},
  [18884] = {.lex_state = 0, .external_lex_state = 4},
  [18885] = {.lex_state = 0},
  [18886] = {.lex_state = 0},
  [18887] = {.lex_state = 0},
  [18888] = {.lex_state = 0},
  [18889] = {.lex_state = 0},
  [18890] = {.lex_state = 98},
  [18891] = {.lex_state = 0},
  [18892] = {.lex_state = 98},
  [18893] = {.lex_state = 0},
  [18894] = {.lex_state = 0},
  [18895] = {.lex_state = 98},
  [18896] = {.lex_state = 0},
  [18897] = {.lex_state = 0},
  [18898] = {.lex_state = 0},
  [18899] = {.lex_state = 0},
  [18900] = {.lex_state = 0},
  [18901] = {.lex_state = 98},
  [18902] = {.lex_state = 0},
  [18903] = {.lex_state = 0},
  [18904] = {.lex_state = 0},
  [18905] = {.lex_state = 0},
  [18906] = {.lex_state = 98},
  [18907] = {.lex_state = 98},
  [18908] = {.lex_state = 98},
  [18909] = {.lex_state = 0},
  [18910] = {.lex_state = 0},
  [18911] = {.lex_state = 0},
  [18912] = {.lex_state = 0},
  [18913] = {.lex_state = 0},
  [18914] = {.lex_state = 98},
  [18915] = {.lex_state = 98},
  [18916] = {.lex_state = 98},
  [18917] = {.lex_state = 98},
  [18918] = {.lex_state = 98},
  [18919] = {.lex_state = 98},
  [18920] = {.lex_state = 0},
  [18921] = {.lex_state = 0},
  [18922] = {.lex_state = 0},
  [18923] = {.lex_state = 98},
  [18924] = {.lex_state = 0},
  [18925] = {.lex_state = 98},
  [18926] = {.lex_state = 0},
  [18927] = {.lex_state = 0},
  [18928] = {.lex_state = 0},
  [18929] = {.lex_state = 0},
  [18930] = {.lex_state = 98},
  [18931] = {.lex_state = 98},
  [18932] = {.lex_state = 0},
  [18933] = {.lex_state = 0},
  [18934] = {.lex_state = 0},
  [18935] = {.lex_state = 0},
  [18936] = {.lex_state = 0},
  [18937] = {.lex_state = 0},
  [18938] = {.lex_state = 0},
  [18939] = {.lex_state = 98},
  [18940] = {.lex_state = 0},
  [18941] = {.lex_state = 91},
  [18942] = {.lex_state = 0},
  [18943] = {.lex_state = 0},
  [18944] = {.lex_state = 0},
  [18945] = {.lex_state = 98},
  [18946] = {.lex_state = 98},
  [18947] = {.lex_state = 98},
  [18948] = {.lex_state = 0},
  [18949] = {.lex_state = 0},
  [18950] = {.lex_state = 0},
  [18951] = {.lex_state = 0},
  [18952] = {.lex_state = 0},
  [18953] = {.lex_state = 0},
  [18954] = {.lex_state = 98},
  [18955] = {.lex_state = 0},
  [18956] = {.lex_state = 98},
  [18957] = {.lex_state = 98},
  [18958] = {.lex_state = 0},
  [18959] = {.lex_state = 98},
  [18960] = {.lex_state = 98},
  [18961] = {.lex_state = 0},
  [18962] = {.lex_state = 98},
  [18963] = {.lex_state = 98},
  [18964] = {.lex_state = 0},
  [18965] = {.lex_state = 98},
  [18966] = {.lex_state = 98},
  [18967] = {.lex_state = 98},
  [18968] = {.lex_state = 98},
  [18969] = {.lex_state = 0},
  [18970] = {.lex_state = 98},
  [18971] = {.lex_state = 98},
  [18972] = {.lex_state = 0},
  [18973] = {.lex_state = 0},
  [18974] = {.lex_state = 0},
  [18975] = {.lex_state = 0},
  [18976] = {.lex_state = 0},
  [18977] = {.lex_state = 0},
  [18978] = {.lex_state = 0},
  [18979] = {.lex_state = 0},
  [18980] = {.lex_state = 0},
  [18981] = {.lex_state = 98},
  [18982] = {.lex_state = 0},
  [18983] = {.lex_state = 98},
  [18984] = {.lex_state = 98},
  [18985] = {.lex_state = 0},
  [18986] = {.lex_state = 0},
  [18987] = {.lex_state = 0},
  [18988] = {.lex_state = 98},
  [18989] = {.lex_state = 0},
  [18990] = {.lex_state = 0},
  [18991] = {.lex_state = 0},
  [18992] = {.lex_state = 0},
  [18993] = {.lex_state = 0},
  [18994] = {.lex_state = 0},
  [18995] = {.lex_state = 0},
  [18996] = {.lex_state = 0},
  [18997] = {.lex_state = 0},
  [18998] = {.lex_state = 0},
  [18999] = {.lex_state = 0},
  [19000] = {.lex_state = 0},
  [19001] = {.lex_state = 0},
  [19002] = {.lex_state = 0},
  [19003] = {.lex_state = 0},
  [19004] = {.lex_state = 0},
  [19005] = {.lex_state = 0},
  [19006] = {.lex_state = 0},
  [19007] = {.lex_state = 0},
  [19008] = {.lex_state = 0},
  [19009] = {.lex_state = 0},
  [19010] = {.lex_state = 0},
  [19011] = {.lex_state = 0},
  [19012] = {.lex_state = 0},
  [19013] = {.lex_state = 98},
  [19014] = {.lex_state = 0},
  [19015] = {.lex_state = 0},
  [19016] = {.lex_state = 0},
  [19017] = {.lex_state = 0},
  [19018] = {.lex_state = 0},
  [19019] = {.lex_state = 0},
  [19020] = {.lex_state = 0},
  [19021] = {.lex_state = 0},
  [19022] = {.lex_state = 0},
  [19023] = {.lex_state = 0},
  [19024] = {.lex_state = 0},
  [19025] = {.lex_state = 0},
  [19026] = {.lex_state = 0},
  [19027] = {.lex_state = 0},
  [19028] = {.lex_state = 0, .external_lex_state = 4},
  [19029] = {.lex_state = 0},
  [19030] = {.lex_state = 0},
  [19031] = {.lex_state = 0},
  [19032] = {.lex_state = 0},
  [19033] = {.lex_state = 0},
  [19034] = {.lex_state = 0},
  [19035] = {.lex_state = 0},
  [19036] = {.lex_state = 0},
  [19037] = {.lex_state = 0},
  [19038] = {.lex_state = 98},
  [19039] = {.lex_state = 0},
  [19040] = {.lex_state = 0},
  [19041] = {.lex_state = 0},
  [19042] = {.lex_state = 0},
  [19043] = {.lex_state = 0},
  [19044] = {.lex_state = 0},
  [19045] = {.lex_state = 0},
  [19046] = {.lex_state = 0},
  [19047] = {.lex_state = 0},
  [19048] = {.lex_state = 0},
  [19049] = {.lex_state = 0},
  [19050] = {.lex_state = 0},
  [19051] = {.lex_state = 0},
  [19052] = {.lex_state = 0},
  [19053] = {.lex_state = 0},
  [19054] = {.lex_state = 0},
  [19055] = {.lex_state = 0},
  [19056] = {.lex_state = 0},
  [19057] = {.lex_state = 0},
  [19058] = {.lex_state = 0},
  [19059] = {.lex_state = 0},
  [19060] = {.lex_state = 0},
  [19061] = {.lex_state = 0},
  [19062] = {.lex_state = 0},
  [19063] = {.lex_state = 0},
  [19064] = {.lex_state = 0},
  [19065] = {.lex_state = 0},
  [19066] = {.lex_state = 0},
  [19067] = {.lex_state = 0},
  [19068] = {.lex_state = 0},
  [19069] = {.lex_state = 0},
  [19070] = {.lex_state = 0},
  [19071] = {.lex_state = 0},
  [19072] = {.lex_state = 0},
  [19073] = {.lex_state = 0},
  [19074] = {.lex_state = 0},
  [19075] = {.lex_state = 0},
  [19076] = {.lex_state = 0},
  [19077] = {.lex_state = 0},
  [19078] = {.lex_state = 0},
  [19079] = {.lex_state = 0},
  [19080] = {.lex_state = 0},
  [19081] = {.lex_state = 0},
  [19082] = {.lex_state = 0},
  [19083] = {.lex_state = 0},
  [19084] = {.lex_state = 0},
  [19085] = {.lex_state = 0},
  [19086] = {.lex_state = 0},
  [19087] = {.lex_state = 0},
  [19088] = {.lex_state = 0},
  [19089] = {.lex_state = 0},
  [19090] = {.lex_state = 0},
  [19091] = {.lex_state = 0},
  [19092] = {.lex_state = 0},
  [19093] = {.lex_state = 0},
  [19094] = {.lex_state = 0},
  [19095] = {.lex_state = 0},
  [19096] = {.lex_state = 91},
  [19097] = {.lex_state = 0},
  [19098] = {.lex_state = 0},
  [19099] = {.lex_state = 0},
  [19100] = {.lex_state = 0},
  [19101] = {.lex_state = 0},
  [19102] = {.lex_state = 0},
  [19103] = {.lex_state = 0},
  [19104] = {.lex_state = 0},
  [19105] = {.lex_state = 0},
  [19106] = {.lex_state = 0},
  [19107] = {.lex_state = 0},
  [19108] = {.lex_state = 0},
  [19109] = {.lex_state = 0},
  [19110] = {.lex_state = 0},
  [19111] = {.lex_state = 0},
  [19112] = {.lex_state = 0},
  [19113] = {.lex_state = 0},
  [19114] = {.lex_state = 0},
  [19115] = {.lex_state = 0},
  [19116] = {.lex_state = 0},
  [19117] = {.lex_state = 0},
  [19118] = {.lex_state = 0},
  [19119] = {.lex_state = 0},
  [19120] = {.lex_state = 0},
  [19121] = {.lex_state = 0},
  [19122] = {.lex_state = 0},
  [19123] = {.lex_state = 0},
  [19124] = {.lex_state = 0},
  [19125] = {.lex_state = 0},
  [19126] = {.lex_state = 0},
  [19127] = {.lex_state = 0},
  [19128] = {.lex_state = 0},
  [19129] = {.lex_state = 0},
  [19130] = {.lex_state = 0},
  [19131] = {.lex_state = 0},
  [19132] = {.lex_state = 0},
  [19133] = {.lex_state = 0},
  [19134] = {.lex_state = 0},
  [19135] = {.lex_state = 0},
  [19136] = {.lex_state = 0},
  [19137] = {.lex_state = 98},
  [19138] = {.lex_state = 0},
  [19139] = {.lex_state = 0},
  [19140] = {.lex_state = 0},
  [19141] = {.lex_state = 0},
  [19142] = {.lex_state = 0},
  [19143] = {.lex_state = 0},
  [19144] = {.lex_state = 0},
  [19145] = {.lex_state = 0},
  [19146] = {.lex_state = 0},
  [19147] = {.lex_state = 0},
  [19148] = {.lex_state = 0},
  [19149] = {.lex_state = 0},
  [19150] = {.lex_state = 0},
  [19151] = {.lex_state = 0},
  [19152] = {.lex_state = 0},
  [19153] = {.lex_state = 0},
  [19154] = {.lex_state = 0},
  [19155] = {.lex_state = 0},
  [19156] = {.lex_state = 98},
  [19157] = {.lex_state = 98},
  [19158] = {.lex_state = 98},
  [19159] = {.lex_state = 98},
  [19160] = {.lex_state = 98},
  [19161] = {.lex_state = 0},
  [19162] = {.lex_state = 98},
  [19163] = {.lex_state = 0},
  [19164] = {.lex_state = 0},
  [19165] = {.lex_state = 98},
  [19166] = {.lex_state = 0},
  [19167] = {.lex_state = 0},
  [19168] = {.lex_state = 0},
  [19169] = {.lex_state = 98},
  [19170] = {.lex_state = 0},
  [19171] = {.lex_state = 0},
  [19172] = {.lex_state = 0},
  [19173] = {.lex_state = 0},
  [19174] = {.lex_state = 0},
  [19175] = {.lex_state = 0},
  [19176] = {.lex_state = 98},
  [19177] = {.lex_state = 0},
  [19178] = {.lex_state = 0},
  [19179] = {.lex_state = 98},
  [19180] = {.lex_state = 98},
  [19181] = {.lex_state = 98},
  [19182] = {.lex_state = 0},
  [19183] = {.lex_state = 0},
  [19184] = {.lex_state = 91},
  [19185] = {.lex_state = 0},
  [19186] = {.lex_state = 0},
  [19187] = {.lex_state = 98},
  [19188] = {.lex_state = 98},
  [19189] = {.lex_state = 0},
  [19190] = {.lex_state = 0},
  [19191] = {.lex_state = 0},
  [19192] = {.lex_state = 0},
  [19193] = {.lex_state = 98},
  [19194] = {.lex_state = 98},
  [19195] = {.lex_state = 98},
  [19196] = {.lex_state = 0},
  [19197] = {.lex_state = 0},
  [19198] = {.lex_state = 98},
  [19199] = {.lex_state = 98},
  [19200] = {.lex_state = 98},
  [19201] = {.lex_state = 98},
  [19202] = {.lex_state = 98},
  [19203] = {.lex_state = 98},
  [19204] = {.lex_state = 0},
  [19205] = {.lex_state = 0},
  [19206] = {.lex_state = 0},
  [19207] = {.lex_state = 0},
  [19208] = {.lex_state = 98},
  [19209] = {.lex_state = 0},
  [19210] = {.lex_state = 98},
  [19211] = {.lex_state = 98},
  [19212] = {.lex_state = 98},
  [19213] = {.lex_state = 98},
  [19214] = {.lex_state = 0},
  [19215] = {.lex_state = 0},
  [19216] = {.lex_state = 98},
  [19217] = {.lex_state = 98},
  [19218] = {.lex_state = 98},
  [19219] = {.lex_state = 98},
  [19220] = {.lex_state = 98},
  [19221] = {.lex_state = 98},
  [19222] = {.lex_state = 0},
  [19223] = {.lex_state = 0},
  [19224] = {.lex_state = 98},
  [19225] = {.lex_state = 98},
  [19226] = {.lex_state = 98},
  [19227] = {.lex_state = 0},
  [19228] = {.lex_state = 98},
  [19229] = {.lex_state = 0, .external_lex_state = 4},
  [19230] = {.lex_state = 98},
  [19231] = {.lex_state = 0},
  [19232] = {.lex_state = 98},
  [19233] = {.lex_state = 0},
  [19234] = {.lex_state = 98},
  [19235] = {.lex_state = 98},
  [19236] = {.lex_state = 98},
  [19237] = {.lex_state = 0},
  [19238] = {.lex_state = 98},
  [19239] = {.lex_state = 0},
  [19240] = {.lex_state = 98},
  [19241] = {.lex_state = 0},
  [19242] = {.lex_state = 98},
  [19243] = {.lex_state = 98},
  [19244] = {.lex_state = 98},
  [19245] = {.lex_state = 99},
  [19246] = {.lex_state = 98},
  [19247] = {.lex_state = 0},
  [19248] = {.lex_state = 98},
  [19249] = {.lex_state = 98},
  [19250] = {.lex_state = 98},
  [19251] = {.lex_state = 0},
  [19252] = {.lex_state = 98},
  [19253] = {.lex_state = 98},
  [19254] = {.lex_state = 98},
  [19255] = {.lex_state = 0},
  [19256] = {.lex_state = 0},
  [19257] = {.lex_state = 0},
  [19258] = {.lex_state = 98},
  [19259] = {.lex_state = 98},
  [19260] = {.lex_state = 98},
  [19261] = {.lex_state = 0},
  [19262] = {.lex_state = 0},
  [19263] = {.lex_state = 0},
  [19264] = {.lex_state = 0},
  [19265] = {.lex_state = 0},
  [19266] = {.lex_state = 0},
  [19267] = {.lex_state = 0},
  [19268] = {.lex_state = 98},
  [19269] = {.lex_state = 98},
  [19270] = {.lex_state = 0},
  [19271] = {.lex_state = 0},
  [19272] = {.lex_state = 98},
  [19273] = {.lex_state = 98},
  [19274] = {.lex_state = 0},
  [19275] = {.lex_state = 0},
  [19276] = {.lex_state = 98},
  [19277] = {.lex_state = 98},
  [19278] = {.lex_state = 0},
  [19279] = {.lex_state = 0},
  [19280] = {.lex_state = 0},
  [19281] = {.lex_state = 0},
  [19282] = {.lex_state = 0},
  [19283] = {.lex_state = 0},
  [19284] = {.lex_state = 0},
  [19285] = {.lex_state = 0},
  [19286] = {.lex_state = 0},
  [19287] = {.lex_state = 0},
  [19288] = {.lex_state = 0},
  [19289] = {.lex_state = 0},
  [19290] = {.lex_state = 0},
  [19291] = {.lex_state = 0},
  [19292] = {.lex_state = 0},
  [19293] = {.lex_state = 0},
  [19294] = {.lex_state = 0},
  [19295] = {.lex_state = 0},
  [19296] = {.lex_state = 0},
  [19297] = {.lex_state = 0},
  [19298] = {.lex_state = 0},
  [19299] = {.lex_state = 0},
  [19300] = {.lex_state = 0},
  [19301] = {.lex_state = 0},
  [19302] = {.lex_state = 0},
  [19303] = {.lex_state = 0},
  [19304] = {.lex_state = 0},
  [19305] = {.lex_state = 0},
  [19306] = {.lex_state = 0},
  [19307] = {.lex_state = 0},
  [19308] = {.lex_state = 0},
  [19309] = {.lex_state = 0},
  [19310] = {.lex_state = 98},
  [19311] = {.lex_state = 0},
  [19312] = {.lex_state = 0},
  [19313] = {.lex_state = 98},
  [19314] = {.lex_state = 0},
  [19315] = {.lex_state = 98},
  [19316] = {.lex_state = 0},
  [19317] = {.lex_state = 0},
  [19318] = {.lex_state = 0},
  [19319] = {.lex_state = 98},
  [19320] = {.lex_state = 0},
  [19321] = {.lex_state = 0},
  [19322] = {.lex_state = 0},
  [19323] = {.lex_state = 98},
  [19324] = {.lex_state = 0},
  [19325] = {.lex_state = 0},
  [19326] = {.lex_state = 0},
  [19327] = {.lex_state = 0},
  [19328] = {.lex_state = 0},
  [19329] = {.lex_state = 0},
  [19330] = {.lex_state = 0},
  [19331] = {.lex_state = 0},
  [19332] = {.lex_state = 91},
  [19333] = {.lex_state = 0},
  [19334] = {.lex_state = 0},
  [19335] = {.lex_state = 0},
  [19336] = {.lex_state = 0},
  [19337] = {.lex_state = 0},
  [19338] = {.lex_state = 0},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym__unquoted_identifier] = ACTIONS(1),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1),
    [aux_sym_keyword_temporary_token1] = ACTIONS(1),
    [aux_sym_keyword_temporary_token2] = ACTIONS(1),
    [aux_sym_keyword_replace_token1] = ACTIONS(1),
    [aux_sym_keyword_replace_token2] = ACTIONS(1),
    [aux_sym__keyword_alter_token1] = ACTIONS(1),
    [aux_sym__keyword_from_token1] = ACTIONS(1),
    [aux_sym__keyword_distinct_token1] = ACTIONS(1),
    [aux_sym__keyword_format_token1] = ACTIONS(1),
    [aux_sym__keyword_delete_token1] = ACTIONS(1),
    [aux_sym__keyword_tablesuffix_token1] = ACTIONS(1),
    [aux_sym__keyword_begin_token1] = ACTIONS(1),
    [aux_sym__keyword_end_token1] = ACTIONS(1),
    [aux_sym__keyword_struct_token1] = ACTIONS(1),
    [aux_sym__keyword_range_token1] = ACTIONS(1),
    [aux_sym__keyword_array_token1] = ACTIONS(1),
    [aux_sym__keyword_returns_token1] = ACTIONS(1),
    [aux_sym__keyword_between_token1] = ACTIONS(1),
    [aux_sym__keyword_case_token1] = ACTIONS(1),
    [aux_sym__keyword_when_token1] = ACTIONS(1),
    [aux_sym__keyword_then_token1] = ACTIONS(1),
    [aux_sym__keyword_else_token1] = ACTIONS(1),
    [aux_sym__keyword_is_token1] = ACTIONS(1),
    [aux_sym__keyword_in_token1] = ACTIONS(1),
    [aux_sym__keyword_and_token1] = ACTIONS(1),
    [aux_sym__keyword_like_token1] = ACTIONS(1),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1),
    [aux_sym__keyword_as_token1] = ACTIONS(1),
    [aux_sym__keyword_cast_token1] = ACTIONS(1),
    [aux_sym__keyword_cast_token2] = ACTIONS(1),
    [aux_sym__keyword_window_token1] = ACTIONS(1),
    [aux_sym__keyword_partition_by_token1] = ACTIONS(1),
    [aux_sym__keyword_partition_by_token2] = ACTIONS(1),
    [aux_sym__keyword_date_token1] = ACTIONS(1),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1),
    [aux_sym__keyword_time_token1] = ACTIONS(1),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1),
    [aux_sym__keyword_for_token1] = ACTIONS(1),
    [aux_sym__keyword_partitiontime_token1] = ACTIONS(1),
    [aux_sym__keyword_system_as_of_token1] = ACTIONS(1),
    [aux_sym__keyword_system_as_of_token2] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [aux_sym_declare_statement_token1] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [aux_sym_default_clause_token1] = ACTIONS(1),
    [aux_sym_set_statement_token1] = ACTIONS(1),
    [aux_sym_set_statement_token2] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1),
    [aux_sym_execute_immadiate_statement_token2] = ACTIONS(1),
    [aux_sym_into_clause_token1] = ACTIONS(1),
    [aux_sym_using_clause_token1] = ACTIONS(1),
    [aux_sym_return_satement_token1] = ACTIONS(1),
    [aux_sym_call_statement_token1] = ACTIONS(1),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1),
    [aux_sym_begin_exception_end_statement_token2] = ACTIONS(1),
    [aux_sym_if_statement_token1] = ACTIONS(1),
    [aux_sym_loop_statement_token1] = ACTIONS(1),
    [aux_sym_repeat_statement_token1] = ACTIONS(1),
    [aux_sym_while_statement_token1] = ACTIONS(1),
    [aux_sym_while_statement_token2] = ACTIONS(1),
    [aux_sym_break_statement_token1] = ACTIONS(1),
    [aux_sym_leave_statement_token1] = ACTIONS(1),
    [aux_sym_continue_statement_token1] = ACTIONS(1),
    [aux_sym_iterate_statement_token1] = ACTIONS(1),
    [aux_sym_raise_statement_token1] = ACTIONS(1),
    [aux_sym_raise_statement_token2] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [aux_sym_assert_statement_token1] = ACTIONS(1),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1),
    [aux_sym_create_schema_statement_token2] = ACTIONS(1),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1),
    [aux_sym_drop_schema_option_token1] = ACTIONS(1),
    [aux_sym_drop_schema_option_token2] = ACTIONS(1),
    [aux_sym_create_table_statement_token1] = ACTIONS(1),
    [aux_sym_create_table_statement_token2] = ACTIONS(1),
    [aux_sym_create_table_statement_token3] = ACTIONS(1),
    [aux_sym_clone_clause_token1] = ACTIONS(1),
    [aux_sym_default_collate_clause_token1] = ACTIONS(1),
    [aux_sym_copy_clause_token1] = ACTIONS(1),
    [aux_sym_create_snapshot_table_statement_token1] = ACTIONS(1),
    [aux_sym_create_external_table_statement_token1] = ACTIONS(1),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1),
    [aux_sym_partition_columns_clause_token2] = ACTIONS(1),
    [aux_sym_alter_table_rename_statement_token1] = ACTIONS(1),
    [aux_sym_alter_table_rename_statement_token2] = ACTIONS(1),
    [aux_sym_add_column_action_token1] = ACTIONS(1),
    [aux_sym_add_column_action_token2] = ACTIONS(1),
    [aux_sym_set_data_type_token1] = ACTIONS(1),
    [aux_sym_set_data_type_token2] = ACTIONS(1),
    [aux_sym_drop_notnull_token1] = ACTIONS(1),
    [aux_sym_constraint_enfoce_option_token1] = ACTIONS(1),
    [aux_sym_primary_key_token1] = ACTIONS(1),
    [aux_sym_primary_key_token2] = ACTIONS(1),
    [aux_sym_foreign_key_token1] = ACTIONS(1),
    [aux_sym_foreign_key_references_token1] = ACTIONS(1),
    [aux_sym_add_foreign_key_action_token1] = ACTIONS(1),
    [aux_sym_drop_table_statement_token1] = ACTIONS(1),
    [aux_sym_option_clause_token1] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [aux_sym_partition_expression_token1] = ACTIONS(1),
    [aux_sym_partition_expression_token2] = ACTIONS(1),
    [aux_sym_partition_expression_token3] = ACTIONS(1),
    [aux_sym_partition_expression_token4] = ACTIONS(1),
    [aux_sym_partition_expression_token5] = ACTIONS(1),
    [aux_sym_partition_expression_token6] = ACTIONS(1),
    [aux_sym_partition_expression_token7] = ACTIONS(1),
    [aux_sym_partition_expression_token8] = ACTIONS(1),
    [aux_sym_partition_expression_token9] = ACTIONS(1),
    [aux_sym_partition_expression_token10] = ACTIONS(1),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1),
    [aux_sym_create_function_statement_token1] = ACTIONS(1),
    [aux_sym_create_remote_function_statement_token1] = ACTIONS(1),
    [aux_sym_create_remote_function_statement_token2] = ACTIONS(1),
    [aux_sym__function_language_token1] = ACTIONS(1),
    [aux_sym_create_procedure_statement_token1] = ACTIONS(1),
    [aux_sym_procedure_argument_token1] = ACTIONS(1),
    [aux_sym_procedure_argument_token2] = ACTIONS(1),
    [aux_sym_create_model_statement_token1] = ACTIONS(1),
    [aux_sym_transoform_clause_token1] = ACTIONS(1),
    [aux_sym_set_operation_token1] = ACTIONS(1),
    [aux_sym_set_operation_token2] = ACTIONS(1),
    [aux_sym_set_operation_token3] = ACTIONS(1),
    [aux_sym_set_operation_token4] = ACTIONS(1),
    [aux_sym_select_token1] = ACTIONS(1),
    [aux_sym_select_token2] = ACTIONS(1),
    [aux_sym_having_clause_token1] = ACTIONS(1),
    [aux_sym_qualify_clause_token1] = ACTIONS(1),
    [aux_sym_limit_clause_token1] = ACTIONS(1),
    [aux_sym_limit_clause_token2] = ACTIONS(1),
    [aux_sym_group_by_clause_token1] = ACTIONS(1),
    [aux_sym_grouping_sets_token1] = ACTIONS(1),
    [aux_sym_grouping_sets_token2] = ACTIONS(1),
    [aux_sym_rollup_token1] = ACTIONS(1),
    [aux_sym_cube_token1] = ACTIONS(1),
    [aux_sym_rows_range_token1] = ACTIONS(1),
    [aux_sym_window_numeric_preceding_token1] = ACTIONS(1),
    [aux_sym_window_numeric_following_token1] = ACTIONS(1),
    [aux_sym_keyword_unbounded_preceding_token1] = ACTIONS(1),
    [aux_sym_keyword_current_row_token1] = ACTIONS(1),
    [aux_sym_keyword_current_row_token2] = ACTIONS(1),
    [aux_sym_aggregation_threshold_clause_token1] = ACTIONS(1),
    [anon_sym_OPTIONS] = ACTIONS(1),
    [aux_sym_differential_privacy_clause_token1] = ACTIONS(1),
    [aux_sym__direction_keywords_token1] = ACTIONS(1),
    [aux_sym__direction_keywords_token2] = ACTIONS(1),
    [aux_sym__nulls_preference_token1] = ACTIONS(1),
    [aux_sym__nulls_preference_token2] = ACTIONS(1),
    [aux_sym__nulls_preference_token3] = ACTIONS(1),
    [aux_sym_order_by_clause_token1] = ACTIONS(1),
    [aux_sym_where_clause_token1] = ACTIONS(1),
    [aux_sym_cte_clause_token1] = ACTIONS(1),
    [aux_sym_pivot_operator_token1] = ACTIONS(1),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1),
    [aux_sym_unpivot_operator_token2] = ACTIONS(1),
    [aux_sym_unpivot_operator_token3] = ACTIONS(1),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1),
    [aux_sym_tablesample_operator_token2] = ACTIONS(1),
    [aux_sym_tablesample_operator_token3] = ACTIONS(1),
    [aux_sym_join_type_token1] = ACTIONS(1),
    [aux_sym_join_type_token2] = ACTIONS(1),
    [aux_sym_join_type_token3] = ACTIONS(1),
    [aux_sym_join_type_token4] = ACTIONS(1),
    [aux_sym_join_type_token5] = ACTIONS(1),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1),
    [aux_sym_join_condition_token1] = ACTIONS(1),
    [aux_sym_analytics_clause_token1] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [aux_sym_function_call_token1] = ACTIONS(1),
    [aux_sym_function_call_token2] = ACTIONS(1),
    [aux_sym_having_max_clause_token1] = ACTIONS(1),
    [aux_sym_having_min_clause_token1] = ACTIONS(1),
    [aux_sym_unnest_operator_token1] = ACTIONS(1),
    [aux_sym_insert_statement_token1] = ACTIONS(1),
    [aux_sym_values_clause_token1] = ACTIONS(1),
    [aux_sym_truncate_statement_token1] = ACTIONS(1),
    [aux_sym_update_statement_token1] = ACTIONS(1),
    [aux_sym_merge_statement_token1] = ACTIONS(1),
    [aux_sym_merge_matched_clause_token1] = ACTIONS(1),
    [aux_sym_merge_not_matched_by_target_clause_token1] = ACTIONS(1),
    [aux_sym_merge_not_matched_by_source_clause_token1] = ACTIONS(1),
    [aux_sym_grant_statement_token1] = ACTIONS(1),
    [aux_sym_grant_statement_token2] = ACTIONS(1),
    [aux_sym_revoke_statement_token1] = ACTIONS(1),
    [sym_privilege_role] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_user] = ACTIONS(1),
    [anon_sym_group] = ACTIONS(1),
    [anon_sym_serviceAccount] = ACTIONS(1),
    [anon_sym_domain] = ACTIONS(1),
    [anon_sym_specialGroup] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [aux_sym_export_data_statement_token1] = ACTIONS(1),
    [anon_sym_AS] = ACTIONS(1),
    [aux_sym_load_data_statement_token1] = ACTIONS(1),
    [aux_sym_load_data_statement_token2] = ACTIONS(1),
    [aux_sym_from_files_clause_token1] = ACTIONS(1),
    [aux_sym_TRUE_token1] = ACTIONS(1),
    [aux_sym_FALSE_token1] = ACTIONS(1),
    [sym__integer] = ACTIONS(1),
    [aux_sym_numeric_token1] = ACTIONS(1),
    [aux_sym_numeric_token2] = ACTIONS(1),
    [aux_sym_numeric_token3] = ACTIONS(1),
    [aux_sym_numeric_token4] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [aux_sym_interval_token1] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [aux_sym_json_token1] = ACTIONS(1),
    [sym_system_variable] = ACTIONS(1),
    [sym__named_query_parameter] = ACTIONS(1),
    [sym__positional_query_parameter] = ACTIONS(1),
    [sym__quoted_identifier] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_LT_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_operator_compare] = ACTIONS(1),
    [aux_sym_quantitve_like_operator_token1] = ACTIONS(1),
    [aux_sym_quantitve_like_operator_token2] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [aux_sym_argument_reference_token1] = ACTIONS(1),
    [sym__string_start] = ACTIONS(1),
    [sym__string_content] = ACTIONS(1),
    [sym__string_end] = ACTIONS(1),
  },
  [1] = {
    [sym_source_file] = STATE(19061),
    [sym__keyword_alter] = STATE(15146),
    [sym__keyword_delete] = STATE(11411),
    [sym__keyword_repeat] = STATE(200),
    [sym__keyword_for] = STATE(11539),
    [sym__statement] = STATE(142),
    [sym_declare_statement] = STATE(8035),
    [sym_set_statement] = STATE(8035),
    [sym_execute_immadiate_statement] = STATE(8035),
    [sym_return_satement] = STATE(8035),
    [sym_call_statement] = STATE(8035),
    [sym_begin_end_statement] = STATE(8035),
    [sym_begin_exception_end_statement] = STATE(8035),
    [sym_if_statement] = STATE(8035),
    [sym_loop_statement] = STATE(8035),
    [sym_repeat_statement] = STATE(8035),
    [sym_while_statement] = STATE(8035),
    [sym_for_in_statement] = STATE(8035),
    [sym_break_statement] = STATE(8035),
    [sym_leave_statement] = STATE(8035),
    [sym_continue_statement] = STATE(8035),
    [sym_iterate_statement] = STATE(8035),
    [sym_raise_statement] = STATE(8035),
    [sym_assert_statement] = STATE(8035),
    [sym_create_schema_statement] = STATE(8035),
    [sym_alter_schema_statement] = STATE(8035),
    [sym_drop_schema_statement] = STATE(8035),
    [sym_create_table_statement] = STATE(8035),
    [sym_create_table_like_statement] = STATE(8035),
    [sym_create_table_clone_statement] = STATE(8035),
    [sym_create_table_copy_statement] = STATE(8035),
    [sym_create_snapshot_table_statement] = STATE(8035),
    [sym_create_external_table_statement] = STATE(8035),
    [sym_alter_table_statement] = STATE(8035),
    [sym_alter_table_rename_statement] = STATE(8035),
    [sym_alter_table_column_statement] = STATE(8035),
    [sym_drop_table_statement] = STATE(8035),
    [sym_create_function_statement] = STATE(8035),
    [sym_create_remote_function_statement] = STATE(8035),
    [sym_drop_function_statement] = STATE(8035),
    [sym_create_table_function_statement] = STATE(8035),
    [sym_drop_table_function_statement] = STATE(8035),
    [sym_create_procedure_statement] = STATE(8035),
    [sym_drop_procedure_statement] = STATE(8035),
    [sym_create_model_statement] = STATE(8035),
    [sym_drop_model_statement] = STATE(8035),
    [sym_query_statement] = STATE(8035),
    [sym_set_operation] = STATE(7271),
    [sym_query_expr] = STATE(8361),
    [sym_select] = STATE(7271),
    [sym_cte_clause] = STATE(12900),
    [sym_insert_statement] = STATE(8035),
    [sym_delete_statement] = STATE(8035),
    [sym_truncate_statement] = STATE(8035),
    [sym_update_statement] = STATE(8035),
    [sym_merge_statement] = STATE(8035),
    [sym_grant_statement] = STATE(8035),
    [sym_revoke_statement] = STATE(8035),
    [sym_export_data_statement] = STATE(8035),
    [sym_load_data_statement] = STATE(8035),
    [aux_sym_source_file_repeat1] = STATE(142),
    [ts_builtin_sym_end] = ACTIONS(5),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(7),
    [aux_sym__keyword_alter_token1] = ACTIONS(9),
    [aux_sym__keyword_delete_token1] = ACTIONS(11),
    [aux_sym__keyword_begin_token1] = ACTIONS(13),
    [aux_sym__keyword_repeat_token1] = ACTIONS(15),
    [aux_sym__keyword_for_token1] = ACTIONS(17),
    [aux_sym_declare_statement_token1] = ACTIONS(19),
    [aux_sym_set_statement_token1] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(25),
    [aux_sym_return_satement_token1] = ACTIONS(27),
    [aux_sym_call_statement_token1] = ACTIONS(29),
    [aux_sym_loop_statement_token1] = ACTIONS(31),
    [aux_sym_while_statement_token1] = ACTIONS(33),
    [aux_sym_break_statement_token1] = ACTIONS(35),
    [aux_sym_leave_statement_token1] = ACTIONS(37),
    [aux_sym_continue_statement_token1] = ACTIONS(39),
    [aux_sym_iterate_statement_token1] = ACTIONS(41),
    [aux_sym_raise_statement_token1] = ACTIONS(43),
    [aux_sym_assert_statement_token1] = ACTIONS(45),
    [aux_sym_create_schema_statement_token1] = ACTIONS(47),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(49),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(51),
    [aux_sym_select_token1] = ACTIONS(53),
    [aux_sym_insert_statement_token1] = ACTIONS(55),
    [aux_sym_truncate_statement_token1] = ACTIONS(57),
    [aux_sym_update_statement_token1] = ACTIONS(59),
    [aux_sym_merge_statement_token1] = ACTIONS(61),
    [aux_sym_grant_statement_token1] = ACTIONS(63),
    [aux_sym_revoke_statement_token1] = ACTIONS(65),
    [aux_sym_export_data_statement_token1] = ACTIONS(67),
    [aux_sym_load_data_statement_token1] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
  },
  [2] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16311),
    [sym__keyword_case] = STATE(358),
    [sym__keyword_not] = STATE(1156),
    [sym__keyword_cast] = STATE(19279),
    [sym__keyword_date] = STATE(2060),
    [sym__keyword_datetime] = STATE(2060),
    [sym__keyword_time] = STATE(2060),
    [sym__keyword_timestamp] = STATE(2060),
    [sym_select_all] = STATE(5383),
    [sym__aliasable_expression] = STATE(5384),
    [sym_select_subexpression] = STATE(2225),
    [sym_function_call] = STATE(2225),
    [sym_unnest_operator] = STATE(108),
    [sym_unnest_clause] = STATE(2225),
    [sym__literal] = STATE(2225),
    [sym_NULL] = STATE(2225),
    [sym_TRUE] = STATE(2225),
    [sym_FALSE] = STATE(2225),
    [sym__float] = STATE(2243),
    [sym_numeric] = STATE(2243),
    [sym__number] = STATE(2243),
    [sym_interval] = STATE(2225),
    [sym_range] = STATE(2225),
    [sym_time] = STATE(2225),
    [sym_number] = STATE(2225),
    [sym_json] = STATE(2225),
    [sym_query_parameter] = STATE(2225),
    [sym__type_chrono] = STATE(1347),
    [sym__type_struct] = STATE(19044),
    [sym__type_array] = STATE(18343),
    [sym_array] = STATE(2225),
    [sym_struct] = STATE(2225),
    [sym__identifier] = STATE(1950),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(2273),
    [sym_string] = STATE(2225),
    [sym__expression] = STATE(20),
    [sym__parenthesized_expression] = STATE(2225),
    [sym_element_access] = STATE(2225),
    [sym_field_access] = STATE(2225),
    [sym_unary_expression] = STATE(2225),
    [sym_binary_expression] = STATE(2225),
    [sym_between_operator] = STATE(2225),
    [sym_casewhen_expression] = STATE(2225),
    [sym_cast_expression] = STATE(2225),
    [sym_asterisk_expression] = STATE(5318),
    [sym_argument_reference] = STATE(2225),
    [aux_sym_identifier_repeat1] = STATE(13635),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(73),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_alter_token1] = ACTIONS(73),
    [aux_sym__keyword_from_token1] = ACTIONS(73),
    [aux_sym__keyword_delete_token1] = ACTIONS(73),
    [aux_sym__keyword_begin_token1] = ACTIONS(73),
    [aux_sym__keyword_end_token1] = ACTIONS(73),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_when_token1] = ACTIONS(73),
    [aux_sym__keyword_else_token1] = ACTIONS(73),
    [aux_sym__keyword_repeat_token1] = ACTIONS(73),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_window_token1] = ACTIONS(73),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [aux_sym__keyword_for_token1] = ACTIONS(73),
    [anon_sym_SEMI] = ACTIONS(91),
    [aux_sym_declare_statement_token1] = ACTIONS(73),
    [aux_sym_set_statement_token1] = ACTIONS(73),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(73),
    [aux_sym_return_satement_token1] = ACTIONS(73),
    [aux_sym_call_statement_token1] = ACTIONS(73),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(73),
    [aux_sym_if_statement_token1] = ACTIONS(73),
    [aux_sym_loop_statement_token1] = ACTIONS(73),
    [aux_sym_repeat_statement_token1] = ACTIONS(73),
    [aux_sym_while_statement_token1] = ACTIONS(73),
    [aux_sym_break_statement_token1] = ACTIONS(73),
    [aux_sym_leave_statement_token1] = ACTIONS(73),
    [aux_sym_continue_statement_token1] = ACTIONS(73),
    [aux_sym_iterate_statement_token1] = ACTIONS(73),
    [aux_sym_raise_statement_token1] = ACTIONS(73),
    [aux_sym_assert_statement_token1] = ACTIONS(73),
    [aux_sym_create_schema_statement_token1] = ACTIONS(73),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(73),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(73),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_set_operation_token1] = ACTIONS(73),
    [aux_sym_set_operation_token3] = ACTIONS(73),
    [aux_sym_set_operation_token4] = ACTIONS(73),
    [aux_sym_select_token1] = ACTIONS(73),
    [aux_sym_having_clause_token1] = ACTIONS(73),
    [aux_sym_qualify_clause_token1] = ACTIONS(73),
    [aux_sym_limit_clause_token1] = ACTIONS(73),
    [aux_sym_group_by_clause_token1] = ACTIONS(73),
    [aux_sym_order_by_clause_token1] = ACTIONS(73),
    [aux_sym_where_clause_token1] = ACTIONS(73),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_insert_statement_token1] = ACTIONS(73),
    [aux_sym_truncate_statement_token1] = ACTIONS(73),
    [aux_sym_update_statement_token1] = ACTIONS(73),
    [aux_sym_merge_statement_token1] = ACTIONS(73),
    [aux_sym_grant_statement_token1] = ACTIONS(73),
    [aux_sym_revoke_statement_token1] = ACTIONS(73),
    [aux_sym_export_data_statement_token1] = ACTIONS(73),
    [aux_sym_load_data_statement_token1] = ACTIONS(73),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [3] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16311),
    [sym__keyword_case] = STATE(358),
    [sym__keyword_not] = STATE(1156),
    [sym__keyword_cast] = STATE(19279),
    [sym__keyword_date] = STATE(2060),
    [sym__keyword_datetime] = STATE(2060),
    [sym__keyword_time] = STATE(2060),
    [sym__keyword_timestamp] = STATE(2060),
    [sym_select_all] = STATE(5383),
    [sym__aliasable_expression] = STATE(5384),
    [sym_select_subexpression] = STATE(2225),
    [sym_function_call] = STATE(2225),
    [sym_unnest_operator] = STATE(108),
    [sym_unnest_clause] = STATE(2225),
    [sym__literal] = STATE(2225),
    [sym_NULL] = STATE(2225),
    [sym_TRUE] = STATE(2225),
    [sym_FALSE] = STATE(2225),
    [sym__float] = STATE(2243),
    [sym_numeric] = STATE(2243),
    [sym__number] = STATE(2243),
    [sym_interval] = STATE(2225),
    [sym_range] = STATE(2225),
    [sym_time] = STATE(2225),
    [sym_number] = STATE(2225),
    [sym_json] = STATE(2225),
    [sym_query_parameter] = STATE(2225),
    [sym__type_chrono] = STATE(1347),
    [sym__type_struct] = STATE(19044),
    [sym__type_array] = STATE(18343),
    [sym_array] = STATE(2225),
    [sym_struct] = STATE(2225),
    [sym__identifier] = STATE(1950),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(2273),
    [sym_string] = STATE(2225),
    [sym__expression] = STATE(20),
    [sym__parenthesized_expression] = STATE(2225),
    [sym_element_access] = STATE(2225),
    [sym_field_access] = STATE(2225),
    [sym_unary_expression] = STATE(2225),
    [sym_binary_expression] = STATE(2225),
    [sym_between_operator] = STATE(2225),
    [sym_casewhen_expression] = STATE(2225),
    [sym_cast_expression] = STATE(2225),
    [sym_asterisk_expression] = STATE(5318),
    [sym_argument_reference] = STATE(2225),
    [aux_sym_identifier_repeat1] = STATE(13635),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(137),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_alter_token1] = ACTIONS(137),
    [aux_sym__keyword_from_token1] = ACTIONS(137),
    [aux_sym__keyword_delete_token1] = ACTIONS(137),
    [aux_sym__keyword_begin_token1] = ACTIONS(137),
    [aux_sym__keyword_end_token1] = ACTIONS(137),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_when_token1] = ACTIONS(137),
    [aux_sym__keyword_else_token1] = ACTIONS(137),
    [aux_sym__keyword_repeat_token1] = ACTIONS(137),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_window_token1] = ACTIONS(137),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [aux_sym__keyword_for_token1] = ACTIONS(137),
    [anon_sym_SEMI] = ACTIONS(139),
    [aux_sym_declare_statement_token1] = ACTIONS(137),
    [aux_sym_set_statement_token1] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(137),
    [aux_sym_return_satement_token1] = ACTIONS(137),
    [aux_sym_call_statement_token1] = ACTIONS(137),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(137),
    [aux_sym_if_statement_token1] = ACTIONS(137),
    [aux_sym_loop_statement_token1] = ACTIONS(137),
    [aux_sym_repeat_statement_token1] = ACTIONS(137),
    [aux_sym_while_statement_token1] = ACTIONS(137),
    [aux_sym_break_statement_token1] = ACTIONS(137),
    [aux_sym_leave_statement_token1] = ACTIONS(137),
    [aux_sym_continue_statement_token1] = ACTIONS(137),
    [aux_sym_iterate_statement_token1] = ACTIONS(137),
    [aux_sym_raise_statement_token1] = ACTIONS(137),
    [aux_sym_assert_statement_token1] = ACTIONS(137),
    [aux_sym_create_schema_statement_token1] = ACTIONS(137),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(137),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(137),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_set_operation_token1] = ACTIONS(137),
    [aux_sym_set_operation_token3] = ACTIONS(137),
    [aux_sym_set_operation_token4] = ACTIONS(137),
    [aux_sym_select_token1] = ACTIONS(137),
    [aux_sym_having_clause_token1] = ACTIONS(137),
    [aux_sym_qualify_clause_token1] = ACTIONS(137),
    [aux_sym_limit_clause_token1] = ACTIONS(137),
    [aux_sym_group_by_clause_token1] = ACTIONS(137),
    [aux_sym_order_by_clause_token1] = ACTIONS(137),
    [aux_sym_where_clause_token1] = ACTIONS(137),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_insert_statement_token1] = ACTIONS(137),
    [aux_sym_truncate_statement_token1] = ACTIONS(137),
    [aux_sym_update_statement_token1] = ACTIONS(137),
    [aux_sym_merge_statement_token1] = ACTIONS(137),
    [aux_sym_grant_statement_token1] = ACTIONS(137),
    [aux_sym_revoke_statement_token1] = ACTIONS(137),
    [aux_sym_export_data_statement_token1] = ACTIONS(137),
    [aux_sym_load_data_statement_token1] = ACTIONS(137),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [4] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16311),
    [sym__keyword_case] = STATE(358),
    [sym__keyword_not] = STATE(1156),
    [sym__keyword_cast] = STATE(19279),
    [sym__keyword_date] = STATE(2060),
    [sym__keyword_datetime] = STATE(2060),
    [sym__keyword_time] = STATE(2060),
    [sym__keyword_timestamp] = STATE(2060),
    [sym_select_all] = STATE(5383),
    [sym__aliasable_expression] = STATE(5384),
    [sym_select_subexpression] = STATE(2225),
    [sym_function_call] = STATE(2225),
    [sym_unnest_operator] = STATE(108),
    [sym_unnest_clause] = STATE(2225),
    [sym__literal] = STATE(2225),
    [sym_NULL] = STATE(2225),
    [sym_TRUE] = STATE(2225),
    [sym_FALSE] = STATE(2225),
    [sym__float] = STATE(2243),
    [sym_numeric] = STATE(2243),
    [sym__number] = STATE(2243),
    [sym_interval] = STATE(2225),
    [sym_range] = STATE(2225),
    [sym_time] = STATE(2225),
    [sym_number] = STATE(2225),
    [sym_json] = STATE(2225),
    [sym_query_parameter] = STATE(2225),
    [sym__type_chrono] = STATE(1347),
    [sym__type_struct] = STATE(19044),
    [sym__type_array] = STATE(18343),
    [sym_array] = STATE(2225),
    [sym_struct] = STATE(2225),
    [sym__identifier] = STATE(1950),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(2273),
    [sym_string] = STATE(2225),
    [sym__expression] = STATE(20),
    [sym__parenthesized_expression] = STATE(2225),
    [sym_element_access] = STATE(2225),
    [sym_field_access] = STATE(2225),
    [sym_unary_expression] = STATE(2225),
    [sym_binary_expression] = STATE(2225),
    [sym_between_operator] = STATE(2225),
    [sym_casewhen_expression] = STATE(2225),
    [sym_cast_expression] = STATE(2225),
    [sym_asterisk_expression] = STATE(5318),
    [sym_argument_reference] = STATE(2225),
    [aux_sym_identifier_repeat1] = STATE(13635),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(141),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_alter_token1] = ACTIONS(141),
    [aux_sym__keyword_from_token1] = ACTIONS(141),
    [aux_sym__keyword_delete_token1] = ACTIONS(141),
    [aux_sym__keyword_begin_token1] = ACTIONS(141),
    [aux_sym__keyword_end_token1] = ACTIONS(141),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_when_token1] = ACTIONS(141),
    [aux_sym__keyword_else_token1] = ACTIONS(141),
    [aux_sym__keyword_repeat_token1] = ACTIONS(141),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_window_token1] = ACTIONS(141),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [aux_sym__keyword_for_token1] = ACTIONS(141),
    [anon_sym_SEMI] = ACTIONS(143),
    [aux_sym_declare_statement_token1] = ACTIONS(141),
    [aux_sym_set_statement_token1] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(141),
    [aux_sym_return_satement_token1] = ACTIONS(141),
    [aux_sym_call_statement_token1] = ACTIONS(141),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(141),
    [aux_sym_if_statement_token1] = ACTIONS(141),
    [aux_sym_loop_statement_token1] = ACTIONS(141),
    [aux_sym_repeat_statement_token1] = ACTIONS(141),
    [aux_sym_while_statement_token1] = ACTIONS(141),
    [aux_sym_break_statement_token1] = ACTIONS(141),
    [aux_sym_leave_statement_token1] = ACTIONS(141),
    [aux_sym_continue_statement_token1] = ACTIONS(141),
    [aux_sym_iterate_statement_token1] = ACTIONS(141),
    [aux_sym_raise_statement_token1] = ACTIONS(141),
    [aux_sym_assert_statement_token1] = ACTIONS(141),
    [aux_sym_create_schema_statement_token1] = ACTIONS(141),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(141),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(141),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_set_operation_token1] = ACTIONS(141),
    [aux_sym_set_operation_token3] = ACTIONS(141),
    [aux_sym_set_operation_token4] = ACTIONS(141),
    [aux_sym_select_token1] = ACTIONS(141),
    [aux_sym_having_clause_token1] = ACTIONS(141),
    [aux_sym_qualify_clause_token1] = ACTIONS(141),
    [aux_sym_limit_clause_token1] = ACTIONS(141),
    [aux_sym_group_by_clause_token1] = ACTIONS(141),
    [aux_sym_order_by_clause_token1] = ACTIONS(141),
    [aux_sym_where_clause_token1] = ACTIONS(141),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_insert_statement_token1] = ACTIONS(141),
    [aux_sym_truncate_statement_token1] = ACTIONS(141),
    [aux_sym_update_statement_token1] = ACTIONS(141),
    [aux_sym_merge_statement_token1] = ACTIONS(141),
    [aux_sym_grant_statement_token1] = ACTIONS(141),
    [aux_sym_revoke_statement_token1] = ACTIONS(141),
    [aux_sym_export_data_statement_token1] = ACTIONS(141),
    [aux_sym_load_data_statement_token1] = ACTIONS(141),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [5] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16311),
    [sym__keyword_case] = STATE(358),
    [sym__keyword_not] = STATE(1156),
    [sym__keyword_cast] = STATE(19279),
    [sym__keyword_date] = STATE(2060),
    [sym__keyword_datetime] = STATE(2060),
    [sym__keyword_time] = STATE(2060),
    [sym__keyword_timestamp] = STATE(2060),
    [sym_select_all] = STATE(5383),
    [sym__aliasable_expression] = STATE(5384),
    [sym_select_subexpression] = STATE(2225),
    [sym_function_call] = STATE(2225),
    [sym_unnest_operator] = STATE(108),
    [sym_unnest_clause] = STATE(2225),
    [sym__literal] = STATE(2225),
    [sym_NULL] = STATE(2225),
    [sym_TRUE] = STATE(2225),
    [sym_FALSE] = STATE(2225),
    [sym__float] = STATE(2243),
    [sym_numeric] = STATE(2243),
    [sym__number] = STATE(2243),
    [sym_interval] = STATE(2225),
    [sym_range] = STATE(2225),
    [sym_time] = STATE(2225),
    [sym_number] = STATE(2225),
    [sym_json] = STATE(2225),
    [sym_query_parameter] = STATE(2225),
    [sym__type_chrono] = STATE(1347),
    [sym__type_struct] = STATE(19044),
    [sym__type_array] = STATE(18343),
    [sym_array] = STATE(2225),
    [sym_struct] = STATE(2225),
    [sym__identifier] = STATE(1950),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(2273),
    [sym_string] = STATE(2225),
    [sym__expression] = STATE(20),
    [sym__parenthesized_expression] = STATE(2225),
    [sym_element_access] = STATE(2225),
    [sym_field_access] = STATE(2225),
    [sym_unary_expression] = STATE(2225),
    [sym_binary_expression] = STATE(2225),
    [sym_between_operator] = STATE(2225),
    [sym_casewhen_expression] = STATE(2225),
    [sym_cast_expression] = STATE(2225),
    [sym_asterisk_expression] = STATE(5318),
    [sym_argument_reference] = STATE(2225),
    [aux_sym_identifier_repeat1] = STATE(13635),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(145),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_alter_token1] = ACTIONS(145),
    [aux_sym__keyword_from_token1] = ACTIONS(145),
    [aux_sym__keyword_delete_token1] = ACTIONS(145),
    [aux_sym__keyword_begin_token1] = ACTIONS(145),
    [aux_sym__keyword_end_token1] = ACTIONS(145),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_when_token1] = ACTIONS(145),
    [aux_sym__keyword_else_token1] = ACTIONS(145),
    [aux_sym__keyword_repeat_token1] = ACTIONS(145),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_window_token1] = ACTIONS(145),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [aux_sym__keyword_for_token1] = ACTIONS(145),
    [anon_sym_SEMI] = ACTIONS(147),
    [aux_sym_declare_statement_token1] = ACTIONS(145),
    [aux_sym_set_statement_token1] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(145),
    [aux_sym_return_satement_token1] = ACTIONS(145),
    [aux_sym_call_statement_token1] = ACTIONS(145),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(145),
    [aux_sym_if_statement_token1] = ACTIONS(145),
    [aux_sym_loop_statement_token1] = ACTIONS(145),
    [aux_sym_repeat_statement_token1] = ACTIONS(145),
    [aux_sym_while_statement_token1] = ACTIONS(145),
    [aux_sym_break_statement_token1] = ACTIONS(145),
    [aux_sym_leave_statement_token1] = ACTIONS(145),
    [aux_sym_continue_statement_token1] = ACTIONS(145),
    [aux_sym_iterate_statement_token1] = ACTIONS(145),
    [aux_sym_raise_statement_token1] = ACTIONS(145),
    [aux_sym_assert_statement_token1] = ACTIONS(145),
    [aux_sym_create_schema_statement_token1] = ACTIONS(145),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(145),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(145),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_set_operation_token1] = ACTIONS(145),
    [aux_sym_set_operation_token3] = ACTIONS(145),
    [aux_sym_set_operation_token4] = ACTIONS(145),
    [aux_sym_select_token1] = ACTIONS(145),
    [aux_sym_having_clause_token1] = ACTIONS(145),
    [aux_sym_qualify_clause_token1] = ACTIONS(145),
    [aux_sym_limit_clause_token1] = ACTIONS(145),
    [aux_sym_group_by_clause_token1] = ACTIONS(145),
    [aux_sym_order_by_clause_token1] = ACTIONS(145),
    [aux_sym_where_clause_token1] = ACTIONS(145),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_insert_statement_token1] = ACTIONS(145),
    [aux_sym_truncate_statement_token1] = ACTIONS(145),
    [aux_sym_update_statement_token1] = ACTIONS(145),
    [aux_sym_merge_statement_token1] = ACTIONS(145),
    [aux_sym_grant_statement_token1] = ACTIONS(145),
    [aux_sym_revoke_statement_token1] = ACTIONS(145),
    [aux_sym_export_data_statement_token1] = ACTIONS(145),
    [aux_sym_load_data_statement_token1] = ACTIONS(145),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [6] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1444),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_all] = STATE(5383),
    [sym__aliasable_expression] = STATE(5384),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(198),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(75),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_asterisk_expression] = STATE(5318),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [ts_builtin_sym_end] = ACTIONS(143),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(141),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_alter_token1] = ACTIONS(141),
    [aux_sym__keyword_from_token1] = ACTIONS(141),
    [aux_sym__keyword_delete_token1] = ACTIONS(141),
    [aux_sym__keyword_begin_token1] = ACTIONS(141),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_when_token1] = ACTIONS(141),
    [aux_sym__keyword_repeat_token1] = ACTIONS(141),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_window_token1] = ACTIONS(141),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [aux_sym__keyword_for_token1] = ACTIONS(141),
    [anon_sym_SEMI] = ACTIONS(143),
    [aux_sym_declare_statement_token1] = ACTIONS(141),
    [aux_sym_set_statement_token1] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(141),
    [aux_sym_return_satement_token1] = ACTIONS(141),
    [aux_sym_call_statement_token1] = ACTIONS(141),
    [aux_sym_loop_statement_token1] = ACTIONS(141),
    [aux_sym_while_statement_token1] = ACTIONS(141),
    [aux_sym_break_statement_token1] = ACTIONS(141),
    [aux_sym_leave_statement_token1] = ACTIONS(141),
    [aux_sym_continue_statement_token1] = ACTIONS(141),
    [aux_sym_iterate_statement_token1] = ACTIONS(141),
    [aux_sym_raise_statement_token1] = ACTIONS(141),
    [aux_sym_assert_statement_token1] = ACTIONS(141),
    [aux_sym_create_schema_statement_token1] = ACTIONS(141),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(141),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(141),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_set_operation_token1] = ACTIONS(141),
    [aux_sym_set_operation_token3] = ACTIONS(141),
    [aux_sym_set_operation_token4] = ACTIONS(141),
    [aux_sym_select_token1] = ACTIONS(141),
    [aux_sym_having_clause_token1] = ACTIONS(141),
    [aux_sym_qualify_clause_token1] = ACTIONS(141),
    [aux_sym_limit_clause_token1] = ACTIONS(141),
    [aux_sym_group_by_clause_token1] = ACTIONS(141),
    [aux_sym_order_by_clause_token1] = ACTIONS(141),
    [aux_sym_where_clause_token1] = ACTIONS(141),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_insert_statement_token1] = ACTIONS(141),
    [aux_sym_truncate_statement_token1] = ACTIONS(141),
    [aux_sym_update_statement_token1] = ACTIONS(141),
    [aux_sym_merge_statement_token1] = ACTIONS(141),
    [aux_sym_grant_statement_token1] = ACTIONS(141),
    [aux_sym_revoke_statement_token1] = ACTIONS(141),
    [aux_sym_export_data_statement_token1] = ACTIONS(141),
    [aux_sym_load_data_statement_token1] = ACTIONS(141),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [7] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1444),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_all] = STATE(5383),
    [sym__aliasable_expression] = STATE(5384),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(198),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(75),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_asterisk_expression] = STATE(5318),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [ts_builtin_sym_end] = ACTIONS(147),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(145),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_alter_token1] = ACTIONS(145),
    [aux_sym__keyword_from_token1] = ACTIONS(145),
    [aux_sym__keyword_delete_token1] = ACTIONS(145),
    [aux_sym__keyword_begin_token1] = ACTIONS(145),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_when_token1] = ACTIONS(145),
    [aux_sym__keyword_repeat_token1] = ACTIONS(145),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_window_token1] = ACTIONS(145),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [aux_sym__keyword_for_token1] = ACTIONS(145),
    [anon_sym_SEMI] = ACTIONS(147),
    [aux_sym_declare_statement_token1] = ACTIONS(145),
    [aux_sym_set_statement_token1] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(145),
    [aux_sym_return_satement_token1] = ACTIONS(145),
    [aux_sym_call_statement_token1] = ACTIONS(145),
    [aux_sym_loop_statement_token1] = ACTIONS(145),
    [aux_sym_while_statement_token1] = ACTIONS(145),
    [aux_sym_break_statement_token1] = ACTIONS(145),
    [aux_sym_leave_statement_token1] = ACTIONS(145),
    [aux_sym_continue_statement_token1] = ACTIONS(145),
    [aux_sym_iterate_statement_token1] = ACTIONS(145),
    [aux_sym_raise_statement_token1] = ACTIONS(145),
    [aux_sym_assert_statement_token1] = ACTIONS(145),
    [aux_sym_create_schema_statement_token1] = ACTIONS(145),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(145),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(145),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_set_operation_token1] = ACTIONS(145),
    [aux_sym_set_operation_token3] = ACTIONS(145),
    [aux_sym_set_operation_token4] = ACTIONS(145),
    [aux_sym_select_token1] = ACTIONS(145),
    [aux_sym_having_clause_token1] = ACTIONS(145),
    [aux_sym_qualify_clause_token1] = ACTIONS(145),
    [aux_sym_limit_clause_token1] = ACTIONS(145),
    [aux_sym_group_by_clause_token1] = ACTIONS(145),
    [aux_sym_order_by_clause_token1] = ACTIONS(145),
    [aux_sym_where_clause_token1] = ACTIONS(145),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_insert_statement_token1] = ACTIONS(145),
    [aux_sym_truncate_statement_token1] = ACTIONS(145),
    [aux_sym_update_statement_token1] = ACTIONS(145),
    [aux_sym_merge_statement_token1] = ACTIONS(145),
    [aux_sym_grant_statement_token1] = ACTIONS(145),
    [aux_sym_revoke_statement_token1] = ACTIONS(145),
    [aux_sym_export_data_statement_token1] = ACTIONS(145),
    [aux_sym_load_data_statement_token1] = ACTIONS(145),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [8] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1444),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_all] = STATE(5383),
    [sym__aliasable_expression] = STATE(5384),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(198),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(75),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_asterisk_expression] = STATE(5318),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [ts_builtin_sym_end] = ACTIONS(91),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(73),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_alter_token1] = ACTIONS(73),
    [aux_sym__keyword_from_token1] = ACTIONS(73),
    [aux_sym__keyword_delete_token1] = ACTIONS(73),
    [aux_sym__keyword_begin_token1] = ACTIONS(73),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_when_token1] = ACTIONS(73),
    [aux_sym__keyword_repeat_token1] = ACTIONS(73),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_window_token1] = ACTIONS(73),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [aux_sym__keyword_for_token1] = ACTIONS(73),
    [anon_sym_SEMI] = ACTIONS(91),
    [aux_sym_declare_statement_token1] = ACTIONS(73),
    [aux_sym_set_statement_token1] = ACTIONS(73),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(73),
    [aux_sym_return_satement_token1] = ACTIONS(73),
    [aux_sym_call_statement_token1] = ACTIONS(73),
    [aux_sym_loop_statement_token1] = ACTIONS(73),
    [aux_sym_while_statement_token1] = ACTIONS(73),
    [aux_sym_break_statement_token1] = ACTIONS(73),
    [aux_sym_leave_statement_token1] = ACTIONS(73),
    [aux_sym_continue_statement_token1] = ACTIONS(73),
    [aux_sym_iterate_statement_token1] = ACTIONS(73),
    [aux_sym_raise_statement_token1] = ACTIONS(73),
    [aux_sym_assert_statement_token1] = ACTIONS(73),
    [aux_sym_create_schema_statement_token1] = ACTIONS(73),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(73),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(73),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_set_operation_token1] = ACTIONS(73),
    [aux_sym_set_operation_token3] = ACTIONS(73),
    [aux_sym_set_operation_token4] = ACTIONS(73),
    [aux_sym_select_token1] = ACTIONS(73),
    [aux_sym_having_clause_token1] = ACTIONS(73),
    [aux_sym_qualify_clause_token1] = ACTIONS(73),
    [aux_sym_limit_clause_token1] = ACTIONS(73),
    [aux_sym_group_by_clause_token1] = ACTIONS(73),
    [aux_sym_order_by_clause_token1] = ACTIONS(73),
    [aux_sym_where_clause_token1] = ACTIONS(73),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_insert_statement_token1] = ACTIONS(73),
    [aux_sym_truncate_statement_token1] = ACTIONS(73),
    [aux_sym_update_statement_token1] = ACTIONS(73),
    [aux_sym_merge_statement_token1] = ACTIONS(73),
    [aux_sym_grant_statement_token1] = ACTIONS(73),
    [aux_sym_revoke_statement_token1] = ACTIONS(73),
    [aux_sym_export_data_statement_token1] = ACTIONS(73),
    [aux_sym_load_data_statement_token1] = ACTIONS(73),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [9] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1444),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_all] = STATE(5383),
    [sym__aliasable_expression] = STATE(5384),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(198),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(75),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_asterisk_expression] = STATE(5318),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [ts_builtin_sym_end] = ACTIONS(139),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(137),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_alter_token1] = ACTIONS(137),
    [aux_sym__keyword_from_token1] = ACTIONS(137),
    [aux_sym__keyword_delete_token1] = ACTIONS(137),
    [aux_sym__keyword_begin_token1] = ACTIONS(137),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_when_token1] = ACTIONS(137),
    [aux_sym__keyword_repeat_token1] = ACTIONS(137),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_window_token1] = ACTIONS(137),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [aux_sym__keyword_for_token1] = ACTIONS(137),
    [anon_sym_SEMI] = ACTIONS(139),
    [aux_sym_declare_statement_token1] = ACTIONS(137),
    [aux_sym_set_statement_token1] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(137),
    [aux_sym_return_satement_token1] = ACTIONS(137),
    [aux_sym_call_statement_token1] = ACTIONS(137),
    [aux_sym_loop_statement_token1] = ACTIONS(137),
    [aux_sym_while_statement_token1] = ACTIONS(137),
    [aux_sym_break_statement_token1] = ACTIONS(137),
    [aux_sym_leave_statement_token1] = ACTIONS(137),
    [aux_sym_continue_statement_token1] = ACTIONS(137),
    [aux_sym_iterate_statement_token1] = ACTIONS(137),
    [aux_sym_raise_statement_token1] = ACTIONS(137),
    [aux_sym_assert_statement_token1] = ACTIONS(137),
    [aux_sym_create_schema_statement_token1] = ACTIONS(137),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(137),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(137),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_set_operation_token1] = ACTIONS(137),
    [aux_sym_set_operation_token3] = ACTIONS(137),
    [aux_sym_set_operation_token4] = ACTIONS(137),
    [aux_sym_select_token1] = ACTIONS(137),
    [aux_sym_having_clause_token1] = ACTIONS(137),
    [aux_sym_qualify_clause_token1] = ACTIONS(137),
    [aux_sym_limit_clause_token1] = ACTIONS(137),
    [aux_sym_group_by_clause_token1] = ACTIONS(137),
    [aux_sym_order_by_clause_token1] = ACTIONS(137),
    [aux_sym_where_clause_token1] = ACTIONS(137),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_insert_statement_token1] = ACTIONS(137),
    [aux_sym_truncate_statement_token1] = ACTIONS(137),
    [aux_sym_update_statement_token1] = ACTIONS(137),
    [aux_sym_merge_statement_token1] = ACTIONS(137),
    [aux_sym_grant_statement_token1] = ACTIONS(137),
    [aux_sym_revoke_statement_token1] = ACTIONS(137),
    [aux_sym_export_data_statement_token1] = ACTIONS(137),
    [aux_sym_load_data_statement_token1] = ACTIONS(137),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [10] = {
    [sym__keyword_as] = STATE(11483),
    [sym__keyword_date] = STATE(580),
    [sym__keyword_datetime] = STATE(580),
    [sym__keyword_time] = STATE(580),
    [sym__keyword_timestamp] = STATE(580),
    [sym_as_alias] = STATE(400),
    [sym_unnest_withoffset] = STATE(403),
    [sym__type_chrono] = STATE(461),
    [sym__identifier] = STATE(383),
    [sym__dotted_identifier] = STATE(13828),
    [sym_identifier] = STATE(607),
    [aux_sym_identifier_repeat1] = STATE(13828),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(205),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(205),
    [aux_sym_keyword_replace_token1] = ACTIONS(205),
    [aux_sym__keyword_alter_token1] = ACTIONS(205),
    [aux_sym__keyword_delete_token1] = ACTIONS(205),
    [aux_sym__keyword_begin_token1] = ACTIONS(205),
    [aux_sym__keyword_end_token1] = ACTIONS(205),
    [aux_sym__keyword_between_token1] = ACTIONS(205),
    [aux_sym__keyword_when_token1] = ACTIONS(205),
    [aux_sym__keyword_else_token1] = ACTIONS(205),
    [aux_sym__keyword_is_token1] = ACTIONS(205),
    [aux_sym__keyword_in_token1] = ACTIONS(205),
    [aux_sym__keyword_and_token1] = ACTIONS(205),
    [aux_sym__keyword_like_token1] = ACTIONS(205),
    [aux_sym__keyword_repeat_token1] = ACTIONS(205),
    [aux_sym__keyword_as_token1] = ACTIONS(207),
    [aux_sym__keyword_window_token1] = ACTIONS(205),
    [aux_sym__keyword_date_token1] = ACTIONS(209),
    [aux_sym__keyword_datetime_token1] = ACTIONS(209),
    [aux_sym__keyword_time_token1] = ACTIONS(209),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(209),
    [aux_sym__keyword_for_token1] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(211),
    [aux_sym_declare_statement_token1] = ACTIONS(205),
    [anon_sym_COMMA] = ACTIONS(211),
    [aux_sym_set_statement_token1] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(211),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(205),
    [aux_sym_using_clause_token1] = ACTIONS(205),
    [aux_sym_return_satement_token1] = ACTIONS(205),
    [aux_sym_call_statement_token1] = ACTIONS(205),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(205),
    [aux_sym_if_statement_token1] = ACTIONS(205),
    [aux_sym_loop_statement_token1] = ACTIONS(205),
    [aux_sym_repeat_statement_token1] = ACTIONS(205),
    [aux_sym_while_statement_token1] = ACTIONS(205),
    [aux_sym_break_statement_token1] = ACTIONS(205),
    [aux_sym_leave_statement_token1] = ACTIONS(205),
    [aux_sym_continue_statement_token1] = ACTIONS(205),
    [aux_sym_iterate_statement_token1] = ACTIONS(205),
    [aux_sym_raise_statement_token1] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(211),
    [aux_sym_assert_statement_token1] = ACTIONS(205),
    [aux_sym_create_schema_statement_token1] = ACTIONS(205),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(205),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [aux_sym_set_operation_token1] = ACTIONS(205),
    [aux_sym_set_operation_token3] = ACTIONS(205),
    [aux_sym_set_operation_token4] = ACTIONS(205),
    [aux_sym_select_token1] = ACTIONS(205),
    [aux_sym_having_clause_token1] = ACTIONS(205),
    [aux_sym_qualify_clause_token1] = ACTIONS(205),
    [aux_sym_limit_clause_token1] = ACTIONS(205),
    [aux_sym_group_by_clause_token1] = ACTIONS(205),
    [aux_sym_order_by_clause_token1] = ACTIONS(205),
    [aux_sym_where_clause_token1] = ACTIONS(205),
    [aux_sym_pivot_operator_token1] = ACTIONS(205),
    [aux_sym_unpivot_operator_token1] = ACTIONS(205),
    [aux_sym_tablesample_operator_token1] = ACTIONS(205),
    [aux_sym_join_type_token1] = ACTIONS(205),
    [aux_sym_join_type_token2] = ACTIONS(205),
    [aux_sym_join_type_token3] = ACTIONS(205),
    [aux_sym_join_type_token4] = ACTIONS(205),
    [aux_sym__cross_join_operation_token1] = ACTIONS(205),
    [aux_sym__cross_join_operation_token2] = ACTIONS(205),
    [aux_sym_join_condition_token1] = ACTIONS(205),
    [aux_sym_insert_statement_token1] = ACTIONS(205),
    [aux_sym_truncate_statement_token1] = ACTIONS(205),
    [aux_sym_update_statement_token1] = ACTIONS(205),
    [aux_sym_merge_statement_token1] = ACTIONS(205),
    [aux_sym_grant_statement_token1] = ACTIONS(205),
    [aux_sym_revoke_statement_token1] = ACTIONS(205),
    [aux_sym_export_data_statement_token1] = ACTIONS(205),
    [aux_sym_load_data_statement_token1] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(211),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(211),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(211),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(211),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_LT_GT] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(211),
    [anon_sym_GT_GT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_CARET] = ACTIONS(211),
    [anon_sym_PIPE] = ACTIONS(205),
  },
  [11] = {
    [sym__keyword_distinct] = STATE(62),
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_limit_clause] = STATE(18009),
    [sym_order_by_clause] = STATE(14538),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(11775),
    [sym_function_call] = STATE(9926),
    [sym_having_max_clause] = STATE(13887),
    [sym_having_min_clause] = STATE(13887),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7184),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(11651),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_distinct_token1] = ACTIONS(221),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(233),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(243),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(247),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [12] = {
    [sym__keyword_distinct] = STATE(44),
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_limit_clause] = STATE(16894),
    [sym_order_by_clause] = STATE(15808),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(11810),
    [sym_function_call] = STATE(9926),
    [sym_having_max_clause] = STATE(13474),
    [sym_having_min_clause] = STATE(13474),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7178),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(11676),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_distinct_token1] = ACTIONS(221),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(287),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(289),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(291),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [13] = {
    [sym__keyword_distinct] = STATE(67),
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_limit_clause] = STATE(18421),
    [sym_order_by_clause] = STATE(14866),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(11815),
    [sym_function_call] = STATE(9926),
    [sym_having_max_clause] = STATE(14040),
    [sym_having_min_clause] = STATE(14040),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7139),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(11684),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_distinct_token1] = ACTIONS(221),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(293),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(295),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(297),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [14] = {
    [sym__keyword_distinct] = STATE(59),
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_limit_clause] = STATE(17150),
    [sym_order_by_clause] = STATE(15513),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(11780),
    [sym_function_call] = STATE(9926),
    [sym_having_max_clause] = STATE(13612),
    [sym_having_min_clause] = STATE(13612),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7261),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(11662),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_distinct_token1] = ACTIONS(221),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(299),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(301),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(303),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [15] = {
    [sym__keyword_distinct] = STATE(74),
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_limit_clause] = STATE(18019),
    [sym_order_by_clause] = STATE(14517),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(11788),
    [sym_function_call] = STATE(9926),
    [sym_having_max_clause] = STATE(13834),
    [sym_having_min_clause] = STATE(13834),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7153),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(11659),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_distinct_token1] = ACTIONS(221),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(305),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(307),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(309),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [16] = {
    [sym__keyword_distinct] = STATE(71),
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_limit_clause] = STATE(18240),
    [sym_order_by_clause] = STATE(14469),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(11831),
    [sym_function_call] = STATE(9926),
    [sym_having_max_clause] = STATE(13686),
    [sym_having_min_clause] = STATE(13686),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7153),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(11679),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_distinct_token1] = ACTIONS(221),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(311),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(313),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(315),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [17] = {
    [sym__keyword_distinct] = STATE(66),
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_limit_clause] = STATE(18641),
    [sym_order_by_clause] = STATE(15219),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(11789),
    [sym_function_call] = STATE(9926),
    [sym_having_max_clause] = STATE(13804),
    [sym_having_min_clause] = STATE(13804),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7124),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(11670),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_distinct_token1] = ACTIONS(221),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(317),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(319),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(321),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [18] = {
    [sym__keyword_distinct] = STATE(64),
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_limit_clause] = STATE(16514),
    [sym_order_by_clause] = STATE(15184),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(11737),
    [sym_function_call] = STATE(9926),
    [sym_having_max_clause] = STATE(13275),
    [sym_having_min_clause] = STATE(13275),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7268),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(11678),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_distinct_token1] = ACTIONS(221),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(323),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(325),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(327),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [19] = {
    [sym__keyword_distinct] = STATE(73),
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_limit_clause] = STATE(17836),
    [sym_order_by_clause] = STATE(14711),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(11801),
    [sym_function_call] = STATE(9926),
    [sym_having_max_clause] = STATE(14158),
    [sym_having_min_clause] = STATE(14158),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7268),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(11674),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_distinct_token1] = ACTIONS(221),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(329),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(331),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(333),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [20] = {
    [sym__keyword_between] = STATE(1505),
    [sym__keyword_is] = STATE(12107),
    [sym__keyword_in] = STATE(1172),
    [sym__keyword_not] = STATE(13054),
    [sym__keyword_and] = STATE(1201),
    [sym__keyword_or] = STATE(1206),
    [sym__keyword_like] = STATE(14280),
    [sym__keyword_as] = STATE(11489),
    [sym__keyword_date] = STATE(2335),
    [sym__keyword_datetime] = STATE(2335),
    [sym__keyword_time] = STATE(2335),
    [sym__keyword_timestamp] = STATE(2335),
    [sym_as_alias] = STATE(5376),
    [sym__type_chrono] = STATE(2336),
    [sym__identifier] = STATE(2405),
    [sym__dotted_identifier] = STATE(13807),
    [sym_identifier] = STATE(2317),
    [sym_like_operator] = STATE(16116),
    [sym_quantitve_like_operator] = STATE(16114),
    [aux_sym_identifier_repeat1] = STATE(13807),
    [sym__unquoted_identifier] = ACTIONS(335),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(337),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(339),
    [aux_sym_keyword_replace_token1] = ACTIONS(341),
    [aux_sym__keyword_alter_token1] = ACTIONS(337),
    [aux_sym__keyword_from_token1] = ACTIONS(337),
    [aux_sym__keyword_delete_token1] = ACTIONS(337),
    [aux_sym__keyword_begin_token1] = ACTIONS(337),
    [aux_sym__keyword_end_token1] = ACTIONS(337),
    [aux_sym__keyword_between_token1] = ACTIONS(343),
    [aux_sym__keyword_when_token1] = ACTIONS(337),
    [aux_sym__keyword_else_token1] = ACTIONS(337),
    [aux_sym__keyword_is_token1] = ACTIONS(345),
    [aux_sym__keyword_in_token1] = ACTIONS(347),
    [aux_sym__keyword_and_token1] = ACTIONS(349),
    [aux_sym__keyword_like_token1] = ACTIONS(351),
    [aux_sym__keyword_repeat_token1] = ACTIONS(337),
    [aux_sym__keyword_as_token1] = ACTIONS(353),
    [aux_sym__keyword_window_token1] = ACTIONS(337),
    [aux_sym__keyword_date_token1] = ACTIONS(355),
    [aux_sym__keyword_datetime_token1] = ACTIONS(355),
    [aux_sym__keyword_time_token1] = ACTIONS(355),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(355),
    [aux_sym__keyword_for_token1] = ACTIONS(337),
    [anon_sym_SEMI] = ACTIONS(357),
    [aux_sym_declare_statement_token1] = ACTIONS(337),
    [anon_sym_COMMA] = ACTIONS(357),
    [aux_sym_set_statement_token1] = ACTIONS(337),
    [anon_sym_LPAREN] = ACTIONS(357),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(337),
    [aux_sym_return_satement_token1] = ACTIONS(337),
    [aux_sym_call_statement_token1] = ACTIONS(337),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(337),
    [aux_sym_if_statement_token1] = ACTIONS(337),
    [aux_sym_loop_statement_token1] = ACTIONS(337),
    [aux_sym_repeat_statement_token1] = ACTIONS(337),
    [aux_sym_while_statement_token1] = ACTIONS(337),
    [aux_sym_break_statement_token1] = ACTIONS(337),
    [aux_sym_leave_statement_token1] = ACTIONS(337),
    [aux_sym_continue_statement_token1] = ACTIONS(337),
    [aux_sym_iterate_statement_token1] = ACTIONS(337),
    [aux_sym_raise_statement_token1] = ACTIONS(337),
    [anon_sym_EQ] = ACTIONS(359),
    [aux_sym_assert_statement_token1] = ACTIONS(337),
    [aux_sym_create_schema_statement_token1] = ACTIONS(337),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(337),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(337),
    [anon_sym_LT] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(347),
    [aux_sym_set_operation_token1] = ACTIONS(337),
    [aux_sym_set_operation_token3] = ACTIONS(337),
    [aux_sym_set_operation_token4] = ACTIONS(337),
    [aux_sym_select_token1] = ACTIONS(337),
    [aux_sym_having_clause_token1] = ACTIONS(337),
    [aux_sym_qualify_clause_token1] = ACTIONS(337),
    [aux_sym_limit_clause_token1] = ACTIONS(337),
    [aux_sym_group_by_clause_token1] = ACTIONS(337),
    [aux_sym_order_by_clause_token1] = ACTIONS(337),
    [aux_sym_where_clause_token1] = ACTIONS(337),
    [aux_sym_insert_statement_token1] = ACTIONS(337),
    [aux_sym_truncate_statement_token1] = ACTIONS(337),
    [aux_sym_update_statement_token1] = ACTIONS(337),
    [aux_sym_merge_statement_token1] = ACTIONS(337),
    [aux_sym_grant_statement_token1] = ACTIONS(337),
    [aux_sym_revoke_statement_token1] = ACTIONS(337),
    [aux_sym_export_data_statement_token1] = ACTIONS(337),
    [aux_sym_load_data_statement_token1] = ACTIONS(337),
    [anon_sym_LBRACK] = ACTIONS(361),
    [sym__quoted_identifier] = ACTIONS(363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(365),
    [anon_sym_PLUS] = ACTIONS(367),
    [anon_sym_DASH] = ACTIONS(369),
    [anon_sym_STAR] = ACTIONS(371),
    [anon_sym_SLASH] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_LT_GT] = ACTIONS(359),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_LT_LT] = ACTIONS(375),
    [anon_sym_GT_GT] = ACTIONS(375),
    [anon_sym_AMP] = ACTIONS(377),
    [anon_sym_CARET] = ACTIONS(379),
    [anon_sym_PIPE] = ACTIONS(381),
  },
  [21] = {
    [sym__keyword_distinct] = STATE(70),
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_limit_clause] = STATE(18026),
    [sym_order_by_clause] = STATE(14510),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(11778),
    [sym_function_call] = STATE(9926),
    [sym_having_max_clause] = STATE(13830),
    [sym_having_min_clause] = STATE(13830),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7217),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(11665),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_distinct_token1] = ACTIONS(221),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(383),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(385),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(387),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [22] = {
    [sym__keyword_distinct] = STATE(69),
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_limit_clause] = STATE(18880),
    [sym_order_by_clause] = STATE(15510),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(11763),
    [sym_function_call] = STATE(9926),
    [sym_having_max_clause] = STATE(13613),
    [sym_having_min_clause] = STATE(13613),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7192),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(11656),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_distinct_token1] = ACTIONS(221),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(389),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(391),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(393),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [23] = {
    [sym__keyword_distinct] = STATE(61),
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_limit_clause] = STATE(17634),
    [sym_order_by_clause] = STATE(14914),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(11774),
    [sym_function_call] = STATE(9926),
    [sym_having_max_clause] = STATE(13996),
    [sym_having_min_clause] = STATE(13996),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7156),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(11681),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_distinct_token1] = ACTIONS(221),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(395),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(397),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(399),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [24] = {
    [sym__keyword_distinct] = STATE(63),
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_limit_clause] = STATE(18319),
    [sym_order_by_clause] = STATE(14651),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(11703),
    [sym_function_call] = STATE(9926),
    [sym_having_max_clause] = STATE(14189),
    [sym_having_min_clause] = STATE(14189),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7243),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(11655),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_distinct_token1] = ACTIONS(221),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(401),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(403),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(405),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [25] = {
    [sym__keyword_distinct] = STATE(68),
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_limit_clause] = STATE(19166),
    [sym_order_by_clause] = STATE(15303),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(11693),
    [sym_function_call] = STATE(9926),
    [sym_having_max_clause] = STATE(13300),
    [sym_having_min_clause] = STATE(13300),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7149),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(11660),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_distinct_token1] = ACTIONS(221),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(407),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(409),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(411),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [26] = {
    [sym__keyword_distinct] = STATE(58),
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_limit_clause] = STATE(17571),
    [sym_order_by_clause] = STATE(14972),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(11728),
    [sym_function_call] = STATE(9926),
    [sym_having_max_clause] = STATE(13973),
    [sym_having_min_clause] = STATE(13973),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7196),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(11669),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_distinct_token1] = ACTIONS(221),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(413),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(415),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(417),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [27] = {
    [sym__keyword_distinct] = STATE(46),
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_limit_clause] = STATE(16532),
    [sym_order_by_clause] = STATE(15274),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(11814),
    [sym_function_call] = STATE(9926),
    [sym_having_max_clause] = STATE(13284),
    [sym_having_min_clause] = STATE(13284),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7211),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(11685),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_distinct_token1] = ACTIONS(221),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(419),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(421),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(423),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [28] = {
    [sym__keyword_distinct] = STATE(41),
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_limit_clause] = STATE(17405),
    [sym_order_by_clause] = STATE(15203),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(11689),
    [sym_function_call] = STATE(9926),
    [sym_having_max_clause] = STATE(13809),
    [sym_having_min_clause] = STATE(13809),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7178),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(11677),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_distinct_token1] = ACTIONS(221),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(425),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(427),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(429),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [29] = {
    [sym__keyword_distinct] = STATE(51),
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_limit_clause] = STATE(19263),
    [sym_order_by_clause] = STATE(14754),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(11713),
    [sym_function_call] = STATE(9926),
    [sym_having_max_clause] = STATE(13232),
    [sym_having_min_clause] = STATE(13232),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7178),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(11675),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_distinct_token1] = ACTIONS(221),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(431),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(433),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(435),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [30] = {
    [sym__keyword_distinct] = STATE(42),
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_limit_clause] = STATE(17242),
    [sym_order_by_clause] = STATE(15414),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(11715),
    [sym_function_call] = STATE(9926),
    [sym_having_max_clause] = STATE(13672),
    [sym_having_min_clause] = STATE(13672),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7205),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(11686),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_distinct_token1] = ACTIONS(221),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(437),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(439),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(441),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [31] = {
    [sym__keyword_distinct] = STATE(57),
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_limit_clause] = STATE(18921),
    [sym_order_by_clause] = STATE(15641),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(11738),
    [sym_function_call] = STATE(9926),
    [sym_having_max_clause] = STATE(13552),
    [sym_having_min_clause] = STATE(13552),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7186),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(11657),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_distinct_token1] = ACTIONS(221),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(443),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(445),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(447),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [32] = {
    [sym__keyword_distinct] = STATE(43),
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_limit_clause] = STATE(17073),
    [sym_order_by_clause] = STATE(15612),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(11743),
    [sym_function_call] = STATE(9926),
    [sym_having_max_clause] = STATE(13559),
    [sym_having_min_clause] = STATE(13559),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7208),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(11663),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_distinct_token1] = ACTIONS(221),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(449),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(451),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(453),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [33] = {
    [sym__keyword_distinct] = STATE(56),
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_limit_clause] = STATE(17066),
    [sym_order_by_clause] = STATE(15632),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(11747),
    [sym_function_call] = STATE(9926),
    [sym_having_max_clause] = STATE(13553),
    [sym_having_min_clause] = STATE(13553),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7215),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(11652),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_distinct_token1] = ACTIONS(221),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(455),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(457),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(459),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [34] = {
    [sym__keyword_distinct] = STATE(65),
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_limit_clause] = STATE(17821),
    [sym_order_by_clause] = STATE(14741),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(11754),
    [sym_function_call] = STATE(9926),
    [sym_having_max_clause] = STATE(14144),
    [sym_having_min_clause] = STATE(14144),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7168),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(11668),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_distinct_token1] = ACTIONS(221),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(461),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(463),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(465),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [35] = {
    [sym__keyword_distinct] = STATE(49),
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_limit_clause] = STATE(18519),
    [sym_order_by_clause] = STATE(15019),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(11782),
    [sym_function_call] = STATE(9926),
    [sym_having_max_clause] = STATE(13947),
    [sym_having_min_clause] = STATE(13947),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7156),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(11667),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_distinct_token1] = ACTIONS(221),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(467),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(469),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(471),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [36] = {
    [sym__keyword_distinct] = STATE(48),
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_limit_clause] = STATE(16460),
    [sym_order_by_clause] = STATE(14924),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(11758),
    [sym_function_call] = STATE(9926),
    [sym_having_max_clause] = STATE(13237),
    [sym_having_min_clause] = STATE(13237),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7249),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(11672),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_distinct_token1] = ACTIONS(221),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(473),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(475),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(477),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [37] = {
    [sym__keyword_distinct] = STATE(45),
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_limit_clause] = STATE(16709),
    [sym_order_by_clause] = STATE(15951),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(11827),
    [sym_function_call] = STATE(9926),
    [sym_having_max_clause] = STATE(13388),
    [sym_having_min_clause] = STATE(13388),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7210),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(11682),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_distinct_token1] = ACTIONS(221),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(479),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(481),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(483),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [38] = {
    [sym__keyword_distinct] = STATE(47),
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_limit_clause] = STATE(17527),
    [sym_order_by_clause] = STATE(15053),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(11714),
    [sym_function_call] = STATE(9926),
    [sym_having_max_clause] = STATE(13911),
    [sym_having_min_clause] = STATE(13911),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7156),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(11671),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_distinct_token1] = ACTIONS(221),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(485),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(487),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(489),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [39] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16298),
    [sym__keyword_case] = STATE(370),
    [sym__keyword_not] = STATE(1461),
    [sym__keyword_cast] = STATE(19281),
    [sym__keyword_date] = STATE(5984),
    [sym__keyword_datetime] = STATE(5984),
    [sym__keyword_time] = STATE(5984),
    [sym__keyword_timestamp] = STATE(5984),
    [sym_select_all] = STATE(5383),
    [sym__aliasable_expression] = STATE(5384),
    [sym_select_subexpression] = STATE(6583),
    [sym_function_call] = STATE(6583),
    [sym_unnest_operator] = STATE(5280),
    [sym_unnest_clause] = STATE(6583),
    [sym__literal] = STATE(6583),
    [sym_NULL] = STATE(6583),
    [sym_TRUE] = STATE(6583),
    [sym_FALSE] = STATE(6583),
    [sym__float] = STATE(6582),
    [sym_numeric] = STATE(6582),
    [sym__number] = STATE(6582),
    [sym_interval] = STATE(6583),
    [sym_range] = STATE(6583),
    [sym_time] = STATE(6583),
    [sym_number] = STATE(6583),
    [sym_json] = STATE(6583),
    [sym_query_parameter] = STATE(6583),
    [sym__type_chrono] = STATE(5709),
    [sym__type_struct] = STATE(19051),
    [sym__type_array] = STATE(18379),
    [sym_array] = STATE(6583),
    [sym_struct] = STATE(6583),
    [sym__identifier] = STATE(5940),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(6280),
    [sym_string] = STATE(6583),
    [sym__expression] = STATE(5092),
    [sym__parenthesized_expression] = STATE(6583),
    [sym_element_access] = STATE(6583),
    [sym_field_access] = STATE(6583),
    [sym_unary_expression] = STATE(6583),
    [sym_binary_expression] = STATE(6583),
    [sym_between_operator] = STATE(6583),
    [sym_casewhen_expression] = STATE(6583),
    [sym_cast_expression] = STATE(6583),
    [sym_asterisk_expression] = STATE(5318),
    [sym_argument_reference] = STATE(6583),
    [aux_sym_identifier_repeat1] = STATE(13302),
    [sym__unquoted_identifier] = ACTIONS(491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(493),
    [aux_sym__keyword_from_token1] = ACTIONS(137),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(495),
    [aux_sym__keyword_case_token1] = ACTIONS(497),
    [aux_sym__keyword_cast_token1] = ACTIONS(499),
    [aux_sym__keyword_cast_token2] = ACTIONS(499),
    [aux_sym__keyword_window_token1] = ACTIONS(137),
    [aux_sym__keyword_date_token1] = ACTIONS(501),
    [aux_sym__keyword_datetime_token1] = ACTIONS(501),
    [aux_sym__keyword_time_token1] = ACTIONS(501),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(503),
    [anon_sym_RPAREN] = ACTIONS(139),
    [aux_sym_drop_notnull_token1] = ACTIONS(505),
    [aux_sym_set_operation_token1] = ACTIONS(137),
    [aux_sym_set_operation_token3] = ACTIONS(137),
    [aux_sym_set_operation_token4] = ACTIONS(137),
    [aux_sym_having_clause_token1] = ACTIONS(137),
    [aux_sym_qualify_clause_token1] = ACTIONS(137),
    [aux_sym_limit_clause_token1] = ACTIONS(137),
    [aux_sym_group_by_clause_token1] = ACTIONS(137),
    [aux_sym_order_by_clause_token1] = ACTIONS(137),
    [aux_sym_where_clause_token1] = ACTIONS(137),
    [aux_sym_function_call_token2] = ACTIONS(507),
    [aux_sym_unnest_operator_token1] = ACTIONS(509),
    [aux_sym_TRUE_token1] = ACTIONS(511),
    [aux_sym_FALSE_token1] = ACTIONS(513),
    [sym__integer] = ACTIONS(515),
    [aux_sym__float_token1] = ACTIONS(517),
    [aux_sym__float_token2] = ACTIONS(515),
    [aux_sym__float_token3] = ACTIONS(517),
    [aux_sym_numeric_token1] = ACTIONS(519),
    [aux_sym_numeric_token2] = ACTIONS(519),
    [aux_sym_numeric_token3] = ACTIONS(519),
    [aux_sym_numeric_token4] = ACTIONS(519),
    [aux_sym_interval_token1] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(523),
    [aux_sym_json_token1] = ACTIONS(525),
    [sym_system_variable] = ACTIONS(527),
    [sym__named_query_parameter] = ACTIONS(529),
    [sym__positional_query_parameter] = ACTIONS(531),
    [sym__quoted_identifier] = ACTIONS(533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(539),
    [anon_sym_DOLLAR] = ACTIONS(541),
    [sym__string_start] = ACTIONS(543),
  },
  [40] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_set_operation] = STATE(12414),
    [sym_query_expr] = STATE(14207),
    [sym_select] = STATE(12414),
    [sym__grouping_list] = STATE(15232),
    [sym_grouping_item_sets] = STATE(15232),
    [sym_rollup] = STATE(15232),
    [sym_cube] = STATE(15232),
    [sym_grouping_empty] = STATE(15232),
    [sym_grouping_item] = STATE(15232),
    [sym__aliasable_expression] = STATE(14693),
    [sym_cte_clause] = STATE(12993),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5338),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(559),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(561),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_select_token1] = ACTIONS(565),
    [aux_sym_rollup_token1] = ACTIONS(567),
    [aux_sym_cube_token1] = ACTIONS(569),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [41] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_limit_clause] = STATE(17392),
    [sym_order_by_clause] = STATE(15222),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(11692),
    [sym_function_call] = STATE(9926),
    [sym_having_max_clause] = STATE(13795),
    [sym_having_min_clause] = STATE(13795),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7344),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(11692),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(609),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(611),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(613),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [42] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_limit_clause] = STATE(17236),
    [sym_order_by_clause] = STATE(15428),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(11718),
    [sym_function_call] = STATE(9926),
    [sym_having_max_clause] = STATE(13661),
    [sym_having_min_clause] = STATE(13661),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7344),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(11718),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(615),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(617),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(619),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [43] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_limit_clause] = STATE(17068),
    [sym_order_by_clause] = STATE(15625),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(11746),
    [sym_function_call] = STATE(9926),
    [sym_having_max_clause] = STATE(13554),
    [sym_having_min_clause] = STATE(13554),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7344),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(11746),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(621),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(623),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(625),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [44] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_limit_clause] = STATE(16879),
    [sym_order_by_clause] = STATE(15821),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(11830),
    [sym_function_call] = STATE(9926),
    [sym_having_max_clause] = STATE(13467),
    [sym_having_min_clause] = STATE(13467),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7344),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(11830),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(627),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(629),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(631),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [45] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_limit_clause] = STATE(16696),
    [sym_order_by_clause] = STATE(15911),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(11824),
    [sym_function_call] = STATE(9926),
    [sym_having_max_clause] = STATE(13380),
    [sym_having_min_clause] = STATE(13380),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7344),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(11824),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(633),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(635),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(637),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [46] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_limit_clause] = STATE(16523),
    [sym_order_by_clause] = STATE(15240),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(11808),
    [sym_function_call] = STATE(9926),
    [sym_having_max_clause] = STATE(13282),
    [sym_having_min_clause] = STATE(13282),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7344),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(11808),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(639),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(641),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(643),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [47] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_limit_clause] = STATE(17499),
    [sym_order_by_clause] = STATE(15090),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(11690),
    [sym_function_call] = STATE(9926),
    [sym_having_max_clause] = STATE(13893),
    [sym_having_min_clause] = STATE(13893),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7344),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(11690),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(645),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(647),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(649),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [48] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_limit_clause] = STATE(16512),
    [sym_order_by_clause] = STATE(15188),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(11735),
    [sym_function_call] = STATE(9926),
    [sym_having_max_clause] = STATE(13278),
    [sym_having_min_clause] = STATE(13278),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7344),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(11735),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(651),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(653),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(655),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [49] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_limit_clause] = STATE(17812),
    [sym_order_by_clause] = STATE(14747),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(11813),
    [sym_function_call] = STATE(9926),
    [sym_having_max_clause] = STATE(14141),
    [sym_having_min_clause] = STATE(14141),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7344),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(11813),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(657),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(659),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(661),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [50] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_set_operation] = STATE(12414),
    [sym_query_expr] = STATE(14287),
    [sym_select] = STATE(12414),
    [sym__grouping_list] = STATE(15232),
    [sym_grouping_item_sets] = STATE(15232),
    [sym_rollup] = STATE(15232),
    [sym_cube] = STATE(15232),
    [sym_grouping_empty] = STATE(15232),
    [sym_grouping_item] = STATE(15232),
    [sym__aliasable_expression] = STATE(15259),
    [sym_cte_clause] = STATE(12993),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5354),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(559),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(561),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_select_token1] = ACTIONS(565),
    [aux_sym_rollup_token1] = ACTIONS(567),
    [aux_sym_cube_token1] = ACTIONS(569),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [51] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_limit_clause] = STATE(19191),
    [sym_order_by_clause] = STATE(15018),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(11762),
    [sym_function_call] = STATE(9926),
    [sym_having_max_clause] = STATE(13257),
    [sym_having_min_clause] = STATE(13257),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7344),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(11762),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(663),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(665),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(667),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [52] = {
    [sym__keyword_as] = STATE(11483),
    [sym__keyword_date] = STATE(580),
    [sym__keyword_datetime] = STATE(580),
    [sym__keyword_time] = STATE(580),
    [sym__keyword_timestamp] = STATE(580),
    [sym_as_alias] = STATE(400),
    [sym_unnest_withoffset] = STATE(403),
    [sym__type_chrono] = STATE(461),
    [sym__identifier] = STATE(383),
    [sym__dotted_identifier] = STATE(13828),
    [sym_identifier] = STATE(607),
    [aux_sym_identifier_repeat1] = STATE(13828),
    [ts_builtin_sym_end] = ACTIONS(211),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(205),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(205),
    [aux_sym_keyword_replace_token1] = ACTIONS(205),
    [aux_sym__keyword_alter_token1] = ACTIONS(205),
    [aux_sym__keyword_delete_token1] = ACTIONS(205),
    [aux_sym__keyword_begin_token1] = ACTIONS(205),
    [aux_sym__keyword_between_token1] = ACTIONS(205),
    [aux_sym__keyword_when_token1] = ACTIONS(205),
    [aux_sym__keyword_is_token1] = ACTIONS(205),
    [aux_sym__keyword_in_token1] = ACTIONS(205),
    [aux_sym__keyword_and_token1] = ACTIONS(205),
    [aux_sym__keyword_like_token1] = ACTIONS(205),
    [aux_sym__keyword_repeat_token1] = ACTIONS(205),
    [aux_sym__keyword_as_token1] = ACTIONS(207),
    [aux_sym__keyword_window_token1] = ACTIONS(205),
    [aux_sym__keyword_date_token1] = ACTIONS(209),
    [aux_sym__keyword_datetime_token1] = ACTIONS(209),
    [aux_sym__keyword_time_token1] = ACTIONS(209),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(209),
    [aux_sym__keyword_for_token1] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(211),
    [aux_sym_declare_statement_token1] = ACTIONS(205),
    [anon_sym_COMMA] = ACTIONS(211),
    [aux_sym_set_statement_token1] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(211),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(205),
    [aux_sym_using_clause_token1] = ACTIONS(205),
    [aux_sym_return_satement_token1] = ACTIONS(205),
    [aux_sym_call_statement_token1] = ACTIONS(205),
    [aux_sym_loop_statement_token1] = ACTIONS(205),
    [aux_sym_while_statement_token1] = ACTIONS(205),
    [aux_sym_break_statement_token1] = ACTIONS(205),
    [aux_sym_leave_statement_token1] = ACTIONS(205),
    [aux_sym_continue_statement_token1] = ACTIONS(205),
    [aux_sym_iterate_statement_token1] = ACTIONS(205),
    [aux_sym_raise_statement_token1] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(211),
    [aux_sym_assert_statement_token1] = ACTIONS(205),
    [aux_sym_create_schema_statement_token1] = ACTIONS(205),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(205),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [aux_sym_set_operation_token1] = ACTIONS(205),
    [aux_sym_set_operation_token3] = ACTIONS(205),
    [aux_sym_set_operation_token4] = ACTIONS(205),
    [aux_sym_select_token1] = ACTIONS(205),
    [aux_sym_having_clause_token1] = ACTIONS(205),
    [aux_sym_qualify_clause_token1] = ACTIONS(205),
    [aux_sym_limit_clause_token1] = ACTIONS(205),
    [aux_sym_group_by_clause_token1] = ACTIONS(205),
    [aux_sym_order_by_clause_token1] = ACTIONS(205),
    [aux_sym_where_clause_token1] = ACTIONS(205),
    [aux_sym_pivot_operator_token1] = ACTIONS(205),
    [aux_sym_unpivot_operator_token1] = ACTIONS(205),
    [aux_sym_tablesample_operator_token1] = ACTIONS(205),
    [aux_sym_join_type_token1] = ACTIONS(205),
    [aux_sym_join_type_token2] = ACTIONS(205),
    [aux_sym_join_type_token3] = ACTIONS(205),
    [aux_sym_join_type_token4] = ACTIONS(205),
    [aux_sym__cross_join_operation_token1] = ACTIONS(205),
    [aux_sym__cross_join_operation_token2] = ACTIONS(205),
    [aux_sym_join_condition_token1] = ACTIONS(205),
    [aux_sym_insert_statement_token1] = ACTIONS(205),
    [aux_sym_truncate_statement_token1] = ACTIONS(205),
    [aux_sym_update_statement_token1] = ACTIONS(205),
    [aux_sym_merge_statement_token1] = ACTIONS(205),
    [aux_sym_grant_statement_token1] = ACTIONS(205),
    [aux_sym_revoke_statement_token1] = ACTIONS(205),
    [aux_sym_export_data_statement_token1] = ACTIONS(205),
    [aux_sym_load_data_statement_token1] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(211),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(211),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(211),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(211),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_LT_GT] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(211),
    [anon_sym_GT_GT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_CARET] = ACTIONS(211),
    [anon_sym_PIPE] = ACTIONS(205),
  },
  [53] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_set_operation] = STATE(12414),
    [sym_query_expr] = STATE(14281),
    [sym_select] = STATE(12414),
    [sym__grouping_list] = STATE(15232),
    [sym_grouping_item_sets] = STATE(15232),
    [sym_rollup] = STATE(15232),
    [sym_cube] = STATE(15232),
    [sym_grouping_empty] = STATE(15232),
    [sym_grouping_item] = STATE(15232),
    [sym__aliasable_expression] = STATE(15441),
    [sym_cte_clause] = STATE(12993),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5328),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(559),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(561),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_select_token1] = ACTIONS(565),
    [aux_sym_rollup_token1] = ACTIONS(567),
    [aux_sym_cube_token1] = ACTIONS(569),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [54] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16298),
    [sym__keyword_case] = STATE(370),
    [sym__keyword_not] = STATE(1461),
    [sym__keyword_cast] = STATE(19281),
    [sym__keyword_date] = STATE(5984),
    [sym__keyword_datetime] = STATE(5984),
    [sym__keyword_time] = STATE(5984),
    [sym__keyword_timestamp] = STATE(5984),
    [sym_select_all] = STATE(5383),
    [sym__aliasable_expression] = STATE(5384),
    [sym_select_subexpression] = STATE(6583),
    [sym_function_call] = STATE(6583),
    [sym_unnest_operator] = STATE(5280),
    [sym_unnest_clause] = STATE(6583),
    [sym__literal] = STATE(6583),
    [sym_NULL] = STATE(6583),
    [sym_TRUE] = STATE(6583),
    [sym_FALSE] = STATE(6583),
    [sym__float] = STATE(6582),
    [sym_numeric] = STATE(6582),
    [sym__number] = STATE(6582),
    [sym_interval] = STATE(6583),
    [sym_range] = STATE(6583),
    [sym_time] = STATE(6583),
    [sym_number] = STATE(6583),
    [sym_json] = STATE(6583),
    [sym_query_parameter] = STATE(6583),
    [sym__type_chrono] = STATE(5709),
    [sym__type_struct] = STATE(19051),
    [sym__type_array] = STATE(18379),
    [sym_array] = STATE(6583),
    [sym_struct] = STATE(6583),
    [sym__identifier] = STATE(5940),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(6280),
    [sym_string] = STATE(6583),
    [sym__expression] = STATE(5092),
    [sym__parenthesized_expression] = STATE(6583),
    [sym_element_access] = STATE(6583),
    [sym_field_access] = STATE(6583),
    [sym_unary_expression] = STATE(6583),
    [sym_binary_expression] = STATE(6583),
    [sym_between_operator] = STATE(6583),
    [sym_casewhen_expression] = STATE(6583),
    [sym_cast_expression] = STATE(6583),
    [sym_asterisk_expression] = STATE(5318),
    [sym_argument_reference] = STATE(6583),
    [aux_sym_identifier_repeat1] = STATE(13302),
    [sym__unquoted_identifier] = ACTIONS(491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(493),
    [aux_sym__keyword_from_token1] = ACTIONS(145),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(495),
    [aux_sym__keyword_case_token1] = ACTIONS(497),
    [aux_sym__keyword_cast_token1] = ACTIONS(499),
    [aux_sym__keyword_cast_token2] = ACTIONS(499),
    [aux_sym__keyword_window_token1] = ACTIONS(145),
    [aux_sym__keyword_date_token1] = ACTIONS(501),
    [aux_sym__keyword_datetime_token1] = ACTIONS(501),
    [aux_sym__keyword_time_token1] = ACTIONS(501),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(503),
    [anon_sym_RPAREN] = ACTIONS(147),
    [aux_sym_drop_notnull_token1] = ACTIONS(505),
    [aux_sym_set_operation_token1] = ACTIONS(145),
    [aux_sym_set_operation_token3] = ACTIONS(145),
    [aux_sym_set_operation_token4] = ACTIONS(145),
    [aux_sym_having_clause_token1] = ACTIONS(145),
    [aux_sym_qualify_clause_token1] = ACTIONS(145),
    [aux_sym_limit_clause_token1] = ACTIONS(145),
    [aux_sym_group_by_clause_token1] = ACTIONS(145),
    [aux_sym_order_by_clause_token1] = ACTIONS(145),
    [aux_sym_where_clause_token1] = ACTIONS(145),
    [aux_sym_function_call_token2] = ACTIONS(507),
    [aux_sym_unnest_operator_token1] = ACTIONS(509),
    [aux_sym_TRUE_token1] = ACTIONS(511),
    [aux_sym_FALSE_token1] = ACTIONS(513),
    [sym__integer] = ACTIONS(515),
    [aux_sym__float_token1] = ACTIONS(517),
    [aux_sym__float_token2] = ACTIONS(515),
    [aux_sym__float_token3] = ACTIONS(517),
    [aux_sym_numeric_token1] = ACTIONS(519),
    [aux_sym_numeric_token2] = ACTIONS(519),
    [aux_sym_numeric_token3] = ACTIONS(519),
    [aux_sym_numeric_token4] = ACTIONS(519),
    [aux_sym_interval_token1] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(523),
    [aux_sym_json_token1] = ACTIONS(525),
    [sym_system_variable] = ACTIONS(527),
    [sym__named_query_parameter] = ACTIONS(529),
    [sym__positional_query_parameter] = ACTIONS(531),
    [sym__quoted_identifier] = ACTIONS(533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(539),
    [anon_sym_DOLLAR] = ACTIONS(541),
    [sym__string_start] = ACTIONS(543),
  },
  [55] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_set_operation] = STATE(12414),
    [sym_query_expr] = STATE(14242),
    [sym_select] = STATE(12414),
    [sym__grouping_list] = STATE(15232),
    [sym_grouping_item_sets] = STATE(15232),
    [sym_rollup] = STATE(15232),
    [sym_cube] = STATE(15232),
    [sym_grouping_empty] = STATE(15232),
    [sym_grouping_item] = STATE(15232),
    [sym__aliasable_expression] = STATE(15441),
    [sym_cte_clause] = STATE(12993),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5328),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(559),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(561),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_select_token1] = ACTIONS(565),
    [aux_sym_rollup_token1] = ACTIONS(567),
    [aux_sym_cube_token1] = ACTIONS(569),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [56] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_limit_clause] = STATE(17080),
    [sym_order_by_clause] = STATE(15598),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(11732),
    [sym_function_call] = STATE(9926),
    [sym_having_max_clause] = STATE(13588),
    [sym_having_min_clause] = STATE(13588),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7344),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(11732),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(669),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(671),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(673),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [57] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_limit_clause] = STATE(18910),
    [sym_order_by_clause] = STATE(15601),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(11744),
    [sym_function_call] = STATE(9926),
    [sym_having_max_clause] = STATE(13571),
    [sym_having_min_clause] = STATE(13571),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7344),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(11744),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(675),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(677),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(679),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [58] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_limit_clause] = STATE(17544),
    [sym_order_by_clause] = STATE(14991),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(11709),
    [sym_function_call] = STATE(9926),
    [sym_having_max_clause] = STATE(13959),
    [sym_having_min_clause] = STATE(13959),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7344),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(11709),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(681),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(683),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(685),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [59] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_limit_clause] = STATE(17136),
    [sym_order_by_clause] = STATE(15533),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(11772),
    [sym_function_call] = STATE(9926),
    [sym_having_max_clause] = STATE(13601),
    [sym_having_min_clause] = STATE(13601),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7344),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(11772),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(687),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(689),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(691),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [60] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16298),
    [sym__keyword_case] = STATE(370),
    [sym__keyword_not] = STATE(1461),
    [sym__keyword_cast] = STATE(19281),
    [sym__keyword_date] = STATE(5984),
    [sym__keyword_datetime] = STATE(5984),
    [sym__keyword_time] = STATE(5984),
    [sym__keyword_timestamp] = STATE(5984),
    [sym_select_all] = STATE(5383),
    [sym__aliasable_expression] = STATE(5384),
    [sym_select_subexpression] = STATE(6583),
    [sym_function_call] = STATE(6583),
    [sym_unnest_operator] = STATE(5280),
    [sym_unnest_clause] = STATE(6583),
    [sym__literal] = STATE(6583),
    [sym_NULL] = STATE(6583),
    [sym_TRUE] = STATE(6583),
    [sym_FALSE] = STATE(6583),
    [sym__float] = STATE(6582),
    [sym_numeric] = STATE(6582),
    [sym__number] = STATE(6582),
    [sym_interval] = STATE(6583),
    [sym_range] = STATE(6583),
    [sym_time] = STATE(6583),
    [sym_number] = STATE(6583),
    [sym_json] = STATE(6583),
    [sym_query_parameter] = STATE(6583),
    [sym__type_chrono] = STATE(5709),
    [sym__type_struct] = STATE(19051),
    [sym__type_array] = STATE(18379),
    [sym_array] = STATE(6583),
    [sym_struct] = STATE(6583),
    [sym__identifier] = STATE(5940),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(6280),
    [sym_string] = STATE(6583),
    [sym__expression] = STATE(5092),
    [sym__parenthesized_expression] = STATE(6583),
    [sym_element_access] = STATE(6583),
    [sym_field_access] = STATE(6583),
    [sym_unary_expression] = STATE(6583),
    [sym_binary_expression] = STATE(6583),
    [sym_between_operator] = STATE(6583),
    [sym_casewhen_expression] = STATE(6583),
    [sym_cast_expression] = STATE(6583),
    [sym_asterisk_expression] = STATE(5318),
    [sym_argument_reference] = STATE(6583),
    [aux_sym_identifier_repeat1] = STATE(13302),
    [sym__unquoted_identifier] = ACTIONS(491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(493),
    [aux_sym__keyword_from_token1] = ACTIONS(73),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(495),
    [aux_sym__keyword_case_token1] = ACTIONS(497),
    [aux_sym__keyword_cast_token1] = ACTIONS(499),
    [aux_sym__keyword_cast_token2] = ACTIONS(499),
    [aux_sym__keyword_window_token1] = ACTIONS(73),
    [aux_sym__keyword_date_token1] = ACTIONS(501),
    [aux_sym__keyword_datetime_token1] = ACTIONS(501),
    [aux_sym__keyword_time_token1] = ACTIONS(501),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(503),
    [anon_sym_RPAREN] = ACTIONS(91),
    [aux_sym_drop_notnull_token1] = ACTIONS(505),
    [aux_sym_set_operation_token1] = ACTIONS(73),
    [aux_sym_set_operation_token3] = ACTIONS(73),
    [aux_sym_set_operation_token4] = ACTIONS(73),
    [aux_sym_having_clause_token1] = ACTIONS(73),
    [aux_sym_qualify_clause_token1] = ACTIONS(73),
    [aux_sym_limit_clause_token1] = ACTIONS(73),
    [aux_sym_group_by_clause_token1] = ACTIONS(73),
    [aux_sym_order_by_clause_token1] = ACTIONS(73),
    [aux_sym_where_clause_token1] = ACTIONS(73),
    [aux_sym_function_call_token2] = ACTIONS(507),
    [aux_sym_unnest_operator_token1] = ACTIONS(509),
    [aux_sym_TRUE_token1] = ACTIONS(511),
    [aux_sym_FALSE_token1] = ACTIONS(513),
    [sym__integer] = ACTIONS(515),
    [aux_sym__float_token1] = ACTIONS(517),
    [aux_sym__float_token2] = ACTIONS(515),
    [aux_sym__float_token3] = ACTIONS(517),
    [aux_sym_numeric_token1] = ACTIONS(519),
    [aux_sym_numeric_token2] = ACTIONS(519),
    [aux_sym_numeric_token3] = ACTIONS(519),
    [aux_sym_numeric_token4] = ACTIONS(519),
    [aux_sym_interval_token1] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(523),
    [aux_sym_json_token1] = ACTIONS(525),
    [sym_system_variable] = ACTIONS(527),
    [sym__named_query_parameter] = ACTIONS(529),
    [sym__positional_query_parameter] = ACTIONS(531),
    [sym__quoted_identifier] = ACTIONS(533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(539),
    [anon_sym_DOLLAR] = ACTIONS(541),
    [sym__string_start] = ACTIONS(543),
  },
  [61] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_limit_clause] = STATE(17644),
    [sym_order_by_clause] = STATE(14907),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(11829),
    [sym_function_call] = STATE(9926),
    [sym_having_max_clause] = STATE(14003),
    [sym_having_min_clause] = STATE(14003),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7344),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(11829),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(693),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(695),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(697),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [62] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_limit_clause] = STATE(18036),
    [sym_order_by_clause] = STATE(14494),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(11781),
    [sym_function_call] = STATE(9926),
    [sym_having_max_clause] = STATE(13803),
    [sym_having_min_clause] = STATE(13803),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7344),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(11781),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(699),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(701),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(703),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [63] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_limit_clause] = STATE(18290),
    [sym_order_by_clause] = STATE(14607),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(11712),
    [sym_function_call] = STATE(9926),
    [sym_having_max_clause] = STATE(14149),
    [sym_having_min_clause] = STATE(14149),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7344),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(11712),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(705),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(707),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(709),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [64] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_limit_clause] = STATE(16469),
    [sym_order_by_clause] = STATE(14938),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(11756),
    [sym_function_call] = STATE(9926),
    [sym_having_max_clause] = STATE(13238),
    [sym_having_min_clause] = STATE(13238),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7344),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(11756),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(711),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(713),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(715),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [65] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_limit_clause] = STATE(17804),
    [sym_order_by_clause] = STATE(14760),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(11753),
    [sym_function_call] = STATE(9926),
    [sym_having_max_clause] = STATE(14136),
    [sym_having_min_clause] = STATE(14136),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7344),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(11753),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(717),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(719),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(721),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [66] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_limit_clause] = STATE(18621),
    [sym_order_by_clause] = STATE(15175),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(11792),
    [sym_function_call] = STATE(9926),
    [sym_having_max_clause] = STATE(13823),
    [sym_having_min_clause] = STATE(13823),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7344),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(11792),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(723),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(725),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(727),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [67] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_limit_clause] = STATE(18413),
    [sym_order_by_clause] = STATE(14838),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(11819),
    [sym_function_call] = STATE(9926),
    [sym_having_max_clause] = STATE(14059),
    [sym_having_min_clause] = STATE(14059),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7344),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(11819),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(729),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(731),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(733),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [68] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_limit_clause] = STATE(19145),
    [sym_order_by_clause] = STATE(15482),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(11705),
    [sym_function_call] = STATE(9926),
    [sym_having_max_clause] = STATE(13319),
    [sym_having_min_clause] = STATE(13319),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7344),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(11705),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(735),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(737),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(739),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [69] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_limit_clause] = STATE(18948),
    [sym_order_by_clause] = STATE(15600),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(11740),
    [sym_function_call] = STATE(9926),
    [sym_having_max_clause] = STATE(13570),
    [sym_having_min_clause] = STATE(13570),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7344),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(11740),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(741),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(743),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(745),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [70] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_limit_clause] = STATE(18018),
    [sym_order_by_clause] = STATE(14529),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(11777),
    [sym_function_call] = STATE(9926),
    [sym_having_max_clause] = STATE(13869),
    [sym_having_min_clause] = STATE(13869),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7344),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(11777),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(747),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(749),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(751),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [71] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_limit_clause] = STATE(18230),
    [sym_order_by_clause] = STATE(14440),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(11812),
    [sym_function_call] = STATE(9926),
    [sym_having_max_clause] = STATE(13566),
    [sym_having_min_clause] = STATE(13566),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7344),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(11812),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(753),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(755),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(757),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [72] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16298),
    [sym__keyword_case] = STATE(370),
    [sym__keyword_not] = STATE(1461),
    [sym__keyword_cast] = STATE(19281),
    [sym__keyword_date] = STATE(5984),
    [sym__keyword_datetime] = STATE(5984),
    [sym__keyword_time] = STATE(5984),
    [sym__keyword_timestamp] = STATE(5984),
    [sym_select_all] = STATE(5383),
    [sym__aliasable_expression] = STATE(5384),
    [sym_select_subexpression] = STATE(6583),
    [sym_function_call] = STATE(6583),
    [sym_unnest_operator] = STATE(5280),
    [sym_unnest_clause] = STATE(6583),
    [sym__literal] = STATE(6583),
    [sym_NULL] = STATE(6583),
    [sym_TRUE] = STATE(6583),
    [sym_FALSE] = STATE(6583),
    [sym__float] = STATE(6582),
    [sym_numeric] = STATE(6582),
    [sym__number] = STATE(6582),
    [sym_interval] = STATE(6583),
    [sym_range] = STATE(6583),
    [sym_time] = STATE(6583),
    [sym_number] = STATE(6583),
    [sym_json] = STATE(6583),
    [sym_query_parameter] = STATE(6583),
    [sym__type_chrono] = STATE(5709),
    [sym__type_struct] = STATE(19051),
    [sym__type_array] = STATE(18379),
    [sym_array] = STATE(6583),
    [sym_struct] = STATE(6583),
    [sym__identifier] = STATE(5940),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(6280),
    [sym_string] = STATE(6583),
    [sym__expression] = STATE(5092),
    [sym__parenthesized_expression] = STATE(6583),
    [sym_element_access] = STATE(6583),
    [sym_field_access] = STATE(6583),
    [sym_unary_expression] = STATE(6583),
    [sym_binary_expression] = STATE(6583),
    [sym_between_operator] = STATE(6583),
    [sym_casewhen_expression] = STATE(6583),
    [sym_cast_expression] = STATE(6583),
    [sym_asterisk_expression] = STATE(5318),
    [sym_argument_reference] = STATE(6583),
    [aux_sym_identifier_repeat1] = STATE(13302),
    [sym__unquoted_identifier] = ACTIONS(491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(493),
    [aux_sym__keyword_from_token1] = ACTIONS(141),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(495),
    [aux_sym__keyword_case_token1] = ACTIONS(497),
    [aux_sym__keyword_cast_token1] = ACTIONS(499),
    [aux_sym__keyword_cast_token2] = ACTIONS(499),
    [aux_sym__keyword_window_token1] = ACTIONS(141),
    [aux_sym__keyword_date_token1] = ACTIONS(501),
    [aux_sym__keyword_datetime_token1] = ACTIONS(501),
    [aux_sym__keyword_time_token1] = ACTIONS(501),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(503),
    [anon_sym_RPAREN] = ACTIONS(143),
    [aux_sym_drop_notnull_token1] = ACTIONS(505),
    [aux_sym_set_operation_token1] = ACTIONS(141),
    [aux_sym_set_operation_token3] = ACTIONS(141),
    [aux_sym_set_operation_token4] = ACTIONS(141),
    [aux_sym_having_clause_token1] = ACTIONS(141),
    [aux_sym_qualify_clause_token1] = ACTIONS(141),
    [aux_sym_limit_clause_token1] = ACTIONS(141),
    [aux_sym_group_by_clause_token1] = ACTIONS(141),
    [aux_sym_order_by_clause_token1] = ACTIONS(141),
    [aux_sym_where_clause_token1] = ACTIONS(141),
    [aux_sym_function_call_token2] = ACTIONS(507),
    [aux_sym_unnest_operator_token1] = ACTIONS(509),
    [aux_sym_TRUE_token1] = ACTIONS(511),
    [aux_sym_FALSE_token1] = ACTIONS(513),
    [sym__integer] = ACTIONS(515),
    [aux_sym__float_token1] = ACTIONS(517),
    [aux_sym__float_token2] = ACTIONS(515),
    [aux_sym__float_token3] = ACTIONS(517),
    [aux_sym_numeric_token1] = ACTIONS(519),
    [aux_sym_numeric_token2] = ACTIONS(519),
    [aux_sym_numeric_token3] = ACTIONS(519),
    [aux_sym_numeric_token4] = ACTIONS(519),
    [aux_sym_interval_token1] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(523),
    [aux_sym_json_token1] = ACTIONS(525),
    [sym_system_variable] = ACTIONS(527),
    [sym__named_query_parameter] = ACTIONS(529),
    [sym__positional_query_parameter] = ACTIONS(531),
    [sym__quoted_identifier] = ACTIONS(533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(539),
    [anon_sym_DOLLAR] = ACTIONS(541),
    [sym__string_start] = ACTIONS(543),
  },
  [73] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_limit_clause] = STATE(17848),
    [sym_order_by_clause] = STATE(14698),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(11798),
    [sym_function_call] = STATE(9926),
    [sym_having_max_clause] = STATE(14160),
    [sym_having_min_clause] = STATE(14160),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7344),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(11798),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(759),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(761),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(763),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [74] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_limit_clause] = STATE(18029),
    [sym_order_by_clause] = STATE(14506),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(11785),
    [sym_function_call] = STATE(9926),
    [sym_having_max_clause] = STATE(13811),
    [sym_having_min_clause] = STATE(13811),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7344),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(11785),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(765),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(767),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(769),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [75] = {
    [sym__keyword_between] = STATE(1126),
    [sym__keyword_is] = STATE(12051),
    [sym__keyword_in] = STATE(1517),
    [sym__keyword_not] = STATE(13184),
    [sym__keyword_and] = STATE(1542),
    [sym__keyword_or] = STATE(1543),
    [sym__keyword_like] = STATE(14280),
    [sym__keyword_as] = STATE(11489),
    [sym__keyword_date] = STATE(2335),
    [sym__keyword_datetime] = STATE(2335),
    [sym__keyword_time] = STATE(2335),
    [sym__keyword_timestamp] = STATE(2335),
    [sym_as_alias] = STATE(5376),
    [sym__type_chrono] = STATE(2336),
    [sym__identifier] = STATE(2405),
    [sym__dotted_identifier] = STATE(13807),
    [sym_identifier] = STATE(2317),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [aux_sym_identifier_repeat1] = STATE(13807),
    [ts_builtin_sym_end] = ACTIONS(357),
    [sym__unquoted_identifier] = ACTIONS(335),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(337),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(339),
    [aux_sym_keyword_replace_token1] = ACTIONS(341),
    [aux_sym__keyword_alter_token1] = ACTIONS(337),
    [aux_sym__keyword_from_token1] = ACTIONS(337),
    [aux_sym__keyword_delete_token1] = ACTIONS(337),
    [aux_sym__keyword_begin_token1] = ACTIONS(337),
    [aux_sym__keyword_between_token1] = ACTIONS(771),
    [aux_sym__keyword_when_token1] = ACTIONS(337),
    [aux_sym__keyword_is_token1] = ACTIONS(773),
    [aux_sym__keyword_in_token1] = ACTIONS(775),
    [aux_sym__keyword_and_token1] = ACTIONS(777),
    [aux_sym__keyword_like_token1] = ACTIONS(351),
    [aux_sym__keyword_repeat_token1] = ACTIONS(337),
    [aux_sym__keyword_as_token1] = ACTIONS(353),
    [aux_sym__keyword_window_token1] = ACTIONS(337),
    [aux_sym__keyword_date_token1] = ACTIONS(355),
    [aux_sym__keyword_datetime_token1] = ACTIONS(355),
    [aux_sym__keyword_time_token1] = ACTIONS(355),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(355),
    [aux_sym__keyword_for_token1] = ACTIONS(337),
    [anon_sym_SEMI] = ACTIONS(357),
    [aux_sym_declare_statement_token1] = ACTIONS(337),
    [anon_sym_COMMA] = ACTIONS(357),
    [aux_sym_set_statement_token1] = ACTIONS(337),
    [anon_sym_LPAREN] = ACTIONS(357),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(337),
    [aux_sym_return_satement_token1] = ACTIONS(337),
    [aux_sym_call_statement_token1] = ACTIONS(337),
    [aux_sym_loop_statement_token1] = ACTIONS(337),
    [aux_sym_while_statement_token1] = ACTIONS(337),
    [aux_sym_break_statement_token1] = ACTIONS(337),
    [aux_sym_leave_statement_token1] = ACTIONS(337),
    [aux_sym_continue_statement_token1] = ACTIONS(337),
    [aux_sym_iterate_statement_token1] = ACTIONS(337),
    [aux_sym_raise_statement_token1] = ACTIONS(337),
    [anon_sym_EQ] = ACTIONS(779),
    [aux_sym_assert_statement_token1] = ACTIONS(337),
    [aux_sym_create_schema_statement_token1] = ACTIONS(337),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(337),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(337),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [aux_sym_set_operation_token1] = ACTIONS(337),
    [aux_sym_set_operation_token3] = ACTIONS(337),
    [aux_sym_set_operation_token4] = ACTIONS(337),
    [aux_sym_select_token1] = ACTIONS(337),
    [aux_sym_having_clause_token1] = ACTIONS(337),
    [aux_sym_qualify_clause_token1] = ACTIONS(337),
    [aux_sym_limit_clause_token1] = ACTIONS(337),
    [aux_sym_group_by_clause_token1] = ACTIONS(337),
    [aux_sym_order_by_clause_token1] = ACTIONS(337),
    [aux_sym_where_clause_token1] = ACTIONS(337),
    [aux_sym_insert_statement_token1] = ACTIONS(337),
    [aux_sym_truncate_statement_token1] = ACTIONS(337),
    [aux_sym_update_statement_token1] = ACTIONS(337),
    [aux_sym_merge_statement_token1] = ACTIONS(337),
    [aux_sym_grant_statement_token1] = ACTIONS(337),
    [aux_sym_revoke_statement_token1] = ACTIONS(337),
    [aux_sym_export_data_statement_token1] = ACTIONS(337),
    [aux_sym_load_data_statement_token1] = ACTIONS(337),
    [anon_sym_LBRACK] = ACTIONS(781),
    [sym__quoted_identifier] = ACTIONS(363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(783),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_STAR] = ACTIONS(789),
    [anon_sym_SLASH] = ACTIONS(791),
    [anon_sym_PIPE_PIPE] = ACTIONS(789),
    [anon_sym_LT_EQ] = ACTIONS(779),
    [anon_sym_LT_GT] = ACTIONS(779),
    [anon_sym_GT_EQ] = ACTIONS(779),
    [anon_sym_BANG_EQ] = ACTIONS(779),
    [anon_sym_LT_LT] = ACTIONS(793),
    [anon_sym_GT_GT] = ACTIONS(793),
    [anon_sym_AMP] = ACTIONS(795),
    [anon_sym_CARET] = ACTIONS(797),
    [anon_sym_PIPE] = ACTIONS(799),
  },
  [76] = {
    [sym__keyword_distinct] = STATE(106),
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1444),
    [sym__keyword_as] = STATE(15699),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_list] = STATE(5373),
    [sym_select_all] = STATE(5983),
    [sym_aggregation_threshold_clause] = STATE(219),
    [sym_differential_privacy_clause] = STATE(219),
    [sym__aliasable_expression] = STATE(5976),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(198),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(75),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_asterisk_expression] = STATE(5318),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_distinct_token1] = ACTIONS(801),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_as_token1] = ACTIONS(803),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(805),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_set_operation_token2] = ACTIONS(807),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [77] = {
    [sym__keyword_distinct] = STATE(82),
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16311),
    [sym__keyword_case] = STATE(358),
    [sym__keyword_not] = STATE(1156),
    [sym__keyword_as] = STATE(14622),
    [sym__keyword_cast] = STATE(19279),
    [sym__keyword_date] = STATE(2060),
    [sym__keyword_datetime] = STATE(2060),
    [sym__keyword_time] = STATE(2060),
    [sym__keyword_timestamp] = STATE(2060),
    [sym_select_list] = STATE(5291),
    [sym_select_all] = STATE(5405),
    [sym_aggregation_threshold_clause] = STATE(223),
    [sym_differential_privacy_clause] = STATE(223),
    [sym__aliasable_expression] = STATE(5392),
    [sym_select_subexpression] = STATE(2225),
    [sym_function_call] = STATE(2225),
    [sym_unnest_operator] = STATE(108),
    [sym_unnest_clause] = STATE(2225),
    [sym__literal] = STATE(2225),
    [sym_NULL] = STATE(2225),
    [sym_TRUE] = STATE(2225),
    [sym_FALSE] = STATE(2225),
    [sym__float] = STATE(2243),
    [sym_numeric] = STATE(2243),
    [sym__number] = STATE(2243),
    [sym_interval] = STATE(2225),
    [sym_range] = STATE(2225),
    [sym_time] = STATE(2225),
    [sym_number] = STATE(2225),
    [sym_json] = STATE(2225),
    [sym_query_parameter] = STATE(2225),
    [sym__type_chrono] = STATE(1347),
    [sym__type_struct] = STATE(19044),
    [sym__type_array] = STATE(18343),
    [sym_array] = STATE(2225),
    [sym_struct] = STATE(2225),
    [sym__identifier] = STATE(1950),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(2273),
    [sym_string] = STATE(2225),
    [sym__expression] = STATE(20),
    [sym__parenthesized_expression] = STATE(2225),
    [sym_element_access] = STATE(2225),
    [sym_field_access] = STATE(2225),
    [sym_unary_expression] = STATE(2225),
    [sym_binary_expression] = STATE(2225),
    [sym_between_operator] = STATE(2225),
    [sym_casewhen_expression] = STATE(2225),
    [sym_cast_expression] = STATE(2225),
    [sym_asterisk_expression] = STATE(5318),
    [sym_argument_reference] = STATE(2225),
    [aux_sym_identifier_repeat1] = STATE(13635),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_distinct_token1] = ACTIONS(801),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_as_token1] = ACTIONS(809),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(805),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_set_operation_token2] = ACTIONS(811),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [78] = {
    [sym__keyword_distinct] = STATE(90),
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16298),
    [sym__keyword_case] = STATE(370),
    [sym__keyword_not] = STATE(1461),
    [sym__keyword_as] = STATE(14372),
    [sym__keyword_cast] = STATE(19281),
    [sym__keyword_date] = STATE(5984),
    [sym__keyword_datetime] = STATE(5984),
    [sym__keyword_time] = STATE(5984),
    [sym__keyword_timestamp] = STATE(5984),
    [sym_select_list] = STATE(11259),
    [sym_select_all] = STATE(11644),
    [sym_aggregation_threshold_clause] = STATE(208),
    [sym_differential_privacy_clause] = STATE(208),
    [sym__aliasable_expression] = STATE(11648),
    [sym_select_subexpression] = STATE(6583),
    [sym_function_call] = STATE(6583),
    [sym_unnest_operator] = STATE(5280),
    [sym_unnest_clause] = STATE(6583),
    [sym__literal] = STATE(6583),
    [sym_NULL] = STATE(6583),
    [sym_TRUE] = STATE(6583),
    [sym_FALSE] = STATE(6583),
    [sym__float] = STATE(6582),
    [sym_numeric] = STATE(6582),
    [sym__number] = STATE(6582),
    [sym_interval] = STATE(6583),
    [sym_range] = STATE(6583),
    [sym_time] = STATE(6583),
    [sym_number] = STATE(6583),
    [sym_json] = STATE(6583),
    [sym_query_parameter] = STATE(6583),
    [sym__type_chrono] = STATE(5709),
    [sym__type_struct] = STATE(19051),
    [sym__type_array] = STATE(18379),
    [sym_array] = STATE(6583),
    [sym_struct] = STATE(6583),
    [sym__identifier] = STATE(5940),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(6280),
    [sym_string] = STATE(6583),
    [sym__expression] = STATE(5092),
    [sym__parenthesized_expression] = STATE(6583),
    [sym_element_access] = STATE(6583),
    [sym_field_access] = STATE(6583),
    [sym_unary_expression] = STATE(6583),
    [sym_binary_expression] = STATE(6583),
    [sym_between_operator] = STATE(6583),
    [sym_casewhen_expression] = STATE(6583),
    [sym_cast_expression] = STATE(6583),
    [sym_asterisk_expression] = STATE(5318),
    [sym_argument_reference] = STATE(6583),
    [aux_sym_identifier_repeat1] = STATE(13302),
    [sym__unquoted_identifier] = ACTIONS(491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(493),
    [aux_sym__keyword_distinct_token1] = ACTIONS(801),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(495),
    [aux_sym__keyword_case_token1] = ACTIONS(497),
    [aux_sym__keyword_as_token1] = ACTIONS(813),
    [aux_sym__keyword_cast_token1] = ACTIONS(499),
    [aux_sym__keyword_cast_token2] = ACTIONS(499),
    [aux_sym__keyword_date_token1] = ACTIONS(501),
    [aux_sym__keyword_datetime_token1] = ACTIONS(501),
    [aux_sym__keyword_time_token1] = ACTIONS(501),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(503),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(805),
    [aux_sym_drop_notnull_token1] = ACTIONS(505),
    [aux_sym_set_operation_token2] = ACTIONS(815),
    [aux_sym_function_call_token2] = ACTIONS(507),
    [aux_sym_unnest_operator_token1] = ACTIONS(509),
    [aux_sym_TRUE_token1] = ACTIONS(511),
    [aux_sym_FALSE_token1] = ACTIONS(513),
    [sym__integer] = ACTIONS(515),
    [aux_sym__float_token1] = ACTIONS(517),
    [aux_sym__float_token2] = ACTIONS(515),
    [aux_sym__float_token3] = ACTIONS(517),
    [aux_sym_numeric_token1] = ACTIONS(519),
    [aux_sym_numeric_token2] = ACTIONS(519),
    [aux_sym_numeric_token3] = ACTIONS(519),
    [aux_sym_numeric_token4] = ACTIONS(519),
    [aux_sym_interval_token1] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(523),
    [aux_sym_json_token1] = ACTIONS(525),
    [sym_system_variable] = ACTIONS(527),
    [sym__named_query_parameter] = ACTIONS(529),
    [sym__positional_query_parameter] = ACTIONS(531),
    [sym__quoted_identifier] = ACTIONS(533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(539),
    [anon_sym_DOLLAR] = ACTIONS(541),
    [sym__string_start] = ACTIONS(543),
  },
  [79] = {
    [sym__keyword_alter] = STATE(14478),
    [sym__keyword_delete] = STATE(11379),
    [sym__keyword_repeat] = STATE(200),
    [sym__keyword_for] = STATE(11539),
    [sym__statement] = STATE(9135),
    [aux_sym__statement_list] = STATE(79),
    [sym_declare_statement] = STATE(8035),
    [sym_set_statement] = STATE(8035),
    [sym_execute_immadiate_statement] = STATE(8035),
    [sym_return_satement] = STATE(8035),
    [sym_call_statement] = STATE(8035),
    [sym_begin_end_statement] = STATE(8035),
    [sym_begin_exception_end_statement] = STATE(8035),
    [sym_if_statement] = STATE(8035),
    [sym_loop_statement] = STATE(8035),
    [sym_repeat_statement] = STATE(8035),
    [sym_while_statement] = STATE(8035),
    [sym_for_in_statement] = STATE(8035),
    [sym_break_statement] = STATE(8035),
    [sym_leave_statement] = STATE(8035),
    [sym_continue_statement] = STATE(8035),
    [sym_iterate_statement] = STATE(8035),
    [sym_raise_statement] = STATE(8035),
    [sym_assert_statement] = STATE(8035),
    [sym_create_schema_statement] = STATE(8035),
    [sym_alter_schema_statement] = STATE(8035),
    [sym_drop_schema_statement] = STATE(8035),
    [sym_create_table_statement] = STATE(8035),
    [sym_create_table_like_statement] = STATE(8035),
    [sym_create_table_clone_statement] = STATE(8035),
    [sym_create_table_copy_statement] = STATE(8035),
    [sym_create_snapshot_table_statement] = STATE(8035),
    [sym_create_external_table_statement] = STATE(8035),
    [sym_alter_table_statement] = STATE(8035),
    [sym_alter_table_rename_statement] = STATE(8035),
    [sym_alter_table_column_statement] = STATE(8035),
    [sym_drop_table_statement] = STATE(8035),
    [sym_create_function_statement] = STATE(8035),
    [sym_create_remote_function_statement] = STATE(8035),
    [sym_drop_function_statement] = STATE(8035),
    [sym_create_table_function_statement] = STATE(8035),
    [sym_drop_table_function_statement] = STATE(8035),
    [sym_create_procedure_statement] = STATE(8035),
    [sym_drop_procedure_statement] = STATE(8035),
    [sym_create_model_statement] = STATE(8035),
    [sym_drop_model_statement] = STATE(8035),
    [sym_query_statement] = STATE(8035),
    [sym_set_operation] = STATE(6482),
    [sym_query_expr] = STATE(7380),
    [sym_select] = STATE(6482),
    [sym_cte_clause] = STATE(13016),
    [sym_insert_statement] = STATE(8035),
    [sym_delete_statement] = STATE(8035),
    [sym_truncate_statement] = STATE(8035),
    [sym_update_statement] = STATE(8035),
    [sym_merge_statement] = STATE(8035),
    [sym_grant_statement] = STATE(8035),
    [sym_revoke_statement] = STATE(8035),
    [sym_export_data_statement] = STATE(8035),
    [sym_load_data_statement] = STATE(8035),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(817),
    [aux_sym__keyword_alter_token1] = ACTIONS(820),
    [aux_sym__keyword_delete_token1] = ACTIONS(823),
    [aux_sym__keyword_begin_token1] = ACTIONS(826),
    [aux_sym__keyword_end_token1] = ACTIONS(829),
    [aux_sym__keyword_else_token1] = ACTIONS(831),
    [aux_sym__keyword_repeat_token1] = ACTIONS(833),
    [aux_sym__keyword_for_token1] = ACTIONS(836),
    [aux_sym_declare_statement_token1] = ACTIONS(839),
    [aux_sym_set_statement_token1] = ACTIONS(842),
    [anon_sym_LPAREN] = ACTIONS(845),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(848),
    [aux_sym_return_satement_token1] = ACTIONS(851),
    [aux_sym_call_statement_token1] = ACTIONS(854),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(829),
    [aux_sym_if_statement_token1] = ACTIONS(829),
    [aux_sym_loop_statement_token1] = ACTIONS(857),
    [aux_sym_repeat_statement_token1] = ACTIONS(829),
    [aux_sym_while_statement_token1] = ACTIONS(860),
    [aux_sym_break_statement_token1] = ACTIONS(863),
    [aux_sym_leave_statement_token1] = ACTIONS(866),
    [aux_sym_continue_statement_token1] = ACTIONS(869),
    [aux_sym_iterate_statement_token1] = ACTIONS(872),
    [aux_sym_raise_statement_token1] = ACTIONS(875),
    [aux_sym_assert_statement_token1] = ACTIONS(878),
    [aux_sym_create_schema_statement_token1] = ACTIONS(881),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(884),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(887),
    [aux_sym_select_token1] = ACTIONS(890),
    [aux_sym_insert_statement_token1] = ACTIONS(893),
    [aux_sym_truncate_statement_token1] = ACTIONS(896),
    [aux_sym_update_statement_token1] = ACTIONS(899),
    [aux_sym_merge_statement_token1] = ACTIONS(902),
    [aux_sym_grant_statement_token1] = ACTIONS(905),
    [aux_sym_revoke_statement_token1] = ACTIONS(908),
    [aux_sym_export_data_statement_token1] = ACTIONS(911),
    [aux_sym_load_data_statement_token1] = ACTIONS(914),
    [sym_comment] = ACTIONS(3),
  },
  [80] = {
    [sym__keyword_between] = STATE(853),
    [sym__keyword_is] = STATE(12034),
    [sym__keyword_in] = STATE(1681),
    [sym__keyword_not] = STATE(13091),
    [sym__keyword_and] = STATE(1653),
    [sym__keyword_or] = STATE(1652),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16304),
    [sym_quantitve_like_operator] = STATE(16303),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(923),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(925),
    [aux_sym__keyword_in_token1] = ACTIONS(927),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_using_clause_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(929),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(927),
    [anon_sym_GT] = ACTIONS(927),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_group_by_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_where_clause_token1] = ACTIONS(917),
    [aux_sym_pivot_operator_token1] = ACTIONS(917),
    [aux_sym_unpivot_operator_token1] = ACTIONS(917),
    [aux_sym_tablesample_operator_token1] = ACTIONS(917),
    [aux_sym_join_type_token1] = ACTIONS(917),
    [aux_sym_join_type_token2] = ACTIONS(917),
    [aux_sym_join_type_token3] = ACTIONS(917),
    [aux_sym_join_type_token4] = ACTIONS(917),
    [aux_sym__cross_join_operation_token1] = ACTIONS(917),
    [aux_sym__cross_join_operation_token2] = ACTIONS(917),
    [aux_sym_join_condition_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(931),
    [anon_sym_DASH] = ACTIONS(933),
    [anon_sym_STAR] = ACTIONS(935),
    [anon_sym_SLASH] = ACTIONS(937),
    [anon_sym_PIPE_PIPE] = ACTIONS(935),
    [anon_sym_LT_EQ] = ACTIONS(929),
    [anon_sym_LT_GT] = ACTIONS(929),
    [anon_sym_GT_EQ] = ACTIONS(929),
    [anon_sym_BANG_EQ] = ACTIONS(929),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_CARET] = ACTIONS(943),
    [anon_sym_PIPE] = ACTIONS(945),
  },
  [81] = {
    [sym__keyword_between] = STATE(853),
    [sym__keyword_is] = STATE(12034),
    [sym__keyword_in] = STATE(1681),
    [sym__keyword_not] = STATE(13091),
    [sym__keyword_and] = STATE(1653),
    [sym__keyword_or] = STATE(1652),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16304),
    [sym_quantitve_like_operator] = STATE(16303),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(947),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(947),
    [aux_sym_keyword_replace_token1] = ACTIONS(949),
    [aux_sym__keyword_alter_token1] = ACTIONS(947),
    [aux_sym__keyword_delete_token1] = ACTIONS(947),
    [aux_sym__keyword_begin_token1] = ACTIONS(947),
    [aux_sym__keyword_end_token1] = ACTIONS(947),
    [aux_sym__keyword_between_token1] = ACTIONS(947),
    [aux_sym__keyword_when_token1] = ACTIONS(947),
    [aux_sym__keyword_else_token1] = ACTIONS(949),
    [aux_sym__keyword_is_token1] = ACTIONS(947),
    [aux_sym__keyword_in_token1] = ACTIONS(949),
    [aux_sym__keyword_and_token1] = ACTIONS(947),
    [aux_sym__keyword_like_token1] = ACTIONS(947),
    [aux_sym__keyword_repeat_token1] = ACTIONS(947),
    [aux_sym__keyword_window_token1] = ACTIONS(947),
    [aux_sym__keyword_for_token1] = ACTIONS(947),
    [anon_sym_SEMI] = ACTIONS(947),
    [aux_sym_declare_statement_token1] = ACTIONS(947),
    [anon_sym_COMMA] = ACTIONS(947),
    [aux_sym_set_statement_token1] = ACTIONS(947),
    [anon_sym_LPAREN] = ACTIONS(947),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(947),
    [aux_sym_using_clause_token1] = ACTIONS(947),
    [aux_sym_return_satement_token1] = ACTIONS(947),
    [aux_sym_call_statement_token1] = ACTIONS(947),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(947),
    [aux_sym_if_statement_token1] = ACTIONS(947),
    [aux_sym_loop_statement_token1] = ACTIONS(947),
    [aux_sym_repeat_statement_token1] = ACTIONS(947),
    [aux_sym_while_statement_token1] = ACTIONS(947),
    [aux_sym_break_statement_token1] = ACTIONS(947),
    [aux_sym_leave_statement_token1] = ACTIONS(947),
    [aux_sym_continue_statement_token1] = ACTIONS(947),
    [aux_sym_iterate_statement_token1] = ACTIONS(947),
    [aux_sym_raise_statement_token1] = ACTIONS(947),
    [anon_sym_EQ] = ACTIONS(947),
    [aux_sym_assert_statement_token1] = ACTIONS(947),
    [aux_sym_create_schema_statement_token1] = ACTIONS(947),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(947),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(949),
    [anon_sym_GT] = ACTIONS(949),
    [aux_sym_set_operation_token1] = ACTIONS(947),
    [aux_sym_set_operation_token3] = ACTIONS(947),
    [aux_sym_set_operation_token4] = ACTIONS(949),
    [aux_sym_select_token1] = ACTIONS(947),
    [aux_sym_having_clause_token1] = ACTIONS(947),
    [aux_sym_qualify_clause_token1] = ACTIONS(947),
    [aux_sym_limit_clause_token1] = ACTIONS(947),
    [aux_sym_group_by_clause_token1] = ACTIONS(947),
    [aux_sym_order_by_clause_token1] = ACTIONS(947),
    [aux_sym_where_clause_token1] = ACTIONS(947),
    [aux_sym_pivot_operator_token1] = ACTIONS(947),
    [aux_sym_unpivot_operator_token1] = ACTIONS(947),
    [aux_sym_tablesample_operator_token1] = ACTIONS(947),
    [aux_sym_join_type_token1] = ACTIONS(947),
    [aux_sym_join_type_token2] = ACTIONS(947),
    [aux_sym_join_type_token3] = ACTIONS(947),
    [aux_sym_join_type_token4] = ACTIONS(947),
    [aux_sym__cross_join_operation_token1] = ACTIONS(947),
    [aux_sym__cross_join_operation_token2] = ACTIONS(947),
    [aux_sym_join_condition_token1] = ACTIONS(947),
    [aux_sym_insert_statement_token1] = ACTIONS(947),
    [aux_sym_truncate_statement_token1] = ACTIONS(947),
    [aux_sym_update_statement_token1] = ACTIONS(947),
    [aux_sym_merge_statement_token1] = ACTIONS(947),
    [aux_sym_grant_statement_token1] = ACTIONS(947),
    [aux_sym_revoke_statement_token1] = ACTIONS(947),
    [aux_sym_export_data_statement_token1] = ACTIONS(947),
    [aux_sym_load_data_statement_token1] = ACTIONS(947),
    [anon_sym_LBRACK] = ACTIONS(947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(931),
    [anon_sym_DASH] = ACTIONS(933),
    [anon_sym_STAR] = ACTIONS(935),
    [anon_sym_SLASH] = ACTIONS(937),
    [anon_sym_PIPE_PIPE] = ACTIONS(935),
    [anon_sym_LT_EQ] = ACTIONS(947),
    [anon_sym_LT_GT] = ACTIONS(947),
    [anon_sym_GT_EQ] = ACTIONS(947),
    [anon_sym_BANG_EQ] = ACTIONS(947),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_CARET] = ACTIONS(943),
    [anon_sym_PIPE] = ACTIONS(945),
  },
  [82] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16311),
    [sym__keyword_case] = STATE(358),
    [sym__keyword_not] = STATE(1156),
    [sym__keyword_as] = STATE(14882),
    [sym__keyword_cast] = STATE(19279),
    [sym__keyword_date] = STATE(2060),
    [sym__keyword_datetime] = STATE(2060),
    [sym__keyword_time] = STATE(2060),
    [sym__keyword_timestamp] = STATE(2060),
    [sym_select_list] = STATE(5298),
    [sym_select_all] = STATE(5405),
    [sym_aggregation_threshold_clause] = STATE(209),
    [sym_differential_privacy_clause] = STATE(209),
    [sym__aliasable_expression] = STATE(5392),
    [sym_select_subexpression] = STATE(2225),
    [sym_function_call] = STATE(2225),
    [sym_unnest_operator] = STATE(108),
    [sym_unnest_clause] = STATE(2225),
    [sym__literal] = STATE(2225),
    [sym_NULL] = STATE(2225),
    [sym_TRUE] = STATE(2225),
    [sym_FALSE] = STATE(2225),
    [sym__float] = STATE(2243),
    [sym_numeric] = STATE(2243),
    [sym__number] = STATE(2243),
    [sym_interval] = STATE(2225),
    [sym_range] = STATE(2225),
    [sym_time] = STATE(2225),
    [sym_number] = STATE(2225),
    [sym_json] = STATE(2225),
    [sym_query_parameter] = STATE(2225),
    [sym__type_chrono] = STATE(1347),
    [sym__type_struct] = STATE(19044),
    [sym__type_array] = STATE(18343),
    [sym_array] = STATE(2225),
    [sym_struct] = STATE(2225),
    [sym__identifier] = STATE(1950),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(2273),
    [sym_string] = STATE(2225),
    [sym__expression] = STATE(20),
    [sym__parenthesized_expression] = STATE(2225),
    [sym_element_access] = STATE(2225),
    [sym_field_access] = STATE(2225),
    [sym_unary_expression] = STATE(2225),
    [sym_binary_expression] = STATE(2225),
    [sym_between_operator] = STATE(2225),
    [sym_casewhen_expression] = STATE(2225),
    [sym_cast_expression] = STATE(2225),
    [sym_asterisk_expression] = STATE(5318),
    [sym_argument_reference] = STATE(2225),
    [aux_sym_identifier_repeat1] = STATE(13635),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_as_token1] = ACTIONS(951),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(805),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [83] = {
    [sym__keyword_between] = STATE(853),
    [sym__keyword_is] = STATE(12034),
    [sym__keyword_in] = STATE(1681),
    [sym__keyword_not] = STATE(13091),
    [sym__keyword_and] = STATE(1653),
    [sym__keyword_or] = STATE(1652),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16304),
    [sym_quantitve_like_operator] = STATE(16303),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_using_clause_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_group_by_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_where_clause_token1] = ACTIONS(917),
    [aux_sym_pivot_operator_token1] = ACTIONS(917),
    [aux_sym_unpivot_operator_token1] = ACTIONS(917),
    [aux_sym_tablesample_operator_token1] = ACTIONS(917),
    [aux_sym_join_type_token1] = ACTIONS(917),
    [aux_sym_join_type_token2] = ACTIONS(917),
    [aux_sym_join_type_token3] = ACTIONS(917),
    [aux_sym_join_type_token4] = ACTIONS(917),
    [aux_sym__cross_join_operation_token1] = ACTIONS(917),
    [aux_sym__cross_join_operation_token2] = ACTIONS(917),
    [aux_sym_join_condition_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(935),
    [anon_sym_SLASH] = ACTIONS(937),
    [anon_sym_PIPE_PIPE] = ACTIONS(935),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [84] = {
    [sym__keyword_between] = STATE(853),
    [sym__keyword_is] = STATE(12034),
    [sym__keyword_in] = STATE(1681),
    [sym__keyword_not] = STATE(13091),
    [sym__keyword_and] = STATE(1653),
    [sym__keyword_or] = STATE(1652),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16304),
    [sym_quantitve_like_operator] = STATE(16303),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_using_clause_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_group_by_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_where_clause_token1] = ACTIONS(917),
    [aux_sym_pivot_operator_token1] = ACTIONS(917),
    [aux_sym_unpivot_operator_token1] = ACTIONS(917),
    [aux_sym_tablesample_operator_token1] = ACTIONS(917),
    [aux_sym_join_type_token1] = ACTIONS(917),
    [aux_sym_join_type_token2] = ACTIONS(917),
    [aux_sym_join_type_token3] = ACTIONS(917),
    [aux_sym_join_type_token4] = ACTIONS(917),
    [aux_sym__cross_join_operation_token1] = ACTIONS(917),
    [aux_sym__cross_join_operation_token2] = ACTIONS(917),
    [aux_sym_join_condition_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(931),
    [anon_sym_DASH] = ACTIONS(933),
    [anon_sym_STAR] = ACTIONS(935),
    [anon_sym_SLASH] = ACTIONS(937),
    [anon_sym_PIPE_PIPE] = ACTIONS(935),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_CARET] = ACTIONS(943),
    [anon_sym_PIPE] = ACTIONS(945),
  },
  [85] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1357),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym__grouping_list] = STATE(6644),
    [sym_grouping_sets] = STATE(6644),
    [sym_grouping_item_sets] = STATE(6644),
    [sym_rollup] = STATE(6644),
    [sym_cube] = STATE(6644),
    [sym_grouping_empty] = STATE(6644),
    [sym_grouping_item] = STATE(6644),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(391),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(2713),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(953),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_grouping_sets_token1] = ACTIONS(955),
    [aux_sym_rollup_token1] = ACTIONS(567),
    [aux_sym_cube_token1] = ACTIONS(569),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(957),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(961),
    [anon_sym_DASH] = ACTIONS(961),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [86] = {
    [sym__keyword_alter] = STATE(14478),
    [sym__keyword_delete] = STATE(11379),
    [sym__keyword_repeat] = STATE(200),
    [sym__keyword_for] = STATE(11539),
    [sym__statement] = STATE(9135),
    [aux_sym__statement_list] = STATE(79),
    [sym_declare_statement] = STATE(8035),
    [sym_set_statement] = STATE(8035),
    [sym_execute_immadiate_statement] = STATE(8035),
    [sym_return_satement] = STATE(8035),
    [sym_call_statement] = STATE(8035),
    [sym_begin_end_statement] = STATE(8035),
    [sym_begin_exception_end_statement] = STATE(8035),
    [sym_if_statement] = STATE(8035),
    [sym_loop_statement] = STATE(8035),
    [sym_repeat_statement] = STATE(8035),
    [sym_while_statement] = STATE(8035),
    [sym_for_in_statement] = STATE(8035),
    [sym_break_statement] = STATE(8035),
    [sym_leave_statement] = STATE(8035),
    [sym_continue_statement] = STATE(8035),
    [sym_iterate_statement] = STATE(8035),
    [sym_raise_statement] = STATE(8035),
    [sym_assert_statement] = STATE(8035),
    [sym_create_schema_statement] = STATE(8035),
    [sym_alter_schema_statement] = STATE(8035),
    [sym_drop_schema_statement] = STATE(8035),
    [sym_create_table_statement] = STATE(8035),
    [sym_create_table_like_statement] = STATE(8035),
    [sym_create_table_clone_statement] = STATE(8035),
    [sym_create_table_copy_statement] = STATE(8035),
    [sym_create_snapshot_table_statement] = STATE(8035),
    [sym_create_external_table_statement] = STATE(8035),
    [sym_alter_table_statement] = STATE(8035),
    [sym_alter_table_rename_statement] = STATE(8035),
    [sym_alter_table_column_statement] = STATE(8035),
    [sym_drop_table_statement] = STATE(8035),
    [sym_create_function_statement] = STATE(8035),
    [sym_create_remote_function_statement] = STATE(8035),
    [sym_drop_function_statement] = STATE(8035),
    [sym_create_table_function_statement] = STATE(8035),
    [sym_drop_table_function_statement] = STATE(8035),
    [sym_create_procedure_statement] = STATE(8035),
    [sym_drop_procedure_statement] = STATE(8035),
    [sym_create_model_statement] = STATE(8035),
    [sym_drop_model_statement] = STATE(8035),
    [sym_query_statement] = STATE(8035),
    [sym_set_operation] = STATE(6482),
    [sym_query_expr] = STATE(7380),
    [sym_select] = STATE(6482),
    [sym_cte_clause] = STATE(13016),
    [sym_insert_statement] = STATE(8035),
    [sym_delete_statement] = STATE(8035),
    [sym_truncate_statement] = STATE(8035),
    [sym_update_statement] = STATE(8035),
    [sym_merge_statement] = STATE(8035),
    [sym_grant_statement] = STATE(8035),
    [sym_revoke_statement] = STATE(8035),
    [sym_export_data_statement] = STATE(8035),
    [sym_load_data_statement] = STATE(8035),
    [aux_sym_if_statement_repeat1] = STATE(14223),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(7),
    [aux_sym__keyword_alter_token1] = ACTIONS(9),
    [aux_sym__keyword_delete_token1] = ACTIONS(963),
    [aux_sym__keyword_begin_token1] = ACTIONS(13),
    [aux_sym__keyword_end_token1] = ACTIONS(965),
    [aux_sym__keyword_else_token1] = ACTIONS(967),
    [aux_sym__keyword_repeat_token1] = ACTIONS(15),
    [aux_sym__keyword_for_token1] = ACTIONS(17),
    [aux_sym_declare_statement_token1] = ACTIONS(969),
    [aux_sym_set_statement_token1] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(973),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(975),
    [aux_sym_return_satement_token1] = ACTIONS(27),
    [aux_sym_call_statement_token1] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(977),
    [aux_sym_loop_statement_token1] = ACTIONS(31),
    [aux_sym_while_statement_token1] = ACTIONS(33),
    [aux_sym_break_statement_token1] = ACTIONS(35),
    [aux_sym_leave_statement_token1] = ACTIONS(37),
    [aux_sym_continue_statement_token1] = ACTIONS(39),
    [aux_sym_iterate_statement_token1] = ACTIONS(41),
    [aux_sym_raise_statement_token1] = ACTIONS(979),
    [aux_sym_assert_statement_token1] = ACTIONS(981),
    [aux_sym_create_schema_statement_token1] = ACTIONS(983),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(49),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(51),
    [aux_sym_select_token1] = ACTIONS(985),
    [aux_sym_insert_statement_token1] = ACTIONS(987),
    [aux_sym_truncate_statement_token1] = ACTIONS(57),
    [aux_sym_update_statement_token1] = ACTIONS(989),
    [aux_sym_merge_statement_token1] = ACTIONS(991),
    [aux_sym_grant_statement_token1] = ACTIONS(63),
    [aux_sym_revoke_statement_token1] = ACTIONS(65),
    [aux_sym_export_data_statement_token1] = ACTIONS(993),
    [aux_sym_load_data_statement_token1] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
  },
  [87] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1670),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym__grouping_list] = STATE(5703),
    [sym_grouping_sets] = STATE(5703),
    [sym_grouping_item_sets] = STATE(5703),
    [sym_rollup] = STATE(5703),
    [sym_cube] = STATE(5703),
    [sym_grouping_empty] = STATE(5703),
    [sym_grouping_item] = STATE(5703),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(175),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(2307),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(953),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_grouping_sets_token1] = ACTIONS(955),
    [aux_sym_rollup_token1] = ACTIONS(567),
    [aux_sym_cube_token1] = ACTIONS(569),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(995),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(997),
    [anon_sym_PLUS] = ACTIONS(999),
    [anon_sym_DASH] = ACTIONS(999),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [88] = {
    [sym__keyword_between] = STATE(853),
    [sym__keyword_is] = STATE(12034),
    [sym__keyword_in] = STATE(1681),
    [sym__keyword_not] = STATE(13091),
    [sym__keyword_and] = STATE(1653),
    [sym__keyword_or] = STATE(1652),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16304),
    [sym_quantitve_like_operator] = STATE(16303),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1001),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(341),
    [aux_sym__keyword_alter_token1] = ACTIONS(1001),
    [aux_sym__keyword_delete_token1] = ACTIONS(1001),
    [aux_sym__keyword_begin_token1] = ACTIONS(1001),
    [aux_sym__keyword_end_token1] = ACTIONS(1001),
    [aux_sym__keyword_between_token1] = ACTIONS(923),
    [aux_sym__keyword_when_token1] = ACTIONS(1001),
    [aux_sym__keyword_else_token1] = ACTIONS(1003),
    [aux_sym__keyword_is_token1] = ACTIONS(925),
    [aux_sym__keyword_in_token1] = ACTIONS(927),
    [aux_sym__keyword_and_token1] = ACTIONS(1005),
    [aux_sym__keyword_like_token1] = ACTIONS(1007),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1001),
    [aux_sym__keyword_window_token1] = ACTIONS(1001),
    [aux_sym__keyword_for_token1] = ACTIONS(1001),
    [anon_sym_SEMI] = ACTIONS(1001),
    [aux_sym_declare_statement_token1] = ACTIONS(1001),
    [anon_sym_COMMA] = ACTIONS(1001),
    [aux_sym_set_statement_token1] = ACTIONS(1001),
    [anon_sym_LPAREN] = ACTIONS(1001),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1001),
    [aux_sym_using_clause_token1] = ACTIONS(1001),
    [aux_sym_return_satement_token1] = ACTIONS(1001),
    [aux_sym_call_statement_token1] = ACTIONS(1001),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1001),
    [aux_sym_if_statement_token1] = ACTIONS(1001),
    [aux_sym_loop_statement_token1] = ACTIONS(1001),
    [aux_sym_repeat_statement_token1] = ACTIONS(1001),
    [aux_sym_while_statement_token1] = ACTIONS(1001),
    [aux_sym_break_statement_token1] = ACTIONS(1001),
    [aux_sym_leave_statement_token1] = ACTIONS(1001),
    [aux_sym_continue_statement_token1] = ACTIONS(1001),
    [aux_sym_iterate_statement_token1] = ACTIONS(1001),
    [aux_sym_raise_statement_token1] = ACTIONS(1001),
    [anon_sym_EQ] = ACTIONS(929),
    [aux_sym_assert_statement_token1] = ACTIONS(1001),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1001),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1001),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1001),
    [anon_sym_LT] = ACTIONS(927),
    [anon_sym_GT] = ACTIONS(927),
    [aux_sym_set_operation_token1] = ACTIONS(1001),
    [aux_sym_set_operation_token3] = ACTIONS(1001),
    [aux_sym_set_operation_token4] = ACTIONS(1003),
    [aux_sym_select_token1] = ACTIONS(1001),
    [aux_sym_having_clause_token1] = ACTIONS(1001),
    [aux_sym_qualify_clause_token1] = ACTIONS(1001),
    [aux_sym_limit_clause_token1] = ACTIONS(1001),
    [aux_sym_group_by_clause_token1] = ACTIONS(1001),
    [aux_sym_order_by_clause_token1] = ACTIONS(1001),
    [aux_sym_where_clause_token1] = ACTIONS(1001),
    [aux_sym_pivot_operator_token1] = ACTIONS(1001),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1001),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1001),
    [aux_sym_join_type_token1] = ACTIONS(1001),
    [aux_sym_join_type_token2] = ACTIONS(1001),
    [aux_sym_join_type_token3] = ACTIONS(1001),
    [aux_sym_join_type_token4] = ACTIONS(1001),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1001),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1001),
    [aux_sym_join_condition_token1] = ACTIONS(1001),
    [aux_sym_insert_statement_token1] = ACTIONS(1001),
    [aux_sym_truncate_statement_token1] = ACTIONS(1001),
    [aux_sym_update_statement_token1] = ACTIONS(1001),
    [aux_sym_merge_statement_token1] = ACTIONS(1001),
    [aux_sym_grant_statement_token1] = ACTIONS(1001),
    [aux_sym_revoke_statement_token1] = ACTIONS(1001),
    [aux_sym_export_data_statement_token1] = ACTIONS(1001),
    [aux_sym_load_data_statement_token1] = ACTIONS(1001),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1011),
    [anon_sym_PLUS] = ACTIONS(931),
    [anon_sym_DASH] = ACTIONS(933),
    [anon_sym_STAR] = ACTIONS(935),
    [anon_sym_SLASH] = ACTIONS(937),
    [anon_sym_PIPE_PIPE] = ACTIONS(935),
    [anon_sym_LT_EQ] = ACTIONS(929),
    [anon_sym_LT_GT] = ACTIONS(929),
    [anon_sym_GT_EQ] = ACTIONS(929),
    [anon_sym_BANG_EQ] = ACTIONS(929),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_CARET] = ACTIONS(943),
    [anon_sym_PIPE] = ACTIONS(945),
  },
  [89] = {
    [sym__keyword_between] = STATE(853),
    [sym__keyword_is] = STATE(12034),
    [sym__keyword_in] = STATE(1681),
    [sym__keyword_not] = STATE(13091),
    [sym__keyword_and] = STATE(1653),
    [sym__keyword_or] = STATE(1652),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16304),
    [sym_quantitve_like_operator] = STATE(16303),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_using_clause_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_group_by_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_where_clause_token1] = ACTIONS(917),
    [aux_sym_pivot_operator_token1] = ACTIONS(917),
    [aux_sym_unpivot_operator_token1] = ACTIONS(917),
    [aux_sym_tablesample_operator_token1] = ACTIONS(917),
    [aux_sym_join_type_token1] = ACTIONS(917),
    [aux_sym_join_type_token2] = ACTIONS(917),
    [aux_sym_join_type_token3] = ACTIONS(917),
    [aux_sym_join_type_token4] = ACTIONS(917),
    [aux_sym__cross_join_operation_token1] = ACTIONS(917),
    [aux_sym__cross_join_operation_token2] = ACTIONS(917),
    [aux_sym_join_condition_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(931),
    [anon_sym_DASH] = ACTIONS(933),
    [anon_sym_STAR] = ACTIONS(935),
    [anon_sym_SLASH] = ACTIONS(937),
    [anon_sym_PIPE_PIPE] = ACTIONS(935),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [90] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16298),
    [sym__keyword_case] = STATE(370),
    [sym__keyword_not] = STATE(1461),
    [sym__keyword_as] = STATE(14435),
    [sym__keyword_cast] = STATE(19281),
    [sym__keyword_date] = STATE(5984),
    [sym__keyword_datetime] = STATE(5984),
    [sym__keyword_time] = STATE(5984),
    [sym__keyword_timestamp] = STATE(5984),
    [sym_select_list] = STATE(11254),
    [sym_select_all] = STATE(11644),
    [sym_aggregation_threshold_clause] = STATE(215),
    [sym_differential_privacy_clause] = STATE(215),
    [sym__aliasable_expression] = STATE(11648),
    [sym_select_subexpression] = STATE(6583),
    [sym_function_call] = STATE(6583),
    [sym_unnest_operator] = STATE(5280),
    [sym_unnest_clause] = STATE(6583),
    [sym__literal] = STATE(6583),
    [sym_NULL] = STATE(6583),
    [sym_TRUE] = STATE(6583),
    [sym_FALSE] = STATE(6583),
    [sym__float] = STATE(6582),
    [sym_numeric] = STATE(6582),
    [sym__number] = STATE(6582),
    [sym_interval] = STATE(6583),
    [sym_range] = STATE(6583),
    [sym_time] = STATE(6583),
    [sym_number] = STATE(6583),
    [sym_json] = STATE(6583),
    [sym_query_parameter] = STATE(6583),
    [sym__type_chrono] = STATE(5709),
    [sym__type_struct] = STATE(19051),
    [sym__type_array] = STATE(18379),
    [sym_array] = STATE(6583),
    [sym_struct] = STATE(6583),
    [sym__identifier] = STATE(5940),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(6280),
    [sym_string] = STATE(6583),
    [sym__expression] = STATE(5092),
    [sym__parenthesized_expression] = STATE(6583),
    [sym_element_access] = STATE(6583),
    [sym_field_access] = STATE(6583),
    [sym_unary_expression] = STATE(6583),
    [sym_binary_expression] = STATE(6583),
    [sym_between_operator] = STATE(6583),
    [sym_casewhen_expression] = STATE(6583),
    [sym_cast_expression] = STATE(6583),
    [sym_asterisk_expression] = STATE(5318),
    [sym_argument_reference] = STATE(6583),
    [aux_sym_identifier_repeat1] = STATE(13302),
    [sym__unquoted_identifier] = ACTIONS(491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(493),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(495),
    [aux_sym__keyword_case_token1] = ACTIONS(497),
    [aux_sym__keyword_as_token1] = ACTIONS(1013),
    [aux_sym__keyword_cast_token1] = ACTIONS(499),
    [aux_sym__keyword_cast_token2] = ACTIONS(499),
    [aux_sym__keyword_date_token1] = ACTIONS(501),
    [aux_sym__keyword_datetime_token1] = ACTIONS(501),
    [aux_sym__keyword_time_token1] = ACTIONS(501),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(503),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(805),
    [aux_sym_drop_notnull_token1] = ACTIONS(505),
    [aux_sym_function_call_token2] = ACTIONS(507),
    [aux_sym_unnest_operator_token1] = ACTIONS(509),
    [aux_sym_TRUE_token1] = ACTIONS(511),
    [aux_sym_FALSE_token1] = ACTIONS(513),
    [sym__integer] = ACTIONS(515),
    [aux_sym__float_token1] = ACTIONS(517),
    [aux_sym__float_token2] = ACTIONS(515),
    [aux_sym__float_token3] = ACTIONS(517),
    [aux_sym_numeric_token1] = ACTIONS(519),
    [aux_sym_numeric_token2] = ACTIONS(519),
    [aux_sym_numeric_token3] = ACTIONS(519),
    [aux_sym_numeric_token4] = ACTIONS(519),
    [aux_sym_interval_token1] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(523),
    [aux_sym_json_token1] = ACTIONS(525),
    [sym_system_variable] = ACTIONS(527),
    [sym__named_query_parameter] = ACTIONS(529),
    [sym__positional_query_parameter] = ACTIONS(531),
    [sym__quoted_identifier] = ACTIONS(533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(539),
    [anon_sym_DOLLAR] = ACTIONS(541),
    [sym__string_start] = ACTIONS(543),
  },
  [91] = {
    [sym__keyword_alter] = STATE(14478),
    [sym__keyword_delete] = STATE(11379),
    [sym__keyword_repeat] = STATE(200),
    [sym__keyword_for] = STATE(11539),
    [sym__statement] = STATE(9135),
    [aux_sym__statement_list] = STATE(86),
    [sym_declare_statement] = STATE(8035),
    [sym_set_statement] = STATE(8035),
    [sym_execute_immadiate_statement] = STATE(8035),
    [sym_return_satement] = STATE(8035),
    [sym_call_statement] = STATE(8035),
    [sym_begin_end_statement] = STATE(8035),
    [sym_begin_exception_end_statement] = STATE(8035),
    [sym_if_statement] = STATE(8035),
    [sym_loop_statement] = STATE(8035),
    [sym_repeat_statement] = STATE(8035),
    [sym_while_statement] = STATE(8035),
    [sym_for_in_statement] = STATE(8035),
    [sym_break_statement] = STATE(8035),
    [sym_leave_statement] = STATE(8035),
    [sym_continue_statement] = STATE(8035),
    [sym_iterate_statement] = STATE(8035),
    [sym_raise_statement] = STATE(8035),
    [sym_assert_statement] = STATE(8035),
    [sym_create_schema_statement] = STATE(8035),
    [sym_alter_schema_statement] = STATE(8035),
    [sym_drop_schema_statement] = STATE(8035),
    [sym_create_table_statement] = STATE(8035),
    [sym_create_table_like_statement] = STATE(8035),
    [sym_create_table_clone_statement] = STATE(8035),
    [sym_create_table_copy_statement] = STATE(8035),
    [sym_create_snapshot_table_statement] = STATE(8035),
    [sym_create_external_table_statement] = STATE(8035),
    [sym_alter_table_statement] = STATE(8035),
    [sym_alter_table_rename_statement] = STATE(8035),
    [sym_alter_table_column_statement] = STATE(8035),
    [sym_drop_table_statement] = STATE(8035),
    [sym_create_function_statement] = STATE(8035),
    [sym_create_remote_function_statement] = STATE(8035),
    [sym_drop_function_statement] = STATE(8035),
    [sym_create_table_function_statement] = STATE(8035),
    [sym_drop_table_function_statement] = STATE(8035),
    [sym_create_procedure_statement] = STATE(8035),
    [sym_drop_procedure_statement] = STATE(8035),
    [sym_create_model_statement] = STATE(8035),
    [sym_drop_model_statement] = STATE(8035),
    [sym_query_statement] = STATE(8035),
    [sym_set_operation] = STATE(6482),
    [sym_query_expr] = STATE(7380),
    [sym_select] = STATE(6482),
    [sym_cte_clause] = STATE(13016),
    [sym_insert_statement] = STATE(8035),
    [sym_delete_statement] = STATE(8035),
    [sym_truncate_statement] = STATE(8035),
    [sym_update_statement] = STATE(8035),
    [sym_merge_statement] = STATE(8035),
    [sym_grant_statement] = STATE(8035),
    [sym_revoke_statement] = STATE(8035),
    [sym_export_data_statement] = STATE(8035),
    [sym_load_data_statement] = STATE(8035),
    [aux_sym_if_statement_repeat1] = STATE(14235),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(7),
    [aux_sym__keyword_alter_token1] = ACTIONS(9),
    [aux_sym__keyword_delete_token1] = ACTIONS(963),
    [aux_sym__keyword_begin_token1] = ACTIONS(13),
    [aux_sym__keyword_end_token1] = ACTIONS(1015),
    [aux_sym__keyword_else_token1] = ACTIONS(1017),
    [aux_sym__keyword_repeat_token1] = ACTIONS(15),
    [aux_sym__keyword_for_token1] = ACTIONS(17),
    [aux_sym_declare_statement_token1] = ACTIONS(969),
    [aux_sym_set_statement_token1] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(973),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(975),
    [aux_sym_return_satement_token1] = ACTIONS(27),
    [aux_sym_call_statement_token1] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(977),
    [aux_sym_loop_statement_token1] = ACTIONS(31),
    [aux_sym_while_statement_token1] = ACTIONS(33),
    [aux_sym_break_statement_token1] = ACTIONS(35),
    [aux_sym_leave_statement_token1] = ACTIONS(37),
    [aux_sym_continue_statement_token1] = ACTIONS(39),
    [aux_sym_iterate_statement_token1] = ACTIONS(41),
    [aux_sym_raise_statement_token1] = ACTIONS(979),
    [aux_sym_assert_statement_token1] = ACTIONS(981),
    [aux_sym_create_schema_statement_token1] = ACTIONS(983),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(49),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(51),
    [aux_sym_select_token1] = ACTIONS(985),
    [aux_sym_insert_statement_token1] = ACTIONS(987),
    [aux_sym_truncate_statement_token1] = ACTIONS(57),
    [aux_sym_update_statement_token1] = ACTIONS(989),
    [aux_sym_merge_statement_token1] = ACTIONS(991),
    [aux_sym_grant_statement_token1] = ACTIONS(63),
    [aux_sym_revoke_statement_token1] = ACTIONS(65),
    [aux_sym_export_data_statement_token1] = ACTIONS(993),
    [aux_sym_load_data_statement_token1] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
  },
  [92] = {
    [sym__keyword_between] = STATE(853),
    [sym__keyword_is] = STATE(12034),
    [sym__keyword_in] = STATE(1681),
    [sym__keyword_not] = STATE(13091),
    [sym__keyword_and] = STATE(1653),
    [sym__keyword_or] = STATE(1652),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16304),
    [sym_quantitve_like_operator] = STATE(16303),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1019),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1019),
    [aux_sym_keyword_replace_token1] = ACTIONS(1021),
    [aux_sym__keyword_alter_token1] = ACTIONS(1019),
    [aux_sym__keyword_delete_token1] = ACTIONS(1019),
    [aux_sym__keyword_begin_token1] = ACTIONS(1019),
    [aux_sym__keyword_end_token1] = ACTIONS(1019),
    [aux_sym__keyword_between_token1] = ACTIONS(1019),
    [aux_sym__keyword_when_token1] = ACTIONS(1019),
    [aux_sym__keyword_else_token1] = ACTIONS(1021),
    [aux_sym__keyword_is_token1] = ACTIONS(1019),
    [aux_sym__keyword_in_token1] = ACTIONS(1021),
    [aux_sym__keyword_and_token1] = ACTIONS(1019),
    [aux_sym__keyword_like_token1] = ACTIONS(1019),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1019),
    [aux_sym__keyword_window_token1] = ACTIONS(1019),
    [aux_sym__keyword_for_token1] = ACTIONS(1019),
    [anon_sym_SEMI] = ACTIONS(1019),
    [aux_sym_declare_statement_token1] = ACTIONS(1019),
    [anon_sym_COMMA] = ACTIONS(1019),
    [aux_sym_set_statement_token1] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1019),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1019),
    [aux_sym_using_clause_token1] = ACTIONS(1019),
    [aux_sym_return_satement_token1] = ACTIONS(1019),
    [aux_sym_call_statement_token1] = ACTIONS(1019),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1019),
    [aux_sym_if_statement_token1] = ACTIONS(1019),
    [aux_sym_loop_statement_token1] = ACTIONS(1019),
    [aux_sym_repeat_statement_token1] = ACTIONS(1019),
    [aux_sym_while_statement_token1] = ACTIONS(1019),
    [aux_sym_break_statement_token1] = ACTIONS(1019),
    [aux_sym_leave_statement_token1] = ACTIONS(1019),
    [aux_sym_continue_statement_token1] = ACTIONS(1019),
    [aux_sym_iterate_statement_token1] = ACTIONS(1019),
    [aux_sym_raise_statement_token1] = ACTIONS(1019),
    [anon_sym_EQ] = ACTIONS(1019),
    [aux_sym_assert_statement_token1] = ACTIONS(1019),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1019),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1019),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1019),
    [anon_sym_LT] = ACTIONS(1021),
    [anon_sym_GT] = ACTIONS(1021),
    [aux_sym_set_operation_token1] = ACTIONS(1019),
    [aux_sym_set_operation_token3] = ACTIONS(1019),
    [aux_sym_set_operation_token4] = ACTIONS(1021),
    [aux_sym_select_token1] = ACTIONS(1019),
    [aux_sym_having_clause_token1] = ACTIONS(1019),
    [aux_sym_qualify_clause_token1] = ACTIONS(1019),
    [aux_sym_limit_clause_token1] = ACTIONS(1019),
    [aux_sym_group_by_clause_token1] = ACTIONS(1019),
    [aux_sym_order_by_clause_token1] = ACTIONS(1019),
    [aux_sym_where_clause_token1] = ACTIONS(1019),
    [aux_sym_pivot_operator_token1] = ACTIONS(1019),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1019),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1019),
    [aux_sym_join_type_token1] = ACTIONS(1019),
    [aux_sym_join_type_token2] = ACTIONS(1019),
    [aux_sym_join_type_token3] = ACTIONS(1019),
    [aux_sym_join_type_token4] = ACTIONS(1019),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1019),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1019),
    [aux_sym_join_condition_token1] = ACTIONS(1019),
    [aux_sym_insert_statement_token1] = ACTIONS(1019),
    [aux_sym_truncate_statement_token1] = ACTIONS(1019),
    [aux_sym_update_statement_token1] = ACTIONS(1019),
    [aux_sym_merge_statement_token1] = ACTIONS(1019),
    [aux_sym_grant_statement_token1] = ACTIONS(1019),
    [aux_sym_revoke_statement_token1] = ACTIONS(1019),
    [aux_sym_export_data_statement_token1] = ACTIONS(1019),
    [aux_sym_load_data_statement_token1] = ACTIONS(1019),
    [anon_sym_LBRACK] = ACTIONS(1019),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1019),
    [anon_sym_PLUS] = ACTIONS(1019),
    [anon_sym_DASH] = ACTIONS(1021),
    [anon_sym_STAR] = ACTIONS(1019),
    [anon_sym_SLASH] = ACTIONS(1021),
    [anon_sym_PIPE_PIPE] = ACTIONS(1019),
    [anon_sym_LT_EQ] = ACTIONS(1019),
    [anon_sym_LT_GT] = ACTIONS(1019),
    [anon_sym_GT_EQ] = ACTIONS(1019),
    [anon_sym_BANG_EQ] = ACTIONS(1019),
    [anon_sym_LT_LT] = ACTIONS(1019),
    [anon_sym_GT_GT] = ACTIONS(1019),
    [anon_sym_AMP] = ACTIONS(1019),
    [anon_sym_CARET] = ACTIONS(1019),
    [anon_sym_PIPE] = ACTIONS(1021),
  },
  [93] = {
    [sym__keyword_between] = STATE(853),
    [sym__keyword_is] = STATE(12034),
    [sym__keyword_in] = STATE(1681),
    [sym__keyword_not] = STATE(13091),
    [sym__keyword_and] = STATE(1653),
    [sym__keyword_or] = STATE(1652),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16304),
    [sym_quantitve_like_operator] = STATE(16303),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_using_clause_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_group_by_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_where_clause_token1] = ACTIONS(917),
    [aux_sym_pivot_operator_token1] = ACTIONS(917),
    [aux_sym_unpivot_operator_token1] = ACTIONS(917),
    [aux_sym_tablesample_operator_token1] = ACTIONS(917),
    [aux_sym_join_type_token1] = ACTIONS(917),
    [aux_sym_join_type_token2] = ACTIONS(917),
    [aux_sym_join_type_token3] = ACTIONS(917),
    [aux_sym_join_type_token4] = ACTIONS(917),
    [aux_sym__cross_join_operation_token1] = ACTIONS(917),
    [aux_sym__cross_join_operation_token2] = ACTIONS(917),
    [aux_sym_join_condition_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(917),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PIPE_PIPE] = ACTIONS(917),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [94] = {
    [sym__keyword_between] = STATE(853),
    [sym__keyword_is] = STATE(12034),
    [sym__keyword_in] = STATE(1681),
    [sym__keyword_not] = STATE(13091),
    [sym__keyword_and] = STATE(1653),
    [sym__keyword_or] = STATE(1652),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16304),
    [sym_quantitve_like_operator] = STATE(16303),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1023),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1023),
    [aux_sym_keyword_replace_token1] = ACTIONS(1025),
    [aux_sym__keyword_alter_token1] = ACTIONS(1023),
    [aux_sym__keyword_delete_token1] = ACTIONS(1023),
    [aux_sym__keyword_begin_token1] = ACTIONS(1023),
    [aux_sym__keyword_end_token1] = ACTIONS(1023),
    [aux_sym__keyword_between_token1] = ACTIONS(1023),
    [aux_sym__keyword_when_token1] = ACTIONS(1023),
    [aux_sym__keyword_else_token1] = ACTIONS(1025),
    [aux_sym__keyword_is_token1] = ACTIONS(1023),
    [aux_sym__keyword_in_token1] = ACTIONS(1025),
    [aux_sym__keyword_and_token1] = ACTIONS(1023),
    [aux_sym__keyword_like_token1] = ACTIONS(1023),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1023),
    [aux_sym__keyword_window_token1] = ACTIONS(1023),
    [aux_sym__keyword_for_token1] = ACTIONS(1023),
    [anon_sym_SEMI] = ACTIONS(1023),
    [aux_sym_declare_statement_token1] = ACTIONS(1023),
    [anon_sym_COMMA] = ACTIONS(1023),
    [aux_sym_set_statement_token1] = ACTIONS(1023),
    [anon_sym_LPAREN] = ACTIONS(1023),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1023),
    [aux_sym_using_clause_token1] = ACTIONS(1023),
    [aux_sym_return_satement_token1] = ACTIONS(1023),
    [aux_sym_call_statement_token1] = ACTIONS(1023),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1023),
    [aux_sym_if_statement_token1] = ACTIONS(1023),
    [aux_sym_loop_statement_token1] = ACTIONS(1023),
    [aux_sym_repeat_statement_token1] = ACTIONS(1023),
    [aux_sym_while_statement_token1] = ACTIONS(1023),
    [aux_sym_break_statement_token1] = ACTIONS(1023),
    [aux_sym_leave_statement_token1] = ACTIONS(1023),
    [aux_sym_continue_statement_token1] = ACTIONS(1023),
    [aux_sym_iterate_statement_token1] = ACTIONS(1023),
    [aux_sym_raise_statement_token1] = ACTIONS(1023),
    [anon_sym_EQ] = ACTIONS(1023),
    [aux_sym_assert_statement_token1] = ACTIONS(1023),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1023),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1023),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1023),
    [anon_sym_LT] = ACTIONS(1025),
    [anon_sym_GT] = ACTIONS(1025),
    [aux_sym_set_operation_token1] = ACTIONS(1023),
    [aux_sym_set_operation_token3] = ACTIONS(1023),
    [aux_sym_set_operation_token4] = ACTIONS(1025),
    [aux_sym_select_token1] = ACTIONS(1023),
    [aux_sym_having_clause_token1] = ACTIONS(1023),
    [aux_sym_qualify_clause_token1] = ACTIONS(1023),
    [aux_sym_limit_clause_token1] = ACTIONS(1023),
    [aux_sym_group_by_clause_token1] = ACTIONS(1023),
    [aux_sym_order_by_clause_token1] = ACTIONS(1023),
    [aux_sym_where_clause_token1] = ACTIONS(1023),
    [aux_sym_pivot_operator_token1] = ACTIONS(1023),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1023),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1023),
    [aux_sym_join_type_token1] = ACTIONS(1023),
    [aux_sym_join_type_token2] = ACTIONS(1023),
    [aux_sym_join_type_token3] = ACTIONS(1023),
    [aux_sym_join_type_token4] = ACTIONS(1023),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1023),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1023),
    [aux_sym_join_condition_token1] = ACTIONS(1023),
    [aux_sym_insert_statement_token1] = ACTIONS(1023),
    [aux_sym_truncate_statement_token1] = ACTIONS(1023),
    [aux_sym_update_statement_token1] = ACTIONS(1023),
    [aux_sym_merge_statement_token1] = ACTIONS(1023),
    [aux_sym_grant_statement_token1] = ACTIONS(1023),
    [aux_sym_revoke_statement_token1] = ACTIONS(1023),
    [aux_sym_export_data_statement_token1] = ACTIONS(1023),
    [aux_sym_load_data_statement_token1] = ACTIONS(1023),
    [anon_sym_LBRACK] = ACTIONS(1023),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1023),
    [anon_sym_PLUS] = ACTIONS(931),
    [anon_sym_DASH] = ACTIONS(933),
    [anon_sym_STAR] = ACTIONS(935),
    [anon_sym_SLASH] = ACTIONS(937),
    [anon_sym_PIPE_PIPE] = ACTIONS(935),
    [anon_sym_LT_EQ] = ACTIONS(1023),
    [anon_sym_LT_GT] = ACTIONS(1023),
    [anon_sym_GT_EQ] = ACTIONS(1023),
    [anon_sym_BANG_EQ] = ACTIONS(1023),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_CARET] = ACTIONS(943),
    [anon_sym_PIPE] = ACTIONS(945),
  },
  [95] = {
    [sym__keyword_between] = STATE(853),
    [sym__keyword_is] = STATE(12034),
    [sym__keyword_in] = STATE(1681),
    [sym__keyword_not] = STATE(13091),
    [sym__keyword_and] = STATE(1653),
    [sym__keyword_or] = STATE(1652),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16304),
    [sym_quantitve_like_operator] = STATE(16303),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1027),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(341),
    [aux_sym__keyword_alter_token1] = ACTIONS(1027),
    [aux_sym__keyword_delete_token1] = ACTIONS(1027),
    [aux_sym__keyword_begin_token1] = ACTIONS(1027),
    [aux_sym__keyword_end_token1] = ACTIONS(1027),
    [aux_sym__keyword_between_token1] = ACTIONS(923),
    [aux_sym__keyword_when_token1] = ACTIONS(1027),
    [aux_sym__keyword_else_token1] = ACTIONS(1029),
    [aux_sym__keyword_is_token1] = ACTIONS(925),
    [aux_sym__keyword_in_token1] = ACTIONS(927),
    [aux_sym__keyword_and_token1] = ACTIONS(1005),
    [aux_sym__keyword_like_token1] = ACTIONS(1027),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1027),
    [aux_sym__keyword_window_token1] = ACTIONS(1027),
    [aux_sym__keyword_for_token1] = ACTIONS(1027),
    [anon_sym_SEMI] = ACTIONS(1027),
    [aux_sym_declare_statement_token1] = ACTIONS(1027),
    [anon_sym_COMMA] = ACTIONS(1027),
    [aux_sym_set_statement_token1] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1027),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1027),
    [aux_sym_using_clause_token1] = ACTIONS(1027),
    [aux_sym_return_satement_token1] = ACTIONS(1027),
    [aux_sym_call_statement_token1] = ACTIONS(1027),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1027),
    [aux_sym_if_statement_token1] = ACTIONS(1027),
    [aux_sym_loop_statement_token1] = ACTIONS(1027),
    [aux_sym_repeat_statement_token1] = ACTIONS(1027),
    [aux_sym_while_statement_token1] = ACTIONS(1027),
    [aux_sym_break_statement_token1] = ACTIONS(1027),
    [aux_sym_leave_statement_token1] = ACTIONS(1027),
    [aux_sym_continue_statement_token1] = ACTIONS(1027),
    [aux_sym_iterate_statement_token1] = ACTIONS(1027),
    [aux_sym_raise_statement_token1] = ACTIONS(1027),
    [anon_sym_EQ] = ACTIONS(929),
    [aux_sym_assert_statement_token1] = ACTIONS(1027),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1027),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1027),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1027),
    [anon_sym_LT] = ACTIONS(927),
    [anon_sym_GT] = ACTIONS(927),
    [aux_sym_set_operation_token1] = ACTIONS(1027),
    [aux_sym_set_operation_token3] = ACTIONS(1027),
    [aux_sym_set_operation_token4] = ACTIONS(1029),
    [aux_sym_select_token1] = ACTIONS(1027),
    [aux_sym_having_clause_token1] = ACTIONS(1027),
    [aux_sym_qualify_clause_token1] = ACTIONS(1027),
    [aux_sym_limit_clause_token1] = ACTIONS(1027),
    [aux_sym_group_by_clause_token1] = ACTIONS(1027),
    [aux_sym_order_by_clause_token1] = ACTIONS(1027),
    [aux_sym_where_clause_token1] = ACTIONS(1027),
    [aux_sym_pivot_operator_token1] = ACTIONS(1027),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1027),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1027),
    [aux_sym_join_type_token1] = ACTIONS(1027),
    [aux_sym_join_type_token2] = ACTIONS(1027),
    [aux_sym_join_type_token3] = ACTIONS(1027),
    [aux_sym_join_type_token4] = ACTIONS(1027),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1027),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1027),
    [aux_sym_join_condition_token1] = ACTIONS(1027),
    [aux_sym_insert_statement_token1] = ACTIONS(1027),
    [aux_sym_truncate_statement_token1] = ACTIONS(1027),
    [aux_sym_update_statement_token1] = ACTIONS(1027),
    [aux_sym_merge_statement_token1] = ACTIONS(1027),
    [aux_sym_grant_statement_token1] = ACTIONS(1027),
    [aux_sym_revoke_statement_token1] = ACTIONS(1027),
    [aux_sym_export_data_statement_token1] = ACTIONS(1027),
    [aux_sym_load_data_statement_token1] = ACTIONS(1027),
    [anon_sym_LBRACK] = ACTIONS(1027),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(931),
    [anon_sym_DASH] = ACTIONS(933),
    [anon_sym_STAR] = ACTIONS(935),
    [anon_sym_SLASH] = ACTIONS(937),
    [anon_sym_PIPE_PIPE] = ACTIONS(935),
    [anon_sym_LT_EQ] = ACTIONS(929),
    [anon_sym_LT_GT] = ACTIONS(929),
    [anon_sym_GT_EQ] = ACTIONS(929),
    [anon_sym_BANG_EQ] = ACTIONS(929),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_CARET] = ACTIONS(943),
    [anon_sym_PIPE] = ACTIONS(945),
  },
  [96] = {
    [sym__keyword_between] = STATE(853),
    [sym__keyword_is] = STATE(12034),
    [sym__keyword_in] = STATE(1681),
    [sym__keyword_not] = STATE(13091),
    [sym__keyword_and] = STATE(1653),
    [sym__keyword_or] = STATE(1652),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16304),
    [sym_quantitve_like_operator] = STATE(16303),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1031),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1031),
    [aux_sym_keyword_replace_token1] = ACTIONS(1033),
    [aux_sym__keyword_alter_token1] = ACTIONS(1031),
    [aux_sym__keyword_delete_token1] = ACTIONS(1031),
    [aux_sym__keyword_begin_token1] = ACTIONS(1031),
    [aux_sym__keyword_end_token1] = ACTIONS(1031),
    [aux_sym__keyword_between_token1] = ACTIONS(1031),
    [aux_sym__keyword_when_token1] = ACTIONS(1031),
    [aux_sym__keyword_else_token1] = ACTIONS(1033),
    [aux_sym__keyword_is_token1] = ACTIONS(1031),
    [aux_sym__keyword_in_token1] = ACTIONS(1033),
    [aux_sym__keyword_and_token1] = ACTIONS(1031),
    [aux_sym__keyword_like_token1] = ACTIONS(1031),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1031),
    [aux_sym__keyword_window_token1] = ACTIONS(1031),
    [aux_sym__keyword_for_token1] = ACTIONS(1031),
    [anon_sym_SEMI] = ACTIONS(1031),
    [aux_sym_declare_statement_token1] = ACTIONS(1031),
    [anon_sym_COMMA] = ACTIONS(1031),
    [aux_sym_set_statement_token1] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1031),
    [aux_sym_using_clause_token1] = ACTIONS(1031),
    [aux_sym_return_satement_token1] = ACTIONS(1031),
    [aux_sym_call_statement_token1] = ACTIONS(1031),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1031),
    [aux_sym_if_statement_token1] = ACTIONS(1031),
    [aux_sym_loop_statement_token1] = ACTIONS(1031),
    [aux_sym_repeat_statement_token1] = ACTIONS(1031),
    [aux_sym_while_statement_token1] = ACTIONS(1031),
    [aux_sym_break_statement_token1] = ACTIONS(1031),
    [aux_sym_leave_statement_token1] = ACTIONS(1031),
    [aux_sym_continue_statement_token1] = ACTIONS(1031),
    [aux_sym_iterate_statement_token1] = ACTIONS(1031),
    [aux_sym_raise_statement_token1] = ACTIONS(1031),
    [anon_sym_EQ] = ACTIONS(1031),
    [aux_sym_assert_statement_token1] = ACTIONS(1031),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1031),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1031),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1031),
    [anon_sym_LT] = ACTIONS(1033),
    [anon_sym_GT] = ACTIONS(1033),
    [aux_sym_set_operation_token1] = ACTIONS(1031),
    [aux_sym_set_operation_token3] = ACTIONS(1031),
    [aux_sym_set_operation_token4] = ACTIONS(1033),
    [aux_sym_select_token1] = ACTIONS(1031),
    [aux_sym_having_clause_token1] = ACTIONS(1031),
    [aux_sym_qualify_clause_token1] = ACTIONS(1031),
    [aux_sym_limit_clause_token1] = ACTIONS(1031),
    [aux_sym_group_by_clause_token1] = ACTIONS(1031),
    [aux_sym_order_by_clause_token1] = ACTIONS(1031),
    [aux_sym_where_clause_token1] = ACTIONS(1031),
    [aux_sym_pivot_operator_token1] = ACTIONS(1031),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1031),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1031),
    [aux_sym_join_type_token1] = ACTIONS(1031),
    [aux_sym_join_type_token2] = ACTIONS(1031),
    [aux_sym_join_type_token3] = ACTIONS(1031),
    [aux_sym_join_type_token4] = ACTIONS(1031),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1031),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1031),
    [aux_sym_join_condition_token1] = ACTIONS(1031),
    [aux_sym_insert_statement_token1] = ACTIONS(1031),
    [aux_sym_truncate_statement_token1] = ACTIONS(1031),
    [aux_sym_update_statement_token1] = ACTIONS(1031),
    [aux_sym_merge_statement_token1] = ACTIONS(1031),
    [aux_sym_grant_statement_token1] = ACTIONS(1031),
    [aux_sym_revoke_statement_token1] = ACTIONS(1031),
    [aux_sym_export_data_statement_token1] = ACTIONS(1031),
    [aux_sym_load_data_statement_token1] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1031),
    [anon_sym_PLUS] = ACTIONS(931),
    [anon_sym_DASH] = ACTIONS(933),
    [anon_sym_STAR] = ACTIONS(935),
    [anon_sym_SLASH] = ACTIONS(937),
    [anon_sym_PIPE_PIPE] = ACTIONS(935),
    [anon_sym_LT_EQ] = ACTIONS(1031),
    [anon_sym_LT_GT] = ACTIONS(1031),
    [anon_sym_GT_EQ] = ACTIONS(1031),
    [anon_sym_BANG_EQ] = ACTIONS(1031),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_CARET] = ACTIONS(943),
    [anon_sym_PIPE] = ACTIONS(945),
  },
  [97] = {
    [sym__keyword_between] = STATE(853),
    [sym__keyword_is] = STATE(12034),
    [sym__keyword_in] = STATE(1681),
    [sym__keyword_not] = STATE(13091),
    [sym__keyword_and] = STATE(1653),
    [sym__keyword_or] = STATE(1652),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16304),
    [sym_quantitve_like_operator] = STATE(16303),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1035),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1035),
    [aux_sym_keyword_replace_token1] = ACTIONS(1037),
    [aux_sym__keyword_alter_token1] = ACTIONS(1035),
    [aux_sym__keyword_delete_token1] = ACTIONS(1035),
    [aux_sym__keyword_begin_token1] = ACTIONS(1035),
    [aux_sym__keyword_end_token1] = ACTIONS(1035),
    [aux_sym__keyword_between_token1] = ACTIONS(1035),
    [aux_sym__keyword_when_token1] = ACTIONS(1035),
    [aux_sym__keyword_else_token1] = ACTIONS(1037),
    [aux_sym__keyword_is_token1] = ACTIONS(1035),
    [aux_sym__keyword_in_token1] = ACTIONS(1037),
    [aux_sym__keyword_and_token1] = ACTIONS(1035),
    [aux_sym__keyword_like_token1] = ACTIONS(1035),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1035),
    [aux_sym__keyword_window_token1] = ACTIONS(1035),
    [aux_sym__keyword_for_token1] = ACTIONS(1035),
    [anon_sym_SEMI] = ACTIONS(1035),
    [aux_sym_declare_statement_token1] = ACTIONS(1035),
    [anon_sym_COMMA] = ACTIONS(1035),
    [aux_sym_set_statement_token1] = ACTIONS(1035),
    [anon_sym_LPAREN] = ACTIONS(1035),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1035),
    [aux_sym_using_clause_token1] = ACTIONS(1035),
    [aux_sym_return_satement_token1] = ACTIONS(1035),
    [aux_sym_call_statement_token1] = ACTIONS(1035),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1035),
    [aux_sym_if_statement_token1] = ACTIONS(1035),
    [aux_sym_loop_statement_token1] = ACTIONS(1035),
    [aux_sym_repeat_statement_token1] = ACTIONS(1035),
    [aux_sym_while_statement_token1] = ACTIONS(1035),
    [aux_sym_break_statement_token1] = ACTIONS(1035),
    [aux_sym_leave_statement_token1] = ACTIONS(1035),
    [aux_sym_continue_statement_token1] = ACTIONS(1035),
    [aux_sym_iterate_statement_token1] = ACTIONS(1035),
    [aux_sym_raise_statement_token1] = ACTIONS(1035),
    [anon_sym_EQ] = ACTIONS(1035),
    [aux_sym_assert_statement_token1] = ACTIONS(1035),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1035),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1035),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1035),
    [anon_sym_LT] = ACTIONS(1037),
    [anon_sym_GT] = ACTIONS(1037),
    [aux_sym_set_operation_token1] = ACTIONS(1035),
    [aux_sym_set_operation_token3] = ACTIONS(1035),
    [aux_sym_set_operation_token4] = ACTIONS(1037),
    [aux_sym_select_token1] = ACTIONS(1035),
    [aux_sym_having_clause_token1] = ACTIONS(1035),
    [aux_sym_qualify_clause_token1] = ACTIONS(1035),
    [aux_sym_limit_clause_token1] = ACTIONS(1035),
    [aux_sym_group_by_clause_token1] = ACTIONS(1035),
    [aux_sym_order_by_clause_token1] = ACTIONS(1035),
    [aux_sym_where_clause_token1] = ACTIONS(1035),
    [aux_sym_pivot_operator_token1] = ACTIONS(1035),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1035),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1035),
    [aux_sym_join_type_token1] = ACTIONS(1035),
    [aux_sym_join_type_token2] = ACTIONS(1035),
    [aux_sym_join_type_token3] = ACTIONS(1035),
    [aux_sym_join_type_token4] = ACTIONS(1035),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1035),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1035),
    [aux_sym_join_condition_token1] = ACTIONS(1035),
    [aux_sym_insert_statement_token1] = ACTIONS(1035),
    [aux_sym_truncate_statement_token1] = ACTIONS(1035),
    [aux_sym_update_statement_token1] = ACTIONS(1035),
    [aux_sym_merge_statement_token1] = ACTIONS(1035),
    [aux_sym_grant_statement_token1] = ACTIONS(1035),
    [aux_sym_revoke_statement_token1] = ACTIONS(1035),
    [aux_sym_export_data_statement_token1] = ACTIONS(1035),
    [aux_sym_load_data_statement_token1] = ACTIONS(1035),
    [anon_sym_LBRACK] = ACTIONS(1035),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1035),
    [anon_sym_PLUS] = ACTIONS(931),
    [anon_sym_DASH] = ACTIONS(933),
    [anon_sym_STAR] = ACTIONS(935),
    [anon_sym_SLASH] = ACTIONS(937),
    [anon_sym_PIPE_PIPE] = ACTIONS(935),
    [anon_sym_LT_EQ] = ACTIONS(1035),
    [anon_sym_LT_GT] = ACTIONS(1035),
    [anon_sym_GT_EQ] = ACTIONS(1035),
    [anon_sym_BANG_EQ] = ACTIONS(1035),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_CARET] = ACTIONS(943),
    [anon_sym_PIPE] = ACTIONS(945),
  },
  [98] = {
    [sym__keyword_between] = STATE(853),
    [sym__keyword_is] = STATE(12034),
    [sym__keyword_in] = STATE(1681),
    [sym__keyword_not] = STATE(13091),
    [sym__keyword_and] = STATE(1653),
    [sym__keyword_or] = STATE(1652),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16304),
    [sym_quantitve_like_operator] = STATE(16303),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1039),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1039),
    [aux_sym_keyword_replace_token1] = ACTIONS(1041),
    [aux_sym__keyword_alter_token1] = ACTIONS(1039),
    [aux_sym__keyword_delete_token1] = ACTIONS(1039),
    [aux_sym__keyword_begin_token1] = ACTIONS(1039),
    [aux_sym__keyword_end_token1] = ACTIONS(1039),
    [aux_sym__keyword_between_token1] = ACTIONS(1039),
    [aux_sym__keyword_when_token1] = ACTIONS(1039),
    [aux_sym__keyword_else_token1] = ACTIONS(1041),
    [aux_sym__keyword_is_token1] = ACTIONS(1039),
    [aux_sym__keyword_in_token1] = ACTIONS(1041),
    [aux_sym__keyword_and_token1] = ACTIONS(1039),
    [aux_sym__keyword_like_token1] = ACTIONS(1039),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1039),
    [aux_sym__keyword_window_token1] = ACTIONS(1039),
    [aux_sym__keyword_for_token1] = ACTIONS(1039),
    [anon_sym_SEMI] = ACTIONS(1039),
    [aux_sym_declare_statement_token1] = ACTIONS(1039),
    [anon_sym_COMMA] = ACTIONS(1039),
    [aux_sym_set_statement_token1] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(1039),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1039),
    [aux_sym_using_clause_token1] = ACTIONS(1039),
    [aux_sym_return_satement_token1] = ACTIONS(1039),
    [aux_sym_call_statement_token1] = ACTIONS(1039),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1039),
    [aux_sym_if_statement_token1] = ACTIONS(1039),
    [aux_sym_loop_statement_token1] = ACTIONS(1039),
    [aux_sym_repeat_statement_token1] = ACTIONS(1039),
    [aux_sym_while_statement_token1] = ACTIONS(1039),
    [aux_sym_break_statement_token1] = ACTIONS(1039),
    [aux_sym_leave_statement_token1] = ACTIONS(1039),
    [aux_sym_continue_statement_token1] = ACTIONS(1039),
    [aux_sym_iterate_statement_token1] = ACTIONS(1039),
    [aux_sym_raise_statement_token1] = ACTIONS(1039),
    [anon_sym_EQ] = ACTIONS(1039),
    [aux_sym_assert_statement_token1] = ACTIONS(1039),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1039),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1039),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1039),
    [anon_sym_LT] = ACTIONS(1041),
    [anon_sym_GT] = ACTIONS(1041),
    [aux_sym_set_operation_token1] = ACTIONS(1039),
    [aux_sym_set_operation_token3] = ACTIONS(1039),
    [aux_sym_set_operation_token4] = ACTIONS(1041),
    [aux_sym_select_token1] = ACTIONS(1039),
    [aux_sym_having_clause_token1] = ACTIONS(1039),
    [aux_sym_qualify_clause_token1] = ACTIONS(1039),
    [aux_sym_limit_clause_token1] = ACTIONS(1039),
    [aux_sym_group_by_clause_token1] = ACTIONS(1039),
    [aux_sym_order_by_clause_token1] = ACTIONS(1039),
    [aux_sym_where_clause_token1] = ACTIONS(1039),
    [aux_sym_pivot_operator_token1] = ACTIONS(1039),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1039),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1039),
    [aux_sym_join_type_token1] = ACTIONS(1039),
    [aux_sym_join_type_token2] = ACTIONS(1039),
    [aux_sym_join_type_token3] = ACTIONS(1039),
    [aux_sym_join_type_token4] = ACTIONS(1039),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1039),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1039),
    [aux_sym_join_condition_token1] = ACTIONS(1039),
    [aux_sym_insert_statement_token1] = ACTIONS(1039),
    [aux_sym_truncate_statement_token1] = ACTIONS(1039),
    [aux_sym_update_statement_token1] = ACTIONS(1039),
    [aux_sym_merge_statement_token1] = ACTIONS(1039),
    [aux_sym_grant_statement_token1] = ACTIONS(1039),
    [aux_sym_revoke_statement_token1] = ACTIONS(1039),
    [aux_sym_export_data_statement_token1] = ACTIONS(1039),
    [aux_sym_load_data_statement_token1] = ACTIONS(1039),
    [anon_sym_LBRACK] = ACTIONS(1039),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1039),
    [anon_sym_PLUS] = ACTIONS(931),
    [anon_sym_DASH] = ACTIONS(933),
    [anon_sym_STAR] = ACTIONS(935),
    [anon_sym_SLASH] = ACTIONS(937),
    [anon_sym_PIPE_PIPE] = ACTIONS(935),
    [anon_sym_LT_EQ] = ACTIONS(1039),
    [anon_sym_LT_GT] = ACTIONS(1039),
    [anon_sym_GT_EQ] = ACTIONS(1039),
    [anon_sym_BANG_EQ] = ACTIONS(1039),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_CARET] = ACTIONS(943),
    [anon_sym_PIPE] = ACTIONS(945),
  },
  [99] = {
    [sym__keyword_between] = STATE(853),
    [sym__keyword_is] = STATE(12034),
    [sym__keyword_in] = STATE(1681),
    [sym__keyword_not] = STATE(13091),
    [sym__keyword_and] = STATE(1653),
    [sym__keyword_or] = STATE(1652),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16304),
    [sym_quantitve_like_operator] = STATE(16303),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(923),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(925),
    [aux_sym__keyword_in_token1] = ACTIONS(927),
    [aux_sym__keyword_and_token1] = ACTIONS(1005),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_using_clause_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(929),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(927),
    [anon_sym_GT] = ACTIONS(927),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_group_by_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_where_clause_token1] = ACTIONS(917),
    [aux_sym_pivot_operator_token1] = ACTIONS(917),
    [aux_sym_unpivot_operator_token1] = ACTIONS(917),
    [aux_sym_tablesample_operator_token1] = ACTIONS(917),
    [aux_sym_join_type_token1] = ACTIONS(917),
    [aux_sym_join_type_token2] = ACTIONS(917),
    [aux_sym_join_type_token3] = ACTIONS(917),
    [aux_sym_join_type_token4] = ACTIONS(917),
    [aux_sym__cross_join_operation_token1] = ACTIONS(917),
    [aux_sym__cross_join_operation_token2] = ACTIONS(917),
    [aux_sym_join_condition_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(931),
    [anon_sym_DASH] = ACTIONS(933),
    [anon_sym_STAR] = ACTIONS(935),
    [anon_sym_SLASH] = ACTIONS(937),
    [anon_sym_PIPE_PIPE] = ACTIONS(935),
    [anon_sym_LT_EQ] = ACTIONS(929),
    [anon_sym_LT_GT] = ACTIONS(929),
    [anon_sym_GT_EQ] = ACTIONS(929),
    [anon_sym_BANG_EQ] = ACTIONS(929),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_CARET] = ACTIONS(943),
    [anon_sym_PIPE] = ACTIONS(945),
  },
  [100] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16298),
    [sym__keyword_case] = STATE(370),
    [sym__keyword_not] = STATE(1409),
    [sym__keyword_cast] = STATE(19281),
    [sym__keyword_date] = STATE(5984),
    [sym__keyword_datetime] = STATE(5984),
    [sym__keyword_time] = STATE(5984),
    [sym__keyword_timestamp] = STATE(5984),
    [sym__grouping_list] = STATE(11911),
    [sym_grouping_sets] = STATE(11911),
    [sym_grouping_item_sets] = STATE(11911),
    [sym_rollup] = STATE(11911),
    [sym_cube] = STATE(11911),
    [sym_grouping_empty] = STATE(11911),
    [sym_grouping_item] = STATE(11911),
    [sym_select_subexpression] = STATE(6583),
    [sym_function_call] = STATE(6583),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(6583),
    [sym__literal] = STATE(6583),
    [sym_NULL] = STATE(6583),
    [sym_TRUE] = STATE(6583),
    [sym_FALSE] = STATE(6583),
    [sym__float] = STATE(6582),
    [sym_numeric] = STATE(6582),
    [sym__number] = STATE(6582),
    [sym_interval] = STATE(6583),
    [sym_range] = STATE(6583),
    [sym_time] = STATE(6583),
    [sym_number] = STATE(6583),
    [sym_json] = STATE(6583),
    [sym_query_parameter] = STATE(6583),
    [sym__type_chrono] = STATE(5709),
    [sym__type_struct] = STATE(19051),
    [sym__type_array] = STATE(18379),
    [sym_array] = STATE(6583),
    [sym_struct] = STATE(6583),
    [sym__identifier] = STATE(5940),
    [sym__dotted_identifier] = STATE(13302),
    [sym_identifier] = STATE(9146),
    [sym_string] = STATE(6583),
    [sym__expression] = STATE(6670),
    [sym__parenthesized_expression] = STATE(6583),
    [sym_element_access] = STATE(6583),
    [sym_field_access] = STATE(6583),
    [sym_unary_expression] = STATE(6583),
    [sym_binary_expression] = STATE(6583),
    [sym_between_operator] = STATE(6583),
    [sym_casewhen_expression] = STATE(6583),
    [sym_cast_expression] = STATE(6583),
    [sym_argument_reference] = STATE(6583),
    [aux_sym_identifier_repeat1] = STATE(13302),
    [sym__unquoted_identifier] = ACTIONS(491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(493),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(495),
    [aux_sym__keyword_case_token1] = ACTIONS(497),
    [aux_sym__keyword_cast_token1] = ACTIONS(499),
    [aux_sym__keyword_cast_token2] = ACTIONS(499),
    [aux_sym__keyword_date_token1] = ACTIONS(501),
    [aux_sym__keyword_datetime_token1] = ACTIONS(501),
    [aux_sym__keyword_time_token1] = ACTIONS(501),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_drop_notnull_token1] = ACTIONS(505),
    [aux_sym_grouping_sets_token1] = ACTIONS(955),
    [aux_sym_rollup_token1] = ACTIONS(567),
    [aux_sym_cube_token1] = ACTIONS(569),
    [aux_sym_function_call_token2] = ACTIONS(507),
    [aux_sym_unnest_operator_token1] = ACTIONS(1045),
    [aux_sym_TRUE_token1] = ACTIONS(511),
    [aux_sym_FALSE_token1] = ACTIONS(513),
    [sym__integer] = ACTIONS(515),
    [aux_sym__float_token1] = ACTIONS(517),
    [aux_sym__float_token2] = ACTIONS(515),
    [aux_sym__float_token3] = ACTIONS(517),
    [aux_sym_numeric_token1] = ACTIONS(519),
    [aux_sym_numeric_token2] = ACTIONS(519),
    [aux_sym_numeric_token3] = ACTIONS(519),
    [aux_sym_numeric_token4] = ACTIONS(519),
    [aux_sym_interval_token1] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(523),
    [aux_sym_json_token1] = ACTIONS(525),
    [sym_system_variable] = ACTIONS(527),
    [sym__named_query_parameter] = ACTIONS(529),
    [sym__positional_query_parameter] = ACTIONS(531),
    [sym__quoted_identifier] = ACTIONS(533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_operator_compare] = ACTIONS(539),
    [anon_sym_DOLLAR] = ACTIONS(541),
    [sym__string_start] = ACTIONS(543),
  },
  [101] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1670),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym__grouping_list] = STATE(5571),
    [sym_grouping_sets] = STATE(5571),
    [sym_grouping_item_sets] = STATE(5571),
    [sym_rollup] = STATE(5571),
    [sym_cube] = STATE(5571),
    [sym_grouping_empty] = STATE(5571),
    [sym_grouping_item] = STATE(5571),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(175),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(2307),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(953),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_grouping_sets_token1] = ACTIONS(955),
    [aux_sym_rollup_token1] = ACTIONS(567),
    [aux_sym_cube_token1] = ACTIONS(569),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(995),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(997),
    [anon_sym_PLUS] = ACTIONS(999),
    [anon_sym_DASH] = ACTIONS(999),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [102] = {
    [sym__keyword_between] = STATE(853),
    [sym__keyword_is] = STATE(12034),
    [sym__keyword_in] = STATE(1681),
    [sym__keyword_not] = STATE(13091),
    [sym__keyword_and] = STATE(1653),
    [sym__keyword_or] = STATE(1652),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16304),
    [sym_quantitve_like_operator] = STATE(16303),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_using_clause_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_group_by_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_where_clause_token1] = ACTIONS(917),
    [aux_sym_pivot_operator_token1] = ACTIONS(917),
    [aux_sym_unpivot_operator_token1] = ACTIONS(917),
    [aux_sym_tablesample_operator_token1] = ACTIONS(917),
    [aux_sym_join_type_token1] = ACTIONS(917),
    [aux_sym_join_type_token2] = ACTIONS(917),
    [aux_sym_join_type_token3] = ACTIONS(917),
    [aux_sym_join_type_token4] = ACTIONS(917),
    [aux_sym__cross_join_operation_token1] = ACTIONS(917),
    [aux_sym__cross_join_operation_token2] = ACTIONS(917),
    [aux_sym_join_condition_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(931),
    [anon_sym_DASH] = ACTIONS(933),
    [anon_sym_STAR] = ACTIONS(935),
    [anon_sym_SLASH] = ACTIONS(937),
    [anon_sym_PIPE_PIPE] = ACTIONS(935),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_CARET] = ACTIONS(943),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [103] = {
    [sym__keyword_between] = STATE(853),
    [sym__keyword_is] = STATE(12034),
    [sym__keyword_in] = STATE(1681),
    [sym__keyword_not] = STATE(13091),
    [sym__keyword_and] = STATE(1653),
    [sym__keyword_or] = STATE(1652),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16304),
    [sym_quantitve_like_operator] = STATE(16303),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_using_clause_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_group_by_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_where_clause_token1] = ACTIONS(917),
    [aux_sym_pivot_operator_token1] = ACTIONS(917),
    [aux_sym_unpivot_operator_token1] = ACTIONS(917),
    [aux_sym_tablesample_operator_token1] = ACTIONS(917),
    [aux_sym_join_type_token1] = ACTIONS(917),
    [aux_sym_join_type_token2] = ACTIONS(917),
    [aux_sym_join_type_token3] = ACTIONS(917),
    [aux_sym_join_type_token4] = ACTIONS(917),
    [aux_sym__cross_join_operation_token1] = ACTIONS(917),
    [aux_sym__cross_join_operation_token2] = ACTIONS(917),
    [aux_sym_join_condition_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(931),
    [anon_sym_DASH] = ACTIONS(933),
    [anon_sym_STAR] = ACTIONS(935),
    [anon_sym_SLASH] = ACTIONS(937),
    [anon_sym_PIPE_PIPE] = ACTIONS(935),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [104] = {
    [sym__keyword_between] = STATE(853),
    [sym__keyword_is] = STATE(12034),
    [sym__keyword_in] = STATE(1681),
    [sym__keyword_not] = STATE(13091),
    [sym__keyword_and] = STATE(1653),
    [sym__keyword_or] = STATE(1652),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16304),
    [sym_quantitve_like_operator] = STATE(16303),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_using_clause_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_group_by_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_where_clause_token1] = ACTIONS(917),
    [aux_sym_pivot_operator_token1] = ACTIONS(917),
    [aux_sym_unpivot_operator_token1] = ACTIONS(917),
    [aux_sym_tablesample_operator_token1] = ACTIONS(917),
    [aux_sym_join_type_token1] = ACTIONS(917),
    [aux_sym_join_type_token2] = ACTIONS(917),
    [aux_sym_join_type_token3] = ACTIONS(917),
    [aux_sym_join_type_token4] = ACTIONS(917),
    [aux_sym__cross_join_operation_token1] = ACTIONS(917),
    [aux_sym__cross_join_operation_token2] = ACTIONS(917),
    [aux_sym_join_condition_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(931),
    [anon_sym_DASH] = ACTIONS(933),
    [anon_sym_STAR] = ACTIONS(935),
    [anon_sym_SLASH] = ACTIONS(937),
    [anon_sym_PIPE_PIPE] = ACTIONS(935),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [105] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1357),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym__grouping_list] = STATE(5571),
    [sym_grouping_sets] = STATE(5571),
    [sym_grouping_item_sets] = STATE(5571),
    [sym_rollup] = STATE(5571),
    [sym_cube] = STATE(5571),
    [sym_grouping_empty] = STATE(5571),
    [sym_grouping_item] = STATE(5571),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(391),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(2713),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(953),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_grouping_sets_token1] = ACTIONS(955),
    [aux_sym_rollup_token1] = ACTIONS(567),
    [aux_sym_cube_token1] = ACTIONS(569),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(957),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(961),
    [anon_sym_DASH] = ACTIONS(961),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [106] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1444),
    [sym__keyword_as] = STATE(15300),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_list] = STATE(5371),
    [sym_select_all] = STATE(5983),
    [sym_aggregation_threshold_clause] = STATE(222),
    [sym_differential_privacy_clause] = STATE(222),
    [sym__aliasable_expression] = STATE(5976),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(198),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(75),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_asterisk_expression] = STATE(5318),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_as_token1] = ACTIONS(1051),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(805),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [107] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16298),
    [sym__keyword_case] = STATE(370),
    [sym__keyword_not] = STATE(1409),
    [sym__keyword_cast] = STATE(19281),
    [sym__keyword_date] = STATE(5984),
    [sym__keyword_datetime] = STATE(5984),
    [sym__keyword_time] = STATE(5984),
    [sym__keyword_timestamp] = STATE(5984),
    [sym__grouping_list] = STATE(5571),
    [sym_grouping_sets] = STATE(5571),
    [sym_grouping_item_sets] = STATE(5571),
    [sym_rollup] = STATE(5571),
    [sym_cube] = STATE(5571),
    [sym_grouping_empty] = STATE(5571),
    [sym_grouping_item] = STATE(5571),
    [sym_select_subexpression] = STATE(6583),
    [sym_function_call] = STATE(6583),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(6583),
    [sym__literal] = STATE(6583),
    [sym_NULL] = STATE(6583),
    [sym_TRUE] = STATE(6583),
    [sym_FALSE] = STATE(6583),
    [sym__float] = STATE(6582),
    [sym_numeric] = STATE(6582),
    [sym__number] = STATE(6582),
    [sym_interval] = STATE(6583),
    [sym_range] = STATE(6583),
    [sym_time] = STATE(6583),
    [sym_number] = STATE(6583),
    [sym_json] = STATE(6583),
    [sym_query_parameter] = STATE(6583),
    [sym__type_chrono] = STATE(5709),
    [sym__type_struct] = STATE(19051),
    [sym__type_array] = STATE(18379),
    [sym_array] = STATE(6583),
    [sym_struct] = STATE(6583),
    [sym__identifier] = STATE(5940),
    [sym__dotted_identifier] = STATE(13302),
    [sym_identifier] = STATE(9146),
    [sym_string] = STATE(6583),
    [sym__expression] = STATE(6670),
    [sym__parenthesized_expression] = STATE(6583),
    [sym_element_access] = STATE(6583),
    [sym_field_access] = STATE(6583),
    [sym_unary_expression] = STATE(6583),
    [sym_binary_expression] = STATE(6583),
    [sym_between_operator] = STATE(6583),
    [sym_casewhen_expression] = STATE(6583),
    [sym_cast_expression] = STATE(6583),
    [sym_argument_reference] = STATE(6583),
    [aux_sym_identifier_repeat1] = STATE(13302),
    [sym__unquoted_identifier] = ACTIONS(491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(493),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(495),
    [aux_sym__keyword_case_token1] = ACTIONS(497),
    [aux_sym__keyword_cast_token1] = ACTIONS(499),
    [aux_sym__keyword_cast_token2] = ACTIONS(499),
    [aux_sym__keyword_date_token1] = ACTIONS(501),
    [aux_sym__keyword_datetime_token1] = ACTIONS(501),
    [aux_sym__keyword_time_token1] = ACTIONS(501),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_drop_notnull_token1] = ACTIONS(505),
    [aux_sym_grouping_sets_token1] = ACTIONS(955),
    [aux_sym_rollup_token1] = ACTIONS(567),
    [aux_sym_cube_token1] = ACTIONS(569),
    [aux_sym_function_call_token2] = ACTIONS(507),
    [aux_sym_unnest_operator_token1] = ACTIONS(1045),
    [aux_sym_TRUE_token1] = ACTIONS(511),
    [aux_sym_FALSE_token1] = ACTIONS(513),
    [sym__integer] = ACTIONS(515),
    [aux_sym__float_token1] = ACTIONS(517),
    [aux_sym__float_token2] = ACTIONS(515),
    [aux_sym__float_token3] = ACTIONS(517),
    [aux_sym_numeric_token1] = ACTIONS(519),
    [aux_sym_numeric_token2] = ACTIONS(519),
    [aux_sym_numeric_token3] = ACTIONS(519),
    [aux_sym_numeric_token4] = ACTIONS(519),
    [aux_sym_interval_token1] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(523),
    [aux_sym_json_token1] = ACTIONS(525),
    [sym_system_variable] = ACTIONS(527),
    [sym__named_query_parameter] = ACTIONS(529),
    [sym__positional_query_parameter] = ACTIONS(531),
    [sym__quoted_identifier] = ACTIONS(533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_operator_compare] = ACTIONS(539),
    [anon_sym_DOLLAR] = ACTIONS(541),
    [sym__string_start] = ACTIONS(543),
  },
  [108] = {
    [sym__keyword_as] = STATE(11487),
    [sym__keyword_date] = STATE(2132),
    [sym__keyword_datetime] = STATE(2132),
    [sym__keyword_time] = STATE(2132),
    [sym__keyword_timestamp] = STATE(2132),
    [sym_as_alias] = STATE(1998),
    [sym_unnest_withoffset] = STATE(2089),
    [sym__type_chrono] = STATE(2142),
    [sym__identifier] = STATE(1950),
    [sym__dotted_identifier] = STATE(13635),
    [sym_identifier] = STATE(2103),
    [aux_sym_identifier_repeat1] = STATE(13635),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(205),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(205),
    [aux_sym_keyword_replace_token1] = ACTIONS(205),
    [aux_sym__keyword_alter_token1] = ACTIONS(205),
    [aux_sym__keyword_from_token1] = ACTIONS(205),
    [aux_sym__keyword_delete_token1] = ACTIONS(205),
    [aux_sym__keyword_begin_token1] = ACTIONS(205),
    [aux_sym__keyword_end_token1] = ACTIONS(205),
    [aux_sym__keyword_between_token1] = ACTIONS(205),
    [aux_sym__keyword_when_token1] = ACTIONS(205),
    [aux_sym__keyword_else_token1] = ACTIONS(205),
    [aux_sym__keyword_is_token1] = ACTIONS(205),
    [aux_sym__keyword_in_token1] = ACTIONS(205),
    [aux_sym__keyword_and_token1] = ACTIONS(205),
    [aux_sym__keyword_like_token1] = ACTIONS(205),
    [aux_sym__keyword_repeat_token1] = ACTIONS(205),
    [aux_sym__keyword_as_token1] = ACTIONS(1053),
    [aux_sym__keyword_window_token1] = ACTIONS(205),
    [aux_sym__keyword_date_token1] = ACTIONS(1055),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1055),
    [aux_sym__keyword_time_token1] = ACTIONS(1055),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1055),
    [aux_sym__keyword_for_token1] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(211),
    [aux_sym_declare_statement_token1] = ACTIONS(205),
    [anon_sym_COMMA] = ACTIONS(211),
    [aux_sym_set_statement_token1] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(211),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(205),
    [aux_sym_return_satement_token1] = ACTIONS(205),
    [aux_sym_call_statement_token1] = ACTIONS(205),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(205),
    [aux_sym_if_statement_token1] = ACTIONS(205),
    [aux_sym_loop_statement_token1] = ACTIONS(205),
    [aux_sym_repeat_statement_token1] = ACTIONS(205),
    [aux_sym_while_statement_token1] = ACTIONS(205),
    [aux_sym_break_statement_token1] = ACTIONS(205),
    [aux_sym_leave_statement_token1] = ACTIONS(205),
    [aux_sym_continue_statement_token1] = ACTIONS(205),
    [aux_sym_iterate_statement_token1] = ACTIONS(205),
    [aux_sym_raise_statement_token1] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(211),
    [aux_sym_assert_statement_token1] = ACTIONS(205),
    [aux_sym_create_schema_statement_token1] = ACTIONS(205),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(205),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [aux_sym_set_operation_token1] = ACTIONS(205),
    [aux_sym_set_operation_token3] = ACTIONS(205),
    [aux_sym_set_operation_token4] = ACTIONS(205),
    [aux_sym_select_token1] = ACTIONS(205),
    [aux_sym_having_clause_token1] = ACTIONS(205),
    [aux_sym_qualify_clause_token1] = ACTIONS(205),
    [aux_sym_limit_clause_token1] = ACTIONS(205),
    [aux_sym_group_by_clause_token1] = ACTIONS(205),
    [aux_sym_order_by_clause_token1] = ACTIONS(205),
    [aux_sym_where_clause_token1] = ACTIONS(205),
    [aux_sym_insert_statement_token1] = ACTIONS(205),
    [aux_sym_truncate_statement_token1] = ACTIONS(205),
    [aux_sym_update_statement_token1] = ACTIONS(205),
    [aux_sym_merge_statement_token1] = ACTIONS(205),
    [aux_sym_grant_statement_token1] = ACTIONS(205),
    [aux_sym_revoke_statement_token1] = ACTIONS(205),
    [aux_sym_export_data_statement_token1] = ACTIONS(205),
    [aux_sym_load_data_statement_token1] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(211),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(211),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(211),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(211),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_LT_GT] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(211),
    [anon_sym_GT_GT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_CARET] = ACTIONS(211),
    [anon_sym_PIPE] = ACTIONS(205),
  },
  [109] = {
    [sym__keyword_alter] = STATE(14478),
    [sym__keyword_delete] = STATE(11379),
    [sym__keyword_repeat] = STATE(200),
    [sym__keyword_for] = STATE(11539),
    [sym__statement] = STATE(9135),
    [aux_sym__statement_list] = STATE(110),
    [sym_declare_statement] = STATE(8035),
    [sym_set_statement] = STATE(8035),
    [sym_execute_immadiate_statement] = STATE(8035),
    [sym_return_satement] = STATE(8035),
    [sym_call_statement] = STATE(8035),
    [sym_begin_end_statement] = STATE(8035),
    [sym_begin_exception_end_statement] = STATE(8035),
    [sym_if_statement] = STATE(8035),
    [sym_loop_statement] = STATE(8035),
    [sym_repeat_statement] = STATE(8035),
    [sym_while_statement] = STATE(8035),
    [sym_for_in_statement] = STATE(8035),
    [sym_break_statement] = STATE(8035),
    [sym_leave_statement] = STATE(8035),
    [sym_continue_statement] = STATE(8035),
    [sym_iterate_statement] = STATE(8035),
    [sym_raise_statement] = STATE(8035),
    [sym_assert_statement] = STATE(8035),
    [sym_create_schema_statement] = STATE(8035),
    [sym_alter_schema_statement] = STATE(8035),
    [sym_drop_schema_statement] = STATE(8035),
    [sym_create_table_statement] = STATE(8035),
    [sym_create_table_like_statement] = STATE(8035),
    [sym_create_table_clone_statement] = STATE(8035),
    [sym_create_table_copy_statement] = STATE(8035),
    [sym_create_snapshot_table_statement] = STATE(8035),
    [sym_create_external_table_statement] = STATE(8035),
    [sym_alter_table_statement] = STATE(8035),
    [sym_alter_table_rename_statement] = STATE(8035),
    [sym_alter_table_column_statement] = STATE(8035),
    [sym_drop_table_statement] = STATE(8035),
    [sym_create_function_statement] = STATE(8035),
    [sym_create_remote_function_statement] = STATE(8035),
    [sym_drop_function_statement] = STATE(8035),
    [sym_create_table_function_statement] = STATE(8035),
    [sym_drop_table_function_statement] = STATE(8035),
    [sym_create_procedure_statement] = STATE(8035),
    [sym_drop_procedure_statement] = STATE(8035),
    [sym_create_model_statement] = STATE(8035),
    [sym_drop_model_statement] = STATE(8035),
    [sym_query_statement] = STATE(8035),
    [sym_set_operation] = STATE(6482),
    [sym_query_expr] = STATE(7380),
    [sym_select] = STATE(6482),
    [sym_cte_clause] = STATE(13016),
    [sym_insert_statement] = STATE(8035),
    [sym_delete_statement] = STATE(8035),
    [sym_truncate_statement] = STATE(8035),
    [sym_update_statement] = STATE(8035),
    [sym_merge_statement] = STATE(8035),
    [sym_grant_statement] = STATE(8035),
    [sym_revoke_statement] = STATE(8035),
    [sym_export_data_statement] = STATE(8035),
    [sym_load_data_statement] = STATE(8035),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(7),
    [aux_sym__keyword_alter_token1] = ACTIONS(9),
    [aux_sym__keyword_delete_token1] = ACTIONS(963),
    [aux_sym__keyword_begin_token1] = ACTIONS(13),
    [aux_sym__keyword_end_token1] = ACTIONS(1059),
    [aux_sym__keyword_else_token1] = ACTIONS(1061),
    [aux_sym__keyword_repeat_token1] = ACTIONS(15),
    [aux_sym__keyword_for_token1] = ACTIONS(17),
    [aux_sym_declare_statement_token1] = ACTIONS(969),
    [aux_sym_set_statement_token1] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(973),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(975),
    [aux_sym_return_satement_token1] = ACTIONS(27),
    [aux_sym_call_statement_token1] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(1059),
    [aux_sym_loop_statement_token1] = ACTIONS(31),
    [aux_sym_while_statement_token1] = ACTIONS(33),
    [aux_sym_break_statement_token1] = ACTIONS(35),
    [aux_sym_leave_statement_token1] = ACTIONS(37),
    [aux_sym_continue_statement_token1] = ACTIONS(39),
    [aux_sym_iterate_statement_token1] = ACTIONS(41),
    [aux_sym_raise_statement_token1] = ACTIONS(979),
    [aux_sym_assert_statement_token1] = ACTIONS(981),
    [aux_sym_create_schema_statement_token1] = ACTIONS(983),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(49),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(51),
    [aux_sym_select_token1] = ACTIONS(985),
    [aux_sym_insert_statement_token1] = ACTIONS(987),
    [aux_sym_truncate_statement_token1] = ACTIONS(57),
    [aux_sym_update_statement_token1] = ACTIONS(989),
    [aux_sym_merge_statement_token1] = ACTIONS(991),
    [aux_sym_grant_statement_token1] = ACTIONS(63),
    [aux_sym_revoke_statement_token1] = ACTIONS(65),
    [aux_sym_export_data_statement_token1] = ACTIONS(993),
    [aux_sym_load_data_statement_token1] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
  },
  [110] = {
    [sym__keyword_alter] = STATE(14478),
    [sym__keyword_delete] = STATE(11379),
    [sym__keyword_repeat] = STATE(200),
    [sym__keyword_for] = STATE(11539),
    [sym__statement] = STATE(9135),
    [aux_sym__statement_list] = STATE(79),
    [sym_declare_statement] = STATE(8035),
    [sym_set_statement] = STATE(8035),
    [sym_execute_immadiate_statement] = STATE(8035),
    [sym_return_satement] = STATE(8035),
    [sym_call_statement] = STATE(8035),
    [sym_begin_end_statement] = STATE(8035),
    [sym_begin_exception_end_statement] = STATE(8035),
    [sym_if_statement] = STATE(8035),
    [sym_loop_statement] = STATE(8035),
    [sym_repeat_statement] = STATE(8035),
    [sym_while_statement] = STATE(8035),
    [sym_for_in_statement] = STATE(8035),
    [sym_break_statement] = STATE(8035),
    [sym_leave_statement] = STATE(8035),
    [sym_continue_statement] = STATE(8035),
    [sym_iterate_statement] = STATE(8035),
    [sym_raise_statement] = STATE(8035),
    [sym_assert_statement] = STATE(8035),
    [sym_create_schema_statement] = STATE(8035),
    [sym_alter_schema_statement] = STATE(8035),
    [sym_drop_schema_statement] = STATE(8035),
    [sym_create_table_statement] = STATE(8035),
    [sym_create_table_like_statement] = STATE(8035),
    [sym_create_table_clone_statement] = STATE(8035),
    [sym_create_table_copy_statement] = STATE(8035),
    [sym_create_snapshot_table_statement] = STATE(8035),
    [sym_create_external_table_statement] = STATE(8035),
    [sym_alter_table_statement] = STATE(8035),
    [sym_alter_table_rename_statement] = STATE(8035),
    [sym_alter_table_column_statement] = STATE(8035),
    [sym_drop_table_statement] = STATE(8035),
    [sym_create_function_statement] = STATE(8035),
    [sym_create_remote_function_statement] = STATE(8035),
    [sym_drop_function_statement] = STATE(8035),
    [sym_create_table_function_statement] = STATE(8035),
    [sym_drop_table_function_statement] = STATE(8035),
    [sym_create_procedure_statement] = STATE(8035),
    [sym_drop_procedure_statement] = STATE(8035),
    [sym_create_model_statement] = STATE(8035),
    [sym_drop_model_statement] = STATE(8035),
    [sym_query_statement] = STATE(8035),
    [sym_set_operation] = STATE(6482),
    [sym_query_expr] = STATE(7380),
    [sym_select] = STATE(6482),
    [sym_cte_clause] = STATE(13016),
    [sym_insert_statement] = STATE(8035),
    [sym_delete_statement] = STATE(8035),
    [sym_truncate_statement] = STATE(8035),
    [sym_update_statement] = STATE(8035),
    [sym_merge_statement] = STATE(8035),
    [sym_grant_statement] = STATE(8035),
    [sym_revoke_statement] = STATE(8035),
    [sym_export_data_statement] = STATE(8035),
    [sym_load_data_statement] = STATE(8035),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(7),
    [aux_sym__keyword_alter_token1] = ACTIONS(9),
    [aux_sym__keyword_delete_token1] = ACTIONS(963),
    [aux_sym__keyword_begin_token1] = ACTIONS(13),
    [aux_sym__keyword_end_token1] = ACTIONS(1063),
    [aux_sym__keyword_else_token1] = ACTIONS(1065),
    [aux_sym__keyword_repeat_token1] = ACTIONS(15),
    [aux_sym__keyword_for_token1] = ACTIONS(17),
    [aux_sym_declare_statement_token1] = ACTIONS(969),
    [aux_sym_set_statement_token1] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(973),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(975),
    [aux_sym_return_satement_token1] = ACTIONS(27),
    [aux_sym_call_statement_token1] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(1063),
    [aux_sym_loop_statement_token1] = ACTIONS(31),
    [aux_sym_while_statement_token1] = ACTIONS(33),
    [aux_sym_break_statement_token1] = ACTIONS(35),
    [aux_sym_leave_statement_token1] = ACTIONS(37),
    [aux_sym_continue_statement_token1] = ACTIONS(39),
    [aux_sym_iterate_statement_token1] = ACTIONS(41),
    [aux_sym_raise_statement_token1] = ACTIONS(979),
    [aux_sym_assert_statement_token1] = ACTIONS(981),
    [aux_sym_create_schema_statement_token1] = ACTIONS(983),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(49),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(51),
    [aux_sym_select_token1] = ACTIONS(985),
    [aux_sym_insert_statement_token1] = ACTIONS(987),
    [aux_sym_truncate_statement_token1] = ACTIONS(57),
    [aux_sym_update_statement_token1] = ACTIONS(989),
    [aux_sym_merge_statement_token1] = ACTIONS(991),
    [aux_sym_grant_statement_token1] = ACTIONS(63),
    [aux_sym_revoke_statement_token1] = ACTIONS(65),
    [aux_sym_export_data_statement_token1] = ACTIONS(993),
    [aux_sym_load_data_statement_token1] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
  },
  [111] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16311),
    [sym__keyword_case] = STATE(358),
    [sym__keyword_not] = STATE(1156),
    [sym__keyword_cast] = STATE(19279),
    [sym__keyword_date] = STATE(2060),
    [sym__keyword_datetime] = STATE(2060),
    [sym__keyword_time] = STATE(2060),
    [sym__keyword_timestamp] = STATE(2060),
    [sym_select_list] = STATE(5294),
    [sym_select_all] = STATE(5405),
    [sym_aggregation_threshold_clause] = STATE(220),
    [sym_differential_privacy_clause] = STATE(220),
    [sym__aliasable_expression] = STATE(5392),
    [sym_select_subexpression] = STATE(2225),
    [sym_function_call] = STATE(2225),
    [sym_unnest_operator] = STATE(108),
    [sym_unnest_clause] = STATE(2225),
    [sym__literal] = STATE(2225),
    [sym_NULL] = STATE(2225),
    [sym_TRUE] = STATE(2225),
    [sym_FALSE] = STATE(2225),
    [sym__float] = STATE(2243),
    [sym_numeric] = STATE(2243),
    [sym__number] = STATE(2243),
    [sym_interval] = STATE(2225),
    [sym_range] = STATE(2225),
    [sym_time] = STATE(2225),
    [sym_number] = STATE(2225),
    [sym_json] = STATE(2225),
    [sym_query_parameter] = STATE(2225),
    [sym__type_chrono] = STATE(1347),
    [sym__type_struct] = STATE(19044),
    [sym__type_array] = STATE(18343),
    [sym_array] = STATE(2225),
    [sym_struct] = STATE(2225),
    [sym__identifier] = STATE(1950),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(2273),
    [sym_string] = STATE(2225),
    [sym__expression] = STATE(20),
    [sym__parenthesized_expression] = STATE(2225),
    [sym_element_access] = STATE(2225),
    [sym_field_access] = STATE(2225),
    [sym_unary_expression] = STATE(2225),
    [sym_binary_expression] = STATE(2225),
    [sym_between_operator] = STATE(2225),
    [sym_casewhen_expression] = STATE(2225),
    [sym_cast_expression] = STATE(2225),
    [sym_asterisk_expression] = STATE(5318),
    [sym_argument_reference] = STATE(2225),
    [aux_sym_identifier_repeat1] = STATE(13635),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(805),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [112] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym__grouping_list] = STATE(15639),
    [sym_grouping_item_sets] = STATE(15639),
    [sym_rollup] = STATE(15639),
    [sym_cube] = STATE(15639),
    [sym_grouping_empty] = STATE(15639),
    [sym_grouping_item] = STATE(15639),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9588),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1073),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_rollup_token1] = ACTIONS(567),
    [aux_sym_cube_token1] = ACTIONS(569),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [113] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym__grouping_list] = STATE(15634),
    [sym_grouping_item_sets] = STATE(15634),
    [sym_rollup] = STATE(15634),
    [sym_cube] = STATE(15634),
    [sym_grouping_empty] = STATE(15634),
    [sym_grouping_item] = STATE(15634),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9588),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1073),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_rollup_token1] = ACTIONS(567),
    [aux_sym_cube_token1] = ACTIONS(569),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [114] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1444),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_list] = STATE(5368),
    [sym_select_all] = STATE(5983),
    [sym_aggregation_threshold_clause] = STATE(218),
    [sym_differential_privacy_clause] = STATE(218),
    [sym__aliasable_expression] = STATE(5976),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(198),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(75),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_asterisk_expression] = STATE(5318),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(805),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [115] = {
    [sym__unquoted_identifier] = ACTIONS(1081),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1081),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1081),
    [aux_sym_keyword_replace_token1] = ACTIONS(1081),
    [aux_sym__keyword_alter_token1] = ACTIONS(1081),
    [aux_sym__keyword_delete_token1] = ACTIONS(1081),
    [aux_sym__keyword_begin_token1] = ACTIONS(1081),
    [aux_sym__keyword_end_token1] = ACTIONS(1081),
    [aux_sym__keyword_between_token1] = ACTIONS(1081),
    [aux_sym__keyword_when_token1] = ACTIONS(1081),
    [aux_sym__keyword_else_token1] = ACTIONS(1081),
    [aux_sym__keyword_is_token1] = ACTIONS(1081),
    [aux_sym__keyword_in_token1] = ACTIONS(1081),
    [aux_sym__keyword_and_token1] = ACTIONS(1081),
    [aux_sym__keyword_like_token1] = ACTIONS(1081),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1081),
    [aux_sym__keyword_as_token1] = ACTIONS(1081),
    [aux_sym__keyword_window_token1] = ACTIONS(1081),
    [aux_sym__keyword_date_token1] = ACTIONS(1081),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1081),
    [aux_sym__keyword_time_token1] = ACTIONS(1081),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1081),
    [aux_sym__keyword_for_token1] = ACTIONS(1081),
    [anon_sym_SEMI] = ACTIONS(1083),
    [aux_sym_declare_statement_token1] = ACTIONS(1081),
    [anon_sym_COMMA] = ACTIONS(1083),
    [aux_sym_set_statement_token1] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1081),
    [aux_sym_using_clause_token1] = ACTIONS(1081),
    [aux_sym_return_satement_token1] = ACTIONS(1081),
    [aux_sym_call_statement_token1] = ACTIONS(1081),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1081),
    [aux_sym_if_statement_token1] = ACTIONS(1081),
    [aux_sym_loop_statement_token1] = ACTIONS(1081),
    [aux_sym_repeat_statement_token1] = ACTIONS(1081),
    [aux_sym_while_statement_token1] = ACTIONS(1081),
    [aux_sym_break_statement_token1] = ACTIONS(1081),
    [aux_sym_leave_statement_token1] = ACTIONS(1081),
    [aux_sym_continue_statement_token1] = ACTIONS(1081),
    [aux_sym_iterate_statement_token1] = ACTIONS(1081),
    [aux_sym_raise_statement_token1] = ACTIONS(1081),
    [anon_sym_EQ] = ACTIONS(1083),
    [aux_sym_assert_statement_token1] = ACTIONS(1081),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1081),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1081),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1081),
    [anon_sym_LT] = ACTIONS(1081),
    [anon_sym_GT] = ACTIONS(1081),
    [aux_sym_set_operation_token1] = ACTIONS(1081),
    [aux_sym_set_operation_token3] = ACTIONS(1081),
    [aux_sym_set_operation_token4] = ACTIONS(1081),
    [aux_sym_select_token1] = ACTIONS(1081),
    [aux_sym_having_clause_token1] = ACTIONS(1081),
    [aux_sym_qualify_clause_token1] = ACTIONS(1081),
    [aux_sym_limit_clause_token1] = ACTIONS(1081),
    [aux_sym_group_by_clause_token1] = ACTIONS(1081),
    [aux_sym_order_by_clause_token1] = ACTIONS(1081),
    [aux_sym_where_clause_token1] = ACTIONS(1081),
    [aux_sym_pivot_operator_token1] = ACTIONS(1081),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1081),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1081),
    [aux_sym_join_type_token1] = ACTIONS(1081),
    [aux_sym_join_type_token2] = ACTIONS(1081),
    [aux_sym_join_type_token3] = ACTIONS(1081),
    [aux_sym_join_type_token4] = ACTIONS(1081),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1081),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1081),
    [aux_sym_join_condition_token1] = ACTIONS(1081),
    [aux_sym_insert_statement_token1] = ACTIONS(1081),
    [aux_sym_truncate_statement_token1] = ACTIONS(1081),
    [aux_sym_update_statement_token1] = ACTIONS(1081),
    [aux_sym_merge_statement_token1] = ACTIONS(1081),
    [aux_sym_grant_statement_token1] = ACTIONS(1081),
    [aux_sym_revoke_statement_token1] = ACTIONS(1081),
    [aux_sym_export_data_statement_token1] = ACTIONS(1081),
    [aux_sym_load_data_statement_token1] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [sym__quoted_identifier] = ACTIONS(1083),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1083),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1081),
    [anon_sym_STAR] = ACTIONS(1083),
    [anon_sym_SLASH] = ACTIONS(1081),
    [anon_sym_PIPE_PIPE] = ACTIONS(1083),
    [anon_sym_LT_EQ] = ACTIONS(1083),
    [anon_sym_LT_GT] = ACTIONS(1083),
    [anon_sym_GT_EQ] = ACTIONS(1083),
    [anon_sym_BANG_EQ] = ACTIONS(1083),
    [anon_sym_LT_LT] = ACTIONS(1083),
    [anon_sym_GT_GT] = ACTIONS(1083),
    [anon_sym_AMP] = ACTIONS(1083),
    [anon_sym_CARET] = ACTIONS(1083),
    [anon_sym_PIPE] = ACTIONS(1081),
  },
  [116] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16298),
    [sym__keyword_case] = STATE(370),
    [sym__keyword_not] = STATE(1461),
    [sym__keyword_cast] = STATE(19281),
    [sym__keyword_date] = STATE(5984),
    [sym__keyword_datetime] = STATE(5984),
    [sym__keyword_time] = STATE(5984),
    [sym__keyword_timestamp] = STATE(5984),
    [sym_select_list] = STATE(11255),
    [sym_select_all] = STATE(11644),
    [sym_aggregation_threshold_clause] = STATE(212),
    [sym_differential_privacy_clause] = STATE(212),
    [sym__aliasable_expression] = STATE(11648),
    [sym_select_subexpression] = STATE(6583),
    [sym_function_call] = STATE(6583),
    [sym_unnest_operator] = STATE(5280),
    [sym_unnest_clause] = STATE(6583),
    [sym__literal] = STATE(6583),
    [sym_NULL] = STATE(6583),
    [sym_TRUE] = STATE(6583),
    [sym_FALSE] = STATE(6583),
    [sym__float] = STATE(6582),
    [sym_numeric] = STATE(6582),
    [sym__number] = STATE(6582),
    [sym_interval] = STATE(6583),
    [sym_range] = STATE(6583),
    [sym_time] = STATE(6583),
    [sym_number] = STATE(6583),
    [sym_json] = STATE(6583),
    [sym_query_parameter] = STATE(6583),
    [sym__type_chrono] = STATE(5709),
    [sym__type_struct] = STATE(19051),
    [sym__type_array] = STATE(18379),
    [sym_array] = STATE(6583),
    [sym_struct] = STATE(6583),
    [sym__identifier] = STATE(5940),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(6280),
    [sym_string] = STATE(6583),
    [sym__expression] = STATE(5092),
    [sym__parenthesized_expression] = STATE(6583),
    [sym_element_access] = STATE(6583),
    [sym_field_access] = STATE(6583),
    [sym_unary_expression] = STATE(6583),
    [sym_binary_expression] = STATE(6583),
    [sym_between_operator] = STATE(6583),
    [sym_casewhen_expression] = STATE(6583),
    [sym_cast_expression] = STATE(6583),
    [sym_asterisk_expression] = STATE(5318),
    [sym_argument_reference] = STATE(6583),
    [aux_sym_identifier_repeat1] = STATE(13302),
    [sym__unquoted_identifier] = ACTIONS(491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(493),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(495),
    [aux_sym__keyword_case_token1] = ACTIONS(497),
    [aux_sym__keyword_cast_token1] = ACTIONS(499),
    [aux_sym__keyword_cast_token2] = ACTIONS(499),
    [aux_sym__keyword_date_token1] = ACTIONS(501),
    [aux_sym__keyword_datetime_token1] = ACTIONS(501),
    [aux_sym__keyword_time_token1] = ACTIONS(501),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(503),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(805),
    [aux_sym_drop_notnull_token1] = ACTIONS(505),
    [aux_sym_function_call_token2] = ACTIONS(507),
    [aux_sym_unnest_operator_token1] = ACTIONS(509),
    [aux_sym_TRUE_token1] = ACTIONS(511),
    [aux_sym_FALSE_token1] = ACTIONS(513),
    [sym__integer] = ACTIONS(515),
    [aux_sym__float_token1] = ACTIONS(517),
    [aux_sym__float_token2] = ACTIONS(515),
    [aux_sym__float_token3] = ACTIONS(517),
    [aux_sym_numeric_token1] = ACTIONS(519),
    [aux_sym_numeric_token2] = ACTIONS(519),
    [aux_sym_numeric_token3] = ACTIONS(519),
    [aux_sym_numeric_token4] = ACTIONS(519),
    [aux_sym_interval_token1] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(523),
    [aux_sym_json_token1] = ACTIONS(525),
    [sym_system_variable] = ACTIONS(527),
    [sym__named_query_parameter] = ACTIONS(529),
    [sym__positional_query_parameter] = ACTIONS(531),
    [sym__quoted_identifier] = ACTIONS(533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(539),
    [anon_sym_DOLLAR] = ACTIONS(541),
    [sym__string_start] = ACTIONS(543),
  },
  [117] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16298),
    [sym__keyword_case] = STATE(370),
    [sym__keyword_not] = STATE(1461),
    [sym__keyword_cast] = STATE(19281),
    [sym__keyword_date] = STATE(5984),
    [sym__keyword_datetime] = STATE(5984),
    [sym__keyword_time] = STATE(5984),
    [sym__keyword_timestamp] = STATE(5984),
    [sym_select_list] = STATE(11264),
    [sym_select_all] = STATE(11644),
    [sym_aggregation_threshold_clause] = STATE(210),
    [sym_differential_privacy_clause] = STATE(210),
    [sym__aliasable_expression] = STATE(11648),
    [sym_select_subexpression] = STATE(6583),
    [sym_function_call] = STATE(6583),
    [sym_unnest_operator] = STATE(5280),
    [sym_unnest_clause] = STATE(6583),
    [sym__literal] = STATE(6583),
    [sym_NULL] = STATE(6583),
    [sym_TRUE] = STATE(6583),
    [sym_FALSE] = STATE(6583),
    [sym__float] = STATE(6582),
    [sym_numeric] = STATE(6582),
    [sym__number] = STATE(6582),
    [sym_interval] = STATE(6583),
    [sym_range] = STATE(6583),
    [sym_time] = STATE(6583),
    [sym_number] = STATE(6583),
    [sym_json] = STATE(6583),
    [sym_query_parameter] = STATE(6583),
    [sym__type_chrono] = STATE(5709),
    [sym__type_struct] = STATE(19051),
    [sym__type_array] = STATE(18379),
    [sym_array] = STATE(6583),
    [sym_struct] = STATE(6583),
    [sym__identifier] = STATE(5940),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(6280),
    [sym_string] = STATE(6583),
    [sym__expression] = STATE(5092),
    [sym__parenthesized_expression] = STATE(6583),
    [sym_element_access] = STATE(6583),
    [sym_field_access] = STATE(6583),
    [sym_unary_expression] = STATE(6583),
    [sym_binary_expression] = STATE(6583),
    [sym_between_operator] = STATE(6583),
    [sym_casewhen_expression] = STATE(6583),
    [sym_cast_expression] = STATE(6583),
    [sym_asterisk_expression] = STATE(5318),
    [sym_argument_reference] = STATE(6583),
    [aux_sym_identifier_repeat1] = STATE(13302),
    [sym__unquoted_identifier] = ACTIONS(491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(493),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(495),
    [aux_sym__keyword_case_token1] = ACTIONS(497),
    [aux_sym__keyword_cast_token1] = ACTIONS(499),
    [aux_sym__keyword_cast_token2] = ACTIONS(499),
    [aux_sym__keyword_date_token1] = ACTIONS(501),
    [aux_sym__keyword_datetime_token1] = ACTIONS(501),
    [aux_sym__keyword_time_token1] = ACTIONS(501),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(503),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(805),
    [aux_sym_drop_notnull_token1] = ACTIONS(505),
    [aux_sym_function_call_token2] = ACTIONS(507),
    [aux_sym_unnest_operator_token1] = ACTIONS(509),
    [aux_sym_TRUE_token1] = ACTIONS(511),
    [aux_sym_FALSE_token1] = ACTIONS(513),
    [sym__integer] = ACTIONS(515),
    [aux_sym__float_token1] = ACTIONS(517),
    [aux_sym__float_token2] = ACTIONS(515),
    [aux_sym__float_token3] = ACTIONS(517),
    [aux_sym_numeric_token1] = ACTIONS(519),
    [aux_sym_numeric_token2] = ACTIONS(519),
    [aux_sym_numeric_token3] = ACTIONS(519),
    [aux_sym_numeric_token4] = ACTIONS(519),
    [aux_sym_interval_token1] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(523),
    [aux_sym_json_token1] = ACTIONS(525),
    [sym_system_variable] = ACTIONS(527),
    [sym__named_query_parameter] = ACTIONS(529),
    [sym__positional_query_parameter] = ACTIONS(531),
    [sym__quoted_identifier] = ACTIONS(533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(539),
    [anon_sym_DOLLAR] = ACTIONS(541),
    [sym__string_start] = ACTIONS(543),
  },
  [118] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym__grouping_list] = STATE(15875),
    [sym_grouping_item_sets] = STATE(15875),
    [sym_rollup] = STATE(15875),
    [sym_cube] = STATE(15875),
    [sym_grouping_empty] = STATE(15875),
    [sym_grouping_item] = STATE(15875),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9588),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1073),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_rollup_token1] = ACTIONS(567),
    [aux_sym_cube_token1] = ACTIONS(569),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [119] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16311),
    [sym__keyword_case] = STATE(358),
    [sym__keyword_not] = STATE(1156),
    [sym__keyword_cast] = STATE(19279),
    [sym__keyword_date] = STATE(2060),
    [sym__keyword_datetime] = STATE(2060),
    [sym__keyword_time] = STATE(2060),
    [sym__keyword_timestamp] = STATE(2060),
    [sym_select_list] = STATE(5306),
    [sym_select_all] = STATE(5405),
    [sym_aggregation_threshold_clause] = STATE(224),
    [sym_differential_privacy_clause] = STATE(224),
    [sym__aliasable_expression] = STATE(5392),
    [sym_select_subexpression] = STATE(2225),
    [sym_function_call] = STATE(2225),
    [sym_unnest_operator] = STATE(108),
    [sym_unnest_clause] = STATE(2225),
    [sym__literal] = STATE(2225),
    [sym_NULL] = STATE(2225),
    [sym_TRUE] = STATE(2225),
    [sym_FALSE] = STATE(2225),
    [sym__float] = STATE(2243),
    [sym_numeric] = STATE(2243),
    [sym__number] = STATE(2243),
    [sym_interval] = STATE(2225),
    [sym_range] = STATE(2225),
    [sym_time] = STATE(2225),
    [sym_number] = STATE(2225),
    [sym_json] = STATE(2225),
    [sym_query_parameter] = STATE(2225),
    [sym__type_chrono] = STATE(1347),
    [sym__type_struct] = STATE(19044),
    [sym__type_array] = STATE(18343),
    [sym_array] = STATE(2225),
    [sym_struct] = STATE(2225),
    [sym__identifier] = STATE(1950),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(2273),
    [sym_string] = STATE(2225),
    [sym__expression] = STATE(20),
    [sym__parenthesized_expression] = STATE(2225),
    [sym_element_access] = STATE(2225),
    [sym_field_access] = STATE(2225),
    [sym_unary_expression] = STATE(2225),
    [sym_binary_expression] = STATE(2225),
    [sym_between_operator] = STATE(2225),
    [sym_casewhen_expression] = STATE(2225),
    [sym_cast_expression] = STATE(2225),
    [sym_asterisk_expression] = STATE(5318),
    [sym_argument_reference] = STATE(2225),
    [aux_sym_identifier_repeat1] = STATE(13635),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(805),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [120] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1444),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_list] = STATE(5370),
    [sym_select_all] = STATE(5983),
    [sym_aggregation_threshold_clause] = STATE(211),
    [sym_differential_privacy_clause] = STATE(211),
    [sym__aliasable_expression] = STATE(5976),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(198),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(75),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_asterisk_expression] = STATE(5318),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(805),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [121] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym__grouping_list] = STATE(16023),
    [sym_grouping_item_sets] = STATE(16023),
    [sym_rollup] = STATE(16023),
    [sym_cube] = STATE(16023),
    [sym_grouping_empty] = STATE(16023),
    [sym_grouping_item] = STATE(16023),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9588),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1073),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_rollup_token1] = ACTIONS(567),
    [aux_sym_cube_token1] = ACTIONS(569),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [122] = {
    [sym__keyword_alter] = STATE(14478),
    [sym__keyword_delete] = STATE(11379),
    [sym__keyword_repeat] = STATE(200),
    [sym__keyword_for] = STATE(11539),
    [sym__statement] = STATE(9135),
    [aux_sym__statement_list] = STATE(79),
    [sym_declare_statement] = STATE(8035),
    [sym_set_statement] = STATE(8035),
    [sym_execute_immadiate_statement] = STATE(8035),
    [sym_return_satement] = STATE(8035),
    [sym_call_statement] = STATE(8035),
    [sym_begin_end_statement] = STATE(8035),
    [sym_begin_exception_end_statement] = STATE(8035),
    [sym_if_statement] = STATE(8035),
    [sym_loop_statement] = STATE(8035),
    [sym_repeat_statement] = STATE(8035),
    [sym_while_statement] = STATE(8035),
    [sym_for_in_statement] = STATE(8035),
    [sym_break_statement] = STATE(8035),
    [sym_leave_statement] = STATE(8035),
    [sym_continue_statement] = STATE(8035),
    [sym_iterate_statement] = STATE(8035),
    [sym_raise_statement] = STATE(8035),
    [sym_assert_statement] = STATE(8035),
    [sym_create_schema_statement] = STATE(8035),
    [sym_alter_schema_statement] = STATE(8035),
    [sym_drop_schema_statement] = STATE(8035),
    [sym_create_table_statement] = STATE(8035),
    [sym_create_table_like_statement] = STATE(8035),
    [sym_create_table_clone_statement] = STATE(8035),
    [sym_create_table_copy_statement] = STATE(8035),
    [sym_create_snapshot_table_statement] = STATE(8035),
    [sym_create_external_table_statement] = STATE(8035),
    [sym_alter_table_statement] = STATE(8035),
    [sym_alter_table_rename_statement] = STATE(8035),
    [sym_alter_table_column_statement] = STATE(8035),
    [sym_drop_table_statement] = STATE(8035),
    [sym_create_function_statement] = STATE(8035),
    [sym_create_remote_function_statement] = STATE(8035),
    [sym_drop_function_statement] = STATE(8035),
    [sym_create_table_function_statement] = STATE(8035),
    [sym_drop_table_function_statement] = STATE(8035),
    [sym_create_procedure_statement] = STATE(8035),
    [sym_drop_procedure_statement] = STATE(8035),
    [sym_create_model_statement] = STATE(8035),
    [sym_drop_model_statement] = STATE(8035),
    [sym_query_statement] = STATE(8035),
    [sym_set_operation] = STATE(6482),
    [sym_query_expr] = STATE(7380),
    [sym_select] = STATE(6482),
    [sym_cte_clause] = STATE(13016),
    [sym_insert_statement] = STATE(8035),
    [sym_delete_statement] = STATE(8035),
    [sym_truncate_statement] = STATE(8035),
    [sym_update_statement] = STATE(8035),
    [sym_merge_statement] = STATE(8035),
    [sym_grant_statement] = STATE(8035),
    [sym_revoke_statement] = STATE(8035),
    [sym_export_data_statement] = STATE(8035),
    [sym_load_data_statement] = STATE(8035),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(7),
    [aux_sym__keyword_alter_token1] = ACTIONS(9),
    [aux_sym__keyword_delete_token1] = ACTIONS(963),
    [aux_sym__keyword_begin_token1] = ACTIONS(13),
    [aux_sym__keyword_end_token1] = ACTIONS(1085),
    [aux_sym__keyword_repeat_token1] = ACTIONS(15),
    [aux_sym__keyword_for_token1] = ACTIONS(17),
    [aux_sym_declare_statement_token1] = ACTIONS(969),
    [aux_sym_set_statement_token1] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(973),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(975),
    [aux_sym_return_satement_token1] = ACTIONS(27),
    [aux_sym_call_statement_token1] = ACTIONS(29),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1087),
    [aux_sym_loop_statement_token1] = ACTIONS(31),
    [aux_sym_while_statement_token1] = ACTIONS(33),
    [aux_sym_break_statement_token1] = ACTIONS(35),
    [aux_sym_leave_statement_token1] = ACTIONS(37),
    [aux_sym_continue_statement_token1] = ACTIONS(39),
    [aux_sym_iterate_statement_token1] = ACTIONS(41),
    [aux_sym_raise_statement_token1] = ACTIONS(979),
    [aux_sym_assert_statement_token1] = ACTIONS(981),
    [aux_sym_create_schema_statement_token1] = ACTIONS(983),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(49),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(51),
    [aux_sym_select_token1] = ACTIONS(985),
    [aux_sym_insert_statement_token1] = ACTIONS(987),
    [aux_sym_truncate_statement_token1] = ACTIONS(57),
    [aux_sym_update_statement_token1] = ACTIONS(989),
    [aux_sym_merge_statement_token1] = ACTIONS(991),
    [aux_sym_grant_statement_token1] = ACTIONS(63),
    [aux_sym_revoke_statement_token1] = ACTIONS(65),
    [aux_sym_export_data_statement_token1] = ACTIONS(993),
    [aux_sym_load_data_statement_token1] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
  },
  [123] = {
    [sym__keyword_between] = STATE(1505),
    [sym__keyword_is] = STATE(12107),
    [sym__keyword_in] = STATE(1172),
    [sym__keyword_not] = STATE(13054),
    [sym__keyword_and] = STATE(1201),
    [sym__keyword_or] = STATE(1206),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16116),
    [sym_quantitve_like_operator] = STATE(16114),
    [sym__unquoted_identifier] = ACTIONS(1029),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1029),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(339),
    [aux_sym_keyword_replace_token1] = ACTIONS(341),
    [aux_sym__keyword_alter_token1] = ACTIONS(1029),
    [aux_sym__keyword_from_token1] = ACTIONS(1029),
    [aux_sym__keyword_delete_token1] = ACTIONS(1029),
    [aux_sym__keyword_begin_token1] = ACTIONS(1029),
    [aux_sym__keyword_end_token1] = ACTIONS(1029),
    [aux_sym__keyword_between_token1] = ACTIONS(343),
    [aux_sym__keyword_when_token1] = ACTIONS(1029),
    [aux_sym__keyword_else_token1] = ACTIONS(1029),
    [aux_sym__keyword_is_token1] = ACTIONS(345),
    [aux_sym__keyword_in_token1] = ACTIONS(347),
    [aux_sym__keyword_and_token1] = ACTIONS(349),
    [aux_sym__keyword_like_token1] = ACTIONS(1029),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1029),
    [aux_sym__keyword_as_token1] = ACTIONS(1029),
    [aux_sym__keyword_window_token1] = ACTIONS(1029),
    [aux_sym__keyword_date_token1] = ACTIONS(1029),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1029),
    [aux_sym__keyword_time_token1] = ACTIONS(1029),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1029),
    [aux_sym__keyword_for_token1] = ACTIONS(1029),
    [anon_sym_SEMI] = ACTIONS(1027),
    [aux_sym_declare_statement_token1] = ACTIONS(1029),
    [anon_sym_COMMA] = ACTIONS(1027),
    [aux_sym_set_statement_token1] = ACTIONS(1029),
    [anon_sym_LPAREN] = ACTIONS(1027),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1029),
    [aux_sym_return_satement_token1] = ACTIONS(1029),
    [aux_sym_call_statement_token1] = ACTIONS(1029),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1029),
    [aux_sym_if_statement_token1] = ACTIONS(1029),
    [aux_sym_loop_statement_token1] = ACTIONS(1029),
    [aux_sym_repeat_statement_token1] = ACTIONS(1029),
    [aux_sym_while_statement_token1] = ACTIONS(1029),
    [aux_sym_break_statement_token1] = ACTIONS(1029),
    [aux_sym_leave_statement_token1] = ACTIONS(1029),
    [aux_sym_continue_statement_token1] = ACTIONS(1029),
    [aux_sym_iterate_statement_token1] = ACTIONS(1029),
    [aux_sym_raise_statement_token1] = ACTIONS(1029),
    [anon_sym_EQ] = ACTIONS(359),
    [aux_sym_assert_statement_token1] = ACTIONS(1029),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1029),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1029),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1029),
    [anon_sym_LT] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(347),
    [aux_sym_set_operation_token1] = ACTIONS(1029),
    [aux_sym_set_operation_token3] = ACTIONS(1029),
    [aux_sym_set_operation_token4] = ACTIONS(1029),
    [aux_sym_select_token1] = ACTIONS(1029),
    [aux_sym_having_clause_token1] = ACTIONS(1029),
    [aux_sym_qualify_clause_token1] = ACTIONS(1029),
    [aux_sym_limit_clause_token1] = ACTIONS(1029),
    [aux_sym_group_by_clause_token1] = ACTIONS(1029),
    [aux_sym_order_by_clause_token1] = ACTIONS(1029),
    [aux_sym_where_clause_token1] = ACTIONS(1029),
    [aux_sym_insert_statement_token1] = ACTIONS(1029),
    [aux_sym_truncate_statement_token1] = ACTIONS(1029),
    [aux_sym_update_statement_token1] = ACTIONS(1029),
    [aux_sym_merge_statement_token1] = ACTIONS(1029),
    [aux_sym_grant_statement_token1] = ACTIONS(1029),
    [aux_sym_revoke_statement_token1] = ACTIONS(1029),
    [aux_sym_export_data_statement_token1] = ACTIONS(1029),
    [aux_sym_load_data_statement_token1] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1027),
    [sym__quoted_identifier] = ACTIONS(1027),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(367),
    [anon_sym_DASH] = ACTIONS(369),
    [anon_sym_STAR] = ACTIONS(371),
    [anon_sym_SLASH] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_LT_GT] = ACTIONS(359),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_LT_LT] = ACTIONS(375),
    [anon_sym_GT_GT] = ACTIONS(375),
    [anon_sym_AMP] = ACTIONS(377),
    [anon_sym_CARET] = ACTIONS(379),
    [anon_sym_PIPE] = ACTIONS(381),
  },
  [124] = {
    [sym__keyword_alter] = STATE(14478),
    [sym__keyword_delete] = STATE(11379),
    [sym__keyword_repeat] = STATE(200),
    [sym__keyword_for] = STATE(11539),
    [sym__statement] = STATE(9135),
    [aux_sym__statement_list] = STATE(79),
    [sym_declare_statement] = STATE(8035),
    [sym_set_statement] = STATE(8035),
    [sym_execute_immadiate_statement] = STATE(8035),
    [sym_return_satement] = STATE(8035),
    [sym_call_statement] = STATE(8035),
    [sym_begin_end_statement] = STATE(8035),
    [sym_begin_exception_end_statement] = STATE(8035),
    [sym_if_statement] = STATE(8035),
    [sym_loop_statement] = STATE(8035),
    [sym_repeat_statement] = STATE(8035),
    [sym_while_statement] = STATE(8035),
    [sym_for_in_statement] = STATE(8035),
    [sym_break_statement] = STATE(8035),
    [sym_leave_statement] = STATE(8035),
    [sym_continue_statement] = STATE(8035),
    [sym_iterate_statement] = STATE(8035),
    [sym_raise_statement] = STATE(8035),
    [sym_assert_statement] = STATE(8035),
    [sym_create_schema_statement] = STATE(8035),
    [sym_alter_schema_statement] = STATE(8035),
    [sym_drop_schema_statement] = STATE(8035),
    [sym_create_table_statement] = STATE(8035),
    [sym_create_table_like_statement] = STATE(8035),
    [sym_create_table_clone_statement] = STATE(8035),
    [sym_create_table_copy_statement] = STATE(8035),
    [sym_create_snapshot_table_statement] = STATE(8035),
    [sym_create_external_table_statement] = STATE(8035),
    [sym_alter_table_statement] = STATE(8035),
    [sym_alter_table_rename_statement] = STATE(8035),
    [sym_alter_table_column_statement] = STATE(8035),
    [sym_drop_table_statement] = STATE(8035),
    [sym_create_function_statement] = STATE(8035),
    [sym_create_remote_function_statement] = STATE(8035),
    [sym_drop_function_statement] = STATE(8035),
    [sym_create_table_function_statement] = STATE(8035),
    [sym_drop_table_function_statement] = STATE(8035),
    [sym_create_procedure_statement] = STATE(8035),
    [sym_drop_procedure_statement] = STATE(8035),
    [sym_create_model_statement] = STATE(8035),
    [sym_drop_model_statement] = STATE(8035),
    [sym_query_statement] = STATE(8035),
    [sym_set_operation] = STATE(6482),
    [sym_query_expr] = STATE(7380),
    [sym_select] = STATE(6482),
    [sym_cte_clause] = STATE(13016),
    [sym_insert_statement] = STATE(8035),
    [sym_delete_statement] = STATE(8035),
    [sym_truncate_statement] = STATE(8035),
    [sym_update_statement] = STATE(8035),
    [sym_merge_statement] = STATE(8035),
    [sym_grant_statement] = STATE(8035),
    [sym_revoke_statement] = STATE(8035),
    [sym_export_data_statement] = STATE(8035),
    [sym_load_data_statement] = STATE(8035),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(7),
    [aux_sym__keyword_alter_token1] = ACTIONS(9),
    [aux_sym__keyword_delete_token1] = ACTIONS(963),
    [aux_sym__keyword_begin_token1] = ACTIONS(13),
    [aux_sym__keyword_end_token1] = ACTIONS(1089),
    [aux_sym__keyword_repeat_token1] = ACTIONS(15),
    [aux_sym__keyword_for_token1] = ACTIONS(17),
    [aux_sym_declare_statement_token1] = ACTIONS(969),
    [aux_sym_set_statement_token1] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(973),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(975),
    [aux_sym_return_satement_token1] = ACTIONS(27),
    [aux_sym_call_statement_token1] = ACTIONS(29),
    [aux_sym_loop_statement_token1] = ACTIONS(31),
    [aux_sym_while_statement_token1] = ACTIONS(33),
    [aux_sym_break_statement_token1] = ACTIONS(35),
    [aux_sym_leave_statement_token1] = ACTIONS(37),
    [aux_sym_continue_statement_token1] = ACTIONS(39),
    [aux_sym_iterate_statement_token1] = ACTIONS(41),
    [aux_sym_raise_statement_token1] = ACTIONS(979),
    [aux_sym_assert_statement_token1] = ACTIONS(981),
    [aux_sym_create_schema_statement_token1] = ACTIONS(983),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(49),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(51),
    [aux_sym_select_token1] = ACTIONS(985),
    [aux_sym_insert_statement_token1] = ACTIONS(987),
    [aux_sym_truncate_statement_token1] = ACTIONS(57),
    [aux_sym_update_statement_token1] = ACTIONS(989),
    [aux_sym_merge_statement_token1] = ACTIONS(991),
    [aux_sym_grant_statement_token1] = ACTIONS(63),
    [aux_sym_revoke_statement_token1] = ACTIONS(65),
    [aux_sym_export_data_statement_token1] = ACTIONS(993),
    [aux_sym_load_data_statement_token1] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
  },
  [125] = {
    [sym__keyword_between] = STATE(1505),
    [sym__keyword_is] = STATE(12107),
    [sym__keyword_in] = STATE(1172),
    [sym__keyword_not] = STATE(13054),
    [sym__keyword_and] = STATE(1201),
    [sym__keyword_or] = STATE(1206),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16116),
    [sym_quantitve_like_operator] = STATE(16114),
    [sym__unquoted_identifier] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(921),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(921),
    [aux_sym__keyword_from_token1] = ACTIONS(921),
    [aux_sym__keyword_delete_token1] = ACTIONS(921),
    [aux_sym__keyword_begin_token1] = ACTIONS(921),
    [aux_sym__keyword_end_token1] = ACTIONS(921),
    [aux_sym__keyword_between_token1] = ACTIONS(921),
    [aux_sym__keyword_when_token1] = ACTIONS(921),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(921),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(921),
    [aux_sym__keyword_like_token1] = ACTIONS(921),
    [aux_sym__keyword_repeat_token1] = ACTIONS(921),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_window_token1] = ACTIONS(921),
    [aux_sym__keyword_date_token1] = ACTIONS(921),
    [aux_sym__keyword_datetime_token1] = ACTIONS(921),
    [aux_sym__keyword_time_token1] = ACTIONS(921),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(921),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(921),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(921),
    [aux_sym_return_satement_token1] = ACTIONS(921),
    [aux_sym_call_statement_token1] = ACTIONS(921),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(921),
    [aux_sym_if_statement_token1] = ACTIONS(921),
    [aux_sym_loop_statement_token1] = ACTIONS(921),
    [aux_sym_repeat_statement_token1] = ACTIONS(921),
    [aux_sym_while_statement_token1] = ACTIONS(921),
    [aux_sym_break_statement_token1] = ACTIONS(921),
    [aux_sym_leave_statement_token1] = ACTIONS(921),
    [aux_sym_continue_statement_token1] = ACTIONS(921),
    [aux_sym_iterate_statement_token1] = ACTIONS(921),
    [aux_sym_raise_statement_token1] = ACTIONS(921),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(921),
    [aux_sym_create_schema_statement_token1] = ACTIONS(921),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(921),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(921),
    [aux_sym_set_operation_token3] = ACTIONS(921),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(921),
    [aux_sym_having_clause_token1] = ACTIONS(921),
    [aux_sym_qualify_clause_token1] = ACTIONS(921),
    [aux_sym_limit_clause_token1] = ACTIONS(921),
    [aux_sym_group_by_clause_token1] = ACTIONS(921),
    [aux_sym_order_by_clause_token1] = ACTIONS(921),
    [aux_sym_where_clause_token1] = ACTIONS(921),
    [aux_sym_insert_statement_token1] = ACTIONS(921),
    [aux_sym_truncate_statement_token1] = ACTIONS(921),
    [aux_sym_update_statement_token1] = ACTIONS(921),
    [aux_sym_merge_statement_token1] = ACTIONS(921),
    [aux_sym_grant_statement_token1] = ACTIONS(921),
    [aux_sym_revoke_statement_token1] = ACTIONS(921),
    [aux_sym_export_data_statement_token1] = ACTIONS(921),
    [aux_sym_load_data_statement_token1] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym__quoted_identifier] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(367),
    [anon_sym_DASH] = ACTIONS(369),
    [anon_sym_STAR] = ACTIONS(371),
    [anon_sym_SLASH] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(375),
    [anon_sym_GT_GT] = ACTIONS(375),
    [anon_sym_AMP] = ACTIONS(377),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [126] = {
    [sym__keyword_alter] = STATE(14478),
    [sym__keyword_delete] = STATE(11379),
    [sym__keyword_repeat] = STATE(200),
    [sym__keyword_for] = STATE(11539),
    [sym__statement] = STATE(168),
    [sym_declare_statement] = STATE(8035),
    [sym_set_statement] = STATE(8035),
    [sym_execute_immadiate_statement] = STATE(8035),
    [sym_return_satement] = STATE(8035),
    [sym_call_statement] = STATE(8035),
    [sym_begin_end_statement] = STATE(8035),
    [sym_begin_exception_end_statement] = STATE(8035),
    [sym_if_statement] = STATE(8035),
    [sym_loop_statement] = STATE(8035),
    [sym_repeat_statement] = STATE(8035),
    [sym_while_statement] = STATE(8035),
    [sym_for_in_statement] = STATE(8035),
    [sym_break_statement] = STATE(8035),
    [sym_leave_statement] = STATE(8035),
    [sym_continue_statement] = STATE(8035),
    [sym_iterate_statement] = STATE(8035),
    [sym_raise_statement] = STATE(8035),
    [sym_assert_statement] = STATE(8035),
    [sym_create_schema_statement] = STATE(8035),
    [sym_alter_schema_statement] = STATE(8035),
    [sym_drop_schema_statement] = STATE(8035),
    [sym_create_table_statement] = STATE(8035),
    [sym_create_table_like_statement] = STATE(8035),
    [sym_create_table_clone_statement] = STATE(8035),
    [sym_create_table_copy_statement] = STATE(8035),
    [sym_create_snapshot_table_statement] = STATE(8035),
    [sym_create_external_table_statement] = STATE(8035),
    [sym_alter_table_statement] = STATE(8035),
    [sym_alter_table_rename_statement] = STATE(8035),
    [sym_alter_table_column_statement] = STATE(8035),
    [sym_drop_table_statement] = STATE(8035),
    [sym_create_function_statement] = STATE(8035),
    [sym_create_remote_function_statement] = STATE(8035),
    [sym_drop_function_statement] = STATE(8035),
    [sym_create_table_function_statement] = STATE(8035),
    [sym_drop_table_function_statement] = STATE(8035),
    [sym_create_procedure_statement] = STATE(8035),
    [sym_drop_procedure_statement] = STATE(8035),
    [sym_create_model_statement] = STATE(8035),
    [sym_drop_model_statement] = STATE(8035),
    [sym_query_statement] = STATE(8035),
    [sym_set_operation] = STATE(6482),
    [sym_query_expr] = STATE(7380),
    [sym_select] = STATE(6482),
    [sym_cte_clause] = STATE(13016),
    [sym_insert_statement] = STATE(8035),
    [sym_delete_statement] = STATE(8035),
    [sym_truncate_statement] = STATE(8035),
    [sym_update_statement] = STATE(8035),
    [sym_merge_statement] = STATE(8035),
    [sym_grant_statement] = STATE(8035),
    [sym_revoke_statement] = STATE(8035),
    [sym_export_data_statement] = STATE(8035),
    [sym_load_data_statement] = STATE(8035),
    [aux_sym_source_file_repeat1] = STATE(168),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(7),
    [aux_sym__keyword_alter_token1] = ACTIONS(9),
    [aux_sym__keyword_delete_token1] = ACTIONS(963),
    [aux_sym__keyword_begin_token1] = ACTIONS(13),
    [aux_sym__keyword_end_token1] = ACTIONS(1091),
    [aux_sym__keyword_repeat_token1] = ACTIONS(15),
    [aux_sym__keyword_for_token1] = ACTIONS(17),
    [aux_sym_declare_statement_token1] = ACTIONS(969),
    [aux_sym_set_statement_token1] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(973),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(975),
    [aux_sym_return_satement_token1] = ACTIONS(27),
    [aux_sym_call_statement_token1] = ACTIONS(29),
    [aux_sym_loop_statement_token1] = ACTIONS(31),
    [aux_sym_while_statement_token1] = ACTIONS(33),
    [aux_sym_break_statement_token1] = ACTIONS(35),
    [aux_sym_leave_statement_token1] = ACTIONS(37),
    [aux_sym_continue_statement_token1] = ACTIONS(39),
    [aux_sym_iterate_statement_token1] = ACTIONS(41),
    [aux_sym_raise_statement_token1] = ACTIONS(979),
    [aux_sym_assert_statement_token1] = ACTIONS(981),
    [aux_sym_create_schema_statement_token1] = ACTIONS(983),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(49),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(51),
    [aux_sym_select_token1] = ACTIONS(985),
    [aux_sym_insert_statement_token1] = ACTIONS(987),
    [aux_sym_truncate_statement_token1] = ACTIONS(57),
    [aux_sym_update_statement_token1] = ACTIONS(989),
    [aux_sym_merge_statement_token1] = ACTIONS(991),
    [aux_sym_grant_statement_token1] = ACTIONS(63),
    [aux_sym_revoke_statement_token1] = ACTIONS(65),
    [aux_sym_export_data_statement_token1] = ACTIONS(993),
    [aux_sym_load_data_statement_token1] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
  },
  [127] = {
    [sym__keyword_between] = STATE(1505),
    [sym__keyword_is] = STATE(12107),
    [sym__keyword_in] = STATE(1172),
    [sym__keyword_not] = STATE(13054),
    [sym__keyword_and] = STATE(1201),
    [sym__keyword_or] = STATE(1206),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16116),
    [sym_quantitve_like_operator] = STATE(16114),
    [sym__unquoted_identifier] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(921),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(921),
    [aux_sym__keyword_from_token1] = ACTIONS(921),
    [aux_sym__keyword_delete_token1] = ACTIONS(921),
    [aux_sym__keyword_begin_token1] = ACTIONS(921),
    [aux_sym__keyword_end_token1] = ACTIONS(921),
    [aux_sym__keyword_between_token1] = ACTIONS(921),
    [aux_sym__keyword_when_token1] = ACTIONS(921),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(921),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(921),
    [aux_sym__keyword_like_token1] = ACTIONS(921),
    [aux_sym__keyword_repeat_token1] = ACTIONS(921),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_window_token1] = ACTIONS(921),
    [aux_sym__keyword_date_token1] = ACTIONS(921),
    [aux_sym__keyword_datetime_token1] = ACTIONS(921),
    [aux_sym__keyword_time_token1] = ACTIONS(921),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(921),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(921),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(921),
    [aux_sym_return_satement_token1] = ACTIONS(921),
    [aux_sym_call_statement_token1] = ACTIONS(921),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(921),
    [aux_sym_if_statement_token1] = ACTIONS(921),
    [aux_sym_loop_statement_token1] = ACTIONS(921),
    [aux_sym_repeat_statement_token1] = ACTIONS(921),
    [aux_sym_while_statement_token1] = ACTIONS(921),
    [aux_sym_break_statement_token1] = ACTIONS(921),
    [aux_sym_leave_statement_token1] = ACTIONS(921),
    [aux_sym_continue_statement_token1] = ACTIONS(921),
    [aux_sym_iterate_statement_token1] = ACTIONS(921),
    [aux_sym_raise_statement_token1] = ACTIONS(921),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(921),
    [aux_sym_create_schema_statement_token1] = ACTIONS(921),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(921),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(921),
    [aux_sym_set_operation_token3] = ACTIONS(921),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(921),
    [aux_sym_having_clause_token1] = ACTIONS(921),
    [aux_sym_qualify_clause_token1] = ACTIONS(921),
    [aux_sym_limit_clause_token1] = ACTIONS(921),
    [aux_sym_group_by_clause_token1] = ACTIONS(921),
    [aux_sym_order_by_clause_token1] = ACTIONS(921),
    [aux_sym_where_clause_token1] = ACTIONS(921),
    [aux_sym_insert_statement_token1] = ACTIONS(921),
    [aux_sym_truncate_statement_token1] = ACTIONS(921),
    [aux_sym_update_statement_token1] = ACTIONS(921),
    [aux_sym_merge_statement_token1] = ACTIONS(921),
    [aux_sym_grant_statement_token1] = ACTIONS(921),
    [aux_sym_revoke_statement_token1] = ACTIONS(921),
    [aux_sym_export_data_statement_token1] = ACTIONS(921),
    [aux_sym_load_data_statement_token1] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym__quoted_identifier] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(367),
    [anon_sym_DASH] = ACTIONS(369),
    [anon_sym_STAR] = ACTIONS(371),
    [anon_sym_SLASH] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(375),
    [anon_sym_GT_GT] = ACTIONS(375),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [128] = {
    [sym__keyword_between] = STATE(1505),
    [sym__keyword_is] = STATE(12107),
    [sym__keyword_in] = STATE(1172),
    [sym__keyword_not] = STATE(13054),
    [sym__keyword_and] = STATE(1201),
    [sym__keyword_or] = STATE(1206),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16116),
    [sym_quantitve_like_operator] = STATE(16114),
    [sym__unquoted_identifier] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(921),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(921),
    [aux_sym__keyword_from_token1] = ACTIONS(921),
    [aux_sym__keyword_delete_token1] = ACTIONS(921),
    [aux_sym__keyword_begin_token1] = ACTIONS(921),
    [aux_sym__keyword_end_token1] = ACTIONS(921),
    [aux_sym__keyword_between_token1] = ACTIONS(921),
    [aux_sym__keyword_when_token1] = ACTIONS(921),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(921),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(921),
    [aux_sym__keyword_like_token1] = ACTIONS(921),
    [aux_sym__keyword_repeat_token1] = ACTIONS(921),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_window_token1] = ACTIONS(921),
    [aux_sym__keyword_date_token1] = ACTIONS(921),
    [aux_sym__keyword_datetime_token1] = ACTIONS(921),
    [aux_sym__keyword_time_token1] = ACTIONS(921),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(921),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(921),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(921),
    [aux_sym_return_satement_token1] = ACTIONS(921),
    [aux_sym_call_statement_token1] = ACTIONS(921),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(921),
    [aux_sym_if_statement_token1] = ACTIONS(921),
    [aux_sym_loop_statement_token1] = ACTIONS(921),
    [aux_sym_repeat_statement_token1] = ACTIONS(921),
    [aux_sym_while_statement_token1] = ACTIONS(921),
    [aux_sym_break_statement_token1] = ACTIONS(921),
    [aux_sym_leave_statement_token1] = ACTIONS(921),
    [aux_sym_continue_statement_token1] = ACTIONS(921),
    [aux_sym_iterate_statement_token1] = ACTIONS(921),
    [aux_sym_raise_statement_token1] = ACTIONS(921),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(921),
    [aux_sym_create_schema_statement_token1] = ACTIONS(921),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(921),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(921),
    [aux_sym_set_operation_token3] = ACTIONS(921),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(921),
    [aux_sym_having_clause_token1] = ACTIONS(921),
    [aux_sym_qualify_clause_token1] = ACTIONS(921),
    [aux_sym_limit_clause_token1] = ACTIONS(921),
    [aux_sym_group_by_clause_token1] = ACTIONS(921),
    [aux_sym_order_by_clause_token1] = ACTIONS(921),
    [aux_sym_where_clause_token1] = ACTIONS(921),
    [aux_sym_insert_statement_token1] = ACTIONS(921),
    [aux_sym_truncate_statement_token1] = ACTIONS(921),
    [aux_sym_update_statement_token1] = ACTIONS(921),
    [aux_sym_merge_statement_token1] = ACTIONS(921),
    [aux_sym_grant_statement_token1] = ACTIONS(921),
    [aux_sym_revoke_statement_token1] = ACTIONS(921),
    [aux_sym_export_data_statement_token1] = ACTIONS(921),
    [aux_sym_load_data_statement_token1] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym__quoted_identifier] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(367),
    [anon_sym_DASH] = ACTIONS(369),
    [anon_sym_STAR] = ACTIONS(371),
    [anon_sym_SLASH] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [129] = {
    [sym__keyword_between] = STATE(1505),
    [sym__keyword_is] = STATE(12107),
    [sym__keyword_in] = STATE(1172),
    [sym__keyword_not] = STATE(13054),
    [sym__keyword_and] = STATE(1201),
    [sym__keyword_or] = STATE(1206),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16116),
    [sym_quantitve_like_operator] = STATE(16114),
    [sym__unquoted_identifier] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(921),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(921),
    [aux_sym__keyword_from_token1] = ACTIONS(921),
    [aux_sym__keyword_delete_token1] = ACTIONS(921),
    [aux_sym__keyword_begin_token1] = ACTIONS(921),
    [aux_sym__keyword_end_token1] = ACTIONS(921),
    [aux_sym__keyword_between_token1] = ACTIONS(921),
    [aux_sym__keyword_when_token1] = ACTIONS(921),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(921),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(921),
    [aux_sym__keyword_like_token1] = ACTIONS(921),
    [aux_sym__keyword_repeat_token1] = ACTIONS(921),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_window_token1] = ACTIONS(921),
    [aux_sym__keyword_date_token1] = ACTIONS(921),
    [aux_sym__keyword_datetime_token1] = ACTIONS(921),
    [aux_sym__keyword_time_token1] = ACTIONS(921),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(921),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(921),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(921),
    [aux_sym_return_satement_token1] = ACTIONS(921),
    [aux_sym_call_statement_token1] = ACTIONS(921),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(921),
    [aux_sym_if_statement_token1] = ACTIONS(921),
    [aux_sym_loop_statement_token1] = ACTIONS(921),
    [aux_sym_repeat_statement_token1] = ACTIONS(921),
    [aux_sym_while_statement_token1] = ACTIONS(921),
    [aux_sym_break_statement_token1] = ACTIONS(921),
    [aux_sym_leave_statement_token1] = ACTIONS(921),
    [aux_sym_continue_statement_token1] = ACTIONS(921),
    [aux_sym_iterate_statement_token1] = ACTIONS(921),
    [aux_sym_raise_statement_token1] = ACTIONS(921),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(921),
    [aux_sym_create_schema_statement_token1] = ACTIONS(921),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(921),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(921),
    [aux_sym_set_operation_token3] = ACTIONS(921),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(921),
    [aux_sym_having_clause_token1] = ACTIONS(921),
    [aux_sym_qualify_clause_token1] = ACTIONS(921),
    [aux_sym_limit_clause_token1] = ACTIONS(921),
    [aux_sym_group_by_clause_token1] = ACTIONS(921),
    [aux_sym_order_by_clause_token1] = ACTIONS(921),
    [aux_sym_where_clause_token1] = ACTIONS(921),
    [aux_sym_insert_statement_token1] = ACTIONS(921),
    [aux_sym_truncate_statement_token1] = ACTIONS(921),
    [aux_sym_update_statement_token1] = ACTIONS(921),
    [aux_sym_merge_statement_token1] = ACTIONS(921),
    [aux_sym_grant_statement_token1] = ACTIONS(921),
    [aux_sym_revoke_statement_token1] = ACTIONS(921),
    [aux_sym_export_data_statement_token1] = ACTIONS(921),
    [aux_sym_load_data_statement_token1] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym__quoted_identifier] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(371),
    [anon_sym_SLASH] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [130] = {
    [sym__keyword_between] = STATE(1505),
    [sym__keyword_is] = STATE(12107),
    [sym__keyword_in] = STATE(1172),
    [sym__keyword_not] = STATE(13054),
    [sym__keyword_and] = STATE(1201),
    [sym__keyword_or] = STATE(1206),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16116),
    [sym_quantitve_like_operator] = STATE(16114),
    [sym__unquoted_identifier] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(921),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(921),
    [aux_sym__keyword_from_token1] = ACTIONS(921),
    [aux_sym__keyword_delete_token1] = ACTIONS(921),
    [aux_sym__keyword_begin_token1] = ACTIONS(921),
    [aux_sym__keyword_end_token1] = ACTIONS(921),
    [aux_sym__keyword_between_token1] = ACTIONS(921),
    [aux_sym__keyword_when_token1] = ACTIONS(921),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(921),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(921),
    [aux_sym__keyword_like_token1] = ACTIONS(921),
    [aux_sym__keyword_repeat_token1] = ACTIONS(921),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_window_token1] = ACTIONS(921),
    [aux_sym__keyword_date_token1] = ACTIONS(921),
    [aux_sym__keyword_datetime_token1] = ACTIONS(921),
    [aux_sym__keyword_time_token1] = ACTIONS(921),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(921),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(921),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(921),
    [aux_sym_return_satement_token1] = ACTIONS(921),
    [aux_sym_call_statement_token1] = ACTIONS(921),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(921),
    [aux_sym_if_statement_token1] = ACTIONS(921),
    [aux_sym_loop_statement_token1] = ACTIONS(921),
    [aux_sym_repeat_statement_token1] = ACTIONS(921),
    [aux_sym_while_statement_token1] = ACTIONS(921),
    [aux_sym_break_statement_token1] = ACTIONS(921),
    [aux_sym_leave_statement_token1] = ACTIONS(921),
    [aux_sym_continue_statement_token1] = ACTIONS(921),
    [aux_sym_iterate_statement_token1] = ACTIONS(921),
    [aux_sym_raise_statement_token1] = ACTIONS(921),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(921),
    [aux_sym_create_schema_statement_token1] = ACTIONS(921),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(921),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(921),
    [aux_sym_set_operation_token3] = ACTIONS(921),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(921),
    [aux_sym_having_clause_token1] = ACTIONS(921),
    [aux_sym_qualify_clause_token1] = ACTIONS(921),
    [aux_sym_limit_clause_token1] = ACTIONS(921),
    [aux_sym_group_by_clause_token1] = ACTIONS(921),
    [aux_sym_order_by_clause_token1] = ACTIONS(921),
    [aux_sym_where_clause_token1] = ACTIONS(921),
    [aux_sym_insert_statement_token1] = ACTIONS(921),
    [aux_sym_truncate_statement_token1] = ACTIONS(921),
    [aux_sym_update_statement_token1] = ACTIONS(921),
    [aux_sym_merge_statement_token1] = ACTIONS(921),
    [aux_sym_grant_statement_token1] = ACTIONS(921),
    [aux_sym_revoke_statement_token1] = ACTIONS(921),
    [aux_sym_export_data_statement_token1] = ACTIONS(921),
    [aux_sym_load_data_statement_token1] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym__quoted_identifier] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(367),
    [anon_sym_DASH] = ACTIONS(369),
    [anon_sym_STAR] = ACTIONS(371),
    [anon_sym_SLASH] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(375),
    [anon_sym_GT_GT] = ACTIONS(375),
    [anon_sym_AMP] = ACTIONS(377),
    [anon_sym_CARET] = ACTIONS(379),
    [anon_sym_PIPE] = ACTIONS(381),
  },
  [131] = {
    [sym__keyword_alter] = STATE(14478),
    [sym__keyword_delete] = STATE(11379),
    [sym__keyword_repeat] = STATE(200),
    [sym__keyword_for] = STATE(11539),
    [sym__statement] = STATE(9135),
    [aux_sym__statement_list] = STATE(169),
    [sym_declare_statement] = STATE(8035),
    [sym_set_statement] = STATE(8035),
    [sym_execute_immadiate_statement] = STATE(8035),
    [sym_return_satement] = STATE(8035),
    [sym_call_statement] = STATE(8035),
    [sym_begin_end_statement] = STATE(8035),
    [sym_begin_exception_end_statement] = STATE(8035),
    [sym_if_statement] = STATE(8035),
    [sym_loop_statement] = STATE(8035),
    [sym_repeat_statement] = STATE(8035),
    [sym_while_statement] = STATE(8035),
    [sym_for_in_statement] = STATE(8035),
    [sym_break_statement] = STATE(8035),
    [sym_leave_statement] = STATE(8035),
    [sym_continue_statement] = STATE(8035),
    [sym_iterate_statement] = STATE(8035),
    [sym_raise_statement] = STATE(8035),
    [sym_assert_statement] = STATE(8035),
    [sym_create_schema_statement] = STATE(8035),
    [sym_alter_schema_statement] = STATE(8035),
    [sym_drop_schema_statement] = STATE(8035),
    [sym_create_table_statement] = STATE(8035),
    [sym_create_table_like_statement] = STATE(8035),
    [sym_create_table_clone_statement] = STATE(8035),
    [sym_create_table_copy_statement] = STATE(8035),
    [sym_create_snapshot_table_statement] = STATE(8035),
    [sym_create_external_table_statement] = STATE(8035),
    [sym_alter_table_statement] = STATE(8035),
    [sym_alter_table_rename_statement] = STATE(8035),
    [sym_alter_table_column_statement] = STATE(8035),
    [sym_drop_table_statement] = STATE(8035),
    [sym_create_function_statement] = STATE(8035),
    [sym_create_remote_function_statement] = STATE(8035),
    [sym_drop_function_statement] = STATE(8035),
    [sym_create_table_function_statement] = STATE(8035),
    [sym_drop_table_function_statement] = STATE(8035),
    [sym_create_procedure_statement] = STATE(8035),
    [sym_drop_procedure_statement] = STATE(8035),
    [sym_create_model_statement] = STATE(8035),
    [sym_drop_model_statement] = STATE(8035),
    [sym_query_statement] = STATE(8035),
    [sym_set_operation] = STATE(6482),
    [sym_query_expr] = STATE(7380),
    [sym_select] = STATE(6482),
    [sym_cte_clause] = STATE(13016),
    [sym_insert_statement] = STATE(8035),
    [sym_delete_statement] = STATE(8035),
    [sym_truncate_statement] = STATE(8035),
    [sym_update_statement] = STATE(8035),
    [sym_merge_statement] = STATE(8035),
    [sym_grant_statement] = STATE(8035),
    [sym_revoke_statement] = STATE(8035),
    [sym_export_data_statement] = STATE(8035),
    [sym_load_data_statement] = STATE(8035),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(7),
    [aux_sym__keyword_alter_token1] = ACTIONS(9),
    [aux_sym__keyword_delete_token1] = ACTIONS(963),
    [aux_sym__keyword_begin_token1] = ACTIONS(13),
    [aux_sym__keyword_end_token1] = ACTIONS(1093),
    [aux_sym__keyword_repeat_token1] = ACTIONS(15),
    [aux_sym__keyword_for_token1] = ACTIONS(17),
    [aux_sym_declare_statement_token1] = ACTIONS(969),
    [aux_sym_set_statement_token1] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(973),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(975),
    [aux_sym_return_satement_token1] = ACTIONS(27),
    [aux_sym_call_statement_token1] = ACTIONS(29),
    [aux_sym_loop_statement_token1] = ACTIONS(31),
    [aux_sym_while_statement_token1] = ACTIONS(33),
    [aux_sym_break_statement_token1] = ACTIONS(35),
    [aux_sym_leave_statement_token1] = ACTIONS(37),
    [aux_sym_continue_statement_token1] = ACTIONS(39),
    [aux_sym_iterate_statement_token1] = ACTIONS(41),
    [aux_sym_raise_statement_token1] = ACTIONS(979),
    [aux_sym_assert_statement_token1] = ACTIONS(981),
    [aux_sym_create_schema_statement_token1] = ACTIONS(983),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(49),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(51),
    [aux_sym_select_token1] = ACTIONS(985),
    [aux_sym_insert_statement_token1] = ACTIONS(987),
    [aux_sym_truncate_statement_token1] = ACTIONS(57),
    [aux_sym_update_statement_token1] = ACTIONS(989),
    [aux_sym_merge_statement_token1] = ACTIONS(991),
    [aux_sym_grant_statement_token1] = ACTIONS(63),
    [aux_sym_revoke_statement_token1] = ACTIONS(65),
    [aux_sym_export_data_statement_token1] = ACTIONS(993),
    [aux_sym_load_data_statement_token1] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
  },
  [132] = {
    [sym__keyword_alter] = STATE(14478),
    [sym__keyword_delete] = STATE(11379),
    [sym__keyword_repeat] = STATE(200),
    [sym__keyword_for] = STATE(11539),
    [sym__statement] = STATE(9135),
    [aux_sym__statement_list] = STATE(79),
    [sym_declare_statement] = STATE(8035),
    [sym_set_statement] = STATE(8035),
    [sym_execute_immadiate_statement] = STATE(8035),
    [sym_return_satement] = STATE(8035),
    [sym_call_statement] = STATE(8035),
    [sym_begin_end_statement] = STATE(8035),
    [sym_begin_exception_end_statement] = STATE(8035),
    [sym_if_statement] = STATE(8035),
    [sym_loop_statement] = STATE(8035),
    [sym_repeat_statement] = STATE(8035),
    [sym_while_statement] = STATE(8035),
    [sym_for_in_statement] = STATE(8035),
    [sym_break_statement] = STATE(8035),
    [sym_leave_statement] = STATE(8035),
    [sym_continue_statement] = STATE(8035),
    [sym_iterate_statement] = STATE(8035),
    [sym_raise_statement] = STATE(8035),
    [sym_assert_statement] = STATE(8035),
    [sym_create_schema_statement] = STATE(8035),
    [sym_alter_schema_statement] = STATE(8035),
    [sym_drop_schema_statement] = STATE(8035),
    [sym_create_table_statement] = STATE(8035),
    [sym_create_table_like_statement] = STATE(8035),
    [sym_create_table_clone_statement] = STATE(8035),
    [sym_create_table_copy_statement] = STATE(8035),
    [sym_create_snapshot_table_statement] = STATE(8035),
    [sym_create_external_table_statement] = STATE(8035),
    [sym_alter_table_statement] = STATE(8035),
    [sym_alter_table_rename_statement] = STATE(8035),
    [sym_alter_table_column_statement] = STATE(8035),
    [sym_drop_table_statement] = STATE(8035),
    [sym_create_function_statement] = STATE(8035),
    [sym_create_remote_function_statement] = STATE(8035),
    [sym_drop_function_statement] = STATE(8035),
    [sym_create_table_function_statement] = STATE(8035),
    [sym_drop_table_function_statement] = STATE(8035),
    [sym_create_procedure_statement] = STATE(8035),
    [sym_drop_procedure_statement] = STATE(8035),
    [sym_create_model_statement] = STATE(8035),
    [sym_drop_model_statement] = STATE(8035),
    [sym_query_statement] = STATE(8035),
    [sym_set_operation] = STATE(6482),
    [sym_query_expr] = STATE(7380),
    [sym_select] = STATE(6482),
    [sym_cte_clause] = STATE(13016),
    [sym_insert_statement] = STATE(8035),
    [sym_delete_statement] = STATE(8035),
    [sym_truncate_statement] = STATE(8035),
    [sym_update_statement] = STATE(8035),
    [sym_merge_statement] = STATE(8035),
    [sym_grant_statement] = STATE(8035),
    [sym_revoke_statement] = STATE(8035),
    [sym_export_data_statement] = STATE(8035),
    [sym_load_data_statement] = STATE(8035),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(7),
    [aux_sym__keyword_alter_token1] = ACTIONS(9),
    [aux_sym__keyword_delete_token1] = ACTIONS(963),
    [aux_sym__keyword_begin_token1] = ACTIONS(13),
    [aux_sym__keyword_end_token1] = ACTIONS(1095),
    [aux_sym__keyword_repeat_token1] = ACTIONS(15),
    [aux_sym__keyword_for_token1] = ACTIONS(17),
    [aux_sym_declare_statement_token1] = ACTIONS(969),
    [aux_sym_set_statement_token1] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(973),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(975),
    [aux_sym_return_satement_token1] = ACTIONS(27),
    [aux_sym_call_statement_token1] = ACTIONS(29),
    [aux_sym_loop_statement_token1] = ACTIONS(31),
    [aux_sym_while_statement_token1] = ACTIONS(33),
    [aux_sym_break_statement_token1] = ACTIONS(35),
    [aux_sym_leave_statement_token1] = ACTIONS(37),
    [aux_sym_continue_statement_token1] = ACTIONS(39),
    [aux_sym_iterate_statement_token1] = ACTIONS(41),
    [aux_sym_raise_statement_token1] = ACTIONS(979),
    [aux_sym_assert_statement_token1] = ACTIONS(981),
    [aux_sym_create_schema_statement_token1] = ACTIONS(983),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(49),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(51),
    [aux_sym_select_token1] = ACTIONS(985),
    [aux_sym_insert_statement_token1] = ACTIONS(987),
    [aux_sym_truncate_statement_token1] = ACTIONS(57),
    [aux_sym_update_statement_token1] = ACTIONS(989),
    [aux_sym_merge_statement_token1] = ACTIONS(991),
    [aux_sym_grant_statement_token1] = ACTIONS(63),
    [aux_sym_revoke_statement_token1] = ACTIONS(65),
    [aux_sym_export_data_statement_token1] = ACTIONS(993),
    [aux_sym_load_data_statement_token1] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
  },
  [133] = {
    [sym__keyword_between] = STATE(1505),
    [sym__keyword_is] = STATE(12107),
    [sym__keyword_in] = STATE(1172),
    [sym__keyword_not] = STATE(13054),
    [sym__keyword_and] = STATE(1201),
    [sym__keyword_or] = STATE(1206),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16116),
    [sym_quantitve_like_operator] = STATE(16114),
    [sym__unquoted_identifier] = ACTIONS(1041),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1041),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1041),
    [aux_sym_keyword_replace_token1] = ACTIONS(1041),
    [aux_sym__keyword_alter_token1] = ACTIONS(1041),
    [aux_sym__keyword_from_token1] = ACTIONS(1041),
    [aux_sym__keyword_delete_token1] = ACTIONS(1041),
    [aux_sym__keyword_begin_token1] = ACTIONS(1041),
    [aux_sym__keyword_end_token1] = ACTIONS(1041),
    [aux_sym__keyword_between_token1] = ACTIONS(1041),
    [aux_sym__keyword_when_token1] = ACTIONS(1041),
    [aux_sym__keyword_else_token1] = ACTIONS(1041),
    [aux_sym__keyword_is_token1] = ACTIONS(1041),
    [aux_sym__keyword_in_token1] = ACTIONS(1041),
    [aux_sym__keyword_and_token1] = ACTIONS(1041),
    [aux_sym__keyword_like_token1] = ACTIONS(1041),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1041),
    [aux_sym__keyword_as_token1] = ACTIONS(1041),
    [aux_sym__keyword_window_token1] = ACTIONS(1041),
    [aux_sym__keyword_date_token1] = ACTIONS(1041),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1041),
    [aux_sym__keyword_time_token1] = ACTIONS(1041),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1041),
    [aux_sym__keyword_for_token1] = ACTIONS(1041),
    [anon_sym_SEMI] = ACTIONS(1039),
    [aux_sym_declare_statement_token1] = ACTIONS(1041),
    [anon_sym_COMMA] = ACTIONS(1039),
    [aux_sym_set_statement_token1] = ACTIONS(1041),
    [anon_sym_LPAREN] = ACTIONS(1039),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1041),
    [aux_sym_return_satement_token1] = ACTIONS(1041),
    [aux_sym_call_statement_token1] = ACTIONS(1041),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1041),
    [aux_sym_if_statement_token1] = ACTIONS(1041),
    [aux_sym_loop_statement_token1] = ACTIONS(1041),
    [aux_sym_repeat_statement_token1] = ACTIONS(1041),
    [aux_sym_while_statement_token1] = ACTIONS(1041),
    [aux_sym_break_statement_token1] = ACTIONS(1041),
    [aux_sym_leave_statement_token1] = ACTIONS(1041),
    [aux_sym_continue_statement_token1] = ACTIONS(1041),
    [aux_sym_iterate_statement_token1] = ACTIONS(1041),
    [aux_sym_raise_statement_token1] = ACTIONS(1041),
    [anon_sym_EQ] = ACTIONS(1039),
    [aux_sym_assert_statement_token1] = ACTIONS(1041),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1041),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1041),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1041),
    [anon_sym_LT] = ACTIONS(1041),
    [anon_sym_GT] = ACTIONS(1041),
    [aux_sym_set_operation_token1] = ACTIONS(1041),
    [aux_sym_set_operation_token3] = ACTIONS(1041),
    [aux_sym_set_operation_token4] = ACTIONS(1041),
    [aux_sym_select_token1] = ACTIONS(1041),
    [aux_sym_having_clause_token1] = ACTIONS(1041),
    [aux_sym_qualify_clause_token1] = ACTIONS(1041),
    [aux_sym_limit_clause_token1] = ACTIONS(1041),
    [aux_sym_group_by_clause_token1] = ACTIONS(1041),
    [aux_sym_order_by_clause_token1] = ACTIONS(1041),
    [aux_sym_where_clause_token1] = ACTIONS(1041),
    [aux_sym_insert_statement_token1] = ACTIONS(1041),
    [aux_sym_truncate_statement_token1] = ACTIONS(1041),
    [aux_sym_update_statement_token1] = ACTIONS(1041),
    [aux_sym_merge_statement_token1] = ACTIONS(1041),
    [aux_sym_grant_statement_token1] = ACTIONS(1041),
    [aux_sym_revoke_statement_token1] = ACTIONS(1041),
    [aux_sym_export_data_statement_token1] = ACTIONS(1041),
    [aux_sym_load_data_statement_token1] = ACTIONS(1041),
    [anon_sym_LBRACK] = ACTIONS(1039),
    [sym__quoted_identifier] = ACTIONS(1039),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1039),
    [anon_sym_PLUS] = ACTIONS(367),
    [anon_sym_DASH] = ACTIONS(369),
    [anon_sym_STAR] = ACTIONS(371),
    [anon_sym_SLASH] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_LT_EQ] = ACTIONS(1039),
    [anon_sym_LT_GT] = ACTIONS(1039),
    [anon_sym_GT_EQ] = ACTIONS(1039),
    [anon_sym_BANG_EQ] = ACTIONS(1039),
    [anon_sym_LT_LT] = ACTIONS(375),
    [anon_sym_GT_GT] = ACTIONS(375),
    [anon_sym_AMP] = ACTIONS(377),
    [anon_sym_CARET] = ACTIONS(379),
    [anon_sym_PIPE] = ACTIONS(381),
  },
  [134] = {
    [sym__keyword_between] = STATE(1505),
    [sym__keyword_is] = STATE(12107),
    [sym__keyword_in] = STATE(1172),
    [sym__keyword_not] = STATE(13054),
    [sym__keyword_and] = STATE(1201),
    [sym__keyword_or] = STATE(1206),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16116),
    [sym_quantitve_like_operator] = STATE(16114),
    [sym__unquoted_identifier] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(339),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(921),
    [aux_sym__keyword_from_token1] = ACTIONS(921),
    [aux_sym__keyword_delete_token1] = ACTIONS(921),
    [aux_sym__keyword_begin_token1] = ACTIONS(921),
    [aux_sym__keyword_end_token1] = ACTIONS(921),
    [aux_sym__keyword_between_token1] = ACTIONS(343),
    [aux_sym__keyword_when_token1] = ACTIONS(921),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(345),
    [aux_sym__keyword_in_token1] = ACTIONS(347),
    [aux_sym__keyword_and_token1] = ACTIONS(349),
    [aux_sym__keyword_like_token1] = ACTIONS(921),
    [aux_sym__keyword_repeat_token1] = ACTIONS(921),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_window_token1] = ACTIONS(921),
    [aux_sym__keyword_date_token1] = ACTIONS(921),
    [aux_sym__keyword_datetime_token1] = ACTIONS(921),
    [aux_sym__keyword_time_token1] = ACTIONS(921),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(921),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(921),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(921),
    [aux_sym_return_satement_token1] = ACTIONS(921),
    [aux_sym_call_statement_token1] = ACTIONS(921),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(921),
    [aux_sym_if_statement_token1] = ACTIONS(921),
    [aux_sym_loop_statement_token1] = ACTIONS(921),
    [aux_sym_repeat_statement_token1] = ACTIONS(921),
    [aux_sym_while_statement_token1] = ACTIONS(921),
    [aux_sym_break_statement_token1] = ACTIONS(921),
    [aux_sym_leave_statement_token1] = ACTIONS(921),
    [aux_sym_continue_statement_token1] = ACTIONS(921),
    [aux_sym_iterate_statement_token1] = ACTIONS(921),
    [aux_sym_raise_statement_token1] = ACTIONS(921),
    [anon_sym_EQ] = ACTIONS(359),
    [aux_sym_assert_statement_token1] = ACTIONS(921),
    [aux_sym_create_schema_statement_token1] = ACTIONS(921),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(921),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(347),
    [aux_sym_set_operation_token1] = ACTIONS(921),
    [aux_sym_set_operation_token3] = ACTIONS(921),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(921),
    [aux_sym_having_clause_token1] = ACTIONS(921),
    [aux_sym_qualify_clause_token1] = ACTIONS(921),
    [aux_sym_limit_clause_token1] = ACTIONS(921),
    [aux_sym_group_by_clause_token1] = ACTIONS(921),
    [aux_sym_order_by_clause_token1] = ACTIONS(921),
    [aux_sym_where_clause_token1] = ACTIONS(921),
    [aux_sym_insert_statement_token1] = ACTIONS(921),
    [aux_sym_truncate_statement_token1] = ACTIONS(921),
    [aux_sym_update_statement_token1] = ACTIONS(921),
    [aux_sym_merge_statement_token1] = ACTIONS(921),
    [aux_sym_grant_statement_token1] = ACTIONS(921),
    [aux_sym_revoke_statement_token1] = ACTIONS(921),
    [aux_sym_export_data_statement_token1] = ACTIONS(921),
    [aux_sym_load_data_statement_token1] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym__quoted_identifier] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(367),
    [anon_sym_DASH] = ACTIONS(369),
    [anon_sym_STAR] = ACTIONS(371),
    [anon_sym_SLASH] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_LT_GT] = ACTIONS(359),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_LT_LT] = ACTIONS(375),
    [anon_sym_GT_GT] = ACTIONS(375),
    [anon_sym_AMP] = ACTIONS(377),
    [anon_sym_CARET] = ACTIONS(379),
    [anon_sym_PIPE] = ACTIONS(381),
  },
  [135] = {
    [sym__keyword_between] = STATE(1505),
    [sym__keyword_is] = STATE(12107),
    [sym__keyword_in] = STATE(1172),
    [sym__keyword_not] = STATE(13054),
    [sym__keyword_and] = STATE(1201),
    [sym__keyword_or] = STATE(1206),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16116),
    [sym_quantitve_like_operator] = STATE(16114),
    [sym__unquoted_identifier] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(339),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(921),
    [aux_sym__keyword_from_token1] = ACTIONS(921),
    [aux_sym__keyword_delete_token1] = ACTIONS(921),
    [aux_sym__keyword_begin_token1] = ACTIONS(921),
    [aux_sym__keyword_end_token1] = ACTIONS(921),
    [aux_sym__keyword_between_token1] = ACTIONS(343),
    [aux_sym__keyword_when_token1] = ACTIONS(921),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(345),
    [aux_sym__keyword_in_token1] = ACTIONS(347),
    [aux_sym__keyword_and_token1] = ACTIONS(921),
    [aux_sym__keyword_like_token1] = ACTIONS(921),
    [aux_sym__keyword_repeat_token1] = ACTIONS(921),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_window_token1] = ACTIONS(921),
    [aux_sym__keyword_date_token1] = ACTIONS(921),
    [aux_sym__keyword_datetime_token1] = ACTIONS(921),
    [aux_sym__keyword_time_token1] = ACTIONS(921),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(921),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(921),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(921),
    [aux_sym_return_satement_token1] = ACTIONS(921),
    [aux_sym_call_statement_token1] = ACTIONS(921),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(921),
    [aux_sym_if_statement_token1] = ACTIONS(921),
    [aux_sym_loop_statement_token1] = ACTIONS(921),
    [aux_sym_repeat_statement_token1] = ACTIONS(921),
    [aux_sym_while_statement_token1] = ACTIONS(921),
    [aux_sym_break_statement_token1] = ACTIONS(921),
    [aux_sym_leave_statement_token1] = ACTIONS(921),
    [aux_sym_continue_statement_token1] = ACTIONS(921),
    [aux_sym_iterate_statement_token1] = ACTIONS(921),
    [aux_sym_raise_statement_token1] = ACTIONS(921),
    [anon_sym_EQ] = ACTIONS(359),
    [aux_sym_assert_statement_token1] = ACTIONS(921),
    [aux_sym_create_schema_statement_token1] = ACTIONS(921),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(921),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(347),
    [anon_sym_GT] = ACTIONS(347),
    [aux_sym_set_operation_token1] = ACTIONS(921),
    [aux_sym_set_operation_token3] = ACTIONS(921),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(921),
    [aux_sym_having_clause_token1] = ACTIONS(921),
    [aux_sym_qualify_clause_token1] = ACTIONS(921),
    [aux_sym_limit_clause_token1] = ACTIONS(921),
    [aux_sym_group_by_clause_token1] = ACTIONS(921),
    [aux_sym_order_by_clause_token1] = ACTIONS(921),
    [aux_sym_where_clause_token1] = ACTIONS(921),
    [aux_sym_insert_statement_token1] = ACTIONS(921),
    [aux_sym_truncate_statement_token1] = ACTIONS(921),
    [aux_sym_update_statement_token1] = ACTIONS(921),
    [aux_sym_merge_statement_token1] = ACTIONS(921),
    [aux_sym_grant_statement_token1] = ACTIONS(921),
    [aux_sym_revoke_statement_token1] = ACTIONS(921),
    [aux_sym_export_data_statement_token1] = ACTIONS(921),
    [aux_sym_load_data_statement_token1] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym__quoted_identifier] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(367),
    [anon_sym_DASH] = ACTIONS(369),
    [anon_sym_STAR] = ACTIONS(371),
    [anon_sym_SLASH] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_LT_EQ] = ACTIONS(359),
    [anon_sym_LT_GT] = ACTIONS(359),
    [anon_sym_GT_EQ] = ACTIONS(359),
    [anon_sym_BANG_EQ] = ACTIONS(359),
    [anon_sym_LT_LT] = ACTIONS(375),
    [anon_sym_GT_GT] = ACTIONS(375),
    [anon_sym_AMP] = ACTIONS(377),
    [anon_sym_CARET] = ACTIONS(379),
    [anon_sym_PIPE] = ACTIONS(381),
  },
  [136] = {
    [sym__keyword_between] = STATE(1505),
    [sym__keyword_is] = STATE(12107),
    [sym__keyword_in] = STATE(1172),
    [sym__keyword_not] = STATE(13054),
    [sym__keyword_and] = STATE(1201),
    [sym__keyword_or] = STATE(1206),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16116),
    [sym_quantitve_like_operator] = STATE(16114),
    [sym__unquoted_identifier] = ACTIONS(1037),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1037),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1037),
    [aux_sym_keyword_replace_token1] = ACTIONS(1037),
    [aux_sym__keyword_alter_token1] = ACTIONS(1037),
    [aux_sym__keyword_from_token1] = ACTIONS(1037),
    [aux_sym__keyword_delete_token1] = ACTIONS(1037),
    [aux_sym__keyword_begin_token1] = ACTIONS(1037),
    [aux_sym__keyword_end_token1] = ACTIONS(1037),
    [aux_sym__keyword_between_token1] = ACTIONS(1037),
    [aux_sym__keyword_when_token1] = ACTIONS(1037),
    [aux_sym__keyword_else_token1] = ACTIONS(1037),
    [aux_sym__keyword_is_token1] = ACTIONS(1037),
    [aux_sym__keyword_in_token1] = ACTIONS(1037),
    [aux_sym__keyword_and_token1] = ACTIONS(1037),
    [aux_sym__keyword_like_token1] = ACTIONS(1037),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1037),
    [aux_sym__keyword_as_token1] = ACTIONS(1037),
    [aux_sym__keyword_window_token1] = ACTIONS(1037),
    [aux_sym__keyword_date_token1] = ACTIONS(1037),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1037),
    [aux_sym__keyword_time_token1] = ACTIONS(1037),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1037),
    [aux_sym__keyword_for_token1] = ACTIONS(1037),
    [anon_sym_SEMI] = ACTIONS(1035),
    [aux_sym_declare_statement_token1] = ACTIONS(1037),
    [anon_sym_COMMA] = ACTIONS(1035),
    [aux_sym_set_statement_token1] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(1035),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1037),
    [aux_sym_return_satement_token1] = ACTIONS(1037),
    [aux_sym_call_statement_token1] = ACTIONS(1037),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1037),
    [aux_sym_if_statement_token1] = ACTIONS(1037),
    [aux_sym_loop_statement_token1] = ACTIONS(1037),
    [aux_sym_repeat_statement_token1] = ACTIONS(1037),
    [aux_sym_while_statement_token1] = ACTIONS(1037),
    [aux_sym_break_statement_token1] = ACTIONS(1037),
    [aux_sym_leave_statement_token1] = ACTIONS(1037),
    [aux_sym_continue_statement_token1] = ACTIONS(1037),
    [aux_sym_iterate_statement_token1] = ACTIONS(1037),
    [aux_sym_raise_statement_token1] = ACTIONS(1037),
    [anon_sym_EQ] = ACTIONS(1035),
    [aux_sym_assert_statement_token1] = ACTIONS(1037),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1037),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1037),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1037),
    [anon_sym_LT] = ACTIONS(1037),
    [anon_sym_GT] = ACTIONS(1037),
    [aux_sym_set_operation_token1] = ACTIONS(1037),
    [aux_sym_set_operation_token3] = ACTIONS(1037),
    [aux_sym_set_operation_token4] = ACTIONS(1037),
    [aux_sym_select_token1] = ACTIONS(1037),
    [aux_sym_having_clause_token1] = ACTIONS(1037),
    [aux_sym_qualify_clause_token1] = ACTIONS(1037),
    [aux_sym_limit_clause_token1] = ACTIONS(1037),
    [aux_sym_group_by_clause_token1] = ACTIONS(1037),
    [aux_sym_order_by_clause_token1] = ACTIONS(1037),
    [aux_sym_where_clause_token1] = ACTIONS(1037),
    [aux_sym_insert_statement_token1] = ACTIONS(1037),
    [aux_sym_truncate_statement_token1] = ACTIONS(1037),
    [aux_sym_update_statement_token1] = ACTIONS(1037),
    [aux_sym_merge_statement_token1] = ACTIONS(1037),
    [aux_sym_grant_statement_token1] = ACTIONS(1037),
    [aux_sym_revoke_statement_token1] = ACTIONS(1037),
    [aux_sym_export_data_statement_token1] = ACTIONS(1037),
    [aux_sym_load_data_statement_token1] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(1035),
    [sym__quoted_identifier] = ACTIONS(1035),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1035),
    [anon_sym_PLUS] = ACTIONS(367),
    [anon_sym_DASH] = ACTIONS(369),
    [anon_sym_STAR] = ACTIONS(371),
    [anon_sym_SLASH] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_LT_EQ] = ACTIONS(1035),
    [anon_sym_LT_GT] = ACTIONS(1035),
    [anon_sym_GT_EQ] = ACTIONS(1035),
    [anon_sym_BANG_EQ] = ACTIONS(1035),
    [anon_sym_LT_LT] = ACTIONS(375),
    [anon_sym_GT_GT] = ACTIONS(375),
    [anon_sym_AMP] = ACTIONS(377),
    [anon_sym_CARET] = ACTIONS(379),
    [anon_sym_PIPE] = ACTIONS(381),
  },
  [137] = {
    [sym__keyword_alter] = STATE(14478),
    [sym__keyword_delete] = STATE(11379),
    [sym__keyword_repeat] = STATE(200),
    [sym__keyword_for] = STATE(11539),
    [sym__statement] = STATE(9135),
    [aux_sym__statement_list] = STATE(162),
    [sym_declare_statement] = STATE(8035),
    [sym_set_statement] = STATE(8035),
    [sym_execute_immadiate_statement] = STATE(8035),
    [sym_return_satement] = STATE(8035),
    [sym_call_statement] = STATE(8035),
    [sym_begin_end_statement] = STATE(8035),
    [sym_begin_exception_end_statement] = STATE(8035),
    [sym_if_statement] = STATE(8035),
    [sym_loop_statement] = STATE(8035),
    [sym_repeat_statement] = STATE(8035),
    [sym_while_statement] = STATE(8035),
    [sym_for_in_statement] = STATE(8035),
    [sym_break_statement] = STATE(8035),
    [sym_leave_statement] = STATE(8035),
    [sym_continue_statement] = STATE(8035),
    [sym_iterate_statement] = STATE(8035),
    [sym_raise_statement] = STATE(8035),
    [sym_assert_statement] = STATE(8035),
    [sym_create_schema_statement] = STATE(8035),
    [sym_alter_schema_statement] = STATE(8035),
    [sym_drop_schema_statement] = STATE(8035),
    [sym_create_table_statement] = STATE(8035),
    [sym_create_table_like_statement] = STATE(8035),
    [sym_create_table_clone_statement] = STATE(8035),
    [sym_create_table_copy_statement] = STATE(8035),
    [sym_create_snapshot_table_statement] = STATE(8035),
    [sym_create_external_table_statement] = STATE(8035),
    [sym_alter_table_statement] = STATE(8035),
    [sym_alter_table_rename_statement] = STATE(8035),
    [sym_alter_table_column_statement] = STATE(8035),
    [sym_drop_table_statement] = STATE(8035),
    [sym_create_function_statement] = STATE(8035),
    [sym_create_remote_function_statement] = STATE(8035),
    [sym_drop_function_statement] = STATE(8035),
    [sym_create_table_function_statement] = STATE(8035),
    [sym_drop_table_function_statement] = STATE(8035),
    [sym_create_procedure_statement] = STATE(8035),
    [sym_drop_procedure_statement] = STATE(8035),
    [sym_create_model_statement] = STATE(8035),
    [sym_drop_model_statement] = STATE(8035),
    [sym_query_statement] = STATE(8035),
    [sym_set_operation] = STATE(6482),
    [sym_query_expr] = STATE(7380),
    [sym_select] = STATE(6482),
    [sym_cte_clause] = STATE(13016),
    [sym_insert_statement] = STATE(8035),
    [sym_delete_statement] = STATE(8035),
    [sym_truncate_statement] = STATE(8035),
    [sym_update_statement] = STATE(8035),
    [sym_merge_statement] = STATE(8035),
    [sym_grant_statement] = STATE(8035),
    [sym_revoke_statement] = STATE(8035),
    [sym_export_data_statement] = STATE(8035),
    [sym_load_data_statement] = STATE(8035),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(7),
    [aux_sym__keyword_alter_token1] = ACTIONS(9),
    [aux_sym__keyword_delete_token1] = ACTIONS(963),
    [aux_sym__keyword_begin_token1] = ACTIONS(13),
    [aux_sym__keyword_end_token1] = ACTIONS(1097),
    [aux_sym__keyword_repeat_token1] = ACTIONS(15),
    [aux_sym__keyword_for_token1] = ACTIONS(17),
    [aux_sym_declare_statement_token1] = ACTIONS(969),
    [aux_sym_set_statement_token1] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(973),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(975),
    [aux_sym_return_satement_token1] = ACTIONS(27),
    [aux_sym_call_statement_token1] = ACTIONS(29),
    [aux_sym_loop_statement_token1] = ACTIONS(31),
    [aux_sym_while_statement_token1] = ACTIONS(33),
    [aux_sym_break_statement_token1] = ACTIONS(35),
    [aux_sym_leave_statement_token1] = ACTIONS(37),
    [aux_sym_continue_statement_token1] = ACTIONS(39),
    [aux_sym_iterate_statement_token1] = ACTIONS(41),
    [aux_sym_raise_statement_token1] = ACTIONS(979),
    [aux_sym_assert_statement_token1] = ACTIONS(981),
    [aux_sym_create_schema_statement_token1] = ACTIONS(983),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(49),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(51),
    [aux_sym_select_token1] = ACTIONS(985),
    [aux_sym_insert_statement_token1] = ACTIONS(987),
    [aux_sym_truncate_statement_token1] = ACTIONS(57),
    [aux_sym_update_statement_token1] = ACTIONS(989),
    [aux_sym_merge_statement_token1] = ACTIONS(991),
    [aux_sym_grant_statement_token1] = ACTIONS(63),
    [aux_sym_revoke_statement_token1] = ACTIONS(65),
    [aux_sym_export_data_statement_token1] = ACTIONS(993),
    [aux_sym_load_data_statement_token1] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
  },
  [138] = {
    [sym__keyword_alter] = STATE(14478),
    [sym__keyword_delete] = STATE(11379),
    [sym__keyword_repeat] = STATE(200),
    [sym__keyword_for] = STATE(11539),
    [sym__statement] = STATE(9135),
    [aux_sym__statement_list] = STATE(122),
    [sym_declare_statement] = STATE(8035),
    [sym_set_statement] = STATE(8035),
    [sym_execute_immadiate_statement] = STATE(8035),
    [sym_return_satement] = STATE(8035),
    [sym_call_statement] = STATE(8035),
    [sym_begin_end_statement] = STATE(8035),
    [sym_begin_exception_end_statement] = STATE(8035),
    [sym_if_statement] = STATE(8035),
    [sym_loop_statement] = STATE(8035),
    [sym_repeat_statement] = STATE(8035),
    [sym_while_statement] = STATE(8035),
    [sym_for_in_statement] = STATE(8035),
    [sym_break_statement] = STATE(8035),
    [sym_leave_statement] = STATE(8035),
    [sym_continue_statement] = STATE(8035),
    [sym_iterate_statement] = STATE(8035),
    [sym_raise_statement] = STATE(8035),
    [sym_assert_statement] = STATE(8035),
    [sym_create_schema_statement] = STATE(8035),
    [sym_alter_schema_statement] = STATE(8035),
    [sym_drop_schema_statement] = STATE(8035),
    [sym_create_table_statement] = STATE(8035),
    [sym_create_table_like_statement] = STATE(8035),
    [sym_create_table_clone_statement] = STATE(8035),
    [sym_create_table_copy_statement] = STATE(8035),
    [sym_create_snapshot_table_statement] = STATE(8035),
    [sym_create_external_table_statement] = STATE(8035),
    [sym_alter_table_statement] = STATE(8035),
    [sym_alter_table_rename_statement] = STATE(8035),
    [sym_alter_table_column_statement] = STATE(8035),
    [sym_drop_table_statement] = STATE(8035),
    [sym_create_function_statement] = STATE(8035),
    [sym_create_remote_function_statement] = STATE(8035),
    [sym_drop_function_statement] = STATE(8035),
    [sym_create_table_function_statement] = STATE(8035),
    [sym_drop_table_function_statement] = STATE(8035),
    [sym_create_procedure_statement] = STATE(8035),
    [sym_drop_procedure_statement] = STATE(8035),
    [sym_create_model_statement] = STATE(8035),
    [sym_drop_model_statement] = STATE(8035),
    [sym_query_statement] = STATE(8035),
    [sym_set_operation] = STATE(6482),
    [sym_query_expr] = STATE(7380),
    [sym_select] = STATE(6482),
    [sym_cte_clause] = STATE(13016),
    [sym_insert_statement] = STATE(8035),
    [sym_delete_statement] = STATE(8035),
    [sym_truncate_statement] = STATE(8035),
    [sym_update_statement] = STATE(8035),
    [sym_merge_statement] = STATE(8035),
    [sym_grant_statement] = STATE(8035),
    [sym_revoke_statement] = STATE(8035),
    [sym_export_data_statement] = STATE(8035),
    [sym_load_data_statement] = STATE(8035),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(7),
    [aux_sym__keyword_alter_token1] = ACTIONS(9),
    [aux_sym__keyword_delete_token1] = ACTIONS(963),
    [aux_sym__keyword_begin_token1] = ACTIONS(13),
    [aux_sym__keyword_end_token1] = ACTIONS(1099),
    [aux_sym__keyword_repeat_token1] = ACTIONS(15),
    [aux_sym__keyword_for_token1] = ACTIONS(17),
    [aux_sym_declare_statement_token1] = ACTIONS(969),
    [aux_sym_set_statement_token1] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(973),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(975),
    [aux_sym_return_satement_token1] = ACTIONS(27),
    [aux_sym_call_statement_token1] = ACTIONS(29),
    [aux_sym_loop_statement_token1] = ACTIONS(31),
    [aux_sym_while_statement_token1] = ACTIONS(33),
    [aux_sym_break_statement_token1] = ACTIONS(35),
    [aux_sym_leave_statement_token1] = ACTIONS(37),
    [aux_sym_continue_statement_token1] = ACTIONS(39),
    [aux_sym_iterate_statement_token1] = ACTIONS(41),
    [aux_sym_raise_statement_token1] = ACTIONS(979),
    [aux_sym_assert_statement_token1] = ACTIONS(981),
    [aux_sym_create_schema_statement_token1] = ACTIONS(983),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(49),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(51),
    [aux_sym_select_token1] = ACTIONS(985),
    [aux_sym_insert_statement_token1] = ACTIONS(987),
    [aux_sym_truncate_statement_token1] = ACTIONS(57),
    [aux_sym_update_statement_token1] = ACTIONS(989),
    [aux_sym_merge_statement_token1] = ACTIONS(991),
    [aux_sym_grant_statement_token1] = ACTIONS(63),
    [aux_sym_revoke_statement_token1] = ACTIONS(65),
    [aux_sym_export_data_statement_token1] = ACTIONS(993),
    [aux_sym_load_data_statement_token1] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
  },
  [139] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_set_operation] = STATE(12414),
    [sym_query_expr] = STATE(14256),
    [sym_select] = STATE(12414),
    [sym__aliasable_expression] = STATE(15178),
    [sym_cte_clause] = STATE(12993),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5344),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(561),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_select_token1] = ACTIONS(565),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [140] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_set_operation] = STATE(12414),
    [sym_query_expr] = STATE(14312),
    [sym_select] = STATE(12414),
    [sym__aliasable_expression] = STATE(14947),
    [sym_cte_clause] = STATE(12993),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5366),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(561),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_select_token1] = ACTIONS(565),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [141] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_set_operation] = STATE(12414),
    [sym_query_expr] = STATE(14295),
    [sym_select] = STATE(12414),
    [sym__aliasable_expression] = STATE(14716),
    [sym_cte_clause] = STATE(12993),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5336),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(561),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_select_token1] = ACTIONS(565),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [142] = {
    [sym__keyword_alter] = STATE(15146),
    [sym__keyword_delete] = STATE(11411),
    [sym__keyword_repeat] = STATE(200),
    [sym__keyword_for] = STATE(11539),
    [sym__statement] = STATE(160),
    [sym_declare_statement] = STATE(8035),
    [sym_set_statement] = STATE(8035),
    [sym_execute_immadiate_statement] = STATE(8035),
    [sym_return_satement] = STATE(8035),
    [sym_call_statement] = STATE(8035),
    [sym_begin_end_statement] = STATE(8035),
    [sym_begin_exception_end_statement] = STATE(8035),
    [sym_if_statement] = STATE(8035),
    [sym_loop_statement] = STATE(8035),
    [sym_repeat_statement] = STATE(8035),
    [sym_while_statement] = STATE(8035),
    [sym_for_in_statement] = STATE(8035),
    [sym_break_statement] = STATE(8035),
    [sym_leave_statement] = STATE(8035),
    [sym_continue_statement] = STATE(8035),
    [sym_iterate_statement] = STATE(8035),
    [sym_raise_statement] = STATE(8035),
    [sym_assert_statement] = STATE(8035),
    [sym_create_schema_statement] = STATE(8035),
    [sym_alter_schema_statement] = STATE(8035),
    [sym_drop_schema_statement] = STATE(8035),
    [sym_create_table_statement] = STATE(8035),
    [sym_create_table_like_statement] = STATE(8035),
    [sym_create_table_clone_statement] = STATE(8035),
    [sym_create_table_copy_statement] = STATE(8035),
    [sym_create_snapshot_table_statement] = STATE(8035),
    [sym_create_external_table_statement] = STATE(8035),
    [sym_alter_table_statement] = STATE(8035),
    [sym_alter_table_rename_statement] = STATE(8035),
    [sym_alter_table_column_statement] = STATE(8035),
    [sym_drop_table_statement] = STATE(8035),
    [sym_create_function_statement] = STATE(8035),
    [sym_create_remote_function_statement] = STATE(8035),
    [sym_drop_function_statement] = STATE(8035),
    [sym_create_table_function_statement] = STATE(8035),
    [sym_drop_table_function_statement] = STATE(8035),
    [sym_create_procedure_statement] = STATE(8035),
    [sym_drop_procedure_statement] = STATE(8035),
    [sym_create_model_statement] = STATE(8035),
    [sym_drop_model_statement] = STATE(8035),
    [sym_query_statement] = STATE(8035),
    [sym_set_operation] = STATE(7271),
    [sym_query_expr] = STATE(8361),
    [sym_select] = STATE(7271),
    [sym_cte_clause] = STATE(12900),
    [sym_insert_statement] = STATE(8035),
    [sym_delete_statement] = STATE(8035),
    [sym_truncate_statement] = STATE(8035),
    [sym_update_statement] = STATE(8035),
    [sym_merge_statement] = STATE(8035),
    [sym_grant_statement] = STATE(8035),
    [sym_revoke_statement] = STATE(8035),
    [sym_export_data_statement] = STATE(8035),
    [sym_load_data_statement] = STATE(8035),
    [aux_sym_source_file_repeat1] = STATE(160),
    [ts_builtin_sym_end] = ACTIONS(1103),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(7),
    [aux_sym__keyword_alter_token1] = ACTIONS(9),
    [aux_sym__keyword_delete_token1] = ACTIONS(11),
    [aux_sym__keyword_begin_token1] = ACTIONS(13),
    [aux_sym__keyword_repeat_token1] = ACTIONS(15),
    [aux_sym__keyword_for_token1] = ACTIONS(17),
    [aux_sym_declare_statement_token1] = ACTIONS(19),
    [aux_sym_set_statement_token1] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(25),
    [aux_sym_return_satement_token1] = ACTIONS(27),
    [aux_sym_call_statement_token1] = ACTIONS(29),
    [aux_sym_loop_statement_token1] = ACTIONS(31),
    [aux_sym_while_statement_token1] = ACTIONS(33),
    [aux_sym_break_statement_token1] = ACTIONS(35),
    [aux_sym_leave_statement_token1] = ACTIONS(37),
    [aux_sym_continue_statement_token1] = ACTIONS(39),
    [aux_sym_iterate_statement_token1] = ACTIONS(41),
    [aux_sym_raise_statement_token1] = ACTIONS(43),
    [aux_sym_assert_statement_token1] = ACTIONS(45),
    [aux_sym_create_schema_statement_token1] = ACTIONS(47),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(49),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(51),
    [aux_sym_select_token1] = ACTIONS(53),
    [aux_sym_insert_statement_token1] = ACTIONS(55),
    [aux_sym_truncate_statement_token1] = ACTIONS(57),
    [aux_sym_update_statement_token1] = ACTIONS(59),
    [aux_sym_merge_statement_token1] = ACTIONS(61),
    [aux_sym_grant_statement_token1] = ACTIONS(63),
    [aux_sym_revoke_statement_token1] = ACTIONS(65),
    [aux_sym_export_data_statement_token1] = ACTIONS(67),
    [aux_sym_load_data_statement_token1] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
  },
  [143] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_set_operation] = STATE(12414),
    [sym_query_expr] = STATE(14341),
    [sym_select] = STATE(12414),
    [sym__aliasable_expression] = STATE(14645),
    [sym_cte_clause] = STATE(12993),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5326),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(561),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_select_token1] = ACTIONS(565),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [144] = {
    [sym__keyword_between] = STATE(1505),
    [sym__keyword_is] = STATE(12107),
    [sym__keyword_in] = STATE(1172),
    [sym__keyword_not] = STATE(13054),
    [sym__keyword_and] = STATE(1201),
    [sym__keyword_or] = STATE(1206),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16116),
    [sym_quantitve_like_operator] = STATE(16114),
    [sym__unquoted_identifier] = ACTIONS(1033),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1033),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1033),
    [aux_sym_keyword_replace_token1] = ACTIONS(1033),
    [aux_sym__keyword_alter_token1] = ACTIONS(1033),
    [aux_sym__keyword_from_token1] = ACTIONS(1033),
    [aux_sym__keyword_delete_token1] = ACTIONS(1033),
    [aux_sym__keyword_begin_token1] = ACTIONS(1033),
    [aux_sym__keyword_end_token1] = ACTIONS(1033),
    [aux_sym__keyword_between_token1] = ACTIONS(1033),
    [aux_sym__keyword_when_token1] = ACTIONS(1033),
    [aux_sym__keyword_else_token1] = ACTIONS(1033),
    [aux_sym__keyword_is_token1] = ACTIONS(1033),
    [aux_sym__keyword_in_token1] = ACTIONS(1033),
    [aux_sym__keyword_and_token1] = ACTIONS(1033),
    [aux_sym__keyword_like_token1] = ACTIONS(1033),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1033),
    [aux_sym__keyword_as_token1] = ACTIONS(1033),
    [aux_sym__keyword_window_token1] = ACTIONS(1033),
    [aux_sym__keyword_date_token1] = ACTIONS(1033),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1033),
    [aux_sym__keyword_time_token1] = ACTIONS(1033),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1033),
    [aux_sym__keyword_for_token1] = ACTIONS(1033),
    [anon_sym_SEMI] = ACTIONS(1031),
    [aux_sym_declare_statement_token1] = ACTIONS(1033),
    [anon_sym_COMMA] = ACTIONS(1031),
    [aux_sym_set_statement_token1] = ACTIONS(1033),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1033),
    [aux_sym_return_satement_token1] = ACTIONS(1033),
    [aux_sym_call_statement_token1] = ACTIONS(1033),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1033),
    [aux_sym_if_statement_token1] = ACTIONS(1033),
    [aux_sym_loop_statement_token1] = ACTIONS(1033),
    [aux_sym_repeat_statement_token1] = ACTIONS(1033),
    [aux_sym_while_statement_token1] = ACTIONS(1033),
    [aux_sym_break_statement_token1] = ACTIONS(1033),
    [aux_sym_leave_statement_token1] = ACTIONS(1033),
    [aux_sym_continue_statement_token1] = ACTIONS(1033),
    [aux_sym_iterate_statement_token1] = ACTIONS(1033),
    [aux_sym_raise_statement_token1] = ACTIONS(1033),
    [anon_sym_EQ] = ACTIONS(1031),
    [aux_sym_assert_statement_token1] = ACTIONS(1033),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1033),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1033),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1033),
    [anon_sym_GT] = ACTIONS(1033),
    [aux_sym_set_operation_token1] = ACTIONS(1033),
    [aux_sym_set_operation_token3] = ACTIONS(1033),
    [aux_sym_set_operation_token4] = ACTIONS(1033),
    [aux_sym_select_token1] = ACTIONS(1033),
    [aux_sym_having_clause_token1] = ACTIONS(1033),
    [aux_sym_qualify_clause_token1] = ACTIONS(1033),
    [aux_sym_limit_clause_token1] = ACTIONS(1033),
    [aux_sym_group_by_clause_token1] = ACTIONS(1033),
    [aux_sym_order_by_clause_token1] = ACTIONS(1033),
    [aux_sym_where_clause_token1] = ACTIONS(1033),
    [aux_sym_insert_statement_token1] = ACTIONS(1033),
    [aux_sym_truncate_statement_token1] = ACTIONS(1033),
    [aux_sym_update_statement_token1] = ACTIONS(1033),
    [aux_sym_merge_statement_token1] = ACTIONS(1033),
    [aux_sym_grant_statement_token1] = ACTIONS(1033),
    [aux_sym_revoke_statement_token1] = ACTIONS(1033),
    [aux_sym_export_data_statement_token1] = ACTIONS(1033),
    [aux_sym_load_data_statement_token1] = ACTIONS(1033),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [sym__quoted_identifier] = ACTIONS(1031),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1031),
    [anon_sym_PLUS] = ACTIONS(367),
    [anon_sym_DASH] = ACTIONS(369),
    [anon_sym_STAR] = ACTIONS(371),
    [anon_sym_SLASH] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_LT_EQ] = ACTIONS(1031),
    [anon_sym_LT_GT] = ACTIONS(1031),
    [anon_sym_GT_EQ] = ACTIONS(1031),
    [anon_sym_BANG_EQ] = ACTIONS(1031),
    [anon_sym_LT_LT] = ACTIONS(375),
    [anon_sym_GT_GT] = ACTIONS(375),
    [anon_sym_AMP] = ACTIONS(377),
    [anon_sym_CARET] = ACTIONS(379),
    [anon_sym_PIPE] = ACTIONS(381),
  },
  [145] = {
    [sym__keyword_between] = STATE(1505),
    [sym__keyword_is] = STATE(12107),
    [sym__keyword_in] = STATE(1172),
    [sym__keyword_not] = STATE(13054),
    [sym__keyword_and] = STATE(1201),
    [sym__keyword_or] = STATE(1206),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16116),
    [sym_quantitve_like_operator] = STATE(16114),
    [sym__unquoted_identifier] = ACTIONS(949),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(949),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(949),
    [aux_sym_keyword_replace_token1] = ACTIONS(949),
    [aux_sym__keyword_alter_token1] = ACTIONS(949),
    [aux_sym__keyword_from_token1] = ACTIONS(949),
    [aux_sym__keyword_delete_token1] = ACTIONS(949),
    [aux_sym__keyword_begin_token1] = ACTIONS(949),
    [aux_sym__keyword_end_token1] = ACTIONS(949),
    [aux_sym__keyword_between_token1] = ACTIONS(949),
    [aux_sym__keyword_when_token1] = ACTIONS(949),
    [aux_sym__keyword_else_token1] = ACTIONS(949),
    [aux_sym__keyword_is_token1] = ACTIONS(949),
    [aux_sym__keyword_in_token1] = ACTIONS(949),
    [aux_sym__keyword_and_token1] = ACTIONS(949),
    [aux_sym__keyword_like_token1] = ACTIONS(949),
    [aux_sym__keyword_repeat_token1] = ACTIONS(949),
    [aux_sym__keyword_as_token1] = ACTIONS(949),
    [aux_sym__keyword_window_token1] = ACTIONS(949),
    [aux_sym__keyword_date_token1] = ACTIONS(949),
    [aux_sym__keyword_datetime_token1] = ACTIONS(949),
    [aux_sym__keyword_time_token1] = ACTIONS(949),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(949),
    [aux_sym__keyword_for_token1] = ACTIONS(949),
    [anon_sym_SEMI] = ACTIONS(947),
    [aux_sym_declare_statement_token1] = ACTIONS(949),
    [anon_sym_COMMA] = ACTIONS(947),
    [aux_sym_set_statement_token1] = ACTIONS(949),
    [anon_sym_LPAREN] = ACTIONS(947),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(949),
    [aux_sym_return_satement_token1] = ACTIONS(949),
    [aux_sym_call_statement_token1] = ACTIONS(949),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(949),
    [aux_sym_if_statement_token1] = ACTIONS(949),
    [aux_sym_loop_statement_token1] = ACTIONS(949),
    [aux_sym_repeat_statement_token1] = ACTIONS(949),
    [aux_sym_while_statement_token1] = ACTIONS(949),
    [aux_sym_break_statement_token1] = ACTIONS(949),
    [aux_sym_leave_statement_token1] = ACTIONS(949),
    [aux_sym_continue_statement_token1] = ACTIONS(949),
    [aux_sym_iterate_statement_token1] = ACTIONS(949),
    [aux_sym_raise_statement_token1] = ACTIONS(949),
    [anon_sym_EQ] = ACTIONS(947),
    [aux_sym_assert_statement_token1] = ACTIONS(949),
    [aux_sym_create_schema_statement_token1] = ACTIONS(949),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(949),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(949),
    [anon_sym_GT] = ACTIONS(949),
    [aux_sym_set_operation_token1] = ACTIONS(949),
    [aux_sym_set_operation_token3] = ACTIONS(949),
    [aux_sym_set_operation_token4] = ACTIONS(949),
    [aux_sym_select_token1] = ACTIONS(949),
    [aux_sym_having_clause_token1] = ACTIONS(949),
    [aux_sym_qualify_clause_token1] = ACTIONS(949),
    [aux_sym_limit_clause_token1] = ACTIONS(949),
    [aux_sym_group_by_clause_token1] = ACTIONS(949),
    [aux_sym_order_by_clause_token1] = ACTIONS(949),
    [aux_sym_where_clause_token1] = ACTIONS(949),
    [aux_sym_insert_statement_token1] = ACTIONS(949),
    [aux_sym_truncate_statement_token1] = ACTIONS(949),
    [aux_sym_update_statement_token1] = ACTIONS(949),
    [aux_sym_merge_statement_token1] = ACTIONS(949),
    [aux_sym_grant_statement_token1] = ACTIONS(949),
    [aux_sym_revoke_statement_token1] = ACTIONS(949),
    [aux_sym_export_data_statement_token1] = ACTIONS(949),
    [aux_sym_load_data_statement_token1] = ACTIONS(949),
    [anon_sym_LBRACK] = ACTIONS(947),
    [sym__quoted_identifier] = ACTIONS(947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(367),
    [anon_sym_DASH] = ACTIONS(369),
    [anon_sym_STAR] = ACTIONS(371),
    [anon_sym_SLASH] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_LT_EQ] = ACTIONS(947),
    [anon_sym_LT_GT] = ACTIONS(947),
    [anon_sym_GT_EQ] = ACTIONS(947),
    [anon_sym_BANG_EQ] = ACTIONS(947),
    [anon_sym_LT_LT] = ACTIONS(375),
    [anon_sym_GT_GT] = ACTIONS(375),
    [anon_sym_AMP] = ACTIONS(377),
    [anon_sym_CARET] = ACTIONS(379),
    [anon_sym_PIPE] = ACTIONS(381),
  },
  [146] = {
    [sym__keyword_between] = STATE(1505),
    [sym__keyword_is] = STATE(12107),
    [sym__keyword_in] = STATE(1172),
    [sym__keyword_not] = STATE(13054),
    [sym__keyword_and] = STATE(1201),
    [sym__keyword_or] = STATE(1206),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16116),
    [sym_quantitve_like_operator] = STATE(16114),
    [sym__unquoted_identifier] = ACTIONS(1025),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1025),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1025),
    [aux_sym_keyword_replace_token1] = ACTIONS(1025),
    [aux_sym__keyword_alter_token1] = ACTIONS(1025),
    [aux_sym__keyword_from_token1] = ACTIONS(1025),
    [aux_sym__keyword_delete_token1] = ACTIONS(1025),
    [aux_sym__keyword_begin_token1] = ACTIONS(1025),
    [aux_sym__keyword_end_token1] = ACTIONS(1025),
    [aux_sym__keyword_between_token1] = ACTIONS(1025),
    [aux_sym__keyword_when_token1] = ACTIONS(1025),
    [aux_sym__keyword_else_token1] = ACTIONS(1025),
    [aux_sym__keyword_is_token1] = ACTIONS(1025),
    [aux_sym__keyword_in_token1] = ACTIONS(1025),
    [aux_sym__keyword_and_token1] = ACTIONS(1025),
    [aux_sym__keyword_like_token1] = ACTIONS(1025),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1025),
    [aux_sym__keyword_as_token1] = ACTIONS(1025),
    [aux_sym__keyword_window_token1] = ACTIONS(1025),
    [aux_sym__keyword_date_token1] = ACTIONS(1025),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1025),
    [aux_sym__keyword_time_token1] = ACTIONS(1025),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1025),
    [aux_sym__keyword_for_token1] = ACTIONS(1025),
    [anon_sym_SEMI] = ACTIONS(1023),
    [aux_sym_declare_statement_token1] = ACTIONS(1025),
    [anon_sym_COMMA] = ACTIONS(1023),
    [aux_sym_set_statement_token1] = ACTIONS(1025),
    [anon_sym_LPAREN] = ACTIONS(1023),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1025),
    [aux_sym_return_satement_token1] = ACTIONS(1025),
    [aux_sym_call_statement_token1] = ACTIONS(1025),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1025),
    [aux_sym_if_statement_token1] = ACTIONS(1025),
    [aux_sym_loop_statement_token1] = ACTIONS(1025),
    [aux_sym_repeat_statement_token1] = ACTIONS(1025),
    [aux_sym_while_statement_token1] = ACTIONS(1025),
    [aux_sym_break_statement_token1] = ACTIONS(1025),
    [aux_sym_leave_statement_token1] = ACTIONS(1025),
    [aux_sym_continue_statement_token1] = ACTIONS(1025),
    [aux_sym_iterate_statement_token1] = ACTIONS(1025),
    [aux_sym_raise_statement_token1] = ACTIONS(1025),
    [anon_sym_EQ] = ACTIONS(1023),
    [aux_sym_assert_statement_token1] = ACTIONS(1025),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1025),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1025),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1025),
    [anon_sym_LT] = ACTIONS(1025),
    [anon_sym_GT] = ACTIONS(1025),
    [aux_sym_set_operation_token1] = ACTIONS(1025),
    [aux_sym_set_operation_token3] = ACTIONS(1025),
    [aux_sym_set_operation_token4] = ACTIONS(1025),
    [aux_sym_select_token1] = ACTIONS(1025),
    [aux_sym_having_clause_token1] = ACTIONS(1025),
    [aux_sym_qualify_clause_token1] = ACTIONS(1025),
    [aux_sym_limit_clause_token1] = ACTIONS(1025),
    [aux_sym_group_by_clause_token1] = ACTIONS(1025),
    [aux_sym_order_by_clause_token1] = ACTIONS(1025),
    [aux_sym_where_clause_token1] = ACTIONS(1025),
    [aux_sym_insert_statement_token1] = ACTIONS(1025),
    [aux_sym_truncate_statement_token1] = ACTIONS(1025),
    [aux_sym_update_statement_token1] = ACTIONS(1025),
    [aux_sym_merge_statement_token1] = ACTIONS(1025),
    [aux_sym_grant_statement_token1] = ACTIONS(1025),
    [aux_sym_revoke_statement_token1] = ACTIONS(1025),
    [aux_sym_export_data_statement_token1] = ACTIONS(1025),
    [aux_sym_load_data_statement_token1] = ACTIONS(1025),
    [anon_sym_LBRACK] = ACTIONS(1023),
    [sym__quoted_identifier] = ACTIONS(1023),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1023),
    [anon_sym_PLUS] = ACTIONS(367),
    [anon_sym_DASH] = ACTIONS(369),
    [anon_sym_STAR] = ACTIONS(371),
    [anon_sym_SLASH] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_LT_EQ] = ACTIONS(1023),
    [anon_sym_LT_GT] = ACTIONS(1023),
    [anon_sym_GT_EQ] = ACTIONS(1023),
    [anon_sym_BANG_EQ] = ACTIONS(1023),
    [anon_sym_LT_LT] = ACTIONS(375),
    [anon_sym_GT_GT] = ACTIONS(375),
    [anon_sym_AMP] = ACTIONS(377),
    [anon_sym_CARET] = ACTIONS(379),
    [anon_sym_PIPE] = ACTIONS(381),
  },
  [147] = {
    [sym__keyword_alter] = STATE(14478),
    [sym__keyword_delete] = STATE(11379),
    [sym__keyword_repeat] = STATE(200),
    [sym__keyword_for] = STATE(11539),
    [sym__statement] = STATE(9135),
    [aux_sym__statement_list] = STATE(79),
    [sym_declare_statement] = STATE(8035),
    [sym_set_statement] = STATE(8035),
    [sym_execute_immadiate_statement] = STATE(8035),
    [sym_return_satement] = STATE(8035),
    [sym_call_statement] = STATE(8035),
    [sym_begin_end_statement] = STATE(8035),
    [sym_begin_exception_end_statement] = STATE(8035),
    [sym_if_statement] = STATE(8035),
    [sym_loop_statement] = STATE(8035),
    [sym_repeat_statement] = STATE(8035),
    [sym_while_statement] = STATE(8035),
    [sym_for_in_statement] = STATE(8035),
    [sym_break_statement] = STATE(8035),
    [sym_leave_statement] = STATE(8035),
    [sym_continue_statement] = STATE(8035),
    [sym_iterate_statement] = STATE(8035),
    [sym_raise_statement] = STATE(8035),
    [sym_assert_statement] = STATE(8035),
    [sym_create_schema_statement] = STATE(8035),
    [sym_alter_schema_statement] = STATE(8035),
    [sym_drop_schema_statement] = STATE(8035),
    [sym_create_table_statement] = STATE(8035),
    [sym_create_table_like_statement] = STATE(8035),
    [sym_create_table_clone_statement] = STATE(8035),
    [sym_create_table_copy_statement] = STATE(8035),
    [sym_create_snapshot_table_statement] = STATE(8035),
    [sym_create_external_table_statement] = STATE(8035),
    [sym_alter_table_statement] = STATE(8035),
    [sym_alter_table_rename_statement] = STATE(8035),
    [sym_alter_table_column_statement] = STATE(8035),
    [sym_drop_table_statement] = STATE(8035),
    [sym_create_function_statement] = STATE(8035),
    [sym_create_remote_function_statement] = STATE(8035),
    [sym_drop_function_statement] = STATE(8035),
    [sym_create_table_function_statement] = STATE(8035),
    [sym_drop_table_function_statement] = STATE(8035),
    [sym_create_procedure_statement] = STATE(8035),
    [sym_drop_procedure_statement] = STATE(8035),
    [sym_create_model_statement] = STATE(8035),
    [sym_drop_model_statement] = STATE(8035),
    [sym_query_statement] = STATE(8035),
    [sym_set_operation] = STATE(6482),
    [sym_query_expr] = STATE(7380),
    [sym_select] = STATE(6482),
    [sym_cte_clause] = STATE(13016),
    [sym_insert_statement] = STATE(8035),
    [sym_delete_statement] = STATE(8035),
    [sym_truncate_statement] = STATE(8035),
    [sym_update_statement] = STATE(8035),
    [sym_merge_statement] = STATE(8035),
    [sym_grant_statement] = STATE(8035),
    [sym_revoke_statement] = STATE(8035),
    [sym_export_data_statement] = STATE(8035),
    [sym_load_data_statement] = STATE(8035),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(7),
    [aux_sym__keyword_alter_token1] = ACTIONS(9),
    [aux_sym__keyword_delete_token1] = ACTIONS(963),
    [aux_sym__keyword_begin_token1] = ACTIONS(13),
    [aux_sym__keyword_repeat_token1] = ACTIONS(15),
    [aux_sym__keyword_for_token1] = ACTIONS(17),
    [aux_sym_declare_statement_token1] = ACTIONS(969),
    [aux_sym_set_statement_token1] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(973),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(975),
    [aux_sym_return_satement_token1] = ACTIONS(27),
    [aux_sym_call_statement_token1] = ACTIONS(29),
    [aux_sym_loop_statement_token1] = ACTIONS(31),
    [aux_sym_repeat_statement_token1] = ACTIONS(1105),
    [aux_sym_while_statement_token1] = ACTIONS(33),
    [aux_sym_break_statement_token1] = ACTIONS(35),
    [aux_sym_leave_statement_token1] = ACTIONS(37),
    [aux_sym_continue_statement_token1] = ACTIONS(39),
    [aux_sym_iterate_statement_token1] = ACTIONS(41),
    [aux_sym_raise_statement_token1] = ACTIONS(979),
    [aux_sym_assert_statement_token1] = ACTIONS(981),
    [aux_sym_create_schema_statement_token1] = ACTIONS(983),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(49),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(51),
    [aux_sym_select_token1] = ACTIONS(985),
    [aux_sym_insert_statement_token1] = ACTIONS(987),
    [aux_sym_truncate_statement_token1] = ACTIONS(57),
    [aux_sym_update_statement_token1] = ACTIONS(989),
    [aux_sym_merge_statement_token1] = ACTIONS(991),
    [aux_sym_grant_statement_token1] = ACTIONS(63),
    [aux_sym_revoke_statement_token1] = ACTIONS(65),
    [aux_sym_export_data_statement_token1] = ACTIONS(993),
    [aux_sym_load_data_statement_token1] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
  },
  [148] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_set_operation] = STATE(12414),
    [sym_query_expr] = STATE(14278),
    [sym_select] = STATE(12414),
    [sym__aliasable_expression] = STATE(14485),
    [sym_cte_clause] = STATE(12993),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5337),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(561),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_select_token1] = ACTIONS(565),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [149] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_set_operation] = STATE(12414),
    [sym_query_expr] = STATE(14227),
    [sym_select] = STATE(12414),
    [sym__aliasable_expression] = STATE(14531),
    [sym_cte_clause] = STATE(12993),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5357),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(561),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_select_token1] = ACTIONS(565),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [150] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_set_operation] = STATE(12414),
    [sym_query_expr] = STATE(14211),
    [sym_select] = STATE(12414),
    [sym__aliasable_expression] = STATE(14897),
    [sym_cte_clause] = STATE(12993),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5334),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(561),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_select_token1] = ACTIONS(565),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [151] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_set_operation] = STATE(12414),
    [sym_query_expr] = STATE(14248),
    [sym_select] = STATE(12414),
    [sym__aliasable_expression] = STATE(15252),
    [sym_cte_clause] = STATE(12993),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5355),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(561),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_select_token1] = ACTIONS(565),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [152] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_set_operation] = STATE(12414),
    [sym_query_expr] = STATE(14281),
    [sym_select] = STATE(12414),
    [sym__aliasable_expression] = STATE(15441),
    [sym_cte_clause] = STATE(12993),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5363),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(561),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_select_token1] = ACTIONS(565),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [153] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_set_operation] = STATE(12414),
    [sym_query_expr] = STATE(14264),
    [sym_select] = STATE(12414),
    [sym__aliasable_expression] = STATE(15689),
    [sym_cte_clause] = STATE(12993),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5329),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(561),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_select_token1] = ACTIONS(565),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [154] = {
    [sym__keyword_alter] = STATE(14478),
    [sym__keyword_delete] = STATE(11379),
    [sym__keyword_repeat] = STATE(200),
    [sym__keyword_for] = STATE(11539),
    [sym__statement] = STATE(126),
    [sym_declare_statement] = STATE(8035),
    [sym_set_statement] = STATE(8035),
    [sym_execute_immadiate_statement] = STATE(8035),
    [sym_return_satement] = STATE(8035),
    [sym_call_statement] = STATE(8035),
    [sym_begin_end_statement] = STATE(8035),
    [sym_begin_exception_end_statement] = STATE(8035),
    [sym_if_statement] = STATE(8035),
    [sym_loop_statement] = STATE(8035),
    [sym_repeat_statement] = STATE(8035),
    [sym_while_statement] = STATE(8035),
    [sym_for_in_statement] = STATE(8035),
    [sym_break_statement] = STATE(8035),
    [sym_leave_statement] = STATE(8035),
    [sym_continue_statement] = STATE(8035),
    [sym_iterate_statement] = STATE(8035),
    [sym_raise_statement] = STATE(8035),
    [sym_assert_statement] = STATE(8035),
    [sym_create_schema_statement] = STATE(8035),
    [sym_alter_schema_statement] = STATE(8035),
    [sym_drop_schema_statement] = STATE(8035),
    [sym_create_table_statement] = STATE(8035),
    [sym_create_table_like_statement] = STATE(8035),
    [sym_create_table_clone_statement] = STATE(8035),
    [sym_create_table_copy_statement] = STATE(8035),
    [sym_create_snapshot_table_statement] = STATE(8035),
    [sym_create_external_table_statement] = STATE(8035),
    [sym_alter_table_statement] = STATE(8035),
    [sym_alter_table_rename_statement] = STATE(8035),
    [sym_alter_table_column_statement] = STATE(8035),
    [sym_drop_table_statement] = STATE(8035),
    [sym_create_function_statement] = STATE(8035),
    [sym_create_remote_function_statement] = STATE(8035),
    [sym_drop_function_statement] = STATE(8035),
    [sym_create_table_function_statement] = STATE(8035),
    [sym_drop_table_function_statement] = STATE(8035),
    [sym_create_procedure_statement] = STATE(8035),
    [sym_drop_procedure_statement] = STATE(8035),
    [sym_create_model_statement] = STATE(8035),
    [sym_drop_model_statement] = STATE(8035),
    [sym_query_statement] = STATE(8035),
    [sym_set_operation] = STATE(6482),
    [sym_query_expr] = STATE(7380),
    [sym_select] = STATE(6482),
    [sym_cte_clause] = STATE(13016),
    [sym_insert_statement] = STATE(8035),
    [sym_delete_statement] = STATE(8035),
    [sym_truncate_statement] = STATE(8035),
    [sym_update_statement] = STATE(8035),
    [sym_merge_statement] = STATE(8035),
    [sym_grant_statement] = STATE(8035),
    [sym_revoke_statement] = STATE(8035),
    [sym_export_data_statement] = STATE(8035),
    [sym_load_data_statement] = STATE(8035),
    [aux_sym_source_file_repeat1] = STATE(126),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(7),
    [aux_sym__keyword_alter_token1] = ACTIONS(9),
    [aux_sym__keyword_delete_token1] = ACTIONS(963),
    [aux_sym__keyword_begin_token1] = ACTIONS(13),
    [aux_sym__keyword_end_token1] = ACTIONS(1107),
    [aux_sym__keyword_repeat_token1] = ACTIONS(15),
    [aux_sym__keyword_for_token1] = ACTIONS(17),
    [aux_sym_declare_statement_token1] = ACTIONS(969),
    [aux_sym_set_statement_token1] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(973),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(975),
    [aux_sym_return_satement_token1] = ACTIONS(27),
    [aux_sym_call_statement_token1] = ACTIONS(29),
    [aux_sym_loop_statement_token1] = ACTIONS(31),
    [aux_sym_while_statement_token1] = ACTIONS(33),
    [aux_sym_break_statement_token1] = ACTIONS(35),
    [aux_sym_leave_statement_token1] = ACTIONS(37),
    [aux_sym_continue_statement_token1] = ACTIONS(39),
    [aux_sym_iterate_statement_token1] = ACTIONS(41),
    [aux_sym_raise_statement_token1] = ACTIONS(979),
    [aux_sym_assert_statement_token1] = ACTIONS(981),
    [aux_sym_create_schema_statement_token1] = ACTIONS(983),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(49),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(51),
    [aux_sym_select_token1] = ACTIONS(985),
    [aux_sym_insert_statement_token1] = ACTIONS(987),
    [aux_sym_truncate_statement_token1] = ACTIONS(57),
    [aux_sym_update_statement_token1] = ACTIONS(989),
    [aux_sym_merge_statement_token1] = ACTIONS(991),
    [aux_sym_grant_statement_token1] = ACTIONS(63),
    [aux_sym_revoke_statement_token1] = ACTIONS(65),
    [aux_sym_export_data_statement_token1] = ACTIONS(993),
    [aux_sym_load_data_statement_token1] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
  },
  [155] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_set_operation] = STATE(12414),
    [sym_query_expr] = STATE(14335),
    [sym_select] = STATE(12414),
    [sym__aliasable_expression] = STATE(15160),
    [sym_cte_clause] = STATE(12993),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5323),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(561),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_select_token1] = ACTIONS(565),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [156] = {
    [sym__keyword_between] = STATE(1505),
    [sym__keyword_is] = STATE(12107),
    [sym__keyword_in] = STATE(1172),
    [sym__keyword_not] = STATE(13054),
    [sym__keyword_and] = STATE(1201),
    [sym__keyword_or] = STATE(1206),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16116),
    [sym_quantitve_like_operator] = STATE(16114),
    [sym__unquoted_identifier] = ACTIONS(1021),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1021),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1021),
    [aux_sym_keyword_replace_token1] = ACTIONS(1021),
    [aux_sym__keyword_alter_token1] = ACTIONS(1021),
    [aux_sym__keyword_from_token1] = ACTIONS(1021),
    [aux_sym__keyword_delete_token1] = ACTIONS(1021),
    [aux_sym__keyword_begin_token1] = ACTIONS(1021),
    [aux_sym__keyword_end_token1] = ACTIONS(1021),
    [aux_sym__keyword_between_token1] = ACTIONS(1021),
    [aux_sym__keyword_when_token1] = ACTIONS(1021),
    [aux_sym__keyword_else_token1] = ACTIONS(1021),
    [aux_sym__keyword_is_token1] = ACTIONS(1021),
    [aux_sym__keyword_in_token1] = ACTIONS(1021),
    [aux_sym__keyword_and_token1] = ACTIONS(1021),
    [aux_sym__keyword_like_token1] = ACTIONS(1021),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1021),
    [aux_sym__keyword_as_token1] = ACTIONS(1021),
    [aux_sym__keyword_window_token1] = ACTIONS(1021),
    [aux_sym__keyword_date_token1] = ACTIONS(1021),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1021),
    [aux_sym__keyword_time_token1] = ACTIONS(1021),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1021),
    [aux_sym__keyword_for_token1] = ACTIONS(1021),
    [anon_sym_SEMI] = ACTIONS(1019),
    [aux_sym_declare_statement_token1] = ACTIONS(1021),
    [anon_sym_COMMA] = ACTIONS(1019),
    [aux_sym_set_statement_token1] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(1019),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1021),
    [aux_sym_return_satement_token1] = ACTIONS(1021),
    [aux_sym_call_statement_token1] = ACTIONS(1021),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1021),
    [aux_sym_if_statement_token1] = ACTIONS(1021),
    [aux_sym_loop_statement_token1] = ACTIONS(1021),
    [aux_sym_repeat_statement_token1] = ACTIONS(1021),
    [aux_sym_while_statement_token1] = ACTIONS(1021),
    [aux_sym_break_statement_token1] = ACTIONS(1021),
    [aux_sym_leave_statement_token1] = ACTIONS(1021),
    [aux_sym_continue_statement_token1] = ACTIONS(1021),
    [aux_sym_iterate_statement_token1] = ACTIONS(1021),
    [aux_sym_raise_statement_token1] = ACTIONS(1021),
    [anon_sym_EQ] = ACTIONS(1019),
    [aux_sym_assert_statement_token1] = ACTIONS(1021),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1021),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1021),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1021),
    [anon_sym_LT] = ACTIONS(1021),
    [anon_sym_GT] = ACTIONS(1021),
    [aux_sym_set_operation_token1] = ACTIONS(1021),
    [aux_sym_set_operation_token3] = ACTIONS(1021),
    [aux_sym_set_operation_token4] = ACTIONS(1021),
    [aux_sym_select_token1] = ACTIONS(1021),
    [aux_sym_having_clause_token1] = ACTIONS(1021),
    [aux_sym_qualify_clause_token1] = ACTIONS(1021),
    [aux_sym_limit_clause_token1] = ACTIONS(1021),
    [aux_sym_group_by_clause_token1] = ACTIONS(1021),
    [aux_sym_order_by_clause_token1] = ACTIONS(1021),
    [aux_sym_where_clause_token1] = ACTIONS(1021),
    [aux_sym_insert_statement_token1] = ACTIONS(1021),
    [aux_sym_truncate_statement_token1] = ACTIONS(1021),
    [aux_sym_update_statement_token1] = ACTIONS(1021),
    [aux_sym_merge_statement_token1] = ACTIONS(1021),
    [aux_sym_grant_statement_token1] = ACTIONS(1021),
    [aux_sym_revoke_statement_token1] = ACTIONS(1021),
    [aux_sym_export_data_statement_token1] = ACTIONS(1021),
    [aux_sym_load_data_statement_token1] = ACTIONS(1021),
    [anon_sym_LBRACK] = ACTIONS(1019),
    [sym__quoted_identifier] = ACTIONS(1019),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1019),
    [anon_sym_PLUS] = ACTIONS(1019),
    [anon_sym_DASH] = ACTIONS(1021),
    [anon_sym_STAR] = ACTIONS(1019),
    [anon_sym_SLASH] = ACTIONS(1021),
    [anon_sym_PIPE_PIPE] = ACTIONS(1019),
    [anon_sym_LT_EQ] = ACTIONS(1019),
    [anon_sym_LT_GT] = ACTIONS(1019),
    [anon_sym_GT_EQ] = ACTIONS(1019),
    [anon_sym_BANG_EQ] = ACTIONS(1019),
    [anon_sym_LT_LT] = ACTIONS(1019),
    [anon_sym_GT_GT] = ACTIONS(1019),
    [anon_sym_AMP] = ACTIONS(1019),
    [anon_sym_CARET] = ACTIONS(1019),
    [anon_sym_PIPE] = ACTIONS(1021),
  },
  [157] = {
    [sym__keyword_alter] = STATE(14478),
    [sym__keyword_delete] = STATE(11379),
    [sym__keyword_repeat] = STATE(200),
    [sym__keyword_for] = STATE(11539),
    [sym__statement] = STATE(9135),
    [aux_sym__statement_list] = STATE(79),
    [sym_declare_statement] = STATE(8035),
    [sym_set_statement] = STATE(8035),
    [sym_execute_immadiate_statement] = STATE(8035),
    [sym_return_satement] = STATE(8035),
    [sym_call_statement] = STATE(8035),
    [sym_begin_end_statement] = STATE(8035),
    [sym_begin_exception_end_statement] = STATE(8035),
    [sym_if_statement] = STATE(8035),
    [sym_loop_statement] = STATE(8035),
    [sym_repeat_statement] = STATE(8035),
    [sym_while_statement] = STATE(8035),
    [sym_for_in_statement] = STATE(8035),
    [sym_break_statement] = STATE(8035),
    [sym_leave_statement] = STATE(8035),
    [sym_continue_statement] = STATE(8035),
    [sym_iterate_statement] = STATE(8035),
    [sym_raise_statement] = STATE(8035),
    [sym_assert_statement] = STATE(8035),
    [sym_create_schema_statement] = STATE(8035),
    [sym_alter_schema_statement] = STATE(8035),
    [sym_drop_schema_statement] = STATE(8035),
    [sym_create_table_statement] = STATE(8035),
    [sym_create_table_like_statement] = STATE(8035),
    [sym_create_table_clone_statement] = STATE(8035),
    [sym_create_table_copy_statement] = STATE(8035),
    [sym_create_snapshot_table_statement] = STATE(8035),
    [sym_create_external_table_statement] = STATE(8035),
    [sym_alter_table_statement] = STATE(8035),
    [sym_alter_table_rename_statement] = STATE(8035),
    [sym_alter_table_column_statement] = STATE(8035),
    [sym_drop_table_statement] = STATE(8035),
    [sym_create_function_statement] = STATE(8035),
    [sym_create_remote_function_statement] = STATE(8035),
    [sym_drop_function_statement] = STATE(8035),
    [sym_create_table_function_statement] = STATE(8035),
    [sym_drop_table_function_statement] = STATE(8035),
    [sym_create_procedure_statement] = STATE(8035),
    [sym_drop_procedure_statement] = STATE(8035),
    [sym_create_model_statement] = STATE(8035),
    [sym_drop_model_statement] = STATE(8035),
    [sym_query_statement] = STATE(8035),
    [sym_set_operation] = STATE(6482),
    [sym_query_expr] = STATE(7380),
    [sym_select] = STATE(6482),
    [sym_cte_clause] = STATE(13016),
    [sym_insert_statement] = STATE(8035),
    [sym_delete_statement] = STATE(8035),
    [sym_truncate_statement] = STATE(8035),
    [sym_update_statement] = STATE(8035),
    [sym_merge_statement] = STATE(8035),
    [sym_grant_statement] = STATE(8035),
    [sym_revoke_statement] = STATE(8035),
    [sym_export_data_statement] = STATE(8035),
    [sym_load_data_statement] = STATE(8035),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(7),
    [aux_sym__keyword_alter_token1] = ACTIONS(9),
    [aux_sym__keyword_delete_token1] = ACTIONS(963),
    [aux_sym__keyword_begin_token1] = ACTIONS(13),
    [aux_sym__keyword_end_token1] = ACTIONS(1109),
    [aux_sym__keyword_repeat_token1] = ACTIONS(15),
    [aux_sym__keyword_for_token1] = ACTIONS(17),
    [aux_sym_declare_statement_token1] = ACTIONS(969),
    [aux_sym_set_statement_token1] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(973),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(975),
    [aux_sym_return_satement_token1] = ACTIONS(27),
    [aux_sym_call_statement_token1] = ACTIONS(29),
    [aux_sym_loop_statement_token1] = ACTIONS(31),
    [aux_sym_while_statement_token1] = ACTIONS(33),
    [aux_sym_break_statement_token1] = ACTIONS(35),
    [aux_sym_leave_statement_token1] = ACTIONS(37),
    [aux_sym_continue_statement_token1] = ACTIONS(39),
    [aux_sym_iterate_statement_token1] = ACTIONS(41),
    [aux_sym_raise_statement_token1] = ACTIONS(979),
    [aux_sym_assert_statement_token1] = ACTIONS(981),
    [aux_sym_create_schema_statement_token1] = ACTIONS(983),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(49),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(51),
    [aux_sym_select_token1] = ACTIONS(985),
    [aux_sym_insert_statement_token1] = ACTIONS(987),
    [aux_sym_truncate_statement_token1] = ACTIONS(57),
    [aux_sym_update_statement_token1] = ACTIONS(989),
    [aux_sym_merge_statement_token1] = ACTIONS(991),
    [aux_sym_grant_statement_token1] = ACTIONS(63),
    [aux_sym_revoke_statement_token1] = ACTIONS(65),
    [aux_sym_export_data_statement_token1] = ACTIONS(993),
    [aux_sym_load_data_statement_token1] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
  },
  [158] = {
    [sym__keyword_alter] = STATE(14478),
    [sym__keyword_delete] = STATE(11379),
    [sym__keyword_repeat] = STATE(200),
    [sym__keyword_for] = STATE(11539),
    [sym__statement] = STATE(9135),
    [aux_sym__statement_list] = STATE(79),
    [sym_declare_statement] = STATE(8035),
    [sym_set_statement] = STATE(8035),
    [sym_execute_immadiate_statement] = STATE(8035),
    [sym_return_satement] = STATE(8035),
    [sym_call_statement] = STATE(8035),
    [sym_begin_end_statement] = STATE(8035),
    [sym_begin_exception_end_statement] = STATE(8035),
    [sym_if_statement] = STATE(8035),
    [sym_loop_statement] = STATE(8035),
    [sym_repeat_statement] = STATE(8035),
    [sym_while_statement] = STATE(8035),
    [sym_for_in_statement] = STATE(8035),
    [sym_break_statement] = STATE(8035),
    [sym_leave_statement] = STATE(8035),
    [sym_continue_statement] = STATE(8035),
    [sym_iterate_statement] = STATE(8035),
    [sym_raise_statement] = STATE(8035),
    [sym_assert_statement] = STATE(8035),
    [sym_create_schema_statement] = STATE(8035),
    [sym_alter_schema_statement] = STATE(8035),
    [sym_drop_schema_statement] = STATE(8035),
    [sym_create_table_statement] = STATE(8035),
    [sym_create_table_like_statement] = STATE(8035),
    [sym_create_table_clone_statement] = STATE(8035),
    [sym_create_table_copy_statement] = STATE(8035),
    [sym_create_snapshot_table_statement] = STATE(8035),
    [sym_create_external_table_statement] = STATE(8035),
    [sym_alter_table_statement] = STATE(8035),
    [sym_alter_table_rename_statement] = STATE(8035),
    [sym_alter_table_column_statement] = STATE(8035),
    [sym_drop_table_statement] = STATE(8035),
    [sym_create_function_statement] = STATE(8035),
    [sym_create_remote_function_statement] = STATE(8035),
    [sym_drop_function_statement] = STATE(8035),
    [sym_create_table_function_statement] = STATE(8035),
    [sym_drop_table_function_statement] = STATE(8035),
    [sym_create_procedure_statement] = STATE(8035),
    [sym_drop_procedure_statement] = STATE(8035),
    [sym_create_model_statement] = STATE(8035),
    [sym_drop_model_statement] = STATE(8035),
    [sym_query_statement] = STATE(8035),
    [sym_set_operation] = STATE(6482),
    [sym_query_expr] = STATE(7380),
    [sym_select] = STATE(6482),
    [sym_cte_clause] = STATE(13016),
    [sym_insert_statement] = STATE(8035),
    [sym_delete_statement] = STATE(8035),
    [sym_truncate_statement] = STATE(8035),
    [sym_update_statement] = STATE(8035),
    [sym_merge_statement] = STATE(8035),
    [sym_grant_statement] = STATE(8035),
    [sym_revoke_statement] = STATE(8035),
    [sym_export_data_statement] = STATE(8035),
    [sym_load_data_statement] = STATE(8035),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(7),
    [aux_sym__keyword_alter_token1] = ACTIONS(9),
    [aux_sym__keyword_delete_token1] = ACTIONS(963),
    [aux_sym__keyword_begin_token1] = ACTIONS(13),
    [aux_sym__keyword_end_token1] = ACTIONS(1111),
    [aux_sym__keyword_repeat_token1] = ACTIONS(15),
    [aux_sym__keyword_for_token1] = ACTIONS(17),
    [aux_sym_declare_statement_token1] = ACTIONS(969),
    [aux_sym_set_statement_token1] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(973),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(975),
    [aux_sym_return_satement_token1] = ACTIONS(27),
    [aux_sym_call_statement_token1] = ACTIONS(29),
    [aux_sym_loop_statement_token1] = ACTIONS(31),
    [aux_sym_while_statement_token1] = ACTIONS(33),
    [aux_sym_break_statement_token1] = ACTIONS(35),
    [aux_sym_leave_statement_token1] = ACTIONS(37),
    [aux_sym_continue_statement_token1] = ACTIONS(39),
    [aux_sym_iterate_statement_token1] = ACTIONS(41),
    [aux_sym_raise_statement_token1] = ACTIONS(979),
    [aux_sym_assert_statement_token1] = ACTIONS(981),
    [aux_sym_create_schema_statement_token1] = ACTIONS(983),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(49),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(51),
    [aux_sym_select_token1] = ACTIONS(985),
    [aux_sym_insert_statement_token1] = ACTIONS(987),
    [aux_sym_truncate_statement_token1] = ACTIONS(57),
    [aux_sym_update_statement_token1] = ACTIONS(989),
    [aux_sym_merge_statement_token1] = ACTIONS(991),
    [aux_sym_grant_statement_token1] = ACTIONS(63),
    [aux_sym_revoke_statement_token1] = ACTIONS(65),
    [aux_sym_export_data_statement_token1] = ACTIONS(993),
    [aux_sym_load_data_statement_token1] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
  },
  [159] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_set_operation] = STATE(12414),
    [sym_query_expr] = STATE(14272),
    [sym_select] = STATE(12414),
    [sym__aliasable_expression] = STATE(15293),
    [sym_cte_clause] = STATE(12993),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5360),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(561),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_select_token1] = ACTIONS(565),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [160] = {
    [sym__keyword_alter] = STATE(15146),
    [sym__keyword_delete] = STATE(11411),
    [sym__keyword_repeat] = STATE(200),
    [sym__keyword_for] = STATE(11539),
    [sym__statement] = STATE(160),
    [sym_declare_statement] = STATE(8035),
    [sym_set_statement] = STATE(8035),
    [sym_execute_immadiate_statement] = STATE(8035),
    [sym_return_satement] = STATE(8035),
    [sym_call_statement] = STATE(8035),
    [sym_begin_end_statement] = STATE(8035),
    [sym_begin_exception_end_statement] = STATE(8035),
    [sym_if_statement] = STATE(8035),
    [sym_loop_statement] = STATE(8035),
    [sym_repeat_statement] = STATE(8035),
    [sym_while_statement] = STATE(8035),
    [sym_for_in_statement] = STATE(8035),
    [sym_break_statement] = STATE(8035),
    [sym_leave_statement] = STATE(8035),
    [sym_continue_statement] = STATE(8035),
    [sym_iterate_statement] = STATE(8035),
    [sym_raise_statement] = STATE(8035),
    [sym_assert_statement] = STATE(8035),
    [sym_create_schema_statement] = STATE(8035),
    [sym_alter_schema_statement] = STATE(8035),
    [sym_drop_schema_statement] = STATE(8035),
    [sym_create_table_statement] = STATE(8035),
    [sym_create_table_like_statement] = STATE(8035),
    [sym_create_table_clone_statement] = STATE(8035),
    [sym_create_table_copy_statement] = STATE(8035),
    [sym_create_snapshot_table_statement] = STATE(8035),
    [sym_create_external_table_statement] = STATE(8035),
    [sym_alter_table_statement] = STATE(8035),
    [sym_alter_table_rename_statement] = STATE(8035),
    [sym_alter_table_column_statement] = STATE(8035),
    [sym_drop_table_statement] = STATE(8035),
    [sym_create_function_statement] = STATE(8035),
    [sym_create_remote_function_statement] = STATE(8035),
    [sym_drop_function_statement] = STATE(8035),
    [sym_create_table_function_statement] = STATE(8035),
    [sym_drop_table_function_statement] = STATE(8035),
    [sym_create_procedure_statement] = STATE(8035),
    [sym_drop_procedure_statement] = STATE(8035),
    [sym_create_model_statement] = STATE(8035),
    [sym_drop_model_statement] = STATE(8035),
    [sym_query_statement] = STATE(8035),
    [sym_set_operation] = STATE(7271),
    [sym_query_expr] = STATE(8361),
    [sym_select] = STATE(7271),
    [sym_cte_clause] = STATE(12900),
    [sym_insert_statement] = STATE(8035),
    [sym_delete_statement] = STATE(8035),
    [sym_truncate_statement] = STATE(8035),
    [sym_update_statement] = STATE(8035),
    [sym_merge_statement] = STATE(8035),
    [sym_grant_statement] = STATE(8035),
    [sym_revoke_statement] = STATE(8035),
    [sym_export_data_statement] = STATE(8035),
    [sym_load_data_statement] = STATE(8035),
    [aux_sym_source_file_repeat1] = STATE(160),
    [ts_builtin_sym_end] = ACTIONS(1113),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1115),
    [aux_sym__keyword_alter_token1] = ACTIONS(1118),
    [aux_sym__keyword_delete_token1] = ACTIONS(1121),
    [aux_sym__keyword_begin_token1] = ACTIONS(1124),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1127),
    [aux_sym__keyword_for_token1] = ACTIONS(1130),
    [aux_sym_declare_statement_token1] = ACTIONS(1133),
    [aux_sym_set_statement_token1] = ACTIONS(1136),
    [anon_sym_LPAREN] = ACTIONS(1139),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1142),
    [aux_sym_return_satement_token1] = ACTIONS(1145),
    [aux_sym_call_statement_token1] = ACTIONS(1148),
    [aux_sym_loop_statement_token1] = ACTIONS(1151),
    [aux_sym_while_statement_token1] = ACTIONS(1154),
    [aux_sym_break_statement_token1] = ACTIONS(1157),
    [aux_sym_leave_statement_token1] = ACTIONS(1160),
    [aux_sym_continue_statement_token1] = ACTIONS(1163),
    [aux_sym_iterate_statement_token1] = ACTIONS(1166),
    [aux_sym_raise_statement_token1] = ACTIONS(1169),
    [aux_sym_assert_statement_token1] = ACTIONS(1172),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1175),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1178),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1181),
    [aux_sym_select_token1] = ACTIONS(1184),
    [aux_sym_insert_statement_token1] = ACTIONS(1187),
    [aux_sym_truncate_statement_token1] = ACTIONS(1190),
    [aux_sym_update_statement_token1] = ACTIONS(1193),
    [aux_sym_merge_statement_token1] = ACTIONS(1196),
    [aux_sym_grant_statement_token1] = ACTIONS(1199),
    [aux_sym_revoke_statement_token1] = ACTIONS(1202),
    [aux_sym_export_data_statement_token1] = ACTIONS(1205),
    [aux_sym_load_data_statement_token1] = ACTIONS(1208),
    [sym_comment] = ACTIONS(3),
  },
  [161] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_set_operation] = STATE(12414),
    [sym_query_expr] = STATE(14218),
    [sym_select] = STATE(12414),
    [sym__aliasable_expression] = STATE(14576),
    [sym_cte_clause] = STATE(12993),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5330),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(561),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_select_token1] = ACTIONS(565),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [162] = {
    [sym__keyword_alter] = STATE(14478),
    [sym__keyword_delete] = STATE(11379),
    [sym__keyword_repeat] = STATE(200),
    [sym__keyword_for] = STATE(11539),
    [sym__statement] = STATE(9135),
    [aux_sym__statement_list] = STATE(79),
    [sym_declare_statement] = STATE(8035),
    [sym_set_statement] = STATE(8035),
    [sym_execute_immadiate_statement] = STATE(8035),
    [sym_return_satement] = STATE(8035),
    [sym_call_statement] = STATE(8035),
    [sym_begin_end_statement] = STATE(8035),
    [sym_begin_exception_end_statement] = STATE(8035),
    [sym_if_statement] = STATE(8035),
    [sym_loop_statement] = STATE(8035),
    [sym_repeat_statement] = STATE(8035),
    [sym_while_statement] = STATE(8035),
    [sym_for_in_statement] = STATE(8035),
    [sym_break_statement] = STATE(8035),
    [sym_leave_statement] = STATE(8035),
    [sym_continue_statement] = STATE(8035),
    [sym_iterate_statement] = STATE(8035),
    [sym_raise_statement] = STATE(8035),
    [sym_assert_statement] = STATE(8035),
    [sym_create_schema_statement] = STATE(8035),
    [sym_alter_schema_statement] = STATE(8035),
    [sym_drop_schema_statement] = STATE(8035),
    [sym_create_table_statement] = STATE(8035),
    [sym_create_table_like_statement] = STATE(8035),
    [sym_create_table_clone_statement] = STATE(8035),
    [sym_create_table_copy_statement] = STATE(8035),
    [sym_create_snapshot_table_statement] = STATE(8035),
    [sym_create_external_table_statement] = STATE(8035),
    [sym_alter_table_statement] = STATE(8035),
    [sym_alter_table_rename_statement] = STATE(8035),
    [sym_alter_table_column_statement] = STATE(8035),
    [sym_drop_table_statement] = STATE(8035),
    [sym_create_function_statement] = STATE(8035),
    [sym_create_remote_function_statement] = STATE(8035),
    [sym_drop_function_statement] = STATE(8035),
    [sym_create_table_function_statement] = STATE(8035),
    [sym_drop_table_function_statement] = STATE(8035),
    [sym_create_procedure_statement] = STATE(8035),
    [sym_drop_procedure_statement] = STATE(8035),
    [sym_create_model_statement] = STATE(8035),
    [sym_drop_model_statement] = STATE(8035),
    [sym_query_statement] = STATE(8035),
    [sym_set_operation] = STATE(6482),
    [sym_query_expr] = STATE(7380),
    [sym_select] = STATE(6482),
    [sym_cte_clause] = STATE(13016),
    [sym_insert_statement] = STATE(8035),
    [sym_delete_statement] = STATE(8035),
    [sym_truncate_statement] = STATE(8035),
    [sym_update_statement] = STATE(8035),
    [sym_merge_statement] = STATE(8035),
    [sym_grant_statement] = STATE(8035),
    [sym_revoke_statement] = STATE(8035),
    [sym_export_data_statement] = STATE(8035),
    [sym_load_data_statement] = STATE(8035),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(7),
    [aux_sym__keyword_alter_token1] = ACTIONS(9),
    [aux_sym__keyword_delete_token1] = ACTIONS(963),
    [aux_sym__keyword_begin_token1] = ACTIONS(13),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(15),
    [aux_sym__keyword_for_token1] = ACTIONS(17),
    [aux_sym_declare_statement_token1] = ACTIONS(969),
    [aux_sym_set_statement_token1] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(973),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(975),
    [aux_sym_return_satement_token1] = ACTIONS(27),
    [aux_sym_call_statement_token1] = ACTIONS(29),
    [aux_sym_loop_statement_token1] = ACTIONS(31),
    [aux_sym_while_statement_token1] = ACTIONS(33),
    [aux_sym_break_statement_token1] = ACTIONS(35),
    [aux_sym_leave_statement_token1] = ACTIONS(37),
    [aux_sym_continue_statement_token1] = ACTIONS(39),
    [aux_sym_iterate_statement_token1] = ACTIONS(41),
    [aux_sym_raise_statement_token1] = ACTIONS(979),
    [aux_sym_assert_statement_token1] = ACTIONS(981),
    [aux_sym_create_schema_statement_token1] = ACTIONS(983),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(49),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(51),
    [aux_sym_select_token1] = ACTIONS(985),
    [aux_sym_insert_statement_token1] = ACTIONS(987),
    [aux_sym_truncate_statement_token1] = ACTIONS(57),
    [aux_sym_update_statement_token1] = ACTIONS(989),
    [aux_sym_merge_statement_token1] = ACTIONS(991),
    [aux_sym_grant_statement_token1] = ACTIONS(63),
    [aux_sym_revoke_statement_token1] = ACTIONS(65),
    [aux_sym_export_data_statement_token1] = ACTIONS(993),
    [aux_sym_load_data_statement_token1] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
  },
  [163] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_set_operation] = STATE(12414),
    [sym_query_expr] = STATE(14299),
    [sym_select] = STATE(12414),
    [sym__aliasable_expression] = STATE(15441),
    [sym_cte_clause] = STATE(12993),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5363),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(561),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_select_token1] = ACTIONS(565),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [164] = {
    [sym__keyword_alter] = STATE(14478),
    [sym__keyword_delete] = STATE(11379),
    [sym__keyword_repeat] = STATE(200),
    [sym__keyword_for] = STATE(11539),
    [sym__statement] = STATE(9135),
    [aux_sym__statement_list] = STATE(79),
    [sym_declare_statement] = STATE(8035),
    [sym_set_statement] = STATE(8035),
    [sym_execute_immadiate_statement] = STATE(8035),
    [sym_return_satement] = STATE(8035),
    [sym_call_statement] = STATE(8035),
    [sym_begin_end_statement] = STATE(8035),
    [sym_begin_exception_end_statement] = STATE(8035),
    [sym_if_statement] = STATE(8035),
    [sym_loop_statement] = STATE(8035),
    [sym_repeat_statement] = STATE(8035),
    [sym_while_statement] = STATE(8035),
    [sym_for_in_statement] = STATE(8035),
    [sym_break_statement] = STATE(8035),
    [sym_leave_statement] = STATE(8035),
    [sym_continue_statement] = STATE(8035),
    [sym_iterate_statement] = STATE(8035),
    [sym_raise_statement] = STATE(8035),
    [sym_assert_statement] = STATE(8035),
    [sym_create_schema_statement] = STATE(8035),
    [sym_alter_schema_statement] = STATE(8035),
    [sym_drop_schema_statement] = STATE(8035),
    [sym_create_table_statement] = STATE(8035),
    [sym_create_table_like_statement] = STATE(8035),
    [sym_create_table_clone_statement] = STATE(8035),
    [sym_create_table_copy_statement] = STATE(8035),
    [sym_create_snapshot_table_statement] = STATE(8035),
    [sym_create_external_table_statement] = STATE(8035),
    [sym_alter_table_statement] = STATE(8035),
    [sym_alter_table_rename_statement] = STATE(8035),
    [sym_alter_table_column_statement] = STATE(8035),
    [sym_drop_table_statement] = STATE(8035),
    [sym_create_function_statement] = STATE(8035),
    [sym_create_remote_function_statement] = STATE(8035),
    [sym_drop_function_statement] = STATE(8035),
    [sym_create_table_function_statement] = STATE(8035),
    [sym_drop_table_function_statement] = STATE(8035),
    [sym_create_procedure_statement] = STATE(8035),
    [sym_drop_procedure_statement] = STATE(8035),
    [sym_create_model_statement] = STATE(8035),
    [sym_drop_model_statement] = STATE(8035),
    [sym_query_statement] = STATE(8035),
    [sym_set_operation] = STATE(6482),
    [sym_query_expr] = STATE(7380),
    [sym_select] = STATE(6482),
    [sym_cte_clause] = STATE(13016),
    [sym_insert_statement] = STATE(8035),
    [sym_delete_statement] = STATE(8035),
    [sym_truncate_statement] = STATE(8035),
    [sym_update_statement] = STATE(8035),
    [sym_merge_statement] = STATE(8035),
    [sym_grant_statement] = STATE(8035),
    [sym_revoke_statement] = STATE(8035),
    [sym_export_data_statement] = STATE(8035),
    [sym_load_data_statement] = STATE(8035),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(7),
    [aux_sym__keyword_alter_token1] = ACTIONS(9),
    [aux_sym__keyword_delete_token1] = ACTIONS(963),
    [aux_sym__keyword_begin_token1] = ACTIONS(13),
    [aux_sym__keyword_end_token1] = ACTIONS(1213),
    [aux_sym__keyword_repeat_token1] = ACTIONS(15),
    [aux_sym__keyword_for_token1] = ACTIONS(17),
    [aux_sym_declare_statement_token1] = ACTIONS(969),
    [aux_sym_set_statement_token1] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(973),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(975),
    [aux_sym_return_satement_token1] = ACTIONS(27),
    [aux_sym_call_statement_token1] = ACTIONS(29),
    [aux_sym_loop_statement_token1] = ACTIONS(31),
    [aux_sym_while_statement_token1] = ACTIONS(33),
    [aux_sym_break_statement_token1] = ACTIONS(35),
    [aux_sym_leave_statement_token1] = ACTIONS(37),
    [aux_sym_continue_statement_token1] = ACTIONS(39),
    [aux_sym_iterate_statement_token1] = ACTIONS(41),
    [aux_sym_raise_statement_token1] = ACTIONS(979),
    [aux_sym_assert_statement_token1] = ACTIONS(981),
    [aux_sym_create_schema_statement_token1] = ACTIONS(983),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(49),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(51),
    [aux_sym_select_token1] = ACTIONS(985),
    [aux_sym_insert_statement_token1] = ACTIONS(987),
    [aux_sym_truncate_statement_token1] = ACTIONS(57),
    [aux_sym_update_statement_token1] = ACTIONS(989),
    [aux_sym_merge_statement_token1] = ACTIONS(991),
    [aux_sym_grant_statement_token1] = ACTIONS(63),
    [aux_sym_revoke_statement_token1] = ACTIONS(65),
    [aux_sym_export_data_statement_token1] = ACTIONS(993),
    [aux_sym_load_data_statement_token1] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
  },
  [165] = {
    [sym__keyword_as] = STATE(11563),
    [sym__keyword_date] = STATE(2335),
    [sym__keyword_datetime] = STATE(2335),
    [sym__keyword_time] = STATE(2335),
    [sym__keyword_timestamp] = STATE(2335),
    [sym_as_alias] = STATE(2935),
    [sym_unnest_withoffset] = STATE(2652),
    [sym__type_chrono] = STATE(2336),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2317),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(205),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(205),
    [aux_sym_keyword_replace_token1] = ACTIONS(205),
    [aux_sym__keyword_alter_token1] = ACTIONS(205),
    [aux_sym__keyword_delete_token1] = ACTIONS(205),
    [aux_sym__keyword_begin_token1] = ACTIONS(205),
    [aux_sym__keyword_end_token1] = ACTIONS(205),
    [aux_sym__keyword_between_token1] = ACTIONS(205),
    [aux_sym__keyword_when_token1] = ACTIONS(205),
    [aux_sym__keyword_else_token1] = ACTIONS(205),
    [aux_sym__keyword_is_token1] = ACTIONS(205),
    [aux_sym__keyword_in_token1] = ACTIONS(205),
    [aux_sym__keyword_and_token1] = ACTIONS(205),
    [aux_sym__keyword_like_token1] = ACTIONS(205),
    [aux_sym__keyword_repeat_token1] = ACTIONS(205),
    [aux_sym__keyword_as_token1] = ACTIONS(1217),
    [aux_sym__keyword_window_token1] = ACTIONS(205),
    [aux_sym__keyword_date_token1] = ACTIONS(355),
    [aux_sym__keyword_datetime_token1] = ACTIONS(355),
    [aux_sym__keyword_time_token1] = ACTIONS(355),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(355),
    [aux_sym__keyword_for_token1] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(211),
    [aux_sym_declare_statement_token1] = ACTIONS(205),
    [aux_sym_set_statement_token1] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(211),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(205),
    [aux_sym_return_satement_token1] = ACTIONS(205),
    [aux_sym_call_statement_token1] = ACTIONS(205),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(205),
    [aux_sym_if_statement_token1] = ACTIONS(205),
    [aux_sym_loop_statement_token1] = ACTIONS(205),
    [aux_sym_repeat_statement_token1] = ACTIONS(205),
    [aux_sym_while_statement_token1] = ACTIONS(205),
    [aux_sym_break_statement_token1] = ACTIONS(205),
    [aux_sym_leave_statement_token1] = ACTIONS(205),
    [aux_sym_continue_statement_token1] = ACTIONS(205),
    [aux_sym_iterate_statement_token1] = ACTIONS(205),
    [aux_sym_raise_statement_token1] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(211),
    [aux_sym_assert_statement_token1] = ACTIONS(205),
    [aux_sym_create_schema_statement_token1] = ACTIONS(205),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(205),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1219),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [aux_sym_set_operation_token1] = ACTIONS(205),
    [aux_sym_set_operation_token3] = ACTIONS(205),
    [aux_sym_set_operation_token4] = ACTIONS(205),
    [aux_sym_select_token1] = ACTIONS(205),
    [aux_sym_having_clause_token1] = ACTIONS(205),
    [aux_sym_qualify_clause_token1] = ACTIONS(205),
    [aux_sym_limit_clause_token1] = ACTIONS(205),
    [aux_sym_group_by_clause_token1] = ACTIONS(205),
    [aux_sym_order_by_clause_token1] = ACTIONS(205),
    [aux_sym_insert_statement_token1] = ACTIONS(205),
    [aux_sym_truncate_statement_token1] = ACTIONS(205),
    [aux_sym_update_statement_token1] = ACTIONS(205),
    [aux_sym_merge_statement_token1] = ACTIONS(205),
    [aux_sym_grant_statement_token1] = ACTIONS(205),
    [aux_sym_revoke_statement_token1] = ACTIONS(205),
    [aux_sym_export_data_statement_token1] = ACTIONS(205),
    [aux_sym_load_data_statement_token1] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(211),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(211),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(211),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(211),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_LT_GT] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(211),
    [anon_sym_GT_GT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_CARET] = ACTIONS(211),
    [anon_sym_PIPE] = ACTIONS(205),
  },
  [166] = {
    [sym__keyword_between] = STATE(1505),
    [sym__keyword_is] = STATE(12107),
    [sym__keyword_in] = STATE(1172),
    [sym__keyword_not] = STATE(13054),
    [sym__keyword_and] = STATE(1201),
    [sym__keyword_or] = STATE(1206),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16116),
    [sym_quantitve_like_operator] = STATE(16114),
    [sym__unquoted_identifier] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(921),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(921),
    [aux_sym__keyword_from_token1] = ACTIONS(921),
    [aux_sym__keyword_delete_token1] = ACTIONS(921),
    [aux_sym__keyword_begin_token1] = ACTIONS(921),
    [aux_sym__keyword_end_token1] = ACTIONS(921),
    [aux_sym__keyword_between_token1] = ACTIONS(921),
    [aux_sym__keyword_when_token1] = ACTIONS(921),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(921),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(921),
    [aux_sym__keyword_like_token1] = ACTIONS(921),
    [aux_sym__keyword_repeat_token1] = ACTIONS(921),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_window_token1] = ACTIONS(921),
    [aux_sym__keyword_date_token1] = ACTIONS(921),
    [aux_sym__keyword_datetime_token1] = ACTIONS(921),
    [aux_sym__keyword_time_token1] = ACTIONS(921),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(921),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(921),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(921),
    [aux_sym_return_satement_token1] = ACTIONS(921),
    [aux_sym_call_statement_token1] = ACTIONS(921),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(921),
    [aux_sym_if_statement_token1] = ACTIONS(921),
    [aux_sym_loop_statement_token1] = ACTIONS(921),
    [aux_sym_repeat_statement_token1] = ACTIONS(921),
    [aux_sym_while_statement_token1] = ACTIONS(921),
    [aux_sym_break_statement_token1] = ACTIONS(921),
    [aux_sym_leave_statement_token1] = ACTIONS(921),
    [aux_sym_continue_statement_token1] = ACTIONS(921),
    [aux_sym_iterate_statement_token1] = ACTIONS(921),
    [aux_sym_raise_statement_token1] = ACTIONS(921),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(921),
    [aux_sym_create_schema_statement_token1] = ACTIONS(921),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(921),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(921),
    [aux_sym_set_operation_token3] = ACTIONS(921),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(921),
    [aux_sym_having_clause_token1] = ACTIONS(921),
    [aux_sym_qualify_clause_token1] = ACTIONS(921),
    [aux_sym_limit_clause_token1] = ACTIONS(921),
    [aux_sym_group_by_clause_token1] = ACTIONS(921),
    [aux_sym_order_by_clause_token1] = ACTIONS(921),
    [aux_sym_where_clause_token1] = ACTIONS(921),
    [aux_sym_insert_statement_token1] = ACTIONS(921),
    [aux_sym_truncate_statement_token1] = ACTIONS(921),
    [aux_sym_update_statement_token1] = ACTIONS(921),
    [aux_sym_merge_statement_token1] = ACTIONS(921),
    [aux_sym_grant_statement_token1] = ACTIONS(921),
    [aux_sym_revoke_statement_token1] = ACTIONS(921),
    [aux_sym_export_data_statement_token1] = ACTIONS(921),
    [aux_sym_load_data_statement_token1] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym__quoted_identifier] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(367),
    [anon_sym_DASH] = ACTIONS(369),
    [anon_sym_STAR] = ACTIONS(371),
    [anon_sym_SLASH] = ACTIONS(373),
    [anon_sym_PIPE_PIPE] = ACTIONS(371),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(375),
    [anon_sym_GT_GT] = ACTIONS(375),
    [anon_sym_AMP] = ACTIONS(377),
    [anon_sym_CARET] = ACTIONS(379),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [167] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_set_operation] = STATE(12414),
    [sym_query_expr] = STATE(14242),
    [sym_select] = STATE(12414),
    [sym__aliasable_expression] = STATE(15441),
    [sym_cte_clause] = STATE(12993),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5363),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(561),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_select_token1] = ACTIONS(565),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [168] = {
    [sym__keyword_alter] = STATE(14478),
    [sym__keyword_delete] = STATE(11379),
    [sym__keyword_repeat] = STATE(200),
    [sym__keyword_for] = STATE(11539),
    [sym__statement] = STATE(168),
    [sym_declare_statement] = STATE(8035),
    [sym_set_statement] = STATE(8035),
    [sym_execute_immadiate_statement] = STATE(8035),
    [sym_return_satement] = STATE(8035),
    [sym_call_statement] = STATE(8035),
    [sym_begin_end_statement] = STATE(8035),
    [sym_begin_exception_end_statement] = STATE(8035),
    [sym_if_statement] = STATE(8035),
    [sym_loop_statement] = STATE(8035),
    [sym_repeat_statement] = STATE(8035),
    [sym_while_statement] = STATE(8035),
    [sym_for_in_statement] = STATE(8035),
    [sym_break_statement] = STATE(8035),
    [sym_leave_statement] = STATE(8035),
    [sym_continue_statement] = STATE(8035),
    [sym_iterate_statement] = STATE(8035),
    [sym_raise_statement] = STATE(8035),
    [sym_assert_statement] = STATE(8035),
    [sym_create_schema_statement] = STATE(8035),
    [sym_alter_schema_statement] = STATE(8035),
    [sym_drop_schema_statement] = STATE(8035),
    [sym_create_table_statement] = STATE(8035),
    [sym_create_table_like_statement] = STATE(8035),
    [sym_create_table_clone_statement] = STATE(8035),
    [sym_create_table_copy_statement] = STATE(8035),
    [sym_create_snapshot_table_statement] = STATE(8035),
    [sym_create_external_table_statement] = STATE(8035),
    [sym_alter_table_statement] = STATE(8035),
    [sym_alter_table_rename_statement] = STATE(8035),
    [sym_alter_table_column_statement] = STATE(8035),
    [sym_drop_table_statement] = STATE(8035),
    [sym_create_function_statement] = STATE(8035),
    [sym_create_remote_function_statement] = STATE(8035),
    [sym_drop_function_statement] = STATE(8035),
    [sym_create_table_function_statement] = STATE(8035),
    [sym_drop_table_function_statement] = STATE(8035),
    [sym_create_procedure_statement] = STATE(8035),
    [sym_drop_procedure_statement] = STATE(8035),
    [sym_create_model_statement] = STATE(8035),
    [sym_drop_model_statement] = STATE(8035),
    [sym_query_statement] = STATE(8035),
    [sym_set_operation] = STATE(6482),
    [sym_query_expr] = STATE(7380),
    [sym_select] = STATE(6482),
    [sym_cte_clause] = STATE(13016),
    [sym_insert_statement] = STATE(8035),
    [sym_delete_statement] = STATE(8035),
    [sym_truncate_statement] = STATE(8035),
    [sym_update_statement] = STATE(8035),
    [sym_merge_statement] = STATE(8035),
    [sym_grant_statement] = STATE(8035),
    [sym_revoke_statement] = STATE(8035),
    [sym_export_data_statement] = STATE(8035),
    [sym_load_data_statement] = STATE(8035),
    [aux_sym_source_file_repeat1] = STATE(168),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1115),
    [aux_sym__keyword_alter_token1] = ACTIONS(1118),
    [aux_sym__keyword_delete_token1] = ACTIONS(1223),
    [aux_sym__keyword_begin_token1] = ACTIONS(1124),
    [aux_sym__keyword_end_token1] = ACTIONS(1113),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1127),
    [aux_sym__keyword_for_token1] = ACTIONS(1130),
    [aux_sym_declare_statement_token1] = ACTIONS(1226),
    [aux_sym_set_statement_token1] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1232),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1235),
    [aux_sym_return_satement_token1] = ACTIONS(1145),
    [aux_sym_call_statement_token1] = ACTIONS(1148),
    [aux_sym_loop_statement_token1] = ACTIONS(1151),
    [aux_sym_while_statement_token1] = ACTIONS(1154),
    [aux_sym_break_statement_token1] = ACTIONS(1157),
    [aux_sym_leave_statement_token1] = ACTIONS(1160),
    [aux_sym_continue_statement_token1] = ACTIONS(1163),
    [aux_sym_iterate_statement_token1] = ACTIONS(1166),
    [aux_sym_raise_statement_token1] = ACTIONS(1238),
    [aux_sym_assert_statement_token1] = ACTIONS(1241),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1244),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1178),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1181),
    [aux_sym_select_token1] = ACTIONS(1247),
    [aux_sym_insert_statement_token1] = ACTIONS(1250),
    [aux_sym_truncate_statement_token1] = ACTIONS(1190),
    [aux_sym_update_statement_token1] = ACTIONS(1253),
    [aux_sym_merge_statement_token1] = ACTIONS(1256),
    [aux_sym_grant_statement_token1] = ACTIONS(1199),
    [aux_sym_revoke_statement_token1] = ACTIONS(1202),
    [aux_sym_export_data_statement_token1] = ACTIONS(1259),
    [aux_sym_load_data_statement_token1] = ACTIONS(1208),
    [sym_comment] = ACTIONS(3),
  },
  [169] = {
    [sym__keyword_alter] = STATE(14478),
    [sym__keyword_delete] = STATE(11379),
    [sym__keyword_repeat] = STATE(200),
    [sym__keyword_for] = STATE(11539),
    [sym__statement] = STATE(9135),
    [aux_sym__statement_list] = STATE(79),
    [sym_declare_statement] = STATE(8035),
    [sym_set_statement] = STATE(8035),
    [sym_execute_immadiate_statement] = STATE(8035),
    [sym_return_satement] = STATE(8035),
    [sym_call_statement] = STATE(8035),
    [sym_begin_end_statement] = STATE(8035),
    [sym_begin_exception_end_statement] = STATE(8035),
    [sym_if_statement] = STATE(8035),
    [sym_loop_statement] = STATE(8035),
    [sym_repeat_statement] = STATE(8035),
    [sym_while_statement] = STATE(8035),
    [sym_for_in_statement] = STATE(8035),
    [sym_break_statement] = STATE(8035),
    [sym_leave_statement] = STATE(8035),
    [sym_continue_statement] = STATE(8035),
    [sym_iterate_statement] = STATE(8035),
    [sym_raise_statement] = STATE(8035),
    [sym_assert_statement] = STATE(8035),
    [sym_create_schema_statement] = STATE(8035),
    [sym_alter_schema_statement] = STATE(8035),
    [sym_drop_schema_statement] = STATE(8035),
    [sym_create_table_statement] = STATE(8035),
    [sym_create_table_like_statement] = STATE(8035),
    [sym_create_table_clone_statement] = STATE(8035),
    [sym_create_table_copy_statement] = STATE(8035),
    [sym_create_snapshot_table_statement] = STATE(8035),
    [sym_create_external_table_statement] = STATE(8035),
    [sym_alter_table_statement] = STATE(8035),
    [sym_alter_table_rename_statement] = STATE(8035),
    [sym_alter_table_column_statement] = STATE(8035),
    [sym_drop_table_statement] = STATE(8035),
    [sym_create_function_statement] = STATE(8035),
    [sym_create_remote_function_statement] = STATE(8035),
    [sym_drop_function_statement] = STATE(8035),
    [sym_create_table_function_statement] = STATE(8035),
    [sym_drop_table_function_statement] = STATE(8035),
    [sym_create_procedure_statement] = STATE(8035),
    [sym_drop_procedure_statement] = STATE(8035),
    [sym_create_model_statement] = STATE(8035),
    [sym_drop_model_statement] = STATE(8035),
    [sym_query_statement] = STATE(8035),
    [sym_set_operation] = STATE(6482),
    [sym_query_expr] = STATE(7380),
    [sym_select] = STATE(6482),
    [sym_cte_clause] = STATE(13016),
    [sym_insert_statement] = STATE(8035),
    [sym_delete_statement] = STATE(8035),
    [sym_truncate_statement] = STATE(8035),
    [sym_update_statement] = STATE(8035),
    [sym_merge_statement] = STATE(8035),
    [sym_grant_statement] = STATE(8035),
    [sym_revoke_statement] = STATE(8035),
    [sym_export_data_statement] = STATE(8035),
    [sym_load_data_statement] = STATE(8035),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(7),
    [aux_sym__keyword_alter_token1] = ACTIONS(9),
    [aux_sym__keyword_delete_token1] = ACTIONS(963),
    [aux_sym__keyword_begin_token1] = ACTIONS(13),
    [aux_sym__keyword_end_token1] = ACTIONS(1262),
    [aux_sym__keyword_repeat_token1] = ACTIONS(15),
    [aux_sym__keyword_for_token1] = ACTIONS(17),
    [aux_sym_declare_statement_token1] = ACTIONS(969),
    [aux_sym_set_statement_token1] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(973),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(975),
    [aux_sym_return_satement_token1] = ACTIONS(27),
    [aux_sym_call_statement_token1] = ACTIONS(29),
    [aux_sym_loop_statement_token1] = ACTIONS(31),
    [aux_sym_while_statement_token1] = ACTIONS(33),
    [aux_sym_break_statement_token1] = ACTIONS(35),
    [aux_sym_leave_statement_token1] = ACTIONS(37),
    [aux_sym_continue_statement_token1] = ACTIONS(39),
    [aux_sym_iterate_statement_token1] = ACTIONS(41),
    [aux_sym_raise_statement_token1] = ACTIONS(979),
    [aux_sym_assert_statement_token1] = ACTIONS(981),
    [aux_sym_create_schema_statement_token1] = ACTIONS(983),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(49),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(51),
    [aux_sym_select_token1] = ACTIONS(985),
    [aux_sym_insert_statement_token1] = ACTIONS(987),
    [aux_sym_truncate_statement_token1] = ACTIONS(57),
    [aux_sym_update_statement_token1] = ACTIONS(989),
    [aux_sym_merge_statement_token1] = ACTIONS(991),
    [aux_sym_grant_statement_token1] = ACTIONS(63),
    [aux_sym_revoke_statement_token1] = ACTIONS(65),
    [aux_sym_export_data_statement_token1] = ACTIONS(993),
    [aux_sym_load_data_statement_token1] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
  },
  [170] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_set_operation] = STATE(12414),
    [sym_query_expr] = STATE(14207),
    [sym_select] = STATE(12414),
    [sym__aliasable_expression] = STATE(14693),
    [sym_cte_clause] = STATE(12993),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5331),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(561),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_select_token1] = ACTIONS(565),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [171] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_set_operation] = STATE(12414),
    [sym_query_expr] = STATE(14333),
    [sym_select] = STATE(12414),
    [sym__aliasable_expression] = STATE(15667),
    [sym_cte_clause] = STATE(12993),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5351),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(561),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_select_token1] = ACTIONS(565),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [172] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_set_operation] = STATE(12414),
    [sym_query_expr] = STATE(14287),
    [sym_select] = STATE(12414),
    [sym__aliasable_expression] = STATE(15259),
    [sym_cte_clause] = STATE(12993),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5353),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(561),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_select_token1] = ACTIONS(565),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [173] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_set_operation] = STATE(12414),
    [sym_query_expr] = STATE(14281),
    [sym_select] = STATE(12414),
    [sym__aliasable_expression] = STATE(14998),
    [sym_cte_clause] = STATE(12993),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5322),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(561),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_select_token1] = ACTIONS(565),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [174] = {
    [sym__keyword_as] = STATE(11563),
    [sym__keyword_date] = STATE(2335),
    [sym__keyword_datetime] = STATE(2335),
    [sym__keyword_time] = STATE(2335),
    [sym__keyword_timestamp] = STATE(2335),
    [sym_as_alias] = STATE(2822),
    [sym_unnest_withoffset] = STATE(2652),
    [sym__type_chrono] = STATE(2336),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2317),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(205),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(205),
    [aux_sym_keyword_replace_token1] = ACTIONS(205),
    [aux_sym__keyword_alter_token1] = ACTIONS(205),
    [aux_sym__keyword_delete_token1] = ACTIONS(205),
    [aux_sym__keyword_begin_token1] = ACTIONS(205),
    [aux_sym__keyword_end_token1] = ACTIONS(205),
    [aux_sym__keyword_between_token1] = ACTIONS(205),
    [aux_sym__keyword_when_token1] = ACTIONS(205),
    [aux_sym__keyword_else_token1] = ACTIONS(205),
    [aux_sym__keyword_is_token1] = ACTIONS(205),
    [aux_sym__keyword_in_token1] = ACTIONS(205),
    [aux_sym__keyword_and_token1] = ACTIONS(205),
    [aux_sym__keyword_like_token1] = ACTIONS(205),
    [aux_sym__keyword_repeat_token1] = ACTIONS(205),
    [aux_sym__keyword_as_token1] = ACTIONS(1217),
    [aux_sym__keyword_date_token1] = ACTIONS(355),
    [aux_sym__keyword_datetime_token1] = ACTIONS(355),
    [aux_sym__keyword_time_token1] = ACTIONS(355),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(355),
    [aux_sym__keyword_for_token1] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(211),
    [aux_sym_declare_statement_token1] = ACTIONS(205),
    [anon_sym_COMMA] = ACTIONS(211),
    [aux_sym_set_statement_token1] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(211),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(205),
    [aux_sym_return_satement_token1] = ACTIONS(205),
    [aux_sym_call_statement_token1] = ACTIONS(205),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(205),
    [aux_sym_if_statement_token1] = ACTIONS(205),
    [aux_sym_loop_statement_token1] = ACTIONS(205),
    [aux_sym_repeat_statement_token1] = ACTIONS(205),
    [aux_sym_while_statement_token1] = ACTIONS(205),
    [aux_sym_break_statement_token1] = ACTIONS(205),
    [aux_sym_leave_statement_token1] = ACTIONS(205),
    [aux_sym_continue_statement_token1] = ACTIONS(205),
    [aux_sym_iterate_statement_token1] = ACTIONS(205),
    [aux_sym_raise_statement_token1] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(211),
    [aux_sym_assert_statement_token1] = ACTIONS(205),
    [aux_sym_create_schema_statement_token1] = ACTIONS(205),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(205),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1264),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [aux_sym_set_operation_token1] = ACTIONS(205),
    [aux_sym_set_operation_token3] = ACTIONS(205),
    [aux_sym_set_operation_token4] = ACTIONS(205),
    [aux_sym_select_token1] = ACTIONS(205),
    [aux_sym_limit_clause_token1] = ACTIONS(205),
    [aux_sym__direction_keywords_token1] = ACTIONS(205),
    [aux_sym__direction_keywords_token2] = ACTIONS(205),
    [aux_sym__nulls_preference_token1] = ACTIONS(205),
    [aux_sym_order_by_clause_token1] = ACTIONS(205),
    [aux_sym_insert_statement_token1] = ACTIONS(205),
    [aux_sym_truncate_statement_token1] = ACTIONS(205),
    [aux_sym_update_statement_token1] = ACTIONS(205),
    [aux_sym_merge_statement_token1] = ACTIONS(205),
    [aux_sym_grant_statement_token1] = ACTIONS(205),
    [aux_sym_revoke_statement_token1] = ACTIONS(205),
    [aux_sym_export_data_statement_token1] = ACTIONS(205),
    [aux_sym_load_data_statement_token1] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(211),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(211),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(211),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(211),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_LT_GT] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(211),
    [anon_sym_GT_GT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_CARET] = ACTIONS(211),
    [anon_sym_PIPE] = ACTIONS(205),
  },
  [175] = {
    [sym__keyword_as] = STATE(11593),
    [sym__keyword_date] = STATE(1884),
    [sym__keyword_datetime] = STATE(1884),
    [sym__keyword_time] = STATE(1884),
    [sym__keyword_timestamp] = STATE(1884),
    [sym_as_alias] = STATE(2956),
    [sym_unnest_withoffset] = STATE(2084),
    [sym__type_chrono] = STATE(1949),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2078),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(205),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(205),
    [aux_sym_keyword_replace_token1] = ACTIONS(205),
    [aux_sym__keyword_alter_token1] = ACTIONS(205),
    [aux_sym__keyword_delete_token1] = ACTIONS(205),
    [aux_sym__keyword_begin_token1] = ACTIONS(205),
    [aux_sym__keyword_end_token1] = ACTIONS(205),
    [aux_sym__keyword_between_token1] = ACTIONS(205),
    [aux_sym__keyword_when_token1] = ACTIONS(205),
    [aux_sym__keyword_else_token1] = ACTIONS(205),
    [aux_sym__keyword_is_token1] = ACTIONS(205),
    [aux_sym__keyword_in_token1] = ACTIONS(205),
    [aux_sym__keyword_and_token1] = ACTIONS(205),
    [aux_sym__keyword_like_token1] = ACTIONS(205),
    [aux_sym__keyword_repeat_token1] = ACTIONS(205),
    [aux_sym__keyword_as_token1] = ACTIONS(1266),
    [aux_sym__keyword_window_token1] = ACTIONS(205),
    [aux_sym__keyword_date_token1] = ACTIONS(1268),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1268),
    [aux_sym__keyword_time_token1] = ACTIONS(1268),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1268),
    [aux_sym__keyword_for_token1] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(211),
    [aux_sym_declare_statement_token1] = ACTIONS(205),
    [anon_sym_COMMA] = ACTIONS(211),
    [aux_sym_set_statement_token1] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(211),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(205),
    [aux_sym_return_satement_token1] = ACTIONS(205),
    [aux_sym_call_statement_token1] = ACTIONS(205),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(205),
    [aux_sym_if_statement_token1] = ACTIONS(205),
    [aux_sym_loop_statement_token1] = ACTIONS(205),
    [aux_sym_repeat_statement_token1] = ACTIONS(205),
    [aux_sym_while_statement_token1] = ACTIONS(205),
    [aux_sym_break_statement_token1] = ACTIONS(205),
    [aux_sym_leave_statement_token1] = ACTIONS(205),
    [aux_sym_continue_statement_token1] = ACTIONS(205),
    [aux_sym_iterate_statement_token1] = ACTIONS(205),
    [aux_sym_raise_statement_token1] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(211),
    [aux_sym_assert_statement_token1] = ACTIONS(205),
    [aux_sym_create_schema_statement_token1] = ACTIONS(205),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(205),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1270),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [aux_sym_set_operation_token1] = ACTIONS(205),
    [aux_sym_set_operation_token3] = ACTIONS(205),
    [aux_sym_set_operation_token4] = ACTIONS(205),
    [aux_sym_select_token1] = ACTIONS(205),
    [aux_sym_having_clause_token1] = ACTIONS(205),
    [aux_sym_qualify_clause_token1] = ACTIONS(205),
    [aux_sym_limit_clause_token1] = ACTIONS(205),
    [aux_sym_order_by_clause_token1] = ACTIONS(205),
    [aux_sym_insert_statement_token1] = ACTIONS(205),
    [aux_sym_truncate_statement_token1] = ACTIONS(205),
    [aux_sym_update_statement_token1] = ACTIONS(205),
    [aux_sym_merge_statement_token1] = ACTIONS(205),
    [aux_sym_grant_statement_token1] = ACTIONS(205),
    [aux_sym_revoke_statement_token1] = ACTIONS(205),
    [aux_sym_export_data_statement_token1] = ACTIONS(205),
    [aux_sym_load_data_statement_token1] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(211),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(211),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(211),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(211),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_LT_GT] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(211),
    [anon_sym_GT_GT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_CARET] = ACTIONS(211),
    [anon_sym_PIPE] = ACTIONS(205),
  },
  [176] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_set_operation] = STATE(12414),
    [sym_query_expr] = STATE(14234),
    [sym_select] = STATE(12414),
    [sym__aliasable_expression] = STATE(15590),
    [sym_cte_clause] = STATE(12993),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5327),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(561),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_select_token1] = ACTIONS(565),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [177] = {
    [sym__keyword_alter] = STATE(14478),
    [sym__keyword_delete] = STATE(11379),
    [sym__keyword_repeat] = STATE(200),
    [sym__keyword_for] = STATE(11539),
    [sym__statement] = STATE(9135),
    [aux_sym__statement_list] = STATE(157),
    [sym_declare_statement] = STATE(8035),
    [sym_set_statement] = STATE(8035),
    [sym_execute_immadiate_statement] = STATE(8035),
    [sym_return_satement] = STATE(8035),
    [sym_call_statement] = STATE(8035),
    [sym_begin_end_statement] = STATE(8035),
    [sym_begin_exception_end_statement] = STATE(8035),
    [sym_if_statement] = STATE(8035),
    [sym_loop_statement] = STATE(8035),
    [sym_repeat_statement] = STATE(8035),
    [sym_while_statement] = STATE(8035),
    [sym_for_in_statement] = STATE(8035),
    [sym_break_statement] = STATE(8035),
    [sym_leave_statement] = STATE(8035),
    [sym_continue_statement] = STATE(8035),
    [sym_iterate_statement] = STATE(8035),
    [sym_raise_statement] = STATE(8035),
    [sym_assert_statement] = STATE(8035),
    [sym_create_schema_statement] = STATE(8035),
    [sym_alter_schema_statement] = STATE(8035),
    [sym_drop_schema_statement] = STATE(8035),
    [sym_create_table_statement] = STATE(8035),
    [sym_create_table_like_statement] = STATE(8035),
    [sym_create_table_clone_statement] = STATE(8035),
    [sym_create_table_copy_statement] = STATE(8035),
    [sym_create_snapshot_table_statement] = STATE(8035),
    [sym_create_external_table_statement] = STATE(8035),
    [sym_alter_table_statement] = STATE(8035),
    [sym_alter_table_rename_statement] = STATE(8035),
    [sym_alter_table_column_statement] = STATE(8035),
    [sym_drop_table_statement] = STATE(8035),
    [sym_create_function_statement] = STATE(8035),
    [sym_create_remote_function_statement] = STATE(8035),
    [sym_drop_function_statement] = STATE(8035),
    [sym_create_table_function_statement] = STATE(8035),
    [sym_drop_table_function_statement] = STATE(8035),
    [sym_create_procedure_statement] = STATE(8035),
    [sym_drop_procedure_statement] = STATE(8035),
    [sym_create_model_statement] = STATE(8035),
    [sym_drop_model_statement] = STATE(8035),
    [sym_query_statement] = STATE(8035),
    [sym_set_operation] = STATE(6482),
    [sym_query_expr] = STATE(7380),
    [sym_select] = STATE(6482),
    [sym_cte_clause] = STATE(13016),
    [sym_insert_statement] = STATE(8035),
    [sym_delete_statement] = STATE(8035),
    [sym_truncate_statement] = STATE(8035),
    [sym_update_statement] = STATE(8035),
    [sym_merge_statement] = STATE(8035),
    [sym_grant_statement] = STATE(8035),
    [sym_revoke_statement] = STATE(8035),
    [sym_export_data_statement] = STATE(8035),
    [sym_load_data_statement] = STATE(8035),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(7),
    [aux_sym__keyword_alter_token1] = ACTIONS(9),
    [aux_sym__keyword_delete_token1] = ACTIONS(963),
    [aux_sym__keyword_begin_token1] = ACTIONS(13),
    [aux_sym__keyword_end_token1] = ACTIONS(1272),
    [aux_sym__keyword_repeat_token1] = ACTIONS(15),
    [aux_sym__keyword_for_token1] = ACTIONS(17),
    [aux_sym_declare_statement_token1] = ACTIONS(969),
    [aux_sym_set_statement_token1] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(973),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(975),
    [aux_sym_return_satement_token1] = ACTIONS(27),
    [aux_sym_call_statement_token1] = ACTIONS(29),
    [aux_sym_loop_statement_token1] = ACTIONS(31),
    [aux_sym_while_statement_token1] = ACTIONS(33),
    [aux_sym_break_statement_token1] = ACTIONS(35),
    [aux_sym_leave_statement_token1] = ACTIONS(37),
    [aux_sym_continue_statement_token1] = ACTIONS(39),
    [aux_sym_iterate_statement_token1] = ACTIONS(41),
    [aux_sym_raise_statement_token1] = ACTIONS(979),
    [aux_sym_assert_statement_token1] = ACTIONS(981),
    [aux_sym_create_schema_statement_token1] = ACTIONS(983),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(49),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(51),
    [aux_sym_select_token1] = ACTIONS(985),
    [aux_sym_insert_statement_token1] = ACTIONS(987),
    [aux_sym_truncate_statement_token1] = ACTIONS(57),
    [aux_sym_update_statement_token1] = ACTIONS(989),
    [aux_sym_merge_statement_token1] = ACTIONS(991),
    [aux_sym_grant_statement_token1] = ACTIONS(63),
    [aux_sym_revoke_statement_token1] = ACTIONS(65),
    [aux_sym_export_data_statement_token1] = ACTIONS(993),
    [aux_sym_load_data_statement_token1] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
  },
  [178] = {
    [sym__keyword_between] = STATE(1505),
    [sym__keyword_is] = STATE(12107),
    [sym__keyword_in] = STATE(1172),
    [sym__keyword_not] = STATE(13054),
    [sym__keyword_and] = STATE(1201),
    [sym__keyword_or] = STATE(1206),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16116),
    [sym_quantitve_like_operator] = STATE(16114),
    [sym__unquoted_identifier] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(921),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(921),
    [aux_sym__keyword_from_token1] = ACTIONS(921),
    [aux_sym__keyword_delete_token1] = ACTIONS(921),
    [aux_sym__keyword_begin_token1] = ACTIONS(921),
    [aux_sym__keyword_end_token1] = ACTIONS(921),
    [aux_sym__keyword_between_token1] = ACTIONS(921),
    [aux_sym__keyword_when_token1] = ACTIONS(921),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(921),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(921),
    [aux_sym__keyword_like_token1] = ACTIONS(921),
    [aux_sym__keyword_repeat_token1] = ACTIONS(921),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_window_token1] = ACTIONS(921),
    [aux_sym__keyword_date_token1] = ACTIONS(921),
    [aux_sym__keyword_datetime_token1] = ACTIONS(921),
    [aux_sym__keyword_time_token1] = ACTIONS(921),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(921),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(921),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(921),
    [aux_sym_return_satement_token1] = ACTIONS(921),
    [aux_sym_call_statement_token1] = ACTIONS(921),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(921),
    [aux_sym_if_statement_token1] = ACTIONS(921),
    [aux_sym_loop_statement_token1] = ACTIONS(921),
    [aux_sym_repeat_statement_token1] = ACTIONS(921),
    [aux_sym_while_statement_token1] = ACTIONS(921),
    [aux_sym_break_statement_token1] = ACTIONS(921),
    [aux_sym_leave_statement_token1] = ACTIONS(921),
    [aux_sym_continue_statement_token1] = ACTIONS(921),
    [aux_sym_iterate_statement_token1] = ACTIONS(921),
    [aux_sym_raise_statement_token1] = ACTIONS(921),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(921),
    [aux_sym_create_schema_statement_token1] = ACTIONS(921),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(921),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(921),
    [aux_sym_set_operation_token3] = ACTIONS(921),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(921),
    [aux_sym_having_clause_token1] = ACTIONS(921),
    [aux_sym_qualify_clause_token1] = ACTIONS(921),
    [aux_sym_limit_clause_token1] = ACTIONS(921),
    [aux_sym_group_by_clause_token1] = ACTIONS(921),
    [aux_sym_order_by_clause_token1] = ACTIONS(921),
    [aux_sym_where_clause_token1] = ACTIONS(921),
    [aux_sym_insert_statement_token1] = ACTIONS(921),
    [aux_sym_truncate_statement_token1] = ACTIONS(921),
    [aux_sym_update_statement_token1] = ACTIONS(921),
    [aux_sym_merge_statement_token1] = ACTIONS(921),
    [aux_sym_grant_statement_token1] = ACTIONS(921),
    [aux_sym_revoke_statement_token1] = ACTIONS(921),
    [aux_sym_export_data_statement_token1] = ACTIONS(921),
    [aux_sym_load_data_statement_token1] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym__quoted_identifier] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(917),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PIPE_PIPE] = ACTIONS(917),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [179] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(14815),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(11117),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9546),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_asterisk_expression] = STATE(14815),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [anon_sym_RPAREN] = ACTIONS(1276),
    [aux_sym_create_table_statement_token1] = ACTIONS(1278),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_create_model_statement_token1] = ACTIONS(1278),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [180] = {
    [sym__keyword_between] = STATE(848),
    [sym__keyword_is] = STATE(12078),
    [sym__keyword_in] = STATE(1732),
    [sym__keyword_not] = STATE(13089),
    [sym__keyword_and] = STATE(1720),
    [sym__keyword_or] = STATE(1719),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16304),
    [sym_quantitve_like_operator] = STATE(16303),
    [ts_builtin_sym_end] = ACTIONS(1001),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1001),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(341),
    [aux_sym__keyword_alter_token1] = ACTIONS(1001),
    [aux_sym__keyword_delete_token1] = ACTIONS(1001),
    [aux_sym__keyword_begin_token1] = ACTIONS(1001),
    [aux_sym__keyword_between_token1] = ACTIONS(1280),
    [aux_sym__keyword_when_token1] = ACTIONS(1001),
    [aux_sym__keyword_is_token1] = ACTIONS(1282),
    [aux_sym__keyword_in_token1] = ACTIONS(1284),
    [aux_sym__keyword_and_token1] = ACTIONS(1286),
    [aux_sym__keyword_like_token1] = ACTIONS(1007),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1001),
    [aux_sym__keyword_window_token1] = ACTIONS(1001),
    [aux_sym__keyword_for_token1] = ACTIONS(1001),
    [anon_sym_SEMI] = ACTIONS(1001),
    [aux_sym_declare_statement_token1] = ACTIONS(1001),
    [anon_sym_COMMA] = ACTIONS(1001),
    [aux_sym_set_statement_token1] = ACTIONS(1001),
    [anon_sym_LPAREN] = ACTIONS(1001),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1001),
    [aux_sym_using_clause_token1] = ACTIONS(1001),
    [aux_sym_return_satement_token1] = ACTIONS(1001),
    [aux_sym_call_statement_token1] = ACTIONS(1001),
    [aux_sym_loop_statement_token1] = ACTIONS(1001),
    [aux_sym_while_statement_token1] = ACTIONS(1001),
    [aux_sym_break_statement_token1] = ACTIONS(1001),
    [aux_sym_leave_statement_token1] = ACTIONS(1001),
    [aux_sym_continue_statement_token1] = ACTIONS(1001),
    [aux_sym_iterate_statement_token1] = ACTIONS(1001),
    [aux_sym_raise_statement_token1] = ACTIONS(1001),
    [anon_sym_EQ] = ACTIONS(1288),
    [aux_sym_assert_statement_token1] = ACTIONS(1001),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1001),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1001),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1001),
    [anon_sym_LT] = ACTIONS(1284),
    [anon_sym_GT] = ACTIONS(1284),
    [aux_sym_set_operation_token1] = ACTIONS(1001),
    [aux_sym_set_operation_token3] = ACTIONS(1001),
    [aux_sym_set_operation_token4] = ACTIONS(1001),
    [aux_sym_select_token1] = ACTIONS(1001),
    [aux_sym_having_clause_token1] = ACTIONS(1001),
    [aux_sym_qualify_clause_token1] = ACTIONS(1001),
    [aux_sym_limit_clause_token1] = ACTIONS(1001),
    [aux_sym_group_by_clause_token1] = ACTIONS(1001),
    [aux_sym_order_by_clause_token1] = ACTIONS(1001),
    [aux_sym_where_clause_token1] = ACTIONS(1001),
    [aux_sym_pivot_operator_token1] = ACTIONS(1001),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1001),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1001),
    [aux_sym_join_type_token1] = ACTIONS(1001),
    [aux_sym_join_type_token2] = ACTIONS(1001),
    [aux_sym_join_type_token3] = ACTIONS(1001),
    [aux_sym_join_type_token4] = ACTIONS(1001),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1001),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1001),
    [aux_sym_join_condition_token1] = ACTIONS(1001),
    [aux_sym_insert_statement_token1] = ACTIONS(1001),
    [aux_sym_truncate_statement_token1] = ACTIONS(1001),
    [aux_sym_update_statement_token1] = ACTIONS(1001),
    [aux_sym_merge_statement_token1] = ACTIONS(1001),
    [aux_sym_grant_statement_token1] = ACTIONS(1001),
    [aux_sym_revoke_statement_token1] = ACTIONS(1001),
    [aux_sym_export_data_statement_token1] = ACTIONS(1001),
    [aux_sym_load_data_statement_token1] = ACTIONS(1001),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1011),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_SLASH] = ACTIONS(1296),
    [anon_sym_PIPE_PIPE] = ACTIONS(1294),
    [anon_sym_LT_EQ] = ACTIONS(1288),
    [anon_sym_LT_GT] = ACTIONS(1288),
    [anon_sym_GT_EQ] = ACTIONS(1288),
    [anon_sym_BANG_EQ] = ACTIONS(1288),
    [anon_sym_LT_LT] = ACTIONS(1298),
    [anon_sym_GT_GT] = ACTIONS(1298),
    [anon_sym_AMP] = ACTIONS(1300),
    [anon_sym_CARET] = ACTIONS(1302),
    [anon_sym_PIPE] = ACTIONS(1304),
  },
  [181] = {
    [sym__keyword_between] = STATE(848),
    [sym__keyword_is] = STATE(12078),
    [sym__keyword_in] = STATE(1732),
    [sym__keyword_not] = STATE(13089),
    [sym__keyword_and] = STATE(1720),
    [sym__keyword_or] = STATE(1719),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16304),
    [sym_quantitve_like_operator] = STATE(16303),
    [ts_builtin_sym_end] = ACTIONS(1019),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1019),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1019),
    [aux_sym_keyword_replace_token1] = ACTIONS(1021),
    [aux_sym__keyword_alter_token1] = ACTIONS(1019),
    [aux_sym__keyword_delete_token1] = ACTIONS(1019),
    [aux_sym__keyword_begin_token1] = ACTIONS(1019),
    [aux_sym__keyword_between_token1] = ACTIONS(1019),
    [aux_sym__keyword_when_token1] = ACTIONS(1019),
    [aux_sym__keyword_is_token1] = ACTIONS(1019),
    [aux_sym__keyword_in_token1] = ACTIONS(1021),
    [aux_sym__keyword_and_token1] = ACTIONS(1019),
    [aux_sym__keyword_like_token1] = ACTIONS(1019),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1019),
    [aux_sym__keyword_window_token1] = ACTIONS(1019),
    [aux_sym__keyword_for_token1] = ACTIONS(1019),
    [anon_sym_SEMI] = ACTIONS(1019),
    [aux_sym_declare_statement_token1] = ACTIONS(1019),
    [anon_sym_COMMA] = ACTIONS(1019),
    [aux_sym_set_statement_token1] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1019),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1019),
    [aux_sym_using_clause_token1] = ACTIONS(1019),
    [aux_sym_return_satement_token1] = ACTIONS(1019),
    [aux_sym_call_statement_token1] = ACTIONS(1019),
    [aux_sym_loop_statement_token1] = ACTIONS(1019),
    [aux_sym_while_statement_token1] = ACTIONS(1019),
    [aux_sym_break_statement_token1] = ACTIONS(1019),
    [aux_sym_leave_statement_token1] = ACTIONS(1019),
    [aux_sym_continue_statement_token1] = ACTIONS(1019),
    [aux_sym_iterate_statement_token1] = ACTIONS(1019),
    [aux_sym_raise_statement_token1] = ACTIONS(1019),
    [anon_sym_EQ] = ACTIONS(1019),
    [aux_sym_assert_statement_token1] = ACTIONS(1019),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1019),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1019),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1019),
    [anon_sym_LT] = ACTIONS(1021),
    [anon_sym_GT] = ACTIONS(1021),
    [aux_sym_set_operation_token1] = ACTIONS(1019),
    [aux_sym_set_operation_token3] = ACTIONS(1019),
    [aux_sym_set_operation_token4] = ACTIONS(1019),
    [aux_sym_select_token1] = ACTIONS(1019),
    [aux_sym_having_clause_token1] = ACTIONS(1019),
    [aux_sym_qualify_clause_token1] = ACTIONS(1019),
    [aux_sym_limit_clause_token1] = ACTIONS(1019),
    [aux_sym_group_by_clause_token1] = ACTIONS(1019),
    [aux_sym_order_by_clause_token1] = ACTIONS(1019),
    [aux_sym_where_clause_token1] = ACTIONS(1019),
    [aux_sym_pivot_operator_token1] = ACTIONS(1019),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1019),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1019),
    [aux_sym_join_type_token1] = ACTIONS(1019),
    [aux_sym_join_type_token2] = ACTIONS(1019),
    [aux_sym_join_type_token3] = ACTIONS(1019),
    [aux_sym_join_type_token4] = ACTIONS(1019),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1019),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1019),
    [aux_sym_join_condition_token1] = ACTIONS(1019),
    [aux_sym_insert_statement_token1] = ACTIONS(1019),
    [aux_sym_truncate_statement_token1] = ACTIONS(1019),
    [aux_sym_update_statement_token1] = ACTIONS(1019),
    [aux_sym_merge_statement_token1] = ACTIONS(1019),
    [aux_sym_grant_statement_token1] = ACTIONS(1019),
    [aux_sym_revoke_statement_token1] = ACTIONS(1019),
    [aux_sym_export_data_statement_token1] = ACTIONS(1019),
    [aux_sym_load_data_statement_token1] = ACTIONS(1019),
    [anon_sym_LBRACK] = ACTIONS(1019),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1019),
    [anon_sym_PLUS] = ACTIONS(1019),
    [anon_sym_DASH] = ACTIONS(1021),
    [anon_sym_STAR] = ACTIONS(1019),
    [anon_sym_SLASH] = ACTIONS(1021),
    [anon_sym_PIPE_PIPE] = ACTIONS(1019),
    [anon_sym_LT_EQ] = ACTIONS(1019),
    [anon_sym_LT_GT] = ACTIONS(1019),
    [anon_sym_GT_EQ] = ACTIONS(1019),
    [anon_sym_BANG_EQ] = ACTIONS(1019),
    [anon_sym_LT_LT] = ACTIONS(1019),
    [anon_sym_GT_GT] = ACTIONS(1019),
    [anon_sym_AMP] = ACTIONS(1019),
    [anon_sym_CARET] = ACTIONS(1019),
    [anon_sym_PIPE] = ACTIONS(1021),
  },
  [182] = {
    [sym__keyword_between] = STATE(848),
    [sym__keyword_is] = STATE(12078),
    [sym__keyword_in] = STATE(1732),
    [sym__keyword_not] = STATE(13089),
    [sym__keyword_and] = STATE(1720),
    [sym__keyword_or] = STATE(1719),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16304),
    [sym_quantitve_like_operator] = STATE(16303),
    [ts_builtin_sym_end] = ACTIONS(1027),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1027),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(341),
    [aux_sym__keyword_alter_token1] = ACTIONS(1027),
    [aux_sym__keyword_delete_token1] = ACTIONS(1027),
    [aux_sym__keyword_begin_token1] = ACTIONS(1027),
    [aux_sym__keyword_between_token1] = ACTIONS(1280),
    [aux_sym__keyword_when_token1] = ACTIONS(1027),
    [aux_sym__keyword_is_token1] = ACTIONS(1282),
    [aux_sym__keyword_in_token1] = ACTIONS(1284),
    [aux_sym__keyword_and_token1] = ACTIONS(1286),
    [aux_sym__keyword_like_token1] = ACTIONS(1027),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1027),
    [aux_sym__keyword_window_token1] = ACTIONS(1027),
    [aux_sym__keyword_for_token1] = ACTIONS(1027),
    [anon_sym_SEMI] = ACTIONS(1027),
    [aux_sym_declare_statement_token1] = ACTIONS(1027),
    [anon_sym_COMMA] = ACTIONS(1027),
    [aux_sym_set_statement_token1] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1027),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1027),
    [aux_sym_using_clause_token1] = ACTIONS(1027),
    [aux_sym_return_satement_token1] = ACTIONS(1027),
    [aux_sym_call_statement_token1] = ACTIONS(1027),
    [aux_sym_loop_statement_token1] = ACTIONS(1027),
    [aux_sym_while_statement_token1] = ACTIONS(1027),
    [aux_sym_break_statement_token1] = ACTIONS(1027),
    [aux_sym_leave_statement_token1] = ACTIONS(1027),
    [aux_sym_continue_statement_token1] = ACTIONS(1027),
    [aux_sym_iterate_statement_token1] = ACTIONS(1027),
    [aux_sym_raise_statement_token1] = ACTIONS(1027),
    [anon_sym_EQ] = ACTIONS(1288),
    [aux_sym_assert_statement_token1] = ACTIONS(1027),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1027),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1027),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1027),
    [anon_sym_LT] = ACTIONS(1284),
    [anon_sym_GT] = ACTIONS(1284),
    [aux_sym_set_operation_token1] = ACTIONS(1027),
    [aux_sym_set_operation_token3] = ACTIONS(1027),
    [aux_sym_set_operation_token4] = ACTIONS(1027),
    [aux_sym_select_token1] = ACTIONS(1027),
    [aux_sym_having_clause_token1] = ACTIONS(1027),
    [aux_sym_qualify_clause_token1] = ACTIONS(1027),
    [aux_sym_limit_clause_token1] = ACTIONS(1027),
    [aux_sym_group_by_clause_token1] = ACTIONS(1027),
    [aux_sym_order_by_clause_token1] = ACTIONS(1027),
    [aux_sym_where_clause_token1] = ACTIONS(1027),
    [aux_sym_pivot_operator_token1] = ACTIONS(1027),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1027),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1027),
    [aux_sym_join_type_token1] = ACTIONS(1027),
    [aux_sym_join_type_token2] = ACTIONS(1027),
    [aux_sym_join_type_token3] = ACTIONS(1027),
    [aux_sym_join_type_token4] = ACTIONS(1027),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1027),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1027),
    [aux_sym_join_condition_token1] = ACTIONS(1027),
    [aux_sym_insert_statement_token1] = ACTIONS(1027),
    [aux_sym_truncate_statement_token1] = ACTIONS(1027),
    [aux_sym_update_statement_token1] = ACTIONS(1027),
    [aux_sym_merge_statement_token1] = ACTIONS(1027),
    [aux_sym_grant_statement_token1] = ACTIONS(1027),
    [aux_sym_revoke_statement_token1] = ACTIONS(1027),
    [aux_sym_export_data_statement_token1] = ACTIONS(1027),
    [aux_sym_load_data_statement_token1] = ACTIONS(1027),
    [anon_sym_LBRACK] = ACTIONS(1027),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_SLASH] = ACTIONS(1296),
    [anon_sym_PIPE_PIPE] = ACTIONS(1294),
    [anon_sym_LT_EQ] = ACTIONS(1288),
    [anon_sym_LT_GT] = ACTIONS(1288),
    [anon_sym_GT_EQ] = ACTIONS(1288),
    [anon_sym_BANG_EQ] = ACTIONS(1288),
    [anon_sym_LT_LT] = ACTIONS(1298),
    [anon_sym_GT_GT] = ACTIONS(1298),
    [anon_sym_AMP] = ACTIONS(1300),
    [anon_sym_CARET] = ACTIONS(1302),
    [anon_sym_PIPE] = ACTIONS(1304),
  },
  [183] = {
    [sym__keyword_between] = STATE(848),
    [sym__keyword_is] = STATE(12078),
    [sym__keyword_in] = STATE(1732),
    [sym__keyword_not] = STATE(13089),
    [sym__keyword_and] = STATE(1720),
    [sym__keyword_or] = STATE(1719),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16304),
    [sym_quantitve_like_operator] = STATE(16303),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_using_clause_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(917),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_group_by_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_where_clause_token1] = ACTIONS(917),
    [aux_sym_pivot_operator_token1] = ACTIONS(917),
    [aux_sym_unpivot_operator_token1] = ACTIONS(917),
    [aux_sym_tablesample_operator_token1] = ACTIONS(917),
    [aux_sym_join_type_token1] = ACTIONS(917),
    [aux_sym_join_type_token2] = ACTIONS(917),
    [aux_sym_join_type_token3] = ACTIONS(917),
    [aux_sym_join_type_token4] = ACTIONS(917),
    [aux_sym__cross_join_operation_token1] = ACTIONS(917),
    [aux_sym__cross_join_operation_token2] = ACTIONS(917),
    [aux_sym_join_condition_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(917),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PIPE_PIPE] = ACTIONS(917),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [184] = {
    [sym__keyword_as] = STATE(11633),
    [sym__keyword_date] = STATE(3320),
    [sym__keyword_datetime] = STATE(3320),
    [sym__keyword_time] = STATE(3320),
    [sym__keyword_timestamp] = STATE(3320),
    [sym_as_alias] = STATE(2991),
    [sym_unnest_withoffset] = STATE(3199),
    [sym__type_chrono] = STATE(3203),
    [sym__identifier] = STATE(2993),
    [sym__dotted_identifier] = STATE(13495),
    [sym_identifier] = STATE(3259),
    [aux_sym_identifier_repeat1] = STATE(13495),
    [sym__unquoted_identifier] = ACTIONS(1306),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(205),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(205),
    [aux_sym_keyword_replace_token1] = ACTIONS(205),
    [aux_sym__keyword_alter_token1] = ACTIONS(205),
    [aux_sym__keyword_delete_token1] = ACTIONS(205),
    [aux_sym__keyword_begin_token1] = ACTIONS(205),
    [aux_sym__keyword_end_token1] = ACTIONS(205),
    [aux_sym__keyword_between_token1] = ACTIONS(205),
    [aux_sym__keyword_when_token1] = ACTIONS(205),
    [aux_sym__keyword_else_token1] = ACTIONS(205),
    [aux_sym__keyword_is_token1] = ACTIONS(205),
    [aux_sym__keyword_in_token1] = ACTIONS(205),
    [aux_sym__keyword_and_token1] = ACTIONS(205),
    [aux_sym__keyword_like_token1] = ACTIONS(205),
    [aux_sym__keyword_repeat_token1] = ACTIONS(205),
    [aux_sym__keyword_as_token1] = ACTIONS(1308),
    [aux_sym__keyword_date_token1] = ACTIONS(1310),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1310),
    [aux_sym__keyword_time_token1] = ACTIONS(1310),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1310),
    [aux_sym__keyword_for_token1] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(211),
    [aux_sym_declare_statement_token1] = ACTIONS(205),
    [anon_sym_COMMA] = ACTIONS(211),
    [aux_sym_set_statement_token1] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(211),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(205),
    [aux_sym_return_satement_token1] = ACTIONS(205),
    [aux_sym_call_statement_token1] = ACTIONS(205),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(205),
    [aux_sym_if_statement_token1] = ACTIONS(205),
    [aux_sym_loop_statement_token1] = ACTIONS(205),
    [aux_sym_repeat_statement_token1] = ACTIONS(205),
    [aux_sym_while_statement_token1] = ACTIONS(205),
    [aux_sym_break_statement_token1] = ACTIONS(205),
    [aux_sym_leave_statement_token1] = ACTIONS(205),
    [aux_sym_continue_statement_token1] = ACTIONS(205),
    [aux_sym_iterate_statement_token1] = ACTIONS(205),
    [aux_sym_raise_statement_token1] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(211),
    [aux_sym_assert_statement_token1] = ACTIONS(205),
    [aux_sym_create_schema_statement_token1] = ACTIONS(205),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(205),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1312),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [aux_sym_set_operation_token1] = ACTIONS(205),
    [aux_sym_set_operation_token3] = ACTIONS(205),
    [aux_sym_set_operation_token4] = ACTIONS(205),
    [aux_sym_select_token1] = ACTIONS(205),
    [aux_sym_limit_clause_token1] = ACTIONS(205),
    [aux_sym__direction_keywords_token1] = ACTIONS(205),
    [aux_sym__direction_keywords_token2] = ACTIONS(205),
    [aux_sym__nulls_preference_token1] = ACTIONS(205),
    [aux_sym_insert_statement_token1] = ACTIONS(205),
    [aux_sym_truncate_statement_token1] = ACTIONS(205),
    [aux_sym_update_statement_token1] = ACTIONS(205),
    [aux_sym_merge_statement_token1] = ACTIONS(205),
    [aux_sym_grant_statement_token1] = ACTIONS(205),
    [aux_sym_revoke_statement_token1] = ACTIONS(205),
    [aux_sym_export_data_statement_token1] = ACTIONS(205),
    [aux_sym_load_data_statement_token1] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(211),
    [sym__quoted_identifier] = ACTIONS(1314),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(211),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(211),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(211),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_LT_GT] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(211),
    [anon_sym_GT_GT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_CARET] = ACTIONS(211),
    [anon_sym_PIPE] = ACTIONS(205),
  },
  [185] = {
    [sym__keyword_between] = STATE(848),
    [sym__keyword_is] = STATE(12078),
    [sym__keyword_in] = STATE(1732),
    [sym__keyword_not] = STATE(13089),
    [sym__keyword_and] = STATE(1720),
    [sym__keyword_or] = STATE(1719),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16304),
    [sym_quantitve_like_operator] = STATE(16303),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_using_clause_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(917),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_group_by_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_where_clause_token1] = ACTIONS(917),
    [aux_sym_pivot_operator_token1] = ACTIONS(917),
    [aux_sym_unpivot_operator_token1] = ACTIONS(917),
    [aux_sym_tablesample_operator_token1] = ACTIONS(917),
    [aux_sym_join_type_token1] = ACTIONS(917),
    [aux_sym_join_type_token2] = ACTIONS(917),
    [aux_sym_join_type_token3] = ACTIONS(917),
    [aux_sym_join_type_token4] = ACTIONS(917),
    [aux_sym__cross_join_operation_token1] = ACTIONS(917),
    [aux_sym__cross_join_operation_token2] = ACTIONS(917),
    [aux_sym_join_condition_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_SLASH] = ACTIONS(1296),
    [anon_sym_PIPE_PIPE] = ACTIONS(1294),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(1298),
    [anon_sym_GT_GT] = ACTIONS(1298),
    [anon_sym_AMP] = ACTIONS(1300),
    [anon_sym_CARET] = ACTIONS(1302),
    [anon_sym_PIPE] = ACTIONS(1304),
  },
  [186] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(12997),
    [sym_function_call] = STATE(9926),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7344),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(12997),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [187] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_select_subexpression] = STATE(9926),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(12997),
    [sym_function_call] = STATE(9926),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(10347),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7389),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_asterisk_expression] = STATE(13002),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [188] = {
    [sym__keyword_between] = STATE(848),
    [sym__keyword_is] = STATE(12078),
    [sym__keyword_in] = STATE(1732),
    [sym__keyword_not] = STATE(13089),
    [sym__keyword_and] = STATE(1720),
    [sym__keyword_or] = STATE(1719),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16304),
    [sym_quantitve_like_operator] = STATE(16303),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_using_clause_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(917),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_group_by_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_where_clause_token1] = ACTIONS(917),
    [aux_sym_pivot_operator_token1] = ACTIONS(917),
    [aux_sym_unpivot_operator_token1] = ACTIONS(917),
    [aux_sym_tablesample_operator_token1] = ACTIONS(917),
    [aux_sym_join_type_token1] = ACTIONS(917),
    [aux_sym_join_type_token2] = ACTIONS(917),
    [aux_sym_join_type_token3] = ACTIONS(917),
    [aux_sym_join_type_token4] = ACTIONS(917),
    [aux_sym__cross_join_operation_token1] = ACTIONS(917),
    [aux_sym__cross_join_operation_token2] = ACTIONS(917),
    [aux_sym_join_condition_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_SLASH] = ACTIONS(1296),
    [anon_sym_PIPE_PIPE] = ACTIONS(1294),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [189] = {
    [sym__keyword_alter] = STATE(14478),
    [sym__keyword_delete] = STATE(11379),
    [sym__keyword_repeat] = STATE(200),
    [sym__keyword_for] = STATE(11539),
    [sym__statement] = STATE(9135),
    [aux_sym__statement_list] = STATE(158),
    [sym_declare_statement] = STATE(8035),
    [sym_set_statement] = STATE(8035),
    [sym_execute_immadiate_statement] = STATE(8035),
    [sym_return_satement] = STATE(8035),
    [sym_call_statement] = STATE(8035),
    [sym_begin_end_statement] = STATE(8035),
    [sym_begin_exception_end_statement] = STATE(8035),
    [sym_if_statement] = STATE(8035),
    [sym_loop_statement] = STATE(8035),
    [sym_repeat_statement] = STATE(8035),
    [sym_while_statement] = STATE(8035),
    [sym_for_in_statement] = STATE(8035),
    [sym_break_statement] = STATE(8035),
    [sym_leave_statement] = STATE(8035),
    [sym_continue_statement] = STATE(8035),
    [sym_iterate_statement] = STATE(8035),
    [sym_raise_statement] = STATE(8035),
    [sym_assert_statement] = STATE(8035),
    [sym_create_schema_statement] = STATE(8035),
    [sym_alter_schema_statement] = STATE(8035),
    [sym_drop_schema_statement] = STATE(8035),
    [sym_create_table_statement] = STATE(8035),
    [sym_create_table_like_statement] = STATE(8035),
    [sym_create_table_clone_statement] = STATE(8035),
    [sym_create_table_copy_statement] = STATE(8035),
    [sym_create_snapshot_table_statement] = STATE(8035),
    [sym_create_external_table_statement] = STATE(8035),
    [sym_alter_table_statement] = STATE(8035),
    [sym_alter_table_rename_statement] = STATE(8035),
    [sym_alter_table_column_statement] = STATE(8035),
    [sym_drop_table_statement] = STATE(8035),
    [sym_create_function_statement] = STATE(8035),
    [sym_create_remote_function_statement] = STATE(8035),
    [sym_drop_function_statement] = STATE(8035),
    [sym_create_table_function_statement] = STATE(8035),
    [sym_drop_table_function_statement] = STATE(8035),
    [sym_create_procedure_statement] = STATE(8035),
    [sym_drop_procedure_statement] = STATE(8035),
    [sym_create_model_statement] = STATE(8035),
    [sym_drop_model_statement] = STATE(8035),
    [sym_query_statement] = STATE(8035),
    [sym_set_operation] = STATE(6482),
    [sym_query_expr] = STATE(7380),
    [sym_select] = STATE(6482),
    [sym_cte_clause] = STATE(13016),
    [sym_insert_statement] = STATE(8035),
    [sym_delete_statement] = STATE(8035),
    [sym_truncate_statement] = STATE(8035),
    [sym_update_statement] = STATE(8035),
    [sym_merge_statement] = STATE(8035),
    [sym_grant_statement] = STATE(8035),
    [sym_revoke_statement] = STATE(8035),
    [sym_export_data_statement] = STATE(8035),
    [sym_load_data_statement] = STATE(8035),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(7),
    [aux_sym__keyword_alter_token1] = ACTIONS(9),
    [aux_sym__keyword_delete_token1] = ACTIONS(963),
    [aux_sym__keyword_begin_token1] = ACTIONS(13),
    [aux_sym__keyword_repeat_token1] = ACTIONS(15),
    [aux_sym__keyword_for_token1] = ACTIONS(17),
    [aux_sym_declare_statement_token1] = ACTIONS(969),
    [aux_sym_set_statement_token1] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(973),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(975),
    [aux_sym_return_satement_token1] = ACTIONS(27),
    [aux_sym_call_statement_token1] = ACTIONS(29),
    [aux_sym_loop_statement_token1] = ACTIONS(31),
    [aux_sym_while_statement_token1] = ACTIONS(33),
    [aux_sym_break_statement_token1] = ACTIONS(35),
    [aux_sym_leave_statement_token1] = ACTIONS(37),
    [aux_sym_continue_statement_token1] = ACTIONS(39),
    [aux_sym_iterate_statement_token1] = ACTIONS(41),
    [aux_sym_raise_statement_token1] = ACTIONS(979),
    [aux_sym_assert_statement_token1] = ACTIONS(981),
    [aux_sym_create_schema_statement_token1] = ACTIONS(983),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(49),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(51),
    [aux_sym_select_token1] = ACTIONS(985),
    [aux_sym_insert_statement_token1] = ACTIONS(987),
    [aux_sym_truncate_statement_token1] = ACTIONS(57),
    [aux_sym_update_statement_token1] = ACTIONS(989),
    [aux_sym_merge_statement_token1] = ACTIONS(991),
    [aux_sym_grant_statement_token1] = ACTIONS(63),
    [aux_sym_revoke_statement_token1] = ACTIONS(65),
    [aux_sym_export_data_statement_token1] = ACTIONS(993),
    [aux_sym_load_data_statement_token1] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
  },
  [190] = {
    [sym__keyword_between] = STATE(848),
    [sym__keyword_is] = STATE(12078),
    [sym__keyword_in] = STATE(1732),
    [sym__keyword_not] = STATE(13089),
    [sym__keyword_and] = STATE(1720),
    [sym__keyword_or] = STATE(1719),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16304),
    [sym_quantitve_like_operator] = STATE(16303),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_using_clause_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(917),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_group_by_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_where_clause_token1] = ACTIONS(917),
    [aux_sym_pivot_operator_token1] = ACTIONS(917),
    [aux_sym_unpivot_operator_token1] = ACTIONS(917),
    [aux_sym_tablesample_operator_token1] = ACTIONS(917),
    [aux_sym_join_type_token1] = ACTIONS(917),
    [aux_sym_join_type_token2] = ACTIONS(917),
    [aux_sym_join_type_token3] = ACTIONS(917),
    [aux_sym_join_type_token4] = ACTIONS(917),
    [aux_sym__cross_join_operation_token1] = ACTIONS(917),
    [aux_sym__cross_join_operation_token2] = ACTIONS(917),
    [aux_sym_join_condition_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_SLASH] = ACTIONS(1296),
    [anon_sym_PIPE_PIPE] = ACTIONS(1294),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [191] = {
    [sym__keyword_alter] = STATE(14478),
    [sym__keyword_delete] = STATE(11379),
    [sym__keyword_repeat] = STATE(200),
    [sym__keyword_for] = STATE(11539),
    [sym__statement] = STATE(9135),
    [aux_sym__statement_list] = STATE(132),
    [sym_declare_statement] = STATE(8035),
    [sym_set_statement] = STATE(8035),
    [sym_execute_immadiate_statement] = STATE(8035),
    [sym_return_satement] = STATE(8035),
    [sym_call_statement] = STATE(8035),
    [sym_begin_end_statement] = STATE(8035),
    [sym_begin_exception_end_statement] = STATE(8035),
    [sym_if_statement] = STATE(8035),
    [sym_loop_statement] = STATE(8035),
    [sym_repeat_statement] = STATE(8035),
    [sym_while_statement] = STATE(8035),
    [sym_for_in_statement] = STATE(8035),
    [sym_break_statement] = STATE(8035),
    [sym_leave_statement] = STATE(8035),
    [sym_continue_statement] = STATE(8035),
    [sym_iterate_statement] = STATE(8035),
    [sym_raise_statement] = STATE(8035),
    [sym_assert_statement] = STATE(8035),
    [sym_create_schema_statement] = STATE(8035),
    [sym_alter_schema_statement] = STATE(8035),
    [sym_drop_schema_statement] = STATE(8035),
    [sym_create_table_statement] = STATE(8035),
    [sym_create_table_like_statement] = STATE(8035),
    [sym_create_table_clone_statement] = STATE(8035),
    [sym_create_table_copy_statement] = STATE(8035),
    [sym_create_snapshot_table_statement] = STATE(8035),
    [sym_create_external_table_statement] = STATE(8035),
    [sym_alter_table_statement] = STATE(8035),
    [sym_alter_table_rename_statement] = STATE(8035),
    [sym_alter_table_column_statement] = STATE(8035),
    [sym_drop_table_statement] = STATE(8035),
    [sym_create_function_statement] = STATE(8035),
    [sym_create_remote_function_statement] = STATE(8035),
    [sym_drop_function_statement] = STATE(8035),
    [sym_create_table_function_statement] = STATE(8035),
    [sym_drop_table_function_statement] = STATE(8035),
    [sym_create_procedure_statement] = STATE(8035),
    [sym_drop_procedure_statement] = STATE(8035),
    [sym_create_model_statement] = STATE(8035),
    [sym_drop_model_statement] = STATE(8035),
    [sym_query_statement] = STATE(8035),
    [sym_set_operation] = STATE(6482),
    [sym_query_expr] = STATE(7380),
    [sym_select] = STATE(6482),
    [sym_cte_clause] = STATE(13016),
    [sym_insert_statement] = STATE(8035),
    [sym_delete_statement] = STATE(8035),
    [sym_truncate_statement] = STATE(8035),
    [sym_update_statement] = STATE(8035),
    [sym_merge_statement] = STATE(8035),
    [sym_grant_statement] = STATE(8035),
    [sym_revoke_statement] = STATE(8035),
    [sym_export_data_statement] = STATE(8035),
    [sym_load_data_statement] = STATE(8035),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(7),
    [aux_sym__keyword_alter_token1] = ACTIONS(9),
    [aux_sym__keyword_delete_token1] = ACTIONS(963),
    [aux_sym__keyword_begin_token1] = ACTIONS(13),
    [aux_sym__keyword_repeat_token1] = ACTIONS(15),
    [aux_sym__keyword_for_token1] = ACTIONS(17),
    [aux_sym_declare_statement_token1] = ACTIONS(969),
    [aux_sym_set_statement_token1] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(973),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(975),
    [aux_sym_return_satement_token1] = ACTIONS(27),
    [aux_sym_call_statement_token1] = ACTIONS(29),
    [aux_sym_loop_statement_token1] = ACTIONS(31),
    [aux_sym_while_statement_token1] = ACTIONS(33),
    [aux_sym_break_statement_token1] = ACTIONS(35),
    [aux_sym_leave_statement_token1] = ACTIONS(37),
    [aux_sym_continue_statement_token1] = ACTIONS(39),
    [aux_sym_iterate_statement_token1] = ACTIONS(41),
    [aux_sym_raise_statement_token1] = ACTIONS(979),
    [aux_sym_assert_statement_token1] = ACTIONS(981),
    [aux_sym_create_schema_statement_token1] = ACTIONS(983),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(49),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(51),
    [aux_sym_select_token1] = ACTIONS(985),
    [aux_sym_insert_statement_token1] = ACTIONS(987),
    [aux_sym_truncate_statement_token1] = ACTIONS(57),
    [aux_sym_update_statement_token1] = ACTIONS(989),
    [aux_sym_merge_statement_token1] = ACTIONS(991),
    [aux_sym_grant_statement_token1] = ACTIONS(63),
    [aux_sym_revoke_statement_token1] = ACTIONS(65),
    [aux_sym_export_data_statement_token1] = ACTIONS(993),
    [aux_sym_load_data_statement_token1] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
  },
  [192] = {
    [sym__keyword_between] = STATE(848),
    [sym__keyword_is] = STATE(12078),
    [sym__keyword_in] = STATE(1732),
    [sym__keyword_not] = STATE(13089),
    [sym__keyword_and] = STATE(1720),
    [sym__keyword_or] = STATE(1719),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16304),
    [sym_quantitve_like_operator] = STATE(16303),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_using_clause_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(917),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_group_by_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_where_clause_token1] = ACTIONS(917),
    [aux_sym_pivot_operator_token1] = ACTIONS(917),
    [aux_sym_unpivot_operator_token1] = ACTIONS(917),
    [aux_sym_tablesample_operator_token1] = ACTIONS(917),
    [aux_sym_join_type_token1] = ACTIONS(917),
    [aux_sym_join_type_token2] = ACTIONS(917),
    [aux_sym_join_type_token3] = ACTIONS(917),
    [aux_sym_join_type_token4] = ACTIONS(917),
    [aux_sym__cross_join_operation_token1] = ACTIONS(917),
    [aux_sym__cross_join_operation_token2] = ACTIONS(917),
    [aux_sym_join_condition_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_SLASH] = ACTIONS(1296),
    [anon_sym_PIPE_PIPE] = ACTIONS(1294),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(1298),
    [anon_sym_GT_GT] = ACTIONS(1298),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [193] = {
    [sym__keyword_between] = STATE(848),
    [sym__keyword_is] = STATE(12078),
    [sym__keyword_in] = STATE(1732),
    [sym__keyword_not] = STATE(13089),
    [sym__keyword_and] = STATE(1720),
    [sym__keyword_or] = STATE(1719),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16304),
    [sym_quantitve_like_operator] = STATE(16303),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_using_clause_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(917),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_group_by_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_where_clause_token1] = ACTIONS(917),
    [aux_sym_pivot_operator_token1] = ACTIONS(917),
    [aux_sym_unpivot_operator_token1] = ACTIONS(917),
    [aux_sym_tablesample_operator_token1] = ACTIONS(917),
    [aux_sym_join_type_token1] = ACTIONS(917),
    [aux_sym_join_type_token2] = ACTIONS(917),
    [aux_sym_join_type_token3] = ACTIONS(917),
    [aux_sym_join_type_token4] = ACTIONS(917),
    [aux_sym__cross_join_operation_token1] = ACTIONS(917),
    [aux_sym__cross_join_operation_token2] = ACTIONS(917),
    [aux_sym_join_condition_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_SLASH] = ACTIONS(1296),
    [anon_sym_PIPE_PIPE] = ACTIONS(1294),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(1298),
    [anon_sym_GT_GT] = ACTIONS(1298),
    [anon_sym_AMP] = ACTIONS(1300),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [194] = {
    [sym__keyword_between] = STATE(848),
    [sym__keyword_is] = STATE(12078),
    [sym__keyword_in] = STATE(1732),
    [sym__keyword_not] = STATE(13089),
    [sym__keyword_and] = STATE(1720),
    [sym__keyword_or] = STATE(1719),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16304),
    [sym_quantitve_like_operator] = STATE(16303),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_using_clause_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(917),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_group_by_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_where_clause_token1] = ACTIONS(917),
    [aux_sym_pivot_operator_token1] = ACTIONS(917),
    [aux_sym_unpivot_operator_token1] = ACTIONS(917),
    [aux_sym_tablesample_operator_token1] = ACTIONS(917),
    [aux_sym_join_type_token1] = ACTIONS(917),
    [aux_sym_join_type_token2] = ACTIONS(917),
    [aux_sym_join_type_token3] = ACTIONS(917),
    [aux_sym_join_type_token4] = ACTIONS(917),
    [aux_sym__cross_join_operation_token1] = ACTIONS(917),
    [aux_sym__cross_join_operation_token2] = ACTIONS(917),
    [aux_sym_join_condition_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_SLASH] = ACTIONS(1296),
    [anon_sym_PIPE_PIPE] = ACTIONS(1294),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(1298),
    [anon_sym_GT_GT] = ACTIONS(1298),
    [anon_sym_AMP] = ACTIONS(1300),
    [anon_sym_CARET] = ACTIONS(1302),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [195] = {
    [sym__keyword_between] = STATE(848),
    [sym__keyword_is] = STATE(12078),
    [sym__keyword_in] = STATE(1732),
    [sym__keyword_not] = STATE(13089),
    [sym__keyword_and] = STATE(1720),
    [sym__keyword_or] = STATE(1719),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16304),
    [sym_quantitve_like_operator] = STATE(16303),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(1280),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(1282),
    [aux_sym__keyword_in_token1] = ACTIONS(1284),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_using_clause_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(1288),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(1284),
    [anon_sym_GT] = ACTIONS(1284),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(917),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_group_by_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_where_clause_token1] = ACTIONS(917),
    [aux_sym_pivot_operator_token1] = ACTIONS(917),
    [aux_sym_unpivot_operator_token1] = ACTIONS(917),
    [aux_sym_tablesample_operator_token1] = ACTIONS(917),
    [aux_sym_join_type_token1] = ACTIONS(917),
    [aux_sym_join_type_token2] = ACTIONS(917),
    [aux_sym_join_type_token3] = ACTIONS(917),
    [aux_sym_join_type_token4] = ACTIONS(917),
    [aux_sym__cross_join_operation_token1] = ACTIONS(917),
    [aux_sym__cross_join_operation_token2] = ACTIONS(917),
    [aux_sym_join_condition_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_SLASH] = ACTIONS(1296),
    [anon_sym_PIPE_PIPE] = ACTIONS(1294),
    [anon_sym_LT_EQ] = ACTIONS(1288),
    [anon_sym_LT_GT] = ACTIONS(1288),
    [anon_sym_GT_EQ] = ACTIONS(1288),
    [anon_sym_BANG_EQ] = ACTIONS(1288),
    [anon_sym_LT_LT] = ACTIONS(1298),
    [anon_sym_GT_GT] = ACTIONS(1298),
    [anon_sym_AMP] = ACTIONS(1300),
    [anon_sym_CARET] = ACTIONS(1302),
    [anon_sym_PIPE] = ACTIONS(1304),
  },
  [196] = {
    [sym__keyword_between] = STATE(848),
    [sym__keyword_is] = STATE(12078),
    [sym__keyword_in] = STATE(1732),
    [sym__keyword_not] = STATE(13089),
    [sym__keyword_and] = STATE(1720),
    [sym__keyword_or] = STATE(1719),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16304),
    [sym_quantitve_like_operator] = STATE(16303),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(1280),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(1282),
    [aux_sym__keyword_in_token1] = ACTIONS(1284),
    [aux_sym__keyword_and_token1] = ACTIONS(1286),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_using_clause_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(1288),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(1284),
    [anon_sym_GT] = ACTIONS(1284),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(917),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_group_by_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_where_clause_token1] = ACTIONS(917),
    [aux_sym_pivot_operator_token1] = ACTIONS(917),
    [aux_sym_unpivot_operator_token1] = ACTIONS(917),
    [aux_sym_tablesample_operator_token1] = ACTIONS(917),
    [aux_sym_join_type_token1] = ACTIONS(917),
    [aux_sym_join_type_token2] = ACTIONS(917),
    [aux_sym_join_type_token3] = ACTIONS(917),
    [aux_sym_join_type_token4] = ACTIONS(917),
    [aux_sym__cross_join_operation_token1] = ACTIONS(917),
    [aux_sym__cross_join_operation_token2] = ACTIONS(917),
    [aux_sym_join_condition_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_SLASH] = ACTIONS(1296),
    [anon_sym_PIPE_PIPE] = ACTIONS(1294),
    [anon_sym_LT_EQ] = ACTIONS(1288),
    [anon_sym_LT_GT] = ACTIONS(1288),
    [anon_sym_GT_EQ] = ACTIONS(1288),
    [anon_sym_BANG_EQ] = ACTIONS(1288),
    [anon_sym_LT_LT] = ACTIONS(1298),
    [anon_sym_GT_GT] = ACTIONS(1298),
    [anon_sym_AMP] = ACTIONS(1300),
    [anon_sym_CARET] = ACTIONS(1302),
    [anon_sym_PIPE] = ACTIONS(1304),
  },
  [197] = {
    [sym__keyword_between] = STATE(848),
    [sym__keyword_is] = STATE(12078),
    [sym__keyword_in] = STATE(1732),
    [sym__keyword_not] = STATE(13089),
    [sym__keyword_and] = STATE(1720),
    [sym__keyword_or] = STATE(1719),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16304),
    [sym_quantitve_like_operator] = STATE(16303),
    [ts_builtin_sym_end] = ACTIONS(1039),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1039),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1039),
    [aux_sym_keyword_replace_token1] = ACTIONS(1041),
    [aux_sym__keyword_alter_token1] = ACTIONS(1039),
    [aux_sym__keyword_delete_token1] = ACTIONS(1039),
    [aux_sym__keyword_begin_token1] = ACTIONS(1039),
    [aux_sym__keyword_between_token1] = ACTIONS(1039),
    [aux_sym__keyword_when_token1] = ACTIONS(1039),
    [aux_sym__keyword_is_token1] = ACTIONS(1039),
    [aux_sym__keyword_in_token1] = ACTIONS(1041),
    [aux_sym__keyword_and_token1] = ACTIONS(1039),
    [aux_sym__keyword_like_token1] = ACTIONS(1039),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1039),
    [aux_sym__keyword_window_token1] = ACTIONS(1039),
    [aux_sym__keyword_for_token1] = ACTIONS(1039),
    [anon_sym_SEMI] = ACTIONS(1039),
    [aux_sym_declare_statement_token1] = ACTIONS(1039),
    [anon_sym_COMMA] = ACTIONS(1039),
    [aux_sym_set_statement_token1] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(1039),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1039),
    [aux_sym_using_clause_token1] = ACTIONS(1039),
    [aux_sym_return_satement_token1] = ACTIONS(1039),
    [aux_sym_call_statement_token1] = ACTIONS(1039),
    [aux_sym_loop_statement_token1] = ACTIONS(1039),
    [aux_sym_while_statement_token1] = ACTIONS(1039),
    [aux_sym_break_statement_token1] = ACTIONS(1039),
    [aux_sym_leave_statement_token1] = ACTIONS(1039),
    [aux_sym_continue_statement_token1] = ACTIONS(1039),
    [aux_sym_iterate_statement_token1] = ACTIONS(1039),
    [aux_sym_raise_statement_token1] = ACTIONS(1039),
    [anon_sym_EQ] = ACTIONS(1039),
    [aux_sym_assert_statement_token1] = ACTIONS(1039),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1039),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1039),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1039),
    [anon_sym_LT] = ACTIONS(1041),
    [anon_sym_GT] = ACTIONS(1041),
    [aux_sym_set_operation_token1] = ACTIONS(1039),
    [aux_sym_set_operation_token3] = ACTIONS(1039),
    [aux_sym_set_operation_token4] = ACTIONS(1039),
    [aux_sym_select_token1] = ACTIONS(1039),
    [aux_sym_having_clause_token1] = ACTIONS(1039),
    [aux_sym_qualify_clause_token1] = ACTIONS(1039),
    [aux_sym_limit_clause_token1] = ACTIONS(1039),
    [aux_sym_group_by_clause_token1] = ACTIONS(1039),
    [aux_sym_order_by_clause_token1] = ACTIONS(1039),
    [aux_sym_where_clause_token1] = ACTIONS(1039),
    [aux_sym_pivot_operator_token1] = ACTIONS(1039),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1039),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1039),
    [aux_sym_join_type_token1] = ACTIONS(1039),
    [aux_sym_join_type_token2] = ACTIONS(1039),
    [aux_sym_join_type_token3] = ACTIONS(1039),
    [aux_sym_join_type_token4] = ACTIONS(1039),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1039),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1039),
    [aux_sym_join_condition_token1] = ACTIONS(1039),
    [aux_sym_insert_statement_token1] = ACTIONS(1039),
    [aux_sym_truncate_statement_token1] = ACTIONS(1039),
    [aux_sym_update_statement_token1] = ACTIONS(1039),
    [aux_sym_merge_statement_token1] = ACTIONS(1039),
    [aux_sym_grant_statement_token1] = ACTIONS(1039),
    [aux_sym_revoke_statement_token1] = ACTIONS(1039),
    [aux_sym_export_data_statement_token1] = ACTIONS(1039),
    [aux_sym_load_data_statement_token1] = ACTIONS(1039),
    [anon_sym_LBRACK] = ACTIONS(1039),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1039),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_SLASH] = ACTIONS(1296),
    [anon_sym_PIPE_PIPE] = ACTIONS(1294),
    [anon_sym_LT_EQ] = ACTIONS(1039),
    [anon_sym_LT_GT] = ACTIONS(1039),
    [anon_sym_GT_EQ] = ACTIONS(1039),
    [anon_sym_BANG_EQ] = ACTIONS(1039),
    [anon_sym_LT_LT] = ACTIONS(1298),
    [anon_sym_GT_GT] = ACTIONS(1298),
    [anon_sym_AMP] = ACTIONS(1300),
    [anon_sym_CARET] = ACTIONS(1302),
    [anon_sym_PIPE] = ACTIONS(1304),
  },
  [198] = {
    [sym__keyword_as] = STATE(11593),
    [sym__keyword_date] = STATE(1884),
    [sym__keyword_datetime] = STATE(1884),
    [sym__keyword_time] = STATE(1884),
    [sym__keyword_timestamp] = STATE(1884),
    [sym_as_alias] = STATE(2480),
    [sym_unnest_withoffset] = STATE(2084),
    [sym__type_chrono] = STATE(1949),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2078),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [ts_builtin_sym_end] = ACTIONS(211),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(205),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(205),
    [aux_sym_keyword_replace_token1] = ACTIONS(205),
    [aux_sym__keyword_alter_token1] = ACTIONS(205),
    [aux_sym__keyword_from_token1] = ACTIONS(205),
    [aux_sym__keyword_delete_token1] = ACTIONS(205),
    [aux_sym__keyword_begin_token1] = ACTIONS(205),
    [aux_sym__keyword_between_token1] = ACTIONS(205),
    [aux_sym__keyword_when_token1] = ACTIONS(205),
    [aux_sym__keyword_is_token1] = ACTIONS(205),
    [aux_sym__keyword_in_token1] = ACTIONS(205),
    [aux_sym__keyword_and_token1] = ACTIONS(205),
    [aux_sym__keyword_like_token1] = ACTIONS(205),
    [aux_sym__keyword_repeat_token1] = ACTIONS(205),
    [aux_sym__keyword_as_token1] = ACTIONS(1266),
    [aux_sym__keyword_window_token1] = ACTIONS(205),
    [aux_sym__keyword_date_token1] = ACTIONS(1268),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1268),
    [aux_sym__keyword_time_token1] = ACTIONS(1268),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1268),
    [aux_sym__keyword_for_token1] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(211),
    [aux_sym_declare_statement_token1] = ACTIONS(205),
    [anon_sym_COMMA] = ACTIONS(211),
    [aux_sym_set_statement_token1] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(211),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(205),
    [aux_sym_return_satement_token1] = ACTIONS(205),
    [aux_sym_call_statement_token1] = ACTIONS(205),
    [aux_sym_loop_statement_token1] = ACTIONS(205),
    [aux_sym_while_statement_token1] = ACTIONS(205),
    [aux_sym_break_statement_token1] = ACTIONS(205),
    [aux_sym_leave_statement_token1] = ACTIONS(205),
    [aux_sym_continue_statement_token1] = ACTIONS(205),
    [aux_sym_iterate_statement_token1] = ACTIONS(205),
    [aux_sym_raise_statement_token1] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(211),
    [aux_sym_assert_statement_token1] = ACTIONS(205),
    [aux_sym_create_schema_statement_token1] = ACTIONS(205),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(205),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1316),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [aux_sym_set_operation_token1] = ACTIONS(205),
    [aux_sym_set_operation_token3] = ACTIONS(205),
    [aux_sym_set_operation_token4] = ACTIONS(205),
    [aux_sym_select_token1] = ACTIONS(205),
    [aux_sym_having_clause_token1] = ACTIONS(205),
    [aux_sym_qualify_clause_token1] = ACTIONS(205),
    [aux_sym_limit_clause_token1] = ACTIONS(205),
    [aux_sym_group_by_clause_token1] = ACTIONS(205),
    [aux_sym_order_by_clause_token1] = ACTIONS(205),
    [aux_sym_where_clause_token1] = ACTIONS(205),
    [aux_sym_insert_statement_token1] = ACTIONS(205),
    [aux_sym_truncate_statement_token1] = ACTIONS(205),
    [aux_sym_update_statement_token1] = ACTIONS(205),
    [aux_sym_merge_statement_token1] = ACTIONS(205),
    [aux_sym_grant_statement_token1] = ACTIONS(205),
    [aux_sym_revoke_statement_token1] = ACTIONS(205),
    [aux_sym_export_data_statement_token1] = ACTIONS(205),
    [aux_sym_load_data_statement_token1] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(211),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(211),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(211),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(211),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_LT_GT] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(211),
    [anon_sym_GT_GT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_CARET] = ACTIONS(211),
    [anon_sym_PIPE] = ACTIONS(205),
  },
  [199] = {
    [sym__keyword_between] = STATE(1827),
    [sym__keyword_is] = STATE(12033),
    [sym__keyword_in] = STATE(1775),
    [sym__keyword_not] = STATE(13068),
    [sym__keyword_and] = STATE(1837),
    [sym__keyword_or] = STATE(1873),
    [sym__keyword_like] = STATE(14280),
    [sym__keyword_as] = STATE(11541),
    [sym__keyword_date] = STATE(2774),
    [sym__keyword_datetime] = STATE(2774),
    [sym__keyword_time] = STATE(2774),
    [sym__keyword_timestamp] = STATE(2774),
    [sym_as_alias] = STATE(5376),
    [sym__type_chrono] = STATE(2771),
    [sym__identifier] = STATE(2405),
    [sym__dotted_identifier] = STATE(13807),
    [sym_identifier] = STATE(4403),
    [sym_like_operator] = STATE(16337),
    [sym_quantitve_like_operator] = STATE(16336),
    [aux_sym_identifier_repeat1] = STATE(13807),
    [sym__unquoted_identifier] = ACTIONS(335),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(337),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(339),
    [aux_sym_keyword_replace_token1] = ACTIONS(341),
    [aux_sym__keyword_alter_token1] = ACTIONS(337),
    [aux_sym__keyword_delete_token1] = ACTIONS(337),
    [aux_sym__keyword_begin_token1] = ACTIONS(337),
    [aux_sym__keyword_end_token1] = ACTIONS(337),
    [aux_sym__keyword_between_token1] = ACTIONS(1318),
    [aux_sym__keyword_else_token1] = ACTIONS(337),
    [aux_sym__keyword_is_token1] = ACTIONS(1320),
    [aux_sym__keyword_in_token1] = ACTIONS(1322),
    [aux_sym__keyword_and_token1] = ACTIONS(1324),
    [aux_sym__keyword_like_token1] = ACTIONS(351),
    [aux_sym__keyword_repeat_token1] = ACTIONS(337),
    [aux_sym__keyword_as_token1] = ACTIONS(1326),
    [aux_sym__keyword_date_token1] = ACTIONS(1328),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1328),
    [aux_sym__keyword_time_token1] = ACTIONS(1328),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1328),
    [aux_sym__keyword_for_token1] = ACTIONS(337),
    [anon_sym_SEMI] = ACTIONS(357),
    [aux_sym_declare_statement_token1] = ACTIONS(337),
    [anon_sym_COMMA] = ACTIONS(357),
    [aux_sym_set_statement_token1] = ACTIONS(337),
    [anon_sym_LPAREN] = ACTIONS(357),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(337),
    [aux_sym_return_satement_token1] = ACTIONS(337),
    [aux_sym_call_statement_token1] = ACTIONS(337),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(337),
    [aux_sym_if_statement_token1] = ACTIONS(337),
    [aux_sym_loop_statement_token1] = ACTIONS(337),
    [aux_sym_repeat_statement_token1] = ACTIONS(337),
    [aux_sym_while_statement_token1] = ACTIONS(337),
    [aux_sym_break_statement_token1] = ACTIONS(337),
    [aux_sym_leave_statement_token1] = ACTIONS(337),
    [aux_sym_continue_statement_token1] = ACTIONS(337),
    [aux_sym_iterate_statement_token1] = ACTIONS(337),
    [aux_sym_raise_statement_token1] = ACTIONS(337),
    [anon_sym_EQ] = ACTIONS(1330),
    [aux_sym_assert_statement_token1] = ACTIONS(337),
    [aux_sym_create_schema_statement_token1] = ACTIONS(337),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(337),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(337),
    [anon_sym_LT] = ACTIONS(1322),
    [anon_sym_GT] = ACTIONS(1322),
    [aux_sym_select_token1] = ACTIONS(337),
    [aux_sym_insert_statement_token1] = ACTIONS(337),
    [aux_sym_truncate_statement_token1] = ACTIONS(337),
    [aux_sym_update_statement_token1] = ACTIONS(337),
    [aux_sym_merge_statement_token1] = ACTIONS(337),
    [aux_sym_grant_statement_token1] = ACTIONS(337),
    [aux_sym_revoke_statement_token1] = ACTIONS(337),
    [aux_sym_export_data_statement_token1] = ACTIONS(337),
    [aux_sym_load_data_statement_token1] = ACTIONS(337),
    [anon_sym_LBRACK] = ACTIONS(1332),
    [sym__quoted_identifier] = ACTIONS(363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1334),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1338),
    [anon_sym_STAR] = ACTIONS(1340),
    [anon_sym_SLASH] = ACTIONS(1342),
    [anon_sym_PIPE_PIPE] = ACTIONS(1340),
    [anon_sym_LT_EQ] = ACTIONS(1330),
    [anon_sym_LT_GT] = ACTIONS(1330),
    [anon_sym_GT_EQ] = ACTIONS(1330),
    [anon_sym_BANG_EQ] = ACTIONS(1330),
    [anon_sym_LT_LT] = ACTIONS(1344),
    [anon_sym_GT_GT] = ACTIONS(1344),
    [anon_sym_AMP] = ACTIONS(1346),
    [anon_sym_CARET] = ACTIONS(1348),
    [anon_sym_PIPE] = ACTIONS(1350),
  },
  [200] = {
    [sym__keyword_alter] = STATE(14478),
    [sym__keyword_delete] = STATE(11379),
    [sym__keyword_repeat] = STATE(200),
    [sym__keyword_for] = STATE(11539),
    [sym__statement] = STATE(9135),
    [aux_sym__statement_list] = STATE(147),
    [sym_declare_statement] = STATE(8035),
    [sym_set_statement] = STATE(8035),
    [sym_execute_immadiate_statement] = STATE(8035),
    [sym_return_satement] = STATE(8035),
    [sym_call_statement] = STATE(8035),
    [sym_begin_end_statement] = STATE(8035),
    [sym_begin_exception_end_statement] = STATE(8035),
    [sym_if_statement] = STATE(8035),
    [sym_loop_statement] = STATE(8035),
    [sym_repeat_statement] = STATE(8035),
    [sym_while_statement] = STATE(8035),
    [sym_for_in_statement] = STATE(8035),
    [sym_break_statement] = STATE(8035),
    [sym_leave_statement] = STATE(8035),
    [sym_continue_statement] = STATE(8035),
    [sym_iterate_statement] = STATE(8035),
    [sym_raise_statement] = STATE(8035),
    [sym_assert_statement] = STATE(8035),
    [sym_create_schema_statement] = STATE(8035),
    [sym_alter_schema_statement] = STATE(8035),
    [sym_drop_schema_statement] = STATE(8035),
    [sym_create_table_statement] = STATE(8035),
    [sym_create_table_like_statement] = STATE(8035),
    [sym_create_table_clone_statement] = STATE(8035),
    [sym_create_table_copy_statement] = STATE(8035),
    [sym_create_snapshot_table_statement] = STATE(8035),
    [sym_create_external_table_statement] = STATE(8035),
    [sym_alter_table_statement] = STATE(8035),
    [sym_alter_table_rename_statement] = STATE(8035),
    [sym_alter_table_column_statement] = STATE(8035),
    [sym_drop_table_statement] = STATE(8035),
    [sym_create_function_statement] = STATE(8035),
    [sym_create_remote_function_statement] = STATE(8035),
    [sym_drop_function_statement] = STATE(8035),
    [sym_create_table_function_statement] = STATE(8035),
    [sym_drop_table_function_statement] = STATE(8035),
    [sym_create_procedure_statement] = STATE(8035),
    [sym_drop_procedure_statement] = STATE(8035),
    [sym_create_model_statement] = STATE(8035),
    [sym_drop_model_statement] = STATE(8035),
    [sym_query_statement] = STATE(8035),
    [sym_set_operation] = STATE(6482),
    [sym_query_expr] = STATE(7380),
    [sym_select] = STATE(6482),
    [sym_cte_clause] = STATE(13016),
    [sym_insert_statement] = STATE(8035),
    [sym_delete_statement] = STATE(8035),
    [sym_truncate_statement] = STATE(8035),
    [sym_update_statement] = STATE(8035),
    [sym_merge_statement] = STATE(8035),
    [sym_grant_statement] = STATE(8035),
    [sym_revoke_statement] = STATE(8035),
    [sym_export_data_statement] = STATE(8035),
    [sym_load_data_statement] = STATE(8035),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(7),
    [aux_sym__keyword_alter_token1] = ACTIONS(9),
    [aux_sym__keyword_delete_token1] = ACTIONS(963),
    [aux_sym__keyword_begin_token1] = ACTIONS(13),
    [aux_sym__keyword_repeat_token1] = ACTIONS(15),
    [aux_sym__keyword_for_token1] = ACTIONS(17),
    [aux_sym_declare_statement_token1] = ACTIONS(969),
    [aux_sym_set_statement_token1] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(973),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(975),
    [aux_sym_return_satement_token1] = ACTIONS(27),
    [aux_sym_call_statement_token1] = ACTIONS(29),
    [aux_sym_loop_statement_token1] = ACTIONS(31),
    [aux_sym_while_statement_token1] = ACTIONS(33),
    [aux_sym_break_statement_token1] = ACTIONS(35),
    [aux_sym_leave_statement_token1] = ACTIONS(37),
    [aux_sym_continue_statement_token1] = ACTIONS(39),
    [aux_sym_iterate_statement_token1] = ACTIONS(41),
    [aux_sym_raise_statement_token1] = ACTIONS(979),
    [aux_sym_assert_statement_token1] = ACTIONS(981),
    [aux_sym_create_schema_statement_token1] = ACTIONS(983),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(49),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(51),
    [aux_sym_select_token1] = ACTIONS(985),
    [aux_sym_insert_statement_token1] = ACTIONS(987),
    [aux_sym_truncate_statement_token1] = ACTIONS(57),
    [aux_sym_update_statement_token1] = ACTIONS(989),
    [aux_sym_merge_statement_token1] = ACTIONS(991),
    [aux_sym_grant_statement_token1] = ACTIONS(63),
    [aux_sym_revoke_statement_token1] = ACTIONS(65),
    [aux_sym_export_data_statement_token1] = ACTIONS(993),
    [aux_sym_load_data_statement_token1] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
  },
  [201] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_bigquery_resource] = STATE(12907),
    [sym_argument] = STATE(12997),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(11117),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9546),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_asterisk_expression] = STATE(12997),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_create_table_statement_token1] = ACTIONS(1278),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_create_model_statement_token1] = ACTIONS(1278),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [202] = {
    [sym__keyword_alter] = STATE(14478),
    [sym__keyword_delete] = STATE(11379),
    [sym__keyword_repeat] = STATE(200),
    [sym__keyword_for] = STATE(11539),
    [sym__statement] = STATE(9135),
    [aux_sym__statement_list] = STATE(164),
    [sym_declare_statement] = STATE(8035),
    [sym_set_statement] = STATE(8035),
    [sym_execute_immadiate_statement] = STATE(8035),
    [sym_return_satement] = STATE(8035),
    [sym_call_statement] = STATE(8035),
    [sym_begin_end_statement] = STATE(8035),
    [sym_begin_exception_end_statement] = STATE(8035),
    [sym_if_statement] = STATE(8035),
    [sym_loop_statement] = STATE(8035),
    [sym_repeat_statement] = STATE(8035),
    [sym_while_statement] = STATE(8035),
    [sym_for_in_statement] = STATE(8035),
    [sym_break_statement] = STATE(8035),
    [sym_leave_statement] = STATE(8035),
    [sym_continue_statement] = STATE(8035),
    [sym_iterate_statement] = STATE(8035),
    [sym_raise_statement] = STATE(8035),
    [sym_assert_statement] = STATE(8035),
    [sym_create_schema_statement] = STATE(8035),
    [sym_alter_schema_statement] = STATE(8035),
    [sym_drop_schema_statement] = STATE(8035),
    [sym_create_table_statement] = STATE(8035),
    [sym_create_table_like_statement] = STATE(8035),
    [sym_create_table_clone_statement] = STATE(8035),
    [sym_create_table_copy_statement] = STATE(8035),
    [sym_create_snapshot_table_statement] = STATE(8035),
    [sym_create_external_table_statement] = STATE(8035),
    [sym_alter_table_statement] = STATE(8035),
    [sym_alter_table_rename_statement] = STATE(8035),
    [sym_alter_table_column_statement] = STATE(8035),
    [sym_drop_table_statement] = STATE(8035),
    [sym_create_function_statement] = STATE(8035),
    [sym_create_remote_function_statement] = STATE(8035),
    [sym_drop_function_statement] = STATE(8035),
    [sym_create_table_function_statement] = STATE(8035),
    [sym_drop_table_function_statement] = STATE(8035),
    [sym_create_procedure_statement] = STATE(8035),
    [sym_drop_procedure_statement] = STATE(8035),
    [sym_create_model_statement] = STATE(8035),
    [sym_drop_model_statement] = STATE(8035),
    [sym_query_statement] = STATE(8035),
    [sym_set_operation] = STATE(6482),
    [sym_query_expr] = STATE(7380),
    [sym_select] = STATE(6482),
    [sym_cte_clause] = STATE(13016),
    [sym_insert_statement] = STATE(8035),
    [sym_delete_statement] = STATE(8035),
    [sym_truncate_statement] = STATE(8035),
    [sym_update_statement] = STATE(8035),
    [sym_merge_statement] = STATE(8035),
    [sym_grant_statement] = STATE(8035),
    [sym_revoke_statement] = STATE(8035),
    [sym_export_data_statement] = STATE(8035),
    [sym_load_data_statement] = STATE(8035),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(7),
    [aux_sym__keyword_alter_token1] = ACTIONS(9),
    [aux_sym__keyword_delete_token1] = ACTIONS(963),
    [aux_sym__keyword_begin_token1] = ACTIONS(13),
    [aux_sym__keyword_repeat_token1] = ACTIONS(15),
    [aux_sym__keyword_for_token1] = ACTIONS(17),
    [aux_sym_declare_statement_token1] = ACTIONS(969),
    [aux_sym_set_statement_token1] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(973),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(975),
    [aux_sym_return_satement_token1] = ACTIONS(27),
    [aux_sym_call_statement_token1] = ACTIONS(29),
    [aux_sym_loop_statement_token1] = ACTIONS(31),
    [aux_sym_while_statement_token1] = ACTIONS(33),
    [aux_sym_break_statement_token1] = ACTIONS(35),
    [aux_sym_leave_statement_token1] = ACTIONS(37),
    [aux_sym_continue_statement_token1] = ACTIONS(39),
    [aux_sym_iterate_statement_token1] = ACTIONS(41),
    [aux_sym_raise_statement_token1] = ACTIONS(979),
    [aux_sym_assert_statement_token1] = ACTIONS(981),
    [aux_sym_create_schema_statement_token1] = ACTIONS(983),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(49),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(51),
    [aux_sym_select_token1] = ACTIONS(985),
    [aux_sym_insert_statement_token1] = ACTIONS(987),
    [aux_sym_truncate_statement_token1] = ACTIONS(57),
    [aux_sym_update_statement_token1] = ACTIONS(989),
    [aux_sym_merge_statement_token1] = ACTIONS(991),
    [aux_sym_grant_statement_token1] = ACTIONS(63),
    [aux_sym_revoke_statement_token1] = ACTIONS(65),
    [aux_sym_export_data_statement_token1] = ACTIONS(993),
    [aux_sym_load_data_statement_token1] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
  },
  [203] = {
    [sym__keyword_between] = STATE(848),
    [sym__keyword_is] = STATE(12078),
    [sym__keyword_in] = STATE(1732),
    [sym__keyword_not] = STATE(13089),
    [sym__keyword_and] = STATE(1720),
    [sym__keyword_or] = STATE(1719),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16304),
    [sym_quantitve_like_operator] = STATE(16303),
    [ts_builtin_sym_end] = ACTIONS(1031),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1031),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1031),
    [aux_sym_keyword_replace_token1] = ACTIONS(1033),
    [aux_sym__keyword_alter_token1] = ACTIONS(1031),
    [aux_sym__keyword_delete_token1] = ACTIONS(1031),
    [aux_sym__keyword_begin_token1] = ACTIONS(1031),
    [aux_sym__keyword_between_token1] = ACTIONS(1031),
    [aux_sym__keyword_when_token1] = ACTIONS(1031),
    [aux_sym__keyword_is_token1] = ACTIONS(1031),
    [aux_sym__keyword_in_token1] = ACTIONS(1033),
    [aux_sym__keyword_and_token1] = ACTIONS(1031),
    [aux_sym__keyword_like_token1] = ACTIONS(1031),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1031),
    [aux_sym__keyword_window_token1] = ACTIONS(1031),
    [aux_sym__keyword_for_token1] = ACTIONS(1031),
    [anon_sym_SEMI] = ACTIONS(1031),
    [aux_sym_declare_statement_token1] = ACTIONS(1031),
    [anon_sym_COMMA] = ACTIONS(1031),
    [aux_sym_set_statement_token1] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1031),
    [aux_sym_using_clause_token1] = ACTIONS(1031),
    [aux_sym_return_satement_token1] = ACTIONS(1031),
    [aux_sym_call_statement_token1] = ACTIONS(1031),
    [aux_sym_loop_statement_token1] = ACTIONS(1031),
    [aux_sym_while_statement_token1] = ACTIONS(1031),
    [aux_sym_break_statement_token1] = ACTIONS(1031),
    [aux_sym_leave_statement_token1] = ACTIONS(1031),
    [aux_sym_continue_statement_token1] = ACTIONS(1031),
    [aux_sym_iterate_statement_token1] = ACTIONS(1031),
    [aux_sym_raise_statement_token1] = ACTIONS(1031),
    [anon_sym_EQ] = ACTIONS(1031),
    [aux_sym_assert_statement_token1] = ACTIONS(1031),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1031),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1031),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1031),
    [anon_sym_LT] = ACTIONS(1033),
    [anon_sym_GT] = ACTIONS(1033),
    [aux_sym_set_operation_token1] = ACTIONS(1031),
    [aux_sym_set_operation_token3] = ACTIONS(1031),
    [aux_sym_set_operation_token4] = ACTIONS(1031),
    [aux_sym_select_token1] = ACTIONS(1031),
    [aux_sym_having_clause_token1] = ACTIONS(1031),
    [aux_sym_qualify_clause_token1] = ACTIONS(1031),
    [aux_sym_limit_clause_token1] = ACTIONS(1031),
    [aux_sym_group_by_clause_token1] = ACTIONS(1031),
    [aux_sym_order_by_clause_token1] = ACTIONS(1031),
    [aux_sym_where_clause_token1] = ACTIONS(1031),
    [aux_sym_pivot_operator_token1] = ACTIONS(1031),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1031),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1031),
    [aux_sym_join_type_token1] = ACTIONS(1031),
    [aux_sym_join_type_token2] = ACTIONS(1031),
    [aux_sym_join_type_token3] = ACTIONS(1031),
    [aux_sym_join_type_token4] = ACTIONS(1031),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1031),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1031),
    [aux_sym_join_condition_token1] = ACTIONS(1031),
    [aux_sym_insert_statement_token1] = ACTIONS(1031),
    [aux_sym_truncate_statement_token1] = ACTIONS(1031),
    [aux_sym_update_statement_token1] = ACTIONS(1031),
    [aux_sym_merge_statement_token1] = ACTIONS(1031),
    [aux_sym_grant_statement_token1] = ACTIONS(1031),
    [aux_sym_revoke_statement_token1] = ACTIONS(1031),
    [aux_sym_export_data_statement_token1] = ACTIONS(1031),
    [aux_sym_load_data_statement_token1] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1031),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_SLASH] = ACTIONS(1296),
    [anon_sym_PIPE_PIPE] = ACTIONS(1294),
    [anon_sym_LT_EQ] = ACTIONS(1031),
    [anon_sym_LT_GT] = ACTIONS(1031),
    [anon_sym_GT_EQ] = ACTIONS(1031),
    [anon_sym_BANG_EQ] = ACTIONS(1031),
    [anon_sym_LT_LT] = ACTIONS(1298),
    [anon_sym_GT_GT] = ACTIONS(1298),
    [anon_sym_AMP] = ACTIONS(1300),
    [anon_sym_CARET] = ACTIONS(1302),
    [anon_sym_PIPE] = ACTIONS(1304),
  },
  [204] = {
    [sym__keyword_between] = STATE(848),
    [sym__keyword_is] = STATE(12078),
    [sym__keyword_in] = STATE(1732),
    [sym__keyword_not] = STATE(13089),
    [sym__keyword_and] = STATE(1720),
    [sym__keyword_or] = STATE(1719),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16304),
    [sym_quantitve_like_operator] = STATE(16303),
    [ts_builtin_sym_end] = ACTIONS(1035),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1035),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1035),
    [aux_sym_keyword_replace_token1] = ACTIONS(1037),
    [aux_sym__keyword_alter_token1] = ACTIONS(1035),
    [aux_sym__keyword_delete_token1] = ACTIONS(1035),
    [aux_sym__keyword_begin_token1] = ACTIONS(1035),
    [aux_sym__keyword_between_token1] = ACTIONS(1035),
    [aux_sym__keyword_when_token1] = ACTIONS(1035),
    [aux_sym__keyword_is_token1] = ACTIONS(1035),
    [aux_sym__keyword_in_token1] = ACTIONS(1037),
    [aux_sym__keyword_and_token1] = ACTIONS(1035),
    [aux_sym__keyword_like_token1] = ACTIONS(1035),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1035),
    [aux_sym__keyword_window_token1] = ACTIONS(1035),
    [aux_sym__keyword_for_token1] = ACTIONS(1035),
    [anon_sym_SEMI] = ACTIONS(1035),
    [aux_sym_declare_statement_token1] = ACTIONS(1035),
    [anon_sym_COMMA] = ACTIONS(1035),
    [aux_sym_set_statement_token1] = ACTIONS(1035),
    [anon_sym_LPAREN] = ACTIONS(1035),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1035),
    [aux_sym_using_clause_token1] = ACTIONS(1035),
    [aux_sym_return_satement_token1] = ACTIONS(1035),
    [aux_sym_call_statement_token1] = ACTIONS(1035),
    [aux_sym_loop_statement_token1] = ACTIONS(1035),
    [aux_sym_while_statement_token1] = ACTIONS(1035),
    [aux_sym_break_statement_token1] = ACTIONS(1035),
    [aux_sym_leave_statement_token1] = ACTIONS(1035),
    [aux_sym_continue_statement_token1] = ACTIONS(1035),
    [aux_sym_iterate_statement_token1] = ACTIONS(1035),
    [aux_sym_raise_statement_token1] = ACTIONS(1035),
    [anon_sym_EQ] = ACTIONS(1035),
    [aux_sym_assert_statement_token1] = ACTIONS(1035),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1035),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1035),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1035),
    [anon_sym_LT] = ACTIONS(1037),
    [anon_sym_GT] = ACTIONS(1037),
    [aux_sym_set_operation_token1] = ACTIONS(1035),
    [aux_sym_set_operation_token3] = ACTIONS(1035),
    [aux_sym_set_operation_token4] = ACTIONS(1035),
    [aux_sym_select_token1] = ACTIONS(1035),
    [aux_sym_having_clause_token1] = ACTIONS(1035),
    [aux_sym_qualify_clause_token1] = ACTIONS(1035),
    [aux_sym_limit_clause_token1] = ACTIONS(1035),
    [aux_sym_group_by_clause_token1] = ACTIONS(1035),
    [aux_sym_order_by_clause_token1] = ACTIONS(1035),
    [aux_sym_where_clause_token1] = ACTIONS(1035),
    [aux_sym_pivot_operator_token1] = ACTIONS(1035),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1035),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1035),
    [aux_sym_join_type_token1] = ACTIONS(1035),
    [aux_sym_join_type_token2] = ACTIONS(1035),
    [aux_sym_join_type_token3] = ACTIONS(1035),
    [aux_sym_join_type_token4] = ACTIONS(1035),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1035),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1035),
    [aux_sym_join_condition_token1] = ACTIONS(1035),
    [aux_sym_insert_statement_token1] = ACTIONS(1035),
    [aux_sym_truncate_statement_token1] = ACTIONS(1035),
    [aux_sym_update_statement_token1] = ACTIONS(1035),
    [aux_sym_merge_statement_token1] = ACTIONS(1035),
    [aux_sym_grant_statement_token1] = ACTIONS(1035),
    [aux_sym_revoke_statement_token1] = ACTIONS(1035),
    [aux_sym_export_data_statement_token1] = ACTIONS(1035),
    [aux_sym_load_data_statement_token1] = ACTIONS(1035),
    [anon_sym_LBRACK] = ACTIONS(1035),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1035),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_SLASH] = ACTIONS(1296),
    [anon_sym_PIPE_PIPE] = ACTIONS(1294),
    [anon_sym_LT_EQ] = ACTIONS(1035),
    [anon_sym_LT_GT] = ACTIONS(1035),
    [anon_sym_GT_EQ] = ACTIONS(1035),
    [anon_sym_BANG_EQ] = ACTIONS(1035),
    [anon_sym_LT_LT] = ACTIONS(1298),
    [anon_sym_GT_GT] = ACTIONS(1298),
    [anon_sym_AMP] = ACTIONS(1300),
    [anon_sym_CARET] = ACTIONS(1302),
    [anon_sym_PIPE] = ACTIONS(1304),
  },
  [205] = {
    [sym__keyword_between] = STATE(848),
    [sym__keyword_is] = STATE(12078),
    [sym__keyword_in] = STATE(1732),
    [sym__keyword_not] = STATE(13089),
    [sym__keyword_and] = STATE(1720),
    [sym__keyword_or] = STATE(1719),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16304),
    [sym_quantitve_like_operator] = STATE(16303),
    [ts_builtin_sym_end] = ACTIONS(1023),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1023),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1023),
    [aux_sym_keyword_replace_token1] = ACTIONS(1025),
    [aux_sym__keyword_alter_token1] = ACTIONS(1023),
    [aux_sym__keyword_delete_token1] = ACTIONS(1023),
    [aux_sym__keyword_begin_token1] = ACTIONS(1023),
    [aux_sym__keyword_between_token1] = ACTIONS(1023),
    [aux_sym__keyword_when_token1] = ACTIONS(1023),
    [aux_sym__keyword_is_token1] = ACTIONS(1023),
    [aux_sym__keyword_in_token1] = ACTIONS(1025),
    [aux_sym__keyword_and_token1] = ACTIONS(1023),
    [aux_sym__keyword_like_token1] = ACTIONS(1023),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1023),
    [aux_sym__keyword_window_token1] = ACTIONS(1023),
    [aux_sym__keyword_for_token1] = ACTIONS(1023),
    [anon_sym_SEMI] = ACTIONS(1023),
    [aux_sym_declare_statement_token1] = ACTIONS(1023),
    [anon_sym_COMMA] = ACTIONS(1023),
    [aux_sym_set_statement_token1] = ACTIONS(1023),
    [anon_sym_LPAREN] = ACTIONS(1023),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1023),
    [aux_sym_using_clause_token1] = ACTIONS(1023),
    [aux_sym_return_satement_token1] = ACTIONS(1023),
    [aux_sym_call_statement_token1] = ACTIONS(1023),
    [aux_sym_loop_statement_token1] = ACTIONS(1023),
    [aux_sym_while_statement_token1] = ACTIONS(1023),
    [aux_sym_break_statement_token1] = ACTIONS(1023),
    [aux_sym_leave_statement_token1] = ACTIONS(1023),
    [aux_sym_continue_statement_token1] = ACTIONS(1023),
    [aux_sym_iterate_statement_token1] = ACTIONS(1023),
    [aux_sym_raise_statement_token1] = ACTIONS(1023),
    [anon_sym_EQ] = ACTIONS(1023),
    [aux_sym_assert_statement_token1] = ACTIONS(1023),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1023),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1023),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1023),
    [anon_sym_LT] = ACTIONS(1025),
    [anon_sym_GT] = ACTIONS(1025),
    [aux_sym_set_operation_token1] = ACTIONS(1023),
    [aux_sym_set_operation_token3] = ACTIONS(1023),
    [aux_sym_set_operation_token4] = ACTIONS(1023),
    [aux_sym_select_token1] = ACTIONS(1023),
    [aux_sym_having_clause_token1] = ACTIONS(1023),
    [aux_sym_qualify_clause_token1] = ACTIONS(1023),
    [aux_sym_limit_clause_token1] = ACTIONS(1023),
    [aux_sym_group_by_clause_token1] = ACTIONS(1023),
    [aux_sym_order_by_clause_token1] = ACTIONS(1023),
    [aux_sym_where_clause_token1] = ACTIONS(1023),
    [aux_sym_pivot_operator_token1] = ACTIONS(1023),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1023),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1023),
    [aux_sym_join_type_token1] = ACTIONS(1023),
    [aux_sym_join_type_token2] = ACTIONS(1023),
    [aux_sym_join_type_token3] = ACTIONS(1023),
    [aux_sym_join_type_token4] = ACTIONS(1023),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1023),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1023),
    [aux_sym_join_condition_token1] = ACTIONS(1023),
    [aux_sym_insert_statement_token1] = ACTIONS(1023),
    [aux_sym_truncate_statement_token1] = ACTIONS(1023),
    [aux_sym_update_statement_token1] = ACTIONS(1023),
    [aux_sym_merge_statement_token1] = ACTIONS(1023),
    [aux_sym_grant_statement_token1] = ACTIONS(1023),
    [aux_sym_revoke_statement_token1] = ACTIONS(1023),
    [aux_sym_export_data_statement_token1] = ACTIONS(1023),
    [aux_sym_load_data_statement_token1] = ACTIONS(1023),
    [anon_sym_LBRACK] = ACTIONS(1023),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1023),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_SLASH] = ACTIONS(1296),
    [anon_sym_PIPE_PIPE] = ACTIONS(1294),
    [anon_sym_LT_EQ] = ACTIONS(1023),
    [anon_sym_LT_GT] = ACTIONS(1023),
    [anon_sym_GT_EQ] = ACTIONS(1023),
    [anon_sym_BANG_EQ] = ACTIONS(1023),
    [anon_sym_LT_LT] = ACTIONS(1298),
    [anon_sym_GT_GT] = ACTIONS(1298),
    [anon_sym_AMP] = ACTIONS(1300),
    [anon_sym_CARET] = ACTIONS(1302),
    [anon_sym_PIPE] = ACTIONS(1304),
  },
  [206] = {
    [sym__keyword_between] = STATE(848),
    [sym__keyword_is] = STATE(12078),
    [sym__keyword_in] = STATE(1732),
    [sym__keyword_not] = STATE(13089),
    [sym__keyword_and] = STATE(1720),
    [sym__keyword_or] = STATE(1719),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16304),
    [sym_quantitve_like_operator] = STATE(16303),
    [ts_builtin_sym_end] = ACTIONS(947),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(947),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(947),
    [aux_sym_keyword_replace_token1] = ACTIONS(949),
    [aux_sym__keyword_alter_token1] = ACTIONS(947),
    [aux_sym__keyword_delete_token1] = ACTIONS(947),
    [aux_sym__keyword_begin_token1] = ACTIONS(947),
    [aux_sym__keyword_between_token1] = ACTIONS(947),
    [aux_sym__keyword_when_token1] = ACTIONS(947),
    [aux_sym__keyword_is_token1] = ACTIONS(947),
    [aux_sym__keyword_in_token1] = ACTIONS(949),
    [aux_sym__keyword_and_token1] = ACTIONS(947),
    [aux_sym__keyword_like_token1] = ACTIONS(947),
    [aux_sym__keyword_repeat_token1] = ACTIONS(947),
    [aux_sym__keyword_window_token1] = ACTIONS(947),
    [aux_sym__keyword_for_token1] = ACTIONS(947),
    [anon_sym_SEMI] = ACTIONS(947),
    [aux_sym_declare_statement_token1] = ACTIONS(947),
    [anon_sym_COMMA] = ACTIONS(947),
    [aux_sym_set_statement_token1] = ACTIONS(947),
    [anon_sym_LPAREN] = ACTIONS(947),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(947),
    [aux_sym_using_clause_token1] = ACTIONS(947),
    [aux_sym_return_satement_token1] = ACTIONS(947),
    [aux_sym_call_statement_token1] = ACTIONS(947),
    [aux_sym_loop_statement_token1] = ACTIONS(947),
    [aux_sym_while_statement_token1] = ACTIONS(947),
    [aux_sym_break_statement_token1] = ACTIONS(947),
    [aux_sym_leave_statement_token1] = ACTIONS(947),
    [aux_sym_continue_statement_token1] = ACTIONS(947),
    [aux_sym_iterate_statement_token1] = ACTIONS(947),
    [aux_sym_raise_statement_token1] = ACTIONS(947),
    [anon_sym_EQ] = ACTIONS(947),
    [aux_sym_assert_statement_token1] = ACTIONS(947),
    [aux_sym_create_schema_statement_token1] = ACTIONS(947),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(947),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(949),
    [anon_sym_GT] = ACTIONS(949),
    [aux_sym_set_operation_token1] = ACTIONS(947),
    [aux_sym_set_operation_token3] = ACTIONS(947),
    [aux_sym_set_operation_token4] = ACTIONS(947),
    [aux_sym_select_token1] = ACTIONS(947),
    [aux_sym_having_clause_token1] = ACTIONS(947),
    [aux_sym_qualify_clause_token1] = ACTIONS(947),
    [aux_sym_limit_clause_token1] = ACTIONS(947),
    [aux_sym_group_by_clause_token1] = ACTIONS(947),
    [aux_sym_order_by_clause_token1] = ACTIONS(947),
    [aux_sym_where_clause_token1] = ACTIONS(947),
    [aux_sym_pivot_operator_token1] = ACTIONS(947),
    [aux_sym_unpivot_operator_token1] = ACTIONS(947),
    [aux_sym_tablesample_operator_token1] = ACTIONS(947),
    [aux_sym_join_type_token1] = ACTIONS(947),
    [aux_sym_join_type_token2] = ACTIONS(947),
    [aux_sym_join_type_token3] = ACTIONS(947),
    [aux_sym_join_type_token4] = ACTIONS(947),
    [aux_sym__cross_join_operation_token1] = ACTIONS(947),
    [aux_sym__cross_join_operation_token2] = ACTIONS(947),
    [aux_sym_join_condition_token1] = ACTIONS(947),
    [aux_sym_insert_statement_token1] = ACTIONS(947),
    [aux_sym_truncate_statement_token1] = ACTIONS(947),
    [aux_sym_update_statement_token1] = ACTIONS(947),
    [aux_sym_merge_statement_token1] = ACTIONS(947),
    [aux_sym_grant_statement_token1] = ACTIONS(947),
    [aux_sym_revoke_statement_token1] = ACTIONS(947),
    [aux_sym_export_data_statement_token1] = ACTIONS(947),
    [aux_sym_load_data_statement_token1] = ACTIONS(947),
    [anon_sym_LBRACK] = ACTIONS(947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_SLASH] = ACTIONS(1296),
    [anon_sym_PIPE_PIPE] = ACTIONS(1294),
    [anon_sym_LT_EQ] = ACTIONS(947),
    [anon_sym_LT_GT] = ACTIONS(947),
    [anon_sym_GT_EQ] = ACTIONS(947),
    [anon_sym_BANG_EQ] = ACTIONS(947),
    [anon_sym_LT_LT] = ACTIONS(1298),
    [anon_sym_GT_GT] = ACTIONS(1298),
    [anon_sym_AMP] = ACTIONS(1300),
    [anon_sym_CARET] = ACTIONS(1302),
    [anon_sym_PIPE] = ACTIONS(1304),
  },
  [207] = {
    [sym__keyword_alter] = STATE(14478),
    [sym__keyword_delete] = STATE(11379),
    [sym__keyword_repeat] = STATE(200),
    [sym__keyword_for] = STATE(11539),
    [sym__statement] = STATE(9135),
    [aux_sym__statement_list] = STATE(124),
    [sym_declare_statement] = STATE(8035),
    [sym_set_statement] = STATE(8035),
    [sym_execute_immadiate_statement] = STATE(8035),
    [sym_return_satement] = STATE(8035),
    [sym_call_statement] = STATE(8035),
    [sym_begin_end_statement] = STATE(8035),
    [sym_begin_exception_end_statement] = STATE(8035),
    [sym_if_statement] = STATE(8035),
    [sym_loop_statement] = STATE(8035),
    [sym_repeat_statement] = STATE(8035),
    [sym_while_statement] = STATE(8035),
    [sym_for_in_statement] = STATE(8035),
    [sym_break_statement] = STATE(8035),
    [sym_leave_statement] = STATE(8035),
    [sym_continue_statement] = STATE(8035),
    [sym_iterate_statement] = STATE(8035),
    [sym_raise_statement] = STATE(8035),
    [sym_assert_statement] = STATE(8035),
    [sym_create_schema_statement] = STATE(8035),
    [sym_alter_schema_statement] = STATE(8035),
    [sym_drop_schema_statement] = STATE(8035),
    [sym_create_table_statement] = STATE(8035),
    [sym_create_table_like_statement] = STATE(8035),
    [sym_create_table_clone_statement] = STATE(8035),
    [sym_create_table_copy_statement] = STATE(8035),
    [sym_create_snapshot_table_statement] = STATE(8035),
    [sym_create_external_table_statement] = STATE(8035),
    [sym_alter_table_statement] = STATE(8035),
    [sym_alter_table_rename_statement] = STATE(8035),
    [sym_alter_table_column_statement] = STATE(8035),
    [sym_drop_table_statement] = STATE(8035),
    [sym_create_function_statement] = STATE(8035),
    [sym_create_remote_function_statement] = STATE(8035),
    [sym_drop_function_statement] = STATE(8035),
    [sym_create_table_function_statement] = STATE(8035),
    [sym_drop_table_function_statement] = STATE(8035),
    [sym_create_procedure_statement] = STATE(8035),
    [sym_drop_procedure_statement] = STATE(8035),
    [sym_create_model_statement] = STATE(8035),
    [sym_drop_model_statement] = STATE(8035),
    [sym_query_statement] = STATE(8035),
    [sym_set_operation] = STATE(6482),
    [sym_query_expr] = STATE(7380),
    [sym_select] = STATE(6482),
    [sym_cte_clause] = STATE(13016),
    [sym_insert_statement] = STATE(8035),
    [sym_delete_statement] = STATE(8035),
    [sym_truncate_statement] = STATE(8035),
    [sym_update_statement] = STATE(8035),
    [sym_merge_statement] = STATE(8035),
    [sym_grant_statement] = STATE(8035),
    [sym_revoke_statement] = STATE(8035),
    [sym_export_data_statement] = STATE(8035),
    [sym_load_data_statement] = STATE(8035),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(7),
    [aux_sym__keyword_alter_token1] = ACTIONS(9),
    [aux_sym__keyword_delete_token1] = ACTIONS(963),
    [aux_sym__keyword_begin_token1] = ACTIONS(13),
    [aux_sym__keyword_repeat_token1] = ACTIONS(15),
    [aux_sym__keyword_for_token1] = ACTIONS(17),
    [aux_sym_declare_statement_token1] = ACTIONS(969),
    [aux_sym_set_statement_token1] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(973),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(975),
    [aux_sym_return_satement_token1] = ACTIONS(27),
    [aux_sym_call_statement_token1] = ACTIONS(29),
    [aux_sym_loop_statement_token1] = ACTIONS(31),
    [aux_sym_while_statement_token1] = ACTIONS(33),
    [aux_sym_break_statement_token1] = ACTIONS(35),
    [aux_sym_leave_statement_token1] = ACTIONS(37),
    [aux_sym_continue_statement_token1] = ACTIONS(39),
    [aux_sym_iterate_statement_token1] = ACTIONS(41),
    [aux_sym_raise_statement_token1] = ACTIONS(979),
    [aux_sym_assert_statement_token1] = ACTIONS(981),
    [aux_sym_create_schema_statement_token1] = ACTIONS(983),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(49),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(51),
    [aux_sym_select_token1] = ACTIONS(985),
    [aux_sym_insert_statement_token1] = ACTIONS(987),
    [aux_sym_truncate_statement_token1] = ACTIONS(57),
    [aux_sym_update_statement_token1] = ACTIONS(989),
    [aux_sym_merge_statement_token1] = ACTIONS(991),
    [aux_sym_grant_statement_token1] = ACTIONS(63),
    [aux_sym_revoke_statement_token1] = ACTIONS(65),
    [aux_sym_export_data_statement_token1] = ACTIONS(993),
    [aux_sym_load_data_statement_token1] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
  },
  [208] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16298),
    [sym__keyword_case] = STATE(370),
    [sym__keyword_not] = STATE(1461),
    [sym__keyword_cast] = STATE(19281),
    [sym__keyword_date] = STATE(5984),
    [sym__keyword_datetime] = STATE(5984),
    [sym__keyword_time] = STATE(5984),
    [sym__keyword_timestamp] = STATE(5984),
    [sym_select_list] = STATE(11254),
    [sym_select_all] = STATE(11644),
    [sym__aliasable_expression] = STATE(11648),
    [sym_select_subexpression] = STATE(6583),
    [sym_function_call] = STATE(6583),
    [sym_unnest_operator] = STATE(5280),
    [sym_unnest_clause] = STATE(6583),
    [sym__literal] = STATE(6583),
    [sym_NULL] = STATE(6583),
    [sym_TRUE] = STATE(6583),
    [sym_FALSE] = STATE(6583),
    [sym__float] = STATE(6582),
    [sym_numeric] = STATE(6582),
    [sym__number] = STATE(6582),
    [sym_interval] = STATE(6583),
    [sym_range] = STATE(6583),
    [sym_time] = STATE(6583),
    [sym_number] = STATE(6583),
    [sym_json] = STATE(6583),
    [sym_query_parameter] = STATE(6583),
    [sym__type_chrono] = STATE(5709),
    [sym__type_struct] = STATE(19051),
    [sym__type_array] = STATE(18379),
    [sym_array] = STATE(6583),
    [sym_struct] = STATE(6583),
    [sym__identifier] = STATE(5940),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(6280),
    [sym_string] = STATE(6583),
    [sym__expression] = STATE(5092),
    [sym__parenthesized_expression] = STATE(6583),
    [sym_element_access] = STATE(6583),
    [sym_field_access] = STATE(6583),
    [sym_unary_expression] = STATE(6583),
    [sym_binary_expression] = STATE(6583),
    [sym_between_operator] = STATE(6583),
    [sym_casewhen_expression] = STATE(6583),
    [sym_cast_expression] = STATE(6583),
    [sym_asterisk_expression] = STATE(5318),
    [sym_argument_reference] = STATE(6583),
    [aux_sym_identifier_repeat1] = STATE(13302),
    [sym__unquoted_identifier] = ACTIONS(491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(493),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(495),
    [aux_sym__keyword_case_token1] = ACTIONS(497),
    [aux_sym__keyword_cast_token1] = ACTIONS(499),
    [aux_sym__keyword_cast_token2] = ACTIONS(499),
    [aux_sym__keyword_date_token1] = ACTIONS(501),
    [aux_sym__keyword_datetime_token1] = ACTIONS(501),
    [aux_sym__keyword_time_token1] = ACTIONS(501),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(503),
    [aux_sym_drop_notnull_token1] = ACTIONS(505),
    [aux_sym_function_call_token2] = ACTIONS(507),
    [aux_sym_unnest_operator_token1] = ACTIONS(509),
    [aux_sym_TRUE_token1] = ACTIONS(511),
    [aux_sym_FALSE_token1] = ACTIONS(513),
    [sym__integer] = ACTIONS(515),
    [aux_sym__float_token1] = ACTIONS(517),
    [aux_sym__float_token2] = ACTIONS(515),
    [aux_sym__float_token3] = ACTIONS(517),
    [aux_sym_numeric_token1] = ACTIONS(519),
    [aux_sym_numeric_token2] = ACTIONS(519),
    [aux_sym_numeric_token3] = ACTIONS(519),
    [aux_sym_numeric_token4] = ACTIONS(519),
    [aux_sym_interval_token1] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(523),
    [aux_sym_json_token1] = ACTIONS(525),
    [sym_system_variable] = ACTIONS(527),
    [sym__named_query_parameter] = ACTIONS(529),
    [sym__positional_query_parameter] = ACTIONS(531),
    [sym__quoted_identifier] = ACTIONS(533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(539),
    [anon_sym_DOLLAR] = ACTIONS(541),
    [sym__string_start] = ACTIONS(543),
  },
  [209] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16311),
    [sym__keyword_case] = STATE(358),
    [sym__keyword_not] = STATE(1156),
    [sym__keyword_cast] = STATE(19279),
    [sym__keyword_date] = STATE(2060),
    [sym__keyword_datetime] = STATE(2060),
    [sym__keyword_time] = STATE(2060),
    [sym__keyword_timestamp] = STATE(2060),
    [sym_select_list] = STATE(5294),
    [sym_select_all] = STATE(5405),
    [sym__aliasable_expression] = STATE(5392),
    [sym_select_subexpression] = STATE(2225),
    [sym_function_call] = STATE(2225),
    [sym_unnest_operator] = STATE(108),
    [sym_unnest_clause] = STATE(2225),
    [sym__literal] = STATE(2225),
    [sym_NULL] = STATE(2225),
    [sym_TRUE] = STATE(2225),
    [sym_FALSE] = STATE(2225),
    [sym__float] = STATE(2243),
    [sym_numeric] = STATE(2243),
    [sym__number] = STATE(2243),
    [sym_interval] = STATE(2225),
    [sym_range] = STATE(2225),
    [sym_time] = STATE(2225),
    [sym_number] = STATE(2225),
    [sym_json] = STATE(2225),
    [sym_query_parameter] = STATE(2225),
    [sym__type_chrono] = STATE(1347),
    [sym__type_struct] = STATE(19044),
    [sym__type_array] = STATE(18343),
    [sym_array] = STATE(2225),
    [sym_struct] = STATE(2225),
    [sym__identifier] = STATE(1950),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(2273),
    [sym_string] = STATE(2225),
    [sym__expression] = STATE(20),
    [sym__parenthesized_expression] = STATE(2225),
    [sym_element_access] = STATE(2225),
    [sym_field_access] = STATE(2225),
    [sym_unary_expression] = STATE(2225),
    [sym_binary_expression] = STATE(2225),
    [sym_between_operator] = STATE(2225),
    [sym_casewhen_expression] = STATE(2225),
    [sym_cast_expression] = STATE(2225),
    [sym_asterisk_expression] = STATE(5318),
    [sym_argument_reference] = STATE(2225),
    [aux_sym_identifier_repeat1] = STATE(13635),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [210] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16298),
    [sym__keyword_case] = STATE(370),
    [sym__keyword_not] = STATE(1461),
    [sym__keyword_cast] = STATE(19281),
    [sym__keyword_date] = STATE(5984),
    [sym__keyword_datetime] = STATE(5984),
    [sym__keyword_time] = STATE(5984),
    [sym__keyword_timestamp] = STATE(5984),
    [sym_select_list] = STATE(11255),
    [sym_select_all] = STATE(11644),
    [sym__aliasable_expression] = STATE(11648),
    [sym_select_subexpression] = STATE(6583),
    [sym_function_call] = STATE(6583),
    [sym_unnest_operator] = STATE(5280),
    [sym_unnest_clause] = STATE(6583),
    [sym__literal] = STATE(6583),
    [sym_NULL] = STATE(6583),
    [sym_TRUE] = STATE(6583),
    [sym_FALSE] = STATE(6583),
    [sym__float] = STATE(6582),
    [sym_numeric] = STATE(6582),
    [sym__number] = STATE(6582),
    [sym_interval] = STATE(6583),
    [sym_range] = STATE(6583),
    [sym_time] = STATE(6583),
    [sym_number] = STATE(6583),
    [sym_json] = STATE(6583),
    [sym_query_parameter] = STATE(6583),
    [sym__type_chrono] = STATE(5709),
    [sym__type_struct] = STATE(19051),
    [sym__type_array] = STATE(18379),
    [sym_array] = STATE(6583),
    [sym_struct] = STATE(6583),
    [sym__identifier] = STATE(5940),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(6280),
    [sym_string] = STATE(6583),
    [sym__expression] = STATE(5092),
    [sym__parenthesized_expression] = STATE(6583),
    [sym_element_access] = STATE(6583),
    [sym_field_access] = STATE(6583),
    [sym_unary_expression] = STATE(6583),
    [sym_binary_expression] = STATE(6583),
    [sym_between_operator] = STATE(6583),
    [sym_casewhen_expression] = STATE(6583),
    [sym_cast_expression] = STATE(6583),
    [sym_asterisk_expression] = STATE(5318),
    [sym_argument_reference] = STATE(6583),
    [aux_sym_identifier_repeat1] = STATE(13302),
    [sym__unquoted_identifier] = ACTIONS(491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(493),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(495),
    [aux_sym__keyword_case_token1] = ACTIONS(497),
    [aux_sym__keyword_cast_token1] = ACTIONS(499),
    [aux_sym__keyword_cast_token2] = ACTIONS(499),
    [aux_sym__keyword_date_token1] = ACTIONS(501),
    [aux_sym__keyword_datetime_token1] = ACTIONS(501),
    [aux_sym__keyword_time_token1] = ACTIONS(501),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(503),
    [aux_sym_drop_notnull_token1] = ACTIONS(505),
    [aux_sym_function_call_token2] = ACTIONS(507),
    [aux_sym_unnest_operator_token1] = ACTIONS(509),
    [aux_sym_TRUE_token1] = ACTIONS(511),
    [aux_sym_FALSE_token1] = ACTIONS(513),
    [sym__integer] = ACTIONS(515),
    [aux_sym__float_token1] = ACTIONS(517),
    [aux_sym__float_token2] = ACTIONS(515),
    [aux_sym__float_token3] = ACTIONS(517),
    [aux_sym_numeric_token1] = ACTIONS(519),
    [aux_sym_numeric_token2] = ACTIONS(519),
    [aux_sym_numeric_token3] = ACTIONS(519),
    [aux_sym_numeric_token4] = ACTIONS(519),
    [aux_sym_interval_token1] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(523),
    [aux_sym_json_token1] = ACTIONS(525),
    [sym_system_variable] = ACTIONS(527),
    [sym__named_query_parameter] = ACTIONS(529),
    [sym__positional_query_parameter] = ACTIONS(531),
    [sym__quoted_identifier] = ACTIONS(533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(539),
    [anon_sym_DOLLAR] = ACTIONS(541),
    [sym__string_start] = ACTIONS(543),
  },
  [211] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1444),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_list] = STATE(5367),
    [sym_select_all] = STATE(5983),
    [sym__aliasable_expression] = STATE(5976),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(198),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(75),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_asterisk_expression] = STATE(5318),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [212] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16298),
    [sym__keyword_case] = STATE(370),
    [sym__keyword_not] = STATE(1461),
    [sym__keyword_cast] = STATE(19281),
    [sym__keyword_date] = STATE(5984),
    [sym__keyword_datetime] = STATE(5984),
    [sym__keyword_time] = STATE(5984),
    [sym__keyword_timestamp] = STATE(5984),
    [sym_select_list] = STATE(11267),
    [sym_select_all] = STATE(11644),
    [sym__aliasable_expression] = STATE(11648),
    [sym_select_subexpression] = STATE(6583),
    [sym_function_call] = STATE(6583),
    [sym_unnest_operator] = STATE(5280),
    [sym_unnest_clause] = STATE(6583),
    [sym__literal] = STATE(6583),
    [sym_NULL] = STATE(6583),
    [sym_TRUE] = STATE(6583),
    [sym_FALSE] = STATE(6583),
    [sym__float] = STATE(6582),
    [sym_numeric] = STATE(6582),
    [sym__number] = STATE(6582),
    [sym_interval] = STATE(6583),
    [sym_range] = STATE(6583),
    [sym_time] = STATE(6583),
    [sym_number] = STATE(6583),
    [sym_json] = STATE(6583),
    [sym_query_parameter] = STATE(6583),
    [sym__type_chrono] = STATE(5709),
    [sym__type_struct] = STATE(19051),
    [sym__type_array] = STATE(18379),
    [sym_array] = STATE(6583),
    [sym_struct] = STATE(6583),
    [sym__identifier] = STATE(5940),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(6280),
    [sym_string] = STATE(6583),
    [sym__expression] = STATE(5092),
    [sym__parenthesized_expression] = STATE(6583),
    [sym_element_access] = STATE(6583),
    [sym_field_access] = STATE(6583),
    [sym_unary_expression] = STATE(6583),
    [sym_binary_expression] = STATE(6583),
    [sym_between_operator] = STATE(6583),
    [sym_casewhen_expression] = STATE(6583),
    [sym_cast_expression] = STATE(6583),
    [sym_asterisk_expression] = STATE(5318),
    [sym_argument_reference] = STATE(6583),
    [aux_sym_identifier_repeat1] = STATE(13302),
    [sym__unquoted_identifier] = ACTIONS(491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(493),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(495),
    [aux_sym__keyword_case_token1] = ACTIONS(497),
    [aux_sym__keyword_cast_token1] = ACTIONS(499),
    [aux_sym__keyword_cast_token2] = ACTIONS(499),
    [aux_sym__keyword_date_token1] = ACTIONS(501),
    [aux_sym__keyword_datetime_token1] = ACTIONS(501),
    [aux_sym__keyword_time_token1] = ACTIONS(501),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(503),
    [aux_sym_drop_notnull_token1] = ACTIONS(505),
    [aux_sym_function_call_token2] = ACTIONS(507),
    [aux_sym_unnest_operator_token1] = ACTIONS(509),
    [aux_sym_TRUE_token1] = ACTIONS(511),
    [aux_sym_FALSE_token1] = ACTIONS(513),
    [sym__integer] = ACTIONS(515),
    [aux_sym__float_token1] = ACTIONS(517),
    [aux_sym__float_token2] = ACTIONS(515),
    [aux_sym__float_token3] = ACTIONS(517),
    [aux_sym_numeric_token1] = ACTIONS(519),
    [aux_sym_numeric_token2] = ACTIONS(519),
    [aux_sym_numeric_token3] = ACTIONS(519),
    [aux_sym_numeric_token4] = ACTIONS(519),
    [aux_sym_interval_token1] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(523),
    [aux_sym_json_token1] = ACTIONS(525),
    [sym_system_variable] = ACTIONS(527),
    [sym__named_query_parameter] = ACTIONS(529),
    [sym__positional_query_parameter] = ACTIONS(531),
    [sym__quoted_identifier] = ACTIONS(533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(539),
    [anon_sym_DOLLAR] = ACTIONS(541),
    [sym__string_start] = ACTIONS(543),
  },
  [213] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_all] = STATE(5383),
    [sym__aliasable_expression] = STATE(5384),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5364),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_asterisk_expression] = STATE(5318),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [anon_sym_RPAREN] = ACTIONS(139),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [214] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_all] = STATE(5383),
    [sym__aliasable_expression] = STATE(5384),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5364),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_asterisk_expression] = STATE(5318),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [anon_sym_RPAREN] = ACTIONS(143),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [215] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16298),
    [sym__keyword_case] = STATE(370),
    [sym__keyword_not] = STATE(1461),
    [sym__keyword_cast] = STATE(19281),
    [sym__keyword_date] = STATE(5984),
    [sym__keyword_datetime] = STATE(5984),
    [sym__keyword_time] = STATE(5984),
    [sym__keyword_timestamp] = STATE(5984),
    [sym_select_list] = STATE(11264),
    [sym_select_all] = STATE(11644),
    [sym__aliasable_expression] = STATE(11648),
    [sym_select_subexpression] = STATE(6583),
    [sym_function_call] = STATE(6583),
    [sym_unnest_operator] = STATE(5280),
    [sym_unnest_clause] = STATE(6583),
    [sym__literal] = STATE(6583),
    [sym_NULL] = STATE(6583),
    [sym_TRUE] = STATE(6583),
    [sym_FALSE] = STATE(6583),
    [sym__float] = STATE(6582),
    [sym_numeric] = STATE(6582),
    [sym__number] = STATE(6582),
    [sym_interval] = STATE(6583),
    [sym_range] = STATE(6583),
    [sym_time] = STATE(6583),
    [sym_number] = STATE(6583),
    [sym_json] = STATE(6583),
    [sym_query_parameter] = STATE(6583),
    [sym__type_chrono] = STATE(5709),
    [sym__type_struct] = STATE(19051),
    [sym__type_array] = STATE(18379),
    [sym_array] = STATE(6583),
    [sym_struct] = STATE(6583),
    [sym__identifier] = STATE(5940),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(6280),
    [sym_string] = STATE(6583),
    [sym__expression] = STATE(5092),
    [sym__parenthesized_expression] = STATE(6583),
    [sym_element_access] = STATE(6583),
    [sym_field_access] = STATE(6583),
    [sym_unary_expression] = STATE(6583),
    [sym_binary_expression] = STATE(6583),
    [sym_between_operator] = STATE(6583),
    [sym_casewhen_expression] = STATE(6583),
    [sym_cast_expression] = STATE(6583),
    [sym_asterisk_expression] = STATE(5318),
    [sym_argument_reference] = STATE(6583),
    [aux_sym_identifier_repeat1] = STATE(13302),
    [sym__unquoted_identifier] = ACTIONS(491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(493),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(495),
    [aux_sym__keyword_case_token1] = ACTIONS(497),
    [aux_sym__keyword_cast_token1] = ACTIONS(499),
    [aux_sym__keyword_cast_token2] = ACTIONS(499),
    [aux_sym__keyword_date_token1] = ACTIONS(501),
    [aux_sym__keyword_datetime_token1] = ACTIONS(501),
    [aux_sym__keyword_time_token1] = ACTIONS(501),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(503),
    [aux_sym_drop_notnull_token1] = ACTIONS(505),
    [aux_sym_function_call_token2] = ACTIONS(507),
    [aux_sym_unnest_operator_token1] = ACTIONS(509),
    [aux_sym_TRUE_token1] = ACTIONS(511),
    [aux_sym_FALSE_token1] = ACTIONS(513),
    [sym__integer] = ACTIONS(515),
    [aux_sym__float_token1] = ACTIONS(517),
    [aux_sym__float_token2] = ACTIONS(515),
    [aux_sym__float_token3] = ACTIONS(517),
    [aux_sym_numeric_token1] = ACTIONS(519),
    [aux_sym_numeric_token2] = ACTIONS(519),
    [aux_sym_numeric_token3] = ACTIONS(519),
    [aux_sym_numeric_token4] = ACTIONS(519),
    [aux_sym_interval_token1] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(523),
    [aux_sym_json_token1] = ACTIONS(525),
    [sym_system_variable] = ACTIONS(527),
    [sym__named_query_parameter] = ACTIONS(529),
    [sym__positional_query_parameter] = ACTIONS(531),
    [sym__quoted_identifier] = ACTIONS(533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(539),
    [anon_sym_DOLLAR] = ACTIONS(541),
    [sym__string_start] = ACTIONS(543),
  },
  [216] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_all] = STATE(5383),
    [sym__aliasable_expression] = STATE(5384),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5364),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_asterisk_expression] = STATE(5318),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [anon_sym_RPAREN] = ACTIONS(147),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [217] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_all] = STATE(5383),
    [sym__aliasable_expression] = STATE(5384),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5364),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_asterisk_expression] = STATE(5318),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [anon_sym_RPAREN] = ACTIONS(91),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [218] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1444),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_list] = STATE(5370),
    [sym_select_all] = STATE(5983),
    [sym__aliasable_expression] = STATE(5976),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(198),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(75),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_asterisk_expression] = STATE(5318),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [219] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1444),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_list] = STATE(5371),
    [sym_select_all] = STATE(5983),
    [sym__aliasable_expression] = STATE(5976),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(198),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(75),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_asterisk_expression] = STATE(5318),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [220] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16311),
    [sym__keyword_case] = STATE(358),
    [sym__keyword_not] = STATE(1156),
    [sym__keyword_cast] = STATE(19279),
    [sym__keyword_date] = STATE(2060),
    [sym__keyword_datetime] = STATE(2060),
    [sym__keyword_time] = STATE(2060),
    [sym__keyword_timestamp] = STATE(2060),
    [sym_select_list] = STATE(5306),
    [sym_select_all] = STATE(5405),
    [sym__aliasable_expression] = STATE(5392),
    [sym_select_subexpression] = STATE(2225),
    [sym_function_call] = STATE(2225),
    [sym_unnest_operator] = STATE(108),
    [sym_unnest_clause] = STATE(2225),
    [sym__literal] = STATE(2225),
    [sym_NULL] = STATE(2225),
    [sym_TRUE] = STATE(2225),
    [sym_FALSE] = STATE(2225),
    [sym__float] = STATE(2243),
    [sym_numeric] = STATE(2243),
    [sym__number] = STATE(2243),
    [sym_interval] = STATE(2225),
    [sym_range] = STATE(2225),
    [sym_time] = STATE(2225),
    [sym_number] = STATE(2225),
    [sym_json] = STATE(2225),
    [sym_query_parameter] = STATE(2225),
    [sym__type_chrono] = STATE(1347),
    [sym__type_struct] = STATE(19044),
    [sym__type_array] = STATE(18343),
    [sym_array] = STATE(2225),
    [sym_struct] = STATE(2225),
    [sym__identifier] = STATE(1950),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(2273),
    [sym_string] = STATE(2225),
    [sym__expression] = STATE(20),
    [sym__parenthesized_expression] = STATE(2225),
    [sym_element_access] = STATE(2225),
    [sym_field_access] = STATE(2225),
    [sym_unary_expression] = STATE(2225),
    [sym_binary_expression] = STATE(2225),
    [sym_between_operator] = STATE(2225),
    [sym_casewhen_expression] = STATE(2225),
    [sym_cast_expression] = STATE(2225),
    [sym_asterisk_expression] = STATE(5318),
    [sym_argument_reference] = STATE(2225),
    [aux_sym_identifier_repeat1] = STATE(13635),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [221] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_list] = STATE(17400),
    [sym_select_all] = STATE(14985),
    [sym__aliasable_expression] = STATE(14988),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5364),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_asterisk_expression] = STATE(5318),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [222] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1444),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_list] = STATE(5368),
    [sym_select_all] = STATE(5983),
    [sym__aliasable_expression] = STATE(5976),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(198),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(75),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_asterisk_expression] = STATE(5318),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [223] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16311),
    [sym__keyword_case] = STATE(358),
    [sym__keyword_not] = STATE(1156),
    [sym__keyword_cast] = STATE(19279),
    [sym__keyword_date] = STATE(2060),
    [sym__keyword_datetime] = STATE(2060),
    [sym__keyword_time] = STATE(2060),
    [sym__keyword_timestamp] = STATE(2060),
    [sym_select_list] = STATE(5298),
    [sym_select_all] = STATE(5405),
    [sym__aliasable_expression] = STATE(5392),
    [sym_select_subexpression] = STATE(2225),
    [sym_function_call] = STATE(2225),
    [sym_unnest_operator] = STATE(108),
    [sym_unnest_clause] = STATE(2225),
    [sym__literal] = STATE(2225),
    [sym_NULL] = STATE(2225),
    [sym_TRUE] = STATE(2225),
    [sym_FALSE] = STATE(2225),
    [sym__float] = STATE(2243),
    [sym_numeric] = STATE(2243),
    [sym__number] = STATE(2243),
    [sym_interval] = STATE(2225),
    [sym_range] = STATE(2225),
    [sym_time] = STATE(2225),
    [sym_number] = STATE(2225),
    [sym_json] = STATE(2225),
    [sym_query_parameter] = STATE(2225),
    [sym__type_chrono] = STATE(1347),
    [sym__type_struct] = STATE(19044),
    [sym__type_array] = STATE(18343),
    [sym_array] = STATE(2225),
    [sym_struct] = STATE(2225),
    [sym__identifier] = STATE(1950),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(2273),
    [sym_string] = STATE(2225),
    [sym__expression] = STATE(20),
    [sym__parenthesized_expression] = STATE(2225),
    [sym_element_access] = STATE(2225),
    [sym_field_access] = STATE(2225),
    [sym_unary_expression] = STATE(2225),
    [sym_binary_expression] = STATE(2225),
    [sym_between_operator] = STATE(2225),
    [sym_casewhen_expression] = STATE(2225),
    [sym_cast_expression] = STATE(2225),
    [sym_asterisk_expression] = STATE(5318),
    [sym_argument_reference] = STATE(2225),
    [aux_sym_identifier_repeat1] = STATE(13635),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [224] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16311),
    [sym__keyword_case] = STATE(358),
    [sym__keyword_not] = STATE(1156),
    [sym__keyword_cast] = STATE(19279),
    [sym__keyword_date] = STATE(2060),
    [sym__keyword_datetime] = STATE(2060),
    [sym__keyword_time] = STATE(2060),
    [sym__keyword_timestamp] = STATE(2060),
    [sym_select_list] = STATE(5302),
    [sym_select_all] = STATE(5405),
    [sym__aliasable_expression] = STATE(5392),
    [sym_select_subexpression] = STATE(2225),
    [sym_function_call] = STATE(2225),
    [sym_unnest_operator] = STATE(108),
    [sym_unnest_clause] = STATE(2225),
    [sym__literal] = STATE(2225),
    [sym_NULL] = STATE(2225),
    [sym_TRUE] = STATE(2225),
    [sym_FALSE] = STATE(2225),
    [sym__float] = STATE(2243),
    [sym_numeric] = STATE(2243),
    [sym__number] = STATE(2243),
    [sym_interval] = STATE(2225),
    [sym_range] = STATE(2225),
    [sym_time] = STATE(2225),
    [sym_number] = STATE(2225),
    [sym_json] = STATE(2225),
    [sym_query_parameter] = STATE(2225),
    [sym__type_chrono] = STATE(1347),
    [sym__type_struct] = STATE(19044),
    [sym__type_array] = STATE(18343),
    [sym_array] = STATE(2225),
    [sym_struct] = STATE(2225),
    [sym__identifier] = STATE(1950),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(2273),
    [sym_string] = STATE(2225),
    [sym__expression] = STATE(20),
    [sym__parenthesized_expression] = STATE(2225),
    [sym_element_access] = STATE(2225),
    [sym_field_access] = STATE(2225),
    [sym_unary_expression] = STATE(2225),
    [sym_binary_expression] = STATE(2225),
    [sym_between_operator] = STATE(2225),
    [sym_casewhen_expression] = STATE(2225),
    [sym_cast_expression] = STATE(2225),
    [sym_asterisk_expression] = STATE(5318),
    [sym_argument_reference] = STATE(2225),
    [aux_sym_identifier_repeat1] = STATE(13635),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [225] = {
    [sym_analytics_clause] = STATE(558),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_where_clause_token1] = ACTIONS(1354),
    [aux_sym_pivot_operator_token1] = ACTIONS(1354),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1354),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1354),
    [aux_sym_join_type_token1] = ACTIONS(1354),
    [aux_sym_join_type_token2] = ACTIONS(1354),
    [aux_sym_join_type_token3] = ACTIONS(1354),
    [aux_sym_join_type_token4] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1354),
    [aux_sym_join_condition_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [226] = {
    [sym_analytics_clause] = STATE(435),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_window_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_using_clause_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1360),
    [aux_sym_set_operation_token3] = ACTIONS(1360),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_having_clause_token1] = ACTIONS(1360),
    [aux_sym_qualify_clause_token1] = ACTIONS(1360),
    [aux_sym_limit_clause_token1] = ACTIONS(1360),
    [aux_sym_group_by_clause_token1] = ACTIONS(1360),
    [aux_sym_order_by_clause_token1] = ACTIONS(1360),
    [aux_sym_where_clause_token1] = ACTIONS(1360),
    [aux_sym_pivot_operator_token1] = ACTIONS(1360),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1360),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1360),
    [aux_sym_join_type_token1] = ACTIONS(1360),
    [aux_sym_join_type_token2] = ACTIONS(1360),
    [aux_sym_join_type_token3] = ACTIONS(1360),
    [aux_sym_join_type_token4] = ACTIONS(1360),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1360),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1360),
    [aux_sym_join_condition_token1] = ACTIONS(1360),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [227] = {
    [sym_analytics_clause] = STATE(450),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_where_clause_token1] = ACTIONS(1364),
    [aux_sym_pivot_operator_token1] = ACTIONS(1364),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1364),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1364),
    [aux_sym_join_type_token1] = ACTIONS(1364),
    [aux_sym_join_type_token2] = ACTIONS(1364),
    [aux_sym_join_type_token3] = ACTIONS(1364),
    [aux_sym_join_type_token4] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1364),
    [aux_sym_join_condition_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [228] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_when] = STATE(1531),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8308),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_casewhen_clause] = STATE(12028),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [aux_sym_casewhen_expression_repeat1] = STATE(12028),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_when_token1] = ACTIONS(1368),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [229] = {
    [sym_analytics_clause] = STATE(526),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_where_clause_token1] = ACTIONS(1370),
    [aux_sym_pivot_operator_token1] = ACTIONS(1370),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1370),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1370),
    [aux_sym_join_type_token1] = ACTIONS(1370),
    [aux_sym_join_type_token2] = ACTIONS(1370),
    [aux_sym_join_type_token3] = ACTIONS(1370),
    [aux_sym_join_type_token4] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1370),
    [aux_sym_join_condition_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [230] = {
    [sym_analytics_clause] = STATE(541),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_where_clause_token1] = ACTIONS(1354),
    [aux_sym_pivot_operator_token1] = ACTIONS(1354),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1354),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1354),
    [aux_sym_join_type_token1] = ACTIONS(1354),
    [aux_sym_join_type_token2] = ACTIONS(1354),
    [aux_sym_join_type_token3] = ACTIONS(1354),
    [aux_sym_join_type_token4] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1354),
    [aux_sym_join_condition_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [231] = {
    [sym_analytics_clause] = STATE(436),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_window_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_using_clause_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1360),
    [aux_sym_set_operation_token3] = ACTIONS(1360),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_having_clause_token1] = ACTIONS(1360),
    [aux_sym_qualify_clause_token1] = ACTIONS(1360),
    [aux_sym_limit_clause_token1] = ACTIONS(1360),
    [aux_sym_group_by_clause_token1] = ACTIONS(1360),
    [aux_sym_order_by_clause_token1] = ACTIONS(1360),
    [aux_sym_where_clause_token1] = ACTIONS(1360),
    [aux_sym_pivot_operator_token1] = ACTIONS(1360),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1360),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1360),
    [aux_sym_join_type_token1] = ACTIONS(1360),
    [aux_sym_join_type_token2] = ACTIONS(1360),
    [aux_sym_join_type_token3] = ACTIONS(1360),
    [aux_sym_join_type_token4] = ACTIONS(1360),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1360),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1360),
    [aux_sym_join_condition_token1] = ACTIONS(1360),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [232] = {
    [sym_analytics_clause] = STATE(544),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_where_clause_token1] = ACTIONS(1354),
    [aux_sym_pivot_operator_token1] = ACTIONS(1354),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1354),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1354),
    [aux_sym_join_type_token1] = ACTIONS(1354),
    [aux_sym_join_type_token2] = ACTIONS(1354),
    [aux_sym_join_type_token3] = ACTIONS(1354),
    [aux_sym_join_type_token4] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1354),
    [aux_sym_join_condition_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [233] = {
    [sym_analytics_clause] = STATE(545),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_where_clause_token1] = ACTIONS(1354),
    [aux_sym_pivot_operator_token1] = ACTIONS(1354),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1354),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1354),
    [aux_sym_join_type_token1] = ACTIONS(1354),
    [aux_sym_join_type_token2] = ACTIONS(1354),
    [aux_sym_join_type_token3] = ACTIONS(1354),
    [aux_sym_join_type_token4] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1354),
    [aux_sym_join_condition_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [234] = {
    [sym_analytics_clause] = STATE(533),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_where_clause_token1] = ACTIONS(1370),
    [aux_sym_pivot_operator_token1] = ACTIONS(1370),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1370),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1370),
    [aux_sym_join_type_token1] = ACTIONS(1370),
    [aux_sym_join_type_token2] = ACTIONS(1370),
    [aux_sym_join_type_token3] = ACTIONS(1370),
    [aux_sym_join_type_token4] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1370),
    [aux_sym_join_condition_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [235] = {
    [sym_analytics_clause] = STATE(566),
    [ts_builtin_sym_end] = ACTIONS(1374),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1374),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1374),
    [aux_sym_keyword_replace_token1] = ACTIONS(1376),
    [aux_sym__keyword_alter_token1] = ACTIONS(1374),
    [aux_sym__keyword_delete_token1] = ACTIONS(1374),
    [aux_sym__keyword_begin_token1] = ACTIONS(1374),
    [aux_sym__keyword_end_token1] = ACTIONS(1374),
    [aux_sym__keyword_between_token1] = ACTIONS(1374),
    [aux_sym__keyword_when_token1] = ACTIONS(1374),
    [aux_sym__keyword_else_token1] = ACTIONS(1376),
    [aux_sym__keyword_is_token1] = ACTIONS(1374),
    [aux_sym__keyword_in_token1] = ACTIONS(1376),
    [aux_sym__keyword_and_token1] = ACTIONS(1374),
    [aux_sym__keyword_like_token1] = ACTIONS(1374),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1374),
    [aux_sym__keyword_window_token1] = ACTIONS(1374),
    [aux_sym__keyword_for_token1] = ACTIONS(1374),
    [anon_sym_SEMI] = ACTIONS(1374),
    [aux_sym_declare_statement_token1] = ACTIONS(1374),
    [anon_sym_COMMA] = ACTIONS(1374),
    [aux_sym_set_statement_token1] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1374),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1374),
    [aux_sym_using_clause_token1] = ACTIONS(1374),
    [aux_sym_return_satement_token1] = ACTIONS(1374),
    [aux_sym_call_statement_token1] = ACTIONS(1374),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1374),
    [aux_sym_if_statement_token1] = ACTIONS(1374),
    [aux_sym_loop_statement_token1] = ACTIONS(1374),
    [aux_sym_repeat_statement_token1] = ACTIONS(1374),
    [aux_sym_while_statement_token1] = ACTIONS(1374),
    [aux_sym_break_statement_token1] = ACTIONS(1374),
    [aux_sym_leave_statement_token1] = ACTIONS(1374),
    [aux_sym_continue_statement_token1] = ACTIONS(1374),
    [aux_sym_iterate_statement_token1] = ACTIONS(1374),
    [aux_sym_raise_statement_token1] = ACTIONS(1374),
    [anon_sym_EQ] = ACTIONS(1374),
    [aux_sym_assert_statement_token1] = ACTIONS(1374),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1374),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1374),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1374),
    [anon_sym_LT] = ACTIONS(1376),
    [anon_sym_GT] = ACTIONS(1376),
    [aux_sym_set_operation_token1] = ACTIONS(1374),
    [aux_sym_set_operation_token3] = ACTIONS(1374),
    [aux_sym_set_operation_token4] = ACTIONS(1376),
    [aux_sym_select_token1] = ACTIONS(1374),
    [aux_sym_having_clause_token1] = ACTIONS(1374),
    [aux_sym_qualify_clause_token1] = ACTIONS(1374),
    [aux_sym_limit_clause_token1] = ACTIONS(1374),
    [aux_sym_group_by_clause_token1] = ACTIONS(1374),
    [aux_sym_order_by_clause_token1] = ACTIONS(1374),
    [aux_sym_where_clause_token1] = ACTIONS(1374),
    [aux_sym_pivot_operator_token1] = ACTIONS(1374),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1374),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1374),
    [aux_sym_join_type_token1] = ACTIONS(1374),
    [aux_sym_join_type_token2] = ACTIONS(1374),
    [aux_sym_join_type_token3] = ACTIONS(1374),
    [aux_sym_join_type_token4] = ACTIONS(1374),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1374),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1374),
    [aux_sym_join_condition_token1] = ACTIONS(1374),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1374),
    [aux_sym_truncate_statement_token1] = ACTIONS(1374),
    [aux_sym_update_statement_token1] = ACTIONS(1374),
    [aux_sym_merge_statement_token1] = ACTIONS(1374),
    [aux_sym_grant_statement_token1] = ACTIONS(1374),
    [aux_sym_revoke_statement_token1] = ACTIONS(1374),
    [aux_sym_export_data_statement_token1] = ACTIONS(1374),
    [aux_sym_load_data_statement_token1] = ACTIONS(1374),
    [anon_sym_LBRACK] = ACTIONS(1374),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_SLASH] = ACTIONS(1376),
    [anon_sym_PIPE_PIPE] = ACTIONS(1374),
    [anon_sym_LT_EQ] = ACTIONS(1374),
    [anon_sym_LT_GT] = ACTIONS(1374),
    [anon_sym_GT_EQ] = ACTIONS(1374),
    [anon_sym_BANG_EQ] = ACTIONS(1374),
    [anon_sym_LT_LT] = ACTIONS(1374),
    [anon_sym_GT_GT] = ACTIONS(1374),
    [anon_sym_AMP] = ACTIONS(1374),
    [anon_sym_CARET] = ACTIONS(1374),
    [anon_sym_PIPE] = ACTIONS(1376),
  },
  [236] = {
    [sym_analytics_clause] = STATE(538),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_where_clause_token1] = ACTIONS(1370),
    [aux_sym_pivot_operator_token1] = ACTIONS(1370),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1370),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1370),
    [aux_sym_join_type_token1] = ACTIONS(1370),
    [aux_sym_join_type_token2] = ACTIONS(1370),
    [aux_sym_join_type_token3] = ACTIONS(1370),
    [aux_sym_join_type_token4] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1370),
    [aux_sym_join_condition_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [237] = {
    [sym_analytics_clause] = STATE(531),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_window_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_using_clause_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_having_clause_token1] = ACTIONS(1378),
    [aux_sym_qualify_clause_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym_group_by_clause_token1] = ACTIONS(1378),
    [aux_sym_order_by_clause_token1] = ACTIONS(1378),
    [aux_sym_where_clause_token1] = ACTIONS(1378),
    [aux_sym_pivot_operator_token1] = ACTIONS(1378),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1378),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1378),
    [aux_sym_join_type_token1] = ACTIONS(1378),
    [aux_sym_join_type_token2] = ACTIONS(1378),
    [aux_sym_join_type_token3] = ACTIONS(1378),
    [aux_sym_join_type_token4] = ACTIONS(1378),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1378),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1378),
    [aux_sym_join_condition_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [238] = {
    [sym_analytics_clause] = STATE(540),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_where_clause_token1] = ACTIONS(1370),
    [aux_sym_pivot_operator_token1] = ACTIONS(1370),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1370),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1370),
    [aux_sym_join_type_token1] = ACTIONS(1370),
    [aux_sym_join_type_token2] = ACTIONS(1370),
    [aux_sym_join_type_token3] = ACTIONS(1370),
    [aux_sym_join_type_token4] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1370),
    [aux_sym_join_condition_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [239] = {
    [sym_analytics_clause] = STATE(543),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_where_clause_token1] = ACTIONS(1370),
    [aux_sym_pivot_operator_token1] = ACTIONS(1370),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1370),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1370),
    [aux_sym_join_type_token1] = ACTIONS(1370),
    [aux_sym_join_type_token2] = ACTIONS(1370),
    [aux_sym_join_type_token3] = ACTIONS(1370),
    [aux_sym_join_type_token4] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1370),
    [aux_sym_join_condition_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [240] = {
    [sym_analytics_clause] = STATE(546),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_where_clause_token1] = ACTIONS(1370),
    [aux_sym_pivot_operator_token1] = ACTIONS(1370),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1370),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1370),
    [aux_sym_join_type_token1] = ACTIONS(1370),
    [aux_sym_join_type_token2] = ACTIONS(1370),
    [aux_sym_join_type_token3] = ACTIONS(1370),
    [aux_sym_join_type_token4] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1370),
    [aux_sym_join_condition_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [241] = {
    [sym_analytics_clause] = STATE(473),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_where_clause_token1] = ACTIONS(1370),
    [aux_sym_pivot_operator_token1] = ACTIONS(1370),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1370),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1370),
    [aux_sym_join_type_token1] = ACTIONS(1370),
    [aux_sym_join_type_token2] = ACTIONS(1370),
    [aux_sym_join_type_token3] = ACTIONS(1370),
    [aux_sym_join_type_token4] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1370),
    [aux_sym_join_condition_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [242] = {
    [sym_analytics_clause] = STATE(499),
    [ts_builtin_sym_end] = ACTIONS(1382),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1382),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1382),
    [aux_sym_keyword_replace_token1] = ACTIONS(1384),
    [aux_sym__keyword_alter_token1] = ACTIONS(1382),
    [aux_sym__keyword_delete_token1] = ACTIONS(1382),
    [aux_sym__keyword_begin_token1] = ACTIONS(1382),
    [aux_sym__keyword_end_token1] = ACTIONS(1382),
    [aux_sym__keyword_between_token1] = ACTIONS(1382),
    [aux_sym__keyword_when_token1] = ACTIONS(1382),
    [aux_sym__keyword_else_token1] = ACTIONS(1384),
    [aux_sym__keyword_is_token1] = ACTIONS(1382),
    [aux_sym__keyword_in_token1] = ACTIONS(1384),
    [aux_sym__keyword_and_token1] = ACTIONS(1382),
    [aux_sym__keyword_like_token1] = ACTIONS(1382),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1382),
    [aux_sym__keyword_window_token1] = ACTIONS(1382),
    [aux_sym__keyword_for_token1] = ACTIONS(1382),
    [anon_sym_SEMI] = ACTIONS(1382),
    [aux_sym_declare_statement_token1] = ACTIONS(1382),
    [anon_sym_COMMA] = ACTIONS(1382),
    [aux_sym_set_statement_token1] = ACTIONS(1382),
    [anon_sym_LPAREN] = ACTIONS(1382),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1382),
    [aux_sym_using_clause_token1] = ACTIONS(1382),
    [aux_sym_return_satement_token1] = ACTIONS(1382),
    [aux_sym_call_statement_token1] = ACTIONS(1382),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1382),
    [aux_sym_if_statement_token1] = ACTIONS(1382),
    [aux_sym_loop_statement_token1] = ACTIONS(1382),
    [aux_sym_repeat_statement_token1] = ACTIONS(1382),
    [aux_sym_while_statement_token1] = ACTIONS(1382),
    [aux_sym_break_statement_token1] = ACTIONS(1382),
    [aux_sym_leave_statement_token1] = ACTIONS(1382),
    [aux_sym_continue_statement_token1] = ACTIONS(1382),
    [aux_sym_iterate_statement_token1] = ACTIONS(1382),
    [aux_sym_raise_statement_token1] = ACTIONS(1382),
    [anon_sym_EQ] = ACTIONS(1382),
    [aux_sym_assert_statement_token1] = ACTIONS(1382),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1382),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1382),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1382),
    [anon_sym_LT] = ACTIONS(1384),
    [anon_sym_GT] = ACTIONS(1384),
    [aux_sym_set_operation_token1] = ACTIONS(1382),
    [aux_sym_set_operation_token3] = ACTIONS(1382),
    [aux_sym_set_operation_token4] = ACTIONS(1384),
    [aux_sym_select_token1] = ACTIONS(1382),
    [aux_sym_having_clause_token1] = ACTIONS(1382),
    [aux_sym_qualify_clause_token1] = ACTIONS(1382),
    [aux_sym_limit_clause_token1] = ACTIONS(1382),
    [aux_sym_group_by_clause_token1] = ACTIONS(1382),
    [aux_sym_order_by_clause_token1] = ACTIONS(1382),
    [aux_sym_where_clause_token1] = ACTIONS(1382),
    [aux_sym_pivot_operator_token1] = ACTIONS(1382),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1382),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1382),
    [aux_sym_join_type_token1] = ACTIONS(1382),
    [aux_sym_join_type_token2] = ACTIONS(1382),
    [aux_sym_join_type_token3] = ACTIONS(1382),
    [aux_sym_join_type_token4] = ACTIONS(1382),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1382),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1382),
    [aux_sym_join_condition_token1] = ACTIONS(1382),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1382),
    [aux_sym_truncate_statement_token1] = ACTIONS(1382),
    [aux_sym_update_statement_token1] = ACTIONS(1382),
    [aux_sym_merge_statement_token1] = ACTIONS(1382),
    [aux_sym_grant_statement_token1] = ACTIONS(1382),
    [aux_sym_revoke_statement_token1] = ACTIONS(1382),
    [aux_sym_export_data_statement_token1] = ACTIONS(1382),
    [aux_sym_load_data_statement_token1] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(1382),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1382),
    [anon_sym_PLUS] = ACTIONS(1382),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_STAR] = ACTIONS(1382),
    [anon_sym_SLASH] = ACTIONS(1384),
    [anon_sym_PIPE_PIPE] = ACTIONS(1382),
    [anon_sym_LT_EQ] = ACTIONS(1382),
    [anon_sym_LT_GT] = ACTIONS(1382),
    [anon_sym_GT_EQ] = ACTIONS(1382),
    [anon_sym_BANG_EQ] = ACTIONS(1382),
    [anon_sym_LT_LT] = ACTIONS(1382),
    [anon_sym_GT_GT] = ACTIONS(1382),
    [anon_sym_AMP] = ACTIONS(1382),
    [anon_sym_CARET] = ACTIONS(1382),
    [anon_sym_PIPE] = ACTIONS(1384),
  },
  [243] = {
    [sym_analytics_clause] = STATE(437),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_window_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_using_clause_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1360),
    [aux_sym_set_operation_token3] = ACTIONS(1360),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_having_clause_token1] = ACTIONS(1360),
    [aux_sym_qualify_clause_token1] = ACTIONS(1360),
    [aux_sym_limit_clause_token1] = ACTIONS(1360),
    [aux_sym_group_by_clause_token1] = ACTIONS(1360),
    [aux_sym_order_by_clause_token1] = ACTIONS(1360),
    [aux_sym_where_clause_token1] = ACTIONS(1360),
    [aux_sym_pivot_operator_token1] = ACTIONS(1360),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1360),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1360),
    [aux_sym_join_type_token1] = ACTIONS(1360),
    [aux_sym_join_type_token2] = ACTIONS(1360),
    [aux_sym_join_type_token3] = ACTIONS(1360),
    [aux_sym_join_type_token4] = ACTIONS(1360),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1360),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1360),
    [aux_sym_join_condition_token1] = ACTIONS(1360),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [244] = {
    [sym_analytics_clause] = STATE(547),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_where_clause_token1] = ACTIONS(1370),
    [aux_sym_pivot_operator_token1] = ACTIONS(1370),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1370),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1370),
    [aux_sym_join_type_token1] = ACTIONS(1370),
    [aux_sym_join_type_token2] = ACTIONS(1370),
    [aux_sym_join_type_token3] = ACTIONS(1370),
    [aux_sym_join_type_token4] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1370),
    [aux_sym_join_condition_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [245] = {
    [sym_analytics_clause] = STATE(548),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_where_clause_token1] = ACTIONS(1370),
    [aux_sym_pivot_operator_token1] = ACTIONS(1370),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1370),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1370),
    [aux_sym_join_type_token1] = ACTIONS(1370),
    [aux_sym_join_type_token2] = ACTIONS(1370),
    [aux_sym_join_type_token3] = ACTIONS(1370),
    [aux_sym_join_type_token4] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1370),
    [aux_sym_join_condition_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [246] = {
    [sym_analytics_clause] = STATE(439),
    [ts_builtin_sym_end] = ACTIONS(1386),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1386),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1386),
    [aux_sym_keyword_replace_token1] = ACTIONS(1388),
    [aux_sym__keyword_alter_token1] = ACTIONS(1386),
    [aux_sym__keyword_delete_token1] = ACTIONS(1386),
    [aux_sym__keyword_begin_token1] = ACTIONS(1386),
    [aux_sym__keyword_end_token1] = ACTIONS(1386),
    [aux_sym__keyword_between_token1] = ACTIONS(1386),
    [aux_sym__keyword_when_token1] = ACTIONS(1386),
    [aux_sym__keyword_else_token1] = ACTIONS(1388),
    [aux_sym__keyword_is_token1] = ACTIONS(1386),
    [aux_sym__keyword_in_token1] = ACTIONS(1388),
    [aux_sym__keyword_and_token1] = ACTIONS(1386),
    [aux_sym__keyword_like_token1] = ACTIONS(1386),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1386),
    [aux_sym__keyword_window_token1] = ACTIONS(1386),
    [aux_sym__keyword_for_token1] = ACTIONS(1386),
    [anon_sym_SEMI] = ACTIONS(1386),
    [aux_sym_declare_statement_token1] = ACTIONS(1386),
    [anon_sym_COMMA] = ACTIONS(1386),
    [aux_sym_set_statement_token1] = ACTIONS(1386),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1386),
    [aux_sym_using_clause_token1] = ACTIONS(1386),
    [aux_sym_return_satement_token1] = ACTIONS(1386),
    [aux_sym_call_statement_token1] = ACTIONS(1386),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1386),
    [aux_sym_if_statement_token1] = ACTIONS(1386),
    [aux_sym_loop_statement_token1] = ACTIONS(1386),
    [aux_sym_repeat_statement_token1] = ACTIONS(1386),
    [aux_sym_while_statement_token1] = ACTIONS(1386),
    [aux_sym_break_statement_token1] = ACTIONS(1386),
    [aux_sym_leave_statement_token1] = ACTIONS(1386),
    [aux_sym_continue_statement_token1] = ACTIONS(1386),
    [aux_sym_iterate_statement_token1] = ACTIONS(1386),
    [aux_sym_raise_statement_token1] = ACTIONS(1386),
    [anon_sym_EQ] = ACTIONS(1386),
    [aux_sym_assert_statement_token1] = ACTIONS(1386),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1386),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1386),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1386),
    [anon_sym_LT] = ACTIONS(1388),
    [anon_sym_GT] = ACTIONS(1388),
    [aux_sym_set_operation_token1] = ACTIONS(1386),
    [aux_sym_set_operation_token3] = ACTIONS(1386),
    [aux_sym_set_operation_token4] = ACTIONS(1388),
    [aux_sym_select_token1] = ACTIONS(1386),
    [aux_sym_having_clause_token1] = ACTIONS(1386),
    [aux_sym_qualify_clause_token1] = ACTIONS(1386),
    [aux_sym_limit_clause_token1] = ACTIONS(1386),
    [aux_sym_group_by_clause_token1] = ACTIONS(1386),
    [aux_sym_order_by_clause_token1] = ACTIONS(1386),
    [aux_sym_where_clause_token1] = ACTIONS(1386),
    [aux_sym_pivot_operator_token1] = ACTIONS(1386),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1386),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1386),
    [aux_sym_join_type_token1] = ACTIONS(1386),
    [aux_sym_join_type_token2] = ACTIONS(1386),
    [aux_sym_join_type_token3] = ACTIONS(1386),
    [aux_sym_join_type_token4] = ACTIONS(1386),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1386),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1386),
    [aux_sym_join_condition_token1] = ACTIONS(1386),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1386),
    [aux_sym_truncate_statement_token1] = ACTIONS(1386),
    [aux_sym_update_statement_token1] = ACTIONS(1386),
    [aux_sym_merge_statement_token1] = ACTIONS(1386),
    [aux_sym_grant_statement_token1] = ACTIONS(1386),
    [aux_sym_revoke_statement_token1] = ACTIONS(1386),
    [aux_sym_export_data_statement_token1] = ACTIONS(1386),
    [aux_sym_load_data_statement_token1] = ACTIONS(1386),
    [anon_sym_LBRACK] = ACTIONS(1386),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1386),
    [anon_sym_DASH] = ACTIONS(1388),
    [anon_sym_STAR] = ACTIONS(1386),
    [anon_sym_SLASH] = ACTIONS(1388),
    [anon_sym_PIPE_PIPE] = ACTIONS(1386),
    [anon_sym_LT_EQ] = ACTIONS(1386),
    [anon_sym_LT_GT] = ACTIONS(1386),
    [anon_sym_GT_EQ] = ACTIONS(1386),
    [anon_sym_BANG_EQ] = ACTIONS(1386),
    [anon_sym_LT_LT] = ACTIONS(1386),
    [anon_sym_GT_GT] = ACTIONS(1386),
    [anon_sym_AMP] = ACTIONS(1386),
    [anon_sym_CARET] = ACTIONS(1386),
    [anon_sym_PIPE] = ACTIONS(1388),
  },
  [247] = {
    [sym_analytics_clause] = STATE(505),
    [ts_builtin_sym_end] = ACTIONS(1390),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1390),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1390),
    [aux_sym_keyword_replace_token1] = ACTIONS(1392),
    [aux_sym__keyword_alter_token1] = ACTIONS(1390),
    [aux_sym__keyword_delete_token1] = ACTIONS(1390),
    [aux_sym__keyword_begin_token1] = ACTIONS(1390),
    [aux_sym__keyword_end_token1] = ACTIONS(1390),
    [aux_sym__keyword_between_token1] = ACTIONS(1390),
    [aux_sym__keyword_when_token1] = ACTIONS(1390),
    [aux_sym__keyword_else_token1] = ACTIONS(1392),
    [aux_sym__keyword_is_token1] = ACTIONS(1390),
    [aux_sym__keyword_in_token1] = ACTIONS(1392),
    [aux_sym__keyword_and_token1] = ACTIONS(1390),
    [aux_sym__keyword_like_token1] = ACTIONS(1390),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1390),
    [aux_sym__keyword_window_token1] = ACTIONS(1390),
    [aux_sym__keyword_for_token1] = ACTIONS(1390),
    [anon_sym_SEMI] = ACTIONS(1390),
    [aux_sym_declare_statement_token1] = ACTIONS(1390),
    [anon_sym_COMMA] = ACTIONS(1390),
    [aux_sym_set_statement_token1] = ACTIONS(1390),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1390),
    [aux_sym_using_clause_token1] = ACTIONS(1390),
    [aux_sym_return_satement_token1] = ACTIONS(1390),
    [aux_sym_call_statement_token1] = ACTIONS(1390),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1390),
    [aux_sym_if_statement_token1] = ACTIONS(1390),
    [aux_sym_loop_statement_token1] = ACTIONS(1390),
    [aux_sym_repeat_statement_token1] = ACTIONS(1390),
    [aux_sym_while_statement_token1] = ACTIONS(1390),
    [aux_sym_break_statement_token1] = ACTIONS(1390),
    [aux_sym_leave_statement_token1] = ACTIONS(1390),
    [aux_sym_continue_statement_token1] = ACTIONS(1390),
    [aux_sym_iterate_statement_token1] = ACTIONS(1390),
    [aux_sym_raise_statement_token1] = ACTIONS(1390),
    [anon_sym_EQ] = ACTIONS(1390),
    [aux_sym_assert_statement_token1] = ACTIONS(1390),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1390),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1390),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1390),
    [anon_sym_LT] = ACTIONS(1392),
    [anon_sym_GT] = ACTIONS(1392),
    [aux_sym_set_operation_token1] = ACTIONS(1390),
    [aux_sym_set_operation_token3] = ACTIONS(1390),
    [aux_sym_set_operation_token4] = ACTIONS(1392),
    [aux_sym_select_token1] = ACTIONS(1390),
    [aux_sym_having_clause_token1] = ACTIONS(1390),
    [aux_sym_qualify_clause_token1] = ACTIONS(1390),
    [aux_sym_limit_clause_token1] = ACTIONS(1390),
    [aux_sym_group_by_clause_token1] = ACTIONS(1390),
    [aux_sym_order_by_clause_token1] = ACTIONS(1390),
    [aux_sym_where_clause_token1] = ACTIONS(1390),
    [aux_sym_pivot_operator_token1] = ACTIONS(1390),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1390),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1390),
    [aux_sym_join_type_token1] = ACTIONS(1390),
    [aux_sym_join_type_token2] = ACTIONS(1390),
    [aux_sym_join_type_token3] = ACTIONS(1390),
    [aux_sym_join_type_token4] = ACTIONS(1390),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1390),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1390),
    [aux_sym_join_condition_token1] = ACTIONS(1390),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1390),
    [aux_sym_truncate_statement_token1] = ACTIONS(1390),
    [aux_sym_update_statement_token1] = ACTIONS(1390),
    [aux_sym_merge_statement_token1] = ACTIONS(1390),
    [aux_sym_grant_statement_token1] = ACTIONS(1390),
    [aux_sym_revoke_statement_token1] = ACTIONS(1390),
    [aux_sym_export_data_statement_token1] = ACTIONS(1390),
    [aux_sym_load_data_statement_token1] = ACTIONS(1390),
    [anon_sym_LBRACK] = ACTIONS(1390),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_DASH] = ACTIONS(1392),
    [anon_sym_STAR] = ACTIONS(1390),
    [anon_sym_SLASH] = ACTIONS(1392),
    [anon_sym_PIPE_PIPE] = ACTIONS(1390),
    [anon_sym_LT_EQ] = ACTIONS(1390),
    [anon_sym_LT_GT] = ACTIONS(1390),
    [anon_sym_GT_EQ] = ACTIONS(1390),
    [anon_sym_BANG_EQ] = ACTIONS(1390),
    [anon_sym_LT_LT] = ACTIONS(1390),
    [anon_sym_GT_GT] = ACTIONS(1390),
    [anon_sym_AMP] = ACTIONS(1390),
    [anon_sym_CARET] = ACTIONS(1390),
    [anon_sym_PIPE] = ACTIONS(1392),
  },
  [248] = {
    [sym_analytics_clause] = STATE(529),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_window_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_using_clause_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_having_clause_token1] = ACTIONS(1378),
    [aux_sym_qualify_clause_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym_group_by_clause_token1] = ACTIONS(1378),
    [aux_sym_order_by_clause_token1] = ACTIONS(1378),
    [aux_sym_where_clause_token1] = ACTIONS(1378),
    [aux_sym_pivot_operator_token1] = ACTIONS(1378),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1378),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1378),
    [aux_sym_join_type_token1] = ACTIONS(1378),
    [aux_sym_join_type_token2] = ACTIONS(1378),
    [aux_sym_join_type_token3] = ACTIONS(1378),
    [aux_sym_join_type_token4] = ACTIONS(1378),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1378),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1378),
    [aux_sym_join_condition_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [249] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1444),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_all] = STATE(5383),
    [sym__aliasable_expression] = STATE(5384),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(198),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(75),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_asterisk_expression] = STATE(5318),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [250] = {
    [sym_analytics_clause] = STATE(549),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_where_clause_token1] = ACTIONS(1370),
    [aux_sym_pivot_operator_token1] = ACTIONS(1370),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1370),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1370),
    [aux_sym_join_type_token1] = ACTIONS(1370),
    [aux_sym_join_type_token2] = ACTIONS(1370),
    [aux_sym_join_type_token3] = ACTIONS(1370),
    [aux_sym_join_type_token4] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1370),
    [aux_sym_join_condition_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [251] = {
    [sym_analytics_clause] = STATE(550),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_where_clause_token1] = ACTIONS(1370),
    [aux_sym_pivot_operator_token1] = ACTIONS(1370),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1370),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1370),
    [aux_sym_join_type_token1] = ACTIONS(1370),
    [aux_sym_join_type_token2] = ACTIONS(1370),
    [aux_sym_join_type_token3] = ACTIONS(1370),
    [aux_sym_join_type_token4] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1370),
    [aux_sym_join_condition_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [252] = {
    [sym_analytics_clause] = STATE(443),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_window_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_using_clause_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1360),
    [aux_sym_set_operation_token3] = ACTIONS(1360),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_having_clause_token1] = ACTIONS(1360),
    [aux_sym_qualify_clause_token1] = ACTIONS(1360),
    [aux_sym_limit_clause_token1] = ACTIONS(1360),
    [aux_sym_group_by_clause_token1] = ACTIONS(1360),
    [aux_sym_order_by_clause_token1] = ACTIONS(1360),
    [aux_sym_where_clause_token1] = ACTIONS(1360),
    [aux_sym_pivot_operator_token1] = ACTIONS(1360),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1360),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1360),
    [aux_sym_join_type_token1] = ACTIONS(1360),
    [aux_sym_join_type_token2] = ACTIONS(1360),
    [aux_sym_join_type_token3] = ACTIONS(1360),
    [aux_sym_join_type_token4] = ACTIONS(1360),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1360),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1360),
    [aux_sym_join_condition_token1] = ACTIONS(1360),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [253] = {
    [sym_analytics_clause] = STATE(551),
    [ts_builtin_sym_end] = ACTIONS(1394),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1394),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1394),
    [aux_sym_keyword_replace_token1] = ACTIONS(1396),
    [aux_sym__keyword_alter_token1] = ACTIONS(1394),
    [aux_sym__keyword_delete_token1] = ACTIONS(1394),
    [aux_sym__keyword_begin_token1] = ACTIONS(1394),
    [aux_sym__keyword_end_token1] = ACTIONS(1394),
    [aux_sym__keyword_between_token1] = ACTIONS(1394),
    [aux_sym__keyword_when_token1] = ACTIONS(1394),
    [aux_sym__keyword_else_token1] = ACTIONS(1396),
    [aux_sym__keyword_is_token1] = ACTIONS(1394),
    [aux_sym__keyword_in_token1] = ACTIONS(1396),
    [aux_sym__keyword_and_token1] = ACTIONS(1394),
    [aux_sym__keyword_like_token1] = ACTIONS(1394),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1394),
    [aux_sym__keyword_window_token1] = ACTIONS(1394),
    [aux_sym__keyword_for_token1] = ACTIONS(1394),
    [anon_sym_SEMI] = ACTIONS(1394),
    [aux_sym_declare_statement_token1] = ACTIONS(1394),
    [anon_sym_COMMA] = ACTIONS(1394),
    [aux_sym_set_statement_token1] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(1394),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1394),
    [aux_sym_using_clause_token1] = ACTIONS(1394),
    [aux_sym_return_satement_token1] = ACTIONS(1394),
    [aux_sym_call_statement_token1] = ACTIONS(1394),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1394),
    [aux_sym_if_statement_token1] = ACTIONS(1394),
    [aux_sym_loop_statement_token1] = ACTIONS(1394),
    [aux_sym_repeat_statement_token1] = ACTIONS(1394),
    [aux_sym_while_statement_token1] = ACTIONS(1394),
    [aux_sym_break_statement_token1] = ACTIONS(1394),
    [aux_sym_leave_statement_token1] = ACTIONS(1394),
    [aux_sym_continue_statement_token1] = ACTIONS(1394),
    [aux_sym_iterate_statement_token1] = ACTIONS(1394),
    [aux_sym_raise_statement_token1] = ACTIONS(1394),
    [anon_sym_EQ] = ACTIONS(1394),
    [aux_sym_assert_statement_token1] = ACTIONS(1394),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1394),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1394),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1394),
    [anon_sym_LT] = ACTIONS(1396),
    [anon_sym_GT] = ACTIONS(1396),
    [aux_sym_set_operation_token1] = ACTIONS(1394),
    [aux_sym_set_operation_token3] = ACTIONS(1394),
    [aux_sym_set_operation_token4] = ACTIONS(1396),
    [aux_sym_select_token1] = ACTIONS(1394),
    [aux_sym_having_clause_token1] = ACTIONS(1394),
    [aux_sym_qualify_clause_token1] = ACTIONS(1394),
    [aux_sym_limit_clause_token1] = ACTIONS(1394),
    [aux_sym_group_by_clause_token1] = ACTIONS(1394),
    [aux_sym_order_by_clause_token1] = ACTIONS(1394),
    [aux_sym_where_clause_token1] = ACTIONS(1394),
    [aux_sym_pivot_operator_token1] = ACTIONS(1394),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1394),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1394),
    [aux_sym_join_type_token1] = ACTIONS(1394),
    [aux_sym_join_type_token2] = ACTIONS(1394),
    [aux_sym_join_type_token3] = ACTIONS(1394),
    [aux_sym_join_type_token4] = ACTIONS(1394),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1394),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1394),
    [aux_sym_join_condition_token1] = ACTIONS(1394),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1394),
    [aux_sym_truncate_statement_token1] = ACTIONS(1394),
    [aux_sym_update_statement_token1] = ACTIONS(1394),
    [aux_sym_merge_statement_token1] = ACTIONS(1394),
    [aux_sym_grant_statement_token1] = ACTIONS(1394),
    [aux_sym_revoke_statement_token1] = ACTIONS(1394),
    [aux_sym_export_data_statement_token1] = ACTIONS(1394),
    [aux_sym_load_data_statement_token1] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(1394),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_STAR] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(1396),
    [anon_sym_PIPE_PIPE] = ACTIONS(1394),
    [anon_sym_LT_EQ] = ACTIONS(1394),
    [anon_sym_LT_GT] = ACTIONS(1394),
    [anon_sym_GT_EQ] = ACTIONS(1394),
    [anon_sym_BANG_EQ] = ACTIONS(1394),
    [anon_sym_LT_LT] = ACTIONS(1394),
    [anon_sym_GT_GT] = ACTIONS(1394),
    [anon_sym_AMP] = ACTIONS(1394),
    [anon_sym_CARET] = ACTIONS(1394),
    [anon_sym_PIPE] = ACTIONS(1396),
  },
  [254] = {
    [sym_analytics_clause] = STATE(489),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_where_clause_token1] = ACTIONS(1364),
    [aux_sym_pivot_operator_token1] = ACTIONS(1364),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1364),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1364),
    [aux_sym_join_type_token1] = ACTIONS(1364),
    [aux_sym_join_type_token2] = ACTIONS(1364),
    [aux_sym_join_type_token3] = ACTIONS(1364),
    [aux_sym_join_type_token4] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1364),
    [aux_sym_join_condition_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [255] = {
    [sym_analytics_clause] = STATE(552),
    [ts_builtin_sym_end] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1398),
    [aux_sym_keyword_replace_token1] = ACTIONS(1400),
    [aux_sym__keyword_alter_token1] = ACTIONS(1398),
    [aux_sym__keyword_delete_token1] = ACTIONS(1398),
    [aux_sym__keyword_begin_token1] = ACTIONS(1398),
    [aux_sym__keyword_end_token1] = ACTIONS(1398),
    [aux_sym__keyword_between_token1] = ACTIONS(1398),
    [aux_sym__keyword_when_token1] = ACTIONS(1398),
    [aux_sym__keyword_else_token1] = ACTIONS(1400),
    [aux_sym__keyword_is_token1] = ACTIONS(1398),
    [aux_sym__keyword_in_token1] = ACTIONS(1400),
    [aux_sym__keyword_and_token1] = ACTIONS(1398),
    [aux_sym__keyword_like_token1] = ACTIONS(1398),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1398),
    [aux_sym__keyword_window_token1] = ACTIONS(1398),
    [aux_sym__keyword_for_token1] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1398),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1398),
    [aux_sym_using_clause_token1] = ACTIONS(1398),
    [aux_sym_return_satement_token1] = ACTIONS(1398),
    [aux_sym_call_statement_token1] = ACTIONS(1398),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1398),
    [aux_sym_if_statement_token1] = ACTIONS(1398),
    [aux_sym_loop_statement_token1] = ACTIONS(1398),
    [aux_sym_repeat_statement_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token1] = ACTIONS(1398),
    [aux_sym_break_statement_token1] = ACTIONS(1398),
    [aux_sym_leave_statement_token1] = ACTIONS(1398),
    [aux_sym_continue_statement_token1] = ACTIONS(1398),
    [aux_sym_iterate_statement_token1] = ACTIONS(1398),
    [aux_sym_raise_statement_token1] = ACTIONS(1398),
    [anon_sym_EQ] = ACTIONS(1398),
    [aux_sym_assert_statement_token1] = ACTIONS(1398),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1398),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [aux_sym_set_operation_token1] = ACTIONS(1398),
    [aux_sym_set_operation_token3] = ACTIONS(1398),
    [aux_sym_set_operation_token4] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1398),
    [aux_sym_having_clause_token1] = ACTIONS(1398),
    [aux_sym_qualify_clause_token1] = ACTIONS(1398),
    [aux_sym_limit_clause_token1] = ACTIONS(1398),
    [aux_sym_group_by_clause_token1] = ACTIONS(1398),
    [aux_sym_order_by_clause_token1] = ACTIONS(1398),
    [aux_sym_where_clause_token1] = ACTIONS(1398),
    [aux_sym_pivot_operator_token1] = ACTIONS(1398),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1398),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1398),
    [aux_sym_join_type_token1] = ACTIONS(1398),
    [aux_sym_join_type_token2] = ACTIONS(1398),
    [aux_sym_join_type_token3] = ACTIONS(1398),
    [aux_sym_join_type_token4] = ACTIONS(1398),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1398),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1398),
    [aux_sym_join_condition_token1] = ACTIONS(1398),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1398),
    [aux_sym_truncate_statement_token1] = ACTIONS(1398),
    [aux_sym_update_statement_token1] = ACTIONS(1398),
    [aux_sym_merge_statement_token1] = ACTIONS(1398),
    [aux_sym_grant_statement_token1] = ACTIONS(1398),
    [aux_sym_revoke_statement_token1] = ACTIONS(1398),
    [aux_sym_export_data_statement_token1] = ACTIONS(1398),
    [aux_sym_load_data_statement_token1] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_LT_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
  },
  [256] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_when] = STATE(1531),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8262),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_casewhen_clause] = STATE(12156),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [aux_sym_casewhen_expression_repeat1] = STATE(12156),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_when_token1] = ACTIONS(1368),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [257] = {
    [sym_analytics_clause] = STATE(563),
    [ts_builtin_sym_end] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1398),
    [aux_sym_keyword_replace_token1] = ACTIONS(1400),
    [aux_sym__keyword_alter_token1] = ACTIONS(1398),
    [aux_sym__keyword_delete_token1] = ACTIONS(1398),
    [aux_sym__keyword_begin_token1] = ACTIONS(1398),
    [aux_sym__keyword_end_token1] = ACTIONS(1398),
    [aux_sym__keyword_between_token1] = ACTIONS(1398),
    [aux_sym__keyword_when_token1] = ACTIONS(1398),
    [aux_sym__keyword_else_token1] = ACTIONS(1400),
    [aux_sym__keyword_is_token1] = ACTIONS(1398),
    [aux_sym__keyword_in_token1] = ACTIONS(1400),
    [aux_sym__keyword_and_token1] = ACTIONS(1398),
    [aux_sym__keyword_like_token1] = ACTIONS(1398),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1398),
    [aux_sym__keyword_window_token1] = ACTIONS(1398),
    [aux_sym__keyword_for_token1] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1398),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1398),
    [aux_sym_using_clause_token1] = ACTIONS(1398),
    [aux_sym_return_satement_token1] = ACTIONS(1398),
    [aux_sym_call_statement_token1] = ACTIONS(1398),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1398),
    [aux_sym_if_statement_token1] = ACTIONS(1398),
    [aux_sym_loop_statement_token1] = ACTIONS(1398),
    [aux_sym_repeat_statement_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token1] = ACTIONS(1398),
    [aux_sym_break_statement_token1] = ACTIONS(1398),
    [aux_sym_leave_statement_token1] = ACTIONS(1398),
    [aux_sym_continue_statement_token1] = ACTIONS(1398),
    [aux_sym_iterate_statement_token1] = ACTIONS(1398),
    [aux_sym_raise_statement_token1] = ACTIONS(1398),
    [anon_sym_EQ] = ACTIONS(1398),
    [aux_sym_assert_statement_token1] = ACTIONS(1398),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1398),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [aux_sym_set_operation_token1] = ACTIONS(1398),
    [aux_sym_set_operation_token3] = ACTIONS(1398),
    [aux_sym_set_operation_token4] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1398),
    [aux_sym_having_clause_token1] = ACTIONS(1398),
    [aux_sym_qualify_clause_token1] = ACTIONS(1398),
    [aux_sym_limit_clause_token1] = ACTIONS(1398),
    [aux_sym_group_by_clause_token1] = ACTIONS(1398),
    [aux_sym_order_by_clause_token1] = ACTIONS(1398),
    [aux_sym_where_clause_token1] = ACTIONS(1398),
    [aux_sym_pivot_operator_token1] = ACTIONS(1398),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1398),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1398),
    [aux_sym_join_type_token1] = ACTIONS(1398),
    [aux_sym_join_type_token2] = ACTIONS(1398),
    [aux_sym_join_type_token3] = ACTIONS(1398),
    [aux_sym_join_type_token4] = ACTIONS(1398),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1398),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1398),
    [aux_sym_join_condition_token1] = ACTIONS(1398),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1398),
    [aux_sym_truncate_statement_token1] = ACTIONS(1398),
    [aux_sym_update_statement_token1] = ACTIONS(1398),
    [aux_sym_merge_statement_token1] = ACTIONS(1398),
    [aux_sym_grant_statement_token1] = ACTIONS(1398),
    [aux_sym_revoke_statement_token1] = ACTIONS(1398),
    [aux_sym_export_data_statement_token1] = ACTIONS(1398),
    [aux_sym_load_data_statement_token1] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_LT_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
  },
  [258] = {
    [sym_analytics_clause] = STATE(556),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_where_clause_token1] = ACTIONS(1354),
    [aux_sym_pivot_operator_token1] = ACTIONS(1354),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1354),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1354),
    [aux_sym_join_type_token1] = ACTIONS(1354),
    [aux_sym_join_type_token2] = ACTIONS(1354),
    [aux_sym_join_type_token3] = ACTIONS(1354),
    [aux_sym_join_type_token4] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1354),
    [aux_sym_join_condition_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [259] = {
    [sym_analytics_clause] = STATE(441),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_where_clause_token1] = ACTIONS(1364),
    [aux_sym_pivot_operator_token1] = ACTIONS(1364),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1364),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1364),
    [aux_sym_join_type_token1] = ACTIONS(1364),
    [aux_sym_join_type_token2] = ACTIONS(1364),
    [aux_sym_join_type_token3] = ACTIONS(1364),
    [aux_sym_join_type_token4] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1364),
    [aux_sym_join_condition_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [260] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16298),
    [sym__keyword_case] = STATE(370),
    [sym__keyword_not] = STATE(1461),
    [sym__keyword_cast] = STATE(19281),
    [sym__keyword_date] = STATE(5984),
    [sym__keyword_datetime] = STATE(5984),
    [sym__keyword_time] = STATE(5984),
    [sym__keyword_timestamp] = STATE(5984),
    [sym_select_all] = STATE(5383),
    [sym__aliasable_expression] = STATE(5384),
    [sym_select_subexpression] = STATE(6583),
    [sym_function_call] = STATE(6583),
    [sym_unnest_operator] = STATE(5280),
    [sym_unnest_clause] = STATE(6583),
    [sym__literal] = STATE(6583),
    [sym_NULL] = STATE(6583),
    [sym_TRUE] = STATE(6583),
    [sym_FALSE] = STATE(6583),
    [sym__float] = STATE(6582),
    [sym_numeric] = STATE(6582),
    [sym__number] = STATE(6582),
    [sym_interval] = STATE(6583),
    [sym_range] = STATE(6583),
    [sym_time] = STATE(6583),
    [sym_number] = STATE(6583),
    [sym_json] = STATE(6583),
    [sym_query_parameter] = STATE(6583),
    [sym__type_chrono] = STATE(5709),
    [sym__type_struct] = STATE(19051),
    [sym__type_array] = STATE(18379),
    [sym_array] = STATE(6583),
    [sym_struct] = STATE(6583),
    [sym__identifier] = STATE(5940),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(6280),
    [sym_string] = STATE(6583),
    [sym__expression] = STATE(5092),
    [sym__parenthesized_expression] = STATE(6583),
    [sym_element_access] = STATE(6583),
    [sym_field_access] = STATE(6583),
    [sym_unary_expression] = STATE(6583),
    [sym_binary_expression] = STATE(6583),
    [sym_between_operator] = STATE(6583),
    [sym_casewhen_expression] = STATE(6583),
    [sym_cast_expression] = STATE(6583),
    [sym_asterisk_expression] = STATE(5318),
    [sym_argument_reference] = STATE(6583),
    [aux_sym_identifier_repeat1] = STATE(13302),
    [sym__unquoted_identifier] = ACTIONS(491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(493),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(495),
    [aux_sym__keyword_case_token1] = ACTIONS(497),
    [aux_sym__keyword_cast_token1] = ACTIONS(499),
    [aux_sym__keyword_cast_token2] = ACTIONS(499),
    [aux_sym__keyword_date_token1] = ACTIONS(501),
    [aux_sym__keyword_datetime_token1] = ACTIONS(501),
    [aux_sym__keyword_time_token1] = ACTIONS(501),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(503),
    [aux_sym_drop_notnull_token1] = ACTIONS(505),
    [aux_sym_function_call_token2] = ACTIONS(507),
    [aux_sym_unnest_operator_token1] = ACTIONS(509),
    [aux_sym_TRUE_token1] = ACTIONS(511),
    [aux_sym_FALSE_token1] = ACTIONS(513),
    [sym__integer] = ACTIONS(515),
    [aux_sym__float_token1] = ACTIONS(517),
    [aux_sym__float_token2] = ACTIONS(515),
    [aux_sym__float_token3] = ACTIONS(517),
    [aux_sym_numeric_token1] = ACTIONS(519),
    [aux_sym_numeric_token2] = ACTIONS(519),
    [aux_sym_numeric_token3] = ACTIONS(519),
    [aux_sym_numeric_token4] = ACTIONS(519),
    [aux_sym_interval_token1] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(523),
    [aux_sym_json_token1] = ACTIONS(525),
    [sym_system_variable] = ACTIONS(527),
    [sym__named_query_parameter] = ACTIONS(529),
    [sym__positional_query_parameter] = ACTIONS(531),
    [sym__quoted_identifier] = ACTIONS(533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(539),
    [anon_sym_DOLLAR] = ACTIONS(541),
    [sym__string_start] = ACTIONS(543),
  },
  [261] = {
    [sym_analytics_clause] = STATE(564),
    [ts_builtin_sym_end] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1398),
    [aux_sym_keyword_replace_token1] = ACTIONS(1400),
    [aux_sym__keyword_alter_token1] = ACTIONS(1398),
    [aux_sym__keyword_delete_token1] = ACTIONS(1398),
    [aux_sym__keyword_begin_token1] = ACTIONS(1398),
    [aux_sym__keyword_end_token1] = ACTIONS(1398),
    [aux_sym__keyword_between_token1] = ACTIONS(1398),
    [aux_sym__keyword_when_token1] = ACTIONS(1398),
    [aux_sym__keyword_else_token1] = ACTIONS(1400),
    [aux_sym__keyword_is_token1] = ACTIONS(1398),
    [aux_sym__keyword_in_token1] = ACTIONS(1400),
    [aux_sym__keyword_and_token1] = ACTIONS(1398),
    [aux_sym__keyword_like_token1] = ACTIONS(1398),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1398),
    [aux_sym__keyword_window_token1] = ACTIONS(1398),
    [aux_sym__keyword_for_token1] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1398),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1398),
    [aux_sym_using_clause_token1] = ACTIONS(1398),
    [aux_sym_return_satement_token1] = ACTIONS(1398),
    [aux_sym_call_statement_token1] = ACTIONS(1398),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1398),
    [aux_sym_if_statement_token1] = ACTIONS(1398),
    [aux_sym_loop_statement_token1] = ACTIONS(1398),
    [aux_sym_repeat_statement_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token1] = ACTIONS(1398),
    [aux_sym_break_statement_token1] = ACTIONS(1398),
    [aux_sym_leave_statement_token1] = ACTIONS(1398),
    [aux_sym_continue_statement_token1] = ACTIONS(1398),
    [aux_sym_iterate_statement_token1] = ACTIONS(1398),
    [aux_sym_raise_statement_token1] = ACTIONS(1398),
    [anon_sym_EQ] = ACTIONS(1398),
    [aux_sym_assert_statement_token1] = ACTIONS(1398),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1398),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [aux_sym_set_operation_token1] = ACTIONS(1398),
    [aux_sym_set_operation_token3] = ACTIONS(1398),
    [aux_sym_set_operation_token4] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1398),
    [aux_sym_having_clause_token1] = ACTIONS(1398),
    [aux_sym_qualify_clause_token1] = ACTIONS(1398),
    [aux_sym_limit_clause_token1] = ACTIONS(1398),
    [aux_sym_group_by_clause_token1] = ACTIONS(1398),
    [aux_sym_order_by_clause_token1] = ACTIONS(1398),
    [aux_sym_where_clause_token1] = ACTIONS(1398),
    [aux_sym_pivot_operator_token1] = ACTIONS(1398),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1398),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1398),
    [aux_sym_join_type_token1] = ACTIONS(1398),
    [aux_sym_join_type_token2] = ACTIONS(1398),
    [aux_sym_join_type_token3] = ACTIONS(1398),
    [aux_sym_join_type_token4] = ACTIONS(1398),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1398),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1398),
    [aux_sym_join_condition_token1] = ACTIONS(1398),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1398),
    [aux_sym_truncate_statement_token1] = ACTIONS(1398),
    [aux_sym_update_statement_token1] = ACTIONS(1398),
    [aux_sym_merge_statement_token1] = ACTIONS(1398),
    [aux_sym_grant_statement_token1] = ACTIONS(1398),
    [aux_sym_revoke_statement_token1] = ACTIONS(1398),
    [aux_sym_export_data_statement_token1] = ACTIONS(1398),
    [aux_sym_load_data_statement_token1] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_LT_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
  },
  [262] = {
    [sym_analytics_clause] = STATE(565),
    [ts_builtin_sym_end] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1398),
    [aux_sym_keyword_replace_token1] = ACTIONS(1400),
    [aux_sym__keyword_alter_token1] = ACTIONS(1398),
    [aux_sym__keyword_delete_token1] = ACTIONS(1398),
    [aux_sym__keyword_begin_token1] = ACTIONS(1398),
    [aux_sym__keyword_end_token1] = ACTIONS(1398),
    [aux_sym__keyword_between_token1] = ACTIONS(1398),
    [aux_sym__keyword_when_token1] = ACTIONS(1398),
    [aux_sym__keyword_else_token1] = ACTIONS(1400),
    [aux_sym__keyword_is_token1] = ACTIONS(1398),
    [aux_sym__keyword_in_token1] = ACTIONS(1400),
    [aux_sym__keyword_and_token1] = ACTIONS(1398),
    [aux_sym__keyword_like_token1] = ACTIONS(1398),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1398),
    [aux_sym__keyword_window_token1] = ACTIONS(1398),
    [aux_sym__keyword_for_token1] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1398),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1398),
    [aux_sym_using_clause_token1] = ACTIONS(1398),
    [aux_sym_return_satement_token1] = ACTIONS(1398),
    [aux_sym_call_statement_token1] = ACTIONS(1398),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1398),
    [aux_sym_if_statement_token1] = ACTIONS(1398),
    [aux_sym_loop_statement_token1] = ACTIONS(1398),
    [aux_sym_repeat_statement_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token1] = ACTIONS(1398),
    [aux_sym_break_statement_token1] = ACTIONS(1398),
    [aux_sym_leave_statement_token1] = ACTIONS(1398),
    [aux_sym_continue_statement_token1] = ACTIONS(1398),
    [aux_sym_iterate_statement_token1] = ACTIONS(1398),
    [aux_sym_raise_statement_token1] = ACTIONS(1398),
    [anon_sym_EQ] = ACTIONS(1398),
    [aux_sym_assert_statement_token1] = ACTIONS(1398),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1398),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [aux_sym_set_operation_token1] = ACTIONS(1398),
    [aux_sym_set_operation_token3] = ACTIONS(1398),
    [aux_sym_set_operation_token4] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1398),
    [aux_sym_having_clause_token1] = ACTIONS(1398),
    [aux_sym_qualify_clause_token1] = ACTIONS(1398),
    [aux_sym_limit_clause_token1] = ACTIONS(1398),
    [aux_sym_group_by_clause_token1] = ACTIONS(1398),
    [aux_sym_order_by_clause_token1] = ACTIONS(1398),
    [aux_sym_where_clause_token1] = ACTIONS(1398),
    [aux_sym_pivot_operator_token1] = ACTIONS(1398),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1398),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1398),
    [aux_sym_join_type_token1] = ACTIONS(1398),
    [aux_sym_join_type_token2] = ACTIONS(1398),
    [aux_sym_join_type_token3] = ACTIONS(1398),
    [aux_sym_join_type_token4] = ACTIONS(1398),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1398),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1398),
    [aux_sym_join_condition_token1] = ACTIONS(1398),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1398),
    [aux_sym_truncate_statement_token1] = ACTIONS(1398),
    [aux_sym_update_statement_token1] = ACTIONS(1398),
    [aux_sym_merge_statement_token1] = ACTIONS(1398),
    [aux_sym_grant_statement_token1] = ACTIONS(1398),
    [aux_sym_revoke_statement_token1] = ACTIONS(1398),
    [aux_sym_export_data_statement_token1] = ACTIONS(1398),
    [aux_sym_load_data_statement_token1] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_LT_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
  },
  [263] = {
    [sym_analytics_clause] = STATE(431),
    [ts_builtin_sym_end] = ACTIONS(1402),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1402),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1402),
    [aux_sym_keyword_replace_token1] = ACTIONS(1404),
    [aux_sym__keyword_alter_token1] = ACTIONS(1402),
    [aux_sym__keyword_delete_token1] = ACTIONS(1402),
    [aux_sym__keyword_begin_token1] = ACTIONS(1402),
    [aux_sym__keyword_end_token1] = ACTIONS(1402),
    [aux_sym__keyword_between_token1] = ACTIONS(1402),
    [aux_sym__keyword_when_token1] = ACTIONS(1402),
    [aux_sym__keyword_else_token1] = ACTIONS(1404),
    [aux_sym__keyword_is_token1] = ACTIONS(1402),
    [aux_sym__keyword_in_token1] = ACTIONS(1404),
    [aux_sym__keyword_and_token1] = ACTIONS(1402),
    [aux_sym__keyword_like_token1] = ACTIONS(1402),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1402),
    [aux_sym__keyword_window_token1] = ACTIONS(1402),
    [aux_sym__keyword_for_token1] = ACTIONS(1402),
    [anon_sym_SEMI] = ACTIONS(1402),
    [aux_sym_declare_statement_token1] = ACTIONS(1402),
    [anon_sym_COMMA] = ACTIONS(1402),
    [aux_sym_set_statement_token1] = ACTIONS(1402),
    [anon_sym_LPAREN] = ACTIONS(1402),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1402),
    [aux_sym_using_clause_token1] = ACTIONS(1402),
    [aux_sym_return_satement_token1] = ACTIONS(1402),
    [aux_sym_call_statement_token1] = ACTIONS(1402),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1402),
    [aux_sym_if_statement_token1] = ACTIONS(1402),
    [aux_sym_loop_statement_token1] = ACTIONS(1402),
    [aux_sym_repeat_statement_token1] = ACTIONS(1402),
    [aux_sym_while_statement_token1] = ACTIONS(1402),
    [aux_sym_break_statement_token1] = ACTIONS(1402),
    [aux_sym_leave_statement_token1] = ACTIONS(1402),
    [aux_sym_continue_statement_token1] = ACTIONS(1402),
    [aux_sym_iterate_statement_token1] = ACTIONS(1402),
    [aux_sym_raise_statement_token1] = ACTIONS(1402),
    [anon_sym_EQ] = ACTIONS(1402),
    [aux_sym_assert_statement_token1] = ACTIONS(1402),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1402),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1402),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1402),
    [anon_sym_LT] = ACTIONS(1404),
    [anon_sym_GT] = ACTIONS(1404),
    [aux_sym_set_operation_token1] = ACTIONS(1402),
    [aux_sym_set_operation_token3] = ACTIONS(1402),
    [aux_sym_set_operation_token4] = ACTIONS(1404),
    [aux_sym_select_token1] = ACTIONS(1402),
    [aux_sym_having_clause_token1] = ACTIONS(1402),
    [aux_sym_qualify_clause_token1] = ACTIONS(1402),
    [aux_sym_limit_clause_token1] = ACTIONS(1402),
    [aux_sym_group_by_clause_token1] = ACTIONS(1402),
    [aux_sym_order_by_clause_token1] = ACTIONS(1402),
    [aux_sym_where_clause_token1] = ACTIONS(1402),
    [aux_sym_pivot_operator_token1] = ACTIONS(1402),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1402),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1402),
    [aux_sym_join_type_token1] = ACTIONS(1402),
    [aux_sym_join_type_token2] = ACTIONS(1402),
    [aux_sym_join_type_token3] = ACTIONS(1402),
    [aux_sym_join_type_token4] = ACTIONS(1402),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1402),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1402),
    [aux_sym_join_condition_token1] = ACTIONS(1402),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1402),
    [aux_sym_truncate_statement_token1] = ACTIONS(1402),
    [aux_sym_update_statement_token1] = ACTIONS(1402),
    [aux_sym_merge_statement_token1] = ACTIONS(1402),
    [aux_sym_grant_statement_token1] = ACTIONS(1402),
    [aux_sym_revoke_statement_token1] = ACTIONS(1402),
    [aux_sym_export_data_statement_token1] = ACTIONS(1402),
    [aux_sym_load_data_statement_token1] = ACTIONS(1402),
    [anon_sym_LBRACK] = ACTIONS(1402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1402),
    [anon_sym_DASH] = ACTIONS(1404),
    [anon_sym_STAR] = ACTIONS(1402),
    [anon_sym_SLASH] = ACTIONS(1404),
    [anon_sym_PIPE_PIPE] = ACTIONS(1402),
    [anon_sym_LT_EQ] = ACTIONS(1402),
    [anon_sym_LT_GT] = ACTIONS(1402),
    [anon_sym_GT_EQ] = ACTIONS(1402),
    [anon_sym_BANG_EQ] = ACTIONS(1402),
    [anon_sym_LT_LT] = ACTIONS(1402),
    [anon_sym_GT_GT] = ACTIONS(1402),
    [anon_sym_AMP] = ACTIONS(1402),
    [anon_sym_CARET] = ACTIONS(1402),
    [anon_sym_PIPE] = ACTIONS(1404),
  },
  [264] = {
    [sym_analytics_clause] = STATE(444),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_window_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_using_clause_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1360),
    [aux_sym_set_operation_token3] = ACTIONS(1360),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_having_clause_token1] = ACTIONS(1360),
    [aux_sym_qualify_clause_token1] = ACTIONS(1360),
    [aux_sym_limit_clause_token1] = ACTIONS(1360),
    [aux_sym_group_by_clause_token1] = ACTIONS(1360),
    [aux_sym_order_by_clause_token1] = ACTIONS(1360),
    [aux_sym_where_clause_token1] = ACTIONS(1360),
    [aux_sym_pivot_operator_token1] = ACTIONS(1360),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1360),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1360),
    [aux_sym_join_type_token1] = ACTIONS(1360),
    [aux_sym_join_type_token2] = ACTIONS(1360),
    [aux_sym_join_type_token3] = ACTIONS(1360),
    [aux_sym_join_type_token4] = ACTIONS(1360),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1360),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1360),
    [aux_sym_join_condition_token1] = ACTIONS(1360),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [265] = {
    [sym_analytics_clause] = STATE(440),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_where_clause_token1] = ACTIONS(1364),
    [aux_sym_pivot_operator_token1] = ACTIONS(1364),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1364),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1364),
    [aux_sym_join_type_token1] = ACTIONS(1364),
    [aux_sym_join_type_token2] = ACTIONS(1364),
    [aux_sym_join_type_token3] = ACTIONS(1364),
    [aux_sym_join_type_token4] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1364),
    [aux_sym_join_condition_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [266] = {
    [sym_analytics_clause] = STATE(567),
    [ts_builtin_sym_end] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1398),
    [aux_sym_keyword_replace_token1] = ACTIONS(1400),
    [aux_sym__keyword_alter_token1] = ACTIONS(1398),
    [aux_sym__keyword_delete_token1] = ACTIONS(1398),
    [aux_sym__keyword_begin_token1] = ACTIONS(1398),
    [aux_sym__keyword_end_token1] = ACTIONS(1398),
    [aux_sym__keyword_between_token1] = ACTIONS(1398),
    [aux_sym__keyword_when_token1] = ACTIONS(1398),
    [aux_sym__keyword_else_token1] = ACTIONS(1400),
    [aux_sym__keyword_is_token1] = ACTIONS(1398),
    [aux_sym__keyword_in_token1] = ACTIONS(1400),
    [aux_sym__keyword_and_token1] = ACTIONS(1398),
    [aux_sym__keyword_like_token1] = ACTIONS(1398),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1398),
    [aux_sym__keyword_window_token1] = ACTIONS(1398),
    [aux_sym__keyword_for_token1] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1398),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1398),
    [aux_sym_using_clause_token1] = ACTIONS(1398),
    [aux_sym_return_satement_token1] = ACTIONS(1398),
    [aux_sym_call_statement_token1] = ACTIONS(1398),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1398),
    [aux_sym_if_statement_token1] = ACTIONS(1398),
    [aux_sym_loop_statement_token1] = ACTIONS(1398),
    [aux_sym_repeat_statement_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token1] = ACTIONS(1398),
    [aux_sym_break_statement_token1] = ACTIONS(1398),
    [aux_sym_leave_statement_token1] = ACTIONS(1398),
    [aux_sym_continue_statement_token1] = ACTIONS(1398),
    [aux_sym_iterate_statement_token1] = ACTIONS(1398),
    [aux_sym_raise_statement_token1] = ACTIONS(1398),
    [anon_sym_EQ] = ACTIONS(1398),
    [aux_sym_assert_statement_token1] = ACTIONS(1398),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1398),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [aux_sym_set_operation_token1] = ACTIONS(1398),
    [aux_sym_set_operation_token3] = ACTIONS(1398),
    [aux_sym_set_operation_token4] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1398),
    [aux_sym_having_clause_token1] = ACTIONS(1398),
    [aux_sym_qualify_clause_token1] = ACTIONS(1398),
    [aux_sym_limit_clause_token1] = ACTIONS(1398),
    [aux_sym_group_by_clause_token1] = ACTIONS(1398),
    [aux_sym_order_by_clause_token1] = ACTIONS(1398),
    [aux_sym_where_clause_token1] = ACTIONS(1398),
    [aux_sym_pivot_operator_token1] = ACTIONS(1398),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1398),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1398),
    [aux_sym_join_type_token1] = ACTIONS(1398),
    [aux_sym_join_type_token2] = ACTIONS(1398),
    [aux_sym_join_type_token3] = ACTIONS(1398),
    [aux_sym_join_type_token4] = ACTIONS(1398),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1398),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1398),
    [aux_sym_join_condition_token1] = ACTIONS(1398),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1398),
    [aux_sym_truncate_statement_token1] = ACTIONS(1398),
    [aux_sym_update_statement_token1] = ACTIONS(1398),
    [aux_sym_merge_statement_token1] = ACTIONS(1398),
    [aux_sym_grant_statement_token1] = ACTIONS(1398),
    [aux_sym_revoke_statement_token1] = ACTIONS(1398),
    [aux_sym_export_data_statement_token1] = ACTIONS(1398),
    [aux_sym_load_data_statement_token1] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_LT_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
  },
  [267] = {
    [sym_analytics_clause] = STATE(514),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_window_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_using_clause_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_having_clause_token1] = ACTIONS(1378),
    [aux_sym_qualify_clause_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym_group_by_clause_token1] = ACTIONS(1378),
    [aux_sym_order_by_clause_token1] = ACTIONS(1378),
    [aux_sym_where_clause_token1] = ACTIONS(1378),
    [aux_sym_pivot_operator_token1] = ACTIONS(1378),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1378),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1378),
    [aux_sym_join_type_token1] = ACTIONS(1378),
    [aux_sym_join_type_token2] = ACTIONS(1378),
    [aux_sym_join_type_token3] = ACTIONS(1378),
    [aux_sym_join_type_token4] = ACTIONS(1378),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1378),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1378),
    [aux_sym_join_condition_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [268] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_when] = STATE(1531),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8164),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_casewhen_clause] = STATE(12158),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [aux_sym_casewhen_expression_repeat1] = STATE(12158),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_when_token1] = ACTIONS(1368),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [269] = {
    [sym_analytics_clause] = STATE(498),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_where_clause_token1] = ACTIONS(1370),
    [aux_sym_pivot_operator_token1] = ACTIONS(1370),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1370),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1370),
    [aux_sym_join_type_token1] = ACTIONS(1370),
    [aux_sym_join_type_token2] = ACTIONS(1370),
    [aux_sym_join_type_token3] = ACTIONS(1370),
    [aux_sym_join_type_token4] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1370),
    [aux_sym_join_condition_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [270] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16311),
    [sym__keyword_case] = STATE(358),
    [sym__keyword_not] = STATE(1156),
    [sym__keyword_cast] = STATE(19279),
    [sym__keyword_date] = STATE(2060),
    [sym__keyword_datetime] = STATE(2060),
    [sym__keyword_time] = STATE(2060),
    [sym__keyword_timestamp] = STATE(2060),
    [sym_select_all] = STATE(5383),
    [sym__aliasable_expression] = STATE(5384),
    [sym_select_subexpression] = STATE(2225),
    [sym_function_call] = STATE(2225),
    [sym_unnest_operator] = STATE(108),
    [sym_unnest_clause] = STATE(2225),
    [sym__literal] = STATE(2225),
    [sym_NULL] = STATE(2225),
    [sym_TRUE] = STATE(2225),
    [sym_FALSE] = STATE(2225),
    [sym__float] = STATE(2243),
    [sym_numeric] = STATE(2243),
    [sym__number] = STATE(2243),
    [sym_interval] = STATE(2225),
    [sym_range] = STATE(2225),
    [sym_time] = STATE(2225),
    [sym_number] = STATE(2225),
    [sym_json] = STATE(2225),
    [sym_query_parameter] = STATE(2225),
    [sym__type_chrono] = STATE(1347),
    [sym__type_struct] = STATE(19044),
    [sym__type_array] = STATE(18343),
    [sym_array] = STATE(2225),
    [sym_struct] = STATE(2225),
    [sym__identifier] = STATE(1950),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(2273),
    [sym_string] = STATE(2225),
    [sym__expression] = STATE(20),
    [sym__parenthesized_expression] = STATE(2225),
    [sym_element_access] = STATE(2225),
    [sym_field_access] = STATE(2225),
    [sym_unary_expression] = STATE(2225),
    [sym_binary_expression] = STATE(2225),
    [sym_between_operator] = STATE(2225),
    [sym_casewhen_expression] = STATE(2225),
    [sym_cast_expression] = STATE(2225),
    [sym_asterisk_expression] = STATE(5318),
    [sym_argument_reference] = STATE(2225),
    [aux_sym_identifier_repeat1] = STATE(13635),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [271] = {
    [sym_analytics_clause] = STATE(570),
    [ts_builtin_sym_end] = ACTIONS(1406),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1406),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1406),
    [aux_sym_keyword_replace_token1] = ACTIONS(1408),
    [aux_sym__keyword_alter_token1] = ACTIONS(1406),
    [aux_sym__keyword_delete_token1] = ACTIONS(1406),
    [aux_sym__keyword_begin_token1] = ACTIONS(1406),
    [aux_sym__keyword_end_token1] = ACTIONS(1406),
    [aux_sym__keyword_between_token1] = ACTIONS(1406),
    [aux_sym__keyword_when_token1] = ACTIONS(1406),
    [aux_sym__keyword_else_token1] = ACTIONS(1408),
    [aux_sym__keyword_is_token1] = ACTIONS(1406),
    [aux_sym__keyword_in_token1] = ACTIONS(1408),
    [aux_sym__keyword_and_token1] = ACTIONS(1406),
    [aux_sym__keyword_like_token1] = ACTIONS(1406),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1406),
    [aux_sym__keyword_window_token1] = ACTIONS(1406),
    [aux_sym__keyword_for_token1] = ACTIONS(1406),
    [anon_sym_SEMI] = ACTIONS(1406),
    [aux_sym_declare_statement_token1] = ACTIONS(1406),
    [anon_sym_COMMA] = ACTIONS(1406),
    [aux_sym_set_statement_token1] = ACTIONS(1406),
    [anon_sym_LPAREN] = ACTIONS(1406),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1406),
    [aux_sym_using_clause_token1] = ACTIONS(1406),
    [aux_sym_return_satement_token1] = ACTIONS(1406),
    [aux_sym_call_statement_token1] = ACTIONS(1406),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1406),
    [aux_sym_if_statement_token1] = ACTIONS(1406),
    [aux_sym_loop_statement_token1] = ACTIONS(1406),
    [aux_sym_repeat_statement_token1] = ACTIONS(1406),
    [aux_sym_while_statement_token1] = ACTIONS(1406),
    [aux_sym_break_statement_token1] = ACTIONS(1406),
    [aux_sym_leave_statement_token1] = ACTIONS(1406),
    [aux_sym_continue_statement_token1] = ACTIONS(1406),
    [aux_sym_iterate_statement_token1] = ACTIONS(1406),
    [aux_sym_raise_statement_token1] = ACTIONS(1406),
    [anon_sym_EQ] = ACTIONS(1406),
    [aux_sym_assert_statement_token1] = ACTIONS(1406),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1406),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1406),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1406),
    [anon_sym_LT] = ACTIONS(1408),
    [anon_sym_GT] = ACTIONS(1408),
    [aux_sym_set_operation_token1] = ACTIONS(1406),
    [aux_sym_set_operation_token3] = ACTIONS(1406),
    [aux_sym_set_operation_token4] = ACTIONS(1408),
    [aux_sym_select_token1] = ACTIONS(1406),
    [aux_sym_having_clause_token1] = ACTIONS(1406),
    [aux_sym_qualify_clause_token1] = ACTIONS(1406),
    [aux_sym_limit_clause_token1] = ACTIONS(1406),
    [aux_sym_group_by_clause_token1] = ACTIONS(1406),
    [aux_sym_order_by_clause_token1] = ACTIONS(1406),
    [aux_sym_where_clause_token1] = ACTIONS(1406),
    [aux_sym_pivot_operator_token1] = ACTIONS(1406),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1406),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1406),
    [aux_sym_join_type_token1] = ACTIONS(1406),
    [aux_sym_join_type_token2] = ACTIONS(1406),
    [aux_sym_join_type_token3] = ACTIONS(1406),
    [aux_sym_join_type_token4] = ACTIONS(1406),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1406),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1406),
    [aux_sym_join_condition_token1] = ACTIONS(1406),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1406),
    [aux_sym_truncate_statement_token1] = ACTIONS(1406),
    [aux_sym_update_statement_token1] = ACTIONS(1406),
    [aux_sym_merge_statement_token1] = ACTIONS(1406),
    [aux_sym_grant_statement_token1] = ACTIONS(1406),
    [aux_sym_revoke_statement_token1] = ACTIONS(1406),
    [aux_sym_export_data_statement_token1] = ACTIONS(1406),
    [aux_sym_load_data_statement_token1] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_DASH] = ACTIONS(1408),
    [anon_sym_STAR] = ACTIONS(1406),
    [anon_sym_SLASH] = ACTIONS(1408),
    [anon_sym_PIPE_PIPE] = ACTIONS(1406),
    [anon_sym_LT_EQ] = ACTIONS(1406),
    [anon_sym_LT_GT] = ACTIONS(1406),
    [anon_sym_GT_EQ] = ACTIONS(1406),
    [anon_sym_BANG_EQ] = ACTIONS(1406),
    [anon_sym_LT_LT] = ACTIONS(1406),
    [anon_sym_GT_GT] = ACTIONS(1406),
    [anon_sym_AMP] = ACTIONS(1406),
    [anon_sym_CARET] = ACTIONS(1406),
    [anon_sym_PIPE] = ACTIONS(1408),
  },
  [272] = {
    [sym_analytics_clause] = STATE(554),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_where_clause_token1] = ACTIONS(1354),
    [aux_sym_pivot_operator_token1] = ACTIONS(1354),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1354),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1354),
    [aux_sym_join_type_token1] = ACTIONS(1354),
    [aux_sym_join_type_token2] = ACTIONS(1354),
    [aux_sym_join_type_token3] = ACTIONS(1354),
    [aux_sym_join_type_token4] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1354),
    [aux_sym_join_condition_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [273] = {
    [sym_analytics_clause] = STATE(572),
    [ts_builtin_sym_end] = ACTIONS(1410),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1410),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1410),
    [aux_sym_keyword_replace_token1] = ACTIONS(1412),
    [aux_sym__keyword_alter_token1] = ACTIONS(1410),
    [aux_sym__keyword_delete_token1] = ACTIONS(1410),
    [aux_sym__keyword_begin_token1] = ACTIONS(1410),
    [aux_sym__keyword_end_token1] = ACTIONS(1410),
    [aux_sym__keyword_between_token1] = ACTIONS(1410),
    [aux_sym__keyword_when_token1] = ACTIONS(1410),
    [aux_sym__keyword_else_token1] = ACTIONS(1412),
    [aux_sym__keyword_is_token1] = ACTIONS(1410),
    [aux_sym__keyword_in_token1] = ACTIONS(1412),
    [aux_sym__keyword_and_token1] = ACTIONS(1410),
    [aux_sym__keyword_like_token1] = ACTIONS(1410),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1410),
    [aux_sym__keyword_window_token1] = ACTIONS(1410),
    [aux_sym__keyword_for_token1] = ACTIONS(1410),
    [anon_sym_SEMI] = ACTIONS(1410),
    [aux_sym_declare_statement_token1] = ACTIONS(1410),
    [anon_sym_COMMA] = ACTIONS(1410),
    [aux_sym_set_statement_token1] = ACTIONS(1410),
    [anon_sym_LPAREN] = ACTIONS(1410),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1410),
    [aux_sym_using_clause_token1] = ACTIONS(1410),
    [aux_sym_return_satement_token1] = ACTIONS(1410),
    [aux_sym_call_statement_token1] = ACTIONS(1410),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1410),
    [aux_sym_if_statement_token1] = ACTIONS(1410),
    [aux_sym_loop_statement_token1] = ACTIONS(1410),
    [aux_sym_repeat_statement_token1] = ACTIONS(1410),
    [aux_sym_while_statement_token1] = ACTIONS(1410),
    [aux_sym_break_statement_token1] = ACTIONS(1410),
    [aux_sym_leave_statement_token1] = ACTIONS(1410),
    [aux_sym_continue_statement_token1] = ACTIONS(1410),
    [aux_sym_iterate_statement_token1] = ACTIONS(1410),
    [aux_sym_raise_statement_token1] = ACTIONS(1410),
    [anon_sym_EQ] = ACTIONS(1410),
    [aux_sym_assert_statement_token1] = ACTIONS(1410),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1410),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1410),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1410),
    [anon_sym_LT] = ACTIONS(1412),
    [anon_sym_GT] = ACTIONS(1412),
    [aux_sym_set_operation_token1] = ACTIONS(1410),
    [aux_sym_set_operation_token3] = ACTIONS(1410),
    [aux_sym_set_operation_token4] = ACTIONS(1412),
    [aux_sym_select_token1] = ACTIONS(1410),
    [aux_sym_having_clause_token1] = ACTIONS(1410),
    [aux_sym_qualify_clause_token1] = ACTIONS(1410),
    [aux_sym_limit_clause_token1] = ACTIONS(1410),
    [aux_sym_group_by_clause_token1] = ACTIONS(1410),
    [aux_sym_order_by_clause_token1] = ACTIONS(1410),
    [aux_sym_where_clause_token1] = ACTIONS(1410),
    [aux_sym_pivot_operator_token1] = ACTIONS(1410),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1410),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1410),
    [aux_sym_join_type_token1] = ACTIONS(1410),
    [aux_sym_join_type_token2] = ACTIONS(1410),
    [aux_sym_join_type_token3] = ACTIONS(1410),
    [aux_sym_join_type_token4] = ACTIONS(1410),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1410),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1410),
    [aux_sym_join_condition_token1] = ACTIONS(1410),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1410),
    [aux_sym_truncate_statement_token1] = ACTIONS(1410),
    [aux_sym_update_statement_token1] = ACTIONS(1410),
    [aux_sym_merge_statement_token1] = ACTIONS(1410),
    [aux_sym_grant_statement_token1] = ACTIONS(1410),
    [aux_sym_revoke_statement_token1] = ACTIONS(1410),
    [aux_sym_export_data_statement_token1] = ACTIONS(1410),
    [aux_sym_load_data_statement_token1] = ACTIONS(1410),
    [anon_sym_LBRACK] = ACTIONS(1410),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_STAR] = ACTIONS(1410),
    [anon_sym_SLASH] = ACTIONS(1412),
    [anon_sym_PIPE_PIPE] = ACTIONS(1410),
    [anon_sym_LT_EQ] = ACTIONS(1410),
    [anon_sym_LT_GT] = ACTIONS(1410),
    [anon_sym_GT_EQ] = ACTIONS(1410),
    [anon_sym_BANG_EQ] = ACTIONS(1410),
    [anon_sym_LT_LT] = ACTIONS(1410),
    [anon_sym_GT_GT] = ACTIONS(1410),
    [anon_sym_AMP] = ACTIONS(1410),
    [anon_sym_CARET] = ACTIONS(1410),
    [anon_sym_PIPE] = ACTIONS(1412),
  },
  [274] = {
    [sym_analytics_clause] = STATE(574),
    [ts_builtin_sym_end] = ACTIONS(1414),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1414),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1414),
    [aux_sym_keyword_replace_token1] = ACTIONS(1416),
    [aux_sym__keyword_alter_token1] = ACTIONS(1414),
    [aux_sym__keyword_delete_token1] = ACTIONS(1414),
    [aux_sym__keyword_begin_token1] = ACTIONS(1414),
    [aux_sym__keyword_end_token1] = ACTIONS(1414),
    [aux_sym__keyword_between_token1] = ACTIONS(1414),
    [aux_sym__keyword_when_token1] = ACTIONS(1414),
    [aux_sym__keyword_else_token1] = ACTIONS(1416),
    [aux_sym__keyword_is_token1] = ACTIONS(1414),
    [aux_sym__keyword_in_token1] = ACTIONS(1416),
    [aux_sym__keyword_and_token1] = ACTIONS(1414),
    [aux_sym__keyword_like_token1] = ACTIONS(1414),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1414),
    [aux_sym__keyword_window_token1] = ACTIONS(1414),
    [aux_sym__keyword_for_token1] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(1414),
    [aux_sym_declare_statement_token1] = ACTIONS(1414),
    [anon_sym_COMMA] = ACTIONS(1414),
    [aux_sym_set_statement_token1] = ACTIONS(1414),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1414),
    [aux_sym_using_clause_token1] = ACTIONS(1414),
    [aux_sym_return_satement_token1] = ACTIONS(1414),
    [aux_sym_call_statement_token1] = ACTIONS(1414),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1414),
    [aux_sym_if_statement_token1] = ACTIONS(1414),
    [aux_sym_loop_statement_token1] = ACTIONS(1414),
    [aux_sym_repeat_statement_token1] = ACTIONS(1414),
    [aux_sym_while_statement_token1] = ACTIONS(1414),
    [aux_sym_break_statement_token1] = ACTIONS(1414),
    [aux_sym_leave_statement_token1] = ACTIONS(1414),
    [aux_sym_continue_statement_token1] = ACTIONS(1414),
    [aux_sym_iterate_statement_token1] = ACTIONS(1414),
    [aux_sym_raise_statement_token1] = ACTIONS(1414),
    [anon_sym_EQ] = ACTIONS(1414),
    [aux_sym_assert_statement_token1] = ACTIONS(1414),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1414),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1414),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1414),
    [anon_sym_LT] = ACTIONS(1416),
    [anon_sym_GT] = ACTIONS(1416),
    [aux_sym_set_operation_token1] = ACTIONS(1414),
    [aux_sym_set_operation_token3] = ACTIONS(1414),
    [aux_sym_set_operation_token4] = ACTIONS(1416),
    [aux_sym_select_token1] = ACTIONS(1414),
    [aux_sym_having_clause_token1] = ACTIONS(1414),
    [aux_sym_qualify_clause_token1] = ACTIONS(1414),
    [aux_sym_limit_clause_token1] = ACTIONS(1414),
    [aux_sym_group_by_clause_token1] = ACTIONS(1414),
    [aux_sym_order_by_clause_token1] = ACTIONS(1414),
    [aux_sym_where_clause_token1] = ACTIONS(1414),
    [aux_sym_pivot_operator_token1] = ACTIONS(1414),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1414),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1414),
    [aux_sym_join_type_token1] = ACTIONS(1414),
    [aux_sym_join_type_token2] = ACTIONS(1414),
    [aux_sym_join_type_token3] = ACTIONS(1414),
    [aux_sym_join_type_token4] = ACTIONS(1414),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1414),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1414),
    [aux_sym_join_condition_token1] = ACTIONS(1414),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1414),
    [aux_sym_truncate_statement_token1] = ACTIONS(1414),
    [aux_sym_update_statement_token1] = ACTIONS(1414),
    [aux_sym_merge_statement_token1] = ACTIONS(1414),
    [aux_sym_grant_statement_token1] = ACTIONS(1414),
    [aux_sym_revoke_statement_token1] = ACTIONS(1414),
    [aux_sym_export_data_statement_token1] = ACTIONS(1414),
    [aux_sym_load_data_statement_token1] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1414),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_SLASH] = ACTIONS(1416),
    [anon_sym_PIPE_PIPE] = ACTIONS(1414),
    [anon_sym_LT_EQ] = ACTIONS(1414),
    [anon_sym_LT_GT] = ACTIONS(1414),
    [anon_sym_GT_EQ] = ACTIONS(1414),
    [anon_sym_BANG_EQ] = ACTIONS(1414),
    [anon_sym_LT_LT] = ACTIONS(1414),
    [anon_sym_GT_GT] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_CARET] = ACTIONS(1414),
    [anon_sym_PIPE] = ACTIONS(1416),
  },
  [275] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_when] = STATE(1531),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8125),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_casewhen_clause] = STATE(12147),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [aux_sym_casewhen_expression_repeat1] = STATE(12147),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_when_token1] = ACTIONS(1368),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [276] = {
    [sym_analytics_clause] = STATE(506),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_window_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_using_clause_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_having_clause_token1] = ACTIONS(1378),
    [aux_sym_qualify_clause_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym_group_by_clause_token1] = ACTIONS(1378),
    [aux_sym_order_by_clause_token1] = ACTIONS(1378),
    [aux_sym_where_clause_token1] = ACTIONS(1378),
    [aux_sym_pivot_operator_token1] = ACTIONS(1378),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1378),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1378),
    [aux_sym_join_type_token1] = ACTIONS(1378),
    [aux_sym_join_type_token2] = ACTIONS(1378),
    [aux_sym_join_type_token3] = ACTIONS(1378),
    [aux_sym_join_type_token4] = ACTIONS(1378),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1378),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1378),
    [aux_sym_join_condition_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [277] = {
    [sym_analytics_clause] = STATE(445),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_where_clause_token1] = ACTIONS(1364),
    [aux_sym_pivot_operator_token1] = ACTIONS(1364),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1364),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1364),
    [aux_sym_join_type_token1] = ACTIONS(1364),
    [aux_sym_join_type_token2] = ACTIONS(1364),
    [aux_sym_join_type_token3] = ACTIONS(1364),
    [aux_sym_join_type_token4] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1364),
    [aux_sym_join_condition_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [278] = {
    [sym_analytics_clause] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_where_clause_token1] = ACTIONS(1364),
    [aux_sym_pivot_operator_token1] = ACTIONS(1364),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1364),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1364),
    [aux_sym_join_type_token1] = ACTIONS(1364),
    [aux_sym_join_type_token2] = ACTIONS(1364),
    [aux_sym_join_type_token3] = ACTIONS(1364),
    [aux_sym_join_type_token4] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1364),
    [aux_sym_join_condition_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [279] = {
    [sym_analytics_clause] = STATE(555),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_where_clause_token1] = ACTIONS(1354),
    [aux_sym_pivot_operator_token1] = ACTIONS(1354),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1354),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1354),
    [aux_sym_join_type_token1] = ACTIONS(1354),
    [aux_sym_join_type_token2] = ACTIONS(1354),
    [aux_sym_join_type_token3] = ACTIONS(1354),
    [aux_sym_join_type_token4] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1354),
    [aux_sym_join_condition_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [280] = {
    [sym_analytics_clause] = STATE(581),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_when_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_window_token1] = ACTIONS(1418),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_using_clause_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1418),
    [aux_sym_set_operation_token3] = ACTIONS(1418),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_having_clause_token1] = ACTIONS(1418),
    [aux_sym_qualify_clause_token1] = ACTIONS(1418),
    [aux_sym_limit_clause_token1] = ACTIONS(1418),
    [aux_sym_group_by_clause_token1] = ACTIONS(1418),
    [aux_sym_order_by_clause_token1] = ACTIONS(1418),
    [aux_sym_where_clause_token1] = ACTIONS(1418),
    [aux_sym_pivot_operator_token1] = ACTIONS(1418),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1418),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1418),
    [aux_sym_join_type_token1] = ACTIONS(1418),
    [aux_sym_join_type_token2] = ACTIONS(1418),
    [aux_sym_join_type_token3] = ACTIONS(1418),
    [aux_sym_join_type_token4] = ACTIONS(1418),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1418),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1418),
    [aux_sym_join_condition_token1] = ACTIONS(1418),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [281] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_when] = STATE(1531),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8077),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_casewhen_clause] = STATE(12093),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [aux_sym_casewhen_expression_repeat1] = STATE(12093),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_when_token1] = ACTIONS(1368),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [282] = {
    [sym_analytics_clause] = STATE(582),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_when_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_window_token1] = ACTIONS(1418),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_using_clause_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1418),
    [aux_sym_set_operation_token3] = ACTIONS(1418),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_having_clause_token1] = ACTIONS(1418),
    [aux_sym_qualify_clause_token1] = ACTIONS(1418),
    [aux_sym_limit_clause_token1] = ACTIONS(1418),
    [aux_sym_group_by_clause_token1] = ACTIONS(1418),
    [aux_sym_order_by_clause_token1] = ACTIONS(1418),
    [aux_sym_where_clause_token1] = ACTIONS(1418),
    [aux_sym_pivot_operator_token1] = ACTIONS(1418),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1418),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1418),
    [aux_sym_join_type_token1] = ACTIONS(1418),
    [aux_sym_join_type_token2] = ACTIONS(1418),
    [aux_sym_join_type_token3] = ACTIONS(1418),
    [aux_sym_join_type_token4] = ACTIONS(1418),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1418),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1418),
    [aux_sym_join_condition_token1] = ACTIONS(1418),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [283] = {
    [sym_analytics_clause] = STATE(495),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_where_clause_token1] = ACTIONS(1364),
    [aux_sym_pivot_operator_token1] = ACTIONS(1364),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1364),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1364),
    [aux_sym_join_type_token1] = ACTIONS(1364),
    [aux_sym_join_type_token2] = ACTIONS(1364),
    [aux_sym_join_type_token3] = ACTIONS(1364),
    [aux_sym_join_type_token4] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1364),
    [aux_sym_join_condition_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [284] = {
    [sym_analytics_clause] = STATE(585),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_when_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_window_token1] = ACTIONS(1418),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_using_clause_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1418),
    [aux_sym_set_operation_token3] = ACTIONS(1418),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_having_clause_token1] = ACTIONS(1418),
    [aux_sym_qualify_clause_token1] = ACTIONS(1418),
    [aux_sym_limit_clause_token1] = ACTIONS(1418),
    [aux_sym_group_by_clause_token1] = ACTIONS(1418),
    [aux_sym_order_by_clause_token1] = ACTIONS(1418),
    [aux_sym_where_clause_token1] = ACTIONS(1418),
    [aux_sym_pivot_operator_token1] = ACTIONS(1418),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1418),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1418),
    [aux_sym_join_type_token1] = ACTIONS(1418),
    [aux_sym_join_type_token2] = ACTIONS(1418),
    [aux_sym_join_type_token3] = ACTIONS(1418),
    [aux_sym_join_type_token4] = ACTIONS(1418),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1418),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1418),
    [aux_sym_join_condition_token1] = ACTIONS(1418),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [285] = {
    [sym_analytics_clause] = STATE(434),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_window_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_using_clause_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1360),
    [aux_sym_set_operation_token3] = ACTIONS(1360),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_having_clause_token1] = ACTIONS(1360),
    [aux_sym_qualify_clause_token1] = ACTIONS(1360),
    [aux_sym_limit_clause_token1] = ACTIONS(1360),
    [aux_sym_group_by_clause_token1] = ACTIONS(1360),
    [aux_sym_order_by_clause_token1] = ACTIONS(1360),
    [aux_sym_where_clause_token1] = ACTIONS(1360),
    [aux_sym_pivot_operator_token1] = ACTIONS(1360),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1360),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1360),
    [aux_sym_join_type_token1] = ACTIONS(1360),
    [aux_sym_join_type_token2] = ACTIONS(1360),
    [aux_sym_join_type_token3] = ACTIONS(1360),
    [aux_sym_join_type_token4] = ACTIONS(1360),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1360),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1360),
    [aux_sym_join_condition_token1] = ACTIONS(1360),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [286] = {
    [sym_analytics_clause] = STATE(557),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_where_clause_token1] = ACTIONS(1354),
    [aux_sym_pivot_operator_token1] = ACTIONS(1354),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1354),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1354),
    [aux_sym_join_type_token1] = ACTIONS(1354),
    [aux_sym_join_type_token2] = ACTIONS(1354),
    [aux_sym_join_type_token3] = ACTIONS(1354),
    [aux_sym_join_type_token4] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1354),
    [aux_sym_join_condition_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [287] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_when] = STATE(1531),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8049),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_casewhen_clause] = STATE(12046),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [aux_sym_casewhen_expression_repeat1] = STATE(12046),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_when_token1] = ACTIONS(1368),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [288] = {
    [sym_analytics_clause] = STATE(586),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_when_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_window_token1] = ACTIONS(1418),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_using_clause_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1418),
    [aux_sym_set_operation_token3] = ACTIONS(1418),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_having_clause_token1] = ACTIONS(1418),
    [aux_sym_qualify_clause_token1] = ACTIONS(1418),
    [aux_sym_limit_clause_token1] = ACTIONS(1418),
    [aux_sym_group_by_clause_token1] = ACTIONS(1418),
    [aux_sym_order_by_clause_token1] = ACTIONS(1418),
    [aux_sym_where_clause_token1] = ACTIONS(1418),
    [aux_sym_pivot_operator_token1] = ACTIONS(1418),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1418),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1418),
    [aux_sym_join_type_token1] = ACTIONS(1418),
    [aux_sym_join_type_token2] = ACTIONS(1418),
    [aux_sym_join_type_token3] = ACTIONS(1418),
    [aux_sym_join_type_token4] = ACTIONS(1418),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1418),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1418),
    [aux_sym_join_condition_token1] = ACTIONS(1418),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [289] = {
    [sym_analytics_clause] = STATE(511),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_window_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_using_clause_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_having_clause_token1] = ACTIONS(1378),
    [aux_sym_qualify_clause_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym_group_by_clause_token1] = ACTIONS(1378),
    [aux_sym_order_by_clause_token1] = ACTIONS(1378),
    [aux_sym_where_clause_token1] = ACTIONS(1378),
    [aux_sym_pivot_operator_token1] = ACTIONS(1378),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1378),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1378),
    [aux_sym_join_type_token1] = ACTIONS(1378),
    [aux_sym_join_type_token2] = ACTIONS(1378),
    [aux_sym_join_type_token3] = ACTIONS(1378),
    [aux_sym_join_type_token4] = ACTIONS(1378),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1378),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1378),
    [aux_sym_join_condition_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [290] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_all] = STATE(5383),
    [sym__aliasable_expression] = STATE(5384),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5364),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_asterisk_expression] = STATE(5318),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [291] = {
    [sym_analytics_clause] = STATE(513),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_window_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_using_clause_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_having_clause_token1] = ACTIONS(1378),
    [aux_sym_qualify_clause_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym_group_by_clause_token1] = ACTIONS(1378),
    [aux_sym_order_by_clause_token1] = ACTIONS(1378),
    [aux_sym_where_clause_token1] = ACTIONS(1378),
    [aux_sym_pivot_operator_token1] = ACTIONS(1378),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1378),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1378),
    [aux_sym_join_type_token1] = ACTIONS(1378),
    [aux_sym_join_type_token2] = ACTIONS(1378),
    [aux_sym_join_type_token3] = ACTIONS(1378),
    [aux_sym_join_type_token4] = ACTIONS(1378),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1378),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1378),
    [aux_sym_join_condition_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [292] = {
    [sym_analytics_clause] = STATE(589),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_when_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_window_token1] = ACTIONS(1418),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_using_clause_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1418),
    [aux_sym_set_operation_token3] = ACTIONS(1418),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_having_clause_token1] = ACTIONS(1418),
    [aux_sym_qualify_clause_token1] = ACTIONS(1418),
    [aux_sym_limit_clause_token1] = ACTIONS(1418),
    [aux_sym_group_by_clause_token1] = ACTIONS(1418),
    [aux_sym_order_by_clause_token1] = ACTIONS(1418),
    [aux_sym_where_clause_token1] = ACTIONS(1418),
    [aux_sym_pivot_operator_token1] = ACTIONS(1418),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1418),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1418),
    [aux_sym_join_type_token1] = ACTIONS(1418),
    [aux_sym_join_type_token2] = ACTIONS(1418),
    [aux_sym_join_type_token3] = ACTIONS(1418),
    [aux_sym_join_type_token4] = ACTIONS(1418),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1418),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1418),
    [aux_sym_join_condition_token1] = ACTIONS(1418),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [293] = {
    [ts_builtin_sym_end] = ACTIONS(1083),
    [sym__unquoted_identifier] = ACTIONS(1081),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1081),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1081),
    [aux_sym_keyword_replace_token1] = ACTIONS(1081),
    [aux_sym__keyword_alter_token1] = ACTIONS(1081),
    [aux_sym__keyword_delete_token1] = ACTIONS(1081),
    [aux_sym__keyword_begin_token1] = ACTIONS(1081),
    [aux_sym__keyword_between_token1] = ACTIONS(1081),
    [aux_sym__keyword_when_token1] = ACTIONS(1081),
    [aux_sym__keyword_is_token1] = ACTIONS(1081),
    [aux_sym__keyword_in_token1] = ACTIONS(1081),
    [aux_sym__keyword_and_token1] = ACTIONS(1081),
    [aux_sym__keyword_like_token1] = ACTIONS(1081),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1081),
    [aux_sym__keyword_as_token1] = ACTIONS(1081),
    [aux_sym__keyword_window_token1] = ACTIONS(1081),
    [aux_sym__keyword_date_token1] = ACTIONS(1081),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1081),
    [aux_sym__keyword_time_token1] = ACTIONS(1081),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1081),
    [aux_sym__keyword_for_token1] = ACTIONS(1081),
    [anon_sym_SEMI] = ACTIONS(1083),
    [aux_sym_declare_statement_token1] = ACTIONS(1081),
    [anon_sym_COMMA] = ACTIONS(1083),
    [aux_sym_set_statement_token1] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1081),
    [aux_sym_using_clause_token1] = ACTIONS(1081),
    [aux_sym_return_satement_token1] = ACTIONS(1081),
    [aux_sym_call_statement_token1] = ACTIONS(1081),
    [aux_sym_loop_statement_token1] = ACTIONS(1081),
    [aux_sym_while_statement_token1] = ACTIONS(1081),
    [aux_sym_break_statement_token1] = ACTIONS(1081),
    [aux_sym_leave_statement_token1] = ACTIONS(1081),
    [aux_sym_continue_statement_token1] = ACTIONS(1081),
    [aux_sym_iterate_statement_token1] = ACTIONS(1081),
    [aux_sym_raise_statement_token1] = ACTIONS(1081),
    [anon_sym_EQ] = ACTIONS(1083),
    [aux_sym_assert_statement_token1] = ACTIONS(1081),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1081),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1081),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1081),
    [anon_sym_LT] = ACTIONS(1081),
    [anon_sym_GT] = ACTIONS(1081),
    [aux_sym_set_operation_token1] = ACTIONS(1081),
    [aux_sym_set_operation_token3] = ACTIONS(1081),
    [aux_sym_set_operation_token4] = ACTIONS(1081),
    [aux_sym_select_token1] = ACTIONS(1081),
    [aux_sym_having_clause_token1] = ACTIONS(1081),
    [aux_sym_qualify_clause_token1] = ACTIONS(1081),
    [aux_sym_limit_clause_token1] = ACTIONS(1081),
    [aux_sym_group_by_clause_token1] = ACTIONS(1081),
    [aux_sym_order_by_clause_token1] = ACTIONS(1081),
    [aux_sym_where_clause_token1] = ACTIONS(1081),
    [aux_sym_pivot_operator_token1] = ACTIONS(1081),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1081),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1081),
    [aux_sym_join_type_token1] = ACTIONS(1081),
    [aux_sym_join_type_token2] = ACTIONS(1081),
    [aux_sym_join_type_token3] = ACTIONS(1081),
    [aux_sym_join_type_token4] = ACTIONS(1081),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1081),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1081),
    [aux_sym_join_condition_token1] = ACTIONS(1081),
    [aux_sym_insert_statement_token1] = ACTIONS(1081),
    [aux_sym_truncate_statement_token1] = ACTIONS(1081),
    [aux_sym_update_statement_token1] = ACTIONS(1081),
    [aux_sym_merge_statement_token1] = ACTIONS(1081),
    [aux_sym_grant_statement_token1] = ACTIONS(1081),
    [aux_sym_revoke_statement_token1] = ACTIONS(1081),
    [aux_sym_export_data_statement_token1] = ACTIONS(1081),
    [aux_sym_load_data_statement_token1] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [sym__quoted_identifier] = ACTIONS(1083),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1083),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1081),
    [anon_sym_STAR] = ACTIONS(1083),
    [anon_sym_SLASH] = ACTIONS(1081),
    [anon_sym_PIPE_PIPE] = ACTIONS(1083),
    [anon_sym_LT_EQ] = ACTIONS(1083),
    [anon_sym_LT_GT] = ACTIONS(1083),
    [anon_sym_GT_EQ] = ACTIONS(1083),
    [anon_sym_BANG_EQ] = ACTIONS(1083),
    [anon_sym_LT_LT] = ACTIONS(1083),
    [anon_sym_GT_GT] = ACTIONS(1083),
    [anon_sym_AMP] = ACTIONS(1083),
    [anon_sym_CARET] = ACTIONS(1083),
    [anon_sym_PIPE] = ACTIONS(1081),
  },
  [294] = {
    [sym_analytics_clause] = STATE(527),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_window_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_using_clause_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_having_clause_token1] = ACTIONS(1378),
    [aux_sym_qualify_clause_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym_group_by_clause_token1] = ACTIONS(1378),
    [aux_sym_order_by_clause_token1] = ACTIONS(1378),
    [aux_sym_where_clause_token1] = ACTIONS(1378),
    [aux_sym_pivot_operator_token1] = ACTIONS(1378),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1378),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1378),
    [aux_sym_join_type_token1] = ACTIONS(1378),
    [aux_sym_join_type_token2] = ACTIONS(1378),
    [aux_sym_join_type_token3] = ACTIONS(1378),
    [aux_sym_join_type_token4] = ACTIONS(1378),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1378),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1378),
    [aux_sym_join_condition_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [295] = {
    [sym_analytics_clause] = STATE(433),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_window_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_using_clause_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1360),
    [aux_sym_set_operation_token3] = ACTIONS(1360),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_having_clause_token1] = ACTIONS(1360),
    [aux_sym_qualify_clause_token1] = ACTIONS(1360),
    [aux_sym_limit_clause_token1] = ACTIONS(1360),
    [aux_sym_group_by_clause_token1] = ACTIONS(1360),
    [aux_sym_order_by_clause_token1] = ACTIONS(1360),
    [aux_sym_where_clause_token1] = ACTIONS(1360),
    [aux_sym_pivot_operator_token1] = ACTIONS(1360),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1360),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1360),
    [aux_sym_join_type_token1] = ACTIONS(1360),
    [aux_sym_join_type_token2] = ACTIONS(1360),
    [aux_sym_join_type_token3] = ACTIONS(1360),
    [aux_sym_join_type_token4] = ACTIONS(1360),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1360),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1360),
    [aux_sym_join_condition_token1] = ACTIONS(1360),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [296] = {
    [sym_analytics_clause] = STATE(590),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_when_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_window_token1] = ACTIONS(1418),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_using_clause_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1418),
    [aux_sym_set_operation_token3] = ACTIONS(1418),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_having_clause_token1] = ACTIONS(1418),
    [aux_sym_qualify_clause_token1] = ACTIONS(1418),
    [aux_sym_limit_clause_token1] = ACTIONS(1418),
    [aux_sym_group_by_clause_token1] = ACTIONS(1418),
    [aux_sym_order_by_clause_token1] = ACTIONS(1418),
    [aux_sym_where_clause_token1] = ACTIONS(1418),
    [aux_sym_pivot_operator_token1] = ACTIONS(1418),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1418),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1418),
    [aux_sym_join_type_token1] = ACTIONS(1418),
    [aux_sym_join_type_token2] = ACTIONS(1418),
    [aux_sym_join_type_token3] = ACTIONS(1418),
    [aux_sym_join_type_token4] = ACTIONS(1418),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1418),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1418),
    [aux_sym_join_condition_token1] = ACTIONS(1418),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [297] = {
    [sym_analytics_clause] = STATE(492),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_where_clause_token1] = ACTIONS(1364),
    [aux_sym_pivot_operator_token1] = ACTIONS(1364),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1364),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1364),
    [aux_sym_join_type_token1] = ACTIONS(1364),
    [aux_sym_join_type_token2] = ACTIONS(1364),
    [aux_sym_join_type_token3] = ACTIONS(1364),
    [aux_sym_join_type_token4] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1364),
    [aux_sym_join_condition_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [298] = {
    [sym_analytics_clause] = STATE(446),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_where_clause_token1] = ACTIONS(1364),
    [aux_sym_pivot_operator_token1] = ACTIONS(1364),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1364),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1364),
    [aux_sym_join_type_token1] = ACTIONS(1364),
    [aux_sym_join_type_token2] = ACTIONS(1364),
    [aux_sym_join_type_token3] = ACTIONS(1364),
    [aux_sym_join_type_token4] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1364),
    [aux_sym_join_condition_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [299] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_when] = STATE(1531),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8027),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_casewhen_clause] = STATE(12070),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [aux_sym_casewhen_expression_repeat1] = STATE(12070),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_when_token1] = ACTIONS(1368),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [300] = {
    [sym_analytics_clause] = STATE(591),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_when_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_window_token1] = ACTIONS(1418),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_using_clause_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1418),
    [aux_sym_set_operation_token3] = ACTIONS(1418),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_having_clause_token1] = ACTIONS(1418),
    [aux_sym_qualify_clause_token1] = ACTIONS(1418),
    [aux_sym_limit_clause_token1] = ACTIONS(1418),
    [aux_sym_group_by_clause_token1] = ACTIONS(1418),
    [aux_sym_order_by_clause_token1] = ACTIONS(1418),
    [aux_sym_where_clause_token1] = ACTIONS(1418),
    [aux_sym_pivot_operator_token1] = ACTIONS(1418),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1418),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1418),
    [aux_sym_join_type_token1] = ACTIONS(1418),
    [aux_sym_join_type_token2] = ACTIONS(1418),
    [aux_sym_join_type_token3] = ACTIONS(1418),
    [aux_sym_join_type_token4] = ACTIONS(1418),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1418),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1418),
    [aux_sym_join_condition_token1] = ACTIONS(1418),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [301] = {
    [sym_analytics_clause] = STATE(592),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_when_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_window_token1] = ACTIONS(1418),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_using_clause_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1418),
    [aux_sym_set_operation_token3] = ACTIONS(1418),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_having_clause_token1] = ACTIONS(1418),
    [aux_sym_qualify_clause_token1] = ACTIONS(1418),
    [aux_sym_limit_clause_token1] = ACTIONS(1418),
    [aux_sym_group_by_clause_token1] = ACTIONS(1418),
    [aux_sym_order_by_clause_token1] = ACTIONS(1418),
    [aux_sym_where_clause_token1] = ACTIONS(1418),
    [aux_sym_pivot_operator_token1] = ACTIONS(1418),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1418),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1418),
    [aux_sym_join_type_token1] = ACTIONS(1418),
    [aux_sym_join_type_token2] = ACTIONS(1418),
    [aux_sym_join_type_token3] = ACTIONS(1418),
    [aux_sym_join_type_token4] = ACTIONS(1418),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1418),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1418),
    [aux_sym_join_condition_token1] = ACTIONS(1418),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [302] = {
    [sym_analytics_clause] = STATE(593),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_when_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_window_token1] = ACTIONS(1418),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_using_clause_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1418),
    [aux_sym_set_operation_token3] = ACTIONS(1418),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_having_clause_token1] = ACTIONS(1418),
    [aux_sym_qualify_clause_token1] = ACTIONS(1418),
    [aux_sym_limit_clause_token1] = ACTIONS(1418),
    [aux_sym_group_by_clause_token1] = ACTIONS(1418),
    [aux_sym_order_by_clause_token1] = ACTIONS(1418),
    [aux_sym_where_clause_token1] = ACTIONS(1418),
    [aux_sym_pivot_operator_token1] = ACTIONS(1418),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1418),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1418),
    [aux_sym_join_type_token1] = ACTIONS(1418),
    [aux_sym_join_type_token2] = ACTIONS(1418),
    [aux_sym_join_type_token3] = ACTIONS(1418),
    [aux_sym_join_type_token4] = ACTIONS(1418),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1418),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1418),
    [aux_sym_join_condition_token1] = ACTIONS(1418),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [303] = {
    [sym_analytics_clause] = STATE(594),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_when_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_window_token1] = ACTIONS(1418),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_using_clause_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1418),
    [aux_sym_set_operation_token3] = ACTIONS(1418),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_having_clause_token1] = ACTIONS(1418),
    [aux_sym_qualify_clause_token1] = ACTIONS(1418),
    [aux_sym_limit_clause_token1] = ACTIONS(1418),
    [aux_sym_group_by_clause_token1] = ACTIONS(1418),
    [aux_sym_order_by_clause_token1] = ACTIONS(1418),
    [aux_sym_where_clause_token1] = ACTIONS(1418),
    [aux_sym_pivot_operator_token1] = ACTIONS(1418),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1418),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1418),
    [aux_sym_join_type_token1] = ACTIONS(1418),
    [aux_sym_join_type_token2] = ACTIONS(1418),
    [aux_sym_join_type_token3] = ACTIONS(1418),
    [aux_sym_join_type_token4] = ACTIONS(1418),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1418),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1418),
    [aux_sym_join_condition_token1] = ACTIONS(1418),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [304] = {
    [sym_analytics_clause] = STATE(595),
    [ts_builtin_sym_end] = ACTIONS(1422),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1422),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1422),
    [aux_sym_keyword_replace_token1] = ACTIONS(1424),
    [aux_sym__keyword_alter_token1] = ACTIONS(1422),
    [aux_sym__keyword_delete_token1] = ACTIONS(1422),
    [aux_sym__keyword_begin_token1] = ACTIONS(1422),
    [aux_sym__keyword_end_token1] = ACTIONS(1422),
    [aux_sym__keyword_between_token1] = ACTIONS(1422),
    [aux_sym__keyword_when_token1] = ACTIONS(1422),
    [aux_sym__keyword_else_token1] = ACTIONS(1424),
    [aux_sym__keyword_is_token1] = ACTIONS(1422),
    [aux_sym__keyword_in_token1] = ACTIONS(1424),
    [aux_sym__keyword_and_token1] = ACTIONS(1422),
    [aux_sym__keyword_like_token1] = ACTIONS(1422),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1422),
    [aux_sym__keyword_window_token1] = ACTIONS(1422),
    [aux_sym__keyword_for_token1] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1422),
    [aux_sym_declare_statement_token1] = ACTIONS(1422),
    [anon_sym_COMMA] = ACTIONS(1422),
    [aux_sym_set_statement_token1] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1422),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1422),
    [aux_sym_using_clause_token1] = ACTIONS(1422),
    [aux_sym_return_satement_token1] = ACTIONS(1422),
    [aux_sym_call_statement_token1] = ACTIONS(1422),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1422),
    [aux_sym_if_statement_token1] = ACTIONS(1422),
    [aux_sym_loop_statement_token1] = ACTIONS(1422),
    [aux_sym_repeat_statement_token1] = ACTIONS(1422),
    [aux_sym_while_statement_token1] = ACTIONS(1422),
    [aux_sym_break_statement_token1] = ACTIONS(1422),
    [aux_sym_leave_statement_token1] = ACTIONS(1422),
    [aux_sym_continue_statement_token1] = ACTIONS(1422),
    [aux_sym_iterate_statement_token1] = ACTIONS(1422),
    [aux_sym_raise_statement_token1] = ACTIONS(1422),
    [anon_sym_EQ] = ACTIONS(1422),
    [aux_sym_assert_statement_token1] = ACTIONS(1422),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1422),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1422),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1422),
    [anon_sym_LT] = ACTIONS(1424),
    [anon_sym_GT] = ACTIONS(1424),
    [aux_sym_set_operation_token1] = ACTIONS(1422),
    [aux_sym_set_operation_token3] = ACTIONS(1422),
    [aux_sym_set_operation_token4] = ACTIONS(1424),
    [aux_sym_select_token1] = ACTIONS(1422),
    [aux_sym_having_clause_token1] = ACTIONS(1422),
    [aux_sym_qualify_clause_token1] = ACTIONS(1422),
    [aux_sym_limit_clause_token1] = ACTIONS(1422),
    [aux_sym_group_by_clause_token1] = ACTIONS(1422),
    [aux_sym_order_by_clause_token1] = ACTIONS(1422),
    [aux_sym_where_clause_token1] = ACTIONS(1422),
    [aux_sym_pivot_operator_token1] = ACTIONS(1422),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1422),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1422),
    [aux_sym_join_type_token1] = ACTIONS(1422),
    [aux_sym_join_type_token2] = ACTIONS(1422),
    [aux_sym_join_type_token3] = ACTIONS(1422),
    [aux_sym_join_type_token4] = ACTIONS(1422),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1422),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1422),
    [aux_sym_join_condition_token1] = ACTIONS(1422),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1422),
    [aux_sym_truncate_statement_token1] = ACTIONS(1422),
    [aux_sym_update_statement_token1] = ACTIONS(1422),
    [aux_sym_merge_statement_token1] = ACTIONS(1422),
    [aux_sym_grant_statement_token1] = ACTIONS(1422),
    [aux_sym_revoke_statement_token1] = ACTIONS(1422),
    [aux_sym_export_data_statement_token1] = ACTIONS(1422),
    [aux_sym_load_data_statement_token1] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1422),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1424),
    [anon_sym_STAR] = ACTIONS(1422),
    [anon_sym_SLASH] = ACTIONS(1424),
    [anon_sym_PIPE_PIPE] = ACTIONS(1422),
    [anon_sym_LT_EQ] = ACTIONS(1422),
    [anon_sym_LT_GT] = ACTIONS(1422),
    [anon_sym_GT_EQ] = ACTIONS(1422),
    [anon_sym_BANG_EQ] = ACTIONS(1422),
    [anon_sym_LT_LT] = ACTIONS(1422),
    [anon_sym_GT_GT] = ACTIONS(1422),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_CARET] = ACTIONS(1422),
    [anon_sym_PIPE] = ACTIONS(1424),
  },
  [305] = {
    [sym_analytics_clause] = STATE(596),
    [ts_builtin_sym_end] = ACTIONS(1426),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1426),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1426),
    [aux_sym_keyword_replace_token1] = ACTIONS(1428),
    [aux_sym__keyword_alter_token1] = ACTIONS(1426),
    [aux_sym__keyword_delete_token1] = ACTIONS(1426),
    [aux_sym__keyword_begin_token1] = ACTIONS(1426),
    [aux_sym__keyword_end_token1] = ACTIONS(1426),
    [aux_sym__keyword_between_token1] = ACTIONS(1426),
    [aux_sym__keyword_when_token1] = ACTIONS(1426),
    [aux_sym__keyword_else_token1] = ACTIONS(1428),
    [aux_sym__keyword_is_token1] = ACTIONS(1426),
    [aux_sym__keyword_in_token1] = ACTIONS(1428),
    [aux_sym__keyword_and_token1] = ACTIONS(1426),
    [aux_sym__keyword_like_token1] = ACTIONS(1426),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1426),
    [aux_sym__keyword_window_token1] = ACTIONS(1426),
    [aux_sym__keyword_for_token1] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(1426),
    [aux_sym_declare_statement_token1] = ACTIONS(1426),
    [anon_sym_COMMA] = ACTIONS(1426),
    [aux_sym_set_statement_token1] = ACTIONS(1426),
    [anon_sym_LPAREN] = ACTIONS(1426),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1426),
    [aux_sym_using_clause_token1] = ACTIONS(1426),
    [aux_sym_return_satement_token1] = ACTIONS(1426),
    [aux_sym_call_statement_token1] = ACTIONS(1426),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1426),
    [aux_sym_if_statement_token1] = ACTIONS(1426),
    [aux_sym_loop_statement_token1] = ACTIONS(1426),
    [aux_sym_repeat_statement_token1] = ACTIONS(1426),
    [aux_sym_while_statement_token1] = ACTIONS(1426),
    [aux_sym_break_statement_token1] = ACTIONS(1426),
    [aux_sym_leave_statement_token1] = ACTIONS(1426),
    [aux_sym_continue_statement_token1] = ACTIONS(1426),
    [aux_sym_iterate_statement_token1] = ACTIONS(1426),
    [aux_sym_raise_statement_token1] = ACTIONS(1426),
    [anon_sym_EQ] = ACTIONS(1426),
    [aux_sym_assert_statement_token1] = ACTIONS(1426),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1426),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1426),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1426),
    [anon_sym_LT] = ACTIONS(1428),
    [anon_sym_GT] = ACTIONS(1428),
    [aux_sym_set_operation_token1] = ACTIONS(1426),
    [aux_sym_set_operation_token3] = ACTIONS(1426),
    [aux_sym_set_operation_token4] = ACTIONS(1428),
    [aux_sym_select_token1] = ACTIONS(1426),
    [aux_sym_having_clause_token1] = ACTIONS(1426),
    [aux_sym_qualify_clause_token1] = ACTIONS(1426),
    [aux_sym_limit_clause_token1] = ACTIONS(1426),
    [aux_sym_group_by_clause_token1] = ACTIONS(1426),
    [aux_sym_order_by_clause_token1] = ACTIONS(1426),
    [aux_sym_where_clause_token1] = ACTIONS(1426),
    [aux_sym_pivot_operator_token1] = ACTIONS(1426),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1426),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1426),
    [aux_sym_join_type_token1] = ACTIONS(1426),
    [aux_sym_join_type_token2] = ACTIONS(1426),
    [aux_sym_join_type_token3] = ACTIONS(1426),
    [aux_sym_join_type_token4] = ACTIONS(1426),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1426),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1426),
    [aux_sym_join_condition_token1] = ACTIONS(1426),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1426),
    [aux_sym_truncate_statement_token1] = ACTIONS(1426),
    [aux_sym_update_statement_token1] = ACTIONS(1426),
    [aux_sym_merge_statement_token1] = ACTIONS(1426),
    [aux_sym_grant_statement_token1] = ACTIONS(1426),
    [aux_sym_revoke_statement_token1] = ACTIONS(1426),
    [aux_sym_export_data_statement_token1] = ACTIONS(1426),
    [aux_sym_load_data_statement_token1] = ACTIONS(1426),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1426),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PIPE_PIPE] = ACTIONS(1426),
    [anon_sym_LT_EQ] = ACTIONS(1426),
    [anon_sym_LT_GT] = ACTIONS(1426),
    [anon_sym_GT_EQ] = ACTIONS(1426),
    [anon_sym_BANG_EQ] = ACTIONS(1426),
    [anon_sym_LT_LT] = ACTIONS(1426),
    [anon_sym_GT_GT] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_PIPE] = ACTIONS(1428),
  },
  [306] = {
    [sym_analytics_clause] = STATE(520),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_window_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_using_clause_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_having_clause_token1] = ACTIONS(1378),
    [aux_sym_qualify_clause_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym_group_by_clause_token1] = ACTIONS(1378),
    [aux_sym_order_by_clause_token1] = ACTIONS(1378),
    [aux_sym_where_clause_token1] = ACTIONS(1378),
    [aux_sym_pivot_operator_token1] = ACTIONS(1378),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1378),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1378),
    [aux_sym_join_type_token1] = ACTIONS(1378),
    [aux_sym_join_type_token2] = ACTIONS(1378),
    [aux_sym_join_type_token3] = ACTIONS(1378),
    [aux_sym_join_type_token4] = ACTIONS(1378),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1378),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1378),
    [aux_sym_join_condition_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [307] = {
    [sym_analytics_clause] = STATE(597),
    [ts_builtin_sym_end] = ACTIONS(1430),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1430),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1430),
    [aux_sym_keyword_replace_token1] = ACTIONS(1432),
    [aux_sym__keyword_alter_token1] = ACTIONS(1430),
    [aux_sym__keyword_delete_token1] = ACTIONS(1430),
    [aux_sym__keyword_begin_token1] = ACTIONS(1430),
    [aux_sym__keyword_end_token1] = ACTIONS(1430),
    [aux_sym__keyword_between_token1] = ACTIONS(1430),
    [aux_sym__keyword_when_token1] = ACTIONS(1430),
    [aux_sym__keyword_else_token1] = ACTIONS(1432),
    [aux_sym__keyword_is_token1] = ACTIONS(1430),
    [aux_sym__keyword_in_token1] = ACTIONS(1432),
    [aux_sym__keyword_and_token1] = ACTIONS(1430),
    [aux_sym__keyword_like_token1] = ACTIONS(1430),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1430),
    [aux_sym__keyword_window_token1] = ACTIONS(1430),
    [aux_sym__keyword_for_token1] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(1430),
    [aux_sym_declare_statement_token1] = ACTIONS(1430),
    [anon_sym_COMMA] = ACTIONS(1430),
    [aux_sym_set_statement_token1] = ACTIONS(1430),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1430),
    [aux_sym_using_clause_token1] = ACTIONS(1430),
    [aux_sym_return_satement_token1] = ACTIONS(1430),
    [aux_sym_call_statement_token1] = ACTIONS(1430),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1430),
    [aux_sym_if_statement_token1] = ACTIONS(1430),
    [aux_sym_loop_statement_token1] = ACTIONS(1430),
    [aux_sym_repeat_statement_token1] = ACTIONS(1430),
    [aux_sym_while_statement_token1] = ACTIONS(1430),
    [aux_sym_break_statement_token1] = ACTIONS(1430),
    [aux_sym_leave_statement_token1] = ACTIONS(1430),
    [aux_sym_continue_statement_token1] = ACTIONS(1430),
    [aux_sym_iterate_statement_token1] = ACTIONS(1430),
    [aux_sym_raise_statement_token1] = ACTIONS(1430),
    [anon_sym_EQ] = ACTIONS(1430),
    [aux_sym_assert_statement_token1] = ACTIONS(1430),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1430),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1430),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [aux_sym_set_operation_token1] = ACTIONS(1430),
    [aux_sym_set_operation_token3] = ACTIONS(1430),
    [aux_sym_set_operation_token4] = ACTIONS(1432),
    [aux_sym_select_token1] = ACTIONS(1430),
    [aux_sym_having_clause_token1] = ACTIONS(1430),
    [aux_sym_qualify_clause_token1] = ACTIONS(1430),
    [aux_sym_limit_clause_token1] = ACTIONS(1430),
    [aux_sym_group_by_clause_token1] = ACTIONS(1430),
    [aux_sym_order_by_clause_token1] = ACTIONS(1430),
    [aux_sym_where_clause_token1] = ACTIONS(1430),
    [aux_sym_pivot_operator_token1] = ACTIONS(1430),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1430),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1430),
    [aux_sym_join_type_token1] = ACTIONS(1430),
    [aux_sym_join_type_token2] = ACTIONS(1430),
    [aux_sym_join_type_token3] = ACTIONS(1430),
    [aux_sym_join_type_token4] = ACTIONS(1430),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1430),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1430),
    [aux_sym_join_condition_token1] = ACTIONS(1430),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1430),
    [aux_sym_truncate_statement_token1] = ACTIONS(1430),
    [aux_sym_update_statement_token1] = ACTIONS(1430),
    [aux_sym_merge_statement_token1] = ACTIONS(1430),
    [aux_sym_grant_statement_token1] = ACTIONS(1430),
    [aux_sym_revoke_statement_token1] = ACTIONS(1430),
    [aux_sym_export_data_statement_token1] = ACTIONS(1430),
    [aux_sym_load_data_statement_token1] = ACTIONS(1430),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1432),
    [anon_sym_PIPE_PIPE] = ACTIONS(1430),
    [anon_sym_LT_EQ] = ACTIONS(1430),
    [anon_sym_LT_GT] = ACTIONS(1430),
    [anon_sym_GT_EQ] = ACTIONS(1430),
    [anon_sym_BANG_EQ] = ACTIONS(1430),
    [anon_sym_LT_LT] = ACTIONS(1430),
    [anon_sym_GT_GT] = ACTIONS(1430),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_PIPE] = ACTIONS(1432),
  },
  [308] = {
    [sym_analytics_clause] = STATE(525),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_where_clause_token1] = ACTIONS(1370),
    [aux_sym_pivot_operator_token1] = ACTIONS(1370),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1370),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1370),
    [aux_sym_join_type_token1] = ACTIONS(1370),
    [aux_sym_join_type_token2] = ACTIONS(1370),
    [aux_sym_join_type_token3] = ACTIONS(1370),
    [aux_sym_join_type_token4] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1370),
    [aux_sym_join_condition_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [309] = {
    [sym_analytics_clause] = STATE(598),
    [ts_builtin_sym_end] = ACTIONS(1434),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1434),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1434),
    [aux_sym_keyword_replace_token1] = ACTIONS(1436),
    [aux_sym__keyword_alter_token1] = ACTIONS(1434),
    [aux_sym__keyword_delete_token1] = ACTIONS(1434),
    [aux_sym__keyword_begin_token1] = ACTIONS(1434),
    [aux_sym__keyword_end_token1] = ACTIONS(1434),
    [aux_sym__keyword_between_token1] = ACTIONS(1434),
    [aux_sym__keyword_when_token1] = ACTIONS(1434),
    [aux_sym__keyword_else_token1] = ACTIONS(1436),
    [aux_sym__keyword_is_token1] = ACTIONS(1434),
    [aux_sym__keyword_in_token1] = ACTIONS(1436),
    [aux_sym__keyword_and_token1] = ACTIONS(1434),
    [aux_sym__keyword_like_token1] = ACTIONS(1434),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1434),
    [aux_sym__keyword_window_token1] = ACTIONS(1434),
    [aux_sym__keyword_for_token1] = ACTIONS(1434),
    [anon_sym_SEMI] = ACTIONS(1434),
    [aux_sym_declare_statement_token1] = ACTIONS(1434),
    [anon_sym_COMMA] = ACTIONS(1434),
    [aux_sym_set_statement_token1] = ACTIONS(1434),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1434),
    [aux_sym_using_clause_token1] = ACTIONS(1434),
    [aux_sym_return_satement_token1] = ACTIONS(1434),
    [aux_sym_call_statement_token1] = ACTIONS(1434),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1434),
    [aux_sym_if_statement_token1] = ACTIONS(1434),
    [aux_sym_loop_statement_token1] = ACTIONS(1434),
    [aux_sym_repeat_statement_token1] = ACTIONS(1434),
    [aux_sym_while_statement_token1] = ACTIONS(1434),
    [aux_sym_break_statement_token1] = ACTIONS(1434),
    [aux_sym_leave_statement_token1] = ACTIONS(1434),
    [aux_sym_continue_statement_token1] = ACTIONS(1434),
    [aux_sym_iterate_statement_token1] = ACTIONS(1434),
    [aux_sym_raise_statement_token1] = ACTIONS(1434),
    [anon_sym_EQ] = ACTIONS(1434),
    [aux_sym_assert_statement_token1] = ACTIONS(1434),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1434),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1434),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1434),
    [anon_sym_LT] = ACTIONS(1436),
    [anon_sym_GT] = ACTIONS(1436),
    [aux_sym_set_operation_token1] = ACTIONS(1434),
    [aux_sym_set_operation_token3] = ACTIONS(1434),
    [aux_sym_set_operation_token4] = ACTIONS(1436),
    [aux_sym_select_token1] = ACTIONS(1434),
    [aux_sym_having_clause_token1] = ACTIONS(1434),
    [aux_sym_qualify_clause_token1] = ACTIONS(1434),
    [aux_sym_limit_clause_token1] = ACTIONS(1434),
    [aux_sym_group_by_clause_token1] = ACTIONS(1434),
    [aux_sym_order_by_clause_token1] = ACTIONS(1434),
    [aux_sym_where_clause_token1] = ACTIONS(1434),
    [aux_sym_pivot_operator_token1] = ACTIONS(1434),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1434),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1434),
    [aux_sym_join_type_token1] = ACTIONS(1434),
    [aux_sym_join_type_token2] = ACTIONS(1434),
    [aux_sym_join_type_token3] = ACTIONS(1434),
    [aux_sym_join_type_token4] = ACTIONS(1434),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1434),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1434),
    [aux_sym_join_condition_token1] = ACTIONS(1434),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1434),
    [aux_sym_truncate_statement_token1] = ACTIONS(1434),
    [aux_sym_update_statement_token1] = ACTIONS(1434),
    [aux_sym_merge_statement_token1] = ACTIONS(1434),
    [aux_sym_grant_statement_token1] = ACTIONS(1434),
    [aux_sym_revoke_statement_token1] = ACTIONS(1434),
    [aux_sym_export_data_statement_token1] = ACTIONS(1434),
    [aux_sym_load_data_statement_token1] = ACTIONS(1434),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_STAR] = ACTIONS(1434),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1434),
    [anon_sym_LT_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1434),
    [anon_sym_BANG_EQ] = ACTIONS(1434),
    [anon_sym_LT_LT] = ACTIONS(1434),
    [anon_sym_GT_GT] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1434),
    [anon_sym_PIPE] = ACTIONS(1436),
  },
  [310] = {
    [sym_analytics_clause] = STATE(599),
    [ts_builtin_sym_end] = ACTIONS(1438),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1438),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1438),
    [aux_sym_keyword_replace_token1] = ACTIONS(1440),
    [aux_sym__keyword_alter_token1] = ACTIONS(1438),
    [aux_sym__keyword_delete_token1] = ACTIONS(1438),
    [aux_sym__keyword_begin_token1] = ACTIONS(1438),
    [aux_sym__keyword_end_token1] = ACTIONS(1438),
    [aux_sym__keyword_between_token1] = ACTIONS(1438),
    [aux_sym__keyword_when_token1] = ACTIONS(1438),
    [aux_sym__keyword_else_token1] = ACTIONS(1440),
    [aux_sym__keyword_is_token1] = ACTIONS(1438),
    [aux_sym__keyword_in_token1] = ACTIONS(1440),
    [aux_sym__keyword_and_token1] = ACTIONS(1438),
    [aux_sym__keyword_like_token1] = ACTIONS(1438),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1438),
    [aux_sym__keyword_window_token1] = ACTIONS(1438),
    [aux_sym__keyword_for_token1] = ACTIONS(1438),
    [anon_sym_SEMI] = ACTIONS(1438),
    [aux_sym_declare_statement_token1] = ACTIONS(1438),
    [anon_sym_COMMA] = ACTIONS(1438),
    [aux_sym_set_statement_token1] = ACTIONS(1438),
    [anon_sym_LPAREN] = ACTIONS(1438),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1438),
    [aux_sym_using_clause_token1] = ACTIONS(1438),
    [aux_sym_return_satement_token1] = ACTIONS(1438),
    [aux_sym_call_statement_token1] = ACTIONS(1438),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1438),
    [aux_sym_if_statement_token1] = ACTIONS(1438),
    [aux_sym_loop_statement_token1] = ACTIONS(1438),
    [aux_sym_repeat_statement_token1] = ACTIONS(1438),
    [aux_sym_while_statement_token1] = ACTIONS(1438),
    [aux_sym_break_statement_token1] = ACTIONS(1438),
    [aux_sym_leave_statement_token1] = ACTIONS(1438),
    [aux_sym_continue_statement_token1] = ACTIONS(1438),
    [aux_sym_iterate_statement_token1] = ACTIONS(1438),
    [aux_sym_raise_statement_token1] = ACTIONS(1438),
    [anon_sym_EQ] = ACTIONS(1438),
    [aux_sym_assert_statement_token1] = ACTIONS(1438),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1438),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1438),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1438),
    [anon_sym_LT] = ACTIONS(1440),
    [anon_sym_GT] = ACTIONS(1440),
    [aux_sym_set_operation_token1] = ACTIONS(1438),
    [aux_sym_set_operation_token3] = ACTIONS(1438),
    [aux_sym_set_operation_token4] = ACTIONS(1440),
    [aux_sym_select_token1] = ACTIONS(1438),
    [aux_sym_having_clause_token1] = ACTIONS(1438),
    [aux_sym_qualify_clause_token1] = ACTIONS(1438),
    [aux_sym_limit_clause_token1] = ACTIONS(1438),
    [aux_sym_group_by_clause_token1] = ACTIONS(1438),
    [aux_sym_order_by_clause_token1] = ACTIONS(1438),
    [aux_sym_where_clause_token1] = ACTIONS(1438),
    [aux_sym_pivot_operator_token1] = ACTIONS(1438),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1438),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1438),
    [aux_sym_join_type_token1] = ACTIONS(1438),
    [aux_sym_join_type_token2] = ACTIONS(1438),
    [aux_sym_join_type_token3] = ACTIONS(1438),
    [aux_sym_join_type_token4] = ACTIONS(1438),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1438),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1438),
    [aux_sym_join_condition_token1] = ACTIONS(1438),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1438),
    [aux_sym_truncate_statement_token1] = ACTIONS(1438),
    [aux_sym_update_statement_token1] = ACTIONS(1438),
    [aux_sym_merge_statement_token1] = ACTIONS(1438),
    [aux_sym_grant_statement_token1] = ACTIONS(1438),
    [aux_sym_revoke_statement_token1] = ACTIONS(1438),
    [aux_sym_export_data_statement_token1] = ACTIONS(1438),
    [aux_sym_load_data_statement_token1] = ACTIONS(1438),
    [anon_sym_LBRACK] = ACTIONS(1438),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_STAR] = ACTIONS(1438),
    [anon_sym_SLASH] = ACTIONS(1440),
    [anon_sym_PIPE_PIPE] = ACTIONS(1438),
    [anon_sym_LT_EQ] = ACTIONS(1438),
    [anon_sym_LT_GT] = ACTIONS(1438),
    [anon_sym_GT_EQ] = ACTIONS(1438),
    [anon_sym_BANG_EQ] = ACTIONS(1438),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_AMP] = ACTIONS(1438),
    [anon_sym_CARET] = ACTIONS(1438),
    [anon_sym_PIPE] = ACTIONS(1440),
  },
  [311] = {
    [sym_analytics_clause] = STATE(579),
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_window_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_using_clause_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1442),
    [aux_sym_set_operation_token3] = ACTIONS(1442),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_having_clause_token1] = ACTIONS(1442),
    [aux_sym_qualify_clause_token1] = ACTIONS(1442),
    [aux_sym_limit_clause_token1] = ACTIONS(1442),
    [aux_sym_group_by_clause_token1] = ACTIONS(1442),
    [aux_sym_order_by_clause_token1] = ACTIONS(1442),
    [aux_sym_where_clause_token1] = ACTIONS(1442),
    [aux_sym_pivot_operator_token1] = ACTIONS(1442),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1442),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1442),
    [aux_sym_join_type_token1] = ACTIONS(1442),
    [aux_sym_join_type_token2] = ACTIONS(1442),
    [aux_sym_join_type_token3] = ACTIONS(1442),
    [aux_sym_join_type_token4] = ACTIONS(1442),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1442),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1442),
    [aux_sym_join_condition_token1] = ACTIONS(1442),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [312] = {
    [sym_analytics_clause] = STATE(588),
    [ts_builtin_sym_end] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1446),
    [aux_sym_keyword_replace_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1446),
    [aux_sym__keyword_delete_token1] = ACTIONS(1446),
    [aux_sym__keyword_begin_token1] = ACTIONS(1446),
    [aux_sym__keyword_end_token1] = ACTIONS(1446),
    [aux_sym__keyword_between_token1] = ACTIONS(1446),
    [aux_sym__keyword_when_token1] = ACTIONS(1446),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1446),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1446),
    [aux_sym__keyword_like_token1] = ACTIONS(1446),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1446),
    [aux_sym__keyword_window_token1] = ACTIONS(1446),
    [aux_sym__keyword_for_token1] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1446),
    [aux_sym_using_clause_token1] = ACTIONS(1446),
    [aux_sym_return_satement_token1] = ACTIONS(1446),
    [aux_sym_call_statement_token1] = ACTIONS(1446),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_loop_statement_token1] = ACTIONS(1446),
    [aux_sym_repeat_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [aux_sym_leave_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_iterate_statement_token1] = ACTIONS(1446),
    [aux_sym_raise_statement_token1] = ACTIONS(1446),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1446),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1446),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1446),
    [aux_sym_set_operation_token3] = ACTIONS(1446),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1446),
    [aux_sym_having_clause_token1] = ACTIONS(1446),
    [aux_sym_qualify_clause_token1] = ACTIONS(1446),
    [aux_sym_limit_clause_token1] = ACTIONS(1446),
    [aux_sym_group_by_clause_token1] = ACTIONS(1446),
    [aux_sym_order_by_clause_token1] = ACTIONS(1446),
    [aux_sym_where_clause_token1] = ACTIONS(1446),
    [aux_sym_pivot_operator_token1] = ACTIONS(1446),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1446),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1446),
    [aux_sym_join_type_token1] = ACTIONS(1446),
    [aux_sym_join_type_token2] = ACTIONS(1446),
    [aux_sym_join_type_token3] = ACTIONS(1446),
    [aux_sym_join_type_token4] = ACTIONS(1446),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1446),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1446),
    [aux_sym_join_condition_token1] = ACTIONS(1446),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1446),
    [aux_sym_truncate_statement_token1] = ACTIONS(1446),
    [aux_sym_update_statement_token1] = ACTIONS(1446),
    [aux_sym_merge_statement_token1] = ACTIONS(1446),
    [aux_sym_grant_statement_token1] = ACTIONS(1446),
    [aux_sym_revoke_statement_token1] = ACTIONS(1446),
    [aux_sym_export_data_statement_token1] = ACTIONS(1446),
    [aux_sym_load_data_statement_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [313] = {
    [sym_analytics_clause] = STATE(600),
    [ts_builtin_sym_end] = ACTIONS(1450),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1450),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1450),
    [aux_sym_keyword_replace_token1] = ACTIONS(1452),
    [aux_sym__keyword_alter_token1] = ACTIONS(1450),
    [aux_sym__keyword_delete_token1] = ACTIONS(1450),
    [aux_sym__keyword_begin_token1] = ACTIONS(1450),
    [aux_sym__keyword_end_token1] = ACTIONS(1450),
    [aux_sym__keyword_between_token1] = ACTIONS(1450),
    [aux_sym__keyword_when_token1] = ACTIONS(1450),
    [aux_sym__keyword_else_token1] = ACTIONS(1452),
    [aux_sym__keyword_is_token1] = ACTIONS(1450),
    [aux_sym__keyword_in_token1] = ACTIONS(1452),
    [aux_sym__keyword_and_token1] = ACTIONS(1450),
    [aux_sym__keyword_like_token1] = ACTIONS(1450),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1450),
    [aux_sym__keyword_window_token1] = ACTIONS(1450),
    [aux_sym__keyword_for_token1] = ACTIONS(1450),
    [anon_sym_SEMI] = ACTIONS(1450),
    [aux_sym_declare_statement_token1] = ACTIONS(1450),
    [anon_sym_COMMA] = ACTIONS(1450),
    [aux_sym_set_statement_token1] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1450),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1450),
    [aux_sym_using_clause_token1] = ACTIONS(1450),
    [aux_sym_return_satement_token1] = ACTIONS(1450),
    [aux_sym_call_statement_token1] = ACTIONS(1450),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1450),
    [aux_sym_if_statement_token1] = ACTIONS(1450),
    [aux_sym_loop_statement_token1] = ACTIONS(1450),
    [aux_sym_repeat_statement_token1] = ACTIONS(1450),
    [aux_sym_while_statement_token1] = ACTIONS(1450),
    [aux_sym_break_statement_token1] = ACTIONS(1450),
    [aux_sym_leave_statement_token1] = ACTIONS(1450),
    [aux_sym_continue_statement_token1] = ACTIONS(1450),
    [aux_sym_iterate_statement_token1] = ACTIONS(1450),
    [aux_sym_raise_statement_token1] = ACTIONS(1450),
    [anon_sym_EQ] = ACTIONS(1450),
    [aux_sym_assert_statement_token1] = ACTIONS(1450),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1450),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1450),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1450),
    [anon_sym_LT] = ACTIONS(1452),
    [anon_sym_GT] = ACTIONS(1452),
    [aux_sym_set_operation_token1] = ACTIONS(1450),
    [aux_sym_set_operation_token3] = ACTIONS(1450),
    [aux_sym_set_operation_token4] = ACTIONS(1452),
    [aux_sym_select_token1] = ACTIONS(1450),
    [aux_sym_having_clause_token1] = ACTIONS(1450),
    [aux_sym_qualify_clause_token1] = ACTIONS(1450),
    [aux_sym_limit_clause_token1] = ACTIONS(1450),
    [aux_sym_group_by_clause_token1] = ACTIONS(1450),
    [aux_sym_order_by_clause_token1] = ACTIONS(1450),
    [aux_sym_where_clause_token1] = ACTIONS(1450),
    [aux_sym_pivot_operator_token1] = ACTIONS(1450),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1450),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1450),
    [aux_sym_join_type_token1] = ACTIONS(1450),
    [aux_sym_join_type_token2] = ACTIONS(1450),
    [aux_sym_join_type_token3] = ACTIONS(1450),
    [aux_sym_join_type_token4] = ACTIONS(1450),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1450),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1450),
    [aux_sym_join_condition_token1] = ACTIONS(1450),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1450),
    [aux_sym_truncate_statement_token1] = ACTIONS(1450),
    [aux_sym_update_statement_token1] = ACTIONS(1450),
    [aux_sym_merge_statement_token1] = ACTIONS(1450),
    [aux_sym_grant_statement_token1] = ACTIONS(1450),
    [aux_sym_revoke_statement_token1] = ACTIONS(1450),
    [aux_sym_export_data_statement_token1] = ACTIONS(1450),
    [aux_sym_load_data_statement_token1] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1450),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_STAR] = ACTIONS(1450),
    [anon_sym_SLASH] = ACTIONS(1452),
    [anon_sym_PIPE_PIPE] = ACTIONS(1450),
    [anon_sym_LT_EQ] = ACTIONS(1450),
    [anon_sym_LT_GT] = ACTIONS(1450),
    [anon_sym_GT_EQ] = ACTIONS(1450),
    [anon_sym_BANG_EQ] = ACTIONS(1450),
    [anon_sym_LT_LT] = ACTIONS(1450),
    [anon_sym_GT_GT] = ACTIONS(1450),
    [anon_sym_AMP] = ACTIONS(1450),
    [anon_sym_CARET] = ACTIONS(1450),
    [anon_sym_PIPE] = ACTIONS(1452),
  },
  [314] = {
    [sym_analytics_clause] = STATE(601),
    [ts_builtin_sym_end] = ACTIONS(1450),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1450),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1450),
    [aux_sym_keyword_replace_token1] = ACTIONS(1452),
    [aux_sym__keyword_alter_token1] = ACTIONS(1450),
    [aux_sym__keyword_delete_token1] = ACTIONS(1450),
    [aux_sym__keyword_begin_token1] = ACTIONS(1450),
    [aux_sym__keyword_end_token1] = ACTIONS(1450),
    [aux_sym__keyword_between_token1] = ACTIONS(1450),
    [aux_sym__keyword_when_token1] = ACTIONS(1450),
    [aux_sym__keyword_else_token1] = ACTIONS(1452),
    [aux_sym__keyword_is_token1] = ACTIONS(1450),
    [aux_sym__keyword_in_token1] = ACTIONS(1452),
    [aux_sym__keyword_and_token1] = ACTIONS(1450),
    [aux_sym__keyword_like_token1] = ACTIONS(1450),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1450),
    [aux_sym__keyword_window_token1] = ACTIONS(1450),
    [aux_sym__keyword_for_token1] = ACTIONS(1450),
    [anon_sym_SEMI] = ACTIONS(1450),
    [aux_sym_declare_statement_token1] = ACTIONS(1450),
    [anon_sym_COMMA] = ACTIONS(1450),
    [aux_sym_set_statement_token1] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1450),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1450),
    [aux_sym_using_clause_token1] = ACTIONS(1450),
    [aux_sym_return_satement_token1] = ACTIONS(1450),
    [aux_sym_call_statement_token1] = ACTIONS(1450),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1450),
    [aux_sym_if_statement_token1] = ACTIONS(1450),
    [aux_sym_loop_statement_token1] = ACTIONS(1450),
    [aux_sym_repeat_statement_token1] = ACTIONS(1450),
    [aux_sym_while_statement_token1] = ACTIONS(1450),
    [aux_sym_break_statement_token1] = ACTIONS(1450),
    [aux_sym_leave_statement_token1] = ACTIONS(1450),
    [aux_sym_continue_statement_token1] = ACTIONS(1450),
    [aux_sym_iterate_statement_token1] = ACTIONS(1450),
    [aux_sym_raise_statement_token1] = ACTIONS(1450),
    [anon_sym_EQ] = ACTIONS(1450),
    [aux_sym_assert_statement_token1] = ACTIONS(1450),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1450),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1450),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1450),
    [anon_sym_LT] = ACTIONS(1452),
    [anon_sym_GT] = ACTIONS(1452),
    [aux_sym_set_operation_token1] = ACTIONS(1450),
    [aux_sym_set_operation_token3] = ACTIONS(1450),
    [aux_sym_set_operation_token4] = ACTIONS(1452),
    [aux_sym_select_token1] = ACTIONS(1450),
    [aux_sym_having_clause_token1] = ACTIONS(1450),
    [aux_sym_qualify_clause_token1] = ACTIONS(1450),
    [aux_sym_limit_clause_token1] = ACTIONS(1450),
    [aux_sym_group_by_clause_token1] = ACTIONS(1450),
    [aux_sym_order_by_clause_token1] = ACTIONS(1450),
    [aux_sym_where_clause_token1] = ACTIONS(1450),
    [aux_sym_pivot_operator_token1] = ACTIONS(1450),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1450),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1450),
    [aux_sym_join_type_token1] = ACTIONS(1450),
    [aux_sym_join_type_token2] = ACTIONS(1450),
    [aux_sym_join_type_token3] = ACTIONS(1450),
    [aux_sym_join_type_token4] = ACTIONS(1450),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1450),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1450),
    [aux_sym_join_condition_token1] = ACTIONS(1450),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1450),
    [aux_sym_truncate_statement_token1] = ACTIONS(1450),
    [aux_sym_update_statement_token1] = ACTIONS(1450),
    [aux_sym_merge_statement_token1] = ACTIONS(1450),
    [aux_sym_grant_statement_token1] = ACTIONS(1450),
    [aux_sym_revoke_statement_token1] = ACTIONS(1450),
    [aux_sym_export_data_statement_token1] = ACTIONS(1450),
    [aux_sym_load_data_statement_token1] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1450),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_STAR] = ACTIONS(1450),
    [anon_sym_SLASH] = ACTIONS(1452),
    [anon_sym_PIPE_PIPE] = ACTIONS(1450),
    [anon_sym_LT_EQ] = ACTIONS(1450),
    [anon_sym_LT_GT] = ACTIONS(1450),
    [anon_sym_GT_EQ] = ACTIONS(1450),
    [anon_sym_BANG_EQ] = ACTIONS(1450),
    [anon_sym_LT_LT] = ACTIONS(1450),
    [anon_sym_GT_GT] = ACTIONS(1450),
    [anon_sym_AMP] = ACTIONS(1450),
    [anon_sym_CARET] = ACTIONS(1450),
    [anon_sym_PIPE] = ACTIONS(1452),
  },
  [315] = {
    [sym_analytics_clause] = STATE(447),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_window_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_using_clause_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1360),
    [aux_sym_set_operation_token3] = ACTIONS(1360),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_having_clause_token1] = ACTIONS(1360),
    [aux_sym_qualify_clause_token1] = ACTIONS(1360),
    [aux_sym_limit_clause_token1] = ACTIONS(1360),
    [aux_sym_group_by_clause_token1] = ACTIONS(1360),
    [aux_sym_order_by_clause_token1] = ACTIONS(1360),
    [aux_sym_where_clause_token1] = ACTIONS(1360),
    [aux_sym_pivot_operator_token1] = ACTIONS(1360),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1360),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1360),
    [aux_sym_join_type_token1] = ACTIONS(1360),
    [aux_sym_join_type_token2] = ACTIONS(1360),
    [aux_sym_join_type_token3] = ACTIONS(1360),
    [aux_sym_join_type_token4] = ACTIONS(1360),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1360),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1360),
    [aux_sym_join_condition_token1] = ACTIONS(1360),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [316] = {
    [sym_analytics_clause] = STATE(516),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_window_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_using_clause_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_having_clause_token1] = ACTIONS(1378),
    [aux_sym_qualify_clause_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym_group_by_clause_token1] = ACTIONS(1378),
    [aux_sym_order_by_clause_token1] = ACTIONS(1378),
    [aux_sym_where_clause_token1] = ACTIONS(1378),
    [aux_sym_pivot_operator_token1] = ACTIONS(1378),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1378),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1378),
    [aux_sym_join_type_token1] = ACTIONS(1378),
    [aux_sym_join_type_token2] = ACTIONS(1378),
    [aux_sym_join_type_token3] = ACTIONS(1378),
    [aux_sym_join_type_token4] = ACTIONS(1378),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1378),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1378),
    [aux_sym_join_condition_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [317] = {
    [sym_analytics_clause] = STATE(602),
    [ts_builtin_sym_end] = ACTIONS(1454),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1454),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1454),
    [aux_sym_keyword_replace_token1] = ACTIONS(1456),
    [aux_sym__keyword_alter_token1] = ACTIONS(1454),
    [aux_sym__keyword_delete_token1] = ACTIONS(1454),
    [aux_sym__keyword_begin_token1] = ACTIONS(1454),
    [aux_sym__keyword_end_token1] = ACTIONS(1454),
    [aux_sym__keyword_between_token1] = ACTIONS(1454),
    [aux_sym__keyword_when_token1] = ACTIONS(1454),
    [aux_sym__keyword_else_token1] = ACTIONS(1456),
    [aux_sym__keyword_is_token1] = ACTIONS(1454),
    [aux_sym__keyword_in_token1] = ACTIONS(1456),
    [aux_sym__keyword_and_token1] = ACTIONS(1454),
    [aux_sym__keyword_like_token1] = ACTIONS(1454),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1454),
    [aux_sym__keyword_window_token1] = ACTIONS(1454),
    [aux_sym__keyword_for_token1] = ACTIONS(1454),
    [anon_sym_SEMI] = ACTIONS(1454),
    [aux_sym_declare_statement_token1] = ACTIONS(1454),
    [anon_sym_COMMA] = ACTIONS(1454),
    [aux_sym_set_statement_token1] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1454),
    [aux_sym_using_clause_token1] = ACTIONS(1454),
    [aux_sym_return_satement_token1] = ACTIONS(1454),
    [aux_sym_call_statement_token1] = ACTIONS(1454),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1454),
    [aux_sym_if_statement_token1] = ACTIONS(1454),
    [aux_sym_loop_statement_token1] = ACTIONS(1454),
    [aux_sym_repeat_statement_token1] = ACTIONS(1454),
    [aux_sym_while_statement_token1] = ACTIONS(1454),
    [aux_sym_break_statement_token1] = ACTIONS(1454),
    [aux_sym_leave_statement_token1] = ACTIONS(1454),
    [aux_sym_continue_statement_token1] = ACTIONS(1454),
    [aux_sym_iterate_statement_token1] = ACTIONS(1454),
    [aux_sym_raise_statement_token1] = ACTIONS(1454),
    [anon_sym_EQ] = ACTIONS(1454),
    [aux_sym_assert_statement_token1] = ACTIONS(1454),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1454),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1454),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1454),
    [anon_sym_LT] = ACTIONS(1456),
    [anon_sym_GT] = ACTIONS(1456),
    [aux_sym_set_operation_token1] = ACTIONS(1454),
    [aux_sym_set_operation_token3] = ACTIONS(1454),
    [aux_sym_set_operation_token4] = ACTIONS(1456),
    [aux_sym_select_token1] = ACTIONS(1454),
    [aux_sym_having_clause_token1] = ACTIONS(1454),
    [aux_sym_qualify_clause_token1] = ACTIONS(1454),
    [aux_sym_limit_clause_token1] = ACTIONS(1454),
    [aux_sym_group_by_clause_token1] = ACTIONS(1454),
    [aux_sym_order_by_clause_token1] = ACTIONS(1454),
    [aux_sym_where_clause_token1] = ACTIONS(1454),
    [aux_sym_pivot_operator_token1] = ACTIONS(1454),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1454),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1454),
    [aux_sym_join_type_token1] = ACTIONS(1454),
    [aux_sym_join_type_token2] = ACTIONS(1454),
    [aux_sym_join_type_token3] = ACTIONS(1454),
    [aux_sym_join_type_token4] = ACTIONS(1454),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1454),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1454),
    [aux_sym_join_condition_token1] = ACTIONS(1454),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1454),
    [aux_sym_truncate_statement_token1] = ACTIONS(1454),
    [aux_sym_update_statement_token1] = ACTIONS(1454),
    [aux_sym_merge_statement_token1] = ACTIONS(1454),
    [aux_sym_grant_statement_token1] = ACTIONS(1454),
    [aux_sym_revoke_statement_token1] = ACTIONS(1454),
    [aux_sym_export_data_statement_token1] = ACTIONS(1454),
    [aux_sym_load_data_statement_token1] = ACTIONS(1454),
    [anon_sym_LBRACK] = ACTIONS(1454),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1454),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1454),
    [anon_sym_SLASH] = ACTIONS(1456),
    [anon_sym_PIPE_PIPE] = ACTIONS(1454),
    [anon_sym_LT_EQ] = ACTIONS(1454),
    [anon_sym_LT_GT] = ACTIONS(1454),
    [anon_sym_GT_EQ] = ACTIONS(1454),
    [anon_sym_BANG_EQ] = ACTIONS(1454),
    [anon_sym_LT_LT] = ACTIONS(1454),
    [anon_sym_GT_GT] = ACTIONS(1454),
    [anon_sym_AMP] = ACTIONS(1454),
    [anon_sym_CARET] = ACTIONS(1454),
    [anon_sym_PIPE] = ACTIONS(1456),
  },
  [318] = {
    [sym_analytics_clause] = STATE(603),
    [ts_builtin_sym_end] = ACTIONS(1458),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1458),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1458),
    [aux_sym_keyword_replace_token1] = ACTIONS(1460),
    [aux_sym__keyword_alter_token1] = ACTIONS(1458),
    [aux_sym__keyword_delete_token1] = ACTIONS(1458),
    [aux_sym__keyword_begin_token1] = ACTIONS(1458),
    [aux_sym__keyword_end_token1] = ACTIONS(1458),
    [aux_sym__keyword_between_token1] = ACTIONS(1458),
    [aux_sym__keyword_when_token1] = ACTIONS(1458),
    [aux_sym__keyword_else_token1] = ACTIONS(1460),
    [aux_sym__keyword_is_token1] = ACTIONS(1458),
    [aux_sym__keyword_in_token1] = ACTIONS(1460),
    [aux_sym__keyword_and_token1] = ACTIONS(1458),
    [aux_sym__keyword_like_token1] = ACTIONS(1458),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1458),
    [aux_sym__keyword_window_token1] = ACTIONS(1458),
    [aux_sym__keyword_for_token1] = ACTIONS(1458),
    [anon_sym_SEMI] = ACTIONS(1458),
    [aux_sym_declare_statement_token1] = ACTIONS(1458),
    [anon_sym_COMMA] = ACTIONS(1458),
    [aux_sym_set_statement_token1] = ACTIONS(1458),
    [anon_sym_LPAREN] = ACTIONS(1458),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1458),
    [aux_sym_using_clause_token1] = ACTIONS(1458),
    [aux_sym_return_satement_token1] = ACTIONS(1458),
    [aux_sym_call_statement_token1] = ACTIONS(1458),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1458),
    [aux_sym_if_statement_token1] = ACTIONS(1458),
    [aux_sym_loop_statement_token1] = ACTIONS(1458),
    [aux_sym_repeat_statement_token1] = ACTIONS(1458),
    [aux_sym_while_statement_token1] = ACTIONS(1458),
    [aux_sym_break_statement_token1] = ACTIONS(1458),
    [aux_sym_leave_statement_token1] = ACTIONS(1458),
    [aux_sym_continue_statement_token1] = ACTIONS(1458),
    [aux_sym_iterate_statement_token1] = ACTIONS(1458),
    [aux_sym_raise_statement_token1] = ACTIONS(1458),
    [anon_sym_EQ] = ACTIONS(1458),
    [aux_sym_assert_statement_token1] = ACTIONS(1458),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1458),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1458),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1458),
    [anon_sym_LT] = ACTIONS(1460),
    [anon_sym_GT] = ACTIONS(1460),
    [aux_sym_set_operation_token1] = ACTIONS(1458),
    [aux_sym_set_operation_token3] = ACTIONS(1458),
    [aux_sym_set_operation_token4] = ACTIONS(1460),
    [aux_sym_select_token1] = ACTIONS(1458),
    [aux_sym_having_clause_token1] = ACTIONS(1458),
    [aux_sym_qualify_clause_token1] = ACTIONS(1458),
    [aux_sym_limit_clause_token1] = ACTIONS(1458),
    [aux_sym_group_by_clause_token1] = ACTIONS(1458),
    [aux_sym_order_by_clause_token1] = ACTIONS(1458),
    [aux_sym_where_clause_token1] = ACTIONS(1458),
    [aux_sym_pivot_operator_token1] = ACTIONS(1458),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1458),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1458),
    [aux_sym_join_type_token1] = ACTIONS(1458),
    [aux_sym_join_type_token2] = ACTIONS(1458),
    [aux_sym_join_type_token3] = ACTIONS(1458),
    [aux_sym_join_type_token4] = ACTIONS(1458),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1458),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1458),
    [aux_sym_join_condition_token1] = ACTIONS(1458),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1458),
    [aux_sym_truncate_statement_token1] = ACTIONS(1458),
    [aux_sym_update_statement_token1] = ACTIONS(1458),
    [aux_sym_merge_statement_token1] = ACTIONS(1458),
    [aux_sym_grant_statement_token1] = ACTIONS(1458),
    [aux_sym_revoke_statement_token1] = ACTIONS(1458),
    [aux_sym_export_data_statement_token1] = ACTIONS(1458),
    [aux_sym_load_data_statement_token1] = ACTIONS(1458),
    [anon_sym_LBRACK] = ACTIONS(1458),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_STAR] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(1460),
    [anon_sym_PIPE_PIPE] = ACTIONS(1458),
    [anon_sym_LT_EQ] = ACTIONS(1458),
    [anon_sym_LT_GT] = ACTIONS(1458),
    [anon_sym_GT_EQ] = ACTIONS(1458),
    [anon_sym_BANG_EQ] = ACTIONS(1458),
    [anon_sym_LT_LT] = ACTIONS(1458),
    [anon_sym_GT_GT] = ACTIONS(1458),
    [anon_sym_AMP] = ACTIONS(1458),
    [anon_sym_CARET] = ACTIONS(1458),
    [anon_sym_PIPE] = ACTIONS(1460),
  },
  [319] = {
    [sym_analytics_clause] = STATE(568),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_window_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_using_clause_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1462),
    [aux_sym_set_operation_token3] = ACTIONS(1462),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_having_clause_token1] = ACTIONS(1462),
    [aux_sym_qualify_clause_token1] = ACTIONS(1462),
    [aux_sym_limit_clause_token1] = ACTIONS(1462),
    [aux_sym_group_by_clause_token1] = ACTIONS(1462),
    [aux_sym_order_by_clause_token1] = ACTIONS(1462),
    [aux_sym_where_clause_token1] = ACTIONS(1462),
    [aux_sym_pivot_operator_token1] = ACTIONS(1462),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1462),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1462),
    [aux_sym_join_type_token1] = ACTIONS(1462),
    [aux_sym_join_type_token2] = ACTIONS(1462),
    [aux_sym_join_type_token3] = ACTIONS(1462),
    [aux_sym_join_type_token4] = ACTIONS(1462),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1462),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1462),
    [aux_sym_join_condition_token1] = ACTIONS(1462),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [320] = {
    [sym_analytics_clause] = STATE(604),
    [ts_builtin_sym_end] = ACTIONS(1466),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1466),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1466),
    [aux_sym_keyword_replace_token1] = ACTIONS(1468),
    [aux_sym__keyword_alter_token1] = ACTIONS(1466),
    [aux_sym__keyword_delete_token1] = ACTIONS(1466),
    [aux_sym__keyword_begin_token1] = ACTIONS(1466),
    [aux_sym__keyword_end_token1] = ACTIONS(1466),
    [aux_sym__keyword_between_token1] = ACTIONS(1466),
    [aux_sym__keyword_when_token1] = ACTIONS(1466),
    [aux_sym__keyword_else_token1] = ACTIONS(1468),
    [aux_sym__keyword_is_token1] = ACTIONS(1466),
    [aux_sym__keyword_in_token1] = ACTIONS(1468),
    [aux_sym__keyword_and_token1] = ACTIONS(1466),
    [aux_sym__keyword_like_token1] = ACTIONS(1466),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1466),
    [aux_sym__keyword_window_token1] = ACTIONS(1466),
    [aux_sym__keyword_for_token1] = ACTIONS(1466),
    [anon_sym_SEMI] = ACTIONS(1466),
    [aux_sym_declare_statement_token1] = ACTIONS(1466),
    [anon_sym_COMMA] = ACTIONS(1466),
    [aux_sym_set_statement_token1] = ACTIONS(1466),
    [anon_sym_LPAREN] = ACTIONS(1466),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1466),
    [aux_sym_using_clause_token1] = ACTIONS(1466),
    [aux_sym_return_satement_token1] = ACTIONS(1466),
    [aux_sym_call_statement_token1] = ACTIONS(1466),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1466),
    [aux_sym_if_statement_token1] = ACTIONS(1466),
    [aux_sym_loop_statement_token1] = ACTIONS(1466),
    [aux_sym_repeat_statement_token1] = ACTIONS(1466),
    [aux_sym_while_statement_token1] = ACTIONS(1466),
    [aux_sym_break_statement_token1] = ACTIONS(1466),
    [aux_sym_leave_statement_token1] = ACTIONS(1466),
    [aux_sym_continue_statement_token1] = ACTIONS(1466),
    [aux_sym_iterate_statement_token1] = ACTIONS(1466),
    [aux_sym_raise_statement_token1] = ACTIONS(1466),
    [anon_sym_EQ] = ACTIONS(1466),
    [aux_sym_assert_statement_token1] = ACTIONS(1466),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1466),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1466),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1466),
    [anon_sym_LT] = ACTIONS(1468),
    [anon_sym_GT] = ACTIONS(1468),
    [aux_sym_set_operation_token1] = ACTIONS(1466),
    [aux_sym_set_operation_token3] = ACTIONS(1466),
    [aux_sym_set_operation_token4] = ACTIONS(1468),
    [aux_sym_select_token1] = ACTIONS(1466),
    [aux_sym_having_clause_token1] = ACTIONS(1466),
    [aux_sym_qualify_clause_token1] = ACTIONS(1466),
    [aux_sym_limit_clause_token1] = ACTIONS(1466),
    [aux_sym_group_by_clause_token1] = ACTIONS(1466),
    [aux_sym_order_by_clause_token1] = ACTIONS(1466),
    [aux_sym_where_clause_token1] = ACTIONS(1466),
    [aux_sym_pivot_operator_token1] = ACTIONS(1466),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1466),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1466),
    [aux_sym_join_type_token1] = ACTIONS(1466),
    [aux_sym_join_type_token2] = ACTIONS(1466),
    [aux_sym_join_type_token3] = ACTIONS(1466),
    [aux_sym_join_type_token4] = ACTIONS(1466),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1466),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1466),
    [aux_sym_join_condition_token1] = ACTIONS(1466),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1466),
    [aux_sym_truncate_statement_token1] = ACTIONS(1466),
    [aux_sym_update_statement_token1] = ACTIONS(1466),
    [aux_sym_merge_statement_token1] = ACTIONS(1466),
    [aux_sym_grant_statement_token1] = ACTIONS(1466),
    [aux_sym_revoke_statement_token1] = ACTIONS(1466),
    [aux_sym_export_data_statement_token1] = ACTIONS(1466),
    [aux_sym_load_data_statement_token1] = ACTIONS(1466),
    [anon_sym_LBRACK] = ACTIONS(1466),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_STAR] = ACTIONS(1466),
    [anon_sym_SLASH] = ACTIONS(1468),
    [anon_sym_PIPE_PIPE] = ACTIONS(1466),
    [anon_sym_LT_EQ] = ACTIONS(1466),
    [anon_sym_LT_GT] = ACTIONS(1466),
    [anon_sym_GT_EQ] = ACTIONS(1466),
    [anon_sym_BANG_EQ] = ACTIONS(1466),
    [anon_sym_LT_LT] = ACTIONS(1466),
    [anon_sym_GT_GT] = ACTIONS(1466),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_CARET] = ACTIONS(1466),
    [anon_sym_PIPE] = ACTIONS(1468),
  },
  [321] = {
    [sym_analytics_clause] = STATE(605),
    [ts_builtin_sym_end] = ACTIONS(1470),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1470),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1470),
    [aux_sym_keyword_replace_token1] = ACTIONS(1472),
    [aux_sym__keyword_alter_token1] = ACTIONS(1470),
    [aux_sym__keyword_delete_token1] = ACTIONS(1470),
    [aux_sym__keyword_begin_token1] = ACTIONS(1470),
    [aux_sym__keyword_end_token1] = ACTIONS(1470),
    [aux_sym__keyword_between_token1] = ACTIONS(1470),
    [aux_sym__keyword_when_token1] = ACTIONS(1470),
    [aux_sym__keyword_else_token1] = ACTIONS(1472),
    [aux_sym__keyword_is_token1] = ACTIONS(1470),
    [aux_sym__keyword_in_token1] = ACTIONS(1472),
    [aux_sym__keyword_and_token1] = ACTIONS(1470),
    [aux_sym__keyword_like_token1] = ACTIONS(1470),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1470),
    [aux_sym__keyword_window_token1] = ACTIONS(1470),
    [aux_sym__keyword_for_token1] = ACTIONS(1470),
    [anon_sym_SEMI] = ACTIONS(1470),
    [aux_sym_declare_statement_token1] = ACTIONS(1470),
    [anon_sym_COMMA] = ACTIONS(1470),
    [aux_sym_set_statement_token1] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1470),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1470),
    [aux_sym_using_clause_token1] = ACTIONS(1470),
    [aux_sym_return_satement_token1] = ACTIONS(1470),
    [aux_sym_call_statement_token1] = ACTIONS(1470),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1470),
    [aux_sym_if_statement_token1] = ACTIONS(1470),
    [aux_sym_loop_statement_token1] = ACTIONS(1470),
    [aux_sym_repeat_statement_token1] = ACTIONS(1470),
    [aux_sym_while_statement_token1] = ACTIONS(1470),
    [aux_sym_break_statement_token1] = ACTIONS(1470),
    [aux_sym_leave_statement_token1] = ACTIONS(1470),
    [aux_sym_continue_statement_token1] = ACTIONS(1470),
    [aux_sym_iterate_statement_token1] = ACTIONS(1470),
    [aux_sym_raise_statement_token1] = ACTIONS(1470),
    [anon_sym_EQ] = ACTIONS(1470),
    [aux_sym_assert_statement_token1] = ACTIONS(1470),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1470),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1470),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1470),
    [anon_sym_LT] = ACTIONS(1472),
    [anon_sym_GT] = ACTIONS(1472),
    [aux_sym_set_operation_token1] = ACTIONS(1470),
    [aux_sym_set_operation_token3] = ACTIONS(1470),
    [aux_sym_set_operation_token4] = ACTIONS(1472),
    [aux_sym_select_token1] = ACTIONS(1470),
    [aux_sym_having_clause_token1] = ACTIONS(1470),
    [aux_sym_qualify_clause_token1] = ACTIONS(1470),
    [aux_sym_limit_clause_token1] = ACTIONS(1470),
    [aux_sym_group_by_clause_token1] = ACTIONS(1470),
    [aux_sym_order_by_clause_token1] = ACTIONS(1470),
    [aux_sym_where_clause_token1] = ACTIONS(1470),
    [aux_sym_pivot_operator_token1] = ACTIONS(1470),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1470),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1470),
    [aux_sym_join_type_token1] = ACTIONS(1470),
    [aux_sym_join_type_token2] = ACTIONS(1470),
    [aux_sym_join_type_token3] = ACTIONS(1470),
    [aux_sym_join_type_token4] = ACTIONS(1470),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1470),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1470),
    [aux_sym_join_condition_token1] = ACTIONS(1470),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1470),
    [aux_sym_truncate_statement_token1] = ACTIONS(1470),
    [aux_sym_update_statement_token1] = ACTIONS(1470),
    [aux_sym_merge_statement_token1] = ACTIONS(1470),
    [aux_sym_grant_statement_token1] = ACTIONS(1470),
    [aux_sym_revoke_statement_token1] = ACTIONS(1470),
    [aux_sym_export_data_statement_token1] = ACTIONS(1470),
    [aux_sym_load_data_statement_token1] = ACTIONS(1470),
    [anon_sym_LBRACK] = ACTIONS(1470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1470),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_STAR] = ACTIONS(1470),
    [anon_sym_SLASH] = ACTIONS(1472),
    [anon_sym_PIPE_PIPE] = ACTIONS(1470),
    [anon_sym_LT_EQ] = ACTIONS(1470),
    [anon_sym_LT_GT] = ACTIONS(1470),
    [anon_sym_GT_EQ] = ACTIONS(1470),
    [anon_sym_BANG_EQ] = ACTIONS(1470),
    [anon_sym_LT_LT] = ACTIONS(1470),
    [anon_sym_GT_GT] = ACTIONS(1470),
    [anon_sym_AMP] = ACTIONS(1470),
    [anon_sym_CARET] = ACTIONS(1470),
    [anon_sym_PIPE] = ACTIONS(1472),
  },
  [322] = {
    [sym__keyword_as] = STATE(14982),
    [ts_builtin_sym_end] = ACTIONS(1474),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1474),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1474),
    [aux_sym_keyword_replace_token1] = ACTIONS(1476),
    [aux_sym__keyword_alter_token1] = ACTIONS(1474),
    [aux_sym__keyword_delete_token1] = ACTIONS(1474),
    [aux_sym__keyword_begin_token1] = ACTIONS(1474),
    [aux_sym__keyword_end_token1] = ACTIONS(1474),
    [aux_sym__keyword_between_token1] = ACTIONS(1474),
    [aux_sym__keyword_when_token1] = ACTIONS(1474),
    [aux_sym__keyword_else_token1] = ACTIONS(1476),
    [aux_sym__keyword_is_token1] = ACTIONS(1474),
    [aux_sym__keyword_in_token1] = ACTIONS(1476),
    [aux_sym__keyword_and_token1] = ACTIONS(1474),
    [aux_sym__keyword_like_token1] = ACTIONS(1474),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1474),
    [aux_sym__keyword_as_token1] = ACTIONS(1478),
    [aux_sym__keyword_window_token1] = ACTIONS(1474),
    [aux_sym__keyword_for_token1] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1474),
    [aux_sym_declare_statement_token1] = ACTIONS(1474),
    [anon_sym_COMMA] = ACTIONS(1474),
    [aux_sym_set_statement_token1] = ACTIONS(1474),
    [anon_sym_LPAREN] = ACTIONS(1474),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1474),
    [aux_sym_using_clause_token1] = ACTIONS(1474),
    [aux_sym_return_satement_token1] = ACTIONS(1474),
    [aux_sym_call_statement_token1] = ACTIONS(1474),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1474),
    [aux_sym_if_statement_token1] = ACTIONS(1474),
    [aux_sym_loop_statement_token1] = ACTIONS(1474),
    [aux_sym_repeat_statement_token1] = ACTIONS(1474),
    [aux_sym_while_statement_token1] = ACTIONS(1474),
    [aux_sym_break_statement_token1] = ACTIONS(1474),
    [aux_sym_leave_statement_token1] = ACTIONS(1474),
    [aux_sym_continue_statement_token1] = ACTIONS(1474),
    [aux_sym_iterate_statement_token1] = ACTIONS(1474),
    [aux_sym_raise_statement_token1] = ACTIONS(1474),
    [anon_sym_EQ] = ACTIONS(1474),
    [aux_sym_assert_statement_token1] = ACTIONS(1474),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1474),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1474),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1474),
    [anon_sym_LT] = ACTIONS(1476),
    [anon_sym_GT] = ACTIONS(1476),
    [aux_sym_set_operation_token1] = ACTIONS(1474),
    [aux_sym_set_operation_token3] = ACTIONS(1474),
    [aux_sym_set_operation_token4] = ACTIONS(1476),
    [aux_sym_select_token1] = ACTIONS(1474),
    [aux_sym_having_clause_token1] = ACTIONS(1474),
    [aux_sym_qualify_clause_token1] = ACTIONS(1474),
    [aux_sym_limit_clause_token1] = ACTIONS(1474),
    [aux_sym_group_by_clause_token1] = ACTIONS(1474),
    [aux_sym_order_by_clause_token1] = ACTIONS(1474),
    [aux_sym_where_clause_token1] = ACTIONS(1474),
    [aux_sym_pivot_operator_token1] = ACTIONS(1474),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1474),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1474),
    [aux_sym_join_type_token1] = ACTIONS(1474),
    [aux_sym_join_type_token2] = ACTIONS(1474),
    [aux_sym_join_type_token3] = ACTIONS(1474),
    [aux_sym_join_type_token4] = ACTIONS(1474),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1474),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1474),
    [aux_sym_join_condition_token1] = ACTIONS(1474),
    [aux_sym_insert_statement_token1] = ACTIONS(1474),
    [aux_sym_truncate_statement_token1] = ACTIONS(1474),
    [aux_sym_update_statement_token1] = ACTIONS(1474),
    [aux_sym_merge_statement_token1] = ACTIONS(1474),
    [aux_sym_grant_statement_token1] = ACTIONS(1474),
    [aux_sym_revoke_statement_token1] = ACTIONS(1474),
    [aux_sym_export_data_statement_token1] = ACTIONS(1474),
    [aux_sym_load_data_statement_token1] = ACTIONS(1474),
    [anon_sym_LBRACK] = ACTIONS(1474),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1474),
    [anon_sym_PLUS] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1476),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_SLASH] = ACTIONS(1476),
    [anon_sym_PIPE_PIPE] = ACTIONS(1474),
    [anon_sym_LT_EQ] = ACTIONS(1474),
    [anon_sym_LT_GT] = ACTIONS(1474),
    [anon_sym_GT_EQ] = ACTIONS(1474),
    [anon_sym_BANG_EQ] = ACTIONS(1474),
    [anon_sym_LT_LT] = ACTIONS(1474),
    [anon_sym_GT_GT] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_CARET] = ACTIONS(1474),
    [anon_sym_PIPE] = ACTIONS(1476),
  },
  [323] = {
    [sym_analytics_clause] = STATE(542),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_where_clause_token1] = ACTIONS(1354),
    [aux_sym_pivot_operator_token1] = ACTIONS(1354),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1354),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1354),
    [aux_sym_join_type_token1] = ACTIONS(1354),
    [aux_sym_join_type_token2] = ACTIONS(1354),
    [aux_sym_join_type_token3] = ACTIONS(1354),
    [aux_sym_join_type_token4] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1354),
    [aux_sym_join_condition_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [324] = {
    [sym_analytics_clause] = STATE(608),
    [ts_builtin_sym_end] = ACTIONS(1480),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1480),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1480),
    [aux_sym_keyword_replace_token1] = ACTIONS(1482),
    [aux_sym__keyword_alter_token1] = ACTIONS(1480),
    [aux_sym__keyword_delete_token1] = ACTIONS(1480),
    [aux_sym__keyword_begin_token1] = ACTIONS(1480),
    [aux_sym__keyword_end_token1] = ACTIONS(1480),
    [aux_sym__keyword_between_token1] = ACTIONS(1480),
    [aux_sym__keyword_when_token1] = ACTIONS(1480),
    [aux_sym__keyword_else_token1] = ACTIONS(1482),
    [aux_sym__keyword_is_token1] = ACTIONS(1480),
    [aux_sym__keyword_in_token1] = ACTIONS(1482),
    [aux_sym__keyword_and_token1] = ACTIONS(1480),
    [aux_sym__keyword_like_token1] = ACTIONS(1480),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1480),
    [aux_sym__keyword_window_token1] = ACTIONS(1480),
    [aux_sym__keyword_for_token1] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1480),
    [aux_sym_declare_statement_token1] = ACTIONS(1480),
    [anon_sym_COMMA] = ACTIONS(1480),
    [aux_sym_set_statement_token1] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(1480),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1480),
    [aux_sym_using_clause_token1] = ACTIONS(1480),
    [aux_sym_return_satement_token1] = ACTIONS(1480),
    [aux_sym_call_statement_token1] = ACTIONS(1480),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1480),
    [aux_sym_if_statement_token1] = ACTIONS(1480),
    [aux_sym_loop_statement_token1] = ACTIONS(1480),
    [aux_sym_repeat_statement_token1] = ACTIONS(1480),
    [aux_sym_while_statement_token1] = ACTIONS(1480),
    [aux_sym_break_statement_token1] = ACTIONS(1480),
    [aux_sym_leave_statement_token1] = ACTIONS(1480),
    [aux_sym_continue_statement_token1] = ACTIONS(1480),
    [aux_sym_iterate_statement_token1] = ACTIONS(1480),
    [aux_sym_raise_statement_token1] = ACTIONS(1480),
    [anon_sym_EQ] = ACTIONS(1480),
    [aux_sym_assert_statement_token1] = ACTIONS(1480),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1480),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1480),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1480),
    [anon_sym_LT] = ACTIONS(1482),
    [anon_sym_GT] = ACTIONS(1482),
    [aux_sym_set_operation_token1] = ACTIONS(1480),
    [aux_sym_set_operation_token3] = ACTIONS(1480),
    [aux_sym_set_operation_token4] = ACTIONS(1482),
    [aux_sym_select_token1] = ACTIONS(1480),
    [aux_sym_having_clause_token1] = ACTIONS(1480),
    [aux_sym_qualify_clause_token1] = ACTIONS(1480),
    [aux_sym_limit_clause_token1] = ACTIONS(1480),
    [aux_sym_group_by_clause_token1] = ACTIONS(1480),
    [aux_sym_order_by_clause_token1] = ACTIONS(1480),
    [aux_sym_where_clause_token1] = ACTIONS(1480),
    [aux_sym_pivot_operator_token1] = ACTIONS(1480),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1480),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1480),
    [aux_sym_join_type_token1] = ACTIONS(1480),
    [aux_sym_join_type_token2] = ACTIONS(1480),
    [aux_sym_join_type_token3] = ACTIONS(1480),
    [aux_sym_join_type_token4] = ACTIONS(1480),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1480),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1480),
    [aux_sym_join_condition_token1] = ACTIONS(1480),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1480),
    [aux_sym_truncate_statement_token1] = ACTIONS(1480),
    [aux_sym_update_statement_token1] = ACTIONS(1480),
    [aux_sym_merge_statement_token1] = ACTIONS(1480),
    [aux_sym_grant_statement_token1] = ACTIONS(1480),
    [aux_sym_revoke_statement_token1] = ACTIONS(1480),
    [aux_sym_export_data_statement_token1] = ACTIONS(1480),
    [aux_sym_load_data_statement_token1] = ACTIONS(1480),
    [anon_sym_LBRACK] = ACTIONS(1480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_DASH] = ACTIONS(1482),
    [anon_sym_STAR] = ACTIONS(1480),
    [anon_sym_SLASH] = ACTIONS(1482),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [anon_sym_LT_EQ] = ACTIONS(1480),
    [anon_sym_LT_GT] = ACTIONS(1480),
    [anon_sym_GT_EQ] = ACTIONS(1480),
    [anon_sym_BANG_EQ] = ACTIONS(1480),
    [anon_sym_LT_LT] = ACTIONS(1480),
    [anon_sym_GT_GT] = ACTIONS(1480),
    [anon_sym_AMP] = ACTIONS(1480),
    [anon_sym_CARET] = ACTIONS(1480),
    [anon_sym_PIPE] = ACTIONS(1482),
  },
  [325] = {
    [sym_analytics_clause] = STATE(449),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_where_clause_token1] = ACTIONS(1364),
    [aux_sym_pivot_operator_token1] = ACTIONS(1364),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1364),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1364),
    [aux_sym_join_type_token1] = ACTIONS(1364),
    [aux_sym_join_type_token2] = ACTIONS(1364),
    [aux_sym_join_type_token3] = ACTIONS(1364),
    [aux_sym_join_type_token4] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1364),
    [aux_sym_join_condition_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [326] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_when] = STATE(1531),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8062),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_casewhen_clause] = STATE(12114),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [aux_sym_casewhen_expression_repeat1] = STATE(12114),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_when_token1] = ACTIONS(1368),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [327] = {
    [sym_analytics_clause] = STATE(537),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_where_clause_token1] = ACTIONS(1354),
    [aux_sym_pivot_operator_token1] = ACTIONS(1354),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1354),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1354),
    [aux_sym_join_type_token1] = ACTIONS(1354),
    [aux_sym_join_type_token2] = ACTIONS(1354),
    [aux_sym_join_type_token3] = ACTIONS(1354),
    [aux_sym_join_type_token4] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1354),
    [aux_sym_join_condition_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [328] = {
    [sym_analytics_clause] = STATE(534),
    [ts_builtin_sym_end] = ACTIONS(1484),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1484),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1484),
    [aux_sym_keyword_replace_token1] = ACTIONS(1486),
    [aux_sym__keyword_alter_token1] = ACTIONS(1484),
    [aux_sym__keyword_delete_token1] = ACTIONS(1484),
    [aux_sym__keyword_begin_token1] = ACTIONS(1484),
    [aux_sym__keyword_end_token1] = ACTIONS(1484),
    [aux_sym__keyword_between_token1] = ACTIONS(1484),
    [aux_sym__keyword_when_token1] = ACTIONS(1484),
    [aux_sym__keyword_else_token1] = ACTIONS(1486),
    [aux_sym__keyword_is_token1] = ACTIONS(1484),
    [aux_sym__keyword_in_token1] = ACTIONS(1486),
    [aux_sym__keyword_and_token1] = ACTIONS(1484),
    [aux_sym__keyword_like_token1] = ACTIONS(1484),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1484),
    [aux_sym__keyword_window_token1] = ACTIONS(1484),
    [aux_sym__keyword_for_token1] = ACTIONS(1484),
    [anon_sym_SEMI] = ACTIONS(1484),
    [aux_sym_declare_statement_token1] = ACTIONS(1484),
    [anon_sym_COMMA] = ACTIONS(1484),
    [aux_sym_set_statement_token1] = ACTIONS(1484),
    [anon_sym_LPAREN] = ACTIONS(1484),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1484),
    [aux_sym_using_clause_token1] = ACTIONS(1484),
    [aux_sym_return_satement_token1] = ACTIONS(1484),
    [aux_sym_call_statement_token1] = ACTIONS(1484),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1484),
    [aux_sym_if_statement_token1] = ACTIONS(1484),
    [aux_sym_loop_statement_token1] = ACTIONS(1484),
    [aux_sym_repeat_statement_token1] = ACTIONS(1484),
    [aux_sym_while_statement_token1] = ACTIONS(1484),
    [aux_sym_break_statement_token1] = ACTIONS(1484),
    [aux_sym_leave_statement_token1] = ACTIONS(1484),
    [aux_sym_continue_statement_token1] = ACTIONS(1484),
    [aux_sym_iterate_statement_token1] = ACTIONS(1484),
    [aux_sym_raise_statement_token1] = ACTIONS(1484),
    [anon_sym_EQ] = ACTIONS(1484),
    [aux_sym_assert_statement_token1] = ACTIONS(1484),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1484),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1484),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1484),
    [anon_sym_LT] = ACTIONS(1486),
    [anon_sym_GT] = ACTIONS(1486),
    [aux_sym_set_operation_token1] = ACTIONS(1484),
    [aux_sym_set_operation_token3] = ACTIONS(1484),
    [aux_sym_set_operation_token4] = ACTIONS(1486),
    [aux_sym_select_token1] = ACTIONS(1484),
    [aux_sym_having_clause_token1] = ACTIONS(1484),
    [aux_sym_qualify_clause_token1] = ACTIONS(1484),
    [aux_sym_limit_clause_token1] = ACTIONS(1484),
    [aux_sym_group_by_clause_token1] = ACTIONS(1484),
    [aux_sym_order_by_clause_token1] = ACTIONS(1484),
    [aux_sym_where_clause_token1] = ACTIONS(1484),
    [aux_sym_pivot_operator_token1] = ACTIONS(1484),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1484),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1484),
    [aux_sym_join_type_token1] = ACTIONS(1484),
    [aux_sym_join_type_token2] = ACTIONS(1484),
    [aux_sym_join_type_token3] = ACTIONS(1484),
    [aux_sym_join_type_token4] = ACTIONS(1484),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1484),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1484),
    [aux_sym_join_condition_token1] = ACTIONS(1484),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1484),
    [aux_sym_truncate_statement_token1] = ACTIONS(1484),
    [aux_sym_update_statement_token1] = ACTIONS(1484),
    [aux_sym_merge_statement_token1] = ACTIONS(1484),
    [aux_sym_grant_statement_token1] = ACTIONS(1484),
    [aux_sym_revoke_statement_token1] = ACTIONS(1484),
    [aux_sym_export_data_statement_token1] = ACTIONS(1484),
    [aux_sym_load_data_statement_token1] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_SLASH] = ACTIONS(1486),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [anon_sym_LT_EQ] = ACTIONS(1484),
    [anon_sym_LT_GT] = ACTIONS(1484),
    [anon_sym_GT_EQ] = ACTIONS(1484),
    [anon_sym_BANG_EQ] = ACTIONS(1484),
    [anon_sym_LT_LT] = ACTIONS(1484),
    [anon_sym_GT_GT] = ACTIONS(1484),
    [anon_sym_AMP] = ACTIONS(1484),
    [anon_sym_CARET] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1486),
  },
  [329] = {
    [sym_analytics_clause] = STATE(432),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_window_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_using_clause_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1360),
    [aux_sym_set_operation_token3] = ACTIONS(1360),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_having_clause_token1] = ACTIONS(1360),
    [aux_sym_qualify_clause_token1] = ACTIONS(1360),
    [aux_sym_limit_clause_token1] = ACTIONS(1360),
    [aux_sym_group_by_clause_token1] = ACTIONS(1360),
    [aux_sym_order_by_clause_token1] = ACTIONS(1360),
    [aux_sym_where_clause_token1] = ACTIONS(1360),
    [aux_sym_pivot_operator_token1] = ACTIONS(1360),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1360),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1360),
    [aux_sym_join_type_token1] = ACTIONS(1360),
    [aux_sym_join_type_token2] = ACTIONS(1360),
    [aux_sym_join_type_token3] = ACTIONS(1360),
    [aux_sym_join_type_token4] = ACTIONS(1360),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1360),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1360),
    [aux_sym_join_condition_token1] = ACTIONS(1360),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [330] = {
    [sym_analytics_clause] = STATE(453),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_where_clause_token1] = ACTIONS(1364),
    [aux_sym_pivot_operator_token1] = ACTIONS(1364),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1364),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1364),
    [aux_sym_join_type_token1] = ACTIONS(1364),
    [aux_sym_join_type_token2] = ACTIONS(1364),
    [aux_sym_join_type_token3] = ACTIONS(1364),
    [aux_sym_join_type_token4] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1364),
    [aux_sym_join_condition_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [331] = {
    [sym_analytics_clause] = STATE(623),
    [ts_builtin_sym_end] = ACTIONS(1488),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1488),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1488),
    [aux_sym_keyword_replace_token1] = ACTIONS(1490),
    [aux_sym__keyword_alter_token1] = ACTIONS(1488),
    [aux_sym__keyword_delete_token1] = ACTIONS(1488),
    [aux_sym__keyword_begin_token1] = ACTIONS(1488),
    [aux_sym__keyword_end_token1] = ACTIONS(1488),
    [aux_sym__keyword_between_token1] = ACTIONS(1488),
    [aux_sym__keyword_when_token1] = ACTIONS(1488),
    [aux_sym__keyword_else_token1] = ACTIONS(1490),
    [aux_sym__keyword_is_token1] = ACTIONS(1488),
    [aux_sym__keyword_in_token1] = ACTIONS(1490),
    [aux_sym__keyword_and_token1] = ACTIONS(1488),
    [aux_sym__keyword_like_token1] = ACTIONS(1488),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1488),
    [aux_sym__keyword_window_token1] = ACTIONS(1488),
    [aux_sym__keyword_for_token1] = ACTIONS(1488),
    [anon_sym_SEMI] = ACTIONS(1488),
    [aux_sym_declare_statement_token1] = ACTIONS(1488),
    [anon_sym_COMMA] = ACTIONS(1488),
    [aux_sym_set_statement_token1] = ACTIONS(1488),
    [anon_sym_LPAREN] = ACTIONS(1488),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1488),
    [aux_sym_using_clause_token1] = ACTIONS(1488),
    [aux_sym_return_satement_token1] = ACTIONS(1488),
    [aux_sym_call_statement_token1] = ACTIONS(1488),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1488),
    [aux_sym_if_statement_token1] = ACTIONS(1488),
    [aux_sym_loop_statement_token1] = ACTIONS(1488),
    [aux_sym_repeat_statement_token1] = ACTIONS(1488),
    [aux_sym_while_statement_token1] = ACTIONS(1488),
    [aux_sym_break_statement_token1] = ACTIONS(1488),
    [aux_sym_leave_statement_token1] = ACTIONS(1488),
    [aux_sym_continue_statement_token1] = ACTIONS(1488),
    [aux_sym_iterate_statement_token1] = ACTIONS(1488),
    [aux_sym_raise_statement_token1] = ACTIONS(1488),
    [anon_sym_EQ] = ACTIONS(1488),
    [aux_sym_assert_statement_token1] = ACTIONS(1488),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1488),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1488),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1488),
    [anon_sym_LT] = ACTIONS(1490),
    [anon_sym_GT] = ACTIONS(1490),
    [aux_sym_set_operation_token1] = ACTIONS(1488),
    [aux_sym_set_operation_token3] = ACTIONS(1488),
    [aux_sym_set_operation_token4] = ACTIONS(1490),
    [aux_sym_select_token1] = ACTIONS(1488),
    [aux_sym_having_clause_token1] = ACTIONS(1488),
    [aux_sym_qualify_clause_token1] = ACTIONS(1488),
    [aux_sym_limit_clause_token1] = ACTIONS(1488),
    [aux_sym_group_by_clause_token1] = ACTIONS(1488),
    [aux_sym_order_by_clause_token1] = ACTIONS(1488),
    [aux_sym_where_clause_token1] = ACTIONS(1488),
    [aux_sym_pivot_operator_token1] = ACTIONS(1488),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1488),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1488),
    [aux_sym_join_type_token1] = ACTIONS(1488),
    [aux_sym_join_type_token2] = ACTIONS(1488),
    [aux_sym_join_type_token3] = ACTIONS(1488),
    [aux_sym_join_type_token4] = ACTIONS(1488),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1488),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1488),
    [aux_sym_join_condition_token1] = ACTIONS(1488),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1488),
    [aux_sym_truncate_statement_token1] = ACTIONS(1488),
    [aux_sym_update_statement_token1] = ACTIONS(1488),
    [aux_sym_merge_statement_token1] = ACTIONS(1488),
    [aux_sym_grant_statement_token1] = ACTIONS(1488),
    [aux_sym_revoke_statement_token1] = ACTIONS(1488),
    [aux_sym_export_data_statement_token1] = ACTIONS(1488),
    [aux_sym_load_data_statement_token1] = ACTIONS(1488),
    [anon_sym_LBRACK] = ACTIONS(1488),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1488),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_STAR] = ACTIONS(1488),
    [anon_sym_SLASH] = ACTIONS(1490),
    [anon_sym_PIPE_PIPE] = ACTIONS(1488),
    [anon_sym_LT_EQ] = ACTIONS(1488),
    [anon_sym_LT_GT] = ACTIONS(1488),
    [anon_sym_GT_EQ] = ACTIONS(1488),
    [anon_sym_BANG_EQ] = ACTIONS(1488),
    [anon_sym_LT_LT] = ACTIONS(1488),
    [anon_sym_GT_GT] = ACTIONS(1488),
    [anon_sym_AMP] = ACTIONS(1488),
    [anon_sym_CARET] = ACTIONS(1488),
    [anon_sym_PIPE] = ACTIONS(1490),
  },
  [332] = {
    [sym_analytics_clause] = STATE(454),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_where_clause_token1] = ACTIONS(1364),
    [aux_sym_pivot_operator_token1] = ACTIONS(1364),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1364),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1364),
    [aux_sym_join_type_token1] = ACTIONS(1364),
    [aux_sym_join_type_token2] = ACTIONS(1364),
    [aux_sym_join_type_token3] = ACTIONS(1364),
    [aux_sym_join_type_token4] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1364),
    [aux_sym_join_condition_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [333] = {
    [sym_analytics_clause] = STATE(587),
    [ts_builtin_sym_end] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1446),
    [aux_sym_keyword_replace_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1446),
    [aux_sym__keyword_delete_token1] = ACTIONS(1446),
    [aux_sym__keyword_begin_token1] = ACTIONS(1446),
    [aux_sym__keyword_end_token1] = ACTIONS(1446),
    [aux_sym__keyword_between_token1] = ACTIONS(1446),
    [aux_sym__keyword_when_token1] = ACTIONS(1446),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1446),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1446),
    [aux_sym__keyword_like_token1] = ACTIONS(1446),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1446),
    [aux_sym__keyword_window_token1] = ACTIONS(1446),
    [aux_sym__keyword_for_token1] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1446),
    [aux_sym_using_clause_token1] = ACTIONS(1446),
    [aux_sym_return_satement_token1] = ACTIONS(1446),
    [aux_sym_call_statement_token1] = ACTIONS(1446),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_loop_statement_token1] = ACTIONS(1446),
    [aux_sym_repeat_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [aux_sym_leave_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_iterate_statement_token1] = ACTIONS(1446),
    [aux_sym_raise_statement_token1] = ACTIONS(1446),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1446),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1446),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1446),
    [aux_sym_set_operation_token3] = ACTIONS(1446),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1446),
    [aux_sym_having_clause_token1] = ACTIONS(1446),
    [aux_sym_qualify_clause_token1] = ACTIONS(1446),
    [aux_sym_limit_clause_token1] = ACTIONS(1446),
    [aux_sym_group_by_clause_token1] = ACTIONS(1446),
    [aux_sym_order_by_clause_token1] = ACTIONS(1446),
    [aux_sym_where_clause_token1] = ACTIONS(1446),
    [aux_sym_pivot_operator_token1] = ACTIONS(1446),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1446),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1446),
    [aux_sym_join_type_token1] = ACTIONS(1446),
    [aux_sym_join_type_token2] = ACTIONS(1446),
    [aux_sym_join_type_token3] = ACTIONS(1446),
    [aux_sym_join_type_token4] = ACTIONS(1446),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1446),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1446),
    [aux_sym_join_condition_token1] = ACTIONS(1446),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1446),
    [aux_sym_truncate_statement_token1] = ACTIONS(1446),
    [aux_sym_update_statement_token1] = ACTIONS(1446),
    [aux_sym_merge_statement_token1] = ACTIONS(1446),
    [aux_sym_grant_statement_token1] = ACTIONS(1446),
    [aux_sym_revoke_statement_token1] = ACTIONS(1446),
    [aux_sym_export_data_statement_token1] = ACTIONS(1446),
    [aux_sym_load_data_statement_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [334] = {
    [sym_analytics_clause] = STATE(584),
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_window_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_using_clause_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1442),
    [aux_sym_set_operation_token3] = ACTIONS(1442),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_having_clause_token1] = ACTIONS(1442),
    [aux_sym_qualify_clause_token1] = ACTIONS(1442),
    [aux_sym_limit_clause_token1] = ACTIONS(1442),
    [aux_sym_group_by_clause_token1] = ACTIONS(1442),
    [aux_sym_order_by_clause_token1] = ACTIONS(1442),
    [aux_sym_where_clause_token1] = ACTIONS(1442),
    [aux_sym_pivot_operator_token1] = ACTIONS(1442),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1442),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1442),
    [aux_sym_join_type_token1] = ACTIONS(1442),
    [aux_sym_join_type_token2] = ACTIONS(1442),
    [aux_sym_join_type_token3] = ACTIONS(1442),
    [aux_sym_join_type_token4] = ACTIONS(1442),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1442),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1442),
    [aux_sym_join_condition_token1] = ACTIONS(1442),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [335] = {
    [sym_analytics_clause] = STATE(621),
    [ts_builtin_sym_end] = ACTIONS(1492),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1492),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1492),
    [aux_sym_keyword_replace_token1] = ACTIONS(1494),
    [aux_sym__keyword_alter_token1] = ACTIONS(1492),
    [aux_sym__keyword_delete_token1] = ACTIONS(1492),
    [aux_sym__keyword_begin_token1] = ACTIONS(1492),
    [aux_sym__keyword_end_token1] = ACTIONS(1492),
    [aux_sym__keyword_between_token1] = ACTIONS(1492),
    [aux_sym__keyword_when_token1] = ACTIONS(1492),
    [aux_sym__keyword_else_token1] = ACTIONS(1494),
    [aux_sym__keyword_is_token1] = ACTIONS(1492),
    [aux_sym__keyword_in_token1] = ACTIONS(1494),
    [aux_sym__keyword_and_token1] = ACTIONS(1492),
    [aux_sym__keyword_like_token1] = ACTIONS(1492),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1492),
    [aux_sym__keyword_window_token1] = ACTIONS(1492),
    [aux_sym__keyword_for_token1] = ACTIONS(1492),
    [anon_sym_SEMI] = ACTIONS(1492),
    [aux_sym_declare_statement_token1] = ACTIONS(1492),
    [anon_sym_COMMA] = ACTIONS(1492),
    [aux_sym_set_statement_token1] = ACTIONS(1492),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1492),
    [aux_sym_using_clause_token1] = ACTIONS(1492),
    [aux_sym_return_satement_token1] = ACTIONS(1492),
    [aux_sym_call_statement_token1] = ACTIONS(1492),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1492),
    [aux_sym_if_statement_token1] = ACTIONS(1492),
    [aux_sym_loop_statement_token1] = ACTIONS(1492),
    [aux_sym_repeat_statement_token1] = ACTIONS(1492),
    [aux_sym_while_statement_token1] = ACTIONS(1492),
    [aux_sym_break_statement_token1] = ACTIONS(1492),
    [aux_sym_leave_statement_token1] = ACTIONS(1492),
    [aux_sym_continue_statement_token1] = ACTIONS(1492),
    [aux_sym_iterate_statement_token1] = ACTIONS(1492),
    [aux_sym_raise_statement_token1] = ACTIONS(1492),
    [anon_sym_EQ] = ACTIONS(1492),
    [aux_sym_assert_statement_token1] = ACTIONS(1492),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1492),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1492),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1492),
    [anon_sym_LT] = ACTIONS(1494),
    [anon_sym_GT] = ACTIONS(1494),
    [aux_sym_set_operation_token1] = ACTIONS(1492),
    [aux_sym_set_operation_token3] = ACTIONS(1492),
    [aux_sym_set_operation_token4] = ACTIONS(1494),
    [aux_sym_select_token1] = ACTIONS(1492),
    [aux_sym_having_clause_token1] = ACTIONS(1492),
    [aux_sym_qualify_clause_token1] = ACTIONS(1492),
    [aux_sym_limit_clause_token1] = ACTIONS(1492),
    [aux_sym_group_by_clause_token1] = ACTIONS(1492),
    [aux_sym_order_by_clause_token1] = ACTIONS(1492),
    [aux_sym_where_clause_token1] = ACTIONS(1492),
    [aux_sym_pivot_operator_token1] = ACTIONS(1492),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1492),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1492),
    [aux_sym_join_type_token1] = ACTIONS(1492),
    [aux_sym_join_type_token2] = ACTIONS(1492),
    [aux_sym_join_type_token3] = ACTIONS(1492),
    [aux_sym_join_type_token4] = ACTIONS(1492),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1492),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1492),
    [aux_sym_join_condition_token1] = ACTIONS(1492),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1492),
    [aux_sym_truncate_statement_token1] = ACTIONS(1492),
    [aux_sym_update_statement_token1] = ACTIONS(1492),
    [aux_sym_merge_statement_token1] = ACTIONS(1492),
    [aux_sym_grant_statement_token1] = ACTIONS(1492),
    [aux_sym_revoke_statement_token1] = ACTIONS(1492),
    [aux_sym_export_data_statement_token1] = ACTIONS(1492),
    [aux_sym_load_data_statement_token1] = ACTIONS(1492),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_STAR] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1494),
    [anon_sym_PIPE_PIPE] = ACTIONS(1492),
    [anon_sym_LT_EQ] = ACTIONS(1492),
    [anon_sym_LT_GT] = ACTIONS(1492),
    [anon_sym_GT_EQ] = ACTIONS(1492),
    [anon_sym_BANG_EQ] = ACTIONS(1492),
    [anon_sym_LT_LT] = ACTIONS(1492),
    [anon_sym_GT_GT] = ACTIONS(1492),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_CARET] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1494),
  },
  [336] = {
    [sym_analytics_clause] = STATE(583),
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_window_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_using_clause_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1442),
    [aux_sym_set_operation_token3] = ACTIONS(1442),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_having_clause_token1] = ACTIONS(1442),
    [aux_sym_qualify_clause_token1] = ACTIONS(1442),
    [aux_sym_limit_clause_token1] = ACTIONS(1442),
    [aux_sym_group_by_clause_token1] = ACTIONS(1442),
    [aux_sym_order_by_clause_token1] = ACTIONS(1442),
    [aux_sym_where_clause_token1] = ACTIONS(1442),
    [aux_sym_pivot_operator_token1] = ACTIONS(1442),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1442),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1442),
    [aux_sym_join_type_token1] = ACTIONS(1442),
    [aux_sym_join_type_token2] = ACTIONS(1442),
    [aux_sym_join_type_token3] = ACTIONS(1442),
    [aux_sym_join_type_token4] = ACTIONS(1442),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1442),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1442),
    [aux_sym_join_condition_token1] = ACTIONS(1442),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [337] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_when] = STATE(1531),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8069),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_casewhen_clause] = STATE(12117),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [aux_sym_casewhen_expression_repeat1] = STATE(12117),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_when_token1] = ACTIONS(1368),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [338] = {
    [sym_analytics_clause] = STATE(456),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_where_clause_token1] = ACTIONS(1364),
    [aux_sym_pivot_operator_token1] = ACTIONS(1364),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1364),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1364),
    [aux_sym_join_type_token1] = ACTIONS(1364),
    [aux_sym_join_type_token2] = ACTIONS(1364),
    [aux_sym_join_type_token3] = ACTIONS(1364),
    [aux_sym_join_type_token4] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1364),
    [aux_sym_join_condition_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [339] = {
    [sym_analytics_clause] = STATE(578),
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_window_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_using_clause_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1442),
    [aux_sym_set_operation_token3] = ACTIONS(1442),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_having_clause_token1] = ACTIONS(1442),
    [aux_sym_qualify_clause_token1] = ACTIONS(1442),
    [aux_sym_limit_clause_token1] = ACTIONS(1442),
    [aux_sym_group_by_clause_token1] = ACTIONS(1442),
    [aux_sym_order_by_clause_token1] = ACTIONS(1442),
    [aux_sym_where_clause_token1] = ACTIONS(1442),
    [aux_sym_pivot_operator_token1] = ACTIONS(1442),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1442),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1442),
    [aux_sym_join_type_token1] = ACTIONS(1442),
    [aux_sym_join_type_token2] = ACTIONS(1442),
    [aux_sym_join_type_token3] = ACTIONS(1442),
    [aux_sym_join_type_token4] = ACTIONS(1442),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1442),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1442),
    [aux_sym_join_condition_token1] = ACTIONS(1442),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [340] = {
    [sym_analytics_clause] = STATE(457),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_where_clause_token1] = ACTIONS(1364),
    [aux_sym_pivot_operator_token1] = ACTIONS(1364),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1364),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1364),
    [aux_sym_join_type_token1] = ACTIONS(1364),
    [aux_sym_join_type_token2] = ACTIONS(1364),
    [aux_sym_join_type_token3] = ACTIONS(1364),
    [aux_sym_join_type_token4] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1364),
    [aux_sym_join_condition_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [341] = {
    [sym_analytics_clause] = STATE(523),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_window_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_using_clause_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_having_clause_token1] = ACTIONS(1378),
    [aux_sym_qualify_clause_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym_group_by_clause_token1] = ACTIONS(1378),
    [aux_sym_order_by_clause_token1] = ACTIONS(1378),
    [aux_sym_where_clause_token1] = ACTIONS(1378),
    [aux_sym_pivot_operator_token1] = ACTIONS(1378),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1378),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1378),
    [aux_sym_join_type_token1] = ACTIONS(1378),
    [aux_sym_join_type_token2] = ACTIONS(1378),
    [aux_sym_join_type_token3] = ACTIONS(1378),
    [aux_sym_join_type_token4] = ACTIONS(1378),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1378),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1378),
    [aux_sym_join_condition_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [342] = {
    [sym_analytics_clause] = STATE(474),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_where_clause_token1] = ACTIONS(1370),
    [aux_sym_pivot_operator_token1] = ACTIONS(1370),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1370),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1370),
    [aux_sym_join_type_token1] = ACTIONS(1370),
    [aux_sym_join_type_token2] = ACTIONS(1370),
    [aux_sym_join_type_token3] = ACTIONS(1370),
    [aux_sym_join_type_token4] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1370),
    [aux_sym_join_condition_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [343] = {
    [sym_analytics_clause] = STATE(577),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_window_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_using_clause_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1462),
    [aux_sym_set_operation_token3] = ACTIONS(1462),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_having_clause_token1] = ACTIONS(1462),
    [aux_sym_qualify_clause_token1] = ACTIONS(1462),
    [aux_sym_limit_clause_token1] = ACTIONS(1462),
    [aux_sym_group_by_clause_token1] = ACTIONS(1462),
    [aux_sym_order_by_clause_token1] = ACTIONS(1462),
    [aux_sym_where_clause_token1] = ACTIONS(1462),
    [aux_sym_pivot_operator_token1] = ACTIONS(1462),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1462),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1462),
    [aux_sym_join_type_token1] = ACTIONS(1462),
    [aux_sym_join_type_token2] = ACTIONS(1462),
    [aux_sym_join_type_token3] = ACTIONS(1462),
    [aux_sym_join_type_token4] = ACTIONS(1462),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1462),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1462),
    [aux_sym_join_condition_token1] = ACTIONS(1462),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [344] = {
    [sym_analytics_clause] = STATE(576),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_window_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_using_clause_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1462),
    [aux_sym_set_operation_token3] = ACTIONS(1462),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_having_clause_token1] = ACTIONS(1462),
    [aux_sym_qualify_clause_token1] = ACTIONS(1462),
    [aux_sym_limit_clause_token1] = ACTIONS(1462),
    [aux_sym_group_by_clause_token1] = ACTIONS(1462),
    [aux_sym_order_by_clause_token1] = ACTIONS(1462),
    [aux_sym_where_clause_token1] = ACTIONS(1462),
    [aux_sym_pivot_operator_token1] = ACTIONS(1462),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1462),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1462),
    [aux_sym_join_type_token1] = ACTIONS(1462),
    [aux_sym_join_type_token2] = ACTIONS(1462),
    [aux_sym_join_type_token3] = ACTIONS(1462),
    [aux_sym_join_type_token4] = ACTIONS(1462),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1462),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1462),
    [aux_sym_join_condition_token1] = ACTIONS(1462),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [345] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_when] = STATE(1531),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8120),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_casewhen_clause] = STATE(12098),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [aux_sym_casewhen_expression_repeat1] = STATE(12098),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_when_token1] = ACTIONS(1368),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [346] = {
    [sym_analytics_clause] = STATE(471),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_where_clause_token1] = ACTIONS(1370),
    [aux_sym_pivot_operator_token1] = ACTIONS(1370),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1370),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1370),
    [aux_sym_join_type_token1] = ACTIONS(1370),
    [aux_sym_join_type_token2] = ACTIONS(1370),
    [aux_sym_join_type_token3] = ACTIONS(1370),
    [aux_sym_join_type_token4] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1370),
    [aux_sym_join_condition_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [347] = {
    [sym_analytics_clause] = STATE(484),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_where_clause_token1] = ACTIONS(1364),
    [aux_sym_pivot_operator_token1] = ACTIONS(1364),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1364),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1364),
    [aux_sym_join_type_token1] = ACTIONS(1364),
    [aux_sym_join_type_token2] = ACTIONS(1364),
    [aux_sym_join_type_token3] = ACTIONS(1364),
    [aux_sym_join_type_token4] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1364),
    [aux_sym_join_condition_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [348] = {
    [sym_analytics_clause] = STATE(458),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_where_clause_token1] = ACTIONS(1364),
    [aux_sym_pivot_operator_token1] = ACTIONS(1364),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1364),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1364),
    [aux_sym_join_type_token1] = ACTIONS(1364),
    [aux_sym_join_type_token2] = ACTIONS(1364),
    [aux_sym_join_type_token3] = ACTIONS(1364),
    [aux_sym_join_type_token4] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1364),
    [aux_sym_join_condition_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [349] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_when] = STATE(1531),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8276),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_casewhen_clause] = STATE(12103),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [aux_sym_casewhen_expression_repeat1] = STATE(12103),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_when_token1] = ACTIONS(1368),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [350] = {
    [sym_analytics_clause] = STATE(615),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_window_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_using_clause_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1360),
    [aux_sym_set_operation_token3] = ACTIONS(1360),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_having_clause_token1] = ACTIONS(1360),
    [aux_sym_qualify_clause_token1] = ACTIONS(1360),
    [aux_sym_limit_clause_token1] = ACTIONS(1360),
    [aux_sym_group_by_clause_token1] = ACTIONS(1360),
    [aux_sym_order_by_clause_token1] = ACTIONS(1360),
    [aux_sym_where_clause_token1] = ACTIONS(1360),
    [aux_sym_pivot_operator_token1] = ACTIONS(1360),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1360),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1360),
    [aux_sym_join_type_token1] = ACTIONS(1360),
    [aux_sym_join_type_token2] = ACTIONS(1360),
    [aux_sym_join_type_token3] = ACTIONS(1360),
    [aux_sym_join_type_token4] = ACTIONS(1360),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1360),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1360),
    [aux_sym_join_condition_token1] = ACTIONS(1360),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [351] = {
    [sym_analytics_clause] = STATE(532),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_window_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_using_clause_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_having_clause_token1] = ACTIONS(1378),
    [aux_sym_qualify_clause_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym_group_by_clause_token1] = ACTIONS(1378),
    [aux_sym_order_by_clause_token1] = ACTIONS(1378),
    [aux_sym_where_clause_token1] = ACTIONS(1378),
    [aux_sym_pivot_operator_token1] = ACTIONS(1378),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1378),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1378),
    [aux_sym_join_type_token1] = ACTIONS(1378),
    [aux_sym_join_type_token2] = ACTIONS(1378),
    [aux_sym_join_type_token3] = ACTIONS(1378),
    [aux_sym_join_type_token4] = ACTIONS(1378),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1378),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1378),
    [aux_sym_join_condition_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [352] = {
    [sym_analytics_clause] = STATE(452),
    [ts_builtin_sym_end] = ACTIONS(1496),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1496),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1496),
    [aux_sym_keyword_replace_token1] = ACTIONS(1498),
    [aux_sym__keyword_alter_token1] = ACTIONS(1496),
    [aux_sym__keyword_delete_token1] = ACTIONS(1496),
    [aux_sym__keyword_begin_token1] = ACTIONS(1496),
    [aux_sym__keyword_end_token1] = ACTIONS(1496),
    [aux_sym__keyword_between_token1] = ACTIONS(1496),
    [aux_sym__keyword_when_token1] = ACTIONS(1496),
    [aux_sym__keyword_else_token1] = ACTIONS(1498),
    [aux_sym__keyword_is_token1] = ACTIONS(1496),
    [aux_sym__keyword_in_token1] = ACTIONS(1498),
    [aux_sym__keyword_and_token1] = ACTIONS(1496),
    [aux_sym__keyword_like_token1] = ACTIONS(1496),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1496),
    [aux_sym__keyword_window_token1] = ACTIONS(1496),
    [aux_sym__keyword_for_token1] = ACTIONS(1496),
    [anon_sym_SEMI] = ACTIONS(1496),
    [aux_sym_declare_statement_token1] = ACTIONS(1496),
    [anon_sym_COMMA] = ACTIONS(1496),
    [aux_sym_set_statement_token1] = ACTIONS(1496),
    [anon_sym_LPAREN] = ACTIONS(1496),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1496),
    [aux_sym_using_clause_token1] = ACTIONS(1496),
    [aux_sym_return_satement_token1] = ACTIONS(1496),
    [aux_sym_call_statement_token1] = ACTIONS(1496),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1496),
    [aux_sym_if_statement_token1] = ACTIONS(1496),
    [aux_sym_loop_statement_token1] = ACTIONS(1496),
    [aux_sym_repeat_statement_token1] = ACTIONS(1496),
    [aux_sym_while_statement_token1] = ACTIONS(1496),
    [aux_sym_break_statement_token1] = ACTIONS(1496),
    [aux_sym_leave_statement_token1] = ACTIONS(1496),
    [aux_sym_continue_statement_token1] = ACTIONS(1496),
    [aux_sym_iterate_statement_token1] = ACTIONS(1496),
    [aux_sym_raise_statement_token1] = ACTIONS(1496),
    [anon_sym_EQ] = ACTIONS(1496),
    [aux_sym_assert_statement_token1] = ACTIONS(1496),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1496),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1496),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1496),
    [anon_sym_LT] = ACTIONS(1498),
    [anon_sym_GT] = ACTIONS(1498),
    [aux_sym_set_operation_token1] = ACTIONS(1496),
    [aux_sym_set_operation_token3] = ACTIONS(1496),
    [aux_sym_set_operation_token4] = ACTIONS(1498),
    [aux_sym_select_token1] = ACTIONS(1496),
    [aux_sym_having_clause_token1] = ACTIONS(1496),
    [aux_sym_qualify_clause_token1] = ACTIONS(1496),
    [aux_sym_limit_clause_token1] = ACTIONS(1496),
    [aux_sym_group_by_clause_token1] = ACTIONS(1496),
    [aux_sym_order_by_clause_token1] = ACTIONS(1496),
    [aux_sym_where_clause_token1] = ACTIONS(1496),
    [aux_sym_pivot_operator_token1] = ACTIONS(1496),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1496),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1496),
    [aux_sym_join_type_token1] = ACTIONS(1496),
    [aux_sym_join_type_token2] = ACTIONS(1496),
    [aux_sym_join_type_token3] = ACTIONS(1496),
    [aux_sym_join_type_token4] = ACTIONS(1496),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1496),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1496),
    [aux_sym_join_condition_token1] = ACTIONS(1496),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1496),
    [aux_sym_truncate_statement_token1] = ACTIONS(1496),
    [aux_sym_update_statement_token1] = ACTIONS(1496),
    [aux_sym_merge_statement_token1] = ACTIONS(1496),
    [aux_sym_grant_statement_token1] = ACTIONS(1496),
    [aux_sym_revoke_statement_token1] = ACTIONS(1496),
    [aux_sym_export_data_statement_token1] = ACTIONS(1496),
    [aux_sym_load_data_statement_token1] = ACTIONS(1496),
    [anon_sym_LBRACK] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(1498),
    [anon_sym_PIPE_PIPE] = ACTIONS(1496),
    [anon_sym_LT_EQ] = ACTIONS(1496),
    [anon_sym_LT_GT] = ACTIONS(1496),
    [anon_sym_GT_EQ] = ACTIONS(1496),
    [anon_sym_BANG_EQ] = ACTIONS(1496),
    [anon_sym_LT_LT] = ACTIONS(1496),
    [anon_sym_GT_GT] = ACTIONS(1496),
    [anon_sym_AMP] = ACTIONS(1496),
    [anon_sym_CARET] = ACTIONS(1496),
    [anon_sym_PIPE] = ACTIONS(1498),
  },
  [353] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_when] = STATE(1531),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8092),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_casewhen_clause] = STATE(12104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [aux_sym_casewhen_expression_repeat1] = STATE(12104),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_when_token1] = ACTIONS(1368),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [354] = {
    [sym_analytics_clause] = STATE(455),
    [ts_builtin_sym_end] = ACTIONS(1500),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1500),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1500),
    [aux_sym_keyword_replace_token1] = ACTIONS(1502),
    [aux_sym__keyword_alter_token1] = ACTIONS(1500),
    [aux_sym__keyword_delete_token1] = ACTIONS(1500),
    [aux_sym__keyword_begin_token1] = ACTIONS(1500),
    [aux_sym__keyword_end_token1] = ACTIONS(1500),
    [aux_sym__keyword_between_token1] = ACTIONS(1500),
    [aux_sym__keyword_when_token1] = ACTIONS(1500),
    [aux_sym__keyword_else_token1] = ACTIONS(1502),
    [aux_sym__keyword_is_token1] = ACTIONS(1500),
    [aux_sym__keyword_in_token1] = ACTIONS(1502),
    [aux_sym__keyword_and_token1] = ACTIONS(1500),
    [aux_sym__keyword_like_token1] = ACTIONS(1500),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1500),
    [aux_sym__keyword_window_token1] = ACTIONS(1500),
    [aux_sym__keyword_for_token1] = ACTIONS(1500),
    [anon_sym_SEMI] = ACTIONS(1500),
    [aux_sym_declare_statement_token1] = ACTIONS(1500),
    [anon_sym_COMMA] = ACTIONS(1500),
    [aux_sym_set_statement_token1] = ACTIONS(1500),
    [anon_sym_LPAREN] = ACTIONS(1500),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1500),
    [aux_sym_using_clause_token1] = ACTIONS(1500),
    [aux_sym_return_satement_token1] = ACTIONS(1500),
    [aux_sym_call_statement_token1] = ACTIONS(1500),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1500),
    [aux_sym_if_statement_token1] = ACTIONS(1500),
    [aux_sym_loop_statement_token1] = ACTIONS(1500),
    [aux_sym_repeat_statement_token1] = ACTIONS(1500),
    [aux_sym_while_statement_token1] = ACTIONS(1500),
    [aux_sym_break_statement_token1] = ACTIONS(1500),
    [aux_sym_leave_statement_token1] = ACTIONS(1500),
    [aux_sym_continue_statement_token1] = ACTIONS(1500),
    [aux_sym_iterate_statement_token1] = ACTIONS(1500),
    [aux_sym_raise_statement_token1] = ACTIONS(1500),
    [anon_sym_EQ] = ACTIONS(1500),
    [aux_sym_assert_statement_token1] = ACTIONS(1500),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1500),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1500),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1500),
    [anon_sym_LT] = ACTIONS(1502),
    [anon_sym_GT] = ACTIONS(1502),
    [aux_sym_set_operation_token1] = ACTIONS(1500),
    [aux_sym_set_operation_token3] = ACTIONS(1500),
    [aux_sym_set_operation_token4] = ACTIONS(1502),
    [aux_sym_select_token1] = ACTIONS(1500),
    [aux_sym_having_clause_token1] = ACTIONS(1500),
    [aux_sym_qualify_clause_token1] = ACTIONS(1500),
    [aux_sym_limit_clause_token1] = ACTIONS(1500),
    [aux_sym_group_by_clause_token1] = ACTIONS(1500),
    [aux_sym_order_by_clause_token1] = ACTIONS(1500),
    [aux_sym_where_clause_token1] = ACTIONS(1500),
    [aux_sym_pivot_operator_token1] = ACTIONS(1500),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1500),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1500),
    [aux_sym_join_type_token1] = ACTIONS(1500),
    [aux_sym_join_type_token2] = ACTIONS(1500),
    [aux_sym_join_type_token3] = ACTIONS(1500),
    [aux_sym_join_type_token4] = ACTIONS(1500),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1500),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1500),
    [aux_sym_join_condition_token1] = ACTIONS(1500),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1500),
    [aux_sym_truncate_statement_token1] = ACTIONS(1500),
    [aux_sym_update_statement_token1] = ACTIONS(1500),
    [aux_sym_merge_statement_token1] = ACTIONS(1500),
    [aux_sym_grant_statement_token1] = ACTIONS(1500),
    [aux_sym_revoke_statement_token1] = ACTIONS(1500),
    [aux_sym_export_data_statement_token1] = ACTIONS(1500),
    [aux_sym_load_data_statement_token1] = ACTIONS(1500),
    [anon_sym_LBRACK] = ACTIONS(1500),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_STAR] = ACTIONS(1500),
    [anon_sym_SLASH] = ACTIONS(1502),
    [anon_sym_PIPE_PIPE] = ACTIONS(1500),
    [anon_sym_LT_EQ] = ACTIONS(1500),
    [anon_sym_LT_GT] = ACTIONS(1500),
    [anon_sym_GT_EQ] = ACTIONS(1500),
    [anon_sym_BANG_EQ] = ACTIONS(1500),
    [anon_sym_LT_LT] = ACTIONS(1500),
    [anon_sym_GT_GT] = ACTIONS(1500),
    [anon_sym_AMP] = ACTIONS(1500),
    [anon_sym_CARET] = ACTIONS(1500),
    [anon_sym_PIPE] = ACTIONS(1502),
  },
  [355] = {
    [sym_analytics_clause] = STATE(518),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_where_clause_token1] = ACTIONS(1370),
    [aux_sym_pivot_operator_token1] = ACTIONS(1370),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1370),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1370),
    [aux_sym_join_type_token1] = ACTIONS(1370),
    [aux_sym_join_type_token2] = ACTIONS(1370),
    [aux_sym_join_type_token3] = ACTIONS(1370),
    [aux_sym_join_type_token4] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1370),
    [aux_sym_join_condition_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [356] = {
    [sym_analytics_clause] = STATE(459),
    [ts_builtin_sym_end] = ACTIONS(1504),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1504),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1504),
    [aux_sym_keyword_replace_token1] = ACTIONS(1506),
    [aux_sym__keyword_alter_token1] = ACTIONS(1504),
    [aux_sym__keyword_delete_token1] = ACTIONS(1504),
    [aux_sym__keyword_begin_token1] = ACTIONS(1504),
    [aux_sym__keyword_end_token1] = ACTIONS(1504),
    [aux_sym__keyword_between_token1] = ACTIONS(1504),
    [aux_sym__keyword_when_token1] = ACTIONS(1504),
    [aux_sym__keyword_else_token1] = ACTIONS(1506),
    [aux_sym__keyword_is_token1] = ACTIONS(1504),
    [aux_sym__keyword_in_token1] = ACTIONS(1506),
    [aux_sym__keyword_and_token1] = ACTIONS(1504),
    [aux_sym__keyword_like_token1] = ACTIONS(1504),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1504),
    [aux_sym__keyword_window_token1] = ACTIONS(1504),
    [aux_sym__keyword_for_token1] = ACTIONS(1504),
    [anon_sym_SEMI] = ACTIONS(1504),
    [aux_sym_declare_statement_token1] = ACTIONS(1504),
    [anon_sym_COMMA] = ACTIONS(1504),
    [aux_sym_set_statement_token1] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1504),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1504),
    [aux_sym_using_clause_token1] = ACTIONS(1504),
    [aux_sym_return_satement_token1] = ACTIONS(1504),
    [aux_sym_call_statement_token1] = ACTIONS(1504),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1504),
    [aux_sym_if_statement_token1] = ACTIONS(1504),
    [aux_sym_loop_statement_token1] = ACTIONS(1504),
    [aux_sym_repeat_statement_token1] = ACTIONS(1504),
    [aux_sym_while_statement_token1] = ACTIONS(1504),
    [aux_sym_break_statement_token1] = ACTIONS(1504),
    [aux_sym_leave_statement_token1] = ACTIONS(1504),
    [aux_sym_continue_statement_token1] = ACTIONS(1504),
    [aux_sym_iterate_statement_token1] = ACTIONS(1504),
    [aux_sym_raise_statement_token1] = ACTIONS(1504),
    [anon_sym_EQ] = ACTIONS(1504),
    [aux_sym_assert_statement_token1] = ACTIONS(1504),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1504),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1504),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1504),
    [anon_sym_LT] = ACTIONS(1506),
    [anon_sym_GT] = ACTIONS(1506),
    [aux_sym_set_operation_token1] = ACTIONS(1504),
    [aux_sym_set_operation_token3] = ACTIONS(1504),
    [aux_sym_set_operation_token4] = ACTIONS(1506),
    [aux_sym_select_token1] = ACTIONS(1504),
    [aux_sym_having_clause_token1] = ACTIONS(1504),
    [aux_sym_qualify_clause_token1] = ACTIONS(1504),
    [aux_sym_limit_clause_token1] = ACTIONS(1504),
    [aux_sym_group_by_clause_token1] = ACTIONS(1504),
    [aux_sym_order_by_clause_token1] = ACTIONS(1504),
    [aux_sym_where_clause_token1] = ACTIONS(1504),
    [aux_sym_pivot_operator_token1] = ACTIONS(1504),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1504),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1504),
    [aux_sym_join_type_token1] = ACTIONS(1504),
    [aux_sym_join_type_token2] = ACTIONS(1504),
    [aux_sym_join_type_token3] = ACTIONS(1504),
    [aux_sym_join_type_token4] = ACTIONS(1504),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1504),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1504),
    [aux_sym_join_condition_token1] = ACTIONS(1504),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1504),
    [aux_sym_truncate_statement_token1] = ACTIONS(1504),
    [aux_sym_update_statement_token1] = ACTIONS(1504),
    [aux_sym_merge_statement_token1] = ACTIONS(1504),
    [aux_sym_grant_statement_token1] = ACTIONS(1504),
    [aux_sym_revoke_statement_token1] = ACTIONS(1504),
    [aux_sym_export_data_statement_token1] = ACTIONS(1504),
    [aux_sym_load_data_statement_token1] = ACTIONS(1504),
    [anon_sym_LBRACK] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1504),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1506),
    [anon_sym_STAR] = ACTIONS(1504),
    [anon_sym_SLASH] = ACTIONS(1506),
    [anon_sym_PIPE_PIPE] = ACTIONS(1504),
    [anon_sym_LT_EQ] = ACTIONS(1504),
    [anon_sym_LT_GT] = ACTIONS(1504),
    [anon_sym_GT_EQ] = ACTIONS(1504),
    [anon_sym_BANG_EQ] = ACTIONS(1504),
    [anon_sym_LT_LT] = ACTIONS(1504),
    [anon_sym_GT_GT] = ACTIONS(1504),
    [anon_sym_AMP] = ACTIONS(1504),
    [anon_sym_CARET] = ACTIONS(1504),
    [anon_sym_PIPE] = ACTIONS(1506),
  },
  [357] = {
    [sym_analytics_clause] = STATE(562),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_where_clause_token1] = ACTIONS(1354),
    [aux_sym_pivot_operator_token1] = ACTIONS(1354),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1354),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1354),
    [aux_sym_join_type_token1] = ACTIONS(1354),
    [aux_sym_join_type_token2] = ACTIONS(1354),
    [aux_sym_join_type_token3] = ACTIONS(1354),
    [aux_sym_join_type_token4] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1354),
    [aux_sym_join_condition_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [358] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_when] = STATE(1531),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8323),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_casewhen_clause] = STATE(12025),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [aux_sym_casewhen_expression_repeat1] = STATE(12025),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_when_token1] = ACTIONS(1368),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [359] = {
    [sym_analytics_clause] = STATE(569),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_window_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_using_clause_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1462),
    [aux_sym_set_operation_token3] = ACTIONS(1462),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_having_clause_token1] = ACTIONS(1462),
    [aux_sym_qualify_clause_token1] = ACTIONS(1462),
    [aux_sym_limit_clause_token1] = ACTIONS(1462),
    [aux_sym_group_by_clause_token1] = ACTIONS(1462),
    [aux_sym_order_by_clause_token1] = ACTIONS(1462),
    [aux_sym_where_clause_token1] = ACTIONS(1462),
    [aux_sym_pivot_operator_token1] = ACTIONS(1462),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1462),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1462),
    [aux_sym_join_type_token1] = ACTIONS(1462),
    [aux_sym_join_type_token2] = ACTIONS(1462),
    [aux_sym_join_type_token3] = ACTIONS(1462),
    [aux_sym_join_type_token4] = ACTIONS(1462),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1462),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1462),
    [aux_sym_join_condition_token1] = ACTIONS(1462),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [360] = {
    [sym_analytics_clause] = STATE(501),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_where_clause_token1] = ACTIONS(1370),
    [aux_sym_pivot_operator_token1] = ACTIONS(1370),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1370),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1370),
    [aux_sym_join_type_token1] = ACTIONS(1370),
    [aux_sym_join_type_token2] = ACTIONS(1370),
    [aux_sym_join_type_token3] = ACTIONS(1370),
    [aux_sym_join_type_token4] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1370),
    [aux_sym_join_condition_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [361] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_when] = STATE(1531),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8136),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_casewhen_clause] = STATE(12024),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [aux_sym_casewhen_expression_repeat1] = STATE(12024),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_when_token1] = ACTIONS(1368),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [362] = {
    [sym_analytics_clause] = STATE(559),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_where_clause_token1] = ACTIONS(1354),
    [aux_sym_pivot_operator_token1] = ACTIONS(1354),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1354),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1354),
    [aux_sym_join_type_token1] = ACTIONS(1354),
    [aux_sym_join_type_token2] = ACTIONS(1354),
    [aux_sym_join_type_token3] = ACTIONS(1354),
    [aux_sym_join_type_token4] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1354),
    [aux_sym_join_condition_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [363] = {
    [sym_analytics_clause] = STATE(575),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_window_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_using_clause_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1462),
    [aux_sym_set_operation_token3] = ACTIONS(1462),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_having_clause_token1] = ACTIONS(1462),
    [aux_sym_qualify_clause_token1] = ACTIONS(1462),
    [aux_sym_limit_clause_token1] = ACTIONS(1462),
    [aux_sym_group_by_clause_token1] = ACTIONS(1462),
    [aux_sym_order_by_clause_token1] = ACTIONS(1462),
    [aux_sym_where_clause_token1] = ACTIONS(1462),
    [aux_sym_pivot_operator_token1] = ACTIONS(1462),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1462),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1462),
    [aux_sym_join_type_token1] = ACTIONS(1462),
    [aux_sym_join_type_token2] = ACTIONS(1462),
    [aux_sym_join_type_token3] = ACTIONS(1462),
    [aux_sym_join_type_token4] = ACTIONS(1462),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1462),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1462),
    [aux_sym_join_condition_token1] = ACTIONS(1462),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [364] = {
    [sym_analytics_clause] = STATE(462),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_where_clause_token1] = ACTIONS(1370),
    [aux_sym_pivot_operator_token1] = ACTIONS(1370),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1370),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1370),
    [aux_sym_join_type_token1] = ACTIONS(1370),
    [aux_sym_join_type_token2] = ACTIONS(1370),
    [aux_sym_join_type_token3] = ACTIONS(1370),
    [aux_sym_join_type_token4] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1370),
    [aux_sym_join_condition_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [365] = {
    [sym_analytics_clause] = STATE(468),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_where_clause_token1] = ACTIONS(1370),
    [aux_sym_pivot_operator_token1] = ACTIONS(1370),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1370),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1370),
    [aux_sym_join_type_token1] = ACTIONS(1370),
    [aux_sym_join_type_token2] = ACTIONS(1370),
    [aux_sym_join_type_token3] = ACTIONS(1370),
    [aux_sym_join_type_token4] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1370),
    [aux_sym_join_condition_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [366] = {
    [sym_analytics_clause] = STATE(482),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_where_clause_token1] = ACTIONS(1364),
    [aux_sym_pivot_operator_token1] = ACTIONS(1364),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1364),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1364),
    [aux_sym_join_type_token1] = ACTIONS(1364),
    [aux_sym_join_type_token2] = ACTIONS(1364),
    [aux_sym_join_type_token3] = ACTIONS(1364),
    [aux_sym_join_type_token4] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1364),
    [aux_sym_join_condition_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [367] = {
    [sym_analytics_clause] = STATE(560),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_where_clause_token1] = ACTIONS(1354),
    [aux_sym_pivot_operator_token1] = ACTIONS(1354),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1354),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1354),
    [aux_sym_join_type_token1] = ACTIONS(1354),
    [aux_sym_join_type_token2] = ACTIONS(1354),
    [aux_sym_join_type_token3] = ACTIONS(1354),
    [aux_sym_join_type_token4] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1354),
    [aux_sym_join_condition_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [368] = {
    [sym_analytics_clause] = STATE(496),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_where_clause_token1] = ACTIONS(1364),
    [aux_sym_pivot_operator_token1] = ACTIONS(1364),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1364),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1364),
    [aux_sym_join_type_token1] = ACTIONS(1364),
    [aux_sym_join_type_token2] = ACTIONS(1364),
    [aux_sym_join_type_token3] = ACTIONS(1364),
    [aux_sym_join_type_token4] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1364),
    [aux_sym_join_condition_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [369] = {
    [sym_analytics_clause] = STATE(571),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_window_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_using_clause_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1462),
    [aux_sym_set_operation_token3] = ACTIONS(1462),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_having_clause_token1] = ACTIONS(1462),
    [aux_sym_qualify_clause_token1] = ACTIONS(1462),
    [aux_sym_limit_clause_token1] = ACTIONS(1462),
    [aux_sym_group_by_clause_token1] = ACTIONS(1462),
    [aux_sym_order_by_clause_token1] = ACTIONS(1462),
    [aux_sym_where_clause_token1] = ACTIONS(1462),
    [aux_sym_pivot_operator_token1] = ACTIONS(1462),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1462),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1462),
    [aux_sym_join_type_token1] = ACTIONS(1462),
    [aux_sym_join_type_token2] = ACTIONS(1462),
    [aux_sym_join_type_token3] = ACTIONS(1462),
    [aux_sym_join_type_token4] = ACTIONS(1462),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1462),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1462),
    [aux_sym_join_condition_token1] = ACTIONS(1462),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [370] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_when] = STATE(1531),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8357),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_casewhen_clause] = STATE(12105),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [aux_sym_casewhen_expression_repeat1] = STATE(12105),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_when_token1] = ACTIONS(1368),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [371] = {
    [sym_string] = STATE(485),
    [ts_builtin_sym_end] = ACTIONS(1508),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1508),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1508),
    [aux_sym_keyword_replace_token1] = ACTIONS(1510),
    [aux_sym__keyword_alter_token1] = ACTIONS(1508),
    [aux_sym__keyword_delete_token1] = ACTIONS(1508),
    [aux_sym__keyword_begin_token1] = ACTIONS(1508),
    [aux_sym__keyword_end_token1] = ACTIONS(1508),
    [aux_sym__keyword_between_token1] = ACTIONS(1508),
    [aux_sym__keyword_when_token1] = ACTIONS(1508),
    [aux_sym__keyword_else_token1] = ACTIONS(1510),
    [aux_sym__keyword_is_token1] = ACTIONS(1508),
    [aux_sym__keyword_in_token1] = ACTIONS(1510),
    [aux_sym__keyword_and_token1] = ACTIONS(1508),
    [aux_sym__keyword_like_token1] = ACTIONS(1508),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1508),
    [aux_sym__keyword_window_token1] = ACTIONS(1508),
    [aux_sym__keyword_for_token1] = ACTIONS(1508),
    [anon_sym_SEMI] = ACTIONS(1508),
    [aux_sym_declare_statement_token1] = ACTIONS(1508),
    [anon_sym_COMMA] = ACTIONS(1508),
    [aux_sym_set_statement_token1] = ACTIONS(1508),
    [anon_sym_LPAREN] = ACTIONS(1508),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1508),
    [aux_sym_using_clause_token1] = ACTIONS(1508),
    [aux_sym_return_satement_token1] = ACTIONS(1508),
    [aux_sym_call_statement_token1] = ACTIONS(1508),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1508),
    [aux_sym_if_statement_token1] = ACTIONS(1508),
    [aux_sym_loop_statement_token1] = ACTIONS(1508),
    [aux_sym_repeat_statement_token1] = ACTIONS(1508),
    [aux_sym_while_statement_token1] = ACTIONS(1508),
    [aux_sym_break_statement_token1] = ACTIONS(1508),
    [aux_sym_leave_statement_token1] = ACTIONS(1508),
    [aux_sym_continue_statement_token1] = ACTIONS(1508),
    [aux_sym_iterate_statement_token1] = ACTIONS(1508),
    [aux_sym_raise_statement_token1] = ACTIONS(1508),
    [anon_sym_EQ] = ACTIONS(1508),
    [aux_sym_assert_statement_token1] = ACTIONS(1508),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1508),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1508),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1508),
    [anon_sym_LT] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1510),
    [aux_sym_set_operation_token1] = ACTIONS(1508),
    [aux_sym_set_operation_token3] = ACTIONS(1508),
    [aux_sym_set_operation_token4] = ACTIONS(1510),
    [aux_sym_select_token1] = ACTIONS(1508),
    [aux_sym_having_clause_token1] = ACTIONS(1508),
    [aux_sym_qualify_clause_token1] = ACTIONS(1508),
    [aux_sym_limit_clause_token1] = ACTIONS(1508),
    [aux_sym_group_by_clause_token1] = ACTIONS(1508),
    [aux_sym_order_by_clause_token1] = ACTIONS(1508),
    [aux_sym_where_clause_token1] = ACTIONS(1508),
    [aux_sym_pivot_operator_token1] = ACTIONS(1508),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1508),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1508),
    [aux_sym_join_type_token1] = ACTIONS(1508),
    [aux_sym_join_type_token2] = ACTIONS(1508),
    [aux_sym_join_type_token3] = ACTIONS(1508),
    [aux_sym_join_type_token4] = ACTIONS(1508),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1508),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1508),
    [aux_sym_join_condition_token1] = ACTIONS(1508),
    [aux_sym_insert_statement_token1] = ACTIONS(1508),
    [aux_sym_truncate_statement_token1] = ACTIONS(1508),
    [aux_sym_update_statement_token1] = ACTIONS(1508),
    [aux_sym_merge_statement_token1] = ACTIONS(1508),
    [aux_sym_grant_statement_token1] = ACTIONS(1508),
    [aux_sym_revoke_statement_token1] = ACTIONS(1508),
    [aux_sym_export_data_statement_token1] = ACTIONS(1508),
    [aux_sym_load_data_statement_token1] = ACTIONS(1508),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1508),
    [anon_sym_PLUS] = ACTIONS(1508),
    [anon_sym_DASH] = ACTIONS(1510),
    [anon_sym_STAR] = ACTIONS(1508),
    [anon_sym_SLASH] = ACTIONS(1510),
    [anon_sym_PIPE_PIPE] = ACTIONS(1508),
    [anon_sym_LT_EQ] = ACTIONS(1508),
    [anon_sym_LT_GT] = ACTIONS(1508),
    [anon_sym_GT_EQ] = ACTIONS(1508),
    [anon_sym_BANG_EQ] = ACTIONS(1508),
    [anon_sym_LT_LT] = ACTIONS(1508),
    [anon_sym_GT_GT] = ACTIONS(1508),
    [anon_sym_AMP] = ACTIONS(1508),
    [anon_sym_CARET] = ACTIONS(1508),
    [anon_sym_PIPE] = ACTIONS(1510),
    [sym__string_start] = ACTIONS(1512),
  },
  [372] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_when] = STATE(1531),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8096),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_casewhen_clause] = STATE(12050),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [aux_sym_casewhen_expression_repeat1] = STATE(12050),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_when_token1] = ACTIONS(1368),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [373] = {
    [sym_analytics_clause] = STATE(460),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_where_clause_token1] = ACTIONS(1364),
    [aux_sym_pivot_operator_token1] = ACTIONS(1364),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1364),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1364),
    [aux_sym_join_type_token1] = ACTIONS(1364),
    [aux_sym_join_type_token2] = ACTIONS(1364),
    [aux_sym_join_type_token3] = ACTIONS(1364),
    [aux_sym_join_type_token4] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1364),
    [aux_sym_join_condition_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [374] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_when] = STATE(1531),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8182),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_casewhen_clause] = STATE(12058),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [aux_sym_casewhen_expression_repeat1] = STATE(12058),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_when_token1] = ACTIONS(1368),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [375] = {
    [sym_analytics_clause] = STATE(475),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_where_clause_token1] = ACTIONS(1364),
    [aux_sym_pivot_operator_token1] = ACTIONS(1364),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1364),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1364),
    [aux_sym_join_type_token1] = ACTIONS(1364),
    [aux_sym_join_type_token2] = ACTIONS(1364),
    [aux_sym_join_type_token3] = ACTIONS(1364),
    [aux_sym_join_type_token4] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1364),
    [aux_sym_join_condition_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [376] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_when] = STATE(1531),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8266),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_casewhen_clause] = STATE(12066),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [aux_sym_casewhen_expression_repeat1] = STATE(12066),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_when_token1] = ACTIONS(1368),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [377] = {
    [sym_analytics_clause] = STATE(470),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_where_clause_token1] = ACTIONS(1370),
    [aux_sym_pivot_operator_token1] = ACTIONS(1370),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1370),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1370),
    [aux_sym_join_type_token1] = ACTIONS(1370),
    [aux_sym_join_type_token2] = ACTIONS(1370),
    [aux_sym_join_type_token3] = ACTIONS(1370),
    [aux_sym_join_type_token4] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1370),
    [aux_sym_join_condition_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [378] = {
    [sym_analytics_clause] = STATE(494),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_where_clause_token1] = ACTIONS(1364),
    [aux_sym_pivot_operator_token1] = ACTIONS(1364),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1364),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1364),
    [aux_sym_join_type_token1] = ACTIONS(1364),
    [aux_sym_join_type_token2] = ACTIONS(1364),
    [aux_sym_join_type_token3] = ACTIONS(1364),
    [aux_sym_join_type_token4] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1364),
    [aux_sym_join_condition_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [379] = {
    [sym_analytics_clause] = STATE(561),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_where_clause_token1] = ACTIONS(1354),
    [aux_sym_pivot_operator_token1] = ACTIONS(1354),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1354),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1354),
    [aux_sym_join_type_token1] = ACTIONS(1354),
    [aux_sym_join_type_token2] = ACTIONS(1354),
    [aux_sym_join_type_token3] = ACTIONS(1354),
    [aux_sym_join_type_token4] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1354),
    [aux_sym_join_condition_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [380] = {
    [sym_analytics_clause] = STATE(476),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_where_clause_token1] = ACTIONS(1364),
    [aux_sym_pivot_operator_token1] = ACTIONS(1364),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1364),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1364),
    [aux_sym_join_type_token1] = ACTIONS(1364),
    [aux_sym_join_type_token2] = ACTIONS(1364),
    [aux_sym_join_type_token3] = ACTIONS(1364),
    [aux_sym_join_type_token4] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1364),
    [aux_sym_join_condition_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [381] = {
    [sym_analytics_clause] = STATE(573),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_window_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_using_clause_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1462),
    [aux_sym_set_operation_token3] = ACTIONS(1462),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_having_clause_token1] = ACTIONS(1462),
    [aux_sym_qualify_clause_token1] = ACTIONS(1462),
    [aux_sym_limit_clause_token1] = ACTIONS(1462),
    [aux_sym_group_by_clause_token1] = ACTIONS(1462),
    [aux_sym_order_by_clause_token1] = ACTIONS(1462),
    [aux_sym_where_clause_token1] = ACTIONS(1462),
    [aux_sym_pivot_operator_token1] = ACTIONS(1462),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1462),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1462),
    [aux_sym_join_type_token1] = ACTIONS(1462),
    [aux_sym_join_type_token2] = ACTIONS(1462),
    [aux_sym_join_type_token3] = ACTIONS(1462),
    [aux_sym_join_type_token4] = ACTIONS(1462),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1462),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1462),
    [aux_sym_join_condition_token1] = ACTIONS(1462),
    [aux_sym_analytics_clause_token1] = ACTIONS(1358),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [382] = {
    [sym__keyword_between] = STATE(1126),
    [sym__keyword_is] = STATE(12051),
    [sym__keyword_in] = STATE(1517),
    [sym__keyword_not] = STATE(13184),
    [sym__keyword_and] = STATE(1542),
    [sym__keyword_or] = STATE(1543),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [ts_builtin_sym_end] = ACTIONS(917),
    [sym__unquoted_identifier] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(921),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(921),
    [aux_sym__keyword_from_token1] = ACTIONS(921),
    [aux_sym__keyword_delete_token1] = ACTIONS(921),
    [aux_sym__keyword_begin_token1] = ACTIONS(921),
    [aux_sym__keyword_between_token1] = ACTIONS(921),
    [aux_sym__keyword_when_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(921),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(921),
    [aux_sym__keyword_like_token1] = ACTIONS(921),
    [aux_sym__keyword_repeat_token1] = ACTIONS(921),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_window_token1] = ACTIONS(921),
    [aux_sym__keyword_date_token1] = ACTIONS(921),
    [aux_sym__keyword_datetime_token1] = ACTIONS(921),
    [aux_sym__keyword_time_token1] = ACTIONS(921),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(921),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(921),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(921),
    [aux_sym_return_satement_token1] = ACTIONS(921),
    [aux_sym_call_statement_token1] = ACTIONS(921),
    [aux_sym_loop_statement_token1] = ACTIONS(921),
    [aux_sym_while_statement_token1] = ACTIONS(921),
    [aux_sym_break_statement_token1] = ACTIONS(921),
    [aux_sym_leave_statement_token1] = ACTIONS(921),
    [aux_sym_continue_statement_token1] = ACTIONS(921),
    [aux_sym_iterate_statement_token1] = ACTIONS(921),
    [aux_sym_raise_statement_token1] = ACTIONS(921),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(921),
    [aux_sym_create_schema_statement_token1] = ACTIONS(921),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(921),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(921),
    [aux_sym_set_operation_token3] = ACTIONS(921),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(921),
    [aux_sym_having_clause_token1] = ACTIONS(921),
    [aux_sym_qualify_clause_token1] = ACTIONS(921),
    [aux_sym_limit_clause_token1] = ACTIONS(921),
    [aux_sym_group_by_clause_token1] = ACTIONS(921),
    [aux_sym_order_by_clause_token1] = ACTIONS(921),
    [aux_sym_where_clause_token1] = ACTIONS(921),
    [aux_sym_insert_statement_token1] = ACTIONS(921),
    [aux_sym_truncate_statement_token1] = ACTIONS(921),
    [aux_sym_update_statement_token1] = ACTIONS(921),
    [aux_sym_merge_statement_token1] = ACTIONS(921),
    [aux_sym_grant_statement_token1] = ACTIONS(921),
    [aux_sym_revoke_statement_token1] = ACTIONS(921),
    [aux_sym_export_data_statement_token1] = ACTIONS(921),
    [aux_sym_load_data_statement_token1] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym__quoted_identifier] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_STAR] = ACTIONS(789),
    [anon_sym_SLASH] = ACTIONS(791),
    [anon_sym_PIPE_PIPE] = ACTIONS(789),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(793),
    [anon_sym_GT_GT] = ACTIONS(793),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [383] = {
    [ts_builtin_sym_end] = ACTIONS(1508),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1508),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1508),
    [aux_sym_keyword_replace_token1] = ACTIONS(1510),
    [aux_sym__keyword_alter_token1] = ACTIONS(1508),
    [aux_sym__keyword_delete_token1] = ACTIONS(1508),
    [aux_sym__keyword_begin_token1] = ACTIONS(1508),
    [aux_sym__keyword_end_token1] = ACTIONS(1508),
    [aux_sym__keyword_between_token1] = ACTIONS(1508),
    [aux_sym__keyword_when_token1] = ACTIONS(1508),
    [aux_sym__keyword_else_token1] = ACTIONS(1510),
    [aux_sym__keyword_is_token1] = ACTIONS(1508),
    [aux_sym__keyword_in_token1] = ACTIONS(1510),
    [aux_sym__keyword_and_token1] = ACTIONS(1508),
    [aux_sym__keyword_like_token1] = ACTIONS(1508),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1508),
    [aux_sym__keyword_window_token1] = ACTIONS(1508),
    [aux_sym__keyword_for_token1] = ACTIONS(1508),
    [anon_sym_SEMI] = ACTIONS(1508),
    [aux_sym_declare_statement_token1] = ACTIONS(1508),
    [anon_sym_COMMA] = ACTIONS(1508),
    [aux_sym_set_statement_token1] = ACTIONS(1508),
    [anon_sym_LPAREN] = ACTIONS(1508),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1508),
    [aux_sym_using_clause_token1] = ACTIONS(1508),
    [aux_sym_return_satement_token1] = ACTIONS(1508),
    [aux_sym_call_statement_token1] = ACTIONS(1508),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1508),
    [aux_sym_if_statement_token1] = ACTIONS(1508),
    [aux_sym_loop_statement_token1] = ACTIONS(1508),
    [aux_sym_repeat_statement_token1] = ACTIONS(1508),
    [aux_sym_while_statement_token1] = ACTIONS(1508),
    [aux_sym_break_statement_token1] = ACTIONS(1508),
    [aux_sym_leave_statement_token1] = ACTIONS(1508),
    [aux_sym_continue_statement_token1] = ACTIONS(1508),
    [aux_sym_iterate_statement_token1] = ACTIONS(1508),
    [aux_sym_raise_statement_token1] = ACTIONS(1508),
    [anon_sym_EQ] = ACTIONS(1508),
    [aux_sym_assert_statement_token1] = ACTIONS(1508),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1508),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1508),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1508),
    [anon_sym_LT] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1510),
    [aux_sym_set_operation_token1] = ACTIONS(1508),
    [aux_sym_set_operation_token3] = ACTIONS(1508),
    [aux_sym_set_operation_token4] = ACTIONS(1510),
    [aux_sym_select_token1] = ACTIONS(1508),
    [aux_sym_having_clause_token1] = ACTIONS(1508),
    [aux_sym_qualify_clause_token1] = ACTIONS(1508),
    [aux_sym_limit_clause_token1] = ACTIONS(1508),
    [aux_sym_group_by_clause_token1] = ACTIONS(1508),
    [aux_sym_order_by_clause_token1] = ACTIONS(1508),
    [aux_sym_where_clause_token1] = ACTIONS(1508),
    [aux_sym_pivot_operator_token1] = ACTIONS(1508),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1508),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1508),
    [aux_sym_join_type_token1] = ACTIONS(1508),
    [aux_sym_join_type_token2] = ACTIONS(1508),
    [aux_sym_join_type_token3] = ACTIONS(1508),
    [aux_sym_join_type_token4] = ACTIONS(1508),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1508),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1508),
    [aux_sym_join_condition_token1] = ACTIONS(1508),
    [aux_sym_insert_statement_token1] = ACTIONS(1508),
    [aux_sym_truncate_statement_token1] = ACTIONS(1508),
    [aux_sym_update_statement_token1] = ACTIONS(1508),
    [aux_sym_merge_statement_token1] = ACTIONS(1508),
    [aux_sym_grant_statement_token1] = ACTIONS(1508),
    [aux_sym_revoke_statement_token1] = ACTIONS(1508),
    [aux_sym_export_data_statement_token1] = ACTIONS(1508),
    [aux_sym_load_data_statement_token1] = ACTIONS(1508),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DOT] = ACTIONS(1514),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1510),
    [anon_sym_PLUS] = ACTIONS(1508),
    [anon_sym_DASH] = ACTIONS(1510),
    [anon_sym_STAR] = ACTIONS(1508),
    [anon_sym_SLASH] = ACTIONS(1510),
    [anon_sym_PIPE_PIPE] = ACTIONS(1508),
    [anon_sym_LT_EQ] = ACTIONS(1508),
    [anon_sym_LT_GT] = ACTIONS(1508),
    [anon_sym_GT_EQ] = ACTIONS(1508),
    [anon_sym_BANG_EQ] = ACTIONS(1508),
    [anon_sym_LT_LT] = ACTIONS(1508),
    [anon_sym_GT_GT] = ACTIONS(1508),
    [anon_sym_AMP] = ACTIONS(1508),
    [anon_sym_CARET] = ACTIONS(1508),
    [anon_sym_PIPE] = ACTIONS(1510),
  },
  [384] = {
    [sym__keyword_between] = STATE(1126),
    [sym__keyword_is] = STATE(12051),
    [sym__keyword_in] = STATE(1517),
    [sym__keyword_not] = STATE(13184),
    [sym__keyword_and] = STATE(1542),
    [sym__keyword_or] = STATE(1543),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [ts_builtin_sym_end] = ACTIONS(1019),
    [sym__unquoted_identifier] = ACTIONS(1021),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1021),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1021),
    [aux_sym_keyword_replace_token1] = ACTIONS(1021),
    [aux_sym__keyword_alter_token1] = ACTIONS(1021),
    [aux_sym__keyword_from_token1] = ACTIONS(1021),
    [aux_sym__keyword_delete_token1] = ACTIONS(1021),
    [aux_sym__keyword_begin_token1] = ACTIONS(1021),
    [aux_sym__keyword_between_token1] = ACTIONS(1021),
    [aux_sym__keyword_when_token1] = ACTIONS(1021),
    [aux_sym__keyword_is_token1] = ACTIONS(1021),
    [aux_sym__keyword_in_token1] = ACTIONS(1021),
    [aux_sym__keyword_and_token1] = ACTIONS(1021),
    [aux_sym__keyword_like_token1] = ACTIONS(1021),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1021),
    [aux_sym__keyword_as_token1] = ACTIONS(1021),
    [aux_sym__keyword_window_token1] = ACTIONS(1021),
    [aux_sym__keyword_date_token1] = ACTIONS(1021),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1021),
    [aux_sym__keyword_time_token1] = ACTIONS(1021),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1021),
    [aux_sym__keyword_for_token1] = ACTIONS(1021),
    [anon_sym_SEMI] = ACTIONS(1019),
    [aux_sym_declare_statement_token1] = ACTIONS(1021),
    [anon_sym_COMMA] = ACTIONS(1019),
    [aux_sym_set_statement_token1] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(1019),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1021),
    [aux_sym_return_satement_token1] = ACTIONS(1021),
    [aux_sym_call_statement_token1] = ACTIONS(1021),
    [aux_sym_loop_statement_token1] = ACTIONS(1021),
    [aux_sym_while_statement_token1] = ACTIONS(1021),
    [aux_sym_break_statement_token1] = ACTIONS(1021),
    [aux_sym_leave_statement_token1] = ACTIONS(1021),
    [aux_sym_continue_statement_token1] = ACTIONS(1021),
    [aux_sym_iterate_statement_token1] = ACTIONS(1021),
    [aux_sym_raise_statement_token1] = ACTIONS(1021),
    [anon_sym_EQ] = ACTIONS(1019),
    [aux_sym_assert_statement_token1] = ACTIONS(1021),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1021),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1021),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1021),
    [anon_sym_LT] = ACTIONS(1021),
    [anon_sym_GT] = ACTIONS(1021),
    [aux_sym_set_operation_token1] = ACTIONS(1021),
    [aux_sym_set_operation_token3] = ACTIONS(1021),
    [aux_sym_set_operation_token4] = ACTIONS(1021),
    [aux_sym_select_token1] = ACTIONS(1021),
    [aux_sym_having_clause_token1] = ACTIONS(1021),
    [aux_sym_qualify_clause_token1] = ACTIONS(1021),
    [aux_sym_limit_clause_token1] = ACTIONS(1021),
    [aux_sym_group_by_clause_token1] = ACTIONS(1021),
    [aux_sym_order_by_clause_token1] = ACTIONS(1021),
    [aux_sym_where_clause_token1] = ACTIONS(1021),
    [aux_sym_insert_statement_token1] = ACTIONS(1021),
    [aux_sym_truncate_statement_token1] = ACTIONS(1021),
    [aux_sym_update_statement_token1] = ACTIONS(1021),
    [aux_sym_merge_statement_token1] = ACTIONS(1021),
    [aux_sym_grant_statement_token1] = ACTIONS(1021),
    [aux_sym_revoke_statement_token1] = ACTIONS(1021),
    [aux_sym_export_data_statement_token1] = ACTIONS(1021),
    [aux_sym_load_data_statement_token1] = ACTIONS(1021),
    [anon_sym_LBRACK] = ACTIONS(1019),
    [sym__quoted_identifier] = ACTIONS(1019),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1019),
    [anon_sym_PLUS] = ACTIONS(1019),
    [anon_sym_DASH] = ACTIONS(1021),
    [anon_sym_STAR] = ACTIONS(1019),
    [anon_sym_SLASH] = ACTIONS(1021),
    [anon_sym_PIPE_PIPE] = ACTIONS(1019),
    [anon_sym_LT_EQ] = ACTIONS(1019),
    [anon_sym_LT_GT] = ACTIONS(1019),
    [anon_sym_GT_EQ] = ACTIONS(1019),
    [anon_sym_BANG_EQ] = ACTIONS(1019),
    [anon_sym_LT_LT] = ACTIONS(1019),
    [anon_sym_GT_GT] = ACTIONS(1019),
    [anon_sym_AMP] = ACTIONS(1019),
    [anon_sym_CARET] = ACTIONS(1019),
    [anon_sym_PIPE] = ACTIONS(1021),
  },
  [385] = {
    [sym__keyword_as] = STATE(11563),
    [sym__keyword_date] = STATE(2335),
    [sym__keyword_datetime] = STATE(2335),
    [sym__keyword_time] = STATE(2335),
    [sym__keyword_timestamp] = STATE(2335),
    [sym_as_alias] = STATE(2822),
    [sym_unnest_withoffset] = STATE(2652),
    [sym__type_chrono] = STATE(2336),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2317),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [ts_builtin_sym_end] = ACTIONS(211),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(205),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(205),
    [aux_sym_keyword_replace_token1] = ACTIONS(205),
    [aux_sym__keyword_alter_token1] = ACTIONS(205),
    [aux_sym__keyword_delete_token1] = ACTIONS(205),
    [aux_sym__keyword_begin_token1] = ACTIONS(205),
    [aux_sym__keyword_between_token1] = ACTIONS(205),
    [aux_sym__keyword_when_token1] = ACTIONS(205),
    [aux_sym__keyword_is_token1] = ACTIONS(205),
    [aux_sym__keyword_in_token1] = ACTIONS(205),
    [aux_sym__keyword_and_token1] = ACTIONS(205),
    [aux_sym__keyword_like_token1] = ACTIONS(205),
    [aux_sym__keyword_repeat_token1] = ACTIONS(205),
    [aux_sym__keyword_as_token1] = ACTIONS(1217),
    [aux_sym__keyword_date_token1] = ACTIONS(355),
    [aux_sym__keyword_datetime_token1] = ACTIONS(355),
    [aux_sym__keyword_time_token1] = ACTIONS(355),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(355),
    [aux_sym__keyword_for_token1] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(211),
    [aux_sym_declare_statement_token1] = ACTIONS(205),
    [anon_sym_COMMA] = ACTIONS(211),
    [aux_sym_set_statement_token1] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(211),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(205),
    [aux_sym_return_satement_token1] = ACTIONS(205),
    [aux_sym_call_statement_token1] = ACTIONS(205),
    [aux_sym_loop_statement_token1] = ACTIONS(205),
    [aux_sym_while_statement_token1] = ACTIONS(205),
    [aux_sym_break_statement_token1] = ACTIONS(205),
    [aux_sym_leave_statement_token1] = ACTIONS(205),
    [aux_sym_continue_statement_token1] = ACTIONS(205),
    [aux_sym_iterate_statement_token1] = ACTIONS(205),
    [aux_sym_raise_statement_token1] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(211),
    [aux_sym_assert_statement_token1] = ACTIONS(205),
    [aux_sym_create_schema_statement_token1] = ACTIONS(205),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(205),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1264),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [aux_sym_set_operation_token1] = ACTIONS(205),
    [aux_sym_set_operation_token3] = ACTIONS(205),
    [aux_sym_set_operation_token4] = ACTIONS(205),
    [aux_sym_select_token1] = ACTIONS(205),
    [aux_sym_limit_clause_token1] = ACTIONS(205),
    [aux_sym__direction_keywords_token1] = ACTIONS(205),
    [aux_sym__direction_keywords_token2] = ACTIONS(205),
    [aux_sym__nulls_preference_token1] = ACTIONS(205),
    [aux_sym_order_by_clause_token1] = ACTIONS(205),
    [aux_sym_insert_statement_token1] = ACTIONS(205),
    [aux_sym_truncate_statement_token1] = ACTIONS(205),
    [aux_sym_update_statement_token1] = ACTIONS(205),
    [aux_sym_merge_statement_token1] = ACTIONS(205),
    [aux_sym_grant_statement_token1] = ACTIONS(205),
    [aux_sym_revoke_statement_token1] = ACTIONS(205),
    [aux_sym_export_data_statement_token1] = ACTIONS(205),
    [aux_sym_load_data_statement_token1] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(211),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(211),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(211),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(211),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_LT_GT] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(211),
    [anon_sym_GT_GT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_CARET] = ACTIONS(211),
    [anon_sym_PIPE] = ACTIONS(205),
  },
  [386] = {
    [ts_builtin_sym_end] = ACTIONS(1516),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1516),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1516),
    [aux_sym_keyword_replace_token1] = ACTIONS(1518),
    [aux_sym__keyword_alter_token1] = ACTIONS(1516),
    [aux_sym__keyword_delete_token1] = ACTIONS(1516),
    [aux_sym__keyword_begin_token1] = ACTIONS(1516),
    [aux_sym__keyword_end_token1] = ACTIONS(1516),
    [aux_sym__keyword_between_token1] = ACTIONS(1516),
    [aux_sym__keyword_when_token1] = ACTIONS(1516),
    [aux_sym__keyword_else_token1] = ACTIONS(1518),
    [aux_sym__keyword_is_token1] = ACTIONS(1516),
    [aux_sym__keyword_in_token1] = ACTIONS(1518),
    [aux_sym__keyword_and_token1] = ACTIONS(1516),
    [aux_sym__keyword_like_token1] = ACTIONS(1516),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1516),
    [aux_sym__keyword_window_token1] = ACTIONS(1516),
    [aux_sym__keyword_for_token1] = ACTIONS(1516),
    [anon_sym_SEMI] = ACTIONS(1516),
    [aux_sym_declare_statement_token1] = ACTIONS(1516),
    [anon_sym_COMMA] = ACTIONS(1516),
    [aux_sym_set_statement_token1] = ACTIONS(1516),
    [anon_sym_LPAREN] = ACTIONS(1516),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1516),
    [aux_sym_using_clause_token1] = ACTIONS(1516),
    [aux_sym_return_satement_token1] = ACTIONS(1516),
    [aux_sym_call_statement_token1] = ACTIONS(1516),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1516),
    [aux_sym_if_statement_token1] = ACTIONS(1516),
    [aux_sym_loop_statement_token1] = ACTIONS(1516),
    [aux_sym_repeat_statement_token1] = ACTIONS(1516),
    [aux_sym_while_statement_token1] = ACTIONS(1516),
    [aux_sym_break_statement_token1] = ACTIONS(1516),
    [aux_sym_leave_statement_token1] = ACTIONS(1516),
    [aux_sym_continue_statement_token1] = ACTIONS(1516),
    [aux_sym_iterate_statement_token1] = ACTIONS(1516),
    [aux_sym_raise_statement_token1] = ACTIONS(1516),
    [anon_sym_EQ] = ACTIONS(1516),
    [aux_sym_assert_statement_token1] = ACTIONS(1516),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1516),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1516),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1516),
    [anon_sym_LT] = ACTIONS(1518),
    [anon_sym_GT] = ACTIONS(1518),
    [aux_sym_set_operation_token1] = ACTIONS(1516),
    [aux_sym_set_operation_token3] = ACTIONS(1516),
    [aux_sym_set_operation_token4] = ACTIONS(1518),
    [aux_sym_select_token1] = ACTIONS(1516),
    [aux_sym_having_clause_token1] = ACTIONS(1516),
    [aux_sym_qualify_clause_token1] = ACTIONS(1516),
    [aux_sym_limit_clause_token1] = ACTIONS(1516),
    [aux_sym_group_by_clause_token1] = ACTIONS(1516),
    [aux_sym_order_by_clause_token1] = ACTIONS(1516),
    [aux_sym_where_clause_token1] = ACTIONS(1516),
    [aux_sym_pivot_operator_token1] = ACTIONS(1516),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1516),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1516),
    [aux_sym_join_type_token1] = ACTIONS(1516),
    [aux_sym_join_type_token2] = ACTIONS(1516),
    [aux_sym_join_type_token3] = ACTIONS(1516),
    [aux_sym_join_type_token4] = ACTIONS(1516),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1516),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1516),
    [aux_sym_join_condition_token1] = ACTIONS(1516),
    [aux_sym_insert_statement_token1] = ACTIONS(1516),
    [aux_sym_truncate_statement_token1] = ACTIONS(1516),
    [aux_sym_update_statement_token1] = ACTIONS(1516),
    [aux_sym_merge_statement_token1] = ACTIONS(1516),
    [aux_sym_grant_statement_token1] = ACTIONS(1516),
    [aux_sym_revoke_statement_token1] = ACTIONS(1516),
    [aux_sym_export_data_statement_token1] = ACTIONS(1516),
    [aux_sym_load_data_statement_token1] = ACTIONS(1516),
    [anon_sym_LBRACK] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1516),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1518),
    [anon_sym_STAR] = ACTIONS(1516),
    [anon_sym_SLASH] = ACTIONS(1518),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [anon_sym_LT_EQ] = ACTIONS(1516),
    [anon_sym_LT_GT] = ACTIONS(1516),
    [anon_sym_GT_EQ] = ACTIONS(1516),
    [anon_sym_BANG_EQ] = ACTIONS(1516),
    [anon_sym_LT_LT] = ACTIONS(1516),
    [anon_sym_GT_GT] = ACTIONS(1516),
    [anon_sym_AMP] = ACTIONS(1516),
    [anon_sym_CARET] = ACTIONS(1516),
    [anon_sym_PIPE] = ACTIONS(1518),
    [sym__string_start] = ACTIONS(1516),
  },
  [387] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8393),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_asterisk_expression] = STATE(15059),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [anon_sym_RPAREN] = ACTIONS(1520),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [388] = {
    [sym__keyword_between] = STATE(1126),
    [sym__keyword_is] = STATE(12051),
    [sym__keyword_in] = STATE(1517),
    [sym__keyword_not] = STATE(13184),
    [sym__keyword_and] = STATE(1542),
    [sym__keyword_or] = STATE(1543),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [ts_builtin_sym_end] = ACTIONS(917),
    [sym__unquoted_identifier] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(921),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(921),
    [aux_sym__keyword_from_token1] = ACTIONS(921),
    [aux_sym__keyword_delete_token1] = ACTIONS(921),
    [aux_sym__keyword_begin_token1] = ACTIONS(921),
    [aux_sym__keyword_between_token1] = ACTIONS(921),
    [aux_sym__keyword_when_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(921),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(921),
    [aux_sym__keyword_like_token1] = ACTIONS(921),
    [aux_sym__keyword_repeat_token1] = ACTIONS(921),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_window_token1] = ACTIONS(921),
    [aux_sym__keyword_date_token1] = ACTIONS(921),
    [aux_sym__keyword_datetime_token1] = ACTIONS(921),
    [aux_sym__keyword_time_token1] = ACTIONS(921),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(921),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(921),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(921),
    [aux_sym_return_satement_token1] = ACTIONS(921),
    [aux_sym_call_statement_token1] = ACTIONS(921),
    [aux_sym_loop_statement_token1] = ACTIONS(921),
    [aux_sym_while_statement_token1] = ACTIONS(921),
    [aux_sym_break_statement_token1] = ACTIONS(921),
    [aux_sym_leave_statement_token1] = ACTIONS(921),
    [aux_sym_continue_statement_token1] = ACTIONS(921),
    [aux_sym_iterate_statement_token1] = ACTIONS(921),
    [aux_sym_raise_statement_token1] = ACTIONS(921),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(921),
    [aux_sym_create_schema_statement_token1] = ACTIONS(921),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(921),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(921),
    [aux_sym_set_operation_token3] = ACTIONS(921),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(921),
    [aux_sym_having_clause_token1] = ACTIONS(921),
    [aux_sym_qualify_clause_token1] = ACTIONS(921),
    [aux_sym_limit_clause_token1] = ACTIONS(921),
    [aux_sym_group_by_clause_token1] = ACTIONS(921),
    [aux_sym_order_by_clause_token1] = ACTIONS(921),
    [aux_sym_where_clause_token1] = ACTIONS(921),
    [aux_sym_insert_statement_token1] = ACTIONS(921),
    [aux_sym_truncate_statement_token1] = ACTIONS(921),
    [aux_sym_update_statement_token1] = ACTIONS(921),
    [aux_sym_merge_statement_token1] = ACTIONS(921),
    [aux_sym_grant_statement_token1] = ACTIONS(921),
    [aux_sym_revoke_statement_token1] = ACTIONS(921),
    [aux_sym_export_data_statement_token1] = ACTIONS(921),
    [aux_sym_load_data_statement_token1] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym__quoted_identifier] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_STAR] = ACTIONS(789),
    [anon_sym_SLASH] = ACTIONS(791),
    [anon_sym_PIPE_PIPE] = ACTIONS(789),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(793),
    [anon_sym_GT_GT] = ACTIONS(793),
    [anon_sym_AMP] = ACTIONS(795),
    [anon_sym_CARET] = ACTIONS(797),
    [anon_sym_PIPE] = ACTIONS(799),
  },
  [389] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8383),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_asterisk_expression] = STATE(14599),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [anon_sym_RPAREN] = ACTIONS(1522),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [390] = {
    [sym__keyword_as] = STATE(11563),
    [sym__keyword_date] = STATE(2335),
    [sym__keyword_datetime] = STATE(2335),
    [sym__keyword_time] = STATE(2335),
    [sym__keyword_timestamp] = STATE(2335),
    [sym_as_alias] = STATE(2935),
    [sym_unnest_withoffset] = STATE(2652),
    [sym__type_chrono] = STATE(2336),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2317),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [ts_builtin_sym_end] = ACTIONS(211),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(205),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(205),
    [aux_sym_keyword_replace_token1] = ACTIONS(205),
    [aux_sym__keyword_alter_token1] = ACTIONS(205),
    [aux_sym__keyword_delete_token1] = ACTIONS(205),
    [aux_sym__keyword_begin_token1] = ACTIONS(205),
    [aux_sym__keyword_between_token1] = ACTIONS(205),
    [aux_sym__keyword_when_token1] = ACTIONS(205),
    [aux_sym__keyword_is_token1] = ACTIONS(205),
    [aux_sym__keyword_in_token1] = ACTIONS(205),
    [aux_sym__keyword_and_token1] = ACTIONS(205),
    [aux_sym__keyword_like_token1] = ACTIONS(205),
    [aux_sym__keyword_repeat_token1] = ACTIONS(205),
    [aux_sym__keyword_as_token1] = ACTIONS(1217),
    [aux_sym__keyword_window_token1] = ACTIONS(205),
    [aux_sym__keyword_date_token1] = ACTIONS(355),
    [aux_sym__keyword_datetime_token1] = ACTIONS(355),
    [aux_sym__keyword_time_token1] = ACTIONS(355),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(355),
    [aux_sym__keyword_for_token1] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(211),
    [aux_sym_declare_statement_token1] = ACTIONS(205),
    [aux_sym_set_statement_token1] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(211),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(205),
    [aux_sym_return_satement_token1] = ACTIONS(205),
    [aux_sym_call_statement_token1] = ACTIONS(205),
    [aux_sym_loop_statement_token1] = ACTIONS(205),
    [aux_sym_while_statement_token1] = ACTIONS(205),
    [aux_sym_break_statement_token1] = ACTIONS(205),
    [aux_sym_leave_statement_token1] = ACTIONS(205),
    [aux_sym_continue_statement_token1] = ACTIONS(205),
    [aux_sym_iterate_statement_token1] = ACTIONS(205),
    [aux_sym_raise_statement_token1] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(211),
    [aux_sym_assert_statement_token1] = ACTIONS(205),
    [aux_sym_create_schema_statement_token1] = ACTIONS(205),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(205),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1219),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [aux_sym_set_operation_token1] = ACTIONS(205),
    [aux_sym_set_operation_token3] = ACTIONS(205),
    [aux_sym_set_operation_token4] = ACTIONS(205),
    [aux_sym_select_token1] = ACTIONS(205),
    [aux_sym_having_clause_token1] = ACTIONS(205),
    [aux_sym_qualify_clause_token1] = ACTIONS(205),
    [aux_sym_limit_clause_token1] = ACTIONS(205),
    [aux_sym_group_by_clause_token1] = ACTIONS(205),
    [aux_sym_order_by_clause_token1] = ACTIONS(205),
    [aux_sym_insert_statement_token1] = ACTIONS(205),
    [aux_sym_truncate_statement_token1] = ACTIONS(205),
    [aux_sym_update_statement_token1] = ACTIONS(205),
    [aux_sym_merge_statement_token1] = ACTIONS(205),
    [aux_sym_grant_statement_token1] = ACTIONS(205),
    [aux_sym_revoke_statement_token1] = ACTIONS(205),
    [aux_sym_export_data_statement_token1] = ACTIONS(205),
    [aux_sym_load_data_statement_token1] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(211),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(211),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(211),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(211),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_LT_GT] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(211),
    [anon_sym_GT_GT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_CARET] = ACTIONS(211),
    [anon_sym_PIPE] = ACTIONS(205),
  },
  [391] = {
    [sym__keyword_as] = STATE(11593),
    [sym__keyword_date] = STATE(1884),
    [sym__keyword_datetime] = STATE(1884),
    [sym__keyword_time] = STATE(1884),
    [sym__keyword_timestamp] = STATE(1884),
    [sym_as_alias] = STATE(2956),
    [sym_unnest_withoffset] = STATE(2084),
    [sym__type_chrono] = STATE(1949),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2078),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [ts_builtin_sym_end] = ACTIONS(211),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(205),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(205),
    [aux_sym_keyword_replace_token1] = ACTIONS(205),
    [aux_sym__keyword_alter_token1] = ACTIONS(205),
    [aux_sym__keyword_delete_token1] = ACTIONS(205),
    [aux_sym__keyword_begin_token1] = ACTIONS(205),
    [aux_sym__keyword_between_token1] = ACTIONS(205),
    [aux_sym__keyword_when_token1] = ACTIONS(205),
    [aux_sym__keyword_is_token1] = ACTIONS(205),
    [aux_sym__keyword_in_token1] = ACTIONS(205),
    [aux_sym__keyword_and_token1] = ACTIONS(205),
    [aux_sym__keyword_like_token1] = ACTIONS(205),
    [aux_sym__keyword_repeat_token1] = ACTIONS(205),
    [aux_sym__keyword_as_token1] = ACTIONS(1266),
    [aux_sym__keyword_window_token1] = ACTIONS(205),
    [aux_sym__keyword_date_token1] = ACTIONS(1268),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1268),
    [aux_sym__keyword_time_token1] = ACTIONS(1268),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1268),
    [aux_sym__keyword_for_token1] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(211),
    [aux_sym_declare_statement_token1] = ACTIONS(205),
    [anon_sym_COMMA] = ACTIONS(211),
    [aux_sym_set_statement_token1] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(211),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(205),
    [aux_sym_return_satement_token1] = ACTIONS(205),
    [aux_sym_call_statement_token1] = ACTIONS(205),
    [aux_sym_loop_statement_token1] = ACTIONS(205),
    [aux_sym_while_statement_token1] = ACTIONS(205),
    [aux_sym_break_statement_token1] = ACTIONS(205),
    [aux_sym_leave_statement_token1] = ACTIONS(205),
    [aux_sym_continue_statement_token1] = ACTIONS(205),
    [aux_sym_iterate_statement_token1] = ACTIONS(205),
    [aux_sym_raise_statement_token1] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(211),
    [aux_sym_assert_statement_token1] = ACTIONS(205),
    [aux_sym_create_schema_statement_token1] = ACTIONS(205),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(205),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1270),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [aux_sym_set_operation_token1] = ACTIONS(205),
    [aux_sym_set_operation_token3] = ACTIONS(205),
    [aux_sym_set_operation_token4] = ACTIONS(205),
    [aux_sym_select_token1] = ACTIONS(205),
    [aux_sym_having_clause_token1] = ACTIONS(205),
    [aux_sym_qualify_clause_token1] = ACTIONS(205),
    [aux_sym_limit_clause_token1] = ACTIONS(205),
    [aux_sym_order_by_clause_token1] = ACTIONS(205),
    [aux_sym_insert_statement_token1] = ACTIONS(205),
    [aux_sym_truncate_statement_token1] = ACTIONS(205),
    [aux_sym_update_statement_token1] = ACTIONS(205),
    [aux_sym_merge_statement_token1] = ACTIONS(205),
    [aux_sym_grant_statement_token1] = ACTIONS(205),
    [aux_sym_revoke_statement_token1] = ACTIONS(205),
    [aux_sym_export_data_statement_token1] = ACTIONS(205),
    [aux_sym_load_data_statement_token1] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(211),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(211),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(211),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(211),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_LT_GT] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(211),
    [anon_sym_GT_GT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_CARET] = ACTIONS(211),
    [anon_sym_PIPE] = ACTIONS(205),
  },
  [392] = {
    [ts_builtin_sym_end] = ACTIONS(1524),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1524),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1524),
    [aux_sym_keyword_replace_token1] = ACTIONS(1526),
    [aux_sym__keyword_alter_token1] = ACTIONS(1524),
    [aux_sym__keyword_delete_token1] = ACTIONS(1524),
    [aux_sym__keyword_begin_token1] = ACTIONS(1524),
    [aux_sym__keyword_end_token1] = ACTIONS(1524),
    [aux_sym__keyword_between_token1] = ACTIONS(1524),
    [aux_sym__keyword_when_token1] = ACTIONS(1524),
    [aux_sym__keyword_else_token1] = ACTIONS(1526),
    [aux_sym__keyword_is_token1] = ACTIONS(1524),
    [aux_sym__keyword_in_token1] = ACTIONS(1526),
    [aux_sym__keyword_and_token1] = ACTIONS(1524),
    [aux_sym__keyword_like_token1] = ACTIONS(1524),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1524),
    [aux_sym__keyword_window_token1] = ACTIONS(1524),
    [aux_sym__keyword_for_token1] = ACTIONS(1524),
    [anon_sym_SEMI] = ACTIONS(1524),
    [aux_sym_declare_statement_token1] = ACTIONS(1524),
    [anon_sym_COMMA] = ACTIONS(1524),
    [aux_sym_set_statement_token1] = ACTIONS(1524),
    [anon_sym_LPAREN] = ACTIONS(1524),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1524),
    [aux_sym_using_clause_token1] = ACTIONS(1524),
    [aux_sym_return_satement_token1] = ACTIONS(1524),
    [aux_sym_call_statement_token1] = ACTIONS(1524),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1524),
    [aux_sym_if_statement_token1] = ACTIONS(1524),
    [aux_sym_loop_statement_token1] = ACTIONS(1524),
    [aux_sym_repeat_statement_token1] = ACTIONS(1524),
    [aux_sym_while_statement_token1] = ACTIONS(1524),
    [aux_sym_break_statement_token1] = ACTIONS(1524),
    [aux_sym_leave_statement_token1] = ACTIONS(1524),
    [aux_sym_continue_statement_token1] = ACTIONS(1524),
    [aux_sym_iterate_statement_token1] = ACTIONS(1524),
    [aux_sym_raise_statement_token1] = ACTIONS(1524),
    [anon_sym_EQ] = ACTIONS(1524),
    [aux_sym_assert_statement_token1] = ACTIONS(1524),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1524),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1524),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1524),
    [aux_sym_alter_table_rename_statement_token2] = ACTIONS(1528),
    [anon_sym_LT] = ACTIONS(1526),
    [anon_sym_GT] = ACTIONS(1526),
    [aux_sym_set_operation_token1] = ACTIONS(1524),
    [aux_sym_set_operation_token3] = ACTIONS(1524),
    [aux_sym_set_operation_token4] = ACTIONS(1526),
    [aux_sym_select_token1] = ACTIONS(1524),
    [aux_sym_having_clause_token1] = ACTIONS(1524),
    [aux_sym_qualify_clause_token1] = ACTIONS(1524),
    [aux_sym_limit_clause_token1] = ACTIONS(1524),
    [aux_sym_group_by_clause_token1] = ACTIONS(1524),
    [aux_sym_order_by_clause_token1] = ACTIONS(1524),
    [aux_sym_where_clause_token1] = ACTIONS(1524),
    [aux_sym_pivot_operator_token1] = ACTIONS(1524),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1524),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1524),
    [aux_sym_join_type_token1] = ACTIONS(1524),
    [aux_sym_join_type_token2] = ACTIONS(1524),
    [aux_sym_join_type_token3] = ACTIONS(1524),
    [aux_sym_join_type_token4] = ACTIONS(1524),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1524),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1524),
    [aux_sym_join_condition_token1] = ACTIONS(1524),
    [aux_sym_insert_statement_token1] = ACTIONS(1524),
    [aux_sym_truncate_statement_token1] = ACTIONS(1524),
    [aux_sym_update_statement_token1] = ACTIONS(1524),
    [aux_sym_merge_statement_token1] = ACTIONS(1524),
    [aux_sym_grant_statement_token1] = ACTIONS(1524),
    [aux_sym_revoke_statement_token1] = ACTIONS(1524),
    [aux_sym_export_data_statement_token1] = ACTIONS(1524),
    [aux_sym_load_data_statement_token1] = ACTIONS(1524),
    [anon_sym_LBRACK] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1524),
    [anon_sym_PLUS] = ACTIONS(1524),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_STAR] = ACTIONS(1524),
    [anon_sym_SLASH] = ACTIONS(1526),
    [anon_sym_PIPE_PIPE] = ACTIONS(1524),
    [anon_sym_LT_EQ] = ACTIONS(1524),
    [anon_sym_LT_GT] = ACTIONS(1524),
    [anon_sym_GT_EQ] = ACTIONS(1524),
    [anon_sym_BANG_EQ] = ACTIONS(1524),
    [anon_sym_LT_LT] = ACTIONS(1524),
    [anon_sym_GT_GT] = ACTIONS(1524),
    [anon_sym_AMP] = ACTIONS(1524),
    [anon_sym_CARET] = ACTIONS(1524),
    [anon_sym_PIPE] = ACTIONS(1526),
  },
  [393] = {
    [ts_builtin_sym_end] = ACTIONS(1530),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1530),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1530),
    [aux_sym_keyword_replace_token1] = ACTIONS(1532),
    [aux_sym__keyword_alter_token1] = ACTIONS(1530),
    [aux_sym__keyword_delete_token1] = ACTIONS(1530),
    [aux_sym__keyword_begin_token1] = ACTIONS(1530),
    [aux_sym__keyword_end_token1] = ACTIONS(1530),
    [aux_sym__keyword_between_token1] = ACTIONS(1530),
    [aux_sym__keyword_when_token1] = ACTIONS(1530),
    [aux_sym__keyword_else_token1] = ACTIONS(1532),
    [aux_sym__keyword_is_token1] = ACTIONS(1530),
    [aux_sym__keyword_in_token1] = ACTIONS(1532),
    [aux_sym__keyword_and_token1] = ACTIONS(1530),
    [aux_sym__keyword_like_token1] = ACTIONS(1530),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1530),
    [aux_sym__keyword_window_token1] = ACTIONS(1530),
    [aux_sym__keyword_for_token1] = ACTIONS(1530),
    [anon_sym_SEMI] = ACTIONS(1530),
    [aux_sym_declare_statement_token1] = ACTIONS(1530),
    [anon_sym_COMMA] = ACTIONS(1530),
    [aux_sym_set_statement_token1] = ACTIONS(1530),
    [anon_sym_LPAREN] = ACTIONS(1530),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1530),
    [aux_sym_using_clause_token1] = ACTIONS(1530),
    [aux_sym_return_satement_token1] = ACTIONS(1530),
    [aux_sym_call_statement_token1] = ACTIONS(1530),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1530),
    [aux_sym_if_statement_token1] = ACTIONS(1530),
    [aux_sym_loop_statement_token1] = ACTIONS(1530),
    [aux_sym_repeat_statement_token1] = ACTIONS(1530),
    [aux_sym_while_statement_token1] = ACTIONS(1530),
    [aux_sym_break_statement_token1] = ACTIONS(1530),
    [aux_sym_leave_statement_token1] = ACTIONS(1530),
    [aux_sym_continue_statement_token1] = ACTIONS(1530),
    [aux_sym_iterate_statement_token1] = ACTIONS(1530),
    [aux_sym_raise_statement_token1] = ACTIONS(1530),
    [anon_sym_EQ] = ACTIONS(1530),
    [aux_sym_assert_statement_token1] = ACTIONS(1530),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1530),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1530),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1530),
    [anon_sym_LT] = ACTIONS(1532),
    [anon_sym_GT] = ACTIONS(1532),
    [aux_sym_set_operation_token1] = ACTIONS(1530),
    [aux_sym_set_operation_token3] = ACTIONS(1530),
    [aux_sym_set_operation_token4] = ACTIONS(1532),
    [aux_sym_select_token1] = ACTIONS(1530),
    [aux_sym_having_clause_token1] = ACTIONS(1530),
    [aux_sym_qualify_clause_token1] = ACTIONS(1530),
    [aux_sym_limit_clause_token1] = ACTIONS(1530),
    [aux_sym_group_by_clause_token1] = ACTIONS(1530),
    [aux_sym_order_by_clause_token1] = ACTIONS(1530),
    [aux_sym_where_clause_token1] = ACTIONS(1530),
    [aux_sym_pivot_operator_token1] = ACTIONS(1530),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1530),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1530),
    [aux_sym_join_type_token1] = ACTIONS(1530),
    [aux_sym_join_type_token2] = ACTIONS(1530),
    [aux_sym_join_type_token3] = ACTIONS(1530),
    [aux_sym_join_type_token4] = ACTIONS(1530),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1530),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1530),
    [aux_sym_join_condition_token1] = ACTIONS(1530),
    [aux_sym_insert_statement_token1] = ACTIONS(1530),
    [aux_sym_truncate_statement_token1] = ACTIONS(1530),
    [aux_sym_update_statement_token1] = ACTIONS(1530),
    [aux_sym_merge_statement_token1] = ACTIONS(1530),
    [aux_sym_grant_statement_token1] = ACTIONS(1530),
    [aux_sym_revoke_statement_token1] = ACTIONS(1530),
    [aux_sym_export_data_statement_token1] = ACTIONS(1530),
    [aux_sym_load_data_statement_token1] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(1530),
    [anon_sym_DOT] = ACTIONS(1514),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1532),
    [anon_sym_PLUS] = ACTIONS(1530),
    [anon_sym_DASH] = ACTIONS(1532),
    [anon_sym_STAR] = ACTIONS(1530),
    [anon_sym_SLASH] = ACTIONS(1532),
    [anon_sym_PIPE_PIPE] = ACTIONS(1530),
    [anon_sym_LT_EQ] = ACTIONS(1530),
    [anon_sym_LT_GT] = ACTIONS(1530),
    [anon_sym_GT_EQ] = ACTIONS(1530),
    [anon_sym_BANG_EQ] = ACTIONS(1530),
    [anon_sym_LT_LT] = ACTIONS(1530),
    [anon_sym_GT_GT] = ACTIONS(1530),
    [anon_sym_AMP] = ACTIONS(1530),
    [anon_sym_CARET] = ACTIONS(1530),
    [anon_sym_PIPE] = ACTIONS(1532),
  },
  [394] = {
    [sym__keyword_between] = STATE(1126),
    [sym__keyword_is] = STATE(12051),
    [sym__keyword_in] = STATE(1517),
    [sym__keyword_not] = STATE(13184),
    [sym__keyword_and] = STATE(1542),
    [sym__keyword_or] = STATE(1543),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [ts_builtin_sym_end] = ACTIONS(1035),
    [sym__unquoted_identifier] = ACTIONS(1037),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1037),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1037),
    [aux_sym_keyword_replace_token1] = ACTIONS(1037),
    [aux_sym__keyword_alter_token1] = ACTIONS(1037),
    [aux_sym__keyword_from_token1] = ACTIONS(1037),
    [aux_sym__keyword_delete_token1] = ACTIONS(1037),
    [aux_sym__keyword_begin_token1] = ACTIONS(1037),
    [aux_sym__keyword_between_token1] = ACTIONS(1037),
    [aux_sym__keyword_when_token1] = ACTIONS(1037),
    [aux_sym__keyword_is_token1] = ACTIONS(1037),
    [aux_sym__keyword_in_token1] = ACTIONS(1037),
    [aux_sym__keyword_and_token1] = ACTIONS(1037),
    [aux_sym__keyword_like_token1] = ACTIONS(1037),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1037),
    [aux_sym__keyword_as_token1] = ACTIONS(1037),
    [aux_sym__keyword_window_token1] = ACTIONS(1037),
    [aux_sym__keyword_date_token1] = ACTIONS(1037),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1037),
    [aux_sym__keyword_time_token1] = ACTIONS(1037),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1037),
    [aux_sym__keyword_for_token1] = ACTIONS(1037),
    [anon_sym_SEMI] = ACTIONS(1035),
    [aux_sym_declare_statement_token1] = ACTIONS(1037),
    [anon_sym_COMMA] = ACTIONS(1035),
    [aux_sym_set_statement_token1] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(1035),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1037),
    [aux_sym_return_satement_token1] = ACTIONS(1037),
    [aux_sym_call_statement_token1] = ACTIONS(1037),
    [aux_sym_loop_statement_token1] = ACTIONS(1037),
    [aux_sym_while_statement_token1] = ACTIONS(1037),
    [aux_sym_break_statement_token1] = ACTIONS(1037),
    [aux_sym_leave_statement_token1] = ACTIONS(1037),
    [aux_sym_continue_statement_token1] = ACTIONS(1037),
    [aux_sym_iterate_statement_token1] = ACTIONS(1037),
    [aux_sym_raise_statement_token1] = ACTIONS(1037),
    [anon_sym_EQ] = ACTIONS(1035),
    [aux_sym_assert_statement_token1] = ACTIONS(1037),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1037),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1037),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1037),
    [anon_sym_LT] = ACTIONS(1037),
    [anon_sym_GT] = ACTIONS(1037),
    [aux_sym_set_operation_token1] = ACTIONS(1037),
    [aux_sym_set_operation_token3] = ACTIONS(1037),
    [aux_sym_set_operation_token4] = ACTIONS(1037),
    [aux_sym_select_token1] = ACTIONS(1037),
    [aux_sym_having_clause_token1] = ACTIONS(1037),
    [aux_sym_qualify_clause_token1] = ACTIONS(1037),
    [aux_sym_limit_clause_token1] = ACTIONS(1037),
    [aux_sym_group_by_clause_token1] = ACTIONS(1037),
    [aux_sym_order_by_clause_token1] = ACTIONS(1037),
    [aux_sym_where_clause_token1] = ACTIONS(1037),
    [aux_sym_insert_statement_token1] = ACTIONS(1037),
    [aux_sym_truncate_statement_token1] = ACTIONS(1037),
    [aux_sym_update_statement_token1] = ACTIONS(1037),
    [aux_sym_merge_statement_token1] = ACTIONS(1037),
    [aux_sym_grant_statement_token1] = ACTIONS(1037),
    [aux_sym_revoke_statement_token1] = ACTIONS(1037),
    [aux_sym_export_data_statement_token1] = ACTIONS(1037),
    [aux_sym_load_data_statement_token1] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(1035),
    [sym__quoted_identifier] = ACTIONS(1035),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1035),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_STAR] = ACTIONS(789),
    [anon_sym_SLASH] = ACTIONS(791),
    [anon_sym_PIPE_PIPE] = ACTIONS(789),
    [anon_sym_LT_EQ] = ACTIONS(1035),
    [anon_sym_LT_GT] = ACTIONS(1035),
    [anon_sym_GT_EQ] = ACTIONS(1035),
    [anon_sym_BANG_EQ] = ACTIONS(1035),
    [anon_sym_LT_LT] = ACTIONS(793),
    [anon_sym_GT_GT] = ACTIONS(793),
    [anon_sym_AMP] = ACTIONS(795),
    [anon_sym_CARET] = ACTIONS(797),
    [anon_sym_PIPE] = ACTIONS(799),
  },
  [395] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8368),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_asterisk_expression] = STATE(15286),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [anon_sym_RPAREN] = ACTIONS(1534),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [396] = {
    [sym__keyword_between] = STATE(1126),
    [sym__keyword_is] = STATE(12051),
    [sym__keyword_in] = STATE(1517),
    [sym__keyword_not] = STATE(13184),
    [sym__keyword_and] = STATE(1542),
    [sym__keyword_or] = STATE(1543),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [ts_builtin_sym_end] = ACTIONS(1039),
    [sym__unquoted_identifier] = ACTIONS(1041),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1041),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1041),
    [aux_sym_keyword_replace_token1] = ACTIONS(1041),
    [aux_sym__keyword_alter_token1] = ACTIONS(1041),
    [aux_sym__keyword_from_token1] = ACTIONS(1041),
    [aux_sym__keyword_delete_token1] = ACTIONS(1041),
    [aux_sym__keyword_begin_token1] = ACTIONS(1041),
    [aux_sym__keyword_between_token1] = ACTIONS(1041),
    [aux_sym__keyword_when_token1] = ACTIONS(1041),
    [aux_sym__keyword_is_token1] = ACTIONS(1041),
    [aux_sym__keyword_in_token1] = ACTIONS(1041),
    [aux_sym__keyword_and_token1] = ACTIONS(1041),
    [aux_sym__keyword_like_token1] = ACTIONS(1041),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1041),
    [aux_sym__keyword_as_token1] = ACTIONS(1041),
    [aux_sym__keyword_window_token1] = ACTIONS(1041),
    [aux_sym__keyword_date_token1] = ACTIONS(1041),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1041),
    [aux_sym__keyword_time_token1] = ACTIONS(1041),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1041),
    [aux_sym__keyword_for_token1] = ACTIONS(1041),
    [anon_sym_SEMI] = ACTIONS(1039),
    [aux_sym_declare_statement_token1] = ACTIONS(1041),
    [anon_sym_COMMA] = ACTIONS(1039),
    [aux_sym_set_statement_token1] = ACTIONS(1041),
    [anon_sym_LPAREN] = ACTIONS(1039),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1041),
    [aux_sym_return_satement_token1] = ACTIONS(1041),
    [aux_sym_call_statement_token1] = ACTIONS(1041),
    [aux_sym_loop_statement_token1] = ACTIONS(1041),
    [aux_sym_while_statement_token1] = ACTIONS(1041),
    [aux_sym_break_statement_token1] = ACTIONS(1041),
    [aux_sym_leave_statement_token1] = ACTIONS(1041),
    [aux_sym_continue_statement_token1] = ACTIONS(1041),
    [aux_sym_iterate_statement_token1] = ACTIONS(1041),
    [aux_sym_raise_statement_token1] = ACTIONS(1041),
    [anon_sym_EQ] = ACTIONS(1039),
    [aux_sym_assert_statement_token1] = ACTIONS(1041),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1041),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1041),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1041),
    [anon_sym_LT] = ACTIONS(1041),
    [anon_sym_GT] = ACTIONS(1041),
    [aux_sym_set_operation_token1] = ACTIONS(1041),
    [aux_sym_set_operation_token3] = ACTIONS(1041),
    [aux_sym_set_operation_token4] = ACTIONS(1041),
    [aux_sym_select_token1] = ACTIONS(1041),
    [aux_sym_having_clause_token1] = ACTIONS(1041),
    [aux_sym_qualify_clause_token1] = ACTIONS(1041),
    [aux_sym_limit_clause_token1] = ACTIONS(1041),
    [aux_sym_group_by_clause_token1] = ACTIONS(1041),
    [aux_sym_order_by_clause_token1] = ACTIONS(1041),
    [aux_sym_where_clause_token1] = ACTIONS(1041),
    [aux_sym_insert_statement_token1] = ACTIONS(1041),
    [aux_sym_truncate_statement_token1] = ACTIONS(1041),
    [aux_sym_update_statement_token1] = ACTIONS(1041),
    [aux_sym_merge_statement_token1] = ACTIONS(1041),
    [aux_sym_grant_statement_token1] = ACTIONS(1041),
    [aux_sym_revoke_statement_token1] = ACTIONS(1041),
    [aux_sym_export_data_statement_token1] = ACTIONS(1041),
    [aux_sym_load_data_statement_token1] = ACTIONS(1041),
    [anon_sym_LBRACK] = ACTIONS(1039),
    [sym__quoted_identifier] = ACTIONS(1039),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1039),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_STAR] = ACTIONS(789),
    [anon_sym_SLASH] = ACTIONS(791),
    [anon_sym_PIPE_PIPE] = ACTIONS(789),
    [anon_sym_LT_EQ] = ACTIONS(1039),
    [anon_sym_LT_GT] = ACTIONS(1039),
    [anon_sym_GT_EQ] = ACTIONS(1039),
    [anon_sym_BANG_EQ] = ACTIONS(1039),
    [anon_sym_LT_LT] = ACTIONS(793),
    [anon_sym_GT_GT] = ACTIONS(793),
    [anon_sym_AMP] = ACTIONS(795),
    [anon_sym_CARET] = ACTIONS(797),
    [anon_sym_PIPE] = ACTIONS(799),
  },
  [397] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8675),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_asterisk_expression] = STATE(14654),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [anon_sym_RPAREN] = ACTIONS(1536),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [398] = {
    [sym__keyword_between] = STATE(1126),
    [sym__keyword_is] = STATE(12051),
    [sym__keyword_in] = STATE(1517),
    [sym__keyword_not] = STATE(13184),
    [sym__keyword_and] = STATE(1542),
    [sym__keyword_or] = STATE(1543),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [ts_builtin_sym_end] = ACTIONS(1031),
    [sym__unquoted_identifier] = ACTIONS(1033),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1033),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1033),
    [aux_sym_keyword_replace_token1] = ACTIONS(1033),
    [aux_sym__keyword_alter_token1] = ACTIONS(1033),
    [aux_sym__keyword_from_token1] = ACTIONS(1033),
    [aux_sym__keyword_delete_token1] = ACTIONS(1033),
    [aux_sym__keyword_begin_token1] = ACTIONS(1033),
    [aux_sym__keyword_between_token1] = ACTIONS(1033),
    [aux_sym__keyword_when_token1] = ACTIONS(1033),
    [aux_sym__keyword_is_token1] = ACTIONS(1033),
    [aux_sym__keyword_in_token1] = ACTIONS(1033),
    [aux_sym__keyword_and_token1] = ACTIONS(1033),
    [aux_sym__keyword_like_token1] = ACTIONS(1033),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1033),
    [aux_sym__keyword_as_token1] = ACTIONS(1033),
    [aux_sym__keyword_window_token1] = ACTIONS(1033),
    [aux_sym__keyword_date_token1] = ACTIONS(1033),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1033),
    [aux_sym__keyword_time_token1] = ACTIONS(1033),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1033),
    [aux_sym__keyword_for_token1] = ACTIONS(1033),
    [anon_sym_SEMI] = ACTIONS(1031),
    [aux_sym_declare_statement_token1] = ACTIONS(1033),
    [anon_sym_COMMA] = ACTIONS(1031),
    [aux_sym_set_statement_token1] = ACTIONS(1033),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1033),
    [aux_sym_return_satement_token1] = ACTIONS(1033),
    [aux_sym_call_statement_token1] = ACTIONS(1033),
    [aux_sym_loop_statement_token1] = ACTIONS(1033),
    [aux_sym_while_statement_token1] = ACTIONS(1033),
    [aux_sym_break_statement_token1] = ACTIONS(1033),
    [aux_sym_leave_statement_token1] = ACTIONS(1033),
    [aux_sym_continue_statement_token1] = ACTIONS(1033),
    [aux_sym_iterate_statement_token1] = ACTIONS(1033),
    [aux_sym_raise_statement_token1] = ACTIONS(1033),
    [anon_sym_EQ] = ACTIONS(1031),
    [aux_sym_assert_statement_token1] = ACTIONS(1033),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1033),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1033),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1033),
    [anon_sym_GT] = ACTIONS(1033),
    [aux_sym_set_operation_token1] = ACTIONS(1033),
    [aux_sym_set_operation_token3] = ACTIONS(1033),
    [aux_sym_set_operation_token4] = ACTIONS(1033),
    [aux_sym_select_token1] = ACTIONS(1033),
    [aux_sym_having_clause_token1] = ACTIONS(1033),
    [aux_sym_qualify_clause_token1] = ACTIONS(1033),
    [aux_sym_limit_clause_token1] = ACTIONS(1033),
    [aux_sym_group_by_clause_token1] = ACTIONS(1033),
    [aux_sym_order_by_clause_token1] = ACTIONS(1033),
    [aux_sym_where_clause_token1] = ACTIONS(1033),
    [aux_sym_insert_statement_token1] = ACTIONS(1033),
    [aux_sym_truncate_statement_token1] = ACTIONS(1033),
    [aux_sym_update_statement_token1] = ACTIONS(1033),
    [aux_sym_merge_statement_token1] = ACTIONS(1033),
    [aux_sym_grant_statement_token1] = ACTIONS(1033),
    [aux_sym_revoke_statement_token1] = ACTIONS(1033),
    [aux_sym_export_data_statement_token1] = ACTIONS(1033),
    [aux_sym_load_data_statement_token1] = ACTIONS(1033),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [sym__quoted_identifier] = ACTIONS(1031),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1031),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_STAR] = ACTIONS(789),
    [anon_sym_SLASH] = ACTIONS(791),
    [anon_sym_PIPE_PIPE] = ACTIONS(789),
    [anon_sym_LT_EQ] = ACTIONS(1031),
    [anon_sym_LT_GT] = ACTIONS(1031),
    [anon_sym_GT_EQ] = ACTIONS(1031),
    [anon_sym_BANG_EQ] = ACTIONS(1031),
    [anon_sym_LT_LT] = ACTIONS(793),
    [anon_sym_GT_GT] = ACTIONS(793),
    [anon_sym_AMP] = ACTIONS(795),
    [anon_sym_CARET] = ACTIONS(797),
    [anon_sym_PIPE] = ACTIONS(799),
  },
  [399] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8396),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_asterisk_expression] = STATE(15228),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [anon_sym_RPAREN] = ACTIONS(1538),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [400] = {
    [sym_unnest_withoffset] = STATE(429),
    [ts_builtin_sym_end] = ACTIONS(1540),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1540),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1540),
    [aux_sym_keyword_replace_token1] = ACTIONS(1542),
    [aux_sym__keyword_alter_token1] = ACTIONS(1540),
    [aux_sym__keyword_delete_token1] = ACTIONS(1540),
    [aux_sym__keyword_begin_token1] = ACTIONS(1540),
    [aux_sym__keyword_end_token1] = ACTIONS(1540),
    [aux_sym__keyword_between_token1] = ACTIONS(1540),
    [aux_sym__keyword_when_token1] = ACTIONS(1540),
    [aux_sym__keyword_else_token1] = ACTIONS(1542),
    [aux_sym__keyword_is_token1] = ACTIONS(1540),
    [aux_sym__keyword_in_token1] = ACTIONS(1542),
    [aux_sym__keyword_and_token1] = ACTIONS(1540),
    [aux_sym__keyword_like_token1] = ACTIONS(1540),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1540),
    [aux_sym__keyword_window_token1] = ACTIONS(1540),
    [aux_sym__keyword_for_token1] = ACTIONS(1540),
    [anon_sym_SEMI] = ACTIONS(1540),
    [aux_sym_declare_statement_token1] = ACTIONS(1540),
    [anon_sym_COMMA] = ACTIONS(1540),
    [aux_sym_set_statement_token1] = ACTIONS(1540),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1540),
    [aux_sym_using_clause_token1] = ACTIONS(1540),
    [aux_sym_return_satement_token1] = ACTIONS(1540),
    [aux_sym_call_statement_token1] = ACTIONS(1540),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1540),
    [aux_sym_if_statement_token1] = ACTIONS(1540),
    [aux_sym_loop_statement_token1] = ACTIONS(1540),
    [aux_sym_repeat_statement_token1] = ACTIONS(1540),
    [aux_sym_while_statement_token1] = ACTIONS(1540),
    [aux_sym_break_statement_token1] = ACTIONS(1540),
    [aux_sym_leave_statement_token1] = ACTIONS(1540),
    [aux_sym_continue_statement_token1] = ACTIONS(1540),
    [aux_sym_iterate_statement_token1] = ACTIONS(1540),
    [aux_sym_raise_statement_token1] = ACTIONS(1540),
    [anon_sym_EQ] = ACTIONS(1540),
    [aux_sym_assert_statement_token1] = ACTIONS(1540),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1540),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1540),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1544),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_GT] = ACTIONS(1542),
    [aux_sym_set_operation_token1] = ACTIONS(1540),
    [aux_sym_set_operation_token3] = ACTIONS(1540),
    [aux_sym_set_operation_token4] = ACTIONS(1542),
    [aux_sym_select_token1] = ACTIONS(1540),
    [aux_sym_having_clause_token1] = ACTIONS(1540),
    [aux_sym_qualify_clause_token1] = ACTIONS(1540),
    [aux_sym_limit_clause_token1] = ACTIONS(1540),
    [aux_sym_group_by_clause_token1] = ACTIONS(1540),
    [aux_sym_order_by_clause_token1] = ACTIONS(1540),
    [aux_sym_where_clause_token1] = ACTIONS(1540),
    [aux_sym_pivot_operator_token1] = ACTIONS(1540),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1540),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1540),
    [aux_sym_join_type_token1] = ACTIONS(1540),
    [aux_sym_join_type_token2] = ACTIONS(1540),
    [aux_sym_join_type_token3] = ACTIONS(1540),
    [aux_sym_join_type_token4] = ACTIONS(1540),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1540),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1540),
    [aux_sym_join_condition_token1] = ACTIONS(1540),
    [aux_sym_insert_statement_token1] = ACTIONS(1540),
    [aux_sym_truncate_statement_token1] = ACTIONS(1540),
    [aux_sym_update_statement_token1] = ACTIONS(1540),
    [aux_sym_merge_statement_token1] = ACTIONS(1540),
    [aux_sym_grant_statement_token1] = ACTIONS(1540),
    [aux_sym_revoke_statement_token1] = ACTIONS(1540),
    [aux_sym_export_data_statement_token1] = ACTIONS(1540),
    [aux_sym_load_data_statement_token1] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1540),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(1540),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(1542),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_LT_EQ] = ACTIONS(1540),
    [anon_sym_LT_GT] = ACTIONS(1540),
    [anon_sym_GT_EQ] = ACTIONS(1540),
    [anon_sym_BANG_EQ] = ACTIONS(1540),
    [anon_sym_LT_LT] = ACTIONS(1540),
    [anon_sym_GT_GT] = ACTIONS(1540),
    [anon_sym_AMP] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(1540),
    [anon_sym_PIPE] = ACTIONS(1542),
  },
  [401] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8378),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_asterisk_expression] = STATE(15638),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [anon_sym_RPAREN] = ACTIONS(1546),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [402] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8389),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_asterisk_expression] = STATE(15509),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [anon_sym_RPAREN] = ACTIONS(1548),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [403] = {
    [ts_builtin_sym_end] = ACTIONS(1540),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1540),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1540),
    [aux_sym_keyword_replace_token1] = ACTIONS(1542),
    [aux_sym__keyword_alter_token1] = ACTIONS(1540),
    [aux_sym__keyword_delete_token1] = ACTIONS(1540),
    [aux_sym__keyword_begin_token1] = ACTIONS(1540),
    [aux_sym__keyword_end_token1] = ACTIONS(1540),
    [aux_sym__keyword_between_token1] = ACTIONS(1540),
    [aux_sym__keyword_when_token1] = ACTIONS(1540),
    [aux_sym__keyword_else_token1] = ACTIONS(1542),
    [aux_sym__keyword_is_token1] = ACTIONS(1540),
    [aux_sym__keyword_in_token1] = ACTIONS(1542),
    [aux_sym__keyword_and_token1] = ACTIONS(1540),
    [aux_sym__keyword_like_token1] = ACTIONS(1540),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1540),
    [aux_sym__keyword_window_token1] = ACTIONS(1540),
    [aux_sym__keyword_for_token1] = ACTIONS(1540),
    [anon_sym_SEMI] = ACTIONS(1540),
    [aux_sym_declare_statement_token1] = ACTIONS(1540),
    [anon_sym_COMMA] = ACTIONS(1540),
    [aux_sym_set_statement_token1] = ACTIONS(1540),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [anon_sym_RPAREN] = ACTIONS(1540),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1540),
    [aux_sym_using_clause_token1] = ACTIONS(1540),
    [aux_sym_return_satement_token1] = ACTIONS(1540),
    [aux_sym_call_statement_token1] = ACTIONS(1540),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1540),
    [aux_sym_if_statement_token1] = ACTIONS(1540),
    [aux_sym_loop_statement_token1] = ACTIONS(1540),
    [aux_sym_repeat_statement_token1] = ACTIONS(1540),
    [aux_sym_while_statement_token1] = ACTIONS(1540),
    [aux_sym_break_statement_token1] = ACTIONS(1540),
    [aux_sym_leave_statement_token1] = ACTIONS(1540),
    [aux_sym_continue_statement_token1] = ACTIONS(1540),
    [aux_sym_iterate_statement_token1] = ACTIONS(1540),
    [aux_sym_raise_statement_token1] = ACTIONS(1540),
    [anon_sym_EQ] = ACTIONS(1540),
    [aux_sym_assert_statement_token1] = ACTIONS(1540),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1540),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1540),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1540),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_GT] = ACTIONS(1542),
    [aux_sym_set_operation_token1] = ACTIONS(1540),
    [aux_sym_set_operation_token3] = ACTIONS(1540),
    [aux_sym_set_operation_token4] = ACTIONS(1542),
    [aux_sym_select_token1] = ACTIONS(1540),
    [aux_sym_having_clause_token1] = ACTIONS(1540),
    [aux_sym_qualify_clause_token1] = ACTIONS(1540),
    [aux_sym_limit_clause_token1] = ACTIONS(1540),
    [aux_sym_group_by_clause_token1] = ACTIONS(1540),
    [aux_sym_order_by_clause_token1] = ACTIONS(1540),
    [aux_sym_where_clause_token1] = ACTIONS(1540),
    [aux_sym_pivot_operator_token1] = ACTIONS(1540),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1540),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1540),
    [aux_sym_join_type_token1] = ACTIONS(1540),
    [aux_sym_join_type_token2] = ACTIONS(1540),
    [aux_sym_join_type_token3] = ACTIONS(1540),
    [aux_sym_join_type_token4] = ACTIONS(1540),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1540),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1540),
    [aux_sym_join_condition_token1] = ACTIONS(1540),
    [aux_sym_insert_statement_token1] = ACTIONS(1540),
    [aux_sym_truncate_statement_token1] = ACTIONS(1540),
    [aux_sym_update_statement_token1] = ACTIONS(1540),
    [aux_sym_merge_statement_token1] = ACTIONS(1540),
    [aux_sym_grant_statement_token1] = ACTIONS(1540),
    [aux_sym_revoke_statement_token1] = ACTIONS(1540),
    [aux_sym_export_data_statement_token1] = ACTIONS(1540),
    [aux_sym_load_data_statement_token1] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1540),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(1540),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(1542),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_LT_EQ] = ACTIONS(1540),
    [anon_sym_LT_GT] = ACTIONS(1540),
    [anon_sym_GT_EQ] = ACTIONS(1540),
    [anon_sym_BANG_EQ] = ACTIONS(1540),
    [anon_sym_LT_LT] = ACTIONS(1540),
    [anon_sym_GT_GT] = ACTIONS(1540),
    [anon_sym_AMP] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(1540),
    [anon_sym_PIPE] = ACTIONS(1542),
  },
  [404] = {
    [sym__keyword_between] = STATE(1126),
    [sym__keyword_is] = STATE(12051),
    [sym__keyword_in] = STATE(1517),
    [sym__keyword_not] = STATE(13184),
    [sym__keyword_and] = STATE(1542),
    [sym__keyword_or] = STATE(1543),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [ts_builtin_sym_end] = ACTIONS(1027),
    [sym__unquoted_identifier] = ACTIONS(1029),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1029),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(339),
    [aux_sym_keyword_replace_token1] = ACTIONS(341),
    [aux_sym__keyword_alter_token1] = ACTIONS(1029),
    [aux_sym__keyword_from_token1] = ACTIONS(1029),
    [aux_sym__keyword_delete_token1] = ACTIONS(1029),
    [aux_sym__keyword_begin_token1] = ACTIONS(1029),
    [aux_sym__keyword_between_token1] = ACTIONS(771),
    [aux_sym__keyword_when_token1] = ACTIONS(1029),
    [aux_sym__keyword_is_token1] = ACTIONS(773),
    [aux_sym__keyword_in_token1] = ACTIONS(775),
    [aux_sym__keyword_and_token1] = ACTIONS(777),
    [aux_sym__keyword_like_token1] = ACTIONS(1029),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1029),
    [aux_sym__keyword_as_token1] = ACTIONS(1029),
    [aux_sym__keyword_window_token1] = ACTIONS(1029),
    [aux_sym__keyword_date_token1] = ACTIONS(1029),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1029),
    [aux_sym__keyword_time_token1] = ACTIONS(1029),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1029),
    [aux_sym__keyword_for_token1] = ACTIONS(1029),
    [anon_sym_SEMI] = ACTIONS(1027),
    [aux_sym_declare_statement_token1] = ACTIONS(1029),
    [anon_sym_COMMA] = ACTIONS(1027),
    [aux_sym_set_statement_token1] = ACTIONS(1029),
    [anon_sym_LPAREN] = ACTIONS(1027),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1029),
    [aux_sym_return_satement_token1] = ACTIONS(1029),
    [aux_sym_call_statement_token1] = ACTIONS(1029),
    [aux_sym_loop_statement_token1] = ACTIONS(1029),
    [aux_sym_while_statement_token1] = ACTIONS(1029),
    [aux_sym_break_statement_token1] = ACTIONS(1029),
    [aux_sym_leave_statement_token1] = ACTIONS(1029),
    [aux_sym_continue_statement_token1] = ACTIONS(1029),
    [aux_sym_iterate_statement_token1] = ACTIONS(1029),
    [aux_sym_raise_statement_token1] = ACTIONS(1029),
    [anon_sym_EQ] = ACTIONS(779),
    [aux_sym_assert_statement_token1] = ACTIONS(1029),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1029),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1029),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1029),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [aux_sym_set_operation_token1] = ACTIONS(1029),
    [aux_sym_set_operation_token3] = ACTIONS(1029),
    [aux_sym_set_operation_token4] = ACTIONS(1029),
    [aux_sym_select_token1] = ACTIONS(1029),
    [aux_sym_having_clause_token1] = ACTIONS(1029),
    [aux_sym_qualify_clause_token1] = ACTIONS(1029),
    [aux_sym_limit_clause_token1] = ACTIONS(1029),
    [aux_sym_group_by_clause_token1] = ACTIONS(1029),
    [aux_sym_order_by_clause_token1] = ACTIONS(1029),
    [aux_sym_where_clause_token1] = ACTIONS(1029),
    [aux_sym_insert_statement_token1] = ACTIONS(1029),
    [aux_sym_truncate_statement_token1] = ACTIONS(1029),
    [aux_sym_update_statement_token1] = ACTIONS(1029),
    [aux_sym_merge_statement_token1] = ACTIONS(1029),
    [aux_sym_grant_statement_token1] = ACTIONS(1029),
    [aux_sym_revoke_statement_token1] = ACTIONS(1029),
    [aux_sym_export_data_statement_token1] = ACTIONS(1029),
    [aux_sym_load_data_statement_token1] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1027),
    [sym__quoted_identifier] = ACTIONS(1027),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_STAR] = ACTIONS(789),
    [anon_sym_SLASH] = ACTIONS(791),
    [anon_sym_PIPE_PIPE] = ACTIONS(789),
    [anon_sym_LT_EQ] = ACTIONS(779),
    [anon_sym_LT_GT] = ACTIONS(779),
    [anon_sym_GT_EQ] = ACTIONS(779),
    [anon_sym_BANG_EQ] = ACTIONS(779),
    [anon_sym_LT_LT] = ACTIONS(793),
    [anon_sym_GT_GT] = ACTIONS(793),
    [anon_sym_AMP] = ACTIONS(795),
    [anon_sym_CARET] = ACTIONS(797),
    [anon_sym_PIPE] = ACTIONS(799),
  },
  [405] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8369),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_asterisk_expression] = STATE(15658),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [anon_sym_RPAREN] = ACTIONS(1550),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [406] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8391),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_asterisk_expression] = STATE(14874),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [anon_sym_RPAREN] = ACTIONS(1552),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [407] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8850),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_asterisk_expression] = STATE(14737),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [anon_sym_RPAREN] = ACTIONS(1554),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [408] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8398),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_asterisk_expression] = STATE(14484),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [anon_sym_RPAREN] = ACTIONS(1556),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [409] = {
    [sym__keyword_between] = STATE(1126),
    [sym__keyword_is] = STATE(12051),
    [sym__keyword_in] = STATE(1517),
    [sym__keyword_not] = STATE(13184),
    [sym__keyword_and] = STATE(1542),
    [sym__keyword_or] = STATE(1543),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [ts_builtin_sym_end] = ACTIONS(917),
    [sym__unquoted_identifier] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(339),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(921),
    [aux_sym__keyword_from_token1] = ACTIONS(921),
    [aux_sym__keyword_delete_token1] = ACTIONS(921),
    [aux_sym__keyword_begin_token1] = ACTIONS(921),
    [aux_sym__keyword_between_token1] = ACTIONS(771),
    [aux_sym__keyword_when_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(773),
    [aux_sym__keyword_in_token1] = ACTIONS(775),
    [aux_sym__keyword_and_token1] = ACTIONS(777),
    [aux_sym__keyword_like_token1] = ACTIONS(921),
    [aux_sym__keyword_repeat_token1] = ACTIONS(921),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_window_token1] = ACTIONS(921),
    [aux_sym__keyword_date_token1] = ACTIONS(921),
    [aux_sym__keyword_datetime_token1] = ACTIONS(921),
    [aux_sym__keyword_time_token1] = ACTIONS(921),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(921),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(921),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(921),
    [aux_sym_return_satement_token1] = ACTIONS(921),
    [aux_sym_call_statement_token1] = ACTIONS(921),
    [aux_sym_loop_statement_token1] = ACTIONS(921),
    [aux_sym_while_statement_token1] = ACTIONS(921),
    [aux_sym_break_statement_token1] = ACTIONS(921),
    [aux_sym_leave_statement_token1] = ACTIONS(921),
    [aux_sym_continue_statement_token1] = ACTIONS(921),
    [aux_sym_iterate_statement_token1] = ACTIONS(921),
    [aux_sym_raise_statement_token1] = ACTIONS(921),
    [anon_sym_EQ] = ACTIONS(779),
    [aux_sym_assert_statement_token1] = ACTIONS(921),
    [aux_sym_create_schema_statement_token1] = ACTIONS(921),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(921),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [aux_sym_set_operation_token1] = ACTIONS(921),
    [aux_sym_set_operation_token3] = ACTIONS(921),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(921),
    [aux_sym_having_clause_token1] = ACTIONS(921),
    [aux_sym_qualify_clause_token1] = ACTIONS(921),
    [aux_sym_limit_clause_token1] = ACTIONS(921),
    [aux_sym_group_by_clause_token1] = ACTIONS(921),
    [aux_sym_order_by_clause_token1] = ACTIONS(921),
    [aux_sym_where_clause_token1] = ACTIONS(921),
    [aux_sym_insert_statement_token1] = ACTIONS(921),
    [aux_sym_truncate_statement_token1] = ACTIONS(921),
    [aux_sym_update_statement_token1] = ACTIONS(921),
    [aux_sym_merge_statement_token1] = ACTIONS(921),
    [aux_sym_grant_statement_token1] = ACTIONS(921),
    [aux_sym_revoke_statement_token1] = ACTIONS(921),
    [aux_sym_export_data_statement_token1] = ACTIONS(921),
    [aux_sym_load_data_statement_token1] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym__quoted_identifier] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_STAR] = ACTIONS(789),
    [anon_sym_SLASH] = ACTIONS(791),
    [anon_sym_PIPE_PIPE] = ACTIONS(789),
    [anon_sym_LT_EQ] = ACTIONS(779),
    [anon_sym_LT_GT] = ACTIONS(779),
    [anon_sym_GT_EQ] = ACTIONS(779),
    [anon_sym_BANG_EQ] = ACTIONS(779),
    [anon_sym_LT_LT] = ACTIONS(793),
    [anon_sym_GT_GT] = ACTIONS(793),
    [anon_sym_AMP] = ACTIONS(795),
    [anon_sym_CARET] = ACTIONS(797),
    [anon_sym_PIPE] = ACTIONS(799),
  },
  [410] = {
    [sym__keyword_between] = STATE(1126),
    [sym__keyword_is] = STATE(12051),
    [sym__keyword_in] = STATE(1517),
    [sym__keyword_not] = STATE(13184),
    [sym__keyword_and] = STATE(1542),
    [sym__keyword_or] = STATE(1543),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [ts_builtin_sym_end] = ACTIONS(947),
    [sym__unquoted_identifier] = ACTIONS(949),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(949),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(949),
    [aux_sym_keyword_replace_token1] = ACTIONS(949),
    [aux_sym__keyword_alter_token1] = ACTIONS(949),
    [aux_sym__keyword_from_token1] = ACTIONS(949),
    [aux_sym__keyword_delete_token1] = ACTIONS(949),
    [aux_sym__keyword_begin_token1] = ACTIONS(949),
    [aux_sym__keyword_between_token1] = ACTIONS(949),
    [aux_sym__keyword_when_token1] = ACTIONS(949),
    [aux_sym__keyword_is_token1] = ACTIONS(949),
    [aux_sym__keyword_in_token1] = ACTIONS(949),
    [aux_sym__keyword_and_token1] = ACTIONS(949),
    [aux_sym__keyword_like_token1] = ACTIONS(949),
    [aux_sym__keyword_repeat_token1] = ACTIONS(949),
    [aux_sym__keyword_as_token1] = ACTIONS(949),
    [aux_sym__keyword_window_token1] = ACTIONS(949),
    [aux_sym__keyword_date_token1] = ACTIONS(949),
    [aux_sym__keyword_datetime_token1] = ACTIONS(949),
    [aux_sym__keyword_time_token1] = ACTIONS(949),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(949),
    [aux_sym__keyword_for_token1] = ACTIONS(949),
    [anon_sym_SEMI] = ACTIONS(947),
    [aux_sym_declare_statement_token1] = ACTIONS(949),
    [anon_sym_COMMA] = ACTIONS(947),
    [aux_sym_set_statement_token1] = ACTIONS(949),
    [anon_sym_LPAREN] = ACTIONS(947),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(949),
    [aux_sym_return_satement_token1] = ACTIONS(949),
    [aux_sym_call_statement_token1] = ACTIONS(949),
    [aux_sym_loop_statement_token1] = ACTIONS(949),
    [aux_sym_while_statement_token1] = ACTIONS(949),
    [aux_sym_break_statement_token1] = ACTIONS(949),
    [aux_sym_leave_statement_token1] = ACTIONS(949),
    [aux_sym_continue_statement_token1] = ACTIONS(949),
    [aux_sym_iterate_statement_token1] = ACTIONS(949),
    [aux_sym_raise_statement_token1] = ACTIONS(949),
    [anon_sym_EQ] = ACTIONS(947),
    [aux_sym_assert_statement_token1] = ACTIONS(949),
    [aux_sym_create_schema_statement_token1] = ACTIONS(949),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(949),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(949),
    [anon_sym_GT] = ACTIONS(949),
    [aux_sym_set_operation_token1] = ACTIONS(949),
    [aux_sym_set_operation_token3] = ACTIONS(949),
    [aux_sym_set_operation_token4] = ACTIONS(949),
    [aux_sym_select_token1] = ACTIONS(949),
    [aux_sym_having_clause_token1] = ACTIONS(949),
    [aux_sym_qualify_clause_token1] = ACTIONS(949),
    [aux_sym_limit_clause_token1] = ACTIONS(949),
    [aux_sym_group_by_clause_token1] = ACTIONS(949),
    [aux_sym_order_by_clause_token1] = ACTIONS(949),
    [aux_sym_where_clause_token1] = ACTIONS(949),
    [aux_sym_insert_statement_token1] = ACTIONS(949),
    [aux_sym_truncate_statement_token1] = ACTIONS(949),
    [aux_sym_update_statement_token1] = ACTIONS(949),
    [aux_sym_merge_statement_token1] = ACTIONS(949),
    [aux_sym_grant_statement_token1] = ACTIONS(949),
    [aux_sym_revoke_statement_token1] = ACTIONS(949),
    [aux_sym_export_data_statement_token1] = ACTIONS(949),
    [aux_sym_load_data_statement_token1] = ACTIONS(949),
    [anon_sym_LBRACK] = ACTIONS(947),
    [sym__quoted_identifier] = ACTIONS(947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_STAR] = ACTIONS(789),
    [anon_sym_SLASH] = ACTIONS(791),
    [anon_sym_PIPE_PIPE] = ACTIONS(789),
    [anon_sym_LT_EQ] = ACTIONS(947),
    [anon_sym_LT_GT] = ACTIONS(947),
    [anon_sym_GT_EQ] = ACTIONS(947),
    [anon_sym_BANG_EQ] = ACTIONS(947),
    [anon_sym_LT_LT] = ACTIONS(793),
    [anon_sym_GT_GT] = ACTIONS(793),
    [anon_sym_AMP] = ACTIONS(795),
    [anon_sym_CARET] = ACTIONS(797),
    [anon_sym_PIPE] = ACTIONS(799),
  },
  [411] = {
    [sym__keyword_between] = STATE(1126),
    [sym__keyword_is] = STATE(12051),
    [sym__keyword_in] = STATE(1517),
    [sym__keyword_not] = STATE(13184),
    [sym__keyword_and] = STATE(1542),
    [sym__keyword_or] = STATE(1543),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [ts_builtin_sym_end] = ACTIONS(1023),
    [sym__unquoted_identifier] = ACTIONS(1025),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1025),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1025),
    [aux_sym_keyword_replace_token1] = ACTIONS(1025),
    [aux_sym__keyword_alter_token1] = ACTIONS(1025),
    [aux_sym__keyword_from_token1] = ACTIONS(1025),
    [aux_sym__keyword_delete_token1] = ACTIONS(1025),
    [aux_sym__keyword_begin_token1] = ACTIONS(1025),
    [aux_sym__keyword_between_token1] = ACTIONS(1025),
    [aux_sym__keyword_when_token1] = ACTIONS(1025),
    [aux_sym__keyword_is_token1] = ACTIONS(1025),
    [aux_sym__keyword_in_token1] = ACTIONS(1025),
    [aux_sym__keyword_and_token1] = ACTIONS(1025),
    [aux_sym__keyword_like_token1] = ACTIONS(1025),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1025),
    [aux_sym__keyword_as_token1] = ACTIONS(1025),
    [aux_sym__keyword_window_token1] = ACTIONS(1025),
    [aux_sym__keyword_date_token1] = ACTIONS(1025),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1025),
    [aux_sym__keyword_time_token1] = ACTIONS(1025),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1025),
    [aux_sym__keyword_for_token1] = ACTIONS(1025),
    [anon_sym_SEMI] = ACTIONS(1023),
    [aux_sym_declare_statement_token1] = ACTIONS(1025),
    [anon_sym_COMMA] = ACTIONS(1023),
    [aux_sym_set_statement_token1] = ACTIONS(1025),
    [anon_sym_LPAREN] = ACTIONS(1023),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1025),
    [aux_sym_return_satement_token1] = ACTIONS(1025),
    [aux_sym_call_statement_token1] = ACTIONS(1025),
    [aux_sym_loop_statement_token1] = ACTIONS(1025),
    [aux_sym_while_statement_token1] = ACTIONS(1025),
    [aux_sym_break_statement_token1] = ACTIONS(1025),
    [aux_sym_leave_statement_token1] = ACTIONS(1025),
    [aux_sym_continue_statement_token1] = ACTIONS(1025),
    [aux_sym_iterate_statement_token1] = ACTIONS(1025),
    [aux_sym_raise_statement_token1] = ACTIONS(1025),
    [anon_sym_EQ] = ACTIONS(1023),
    [aux_sym_assert_statement_token1] = ACTIONS(1025),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1025),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1025),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1025),
    [anon_sym_LT] = ACTIONS(1025),
    [anon_sym_GT] = ACTIONS(1025),
    [aux_sym_set_operation_token1] = ACTIONS(1025),
    [aux_sym_set_operation_token3] = ACTIONS(1025),
    [aux_sym_set_operation_token4] = ACTIONS(1025),
    [aux_sym_select_token1] = ACTIONS(1025),
    [aux_sym_having_clause_token1] = ACTIONS(1025),
    [aux_sym_qualify_clause_token1] = ACTIONS(1025),
    [aux_sym_limit_clause_token1] = ACTIONS(1025),
    [aux_sym_group_by_clause_token1] = ACTIONS(1025),
    [aux_sym_order_by_clause_token1] = ACTIONS(1025),
    [aux_sym_where_clause_token1] = ACTIONS(1025),
    [aux_sym_insert_statement_token1] = ACTIONS(1025),
    [aux_sym_truncate_statement_token1] = ACTIONS(1025),
    [aux_sym_update_statement_token1] = ACTIONS(1025),
    [aux_sym_merge_statement_token1] = ACTIONS(1025),
    [aux_sym_grant_statement_token1] = ACTIONS(1025),
    [aux_sym_revoke_statement_token1] = ACTIONS(1025),
    [aux_sym_export_data_statement_token1] = ACTIONS(1025),
    [aux_sym_load_data_statement_token1] = ACTIONS(1025),
    [anon_sym_LBRACK] = ACTIONS(1023),
    [sym__quoted_identifier] = ACTIONS(1023),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1023),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_STAR] = ACTIONS(789),
    [anon_sym_SLASH] = ACTIONS(791),
    [anon_sym_PIPE_PIPE] = ACTIONS(789),
    [anon_sym_LT_EQ] = ACTIONS(1023),
    [anon_sym_LT_GT] = ACTIONS(1023),
    [anon_sym_GT_EQ] = ACTIONS(1023),
    [anon_sym_BANG_EQ] = ACTIONS(1023),
    [anon_sym_LT_LT] = ACTIONS(793),
    [anon_sym_GT_GT] = ACTIONS(793),
    [anon_sym_AMP] = ACTIONS(795),
    [anon_sym_CARET] = ACTIONS(797),
    [anon_sym_PIPE] = ACTIONS(799),
  },
  [412] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8404),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_asterisk_expression] = STATE(14503),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [anon_sym_RPAREN] = ACTIONS(1558),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [413] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8408),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_asterisk_expression] = STATE(14734),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [anon_sym_RPAREN] = ACTIONS(1560),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [414] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8384),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_asterisk_expression] = STATE(14551),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [anon_sym_RPAREN] = ACTIONS(1562),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [415] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8411),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_asterisk_expression] = STATE(14965),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [anon_sym_RPAREN] = ACTIONS(1564),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [416] = {
    [sym__keyword_between] = STATE(1126),
    [sym__keyword_is] = STATE(12051),
    [sym__keyword_in] = STATE(1517),
    [sym__keyword_not] = STATE(13184),
    [sym__keyword_and] = STATE(1542),
    [sym__keyword_or] = STATE(1543),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [ts_builtin_sym_end] = ACTIONS(917),
    [sym__unquoted_identifier] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(339),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(921),
    [aux_sym__keyword_from_token1] = ACTIONS(921),
    [aux_sym__keyword_delete_token1] = ACTIONS(921),
    [aux_sym__keyword_begin_token1] = ACTIONS(921),
    [aux_sym__keyword_between_token1] = ACTIONS(771),
    [aux_sym__keyword_when_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(773),
    [aux_sym__keyword_in_token1] = ACTIONS(775),
    [aux_sym__keyword_and_token1] = ACTIONS(921),
    [aux_sym__keyword_like_token1] = ACTIONS(921),
    [aux_sym__keyword_repeat_token1] = ACTIONS(921),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_window_token1] = ACTIONS(921),
    [aux_sym__keyword_date_token1] = ACTIONS(921),
    [aux_sym__keyword_datetime_token1] = ACTIONS(921),
    [aux_sym__keyword_time_token1] = ACTIONS(921),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(921),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(921),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(921),
    [aux_sym_return_satement_token1] = ACTIONS(921),
    [aux_sym_call_statement_token1] = ACTIONS(921),
    [aux_sym_loop_statement_token1] = ACTIONS(921),
    [aux_sym_while_statement_token1] = ACTIONS(921),
    [aux_sym_break_statement_token1] = ACTIONS(921),
    [aux_sym_leave_statement_token1] = ACTIONS(921),
    [aux_sym_continue_statement_token1] = ACTIONS(921),
    [aux_sym_iterate_statement_token1] = ACTIONS(921),
    [aux_sym_raise_statement_token1] = ACTIONS(921),
    [anon_sym_EQ] = ACTIONS(779),
    [aux_sym_assert_statement_token1] = ACTIONS(921),
    [aux_sym_create_schema_statement_token1] = ACTIONS(921),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(921),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(775),
    [aux_sym_set_operation_token1] = ACTIONS(921),
    [aux_sym_set_operation_token3] = ACTIONS(921),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(921),
    [aux_sym_having_clause_token1] = ACTIONS(921),
    [aux_sym_qualify_clause_token1] = ACTIONS(921),
    [aux_sym_limit_clause_token1] = ACTIONS(921),
    [aux_sym_group_by_clause_token1] = ACTIONS(921),
    [aux_sym_order_by_clause_token1] = ACTIONS(921),
    [aux_sym_where_clause_token1] = ACTIONS(921),
    [aux_sym_insert_statement_token1] = ACTIONS(921),
    [aux_sym_truncate_statement_token1] = ACTIONS(921),
    [aux_sym_update_statement_token1] = ACTIONS(921),
    [aux_sym_merge_statement_token1] = ACTIONS(921),
    [aux_sym_grant_statement_token1] = ACTIONS(921),
    [aux_sym_revoke_statement_token1] = ACTIONS(921),
    [aux_sym_export_data_statement_token1] = ACTIONS(921),
    [aux_sym_load_data_statement_token1] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym__quoted_identifier] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_STAR] = ACTIONS(789),
    [anon_sym_SLASH] = ACTIONS(791),
    [anon_sym_PIPE_PIPE] = ACTIONS(789),
    [anon_sym_LT_EQ] = ACTIONS(779),
    [anon_sym_LT_GT] = ACTIONS(779),
    [anon_sym_GT_EQ] = ACTIONS(779),
    [anon_sym_BANG_EQ] = ACTIONS(779),
    [anon_sym_LT_LT] = ACTIONS(793),
    [anon_sym_GT_GT] = ACTIONS(793),
    [anon_sym_AMP] = ACTIONS(795),
    [anon_sym_CARET] = ACTIONS(797),
    [anon_sym_PIPE] = ACTIONS(799),
  },
  [417] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8414),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_asterisk_expression] = STATE(15196),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [anon_sym_RPAREN] = ACTIONS(1566),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [418] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8426),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_asterisk_expression] = STATE(15037),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [anon_sym_RPAREN] = ACTIONS(1568),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [419] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8416),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_asterisk_expression] = STATE(15410),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [anon_sym_RPAREN] = ACTIONS(1570),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [420] = {
    [sym__keyword_between] = STATE(1126),
    [sym__keyword_is] = STATE(12051),
    [sym__keyword_in] = STATE(1517),
    [sym__keyword_not] = STATE(13184),
    [sym__keyword_and] = STATE(1542),
    [sym__keyword_or] = STATE(1543),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [ts_builtin_sym_end] = ACTIONS(917),
    [sym__unquoted_identifier] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(921),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(921),
    [aux_sym__keyword_from_token1] = ACTIONS(921),
    [aux_sym__keyword_delete_token1] = ACTIONS(921),
    [aux_sym__keyword_begin_token1] = ACTIONS(921),
    [aux_sym__keyword_between_token1] = ACTIONS(921),
    [aux_sym__keyword_when_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(921),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(921),
    [aux_sym__keyword_like_token1] = ACTIONS(921),
    [aux_sym__keyword_repeat_token1] = ACTIONS(921),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_window_token1] = ACTIONS(921),
    [aux_sym__keyword_date_token1] = ACTIONS(921),
    [aux_sym__keyword_datetime_token1] = ACTIONS(921),
    [aux_sym__keyword_time_token1] = ACTIONS(921),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(921),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(921),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(921),
    [aux_sym_return_satement_token1] = ACTIONS(921),
    [aux_sym_call_statement_token1] = ACTIONS(921),
    [aux_sym_loop_statement_token1] = ACTIONS(921),
    [aux_sym_while_statement_token1] = ACTIONS(921),
    [aux_sym_break_statement_token1] = ACTIONS(921),
    [aux_sym_leave_statement_token1] = ACTIONS(921),
    [aux_sym_continue_statement_token1] = ACTIONS(921),
    [aux_sym_iterate_statement_token1] = ACTIONS(921),
    [aux_sym_raise_statement_token1] = ACTIONS(921),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(921),
    [aux_sym_create_schema_statement_token1] = ACTIONS(921),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(921),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(921),
    [aux_sym_set_operation_token3] = ACTIONS(921),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(921),
    [aux_sym_having_clause_token1] = ACTIONS(921),
    [aux_sym_qualify_clause_token1] = ACTIONS(921),
    [aux_sym_limit_clause_token1] = ACTIONS(921),
    [aux_sym_group_by_clause_token1] = ACTIONS(921),
    [aux_sym_order_by_clause_token1] = ACTIONS(921),
    [aux_sym_where_clause_token1] = ACTIONS(921),
    [aux_sym_insert_statement_token1] = ACTIONS(921),
    [aux_sym_truncate_statement_token1] = ACTIONS(921),
    [aux_sym_update_statement_token1] = ACTIONS(921),
    [aux_sym_merge_statement_token1] = ACTIONS(921),
    [aux_sym_grant_statement_token1] = ACTIONS(921),
    [aux_sym_revoke_statement_token1] = ACTIONS(921),
    [aux_sym_export_data_statement_token1] = ACTIONS(921),
    [aux_sym_load_data_statement_token1] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym__quoted_identifier] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_STAR] = ACTIONS(789),
    [anon_sym_SLASH] = ACTIONS(791),
    [anon_sym_PIPE_PIPE] = ACTIONS(789),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(793),
    [anon_sym_GT_GT] = ACTIONS(793),
    [anon_sym_AMP] = ACTIONS(795),
    [anon_sym_CARET] = ACTIONS(797),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [421] = {
    [sym__keyword_between] = STATE(1126),
    [sym__keyword_is] = STATE(12051),
    [sym__keyword_in] = STATE(1517),
    [sym__keyword_not] = STATE(13184),
    [sym__keyword_and] = STATE(1542),
    [sym__keyword_or] = STATE(1543),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [ts_builtin_sym_end] = ACTIONS(917),
    [sym__unquoted_identifier] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(921),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(921),
    [aux_sym__keyword_from_token1] = ACTIONS(921),
    [aux_sym__keyword_delete_token1] = ACTIONS(921),
    [aux_sym__keyword_begin_token1] = ACTIONS(921),
    [aux_sym__keyword_between_token1] = ACTIONS(921),
    [aux_sym__keyword_when_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(921),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(921),
    [aux_sym__keyword_like_token1] = ACTIONS(921),
    [aux_sym__keyword_repeat_token1] = ACTIONS(921),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_window_token1] = ACTIONS(921),
    [aux_sym__keyword_date_token1] = ACTIONS(921),
    [aux_sym__keyword_datetime_token1] = ACTIONS(921),
    [aux_sym__keyword_time_token1] = ACTIONS(921),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(921),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(921),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(921),
    [aux_sym_return_satement_token1] = ACTIONS(921),
    [aux_sym_call_statement_token1] = ACTIONS(921),
    [aux_sym_loop_statement_token1] = ACTIONS(921),
    [aux_sym_while_statement_token1] = ACTIONS(921),
    [aux_sym_break_statement_token1] = ACTIONS(921),
    [aux_sym_leave_statement_token1] = ACTIONS(921),
    [aux_sym_continue_statement_token1] = ACTIONS(921),
    [aux_sym_iterate_statement_token1] = ACTIONS(921),
    [aux_sym_raise_statement_token1] = ACTIONS(921),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(921),
    [aux_sym_create_schema_statement_token1] = ACTIONS(921),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(921),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(921),
    [aux_sym_set_operation_token3] = ACTIONS(921),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(921),
    [aux_sym_having_clause_token1] = ACTIONS(921),
    [aux_sym_qualify_clause_token1] = ACTIONS(921),
    [aux_sym_limit_clause_token1] = ACTIONS(921),
    [aux_sym_group_by_clause_token1] = ACTIONS(921),
    [aux_sym_order_by_clause_token1] = ACTIONS(921),
    [aux_sym_where_clause_token1] = ACTIONS(921),
    [aux_sym_insert_statement_token1] = ACTIONS(921),
    [aux_sym_truncate_statement_token1] = ACTIONS(921),
    [aux_sym_update_statement_token1] = ACTIONS(921),
    [aux_sym_merge_statement_token1] = ACTIONS(921),
    [aux_sym_grant_statement_token1] = ACTIONS(921),
    [aux_sym_revoke_statement_token1] = ACTIONS(921),
    [aux_sym_export_data_statement_token1] = ACTIONS(921),
    [aux_sym_load_data_statement_token1] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym__quoted_identifier] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_STAR] = ACTIONS(789),
    [anon_sym_SLASH] = ACTIONS(791),
    [anon_sym_PIPE_PIPE] = ACTIONS(789),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(793),
    [anon_sym_GT_GT] = ACTIONS(793),
    [anon_sym_AMP] = ACTIONS(795),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [422] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8372),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_asterisk_expression] = STATE(15485),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [anon_sym_RPAREN] = ACTIONS(1572),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [423] = {
    [sym__keyword_between] = STATE(1126),
    [sym__keyword_is] = STATE(12051),
    [sym__keyword_in] = STATE(1517),
    [sym__keyword_not] = STATE(13184),
    [sym__keyword_and] = STATE(1542),
    [sym__keyword_or] = STATE(1543),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [ts_builtin_sym_end] = ACTIONS(917),
    [sym__unquoted_identifier] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(921),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(921),
    [aux_sym__keyword_from_token1] = ACTIONS(921),
    [aux_sym__keyword_delete_token1] = ACTIONS(921),
    [aux_sym__keyword_begin_token1] = ACTIONS(921),
    [aux_sym__keyword_between_token1] = ACTIONS(921),
    [aux_sym__keyword_when_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(921),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(921),
    [aux_sym__keyword_like_token1] = ACTIONS(921),
    [aux_sym__keyword_repeat_token1] = ACTIONS(921),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_window_token1] = ACTIONS(921),
    [aux_sym__keyword_date_token1] = ACTIONS(921),
    [aux_sym__keyword_datetime_token1] = ACTIONS(921),
    [aux_sym__keyword_time_token1] = ACTIONS(921),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(921),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(921),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(921),
    [aux_sym_return_satement_token1] = ACTIONS(921),
    [aux_sym_call_statement_token1] = ACTIONS(921),
    [aux_sym_loop_statement_token1] = ACTIONS(921),
    [aux_sym_while_statement_token1] = ACTIONS(921),
    [aux_sym_break_statement_token1] = ACTIONS(921),
    [aux_sym_leave_statement_token1] = ACTIONS(921),
    [aux_sym_continue_statement_token1] = ACTIONS(921),
    [aux_sym_iterate_statement_token1] = ACTIONS(921),
    [aux_sym_raise_statement_token1] = ACTIONS(921),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(921),
    [aux_sym_create_schema_statement_token1] = ACTIONS(921),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(921),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(921),
    [aux_sym_set_operation_token3] = ACTIONS(921),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(921),
    [aux_sym_having_clause_token1] = ACTIONS(921),
    [aux_sym_qualify_clause_token1] = ACTIONS(921),
    [aux_sym_limit_clause_token1] = ACTIONS(921),
    [aux_sym_group_by_clause_token1] = ACTIONS(921),
    [aux_sym_order_by_clause_token1] = ACTIONS(921),
    [aux_sym_where_clause_token1] = ACTIONS(921),
    [aux_sym_insert_statement_token1] = ACTIONS(921),
    [aux_sym_truncate_statement_token1] = ACTIONS(921),
    [aux_sym_update_statement_token1] = ACTIONS(921),
    [aux_sym_merge_statement_token1] = ACTIONS(921),
    [aux_sym_grant_statement_token1] = ACTIONS(921),
    [aux_sym_revoke_statement_token1] = ACTIONS(921),
    [aux_sym_export_data_statement_token1] = ACTIONS(921),
    [aux_sym_load_data_statement_token1] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym__quoted_identifier] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_STAR] = ACTIONS(789),
    [anon_sym_SLASH] = ACTIONS(791),
    [anon_sym_PIPE_PIPE] = ACTIONS(789),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [424] = {
    [sym__keyword_between] = STATE(1126),
    [sym__keyword_is] = STATE(12051),
    [sym__keyword_in] = STATE(1517),
    [sym__keyword_not] = STATE(13184),
    [sym__keyword_and] = STATE(1542),
    [sym__keyword_or] = STATE(1543),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [ts_builtin_sym_end] = ACTIONS(917),
    [sym__unquoted_identifier] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(921),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(921),
    [aux_sym__keyword_from_token1] = ACTIONS(921),
    [aux_sym__keyword_delete_token1] = ACTIONS(921),
    [aux_sym__keyword_begin_token1] = ACTIONS(921),
    [aux_sym__keyword_between_token1] = ACTIONS(921),
    [aux_sym__keyword_when_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(921),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(921),
    [aux_sym__keyword_like_token1] = ACTIONS(921),
    [aux_sym__keyword_repeat_token1] = ACTIONS(921),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_window_token1] = ACTIONS(921),
    [aux_sym__keyword_date_token1] = ACTIONS(921),
    [aux_sym__keyword_datetime_token1] = ACTIONS(921),
    [aux_sym__keyword_time_token1] = ACTIONS(921),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(921),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(921),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(921),
    [aux_sym_return_satement_token1] = ACTIONS(921),
    [aux_sym_call_statement_token1] = ACTIONS(921),
    [aux_sym_loop_statement_token1] = ACTIONS(921),
    [aux_sym_while_statement_token1] = ACTIONS(921),
    [aux_sym_break_statement_token1] = ACTIONS(921),
    [aux_sym_leave_statement_token1] = ACTIONS(921),
    [aux_sym_continue_statement_token1] = ACTIONS(921),
    [aux_sym_iterate_statement_token1] = ACTIONS(921),
    [aux_sym_raise_statement_token1] = ACTIONS(921),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(921),
    [aux_sym_create_schema_statement_token1] = ACTIONS(921),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(921),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(921),
    [aux_sym_set_operation_token3] = ACTIONS(921),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(921),
    [aux_sym_having_clause_token1] = ACTIONS(921),
    [aux_sym_qualify_clause_token1] = ACTIONS(921),
    [aux_sym_limit_clause_token1] = ACTIONS(921),
    [aux_sym_group_by_clause_token1] = ACTIONS(921),
    [aux_sym_order_by_clause_token1] = ACTIONS(921),
    [aux_sym_where_clause_token1] = ACTIONS(921),
    [aux_sym_insert_statement_token1] = ACTIONS(921),
    [aux_sym_truncate_statement_token1] = ACTIONS(921),
    [aux_sym_update_statement_token1] = ACTIONS(921),
    [aux_sym_merge_statement_token1] = ACTIONS(921),
    [aux_sym_grant_statement_token1] = ACTIONS(921),
    [aux_sym_revoke_statement_token1] = ACTIONS(921),
    [aux_sym_export_data_statement_token1] = ACTIONS(921),
    [aux_sym_load_data_statement_token1] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym__quoted_identifier] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(917),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PIPE_PIPE] = ACTIONS(917),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [425] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8443),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_asterisk_expression] = STATE(15608),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [anon_sym_RPAREN] = ACTIONS(1574),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [426] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8423),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_asterisk_expression] = STATE(15804),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [anon_sym_RPAREN] = ACTIONS(1576),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [427] = {
    [ts_builtin_sym_end] = ACTIONS(1578),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1578),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1578),
    [aux_sym_keyword_replace_token1] = ACTIONS(1580),
    [aux_sym__keyword_alter_token1] = ACTIONS(1578),
    [aux_sym__keyword_delete_token1] = ACTIONS(1578),
    [aux_sym__keyword_begin_token1] = ACTIONS(1578),
    [aux_sym__keyword_end_token1] = ACTIONS(1578),
    [aux_sym__keyword_between_token1] = ACTIONS(1578),
    [aux_sym__keyword_when_token1] = ACTIONS(1578),
    [aux_sym__keyword_else_token1] = ACTIONS(1580),
    [aux_sym__keyword_is_token1] = ACTIONS(1578),
    [aux_sym__keyword_in_token1] = ACTIONS(1580),
    [aux_sym__keyword_and_token1] = ACTIONS(1578),
    [aux_sym__keyword_like_token1] = ACTIONS(1578),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1578),
    [aux_sym__keyword_window_token1] = ACTIONS(1578),
    [aux_sym__keyword_for_token1] = ACTIONS(1578),
    [anon_sym_SEMI] = ACTIONS(1578),
    [aux_sym_declare_statement_token1] = ACTIONS(1578),
    [anon_sym_COMMA] = ACTIONS(1578),
    [aux_sym_set_statement_token1] = ACTIONS(1578),
    [anon_sym_LPAREN] = ACTIONS(1578),
    [anon_sym_RPAREN] = ACTIONS(1578),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1578),
    [aux_sym_using_clause_token1] = ACTIONS(1578),
    [aux_sym_return_satement_token1] = ACTIONS(1578),
    [aux_sym_call_statement_token1] = ACTIONS(1578),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1578),
    [aux_sym_if_statement_token1] = ACTIONS(1578),
    [aux_sym_loop_statement_token1] = ACTIONS(1578),
    [aux_sym_repeat_statement_token1] = ACTIONS(1578),
    [aux_sym_while_statement_token1] = ACTIONS(1578),
    [aux_sym_break_statement_token1] = ACTIONS(1578),
    [aux_sym_leave_statement_token1] = ACTIONS(1578),
    [aux_sym_continue_statement_token1] = ACTIONS(1578),
    [aux_sym_iterate_statement_token1] = ACTIONS(1578),
    [aux_sym_raise_statement_token1] = ACTIONS(1578),
    [anon_sym_EQ] = ACTIONS(1578),
    [aux_sym_assert_statement_token1] = ACTIONS(1578),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1578),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1578),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1578),
    [anon_sym_LT] = ACTIONS(1580),
    [anon_sym_GT] = ACTIONS(1580),
    [aux_sym_set_operation_token1] = ACTIONS(1578),
    [aux_sym_set_operation_token3] = ACTIONS(1578),
    [aux_sym_set_operation_token4] = ACTIONS(1580),
    [aux_sym_select_token1] = ACTIONS(1578),
    [aux_sym_having_clause_token1] = ACTIONS(1578),
    [aux_sym_qualify_clause_token1] = ACTIONS(1578),
    [aux_sym_limit_clause_token1] = ACTIONS(1578),
    [aux_sym_group_by_clause_token1] = ACTIONS(1578),
    [aux_sym_order_by_clause_token1] = ACTIONS(1578),
    [aux_sym_where_clause_token1] = ACTIONS(1578),
    [aux_sym_pivot_operator_token1] = ACTIONS(1578),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1578),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1578),
    [aux_sym_join_type_token1] = ACTIONS(1578),
    [aux_sym_join_type_token2] = ACTIONS(1578),
    [aux_sym_join_type_token3] = ACTIONS(1578),
    [aux_sym_join_type_token4] = ACTIONS(1578),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1578),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1578),
    [aux_sym_join_condition_token1] = ACTIONS(1578),
    [aux_sym_insert_statement_token1] = ACTIONS(1578),
    [aux_sym_truncate_statement_token1] = ACTIONS(1578),
    [aux_sym_update_statement_token1] = ACTIONS(1578),
    [aux_sym_merge_statement_token1] = ACTIONS(1578),
    [aux_sym_grant_statement_token1] = ACTIONS(1578),
    [aux_sym_revoke_statement_token1] = ACTIONS(1578),
    [aux_sym_export_data_statement_token1] = ACTIONS(1578),
    [aux_sym_load_data_statement_token1] = ACTIONS(1578),
    [anon_sym_LBRACK] = ACTIONS(1578),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1578),
    [anon_sym_DASH] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(1578),
    [anon_sym_SLASH] = ACTIONS(1580),
    [anon_sym_PIPE_PIPE] = ACTIONS(1578),
    [anon_sym_LT_EQ] = ACTIONS(1578),
    [anon_sym_LT_GT] = ACTIONS(1578),
    [anon_sym_GT_EQ] = ACTIONS(1578),
    [anon_sym_BANG_EQ] = ACTIONS(1578),
    [anon_sym_LT_LT] = ACTIONS(1578),
    [anon_sym_GT_GT] = ACTIONS(1578),
    [anon_sym_AMP] = ACTIONS(1578),
    [anon_sym_CARET] = ACTIONS(1578),
    [anon_sym_PIPE] = ACTIONS(1580),
  },
  [428] = {
    [sym__keyword_between] = STATE(1126),
    [sym__keyword_is] = STATE(12051),
    [sym__keyword_in] = STATE(1517),
    [sym__keyword_not] = STATE(13184),
    [sym__keyword_and] = STATE(1542),
    [sym__keyword_or] = STATE(1543),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [ts_builtin_sym_end] = ACTIONS(917),
    [sym__unquoted_identifier] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(921),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(921),
    [aux_sym__keyword_from_token1] = ACTIONS(921),
    [aux_sym__keyword_delete_token1] = ACTIONS(921),
    [aux_sym__keyword_begin_token1] = ACTIONS(921),
    [aux_sym__keyword_between_token1] = ACTIONS(921),
    [aux_sym__keyword_when_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(921),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(921),
    [aux_sym__keyword_like_token1] = ACTIONS(921),
    [aux_sym__keyword_repeat_token1] = ACTIONS(921),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_window_token1] = ACTIONS(921),
    [aux_sym__keyword_date_token1] = ACTIONS(921),
    [aux_sym__keyword_datetime_token1] = ACTIONS(921),
    [aux_sym__keyword_time_token1] = ACTIONS(921),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(921),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(921),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(921),
    [aux_sym_return_satement_token1] = ACTIONS(921),
    [aux_sym_call_statement_token1] = ACTIONS(921),
    [aux_sym_loop_statement_token1] = ACTIONS(921),
    [aux_sym_while_statement_token1] = ACTIONS(921),
    [aux_sym_break_statement_token1] = ACTIONS(921),
    [aux_sym_leave_statement_token1] = ACTIONS(921),
    [aux_sym_continue_statement_token1] = ACTIONS(921),
    [aux_sym_iterate_statement_token1] = ACTIONS(921),
    [aux_sym_raise_statement_token1] = ACTIONS(921),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(921),
    [aux_sym_create_schema_statement_token1] = ACTIONS(921),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(921),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(921),
    [aux_sym_set_operation_token3] = ACTIONS(921),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(921),
    [aux_sym_having_clause_token1] = ACTIONS(921),
    [aux_sym_qualify_clause_token1] = ACTIONS(921),
    [aux_sym_limit_clause_token1] = ACTIONS(921),
    [aux_sym_group_by_clause_token1] = ACTIONS(921),
    [aux_sym_order_by_clause_token1] = ACTIONS(921),
    [aux_sym_where_clause_token1] = ACTIONS(921),
    [aux_sym_insert_statement_token1] = ACTIONS(921),
    [aux_sym_truncate_statement_token1] = ACTIONS(921),
    [aux_sym_update_statement_token1] = ACTIONS(921),
    [aux_sym_merge_statement_token1] = ACTIONS(921),
    [aux_sym_grant_statement_token1] = ACTIONS(921),
    [aux_sym_revoke_statement_token1] = ACTIONS(921),
    [aux_sym_export_data_statement_token1] = ACTIONS(921),
    [aux_sym_load_data_statement_token1] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym__quoted_identifier] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(789),
    [anon_sym_SLASH] = ACTIONS(791),
    [anon_sym_PIPE_PIPE] = ACTIONS(789),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [429] = {
    [ts_builtin_sym_end] = ACTIONS(1582),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1582),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1582),
    [aux_sym_keyword_replace_token1] = ACTIONS(1584),
    [aux_sym__keyword_alter_token1] = ACTIONS(1582),
    [aux_sym__keyword_delete_token1] = ACTIONS(1582),
    [aux_sym__keyword_begin_token1] = ACTIONS(1582),
    [aux_sym__keyword_end_token1] = ACTIONS(1582),
    [aux_sym__keyword_between_token1] = ACTIONS(1582),
    [aux_sym__keyword_when_token1] = ACTIONS(1582),
    [aux_sym__keyword_else_token1] = ACTIONS(1584),
    [aux_sym__keyword_is_token1] = ACTIONS(1582),
    [aux_sym__keyword_in_token1] = ACTIONS(1584),
    [aux_sym__keyword_and_token1] = ACTIONS(1582),
    [aux_sym__keyword_like_token1] = ACTIONS(1582),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1582),
    [aux_sym__keyword_window_token1] = ACTIONS(1582),
    [aux_sym__keyword_for_token1] = ACTIONS(1582),
    [anon_sym_SEMI] = ACTIONS(1582),
    [aux_sym_declare_statement_token1] = ACTIONS(1582),
    [anon_sym_COMMA] = ACTIONS(1582),
    [aux_sym_set_statement_token1] = ACTIONS(1582),
    [anon_sym_LPAREN] = ACTIONS(1582),
    [anon_sym_RPAREN] = ACTIONS(1582),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1582),
    [aux_sym_using_clause_token1] = ACTIONS(1582),
    [aux_sym_return_satement_token1] = ACTIONS(1582),
    [aux_sym_call_statement_token1] = ACTIONS(1582),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1582),
    [aux_sym_if_statement_token1] = ACTIONS(1582),
    [aux_sym_loop_statement_token1] = ACTIONS(1582),
    [aux_sym_repeat_statement_token1] = ACTIONS(1582),
    [aux_sym_while_statement_token1] = ACTIONS(1582),
    [aux_sym_break_statement_token1] = ACTIONS(1582),
    [aux_sym_leave_statement_token1] = ACTIONS(1582),
    [aux_sym_continue_statement_token1] = ACTIONS(1582),
    [aux_sym_iterate_statement_token1] = ACTIONS(1582),
    [aux_sym_raise_statement_token1] = ACTIONS(1582),
    [anon_sym_EQ] = ACTIONS(1582),
    [aux_sym_assert_statement_token1] = ACTIONS(1582),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1582),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1582),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1582),
    [anon_sym_LT] = ACTIONS(1584),
    [anon_sym_GT] = ACTIONS(1584),
    [aux_sym_set_operation_token1] = ACTIONS(1582),
    [aux_sym_set_operation_token3] = ACTIONS(1582),
    [aux_sym_set_operation_token4] = ACTIONS(1584),
    [aux_sym_select_token1] = ACTIONS(1582),
    [aux_sym_having_clause_token1] = ACTIONS(1582),
    [aux_sym_qualify_clause_token1] = ACTIONS(1582),
    [aux_sym_limit_clause_token1] = ACTIONS(1582),
    [aux_sym_group_by_clause_token1] = ACTIONS(1582),
    [aux_sym_order_by_clause_token1] = ACTIONS(1582),
    [aux_sym_where_clause_token1] = ACTIONS(1582),
    [aux_sym_pivot_operator_token1] = ACTIONS(1582),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1582),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1582),
    [aux_sym_join_type_token1] = ACTIONS(1582),
    [aux_sym_join_type_token2] = ACTIONS(1582),
    [aux_sym_join_type_token3] = ACTIONS(1582),
    [aux_sym_join_type_token4] = ACTIONS(1582),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1582),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1582),
    [aux_sym_join_condition_token1] = ACTIONS(1582),
    [aux_sym_insert_statement_token1] = ACTIONS(1582),
    [aux_sym_truncate_statement_token1] = ACTIONS(1582),
    [aux_sym_update_statement_token1] = ACTIONS(1582),
    [aux_sym_merge_statement_token1] = ACTIONS(1582),
    [aux_sym_grant_statement_token1] = ACTIONS(1582),
    [aux_sym_revoke_statement_token1] = ACTIONS(1582),
    [aux_sym_export_data_statement_token1] = ACTIONS(1582),
    [aux_sym_load_data_statement_token1] = ACTIONS(1582),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1582),
    [anon_sym_PLUS] = ACTIONS(1582),
    [anon_sym_DASH] = ACTIONS(1584),
    [anon_sym_STAR] = ACTIONS(1582),
    [anon_sym_SLASH] = ACTIONS(1584),
    [anon_sym_PIPE_PIPE] = ACTIONS(1582),
    [anon_sym_LT_EQ] = ACTIONS(1582),
    [anon_sym_LT_GT] = ACTIONS(1582),
    [anon_sym_GT_EQ] = ACTIONS(1582),
    [anon_sym_BANG_EQ] = ACTIONS(1582),
    [anon_sym_LT_LT] = ACTIONS(1582),
    [anon_sym_GT_GT] = ACTIONS(1582),
    [anon_sym_AMP] = ACTIONS(1582),
    [anon_sym_CARET] = ACTIONS(1582),
    [anon_sym_PIPE] = ACTIONS(1584),
  },
  [430] = {
    [ts_builtin_sym_end] = ACTIONS(1586),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1586),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1586),
    [aux_sym_keyword_replace_token1] = ACTIONS(1588),
    [aux_sym__keyword_alter_token1] = ACTIONS(1586),
    [aux_sym__keyword_delete_token1] = ACTIONS(1586),
    [aux_sym__keyword_begin_token1] = ACTIONS(1586),
    [aux_sym__keyword_end_token1] = ACTIONS(1586),
    [aux_sym__keyword_between_token1] = ACTIONS(1586),
    [aux_sym__keyword_when_token1] = ACTIONS(1586),
    [aux_sym__keyword_else_token1] = ACTIONS(1588),
    [aux_sym__keyword_is_token1] = ACTIONS(1586),
    [aux_sym__keyword_in_token1] = ACTIONS(1588),
    [aux_sym__keyword_and_token1] = ACTIONS(1586),
    [aux_sym__keyword_like_token1] = ACTIONS(1586),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1586),
    [aux_sym__keyword_window_token1] = ACTIONS(1586),
    [aux_sym__keyword_for_token1] = ACTIONS(1586),
    [anon_sym_SEMI] = ACTIONS(1586),
    [aux_sym_declare_statement_token1] = ACTIONS(1586),
    [anon_sym_COMMA] = ACTIONS(1586),
    [aux_sym_set_statement_token1] = ACTIONS(1586),
    [anon_sym_LPAREN] = ACTIONS(1586),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1586),
    [aux_sym_using_clause_token1] = ACTIONS(1586),
    [aux_sym_return_satement_token1] = ACTIONS(1586),
    [aux_sym_call_statement_token1] = ACTIONS(1586),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1586),
    [aux_sym_if_statement_token1] = ACTIONS(1586),
    [aux_sym_loop_statement_token1] = ACTIONS(1586),
    [aux_sym_repeat_statement_token1] = ACTIONS(1586),
    [aux_sym_while_statement_token1] = ACTIONS(1586),
    [aux_sym_break_statement_token1] = ACTIONS(1586),
    [aux_sym_leave_statement_token1] = ACTIONS(1586),
    [aux_sym_continue_statement_token1] = ACTIONS(1586),
    [aux_sym_iterate_statement_token1] = ACTIONS(1586),
    [aux_sym_raise_statement_token1] = ACTIONS(1586),
    [anon_sym_EQ] = ACTIONS(1586),
    [aux_sym_assert_statement_token1] = ACTIONS(1586),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1586),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1586),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1586),
    [anon_sym_LT] = ACTIONS(1588),
    [anon_sym_GT] = ACTIONS(1588),
    [aux_sym_set_operation_token1] = ACTIONS(1586),
    [aux_sym_set_operation_token3] = ACTIONS(1586),
    [aux_sym_set_operation_token4] = ACTIONS(1588),
    [aux_sym_select_token1] = ACTIONS(1586),
    [aux_sym_having_clause_token1] = ACTIONS(1586),
    [aux_sym_qualify_clause_token1] = ACTIONS(1586),
    [aux_sym_limit_clause_token1] = ACTIONS(1586),
    [aux_sym_group_by_clause_token1] = ACTIONS(1586),
    [aux_sym_order_by_clause_token1] = ACTIONS(1586),
    [aux_sym_where_clause_token1] = ACTIONS(1586),
    [aux_sym_pivot_operator_token1] = ACTIONS(1586),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1586),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1586),
    [aux_sym_join_type_token1] = ACTIONS(1586),
    [aux_sym_join_type_token2] = ACTIONS(1586),
    [aux_sym_join_type_token3] = ACTIONS(1586),
    [aux_sym_join_type_token4] = ACTIONS(1586),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1586),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1586),
    [aux_sym_join_condition_token1] = ACTIONS(1586),
    [aux_sym_insert_statement_token1] = ACTIONS(1586),
    [aux_sym_truncate_statement_token1] = ACTIONS(1586),
    [aux_sym_update_statement_token1] = ACTIONS(1586),
    [aux_sym_merge_statement_token1] = ACTIONS(1586),
    [aux_sym_grant_statement_token1] = ACTIONS(1586),
    [aux_sym_revoke_statement_token1] = ACTIONS(1586),
    [aux_sym_export_data_statement_token1] = ACTIONS(1586),
    [aux_sym_load_data_statement_token1] = ACTIONS(1586),
    [anon_sym_LBRACK] = ACTIONS(1586),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1586),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_STAR] = ACTIONS(1586),
    [anon_sym_SLASH] = ACTIONS(1588),
    [anon_sym_PIPE_PIPE] = ACTIONS(1586),
    [anon_sym_LT_EQ] = ACTIONS(1586),
    [anon_sym_LT_GT] = ACTIONS(1586),
    [anon_sym_GT_EQ] = ACTIONS(1586),
    [anon_sym_BANG_EQ] = ACTIONS(1586),
    [anon_sym_LT_LT] = ACTIONS(1586),
    [anon_sym_GT_GT] = ACTIONS(1586),
    [anon_sym_AMP] = ACTIONS(1586),
    [anon_sym_CARET] = ACTIONS(1586),
    [anon_sym_PIPE] = ACTIONS(1588),
  },
  [431] = {
    [ts_builtin_sym_end] = ACTIONS(1492),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1492),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1492),
    [aux_sym_keyword_replace_token1] = ACTIONS(1494),
    [aux_sym__keyword_alter_token1] = ACTIONS(1492),
    [aux_sym__keyword_delete_token1] = ACTIONS(1492),
    [aux_sym__keyword_begin_token1] = ACTIONS(1492),
    [aux_sym__keyword_end_token1] = ACTIONS(1492),
    [aux_sym__keyword_between_token1] = ACTIONS(1492),
    [aux_sym__keyword_when_token1] = ACTIONS(1492),
    [aux_sym__keyword_else_token1] = ACTIONS(1494),
    [aux_sym__keyword_is_token1] = ACTIONS(1492),
    [aux_sym__keyword_in_token1] = ACTIONS(1494),
    [aux_sym__keyword_and_token1] = ACTIONS(1492),
    [aux_sym__keyword_like_token1] = ACTIONS(1492),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1492),
    [aux_sym__keyword_window_token1] = ACTIONS(1492),
    [aux_sym__keyword_for_token1] = ACTIONS(1492),
    [anon_sym_SEMI] = ACTIONS(1492),
    [aux_sym_declare_statement_token1] = ACTIONS(1492),
    [anon_sym_COMMA] = ACTIONS(1492),
    [aux_sym_set_statement_token1] = ACTIONS(1492),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1492),
    [aux_sym_using_clause_token1] = ACTIONS(1492),
    [aux_sym_return_satement_token1] = ACTIONS(1492),
    [aux_sym_call_statement_token1] = ACTIONS(1492),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1492),
    [aux_sym_if_statement_token1] = ACTIONS(1492),
    [aux_sym_loop_statement_token1] = ACTIONS(1492),
    [aux_sym_repeat_statement_token1] = ACTIONS(1492),
    [aux_sym_while_statement_token1] = ACTIONS(1492),
    [aux_sym_break_statement_token1] = ACTIONS(1492),
    [aux_sym_leave_statement_token1] = ACTIONS(1492),
    [aux_sym_continue_statement_token1] = ACTIONS(1492),
    [aux_sym_iterate_statement_token1] = ACTIONS(1492),
    [aux_sym_raise_statement_token1] = ACTIONS(1492),
    [anon_sym_EQ] = ACTIONS(1492),
    [aux_sym_assert_statement_token1] = ACTIONS(1492),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1492),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1492),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1492),
    [anon_sym_LT] = ACTIONS(1494),
    [anon_sym_GT] = ACTIONS(1494),
    [aux_sym_set_operation_token1] = ACTIONS(1492),
    [aux_sym_set_operation_token3] = ACTIONS(1492),
    [aux_sym_set_operation_token4] = ACTIONS(1494),
    [aux_sym_select_token1] = ACTIONS(1492),
    [aux_sym_having_clause_token1] = ACTIONS(1492),
    [aux_sym_qualify_clause_token1] = ACTIONS(1492),
    [aux_sym_limit_clause_token1] = ACTIONS(1492),
    [aux_sym_group_by_clause_token1] = ACTIONS(1492),
    [aux_sym_order_by_clause_token1] = ACTIONS(1492),
    [aux_sym_where_clause_token1] = ACTIONS(1492),
    [aux_sym_pivot_operator_token1] = ACTIONS(1492),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1492),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1492),
    [aux_sym_join_type_token1] = ACTIONS(1492),
    [aux_sym_join_type_token2] = ACTIONS(1492),
    [aux_sym_join_type_token3] = ACTIONS(1492),
    [aux_sym_join_type_token4] = ACTIONS(1492),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1492),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1492),
    [aux_sym_join_condition_token1] = ACTIONS(1492),
    [aux_sym_insert_statement_token1] = ACTIONS(1492),
    [aux_sym_truncate_statement_token1] = ACTIONS(1492),
    [aux_sym_update_statement_token1] = ACTIONS(1492),
    [aux_sym_merge_statement_token1] = ACTIONS(1492),
    [aux_sym_grant_statement_token1] = ACTIONS(1492),
    [aux_sym_revoke_statement_token1] = ACTIONS(1492),
    [aux_sym_export_data_statement_token1] = ACTIONS(1492),
    [aux_sym_load_data_statement_token1] = ACTIONS(1492),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_STAR] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1494),
    [anon_sym_PIPE_PIPE] = ACTIONS(1492),
    [anon_sym_LT_EQ] = ACTIONS(1492),
    [anon_sym_LT_GT] = ACTIONS(1492),
    [anon_sym_GT_EQ] = ACTIONS(1492),
    [anon_sym_BANG_EQ] = ACTIONS(1492),
    [anon_sym_LT_LT] = ACTIONS(1492),
    [anon_sym_GT_GT] = ACTIONS(1492),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_CARET] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1494),
  },
  [432] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_window_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_using_clause_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_having_clause_token1] = ACTIONS(1378),
    [aux_sym_qualify_clause_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym_group_by_clause_token1] = ACTIONS(1378),
    [aux_sym_order_by_clause_token1] = ACTIONS(1378),
    [aux_sym_where_clause_token1] = ACTIONS(1378),
    [aux_sym_pivot_operator_token1] = ACTIONS(1378),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1378),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1378),
    [aux_sym_join_type_token1] = ACTIONS(1378),
    [aux_sym_join_type_token2] = ACTIONS(1378),
    [aux_sym_join_type_token3] = ACTIONS(1378),
    [aux_sym_join_type_token4] = ACTIONS(1378),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1378),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1378),
    [aux_sym_join_condition_token1] = ACTIONS(1378),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [433] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_window_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_using_clause_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_having_clause_token1] = ACTIONS(1378),
    [aux_sym_qualify_clause_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym_group_by_clause_token1] = ACTIONS(1378),
    [aux_sym_order_by_clause_token1] = ACTIONS(1378),
    [aux_sym_where_clause_token1] = ACTIONS(1378),
    [aux_sym_pivot_operator_token1] = ACTIONS(1378),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1378),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1378),
    [aux_sym_join_type_token1] = ACTIONS(1378),
    [aux_sym_join_type_token2] = ACTIONS(1378),
    [aux_sym_join_type_token3] = ACTIONS(1378),
    [aux_sym_join_type_token4] = ACTIONS(1378),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1378),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1378),
    [aux_sym_join_condition_token1] = ACTIONS(1378),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [434] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_window_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_using_clause_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_having_clause_token1] = ACTIONS(1378),
    [aux_sym_qualify_clause_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym_group_by_clause_token1] = ACTIONS(1378),
    [aux_sym_order_by_clause_token1] = ACTIONS(1378),
    [aux_sym_where_clause_token1] = ACTIONS(1378),
    [aux_sym_pivot_operator_token1] = ACTIONS(1378),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1378),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1378),
    [aux_sym_join_type_token1] = ACTIONS(1378),
    [aux_sym_join_type_token2] = ACTIONS(1378),
    [aux_sym_join_type_token3] = ACTIONS(1378),
    [aux_sym_join_type_token4] = ACTIONS(1378),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1378),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1378),
    [aux_sym_join_condition_token1] = ACTIONS(1378),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [435] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_window_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_using_clause_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_having_clause_token1] = ACTIONS(1378),
    [aux_sym_qualify_clause_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym_group_by_clause_token1] = ACTIONS(1378),
    [aux_sym_order_by_clause_token1] = ACTIONS(1378),
    [aux_sym_where_clause_token1] = ACTIONS(1378),
    [aux_sym_pivot_operator_token1] = ACTIONS(1378),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1378),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1378),
    [aux_sym_join_type_token1] = ACTIONS(1378),
    [aux_sym_join_type_token2] = ACTIONS(1378),
    [aux_sym_join_type_token3] = ACTIONS(1378),
    [aux_sym_join_type_token4] = ACTIONS(1378),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1378),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1378),
    [aux_sym_join_condition_token1] = ACTIONS(1378),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [436] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_window_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_using_clause_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_having_clause_token1] = ACTIONS(1378),
    [aux_sym_qualify_clause_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym_group_by_clause_token1] = ACTIONS(1378),
    [aux_sym_order_by_clause_token1] = ACTIONS(1378),
    [aux_sym_where_clause_token1] = ACTIONS(1378),
    [aux_sym_pivot_operator_token1] = ACTIONS(1378),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1378),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1378),
    [aux_sym_join_type_token1] = ACTIONS(1378),
    [aux_sym_join_type_token2] = ACTIONS(1378),
    [aux_sym_join_type_token3] = ACTIONS(1378),
    [aux_sym_join_type_token4] = ACTIONS(1378),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1378),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1378),
    [aux_sym_join_condition_token1] = ACTIONS(1378),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [437] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_window_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_using_clause_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_having_clause_token1] = ACTIONS(1378),
    [aux_sym_qualify_clause_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym_group_by_clause_token1] = ACTIONS(1378),
    [aux_sym_order_by_clause_token1] = ACTIONS(1378),
    [aux_sym_where_clause_token1] = ACTIONS(1378),
    [aux_sym_pivot_operator_token1] = ACTIONS(1378),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1378),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1378),
    [aux_sym_join_type_token1] = ACTIONS(1378),
    [aux_sym_join_type_token2] = ACTIONS(1378),
    [aux_sym_join_type_token3] = ACTIONS(1378),
    [aux_sym_join_type_token4] = ACTIONS(1378),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1378),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1378),
    [aux_sym_join_condition_token1] = ACTIONS(1378),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [438] = {
    [sym__keyword_as] = STATE(11633),
    [sym__keyword_date] = STATE(3320),
    [sym__keyword_datetime] = STATE(3320),
    [sym__keyword_time] = STATE(3320),
    [sym__keyword_timestamp] = STATE(3320),
    [sym_as_alias] = STATE(2991),
    [sym_unnest_withoffset] = STATE(3199),
    [sym__type_chrono] = STATE(3203),
    [sym__identifier] = STATE(2993),
    [sym__dotted_identifier] = STATE(13495),
    [sym_identifier] = STATE(3259),
    [aux_sym_identifier_repeat1] = STATE(13495),
    [ts_builtin_sym_end] = ACTIONS(211),
    [sym__unquoted_identifier] = ACTIONS(1306),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(205),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(205),
    [aux_sym_keyword_replace_token1] = ACTIONS(205),
    [aux_sym__keyword_alter_token1] = ACTIONS(205),
    [aux_sym__keyword_delete_token1] = ACTIONS(205),
    [aux_sym__keyword_begin_token1] = ACTIONS(205),
    [aux_sym__keyword_between_token1] = ACTIONS(205),
    [aux_sym__keyword_when_token1] = ACTIONS(205),
    [aux_sym__keyword_is_token1] = ACTIONS(205),
    [aux_sym__keyword_in_token1] = ACTIONS(205),
    [aux_sym__keyword_and_token1] = ACTIONS(205),
    [aux_sym__keyword_like_token1] = ACTIONS(205),
    [aux_sym__keyword_repeat_token1] = ACTIONS(205),
    [aux_sym__keyword_as_token1] = ACTIONS(1308),
    [aux_sym__keyword_date_token1] = ACTIONS(1310),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1310),
    [aux_sym__keyword_time_token1] = ACTIONS(1310),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1310),
    [aux_sym__keyword_for_token1] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(211),
    [aux_sym_declare_statement_token1] = ACTIONS(205),
    [anon_sym_COMMA] = ACTIONS(211),
    [aux_sym_set_statement_token1] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(211),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(205),
    [aux_sym_return_satement_token1] = ACTIONS(205),
    [aux_sym_call_statement_token1] = ACTIONS(205),
    [aux_sym_loop_statement_token1] = ACTIONS(205),
    [aux_sym_while_statement_token1] = ACTIONS(205),
    [aux_sym_break_statement_token1] = ACTIONS(205),
    [aux_sym_leave_statement_token1] = ACTIONS(205),
    [aux_sym_continue_statement_token1] = ACTIONS(205),
    [aux_sym_iterate_statement_token1] = ACTIONS(205),
    [aux_sym_raise_statement_token1] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(211),
    [aux_sym_assert_statement_token1] = ACTIONS(205),
    [aux_sym_create_schema_statement_token1] = ACTIONS(205),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(205),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1312),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [aux_sym_set_operation_token1] = ACTIONS(205),
    [aux_sym_set_operation_token3] = ACTIONS(205),
    [aux_sym_set_operation_token4] = ACTIONS(205),
    [aux_sym_select_token1] = ACTIONS(205),
    [aux_sym_limit_clause_token1] = ACTIONS(205),
    [aux_sym__direction_keywords_token1] = ACTIONS(205),
    [aux_sym__direction_keywords_token2] = ACTIONS(205),
    [aux_sym__nulls_preference_token1] = ACTIONS(205),
    [aux_sym_insert_statement_token1] = ACTIONS(205),
    [aux_sym_truncate_statement_token1] = ACTIONS(205),
    [aux_sym_update_statement_token1] = ACTIONS(205),
    [aux_sym_merge_statement_token1] = ACTIONS(205),
    [aux_sym_grant_statement_token1] = ACTIONS(205),
    [aux_sym_revoke_statement_token1] = ACTIONS(205),
    [aux_sym_export_data_statement_token1] = ACTIONS(205),
    [aux_sym_load_data_statement_token1] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(211),
    [sym__quoted_identifier] = ACTIONS(1314),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(211),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(211),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(211),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_LT_GT] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(211),
    [anon_sym_GT_GT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_CARET] = ACTIONS(211),
    [anon_sym_PIPE] = ACTIONS(205),
  },
  [439] = {
    [ts_builtin_sym_end] = ACTIONS(1484),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1484),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1484),
    [aux_sym_keyword_replace_token1] = ACTIONS(1486),
    [aux_sym__keyword_alter_token1] = ACTIONS(1484),
    [aux_sym__keyword_delete_token1] = ACTIONS(1484),
    [aux_sym__keyword_begin_token1] = ACTIONS(1484),
    [aux_sym__keyword_end_token1] = ACTIONS(1484),
    [aux_sym__keyword_between_token1] = ACTIONS(1484),
    [aux_sym__keyword_when_token1] = ACTIONS(1484),
    [aux_sym__keyword_else_token1] = ACTIONS(1486),
    [aux_sym__keyword_is_token1] = ACTIONS(1484),
    [aux_sym__keyword_in_token1] = ACTIONS(1486),
    [aux_sym__keyword_and_token1] = ACTIONS(1484),
    [aux_sym__keyword_like_token1] = ACTIONS(1484),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1484),
    [aux_sym__keyword_window_token1] = ACTIONS(1484),
    [aux_sym__keyword_for_token1] = ACTIONS(1484),
    [anon_sym_SEMI] = ACTIONS(1484),
    [aux_sym_declare_statement_token1] = ACTIONS(1484),
    [anon_sym_COMMA] = ACTIONS(1484),
    [aux_sym_set_statement_token1] = ACTIONS(1484),
    [anon_sym_LPAREN] = ACTIONS(1484),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1484),
    [aux_sym_using_clause_token1] = ACTIONS(1484),
    [aux_sym_return_satement_token1] = ACTIONS(1484),
    [aux_sym_call_statement_token1] = ACTIONS(1484),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1484),
    [aux_sym_if_statement_token1] = ACTIONS(1484),
    [aux_sym_loop_statement_token1] = ACTIONS(1484),
    [aux_sym_repeat_statement_token1] = ACTIONS(1484),
    [aux_sym_while_statement_token1] = ACTIONS(1484),
    [aux_sym_break_statement_token1] = ACTIONS(1484),
    [aux_sym_leave_statement_token1] = ACTIONS(1484),
    [aux_sym_continue_statement_token1] = ACTIONS(1484),
    [aux_sym_iterate_statement_token1] = ACTIONS(1484),
    [aux_sym_raise_statement_token1] = ACTIONS(1484),
    [anon_sym_EQ] = ACTIONS(1484),
    [aux_sym_assert_statement_token1] = ACTIONS(1484),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1484),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1484),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1484),
    [anon_sym_LT] = ACTIONS(1486),
    [anon_sym_GT] = ACTIONS(1486),
    [aux_sym_set_operation_token1] = ACTIONS(1484),
    [aux_sym_set_operation_token3] = ACTIONS(1484),
    [aux_sym_set_operation_token4] = ACTIONS(1486),
    [aux_sym_select_token1] = ACTIONS(1484),
    [aux_sym_having_clause_token1] = ACTIONS(1484),
    [aux_sym_qualify_clause_token1] = ACTIONS(1484),
    [aux_sym_limit_clause_token1] = ACTIONS(1484),
    [aux_sym_group_by_clause_token1] = ACTIONS(1484),
    [aux_sym_order_by_clause_token1] = ACTIONS(1484),
    [aux_sym_where_clause_token1] = ACTIONS(1484),
    [aux_sym_pivot_operator_token1] = ACTIONS(1484),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1484),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1484),
    [aux_sym_join_type_token1] = ACTIONS(1484),
    [aux_sym_join_type_token2] = ACTIONS(1484),
    [aux_sym_join_type_token3] = ACTIONS(1484),
    [aux_sym_join_type_token4] = ACTIONS(1484),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1484),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1484),
    [aux_sym_join_condition_token1] = ACTIONS(1484),
    [aux_sym_insert_statement_token1] = ACTIONS(1484),
    [aux_sym_truncate_statement_token1] = ACTIONS(1484),
    [aux_sym_update_statement_token1] = ACTIONS(1484),
    [aux_sym_merge_statement_token1] = ACTIONS(1484),
    [aux_sym_grant_statement_token1] = ACTIONS(1484),
    [aux_sym_revoke_statement_token1] = ACTIONS(1484),
    [aux_sym_export_data_statement_token1] = ACTIONS(1484),
    [aux_sym_load_data_statement_token1] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_SLASH] = ACTIONS(1486),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [anon_sym_LT_EQ] = ACTIONS(1484),
    [anon_sym_LT_GT] = ACTIONS(1484),
    [anon_sym_GT_EQ] = ACTIONS(1484),
    [anon_sym_BANG_EQ] = ACTIONS(1484),
    [anon_sym_LT_LT] = ACTIONS(1484),
    [anon_sym_GT_GT] = ACTIONS(1484),
    [anon_sym_AMP] = ACTIONS(1484),
    [anon_sym_CARET] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1486),
  },
  [440] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_where_clause_token1] = ACTIONS(1354),
    [aux_sym_pivot_operator_token1] = ACTIONS(1354),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1354),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1354),
    [aux_sym_join_type_token1] = ACTIONS(1354),
    [aux_sym_join_type_token2] = ACTIONS(1354),
    [aux_sym_join_type_token3] = ACTIONS(1354),
    [aux_sym_join_type_token4] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1354),
    [aux_sym_join_condition_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [441] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_where_clause_token1] = ACTIONS(1354),
    [aux_sym_pivot_operator_token1] = ACTIONS(1354),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1354),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1354),
    [aux_sym_join_type_token1] = ACTIONS(1354),
    [aux_sym_join_type_token2] = ACTIONS(1354),
    [aux_sym_join_type_token3] = ACTIONS(1354),
    [aux_sym_join_type_token4] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1354),
    [aux_sym_join_condition_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [442] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_where_clause_token1] = ACTIONS(1354),
    [aux_sym_pivot_operator_token1] = ACTIONS(1354),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1354),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1354),
    [aux_sym_join_type_token1] = ACTIONS(1354),
    [aux_sym_join_type_token2] = ACTIONS(1354),
    [aux_sym_join_type_token3] = ACTIONS(1354),
    [aux_sym_join_type_token4] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1354),
    [aux_sym_join_condition_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [443] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_window_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_using_clause_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_having_clause_token1] = ACTIONS(1378),
    [aux_sym_qualify_clause_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym_group_by_clause_token1] = ACTIONS(1378),
    [aux_sym_order_by_clause_token1] = ACTIONS(1378),
    [aux_sym_where_clause_token1] = ACTIONS(1378),
    [aux_sym_pivot_operator_token1] = ACTIONS(1378),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1378),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1378),
    [aux_sym_join_type_token1] = ACTIONS(1378),
    [aux_sym_join_type_token2] = ACTIONS(1378),
    [aux_sym_join_type_token3] = ACTIONS(1378),
    [aux_sym_join_type_token4] = ACTIONS(1378),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1378),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1378),
    [aux_sym_join_condition_token1] = ACTIONS(1378),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [444] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_window_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_using_clause_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_having_clause_token1] = ACTIONS(1378),
    [aux_sym_qualify_clause_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym_group_by_clause_token1] = ACTIONS(1378),
    [aux_sym_order_by_clause_token1] = ACTIONS(1378),
    [aux_sym_where_clause_token1] = ACTIONS(1378),
    [aux_sym_pivot_operator_token1] = ACTIONS(1378),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1378),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1378),
    [aux_sym_join_type_token1] = ACTIONS(1378),
    [aux_sym_join_type_token2] = ACTIONS(1378),
    [aux_sym_join_type_token3] = ACTIONS(1378),
    [aux_sym_join_type_token4] = ACTIONS(1378),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1378),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1378),
    [aux_sym_join_condition_token1] = ACTIONS(1378),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [445] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_where_clause_token1] = ACTIONS(1354),
    [aux_sym_pivot_operator_token1] = ACTIONS(1354),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1354),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1354),
    [aux_sym_join_type_token1] = ACTIONS(1354),
    [aux_sym_join_type_token2] = ACTIONS(1354),
    [aux_sym_join_type_token3] = ACTIONS(1354),
    [aux_sym_join_type_token4] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1354),
    [aux_sym_join_condition_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [446] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_where_clause_token1] = ACTIONS(1354),
    [aux_sym_pivot_operator_token1] = ACTIONS(1354),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1354),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1354),
    [aux_sym_join_type_token1] = ACTIONS(1354),
    [aux_sym_join_type_token2] = ACTIONS(1354),
    [aux_sym_join_type_token3] = ACTIONS(1354),
    [aux_sym_join_type_token4] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1354),
    [aux_sym_join_condition_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [447] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_window_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_using_clause_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_having_clause_token1] = ACTIONS(1378),
    [aux_sym_qualify_clause_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym_group_by_clause_token1] = ACTIONS(1378),
    [aux_sym_order_by_clause_token1] = ACTIONS(1378),
    [aux_sym_where_clause_token1] = ACTIONS(1378),
    [aux_sym_pivot_operator_token1] = ACTIONS(1378),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1378),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1378),
    [aux_sym_join_type_token1] = ACTIONS(1378),
    [aux_sym_join_type_token2] = ACTIONS(1378),
    [aux_sym_join_type_token3] = ACTIONS(1378),
    [aux_sym_join_type_token4] = ACTIONS(1378),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1378),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1378),
    [aux_sym_join_condition_token1] = ACTIONS(1378),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [448] = {
    [ts_builtin_sym_end] = ACTIONS(1590),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1590),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1590),
    [aux_sym_keyword_replace_token1] = ACTIONS(1592),
    [aux_sym__keyword_alter_token1] = ACTIONS(1590),
    [aux_sym__keyword_delete_token1] = ACTIONS(1590),
    [aux_sym__keyword_begin_token1] = ACTIONS(1590),
    [aux_sym__keyword_end_token1] = ACTIONS(1590),
    [aux_sym__keyword_between_token1] = ACTIONS(1590),
    [aux_sym__keyword_when_token1] = ACTIONS(1590),
    [aux_sym__keyword_else_token1] = ACTIONS(1592),
    [aux_sym__keyword_is_token1] = ACTIONS(1590),
    [aux_sym__keyword_in_token1] = ACTIONS(1592),
    [aux_sym__keyword_and_token1] = ACTIONS(1590),
    [aux_sym__keyword_like_token1] = ACTIONS(1590),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1590),
    [aux_sym__keyword_window_token1] = ACTIONS(1590),
    [aux_sym__keyword_for_token1] = ACTIONS(1590),
    [anon_sym_SEMI] = ACTIONS(1590),
    [aux_sym_declare_statement_token1] = ACTIONS(1590),
    [anon_sym_COMMA] = ACTIONS(1590),
    [aux_sym_set_statement_token1] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1590),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1590),
    [aux_sym_using_clause_token1] = ACTIONS(1590),
    [aux_sym_return_satement_token1] = ACTIONS(1590),
    [aux_sym_call_statement_token1] = ACTIONS(1590),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1590),
    [aux_sym_if_statement_token1] = ACTIONS(1590),
    [aux_sym_loop_statement_token1] = ACTIONS(1590),
    [aux_sym_repeat_statement_token1] = ACTIONS(1590),
    [aux_sym_while_statement_token1] = ACTIONS(1590),
    [aux_sym_break_statement_token1] = ACTIONS(1590),
    [aux_sym_leave_statement_token1] = ACTIONS(1590),
    [aux_sym_continue_statement_token1] = ACTIONS(1590),
    [aux_sym_iterate_statement_token1] = ACTIONS(1590),
    [aux_sym_raise_statement_token1] = ACTIONS(1590),
    [anon_sym_EQ] = ACTIONS(1590),
    [aux_sym_assert_statement_token1] = ACTIONS(1590),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1590),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1590),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1590),
    [anon_sym_LT] = ACTIONS(1592),
    [anon_sym_GT] = ACTIONS(1592),
    [aux_sym_set_operation_token1] = ACTIONS(1590),
    [aux_sym_set_operation_token3] = ACTIONS(1590),
    [aux_sym_set_operation_token4] = ACTIONS(1592),
    [aux_sym_select_token1] = ACTIONS(1590),
    [aux_sym_having_clause_token1] = ACTIONS(1590),
    [aux_sym_qualify_clause_token1] = ACTIONS(1590),
    [aux_sym_limit_clause_token1] = ACTIONS(1590),
    [aux_sym_group_by_clause_token1] = ACTIONS(1590),
    [aux_sym_order_by_clause_token1] = ACTIONS(1590),
    [aux_sym_where_clause_token1] = ACTIONS(1590),
    [aux_sym_pivot_operator_token1] = ACTIONS(1590),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1590),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1590),
    [aux_sym_join_type_token1] = ACTIONS(1590),
    [aux_sym_join_type_token2] = ACTIONS(1590),
    [aux_sym_join_type_token3] = ACTIONS(1590),
    [aux_sym_join_type_token4] = ACTIONS(1590),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1590),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1590),
    [aux_sym_join_condition_token1] = ACTIONS(1590),
    [aux_sym_insert_statement_token1] = ACTIONS(1590),
    [aux_sym_truncate_statement_token1] = ACTIONS(1590),
    [aux_sym_update_statement_token1] = ACTIONS(1590),
    [aux_sym_merge_statement_token1] = ACTIONS(1590),
    [aux_sym_grant_statement_token1] = ACTIONS(1590),
    [aux_sym_revoke_statement_token1] = ACTIONS(1590),
    [aux_sym_export_data_statement_token1] = ACTIONS(1590),
    [aux_sym_load_data_statement_token1] = ACTIONS(1590),
    [anon_sym_LBRACK] = ACTIONS(1590),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1590),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1592),
    [anon_sym_STAR] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(1592),
    [anon_sym_PIPE_PIPE] = ACTIONS(1590),
    [anon_sym_LT_EQ] = ACTIONS(1590),
    [anon_sym_LT_GT] = ACTIONS(1590),
    [anon_sym_GT_EQ] = ACTIONS(1590),
    [anon_sym_BANG_EQ] = ACTIONS(1590),
    [anon_sym_LT_LT] = ACTIONS(1590),
    [anon_sym_GT_GT] = ACTIONS(1590),
    [anon_sym_AMP] = ACTIONS(1590),
    [anon_sym_CARET] = ACTIONS(1590),
    [anon_sym_PIPE] = ACTIONS(1592),
  },
  [449] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_where_clause_token1] = ACTIONS(1354),
    [aux_sym_pivot_operator_token1] = ACTIONS(1354),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1354),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1354),
    [aux_sym_join_type_token1] = ACTIONS(1354),
    [aux_sym_join_type_token2] = ACTIONS(1354),
    [aux_sym_join_type_token3] = ACTIONS(1354),
    [aux_sym_join_type_token4] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1354),
    [aux_sym_join_condition_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [450] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_where_clause_token1] = ACTIONS(1354),
    [aux_sym_pivot_operator_token1] = ACTIONS(1354),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1354),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1354),
    [aux_sym_join_type_token1] = ACTIONS(1354),
    [aux_sym_join_type_token2] = ACTIONS(1354),
    [aux_sym_join_type_token3] = ACTIONS(1354),
    [aux_sym_join_type_token4] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1354),
    [aux_sym_join_condition_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [451] = {
    [ts_builtin_sym_end] = ACTIONS(1594),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1594),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1594),
    [aux_sym_keyword_replace_token1] = ACTIONS(1596),
    [aux_sym__keyword_alter_token1] = ACTIONS(1594),
    [aux_sym__keyword_delete_token1] = ACTIONS(1594),
    [aux_sym__keyword_begin_token1] = ACTIONS(1594),
    [aux_sym__keyword_end_token1] = ACTIONS(1594),
    [aux_sym__keyword_between_token1] = ACTIONS(1594),
    [aux_sym__keyword_when_token1] = ACTIONS(1594),
    [aux_sym__keyword_else_token1] = ACTIONS(1596),
    [aux_sym__keyword_is_token1] = ACTIONS(1594),
    [aux_sym__keyword_in_token1] = ACTIONS(1596),
    [aux_sym__keyword_and_token1] = ACTIONS(1594),
    [aux_sym__keyword_like_token1] = ACTIONS(1594),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1594),
    [aux_sym__keyword_window_token1] = ACTIONS(1594),
    [aux_sym__keyword_for_token1] = ACTIONS(1594),
    [anon_sym_SEMI] = ACTIONS(1594),
    [aux_sym_declare_statement_token1] = ACTIONS(1594),
    [anon_sym_COMMA] = ACTIONS(1594),
    [aux_sym_set_statement_token1] = ACTIONS(1594),
    [anon_sym_LPAREN] = ACTIONS(1594),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1594),
    [aux_sym_using_clause_token1] = ACTIONS(1594),
    [aux_sym_return_satement_token1] = ACTIONS(1594),
    [aux_sym_call_statement_token1] = ACTIONS(1594),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1594),
    [aux_sym_if_statement_token1] = ACTIONS(1594),
    [aux_sym_loop_statement_token1] = ACTIONS(1594),
    [aux_sym_repeat_statement_token1] = ACTIONS(1594),
    [aux_sym_while_statement_token1] = ACTIONS(1594),
    [aux_sym_break_statement_token1] = ACTIONS(1594),
    [aux_sym_leave_statement_token1] = ACTIONS(1594),
    [aux_sym_continue_statement_token1] = ACTIONS(1594),
    [aux_sym_iterate_statement_token1] = ACTIONS(1594),
    [aux_sym_raise_statement_token1] = ACTIONS(1594),
    [anon_sym_EQ] = ACTIONS(1594),
    [aux_sym_assert_statement_token1] = ACTIONS(1594),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1594),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1594),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1594),
    [anon_sym_LT] = ACTIONS(1596),
    [anon_sym_GT] = ACTIONS(1596),
    [aux_sym_set_operation_token1] = ACTIONS(1594),
    [aux_sym_set_operation_token3] = ACTIONS(1594),
    [aux_sym_set_operation_token4] = ACTIONS(1596),
    [aux_sym_select_token1] = ACTIONS(1594),
    [aux_sym_having_clause_token1] = ACTIONS(1594),
    [aux_sym_qualify_clause_token1] = ACTIONS(1594),
    [aux_sym_limit_clause_token1] = ACTIONS(1594),
    [aux_sym_group_by_clause_token1] = ACTIONS(1594),
    [aux_sym_order_by_clause_token1] = ACTIONS(1594),
    [aux_sym_where_clause_token1] = ACTIONS(1594),
    [aux_sym_pivot_operator_token1] = ACTIONS(1594),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1594),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1594),
    [aux_sym_join_type_token1] = ACTIONS(1594),
    [aux_sym_join_type_token2] = ACTIONS(1594),
    [aux_sym_join_type_token3] = ACTIONS(1594),
    [aux_sym_join_type_token4] = ACTIONS(1594),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1594),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1594),
    [aux_sym_join_condition_token1] = ACTIONS(1594),
    [aux_sym_insert_statement_token1] = ACTIONS(1594),
    [aux_sym_truncate_statement_token1] = ACTIONS(1594),
    [aux_sym_update_statement_token1] = ACTIONS(1594),
    [aux_sym_merge_statement_token1] = ACTIONS(1594),
    [aux_sym_grant_statement_token1] = ACTIONS(1594),
    [aux_sym_revoke_statement_token1] = ACTIONS(1594),
    [aux_sym_export_data_statement_token1] = ACTIONS(1594),
    [aux_sym_load_data_statement_token1] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1594),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1594),
    [anon_sym_PLUS] = ACTIONS(1594),
    [anon_sym_DASH] = ACTIONS(1596),
    [anon_sym_STAR] = ACTIONS(1594),
    [anon_sym_SLASH] = ACTIONS(1596),
    [anon_sym_PIPE_PIPE] = ACTIONS(1594),
    [anon_sym_LT_EQ] = ACTIONS(1594),
    [anon_sym_LT_GT] = ACTIONS(1594),
    [anon_sym_GT_EQ] = ACTIONS(1594),
    [anon_sym_BANG_EQ] = ACTIONS(1594),
    [anon_sym_LT_LT] = ACTIONS(1594),
    [anon_sym_GT_GT] = ACTIONS(1594),
    [anon_sym_AMP] = ACTIONS(1594),
    [anon_sym_CARET] = ACTIONS(1594),
    [anon_sym_PIPE] = ACTIONS(1596),
  },
  [452] = {
    [ts_builtin_sym_end] = ACTIONS(1390),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1390),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1390),
    [aux_sym_keyword_replace_token1] = ACTIONS(1392),
    [aux_sym__keyword_alter_token1] = ACTIONS(1390),
    [aux_sym__keyword_delete_token1] = ACTIONS(1390),
    [aux_sym__keyword_begin_token1] = ACTIONS(1390),
    [aux_sym__keyword_end_token1] = ACTIONS(1390),
    [aux_sym__keyword_between_token1] = ACTIONS(1390),
    [aux_sym__keyword_when_token1] = ACTIONS(1390),
    [aux_sym__keyword_else_token1] = ACTIONS(1392),
    [aux_sym__keyword_is_token1] = ACTIONS(1390),
    [aux_sym__keyword_in_token1] = ACTIONS(1392),
    [aux_sym__keyword_and_token1] = ACTIONS(1390),
    [aux_sym__keyword_like_token1] = ACTIONS(1390),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1390),
    [aux_sym__keyword_window_token1] = ACTIONS(1390),
    [aux_sym__keyword_for_token1] = ACTIONS(1390),
    [anon_sym_SEMI] = ACTIONS(1390),
    [aux_sym_declare_statement_token1] = ACTIONS(1390),
    [anon_sym_COMMA] = ACTIONS(1390),
    [aux_sym_set_statement_token1] = ACTIONS(1390),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1390),
    [aux_sym_using_clause_token1] = ACTIONS(1390),
    [aux_sym_return_satement_token1] = ACTIONS(1390),
    [aux_sym_call_statement_token1] = ACTIONS(1390),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1390),
    [aux_sym_if_statement_token1] = ACTIONS(1390),
    [aux_sym_loop_statement_token1] = ACTIONS(1390),
    [aux_sym_repeat_statement_token1] = ACTIONS(1390),
    [aux_sym_while_statement_token1] = ACTIONS(1390),
    [aux_sym_break_statement_token1] = ACTIONS(1390),
    [aux_sym_leave_statement_token1] = ACTIONS(1390),
    [aux_sym_continue_statement_token1] = ACTIONS(1390),
    [aux_sym_iterate_statement_token1] = ACTIONS(1390),
    [aux_sym_raise_statement_token1] = ACTIONS(1390),
    [anon_sym_EQ] = ACTIONS(1390),
    [aux_sym_assert_statement_token1] = ACTIONS(1390),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1390),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1390),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1390),
    [anon_sym_LT] = ACTIONS(1392),
    [anon_sym_GT] = ACTIONS(1392),
    [aux_sym_set_operation_token1] = ACTIONS(1390),
    [aux_sym_set_operation_token3] = ACTIONS(1390),
    [aux_sym_set_operation_token4] = ACTIONS(1392),
    [aux_sym_select_token1] = ACTIONS(1390),
    [aux_sym_having_clause_token1] = ACTIONS(1390),
    [aux_sym_qualify_clause_token1] = ACTIONS(1390),
    [aux_sym_limit_clause_token1] = ACTIONS(1390),
    [aux_sym_group_by_clause_token1] = ACTIONS(1390),
    [aux_sym_order_by_clause_token1] = ACTIONS(1390),
    [aux_sym_where_clause_token1] = ACTIONS(1390),
    [aux_sym_pivot_operator_token1] = ACTIONS(1390),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1390),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1390),
    [aux_sym_join_type_token1] = ACTIONS(1390),
    [aux_sym_join_type_token2] = ACTIONS(1390),
    [aux_sym_join_type_token3] = ACTIONS(1390),
    [aux_sym_join_type_token4] = ACTIONS(1390),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1390),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1390),
    [aux_sym_join_condition_token1] = ACTIONS(1390),
    [aux_sym_insert_statement_token1] = ACTIONS(1390),
    [aux_sym_truncate_statement_token1] = ACTIONS(1390),
    [aux_sym_update_statement_token1] = ACTIONS(1390),
    [aux_sym_merge_statement_token1] = ACTIONS(1390),
    [aux_sym_grant_statement_token1] = ACTIONS(1390),
    [aux_sym_revoke_statement_token1] = ACTIONS(1390),
    [aux_sym_export_data_statement_token1] = ACTIONS(1390),
    [aux_sym_load_data_statement_token1] = ACTIONS(1390),
    [anon_sym_LBRACK] = ACTIONS(1390),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_DASH] = ACTIONS(1392),
    [anon_sym_STAR] = ACTIONS(1390),
    [anon_sym_SLASH] = ACTIONS(1392),
    [anon_sym_PIPE_PIPE] = ACTIONS(1390),
    [anon_sym_LT_EQ] = ACTIONS(1390),
    [anon_sym_LT_GT] = ACTIONS(1390),
    [anon_sym_GT_EQ] = ACTIONS(1390),
    [anon_sym_BANG_EQ] = ACTIONS(1390),
    [anon_sym_LT_LT] = ACTIONS(1390),
    [anon_sym_GT_GT] = ACTIONS(1390),
    [anon_sym_AMP] = ACTIONS(1390),
    [anon_sym_CARET] = ACTIONS(1390),
    [anon_sym_PIPE] = ACTIONS(1392),
  },
  [453] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_where_clause_token1] = ACTIONS(1354),
    [aux_sym_pivot_operator_token1] = ACTIONS(1354),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1354),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1354),
    [aux_sym_join_type_token1] = ACTIONS(1354),
    [aux_sym_join_type_token2] = ACTIONS(1354),
    [aux_sym_join_type_token3] = ACTIONS(1354),
    [aux_sym_join_type_token4] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1354),
    [aux_sym_join_condition_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [454] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_where_clause_token1] = ACTIONS(1354),
    [aux_sym_pivot_operator_token1] = ACTIONS(1354),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1354),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1354),
    [aux_sym_join_type_token1] = ACTIONS(1354),
    [aux_sym_join_type_token2] = ACTIONS(1354),
    [aux_sym_join_type_token3] = ACTIONS(1354),
    [aux_sym_join_type_token4] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1354),
    [aux_sym_join_condition_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [455] = {
    [ts_builtin_sym_end] = ACTIONS(1382),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1382),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1382),
    [aux_sym_keyword_replace_token1] = ACTIONS(1384),
    [aux_sym__keyword_alter_token1] = ACTIONS(1382),
    [aux_sym__keyword_delete_token1] = ACTIONS(1382),
    [aux_sym__keyword_begin_token1] = ACTIONS(1382),
    [aux_sym__keyword_end_token1] = ACTIONS(1382),
    [aux_sym__keyword_between_token1] = ACTIONS(1382),
    [aux_sym__keyword_when_token1] = ACTIONS(1382),
    [aux_sym__keyword_else_token1] = ACTIONS(1384),
    [aux_sym__keyword_is_token1] = ACTIONS(1382),
    [aux_sym__keyword_in_token1] = ACTIONS(1384),
    [aux_sym__keyword_and_token1] = ACTIONS(1382),
    [aux_sym__keyword_like_token1] = ACTIONS(1382),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1382),
    [aux_sym__keyword_window_token1] = ACTIONS(1382),
    [aux_sym__keyword_for_token1] = ACTIONS(1382),
    [anon_sym_SEMI] = ACTIONS(1382),
    [aux_sym_declare_statement_token1] = ACTIONS(1382),
    [anon_sym_COMMA] = ACTIONS(1382),
    [aux_sym_set_statement_token1] = ACTIONS(1382),
    [anon_sym_LPAREN] = ACTIONS(1382),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1382),
    [aux_sym_using_clause_token1] = ACTIONS(1382),
    [aux_sym_return_satement_token1] = ACTIONS(1382),
    [aux_sym_call_statement_token1] = ACTIONS(1382),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1382),
    [aux_sym_if_statement_token1] = ACTIONS(1382),
    [aux_sym_loop_statement_token1] = ACTIONS(1382),
    [aux_sym_repeat_statement_token1] = ACTIONS(1382),
    [aux_sym_while_statement_token1] = ACTIONS(1382),
    [aux_sym_break_statement_token1] = ACTIONS(1382),
    [aux_sym_leave_statement_token1] = ACTIONS(1382),
    [aux_sym_continue_statement_token1] = ACTIONS(1382),
    [aux_sym_iterate_statement_token1] = ACTIONS(1382),
    [aux_sym_raise_statement_token1] = ACTIONS(1382),
    [anon_sym_EQ] = ACTIONS(1382),
    [aux_sym_assert_statement_token1] = ACTIONS(1382),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1382),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1382),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1382),
    [anon_sym_LT] = ACTIONS(1384),
    [anon_sym_GT] = ACTIONS(1384),
    [aux_sym_set_operation_token1] = ACTIONS(1382),
    [aux_sym_set_operation_token3] = ACTIONS(1382),
    [aux_sym_set_operation_token4] = ACTIONS(1384),
    [aux_sym_select_token1] = ACTIONS(1382),
    [aux_sym_having_clause_token1] = ACTIONS(1382),
    [aux_sym_qualify_clause_token1] = ACTIONS(1382),
    [aux_sym_limit_clause_token1] = ACTIONS(1382),
    [aux_sym_group_by_clause_token1] = ACTIONS(1382),
    [aux_sym_order_by_clause_token1] = ACTIONS(1382),
    [aux_sym_where_clause_token1] = ACTIONS(1382),
    [aux_sym_pivot_operator_token1] = ACTIONS(1382),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1382),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1382),
    [aux_sym_join_type_token1] = ACTIONS(1382),
    [aux_sym_join_type_token2] = ACTIONS(1382),
    [aux_sym_join_type_token3] = ACTIONS(1382),
    [aux_sym_join_type_token4] = ACTIONS(1382),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1382),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1382),
    [aux_sym_join_condition_token1] = ACTIONS(1382),
    [aux_sym_insert_statement_token1] = ACTIONS(1382),
    [aux_sym_truncate_statement_token1] = ACTIONS(1382),
    [aux_sym_update_statement_token1] = ACTIONS(1382),
    [aux_sym_merge_statement_token1] = ACTIONS(1382),
    [aux_sym_grant_statement_token1] = ACTIONS(1382),
    [aux_sym_revoke_statement_token1] = ACTIONS(1382),
    [aux_sym_export_data_statement_token1] = ACTIONS(1382),
    [aux_sym_load_data_statement_token1] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(1382),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1382),
    [anon_sym_PLUS] = ACTIONS(1382),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_STAR] = ACTIONS(1382),
    [anon_sym_SLASH] = ACTIONS(1384),
    [anon_sym_PIPE_PIPE] = ACTIONS(1382),
    [anon_sym_LT_EQ] = ACTIONS(1382),
    [anon_sym_LT_GT] = ACTIONS(1382),
    [anon_sym_GT_EQ] = ACTIONS(1382),
    [anon_sym_BANG_EQ] = ACTIONS(1382),
    [anon_sym_LT_LT] = ACTIONS(1382),
    [anon_sym_GT_GT] = ACTIONS(1382),
    [anon_sym_AMP] = ACTIONS(1382),
    [anon_sym_CARET] = ACTIONS(1382),
    [anon_sym_PIPE] = ACTIONS(1384),
  },
  [456] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_where_clause_token1] = ACTIONS(1354),
    [aux_sym_pivot_operator_token1] = ACTIONS(1354),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1354),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1354),
    [aux_sym_join_type_token1] = ACTIONS(1354),
    [aux_sym_join_type_token2] = ACTIONS(1354),
    [aux_sym_join_type_token3] = ACTIONS(1354),
    [aux_sym_join_type_token4] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1354),
    [aux_sym_join_condition_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [457] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_where_clause_token1] = ACTIONS(1354),
    [aux_sym_pivot_operator_token1] = ACTIONS(1354),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1354),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1354),
    [aux_sym_join_type_token1] = ACTIONS(1354),
    [aux_sym_join_type_token2] = ACTIONS(1354),
    [aux_sym_join_type_token3] = ACTIONS(1354),
    [aux_sym_join_type_token4] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1354),
    [aux_sym_join_condition_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [458] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_where_clause_token1] = ACTIONS(1354),
    [aux_sym_pivot_operator_token1] = ACTIONS(1354),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1354),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1354),
    [aux_sym_join_type_token1] = ACTIONS(1354),
    [aux_sym_join_type_token2] = ACTIONS(1354),
    [aux_sym_join_type_token3] = ACTIONS(1354),
    [aux_sym_join_type_token4] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1354),
    [aux_sym_join_condition_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [459] = {
    [ts_builtin_sym_end] = ACTIONS(1598),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1598),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1598),
    [aux_sym_keyword_replace_token1] = ACTIONS(1600),
    [aux_sym__keyword_alter_token1] = ACTIONS(1598),
    [aux_sym__keyword_delete_token1] = ACTIONS(1598),
    [aux_sym__keyword_begin_token1] = ACTIONS(1598),
    [aux_sym__keyword_end_token1] = ACTIONS(1598),
    [aux_sym__keyword_between_token1] = ACTIONS(1598),
    [aux_sym__keyword_when_token1] = ACTIONS(1598),
    [aux_sym__keyword_else_token1] = ACTIONS(1600),
    [aux_sym__keyword_is_token1] = ACTIONS(1598),
    [aux_sym__keyword_in_token1] = ACTIONS(1600),
    [aux_sym__keyword_and_token1] = ACTIONS(1598),
    [aux_sym__keyword_like_token1] = ACTIONS(1598),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1598),
    [aux_sym__keyword_window_token1] = ACTIONS(1598),
    [aux_sym__keyword_for_token1] = ACTIONS(1598),
    [anon_sym_SEMI] = ACTIONS(1598),
    [aux_sym_declare_statement_token1] = ACTIONS(1598),
    [anon_sym_COMMA] = ACTIONS(1598),
    [aux_sym_set_statement_token1] = ACTIONS(1598),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1598),
    [aux_sym_using_clause_token1] = ACTIONS(1598),
    [aux_sym_return_satement_token1] = ACTIONS(1598),
    [aux_sym_call_statement_token1] = ACTIONS(1598),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1598),
    [aux_sym_if_statement_token1] = ACTIONS(1598),
    [aux_sym_loop_statement_token1] = ACTIONS(1598),
    [aux_sym_repeat_statement_token1] = ACTIONS(1598),
    [aux_sym_while_statement_token1] = ACTIONS(1598),
    [aux_sym_break_statement_token1] = ACTIONS(1598),
    [aux_sym_leave_statement_token1] = ACTIONS(1598),
    [aux_sym_continue_statement_token1] = ACTIONS(1598),
    [aux_sym_iterate_statement_token1] = ACTIONS(1598),
    [aux_sym_raise_statement_token1] = ACTIONS(1598),
    [anon_sym_EQ] = ACTIONS(1598),
    [aux_sym_assert_statement_token1] = ACTIONS(1598),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1598),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1598),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1598),
    [anon_sym_LT] = ACTIONS(1600),
    [anon_sym_GT] = ACTIONS(1600),
    [aux_sym_set_operation_token1] = ACTIONS(1598),
    [aux_sym_set_operation_token3] = ACTIONS(1598),
    [aux_sym_set_operation_token4] = ACTIONS(1600),
    [aux_sym_select_token1] = ACTIONS(1598),
    [aux_sym_having_clause_token1] = ACTIONS(1598),
    [aux_sym_qualify_clause_token1] = ACTIONS(1598),
    [aux_sym_limit_clause_token1] = ACTIONS(1598),
    [aux_sym_group_by_clause_token1] = ACTIONS(1598),
    [aux_sym_order_by_clause_token1] = ACTIONS(1598),
    [aux_sym_where_clause_token1] = ACTIONS(1598),
    [aux_sym_pivot_operator_token1] = ACTIONS(1598),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1598),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1598),
    [aux_sym_join_type_token1] = ACTIONS(1598),
    [aux_sym_join_type_token2] = ACTIONS(1598),
    [aux_sym_join_type_token3] = ACTIONS(1598),
    [aux_sym_join_type_token4] = ACTIONS(1598),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1598),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1598),
    [aux_sym_join_condition_token1] = ACTIONS(1598),
    [aux_sym_insert_statement_token1] = ACTIONS(1598),
    [aux_sym_truncate_statement_token1] = ACTIONS(1598),
    [aux_sym_update_statement_token1] = ACTIONS(1598),
    [aux_sym_merge_statement_token1] = ACTIONS(1598),
    [aux_sym_grant_statement_token1] = ACTIONS(1598),
    [aux_sym_revoke_statement_token1] = ACTIONS(1598),
    [aux_sym_export_data_statement_token1] = ACTIONS(1598),
    [aux_sym_load_data_statement_token1] = ACTIONS(1598),
    [anon_sym_LBRACK] = ACTIONS(1598),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1598),
    [anon_sym_PLUS] = ACTIONS(1598),
    [anon_sym_DASH] = ACTIONS(1600),
    [anon_sym_STAR] = ACTIONS(1598),
    [anon_sym_SLASH] = ACTIONS(1600),
    [anon_sym_PIPE_PIPE] = ACTIONS(1598),
    [anon_sym_LT_EQ] = ACTIONS(1598),
    [anon_sym_LT_GT] = ACTIONS(1598),
    [anon_sym_GT_EQ] = ACTIONS(1598),
    [anon_sym_BANG_EQ] = ACTIONS(1598),
    [anon_sym_LT_LT] = ACTIONS(1598),
    [anon_sym_GT_GT] = ACTIONS(1598),
    [anon_sym_AMP] = ACTIONS(1598),
    [anon_sym_CARET] = ACTIONS(1598),
    [anon_sym_PIPE] = ACTIONS(1600),
  },
  [460] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_where_clause_token1] = ACTIONS(1354),
    [aux_sym_pivot_operator_token1] = ACTIONS(1354),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1354),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1354),
    [aux_sym_join_type_token1] = ACTIONS(1354),
    [aux_sym_join_type_token2] = ACTIONS(1354),
    [aux_sym_join_type_token3] = ACTIONS(1354),
    [aux_sym_join_type_token4] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1354),
    [aux_sym_join_condition_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [461] = {
    [ts_builtin_sym_end] = ACTIONS(1508),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1508),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1508),
    [aux_sym_keyword_replace_token1] = ACTIONS(1510),
    [aux_sym__keyword_alter_token1] = ACTIONS(1508),
    [aux_sym__keyword_delete_token1] = ACTIONS(1508),
    [aux_sym__keyword_begin_token1] = ACTIONS(1508),
    [aux_sym__keyword_end_token1] = ACTIONS(1508),
    [aux_sym__keyword_between_token1] = ACTIONS(1508),
    [aux_sym__keyword_when_token1] = ACTIONS(1508),
    [aux_sym__keyword_else_token1] = ACTIONS(1510),
    [aux_sym__keyword_is_token1] = ACTIONS(1508),
    [aux_sym__keyword_in_token1] = ACTIONS(1510),
    [aux_sym__keyword_and_token1] = ACTIONS(1508),
    [aux_sym__keyword_like_token1] = ACTIONS(1508),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1508),
    [aux_sym__keyword_window_token1] = ACTIONS(1508),
    [aux_sym__keyword_for_token1] = ACTIONS(1508),
    [anon_sym_SEMI] = ACTIONS(1508),
    [aux_sym_declare_statement_token1] = ACTIONS(1508),
    [anon_sym_COMMA] = ACTIONS(1508),
    [aux_sym_set_statement_token1] = ACTIONS(1508),
    [anon_sym_LPAREN] = ACTIONS(1508),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1508),
    [aux_sym_using_clause_token1] = ACTIONS(1508),
    [aux_sym_return_satement_token1] = ACTIONS(1508),
    [aux_sym_call_statement_token1] = ACTIONS(1508),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1508),
    [aux_sym_if_statement_token1] = ACTIONS(1508),
    [aux_sym_loop_statement_token1] = ACTIONS(1508),
    [aux_sym_repeat_statement_token1] = ACTIONS(1508),
    [aux_sym_while_statement_token1] = ACTIONS(1508),
    [aux_sym_break_statement_token1] = ACTIONS(1508),
    [aux_sym_leave_statement_token1] = ACTIONS(1508),
    [aux_sym_continue_statement_token1] = ACTIONS(1508),
    [aux_sym_iterate_statement_token1] = ACTIONS(1508),
    [aux_sym_raise_statement_token1] = ACTIONS(1508),
    [anon_sym_EQ] = ACTIONS(1508),
    [aux_sym_assert_statement_token1] = ACTIONS(1508),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1508),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1508),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1508),
    [anon_sym_LT] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1510),
    [aux_sym_set_operation_token1] = ACTIONS(1508),
    [aux_sym_set_operation_token3] = ACTIONS(1508),
    [aux_sym_set_operation_token4] = ACTIONS(1510),
    [aux_sym_select_token1] = ACTIONS(1508),
    [aux_sym_having_clause_token1] = ACTIONS(1508),
    [aux_sym_qualify_clause_token1] = ACTIONS(1508),
    [aux_sym_limit_clause_token1] = ACTIONS(1508),
    [aux_sym_group_by_clause_token1] = ACTIONS(1508),
    [aux_sym_order_by_clause_token1] = ACTIONS(1508),
    [aux_sym_where_clause_token1] = ACTIONS(1508),
    [aux_sym_pivot_operator_token1] = ACTIONS(1508),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1508),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1508),
    [aux_sym_join_type_token1] = ACTIONS(1508),
    [aux_sym_join_type_token2] = ACTIONS(1508),
    [aux_sym_join_type_token3] = ACTIONS(1508),
    [aux_sym_join_type_token4] = ACTIONS(1508),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1508),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1508),
    [aux_sym_join_condition_token1] = ACTIONS(1508),
    [aux_sym_insert_statement_token1] = ACTIONS(1508),
    [aux_sym_truncate_statement_token1] = ACTIONS(1508),
    [aux_sym_update_statement_token1] = ACTIONS(1508),
    [aux_sym_merge_statement_token1] = ACTIONS(1508),
    [aux_sym_grant_statement_token1] = ACTIONS(1508),
    [aux_sym_revoke_statement_token1] = ACTIONS(1508),
    [aux_sym_export_data_statement_token1] = ACTIONS(1508),
    [aux_sym_load_data_statement_token1] = ACTIONS(1508),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1508),
    [anon_sym_PLUS] = ACTIONS(1508),
    [anon_sym_DASH] = ACTIONS(1510),
    [anon_sym_STAR] = ACTIONS(1508),
    [anon_sym_SLASH] = ACTIONS(1510),
    [anon_sym_PIPE_PIPE] = ACTIONS(1508),
    [anon_sym_LT_EQ] = ACTIONS(1508),
    [anon_sym_LT_GT] = ACTIONS(1508),
    [anon_sym_GT_EQ] = ACTIONS(1508),
    [anon_sym_BANG_EQ] = ACTIONS(1508),
    [anon_sym_LT_LT] = ACTIONS(1508),
    [anon_sym_GT_GT] = ACTIONS(1508),
    [anon_sym_AMP] = ACTIONS(1508),
    [anon_sym_CARET] = ACTIONS(1508),
    [anon_sym_PIPE] = ACTIONS(1510),
  },
  [462] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_where_clause_token1] = ACTIONS(1364),
    [aux_sym_pivot_operator_token1] = ACTIONS(1364),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1364),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1364),
    [aux_sym_join_type_token1] = ACTIONS(1364),
    [aux_sym_join_type_token2] = ACTIONS(1364),
    [aux_sym_join_type_token3] = ACTIONS(1364),
    [aux_sym_join_type_token4] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1364),
    [aux_sym_join_condition_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [463] = {
    [ts_builtin_sym_end] = ACTIONS(1602),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1602),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1602),
    [aux_sym_keyword_replace_token1] = ACTIONS(1604),
    [aux_sym__keyword_alter_token1] = ACTIONS(1602),
    [aux_sym__keyword_delete_token1] = ACTIONS(1602),
    [aux_sym__keyword_begin_token1] = ACTIONS(1602),
    [aux_sym__keyword_end_token1] = ACTIONS(1602),
    [aux_sym__keyword_between_token1] = ACTIONS(1602),
    [aux_sym__keyword_when_token1] = ACTIONS(1602),
    [aux_sym__keyword_else_token1] = ACTIONS(1604),
    [aux_sym__keyword_is_token1] = ACTIONS(1602),
    [aux_sym__keyword_in_token1] = ACTIONS(1604),
    [aux_sym__keyword_and_token1] = ACTIONS(1602),
    [aux_sym__keyword_like_token1] = ACTIONS(1602),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1602),
    [aux_sym__keyword_window_token1] = ACTIONS(1602),
    [aux_sym__keyword_for_token1] = ACTIONS(1602),
    [anon_sym_SEMI] = ACTIONS(1602),
    [aux_sym_declare_statement_token1] = ACTIONS(1602),
    [anon_sym_COMMA] = ACTIONS(1602),
    [aux_sym_set_statement_token1] = ACTIONS(1602),
    [anon_sym_LPAREN] = ACTIONS(1602),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1602),
    [aux_sym_using_clause_token1] = ACTIONS(1602),
    [aux_sym_return_satement_token1] = ACTIONS(1602),
    [aux_sym_call_statement_token1] = ACTIONS(1602),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1602),
    [aux_sym_if_statement_token1] = ACTIONS(1602),
    [aux_sym_loop_statement_token1] = ACTIONS(1602),
    [aux_sym_repeat_statement_token1] = ACTIONS(1602),
    [aux_sym_while_statement_token1] = ACTIONS(1602),
    [aux_sym_break_statement_token1] = ACTIONS(1602),
    [aux_sym_leave_statement_token1] = ACTIONS(1602),
    [aux_sym_continue_statement_token1] = ACTIONS(1602),
    [aux_sym_iterate_statement_token1] = ACTIONS(1602),
    [aux_sym_raise_statement_token1] = ACTIONS(1602),
    [anon_sym_EQ] = ACTIONS(1602),
    [aux_sym_assert_statement_token1] = ACTIONS(1602),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1602),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1602),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1602),
    [anon_sym_LT] = ACTIONS(1604),
    [anon_sym_GT] = ACTIONS(1604),
    [aux_sym_set_operation_token1] = ACTIONS(1602),
    [aux_sym_set_operation_token3] = ACTIONS(1602),
    [aux_sym_set_operation_token4] = ACTIONS(1604),
    [aux_sym_select_token1] = ACTIONS(1602),
    [aux_sym_having_clause_token1] = ACTIONS(1602),
    [aux_sym_qualify_clause_token1] = ACTIONS(1602),
    [aux_sym_limit_clause_token1] = ACTIONS(1602),
    [aux_sym_group_by_clause_token1] = ACTIONS(1602),
    [aux_sym_order_by_clause_token1] = ACTIONS(1602),
    [aux_sym_where_clause_token1] = ACTIONS(1602),
    [aux_sym_pivot_operator_token1] = ACTIONS(1602),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1602),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1602),
    [aux_sym_join_type_token1] = ACTIONS(1602),
    [aux_sym_join_type_token2] = ACTIONS(1602),
    [aux_sym_join_type_token3] = ACTIONS(1602),
    [aux_sym_join_type_token4] = ACTIONS(1602),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1602),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1602),
    [aux_sym_join_condition_token1] = ACTIONS(1602),
    [aux_sym_insert_statement_token1] = ACTIONS(1602),
    [aux_sym_truncate_statement_token1] = ACTIONS(1602),
    [aux_sym_update_statement_token1] = ACTIONS(1602),
    [aux_sym_merge_statement_token1] = ACTIONS(1602),
    [aux_sym_grant_statement_token1] = ACTIONS(1602),
    [aux_sym_revoke_statement_token1] = ACTIONS(1602),
    [aux_sym_export_data_statement_token1] = ACTIONS(1602),
    [aux_sym_load_data_statement_token1] = ACTIONS(1602),
    [anon_sym_LBRACK] = ACTIONS(1602),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1602),
    [anon_sym_PLUS] = ACTIONS(1602),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_STAR] = ACTIONS(1602),
    [anon_sym_SLASH] = ACTIONS(1604),
    [anon_sym_PIPE_PIPE] = ACTIONS(1602),
    [anon_sym_LT_EQ] = ACTIONS(1602),
    [anon_sym_LT_GT] = ACTIONS(1602),
    [anon_sym_GT_EQ] = ACTIONS(1602),
    [anon_sym_BANG_EQ] = ACTIONS(1602),
    [anon_sym_LT_LT] = ACTIONS(1602),
    [anon_sym_GT_GT] = ACTIONS(1602),
    [anon_sym_AMP] = ACTIONS(1602),
    [anon_sym_CARET] = ACTIONS(1602),
    [anon_sym_PIPE] = ACTIONS(1604),
  },
  [464] = {
    [ts_builtin_sym_end] = ACTIONS(1606),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1606),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1606),
    [aux_sym_keyword_replace_token1] = ACTIONS(1608),
    [aux_sym__keyword_alter_token1] = ACTIONS(1606),
    [aux_sym__keyword_delete_token1] = ACTIONS(1606),
    [aux_sym__keyword_begin_token1] = ACTIONS(1606),
    [aux_sym__keyword_end_token1] = ACTIONS(1606),
    [aux_sym__keyword_between_token1] = ACTIONS(1606),
    [aux_sym__keyword_when_token1] = ACTIONS(1606),
    [aux_sym__keyword_else_token1] = ACTIONS(1608),
    [aux_sym__keyword_is_token1] = ACTIONS(1606),
    [aux_sym__keyword_in_token1] = ACTIONS(1608),
    [aux_sym__keyword_and_token1] = ACTIONS(1606),
    [aux_sym__keyword_like_token1] = ACTIONS(1606),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1606),
    [aux_sym__keyword_window_token1] = ACTIONS(1606),
    [aux_sym__keyword_for_token1] = ACTIONS(1606),
    [anon_sym_SEMI] = ACTIONS(1606),
    [aux_sym_declare_statement_token1] = ACTIONS(1606),
    [anon_sym_COMMA] = ACTIONS(1606),
    [aux_sym_set_statement_token1] = ACTIONS(1606),
    [anon_sym_LPAREN] = ACTIONS(1606),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1606),
    [aux_sym_using_clause_token1] = ACTIONS(1606),
    [aux_sym_return_satement_token1] = ACTIONS(1606),
    [aux_sym_call_statement_token1] = ACTIONS(1606),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1606),
    [aux_sym_if_statement_token1] = ACTIONS(1606),
    [aux_sym_loop_statement_token1] = ACTIONS(1606),
    [aux_sym_repeat_statement_token1] = ACTIONS(1606),
    [aux_sym_while_statement_token1] = ACTIONS(1606),
    [aux_sym_break_statement_token1] = ACTIONS(1606),
    [aux_sym_leave_statement_token1] = ACTIONS(1606),
    [aux_sym_continue_statement_token1] = ACTIONS(1606),
    [aux_sym_iterate_statement_token1] = ACTIONS(1606),
    [aux_sym_raise_statement_token1] = ACTIONS(1606),
    [anon_sym_EQ] = ACTIONS(1606),
    [aux_sym_assert_statement_token1] = ACTIONS(1606),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1606),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1606),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1606),
    [anon_sym_LT] = ACTIONS(1608),
    [anon_sym_GT] = ACTIONS(1608),
    [aux_sym_set_operation_token1] = ACTIONS(1606),
    [aux_sym_set_operation_token3] = ACTIONS(1606),
    [aux_sym_set_operation_token4] = ACTIONS(1608),
    [aux_sym_select_token1] = ACTIONS(1606),
    [aux_sym_having_clause_token1] = ACTIONS(1606),
    [aux_sym_qualify_clause_token1] = ACTIONS(1606),
    [aux_sym_limit_clause_token1] = ACTIONS(1606),
    [aux_sym_group_by_clause_token1] = ACTIONS(1606),
    [aux_sym_order_by_clause_token1] = ACTIONS(1606),
    [aux_sym_where_clause_token1] = ACTIONS(1606),
    [aux_sym_pivot_operator_token1] = ACTIONS(1606),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1606),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1606),
    [aux_sym_join_type_token1] = ACTIONS(1606),
    [aux_sym_join_type_token2] = ACTIONS(1606),
    [aux_sym_join_type_token3] = ACTIONS(1606),
    [aux_sym_join_type_token4] = ACTIONS(1606),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1606),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1606),
    [aux_sym_join_condition_token1] = ACTIONS(1606),
    [aux_sym_insert_statement_token1] = ACTIONS(1606),
    [aux_sym_truncate_statement_token1] = ACTIONS(1606),
    [aux_sym_update_statement_token1] = ACTIONS(1606),
    [aux_sym_merge_statement_token1] = ACTIONS(1606),
    [aux_sym_grant_statement_token1] = ACTIONS(1606),
    [aux_sym_revoke_statement_token1] = ACTIONS(1606),
    [aux_sym_export_data_statement_token1] = ACTIONS(1606),
    [aux_sym_load_data_statement_token1] = ACTIONS(1606),
    [anon_sym_LBRACK] = ACTIONS(1606),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1606),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_STAR] = ACTIONS(1606),
    [anon_sym_SLASH] = ACTIONS(1608),
    [anon_sym_PIPE_PIPE] = ACTIONS(1606),
    [anon_sym_LT_EQ] = ACTIONS(1606),
    [anon_sym_LT_GT] = ACTIONS(1606),
    [anon_sym_GT_EQ] = ACTIONS(1606),
    [anon_sym_BANG_EQ] = ACTIONS(1606),
    [anon_sym_LT_LT] = ACTIONS(1606),
    [anon_sym_GT_GT] = ACTIONS(1606),
    [anon_sym_AMP] = ACTIONS(1606),
    [anon_sym_CARET] = ACTIONS(1606),
    [anon_sym_PIPE] = ACTIONS(1608),
  },
  [465] = {
    [ts_builtin_sym_end] = ACTIONS(1610),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1610),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1610),
    [aux_sym_keyword_replace_token1] = ACTIONS(1612),
    [aux_sym__keyword_alter_token1] = ACTIONS(1610),
    [aux_sym__keyword_delete_token1] = ACTIONS(1610),
    [aux_sym__keyword_begin_token1] = ACTIONS(1610),
    [aux_sym__keyword_end_token1] = ACTIONS(1610),
    [aux_sym__keyword_between_token1] = ACTIONS(1610),
    [aux_sym__keyword_when_token1] = ACTIONS(1610),
    [aux_sym__keyword_else_token1] = ACTIONS(1612),
    [aux_sym__keyword_is_token1] = ACTIONS(1610),
    [aux_sym__keyword_in_token1] = ACTIONS(1612),
    [aux_sym__keyword_and_token1] = ACTIONS(1610),
    [aux_sym__keyword_like_token1] = ACTIONS(1610),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1610),
    [aux_sym__keyword_window_token1] = ACTIONS(1610),
    [aux_sym__keyword_for_token1] = ACTIONS(1610),
    [anon_sym_SEMI] = ACTIONS(1610),
    [aux_sym_declare_statement_token1] = ACTIONS(1610),
    [anon_sym_COMMA] = ACTIONS(1610),
    [aux_sym_set_statement_token1] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1610),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1610),
    [aux_sym_using_clause_token1] = ACTIONS(1610),
    [aux_sym_return_satement_token1] = ACTIONS(1610),
    [aux_sym_call_statement_token1] = ACTIONS(1610),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1610),
    [aux_sym_if_statement_token1] = ACTIONS(1610),
    [aux_sym_loop_statement_token1] = ACTIONS(1610),
    [aux_sym_repeat_statement_token1] = ACTIONS(1610),
    [aux_sym_while_statement_token1] = ACTIONS(1610),
    [aux_sym_break_statement_token1] = ACTIONS(1610),
    [aux_sym_leave_statement_token1] = ACTIONS(1610),
    [aux_sym_continue_statement_token1] = ACTIONS(1610),
    [aux_sym_iterate_statement_token1] = ACTIONS(1610),
    [aux_sym_raise_statement_token1] = ACTIONS(1610),
    [anon_sym_EQ] = ACTIONS(1610),
    [aux_sym_assert_statement_token1] = ACTIONS(1610),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1610),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1610),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1610),
    [anon_sym_LT] = ACTIONS(1612),
    [anon_sym_GT] = ACTIONS(1612),
    [aux_sym_set_operation_token1] = ACTIONS(1610),
    [aux_sym_set_operation_token3] = ACTIONS(1610),
    [aux_sym_set_operation_token4] = ACTIONS(1612),
    [aux_sym_select_token1] = ACTIONS(1610),
    [aux_sym_having_clause_token1] = ACTIONS(1610),
    [aux_sym_qualify_clause_token1] = ACTIONS(1610),
    [aux_sym_limit_clause_token1] = ACTIONS(1610),
    [aux_sym_group_by_clause_token1] = ACTIONS(1610),
    [aux_sym_order_by_clause_token1] = ACTIONS(1610),
    [aux_sym_where_clause_token1] = ACTIONS(1610),
    [aux_sym_pivot_operator_token1] = ACTIONS(1610),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1610),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1610),
    [aux_sym_join_type_token1] = ACTIONS(1610),
    [aux_sym_join_type_token2] = ACTIONS(1610),
    [aux_sym_join_type_token3] = ACTIONS(1610),
    [aux_sym_join_type_token4] = ACTIONS(1610),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1610),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1610),
    [aux_sym_join_condition_token1] = ACTIONS(1610),
    [aux_sym_insert_statement_token1] = ACTIONS(1610),
    [aux_sym_truncate_statement_token1] = ACTIONS(1610),
    [aux_sym_update_statement_token1] = ACTIONS(1610),
    [aux_sym_merge_statement_token1] = ACTIONS(1610),
    [aux_sym_grant_statement_token1] = ACTIONS(1610),
    [aux_sym_revoke_statement_token1] = ACTIONS(1610),
    [aux_sym_export_data_statement_token1] = ACTIONS(1610),
    [aux_sym_load_data_statement_token1] = ACTIONS(1610),
    [anon_sym_LBRACK] = ACTIONS(1610),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1610),
    [anon_sym_PLUS] = ACTIONS(1610),
    [anon_sym_DASH] = ACTIONS(1612),
    [anon_sym_STAR] = ACTIONS(1610),
    [anon_sym_SLASH] = ACTIONS(1612),
    [anon_sym_PIPE_PIPE] = ACTIONS(1610),
    [anon_sym_LT_EQ] = ACTIONS(1610),
    [anon_sym_LT_GT] = ACTIONS(1610),
    [anon_sym_GT_EQ] = ACTIONS(1610),
    [anon_sym_BANG_EQ] = ACTIONS(1610),
    [anon_sym_LT_LT] = ACTIONS(1610),
    [anon_sym_GT_GT] = ACTIONS(1610),
    [anon_sym_AMP] = ACTIONS(1610),
    [anon_sym_CARET] = ACTIONS(1610),
    [anon_sym_PIPE] = ACTIONS(1612),
  },
  [466] = {
    [ts_builtin_sym_end] = ACTIONS(1614),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1614),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1614),
    [aux_sym_keyword_replace_token1] = ACTIONS(1616),
    [aux_sym__keyword_alter_token1] = ACTIONS(1614),
    [aux_sym__keyword_delete_token1] = ACTIONS(1614),
    [aux_sym__keyword_begin_token1] = ACTIONS(1614),
    [aux_sym__keyword_end_token1] = ACTIONS(1614),
    [aux_sym__keyword_between_token1] = ACTIONS(1614),
    [aux_sym__keyword_when_token1] = ACTIONS(1614),
    [aux_sym__keyword_else_token1] = ACTIONS(1616),
    [aux_sym__keyword_is_token1] = ACTIONS(1614),
    [aux_sym__keyword_in_token1] = ACTIONS(1616),
    [aux_sym__keyword_and_token1] = ACTIONS(1614),
    [aux_sym__keyword_like_token1] = ACTIONS(1614),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1614),
    [aux_sym__keyword_window_token1] = ACTIONS(1614),
    [aux_sym__keyword_for_token1] = ACTIONS(1614),
    [anon_sym_SEMI] = ACTIONS(1614),
    [aux_sym_declare_statement_token1] = ACTIONS(1614),
    [anon_sym_COMMA] = ACTIONS(1614),
    [aux_sym_set_statement_token1] = ACTIONS(1614),
    [anon_sym_LPAREN] = ACTIONS(1614),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1614),
    [aux_sym_using_clause_token1] = ACTIONS(1614),
    [aux_sym_return_satement_token1] = ACTIONS(1614),
    [aux_sym_call_statement_token1] = ACTIONS(1614),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1614),
    [aux_sym_if_statement_token1] = ACTIONS(1614),
    [aux_sym_loop_statement_token1] = ACTIONS(1614),
    [aux_sym_repeat_statement_token1] = ACTIONS(1614),
    [aux_sym_while_statement_token1] = ACTIONS(1614),
    [aux_sym_break_statement_token1] = ACTIONS(1614),
    [aux_sym_leave_statement_token1] = ACTIONS(1614),
    [aux_sym_continue_statement_token1] = ACTIONS(1614),
    [aux_sym_iterate_statement_token1] = ACTIONS(1614),
    [aux_sym_raise_statement_token1] = ACTIONS(1614),
    [anon_sym_EQ] = ACTIONS(1614),
    [aux_sym_assert_statement_token1] = ACTIONS(1614),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1614),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1614),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1614),
    [anon_sym_LT] = ACTIONS(1616),
    [anon_sym_GT] = ACTIONS(1616),
    [aux_sym_set_operation_token1] = ACTIONS(1614),
    [aux_sym_set_operation_token3] = ACTIONS(1614),
    [aux_sym_set_operation_token4] = ACTIONS(1616),
    [aux_sym_select_token1] = ACTIONS(1614),
    [aux_sym_having_clause_token1] = ACTIONS(1614),
    [aux_sym_qualify_clause_token1] = ACTIONS(1614),
    [aux_sym_limit_clause_token1] = ACTIONS(1614),
    [aux_sym_group_by_clause_token1] = ACTIONS(1614),
    [aux_sym_order_by_clause_token1] = ACTIONS(1614),
    [aux_sym_where_clause_token1] = ACTIONS(1614),
    [aux_sym_pivot_operator_token1] = ACTIONS(1614),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1614),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1614),
    [aux_sym_join_type_token1] = ACTIONS(1614),
    [aux_sym_join_type_token2] = ACTIONS(1614),
    [aux_sym_join_type_token3] = ACTIONS(1614),
    [aux_sym_join_type_token4] = ACTIONS(1614),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1614),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1614),
    [aux_sym_join_condition_token1] = ACTIONS(1614),
    [aux_sym_insert_statement_token1] = ACTIONS(1614),
    [aux_sym_truncate_statement_token1] = ACTIONS(1614),
    [aux_sym_update_statement_token1] = ACTIONS(1614),
    [aux_sym_merge_statement_token1] = ACTIONS(1614),
    [aux_sym_grant_statement_token1] = ACTIONS(1614),
    [aux_sym_revoke_statement_token1] = ACTIONS(1614),
    [aux_sym_export_data_statement_token1] = ACTIONS(1614),
    [aux_sym_load_data_statement_token1] = ACTIONS(1614),
    [anon_sym_LBRACK] = ACTIONS(1614),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1614),
    [anon_sym_PLUS] = ACTIONS(1614),
    [anon_sym_DASH] = ACTIONS(1616),
    [anon_sym_STAR] = ACTIONS(1614),
    [anon_sym_SLASH] = ACTIONS(1616),
    [anon_sym_PIPE_PIPE] = ACTIONS(1614),
    [anon_sym_LT_EQ] = ACTIONS(1614),
    [anon_sym_LT_GT] = ACTIONS(1614),
    [anon_sym_GT_EQ] = ACTIONS(1614),
    [anon_sym_BANG_EQ] = ACTIONS(1614),
    [anon_sym_LT_LT] = ACTIONS(1614),
    [anon_sym_GT_GT] = ACTIONS(1614),
    [anon_sym_AMP] = ACTIONS(1614),
    [anon_sym_CARET] = ACTIONS(1614),
    [anon_sym_PIPE] = ACTIONS(1616),
  },
  [467] = {
    [ts_builtin_sym_end] = ACTIONS(1618),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1618),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1618),
    [aux_sym_keyword_replace_token1] = ACTIONS(1620),
    [aux_sym__keyword_alter_token1] = ACTIONS(1618),
    [aux_sym__keyword_delete_token1] = ACTIONS(1618),
    [aux_sym__keyword_begin_token1] = ACTIONS(1618),
    [aux_sym__keyword_end_token1] = ACTIONS(1618),
    [aux_sym__keyword_between_token1] = ACTIONS(1618),
    [aux_sym__keyword_when_token1] = ACTIONS(1618),
    [aux_sym__keyword_else_token1] = ACTIONS(1620),
    [aux_sym__keyword_is_token1] = ACTIONS(1618),
    [aux_sym__keyword_in_token1] = ACTIONS(1620),
    [aux_sym__keyword_and_token1] = ACTIONS(1618),
    [aux_sym__keyword_like_token1] = ACTIONS(1618),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1618),
    [aux_sym__keyword_window_token1] = ACTIONS(1618),
    [aux_sym__keyword_for_token1] = ACTIONS(1618),
    [anon_sym_SEMI] = ACTIONS(1618),
    [aux_sym_declare_statement_token1] = ACTIONS(1618),
    [anon_sym_COMMA] = ACTIONS(1618),
    [aux_sym_set_statement_token1] = ACTIONS(1618),
    [anon_sym_LPAREN] = ACTIONS(1618),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1618),
    [aux_sym_using_clause_token1] = ACTIONS(1618),
    [aux_sym_return_satement_token1] = ACTIONS(1618),
    [aux_sym_call_statement_token1] = ACTIONS(1618),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1618),
    [aux_sym_if_statement_token1] = ACTIONS(1618),
    [aux_sym_loop_statement_token1] = ACTIONS(1618),
    [aux_sym_repeat_statement_token1] = ACTIONS(1618),
    [aux_sym_while_statement_token1] = ACTIONS(1618),
    [aux_sym_break_statement_token1] = ACTIONS(1618),
    [aux_sym_leave_statement_token1] = ACTIONS(1618),
    [aux_sym_continue_statement_token1] = ACTIONS(1618),
    [aux_sym_iterate_statement_token1] = ACTIONS(1618),
    [aux_sym_raise_statement_token1] = ACTIONS(1618),
    [anon_sym_EQ] = ACTIONS(1618),
    [aux_sym_assert_statement_token1] = ACTIONS(1618),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1618),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1618),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1618),
    [anon_sym_LT] = ACTIONS(1620),
    [anon_sym_GT] = ACTIONS(1620),
    [aux_sym_set_operation_token1] = ACTIONS(1618),
    [aux_sym_set_operation_token3] = ACTIONS(1618),
    [aux_sym_set_operation_token4] = ACTIONS(1620),
    [aux_sym_select_token1] = ACTIONS(1618),
    [aux_sym_having_clause_token1] = ACTIONS(1618),
    [aux_sym_qualify_clause_token1] = ACTIONS(1618),
    [aux_sym_limit_clause_token1] = ACTIONS(1618),
    [aux_sym_group_by_clause_token1] = ACTIONS(1618),
    [aux_sym_order_by_clause_token1] = ACTIONS(1618),
    [aux_sym_where_clause_token1] = ACTIONS(1618),
    [aux_sym_pivot_operator_token1] = ACTIONS(1618),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1618),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1618),
    [aux_sym_join_type_token1] = ACTIONS(1618),
    [aux_sym_join_type_token2] = ACTIONS(1618),
    [aux_sym_join_type_token3] = ACTIONS(1618),
    [aux_sym_join_type_token4] = ACTIONS(1618),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1618),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1618),
    [aux_sym_join_condition_token1] = ACTIONS(1618),
    [aux_sym_insert_statement_token1] = ACTIONS(1618),
    [aux_sym_truncate_statement_token1] = ACTIONS(1618),
    [aux_sym_update_statement_token1] = ACTIONS(1618),
    [aux_sym_merge_statement_token1] = ACTIONS(1618),
    [aux_sym_grant_statement_token1] = ACTIONS(1618),
    [aux_sym_revoke_statement_token1] = ACTIONS(1618),
    [aux_sym_export_data_statement_token1] = ACTIONS(1618),
    [aux_sym_load_data_statement_token1] = ACTIONS(1618),
    [anon_sym_LBRACK] = ACTIONS(1618),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1618),
    [anon_sym_PLUS] = ACTIONS(1618),
    [anon_sym_DASH] = ACTIONS(1620),
    [anon_sym_STAR] = ACTIONS(1618),
    [anon_sym_SLASH] = ACTIONS(1620),
    [anon_sym_PIPE_PIPE] = ACTIONS(1618),
    [anon_sym_LT_EQ] = ACTIONS(1618),
    [anon_sym_LT_GT] = ACTIONS(1618),
    [anon_sym_GT_EQ] = ACTIONS(1618),
    [anon_sym_BANG_EQ] = ACTIONS(1618),
    [anon_sym_LT_LT] = ACTIONS(1618),
    [anon_sym_GT_GT] = ACTIONS(1618),
    [anon_sym_AMP] = ACTIONS(1618),
    [anon_sym_CARET] = ACTIONS(1618),
    [anon_sym_PIPE] = ACTIONS(1620),
  },
  [468] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_where_clause_token1] = ACTIONS(1364),
    [aux_sym_pivot_operator_token1] = ACTIONS(1364),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1364),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1364),
    [aux_sym_join_type_token1] = ACTIONS(1364),
    [aux_sym_join_type_token2] = ACTIONS(1364),
    [aux_sym_join_type_token3] = ACTIONS(1364),
    [aux_sym_join_type_token4] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1364),
    [aux_sym_join_condition_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [469] = {
    [ts_builtin_sym_end] = ACTIONS(1622),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1622),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1622),
    [aux_sym_keyword_replace_token1] = ACTIONS(1624),
    [aux_sym__keyword_alter_token1] = ACTIONS(1622),
    [aux_sym__keyword_delete_token1] = ACTIONS(1622),
    [aux_sym__keyword_begin_token1] = ACTIONS(1622),
    [aux_sym__keyword_end_token1] = ACTIONS(1622),
    [aux_sym__keyword_between_token1] = ACTIONS(1622),
    [aux_sym__keyword_when_token1] = ACTIONS(1622),
    [aux_sym__keyword_else_token1] = ACTIONS(1624),
    [aux_sym__keyword_is_token1] = ACTIONS(1622),
    [aux_sym__keyword_in_token1] = ACTIONS(1624),
    [aux_sym__keyword_and_token1] = ACTIONS(1622),
    [aux_sym__keyword_like_token1] = ACTIONS(1622),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1622),
    [aux_sym__keyword_window_token1] = ACTIONS(1622),
    [aux_sym__keyword_for_token1] = ACTIONS(1622),
    [anon_sym_SEMI] = ACTIONS(1622),
    [aux_sym_declare_statement_token1] = ACTIONS(1622),
    [anon_sym_COMMA] = ACTIONS(1622),
    [aux_sym_set_statement_token1] = ACTIONS(1622),
    [anon_sym_LPAREN] = ACTIONS(1622),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1622),
    [aux_sym_using_clause_token1] = ACTIONS(1622),
    [aux_sym_return_satement_token1] = ACTIONS(1622),
    [aux_sym_call_statement_token1] = ACTIONS(1622),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1622),
    [aux_sym_if_statement_token1] = ACTIONS(1622),
    [aux_sym_loop_statement_token1] = ACTIONS(1622),
    [aux_sym_repeat_statement_token1] = ACTIONS(1622),
    [aux_sym_while_statement_token1] = ACTIONS(1622),
    [aux_sym_break_statement_token1] = ACTIONS(1622),
    [aux_sym_leave_statement_token1] = ACTIONS(1622),
    [aux_sym_continue_statement_token1] = ACTIONS(1622),
    [aux_sym_iterate_statement_token1] = ACTIONS(1622),
    [aux_sym_raise_statement_token1] = ACTIONS(1622),
    [anon_sym_EQ] = ACTIONS(1622),
    [aux_sym_assert_statement_token1] = ACTIONS(1622),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1622),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1622),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1622),
    [anon_sym_LT] = ACTIONS(1624),
    [anon_sym_GT] = ACTIONS(1624),
    [aux_sym_set_operation_token1] = ACTIONS(1622),
    [aux_sym_set_operation_token3] = ACTIONS(1622),
    [aux_sym_set_operation_token4] = ACTIONS(1624),
    [aux_sym_select_token1] = ACTIONS(1622),
    [aux_sym_having_clause_token1] = ACTIONS(1622),
    [aux_sym_qualify_clause_token1] = ACTIONS(1622),
    [aux_sym_limit_clause_token1] = ACTIONS(1622),
    [aux_sym_group_by_clause_token1] = ACTIONS(1622),
    [aux_sym_order_by_clause_token1] = ACTIONS(1622),
    [aux_sym_where_clause_token1] = ACTIONS(1622),
    [aux_sym_pivot_operator_token1] = ACTIONS(1622),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1622),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1622),
    [aux_sym_join_type_token1] = ACTIONS(1622),
    [aux_sym_join_type_token2] = ACTIONS(1622),
    [aux_sym_join_type_token3] = ACTIONS(1622),
    [aux_sym_join_type_token4] = ACTIONS(1622),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1622),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1622),
    [aux_sym_join_condition_token1] = ACTIONS(1622),
    [aux_sym_insert_statement_token1] = ACTIONS(1622),
    [aux_sym_truncate_statement_token1] = ACTIONS(1622),
    [aux_sym_update_statement_token1] = ACTIONS(1622),
    [aux_sym_merge_statement_token1] = ACTIONS(1622),
    [aux_sym_grant_statement_token1] = ACTIONS(1622),
    [aux_sym_revoke_statement_token1] = ACTIONS(1622),
    [aux_sym_export_data_statement_token1] = ACTIONS(1622),
    [aux_sym_load_data_statement_token1] = ACTIONS(1622),
    [anon_sym_LBRACK] = ACTIONS(1622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1622),
    [anon_sym_PLUS] = ACTIONS(1622),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_STAR] = ACTIONS(1622),
    [anon_sym_SLASH] = ACTIONS(1624),
    [anon_sym_PIPE_PIPE] = ACTIONS(1622),
    [anon_sym_LT_EQ] = ACTIONS(1622),
    [anon_sym_LT_GT] = ACTIONS(1622),
    [anon_sym_GT_EQ] = ACTIONS(1622),
    [anon_sym_BANG_EQ] = ACTIONS(1622),
    [anon_sym_LT_LT] = ACTIONS(1622),
    [anon_sym_GT_GT] = ACTIONS(1622),
    [anon_sym_AMP] = ACTIONS(1622),
    [anon_sym_CARET] = ACTIONS(1622),
    [anon_sym_PIPE] = ACTIONS(1624),
  },
  [470] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_where_clause_token1] = ACTIONS(1364),
    [aux_sym_pivot_operator_token1] = ACTIONS(1364),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1364),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1364),
    [aux_sym_join_type_token1] = ACTIONS(1364),
    [aux_sym_join_type_token2] = ACTIONS(1364),
    [aux_sym_join_type_token3] = ACTIONS(1364),
    [aux_sym_join_type_token4] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1364),
    [aux_sym_join_condition_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [471] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_where_clause_token1] = ACTIONS(1364),
    [aux_sym_pivot_operator_token1] = ACTIONS(1364),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1364),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1364),
    [aux_sym_join_type_token1] = ACTIONS(1364),
    [aux_sym_join_type_token2] = ACTIONS(1364),
    [aux_sym_join_type_token3] = ACTIONS(1364),
    [aux_sym_join_type_token4] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1364),
    [aux_sym_join_condition_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [472] = {
    [ts_builtin_sym_end] = ACTIONS(1626),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1626),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1626),
    [aux_sym_keyword_replace_token1] = ACTIONS(1628),
    [aux_sym__keyword_alter_token1] = ACTIONS(1626),
    [aux_sym__keyword_delete_token1] = ACTIONS(1626),
    [aux_sym__keyword_begin_token1] = ACTIONS(1626),
    [aux_sym__keyword_end_token1] = ACTIONS(1626),
    [aux_sym__keyword_between_token1] = ACTIONS(1626),
    [aux_sym__keyword_when_token1] = ACTIONS(1626),
    [aux_sym__keyword_else_token1] = ACTIONS(1628),
    [aux_sym__keyword_is_token1] = ACTIONS(1626),
    [aux_sym__keyword_in_token1] = ACTIONS(1628),
    [aux_sym__keyword_and_token1] = ACTIONS(1626),
    [aux_sym__keyword_like_token1] = ACTIONS(1626),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1626),
    [aux_sym__keyword_window_token1] = ACTIONS(1626),
    [aux_sym__keyword_for_token1] = ACTIONS(1626),
    [anon_sym_SEMI] = ACTIONS(1626),
    [aux_sym_declare_statement_token1] = ACTIONS(1626),
    [anon_sym_COMMA] = ACTIONS(1626),
    [aux_sym_set_statement_token1] = ACTIONS(1626),
    [anon_sym_LPAREN] = ACTIONS(1626),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1626),
    [aux_sym_using_clause_token1] = ACTIONS(1626),
    [aux_sym_return_satement_token1] = ACTIONS(1626),
    [aux_sym_call_statement_token1] = ACTIONS(1626),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1626),
    [aux_sym_if_statement_token1] = ACTIONS(1626),
    [aux_sym_loop_statement_token1] = ACTIONS(1626),
    [aux_sym_repeat_statement_token1] = ACTIONS(1626),
    [aux_sym_while_statement_token1] = ACTIONS(1626),
    [aux_sym_break_statement_token1] = ACTIONS(1626),
    [aux_sym_leave_statement_token1] = ACTIONS(1626),
    [aux_sym_continue_statement_token1] = ACTIONS(1626),
    [aux_sym_iterate_statement_token1] = ACTIONS(1626),
    [aux_sym_raise_statement_token1] = ACTIONS(1626),
    [anon_sym_EQ] = ACTIONS(1626),
    [aux_sym_assert_statement_token1] = ACTIONS(1626),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1626),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1626),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1626),
    [anon_sym_LT] = ACTIONS(1628),
    [anon_sym_GT] = ACTIONS(1628),
    [aux_sym_set_operation_token1] = ACTIONS(1626),
    [aux_sym_set_operation_token3] = ACTIONS(1626),
    [aux_sym_set_operation_token4] = ACTIONS(1628),
    [aux_sym_select_token1] = ACTIONS(1626),
    [aux_sym_having_clause_token1] = ACTIONS(1626),
    [aux_sym_qualify_clause_token1] = ACTIONS(1626),
    [aux_sym_limit_clause_token1] = ACTIONS(1626),
    [aux_sym_group_by_clause_token1] = ACTIONS(1626),
    [aux_sym_order_by_clause_token1] = ACTIONS(1626),
    [aux_sym_where_clause_token1] = ACTIONS(1626),
    [aux_sym_pivot_operator_token1] = ACTIONS(1626),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1626),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1626),
    [aux_sym_join_type_token1] = ACTIONS(1626),
    [aux_sym_join_type_token2] = ACTIONS(1626),
    [aux_sym_join_type_token3] = ACTIONS(1626),
    [aux_sym_join_type_token4] = ACTIONS(1626),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1626),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1626),
    [aux_sym_join_condition_token1] = ACTIONS(1626),
    [aux_sym_insert_statement_token1] = ACTIONS(1626),
    [aux_sym_truncate_statement_token1] = ACTIONS(1626),
    [aux_sym_update_statement_token1] = ACTIONS(1626),
    [aux_sym_merge_statement_token1] = ACTIONS(1626),
    [aux_sym_grant_statement_token1] = ACTIONS(1626),
    [aux_sym_revoke_statement_token1] = ACTIONS(1626),
    [aux_sym_export_data_statement_token1] = ACTIONS(1626),
    [aux_sym_load_data_statement_token1] = ACTIONS(1626),
    [anon_sym_LBRACK] = ACTIONS(1626),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1626),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1628),
    [anon_sym_STAR] = ACTIONS(1626),
    [anon_sym_SLASH] = ACTIONS(1628),
    [anon_sym_PIPE_PIPE] = ACTIONS(1626),
    [anon_sym_LT_EQ] = ACTIONS(1626),
    [anon_sym_LT_GT] = ACTIONS(1626),
    [anon_sym_GT_EQ] = ACTIONS(1626),
    [anon_sym_BANG_EQ] = ACTIONS(1626),
    [anon_sym_LT_LT] = ACTIONS(1626),
    [anon_sym_GT_GT] = ACTIONS(1626),
    [anon_sym_AMP] = ACTIONS(1626),
    [anon_sym_CARET] = ACTIONS(1626),
    [anon_sym_PIPE] = ACTIONS(1628),
  },
  [473] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_where_clause_token1] = ACTIONS(1364),
    [aux_sym_pivot_operator_token1] = ACTIONS(1364),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1364),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1364),
    [aux_sym_join_type_token1] = ACTIONS(1364),
    [aux_sym_join_type_token2] = ACTIONS(1364),
    [aux_sym_join_type_token3] = ACTIONS(1364),
    [aux_sym_join_type_token4] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1364),
    [aux_sym_join_condition_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [474] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_where_clause_token1] = ACTIONS(1364),
    [aux_sym_pivot_operator_token1] = ACTIONS(1364),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1364),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1364),
    [aux_sym_join_type_token1] = ACTIONS(1364),
    [aux_sym_join_type_token2] = ACTIONS(1364),
    [aux_sym_join_type_token3] = ACTIONS(1364),
    [aux_sym_join_type_token4] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1364),
    [aux_sym_join_condition_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [475] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_where_clause_token1] = ACTIONS(1354),
    [aux_sym_pivot_operator_token1] = ACTIONS(1354),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1354),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1354),
    [aux_sym_join_type_token1] = ACTIONS(1354),
    [aux_sym_join_type_token2] = ACTIONS(1354),
    [aux_sym_join_type_token3] = ACTIONS(1354),
    [aux_sym_join_type_token4] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1354),
    [aux_sym_join_condition_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [476] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_where_clause_token1] = ACTIONS(1354),
    [aux_sym_pivot_operator_token1] = ACTIONS(1354),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1354),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1354),
    [aux_sym_join_type_token1] = ACTIONS(1354),
    [aux_sym_join_type_token2] = ACTIONS(1354),
    [aux_sym_join_type_token3] = ACTIONS(1354),
    [aux_sym_join_type_token4] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1354),
    [aux_sym_join_condition_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [477] = {
    [ts_builtin_sym_end] = ACTIONS(1622),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1622),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1622),
    [aux_sym_keyword_replace_token1] = ACTIONS(1624),
    [aux_sym__keyword_alter_token1] = ACTIONS(1622),
    [aux_sym__keyword_delete_token1] = ACTIONS(1622),
    [aux_sym__keyword_begin_token1] = ACTIONS(1622),
    [aux_sym__keyword_end_token1] = ACTIONS(1622),
    [aux_sym__keyword_between_token1] = ACTIONS(1622),
    [aux_sym__keyword_when_token1] = ACTIONS(1622),
    [aux_sym__keyword_else_token1] = ACTIONS(1624),
    [aux_sym__keyword_is_token1] = ACTIONS(1622),
    [aux_sym__keyword_in_token1] = ACTIONS(1624),
    [aux_sym__keyword_and_token1] = ACTIONS(1622),
    [aux_sym__keyword_like_token1] = ACTIONS(1622),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1622),
    [aux_sym__keyword_window_token1] = ACTIONS(1622),
    [aux_sym__keyword_for_token1] = ACTIONS(1622),
    [anon_sym_SEMI] = ACTIONS(1622),
    [aux_sym_declare_statement_token1] = ACTIONS(1622),
    [anon_sym_COMMA] = ACTIONS(1622),
    [aux_sym_set_statement_token1] = ACTIONS(1622),
    [anon_sym_LPAREN] = ACTIONS(1630),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1622),
    [aux_sym_using_clause_token1] = ACTIONS(1622),
    [aux_sym_return_satement_token1] = ACTIONS(1622),
    [aux_sym_call_statement_token1] = ACTIONS(1622),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1622),
    [aux_sym_if_statement_token1] = ACTIONS(1622),
    [aux_sym_loop_statement_token1] = ACTIONS(1622),
    [aux_sym_repeat_statement_token1] = ACTIONS(1622),
    [aux_sym_while_statement_token1] = ACTIONS(1622),
    [aux_sym_break_statement_token1] = ACTIONS(1622),
    [aux_sym_leave_statement_token1] = ACTIONS(1622),
    [aux_sym_continue_statement_token1] = ACTIONS(1622),
    [aux_sym_iterate_statement_token1] = ACTIONS(1622),
    [aux_sym_raise_statement_token1] = ACTIONS(1622),
    [anon_sym_EQ] = ACTIONS(1622),
    [aux_sym_assert_statement_token1] = ACTIONS(1622),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1622),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1622),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1622),
    [anon_sym_LT] = ACTIONS(1624),
    [anon_sym_GT] = ACTIONS(1624),
    [aux_sym_set_operation_token1] = ACTIONS(1622),
    [aux_sym_set_operation_token3] = ACTIONS(1622),
    [aux_sym_set_operation_token4] = ACTIONS(1624),
    [aux_sym_select_token1] = ACTIONS(1622),
    [aux_sym_having_clause_token1] = ACTIONS(1622),
    [aux_sym_qualify_clause_token1] = ACTIONS(1622),
    [aux_sym_limit_clause_token1] = ACTIONS(1622),
    [aux_sym_group_by_clause_token1] = ACTIONS(1622),
    [aux_sym_order_by_clause_token1] = ACTIONS(1622),
    [aux_sym_where_clause_token1] = ACTIONS(1622),
    [aux_sym_pivot_operator_token1] = ACTIONS(1622),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1622),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1622),
    [aux_sym_join_type_token1] = ACTIONS(1622),
    [aux_sym_join_type_token2] = ACTIONS(1622),
    [aux_sym_join_type_token3] = ACTIONS(1622),
    [aux_sym_join_type_token4] = ACTIONS(1622),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1622),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1622),
    [aux_sym_join_condition_token1] = ACTIONS(1622),
    [aux_sym_insert_statement_token1] = ACTIONS(1622),
    [aux_sym_truncate_statement_token1] = ACTIONS(1622),
    [aux_sym_update_statement_token1] = ACTIONS(1622),
    [aux_sym_merge_statement_token1] = ACTIONS(1622),
    [aux_sym_grant_statement_token1] = ACTIONS(1622),
    [aux_sym_revoke_statement_token1] = ACTIONS(1622),
    [aux_sym_export_data_statement_token1] = ACTIONS(1622),
    [aux_sym_load_data_statement_token1] = ACTIONS(1622),
    [anon_sym_LBRACK] = ACTIONS(1622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1622),
    [anon_sym_PLUS] = ACTIONS(1622),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_STAR] = ACTIONS(1622),
    [anon_sym_SLASH] = ACTIONS(1624),
    [anon_sym_PIPE_PIPE] = ACTIONS(1622),
    [anon_sym_LT_EQ] = ACTIONS(1622),
    [anon_sym_LT_GT] = ACTIONS(1622),
    [anon_sym_GT_EQ] = ACTIONS(1622),
    [anon_sym_BANG_EQ] = ACTIONS(1622),
    [anon_sym_LT_LT] = ACTIONS(1622),
    [anon_sym_GT_GT] = ACTIONS(1622),
    [anon_sym_AMP] = ACTIONS(1622),
    [anon_sym_CARET] = ACTIONS(1622),
    [anon_sym_PIPE] = ACTIONS(1624),
  },
  [478] = {
    [ts_builtin_sym_end] = ACTIONS(1632),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1632),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1632),
    [aux_sym_keyword_replace_token1] = ACTIONS(1634),
    [aux_sym__keyword_alter_token1] = ACTIONS(1632),
    [aux_sym__keyword_delete_token1] = ACTIONS(1632),
    [aux_sym__keyword_begin_token1] = ACTIONS(1632),
    [aux_sym__keyword_end_token1] = ACTIONS(1632),
    [aux_sym__keyword_between_token1] = ACTIONS(1632),
    [aux_sym__keyword_when_token1] = ACTIONS(1632),
    [aux_sym__keyword_else_token1] = ACTIONS(1634),
    [aux_sym__keyword_is_token1] = ACTIONS(1632),
    [aux_sym__keyword_in_token1] = ACTIONS(1634),
    [aux_sym__keyword_and_token1] = ACTIONS(1632),
    [aux_sym__keyword_like_token1] = ACTIONS(1632),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1632),
    [aux_sym__keyword_window_token1] = ACTIONS(1632),
    [aux_sym__keyword_for_token1] = ACTIONS(1632),
    [anon_sym_SEMI] = ACTIONS(1632),
    [aux_sym_declare_statement_token1] = ACTIONS(1632),
    [anon_sym_COMMA] = ACTIONS(1632),
    [aux_sym_set_statement_token1] = ACTIONS(1632),
    [anon_sym_LPAREN] = ACTIONS(1632),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1632),
    [aux_sym_using_clause_token1] = ACTIONS(1632),
    [aux_sym_return_satement_token1] = ACTIONS(1632),
    [aux_sym_call_statement_token1] = ACTIONS(1632),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1632),
    [aux_sym_if_statement_token1] = ACTIONS(1632),
    [aux_sym_loop_statement_token1] = ACTIONS(1632),
    [aux_sym_repeat_statement_token1] = ACTIONS(1632),
    [aux_sym_while_statement_token1] = ACTIONS(1632),
    [aux_sym_break_statement_token1] = ACTIONS(1632),
    [aux_sym_leave_statement_token1] = ACTIONS(1632),
    [aux_sym_continue_statement_token1] = ACTIONS(1632),
    [aux_sym_iterate_statement_token1] = ACTIONS(1632),
    [aux_sym_raise_statement_token1] = ACTIONS(1632),
    [anon_sym_EQ] = ACTIONS(1632),
    [aux_sym_assert_statement_token1] = ACTIONS(1632),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1632),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1632),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1632),
    [anon_sym_LT] = ACTIONS(1634),
    [anon_sym_GT] = ACTIONS(1634),
    [aux_sym_set_operation_token1] = ACTIONS(1632),
    [aux_sym_set_operation_token3] = ACTIONS(1632),
    [aux_sym_set_operation_token4] = ACTIONS(1634),
    [aux_sym_select_token1] = ACTIONS(1632),
    [aux_sym_having_clause_token1] = ACTIONS(1632),
    [aux_sym_qualify_clause_token1] = ACTIONS(1632),
    [aux_sym_limit_clause_token1] = ACTIONS(1632),
    [aux_sym_group_by_clause_token1] = ACTIONS(1632),
    [aux_sym_order_by_clause_token1] = ACTIONS(1632),
    [aux_sym_where_clause_token1] = ACTIONS(1632),
    [aux_sym_pivot_operator_token1] = ACTIONS(1632),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1632),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1632),
    [aux_sym_join_type_token1] = ACTIONS(1632),
    [aux_sym_join_type_token2] = ACTIONS(1632),
    [aux_sym_join_type_token3] = ACTIONS(1632),
    [aux_sym_join_type_token4] = ACTIONS(1632),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1632),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1632),
    [aux_sym_join_condition_token1] = ACTIONS(1632),
    [aux_sym_insert_statement_token1] = ACTIONS(1632),
    [aux_sym_truncate_statement_token1] = ACTIONS(1632),
    [aux_sym_update_statement_token1] = ACTIONS(1632),
    [aux_sym_merge_statement_token1] = ACTIONS(1632),
    [aux_sym_grant_statement_token1] = ACTIONS(1632),
    [aux_sym_revoke_statement_token1] = ACTIONS(1632),
    [aux_sym_export_data_statement_token1] = ACTIONS(1632),
    [aux_sym_load_data_statement_token1] = ACTIONS(1632),
    [anon_sym_LBRACK] = ACTIONS(1632),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1632),
    [anon_sym_PLUS] = ACTIONS(1632),
    [anon_sym_DASH] = ACTIONS(1634),
    [anon_sym_STAR] = ACTIONS(1632),
    [anon_sym_SLASH] = ACTIONS(1634),
    [anon_sym_PIPE_PIPE] = ACTIONS(1632),
    [anon_sym_LT_EQ] = ACTIONS(1632),
    [anon_sym_LT_GT] = ACTIONS(1632),
    [anon_sym_GT_EQ] = ACTIONS(1632),
    [anon_sym_BANG_EQ] = ACTIONS(1632),
    [anon_sym_LT_LT] = ACTIONS(1632),
    [anon_sym_GT_GT] = ACTIONS(1632),
    [anon_sym_AMP] = ACTIONS(1632),
    [anon_sym_CARET] = ACTIONS(1632),
    [anon_sym_PIPE] = ACTIONS(1634),
  },
  [479] = {
    [ts_builtin_sym_end] = ACTIONS(1636),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1636),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1636),
    [aux_sym_keyword_replace_token1] = ACTIONS(1638),
    [aux_sym__keyword_alter_token1] = ACTIONS(1636),
    [aux_sym__keyword_delete_token1] = ACTIONS(1636),
    [aux_sym__keyword_begin_token1] = ACTIONS(1636),
    [aux_sym__keyword_end_token1] = ACTIONS(1636),
    [aux_sym__keyword_between_token1] = ACTIONS(1636),
    [aux_sym__keyword_when_token1] = ACTIONS(1636),
    [aux_sym__keyword_else_token1] = ACTIONS(1638),
    [aux_sym__keyword_is_token1] = ACTIONS(1636),
    [aux_sym__keyword_in_token1] = ACTIONS(1638),
    [aux_sym__keyword_and_token1] = ACTIONS(1636),
    [aux_sym__keyword_like_token1] = ACTIONS(1636),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1636),
    [aux_sym__keyword_window_token1] = ACTIONS(1636),
    [aux_sym__keyword_for_token1] = ACTIONS(1636),
    [anon_sym_SEMI] = ACTIONS(1636),
    [aux_sym_declare_statement_token1] = ACTIONS(1636),
    [anon_sym_COMMA] = ACTIONS(1636),
    [aux_sym_set_statement_token1] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1636),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1636),
    [aux_sym_using_clause_token1] = ACTIONS(1636),
    [aux_sym_return_satement_token1] = ACTIONS(1636),
    [aux_sym_call_statement_token1] = ACTIONS(1636),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1636),
    [aux_sym_if_statement_token1] = ACTIONS(1636),
    [aux_sym_loop_statement_token1] = ACTIONS(1636),
    [aux_sym_repeat_statement_token1] = ACTIONS(1636),
    [aux_sym_while_statement_token1] = ACTIONS(1636),
    [aux_sym_break_statement_token1] = ACTIONS(1636),
    [aux_sym_leave_statement_token1] = ACTIONS(1636),
    [aux_sym_continue_statement_token1] = ACTIONS(1636),
    [aux_sym_iterate_statement_token1] = ACTIONS(1636),
    [aux_sym_raise_statement_token1] = ACTIONS(1636),
    [anon_sym_EQ] = ACTIONS(1636),
    [aux_sym_assert_statement_token1] = ACTIONS(1636),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1636),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1636),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1636),
    [anon_sym_LT] = ACTIONS(1638),
    [anon_sym_GT] = ACTIONS(1638),
    [aux_sym_set_operation_token1] = ACTIONS(1636),
    [aux_sym_set_operation_token3] = ACTIONS(1636),
    [aux_sym_set_operation_token4] = ACTIONS(1638),
    [aux_sym_select_token1] = ACTIONS(1636),
    [aux_sym_having_clause_token1] = ACTIONS(1636),
    [aux_sym_qualify_clause_token1] = ACTIONS(1636),
    [aux_sym_limit_clause_token1] = ACTIONS(1636),
    [aux_sym_group_by_clause_token1] = ACTIONS(1636),
    [aux_sym_order_by_clause_token1] = ACTIONS(1636),
    [aux_sym_where_clause_token1] = ACTIONS(1636),
    [aux_sym_pivot_operator_token1] = ACTIONS(1636),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1636),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1636),
    [aux_sym_join_type_token1] = ACTIONS(1636),
    [aux_sym_join_type_token2] = ACTIONS(1636),
    [aux_sym_join_type_token3] = ACTIONS(1636),
    [aux_sym_join_type_token4] = ACTIONS(1636),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1636),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1636),
    [aux_sym_join_condition_token1] = ACTIONS(1636),
    [aux_sym_insert_statement_token1] = ACTIONS(1636),
    [aux_sym_truncate_statement_token1] = ACTIONS(1636),
    [aux_sym_update_statement_token1] = ACTIONS(1636),
    [aux_sym_merge_statement_token1] = ACTIONS(1636),
    [aux_sym_grant_statement_token1] = ACTIONS(1636),
    [aux_sym_revoke_statement_token1] = ACTIONS(1636),
    [aux_sym_export_data_statement_token1] = ACTIONS(1636),
    [aux_sym_load_data_statement_token1] = ACTIONS(1636),
    [anon_sym_LBRACK] = ACTIONS(1636),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1636),
    [anon_sym_PLUS] = ACTIONS(1636),
    [anon_sym_DASH] = ACTIONS(1638),
    [anon_sym_STAR] = ACTIONS(1636),
    [anon_sym_SLASH] = ACTIONS(1638),
    [anon_sym_PIPE_PIPE] = ACTIONS(1636),
    [anon_sym_LT_EQ] = ACTIONS(1636),
    [anon_sym_LT_GT] = ACTIONS(1636),
    [anon_sym_GT_EQ] = ACTIONS(1636),
    [anon_sym_BANG_EQ] = ACTIONS(1636),
    [anon_sym_LT_LT] = ACTIONS(1636),
    [anon_sym_GT_GT] = ACTIONS(1636),
    [anon_sym_AMP] = ACTIONS(1636),
    [anon_sym_CARET] = ACTIONS(1636),
    [anon_sym_PIPE] = ACTIONS(1638),
  },
  [480] = {
    [ts_builtin_sym_end] = ACTIONS(1640),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1640),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1640),
    [aux_sym_keyword_replace_token1] = ACTIONS(1642),
    [aux_sym__keyword_alter_token1] = ACTIONS(1640),
    [aux_sym__keyword_delete_token1] = ACTIONS(1640),
    [aux_sym__keyword_begin_token1] = ACTIONS(1640),
    [aux_sym__keyword_end_token1] = ACTIONS(1640),
    [aux_sym__keyword_between_token1] = ACTIONS(1640),
    [aux_sym__keyword_when_token1] = ACTIONS(1640),
    [aux_sym__keyword_else_token1] = ACTIONS(1642),
    [aux_sym__keyword_is_token1] = ACTIONS(1640),
    [aux_sym__keyword_in_token1] = ACTIONS(1642),
    [aux_sym__keyword_and_token1] = ACTIONS(1640),
    [aux_sym__keyword_like_token1] = ACTIONS(1640),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1640),
    [aux_sym__keyword_window_token1] = ACTIONS(1640),
    [aux_sym__keyword_for_token1] = ACTIONS(1640),
    [anon_sym_SEMI] = ACTIONS(1640),
    [aux_sym_declare_statement_token1] = ACTIONS(1640),
    [anon_sym_COMMA] = ACTIONS(1640),
    [aux_sym_set_statement_token1] = ACTIONS(1640),
    [anon_sym_LPAREN] = ACTIONS(1640),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1640),
    [aux_sym_using_clause_token1] = ACTIONS(1640),
    [aux_sym_return_satement_token1] = ACTIONS(1640),
    [aux_sym_call_statement_token1] = ACTIONS(1640),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1640),
    [aux_sym_if_statement_token1] = ACTIONS(1640),
    [aux_sym_loop_statement_token1] = ACTIONS(1640),
    [aux_sym_repeat_statement_token1] = ACTIONS(1640),
    [aux_sym_while_statement_token1] = ACTIONS(1640),
    [aux_sym_break_statement_token1] = ACTIONS(1640),
    [aux_sym_leave_statement_token1] = ACTIONS(1640),
    [aux_sym_continue_statement_token1] = ACTIONS(1640),
    [aux_sym_iterate_statement_token1] = ACTIONS(1640),
    [aux_sym_raise_statement_token1] = ACTIONS(1640),
    [anon_sym_EQ] = ACTIONS(1640),
    [aux_sym_assert_statement_token1] = ACTIONS(1640),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1640),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1640),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1640),
    [anon_sym_LT] = ACTIONS(1642),
    [anon_sym_GT] = ACTIONS(1642),
    [aux_sym_set_operation_token1] = ACTIONS(1640),
    [aux_sym_set_operation_token3] = ACTIONS(1640),
    [aux_sym_set_operation_token4] = ACTIONS(1642),
    [aux_sym_select_token1] = ACTIONS(1640),
    [aux_sym_having_clause_token1] = ACTIONS(1640),
    [aux_sym_qualify_clause_token1] = ACTIONS(1640),
    [aux_sym_limit_clause_token1] = ACTIONS(1640),
    [aux_sym_group_by_clause_token1] = ACTIONS(1640),
    [aux_sym_order_by_clause_token1] = ACTIONS(1640),
    [aux_sym_where_clause_token1] = ACTIONS(1640),
    [aux_sym_pivot_operator_token1] = ACTIONS(1640),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1640),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1640),
    [aux_sym_join_type_token1] = ACTIONS(1640),
    [aux_sym_join_type_token2] = ACTIONS(1640),
    [aux_sym_join_type_token3] = ACTIONS(1640),
    [aux_sym_join_type_token4] = ACTIONS(1640),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1640),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1640),
    [aux_sym_join_condition_token1] = ACTIONS(1640),
    [aux_sym_insert_statement_token1] = ACTIONS(1640),
    [aux_sym_truncate_statement_token1] = ACTIONS(1640),
    [aux_sym_update_statement_token1] = ACTIONS(1640),
    [aux_sym_merge_statement_token1] = ACTIONS(1640),
    [aux_sym_grant_statement_token1] = ACTIONS(1640),
    [aux_sym_revoke_statement_token1] = ACTIONS(1640),
    [aux_sym_export_data_statement_token1] = ACTIONS(1640),
    [aux_sym_load_data_statement_token1] = ACTIONS(1640),
    [anon_sym_LBRACK] = ACTIONS(1640),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1640),
    [anon_sym_PLUS] = ACTIONS(1640),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1640),
    [anon_sym_SLASH] = ACTIONS(1642),
    [anon_sym_PIPE_PIPE] = ACTIONS(1640),
    [anon_sym_LT_EQ] = ACTIONS(1640),
    [anon_sym_LT_GT] = ACTIONS(1640),
    [anon_sym_GT_EQ] = ACTIONS(1640),
    [anon_sym_BANG_EQ] = ACTIONS(1640),
    [anon_sym_LT_LT] = ACTIONS(1640),
    [anon_sym_GT_GT] = ACTIONS(1640),
    [anon_sym_AMP] = ACTIONS(1640),
    [anon_sym_CARET] = ACTIONS(1640),
    [anon_sym_PIPE] = ACTIONS(1642),
  },
  [481] = {
    [ts_builtin_sym_end] = ACTIONS(1644),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1644),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1644),
    [aux_sym_keyword_replace_token1] = ACTIONS(1646),
    [aux_sym__keyword_alter_token1] = ACTIONS(1644),
    [aux_sym__keyword_delete_token1] = ACTIONS(1644),
    [aux_sym__keyword_begin_token1] = ACTIONS(1644),
    [aux_sym__keyword_end_token1] = ACTIONS(1644),
    [aux_sym__keyword_between_token1] = ACTIONS(1644),
    [aux_sym__keyword_when_token1] = ACTIONS(1644),
    [aux_sym__keyword_else_token1] = ACTIONS(1646),
    [aux_sym__keyword_is_token1] = ACTIONS(1644),
    [aux_sym__keyword_in_token1] = ACTIONS(1646),
    [aux_sym__keyword_and_token1] = ACTIONS(1644),
    [aux_sym__keyword_like_token1] = ACTIONS(1644),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1644),
    [aux_sym__keyword_window_token1] = ACTIONS(1644),
    [aux_sym__keyword_for_token1] = ACTIONS(1644),
    [anon_sym_SEMI] = ACTIONS(1644),
    [aux_sym_declare_statement_token1] = ACTIONS(1644),
    [anon_sym_COMMA] = ACTIONS(1644),
    [aux_sym_set_statement_token1] = ACTIONS(1644),
    [anon_sym_LPAREN] = ACTIONS(1644),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1644),
    [aux_sym_using_clause_token1] = ACTIONS(1644),
    [aux_sym_return_satement_token1] = ACTIONS(1644),
    [aux_sym_call_statement_token1] = ACTIONS(1644),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1644),
    [aux_sym_if_statement_token1] = ACTIONS(1644),
    [aux_sym_loop_statement_token1] = ACTIONS(1644),
    [aux_sym_repeat_statement_token1] = ACTIONS(1644),
    [aux_sym_while_statement_token1] = ACTIONS(1644),
    [aux_sym_break_statement_token1] = ACTIONS(1644),
    [aux_sym_leave_statement_token1] = ACTIONS(1644),
    [aux_sym_continue_statement_token1] = ACTIONS(1644),
    [aux_sym_iterate_statement_token1] = ACTIONS(1644),
    [aux_sym_raise_statement_token1] = ACTIONS(1644),
    [anon_sym_EQ] = ACTIONS(1644),
    [aux_sym_assert_statement_token1] = ACTIONS(1644),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1644),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1644),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1644),
    [anon_sym_LT] = ACTIONS(1646),
    [anon_sym_GT] = ACTIONS(1646),
    [aux_sym_set_operation_token1] = ACTIONS(1644),
    [aux_sym_set_operation_token3] = ACTIONS(1644),
    [aux_sym_set_operation_token4] = ACTIONS(1646),
    [aux_sym_select_token1] = ACTIONS(1644),
    [aux_sym_having_clause_token1] = ACTIONS(1644),
    [aux_sym_qualify_clause_token1] = ACTIONS(1644),
    [aux_sym_limit_clause_token1] = ACTIONS(1644),
    [aux_sym_group_by_clause_token1] = ACTIONS(1644),
    [aux_sym_order_by_clause_token1] = ACTIONS(1644),
    [aux_sym_where_clause_token1] = ACTIONS(1644),
    [aux_sym_pivot_operator_token1] = ACTIONS(1644),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1644),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1644),
    [aux_sym_join_type_token1] = ACTIONS(1644),
    [aux_sym_join_type_token2] = ACTIONS(1644),
    [aux_sym_join_type_token3] = ACTIONS(1644),
    [aux_sym_join_type_token4] = ACTIONS(1644),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1644),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1644),
    [aux_sym_join_condition_token1] = ACTIONS(1644),
    [aux_sym_insert_statement_token1] = ACTIONS(1644),
    [aux_sym_truncate_statement_token1] = ACTIONS(1644),
    [aux_sym_update_statement_token1] = ACTIONS(1644),
    [aux_sym_merge_statement_token1] = ACTIONS(1644),
    [aux_sym_grant_statement_token1] = ACTIONS(1644),
    [aux_sym_revoke_statement_token1] = ACTIONS(1644),
    [aux_sym_export_data_statement_token1] = ACTIONS(1644),
    [aux_sym_load_data_statement_token1] = ACTIONS(1644),
    [anon_sym_LBRACK] = ACTIONS(1644),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1644),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1646),
    [anon_sym_STAR] = ACTIONS(1644),
    [anon_sym_SLASH] = ACTIONS(1646),
    [anon_sym_PIPE_PIPE] = ACTIONS(1644),
    [anon_sym_LT_EQ] = ACTIONS(1644),
    [anon_sym_LT_GT] = ACTIONS(1644),
    [anon_sym_GT_EQ] = ACTIONS(1644),
    [anon_sym_BANG_EQ] = ACTIONS(1644),
    [anon_sym_LT_LT] = ACTIONS(1644),
    [anon_sym_GT_GT] = ACTIONS(1644),
    [anon_sym_AMP] = ACTIONS(1644),
    [anon_sym_CARET] = ACTIONS(1644),
    [anon_sym_PIPE] = ACTIONS(1646),
  },
  [482] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_where_clause_token1] = ACTIONS(1354),
    [aux_sym_pivot_operator_token1] = ACTIONS(1354),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1354),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1354),
    [aux_sym_join_type_token1] = ACTIONS(1354),
    [aux_sym_join_type_token2] = ACTIONS(1354),
    [aux_sym_join_type_token3] = ACTIONS(1354),
    [aux_sym_join_type_token4] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1354),
    [aux_sym_join_condition_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [483] = {
    [ts_builtin_sym_end] = ACTIONS(1648),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1648),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1648),
    [aux_sym_keyword_replace_token1] = ACTIONS(1650),
    [aux_sym__keyword_alter_token1] = ACTIONS(1648),
    [aux_sym__keyword_delete_token1] = ACTIONS(1648),
    [aux_sym__keyword_begin_token1] = ACTIONS(1648),
    [aux_sym__keyword_end_token1] = ACTIONS(1648),
    [aux_sym__keyword_between_token1] = ACTIONS(1648),
    [aux_sym__keyword_when_token1] = ACTIONS(1648),
    [aux_sym__keyword_else_token1] = ACTIONS(1650),
    [aux_sym__keyword_is_token1] = ACTIONS(1648),
    [aux_sym__keyword_in_token1] = ACTIONS(1650),
    [aux_sym__keyword_and_token1] = ACTIONS(1648),
    [aux_sym__keyword_like_token1] = ACTIONS(1648),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1648),
    [aux_sym__keyword_window_token1] = ACTIONS(1648),
    [aux_sym__keyword_for_token1] = ACTIONS(1648),
    [anon_sym_SEMI] = ACTIONS(1648),
    [aux_sym_declare_statement_token1] = ACTIONS(1648),
    [anon_sym_COMMA] = ACTIONS(1648),
    [aux_sym_set_statement_token1] = ACTIONS(1648),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1648),
    [aux_sym_using_clause_token1] = ACTIONS(1648),
    [aux_sym_return_satement_token1] = ACTIONS(1648),
    [aux_sym_call_statement_token1] = ACTIONS(1648),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1648),
    [aux_sym_if_statement_token1] = ACTIONS(1648),
    [aux_sym_loop_statement_token1] = ACTIONS(1648),
    [aux_sym_repeat_statement_token1] = ACTIONS(1648),
    [aux_sym_while_statement_token1] = ACTIONS(1648),
    [aux_sym_break_statement_token1] = ACTIONS(1648),
    [aux_sym_leave_statement_token1] = ACTIONS(1648),
    [aux_sym_continue_statement_token1] = ACTIONS(1648),
    [aux_sym_iterate_statement_token1] = ACTIONS(1648),
    [aux_sym_raise_statement_token1] = ACTIONS(1648),
    [anon_sym_EQ] = ACTIONS(1648),
    [aux_sym_assert_statement_token1] = ACTIONS(1648),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1648),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1648),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1648),
    [anon_sym_LT] = ACTIONS(1650),
    [anon_sym_GT] = ACTIONS(1650),
    [aux_sym_set_operation_token1] = ACTIONS(1648),
    [aux_sym_set_operation_token3] = ACTIONS(1648),
    [aux_sym_set_operation_token4] = ACTIONS(1650),
    [aux_sym_select_token1] = ACTIONS(1648),
    [aux_sym_having_clause_token1] = ACTIONS(1648),
    [aux_sym_qualify_clause_token1] = ACTIONS(1648),
    [aux_sym_limit_clause_token1] = ACTIONS(1648),
    [aux_sym_group_by_clause_token1] = ACTIONS(1648),
    [aux_sym_order_by_clause_token1] = ACTIONS(1648),
    [aux_sym_where_clause_token1] = ACTIONS(1648),
    [aux_sym_pivot_operator_token1] = ACTIONS(1648),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1648),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1648),
    [aux_sym_join_type_token1] = ACTIONS(1648),
    [aux_sym_join_type_token2] = ACTIONS(1648),
    [aux_sym_join_type_token3] = ACTIONS(1648),
    [aux_sym_join_type_token4] = ACTIONS(1648),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1648),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1648),
    [aux_sym_join_condition_token1] = ACTIONS(1648),
    [aux_sym_insert_statement_token1] = ACTIONS(1648),
    [aux_sym_truncate_statement_token1] = ACTIONS(1648),
    [aux_sym_update_statement_token1] = ACTIONS(1648),
    [aux_sym_merge_statement_token1] = ACTIONS(1648),
    [aux_sym_grant_statement_token1] = ACTIONS(1648),
    [aux_sym_revoke_statement_token1] = ACTIONS(1648),
    [aux_sym_export_data_statement_token1] = ACTIONS(1648),
    [aux_sym_load_data_statement_token1] = ACTIONS(1648),
    [anon_sym_LBRACK] = ACTIONS(1648),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1648),
    [anon_sym_PLUS] = ACTIONS(1648),
    [anon_sym_DASH] = ACTIONS(1650),
    [anon_sym_STAR] = ACTIONS(1648),
    [anon_sym_SLASH] = ACTIONS(1650),
    [anon_sym_PIPE_PIPE] = ACTIONS(1648),
    [anon_sym_LT_EQ] = ACTIONS(1648),
    [anon_sym_LT_GT] = ACTIONS(1648),
    [anon_sym_GT_EQ] = ACTIONS(1648),
    [anon_sym_BANG_EQ] = ACTIONS(1648),
    [anon_sym_LT_LT] = ACTIONS(1648),
    [anon_sym_GT_GT] = ACTIONS(1648),
    [anon_sym_AMP] = ACTIONS(1648),
    [anon_sym_CARET] = ACTIONS(1648),
    [anon_sym_PIPE] = ACTIONS(1650),
  },
  [484] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_where_clause_token1] = ACTIONS(1354),
    [aux_sym_pivot_operator_token1] = ACTIONS(1354),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1354),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1354),
    [aux_sym_join_type_token1] = ACTIONS(1354),
    [aux_sym_join_type_token2] = ACTIONS(1354),
    [aux_sym_join_type_token3] = ACTIONS(1354),
    [aux_sym_join_type_token4] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1354),
    [aux_sym_join_condition_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [485] = {
    [ts_builtin_sym_end] = ACTIONS(1652),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1652),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1652),
    [aux_sym_keyword_replace_token1] = ACTIONS(1654),
    [aux_sym__keyword_alter_token1] = ACTIONS(1652),
    [aux_sym__keyword_delete_token1] = ACTIONS(1652),
    [aux_sym__keyword_begin_token1] = ACTIONS(1652),
    [aux_sym__keyword_end_token1] = ACTIONS(1652),
    [aux_sym__keyword_between_token1] = ACTIONS(1652),
    [aux_sym__keyword_when_token1] = ACTIONS(1652),
    [aux_sym__keyword_else_token1] = ACTIONS(1654),
    [aux_sym__keyword_is_token1] = ACTIONS(1652),
    [aux_sym__keyword_in_token1] = ACTIONS(1654),
    [aux_sym__keyword_and_token1] = ACTIONS(1652),
    [aux_sym__keyword_like_token1] = ACTIONS(1652),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1652),
    [aux_sym__keyword_window_token1] = ACTIONS(1652),
    [aux_sym__keyword_for_token1] = ACTIONS(1652),
    [anon_sym_SEMI] = ACTIONS(1652),
    [aux_sym_declare_statement_token1] = ACTIONS(1652),
    [anon_sym_COMMA] = ACTIONS(1652),
    [aux_sym_set_statement_token1] = ACTIONS(1652),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1652),
    [aux_sym_using_clause_token1] = ACTIONS(1652),
    [aux_sym_return_satement_token1] = ACTIONS(1652),
    [aux_sym_call_statement_token1] = ACTIONS(1652),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1652),
    [aux_sym_if_statement_token1] = ACTIONS(1652),
    [aux_sym_loop_statement_token1] = ACTIONS(1652),
    [aux_sym_repeat_statement_token1] = ACTIONS(1652),
    [aux_sym_while_statement_token1] = ACTIONS(1652),
    [aux_sym_break_statement_token1] = ACTIONS(1652),
    [aux_sym_leave_statement_token1] = ACTIONS(1652),
    [aux_sym_continue_statement_token1] = ACTIONS(1652),
    [aux_sym_iterate_statement_token1] = ACTIONS(1652),
    [aux_sym_raise_statement_token1] = ACTIONS(1652),
    [anon_sym_EQ] = ACTIONS(1652),
    [aux_sym_assert_statement_token1] = ACTIONS(1652),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1652),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1652),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1652),
    [anon_sym_LT] = ACTIONS(1654),
    [anon_sym_GT] = ACTIONS(1654),
    [aux_sym_set_operation_token1] = ACTIONS(1652),
    [aux_sym_set_operation_token3] = ACTIONS(1652),
    [aux_sym_set_operation_token4] = ACTIONS(1654),
    [aux_sym_select_token1] = ACTIONS(1652),
    [aux_sym_having_clause_token1] = ACTIONS(1652),
    [aux_sym_qualify_clause_token1] = ACTIONS(1652),
    [aux_sym_limit_clause_token1] = ACTIONS(1652),
    [aux_sym_group_by_clause_token1] = ACTIONS(1652),
    [aux_sym_order_by_clause_token1] = ACTIONS(1652),
    [aux_sym_where_clause_token1] = ACTIONS(1652),
    [aux_sym_pivot_operator_token1] = ACTIONS(1652),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1652),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1652),
    [aux_sym_join_type_token1] = ACTIONS(1652),
    [aux_sym_join_type_token2] = ACTIONS(1652),
    [aux_sym_join_type_token3] = ACTIONS(1652),
    [aux_sym_join_type_token4] = ACTIONS(1652),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1652),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1652),
    [aux_sym_join_condition_token1] = ACTIONS(1652),
    [aux_sym_insert_statement_token1] = ACTIONS(1652),
    [aux_sym_truncate_statement_token1] = ACTIONS(1652),
    [aux_sym_update_statement_token1] = ACTIONS(1652),
    [aux_sym_merge_statement_token1] = ACTIONS(1652),
    [aux_sym_grant_statement_token1] = ACTIONS(1652),
    [aux_sym_revoke_statement_token1] = ACTIONS(1652),
    [aux_sym_export_data_statement_token1] = ACTIONS(1652),
    [aux_sym_load_data_statement_token1] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1652),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1652),
    [anon_sym_PLUS] = ACTIONS(1652),
    [anon_sym_DASH] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(1652),
    [anon_sym_SLASH] = ACTIONS(1654),
    [anon_sym_PIPE_PIPE] = ACTIONS(1652),
    [anon_sym_LT_EQ] = ACTIONS(1652),
    [anon_sym_LT_GT] = ACTIONS(1652),
    [anon_sym_GT_EQ] = ACTIONS(1652),
    [anon_sym_BANG_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT] = ACTIONS(1652),
    [anon_sym_GT_GT] = ACTIONS(1652),
    [anon_sym_AMP] = ACTIONS(1652),
    [anon_sym_CARET] = ACTIONS(1652),
    [anon_sym_PIPE] = ACTIONS(1654),
  },
  [486] = {
    [ts_builtin_sym_end] = ACTIONS(1656),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1656),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1656),
    [aux_sym_keyword_replace_token1] = ACTIONS(1658),
    [aux_sym__keyword_alter_token1] = ACTIONS(1656),
    [aux_sym__keyword_delete_token1] = ACTIONS(1656),
    [aux_sym__keyword_begin_token1] = ACTIONS(1656),
    [aux_sym__keyword_end_token1] = ACTIONS(1656),
    [aux_sym__keyword_between_token1] = ACTIONS(1656),
    [aux_sym__keyword_when_token1] = ACTIONS(1656),
    [aux_sym__keyword_else_token1] = ACTIONS(1658),
    [aux_sym__keyword_is_token1] = ACTIONS(1656),
    [aux_sym__keyword_in_token1] = ACTIONS(1658),
    [aux_sym__keyword_and_token1] = ACTIONS(1656),
    [aux_sym__keyword_like_token1] = ACTIONS(1656),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1656),
    [aux_sym__keyword_window_token1] = ACTIONS(1656),
    [aux_sym__keyword_for_token1] = ACTIONS(1656),
    [anon_sym_SEMI] = ACTIONS(1656),
    [aux_sym_declare_statement_token1] = ACTIONS(1656),
    [anon_sym_COMMA] = ACTIONS(1656),
    [aux_sym_set_statement_token1] = ACTIONS(1656),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1656),
    [aux_sym_using_clause_token1] = ACTIONS(1656),
    [aux_sym_return_satement_token1] = ACTIONS(1656),
    [aux_sym_call_statement_token1] = ACTIONS(1656),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1656),
    [aux_sym_if_statement_token1] = ACTIONS(1656),
    [aux_sym_loop_statement_token1] = ACTIONS(1656),
    [aux_sym_repeat_statement_token1] = ACTIONS(1656),
    [aux_sym_while_statement_token1] = ACTIONS(1656),
    [aux_sym_break_statement_token1] = ACTIONS(1656),
    [aux_sym_leave_statement_token1] = ACTIONS(1656),
    [aux_sym_continue_statement_token1] = ACTIONS(1656),
    [aux_sym_iterate_statement_token1] = ACTIONS(1656),
    [aux_sym_raise_statement_token1] = ACTIONS(1656),
    [anon_sym_EQ] = ACTIONS(1656),
    [aux_sym_assert_statement_token1] = ACTIONS(1656),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1656),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1656),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1656),
    [anon_sym_LT] = ACTIONS(1658),
    [anon_sym_GT] = ACTIONS(1658),
    [aux_sym_set_operation_token1] = ACTIONS(1656),
    [aux_sym_set_operation_token3] = ACTIONS(1656),
    [aux_sym_set_operation_token4] = ACTIONS(1658),
    [aux_sym_select_token1] = ACTIONS(1656),
    [aux_sym_having_clause_token1] = ACTIONS(1656),
    [aux_sym_qualify_clause_token1] = ACTIONS(1656),
    [aux_sym_limit_clause_token1] = ACTIONS(1656),
    [aux_sym_group_by_clause_token1] = ACTIONS(1656),
    [aux_sym_order_by_clause_token1] = ACTIONS(1656),
    [aux_sym_where_clause_token1] = ACTIONS(1656),
    [aux_sym_pivot_operator_token1] = ACTIONS(1656),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1656),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1656),
    [aux_sym_join_type_token1] = ACTIONS(1656),
    [aux_sym_join_type_token2] = ACTIONS(1656),
    [aux_sym_join_type_token3] = ACTIONS(1656),
    [aux_sym_join_type_token4] = ACTIONS(1656),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1656),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1656),
    [aux_sym_join_condition_token1] = ACTIONS(1656),
    [aux_sym_insert_statement_token1] = ACTIONS(1656),
    [aux_sym_truncate_statement_token1] = ACTIONS(1656),
    [aux_sym_update_statement_token1] = ACTIONS(1656),
    [aux_sym_merge_statement_token1] = ACTIONS(1656),
    [aux_sym_grant_statement_token1] = ACTIONS(1656),
    [aux_sym_revoke_statement_token1] = ACTIONS(1656),
    [aux_sym_export_data_statement_token1] = ACTIONS(1656),
    [aux_sym_load_data_statement_token1] = ACTIONS(1656),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1656),
    [anon_sym_PLUS] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_STAR] = ACTIONS(1656),
    [anon_sym_SLASH] = ACTIONS(1658),
    [anon_sym_PIPE_PIPE] = ACTIONS(1656),
    [anon_sym_LT_EQ] = ACTIONS(1656),
    [anon_sym_LT_GT] = ACTIONS(1656),
    [anon_sym_GT_EQ] = ACTIONS(1656),
    [anon_sym_BANG_EQ] = ACTIONS(1656),
    [anon_sym_LT_LT] = ACTIONS(1656),
    [anon_sym_GT_GT] = ACTIONS(1656),
    [anon_sym_AMP] = ACTIONS(1656),
    [anon_sym_CARET] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1658),
  },
  [487] = {
    [ts_builtin_sym_end] = ACTIONS(1660),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1660),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1660),
    [aux_sym_keyword_replace_token1] = ACTIONS(1662),
    [aux_sym__keyword_alter_token1] = ACTIONS(1660),
    [aux_sym__keyword_delete_token1] = ACTIONS(1660),
    [aux_sym__keyword_begin_token1] = ACTIONS(1660),
    [aux_sym__keyword_end_token1] = ACTIONS(1660),
    [aux_sym__keyword_between_token1] = ACTIONS(1660),
    [aux_sym__keyword_when_token1] = ACTIONS(1660),
    [aux_sym__keyword_else_token1] = ACTIONS(1662),
    [aux_sym__keyword_is_token1] = ACTIONS(1660),
    [aux_sym__keyword_in_token1] = ACTIONS(1662),
    [aux_sym__keyword_and_token1] = ACTIONS(1660),
    [aux_sym__keyword_like_token1] = ACTIONS(1660),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1660),
    [aux_sym__keyword_window_token1] = ACTIONS(1660),
    [aux_sym__keyword_for_token1] = ACTIONS(1660),
    [anon_sym_SEMI] = ACTIONS(1660),
    [aux_sym_declare_statement_token1] = ACTIONS(1660),
    [anon_sym_COMMA] = ACTIONS(1660),
    [aux_sym_set_statement_token1] = ACTIONS(1660),
    [anon_sym_LPAREN] = ACTIONS(1660),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1660),
    [aux_sym_using_clause_token1] = ACTIONS(1660),
    [aux_sym_return_satement_token1] = ACTIONS(1660),
    [aux_sym_call_statement_token1] = ACTIONS(1660),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1660),
    [aux_sym_if_statement_token1] = ACTIONS(1660),
    [aux_sym_loop_statement_token1] = ACTIONS(1660),
    [aux_sym_repeat_statement_token1] = ACTIONS(1660),
    [aux_sym_while_statement_token1] = ACTIONS(1660),
    [aux_sym_break_statement_token1] = ACTIONS(1660),
    [aux_sym_leave_statement_token1] = ACTIONS(1660),
    [aux_sym_continue_statement_token1] = ACTIONS(1660),
    [aux_sym_iterate_statement_token1] = ACTIONS(1660),
    [aux_sym_raise_statement_token1] = ACTIONS(1660),
    [anon_sym_EQ] = ACTIONS(1660),
    [aux_sym_assert_statement_token1] = ACTIONS(1660),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1660),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1660),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1660),
    [anon_sym_LT] = ACTIONS(1662),
    [anon_sym_GT] = ACTIONS(1662),
    [aux_sym_set_operation_token1] = ACTIONS(1660),
    [aux_sym_set_operation_token3] = ACTIONS(1660),
    [aux_sym_set_operation_token4] = ACTIONS(1662),
    [aux_sym_select_token1] = ACTIONS(1660),
    [aux_sym_having_clause_token1] = ACTIONS(1660),
    [aux_sym_qualify_clause_token1] = ACTIONS(1660),
    [aux_sym_limit_clause_token1] = ACTIONS(1660),
    [aux_sym_group_by_clause_token1] = ACTIONS(1660),
    [aux_sym_order_by_clause_token1] = ACTIONS(1660),
    [aux_sym_where_clause_token1] = ACTIONS(1660),
    [aux_sym_pivot_operator_token1] = ACTIONS(1660),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1660),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1660),
    [aux_sym_join_type_token1] = ACTIONS(1660),
    [aux_sym_join_type_token2] = ACTIONS(1660),
    [aux_sym_join_type_token3] = ACTIONS(1660),
    [aux_sym_join_type_token4] = ACTIONS(1660),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1660),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1660),
    [aux_sym_join_condition_token1] = ACTIONS(1660),
    [aux_sym_insert_statement_token1] = ACTIONS(1660),
    [aux_sym_truncate_statement_token1] = ACTIONS(1660),
    [aux_sym_update_statement_token1] = ACTIONS(1660),
    [aux_sym_merge_statement_token1] = ACTIONS(1660),
    [aux_sym_grant_statement_token1] = ACTIONS(1660),
    [aux_sym_revoke_statement_token1] = ACTIONS(1660),
    [aux_sym_export_data_statement_token1] = ACTIONS(1660),
    [aux_sym_load_data_statement_token1] = ACTIONS(1660),
    [anon_sym_LBRACK] = ACTIONS(1660),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1660),
    [anon_sym_PLUS] = ACTIONS(1660),
    [anon_sym_DASH] = ACTIONS(1662),
    [anon_sym_STAR] = ACTIONS(1660),
    [anon_sym_SLASH] = ACTIONS(1662),
    [anon_sym_PIPE_PIPE] = ACTIONS(1660),
    [anon_sym_LT_EQ] = ACTIONS(1660),
    [anon_sym_LT_GT] = ACTIONS(1660),
    [anon_sym_GT_EQ] = ACTIONS(1660),
    [anon_sym_BANG_EQ] = ACTIONS(1660),
    [anon_sym_LT_LT] = ACTIONS(1660),
    [anon_sym_GT_GT] = ACTIONS(1660),
    [anon_sym_AMP] = ACTIONS(1660),
    [anon_sym_CARET] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1662),
  },
  [488] = {
    [ts_builtin_sym_end] = ACTIONS(1664),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1664),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1664),
    [aux_sym_keyword_replace_token1] = ACTIONS(1666),
    [aux_sym__keyword_alter_token1] = ACTIONS(1664),
    [aux_sym__keyword_delete_token1] = ACTIONS(1664),
    [aux_sym__keyword_begin_token1] = ACTIONS(1664),
    [aux_sym__keyword_end_token1] = ACTIONS(1664),
    [aux_sym__keyword_between_token1] = ACTIONS(1664),
    [aux_sym__keyword_when_token1] = ACTIONS(1664),
    [aux_sym__keyword_else_token1] = ACTIONS(1666),
    [aux_sym__keyword_is_token1] = ACTIONS(1664),
    [aux_sym__keyword_in_token1] = ACTIONS(1666),
    [aux_sym__keyword_and_token1] = ACTIONS(1664),
    [aux_sym__keyword_like_token1] = ACTIONS(1664),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1664),
    [aux_sym__keyword_window_token1] = ACTIONS(1664),
    [aux_sym__keyword_for_token1] = ACTIONS(1664),
    [anon_sym_SEMI] = ACTIONS(1664),
    [aux_sym_declare_statement_token1] = ACTIONS(1664),
    [anon_sym_COMMA] = ACTIONS(1664),
    [aux_sym_set_statement_token1] = ACTIONS(1664),
    [anon_sym_LPAREN] = ACTIONS(1664),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1664),
    [aux_sym_using_clause_token1] = ACTIONS(1664),
    [aux_sym_return_satement_token1] = ACTIONS(1664),
    [aux_sym_call_statement_token1] = ACTIONS(1664),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1664),
    [aux_sym_if_statement_token1] = ACTIONS(1664),
    [aux_sym_loop_statement_token1] = ACTIONS(1664),
    [aux_sym_repeat_statement_token1] = ACTIONS(1664),
    [aux_sym_while_statement_token1] = ACTIONS(1664),
    [aux_sym_break_statement_token1] = ACTIONS(1664),
    [aux_sym_leave_statement_token1] = ACTIONS(1664),
    [aux_sym_continue_statement_token1] = ACTIONS(1664),
    [aux_sym_iterate_statement_token1] = ACTIONS(1664),
    [aux_sym_raise_statement_token1] = ACTIONS(1664),
    [anon_sym_EQ] = ACTIONS(1664),
    [aux_sym_assert_statement_token1] = ACTIONS(1664),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1664),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1664),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1664),
    [anon_sym_LT] = ACTIONS(1666),
    [anon_sym_GT] = ACTIONS(1666),
    [aux_sym_set_operation_token1] = ACTIONS(1664),
    [aux_sym_set_operation_token3] = ACTIONS(1664),
    [aux_sym_set_operation_token4] = ACTIONS(1666),
    [aux_sym_select_token1] = ACTIONS(1664),
    [aux_sym_having_clause_token1] = ACTIONS(1664),
    [aux_sym_qualify_clause_token1] = ACTIONS(1664),
    [aux_sym_limit_clause_token1] = ACTIONS(1664),
    [aux_sym_group_by_clause_token1] = ACTIONS(1664),
    [aux_sym_order_by_clause_token1] = ACTIONS(1664),
    [aux_sym_where_clause_token1] = ACTIONS(1664),
    [aux_sym_pivot_operator_token1] = ACTIONS(1664),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1664),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1664),
    [aux_sym_join_type_token1] = ACTIONS(1664),
    [aux_sym_join_type_token2] = ACTIONS(1664),
    [aux_sym_join_type_token3] = ACTIONS(1664),
    [aux_sym_join_type_token4] = ACTIONS(1664),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1664),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1664),
    [aux_sym_join_condition_token1] = ACTIONS(1664),
    [aux_sym_insert_statement_token1] = ACTIONS(1664),
    [aux_sym_truncate_statement_token1] = ACTIONS(1664),
    [aux_sym_update_statement_token1] = ACTIONS(1664),
    [aux_sym_merge_statement_token1] = ACTIONS(1664),
    [aux_sym_grant_statement_token1] = ACTIONS(1664),
    [aux_sym_revoke_statement_token1] = ACTIONS(1664),
    [aux_sym_export_data_statement_token1] = ACTIONS(1664),
    [aux_sym_load_data_statement_token1] = ACTIONS(1664),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1664),
    [anon_sym_PLUS] = ACTIONS(1664),
    [anon_sym_DASH] = ACTIONS(1666),
    [anon_sym_STAR] = ACTIONS(1664),
    [anon_sym_SLASH] = ACTIONS(1666),
    [anon_sym_PIPE_PIPE] = ACTIONS(1664),
    [anon_sym_LT_EQ] = ACTIONS(1664),
    [anon_sym_LT_GT] = ACTIONS(1664),
    [anon_sym_GT_EQ] = ACTIONS(1664),
    [anon_sym_BANG_EQ] = ACTIONS(1664),
    [anon_sym_LT_LT] = ACTIONS(1664),
    [anon_sym_GT_GT] = ACTIONS(1664),
    [anon_sym_AMP] = ACTIONS(1664),
    [anon_sym_CARET] = ACTIONS(1664),
    [anon_sym_PIPE] = ACTIONS(1666),
  },
  [489] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_where_clause_token1] = ACTIONS(1354),
    [aux_sym_pivot_operator_token1] = ACTIONS(1354),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1354),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1354),
    [aux_sym_join_type_token1] = ACTIONS(1354),
    [aux_sym_join_type_token2] = ACTIONS(1354),
    [aux_sym_join_type_token3] = ACTIONS(1354),
    [aux_sym_join_type_token4] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1354),
    [aux_sym_join_condition_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [490] = {
    [ts_builtin_sym_end] = ACTIONS(1668),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1668),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1668),
    [aux_sym_keyword_replace_token1] = ACTIONS(1670),
    [aux_sym__keyword_alter_token1] = ACTIONS(1668),
    [aux_sym__keyword_delete_token1] = ACTIONS(1668),
    [aux_sym__keyword_begin_token1] = ACTIONS(1668),
    [aux_sym__keyword_end_token1] = ACTIONS(1668),
    [aux_sym__keyword_between_token1] = ACTIONS(1668),
    [aux_sym__keyword_when_token1] = ACTIONS(1668),
    [aux_sym__keyword_else_token1] = ACTIONS(1670),
    [aux_sym__keyword_is_token1] = ACTIONS(1668),
    [aux_sym__keyword_in_token1] = ACTIONS(1670),
    [aux_sym__keyword_and_token1] = ACTIONS(1668),
    [aux_sym__keyword_like_token1] = ACTIONS(1668),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1668),
    [aux_sym__keyword_window_token1] = ACTIONS(1668),
    [aux_sym__keyword_for_token1] = ACTIONS(1668),
    [anon_sym_SEMI] = ACTIONS(1668),
    [aux_sym_declare_statement_token1] = ACTIONS(1668),
    [anon_sym_COMMA] = ACTIONS(1668),
    [aux_sym_set_statement_token1] = ACTIONS(1668),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1668),
    [aux_sym_using_clause_token1] = ACTIONS(1668),
    [aux_sym_return_satement_token1] = ACTIONS(1668),
    [aux_sym_call_statement_token1] = ACTIONS(1668),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1668),
    [aux_sym_if_statement_token1] = ACTIONS(1668),
    [aux_sym_loop_statement_token1] = ACTIONS(1668),
    [aux_sym_repeat_statement_token1] = ACTIONS(1668),
    [aux_sym_while_statement_token1] = ACTIONS(1668),
    [aux_sym_break_statement_token1] = ACTIONS(1668),
    [aux_sym_leave_statement_token1] = ACTIONS(1668),
    [aux_sym_continue_statement_token1] = ACTIONS(1668),
    [aux_sym_iterate_statement_token1] = ACTIONS(1668),
    [aux_sym_raise_statement_token1] = ACTIONS(1668),
    [anon_sym_EQ] = ACTIONS(1668),
    [aux_sym_assert_statement_token1] = ACTIONS(1668),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1668),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1668),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1668),
    [anon_sym_LT] = ACTIONS(1670),
    [anon_sym_GT] = ACTIONS(1670),
    [aux_sym_set_operation_token1] = ACTIONS(1668),
    [aux_sym_set_operation_token3] = ACTIONS(1668),
    [aux_sym_set_operation_token4] = ACTIONS(1670),
    [aux_sym_select_token1] = ACTIONS(1668),
    [aux_sym_having_clause_token1] = ACTIONS(1668),
    [aux_sym_qualify_clause_token1] = ACTIONS(1668),
    [aux_sym_limit_clause_token1] = ACTIONS(1668),
    [aux_sym_group_by_clause_token1] = ACTIONS(1668),
    [aux_sym_order_by_clause_token1] = ACTIONS(1668),
    [aux_sym_where_clause_token1] = ACTIONS(1668),
    [aux_sym_pivot_operator_token1] = ACTIONS(1668),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1668),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1668),
    [aux_sym_join_type_token1] = ACTIONS(1668),
    [aux_sym_join_type_token2] = ACTIONS(1668),
    [aux_sym_join_type_token3] = ACTIONS(1668),
    [aux_sym_join_type_token4] = ACTIONS(1668),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1668),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1668),
    [aux_sym_join_condition_token1] = ACTIONS(1668),
    [aux_sym_insert_statement_token1] = ACTIONS(1668),
    [aux_sym_truncate_statement_token1] = ACTIONS(1668),
    [aux_sym_update_statement_token1] = ACTIONS(1668),
    [aux_sym_merge_statement_token1] = ACTIONS(1668),
    [aux_sym_grant_statement_token1] = ACTIONS(1668),
    [aux_sym_revoke_statement_token1] = ACTIONS(1668),
    [aux_sym_export_data_statement_token1] = ACTIONS(1668),
    [aux_sym_load_data_statement_token1] = ACTIONS(1668),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1668),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_STAR] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(1670),
    [anon_sym_PIPE_PIPE] = ACTIONS(1668),
    [anon_sym_LT_EQ] = ACTIONS(1668),
    [anon_sym_LT_GT] = ACTIONS(1668),
    [anon_sym_GT_EQ] = ACTIONS(1668),
    [anon_sym_BANG_EQ] = ACTIONS(1668),
    [anon_sym_LT_LT] = ACTIONS(1668),
    [anon_sym_GT_GT] = ACTIONS(1668),
    [anon_sym_AMP] = ACTIONS(1668),
    [anon_sym_CARET] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1670),
  },
  [491] = {
    [ts_builtin_sym_end] = ACTIONS(1672),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1672),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1672),
    [aux_sym_keyword_replace_token1] = ACTIONS(1674),
    [aux_sym__keyword_alter_token1] = ACTIONS(1672),
    [aux_sym__keyword_delete_token1] = ACTIONS(1672),
    [aux_sym__keyword_begin_token1] = ACTIONS(1672),
    [aux_sym__keyword_end_token1] = ACTIONS(1672),
    [aux_sym__keyword_between_token1] = ACTIONS(1672),
    [aux_sym__keyword_when_token1] = ACTIONS(1672),
    [aux_sym__keyword_else_token1] = ACTIONS(1674),
    [aux_sym__keyword_is_token1] = ACTIONS(1672),
    [aux_sym__keyword_in_token1] = ACTIONS(1674),
    [aux_sym__keyword_and_token1] = ACTIONS(1672),
    [aux_sym__keyword_like_token1] = ACTIONS(1672),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1672),
    [aux_sym__keyword_window_token1] = ACTIONS(1672),
    [aux_sym__keyword_for_token1] = ACTIONS(1672),
    [anon_sym_SEMI] = ACTIONS(1672),
    [aux_sym_declare_statement_token1] = ACTIONS(1672),
    [anon_sym_COMMA] = ACTIONS(1672),
    [aux_sym_set_statement_token1] = ACTIONS(1672),
    [anon_sym_LPAREN] = ACTIONS(1672),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1672),
    [aux_sym_using_clause_token1] = ACTIONS(1672),
    [aux_sym_return_satement_token1] = ACTIONS(1672),
    [aux_sym_call_statement_token1] = ACTIONS(1672),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1672),
    [aux_sym_if_statement_token1] = ACTIONS(1672),
    [aux_sym_loop_statement_token1] = ACTIONS(1672),
    [aux_sym_repeat_statement_token1] = ACTIONS(1672),
    [aux_sym_while_statement_token1] = ACTIONS(1672),
    [aux_sym_break_statement_token1] = ACTIONS(1672),
    [aux_sym_leave_statement_token1] = ACTIONS(1672),
    [aux_sym_continue_statement_token1] = ACTIONS(1672),
    [aux_sym_iterate_statement_token1] = ACTIONS(1672),
    [aux_sym_raise_statement_token1] = ACTIONS(1672),
    [anon_sym_EQ] = ACTIONS(1672),
    [aux_sym_assert_statement_token1] = ACTIONS(1672),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1672),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1672),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1672),
    [anon_sym_LT] = ACTIONS(1674),
    [anon_sym_GT] = ACTIONS(1674),
    [aux_sym_set_operation_token1] = ACTIONS(1672),
    [aux_sym_set_operation_token3] = ACTIONS(1672),
    [aux_sym_set_operation_token4] = ACTIONS(1674),
    [aux_sym_select_token1] = ACTIONS(1672),
    [aux_sym_having_clause_token1] = ACTIONS(1672),
    [aux_sym_qualify_clause_token1] = ACTIONS(1672),
    [aux_sym_limit_clause_token1] = ACTIONS(1672),
    [aux_sym_group_by_clause_token1] = ACTIONS(1672),
    [aux_sym_order_by_clause_token1] = ACTIONS(1672),
    [aux_sym_where_clause_token1] = ACTIONS(1672),
    [aux_sym_pivot_operator_token1] = ACTIONS(1672),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1672),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1672),
    [aux_sym_join_type_token1] = ACTIONS(1672),
    [aux_sym_join_type_token2] = ACTIONS(1672),
    [aux_sym_join_type_token3] = ACTIONS(1672),
    [aux_sym_join_type_token4] = ACTIONS(1672),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1672),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1672),
    [aux_sym_join_condition_token1] = ACTIONS(1672),
    [aux_sym_insert_statement_token1] = ACTIONS(1672),
    [aux_sym_truncate_statement_token1] = ACTIONS(1672),
    [aux_sym_update_statement_token1] = ACTIONS(1672),
    [aux_sym_merge_statement_token1] = ACTIONS(1672),
    [aux_sym_grant_statement_token1] = ACTIONS(1672),
    [aux_sym_revoke_statement_token1] = ACTIONS(1672),
    [aux_sym_export_data_statement_token1] = ACTIONS(1672),
    [aux_sym_load_data_statement_token1] = ACTIONS(1672),
    [anon_sym_LBRACK] = ACTIONS(1672),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1672),
    [anon_sym_PLUS] = ACTIONS(1672),
    [anon_sym_DASH] = ACTIONS(1674),
    [anon_sym_STAR] = ACTIONS(1672),
    [anon_sym_SLASH] = ACTIONS(1674),
    [anon_sym_PIPE_PIPE] = ACTIONS(1672),
    [anon_sym_LT_EQ] = ACTIONS(1672),
    [anon_sym_LT_GT] = ACTIONS(1672),
    [anon_sym_GT_EQ] = ACTIONS(1672),
    [anon_sym_BANG_EQ] = ACTIONS(1672),
    [anon_sym_LT_LT] = ACTIONS(1672),
    [anon_sym_GT_GT] = ACTIONS(1672),
    [anon_sym_AMP] = ACTIONS(1672),
    [anon_sym_CARET] = ACTIONS(1672),
    [anon_sym_PIPE] = ACTIONS(1674),
  },
  [492] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_where_clause_token1] = ACTIONS(1354),
    [aux_sym_pivot_operator_token1] = ACTIONS(1354),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1354),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1354),
    [aux_sym_join_type_token1] = ACTIONS(1354),
    [aux_sym_join_type_token2] = ACTIONS(1354),
    [aux_sym_join_type_token3] = ACTIONS(1354),
    [aux_sym_join_type_token4] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1354),
    [aux_sym_join_condition_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [493] = {
    [ts_builtin_sym_end] = ACTIONS(1676),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1676),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1676),
    [aux_sym_keyword_replace_token1] = ACTIONS(1678),
    [aux_sym__keyword_alter_token1] = ACTIONS(1676),
    [aux_sym__keyword_delete_token1] = ACTIONS(1676),
    [aux_sym__keyword_begin_token1] = ACTIONS(1676),
    [aux_sym__keyword_end_token1] = ACTIONS(1676),
    [aux_sym__keyword_between_token1] = ACTIONS(1676),
    [aux_sym__keyword_when_token1] = ACTIONS(1676),
    [aux_sym__keyword_else_token1] = ACTIONS(1678),
    [aux_sym__keyword_is_token1] = ACTIONS(1676),
    [aux_sym__keyword_in_token1] = ACTIONS(1678),
    [aux_sym__keyword_and_token1] = ACTIONS(1676),
    [aux_sym__keyword_like_token1] = ACTIONS(1676),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1676),
    [aux_sym__keyword_window_token1] = ACTIONS(1676),
    [aux_sym__keyword_for_token1] = ACTIONS(1676),
    [anon_sym_SEMI] = ACTIONS(1676),
    [aux_sym_declare_statement_token1] = ACTIONS(1676),
    [anon_sym_COMMA] = ACTIONS(1676),
    [aux_sym_set_statement_token1] = ACTIONS(1676),
    [anon_sym_LPAREN] = ACTIONS(1676),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1676),
    [aux_sym_using_clause_token1] = ACTIONS(1676),
    [aux_sym_return_satement_token1] = ACTIONS(1676),
    [aux_sym_call_statement_token1] = ACTIONS(1676),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1676),
    [aux_sym_if_statement_token1] = ACTIONS(1676),
    [aux_sym_loop_statement_token1] = ACTIONS(1676),
    [aux_sym_repeat_statement_token1] = ACTIONS(1676),
    [aux_sym_while_statement_token1] = ACTIONS(1676),
    [aux_sym_break_statement_token1] = ACTIONS(1676),
    [aux_sym_leave_statement_token1] = ACTIONS(1676),
    [aux_sym_continue_statement_token1] = ACTIONS(1676),
    [aux_sym_iterate_statement_token1] = ACTIONS(1676),
    [aux_sym_raise_statement_token1] = ACTIONS(1676),
    [anon_sym_EQ] = ACTIONS(1676),
    [aux_sym_assert_statement_token1] = ACTIONS(1676),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1676),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1676),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1676),
    [anon_sym_LT] = ACTIONS(1678),
    [anon_sym_GT] = ACTIONS(1678),
    [aux_sym_set_operation_token1] = ACTIONS(1676),
    [aux_sym_set_operation_token3] = ACTIONS(1676),
    [aux_sym_set_operation_token4] = ACTIONS(1678),
    [aux_sym_select_token1] = ACTIONS(1676),
    [aux_sym_having_clause_token1] = ACTIONS(1676),
    [aux_sym_qualify_clause_token1] = ACTIONS(1676),
    [aux_sym_limit_clause_token1] = ACTIONS(1676),
    [aux_sym_group_by_clause_token1] = ACTIONS(1676),
    [aux_sym_order_by_clause_token1] = ACTIONS(1676),
    [aux_sym_where_clause_token1] = ACTIONS(1676),
    [aux_sym_pivot_operator_token1] = ACTIONS(1676),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1676),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1676),
    [aux_sym_join_type_token1] = ACTIONS(1676),
    [aux_sym_join_type_token2] = ACTIONS(1676),
    [aux_sym_join_type_token3] = ACTIONS(1676),
    [aux_sym_join_type_token4] = ACTIONS(1676),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1676),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1676),
    [aux_sym_join_condition_token1] = ACTIONS(1676),
    [aux_sym_insert_statement_token1] = ACTIONS(1676),
    [aux_sym_truncate_statement_token1] = ACTIONS(1676),
    [aux_sym_update_statement_token1] = ACTIONS(1676),
    [aux_sym_merge_statement_token1] = ACTIONS(1676),
    [aux_sym_grant_statement_token1] = ACTIONS(1676),
    [aux_sym_revoke_statement_token1] = ACTIONS(1676),
    [aux_sym_export_data_statement_token1] = ACTIONS(1676),
    [aux_sym_load_data_statement_token1] = ACTIONS(1676),
    [anon_sym_LBRACK] = ACTIONS(1676),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1676),
    [anon_sym_PLUS] = ACTIONS(1676),
    [anon_sym_DASH] = ACTIONS(1678),
    [anon_sym_STAR] = ACTIONS(1676),
    [anon_sym_SLASH] = ACTIONS(1678),
    [anon_sym_PIPE_PIPE] = ACTIONS(1676),
    [anon_sym_LT_EQ] = ACTIONS(1676),
    [anon_sym_LT_GT] = ACTIONS(1676),
    [anon_sym_GT_EQ] = ACTIONS(1676),
    [anon_sym_BANG_EQ] = ACTIONS(1676),
    [anon_sym_LT_LT] = ACTIONS(1676),
    [anon_sym_GT_GT] = ACTIONS(1676),
    [anon_sym_AMP] = ACTIONS(1676),
    [anon_sym_CARET] = ACTIONS(1676),
    [anon_sym_PIPE] = ACTIONS(1678),
  },
  [494] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_where_clause_token1] = ACTIONS(1354),
    [aux_sym_pivot_operator_token1] = ACTIONS(1354),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1354),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1354),
    [aux_sym_join_type_token1] = ACTIONS(1354),
    [aux_sym_join_type_token2] = ACTIONS(1354),
    [aux_sym_join_type_token3] = ACTIONS(1354),
    [aux_sym_join_type_token4] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1354),
    [aux_sym_join_condition_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [495] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_where_clause_token1] = ACTIONS(1354),
    [aux_sym_pivot_operator_token1] = ACTIONS(1354),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1354),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1354),
    [aux_sym_join_type_token1] = ACTIONS(1354),
    [aux_sym_join_type_token2] = ACTIONS(1354),
    [aux_sym_join_type_token3] = ACTIONS(1354),
    [aux_sym_join_type_token4] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1354),
    [aux_sym_join_condition_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [496] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_where_clause_token1] = ACTIONS(1354),
    [aux_sym_pivot_operator_token1] = ACTIONS(1354),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1354),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1354),
    [aux_sym_join_type_token1] = ACTIONS(1354),
    [aux_sym_join_type_token2] = ACTIONS(1354),
    [aux_sym_join_type_token3] = ACTIONS(1354),
    [aux_sym_join_type_token4] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1354),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1354),
    [aux_sym_join_condition_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [497] = {
    [ts_builtin_sym_end] = ACTIONS(1680),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1680),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1680),
    [aux_sym_keyword_replace_token1] = ACTIONS(1682),
    [aux_sym__keyword_alter_token1] = ACTIONS(1680),
    [aux_sym__keyword_delete_token1] = ACTIONS(1680),
    [aux_sym__keyword_begin_token1] = ACTIONS(1680),
    [aux_sym__keyword_end_token1] = ACTIONS(1680),
    [aux_sym__keyword_between_token1] = ACTIONS(1680),
    [aux_sym__keyword_when_token1] = ACTIONS(1680),
    [aux_sym__keyword_else_token1] = ACTIONS(1682),
    [aux_sym__keyword_is_token1] = ACTIONS(1680),
    [aux_sym__keyword_in_token1] = ACTIONS(1682),
    [aux_sym__keyword_and_token1] = ACTIONS(1680),
    [aux_sym__keyword_like_token1] = ACTIONS(1680),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1680),
    [aux_sym__keyword_window_token1] = ACTIONS(1680),
    [aux_sym__keyword_for_token1] = ACTIONS(1680),
    [anon_sym_SEMI] = ACTIONS(1680),
    [aux_sym_declare_statement_token1] = ACTIONS(1680),
    [anon_sym_COMMA] = ACTIONS(1680),
    [aux_sym_set_statement_token1] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1680),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1680),
    [aux_sym_using_clause_token1] = ACTIONS(1680),
    [aux_sym_return_satement_token1] = ACTIONS(1680),
    [aux_sym_call_statement_token1] = ACTIONS(1680),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1680),
    [aux_sym_if_statement_token1] = ACTIONS(1680),
    [aux_sym_loop_statement_token1] = ACTIONS(1680),
    [aux_sym_repeat_statement_token1] = ACTIONS(1680),
    [aux_sym_while_statement_token1] = ACTIONS(1680),
    [aux_sym_break_statement_token1] = ACTIONS(1680),
    [aux_sym_leave_statement_token1] = ACTIONS(1680),
    [aux_sym_continue_statement_token1] = ACTIONS(1680),
    [aux_sym_iterate_statement_token1] = ACTIONS(1680),
    [aux_sym_raise_statement_token1] = ACTIONS(1680),
    [anon_sym_EQ] = ACTIONS(1680),
    [aux_sym_assert_statement_token1] = ACTIONS(1680),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1680),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1680),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1680),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_GT] = ACTIONS(1682),
    [aux_sym_set_operation_token1] = ACTIONS(1680),
    [aux_sym_set_operation_token3] = ACTIONS(1680),
    [aux_sym_set_operation_token4] = ACTIONS(1682),
    [aux_sym_select_token1] = ACTIONS(1680),
    [aux_sym_having_clause_token1] = ACTIONS(1680),
    [aux_sym_qualify_clause_token1] = ACTIONS(1680),
    [aux_sym_limit_clause_token1] = ACTIONS(1680),
    [aux_sym_group_by_clause_token1] = ACTIONS(1680),
    [aux_sym_order_by_clause_token1] = ACTIONS(1680),
    [aux_sym_where_clause_token1] = ACTIONS(1680),
    [aux_sym_pivot_operator_token1] = ACTIONS(1680),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1680),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1680),
    [aux_sym_join_type_token1] = ACTIONS(1680),
    [aux_sym_join_type_token2] = ACTIONS(1680),
    [aux_sym_join_type_token3] = ACTIONS(1680),
    [aux_sym_join_type_token4] = ACTIONS(1680),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1680),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1680),
    [aux_sym_join_condition_token1] = ACTIONS(1680),
    [aux_sym_insert_statement_token1] = ACTIONS(1680),
    [aux_sym_truncate_statement_token1] = ACTIONS(1680),
    [aux_sym_update_statement_token1] = ACTIONS(1680),
    [aux_sym_merge_statement_token1] = ACTIONS(1680),
    [aux_sym_grant_statement_token1] = ACTIONS(1680),
    [aux_sym_revoke_statement_token1] = ACTIONS(1680),
    [aux_sym_export_data_statement_token1] = ACTIONS(1680),
    [aux_sym_load_data_statement_token1] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1680),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(1680),
    [anon_sym_SLASH] = ACTIONS(1682),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_LT_GT] = ACTIONS(1680),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1680),
    [anon_sym_AMP] = ACTIONS(1680),
    [anon_sym_CARET] = ACTIONS(1680),
    [anon_sym_PIPE] = ACTIONS(1682),
  },
  [498] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_where_clause_token1] = ACTIONS(1364),
    [aux_sym_pivot_operator_token1] = ACTIONS(1364),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1364),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1364),
    [aux_sym_join_type_token1] = ACTIONS(1364),
    [aux_sym_join_type_token2] = ACTIONS(1364),
    [aux_sym_join_type_token3] = ACTIONS(1364),
    [aux_sym_join_type_token4] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1364),
    [aux_sym_join_condition_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [499] = {
    [ts_builtin_sym_end] = ACTIONS(1684),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1684),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1684),
    [aux_sym_keyword_replace_token1] = ACTIONS(1686),
    [aux_sym__keyword_alter_token1] = ACTIONS(1684),
    [aux_sym__keyword_delete_token1] = ACTIONS(1684),
    [aux_sym__keyword_begin_token1] = ACTIONS(1684),
    [aux_sym__keyword_end_token1] = ACTIONS(1684),
    [aux_sym__keyword_between_token1] = ACTIONS(1684),
    [aux_sym__keyword_when_token1] = ACTIONS(1684),
    [aux_sym__keyword_else_token1] = ACTIONS(1686),
    [aux_sym__keyword_is_token1] = ACTIONS(1684),
    [aux_sym__keyword_in_token1] = ACTIONS(1686),
    [aux_sym__keyword_and_token1] = ACTIONS(1684),
    [aux_sym__keyword_like_token1] = ACTIONS(1684),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1684),
    [aux_sym__keyword_window_token1] = ACTIONS(1684),
    [aux_sym__keyword_for_token1] = ACTIONS(1684),
    [anon_sym_SEMI] = ACTIONS(1684),
    [aux_sym_declare_statement_token1] = ACTIONS(1684),
    [anon_sym_COMMA] = ACTIONS(1684),
    [aux_sym_set_statement_token1] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1684),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1684),
    [aux_sym_using_clause_token1] = ACTIONS(1684),
    [aux_sym_return_satement_token1] = ACTIONS(1684),
    [aux_sym_call_statement_token1] = ACTIONS(1684),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1684),
    [aux_sym_if_statement_token1] = ACTIONS(1684),
    [aux_sym_loop_statement_token1] = ACTIONS(1684),
    [aux_sym_repeat_statement_token1] = ACTIONS(1684),
    [aux_sym_while_statement_token1] = ACTIONS(1684),
    [aux_sym_break_statement_token1] = ACTIONS(1684),
    [aux_sym_leave_statement_token1] = ACTIONS(1684),
    [aux_sym_continue_statement_token1] = ACTIONS(1684),
    [aux_sym_iterate_statement_token1] = ACTIONS(1684),
    [aux_sym_raise_statement_token1] = ACTIONS(1684),
    [anon_sym_EQ] = ACTIONS(1684),
    [aux_sym_assert_statement_token1] = ACTIONS(1684),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1684),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1684),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1684),
    [anon_sym_LT] = ACTIONS(1686),
    [anon_sym_GT] = ACTIONS(1686),
    [aux_sym_set_operation_token1] = ACTIONS(1684),
    [aux_sym_set_operation_token3] = ACTIONS(1684),
    [aux_sym_set_operation_token4] = ACTIONS(1686),
    [aux_sym_select_token1] = ACTIONS(1684),
    [aux_sym_having_clause_token1] = ACTIONS(1684),
    [aux_sym_qualify_clause_token1] = ACTIONS(1684),
    [aux_sym_limit_clause_token1] = ACTIONS(1684),
    [aux_sym_group_by_clause_token1] = ACTIONS(1684),
    [aux_sym_order_by_clause_token1] = ACTIONS(1684),
    [aux_sym_where_clause_token1] = ACTIONS(1684),
    [aux_sym_pivot_operator_token1] = ACTIONS(1684),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1684),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1684),
    [aux_sym_join_type_token1] = ACTIONS(1684),
    [aux_sym_join_type_token2] = ACTIONS(1684),
    [aux_sym_join_type_token3] = ACTIONS(1684),
    [aux_sym_join_type_token4] = ACTIONS(1684),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1684),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1684),
    [aux_sym_join_condition_token1] = ACTIONS(1684),
    [aux_sym_insert_statement_token1] = ACTIONS(1684),
    [aux_sym_truncate_statement_token1] = ACTIONS(1684),
    [aux_sym_update_statement_token1] = ACTIONS(1684),
    [aux_sym_merge_statement_token1] = ACTIONS(1684),
    [aux_sym_grant_statement_token1] = ACTIONS(1684),
    [aux_sym_revoke_statement_token1] = ACTIONS(1684),
    [aux_sym_export_data_statement_token1] = ACTIONS(1684),
    [aux_sym_load_data_statement_token1] = ACTIONS(1684),
    [anon_sym_LBRACK] = ACTIONS(1684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1684),
    [anon_sym_PLUS] = ACTIONS(1684),
    [anon_sym_DASH] = ACTIONS(1686),
    [anon_sym_STAR] = ACTIONS(1684),
    [anon_sym_SLASH] = ACTIONS(1686),
    [anon_sym_PIPE_PIPE] = ACTIONS(1684),
    [anon_sym_LT_EQ] = ACTIONS(1684),
    [anon_sym_LT_GT] = ACTIONS(1684),
    [anon_sym_GT_EQ] = ACTIONS(1684),
    [anon_sym_BANG_EQ] = ACTIONS(1684),
    [anon_sym_LT_LT] = ACTIONS(1684),
    [anon_sym_GT_GT] = ACTIONS(1684),
    [anon_sym_AMP] = ACTIONS(1684),
    [anon_sym_CARET] = ACTIONS(1684),
    [anon_sym_PIPE] = ACTIONS(1686),
  },
  [500] = {
    [ts_builtin_sym_end] = ACTIONS(1688),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1688),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1688),
    [aux_sym_keyword_replace_token1] = ACTIONS(1690),
    [aux_sym__keyword_alter_token1] = ACTIONS(1688),
    [aux_sym__keyword_delete_token1] = ACTIONS(1688),
    [aux_sym__keyword_begin_token1] = ACTIONS(1688),
    [aux_sym__keyword_end_token1] = ACTIONS(1688),
    [aux_sym__keyword_between_token1] = ACTIONS(1688),
    [aux_sym__keyword_when_token1] = ACTIONS(1688),
    [aux_sym__keyword_else_token1] = ACTIONS(1690),
    [aux_sym__keyword_is_token1] = ACTIONS(1688),
    [aux_sym__keyword_in_token1] = ACTIONS(1690),
    [aux_sym__keyword_and_token1] = ACTIONS(1688),
    [aux_sym__keyword_like_token1] = ACTIONS(1688),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1688),
    [aux_sym__keyword_window_token1] = ACTIONS(1688),
    [aux_sym__keyword_for_token1] = ACTIONS(1688),
    [anon_sym_SEMI] = ACTIONS(1688),
    [aux_sym_declare_statement_token1] = ACTIONS(1688),
    [anon_sym_COMMA] = ACTIONS(1688),
    [aux_sym_set_statement_token1] = ACTIONS(1688),
    [anon_sym_LPAREN] = ACTIONS(1688),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1688),
    [aux_sym_using_clause_token1] = ACTIONS(1688),
    [aux_sym_return_satement_token1] = ACTIONS(1688),
    [aux_sym_call_statement_token1] = ACTIONS(1688),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1688),
    [aux_sym_if_statement_token1] = ACTIONS(1688),
    [aux_sym_loop_statement_token1] = ACTIONS(1688),
    [aux_sym_repeat_statement_token1] = ACTIONS(1688),
    [aux_sym_while_statement_token1] = ACTIONS(1688),
    [aux_sym_break_statement_token1] = ACTIONS(1688),
    [aux_sym_leave_statement_token1] = ACTIONS(1688),
    [aux_sym_continue_statement_token1] = ACTIONS(1688),
    [aux_sym_iterate_statement_token1] = ACTIONS(1688),
    [aux_sym_raise_statement_token1] = ACTIONS(1688),
    [anon_sym_EQ] = ACTIONS(1688),
    [aux_sym_assert_statement_token1] = ACTIONS(1688),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1688),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1688),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1688),
    [anon_sym_LT] = ACTIONS(1690),
    [anon_sym_GT] = ACTIONS(1690),
    [aux_sym_set_operation_token1] = ACTIONS(1688),
    [aux_sym_set_operation_token3] = ACTIONS(1688),
    [aux_sym_set_operation_token4] = ACTIONS(1690),
    [aux_sym_select_token1] = ACTIONS(1688),
    [aux_sym_having_clause_token1] = ACTIONS(1688),
    [aux_sym_qualify_clause_token1] = ACTIONS(1688),
    [aux_sym_limit_clause_token1] = ACTIONS(1688),
    [aux_sym_group_by_clause_token1] = ACTIONS(1688),
    [aux_sym_order_by_clause_token1] = ACTIONS(1688),
    [aux_sym_where_clause_token1] = ACTIONS(1688),
    [aux_sym_pivot_operator_token1] = ACTIONS(1688),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1688),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1688),
    [aux_sym_join_type_token1] = ACTIONS(1688),
    [aux_sym_join_type_token2] = ACTIONS(1688),
    [aux_sym_join_type_token3] = ACTIONS(1688),
    [aux_sym_join_type_token4] = ACTIONS(1688),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1688),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1688),
    [aux_sym_join_condition_token1] = ACTIONS(1688),
    [aux_sym_insert_statement_token1] = ACTIONS(1688),
    [aux_sym_truncate_statement_token1] = ACTIONS(1688),
    [aux_sym_update_statement_token1] = ACTIONS(1688),
    [aux_sym_merge_statement_token1] = ACTIONS(1688),
    [aux_sym_grant_statement_token1] = ACTIONS(1688),
    [aux_sym_revoke_statement_token1] = ACTIONS(1688),
    [aux_sym_export_data_statement_token1] = ACTIONS(1688),
    [aux_sym_load_data_statement_token1] = ACTIONS(1688),
    [anon_sym_LBRACK] = ACTIONS(1688),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1688),
    [anon_sym_PLUS] = ACTIONS(1688),
    [anon_sym_DASH] = ACTIONS(1690),
    [anon_sym_STAR] = ACTIONS(1688),
    [anon_sym_SLASH] = ACTIONS(1690),
    [anon_sym_PIPE_PIPE] = ACTIONS(1688),
    [anon_sym_LT_EQ] = ACTIONS(1688),
    [anon_sym_LT_GT] = ACTIONS(1688),
    [anon_sym_GT_EQ] = ACTIONS(1688),
    [anon_sym_BANG_EQ] = ACTIONS(1688),
    [anon_sym_LT_LT] = ACTIONS(1688),
    [anon_sym_GT_GT] = ACTIONS(1688),
    [anon_sym_AMP] = ACTIONS(1688),
    [anon_sym_CARET] = ACTIONS(1688),
    [anon_sym_PIPE] = ACTIONS(1690),
  },
  [501] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_where_clause_token1] = ACTIONS(1364),
    [aux_sym_pivot_operator_token1] = ACTIONS(1364),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1364),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1364),
    [aux_sym_join_type_token1] = ACTIONS(1364),
    [aux_sym_join_type_token2] = ACTIONS(1364),
    [aux_sym_join_type_token3] = ACTIONS(1364),
    [aux_sym_join_type_token4] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1364),
    [aux_sym_join_condition_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [502] = {
    [ts_builtin_sym_end] = ACTIONS(1692),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1692),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1692),
    [aux_sym_keyword_replace_token1] = ACTIONS(1694),
    [aux_sym__keyword_alter_token1] = ACTIONS(1692),
    [aux_sym__keyword_delete_token1] = ACTIONS(1692),
    [aux_sym__keyword_begin_token1] = ACTIONS(1692),
    [aux_sym__keyword_end_token1] = ACTIONS(1692),
    [aux_sym__keyword_between_token1] = ACTIONS(1692),
    [aux_sym__keyword_when_token1] = ACTIONS(1692),
    [aux_sym__keyword_else_token1] = ACTIONS(1694),
    [aux_sym__keyword_is_token1] = ACTIONS(1692),
    [aux_sym__keyword_in_token1] = ACTIONS(1694),
    [aux_sym__keyword_and_token1] = ACTIONS(1692),
    [aux_sym__keyword_like_token1] = ACTIONS(1692),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1692),
    [aux_sym__keyword_window_token1] = ACTIONS(1692),
    [aux_sym__keyword_for_token1] = ACTIONS(1692),
    [anon_sym_SEMI] = ACTIONS(1692),
    [aux_sym_declare_statement_token1] = ACTIONS(1692),
    [anon_sym_COMMA] = ACTIONS(1692),
    [aux_sym_set_statement_token1] = ACTIONS(1692),
    [anon_sym_LPAREN] = ACTIONS(1692),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1692),
    [aux_sym_using_clause_token1] = ACTIONS(1692),
    [aux_sym_return_satement_token1] = ACTIONS(1692),
    [aux_sym_call_statement_token1] = ACTIONS(1692),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1692),
    [aux_sym_if_statement_token1] = ACTIONS(1692),
    [aux_sym_loop_statement_token1] = ACTIONS(1692),
    [aux_sym_repeat_statement_token1] = ACTIONS(1692),
    [aux_sym_while_statement_token1] = ACTIONS(1692),
    [aux_sym_break_statement_token1] = ACTIONS(1692),
    [aux_sym_leave_statement_token1] = ACTIONS(1692),
    [aux_sym_continue_statement_token1] = ACTIONS(1692),
    [aux_sym_iterate_statement_token1] = ACTIONS(1692),
    [aux_sym_raise_statement_token1] = ACTIONS(1692),
    [anon_sym_EQ] = ACTIONS(1692),
    [aux_sym_assert_statement_token1] = ACTIONS(1692),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1692),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1692),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1692),
    [anon_sym_LT] = ACTIONS(1694),
    [anon_sym_GT] = ACTIONS(1694),
    [aux_sym_set_operation_token1] = ACTIONS(1692),
    [aux_sym_set_operation_token3] = ACTIONS(1692),
    [aux_sym_set_operation_token4] = ACTIONS(1694),
    [aux_sym_select_token1] = ACTIONS(1692),
    [aux_sym_having_clause_token1] = ACTIONS(1692),
    [aux_sym_qualify_clause_token1] = ACTIONS(1692),
    [aux_sym_limit_clause_token1] = ACTIONS(1692),
    [aux_sym_group_by_clause_token1] = ACTIONS(1692),
    [aux_sym_order_by_clause_token1] = ACTIONS(1692),
    [aux_sym_where_clause_token1] = ACTIONS(1692),
    [aux_sym_pivot_operator_token1] = ACTIONS(1692),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1692),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1692),
    [aux_sym_join_type_token1] = ACTIONS(1692),
    [aux_sym_join_type_token2] = ACTIONS(1692),
    [aux_sym_join_type_token3] = ACTIONS(1692),
    [aux_sym_join_type_token4] = ACTIONS(1692),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1692),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1692),
    [aux_sym_join_condition_token1] = ACTIONS(1692),
    [aux_sym_insert_statement_token1] = ACTIONS(1692),
    [aux_sym_truncate_statement_token1] = ACTIONS(1692),
    [aux_sym_update_statement_token1] = ACTIONS(1692),
    [aux_sym_merge_statement_token1] = ACTIONS(1692),
    [aux_sym_grant_statement_token1] = ACTIONS(1692),
    [aux_sym_revoke_statement_token1] = ACTIONS(1692),
    [aux_sym_export_data_statement_token1] = ACTIONS(1692),
    [aux_sym_load_data_statement_token1] = ACTIONS(1692),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1692),
    [anon_sym_PLUS] = ACTIONS(1692),
    [anon_sym_DASH] = ACTIONS(1694),
    [anon_sym_STAR] = ACTIONS(1692),
    [anon_sym_SLASH] = ACTIONS(1694),
    [anon_sym_PIPE_PIPE] = ACTIONS(1692),
    [anon_sym_LT_EQ] = ACTIONS(1692),
    [anon_sym_LT_GT] = ACTIONS(1692),
    [anon_sym_GT_EQ] = ACTIONS(1692),
    [anon_sym_BANG_EQ] = ACTIONS(1692),
    [anon_sym_LT_LT] = ACTIONS(1692),
    [anon_sym_GT_GT] = ACTIONS(1692),
    [anon_sym_AMP] = ACTIONS(1692),
    [anon_sym_CARET] = ACTIONS(1692),
    [anon_sym_PIPE] = ACTIONS(1694),
  },
  [503] = {
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_using_clause_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_group_by_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_where_clause_token1] = ACTIONS(917),
    [aux_sym_pivot_operator_token1] = ACTIONS(917),
    [aux_sym_unpivot_operator_token1] = ACTIONS(917),
    [aux_sym_tablesample_operator_token1] = ACTIONS(917),
    [aux_sym_join_type_token1] = ACTIONS(917),
    [aux_sym_join_type_token2] = ACTIONS(917),
    [aux_sym_join_type_token3] = ACTIONS(917),
    [aux_sym_join_type_token4] = ACTIONS(917),
    [aux_sym__cross_join_operation_token1] = ACTIONS(917),
    [aux_sym__cross_join_operation_token2] = ACTIONS(917),
    [aux_sym_join_condition_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(917),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PIPE_PIPE] = ACTIONS(917),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [504] = {
    [ts_builtin_sym_end] = ACTIONS(1696),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1696),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1696),
    [aux_sym_keyword_replace_token1] = ACTIONS(1698),
    [aux_sym__keyword_alter_token1] = ACTIONS(1696),
    [aux_sym__keyword_delete_token1] = ACTIONS(1696),
    [aux_sym__keyword_begin_token1] = ACTIONS(1696),
    [aux_sym__keyword_end_token1] = ACTIONS(1696),
    [aux_sym__keyword_between_token1] = ACTIONS(1696),
    [aux_sym__keyword_when_token1] = ACTIONS(1696),
    [aux_sym__keyword_else_token1] = ACTIONS(1698),
    [aux_sym__keyword_is_token1] = ACTIONS(1696),
    [aux_sym__keyword_in_token1] = ACTIONS(1698),
    [aux_sym__keyword_and_token1] = ACTIONS(1696),
    [aux_sym__keyword_like_token1] = ACTIONS(1696),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1696),
    [aux_sym__keyword_window_token1] = ACTIONS(1696),
    [aux_sym__keyword_for_token1] = ACTIONS(1696),
    [anon_sym_SEMI] = ACTIONS(1696),
    [aux_sym_declare_statement_token1] = ACTIONS(1696),
    [anon_sym_COMMA] = ACTIONS(1696),
    [aux_sym_set_statement_token1] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1696),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1696),
    [aux_sym_using_clause_token1] = ACTIONS(1696),
    [aux_sym_return_satement_token1] = ACTIONS(1696),
    [aux_sym_call_statement_token1] = ACTIONS(1696),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1696),
    [aux_sym_if_statement_token1] = ACTIONS(1696),
    [aux_sym_loop_statement_token1] = ACTIONS(1696),
    [aux_sym_repeat_statement_token1] = ACTIONS(1696),
    [aux_sym_while_statement_token1] = ACTIONS(1696),
    [aux_sym_break_statement_token1] = ACTIONS(1696),
    [aux_sym_leave_statement_token1] = ACTIONS(1696),
    [aux_sym_continue_statement_token1] = ACTIONS(1696),
    [aux_sym_iterate_statement_token1] = ACTIONS(1696),
    [aux_sym_raise_statement_token1] = ACTIONS(1696),
    [anon_sym_EQ] = ACTIONS(1696),
    [aux_sym_assert_statement_token1] = ACTIONS(1696),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1696),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1696),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1696),
    [anon_sym_LT] = ACTIONS(1698),
    [anon_sym_GT] = ACTIONS(1698),
    [aux_sym_set_operation_token1] = ACTIONS(1696),
    [aux_sym_set_operation_token3] = ACTIONS(1696),
    [aux_sym_set_operation_token4] = ACTIONS(1698),
    [aux_sym_select_token1] = ACTIONS(1696),
    [aux_sym_having_clause_token1] = ACTIONS(1696),
    [aux_sym_qualify_clause_token1] = ACTIONS(1696),
    [aux_sym_limit_clause_token1] = ACTIONS(1696),
    [aux_sym_group_by_clause_token1] = ACTIONS(1696),
    [aux_sym_order_by_clause_token1] = ACTIONS(1696),
    [aux_sym_where_clause_token1] = ACTIONS(1696),
    [aux_sym_pivot_operator_token1] = ACTIONS(1696),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1696),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1696),
    [aux_sym_join_type_token1] = ACTIONS(1696),
    [aux_sym_join_type_token2] = ACTIONS(1696),
    [aux_sym_join_type_token3] = ACTIONS(1696),
    [aux_sym_join_type_token4] = ACTIONS(1696),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1696),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1696),
    [aux_sym_join_condition_token1] = ACTIONS(1696),
    [aux_sym_insert_statement_token1] = ACTIONS(1696),
    [aux_sym_truncate_statement_token1] = ACTIONS(1696),
    [aux_sym_update_statement_token1] = ACTIONS(1696),
    [aux_sym_merge_statement_token1] = ACTIONS(1696),
    [aux_sym_grant_statement_token1] = ACTIONS(1696),
    [aux_sym_revoke_statement_token1] = ACTIONS(1696),
    [aux_sym_export_data_statement_token1] = ACTIONS(1696),
    [aux_sym_load_data_statement_token1] = ACTIONS(1696),
    [anon_sym_LBRACK] = ACTIONS(1696),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_STAR] = ACTIONS(1696),
    [anon_sym_SLASH] = ACTIONS(1698),
    [anon_sym_PIPE_PIPE] = ACTIONS(1696),
    [anon_sym_LT_EQ] = ACTIONS(1696),
    [anon_sym_LT_GT] = ACTIONS(1696),
    [anon_sym_GT_EQ] = ACTIONS(1696),
    [anon_sym_BANG_EQ] = ACTIONS(1696),
    [anon_sym_LT_LT] = ACTIONS(1696),
    [anon_sym_GT_GT] = ACTIONS(1696),
    [anon_sym_AMP] = ACTIONS(1696),
    [anon_sym_CARET] = ACTIONS(1696),
    [anon_sym_PIPE] = ACTIONS(1698),
  },
  [505] = {
    [ts_builtin_sym_end] = ACTIONS(1374),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1374),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1374),
    [aux_sym_keyword_replace_token1] = ACTIONS(1376),
    [aux_sym__keyword_alter_token1] = ACTIONS(1374),
    [aux_sym__keyword_delete_token1] = ACTIONS(1374),
    [aux_sym__keyword_begin_token1] = ACTIONS(1374),
    [aux_sym__keyword_end_token1] = ACTIONS(1374),
    [aux_sym__keyword_between_token1] = ACTIONS(1374),
    [aux_sym__keyword_when_token1] = ACTIONS(1374),
    [aux_sym__keyword_else_token1] = ACTIONS(1376),
    [aux_sym__keyword_is_token1] = ACTIONS(1374),
    [aux_sym__keyword_in_token1] = ACTIONS(1376),
    [aux_sym__keyword_and_token1] = ACTIONS(1374),
    [aux_sym__keyword_like_token1] = ACTIONS(1374),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1374),
    [aux_sym__keyword_window_token1] = ACTIONS(1374),
    [aux_sym__keyword_for_token1] = ACTIONS(1374),
    [anon_sym_SEMI] = ACTIONS(1374),
    [aux_sym_declare_statement_token1] = ACTIONS(1374),
    [anon_sym_COMMA] = ACTIONS(1374),
    [aux_sym_set_statement_token1] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1374),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1374),
    [aux_sym_using_clause_token1] = ACTIONS(1374),
    [aux_sym_return_satement_token1] = ACTIONS(1374),
    [aux_sym_call_statement_token1] = ACTIONS(1374),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1374),
    [aux_sym_if_statement_token1] = ACTIONS(1374),
    [aux_sym_loop_statement_token1] = ACTIONS(1374),
    [aux_sym_repeat_statement_token1] = ACTIONS(1374),
    [aux_sym_while_statement_token1] = ACTIONS(1374),
    [aux_sym_break_statement_token1] = ACTIONS(1374),
    [aux_sym_leave_statement_token1] = ACTIONS(1374),
    [aux_sym_continue_statement_token1] = ACTIONS(1374),
    [aux_sym_iterate_statement_token1] = ACTIONS(1374),
    [aux_sym_raise_statement_token1] = ACTIONS(1374),
    [anon_sym_EQ] = ACTIONS(1374),
    [aux_sym_assert_statement_token1] = ACTIONS(1374),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1374),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1374),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1374),
    [anon_sym_LT] = ACTIONS(1376),
    [anon_sym_GT] = ACTIONS(1376),
    [aux_sym_set_operation_token1] = ACTIONS(1374),
    [aux_sym_set_operation_token3] = ACTIONS(1374),
    [aux_sym_set_operation_token4] = ACTIONS(1376),
    [aux_sym_select_token1] = ACTIONS(1374),
    [aux_sym_having_clause_token1] = ACTIONS(1374),
    [aux_sym_qualify_clause_token1] = ACTIONS(1374),
    [aux_sym_limit_clause_token1] = ACTIONS(1374),
    [aux_sym_group_by_clause_token1] = ACTIONS(1374),
    [aux_sym_order_by_clause_token1] = ACTIONS(1374),
    [aux_sym_where_clause_token1] = ACTIONS(1374),
    [aux_sym_pivot_operator_token1] = ACTIONS(1374),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1374),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1374),
    [aux_sym_join_type_token1] = ACTIONS(1374),
    [aux_sym_join_type_token2] = ACTIONS(1374),
    [aux_sym_join_type_token3] = ACTIONS(1374),
    [aux_sym_join_type_token4] = ACTIONS(1374),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1374),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1374),
    [aux_sym_join_condition_token1] = ACTIONS(1374),
    [aux_sym_insert_statement_token1] = ACTIONS(1374),
    [aux_sym_truncate_statement_token1] = ACTIONS(1374),
    [aux_sym_update_statement_token1] = ACTIONS(1374),
    [aux_sym_merge_statement_token1] = ACTIONS(1374),
    [aux_sym_grant_statement_token1] = ACTIONS(1374),
    [aux_sym_revoke_statement_token1] = ACTIONS(1374),
    [aux_sym_export_data_statement_token1] = ACTIONS(1374),
    [aux_sym_load_data_statement_token1] = ACTIONS(1374),
    [anon_sym_LBRACK] = ACTIONS(1374),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_SLASH] = ACTIONS(1376),
    [anon_sym_PIPE_PIPE] = ACTIONS(1374),
    [anon_sym_LT_EQ] = ACTIONS(1374),
    [anon_sym_LT_GT] = ACTIONS(1374),
    [anon_sym_GT_EQ] = ACTIONS(1374),
    [anon_sym_BANG_EQ] = ACTIONS(1374),
    [anon_sym_LT_LT] = ACTIONS(1374),
    [anon_sym_GT_GT] = ACTIONS(1374),
    [anon_sym_AMP] = ACTIONS(1374),
    [anon_sym_CARET] = ACTIONS(1374),
    [anon_sym_PIPE] = ACTIONS(1376),
  },
  [506] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_window_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_using_clause_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1462),
    [aux_sym_set_operation_token3] = ACTIONS(1462),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_having_clause_token1] = ACTIONS(1462),
    [aux_sym_qualify_clause_token1] = ACTIONS(1462),
    [aux_sym_limit_clause_token1] = ACTIONS(1462),
    [aux_sym_group_by_clause_token1] = ACTIONS(1462),
    [aux_sym_order_by_clause_token1] = ACTIONS(1462),
    [aux_sym_where_clause_token1] = ACTIONS(1462),
    [aux_sym_pivot_operator_token1] = ACTIONS(1462),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1462),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1462),
    [aux_sym_join_type_token1] = ACTIONS(1462),
    [aux_sym_join_type_token2] = ACTIONS(1462),
    [aux_sym_join_type_token3] = ACTIONS(1462),
    [aux_sym_join_type_token4] = ACTIONS(1462),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1462),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1462),
    [aux_sym_join_condition_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [507] = {
    [ts_builtin_sym_end] = ACTIONS(1700),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1700),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1700),
    [aux_sym_keyword_replace_token1] = ACTIONS(1702),
    [aux_sym__keyword_alter_token1] = ACTIONS(1700),
    [aux_sym__keyword_delete_token1] = ACTIONS(1700),
    [aux_sym__keyword_begin_token1] = ACTIONS(1700),
    [aux_sym__keyword_end_token1] = ACTIONS(1700),
    [aux_sym__keyword_between_token1] = ACTIONS(1700),
    [aux_sym__keyword_when_token1] = ACTIONS(1700),
    [aux_sym__keyword_else_token1] = ACTIONS(1702),
    [aux_sym__keyword_is_token1] = ACTIONS(1700),
    [aux_sym__keyword_in_token1] = ACTIONS(1702),
    [aux_sym__keyword_and_token1] = ACTIONS(1700),
    [aux_sym__keyword_like_token1] = ACTIONS(1700),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1700),
    [aux_sym__keyword_window_token1] = ACTIONS(1700),
    [aux_sym__keyword_for_token1] = ACTIONS(1700),
    [anon_sym_SEMI] = ACTIONS(1700),
    [aux_sym_declare_statement_token1] = ACTIONS(1700),
    [anon_sym_COMMA] = ACTIONS(1700),
    [aux_sym_set_statement_token1] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1700),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1700),
    [aux_sym_using_clause_token1] = ACTIONS(1700),
    [aux_sym_return_satement_token1] = ACTIONS(1700),
    [aux_sym_call_statement_token1] = ACTIONS(1700),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1700),
    [aux_sym_if_statement_token1] = ACTIONS(1700),
    [aux_sym_loop_statement_token1] = ACTIONS(1700),
    [aux_sym_repeat_statement_token1] = ACTIONS(1700),
    [aux_sym_while_statement_token1] = ACTIONS(1700),
    [aux_sym_break_statement_token1] = ACTIONS(1700),
    [aux_sym_leave_statement_token1] = ACTIONS(1700),
    [aux_sym_continue_statement_token1] = ACTIONS(1700),
    [aux_sym_iterate_statement_token1] = ACTIONS(1700),
    [aux_sym_raise_statement_token1] = ACTIONS(1700),
    [anon_sym_EQ] = ACTIONS(1700),
    [aux_sym_assert_statement_token1] = ACTIONS(1700),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1700),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1700),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1700),
    [anon_sym_LT] = ACTIONS(1702),
    [anon_sym_GT] = ACTIONS(1702),
    [aux_sym_set_operation_token1] = ACTIONS(1700),
    [aux_sym_set_operation_token3] = ACTIONS(1700),
    [aux_sym_set_operation_token4] = ACTIONS(1702),
    [aux_sym_select_token1] = ACTIONS(1700),
    [aux_sym_having_clause_token1] = ACTIONS(1700),
    [aux_sym_qualify_clause_token1] = ACTIONS(1700),
    [aux_sym_limit_clause_token1] = ACTIONS(1700),
    [aux_sym_group_by_clause_token1] = ACTIONS(1700),
    [aux_sym_order_by_clause_token1] = ACTIONS(1700),
    [aux_sym_where_clause_token1] = ACTIONS(1700),
    [aux_sym_pivot_operator_token1] = ACTIONS(1700),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1700),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1700),
    [aux_sym_join_type_token1] = ACTIONS(1700),
    [aux_sym_join_type_token2] = ACTIONS(1700),
    [aux_sym_join_type_token3] = ACTIONS(1700),
    [aux_sym_join_type_token4] = ACTIONS(1700),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1700),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1700),
    [aux_sym_join_condition_token1] = ACTIONS(1700),
    [aux_sym_insert_statement_token1] = ACTIONS(1700),
    [aux_sym_truncate_statement_token1] = ACTIONS(1700),
    [aux_sym_update_statement_token1] = ACTIONS(1700),
    [aux_sym_merge_statement_token1] = ACTIONS(1700),
    [aux_sym_grant_statement_token1] = ACTIONS(1700),
    [aux_sym_revoke_statement_token1] = ACTIONS(1700),
    [aux_sym_export_data_statement_token1] = ACTIONS(1700),
    [aux_sym_load_data_statement_token1] = ACTIONS(1700),
    [anon_sym_LBRACK] = ACTIONS(1700),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1700),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_DASH] = ACTIONS(1702),
    [anon_sym_STAR] = ACTIONS(1700),
    [anon_sym_SLASH] = ACTIONS(1702),
    [anon_sym_PIPE_PIPE] = ACTIONS(1700),
    [anon_sym_LT_EQ] = ACTIONS(1700),
    [anon_sym_LT_GT] = ACTIONS(1700),
    [anon_sym_GT_EQ] = ACTIONS(1700),
    [anon_sym_BANG_EQ] = ACTIONS(1700),
    [anon_sym_LT_LT] = ACTIONS(1700),
    [anon_sym_GT_GT] = ACTIONS(1700),
    [anon_sym_AMP] = ACTIONS(1700),
    [anon_sym_CARET] = ACTIONS(1700),
    [anon_sym_PIPE] = ACTIONS(1702),
  },
  [508] = {
    [ts_builtin_sym_end] = ACTIONS(1704),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1704),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1704),
    [aux_sym_keyword_replace_token1] = ACTIONS(1706),
    [aux_sym__keyword_alter_token1] = ACTIONS(1704),
    [aux_sym__keyword_delete_token1] = ACTIONS(1704),
    [aux_sym__keyword_begin_token1] = ACTIONS(1704),
    [aux_sym__keyword_end_token1] = ACTIONS(1704),
    [aux_sym__keyword_between_token1] = ACTIONS(1704),
    [aux_sym__keyword_when_token1] = ACTIONS(1704),
    [aux_sym__keyword_else_token1] = ACTIONS(1706),
    [aux_sym__keyword_is_token1] = ACTIONS(1704),
    [aux_sym__keyword_in_token1] = ACTIONS(1706),
    [aux_sym__keyword_and_token1] = ACTIONS(1704),
    [aux_sym__keyword_like_token1] = ACTIONS(1704),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1704),
    [aux_sym__keyword_window_token1] = ACTIONS(1704),
    [aux_sym__keyword_for_token1] = ACTIONS(1704),
    [anon_sym_SEMI] = ACTIONS(1704),
    [aux_sym_declare_statement_token1] = ACTIONS(1704),
    [anon_sym_COMMA] = ACTIONS(1704),
    [aux_sym_set_statement_token1] = ACTIONS(1704),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1704),
    [aux_sym_using_clause_token1] = ACTIONS(1704),
    [aux_sym_return_satement_token1] = ACTIONS(1704),
    [aux_sym_call_statement_token1] = ACTIONS(1704),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1704),
    [aux_sym_if_statement_token1] = ACTIONS(1704),
    [aux_sym_loop_statement_token1] = ACTIONS(1704),
    [aux_sym_repeat_statement_token1] = ACTIONS(1704),
    [aux_sym_while_statement_token1] = ACTIONS(1704),
    [aux_sym_break_statement_token1] = ACTIONS(1704),
    [aux_sym_leave_statement_token1] = ACTIONS(1704),
    [aux_sym_continue_statement_token1] = ACTIONS(1704),
    [aux_sym_iterate_statement_token1] = ACTIONS(1704),
    [aux_sym_raise_statement_token1] = ACTIONS(1704),
    [anon_sym_EQ] = ACTIONS(1704),
    [aux_sym_assert_statement_token1] = ACTIONS(1704),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1704),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1704),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1704),
    [anon_sym_LT] = ACTIONS(1706),
    [anon_sym_GT] = ACTIONS(1706),
    [aux_sym_set_operation_token1] = ACTIONS(1704),
    [aux_sym_set_operation_token3] = ACTIONS(1704),
    [aux_sym_set_operation_token4] = ACTIONS(1706),
    [aux_sym_select_token1] = ACTIONS(1704),
    [aux_sym_having_clause_token1] = ACTIONS(1704),
    [aux_sym_qualify_clause_token1] = ACTIONS(1704),
    [aux_sym_limit_clause_token1] = ACTIONS(1704),
    [aux_sym_group_by_clause_token1] = ACTIONS(1704),
    [aux_sym_order_by_clause_token1] = ACTIONS(1704),
    [aux_sym_where_clause_token1] = ACTIONS(1704),
    [aux_sym_pivot_operator_token1] = ACTIONS(1704),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1704),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1704),
    [aux_sym_join_type_token1] = ACTIONS(1704),
    [aux_sym_join_type_token2] = ACTIONS(1704),
    [aux_sym_join_type_token3] = ACTIONS(1704),
    [aux_sym_join_type_token4] = ACTIONS(1704),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1704),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1704),
    [aux_sym_join_condition_token1] = ACTIONS(1704),
    [aux_sym_insert_statement_token1] = ACTIONS(1704),
    [aux_sym_truncate_statement_token1] = ACTIONS(1704),
    [aux_sym_update_statement_token1] = ACTIONS(1704),
    [aux_sym_merge_statement_token1] = ACTIONS(1704),
    [aux_sym_grant_statement_token1] = ACTIONS(1704),
    [aux_sym_revoke_statement_token1] = ACTIONS(1704),
    [aux_sym_export_data_statement_token1] = ACTIONS(1704),
    [aux_sym_load_data_statement_token1] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1704),
    [anon_sym_PLUS] = ACTIONS(1704),
    [anon_sym_DASH] = ACTIONS(1706),
    [anon_sym_STAR] = ACTIONS(1704),
    [anon_sym_SLASH] = ACTIONS(1706),
    [anon_sym_PIPE_PIPE] = ACTIONS(1704),
    [anon_sym_LT_EQ] = ACTIONS(1704),
    [anon_sym_LT_GT] = ACTIONS(1704),
    [anon_sym_GT_EQ] = ACTIONS(1704),
    [anon_sym_BANG_EQ] = ACTIONS(1704),
    [anon_sym_LT_LT] = ACTIONS(1704),
    [anon_sym_GT_GT] = ACTIONS(1704),
    [anon_sym_AMP] = ACTIONS(1704),
    [anon_sym_CARET] = ACTIONS(1704),
    [anon_sym_PIPE] = ACTIONS(1706),
  },
  [509] = {
    [ts_builtin_sym_end] = ACTIONS(1708),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1708),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1708),
    [aux_sym_keyword_replace_token1] = ACTIONS(1710),
    [aux_sym__keyword_alter_token1] = ACTIONS(1708),
    [aux_sym__keyword_delete_token1] = ACTIONS(1708),
    [aux_sym__keyword_begin_token1] = ACTIONS(1708),
    [aux_sym__keyword_end_token1] = ACTIONS(1708),
    [aux_sym__keyword_between_token1] = ACTIONS(1708),
    [aux_sym__keyword_when_token1] = ACTIONS(1708),
    [aux_sym__keyword_else_token1] = ACTIONS(1710),
    [aux_sym__keyword_is_token1] = ACTIONS(1708),
    [aux_sym__keyword_in_token1] = ACTIONS(1710),
    [aux_sym__keyword_and_token1] = ACTIONS(1708),
    [aux_sym__keyword_like_token1] = ACTIONS(1708),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1708),
    [aux_sym__keyword_window_token1] = ACTIONS(1708),
    [aux_sym__keyword_for_token1] = ACTIONS(1708),
    [anon_sym_SEMI] = ACTIONS(1708),
    [aux_sym_declare_statement_token1] = ACTIONS(1708),
    [anon_sym_COMMA] = ACTIONS(1708),
    [aux_sym_set_statement_token1] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1708),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1708),
    [aux_sym_using_clause_token1] = ACTIONS(1708),
    [aux_sym_return_satement_token1] = ACTIONS(1708),
    [aux_sym_call_statement_token1] = ACTIONS(1708),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1708),
    [aux_sym_if_statement_token1] = ACTIONS(1708),
    [aux_sym_loop_statement_token1] = ACTIONS(1708),
    [aux_sym_repeat_statement_token1] = ACTIONS(1708),
    [aux_sym_while_statement_token1] = ACTIONS(1708),
    [aux_sym_break_statement_token1] = ACTIONS(1708),
    [aux_sym_leave_statement_token1] = ACTIONS(1708),
    [aux_sym_continue_statement_token1] = ACTIONS(1708),
    [aux_sym_iterate_statement_token1] = ACTIONS(1708),
    [aux_sym_raise_statement_token1] = ACTIONS(1708),
    [anon_sym_EQ] = ACTIONS(1708),
    [aux_sym_assert_statement_token1] = ACTIONS(1708),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1708),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1708),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1708),
    [anon_sym_LT] = ACTIONS(1710),
    [anon_sym_GT] = ACTIONS(1710),
    [aux_sym_set_operation_token1] = ACTIONS(1708),
    [aux_sym_set_operation_token3] = ACTIONS(1708),
    [aux_sym_set_operation_token4] = ACTIONS(1710),
    [aux_sym_select_token1] = ACTIONS(1708),
    [aux_sym_having_clause_token1] = ACTIONS(1708),
    [aux_sym_qualify_clause_token1] = ACTIONS(1708),
    [aux_sym_limit_clause_token1] = ACTIONS(1708),
    [aux_sym_group_by_clause_token1] = ACTIONS(1708),
    [aux_sym_order_by_clause_token1] = ACTIONS(1708),
    [aux_sym_where_clause_token1] = ACTIONS(1708),
    [aux_sym_pivot_operator_token1] = ACTIONS(1708),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1708),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1708),
    [aux_sym_join_type_token1] = ACTIONS(1708),
    [aux_sym_join_type_token2] = ACTIONS(1708),
    [aux_sym_join_type_token3] = ACTIONS(1708),
    [aux_sym_join_type_token4] = ACTIONS(1708),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1708),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1708),
    [aux_sym_join_condition_token1] = ACTIONS(1708),
    [aux_sym_insert_statement_token1] = ACTIONS(1708),
    [aux_sym_truncate_statement_token1] = ACTIONS(1708),
    [aux_sym_update_statement_token1] = ACTIONS(1708),
    [aux_sym_merge_statement_token1] = ACTIONS(1708),
    [aux_sym_grant_statement_token1] = ACTIONS(1708),
    [aux_sym_revoke_statement_token1] = ACTIONS(1708),
    [aux_sym_export_data_statement_token1] = ACTIONS(1708),
    [aux_sym_load_data_statement_token1] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1708),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_DASH] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(1708),
    [anon_sym_SLASH] = ACTIONS(1710),
    [anon_sym_PIPE_PIPE] = ACTIONS(1708),
    [anon_sym_LT_EQ] = ACTIONS(1708),
    [anon_sym_LT_GT] = ACTIONS(1708),
    [anon_sym_GT_EQ] = ACTIONS(1708),
    [anon_sym_BANG_EQ] = ACTIONS(1708),
    [anon_sym_LT_LT] = ACTIONS(1708),
    [anon_sym_GT_GT] = ACTIONS(1708),
    [anon_sym_AMP] = ACTIONS(1708),
    [anon_sym_CARET] = ACTIONS(1708),
    [anon_sym_PIPE] = ACTIONS(1710),
  },
  [510] = {
    [ts_builtin_sym_end] = ACTIONS(1712),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1712),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1712),
    [aux_sym_keyword_replace_token1] = ACTIONS(1714),
    [aux_sym__keyword_alter_token1] = ACTIONS(1712),
    [aux_sym__keyword_delete_token1] = ACTIONS(1712),
    [aux_sym__keyword_begin_token1] = ACTIONS(1712),
    [aux_sym__keyword_end_token1] = ACTIONS(1712),
    [aux_sym__keyword_between_token1] = ACTIONS(1712),
    [aux_sym__keyword_when_token1] = ACTIONS(1712),
    [aux_sym__keyword_else_token1] = ACTIONS(1714),
    [aux_sym__keyword_is_token1] = ACTIONS(1712),
    [aux_sym__keyword_in_token1] = ACTIONS(1714),
    [aux_sym__keyword_and_token1] = ACTIONS(1712),
    [aux_sym__keyword_like_token1] = ACTIONS(1712),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1712),
    [aux_sym__keyword_window_token1] = ACTIONS(1712),
    [aux_sym__keyword_for_token1] = ACTIONS(1712),
    [anon_sym_SEMI] = ACTIONS(1712),
    [aux_sym_declare_statement_token1] = ACTIONS(1712),
    [anon_sym_COMMA] = ACTIONS(1712),
    [aux_sym_set_statement_token1] = ACTIONS(1712),
    [anon_sym_LPAREN] = ACTIONS(1712),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1712),
    [aux_sym_using_clause_token1] = ACTIONS(1712),
    [aux_sym_return_satement_token1] = ACTIONS(1712),
    [aux_sym_call_statement_token1] = ACTIONS(1712),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1712),
    [aux_sym_if_statement_token1] = ACTIONS(1712),
    [aux_sym_loop_statement_token1] = ACTIONS(1712),
    [aux_sym_repeat_statement_token1] = ACTIONS(1712),
    [aux_sym_while_statement_token1] = ACTIONS(1712),
    [aux_sym_break_statement_token1] = ACTIONS(1712),
    [aux_sym_leave_statement_token1] = ACTIONS(1712),
    [aux_sym_continue_statement_token1] = ACTIONS(1712),
    [aux_sym_iterate_statement_token1] = ACTIONS(1712),
    [aux_sym_raise_statement_token1] = ACTIONS(1712),
    [anon_sym_EQ] = ACTIONS(1712),
    [aux_sym_assert_statement_token1] = ACTIONS(1712),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1712),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1712),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1712),
    [anon_sym_LT] = ACTIONS(1714),
    [anon_sym_GT] = ACTIONS(1714),
    [aux_sym_set_operation_token1] = ACTIONS(1712),
    [aux_sym_set_operation_token3] = ACTIONS(1712),
    [aux_sym_set_operation_token4] = ACTIONS(1714),
    [aux_sym_select_token1] = ACTIONS(1712),
    [aux_sym_having_clause_token1] = ACTIONS(1712),
    [aux_sym_qualify_clause_token1] = ACTIONS(1712),
    [aux_sym_limit_clause_token1] = ACTIONS(1712),
    [aux_sym_group_by_clause_token1] = ACTIONS(1712),
    [aux_sym_order_by_clause_token1] = ACTIONS(1712),
    [aux_sym_where_clause_token1] = ACTIONS(1712),
    [aux_sym_pivot_operator_token1] = ACTIONS(1712),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1712),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1712),
    [aux_sym_join_type_token1] = ACTIONS(1712),
    [aux_sym_join_type_token2] = ACTIONS(1712),
    [aux_sym_join_type_token3] = ACTIONS(1712),
    [aux_sym_join_type_token4] = ACTIONS(1712),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1712),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1712),
    [aux_sym_join_condition_token1] = ACTIONS(1712),
    [aux_sym_insert_statement_token1] = ACTIONS(1712),
    [aux_sym_truncate_statement_token1] = ACTIONS(1712),
    [aux_sym_update_statement_token1] = ACTIONS(1712),
    [aux_sym_merge_statement_token1] = ACTIONS(1712),
    [aux_sym_grant_statement_token1] = ACTIONS(1712),
    [aux_sym_revoke_statement_token1] = ACTIONS(1712),
    [aux_sym_export_data_statement_token1] = ACTIONS(1712),
    [aux_sym_load_data_statement_token1] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1712),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1712),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_DASH] = ACTIONS(1714),
    [anon_sym_STAR] = ACTIONS(1712),
    [anon_sym_SLASH] = ACTIONS(1714),
    [anon_sym_PIPE_PIPE] = ACTIONS(1712),
    [anon_sym_LT_EQ] = ACTIONS(1712),
    [anon_sym_LT_GT] = ACTIONS(1712),
    [anon_sym_GT_EQ] = ACTIONS(1712),
    [anon_sym_BANG_EQ] = ACTIONS(1712),
    [anon_sym_LT_LT] = ACTIONS(1712),
    [anon_sym_GT_GT] = ACTIONS(1712),
    [anon_sym_AMP] = ACTIONS(1712),
    [anon_sym_CARET] = ACTIONS(1712),
    [anon_sym_PIPE] = ACTIONS(1714),
  },
  [511] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_window_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_using_clause_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1462),
    [aux_sym_set_operation_token3] = ACTIONS(1462),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_having_clause_token1] = ACTIONS(1462),
    [aux_sym_qualify_clause_token1] = ACTIONS(1462),
    [aux_sym_limit_clause_token1] = ACTIONS(1462),
    [aux_sym_group_by_clause_token1] = ACTIONS(1462),
    [aux_sym_order_by_clause_token1] = ACTIONS(1462),
    [aux_sym_where_clause_token1] = ACTIONS(1462),
    [aux_sym_pivot_operator_token1] = ACTIONS(1462),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1462),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1462),
    [aux_sym_join_type_token1] = ACTIONS(1462),
    [aux_sym_join_type_token2] = ACTIONS(1462),
    [aux_sym_join_type_token3] = ACTIONS(1462),
    [aux_sym_join_type_token4] = ACTIONS(1462),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1462),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1462),
    [aux_sym_join_condition_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [512] = {
    [ts_builtin_sym_end] = ACTIONS(1716),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1716),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1716),
    [aux_sym_keyword_replace_token1] = ACTIONS(1718),
    [aux_sym__keyword_alter_token1] = ACTIONS(1716),
    [aux_sym__keyword_delete_token1] = ACTIONS(1716),
    [aux_sym__keyword_begin_token1] = ACTIONS(1716),
    [aux_sym__keyword_end_token1] = ACTIONS(1716),
    [aux_sym__keyword_between_token1] = ACTIONS(1716),
    [aux_sym__keyword_when_token1] = ACTIONS(1716),
    [aux_sym__keyword_else_token1] = ACTIONS(1718),
    [aux_sym__keyword_is_token1] = ACTIONS(1716),
    [aux_sym__keyword_in_token1] = ACTIONS(1718),
    [aux_sym__keyword_and_token1] = ACTIONS(1716),
    [aux_sym__keyword_like_token1] = ACTIONS(1716),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1716),
    [aux_sym__keyword_window_token1] = ACTIONS(1716),
    [aux_sym__keyword_for_token1] = ACTIONS(1716),
    [anon_sym_SEMI] = ACTIONS(1716),
    [aux_sym_declare_statement_token1] = ACTIONS(1716),
    [anon_sym_COMMA] = ACTIONS(1716),
    [aux_sym_set_statement_token1] = ACTIONS(1716),
    [anon_sym_LPAREN] = ACTIONS(1716),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1716),
    [aux_sym_using_clause_token1] = ACTIONS(1716),
    [aux_sym_return_satement_token1] = ACTIONS(1716),
    [aux_sym_call_statement_token1] = ACTIONS(1716),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1716),
    [aux_sym_if_statement_token1] = ACTIONS(1716),
    [aux_sym_loop_statement_token1] = ACTIONS(1716),
    [aux_sym_repeat_statement_token1] = ACTIONS(1716),
    [aux_sym_while_statement_token1] = ACTIONS(1716),
    [aux_sym_break_statement_token1] = ACTIONS(1716),
    [aux_sym_leave_statement_token1] = ACTIONS(1716),
    [aux_sym_continue_statement_token1] = ACTIONS(1716),
    [aux_sym_iterate_statement_token1] = ACTIONS(1716),
    [aux_sym_raise_statement_token1] = ACTIONS(1716),
    [anon_sym_EQ] = ACTIONS(1716),
    [aux_sym_assert_statement_token1] = ACTIONS(1716),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1716),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1716),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1716),
    [anon_sym_LT] = ACTIONS(1718),
    [anon_sym_GT] = ACTIONS(1718),
    [aux_sym_set_operation_token1] = ACTIONS(1716),
    [aux_sym_set_operation_token3] = ACTIONS(1716),
    [aux_sym_set_operation_token4] = ACTIONS(1718),
    [aux_sym_select_token1] = ACTIONS(1716),
    [aux_sym_having_clause_token1] = ACTIONS(1716),
    [aux_sym_qualify_clause_token1] = ACTIONS(1716),
    [aux_sym_limit_clause_token1] = ACTIONS(1716),
    [aux_sym_group_by_clause_token1] = ACTIONS(1716),
    [aux_sym_order_by_clause_token1] = ACTIONS(1716),
    [aux_sym_where_clause_token1] = ACTIONS(1716),
    [aux_sym_pivot_operator_token1] = ACTIONS(1716),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1716),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1716),
    [aux_sym_join_type_token1] = ACTIONS(1716),
    [aux_sym_join_type_token2] = ACTIONS(1716),
    [aux_sym_join_type_token3] = ACTIONS(1716),
    [aux_sym_join_type_token4] = ACTIONS(1716),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1716),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1716),
    [aux_sym_join_condition_token1] = ACTIONS(1716),
    [aux_sym_insert_statement_token1] = ACTIONS(1716),
    [aux_sym_truncate_statement_token1] = ACTIONS(1716),
    [aux_sym_update_statement_token1] = ACTIONS(1716),
    [aux_sym_merge_statement_token1] = ACTIONS(1716),
    [aux_sym_grant_statement_token1] = ACTIONS(1716),
    [aux_sym_revoke_statement_token1] = ACTIONS(1716),
    [aux_sym_export_data_statement_token1] = ACTIONS(1716),
    [aux_sym_load_data_statement_token1] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1716),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_DASH] = ACTIONS(1718),
    [anon_sym_STAR] = ACTIONS(1716),
    [anon_sym_SLASH] = ACTIONS(1718),
    [anon_sym_PIPE_PIPE] = ACTIONS(1716),
    [anon_sym_LT_EQ] = ACTIONS(1716),
    [anon_sym_LT_GT] = ACTIONS(1716),
    [anon_sym_GT_EQ] = ACTIONS(1716),
    [anon_sym_BANG_EQ] = ACTIONS(1716),
    [anon_sym_LT_LT] = ACTIONS(1716),
    [anon_sym_GT_GT] = ACTIONS(1716),
    [anon_sym_AMP] = ACTIONS(1716),
    [anon_sym_CARET] = ACTIONS(1716),
    [anon_sym_PIPE] = ACTIONS(1718),
  },
  [513] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_window_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_using_clause_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1462),
    [aux_sym_set_operation_token3] = ACTIONS(1462),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_having_clause_token1] = ACTIONS(1462),
    [aux_sym_qualify_clause_token1] = ACTIONS(1462),
    [aux_sym_limit_clause_token1] = ACTIONS(1462),
    [aux_sym_group_by_clause_token1] = ACTIONS(1462),
    [aux_sym_order_by_clause_token1] = ACTIONS(1462),
    [aux_sym_where_clause_token1] = ACTIONS(1462),
    [aux_sym_pivot_operator_token1] = ACTIONS(1462),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1462),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1462),
    [aux_sym_join_type_token1] = ACTIONS(1462),
    [aux_sym_join_type_token2] = ACTIONS(1462),
    [aux_sym_join_type_token3] = ACTIONS(1462),
    [aux_sym_join_type_token4] = ACTIONS(1462),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1462),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1462),
    [aux_sym_join_condition_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [514] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_window_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_using_clause_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1462),
    [aux_sym_set_operation_token3] = ACTIONS(1462),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_having_clause_token1] = ACTIONS(1462),
    [aux_sym_qualify_clause_token1] = ACTIONS(1462),
    [aux_sym_limit_clause_token1] = ACTIONS(1462),
    [aux_sym_group_by_clause_token1] = ACTIONS(1462),
    [aux_sym_order_by_clause_token1] = ACTIONS(1462),
    [aux_sym_where_clause_token1] = ACTIONS(1462),
    [aux_sym_pivot_operator_token1] = ACTIONS(1462),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1462),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1462),
    [aux_sym_join_type_token1] = ACTIONS(1462),
    [aux_sym_join_type_token2] = ACTIONS(1462),
    [aux_sym_join_type_token3] = ACTIONS(1462),
    [aux_sym_join_type_token4] = ACTIONS(1462),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1462),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1462),
    [aux_sym_join_condition_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [515] = {
    [ts_builtin_sym_end] = ACTIONS(1720),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1720),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1720),
    [aux_sym_keyword_replace_token1] = ACTIONS(1722),
    [aux_sym__keyword_alter_token1] = ACTIONS(1720),
    [aux_sym__keyword_delete_token1] = ACTIONS(1720),
    [aux_sym__keyword_begin_token1] = ACTIONS(1720),
    [aux_sym__keyword_end_token1] = ACTIONS(1720),
    [aux_sym__keyword_between_token1] = ACTIONS(1720),
    [aux_sym__keyword_when_token1] = ACTIONS(1720),
    [aux_sym__keyword_else_token1] = ACTIONS(1722),
    [aux_sym__keyword_is_token1] = ACTIONS(1720),
    [aux_sym__keyword_in_token1] = ACTIONS(1722),
    [aux_sym__keyword_and_token1] = ACTIONS(1720),
    [aux_sym__keyword_like_token1] = ACTIONS(1720),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1720),
    [aux_sym__keyword_window_token1] = ACTIONS(1720),
    [aux_sym__keyword_for_token1] = ACTIONS(1720),
    [anon_sym_SEMI] = ACTIONS(1720),
    [aux_sym_declare_statement_token1] = ACTIONS(1720),
    [anon_sym_COMMA] = ACTIONS(1720),
    [aux_sym_set_statement_token1] = ACTIONS(1720),
    [anon_sym_LPAREN] = ACTIONS(1720),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1720),
    [aux_sym_using_clause_token1] = ACTIONS(1720),
    [aux_sym_return_satement_token1] = ACTIONS(1720),
    [aux_sym_call_statement_token1] = ACTIONS(1720),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1720),
    [aux_sym_if_statement_token1] = ACTIONS(1720),
    [aux_sym_loop_statement_token1] = ACTIONS(1720),
    [aux_sym_repeat_statement_token1] = ACTIONS(1720),
    [aux_sym_while_statement_token1] = ACTIONS(1720),
    [aux_sym_break_statement_token1] = ACTIONS(1720),
    [aux_sym_leave_statement_token1] = ACTIONS(1720),
    [aux_sym_continue_statement_token1] = ACTIONS(1720),
    [aux_sym_iterate_statement_token1] = ACTIONS(1720),
    [aux_sym_raise_statement_token1] = ACTIONS(1720),
    [anon_sym_EQ] = ACTIONS(1720),
    [aux_sym_assert_statement_token1] = ACTIONS(1720),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1720),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1720),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1720),
    [anon_sym_LT] = ACTIONS(1722),
    [anon_sym_GT] = ACTIONS(1722),
    [aux_sym_set_operation_token1] = ACTIONS(1720),
    [aux_sym_set_operation_token3] = ACTIONS(1720),
    [aux_sym_set_operation_token4] = ACTIONS(1722),
    [aux_sym_select_token1] = ACTIONS(1720),
    [aux_sym_having_clause_token1] = ACTIONS(1720),
    [aux_sym_qualify_clause_token1] = ACTIONS(1720),
    [aux_sym_limit_clause_token1] = ACTIONS(1720),
    [aux_sym_group_by_clause_token1] = ACTIONS(1720),
    [aux_sym_order_by_clause_token1] = ACTIONS(1720),
    [aux_sym_where_clause_token1] = ACTIONS(1720),
    [aux_sym_pivot_operator_token1] = ACTIONS(1720),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1720),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1720),
    [aux_sym_join_type_token1] = ACTIONS(1720),
    [aux_sym_join_type_token2] = ACTIONS(1720),
    [aux_sym_join_type_token3] = ACTIONS(1720),
    [aux_sym_join_type_token4] = ACTIONS(1720),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1720),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1720),
    [aux_sym_join_condition_token1] = ACTIONS(1720),
    [aux_sym_insert_statement_token1] = ACTIONS(1720),
    [aux_sym_truncate_statement_token1] = ACTIONS(1720),
    [aux_sym_update_statement_token1] = ACTIONS(1720),
    [aux_sym_merge_statement_token1] = ACTIONS(1720),
    [aux_sym_grant_statement_token1] = ACTIONS(1720),
    [aux_sym_revoke_statement_token1] = ACTIONS(1720),
    [aux_sym_export_data_statement_token1] = ACTIONS(1720),
    [aux_sym_load_data_statement_token1] = ACTIONS(1720),
    [anon_sym_LBRACK] = ACTIONS(1720),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1720),
    [anon_sym_PLUS] = ACTIONS(1720),
    [anon_sym_DASH] = ACTIONS(1722),
    [anon_sym_STAR] = ACTIONS(1720),
    [anon_sym_SLASH] = ACTIONS(1722),
    [anon_sym_PIPE_PIPE] = ACTIONS(1720),
    [anon_sym_LT_EQ] = ACTIONS(1720),
    [anon_sym_LT_GT] = ACTIONS(1720),
    [anon_sym_GT_EQ] = ACTIONS(1720),
    [anon_sym_BANG_EQ] = ACTIONS(1720),
    [anon_sym_LT_LT] = ACTIONS(1720),
    [anon_sym_GT_GT] = ACTIONS(1720),
    [anon_sym_AMP] = ACTIONS(1720),
    [anon_sym_CARET] = ACTIONS(1720),
    [anon_sym_PIPE] = ACTIONS(1722),
  },
  [516] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_window_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_using_clause_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1462),
    [aux_sym_set_operation_token3] = ACTIONS(1462),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_having_clause_token1] = ACTIONS(1462),
    [aux_sym_qualify_clause_token1] = ACTIONS(1462),
    [aux_sym_limit_clause_token1] = ACTIONS(1462),
    [aux_sym_group_by_clause_token1] = ACTIONS(1462),
    [aux_sym_order_by_clause_token1] = ACTIONS(1462),
    [aux_sym_where_clause_token1] = ACTIONS(1462),
    [aux_sym_pivot_operator_token1] = ACTIONS(1462),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1462),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1462),
    [aux_sym_join_type_token1] = ACTIONS(1462),
    [aux_sym_join_type_token2] = ACTIONS(1462),
    [aux_sym_join_type_token3] = ACTIONS(1462),
    [aux_sym_join_type_token4] = ACTIONS(1462),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1462),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1462),
    [aux_sym_join_condition_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [517] = {
    [ts_builtin_sym_end] = ACTIONS(1724),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1724),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1724),
    [aux_sym_keyword_replace_token1] = ACTIONS(1726),
    [aux_sym__keyword_alter_token1] = ACTIONS(1724),
    [aux_sym__keyword_delete_token1] = ACTIONS(1724),
    [aux_sym__keyword_begin_token1] = ACTIONS(1724),
    [aux_sym__keyword_end_token1] = ACTIONS(1724),
    [aux_sym__keyword_between_token1] = ACTIONS(1724),
    [aux_sym__keyword_when_token1] = ACTIONS(1724),
    [aux_sym__keyword_else_token1] = ACTIONS(1726),
    [aux_sym__keyword_is_token1] = ACTIONS(1724),
    [aux_sym__keyword_in_token1] = ACTIONS(1726),
    [aux_sym__keyword_and_token1] = ACTIONS(1724),
    [aux_sym__keyword_like_token1] = ACTIONS(1724),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1724),
    [aux_sym__keyword_window_token1] = ACTIONS(1724),
    [aux_sym__keyword_for_token1] = ACTIONS(1724),
    [anon_sym_SEMI] = ACTIONS(1724),
    [aux_sym_declare_statement_token1] = ACTIONS(1724),
    [anon_sym_COMMA] = ACTIONS(1724),
    [aux_sym_set_statement_token1] = ACTIONS(1724),
    [anon_sym_LPAREN] = ACTIONS(1724),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1724),
    [aux_sym_using_clause_token1] = ACTIONS(1724),
    [aux_sym_return_satement_token1] = ACTIONS(1724),
    [aux_sym_call_statement_token1] = ACTIONS(1724),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1724),
    [aux_sym_if_statement_token1] = ACTIONS(1724),
    [aux_sym_loop_statement_token1] = ACTIONS(1724),
    [aux_sym_repeat_statement_token1] = ACTIONS(1724),
    [aux_sym_while_statement_token1] = ACTIONS(1724),
    [aux_sym_break_statement_token1] = ACTIONS(1724),
    [aux_sym_leave_statement_token1] = ACTIONS(1724),
    [aux_sym_continue_statement_token1] = ACTIONS(1724),
    [aux_sym_iterate_statement_token1] = ACTIONS(1724),
    [aux_sym_raise_statement_token1] = ACTIONS(1724),
    [anon_sym_EQ] = ACTIONS(1724),
    [aux_sym_assert_statement_token1] = ACTIONS(1724),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1724),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1724),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1724),
    [anon_sym_LT] = ACTIONS(1726),
    [anon_sym_GT] = ACTIONS(1726),
    [aux_sym_set_operation_token1] = ACTIONS(1724),
    [aux_sym_set_operation_token3] = ACTIONS(1724),
    [aux_sym_set_operation_token4] = ACTIONS(1726),
    [aux_sym_select_token1] = ACTIONS(1724),
    [aux_sym_having_clause_token1] = ACTIONS(1724),
    [aux_sym_qualify_clause_token1] = ACTIONS(1724),
    [aux_sym_limit_clause_token1] = ACTIONS(1724),
    [aux_sym_group_by_clause_token1] = ACTIONS(1724),
    [aux_sym_order_by_clause_token1] = ACTIONS(1724),
    [aux_sym_where_clause_token1] = ACTIONS(1724),
    [aux_sym_pivot_operator_token1] = ACTIONS(1724),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1724),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1724),
    [aux_sym_join_type_token1] = ACTIONS(1724),
    [aux_sym_join_type_token2] = ACTIONS(1724),
    [aux_sym_join_type_token3] = ACTIONS(1724),
    [aux_sym_join_type_token4] = ACTIONS(1724),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1724),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1724),
    [aux_sym_join_condition_token1] = ACTIONS(1724),
    [aux_sym_insert_statement_token1] = ACTIONS(1724),
    [aux_sym_truncate_statement_token1] = ACTIONS(1724),
    [aux_sym_update_statement_token1] = ACTIONS(1724),
    [aux_sym_merge_statement_token1] = ACTIONS(1724),
    [aux_sym_grant_statement_token1] = ACTIONS(1724),
    [aux_sym_revoke_statement_token1] = ACTIONS(1724),
    [aux_sym_export_data_statement_token1] = ACTIONS(1724),
    [aux_sym_load_data_statement_token1] = ACTIONS(1724),
    [anon_sym_LBRACK] = ACTIONS(1724),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_DASH] = ACTIONS(1726),
    [anon_sym_STAR] = ACTIONS(1724),
    [anon_sym_SLASH] = ACTIONS(1726),
    [anon_sym_PIPE_PIPE] = ACTIONS(1724),
    [anon_sym_LT_EQ] = ACTIONS(1724),
    [anon_sym_LT_GT] = ACTIONS(1724),
    [anon_sym_GT_EQ] = ACTIONS(1724),
    [anon_sym_BANG_EQ] = ACTIONS(1724),
    [anon_sym_LT_LT] = ACTIONS(1724),
    [anon_sym_GT_GT] = ACTIONS(1724),
    [anon_sym_AMP] = ACTIONS(1724),
    [anon_sym_CARET] = ACTIONS(1724),
    [anon_sym_PIPE] = ACTIONS(1726),
  },
  [518] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_where_clause_token1] = ACTIONS(1364),
    [aux_sym_pivot_operator_token1] = ACTIONS(1364),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1364),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1364),
    [aux_sym_join_type_token1] = ACTIONS(1364),
    [aux_sym_join_type_token2] = ACTIONS(1364),
    [aux_sym_join_type_token3] = ACTIONS(1364),
    [aux_sym_join_type_token4] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1364),
    [aux_sym_join_condition_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [519] = {
    [ts_builtin_sym_end] = ACTIONS(1728),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1728),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1728),
    [aux_sym_keyword_replace_token1] = ACTIONS(1730),
    [aux_sym__keyword_alter_token1] = ACTIONS(1728),
    [aux_sym__keyword_delete_token1] = ACTIONS(1728),
    [aux_sym__keyword_begin_token1] = ACTIONS(1728),
    [aux_sym__keyword_end_token1] = ACTIONS(1728),
    [aux_sym__keyword_between_token1] = ACTIONS(1728),
    [aux_sym__keyword_when_token1] = ACTIONS(1728),
    [aux_sym__keyword_else_token1] = ACTIONS(1730),
    [aux_sym__keyword_is_token1] = ACTIONS(1728),
    [aux_sym__keyword_in_token1] = ACTIONS(1730),
    [aux_sym__keyword_and_token1] = ACTIONS(1728),
    [aux_sym__keyword_like_token1] = ACTIONS(1728),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1728),
    [aux_sym__keyword_window_token1] = ACTIONS(1728),
    [aux_sym__keyword_for_token1] = ACTIONS(1728),
    [anon_sym_SEMI] = ACTIONS(1728),
    [aux_sym_declare_statement_token1] = ACTIONS(1728),
    [anon_sym_COMMA] = ACTIONS(1728),
    [aux_sym_set_statement_token1] = ACTIONS(1728),
    [anon_sym_LPAREN] = ACTIONS(1728),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1728),
    [aux_sym_using_clause_token1] = ACTIONS(1728),
    [aux_sym_return_satement_token1] = ACTIONS(1728),
    [aux_sym_call_statement_token1] = ACTIONS(1728),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1728),
    [aux_sym_if_statement_token1] = ACTIONS(1728),
    [aux_sym_loop_statement_token1] = ACTIONS(1728),
    [aux_sym_repeat_statement_token1] = ACTIONS(1728),
    [aux_sym_while_statement_token1] = ACTIONS(1728),
    [aux_sym_break_statement_token1] = ACTIONS(1728),
    [aux_sym_leave_statement_token1] = ACTIONS(1728),
    [aux_sym_continue_statement_token1] = ACTIONS(1728),
    [aux_sym_iterate_statement_token1] = ACTIONS(1728),
    [aux_sym_raise_statement_token1] = ACTIONS(1728),
    [anon_sym_EQ] = ACTIONS(1728),
    [aux_sym_assert_statement_token1] = ACTIONS(1728),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1728),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1728),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1728),
    [anon_sym_LT] = ACTIONS(1730),
    [anon_sym_GT] = ACTIONS(1730),
    [aux_sym_set_operation_token1] = ACTIONS(1728),
    [aux_sym_set_operation_token3] = ACTIONS(1728),
    [aux_sym_set_operation_token4] = ACTIONS(1730),
    [aux_sym_select_token1] = ACTIONS(1728),
    [aux_sym_having_clause_token1] = ACTIONS(1728),
    [aux_sym_qualify_clause_token1] = ACTIONS(1728),
    [aux_sym_limit_clause_token1] = ACTIONS(1728),
    [aux_sym_group_by_clause_token1] = ACTIONS(1728),
    [aux_sym_order_by_clause_token1] = ACTIONS(1728),
    [aux_sym_where_clause_token1] = ACTIONS(1728),
    [aux_sym_pivot_operator_token1] = ACTIONS(1728),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1728),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1728),
    [aux_sym_join_type_token1] = ACTIONS(1728),
    [aux_sym_join_type_token2] = ACTIONS(1728),
    [aux_sym_join_type_token3] = ACTIONS(1728),
    [aux_sym_join_type_token4] = ACTIONS(1728),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1728),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1728),
    [aux_sym_join_condition_token1] = ACTIONS(1728),
    [aux_sym_insert_statement_token1] = ACTIONS(1728),
    [aux_sym_truncate_statement_token1] = ACTIONS(1728),
    [aux_sym_update_statement_token1] = ACTIONS(1728),
    [aux_sym_merge_statement_token1] = ACTIONS(1728),
    [aux_sym_grant_statement_token1] = ACTIONS(1728),
    [aux_sym_revoke_statement_token1] = ACTIONS(1728),
    [aux_sym_export_data_statement_token1] = ACTIONS(1728),
    [aux_sym_load_data_statement_token1] = ACTIONS(1728),
    [anon_sym_LBRACK] = ACTIONS(1728),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1728),
    [anon_sym_DASH] = ACTIONS(1730),
    [anon_sym_STAR] = ACTIONS(1728),
    [anon_sym_SLASH] = ACTIONS(1730),
    [anon_sym_PIPE_PIPE] = ACTIONS(1728),
    [anon_sym_LT_EQ] = ACTIONS(1728),
    [anon_sym_LT_GT] = ACTIONS(1728),
    [anon_sym_GT_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ] = ACTIONS(1728),
    [anon_sym_LT_LT] = ACTIONS(1728),
    [anon_sym_GT_GT] = ACTIONS(1728),
    [anon_sym_AMP] = ACTIONS(1728),
    [anon_sym_CARET] = ACTIONS(1728),
    [anon_sym_PIPE] = ACTIONS(1730),
  },
  [520] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_window_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_using_clause_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1462),
    [aux_sym_set_operation_token3] = ACTIONS(1462),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_having_clause_token1] = ACTIONS(1462),
    [aux_sym_qualify_clause_token1] = ACTIONS(1462),
    [aux_sym_limit_clause_token1] = ACTIONS(1462),
    [aux_sym_group_by_clause_token1] = ACTIONS(1462),
    [aux_sym_order_by_clause_token1] = ACTIONS(1462),
    [aux_sym_where_clause_token1] = ACTIONS(1462),
    [aux_sym_pivot_operator_token1] = ACTIONS(1462),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1462),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1462),
    [aux_sym_join_type_token1] = ACTIONS(1462),
    [aux_sym_join_type_token2] = ACTIONS(1462),
    [aux_sym_join_type_token3] = ACTIONS(1462),
    [aux_sym_join_type_token4] = ACTIONS(1462),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1462),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1462),
    [aux_sym_join_condition_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [521] = {
    [ts_builtin_sym_end] = ACTIONS(1732),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1732),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1732),
    [aux_sym_keyword_replace_token1] = ACTIONS(1734),
    [aux_sym__keyword_alter_token1] = ACTIONS(1732),
    [aux_sym__keyword_delete_token1] = ACTIONS(1732),
    [aux_sym__keyword_begin_token1] = ACTIONS(1732),
    [aux_sym__keyword_end_token1] = ACTIONS(1732),
    [aux_sym__keyword_between_token1] = ACTIONS(1732),
    [aux_sym__keyword_when_token1] = ACTIONS(1732),
    [aux_sym__keyword_else_token1] = ACTIONS(1734),
    [aux_sym__keyword_is_token1] = ACTIONS(1732),
    [aux_sym__keyword_in_token1] = ACTIONS(1734),
    [aux_sym__keyword_and_token1] = ACTIONS(1732),
    [aux_sym__keyword_like_token1] = ACTIONS(1732),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1732),
    [aux_sym__keyword_window_token1] = ACTIONS(1732),
    [aux_sym__keyword_for_token1] = ACTIONS(1732),
    [anon_sym_SEMI] = ACTIONS(1732),
    [aux_sym_declare_statement_token1] = ACTIONS(1732),
    [anon_sym_COMMA] = ACTIONS(1732),
    [aux_sym_set_statement_token1] = ACTIONS(1732),
    [anon_sym_LPAREN] = ACTIONS(1732),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1732),
    [aux_sym_using_clause_token1] = ACTIONS(1732),
    [aux_sym_return_satement_token1] = ACTIONS(1732),
    [aux_sym_call_statement_token1] = ACTIONS(1732),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1732),
    [aux_sym_if_statement_token1] = ACTIONS(1732),
    [aux_sym_loop_statement_token1] = ACTIONS(1732),
    [aux_sym_repeat_statement_token1] = ACTIONS(1732),
    [aux_sym_while_statement_token1] = ACTIONS(1732),
    [aux_sym_break_statement_token1] = ACTIONS(1732),
    [aux_sym_leave_statement_token1] = ACTIONS(1732),
    [aux_sym_continue_statement_token1] = ACTIONS(1732),
    [aux_sym_iterate_statement_token1] = ACTIONS(1732),
    [aux_sym_raise_statement_token1] = ACTIONS(1732),
    [anon_sym_EQ] = ACTIONS(1732),
    [aux_sym_assert_statement_token1] = ACTIONS(1732),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1732),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1732),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1732),
    [anon_sym_LT] = ACTIONS(1734),
    [anon_sym_GT] = ACTIONS(1734),
    [aux_sym_set_operation_token1] = ACTIONS(1732),
    [aux_sym_set_operation_token3] = ACTIONS(1732),
    [aux_sym_set_operation_token4] = ACTIONS(1734),
    [aux_sym_select_token1] = ACTIONS(1732),
    [aux_sym_having_clause_token1] = ACTIONS(1732),
    [aux_sym_qualify_clause_token1] = ACTIONS(1732),
    [aux_sym_limit_clause_token1] = ACTIONS(1732),
    [aux_sym_group_by_clause_token1] = ACTIONS(1732),
    [aux_sym_order_by_clause_token1] = ACTIONS(1732),
    [aux_sym_where_clause_token1] = ACTIONS(1732),
    [aux_sym_pivot_operator_token1] = ACTIONS(1732),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1732),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1732),
    [aux_sym_join_type_token1] = ACTIONS(1732),
    [aux_sym_join_type_token2] = ACTIONS(1732),
    [aux_sym_join_type_token3] = ACTIONS(1732),
    [aux_sym_join_type_token4] = ACTIONS(1732),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1732),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1732),
    [aux_sym_join_condition_token1] = ACTIONS(1732),
    [aux_sym_insert_statement_token1] = ACTIONS(1732),
    [aux_sym_truncate_statement_token1] = ACTIONS(1732),
    [aux_sym_update_statement_token1] = ACTIONS(1732),
    [aux_sym_merge_statement_token1] = ACTIONS(1732),
    [aux_sym_grant_statement_token1] = ACTIONS(1732),
    [aux_sym_revoke_statement_token1] = ACTIONS(1732),
    [aux_sym_export_data_statement_token1] = ACTIONS(1732),
    [aux_sym_load_data_statement_token1] = ACTIONS(1732),
    [anon_sym_LBRACK] = ACTIONS(1732),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1732),
    [anon_sym_PLUS] = ACTIONS(1732),
    [anon_sym_DASH] = ACTIONS(1734),
    [anon_sym_STAR] = ACTIONS(1732),
    [anon_sym_SLASH] = ACTIONS(1734),
    [anon_sym_PIPE_PIPE] = ACTIONS(1732),
    [anon_sym_LT_EQ] = ACTIONS(1732),
    [anon_sym_LT_GT] = ACTIONS(1732),
    [anon_sym_GT_EQ] = ACTIONS(1732),
    [anon_sym_BANG_EQ] = ACTIONS(1732),
    [anon_sym_LT_LT] = ACTIONS(1732),
    [anon_sym_GT_GT] = ACTIONS(1732),
    [anon_sym_AMP] = ACTIONS(1732),
    [anon_sym_CARET] = ACTIONS(1732),
    [anon_sym_PIPE] = ACTIONS(1734),
  },
  [522] = {
    [ts_builtin_sym_end] = ACTIONS(1736),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1736),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1736),
    [aux_sym_keyword_replace_token1] = ACTIONS(1738),
    [aux_sym__keyword_alter_token1] = ACTIONS(1736),
    [aux_sym__keyword_delete_token1] = ACTIONS(1736),
    [aux_sym__keyword_begin_token1] = ACTIONS(1736),
    [aux_sym__keyword_end_token1] = ACTIONS(1736),
    [aux_sym__keyword_between_token1] = ACTIONS(1736),
    [aux_sym__keyword_when_token1] = ACTIONS(1736),
    [aux_sym__keyword_else_token1] = ACTIONS(1738),
    [aux_sym__keyword_is_token1] = ACTIONS(1736),
    [aux_sym__keyword_in_token1] = ACTIONS(1738),
    [aux_sym__keyword_and_token1] = ACTIONS(1736),
    [aux_sym__keyword_like_token1] = ACTIONS(1736),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1736),
    [aux_sym__keyword_window_token1] = ACTIONS(1736),
    [aux_sym__keyword_for_token1] = ACTIONS(1736),
    [anon_sym_SEMI] = ACTIONS(1736),
    [aux_sym_declare_statement_token1] = ACTIONS(1736),
    [anon_sym_COMMA] = ACTIONS(1736),
    [aux_sym_set_statement_token1] = ACTIONS(1736),
    [anon_sym_LPAREN] = ACTIONS(1736),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1736),
    [aux_sym_using_clause_token1] = ACTIONS(1736),
    [aux_sym_return_satement_token1] = ACTIONS(1736),
    [aux_sym_call_statement_token1] = ACTIONS(1736),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1736),
    [aux_sym_if_statement_token1] = ACTIONS(1736),
    [aux_sym_loop_statement_token1] = ACTIONS(1736),
    [aux_sym_repeat_statement_token1] = ACTIONS(1736),
    [aux_sym_while_statement_token1] = ACTIONS(1736),
    [aux_sym_break_statement_token1] = ACTIONS(1736),
    [aux_sym_leave_statement_token1] = ACTIONS(1736),
    [aux_sym_continue_statement_token1] = ACTIONS(1736),
    [aux_sym_iterate_statement_token1] = ACTIONS(1736),
    [aux_sym_raise_statement_token1] = ACTIONS(1736),
    [anon_sym_EQ] = ACTIONS(1736),
    [aux_sym_assert_statement_token1] = ACTIONS(1736),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1736),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1736),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1736),
    [anon_sym_LT] = ACTIONS(1738),
    [anon_sym_GT] = ACTIONS(1738),
    [aux_sym_set_operation_token1] = ACTIONS(1736),
    [aux_sym_set_operation_token3] = ACTIONS(1736),
    [aux_sym_set_operation_token4] = ACTIONS(1738),
    [aux_sym_select_token1] = ACTIONS(1736),
    [aux_sym_having_clause_token1] = ACTIONS(1736),
    [aux_sym_qualify_clause_token1] = ACTIONS(1736),
    [aux_sym_limit_clause_token1] = ACTIONS(1736),
    [aux_sym_group_by_clause_token1] = ACTIONS(1736),
    [aux_sym_order_by_clause_token1] = ACTIONS(1736),
    [aux_sym_where_clause_token1] = ACTIONS(1736),
    [aux_sym_pivot_operator_token1] = ACTIONS(1736),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1736),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1736),
    [aux_sym_join_type_token1] = ACTIONS(1736),
    [aux_sym_join_type_token2] = ACTIONS(1736),
    [aux_sym_join_type_token3] = ACTIONS(1736),
    [aux_sym_join_type_token4] = ACTIONS(1736),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1736),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1736),
    [aux_sym_join_condition_token1] = ACTIONS(1736),
    [aux_sym_insert_statement_token1] = ACTIONS(1736),
    [aux_sym_truncate_statement_token1] = ACTIONS(1736),
    [aux_sym_update_statement_token1] = ACTIONS(1736),
    [aux_sym_merge_statement_token1] = ACTIONS(1736),
    [aux_sym_grant_statement_token1] = ACTIONS(1736),
    [aux_sym_revoke_statement_token1] = ACTIONS(1736),
    [aux_sym_export_data_statement_token1] = ACTIONS(1736),
    [aux_sym_load_data_statement_token1] = ACTIONS(1736),
    [anon_sym_LBRACK] = ACTIONS(1736),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1736),
    [anon_sym_PLUS] = ACTIONS(1736),
    [anon_sym_DASH] = ACTIONS(1738),
    [anon_sym_STAR] = ACTIONS(1736),
    [anon_sym_SLASH] = ACTIONS(1738),
    [anon_sym_PIPE_PIPE] = ACTIONS(1736),
    [anon_sym_LT_EQ] = ACTIONS(1736),
    [anon_sym_LT_GT] = ACTIONS(1736),
    [anon_sym_GT_EQ] = ACTIONS(1736),
    [anon_sym_BANG_EQ] = ACTIONS(1736),
    [anon_sym_LT_LT] = ACTIONS(1736),
    [anon_sym_GT_GT] = ACTIONS(1736),
    [anon_sym_AMP] = ACTIONS(1736),
    [anon_sym_CARET] = ACTIONS(1736),
    [anon_sym_PIPE] = ACTIONS(1738),
  },
  [523] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_window_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_using_clause_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1462),
    [aux_sym_set_operation_token3] = ACTIONS(1462),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_having_clause_token1] = ACTIONS(1462),
    [aux_sym_qualify_clause_token1] = ACTIONS(1462),
    [aux_sym_limit_clause_token1] = ACTIONS(1462),
    [aux_sym_group_by_clause_token1] = ACTIONS(1462),
    [aux_sym_order_by_clause_token1] = ACTIONS(1462),
    [aux_sym_where_clause_token1] = ACTIONS(1462),
    [aux_sym_pivot_operator_token1] = ACTIONS(1462),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1462),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1462),
    [aux_sym_join_type_token1] = ACTIONS(1462),
    [aux_sym_join_type_token2] = ACTIONS(1462),
    [aux_sym_join_type_token3] = ACTIONS(1462),
    [aux_sym_join_type_token4] = ACTIONS(1462),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1462),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1462),
    [aux_sym_join_condition_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [524] = {
    [ts_builtin_sym_end] = ACTIONS(1740),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1740),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1740),
    [aux_sym_keyword_replace_token1] = ACTIONS(1742),
    [aux_sym__keyword_alter_token1] = ACTIONS(1740),
    [aux_sym__keyword_delete_token1] = ACTIONS(1740),
    [aux_sym__keyword_begin_token1] = ACTIONS(1740),
    [aux_sym__keyword_end_token1] = ACTIONS(1740),
    [aux_sym__keyword_between_token1] = ACTIONS(1740),
    [aux_sym__keyword_when_token1] = ACTIONS(1740),
    [aux_sym__keyword_else_token1] = ACTIONS(1742),
    [aux_sym__keyword_is_token1] = ACTIONS(1740),
    [aux_sym__keyword_in_token1] = ACTIONS(1742),
    [aux_sym__keyword_and_token1] = ACTIONS(1740),
    [aux_sym__keyword_like_token1] = ACTIONS(1740),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1740),
    [aux_sym__keyword_window_token1] = ACTIONS(1740),
    [aux_sym__keyword_for_token1] = ACTIONS(1740),
    [anon_sym_SEMI] = ACTIONS(1740),
    [aux_sym_declare_statement_token1] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1740),
    [aux_sym_set_statement_token1] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1740),
    [aux_sym_using_clause_token1] = ACTIONS(1740),
    [aux_sym_return_satement_token1] = ACTIONS(1740),
    [aux_sym_call_statement_token1] = ACTIONS(1740),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1740),
    [aux_sym_if_statement_token1] = ACTIONS(1740),
    [aux_sym_loop_statement_token1] = ACTIONS(1740),
    [aux_sym_repeat_statement_token1] = ACTIONS(1740),
    [aux_sym_while_statement_token1] = ACTIONS(1740),
    [aux_sym_break_statement_token1] = ACTIONS(1740),
    [aux_sym_leave_statement_token1] = ACTIONS(1740),
    [aux_sym_continue_statement_token1] = ACTIONS(1740),
    [aux_sym_iterate_statement_token1] = ACTIONS(1740),
    [aux_sym_raise_statement_token1] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1740),
    [aux_sym_assert_statement_token1] = ACTIONS(1740),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1740),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1740),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1740),
    [anon_sym_LT] = ACTIONS(1742),
    [anon_sym_GT] = ACTIONS(1742),
    [aux_sym_set_operation_token1] = ACTIONS(1740),
    [aux_sym_set_operation_token3] = ACTIONS(1740),
    [aux_sym_set_operation_token4] = ACTIONS(1742),
    [aux_sym_select_token1] = ACTIONS(1740),
    [aux_sym_having_clause_token1] = ACTIONS(1740),
    [aux_sym_qualify_clause_token1] = ACTIONS(1740),
    [aux_sym_limit_clause_token1] = ACTIONS(1740),
    [aux_sym_group_by_clause_token1] = ACTIONS(1740),
    [aux_sym_order_by_clause_token1] = ACTIONS(1740),
    [aux_sym_where_clause_token1] = ACTIONS(1740),
    [aux_sym_pivot_operator_token1] = ACTIONS(1740),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1740),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1740),
    [aux_sym_join_type_token1] = ACTIONS(1740),
    [aux_sym_join_type_token2] = ACTIONS(1740),
    [aux_sym_join_type_token3] = ACTIONS(1740),
    [aux_sym_join_type_token4] = ACTIONS(1740),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1740),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1740),
    [aux_sym_join_condition_token1] = ACTIONS(1740),
    [aux_sym_insert_statement_token1] = ACTIONS(1740),
    [aux_sym_truncate_statement_token1] = ACTIONS(1740),
    [aux_sym_update_statement_token1] = ACTIONS(1740),
    [aux_sym_merge_statement_token1] = ACTIONS(1740),
    [aux_sym_grant_statement_token1] = ACTIONS(1740),
    [aux_sym_revoke_statement_token1] = ACTIONS(1740),
    [aux_sym_export_data_statement_token1] = ACTIONS(1740),
    [aux_sym_load_data_statement_token1] = ACTIONS(1740),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1740),
    [anon_sym_SLASH] = ACTIONS(1742),
    [anon_sym_PIPE_PIPE] = ACTIONS(1740),
    [anon_sym_LT_EQ] = ACTIONS(1740),
    [anon_sym_LT_GT] = ACTIONS(1740),
    [anon_sym_GT_EQ] = ACTIONS(1740),
    [anon_sym_BANG_EQ] = ACTIONS(1740),
    [anon_sym_LT_LT] = ACTIONS(1740),
    [anon_sym_GT_GT] = ACTIONS(1740),
    [anon_sym_AMP] = ACTIONS(1740),
    [anon_sym_CARET] = ACTIONS(1740),
    [anon_sym_PIPE] = ACTIONS(1742),
  },
  [525] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_where_clause_token1] = ACTIONS(1364),
    [aux_sym_pivot_operator_token1] = ACTIONS(1364),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1364),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1364),
    [aux_sym_join_type_token1] = ACTIONS(1364),
    [aux_sym_join_type_token2] = ACTIONS(1364),
    [aux_sym_join_type_token3] = ACTIONS(1364),
    [aux_sym_join_type_token4] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1364),
    [aux_sym_join_condition_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [526] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_where_clause_token1] = ACTIONS(1364),
    [aux_sym_pivot_operator_token1] = ACTIONS(1364),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1364),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1364),
    [aux_sym_join_type_token1] = ACTIONS(1364),
    [aux_sym_join_type_token2] = ACTIONS(1364),
    [aux_sym_join_type_token3] = ACTIONS(1364),
    [aux_sym_join_type_token4] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1364),
    [aux_sym_join_condition_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [527] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_window_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_using_clause_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1462),
    [aux_sym_set_operation_token3] = ACTIONS(1462),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_having_clause_token1] = ACTIONS(1462),
    [aux_sym_qualify_clause_token1] = ACTIONS(1462),
    [aux_sym_limit_clause_token1] = ACTIONS(1462),
    [aux_sym_group_by_clause_token1] = ACTIONS(1462),
    [aux_sym_order_by_clause_token1] = ACTIONS(1462),
    [aux_sym_where_clause_token1] = ACTIONS(1462),
    [aux_sym_pivot_operator_token1] = ACTIONS(1462),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1462),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1462),
    [aux_sym_join_type_token1] = ACTIONS(1462),
    [aux_sym_join_type_token2] = ACTIONS(1462),
    [aux_sym_join_type_token3] = ACTIONS(1462),
    [aux_sym_join_type_token4] = ACTIONS(1462),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1462),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1462),
    [aux_sym_join_condition_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [528] = {
    [ts_builtin_sym_end] = ACTIONS(1744),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1744),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1744),
    [aux_sym_keyword_replace_token1] = ACTIONS(1746),
    [aux_sym__keyword_alter_token1] = ACTIONS(1744),
    [aux_sym__keyword_delete_token1] = ACTIONS(1744),
    [aux_sym__keyword_begin_token1] = ACTIONS(1744),
    [aux_sym__keyword_end_token1] = ACTIONS(1744),
    [aux_sym__keyword_between_token1] = ACTIONS(1744),
    [aux_sym__keyword_when_token1] = ACTIONS(1744),
    [aux_sym__keyword_else_token1] = ACTIONS(1746),
    [aux_sym__keyword_is_token1] = ACTIONS(1744),
    [aux_sym__keyword_in_token1] = ACTIONS(1746),
    [aux_sym__keyword_and_token1] = ACTIONS(1744),
    [aux_sym__keyword_like_token1] = ACTIONS(1744),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1744),
    [aux_sym__keyword_window_token1] = ACTIONS(1744),
    [aux_sym__keyword_for_token1] = ACTIONS(1744),
    [anon_sym_SEMI] = ACTIONS(1744),
    [aux_sym_declare_statement_token1] = ACTIONS(1744),
    [anon_sym_COMMA] = ACTIONS(1744),
    [aux_sym_set_statement_token1] = ACTIONS(1744),
    [anon_sym_LPAREN] = ACTIONS(1744),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1744),
    [aux_sym_using_clause_token1] = ACTIONS(1744),
    [aux_sym_return_satement_token1] = ACTIONS(1744),
    [aux_sym_call_statement_token1] = ACTIONS(1744),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1744),
    [aux_sym_if_statement_token1] = ACTIONS(1744),
    [aux_sym_loop_statement_token1] = ACTIONS(1744),
    [aux_sym_repeat_statement_token1] = ACTIONS(1744),
    [aux_sym_while_statement_token1] = ACTIONS(1744),
    [aux_sym_break_statement_token1] = ACTIONS(1744),
    [aux_sym_leave_statement_token1] = ACTIONS(1744),
    [aux_sym_continue_statement_token1] = ACTIONS(1744),
    [aux_sym_iterate_statement_token1] = ACTIONS(1744),
    [aux_sym_raise_statement_token1] = ACTIONS(1744),
    [anon_sym_EQ] = ACTIONS(1744),
    [aux_sym_assert_statement_token1] = ACTIONS(1744),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1744),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1744),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1744),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1746),
    [aux_sym_set_operation_token1] = ACTIONS(1744),
    [aux_sym_set_operation_token3] = ACTIONS(1744),
    [aux_sym_set_operation_token4] = ACTIONS(1746),
    [aux_sym_select_token1] = ACTIONS(1744),
    [aux_sym_having_clause_token1] = ACTIONS(1744),
    [aux_sym_qualify_clause_token1] = ACTIONS(1744),
    [aux_sym_limit_clause_token1] = ACTIONS(1744),
    [aux_sym_group_by_clause_token1] = ACTIONS(1744),
    [aux_sym_order_by_clause_token1] = ACTIONS(1744),
    [aux_sym_where_clause_token1] = ACTIONS(1744),
    [aux_sym_pivot_operator_token1] = ACTIONS(1744),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1744),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1744),
    [aux_sym_join_type_token1] = ACTIONS(1744),
    [aux_sym_join_type_token2] = ACTIONS(1744),
    [aux_sym_join_type_token3] = ACTIONS(1744),
    [aux_sym_join_type_token4] = ACTIONS(1744),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1744),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1744),
    [aux_sym_join_condition_token1] = ACTIONS(1744),
    [aux_sym_insert_statement_token1] = ACTIONS(1744),
    [aux_sym_truncate_statement_token1] = ACTIONS(1744),
    [aux_sym_update_statement_token1] = ACTIONS(1744),
    [aux_sym_merge_statement_token1] = ACTIONS(1744),
    [aux_sym_grant_statement_token1] = ACTIONS(1744),
    [aux_sym_revoke_statement_token1] = ACTIONS(1744),
    [aux_sym_export_data_statement_token1] = ACTIONS(1744),
    [aux_sym_load_data_statement_token1] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(1744),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1744),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_STAR] = ACTIONS(1744),
    [anon_sym_SLASH] = ACTIONS(1746),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_LT_GT] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1744),
    [anon_sym_GT_GT] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1746),
  },
  [529] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_window_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_using_clause_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1462),
    [aux_sym_set_operation_token3] = ACTIONS(1462),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_having_clause_token1] = ACTIONS(1462),
    [aux_sym_qualify_clause_token1] = ACTIONS(1462),
    [aux_sym_limit_clause_token1] = ACTIONS(1462),
    [aux_sym_group_by_clause_token1] = ACTIONS(1462),
    [aux_sym_order_by_clause_token1] = ACTIONS(1462),
    [aux_sym_where_clause_token1] = ACTIONS(1462),
    [aux_sym_pivot_operator_token1] = ACTIONS(1462),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1462),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1462),
    [aux_sym_join_type_token1] = ACTIONS(1462),
    [aux_sym_join_type_token2] = ACTIONS(1462),
    [aux_sym_join_type_token3] = ACTIONS(1462),
    [aux_sym_join_type_token4] = ACTIONS(1462),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1462),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1462),
    [aux_sym_join_condition_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [530] = {
    [ts_builtin_sym_end] = ACTIONS(1748),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1748),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1748),
    [aux_sym_keyword_replace_token1] = ACTIONS(1750),
    [aux_sym__keyword_alter_token1] = ACTIONS(1748),
    [aux_sym__keyword_delete_token1] = ACTIONS(1748),
    [aux_sym__keyword_begin_token1] = ACTIONS(1748),
    [aux_sym__keyword_end_token1] = ACTIONS(1748),
    [aux_sym__keyword_between_token1] = ACTIONS(1748),
    [aux_sym__keyword_when_token1] = ACTIONS(1748),
    [aux_sym__keyword_else_token1] = ACTIONS(1750),
    [aux_sym__keyword_is_token1] = ACTIONS(1748),
    [aux_sym__keyword_in_token1] = ACTIONS(1750),
    [aux_sym__keyword_and_token1] = ACTIONS(1748),
    [aux_sym__keyword_like_token1] = ACTIONS(1748),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1748),
    [aux_sym__keyword_window_token1] = ACTIONS(1748),
    [aux_sym__keyword_for_token1] = ACTIONS(1748),
    [anon_sym_SEMI] = ACTIONS(1748),
    [aux_sym_declare_statement_token1] = ACTIONS(1748),
    [anon_sym_COMMA] = ACTIONS(1748),
    [aux_sym_set_statement_token1] = ACTIONS(1748),
    [anon_sym_LPAREN] = ACTIONS(1748),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1748),
    [aux_sym_using_clause_token1] = ACTIONS(1748),
    [aux_sym_return_satement_token1] = ACTIONS(1748),
    [aux_sym_call_statement_token1] = ACTIONS(1748),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1748),
    [aux_sym_if_statement_token1] = ACTIONS(1748),
    [aux_sym_loop_statement_token1] = ACTIONS(1748),
    [aux_sym_repeat_statement_token1] = ACTIONS(1748),
    [aux_sym_while_statement_token1] = ACTIONS(1748),
    [aux_sym_break_statement_token1] = ACTIONS(1748),
    [aux_sym_leave_statement_token1] = ACTIONS(1748),
    [aux_sym_continue_statement_token1] = ACTIONS(1748),
    [aux_sym_iterate_statement_token1] = ACTIONS(1748),
    [aux_sym_raise_statement_token1] = ACTIONS(1748),
    [anon_sym_EQ] = ACTIONS(1748),
    [aux_sym_assert_statement_token1] = ACTIONS(1748),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1748),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1748),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1748),
    [anon_sym_LT] = ACTIONS(1750),
    [anon_sym_GT] = ACTIONS(1750),
    [aux_sym_set_operation_token1] = ACTIONS(1748),
    [aux_sym_set_operation_token3] = ACTIONS(1748),
    [aux_sym_set_operation_token4] = ACTIONS(1750),
    [aux_sym_select_token1] = ACTIONS(1748),
    [aux_sym_having_clause_token1] = ACTIONS(1748),
    [aux_sym_qualify_clause_token1] = ACTIONS(1748),
    [aux_sym_limit_clause_token1] = ACTIONS(1748),
    [aux_sym_group_by_clause_token1] = ACTIONS(1748),
    [aux_sym_order_by_clause_token1] = ACTIONS(1748),
    [aux_sym_where_clause_token1] = ACTIONS(1748),
    [aux_sym_pivot_operator_token1] = ACTIONS(1748),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1748),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1748),
    [aux_sym_join_type_token1] = ACTIONS(1748),
    [aux_sym_join_type_token2] = ACTIONS(1748),
    [aux_sym_join_type_token3] = ACTIONS(1748),
    [aux_sym_join_type_token4] = ACTIONS(1748),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1748),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1748),
    [aux_sym_join_condition_token1] = ACTIONS(1748),
    [aux_sym_insert_statement_token1] = ACTIONS(1748),
    [aux_sym_truncate_statement_token1] = ACTIONS(1748),
    [aux_sym_update_statement_token1] = ACTIONS(1748),
    [aux_sym_merge_statement_token1] = ACTIONS(1748),
    [aux_sym_grant_statement_token1] = ACTIONS(1748),
    [aux_sym_revoke_statement_token1] = ACTIONS(1748),
    [aux_sym_export_data_statement_token1] = ACTIONS(1748),
    [aux_sym_load_data_statement_token1] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(1748),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1748),
    [anon_sym_PLUS] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1750),
    [anon_sym_STAR] = ACTIONS(1748),
    [anon_sym_SLASH] = ACTIONS(1750),
    [anon_sym_PIPE_PIPE] = ACTIONS(1748),
    [anon_sym_LT_EQ] = ACTIONS(1748),
    [anon_sym_LT_GT] = ACTIONS(1748),
    [anon_sym_GT_EQ] = ACTIONS(1748),
    [anon_sym_BANG_EQ] = ACTIONS(1748),
    [anon_sym_LT_LT] = ACTIONS(1748),
    [anon_sym_GT_GT] = ACTIONS(1748),
    [anon_sym_AMP] = ACTIONS(1748),
    [anon_sym_CARET] = ACTIONS(1748),
    [anon_sym_PIPE] = ACTIONS(1750),
  },
  [531] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_window_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_using_clause_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1462),
    [aux_sym_set_operation_token3] = ACTIONS(1462),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_having_clause_token1] = ACTIONS(1462),
    [aux_sym_qualify_clause_token1] = ACTIONS(1462),
    [aux_sym_limit_clause_token1] = ACTIONS(1462),
    [aux_sym_group_by_clause_token1] = ACTIONS(1462),
    [aux_sym_order_by_clause_token1] = ACTIONS(1462),
    [aux_sym_where_clause_token1] = ACTIONS(1462),
    [aux_sym_pivot_operator_token1] = ACTIONS(1462),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1462),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1462),
    [aux_sym_join_type_token1] = ACTIONS(1462),
    [aux_sym_join_type_token2] = ACTIONS(1462),
    [aux_sym_join_type_token3] = ACTIONS(1462),
    [aux_sym_join_type_token4] = ACTIONS(1462),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1462),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1462),
    [aux_sym_join_condition_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [532] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_window_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_using_clause_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1462),
    [aux_sym_set_operation_token3] = ACTIONS(1462),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_having_clause_token1] = ACTIONS(1462),
    [aux_sym_qualify_clause_token1] = ACTIONS(1462),
    [aux_sym_limit_clause_token1] = ACTIONS(1462),
    [aux_sym_group_by_clause_token1] = ACTIONS(1462),
    [aux_sym_order_by_clause_token1] = ACTIONS(1462),
    [aux_sym_where_clause_token1] = ACTIONS(1462),
    [aux_sym_pivot_operator_token1] = ACTIONS(1462),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1462),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1462),
    [aux_sym_join_type_token1] = ACTIONS(1462),
    [aux_sym_join_type_token2] = ACTIONS(1462),
    [aux_sym_join_type_token3] = ACTIONS(1462),
    [aux_sym_join_type_token4] = ACTIONS(1462),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1462),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1462),
    [aux_sym_join_condition_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [533] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_where_clause_token1] = ACTIONS(1364),
    [aux_sym_pivot_operator_token1] = ACTIONS(1364),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1364),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1364),
    [aux_sym_join_type_token1] = ACTIONS(1364),
    [aux_sym_join_type_token2] = ACTIONS(1364),
    [aux_sym_join_type_token3] = ACTIONS(1364),
    [aux_sym_join_type_token4] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1364),
    [aux_sym_join_condition_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [534] = {
    [ts_builtin_sym_end] = ACTIONS(1752),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1752),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1752),
    [aux_sym_keyword_replace_token1] = ACTIONS(1754),
    [aux_sym__keyword_alter_token1] = ACTIONS(1752),
    [aux_sym__keyword_delete_token1] = ACTIONS(1752),
    [aux_sym__keyword_begin_token1] = ACTIONS(1752),
    [aux_sym__keyword_end_token1] = ACTIONS(1752),
    [aux_sym__keyword_between_token1] = ACTIONS(1752),
    [aux_sym__keyword_when_token1] = ACTIONS(1752),
    [aux_sym__keyword_else_token1] = ACTIONS(1754),
    [aux_sym__keyword_is_token1] = ACTIONS(1752),
    [aux_sym__keyword_in_token1] = ACTIONS(1754),
    [aux_sym__keyword_and_token1] = ACTIONS(1752),
    [aux_sym__keyword_like_token1] = ACTIONS(1752),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1752),
    [aux_sym__keyword_window_token1] = ACTIONS(1752),
    [aux_sym__keyword_for_token1] = ACTIONS(1752),
    [anon_sym_SEMI] = ACTIONS(1752),
    [aux_sym_declare_statement_token1] = ACTIONS(1752),
    [anon_sym_COMMA] = ACTIONS(1752),
    [aux_sym_set_statement_token1] = ACTIONS(1752),
    [anon_sym_LPAREN] = ACTIONS(1752),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1752),
    [aux_sym_using_clause_token1] = ACTIONS(1752),
    [aux_sym_return_satement_token1] = ACTIONS(1752),
    [aux_sym_call_statement_token1] = ACTIONS(1752),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1752),
    [aux_sym_if_statement_token1] = ACTIONS(1752),
    [aux_sym_loop_statement_token1] = ACTIONS(1752),
    [aux_sym_repeat_statement_token1] = ACTIONS(1752),
    [aux_sym_while_statement_token1] = ACTIONS(1752),
    [aux_sym_break_statement_token1] = ACTIONS(1752),
    [aux_sym_leave_statement_token1] = ACTIONS(1752),
    [aux_sym_continue_statement_token1] = ACTIONS(1752),
    [aux_sym_iterate_statement_token1] = ACTIONS(1752),
    [aux_sym_raise_statement_token1] = ACTIONS(1752),
    [anon_sym_EQ] = ACTIONS(1752),
    [aux_sym_assert_statement_token1] = ACTIONS(1752),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1752),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1752),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1752),
    [anon_sym_LT] = ACTIONS(1754),
    [anon_sym_GT] = ACTIONS(1754),
    [aux_sym_set_operation_token1] = ACTIONS(1752),
    [aux_sym_set_operation_token3] = ACTIONS(1752),
    [aux_sym_set_operation_token4] = ACTIONS(1754),
    [aux_sym_select_token1] = ACTIONS(1752),
    [aux_sym_having_clause_token1] = ACTIONS(1752),
    [aux_sym_qualify_clause_token1] = ACTIONS(1752),
    [aux_sym_limit_clause_token1] = ACTIONS(1752),
    [aux_sym_group_by_clause_token1] = ACTIONS(1752),
    [aux_sym_order_by_clause_token1] = ACTIONS(1752),
    [aux_sym_where_clause_token1] = ACTIONS(1752),
    [aux_sym_pivot_operator_token1] = ACTIONS(1752),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1752),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1752),
    [aux_sym_join_type_token1] = ACTIONS(1752),
    [aux_sym_join_type_token2] = ACTIONS(1752),
    [aux_sym_join_type_token3] = ACTIONS(1752),
    [aux_sym_join_type_token4] = ACTIONS(1752),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1752),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1752),
    [aux_sym_join_condition_token1] = ACTIONS(1752),
    [aux_sym_insert_statement_token1] = ACTIONS(1752),
    [aux_sym_truncate_statement_token1] = ACTIONS(1752),
    [aux_sym_update_statement_token1] = ACTIONS(1752),
    [aux_sym_merge_statement_token1] = ACTIONS(1752),
    [aux_sym_grant_statement_token1] = ACTIONS(1752),
    [aux_sym_revoke_statement_token1] = ACTIONS(1752),
    [aux_sym_export_data_statement_token1] = ACTIONS(1752),
    [aux_sym_load_data_statement_token1] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(1752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_DASH] = ACTIONS(1754),
    [anon_sym_STAR] = ACTIONS(1752),
    [anon_sym_SLASH] = ACTIONS(1754),
    [anon_sym_PIPE_PIPE] = ACTIONS(1752),
    [anon_sym_LT_EQ] = ACTIONS(1752),
    [anon_sym_LT_GT] = ACTIONS(1752),
    [anon_sym_GT_EQ] = ACTIONS(1752),
    [anon_sym_BANG_EQ] = ACTIONS(1752),
    [anon_sym_LT_LT] = ACTIONS(1752),
    [anon_sym_GT_GT] = ACTIONS(1752),
    [anon_sym_AMP] = ACTIONS(1752),
    [anon_sym_CARET] = ACTIONS(1752),
    [anon_sym_PIPE] = ACTIONS(1754),
  },
  [535] = {
    [ts_builtin_sym_end] = ACTIONS(1756),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1756),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1756),
    [aux_sym_keyword_replace_token1] = ACTIONS(1758),
    [aux_sym__keyword_alter_token1] = ACTIONS(1756),
    [aux_sym__keyword_delete_token1] = ACTIONS(1756),
    [aux_sym__keyword_begin_token1] = ACTIONS(1756),
    [aux_sym__keyword_end_token1] = ACTIONS(1756),
    [aux_sym__keyword_between_token1] = ACTIONS(1756),
    [aux_sym__keyword_when_token1] = ACTIONS(1756),
    [aux_sym__keyword_else_token1] = ACTIONS(1758),
    [aux_sym__keyword_is_token1] = ACTIONS(1756),
    [aux_sym__keyword_in_token1] = ACTIONS(1758),
    [aux_sym__keyword_and_token1] = ACTIONS(1756),
    [aux_sym__keyword_like_token1] = ACTIONS(1756),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1756),
    [aux_sym__keyword_window_token1] = ACTIONS(1756),
    [aux_sym__keyword_for_token1] = ACTIONS(1756),
    [anon_sym_SEMI] = ACTIONS(1756),
    [aux_sym_declare_statement_token1] = ACTIONS(1756),
    [anon_sym_COMMA] = ACTIONS(1756),
    [aux_sym_set_statement_token1] = ACTIONS(1756),
    [anon_sym_LPAREN] = ACTIONS(1756),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1756),
    [aux_sym_using_clause_token1] = ACTIONS(1756),
    [aux_sym_return_satement_token1] = ACTIONS(1756),
    [aux_sym_call_statement_token1] = ACTIONS(1756),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1756),
    [aux_sym_if_statement_token1] = ACTIONS(1756),
    [aux_sym_loop_statement_token1] = ACTIONS(1756),
    [aux_sym_repeat_statement_token1] = ACTIONS(1756),
    [aux_sym_while_statement_token1] = ACTIONS(1756),
    [aux_sym_break_statement_token1] = ACTIONS(1756),
    [aux_sym_leave_statement_token1] = ACTIONS(1756),
    [aux_sym_continue_statement_token1] = ACTIONS(1756),
    [aux_sym_iterate_statement_token1] = ACTIONS(1756),
    [aux_sym_raise_statement_token1] = ACTIONS(1756),
    [anon_sym_EQ] = ACTIONS(1756),
    [aux_sym_assert_statement_token1] = ACTIONS(1756),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1756),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1756),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1756),
    [anon_sym_LT] = ACTIONS(1758),
    [anon_sym_GT] = ACTIONS(1758),
    [aux_sym_set_operation_token1] = ACTIONS(1756),
    [aux_sym_set_operation_token3] = ACTIONS(1756),
    [aux_sym_set_operation_token4] = ACTIONS(1758),
    [aux_sym_select_token1] = ACTIONS(1756),
    [aux_sym_having_clause_token1] = ACTIONS(1756),
    [aux_sym_qualify_clause_token1] = ACTIONS(1756),
    [aux_sym_limit_clause_token1] = ACTIONS(1756),
    [aux_sym_group_by_clause_token1] = ACTIONS(1756),
    [aux_sym_order_by_clause_token1] = ACTIONS(1756),
    [aux_sym_where_clause_token1] = ACTIONS(1756),
    [aux_sym_pivot_operator_token1] = ACTIONS(1756),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1756),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1756),
    [aux_sym_join_type_token1] = ACTIONS(1756),
    [aux_sym_join_type_token2] = ACTIONS(1756),
    [aux_sym_join_type_token3] = ACTIONS(1756),
    [aux_sym_join_type_token4] = ACTIONS(1756),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1756),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1756),
    [aux_sym_join_condition_token1] = ACTIONS(1756),
    [aux_sym_insert_statement_token1] = ACTIONS(1756),
    [aux_sym_truncate_statement_token1] = ACTIONS(1756),
    [aux_sym_update_statement_token1] = ACTIONS(1756),
    [aux_sym_merge_statement_token1] = ACTIONS(1756),
    [aux_sym_grant_statement_token1] = ACTIONS(1756),
    [aux_sym_revoke_statement_token1] = ACTIONS(1756),
    [aux_sym_export_data_statement_token1] = ACTIONS(1756),
    [aux_sym_load_data_statement_token1] = ACTIONS(1756),
    [anon_sym_LBRACK] = ACTIONS(1756),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1756),
    [anon_sym_PLUS] = ACTIONS(1756),
    [anon_sym_DASH] = ACTIONS(1758),
    [anon_sym_STAR] = ACTIONS(1756),
    [anon_sym_SLASH] = ACTIONS(1758),
    [anon_sym_PIPE_PIPE] = ACTIONS(1756),
    [anon_sym_LT_EQ] = ACTIONS(1756),
    [anon_sym_LT_GT] = ACTIONS(1756),
    [anon_sym_GT_EQ] = ACTIONS(1756),
    [anon_sym_BANG_EQ] = ACTIONS(1756),
    [anon_sym_LT_LT] = ACTIONS(1756),
    [anon_sym_GT_GT] = ACTIONS(1756),
    [anon_sym_AMP] = ACTIONS(1756),
    [anon_sym_CARET] = ACTIONS(1756),
    [anon_sym_PIPE] = ACTIONS(1758),
  },
  [536] = {
    [ts_builtin_sym_end] = ACTIONS(1760),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1760),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1760),
    [aux_sym_keyword_replace_token1] = ACTIONS(1762),
    [aux_sym__keyword_alter_token1] = ACTIONS(1760),
    [aux_sym__keyword_delete_token1] = ACTIONS(1760),
    [aux_sym__keyword_begin_token1] = ACTIONS(1760),
    [aux_sym__keyword_end_token1] = ACTIONS(1760),
    [aux_sym__keyword_between_token1] = ACTIONS(1760),
    [aux_sym__keyword_when_token1] = ACTIONS(1760),
    [aux_sym__keyword_else_token1] = ACTIONS(1762),
    [aux_sym__keyword_is_token1] = ACTIONS(1760),
    [aux_sym__keyword_in_token1] = ACTIONS(1762),
    [aux_sym__keyword_and_token1] = ACTIONS(1760),
    [aux_sym__keyword_like_token1] = ACTIONS(1760),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1760),
    [aux_sym__keyword_window_token1] = ACTIONS(1760),
    [aux_sym__keyword_for_token1] = ACTIONS(1760),
    [anon_sym_SEMI] = ACTIONS(1760),
    [aux_sym_declare_statement_token1] = ACTIONS(1760),
    [anon_sym_COMMA] = ACTIONS(1760),
    [aux_sym_set_statement_token1] = ACTIONS(1760),
    [anon_sym_LPAREN] = ACTIONS(1760),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1760),
    [aux_sym_using_clause_token1] = ACTIONS(1760),
    [aux_sym_return_satement_token1] = ACTIONS(1760),
    [aux_sym_call_statement_token1] = ACTIONS(1760),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1760),
    [aux_sym_if_statement_token1] = ACTIONS(1760),
    [aux_sym_loop_statement_token1] = ACTIONS(1760),
    [aux_sym_repeat_statement_token1] = ACTIONS(1760),
    [aux_sym_while_statement_token1] = ACTIONS(1760),
    [aux_sym_break_statement_token1] = ACTIONS(1760),
    [aux_sym_leave_statement_token1] = ACTIONS(1760),
    [aux_sym_continue_statement_token1] = ACTIONS(1760),
    [aux_sym_iterate_statement_token1] = ACTIONS(1760),
    [aux_sym_raise_statement_token1] = ACTIONS(1760),
    [anon_sym_EQ] = ACTIONS(1760),
    [aux_sym_assert_statement_token1] = ACTIONS(1760),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1760),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1760),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1760),
    [anon_sym_LT] = ACTIONS(1762),
    [anon_sym_GT] = ACTIONS(1762),
    [aux_sym_set_operation_token1] = ACTIONS(1760),
    [aux_sym_set_operation_token3] = ACTIONS(1760),
    [aux_sym_set_operation_token4] = ACTIONS(1762),
    [aux_sym_select_token1] = ACTIONS(1760),
    [aux_sym_having_clause_token1] = ACTIONS(1760),
    [aux_sym_qualify_clause_token1] = ACTIONS(1760),
    [aux_sym_limit_clause_token1] = ACTIONS(1760),
    [aux_sym_group_by_clause_token1] = ACTIONS(1760),
    [aux_sym_order_by_clause_token1] = ACTIONS(1760),
    [aux_sym_where_clause_token1] = ACTIONS(1760),
    [aux_sym_pivot_operator_token1] = ACTIONS(1760),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1760),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1760),
    [aux_sym_join_type_token1] = ACTIONS(1760),
    [aux_sym_join_type_token2] = ACTIONS(1760),
    [aux_sym_join_type_token3] = ACTIONS(1760),
    [aux_sym_join_type_token4] = ACTIONS(1760),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1760),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1760),
    [aux_sym_join_condition_token1] = ACTIONS(1760),
    [aux_sym_insert_statement_token1] = ACTIONS(1760),
    [aux_sym_truncate_statement_token1] = ACTIONS(1760),
    [aux_sym_update_statement_token1] = ACTIONS(1760),
    [aux_sym_merge_statement_token1] = ACTIONS(1760),
    [aux_sym_grant_statement_token1] = ACTIONS(1760),
    [aux_sym_revoke_statement_token1] = ACTIONS(1760),
    [aux_sym_export_data_statement_token1] = ACTIONS(1760),
    [aux_sym_load_data_statement_token1] = ACTIONS(1760),
    [anon_sym_LBRACK] = ACTIONS(1760),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1760),
    [anon_sym_PLUS] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1762),
    [anon_sym_STAR] = ACTIONS(1760),
    [anon_sym_SLASH] = ACTIONS(1762),
    [anon_sym_PIPE_PIPE] = ACTIONS(1760),
    [anon_sym_LT_EQ] = ACTIONS(1760),
    [anon_sym_LT_GT] = ACTIONS(1760),
    [anon_sym_GT_EQ] = ACTIONS(1760),
    [anon_sym_BANG_EQ] = ACTIONS(1760),
    [anon_sym_LT_LT] = ACTIONS(1760),
    [anon_sym_GT_GT] = ACTIONS(1760),
    [anon_sym_AMP] = ACTIONS(1760),
    [anon_sym_CARET] = ACTIONS(1760),
    [anon_sym_PIPE] = ACTIONS(1762),
  },
  [537] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_window_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_using_clause_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1442),
    [aux_sym_set_operation_token3] = ACTIONS(1442),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_having_clause_token1] = ACTIONS(1442),
    [aux_sym_qualify_clause_token1] = ACTIONS(1442),
    [aux_sym_limit_clause_token1] = ACTIONS(1442),
    [aux_sym_group_by_clause_token1] = ACTIONS(1442),
    [aux_sym_order_by_clause_token1] = ACTIONS(1442),
    [aux_sym_where_clause_token1] = ACTIONS(1442),
    [aux_sym_pivot_operator_token1] = ACTIONS(1442),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1442),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1442),
    [aux_sym_join_type_token1] = ACTIONS(1442),
    [aux_sym_join_type_token2] = ACTIONS(1442),
    [aux_sym_join_type_token3] = ACTIONS(1442),
    [aux_sym_join_type_token4] = ACTIONS(1442),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1442),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1442),
    [aux_sym_join_condition_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [538] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_where_clause_token1] = ACTIONS(1364),
    [aux_sym_pivot_operator_token1] = ACTIONS(1364),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1364),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1364),
    [aux_sym_join_type_token1] = ACTIONS(1364),
    [aux_sym_join_type_token2] = ACTIONS(1364),
    [aux_sym_join_type_token3] = ACTIONS(1364),
    [aux_sym_join_type_token4] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1364),
    [aux_sym_join_condition_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [539] = {
    [ts_builtin_sym_end] = ACTIONS(1764),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1764),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1764),
    [aux_sym_keyword_replace_token1] = ACTIONS(1766),
    [aux_sym__keyword_alter_token1] = ACTIONS(1764),
    [aux_sym__keyword_delete_token1] = ACTIONS(1764),
    [aux_sym__keyword_begin_token1] = ACTIONS(1764),
    [aux_sym__keyword_end_token1] = ACTIONS(1764),
    [aux_sym__keyword_between_token1] = ACTIONS(1764),
    [aux_sym__keyword_when_token1] = ACTIONS(1764),
    [aux_sym__keyword_else_token1] = ACTIONS(1766),
    [aux_sym__keyword_is_token1] = ACTIONS(1764),
    [aux_sym__keyword_in_token1] = ACTIONS(1766),
    [aux_sym__keyword_and_token1] = ACTIONS(1764),
    [aux_sym__keyword_like_token1] = ACTIONS(1764),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1764),
    [aux_sym__keyword_window_token1] = ACTIONS(1764),
    [aux_sym__keyword_for_token1] = ACTIONS(1764),
    [anon_sym_SEMI] = ACTIONS(1764),
    [aux_sym_declare_statement_token1] = ACTIONS(1764),
    [anon_sym_COMMA] = ACTIONS(1764),
    [aux_sym_set_statement_token1] = ACTIONS(1764),
    [anon_sym_LPAREN] = ACTIONS(1764),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1764),
    [aux_sym_using_clause_token1] = ACTIONS(1764),
    [aux_sym_return_satement_token1] = ACTIONS(1764),
    [aux_sym_call_statement_token1] = ACTIONS(1764),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1764),
    [aux_sym_if_statement_token1] = ACTIONS(1764),
    [aux_sym_loop_statement_token1] = ACTIONS(1764),
    [aux_sym_repeat_statement_token1] = ACTIONS(1764),
    [aux_sym_while_statement_token1] = ACTIONS(1764),
    [aux_sym_break_statement_token1] = ACTIONS(1764),
    [aux_sym_leave_statement_token1] = ACTIONS(1764),
    [aux_sym_continue_statement_token1] = ACTIONS(1764),
    [aux_sym_iterate_statement_token1] = ACTIONS(1764),
    [aux_sym_raise_statement_token1] = ACTIONS(1764),
    [anon_sym_EQ] = ACTIONS(1764),
    [aux_sym_assert_statement_token1] = ACTIONS(1764),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1764),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1764),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1764),
    [anon_sym_LT] = ACTIONS(1766),
    [anon_sym_GT] = ACTIONS(1766),
    [aux_sym_set_operation_token1] = ACTIONS(1764),
    [aux_sym_set_operation_token3] = ACTIONS(1764),
    [aux_sym_set_operation_token4] = ACTIONS(1766),
    [aux_sym_select_token1] = ACTIONS(1764),
    [aux_sym_having_clause_token1] = ACTIONS(1764),
    [aux_sym_qualify_clause_token1] = ACTIONS(1764),
    [aux_sym_limit_clause_token1] = ACTIONS(1764),
    [aux_sym_group_by_clause_token1] = ACTIONS(1764),
    [aux_sym_order_by_clause_token1] = ACTIONS(1764),
    [aux_sym_where_clause_token1] = ACTIONS(1764),
    [aux_sym_pivot_operator_token1] = ACTIONS(1764),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1764),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1764),
    [aux_sym_join_type_token1] = ACTIONS(1764),
    [aux_sym_join_type_token2] = ACTIONS(1764),
    [aux_sym_join_type_token3] = ACTIONS(1764),
    [aux_sym_join_type_token4] = ACTIONS(1764),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1764),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1764),
    [aux_sym_join_condition_token1] = ACTIONS(1764),
    [aux_sym_insert_statement_token1] = ACTIONS(1764),
    [aux_sym_truncate_statement_token1] = ACTIONS(1764),
    [aux_sym_update_statement_token1] = ACTIONS(1764),
    [aux_sym_merge_statement_token1] = ACTIONS(1764),
    [aux_sym_grant_statement_token1] = ACTIONS(1764),
    [aux_sym_revoke_statement_token1] = ACTIONS(1764),
    [aux_sym_export_data_statement_token1] = ACTIONS(1764),
    [aux_sym_load_data_statement_token1] = ACTIONS(1764),
    [anon_sym_LBRACK] = ACTIONS(1764),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_DASH] = ACTIONS(1766),
    [anon_sym_STAR] = ACTIONS(1764),
    [anon_sym_SLASH] = ACTIONS(1766),
    [anon_sym_PIPE_PIPE] = ACTIONS(1764),
    [anon_sym_LT_EQ] = ACTIONS(1764),
    [anon_sym_LT_GT] = ACTIONS(1764),
    [anon_sym_GT_EQ] = ACTIONS(1764),
    [anon_sym_BANG_EQ] = ACTIONS(1764),
    [anon_sym_LT_LT] = ACTIONS(1764),
    [anon_sym_GT_GT] = ACTIONS(1764),
    [anon_sym_AMP] = ACTIONS(1764),
    [anon_sym_CARET] = ACTIONS(1764),
    [anon_sym_PIPE] = ACTIONS(1766),
  },
  [540] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_where_clause_token1] = ACTIONS(1364),
    [aux_sym_pivot_operator_token1] = ACTIONS(1364),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1364),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1364),
    [aux_sym_join_type_token1] = ACTIONS(1364),
    [aux_sym_join_type_token2] = ACTIONS(1364),
    [aux_sym_join_type_token3] = ACTIONS(1364),
    [aux_sym_join_type_token4] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1364),
    [aux_sym_join_condition_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [541] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_window_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_using_clause_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1442),
    [aux_sym_set_operation_token3] = ACTIONS(1442),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_having_clause_token1] = ACTIONS(1442),
    [aux_sym_qualify_clause_token1] = ACTIONS(1442),
    [aux_sym_limit_clause_token1] = ACTIONS(1442),
    [aux_sym_group_by_clause_token1] = ACTIONS(1442),
    [aux_sym_order_by_clause_token1] = ACTIONS(1442),
    [aux_sym_where_clause_token1] = ACTIONS(1442),
    [aux_sym_pivot_operator_token1] = ACTIONS(1442),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1442),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1442),
    [aux_sym_join_type_token1] = ACTIONS(1442),
    [aux_sym_join_type_token2] = ACTIONS(1442),
    [aux_sym_join_type_token3] = ACTIONS(1442),
    [aux_sym_join_type_token4] = ACTIONS(1442),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1442),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1442),
    [aux_sym_join_condition_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [542] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_window_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_using_clause_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1442),
    [aux_sym_set_operation_token3] = ACTIONS(1442),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_having_clause_token1] = ACTIONS(1442),
    [aux_sym_qualify_clause_token1] = ACTIONS(1442),
    [aux_sym_limit_clause_token1] = ACTIONS(1442),
    [aux_sym_group_by_clause_token1] = ACTIONS(1442),
    [aux_sym_order_by_clause_token1] = ACTIONS(1442),
    [aux_sym_where_clause_token1] = ACTIONS(1442),
    [aux_sym_pivot_operator_token1] = ACTIONS(1442),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1442),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1442),
    [aux_sym_join_type_token1] = ACTIONS(1442),
    [aux_sym_join_type_token2] = ACTIONS(1442),
    [aux_sym_join_type_token3] = ACTIONS(1442),
    [aux_sym_join_type_token4] = ACTIONS(1442),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1442),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1442),
    [aux_sym_join_condition_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [543] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_where_clause_token1] = ACTIONS(1364),
    [aux_sym_pivot_operator_token1] = ACTIONS(1364),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1364),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1364),
    [aux_sym_join_type_token1] = ACTIONS(1364),
    [aux_sym_join_type_token2] = ACTIONS(1364),
    [aux_sym_join_type_token3] = ACTIONS(1364),
    [aux_sym_join_type_token4] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1364),
    [aux_sym_join_condition_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [544] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_window_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_using_clause_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1442),
    [aux_sym_set_operation_token3] = ACTIONS(1442),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_having_clause_token1] = ACTIONS(1442),
    [aux_sym_qualify_clause_token1] = ACTIONS(1442),
    [aux_sym_limit_clause_token1] = ACTIONS(1442),
    [aux_sym_group_by_clause_token1] = ACTIONS(1442),
    [aux_sym_order_by_clause_token1] = ACTIONS(1442),
    [aux_sym_where_clause_token1] = ACTIONS(1442),
    [aux_sym_pivot_operator_token1] = ACTIONS(1442),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1442),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1442),
    [aux_sym_join_type_token1] = ACTIONS(1442),
    [aux_sym_join_type_token2] = ACTIONS(1442),
    [aux_sym_join_type_token3] = ACTIONS(1442),
    [aux_sym_join_type_token4] = ACTIONS(1442),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1442),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1442),
    [aux_sym_join_condition_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [545] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_window_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_using_clause_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1442),
    [aux_sym_set_operation_token3] = ACTIONS(1442),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_having_clause_token1] = ACTIONS(1442),
    [aux_sym_qualify_clause_token1] = ACTIONS(1442),
    [aux_sym_limit_clause_token1] = ACTIONS(1442),
    [aux_sym_group_by_clause_token1] = ACTIONS(1442),
    [aux_sym_order_by_clause_token1] = ACTIONS(1442),
    [aux_sym_where_clause_token1] = ACTIONS(1442),
    [aux_sym_pivot_operator_token1] = ACTIONS(1442),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1442),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1442),
    [aux_sym_join_type_token1] = ACTIONS(1442),
    [aux_sym_join_type_token2] = ACTIONS(1442),
    [aux_sym_join_type_token3] = ACTIONS(1442),
    [aux_sym_join_type_token4] = ACTIONS(1442),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1442),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1442),
    [aux_sym_join_condition_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [546] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_where_clause_token1] = ACTIONS(1364),
    [aux_sym_pivot_operator_token1] = ACTIONS(1364),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1364),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1364),
    [aux_sym_join_type_token1] = ACTIONS(1364),
    [aux_sym_join_type_token2] = ACTIONS(1364),
    [aux_sym_join_type_token3] = ACTIONS(1364),
    [aux_sym_join_type_token4] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1364),
    [aux_sym_join_condition_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [547] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_where_clause_token1] = ACTIONS(1364),
    [aux_sym_pivot_operator_token1] = ACTIONS(1364),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1364),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1364),
    [aux_sym_join_type_token1] = ACTIONS(1364),
    [aux_sym_join_type_token2] = ACTIONS(1364),
    [aux_sym_join_type_token3] = ACTIONS(1364),
    [aux_sym_join_type_token4] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1364),
    [aux_sym_join_condition_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [548] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_where_clause_token1] = ACTIONS(1364),
    [aux_sym_pivot_operator_token1] = ACTIONS(1364),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1364),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1364),
    [aux_sym_join_type_token1] = ACTIONS(1364),
    [aux_sym_join_type_token2] = ACTIONS(1364),
    [aux_sym_join_type_token3] = ACTIONS(1364),
    [aux_sym_join_type_token4] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1364),
    [aux_sym_join_condition_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [549] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_where_clause_token1] = ACTIONS(1364),
    [aux_sym_pivot_operator_token1] = ACTIONS(1364),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1364),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1364),
    [aux_sym_join_type_token1] = ACTIONS(1364),
    [aux_sym_join_type_token2] = ACTIONS(1364),
    [aux_sym_join_type_token3] = ACTIONS(1364),
    [aux_sym_join_type_token4] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1364),
    [aux_sym_join_condition_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [550] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_where_clause_token1] = ACTIONS(1364),
    [aux_sym_pivot_operator_token1] = ACTIONS(1364),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1364),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1364),
    [aux_sym_join_type_token1] = ACTIONS(1364),
    [aux_sym_join_type_token2] = ACTIONS(1364),
    [aux_sym_join_type_token3] = ACTIONS(1364),
    [aux_sym_join_type_token4] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1364),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1364),
    [aux_sym_join_condition_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [551] = {
    [ts_builtin_sym_end] = ACTIONS(1386),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1386),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1386),
    [aux_sym_keyword_replace_token1] = ACTIONS(1388),
    [aux_sym__keyword_alter_token1] = ACTIONS(1386),
    [aux_sym__keyword_delete_token1] = ACTIONS(1386),
    [aux_sym__keyword_begin_token1] = ACTIONS(1386),
    [aux_sym__keyword_end_token1] = ACTIONS(1386),
    [aux_sym__keyword_between_token1] = ACTIONS(1386),
    [aux_sym__keyword_when_token1] = ACTIONS(1386),
    [aux_sym__keyword_else_token1] = ACTIONS(1388),
    [aux_sym__keyword_is_token1] = ACTIONS(1386),
    [aux_sym__keyword_in_token1] = ACTIONS(1388),
    [aux_sym__keyword_and_token1] = ACTIONS(1386),
    [aux_sym__keyword_like_token1] = ACTIONS(1386),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1386),
    [aux_sym__keyword_window_token1] = ACTIONS(1386),
    [aux_sym__keyword_for_token1] = ACTIONS(1386),
    [anon_sym_SEMI] = ACTIONS(1386),
    [aux_sym_declare_statement_token1] = ACTIONS(1386),
    [anon_sym_COMMA] = ACTIONS(1386),
    [aux_sym_set_statement_token1] = ACTIONS(1386),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1386),
    [aux_sym_using_clause_token1] = ACTIONS(1386),
    [aux_sym_return_satement_token1] = ACTIONS(1386),
    [aux_sym_call_statement_token1] = ACTIONS(1386),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1386),
    [aux_sym_if_statement_token1] = ACTIONS(1386),
    [aux_sym_loop_statement_token1] = ACTIONS(1386),
    [aux_sym_repeat_statement_token1] = ACTIONS(1386),
    [aux_sym_while_statement_token1] = ACTIONS(1386),
    [aux_sym_break_statement_token1] = ACTIONS(1386),
    [aux_sym_leave_statement_token1] = ACTIONS(1386),
    [aux_sym_continue_statement_token1] = ACTIONS(1386),
    [aux_sym_iterate_statement_token1] = ACTIONS(1386),
    [aux_sym_raise_statement_token1] = ACTIONS(1386),
    [anon_sym_EQ] = ACTIONS(1386),
    [aux_sym_assert_statement_token1] = ACTIONS(1386),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1386),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1386),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1386),
    [anon_sym_LT] = ACTIONS(1388),
    [anon_sym_GT] = ACTIONS(1388),
    [aux_sym_set_operation_token1] = ACTIONS(1386),
    [aux_sym_set_operation_token3] = ACTIONS(1386),
    [aux_sym_set_operation_token4] = ACTIONS(1388),
    [aux_sym_select_token1] = ACTIONS(1386),
    [aux_sym_having_clause_token1] = ACTIONS(1386),
    [aux_sym_qualify_clause_token1] = ACTIONS(1386),
    [aux_sym_limit_clause_token1] = ACTIONS(1386),
    [aux_sym_group_by_clause_token1] = ACTIONS(1386),
    [aux_sym_order_by_clause_token1] = ACTIONS(1386),
    [aux_sym_where_clause_token1] = ACTIONS(1386),
    [aux_sym_pivot_operator_token1] = ACTIONS(1386),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1386),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1386),
    [aux_sym_join_type_token1] = ACTIONS(1386),
    [aux_sym_join_type_token2] = ACTIONS(1386),
    [aux_sym_join_type_token3] = ACTIONS(1386),
    [aux_sym_join_type_token4] = ACTIONS(1386),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1386),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1386),
    [aux_sym_join_condition_token1] = ACTIONS(1386),
    [aux_sym_insert_statement_token1] = ACTIONS(1386),
    [aux_sym_truncate_statement_token1] = ACTIONS(1386),
    [aux_sym_update_statement_token1] = ACTIONS(1386),
    [aux_sym_merge_statement_token1] = ACTIONS(1386),
    [aux_sym_grant_statement_token1] = ACTIONS(1386),
    [aux_sym_revoke_statement_token1] = ACTIONS(1386),
    [aux_sym_export_data_statement_token1] = ACTIONS(1386),
    [aux_sym_load_data_statement_token1] = ACTIONS(1386),
    [anon_sym_LBRACK] = ACTIONS(1386),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1386),
    [anon_sym_DASH] = ACTIONS(1388),
    [anon_sym_STAR] = ACTIONS(1386),
    [anon_sym_SLASH] = ACTIONS(1388),
    [anon_sym_PIPE_PIPE] = ACTIONS(1386),
    [anon_sym_LT_EQ] = ACTIONS(1386),
    [anon_sym_LT_GT] = ACTIONS(1386),
    [anon_sym_GT_EQ] = ACTIONS(1386),
    [anon_sym_BANG_EQ] = ACTIONS(1386),
    [anon_sym_LT_LT] = ACTIONS(1386),
    [anon_sym_GT_GT] = ACTIONS(1386),
    [anon_sym_AMP] = ACTIONS(1386),
    [anon_sym_CARET] = ACTIONS(1386),
    [anon_sym_PIPE] = ACTIONS(1388),
  },
  [552] = {
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_window_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_using_clause_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1360),
    [aux_sym_set_operation_token3] = ACTIONS(1360),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_having_clause_token1] = ACTIONS(1360),
    [aux_sym_qualify_clause_token1] = ACTIONS(1360),
    [aux_sym_limit_clause_token1] = ACTIONS(1360),
    [aux_sym_group_by_clause_token1] = ACTIONS(1360),
    [aux_sym_order_by_clause_token1] = ACTIONS(1360),
    [aux_sym_where_clause_token1] = ACTIONS(1360),
    [aux_sym_pivot_operator_token1] = ACTIONS(1360),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1360),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1360),
    [aux_sym_join_type_token1] = ACTIONS(1360),
    [aux_sym_join_type_token2] = ACTIONS(1360),
    [aux_sym_join_type_token3] = ACTIONS(1360),
    [aux_sym_join_type_token4] = ACTIONS(1360),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1360),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1360),
    [aux_sym_join_condition_token1] = ACTIONS(1360),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [553] = {
    [ts_builtin_sym_end] = ACTIONS(1768),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1768),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1768),
    [aux_sym_keyword_replace_token1] = ACTIONS(1770),
    [aux_sym__keyword_alter_token1] = ACTIONS(1768),
    [aux_sym__keyword_delete_token1] = ACTIONS(1768),
    [aux_sym__keyword_begin_token1] = ACTIONS(1768),
    [aux_sym__keyword_end_token1] = ACTIONS(1768),
    [aux_sym__keyword_between_token1] = ACTIONS(1768),
    [aux_sym__keyword_when_token1] = ACTIONS(1768),
    [aux_sym__keyword_else_token1] = ACTIONS(1770),
    [aux_sym__keyword_is_token1] = ACTIONS(1768),
    [aux_sym__keyword_in_token1] = ACTIONS(1770),
    [aux_sym__keyword_and_token1] = ACTIONS(1768),
    [aux_sym__keyword_like_token1] = ACTIONS(1768),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1768),
    [aux_sym__keyword_window_token1] = ACTIONS(1768),
    [aux_sym__keyword_for_token1] = ACTIONS(1768),
    [anon_sym_SEMI] = ACTIONS(1768),
    [aux_sym_declare_statement_token1] = ACTIONS(1768),
    [anon_sym_COMMA] = ACTIONS(1768),
    [aux_sym_set_statement_token1] = ACTIONS(1768),
    [anon_sym_LPAREN] = ACTIONS(1768),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1768),
    [aux_sym_using_clause_token1] = ACTIONS(1768),
    [aux_sym_return_satement_token1] = ACTIONS(1768),
    [aux_sym_call_statement_token1] = ACTIONS(1768),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1768),
    [aux_sym_if_statement_token1] = ACTIONS(1768),
    [aux_sym_loop_statement_token1] = ACTIONS(1768),
    [aux_sym_repeat_statement_token1] = ACTIONS(1768),
    [aux_sym_while_statement_token1] = ACTIONS(1768),
    [aux_sym_break_statement_token1] = ACTIONS(1768),
    [aux_sym_leave_statement_token1] = ACTIONS(1768),
    [aux_sym_continue_statement_token1] = ACTIONS(1768),
    [aux_sym_iterate_statement_token1] = ACTIONS(1768),
    [aux_sym_raise_statement_token1] = ACTIONS(1768),
    [anon_sym_EQ] = ACTIONS(1768),
    [aux_sym_assert_statement_token1] = ACTIONS(1768),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1768),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1768),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1768),
    [anon_sym_LT] = ACTIONS(1770),
    [anon_sym_GT] = ACTIONS(1770),
    [aux_sym_set_operation_token1] = ACTIONS(1768),
    [aux_sym_set_operation_token3] = ACTIONS(1768),
    [aux_sym_set_operation_token4] = ACTIONS(1770),
    [aux_sym_select_token1] = ACTIONS(1768),
    [aux_sym_having_clause_token1] = ACTIONS(1768),
    [aux_sym_qualify_clause_token1] = ACTIONS(1768),
    [aux_sym_limit_clause_token1] = ACTIONS(1768),
    [aux_sym_group_by_clause_token1] = ACTIONS(1768),
    [aux_sym_order_by_clause_token1] = ACTIONS(1768),
    [aux_sym_where_clause_token1] = ACTIONS(1768),
    [aux_sym_pivot_operator_token1] = ACTIONS(1768),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1768),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1768),
    [aux_sym_join_type_token1] = ACTIONS(1768),
    [aux_sym_join_type_token2] = ACTIONS(1768),
    [aux_sym_join_type_token3] = ACTIONS(1768),
    [aux_sym_join_type_token4] = ACTIONS(1768),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1768),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1768),
    [aux_sym_join_condition_token1] = ACTIONS(1768),
    [aux_sym_insert_statement_token1] = ACTIONS(1768),
    [aux_sym_truncate_statement_token1] = ACTIONS(1768),
    [aux_sym_update_statement_token1] = ACTIONS(1768),
    [aux_sym_merge_statement_token1] = ACTIONS(1768),
    [aux_sym_grant_statement_token1] = ACTIONS(1768),
    [aux_sym_revoke_statement_token1] = ACTIONS(1768),
    [aux_sym_export_data_statement_token1] = ACTIONS(1768),
    [aux_sym_load_data_statement_token1] = ACTIONS(1768),
    [anon_sym_LBRACK] = ACTIONS(1768),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1768),
    [anon_sym_PLUS] = ACTIONS(1768),
    [anon_sym_DASH] = ACTIONS(1770),
    [anon_sym_STAR] = ACTIONS(1768),
    [anon_sym_SLASH] = ACTIONS(1770),
    [anon_sym_PIPE_PIPE] = ACTIONS(1768),
    [anon_sym_LT_EQ] = ACTIONS(1768),
    [anon_sym_LT_GT] = ACTIONS(1768),
    [anon_sym_GT_EQ] = ACTIONS(1768),
    [anon_sym_BANG_EQ] = ACTIONS(1768),
    [anon_sym_LT_LT] = ACTIONS(1768),
    [anon_sym_GT_GT] = ACTIONS(1768),
    [anon_sym_AMP] = ACTIONS(1768),
    [anon_sym_CARET] = ACTIONS(1768),
    [anon_sym_PIPE] = ACTIONS(1770),
  },
  [554] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_window_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_using_clause_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1442),
    [aux_sym_set_operation_token3] = ACTIONS(1442),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_having_clause_token1] = ACTIONS(1442),
    [aux_sym_qualify_clause_token1] = ACTIONS(1442),
    [aux_sym_limit_clause_token1] = ACTIONS(1442),
    [aux_sym_group_by_clause_token1] = ACTIONS(1442),
    [aux_sym_order_by_clause_token1] = ACTIONS(1442),
    [aux_sym_where_clause_token1] = ACTIONS(1442),
    [aux_sym_pivot_operator_token1] = ACTIONS(1442),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1442),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1442),
    [aux_sym_join_type_token1] = ACTIONS(1442),
    [aux_sym_join_type_token2] = ACTIONS(1442),
    [aux_sym_join_type_token3] = ACTIONS(1442),
    [aux_sym_join_type_token4] = ACTIONS(1442),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1442),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1442),
    [aux_sym_join_condition_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [555] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_window_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_using_clause_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1442),
    [aux_sym_set_operation_token3] = ACTIONS(1442),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_having_clause_token1] = ACTIONS(1442),
    [aux_sym_qualify_clause_token1] = ACTIONS(1442),
    [aux_sym_limit_clause_token1] = ACTIONS(1442),
    [aux_sym_group_by_clause_token1] = ACTIONS(1442),
    [aux_sym_order_by_clause_token1] = ACTIONS(1442),
    [aux_sym_where_clause_token1] = ACTIONS(1442),
    [aux_sym_pivot_operator_token1] = ACTIONS(1442),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1442),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1442),
    [aux_sym_join_type_token1] = ACTIONS(1442),
    [aux_sym_join_type_token2] = ACTIONS(1442),
    [aux_sym_join_type_token3] = ACTIONS(1442),
    [aux_sym_join_type_token4] = ACTIONS(1442),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1442),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1442),
    [aux_sym_join_condition_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [556] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_window_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_using_clause_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1442),
    [aux_sym_set_operation_token3] = ACTIONS(1442),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_having_clause_token1] = ACTIONS(1442),
    [aux_sym_qualify_clause_token1] = ACTIONS(1442),
    [aux_sym_limit_clause_token1] = ACTIONS(1442),
    [aux_sym_group_by_clause_token1] = ACTIONS(1442),
    [aux_sym_order_by_clause_token1] = ACTIONS(1442),
    [aux_sym_where_clause_token1] = ACTIONS(1442),
    [aux_sym_pivot_operator_token1] = ACTIONS(1442),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1442),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1442),
    [aux_sym_join_type_token1] = ACTIONS(1442),
    [aux_sym_join_type_token2] = ACTIONS(1442),
    [aux_sym_join_type_token3] = ACTIONS(1442),
    [aux_sym_join_type_token4] = ACTIONS(1442),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1442),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1442),
    [aux_sym_join_condition_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [557] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_window_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_using_clause_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1442),
    [aux_sym_set_operation_token3] = ACTIONS(1442),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_having_clause_token1] = ACTIONS(1442),
    [aux_sym_qualify_clause_token1] = ACTIONS(1442),
    [aux_sym_limit_clause_token1] = ACTIONS(1442),
    [aux_sym_group_by_clause_token1] = ACTIONS(1442),
    [aux_sym_order_by_clause_token1] = ACTIONS(1442),
    [aux_sym_where_clause_token1] = ACTIONS(1442),
    [aux_sym_pivot_operator_token1] = ACTIONS(1442),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1442),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1442),
    [aux_sym_join_type_token1] = ACTIONS(1442),
    [aux_sym_join_type_token2] = ACTIONS(1442),
    [aux_sym_join_type_token3] = ACTIONS(1442),
    [aux_sym_join_type_token4] = ACTIONS(1442),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1442),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1442),
    [aux_sym_join_condition_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [558] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_window_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_using_clause_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1442),
    [aux_sym_set_operation_token3] = ACTIONS(1442),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_having_clause_token1] = ACTIONS(1442),
    [aux_sym_qualify_clause_token1] = ACTIONS(1442),
    [aux_sym_limit_clause_token1] = ACTIONS(1442),
    [aux_sym_group_by_clause_token1] = ACTIONS(1442),
    [aux_sym_order_by_clause_token1] = ACTIONS(1442),
    [aux_sym_where_clause_token1] = ACTIONS(1442),
    [aux_sym_pivot_operator_token1] = ACTIONS(1442),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1442),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1442),
    [aux_sym_join_type_token1] = ACTIONS(1442),
    [aux_sym_join_type_token2] = ACTIONS(1442),
    [aux_sym_join_type_token3] = ACTIONS(1442),
    [aux_sym_join_type_token4] = ACTIONS(1442),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1442),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1442),
    [aux_sym_join_condition_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [559] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_window_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_using_clause_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1442),
    [aux_sym_set_operation_token3] = ACTIONS(1442),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_having_clause_token1] = ACTIONS(1442),
    [aux_sym_qualify_clause_token1] = ACTIONS(1442),
    [aux_sym_limit_clause_token1] = ACTIONS(1442),
    [aux_sym_group_by_clause_token1] = ACTIONS(1442),
    [aux_sym_order_by_clause_token1] = ACTIONS(1442),
    [aux_sym_where_clause_token1] = ACTIONS(1442),
    [aux_sym_pivot_operator_token1] = ACTIONS(1442),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1442),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1442),
    [aux_sym_join_type_token1] = ACTIONS(1442),
    [aux_sym_join_type_token2] = ACTIONS(1442),
    [aux_sym_join_type_token3] = ACTIONS(1442),
    [aux_sym_join_type_token4] = ACTIONS(1442),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1442),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1442),
    [aux_sym_join_condition_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [560] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_window_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_using_clause_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1442),
    [aux_sym_set_operation_token3] = ACTIONS(1442),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_having_clause_token1] = ACTIONS(1442),
    [aux_sym_qualify_clause_token1] = ACTIONS(1442),
    [aux_sym_limit_clause_token1] = ACTIONS(1442),
    [aux_sym_group_by_clause_token1] = ACTIONS(1442),
    [aux_sym_order_by_clause_token1] = ACTIONS(1442),
    [aux_sym_where_clause_token1] = ACTIONS(1442),
    [aux_sym_pivot_operator_token1] = ACTIONS(1442),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1442),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1442),
    [aux_sym_join_type_token1] = ACTIONS(1442),
    [aux_sym_join_type_token2] = ACTIONS(1442),
    [aux_sym_join_type_token3] = ACTIONS(1442),
    [aux_sym_join_type_token4] = ACTIONS(1442),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1442),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1442),
    [aux_sym_join_condition_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [561] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_window_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_using_clause_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1442),
    [aux_sym_set_operation_token3] = ACTIONS(1442),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_having_clause_token1] = ACTIONS(1442),
    [aux_sym_qualify_clause_token1] = ACTIONS(1442),
    [aux_sym_limit_clause_token1] = ACTIONS(1442),
    [aux_sym_group_by_clause_token1] = ACTIONS(1442),
    [aux_sym_order_by_clause_token1] = ACTIONS(1442),
    [aux_sym_where_clause_token1] = ACTIONS(1442),
    [aux_sym_pivot_operator_token1] = ACTIONS(1442),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1442),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1442),
    [aux_sym_join_type_token1] = ACTIONS(1442),
    [aux_sym_join_type_token2] = ACTIONS(1442),
    [aux_sym_join_type_token3] = ACTIONS(1442),
    [aux_sym_join_type_token4] = ACTIONS(1442),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1442),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1442),
    [aux_sym_join_condition_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [562] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_window_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_using_clause_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1442),
    [aux_sym_set_operation_token3] = ACTIONS(1442),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_having_clause_token1] = ACTIONS(1442),
    [aux_sym_qualify_clause_token1] = ACTIONS(1442),
    [aux_sym_limit_clause_token1] = ACTIONS(1442),
    [aux_sym_group_by_clause_token1] = ACTIONS(1442),
    [aux_sym_order_by_clause_token1] = ACTIONS(1442),
    [aux_sym_where_clause_token1] = ACTIONS(1442),
    [aux_sym_pivot_operator_token1] = ACTIONS(1442),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1442),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1442),
    [aux_sym_join_type_token1] = ACTIONS(1442),
    [aux_sym_join_type_token2] = ACTIONS(1442),
    [aux_sym_join_type_token3] = ACTIONS(1442),
    [aux_sym_join_type_token4] = ACTIONS(1442),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1442),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1442),
    [aux_sym_join_condition_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [563] = {
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_window_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_using_clause_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1360),
    [aux_sym_set_operation_token3] = ACTIONS(1360),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_having_clause_token1] = ACTIONS(1360),
    [aux_sym_qualify_clause_token1] = ACTIONS(1360),
    [aux_sym_limit_clause_token1] = ACTIONS(1360),
    [aux_sym_group_by_clause_token1] = ACTIONS(1360),
    [aux_sym_order_by_clause_token1] = ACTIONS(1360),
    [aux_sym_where_clause_token1] = ACTIONS(1360),
    [aux_sym_pivot_operator_token1] = ACTIONS(1360),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1360),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1360),
    [aux_sym_join_type_token1] = ACTIONS(1360),
    [aux_sym_join_type_token2] = ACTIONS(1360),
    [aux_sym_join_type_token3] = ACTIONS(1360),
    [aux_sym_join_type_token4] = ACTIONS(1360),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1360),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1360),
    [aux_sym_join_condition_token1] = ACTIONS(1360),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [564] = {
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_window_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_using_clause_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1360),
    [aux_sym_set_operation_token3] = ACTIONS(1360),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_having_clause_token1] = ACTIONS(1360),
    [aux_sym_qualify_clause_token1] = ACTIONS(1360),
    [aux_sym_limit_clause_token1] = ACTIONS(1360),
    [aux_sym_group_by_clause_token1] = ACTIONS(1360),
    [aux_sym_order_by_clause_token1] = ACTIONS(1360),
    [aux_sym_where_clause_token1] = ACTIONS(1360),
    [aux_sym_pivot_operator_token1] = ACTIONS(1360),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1360),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1360),
    [aux_sym_join_type_token1] = ACTIONS(1360),
    [aux_sym_join_type_token2] = ACTIONS(1360),
    [aux_sym_join_type_token3] = ACTIONS(1360),
    [aux_sym_join_type_token4] = ACTIONS(1360),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1360),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1360),
    [aux_sym_join_condition_token1] = ACTIONS(1360),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [565] = {
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_window_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_using_clause_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1360),
    [aux_sym_set_operation_token3] = ACTIONS(1360),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_having_clause_token1] = ACTIONS(1360),
    [aux_sym_qualify_clause_token1] = ACTIONS(1360),
    [aux_sym_limit_clause_token1] = ACTIONS(1360),
    [aux_sym_group_by_clause_token1] = ACTIONS(1360),
    [aux_sym_order_by_clause_token1] = ACTIONS(1360),
    [aux_sym_where_clause_token1] = ACTIONS(1360),
    [aux_sym_pivot_operator_token1] = ACTIONS(1360),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1360),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1360),
    [aux_sym_join_type_token1] = ACTIONS(1360),
    [aux_sym_join_type_token2] = ACTIONS(1360),
    [aux_sym_join_type_token3] = ACTIONS(1360),
    [aux_sym_join_type_token4] = ACTIONS(1360),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1360),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1360),
    [aux_sym_join_condition_token1] = ACTIONS(1360),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [566] = {
    [ts_builtin_sym_end] = ACTIONS(1772),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1772),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1772),
    [aux_sym_keyword_replace_token1] = ACTIONS(1774),
    [aux_sym__keyword_alter_token1] = ACTIONS(1772),
    [aux_sym__keyword_delete_token1] = ACTIONS(1772),
    [aux_sym__keyword_begin_token1] = ACTIONS(1772),
    [aux_sym__keyword_end_token1] = ACTIONS(1772),
    [aux_sym__keyword_between_token1] = ACTIONS(1772),
    [aux_sym__keyword_when_token1] = ACTIONS(1772),
    [aux_sym__keyword_else_token1] = ACTIONS(1774),
    [aux_sym__keyword_is_token1] = ACTIONS(1772),
    [aux_sym__keyword_in_token1] = ACTIONS(1774),
    [aux_sym__keyword_and_token1] = ACTIONS(1772),
    [aux_sym__keyword_like_token1] = ACTIONS(1772),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1772),
    [aux_sym__keyword_window_token1] = ACTIONS(1772),
    [aux_sym__keyword_for_token1] = ACTIONS(1772),
    [anon_sym_SEMI] = ACTIONS(1772),
    [aux_sym_declare_statement_token1] = ACTIONS(1772),
    [anon_sym_COMMA] = ACTIONS(1772),
    [aux_sym_set_statement_token1] = ACTIONS(1772),
    [anon_sym_LPAREN] = ACTIONS(1772),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1772),
    [aux_sym_using_clause_token1] = ACTIONS(1772),
    [aux_sym_return_satement_token1] = ACTIONS(1772),
    [aux_sym_call_statement_token1] = ACTIONS(1772),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1772),
    [aux_sym_if_statement_token1] = ACTIONS(1772),
    [aux_sym_loop_statement_token1] = ACTIONS(1772),
    [aux_sym_repeat_statement_token1] = ACTIONS(1772),
    [aux_sym_while_statement_token1] = ACTIONS(1772),
    [aux_sym_break_statement_token1] = ACTIONS(1772),
    [aux_sym_leave_statement_token1] = ACTIONS(1772),
    [aux_sym_continue_statement_token1] = ACTIONS(1772),
    [aux_sym_iterate_statement_token1] = ACTIONS(1772),
    [aux_sym_raise_statement_token1] = ACTIONS(1772),
    [anon_sym_EQ] = ACTIONS(1772),
    [aux_sym_assert_statement_token1] = ACTIONS(1772),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1772),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1772),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1772),
    [anon_sym_LT] = ACTIONS(1774),
    [anon_sym_GT] = ACTIONS(1774),
    [aux_sym_set_operation_token1] = ACTIONS(1772),
    [aux_sym_set_operation_token3] = ACTIONS(1772),
    [aux_sym_set_operation_token4] = ACTIONS(1774),
    [aux_sym_select_token1] = ACTIONS(1772),
    [aux_sym_having_clause_token1] = ACTIONS(1772),
    [aux_sym_qualify_clause_token1] = ACTIONS(1772),
    [aux_sym_limit_clause_token1] = ACTIONS(1772),
    [aux_sym_group_by_clause_token1] = ACTIONS(1772),
    [aux_sym_order_by_clause_token1] = ACTIONS(1772),
    [aux_sym_where_clause_token1] = ACTIONS(1772),
    [aux_sym_pivot_operator_token1] = ACTIONS(1772),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1772),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1772),
    [aux_sym_join_type_token1] = ACTIONS(1772),
    [aux_sym_join_type_token2] = ACTIONS(1772),
    [aux_sym_join_type_token3] = ACTIONS(1772),
    [aux_sym_join_type_token4] = ACTIONS(1772),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1772),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1772),
    [aux_sym_join_condition_token1] = ACTIONS(1772),
    [aux_sym_insert_statement_token1] = ACTIONS(1772),
    [aux_sym_truncate_statement_token1] = ACTIONS(1772),
    [aux_sym_update_statement_token1] = ACTIONS(1772),
    [aux_sym_merge_statement_token1] = ACTIONS(1772),
    [aux_sym_grant_statement_token1] = ACTIONS(1772),
    [aux_sym_revoke_statement_token1] = ACTIONS(1772),
    [aux_sym_export_data_statement_token1] = ACTIONS(1772),
    [aux_sym_load_data_statement_token1] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1772),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1772),
    [anon_sym_PLUS] = ACTIONS(1772),
    [anon_sym_DASH] = ACTIONS(1774),
    [anon_sym_STAR] = ACTIONS(1772),
    [anon_sym_SLASH] = ACTIONS(1774),
    [anon_sym_PIPE_PIPE] = ACTIONS(1772),
    [anon_sym_LT_EQ] = ACTIONS(1772),
    [anon_sym_LT_GT] = ACTIONS(1772),
    [anon_sym_GT_EQ] = ACTIONS(1772),
    [anon_sym_BANG_EQ] = ACTIONS(1772),
    [anon_sym_LT_LT] = ACTIONS(1772),
    [anon_sym_GT_GT] = ACTIONS(1772),
    [anon_sym_AMP] = ACTIONS(1772),
    [anon_sym_CARET] = ACTIONS(1772),
    [anon_sym_PIPE] = ACTIONS(1774),
  },
  [567] = {
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_window_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_using_clause_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1360),
    [aux_sym_set_operation_token3] = ACTIONS(1360),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_having_clause_token1] = ACTIONS(1360),
    [aux_sym_qualify_clause_token1] = ACTIONS(1360),
    [aux_sym_limit_clause_token1] = ACTIONS(1360),
    [aux_sym_group_by_clause_token1] = ACTIONS(1360),
    [aux_sym_order_by_clause_token1] = ACTIONS(1360),
    [aux_sym_where_clause_token1] = ACTIONS(1360),
    [aux_sym_pivot_operator_token1] = ACTIONS(1360),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1360),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1360),
    [aux_sym_join_type_token1] = ACTIONS(1360),
    [aux_sym_join_type_token2] = ACTIONS(1360),
    [aux_sym_join_type_token3] = ACTIONS(1360),
    [aux_sym_join_type_token4] = ACTIONS(1360),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1360),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1360),
    [aux_sym_join_condition_token1] = ACTIONS(1360),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [568] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1446),
    [aux_sym_keyword_replace_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1446),
    [aux_sym__keyword_delete_token1] = ACTIONS(1446),
    [aux_sym__keyword_begin_token1] = ACTIONS(1446),
    [aux_sym__keyword_end_token1] = ACTIONS(1446),
    [aux_sym__keyword_between_token1] = ACTIONS(1446),
    [aux_sym__keyword_when_token1] = ACTIONS(1446),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1446),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1446),
    [aux_sym__keyword_like_token1] = ACTIONS(1446),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1446),
    [aux_sym__keyword_window_token1] = ACTIONS(1446),
    [aux_sym__keyword_for_token1] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1446),
    [aux_sym_using_clause_token1] = ACTIONS(1446),
    [aux_sym_return_satement_token1] = ACTIONS(1446),
    [aux_sym_call_statement_token1] = ACTIONS(1446),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_loop_statement_token1] = ACTIONS(1446),
    [aux_sym_repeat_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [aux_sym_leave_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_iterate_statement_token1] = ACTIONS(1446),
    [aux_sym_raise_statement_token1] = ACTIONS(1446),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1446),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1446),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1446),
    [aux_sym_set_operation_token3] = ACTIONS(1446),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1446),
    [aux_sym_having_clause_token1] = ACTIONS(1446),
    [aux_sym_qualify_clause_token1] = ACTIONS(1446),
    [aux_sym_limit_clause_token1] = ACTIONS(1446),
    [aux_sym_group_by_clause_token1] = ACTIONS(1446),
    [aux_sym_order_by_clause_token1] = ACTIONS(1446),
    [aux_sym_where_clause_token1] = ACTIONS(1446),
    [aux_sym_pivot_operator_token1] = ACTIONS(1446),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1446),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1446),
    [aux_sym_join_type_token1] = ACTIONS(1446),
    [aux_sym_join_type_token2] = ACTIONS(1446),
    [aux_sym_join_type_token3] = ACTIONS(1446),
    [aux_sym_join_type_token4] = ACTIONS(1446),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1446),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1446),
    [aux_sym_join_condition_token1] = ACTIONS(1446),
    [aux_sym_insert_statement_token1] = ACTIONS(1446),
    [aux_sym_truncate_statement_token1] = ACTIONS(1446),
    [aux_sym_update_statement_token1] = ACTIONS(1446),
    [aux_sym_merge_statement_token1] = ACTIONS(1446),
    [aux_sym_grant_statement_token1] = ACTIONS(1446),
    [aux_sym_revoke_statement_token1] = ACTIONS(1446),
    [aux_sym_export_data_statement_token1] = ACTIONS(1446),
    [aux_sym_load_data_statement_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [569] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1446),
    [aux_sym_keyword_replace_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1446),
    [aux_sym__keyword_delete_token1] = ACTIONS(1446),
    [aux_sym__keyword_begin_token1] = ACTIONS(1446),
    [aux_sym__keyword_end_token1] = ACTIONS(1446),
    [aux_sym__keyword_between_token1] = ACTIONS(1446),
    [aux_sym__keyword_when_token1] = ACTIONS(1446),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1446),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1446),
    [aux_sym__keyword_like_token1] = ACTIONS(1446),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1446),
    [aux_sym__keyword_window_token1] = ACTIONS(1446),
    [aux_sym__keyword_for_token1] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1446),
    [aux_sym_using_clause_token1] = ACTIONS(1446),
    [aux_sym_return_satement_token1] = ACTIONS(1446),
    [aux_sym_call_statement_token1] = ACTIONS(1446),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_loop_statement_token1] = ACTIONS(1446),
    [aux_sym_repeat_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [aux_sym_leave_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_iterate_statement_token1] = ACTIONS(1446),
    [aux_sym_raise_statement_token1] = ACTIONS(1446),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1446),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1446),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1446),
    [aux_sym_set_operation_token3] = ACTIONS(1446),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1446),
    [aux_sym_having_clause_token1] = ACTIONS(1446),
    [aux_sym_qualify_clause_token1] = ACTIONS(1446),
    [aux_sym_limit_clause_token1] = ACTIONS(1446),
    [aux_sym_group_by_clause_token1] = ACTIONS(1446),
    [aux_sym_order_by_clause_token1] = ACTIONS(1446),
    [aux_sym_where_clause_token1] = ACTIONS(1446),
    [aux_sym_pivot_operator_token1] = ACTIONS(1446),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1446),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1446),
    [aux_sym_join_type_token1] = ACTIONS(1446),
    [aux_sym_join_type_token2] = ACTIONS(1446),
    [aux_sym_join_type_token3] = ACTIONS(1446),
    [aux_sym_join_type_token4] = ACTIONS(1446),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1446),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1446),
    [aux_sym_join_condition_token1] = ACTIONS(1446),
    [aux_sym_insert_statement_token1] = ACTIONS(1446),
    [aux_sym_truncate_statement_token1] = ACTIONS(1446),
    [aux_sym_update_statement_token1] = ACTIONS(1446),
    [aux_sym_merge_statement_token1] = ACTIONS(1446),
    [aux_sym_grant_statement_token1] = ACTIONS(1446),
    [aux_sym_revoke_statement_token1] = ACTIONS(1446),
    [aux_sym_export_data_statement_token1] = ACTIONS(1446),
    [aux_sym_load_data_statement_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [570] = {
    [ts_builtin_sym_end] = ACTIONS(1496),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1496),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1496),
    [aux_sym_keyword_replace_token1] = ACTIONS(1498),
    [aux_sym__keyword_alter_token1] = ACTIONS(1496),
    [aux_sym__keyword_delete_token1] = ACTIONS(1496),
    [aux_sym__keyword_begin_token1] = ACTIONS(1496),
    [aux_sym__keyword_end_token1] = ACTIONS(1496),
    [aux_sym__keyword_between_token1] = ACTIONS(1496),
    [aux_sym__keyword_when_token1] = ACTIONS(1496),
    [aux_sym__keyword_else_token1] = ACTIONS(1498),
    [aux_sym__keyword_is_token1] = ACTIONS(1496),
    [aux_sym__keyword_in_token1] = ACTIONS(1498),
    [aux_sym__keyword_and_token1] = ACTIONS(1496),
    [aux_sym__keyword_like_token1] = ACTIONS(1496),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1496),
    [aux_sym__keyword_window_token1] = ACTIONS(1496),
    [aux_sym__keyword_for_token1] = ACTIONS(1496),
    [anon_sym_SEMI] = ACTIONS(1496),
    [aux_sym_declare_statement_token1] = ACTIONS(1496),
    [anon_sym_COMMA] = ACTIONS(1496),
    [aux_sym_set_statement_token1] = ACTIONS(1496),
    [anon_sym_LPAREN] = ACTIONS(1496),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1496),
    [aux_sym_using_clause_token1] = ACTIONS(1496),
    [aux_sym_return_satement_token1] = ACTIONS(1496),
    [aux_sym_call_statement_token1] = ACTIONS(1496),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1496),
    [aux_sym_if_statement_token1] = ACTIONS(1496),
    [aux_sym_loop_statement_token1] = ACTIONS(1496),
    [aux_sym_repeat_statement_token1] = ACTIONS(1496),
    [aux_sym_while_statement_token1] = ACTIONS(1496),
    [aux_sym_break_statement_token1] = ACTIONS(1496),
    [aux_sym_leave_statement_token1] = ACTIONS(1496),
    [aux_sym_continue_statement_token1] = ACTIONS(1496),
    [aux_sym_iterate_statement_token1] = ACTIONS(1496),
    [aux_sym_raise_statement_token1] = ACTIONS(1496),
    [anon_sym_EQ] = ACTIONS(1496),
    [aux_sym_assert_statement_token1] = ACTIONS(1496),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1496),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1496),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1496),
    [anon_sym_LT] = ACTIONS(1498),
    [anon_sym_GT] = ACTIONS(1498),
    [aux_sym_set_operation_token1] = ACTIONS(1496),
    [aux_sym_set_operation_token3] = ACTIONS(1496),
    [aux_sym_set_operation_token4] = ACTIONS(1498),
    [aux_sym_select_token1] = ACTIONS(1496),
    [aux_sym_having_clause_token1] = ACTIONS(1496),
    [aux_sym_qualify_clause_token1] = ACTIONS(1496),
    [aux_sym_limit_clause_token1] = ACTIONS(1496),
    [aux_sym_group_by_clause_token1] = ACTIONS(1496),
    [aux_sym_order_by_clause_token1] = ACTIONS(1496),
    [aux_sym_where_clause_token1] = ACTIONS(1496),
    [aux_sym_pivot_operator_token1] = ACTIONS(1496),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1496),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1496),
    [aux_sym_join_type_token1] = ACTIONS(1496),
    [aux_sym_join_type_token2] = ACTIONS(1496),
    [aux_sym_join_type_token3] = ACTIONS(1496),
    [aux_sym_join_type_token4] = ACTIONS(1496),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1496),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1496),
    [aux_sym_join_condition_token1] = ACTIONS(1496),
    [aux_sym_insert_statement_token1] = ACTIONS(1496),
    [aux_sym_truncate_statement_token1] = ACTIONS(1496),
    [aux_sym_update_statement_token1] = ACTIONS(1496),
    [aux_sym_merge_statement_token1] = ACTIONS(1496),
    [aux_sym_grant_statement_token1] = ACTIONS(1496),
    [aux_sym_revoke_statement_token1] = ACTIONS(1496),
    [aux_sym_export_data_statement_token1] = ACTIONS(1496),
    [aux_sym_load_data_statement_token1] = ACTIONS(1496),
    [anon_sym_LBRACK] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(1498),
    [anon_sym_PIPE_PIPE] = ACTIONS(1496),
    [anon_sym_LT_EQ] = ACTIONS(1496),
    [anon_sym_LT_GT] = ACTIONS(1496),
    [anon_sym_GT_EQ] = ACTIONS(1496),
    [anon_sym_BANG_EQ] = ACTIONS(1496),
    [anon_sym_LT_LT] = ACTIONS(1496),
    [anon_sym_GT_GT] = ACTIONS(1496),
    [anon_sym_AMP] = ACTIONS(1496),
    [anon_sym_CARET] = ACTIONS(1496),
    [anon_sym_PIPE] = ACTIONS(1498),
  },
  [571] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1446),
    [aux_sym_keyword_replace_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1446),
    [aux_sym__keyword_delete_token1] = ACTIONS(1446),
    [aux_sym__keyword_begin_token1] = ACTIONS(1446),
    [aux_sym__keyword_end_token1] = ACTIONS(1446),
    [aux_sym__keyword_between_token1] = ACTIONS(1446),
    [aux_sym__keyword_when_token1] = ACTIONS(1446),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1446),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1446),
    [aux_sym__keyword_like_token1] = ACTIONS(1446),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1446),
    [aux_sym__keyword_window_token1] = ACTIONS(1446),
    [aux_sym__keyword_for_token1] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1446),
    [aux_sym_using_clause_token1] = ACTIONS(1446),
    [aux_sym_return_satement_token1] = ACTIONS(1446),
    [aux_sym_call_statement_token1] = ACTIONS(1446),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_loop_statement_token1] = ACTIONS(1446),
    [aux_sym_repeat_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [aux_sym_leave_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_iterate_statement_token1] = ACTIONS(1446),
    [aux_sym_raise_statement_token1] = ACTIONS(1446),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1446),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1446),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1446),
    [aux_sym_set_operation_token3] = ACTIONS(1446),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1446),
    [aux_sym_having_clause_token1] = ACTIONS(1446),
    [aux_sym_qualify_clause_token1] = ACTIONS(1446),
    [aux_sym_limit_clause_token1] = ACTIONS(1446),
    [aux_sym_group_by_clause_token1] = ACTIONS(1446),
    [aux_sym_order_by_clause_token1] = ACTIONS(1446),
    [aux_sym_where_clause_token1] = ACTIONS(1446),
    [aux_sym_pivot_operator_token1] = ACTIONS(1446),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1446),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1446),
    [aux_sym_join_type_token1] = ACTIONS(1446),
    [aux_sym_join_type_token2] = ACTIONS(1446),
    [aux_sym_join_type_token3] = ACTIONS(1446),
    [aux_sym_join_type_token4] = ACTIONS(1446),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1446),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1446),
    [aux_sym_join_condition_token1] = ACTIONS(1446),
    [aux_sym_insert_statement_token1] = ACTIONS(1446),
    [aux_sym_truncate_statement_token1] = ACTIONS(1446),
    [aux_sym_update_statement_token1] = ACTIONS(1446),
    [aux_sym_merge_statement_token1] = ACTIONS(1446),
    [aux_sym_grant_statement_token1] = ACTIONS(1446),
    [aux_sym_revoke_statement_token1] = ACTIONS(1446),
    [aux_sym_export_data_statement_token1] = ACTIONS(1446),
    [aux_sym_load_data_statement_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [572] = {
    [ts_builtin_sym_end] = ACTIONS(1500),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1500),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1500),
    [aux_sym_keyword_replace_token1] = ACTIONS(1502),
    [aux_sym__keyword_alter_token1] = ACTIONS(1500),
    [aux_sym__keyword_delete_token1] = ACTIONS(1500),
    [aux_sym__keyword_begin_token1] = ACTIONS(1500),
    [aux_sym__keyword_end_token1] = ACTIONS(1500),
    [aux_sym__keyword_between_token1] = ACTIONS(1500),
    [aux_sym__keyword_when_token1] = ACTIONS(1500),
    [aux_sym__keyword_else_token1] = ACTIONS(1502),
    [aux_sym__keyword_is_token1] = ACTIONS(1500),
    [aux_sym__keyword_in_token1] = ACTIONS(1502),
    [aux_sym__keyword_and_token1] = ACTIONS(1500),
    [aux_sym__keyword_like_token1] = ACTIONS(1500),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1500),
    [aux_sym__keyword_window_token1] = ACTIONS(1500),
    [aux_sym__keyword_for_token1] = ACTIONS(1500),
    [anon_sym_SEMI] = ACTIONS(1500),
    [aux_sym_declare_statement_token1] = ACTIONS(1500),
    [anon_sym_COMMA] = ACTIONS(1500),
    [aux_sym_set_statement_token1] = ACTIONS(1500),
    [anon_sym_LPAREN] = ACTIONS(1500),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1500),
    [aux_sym_using_clause_token1] = ACTIONS(1500),
    [aux_sym_return_satement_token1] = ACTIONS(1500),
    [aux_sym_call_statement_token1] = ACTIONS(1500),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1500),
    [aux_sym_if_statement_token1] = ACTIONS(1500),
    [aux_sym_loop_statement_token1] = ACTIONS(1500),
    [aux_sym_repeat_statement_token1] = ACTIONS(1500),
    [aux_sym_while_statement_token1] = ACTIONS(1500),
    [aux_sym_break_statement_token1] = ACTIONS(1500),
    [aux_sym_leave_statement_token1] = ACTIONS(1500),
    [aux_sym_continue_statement_token1] = ACTIONS(1500),
    [aux_sym_iterate_statement_token1] = ACTIONS(1500),
    [aux_sym_raise_statement_token1] = ACTIONS(1500),
    [anon_sym_EQ] = ACTIONS(1500),
    [aux_sym_assert_statement_token1] = ACTIONS(1500),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1500),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1500),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1500),
    [anon_sym_LT] = ACTIONS(1502),
    [anon_sym_GT] = ACTIONS(1502),
    [aux_sym_set_operation_token1] = ACTIONS(1500),
    [aux_sym_set_operation_token3] = ACTIONS(1500),
    [aux_sym_set_operation_token4] = ACTIONS(1502),
    [aux_sym_select_token1] = ACTIONS(1500),
    [aux_sym_having_clause_token1] = ACTIONS(1500),
    [aux_sym_qualify_clause_token1] = ACTIONS(1500),
    [aux_sym_limit_clause_token1] = ACTIONS(1500),
    [aux_sym_group_by_clause_token1] = ACTIONS(1500),
    [aux_sym_order_by_clause_token1] = ACTIONS(1500),
    [aux_sym_where_clause_token1] = ACTIONS(1500),
    [aux_sym_pivot_operator_token1] = ACTIONS(1500),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1500),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1500),
    [aux_sym_join_type_token1] = ACTIONS(1500),
    [aux_sym_join_type_token2] = ACTIONS(1500),
    [aux_sym_join_type_token3] = ACTIONS(1500),
    [aux_sym_join_type_token4] = ACTIONS(1500),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1500),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1500),
    [aux_sym_join_condition_token1] = ACTIONS(1500),
    [aux_sym_insert_statement_token1] = ACTIONS(1500),
    [aux_sym_truncate_statement_token1] = ACTIONS(1500),
    [aux_sym_update_statement_token1] = ACTIONS(1500),
    [aux_sym_merge_statement_token1] = ACTIONS(1500),
    [aux_sym_grant_statement_token1] = ACTIONS(1500),
    [aux_sym_revoke_statement_token1] = ACTIONS(1500),
    [aux_sym_export_data_statement_token1] = ACTIONS(1500),
    [aux_sym_load_data_statement_token1] = ACTIONS(1500),
    [anon_sym_LBRACK] = ACTIONS(1500),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_STAR] = ACTIONS(1500),
    [anon_sym_SLASH] = ACTIONS(1502),
    [anon_sym_PIPE_PIPE] = ACTIONS(1500),
    [anon_sym_LT_EQ] = ACTIONS(1500),
    [anon_sym_LT_GT] = ACTIONS(1500),
    [anon_sym_GT_EQ] = ACTIONS(1500),
    [anon_sym_BANG_EQ] = ACTIONS(1500),
    [anon_sym_LT_LT] = ACTIONS(1500),
    [anon_sym_GT_GT] = ACTIONS(1500),
    [anon_sym_AMP] = ACTIONS(1500),
    [anon_sym_CARET] = ACTIONS(1500),
    [anon_sym_PIPE] = ACTIONS(1502),
  },
  [573] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1446),
    [aux_sym_keyword_replace_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1446),
    [aux_sym__keyword_delete_token1] = ACTIONS(1446),
    [aux_sym__keyword_begin_token1] = ACTIONS(1446),
    [aux_sym__keyword_end_token1] = ACTIONS(1446),
    [aux_sym__keyword_between_token1] = ACTIONS(1446),
    [aux_sym__keyword_when_token1] = ACTIONS(1446),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1446),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1446),
    [aux_sym__keyword_like_token1] = ACTIONS(1446),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1446),
    [aux_sym__keyword_window_token1] = ACTIONS(1446),
    [aux_sym__keyword_for_token1] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1446),
    [aux_sym_using_clause_token1] = ACTIONS(1446),
    [aux_sym_return_satement_token1] = ACTIONS(1446),
    [aux_sym_call_statement_token1] = ACTIONS(1446),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_loop_statement_token1] = ACTIONS(1446),
    [aux_sym_repeat_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [aux_sym_leave_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_iterate_statement_token1] = ACTIONS(1446),
    [aux_sym_raise_statement_token1] = ACTIONS(1446),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1446),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1446),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1446),
    [aux_sym_set_operation_token3] = ACTIONS(1446),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1446),
    [aux_sym_having_clause_token1] = ACTIONS(1446),
    [aux_sym_qualify_clause_token1] = ACTIONS(1446),
    [aux_sym_limit_clause_token1] = ACTIONS(1446),
    [aux_sym_group_by_clause_token1] = ACTIONS(1446),
    [aux_sym_order_by_clause_token1] = ACTIONS(1446),
    [aux_sym_where_clause_token1] = ACTIONS(1446),
    [aux_sym_pivot_operator_token1] = ACTIONS(1446),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1446),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1446),
    [aux_sym_join_type_token1] = ACTIONS(1446),
    [aux_sym_join_type_token2] = ACTIONS(1446),
    [aux_sym_join_type_token3] = ACTIONS(1446),
    [aux_sym_join_type_token4] = ACTIONS(1446),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1446),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1446),
    [aux_sym_join_condition_token1] = ACTIONS(1446),
    [aux_sym_insert_statement_token1] = ACTIONS(1446),
    [aux_sym_truncate_statement_token1] = ACTIONS(1446),
    [aux_sym_update_statement_token1] = ACTIONS(1446),
    [aux_sym_merge_statement_token1] = ACTIONS(1446),
    [aux_sym_grant_statement_token1] = ACTIONS(1446),
    [aux_sym_revoke_statement_token1] = ACTIONS(1446),
    [aux_sym_export_data_statement_token1] = ACTIONS(1446),
    [aux_sym_load_data_statement_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [574] = {
    [ts_builtin_sym_end] = ACTIONS(1504),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1504),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1504),
    [aux_sym_keyword_replace_token1] = ACTIONS(1506),
    [aux_sym__keyword_alter_token1] = ACTIONS(1504),
    [aux_sym__keyword_delete_token1] = ACTIONS(1504),
    [aux_sym__keyword_begin_token1] = ACTIONS(1504),
    [aux_sym__keyword_end_token1] = ACTIONS(1504),
    [aux_sym__keyword_between_token1] = ACTIONS(1504),
    [aux_sym__keyword_when_token1] = ACTIONS(1504),
    [aux_sym__keyword_else_token1] = ACTIONS(1506),
    [aux_sym__keyword_is_token1] = ACTIONS(1504),
    [aux_sym__keyword_in_token1] = ACTIONS(1506),
    [aux_sym__keyword_and_token1] = ACTIONS(1504),
    [aux_sym__keyword_like_token1] = ACTIONS(1504),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1504),
    [aux_sym__keyword_window_token1] = ACTIONS(1504),
    [aux_sym__keyword_for_token1] = ACTIONS(1504),
    [anon_sym_SEMI] = ACTIONS(1504),
    [aux_sym_declare_statement_token1] = ACTIONS(1504),
    [anon_sym_COMMA] = ACTIONS(1504),
    [aux_sym_set_statement_token1] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1504),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1504),
    [aux_sym_using_clause_token1] = ACTIONS(1504),
    [aux_sym_return_satement_token1] = ACTIONS(1504),
    [aux_sym_call_statement_token1] = ACTIONS(1504),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1504),
    [aux_sym_if_statement_token1] = ACTIONS(1504),
    [aux_sym_loop_statement_token1] = ACTIONS(1504),
    [aux_sym_repeat_statement_token1] = ACTIONS(1504),
    [aux_sym_while_statement_token1] = ACTIONS(1504),
    [aux_sym_break_statement_token1] = ACTIONS(1504),
    [aux_sym_leave_statement_token1] = ACTIONS(1504),
    [aux_sym_continue_statement_token1] = ACTIONS(1504),
    [aux_sym_iterate_statement_token1] = ACTIONS(1504),
    [aux_sym_raise_statement_token1] = ACTIONS(1504),
    [anon_sym_EQ] = ACTIONS(1504),
    [aux_sym_assert_statement_token1] = ACTIONS(1504),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1504),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1504),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1504),
    [anon_sym_LT] = ACTIONS(1506),
    [anon_sym_GT] = ACTIONS(1506),
    [aux_sym_set_operation_token1] = ACTIONS(1504),
    [aux_sym_set_operation_token3] = ACTIONS(1504),
    [aux_sym_set_operation_token4] = ACTIONS(1506),
    [aux_sym_select_token1] = ACTIONS(1504),
    [aux_sym_having_clause_token1] = ACTIONS(1504),
    [aux_sym_qualify_clause_token1] = ACTIONS(1504),
    [aux_sym_limit_clause_token1] = ACTIONS(1504),
    [aux_sym_group_by_clause_token1] = ACTIONS(1504),
    [aux_sym_order_by_clause_token1] = ACTIONS(1504),
    [aux_sym_where_clause_token1] = ACTIONS(1504),
    [aux_sym_pivot_operator_token1] = ACTIONS(1504),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1504),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1504),
    [aux_sym_join_type_token1] = ACTIONS(1504),
    [aux_sym_join_type_token2] = ACTIONS(1504),
    [aux_sym_join_type_token3] = ACTIONS(1504),
    [aux_sym_join_type_token4] = ACTIONS(1504),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1504),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1504),
    [aux_sym_join_condition_token1] = ACTIONS(1504),
    [aux_sym_insert_statement_token1] = ACTIONS(1504),
    [aux_sym_truncate_statement_token1] = ACTIONS(1504),
    [aux_sym_update_statement_token1] = ACTIONS(1504),
    [aux_sym_merge_statement_token1] = ACTIONS(1504),
    [aux_sym_grant_statement_token1] = ACTIONS(1504),
    [aux_sym_revoke_statement_token1] = ACTIONS(1504),
    [aux_sym_export_data_statement_token1] = ACTIONS(1504),
    [aux_sym_load_data_statement_token1] = ACTIONS(1504),
    [anon_sym_LBRACK] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1504),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1506),
    [anon_sym_STAR] = ACTIONS(1504),
    [anon_sym_SLASH] = ACTIONS(1506),
    [anon_sym_PIPE_PIPE] = ACTIONS(1504),
    [anon_sym_LT_EQ] = ACTIONS(1504),
    [anon_sym_LT_GT] = ACTIONS(1504),
    [anon_sym_GT_EQ] = ACTIONS(1504),
    [anon_sym_BANG_EQ] = ACTIONS(1504),
    [anon_sym_LT_LT] = ACTIONS(1504),
    [anon_sym_GT_GT] = ACTIONS(1504),
    [anon_sym_AMP] = ACTIONS(1504),
    [anon_sym_CARET] = ACTIONS(1504),
    [anon_sym_PIPE] = ACTIONS(1506),
  },
  [575] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1446),
    [aux_sym_keyword_replace_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1446),
    [aux_sym__keyword_delete_token1] = ACTIONS(1446),
    [aux_sym__keyword_begin_token1] = ACTIONS(1446),
    [aux_sym__keyword_end_token1] = ACTIONS(1446),
    [aux_sym__keyword_between_token1] = ACTIONS(1446),
    [aux_sym__keyword_when_token1] = ACTIONS(1446),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1446),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1446),
    [aux_sym__keyword_like_token1] = ACTIONS(1446),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1446),
    [aux_sym__keyword_window_token1] = ACTIONS(1446),
    [aux_sym__keyword_for_token1] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1446),
    [aux_sym_using_clause_token1] = ACTIONS(1446),
    [aux_sym_return_satement_token1] = ACTIONS(1446),
    [aux_sym_call_statement_token1] = ACTIONS(1446),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_loop_statement_token1] = ACTIONS(1446),
    [aux_sym_repeat_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [aux_sym_leave_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_iterate_statement_token1] = ACTIONS(1446),
    [aux_sym_raise_statement_token1] = ACTIONS(1446),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1446),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1446),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1446),
    [aux_sym_set_operation_token3] = ACTIONS(1446),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1446),
    [aux_sym_having_clause_token1] = ACTIONS(1446),
    [aux_sym_qualify_clause_token1] = ACTIONS(1446),
    [aux_sym_limit_clause_token1] = ACTIONS(1446),
    [aux_sym_group_by_clause_token1] = ACTIONS(1446),
    [aux_sym_order_by_clause_token1] = ACTIONS(1446),
    [aux_sym_where_clause_token1] = ACTIONS(1446),
    [aux_sym_pivot_operator_token1] = ACTIONS(1446),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1446),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1446),
    [aux_sym_join_type_token1] = ACTIONS(1446),
    [aux_sym_join_type_token2] = ACTIONS(1446),
    [aux_sym_join_type_token3] = ACTIONS(1446),
    [aux_sym_join_type_token4] = ACTIONS(1446),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1446),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1446),
    [aux_sym_join_condition_token1] = ACTIONS(1446),
    [aux_sym_insert_statement_token1] = ACTIONS(1446),
    [aux_sym_truncate_statement_token1] = ACTIONS(1446),
    [aux_sym_update_statement_token1] = ACTIONS(1446),
    [aux_sym_merge_statement_token1] = ACTIONS(1446),
    [aux_sym_grant_statement_token1] = ACTIONS(1446),
    [aux_sym_revoke_statement_token1] = ACTIONS(1446),
    [aux_sym_export_data_statement_token1] = ACTIONS(1446),
    [aux_sym_load_data_statement_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [576] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1446),
    [aux_sym_keyword_replace_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1446),
    [aux_sym__keyword_delete_token1] = ACTIONS(1446),
    [aux_sym__keyword_begin_token1] = ACTIONS(1446),
    [aux_sym__keyword_end_token1] = ACTIONS(1446),
    [aux_sym__keyword_between_token1] = ACTIONS(1446),
    [aux_sym__keyword_when_token1] = ACTIONS(1446),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1446),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1446),
    [aux_sym__keyword_like_token1] = ACTIONS(1446),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1446),
    [aux_sym__keyword_window_token1] = ACTIONS(1446),
    [aux_sym__keyword_for_token1] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1446),
    [aux_sym_using_clause_token1] = ACTIONS(1446),
    [aux_sym_return_satement_token1] = ACTIONS(1446),
    [aux_sym_call_statement_token1] = ACTIONS(1446),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_loop_statement_token1] = ACTIONS(1446),
    [aux_sym_repeat_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [aux_sym_leave_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_iterate_statement_token1] = ACTIONS(1446),
    [aux_sym_raise_statement_token1] = ACTIONS(1446),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1446),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1446),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1446),
    [aux_sym_set_operation_token3] = ACTIONS(1446),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1446),
    [aux_sym_having_clause_token1] = ACTIONS(1446),
    [aux_sym_qualify_clause_token1] = ACTIONS(1446),
    [aux_sym_limit_clause_token1] = ACTIONS(1446),
    [aux_sym_group_by_clause_token1] = ACTIONS(1446),
    [aux_sym_order_by_clause_token1] = ACTIONS(1446),
    [aux_sym_where_clause_token1] = ACTIONS(1446),
    [aux_sym_pivot_operator_token1] = ACTIONS(1446),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1446),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1446),
    [aux_sym_join_type_token1] = ACTIONS(1446),
    [aux_sym_join_type_token2] = ACTIONS(1446),
    [aux_sym_join_type_token3] = ACTIONS(1446),
    [aux_sym_join_type_token4] = ACTIONS(1446),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1446),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1446),
    [aux_sym_join_condition_token1] = ACTIONS(1446),
    [aux_sym_insert_statement_token1] = ACTIONS(1446),
    [aux_sym_truncate_statement_token1] = ACTIONS(1446),
    [aux_sym_update_statement_token1] = ACTIONS(1446),
    [aux_sym_merge_statement_token1] = ACTIONS(1446),
    [aux_sym_grant_statement_token1] = ACTIONS(1446),
    [aux_sym_revoke_statement_token1] = ACTIONS(1446),
    [aux_sym_export_data_statement_token1] = ACTIONS(1446),
    [aux_sym_load_data_statement_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [577] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1446),
    [aux_sym_keyword_replace_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1446),
    [aux_sym__keyword_delete_token1] = ACTIONS(1446),
    [aux_sym__keyword_begin_token1] = ACTIONS(1446),
    [aux_sym__keyword_end_token1] = ACTIONS(1446),
    [aux_sym__keyword_between_token1] = ACTIONS(1446),
    [aux_sym__keyword_when_token1] = ACTIONS(1446),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1446),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1446),
    [aux_sym__keyword_like_token1] = ACTIONS(1446),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1446),
    [aux_sym__keyword_window_token1] = ACTIONS(1446),
    [aux_sym__keyword_for_token1] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1446),
    [aux_sym_using_clause_token1] = ACTIONS(1446),
    [aux_sym_return_satement_token1] = ACTIONS(1446),
    [aux_sym_call_statement_token1] = ACTIONS(1446),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_loop_statement_token1] = ACTIONS(1446),
    [aux_sym_repeat_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [aux_sym_leave_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_iterate_statement_token1] = ACTIONS(1446),
    [aux_sym_raise_statement_token1] = ACTIONS(1446),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1446),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1446),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1446),
    [aux_sym_set_operation_token3] = ACTIONS(1446),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1446),
    [aux_sym_having_clause_token1] = ACTIONS(1446),
    [aux_sym_qualify_clause_token1] = ACTIONS(1446),
    [aux_sym_limit_clause_token1] = ACTIONS(1446),
    [aux_sym_group_by_clause_token1] = ACTIONS(1446),
    [aux_sym_order_by_clause_token1] = ACTIONS(1446),
    [aux_sym_where_clause_token1] = ACTIONS(1446),
    [aux_sym_pivot_operator_token1] = ACTIONS(1446),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1446),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1446),
    [aux_sym_join_type_token1] = ACTIONS(1446),
    [aux_sym_join_type_token2] = ACTIONS(1446),
    [aux_sym_join_type_token3] = ACTIONS(1446),
    [aux_sym_join_type_token4] = ACTIONS(1446),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1446),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1446),
    [aux_sym_join_condition_token1] = ACTIONS(1446),
    [aux_sym_insert_statement_token1] = ACTIONS(1446),
    [aux_sym_truncate_statement_token1] = ACTIONS(1446),
    [aux_sym_update_statement_token1] = ACTIONS(1446),
    [aux_sym_merge_statement_token1] = ACTIONS(1446),
    [aux_sym_grant_statement_token1] = ACTIONS(1446),
    [aux_sym_revoke_statement_token1] = ACTIONS(1446),
    [aux_sym_export_data_statement_token1] = ACTIONS(1446),
    [aux_sym_load_data_statement_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [578] = {
    [ts_builtin_sym_end] = ACTIONS(1776),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1776),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1776),
    [aux_sym_keyword_replace_token1] = ACTIONS(1778),
    [aux_sym__keyword_alter_token1] = ACTIONS(1776),
    [aux_sym__keyword_delete_token1] = ACTIONS(1776),
    [aux_sym__keyword_begin_token1] = ACTIONS(1776),
    [aux_sym__keyword_end_token1] = ACTIONS(1776),
    [aux_sym__keyword_between_token1] = ACTIONS(1776),
    [aux_sym__keyword_when_token1] = ACTIONS(1776),
    [aux_sym__keyword_else_token1] = ACTIONS(1778),
    [aux_sym__keyword_is_token1] = ACTIONS(1776),
    [aux_sym__keyword_in_token1] = ACTIONS(1778),
    [aux_sym__keyword_and_token1] = ACTIONS(1776),
    [aux_sym__keyword_like_token1] = ACTIONS(1776),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1776),
    [aux_sym__keyword_window_token1] = ACTIONS(1776),
    [aux_sym__keyword_for_token1] = ACTIONS(1776),
    [anon_sym_SEMI] = ACTIONS(1776),
    [aux_sym_declare_statement_token1] = ACTIONS(1776),
    [anon_sym_COMMA] = ACTIONS(1776),
    [aux_sym_set_statement_token1] = ACTIONS(1776),
    [anon_sym_LPAREN] = ACTIONS(1776),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1776),
    [aux_sym_using_clause_token1] = ACTIONS(1776),
    [aux_sym_return_satement_token1] = ACTIONS(1776),
    [aux_sym_call_statement_token1] = ACTIONS(1776),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1776),
    [aux_sym_if_statement_token1] = ACTIONS(1776),
    [aux_sym_loop_statement_token1] = ACTIONS(1776),
    [aux_sym_repeat_statement_token1] = ACTIONS(1776),
    [aux_sym_while_statement_token1] = ACTIONS(1776),
    [aux_sym_break_statement_token1] = ACTIONS(1776),
    [aux_sym_leave_statement_token1] = ACTIONS(1776),
    [aux_sym_continue_statement_token1] = ACTIONS(1776),
    [aux_sym_iterate_statement_token1] = ACTIONS(1776),
    [aux_sym_raise_statement_token1] = ACTIONS(1776),
    [anon_sym_EQ] = ACTIONS(1776),
    [aux_sym_assert_statement_token1] = ACTIONS(1776),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1776),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1776),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1776),
    [anon_sym_LT] = ACTIONS(1778),
    [anon_sym_GT] = ACTIONS(1778),
    [aux_sym_set_operation_token1] = ACTIONS(1776),
    [aux_sym_set_operation_token3] = ACTIONS(1776),
    [aux_sym_set_operation_token4] = ACTIONS(1778),
    [aux_sym_select_token1] = ACTIONS(1776),
    [aux_sym_having_clause_token1] = ACTIONS(1776),
    [aux_sym_qualify_clause_token1] = ACTIONS(1776),
    [aux_sym_limit_clause_token1] = ACTIONS(1776),
    [aux_sym_group_by_clause_token1] = ACTIONS(1776),
    [aux_sym_order_by_clause_token1] = ACTIONS(1776),
    [aux_sym_where_clause_token1] = ACTIONS(1776),
    [aux_sym_pivot_operator_token1] = ACTIONS(1776),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1776),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1776),
    [aux_sym_join_type_token1] = ACTIONS(1776),
    [aux_sym_join_type_token2] = ACTIONS(1776),
    [aux_sym_join_type_token3] = ACTIONS(1776),
    [aux_sym_join_type_token4] = ACTIONS(1776),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1776),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1776),
    [aux_sym_join_condition_token1] = ACTIONS(1776),
    [aux_sym_insert_statement_token1] = ACTIONS(1776),
    [aux_sym_truncate_statement_token1] = ACTIONS(1776),
    [aux_sym_update_statement_token1] = ACTIONS(1776),
    [aux_sym_merge_statement_token1] = ACTIONS(1776),
    [aux_sym_grant_statement_token1] = ACTIONS(1776),
    [aux_sym_revoke_statement_token1] = ACTIONS(1776),
    [aux_sym_export_data_statement_token1] = ACTIONS(1776),
    [aux_sym_load_data_statement_token1] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1776),
    [anon_sym_PLUS] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1778),
    [anon_sym_STAR] = ACTIONS(1776),
    [anon_sym_SLASH] = ACTIONS(1778),
    [anon_sym_PIPE_PIPE] = ACTIONS(1776),
    [anon_sym_LT_EQ] = ACTIONS(1776),
    [anon_sym_LT_GT] = ACTIONS(1776),
    [anon_sym_GT_EQ] = ACTIONS(1776),
    [anon_sym_BANG_EQ] = ACTIONS(1776),
    [anon_sym_LT_LT] = ACTIONS(1776),
    [anon_sym_GT_GT] = ACTIONS(1776),
    [anon_sym_AMP] = ACTIONS(1776),
    [anon_sym_CARET] = ACTIONS(1776),
    [anon_sym_PIPE] = ACTIONS(1778),
  },
  [579] = {
    [ts_builtin_sym_end] = ACTIONS(1776),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1776),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1776),
    [aux_sym_keyword_replace_token1] = ACTIONS(1778),
    [aux_sym__keyword_alter_token1] = ACTIONS(1776),
    [aux_sym__keyword_delete_token1] = ACTIONS(1776),
    [aux_sym__keyword_begin_token1] = ACTIONS(1776),
    [aux_sym__keyword_end_token1] = ACTIONS(1776),
    [aux_sym__keyword_between_token1] = ACTIONS(1776),
    [aux_sym__keyword_when_token1] = ACTIONS(1776),
    [aux_sym__keyword_else_token1] = ACTIONS(1778),
    [aux_sym__keyword_is_token1] = ACTIONS(1776),
    [aux_sym__keyword_in_token1] = ACTIONS(1778),
    [aux_sym__keyword_and_token1] = ACTIONS(1776),
    [aux_sym__keyword_like_token1] = ACTIONS(1776),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1776),
    [aux_sym__keyword_window_token1] = ACTIONS(1776),
    [aux_sym__keyword_for_token1] = ACTIONS(1776),
    [anon_sym_SEMI] = ACTIONS(1776),
    [aux_sym_declare_statement_token1] = ACTIONS(1776),
    [anon_sym_COMMA] = ACTIONS(1776),
    [aux_sym_set_statement_token1] = ACTIONS(1776),
    [anon_sym_LPAREN] = ACTIONS(1776),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1776),
    [aux_sym_using_clause_token1] = ACTIONS(1776),
    [aux_sym_return_satement_token1] = ACTIONS(1776),
    [aux_sym_call_statement_token1] = ACTIONS(1776),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1776),
    [aux_sym_if_statement_token1] = ACTIONS(1776),
    [aux_sym_loop_statement_token1] = ACTIONS(1776),
    [aux_sym_repeat_statement_token1] = ACTIONS(1776),
    [aux_sym_while_statement_token1] = ACTIONS(1776),
    [aux_sym_break_statement_token1] = ACTIONS(1776),
    [aux_sym_leave_statement_token1] = ACTIONS(1776),
    [aux_sym_continue_statement_token1] = ACTIONS(1776),
    [aux_sym_iterate_statement_token1] = ACTIONS(1776),
    [aux_sym_raise_statement_token1] = ACTIONS(1776),
    [anon_sym_EQ] = ACTIONS(1776),
    [aux_sym_assert_statement_token1] = ACTIONS(1776),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1776),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1776),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1776),
    [anon_sym_LT] = ACTIONS(1778),
    [anon_sym_GT] = ACTIONS(1778),
    [aux_sym_set_operation_token1] = ACTIONS(1776),
    [aux_sym_set_operation_token3] = ACTIONS(1776),
    [aux_sym_set_operation_token4] = ACTIONS(1778),
    [aux_sym_select_token1] = ACTIONS(1776),
    [aux_sym_having_clause_token1] = ACTIONS(1776),
    [aux_sym_qualify_clause_token1] = ACTIONS(1776),
    [aux_sym_limit_clause_token1] = ACTIONS(1776),
    [aux_sym_group_by_clause_token1] = ACTIONS(1776),
    [aux_sym_order_by_clause_token1] = ACTIONS(1776),
    [aux_sym_where_clause_token1] = ACTIONS(1776),
    [aux_sym_pivot_operator_token1] = ACTIONS(1776),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1776),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1776),
    [aux_sym_join_type_token1] = ACTIONS(1776),
    [aux_sym_join_type_token2] = ACTIONS(1776),
    [aux_sym_join_type_token3] = ACTIONS(1776),
    [aux_sym_join_type_token4] = ACTIONS(1776),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1776),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1776),
    [aux_sym_join_condition_token1] = ACTIONS(1776),
    [aux_sym_insert_statement_token1] = ACTIONS(1776),
    [aux_sym_truncate_statement_token1] = ACTIONS(1776),
    [aux_sym_update_statement_token1] = ACTIONS(1776),
    [aux_sym_merge_statement_token1] = ACTIONS(1776),
    [aux_sym_grant_statement_token1] = ACTIONS(1776),
    [aux_sym_revoke_statement_token1] = ACTIONS(1776),
    [aux_sym_export_data_statement_token1] = ACTIONS(1776),
    [aux_sym_load_data_statement_token1] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1776),
    [anon_sym_PLUS] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1778),
    [anon_sym_STAR] = ACTIONS(1776),
    [anon_sym_SLASH] = ACTIONS(1778),
    [anon_sym_PIPE_PIPE] = ACTIONS(1776),
    [anon_sym_LT_EQ] = ACTIONS(1776),
    [anon_sym_LT_GT] = ACTIONS(1776),
    [anon_sym_GT_EQ] = ACTIONS(1776),
    [anon_sym_BANG_EQ] = ACTIONS(1776),
    [anon_sym_LT_LT] = ACTIONS(1776),
    [anon_sym_GT_GT] = ACTIONS(1776),
    [anon_sym_AMP] = ACTIONS(1776),
    [anon_sym_CARET] = ACTIONS(1776),
    [anon_sym_PIPE] = ACTIONS(1778),
  },
  [580] = {
    [ts_builtin_sym_end] = ACTIONS(1516),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1516),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1516),
    [aux_sym_keyword_replace_token1] = ACTIONS(1518),
    [aux_sym__keyword_alter_token1] = ACTIONS(1516),
    [aux_sym__keyword_delete_token1] = ACTIONS(1516),
    [aux_sym__keyword_begin_token1] = ACTIONS(1516),
    [aux_sym__keyword_end_token1] = ACTIONS(1516),
    [aux_sym__keyword_between_token1] = ACTIONS(1516),
    [aux_sym__keyword_when_token1] = ACTIONS(1516),
    [aux_sym__keyword_else_token1] = ACTIONS(1518),
    [aux_sym__keyword_is_token1] = ACTIONS(1516),
    [aux_sym__keyword_in_token1] = ACTIONS(1518),
    [aux_sym__keyword_and_token1] = ACTIONS(1516),
    [aux_sym__keyword_like_token1] = ACTIONS(1516),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1516),
    [aux_sym__keyword_window_token1] = ACTIONS(1516),
    [aux_sym__keyword_for_token1] = ACTIONS(1516),
    [anon_sym_SEMI] = ACTIONS(1516),
    [aux_sym_declare_statement_token1] = ACTIONS(1516),
    [anon_sym_COMMA] = ACTIONS(1516),
    [aux_sym_set_statement_token1] = ACTIONS(1516),
    [anon_sym_LPAREN] = ACTIONS(1516),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1516),
    [aux_sym_using_clause_token1] = ACTIONS(1516),
    [aux_sym_return_satement_token1] = ACTIONS(1516),
    [aux_sym_call_statement_token1] = ACTIONS(1516),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1516),
    [aux_sym_if_statement_token1] = ACTIONS(1516),
    [aux_sym_loop_statement_token1] = ACTIONS(1516),
    [aux_sym_repeat_statement_token1] = ACTIONS(1516),
    [aux_sym_while_statement_token1] = ACTIONS(1516),
    [aux_sym_break_statement_token1] = ACTIONS(1516),
    [aux_sym_leave_statement_token1] = ACTIONS(1516),
    [aux_sym_continue_statement_token1] = ACTIONS(1516),
    [aux_sym_iterate_statement_token1] = ACTIONS(1516),
    [aux_sym_raise_statement_token1] = ACTIONS(1516),
    [anon_sym_EQ] = ACTIONS(1516),
    [aux_sym_assert_statement_token1] = ACTIONS(1516),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1516),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1516),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1516),
    [anon_sym_LT] = ACTIONS(1518),
    [anon_sym_GT] = ACTIONS(1518),
    [aux_sym_set_operation_token1] = ACTIONS(1516),
    [aux_sym_set_operation_token3] = ACTIONS(1516),
    [aux_sym_set_operation_token4] = ACTIONS(1518),
    [aux_sym_select_token1] = ACTIONS(1516),
    [aux_sym_having_clause_token1] = ACTIONS(1516),
    [aux_sym_qualify_clause_token1] = ACTIONS(1516),
    [aux_sym_limit_clause_token1] = ACTIONS(1516),
    [aux_sym_group_by_clause_token1] = ACTIONS(1516),
    [aux_sym_order_by_clause_token1] = ACTIONS(1516),
    [aux_sym_where_clause_token1] = ACTIONS(1516),
    [aux_sym_pivot_operator_token1] = ACTIONS(1516),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1516),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1516),
    [aux_sym_join_type_token1] = ACTIONS(1516),
    [aux_sym_join_type_token2] = ACTIONS(1516),
    [aux_sym_join_type_token3] = ACTIONS(1516),
    [aux_sym_join_type_token4] = ACTIONS(1516),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1516),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1516),
    [aux_sym_join_condition_token1] = ACTIONS(1516),
    [aux_sym_insert_statement_token1] = ACTIONS(1516),
    [aux_sym_truncate_statement_token1] = ACTIONS(1516),
    [aux_sym_update_statement_token1] = ACTIONS(1516),
    [aux_sym_merge_statement_token1] = ACTIONS(1516),
    [aux_sym_grant_statement_token1] = ACTIONS(1516),
    [aux_sym_revoke_statement_token1] = ACTIONS(1516),
    [aux_sym_export_data_statement_token1] = ACTIONS(1516),
    [aux_sym_load_data_statement_token1] = ACTIONS(1516),
    [anon_sym_LBRACK] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1516),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1518),
    [anon_sym_STAR] = ACTIONS(1516),
    [anon_sym_SLASH] = ACTIONS(1518),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [anon_sym_LT_EQ] = ACTIONS(1516),
    [anon_sym_LT_GT] = ACTIONS(1516),
    [anon_sym_GT_EQ] = ACTIONS(1516),
    [anon_sym_BANG_EQ] = ACTIONS(1516),
    [anon_sym_LT_LT] = ACTIONS(1516),
    [anon_sym_GT_GT] = ACTIONS(1516),
    [anon_sym_AMP] = ACTIONS(1516),
    [anon_sym_CARET] = ACTIONS(1516),
    [anon_sym_PIPE] = ACTIONS(1518),
  },
  [581] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_where_clause_token1] = ACTIONS(1370),
    [aux_sym_pivot_operator_token1] = ACTIONS(1370),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1370),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1370),
    [aux_sym_join_type_token1] = ACTIONS(1370),
    [aux_sym_join_type_token2] = ACTIONS(1370),
    [aux_sym_join_type_token3] = ACTIONS(1370),
    [aux_sym_join_type_token4] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1370),
    [aux_sym_join_condition_token1] = ACTIONS(1370),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [582] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_where_clause_token1] = ACTIONS(1370),
    [aux_sym_pivot_operator_token1] = ACTIONS(1370),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1370),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1370),
    [aux_sym_join_type_token1] = ACTIONS(1370),
    [aux_sym_join_type_token2] = ACTIONS(1370),
    [aux_sym_join_type_token3] = ACTIONS(1370),
    [aux_sym_join_type_token4] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1370),
    [aux_sym_join_condition_token1] = ACTIONS(1370),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [583] = {
    [ts_builtin_sym_end] = ACTIONS(1776),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1776),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1776),
    [aux_sym_keyword_replace_token1] = ACTIONS(1778),
    [aux_sym__keyword_alter_token1] = ACTIONS(1776),
    [aux_sym__keyword_delete_token1] = ACTIONS(1776),
    [aux_sym__keyword_begin_token1] = ACTIONS(1776),
    [aux_sym__keyword_end_token1] = ACTIONS(1776),
    [aux_sym__keyword_between_token1] = ACTIONS(1776),
    [aux_sym__keyword_when_token1] = ACTIONS(1776),
    [aux_sym__keyword_else_token1] = ACTIONS(1778),
    [aux_sym__keyword_is_token1] = ACTIONS(1776),
    [aux_sym__keyword_in_token1] = ACTIONS(1778),
    [aux_sym__keyword_and_token1] = ACTIONS(1776),
    [aux_sym__keyword_like_token1] = ACTIONS(1776),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1776),
    [aux_sym__keyword_window_token1] = ACTIONS(1776),
    [aux_sym__keyword_for_token1] = ACTIONS(1776),
    [anon_sym_SEMI] = ACTIONS(1776),
    [aux_sym_declare_statement_token1] = ACTIONS(1776),
    [anon_sym_COMMA] = ACTIONS(1776),
    [aux_sym_set_statement_token1] = ACTIONS(1776),
    [anon_sym_LPAREN] = ACTIONS(1776),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1776),
    [aux_sym_using_clause_token1] = ACTIONS(1776),
    [aux_sym_return_satement_token1] = ACTIONS(1776),
    [aux_sym_call_statement_token1] = ACTIONS(1776),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1776),
    [aux_sym_if_statement_token1] = ACTIONS(1776),
    [aux_sym_loop_statement_token1] = ACTIONS(1776),
    [aux_sym_repeat_statement_token1] = ACTIONS(1776),
    [aux_sym_while_statement_token1] = ACTIONS(1776),
    [aux_sym_break_statement_token1] = ACTIONS(1776),
    [aux_sym_leave_statement_token1] = ACTIONS(1776),
    [aux_sym_continue_statement_token1] = ACTIONS(1776),
    [aux_sym_iterate_statement_token1] = ACTIONS(1776),
    [aux_sym_raise_statement_token1] = ACTIONS(1776),
    [anon_sym_EQ] = ACTIONS(1776),
    [aux_sym_assert_statement_token1] = ACTIONS(1776),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1776),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1776),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1776),
    [anon_sym_LT] = ACTIONS(1778),
    [anon_sym_GT] = ACTIONS(1778),
    [aux_sym_set_operation_token1] = ACTIONS(1776),
    [aux_sym_set_operation_token3] = ACTIONS(1776),
    [aux_sym_set_operation_token4] = ACTIONS(1778),
    [aux_sym_select_token1] = ACTIONS(1776),
    [aux_sym_having_clause_token1] = ACTIONS(1776),
    [aux_sym_qualify_clause_token1] = ACTIONS(1776),
    [aux_sym_limit_clause_token1] = ACTIONS(1776),
    [aux_sym_group_by_clause_token1] = ACTIONS(1776),
    [aux_sym_order_by_clause_token1] = ACTIONS(1776),
    [aux_sym_where_clause_token1] = ACTIONS(1776),
    [aux_sym_pivot_operator_token1] = ACTIONS(1776),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1776),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1776),
    [aux_sym_join_type_token1] = ACTIONS(1776),
    [aux_sym_join_type_token2] = ACTIONS(1776),
    [aux_sym_join_type_token3] = ACTIONS(1776),
    [aux_sym_join_type_token4] = ACTIONS(1776),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1776),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1776),
    [aux_sym_join_condition_token1] = ACTIONS(1776),
    [aux_sym_insert_statement_token1] = ACTIONS(1776),
    [aux_sym_truncate_statement_token1] = ACTIONS(1776),
    [aux_sym_update_statement_token1] = ACTIONS(1776),
    [aux_sym_merge_statement_token1] = ACTIONS(1776),
    [aux_sym_grant_statement_token1] = ACTIONS(1776),
    [aux_sym_revoke_statement_token1] = ACTIONS(1776),
    [aux_sym_export_data_statement_token1] = ACTIONS(1776),
    [aux_sym_load_data_statement_token1] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1776),
    [anon_sym_PLUS] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1778),
    [anon_sym_STAR] = ACTIONS(1776),
    [anon_sym_SLASH] = ACTIONS(1778),
    [anon_sym_PIPE_PIPE] = ACTIONS(1776),
    [anon_sym_LT_EQ] = ACTIONS(1776),
    [anon_sym_LT_GT] = ACTIONS(1776),
    [anon_sym_GT_EQ] = ACTIONS(1776),
    [anon_sym_BANG_EQ] = ACTIONS(1776),
    [anon_sym_LT_LT] = ACTIONS(1776),
    [anon_sym_GT_GT] = ACTIONS(1776),
    [anon_sym_AMP] = ACTIONS(1776),
    [anon_sym_CARET] = ACTIONS(1776),
    [anon_sym_PIPE] = ACTIONS(1778),
  },
  [584] = {
    [ts_builtin_sym_end] = ACTIONS(1776),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1776),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1776),
    [aux_sym_keyword_replace_token1] = ACTIONS(1778),
    [aux_sym__keyword_alter_token1] = ACTIONS(1776),
    [aux_sym__keyword_delete_token1] = ACTIONS(1776),
    [aux_sym__keyword_begin_token1] = ACTIONS(1776),
    [aux_sym__keyword_end_token1] = ACTIONS(1776),
    [aux_sym__keyword_between_token1] = ACTIONS(1776),
    [aux_sym__keyword_when_token1] = ACTIONS(1776),
    [aux_sym__keyword_else_token1] = ACTIONS(1778),
    [aux_sym__keyword_is_token1] = ACTIONS(1776),
    [aux_sym__keyword_in_token1] = ACTIONS(1778),
    [aux_sym__keyword_and_token1] = ACTIONS(1776),
    [aux_sym__keyword_like_token1] = ACTIONS(1776),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1776),
    [aux_sym__keyword_window_token1] = ACTIONS(1776),
    [aux_sym__keyword_for_token1] = ACTIONS(1776),
    [anon_sym_SEMI] = ACTIONS(1776),
    [aux_sym_declare_statement_token1] = ACTIONS(1776),
    [anon_sym_COMMA] = ACTIONS(1776),
    [aux_sym_set_statement_token1] = ACTIONS(1776),
    [anon_sym_LPAREN] = ACTIONS(1776),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1776),
    [aux_sym_using_clause_token1] = ACTIONS(1776),
    [aux_sym_return_satement_token1] = ACTIONS(1776),
    [aux_sym_call_statement_token1] = ACTIONS(1776),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1776),
    [aux_sym_if_statement_token1] = ACTIONS(1776),
    [aux_sym_loop_statement_token1] = ACTIONS(1776),
    [aux_sym_repeat_statement_token1] = ACTIONS(1776),
    [aux_sym_while_statement_token1] = ACTIONS(1776),
    [aux_sym_break_statement_token1] = ACTIONS(1776),
    [aux_sym_leave_statement_token1] = ACTIONS(1776),
    [aux_sym_continue_statement_token1] = ACTIONS(1776),
    [aux_sym_iterate_statement_token1] = ACTIONS(1776),
    [aux_sym_raise_statement_token1] = ACTIONS(1776),
    [anon_sym_EQ] = ACTIONS(1776),
    [aux_sym_assert_statement_token1] = ACTIONS(1776),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1776),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1776),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1776),
    [anon_sym_LT] = ACTIONS(1778),
    [anon_sym_GT] = ACTIONS(1778),
    [aux_sym_set_operation_token1] = ACTIONS(1776),
    [aux_sym_set_operation_token3] = ACTIONS(1776),
    [aux_sym_set_operation_token4] = ACTIONS(1778),
    [aux_sym_select_token1] = ACTIONS(1776),
    [aux_sym_having_clause_token1] = ACTIONS(1776),
    [aux_sym_qualify_clause_token1] = ACTIONS(1776),
    [aux_sym_limit_clause_token1] = ACTIONS(1776),
    [aux_sym_group_by_clause_token1] = ACTIONS(1776),
    [aux_sym_order_by_clause_token1] = ACTIONS(1776),
    [aux_sym_where_clause_token1] = ACTIONS(1776),
    [aux_sym_pivot_operator_token1] = ACTIONS(1776),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1776),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1776),
    [aux_sym_join_type_token1] = ACTIONS(1776),
    [aux_sym_join_type_token2] = ACTIONS(1776),
    [aux_sym_join_type_token3] = ACTIONS(1776),
    [aux_sym_join_type_token4] = ACTIONS(1776),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1776),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1776),
    [aux_sym_join_condition_token1] = ACTIONS(1776),
    [aux_sym_insert_statement_token1] = ACTIONS(1776),
    [aux_sym_truncate_statement_token1] = ACTIONS(1776),
    [aux_sym_update_statement_token1] = ACTIONS(1776),
    [aux_sym_merge_statement_token1] = ACTIONS(1776),
    [aux_sym_grant_statement_token1] = ACTIONS(1776),
    [aux_sym_revoke_statement_token1] = ACTIONS(1776),
    [aux_sym_export_data_statement_token1] = ACTIONS(1776),
    [aux_sym_load_data_statement_token1] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1776),
    [anon_sym_PLUS] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1778),
    [anon_sym_STAR] = ACTIONS(1776),
    [anon_sym_SLASH] = ACTIONS(1778),
    [anon_sym_PIPE_PIPE] = ACTIONS(1776),
    [anon_sym_LT_EQ] = ACTIONS(1776),
    [anon_sym_LT_GT] = ACTIONS(1776),
    [anon_sym_GT_EQ] = ACTIONS(1776),
    [anon_sym_BANG_EQ] = ACTIONS(1776),
    [anon_sym_LT_LT] = ACTIONS(1776),
    [anon_sym_GT_GT] = ACTIONS(1776),
    [anon_sym_AMP] = ACTIONS(1776),
    [anon_sym_CARET] = ACTIONS(1776),
    [anon_sym_PIPE] = ACTIONS(1778),
  },
  [585] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_where_clause_token1] = ACTIONS(1370),
    [aux_sym_pivot_operator_token1] = ACTIONS(1370),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1370),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1370),
    [aux_sym_join_type_token1] = ACTIONS(1370),
    [aux_sym_join_type_token2] = ACTIONS(1370),
    [aux_sym_join_type_token3] = ACTIONS(1370),
    [aux_sym_join_type_token4] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1370),
    [aux_sym_join_condition_token1] = ACTIONS(1370),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [586] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_where_clause_token1] = ACTIONS(1370),
    [aux_sym_pivot_operator_token1] = ACTIONS(1370),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1370),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1370),
    [aux_sym_join_type_token1] = ACTIONS(1370),
    [aux_sym_join_type_token2] = ACTIONS(1370),
    [aux_sym_join_type_token3] = ACTIONS(1370),
    [aux_sym_join_type_token4] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1370),
    [aux_sym_join_condition_token1] = ACTIONS(1370),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [587] = {
    [ts_builtin_sym_end] = ACTIONS(1780),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1780),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1780),
    [aux_sym_keyword_replace_token1] = ACTIONS(1782),
    [aux_sym__keyword_alter_token1] = ACTIONS(1780),
    [aux_sym__keyword_delete_token1] = ACTIONS(1780),
    [aux_sym__keyword_begin_token1] = ACTIONS(1780),
    [aux_sym__keyword_end_token1] = ACTIONS(1780),
    [aux_sym__keyword_between_token1] = ACTIONS(1780),
    [aux_sym__keyword_when_token1] = ACTIONS(1780),
    [aux_sym__keyword_else_token1] = ACTIONS(1782),
    [aux_sym__keyword_is_token1] = ACTIONS(1780),
    [aux_sym__keyword_in_token1] = ACTIONS(1782),
    [aux_sym__keyword_and_token1] = ACTIONS(1780),
    [aux_sym__keyword_like_token1] = ACTIONS(1780),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1780),
    [aux_sym__keyword_window_token1] = ACTIONS(1780),
    [aux_sym__keyword_for_token1] = ACTIONS(1780),
    [anon_sym_SEMI] = ACTIONS(1780),
    [aux_sym_declare_statement_token1] = ACTIONS(1780),
    [anon_sym_COMMA] = ACTIONS(1780),
    [aux_sym_set_statement_token1] = ACTIONS(1780),
    [anon_sym_LPAREN] = ACTIONS(1780),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1780),
    [aux_sym_using_clause_token1] = ACTIONS(1780),
    [aux_sym_return_satement_token1] = ACTIONS(1780),
    [aux_sym_call_statement_token1] = ACTIONS(1780),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1780),
    [aux_sym_if_statement_token1] = ACTIONS(1780),
    [aux_sym_loop_statement_token1] = ACTIONS(1780),
    [aux_sym_repeat_statement_token1] = ACTIONS(1780),
    [aux_sym_while_statement_token1] = ACTIONS(1780),
    [aux_sym_break_statement_token1] = ACTIONS(1780),
    [aux_sym_leave_statement_token1] = ACTIONS(1780),
    [aux_sym_continue_statement_token1] = ACTIONS(1780),
    [aux_sym_iterate_statement_token1] = ACTIONS(1780),
    [aux_sym_raise_statement_token1] = ACTIONS(1780),
    [anon_sym_EQ] = ACTIONS(1780),
    [aux_sym_assert_statement_token1] = ACTIONS(1780),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1780),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1780),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1780),
    [anon_sym_LT] = ACTIONS(1782),
    [anon_sym_GT] = ACTIONS(1782),
    [aux_sym_set_operation_token1] = ACTIONS(1780),
    [aux_sym_set_operation_token3] = ACTIONS(1780),
    [aux_sym_set_operation_token4] = ACTIONS(1782),
    [aux_sym_select_token1] = ACTIONS(1780),
    [aux_sym_having_clause_token1] = ACTIONS(1780),
    [aux_sym_qualify_clause_token1] = ACTIONS(1780),
    [aux_sym_limit_clause_token1] = ACTIONS(1780),
    [aux_sym_group_by_clause_token1] = ACTIONS(1780),
    [aux_sym_order_by_clause_token1] = ACTIONS(1780),
    [aux_sym_where_clause_token1] = ACTIONS(1780),
    [aux_sym_pivot_operator_token1] = ACTIONS(1780),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1780),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1780),
    [aux_sym_join_type_token1] = ACTIONS(1780),
    [aux_sym_join_type_token2] = ACTIONS(1780),
    [aux_sym_join_type_token3] = ACTIONS(1780),
    [aux_sym_join_type_token4] = ACTIONS(1780),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1780),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1780),
    [aux_sym_join_condition_token1] = ACTIONS(1780),
    [aux_sym_insert_statement_token1] = ACTIONS(1780),
    [aux_sym_truncate_statement_token1] = ACTIONS(1780),
    [aux_sym_update_statement_token1] = ACTIONS(1780),
    [aux_sym_merge_statement_token1] = ACTIONS(1780),
    [aux_sym_grant_statement_token1] = ACTIONS(1780),
    [aux_sym_revoke_statement_token1] = ACTIONS(1780),
    [aux_sym_export_data_statement_token1] = ACTIONS(1780),
    [aux_sym_load_data_statement_token1] = ACTIONS(1780),
    [anon_sym_LBRACK] = ACTIONS(1780),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_DASH] = ACTIONS(1782),
    [anon_sym_STAR] = ACTIONS(1780),
    [anon_sym_SLASH] = ACTIONS(1782),
    [anon_sym_PIPE_PIPE] = ACTIONS(1780),
    [anon_sym_LT_EQ] = ACTIONS(1780),
    [anon_sym_LT_GT] = ACTIONS(1780),
    [anon_sym_GT_EQ] = ACTIONS(1780),
    [anon_sym_BANG_EQ] = ACTIONS(1780),
    [anon_sym_LT_LT] = ACTIONS(1780),
    [anon_sym_GT_GT] = ACTIONS(1780),
    [anon_sym_AMP] = ACTIONS(1780),
    [anon_sym_CARET] = ACTIONS(1780),
    [anon_sym_PIPE] = ACTIONS(1782),
  },
  [588] = {
    [ts_builtin_sym_end] = ACTIONS(1780),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1780),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1780),
    [aux_sym_keyword_replace_token1] = ACTIONS(1782),
    [aux_sym__keyword_alter_token1] = ACTIONS(1780),
    [aux_sym__keyword_delete_token1] = ACTIONS(1780),
    [aux_sym__keyword_begin_token1] = ACTIONS(1780),
    [aux_sym__keyword_end_token1] = ACTIONS(1780),
    [aux_sym__keyword_between_token1] = ACTIONS(1780),
    [aux_sym__keyword_when_token1] = ACTIONS(1780),
    [aux_sym__keyword_else_token1] = ACTIONS(1782),
    [aux_sym__keyword_is_token1] = ACTIONS(1780),
    [aux_sym__keyword_in_token1] = ACTIONS(1782),
    [aux_sym__keyword_and_token1] = ACTIONS(1780),
    [aux_sym__keyword_like_token1] = ACTIONS(1780),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1780),
    [aux_sym__keyword_window_token1] = ACTIONS(1780),
    [aux_sym__keyword_for_token1] = ACTIONS(1780),
    [anon_sym_SEMI] = ACTIONS(1780),
    [aux_sym_declare_statement_token1] = ACTIONS(1780),
    [anon_sym_COMMA] = ACTIONS(1780),
    [aux_sym_set_statement_token1] = ACTIONS(1780),
    [anon_sym_LPAREN] = ACTIONS(1780),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1780),
    [aux_sym_using_clause_token1] = ACTIONS(1780),
    [aux_sym_return_satement_token1] = ACTIONS(1780),
    [aux_sym_call_statement_token1] = ACTIONS(1780),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1780),
    [aux_sym_if_statement_token1] = ACTIONS(1780),
    [aux_sym_loop_statement_token1] = ACTIONS(1780),
    [aux_sym_repeat_statement_token1] = ACTIONS(1780),
    [aux_sym_while_statement_token1] = ACTIONS(1780),
    [aux_sym_break_statement_token1] = ACTIONS(1780),
    [aux_sym_leave_statement_token1] = ACTIONS(1780),
    [aux_sym_continue_statement_token1] = ACTIONS(1780),
    [aux_sym_iterate_statement_token1] = ACTIONS(1780),
    [aux_sym_raise_statement_token1] = ACTIONS(1780),
    [anon_sym_EQ] = ACTIONS(1780),
    [aux_sym_assert_statement_token1] = ACTIONS(1780),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1780),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1780),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1780),
    [anon_sym_LT] = ACTIONS(1782),
    [anon_sym_GT] = ACTIONS(1782),
    [aux_sym_set_operation_token1] = ACTIONS(1780),
    [aux_sym_set_operation_token3] = ACTIONS(1780),
    [aux_sym_set_operation_token4] = ACTIONS(1782),
    [aux_sym_select_token1] = ACTIONS(1780),
    [aux_sym_having_clause_token1] = ACTIONS(1780),
    [aux_sym_qualify_clause_token1] = ACTIONS(1780),
    [aux_sym_limit_clause_token1] = ACTIONS(1780),
    [aux_sym_group_by_clause_token1] = ACTIONS(1780),
    [aux_sym_order_by_clause_token1] = ACTIONS(1780),
    [aux_sym_where_clause_token1] = ACTIONS(1780),
    [aux_sym_pivot_operator_token1] = ACTIONS(1780),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1780),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1780),
    [aux_sym_join_type_token1] = ACTIONS(1780),
    [aux_sym_join_type_token2] = ACTIONS(1780),
    [aux_sym_join_type_token3] = ACTIONS(1780),
    [aux_sym_join_type_token4] = ACTIONS(1780),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1780),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1780),
    [aux_sym_join_condition_token1] = ACTIONS(1780),
    [aux_sym_insert_statement_token1] = ACTIONS(1780),
    [aux_sym_truncate_statement_token1] = ACTIONS(1780),
    [aux_sym_update_statement_token1] = ACTIONS(1780),
    [aux_sym_merge_statement_token1] = ACTIONS(1780),
    [aux_sym_grant_statement_token1] = ACTIONS(1780),
    [aux_sym_revoke_statement_token1] = ACTIONS(1780),
    [aux_sym_export_data_statement_token1] = ACTIONS(1780),
    [aux_sym_load_data_statement_token1] = ACTIONS(1780),
    [anon_sym_LBRACK] = ACTIONS(1780),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_DASH] = ACTIONS(1782),
    [anon_sym_STAR] = ACTIONS(1780),
    [anon_sym_SLASH] = ACTIONS(1782),
    [anon_sym_PIPE_PIPE] = ACTIONS(1780),
    [anon_sym_LT_EQ] = ACTIONS(1780),
    [anon_sym_LT_GT] = ACTIONS(1780),
    [anon_sym_GT_EQ] = ACTIONS(1780),
    [anon_sym_BANG_EQ] = ACTIONS(1780),
    [anon_sym_LT_LT] = ACTIONS(1780),
    [anon_sym_GT_GT] = ACTIONS(1780),
    [anon_sym_AMP] = ACTIONS(1780),
    [anon_sym_CARET] = ACTIONS(1780),
    [anon_sym_PIPE] = ACTIONS(1782),
  },
  [589] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_where_clause_token1] = ACTIONS(1370),
    [aux_sym_pivot_operator_token1] = ACTIONS(1370),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1370),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1370),
    [aux_sym_join_type_token1] = ACTIONS(1370),
    [aux_sym_join_type_token2] = ACTIONS(1370),
    [aux_sym_join_type_token3] = ACTIONS(1370),
    [aux_sym_join_type_token4] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1370),
    [aux_sym_join_condition_token1] = ACTIONS(1370),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [590] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_where_clause_token1] = ACTIONS(1370),
    [aux_sym_pivot_operator_token1] = ACTIONS(1370),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1370),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1370),
    [aux_sym_join_type_token1] = ACTIONS(1370),
    [aux_sym_join_type_token2] = ACTIONS(1370),
    [aux_sym_join_type_token3] = ACTIONS(1370),
    [aux_sym_join_type_token4] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1370),
    [aux_sym_join_condition_token1] = ACTIONS(1370),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [591] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_where_clause_token1] = ACTIONS(1370),
    [aux_sym_pivot_operator_token1] = ACTIONS(1370),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1370),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1370),
    [aux_sym_join_type_token1] = ACTIONS(1370),
    [aux_sym_join_type_token2] = ACTIONS(1370),
    [aux_sym_join_type_token3] = ACTIONS(1370),
    [aux_sym_join_type_token4] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1370),
    [aux_sym_join_condition_token1] = ACTIONS(1370),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [592] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_where_clause_token1] = ACTIONS(1370),
    [aux_sym_pivot_operator_token1] = ACTIONS(1370),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1370),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1370),
    [aux_sym_join_type_token1] = ACTIONS(1370),
    [aux_sym_join_type_token2] = ACTIONS(1370),
    [aux_sym_join_type_token3] = ACTIONS(1370),
    [aux_sym_join_type_token4] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1370),
    [aux_sym_join_condition_token1] = ACTIONS(1370),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [593] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_where_clause_token1] = ACTIONS(1370),
    [aux_sym_pivot_operator_token1] = ACTIONS(1370),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1370),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1370),
    [aux_sym_join_type_token1] = ACTIONS(1370),
    [aux_sym_join_type_token2] = ACTIONS(1370),
    [aux_sym_join_type_token3] = ACTIONS(1370),
    [aux_sym_join_type_token4] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1370),
    [aux_sym_join_condition_token1] = ACTIONS(1370),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [594] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_where_clause_token1] = ACTIONS(1370),
    [aux_sym_pivot_operator_token1] = ACTIONS(1370),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1370),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1370),
    [aux_sym_join_type_token1] = ACTIONS(1370),
    [aux_sym_join_type_token2] = ACTIONS(1370),
    [aux_sym_join_type_token3] = ACTIONS(1370),
    [aux_sym_join_type_token4] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1370),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1370),
    [aux_sym_join_condition_token1] = ACTIONS(1370),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [595] = {
    [ts_builtin_sym_end] = ACTIONS(1394),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1394),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1394),
    [aux_sym_keyword_replace_token1] = ACTIONS(1396),
    [aux_sym__keyword_alter_token1] = ACTIONS(1394),
    [aux_sym__keyword_delete_token1] = ACTIONS(1394),
    [aux_sym__keyword_begin_token1] = ACTIONS(1394),
    [aux_sym__keyword_end_token1] = ACTIONS(1394),
    [aux_sym__keyword_between_token1] = ACTIONS(1394),
    [aux_sym__keyword_when_token1] = ACTIONS(1394),
    [aux_sym__keyword_else_token1] = ACTIONS(1396),
    [aux_sym__keyword_is_token1] = ACTIONS(1394),
    [aux_sym__keyword_in_token1] = ACTIONS(1396),
    [aux_sym__keyword_and_token1] = ACTIONS(1394),
    [aux_sym__keyword_like_token1] = ACTIONS(1394),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1394),
    [aux_sym__keyword_window_token1] = ACTIONS(1394),
    [aux_sym__keyword_for_token1] = ACTIONS(1394),
    [anon_sym_SEMI] = ACTIONS(1394),
    [aux_sym_declare_statement_token1] = ACTIONS(1394),
    [anon_sym_COMMA] = ACTIONS(1394),
    [aux_sym_set_statement_token1] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(1394),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1394),
    [aux_sym_using_clause_token1] = ACTIONS(1394),
    [aux_sym_return_satement_token1] = ACTIONS(1394),
    [aux_sym_call_statement_token1] = ACTIONS(1394),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1394),
    [aux_sym_if_statement_token1] = ACTIONS(1394),
    [aux_sym_loop_statement_token1] = ACTIONS(1394),
    [aux_sym_repeat_statement_token1] = ACTIONS(1394),
    [aux_sym_while_statement_token1] = ACTIONS(1394),
    [aux_sym_break_statement_token1] = ACTIONS(1394),
    [aux_sym_leave_statement_token1] = ACTIONS(1394),
    [aux_sym_continue_statement_token1] = ACTIONS(1394),
    [aux_sym_iterate_statement_token1] = ACTIONS(1394),
    [aux_sym_raise_statement_token1] = ACTIONS(1394),
    [anon_sym_EQ] = ACTIONS(1394),
    [aux_sym_assert_statement_token1] = ACTIONS(1394),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1394),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1394),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1394),
    [anon_sym_LT] = ACTIONS(1396),
    [anon_sym_GT] = ACTIONS(1396),
    [aux_sym_set_operation_token1] = ACTIONS(1394),
    [aux_sym_set_operation_token3] = ACTIONS(1394),
    [aux_sym_set_operation_token4] = ACTIONS(1396),
    [aux_sym_select_token1] = ACTIONS(1394),
    [aux_sym_having_clause_token1] = ACTIONS(1394),
    [aux_sym_qualify_clause_token1] = ACTIONS(1394),
    [aux_sym_limit_clause_token1] = ACTIONS(1394),
    [aux_sym_group_by_clause_token1] = ACTIONS(1394),
    [aux_sym_order_by_clause_token1] = ACTIONS(1394),
    [aux_sym_where_clause_token1] = ACTIONS(1394),
    [aux_sym_pivot_operator_token1] = ACTIONS(1394),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1394),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1394),
    [aux_sym_join_type_token1] = ACTIONS(1394),
    [aux_sym_join_type_token2] = ACTIONS(1394),
    [aux_sym_join_type_token3] = ACTIONS(1394),
    [aux_sym_join_type_token4] = ACTIONS(1394),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1394),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1394),
    [aux_sym_join_condition_token1] = ACTIONS(1394),
    [aux_sym_insert_statement_token1] = ACTIONS(1394),
    [aux_sym_truncate_statement_token1] = ACTIONS(1394),
    [aux_sym_update_statement_token1] = ACTIONS(1394),
    [aux_sym_merge_statement_token1] = ACTIONS(1394),
    [aux_sym_grant_statement_token1] = ACTIONS(1394),
    [aux_sym_revoke_statement_token1] = ACTIONS(1394),
    [aux_sym_export_data_statement_token1] = ACTIONS(1394),
    [aux_sym_load_data_statement_token1] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(1394),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_STAR] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(1396),
    [anon_sym_PIPE_PIPE] = ACTIONS(1394),
    [anon_sym_LT_EQ] = ACTIONS(1394),
    [anon_sym_LT_GT] = ACTIONS(1394),
    [anon_sym_GT_EQ] = ACTIONS(1394),
    [anon_sym_BANG_EQ] = ACTIONS(1394),
    [anon_sym_LT_LT] = ACTIONS(1394),
    [anon_sym_GT_GT] = ACTIONS(1394),
    [anon_sym_AMP] = ACTIONS(1394),
    [anon_sym_CARET] = ACTIONS(1394),
    [anon_sym_PIPE] = ACTIONS(1396),
  },
  [596] = {
    [ts_builtin_sym_end] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1398),
    [aux_sym_keyword_replace_token1] = ACTIONS(1400),
    [aux_sym__keyword_alter_token1] = ACTIONS(1398),
    [aux_sym__keyword_delete_token1] = ACTIONS(1398),
    [aux_sym__keyword_begin_token1] = ACTIONS(1398),
    [aux_sym__keyword_end_token1] = ACTIONS(1398),
    [aux_sym__keyword_between_token1] = ACTIONS(1398),
    [aux_sym__keyword_when_token1] = ACTIONS(1398),
    [aux_sym__keyword_else_token1] = ACTIONS(1400),
    [aux_sym__keyword_is_token1] = ACTIONS(1398),
    [aux_sym__keyword_in_token1] = ACTIONS(1400),
    [aux_sym__keyword_and_token1] = ACTIONS(1398),
    [aux_sym__keyword_like_token1] = ACTIONS(1398),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1398),
    [aux_sym__keyword_window_token1] = ACTIONS(1398),
    [aux_sym__keyword_for_token1] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1398),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1398),
    [aux_sym_using_clause_token1] = ACTIONS(1398),
    [aux_sym_return_satement_token1] = ACTIONS(1398),
    [aux_sym_call_statement_token1] = ACTIONS(1398),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1398),
    [aux_sym_if_statement_token1] = ACTIONS(1398),
    [aux_sym_loop_statement_token1] = ACTIONS(1398),
    [aux_sym_repeat_statement_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token1] = ACTIONS(1398),
    [aux_sym_break_statement_token1] = ACTIONS(1398),
    [aux_sym_leave_statement_token1] = ACTIONS(1398),
    [aux_sym_continue_statement_token1] = ACTIONS(1398),
    [aux_sym_iterate_statement_token1] = ACTIONS(1398),
    [aux_sym_raise_statement_token1] = ACTIONS(1398),
    [anon_sym_EQ] = ACTIONS(1398),
    [aux_sym_assert_statement_token1] = ACTIONS(1398),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1398),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [aux_sym_set_operation_token1] = ACTIONS(1398),
    [aux_sym_set_operation_token3] = ACTIONS(1398),
    [aux_sym_set_operation_token4] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1398),
    [aux_sym_having_clause_token1] = ACTIONS(1398),
    [aux_sym_qualify_clause_token1] = ACTIONS(1398),
    [aux_sym_limit_clause_token1] = ACTIONS(1398),
    [aux_sym_group_by_clause_token1] = ACTIONS(1398),
    [aux_sym_order_by_clause_token1] = ACTIONS(1398),
    [aux_sym_where_clause_token1] = ACTIONS(1398),
    [aux_sym_pivot_operator_token1] = ACTIONS(1398),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1398),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1398),
    [aux_sym_join_type_token1] = ACTIONS(1398),
    [aux_sym_join_type_token2] = ACTIONS(1398),
    [aux_sym_join_type_token3] = ACTIONS(1398),
    [aux_sym_join_type_token4] = ACTIONS(1398),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1398),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1398),
    [aux_sym_join_condition_token1] = ACTIONS(1398),
    [aux_sym_insert_statement_token1] = ACTIONS(1398),
    [aux_sym_truncate_statement_token1] = ACTIONS(1398),
    [aux_sym_update_statement_token1] = ACTIONS(1398),
    [aux_sym_merge_statement_token1] = ACTIONS(1398),
    [aux_sym_grant_statement_token1] = ACTIONS(1398),
    [aux_sym_revoke_statement_token1] = ACTIONS(1398),
    [aux_sym_export_data_statement_token1] = ACTIONS(1398),
    [aux_sym_load_data_statement_token1] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_LT_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
  },
  [597] = {
    [ts_builtin_sym_end] = ACTIONS(1406),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1406),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1406),
    [aux_sym_keyword_replace_token1] = ACTIONS(1408),
    [aux_sym__keyword_alter_token1] = ACTIONS(1406),
    [aux_sym__keyword_delete_token1] = ACTIONS(1406),
    [aux_sym__keyword_begin_token1] = ACTIONS(1406),
    [aux_sym__keyword_end_token1] = ACTIONS(1406),
    [aux_sym__keyword_between_token1] = ACTIONS(1406),
    [aux_sym__keyword_when_token1] = ACTIONS(1406),
    [aux_sym__keyword_else_token1] = ACTIONS(1408),
    [aux_sym__keyword_is_token1] = ACTIONS(1406),
    [aux_sym__keyword_in_token1] = ACTIONS(1408),
    [aux_sym__keyword_and_token1] = ACTIONS(1406),
    [aux_sym__keyword_like_token1] = ACTIONS(1406),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1406),
    [aux_sym__keyword_window_token1] = ACTIONS(1406),
    [aux_sym__keyword_for_token1] = ACTIONS(1406),
    [anon_sym_SEMI] = ACTIONS(1406),
    [aux_sym_declare_statement_token1] = ACTIONS(1406),
    [anon_sym_COMMA] = ACTIONS(1406),
    [aux_sym_set_statement_token1] = ACTIONS(1406),
    [anon_sym_LPAREN] = ACTIONS(1406),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1406),
    [aux_sym_using_clause_token1] = ACTIONS(1406),
    [aux_sym_return_satement_token1] = ACTIONS(1406),
    [aux_sym_call_statement_token1] = ACTIONS(1406),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1406),
    [aux_sym_if_statement_token1] = ACTIONS(1406),
    [aux_sym_loop_statement_token1] = ACTIONS(1406),
    [aux_sym_repeat_statement_token1] = ACTIONS(1406),
    [aux_sym_while_statement_token1] = ACTIONS(1406),
    [aux_sym_break_statement_token1] = ACTIONS(1406),
    [aux_sym_leave_statement_token1] = ACTIONS(1406),
    [aux_sym_continue_statement_token1] = ACTIONS(1406),
    [aux_sym_iterate_statement_token1] = ACTIONS(1406),
    [aux_sym_raise_statement_token1] = ACTIONS(1406),
    [anon_sym_EQ] = ACTIONS(1406),
    [aux_sym_assert_statement_token1] = ACTIONS(1406),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1406),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1406),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1406),
    [anon_sym_LT] = ACTIONS(1408),
    [anon_sym_GT] = ACTIONS(1408),
    [aux_sym_set_operation_token1] = ACTIONS(1406),
    [aux_sym_set_operation_token3] = ACTIONS(1406),
    [aux_sym_set_operation_token4] = ACTIONS(1408),
    [aux_sym_select_token1] = ACTIONS(1406),
    [aux_sym_having_clause_token1] = ACTIONS(1406),
    [aux_sym_qualify_clause_token1] = ACTIONS(1406),
    [aux_sym_limit_clause_token1] = ACTIONS(1406),
    [aux_sym_group_by_clause_token1] = ACTIONS(1406),
    [aux_sym_order_by_clause_token1] = ACTIONS(1406),
    [aux_sym_where_clause_token1] = ACTIONS(1406),
    [aux_sym_pivot_operator_token1] = ACTIONS(1406),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1406),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1406),
    [aux_sym_join_type_token1] = ACTIONS(1406),
    [aux_sym_join_type_token2] = ACTIONS(1406),
    [aux_sym_join_type_token3] = ACTIONS(1406),
    [aux_sym_join_type_token4] = ACTIONS(1406),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1406),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1406),
    [aux_sym_join_condition_token1] = ACTIONS(1406),
    [aux_sym_insert_statement_token1] = ACTIONS(1406),
    [aux_sym_truncate_statement_token1] = ACTIONS(1406),
    [aux_sym_update_statement_token1] = ACTIONS(1406),
    [aux_sym_merge_statement_token1] = ACTIONS(1406),
    [aux_sym_grant_statement_token1] = ACTIONS(1406),
    [aux_sym_revoke_statement_token1] = ACTIONS(1406),
    [aux_sym_export_data_statement_token1] = ACTIONS(1406),
    [aux_sym_load_data_statement_token1] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_DASH] = ACTIONS(1408),
    [anon_sym_STAR] = ACTIONS(1406),
    [anon_sym_SLASH] = ACTIONS(1408),
    [anon_sym_PIPE_PIPE] = ACTIONS(1406),
    [anon_sym_LT_EQ] = ACTIONS(1406),
    [anon_sym_LT_GT] = ACTIONS(1406),
    [anon_sym_GT_EQ] = ACTIONS(1406),
    [anon_sym_BANG_EQ] = ACTIONS(1406),
    [anon_sym_LT_LT] = ACTIONS(1406),
    [anon_sym_GT_GT] = ACTIONS(1406),
    [anon_sym_AMP] = ACTIONS(1406),
    [anon_sym_CARET] = ACTIONS(1406),
    [anon_sym_PIPE] = ACTIONS(1408),
  },
  [598] = {
    [ts_builtin_sym_end] = ACTIONS(1410),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1410),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1410),
    [aux_sym_keyword_replace_token1] = ACTIONS(1412),
    [aux_sym__keyword_alter_token1] = ACTIONS(1410),
    [aux_sym__keyword_delete_token1] = ACTIONS(1410),
    [aux_sym__keyword_begin_token1] = ACTIONS(1410),
    [aux_sym__keyword_end_token1] = ACTIONS(1410),
    [aux_sym__keyword_between_token1] = ACTIONS(1410),
    [aux_sym__keyword_when_token1] = ACTIONS(1410),
    [aux_sym__keyword_else_token1] = ACTIONS(1412),
    [aux_sym__keyword_is_token1] = ACTIONS(1410),
    [aux_sym__keyword_in_token1] = ACTIONS(1412),
    [aux_sym__keyword_and_token1] = ACTIONS(1410),
    [aux_sym__keyword_like_token1] = ACTIONS(1410),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1410),
    [aux_sym__keyword_window_token1] = ACTIONS(1410),
    [aux_sym__keyword_for_token1] = ACTIONS(1410),
    [anon_sym_SEMI] = ACTIONS(1410),
    [aux_sym_declare_statement_token1] = ACTIONS(1410),
    [anon_sym_COMMA] = ACTIONS(1410),
    [aux_sym_set_statement_token1] = ACTIONS(1410),
    [anon_sym_LPAREN] = ACTIONS(1410),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1410),
    [aux_sym_using_clause_token1] = ACTIONS(1410),
    [aux_sym_return_satement_token1] = ACTIONS(1410),
    [aux_sym_call_statement_token1] = ACTIONS(1410),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1410),
    [aux_sym_if_statement_token1] = ACTIONS(1410),
    [aux_sym_loop_statement_token1] = ACTIONS(1410),
    [aux_sym_repeat_statement_token1] = ACTIONS(1410),
    [aux_sym_while_statement_token1] = ACTIONS(1410),
    [aux_sym_break_statement_token1] = ACTIONS(1410),
    [aux_sym_leave_statement_token1] = ACTIONS(1410),
    [aux_sym_continue_statement_token1] = ACTIONS(1410),
    [aux_sym_iterate_statement_token1] = ACTIONS(1410),
    [aux_sym_raise_statement_token1] = ACTIONS(1410),
    [anon_sym_EQ] = ACTIONS(1410),
    [aux_sym_assert_statement_token1] = ACTIONS(1410),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1410),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1410),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1410),
    [anon_sym_LT] = ACTIONS(1412),
    [anon_sym_GT] = ACTIONS(1412),
    [aux_sym_set_operation_token1] = ACTIONS(1410),
    [aux_sym_set_operation_token3] = ACTIONS(1410),
    [aux_sym_set_operation_token4] = ACTIONS(1412),
    [aux_sym_select_token1] = ACTIONS(1410),
    [aux_sym_having_clause_token1] = ACTIONS(1410),
    [aux_sym_qualify_clause_token1] = ACTIONS(1410),
    [aux_sym_limit_clause_token1] = ACTIONS(1410),
    [aux_sym_group_by_clause_token1] = ACTIONS(1410),
    [aux_sym_order_by_clause_token1] = ACTIONS(1410),
    [aux_sym_where_clause_token1] = ACTIONS(1410),
    [aux_sym_pivot_operator_token1] = ACTIONS(1410),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1410),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1410),
    [aux_sym_join_type_token1] = ACTIONS(1410),
    [aux_sym_join_type_token2] = ACTIONS(1410),
    [aux_sym_join_type_token3] = ACTIONS(1410),
    [aux_sym_join_type_token4] = ACTIONS(1410),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1410),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1410),
    [aux_sym_join_condition_token1] = ACTIONS(1410),
    [aux_sym_insert_statement_token1] = ACTIONS(1410),
    [aux_sym_truncate_statement_token1] = ACTIONS(1410),
    [aux_sym_update_statement_token1] = ACTIONS(1410),
    [aux_sym_merge_statement_token1] = ACTIONS(1410),
    [aux_sym_grant_statement_token1] = ACTIONS(1410),
    [aux_sym_revoke_statement_token1] = ACTIONS(1410),
    [aux_sym_export_data_statement_token1] = ACTIONS(1410),
    [aux_sym_load_data_statement_token1] = ACTIONS(1410),
    [anon_sym_LBRACK] = ACTIONS(1410),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_STAR] = ACTIONS(1410),
    [anon_sym_SLASH] = ACTIONS(1412),
    [anon_sym_PIPE_PIPE] = ACTIONS(1410),
    [anon_sym_LT_EQ] = ACTIONS(1410),
    [anon_sym_LT_GT] = ACTIONS(1410),
    [anon_sym_GT_EQ] = ACTIONS(1410),
    [anon_sym_BANG_EQ] = ACTIONS(1410),
    [anon_sym_LT_LT] = ACTIONS(1410),
    [anon_sym_GT_GT] = ACTIONS(1410),
    [anon_sym_AMP] = ACTIONS(1410),
    [anon_sym_CARET] = ACTIONS(1410),
    [anon_sym_PIPE] = ACTIONS(1412),
  },
  [599] = {
    [ts_builtin_sym_end] = ACTIONS(1414),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1414),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1414),
    [aux_sym_keyword_replace_token1] = ACTIONS(1416),
    [aux_sym__keyword_alter_token1] = ACTIONS(1414),
    [aux_sym__keyword_delete_token1] = ACTIONS(1414),
    [aux_sym__keyword_begin_token1] = ACTIONS(1414),
    [aux_sym__keyword_end_token1] = ACTIONS(1414),
    [aux_sym__keyword_between_token1] = ACTIONS(1414),
    [aux_sym__keyword_when_token1] = ACTIONS(1414),
    [aux_sym__keyword_else_token1] = ACTIONS(1416),
    [aux_sym__keyword_is_token1] = ACTIONS(1414),
    [aux_sym__keyword_in_token1] = ACTIONS(1416),
    [aux_sym__keyword_and_token1] = ACTIONS(1414),
    [aux_sym__keyword_like_token1] = ACTIONS(1414),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1414),
    [aux_sym__keyword_window_token1] = ACTIONS(1414),
    [aux_sym__keyword_for_token1] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(1414),
    [aux_sym_declare_statement_token1] = ACTIONS(1414),
    [anon_sym_COMMA] = ACTIONS(1414),
    [aux_sym_set_statement_token1] = ACTIONS(1414),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1414),
    [aux_sym_using_clause_token1] = ACTIONS(1414),
    [aux_sym_return_satement_token1] = ACTIONS(1414),
    [aux_sym_call_statement_token1] = ACTIONS(1414),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1414),
    [aux_sym_if_statement_token1] = ACTIONS(1414),
    [aux_sym_loop_statement_token1] = ACTIONS(1414),
    [aux_sym_repeat_statement_token1] = ACTIONS(1414),
    [aux_sym_while_statement_token1] = ACTIONS(1414),
    [aux_sym_break_statement_token1] = ACTIONS(1414),
    [aux_sym_leave_statement_token1] = ACTIONS(1414),
    [aux_sym_continue_statement_token1] = ACTIONS(1414),
    [aux_sym_iterate_statement_token1] = ACTIONS(1414),
    [aux_sym_raise_statement_token1] = ACTIONS(1414),
    [anon_sym_EQ] = ACTIONS(1414),
    [aux_sym_assert_statement_token1] = ACTIONS(1414),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1414),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1414),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1414),
    [anon_sym_LT] = ACTIONS(1416),
    [anon_sym_GT] = ACTIONS(1416),
    [aux_sym_set_operation_token1] = ACTIONS(1414),
    [aux_sym_set_operation_token3] = ACTIONS(1414),
    [aux_sym_set_operation_token4] = ACTIONS(1416),
    [aux_sym_select_token1] = ACTIONS(1414),
    [aux_sym_having_clause_token1] = ACTIONS(1414),
    [aux_sym_qualify_clause_token1] = ACTIONS(1414),
    [aux_sym_limit_clause_token1] = ACTIONS(1414),
    [aux_sym_group_by_clause_token1] = ACTIONS(1414),
    [aux_sym_order_by_clause_token1] = ACTIONS(1414),
    [aux_sym_where_clause_token1] = ACTIONS(1414),
    [aux_sym_pivot_operator_token1] = ACTIONS(1414),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1414),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1414),
    [aux_sym_join_type_token1] = ACTIONS(1414),
    [aux_sym_join_type_token2] = ACTIONS(1414),
    [aux_sym_join_type_token3] = ACTIONS(1414),
    [aux_sym_join_type_token4] = ACTIONS(1414),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1414),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1414),
    [aux_sym_join_condition_token1] = ACTIONS(1414),
    [aux_sym_insert_statement_token1] = ACTIONS(1414),
    [aux_sym_truncate_statement_token1] = ACTIONS(1414),
    [aux_sym_update_statement_token1] = ACTIONS(1414),
    [aux_sym_merge_statement_token1] = ACTIONS(1414),
    [aux_sym_grant_statement_token1] = ACTIONS(1414),
    [aux_sym_revoke_statement_token1] = ACTIONS(1414),
    [aux_sym_export_data_statement_token1] = ACTIONS(1414),
    [aux_sym_load_data_statement_token1] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1414),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_SLASH] = ACTIONS(1416),
    [anon_sym_PIPE_PIPE] = ACTIONS(1414),
    [anon_sym_LT_EQ] = ACTIONS(1414),
    [anon_sym_LT_GT] = ACTIONS(1414),
    [anon_sym_GT_EQ] = ACTIONS(1414),
    [anon_sym_BANG_EQ] = ACTIONS(1414),
    [anon_sym_LT_LT] = ACTIONS(1414),
    [anon_sym_GT_GT] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_CARET] = ACTIONS(1414),
    [anon_sym_PIPE] = ACTIONS(1416),
  },
  [600] = {
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_when_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_window_token1] = ACTIONS(1418),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_using_clause_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1418),
    [aux_sym_set_operation_token3] = ACTIONS(1418),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_having_clause_token1] = ACTIONS(1418),
    [aux_sym_qualify_clause_token1] = ACTIONS(1418),
    [aux_sym_limit_clause_token1] = ACTIONS(1418),
    [aux_sym_group_by_clause_token1] = ACTIONS(1418),
    [aux_sym_order_by_clause_token1] = ACTIONS(1418),
    [aux_sym_where_clause_token1] = ACTIONS(1418),
    [aux_sym_pivot_operator_token1] = ACTIONS(1418),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1418),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1418),
    [aux_sym_join_type_token1] = ACTIONS(1418),
    [aux_sym_join_type_token2] = ACTIONS(1418),
    [aux_sym_join_type_token3] = ACTIONS(1418),
    [aux_sym_join_type_token4] = ACTIONS(1418),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1418),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1418),
    [aux_sym_join_condition_token1] = ACTIONS(1418),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [601] = {
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_when_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_window_token1] = ACTIONS(1418),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_using_clause_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1418),
    [aux_sym_set_operation_token3] = ACTIONS(1418),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_having_clause_token1] = ACTIONS(1418),
    [aux_sym_qualify_clause_token1] = ACTIONS(1418),
    [aux_sym_limit_clause_token1] = ACTIONS(1418),
    [aux_sym_group_by_clause_token1] = ACTIONS(1418),
    [aux_sym_order_by_clause_token1] = ACTIONS(1418),
    [aux_sym_where_clause_token1] = ACTIONS(1418),
    [aux_sym_pivot_operator_token1] = ACTIONS(1418),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1418),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1418),
    [aux_sym_join_type_token1] = ACTIONS(1418),
    [aux_sym_join_type_token2] = ACTIONS(1418),
    [aux_sym_join_type_token3] = ACTIONS(1418),
    [aux_sym_join_type_token4] = ACTIONS(1418),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1418),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1418),
    [aux_sym_join_condition_token1] = ACTIONS(1418),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [602] = {
    [ts_builtin_sym_end] = ACTIONS(1422),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1422),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1422),
    [aux_sym_keyword_replace_token1] = ACTIONS(1424),
    [aux_sym__keyword_alter_token1] = ACTIONS(1422),
    [aux_sym__keyword_delete_token1] = ACTIONS(1422),
    [aux_sym__keyword_begin_token1] = ACTIONS(1422),
    [aux_sym__keyword_end_token1] = ACTIONS(1422),
    [aux_sym__keyword_between_token1] = ACTIONS(1422),
    [aux_sym__keyword_when_token1] = ACTIONS(1422),
    [aux_sym__keyword_else_token1] = ACTIONS(1424),
    [aux_sym__keyword_is_token1] = ACTIONS(1422),
    [aux_sym__keyword_in_token1] = ACTIONS(1424),
    [aux_sym__keyword_and_token1] = ACTIONS(1422),
    [aux_sym__keyword_like_token1] = ACTIONS(1422),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1422),
    [aux_sym__keyword_window_token1] = ACTIONS(1422),
    [aux_sym__keyword_for_token1] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1422),
    [aux_sym_declare_statement_token1] = ACTIONS(1422),
    [anon_sym_COMMA] = ACTIONS(1422),
    [aux_sym_set_statement_token1] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1422),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1422),
    [aux_sym_using_clause_token1] = ACTIONS(1422),
    [aux_sym_return_satement_token1] = ACTIONS(1422),
    [aux_sym_call_statement_token1] = ACTIONS(1422),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1422),
    [aux_sym_if_statement_token1] = ACTIONS(1422),
    [aux_sym_loop_statement_token1] = ACTIONS(1422),
    [aux_sym_repeat_statement_token1] = ACTIONS(1422),
    [aux_sym_while_statement_token1] = ACTIONS(1422),
    [aux_sym_break_statement_token1] = ACTIONS(1422),
    [aux_sym_leave_statement_token1] = ACTIONS(1422),
    [aux_sym_continue_statement_token1] = ACTIONS(1422),
    [aux_sym_iterate_statement_token1] = ACTIONS(1422),
    [aux_sym_raise_statement_token1] = ACTIONS(1422),
    [anon_sym_EQ] = ACTIONS(1422),
    [aux_sym_assert_statement_token1] = ACTIONS(1422),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1422),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1422),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1422),
    [anon_sym_LT] = ACTIONS(1424),
    [anon_sym_GT] = ACTIONS(1424),
    [aux_sym_set_operation_token1] = ACTIONS(1422),
    [aux_sym_set_operation_token3] = ACTIONS(1422),
    [aux_sym_set_operation_token4] = ACTIONS(1424),
    [aux_sym_select_token1] = ACTIONS(1422),
    [aux_sym_having_clause_token1] = ACTIONS(1422),
    [aux_sym_qualify_clause_token1] = ACTIONS(1422),
    [aux_sym_limit_clause_token1] = ACTIONS(1422),
    [aux_sym_group_by_clause_token1] = ACTIONS(1422),
    [aux_sym_order_by_clause_token1] = ACTIONS(1422),
    [aux_sym_where_clause_token1] = ACTIONS(1422),
    [aux_sym_pivot_operator_token1] = ACTIONS(1422),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1422),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1422),
    [aux_sym_join_type_token1] = ACTIONS(1422),
    [aux_sym_join_type_token2] = ACTIONS(1422),
    [aux_sym_join_type_token3] = ACTIONS(1422),
    [aux_sym_join_type_token4] = ACTIONS(1422),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1422),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1422),
    [aux_sym_join_condition_token1] = ACTIONS(1422),
    [aux_sym_insert_statement_token1] = ACTIONS(1422),
    [aux_sym_truncate_statement_token1] = ACTIONS(1422),
    [aux_sym_update_statement_token1] = ACTIONS(1422),
    [aux_sym_merge_statement_token1] = ACTIONS(1422),
    [aux_sym_grant_statement_token1] = ACTIONS(1422),
    [aux_sym_revoke_statement_token1] = ACTIONS(1422),
    [aux_sym_export_data_statement_token1] = ACTIONS(1422),
    [aux_sym_load_data_statement_token1] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1422),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1424),
    [anon_sym_STAR] = ACTIONS(1422),
    [anon_sym_SLASH] = ACTIONS(1424),
    [anon_sym_PIPE_PIPE] = ACTIONS(1422),
    [anon_sym_LT_EQ] = ACTIONS(1422),
    [anon_sym_LT_GT] = ACTIONS(1422),
    [anon_sym_GT_EQ] = ACTIONS(1422),
    [anon_sym_BANG_EQ] = ACTIONS(1422),
    [anon_sym_LT_LT] = ACTIONS(1422),
    [anon_sym_GT_GT] = ACTIONS(1422),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_CARET] = ACTIONS(1422),
    [anon_sym_PIPE] = ACTIONS(1424),
  },
  [603] = {
    [ts_builtin_sym_end] = ACTIONS(1430),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1430),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1430),
    [aux_sym_keyword_replace_token1] = ACTIONS(1432),
    [aux_sym__keyword_alter_token1] = ACTIONS(1430),
    [aux_sym__keyword_delete_token1] = ACTIONS(1430),
    [aux_sym__keyword_begin_token1] = ACTIONS(1430),
    [aux_sym__keyword_end_token1] = ACTIONS(1430),
    [aux_sym__keyword_between_token1] = ACTIONS(1430),
    [aux_sym__keyword_when_token1] = ACTIONS(1430),
    [aux_sym__keyword_else_token1] = ACTIONS(1432),
    [aux_sym__keyword_is_token1] = ACTIONS(1430),
    [aux_sym__keyword_in_token1] = ACTIONS(1432),
    [aux_sym__keyword_and_token1] = ACTIONS(1430),
    [aux_sym__keyword_like_token1] = ACTIONS(1430),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1430),
    [aux_sym__keyword_window_token1] = ACTIONS(1430),
    [aux_sym__keyword_for_token1] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(1430),
    [aux_sym_declare_statement_token1] = ACTIONS(1430),
    [anon_sym_COMMA] = ACTIONS(1430),
    [aux_sym_set_statement_token1] = ACTIONS(1430),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1430),
    [aux_sym_using_clause_token1] = ACTIONS(1430),
    [aux_sym_return_satement_token1] = ACTIONS(1430),
    [aux_sym_call_statement_token1] = ACTIONS(1430),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1430),
    [aux_sym_if_statement_token1] = ACTIONS(1430),
    [aux_sym_loop_statement_token1] = ACTIONS(1430),
    [aux_sym_repeat_statement_token1] = ACTIONS(1430),
    [aux_sym_while_statement_token1] = ACTIONS(1430),
    [aux_sym_break_statement_token1] = ACTIONS(1430),
    [aux_sym_leave_statement_token1] = ACTIONS(1430),
    [aux_sym_continue_statement_token1] = ACTIONS(1430),
    [aux_sym_iterate_statement_token1] = ACTIONS(1430),
    [aux_sym_raise_statement_token1] = ACTIONS(1430),
    [anon_sym_EQ] = ACTIONS(1430),
    [aux_sym_assert_statement_token1] = ACTIONS(1430),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1430),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1430),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [aux_sym_set_operation_token1] = ACTIONS(1430),
    [aux_sym_set_operation_token3] = ACTIONS(1430),
    [aux_sym_set_operation_token4] = ACTIONS(1432),
    [aux_sym_select_token1] = ACTIONS(1430),
    [aux_sym_having_clause_token1] = ACTIONS(1430),
    [aux_sym_qualify_clause_token1] = ACTIONS(1430),
    [aux_sym_limit_clause_token1] = ACTIONS(1430),
    [aux_sym_group_by_clause_token1] = ACTIONS(1430),
    [aux_sym_order_by_clause_token1] = ACTIONS(1430),
    [aux_sym_where_clause_token1] = ACTIONS(1430),
    [aux_sym_pivot_operator_token1] = ACTIONS(1430),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1430),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1430),
    [aux_sym_join_type_token1] = ACTIONS(1430),
    [aux_sym_join_type_token2] = ACTIONS(1430),
    [aux_sym_join_type_token3] = ACTIONS(1430),
    [aux_sym_join_type_token4] = ACTIONS(1430),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1430),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1430),
    [aux_sym_join_condition_token1] = ACTIONS(1430),
    [aux_sym_insert_statement_token1] = ACTIONS(1430),
    [aux_sym_truncate_statement_token1] = ACTIONS(1430),
    [aux_sym_update_statement_token1] = ACTIONS(1430),
    [aux_sym_merge_statement_token1] = ACTIONS(1430),
    [aux_sym_grant_statement_token1] = ACTIONS(1430),
    [aux_sym_revoke_statement_token1] = ACTIONS(1430),
    [aux_sym_export_data_statement_token1] = ACTIONS(1430),
    [aux_sym_load_data_statement_token1] = ACTIONS(1430),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1432),
    [anon_sym_PIPE_PIPE] = ACTIONS(1430),
    [anon_sym_LT_EQ] = ACTIONS(1430),
    [anon_sym_LT_GT] = ACTIONS(1430),
    [anon_sym_GT_EQ] = ACTIONS(1430),
    [anon_sym_BANG_EQ] = ACTIONS(1430),
    [anon_sym_LT_LT] = ACTIONS(1430),
    [anon_sym_GT_GT] = ACTIONS(1430),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_PIPE] = ACTIONS(1432),
  },
  [604] = {
    [ts_builtin_sym_end] = ACTIONS(1434),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1434),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1434),
    [aux_sym_keyword_replace_token1] = ACTIONS(1436),
    [aux_sym__keyword_alter_token1] = ACTIONS(1434),
    [aux_sym__keyword_delete_token1] = ACTIONS(1434),
    [aux_sym__keyword_begin_token1] = ACTIONS(1434),
    [aux_sym__keyword_end_token1] = ACTIONS(1434),
    [aux_sym__keyword_between_token1] = ACTIONS(1434),
    [aux_sym__keyword_when_token1] = ACTIONS(1434),
    [aux_sym__keyword_else_token1] = ACTIONS(1436),
    [aux_sym__keyword_is_token1] = ACTIONS(1434),
    [aux_sym__keyword_in_token1] = ACTIONS(1436),
    [aux_sym__keyword_and_token1] = ACTIONS(1434),
    [aux_sym__keyword_like_token1] = ACTIONS(1434),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1434),
    [aux_sym__keyword_window_token1] = ACTIONS(1434),
    [aux_sym__keyword_for_token1] = ACTIONS(1434),
    [anon_sym_SEMI] = ACTIONS(1434),
    [aux_sym_declare_statement_token1] = ACTIONS(1434),
    [anon_sym_COMMA] = ACTIONS(1434),
    [aux_sym_set_statement_token1] = ACTIONS(1434),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1434),
    [aux_sym_using_clause_token1] = ACTIONS(1434),
    [aux_sym_return_satement_token1] = ACTIONS(1434),
    [aux_sym_call_statement_token1] = ACTIONS(1434),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1434),
    [aux_sym_if_statement_token1] = ACTIONS(1434),
    [aux_sym_loop_statement_token1] = ACTIONS(1434),
    [aux_sym_repeat_statement_token1] = ACTIONS(1434),
    [aux_sym_while_statement_token1] = ACTIONS(1434),
    [aux_sym_break_statement_token1] = ACTIONS(1434),
    [aux_sym_leave_statement_token1] = ACTIONS(1434),
    [aux_sym_continue_statement_token1] = ACTIONS(1434),
    [aux_sym_iterate_statement_token1] = ACTIONS(1434),
    [aux_sym_raise_statement_token1] = ACTIONS(1434),
    [anon_sym_EQ] = ACTIONS(1434),
    [aux_sym_assert_statement_token1] = ACTIONS(1434),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1434),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1434),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1434),
    [anon_sym_LT] = ACTIONS(1436),
    [anon_sym_GT] = ACTIONS(1436),
    [aux_sym_set_operation_token1] = ACTIONS(1434),
    [aux_sym_set_operation_token3] = ACTIONS(1434),
    [aux_sym_set_operation_token4] = ACTIONS(1436),
    [aux_sym_select_token1] = ACTIONS(1434),
    [aux_sym_having_clause_token1] = ACTIONS(1434),
    [aux_sym_qualify_clause_token1] = ACTIONS(1434),
    [aux_sym_limit_clause_token1] = ACTIONS(1434),
    [aux_sym_group_by_clause_token1] = ACTIONS(1434),
    [aux_sym_order_by_clause_token1] = ACTIONS(1434),
    [aux_sym_where_clause_token1] = ACTIONS(1434),
    [aux_sym_pivot_operator_token1] = ACTIONS(1434),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1434),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1434),
    [aux_sym_join_type_token1] = ACTIONS(1434),
    [aux_sym_join_type_token2] = ACTIONS(1434),
    [aux_sym_join_type_token3] = ACTIONS(1434),
    [aux_sym_join_type_token4] = ACTIONS(1434),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1434),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1434),
    [aux_sym_join_condition_token1] = ACTIONS(1434),
    [aux_sym_insert_statement_token1] = ACTIONS(1434),
    [aux_sym_truncate_statement_token1] = ACTIONS(1434),
    [aux_sym_update_statement_token1] = ACTIONS(1434),
    [aux_sym_merge_statement_token1] = ACTIONS(1434),
    [aux_sym_grant_statement_token1] = ACTIONS(1434),
    [aux_sym_revoke_statement_token1] = ACTIONS(1434),
    [aux_sym_export_data_statement_token1] = ACTIONS(1434),
    [aux_sym_load_data_statement_token1] = ACTIONS(1434),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_STAR] = ACTIONS(1434),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1434),
    [anon_sym_LT_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1434),
    [anon_sym_BANG_EQ] = ACTIONS(1434),
    [anon_sym_LT_LT] = ACTIONS(1434),
    [anon_sym_GT_GT] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1434),
    [anon_sym_PIPE] = ACTIONS(1436),
  },
  [605] = {
    [ts_builtin_sym_end] = ACTIONS(1438),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1438),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1438),
    [aux_sym_keyword_replace_token1] = ACTIONS(1440),
    [aux_sym__keyword_alter_token1] = ACTIONS(1438),
    [aux_sym__keyword_delete_token1] = ACTIONS(1438),
    [aux_sym__keyword_begin_token1] = ACTIONS(1438),
    [aux_sym__keyword_end_token1] = ACTIONS(1438),
    [aux_sym__keyword_between_token1] = ACTIONS(1438),
    [aux_sym__keyword_when_token1] = ACTIONS(1438),
    [aux_sym__keyword_else_token1] = ACTIONS(1440),
    [aux_sym__keyword_is_token1] = ACTIONS(1438),
    [aux_sym__keyword_in_token1] = ACTIONS(1440),
    [aux_sym__keyword_and_token1] = ACTIONS(1438),
    [aux_sym__keyword_like_token1] = ACTIONS(1438),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1438),
    [aux_sym__keyword_window_token1] = ACTIONS(1438),
    [aux_sym__keyword_for_token1] = ACTIONS(1438),
    [anon_sym_SEMI] = ACTIONS(1438),
    [aux_sym_declare_statement_token1] = ACTIONS(1438),
    [anon_sym_COMMA] = ACTIONS(1438),
    [aux_sym_set_statement_token1] = ACTIONS(1438),
    [anon_sym_LPAREN] = ACTIONS(1438),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1438),
    [aux_sym_using_clause_token1] = ACTIONS(1438),
    [aux_sym_return_satement_token1] = ACTIONS(1438),
    [aux_sym_call_statement_token1] = ACTIONS(1438),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1438),
    [aux_sym_if_statement_token1] = ACTIONS(1438),
    [aux_sym_loop_statement_token1] = ACTIONS(1438),
    [aux_sym_repeat_statement_token1] = ACTIONS(1438),
    [aux_sym_while_statement_token1] = ACTIONS(1438),
    [aux_sym_break_statement_token1] = ACTIONS(1438),
    [aux_sym_leave_statement_token1] = ACTIONS(1438),
    [aux_sym_continue_statement_token1] = ACTIONS(1438),
    [aux_sym_iterate_statement_token1] = ACTIONS(1438),
    [aux_sym_raise_statement_token1] = ACTIONS(1438),
    [anon_sym_EQ] = ACTIONS(1438),
    [aux_sym_assert_statement_token1] = ACTIONS(1438),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1438),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1438),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1438),
    [anon_sym_LT] = ACTIONS(1440),
    [anon_sym_GT] = ACTIONS(1440),
    [aux_sym_set_operation_token1] = ACTIONS(1438),
    [aux_sym_set_operation_token3] = ACTIONS(1438),
    [aux_sym_set_operation_token4] = ACTIONS(1440),
    [aux_sym_select_token1] = ACTIONS(1438),
    [aux_sym_having_clause_token1] = ACTIONS(1438),
    [aux_sym_qualify_clause_token1] = ACTIONS(1438),
    [aux_sym_limit_clause_token1] = ACTIONS(1438),
    [aux_sym_group_by_clause_token1] = ACTIONS(1438),
    [aux_sym_order_by_clause_token1] = ACTIONS(1438),
    [aux_sym_where_clause_token1] = ACTIONS(1438),
    [aux_sym_pivot_operator_token1] = ACTIONS(1438),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1438),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1438),
    [aux_sym_join_type_token1] = ACTIONS(1438),
    [aux_sym_join_type_token2] = ACTIONS(1438),
    [aux_sym_join_type_token3] = ACTIONS(1438),
    [aux_sym_join_type_token4] = ACTIONS(1438),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1438),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1438),
    [aux_sym_join_condition_token1] = ACTIONS(1438),
    [aux_sym_insert_statement_token1] = ACTIONS(1438),
    [aux_sym_truncate_statement_token1] = ACTIONS(1438),
    [aux_sym_update_statement_token1] = ACTIONS(1438),
    [aux_sym_merge_statement_token1] = ACTIONS(1438),
    [aux_sym_grant_statement_token1] = ACTIONS(1438),
    [aux_sym_revoke_statement_token1] = ACTIONS(1438),
    [aux_sym_export_data_statement_token1] = ACTIONS(1438),
    [aux_sym_load_data_statement_token1] = ACTIONS(1438),
    [anon_sym_LBRACK] = ACTIONS(1438),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_STAR] = ACTIONS(1438),
    [anon_sym_SLASH] = ACTIONS(1440),
    [anon_sym_PIPE_PIPE] = ACTIONS(1438),
    [anon_sym_LT_EQ] = ACTIONS(1438),
    [anon_sym_LT_GT] = ACTIONS(1438),
    [anon_sym_GT_EQ] = ACTIONS(1438),
    [anon_sym_BANG_EQ] = ACTIONS(1438),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_AMP] = ACTIONS(1438),
    [anon_sym_CARET] = ACTIONS(1438),
    [anon_sym_PIPE] = ACTIONS(1440),
  },
  [606] = {
    [ts_builtin_sym_end] = ACTIONS(1784),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1784),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1784),
    [aux_sym_keyword_replace_token1] = ACTIONS(1786),
    [aux_sym__keyword_alter_token1] = ACTIONS(1784),
    [aux_sym__keyword_delete_token1] = ACTIONS(1784),
    [aux_sym__keyword_begin_token1] = ACTIONS(1784),
    [aux_sym__keyword_end_token1] = ACTIONS(1784),
    [aux_sym__keyword_between_token1] = ACTIONS(1784),
    [aux_sym__keyword_when_token1] = ACTIONS(1784),
    [aux_sym__keyword_else_token1] = ACTIONS(1786),
    [aux_sym__keyword_is_token1] = ACTIONS(1784),
    [aux_sym__keyword_in_token1] = ACTIONS(1786),
    [aux_sym__keyword_and_token1] = ACTIONS(1784),
    [aux_sym__keyword_like_token1] = ACTIONS(1784),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1784),
    [aux_sym__keyword_window_token1] = ACTIONS(1784),
    [aux_sym__keyword_for_token1] = ACTIONS(1784),
    [anon_sym_SEMI] = ACTIONS(1784),
    [aux_sym_declare_statement_token1] = ACTIONS(1784),
    [anon_sym_COMMA] = ACTIONS(1784),
    [aux_sym_set_statement_token1] = ACTIONS(1784),
    [anon_sym_LPAREN] = ACTIONS(1784),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1784),
    [aux_sym_using_clause_token1] = ACTIONS(1784),
    [aux_sym_return_satement_token1] = ACTIONS(1784),
    [aux_sym_call_statement_token1] = ACTIONS(1784),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1784),
    [aux_sym_if_statement_token1] = ACTIONS(1784),
    [aux_sym_loop_statement_token1] = ACTIONS(1784),
    [aux_sym_repeat_statement_token1] = ACTIONS(1784),
    [aux_sym_while_statement_token1] = ACTIONS(1784),
    [aux_sym_break_statement_token1] = ACTIONS(1784),
    [aux_sym_leave_statement_token1] = ACTIONS(1784),
    [aux_sym_continue_statement_token1] = ACTIONS(1784),
    [aux_sym_iterate_statement_token1] = ACTIONS(1784),
    [aux_sym_raise_statement_token1] = ACTIONS(1784),
    [anon_sym_EQ] = ACTIONS(1784),
    [aux_sym_assert_statement_token1] = ACTIONS(1784),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1784),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1784),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1784),
    [anon_sym_LT] = ACTIONS(1786),
    [anon_sym_GT] = ACTIONS(1786),
    [aux_sym_set_operation_token1] = ACTIONS(1784),
    [aux_sym_set_operation_token3] = ACTIONS(1784),
    [aux_sym_set_operation_token4] = ACTIONS(1786),
    [aux_sym_select_token1] = ACTIONS(1784),
    [aux_sym_having_clause_token1] = ACTIONS(1784),
    [aux_sym_qualify_clause_token1] = ACTIONS(1784),
    [aux_sym_limit_clause_token1] = ACTIONS(1784),
    [aux_sym_group_by_clause_token1] = ACTIONS(1784),
    [aux_sym_order_by_clause_token1] = ACTIONS(1784),
    [aux_sym_where_clause_token1] = ACTIONS(1784),
    [aux_sym_pivot_operator_token1] = ACTIONS(1784),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1784),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1784),
    [aux_sym_join_type_token1] = ACTIONS(1784),
    [aux_sym_join_type_token2] = ACTIONS(1784),
    [aux_sym_join_type_token3] = ACTIONS(1784),
    [aux_sym_join_type_token4] = ACTIONS(1784),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1784),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1784),
    [aux_sym_join_condition_token1] = ACTIONS(1784),
    [aux_sym_insert_statement_token1] = ACTIONS(1784),
    [aux_sym_truncate_statement_token1] = ACTIONS(1784),
    [aux_sym_update_statement_token1] = ACTIONS(1784),
    [aux_sym_merge_statement_token1] = ACTIONS(1784),
    [aux_sym_grant_statement_token1] = ACTIONS(1784),
    [aux_sym_revoke_statement_token1] = ACTIONS(1784),
    [aux_sym_export_data_statement_token1] = ACTIONS(1784),
    [aux_sym_load_data_statement_token1] = ACTIONS(1784),
    [anon_sym_LBRACK] = ACTIONS(1784),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1784),
    [anon_sym_PLUS] = ACTIONS(1784),
    [anon_sym_DASH] = ACTIONS(1786),
    [anon_sym_STAR] = ACTIONS(1784),
    [anon_sym_SLASH] = ACTIONS(1786),
    [anon_sym_PIPE_PIPE] = ACTIONS(1784),
    [anon_sym_LT_EQ] = ACTIONS(1784),
    [anon_sym_LT_GT] = ACTIONS(1784),
    [anon_sym_GT_EQ] = ACTIONS(1784),
    [anon_sym_BANG_EQ] = ACTIONS(1784),
    [anon_sym_LT_LT] = ACTIONS(1784),
    [anon_sym_GT_GT] = ACTIONS(1784),
    [anon_sym_AMP] = ACTIONS(1784),
    [anon_sym_CARET] = ACTIONS(1784),
    [anon_sym_PIPE] = ACTIONS(1786),
  },
  [607] = {
    [ts_builtin_sym_end] = ACTIONS(1788),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1788),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1788),
    [aux_sym_keyword_replace_token1] = ACTIONS(1790),
    [aux_sym__keyword_alter_token1] = ACTIONS(1788),
    [aux_sym__keyword_delete_token1] = ACTIONS(1788),
    [aux_sym__keyword_begin_token1] = ACTIONS(1788),
    [aux_sym__keyword_end_token1] = ACTIONS(1788),
    [aux_sym__keyword_between_token1] = ACTIONS(1788),
    [aux_sym__keyword_when_token1] = ACTIONS(1788),
    [aux_sym__keyword_else_token1] = ACTIONS(1790),
    [aux_sym__keyword_is_token1] = ACTIONS(1788),
    [aux_sym__keyword_in_token1] = ACTIONS(1790),
    [aux_sym__keyword_and_token1] = ACTIONS(1788),
    [aux_sym__keyword_like_token1] = ACTIONS(1788),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1788),
    [aux_sym__keyword_window_token1] = ACTIONS(1788),
    [aux_sym__keyword_for_token1] = ACTIONS(1788),
    [anon_sym_SEMI] = ACTIONS(1788),
    [aux_sym_declare_statement_token1] = ACTIONS(1788),
    [anon_sym_COMMA] = ACTIONS(1788),
    [aux_sym_set_statement_token1] = ACTIONS(1788),
    [anon_sym_LPAREN] = ACTIONS(1788),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1788),
    [aux_sym_using_clause_token1] = ACTIONS(1788),
    [aux_sym_return_satement_token1] = ACTIONS(1788),
    [aux_sym_call_statement_token1] = ACTIONS(1788),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1788),
    [aux_sym_if_statement_token1] = ACTIONS(1788),
    [aux_sym_loop_statement_token1] = ACTIONS(1788),
    [aux_sym_repeat_statement_token1] = ACTIONS(1788),
    [aux_sym_while_statement_token1] = ACTIONS(1788),
    [aux_sym_break_statement_token1] = ACTIONS(1788),
    [aux_sym_leave_statement_token1] = ACTIONS(1788),
    [aux_sym_continue_statement_token1] = ACTIONS(1788),
    [aux_sym_iterate_statement_token1] = ACTIONS(1788),
    [aux_sym_raise_statement_token1] = ACTIONS(1788),
    [anon_sym_EQ] = ACTIONS(1788),
    [aux_sym_assert_statement_token1] = ACTIONS(1788),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1788),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1788),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1788),
    [anon_sym_LT] = ACTIONS(1790),
    [anon_sym_GT] = ACTIONS(1790),
    [aux_sym_set_operation_token1] = ACTIONS(1788),
    [aux_sym_set_operation_token3] = ACTIONS(1788),
    [aux_sym_set_operation_token4] = ACTIONS(1790),
    [aux_sym_select_token1] = ACTIONS(1788),
    [aux_sym_having_clause_token1] = ACTIONS(1788),
    [aux_sym_qualify_clause_token1] = ACTIONS(1788),
    [aux_sym_limit_clause_token1] = ACTIONS(1788),
    [aux_sym_group_by_clause_token1] = ACTIONS(1788),
    [aux_sym_order_by_clause_token1] = ACTIONS(1788),
    [aux_sym_where_clause_token1] = ACTIONS(1788),
    [aux_sym_pivot_operator_token1] = ACTIONS(1788),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1788),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1788),
    [aux_sym_join_type_token1] = ACTIONS(1788),
    [aux_sym_join_type_token2] = ACTIONS(1788),
    [aux_sym_join_type_token3] = ACTIONS(1788),
    [aux_sym_join_type_token4] = ACTIONS(1788),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1788),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1788),
    [aux_sym_join_condition_token1] = ACTIONS(1788),
    [aux_sym_insert_statement_token1] = ACTIONS(1788),
    [aux_sym_truncate_statement_token1] = ACTIONS(1788),
    [aux_sym_update_statement_token1] = ACTIONS(1788),
    [aux_sym_merge_statement_token1] = ACTIONS(1788),
    [aux_sym_grant_statement_token1] = ACTIONS(1788),
    [aux_sym_revoke_statement_token1] = ACTIONS(1788),
    [aux_sym_export_data_statement_token1] = ACTIONS(1788),
    [aux_sym_load_data_statement_token1] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1788),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1788),
    [anon_sym_PLUS] = ACTIONS(1788),
    [anon_sym_DASH] = ACTIONS(1790),
    [anon_sym_STAR] = ACTIONS(1788),
    [anon_sym_SLASH] = ACTIONS(1790),
    [anon_sym_PIPE_PIPE] = ACTIONS(1788),
    [anon_sym_LT_EQ] = ACTIONS(1788),
    [anon_sym_LT_GT] = ACTIONS(1788),
    [anon_sym_GT_EQ] = ACTIONS(1788),
    [anon_sym_BANG_EQ] = ACTIONS(1788),
    [anon_sym_LT_LT] = ACTIONS(1788),
    [anon_sym_GT_GT] = ACTIONS(1788),
    [anon_sym_AMP] = ACTIONS(1788),
    [anon_sym_CARET] = ACTIONS(1788),
    [anon_sym_PIPE] = ACTIONS(1790),
  },
  [608] = {
    [ts_builtin_sym_end] = ACTIONS(1454),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1454),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1454),
    [aux_sym_keyword_replace_token1] = ACTIONS(1456),
    [aux_sym__keyword_alter_token1] = ACTIONS(1454),
    [aux_sym__keyword_delete_token1] = ACTIONS(1454),
    [aux_sym__keyword_begin_token1] = ACTIONS(1454),
    [aux_sym__keyword_end_token1] = ACTIONS(1454),
    [aux_sym__keyword_between_token1] = ACTIONS(1454),
    [aux_sym__keyword_when_token1] = ACTIONS(1454),
    [aux_sym__keyword_else_token1] = ACTIONS(1456),
    [aux_sym__keyword_is_token1] = ACTIONS(1454),
    [aux_sym__keyword_in_token1] = ACTIONS(1456),
    [aux_sym__keyword_and_token1] = ACTIONS(1454),
    [aux_sym__keyword_like_token1] = ACTIONS(1454),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1454),
    [aux_sym__keyword_window_token1] = ACTIONS(1454),
    [aux_sym__keyword_for_token1] = ACTIONS(1454),
    [anon_sym_SEMI] = ACTIONS(1454),
    [aux_sym_declare_statement_token1] = ACTIONS(1454),
    [anon_sym_COMMA] = ACTIONS(1454),
    [aux_sym_set_statement_token1] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1454),
    [aux_sym_using_clause_token1] = ACTIONS(1454),
    [aux_sym_return_satement_token1] = ACTIONS(1454),
    [aux_sym_call_statement_token1] = ACTIONS(1454),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1454),
    [aux_sym_if_statement_token1] = ACTIONS(1454),
    [aux_sym_loop_statement_token1] = ACTIONS(1454),
    [aux_sym_repeat_statement_token1] = ACTIONS(1454),
    [aux_sym_while_statement_token1] = ACTIONS(1454),
    [aux_sym_break_statement_token1] = ACTIONS(1454),
    [aux_sym_leave_statement_token1] = ACTIONS(1454),
    [aux_sym_continue_statement_token1] = ACTIONS(1454),
    [aux_sym_iterate_statement_token1] = ACTIONS(1454),
    [aux_sym_raise_statement_token1] = ACTIONS(1454),
    [anon_sym_EQ] = ACTIONS(1454),
    [aux_sym_assert_statement_token1] = ACTIONS(1454),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1454),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1454),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1454),
    [anon_sym_LT] = ACTIONS(1456),
    [anon_sym_GT] = ACTIONS(1456),
    [aux_sym_set_operation_token1] = ACTIONS(1454),
    [aux_sym_set_operation_token3] = ACTIONS(1454),
    [aux_sym_set_operation_token4] = ACTIONS(1456),
    [aux_sym_select_token1] = ACTIONS(1454),
    [aux_sym_having_clause_token1] = ACTIONS(1454),
    [aux_sym_qualify_clause_token1] = ACTIONS(1454),
    [aux_sym_limit_clause_token1] = ACTIONS(1454),
    [aux_sym_group_by_clause_token1] = ACTIONS(1454),
    [aux_sym_order_by_clause_token1] = ACTIONS(1454),
    [aux_sym_where_clause_token1] = ACTIONS(1454),
    [aux_sym_pivot_operator_token1] = ACTIONS(1454),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1454),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1454),
    [aux_sym_join_type_token1] = ACTIONS(1454),
    [aux_sym_join_type_token2] = ACTIONS(1454),
    [aux_sym_join_type_token3] = ACTIONS(1454),
    [aux_sym_join_type_token4] = ACTIONS(1454),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1454),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1454),
    [aux_sym_join_condition_token1] = ACTIONS(1454),
    [aux_sym_insert_statement_token1] = ACTIONS(1454),
    [aux_sym_truncate_statement_token1] = ACTIONS(1454),
    [aux_sym_update_statement_token1] = ACTIONS(1454),
    [aux_sym_merge_statement_token1] = ACTIONS(1454),
    [aux_sym_grant_statement_token1] = ACTIONS(1454),
    [aux_sym_revoke_statement_token1] = ACTIONS(1454),
    [aux_sym_export_data_statement_token1] = ACTIONS(1454),
    [aux_sym_load_data_statement_token1] = ACTIONS(1454),
    [anon_sym_LBRACK] = ACTIONS(1454),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1454),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1454),
    [anon_sym_SLASH] = ACTIONS(1456),
    [anon_sym_PIPE_PIPE] = ACTIONS(1454),
    [anon_sym_LT_EQ] = ACTIONS(1454),
    [anon_sym_LT_GT] = ACTIONS(1454),
    [anon_sym_GT_EQ] = ACTIONS(1454),
    [anon_sym_BANG_EQ] = ACTIONS(1454),
    [anon_sym_LT_LT] = ACTIONS(1454),
    [anon_sym_GT_GT] = ACTIONS(1454),
    [anon_sym_AMP] = ACTIONS(1454),
    [anon_sym_CARET] = ACTIONS(1454),
    [anon_sym_PIPE] = ACTIONS(1456),
  },
  [609] = {
    [sym__keyword_between] = STATE(1117),
    [sym__keyword_is] = STATE(12122),
    [sym__keyword_in] = STATE(1203),
    [sym__keyword_not] = STATE(13053),
    [sym__keyword_and] = STATE(1227),
    [sym__keyword_or] = STATE(1233),
    [sym__keyword_like] = STATE(14280),
    [sym__keyword_as] = STATE(11541),
    [sym__keyword_date] = STATE(2774),
    [sym__keyword_datetime] = STATE(2774),
    [sym__keyword_time] = STATE(2774),
    [sym__keyword_timestamp] = STATE(2774),
    [sym_as_alias] = STATE(5376),
    [sym__type_chrono] = STATE(2771),
    [sym__identifier] = STATE(2405),
    [sym__dotted_identifier] = STATE(13807),
    [sym_identifier] = STATE(4403),
    [sym_like_operator] = STATE(16335),
    [sym_quantitve_like_operator] = STATE(16338),
    [aux_sym_identifier_repeat1] = STATE(13807),
    [ts_builtin_sym_end] = ACTIONS(357),
    [sym__unquoted_identifier] = ACTIONS(335),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(337),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(339),
    [aux_sym_keyword_replace_token1] = ACTIONS(341),
    [aux_sym__keyword_alter_token1] = ACTIONS(337),
    [aux_sym__keyword_delete_token1] = ACTIONS(337),
    [aux_sym__keyword_begin_token1] = ACTIONS(337),
    [aux_sym__keyword_between_token1] = ACTIONS(1792),
    [aux_sym__keyword_is_token1] = ACTIONS(1794),
    [aux_sym__keyword_in_token1] = ACTIONS(1796),
    [aux_sym__keyword_and_token1] = ACTIONS(1798),
    [aux_sym__keyword_like_token1] = ACTIONS(351),
    [aux_sym__keyword_repeat_token1] = ACTIONS(337),
    [aux_sym__keyword_as_token1] = ACTIONS(1326),
    [aux_sym__keyword_date_token1] = ACTIONS(1328),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1328),
    [aux_sym__keyword_time_token1] = ACTIONS(1328),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1328),
    [aux_sym__keyword_for_token1] = ACTIONS(337),
    [anon_sym_SEMI] = ACTIONS(357),
    [aux_sym_declare_statement_token1] = ACTIONS(337),
    [anon_sym_COMMA] = ACTIONS(357),
    [aux_sym_set_statement_token1] = ACTIONS(337),
    [anon_sym_LPAREN] = ACTIONS(357),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(337),
    [aux_sym_return_satement_token1] = ACTIONS(337),
    [aux_sym_call_statement_token1] = ACTIONS(337),
    [aux_sym_loop_statement_token1] = ACTIONS(337),
    [aux_sym_while_statement_token1] = ACTIONS(337),
    [aux_sym_break_statement_token1] = ACTIONS(337),
    [aux_sym_leave_statement_token1] = ACTIONS(337),
    [aux_sym_continue_statement_token1] = ACTIONS(337),
    [aux_sym_iterate_statement_token1] = ACTIONS(337),
    [aux_sym_raise_statement_token1] = ACTIONS(337),
    [anon_sym_EQ] = ACTIONS(1800),
    [aux_sym_assert_statement_token1] = ACTIONS(337),
    [aux_sym_create_schema_statement_token1] = ACTIONS(337),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(337),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(337),
    [anon_sym_LT] = ACTIONS(1796),
    [anon_sym_GT] = ACTIONS(1796),
    [aux_sym_select_token1] = ACTIONS(337),
    [aux_sym_insert_statement_token1] = ACTIONS(337),
    [aux_sym_truncate_statement_token1] = ACTIONS(337),
    [aux_sym_update_statement_token1] = ACTIONS(337),
    [aux_sym_merge_statement_token1] = ACTIONS(337),
    [aux_sym_grant_statement_token1] = ACTIONS(337),
    [aux_sym_revoke_statement_token1] = ACTIONS(337),
    [aux_sym_export_data_statement_token1] = ACTIONS(337),
    [aux_sym_load_data_statement_token1] = ACTIONS(337),
    [anon_sym_LBRACK] = ACTIONS(1802),
    [sym__quoted_identifier] = ACTIONS(363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1804),
    [anon_sym_PLUS] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1808),
    [anon_sym_STAR] = ACTIONS(1810),
    [anon_sym_SLASH] = ACTIONS(1812),
    [anon_sym_PIPE_PIPE] = ACTIONS(1810),
    [anon_sym_LT_EQ] = ACTIONS(1800),
    [anon_sym_LT_GT] = ACTIONS(1800),
    [anon_sym_GT_EQ] = ACTIONS(1800),
    [anon_sym_BANG_EQ] = ACTIONS(1800),
    [anon_sym_LT_LT] = ACTIONS(1814),
    [anon_sym_GT_GT] = ACTIONS(1814),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_CARET] = ACTIONS(1818),
    [anon_sym_PIPE] = ACTIONS(1820),
  },
  [610] = {
    [ts_builtin_sym_end] = ACTIONS(1822),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1822),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1822),
    [aux_sym_keyword_replace_token1] = ACTIONS(1824),
    [aux_sym__keyword_alter_token1] = ACTIONS(1822),
    [aux_sym__keyword_delete_token1] = ACTIONS(1822),
    [aux_sym__keyword_begin_token1] = ACTIONS(1822),
    [aux_sym__keyword_end_token1] = ACTIONS(1822),
    [aux_sym__keyword_between_token1] = ACTIONS(1822),
    [aux_sym__keyword_when_token1] = ACTIONS(1822),
    [aux_sym__keyword_else_token1] = ACTIONS(1824),
    [aux_sym__keyword_is_token1] = ACTIONS(1822),
    [aux_sym__keyword_in_token1] = ACTIONS(1824),
    [aux_sym__keyword_and_token1] = ACTIONS(1822),
    [aux_sym__keyword_like_token1] = ACTIONS(1822),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1822),
    [aux_sym__keyword_window_token1] = ACTIONS(1822),
    [aux_sym__keyword_for_token1] = ACTIONS(1822),
    [anon_sym_SEMI] = ACTIONS(1822),
    [aux_sym_declare_statement_token1] = ACTIONS(1822),
    [anon_sym_COMMA] = ACTIONS(1822),
    [aux_sym_set_statement_token1] = ACTIONS(1822),
    [anon_sym_LPAREN] = ACTIONS(1822),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1822),
    [aux_sym_using_clause_token1] = ACTIONS(1822),
    [aux_sym_return_satement_token1] = ACTIONS(1822),
    [aux_sym_call_statement_token1] = ACTIONS(1822),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1822),
    [aux_sym_if_statement_token1] = ACTIONS(1822),
    [aux_sym_loop_statement_token1] = ACTIONS(1822),
    [aux_sym_repeat_statement_token1] = ACTIONS(1822),
    [aux_sym_while_statement_token1] = ACTIONS(1822),
    [aux_sym_break_statement_token1] = ACTIONS(1822),
    [aux_sym_leave_statement_token1] = ACTIONS(1822),
    [aux_sym_continue_statement_token1] = ACTIONS(1822),
    [aux_sym_iterate_statement_token1] = ACTIONS(1822),
    [aux_sym_raise_statement_token1] = ACTIONS(1822),
    [anon_sym_EQ] = ACTIONS(1822),
    [aux_sym_assert_statement_token1] = ACTIONS(1822),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1822),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1822),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1822),
    [anon_sym_LT] = ACTIONS(1824),
    [anon_sym_GT] = ACTIONS(1824),
    [aux_sym_set_operation_token1] = ACTIONS(1822),
    [aux_sym_set_operation_token3] = ACTIONS(1822),
    [aux_sym_set_operation_token4] = ACTIONS(1824),
    [aux_sym_select_token1] = ACTIONS(1822),
    [aux_sym_having_clause_token1] = ACTIONS(1822),
    [aux_sym_qualify_clause_token1] = ACTIONS(1822),
    [aux_sym_limit_clause_token1] = ACTIONS(1822),
    [aux_sym_group_by_clause_token1] = ACTIONS(1822),
    [aux_sym_order_by_clause_token1] = ACTIONS(1822),
    [aux_sym_where_clause_token1] = ACTIONS(1822),
    [aux_sym_pivot_operator_token1] = ACTIONS(1822),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1822),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1822),
    [aux_sym_join_type_token1] = ACTIONS(1822),
    [aux_sym_join_type_token2] = ACTIONS(1822),
    [aux_sym_join_type_token3] = ACTIONS(1822),
    [aux_sym_join_type_token4] = ACTIONS(1822),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1822),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1822),
    [aux_sym_join_condition_token1] = ACTIONS(1822),
    [aux_sym_insert_statement_token1] = ACTIONS(1822),
    [aux_sym_truncate_statement_token1] = ACTIONS(1822),
    [aux_sym_update_statement_token1] = ACTIONS(1822),
    [aux_sym_merge_statement_token1] = ACTIONS(1822),
    [aux_sym_grant_statement_token1] = ACTIONS(1822),
    [aux_sym_revoke_statement_token1] = ACTIONS(1822),
    [aux_sym_export_data_statement_token1] = ACTIONS(1822),
    [aux_sym_load_data_statement_token1] = ACTIONS(1822),
    [anon_sym_LBRACK] = ACTIONS(1822),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1822),
    [anon_sym_PLUS] = ACTIONS(1822),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_STAR] = ACTIONS(1822),
    [anon_sym_SLASH] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE] = ACTIONS(1822),
    [anon_sym_LT_EQ] = ACTIONS(1822),
    [anon_sym_LT_GT] = ACTIONS(1822),
    [anon_sym_GT_EQ] = ACTIONS(1822),
    [anon_sym_BANG_EQ] = ACTIONS(1822),
    [anon_sym_LT_LT] = ACTIONS(1822),
    [anon_sym_GT_GT] = ACTIONS(1822),
    [anon_sym_AMP] = ACTIONS(1822),
    [anon_sym_CARET] = ACTIONS(1822),
    [anon_sym_PIPE] = ACTIONS(1824),
  },
  [611] = {
    [ts_builtin_sym_end] = ACTIONS(1826),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1826),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1826),
    [aux_sym_keyword_replace_token1] = ACTIONS(1828),
    [aux_sym__keyword_alter_token1] = ACTIONS(1826),
    [aux_sym__keyword_delete_token1] = ACTIONS(1826),
    [aux_sym__keyword_begin_token1] = ACTIONS(1826),
    [aux_sym__keyword_end_token1] = ACTIONS(1826),
    [aux_sym__keyword_between_token1] = ACTIONS(1826),
    [aux_sym__keyword_when_token1] = ACTIONS(1826),
    [aux_sym__keyword_else_token1] = ACTIONS(1828),
    [aux_sym__keyword_is_token1] = ACTIONS(1826),
    [aux_sym__keyword_in_token1] = ACTIONS(1828),
    [aux_sym__keyword_and_token1] = ACTIONS(1826),
    [aux_sym__keyword_like_token1] = ACTIONS(1826),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1826),
    [aux_sym__keyword_window_token1] = ACTIONS(1826),
    [aux_sym__keyword_for_token1] = ACTIONS(1826),
    [anon_sym_SEMI] = ACTIONS(1826),
    [aux_sym_declare_statement_token1] = ACTIONS(1826),
    [anon_sym_COMMA] = ACTIONS(1826),
    [aux_sym_set_statement_token1] = ACTIONS(1826),
    [anon_sym_LPAREN] = ACTIONS(1826),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1826),
    [aux_sym_using_clause_token1] = ACTIONS(1826),
    [aux_sym_return_satement_token1] = ACTIONS(1826),
    [aux_sym_call_statement_token1] = ACTIONS(1826),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1826),
    [aux_sym_if_statement_token1] = ACTIONS(1826),
    [aux_sym_loop_statement_token1] = ACTIONS(1826),
    [aux_sym_repeat_statement_token1] = ACTIONS(1826),
    [aux_sym_while_statement_token1] = ACTIONS(1826),
    [aux_sym_break_statement_token1] = ACTIONS(1826),
    [aux_sym_leave_statement_token1] = ACTIONS(1826),
    [aux_sym_continue_statement_token1] = ACTIONS(1826),
    [aux_sym_iterate_statement_token1] = ACTIONS(1826),
    [aux_sym_raise_statement_token1] = ACTIONS(1826),
    [anon_sym_EQ] = ACTIONS(1826),
    [aux_sym_assert_statement_token1] = ACTIONS(1826),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1826),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1826),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1826),
    [anon_sym_LT] = ACTIONS(1828),
    [anon_sym_GT] = ACTIONS(1828),
    [aux_sym_set_operation_token1] = ACTIONS(1826),
    [aux_sym_set_operation_token3] = ACTIONS(1826),
    [aux_sym_set_operation_token4] = ACTIONS(1828),
    [aux_sym_select_token1] = ACTIONS(1826),
    [aux_sym_having_clause_token1] = ACTIONS(1826),
    [aux_sym_qualify_clause_token1] = ACTIONS(1826),
    [aux_sym_limit_clause_token1] = ACTIONS(1826),
    [aux_sym_group_by_clause_token1] = ACTIONS(1826),
    [aux_sym_order_by_clause_token1] = ACTIONS(1826),
    [aux_sym_where_clause_token1] = ACTIONS(1826),
    [aux_sym_pivot_operator_token1] = ACTIONS(1826),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1826),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1826),
    [aux_sym_join_type_token1] = ACTIONS(1826),
    [aux_sym_join_type_token2] = ACTIONS(1826),
    [aux_sym_join_type_token3] = ACTIONS(1826),
    [aux_sym_join_type_token4] = ACTIONS(1826),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1826),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1826),
    [aux_sym_join_condition_token1] = ACTIONS(1826),
    [aux_sym_insert_statement_token1] = ACTIONS(1826),
    [aux_sym_truncate_statement_token1] = ACTIONS(1826),
    [aux_sym_update_statement_token1] = ACTIONS(1826),
    [aux_sym_merge_statement_token1] = ACTIONS(1826),
    [aux_sym_grant_statement_token1] = ACTIONS(1826),
    [aux_sym_revoke_statement_token1] = ACTIONS(1826),
    [aux_sym_export_data_statement_token1] = ACTIONS(1826),
    [aux_sym_load_data_statement_token1] = ACTIONS(1826),
    [anon_sym_LBRACK] = ACTIONS(1826),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1826),
    [anon_sym_PLUS] = ACTIONS(1826),
    [anon_sym_DASH] = ACTIONS(1828),
    [anon_sym_STAR] = ACTIONS(1826),
    [anon_sym_SLASH] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE] = ACTIONS(1826),
    [anon_sym_LT_EQ] = ACTIONS(1826),
    [anon_sym_LT_GT] = ACTIONS(1826),
    [anon_sym_GT_EQ] = ACTIONS(1826),
    [anon_sym_BANG_EQ] = ACTIONS(1826),
    [anon_sym_LT_LT] = ACTIONS(1826),
    [anon_sym_GT_GT] = ACTIONS(1826),
    [anon_sym_AMP] = ACTIONS(1826),
    [anon_sym_CARET] = ACTIONS(1826),
    [anon_sym_PIPE] = ACTIONS(1828),
  },
  [612] = {
    [ts_builtin_sym_end] = ACTIONS(1830),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1830),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1830),
    [aux_sym_keyword_replace_token1] = ACTIONS(1832),
    [aux_sym__keyword_alter_token1] = ACTIONS(1830),
    [aux_sym__keyword_delete_token1] = ACTIONS(1830),
    [aux_sym__keyword_begin_token1] = ACTIONS(1830),
    [aux_sym__keyword_end_token1] = ACTIONS(1830),
    [aux_sym__keyword_between_token1] = ACTIONS(1830),
    [aux_sym__keyword_when_token1] = ACTIONS(1830),
    [aux_sym__keyword_else_token1] = ACTIONS(1832),
    [aux_sym__keyword_is_token1] = ACTIONS(1830),
    [aux_sym__keyword_in_token1] = ACTIONS(1832),
    [aux_sym__keyword_and_token1] = ACTIONS(1830),
    [aux_sym__keyword_like_token1] = ACTIONS(1830),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1830),
    [aux_sym__keyword_window_token1] = ACTIONS(1830),
    [aux_sym__keyword_for_token1] = ACTIONS(1830),
    [anon_sym_SEMI] = ACTIONS(1830),
    [aux_sym_declare_statement_token1] = ACTIONS(1830),
    [anon_sym_COMMA] = ACTIONS(1830),
    [aux_sym_set_statement_token1] = ACTIONS(1830),
    [anon_sym_LPAREN] = ACTIONS(1830),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1830),
    [aux_sym_using_clause_token1] = ACTIONS(1830),
    [aux_sym_return_satement_token1] = ACTIONS(1830),
    [aux_sym_call_statement_token1] = ACTIONS(1830),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1830),
    [aux_sym_if_statement_token1] = ACTIONS(1830),
    [aux_sym_loop_statement_token1] = ACTIONS(1830),
    [aux_sym_repeat_statement_token1] = ACTIONS(1830),
    [aux_sym_while_statement_token1] = ACTIONS(1830),
    [aux_sym_break_statement_token1] = ACTIONS(1830),
    [aux_sym_leave_statement_token1] = ACTIONS(1830),
    [aux_sym_continue_statement_token1] = ACTIONS(1830),
    [aux_sym_iterate_statement_token1] = ACTIONS(1830),
    [aux_sym_raise_statement_token1] = ACTIONS(1830),
    [anon_sym_EQ] = ACTIONS(1830),
    [aux_sym_assert_statement_token1] = ACTIONS(1830),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1830),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1830),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1830),
    [anon_sym_LT] = ACTIONS(1832),
    [anon_sym_GT] = ACTIONS(1832),
    [aux_sym_set_operation_token1] = ACTIONS(1830),
    [aux_sym_set_operation_token3] = ACTIONS(1830),
    [aux_sym_set_operation_token4] = ACTIONS(1832),
    [aux_sym_select_token1] = ACTIONS(1830),
    [aux_sym_having_clause_token1] = ACTIONS(1830),
    [aux_sym_qualify_clause_token1] = ACTIONS(1830),
    [aux_sym_limit_clause_token1] = ACTIONS(1830),
    [aux_sym_group_by_clause_token1] = ACTIONS(1830),
    [aux_sym_order_by_clause_token1] = ACTIONS(1830),
    [aux_sym_where_clause_token1] = ACTIONS(1830),
    [aux_sym_pivot_operator_token1] = ACTIONS(1830),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1830),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1830),
    [aux_sym_join_type_token1] = ACTIONS(1830),
    [aux_sym_join_type_token2] = ACTIONS(1830),
    [aux_sym_join_type_token3] = ACTIONS(1830),
    [aux_sym_join_type_token4] = ACTIONS(1830),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1830),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1830),
    [aux_sym_join_condition_token1] = ACTIONS(1830),
    [aux_sym_insert_statement_token1] = ACTIONS(1830),
    [aux_sym_truncate_statement_token1] = ACTIONS(1830),
    [aux_sym_update_statement_token1] = ACTIONS(1830),
    [aux_sym_merge_statement_token1] = ACTIONS(1830),
    [aux_sym_grant_statement_token1] = ACTIONS(1830),
    [aux_sym_revoke_statement_token1] = ACTIONS(1830),
    [aux_sym_export_data_statement_token1] = ACTIONS(1830),
    [aux_sym_load_data_statement_token1] = ACTIONS(1830),
    [anon_sym_LBRACK] = ACTIONS(1830),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1830),
    [anon_sym_PLUS] = ACTIONS(1830),
    [anon_sym_DASH] = ACTIONS(1832),
    [anon_sym_STAR] = ACTIONS(1830),
    [anon_sym_SLASH] = ACTIONS(1832),
    [anon_sym_PIPE_PIPE] = ACTIONS(1830),
    [anon_sym_LT_EQ] = ACTIONS(1830),
    [anon_sym_LT_GT] = ACTIONS(1830),
    [anon_sym_GT_EQ] = ACTIONS(1830),
    [anon_sym_BANG_EQ] = ACTIONS(1830),
    [anon_sym_LT_LT] = ACTIONS(1830),
    [anon_sym_GT_GT] = ACTIONS(1830),
    [anon_sym_AMP] = ACTIONS(1830),
    [anon_sym_CARET] = ACTIONS(1830),
    [anon_sym_PIPE] = ACTIONS(1832),
  },
  [613] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(15685),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9131),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_asterisk_expression] = STATE(16222),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [614] = {
    [ts_builtin_sym_end] = ACTIONS(1834),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1834),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1834),
    [aux_sym_keyword_replace_token1] = ACTIONS(1836),
    [aux_sym__keyword_alter_token1] = ACTIONS(1834),
    [aux_sym__keyword_delete_token1] = ACTIONS(1834),
    [aux_sym__keyword_begin_token1] = ACTIONS(1834),
    [aux_sym__keyword_end_token1] = ACTIONS(1834),
    [aux_sym__keyword_between_token1] = ACTIONS(1834),
    [aux_sym__keyword_when_token1] = ACTIONS(1834),
    [aux_sym__keyword_else_token1] = ACTIONS(1836),
    [aux_sym__keyword_is_token1] = ACTIONS(1834),
    [aux_sym__keyword_in_token1] = ACTIONS(1836),
    [aux_sym__keyword_and_token1] = ACTIONS(1834),
    [aux_sym__keyword_like_token1] = ACTIONS(1834),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1834),
    [aux_sym__keyword_window_token1] = ACTIONS(1834),
    [aux_sym__keyword_for_token1] = ACTIONS(1834),
    [anon_sym_SEMI] = ACTIONS(1834),
    [aux_sym_declare_statement_token1] = ACTIONS(1834),
    [anon_sym_COMMA] = ACTIONS(1834),
    [aux_sym_set_statement_token1] = ACTIONS(1834),
    [anon_sym_LPAREN] = ACTIONS(1834),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1834),
    [aux_sym_using_clause_token1] = ACTIONS(1834),
    [aux_sym_return_satement_token1] = ACTIONS(1834),
    [aux_sym_call_statement_token1] = ACTIONS(1834),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1834),
    [aux_sym_if_statement_token1] = ACTIONS(1834),
    [aux_sym_loop_statement_token1] = ACTIONS(1834),
    [aux_sym_repeat_statement_token1] = ACTIONS(1834),
    [aux_sym_while_statement_token1] = ACTIONS(1834),
    [aux_sym_break_statement_token1] = ACTIONS(1834),
    [aux_sym_leave_statement_token1] = ACTIONS(1834),
    [aux_sym_continue_statement_token1] = ACTIONS(1834),
    [aux_sym_iterate_statement_token1] = ACTIONS(1834),
    [aux_sym_raise_statement_token1] = ACTIONS(1834),
    [anon_sym_EQ] = ACTIONS(1834),
    [aux_sym_assert_statement_token1] = ACTIONS(1834),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1834),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1834),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1834),
    [anon_sym_LT] = ACTIONS(1836),
    [anon_sym_GT] = ACTIONS(1836),
    [aux_sym_set_operation_token1] = ACTIONS(1834),
    [aux_sym_set_operation_token3] = ACTIONS(1834),
    [aux_sym_set_operation_token4] = ACTIONS(1836),
    [aux_sym_select_token1] = ACTIONS(1834),
    [aux_sym_having_clause_token1] = ACTIONS(1834),
    [aux_sym_qualify_clause_token1] = ACTIONS(1834),
    [aux_sym_limit_clause_token1] = ACTIONS(1834),
    [aux_sym_group_by_clause_token1] = ACTIONS(1834),
    [aux_sym_order_by_clause_token1] = ACTIONS(1834),
    [aux_sym_where_clause_token1] = ACTIONS(1834),
    [aux_sym_pivot_operator_token1] = ACTIONS(1834),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1834),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1834),
    [aux_sym_join_type_token1] = ACTIONS(1834),
    [aux_sym_join_type_token2] = ACTIONS(1834),
    [aux_sym_join_type_token3] = ACTIONS(1834),
    [aux_sym_join_type_token4] = ACTIONS(1834),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1834),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1834),
    [aux_sym_join_condition_token1] = ACTIONS(1834),
    [aux_sym_insert_statement_token1] = ACTIONS(1834),
    [aux_sym_truncate_statement_token1] = ACTIONS(1834),
    [aux_sym_update_statement_token1] = ACTIONS(1834),
    [aux_sym_merge_statement_token1] = ACTIONS(1834),
    [aux_sym_grant_statement_token1] = ACTIONS(1834),
    [aux_sym_revoke_statement_token1] = ACTIONS(1834),
    [aux_sym_export_data_statement_token1] = ACTIONS(1834),
    [aux_sym_load_data_statement_token1] = ACTIONS(1834),
    [anon_sym_LBRACK] = ACTIONS(1834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1834),
    [anon_sym_PLUS] = ACTIONS(1834),
    [anon_sym_DASH] = ACTIONS(1836),
    [anon_sym_STAR] = ACTIONS(1834),
    [anon_sym_SLASH] = ACTIONS(1836),
    [anon_sym_PIPE_PIPE] = ACTIONS(1834),
    [anon_sym_LT_EQ] = ACTIONS(1834),
    [anon_sym_LT_GT] = ACTIONS(1834),
    [anon_sym_GT_EQ] = ACTIONS(1834),
    [anon_sym_BANG_EQ] = ACTIONS(1834),
    [anon_sym_LT_LT] = ACTIONS(1834),
    [anon_sym_GT_GT] = ACTIONS(1834),
    [anon_sym_AMP] = ACTIONS(1834),
    [anon_sym_CARET] = ACTIONS(1834),
    [anon_sym_PIPE] = ACTIONS(1836),
  },
  [615] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_window_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_using_clause_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_having_clause_token1] = ACTIONS(1378),
    [aux_sym_qualify_clause_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym_group_by_clause_token1] = ACTIONS(1378),
    [aux_sym_order_by_clause_token1] = ACTIONS(1378),
    [aux_sym_where_clause_token1] = ACTIONS(1378),
    [aux_sym_pivot_operator_token1] = ACTIONS(1378),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1378),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1378),
    [aux_sym_join_type_token1] = ACTIONS(1378),
    [aux_sym_join_type_token2] = ACTIONS(1378),
    [aux_sym_join_type_token3] = ACTIONS(1378),
    [aux_sym_join_type_token4] = ACTIONS(1378),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1378),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1378),
    [aux_sym_join_condition_token1] = ACTIONS(1378),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [616] = {
    [ts_builtin_sym_end] = ACTIONS(1838),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1838),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1838),
    [aux_sym_keyword_replace_token1] = ACTIONS(1840),
    [aux_sym__keyword_alter_token1] = ACTIONS(1838),
    [aux_sym__keyword_delete_token1] = ACTIONS(1838),
    [aux_sym__keyword_begin_token1] = ACTIONS(1838),
    [aux_sym__keyword_end_token1] = ACTIONS(1838),
    [aux_sym__keyword_between_token1] = ACTIONS(1838),
    [aux_sym__keyword_when_token1] = ACTIONS(1838),
    [aux_sym__keyword_else_token1] = ACTIONS(1840),
    [aux_sym__keyword_is_token1] = ACTIONS(1838),
    [aux_sym__keyword_in_token1] = ACTIONS(1840),
    [aux_sym__keyword_and_token1] = ACTIONS(1838),
    [aux_sym__keyword_like_token1] = ACTIONS(1838),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1838),
    [aux_sym__keyword_window_token1] = ACTIONS(1838),
    [aux_sym__keyword_for_token1] = ACTIONS(1838),
    [anon_sym_SEMI] = ACTIONS(1838),
    [aux_sym_declare_statement_token1] = ACTIONS(1838),
    [anon_sym_COMMA] = ACTIONS(1838),
    [aux_sym_set_statement_token1] = ACTIONS(1838),
    [anon_sym_LPAREN] = ACTIONS(1838),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1838),
    [aux_sym_using_clause_token1] = ACTIONS(1838),
    [aux_sym_return_satement_token1] = ACTIONS(1838),
    [aux_sym_call_statement_token1] = ACTIONS(1838),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1838),
    [aux_sym_if_statement_token1] = ACTIONS(1838),
    [aux_sym_loop_statement_token1] = ACTIONS(1838),
    [aux_sym_repeat_statement_token1] = ACTIONS(1838),
    [aux_sym_while_statement_token1] = ACTIONS(1838),
    [aux_sym_break_statement_token1] = ACTIONS(1838),
    [aux_sym_leave_statement_token1] = ACTIONS(1838),
    [aux_sym_continue_statement_token1] = ACTIONS(1838),
    [aux_sym_iterate_statement_token1] = ACTIONS(1838),
    [aux_sym_raise_statement_token1] = ACTIONS(1838),
    [anon_sym_EQ] = ACTIONS(1838),
    [aux_sym_assert_statement_token1] = ACTIONS(1838),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1838),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1838),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1838),
    [anon_sym_LT] = ACTIONS(1840),
    [anon_sym_GT] = ACTIONS(1840),
    [aux_sym_set_operation_token1] = ACTIONS(1838),
    [aux_sym_set_operation_token3] = ACTIONS(1838),
    [aux_sym_set_operation_token4] = ACTIONS(1840),
    [aux_sym_select_token1] = ACTIONS(1838),
    [aux_sym_having_clause_token1] = ACTIONS(1838),
    [aux_sym_qualify_clause_token1] = ACTIONS(1838),
    [aux_sym_limit_clause_token1] = ACTIONS(1838),
    [aux_sym_group_by_clause_token1] = ACTIONS(1838),
    [aux_sym_order_by_clause_token1] = ACTIONS(1838),
    [aux_sym_where_clause_token1] = ACTIONS(1838),
    [aux_sym_pivot_operator_token1] = ACTIONS(1838),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1838),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1838),
    [aux_sym_join_type_token1] = ACTIONS(1838),
    [aux_sym_join_type_token2] = ACTIONS(1838),
    [aux_sym_join_type_token3] = ACTIONS(1838),
    [aux_sym_join_type_token4] = ACTIONS(1838),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1838),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1838),
    [aux_sym_join_condition_token1] = ACTIONS(1838),
    [aux_sym_insert_statement_token1] = ACTIONS(1838),
    [aux_sym_truncate_statement_token1] = ACTIONS(1838),
    [aux_sym_update_statement_token1] = ACTIONS(1838),
    [aux_sym_merge_statement_token1] = ACTIONS(1838),
    [aux_sym_grant_statement_token1] = ACTIONS(1838),
    [aux_sym_revoke_statement_token1] = ACTIONS(1838),
    [aux_sym_export_data_statement_token1] = ACTIONS(1838),
    [aux_sym_load_data_statement_token1] = ACTIONS(1838),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1838),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1838),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE] = ACTIONS(1838),
    [anon_sym_LT_EQ] = ACTIONS(1838),
    [anon_sym_LT_GT] = ACTIONS(1838),
    [anon_sym_GT_EQ] = ACTIONS(1838),
    [anon_sym_BANG_EQ] = ACTIONS(1838),
    [anon_sym_LT_LT] = ACTIONS(1838),
    [anon_sym_GT_GT] = ACTIONS(1838),
    [anon_sym_AMP] = ACTIONS(1838),
    [anon_sym_CARET] = ACTIONS(1838),
    [anon_sym_PIPE] = ACTIONS(1840),
  },
  [617] = {
    [ts_builtin_sym_end] = ACTIONS(1842),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1842),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1842),
    [aux_sym_keyword_replace_token1] = ACTIONS(1844),
    [aux_sym__keyword_alter_token1] = ACTIONS(1842),
    [aux_sym__keyword_delete_token1] = ACTIONS(1842),
    [aux_sym__keyword_begin_token1] = ACTIONS(1842),
    [aux_sym__keyword_end_token1] = ACTIONS(1842),
    [aux_sym__keyword_between_token1] = ACTIONS(1842),
    [aux_sym__keyword_when_token1] = ACTIONS(1842),
    [aux_sym__keyword_else_token1] = ACTIONS(1844),
    [aux_sym__keyword_is_token1] = ACTIONS(1842),
    [aux_sym__keyword_in_token1] = ACTIONS(1844),
    [aux_sym__keyword_and_token1] = ACTIONS(1842),
    [aux_sym__keyword_like_token1] = ACTIONS(1842),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1842),
    [aux_sym__keyword_window_token1] = ACTIONS(1842),
    [aux_sym__keyword_for_token1] = ACTIONS(1842),
    [anon_sym_SEMI] = ACTIONS(1842),
    [aux_sym_declare_statement_token1] = ACTIONS(1842),
    [anon_sym_COMMA] = ACTIONS(1842),
    [aux_sym_set_statement_token1] = ACTIONS(1842),
    [anon_sym_LPAREN] = ACTIONS(1842),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1842),
    [aux_sym_using_clause_token1] = ACTIONS(1842),
    [aux_sym_return_satement_token1] = ACTIONS(1842),
    [aux_sym_call_statement_token1] = ACTIONS(1842),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1842),
    [aux_sym_if_statement_token1] = ACTIONS(1842),
    [aux_sym_loop_statement_token1] = ACTIONS(1842),
    [aux_sym_repeat_statement_token1] = ACTIONS(1842),
    [aux_sym_while_statement_token1] = ACTIONS(1842),
    [aux_sym_break_statement_token1] = ACTIONS(1842),
    [aux_sym_leave_statement_token1] = ACTIONS(1842),
    [aux_sym_continue_statement_token1] = ACTIONS(1842),
    [aux_sym_iterate_statement_token1] = ACTIONS(1842),
    [aux_sym_raise_statement_token1] = ACTIONS(1842),
    [anon_sym_EQ] = ACTIONS(1842),
    [aux_sym_assert_statement_token1] = ACTIONS(1842),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1842),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1842),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1842),
    [anon_sym_LT] = ACTIONS(1844),
    [anon_sym_GT] = ACTIONS(1844),
    [aux_sym_set_operation_token1] = ACTIONS(1842),
    [aux_sym_set_operation_token3] = ACTIONS(1842),
    [aux_sym_set_operation_token4] = ACTIONS(1844),
    [aux_sym_select_token1] = ACTIONS(1842),
    [aux_sym_having_clause_token1] = ACTIONS(1842),
    [aux_sym_qualify_clause_token1] = ACTIONS(1842),
    [aux_sym_limit_clause_token1] = ACTIONS(1842),
    [aux_sym_group_by_clause_token1] = ACTIONS(1842),
    [aux_sym_order_by_clause_token1] = ACTIONS(1842),
    [aux_sym_where_clause_token1] = ACTIONS(1842),
    [aux_sym_pivot_operator_token1] = ACTIONS(1842),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1842),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1842),
    [aux_sym_join_type_token1] = ACTIONS(1842),
    [aux_sym_join_type_token2] = ACTIONS(1842),
    [aux_sym_join_type_token3] = ACTIONS(1842),
    [aux_sym_join_type_token4] = ACTIONS(1842),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1842),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1842),
    [aux_sym_join_condition_token1] = ACTIONS(1842),
    [aux_sym_insert_statement_token1] = ACTIONS(1842),
    [aux_sym_truncate_statement_token1] = ACTIONS(1842),
    [aux_sym_update_statement_token1] = ACTIONS(1842),
    [aux_sym_merge_statement_token1] = ACTIONS(1842),
    [aux_sym_grant_statement_token1] = ACTIONS(1842),
    [aux_sym_revoke_statement_token1] = ACTIONS(1842),
    [aux_sym_export_data_statement_token1] = ACTIONS(1842),
    [aux_sym_load_data_statement_token1] = ACTIONS(1842),
    [anon_sym_LBRACK] = ACTIONS(1842),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1842),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1844),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_SLASH] = ACTIONS(1844),
    [anon_sym_PIPE_PIPE] = ACTIONS(1842),
    [anon_sym_LT_EQ] = ACTIONS(1842),
    [anon_sym_LT_GT] = ACTIONS(1842),
    [anon_sym_GT_EQ] = ACTIONS(1842),
    [anon_sym_BANG_EQ] = ACTIONS(1842),
    [anon_sym_LT_LT] = ACTIONS(1842),
    [anon_sym_GT_GT] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym_CARET] = ACTIONS(1842),
    [anon_sym_PIPE] = ACTIONS(1844),
  },
  [618] = {
    [ts_builtin_sym_end] = ACTIONS(1846),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1846),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1846),
    [aux_sym_keyword_replace_token1] = ACTIONS(1848),
    [aux_sym__keyword_alter_token1] = ACTIONS(1846),
    [aux_sym__keyword_delete_token1] = ACTIONS(1846),
    [aux_sym__keyword_begin_token1] = ACTIONS(1846),
    [aux_sym__keyword_end_token1] = ACTIONS(1846),
    [aux_sym__keyword_between_token1] = ACTIONS(1846),
    [aux_sym__keyword_when_token1] = ACTIONS(1846),
    [aux_sym__keyword_else_token1] = ACTIONS(1848),
    [aux_sym__keyword_is_token1] = ACTIONS(1846),
    [aux_sym__keyword_in_token1] = ACTIONS(1848),
    [aux_sym__keyword_and_token1] = ACTIONS(1846),
    [aux_sym__keyword_like_token1] = ACTIONS(1846),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1846),
    [aux_sym__keyword_window_token1] = ACTIONS(1846),
    [aux_sym__keyword_for_token1] = ACTIONS(1846),
    [anon_sym_SEMI] = ACTIONS(1846),
    [aux_sym_declare_statement_token1] = ACTIONS(1846),
    [anon_sym_COMMA] = ACTIONS(1846),
    [aux_sym_set_statement_token1] = ACTIONS(1846),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1846),
    [aux_sym_using_clause_token1] = ACTIONS(1846),
    [aux_sym_return_satement_token1] = ACTIONS(1846),
    [aux_sym_call_statement_token1] = ACTIONS(1846),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1846),
    [aux_sym_if_statement_token1] = ACTIONS(1846),
    [aux_sym_loop_statement_token1] = ACTIONS(1846),
    [aux_sym_repeat_statement_token1] = ACTIONS(1846),
    [aux_sym_while_statement_token1] = ACTIONS(1846),
    [aux_sym_break_statement_token1] = ACTIONS(1846),
    [aux_sym_leave_statement_token1] = ACTIONS(1846),
    [aux_sym_continue_statement_token1] = ACTIONS(1846),
    [aux_sym_iterate_statement_token1] = ACTIONS(1846),
    [aux_sym_raise_statement_token1] = ACTIONS(1846),
    [anon_sym_EQ] = ACTIONS(1846),
    [aux_sym_assert_statement_token1] = ACTIONS(1846),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1846),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1846),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1846),
    [anon_sym_LT] = ACTIONS(1848),
    [anon_sym_GT] = ACTIONS(1848),
    [aux_sym_set_operation_token1] = ACTIONS(1846),
    [aux_sym_set_operation_token3] = ACTIONS(1846),
    [aux_sym_set_operation_token4] = ACTIONS(1848),
    [aux_sym_select_token1] = ACTIONS(1846),
    [aux_sym_having_clause_token1] = ACTIONS(1846),
    [aux_sym_qualify_clause_token1] = ACTIONS(1846),
    [aux_sym_limit_clause_token1] = ACTIONS(1846),
    [aux_sym_group_by_clause_token1] = ACTIONS(1846),
    [aux_sym_order_by_clause_token1] = ACTIONS(1846),
    [aux_sym_where_clause_token1] = ACTIONS(1846),
    [aux_sym_pivot_operator_token1] = ACTIONS(1846),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1846),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1846),
    [aux_sym_join_type_token1] = ACTIONS(1846),
    [aux_sym_join_type_token2] = ACTIONS(1846),
    [aux_sym_join_type_token3] = ACTIONS(1846),
    [aux_sym_join_type_token4] = ACTIONS(1846),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1846),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1846),
    [aux_sym_join_condition_token1] = ACTIONS(1846),
    [aux_sym_insert_statement_token1] = ACTIONS(1846),
    [aux_sym_truncate_statement_token1] = ACTIONS(1846),
    [aux_sym_update_statement_token1] = ACTIONS(1846),
    [aux_sym_merge_statement_token1] = ACTIONS(1846),
    [aux_sym_grant_statement_token1] = ACTIONS(1846),
    [aux_sym_revoke_statement_token1] = ACTIONS(1846),
    [aux_sym_export_data_statement_token1] = ACTIONS(1846),
    [aux_sym_load_data_statement_token1] = ACTIONS(1846),
    [anon_sym_LBRACK] = ACTIONS(1846),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1846),
    [anon_sym_PLUS] = ACTIONS(1846),
    [anon_sym_DASH] = ACTIONS(1848),
    [anon_sym_STAR] = ACTIONS(1846),
    [anon_sym_SLASH] = ACTIONS(1848),
    [anon_sym_PIPE_PIPE] = ACTIONS(1846),
    [anon_sym_LT_EQ] = ACTIONS(1846),
    [anon_sym_LT_GT] = ACTIONS(1846),
    [anon_sym_GT_EQ] = ACTIONS(1846),
    [anon_sym_BANG_EQ] = ACTIONS(1846),
    [anon_sym_LT_LT] = ACTIONS(1846),
    [anon_sym_GT_GT] = ACTIONS(1846),
    [anon_sym_AMP] = ACTIONS(1846),
    [anon_sym_CARET] = ACTIONS(1846),
    [anon_sym_PIPE] = ACTIONS(1848),
  },
  [619] = {
    [ts_builtin_sym_end] = ACTIONS(1850),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1850),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1850),
    [aux_sym_keyword_replace_token1] = ACTIONS(1852),
    [aux_sym__keyword_alter_token1] = ACTIONS(1850),
    [aux_sym__keyword_delete_token1] = ACTIONS(1850),
    [aux_sym__keyword_begin_token1] = ACTIONS(1850),
    [aux_sym__keyword_end_token1] = ACTIONS(1850),
    [aux_sym__keyword_between_token1] = ACTIONS(1850),
    [aux_sym__keyword_when_token1] = ACTIONS(1850),
    [aux_sym__keyword_else_token1] = ACTIONS(1852),
    [aux_sym__keyword_is_token1] = ACTIONS(1850),
    [aux_sym__keyword_in_token1] = ACTIONS(1852),
    [aux_sym__keyword_and_token1] = ACTIONS(1850),
    [aux_sym__keyword_like_token1] = ACTIONS(1850),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1850),
    [aux_sym__keyword_window_token1] = ACTIONS(1850),
    [aux_sym__keyword_for_token1] = ACTIONS(1850),
    [anon_sym_SEMI] = ACTIONS(1850),
    [aux_sym_declare_statement_token1] = ACTIONS(1850),
    [anon_sym_COMMA] = ACTIONS(1850),
    [aux_sym_set_statement_token1] = ACTIONS(1850),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1850),
    [aux_sym_using_clause_token1] = ACTIONS(1850),
    [aux_sym_return_satement_token1] = ACTIONS(1850),
    [aux_sym_call_statement_token1] = ACTIONS(1850),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1850),
    [aux_sym_if_statement_token1] = ACTIONS(1850),
    [aux_sym_loop_statement_token1] = ACTIONS(1850),
    [aux_sym_repeat_statement_token1] = ACTIONS(1850),
    [aux_sym_while_statement_token1] = ACTIONS(1850),
    [aux_sym_break_statement_token1] = ACTIONS(1850),
    [aux_sym_leave_statement_token1] = ACTIONS(1850),
    [aux_sym_continue_statement_token1] = ACTIONS(1850),
    [aux_sym_iterate_statement_token1] = ACTIONS(1850),
    [aux_sym_raise_statement_token1] = ACTIONS(1850),
    [anon_sym_EQ] = ACTIONS(1850),
    [aux_sym_assert_statement_token1] = ACTIONS(1850),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1850),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1850),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1850),
    [anon_sym_LT] = ACTIONS(1852),
    [anon_sym_GT] = ACTIONS(1852),
    [aux_sym_set_operation_token1] = ACTIONS(1850),
    [aux_sym_set_operation_token3] = ACTIONS(1850),
    [aux_sym_set_operation_token4] = ACTIONS(1852),
    [aux_sym_select_token1] = ACTIONS(1850),
    [aux_sym_having_clause_token1] = ACTIONS(1850),
    [aux_sym_qualify_clause_token1] = ACTIONS(1850),
    [aux_sym_limit_clause_token1] = ACTIONS(1850),
    [aux_sym_group_by_clause_token1] = ACTIONS(1850),
    [aux_sym_order_by_clause_token1] = ACTIONS(1850),
    [aux_sym_where_clause_token1] = ACTIONS(1850),
    [aux_sym_pivot_operator_token1] = ACTIONS(1850),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1850),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1850),
    [aux_sym_join_type_token1] = ACTIONS(1850),
    [aux_sym_join_type_token2] = ACTIONS(1850),
    [aux_sym_join_type_token3] = ACTIONS(1850),
    [aux_sym_join_type_token4] = ACTIONS(1850),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1850),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1850),
    [aux_sym_join_condition_token1] = ACTIONS(1850),
    [aux_sym_insert_statement_token1] = ACTIONS(1850),
    [aux_sym_truncate_statement_token1] = ACTIONS(1850),
    [aux_sym_update_statement_token1] = ACTIONS(1850),
    [aux_sym_merge_statement_token1] = ACTIONS(1850),
    [aux_sym_grant_statement_token1] = ACTIONS(1850),
    [aux_sym_revoke_statement_token1] = ACTIONS(1850),
    [aux_sym_export_data_statement_token1] = ACTIONS(1850),
    [aux_sym_load_data_statement_token1] = ACTIONS(1850),
    [anon_sym_LBRACK] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1850),
    [anon_sym_PLUS] = ACTIONS(1850),
    [anon_sym_DASH] = ACTIONS(1852),
    [anon_sym_STAR] = ACTIONS(1850),
    [anon_sym_SLASH] = ACTIONS(1852),
    [anon_sym_PIPE_PIPE] = ACTIONS(1850),
    [anon_sym_LT_EQ] = ACTIONS(1850),
    [anon_sym_LT_GT] = ACTIONS(1850),
    [anon_sym_GT_EQ] = ACTIONS(1850),
    [anon_sym_BANG_EQ] = ACTIONS(1850),
    [anon_sym_LT_LT] = ACTIONS(1850),
    [anon_sym_GT_GT] = ACTIONS(1850),
    [anon_sym_AMP] = ACTIONS(1850),
    [anon_sym_CARET] = ACTIONS(1850),
    [anon_sym_PIPE] = ACTIONS(1852),
  },
  [620] = {
    [ts_builtin_sym_end] = ACTIONS(1854),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1854),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1854),
    [aux_sym_keyword_replace_token1] = ACTIONS(1856),
    [aux_sym__keyword_alter_token1] = ACTIONS(1854),
    [aux_sym__keyword_delete_token1] = ACTIONS(1854),
    [aux_sym__keyword_begin_token1] = ACTIONS(1854),
    [aux_sym__keyword_end_token1] = ACTIONS(1854),
    [aux_sym__keyword_between_token1] = ACTIONS(1854),
    [aux_sym__keyword_when_token1] = ACTIONS(1854),
    [aux_sym__keyword_else_token1] = ACTIONS(1856),
    [aux_sym__keyword_is_token1] = ACTIONS(1854),
    [aux_sym__keyword_in_token1] = ACTIONS(1856),
    [aux_sym__keyword_and_token1] = ACTIONS(1854),
    [aux_sym__keyword_like_token1] = ACTIONS(1854),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1854),
    [aux_sym__keyword_window_token1] = ACTIONS(1854),
    [aux_sym__keyword_for_token1] = ACTIONS(1854),
    [anon_sym_SEMI] = ACTIONS(1854),
    [aux_sym_declare_statement_token1] = ACTIONS(1854),
    [anon_sym_COMMA] = ACTIONS(1854),
    [aux_sym_set_statement_token1] = ACTIONS(1854),
    [anon_sym_LPAREN] = ACTIONS(1854),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1854),
    [aux_sym_using_clause_token1] = ACTIONS(1854),
    [aux_sym_return_satement_token1] = ACTIONS(1854),
    [aux_sym_call_statement_token1] = ACTIONS(1854),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1854),
    [aux_sym_if_statement_token1] = ACTIONS(1854),
    [aux_sym_loop_statement_token1] = ACTIONS(1854),
    [aux_sym_repeat_statement_token1] = ACTIONS(1854),
    [aux_sym_while_statement_token1] = ACTIONS(1854),
    [aux_sym_break_statement_token1] = ACTIONS(1854),
    [aux_sym_leave_statement_token1] = ACTIONS(1854),
    [aux_sym_continue_statement_token1] = ACTIONS(1854),
    [aux_sym_iterate_statement_token1] = ACTIONS(1854),
    [aux_sym_raise_statement_token1] = ACTIONS(1854),
    [anon_sym_EQ] = ACTIONS(1854),
    [aux_sym_assert_statement_token1] = ACTIONS(1854),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1854),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1854),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1854),
    [anon_sym_LT] = ACTIONS(1856),
    [anon_sym_GT] = ACTIONS(1856),
    [aux_sym_set_operation_token1] = ACTIONS(1854),
    [aux_sym_set_operation_token3] = ACTIONS(1854),
    [aux_sym_set_operation_token4] = ACTIONS(1856),
    [aux_sym_select_token1] = ACTIONS(1854),
    [aux_sym_having_clause_token1] = ACTIONS(1854),
    [aux_sym_qualify_clause_token1] = ACTIONS(1854),
    [aux_sym_limit_clause_token1] = ACTIONS(1854),
    [aux_sym_group_by_clause_token1] = ACTIONS(1854),
    [aux_sym_order_by_clause_token1] = ACTIONS(1854),
    [aux_sym_where_clause_token1] = ACTIONS(1854),
    [aux_sym_pivot_operator_token1] = ACTIONS(1854),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1854),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1854),
    [aux_sym_join_type_token1] = ACTIONS(1854),
    [aux_sym_join_type_token2] = ACTIONS(1854),
    [aux_sym_join_type_token3] = ACTIONS(1854),
    [aux_sym_join_type_token4] = ACTIONS(1854),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1854),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1854),
    [aux_sym_join_condition_token1] = ACTIONS(1854),
    [aux_sym_insert_statement_token1] = ACTIONS(1854),
    [aux_sym_truncate_statement_token1] = ACTIONS(1854),
    [aux_sym_update_statement_token1] = ACTIONS(1854),
    [aux_sym_merge_statement_token1] = ACTIONS(1854),
    [aux_sym_grant_statement_token1] = ACTIONS(1854),
    [aux_sym_revoke_statement_token1] = ACTIONS(1854),
    [aux_sym_export_data_statement_token1] = ACTIONS(1854),
    [aux_sym_load_data_statement_token1] = ACTIONS(1854),
    [anon_sym_LBRACK] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1854),
    [anon_sym_SLASH] = ACTIONS(1856),
    [anon_sym_PIPE_PIPE] = ACTIONS(1854),
    [anon_sym_LT_EQ] = ACTIONS(1854),
    [anon_sym_LT_GT] = ACTIONS(1854),
    [anon_sym_GT_EQ] = ACTIONS(1854),
    [anon_sym_BANG_EQ] = ACTIONS(1854),
    [anon_sym_LT_LT] = ACTIONS(1854),
    [anon_sym_GT_GT] = ACTIONS(1854),
    [anon_sym_AMP] = ACTIONS(1854),
    [anon_sym_CARET] = ACTIONS(1854),
    [anon_sym_PIPE] = ACTIONS(1856),
  },
  [621] = {
    [ts_builtin_sym_end] = ACTIONS(1470),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1470),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1470),
    [aux_sym_keyword_replace_token1] = ACTIONS(1472),
    [aux_sym__keyword_alter_token1] = ACTIONS(1470),
    [aux_sym__keyword_delete_token1] = ACTIONS(1470),
    [aux_sym__keyword_begin_token1] = ACTIONS(1470),
    [aux_sym__keyword_end_token1] = ACTIONS(1470),
    [aux_sym__keyword_between_token1] = ACTIONS(1470),
    [aux_sym__keyword_when_token1] = ACTIONS(1470),
    [aux_sym__keyword_else_token1] = ACTIONS(1472),
    [aux_sym__keyword_is_token1] = ACTIONS(1470),
    [aux_sym__keyword_in_token1] = ACTIONS(1472),
    [aux_sym__keyword_and_token1] = ACTIONS(1470),
    [aux_sym__keyword_like_token1] = ACTIONS(1470),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1470),
    [aux_sym__keyword_window_token1] = ACTIONS(1470),
    [aux_sym__keyword_for_token1] = ACTIONS(1470),
    [anon_sym_SEMI] = ACTIONS(1470),
    [aux_sym_declare_statement_token1] = ACTIONS(1470),
    [anon_sym_COMMA] = ACTIONS(1470),
    [aux_sym_set_statement_token1] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1470),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1470),
    [aux_sym_using_clause_token1] = ACTIONS(1470),
    [aux_sym_return_satement_token1] = ACTIONS(1470),
    [aux_sym_call_statement_token1] = ACTIONS(1470),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1470),
    [aux_sym_if_statement_token1] = ACTIONS(1470),
    [aux_sym_loop_statement_token1] = ACTIONS(1470),
    [aux_sym_repeat_statement_token1] = ACTIONS(1470),
    [aux_sym_while_statement_token1] = ACTIONS(1470),
    [aux_sym_break_statement_token1] = ACTIONS(1470),
    [aux_sym_leave_statement_token1] = ACTIONS(1470),
    [aux_sym_continue_statement_token1] = ACTIONS(1470),
    [aux_sym_iterate_statement_token1] = ACTIONS(1470),
    [aux_sym_raise_statement_token1] = ACTIONS(1470),
    [anon_sym_EQ] = ACTIONS(1470),
    [aux_sym_assert_statement_token1] = ACTIONS(1470),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1470),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1470),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1470),
    [anon_sym_LT] = ACTIONS(1472),
    [anon_sym_GT] = ACTIONS(1472),
    [aux_sym_set_operation_token1] = ACTIONS(1470),
    [aux_sym_set_operation_token3] = ACTIONS(1470),
    [aux_sym_set_operation_token4] = ACTIONS(1472),
    [aux_sym_select_token1] = ACTIONS(1470),
    [aux_sym_having_clause_token1] = ACTIONS(1470),
    [aux_sym_qualify_clause_token1] = ACTIONS(1470),
    [aux_sym_limit_clause_token1] = ACTIONS(1470),
    [aux_sym_group_by_clause_token1] = ACTIONS(1470),
    [aux_sym_order_by_clause_token1] = ACTIONS(1470),
    [aux_sym_where_clause_token1] = ACTIONS(1470),
    [aux_sym_pivot_operator_token1] = ACTIONS(1470),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1470),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1470),
    [aux_sym_join_type_token1] = ACTIONS(1470),
    [aux_sym_join_type_token2] = ACTIONS(1470),
    [aux_sym_join_type_token3] = ACTIONS(1470),
    [aux_sym_join_type_token4] = ACTIONS(1470),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1470),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1470),
    [aux_sym_join_condition_token1] = ACTIONS(1470),
    [aux_sym_insert_statement_token1] = ACTIONS(1470),
    [aux_sym_truncate_statement_token1] = ACTIONS(1470),
    [aux_sym_update_statement_token1] = ACTIONS(1470),
    [aux_sym_merge_statement_token1] = ACTIONS(1470),
    [aux_sym_grant_statement_token1] = ACTIONS(1470),
    [aux_sym_revoke_statement_token1] = ACTIONS(1470),
    [aux_sym_export_data_statement_token1] = ACTIONS(1470),
    [aux_sym_load_data_statement_token1] = ACTIONS(1470),
    [anon_sym_LBRACK] = ACTIONS(1470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1470),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_STAR] = ACTIONS(1470),
    [anon_sym_SLASH] = ACTIONS(1472),
    [anon_sym_PIPE_PIPE] = ACTIONS(1470),
    [anon_sym_LT_EQ] = ACTIONS(1470),
    [anon_sym_LT_GT] = ACTIONS(1470),
    [anon_sym_GT_EQ] = ACTIONS(1470),
    [anon_sym_BANG_EQ] = ACTIONS(1470),
    [anon_sym_LT_LT] = ACTIONS(1470),
    [anon_sym_GT_GT] = ACTIONS(1470),
    [anon_sym_AMP] = ACTIONS(1470),
    [anon_sym_CARET] = ACTIONS(1470),
    [anon_sym_PIPE] = ACTIONS(1472),
  },
  [622] = {
    [ts_builtin_sym_end] = ACTIONS(1858),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1858),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1858),
    [aux_sym_keyword_replace_token1] = ACTIONS(1860),
    [aux_sym__keyword_alter_token1] = ACTIONS(1858),
    [aux_sym__keyword_delete_token1] = ACTIONS(1858),
    [aux_sym__keyword_begin_token1] = ACTIONS(1858),
    [aux_sym__keyword_end_token1] = ACTIONS(1858),
    [aux_sym__keyword_between_token1] = ACTIONS(1858),
    [aux_sym__keyword_when_token1] = ACTIONS(1858),
    [aux_sym__keyword_else_token1] = ACTIONS(1860),
    [aux_sym__keyword_is_token1] = ACTIONS(1858),
    [aux_sym__keyword_in_token1] = ACTIONS(1860),
    [aux_sym__keyword_and_token1] = ACTIONS(1858),
    [aux_sym__keyword_like_token1] = ACTIONS(1858),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1858),
    [aux_sym__keyword_window_token1] = ACTIONS(1858),
    [aux_sym__keyword_for_token1] = ACTIONS(1858),
    [anon_sym_SEMI] = ACTIONS(1858),
    [aux_sym_declare_statement_token1] = ACTIONS(1858),
    [anon_sym_COMMA] = ACTIONS(1858),
    [aux_sym_set_statement_token1] = ACTIONS(1858),
    [anon_sym_LPAREN] = ACTIONS(1858),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1858),
    [aux_sym_using_clause_token1] = ACTIONS(1858),
    [aux_sym_return_satement_token1] = ACTIONS(1858),
    [aux_sym_call_statement_token1] = ACTIONS(1858),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1858),
    [aux_sym_if_statement_token1] = ACTIONS(1858),
    [aux_sym_loop_statement_token1] = ACTIONS(1858),
    [aux_sym_repeat_statement_token1] = ACTIONS(1858),
    [aux_sym_while_statement_token1] = ACTIONS(1858),
    [aux_sym_break_statement_token1] = ACTIONS(1858),
    [aux_sym_leave_statement_token1] = ACTIONS(1858),
    [aux_sym_continue_statement_token1] = ACTIONS(1858),
    [aux_sym_iterate_statement_token1] = ACTIONS(1858),
    [aux_sym_raise_statement_token1] = ACTIONS(1858),
    [anon_sym_EQ] = ACTIONS(1858),
    [aux_sym_assert_statement_token1] = ACTIONS(1858),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1858),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1858),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1858),
    [anon_sym_LT] = ACTIONS(1860),
    [anon_sym_GT] = ACTIONS(1860),
    [aux_sym_set_operation_token1] = ACTIONS(1858),
    [aux_sym_set_operation_token3] = ACTIONS(1858),
    [aux_sym_set_operation_token4] = ACTIONS(1860),
    [aux_sym_select_token1] = ACTIONS(1858),
    [aux_sym_having_clause_token1] = ACTIONS(1858),
    [aux_sym_qualify_clause_token1] = ACTIONS(1858),
    [aux_sym_limit_clause_token1] = ACTIONS(1858),
    [aux_sym_group_by_clause_token1] = ACTIONS(1858),
    [aux_sym_order_by_clause_token1] = ACTIONS(1858),
    [aux_sym_where_clause_token1] = ACTIONS(1858),
    [aux_sym_pivot_operator_token1] = ACTIONS(1858),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1858),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1858),
    [aux_sym_join_type_token1] = ACTIONS(1858),
    [aux_sym_join_type_token2] = ACTIONS(1858),
    [aux_sym_join_type_token3] = ACTIONS(1858),
    [aux_sym_join_type_token4] = ACTIONS(1858),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1858),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1858),
    [aux_sym_join_condition_token1] = ACTIONS(1858),
    [aux_sym_insert_statement_token1] = ACTIONS(1858),
    [aux_sym_truncate_statement_token1] = ACTIONS(1858),
    [aux_sym_update_statement_token1] = ACTIONS(1858),
    [aux_sym_merge_statement_token1] = ACTIONS(1858),
    [aux_sym_grant_statement_token1] = ACTIONS(1858),
    [aux_sym_revoke_statement_token1] = ACTIONS(1858),
    [aux_sym_export_data_statement_token1] = ACTIONS(1858),
    [aux_sym_load_data_statement_token1] = ACTIONS(1858),
    [anon_sym_LBRACK] = ACTIONS(1858),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1858),
    [anon_sym_PLUS] = ACTIONS(1858),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_PIPE_PIPE] = ACTIONS(1858),
    [anon_sym_LT_EQ] = ACTIONS(1858),
    [anon_sym_LT_GT] = ACTIONS(1858),
    [anon_sym_GT_EQ] = ACTIONS(1858),
    [anon_sym_BANG_EQ] = ACTIONS(1858),
    [anon_sym_LT_LT] = ACTIONS(1858),
    [anon_sym_GT_GT] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym_CARET] = ACTIONS(1858),
    [anon_sym_PIPE] = ACTIONS(1860),
  },
  [623] = {
    [ts_builtin_sym_end] = ACTIONS(1466),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1466),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1466),
    [aux_sym_keyword_replace_token1] = ACTIONS(1468),
    [aux_sym__keyword_alter_token1] = ACTIONS(1466),
    [aux_sym__keyword_delete_token1] = ACTIONS(1466),
    [aux_sym__keyword_begin_token1] = ACTIONS(1466),
    [aux_sym__keyword_end_token1] = ACTIONS(1466),
    [aux_sym__keyword_between_token1] = ACTIONS(1466),
    [aux_sym__keyword_when_token1] = ACTIONS(1466),
    [aux_sym__keyword_else_token1] = ACTIONS(1468),
    [aux_sym__keyword_is_token1] = ACTIONS(1466),
    [aux_sym__keyword_in_token1] = ACTIONS(1468),
    [aux_sym__keyword_and_token1] = ACTIONS(1466),
    [aux_sym__keyword_like_token1] = ACTIONS(1466),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1466),
    [aux_sym__keyword_window_token1] = ACTIONS(1466),
    [aux_sym__keyword_for_token1] = ACTIONS(1466),
    [anon_sym_SEMI] = ACTIONS(1466),
    [aux_sym_declare_statement_token1] = ACTIONS(1466),
    [anon_sym_COMMA] = ACTIONS(1466),
    [aux_sym_set_statement_token1] = ACTIONS(1466),
    [anon_sym_LPAREN] = ACTIONS(1466),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1466),
    [aux_sym_using_clause_token1] = ACTIONS(1466),
    [aux_sym_return_satement_token1] = ACTIONS(1466),
    [aux_sym_call_statement_token1] = ACTIONS(1466),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1466),
    [aux_sym_if_statement_token1] = ACTIONS(1466),
    [aux_sym_loop_statement_token1] = ACTIONS(1466),
    [aux_sym_repeat_statement_token1] = ACTIONS(1466),
    [aux_sym_while_statement_token1] = ACTIONS(1466),
    [aux_sym_break_statement_token1] = ACTIONS(1466),
    [aux_sym_leave_statement_token1] = ACTIONS(1466),
    [aux_sym_continue_statement_token1] = ACTIONS(1466),
    [aux_sym_iterate_statement_token1] = ACTIONS(1466),
    [aux_sym_raise_statement_token1] = ACTIONS(1466),
    [anon_sym_EQ] = ACTIONS(1466),
    [aux_sym_assert_statement_token1] = ACTIONS(1466),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1466),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1466),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1466),
    [anon_sym_LT] = ACTIONS(1468),
    [anon_sym_GT] = ACTIONS(1468),
    [aux_sym_set_operation_token1] = ACTIONS(1466),
    [aux_sym_set_operation_token3] = ACTIONS(1466),
    [aux_sym_set_operation_token4] = ACTIONS(1468),
    [aux_sym_select_token1] = ACTIONS(1466),
    [aux_sym_having_clause_token1] = ACTIONS(1466),
    [aux_sym_qualify_clause_token1] = ACTIONS(1466),
    [aux_sym_limit_clause_token1] = ACTIONS(1466),
    [aux_sym_group_by_clause_token1] = ACTIONS(1466),
    [aux_sym_order_by_clause_token1] = ACTIONS(1466),
    [aux_sym_where_clause_token1] = ACTIONS(1466),
    [aux_sym_pivot_operator_token1] = ACTIONS(1466),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1466),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1466),
    [aux_sym_join_type_token1] = ACTIONS(1466),
    [aux_sym_join_type_token2] = ACTIONS(1466),
    [aux_sym_join_type_token3] = ACTIONS(1466),
    [aux_sym_join_type_token4] = ACTIONS(1466),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1466),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1466),
    [aux_sym_join_condition_token1] = ACTIONS(1466),
    [aux_sym_insert_statement_token1] = ACTIONS(1466),
    [aux_sym_truncate_statement_token1] = ACTIONS(1466),
    [aux_sym_update_statement_token1] = ACTIONS(1466),
    [aux_sym_merge_statement_token1] = ACTIONS(1466),
    [aux_sym_grant_statement_token1] = ACTIONS(1466),
    [aux_sym_revoke_statement_token1] = ACTIONS(1466),
    [aux_sym_export_data_statement_token1] = ACTIONS(1466),
    [aux_sym_load_data_statement_token1] = ACTIONS(1466),
    [anon_sym_LBRACK] = ACTIONS(1466),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_STAR] = ACTIONS(1466),
    [anon_sym_SLASH] = ACTIONS(1468),
    [anon_sym_PIPE_PIPE] = ACTIONS(1466),
    [anon_sym_LT_EQ] = ACTIONS(1466),
    [anon_sym_LT_GT] = ACTIONS(1466),
    [anon_sym_GT_EQ] = ACTIONS(1466),
    [anon_sym_BANG_EQ] = ACTIONS(1466),
    [anon_sym_LT_LT] = ACTIONS(1466),
    [anon_sym_GT_GT] = ACTIONS(1466),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_CARET] = ACTIONS(1466),
    [anon_sym_PIPE] = ACTIONS(1468),
  },
  [624] = {
    [sym_analytics_clause] = STATE(1911),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [625] = {
    [sym_analytics_clause] = STATE(2017),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [626] = {
    [sym_analytics_clause] = STATE(2083),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_from_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [627] = {
    [sym_analytics_clause] = STATE(2067),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_from_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [628] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1670),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_grouping_item] = STATE(5576),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(175),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(2307),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(995),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(997),
    [anon_sym_PLUS] = ACTIONS(999),
    [anon_sym_DASH] = ACTIONS(999),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [629] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym__aliasable_expression] = STATE(14479),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5364),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [630] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym__aliasable_expression] = STATE(15646),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5364),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [631] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym__aliasable_expression] = STATE(15651),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5364),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [632] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_replace_expression] = STATE(16080),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5381),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [633] = {
    [sym_analytics_clause] = STATE(2069),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_from_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [634] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1357),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_grouping_item] = STATE(5576),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(391),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(2713),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(957),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(961),
    [anon_sym_DASH] = ACTIONS(961),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [635] = {
    [sym_analytics_clause] = STATE(1940),
    [ts_builtin_sym_end] = ACTIONS(1438),
    [sym__unquoted_identifier] = ACTIONS(1440),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1440),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1440),
    [aux_sym_keyword_replace_token1] = ACTIONS(1440),
    [aux_sym__keyword_alter_token1] = ACTIONS(1440),
    [aux_sym__keyword_from_token1] = ACTIONS(1440),
    [aux_sym__keyword_delete_token1] = ACTIONS(1440),
    [aux_sym__keyword_begin_token1] = ACTIONS(1440),
    [aux_sym__keyword_end_token1] = ACTIONS(1440),
    [aux_sym__keyword_between_token1] = ACTIONS(1440),
    [aux_sym__keyword_when_token1] = ACTIONS(1440),
    [aux_sym__keyword_else_token1] = ACTIONS(1440),
    [aux_sym__keyword_is_token1] = ACTIONS(1440),
    [aux_sym__keyword_in_token1] = ACTIONS(1440),
    [aux_sym__keyword_and_token1] = ACTIONS(1440),
    [aux_sym__keyword_like_token1] = ACTIONS(1440),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1440),
    [aux_sym__keyword_as_token1] = ACTIONS(1440),
    [aux_sym__keyword_window_token1] = ACTIONS(1440),
    [aux_sym__keyword_date_token1] = ACTIONS(1440),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1440),
    [aux_sym__keyword_time_token1] = ACTIONS(1440),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1440),
    [aux_sym__keyword_for_token1] = ACTIONS(1440),
    [anon_sym_SEMI] = ACTIONS(1438),
    [aux_sym_declare_statement_token1] = ACTIONS(1440),
    [anon_sym_COMMA] = ACTIONS(1438),
    [aux_sym_set_statement_token1] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1438),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1440),
    [aux_sym_return_satement_token1] = ACTIONS(1440),
    [aux_sym_call_statement_token1] = ACTIONS(1440),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1440),
    [aux_sym_if_statement_token1] = ACTIONS(1440),
    [aux_sym_loop_statement_token1] = ACTIONS(1440),
    [aux_sym_repeat_statement_token1] = ACTIONS(1440),
    [aux_sym_while_statement_token1] = ACTIONS(1440),
    [aux_sym_break_statement_token1] = ACTIONS(1440),
    [aux_sym_leave_statement_token1] = ACTIONS(1440),
    [aux_sym_continue_statement_token1] = ACTIONS(1440),
    [aux_sym_iterate_statement_token1] = ACTIONS(1440),
    [aux_sym_raise_statement_token1] = ACTIONS(1440),
    [anon_sym_EQ] = ACTIONS(1438),
    [aux_sym_assert_statement_token1] = ACTIONS(1440),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1440),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1440),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1440),
    [anon_sym_LT] = ACTIONS(1440),
    [anon_sym_GT] = ACTIONS(1440),
    [aux_sym_set_operation_token1] = ACTIONS(1440),
    [aux_sym_set_operation_token3] = ACTIONS(1440),
    [aux_sym_set_operation_token4] = ACTIONS(1440),
    [aux_sym_select_token1] = ACTIONS(1440),
    [aux_sym_having_clause_token1] = ACTIONS(1440),
    [aux_sym_qualify_clause_token1] = ACTIONS(1440),
    [aux_sym_limit_clause_token1] = ACTIONS(1440),
    [aux_sym_group_by_clause_token1] = ACTIONS(1440),
    [aux_sym_order_by_clause_token1] = ACTIONS(1440),
    [aux_sym_where_clause_token1] = ACTIONS(1440),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1440),
    [aux_sym_truncate_statement_token1] = ACTIONS(1440),
    [aux_sym_update_statement_token1] = ACTIONS(1440),
    [aux_sym_merge_statement_token1] = ACTIONS(1440),
    [aux_sym_grant_statement_token1] = ACTIONS(1440),
    [aux_sym_revoke_statement_token1] = ACTIONS(1440),
    [aux_sym_export_data_statement_token1] = ACTIONS(1440),
    [aux_sym_load_data_statement_token1] = ACTIONS(1440),
    [anon_sym_LBRACK] = ACTIONS(1438),
    [sym__quoted_identifier] = ACTIONS(1438),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_STAR] = ACTIONS(1438),
    [anon_sym_SLASH] = ACTIONS(1440),
    [anon_sym_PIPE_PIPE] = ACTIONS(1438),
    [anon_sym_LT_EQ] = ACTIONS(1438),
    [anon_sym_LT_GT] = ACTIONS(1438),
    [anon_sym_GT_EQ] = ACTIONS(1438),
    [anon_sym_BANG_EQ] = ACTIONS(1438),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_AMP] = ACTIONS(1438),
    [anon_sym_CARET] = ACTIONS(1438),
    [anon_sym_PIPE] = ACTIONS(1440),
  },
  [636] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8455),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(1864),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [637] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym__aliasable_expression] = STATE(14653),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5364),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [638] = {
    [sym_analytics_clause] = STATE(2059),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_from_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [639] = {
    [sym_analytics_clause] = STATE(2058),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [640] = {
    [sym_analytics_clause] = STATE(1939),
    [ts_builtin_sym_end] = ACTIONS(1434),
    [sym__unquoted_identifier] = ACTIONS(1436),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1436),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1436),
    [aux_sym_keyword_replace_token1] = ACTIONS(1436),
    [aux_sym__keyword_alter_token1] = ACTIONS(1436),
    [aux_sym__keyword_from_token1] = ACTIONS(1436),
    [aux_sym__keyword_delete_token1] = ACTIONS(1436),
    [aux_sym__keyword_begin_token1] = ACTIONS(1436),
    [aux_sym__keyword_end_token1] = ACTIONS(1436),
    [aux_sym__keyword_between_token1] = ACTIONS(1436),
    [aux_sym__keyword_when_token1] = ACTIONS(1436),
    [aux_sym__keyword_else_token1] = ACTIONS(1436),
    [aux_sym__keyword_is_token1] = ACTIONS(1436),
    [aux_sym__keyword_in_token1] = ACTIONS(1436),
    [aux_sym__keyword_and_token1] = ACTIONS(1436),
    [aux_sym__keyword_like_token1] = ACTIONS(1436),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1436),
    [aux_sym__keyword_as_token1] = ACTIONS(1436),
    [aux_sym__keyword_window_token1] = ACTIONS(1436),
    [aux_sym__keyword_date_token1] = ACTIONS(1436),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1436),
    [aux_sym__keyword_time_token1] = ACTIONS(1436),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1436),
    [aux_sym__keyword_for_token1] = ACTIONS(1436),
    [anon_sym_SEMI] = ACTIONS(1434),
    [aux_sym_declare_statement_token1] = ACTIONS(1436),
    [anon_sym_COMMA] = ACTIONS(1434),
    [aux_sym_set_statement_token1] = ACTIONS(1436),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1436),
    [aux_sym_return_satement_token1] = ACTIONS(1436),
    [aux_sym_call_statement_token1] = ACTIONS(1436),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1436),
    [aux_sym_if_statement_token1] = ACTIONS(1436),
    [aux_sym_loop_statement_token1] = ACTIONS(1436),
    [aux_sym_repeat_statement_token1] = ACTIONS(1436),
    [aux_sym_while_statement_token1] = ACTIONS(1436),
    [aux_sym_break_statement_token1] = ACTIONS(1436),
    [aux_sym_leave_statement_token1] = ACTIONS(1436),
    [aux_sym_continue_statement_token1] = ACTIONS(1436),
    [aux_sym_iterate_statement_token1] = ACTIONS(1436),
    [aux_sym_raise_statement_token1] = ACTIONS(1436),
    [anon_sym_EQ] = ACTIONS(1434),
    [aux_sym_assert_statement_token1] = ACTIONS(1436),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1436),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1436),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(1436),
    [anon_sym_GT] = ACTIONS(1436),
    [aux_sym_set_operation_token1] = ACTIONS(1436),
    [aux_sym_set_operation_token3] = ACTIONS(1436),
    [aux_sym_set_operation_token4] = ACTIONS(1436),
    [aux_sym_select_token1] = ACTIONS(1436),
    [aux_sym_having_clause_token1] = ACTIONS(1436),
    [aux_sym_qualify_clause_token1] = ACTIONS(1436),
    [aux_sym_limit_clause_token1] = ACTIONS(1436),
    [aux_sym_group_by_clause_token1] = ACTIONS(1436),
    [aux_sym_order_by_clause_token1] = ACTIONS(1436),
    [aux_sym_where_clause_token1] = ACTIONS(1436),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1436),
    [aux_sym_truncate_statement_token1] = ACTIONS(1436),
    [aux_sym_update_statement_token1] = ACTIONS(1436),
    [aux_sym_merge_statement_token1] = ACTIONS(1436),
    [aux_sym_grant_statement_token1] = ACTIONS(1436),
    [aux_sym_revoke_statement_token1] = ACTIONS(1436),
    [aux_sym_export_data_statement_token1] = ACTIONS(1436),
    [aux_sym_load_data_statement_token1] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [sym__quoted_identifier] = ACTIONS(1434),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_STAR] = ACTIONS(1434),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1434),
    [anon_sym_LT_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1434),
    [anon_sym_BANG_EQ] = ACTIONS(1434),
    [anon_sym_LT_LT] = ACTIONS(1434),
    [anon_sym_GT_GT] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1434),
    [anon_sym_PIPE] = ACTIONS(1436),
  },
  [641] = {
    [sym_analytics_clause] = STATE(2057),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_from_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [642] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8403),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(1866),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [643] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8392),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(1868),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [644] = {
    [sym_analytics_clause] = STATE(2056),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [645] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_grouping_item] = STATE(5576),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9588),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [646] = {
    [sym_analytics_clause] = STATE(1937),
    [ts_builtin_sym_end] = ACTIONS(1430),
    [sym__unquoted_identifier] = ACTIONS(1432),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1432),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1432),
    [aux_sym_keyword_replace_token1] = ACTIONS(1432),
    [aux_sym__keyword_alter_token1] = ACTIONS(1432),
    [aux_sym__keyword_from_token1] = ACTIONS(1432),
    [aux_sym__keyword_delete_token1] = ACTIONS(1432),
    [aux_sym__keyword_begin_token1] = ACTIONS(1432),
    [aux_sym__keyword_end_token1] = ACTIONS(1432),
    [aux_sym__keyword_between_token1] = ACTIONS(1432),
    [aux_sym__keyword_when_token1] = ACTIONS(1432),
    [aux_sym__keyword_else_token1] = ACTIONS(1432),
    [aux_sym__keyword_is_token1] = ACTIONS(1432),
    [aux_sym__keyword_in_token1] = ACTIONS(1432),
    [aux_sym__keyword_and_token1] = ACTIONS(1432),
    [aux_sym__keyword_like_token1] = ACTIONS(1432),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1432),
    [aux_sym__keyword_as_token1] = ACTIONS(1432),
    [aux_sym__keyword_window_token1] = ACTIONS(1432),
    [aux_sym__keyword_date_token1] = ACTIONS(1432),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1432),
    [aux_sym__keyword_time_token1] = ACTIONS(1432),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1432),
    [aux_sym__keyword_for_token1] = ACTIONS(1432),
    [anon_sym_SEMI] = ACTIONS(1430),
    [aux_sym_declare_statement_token1] = ACTIONS(1432),
    [anon_sym_COMMA] = ACTIONS(1430),
    [aux_sym_set_statement_token1] = ACTIONS(1432),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1432),
    [aux_sym_return_satement_token1] = ACTIONS(1432),
    [aux_sym_call_statement_token1] = ACTIONS(1432),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1432),
    [aux_sym_if_statement_token1] = ACTIONS(1432),
    [aux_sym_loop_statement_token1] = ACTIONS(1432),
    [aux_sym_repeat_statement_token1] = ACTIONS(1432),
    [aux_sym_while_statement_token1] = ACTIONS(1432),
    [aux_sym_break_statement_token1] = ACTIONS(1432),
    [aux_sym_leave_statement_token1] = ACTIONS(1432),
    [aux_sym_continue_statement_token1] = ACTIONS(1432),
    [aux_sym_iterate_statement_token1] = ACTIONS(1432),
    [aux_sym_raise_statement_token1] = ACTIONS(1432),
    [anon_sym_EQ] = ACTIONS(1430),
    [aux_sym_assert_statement_token1] = ACTIONS(1432),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1432),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1432),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [aux_sym_set_operation_token1] = ACTIONS(1432),
    [aux_sym_set_operation_token3] = ACTIONS(1432),
    [aux_sym_set_operation_token4] = ACTIONS(1432),
    [aux_sym_select_token1] = ACTIONS(1432),
    [aux_sym_having_clause_token1] = ACTIONS(1432),
    [aux_sym_qualify_clause_token1] = ACTIONS(1432),
    [aux_sym_limit_clause_token1] = ACTIONS(1432),
    [aux_sym_group_by_clause_token1] = ACTIONS(1432),
    [aux_sym_order_by_clause_token1] = ACTIONS(1432),
    [aux_sym_where_clause_token1] = ACTIONS(1432),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1432),
    [aux_sym_truncate_statement_token1] = ACTIONS(1432),
    [aux_sym_update_statement_token1] = ACTIONS(1432),
    [aux_sym_merge_statement_token1] = ACTIONS(1432),
    [aux_sym_grant_statement_token1] = ACTIONS(1432),
    [aux_sym_revoke_statement_token1] = ACTIONS(1432),
    [aux_sym_export_data_statement_token1] = ACTIONS(1432),
    [aux_sym_load_data_statement_token1] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [sym__quoted_identifier] = ACTIONS(1430),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1432),
    [anon_sym_PIPE_PIPE] = ACTIONS(1430),
    [anon_sym_LT_EQ] = ACTIONS(1430),
    [anon_sym_LT_GT] = ACTIONS(1430),
    [anon_sym_GT_EQ] = ACTIONS(1430),
    [anon_sym_BANG_EQ] = ACTIONS(1430),
    [anon_sym_LT_LT] = ACTIONS(1430),
    [anon_sym_GT_GT] = ACTIONS(1430),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_PIPE] = ACTIONS(1432),
  },
  [647] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym__aliasable_expression] = STATE(14505),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5364),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [648] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(1276),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_order_by_clause_body] = STATE(6058),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(174),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(1475),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(1886),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1910),
    [anon_sym_PLUS] = ACTIONS(1912),
    [anon_sym_DASH] = ACTIONS(1912),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [649] = {
    [sym_analytics_clause] = STATE(1934),
    [ts_builtin_sym_end] = ACTIONS(1426),
    [sym__unquoted_identifier] = ACTIONS(1428),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1428),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1428),
    [aux_sym_keyword_replace_token1] = ACTIONS(1428),
    [aux_sym__keyword_alter_token1] = ACTIONS(1428),
    [aux_sym__keyword_from_token1] = ACTIONS(1428),
    [aux_sym__keyword_delete_token1] = ACTIONS(1428),
    [aux_sym__keyword_begin_token1] = ACTIONS(1428),
    [aux_sym__keyword_end_token1] = ACTIONS(1428),
    [aux_sym__keyword_between_token1] = ACTIONS(1428),
    [aux_sym__keyword_when_token1] = ACTIONS(1428),
    [aux_sym__keyword_else_token1] = ACTIONS(1428),
    [aux_sym__keyword_is_token1] = ACTIONS(1428),
    [aux_sym__keyword_in_token1] = ACTIONS(1428),
    [aux_sym__keyword_and_token1] = ACTIONS(1428),
    [aux_sym__keyword_like_token1] = ACTIONS(1428),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1428),
    [aux_sym__keyword_as_token1] = ACTIONS(1428),
    [aux_sym__keyword_window_token1] = ACTIONS(1428),
    [aux_sym__keyword_date_token1] = ACTIONS(1428),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1428),
    [aux_sym__keyword_time_token1] = ACTIONS(1428),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1428),
    [aux_sym__keyword_for_token1] = ACTIONS(1428),
    [anon_sym_SEMI] = ACTIONS(1426),
    [aux_sym_declare_statement_token1] = ACTIONS(1428),
    [anon_sym_COMMA] = ACTIONS(1426),
    [aux_sym_set_statement_token1] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(1426),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1428),
    [aux_sym_return_satement_token1] = ACTIONS(1428),
    [aux_sym_call_statement_token1] = ACTIONS(1428),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1428),
    [aux_sym_if_statement_token1] = ACTIONS(1428),
    [aux_sym_loop_statement_token1] = ACTIONS(1428),
    [aux_sym_repeat_statement_token1] = ACTIONS(1428),
    [aux_sym_while_statement_token1] = ACTIONS(1428),
    [aux_sym_break_statement_token1] = ACTIONS(1428),
    [aux_sym_leave_statement_token1] = ACTIONS(1428),
    [aux_sym_continue_statement_token1] = ACTIONS(1428),
    [aux_sym_iterate_statement_token1] = ACTIONS(1428),
    [aux_sym_raise_statement_token1] = ACTIONS(1428),
    [anon_sym_EQ] = ACTIONS(1426),
    [aux_sym_assert_statement_token1] = ACTIONS(1428),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1428),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1428),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1428),
    [anon_sym_LT] = ACTIONS(1428),
    [anon_sym_GT] = ACTIONS(1428),
    [aux_sym_set_operation_token1] = ACTIONS(1428),
    [aux_sym_set_operation_token3] = ACTIONS(1428),
    [aux_sym_set_operation_token4] = ACTIONS(1428),
    [aux_sym_select_token1] = ACTIONS(1428),
    [aux_sym_having_clause_token1] = ACTIONS(1428),
    [aux_sym_qualify_clause_token1] = ACTIONS(1428),
    [aux_sym_limit_clause_token1] = ACTIONS(1428),
    [aux_sym_group_by_clause_token1] = ACTIONS(1428),
    [aux_sym_order_by_clause_token1] = ACTIONS(1428),
    [aux_sym_where_clause_token1] = ACTIONS(1428),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1428),
    [aux_sym_truncate_statement_token1] = ACTIONS(1428),
    [aux_sym_update_statement_token1] = ACTIONS(1428),
    [aux_sym_merge_statement_token1] = ACTIONS(1428),
    [aux_sym_grant_statement_token1] = ACTIONS(1428),
    [aux_sym_revoke_statement_token1] = ACTIONS(1428),
    [aux_sym_export_data_statement_token1] = ACTIONS(1428),
    [aux_sym_load_data_statement_token1] = ACTIONS(1428),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym__quoted_identifier] = ACTIONS(1426),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1426),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PIPE_PIPE] = ACTIONS(1426),
    [anon_sym_LT_EQ] = ACTIONS(1426),
    [anon_sym_LT_GT] = ACTIONS(1426),
    [anon_sym_GT_EQ] = ACTIONS(1426),
    [anon_sym_BANG_EQ] = ACTIONS(1426),
    [anon_sym_LT_LT] = ACTIONS(1426),
    [anon_sym_GT_GT] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_PIPE] = ACTIONS(1428),
  },
  [650] = {
    [sym_analytics_clause] = STATE(2055),
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_from_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [651] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8388),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(1920),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [652] = {
    [sym_analytics_clause] = STATE(1931),
    [ts_builtin_sym_end] = ACTIONS(1422),
    [sym__unquoted_identifier] = ACTIONS(1424),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1424),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1424),
    [aux_sym_keyword_replace_token1] = ACTIONS(1424),
    [aux_sym__keyword_alter_token1] = ACTIONS(1424),
    [aux_sym__keyword_from_token1] = ACTIONS(1424),
    [aux_sym__keyword_delete_token1] = ACTIONS(1424),
    [aux_sym__keyword_begin_token1] = ACTIONS(1424),
    [aux_sym__keyword_end_token1] = ACTIONS(1424),
    [aux_sym__keyword_between_token1] = ACTIONS(1424),
    [aux_sym__keyword_when_token1] = ACTIONS(1424),
    [aux_sym__keyword_else_token1] = ACTIONS(1424),
    [aux_sym__keyword_is_token1] = ACTIONS(1424),
    [aux_sym__keyword_in_token1] = ACTIONS(1424),
    [aux_sym__keyword_and_token1] = ACTIONS(1424),
    [aux_sym__keyword_like_token1] = ACTIONS(1424),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1424),
    [aux_sym__keyword_as_token1] = ACTIONS(1424),
    [aux_sym__keyword_window_token1] = ACTIONS(1424),
    [aux_sym__keyword_date_token1] = ACTIONS(1424),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1424),
    [aux_sym__keyword_time_token1] = ACTIONS(1424),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1424),
    [aux_sym__keyword_for_token1] = ACTIONS(1424),
    [anon_sym_SEMI] = ACTIONS(1422),
    [aux_sym_declare_statement_token1] = ACTIONS(1424),
    [anon_sym_COMMA] = ACTIONS(1422),
    [aux_sym_set_statement_token1] = ACTIONS(1424),
    [anon_sym_LPAREN] = ACTIONS(1422),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1424),
    [aux_sym_return_satement_token1] = ACTIONS(1424),
    [aux_sym_call_statement_token1] = ACTIONS(1424),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1424),
    [aux_sym_if_statement_token1] = ACTIONS(1424),
    [aux_sym_loop_statement_token1] = ACTIONS(1424),
    [aux_sym_repeat_statement_token1] = ACTIONS(1424),
    [aux_sym_while_statement_token1] = ACTIONS(1424),
    [aux_sym_break_statement_token1] = ACTIONS(1424),
    [aux_sym_leave_statement_token1] = ACTIONS(1424),
    [aux_sym_continue_statement_token1] = ACTIONS(1424),
    [aux_sym_iterate_statement_token1] = ACTIONS(1424),
    [aux_sym_raise_statement_token1] = ACTIONS(1424),
    [anon_sym_EQ] = ACTIONS(1422),
    [aux_sym_assert_statement_token1] = ACTIONS(1424),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1424),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1424),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1424),
    [anon_sym_LT] = ACTIONS(1424),
    [anon_sym_GT] = ACTIONS(1424),
    [aux_sym_set_operation_token1] = ACTIONS(1424),
    [aux_sym_set_operation_token3] = ACTIONS(1424),
    [aux_sym_set_operation_token4] = ACTIONS(1424),
    [aux_sym_select_token1] = ACTIONS(1424),
    [aux_sym_having_clause_token1] = ACTIONS(1424),
    [aux_sym_qualify_clause_token1] = ACTIONS(1424),
    [aux_sym_limit_clause_token1] = ACTIONS(1424),
    [aux_sym_group_by_clause_token1] = ACTIONS(1424),
    [aux_sym_order_by_clause_token1] = ACTIONS(1424),
    [aux_sym_where_clause_token1] = ACTIONS(1424),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1424),
    [aux_sym_truncate_statement_token1] = ACTIONS(1424),
    [aux_sym_update_statement_token1] = ACTIONS(1424),
    [aux_sym_merge_statement_token1] = ACTIONS(1424),
    [aux_sym_grant_statement_token1] = ACTIONS(1424),
    [aux_sym_revoke_statement_token1] = ACTIONS(1424),
    [aux_sym_export_data_statement_token1] = ACTIONS(1424),
    [aux_sym_load_data_statement_token1] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1422),
    [sym__quoted_identifier] = ACTIONS(1422),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1424),
    [anon_sym_STAR] = ACTIONS(1422),
    [anon_sym_SLASH] = ACTIONS(1424),
    [anon_sym_PIPE_PIPE] = ACTIONS(1422),
    [anon_sym_LT_EQ] = ACTIONS(1422),
    [anon_sym_LT_GT] = ACTIONS(1422),
    [anon_sym_GT_EQ] = ACTIONS(1422),
    [anon_sym_BANG_EQ] = ACTIONS(1422),
    [anon_sym_LT_LT] = ACTIONS(1422),
    [anon_sym_GT_GT] = ACTIONS(1422),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_CARET] = ACTIONS(1422),
    [anon_sym_PIPE] = ACTIONS(1424),
  },
  [653] = {
    [sym_analytics_clause] = STATE(2054),
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_from_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [654] = {
    [sym_analytics_clause] = STATE(1923),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1420),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_from_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_end_token1] = ACTIONS(1420),
    [aux_sym__keyword_between_token1] = ACTIONS(1420),
    [aux_sym__keyword_when_token1] = ACTIONS(1420),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1420),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1420),
    [aux_sym__keyword_like_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_window_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_repeat_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token3] = ACTIONS(1420),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_having_clause_token1] = ACTIONS(1420),
    [aux_sym_qualify_clause_token1] = ACTIONS(1420),
    [aux_sym_limit_clause_token1] = ACTIONS(1420),
    [aux_sym_group_by_clause_token1] = ACTIONS(1420),
    [aux_sym_order_by_clause_token1] = ACTIONS(1420),
    [aux_sym_where_clause_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [655] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8376),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(1922),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [656] = {
    [sym_analytics_clause] = STATE(1907),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1420),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_from_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_end_token1] = ACTIONS(1420),
    [aux_sym__keyword_between_token1] = ACTIONS(1420),
    [aux_sym__keyword_when_token1] = ACTIONS(1420),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1420),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1420),
    [aux_sym__keyword_like_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_window_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_repeat_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token3] = ACTIONS(1420),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_having_clause_token1] = ACTIONS(1420),
    [aux_sym_qualify_clause_token1] = ACTIONS(1420),
    [aux_sym_limit_clause_token1] = ACTIONS(1420),
    [aux_sym_group_by_clause_token1] = ACTIONS(1420),
    [aux_sym_order_by_clause_token1] = ACTIONS(1420),
    [aux_sym_where_clause_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [657] = {
    [sym_analytics_clause] = STATE(2053),
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_from_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [658] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8390),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(1924),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [659] = {
    [sym_analytics_clause] = STATE(1895),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1420),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_from_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_end_token1] = ACTIONS(1420),
    [aux_sym__keyword_between_token1] = ACTIONS(1420),
    [aux_sym__keyword_when_token1] = ACTIONS(1420),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1420),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1420),
    [aux_sym__keyword_like_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_window_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_repeat_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token3] = ACTIONS(1420),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_having_clause_token1] = ACTIONS(1420),
    [aux_sym_qualify_clause_token1] = ACTIONS(1420),
    [aux_sym_limit_clause_token1] = ACTIONS(1420),
    [aux_sym_group_by_clause_token1] = ACTIONS(1420),
    [aux_sym_order_by_clause_token1] = ACTIONS(1420),
    [aux_sym_where_clause_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [660] = {
    [sym_analytics_clause] = STATE(1951),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1420),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_from_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_end_token1] = ACTIONS(1420),
    [aux_sym__keyword_between_token1] = ACTIONS(1420),
    [aux_sym__keyword_when_token1] = ACTIONS(1420),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1420),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1420),
    [aux_sym__keyword_like_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_window_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_repeat_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token3] = ACTIONS(1420),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_having_clause_token1] = ACTIONS(1420),
    [aux_sym_qualify_clause_token1] = ACTIONS(1420),
    [aux_sym_limit_clause_token1] = ACTIONS(1420),
    [aux_sym_group_by_clause_token1] = ACTIONS(1420),
    [aux_sym_order_by_clause_token1] = ACTIONS(1420),
    [aux_sym_where_clause_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [661] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16191),
    [sym__keyword_case] = STATE(326),
    [sym__keyword_not] = STATE(1774),
    [sym__keyword_cast] = STATE(19299),
    [sym__keyword_date] = STATE(3373),
    [sym__keyword_datetime] = STATE(3373),
    [sym__keyword_time] = STATE(3373),
    [sym__keyword_timestamp] = STATE(3373),
    [sym__aliasable_expression] = STATE(7636),
    [sym_select_subexpression] = STATE(3579),
    [sym_function_call] = STATE(3579),
    [sym_unnest_operator] = STATE(2131),
    [sym_unnest_clause] = STATE(3579),
    [sym__literal] = STATE(3579),
    [sym_NULL] = STATE(3579),
    [sym_TRUE] = STATE(3579),
    [sym_FALSE] = STATE(3579),
    [sym__float] = STATE(3578),
    [sym_numeric] = STATE(3578),
    [sym__number] = STATE(3578),
    [sym_interval] = STATE(3579),
    [sym_range] = STATE(3579),
    [sym_time] = STATE(3579),
    [sym_number] = STATE(3579),
    [sym_json] = STATE(3579),
    [sym_query_parameter] = STATE(3579),
    [sym__type_chrono] = STATE(3122),
    [sym__type_struct] = STATE(19114),
    [sym__type_array] = STATE(18640),
    [sym_array] = STATE(3579),
    [sym_struct] = STATE(3579),
    [sym__identifier] = STATE(3384),
    [sym__dotted_identifier] = STATE(13989),
    [sym_identifier] = STATE(3577),
    [sym_string] = STATE(3579),
    [sym__expression] = STATE(199),
    [sym__parenthesized_expression] = STATE(3579),
    [sym_element_access] = STATE(3579),
    [sym_field_access] = STATE(3579),
    [sym_unary_expression] = STATE(3579),
    [sym_binary_expression] = STATE(3579),
    [sym_between_operator] = STATE(3579),
    [sym_casewhen_expression] = STATE(3579),
    [sym_cast_expression] = STATE(3579),
    [sym_argument_reference] = STATE(3579),
    [aux_sym_identifier_repeat1] = STATE(13989),
    [sym__unquoted_identifier] = ACTIONS(1926),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1928),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1930),
    [aux_sym__keyword_case_token1] = ACTIONS(1932),
    [aux_sym__keyword_cast_token1] = ACTIONS(1934),
    [aux_sym__keyword_cast_token2] = ACTIONS(1934),
    [aux_sym__keyword_date_token1] = ACTIONS(1936),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1936),
    [aux_sym__keyword_time_token1] = ACTIONS(1936),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1936),
    [anon_sym_LPAREN] = ACTIONS(1938),
    [aux_sym_drop_notnull_token1] = ACTIONS(1940),
    [aux_sym_function_call_token2] = ACTIONS(1942),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(1946),
    [aux_sym_FALSE_token1] = ACTIONS(1948),
    [sym__integer] = ACTIONS(1950),
    [aux_sym__float_token1] = ACTIONS(1952),
    [aux_sym__float_token2] = ACTIONS(1950),
    [aux_sym__float_token3] = ACTIONS(1952),
    [aux_sym_numeric_token1] = ACTIONS(1954),
    [aux_sym_numeric_token2] = ACTIONS(1954),
    [aux_sym_numeric_token3] = ACTIONS(1954),
    [aux_sym_numeric_token4] = ACTIONS(1954),
    [aux_sym_interval_token1] = ACTIONS(1956),
    [anon_sym_LBRACK] = ACTIONS(1958),
    [aux_sym_json_token1] = ACTIONS(1960),
    [sym_system_variable] = ACTIONS(1962),
    [sym__named_query_parameter] = ACTIONS(1964),
    [sym__positional_query_parameter] = ACTIONS(1966),
    [sym__quoted_identifier] = ACTIONS(1968),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1970),
    [anon_sym_PLUS] = ACTIONS(1972),
    [anon_sym_DASH] = ACTIONS(1972),
    [anon_sym_operator_compare] = ACTIONS(1974),
    [anon_sym_DOLLAR] = ACTIONS(1976),
    [sym__string_start] = ACTIONS(1978),
  },
  [662] = {
    [sym_analytics_clause] = STATE(1977),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1420),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_from_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_end_token1] = ACTIONS(1420),
    [aux_sym__keyword_between_token1] = ACTIONS(1420),
    [aux_sym__keyword_when_token1] = ACTIONS(1420),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1420),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1420),
    [aux_sym__keyword_like_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_window_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_repeat_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token3] = ACTIONS(1420),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_having_clause_token1] = ACTIONS(1420),
    [aux_sym_qualify_clause_token1] = ACTIONS(1420),
    [aux_sym_limit_clause_token1] = ACTIONS(1420),
    [aux_sym_group_by_clause_token1] = ACTIONS(1420),
    [aux_sym_order_by_clause_token1] = ACTIONS(1420),
    [aux_sym_where_clause_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [663] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym__aliasable_expression] = STATE(14736),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5364),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [664] = {
    [sym_analytics_clause] = STATE(2052),
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_from_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [665] = {
    [sym_analytics_clause] = STATE(1979),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1420),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_from_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_end_token1] = ACTIONS(1420),
    [aux_sym__keyword_between_token1] = ACTIONS(1420),
    [aux_sym__keyword_when_token1] = ACTIONS(1420),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1420),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1420),
    [aux_sym__keyword_like_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_window_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_repeat_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token3] = ACTIONS(1420),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_having_clause_token1] = ACTIONS(1420),
    [aux_sym_qualify_clause_token1] = ACTIONS(1420),
    [aux_sym_limit_clause_token1] = ACTIONS(1420),
    [aux_sym_group_by_clause_token1] = ACTIONS(1420),
    [aux_sym_order_by_clause_token1] = ACTIONS(1420),
    [aux_sym_where_clause_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [666] = {
    [sym_analytics_clause] = STATE(1984),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1420),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_from_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_end_token1] = ACTIONS(1420),
    [aux_sym__keyword_between_token1] = ACTIONS(1420),
    [aux_sym__keyword_when_token1] = ACTIONS(1420),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1420),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1420),
    [aux_sym__keyword_like_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_window_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_repeat_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token3] = ACTIONS(1420),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_having_clause_token1] = ACTIONS(1420),
    [aux_sym_qualify_clause_token1] = ACTIONS(1420),
    [aux_sym_limit_clause_token1] = ACTIONS(1420),
    [aux_sym_group_by_clause_token1] = ACTIONS(1420),
    [aux_sym_order_by_clause_token1] = ACTIONS(1420),
    [aux_sym_where_clause_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [667] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8362),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(1980),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [668] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8835),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(1982),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [669] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16208),
    [sym__keyword_case] = STATE(337),
    [sym__keyword_not] = STATE(1202),
    [sym__keyword_cast] = STATE(19297),
    [sym__keyword_date] = STATE(4227),
    [sym__keyword_datetime] = STATE(4227),
    [sym__keyword_time] = STATE(4227),
    [sym__keyword_timestamp] = STATE(4227),
    [sym__aliasable_expression] = STATE(7636),
    [sym_select_subexpression] = STATE(4593),
    [sym_function_call] = STATE(4593),
    [sym_unnest_operator] = STATE(2516),
    [sym_unnest_clause] = STATE(4593),
    [sym__literal] = STATE(4593),
    [sym_NULL] = STATE(4593),
    [sym_TRUE] = STATE(4593),
    [sym_FALSE] = STATE(4593),
    [sym__float] = STATE(4592),
    [sym_numeric] = STATE(4592),
    [sym__number] = STATE(4592),
    [sym_interval] = STATE(4593),
    [sym_range] = STATE(4593),
    [sym_time] = STATE(4593),
    [sym_number] = STATE(4593),
    [sym_json] = STATE(4593),
    [sym_query_parameter] = STATE(4593),
    [sym__type_chrono] = STATE(4194),
    [sym__type_struct] = STATE(19107),
    [sym__type_array] = STATE(18613),
    [sym_array] = STATE(4593),
    [sym_struct] = STATE(4593),
    [sym__identifier] = STATE(4341),
    [sym__dotted_identifier] = STATE(14156),
    [sym_identifier] = STATE(4415),
    [sym_string] = STATE(4593),
    [sym__expression] = STATE(609),
    [sym__parenthesized_expression] = STATE(4593),
    [sym_element_access] = STATE(4593),
    [sym_field_access] = STATE(4593),
    [sym_unary_expression] = STATE(4593),
    [sym_binary_expression] = STATE(4593),
    [sym_between_operator] = STATE(4593),
    [sym_casewhen_expression] = STATE(4593),
    [sym_cast_expression] = STATE(4593),
    [sym_argument_reference] = STATE(4593),
    [aux_sym_identifier_repeat1] = STATE(14156),
    [sym__unquoted_identifier] = ACTIONS(1984),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1986),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1988),
    [aux_sym__keyword_case_token1] = ACTIONS(1990),
    [aux_sym__keyword_cast_token1] = ACTIONS(1992),
    [aux_sym__keyword_cast_token2] = ACTIONS(1992),
    [aux_sym__keyword_date_token1] = ACTIONS(1994),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1994),
    [aux_sym__keyword_time_token1] = ACTIONS(1994),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1994),
    [anon_sym_LPAREN] = ACTIONS(1996),
    [aux_sym_drop_notnull_token1] = ACTIONS(1998),
    [aux_sym_function_call_token2] = ACTIONS(2000),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2004),
    [aux_sym_FALSE_token1] = ACTIONS(2006),
    [sym__integer] = ACTIONS(2008),
    [aux_sym__float_token1] = ACTIONS(2010),
    [aux_sym__float_token2] = ACTIONS(2008),
    [aux_sym__float_token3] = ACTIONS(2010),
    [aux_sym_numeric_token1] = ACTIONS(2012),
    [aux_sym_numeric_token2] = ACTIONS(2012),
    [aux_sym_numeric_token3] = ACTIONS(2012),
    [aux_sym_numeric_token4] = ACTIONS(2012),
    [aux_sym_interval_token1] = ACTIONS(2014),
    [anon_sym_LBRACK] = ACTIONS(2016),
    [aux_sym_json_token1] = ACTIONS(2018),
    [sym_system_variable] = ACTIONS(2020),
    [sym__named_query_parameter] = ACTIONS(2022),
    [sym__positional_query_parameter] = ACTIONS(2024),
    [sym__quoted_identifier] = ACTIONS(2026),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2028),
    [anon_sym_PLUS] = ACTIONS(2030),
    [anon_sym_DASH] = ACTIONS(2030),
    [anon_sym_operator_compare] = ACTIONS(2032),
    [anon_sym_DOLLAR] = ACTIONS(2034),
    [sym__string_start] = ACTIONS(2036),
  },
  [670] = {
    [sym_analytics_clause] = STATE(1985),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1420),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_from_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_end_token1] = ACTIONS(1420),
    [aux_sym__keyword_between_token1] = ACTIONS(1420),
    [aux_sym__keyword_when_token1] = ACTIONS(1420),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1420),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1420),
    [aux_sym__keyword_like_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_window_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_repeat_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token3] = ACTIONS(1420),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_having_clause_token1] = ACTIONS(1420),
    [aux_sym_qualify_clause_token1] = ACTIONS(1420),
    [aux_sym_limit_clause_token1] = ACTIONS(1420),
    [aux_sym_group_by_clause_token1] = ACTIONS(1420),
    [aux_sym_order_by_clause_token1] = ACTIONS(1420),
    [aux_sym_where_clause_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [671] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8397),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(2038),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [672] = {
    [sym_analytics_clause] = STATE(1987),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1420),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_from_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_end_token1] = ACTIONS(1420),
    [aux_sym__keyword_between_token1] = ACTIONS(1420),
    [aux_sym__keyword_when_token1] = ACTIONS(1420),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1420),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1420),
    [aux_sym__keyword_like_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_window_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_repeat_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token3] = ACTIONS(1420),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_having_clause_token1] = ACTIONS(1420),
    [aux_sym_qualify_clause_token1] = ACTIONS(1420),
    [aux_sym_limit_clause_token1] = ACTIONS(1420),
    [aux_sym_group_by_clause_token1] = ACTIONS(1420),
    [aux_sym_order_by_clause_token1] = ACTIONS(1420),
    [aux_sym_where_clause_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [673] = {
    [sym_analytics_clause] = STATE(1989),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1420),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_from_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_end_token1] = ACTIONS(1420),
    [aux_sym__keyword_between_token1] = ACTIONS(1420),
    [aux_sym__keyword_when_token1] = ACTIONS(1420),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1420),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1420),
    [aux_sym__keyword_like_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_window_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_repeat_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token3] = ACTIONS(1420),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_having_clause_token1] = ACTIONS(1420),
    [aux_sym_qualify_clause_token1] = ACTIONS(1420),
    [aux_sym_limit_clause_token1] = ACTIONS(1420),
    [aux_sym_group_by_clause_token1] = ACTIONS(1420),
    [aux_sym_order_by_clause_token1] = ACTIONS(1420),
    [aux_sym_where_clause_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [674] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym__aliasable_expression] = STATE(14967),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5364),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [675] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8399),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(2040),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [676] = {
    [sym_analytics_clause] = STATE(2051),
    [ts_builtin_sym_end] = ACTIONS(1446),
    [sym__unquoted_identifier] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1448),
    [aux_sym_keyword_replace_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1448),
    [aux_sym__keyword_from_token1] = ACTIONS(1448),
    [aux_sym__keyword_delete_token1] = ACTIONS(1448),
    [aux_sym__keyword_begin_token1] = ACTIONS(1448),
    [aux_sym__keyword_end_token1] = ACTIONS(1448),
    [aux_sym__keyword_between_token1] = ACTIONS(1448),
    [aux_sym__keyword_when_token1] = ACTIONS(1448),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1448),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1448),
    [aux_sym__keyword_like_token1] = ACTIONS(1448),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1448),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_window_token1] = ACTIONS(1448),
    [aux_sym__keyword_date_token1] = ACTIONS(1448),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1448),
    [aux_sym__keyword_time_token1] = ACTIONS(1448),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1448),
    [aux_sym_return_satement_token1] = ACTIONS(1448),
    [aux_sym_call_statement_token1] = ACTIONS(1448),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1448),
    [aux_sym_if_statement_token1] = ACTIONS(1448),
    [aux_sym_loop_statement_token1] = ACTIONS(1448),
    [aux_sym_repeat_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [aux_sym_leave_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_iterate_statement_token1] = ACTIONS(1448),
    [aux_sym_raise_statement_token1] = ACTIONS(1448),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1448),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1448),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1448),
    [aux_sym_set_operation_token3] = ACTIONS(1448),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1448),
    [aux_sym_having_clause_token1] = ACTIONS(1448),
    [aux_sym_qualify_clause_token1] = ACTIONS(1448),
    [aux_sym_limit_clause_token1] = ACTIONS(1448),
    [aux_sym_group_by_clause_token1] = ACTIONS(1448),
    [aux_sym_order_by_clause_token1] = ACTIONS(1448),
    [aux_sym_where_clause_token1] = ACTIONS(1448),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1448),
    [aux_sym_truncate_statement_token1] = ACTIONS(1448),
    [aux_sym_update_statement_token1] = ACTIONS(1448),
    [aux_sym_merge_statement_token1] = ACTIONS(1448),
    [aux_sym_grant_statement_token1] = ACTIONS(1448),
    [aux_sym_revoke_statement_token1] = ACTIONS(1448),
    [aux_sym_export_data_statement_token1] = ACTIONS(1448),
    [aux_sym_load_data_statement_token1] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym__quoted_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [677] = {
    [sym_analytics_clause] = STATE(2050),
    [ts_builtin_sym_end] = ACTIONS(1446),
    [sym__unquoted_identifier] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1448),
    [aux_sym_keyword_replace_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1448),
    [aux_sym__keyword_from_token1] = ACTIONS(1448),
    [aux_sym__keyword_delete_token1] = ACTIONS(1448),
    [aux_sym__keyword_begin_token1] = ACTIONS(1448),
    [aux_sym__keyword_end_token1] = ACTIONS(1448),
    [aux_sym__keyword_between_token1] = ACTIONS(1448),
    [aux_sym__keyword_when_token1] = ACTIONS(1448),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1448),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1448),
    [aux_sym__keyword_like_token1] = ACTIONS(1448),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1448),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_window_token1] = ACTIONS(1448),
    [aux_sym__keyword_date_token1] = ACTIONS(1448),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1448),
    [aux_sym__keyword_time_token1] = ACTIONS(1448),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1448),
    [aux_sym_return_satement_token1] = ACTIONS(1448),
    [aux_sym_call_statement_token1] = ACTIONS(1448),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1448),
    [aux_sym_if_statement_token1] = ACTIONS(1448),
    [aux_sym_loop_statement_token1] = ACTIONS(1448),
    [aux_sym_repeat_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [aux_sym_leave_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_iterate_statement_token1] = ACTIONS(1448),
    [aux_sym_raise_statement_token1] = ACTIONS(1448),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1448),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1448),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1448),
    [aux_sym_set_operation_token3] = ACTIONS(1448),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1448),
    [aux_sym_having_clause_token1] = ACTIONS(1448),
    [aux_sym_qualify_clause_token1] = ACTIONS(1448),
    [aux_sym_limit_clause_token1] = ACTIONS(1448),
    [aux_sym_group_by_clause_token1] = ACTIONS(1448),
    [aux_sym_order_by_clause_token1] = ACTIONS(1448),
    [aux_sym_where_clause_token1] = ACTIONS(1448),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1448),
    [aux_sym_truncate_statement_token1] = ACTIONS(1448),
    [aux_sym_update_statement_token1] = ACTIONS(1448),
    [aux_sym_merge_statement_token1] = ACTIONS(1448),
    [aux_sym_grant_statement_token1] = ACTIONS(1448),
    [aux_sym_revoke_statement_token1] = ACTIONS(1448),
    [aux_sym_export_data_statement_token1] = ACTIONS(1448),
    [aux_sym_load_data_statement_token1] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym__quoted_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [678] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16325),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1390),
    [sym__keyword_cast] = STATE(19275),
    [sym__keyword_date] = STATE(9495),
    [sym__keyword_datetime] = STATE(9495),
    [sym__keyword_time] = STATE(9495),
    [sym__keyword_timestamp] = STATE(9495),
    [sym_order_by_clause_body] = STATE(6058),
    [sym_select_subexpression] = STATE(10495),
    [sym_function_call] = STATE(10495),
    [sym_unnest_operator] = STATE(5372),
    [sym_unnest_clause] = STATE(10495),
    [sym__literal] = STATE(10495),
    [sym_NULL] = STATE(10495),
    [sym_TRUE] = STATE(10495),
    [sym_FALSE] = STATE(10495),
    [sym__float] = STATE(10492),
    [sym_numeric] = STATE(10492),
    [sym__number] = STATE(10492),
    [sym_interval] = STATE(10495),
    [sym_range] = STATE(10495),
    [sym_time] = STATE(10495),
    [sym_number] = STATE(10495),
    [sym_json] = STATE(10495),
    [sym_query_parameter] = STATE(10495),
    [sym__type_chrono] = STATE(8422),
    [sym__type_struct] = STATE(19027),
    [sym__type_array] = STATE(18285),
    [sym_array] = STATE(10495),
    [sym_struct] = STATE(10495),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9694),
    [sym_string] = STATE(10495),
    [sym__expression] = STATE(6474),
    [sym__parenthesized_expression] = STATE(10495),
    [sym_element_access] = STATE(10495),
    [sym_field_access] = STATE(10495),
    [sym_unary_expression] = STATE(10495),
    [sym_binary_expression] = STATE(10495),
    [sym_between_operator] = STATE(10495),
    [sym_casewhen_expression] = STATE(10495),
    [sym_cast_expression] = STATE(10495),
    [sym_argument_reference] = STATE(10495),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2042),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2044),
    [aux_sym__keyword_case_token1] = ACTIONS(2046),
    [aux_sym__keyword_cast_token1] = ACTIONS(2048),
    [aux_sym__keyword_cast_token2] = ACTIONS(2048),
    [aux_sym__keyword_date_token1] = ACTIONS(2050),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2050),
    [aux_sym__keyword_time_token1] = ACTIONS(2050),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [aux_sym_drop_notnull_token1] = ACTIONS(2054),
    [aux_sym_function_call_token2] = ACTIONS(2056),
    [aux_sym_unnest_operator_token1] = ACTIONS(2058),
    [aux_sym_TRUE_token1] = ACTIONS(2060),
    [aux_sym_FALSE_token1] = ACTIONS(2062),
    [sym__integer] = ACTIONS(2064),
    [aux_sym__float_token1] = ACTIONS(2066),
    [aux_sym__float_token2] = ACTIONS(2064),
    [aux_sym__float_token3] = ACTIONS(2066),
    [aux_sym_numeric_token1] = ACTIONS(2068),
    [aux_sym_numeric_token2] = ACTIONS(2068),
    [aux_sym_numeric_token3] = ACTIONS(2068),
    [aux_sym_numeric_token4] = ACTIONS(2068),
    [aux_sym_interval_token1] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_json_token1] = ACTIONS(2074),
    [sym_system_variable] = ACTIONS(2076),
    [sym__named_query_parameter] = ACTIONS(2078),
    [sym__positional_query_parameter] = ACTIONS(2080),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2082),
    [anon_sym_PLUS] = ACTIONS(2084),
    [anon_sym_DASH] = ACTIONS(2084),
    [anon_sym_operator_compare] = ACTIONS(2086),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [sym__string_start] = ACTIONS(2090),
  },
  [679] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8401),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(2092),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [680] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym__aliasable_expression] = STATE(15198),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5364),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [681] = {
    [sym_analytics_clause] = STATE(1990),
    [ts_builtin_sym_end] = ACTIONS(1414),
    [sym__unquoted_identifier] = ACTIONS(1416),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1416),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1416),
    [aux_sym_keyword_replace_token1] = ACTIONS(1416),
    [aux_sym__keyword_alter_token1] = ACTIONS(1416),
    [aux_sym__keyword_from_token1] = ACTIONS(1416),
    [aux_sym__keyword_delete_token1] = ACTIONS(1416),
    [aux_sym__keyword_begin_token1] = ACTIONS(1416),
    [aux_sym__keyword_end_token1] = ACTIONS(1416),
    [aux_sym__keyword_between_token1] = ACTIONS(1416),
    [aux_sym__keyword_when_token1] = ACTIONS(1416),
    [aux_sym__keyword_else_token1] = ACTIONS(1416),
    [aux_sym__keyword_is_token1] = ACTIONS(1416),
    [aux_sym__keyword_in_token1] = ACTIONS(1416),
    [aux_sym__keyword_and_token1] = ACTIONS(1416),
    [aux_sym__keyword_like_token1] = ACTIONS(1416),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1416),
    [aux_sym__keyword_as_token1] = ACTIONS(1416),
    [aux_sym__keyword_window_token1] = ACTIONS(1416),
    [aux_sym__keyword_date_token1] = ACTIONS(1416),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1416),
    [aux_sym__keyword_time_token1] = ACTIONS(1416),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1416),
    [aux_sym__keyword_for_token1] = ACTIONS(1416),
    [anon_sym_SEMI] = ACTIONS(1414),
    [aux_sym_declare_statement_token1] = ACTIONS(1416),
    [anon_sym_COMMA] = ACTIONS(1414),
    [aux_sym_set_statement_token1] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1416),
    [aux_sym_return_satement_token1] = ACTIONS(1416),
    [aux_sym_call_statement_token1] = ACTIONS(1416),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1416),
    [aux_sym_if_statement_token1] = ACTIONS(1416),
    [aux_sym_loop_statement_token1] = ACTIONS(1416),
    [aux_sym_repeat_statement_token1] = ACTIONS(1416),
    [aux_sym_while_statement_token1] = ACTIONS(1416),
    [aux_sym_break_statement_token1] = ACTIONS(1416),
    [aux_sym_leave_statement_token1] = ACTIONS(1416),
    [aux_sym_continue_statement_token1] = ACTIONS(1416),
    [aux_sym_iterate_statement_token1] = ACTIONS(1416),
    [aux_sym_raise_statement_token1] = ACTIONS(1416),
    [anon_sym_EQ] = ACTIONS(1414),
    [aux_sym_assert_statement_token1] = ACTIONS(1416),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1416),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1416),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1416),
    [anon_sym_LT] = ACTIONS(1416),
    [anon_sym_GT] = ACTIONS(1416),
    [aux_sym_set_operation_token1] = ACTIONS(1416),
    [aux_sym_set_operation_token3] = ACTIONS(1416),
    [aux_sym_set_operation_token4] = ACTIONS(1416),
    [aux_sym_select_token1] = ACTIONS(1416),
    [aux_sym_having_clause_token1] = ACTIONS(1416),
    [aux_sym_qualify_clause_token1] = ACTIONS(1416),
    [aux_sym_limit_clause_token1] = ACTIONS(1416),
    [aux_sym_group_by_clause_token1] = ACTIONS(1416),
    [aux_sym_order_by_clause_token1] = ACTIONS(1416),
    [aux_sym_where_clause_token1] = ACTIONS(1416),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1416),
    [aux_sym_truncate_statement_token1] = ACTIONS(1416),
    [aux_sym_update_statement_token1] = ACTIONS(1416),
    [aux_sym_merge_statement_token1] = ACTIONS(1416),
    [aux_sym_grant_statement_token1] = ACTIONS(1416),
    [aux_sym_revoke_statement_token1] = ACTIONS(1416),
    [aux_sym_export_data_statement_token1] = ACTIONS(1416),
    [aux_sym_load_data_statement_token1] = ACTIONS(1416),
    [anon_sym_LBRACK] = ACTIONS(1414),
    [sym__quoted_identifier] = ACTIONS(1414),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_SLASH] = ACTIONS(1416),
    [anon_sym_PIPE_PIPE] = ACTIONS(1414),
    [anon_sym_LT_EQ] = ACTIONS(1414),
    [anon_sym_LT_GT] = ACTIONS(1414),
    [anon_sym_GT_EQ] = ACTIONS(1414),
    [anon_sym_BANG_EQ] = ACTIONS(1414),
    [anon_sym_LT_LT] = ACTIONS(1414),
    [anon_sym_GT_GT] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_CARET] = ACTIONS(1414),
    [anon_sym_PIPE] = ACTIONS(1416),
  },
  [682] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8406),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(2094),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [683] = {
    [sym_analytics_clause] = STATE(2049),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [684] = {
    [sym_analytics_clause] = STATE(1992),
    [ts_builtin_sym_end] = ACTIONS(1410),
    [sym__unquoted_identifier] = ACTIONS(1412),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1412),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1412),
    [aux_sym_keyword_replace_token1] = ACTIONS(1412),
    [aux_sym__keyword_alter_token1] = ACTIONS(1412),
    [aux_sym__keyword_from_token1] = ACTIONS(1412),
    [aux_sym__keyword_delete_token1] = ACTIONS(1412),
    [aux_sym__keyword_begin_token1] = ACTIONS(1412),
    [aux_sym__keyword_end_token1] = ACTIONS(1412),
    [aux_sym__keyword_between_token1] = ACTIONS(1412),
    [aux_sym__keyword_when_token1] = ACTIONS(1412),
    [aux_sym__keyword_else_token1] = ACTIONS(1412),
    [aux_sym__keyword_is_token1] = ACTIONS(1412),
    [aux_sym__keyword_in_token1] = ACTIONS(1412),
    [aux_sym__keyword_and_token1] = ACTIONS(1412),
    [aux_sym__keyword_like_token1] = ACTIONS(1412),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1412),
    [aux_sym__keyword_as_token1] = ACTIONS(1412),
    [aux_sym__keyword_window_token1] = ACTIONS(1412),
    [aux_sym__keyword_date_token1] = ACTIONS(1412),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1412),
    [aux_sym__keyword_time_token1] = ACTIONS(1412),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1412),
    [aux_sym__keyword_for_token1] = ACTIONS(1412),
    [anon_sym_SEMI] = ACTIONS(1410),
    [aux_sym_declare_statement_token1] = ACTIONS(1412),
    [anon_sym_COMMA] = ACTIONS(1410),
    [aux_sym_set_statement_token1] = ACTIONS(1412),
    [anon_sym_LPAREN] = ACTIONS(1410),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1412),
    [aux_sym_return_satement_token1] = ACTIONS(1412),
    [aux_sym_call_statement_token1] = ACTIONS(1412),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1412),
    [aux_sym_if_statement_token1] = ACTIONS(1412),
    [aux_sym_loop_statement_token1] = ACTIONS(1412),
    [aux_sym_repeat_statement_token1] = ACTIONS(1412),
    [aux_sym_while_statement_token1] = ACTIONS(1412),
    [aux_sym_break_statement_token1] = ACTIONS(1412),
    [aux_sym_leave_statement_token1] = ACTIONS(1412),
    [aux_sym_continue_statement_token1] = ACTIONS(1412),
    [aux_sym_iterate_statement_token1] = ACTIONS(1412),
    [aux_sym_raise_statement_token1] = ACTIONS(1412),
    [anon_sym_EQ] = ACTIONS(1410),
    [aux_sym_assert_statement_token1] = ACTIONS(1412),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1412),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1412),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1412),
    [anon_sym_LT] = ACTIONS(1412),
    [anon_sym_GT] = ACTIONS(1412),
    [aux_sym_set_operation_token1] = ACTIONS(1412),
    [aux_sym_set_operation_token3] = ACTIONS(1412),
    [aux_sym_set_operation_token4] = ACTIONS(1412),
    [aux_sym_select_token1] = ACTIONS(1412),
    [aux_sym_having_clause_token1] = ACTIONS(1412),
    [aux_sym_qualify_clause_token1] = ACTIONS(1412),
    [aux_sym_limit_clause_token1] = ACTIONS(1412),
    [aux_sym_group_by_clause_token1] = ACTIONS(1412),
    [aux_sym_order_by_clause_token1] = ACTIONS(1412),
    [aux_sym_where_clause_token1] = ACTIONS(1412),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1412),
    [aux_sym_truncate_statement_token1] = ACTIONS(1412),
    [aux_sym_update_statement_token1] = ACTIONS(1412),
    [aux_sym_merge_statement_token1] = ACTIONS(1412),
    [aux_sym_grant_statement_token1] = ACTIONS(1412),
    [aux_sym_revoke_statement_token1] = ACTIONS(1412),
    [aux_sym_export_data_statement_token1] = ACTIONS(1412),
    [aux_sym_load_data_statement_token1] = ACTIONS(1412),
    [anon_sym_LBRACK] = ACTIONS(1410),
    [sym__quoted_identifier] = ACTIONS(1410),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_STAR] = ACTIONS(1410),
    [anon_sym_SLASH] = ACTIONS(1412),
    [anon_sym_PIPE_PIPE] = ACTIONS(1410),
    [anon_sym_LT_EQ] = ACTIONS(1410),
    [anon_sym_LT_GT] = ACTIONS(1410),
    [anon_sym_GT_EQ] = ACTIONS(1410),
    [anon_sym_BANG_EQ] = ACTIONS(1410),
    [anon_sym_LT_LT] = ACTIONS(1410),
    [anon_sym_GT_GT] = ACTIONS(1410),
    [anon_sym_AMP] = ACTIONS(1410),
    [anon_sym_CARET] = ACTIONS(1410),
    [anon_sym_PIPE] = ACTIONS(1412),
  },
  [685] = {
    [sym_analytics_clause] = STATE(1993),
    [ts_builtin_sym_end] = ACTIONS(1406),
    [sym__unquoted_identifier] = ACTIONS(1408),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1408),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1408),
    [aux_sym_keyword_replace_token1] = ACTIONS(1408),
    [aux_sym__keyword_alter_token1] = ACTIONS(1408),
    [aux_sym__keyword_from_token1] = ACTIONS(1408),
    [aux_sym__keyword_delete_token1] = ACTIONS(1408),
    [aux_sym__keyword_begin_token1] = ACTIONS(1408),
    [aux_sym__keyword_end_token1] = ACTIONS(1408),
    [aux_sym__keyword_between_token1] = ACTIONS(1408),
    [aux_sym__keyword_when_token1] = ACTIONS(1408),
    [aux_sym__keyword_else_token1] = ACTIONS(1408),
    [aux_sym__keyword_is_token1] = ACTIONS(1408),
    [aux_sym__keyword_in_token1] = ACTIONS(1408),
    [aux_sym__keyword_and_token1] = ACTIONS(1408),
    [aux_sym__keyword_like_token1] = ACTIONS(1408),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1408),
    [aux_sym__keyword_as_token1] = ACTIONS(1408),
    [aux_sym__keyword_window_token1] = ACTIONS(1408),
    [aux_sym__keyword_date_token1] = ACTIONS(1408),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1408),
    [aux_sym__keyword_time_token1] = ACTIONS(1408),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1408),
    [aux_sym__keyword_for_token1] = ACTIONS(1408),
    [anon_sym_SEMI] = ACTIONS(1406),
    [aux_sym_declare_statement_token1] = ACTIONS(1408),
    [anon_sym_COMMA] = ACTIONS(1406),
    [aux_sym_set_statement_token1] = ACTIONS(1408),
    [anon_sym_LPAREN] = ACTIONS(1406),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1408),
    [aux_sym_return_satement_token1] = ACTIONS(1408),
    [aux_sym_call_statement_token1] = ACTIONS(1408),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1408),
    [aux_sym_if_statement_token1] = ACTIONS(1408),
    [aux_sym_loop_statement_token1] = ACTIONS(1408),
    [aux_sym_repeat_statement_token1] = ACTIONS(1408),
    [aux_sym_while_statement_token1] = ACTIONS(1408),
    [aux_sym_break_statement_token1] = ACTIONS(1408),
    [aux_sym_leave_statement_token1] = ACTIONS(1408),
    [aux_sym_continue_statement_token1] = ACTIONS(1408),
    [aux_sym_iterate_statement_token1] = ACTIONS(1408),
    [aux_sym_raise_statement_token1] = ACTIONS(1408),
    [anon_sym_EQ] = ACTIONS(1406),
    [aux_sym_assert_statement_token1] = ACTIONS(1408),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1408),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1408),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1408),
    [anon_sym_LT] = ACTIONS(1408),
    [anon_sym_GT] = ACTIONS(1408),
    [aux_sym_set_operation_token1] = ACTIONS(1408),
    [aux_sym_set_operation_token3] = ACTIONS(1408),
    [aux_sym_set_operation_token4] = ACTIONS(1408),
    [aux_sym_select_token1] = ACTIONS(1408),
    [aux_sym_having_clause_token1] = ACTIONS(1408),
    [aux_sym_qualify_clause_token1] = ACTIONS(1408),
    [aux_sym_limit_clause_token1] = ACTIONS(1408),
    [aux_sym_group_by_clause_token1] = ACTIONS(1408),
    [aux_sym_order_by_clause_token1] = ACTIONS(1408),
    [aux_sym_where_clause_token1] = ACTIONS(1408),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1408),
    [aux_sym_truncate_statement_token1] = ACTIONS(1408),
    [aux_sym_update_statement_token1] = ACTIONS(1408),
    [aux_sym_merge_statement_token1] = ACTIONS(1408),
    [aux_sym_grant_statement_token1] = ACTIONS(1408),
    [aux_sym_revoke_statement_token1] = ACTIONS(1408),
    [aux_sym_export_data_statement_token1] = ACTIONS(1408),
    [aux_sym_load_data_statement_token1] = ACTIONS(1408),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym__quoted_identifier] = ACTIONS(1406),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_DASH] = ACTIONS(1408),
    [anon_sym_STAR] = ACTIONS(1406),
    [anon_sym_SLASH] = ACTIONS(1408),
    [anon_sym_PIPE_PIPE] = ACTIONS(1406),
    [anon_sym_LT_EQ] = ACTIONS(1406),
    [anon_sym_LT_GT] = ACTIONS(1406),
    [anon_sym_GT_EQ] = ACTIONS(1406),
    [anon_sym_BANG_EQ] = ACTIONS(1406),
    [anon_sym_LT_LT] = ACTIONS(1406),
    [anon_sym_GT_GT] = ACTIONS(1406),
    [anon_sym_AMP] = ACTIONS(1406),
    [anon_sym_CARET] = ACTIONS(1406),
    [anon_sym_PIPE] = ACTIONS(1408),
  },
  [686] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16191),
    [sym__keyword_case] = STATE(326),
    [sym__keyword_not] = STATE(1774),
    [sym__keyword_cast] = STATE(19299),
    [sym__keyword_date] = STATE(3373),
    [sym__keyword_datetime] = STATE(3373),
    [sym__keyword_time] = STATE(3373),
    [sym__keyword_timestamp] = STATE(3373),
    [sym__aliasable_expression] = STATE(7539),
    [sym_select_subexpression] = STATE(3579),
    [sym_function_call] = STATE(3579),
    [sym_unnest_operator] = STATE(2131),
    [sym_unnest_clause] = STATE(3579),
    [sym__literal] = STATE(3579),
    [sym_NULL] = STATE(3579),
    [sym_TRUE] = STATE(3579),
    [sym_FALSE] = STATE(3579),
    [sym__float] = STATE(3578),
    [sym_numeric] = STATE(3578),
    [sym__number] = STATE(3578),
    [sym_interval] = STATE(3579),
    [sym_range] = STATE(3579),
    [sym_time] = STATE(3579),
    [sym_number] = STATE(3579),
    [sym_json] = STATE(3579),
    [sym_query_parameter] = STATE(3579),
    [sym__type_chrono] = STATE(3122),
    [sym__type_struct] = STATE(19114),
    [sym__type_array] = STATE(18640),
    [sym_array] = STATE(3579),
    [sym_struct] = STATE(3579),
    [sym__identifier] = STATE(3384),
    [sym__dotted_identifier] = STATE(13989),
    [sym_identifier] = STATE(3577),
    [sym_string] = STATE(3579),
    [sym__expression] = STATE(199),
    [sym__parenthesized_expression] = STATE(3579),
    [sym_element_access] = STATE(3579),
    [sym_field_access] = STATE(3579),
    [sym_unary_expression] = STATE(3579),
    [sym_binary_expression] = STATE(3579),
    [sym_between_operator] = STATE(3579),
    [sym_casewhen_expression] = STATE(3579),
    [sym_cast_expression] = STATE(3579),
    [sym_argument_reference] = STATE(3579),
    [aux_sym_identifier_repeat1] = STATE(13989),
    [sym__unquoted_identifier] = ACTIONS(1926),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1928),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1930),
    [aux_sym__keyword_case_token1] = ACTIONS(1932),
    [aux_sym__keyword_cast_token1] = ACTIONS(1934),
    [aux_sym__keyword_cast_token2] = ACTIONS(1934),
    [aux_sym__keyword_date_token1] = ACTIONS(1936),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1936),
    [aux_sym__keyword_time_token1] = ACTIONS(1936),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1936),
    [anon_sym_LPAREN] = ACTIONS(1938),
    [aux_sym_drop_notnull_token1] = ACTIONS(1940),
    [aux_sym_function_call_token2] = ACTIONS(1942),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(1946),
    [aux_sym_FALSE_token1] = ACTIONS(1948),
    [sym__integer] = ACTIONS(1950),
    [aux_sym__float_token1] = ACTIONS(1952),
    [aux_sym__float_token2] = ACTIONS(1950),
    [aux_sym__float_token3] = ACTIONS(1952),
    [aux_sym_numeric_token1] = ACTIONS(1954),
    [aux_sym_numeric_token2] = ACTIONS(1954),
    [aux_sym_numeric_token3] = ACTIONS(1954),
    [aux_sym_numeric_token4] = ACTIONS(1954),
    [aux_sym_interval_token1] = ACTIONS(1956),
    [anon_sym_LBRACK] = ACTIONS(1958),
    [aux_sym_json_token1] = ACTIONS(1960),
    [sym_system_variable] = ACTIONS(1962),
    [sym__named_query_parameter] = ACTIONS(1964),
    [sym__positional_query_parameter] = ACTIONS(1966),
    [sym__quoted_identifier] = ACTIONS(1968),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1970),
    [anon_sym_PLUS] = ACTIONS(1972),
    [anon_sym_DASH] = ACTIONS(1972),
    [anon_sym_operator_compare] = ACTIONS(1974),
    [anon_sym_DOLLAR] = ACTIONS(1976),
    [sym__string_start] = ACTIONS(1978),
  },
  [687] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8407),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(2096),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [688] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16234),
    [sym__keyword_case] = STATE(345),
    [sym__keyword_not] = STATE(1629),
    [sym__keyword_cast] = STATE(19291),
    [sym__keyword_date] = STATE(3007),
    [sym__keyword_datetime] = STATE(3007),
    [sym__keyword_time] = STATE(3007),
    [sym__keyword_timestamp] = STATE(3007),
    [sym_order_by_clause_body] = STATE(6058),
    [sym_select_subexpression] = STATE(3283),
    [sym_function_call] = STATE(3283),
    [sym_unnest_operator] = STATE(184),
    [sym_unnest_clause] = STATE(3283),
    [sym__literal] = STATE(3283),
    [sym_NULL] = STATE(3283),
    [sym_TRUE] = STATE(3283),
    [sym_FALSE] = STATE(3283),
    [sym__float] = STATE(3282),
    [sym_numeric] = STATE(3282),
    [sym__number] = STATE(3282),
    [sym_interval] = STATE(3283),
    [sym_range] = STATE(3283),
    [sym_time] = STATE(3283),
    [sym_number] = STATE(3283),
    [sym_json] = STATE(3283),
    [sym_query_parameter] = STATE(3283),
    [sym__type_chrono] = STATE(2957),
    [sym__type_struct] = STATE(19086),
    [sym__type_array] = STATE(18532),
    [sym_array] = STATE(3283),
    [sym_struct] = STATE(3283),
    [sym__identifier] = STATE(2993),
    [sym__dotted_identifier] = STATE(13495),
    [sym_identifier] = STATE(3030),
    [sym_string] = STATE(3283),
    [sym__expression] = STATE(1947),
    [sym__parenthesized_expression] = STATE(3283),
    [sym_element_access] = STATE(3283),
    [sym_field_access] = STATE(3283),
    [sym_unary_expression] = STATE(3283),
    [sym_binary_expression] = STATE(3283),
    [sym_between_operator] = STATE(3283),
    [sym_casewhen_expression] = STATE(3283),
    [sym_cast_expression] = STATE(3283),
    [sym_argument_reference] = STATE(3283),
    [aux_sym_identifier_repeat1] = STATE(13495),
    [sym__unquoted_identifier] = ACTIONS(1306),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2098),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2100),
    [aux_sym__keyword_case_token1] = ACTIONS(2102),
    [aux_sym__keyword_cast_token1] = ACTIONS(2104),
    [aux_sym__keyword_cast_token2] = ACTIONS(2104),
    [aux_sym__keyword_date_token1] = ACTIONS(2106),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2106),
    [aux_sym__keyword_time_token1] = ACTIONS(2106),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2106),
    [anon_sym_LPAREN] = ACTIONS(2108),
    [aux_sym_drop_notnull_token1] = ACTIONS(2110),
    [aux_sym_function_call_token2] = ACTIONS(2112),
    [aux_sym_unnest_operator_token1] = ACTIONS(2114),
    [aux_sym_TRUE_token1] = ACTIONS(2116),
    [aux_sym_FALSE_token1] = ACTIONS(2118),
    [sym__integer] = ACTIONS(2120),
    [aux_sym__float_token1] = ACTIONS(2122),
    [aux_sym__float_token2] = ACTIONS(2120),
    [aux_sym__float_token3] = ACTIONS(2122),
    [aux_sym_numeric_token1] = ACTIONS(2124),
    [aux_sym_numeric_token2] = ACTIONS(2124),
    [aux_sym_numeric_token3] = ACTIONS(2124),
    [aux_sym_numeric_token4] = ACTIONS(2124),
    [aux_sym_interval_token1] = ACTIONS(2126),
    [anon_sym_LBRACK] = ACTIONS(2128),
    [aux_sym_json_token1] = ACTIONS(2130),
    [sym_system_variable] = ACTIONS(2132),
    [sym__named_query_parameter] = ACTIONS(2134),
    [sym__positional_query_parameter] = ACTIONS(2136),
    [sym__quoted_identifier] = ACTIONS(1314),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_operator_compare] = ACTIONS(2142),
    [anon_sym_DOLLAR] = ACTIONS(2144),
    [sym__string_start] = ACTIONS(2146),
  },
  [689] = {
    [sym_analytics_clause] = STATE(1978),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [690] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym__aliasable_expression] = STATE(14670),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5364),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [691] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8409),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(2148),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [692] = {
    [sym_analytics_clause] = STATE(2081),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_from_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [693] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8410),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(2150),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [694] = {
    [sym_analytics_clause] = STATE(2080),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_from_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [695] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8412),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(2152),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [696] = {
    [sym_analytics_clause] = STATE(2075),
    [ts_builtin_sym_end] = ACTIONS(1374),
    [sym__unquoted_identifier] = ACTIONS(1376),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1376),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1376),
    [aux_sym_keyword_replace_token1] = ACTIONS(1376),
    [aux_sym__keyword_alter_token1] = ACTIONS(1376),
    [aux_sym__keyword_from_token1] = ACTIONS(1376),
    [aux_sym__keyword_delete_token1] = ACTIONS(1376),
    [aux_sym__keyword_begin_token1] = ACTIONS(1376),
    [aux_sym__keyword_end_token1] = ACTIONS(1376),
    [aux_sym__keyword_between_token1] = ACTIONS(1376),
    [aux_sym__keyword_when_token1] = ACTIONS(1376),
    [aux_sym__keyword_else_token1] = ACTIONS(1376),
    [aux_sym__keyword_is_token1] = ACTIONS(1376),
    [aux_sym__keyword_in_token1] = ACTIONS(1376),
    [aux_sym__keyword_and_token1] = ACTIONS(1376),
    [aux_sym__keyword_like_token1] = ACTIONS(1376),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1376),
    [aux_sym__keyword_as_token1] = ACTIONS(1376),
    [aux_sym__keyword_window_token1] = ACTIONS(1376),
    [aux_sym__keyword_date_token1] = ACTIONS(1376),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1376),
    [aux_sym__keyword_time_token1] = ACTIONS(1376),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1376),
    [aux_sym__keyword_for_token1] = ACTIONS(1376),
    [anon_sym_SEMI] = ACTIONS(1374),
    [aux_sym_declare_statement_token1] = ACTIONS(1376),
    [anon_sym_COMMA] = ACTIONS(1374),
    [aux_sym_set_statement_token1] = ACTIONS(1376),
    [anon_sym_LPAREN] = ACTIONS(1374),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1376),
    [aux_sym_return_satement_token1] = ACTIONS(1376),
    [aux_sym_call_statement_token1] = ACTIONS(1376),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1376),
    [aux_sym_if_statement_token1] = ACTIONS(1376),
    [aux_sym_loop_statement_token1] = ACTIONS(1376),
    [aux_sym_repeat_statement_token1] = ACTIONS(1376),
    [aux_sym_while_statement_token1] = ACTIONS(1376),
    [aux_sym_break_statement_token1] = ACTIONS(1376),
    [aux_sym_leave_statement_token1] = ACTIONS(1376),
    [aux_sym_continue_statement_token1] = ACTIONS(1376),
    [aux_sym_iterate_statement_token1] = ACTIONS(1376),
    [aux_sym_raise_statement_token1] = ACTIONS(1376),
    [anon_sym_EQ] = ACTIONS(1374),
    [aux_sym_assert_statement_token1] = ACTIONS(1376),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1376),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1376),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1376),
    [anon_sym_LT] = ACTIONS(1376),
    [anon_sym_GT] = ACTIONS(1376),
    [aux_sym_set_operation_token1] = ACTIONS(1376),
    [aux_sym_set_operation_token3] = ACTIONS(1376),
    [aux_sym_set_operation_token4] = ACTIONS(1376),
    [aux_sym_select_token1] = ACTIONS(1376),
    [aux_sym_having_clause_token1] = ACTIONS(1376),
    [aux_sym_qualify_clause_token1] = ACTIONS(1376),
    [aux_sym_limit_clause_token1] = ACTIONS(1376),
    [aux_sym_group_by_clause_token1] = ACTIONS(1376),
    [aux_sym_order_by_clause_token1] = ACTIONS(1376),
    [aux_sym_where_clause_token1] = ACTIONS(1376),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1376),
    [aux_sym_truncate_statement_token1] = ACTIONS(1376),
    [aux_sym_update_statement_token1] = ACTIONS(1376),
    [aux_sym_merge_statement_token1] = ACTIONS(1376),
    [aux_sym_grant_statement_token1] = ACTIONS(1376),
    [aux_sym_revoke_statement_token1] = ACTIONS(1376),
    [aux_sym_export_data_statement_token1] = ACTIONS(1376),
    [aux_sym_load_data_statement_token1] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(1374),
    [sym__quoted_identifier] = ACTIONS(1374),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_SLASH] = ACTIONS(1376),
    [anon_sym_PIPE_PIPE] = ACTIONS(1374),
    [anon_sym_LT_EQ] = ACTIONS(1374),
    [anon_sym_LT_GT] = ACTIONS(1374),
    [anon_sym_GT_EQ] = ACTIONS(1374),
    [anon_sym_BANG_EQ] = ACTIONS(1374),
    [anon_sym_LT_LT] = ACTIONS(1374),
    [anon_sym_GT_GT] = ACTIONS(1374),
    [anon_sym_AMP] = ACTIONS(1374),
    [anon_sym_CARET] = ACTIONS(1374),
    [anon_sym_PIPE] = ACTIONS(1376),
  },
  [697] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8387),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(2154),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [698] = {
    [sym_analytics_clause] = STATE(2064),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [699] = {
    [sym_analytics_clause] = STATE(2065),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [700] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym__aliasable_expression] = STATE(14873),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5364),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [701] = {
    [sym_analytics_clause] = STATE(2046),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [702] = {
    [sym_analytics_clause] = STATE(2028),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [703] = {
    [sym_analytics_clause] = STATE(2026),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [704] = {
    [sym_analytics_clause] = STATE(2076),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [705] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym__aliasable_expression] = STATE(15051),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5364),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [706] = {
    [sym_analytics_clause] = STATE(2070),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [707] = {
    [sym_analytics_clause] = STATE(1953),
    [ts_builtin_sym_end] = ACTIONS(1450),
    [sym__unquoted_identifier] = ACTIONS(1452),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1452),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1452),
    [aux_sym_keyword_replace_token1] = ACTIONS(1452),
    [aux_sym__keyword_alter_token1] = ACTIONS(1452),
    [aux_sym__keyword_from_token1] = ACTIONS(1452),
    [aux_sym__keyword_delete_token1] = ACTIONS(1452),
    [aux_sym__keyword_begin_token1] = ACTIONS(1452),
    [aux_sym__keyword_end_token1] = ACTIONS(1452),
    [aux_sym__keyword_between_token1] = ACTIONS(1452),
    [aux_sym__keyword_when_token1] = ACTIONS(1452),
    [aux_sym__keyword_else_token1] = ACTIONS(1452),
    [aux_sym__keyword_is_token1] = ACTIONS(1452),
    [aux_sym__keyword_in_token1] = ACTIONS(1452),
    [aux_sym__keyword_and_token1] = ACTIONS(1452),
    [aux_sym__keyword_like_token1] = ACTIONS(1452),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1452),
    [aux_sym__keyword_as_token1] = ACTIONS(1452),
    [aux_sym__keyword_window_token1] = ACTIONS(1452),
    [aux_sym__keyword_date_token1] = ACTIONS(1452),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1452),
    [aux_sym__keyword_time_token1] = ACTIONS(1452),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1452),
    [aux_sym__keyword_for_token1] = ACTIONS(1452),
    [anon_sym_SEMI] = ACTIONS(1450),
    [aux_sym_declare_statement_token1] = ACTIONS(1452),
    [anon_sym_COMMA] = ACTIONS(1450),
    [aux_sym_set_statement_token1] = ACTIONS(1452),
    [anon_sym_LPAREN] = ACTIONS(1450),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1452),
    [aux_sym_return_satement_token1] = ACTIONS(1452),
    [aux_sym_call_statement_token1] = ACTIONS(1452),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1452),
    [aux_sym_if_statement_token1] = ACTIONS(1452),
    [aux_sym_loop_statement_token1] = ACTIONS(1452),
    [aux_sym_repeat_statement_token1] = ACTIONS(1452),
    [aux_sym_while_statement_token1] = ACTIONS(1452),
    [aux_sym_break_statement_token1] = ACTIONS(1452),
    [aux_sym_leave_statement_token1] = ACTIONS(1452),
    [aux_sym_continue_statement_token1] = ACTIONS(1452),
    [aux_sym_iterate_statement_token1] = ACTIONS(1452),
    [aux_sym_raise_statement_token1] = ACTIONS(1452),
    [anon_sym_EQ] = ACTIONS(1450),
    [aux_sym_assert_statement_token1] = ACTIONS(1452),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1452),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1452),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1452),
    [anon_sym_LT] = ACTIONS(1452),
    [anon_sym_GT] = ACTIONS(1452),
    [aux_sym_set_operation_token1] = ACTIONS(1452),
    [aux_sym_set_operation_token3] = ACTIONS(1452),
    [aux_sym_set_operation_token4] = ACTIONS(1452),
    [aux_sym_select_token1] = ACTIONS(1452),
    [aux_sym_having_clause_token1] = ACTIONS(1452),
    [aux_sym_qualify_clause_token1] = ACTIONS(1452),
    [aux_sym_limit_clause_token1] = ACTIONS(1452),
    [aux_sym_group_by_clause_token1] = ACTIONS(1452),
    [aux_sym_order_by_clause_token1] = ACTIONS(1452),
    [aux_sym_where_clause_token1] = ACTIONS(1452),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1452),
    [aux_sym_truncate_statement_token1] = ACTIONS(1452),
    [aux_sym_update_statement_token1] = ACTIONS(1452),
    [aux_sym_merge_statement_token1] = ACTIONS(1452),
    [aux_sym_grant_statement_token1] = ACTIONS(1452),
    [aux_sym_revoke_statement_token1] = ACTIONS(1452),
    [aux_sym_export_data_statement_token1] = ACTIONS(1452),
    [aux_sym_load_data_statement_token1] = ACTIONS(1452),
    [anon_sym_LBRACK] = ACTIONS(1450),
    [sym__quoted_identifier] = ACTIONS(1450),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_STAR] = ACTIONS(1450),
    [anon_sym_SLASH] = ACTIONS(1452),
    [anon_sym_PIPE_PIPE] = ACTIONS(1450),
    [anon_sym_LT_EQ] = ACTIONS(1450),
    [anon_sym_LT_GT] = ACTIONS(1450),
    [anon_sym_GT_EQ] = ACTIONS(1450),
    [anon_sym_BANG_EQ] = ACTIONS(1450),
    [anon_sym_LT_LT] = ACTIONS(1450),
    [anon_sym_GT_GT] = ACTIONS(1450),
    [anon_sym_AMP] = ACTIONS(1450),
    [anon_sym_CARET] = ACTIONS(1450),
    [anon_sym_PIPE] = ACTIONS(1452),
  },
  [708] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym__aliasable_expression] = STATE(15039),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5364),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [709] = {
    [sym_analytics_clause] = STATE(2077),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [710] = {
    [sym_analytics_clause] = STATE(1889),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_from_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [711] = {
    [sym_analytics_clause] = STATE(1924),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [712] = {
    [sym_analytics_clause] = STATE(1921),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [713] = {
    [sym_analytics_clause] = STATE(1918),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [714] = {
    [sym_analytics_clause] = STATE(1912),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [715] = {
    [sym_analytics_clause] = STATE(1905),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [716] = {
    [sym_analytics_clause] = STATE(1954),
    [ts_builtin_sym_end] = ACTIONS(1450),
    [sym__unquoted_identifier] = ACTIONS(1452),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1452),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1452),
    [aux_sym_keyword_replace_token1] = ACTIONS(1452),
    [aux_sym__keyword_alter_token1] = ACTIONS(1452),
    [aux_sym__keyword_from_token1] = ACTIONS(1452),
    [aux_sym__keyword_delete_token1] = ACTIONS(1452),
    [aux_sym__keyword_begin_token1] = ACTIONS(1452),
    [aux_sym__keyword_end_token1] = ACTIONS(1452),
    [aux_sym__keyword_between_token1] = ACTIONS(1452),
    [aux_sym__keyword_when_token1] = ACTIONS(1452),
    [aux_sym__keyword_else_token1] = ACTIONS(1452),
    [aux_sym__keyword_is_token1] = ACTIONS(1452),
    [aux_sym__keyword_in_token1] = ACTIONS(1452),
    [aux_sym__keyword_and_token1] = ACTIONS(1452),
    [aux_sym__keyword_like_token1] = ACTIONS(1452),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1452),
    [aux_sym__keyword_as_token1] = ACTIONS(1452),
    [aux_sym__keyword_window_token1] = ACTIONS(1452),
    [aux_sym__keyword_date_token1] = ACTIONS(1452),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1452),
    [aux_sym__keyword_time_token1] = ACTIONS(1452),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1452),
    [aux_sym__keyword_for_token1] = ACTIONS(1452),
    [anon_sym_SEMI] = ACTIONS(1450),
    [aux_sym_declare_statement_token1] = ACTIONS(1452),
    [anon_sym_COMMA] = ACTIONS(1450),
    [aux_sym_set_statement_token1] = ACTIONS(1452),
    [anon_sym_LPAREN] = ACTIONS(1450),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1452),
    [aux_sym_return_satement_token1] = ACTIONS(1452),
    [aux_sym_call_statement_token1] = ACTIONS(1452),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1452),
    [aux_sym_if_statement_token1] = ACTIONS(1452),
    [aux_sym_loop_statement_token1] = ACTIONS(1452),
    [aux_sym_repeat_statement_token1] = ACTIONS(1452),
    [aux_sym_while_statement_token1] = ACTIONS(1452),
    [aux_sym_break_statement_token1] = ACTIONS(1452),
    [aux_sym_leave_statement_token1] = ACTIONS(1452),
    [aux_sym_continue_statement_token1] = ACTIONS(1452),
    [aux_sym_iterate_statement_token1] = ACTIONS(1452),
    [aux_sym_raise_statement_token1] = ACTIONS(1452),
    [anon_sym_EQ] = ACTIONS(1450),
    [aux_sym_assert_statement_token1] = ACTIONS(1452),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1452),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1452),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1452),
    [anon_sym_LT] = ACTIONS(1452),
    [anon_sym_GT] = ACTIONS(1452),
    [aux_sym_set_operation_token1] = ACTIONS(1452),
    [aux_sym_set_operation_token3] = ACTIONS(1452),
    [aux_sym_set_operation_token4] = ACTIONS(1452),
    [aux_sym_select_token1] = ACTIONS(1452),
    [aux_sym_having_clause_token1] = ACTIONS(1452),
    [aux_sym_qualify_clause_token1] = ACTIONS(1452),
    [aux_sym_limit_clause_token1] = ACTIONS(1452),
    [aux_sym_group_by_clause_token1] = ACTIONS(1452),
    [aux_sym_order_by_clause_token1] = ACTIONS(1452),
    [aux_sym_where_clause_token1] = ACTIONS(1452),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1452),
    [aux_sym_truncate_statement_token1] = ACTIONS(1452),
    [aux_sym_update_statement_token1] = ACTIONS(1452),
    [aux_sym_merge_statement_token1] = ACTIONS(1452),
    [aux_sym_grant_statement_token1] = ACTIONS(1452),
    [aux_sym_revoke_statement_token1] = ACTIONS(1452),
    [aux_sym_export_data_statement_token1] = ACTIONS(1452),
    [aux_sym_load_data_statement_token1] = ACTIONS(1452),
    [anon_sym_LBRACK] = ACTIONS(1450),
    [sym__quoted_identifier] = ACTIONS(1450),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_STAR] = ACTIONS(1450),
    [anon_sym_SLASH] = ACTIONS(1452),
    [anon_sym_PIPE_PIPE] = ACTIONS(1450),
    [anon_sym_LT_EQ] = ACTIONS(1450),
    [anon_sym_LT_GT] = ACTIONS(1450),
    [anon_sym_GT_EQ] = ACTIONS(1450),
    [anon_sym_BANG_EQ] = ACTIONS(1450),
    [anon_sym_LT_LT] = ACTIONS(1450),
    [anon_sym_GT_GT] = ACTIONS(1450),
    [anon_sym_AMP] = ACTIONS(1450),
    [anon_sym_CARET] = ACTIONS(1450),
    [anon_sym_PIPE] = ACTIONS(1452),
  },
  [717] = {
    [sym_analytics_clause] = STATE(1899),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [718] = {
    [sym_analytics_clause] = STATE(1955),
    [ts_builtin_sym_end] = ACTIONS(1454),
    [sym__unquoted_identifier] = ACTIONS(1456),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1456),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1456),
    [aux_sym_keyword_replace_token1] = ACTIONS(1456),
    [aux_sym__keyword_alter_token1] = ACTIONS(1456),
    [aux_sym__keyword_from_token1] = ACTIONS(1456),
    [aux_sym__keyword_delete_token1] = ACTIONS(1456),
    [aux_sym__keyword_begin_token1] = ACTIONS(1456),
    [aux_sym__keyword_end_token1] = ACTIONS(1456),
    [aux_sym__keyword_between_token1] = ACTIONS(1456),
    [aux_sym__keyword_when_token1] = ACTIONS(1456),
    [aux_sym__keyword_else_token1] = ACTIONS(1456),
    [aux_sym__keyword_is_token1] = ACTIONS(1456),
    [aux_sym__keyword_in_token1] = ACTIONS(1456),
    [aux_sym__keyword_and_token1] = ACTIONS(1456),
    [aux_sym__keyword_like_token1] = ACTIONS(1456),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1456),
    [aux_sym__keyword_as_token1] = ACTIONS(1456),
    [aux_sym__keyword_window_token1] = ACTIONS(1456),
    [aux_sym__keyword_date_token1] = ACTIONS(1456),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1456),
    [aux_sym__keyword_time_token1] = ACTIONS(1456),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1456),
    [aux_sym__keyword_for_token1] = ACTIONS(1456),
    [anon_sym_SEMI] = ACTIONS(1454),
    [aux_sym_declare_statement_token1] = ACTIONS(1456),
    [anon_sym_COMMA] = ACTIONS(1454),
    [aux_sym_set_statement_token1] = ACTIONS(1456),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1456),
    [aux_sym_return_satement_token1] = ACTIONS(1456),
    [aux_sym_call_statement_token1] = ACTIONS(1456),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1456),
    [aux_sym_if_statement_token1] = ACTIONS(1456),
    [aux_sym_loop_statement_token1] = ACTIONS(1456),
    [aux_sym_repeat_statement_token1] = ACTIONS(1456),
    [aux_sym_while_statement_token1] = ACTIONS(1456),
    [aux_sym_break_statement_token1] = ACTIONS(1456),
    [aux_sym_leave_statement_token1] = ACTIONS(1456),
    [aux_sym_continue_statement_token1] = ACTIONS(1456),
    [aux_sym_iterate_statement_token1] = ACTIONS(1456),
    [aux_sym_raise_statement_token1] = ACTIONS(1456),
    [anon_sym_EQ] = ACTIONS(1454),
    [aux_sym_assert_statement_token1] = ACTIONS(1456),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1456),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1456),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1456),
    [anon_sym_LT] = ACTIONS(1456),
    [anon_sym_GT] = ACTIONS(1456),
    [aux_sym_set_operation_token1] = ACTIONS(1456),
    [aux_sym_set_operation_token3] = ACTIONS(1456),
    [aux_sym_set_operation_token4] = ACTIONS(1456),
    [aux_sym_select_token1] = ACTIONS(1456),
    [aux_sym_having_clause_token1] = ACTIONS(1456),
    [aux_sym_qualify_clause_token1] = ACTIONS(1456),
    [aux_sym_limit_clause_token1] = ACTIONS(1456),
    [aux_sym_group_by_clause_token1] = ACTIONS(1456),
    [aux_sym_order_by_clause_token1] = ACTIONS(1456),
    [aux_sym_where_clause_token1] = ACTIONS(1456),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1456),
    [aux_sym_truncate_statement_token1] = ACTIONS(1456),
    [aux_sym_update_statement_token1] = ACTIONS(1456),
    [aux_sym_merge_statement_token1] = ACTIONS(1456),
    [aux_sym_grant_statement_token1] = ACTIONS(1456),
    [aux_sym_revoke_statement_token1] = ACTIONS(1456),
    [aux_sym_export_data_statement_token1] = ACTIONS(1456),
    [aux_sym_load_data_statement_token1] = ACTIONS(1456),
    [anon_sym_LBRACK] = ACTIONS(1454),
    [sym__quoted_identifier] = ACTIONS(1454),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1454),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1454),
    [anon_sym_SLASH] = ACTIONS(1456),
    [anon_sym_PIPE_PIPE] = ACTIONS(1454),
    [anon_sym_LT_EQ] = ACTIONS(1454),
    [anon_sym_LT_GT] = ACTIONS(1454),
    [anon_sym_GT_EQ] = ACTIONS(1454),
    [anon_sym_BANG_EQ] = ACTIONS(1454),
    [anon_sym_LT_LT] = ACTIONS(1454),
    [anon_sym_GT_GT] = ACTIONS(1454),
    [anon_sym_AMP] = ACTIONS(1454),
    [anon_sym_CARET] = ACTIONS(1454),
    [anon_sym_PIPE] = ACTIONS(1456),
  },
  [719] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16234),
    [sym__keyword_case] = STATE(345),
    [sym__keyword_not] = STATE(1679),
    [sym__keyword_cast] = STATE(19291),
    [sym__keyword_date] = STATE(3007),
    [sym__keyword_datetime] = STATE(3007),
    [sym__keyword_time] = STATE(3007),
    [sym__keyword_timestamp] = STATE(3007),
    [sym_order_by_clause_body] = STATE(6058),
    [sym_select_subexpression] = STATE(3283),
    [sym_function_call] = STATE(3283),
    [sym_unnest_operator] = STATE(438),
    [sym_unnest_clause] = STATE(3283),
    [sym__literal] = STATE(3283),
    [sym_NULL] = STATE(3283),
    [sym_TRUE] = STATE(3283),
    [sym_FALSE] = STATE(3283),
    [sym__float] = STATE(3282),
    [sym_numeric] = STATE(3282),
    [sym__number] = STATE(3282),
    [sym_interval] = STATE(3283),
    [sym_range] = STATE(3283),
    [sym_time] = STATE(3283),
    [sym_number] = STATE(3283),
    [sym_json] = STATE(3283),
    [sym_query_parameter] = STATE(3283),
    [sym__type_chrono] = STATE(2957),
    [sym__type_struct] = STATE(19086),
    [sym__type_array] = STATE(18532),
    [sym_array] = STATE(3283),
    [sym_struct] = STATE(3283),
    [sym__identifier] = STATE(2993),
    [sym__dotted_identifier] = STATE(13495),
    [sym_identifier] = STATE(3030),
    [sym_string] = STATE(3283),
    [sym__expression] = STATE(2449),
    [sym__parenthesized_expression] = STATE(3283),
    [sym_element_access] = STATE(3283),
    [sym_field_access] = STATE(3283),
    [sym_unary_expression] = STATE(3283),
    [sym_binary_expression] = STATE(3283),
    [sym_between_operator] = STATE(3283),
    [sym_casewhen_expression] = STATE(3283),
    [sym_cast_expression] = STATE(3283),
    [sym_argument_reference] = STATE(3283),
    [aux_sym_identifier_repeat1] = STATE(13495),
    [sym__unquoted_identifier] = ACTIONS(1306),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2098),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2100),
    [aux_sym__keyword_case_token1] = ACTIONS(2102),
    [aux_sym__keyword_cast_token1] = ACTIONS(2104),
    [aux_sym__keyword_cast_token2] = ACTIONS(2104),
    [aux_sym__keyword_date_token1] = ACTIONS(2106),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2106),
    [aux_sym__keyword_time_token1] = ACTIONS(2106),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2106),
    [anon_sym_LPAREN] = ACTIONS(2108),
    [aux_sym_drop_notnull_token1] = ACTIONS(2110),
    [aux_sym_function_call_token2] = ACTIONS(2112),
    [aux_sym_unnest_operator_token1] = ACTIONS(2156),
    [aux_sym_TRUE_token1] = ACTIONS(2116),
    [aux_sym_FALSE_token1] = ACTIONS(2118),
    [sym__integer] = ACTIONS(2120),
    [aux_sym__float_token1] = ACTIONS(2122),
    [aux_sym__float_token2] = ACTIONS(2120),
    [aux_sym__float_token3] = ACTIONS(2122),
    [aux_sym_numeric_token1] = ACTIONS(2124),
    [aux_sym_numeric_token2] = ACTIONS(2124),
    [aux_sym_numeric_token3] = ACTIONS(2124),
    [aux_sym_numeric_token4] = ACTIONS(2124),
    [aux_sym_interval_token1] = ACTIONS(2126),
    [anon_sym_LBRACK] = ACTIONS(2128),
    [aux_sym_json_token1] = ACTIONS(2130),
    [sym_system_variable] = ACTIONS(2132),
    [sym__named_query_parameter] = ACTIONS(2134),
    [sym__positional_query_parameter] = ACTIONS(2136),
    [sym__quoted_identifier] = ACTIONS(1314),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2158),
    [anon_sym_PLUS] = ACTIONS(2160),
    [anon_sym_DASH] = ACTIONS(2160),
    [anon_sym_operator_compare] = ACTIONS(2142),
    [anon_sym_DOLLAR] = ACTIONS(2144),
    [sym__string_start] = ACTIONS(2146),
  },
  [720] = {
    [sym_analytics_clause] = STATE(2023),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [721] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym__aliasable_expression] = STATE(14562),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5364),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [722] = {
    [sym_analytics_clause] = STATE(1896),
    [ts_builtin_sym_end] = ACTIONS(1504),
    [sym__unquoted_identifier] = ACTIONS(1506),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1506),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1506),
    [aux_sym_keyword_replace_token1] = ACTIONS(1506),
    [aux_sym__keyword_alter_token1] = ACTIONS(1506),
    [aux_sym__keyword_from_token1] = ACTIONS(1506),
    [aux_sym__keyword_delete_token1] = ACTIONS(1506),
    [aux_sym__keyword_begin_token1] = ACTIONS(1506),
    [aux_sym__keyword_end_token1] = ACTIONS(1506),
    [aux_sym__keyword_between_token1] = ACTIONS(1506),
    [aux_sym__keyword_when_token1] = ACTIONS(1506),
    [aux_sym__keyword_else_token1] = ACTIONS(1506),
    [aux_sym__keyword_is_token1] = ACTIONS(1506),
    [aux_sym__keyword_in_token1] = ACTIONS(1506),
    [aux_sym__keyword_and_token1] = ACTIONS(1506),
    [aux_sym__keyword_like_token1] = ACTIONS(1506),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1506),
    [aux_sym__keyword_as_token1] = ACTIONS(1506),
    [aux_sym__keyword_window_token1] = ACTIONS(1506),
    [aux_sym__keyword_date_token1] = ACTIONS(1506),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1506),
    [aux_sym__keyword_time_token1] = ACTIONS(1506),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1506),
    [aux_sym__keyword_for_token1] = ACTIONS(1506),
    [anon_sym_SEMI] = ACTIONS(1504),
    [aux_sym_declare_statement_token1] = ACTIONS(1506),
    [anon_sym_COMMA] = ACTIONS(1504),
    [aux_sym_set_statement_token1] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1504),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1506),
    [aux_sym_return_satement_token1] = ACTIONS(1506),
    [aux_sym_call_statement_token1] = ACTIONS(1506),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1506),
    [aux_sym_if_statement_token1] = ACTIONS(1506),
    [aux_sym_loop_statement_token1] = ACTIONS(1506),
    [aux_sym_repeat_statement_token1] = ACTIONS(1506),
    [aux_sym_while_statement_token1] = ACTIONS(1506),
    [aux_sym_break_statement_token1] = ACTIONS(1506),
    [aux_sym_leave_statement_token1] = ACTIONS(1506),
    [aux_sym_continue_statement_token1] = ACTIONS(1506),
    [aux_sym_iterate_statement_token1] = ACTIONS(1506),
    [aux_sym_raise_statement_token1] = ACTIONS(1506),
    [anon_sym_EQ] = ACTIONS(1504),
    [aux_sym_assert_statement_token1] = ACTIONS(1506),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1506),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1506),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1506),
    [anon_sym_LT] = ACTIONS(1506),
    [anon_sym_GT] = ACTIONS(1506),
    [aux_sym_set_operation_token1] = ACTIONS(1506),
    [aux_sym_set_operation_token3] = ACTIONS(1506),
    [aux_sym_set_operation_token4] = ACTIONS(1506),
    [aux_sym_select_token1] = ACTIONS(1506),
    [aux_sym_having_clause_token1] = ACTIONS(1506),
    [aux_sym_qualify_clause_token1] = ACTIONS(1506),
    [aux_sym_limit_clause_token1] = ACTIONS(1506),
    [aux_sym_group_by_clause_token1] = ACTIONS(1506),
    [aux_sym_order_by_clause_token1] = ACTIONS(1506),
    [aux_sym_where_clause_token1] = ACTIONS(1506),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1506),
    [aux_sym_truncate_statement_token1] = ACTIONS(1506),
    [aux_sym_update_statement_token1] = ACTIONS(1506),
    [aux_sym_merge_statement_token1] = ACTIONS(1506),
    [aux_sym_grant_statement_token1] = ACTIONS(1506),
    [aux_sym_revoke_statement_token1] = ACTIONS(1506),
    [aux_sym_export_data_statement_token1] = ACTIONS(1506),
    [aux_sym_load_data_statement_token1] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1504),
    [sym__quoted_identifier] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1504),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1506),
    [anon_sym_STAR] = ACTIONS(1504),
    [anon_sym_SLASH] = ACTIONS(1506),
    [anon_sym_PIPE_PIPE] = ACTIONS(1504),
    [anon_sym_LT_EQ] = ACTIONS(1504),
    [anon_sym_LT_GT] = ACTIONS(1504),
    [anon_sym_GT_EQ] = ACTIONS(1504),
    [anon_sym_BANG_EQ] = ACTIONS(1504),
    [anon_sym_LT_LT] = ACTIONS(1504),
    [anon_sym_GT_GT] = ACTIONS(1504),
    [anon_sym_AMP] = ACTIONS(1504),
    [anon_sym_CARET] = ACTIONS(1504),
    [anon_sym_PIPE] = ACTIONS(1506),
  },
  [723] = {
    [sym_analytics_clause] = STATE(1965),
    [ts_builtin_sym_end] = ACTIONS(1458),
    [sym__unquoted_identifier] = ACTIONS(1460),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1460),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1460),
    [aux_sym_keyword_replace_token1] = ACTIONS(1460),
    [aux_sym__keyword_alter_token1] = ACTIONS(1460),
    [aux_sym__keyword_from_token1] = ACTIONS(1460),
    [aux_sym__keyword_delete_token1] = ACTIONS(1460),
    [aux_sym__keyword_begin_token1] = ACTIONS(1460),
    [aux_sym__keyword_end_token1] = ACTIONS(1460),
    [aux_sym__keyword_between_token1] = ACTIONS(1460),
    [aux_sym__keyword_when_token1] = ACTIONS(1460),
    [aux_sym__keyword_else_token1] = ACTIONS(1460),
    [aux_sym__keyword_is_token1] = ACTIONS(1460),
    [aux_sym__keyword_in_token1] = ACTIONS(1460),
    [aux_sym__keyword_and_token1] = ACTIONS(1460),
    [aux_sym__keyword_like_token1] = ACTIONS(1460),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1460),
    [aux_sym__keyword_as_token1] = ACTIONS(1460),
    [aux_sym__keyword_window_token1] = ACTIONS(1460),
    [aux_sym__keyword_date_token1] = ACTIONS(1460),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1460),
    [aux_sym__keyword_time_token1] = ACTIONS(1460),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1460),
    [aux_sym__keyword_for_token1] = ACTIONS(1460),
    [anon_sym_SEMI] = ACTIONS(1458),
    [aux_sym_declare_statement_token1] = ACTIONS(1460),
    [anon_sym_COMMA] = ACTIONS(1458),
    [aux_sym_set_statement_token1] = ACTIONS(1460),
    [anon_sym_LPAREN] = ACTIONS(1458),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1460),
    [aux_sym_return_satement_token1] = ACTIONS(1460),
    [aux_sym_call_statement_token1] = ACTIONS(1460),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1460),
    [aux_sym_if_statement_token1] = ACTIONS(1460),
    [aux_sym_loop_statement_token1] = ACTIONS(1460),
    [aux_sym_repeat_statement_token1] = ACTIONS(1460),
    [aux_sym_while_statement_token1] = ACTIONS(1460),
    [aux_sym_break_statement_token1] = ACTIONS(1460),
    [aux_sym_leave_statement_token1] = ACTIONS(1460),
    [aux_sym_continue_statement_token1] = ACTIONS(1460),
    [aux_sym_iterate_statement_token1] = ACTIONS(1460),
    [aux_sym_raise_statement_token1] = ACTIONS(1460),
    [anon_sym_EQ] = ACTIONS(1458),
    [aux_sym_assert_statement_token1] = ACTIONS(1460),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1460),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1460),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1460),
    [anon_sym_LT] = ACTIONS(1460),
    [anon_sym_GT] = ACTIONS(1460),
    [aux_sym_set_operation_token1] = ACTIONS(1460),
    [aux_sym_set_operation_token3] = ACTIONS(1460),
    [aux_sym_set_operation_token4] = ACTIONS(1460),
    [aux_sym_select_token1] = ACTIONS(1460),
    [aux_sym_having_clause_token1] = ACTIONS(1460),
    [aux_sym_qualify_clause_token1] = ACTIONS(1460),
    [aux_sym_limit_clause_token1] = ACTIONS(1460),
    [aux_sym_group_by_clause_token1] = ACTIONS(1460),
    [aux_sym_order_by_clause_token1] = ACTIONS(1460),
    [aux_sym_where_clause_token1] = ACTIONS(1460),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1460),
    [aux_sym_truncate_statement_token1] = ACTIONS(1460),
    [aux_sym_update_statement_token1] = ACTIONS(1460),
    [aux_sym_merge_statement_token1] = ACTIONS(1460),
    [aux_sym_grant_statement_token1] = ACTIONS(1460),
    [aux_sym_revoke_statement_token1] = ACTIONS(1460),
    [aux_sym_export_data_statement_token1] = ACTIONS(1460),
    [aux_sym_load_data_statement_token1] = ACTIONS(1460),
    [anon_sym_LBRACK] = ACTIONS(1458),
    [sym__quoted_identifier] = ACTIONS(1458),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_STAR] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(1460),
    [anon_sym_PIPE_PIPE] = ACTIONS(1458),
    [anon_sym_LT_EQ] = ACTIONS(1458),
    [anon_sym_LT_GT] = ACTIONS(1458),
    [anon_sym_GT_EQ] = ACTIONS(1458),
    [anon_sym_BANG_EQ] = ACTIONS(1458),
    [anon_sym_LT_LT] = ACTIONS(1458),
    [anon_sym_GT_GT] = ACTIONS(1458),
    [anon_sym_AMP] = ACTIONS(1458),
    [anon_sym_CARET] = ACTIONS(1458),
    [anon_sym_PIPE] = ACTIONS(1460),
  },
  [724] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym__aliasable_expression] = STATE(14565),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5364),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [725] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_replace_expression] = STATE(15007),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5381),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [726] = {
    [sym_analytics_clause] = STATE(2022),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [727] = {
    [sym_analytics_clause] = STATE(1966),
    [ts_builtin_sym_end] = ACTIONS(1466),
    [sym__unquoted_identifier] = ACTIONS(1468),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1468),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1468),
    [aux_sym_keyword_replace_token1] = ACTIONS(1468),
    [aux_sym__keyword_alter_token1] = ACTIONS(1468),
    [aux_sym__keyword_from_token1] = ACTIONS(1468),
    [aux_sym__keyword_delete_token1] = ACTIONS(1468),
    [aux_sym__keyword_begin_token1] = ACTIONS(1468),
    [aux_sym__keyword_end_token1] = ACTIONS(1468),
    [aux_sym__keyword_between_token1] = ACTIONS(1468),
    [aux_sym__keyword_when_token1] = ACTIONS(1468),
    [aux_sym__keyword_else_token1] = ACTIONS(1468),
    [aux_sym__keyword_is_token1] = ACTIONS(1468),
    [aux_sym__keyword_in_token1] = ACTIONS(1468),
    [aux_sym__keyword_and_token1] = ACTIONS(1468),
    [aux_sym__keyword_like_token1] = ACTIONS(1468),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1468),
    [aux_sym__keyword_as_token1] = ACTIONS(1468),
    [aux_sym__keyword_window_token1] = ACTIONS(1468),
    [aux_sym__keyword_date_token1] = ACTIONS(1468),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1468),
    [aux_sym__keyword_time_token1] = ACTIONS(1468),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1468),
    [aux_sym__keyword_for_token1] = ACTIONS(1468),
    [anon_sym_SEMI] = ACTIONS(1466),
    [aux_sym_declare_statement_token1] = ACTIONS(1468),
    [anon_sym_COMMA] = ACTIONS(1466),
    [aux_sym_set_statement_token1] = ACTIONS(1468),
    [anon_sym_LPAREN] = ACTIONS(1466),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1468),
    [aux_sym_return_satement_token1] = ACTIONS(1468),
    [aux_sym_call_statement_token1] = ACTIONS(1468),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1468),
    [aux_sym_if_statement_token1] = ACTIONS(1468),
    [aux_sym_loop_statement_token1] = ACTIONS(1468),
    [aux_sym_repeat_statement_token1] = ACTIONS(1468),
    [aux_sym_while_statement_token1] = ACTIONS(1468),
    [aux_sym_break_statement_token1] = ACTIONS(1468),
    [aux_sym_leave_statement_token1] = ACTIONS(1468),
    [aux_sym_continue_statement_token1] = ACTIONS(1468),
    [aux_sym_iterate_statement_token1] = ACTIONS(1468),
    [aux_sym_raise_statement_token1] = ACTIONS(1468),
    [anon_sym_EQ] = ACTIONS(1466),
    [aux_sym_assert_statement_token1] = ACTIONS(1468),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1468),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1468),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1468),
    [anon_sym_LT] = ACTIONS(1468),
    [anon_sym_GT] = ACTIONS(1468),
    [aux_sym_set_operation_token1] = ACTIONS(1468),
    [aux_sym_set_operation_token3] = ACTIONS(1468),
    [aux_sym_set_operation_token4] = ACTIONS(1468),
    [aux_sym_select_token1] = ACTIONS(1468),
    [aux_sym_having_clause_token1] = ACTIONS(1468),
    [aux_sym_qualify_clause_token1] = ACTIONS(1468),
    [aux_sym_limit_clause_token1] = ACTIONS(1468),
    [aux_sym_group_by_clause_token1] = ACTIONS(1468),
    [aux_sym_order_by_clause_token1] = ACTIONS(1468),
    [aux_sym_where_clause_token1] = ACTIONS(1468),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1468),
    [aux_sym_truncate_statement_token1] = ACTIONS(1468),
    [aux_sym_update_statement_token1] = ACTIONS(1468),
    [aux_sym_merge_statement_token1] = ACTIONS(1468),
    [aux_sym_grant_statement_token1] = ACTIONS(1468),
    [aux_sym_revoke_statement_token1] = ACTIONS(1468),
    [aux_sym_export_data_statement_token1] = ACTIONS(1468),
    [aux_sym_load_data_statement_token1] = ACTIONS(1468),
    [anon_sym_LBRACK] = ACTIONS(1466),
    [sym__quoted_identifier] = ACTIONS(1466),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_STAR] = ACTIONS(1466),
    [anon_sym_SLASH] = ACTIONS(1468),
    [anon_sym_PIPE_PIPE] = ACTIONS(1466),
    [anon_sym_LT_EQ] = ACTIONS(1466),
    [anon_sym_LT_GT] = ACTIONS(1466),
    [anon_sym_GT_EQ] = ACTIONS(1466),
    [anon_sym_BANG_EQ] = ACTIONS(1466),
    [anon_sym_LT_LT] = ACTIONS(1466),
    [anon_sym_GT_GT] = ACTIONS(1466),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_CARET] = ACTIONS(1466),
    [anon_sym_PIPE] = ACTIONS(1468),
  },
  [728] = {
    [sym_analytics_clause] = STATE(2019),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [729] = {
    [sym_analytics_clause] = STATE(1894),
    [ts_builtin_sym_end] = ACTIONS(1500),
    [sym__unquoted_identifier] = ACTIONS(1502),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1502),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1502),
    [aux_sym_keyword_replace_token1] = ACTIONS(1502),
    [aux_sym__keyword_alter_token1] = ACTIONS(1502),
    [aux_sym__keyword_from_token1] = ACTIONS(1502),
    [aux_sym__keyword_delete_token1] = ACTIONS(1502),
    [aux_sym__keyword_begin_token1] = ACTIONS(1502),
    [aux_sym__keyword_end_token1] = ACTIONS(1502),
    [aux_sym__keyword_between_token1] = ACTIONS(1502),
    [aux_sym__keyword_when_token1] = ACTIONS(1502),
    [aux_sym__keyword_else_token1] = ACTIONS(1502),
    [aux_sym__keyword_is_token1] = ACTIONS(1502),
    [aux_sym__keyword_in_token1] = ACTIONS(1502),
    [aux_sym__keyword_and_token1] = ACTIONS(1502),
    [aux_sym__keyword_like_token1] = ACTIONS(1502),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1502),
    [aux_sym__keyword_as_token1] = ACTIONS(1502),
    [aux_sym__keyword_window_token1] = ACTIONS(1502),
    [aux_sym__keyword_date_token1] = ACTIONS(1502),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1502),
    [aux_sym__keyword_time_token1] = ACTIONS(1502),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1502),
    [aux_sym__keyword_for_token1] = ACTIONS(1502),
    [anon_sym_SEMI] = ACTIONS(1500),
    [aux_sym_declare_statement_token1] = ACTIONS(1502),
    [anon_sym_COMMA] = ACTIONS(1500),
    [aux_sym_set_statement_token1] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1500),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1502),
    [aux_sym_return_satement_token1] = ACTIONS(1502),
    [aux_sym_call_statement_token1] = ACTIONS(1502),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1502),
    [aux_sym_if_statement_token1] = ACTIONS(1502),
    [aux_sym_loop_statement_token1] = ACTIONS(1502),
    [aux_sym_repeat_statement_token1] = ACTIONS(1502),
    [aux_sym_while_statement_token1] = ACTIONS(1502),
    [aux_sym_break_statement_token1] = ACTIONS(1502),
    [aux_sym_leave_statement_token1] = ACTIONS(1502),
    [aux_sym_continue_statement_token1] = ACTIONS(1502),
    [aux_sym_iterate_statement_token1] = ACTIONS(1502),
    [aux_sym_raise_statement_token1] = ACTIONS(1502),
    [anon_sym_EQ] = ACTIONS(1500),
    [aux_sym_assert_statement_token1] = ACTIONS(1502),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1502),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1502),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1502),
    [anon_sym_LT] = ACTIONS(1502),
    [anon_sym_GT] = ACTIONS(1502),
    [aux_sym_set_operation_token1] = ACTIONS(1502),
    [aux_sym_set_operation_token3] = ACTIONS(1502),
    [aux_sym_set_operation_token4] = ACTIONS(1502),
    [aux_sym_select_token1] = ACTIONS(1502),
    [aux_sym_having_clause_token1] = ACTIONS(1502),
    [aux_sym_qualify_clause_token1] = ACTIONS(1502),
    [aux_sym_limit_clause_token1] = ACTIONS(1502),
    [aux_sym_group_by_clause_token1] = ACTIONS(1502),
    [aux_sym_order_by_clause_token1] = ACTIONS(1502),
    [aux_sym_where_clause_token1] = ACTIONS(1502),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1502),
    [aux_sym_truncate_statement_token1] = ACTIONS(1502),
    [aux_sym_update_statement_token1] = ACTIONS(1502),
    [aux_sym_merge_statement_token1] = ACTIONS(1502),
    [aux_sym_grant_statement_token1] = ACTIONS(1502),
    [aux_sym_revoke_statement_token1] = ACTIONS(1502),
    [aux_sym_export_data_statement_token1] = ACTIONS(1502),
    [aux_sym_load_data_statement_token1] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1500),
    [sym__quoted_identifier] = ACTIONS(1500),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_STAR] = ACTIONS(1500),
    [anon_sym_SLASH] = ACTIONS(1502),
    [anon_sym_PIPE_PIPE] = ACTIONS(1500),
    [anon_sym_LT_EQ] = ACTIONS(1500),
    [anon_sym_LT_GT] = ACTIONS(1500),
    [anon_sym_GT_EQ] = ACTIONS(1500),
    [anon_sym_BANG_EQ] = ACTIONS(1500),
    [anon_sym_LT_LT] = ACTIONS(1500),
    [anon_sym_GT_GT] = ACTIONS(1500),
    [anon_sym_AMP] = ACTIONS(1500),
    [anon_sym_CARET] = ACTIONS(1500),
    [anon_sym_PIPE] = ACTIONS(1502),
  },
  [730] = {
    [sym_analytics_clause] = STATE(1970),
    [ts_builtin_sym_end] = ACTIONS(1470),
    [sym__unquoted_identifier] = ACTIONS(1472),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1472),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1472),
    [aux_sym_keyword_replace_token1] = ACTIONS(1472),
    [aux_sym__keyword_alter_token1] = ACTIONS(1472),
    [aux_sym__keyword_from_token1] = ACTIONS(1472),
    [aux_sym__keyword_delete_token1] = ACTIONS(1472),
    [aux_sym__keyword_begin_token1] = ACTIONS(1472),
    [aux_sym__keyword_end_token1] = ACTIONS(1472),
    [aux_sym__keyword_between_token1] = ACTIONS(1472),
    [aux_sym__keyword_when_token1] = ACTIONS(1472),
    [aux_sym__keyword_else_token1] = ACTIONS(1472),
    [aux_sym__keyword_is_token1] = ACTIONS(1472),
    [aux_sym__keyword_in_token1] = ACTIONS(1472),
    [aux_sym__keyword_and_token1] = ACTIONS(1472),
    [aux_sym__keyword_like_token1] = ACTIONS(1472),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1472),
    [aux_sym__keyword_as_token1] = ACTIONS(1472),
    [aux_sym__keyword_window_token1] = ACTIONS(1472),
    [aux_sym__keyword_date_token1] = ACTIONS(1472),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1472),
    [aux_sym__keyword_time_token1] = ACTIONS(1472),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1472),
    [aux_sym__keyword_for_token1] = ACTIONS(1472),
    [anon_sym_SEMI] = ACTIONS(1470),
    [aux_sym_declare_statement_token1] = ACTIONS(1472),
    [anon_sym_COMMA] = ACTIONS(1470),
    [aux_sym_set_statement_token1] = ACTIONS(1472),
    [anon_sym_LPAREN] = ACTIONS(1470),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1472),
    [aux_sym_return_satement_token1] = ACTIONS(1472),
    [aux_sym_call_statement_token1] = ACTIONS(1472),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1472),
    [aux_sym_if_statement_token1] = ACTIONS(1472),
    [aux_sym_loop_statement_token1] = ACTIONS(1472),
    [aux_sym_repeat_statement_token1] = ACTIONS(1472),
    [aux_sym_while_statement_token1] = ACTIONS(1472),
    [aux_sym_break_statement_token1] = ACTIONS(1472),
    [aux_sym_leave_statement_token1] = ACTIONS(1472),
    [aux_sym_continue_statement_token1] = ACTIONS(1472),
    [aux_sym_iterate_statement_token1] = ACTIONS(1472),
    [aux_sym_raise_statement_token1] = ACTIONS(1472),
    [anon_sym_EQ] = ACTIONS(1470),
    [aux_sym_assert_statement_token1] = ACTIONS(1472),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1472),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1472),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1472),
    [anon_sym_LT] = ACTIONS(1472),
    [anon_sym_GT] = ACTIONS(1472),
    [aux_sym_set_operation_token1] = ACTIONS(1472),
    [aux_sym_set_operation_token3] = ACTIONS(1472),
    [aux_sym_set_operation_token4] = ACTIONS(1472),
    [aux_sym_select_token1] = ACTIONS(1472),
    [aux_sym_having_clause_token1] = ACTIONS(1472),
    [aux_sym_qualify_clause_token1] = ACTIONS(1472),
    [aux_sym_limit_clause_token1] = ACTIONS(1472),
    [aux_sym_group_by_clause_token1] = ACTIONS(1472),
    [aux_sym_order_by_clause_token1] = ACTIONS(1472),
    [aux_sym_where_clause_token1] = ACTIONS(1472),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1472),
    [aux_sym_truncate_statement_token1] = ACTIONS(1472),
    [aux_sym_update_statement_token1] = ACTIONS(1472),
    [aux_sym_merge_statement_token1] = ACTIONS(1472),
    [aux_sym_grant_statement_token1] = ACTIONS(1472),
    [aux_sym_revoke_statement_token1] = ACTIONS(1472),
    [aux_sym_export_data_statement_token1] = ACTIONS(1472),
    [aux_sym_load_data_statement_token1] = ACTIONS(1472),
    [anon_sym_LBRACK] = ACTIONS(1470),
    [sym__quoted_identifier] = ACTIONS(1470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1470),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_STAR] = ACTIONS(1470),
    [anon_sym_SLASH] = ACTIONS(1472),
    [anon_sym_PIPE_PIPE] = ACTIONS(1470),
    [anon_sym_LT_EQ] = ACTIONS(1470),
    [anon_sym_LT_GT] = ACTIONS(1470),
    [anon_sym_GT_EQ] = ACTIONS(1470),
    [anon_sym_BANG_EQ] = ACTIONS(1470),
    [anon_sym_LT_LT] = ACTIONS(1470),
    [anon_sym_GT_GT] = ACTIONS(1470),
    [anon_sym_AMP] = ACTIONS(1470),
    [anon_sym_CARET] = ACTIONS(1470),
    [anon_sym_PIPE] = ACTIONS(1472),
  },
  [731] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym__aliasable_expression] = STATE(16262),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5364),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [732] = {
    [sym_analytics_clause] = STATE(1890),
    [ts_builtin_sym_end] = ACTIONS(1496),
    [sym__unquoted_identifier] = ACTIONS(1498),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1498),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1498),
    [aux_sym_keyword_replace_token1] = ACTIONS(1498),
    [aux_sym__keyword_alter_token1] = ACTIONS(1498),
    [aux_sym__keyword_from_token1] = ACTIONS(1498),
    [aux_sym__keyword_delete_token1] = ACTIONS(1498),
    [aux_sym__keyword_begin_token1] = ACTIONS(1498),
    [aux_sym__keyword_end_token1] = ACTIONS(1498),
    [aux_sym__keyword_between_token1] = ACTIONS(1498),
    [aux_sym__keyword_when_token1] = ACTIONS(1498),
    [aux_sym__keyword_else_token1] = ACTIONS(1498),
    [aux_sym__keyword_is_token1] = ACTIONS(1498),
    [aux_sym__keyword_in_token1] = ACTIONS(1498),
    [aux_sym__keyword_and_token1] = ACTIONS(1498),
    [aux_sym__keyword_like_token1] = ACTIONS(1498),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1498),
    [aux_sym__keyword_as_token1] = ACTIONS(1498),
    [aux_sym__keyword_window_token1] = ACTIONS(1498),
    [aux_sym__keyword_date_token1] = ACTIONS(1498),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1498),
    [aux_sym__keyword_time_token1] = ACTIONS(1498),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1498),
    [aux_sym__keyword_for_token1] = ACTIONS(1498),
    [anon_sym_SEMI] = ACTIONS(1496),
    [aux_sym_declare_statement_token1] = ACTIONS(1498),
    [anon_sym_COMMA] = ACTIONS(1496),
    [aux_sym_set_statement_token1] = ACTIONS(1498),
    [anon_sym_LPAREN] = ACTIONS(1496),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1498),
    [aux_sym_return_satement_token1] = ACTIONS(1498),
    [aux_sym_call_statement_token1] = ACTIONS(1498),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1498),
    [aux_sym_if_statement_token1] = ACTIONS(1498),
    [aux_sym_loop_statement_token1] = ACTIONS(1498),
    [aux_sym_repeat_statement_token1] = ACTIONS(1498),
    [aux_sym_while_statement_token1] = ACTIONS(1498),
    [aux_sym_break_statement_token1] = ACTIONS(1498),
    [aux_sym_leave_statement_token1] = ACTIONS(1498),
    [aux_sym_continue_statement_token1] = ACTIONS(1498),
    [aux_sym_iterate_statement_token1] = ACTIONS(1498),
    [aux_sym_raise_statement_token1] = ACTIONS(1498),
    [anon_sym_EQ] = ACTIONS(1496),
    [aux_sym_assert_statement_token1] = ACTIONS(1498),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1498),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1498),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1498),
    [anon_sym_LT] = ACTIONS(1498),
    [anon_sym_GT] = ACTIONS(1498),
    [aux_sym_set_operation_token1] = ACTIONS(1498),
    [aux_sym_set_operation_token3] = ACTIONS(1498),
    [aux_sym_set_operation_token4] = ACTIONS(1498),
    [aux_sym_select_token1] = ACTIONS(1498),
    [aux_sym_having_clause_token1] = ACTIONS(1498),
    [aux_sym_qualify_clause_token1] = ACTIONS(1498),
    [aux_sym_limit_clause_token1] = ACTIONS(1498),
    [aux_sym_group_by_clause_token1] = ACTIONS(1498),
    [aux_sym_order_by_clause_token1] = ACTIONS(1498),
    [aux_sym_where_clause_token1] = ACTIONS(1498),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1498),
    [aux_sym_truncate_statement_token1] = ACTIONS(1498),
    [aux_sym_update_statement_token1] = ACTIONS(1498),
    [aux_sym_merge_statement_token1] = ACTIONS(1498),
    [aux_sym_grant_statement_token1] = ACTIONS(1498),
    [aux_sym_revoke_statement_token1] = ACTIONS(1498),
    [aux_sym_export_data_statement_token1] = ACTIONS(1498),
    [aux_sym_load_data_statement_token1] = ACTIONS(1498),
    [anon_sym_LBRACK] = ACTIONS(1496),
    [sym__quoted_identifier] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(1498),
    [anon_sym_PIPE_PIPE] = ACTIONS(1496),
    [anon_sym_LT_EQ] = ACTIONS(1496),
    [anon_sym_LT_GT] = ACTIONS(1496),
    [anon_sym_GT_EQ] = ACTIONS(1496),
    [anon_sym_BANG_EQ] = ACTIONS(1496),
    [anon_sym_LT_LT] = ACTIONS(1496),
    [anon_sym_GT_GT] = ACTIONS(1496),
    [anon_sym_AMP] = ACTIONS(1496),
    [anon_sym_CARET] = ACTIONS(1496),
    [anon_sym_PIPE] = ACTIONS(1498),
  },
  [733] = {
    [sym_analytics_clause] = STATE(1885),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_from_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [734] = {
    [sym_analytics_clause] = STATE(2045),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_from_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [735] = {
    [sym_analytics_clause] = STATE(2016),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [736] = {
    [sym_analytics_clause] = STATE(1886),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_from_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [737] = {
    [sym_analytics_clause] = STATE(1945),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [738] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8385),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(2162),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [739] = {
    [sym_analytics_clause] = STATE(1892),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_from_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [740] = {
    [sym_analytics_clause] = STATE(1897),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_from_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [741] = {
    [sym_analytics_clause] = STATE(1991),
    [ts_builtin_sym_end] = ACTIONS(1480),
    [sym__unquoted_identifier] = ACTIONS(1482),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1482),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1482),
    [aux_sym_keyword_replace_token1] = ACTIONS(1482),
    [aux_sym__keyword_alter_token1] = ACTIONS(1482),
    [aux_sym__keyword_from_token1] = ACTIONS(1482),
    [aux_sym__keyword_delete_token1] = ACTIONS(1482),
    [aux_sym__keyword_begin_token1] = ACTIONS(1482),
    [aux_sym__keyword_end_token1] = ACTIONS(1482),
    [aux_sym__keyword_between_token1] = ACTIONS(1482),
    [aux_sym__keyword_when_token1] = ACTIONS(1482),
    [aux_sym__keyword_else_token1] = ACTIONS(1482),
    [aux_sym__keyword_is_token1] = ACTIONS(1482),
    [aux_sym__keyword_in_token1] = ACTIONS(1482),
    [aux_sym__keyword_and_token1] = ACTIONS(1482),
    [aux_sym__keyword_like_token1] = ACTIONS(1482),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1482),
    [aux_sym__keyword_as_token1] = ACTIONS(1482),
    [aux_sym__keyword_window_token1] = ACTIONS(1482),
    [aux_sym__keyword_date_token1] = ACTIONS(1482),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1482),
    [aux_sym__keyword_time_token1] = ACTIONS(1482),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1482),
    [aux_sym__keyword_for_token1] = ACTIONS(1482),
    [anon_sym_SEMI] = ACTIONS(1480),
    [aux_sym_declare_statement_token1] = ACTIONS(1482),
    [anon_sym_COMMA] = ACTIONS(1480),
    [aux_sym_set_statement_token1] = ACTIONS(1482),
    [anon_sym_LPAREN] = ACTIONS(1480),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1482),
    [aux_sym_return_satement_token1] = ACTIONS(1482),
    [aux_sym_call_statement_token1] = ACTIONS(1482),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1482),
    [aux_sym_if_statement_token1] = ACTIONS(1482),
    [aux_sym_loop_statement_token1] = ACTIONS(1482),
    [aux_sym_repeat_statement_token1] = ACTIONS(1482),
    [aux_sym_while_statement_token1] = ACTIONS(1482),
    [aux_sym_break_statement_token1] = ACTIONS(1482),
    [aux_sym_leave_statement_token1] = ACTIONS(1482),
    [aux_sym_continue_statement_token1] = ACTIONS(1482),
    [aux_sym_iterate_statement_token1] = ACTIONS(1482),
    [aux_sym_raise_statement_token1] = ACTIONS(1482),
    [anon_sym_EQ] = ACTIONS(1480),
    [aux_sym_assert_statement_token1] = ACTIONS(1482),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1482),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1482),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1482),
    [anon_sym_LT] = ACTIONS(1482),
    [anon_sym_GT] = ACTIONS(1482),
    [aux_sym_set_operation_token1] = ACTIONS(1482),
    [aux_sym_set_operation_token3] = ACTIONS(1482),
    [aux_sym_set_operation_token4] = ACTIONS(1482),
    [aux_sym_select_token1] = ACTIONS(1482),
    [aux_sym_having_clause_token1] = ACTIONS(1482),
    [aux_sym_qualify_clause_token1] = ACTIONS(1482),
    [aux_sym_limit_clause_token1] = ACTIONS(1482),
    [aux_sym_group_by_clause_token1] = ACTIONS(1482),
    [aux_sym_order_by_clause_token1] = ACTIONS(1482),
    [aux_sym_where_clause_token1] = ACTIONS(1482),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1482),
    [aux_sym_truncate_statement_token1] = ACTIONS(1482),
    [aux_sym_update_statement_token1] = ACTIONS(1482),
    [aux_sym_merge_statement_token1] = ACTIONS(1482),
    [aux_sym_grant_statement_token1] = ACTIONS(1482),
    [aux_sym_revoke_statement_token1] = ACTIONS(1482),
    [aux_sym_export_data_statement_token1] = ACTIONS(1482),
    [aux_sym_load_data_statement_token1] = ACTIONS(1482),
    [anon_sym_LBRACK] = ACTIONS(1480),
    [sym__quoted_identifier] = ACTIONS(1480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_DASH] = ACTIONS(1482),
    [anon_sym_STAR] = ACTIONS(1480),
    [anon_sym_SLASH] = ACTIONS(1482),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [anon_sym_LT_EQ] = ACTIONS(1480),
    [anon_sym_LT_GT] = ACTIONS(1480),
    [anon_sym_GT_EQ] = ACTIONS(1480),
    [anon_sym_BANG_EQ] = ACTIONS(1480),
    [anon_sym_LT_LT] = ACTIONS(1480),
    [anon_sym_GT_GT] = ACTIONS(1480),
    [anon_sym_AMP] = ACTIONS(1480),
    [anon_sym_CARET] = ACTIONS(1480),
    [anon_sym_PIPE] = ACTIONS(1482),
  },
  [742] = {
    [sym_analytics_clause] = STATE(1900),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_from_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [743] = {
    [sym_analytics_clause] = STATE(1901),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_from_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [744] = {
    [sym_analytics_clause] = STATE(1995),
    [ts_builtin_sym_end] = ACTIONS(1488),
    [sym__unquoted_identifier] = ACTIONS(1490),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1490),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1490),
    [aux_sym_keyword_replace_token1] = ACTIONS(1490),
    [aux_sym__keyword_alter_token1] = ACTIONS(1490),
    [aux_sym__keyword_from_token1] = ACTIONS(1490),
    [aux_sym__keyword_delete_token1] = ACTIONS(1490),
    [aux_sym__keyword_begin_token1] = ACTIONS(1490),
    [aux_sym__keyword_end_token1] = ACTIONS(1490),
    [aux_sym__keyword_between_token1] = ACTIONS(1490),
    [aux_sym__keyword_when_token1] = ACTIONS(1490),
    [aux_sym__keyword_else_token1] = ACTIONS(1490),
    [aux_sym__keyword_is_token1] = ACTIONS(1490),
    [aux_sym__keyword_in_token1] = ACTIONS(1490),
    [aux_sym__keyword_and_token1] = ACTIONS(1490),
    [aux_sym__keyword_like_token1] = ACTIONS(1490),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1490),
    [aux_sym__keyword_as_token1] = ACTIONS(1490),
    [aux_sym__keyword_window_token1] = ACTIONS(1490),
    [aux_sym__keyword_date_token1] = ACTIONS(1490),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1490),
    [aux_sym__keyword_time_token1] = ACTIONS(1490),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1490),
    [aux_sym__keyword_for_token1] = ACTIONS(1490),
    [anon_sym_SEMI] = ACTIONS(1488),
    [aux_sym_declare_statement_token1] = ACTIONS(1490),
    [anon_sym_COMMA] = ACTIONS(1488),
    [aux_sym_set_statement_token1] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1488),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1490),
    [aux_sym_return_satement_token1] = ACTIONS(1490),
    [aux_sym_call_statement_token1] = ACTIONS(1490),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1490),
    [aux_sym_if_statement_token1] = ACTIONS(1490),
    [aux_sym_loop_statement_token1] = ACTIONS(1490),
    [aux_sym_repeat_statement_token1] = ACTIONS(1490),
    [aux_sym_while_statement_token1] = ACTIONS(1490),
    [aux_sym_break_statement_token1] = ACTIONS(1490),
    [aux_sym_leave_statement_token1] = ACTIONS(1490),
    [aux_sym_continue_statement_token1] = ACTIONS(1490),
    [aux_sym_iterate_statement_token1] = ACTIONS(1490),
    [aux_sym_raise_statement_token1] = ACTIONS(1490),
    [anon_sym_EQ] = ACTIONS(1488),
    [aux_sym_assert_statement_token1] = ACTIONS(1490),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1490),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1490),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1490),
    [anon_sym_LT] = ACTIONS(1490),
    [anon_sym_GT] = ACTIONS(1490),
    [aux_sym_set_operation_token1] = ACTIONS(1490),
    [aux_sym_set_operation_token3] = ACTIONS(1490),
    [aux_sym_set_operation_token4] = ACTIONS(1490),
    [aux_sym_select_token1] = ACTIONS(1490),
    [aux_sym_having_clause_token1] = ACTIONS(1490),
    [aux_sym_qualify_clause_token1] = ACTIONS(1490),
    [aux_sym_limit_clause_token1] = ACTIONS(1490),
    [aux_sym_group_by_clause_token1] = ACTIONS(1490),
    [aux_sym_order_by_clause_token1] = ACTIONS(1490),
    [aux_sym_where_clause_token1] = ACTIONS(1490),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1490),
    [aux_sym_truncate_statement_token1] = ACTIONS(1490),
    [aux_sym_update_statement_token1] = ACTIONS(1490),
    [aux_sym_merge_statement_token1] = ACTIONS(1490),
    [aux_sym_grant_statement_token1] = ACTIONS(1490),
    [aux_sym_revoke_statement_token1] = ACTIONS(1490),
    [aux_sym_export_data_statement_token1] = ACTIONS(1490),
    [aux_sym_load_data_statement_token1] = ACTIONS(1490),
    [anon_sym_LBRACK] = ACTIONS(1488),
    [sym__quoted_identifier] = ACTIONS(1488),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1488),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_STAR] = ACTIONS(1488),
    [anon_sym_SLASH] = ACTIONS(1490),
    [anon_sym_PIPE_PIPE] = ACTIONS(1488),
    [anon_sym_LT_EQ] = ACTIONS(1488),
    [anon_sym_LT_GT] = ACTIONS(1488),
    [anon_sym_GT_EQ] = ACTIONS(1488),
    [anon_sym_BANG_EQ] = ACTIONS(1488),
    [anon_sym_LT_LT] = ACTIONS(1488),
    [anon_sym_GT_GT] = ACTIONS(1488),
    [anon_sym_AMP] = ACTIONS(1488),
    [anon_sym_CARET] = ACTIONS(1488),
    [anon_sym_PIPE] = ACTIONS(1490),
  },
  [745] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8382),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(2164),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [746] = {
    [sym_analytics_clause] = STATE(2008),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [747] = {
    [sym_analytics_clause] = STATE(1903),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_from_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [748] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16226),
    [sym__keyword_case] = STATE(372),
    [sym__keyword_not] = STATE(1816),
    [sym__keyword_cast] = STATE(19293),
    [sym__keyword_date] = STATE(7385),
    [sym__keyword_datetime] = STATE(7385),
    [sym__keyword_time] = STATE(7385),
    [sym__keyword_timestamp] = STATE(7385),
    [sym_order_by_clause_body] = STATE(6058),
    [sym_select_subexpression] = STATE(8017),
    [sym_function_call] = STATE(8017),
    [sym_unnest_operator] = STATE(5315),
    [sym_unnest_clause] = STATE(8017),
    [sym__literal] = STATE(8017),
    [sym_NULL] = STATE(8017),
    [sym_TRUE] = STATE(8017),
    [sym_FALSE] = STATE(8017),
    [sym__float] = STATE(8015),
    [sym_numeric] = STATE(8015),
    [sym__number] = STATE(8015),
    [sym_interval] = STATE(8017),
    [sym_range] = STATE(8017),
    [sym_time] = STATE(8017),
    [sym_number] = STATE(8017),
    [sym_json] = STATE(8017),
    [sym_query_parameter] = STATE(8017),
    [sym__type_chrono] = STATE(7173),
    [sym__type_struct] = STATE(19093),
    [sym__type_array] = STATE(18559),
    [sym_array] = STATE(8017),
    [sym_struct] = STATE(8017),
    [sym__identifier] = STATE(7194),
    [sym__dotted_identifier] = STATE(13999),
    [sym_identifier] = STATE(9144),
    [sym_string] = STATE(8017),
    [sym__expression] = STATE(5978),
    [sym__parenthesized_expression] = STATE(8017),
    [sym_element_access] = STATE(8017),
    [sym_field_access] = STATE(8017),
    [sym_unary_expression] = STATE(8017),
    [sym_binary_expression] = STATE(8017),
    [sym_between_operator] = STATE(8017),
    [sym_casewhen_expression] = STATE(8017),
    [sym_cast_expression] = STATE(8017),
    [sym_argument_reference] = STATE(8017),
    [aux_sym_identifier_repeat1] = STATE(13999),
    [sym__unquoted_identifier] = ACTIONS(2166),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2168),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2170),
    [aux_sym__keyword_case_token1] = ACTIONS(2172),
    [aux_sym__keyword_cast_token1] = ACTIONS(2174),
    [aux_sym__keyword_cast_token2] = ACTIONS(2174),
    [aux_sym__keyword_date_token1] = ACTIONS(2176),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2176),
    [aux_sym__keyword_time_token1] = ACTIONS(2176),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2176),
    [anon_sym_LPAREN] = ACTIONS(2178),
    [aux_sym_drop_notnull_token1] = ACTIONS(2180),
    [aux_sym_function_call_token2] = ACTIONS(2182),
    [aux_sym_unnest_operator_token1] = ACTIONS(2184),
    [aux_sym_TRUE_token1] = ACTIONS(2186),
    [aux_sym_FALSE_token1] = ACTIONS(2188),
    [sym__integer] = ACTIONS(2190),
    [aux_sym__float_token1] = ACTIONS(2192),
    [aux_sym__float_token2] = ACTIONS(2190),
    [aux_sym__float_token3] = ACTIONS(2192),
    [aux_sym_numeric_token1] = ACTIONS(2194),
    [aux_sym_numeric_token2] = ACTIONS(2194),
    [aux_sym_numeric_token3] = ACTIONS(2194),
    [aux_sym_numeric_token4] = ACTIONS(2194),
    [aux_sym_interval_token1] = ACTIONS(2196),
    [anon_sym_LBRACK] = ACTIONS(2198),
    [aux_sym_json_token1] = ACTIONS(2200),
    [sym_system_variable] = ACTIONS(2202),
    [sym__named_query_parameter] = ACTIONS(2204),
    [sym__positional_query_parameter] = ACTIONS(2206),
    [sym__quoted_identifier] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_operator_compare] = ACTIONS(2214),
    [anon_sym_DOLLAR] = ACTIONS(2216),
    [sym__string_start] = ACTIONS(2218),
  },
  [749] = {
    [sym_analytics_clause] = STATE(2007),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [750] = {
    [sym_analytics_clause] = STATE(1904),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_from_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [751] = {
    [sym_analytics_clause] = STATE(1997),
    [ts_builtin_sym_end] = ACTIONS(1492),
    [sym__unquoted_identifier] = ACTIONS(1494),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1494),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1494),
    [aux_sym_keyword_replace_token1] = ACTIONS(1494),
    [aux_sym__keyword_alter_token1] = ACTIONS(1494),
    [aux_sym__keyword_from_token1] = ACTIONS(1494),
    [aux_sym__keyword_delete_token1] = ACTIONS(1494),
    [aux_sym__keyword_begin_token1] = ACTIONS(1494),
    [aux_sym__keyword_end_token1] = ACTIONS(1494),
    [aux_sym__keyword_between_token1] = ACTIONS(1494),
    [aux_sym__keyword_when_token1] = ACTIONS(1494),
    [aux_sym__keyword_else_token1] = ACTIONS(1494),
    [aux_sym__keyword_is_token1] = ACTIONS(1494),
    [aux_sym__keyword_in_token1] = ACTIONS(1494),
    [aux_sym__keyword_and_token1] = ACTIONS(1494),
    [aux_sym__keyword_like_token1] = ACTIONS(1494),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1494),
    [aux_sym__keyword_as_token1] = ACTIONS(1494),
    [aux_sym__keyword_window_token1] = ACTIONS(1494),
    [aux_sym__keyword_date_token1] = ACTIONS(1494),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1494),
    [aux_sym__keyword_time_token1] = ACTIONS(1494),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1494),
    [aux_sym__keyword_for_token1] = ACTIONS(1494),
    [anon_sym_SEMI] = ACTIONS(1492),
    [aux_sym_declare_statement_token1] = ACTIONS(1494),
    [anon_sym_COMMA] = ACTIONS(1492),
    [aux_sym_set_statement_token1] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1494),
    [aux_sym_return_satement_token1] = ACTIONS(1494),
    [aux_sym_call_statement_token1] = ACTIONS(1494),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1494),
    [aux_sym_if_statement_token1] = ACTIONS(1494),
    [aux_sym_loop_statement_token1] = ACTIONS(1494),
    [aux_sym_repeat_statement_token1] = ACTIONS(1494),
    [aux_sym_while_statement_token1] = ACTIONS(1494),
    [aux_sym_break_statement_token1] = ACTIONS(1494),
    [aux_sym_leave_statement_token1] = ACTIONS(1494),
    [aux_sym_continue_statement_token1] = ACTIONS(1494),
    [aux_sym_iterate_statement_token1] = ACTIONS(1494),
    [aux_sym_raise_statement_token1] = ACTIONS(1494),
    [anon_sym_EQ] = ACTIONS(1492),
    [aux_sym_assert_statement_token1] = ACTIONS(1494),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1494),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1494),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1494),
    [anon_sym_LT] = ACTIONS(1494),
    [anon_sym_GT] = ACTIONS(1494),
    [aux_sym_set_operation_token1] = ACTIONS(1494),
    [aux_sym_set_operation_token3] = ACTIONS(1494),
    [aux_sym_set_operation_token4] = ACTIONS(1494),
    [aux_sym_select_token1] = ACTIONS(1494),
    [aux_sym_having_clause_token1] = ACTIONS(1494),
    [aux_sym_qualify_clause_token1] = ACTIONS(1494),
    [aux_sym_limit_clause_token1] = ACTIONS(1494),
    [aux_sym_group_by_clause_token1] = ACTIONS(1494),
    [aux_sym_order_by_clause_token1] = ACTIONS(1494),
    [aux_sym_where_clause_token1] = ACTIONS(1494),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1494),
    [aux_sym_truncate_statement_token1] = ACTIONS(1494),
    [aux_sym_update_statement_token1] = ACTIONS(1494),
    [aux_sym_merge_statement_token1] = ACTIONS(1494),
    [aux_sym_grant_statement_token1] = ACTIONS(1494),
    [aux_sym_revoke_statement_token1] = ACTIONS(1494),
    [aux_sym_export_data_statement_token1] = ACTIONS(1494),
    [aux_sym_load_data_statement_token1] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [sym__quoted_identifier] = ACTIONS(1492),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_STAR] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1494),
    [anon_sym_PIPE_PIPE] = ACTIONS(1492),
    [anon_sym_LT_EQ] = ACTIONS(1492),
    [anon_sym_LT_GT] = ACTIONS(1492),
    [anon_sym_GT_EQ] = ACTIONS(1492),
    [anon_sym_BANG_EQ] = ACTIONS(1492),
    [anon_sym_LT_LT] = ACTIONS(1492),
    [anon_sym_GT_GT] = ACTIONS(1492),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_CARET] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1494),
  },
  [752] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym__aliasable_expression] = STATE(16333),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5364),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [753] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym__aliasable_expression] = STATE(14658),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5364),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [754] = {
    [sym_analytics_clause] = STATE(2006),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [755] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym__aliasable_expression] = STATE(15224),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5364),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [756] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym__aliasable_expression] = STATE(15512),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5364),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [757] = {
    [sym_analytics_clause] = STATE(1906),
    [ts_builtin_sym_end] = ACTIONS(1386),
    [sym__unquoted_identifier] = ACTIONS(1388),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1388),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1388),
    [aux_sym_keyword_replace_token1] = ACTIONS(1388),
    [aux_sym__keyword_alter_token1] = ACTIONS(1388),
    [aux_sym__keyword_from_token1] = ACTIONS(1388),
    [aux_sym__keyword_delete_token1] = ACTIONS(1388),
    [aux_sym__keyword_begin_token1] = ACTIONS(1388),
    [aux_sym__keyword_end_token1] = ACTIONS(1388),
    [aux_sym__keyword_between_token1] = ACTIONS(1388),
    [aux_sym__keyword_when_token1] = ACTIONS(1388),
    [aux_sym__keyword_else_token1] = ACTIONS(1388),
    [aux_sym__keyword_is_token1] = ACTIONS(1388),
    [aux_sym__keyword_in_token1] = ACTIONS(1388),
    [aux_sym__keyword_and_token1] = ACTIONS(1388),
    [aux_sym__keyword_like_token1] = ACTIONS(1388),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1388),
    [aux_sym__keyword_as_token1] = ACTIONS(1388),
    [aux_sym__keyword_window_token1] = ACTIONS(1388),
    [aux_sym__keyword_date_token1] = ACTIONS(1388),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1388),
    [aux_sym__keyword_time_token1] = ACTIONS(1388),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1388),
    [aux_sym__keyword_for_token1] = ACTIONS(1388),
    [anon_sym_SEMI] = ACTIONS(1386),
    [aux_sym_declare_statement_token1] = ACTIONS(1388),
    [anon_sym_COMMA] = ACTIONS(1386),
    [aux_sym_set_statement_token1] = ACTIONS(1388),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1388),
    [aux_sym_return_satement_token1] = ACTIONS(1388),
    [aux_sym_call_statement_token1] = ACTIONS(1388),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1388),
    [aux_sym_if_statement_token1] = ACTIONS(1388),
    [aux_sym_loop_statement_token1] = ACTIONS(1388),
    [aux_sym_repeat_statement_token1] = ACTIONS(1388),
    [aux_sym_while_statement_token1] = ACTIONS(1388),
    [aux_sym_break_statement_token1] = ACTIONS(1388),
    [aux_sym_leave_statement_token1] = ACTIONS(1388),
    [aux_sym_continue_statement_token1] = ACTIONS(1388),
    [aux_sym_iterate_statement_token1] = ACTIONS(1388),
    [aux_sym_raise_statement_token1] = ACTIONS(1388),
    [anon_sym_EQ] = ACTIONS(1386),
    [aux_sym_assert_statement_token1] = ACTIONS(1388),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1388),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1388),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1388),
    [anon_sym_LT] = ACTIONS(1388),
    [anon_sym_GT] = ACTIONS(1388),
    [aux_sym_set_operation_token1] = ACTIONS(1388),
    [aux_sym_set_operation_token3] = ACTIONS(1388),
    [aux_sym_set_operation_token4] = ACTIONS(1388),
    [aux_sym_select_token1] = ACTIONS(1388),
    [aux_sym_having_clause_token1] = ACTIONS(1388),
    [aux_sym_qualify_clause_token1] = ACTIONS(1388),
    [aux_sym_limit_clause_token1] = ACTIONS(1388),
    [aux_sym_group_by_clause_token1] = ACTIONS(1388),
    [aux_sym_order_by_clause_token1] = ACTIONS(1388),
    [aux_sym_where_clause_token1] = ACTIONS(1388),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1388),
    [aux_sym_truncate_statement_token1] = ACTIONS(1388),
    [aux_sym_update_statement_token1] = ACTIONS(1388),
    [aux_sym_merge_statement_token1] = ACTIONS(1388),
    [aux_sym_grant_statement_token1] = ACTIONS(1388),
    [aux_sym_revoke_statement_token1] = ACTIONS(1388),
    [aux_sym_export_data_statement_token1] = ACTIONS(1388),
    [aux_sym_load_data_statement_token1] = ACTIONS(1388),
    [anon_sym_LBRACK] = ACTIONS(1386),
    [sym__quoted_identifier] = ACTIONS(1386),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1386),
    [anon_sym_DASH] = ACTIONS(1388),
    [anon_sym_STAR] = ACTIONS(1386),
    [anon_sym_SLASH] = ACTIONS(1388),
    [anon_sym_PIPE_PIPE] = ACTIONS(1386),
    [anon_sym_LT_EQ] = ACTIONS(1386),
    [anon_sym_LT_GT] = ACTIONS(1386),
    [anon_sym_GT_EQ] = ACTIONS(1386),
    [anon_sym_BANG_EQ] = ACTIONS(1386),
    [anon_sym_LT_LT] = ACTIONS(1386),
    [anon_sym_GT_GT] = ACTIONS(1386),
    [anon_sym_AMP] = ACTIONS(1386),
    [anon_sym_CARET] = ACTIONS(1386),
    [anon_sym_PIPE] = ACTIONS(1388),
  },
  [758] = {
    [sym_analytics_clause] = STATE(1909),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [759] = {
    [sym_analytics_clause] = STATE(1910),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [760] = {
    [sym_analytics_clause] = STATE(1946),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [761] = {
    [sym_analytics_clause] = STATE(1913),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [762] = {
    [sym_analytics_clause] = STATE(1914),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [763] = {
    [sym_analytics_clause] = STATE(1994),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [764] = {
    [sym_string] = STATE(2073),
    [ts_builtin_sym_end] = ACTIONS(1508),
    [sym__unquoted_identifier] = ACTIONS(1510),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1510),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1510),
    [aux_sym_keyword_replace_token1] = ACTIONS(1510),
    [aux_sym__keyword_alter_token1] = ACTIONS(1510),
    [aux_sym__keyword_from_token1] = ACTIONS(1510),
    [aux_sym__keyword_delete_token1] = ACTIONS(1510),
    [aux_sym__keyword_begin_token1] = ACTIONS(1510),
    [aux_sym__keyword_end_token1] = ACTIONS(1510),
    [aux_sym__keyword_between_token1] = ACTIONS(1510),
    [aux_sym__keyword_when_token1] = ACTIONS(1510),
    [aux_sym__keyword_else_token1] = ACTIONS(1510),
    [aux_sym__keyword_is_token1] = ACTIONS(1510),
    [aux_sym__keyword_in_token1] = ACTIONS(1510),
    [aux_sym__keyword_and_token1] = ACTIONS(1510),
    [aux_sym__keyword_like_token1] = ACTIONS(1510),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1510),
    [aux_sym__keyword_as_token1] = ACTIONS(1510),
    [aux_sym__keyword_window_token1] = ACTIONS(1510),
    [aux_sym__keyword_date_token1] = ACTIONS(1510),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1510),
    [aux_sym__keyword_time_token1] = ACTIONS(1510),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1510),
    [aux_sym__keyword_for_token1] = ACTIONS(1510),
    [anon_sym_SEMI] = ACTIONS(1508),
    [aux_sym_declare_statement_token1] = ACTIONS(1510),
    [anon_sym_COMMA] = ACTIONS(1508),
    [aux_sym_set_statement_token1] = ACTIONS(1510),
    [anon_sym_LPAREN] = ACTIONS(1508),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1510),
    [aux_sym_return_satement_token1] = ACTIONS(1510),
    [aux_sym_call_statement_token1] = ACTIONS(1510),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1510),
    [aux_sym_if_statement_token1] = ACTIONS(1510),
    [aux_sym_loop_statement_token1] = ACTIONS(1510),
    [aux_sym_repeat_statement_token1] = ACTIONS(1510),
    [aux_sym_while_statement_token1] = ACTIONS(1510),
    [aux_sym_break_statement_token1] = ACTIONS(1510),
    [aux_sym_leave_statement_token1] = ACTIONS(1510),
    [aux_sym_continue_statement_token1] = ACTIONS(1510),
    [aux_sym_iterate_statement_token1] = ACTIONS(1510),
    [aux_sym_raise_statement_token1] = ACTIONS(1510),
    [anon_sym_EQ] = ACTIONS(1508),
    [aux_sym_assert_statement_token1] = ACTIONS(1510),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1510),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1510),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1510),
    [anon_sym_LT] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1510),
    [aux_sym_set_operation_token1] = ACTIONS(1510),
    [aux_sym_set_operation_token3] = ACTIONS(1510),
    [aux_sym_set_operation_token4] = ACTIONS(1510),
    [aux_sym_select_token1] = ACTIONS(1510),
    [aux_sym_having_clause_token1] = ACTIONS(1510),
    [aux_sym_qualify_clause_token1] = ACTIONS(1510),
    [aux_sym_limit_clause_token1] = ACTIONS(1510),
    [aux_sym_group_by_clause_token1] = ACTIONS(1510),
    [aux_sym_order_by_clause_token1] = ACTIONS(1510),
    [aux_sym_where_clause_token1] = ACTIONS(1510),
    [aux_sym_insert_statement_token1] = ACTIONS(1510),
    [aux_sym_truncate_statement_token1] = ACTIONS(1510),
    [aux_sym_update_statement_token1] = ACTIONS(1510),
    [aux_sym_merge_statement_token1] = ACTIONS(1510),
    [aux_sym_grant_statement_token1] = ACTIONS(1510),
    [aux_sym_revoke_statement_token1] = ACTIONS(1510),
    [aux_sym_export_data_statement_token1] = ACTIONS(1510),
    [aux_sym_load_data_statement_token1] = ACTIONS(1510),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [sym__quoted_identifier] = ACTIONS(1508),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1508),
    [anon_sym_PLUS] = ACTIONS(1508),
    [anon_sym_DASH] = ACTIONS(1510),
    [anon_sym_STAR] = ACTIONS(1508),
    [anon_sym_SLASH] = ACTIONS(1510),
    [anon_sym_PIPE_PIPE] = ACTIONS(1508),
    [anon_sym_LT_EQ] = ACTIONS(1508),
    [anon_sym_LT_GT] = ACTIONS(1508),
    [anon_sym_GT_EQ] = ACTIONS(1508),
    [anon_sym_BANG_EQ] = ACTIONS(1508),
    [anon_sym_LT_LT] = ACTIONS(1508),
    [anon_sym_GT_GT] = ACTIONS(1508),
    [anon_sym_AMP] = ACTIONS(1508),
    [anon_sym_CARET] = ACTIONS(1508),
    [anon_sym_PIPE] = ACTIONS(1510),
    [sym__string_start] = ACTIONS(201),
  },
  [765] = {
    [sym_analytics_clause] = STATE(1916),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [766] = {
    [sym_analytics_clause] = STATE(1917),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [767] = {
    [sym_analytics_clause] = STATE(1986),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [768] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8380),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(2220),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [769] = {
    [sym_analytics_clause] = STATE(1919),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [770] = {
    [sym_analytics_clause] = STATE(1982),
    [ts_builtin_sym_end] = ACTIONS(1484),
    [sym__unquoted_identifier] = ACTIONS(1486),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1486),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1486),
    [aux_sym_keyword_replace_token1] = ACTIONS(1486),
    [aux_sym__keyword_alter_token1] = ACTIONS(1486),
    [aux_sym__keyword_from_token1] = ACTIONS(1486),
    [aux_sym__keyword_delete_token1] = ACTIONS(1486),
    [aux_sym__keyword_begin_token1] = ACTIONS(1486),
    [aux_sym__keyword_end_token1] = ACTIONS(1486),
    [aux_sym__keyword_between_token1] = ACTIONS(1486),
    [aux_sym__keyword_when_token1] = ACTIONS(1486),
    [aux_sym__keyword_else_token1] = ACTIONS(1486),
    [aux_sym__keyword_is_token1] = ACTIONS(1486),
    [aux_sym__keyword_in_token1] = ACTIONS(1486),
    [aux_sym__keyword_and_token1] = ACTIONS(1486),
    [aux_sym__keyword_like_token1] = ACTIONS(1486),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1486),
    [aux_sym__keyword_as_token1] = ACTIONS(1486),
    [aux_sym__keyword_window_token1] = ACTIONS(1486),
    [aux_sym__keyword_date_token1] = ACTIONS(1486),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1486),
    [aux_sym__keyword_time_token1] = ACTIONS(1486),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1486),
    [aux_sym__keyword_for_token1] = ACTIONS(1486),
    [anon_sym_SEMI] = ACTIONS(1484),
    [aux_sym_declare_statement_token1] = ACTIONS(1486),
    [anon_sym_COMMA] = ACTIONS(1484),
    [aux_sym_set_statement_token1] = ACTIONS(1486),
    [anon_sym_LPAREN] = ACTIONS(1484),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1486),
    [aux_sym_return_satement_token1] = ACTIONS(1486),
    [aux_sym_call_statement_token1] = ACTIONS(1486),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1486),
    [aux_sym_if_statement_token1] = ACTIONS(1486),
    [aux_sym_loop_statement_token1] = ACTIONS(1486),
    [aux_sym_repeat_statement_token1] = ACTIONS(1486),
    [aux_sym_while_statement_token1] = ACTIONS(1486),
    [aux_sym_break_statement_token1] = ACTIONS(1486),
    [aux_sym_leave_statement_token1] = ACTIONS(1486),
    [aux_sym_continue_statement_token1] = ACTIONS(1486),
    [aux_sym_iterate_statement_token1] = ACTIONS(1486),
    [aux_sym_raise_statement_token1] = ACTIONS(1486),
    [anon_sym_EQ] = ACTIONS(1484),
    [aux_sym_assert_statement_token1] = ACTIONS(1486),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1486),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1486),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1486),
    [anon_sym_LT] = ACTIONS(1486),
    [anon_sym_GT] = ACTIONS(1486),
    [aux_sym_set_operation_token1] = ACTIONS(1486),
    [aux_sym_set_operation_token3] = ACTIONS(1486),
    [aux_sym_set_operation_token4] = ACTIONS(1486),
    [aux_sym_select_token1] = ACTIONS(1486),
    [aux_sym_having_clause_token1] = ACTIONS(1486),
    [aux_sym_qualify_clause_token1] = ACTIONS(1486),
    [aux_sym_limit_clause_token1] = ACTIONS(1486),
    [aux_sym_group_by_clause_token1] = ACTIONS(1486),
    [aux_sym_order_by_clause_token1] = ACTIONS(1486),
    [aux_sym_where_clause_token1] = ACTIONS(1486),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1486),
    [aux_sym_truncate_statement_token1] = ACTIONS(1486),
    [aux_sym_update_statement_token1] = ACTIONS(1486),
    [aux_sym_merge_statement_token1] = ACTIONS(1486),
    [aux_sym_grant_statement_token1] = ACTIONS(1486),
    [aux_sym_revoke_statement_token1] = ACTIONS(1486),
    [aux_sym_export_data_statement_token1] = ACTIONS(1486),
    [aux_sym_load_data_statement_token1] = ACTIONS(1486),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym__quoted_identifier] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_SLASH] = ACTIONS(1486),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [anon_sym_LT_EQ] = ACTIONS(1484),
    [anon_sym_LT_GT] = ACTIONS(1484),
    [anon_sym_GT_EQ] = ACTIONS(1484),
    [anon_sym_BANG_EQ] = ACTIONS(1484),
    [anon_sym_LT_LT] = ACTIONS(1484),
    [anon_sym_GT_GT] = ACTIONS(1484),
    [anon_sym_AMP] = ACTIONS(1484),
    [anon_sym_CARET] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1486),
  },
  [771] = {
    [sym_analytics_clause] = STATE(1981),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_from_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [772] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym__aliasable_expression] = STATE(15200),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5364),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [773] = {
    [sym_analytics_clause] = STATE(1922),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [774] = {
    [sym_analytics_clause] = STATE(1926),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [775] = {
    [sym_analytics_clause] = STATE(1980),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_from_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [776] = {
    [sym_analytics_clause] = STATE(1976),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_from_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [777] = {
    [sym_analytics_clause] = STATE(1971),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_from_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [778] = {
    [sym_analytics_clause] = STATE(1968),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_from_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [779] = {
    [sym_analytics_clause] = STATE(1927),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [780] = {
    [sym_analytics_clause] = STATE(1967),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_from_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [781] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym__aliasable_expression] = STATE(15636),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5364),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [782] = {
    [sym_analytics_clause] = STATE(1996),
    [ts_builtin_sym_end] = ACTIONS(1398),
    [sym__unquoted_identifier] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1400),
    [aux_sym_keyword_replace_token1] = ACTIONS(1400),
    [aux_sym__keyword_alter_token1] = ACTIONS(1400),
    [aux_sym__keyword_from_token1] = ACTIONS(1400),
    [aux_sym__keyword_delete_token1] = ACTIONS(1400),
    [aux_sym__keyword_begin_token1] = ACTIONS(1400),
    [aux_sym__keyword_end_token1] = ACTIONS(1400),
    [aux_sym__keyword_between_token1] = ACTIONS(1400),
    [aux_sym__keyword_when_token1] = ACTIONS(1400),
    [aux_sym__keyword_else_token1] = ACTIONS(1400),
    [aux_sym__keyword_is_token1] = ACTIONS(1400),
    [aux_sym__keyword_in_token1] = ACTIONS(1400),
    [aux_sym__keyword_and_token1] = ACTIONS(1400),
    [aux_sym__keyword_like_token1] = ACTIONS(1400),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1400),
    [aux_sym__keyword_as_token1] = ACTIONS(1400),
    [aux_sym__keyword_window_token1] = ACTIONS(1400),
    [aux_sym__keyword_date_token1] = ACTIONS(1400),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1400),
    [aux_sym__keyword_time_token1] = ACTIONS(1400),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1400),
    [aux_sym__keyword_for_token1] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1400),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1400),
    [aux_sym_return_satement_token1] = ACTIONS(1400),
    [aux_sym_call_statement_token1] = ACTIONS(1400),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1400),
    [aux_sym_if_statement_token1] = ACTIONS(1400),
    [aux_sym_loop_statement_token1] = ACTIONS(1400),
    [aux_sym_repeat_statement_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token1] = ACTIONS(1400),
    [aux_sym_break_statement_token1] = ACTIONS(1400),
    [aux_sym_leave_statement_token1] = ACTIONS(1400),
    [aux_sym_continue_statement_token1] = ACTIONS(1400),
    [aux_sym_iterate_statement_token1] = ACTIONS(1400),
    [aux_sym_raise_statement_token1] = ACTIONS(1400),
    [anon_sym_EQ] = ACTIONS(1398),
    [aux_sym_assert_statement_token1] = ACTIONS(1400),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1400),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [aux_sym_set_operation_token1] = ACTIONS(1400),
    [aux_sym_set_operation_token3] = ACTIONS(1400),
    [aux_sym_set_operation_token4] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1400),
    [aux_sym_having_clause_token1] = ACTIONS(1400),
    [aux_sym_qualify_clause_token1] = ACTIONS(1400),
    [aux_sym_limit_clause_token1] = ACTIONS(1400),
    [aux_sym_group_by_clause_token1] = ACTIONS(1400),
    [aux_sym_order_by_clause_token1] = ACTIONS(1400),
    [aux_sym_where_clause_token1] = ACTIONS(1400),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1400),
    [aux_sym_truncate_statement_token1] = ACTIONS(1400),
    [aux_sym_update_statement_token1] = ACTIONS(1400),
    [aux_sym_merge_statement_token1] = ACTIONS(1400),
    [aux_sym_grant_statement_token1] = ACTIONS(1400),
    [aux_sym_revoke_statement_token1] = ACTIONS(1400),
    [aux_sym_export_data_statement_token1] = ACTIONS(1400),
    [aux_sym_load_data_statement_token1] = ACTIONS(1400),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym__quoted_identifier] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_LT_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
  },
  [783] = {
    [sym_analytics_clause] = STATE(1964),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_from_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [784] = {
    [sym_analytics_clause] = STATE(1963),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_from_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [785] = {
    [sym_analytics_clause] = STATE(2005),
    [ts_builtin_sym_end] = ACTIONS(1398),
    [sym__unquoted_identifier] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1400),
    [aux_sym_keyword_replace_token1] = ACTIONS(1400),
    [aux_sym__keyword_alter_token1] = ACTIONS(1400),
    [aux_sym__keyword_from_token1] = ACTIONS(1400),
    [aux_sym__keyword_delete_token1] = ACTIONS(1400),
    [aux_sym__keyword_begin_token1] = ACTIONS(1400),
    [aux_sym__keyword_end_token1] = ACTIONS(1400),
    [aux_sym__keyword_between_token1] = ACTIONS(1400),
    [aux_sym__keyword_when_token1] = ACTIONS(1400),
    [aux_sym__keyword_else_token1] = ACTIONS(1400),
    [aux_sym__keyword_is_token1] = ACTIONS(1400),
    [aux_sym__keyword_in_token1] = ACTIONS(1400),
    [aux_sym__keyword_and_token1] = ACTIONS(1400),
    [aux_sym__keyword_like_token1] = ACTIONS(1400),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1400),
    [aux_sym__keyword_as_token1] = ACTIONS(1400),
    [aux_sym__keyword_window_token1] = ACTIONS(1400),
    [aux_sym__keyword_date_token1] = ACTIONS(1400),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1400),
    [aux_sym__keyword_time_token1] = ACTIONS(1400),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1400),
    [aux_sym__keyword_for_token1] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1400),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1400),
    [aux_sym_return_satement_token1] = ACTIONS(1400),
    [aux_sym_call_statement_token1] = ACTIONS(1400),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1400),
    [aux_sym_if_statement_token1] = ACTIONS(1400),
    [aux_sym_loop_statement_token1] = ACTIONS(1400),
    [aux_sym_repeat_statement_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token1] = ACTIONS(1400),
    [aux_sym_break_statement_token1] = ACTIONS(1400),
    [aux_sym_leave_statement_token1] = ACTIONS(1400),
    [aux_sym_continue_statement_token1] = ACTIONS(1400),
    [aux_sym_iterate_statement_token1] = ACTIONS(1400),
    [aux_sym_raise_statement_token1] = ACTIONS(1400),
    [anon_sym_EQ] = ACTIONS(1398),
    [aux_sym_assert_statement_token1] = ACTIONS(1400),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1400),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [aux_sym_set_operation_token1] = ACTIONS(1400),
    [aux_sym_set_operation_token3] = ACTIONS(1400),
    [aux_sym_set_operation_token4] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1400),
    [aux_sym_having_clause_token1] = ACTIONS(1400),
    [aux_sym_qualify_clause_token1] = ACTIONS(1400),
    [aux_sym_limit_clause_token1] = ACTIONS(1400),
    [aux_sym_group_by_clause_token1] = ACTIONS(1400),
    [aux_sym_order_by_clause_token1] = ACTIONS(1400),
    [aux_sym_where_clause_token1] = ACTIONS(1400),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1400),
    [aux_sym_truncate_statement_token1] = ACTIONS(1400),
    [aux_sym_update_statement_token1] = ACTIONS(1400),
    [aux_sym_merge_statement_token1] = ACTIONS(1400),
    [aux_sym_grant_statement_token1] = ACTIONS(1400),
    [aux_sym_revoke_statement_token1] = ACTIONS(1400),
    [aux_sym_export_data_statement_token1] = ACTIONS(1400),
    [aux_sym_load_data_statement_token1] = ACTIONS(1400),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym__quoted_identifier] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_LT_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
  },
  [786] = {
    [sym_analytics_clause] = STATE(1961),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_from_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [787] = {
    [sym_analytics_clause] = STATE(1960),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_from_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [788] = {
    [sym_analytics_clause] = STATE(1928),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [789] = {
    [sym_analytics_clause] = STATE(1959),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_from_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [790] = {
    [sym_analytics_clause] = STATE(1957),
    [ts_builtin_sym_end] = ACTIONS(1390),
    [sym__unquoted_identifier] = ACTIONS(1392),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1392),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1392),
    [aux_sym_keyword_replace_token1] = ACTIONS(1392),
    [aux_sym__keyword_alter_token1] = ACTIONS(1392),
    [aux_sym__keyword_from_token1] = ACTIONS(1392),
    [aux_sym__keyword_delete_token1] = ACTIONS(1392),
    [aux_sym__keyword_begin_token1] = ACTIONS(1392),
    [aux_sym__keyword_end_token1] = ACTIONS(1392),
    [aux_sym__keyword_between_token1] = ACTIONS(1392),
    [aux_sym__keyword_when_token1] = ACTIONS(1392),
    [aux_sym__keyword_else_token1] = ACTIONS(1392),
    [aux_sym__keyword_is_token1] = ACTIONS(1392),
    [aux_sym__keyword_in_token1] = ACTIONS(1392),
    [aux_sym__keyword_and_token1] = ACTIONS(1392),
    [aux_sym__keyword_like_token1] = ACTIONS(1392),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1392),
    [aux_sym__keyword_as_token1] = ACTIONS(1392),
    [aux_sym__keyword_window_token1] = ACTIONS(1392),
    [aux_sym__keyword_date_token1] = ACTIONS(1392),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1392),
    [aux_sym__keyword_time_token1] = ACTIONS(1392),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1392),
    [aux_sym__keyword_for_token1] = ACTIONS(1392),
    [anon_sym_SEMI] = ACTIONS(1390),
    [aux_sym_declare_statement_token1] = ACTIONS(1392),
    [anon_sym_COMMA] = ACTIONS(1390),
    [aux_sym_set_statement_token1] = ACTIONS(1392),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1392),
    [aux_sym_return_satement_token1] = ACTIONS(1392),
    [aux_sym_call_statement_token1] = ACTIONS(1392),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1392),
    [aux_sym_if_statement_token1] = ACTIONS(1392),
    [aux_sym_loop_statement_token1] = ACTIONS(1392),
    [aux_sym_repeat_statement_token1] = ACTIONS(1392),
    [aux_sym_while_statement_token1] = ACTIONS(1392),
    [aux_sym_break_statement_token1] = ACTIONS(1392),
    [aux_sym_leave_statement_token1] = ACTIONS(1392),
    [aux_sym_continue_statement_token1] = ACTIONS(1392),
    [aux_sym_iterate_statement_token1] = ACTIONS(1392),
    [aux_sym_raise_statement_token1] = ACTIONS(1392),
    [anon_sym_EQ] = ACTIONS(1390),
    [aux_sym_assert_statement_token1] = ACTIONS(1392),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1392),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1392),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1392),
    [anon_sym_LT] = ACTIONS(1392),
    [anon_sym_GT] = ACTIONS(1392),
    [aux_sym_set_operation_token1] = ACTIONS(1392),
    [aux_sym_set_operation_token3] = ACTIONS(1392),
    [aux_sym_set_operation_token4] = ACTIONS(1392),
    [aux_sym_select_token1] = ACTIONS(1392),
    [aux_sym_having_clause_token1] = ACTIONS(1392),
    [aux_sym_qualify_clause_token1] = ACTIONS(1392),
    [aux_sym_limit_clause_token1] = ACTIONS(1392),
    [aux_sym_group_by_clause_token1] = ACTIONS(1392),
    [aux_sym_order_by_clause_token1] = ACTIONS(1392),
    [aux_sym_where_clause_token1] = ACTIONS(1392),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1392),
    [aux_sym_truncate_statement_token1] = ACTIONS(1392),
    [aux_sym_update_statement_token1] = ACTIONS(1392),
    [aux_sym_merge_statement_token1] = ACTIONS(1392),
    [aux_sym_grant_statement_token1] = ACTIONS(1392),
    [aux_sym_revoke_statement_token1] = ACTIONS(1392),
    [aux_sym_export_data_statement_token1] = ACTIONS(1392),
    [aux_sym_load_data_statement_token1] = ACTIONS(1392),
    [anon_sym_LBRACK] = ACTIONS(1390),
    [sym__quoted_identifier] = ACTIONS(1390),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_DASH] = ACTIONS(1392),
    [anon_sym_STAR] = ACTIONS(1390),
    [anon_sym_SLASH] = ACTIONS(1392),
    [anon_sym_PIPE_PIPE] = ACTIONS(1390),
    [anon_sym_LT_EQ] = ACTIONS(1390),
    [anon_sym_LT_GT] = ACTIONS(1390),
    [anon_sym_GT_EQ] = ACTIONS(1390),
    [anon_sym_BANG_EQ] = ACTIONS(1390),
    [anon_sym_LT_LT] = ACTIONS(1390),
    [anon_sym_GT_GT] = ACTIONS(1390),
    [anon_sym_AMP] = ACTIONS(1390),
    [anon_sym_CARET] = ACTIONS(1390),
    [anon_sym_PIPE] = ACTIONS(1392),
  },
  [791] = {
    [sym_analytics_clause] = STATE(2009),
    [ts_builtin_sym_end] = ACTIONS(1398),
    [sym__unquoted_identifier] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1400),
    [aux_sym_keyword_replace_token1] = ACTIONS(1400),
    [aux_sym__keyword_alter_token1] = ACTIONS(1400),
    [aux_sym__keyword_from_token1] = ACTIONS(1400),
    [aux_sym__keyword_delete_token1] = ACTIONS(1400),
    [aux_sym__keyword_begin_token1] = ACTIONS(1400),
    [aux_sym__keyword_end_token1] = ACTIONS(1400),
    [aux_sym__keyword_between_token1] = ACTIONS(1400),
    [aux_sym__keyword_when_token1] = ACTIONS(1400),
    [aux_sym__keyword_else_token1] = ACTIONS(1400),
    [aux_sym__keyword_is_token1] = ACTIONS(1400),
    [aux_sym__keyword_in_token1] = ACTIONS(1400),
    [aux_sym__keyword_and_token1] = ACTIONS(1400),
    [aux_sym__keyword_like_token1] = ACTIONS(1400),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1400),
    [aux_sym__keyword_as_token1] = ACTIONS(1400),
    [aux_sym__keyword_window_token1] = ACTIONS(1400),
    [aux_sym__keyword_date_token1] = ACTIONS(1400),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1400),
    [aux_sym__keyword_time_token1] = ACTIONS(1400),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1400),
    [aux_sym__keyword_for_token1] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1400),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1400),
    [aux_sym_return_satement_token1] = ACTIONS(1400),
    [aux_sym_call_statement_token1] = ACTIONS(1400),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1400),
    [aux_sym_if_statement_token1] = ACTIONS(1400),
    [aux_sym_loop_statement_token1] = ACTIONS(1400),
    [aux_sym_repeat_statement_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token1] = ACTIONS(1400),
    [aux_sym_break_statement_token1] = ACTIONS(1400),
    [aux_sym_leave_statement_token1] = ACTIONS(1400),
    [aux_sym_continue_statement_token1] = ACTIONS(1400),
    [aux_sym_iterate_statement_token1] = ACTIONS(1400),
    [aux_sym_raise_statement_token1] = ACTIONS(1400),
    [anon_sym_EQ] = ACTIONS(1398),
    [aux_sym_assert_statement_token1] = ACTIONS(1400),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1400),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [aux_sym_set_operation_token1] = ACTIONS(1400),
    [aux_sym_set_operation_token3] = ACTIONS(1400),
    [aux_sym_set_operation_token4] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1400),
    [aux_sym_having_clause_token1] = ACTIONS(1400),
    [aux_sym_qualify_clause_token1] = ACTIONS(1400),
    [aux_sym_limit_clause_token1] = ACTIONS(1400),
    [aux_sym_group_by_clause_token1] = ACTIONS(1400),
    [aux_sym_order_by_clause_token1] = ACTIONS(1400),
    [aux_sym_where_clause_token1] = ACTIONS(1400),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1400),
    [aux_sym_truncate_statement_token1] = ACTIONS(1400),
    [aux_sym_update_statement_token1] = ACTIONS(1400),
    [aux_sym_merge_statement_token1] = ACTIONS(1400),
    [aux_sym_grant_statement_token1] = ACTIONS(1400),
    [aux_sym_revoke_statement_token1] = ACTIONS(1400),
    [aux_sym_export_data_statement_token1] = ACTIONS(1400),
    [aux_sym_load_data_statement_token1] = ACTIONS(1400),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym__quoted_identifier] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_LT_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
  },
  [792] = {
    [sym_analytics_clause] = STATE(2011),
    [ts_builtin_sym_end] = ACTIONS(1398),
    [sym__unquoted_identifier] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1400),
    [aux_sym_keyword_replace_token1] = ACTIONS(1400),
    [aux_sym__keyword_alter_token1] = ACTIONS(1400),
    [aux_sym__keyword_from_token1] = ACTIONS(1400),
    [aux_sym__keyword_delete_token1] = ACTIONS(1400),
    [aux_sym__keyword_begin_token1] = ACTIONS(1400),
    [aux_sym__keyword_end_token1] = ACTIONS(1400),
    [aux_sym__keyword_between_token1] = ACTIONS(1400),
    [aux_sym__keyword_when_token1] = ACTIONS(1400),
    [aux_sym__keyword_else_token1] = ACTIONS(1400),
    [aux_sym__keyword_is_token1] = ACTIONS(1400),
    [aux_sym__keyword_in_token1] = ACTIONS(1400),
    [aux_sym__keyword_and_token1] = ACTIONS(1400),
    [aux_sym__keyword_like_token1] = ACTIONS(1400),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1400),
    [aux_sym__keyword_as_token1] = ACTIONS(1400),
    [aux_sym__keyword_window_token1] = ACTIONS(1400),
    [aux_sym__keyword_date_token1] = ACTIONS(1400),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1400),
    [aux_sym__keyword_time_token1] = ACTIONS(1400),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1400),
    [aux_sym__keyword_for_token1] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1400),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1400),
    [aux_sym_return_satement_token1] = ACTIONS(1400),
    [aux_sym_call_statement_token1] = ACTIONS(1400),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1400),
    [aux_sym_if_statement_token1] = ACTIONS(1400),
    [aux_sym_loop_statement_token1] = ACTIONS(1400),
    [aux_sym_repeat_statement_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token1] = ACTIONS(1400),
    [aux_sym_break_statement_token1] = ACTIONS(1400),
    [aux_sym_leave_statement_token1] = ACTIONS(1400),
    [aux_sym_continue_statement_token1] = ACTIONS(1400),
    [aux_sym_iterate_statement_token1] = ACTIONS(1400),
    [aux_sym_raise_statement_token1] = ACTIONS(1400),
    [anon_sym_EQ] = ACTIONS(1398),
    [aux_sym_assert_statement_token1] = ACTIONS(1400),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1400),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [aux_sym_set_operation_token1] = ACTIONS(1400),
    [aux_sym_set_operation_token3] = ACTIONS(1400),
    [aux_sym_set_operation_token4] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1400),
    [aux_sym_having_clause_token1] = ACTIONS(1400),
    [aux_sym_qualify_clause_token1] = ACTIONS(1400),
    [aux_sym_limit_clause_token1] = ACTIONS(1400),
    [aux_sym_group_by_clause_token1] = ACTIONS(1400),
    [aux_sym_order_by_clause_token1] = ACTIONS(1400),
    [aux_sym_where_clause_token1] = ACTIONS(1400),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1400),
    [aux_sym_truncate_statement_token1] = ACTIONS(1400),
    [aux_sym_update_statement_token1] = ACTIONS(1400),
    [aux_sym_merge_statement_token1] = ACTIONS(1400),
    [aux_sym_grant_statement_token1] = ACTIONS(1400),
    [aux_sym_revoke_statement_token1] = ACTIONS(1400),
    [aux_sym_export_data_statement_token1] = ACTIONS(1400),
    [aux_sym_load_data_statement_token1] = ACTIONS(1400),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym__quoted_identifier] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_LT_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
  },
  [793] = {
    [sym_analytics_clause] = STATE(2012),
    [ts_builtin_sym_end] = ACTIONS(1398),
    [sym__unquoted_identifier] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1400),
    [aux_sym_keyword_replace_token1] = ACTIONS(1400),
    [aux_sym__keyword_alter_token1] = ACTIONS(1400),
    [aux_sym__keyword_from_token1] = ACTIONS(1400),
    [aux_sym__keyword_delete_token1] = ACTIONS(1400),
    [aux_sym__keyword_begin_token1] = ACTIONS(1400),
    [aux_sym__keyword_end_token1] = ACTIONS(1400),
    [aux_sym__keyword_between_token1] = ACTIONS(1400),
    [aux_sym__keyword_when_token1] = ACTIONS(1400),
    [aux_sym__keyword_else_token1] = ACTIONS(1400),
    [aux_sym__keyword_is_token1] = ACTIONS(1400),
    [aux_sym__keyword_in_token1] = ACTIONS(1400),
    [aux_sym__keyword_and_token1] = ACTIONS(1400),
    [aux_sym__keyword_like_token1] = ACTIONS(1400),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1400),
    [aux_sym__keyword_as_token1] = ACTIONS(1400),
    [aux_sym__keyword_window_token1] = ACTIONS(1400),
    [aux_sym__keyword_date_token1] = ACTIONS(1400),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1400),
    [aux_sym__keyword_time_token1] = ACTIONS(1400),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1400),
    [aux_sym__keyword_for_token1] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1400),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1400),
    [aux_sym_return_satement_token1] = ACTIONS(1400),
    [aux_sym_call_statement_token1] = ACTIONS(1400),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1400),
    [aux_sym_if_statement_token1] = ACTIONS(1400),
    [aux_sym_loop_statement_token1] = ACTIONS(1400),
    [aux_sym_repeat_statement_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token1] = ACTIONS(1400),
    [aux_sym_break_statement_token1] = ACTIONS(1400),
    [aux_sym_leave_statement_token1] = ACTIONS(1400),
    [aux_sym_continue_statement_token1] = ACTIONS(1400),
    [aux_sym_iterate_statement_token1] = ACTIONS(1400),
    [aux_sym_raise_statement_token1] = ACTIONS(1400),
    [anon_sym_EQ] = ACTIONS(1398),
    [aux_sym_assert_statement_token1] = ACTIONS(1400),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1400),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [aux_sym_set_operation_token1] = ACTIONS(1400),
    [aux_sym_set_operation_token3] = ACTIONS(1400),
    [aux_sym_set_operation_token4] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1400),
    [aux_sym_having_clause_token1] = ACTIONS(1400),
    [aux_sym_qualify_clause_token1] = ACTIONS(1400),
    [aux_sym_limit_clause_token1] = ACTIONS(1400),
    [aux_sym_group_by_clause_token1] = ACTIONS(1400),
    [aux_sym_order_by_clause_token1] = ACTIONS(1400),
    [aux_sym_where_clause_token1] = ACTIONS(1400),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1400),
    [aux_sym_truncate_statement_token1] = ACTIONS(1400),
    [aux_sym_update_statement_token1] = ACTIONS(1400),
    [aux_sym_merge_statement_token1] = ACTIONS(1400),
    [aux_sym_grant_statement_token1] = ACTIONS(1400),
    [aux_sym_revoke_statement_token1] = ACTIONS(1400),
    [aux_sym_export_data_statement_token1] = ACTIONS(1400),
    [aux_sym_load_data_statement_token1] = ACTIONS(1400),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym__quoted_identifier] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_LT_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
  },
  [794] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8428),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(2222),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [795] = {
    [sym_analytics_clause] = STATE(1956),
    [ts_builtin_sym_end] = ACTIONS(1382),
    [sym__unquoted_identifier] = ACTIONS(1384),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1384),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1384),
    [aux_sym_keyword_replace_token1] = ACTIONS(1384),
    [aux_sym__keyword_alter_token1] = ACTIONS(1384),
    [aux_sym__keyword_from_token1] = ACTIONS(1384),
    [aux_sym__keyword_delete_token1] = ACTIONS(1384),
    [aux_sym__keyword_begin_token1] = ACTIONS(1384),
    [aux_sym__keyword_end_token1] = ACTIONS(1384),
    [aux_sym__keyword_between_token1] = ACTIONS(1384),
    [aux_sym__keyword_when_token1] = ACTIONS(1384),
    [aux_sym__keyword_else_token1] = ACTIONS(1384),
    [aux_sym__keyword_is_token1] = ACTIONS(1384),
    [aux_sym__keyword_in_token1] = ACTIONS(1384),
    [aux_sym__keyword_and_token1] = ACTIONS(1384),
    [aux_sym__keyword_like_token1] = ACTIONS(1384),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1384),
    [aux_sym__keyword_as_token1] = ACTIONS(1384),
    [aux_sym__keyword_window_token1] = ACTIONS(1384),
    [aux_sym__keyword_date_token1] = ACTIONS(1384),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1384),
    [aux_sym__keyword_time_token1] = ACTIONS(1384),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1384),
    [aux_sym__keyword_for_token1] = ACTIONS(1384),
    [anon_sym_SEMI] = ACTIONS(1382),
    [aux_sym_declare_statement_token1] = ACTIONS(1384),
    [anon_sym_COMMA] = ACTIONS(1382),
    [aux_sym_set_statement_token1] = ACTIONS(1384),
    [anon_sym_LPAREN] = ACTIONS(1382),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1384),
    [aux_sym_return_satement_token1] = ACTIONS(1384),
    [aux_sym_call_statement_token1] = ACTIONS(1384),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1384),
    [aux_sym_if_statement_token1] = ACTIONS(1384),
    [aux_sym_loop_statement_token1] = ACTIONS(1384),
    [aux_sym_repeat_statement_token1] = ACTIONS(1384),
    [aux_sym_while_statement_token1] = ACTIONS(1384),
    [aux_sym_break_statement_token1] = ACTIONS(1384),
    [aux_sym_leave_statement_token1] = ACTIONS(1384),
    [aux_sym_continue_statement_token1] = ACTIONS(1384),
    [aux_sym_iterate_statement_token1] = ACTIONS(1384),
    [aux_sym_raise_statement_token1] = ACTIONS(1384),
    [anon_sym_EQ] = ACTIONS(1382),
    [aux_sym_assert_statement_token1] = ACTIONS(1384),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1384),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1384),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1384),
    [anon_sym_LT] = ACTIONS(1384),
    [anon_sym_GT] = ACTIONS(1384),
    [aux_sym_set_operation_token1] = ACTIONS(1384),
    [aux_sym_set_operation_token3] = ACTIONS(1384),
    [aux_sym_set_operation_token4] = ACTIONS(1384),
    [aux_sym_select_token1] = ACTIONS(1384),
    [aux_sym_having_clause_token1] = ACTIONS(1384),
    [aux_sym_qualify_clause_token1] = ACTIONS(1384),
    [aux_sym_limit_clause_token1] = ACTIONS(1384),
    [aux_sym_group_by_clause_token1] = ACTIONS(1384),
    [aux_sym_order_by_clause_token1] = ACTIONS(1384),
    [aux_sym_where_clause_token1] = ACTIONS(1384),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1384),
    [aux_sym_truncate_statement_token1] = ACTIONS(1384),
    [aux_sym_update_statement_token1] = ACTIONS(1384),
    [aux_sym_merge_statement_token1] = ACTIONS(1384),
    [aux_sym_grant_statement_token1] = ACTIONS(1384),
    [aux_sym_revoke_statement_token1] = ACTIONS(1384),
    [aux_sym_export_data_statement_token1] = ACTIONS(1384),
    [aux_sym_load_data_statement_token1] = ACTIONS(1384),
    [anon_sym_LBRACK] = ACTIONS(1382),
    [sym__quoted_identifier] = ACTIONS(1382),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1382),
    [anon_sym_PLUS] = ACTIONS(1382),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_STAR] = ACTIONS(1382),
    [anon_sym_SLASH] = ACTIONS(1384),
    [anon_sym_PIPE_PIPE] = ACTIONS(1382),
    [anon_sym_LT_EQ] = ACTIONS(1382),
    [anon_sym_LT_GT] = ACTIONS(1382),
    [anon_sym_GT_EQ] = ACTIONS(1382),
    [anon_sym_BANG_EQ] = ACTIONS(1382),
    [anon_sym_LT_LT] = ACTIONS(1382),
    [anon_sym_GT_GT] = ACTIONS(1382),
    [anon_sym_AMP] = ACTIONS(1382),
    [anon_sym_CARET] = ACTIONS(1382),
    [anon_sym_PIPE] = ACTIONS(1384),
  },
  [796] = {
    [sym_analytics_clause] = STATE(2024),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [797] = {
    [sym_analytics_clause] = STATE(2030),
    [ts_builtin_sym_end] = ACTIONS(1394),
    [sym__unquoted_identifier] = ACTIONS(1396),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1396),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1396),
    [aux_sym_keyword_replace_token1] = ACTIONS(1396),
    [aux_sym__keyword_alter_token1] = ACTIONS(1396),
    [aux_sym__keyword_from_token1] = ACTIONS(1396),
    [aux_sym__keyword_delete_token1] = ACTIONS(1396),
    [aux_sym__keyword_begin_token1] = ACTIONS(1396),
    [aux_sym__keyword_end_token1] = ACTIONS(1396),
    [aux_sym__keyword_between_token1] = ACTIONS(1396),
    [aux_sym__keyword_when_token1] = ACTIONS(1396),
    [aux_sym__keyword_else_token1] = ACTIONS(1396),
    [aux_sym__keyword_is_token1] = ACTIONS(1396),
    [aux_sym__keyword_in_token1] = ACTIONS(1396),
    [aux_sym__keyword_and_token1] = ACTIONS(1396),
    [aux_sym__keyword_like_token1] = ACTIONS(1396),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1396),
    [aux_sym__keyword_as_token1] = ACTIONS(1396),
    [aux_sym__keyword_window_token1] = ACTIONS(1396),
    [aux_sym__keyword_date_token1] = ACTIONS(1396),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1396),
    [aux_sym__keyword_time_token1] = ACTIONS(1396),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1396),
    [aux_sym__keyword_for_token1] = ACTIONS(1396),
    [anon_sym_SEMI] = ACTIONS(1394),
    [aux_sym_declare_statement_token1] = ACTIONS(1396),
    [anon_sym_COMMA] = ACTIONS(1394),
    [aux_sym_set_statement_token1] = ACTIONS(1396),
    [anon_sym_LPAREN] = ACTIONS(1394),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1396),
    [aux_sym_return_satement_token1] = ACTIONS(1396),
    [aux_sym_call_statement_token1] = ACTIONS(1396),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1396),
    [aux_sym_if_statement_token1] = ACTIONS(1396),
    [aux_sym_loop_statement_token1] = ACTIONS(1396),
    [aux_sym_repeat_statement_token1] = ACTIONS(1396),
    [aux_sym_while_statement_token1] = ACTIONS(1396),
    [aux_sym_break_statement_token1] = ACTIONS(1396),
    [aux_sym_leave_statement_token1] = ACTIONS(1396),
    [aux_sym_continue_statement_token1] = ACTIONS(1396),
    [aux_sym_iterate_statement_token1] = ACTIONS(1396),
    [aux_sym_raise_statement_token1] = ACTIONS(1396),
    [anon_sym_EQ] = ACTIONS(1394),
    [aux_sym_assert_statement_token1] = ACTIONS(1396),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1396),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1396),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1396),
    [anon_sym_LT] = ACTIONS(1396),
    [anon_sym_GT] = ACTIONS(1396),
    [aux_sym_set_operation_token1] = ACTIONS(1396),
    [aux_sym_set_operation_token3] = ACTIONS(1396),
    [aux_sym_set_operation_token4] = ACTIONS(1396),
    [aux_sym_select_token1] = ACTIONS(1396),
    [aux_sym_having_clause_token1] = ACTIONS(1396),
    [aux_sym_qualify_clause_token1] = ACTIONS(1396),
    [aux_sym_limit_clause_token1] = ACTIONS(1396),
    [aux_sym_group_by_clause_token1] = ACTIONS(1396),
    [aux_sym_order_by_clause_token1] = ACTIONS(1396),
    [aux_sym_where_clause_token1] = ACTIONS(1396),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1396),
    [aux_sym_truncate_statement_token1] = ACTIONS(1396),
    [aux_sym_update_statement_token1] = ACTIONS(1396),
    [aux_sym_merge_statement_token1] = ACTIONS(1396),
    [aux_sym_grant_statement_token1] = ACTIONS(1396),
    [aux_sym_revoke_statement_token1] = ACTIONS(1396),
    [aux_sym_export_data_statement_token1] = ACTIONS(1396),
    [aux_sym_load_data_statement_token1] = ACTIONS(1396),
    [anon_sym_LBRACK] = ACTIONS(1394),
    [sym__quoted_identifier] = ACTIONS(1394),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_STAR] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(1396),
    [anon_sym_PIPE_PIPE] = ACTIONS(1394),
    [anon_sym_LT_EQ] = ACTIONS(1394),
    [anon_sym_LT_GT] = ACTIONS(1394),
    [anon_sym_GT_EQ] = ACTIONS(1394),
    [anon_sym_BANG_EQ] = ACTIONS(1394),
    [anon_sym_LT_LT] = ACTIONS(1394),
    [anon_sym_GT_GT] = ACTIONS(1394),
    [anon_sym_AMP] = ACTIONS(1394),
    [anon_sym_CARET] = ACTIONS(1394),
    [anon_sym_PIPE] = ACTIONS(1396),
  },
  [798] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8386),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(2224),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [799] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym__aliasable_expression] = STATE(14544),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5364),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [800] = {
    [sym_analytics_clause] = STATE(2031),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [801] = {
    [sym_analytics_clause] = STATE(2032),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [802] = {
    [sym_analytics_clause] = STATE(2033),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [803] = {
    [sym_analytics_clause] = STATE(2035),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [804] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8413),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(2226),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [805] = {
    [sym_analytics_clause] = STATE(2041),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [806] = {
    [sym_analytics_clause] = STATE(1929),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [807] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16208),
    [sym__keyword_case] = STATE(337),
    [sym__keyword_not] = STATE(1202),
    [sym__keyword_cast] = STATE(19297),
    [sym__keyword_date] = STATE(4227),
    [sym__keyword_datetime] = STATE(4227),
    [sym__keyword_time] = STATE(4227),
    [sym__keyword_timestamp] = STATE(4227),
    [sym__aliasable_expression] = STATE(9856),
    [sym_select_subexpression] = STATE(4593),
    [sym_function_call] = STATE(4593),
    [sym_unnest_operator] = STATE(2516),
    [sym_unnest_clause] = STATE(4593),
    [sym__literal] = STATE(4593),
    [sym_NULL] = STATE(4593),
    [sym_TRUE] = STATE(4593),
    [sym_FALSE] = STATE(4593),
    [sym__float] = STATE(4592),
    [sym_numeric] = STATE(4592),
    [sym__number] = STATE(4592),
    [sym_interval] = STATE(4593),
    [sym_range] = STATE(4593),
    [sym_time] = STATE(4593),
    [sym_number] = STATE(4593),
    [sym_json] = STATE(4593),
    [sym_query_parameter] = STATE(4593),
    [sym__type_chrono] = STATE(4194),
    [sym__type_struct] = STATE(19107),
    [sym__type_array] = STATE(18613),
    [sym_array] = STATE(4593),
    [sym_struct] = STATE(4593),
    [sym__identifier] = STATE(4341),
    [sym__dotted_identifier] = STATE(14156),
    [sym_identifier] = STATE(4415),
    [sym_string] = STATE(4593),
    [sym__expression] = STATE(609),
    [sym__parenthesized_expression] = STATE(4593),
    [sym_element_access] = STATE(4593),
    [sym_field_access] = STATE(4593),
    [sym_unary_expression] = STATE(4593),
    [sym_binary_expression] = STATE(4593),
    [sym_between_operator] = STATE(4593),
    [sym_casewhen_expression] = STATE(4593),
    [sym_cast_expression] = STATE(4593),
    [sym_argument_reference] = STATE(4593),
    [aux_sym_identifier_repeat1] = STATE(14156),
    [sym__unquoted_identifier] = ACTIONS(1984),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1986),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1988),
    [aux_sym__keyword_case_token1] = ACTIONS(1990),
    [aux_sym__keyword_cast_token1] = ACTIONS(1992),
    [aux_sym__keyword_cast_token2] = ACTIONS(1992),
    [aux_sym__keyword_date_token1] = ACTIONS(1994),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1994),
    [aux_sym__keyword_time_token1] = ACTIONS(1994),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1994),
    [anon_sym_LPAREN] = ACTIONS(1996),
    [aux_sym_drop_notnull_token1] = ACTIONS(1998),
    [aux_sym_function_call_token2] = ACTIONS(2000),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2004),
    [aux_sym_FALSE_token1] = ACTIONS(2006),
    [sym__integer] = ACTIONS(2008),
    [aux_sym__float_token1] = ACTIONS(2010),
    [aux_sym__float_token2] = ACTIONS(2008),
    [aux_sym__float_token3] = ACTIONS(2010),
    [aux_sym_numeric_token1] = ACTIONS(2012),
    [aux_sym_numeric_token2] = ACTIONS(2012),
    [aux_sym_numeric_token3] = ACTIONS(2012),
    [aux_sym_numeric_token4] = ACTIONS(2012),
    [aux_sym_interval_token1] = ACTIONS(2014),
    [anon_sym_LBRACK] = ACTIONS(2016),
    [aux_sym_json_token1] = ACTIONS(2018),
    [sym_system_variable] = ACTIONS(2020),
    [sym__named_query_parameter] = ACTIONS(2022),
    [sym__positional_query_parameter] = ACTIONS(2024),
    [sym__quoted_identifier] = ACTIONS(2026),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2028),
    [anon_sym_PLUS] = ACTIONS(2030),
    [anon_sym_DASH] = ACTIONS(2030),
    [anon_sym_operator_compare] = ACTIONS(2032),
    [anon_sym_DOLLAR] = ACTIONS(2034),
    [sym__string_start] = ACTIONS(2036),
  },
  [808] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8367),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(2228),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [809] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8370),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(2230),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [810] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8415),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(2232),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [811] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8371),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(2234),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [812] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8693),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(2236),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [813] = {
    [sym_analytics_clause] = STATE(1930),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [814] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8373),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(2238),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [815] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym__aliasable_expression] = STATE(15488),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5364),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [816] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8672),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(2240),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [817] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym__aliasable_expression] = STATE(15293),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5364),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [818] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym__aliasable_expression] = STATE(14970),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5364),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [819] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym__aliasable_expression] = STATE(15207),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5364),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [820] = {
    [sym_analytics_clause] = STATE(1920),
    [ts_builtin_sym_end] = ACTIONS(1402),
    [sym__unquoted_identifier] = ACTIONS(1404),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1404),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1404),
    [aux_sym_keyword_replace_token1] = ACTIONS(1404),
    [aux_sym__keyword_alter_token1] = ACTIONS(1404),
    [aux_sym__keyword_from_token1] = ACTIONS(1404),
    [aux_sym__keyword_delete_token1] = ACTIONS(1404),
    [aux_sym__keyword_begin_token1] = ACTIONS(1404),
    [aux_sym__keyword_end_token1] = ACTIONS(1404),
    [aux_sym__keyword_between_token1] = ACTIONS(1404),
    [aux_sym__keyword_when_token1] = ACTIONS(1404),
    [aux_sym__keyword_else_token1] = ACTIONS(1404),
    [aux_sym__keyword_is_token1] = ACTIONS(1404),
    [aux_sym__keyword_in_token1] = ACTIONS(1404),
    [aux_sym__keyword_and_token1] = ACTIONS(1404),
    [aux_sym__keyword_like_token1] = ACTIONS(1404),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1404),
    [aux_sym__keyword_as_token1] = ACTIONS(1404),
    [aux_sym__keyword_window_token1] = ACTIONS(1404),
    [aux_sym__keyword_date_token1] = ACTIONS(1404),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1404),
    [aux_sym__keyword_time_token1] = ACTIONS(1404),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1404),
    [aux_sym__keyword_for_token1] = ACTIONS(1404),
    [anon_sym_SEMI] = ACTIONS(1402),
    [aux_sym_declare_statement_token1] = ACTIONS(1404),
    [anon_sym_COMMA] = ACTIONS(1402),
    [aux_sym_set_statement_token1] = ACTIONS(1404),
    [anon_sym_LPAREN] = ACTIONS(1402),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1404),
    [aux_sym_return_satement_token1] = ACTIONS(1404),
    [aux_sym_call_statement_token1] = ACTIONS(1404),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1404),
    [aux_sym_if_statement_token1] = ACTIONS(1404),
    [aux_sym_loop_statement_token1] = ACTIONS(1404),
    [aux_sym_repeat_statement_token1] = ACTIONS(1404),
    [aux_sym_while_statement_token1] = ACTIONS(1404),
    [aux_sym_break_statement_token1] = ACTIONS(1404),
    [aux_sym_leave_statement_token1] = ACTIONS(1404),
    [aux_sym_continue_statement_token1] = ACTIONS(1404),
    [aux_sym_iterate_statement_token1] = ACTIONS(1404),
    [aux_sym_raise_statement_token1] = ACTIONS(1404),
    [anon_sym_EQ] = ACTIONS(1402),
    [aux_sym_assert_statement_token1] = ACTIONS(1404),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1404),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1404),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1404),
    [anon_sym_LT] = ACTIONS(1404),
    [anon_sym_GT] = ACTIONS(1404),
    [aux_sym_set_operation_token1] = ACTIONS(1404),
    [aux_sym_set_operation_token3] = ACTIONS(1404),
    [aux_sym_set_operation_token4] = ACTIONS(1404),
    [aux_sym_select_token1] = ACTIONS(1404),
    [aux_sym_having_clause_token1] = ACTIONS(1404),
    [aux_sym_qualify_clause_token1] = ACTIONS(1404),
    [aux_sym_limit_clause_token1] = ACTIONS(1404),
    [aux_sym_group_by_clause_token1] = ACTIONS(1404),
    [aux_sym_order_by_clause_token1] = ACTIONS(1404),
    [aux_sym_where_clause_token1] = ACTIONS(1404),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1404),
    [aux_sym_truncate_statement_token1] = ACTIONS(1404),
    [aux_sym_update_statement_token1] = ACTIONS(1404),
    [aux_sym_merge_statement_token1] = ACTIONS(1404),
    [aux_sym_grant_statement_token1] = ACTIONS(1404),
    [aux_sym_revoke_statement_token1] = ACTIONS(1404),
    [aux_sym_export_data_statement_token1] = ACTIONS(1404),
    [aux_sym_load_data_statement_token1] = ACTIONS(1404),
    [anon_sym_LBRACK] = ACTIONS(1402),
    [sym__quoted_identifier] = ACTIONS(1402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1402),
    [anon_sym_DASH] = ACTIONS(1404),
    [anon_sym_STAR] = ACTIONS(1402),
    [anon_sym_SLASH] = ACTIONS(1404),
    [anon_sym_PIPE_PIPE] = ACTIONS(1402),
    [anon_sym_LT_EQ] = ACTIONS(1402),
    [anon_sym_LT_GT] = ACTIONS(1402),
    [anon_sym_GT_EQ] = ACTIONS(1402),
    [anon_sym_BANG_EQ] = ACTIONS(1402),
    [anon_sym_LT_LT] = ACTIONS(1402),
    [anon_sym_GT_GT] = ACTIONS(1402),
    [anon_sym_AMP] = ACTIONS(1402),
    [anon_sym_CARET] = ACTIONS(1402),
    [anon_sym_PIPE] = ACTIONS(1404),
  },
  [821] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16217),
    [sym__keyword_case] = STATE(353),
    [sym__keyword_not] = STATE(1565),
    [sym__keyword_cast] = STATE(19295),
    [sym__keyword_date] = STATE(9555),
    [sym__keyword_datetime] = STATE(9555),
    [sym__keyword_time] = STATE(9555),
    [sym__keyword_timestamp] = STATE(9555),
    [sym_order_by_clause_body] = STATE(6058),
    [sym_select_subexpression] = STATE(10287),
    [sym_function_call] = STATE(10287),
    [sym_unnest_operator] = STATE(5325),
    [sym_unnest_clause] = STATE(10287),
    [sym__literal] = STATE(10287),
    [sym_NULL] = STATE(10287),
    [sym_TRUE] = STATE(10287),
    [sym_FALSE] = STATE(10287),
    [sym__float] = STATE(10288),
    [sym_numeric] = STATE(10288),
    [sym__number] = STATE(10288),
    [sym_interval] = STATE(10287),
    [sym_range] = STATE(10287),
    [sym_time] = STATE(10287),
    [sym_number] = STATE(10287),
    [sym_json] = STATE(10287),
    [sym_query_parameter] = STATE(10287),
    [sym__type_chrono] = STATE(8548),
    [sym__type_struct] = STATE(19100),
    [sym__type_array] = STATE(18586),
    [sym_array] = STATE(10287),
    [sym_struct] = STATE(10287),
    [sym__identifier] = STATE(8591),
    [sym__dotted_identifier] = STATE(13746),
    [sym_identifier] = STATE(9785),
    [sym_string] = STATE(10287),
    [sym__expression] = STATE(6343),
    [sym__parenthesized_expression] = STATE(10287),
    [sym_element_access] = STATE(10287),
    [sym_field_access] = STATE(10287),
    [sym_unary_expression] = STATE(10287),
    [sym_binary_expression] = STATE(10287),
    [sym_between_operator] = STATE(10287),
    [sym_casewhen_expression] = STATE(10287),
    [sym_cast_expression] = STATE(10287),
    [sym_argument_reference] = STATE(10287),
    [aux_sym_identifier_repeat1] = STATE(13746),
    [sym__unquoted_identifier] = ACTIONS(2242),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2244),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2246),
    [aux_sym__keyword_case_token1] = ACTIONS(2248),
    [aux_sym__keyword_cast_token1] = ACTIONS(2250),
    [aux_sym__keyword_cast_token2] = ACTIONS(2250),
    [aux_sym__keyword_date_token1] = ACTIONS(2252),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2252),
    [aux_sym__keyword_time_token1] = ACTIONS(2252),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2252),
    [anon_sym_LPAREN] = ACTIONS(2254),
    [aux_sym_drop_notnull_token1] = ACTIONS(2256),
    [aux_sym_function_call_token2] = ACTIONS(2258),
    [aux_sym_unnest_operator_token1] = ACTIONS(2260),
    [aux_sym_TRUE_token1] = ACTIONS(2262),
    [aux_sym_FALSE_token1] = ACTIONS(2264),
    [sym__integer] = ACTIONS(2266),
    [aux_sym__float_token1] = ACTIONS(2268),
    [aux_sym__float_token2] = ACTIONS(2266),
    [aux_sym__float_token3] = ACTIONS(2268),
    [aux_sym_numeric_token1] = ACTIONS(2270),
    [aux_sym_numeric_token2] = ACTIONS(2270),
    [aux_sym_numeric_token3] = ACTIONS(2270),
    [aux_sym_numeric_token4] = ACTIONS(2270),
    [aux_sym_interval_token1] = ACTIONS(2272),
    [anon_sym_LBRACK] = ACTIONS(2274),
    [aux_sym_json_token1] = ACTIONS(2276),
    [sym_system_variable] = ACTIONS(2278),
    [sym__named_query_parameter] = ACTIONS(2280),
    [sym__positional_query_parameter] = ACTIONS(2282),
    [sym__quoted_identifier] = ACTIONS(2284),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2286),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_operator_compare] = ACTIONS(2290),
    [anon_sym_DOLLAR] = ACTIONS(2292),
    [sym__string_start] = ACTIONS(2294),
  },
  [822] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8374),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(2296),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [823] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(844),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_order_by_clause_body] = STATE(6058),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(385),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2343),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(2298),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2300),
    [anon_sym_PLUS] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2302),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [824] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8375),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(2304),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [825] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8425),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(2306),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [826] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16298),
    [sym__keyword_case] = STATE(370),
    [sym__keyword_not] = STATE(1409),
    [sym__keyword_cast] = STATE(19281),
    [sym__keyword_date] = STATE(5984),
    [sym__keyword_datetime] = STATE(5984),
    [sym__keyword_time] = STATE(5984),
    [sym__keyword_timestamp] = STATE(5984),
    [sym_grouping_item] = STATE(5576),
    [sym_select_subexpression] = STATE(6583),
    [sym_function_call] = STATE(6583),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(6583),
    [sym__literal] = STATE(6583),
    [sym_NULL] = STATE(6583),
    [sym_TRUE] = STATE(6583),
    [sym_FALSE] = STATE(6583),
    [sym__float] = STATE(6582),
    [sym_numeric] = STATE(6582),
    [sym__number] = STATE(6582),
    [sym_interval] = STATE(6583),
    [sym_range] = STATE(6583),
    [sym_time] = STATE(6583),
    [sym_number] = STATE(6583),
    [sym_json] = STATE(6583),
    [sym_query_parameter] = STATE(6583),
    [sym__type_chrono] = STATE(5709),
    [sym__type_struct] = STATE(19051),
    [sym__type_array] = STATE(18379),
    [sym_array] = STATE(6583),
    [sym_struct] = STATE(6583),
    [sym__identifier] = STATE(5940),
    [sym__dotted_identifier] = STATE(13302),
    [sym_identifier] = STATE(9146),
    [sym_string] = STATE(6583),
    [sym__expression] = STATE(6670),
    [sym__parenthesized_expression] = STATE(6583),
    [sym_element_access] = STATE(6583),
    [sym_field_access] = STATE(6583),
    [sym_unary_expression] = STATE(6583),
    [sym_binary_expression] = STATE(6583),
    [sym_between_operator] = STATE(6583),
    [sym_casewhen_expression] = STATE(6583),
    [sym_cast_expression] = STATE(6583),
    [sym_argument_reference] = STATE(6583),
    [aux_sym_identifier_repeat1] = STATE(13302),
    [sym__unquoted_identifier] = ACTIONS(491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(493),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(495),
    [aux_sym__keyword_case_token1] = ACTIONS(497),
    [aux_sym__keyword_cast_token1] = ACTIONS(499),
    [aux_sym__keyword_cast_token2] = ACTIONS(499),
    [aux_sym__keyword_date_token1] = ACTIONS(501),
    [aux_sym__keyword_datetime_token1] = ACTIONS(501),
    [aux_sym__keyword_time_token1] = ACTIONS(501),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(503),
    [aux_sym_drop_notnull_token1] = ACTIONS(505),
    [aux_sym_function_call_token2] = ACTIONS(507),
    [aux_sym_unnest_operator_token1] = ACTIONS(1045),
    [aux_sym_TRUE_token1] = ACTIONS(511),
    [aux_sym_FALSE_token1] = ACTIONS(513),
    [sym__integer] = ACTIONS(515),
    [aux_sym__float_token1] = ACTIONS(517),
    [aux_sym__float_token2] = ACTIONS(515),
    [aux_sym__float_token3] = ACTIONS(517),
    [aux_sym_numeric_token1] = ACTIONS(519),
    [aux_sym_numeric_token2] = ACTIONS(519),
    [aux_sym_numeric_token3] = ACTIONS(519),
    [aux_sym_numeric_token4] = ACTIONS(519),
    [aux_sym_interval_token1] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(523),
    [aux_sym_json_token1] = ACTIONS(525),
    [sym_system_variable] = ACTIONS(527),
    [sym__named_query_parameter] = ACTIONS(529),
    [sym__positional_query_parameter] = ACTIONS(531),
    [sym__quoted_identifier] = ACTIONS(533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_operator_compare] = ACTIONS(539),
    [anon_sym_DOLLAR] = ACTIONS(541),
    [sym__string_start] = ACTIONS(543),
  },
  [827] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym__aliasable_expression] = STATE(15287),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5364),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [828] = {
    [sym_analytics_clause] = STATE(1932),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [829] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8377),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(2308),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [830] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8365),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(2310),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [831] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8379),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(2312),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [832] = {
    [sym_analytics_clause] = STATE(1933),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [833] = {
    [sym_analytics_clause] = STATE(1935),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [834] = {
    [sym_analytics_clause] = STATE(1936),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [835] = {
    [sym_analytics_clause] = STATE(1938),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [836] = {
    [sym_analytics_clause] = STATE(1941),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(1862),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [837] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym__aliasable_expression] = STATE(15650),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5364),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [838] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym__aliasable_expression] = STATE(14743),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(5364),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [839] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1357),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(391),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(2763),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(957),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(961),
    [anon_sym_DASH] = ACTIONS(961),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [840] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16166),
    [sym__keyword_case] = STATE(299),
    [sym__keyword_not] = STATE(840),
    [sym__keyword_cast] = STATE(19301),
    [sym__keyword_date] = STATE(386),
    [sym__keyword_datetime] = STATE(386),
    [sym__keyword_time] = STATE(386),
    [sym__keyword_timestamp] = STATE(386),
    [sym_select_subexpression] = STATE(469),
    [sym_function_call] = STATE(469),
    [sym_unnest_operator] = STATE(10),
    [sym_unnest_clause] = STATE(469),
    [sym__literal] = STATE(469),
    [sym_NULL] = STATE(469),
    [sym_TRUE] = STATE(469),
    [sym_FALSE] = STATE(469),
    [sym__float] = STATE(472),
    [sym_numeric] = STATE(472),
    [sym__number] = STATE(472),
    [sym_interval] = STATE(469),
    [sym_range] = STATE(469),
    [sym_time] = STATE(469),
    [sym_number] = STATE(469),
    [sym_json] = STATE(469),
    [sym_query_parameter] = STATE(469),
    [sym__type_chrono] = STATE(371),
    [sym__type_struct] = STATE(19121),
    [sym__type_array] = STATE(18667),
    [sym_array] = STATE(469),
    [sym_struct] = STATE(469),
    [sym__identifier] = STATE(383),
    [sym__dotted_identifier] = STATE(13828),
    [sym_identifier] = STATE(477),
    [sym_string] = STATE(469),
    [sym__expression] = STATE(95),
    [sym__parenthesized_expression] = STATE(469),
    [sym_element_access] = STATE(469),
    [sym_field_access] = STATE(469),
    [sym_unary_expression] = STATE(469),
    [sym_binary_expression] = STATE(469),
    [sym_between_operator] = STATE(469),
    [sym_casewhen_expression] = STATE(469),
    [sym_cast_expression] = STATE(469),
    [sym_argument_reference] = STATE(469),
    [aux_sym_identifier_repeat1] = STATE(13828),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2314),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2316),
    [aux_sym__keyword_case_token1] = ACTIONS(2318),
    [aux_sym__keyword_cast_token1] = ACTIONS(2320),
    [aux_sym__keyword_cast_token2] = ACTIONS(2320),
    [aux_sym__keyword_date_token1] = ACTIONS(2322),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2322),
    [aux_sym__keyword_time_token1] = ACTIONS(2322),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(2324),
    [aux_sym_drop_notnull_token1] = ACTIONS(2326),
    [aux_sym_function_call_token2] = ACTIONS(2328),
    [aux_sym_unnest_operator_token1] = ACTIONS(2330),
    [aux_sym_TRUE_token1] = ACTIONS(2332),
    [aux_sym_FALSE_token1] = ACTIONS(2334),
    [sym__integer] = ACTIONS(2336),
    [aux_sym__float_token1] = ACTIONS(2338),
    [aux_sym__float_token2] = ACTIONS(2336),
    [aux_sym__float_token3] = ACTIONS(2338),
    [aux_sym_numeric_token1] = ACTIONS(2340),
    [aux_sym_numeric_token2] = ACTIONS(2340),
    [aux_sym_numeric_token3] = ACTIONS(2340),
    [aux_sym_numeric_token4] = ACTIONS(2340),
    [aux_sym_interval_token1] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2344),
    [aux_sym_json_token1] = ACTIONS(2346),
    [sym_system_variable] = ACTIONS(2348),
    [sym__named_query_parameter] = ACTIONS(2350),
    [sym__positional_query_parameter] = ACTIONS(2352),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2354),
    [anon_sym_PLUS] = ACTIONS(2356),
    [anon_sym_DASH] = ACTIONS(2356),
    [anon_sym_operator_compare] = ACTIONS(2358),
    [anon_sym_DOLLAR] = ACTIONS(2360),
    [sym__string_start] = ACTIONS(1512),
  },
  [841] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(841),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2044),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3023),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2406),
    [anon_sym_DASH] = ACTIONS(2406),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [842] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(841),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2044),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3024),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2406),
    [anon_sym_DASH] = ACTIONS(2406),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [843] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(844),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(385),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2626),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(2298),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2300),
    [anon_sym_PLUS] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2302),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [844] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(844),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(385),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2624),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(2298),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2300),
    [anon_sym_PLUS] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2302),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [845] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10203),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [846] = {
    [sym_analytics_clause] = STATE(2165),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1420),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_from_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_end_token1] = ACTIONS(1420),
    [aux_sym__keyword_between_token1] = ACTIONS(1420),
    [aux_sym__keyword_when_token1] = ACTIONS(1420),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1420),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1420),
    [aux_sym__keyword_like_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_window_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_repeat_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token3] = ACTIONS(1420),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_having_clause_token1] = ACTIONS(1420),
    [aux_sym_qualify_clause_token1] = ACTIONS(1420),
    [aux_sym_limit_clause_token1] = ACTIONS(1420),
    [aux_sym_group_by_clause_token1] = ACTIONS(1420),
    [aux_sym_order_by_clause_token1] = ACTIONS(1420),
    [aux_sym_where_clause_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [847] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(841),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2044),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(2995),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2406),
    [anon_sym_DASH] = ACTIONS(2406),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [848] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10204),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [849] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(841),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2044),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(2996),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2406),
    [anon_sym_DASH] = ACTIONS(2406),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [850] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16217),
    [sym__keyword_case] = STATE(353),
    [sym__keyword_not] = STATE(1565),
    [sym__keyword_cast] = STATE(19295),
    [sym__keyword_date] = STATE(9555),
    [sym__keyword_datetime] = STATE(9555),
    [sym__keyword_time] = STATE(9555),
    [sym__keyword_timestamp] = STATE(9555),
    [sym_select_subexpression] = STATE(10287),
    [sym_function_call] = STATE(10287),
    [sym_unnest_operator] = STATE(5325),
    [sym_unnest_clause] = STATE(10287),
    [sym__literal] = STATE(10287),
    [sym_NULL] = STATE(10287),
    [sym_TRUE] = STATE(10287),
    [sym_FALSE] = STATE(10287),
    [sym__float] = STATE(10288),
    [sym_numeric] = STATE(10288),
    [sym__number] = STATE(10288),
    [sym_interval] = STATE(10287),
    [sym_range] = STATE(10287),
    [sym_time] = STATE(10287),
    [sym_number] = STATE(10287),
    [sym_json] = STATE(10287),
    [sym_query_parameter] = STATE(10287),
    [sym__type_chrono] = STATE(8548),
    [sym__type_struct] = STATE(19100),
    [sym__type_array] = STATE(18586),
    [sym_array] = STATE(10287),
    [sym_struct] = STATE(10287),
    [sym__identifier] = STATE(8591),
    [sym__dotted_identifier] = STATE(13746),
    [sym_identifier] = STATE(9785),
    [sym_string] = STATE(10287),
    [sym__expression] = STATE(6788),
    [sym__parenthesized_expression] = STATE(10287),
    [sym_element_access] = STATE(10287),
    [sym_field_access] = STATE(10287),
    [sym_unary_expression] = STATE(10287),
    [sym_binary_expression] = STATE(10287),
    [sym_between_operator] = STATE(10287),
    [sym_casewhen_expression] = STATE(10287),
    [sym_cast_expression] = STATE(10287),
    [sym_argument_reference] = STATE(10287),
    [aux_sym_identifier_repeat1] = STATE(13746),
    [sym__unquoted_identifier] = ACTIONS(2242),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2244),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2246),
    [aux_sym__keyword_case_token1] = ACTIONS(2248),
    [aux_sym__keyword_cast_token1] = ACTIONS(2250),
    [aux_sym__keyword_cast_token2] = ACTIONS(2250),
    [aux_sym__keyword_date_token1] = ACTIONS(2252),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2252),
    [aux_sym__keyword_time_token1] = ACTIONS(2252),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2252),
    [anon_sym_LPAREN] = ACTIONS(2254),
    [aux_sym_drop_notnull_token1] = ACTIONS(2256),
    [aux_sym_function_call_token2] = ACTIONS(2258),
    [aux_sym_unnest_operator_token1] = ACTIONS(2260),
    [aux_sym_TRUE_token1] = ACTIONS(2262),
    [aux_sym_FALSE_token1] = ACTIONS(2264),
    [sym__integer] = ACTIONS(2266),
    [aux_sym__float_token1] = ACTIONS(2268),
    [aux_sym__float_token2] = ACTIONS(2266),
    [aux_sym__float_token3] = ACTIONS(2268),
    [aux_sym_numeric_token1] = ACTIONS(2270),
    [aux_sym_numeric_token2] = ACTIONS(2270),
    [aux_sym_numeric_token3] = ACTIONS(2270),
    [aux_sym_numeric_token4] = ACTIONS(2270),
    [aux_sym_interval_token1] = ACTIONS(2272),
    [anon_sym_LBRACK] = ACTIONS(2274),
    [aux_sym_json_token1] = ACTIONS(2276),
    [sym_system_variable] = ACTIONS(2278),
    [sym__named_query_parameter] = ACTIONS(2280),
    [sym__positional_query_parameter] = ACTIONS(2282),
    [sym__quoted_identifier] = ACTIONS(2284),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2286),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_operator_compare] = ACTIONS(2290),
    [anon_sym_DOLLAR] = ACTIONS(2292),
    [sym__string_start] = ACTIONS(2294),
  },
  [851] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10205),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [852] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(841),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2044),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(2971),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2406),
    [anon_sym_DASH] = ACTIONS(2406),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [853] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10206),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [854] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10207),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [855] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10208),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [856] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10209),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [857] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10210),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [858] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10211),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [859] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(841),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2044),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(2998),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2406),
    [anon_sym_DASH] = ACTIONS(2406),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [860] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(841),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2044),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(2999),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2406),
    [anon_sym_DASH] = ACTIONS(2406),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [861] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(841),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2044),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3000),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2406),
    [anon_sym_DASH] = ACTIONS(2406),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [862] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(841),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2044),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3001),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2406),
    [anon_sym_DASH] = ACTIONS(2406),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [863] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(841),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2044),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3002),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2406),
    [anon_sym_DASH] = ACTIONS(2406),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [864] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(844),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(385),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2577),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(2298),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2300),
    [anon_sym_PLUS] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2302),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [865] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9684),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [866] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(841),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2044),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3003),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2406),
    [anon_sym_DASH] = ACTIONS(2406),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [867] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16217),
    [sym__keyword_case] = STATE(353),
    [sym__keyword_not] = STATE(1565),
    [sym__keyword_cast] = STATE(19295),
    [sym__keyword_date] = STATE(9555),
    [sym__keyword_datetime] = STATE(9555),
    [sym__keyword_time] = STATE(9555),
    [sym__keyword_timestamp] = STATE(9555),
    [sym_select_subexpression] = STATE(10287),
    [sym_function_call] = STATE(10287),
    [sym_unnest_operator] = STATE(5325),
    [sym_unnest_clause] = STATE(10287),
    [sym__literal] = STATE(10287),
    [sym_NULL] = STATE(10287),
    [sym_TRUE] = STATE(10287),
    [sym_FALSE] = STATE(10287),
    [sym__float] = STATE(10288),
    [sym_numeric] = STATE(10288),
    [sym__number] = STATE(10288),
    [sym_interval] = STATE(10287),
    [sym_range] = STATE(10287),
    [sym_time] = STATE(10287),
    [sym_number] = STATE(10287),
    [sym_json] = STATE(10287),
    [sym_query_parameter] = STATE(10287),
    [sym__type_chrono] = STATE(8548),
    [sym__type_struct] = STATE(19100),
    [sym__type_array] = STATE(18586),
    [sym_array] = STATE(10287),
    [sym_struct] = STATE(10287),
    [sym__identifier] = STATE(8591),
    [sym__dotted_identifier] = STATE(13746),
    [sym_identifier] = STATE(9785),
    [sym_string] = STATE(10287),
    [sym__expression] = STATE(6841),
    [sym__parenthesized_expression] = STATE(10287),
    [sym_element_access] = STATE(10287),
    [sym_field_access] = STATE(10287),
    [sym_unary_expression] = STATE(10287),
    [sym_binary_expression] = STATE(10287),
    [sym_between_operator] = STATE(10287),
    [sym_casewhen_expression] = STATE(10287),
    [sym_cast_expression] = STATE(10287),
    [sym_argument_reference] = STATE(10287),
    [aux_sym_identifier_repeat1] = STATE(13746),
    [sym__unquoted_identifier] = ACTIONS(2242),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2244),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2246),
    [aux_sym__keyword_case_token1] = ACTIONS(2248),
    [aux_sym__keyword_cast_token1] = ACTIONS(2250),
    [aux_sym__keyword_cast_token2] = ACTIONS(2250),
    [aux_sym__keyword_date_token1] = ACTIONS(2252),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2252),
    [aux_sym__keyword_time_token1] = ACTIONS(2252),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2252),
    [anon_sym_LPAREN] = ACTIONS(2254),
    [aux_sym_drop_notnull_token1] = ACTIONS(2256),
    [aux_sym_function_call_token2] = ACTIONS(2258),
    [aux_sym_unnest_operator_token1] = ACTIONS(2260),
    [aux_sym_TRUE_token1] = ACTIONS(2262),
    [aux_sym_FALSE_token1] = ACTIONS(2264),
    [sym__integer] = ACTIONS(2266),
    [aux_sym__float_token1] = ACTIONS(2268),
    [aux_sym__float_token2] = ACTIONS(2266),
    [aux_sym__float_token3] = ACTIONS(2268),
    [aux_sym_numeric_token1] = ACTIONS(2270),
    [aux_sym_numeric_token2] = ACTIONS(2270),
    [aux_sym_numeric_token3] = ACTIONS(2270),
    [aux_sym_numeric_token4] = ACTIONS(2270),
    [aux_sym_interval_token1] = ACTIONS(2272),
    [anon_sym_LBRACK] = ACTIONS(2274),
    [aux_sym_json_token1] = ACTIONS(2276),
    [sym_system_variable] = ACTIONS(2278),
    [sym__named_query_parameter] = ACTIONS(2280),
    [sym__positional_query_parameter] = ACTIONS(2282),
    [sym__quoted_identifier] = ACTIONS(2284),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2286),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_operator_compare] = ACTIONS(2290),
    [anon_sym_DOLLAR] = ACTIONS(2292),
    [sym__string_start] = ACTIONS(2294),
  },
  [868] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(841),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2044),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3004),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2406),
    [anon_sym_DASH] = ACTIONS(2406),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [869] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(841),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2044),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3005),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2406),
    [anon_sym_DASH] = ACTIONS(2406),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [870] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(841),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2044),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3006),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2406),
    [anon_sym_DASH] = ACTIONS(2406),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [871] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(841),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2044),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(2992),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2406),
    [anon_sym_DASH] = ACTIONS(2406),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [872] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2486),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(4374),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2418),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [873] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(874),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2414),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3628),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2420),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2424),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [874] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(874),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2414),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3627),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2420),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2424),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [875] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(874),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2414),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(4076),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2420),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2424),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [876] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(874),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2414),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3704),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2420),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2424),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [877] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(874),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2414),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3697),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2420),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2424),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [878] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(874),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2414),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3696),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2420),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2424),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [879] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(874),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2414),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3688),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2420),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2424),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [880] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8508),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [881] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1784),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2484),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3380),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2420),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2426),
    [anon_sym_PLUS] = ACTIONS(2428),
    [anon_sym_DASH] = ACTIONS(2428),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [882] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(874),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2414),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3706),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2420),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2424),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [883] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(874),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2414),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3682),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2420),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2424),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [884] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(874),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2414),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3681),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2420),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2424),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [885] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(874),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2414),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3680),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2420),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2424),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [886] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(7639),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [887] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(874),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2414),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3678),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2420),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2424),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [888] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(7638),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [889] = {
    [sym_analytics_clause] = STATE(2137),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [890] = {
    [sym_analytics_clause] = STATE(2197),
    [sym__unquoted_identifier] = ACTIONS(1432),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1432),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1432),
    [aux_sym_keyword_replace_token1] = ACTIONS(1432),
    [aux_sym__keyword_alter_token1] = ACTIONS(1432),
    [aux_sym__keyword_from_token1] = ACTIONS(1432),
    [aux_sym__keyword_delete_token1] = ACTIONS(1432),
    [aux_sym__keyword_begin_token1] = ACTIONS(1432),
    [aux_sym__keyword_end_token1] = ACTIONS(1432),
    [aux_sym__keyword_between_token1] = ACTIONS(1432),
    [aux_sym__keyword_when_token1] = ACTIONS(1432),
    [aux_sym__keyword_else_token1] = ACTIONS(1432),
    [aux_sym__keyword_is_token1] = ACTIONS(1432),
    [aux_sym__keyword_in_token1] = ACTIONS(1432),
    [aux_sym__keyword_and_token1] = ACTIONS(1432),
    [aux_sym__keyword_like_token1] = ACTIONS(1432),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1432),
    [aux_sym__keyword_as_token1] = ACTIONS(1432),
    [aux_sym__keyword_window_token1] = ACTIONS(1432),
    [aux_sym__keyword_date_token1] = ACTIONS(1432),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1432),
    [aux_sym__keyword_time_token1] = ACTIONS(1432),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1432),
    [aux_sym__keyword_for_token1] = ACTIONS(1432),
    [anon_sym_SEMI] = ACTIONS(1430),
    [aux_sym_declare_statement_token1] = ACTIONS(1432),
    [anon_sym_COMMA] = ACTIONS(1430),
    [aux_sym_set_statement_token1] = ACTIONS(1432),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1432),
    [aux_sym_return_satement_token1] = ACTIONS(1432),
    [aux_sym_call_statement_token1] = ACTIONS(1432),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1432),
    [aux_sym_if_statement_token1] = ACTIONS(1432),
    [aux_sym_loop_statement_token1] = ACTIONS(1432),
    [aux_sym_repeat_statement_token1] = ACTIONS(1432),
    [aux_sym_while_statement_token1] = ACTIONS(1432),
    [aux_sym_break_statement_token1] = ACTIONS(1432),
    [aux_sym_leave_statement_token1] = ACTIONS(1432),
    [aux_sym_continue_statement_token1] = ACTIONS(1432),
    [aux_sym_iterate_statement_token1] = ACTIONS(1432),
    [aux_sym_raise_statement_token1] = ACTIONS(1432),
    [anon_sym_EQ] = ACTIONS(1430),
    [aux_sym_assert_statement_token1] = ACTIONS(1432),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1432),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1432),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [aux_sym_set_operation_token1] = ACTIONS(1432),
    [aux_sym_set_operation_token3] = ACTIONS(1432),
    [aux_sym_set_operation_token4] = ACTIONS(1432),
    [aux_sym_select_token1] = ACTIONS(1432),
    [aux_sym_having_clause_token1] = ACTIONS(1432),
    [aux_sym_qualify_clause_token1] = ACTIONS(1432),
    [aux_sym_limit_clause_token1] = ACTIONS(1432),
    [aux_sym_group_by_clause_token1] = ACTIONS(1432),
    [aux_sym_order_by_clause_token1] = ACTIONS(1432),
    [aux_sym_where_clause_token1] = ACTIONS(1432),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1432),
    [aux_sym_truncate_statement_token1] = ACTIONS(1432),
    [aux_sym_update_statement_token1] = ACTIONS(1432),
    [aux_sym_merge_statement_token1] = ACTIONS(1432),
    [aux_sym_grant_statement_token1] = ACTIONS(1432),
    [aux_sym_revoke_statement_token1] = ACTIONS(1432),
    [aux_sym_export_data_statement_token1] = ACTIONS(1432),
    [aux_sym_load_data_statement_token1] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [sym__quoted_identifier] = ACTIONS(1430),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1432),
    [anon_sym_PIPE_PIPE] = ACTIONS(1430),
    [anon_sym_LT_EQ] = ACTIONS(1430),
    [anon_sym_LT_GT] = ACTIONS(1430),
    [anon_sym_GT_EQ] = ACTIONS(1430),
    [anon_sym_BANG_EQ] = ACTIONS(1430),
    [anon_sym_LT_LT] = ACTIONS(1430),
    [anon_sym_GT_GT] = ACTIONS(1430),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_PIPE] = ACTIONS(1432),
  },
  [891] = {
    [sym_analytics_clause] = STATE(2195),
    [sym__unquoted_identifier] = ACTIONS(1428),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1428),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1428),
    [aux_sym_keyword_replace_token1] = ACTIONS(1428),
    [aux_sym__keyword_alter_token1] = ACTIONS(1428),
    [aux_sym__keyword_from_token1] = ACTIONS(1428),
    [aux_sym__keyword_delete_token1] = ACTIONS(1428),
    [aux_sym__keyword_begin_token1] = ACTIONS(1428),
    [aux_sym__keyword_end_token1] = ACTIONS(1428),
    [aux_sym__keyword_between_token1] = ACTIONS(1428),
    [aux_sym__keyword_when_token1] = ACTIONS(1428),
    [aux_sym__keyword_else_token1] = ACTIONS(1428),
    [aux_sym__keyword_is_token1] = ACTIONS(1428),
    [aux_sym__keyword_in_token1] = ACTIONS(1428),
    [aux_sym__keyword_and_token1] = ACTIONS(1428),
    [aux_sym__keyword_like_token1] = ACTIONS(1428),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1428),
    [aux_sym__keyword_as_token1] = ACTIONS(1428),
    [aux_sym__keyword_window_token1] = ACTIONS(1428),
    [aux_sym__keyword_date_token1] = ACTIONS(1428),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1428),
    [aux_sym__keyword_time_token1] = ACTIONS(1428),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1428),
    [aux_sym__keyword_for_token1] = ACTIONS(1428),
    [anon_sym_SEMI] = ACTIONS(1426),
    [aux_sym_declare_statement_token1] = ACTIONS(1428),
    [anon_sym_COMMA] = ACTIONS(1426),
    [aux_sym_set_statement_token1] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(1426),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1428),
    [aux_sym_return_satement_token1] = ACTIONS(1428),
    [aux_sym_call_statement_token1] = ACTIONS(1428),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1428),
    [aux_sym_if_statement_token1] = ACTIONS(1428),
    [aux_sym_loop_statement_token1] = ACTIONS(1428),
    [aux_sym_repeat_statement_token1] = ACTIONS(1428),
    [aux_sym_while_statement_token1] = ACTIONS(1428),
    [aux_sym_break_statement_token1] = ACTIONS(1428),
    [aux_sym_leave_statement_token1] = ACTIONS(1428),
    [aux_sym_continue_statement_token1] = ACTIONS(1428),
    [aux_sym_iterate_statement_token1] = ACTIONS(1428),
    [aux_sym_raise_statement_token1] = ACTIONS(1428),
    [anon_sym_EQ] = ACTIONS(1426),
    [aux_sym_assert_statement_token1] = ACTIONS(1428),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1428),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1428),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1428),
    [anon_sym_LT] = ACTIONS(1428),
    [anon_sym_GT] = ACTIONS(1428),
    [aux_sym_set_operation_token1] = ACTIONS(1428),
    [aux_sym_set_operation_token3] = ACTIONS(1428),
    [aux_sym_set_operation_token4] = ACTIONS(1428),
    [aux_sym_select_token1] = ACTIONS(1428),
    [aux_sym_having_clause_token1] = ACTIONS(1428),
    [aux_sym_qualify_clause_token1] = ACTIONS(1428),
    [aux_sym_limit_clause_token1] = ACTIONS(1428),
    [aux_sym_group_by_clause_token1] = ACTIONS(1428),
    [aux_sym_order_by_clause_token1] = ACTIONS(1428),
    [aux_sym_where_clause_token1] = ACTIONS(1428),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1428),
    [aux_sym_truncate_statement_token1] = ACTIONS(1428),
    [aux_sym_update_statement_token1] = ACTIONS(1428),
    [aux_sym_merge_statement_token1] = ACTIONS(1428),
    [aux_sym_grant_statement_token1] = ACTIONS(1428),
    [aux_sym_revoke_statement_token1] = ACTIONS(1428),
    [aux_sym_export_data_statement_token1] = ACTIONS(1428),
    [aux_sym_load_data_statement_token1] = ACTIONS(1428),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym__quoted_identifier] = ACTIONS(1426),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1426),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PIPE_PIPE] = ACTIONS(1426),
    [anon_sym_LT_EQ] = ACTIONS(1426),
    [anon_sym_LT_GT] = ACTIONS(1426),
    [anon_sym_GT_EQ] = ACTIONS(1426),
    [anon_sym_BANG_EQ] = ACTIONS(1426),
    [anon_sym_LT_LT] = ACTIONS(1426),
    [anon_sym_GT_GT] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_PIPE] = ACTIONS(1428),
  },
  [892] = {
    [sym_analytics_clause] = STATE(2135),
    [sym__unquoted_identifier] = ACTIONS(1396),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1396),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1396),
    [aux_sym_keyword_replace_token1] = ACTIONS(1396),
    [aux_sym__keyword_alter_token1] = ACTIONS(1396),
    [aux_sym__keyword_from_token1] = ACTIONS(1396),
    [aux_sym__keyword_delete_token1] = ACTIONS(1396),
    [aux_sym__keyword_begin_token1] = ACTIONS(1396),
    [aux_sym__keyword_end_token1] = ACTIONS(1396),
    [aux_sym__keyword_between_token1] = ACTIONS(1396),
    [aux_sym__keyword_when_token1] = ACTIONS(1396),
    [aux_sym__keyword_else_token1] = ACTIONS(1396),
    [aux_sym__keyword_is_token1] = ACTIONS(1396),
    [aux_sym__keyword_in_token1] = ACTIONS(1396),
    [aux_sym__keyword_and_token1] = ACTIONS(1396),
    [aux_sym__keyword_like_token1] = ACTIONS(1396),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1396),
    [aux_sym__keyword_as_token1] = ACTIONS(1396),
    [aux_sym__keyword_window_token1] = ACTIONS(1396),
    [aux_sym__keyword_date_token1] = ACTIONS(1396),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1396),
    [aux_sym__keyword_time_token1] = ACTIONS(1396),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1396),
    [aux_sym__keyword_for_token1] = ACTIONS(1396),
    [anon_sym_SEMI] = ACTIONS(1394),
    [aux_sym_declare_statement_token1] = ACTIONS(1396),
    [anon_sym_COMMA] = ACTIONS(1394),
    [aux_sym_set_statement_token1] = ACTIONS(1396),
    [anon_sym_LPAREN] = ACTIONS(1394),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1396),
    [aux_sym_return_satement_token1] = ACTIONS(1396),
    [aux_sym_call_statement_token1] = ACTIONS(1396),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1396),
    [aux_sym_if_statement_token1] = ACTIONS(1396),
    [aux_sym_loop_statement_token1] = ACTIONS(1396),
    [aux_sym_repeat_statement_token1] = ACTIONS(1396),
    [aux_sym_while_statement_token1] = ACTIONS(1396),
    [aux_sym_break_statement_token1] = ACTIONS(1396),
    [aux_sym_leave_statement_token1] = ACTIONS(1396),
    [aux_sym_continue_statement_token1] = ACTIONS(1396),
    [aux_sym_iterate_statement_token1] = ACTIONS(1396),
    [aux_sym_raise_statement_token1] = ACTIONS(1396),
    [anon_sym_EQ] = ACTIONS(1394),
    [aux_sym_assert_statement_token1] = ACTIONS(1396),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1396),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1396),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1396),
    [anon_sym_LT] = ACTIONS(1396),
    [anon_sym_GT] = ACTIONS(1396),
    [aux_sym_set_operation_token1] = ACTIONS(1396),
    [aux_sym_set_operation_token3] = ACTIONS(1396),
    [aux_sym_set_operation_token4] = ACTIONS(1396),
    [aux_sym_select_token1] = ACTIONS(1396),
    [aux_sym_having_clause_token1] = ACTIONS(1396),
    [aux_sym_qualify_clause_token1] = ACTIONS(1396),
    [aux_sym_limit_clause_token1] = ACTIONS(1396),
    [aux_sym_group_by_clause_token1] = ACTIONS(1396),
    [aux_sym_order_by_clause_token1] = ACTIONS(1396),
    [aux_sym_where_clause_token1] = ACTIONS(1396),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1396),
    [aux_sym_truncate_statement_token1] = ACTIONS(1396),
    [aux_sym_update_statement_token1] = ACTIONS(1396),
    [aux_sym_merge_statement_token1] = ACTIONS(1396),
    [aux_sym_grant_statement_token1] = ACTIONS(1396),
    [aux_sym_revoke_statement_token1] = ACTIONS(1396),
    [aux_sym_export_data_statement_token1] = ACTIONS(1396),
    [aux_sym_load_data_statement_token1] = ACTIONS(1396),
    [anon_sym_LBRACK] = ACTIONS(1394),
    [sym__quoted_identifier] = ACTIONS(1394),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_STAR] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(1396),
    [anon_sym_PIPE_PIPE] = ACTIONS(1394),
    [anon_sym_LT_EQ] = ACTIONS(1394),
    [anon_sym_LT_GT] = ACTIONS(1394),
    [anon_sym_GT_EQ] = ACTIONS(1394),
    [anon_sym_BANG_EQ] = ACTIONS(1394),
    [anon_sym_LT_LT] = ACTIONS(1394),
    [anon_sym_GT_GT] = ACTIONS(1394),
    [anon_sym_AMP] = ACTIONS(1394),
    [anon_sym_CARET] = ACTIONS(1394),
    [anon_sym_PIPE] = ACTIONS(1396),
  },
  [893] = {
    [sym_analytics_clause] = STATE(2192),
    [sym__unquoted_identifier] = ACTIONS(1424),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1424),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1424),
    [aux_sym_keyword_replace_token1] = ACTIONS(1424),
    [aux_sym__keyword_alter_token1] = ACTIONS(1424),
    [aux_sym__keyword_from_token1] = ACTIONS(1424),
    [aux_sym__keyword_delete_token1] = ACTIONS(1424),
    [aux_sym__keyword_begin_token1] = ACTIONS(1424),
    [aux_sym__keyword_end_token1] = ACTIONS(1424),
    [aux_sym__keyword_between_token1] = ACTIONS(1424),
    [aux_sym__keyword_when_token1] = ACTIONS(1424),
    [aux_sym__keyword_else_token1] = ACTIONS(1424),
    [aux_sym__keyword_is_token1] = ACTIONS(1424),
    [aux_sym__keyword_in_token1] = ACTIONS(1424),
    [aux_sym__keyword_and_token1] = ACTIONS(1424),
    [aux_sym__keyword_like_token1] = ACTIONS(1424),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1424),
    [aux_sym__keyword_as_token1] = ACTIONS(1424),
    [aux_sym__keyword_window_token1] = ACTIONS(1424),
    [aux_sym__keyword_date_token1] = ACTIONS(1424),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1424),
    [aux_sym__keyword_time_token1] = ACTIONS(1424),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1424),
    [aux_sym__keyword_for_token1] = ACTIONS(1424),
    [anon_sym_SEMI] = ACTIONS(1422),
    [aux_sym_declare_statement_token1] = ACTIONS(1424),
    [anon_sym_COMMA] = ACTIONS(1422),
    [aux_sym_set_statement_token1] = ACTIONS(1424),
    [anon_sym_LPAREN] = ACTIONS(1422),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1424),
    [aux_sym_return_satement_token1] = ACTIONS(1424),
    [aux_sym_call_statement_token1] = ACTIONS(1424),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1424),
    [aux_sym_if_statement_token1] = ACTIONS(1424),
    [aux_sym_loop_statement_token1] = ACTIONS(1424),
    [aux_sym_repeat_statement_token1] = ACTIONS(1424),
    [aux_sym_while_statement_token1] = ACTIONS(1424),
    [aux_sym_break_statement_token1] = ACTIONS(1424),
    [aux_sym_leave_statement_token1] = ACTIONS(1424),
    [aux_sym_continue_statement_token1] = ACTIONS(1424),
    [aux_sym_iterate_statement_token1] = ACTIONS(1424),
    [aux_sym_raise_statement_token1] = ACTIONS(1424),
    [anon_sym_EQ] = ACTIONS(1422),
    [aux_sym_assert_statement_token1] = ACTIONS(1424),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1424),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1424),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1424),
    [anon_sym_LT] = ACTIONS(1424),
    [anon_sym_GT] = ACTIONS(1424),
    [aux_sym_set_operation_token1] = ACTIONS(1424),
    [aux_sym_set_operation_token3] = ACTIONS(1424),
    [aux_sym_set_operation_token4] = ACTIONS(1424),
    [aux_sym_select_token1] = ACTIONS(1424),
    [aux_sym_having_clause_token1] = ACTIONS(1424),
    [aux_sym_qualify_clause_token1] = ACTIONS(1424),
    [aux_sym_limit_clause_token1] = ACTIONS(1424),
    [aux_sym_group_by_clause_token1] = ACTIONS(1424),
    [aux_sym_order_by_clause_token1] = ACTIONS(1424),
    [aux_sym_where_clause_token1] = ACTIONS(1424),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1424),
    [aux_sym_truncate_statement_token1] = ACTIONS(1424),
    [aux_sym_update_statement_token1] = ACTIONS(1424),
    [aux_sym_merge_statement_token1] = ACTIONS(1424),
    [aux_sym_grant_statement_token1] = ACTIONS(1424),
    [aux_sym_revoke_statement_token1] = ACTIONS(1424),
    [aux_sym_export_data_statement_token1] = ACTIONS(1424),
    [aux_sym_load_data_statement_token1] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1422),
    [sym__quoted_identifier] = ACTIONS(1422),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1424),
    [anon_sym_STAR] = ACTIONS(1422),
    [anon_sym_SLASH] = ACTIONS(1424),
    [anon_sym_PIPE_PIPE] = ACTIONS(1422),
    [anon_sym_LT_EQ] = ACTIONS(1422),
    [anon_sym_LT_GT] = ACTIONS(1422),
    [anon_sym_GT_EQ] = ACTIONS(1422),
    [anon_sym_BANG_EQ] = ACTIONS(1422),
    [anon_sym_LT_LT] = ACTIONS(1422),
    [anon_sym_GT_GT] = ACTIONS(1422),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_CARET] = ACTIONS(1422),
    [anon_sym_PIPE] = ACTIONS(1424),
  },
  [894] = {
    [sym_analytics_clause] = STATE(2133),
    [sym__unquoted_identifier] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1400),
    [aux_sym_keyword_replace_token1] = ACTIONS(1400),
    [aux_sym__keyword_alter_token1] = ACTIONS(1400),
    [aux_sym__keyword_from_token1] = ACTIONS(1400),
    [aux_sym__keyword_delete_token1] = ACTIONS(1400),
    [aux_sym__keyword_begin_token1] = ACTIONS(1400),
    [aux_sym__keyword_end_token1] = ACTIONS(1400),
    [aux_sym__keyword_between_token1] = ACTIONS(1400),
    [aux_sym__keyword_when_token1] = ACTIONS(1400),
    [aux_sym__keyword_else_token1] = ACTIONS(1400),
    [aux_sym__keyword_is_token1] = ACTIONS(1400),
    [aux_sym__keyword_in_token1] = ACTIONS(1400),
    [aux_sym__keyword_and_token1] = ACTIONS(1400),
    [aux_sym__keyword_like_token1] = ACTIONS(1400),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1400),
    [aux_sym__keyword_as_token1] = ACTIONS(1400),
    [aux_sym__keyword_window_token1] = ACTIONS(1400),
    [aux_sym__keyword_date_token1] = ACTIONS(1400),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1400),
    [aux_sym__keyword_time_token1] = ACTIONS(1400),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1400),
    [aux_sym__keyword_for_token1] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1400),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1400),
    [aux_sym_return_satement_token1] = ACTIONS(1400),
    [aux_sym_call_statement_token1] = ACTIONS(1400),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1400),
    [aux_sym_if_statement_token1] = ACTIONS(1400),
    [aux_sym_loop_statement_token1] = ACTIONS(1400),
    [aux_sym_repeat_statement_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token1] = ACTIONS(1400),
    [aux_sym_break_statement_token1] = ACTIONS(1400),
    [aux_sym_leave_statement_token1] = ACTIONS(1400),
    [aux_sym_continue_statement_token1] = ACTIONS(1400),
    [aux_sym_iterate_statement_token1] = ACTIONS(1400),
    [aux_sym_raise_statement_token1] = ACTIONS(1400),
    [anon_sym_EQ] = ACTIONS(1398),
    [aux_sym_assert_statement_token1] = ACTIONS(1400),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1400),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [aux_sym_set_operation_token1] = ACTIONS(1400),
    [aux_sym_set_operation_token3] = ACTIONS(1400),
    [aux_sym_set_operation_token4] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1400),
    [aux_sym_having_clause_token1] = ACTIONS(1400),
    [aux_sym_qualify_clause_token1] = ACTIONS(1400),
    [aux_sym_limit_clause_token1] = ACTIONS(1400),
    [aux_sym_group_by_clause_token1] = ACTIONS(1400),
    [aux_sym_order_by_clause_token1] = ACTIONS(1400),
    [aux_sym_where_clause_token1] = ACTIONS(1400),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1400),
    [aux_sym_truncate_statement_token1] = ACTIONS(1400),
    [aux_sym_update_statement_token1] = ACTIONS(1400),
    [aux_sym_merge_statement_token1] = ACTIONS(1400),
    [aux_sym_grant_statement_token1] = ACTIONS(1400),
    [aux_sym_revoke_statement_token1] = ACTIONS(1400),
    [aux_sym_export_data_statement_token1] = ACTIONS(1400),
    [aux_sym_load_data_statement_token1] = ACTIONS(1400),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym__quoted_identifier] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_LT_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
  },
  [895] = {
    [sym_analytics_clause] = STATE(2181),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1420),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_from_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_end_token1] = ACTIONS(1420),
    [aux_sym__keyword_between_token1] = ACTIONS(1420),
    [aux_sym__keyword_when_token1] = ACTIONS(1420),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1420),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1420),
    [aux_sym__keyword_like_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_window_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_repeat_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token3] = ACTIONS(1420),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_having_clause_token1] = ACTIONS(1420),
    [aux_sym_qualify_clause_token1] = ACTIONS(1420),
    [aux_sym_limit_clause_token1] = ACTIONS(1420),
    [aux_sym_group_by_clause_token1] = ACTIONS(1420),
    [aux_sym_order_by_clause_token1] = ACTIONS(1420),
    [aux_sym_where_clause_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [896] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(874),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2414),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3677),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2420),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2424),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [897] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(917),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(1888),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3020),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2430),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2432),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [898] = {
    [sym_analytics_clause] = STATE(2162),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1420),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_from_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_end_token1] = ACTIONS(1420),
    [aux_sym__keyword_between_token1] = ACTIONS(1420),
    [aux_sym__keyword_when_token1] = ACTIONS(1420),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1420),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1420),
    [aux_sym__keyword_like_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_window_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_repeat_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token3] = ACTIONS(1420),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_having_clause_token1] = ACTIONS(1420),
    [aux_sym_qualify_clause_token1] = ACTIONS(1420),
    [aux_sym_limit_clause_token1] = ACTIONS(1420),
    [aux_sym_group_by_clause_token1] = ACTIONS(1420),
    [aux_sym_order_by_clause_token1] = ACTIONS(1420),
    [aux_sym_where_clause_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [899] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(874),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2414),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3676),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2420),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2424),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [900] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(874),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2414),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3675),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2420),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2424),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [901] = {
    [sym_analytics_clause] = STATE(2160),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1420),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_from_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_end_token1] = ACTIONS(1420),
    [aux_sym__keyword_between_token1] = ACTIONS(1420),
    [aux_sym__keyword_when_token1] = ACTIONS(1420),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1420),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1420),
    [aux_sym__keyword_like_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_window_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_repeat_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token3] = ACTIONS(1420),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_having_clause_token1] = ACTIONS(1420),
    [aux_sym_qualify_clause_token1] = ACTIONS(1420),
    [aux_sym_limit_clause_token1] = ACTIONS(1420),
    [aux_sym_group_by_clause_token1] = ACTIONS(1420),
    [aux_sym_order_by_clause_token1] = ACTIONS(1420),
    [aux_sym_where_clause_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [902] = {
    [sym_analytics_clause] = STATE(2156),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1420),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_from_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_end_token1] = ACTIONS(1420),
    [aux_sym__keyword_between_token1] = ACTIONS(1420),
    [aux_sym__keyword_when_token1] = ACTIONS(1420),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1420),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1420),
    [aux_sym__keyword_like_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_window_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_repeat_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token3] = ACTIONS(1420),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_having_clause_token1] = ACTIONS(1420),
    [aux_sym_qualify_clause_token1] = ACTIONS(1420),
    [aux_sym_limit_clause_token1] = ACTIONS(1420),
    [aux_sym_group_by_clause_token1] = ACTIONS(1420),
    [aux_sym_order_by_clause_token1] = ACTIONS(1420),
    [aux_sym_where_clause_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [903] = {
    [sym_analytics_clause] = STATE(2130),
    [sym__unquoted_identifier] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1400),
    [aux_sym_keyword_replace_token1] = ACTIONS(1400),
    [aux_sym__keyword_alter_token1] = ACTIONS(1400),
    [aux_sym__keyword_from_token1] = ACTIONS(1400),
    [aux_sym__keyword_delete_token1] = ACTIONS(1400),
    [aux_sym__keyword_begin_token1] = ACTIONS(1400),
    [aux_sym__keyword_end_token1] = ACTIONS(1400),
    [aux_sym__keyword_between_token1] = ACTIONS(1400),
    [aux_sym__keyword_when_token1] = ACTIONS(1400),
    [aux_sym__keyword_else_token1] = ACTIONS(1400),
    [aux_sym__keyword_is_token1] = ACTIONS(1400),
    [aux_sym__keyword_in_token1] = ACTIONS(1400),
    [aux_sym__keyword_and_token1] = ACTIONS(1400),
    [aux_sym__keyword_like_token1] = ACTIONS(1400),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1400),
    [aux_sym__keyword_as_token1] = ACTIONS(1400),
    [aux_sym__keyword_window_token1] = ACTIONS(1400),
    [aux_sym__keyword_date_token1] = ACTIONS(1400),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1400),
    [aux_sym__keyword_time_token1] = ACTIONS(1400),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1400),
    [aux_sym__keyword_for_token1] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1400),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1400),
    [aux_sym_return_satement_token1] = ACTIONS(1400),
    [aux_sym_call_statement_token1] = ACTIONS(1400),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1400),
    [aux_sym_if_statement_token1] = ACTIONS(1400),
    [aux_sym_loop_statement_token1] = ACTIONS(1400),
    [aux_sym_repeat_statement_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token1] = ACTIONS(1400),
    [aux_sym_break_statement_token1] = ACTIONS(1400),
    [aux_sym_leave_statement_token1] = ACTIONS(1400),
    [aux_sym_continue_statement_token1] = ACTIONS(1400),
    [aux_sym_iterate_statement_token1] = ACTIONS(1400),
    [aux_sym_raise_statement_token1] = ACTIONS(1400),
    [anon_sym_EQ] = ACTIONS(1398),
    [aux_sym_assert_statement_token1] = ACTIONS(1400),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1400),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [aux_sym_set_operation_token1] = ACTIONS(1400),
    [aux_sym_set_operation_token3] = ACTIONS(1400),
    [aux_sym_set_operation_token4] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1400),
    [aux_sym_having_clause_token1] = ACTIONS(1400),
    [aux_sym_qualify_clause_token1] = ACTIONS(1400),
    [aux_sym_limit_clause_token1] = ACTIONS(1400),
    [aux_sym_group_by_clause_token1] = ACTIONS(1400),
    [aux_sym_order_by_clause_token1] = ACTIONS(1400),
    [aux_sym_where_clause_token1] = ACTIONS(1400),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1400),
    [aux_sym_truncate_statement_token1] = ACTIONS(1400),
    [aux_sym_update_statement_token1] = ACTIONS(1400),
    [aux_sym_merge_statement_token1] = ACTIONS(1400),
    [aux_sym_grant_statement_token1] = ACTIONS(1400),
    [aux_sym_revoke_statement_token1] = ACTIONS(1400),
    [aux_sym_export_data_statement_token1] = ACTIONS(1400),
    [aux_sym_load_data_statement_token1] = ACTIONS(1400),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym__quoted_identifier] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_LT_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
  },
  [904] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(844),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(385),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2578),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(2298),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2300),
    [anon_sym_PLUS] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2302),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [905] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(874),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2414),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3668),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2420),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2424),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [906] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1670),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(175),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(2518),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(995),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(997),
    [anon_sym_PLUS] = ACTIONS(999),
    [anon_sym_DASH] = ACTIONS(999),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [907] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(874),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2414),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3683),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2420),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2424),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [908] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(6635),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [909] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(6633),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [910] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1670),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(175),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(2499),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(995),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(997),
    [anon_sym_PLUS] = ACTIONS(999),
    [anon_sym_DASH] = ACTIONS(999),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [911] = {
    [sym_analytics_clause] = STATE(2153),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1420),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_from_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_end_token1] = ACTIONS(1420),
    [aux_sym__keyword_between_token1] = ACTIONS(1420),
    [aux_sym__keyword_when_token1] = ACTIONS(1420),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1420),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1420),
    [aux_sym__keyword_like_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_window_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_repeat_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token3] = ACTIONS(1420),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_having_clause_token1] = ACTIONS(1420),
    [aux_sym_qualify_clause_token1] = ACTIONS(1420),
    [aux_sym_limit_clause_token1] = ACTIONS(1420),
    [aux_sym_group_by_clause_token1] = ACTIONS(1420),
    [aux_sym_order_by_clause_token1] = ACTIONS(1420),
    [aux_sym_where_clause_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [912] = {
    [sym_analytics_clause] = STATE(2087),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1420),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_from_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_end_token1] = ACTIONS(1420),
    [aux_sym__keyword_between_token1] = ACTIONS(1420),
    [aux_sym__keyword_when_token1] = ACTIONS(1420),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1420),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1420),
    [aux_sym__keyword_like_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_window_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_repeat_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token3] = ACTIONS(1420),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_having_clause_token1] = ACTIONS(1420),
    [aux_sym_qualify_clause_token1] = ACTIONS(1420),
    [aux_sym_limit_clause_token1] = ACTIONS(1420),
    [aux_sym_group_by_clause_token1] = ACTIONS(1420),
    [aux_sym_order_by_clause_token1] = ACTIONS(1420),
    [aux_sym_where_clause_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [913] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10201),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [914] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9889),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [915] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10200),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [916] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(917),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(1888),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3027),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2430),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2432),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [917] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(917),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(1888),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(2997),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2430),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2432),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [918] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_select_subexpression] = STATE(9926),
    [sym_function_call] = STATE(9926),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(13757),
    [sym_identifier] = STATE(9720),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7388),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [919] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(917),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(1888),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3008),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2430),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2432),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [920] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(917),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(1888),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3009),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2430),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2432),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [921] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(917),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(1888),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3010),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2430),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2432),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [922] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(917),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(1888),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3011),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2430),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2432),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [923] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(917),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(1888),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3012),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2430),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2432),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [924] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(917),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(1888),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3013),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2430),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2432),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [925] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(841),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2044),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3387),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2406),
    [anon_sym_DASH] = ACTIONS(2406),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [926] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10199),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [927] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(917),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(1888),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3014),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2430),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2432),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [928] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(841),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2044),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3374),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2406),
    [anon_sym_DASH] = ACTIONS(2406),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [929] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(917),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(1888),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3015),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2430),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2432),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [930] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(917),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(1888),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3016),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2430),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2432),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [931] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(841),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2044),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3376),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2406),
    [anon_sym_DASH] = ACTIONS(2406),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [932] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(844),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(385),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2623),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(2298),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2300),
    [anon_sym_PLUS] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2302),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [933] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16191),
    [sym__keyword_case] = STATE(326),
    [sym__keyword_not] = STATE(1774),
    [sym__keyword_cast] = STATE(19299),
    [sym__keyword_date] = STATE(3373),
    [sym__keyword_datetime] = STATE(3373),
    [sym__keyword_time] = STATE(3373),
    [sym__keyword_timestamp] = STATE(3373),
    [sym_select_subexpression] = STATE(3579),
    [sym_function_call] = STATE(3579),
    [sym_unnest_operator] = STATE(2131),
    [sym_unnest_clause] = STATE(3579),
    [sym__literal] = STATE(3579),
    [sym_NULL] = STATE(3579),
    [sym_TRUE] = STATE(3579),
    [sym_FALSE] = STATE(3579),
    [sym__float] = STATE(3578),
    [sym_numeric] = STATE(3578),
    [sym__number] = STATE(3578),
    [sym_interval] = STATE(3579),
    [sym_range] = STATE(3579),
    [sym_time] = STATE(3579),
    [sym_number] = STATE(3579),
    [sym_json] = STATE(3579),
    [sym_query_parameter] = STATE(3579),
    [sym__type_chrono] = STATE(3122),
    [sym__type_struct] = STATE(19114),
    [sym__type_array] = STATE(18640),
    [sym_array] = STATE(3579),
    [sym_struct] = STATE(3579),
    [sym__identifier] = STATE(3384),
    [sym__dotted_identifier] = STATE(13989),
    [sym_identifier] = STATE(3577),
    [sym_string] = STATE(3579),
    [sym__expression] = STATE(2358),
    [sym__parenthesized_expression] = STATE(3579),
    [sym_element_access] = STATE(3579),
    [sym_field_access] = STATE(3579),
    [sym_unary_expression] = STATE(3579),
    [sym_binary_expression] = STATE(3579),
    [sym_between_operator] = STATE(3579),
    [sym_casewhen_expression] = STATE(3579),
    [sym_cast_expression] = STATE(3579),
    [sym_argument_reference] = STATE(3579),
    [aux_sym_identifier_repeat1] = STATE(13989),
    [sym__unquoted_identifier] = ACTIONS(1926),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1928),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1930),
    [aux_sym__keyword_case_token1] = ACTIONS(1932),
    [aux_sym__keyword_cast_token1] = ACTIONS(1934),
    [aux_sym__keyword_cast_token2] = ACTIONS(1934),
    [aux_sym__keyword_date_token1] = ACTIONS(1936),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1936),
    [aux_sym__keyword_time_token1] = ACTIONS(1936),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1936),
    [anon_sym_LPAREN] = ACTIONS(1938),
    [aux_sym_drop_notnull_token1] = ACTIONS(1940),
    [aux_sym_function_call_token2] = ACTIONS(1942),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(1946),
    [aux_sym_FALSE_token1] = ACTIONS(1948),
    [sym__integer] = ACTIONS(1950),
    [aux_sym__float_token1] = ACTIONS(1952),
    [aux_sym__float_token2] = ACTIONS(1950),
    [aux_sym__float_token3] = ACTIONS(1952),
    [aux_sym_numeric_token1] = ACTIONS(1954),
    [aux_sym_numeric_token2] = ACTIONS(1954),
    [aux_sym_numeric_token3] = ACTIONS(1954),
    [aux_sym_numeric_token4] = ACTIONS(1954),
    [aux_sym_interval_token1] = ACTIONS(1956),
    [anon_sym_LBRACK] = ACTIONS(1958),
    [aux_sym_json_token1] = ACTIONS(1960),
    [sym_system_variable] = ACTIONS(1962),
    [sym__named_query_parameter] = ACTIONS(1964),
    [sym__positional_query_parameter] = ACTIONS(1966),
    [sym__quoted_identifier] = ACTIONS(1968),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1970),
    [anon_sym_PLUS] = ACTIONS(1972),
    [anon_sym_DASH] = ACTIONS(1972),
    [anon_sym_operator_compare] = ACTIONS(1974),
    [anon_sym_DOLLAR] = ACTIONS(1976),
    [sym__string_start] = ACTIONS(1978),
  },
  [934] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16191),
    [sym__keyword_case] = STATE(326),
    [sym__keyword_not] = STATE(1774),
    [sym__keyword_cast] = STATE(19299),
    [sym__keyword_date] = STATE(3373),
    [sym__keyword_datetime] = STATE(3373),
    [sym__keyword_time] = STATE(3373),
    [sym__keyword_timestamp] = STATE(3373),
    [sym_select_subexpression] = STATE(3579),
    [sym_function_call] = STATE(3579),
    [sym_unnest_operator] = STATE(2131),
    [sym_unnest_clause] = STATE(3579),
    [sym__literal] = STATE(3579),
    [sym_NULL] = STATE(3579),
    [sym_TRUE] = STATE(3579),
    [sym_FALSE] = STATE(3579),
    [sym__float] = STATE(3578),
    [sym_numeric] = STATE(3578),
    [sym__number] = STATE(3578),
    [sym_interval] = STATE(3579),
    [sym_range] = STATE(3579),
    [sym_time] = STATE(3579),
    [sym_number] = STATE(3579),
    [sym_json] = STATE(3579),
    [sym_query_parameter] = STATE(3579),
    [sym__type_chrono] = STATE(3122),
    [sym__type_struct] = STATE(19114),
    [sym__type_array] = STATE(18640),
    [sym_array] = STATE(3579),
    [sym_struct] = STATE(3579),
    [sym__identifier] = STATE(3384),
    [sym__dotted_identifier] = STATE(13989),
    [sym_identifier] = STATE(3577),
    [sym_string] = STATE(3579),
    [sym__expression] = STATE(2360),
    [sym__parenthesized_expression] = STATE(3579),
    [sym_element_access] = STATE(3579),
    [sym_field_access] = STATE(3579),
    [sym_unary_expression] = STATE(3579),
    [sym_binary_expression] = STATE(3579),
    [sym_between_operator] = STATE(3579),
    [sym_casewhen_expression] = STATE(3579),
    [sym_cast_expression] = STATE(3579),
    [sym_argument_reference] = STATE(3579),
    [aux_sym_identifier_repeat1] = STATE(13989),
    [sym__unquoted_identifier] = ACTIONS(1926),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1928),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1930),
    [aux_sym__keyword_case_token1] = ACTIONS(1932),
    [aux_sym__keyword_cast_token1] = ACTIONS(1934),
    [aux_sym__keyword_cast_token2] = ACTIONS(1934),
    [aux_sym__keyword_date_token1] = ACTIONS(1936),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1936),
    [aux_sym__keyword_time_token1] = ACTIONS(1936),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1936),
    [anon_sym_LPAREN] = ACTIONS(1938),
    [aux_sym_drop_notnull_token1] = ACTIONS(1940),
    [aux_sym_function_call_token2] = ACTIONS(1942),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(1946),
    [aux_sym_FALSE_token1] = ACTIONS(1948),
    [sym__integer] = ACTIONS(1950),
    [aux_sym__float_token1] = ACTIONS(1952),
    [aux_sym__float_token2] = ACTIONS(1950),
    [aux_sym__float_token3] = ACTIONS(1952),
    [aux_sym_numeric_token1] = ACTIONS(1954),
    [aux_sym_numeric_token2] = ACTIONS(1954),
    [aux_sym_numeric_token3] = ACTIONS(1954),
    [aux_sym_numeric_token4] = ACTIONS(1954),
    [aux_sym_interval_token1] = ACTIONS(1956),
    [anon_sym_LBRACK] = ACTIONS(1958),
    [aux_sym_json_token1] = ACTIONS(1960),
    [sym_system_variable] = ACTIONS(1962),
    [sym__named_query_parameter] = ACTIONS(1964),
    [sym__positional_query_parameter] = ACTIONS(1966),
    [sym__quoted_identifier] = ACTIONS(1968),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1970),
    [anon_sym_PLUS] = ACTIONS(1972),
    [anon_sym_DASH] = ACTIONS(1972),
    [anon_sym_operator_compare] = ACTIONS(1974),
    [anon_sym_DOLLAR] = ACTIONS(1976),
    [sym__string_start] = ACTIONS(1978),
  },
  [935] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(844),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(385),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2580),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(2298),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2300),
    [anon_sym_PLUS] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2302),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [936] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(844),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(385),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2581),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(2298),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2300),
    [anon_sym_PLUS] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2302),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [937] = {
    [ts_builtin_sym_end] = ACTIONS(1850),
    [sym__unquoted_identifier] = ACTIONS(1852),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1852),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1852),
    [aux_sym_keyword_replace_token1] = ACTIONS(1852),
    [aux_sym__keyword_alter_token1] = ACTIONS(1852),
    [aux_sym__keyword_from_token1] = ACTIONS(1852),
    [aux_sym__keyword_delete_token1] = ACTIONS(1852),
    [aux_sym__keyword_begin_token1] = ACTIONS(1852),
    [aux_sym__keyword_end_token1] = ACTIONS(1852),
    [aux_sym__keyword_between_token1] = ACTIONS(1852),
    [aux_sym__keyword_when_token1] = ACTIONS(1852),
    [aux_sym__keyword_else_token1] = ACTIONS(1852),
    [aux_sym__keyword_is_token1] = ACTIONS(1852),
    [aux_sym__keyword_in_token1] = ACTIONS(1852),
    [aux_sym__keyword_and_token1] = ACTIONS(1852),
    [aux_sym__keyword_like_token1] = ACTIONS(1852),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1852),
    [aux_sym__keyword_as_token1] = ACTIONS(1852),
    [aux_sym__keyword_window_token1] = ACTIONS(1852),
    [aux_sym__keyword_date_token1] = ACTIONS(1852),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1852),
    [aux_sym__keyword_time_token1] = ACTIONS(1852),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1852),
    [aux_sym__keyword_for_token1] = ACTIONS(1852),
    [anon_sym_SEMI] = ACTIONS(1850),
    [aux_sym_declare_statement_token1] = ACTIONS(1852),
    [anon_sym_COMMA] = ACTIONS(1850),
    [aux_sym_set_statement_token1] = ACTIONS(1852),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_RPAREN] = ACTIONS(1850),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1852),
    [aux_sym_return_satement_token1] = ACTIONS(1852),
    [aux_sym_call_statement_token1] = ACTIONS(1852),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1852),
    [aux_sym_if_statement_token1] = ACTIONS(1852),
    [aux_sym_loop_statement_token1] = ACTIONS(1852),
    [aux_sym_repeat_statement_token1] = ACTIONS(1852),
    [aux_sym_while_statement_token1] = ACTIONS(1852),
    [aux_sym_break_statement_token1] = ACTIONS(1852),
    [aux_sym_leave_statement_token1] = ACTIONS(1852),
    [aux_sym_continue_statement_token1] = ACTIONS(1852),
    [aux_sym_iterate_statement_token1] = ACTIONS(1852),
    [aux_sym_raise_statement_token1] = ACTIONS(1852),
    [anon_sym_EQ] = ACTIONS(1850),
    [aux_sym_assert_statement_token1] = ACTIONS(1852),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1852),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1852),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1852),
    [anon_sym_LT] = ACTIONS(1852),
    [anon_sym_GT] = ACTIONS(1852),
    [aux_sym_set_operation_token1] = ACTIONS(1852),
    [aux_sym_set_operation_token3] = ACTIONS(1852),
    [aux_sym_set_operation_token4] = ACTIONS(1852),
    [aux_sym_select_token1] = ACTIONS(1852),
    [aux_sym_having_clause_token1] = ACTIONS(1852),
    [aux_sym_qualify_clause_token1] = ACTIONS(1852),
    [aux_sym_limit_clause_token1] = ACTIONS(1852),
    [aux_sym_group_by_clause_token1] = ACTIONS(1852),
    [aux_sym_order_by_clause_token1] = ACTIONS(1852),
    [aux_sym_where_clause_token1] = ACTIONS(1852),
    [aux_sym_insert_statement_token1] = ACTIONS(1852),
    [aux_sym_truncate_statement_token1] = ACTIONS(1852),
    [aux_sym_update_statement_token1] = ACTIONS(1852),
    [aux_sym_merge_statement_token1] = ACTIONS(1852),
    [aux_sym_grant_statement_token1] = ACTIONS(1852),
    [aux_sym_revoke_statement_token1] = ACTIONS(1852),
    [aux_sym_export_data_statement_token1] = ACTIONS(1852),
    [aux_sym_load_data_statement_token1] = ACTIONS(1852),
    [anon_sym_LBRACK] = ACTIONS(1850),
    [sym__quoted_identifier] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1850),
    [anon_sym_PLUS] = ACTIONS(1850),
    [anon_sym_DASH] = ACTIONS(1852),
    [anon_sym_STAR] = ACTIONS(1850),
    [anon_sym_SLASH] = ACTIONS(1852),
    [anon_sym_PIPE_PIPE] = ACTIONS(1850),
    [anon_sym_LT_EQ] = ACTIONS(1850),
    [anon_sym_LT_GT] = ACTIONS(1850),
    [anon_sym_GT_EQ] = ACTIONS(1850),
    [anon_sym_BANG_EQ] = ACTIONS(1850),
    [anon_sym_LT_LT] = ACTIONS(1850),
    [anon_sym_GT_GT] = ACTIONS(1850),
    [anon_sym_AMP] = ACTIONS(1850),
    [anon_sym_CARET] = ACTIONS(1850),
    [anon_sym_PIPE] = ACTIONS(1852),
  },
  [938] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16234),
    [sym__keyword_case] = STATE(345),
    [sym__keyword_not] = STATE(1679),
    [sym__keyword_cast] = STATE(19291),
    [sym__keyword_date] = STATE(3007),
    [sym__keyword_datetime] = STATE(3007),
    [sym__keyword_time] = STATE(3007),
    [sym__keyword_timestamp] = STATE(3007),
    [sym_select_subexpression] = STATE(3283),
    [sym_function_call] = STATE(3283),
    [sym_unnest_operator] = STATE(438),
    [sym_unnest_clause] = STATE(3283),
    [sym__literal] = STATE(3283),
    [sym_NULL] = STATE(3283),
    [sym_TRUE] = STATE(3283),
    [sym_FALSE] = STATE(3283),
    [sym__float] = STATE(3282),
    [sym_numeric] = STATE(3282),
    [sym__number] = STATE(3282),
    [sym_interval] = STATE(3283),
    [sym_range] = STATE(3283),
    [sym_time] = STATE(3283),
    [sym_number] = STATE(3283),
    [sym_json] = STATE(3283),
    [sym_query_parameter] = STATE(3283),
    [sym__type_chrono] = STATE(2957),
    [sym__type_struct] = STATE(19086),
    [sym__type_array] = STATE(18532),
    [sym_array] = STATE(3283),
    [sym_struct] = STATE(3283),
    [sym__identifier] = STATE(2993),
    [sym__dotted_identifier] = STATE(13495),
    [sym_identifier] = STATE(3030),
    [sym_string] = STATE(3283),
    [sym__expression] = STATE(2517),
    [sym__parenthesized_expression] = STATE(3283),
    [sym_element_access] = STATE(3283),
    [sym_field_access] = STATE(3283),
    [sym_unary_expression] = STATE(3283),
    [sym_binary_expression] = STATE(3283),
    [sym_between_operator] = STATE(3283),
    [sym_casewhen_expression] = STATE(3283),
    [sym_cast_expression] = STATE(3283),
    [sym_argument_reference] = STATE(3283),
    [aux_sym_identifier_repeat1] = STATE(13495),
    [sym__unquoted_identifier] = ACTIONS(1306),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2098),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2100),
    [aux_sym__keyword_case_token1] = ACTIONS(2102),
    [aux_sym__keyword_cast_token1] = ACTIONS(2104),
    [aux_sym__keyword_cast_token2] = ACTIONS(2104),
    [aux_sym__keyword_date_token1] = ACTIONS(2106),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2106),
    [aux_sym__keyword_time_token1] = ACTIONS(2106),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2106),
    [anon_sym_LPAREN] = ACTIONS(2108),
    [aux_sym_drop_notnull_token1] = ACTIONS(2110),
    [aux_sym_function_call_token2] = ACTIONS(2112),
    [aux_sym_unnest_operator_token1] = ACTIONS(2156),
    [aux_sym_TRUE_token1] = ACTIONS(2116),
    [aux_sym_FALSE_token1] = ACTIONS(2118),
    [sym__integer] = ACTIONS(2120),
    [aux_sym__float_token1] = ACTIONS(2122),
    [aux_sym__float_token2] = ACTIONS(2120),
    [aux_sym__float_token3] = ACTIONS(2122),
    [aux_sym_numeric_token1] = ACTIONS(2124),
    [aux_sym_numeric_token2] = ACTIONS(2124),
    [aux_sym_numeric_token3] = ACTIONS(2124),
    [aux_sym_numeric_token4] = ACTIONS(2124),
    [aux_sym_interval_token1] = ACTIONS(2126),
    [anon_sym_LBRACK] = ACTIONS(2128),
    [aux_sym_json_token1] = ACTIONS(2130),
    [sym_system_variable] = ACTIONS(2132),
    [sym__named_query_parameter] = ACTIONS(2134),
    [sym__positional_query_parameter] = ACTIONS(2136),
    [sym__quoted_identifier] = ACTIONS(1314),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2158),
    [anon_sym_PLUS] = ACTIONS(2160),
    [anon_sym_DASH] = ACTIONS(2160),
    [anon_sym_operator_compare] = ACTIONS(2142),
    [anon_sym_DOLLAR] = ACTIONS(2144),
    [sym__string_start] = ACTIONS(2146),
  },
  [939] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_select_subexpression] = STATE(9926),
    [sym_function_call] = STATE(9926),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(13757),
    [sym_identifier] = STATE(9720),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(8744),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [940] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1136),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2079),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(2803),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2430),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [941] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(917),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(1888),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3146),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2430),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2432),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [942] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(917),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(1888),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3017),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2430),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2432),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [943] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(844),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(385),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2583),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(2298),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2300),
    [anon_sym_PLUS] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2302),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [944] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16148),
    [sym__keyword_case] = STATE(268),
    [sym__keyword_not] = STATE(1835),
    [sym__keyword_cast] = STATE(19305),
    [sym__keyword_date] = STATE(7284),
    [sym__keyword_datetime] = STATE(7284),
    [sym__keyword_time] = STATE(7284),
    [sym__keyword_timestamp] = STATE(7284),
    [sym_select_subexpression] = STATE(7910),
    [sym_function_call] = STATE(7910),
    [sym_unnest_operator] = STATE(5277),
    [sym_unnest_clause] = STATE(7910),
    [sym__literal] = STATE(7910),
    [sym_NULL] = STATE(7910),
    [sym_TRUE] = STATE(7910),
    [sym_FALSE] = STATE(7910),
    [sym__float] = STATE(7895),
    [sym_numeric] = STATE(7895),
    [sym__number] = STATE(7895),
    [sym_interval] = STATE(7910),
    [sym_range] = STATE(7910),
    [sym_time] = STATE(7910),
    [sym_number] = STATE(7910),
    [sym_json] = STATE(7910),
    [sym_query_parameter] = STATE(7910),
    [sym__type_chrono] = STATE(7179),
    [sym__type_struct] = STATE(19135),
    [sym__type_array] = STATE(18721),
    [sym_array] = STATE(7910),
    [sym_struct] = STATE(7910),
    [sym__identifier] = STATE(5408),
    [sym__dotted_identifier] = STATE(13708),
    [sym_identifier] = STATE(7424),
    [sym_string] = STATE(7910),
    [sym__expression] = STATE(5750),
    [sym__parenthesized_expression] = STATE(7910),
    [sym_element_access] = STATE(7910),
    [sym_field_access] = STATE(7910),
    [sym_unary_expression] = STATE(7910),
    [sym_binary_expression] = STATE(7910),
    [sym_between_operator] = STATE(7910),
    [sym_casewhen_expression] = STATE(7910),
    [sym_cast_expression] = STATE(7910),
    [sym_argument_reference] = STATE(7910),
    [aux_sym_identifier_repeat1] = STATE(13708),
    [sym__unquoted_identifier] = ACTIONS(2440),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2442),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2444),
    [aux_sym__keyword_case_token1] = ACTIONS(2446),
    [aux_sym__keyword_cast_token1] = ACTIONS(2448),
    [aux_sym__keyword_cast_token2] = ACTIONS(2448),
    [aux_sym__keyword_date_token1] = ACTIONS(2450),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2450),
    [aux_sym__keyword_time_token1] = ACTIONS(2450),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2452),
    [aux_sym_drop_notnull_token1] = ACTIONS(2454),
    [aux_sym_function_call_token2] = ACTIONS(2456),
    [aux_sym_unnest_operator_token1] = ACTIONS(2458),
    [aux_sym_TRUE_token1] = ACTIONS(2460),
    [aux_sym_FALSE_token1] = ACTIONS(2462),
    [sym__integer] = ACTIONS(2464),
    [aux_sym__float_token1] = ACTIONS(2466),
    [aux_sym__float_token2] = ACTIONS(2464),
    [aux_sym__float_token3] = ACTIONS(2466),
    [aux_sym_numeric_token1] = ACTIONS(2468),
    [aux_sym_numeric_token2] = ACTIONS(2468),
    [aux_sym_numeric_token3] = ACTIONS(2468),
    [aux_sym_numeric_token4] = ACTIONS(2468),
    [aux_sym_interval_token1] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [aux_sym_json_token1] = ACTIONS(2474),
    [sym_system_variable] = ACTIONS(2476),
    [sym__named_query_parameter] = ACTIONS(2478),
    [sym__positional_query_parameter] = ACTIONS(2480),
    [sym__quoted_identifier] = ACTIONS(2482),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2484),
    [anon_sym_PLUS] = ACTIONS(2486),
    [anon_sym_DASH] = ACTIONS(2486),
    [anon_sym_operator_compare] = ACTIONS(2488),
    [anon_sym_DOLLAR] = ACTIONS(2490),
    [sym__string_start] = ACTIONS(2492),
  },
  [945] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(7822),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [946] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(844),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(385),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2586),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(2298),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2300),
    [anon_sym_PLUS] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2302),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [947] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(917),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(1888),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3019),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2430),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2432),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [948] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16234),
    [sym__keyword_case] = STATE(345),
    [sym__keyword_not] = STATE(1629),
    [sym__keyword_cast] = STATE(19291),
    [sym__keyword_date] = STATE(3007),
    [sym__keyword_datetime] = STATE(3007),
    [sym__keyword_time] = STATE(3007),
    [sym__keyword_timestamp] = STATE(3007),
    [sym_select_subexpression] = STATE(3283),
    [sym_function_call] = STATE(3283),
    [sym_unnest_operator] = STATE(184),
    [sym_unnest_clause] = STATE(3283),
    [sym__literal] = STATE(3283),
    [sym_NULL] = STATE(3283),
    [sym_TRUE] = STATE(3283),
    [sym_FALSE] = STATE(3283),
    [sym__float] = STATE(3282),
    [sym_numeric] = STATE(3282),
    [sym__number] = STATE(3282),
    [sym_interval] = STATE(3283),
    [sym_range] = STATE(3283),
    [sym_time] = STATE(3283),
    [sym_number] = STATE(3283),
    [sym_json] = STATE(3283),
    [sym_query_parameter] = STATE(3283),
    [sym__type_chrono] = STATE(2957),
    [sym__type_struct] = STATE(19086),
    [sym__type_array] = STATE(18532),
    [sym_array] = STATE(3283),
    [sym_struct] = STATE(3283),
    [sym__identifier] = STATE(2993),
    [sym__dotted_identifier] = STATE(13495),
    [sym_identifier] = STATE(3030),
    [sym_string] = STATE(3283),
    [sym__expression] = STATE(2200),
    [sym__parenthesized_expression] = STATE(3283),
    [sym_element_access] = STATE(3283),
    [sym_field_access] = STATE(3283),
    [sym_unary_expression] = STATE(3283),
    [sym_binary_expression] = STATE(3283),
    [sym_between_operator] = STATE(3283),
    [sym_casewhen_expression] = STATE(3283),
    [sym_cast_expression] = STATE(3283),
    [sym_argument_reference] = STATE(3283),
    [aux_sym_identifier_repeat1] = STATE(13495),
    [sym__unquoted_identifier] = ACTIONS(1306),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2098),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2100),
    [aux_sym__keyword_case_token1] = ACTIONS(2102),
    [aux_sym__keyword_cast_token1] = ACTIONS(2104),
    [aux_sym__keyword_cast_token2] = ACTIONS(2104),
    [aux_sym__keyword_date_token1] = ACTIONS(2106),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2106),
    [aux_sym__keyword_time_token1] = ACTIONS(2106),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2106),
    [anon_sym_LPAREN] = ACTIONS(2108),
    [aux_sym_drop_notnull_token1] = ACTIONS(2110),
    [aux_sym_function_call_token2] = ACTIONS(2112),
    [aux_sym_unnest_operator_token1] = ACTIONS(2114),
    [aux_sym_TRUE_token1] = ACTIONS(2116),
    [aux_sym_FALSE_token1] = ACTIONS(2118),
    [sym__integer] = ACTIONS(2120),
    [aux_sym__float_token1] = ACTIONS(2122),
    [aux_sym__float_token2] = ACTIONS(2120),
    [aux_sym__float_token3] = ACTIONS(2122),
    [aux_sym_numeric_token1] = ACTIONS(2124),
    [aux_sym_numeric_token2] = ACTIONS(2124),
    [aux_sym_numeric_token3] = ACTIONS(2124),
    [aux_sym_numeric_token4] = ACTIONS(2124),
    [aux_sym_interval_token1] = ACTIONS(2126),
    [anon_sym_LBRACK] = ACTIONS(2128),
    [aux_sym_json_token1] = ACTIONS(2130),
    [sym_system_variable] = ACTIONS(2132),
    [sym__named_query_parameter] = ACTIONS(2134),
    [sym__positional_query_parameter] = ACTIONS(2136),
    [sym__quoted_identifier] = ACTIONS(1314),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_operator_compare] = ACTIONS(2142),
    [anon_sym_DOLLAR] = ACTIONS(2144),
    [sym__string_start] = ACTIONS(2146),
  },
  [949] = {
    [sym_analytics_clause] = STATE(2198),
    [sym__unquoted_identifier] = ACTIONS(1436),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1436),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1436),
    [aux_sym_keyword_replace_token1] = ACTIONS(1436),
    [aux_sym__keyword_alter_token1] = ACTIONS(1436),
    [aux_sym__keyword_from_token1] = ACTIONS(1436),
    [aux_sym__keyword_delete_token1] = ACTIONS(1436),
    [aux_sym__keyword_begin_token1] = ACTIONS(1436),
    [aux_sym__keyword_end_token1] = ACTIONS(1436),
    [aux_sym__keyword_between_token1] = ACTIONS(1436),
    [aux_sym__keyword_when_token1] = ACTIONS(1436),
    [aux_sym__keyword_else_token1] = ACTIONS(1436),
    [aux_sym__keyword_is_token1] = ACTIONS(1436),
    [aux_sym__keyword_in_token1] = ACTIONS(1436),
    [aux_sym__keyword_and_token1] = ACTIONS(1436),
    [aux_sym__keyword_like_token1] = ACTIONS(1436),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1436),
    [aux_sym__keyword_as_token1] = ACTIONS(1436),
    [aux_sym__keyword_window_token1] = ACTIONS(1436),
    [aux_sym__keyword_date_token1] = ACTIONS(1436),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1436),
    [aux_sym__keyword_time_token1] = ACTIONS(1436),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1436),
    [aux_sym__keyword_for_token1] = ACTIONS(1436),
    [anon_sym_SEMI] = ACTIONS(1434),
    [aux_sym_declare_statement_token1] = ACTIONS(1436),
    [anon_sym_COMMA] = ACTIONS(1434),
    [aux_sym_set_statement_token1] = ACTIONS(1436),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1436),
    [aux_sym_return_satement_token1] = ACTIONS(1436),
    [aux_sym_call_statement_token1] = ACTIONS(1436),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1436),
    [aux_sym_if_statement_token1] = ACTIONS(1436),
    [aux_sym_loop_statement_token1] = ACTIONS(1436),
    [aux_sym_repeat_statement_token1] = ACTIONS(1436),
    [aux_sym_while_statement_token1] = ACTIONS(1436),
    [aux_sym_break_statement_token1] = ACTIONS(1436),
    [aux_sym_leave_statement_token1] = ACTIONS(1436),
    [aux_sym_continue_statement_token1] = ACTIONS(1436),
    [aux_sym_iterate_statement_token1] = ACTIONS(1436),
    [aux_sym_raise_statement_token1] = ACTIONS(1436),
    [anon_sym_EQ] = ACTIONS(1434),
    [aux_sym_assert_statement_token1] = ACTIONS(1436),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1436),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1436),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(1436),
    [anon_sym_GT] = ACTIONS(1436),
    [aux_sym_set_operation_token1] = ACTIONS(1436),
    [aux_sym_set_operation_token3] = ACTIONS(1436),
    [aux_sym_set_operation_token4] = ACTIONS(1436),
    [aux_sym_select_token1] = ACTIONS(1436),
    [aux_sym_having_clause_token1] = ACTIONS(1436),
    [aux_sym_qualify_clause_token1] = ACTIONS(1436),
    [aux_sym_limit_clause_token1] = ACTIONS(1436),
    [aux_sym_group_by_clause_token1] = ACTIONS(1436),
    [aux_sym_order_by_clause_token1] = ACTIONS(1436),
    [aux_sym_where_clause_token1] = ACTIONS(1436),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1436),
    [aux_sym_truncate_statement_token1] = ACTIONS(1436),
    [aux_sym_update_statement_token1] = ACTIONS(1436),
    [aux_sym_merge_statement_token1] = ACTIONS(1436),
    [aux_sym_grant_statement_token1] = ACTIONS(1436),
    [aux_sym_revoke_statement_token1] = ACTIONS(1436),
    [aux_sym_export_data_statement_token1] = ACTIONS(1436),
    [aux_sym_load_data_statement_token1] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [sym__quoted_identifier] = ACTIONS(1434),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_STAR] = ACTIONS(1434),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1434),
    [anon_sym_LT_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1434),
    [anon_sym_BANG_EQ] = ACTIONS(1434),
    [anon_sym_LT_LT] = ACTIONS(1434),
    [anon_sym_GT_GT] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1434),
    [anon_sym_PIPE] = ACTIONS(1436),
  },
  [950] = {
    [sym_analytics_clause] = STATE(2141),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [951] = {
    [sym_analytics_clause] = STATE(2201),
    [sym__unquoted_identifier] = ACTIONS(1440),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1440),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1440),
    [aux_sym_keyword_replace_token1] = ACTIONS(1440),
    [aux_sym__keyword_alter_token1] = ACTIONS(1440),
    [aux_sym__keyword_from_token1] = ACTIONS(1440),
    [aux_sym__keyword_delete_token1] = ACTIONS(1440),
    [aux_sym__keyword_begin_token1] = ACTIONS(1440),
    [aux_sym__keyword_end_token1] = ACTIONS(1440),
    [aux_sym__keyword_between_token1] = ACTIONS(1440),
    [aux_sym__keyword_when_token1] = ACTIONS(1440),
    [aux_sym__keyword_else_token1] = ACTIONS(1440),
    [aux_sym__keyword_is_token1] = ACTIONS(1440),
    [aux_sym__keyword_in_token1] = ACTIONS(1440),
    [aux_sym__keyword_and_token1] = ACTIONS(1440),
    [aux_sym__keyword_like_token1] = ACTIONS(1440),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1440),
    [aux_sym__keyword_as_token1] = ACTIONS(1440),
    [aux_sym__keyword_window_token1] = ACTIONS(1440),
    [aux_sym__keyword_date_token1] = ACTIONS(1440),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1440),
    [aux_sym__keyword_time_token1] = ACTIONS(1440),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1440),
    [aux_sym__keyword_for_token1] = ACTIONS(1440),
    [anon_sym_SEMI] = ACTIONS(1438),
    [aux_sym_declare_statement_token1] = ACTIONS(1440),
    [anon_sym_COMMA] = ACTIONS(1438),
    [aux_sym_set_statement_token1] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1438),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1440),
    [aux_sym_return_satement_token1] = ACTIONS(1440),
    [aux_sym_call_statement_token1] = ACTIONS(1440),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1440),
    [aux_sym_if_statement_token1] = ACTIONS(1440),
    [aux_sym_loop_statement_token1] = ACTIONS(1440),
    [aux_sym_repeat_statement_token1] = ACTIONS(1440),
    [aux_sym_while_statement_token1] = ACTIONS(1440),
    [aux_sym_break_statement_token1] = ACTIONS(1440),
    [aux_sym_leave_statement_token1] = ACTIONS(1440),
    [aux_sym_continue_statement_token1] = ACTIONS(1440),
    [aux_sym_iterate_statement_token1] = ACTIONS(1440),
    [aux_sym_raise_statement_token1] = ACTIONS(1440),
    [anon_sym_EQ] = ACTIONS(1438),
    [aux_sym_assert_statement_token1] = ACTIONS(1440),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1440),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1440),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1440),
    [anon_sym_LT] = ACTIONS(1440),
    [anon_sym_GT] = ACTIONS(1440),
    [aux_sym_set_operation_token1] = ACTIONS(1440),
    [aux_sym_set_operation_token3] = ACTIONS(1440),
    [aux_sym_set_operation_token4] = ACTIONS(1440),
    [aux_sym_select_token1] = ACTIONS(1440),
    [aux_sym_having_clause_token1] = ACTIONS(1440),
    [aux_sym_qualify_clause_token1] = ACTIONS(1440),
    [aux_sym_limit_clause_token1] = ACTIONS(1440),
    [aux_sym_group_by_clause_token1] = ACTIONS(1440),
    [aux_sym_order_by_clause_token1] = ACTIONS(1440),
    [aux_sym_where_clause_token1] = ACTIONS(1440),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1440),
    [aux_sym_truncate_statement_token1] = ACTIONS(1440),
    [aux_sym_update_statement_token1] = ACTIONS(1440),
    [aux_sym_merge_statement_token1] = ACTIONS(1440),
    [aux_sym_grant_statement_token1] = ACTIONS(1440),
    [aux_sym_revoke_statement_token1] = ACTIONS(1440),
    [aux_sym_export_data_statement_token1] = ACTIONS(1440),
    [aux_sym_load_data_statement_token1] = ACTIONS(1440),
    [anon_sym_LBRACK] = ACTIONS(1438),
    [sym__quoted_identifier] = ACTIONS(1438),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_STAR] = ACTIONS(1438),
    [anon_sym_SLASH] = ACTIONS(1440),
    [anon_sym_PIPE_PIPE] = ACTIONS(1438),
    [anon_sym_LT_EQ] = ACTIONS(1438),
    [anon_sym_LT_GT] = ACTIONS(1438),
    [anon_sym_GT_EQ] = ACTIONS(1438),
    [anon_sym_BANG_EQ] = ACTIONS(1438),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_AMP] = ACTIONS(1438),
    [anon_sym_CARET] = ACTIONS(1438),
    [anon_sym_PIPE] = ACTIONS(1440),
  },
  [952] = {
    [sym_analytics_clause] = STATE(2144),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [953] = {
    [sym_analytics_clause] = STATE(2151),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [954] = {
    [sym_analytics_clause] = STATE(2158),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [955] = {
    [sym_analytics_clause] = STATE(2276),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [956] = {
    [sym_analytics_clause] = STATE(2274),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [957] = {
    [sym_analytics_clause] = STATE(2271),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [958] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16325),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1073),
    [sym__keyword_cast] = STATE(19275),
    [sym__keyword_date] = STATE(9495),
    [sym__keyword_datetime] = STATE(9495),
    [sym__keyword_time] = STATE(9495),
    [sym__keyword_timestamp] = STATE(9495),
    [sym_select_subexpression] = STATE(10495),
    [sym_function_call] = STATE(10495),
    [sym_unnest_operator] = STATE(6473),
    [sym_unnest_clause] = STATE(10495),
    [sym__literal] = STATE(10495),
    [sym_NULL] = STATE(10495),
    [sym_TRUE] = STATE(10495),
    [sym_FALSE] = STATE(10495),
    [sym__float] = STATE(10492),
    [sym_numeric] = STATE(10492),
    [sym__number] = STATE(10492),
    [sym_interval] = STATE(10495),
    [sym_range] = STATE(10495),
    [sym_time] = STATE(10495),
    [sym_number] = STATE(10495),
    [sym_json] = STATE(10495),
    [sym_query_parameter] = STATE(10495),
    [sym__type_chrono] = STATE(8422),
    [sym__type_struct] = STATE(19027),
    [sym__type_array] = STATE(18285),
    [sym_array] = STATE(10495),
    [sym_struct] = STATE(10495),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9694),
    [sym_string] = STATE(10495),
    [sym__expression] = STATE(9872),
    [sym__parenthesized_expression] = STATE(10495),
    [sym_element_access] = STATE(10495),
    [sym_field_access] = STATE(10495),
    [sym_unary_expression] = STATE(10495),
    [sym_binary_expression] = STATE(10495),
    [sym_between_operator] = STATE(10495),
    [sym_casewhen_expression] = STATE(10495),
    [sym_cast_expression] = STATE(10495),
    [sym_argument_reference] = STATE(10495),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2042),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2044),
    [aux_sym__keyword_case_token1] = ACTIONS(2046),
    [aux_sym__keyword_cast_token1] = ACTIONS(2048),
    [aux_sym__keyword_cast_token2] = ACTIONS(2048),
    [aux_sym__keyword_date_token1] = ACTIONS(2050),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2050),
    [aux_sym__keyword_time_token1] = ACTIONS(2050),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [aux_sym_drop_notnull_token1] = ACTIONS(2054),
    [aux_sym_function_call_token2] = ACTIONS(2056),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2060),
    [aux_sym_FALSE_token1] = ACTIONS(2062),
    [sym__integer] = ACTIONS(2064),
    [aux_sym__float_token1] = ACTIONS(2066),
    [aux_sym__float_token2] = ACTIONS(2064),
    [aux_sym__float_token3] = ACTIONS(2066),
    [aux_sym_numeric_token1] = ACTIONS(2068),
    [aux_sym_numeric_token2] = ACTIONS(2068),
    [aux_sym_numeric_token3] = ACTIONS(2068),
    [aux_sym_numeric_token4] = ACTIONS(2068),
    [aux_sym_interval_token1] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_json_token1] = ACTIONS(2074),
    [sym_system_variable] = ACTIONS(2076),
    [sym__named_query_parameter] = ACTIONS(2078),
    [sym__positional_query_parameter] = ACTIONS(2080),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_operator_compare] = ACTIONS(2086),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [sym__string_start] = ACTIONS(2090),
  },
  [959] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16325),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1073),
    [sym__keyword_cast] = STATE(19275),
    [sym__keyword_date] = STATE(9495),
    [sym__keyword_datetime] = STATE(9495),
    [sym__keyword_time] = STATE(9495),
    [sym__keyword_timestamp] = STATE(9495),
    [sym_select_subexpression] = STATE(10495),
    [sym_function_call] = STATE(10495),
    [sym_unnest_operator] = STATE(6473),
    [sym_unnest_clause] = STATE(10495),
    [sym__literal] = STATE(10495),
    [sym_NULL] = STATE(10495),
    [sym_TRUE] = STATE(10495),
    [sym_FALSE] = STATE(10495),
    [sym__float] = STATE(10492),
    [sym_numeric] = STATE(10492),
    [sym__number] = STATE(10492),
    [sym_interval] = STATE(10495),
    [sym_range] = STATE(10495),
    [sym_time] = STATE(10495),
    [sym_number] = STATE(10495),
    [sym_json] = STATE(10495),
    [sym_query_parameter] = STATE(10495),
    [sym__type_chrono] = STATE(8422),
    [sym__type_struct] = STATE(19027),
    [sym__type_array] = STATE(18285),
    [sym_array] = STATE(10495),
    [sym_struct] = STATE(10495),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9694),
    [sym_string] = STATE(10495),
    [sym__expression] = STATE(9814),
    [sym__parenthesized_expression] = STATE(10495),
    [sym_element_access] = STATE(10495),
    [sym_field_access] = STATE(10495),
    [sym_unary_expression] = STATE(10495),
    [sym_binary_expression] = STATE(10495),
    [sym_between_operator] = STATE(10495),
    [sym_casewhen_expression] = STATE(10495),
    [sym_cast_expression] = STATE(10495),
    [sym_argument_reference] = STATE(10495),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2042),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2044),
    [aux_sym__keyword_case_token1] = ACTIONS(2046),
    [aux_sym__keyword_cast_token1] = ACTIONS(2048),
    [aux_sym__keyword_cast_token2] = ACTIONS(2048),
    [aux_sym__keyword_date_token1] = ACTIONS(2050),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2050),
    [aux_sym__keyword_time_token1] = ACTIONS(2050),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [aux_sym_drop_notnull_token1] = ACTIONS(2054),
    [aux_sym_function_call_token2] = ACTIONS(2056),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2060),
    [aux_sym_FALSE_token1] = ACTIONS(2062),
    [sym__integer] = ACTIONS(2064),
    [aux_sym__float_token1] = ACTIONS(2066),
    [aux_sym__float_token2] = ACTIONS(2064),
    [aux_sym__float_token3] = ACTIONS(2066),
    [aux_sym_numeric_token1] = ACTIONS(2068),
    [aux_sym_numeric_token2] = ACTIONS(2068),
    [aux_sym_numeric_token3] = ACTIONS(2068),
    [aux_sym_numeric_token4] = ACTIONS(2068),
    [aux_sym_interval_token1] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_json_token1] = ACTIONS(2074),
    [sym_system_variable] = ACTIONS(2076),
    [sym__named_query_parameter] = ACTIONS(2078),
    [sym__positional_query_parameter] = ACTIONS(2080),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_operator_compare] = ACTIONS(2086),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [sym__string_start] = ACTIONS(2090),
  },
  [960] = {
    [sym_analytics_clause] = STATE(2270),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [961] = {
    [sym_analytics_clause] = STATE(2269),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [962] = {
    [sym_analytics_clause] = STATE(2146),
    [sym__unquoted_identifier] = ACTIONS(1452),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1452),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1452),
    [aux_sym_keyword_replace_token1] = ACTIONS(1452),
    [aux_sym__keyword_alter_token1] = ACTIONS(1452),
    [aux_sym__keyword_from_token1] = ACTIONS(1452),
    [aux_sym__keyword_delete_token1] = ACTIONS(1452),
    [aux_sym__keyword_begin_token1] = ACTIONS(1452),
    [aux_sym__keyword_end_token1] = ACTIONS(1452),
    [aux_sym__keyword_between_token1] = ACTIONS(1452),
    [aux_sym__keyword_when_token1] = ACTIONS(1452),
    [aux_sym__keyword_else_token1] = ACTIONS(1452),
    [aux_sym__keyword_is_token1] = ACTIONS(1452),
    [aux_sym__keyword_in_token1] = ACTIONS(1452),
    [aux_sym__keyword_and_token1] = ACTIONS(1452),
    [aux_sym__keyword_like_token1] = ACTIONS(1452),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1452),
    [aux_sym__keyword_as_token1] = ACTIONS(1452),
    [aux_sym__keyword_window_token1] = ACTIONS(1452),
    [aux_sym__keyword_date_token1] = ACTIONS(1452),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1452),
    [aux_sym__keyword_time_token1] = ACTIONS(1452),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1452),
    [aux_sym__keyword_for_token1] = ACTIONS(1452),
    [anon_sym_SEMI] = ACTIONS(1450),
    [aux_sym_declare_statement_token1] = ACTIONS(1452),
    [anon_sym_COMMA] = ACTIONS(1450),
    [aux_sym_set_statement_token1] = ACTIONS(1452),
    [anon_sym_LPAREN] = ACTIONS(1450),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1452),
    [aux_sym_return_satement_token1] = ACTIONS(1452),
    [aux_sym_call_statement_token1] = ACTIONS(1452),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1452),
    [aux_sym_if_statement_token1] = ACTIONS(1452),
    [aux_sym_loop_statement_token1] = ACTIONS(1452),
    [aux_sym_repeat_statement_token1] = ACTIONS(1452),
    [aux_sym_while_statement_token1] = ACTIONS(1452),
    [aux_sym_break_statement_token1] = ACTIONS(1452),
    [aux_sym_leave_statement_token1] = ACTIONS(1452),
    [aux_sym_continue_statement_token1] = ACTIONS(1452),
    [aux_sym_iterate_statement_token1] = ACTIONS(1452),
    [aux_sym_raise_statement_token1] = ACTIONS(1452),
    [anon_sym_EQ] = ACTIONS(1450),
    [aux_sym_assert_statement_token1] = ACTIONS(1452),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1452),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1452),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1452),
    [anon_sym_LT] = ACTIONS(1452),
    [anon_sym_GT] = ACTIONS(1452),
    [aux_sym_set_operation_token1] = ACTIONS(1452),
    [aux_sym_set_operation_token3] = ACTIONS(1452),
    [aux_sym_set_operation_token4] = ACTIONS(1452),
    [aux_sym_select_token1] = ACTIONS(1452),
    [aux_sym_having_clause_token1] = ACTIONS(1452),
    [aux_sym_qualify_clause_token1] = ACTIONS(1452),
    [aux_sym_limit_clause_token1] = ACTIONS(1452),
    [aux_sym_group_by_clause_token1] = ACTIONS(1452),
    [aux_sym_order_by_clause_token1] = ACTIONS(1452),
    [aux_sym_where_clause_token1] = ACTIONS(1452),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1452),
    [aux_sym_truncate_statement_token1] = ACTIONS(1452),
    [aux_sym_update_statement_token1] = ACTIONS(1452),
    [aux_sym_merge_statement_token1] = ACTIONS(1452),
    [aux_sym_grant_statement_token1] = ACTIONS(1452),
    [aux_sym_revoke_statement_token1] = ACTIONS(1452),
    [aux_sym_export_data_statement_token1] = ACTIONS(1452),
    [aux_sym_load_data_statement_token1] = ACTIONS(1452),
    [anon_sym_LBRACK] = ACTIONS(1450),
    [sym__quoted_identifier] = ACTIONS(1450),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_STAR] = ACTIONS(1450),
    [anon_sym_SLASH] = ACTIONS(1452),
    [anon_sym_PIPE_PIPE] = ACTIONS(1450),
    [anon_sym_LT_EQ] = ACTIONS(1450),
    [anon_sym_LT_GT] = ACTIONS(1450),
    [anon_sym_GT_EQ] = ACTIONS(1450),
    [anon_sym_BANG_EQ] = ACTIONS(1450),
    [anon_sym_LT_LT] = ACTIONS(1450),
    [anon_sym_GT_GT] = ACTIONS(1450),
    [anon_sym_AMP] = ACTIONS(1450),
    [anon_sym_CARET] = ACTIONS(1450),
    [anon_sym_PIPE] = ACTIONS(1452),
  },
  [963] = {
    [sym_analytics_clause] = STATE(2263),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [964] = {
    [sym_analytics_clause] = STATE(2216),
    [sym__unquoted_identifier] = ACTIONS(1452),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1452),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1452),
    [aux_sym_keyword_replace_token1] = ACTIONS(1452),
    [aux_sym__keyword_alter_token1] = ACTIONS(1452),
    [aux_sym__keyword_from_token1] = ACTIONS(1452),
    [aux_sym__keyword_delete_token1] = ACTIONS(1452),
    [aux_sym__keyword_begin_token1] = ACTIONS(1452),
    [aux_sym__keyword_end_token1] = ACTIONS(1452),
    [aux_sym__keyword_between_token1] = ACTIONS(1452),
    [aux_sym__keyword_when_token1] = ACTIONS(1452),
    [aux_sym__keyword_else_token1] = ACTIONS(1452),
    [aux_sym__keyword_is_token1] = ACTIONS(1452),
    [aux_sym__keyword_in_token1] = ACTIONS(1452),
    [aux_sym__keyword_and_token1] = ACTIONS(1452),
    [aux_sym__keyword_like_token1] = ACTIONS(1452),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1452),
    [aux_sym__keyword_as_token1] = ACTIONS(1452),
    [aux_sym__keyword_window_token1] = ACTIONS(1452),
    [aux_sym__keyword_date_token1] = ACTIONS(1452),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1452),
    [aux_sym__keyword_time_token1] = ACTIONS(1452),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1452),
    [aux_sym__keyword_for_token1] = ACTIONS(1452),
    [anon_sym_SEMI] = ACTIONS(1450),
    [aux_sym_declare_statement_token1] = ACTIONS(1452),
    [anon_sym_COMMA] = ACTIONS(1450),
    [aux_sym_set_statement_token1] = ACTIONS(1452),
    [anon_sym_LPAREN] = ACTIONS(1450),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1452),
    [aux_sym_return_satement_token1] = ACTIONS(1452),
    [aux_sym_call_statement_token1] = ACTIONS(1452),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1452),
    [aux_sym_if_statement_token1] = ACTIONS(1452),
    [aux_sym_loop_statement_token1] = ACTIONS(1452),
    [aux_sym_repeat_statement_token1] = ACTIONS(1452),
    [aux_sym_while_statement_token1] = ACTIONS(1452),
    [aux_sym_break_statement_token1] = ACTIONS(1452),
    [aux_sym_leave_statement_token1] = ACTIONS(1452),
    [aux_sym_continue_statement_token1] = ACTIONS(1452),
    [aux_sym_iterate_statement_token1] = ACTIONS(1452),
    [aux_sym_raise_statement_token1] = ACTIONS(1452),
    [anon_sym_EQ] = ACTIONS(1450),
    [aux_sym_assert_statement_token1] = ACTIONS(1452),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1452),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1452),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1452),
    [anon_sym_LT] = ACTIONS(1452),
    [anon_sym_GT] = ACTIONS(1452),
    [aux_sym_set_operation_token1] = ACTIONS(1452),
    [aux_sym_set_operation_token3] = ACTIONS(1452),
    [aux_sym_set_operation_token4] = ACTIONS(1452),
    [aux_sym_select_token1] = ACTIONS(1452),
    [aux_sym_having_clause_token1] = ACTIONS(1452),
    [aux_sym_qualify_clause_token1] = ACTIONS(1452),
    [aux_sym_limit_clause_token1] = ACTIONS(1452),
    [aux_sym_group_by_clause_token1] = ACTIONS(1452),
    [aux_sym_order_by_clause_token1] = ACTIONS(1452),
    [aux_sym_where_clause_token1] = ACTIONS(1452),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1452),
    [aux_sym_truncate_statement_token1] = ACTIONS(1452),
    [aux_sym_update_statement_token1] = ACTIONS(1452),
    [aux_sym_merge_statement_token1] = ACTIONS(1452),
    [aux_sym_grant_statement_token1] = ACTIONS(1452),
    [aux_sym_revoke_statement_token1] = ACTIONS(1452),
    [aux_sym_export_data_statement_token1] = ACTIONS(1452),
    [aux_sym_load_data_statement_token1] = ACTIONS(1452),
    [anon_sym_LBRACK] = ACTIONS(1450),
    [sym__quoted_identifier] = ACTIONS(1450),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_STAR] = ACTIONS(1450),
    [anon_sym_SLASH] = ACTIONS(1452),
    [anon_sym_PIPE_PIPE] = ACTIONS(1450),
    [anon_sym_LT_EQ] = ACTIONS(1450),
    [anon_sym_LT_GT] = ACTIONS(1450),
    [anon_sym_GT_EQ] = ACTIONS(1450),
    [anon_sym_BANG_EQ] = ACTIONS(1450),
    [anon_sym_LT_LT] = ACTIONS(1450),
    [anon_sym_GT_GT] = ACTIONS(1450),
    [anon_sym_AMP] = ACTIONS(1450),
    [anon_sym_CARET] = ACTIONS(1450),
    [anon_sym_PIPE] = ACTIONS(1452),
  },
  [965] = {
    [sym_analytics_clause] = STATE(2217),
    [sym__unquoted_identifier] = ACTIONS(1456),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1456),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1456),
    [aux_sym_keyword_replace_token1] = ACTIONS(1456),
    [aux_sym__keyword_alter_token1] = ACTIONS(1456),
    [aux_sym__keyword_from_token1] = ACTIONS(1456),
    [aux_sym__keyword_delete_token1] = ACTIONS(1456),
    [aux_sym__keyword_begin_token1] = ACTIONS(1456),
    [aux_sym__keyword_end_token1] = ACTIONS(1456),
    [aux_sym__keyword_between_token1] = ACTIONS(1456),
    [aux_sym__keyword_when_token1] = ACTIONS(1456),
    [aux_sym__keyword_else_token1] = ACTIONS(1456),
    [aux_sym__keyword_is_token1] = ACTIONS(1456),
    [aux_sym__keyword_in_token1] = ACTIONS(1456),
    [aux_sym__keyword_and_token1] = ACTIONS(1456),
    [aux_sym__keyword_like_token1] = ACTIONS(1456),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1456),
    [aux_sym__keyword_as_token1] = ACTIONS(1456),
    [aux_sym__keyword_window_token1] = ACTIONS(1456),
    [aux_sym__keyword_date_token1] = ACTIONS(1456),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1456),
    [aux_sym__keyword_time_token1] = ACTIONS(1456),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1456),
    [aux_sym__keyword_for_token1] = ACTIONS(1456),
    [anon_sym_SEMI] = ACTIONS(1454),
    [aux_sym_declare_statement_token1] = ACTIONS(1456),
    [anon_sym_COMMA] = ACTIONS(1454),
    [aux_sym_set_statement_token1] = ACTIONS(1456),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1456),
    [aux_sym_return_satement_token1] = ACTIONS(1456),
    [aux_sym_call_statement_token1] = ACTIONS(1456),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1456),
    [aux_sym_if_statement_token1] = ACTIONS(1456),
    [aux_sym_loop_statement_token1] = ACTIONS(1456),
    [aux_sym_repeat_statement_token1] = ACTIONS(1456),
    [aux_sym_while_statement_token1] = ACTIONS(1456),
    [aux_sym_break_statement_token1] = ACTIONS(1456),
    [aux_sym_leave_statement_token1] = ACTIONS(1456),
    [aux_sym_continue_statement_token1] = ACTIONS(1456),
    [aux_sym_iterate_statement_token1] = ACTIONS(1456),
    [aux_sym_raise_statement_token1] = ACTIONS(1456),
    [anon_sym_EQ] = ACTIONS(1454),
    [aux_sym_assert_statement_token1] = ACTIONS(1456),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1456),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1456),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1456),
    [anon_sym_LT] = ACTIONS(1456),
    [anon_sym_GT] = ACTIONS(1456),
    [aux_sym_set_operation_token1] = ACTIONS(1456),
    [aux_sym_set_operation_token3] = ACTIONS(1456),
    [aux_sym_set_operation_token4] = ACTIONS(1456),
    [aux_sym_select_token1] = ACTIONS(1456),
    [aux_sym_having_clause_token1] = ACTIONS(1456),
    [aux_sym_qualify_clause_token1] = ACTIONS(1456),
    [aux_sym_limit_clause_token1] = ACTIONS(1456),
    [aux_sym_group_by_clause_token1] = ACTIONS(1456),
    [aux_sym_order_by_clause_token1] = ACTIONS(1456),
    [aux_sym_where_clause_token1] = ACTIONS(1456),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1456),
    [aux_sym_truncate_statement_token1] = ACTIONS(1456),
    [aux_sym_update_statement_token1] = ACTIONS(1456),
    [aux_sym_merge_statement_token1] = ACTIONS(1456),
    [aux_sym_grant_statement_token1] = ACTIONS(1456),
    [aux_sym_revoke_statement_token1] = ACTIONS(1456),
    [aux_sym_export_data_statement_token1] = ACTIONS(1456),
    [aux_sym_load_data_statement_token1] = ACTIONS(1456),
    [anon_sym_LBRACK] = ACTIONS(1454),
    [sym__quoted_identifier] = ACTIONS(1454),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1454),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1454),
    [anon_sym_SLASH] = ACTIONS(1456),
    [anon_sym_PIPE_PIPE] = ACTIONS(1454),
    [anon_sym_LT_EQ] = ACTIONS(1454),
    [anon_sym_LT_GT] = ACTIONS(1454),
    [anon_sym_GT_EQ] = ACTIONS(1454),
    [anon_sym_BANG_EQ] = ACTIONS(1454),
    [anon_sym_LT_LT] = ACTIONS(1454),
    [anon_sym_GT_GT] = ACTIONS(1454),
    [anon_sym_AMP] = ACTIONS(1454),
    [anon_sym_CARET] = ACTIONS(1454),
    [anon_sym_PIPE] = ACTIONS(1456),
  },
  [966] = {
    [sym_analytics_clause] = STATE(2262),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [967] = {
    [sym_analytics_clause] = STATE(2219),
    [sym__unquoted_identifier] = ACTIONS(1460),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1460),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1460),
    [aux_sym_keyword_replace_token1] = ACTIONS(1460),
    [aux_sym__keyword_alter_token1] = ACTIONS(1460),
    [aux_sym__keyword_from_token1] = ACTIONS(1460),
    [aux_sym__keyword_delete_token1] = ACTIONS(1460),
    [aux_sym__keyword_begin_token1] = ACTIONS(1460),
    [aux_sym__keyword_end_token1] = ACTIONS(1460),
    [aux_sym__keyword_between_token1] = ACTIONS(1460),
    [aux_sym__keyword_when_token1] = ACTIONS(1460),
    [aux_sym__keyword_else_token1] = ACTIONS(1460),
    [aux_sym__keyword_is_token1] = ACTIONS(1460),
    [aux_sym__keyword_in_token1] = ACTIONS(1460),
    [aux_sym__keyword_and_token1] = ACTIONS(1460),
    [aux_sym__keyword_like_token1] = ACTIONS(1460),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1460),
    [aux_sym__keyword_as_token1] = ACTIONS(1460),
    [aux_sym__keyword_window_token1] = ACTIONS(1460),
    [aux_sym__keyword_date_token1] = ACTIONS(1460),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1460),
    [aux_sym__keyword_time_token1] = ACTIONS(1460),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1460),
    [aux_sym__keyword_for_token1] = ACTIONS(1460),
    [anon_sym_SEMI] = ACTIONS(1458),
    [aux_sym_declare_statement_token1] = ACTIONS(1460),
    [anon_sym_COMMA] = ACTIONS(1458),
    [aux_sym_set_statement_token1] = ACTIONS(1460),
    [anon_sym_LPAREN] = ACTIONS(1458),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1460),
    [aux_sym_return_satement_token1] = ACTIONS(1460),
    [aux_sym_call_statement_token1] = ACTIONS(1460),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1460),
    [aux_sym_if_statement_token1] = ACTIONS(1460),
    [aux_sym_loop_statement_token1] = ACTIONS(1460),
    [aux_sym_repeat_statement_token1] = ACTIONS(1460),
    [aux_sym_while_statement_token1] = ACTIONS(1460),
    [aux_sym_break_statement_token1] = ACTIONS(1460),
    [aux_sym_leave_statement_token1] = ACTIONS(1460),
    [aux_sym_continue_statement_token1] = ACTIONS(1460),
    [aux_sym_iterate_statement_token1] = ACTIONS(1460),
    [aux_sym_raise_statement_token1] = ACTIONS(1460),
    [anon_sym_EQ] = ACTIONS(1458),
    [aux_sym_assert_statement_token1] = ACTIONS(1460),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1460),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1460),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1460),
    [anon_sym_LT] = ACTIONS(1460),
    [anon_sym_GT] = ACTIONS(1460),
    [aux_sym_set_operation_token1] = ACTIONS(1460),
    [aux_sym_set_operation_token3] = ACTIONS(1460),
    [aux_sym_set_operation_token4] = ACTIONS(1460),
    [aux_sym_select_token1] = ACTIONS(1460),
    [aux_sym_having_clause_token1] = ACTIONS(1460),
    [aux_sym_qualify_clause_token1] = ACTIONS(1460),
    [aux_sym_limit_clause_token1] = ACTIONS(1460),
    [aux_sym_group_by_clause_token1] = ACTIONS(1460),
    [aux_sym_order_by_clause_token1] = ACTIONS(1460),
    [aux_sym_where_clause_token1] = ACTIONS(1460),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1460),
    [aux_sym_truncate_statement_token1] = ACTIONS(1460),
    [aux_sym_update_statement_token1] = ACTIONS(1460),
    [aux_sym_merge_statement_token1] = ACTIONS(1460),
    [aux_sym_grant_statement_token1] = ACTIONS(1460),
    [aux_sym_revoke_statement_token1] = ACTIONS(1460),
    [aux_sym_export_data_statement_token1] = ACTIONS(1460),
    [aux_sym_load_data_statement_token1] = ACTIONS(1460),
    [anon_sym_LBRACK] = ACTIONS(1458),
    [sym__quoted_identifier] = ACTIONS(1458),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_STAR] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(1460),
    [anon_sym_PIPE_PIPE] = ACTIONS(1458),
    [anon_sym_LT_EQ] = ACTIONS(1458),
    [anon_sym_LT_GT] = ACTIONS(1458),
    [anon_sym_GT_EQ] = ACTIONS(1458),
    [anon_sym_BANG_EQ] = ACTIONS(1458),
    [anon_sym_LT_LT] = ACTIONS(1458),
    [anon_sym_GT_GT] = ACTIONS(1458),
    [anon_sym_AMP] = ACTIONS(1458),
    [anon_sym_CARET] = ACTIONS(1458),
    [anon_sym_PIPE] = ACTIONS(1460),
  },
  [968] = {
    [sym_analytics_clause] = STATE(2220),
    [sym__unquoted_identifier] = ACTIONS(1468),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1468),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1468),
    [aux_sym_keyword_replace_token1] = ACTIONS(1468),
    [aux_sym__keyword_alter_token1] = ACTIONS(1468),
    [aux_sym__keyword_from_token1] = ACTIONS(1468),
    [aux_sym__keyword_delete_token1] = ACTIONS(1468),
    [aux_sym__keyword_begin_token1] = ACTIONS(1468),
    [aux_sym__keyword_end_token1] = ACTIONS(1468),
    [aux_sym__keyword_between_token1] = ACTIONS(1468),
    [aux_sym__keyword_when_token1] = ACTIONS(1468),
    [aux_sym__keyword_else_token1] = ACTIONS(1468),
    [aux_sym__keyword_is_token1] = ACTIONS(1468),
    [aux_sym__keyword_in_token1] = ACTIONS(1468),
    [aux_sym__keyword_and_token1] = ACTIONS(1468),
    [aux_sym__keyword_like_token1] = ACTIONS(1468),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1468),
    [aux_sym__keyword_as_token1] = ACTIONS(1468),
    [aux_sym__keyword_window_token1] = ACTIONS(1468),
    [aux_sym__keyword_date_token1] = ACTIONS(1468),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1468),
    [aux_sym__keyword_time_token1] = ACTIONS(1468),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1468),
    [aux_sym__keyword_for_token1] = ACTIONS(1468),
    [anon_sym_SEMI] = ACTIONS(1466),
    [aux_sym_declare_statement_token1] = ACTIONS(1468),
    [anon_sym_COMMA] = ACTIONS(1466),
    [aux_sym_set_statement_token1] = ACTIONS(1468),
    [anon_sym_LPAREN] = ACTIONS(1466),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1468),
    [aux_sym_return_satement_token1] = ACTIONS(1468),
    [aux_sym_call_statement_token1] = ACTIONS(1468),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1468),
    [aux_sym_if_statement_token1] = ACTIONS(1468),
    [aux_sym_loop_statement_token1] = ACTIONS(1468),
    [aux_sym_repeat_statement_token1] = ACTIONS(1468),
    [aux_sym_while_statement_token1] = ACTIONS(1468),
    [aux_sym_break_statement_token1] = ACTIONS(1468),
    [aux_sym_leave_statement_token1] = ACTIONS(1468),
    [aux_sym_continue_statement_token1] = ACTIONS(1468),
    [aux_sym_iterate_statement_token1] = ACTIONS(1468),
    [aux_sym_raise_statement_token1] = ACTIONS(1468),
    [anon_sym_EQ] = ACTIONS(1466),
    [aux_sym_assert_statement_token1] = ACTIONS(1468),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1468),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1468),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1468),
    [anon_sym_LT] = ACTIONS(1468),
    [anon_sym_GT] = ACTIONS(1468),
    [aux_sym_set_operation_token1] = ACTIONS(1468),
    [aux_sym_set_operation_token3] = ACTIONS(1468),
    [aux_sym_set_operation_token4] = ACTIONS(1468),
    [aux_sym_select_token1] = ACTIONS(1468),
    [aux_sym_having_clause_token1] = ACTIONS(1468),
    [aux_sym_qualify_clause_token1] = ACTIONS(1468),
    [aux_sym_limit_clause_token1] = ACTIONS(1468),
    [aux_sym_group_by_clause_token1] = ACTIONS(1468),
    [aux_sym_order_by_clause_token1] = ACTIONS(1468),
    [aux_sym_where_clause_token1] = ACTIONS(1468),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1468),
    [aux_sym_truncate_statement_token1] = ACTIONS(1468),
    [aux_sym_update_statement_token1] = ACTIONS(1468),
    [aux_sym_merge_statement_token1] = ACTIONS(1468),
    [aux_sym_grant_statement_token1] = ACTIONS(1468),
    [aux_sym_revoke_statement_token1] = ACTIONS(1468),
    [aux_sym_export_data_statement_token1] = ACTIONS(1468),
    [aux_sym_load_data_statement_token1] = ACTIONS(1468),
    [anon_sym_LBRACK] = ACTIONS(1466),
    [sym__quoted_identifier] = ACTIONS(1466),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_STAR] = ACTIONS(1466),
    [anon_sym_SLASH] = ACTIONS(1468),
    [anon_sym_PIPE_PIPE] = ACTIONS(1466),
    [anon_sym_LT_EQ] = ACTIONS(1466),
    [anon_sym_LT_GT] = ACTIONS(1466),
    [anon_sym_GT_EQ] = ACTIONS(1466),
    [anon_sym_BANG_EQ] = ACTIONS(1466),
    [anon_sym_LT_LT] = ACTIONS(1466),
    [anon_sym_GT_GT] = ACTIONS(1466),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_CARET] = ACTIONS(1466),
    [anon_sym_PIPE] = ACTIONS(1468),
  },
  [969] = {
    [sym_analytics_clause] = STATE(2260),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [970] = {
    [sym_analytics_clause] = STATE(2221),
    [sym__unquoted_identifier] = ACTIONS(1472),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1472),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1472),
    [aux_sym_keyword_replace_token1] = ACTIONS(1472),
    [aux_sym__keyword_alter_token1] = ACTIONS(1472),
    [aux_sym__keyword_from_token1] = ACTIONS(1472),
    [aux_sym__keyword_delete_token1] = ACTIONS(1472),
    [aux_sym__keyword_begin_token1] = ACTIONS(1472),
    [aux_sym__keyword_end_token1] = ACTIONS(1472),
    [aux_sym__keyword_between_token1] = ACTIONS(1472),
    [aux_sym__keyword_when_token1] = ACTIONS(1472),
    [aux_sym__keyword_else_token1] = ACTIONS(1472),
    [aux_sym__keyword_is_token1] = ACTIONS(1472),
    [aux_sym__keyword_in_token1] = ACTIONS(1472),
    [aux_sym__keyword_and_token1] = ACTIONS(1472),
    [aux_sym__keyword_like_token1] = ACTIONS(1472),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1472),
    [aux_sym__keyword_as_token1] = ACTIONS(1472),
    [aux_sym__keyword_window_token1] = ACTIONS(1472),
    [aux_sym__keyword_date_token1] = ACTIONS(1472),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1472),
    [aux_sym__keyword_time_token1] = ACTIONS(1472),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1472),
    [aux_sym__keyword_for_token1] = ACTIONS(1472),
    [anon_sym_SEMI] = ACTIONS(1470),
    [aux_sym_declare_statement_token1] = ACTIONS(1472),
    [anon_sym_COMMA] = ACTIONS(1470),
    [aux_sym_set_statement_token1] = ACTIONS(1472),
    [anon_sym_LPAREN] = ACTIONS(1470),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1472),
    [aux_sym_return_satement_token1] = ACTIONS(1472),
    [aux_sym_call_statement_token1] = ACTIONS(1472),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1472),
    [aux_sym_if_statement_token1] = ACTIONS(1472),
    [aux_sym_loop_statement_token1] = ACTIONS(1472),
    [aux_sym_repeat_statement_token1] = ACTIONS(1472),
    [aux_sym_while_statement_token1] = ACTIONS(1472),
    [aux_sym_break_statement_token1] = ACTIONS(1472),
    [aux_sym_leave_statement_token1] = ACTIONS(1472),
    [aux_sym_continue_statement_token1] = ACTIONS(1472),
    [aux_sym_iterate_statement_token1] = ACTIONS(1472),
    [aux_sym_raise_statement_token1] = ACTIONS(1472),
    [anon_sym_EQ] = ACTIONS(1470),
    [aux_sym_assert_statement_token1] = ACTIONS(1472),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1472),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1472),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1472),
    [anon_sym_LT] = ACTIONS(1472),
    [anon_sym_GT] = ACTIONS(1472),
    [aux_sym_set_operation_token1] = ACTIONS(1472),
    [aux_sym_set_operation_token3] = ACTIONS(1472),
    [aux_sym_set_operation_token4] = ACTIONS(1472),
    [aux_sym_select_token1] = ACTIONS(1472),
    [aux_sym_having_clause_token1] = ACTIONS(1472),
    [aux_sym_qualify_clause_token1] = ACTIONS(1472),
    [aux_sym_limit_clause_token1] = ACTIONS(1472),
    [aux_sym_group_by_clause_token1] = ACTIONS(1472),
    [aux_sym_order_by_clause_token1] = ACTIONS(1472),
    [aux_sym_where_clause_token1] = ACTIONS(1472),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1472),
    [aux_sym_truncate_statement_token1] = ACTIONS(1472),
    [aux_sym_update_statement_token1] = ACTIONS(1472),
    [aux_sym_merge_statement_token1] = ACTIONS(1472),
    [aux_sym_grant_statement_token1] = ACTIONS(1472),
    [aux_sym_revoke_statement_token1] = ACTIONS(1472),
    [aux_sym_export_data_statement_token1] = ACTIONS(1472),
    [aux_sym_load_data_statement_token1] = ACTIONS(1472),
    [anon_sym_LBRACK] = ACTIONS(1470),
    [sym__quoted_identifier] = ACTIONS(1470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1470),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_STAR] = ACTIONS(1470),
    [anon_sym_SLASH] = ACTIONS(1472),
    [anon_sym_PIPE_PIPE] = ACTIONS(1470),
    [anon_sym_LT_EQ] = ACTIONS(1470),
    [anon_sym_LT_GT] = ACTIONS(1470),
    [anon_sym_GT_EQ] = ACTIONS(1470),
    [anon_sym_BANG_EQ] = ACTIONS(1470),
    [anon_sym_LT_LT] = ACTIONS(1470),
    [anon_sym_GT_GT] = ACTIONS(1470),
    [anon_sym_AMP] = ACTIONS(1470),
    [anon_sym_CARET] = ACTIONS(1470),
    [anon_sym_PIPE] = ACTIONS(1472),
  },
  [971] = {
    [sym_analytics_clause] = STATE(2259),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [972] = {
    [sym_analytics_clause] = STATE(2258),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [973] = {
    [sym_analytics_clause] = STATE(2256),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [974] = {
    [sym_analytics_clause] = STATE(2255),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [975] = {
    [sym_analytics_clause] = STATE(2253),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [976] = {
    [sym_analytics_clause] = STATE(2252),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [977] = {
    [sym_analytics_clause] = STATE(2251),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [978] = {
    [sym_analytics_clause] = STATE(2245),
    [sym__unquoted_identifier] = ACTIONS(1506),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1506),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1506),
    [aux_sym_keyword_replace_token1] = ACTIONS(1506),
    [aux_sym__keyword_alter_token1] = ACTIONS(1506),
    [aux_sym__keyword_from_token1] = ACTIONS(1506),
    [aux_sym__keyword_delete_token1] = ACTIONS(1506),
    [aux_sym__keyword_begin_token1] = ACTIONS(1506),
    [aux_sym__keyword_end_token1] = ACTIONS(1506),
    [aux_sym__keyword_between_token1] = ACTIONS(1506),
    [aux_sym__keyword_when_token1] = ACTIONS(1506),
    [aux_sym__keyword_else_token1] = ACTIONS(1506),
    [aux_sym__keyword_is_token1] = ACTIONS(1506),
    [aux_sym__keyword_in_token1] = ACTIONS(1506),
    [aux_sym__keyword_and_token1] = ACTIONS(1506),
    [aux_sym__keyword_like_token1] = ACTIONS(1506),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1506),
    [aux_sym__keyword_as_token1] = ACTIONS(1506),
    [aux_sym__keyword_window_token1] = ACTIONS(1506),
    [aux_sym__keyword_date_token1] = ACTIONS(1506),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1506),
    [aux_sym__keyword_time_token1] = ACTIONS(1506),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1506),
    [aux_sym__keyword_for_token1] = ACTIONS(1506),
    [anon_sym_SEMI] = ACTIONS(1504),
    [aux_sym_declare_statement_token1] = ACTIONS(1506),
    [anon_sym_COMMA] = ACTIONS(1504),
    [aux_sym_set_statement_token1] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1504),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1506),
    [aux_sym_return_satement_token1] = ACTIONS(1506),
    [aux_sym_call_statement_token1] = ACTIONS(1506),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1506),
    [aux_sym_if_statement_token1] = ACTIONS(1506),
    [aux_sym_loop_statement_token1] = ACTIONS(1506),
    [aux_sym_repeat_statement_token1] = ACTIONS(1506),
    [aux_sym_while_statement_token1] = ACTIONS(1506),
    [aux_sym_break_statement_token1] = ACTIONS(1506),
    [aux_sym_leave_statement_token1] = ACTIONS(1506),
    [aux_sym_continue_statement_token1] = ACTIONS(1506),
    [aux_sym_iterate_statement_token1] = ACTIONS(1506),
    [aux_sym_raise_statement_token1] = ACTIONS(1506),
    [anon_sym_EQ] = ACTIONS(1504),
    [aux_sym_assert_statement_token1] = ACTIONS(1506),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1506),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1506),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1506),
    [anon_sym_LT] = ACTIONS(1506),
    [anon_sym_GT] = ACTIONS(1506),
    [aux_sym_set_operation_token1] = ACTIONS(1506),
    [aux_sym_set_operation_token3] = ACTIONS(1506),
    [aux_sym_set_operation_token4] = ACTIONS(1506),
    [aux_sym_select_token1] = ACTIONS(1506),
    [aux_sym_having_clause_token1] = ACTIONS(1506),
    [aux_sym_qualify_clause_token1] = ACTIONS(1506),
    [aux_sym_limit_clause_token1] = ACTIONS(1506),
    [aux_sym_group_by_clause_token1] = ACTIONS(1506),
    [aux_sym_order_by_clause_token1] = ACTIONS(1506),
    [aux_sym_where_clause_token1] = ACTIONS(1506),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1506),
    [aux_sym_truncate_statement_token1] = ACTIONS(1506),
    [aux_sym_update_statement_token1] = ACTIONS(1506),
    [aux_sym_merge_statement_token1] = ACTIONS(1506),
    [aux_sym_grant_statement_token1] = ACTIONS(1506),
    [aux_sym_revoke_statement_token1] = ACTIONS(1506),
    [aux_sym_export_data_statement_token1] = ACTIONS(1506),
    [aux_sym_load_data_statement_token1] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1504),
    [sym__quoted_identifier] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1504),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1506),
    [anon_sym_STAR] = ACTIONS(1504),
    [anon_sym_SLASH] = ACTIONS(1506),
    [anon_sym_PIPE_PIPE] = ACTIONS(1504),
    [anon_sym_LT_EQ] = ACTIONS(1504),
    [anon_sym_LT_GT] = ACTIONS(1504),
    [anon_sym_GT_EQ] = ACTIONS(1504),
    [anon_sym_BANG_EQ] = ACTIONS(1504),
    [anon_sym_LT_LT] = ACTIONS(1504),
    [anon_sym_GT_GT] = ACTIONS(1504),
    [anon_sym_AMP] = ACTIONS(1504),
    [anon_sym_CARET] = ACTIONS(1504),
    [anon_sym_PIPE] = ACTIONS(1506),
  },
  [979] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16161),
    [sym__keyword_case] = STATE(281),
    [sym__keyword_not] = STATE(1524),
    [sym__keyword_cast] = STATE(19303),
    [sym__keyword_date] = STATE(5561),
    [sym__keyword_datetime] = STATE(5561),
    [sym__keyword_time] = STATE(5561),
    [sym__keyword_timestamp] = STATE(5561),
    [sym_select_subexpression] = STATE(5651),
    [sym_function_call] = STATE(5651),
    [sym_unnest_operator] = STATE(4219),
    [sym_unnest_clause] = STATE(5651),
    [sym__literal] = STATE(5651),
    [sym_NULL] = STATE(5651),
    [sym_TRUE] = STATE(5651),
    [sym_FALSE] = STATE(5651),
    [sym__float] = STATE(5650),
    [sym_numeric] = STATE(5650),
    [sym__number] = STATE(5650),
    [sym_interval] = STATE(5651),
    [sym_range] = STATE(5651),
    [sym_time] = STATE(5651),
    [sym_number] = STATE(5651),
    [sym_json] = STATE(5651),
    [sym_query_parameter] = STATE(5651),
    [sym__type_chrono] = STATE(5409),
    [sym__type_struct] = STATE(19128),
    [sym__type_array] = STATE(18694),
    [sym_array] = STATE(5651),
    [sym_struct] = STATE(5651),
    [sym__identifier] = STATE(5400),
    [sym__dotted_identifier] = STATE(13676),
    [sym_identifier] = STATE(5580),
    [sym_string] = STATE(5651),
    [sym__expression] = STATE(5300),
    [sym__parenthesized_expression] = STATE(5651),
    [sym_element_access] = STATE(5651),
    [sym_field_access] = STATE(5651),
    [sym_unary_expression] = STATE(5651),
    [sym_binary_expression] = STATE(5651),
    [sym_between_operator] = STATE(5651),
    [sym_casewhen_expression] = STATE(5651),
    [sym_cast_expression] = STATE(5651),
    [sym_argument_reference] = STATE(5651),
    [aux_sym_identifier_repeat1] = STATE(13676),
    [sym__unquoted_identifier] = ACTIONS(2498),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2500),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2502),
    [aux_sym__keyword_case_token1] = ACTIONS(2504),
    [aux_sym__keyword_cast_token1] = ACTIONS(2506),
    [aux_sym__keyword_cast_token2] = ACTIONS(2506),
    [aux_sym__keyword_date_token1] = ACTIONS(2508),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2508),
    [aux_sym__keyword_time_token1] = ACTIONS(2508),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2508),
    [anon_sym_LPAREN] = ACTIONS(2510),
    [aux_sym_drop_notnull_token1] = ACTIONS(2512),
    [aux_sym_function_call_token2] = ACTIONS(2514),
    [aux_sym_unnest_operator_token1] = ACTIONS(2516),
    [aux_sym_TRUE_token1] = ACTIONS(2518),
    [aux_sym_FALSE_token1] = ACTIONS(2520),
    [sym__integer] = ACTIONS(2522),
    [aux_sym__float_token1] = ACTIONS(2524),
    [aux_sym__float_token2] = ACTIONS(2522),
    [aux_sym__float_token3] = ACTIONS(2524),
    [aux_sym_numeric_token1] = ACTIONS(2526),
    [aux_sym_numeric_token2] = ACTIONS(2526),
    [aux_sym_numeric_token3] = ACTIONS(2526),
    [aux_sym_numeric_token4] = ACTIONS(2526),
    [aux_sym_interval_token1] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2530),
    [aux_sym_json_token1] = ACTIONS(2532),
    [sym_system_variable] = ACTIONS(2534),
    [sym__named_query_parameter] = ACTIONS(2536),
    [sym__positional_query_parameter] = ACTIONS(2538),
    [sym__quoted_identifier] = ACTIONS(2540),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2542),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_operator_compare] = ACTIONS(2546),
    [anon_sym_DOLLAR] = ACTIONS(2548),
    [sym__string_start] = ACTIONS(2550),
  },
  [980] = {
    [sym_analytics_clause] = STATE(2242),
    [sym__unquoted_identifier] = ACTIONS(1502),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1502),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1502),
    [aux_sym_keyword_replace_token1] = ACTIONS(1502),
    [aux_sym__keyword_alter_token1] = ACTIONS(1502),
    [aux_sym__keyword_from_token1] = ACTIONS(1502),
    [aux_sym__keyword_delete_token1] = ACTIONS(1502),
    [aux_sym__keyword_begin_token1] = ACTIONS(1502),
    [aux_sym__keyword_end_token1] = ACTIONS(1502),
    [aux_sym__keyword_between_token1] = ACTIONS(1502),
    [aux_sym__keyword_when_token1] = ACTIONS(1502),
    [aux_sym__keyword_else_token1] = ACTIONS(1502),
    [aux_sym__keyword_is_token1] = ACTIONS(1502),
    [aux_sym__keyword_in_token1] = ACTIONS(1502),
    [aux_sym__keyword_and_token1] = ACTIONS(1502),
    [aux_sym__keyword_like_token1] = ACTIONS(1502),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1502),
    [aux_sym__keyword_as_token1] = ACTIONS(1502),
    [aux_sym__keyword_window_token1] = ACTIONS(1502),
    [aux_sym__keyword_date_token1] = ACTIONS(1502),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1502),
    [aux_sym__keyword_time_token1] = ACTIONS(1502),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1502),
    [aux_sym__keyword_for_token1] = ACTIONS(1502),
    [anon_sym_SEMI] = ACTIONS(1500),
    [aux_sym_declare_statement_token1] = ACTIONS(1502),
    [anon_sym_COMMA] = ACTIONS(1500),
    [aux_sym_set_statement_token1] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1500),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1502),
    [aux_sym_return_satement_token1] = ACTIONS(1502),
    [aux_sym_call_statement_token1] = ACTIONS(1502),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1502),
    [aux_sym_if_statement_token1] = ACTIONS(1502),
    [aux_sym_loop_statement_token1] = ACTIONS(1502),
    [aux_sym_repeat_statement_token1] = ACTIONS(1502),
    [aux_sym_while_statement_token1] = ACTIONS(1502),
    [aux_sym_break_statement_token1] = ACTIONS(1502),
    [aux_sym_leave_statement_token1] = ACTIONS(1502),
    [aux_sym_continue_statement_token1] = ACTIONS(1502),
    [aux_sym_iterate_statement_token1] = ACTIONS(1502),
    [aux_sym_raise_statement_token1] = ACTIONS(1502),
    [anon_sym_EQ] = ACTIONS(1500),
    [aux_sym_assert_statement_token1] = ACTIONS(1502),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1502),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1502),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1502),
    [anon_sym_LT] = ACTIONS(1502),
    [anon_sym_GT] = ACTIONS(1502),
    [aux_sym_set_operation_token1] = ACTIONS(1502),
    [aux_sym_set_operation_token3] = ACTIONS(1502),
    [aux_sym_set_operation_token4] = ACTIONS(1502),
    [aux_sym_select_token1] = ACTIONS(1502),
    [aux_sym_having_clause_token1] = ACTIONS(1502),
    [aux_sym_qualify_clause_token1] = ACTIONS(1502),
    [aux_sym_limit_clause_token1] = ACTIONS(1502),
    [aux_sym_group_by_clause_token1] = ACTIONS(1502),
    [aux_sym_order_by_clause_token1] = ACTIONS(1502),
    [aux_sym_where_clause_token1] = ACTIONS(1502),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1502),
    [aux_sym_truncate_statement_token1] = ACTIONS(1502),
    [aux_sym_update_statement_token1] = ACTIONS(1502),
    [aux_sym_merge_statement_token1] = ACTIONS(1502),
    [aux_sym_grant_statement_token1] = ACTIONS(1502),
    [aux_sym_revoke_statement_token1] = ACTIONS(1502),
    [aux_sym_export_data_statement_token1] = ACTIONS(1502),
    [aux_sym_load_data_statement_token1] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1500),
    [sym__quoted_identifier] = ACTIONS(1500),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_STAR] = ACTIONS(1500),
    [anon_sym_SLASH] = ACTIONS(1502),
    [anon_sym_PIPE_PIPE] = ACTIONS(1500),
    [anon_sym_LT_EQ] = ACTIONS(1500),
    [anon_sym_LT_GT] = ACTIONS(1500),
    [anon_sym_GT_EQ] = ACTIONS(1500),
    [anon_sym_BANG_EQ] = ACTIONS(1500),
    [anon_sym_LT_LT] = ACTIONS(1500),
    [anon_sym_GT_GT] = ACTIONS(1500),
    [anon_sym_AMP] = ACTIONS(1500),
    [anon_sym_CARET] = ACTIONS(1500),
    [anon_sym_PIPE] = ACTIONS(1502),
  },
  [981] = {
    [sym_analytics_clause] = STATE(2241),
    [sym__unquoted_identifier] = ACTIONS(1498),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1498),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1498),
    [aux_sym_keyword_replace_token1] = ACTIONS(1498),
    [aux_sym__keyword_alter_token1] = ACTIONS(1498),
    [aux_sym__keyword_from_token1] = ACTIONS(1498),
    [aux_sym__keyword_delete_token1] = ACTIONS(1498),
    [aux_sym__keyword_begin_token1] = ACTIONS(1498),
    [aux_sym__keyword_end_token1] = ACTIONS(1498),
    [aux_sym__keyword_between_token1] = ACTIONS(1498),
    [aux_sym__keyword_when_token1] = ACTIONS(1498),
    [aux_sym__keyword_else_token1] = ACTIONS(1498),
    [aux_sym__keyword_is_token1] = ACTIONS(1498),
    [aux_sym__keyword_in_token1] = ACTIONS(1498),
    [aux_sym__keyword_and_token1] = ACTIONS(1498),
    [aux_sym__keyword_like_token1] = ACTIONS(1498),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1498),
    [aux_sym__keyword_as_token1] = ACTIONS(1498),
    [aux_sym__keyword_window_token1] = ACTIONS(1498),
    [aux_sym__keyword_date_token1] = ACTIONS(1498),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1498),
    [aux_sym__keyword_time_token1] = ACTIONS(1498),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1498),
    [aux_sym__keyword_for_token1] = ACTIONS(1498),
    [anon_sym_SEMI] = ACTIONS(1496),
    [aux_sym_declare_statement_token1] = ACTIONS(1498),
    [anon_sym_COMMA] = ACTIONS(1496),
    [aux_sym_set_statement_token1] = ACTIONS(1498),
    [anon_sym_LPAREN] = ACTIONS(1496),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1498),
    [aux_sym_return_satement_token1] = ACTIONS(1498),
    [aux_sym_call_statement_token1] = ACTIONS(1498),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1498),
    [aux_sym_if_statement_token1] = ACTIONS(1498),
    [aux_sym_loop_statement_token1] = ACTIONS(1498),
    [aux_sym_repeat_statement_token1] = ACTIONS(1498),
    [aux_sym_while_statement_token1] = ACTIONS(1498),
    [aux_sym_break_statement_token1] = ACTIONS(1498),
    [aux_sym_leave_statement_token1] = ACTIONS(1498),
    [aux_sym_continue_statement_token1] = ACTIONS(1498),
    [aux_sym_iterate_statement_token1] = ACTIONS(1498),
    [aux_sym_raise_statement_token1] = ACTIONS(1498),
    [anon_sym_EQ] = ACTIONS(1496),
    [aux_sym_assert_statement_token1] = ACTIONS(1498),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1498),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1498),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1498),
    [anon_sym_LT] = ACTIONS(1498),
    [anon_sym_GT] = ACTIONS(1498),
    [aux_sym_set_operation_token1] = ACTIONS(1498),
    [aux_sym_set_operation_token3] = ACTIONS(1498),
    [aux_sym_set_operation_token4] = ACTIONS(1498),
    [aux_sym_select_token1] = ACTIONS(1498),
    [aux_sym_having_clause_token1] = ACTIONS(1498),
    [aux_sym_qualify_clause_token1] = ACTIONS(1498),
    [aux_sym_limit_clause_token1] = ACTIONS(1498),
    [aux_sym_group_by_clause_token1] = ACTIONS(1498),
    [aux_sym_order_by_clause_token1] = ACTIONS(1498),
    [aux_sym_where_clause_token1] = ACTIONS(1498),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1498),
    [aux_sym_truncate_statement_token1] = ACTIONS(1498),
    [aux_sym_update_statement_token1] = ACTIONS(1498),
    [aux_sym_merge_statement_token1] = ACTIONS(1498),
    [aux_sym_grant_statement_token1] = ACTIONS(1498),
    [aux_sym_revoke_statement_token1] = ACTIONS(1498),
    [aux_sym_export_data_statement_token1] = ACTIONS(1498),
    [aux_sym_load_data_statement_token1] = ACTIONS(1498),
    [anon_sym_LBRACK] = ACTIONS(1496),
    [sym__quoted_identifier] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(1498),
    [anon_sym_PIPE_PIPE] = ACTIONS(1496),
    [anon_sym_LT_EQ] = ACTIONS(1496),
    [anon_sym_LT_GT] = ACTIONS(1496),
    [anon_sym_GT_EQ] = ACTIONS(1496),
    [anon_sym_BANG_EQ] = ACTIONS(1496),
    [anon_sym_LT_LT] = ACTIONS(1496),
    [anon_sym_GT_GT] = ACTIONS(1496),
    [anon_sym_AMP] = ACTIONS(1496),
    [anon_sym_CARET] = ACTIONS(1496),
    [anon_sym_PIPE] = ACTIONS(1498),
  },
  [982] = {
    [sym_analytics_clause] = STATE(2240),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_from_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [983] = {
    [sym_analytics_clause] = STATE(2239),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_from_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [984] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16325),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1073),
    [sym__keyword_cast] = STATE(19275),
    [sym__keyword_date] = STATE(9495),
    [sym__keyword_datetime] = STATE(9495),
    [sym__keyword_time] = STATE(9495),
    [sym__keyword_timestamp] = STATE(9495),
    [sym_select_subexpression] = STATE(10495),
    [sym_function_call] = STATE(10495),
    [sym_unnest_operator] = STATE(6473),
    [sym_unnest_clause] = STATE(10495),
    [sym__literal] = STATE(10495),
    [sym_NULL] = STATE(10495),
    [sym_TRUE] = STATE(10495),
    [sym_FALSE] = STATE(10495),
    [sym__float] = STATE(10492),
    [sym_numeric] = STATE(10492),
    [sym__number] = STATE(10492),
    [sym_interval] = STATE(10495),
    [sym_range] = STATE(10495),
    [sym_time] = STATE(10495),
    [sym_number] = STATE(10495),
    [sym_json] = STATE(10495),
    [sym_query_parameter] = STATE(10495),
    [sym__type_chrono] = STATE(8422),
    [sym__type_struct] = STATE(19027),
    [sym__type_array] = STATE(18285),
    [sym_array] = STATE(10495),
    [sym_struct] = STATE(10495),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9694),
    [sym_string] = STATE(10495),
    [sym__expression] = STATE(9887),
    [sym__parenthesized_expression] = STATE(10495),
    [sym_element_access] = STATE(10495),
    [sym_field_access] = STATE(10495),
    [sym_unary_expression] = STATE(10495),
    [sym_binary_expression] = STATE(10495),
    [sym_between_operator] = STATE(10495),
    [sym_casewhen_expression] = STATE(10495),
    [sym_cast_expression] = STATE(10495),
    [sym_argument_reference] = STATE(10495),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2042),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2044),
    [aux_sym__keyword_case_token1] = ACTIONS(2046),
    [aux_sym__keyword_cast_token1] = ACTIONS(2048),
    [aux_sym__keyword_cast_token2] = ACTIONS(2048),
    [aux_sym__keyword_date_token1] = ACTIONS(2050),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2050),
    [aux_sym__keyword_time_token1] = ACTIONS(2050),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [aux_sym_drop_notnull_token1] = ACTIONS(2054),
    [aux_sym_function_call_token2] = ACTIONS(2056),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2060),
    [aux_sym_FALSE_token1] = ACTIONS(2062),
    [sym__integer] = ACTIONS(2064),
    [aux_sym__float_token1] = ACTIONS(2066),
    [aux_sym__float_token2] = ACTIONS(2064),
    [aux_sym__float_token3] = ACTIONS(2066),
    [aux_sym_numeric_token1] = ACTIONS(2068),
    [aux_sym_numeric_token2] = ACTIONS(2068),
    [aux_sym_numeric_token3] = ACTIONS(2068),
    [aux_sym_numeric_token4] = ACTIONS(2068),
    [aux_sym_interval_token1] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_json_token1] = ACTIONS(2074),
    [sym_system_variable] = ACTIONS(2076),
    [sym__named_query_parameter] = ACTIONS(2078),
    [sym__positional_query_parameter] = ACTIONS(2080),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_operator_compare] = ACTIONS(2086),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [sym__string_start] = ACTIONS(2090),
  },
  [985] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16325),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1073),
    [sym__keyword_cast] = STATE(19275),
    [sym__keyword_date] = STATE(9495),
    [sym__keyword_datetime] = STATE(9495),
    [sym__keyword_time] = STATE(9495),
    [sym__keyword_timestamp] = STATE(9495),
    [sym_select_subexpression] = STATE(10495),
    [sym_function_call] = STATE(10495),
    [sym_unnest_operator] = STATE(6473),
    [sym_unnest_clause] = STATE(10495),
    [sym__literal] = STATE(10495),
    [sym_NULL] = STATE(10495),
    [sym_TRUE] = STATE(10495),
    [sym_FALSE] = STATE(10495),
    [sym__float] = STATE(10492),
    [sym_numeric] = STATE(10492),
    [sym__number] = STATE(10492),
    [sym_interval] = STATE(10495),
    [sym_range] = STATE(10495),
    [sym_time] = STATE(10495),
    [sym_number] = STATE(10495),
    [sym_json] = STATE(10495),
    [sym_query_parameter] = STATE(10495),
    [sym__type_chrono] = STATE(8422),
    [sym__type_struct] = STATE(19027),
    [sym__type_array] = STATE(18285),
    [sym_array] = STATE(10495),
    [sym_struct] = STATE(10495),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9694),
    [sym_string] = STATE(10495),
    [sym__expression] = STATE(9886),
    [sym__parenthesized_expression] = STATE(10495),
    [sym_element_access] = STATE(10495),
    [sym_field_access] = STATE(10495),
    [sym_unary_expression] = STATE(10495),
    [sym_binary_expression] = STATE(10495),
    [sym_between_operator] = STATE(10495),
    [sym_casewhen_expression] = STATE(10495),
    [sym_cast_expression] = STATE(10495),
    [sym_argument_reference] = STATE(10495),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2042),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2044),
    [aux_sym__keyword_case_token1] = ACTIONS(2046),
    [aux_sym__keyword_cast_token1] = ACTIONS(2048),
    [aux_sym__keyword_cast_token2] = ACTIONS(2048),
    [aux_sym__keyword_date_token1] = ACTIONS(2050),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2050),
    [aux_sym__keyword_time_token1] = ACTIONS(2050),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [aux_sym_drop_notnull_token1] = ACTIONS(2054),
    [aux_sym_function_call_token2] = ACTIONS(2056),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2060),
    [aux_sym_FALSE_token1] = ACTIONS(2062),
    [sym__integer] = ACTIONS(2064),
    [aux_sym__float_token1] = ACTIONS(2066),
    [aux_sym__float_token2] = ACTIONS(2064),
    [aux_sym__float_token3] = ACTIONS(2066),
    [aux_sym_numeric_token1] = ACTIONS(2068),
    [aux_sym_numeric_token2] = ACTIONS(2068),
    [aux_sym_numeric_token3] = ACTIONS(2068),
    [aux_sym_numeric_token4] = ACTIONS(2068),
    [aux_sym_interval_token1] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_json_token1] = ACTIONS(2074),
    [sym_system_variable] = ACTIONS(2076),
    [sym__named_query_parameter] = ACTIONS(2078),
    [sym__positional_query_parameter] = ACTIONS(2080),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_operator_compare] = ACTIONS(2086),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [sym__string_start] = ACTIONS(2090),
  },
  [986] = {
    [sym_analytics_clause] = STATE(2237),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_from_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [987] = {
    [sym_analytics_clause] = STATE(2244),
    [sym__unquoted_identifier] = ACTIONS(1482),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1482),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1482),
    [aux_sym_keyword_replace_token1] = ACTIONS(1482),
    [aux_sym__keyword_alter_token1] = ACTIONS(1482),
    [aux_sym__keyword_from_token1] = ACTIONS(1482),
    [aux_sym__keyword_delete_token1] = ACTIONS(1482),
    [aux_sym__keyword_begin_token1] = ACTIONS(1482),
    [aux_sym__keyword_end_token1] = ACTIONS(1482),
    [aux_sym__keyword_between_token1] = ACTIONS(1482),
    [aux_sym__keyword_when_token1] = ACTIONS(1482),
    [aux_sym__keyword_else_token1] = ACTIONS(1482),
    [aux_sym__keyword_is_token1] = ACTIONS(1482),
    [aux_sym__keyword_in_token1] = ACTIONS(1482),
    [aux_sym__keyword_and_token1] = ACTIONS(1482),
    [aux_sym__keyword_like_token1] = ACTIONS(1482),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1482),
    [aux_sym__keyword_as_token1] = ACTIONS(1482),
    [aux_sym__keyword_window_token1] = ACTIONS(1482),
    [aux_sym__keyword_date_token1] = ACTIONS(1482),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1482),
    [aux_sym__keyword_time_token1] = ACTIONS(1482),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1482),
    [aux_sym__keyword_for_token1] = ACTIONS(1482),
    [anon_sym_SEMI] = ACTIONS(1480),
    [aux_sym_declare_statement_token1] = ACTIONS(1482),
    [anon_sym_COMMA] = ACTIONS(1480),
    [aux_sym_set_statement_token1] = ACTIONS(1482),
    [anon_sym_LPAREN] = ACTIONS(1480),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1482),
    [aux_sym_return_satement_token1] = ACTIONS(1482),
    [aux_sym_call_statement_token1] = ACTIONS(1482),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1482),
    [aux_sym_if_statement_token1] = ACTIONS(1482),
    [aux_sym_loop_statement_token1] = ACTIONS(1482),
    [aux_sym_repeat_statement_token1] = ACTIONS(1482),
    [aux_sym_while_statement_token1] = ACTIONS(1482),
    [aux_sym_break_statement_token1] = ACTIONS(1482),
    [aux_sym_leave_statement_token1] = ACTIONS(1482),
    [aux_sym_continue_statement_token1] = ACTIONS(1482),
    [aux_sym_iterate_statement_token1] = ACTIONS(1482),
    [aux_sym_raise_statement_token1] = ACTIONS(1482),
    [anon_sym_EQ] = ACTIONS(1480),
    [aux_sym_assert_statement_token1] = ACTIONS(1482),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1482),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1482),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1482),
    [anon_sym_LT] = ACTIONS(1482),
    [anon_sym_GT] = ACTIONS(1482),
    [aux_sym_set_operation_token1] = ACTIONS(1482),
    [aux_sym_set_operation_token3] = ACTIONS(1482),
    [aux_sym_set_operation_token4] = ACTIONS(1482),
    [aux_sym_select_token1] = ACTIONS(1482),
    [aux_sym_having_clause_token1] = ACTIONS(1482),
    [aux_sym_qualify_clause_token1] = ACTIONS(1482),
    [aux_sym_limit_clause_token1] = ACTIONS(1482),
    [aux_sym_group_by_clause_token1] = ACTIONS(1482),
    [aux_sym_order_by_clause_token1] = ACTIONS(1482),
    [aux_sym_where_clause_token1] = ACTIONS(1482),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1482),
    [aux_sym_truncate_statement_token1] = ACTIONS(1482),
    [aux_sym_update_statement_token1] = ACTIONS(1482),
    [aux_sym_merge_statement_token1] = ACTIONS(1482),
    [aux_sym_grant_statement_token1] = ACTIONS(1482),
    [aux_sym_revoke_statement_token1] = ACTIONS(1482),
    [aux_sym_export_data_statement_token1] = ACTIONS(1482),
    [aux_sym_load_data_statement_token1] = ACTIONS(1482),
    [anon_sym_LBRACK] = ACTIONS(1480),
    [sym__quoted_identifier] = ACTIONS(1480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_DASH] = ACTIONS(1482),
    [anon_sym_STAR] = ACTIONS(1480),
    [anon_sym_SLASH] = ACTIONS(1482),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [anon_sym_LT_EQ] = ACTIONS(1480),
    [anon_sym_LT_GT] = ACTIONS(1480),
    [anon_sym_GT_EQ] = ACTIONS(1480),
    [anon_sym_BANG_EQ] = ACTIONS(1480),
    [anon_sym_LT_LT] = ACTIONS(1480),
    [anon_sym_GT_GT] = ACTIONS(1480),
    [anon_sym_AMP] = ACTIONS(1480),
    [anon_sym_CARET] = ACTIONS(1480),
    [anon_sym_PIPE] = ACTIONS(1482),
  },
  [988] = {
    [sym_analytics_clause] = STATE(2246),
    [sym__unquoted_identifier] = ACTIONS(1490),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1490),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1490),
    [aux_sym_keyword_replace_token1] = ACTIONS(1490),
    [aux_sym__keyword_alter_token1] = ACTIONS(1490),
    [aux_sym__keyword_from_token1] = ACTIONS(1490),
    [aux_sym__keyword_delete_token1] = ACTIONS(1490),
    [aux_sym__keyword_begin_token1] = ACTIONS(1490),
    [aux_sym__keyword_end_token1] = ACTIONS(1490),
    [aux_sym__keyword_between_token1] = ACTIONS(1490),
    [aux_sym__keyword_when_token1] = ACTIONS(1490),
    [aux_sym__keyword_else_token1] = ACTIONS(1490),
    [aux_sym__keyword_is_token1] = ACTIONS(1490),
    [aux_sym__keyword_in_token1] = ACTIONS(1490),
    [aux_sym__keyword_and_token1] = ACTIONS(1490),
    [aux_sym__keyword_like_token1] = ACTIONS(1490),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1490),
    [aux_sym__keyword_as_token1] = ACTIONS(1490),
    [aux_sym__keyword_window_token1] = ACTIONS(1490),
    [aux_sym__keyword_date_token1] = ACTIONS(1490),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1490),
    [aux_sym__keyword_time_token1] = ACTIONS(1490),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1490),
    [aux_sym__keyword_for_token1] = ACTIONS(1490),
    [anon_sym_SEMI] = ACTIONS(1488),
    [aux_sym_declare_statement_token1] = ACTIONS(1490),
    [anon_sym_COMMA] = ACTIONS(1488),
    [aux_sym_set_statement_token1] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1488),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1490),
    [aux_sym_return_satement_token1] = ACTIONS(1490),
    [aux_sym_call_statement_token1] = ACTIONS(1490),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1490),
    [aux_sym_if_statement_token1] = ACTIONS(1490),
    [aux_sym_loop_statement_token1] = ACTIONS(1490),
    [aux_sym_repeat_statement_token1] = ACTIONS(1490),
    [aux_sym_while_statement_token1] = ACTIONS(1490),
    [aux_sym_break_statement_token1] = ACTIONS(1490),
    [aux_sym_leave_statement_token1] = ACTIONS(1490),
    [aux_sym_continue_statement_token1] = ACTIONS(1490),
    [aux_sym_iterate_statement_token1] = ACTIONS(1490),
    [aux_sym_raise_statement_token1] = ACTIONS(1490),
    [anon_sym_EQ] = ACTIONS(1488),
    [aux_sym_assert_statement_token1] = ACTIONS(1490),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1490),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1490),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1490),
    [anon_sym_LT] = ACTIONS(1490),
    [anon_sym_GT] = ACTIONS(1490),
    [aux_sym_set_operation_token1] = ACTIONS(1490),
    [aux_sym_set_operation_token3] = ACTIONS(1490),
    [aux_sym_set_operation_token4] = ACTIONS(1490),
    [aux_sym_select_token1] = ACTIONS(1490),
    [aux_sym_having_clause_token1] = ACTIONS(1490),
    [aux_sym_qualify_clause_token1] = ACTIONS(1490),
    [aux_sym_limit_clause_token1] = ACTIONS(1490),
    [aux_sym_group_by_clause_token1] = ACTIONS(1490),
    [aux_sym_order_by_clause_token1] = ACTIONS(1490),
    [aux_sym_where_clause_token1] = ACTIONS(1490),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1490),
    [aux_sym_truncate_statement_token1] = ACTIONS(1490),
    [aux_sym_update_statement_token1] = ACTIONS(1490),
    [aux_sym_merge_statement_token1] = ACTIONS(1490),
    [aux_sym_grant_statement_token1] = ACTIONS(1490),
    [aux_sym_revoke_statement_token1] = ACTIONS(1490),
    [aux_sym_export_data_statement_token1] = ACTIONS(1490),
    [aux_sym_load_data_statement_token1] = ACTIONS(1490),
    [anon_sym_LBRACK] = ACTIONS(1488),
    [sym__quoted_identifier] = ACTIONS(1488),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1488),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_STAR] = ACTIONS(1488),
    [anon_sym_SLASH] = ACTIONS(1490),
    [anon_sym_PIPE_PIPE] = ACTIONS(1488),
    [anon_sym_LT_EQ] = ACTIONS(1488),
    [anon_sym_LT_GT] = ACTIONS(1488),
    [anon_sym_GT_EQ] = ACTIONS(1488),
    [anon_sym_BANG_EQ] = ACTIONS(1488),
    [anon_sym_LT_LT] = ACTIONS(1488),
    [anon_sym_GT_GT] = ACTIONS(1488),
    [anon_sym_AMP] = ACTIONS(1488),
    [anon_sym_CARET] = ACTIONS(1488),
    [anon_sym_PIPE] = ACTIONS(1490),
  },
  [989] = {
    [sym_analytics_clause] = STATE(2248),
    [sym__unquoted_identifier] = ACTIONS(1494),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1494),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1494),
    [aux_sym_keyword_replace_token1] = ACTIONS(1494),
    [aux_sym__keyword_alter_token1] = ACTIONS(1494),
    [aux_sym__keyword_from_token1] = ACTIONS(1494),
    [aux_sym__keyword_delete_token1] = ACTIONS(1494),
    [aux_sym__keyword_begin_token1] = ACTIONS(1494),
    [aux_sym__keyword_end_token1] = ACTIONS(1494),
    [aux_sym__keyword_between_token1] = ACTIONS(1494),
    [aux_sym__keyword_when_token1] = ACTIONS(1494),
    [aux_sym__keyword_else_token1] = ACTIONS(1494),
    [aux_sym__keyword_is_token1] = ACTIONS(1494),
    [aux_sym__keyword_in_token1] = ACTIONS(1494),
    [aux_sym__keyword_and_token1] = ACTIONS(1494),
    [aux_sym__keyword_like_token1] = ACTIONS(1494),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1494),
    [aux_sym__keyword_as_token1] = ACTIONS(1494),
    [aux_sym__keyword_window_token1] = ACTIONS(1494),
    [aux_sym__keyword_date_token1] = ACTIONS(1494),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1494),
    [aux_sym__keyword_time_token1] = ACTIONS(1494),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1494),
    [aux_sym__keyword_for_token1] = ACTIONS(1494),
    [anon_sym_SEMI] = ACTIONS(1492),
    [aux_sym_declare_statement_token1] = ACTIONS(1494),
    [anon_sym_COMMA] = ACTIONS(1492),
    [aux_sym_set_statement_token1] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1494),
    [aux_sym_return_satement_token1] = ACTIONS(1494),
    [aux_sym_call_statement_token1] = ACTIONS(1494),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1494),
    [aux_sym_if_statement_token1] = ACTIONS(1494),
    [aux_sym_loop_statement_token1] = ACTIONS(1494),
    [aux_sym_repeat_statement_token1] = ACTIONS(1494),
    [aux_sym_while_statement_token1] = ACTIONS(1494),
    [aux_sym_break_statement_token1] = ACTIONS(1494),
    [aux_sym_leave_statement_token1] = ACTIONS(1494),
    [aux_sym_continue_statement_token1] = ACTIONS(1494),
    [aux_sym_iterate_statement_token1] = ACTIONS(1494),
    [aux_sym_raise_statement_token1] = ACTIONS(1494),
    [anon_sym_EQ] = ACTIONS(1492),
    [aux_sym_assert_statement_token1] = ACTIONS(1494),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1494),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1494),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1494),
    [anon_sym_LT] = ACTIONS(1494),
    [anon_sym_GT] = ACTIONS(1494),
    [aux_sym_set_operation_token1] = ACTIONS(1494),
    [aux_sym_set_operation_token3] = ACTIONS(1494),
    [aux_sym_set_operation_token4] = ACTIONS(1494),
    [aux_sym_select_token1] = ACTIONS(1494),
    [aux_sym_having_clause_token1] = ACTIONS(1494),
    [aux_sym_qualify_clause_token1] = ACTIONS(1494),
    [aux_sym_limit_clause_token1] = ACTIONS(1494),
    [aux_sym_group_by_clause_token1] = ACTIONS(1494),
    [aux_sym_order_by_clause_token1] = ACTIONS(1494),
    [aux_sym_where_clause_token1] = ACTIONS(1494),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1494),
    [aux_sym_truncate_statement_token1] = ACTIONS(1494),
    [aux_sym_update_statement_token1] = ACTIONS(1494),
    [aux_sym_merge_statement_token1] = ACTIONS(1494),
    [aux_sym_grant_statement_token1] = ACTIONS(1494),
    [aux_sym_revoke_statement_token1] = ACTIONS(1494),
    [aux_sym_export_data_statement_token1] = ACTIONS(1494),
    [aux_sym_load_data_statement_token1] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [sym__quoted_identifier] = ACTIONS(1492),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_STAR] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1494),
    [anon_sym_PIPE_PIPE] = ACTIONS(1492),
    [anon_sym_LT_EQ] = ACTIONS(1492),
    [anon_sym_LT_GT] = ACTIONS(1492),
    [anon_sym_GT_EQ] = ACTIONS(1492),
    [anon_sym_BANG_EQ] = ACTIONS(1492),
    [anon_sym_LT_LT] = ACTIONS(1492),
    [anon_sym_GT_GT] = ACTIONS(1492),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_CARET] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1494),
  },
  [990] = {
    [sym_analytics_clause] = STATE(2236),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_from_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [991] = {
    [sym_analytics_clause] = STATE(2235),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_from_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [992] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16161),
    [sym__keyword_case] = STATE(281),
    [sym__keyword_not] = STATE(1524),
    [sym__keyword_cast] = STATE(19303),
    [sym__keyword_date] = STATE(5561),
    [sym__keyword_datetime] = STATE(5561),
    [sym__keyword_time] = STATE(5561),
    [sym__keyword_timestamp] = STATE(5561),
    [sym_select_subexpression] = STATE(5651),
    [sym_function_call] = STATE(5651),
    [sym_unnest_operator] = STATE(4219),
    [sym_unnest_clause] = STATE(5651),
    [sym__literal] = STATE(5651),
    [sym_NULL] = STATE(5651),
    [sym_TRUE] = STATE(5651),
    [sym_FALSE] = STATE(5651),
    [sym__float] = STATE(5650),
    [sym_numeric] = STATE(5650),
    [sym__number] = STATE(5650),
    [sym_interval] = STATE(5651),
    [sym_range] = STATE(5651),
    [sym_time] = STATE(5651),
    [sym_number] = STATE(5651),
    [sym_json] = STATE(5651),
    [sym_query_parameter] = STATE(5651),
    [sym__type_chrono] = STATE(5409),
    [sym__type_struct] = STATE(19128),
    [sym__type_array] = STATE(18694),
    [sym_array] = STATE(5651),
    [sym_struct] = STATE(5651),
    [sym__identifier] = STATE(5400),
    [sym__dotted_identifier] = STATE(13676),
    [sym_identifier] = STATE(5580),
    [sym_string] = STATE(5651),
    [sym__expression] = STATE(5303),
    [sym__parenthesized_expression] = STATE(5651),
    [sym_element_access] = STATE(5651),
    [sym_field_access] = STATE(5651),
    [sym_unary_expression] = STATE(5651),
    [sym_binary_expression] = STATE(5651),
    [sym_between_operator] = STATE(5651),
    [sym_casewhen_expression] = STATE(5651),
    [sym_cast_expression] = STATE(5651),
    [sym_argument_reference] = STATE(5651),
    [aux_sym_identifier_repeat1] = STATE(13676),
    [sym__unquoted_identifier] = ACTIONS(2498),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2500),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2502),
    [aux_sym__keyword_case_token1] = ACTIONS(2504),
    [aux_sym__keyword_cast_token1] = ACTIONS(2506),
    [aux_sym__keyword_cast_token2] = ACTIONS(2506),
    [aux_sym__keyword_date_token1] = ACTIONS(2508),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2508),
    [aux_sym__keyword_time_token1] = ACTIONS(2508),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2508),
    [anon_sym_LPAREN] = ACTIONS(2510),
    [aux_sym_drop_notnull_token1] = ACTIONS(2512),
    [aux_sym_function_call_token2] = ACTIONS(2514),
    [aux_sym_unnest_operator_token1] = ACTIONS(2516),
    [aux_sym_TRUE_token1] = ACTIONS(2518),
    [aux_sym_FALSE_token1] = ACTIONS(2520),
    [sym__integer] = ACTIONS(2522),
    [aux_sym__float_token1] = ACTIONS(2524),
    [aux_sym__float_token2] = ACTIONS(2522),
    [aux_sym__float_token3] = ACTIONS(2524),
    [aux_sym_numeric_token1] = ACTIONS(2526),
    [aux_sym_numeric_token2] = ACTIONS(2526),
    [aux_sym_numeric_token3] = ACTIONS(2526),
    [aux_sym_numeric_token4] = ACTIONS(2526),
    [aux_sym_interval_token1] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2530),
    [aux_sym_json_token1] = ACTIONS(2532),
    [sym_system_variable] = ACTIONS(2534),
    [sym__named_query_parameter] = ACTIONS(2536),
    [sym__positional_query_parameter] = ACTIONS(2538),
    [sym__quoted_identifier] = ACTIONS(2540),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2542),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_operator_compare] = ACTIONS(2546),
    [anon_sym_DOLLAR] = ACTIONS(2548),
    [sym__string_start] = ACTIONS(2550),
  },
  [993] = {
    [sym_analytics_clause] = STATE(2234),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_from_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [994] = {
    [sym_analytics_clause] = STATE(2086),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_from_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [995] = {
    [sym_analytics_clause] = STATE(2233),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_from_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [996] = {
    [sym_analytics_clause] = STATE(2232),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_from_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [997] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10296),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [998] = {
    [sym_analytics_clause] = STATE(2231),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_from_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [999] = {
    [sym_analytics_clause] = STATE(2227),
    [sym__unquoted_identifier] = ACTIONS(1388),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1388),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1388),
    [aux_sym_keyword_replace_token1] = ACTIONS(1388),
    [aux_sym__keyword_alter_token1] = ACTIONS(1388),
    [aux_sym__keyword_from_token1] = ACTIONS(1388),
    [aux_sym__keyword_delete_token1] = ACTIONS(1388),
    [aux_sym__keyword_begin_token1] = ACTIONS(1388),
    [aux_sym__keyword_end_token1] = ACTIONS(1388),
    [aux_sym__keyword_between_token1] = ACTIONS(1388),
    [aux_sym__keyword_when_token1] = ACTIONS(1388),
    [aux_sym__keyword_else_token1] = ACTIONS(1388),
    [aux_sym__keyword_is_token1] = ACTIONS(1388),
    [aux_sym__keyword_in_token1] = ACTIONS(1388),
    [aux_sym__keyword_and_token1] = ACTIONS(1388),
    [aux_sym__keyword_like_token1] = ACTIONS(1388),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1388),
    [aux_sym__keyword_as_token1] = ACTIONS(1388),
    [aux_sym__keyword_window_token1] = ACTIONS(1388),
    [aux_sym__keyword_date_token1] = ACTIONS(1388),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1388),
    [aux_sym__keyword_time_token1] = ACTIONS(1388),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1388),
    [aux_sym__keyword_for_token1] = ACTIONS(1388),
    [anon_sym_SEMI] = ACTIONS(1386),
    [aux_sym_declare_statement_token1] = ACTIONS(1388),
    [anon_sym_COMMA] = ACTIONS(1386),
    [aux_sym_set_statement_token1] = ACTIONS(1388),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1388),
    [aux_sym_return_satement_token1] = ACTIONS(1388),
    [aux_sym_call_statement_token1] = ACTIONS(1388),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1388),
    [aux_sym_if_statement_token1] = ACTIONS(1388),
    [aux_sym_loop_statement_token1] = ACTIONS(1388),
    [aux_sym_repeat_statement_token1] = ACTIONS(1388),
    [aux_sym_while_statement_token1] = ACTIONS(1388),
    [aux_sym_break_statement_token1] = ACTIONS(1388),
    [aux_sym_leave_statement_token1] = ACTIONS(1388),
    [aux_sym_continue_statement_token1] = ACTIONS(1388),
    [aux_sym_iterate_statement_token1] = ACTIONS(1388),
    [aux_sym_raise_statement_token1] = ACTIONS(1388),
    [anon_sym_EQ] = ACTIONS(1386),
    [aux_sym_assert_statement_token1] = ACTIONS(1388),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1388),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1388),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1388),
    [anon_sym_LT] = ACTIONS(1388),
    [anon_sym_GT] = ACTIONS(1388),
    [aux_sym_set_operation_token1] = ACTIONS(1388),
    [aux_sym_set_operation_token3] = ACTIONS(1388),
    [aux_sym_set_operation_token4] = ACTIONS(1388),
    [aux_sym_select_token1] = ACTIONS(1388),
    [aux_sym_having_clause_token1] = ACTIONS(1388),
    [aux_sym_qualify_clause_token1] = ACTIONS(1388),
    [aux_sym_limit_clause_token1] = ACTIONS(1388),
    [aux_sym_group_by_clause_token1] = ACTIONS(1388),
    [aux_sym_order_by_clause_token1] = ACTIONS(1388),
    [aux_sym_where_clause_token1] = ACTIONS(1388),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1388),
    [aux_sym_truncate_statement_token1] = ACTIONS(1388),
    [aux_sym_update_statement_token1] = ACTIONS(1388),
    [aux_sym_merge_statement_token1] = ACTIONS(1388),
    [aux_sym_grant_statement_token1] = ACTIONS(1388),
    [aux_sym_revoke_statement_token1] = ACTIONS(1388),
    [aux_sym_export_data_statement_token1] = ACTIONS(1388),
    [aux_sym_load_data_statement_token1] = ACTIONS(1388),
    [anon_sym_LBRACK] = ACTIONS(1386),
    [sym__quoted_identifier] = ACTIONS(1386),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1386),
    [anon_sym_DASH] = ACTIONS(1388),
    [anon_sym_STAR] = ACTIONS(1386),
    [anon_sym_SLASH] = ACTIONS(1388),
    [anon_sym_PIPE_PIPE] = ACTIONS(1386),
    [anon_sym_LT_EQ] = ACTIONS(1386),
    [anon_sym_LT_GT] = ACTIONS(1386),
    [anon_sym_GT_EQ] = ACTIONS(1386),
    [anon_sym_BANG_EQ] = ACTIONS(1386),
    [anon_sym_LT_LT] = ACTIONS(1386),
    [anon_sym_GT_GT] = ACTIONS(1386),
    [anon_sym_AMP] = ACTIONS(1386),
    [anon_sym_CARET] = ACTIONS(1386),
    [anon_sym_PIPE] = ACTIONS(1388),
  },
  [1000] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16161),
    [sym__keyword_case] = STATE(281),
    [sym__keyword_not] = STATE(1524),
    [sym__keyword_cast] = STATE(19303),
    [sym__keyword_date] = STATE(5561),
    [sym__keyword_datetime] = STATE(5561),
    [sym__keyword_time] = STATE(5561),
    [sym__keyword_timestamp] = STATE(5561),
    [sym_select_subexpression] = STATE(5651),
    [sym_function_call] = STATE(5651),
    [sym_unnest_operator] = STATE(4219),
    [sym_unnest_clause] = STATE(5651),
    [sym__literal] = STATE(5651),
    [sym_NULL] = STATE(5651),
    [sym_TRUE] = STATE(5651),
    [sym_FALSE] = STATE(5651),
    [sym__float] = STATE(5650),
    [sym_numeric] = STATE(5650),
    [sym__number] = STATE(5650),
    [sym_interval] = STATE(5651),
    [sym_range] = STATE(5651),
    [sym_time] = STATE(5651),
    [sym_number] = STATE(5651),
    [sym_json] = STATE(5651),
    [sym_query_parameter] = STATE(5651),
    [sym__type_chrono] = STATE(5409),
    [sym__type_struct] = STATE(19128),
    [sym__type_array] = STATE(18694),
    [sym_array] = STATE(5651),
    [sym_struct] = STATE(5651),
    [sym__identifier] = STATE(5400),
    [sym__dotted_identifier] = STATE(13676),
    [sym_identifier] = STATE(5580),
    [sym_string] = STATE(5651),
    [sym__expression] = STATE(5297),
    [sym__parenthesized_expression] = STATE(5651),
    [sym_element_access] = STATE(5651),
    [sym_field_access] = STATE(5651),
    [sym_unary_expression] = STATE(5651),
    [sym_binary_expression] = STATE(5651),
    [sym_between_operator] = STATE(5651),
    [sym_casewhen_expression] = STATE(5651),
    [sym_cast_expression] = STATE(5651),
    [sym_argument_reference] = STATE(5651),
    [aux_sym_identifier_repeat1] = STATE(13676),
    [sym__unquoted_identifier] = ACTIONS(2498),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2500),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2502),
    [aux_sym__keyword_case_token1] = ACTIONS(2504),
    [aux_sym__keyword_cast_token1] = ACTIONS(2506),
    [aux_sym__keyword_cast_token2] = ACTIONS(2506),
    [aux_sym__keyword_date_token1] = ACTIONS(2508),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2508),
    [aux_sym__keyword_time_token1] = ACTIONS(2508),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2508),
    [anon_sym_LPAREN] = ACTIONS(2510),
    [aux_sym_drop_notnull_token1] = ACTIONS(2512),
    [aux_sym_function_call_token2] = ACTIONS(2514),
    [aux_sym_unnest_operator_token1] = ACTIONS(2516),
    [aux_sym_TRUE_token1] = ACTIONS(2518),
    [aux_sym_FALSE_token1] = ACTIONS(2520),
    [sym__integer] = ACTIONS(2522),
    [aux_sym__float_token1] = ACTIONS(2524),
    [aux_sym__float_token2] = ACTIONS(2522),
    [aux_sym__float_token3] = ACTIONS(2524),
    [aux_sym_numeric_token1] = ACTIONS(2526),
    [aux_sym_numeric_token2] = ACTIONS(2526),
    [aux_sym_numeric_token3] = ACTIONS(2526),
    [aux_sym_numeric_token4] = ACTIONS(2526),
    [aux_sym_interval_token1] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2530),
    [aux_sym_json_token1] = ACTIONS(2532),
    [sym_system_variable] = ACTIONS(2534),
    [sym__named_query_parameter] = ACTIONS(2536),
    [sym__positional_query_parameter] = ACTIONS(2538),
    [sym__quoted_identifier] = ACTIONS(2540),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2542),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_operator_compare] = ACTIONS(2546),
    [anon_sym_DOLLAR] = ACTIONS(2548),
    [sym__string_start] = ACTIONS(2550),
  },
  [1001] = {
    [sym_analytics_clause] = STATE(2224),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [1002] = {
    [sym_analytics_clause] = STATE(2222),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [1003] = {
    [sym_analytics_clause] = STATE(2218),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [1004] = {
    [sym_analytics_clause] = STATE(2215),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [1005] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16325),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1073),
    [sym__keyword_cast] = STATE(19275),
    [sym__keyword_date] = STATE(9495),
    [sym__keyword_datetime] = STATE(9495),
    [sym__keyword_time] = STATE(9495),
    [sym__keyword_timestamp] = STATE(9495),
    [sym_select_subexpression] = STATE(10495),
    [sym_function_call] = STATE(10495),
    [sym_unnest_operator] = STATE(6473),
    [sym_unnest_clause] = STATE(10495),
    [sym__literal] = STATE(10495),
    [sym_NULL] = STATE(10495),
    [sym_TRUE] = STATE(10495),
    [sym_FALSE] = STATE(10495),
    [sym__float] = STATE(10492),
    [sym_numeric] = STATE(10492),
    [sym__number] = STATE(10492),
    [sym_interval] = STATE(10495),
    [sym_range] = STATE(10495),
    [sym_time] = STATE(10495),
    [sym_number] = STATE(10495),
    [sym_json] = STATE(10495),
    [sym_query_parameter] = STATE(10495),
    [sym__type_chrono] = STATE(8422),
    [sym__type_struct] = STATE(19027),
    [sym__type_array] = STATE(18285),
    [sym_array] = STATE(10495),
    [sym_struct] = STATE(10495),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9694),
    [sym_string] = STATE(10495),
    [sym__expression] = STATE(9885),
    [sym__parenthesized_expression] = STATE(10495),
    [sym_element_access] = STATE(10495),
    [sym_field_access] = STATE(10495),
    [sym_unary_expression] = STATE(10495),
    [sym_binary_expression] = STATE(10495),
    [sym_between_operator] = STATE(10495),
    [sym_casewhen_expression] = STATE(10495),
    [sym_cast_expression] = STATE(10495),
    [sym_argument_reference] = STATE(10495),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2042),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2044),
    [aux_sym__keyword_case_token1] = ACTIONS(2046),
    [aux_sym__keyword_cast_token1] = ACTIONS(2048),
    [aux_sym__keyword_cast_token2] = ACTIONS(2048),
    [aux_sym__keyword_date_token1] = ACTIONS(2050),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2050),
    [aux_sym__keyword_time_token1] = ACTIONS(2050),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [aux_sym_drop_notnull_token1] = ACTIONS(2054),
    [aux_sym_function_call_token2] = ACTIONS(2056),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2060),
    [aux_sym_FALSE_token1] = ACTIONS(2062),
    [sym__integer] = ACTIONS(2064),
    [aux_sym__float_token1] = ACTIONS(2066),
    [aux_sym__float_token2] = ACTIONS(2064),
    [aux_sym__float_token3] = ACTIONS(2066),
    [aux_sym_numeric_token1] = ACTIONS(2068),
    [aux_sym_numeric_token2] = ACTIONS(2068),
    [aux_sym_numeric_token3] = ACTIONS(2068),
    [aux_sym_numeric_token4] = ACTIONS(2068),
    [aux_sym_interval_token1] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_json_token1] = ACTIONS(2074),
    [sym_system_variable] = ACTIONS(2076),
    [sym__named_query_parameter] = ACTIONS(2078),
    [sym__positional_query_parameter] = ACTIONS(2080),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_operator_compare] = ACTIONS(2086),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [sym__string_start] = ACTIONS(2090),
  },
  [1006] = {
    [sym_analytics_clause] = STATE(2212),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [1007] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16161),
    [sym__keyword_case] = STATE(281),
    [sym__keyword_not] = STATE(1524),
    [sym__keyword_cast] = STATE(19303),
    [sym__keyword_date] = STATE(5561),
    [sym__keyword_datetime] = STATE(5561),
    [sym__keyword_time] = STATE(5561),
    [sym__keyword_timestamp] = STATE(5561),
    [sym_select_subexpression] = STATE(5651),
    [sym_function_call] = STATE(5651),
    [sym_unnest_operator] = STATE(4219),
    [sym_unnest_clause] = STATE(5651),
    [sym__literal] = STATE(5651),
    [sym_NULL] = STATE(5651),
    [sym_TRUE] = STATE(5651),
    [sym_FALSE] = STATE(5651),
    [sym__float] = STATE(5650),
    [sym_numeric] = STATE(5650),
    [sym__number] = STATE(5650),
    [sym_interval] = STATE(5651),
    [sym_range] = STATE(5651),
    [sym_time] = STATE(5651),
    [sym_number] = STATE(5651),
    [sym_json] = STATE(5651),
    [sym_query_parameter] = STATE(5651),
    [sym__type_chrono] = STATE(5409),
    [sym__type_struct] = STATE(19128),
    [sym__type_array] = STATE(18694),
    [sym_array] = STATE(5651),
    [sym_struct] = STATE(5651),
    [sym__identifier] = STATE(5400),
    [sym__dotted_identifier] = STATE(13676),
    [sym_identifier] = STATE(5580),
    [sym_string] = STATE(5651),
    [sym__expression] = STATE(5293),
    [sym__parenthesized_expression] = STATE(5651),
    [sym_element_access] = STATE(5651),
    [sym_field_access] = STATE(5651),
    [sym_unary_expression] = STATE(5651),
    [sym_binary_expression] = STATE(5651),
    [sym_between_operator] = STATE(5651),
    [sym_casewhen_expression] = STATE(5651),
    [sym_cast_expression] = STATE(5651),
    [sym_argument_reference] = STATE(5651),
    [aux_sym_identifier_repeat1] = STATE(13676),
    [sym__unquoted_identifier] = ACTIONS(2498),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2500),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2502),
    [aux_sym__keyword_case_token1] = ACTIONS(2504),
    [aux_sym__keyword_cast_token1] = ACTIONS(2506),
    [aux_sym__keyword_cast_token2] = ACTIONS(2506),
    [aux_sym__keyword_date_token1] = ACTIONS(2508),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2508),
    [aux_sym__keyword_time_token1] = ACTIONS(2508),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2508),
    [anon_sym_LPAREN] = ACTIONS(2510),
    [aux_sym_drop_notnull_token1] = ACTIONS(2512),
    [aux_sym_function_call_token2] = ACTIONS(2514),
    [aux_sym_unnest_operator_token1] = ACTIONS(2516),
    [aux_sym_TRUE_token1] = ACTIONS(2518),
    [aux_sym_FALSE_token1] = ACTIONS(2520),
    [sym__integer] = ACTIONS(2522),
    [aux_sym__float_token1] = ACTIONS(2524),
    [aux_sym__float_token2] = ACTIONS(2522),
    [aux_sym__float_token3] = ACTIONS(2524),
    [aux_sym_numeric_token1] = ACTIONS(2526),
    [aux_sym_numeric_token2] = ACTIONS(2526),
    [aux_sym_numeric_token3] = ACTIONS(2526),
    [aux_sym_numeric_token4] = ACTIONS(2526),
    [aux_sym_interval_token1] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2530),
    [aux_sym_json_token1] = ACTIONS(2532),
    [sym_system_variable] = ACTIONS(2534),
    [sym__named_query_parameter] = ACTIONS(2536),
    [sym__positional_query_parameter] = ACTIONS(2538),
    [sym__quoted_identifier] = ACTIONS(2540),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2542),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_operator_compare] = ACTIONS(2546),
    [anon_sym_DOLLAR] = ACTIONS(2548),
    [sym__string_start] = ACTIONS(2550),
  },
  [1008] = {
    [sym_analytics_clause] = STATE(2211),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [1009] = {
    [sym_analytics_clause] = STATE(2209),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [1010] = {
    [sym_analytics_clause] = STATE(2207),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [1011] = {
    [sym_analytics_clause] = STATE(2206),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [1012] = {
    [sym_analytics_clause] = STATE(2202),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [1013] = {
    [sym_analytics_clause] = STATE(2199),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [1014] = {
    [sym_analytics_clause] = STATE(2196),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [1015] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10340),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1016] = {
    [sym_analytics_clause] = STATE(2193),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [1017] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(7621),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1018] = {
    [sym_analytics_clause] = STATE(2191),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [1019] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(7530),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1020] = {
    [sym_analytics_clause] = STATE(2190),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [1021] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(6683),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1022] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(6659),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1023] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(6657),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1024] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16161),
    [sym__keyword_case] = STATE(281),
    [sym__keyword_not] = STATE(1524),
    [sym__keyword_cast] = STATE(19303),
    [sym__keyword_date] = STATE(5561),
    [sym__keyword_datetime] = STATE(5561),
    [sym__keyword_time] = STATE(5561),
    [sym__keyword_timestamp] = STATE(5561),
    [sym_select_subexpression] = STATE(5651),
    [sym_function_call] = STATE(5651),
    [sym_unnest_operator] = STATE(4219),
    [sym_unnest_clause] = STATE(5651),
    [sym__literal] = STATE(5651),
    [sym_NULL] = STATE(5651),
    [sym_TRUE] = STATE(5651),
    [sym_FALSE] = STATE(5651),
    [sym__float] = STATE(5650),
    [sym_numeric] = STATE(5650),
    [sym__number] = STATE(5650),
    [sym_interval] = STATE(5651),
    [sym_range] = STATE(5651),
    [sym_time] = STATE(5651),
    [sym_number] = STATE(5651),
    [sym_json] = STATE(5651),
    [sym_query_parameter] = STATE(5651),
    [sym__type_chrono] = STATE(5409),
    [sym__type_struct] = STATE(19128),
    [sym__type_array] = STATE(18694),
    [sym_array] = STATE(5651),
    [sym_struct] = STATE(5651),
    [sym__identifier] = STATE(5400),
    [sym__dotted_identifier] = STATE(13676),
    [sym_identifier] = STATE(5580),
    [sym_string] = STATE(5651),
    [sym__expression] = STATE(5288),
    [sym__parenthesized_expression] = STATE(5651),
    [sym_element_access] = STATE(5651),
    [sym_field_access] = STATE(5651),
    [sym_unary_expression] = STATE(5651),
    [sym_binary_expression] = STATE(5651),
    [sym_between_operator] = STATE(5651),
    [sym_casewhen_expression] = STATE(5651),
    [sym_cast_expression] = STATE(5651),
    [sym_argument_reference] = STATE(5651),
    [aux_sym_identifier_repeat1] = STATE(13676),
    [sym__unquoted_identifier] = ACTIONS(2498),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2500),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2502),
    [aux_sym__keyword_case_token1] = ACTIONS(2504),
    [aux_sym__keyword_cast_token1] = ACTIONS(2506),
    [aux_sym__keyword_cast_token2] = ACTIONS(2506),
    [aux_sym__keyword_date_token1] = ACTIONS(2508),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2508),
    [aux_sym__keyword_time_token1] = ACTIONS(2508),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2508),
    [anon_sym_LPAREN] = ACTIONS(2510),
    [aux_sym_drop_notnull_token1] = ACTIONS(2512),
    [aux_sym_function_call_token2] = ACTIONS(2514),
    [aux_sym_unnest_operator_token1] = ACTIONS(2516),
    [aux_sym_TRUE_token1] = ACTIONS(2518),
    [aux_sym_FALSE_token1] = ACTIONS(2520),
    [sym__integer] = ACTIONS(2522),
    [aux_sym__float_token1] = ACTIONS(2524),
    [aux_sym__float_token2] = ACTIONS(2522),
    [aux_sym__float_token3] = ACTIONS(2524),
    [aux_sym_numeric_token1] = ACTIONS(2526),
    [aux_sym_numeric_token2] = ACTIONS(2526),
    [aux_sym_numeric_token3] = ACTIONS(2526),
    [aux_sym_numeric_token4] = ACTIONS(2526),
    [aux_sym_interval_token1] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2530),
    [aux_sym_json_token1] = ACTIONS(2532),
    [sym_system_variable] = ACTIONS(2534),
    [sym__named_query_parameter] = ACTIONS(2536),
    [sym__positional_query_parameter] = ACTIONS(2538),
    [sym__quoted_identifier] = ACTIONS(2540),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2542),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_operator_compare] = ACTIONS(2546),
    [anon_sym_DOLLAR] = ACTIONS(2548),
    [sym__string_start] = ACTIONS(2550),
  },
  [1025] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16161),
    [sym__keyword_case] = STATE(281),
    [sym__keyword_not] = STATE(1524),
    [sym__keyword_cast] = STATE(19303),
    [sym__keyword_date] = STATE(5561),
    [sym__keyword_datetime] = STATE(5561),
    [sym__keyword_time] = STATE(5561),
    [sym__keyword_timestamp] = STATE(5561),
    [sym_select_subexpression] = STATE(5651),
    [sym_function_call] = STATE(5651),
    [sym_unnest_operator] = STATE(4219),
    [sym_unnest_clause] = STATE(5651),
    [sym__literal] = STATE(5651),
    [sym_NULL] = STATE(5651),
    [sym_TRUE] = STATE(5651),
    [sym_FALSE] = STATE(5651),
    [sym__float] = STATE(5650),
    [sym_numeric] = STATE(5650),
    [sym__number] = STATE(5650),
    [sym_interval] = STATE(5651),
    [sym_range] = STATE(5651),
    [sym_time] = STATE(5651),
    [sym_number] = STATE(5651),
    [sym_json] = STATE(5651),
    [sym_query_parameter] = STATE(5651),
    [sym__type_chrono] = STATE(5409),
    [sym__type_struct] = STATE(19128),
    [sym__type_array] = STATE(18694),
    [sym_array] = STATE(5651),
    [sym_struct] = STATE(5651),
    [sym__identifier] = STATE(5400),
    [sym__dotted_identifier] = STATE(13676),
    [sym_identifier] = STATE(5580),
    [sym_string] = STATE(5651),
    [sym__expression] = STATE(5289),
    [sym__parenthesized_expression] = STATE(5651),
    [sym_element_access] = STATE(5651),
    [sym_field_access] = STATE(5651),
    [sym_unary_expression] = STATE(5651),
    [sym_binary_expression] = STATE(5651),
    [sym_between_operator] = STATE(5651),
    [sym_casewhen_expression] = STATE(5651),
    [sym_cast_expression] = STATE(5651),
    [sym_argument_reference] = STATE(5651),
    [aux_sym_identifier_repeat1] = STATE(13676),
    [sym__unquoted_identifier] = ACTIONS(2498),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2500),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2502),
    [aux_sym__keyword_case_token1] = ACTIONS(2504),
    [aux_sym__keyword_cast_token1] = ACTIONS(2506),
    [aux_sym__keyword_cast_token2] = ACTIONS(2506),
    [aux_sym__keyword_date_token1] = ACTIONS(2508),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2508),
    [aux_sym__keyword_time_token1] = ACTIONS(2508),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2508),
    [anon_sym_LPAREN] = ACTIONS(2510),
    [aux_sym_drop_notnull_token1] = ACTIONS(2512),
    [aux_sym_function_call_token2] = ACTIONS(2514),
    [aux_sym_unnest_operator_token1] = ACTIONS(2516),
    [aux_sym_TRUE_token1] = ACTIONS(2518),
    [aux_sym_FALSE_token1] = ACTIONS(2520),
    [sym__integer] = ACTIONS(2522),
    [aux_sym__float_token1] = ACTIONS(2524),
    [aux_sym__float_token2] = ACTIONS(2522),
    [aux_sym__float_token3] = ACTIONS(2524),
    [aux_sym_numeric_token1] = ACTIONS(2526),
    [aux_sym_numeric_token2] = ACTIONS(2526),
    [aux_sym_numeric_token3] = ACTIONS(2526),
    [aux_sym_numeric_token4] = ACTIONS(2526),
    [aux_sym_interval_token1] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2530),
    [aux_sym_json_token1] = ACTIONS(2532),
    [sym_system_variable] = ACTIONS(2534),
    [sym__named_query_parameter] = ACTIONS(2536),
    [sym__positional_query_parameter] = ACTIONS(2538),
    [sym__quoted_identifier] = ACTIONS(2540),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2542),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_operator_compare] = ACTIONS(2546),
    [anon_sym_DOLLAR] = ACTIONS(2548),
    [sym__string_start] = ACTIONS(2550),
  },
  [1026] = {
    [sym_analytics_clause] = STATE(2189),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [1027] = {
    [sym_analytics_clause] = STATE(2188),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [1028] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10198),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1029] = {
    [sym_analytics_clause] = STATE(2187),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [1030] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8959),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1031] = {
    [sym_analytics_clause] = STATE(2186),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [1032] = {
    [sym_analytics_clause] = STATE(2180),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [1033] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8753),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1034] = {
    [sym_analytics_clause] = STATE(2179),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [1035] = {
    [sym_analytics_clause] = STATE(2178),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [1036] = {
    [sym_analytics_clause] = STATE(2176),
    [sym__unquoted_identifier] = ACTIONS(1384),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1384),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1384),
    [aux_sym_keyword_replace_token1] = ACTIONS(1384),
    [aux_sym__keyword_alter_token1] = ACTIONS(1384),
    [aux_sym__keyword_from_token1] = ACTIONS(1384),
    [aux_sym__keyword_delete_token1] = ACTIONS(1384),
    [aux_sym__keyword_begin_token1] = ACTIONS(1384),
    [aux_sym__keyword_end_token1] = ACTIONS(1384),
    [aux_sym__keyword_between_token1] = ACTIONS(1384),
    [aux_sym__keyword_when_token1] = ACTIONS(1384),
    [aux_sym__keyword_else_token1] = ACTIONS(1384),
    [aux_sym__keyword_is_token1] = ACTIONS(1384),
    [aux_sym__keyword_in_token1] = ACTIONS(1384),
    [aux_sym__keyword_and_token1] = ACTIONS(1384),
    [aux_sym__keyword_like_token1] = ACTIONS(1384),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1384),
    [aux_sym__keyword_as_token1] = ACTIONS(1384),
    [aux_sym__keyword_window_token1] = ACTIONS(1384),
    [aux_sym__keyword_date_token1] = ACTIONS(1384),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1384),
    [aux_sym__keyword_time_token1] = ACTIONS(1384),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1384),
    [aux_sym__keyword_for_token1] = ACTIONS(1384),
    [anon_sym_SEMI] = ACTIONS(1382),
    [aux_sym_declare_statement_token1] = ACTIONS(1384),
    [anon_sym_COMMA] = ACTIONS(1382),
    [aux_sym_set_statement_token1] = ACTIONS(1384),
    [anon_sym_LPAREN] = ACTIONS(1382),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1384),
    [aux_sym_return_satement_token1] = ACTIONS(1384),
    [aux_sym_call_statement_token1] = ACTIONS(1384),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1384),
    [aux_sym_if_statement_token1] = ACTIONS(1384),
    [aux_sym_loop_statement_token1] = ACTIONS(1384),
    [aux_sym_repeat_statement_token1] = ACTIONS(1384),
    [aux_sym_while_statement_token1] = ACTIONS(1384),
    [aux_sym_break_statement_token1] = ACTIONS(1384),
    [aux_sym_leave_statement_token1] = ACTIONS(1384),
    [aux_sym_continue_statement_token1] = ACTIONS(1384),
    [aux_sym_iterate_statement_token1] = ACTIONS(1384),
    [aux_sym_raise_statement_token1] = ACTIONS(1384),
    [anon_sym_EQ] = ACTIONS(1382),
    [aux_sym_assert_statement_token1] = ACTIONS(1384),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1384),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1384),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1384),
    [anon_sym_LT] = ACTIONS(1384),
    [anon_sym_GT] = ACTIONS(1384),
    [aux_sym_set_operation_token1] = ACTIONS(1384),
    [aux_sym_set_operation_token3] = ACTIONS(1384),
    [aux_sym_set_operation_token4] = ACTIONS(1384),
    [aux_sym_select_token1] = ACTIONS(1384),
    [aux_sym_having_clause_token1] = ACTIONS(1384),
    [aux_sym_qualify_clause_token1] = ACTIONS(1384),
    [aux_sym_limit_clause_token1] = ACTIONS(1384),
    [aux_sym_group_by_clause_token1] = ACTIONS(1384),
    [aux_sym_order_by_clause_token1] = ACTIONS(1384),
    [aux_sym_where_clause_token1] = ACTIONS(1384),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1384),
    [aux_sym_truncate_statement_token1] = ACTIONS(1384),
    [aux_sym_update_statement_token1] = ACTIONS(1384),
    [aux_sym_merge_statement_token1] = ACTIONS(1384),
    [aux_sym_grant_statement_token1] = ACTIONS(1384),
    [aux_sym_revoke_statement_token1] = ACTIONS(1384),
    [aux_sym_export_data_statement_token1] = ACTIONS(1384),
    [aux_sym_load_data_statement_token1] = ACTIONS(1384),
    [anon_sym_LBRACK] = ACTIONS(1382),
    [sym__quoted_identifier] = ACTIONS(1382),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1382),
    [anon_sym_PLUS] = ACTIONS(1382),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_STAR] = ACTIONS(1382),
    [anon_sym_SLASH] = ACTIONS(1384),
    [anon_sym_PIPE_PIPE] = ACTIONS(1382),
    [anon_sym_LT_EQ] = ACTIONS(1382),
    [anon_sym_LT_GT] = ACTIONS(1382),
    [anon_sym_GT_EQ] = ACTIONS(1382),
    [anon_sym_BANG_EQ] = ACTIONS(1382),
    [anon_sym_LT_LT] = ACTIONS(1382),
    [anon_sym_GT_GT] = ACTIONS(1382),
    [anon_sym_AMP] = ACTIONS(1382),
    [anon_sym_CARET] = ACTIONS(1382),
    [anon_sym_PIPE] = ACTIONS(1384),
  },
  [1037] = {
    [sym_analytics_clause] = STATE(2175),
    [sym__unquoted_identifier] = ACTIONS(1392),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1392),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1392),
    [aux_sym_keyword_replace_token1] = ACTIONS(1392),
    [aux_sym__keyword_alter_token1] = ACTIONS(1392),
    [aux_sym__keyword_from_token1] = ACTIONS(1392),
    [aux_sym__keyword_delete_token1] = ACTIONS(1392),
    [aux_sym__keyword_begin_token1] = ACTIONS(1392),
    [aux_sym__keyword_end_token1] = ACTIONS(1392),
    [aux_sym__keyword_between_token1] = ACTIONS(1392),
    [aux_sym__keyword_when_token1] = ACTIONS(1392),
    [aux_sym__keyword_else_token1] = ACTIONS(1392),
    [aux_sym__keyword_is_token1] = ACTIONS(1392),
    [aux_sym__keyword_in_token1] = ACTIONS(1392),
    [aux_sym__keyword_and_token1] = ACTIONS(1392),
    [aux_sym__keyword_like_token1] = ACTIONS(1392),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1392),
    [aux_sym__keyword_as_token1] = ACTIONS(1392),
    [aux_sym__keyword_window_token1] = ACTIONS(1392),
    [aux_sym__keyword_date_token1] = ACTIONS(1392),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1392),
    [aux_sym__keyword_time_token1] = ACTIONS(1392),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1392),
    [aux_sym__keyword_for_token1] = ACTIONS(1392),
    [anon_sym_SEMI] = ACTIONS(1390),
    [aux_sym_declare_statement_token1] = ACTIONS(1392),
    [anon_sym_COMMA] = ACTIONS(1390),
    [aux_sym_set_statement_token1] = ACTIONS(1392),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1392),
    [aux_sym_return_satement_token1] = ACTIONS(1392),
    [aux_sym_call_statement_token1] = ACTIONS(1392),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1392),
    [aux_sym_if_statement_token1] = ACTIONS(1392),
    [aux_sym_loop_statement_token1] = ACTIONS(1392),
    [aux_sym_repeat_statement_token1] = ACTIONS(1392),
    [aux_sym_while_statement_token1] = ACTIONS(1392),
    [aux_sym_break_statement_token1] = ACTIONS(1392),
    [aux_sym_leave_statement_token1] = ACTIONS(1392),
    [aux_sym_continue_statement_token1] = ACTIONS(1392),
    [aux_sym_iterate_statement_token1] = ACTIONS(1392),
    [aux_sym_raise_statement_token1] = ACTIONS(1392),
    [anon_sym_EQ] = ACTIONS(1390),
    [aux_sym_assert_statement_token1] = ACTIONS(1392),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1392),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1392),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1392),
    [anon_sym_LT] = ACTIONS(1392),
    [anon_sym_GT] = ACTIONS(1392),
    [aux_sym_set_operation_token1] = ACTIONS(1392),
    [aux_sym_set_operation_token3] = ACTIONS(1392),
    [aux_sym_set_operation_token4] = ACTIONS(1392),
    [aux_sym_select_token1] = ACTIONS(1392),
    [aux_sym_having_clause_token1] = ACTIONS(1392),
    [aux_sym_qualify_clause_token1] = ACTIONS(1392),
    [aux_sym_limit_clause_token1] = ACTIONS(1392),
    [aux_sym_group_by_clause_token1] = ACTIONS(1392),
    [aux_sym_order_by_clause_token1] = ACTIONS(1392),
    [aux_sym_where_clause_token1] = ACTIONS(1392),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1392),
    [aux_sym_truncate_statement_token1] = ACTIONS(1392),
    [aux_sym_update_statement_token1] = ACTIONS(1392),
    [aux_sym_merge_statement_token1] = ACTIONS(1392),
    [aux_sym_grant_statement_token1] = ACTIONS(1392),
    [aux_sym_revoke_statement_token1] = ACTIONS(1392),
    [aux_sym_export_data_statement_token1] = ACTIONS(1392),
    [aux_sym_load_data_statement_token1] = ACTIONS(1392),
    [anon_sym_LBRACK] = ACTIONS(1390),
    [sym__quoted_identifier] = ACTIONS(1390),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_DASH] = ACTIONS(1392),
    [anon_sym_STAR] = ACTIONS(1390),
    [anon_sym_SLASH] = ACTIONS(1392),
    [anon_sym_PIPE_PIPE] = ACTIONS(1390),
    [anon_sym_LT_EQ] = ACTIONS(1390),
    [anon_sym_LT_GT] = ACTIONS(1390),
    [anon_sym_GT_EQ] = ACTIONS(1390),
    [anon_sym_BANG_EQ] = ACTIONS(1390),
    [anon_sym_LT_LT] = ACTIONS(1390),
    [anon_sym_GT_GT] = ACTIONS(1390),
    [anon_sym_AMP] = ACTIONS(1390),
    [anon_sym_CARET] = ACTIONS(1390),
    [anon_sym_PIPE] = ACTIONS(1392),
  },
  [1038] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(844),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(385),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2595),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(2298),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2300),
    [anon_sym_PLUS] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2302),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1039] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16325),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1073),
    [sym__keyword_cast] = STATE(19275),
    [sym__keyword_date] = STATE(9495),
    [sym__keyword_datetime] = STATE(9495),
    [sym__keyword_time] = STATE(9495),
    [sym__keyword_timestamp] = STATE(9495),
    [sym_select_subexpression] = STATE(10495),
    [sym_function_call] = STATE(10495),
    [sym_unnest_operator] = STATE(6473),
    [sym_unnest_clause] = STATE(10495),
    [sym__literal] = STATE(10495),
    [sym_NULL] = STATE(10495),
    [sym_TRUE] = STATE(10495),
    [sym_FALSE] = STATE(10495),
    [sym__float] = STATE(10492),
    [sym_numeric] = STATE(10492),
    [sym__number] = STATE(10492),
    [sym_interval] = STATE(10495),
    [sym_range] = STATE(10495),
    [sym_time] = STATE(10495),
    [sym_number] = STATE(10495),
    [sym_json] = STATE(10495),
    [sym_query_parameter] = STATE(10495),
    [sym__type_chrono] = STATE(8422),
    [sym__type_struct] = STATE(19027),
    [sym__type_array] = STATE(18285),
    [sym_array] = STATE(10495),
    [sym_struct] = STATE(10495),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9694),
    [sym_string] = STATE(10495),
    [sym__expression] = STATE(9884),
    [sym__parenthesized_expression] = STATE(10495),
    [sym_element_access] = STATE(10495),
    [sym_field_access] = STATE(10495),
    [sym_unary_expression] = STATE(10495),
    [sym_binary_expression] = STATE(10495),
    [sym_between_operator] = STATE(10495),
    [sym_casewhen_expression] = STATE(10495),
    [sym_cast_expression] = STATE(10495),
    [sym_argument_reference] = STATE(10495),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2042),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2044),
    [aux_sym__keyword_case_token1] = ACTIONS(2046),
    [aux_sym__keyword_cast_token1] = ACTIONS(2048),
    [aux_sym__keyword_cast_token2] = ACTIONS(2048),
    [aux_sym__keyword_date_token1] = ACTIONS(2050),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2050),
    [aux_sym__keyword_time_token1] = ACTIONS(2050),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [aux_sym_drop_notnull_token1] = ACTIONS(2054),
    [aux_sym_function_call_token2] = ACTIONS(2056),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2060),
    [aux_sym_FALSE_token1] = ACTIONS(2062),
    [sym__integer] = ACTIONS(2064),
    [aux_sym__float_token1] = ACTIONS(2066),
    [aux_sym__float_token2] = ACTIONS(2064),
    [aux_sym__float_token3] = ACTIONS(2066),
    [aux_sym_numeric_token1] = ACTIONS(2068),
    [aux_sym_numeric_token2] = ACTIONS(2068),
    [aux_sym_numeric_token3] = ACTIONS(2068),
    [aux_sym_numeric_token4] = ACTIONS(2068),
    [aux_sym_interval_token1] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_json_token1] = ACTIONS(2074),
    [sym_system_variable] = ACTIONS(2076),
    [sym__named_query_parameter] = ACTIONS(2078),
    [sym__positional_query_parameter] = ACTIONS(2080),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_operator_compare] = ACTIONS(2086),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [sym__string_start] = ACTIONS(2090),
  },
  [1040] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16325),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1073),
    [sym__keyword_cast] = STATE(19275),
    [sym__keyword_date] = STATE(9495),
    [sym__keyword_datetime] = STATE(9495),
    [sym__keyword_time] = STATE(9495),
    [sym__keyword_timestamp] = STATE(9495),
    [sym_select_subexpression] = STATE(10495),
    [sym_function_call] = STATE(10495),
    [sym_unnest_operator] = STATE(6473),
    [sym_unnest_clause] = STATE(10495),
    [sym__literal] = STATE(10495),
    [sym_NULL] = STATE(10495),
    [sym_TRUE] = STATE(10495),
    [sym_FALSE] = STATE(10495),
    [sym__float] = STATE(10492),
    [sym_numeric] = STATE(10492),
    [sym__number] = STATE(10492),
    [sym_interval] = STATE(10495),
    [sym_range] = STATE(10495),
    [sym_time] = STATE(10495),
    [sym_number] = STATE(10495),
    [sym_json] = STATE(10495),
    [sym_query_parameter] = STATE(10495),
    [sym__type_chrono] = STATE(8422),
    [sym__type_struct] = STATE(19027),
    [sym__type_array] = STATE(18285),
    [sym_array] = STATE(10495),
    [sym_struct] = STATE(10495),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9694),
    [sym_string] = STATE(10495),
    [sym__expression] = STATE(9883),
    [sym__parenthesized_expression] = STATE(10495),
    [sym_element_access] = STATE(10495),
    [sym_field_access] = STATE(10495),
    [sym_unary_expression] = STATE(10495),
    [sym_binary_expression] = STATE(10495),
    [sym_between_operator] = STATE(10495),
    [sym_casewhen_expression] = STATE(10495),
    [sym_cast_expression] = STATE(10495),
    [sym_argument_reference] = STATE(10495),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2042),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2044),
    [aux_sym__keyword_case_token1] = ACTIONS(2046),
    [aux_sym__keyword_cast_token1] = ACTIONS(2048),
    [aux_sym__keyword_cast_token2] = ACTIONS(2048),
    [aux_sym__keyword_date_token1] = ACTIONS(2050),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2050),
    [aux_sym__keyword_time_token1] = ACTIONS(2050),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [aux_sym_drop_notnull_token1] = ACTIONS(2054),
    [aux_sym_function_call_token2] = ACTIONS(2056),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2060),
    [aux_sym_FALSE_token1] = ACTIONS(2062),
    [sym__integer] = ACTIONS(2064),
    [aux_sym__float_token1] = ACTIONS(2066),
    [aux_sym__float_token2] = ACTIONS(2064),
    [aux_sym__float_token3] = ACTIONS(2066),
    [aux_sym_numeric_token1] = ACTIONS(2068),
    [aux_sym_numeric_token2] = ACTIONS(2068),
    [aux_sym_numeric_token3] = ACTIONS(2068),
    [aux_sym_numeric_token4] = ACTIONS(2068),
    [aux_sym_interval_token1] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_json_token1] = ACTIONS(2074),
    [sym_system_variable] = ACTIONS(2076),
    [sym__named_query_parameter] = ACTIONS(2078),
    [sym__positional_query_parameter] = ACTIONS(2080),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_operator_compare] = ACTIONS(2086),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [sym__string_start] = ACTIONS(2090),
  },
  [1041] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(917),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(1888),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3021),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2430),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2432),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1042] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16325),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1073),
    [sym__keyword_cast] = STATE(19275),
    [sym__keyword_date] = STATE(9495),
    [sym__keyword_datetime] = STATE(9495),
    [sym__keyword_time] = STATE(9495),
    [sym__keyword_timestamp] = STATE(9495),
    [sym_select_subexpression] = STATE(10495),
    [sym_function_call] = STATE(10495),
    [sym_unnest_operator] = STATE(6473),
    [sym_unnest_clause] = STATE(10495),
    [sym__literal] = STATE(10495),
    [sym_NULL] = STATE(10495),
    [sym_TRUE] = STATE(10495),
    [sym_FALSE] = STATE(10495),
    [sym__float] = STATE(10492),
    [sym_numeric] = STATE(10492),
    [sym__number] = STATE(10492),
    [sym_interval] = STATE(10495),
    [sym_range] = STATE(10495),
    [sym_time] = STATE(10495),
    [sym_number] = STATE(10495),
    [sym_json] = STATE(10495),
    [sym_query_parameter] = STATE(10495),
    [sym__type_chrono] = STATE(8422),
    [sym__type_struct] = STATE(19027),
    [sym__type_array] = STATE(18285),
    [sym_array] = STATE(10495),
    [sym_struct] = STATE(10495),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9694),
    [sym_string] = STATE(10495),
    [sym__expression] = STATE(9882),
    [sym__parenthesized_expression] = STATE(10495),
    [sym_element_access] = STATE(10495),
    [sym_field_access] = STATE(10495),
    [sym_unary_expression] = STATE(10495),
    [sym_binary_expression] = STATE(10495),
    [sym_between_operator] = STATE(10495),
    [sym_casewhen_expression] = STATE(10495),
    [sym_cast_expression] = STATE(10495),
    [sym_argument_reference] = STATE(10495),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2042),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2044),
    [aux_sym__keyword_case_token1] = ACTIONS(2046),
    [aux_sym__keyword_cast_token1] = ACTIONS(2048),
    [aux_sym__keyword_cast_token2] = ACTIONS(2048),
    [aux_sym__keyword_date_token1] = ACTIONS(2050),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2050),
    [aux_sym__keyword_time_token1] = ACTIONS(2050),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [aux_sym_drop_notnull_token1] = ACTIONS(2054),
    [aux_sym_function_call_token2] = ACTIONS(2056),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2060),
    [aux_sym_FALSE_token1] = ACTIONS(2062),
    [sym__integer] = ACTIONS(2064),
    [aux_sym__float_token1] = ACTIONS(2066),
    [aux_sym__float_token2] = ACTIONS(2064),
    [aux_sym__float_token3] = ACTIONS(2066),
    [aux_sym_numeric_token1] = ACTIONS(2068),
    [aux_sym_numeric_token2] = ACTIONS(2068),
    [aux_sym_numeric_token3] = ACTIONS(2068),
    [aux_sym_numeric_token4] = ACTIONS(2068),
    [aux_sym_interval_token1] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_json_token1] = ACTIONS(2074),
    [sym_system_variable] = ACTIONS(2076),
    [sym__named_query_parameter] = ACTIONS(2078),
    [sym__positional_query_parameter] = ACTIONS(2080),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_operator_compare] = ACTIONS(2086),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [sym__string_start] = ACTIONS(2090),
  },
  [1043] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16325),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1073),
    [sym__keyword_cast] = STATE(19275),
    [sym__keyword_date] = STATE(9495),
    [sym__keyword_datetime] = STATE(9495),
    [sym__keyword_time] = STATE(9495),
    [sym__keyword_timestamp] = STATE(9495),
    [sym_select_subexpression] = STATE(10495),
    [sym_function_call] = STATE(10495),
    [sym_unnest_operator] = STATE(6473),
    [sym_unnest_clause] = STATE(10495),
    [sym__literal] = STATE(10495),
    [sym_NULL] = STATE(10495),
    [sym_TRUE] = STATE(10495),
    [sym_FALSE] = STATE(10495),
    [sym__float] = STATE(10492),
    [sym_numeric] = STATE(10492),
    [sym__number] = STATE(10492),
    [sym_interval] = STATE(10495),
    [sym_range] = STATE(10495),
    [sym_time] = STATE(10495),
    [sym_number] = STATE(10495),
    [sym_json] = STATE(10495),
    [sym_query_parameter] = STATE(10495),
    [sym__type_chrono] = STATE(8422),
    [sym__type_struct] = STATE(19027),
    [sym__type_array] = STATE(18285),
    [sym_array] = STATE(10495),
    [sym_struct] = STATE(10495),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9694),
    [sym_string] = STATE(10495),
    [sym__expression] = STATE(9881),
    [sym__parenthesized_expression] = STATE(10495),
    [sym_element_access] = STATE(10495),
    [sym_field_access] = STATE(10495),
    [sym_unary_expression] = STATE(10495),
    [sym_binary_expression] = STATE(10495),
    [sym_between_operator] = STATE(10495),
    [sym_casewhen_expression] = STATE(10495),
    [sym_cast_expression] = STATE(10495),
    [sym_argument_reference] = STATE(10495),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2042),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2044),
    [aux_sym__keyword_case_token1] = ACTIONS(2046),
    [aux_sym__keyword_cast_token1] = ACTIONS(2048),
    [aux_sym__keyword_cast_token2] = ACTIONS(2048),
    [aux_sym__keyword_date_token1] = ACTIONS(2050),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2050),
    [aux_sym__keyword_time_token1] = ACTIONS(2050),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [aux_sym_drop_notnull_token1] = ACTIONS(2054),
    [aux_sym_function_call_token2] = ACTIONS(2056),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2060),
    [aux_sym_FALSE_token1] = ACTIONS(2062),
    [sym__integer] = ACTIONS(2064),
    [aux_sym__float_token1] = ACTIONS(2066),
    [aux_sym__float_token2] = ACTIONS(2064),
    [aux_sym__float_token3] = ACTIONS(2066),
    [aux_sym_numeric_token1] = ACTIONS(2068),
    [aux_sym_numeric_token2] = ACTIONS(2068),
    [aux_sym_numeric_token3] = ACTIONS(2068),
    [aux_sym_numeric_token4] = ACTIONS(2068),
    [aux_sym_interval_token1] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_json_token1] = ACTIONS(2074),
    [sym_system_variable] = ACTIONS(2076),
    [sym__named_query_parameter] = ACTIONS(2078),
    [sym__positional_query_parameter] = ACTIONS(2080),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_operator_compare] = ACTIONS(2086),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [sym__string_start] = ACTIONS(2090),
  },
  [1044] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16325),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1073),
    [sym__keyword_cast] = STATE(19275),
    [sym__keyword_date] = STATE(9495),
    [sym__keyword_datetime] = STATE(9495),
    [sym__keyword_time] = STATE(9495),
    [sym__keyword_timestamp] = STATE(9495),
    [sym_select_subexpression] = STATE(10495),
    [sym_function_call] = STATE(10495),
    [sym_unnest_operator] = STATE(6473),
    [sym_unnest_clause] = STATE(10495),
    [sym__literal] = STATE(10495),
    [sym_NULL] = STATE(10495),
    [sym_TRUE] = STATE(10495),
    [sym_FALSE] = STATE(10495),
    [sym__float] = STATE(10492),
    [sym_numeric] = STATE(10492),
    [sym__number] = STATE(10492),
    [sym_interval] = STATE(10495),
    [sym_range] = STATE(10495),
    [sym_time] = STATE(10495),
    [sym_number] = STATE(10495),
    [sym_json] = STATE(10495),
    [sym_query_parameter] = STATE(10495),
    [sym__type_chrono] = STATE(8422),
    [sym__type_struct] = STATE(19027),
    [sym__type_array] = STATE(18285),
    [sym_array] = STATE(10495),
    [sym_struct] = STATE(10495),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9694),
    [sym_string] = STATE(10495),
    [sym__expression] = STATE(9880),
    [sym__parenthesized_expression] = STATE(10495),
    [sym_element_access] = STATE(10495),
    [sym_field_access] = STATE(10495),
    [sym_unary_expression] = STATE(10495),
    [sym_binary_expression] = STATE(10495),
    [sym_between_operator] = STATE(10495),
    [sym_casewhen_expression] = STATE(10495),
    [sym_cast_expression] = STATE(10495),
    [sym_argument_reference] = STATE(10495),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2042),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2044),
    [aux_sym__keyword_case_token1] = ACTIONS(2046),
    [aux_sym__keyword_cast_token1] = ACTIONS(2048),
    [aux_sym__keyword_cast_token2] = ACTIONS(2048),
    [aux_sym__keyword_date_token1] = ACTIONS(2050),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2050),
    [aux_sym__keyword_time_token1] = ACTIONS(2050),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [aux_sym_drop_notnull_token1] = ACTIONS(2054),
    [aux_sym_function_call_token2] = ACTIONS(2056),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2060),
    [aux_sym_FALSE_token1] = ACTIONS(2062),
    [sym__integer] = ACTIONS(2064),
    [aux_sym__float_token1] = ACTIONS(2066),
    [aux_sym__float_token2] = ACTIONS(2064),
    [aux_sym__float_token3] = ACTIONS(2066),
    [aux_sym_numeric_token1] = ACTIONS(2068),
    [aux_sym_numeric_token2] = ACTIONS(2068),
    [aux_sym_numeric_token3] = ACTIONS(2068),
    [aux_sym_numeric_token4] = ACTIONS(2068),
    [aux_sym_interval_token1] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_json_token1] = ACTIONS(2074),
    [sym_system_variable] = ACTIONS(2076),
    [sym__named_query_parameter] = ACTIONS(2078),
    [sym__positional_query_parameter] = ACTIONS(2080),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_operator_compare] = ACTIONS(2086),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [sym__string_start] = ACTIONS(2090),
  },
  [1045] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16325),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1073),
    [sym__keyword_cast] = STATE(19275),
    [sym__keyword_date] = STATE(9495),
    [sym__keyword_datetime] = STATE(9495),
    [sym__keyword_time] = STATE(9495),
    [sym__keyword_timestamp] = STATE(9495),
    [sym_select_subexpression] = STATE(10495),
    [sym_function_call] = STATE(10495),
    [sym_unnest_operator] = STATE(6473),
    [sym_unnest_clause] = STATE(10495),
    [sym__literal] = STATE(10495),
    [sym_NULL] = STATE(10495),
    [sym_TRUE] = STATE(10495),
    [sym_FALSE] = STATE(10495),
    [sym__float] = STATE(10492),
    [sym_numeric] = STATE(10492),
    [sym__number] = STATE(10492),
    [sym_interval] = STATE(10495),
    [sym_range] = STATE(10495),
    [sym_time] = STATE(10495),
    [sym_number] = STATE(10495),
    [sym_json] = STATE(10495),
    [sym_query_parameter] = STATE(10495),
    [sym__type_chrono] = STATE(8422),
    [sym__type_struct] = STATE(19027),
    [sym__type_array] = STATE(18285),
    [sym_array] = STATE(10495),
    [sym_struct] = STATE(10495),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9694),
    [sym_string] = STATE(10495),
    [sym__expression] = STATE(9879),
    [sym__parenthesized_expression] = STATE(10495),
    [sym_element_access] = STATE(10495),
    [sym_field_access] = STATE(10495),
    [sym_unary_expression] = STATE(10495),
    [sym_binary_expression] = STATE(10495),
    [sym_between_operator] = STATE(10495),
    [sym_casewhen_expression] = STATE(10495),
    [sym_cast_expression] = STATE(10495),
    [sym_argument_reference] = STATE(10495),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2042),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2044),
    [aux_sym__keyword_case_token1] = ACTIONS(2046),
    [aux_sym__keyword_cast_token1] = ACTIONS(2048),
    [aux_sym__keyword_cast_token2] = ACTIONS(2048),
    [aux_sym__keyword_date_token1] = ACTIONS(2050),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2050),
    [aux_sym__keyword_time_token1] = ACTIONS(2050),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [aux_sym_drop_notnull_token1] = ACTIONS(2054),
    [aux_sym_function_call_token2] = ACTIONS(2056),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2060),
    [aux_sym_FALSE_token1] = ACTIONS(2062),
    [sym__integer] = ACTIONS(2064),
    [aux_sym__float_token1] = ACTIONS(2066),
    [aux_sym__float_token2] = ACTIONS(2064),
    [aux_sym__float_token3] = ACTIONS(2066),
    [aux_sym_numeric_token1] = ACTIONS(2068),
    [aux_sym_numeric_token2] = ACTIONS(2068),
    [aux_sym_numeric_token3] = ACTIONS(2068),
    [aux_sym_numeric_token4] = ACTIONS(2068),
    [aux_sym_interval_token1] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_json_token1] = ACTIONS(2074),
    [sym_system_variable] = ACTIONS(2076),
    [sym__named_query_parameter] = ACTIONS(2078),
    [sym__positional_query_parameter] = ACTIONS(2080),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_operator_compare] = ACTIONS(2086),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [sym__string_start] = ACTIONS(2090),
  },
  [1046] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16325),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1073),
    [sym__keyword_cast] = STATE(19275),
    [sym__keyword_date] = STATE(9495),
    [sym__keyword_datetime] = STATE(9495),
    [sym__keyword_time] = STATE(9495),
    [sym__keyword_timestamp] = STATE(9495),
    [sym_select_subexpression] = STATE(10495),
    [sym_function_call] = STATE(10495),
    [sym_unnest_operator] = STATE(6473),
    [sym_unnest_clause] = STATE(10495),
    [sym__literal] = STATE(10495),
    [sym_NULL] = STATE(10495),
    [sym_TRUE] = STATE(10495),
    [sym_FALSE] = STATE(10495),
    [sym__float] = STATE(10492),
    [sym_numeric] = STATE(10492),
    [sym__number] = STATE(10492),
    [sym_interval] = STATE(10495),
    [sym_range] = STATE(10495),
    [sym_time] = STATE(10495),
    [sym_number] = STATE(10495),
    [sym_json] = STATE(10495),
    [sym_query_parameter] = STATE(10495),
    [sym__type_chrono] = STATE(8422),
    [sym__type_struct] = STATE(19027),
    [sym__type_array] = STATE(18285),
    [sym_array] = STATE(10495),
    [sym_struct] = STATE(10495),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9694),
    [sym_string] = STATE(10495),
    [sym__expression] = STATE(9762),
    [sym__parenthesized_expression] = STATE(10495),
    [sym_element_access] = STATE(10495),
    [sym_field_access] = STATE(10495),
    [sym_unary_expression] = STATE(10495),
    [sym_binary_expression] = STATE(10495),
    [sym_between_operator] = STATE(10495),
    [sym_casewhen_expression] = STATE(10495),
    [sym_cast_expression] = STATE(10495),
    [sym_argument_reference] = STATE(10495),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2042),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2044),
    [aux_sym__keyword_case_token1] = ACTIONS(2046),
    [aux_sym__keyword_cast_token1] = ACTIONS(2048),
    [aux_sym__keyword_cast_token2] = ACTIONS(2048),
    [aux_sym__keyword_date_token1] = ACTIONS(2050),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2050),
    [aux_sym__keyword_time_token1] = ACTIONS(2050),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [aux_sym_drop_notnull_token1] = ACTIONS(2054),
    [aux_sym_function_call_token2] = ACTIONS(2056),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2060),
    [aux_sym_FALSE_token1] = ACTIONS(2062),
    [sym__integer] = ACTIONS(2064),
    [aux_sym__float_token1] = ACTIONS(2066),
    [aux_sym__float_token2] = ACTIONS(2064),
    [aux_sym__float_token3] = ACTIONS(2066),
    [aux_sym_numeric_token1] = ACTIONS(2068),
    [aux_sym_numeric_token2] = ACTIONS(2068),
    [aux_sym_numeric_token3] = ACTIONS(2068),
    [aux_sym_numeric_token4] = ACTIONS(2068),
    [aux_sym_interval_token1] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_json_token1] = ACTIONS(2074),
    [sym_system_variable] = ACTIONS(2076),
    [sym__named_query_parameter] = ACTIONS(2078),
    [sym__positional_query_parameter] = ACTIONS(2080),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_operator_compare] = ACTIONS(2086),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [sym__string_start] = ACTIONS(2090),
  },
  [1047] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16325),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1073),
    [sym__keyword_cast] = STATE(19275),
    [sym__keyword_date] = STATE(9495),
    [sym__keyword_datetime] = STATE(9495),
    [sym__keyword_time] = STATE(9495),
    [sym__keyword_timestamp] = STATE(9495),
    [sym_select_subexpression] = STATE(10495),
    [sym_function_call] = STATE(10495),
    [sym_unnest_operator] = STATE(6473),
    [sym_unnest_clause] = STATE(10495),
    [sym__literal] = STATE(10495),
    [sym_NULL] = STATE(10495),
    [sym_TRUE] = STATE(10495),
    [sym_FALSE] = STATE(10495),
    [sym__float] = STATE(10492),
    [sym_numeric] = STATE(10492),
    [sym__number] = STATE(10492),
    [sym_interval] = STATE(10495),
    [sym_range] = STATE(10495),
    [sym_time] = STATE(10495),
    [sym_number] = STATE(10495),
    [sym_json] = STATE(10495),
    [sym_query_parameter] = STATE(10495),
    [sym__type_chrono] = STATE(8422),
    [sym__type_struct] = STATE(19027),
    [sym__type_array] = STATE(18285),
    [sym_array] = STATE(10495),
    [sym_struct] = STATE(10495),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9694),
    [sym_string] = STATE(10495),
    [sym__expression] = STATE(9877),
    [sym__parenthesized_expression] = STATE(10495),
    [sym_element_access] = STATE(10495),
    [sym_field_access] = STATE(10495),
    [sym_unary_expression] = STATE(10495),
    [sym_binary_expression] = STATE(10495),
    [sym_between_operator] = STATE(10495),
    [sym_casewhen_expression] = STATE(10495),
    [sym_cast_expression] = STATE(10495),
    [sym_argument_reference] = STATE(10495),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2042),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2044),
    [aux_sym__keyword_case_token1] = ACTIONS(2046),
    [aux_sym__keyword_cast_token1] = ACTIONS(2048),
    [aux_sym__keyword_cast_token2] = ACTIONS(2048),
    [aux_sym__keyword_date_token1] = ACTIONS(2050),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2050),
    [aux_sym__keyword_time_token1] = ACTIONS(2050),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [aux_sym_drop_notnull_token1] = ACTIONS(2054),
    [aux_sym_function_call_token2] = ACTIONS(2056),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2060),
    [aux_sym_FALSE_token1] = ACTIONS(2062),
    [sym__integer] = ACTIONS(2064),
    [aux_sym__float_token1] = ACTIONS(2066),
    [aux_sym__float_token2] = ACTIONS(2064),
    [aux_sym__float_token3] = ACTIONS(2066),
    [aux_sym_numeric_token1] = ACTIONS(2068),
    [aux_sym_numeric_token2] = ACTIONS(2068),
    [aux_sym_numeric_token3] = ACTIONS(2068),
    [aux_sym_numeric_token4] = ACTIONS(2068),
    [aux_sym_interval_token1] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_json_token1] = ACTIONS(2074),
    [sym_system_variable] = ACTIONS(2076),
    [sym__named_query_parameter] = ACTIONS(2078),
    [sym__positional_query_parameter] = ACTIONS(2080),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_operator_compare] = ACTIONS(2086),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [sym__string_start] = ACTIONS(2090),
  },
  [1048] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16325),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1073),
    [sym__keyword_cast] = STATE(19275),
    [sym__keyword_date] = STATE(9495),
    [sym__keyword_datetime] = STATE(9495),
    [sym__keyword_time] = STATE(9495),
    [sym__keyword_timestamp] = STATE(9495),
    [sym_select_subexpression] = STATE(10495),
    [sym_function_call] = STATE(10495),
    [sym_unnest_operator] = STATE(6473),
    [sym_unnest_clause] = STATE(10495),
    [sym__literal] = STATE(10495),
    [sym_NULL] = STATE(10495),
    [sym_TRUE] = STATE(10495),
    [sym_FALSE] = STATE(10495),
    [sym__float] = STATE(10492),
    [sym_numeric] = STATE(10492),
    [sym__number] = STATE(10492),
    [sym_interval] = STATE(10495),
    [sym_range] = STATE(10495),
    [sym_time] = STATE(10495),
    [sym_number] = STATE(10495),
    [sym_json] = STATE(10495),
    [sym_query_parameter] = STATE(10495),
    [sym__type_chrono] = STATE(8422),
    [sym__type_struct] = STATE(19027),
    [sym__type_array] = STATE(18285),
    [sym_array] = STATE(10495),
    [sym_struct] = STATE(10495),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9694),
    [sym_string] = STATE(10495),
    [sym__expression] = STATE(9876),
    [sym__parenthesized_expression] = STATE(10495),
    [sym_element_access] = STATE(10495),
    [sym_field_access] = STATE(10495),
    [sym_unary_expression] = STATE(10495),
    [sym_binary_expression] = STATE(10495),
    [sym_between_operator] = STATE(10495),
    [sym_casewhen_expression] = STATE(10495),
    [sym_cast_expression] = STATE(10495),
    [sym_argument_reference] = STATE(10495),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2042),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2044),
    [aux_sym__keyword_case_token1] = ACTIONS(2046),
    [aux_sym__keyword_cast_token1] = ACTIONS(2048),
    [aux_sym__keyword_cast_token2] = ACTIONS(2048),
    [aux_sym__keyword_date_token1] = ACTIONS(2050),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2050),
    [aux_sym__keyword_time_token1] = ACTIONS(2050),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [aux_sym_drop_notnull_token1] = ACTIONS(2054),
    [aux_sym_function_call_token2] = ACTIONS(2056),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2060),
    [aux_sym_FALSE_token1] = ACTIONS(2062),
    [sym__integer] = ACTIONS(2064),
    [aux_sym__float_token1] = ACTIONS(2066),
    [aux_sym__float_token2] = ACTIONS(2064),
    [aux_sym__float_token3] = ACTIONS(2066),
    [aux_sym_numeric_token1] = ACTIONS(2068),
    [aux_sym_numeric_token2] = ACTIONS(2068),
    [aux_sym_numeric_token3] = ACTIONS(2068),
    [aux_sym_numeric_token4] = ACTIONS(2068),
    [aux_sym_interval_token1] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_json_token1] = ACTIONS(2074),
    [sym_system_variable] = ACTIONS(2076),
    [sym__named_query_parameter] = ACTIONS(2078),
    [sym__positional_query_parameter] = ACTIONS(2080),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_operator_compare] = ACTIONS(2086),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [sym__string_start] = ACTIONS(2090),
  },
  [1049] = {
    [sym_analytics_clause] = STATE(2174),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_from_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [1050] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(844),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(385),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2596),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(2298),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2300),
    [anon_sym_PLUS] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2302),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1051] = {
    [sym_analytics_clause] = STATE(2172),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_from_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [1052] = {
    [sym_analytics_clause] = STATE(2170),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_from_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [1053] = {
    [sym_analytics_clause] = STATE(2169),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_from_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [1054] = {
    [sym_analytics_clause] = STATE(2168),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_from_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [1055] = {
    [sym_analytics_clause] = STATE(2129),
    [sym__unquoted_identifier] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1400),
    [aux_sym_keyword_replace_token1] = ACTIONS(1400),
    [aux_sym__keyword_alter_token1] = ACTIONS(1400),
    [aux_sym__keyword_from_token1] = ACTIONS(1400),
    [aux_sym__keyword_delete_token1] = ACTIONS(1400),
    [aux_sym__keyword_begin_token1] = ACTIONS(1400),
    [aux_sym__keyword_end_token1] = ACTIONS(1400),
    [aux_sym__keyword_between_token1] = ACTIONS(1400),
    [aux_sym__keyword_when_token1] = ACTIONS(1400),
    [aux_sym__keyword_else_token1] = ACTIONS(1400),
    [aux_sym__keyword_is_token1] = ACTIONS(1400),
    [aux_sym__keyword_in_token1] = ACTIONS(1400),
    [aux_sym__keyword_and_token1] = ACTIONS(1400),
    [aux_sym__keyword_like_token1] = ACTIONS(1400),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1400),
    [aux_sym__keyword_as_token1] = ACTIONS(1400),
    [aux_sym__keyword_window_token1] = ACTIONS(1400),
    [aux_sym__keyword_date_token1] = ACTIONS(1400),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1400),
    [aux_sym__keyword_time_token1] = ACTIONS(1400),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1400),
    [aux_sym__keyword_for_token1] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1400),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1400),
    [aux_sym_return_satement_token1] = ACTIONS(1400),
    [aux_sym_call_statement_token1] = ACTIONS(1400),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1400),
    [aux_sym_if_statement_token1] = ACTIONS(1400),
    [aux_sym_loop_statement_token1] = ACTIONS(1400),
    [aux_sym_repeat_statement_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token1] = ACTIONS(1400),
    [aux_sym_break_statement_token1] = ACTIONS(1400),
    [aux_sym_leave_statement_token1] = ACTIONS(1400),
    [aux_sym_continue_statement_token1] = ACTIONS(1400),
    [aux_sym_iterate_statement_token1] = ACTIONS(1400),
    [aux_sym_raise_statement_token1] = ACTIONS(1400),
    [anon_sym_EQ] = ACTIONS(1398),
    [aux_sym_assert_statement_token1] = ACTIONS(1400),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1400),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [aux_sym_set_operation_token1] = ACTIONS(1400),
    [aux_sym_set_operation_token3] = ACTIONS(1400),
    [aux_sym_set_operation_token4] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1400),
    [aux_sym_having_clause_token1] = ACTIONS(1400),
    [aux_sym_qualify_clause_token1] = ACTIONS(1400),
    [aux_sym_limit_clause_token1] = ACTIONS(1400),
    [aux_sym_group_by_clause_token1] = ACTIONS(1400),
    [aux_sym_order_by_clause_token1] = ACTIONS(1400),
    [aux_sym_where_clause_token1] = ACTIONS(1400),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1400),
    [aux_sym_truncate_statement_token1] = ACTIONS(1400),
    [aux_sym_update_statement_token1] = ACTIONS(1400),
    [aux_sym_merge_statement_token1] = ACTIONS(1400),
    [aux_sym_grant_statement_token1] = ACTIONS(1400),
    [aux_sym_revoke_statement_token1] = ACTIONS(1400),
    [aux_sym_export_data_statement_token1] = ACTIONS(1400),
    [aux_sym_load_data_statement_token1] = ACTIONS(1400),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym__quoted_identifier] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_LT_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
  },
  [1056] = {
    [sym_analytics_clause] = STATE(2167),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_from_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [1057] = {
    [sym_analytics_clause] = STATE(2166),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_from_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [1058] = {
    [sym_analytics_clause] = STATE(2164),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_from_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [1059] = {
    [sym_analytics_clause] = STATE(2163),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_from_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [1060] = {
    [sym_analytics_clause] = STATE(2161),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_from_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [1061] = {
    [sym_analytics_clause] = STATE(2159),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_from_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [1062] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(917),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(1888),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3022),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2430),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2432),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1063] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16282),
    [sym__keyword_case] = STATE(374),
    [sym__keyword_not] = STATE(1069),
    [sym__keyword_cast] = STATE(19285),
    [sym__keyword_date] = STATE(10540),
    [sym__keyword_datetime] = STATE(10540),
    [sym__keyword_time] = STATE(10540),
    [sym__keyword_timestamp] = STATE(10540),
    [sym_select_subexpression] = STATE(10861),
    [sym_function_call] = STATE(10861),
    [sym_unnest_operator] = STATE(6471),
    [sym_unnest_clause] = STATE(10861),
    [sym__literal] = STATE(10861),
    [sym_NULL] = STATE(10861),
    [sym_TRUE] = STATE(10861),
    [sym_FALSE] = STATE(10861),
    [sym__float] = STATE(10863),
    [sym_numeric] = STATE(10863),
    [sym__number] = STATE(10863),
    [sym_interval] = STATE(10861),
    [sym_range] = STATE(10861),
    [sym_time] = STATE(10861),
    [sym_number] = STATE(10861),
    [sym_json] = STATE(10861),
    [sym_query_parameter] = STATE(10861),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19065),
    [sym__type_array] = STATE(18448),
    [sym_array] = STATE(10861),
    [sym_struct] = STATE(10861),
    [sym__identifier] = STATE(10536),
    [sym__dotted_identifier] = STATE(14157),
    [sym_identifier] = STATE(10772),
    [sym_string] = STATE(10861),
    [sym__expression] = STATE(9857),
    [sym__parenthesized_expression] = STATE(10861),
    [sym_element_access] = STATE(10861),
    [sym_field_access] = STATE(10861),
    [sym_unary_expression] = STATE(10861),
    [sym_binary_expression] = STATE(10861),
    [sym_between_operator] = STATE(10861),
    [sym_casewhen_expression] = STATE(10861),
    [sym_cast_expression] = STATE(10861),
    [sym_argument_reference] = STATE(10861),
    [aux_sym_identifier_repeat1] = STATE(14157),
    [sym__unquoted_identifier] = ACTIONS(2552),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2554),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2556),
    [aux_sym__keyword_case_token1] = ACTIONS(2558),
    [aux_sym__keyword_cast_token1] = ACTIONS(2560),
    [aux_sym__keyword_cast_token2] = ACTIONS(2560),
    [aux_sym__keyword_date_token1] = ACTIONS(2562),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2562),
    [aux_sym__keyword_time_token1] = ACTIONS(2562),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [aux_sym_drop_notnull_token1] = ACTIONS(2566),
    [aux_sym_function_call_token2] = ACTIONS(2568),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2570),
    [aux_sym_FALSE_token1] = ACTIONS(2572),
    [sym__integer] = ACTIONS(2574),
    [aux_sym__float_token1] = ACTIONS(2576),
    [aux_sym__float_token2] = ACTIONS(2574),
    [aux_sym__float_token3] = ACTIONS(2576),
    [aux_sym_numeric_token1] = ACTIONS(2578),
    [aux_sym_numeric_token2] = ACTIONS(2578),
    [aux_sym_numeric_token3] = ACTIONS(2578),
    [aux_sym_numeric_token4] = ACTIONS(2578),
    [aux_sym_interval_token1] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [aux_sym_json_token1] = ACTIONS(2584),
    [sym_system_variable] = ACTIONS(2586),
    [sym__named_query_parameter] = ACTIONS(2588),
    [sym__positional_query_parameter] = ACTIONS(2590),
    [sym__quoted_identifier] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_operator_compare] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [sym__string_start] = ACTIONS(2602),
  },
  [1064] = {
    [sym_analytics_clause] = STATE(2157),
    [sym__unquoted_identifier] = ACTIONS(1486),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1486),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1486),
    [aux_sym_keyword_replace_token1] = ACTIONS(1486),
    [aux_sym__keyword_alter_token1] = ACTIONS(1486),
    [aux_sym__keyword_from_token1] = ACTIONS(1486),
    [aux_sym__keyword_delete_token1] = ACTIONS(1486),
    [aux_sym__keyword_begin_token1] = ACTIONS(1486),
    [aux_sym__keyword_end_token1] = ACTIONS(1486),
    [aux_sym__keyword_between_token1] = ACTIONS(1486),
    [aux_sym__keyword_when_token1] = ACTIONS(1486),
    [aux_sym__keyword_else_token1] = ACTIONS(1486),
    [aux_sym__keyword_is_token1] = ACTIONS(1486),
    [aux_sym__keyword_in_token1] = ACTIONS(1486),
    [aux_sym__keyword_and_token1] = ACTIONS(1486),
    [aux_sym__keyword_like_token1] = ACTIONS(1486),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1486),
    [aux_sym__keyword_as_token1] = ACTIONS(1486),
    [aux_sym__keyword_window_token1] = ACTIONS(1486),
    [aux_sym__keyword_date_token1] = ACTIONS(1486),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1486),
    [aux_sym__keyword_time_token1] = ACTIONS(1486),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1486),
    [aux_sym__keyword_for_token1] = ACTIONS(1486),
    [anon_sym_SEMI] = ACTIONS(1484),
    [aux_sym_declare_statement_token1] = ACTIONS(1486),
    [anon_sym_COMMA] = ACTIONS(1484),
    [aux_sym_set_statement_token1] = ACTIONS(1486),
    [anon_sym_LPAREN] = ACTIONS(1484),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1486),
    [aux_sym_return_satement_token1] = ACTIONS(1486),
    [aux_sym_call_statement_token1] = ACTIONS(1486),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1486),
    [aux_sym_if_statement_token1] = ACTIONS(1486),
    [aux_sym_loop_statement_token1] = ACTIONS(1486),
    [aux_sym_repeat_statement_token1] = ACTIONS(1486),
    [aux_sym_while_statement_token1] = ACTIONS(1486),
    [aux_sym_break_statement_token1] = ACTIONS(1486),
    [aux_sym_leave_statement_token1] = ACTIONS(1486),
    [aux_sym_continue_statement_token1] = ACTIONS(1486),
    [aux_sym_iterate_statement_token1] = ACTIONS(1486),
    [aux_sym_raise_statement_token1] = ACTIONS(1486),
    [anon_sym_EQ] = ACTIONS(1484),
    [aux_sym_assert_statement_token1] = ACTIONS(1486),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1486),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1486),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1486),
    [anon_sym_LT] = ACTIONS(1486),
    [anon_sym_GT] = ACTIONS(1486),
    [aux_sym_set_operation_token1] = ACTIONS(1486),
    [aux_sym_set_operation_token3] = ACTIONS(1486),
    [aux_sym_set_operation_token4] = ACTIONS(1486),
    [aux_sym_select_token1] = ACTIONS(1486),
    [aux_sym_having_clause_token1] = ACTIONS(1486),
    [aux_sym_qualify_clause_token1] = ACTIONS(1486),
    [aux_sym_limit_clause_token1] = ACTIONS(1486),
    [aux_sym_group_by_clause_token1] = ACTIONS(1486),
    [aux_sym_order_by_clause_token1] = ACTIONS(1486),
    [aux_sym_where_clause_token1] = ACTIONS(1486),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1486),
    [aux_sym_truncate_statement_token1] = ACTIONS(1486),
    [aux_sym_update_statement_token1] = ACTIONS(1486),
    [aux_sym_merge_statement_token1] = ACTIONS(1486),
    [aux_sym_grant_statement_token1] = ACTIONS(1486),
    [aux_sym_revoke_statement_token1] = ACTIONS(1486),
    [aux_sym_export_data_statement_token1] = ACTIONS(1486),
    [aux_sym_load_data_statement_token1] = ACTIONS(1486),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym__quoted_identifier] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_SLASH] = ACTIONS(1486),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [anon_sym_LT_EQ] = ACTIONS(1484),
    [anon_sym_LT_GT] = ACTIONS(1484),
    [anon_sym_GT_EQ] = ACTIONS(1484),
    [anon_sym_BANG_EQ] = ACTIONS(1484),
    [anon_sym_LT_LT] = ACTIONS(1484),
    [anon_sym_GT_GT] = ACTIONS(1484),
    [anon_sym_AMP] = ACTIONS(1484),
    [anon_sym_CARET] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1486),
  },
  [1065] = {
    [sym_analytics_clause] = STATE(2155),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [1066] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(844),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(385),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2527),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(2298),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2300),
    [anon_sym_PLUS] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2302),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1067] = {
    [sym_analytics_clause] = STATE(2154),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [1068] = {
    [sym_analytics_clause] = STATE(2152),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [1069] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16282),
    [sym__keyword_case] = STATE(374),
    [sym__keyword_not] = STATE(1069),
    [sym__keyword_cast] = STATE(19285),
    [sym__keyword_date] = STATE(10540),
    [sym__keyword_datetime] = STATE(10540),
    [sym__keyword_time] = STATE(10540),
    [sym__keyword_timestamp] = STATE(10540),
    [sym_select_subexpression] = STATE(10861),
    [sym_function_call] = STATE(10861),
    [sym_unnest_operator] = STATE(6471),
    [sym_unnest_clause] = STATE(10861),
    [sym__literal] = STATE(10861),
    [sym_NULL] = STATE(10861),
    [sym_TRUE] = STATE(10861),
    [sym_FALSE] = STATE(10861),
    [sym__float] = STATE(10863),
    [sym_numeric] = STATE(10863),
    [sym__number] = STATE(10863),
    [sym_interval] = STATE(10861),
    [sym_range] = STATE(10861),
    [sym_time] = STATE(10861),
    [sym_number] = STATE(10861),
    [sym_json] = STATE(10861),
    [sym_query_parameter] = STATE(10861),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19065),
    [sym__type_array] = STATE(18448),
    [sym_array] = STATE(10861),
    [sym_struct] = STATE(10861),
    [sym__identifier] = STATE(10536),
    [sym__dotted_identifier] = STATE(14157),
    [sym_identifier] = STATE(10772),
    [sym_string] = STATE(10861),
    [sym__expression] = STATE(9858),
    [sym__parenthesized_expression] = STATE(10861),
    [sym_element_access] = STATE(10861),
    [sym_field_access] = STATE(10861),
    [sym_unary_expression] = STATE(10861),
    [sym_binary_expression] = STATE(10861),
    [sym_between_operator] = STATE(10861),
    [sym_casewhen_expression] = STATE(10861),
    [sym_cast_expression] = STATE(10861),
    [sym_argument_reference] = STATE(10861),
    [aux_sym_identifier_repeat1] = STATE(14157),
    [sym__unquoted_identifier] = ACTIONS(2552),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2554),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2556),
    [aux_sym__keyword_case_token1] = ACTIONS(2558),
    [aux_sym__keyword_cast_token1] = ACTIONS(2560),
    [aux_sym__keyword_cast_token2] = ACTIONS(2560),
    [aux_sym__keyword_date_token1] = ACTIONS(2562),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2562),
    [aux_sym__keyword_time_token1] = ACTIONS(2562),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [aux_sym_drop_notnull_token1] = ACTIONS(2566),
    [aux_sym_function_call_token2] = ACTIONS(2568),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2570),
    [aux_sym_FALSE_token1] = ACTIONS(2572),
    [sym__integer] = ACTIONS(2574),
    [aux_sym__float_token1] = ACTIONS(2576),
    [aux_sym__float_token2] = ACTIONS(2574),
    [aux_sym__float_token3] = ACTIONS(2576),
    [aux_sym_numeric_token1] = ACTIONS(2578),
    [aux_sym_numeric_token2] = ACTIONS(2578),
    [aux_sym_numeric_token3] = ACTIONS(2578),
    [aux_sym_numeric_token4] = ACTIONS(2578),
    [aux_sym_interval_token1] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [aux_sym_json_token1] = ACTIONS(2584),
    [sym_system_variable] = ACTIONS(2586),
    [sym__named_query_parameter] = ACTIONS(2588),
    [sym__positional_query_parameter] = ACTIONS(2590),
    [sym__quoted_identifier] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_operator_compare] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [sym__string_start] = ACTIONS(2602),
  },
  [1070] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(844),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(385),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2604),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(2298),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2300),
    [anon_sym_PLUS] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2302),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1071] = {
    [sym_analytics_clause] = STATE(2150),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [1072] = {
    [ts_builtin_sym_end] = ACTIONS(1516),
    [sym__unquoted_identifier] = ACTIONS(1518),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1518),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1518),
    [aux_sym_keyword_replace_token1] = ACTIONS(1518),
    [aux_sym__keyword_alter_token1] = ACTIONS(1518),
    [aux_sym__keyword_from_token1] = ACTIONS(1518),
    [aux_sym__keyword_delete_token1] = ACTIONS(1518),
    [aux_sym__keyword_begin_token1] = ACTIONS(1518),
    [aux_sym__keyword_end_token1] = ACTIONS(1518),
    [aux_sym__keyword_between_token1] = ACTIONS(1518),
    [aux_sym__keyword_when_token1] = ACTIONS(1518),
    [aux_sym__keyword_else_token1] = ACTIONS(1518),
    [aux_sym__keyword_is_token1] = ACTIONS(1518),
    [aux_sym__keyword_in_token1] = ACTIONS(1518),
    [aux_sym__keyword_and_token1] = ACTIONS(1518),
    [aux_sym__keyword_like_token1] = ACTIONS(1518),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1518),
    [aux_sym__keyword_as_token1] = ACTIONS(1518),
    [aux_sym__keyword_window_token1] = ACTIONS(1518),
    [aux_sym__keyword_date_token1] = ACTIONS(1518),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1518),
    [aux_sym__keyword_time_token1] = ACTIONS(1518),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1518),
    [aux_sym__keyword_for_token1] = ACTIONS(1518),
    [anon_sym_SEMI] = ACTIONS(1516),
    [aux_sym_declare_statement_token1] = ACTIONS(1518),
    [anon_sym_COMMA] = ACTIONS(1516),
    [aux_sym_set_statement_token1] = ACTIONS(1518),
    [anon_sym_LPAREN] = ACTIONS(1516),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1518),
    [aux_sym_return_satement_token1] = ACTIONS(1518),
    [aux_sym_call_statement_token1] = ACTIONS(1518),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1518),
    [aux_sym_if_statement_token1] = ACTIONS(1518),
    [aux_sym_loop_statement_token1] = ACTIONS(1518),
    [aux_sym_repeat_statement_token1] = ACTIONS(1518),
    [aux_sym_while_statement_token1] = ACTIONS(1518),
    [aux_sym_break_statement_token1] = ACTIONS(1518),
    [aux_sym_leave_statement_token1] = ACTIONS(1518),
    [aux_sym_continue_statement_token1] = ACTIONS(1518),
    [aux_sym_iterate_statement_token1] = ACTIONS(1518),
    [aux_sym_raise_statement_token1] = ACTIONS(1518),
    [anon_sym_EQ] = ACTIONS(1516),
    [aux_sym_assert_statement_token1] = ACTIONS(1518),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1518),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1518),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1518),
    [anon_sym_LT] = ACTIONS(1518),
    [anon_sym_GT] = ACTIONS(1518),
    [aux_sym_set_operation_token1] = ACTIONS(1518),
    [aux_sym_set_operation_token3] = ACTIONS(1518),
    [aux_sym_set_operation_token4] = ACTIONS(1518),
    [aux_sym_select_token1] = ACTIONS(1518),
    [aux_sym_having_clause_token1] = ACTIONS(1518),
    [aux_sym_qualify_clause_token1] = ACTIONS(1518),
    [aux_sym_limit_clause_token1] = ACTIONS(1518),
    [aux_sym_group_by_clause_token1] = ACTIONS(1518),
    [aux_sym_order_by_clause_token1] = ACTIONS(1518),
    [aux_sym_where_clause_token1] = ACTIONS(1518),
    [aux_sym_insert_statement_token1] = ACTIONS(1518),
    [aux_sym_truncate_statement_token1] = ACTIONS(1518),
    [aux_sym_update_statement_token1] = ACTIONS(1518),
    [aux_sym_merge_statement_token1] = ACTIONS(1518),
    [aux_sym_grant_statement_token1] = ACTIONS(1518),
    [aux_sym_revoke_statement_token1] = ACTIONS(1518),
    [aux_sym_export_data_statement_token1] = ACTIONS(1518),
    [aux_sym_load_data_statement_token1] = ACTIONS(1518),
    [anon_sym_LBRACK] = ACTIONS(1516),
    [sym__quoted_identifier] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1516),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1518),
    [anon_sym_STAR] = ACTIONS(1516),
    [anon_sym_SLASH] = ACTIONS(1518),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [anon_sym_LT_EQ] = ACTIONS(1516),
    [anon_sym_LT_GT] = ACTIONS(1516),
    [anon_sym_GT_EQ] = ACTIONS(1516),
    [anon_sym_BANG_EQ] = ACTIONS(1516),
    [anon_sym_LT_LT] = ACTIONS(1516),
    [anon_sym_GT_GT] = ACTIONS(1516),
    [anon_sym_AMP] = ACTIONS(1516),
    [anon_sym_CARET] = ACTIONS(1516),
    [anon_sym_PIPE] = ACTIONS(1518),
    [sym__string_start] = ACTIONS(1516),
  },
  [1073] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16325),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1073),
    [sym__keyword_cast] = STATE(19275),
    [sym__keyword_date] = STATE(9495),
    [sym__keyword_datetime] = STATE(9495),
    [sym__keyword_time] = STATE(9495),
    [sym__keyword_timestamp] = STATE(9495),
    [sym_select_subexpression] = STATE(10495),
    [sym_function_call] = STATE(10495),
    [sym_unnest_operator] = STATE(6473),
    [sym_unnest_clause] = STATE(10495),
    [sym__literal] = STATE(10495),
    [sym_NULL] = STATE(10495),
    [sym_TRUE] = STATE(10495),
    [sym_FALSE] = STATE(10495),
    [sym__float] = STATE(10492),
    [sym_numeric] = STATE(10492),
    [sym__number] = STATE(10492),
    [sym_interval] = STATE(10495),
    [sym_range] = STATE(10495),
    [sym_time] = STATE(10495),
    [sym_number] = STATE(10495),
    [sym_json] = STATE(10495),
    [sym_query_parameter] = STATE(10495),
    [sym__type_chrono] = STATE(8422),
    [sym__type_struct] = STATE(19027),
    [sym__type_array] = STATE(18285),
    [sym_array] = STATE(10495),
    [sym_struct] = STATE(10495),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9694),
    [sym_string] = STATE(10495),
    [sym__expression] = STATE(9713),
    [sym__parenthesized_expression] = STATE(10495),
    [sym_element_access] = STATE(10495),
    [sym_field_access] = STATE(10495),
    [sym_unary_expression] = STATE(10495),
    [sym_binary_expression] = STATE(10495),
    [sym_between_operator] = STATE(10495),
    [sym_casewhen_expression] = STATE(10495),
    [sym_cast_expression] = STATE(10495),
    [sym_argument_reference] = STATE(10495),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2042),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2044),
    [aux_sym__keyword_case_token1] = ACTIONS(2046),
    [aux_sym__keyword_cast_token1] = ACTIONS(2048),
    [aux_sym__keyword_cast_token2] = ACTIONS(2048),
    [aux_sym__keyword_date_token1] = ACTIONS(2050),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2050),
    [aux_sym__keyword_time_token1] = ACTIONS(2050),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [aux_sym_drop_notnull_token1] = ACTIONS(2054),
    [aux_sym_function_call_token2] = ACTIONS(2056),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2060),
    [aux_sym_FALSE_token1] = ACTIONS(2062),
    [sym__integer] = ACTIONS(2064),
    [aux_sym__float_token1] = ACTIONS(2066),
    [aux_sym__float_token2] = ACTIONS(2064),
    [aux_sym__float_token3] = ACTIONS(2066),
    [aux_sym_numeric_token1] = ACTIONS(2068),
    [aux_sym_numeric_token2] = ACTIONS(2068),
    [aux_sym_numeric_token3] = ACTIONS(2068),
    [aux_sym_numeric_token4] = ACTIONS(2068),
    [aux_sym_interval_token1] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_json_token1] = ACTIONS(2074),
    [sym_system_variable] = ACTIONS(2076),
    [sym__named_query_parameter] = ACTIONS(2078),
    [sym__positional_query_parameter] = ACTIONS(2080),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_operator_compare] = ACTIONS(2086),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [sym__string_start] = ACTIONS(2090),
  },
  [1074] = {
    [sym_analytics_clause] = STATE(2149),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [1075] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16325),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1073),
    [sym__keyword_cast] = STATE(19275),
    [sym__keyword_date] = STATE(9495),
    [sym__keyword_datetime] = STATE(9495),
    [sym__keyword_time] = STATE(9495),
    [sym__keyword_timestamp] = STATE(9495),
    [sym_select_subexpression] = STATE(10495),
    [sym_function_call] = STATE(10495),
    [sym_unnest_operator] = STATE(6473),
    [sym_unnest_clause] = STATE(10495),
    [sym__literal] = STATE(10495),
    [sym_NULL] = STATE(10495),
    [sym_TRUE] = STATE(10495),
    [sym_FALSE] = STATE(10495),
    [sym__float] = STATE(10492),
    [sym_numeric] = STATE(10492),
    [sym__number] = STATE(10492),
    [sym_interval] = STATE(10495),
    [sym_range] = STATE(10495),
    [sym_time] = STATE(10495),
    [sym_number] = STATE(10495),
    [sym_json] = STATE(10495),
    [sym_query_parameter] = STATE(10495),
    [sym__type_chrono] = STATE(8422),
    [sym__type_struct] = STATE(19027),
    [sym__type_array] = STATE(18285),
    [sym_array] = STATE(10495),
    [sym_struct] = STATE(10495),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9694),
    [sym_string] = STATE(10495),
    [sym__expression] = STATE(9712),
    [sym__parenthesized_expression] = STATE(10495),
    [sym_element_access] = STATE(10495),
    [sym_field_access] = STATE(10495),
    [sym_unary_expression] = STATE(10495),
    [sym_binary_expression] = STATE(10495),
    [sym_between_operator] = STATE(10495),
    [sym_casewhen_expression] = STATE(10495),
    [sym_cast_expression] = STATE(10495),
    [sym_argument_reference] = STATE(10495),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2042),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2044),
    [aux_sym__keyword_case_token1] = ACTIONS(2046),
    [aux_sym__keyword_cast_token1] = ACTIONS(2048),
    [aux_sym__keyword_cast_token2] = ACTIONS(2048),
    [aux_sym__keyword_date_token1] = ACTIONS(2050),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2050),
    [aux_sym__keyword_time_token1] = ACTIONS(2050),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [aux_sym_drop_notnull_token1] = ACTIONS(2054),
    [aux_sym_function_call_token2] = ACTIONS(2056),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2060),
    [aux_sym_FALSE_token1] = ACTIONS(2062),
    [sym__integer] = ACTIONS(2064),
    [aux_sym__float_token1] = ACTIONS(2066),
    [aux_sym__float_token2] = ACTIONS(2064),
    [aux_sym__float_token3] = ACTIONS(2066),
    [aux_sym_numeric_token1] = ACTIONS(2068),
    [aux_sym_numeric_token2] = ACTIONS(2068),
    [aux_sym_numeric_token3] = ACTIONS(2068),
    [aux_sym_numeric_token4] = ACTIONS(2068),
    [aux_sym_interval_token1] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_json_token1] = ACTIONS(2074),
    [sym_system_variable] = ACTIONS(2076),
    [sym__named_query_parameter] = ACTIONS(2078),
    [sym__positional_query_parameter] = ACTIONS(2080),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_operator_compare] = ACTIONS(2086),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [sym__string_start] = ACTIONS(2090),
  },
  [1076] = {
    [sym_analytics_clause] = STATE(2148),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [1077] = {
    [sym_analytics_clause] = STATE(2147),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [1078] = {
    [sym_analytics_clause] = STATE(2145),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [1079] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(844),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(385),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2607),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(2298),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2300),
    [anon_sym_PLUS] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2302),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1080] = {
    [sym_analytics_clause] = STATE(2140),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [1081] = {
    [sym_analytics_clause] = STATE(2139),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [1082] = {
    [sym_analytics_clause] = STATE(2138),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [1083] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10197),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1084] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9854),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1085] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(844),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(385),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2617),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(2298),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2300),
    [anon_sym_PLUS] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2302),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1086] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(844),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(385),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2622),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(2298),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2300),
    [anon_sym_PLUS] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2302),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1087] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10240),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1088] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9868),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1089] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(6689),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1090] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(6690),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1091] = {
    [sym_analytics_clause] = STATE(2136),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [1092] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(6691),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1093] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10346),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1094] = {
    [sym_analytics_clause] = STATE(2134),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [1095] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10185),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1096] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9699),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1097] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(6695),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1098] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16282),
    [sym__keyword_case] = STATE(374),
    [sym__keyword_not] = STATE(1069),
    [sym__keyword_cast] = STATE(19285),
    [sym__keyword_date] = STATE(10540),
    [sym__keyword_datetime] = STATE(10540),
    [sym__keyword_time] = STATE(10540),
    [sym__keyword_timestamp] = STATE(10540),
    [sym_select_subexpression] = STATE(10861),
    [sym_function_call] = STATE(10861),
    [sym_unnest_operator] = STATE(6471),
    [sym_unnest_clause] = STATE(10861),
    [sym__literal] = STATE(10861),
    [sym_NULL] = STATE(10861),
    [sym_TRUE] = STATE(10861),
    [sym_FALSE] = STATE(10861),
    [sym__float] = STATE(10863),
    [sym_numeric] = STATE(10863),
    [sym__number] = STATE(10863),
    [sym_interval] = STATE(10861),
    [sym_range] = STATE(10861),
    [sym_time] = STATE(10861),
    [sym_number] = STATE(10861),
    [sym_json] = STATE(10861),
    [sym_query_parameter] = STATE(10861),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19065),
    [sym__type_array] = STATE(18448),
    [sym_array] = STATE(10861),
    [sym_struct] = STATE(10861),
    [sym__identifier] = STATE(10536),
    [sym__dotted_identifier] = STATE(14157),
    [sym_identifier] = STATE(10772),
    [sym_string] = STATE(10861),
    [sym__expression] = STATE(9734),
    [sym__parenthesized_expression] = STATE(10861),
    [sym_element_access] = STATE(10861),
    [sym_field_access] = STATE(10861),
    [sym_unary_expression] = STATE(10861),
    [sym_binary_expression] = STATE(10861),
    [sym_between_operator] = STATE(10861),
    [sym_casewhen_expression] = STATE(10861),
    [sym_cast_expression] = STATE(10861),
    [sym_argument_reference] = STATE(10861),
    [aux_sym_identifier_repeat1] = STATE(14157),
    [sym__unquoted_identifier] = ACTIONS(2552),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2554),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2556),
    [aux_sym__keyword_case_token1] = ACTIONS(2558),
    [aux_sym__keyword_cast_token1] = ACTIONS(2560),
    [aux_sym__keyword_cast_token2] = ACTIONS(2560),
    [aux_sym__keyword_date_token1] = ACTIONS(2562),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2562),
    [aux_sym__keyword_time_token1] = ACTIONS(2562),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [aux_sym_drop_notnull_token1] = ACTIONS(2566),
    [aux_sym_function_call_token2] = ACTIONS(2568),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2570),
    [aux_sym_FALSE_token1] = ACTIONS(2572),
    [sym__integer] = ACTIONS(2574),
    [aux_sym__float_token1] = ACTIONS(2576),
    [aux_sym__float_token2] = ACTIONS(2574),
    [aux_sym__float_token3] = ACTIONS(2576),
    [aux_sym_numeric_token1] = ACTIONS(2578),
    [aux_sym_numeric_token2] = ACTIONS(2578),
    [aux_sym_numeric_token3] = ACTIONS(2578),
    [aux_sym_numeric_token4] = ACTIONS(2578),
    [aux_sym_interval_token1] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [aux_sym_json_token1] = ACTIONS(2584),
    [sym_system_variable] = ACTIONS(2586),
    [sym__named_query_parameter] = ACTIONS(2588),
    [sym__positional_query_parameter] = ACTIONS(2590),
    [sym__quoted_identifier] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_operator_compare] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [sym__string_start] = ACTIONS(2602),
  },
  [1099] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16282),
    [sym__keyword_case] = STATE(374),
    [sym__keyword_not] = STATE(1069),
    [sym__keyword_cast] = STATE(19285),
    [sym__keyword_date] = STATE(10540),
    [sym__keyword_datetime] = STATE(10540),
    [sym__keyword_time] = STATE(10540),
    [sym__keyword_timestamp] = STATE(10540),
    [sym_select_subexpression] = STATE(10861),
    [sym_function_call] = STATE(10861),
    [sym_unnest_operator] = STATE(6471),
    [sym_unnest_clause] = STATE(10861),
    [sym__literal] = STATE(10861),
    [sym_NULL] = STATE(10861),
    [sym_TRUE] = STATE(10861),
    [sym_FALSE] = STATE(10861),
    [sym__float] = STATE(10863),
    [sym_numeric] = STATE(10863),
    [sym__number] = STATE(10863),
    [sym_interval] = STATE(10861),
    [sym_range] = STATE(10861),
    [sym_time] = STATE(10861),
    [sym_number] = STATE(10861),
    [sym_json] = STATE(10861),
    [sym_query_parameter] = STATE(10861),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19065),
    [sym__type_array] = STATE(18448),
    [sym_array] = STATE(10861),
    [sym_struct] = STATE(10861),
    [sym__identifier] = STATE(10536),
    [sym__dotted_identifier] = STATE(14157),
    [sym_identifier] = STATE(10772),
    [sym_string] = STATE(10861),
    [sym__expression] = STATE(9746),
    [sym__parenthesized_expression] = STATE(10861),
    [sym_element_access] = STATE(10861),
    [sym_field_access] = STATE(10861),
    [sym_unary_expression] = STATE(10861),
    [sym_binary_expression] = STATE(10861),
    [sym_between_operator] = STATE(10861),
    [sym_casewhen_expression] = STATE(10861),
    [sym_cast_expression] = STATE(10861),
    [sym_argument_reference] = STATE(10861),
    [aux_sym_identifier_repeat1] = STATE(14157),
    [sym__unquoted_identifier] = ACTIONS(2552),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2554),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2556),
    [aux_sym__keyword_case_token1] = ACTIONS(2558),
    [aux_sym__keyword_cast_token1] = ACTIONS(2560),
    [aux_sym__keyword_cast_token2] = ACTIONS(2560),
    [aux_sym__keyword_date_token1] = ACTIONS(2562),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2562),
    [aux_sym__keyword_time_token1] = ACTIONS(2562),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [aux_sym_drop_notnull_token1] = ACTIONS(2566),
    [aux_sym_function_call_token2] = ACTIONS(2568),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2570),
    [aux_sym_FALSE_token1] = ACTIONS(2572),
    [sym__integer] = ACTIONS(2574),
    [aux_sym__float_token1] = ACTIONS(2576),
    [aux_sym__float_token2] = ACTIONS(2574),
    [aux_sym__float_token3] = ACTIONS(2576),
    [aux_sym_numeric_token1] = ACTIONS(2578),
    [aux_sym_numeric_token2] = ACTIONS(2578),
    [aux_sym_numeric_token3] = ACTIONS(2578),
    [aux_sym_numeric_token4] = ACTIONS(2578),
    [aux_sym_interval_token1] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [aux_sym_json_token1] = ACTIONS(2584),
    [sym_system_variable] = ACTIONS(2586),
    [sym__named_query_parameter] = ACTIONS(2588),
    [sym__positional_query_parameter] = ACTIONS(2590),
    [sym__quoted_identifier] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_operator_compare] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [sym__string_start] = ACTIONS(2602),
  },
  [1100] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16282),
    [sym__keyword_case] = STATE(374),
    [sym__keyword_not] = STATE(1069),
    [sym__keyword_cast] = STATE(19285),
    [sym__keyword_date] = STATE(10540),
    [sym__keyword_datetime] = STATE(10540),
    [sym__keyword_time] = STATE(10540),
    [sym__keyword_timestamp] = STATE(10540),
    [sym_select_subexpression] = STATE(10861),
    [sym_function_call] = STATE(10861),
    [sym_unnest_operator] = STATE(6471),
    [sym_unnest_clause] = STATE(10861),
    [sym__literal] = STATE(10861),
    [sym_NULL] = STATE(10861),
    [sym_TRUE] = STATE(10861),
    [sym_FALSE] = STATE(10861),
    [sym__float] = STATE(10863),
    [sym_numeric] = STATE(10863),
    [sym__number] = STATE(10863),
    [sym_interval] = STATE(10861),
    [sym_range] = STATE(10861),
    [sym_time] = STATE(10861),
    [sym_number] = STATE(10861),
    [sym_json] = STATE(10861),
    [sym_query_parameter] = STATE(10861),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19065),
    [sym__type_array] = STATE(18448),
    [sym_array] = STATE(10861),
    [sym_struct] = STATE(10861),
    [sym__identifier] = STATE(10536),
    [sym__dotted_identifier] = STATE(14157),
    [sym_identifier] = STATE(10772),
    [sym_string] = STATE(10861),
    [sym__expression] = STATE(9862),
    [sym__parenthesized_expression] = STATE(10861),
    [sym_element_access] = STATE(10861),
    [sym_field_access] = STATE(10861),
    [sym_unary_expression] = STATE(10861),
    [sym_binary_expression] = STATE(10861),
    [sym_between_operator] = STATE(10861),
    [sym_casewhen_expression] = STATE(10861),
    [sym_cast_expression] = STATE(10861),
    [sym_argument_reference] = STATE(10861),
    [aux_sym_identifier_repeat1] = STATE(14157),
    [sym__unquoted_identifier] = ACTIONS(2552),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2554),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2556),
    [aux_sym__keyword_case_token1] = ACTIONS(2558),
    [aux_sym__keyword_cast_token1] = ACTIONS(2560),
    [aux_sym__keyword_cast_token2] = ACTIONS(2560),
    [aux_sym__keyword_date_token1] = ACTIONS(2562),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2562),
    [aux_sym__keyword_time_token1] = ACTIONS(2562),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [aux_sym_drop_notnull_token1] = ACTIONS(2566),
    [aux_sym_function_call_token2] = ACTIONS(2568),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2570),
    [aux_sym_FALSE_token1] = ACTIONS(2572),
    [sym__integer] = ACTIONS(2574),
    [aux_sym__float_token1] = ACTIONS(2576),
    [aux_sym__float_token2] = ACTIONS(2574),
    [aux_sym__float_token3] = ACTIONS(2576),
    [aux_sym_numeric_token1] = ACTIONS(2578),
    [aux_sym_numeric_token2] = ACTIONS(2578),
    [aux_sym_numeric_token3] = ACTIONS(2578),
    [aux_sym_numeric_token4] = ACTIONS(2578),
    [aux_sym_interval_token1] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [aux_sym_json_token1] = ACTIONS(2584),
    [sym_system_variable] = ACTIONS(2586),
    [sym__named_query_parameter] = ACTIONS(2588),
    [sym__positional_query_parameter] = ACTIONS(2590),
    [sym__quoted_identifier] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_operator_compare] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [sym__string_start] = ACTIONS(2602),
  },
  [1101] = {
    [sym_analytics_clause] = STATE(2127),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [1102] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9853),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1103] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(841),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2044),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3381),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2406),
    [anon_sym_DASH] = ACTIONS(2406),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1104] = {
    [sym_analytics_clause] = STATE(2126),
    [sym__unquoted_identifier] = ACTIONS(1376),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1376),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1376),
    [aux_sym_keyword_replace_token1] = ACTIONS(1376),
    [aux_sym__keyword_alter_token1] = ACTIONS(1376),
    [aux_sym__keyword_from_token1] = ACTIONS(1376),
    [aux_sym__keyword_delete_token1] = ACTIONS(1376),
    [aux_sym__keyword_begin_token1] = ACTIONS(1376),
    [aux_sym__keyword_end_token1] = ACTIONS(1376),
    [aux_sym__keyword_between_token1] = ACTIONS(1376),
    [aux_sym__keyword_when_token1] = ACTIONS(1376),
    [aux_sym__keyword_else_token1] = ACTIONS(1376),
    [aux_sym__keyword_is_token1] = ACTIONS(1376),
    [aux_sym__keyword_in_token1] = ACTIONS(1376),
    [aux_sym__keyword_and_token1] = ACTIONS(1376),
    [aux_sym__keyword_like_token1] = ACTIONS(1376),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1376),
    [aux_sym__keyword_as_token1] = ACTIONS(1376),
    [aux_sym__keyword_window_token1] = ACTIONS(1376),
    [aux_sym__keyword_date_token1] = ACTIONS(1376),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1376),
    [aux_sym__keyword_time_token1] = ACTIONS(1376),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1376),
    [aux_sym__keyword_for_token1] = ACTIONS(1376),
    [anon_sym_SEMI] = ACTIONS(1374),
    [aux_sym_declare_statement_token1] = ACTIONS(1376),
    [anon_sym_COMMA] = ACTIONS(1374),
    [aux_sym_set_statement_token1] = ACTIONS(1376),
    [anon_sym_LPAREN] = ACTIONS(1374),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1376),
    [aux_sym_return_satement_token1] = ACTIONS(1376),
    [aux_sym_call_statement_token1] = ACTIONS(1376),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1376),
    [aux_sym_if_statement_token1] = ACTIONS(1376),
    [aux_sym_loop_statement_token1] = ACTIONS(1376),
    [aux_sym_repeat_statement_token1] = ACTIONS(1376),
    [aux_sym_while_statement_token1] = ACTIONS(1376),
    [aux_sym_break_statement_token1] = ACTIONS(1376),
    [aux_sym_leave_statement_token1] = ACTIONS(1376),
    [aux_sym_continue_statement_token1] = ACTIONS(1376),
    [aux_sym_iterate_statement_token1] = ACTIONS(1376),
    [aux_sym_raise_statement_token1] = ACTIONS(1376),
    [anon_sym_EQ] = ACTIONS(1374),
    [aux_sym_assert_statement_token1] = ACTIONS(1376),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1376),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1376),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1376),
    [anon_sym_LT] = ACTIONS(1376),
    [anon_sym_GT] = ACTIONS(1376),
    [aux_sym_set_operation_token1] = ACTIONS(1376),
    [aux_sym_set_operation_token3] = ACTIONS(1376),
    [aux_sym_set_operation_token4] = ACTIONS(1376),
    [aux_sym_select_token1] = ACTIONS(1376),
    [aux_sym_having_clause_token1] = ACTIONS(1376),
    [aux_sym_qualify_clause_token1] = ACTIONS(1376),
    [aux_sym_limit_clause_token1] = ACTIONS(1376),
    [aux_sym_group_by_clause_token1] = ACTIONS(1376),
    [aux_sym_order_by_clause_token1] = ACTIONS(1376),
    [aux_sym_where_clause_token1] = ACTIONS(1376),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1376),
    [aux_sym_truncate_statement_token1] = ACTIONS(1376),
    [aux_sym_update_statement_token1] = ACTIONS(1376),
    [aux_sym_merge_statement_token1] = ACTIONS(1376),
    [aux_sym_grant_statement_token1] = ACTIONS(1376),
    [aux_sym_revoke_statement_token1] = ACTIONS(1376),
    [aux_sym_export_data_statement_token1] = ACTIONS(1376),
    [aux_sym_load_data_statement_token1] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(1374),
    [sym__quoted_identifier] = ACTIONS(1374),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_SLASH] = ACTIONS(1376),
    [anon_sym_PIPE_PIPE] = ACTIONS(1374),
    [anon_sym_LT_EQ] = ACTIONS(1374),
    [anon_sym_LT_GT] = ACTIONS(1374),
    [anon_sym_GT_EQ] = ACTIONS(1374),
    [anon_sym_BANG_EQ] = ACTIONS(1374),
    [anon_sym_LT_LT] = ACTIONS(1374),
    [anon_sym_GT_GT] = ACTIONS(1374),
    [anon_sym_AMP] = ACTIONS(1374),
    [anon_sym_CARET] = ACTIONS(1374),
    [anon_sym_PIPE] = ACTIONS(1376),
  },
  [1105] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16282),
    [sym__keyword_case] = STATE(374),
    [sym__keyword_not] = STATE(1069),
    [sym__keyword_cast] = STATE(19285),
    [sym__keyword_date] = STATE(10540),
    [sym__keyword_datetime] = STATE(10540),
    [sym__keyword_time] = STATE(10540),
    [sym__keyword_timestamp] = STATE(10540),
    [sym_select_subexpression] = STATE(10861),
    [sym_function_call] = STATE(10861),
    [sym_unnest_operator] = STATE(6471),
    [sym_unnest_clause] = STATE(10861),
    [sym__literal] = STATE(10861),
    [sym_NULL] = STATE(10861),
    [sym_TRUE] = STATE(10861),
    [sym_FALSE] = STATE(10861),
    [sym__float] = STATE(10863),
    [sym_numeric] = STATE(10863),
    [sym__number] = STATE(10863),
    [sym_interval] = STATE(10861),
    [sym_range] = STATE(10861),
    [sym_time] = STATE(10861),
    [sym_number] = STATE(10861),
    [sym_json] = STATE(10861),
    [sym_query_parameter] = STATE(10861),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19065),
    [sym__type_array] = STATE(18448),
    [sym_array] = STATE(10861),
    [sym_struct] = STATE(10861),
    [sym__identifier] = STATE(10536),
    [sym__dotted_identifier] = STATE(14157),
    [sym_identifier] = STATE(10772),
    [sym_string] = STATE(10861),
    [sym__expression] = STATE(9737),
    [sym__parenthesized_expression] = STATE(10861),
    [sym_element_access] = STATE(10861),
    [sym_field_access] = STATE(10861),
    [sym_unary_expression] = STATE(10861),
    [sym_binary_expression] = STATE(10861),
    [sym_between_operator] = STATE(10861),
    [sym_casewhen_expression] = STATE(10861),
    [sym_cast_expression] = STATE(10861),
    [sym_argument_reference] = STATE(10861),
    [aux_sym_identifier_repeat1] = STATE(14157),
    [sym__unquoted_identifier] = ACTIONS(2552),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2554),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2556),
    [aux_sym__keyword_case_token1] = ACTIONS(2558),
    [aux_sym__keyword_cast_token1] = ACTIONS(2560),
    [aux_sym__keyword_cast_token2] = ACTIONS(2560),
    [aux_sym__keyword_date_token1] = ACTIONS(2562),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2562),
    [aux_sym__keyword_time_token1] = ACTIONS(2562),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [aux_sym_drop_notnull_token1] = ACTIONS(2566),
    [aux_sym_function_call_token2] = ACTIONS(2568),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2570),
    [aux_sym_FALSE_token1] = ACTIONS(2572),
    [sym__integer] = ACTIONS(2574),
    [aux_sym__float_token1] = ACTIONS(2576),
    [aux_sym__float_token2] = ACTIONS(2574),
    [aux_sym__float_token3] = ACTIONS(2576),
    [aux_sym_numeric_token1] = ACTIONS(2578),
    [aux_sym_numeric_token2] = ACTIONS(2578),
    [aux_sym_numeric_token3] = ACTIONS(2578),
    [aux_sym_numeric_token4] = ACTIONS(2578),
    [aux_sym_interval_token1] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [aux_sym_json_token1] = ACTIONS(2584),
    [sym_system_variable] = ACTIONS(2586),
    [sym__named_query_parameter] = ACTIONS(2588),
    [sym__positional_query_parameter] = ACTIONS(2590),
    [sym__quoted_identifier] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_operator_compare] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [sym__string_start] = ACTIONS(2602),
  },
  [1106] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16282),
    [sym__keyword_case] = STATE(374),
    [sym__keyword_not] = STATE(1069),
    [sym__keyword_cast] = STATE(19285),
    [sym__keyword_date] = STATE(10540),
    [sym__keyword_datetime] = STATE(10540),
    [sym__keyword_time] = STATE(10540),
    [sym__keyword_timestamp] = STATE(10540),
    [sym_select_subexpression] = STATE(10861),
    [sym_function_call] = STATE(10861),
    [sym_unnest_operator] = STATE(6471),
    [sym_unnest_clause] = STATE(10861),
    [sym__literal] = STATE(10861),
    [sym_NULL] = STATE(10861),
    [sym_TRUE] = STATE(10861),
    [sym_FALSE] = STATE(10861),
    [sym__float] = STATE(10863),
    [sym_numeric] = STATE(10863),
    [sym__number] = STATE(10863),
    [sym_interval] = STATE(10861),
    [sym_range] = STATE(10861),
    [sym_time] = STATE(10861),
    [sym_number] = STATE(10861),
    [sym_json] = STATE(10861),
    [sym_query_parameter] = STATE(10861),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19065),
    [sym__type_array] = STATE(18448),
    [sym_array] = STATE(10861),
    [sym_struct] = STATE(10861),
    [sym__identifier] = STATE(10536),
    [sym__dotted_identifier] = STATE(14157),
    [sym_identifier] = STATE(10772),
    [sym_string] = STATE(10861),
    [sym__expression] = STATE(9738),
    [sym__parenthesized_expression] = STATE(10861),
    [sym_element_access] = STATE(10861),
    [sym_field_access] = STATE(10861),
    [sym_unary_expression] = STATE(10861),
    [sym_binary_expression] = STATE(10861),
    [sym_between_operator] = STATE(10861),
    [sym_casewhen_expression] = STATE(10861),
    [sym_cast_expression] = STATE(10861),
    [sym_argument_reference] = STATE(10861),
    [aux_sym_identifier_repeat1] = STATE(14157),
    [sym__unquoted_identifier] = ACTIONS(2552),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2554),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2556),
    [aux_sym__keyword_case_token1] = ACTIONS(2558),
    [aux_sym__keyword_cast_token1] = ACTIONS(2560),
    [aux_sym__keyword_cast_token2] = ACTIONS(2560),
    [aux_sym__keyword_date_token1] = ACTIONS(2562),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2562),
    [aux_sym__keyword_time_token1] = ACTIONS(2562),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [aux_sym_drop_notnull_token1] = ACTIONS(2566),
    [aux_sym_function_call_token2] = ACTIONS(2568),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2570),
    [aux_sym_FALSE_token1] = ACTIONS(2572),
    [sym__integer] = ACTIONS(2574),
    [aux_sym__float_token1] = ACTIONS(2576),
    [aux_sym__float_token2] = ACTIONS(2574),
    [aux_sym__float_token3] = ACTIONS(2576),
    [aux_sym_numeric_token1] = ACTIONS(2578),
    [aux_sym_numeric_token2] = ACTIONS(2578),
    [aux_sym_numeric_token3] = ACTIONS(2578),
    [aux_sym_numeric_token4] = ACTIONS(2578),
    [aux_sym_interval_token1] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [aux_sym_json_token1] = ACTIONS(2584),
    [sym_system_variable] = ACTIONS(2586),
    [sym__named_query_parameter] = ACTIONS(2588),
    [sym__positional_query_parameter] = ACTIONS(2590),
    [sym__quoted_identifier] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_operator_compare] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [sym__string_start] = ACTIONS(2602),
  },
  [1107] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16282),
    [sym__keyword_case] = STATE(374),
    [sym__keyword_not] = STATE(1069),
    [sym__keyword_cast] = STATE(19285),
    [sym__keyword_date] = STATE(10540),
    [sym__keyword_datetime] = STATE(10540),
    [sym__keyword_time] = STATE(10540),
    [sym__keyword_timestamp] = STATE(10540),
    [sym_select_subexpression] = STATE(10861),
    [sym_function_call] = STATE(10861),
    [sym_unnest_operator] = STATE(6471),
    [sym_unnest_clause] = STATE(10861),
    [sym__literal] = STATE(10861),
    [sym_NULL] = STATE(10861),
    [sym_TRUE] = STATE(10861),
    [sym_FALSE] = STATE(10861),
    [sym__float] = STATE(10863),
    [sym_numeric] = STATE(10863),
    [sym__number] = STATE(10863),
    [sym_interval] = STATE(10861),
    [sym_range] = STATE(10861),
    [sym_time] = STATE(10861),
    [sym_number] = STATE(10861),
    [sym_json] = STATE(10861),
    [sym_query_parameter] = STATE(10861),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19065),
    [sym__type_array] = STATE(18448),
    [sym_array] = STATE(10861),
    [sym_struct] = STATE(10861),
    [sym__identifier] = STATE(10536),
    [sym__dotted_identifier] = STATE(14157),
    [sym_identifier] = STATE(10772),
    [sym_string] = STATE(10861),
    [sym__expression] = STATE(9739),
    [sym__parenthesized_expression] = STATE(10861),
    [sym_element_access] = STATE(10861),
    [sym_field_access] = STATE(10861),
    [sym_unary_expression] = STATE(10861),
    [sym_binary_expression] = STATE(10861),
    [sym_between_operator] = STATE(10861),
    [sym_casewhen_expression] = STATE(10861),
    [sym_cast_expression] = STATE(10861),
    [sym_argument_reference] = STATE(10861),
    [aux_sym_identifier_repeat1] = STATE(14157),
    [sym__unquoted_identifier] = ACTIONS(2552),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2554),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2556),
    [aux_sym__keyword_case_token1] = ACTIONS(2558),
    [aux_sym__keyword_cast_token1] = ACTIONS(2560),
    [aux_sym__keyword_cast_token2] = ACTIONS(2560),
    [aux_sym__keyword_date_token1] = ACTIONS(2562),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2562),
    [aux_sym__keyword_time_token1] = ACTIONS(2562),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [aux_sym_drop_notnull_token1] = ACTIONS(2566),
    [aux_sym_function_call_token2] = ACTIONS(2568),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2570),
    [aux_sym_FALSE_token1] = ACTIONS(2572),
    [sym__integer] = ACTIONS(2574),
    [aux_sym__float_token1] = ACTIONS(2576),
    [aux_sym__float_token2] = ACTIONS(2574),
    [aux_sym__float_token3] = ACTIONS(2576),
    [aux_sym_numeric_token1] = ACTIONS(2578),
    [aux_sym_numeric_token2] = ACTIONS(2578),
    [aux_sym_numeric_token3] = ACTIONS(2578),
    [aux_sym_numeric_token4] = ACTIONS(2578),
    [aux_sym_interval_token1] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [aux_sym_json_token1] = ACTIONS(2584),
    [sym_system_variable] = ACTIONS(2586),
    [sym__named_query_parameter] = ACTIONS(2588),
    [sym__positional_query_parameter] = ACTIONS(2590),
    [sym__quoted_identifier] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_operator_compare] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [sym__string_start] = ACTIONS(2602),
  },
  [1108] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16282),
    [sym__keyword_case] = STATE(374),
    [sym__keyword_not] = STATE(1069),
    [sym__keyword_cast] = STATE(19285),
    [sym__keyword_date] = STATE(10540),
    [sym__keyword_datetime] = STATE(10540),
    [sym__keyword_time] = STATE(10540),
    [sym__keyword_timestamp] = STATE(10540),
    [sym_select_subexpression] = STATE(10861),
    [sym_function_call] = STATE(10861),
    [sym_unnest_operator] = STATE(6471),
    [sym_unnest_clause] = STATE(10861),
    [sym__literal] = STATE(10861),
    [sym_NULL] = STATE(10861),
    [sym_TRUE] = STATE(10861),
    [sym_FALSE] = STATE(10861),
    [sym__float] = STATE(10863),
    [sym_numeric] = STATE(10863),
    [sym__number] = STATE(10863),
    [sym_interval] = STATE(10861),
    [sym_range] = STATE(10861),
    [sym_time] = STATE(10861),
    [sym_number] = STATE(10861),
    [sym_json] = STATE(10861),
    [sym_query_parameter] = STATE(10861),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19065),
    [sym__type_array] = STATE(18448),
    [sym_array] = STATE(10861),
    [sym_struct] = STATE(10861),
    [sym__identifier] = STATE(10536),
    [sym__dotted_identifier] = STATE(14157),
    [sym_identifier] = STATE(10772),
    [sym_string] = STATE(10861),
    [sym__expression] = STATE(9740),
    [sym__parenthesized_expression] = STATE(10861),
    [sym_element_access] = STATE(10861),
    [sym_field_access] = STATE(10861),
    [sym_unary_expression] = STATE(10861),
    [sym_binary_expression] = STATE(10861),
    [sym_between_operator] = STATE(10861),
    [sym_casewhen_expression] = STATE(10861),
    [sym_cast_expression] = STATE(10861),
    [sym_argument_reference] = STATE(10861),
    [aux_sym_identifier_repeat1] = STATE(14157),
    [sym__unquoted_identifier] = ACTIONS(2552),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2554),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2556),
    [aux_sym__keyword_case_token1] = ACTIONS(2558),
    [aux_sym__keyword_cast_token1] = ACTIONS(2560),
    [aux_sym__keyword_cast_token2] = ACTIONS(2560),
    [aux_sym__keyword_date_token1] = ACTIONS(2562),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2562),
    [aux_sym__keyword_time_token1] = ACTIONS(2562),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [aux_sym_drop_notnull_token1] = ACTIONS(2566),
    [aux_sym_function_call_token2] = ACTIONS(2568),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2570),
    [aux_sym_FALSE_token1] = ACTIONS(2572),
    [sym__integer] = ACTIONS(2574),
    [aux_sym__float_token1] = ACTIONS(2576),
    [aux_sym__float_token2] = ACTIONS(2574),
    [aux_sym__float_token3] = ACTIONS(2576),
    [aux_sym_numeric_token1] = ACTIONS(2578),
    [aux_sym_numeric_token2] = ACTIONS(2578),
    [aux_sym_numeric_token3] = ACTIONS(2578),
    [aux_sym_numeric_token4] = ACTIONS(2578),
    [aux_sym_interval_token1] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [aux_sym_json_token1] = ACTIONS(2584),
    [sym_system_variable] = ACTIONS(2586),
    [sym__named_query_parameter] = ACTIONS(2588),
    [sym__positional_query_parameter] = ACTIONS(2590),
    [sym__quoted_identifier] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_operator_compare] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [sym__string_start] = ACTIONS(2602),
  },
  [1109] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16282),
    [sym__keyword_case] = STATE(374),
    [sym__keyword_not] = STATE(1069),
    [sym__keyword_cast] = STATE(19285),
    [sym__keyword_date] = STATE(10540),
    [sym__keyword_datetime] = STATE(10540),
    [sym__keyword_time] = STATE(10540),
    [sym__keyword_timestamp] = STATE(10540),
    [sym_select_subexpression] = STATE(10861),
    [sym_function_call] = STATE(10861),
    [sym_unnest_operator] = STATE(6471),
    [sym_unnest_clause] = STATE(10861),
    [sym__literal] = STATE(10861),
    [sym_NULL] = STATE(10861),
    [sym_TRUE] = STATE(10861),
    [sym_FALSE] = STATE(10861),
    [sym__float] = STATE(10863),
    [sym_numeric] = STATE(10863),
    [sym__number] = STATE(10863),
    [sym_interval] = STATE(10861),
    [sym_range] = STATE(10861),
    [sym_time] = STATE(10861),
    [sym_number] = STATE(10861),
    [sym_json] = STATE(10861),
    [sym_query_parameter] = STATE(10861),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19065),
    [sym__type_array] = STATE(18448),
    [sym_array] = STATE(10861),
    [sym_struct] = STATE(10861),
    [sym__identifier] = STATE(10536),
    [sym__dotted_identifier] = STATE(14157),
    [sym_identifier] = STATE(10772),
    [sym_string] = STATE(10861),
    [sym__expression] = STATE(9741),
    [sym__parenthesized_expression] = STATE(10861),
    [sym_element_access] = STATE(10861),
    [sym_field_access] = STATE(10861),
    [sym_unary_expression] = STATE(10861),
    [sym_binary_expression] = STATE(10861),
    [sym_between_operator] = STATE(10861),
    [sym_casewhen_expression] = STATE(10861),
    [sym_cast_expression] = STATE(10861),
    [sym_argument_reference] = STATE(10861),
    [aux_sym_identifier_repeat1] = STATE(14157),
    [sym__unquoted_identifier] = ACTIONS(2552),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2554),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2556),
    [aux_sym__keyword_case_token1] = ACTIONS(2558),
    [aux_sym__keyword_cast_token1] = ACTIONS(2560),
    [aux_sym__keyword_cast_token2] = ACTIONS(2560),
    [aux_sym__keyword_date_token1] = ACTIONS(2562),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2562),
    [aux_sym__keyword_time_token1] = ACTIONS(2562),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [aux_sym_drop_notnull_token1] = ACTIONS(2566),
    [aux_sym_function_call_token2] = ACTIONS(2568),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2570),
    [aux_sym_FALSE_token1] = ACTIONS(2572),
    [sym__integer] = ACTIONS(2574),
    [aux_sym__float_token1] = ACTIONS(2576),
    [aux_sym__float_token2] = ACTIONS(2574),
    [aux_sym__float_token3] = ACTIONS(2576),
    [aux_sym_numeric_token1] = ACTIONS(2578),
    [aux_sym_numeric_token2] = ACTIONS(2578),
    [aux_sym_numeric_token3] = ACTIONS(2578),
    [aux_sym_numeric_token4] = ACTIONS(2578),
    [aux_sym_interval_token1] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [aux_sym_json_token1] = ACTIONS(2584),
    [sym_system_variable] = ACTIONS(2586),
    [sym__named_query_parameter] = ACTIONS(2588),
    [sym__positional_query_parameter] = ACTIONS(2590),
    [sym__quoted_identifier] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_operator_compare] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [sym__string_start] = ACTIONS(2602),
  },
  [1110] = {
    [sym_analytics_clause] = STATE(2124),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_from_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [1111] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16282),
    [sym__keyword_case] = STATE(374),
    [sym__keyword_not] = STATE(1069),
    [sym__keyword_cast] = STATE(19285),
    [sym__keyword_date] = STATE(10540),
    [sym__keyword_datetime] = STATE(10540),
    [sym__keyword_time] = STATE(10540),
    [sym__keyword_timestamp] = STATE(10540),
    [sym_select_subexpression] = STATE(10861),
    [sym_function_call] = STATE(10861),
    [sym_unnest_operator] = STATE(6471),
    [sym_unnest_clause] = STATE(10861),
    [sym__literal] = STATE(10861),
    [sym_NULL] = STATE(10861),
    [sym_TRUE] = STATE(10861),
    [sym_FALSE] = STATE(10861),
    [sym__float] = STATE(10863),
    [sym_numeric] = STATE(10863),
    [sym__number] = STATE(10863),
    [sym_interval] = STATE(10861),
    [sym_range] = STATE(10861),
    [sym_time] = STATE(10861),
    [sym_number] = STATE(10861),
    [sym_json] = STATE(10861),
    [sym_query_parameter] = STATE(10861),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19065),
    [sym__type_array] = STATE(18448),
    [sym_array] = STATE(10861),
    [sym_struct] = STATE(10861),
    [sym__identifier] = STATE(10536),
    [sym__dotted_identifier] = STATE(14157),
    [sym_identifier] = STATE(10772),
    [sym_string] = STATE(10861),
    [sym__expression] = STATE(9742),
    [sym__parenthesized_expression] = STATE(10861),
    [sym_element_access] = STATE(10861),
    [sym_field_access] = STATE(10861),
    [sym_unary_expression] = STATE(10861),
    [sym_binary_expression] = STATE(10861),
    [sym_between_operator] = STATE(10861),
    [sym_casewhen_expression] = STATE(10861),
    [sym_cast_expression] = STATE(10861),
    [sym_argument_reference] = STATE(10861),
    [aux_sym_identifier_repeat1] = STATE(14157),
    [sym__unquoted_identifier] = ACTIONS(2552),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2554),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2556),
    [aux_sym__keyword_case_token1] = ACTIONS(2558),
    [aux_sym__keyword_cast_token1] = ACTIONS(2560),
    [aux_sym__keyword_cast_token2] = ACTIONS(2560),
    [aux_sym__keyword_date_token1] = ACTIONS(2562),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2562),
    [aux_sym__keyword_time_token1] = ACTIONS(2562),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [aux_sym_drop_notnull_token1] = ACTIONS(2566),
    [aux_sym_function_call_token2] = ACTIONS(2568),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2570),
    [aux_sym_FALSE_token1] = ACTIONS(2572),
    [sym__integer] = ACTIONS(2574),
    [aux_sym__float_token1] = ACTIONS(2576),
    [aux_sym__float_token2] = ACTIONS(2574),
    [aux_sym__float_token3] = ACTIONS(2576),
    [aux_sym_numeric_token1] = ACTIONS(2578),
    [aux_sym_numeric_token2] = ACTIONS(2578),
    [aux_sym_numeric_token3] = ACTIONS(2578),
    [aux_sym_numeric_token4] = ACTIONS(2578),
    [aux_sym_interval_token1] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [aux_sym_json_token1] = ACTIONS(2584),
    [sym_system_variable] = ACTIONS(2586),
    [sym__named_query_parameter] = ACTIONS(2588),
    [sym__positional_query_parameter] = ACTIONS(2590),
    [sym__quoted_identifier] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_operator_compare] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [sym__string_start] = ACTIONS(2602),
  },
  [1112] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9870),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1113] = {
    [sym_analytics_clause] = STATE(2122),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_from_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [1114] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(6645),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1115] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10179),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1116] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16325),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1073),
    [sym__keyword_cast] = STATE(19275),
    [sym__keyword_date] = STATE(9495),
    [sym__keyword_datetime] = STATE(9495),
    [sym__keyword_time] = STATE(9495),
    [sym__keyword_timestamp] = STATE(9495),
    [sym_select_subexpression] = STATE(10495),
    [sym_function_call] = STATE(10495),
    [sym_unnest_operator] = STATE(6473),
    [sym_unnest_clause] = STATE(10495),
    [sym__literal] = STATE(10495),
    [sym_NULL] = STATE(10495),
    [sym_TRUE] = STATE(10495),
    [sym_FALSE] = STATE(10495),
    [sym__float] = STATE(10492),
    [sym_numeric] = STATE(10492),
    [sym__number] = STATE(10492),
    [sym_interval] = STATE(10495),
    [sym_range] = STATE(10495),
    [sym_time] = STATE(10495),
    [sym_number] = STATE(10495),
    [sym_json] = STATE(10495),
    [sym_query_parameter] = STATE(10495),
    [sym__type_chrono] = STATE(8422),
    [sym__type_struct] = STATE(19027),
    [sym__type_array] = STATE(18285),
    [sym_array] = STATE(10495),
    [sym_struct] = STATE(10495),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9694),
    [sym_string] = STATE(10495),
    [sym__expression] = STATE(9761),
    [sym__parenthesized_expression] = STATE(10495),
    [sym_element_access] = STATE(10495),
    [sym_field_access] = STATE(10495),
    [sym_unary_expression] = STATE(10495),
    [sym_binary_expression] = STATE(10495),
    [sym_between_operator] = STATE(10495),
    [sym_casewhen_expression] = STATE(10495),
    [sym_cast_expression] = STATE(10495),
    [sym_argument_reference] = STATE(10495),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2042),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2044),
    [aux_sym__keyword_case_token1] = ACTIONS(2046),
    [aux_sym__keyword_cast_token1] = ACTIONS(2048),
    [aux_sym__keyword_cast_token2] = ACTIONS(2048),
    [aux_sym__keyword_date_token1] = ACTIONS(2050),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2050),
    [aux_sym__keyword_time_token1] = ACTIONS(2050),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [aux_sym_drop_notnull_token1] = ACTIONS(2054),
    [aux_sym_function_call_token2] = ACTIONS(2056),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2060),
    [aux_sym_FALSE_token1] = ACTIONS(2062),
    [sym__integer] = ACTIONS(2064),
    [aux_sym__float_token1] = ACTIONS(2066),
    [aux_sym__float_token2] = ACTIONS(2064),
    [aux_sym__float_token3] = ACTIONS(2066),
    [aux_sym_numeric_token1] = ACTIONS(2068),
    [aux_sym_numeric_token2] = ACTIONS(2068),
    [aux_sym_numeric_token3] = ACTIONS(2068),
    [aux_sym_numeric_token4] = ACTIONS(2068),
    [aux_sym_interval_token1] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_json_token1] = ACTIONS(2074),
    [sym_system_variable] = ACTIONS(2076),
    [sym__named_query_parameter] = ACTIONS(2078),
    [sym__positional_query_parameter] = ACTIONS(2080),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_operator_compare] = ACTIONS(2086),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [sym__string_start] = ACTIONS(2090),
  },
  [1117] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10178),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1118] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(874),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2414),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3803),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2420),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2424),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1119] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9692),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1120] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(844),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(385),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2423),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(2298),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2300),
    [anon_sym_PLUS] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2302),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1121] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16217),
    [sym__keyword_case] = STATE(353),
    [sym__keyword_not] = STATE(1565),
    [sym__keyword_cast] = STATE(19295),
    [sym__keyword_date] = STATE(9555),
    [sym__keyword_datetime] = STATE(9555),
    [sym__keyword_time] = STATE(9555),
    [sym__keyword_timestamp] = STATE(9555),
    [sym_select_subexpression] = STATE(10287),
    [sym_function_call] = STATE(10287),
    [sym_unnest_operator] = STATE(5325),
    [sym_unnest_clause] = STATE(10287),
    [sym__literal] = STATE(10287),
    [sym_NULL] = STATE(10287),
    [sym_TRUE] = STATE(10287),
    [sym_FALSE] = STATE(10287),
    [sym__float] = STATE(10288),
    [sym_numeric] = STATE(10288),
    [sym__number] = STATE(10288),
    [sym_interval] = STATE(10287),
    [sym_range] = STATE(10287),
    [sym_time] = STATE(10287),
    [sym_number] = STATE(10287),
    [sym_json] = STATE(10287),
    [sym_query_parameter] = STATE(10287),
    [sym__type_chrono] = STATE(8548),
    [sym__type_struct] = STATE(19100),
    [sym__type_array] = STATE(18586),
    [sym_array] = STATE(10287),
    [sym_struct] = STATE(10287),
    [sym__identifier] = STATE(8591),
    [sym__dotted_identifier] = STATE(13746),
    [sym_identifier] = STATE(9785),
    [sym_string] = STATE(10287),
    [sym__expression] = STATE(6857),
    [sym__parenthesized_expression] = STATE(10287),
    [sym_element_access] = STATE(10287),
    [sym_field_access] = STATE(10287),
    [sym_unary_expression] = STATE(10287),
    [sym_binary_expression] = STATE(10287),
    [sym_between_operator] = STATE(10287),
    [sym_casewhen_expression] = STATE(10287),
    [sym_cast_expression] = STATE(10287),
    [sym_argument_reference] = STATE(10287),
    [aux_sym_identifier_repeat1] = STATE(13746),
    [sym__unquoted_identifier] = ACTIONS(2242),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2244),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2246),
    [aux_sym__keyword_case_token1] = ACTIONS(2248),
    [aux_sym__keyword_cast_token1] = ACTIONS(2250),
    [aux_sym__keyword_cast_token2] = ACTIONS(2250),
    [aux_sym__keyword_date_token1] = ACTIONS(2252),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2252),
    [aux_sym__keyword_time_token1] = ACTIONS(2252),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2252),
    [anon_sym_LPAREN] = ACTIONS(2254),
    [aux_sym_drop_notnull_token1] = ACTIONS(2256),
    [aux_sym_function_call_token2] = ACTIONS(2258),
    [aux_sym_unnest_operator_token1] = ACTIONS(2260),
    [aux_sym_TRUE_token1] = ACTIONS(2262),
    [aux_sym_FALSE_token1] = ACTIONS(2264),
    [sym__integer] = ACTIONS(2266),
    [aux_sym__float_token1] = ACTIONS(2268),
    [aux_sym__float_token2] = ACTIONS(2266),
    [aux_sym__float_token3] = ACTIONS(2268),
    [aux_sym_numeric_token1] = ACTIONS(2270),
    [aux_sym_numeric_token2] = ACTIONS(2270),
    [aux_sym_numeric_token3] = ACTIONS(2270),
    [aux_sym_numeric_token4] = ACTIONS(2270),
    [aux_sym_interval_token1] = ACTIONS(2272),
    [anon_sym_LBRACK] = ACTIONS(2274),
    [aux_sym_json_token1] = ACTIONS(2276),
    [sym_system_variable] = ACTIONS(2278),
    [sym__named_query_parameter] = ACTIONS(2280),
    [sym__positional_query_parameter] = ACTIONS(2282),
    [sym__quoted_identifier] = ACTIONS(2284),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2286),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_operator_compare] = ACTIONS(2290),
    [anon_sym_DOLLAR] = ACTIONS(2292),
    [sym__string_start] = ACTIONS(2294),
  },
  [1122] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(7873),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1123] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9844),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1124] = {
    [sym_analytics_clause] = STATE(2121),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_from_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [1125] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(7867),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1126] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10344),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1127] = {
    [sym_analytics_clause] = STATE(2120),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_from_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [1128] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16148),
    [sym__keyword_case] = STATE(268),
    [sym__keyword_not] = STATE(1835),
    [sym__keyword_cast] = STATE(19305),
    [sym__keyword_date] = STATE(7284),
    [sym__keyword_datetime] = STATE(7284),
    [sym__keyword_time] = STATE(7284),
    [sym__keyword_timestamp] = STATE(7284),
    [sym_select_subexpression] = STATE(7910),
    [sym_function_call] = STATE(7910),
    [sym_unnest_operator] = STATE(5277),
    [sym_unnest_clause] = STATE(7910),
    [sym__literal] = STATE(7910),
    [sym_NULL] = STATE(7910),
    [sym_TRUE] = STATE(7910),
    [sym_FALSE] = STATE(7910),
    [sym__float] = STATE(7895),
    [sym_numeric] = STATE(7895),
    [sym__number] = STATE(7895),
    [sym_interval] = STATE(7910),
    [sym_range] = STATE(7910),
    [sym_time] = STATE(7910),
    [sym_number] = STATE(7910),
    [sym_json] = STATE(7910),
    [sym_query_parameter] = STATE(7910),
    [sym__type_chrono] = STATE(7179),
    [sym__type_struct] = STATE(19135),
    [sym__type_array] = STATE(18721),
    [sym_array] = STATE(7910),
    [sym_struct] = STATE(7910),
    [sym__identifier] = STATE(5408),
    [sym__dotted_identifier] = STATE(13708),
    [sym_identifier] = STATE(7424),
    [sym_string] = STATE(7910),
    [sym__expression] = STATE(5866),
    [sym__parenthesized_expression] = STATE(7910),
    [sym_element_access] = STATE(7910),
    [sym_field_access] = STATE(7910),
    [sym_unary_expression] = STATE(7910),
    [sym_binary_expression] = STATE(7910),
    [sym_between_operator] = STATE(7910),
    [sym_casewhen_expression] = STATE(7910),
    [sym_cast_expression] = STATE(7910),
    [sym_argument_reference] = STATE(7910),
    [aux_sym_identifier_repeat1] = STATE(13708),
    [sym__unquoted_identifier] = ACTIONS(2440),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2442),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2444),
    [aux_sym__keyword_case_token1] = ACTIONS(2446),
    [aux_sym__keyword_cast_token1] = ACTIONS(2448),
    [aux_sym__keyword_cast_token2] = ACTIONS(2448),
    [aux_sym__keyword_date_token1] = ACTIONS(2450),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2450),
    [aux_sym__keyword_time_token1] = ACTIONS(2450),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2452),
    [aux_sym_drop_notnull_token1] = ACTIONS(2454),
    [aux_sym_function_call_token2] = ACTIONS(2456),
    [aux_sym_unnest_operator_token1] = ACTIONS(2458),
    [aux_sym_TRUE_token1] = ACTIONS(2460),
    [aux_sym_FALSE_token1] = ACTIONS(2462),
    [sym__integer] = ACTIONS(2464),
    [aux_sym__float_token1] = ACTIONS(2466),
    [aux_sym__float_token2] = ACTIONS(2464),
    [aux_sym__float_token3] = ACTIONS(2466),
    [aux_sym_numeric_token1] = ACTIONS(2468),
    [aux_sym_numeric_token2] = ACTIONS(2468),
    [aux_sym_numeric_token3] = ACTIONS(2468),
    [aux_sym_numeric_token4] = ACTIONS(2468),
    [aux_sym_interval_token1] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [aux_sym_json_token1] = ACTIONS(2474),
    [sym_system_variable] = ACTIONS(2476),
    [sym__named_query_parameter] = ACTIONS(2478),
    [sym__positional_query_parameter] = ACTIONS(2480),
    [sym__quoted_identifier] = ACTIONS(2482),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2484),
    [anon_sym_PLUS] = ACTIONS(2486),
    [anon_sym_DASH] = ACTIONS(2486),
    [anon_sym_operator_compare] = ACTIONS(2488),
    [anon_sym_DOLLAR] = ACTIONS(2490),
    [sym__string_start] = ACTIONS(2492),
  },
  [1129] = {
    [sym_analytics_clause] = STATE(2119),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_from_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [1130] = {
    [sym_analytics_clause] = STATE(2118),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_from_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [1131] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10177),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1132] = {
    [sym_analytics_clause] = STATE(2117),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_from_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [1133] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1136),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2079),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(2962),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2430),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1134] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10175),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1135] = {
    [sym_analytics_clause] = STATE(2116),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_from_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [1136] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1136),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2079),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(2912),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2430),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1137] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16282),
    [sym__keyword_case] = STATE(374),
    [sym__keyword_not] = STATE(1069),
    [sym__keyword_cast] = STATE(19285),
    [sym__keyword_date] = STATE(10540),
    [sym__keyword_datetime] = STATE(10540),
    [sym__keyword_time] = STATE(10540),
    [sym__keyword_timestamp] = STATE(10540),
    [sym_select_subexpression] = STATE(10861),
    [sym_function_call] = STATE(10861),
    [sym_unnest_operator] = STATE(6471),
    [sym_unnest_clause] = STATE(10861),
    [sym__literal] = STATE(10861),
    [sym_NULL] = STATE(10861),
    [sym_TRUE] = STATE(10861),
    [sym_FALSE] = STATE(10861),
    [sym__float] = STATE(10863),
    [sym_numeric] = STATE(10863),
    [sym__number] = STATE(10863),
    [sym_interval] = STATE(10861),
    [sym_range] = STATE(10861),
    [sym_time] = STATE(10861),
    [sym_number] = STATE(10861),
    [sym_json] = STATE(10861),
    [sym_query_parameter] = STATE(10861),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19065),
    [sym__type_array] = STATE(18448),
    [sym_array] = STATE(10861),
    [sym_struct] = STATE(10861),
    [sym__identifier] = STATE(10536),
    [sym__dotted_identifier] = STATE(14157),
    [sym_identifier] = STATE(10772),
    [sym_string] = STATE(10861),
    [sym__expression] = STATE(9763),
    [sym__parenthesized_expression] = STATE(10861),
    [sym_element_access] = STATE(10861),
    [sym_field_access] = STATE(10861),
    [sym_unary_expression] = STATE(10861),
    [sym_binary_expression] = STATE(10861),
    [sym_between_operator] = STATE(10861),
    [sym_casewhen_expression] = STATE(10861),
    [sym_cast_expression] = STATE(10861),
    [sym_argument_reference] = STATE(10861),
    [aux_sym_identifier_repeat1] = STATE(14157),
    [sym__unquoted_identifier] = ACTIONS(2552),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2554),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2556),
    [aux_sym__keyword_case_token1] = ACTIONS(2558),
    [aux_sym__keyword_cast_token1] = ACTIONS(2560),
    [aux_sym__keyword_cast_token2] = ACTIONS(2560),
    [aux_sym__keyword_date_token1] = ACTIONS(2562),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2562),
    [aux_sym__keyword_time_token1] = ACTIONS(2562),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [aux_sym_drop_notnull_token1] = ACTIONS(2566),
    [aux_sym_function_call_token2] = ACTIONS(2568),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2570),
    [aux_sym_FALSE_token1] = ACTIONS(2572),
    [sym__integer] = ACTIONS(2574),
    [aux_sym__float_token1] = ACTIONS(2576),
    [aux_sym__float_token2] = ACTIONS(2574),
    [aux_sym__float_token3] = ACTIONS(2576),
    [aux_sym_numeric_token1] = ACTIONS(2578),
    [aux_sym_numeric_token2] = ACTIONS(2578),
    [aux_sym_numeric_token3] = ACTIONS(2578),
    [aux_sym_numeric_token4] = ACTIONS(2578),
    [aux_sym_interval_token1] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [aux_sym_json_token1] = ACTIONS(2584),
    [sym_system_variable] = ACTIONS(2586),
    [sym__named_query_parameter] = ACTIONS(2588),
    [sym__positional_query_parameter] = ACTIONS(2590),
    [sym__quoted_identifier] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_operator_compare] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [sym__string_start] = ACTIONS(2602),
  },
  [1138] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10339),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1139] = {
    [sym_analytics_clause] = STATE(2115),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_from_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [1140] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1136),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2079),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(2858),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2430),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1141] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16282),
    [sym__keyword_case] = STATE(374),
    [sym__keyword_not] = STATE(1069),
    [sym__keyword_cast] = STATE(19285),
    [sym__keyword_date] = STATE(10540),
    [sym__keyword_datetime] = STATE(10540),
    [sym__keyword_time] = STATE(10540),
    [sym__keyword_timestamp] = STATE(10540),
    [sym_select_subexpression] = STATE(10861),
    [sym_function_call] = STATE(10861),
    [sym_unnest_operator] = STATE(6471),
    [sym_unnest_clause] = STATE(10861),
    [sym__literal] = STATE(10861),
    [sym_NULL] = STATE(10861),
    [sym_TRUE] = STATE(10861),
    [sym_FALSE] = STATE(10861),
    [sym__float] = STATE(10863),
    [sym_numeric] = STATE(10863),
    [sym__number] = STATE(10863),
    [sym_interval] = STATE(10861),
    [sym_range] = STATE(10861),
    [sym_time] = STATE(10861),
    [sym_number] = STATE(10861),
    [sym_json] = STATE(10861),
    [sym_query_parameter] = STATE(10861),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19065),
    [sym__type_array] = STATE(18448),
    [sym_array] = STATE(10861),
    [sym_struct] = STATE(10861),
    [sym__identifier] = STATE(10536),
    [sym__dotted_identifier] = STATE(14157),
    [sym_identifier] = STATE(10772),
    [sym_string] = STATE(10861),
    [sym__expression] = STATE(9198),
    [sym__parenthesized_expression] = STATE(10861),
    [sym_element_access] = STATE(10861),
    [sym_field_access] = STATE(10861),
    [sym_unary_expression] = STATE(10861),
    [sym_binary_expression] = STATE(10861),
    [sym_between_operator] = STATE(10861),
    [sym_casewhen_expression] = STATE(10861),
    [sym_cast_expression] = STATE(10861),
    [sym_argument_reference] = STATE(10861),
    [aux_sym_identifier_repeat1] = STATE(14157),
    [sym__unquoted_identifier] = ACTIONS(2552),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2554),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2556),
    [aux_sym__keyword_case_token1] = ACTIONS(2558),
    [aux_sym__keyword_cast_token1] = ACTIONS(2560),
    [aux_sym__keyword_cast_token2] = ACTIONS(2560),
    [aux_sym__keyword_date_token1] = ACTIONS(2562),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2562),
    [aux_sym__keyword_time_token1] = ACTIONS(2562),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [aux_sym_drop_notnull_token1] = ACTIONS(2566),
    [aux_sym_function_call_token2] = ACTIONS(2568),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2570),
    [aux_sym_FALSE_token1] = ACTIONS(2572),
    [sym__integer] = ACTIONS(2574),
    [aux_sym__float_token1] = ACTIONS(2576),
    [aux_sym__float_token2] = ACTIONS(2574),
    [aux_sym__float_token3] = ACTIONS(2576),
    [aux_sym_numeric_token1] = ACTIONS(2578),
    [aux_sym_numeric_token2] = ACTIONS(2578),
    [aux_sym_numeric_token3] = ACTIONS(2578),
    [aux_sym_numeric_token4] = ACTIONS(2578),
    [aux_sym_interval_token1] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [aux_sym_json_token1] = ACTIONS(2584),
    [sym_system_variable] = ACTIONS(2586),
    [sym__named_query_parameter] = ACTIONS(2588),
    [sym__positional_query_parameter] = ACTIONS(2590),
    [sym__quoted_identifier] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_operator_compare] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [sym__string_start] = ACTIONS(2602),
  },
  [1142] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1136),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2079),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(2857),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2430),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1143] = {
    [sym_analytics_clause] = STATE(2114),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_from_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [1144] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9688),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1145] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16282),
    [sym__keyword_case] = STATE(374),
    [sym__keyword_not] = STATE(1069),
    [sym__keyword_cast] = STATE(19285),
    [sym__keyword_date] = STATE(10540),
    [sym__keyword_datetime] = STATE(10540),
    [sym__keyword_time] = STATE(10540),
    [sym__keyword_timestamp] = STATE(10540),
    [sym_select_subexpression] = STATE(10861),
    [sym_function_call] = STATE(10861),
    [sym_unnest_operator] = STATE(6471),
    [sym_unnest_clause] = STATE(10861),
    [sym__literal] = STATE(10861),
    [sym_NULL] = STATE(10861),
    [sym_TRUE] = STATE(10861),
    [sym_FALSE] = STATE(10861),
    [sym__float] = STATE(10863),
    [sym_numeric] = STATE(10863),
    [sym__number] = STATE(10863),
    [sym_interval] = STATE(10861),
    [sym_range] = STATE(10861),
    [sym_time] = STATE(10861),
    [sym_number] = STATE(10861),
    [sym_json] = STATE(10861),
    [sym_query_parameter] = STATE(10861),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19065),
    [sym__type_array] = STATE(18448),
    [sym_array] = STATE(10861),
    [sym_struct] = STATE(10861),
    [sym__identifier] = STATE(10536),
    [sym__dotted_identifier] = STATE(14157),
    [sym_identifier] = STATE(10772),
    [sym_string] = STATE(10861),
    [sym__expression] = STATE(9111),
    [sym__parenthesized_expression] = STATE(10861),
    [sym_element_access] = STATE(10861),
    [sym_field_access] = STATE(10861),
    [sym_unary_expression] = STATE(10861),
    [sym_binary_expression] = STATE(10861),
    [sym_between_operator] = STATE(10861),
    [sym_casewhen_expression] = STATE(10861),
    [sym_cast_expression] = STATE(10861),
    [sym_argument_reference] = STATE(10861),
    [aux_sym_identifier_repeat1] = STATE(14157),
    [sym__unquoted_identifier] = ACTIONS(2552),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2554),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2556),
    [aux_sym__keyword_case_token1] = ACTIONS(2558),
    [aux_sym__keyword_cast_token1] = ACTIONS(2560),
    [aux_sym__keyword_cast_token2] = ACTIONS(2560),
    [aux_sym__keyword_date_token1] = ACTIONS(2562),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2562),
    [aux_sym__keyword_time_token1] = ACTIONS(2562),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [aux_sym_drop_notnull_token1] = ACTIONS(2566),
    [aux_sym_function_call_token2] = ACTIONS(2568),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2570),
    [aux_sym_FALSE_token1] = ACTIONS(2572),
    [sym__integer] = ACTIONS(2574),
    [aux_sym__float_token1] = ACTIONS(2576),
    [aux_sym__float_token2] = ACTIONS(2574),
    [aux_sym__float_token3] = ACTIONS(2576),
    [aux_sym_numeric_token1] = ACTIONS(2578),
    [aux_sym_numeric_token2] = ACTIONS(2578),
    [aux_sym_numeric_token3] = ACTIONS(2578),
    [aux_sym_numeric_token4] = ACTIONS(2578),
    [aux_sym_interval_token1] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [aux_sym_json_token1] = ACTIONS(2584),
    [sym_system_variable] = ACTIONS(2586),
    [sym__named_query_parameter] = ACTIONS(2588),
    [sym__positional_query_parameter] = ACTIONS(2590),
    [sym__quoted_identifier] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_operator_compare] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [sym__string_start] = ACTIONS(2602),
  },
  [1146] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1136),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2079),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(2855),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2430),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1147] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10019),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1148] = {
    [sym_analytics_clause] = STATE(2111),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_from_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [1149] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1136),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2079),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(2854),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2430),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1150] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10014),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1151] = {
    [sym_analytics_clause] = STATE(2109),
    [sym__unquoted_identifier] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1448),
    [aux_sym_keyword_replace_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1448),
    [aux_sym__keyword_from_token1] = ACTIONS(1448),
    [aux_sym__keyword_delete_token1] = ACTIONS(1448),
    [aux_sym__keyword_begin_token1] = ACTIONS(1448),
    [aux_sym__keyword_end_token1] = ACTIONS(1448),
    [aux_sym__keyword_between_token1] = ACTIONS(1448),
    [aux_sym__keyword_when_token1] = ACTIONS(1448),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1448),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1448),
    [aux_sym__keyword_like_token1] = ACTIONS(1448),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1448),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_window_token1] = ACTIONS(1448),
    [aux_sym__keyword_date_token1] = ACTIONS(1448),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1448),
    [aux_sym__keyword_time_token1] = ACTIONS(1448),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1448),
    [aux_sym_return_satement_token1] = ACTIONS(1448),
    [aux_sym_call_statement_token1] = ACTIONS(1448),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1448),
    [aux_sym_if_statement_token1] = ACTIONS(1448),
    [aux_sym_loop_statement_token1] = ACTIONS(1448),
    [aux_sym_repeat_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [aux_sym_leave_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_iterate_statement_token1] = ACTIONS(1448),
    [aux_sym_raise_statement_token1] = ACTIONS(1448),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1448),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1448),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1448),
    [aux_sym_set_operation_token3] = ACTIONS(1448),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1448),
    [aux_sym_having_clause_token1] = ACTIONS(1448),
    [aux_sym_qualify_clause_token1] = ACTIONS(1448),
    [aux_sym_limit_clause_token1] = ACTIONS(1448),
    [aux_sym_group_by_clause_token1] = ACTIONS(1448),
    [aux_sym_order_by_clause_token1] = ACTIONS(1448),
    [aux_sym_where_clause_token1] = ACTIONS(1448),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1448),
    [aux_sym_truncate_statement_token1] = ACTIONS(1448),
    [aux_sym_update_statement_token1] = ACTIONS(1448),
    [aux_sym_merge_statement_token1] = ACTIONS(1448),
    [aux_sym_grant_statement_token1] = ACTIONS(1448),
    [aux_sym_revoke_statement_token1] = ACTIONS(1448),
    [aux_sym_export_data_statement_token1] = ACTIONS(1448),
    [aux_sym_load_data_statement_token1] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym__quoted_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [1152] = {
    [sym_analytics_clause] = STATE(2107),
    [sym__unquoted_identifier] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1448),
    [aux_sym_keyword_replace_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1448),
    [aux_sym__keyword_from_token1] = ACTIONS(1448),
    [aux_sym__keyword_delete_token1] = ACTIONS(1448),
    [aux_sym__keyword_begin_token1] = ACTIONS(1448),
    [aux_sym__keyword_end_token1] = ACTIONS(1448),
    [aux_sym__keyword_between_token1] = ACTIONS(1448),
    [aux_sym__keyword_when_token1] = ACTIONS(1448),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1448),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1448),
    [aux_sym__keyword_like_token1] = ACTIONS(1448),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1448),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_window_token1] = ACTIONS(1448),
    [aux_sym__keyword_date_token1] = ACTIONS(1448),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1448),
    [aux_sym__keyword_time_token1] = ACTIONS(1448),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1448),
    [aux_sym_return_satement_token1] = ACTIONS(1448),
    [aux_sym_call_statement_token1] = ACTIONS(1448),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1448),
    [aux_sym_if_statement_token1] = ACTIONS(1448),
    [aux_sym_loop_statement_token1] = ACTIONS(1448),
    [aux_sym_repeat_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [aux_sym_leave_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_iterate_statement_token1] = ACTIONS(1448),
    [aux_sym_raise_statement_token1] = ACTIONS(1448),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1448),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1448),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1448),
    [aux_sym_set_operation_token3] = ACTIONS(1448),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1448),
    [aux_sym_having_clause_token1] = ACTIONS(1448),
    [aux_sym_qualify_clause_token1] = ACTIONS(1448),
    [aux_sym_limit_clause_token1] = ACTIONS(1448),
    [aux_sym_group_by_clause_token1] = ACTIONS(1448),
    [aux_sym_order_by_clause_token1] = ACTIONS(1448),
    [aux_sym_where_clause_token1] = ACTIONS(1448),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1448),
    [aux_sym_truncate_statement_token1] = ACTIONS(1448),
    [aux_sym_update_statement_token1] = ACTIONS(1448),
    [aux_sym_merge_statement_token1] = ACTIONS(1448),
    [aux_sym_grant_statement_token1] = ACTIONS(1448),
    [aux_sym_revoke_statement_token1] = ACTIONS(1448),
    [aux_sym_export_data_statement_token1] = ACTIONS(1448),
    [aux_sym_load_data_statement_token1] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym__quoted_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [1153] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16282),
    [sym__keyword_case] = STATE(374),
    [sym__keyword_not] = STATE(1069),
    [sym__keyword_cast] = STATE(19285),
    [sym__keyword_date] = STATE(10540),
    [sym__keyword_datetime] = STATE(10540),
    [sym__keyword_time] = STATE(10540),
    [sym__keyword_timestamp] = STATE(10540),
    [sym_select_subexpression] = STATE(10861),
    [sym_function_call] = STATE(10861),
    [sym_unnest_operator] = STATE(6471),
    [sym_unnest_clause] = STATE(10861),
    [sym__literal] = STATE(10861),
    [sym_NULL] = STATE(10861),
    [sym_TRUE] = STATE(10861),
    [sym_FALSE] = STATE(10861),
    [sym__float] = STATE(10863),
    [sym_numeric] = STATE(10863),
    [sym__number] = STATE(10863),
    [sym_interval] = STATE(10861),
    [sym_range] = STATE(10861),
    [sym_time] = STATE(10861),
    [sym_number] = STATE(10861),
    [sym_json] = STATE(10861),
    [sym_query_parameter] = STATE(10861),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19065),
    [sym__type_array] = STATE(18448),
    [sym_array] = STATE(10861),
    [sym_struct] = STATE(10861),
    [sym__identifier] = STATE(10536),
    [sym__dotted_identifier] = STATE(14157),
    [sym_identifier] = STATE(10772),
    [sym_string] = STATE(10861),
    [sym__expression] = STATE(9748),
    [sym__parenthesized_expression] = STATE(10861),
    [sym_element_access] = STATE(10861),
    [sym_field_access] = STATE(10861),
    [sym_unary_expression] = STATE(10861),
    [sym_binary_expression] = STATE(10861),
    [sym_between_operator] = STATE(10861),
    [sym_casewhen_expression] = STATE(10861),
    [sym_cast_expression] = STATE(10861),
    [sym_argument_reference] = STATE(10861),
    [aux_sym_identifier_repeat1] = STATE(14157),
    [sym__unquoted_identifier] = ACTIONS(2552),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2554),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2556),
    [aux_sym__keyword_case_token1] = ACTIONS(2558),
    [aux_sym__keyword_cast_token1] = ACTIONS(2560),
    [aux_sym__keyword_cast_token2] = ACTIONS(2560),
    [aux_sym__keyword_date_token1] = ACTIONS(2562),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2562),
    [aux_sym__keyword_time_token1] = ACTIONS(2562),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [aux_sym_drop_notnull_token1] = ACTIONS(2566),
    [aux_sym_function_call_token2] = ACTIONS(2568),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2570),
    [aux_sym_FALSE_token1] = ACTIONS(2572),
    [sym__integer] = ACTIONS(2574),
    [aux_sym__float_token1] = ACTIONS(2576),
    [aux_sym__float_token2] = ACTIONS(2574),
    [aux_sym__float_token3] = ACTIONS(2576),
    [aux_sym_numeric_token1] = ACTIONS(2578),
    [aux_sym_numeric_token2] = ACTIONS(2578),
    [aux_sym_numeric_token3] = ACTIONS(2578),
    [aux_sym_numeric_token4] = ACTIONS(2578),
    [aux_sym_interval_token1] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [aux_sym_json_token1] = ACTIONS(2584),
    [sym_system_variable] = ACTIONS(2586),
    [sym__named_query_parameter] = ACTIONS(2588),
    [sym__positional_query_parameter] = ACTIONS(2590),
    [sym__quoted_identifier] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_operator_compare] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [sym__string_start] = ACTIONS(2602),
  },
  [1154] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16282),
    [sym__keyword_case] = STATE(374),
    [sym__keyword_not] = STATE(1069),
    [sym__keyword_cast] = STATE(19285),
    [sym__keyword_date] = STATE(10540),
    [sym__keyword_datetime] = STATE(10540),
    [sym__keyword_time] = STATE(10540),
    [sym__keyword_timestamp] = STATE(10540),
    [sym_select_subexpression] = STATE(10861),
    [sym_function_call] = STATE(10861),
    [sym_unnest_operator] = STATE(6471),
    [sym_unnest_clause] = STATE(10861),
    [sym__literal] = STATE(10861),
    [sym_NULL] = STATE(10861),
    [sym_TRUE] = STATE(10861),
    [sym_FALSE] = STATE(10861),
    [sym__float] = STATE(10863),
    [sym_numeric] = STATE(10863),
    [sym__number] = STATE(10863),
    [sym_interval] = STATE(10861),
    [sym_range] = STATE(10861),
    [sym_time] = STATE(10861),
    [sym_number] = STATE(10861),
    [sym_json] = STATE(10861),
    [sym_query_parameter] = STATE(10861),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19065),
    [sym__type_array] = STATE(18448),
    [sym_array] = STATE(10861),
    [sym_struct] = STATE(10861),
    [sym__identifier] = STATE(10536),
    [sym__dotted_identifier] = STATE(14157),
    [sym_identifier] = STATE(10772),
    [sym_string] = STATE(10861),
    [sym__expression] = STATE(9749),
    [sym__parenthesized_expression] = STATE(10861),
    [sym_element_access] = STATE(10861),
    [sym_field_access] = STATE(10861),
    [sym_unary_expression] = STATE(10861),
    [sym_binary_expression] = STATE(10861),
    [sym_between_operator] = STATE(10861),
    [sym_casewhen_expression] = STATE(10861),
    [sym_cast_expression] = STATE(10861),
    [sym_argument_reference] = STATE(10861),
    [aux_sym_identifier_repeat1] = STATE(14157),
    [sym__unquoted_identifier] = ACTIONS(2552),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2554),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2556),
    [aux_sym__keyword_case_token1] = ACTIONS(2558),
    [aux_sym__keyword_cast_token1] = ACTIONS(2560),
    [aux_sym__keyword_cast_token2] = ACTIONS(2560),
    [aux_sym__keyword_date_token1] = ACTIONS(2562),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2562),
    [aux_sym__keyword_time_token1] = ACTIONS(2562),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [aux_sym_drop_notnull_token1] = ACTIONS(2566),
    [aux_sym_function_call_token2] = ACTIONS(2568),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2570),
    [aux_sym_FALSE_token1] = ACTIONS(2572),
    [sym__integer] = ACTIONS(2574),
    [aux_sym__float_token1] = ACTIONS(2576),
    [aux_sym__float_token2] = ACTIONS(2574),
    [aux_sym__float_token3] = ACTIONS(2576),
    [aux_sym_numeric_token1] = ACTIONS(2578),
    [aux_sym_numeric_token2] = ACTIONS(2578),
    [aux_sym_numeric_token3] = ACTIONS(2578),
    [aux_sym_numeric_token4] = ACTIONS(2578),
    [aux_sym_interval_token1] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [aux_sym_json_token1] = ACTIONS(2584),
    [sym_system_variable] = ACTIONS(2586),
    [sym__named_query_parameter] = ACTIONS(2588),
    [sym__positional_query_parameter] = ACTIONS(2590),
    [sym__quoted_identifier] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_operator_compare] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [sym__string_start] = ACTIONS(2602),
  },
  [1155] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16311),
    [sym__keyword_case] = STATE(358),
    [sym__keyword_not] = STATE(1156),
    [sym__keyword_cast] = STATE(19279),
    [sym__keyword_date] = STATE(2060),
    [sym__keyword_datetime] = STATE(2060),
    [sym__keyword_time] = STATE(2060),
    [sym__keyword_timestamp] = STATE(2060),
    [sym_select_subexpression] = STATE(2225),
    [sym_function_call] = STATE(2225),
    [sym_unnest_operator] = STATE(108),
    [sym_unnest_clause] = STATE(2225),
    [sym__literal] = STATE(2225),
    [sym_NULL] = STATE(2225),
    [sym_TRUE] = STATE(2225),
    [sym_FALSE] = STATE(2225),
    [sym__float] = STATE(2243),
    [sym_numeric] = STATE(2243),
    [sym__number] = STATE(2243),
    [sym_interval] = STATE(2225),
    [sym_range] = STATE(2225),
    [sym_time] = STATE(2225),
    [sym_number] = STATE(2225),
    [sym_json] = STATE(2225),
    [sym_query_parameter] = STATE(2225),
    [sym__type_chrono] = STATE(1347),
    [sym__type_struct] = STATE(19044),
    [sym__type_array] = STATE(18343),
    [sym_array] = STATE(2225),
    [sym_struct] = STATE(2225),
    [sym__identifier] = STATE(1950),
    [sym__dotted_identifier] = STATE(13635),
    [sym_identifier] = STATE(2273),
    [sym_string] = STATE(2225),
    [sym__expression] = STATE(156),
    [sym__parenthesized_expression] = STATE(2225),
    [sym_element_access] = STATE(2225),
    [sym_field_access] = STATE(2225),
    [sym_unary_expression] = STATE(2225),
    [sym_binary_expression] = STATE(2225),
    [sym_between_operator] = STATE(2225),
    [sym_casewhen_expression] = STATE(2225),
    [sym_cast_expression] = STATE(2225),
    [sym_argument_reference] = STATE(2225),
    [aux_sym_identifier_repeat1] = STATE(13635),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [1156] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16311),
    [sym__keyword_case] = STATE(358),
    [sym__keyword_not] = STATE(1156),
    [sym__keyword_cast] = STATE(19279),
    [sym__keyword_date] = STATE(2060),
    [sym__keyword_datetime] = STATE(2060),
    [sym__keyword_time] = STATE(2060),
    [sym__keyword_timestamp] = STATE(2060),
    [sym_select_subexpression] = STATE(2225),
    [sym_function_call] = STATE(2225),
    [sym_unnest_operator] = STATE(108),
    [sym_unnest_clause] = STATE(2225),
    [sym__literal] = STATE(2225),
    [sym_NULL] = STATE(2225),
    [sym_TRUE] = STATE(2225),
    [sym_FALSE] = STATE(2225),
    [sym__float] = STATE(2243),
    [sym_numeric] = STATE(2243),
    [sym__number] = STATE(2243),
    [sym_interval] = STATE(2225),
    [sym_range] = STATE(2225),
    [sym_time] = STATE(2225),
    [sym_number] = STATE(2225),
    [sym_json] = STATE(2225),
    [sym_query_parameter] = STATE(2225),
    [sym__type_chrono] = STATE(1347),
    [sym__type_struct] = STATE(19044),
    [sym__type_array] = STATE(18343),
    [sym_array] = STATE(2225),
    [sym_struct] = STATE(2225),
    [sym__identifier] = STATE(1950),
    [sym__dotted_identifier] = STATE(13635),
    [sym_identifier] = STATE(2273),
    [sym_string] = STATE(2225),
    [sym__expression] = STATE(123),
    [sym__parenthesized_expression] = STATE(2225),
    [sym_element_access] = STATE(2225),
    [sym_field_access] = STATE(2225),
    [sym_unary_expression] = STATE(2225),
    [sym_binary_expression] = STATE(2225),
    [sym_between_operator] = STATE(2225),
    [sym_casewhen_expression] = STATE(2225),
    [sym_cast_expression] = STATE(2225),
    [sym_argument_reference] = STATE(2225),
    [aux_sym_identifier_repeat1] = STATE(13635),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [1157] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1136),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2079),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(2853),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2430),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1158] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1136),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2079),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(2847),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2430),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1159] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1136),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2079),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(2843),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2430),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1160] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(7751),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1161] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9687),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1162] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10202),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1163] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9686),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1164] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1136),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2079),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(2836),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2430),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1165] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16325),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1073),
    [sym__keyword_cast] = STATE(19275),
    [sym__keyword_date] = STATE(9495),
    [sym__keyword_datetime] = STATE(9495),
    [sym__keyword_time] = STATE(9495),
    [sym__keyword_timestamp] = STATE(9495),
    [sym_select_subexpression] = STATE(10495),
    [sym_function_call] = STATE(10495),
    [sym_unnest_operator] = STATE(6473),
    [sym_unnest_clause] = STATE(10495),
    [sym__literal] = STATE(10495),
    [sym_NULL] = STATE(10495),
    [sym_TRUE] = STATE(10495),
    [sym_FALSE] = STATE(10495),
    [sym__float] = STATE(10492),
    [sym_numeric] = STATE(10492),
    [sym__number] = STATE(10492),
    [sym_interval] = STATE(10495),
    [sym_range] = STATE(10495),
    [sym_time] = STATE(10495),
    [sym_number] = STATE(10495),
    [sym_json] = STATE(10495),
    [sym_query_parameter] = STATE(10495),
    [sym__type_chrono] = STATE(8422),
    [sym__type_struct] = STATE(19027),
    [sym__type_array] = STATE(18285),
    [sym_array] = STATE(10495),
    [sym_struct] = STATE(10495),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9694),
    [sym_string] = STATE(10495),
    [sym__expression] = STATE(9831),
    [sym__parenthesized_expression] = STATE(10495),
    [sym_element_access] = STATE(10495),
    [sym_field_access] = STATE(10495),
    [sym_unary_expression] = STATE(10495),
    [sym_binary_expression] = STATE(10495),
    [sym_between_operator] = STATE(10495),
    [sym_casewhen_expression] = STATE(10495),
    [sym_cast_expression] = STATE(10495),
    [sym_argument_reference] = STATE(10495),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2042),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2044),
    [aux_sym__keyword_case_token1] = ACTIONS(2046),
    [aux_sym__keyword_cast_token1] = ACTIONS(2048),
    [aux_sym__keyword_cast_token2] = ACTIONS(2048),
    [aux_sym__keyword_date_token1] = ACTIONS(2050),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2050),
    [aux_sym__keyword_time_token1] = ACTIONS(2050),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [aux_sym_drop_notnull_token1] = ACTIONS(2054),
    [aux_sym_function_call_token2] = ACTIONS(2056),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2060),
    [aux_sym_FALSE_token1] = ACTIONS(2062),
    [sym__integer] = ACTIONS(2064),
    [aux_sym__float_token1] = ACTIONS(2066),
    [aux_sym__float_token2] = ACTIONS(2064),
    [aux_sym__float_token3] = ACTIONS(2066),
    [aux_sym_numeric_token1] = ACTIONS(2068),
    [aux_sym_numeric_token2] = ACTIONS(2068),
    [aux_sym_numeric_token3] = ACTIONS(2068),
    [aux_sym_numeric_token4] = ACTIONS(2068),
    [aux_sym_interval_token1] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_json_token1] = ACTIONS(2074),
    [sym_system_variable] = ACTIONS(2076),
    [sym__named_query_parameter] = ACTIONS(2078),
    [sym__positional_query_parameter] = ACTIONS(2080),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_operator_compare] = ACTIONS(2086),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [sym__string_start] = ACTIONS(2090),
  },
  [1166] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16282),
    [sym__keyword_case] = STATE(374),
    [sym__keyword_not] = STATE(1069),
    [sym__keyword_cast] = STATE(19285),
    [sym__keyword_date] = STATE(10540),
    [sym__keyword_datetime] = STATE(10540),
    [sym__keyword_time] = STATE(10540),
    [sym__keyword_timestamp] = STATE(10540),
    [sym_select_subexpression] = STATE(10861),
    [sym_function_call] = STATE(10861),
    [sym_unnest_operator] = STATE(6471),
    [sym_unnest_clause] = STATE(10861),
    [sym__literal] = STATE(10861),
    [sym_NULL] = STATE(10861),
    [sym_TRUE] = STATE(10861),
    [sym_FALSE] = STATE(10861),
    [sym__float] = STATE(10863),
    [sym_numeric] = STATE(10863),
    [sym__number] = STATE(10863),
    [sym_interval] = STATE(10861),
    [sym_range] = STATE(10861),
    [sym_time] = STATE(10861),
    [sym_number] = STATE(10861),
    [sym_json] = STATE(10861),
    [sym_query_parameter] = STATE(10861),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19065),
    [sym__type_array] = STATE(18448),
    [sym_array] = STATE(10861),
    [sym_struct] = STATE(10861),
    [sym__identifier] = STATE(10536),
    [sym__dotted_identifier] = STATE(14157),
    [sym_identifier] = STATE(10772),
    [sym_string] = STATE(10861),
    [sym__expression] = STATE(9754),
    [sym__parenthesized_expression] = STATE(10861),
    [sym_element_access] = STATE(10861),
    [sym_field_access] = STATE(10861),
    [sym_unary_expression] = STATE(10861),
    [sym_binary_expression] = STATE(10861),
    [sym_between_operator] = STATE(10861),
    [sym_casewhen_expression] = STATE(10861),
    [sym_cast_expression] = STATE(10861),
    [sym_argument_reference] = STATE(10861),
    [aux_sym_identifier_repeat1] = STATE(14157),
    [sym__unquoted_identifier] = ACTIONS(2552),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2554),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2556),
    [aux_sym__keyword_case_token1] = ACTIONS(2558),
    [aux_sym__keyword_cast_token1] = ACTIONS(2560),
    [aux_sym__keyword_cast_token2] = ACTIONS(2560),
    [aux_sym__keyword_date_token1] = ACTIONS(2562),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2562),
    [aux_sym__keyword_time_token1] = ACTIONS(2562),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [aux_sym_drop_notnull_token1] = ACTIONS(2566),
    [aux_sym_function_call_token2] = ACTIONS(2568),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2570),
    [aux_sym_FALSE_token1] = ACTIONS(2572),
    [sym__integer] = ACTIONS(2574),
    [aux_sym__float_token1] = ACTIONS(2576),
    [aux_sym__float_token2] = ACTIONS(2574),
    [aux_sym__float_token3] = ACTIONS(2576),
    [aux_sym_numeric_token1] = ACTIONS(2578),
    [aux_sym_numeric_token2] = ACTIONS(2578),
    [aux_sym_numeric_token3] = ACTIONS(2578),
    [aux_sym_numeric_token4] = ACTIONS(2578),
    [aux_sym_interval_token1] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [aux_sym_json_token1] = ACTIONS(2584),
    [sym_system_variable] = ACTIONS(2586),
    [sym__named_query_parameter] = ACTIONS(2588),
    [sym__positional_query_parameter] = ACTIONS(2590),
    [sym__quoted_identifier] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_operator_compare] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [sym__string_start] = ACTIONS(2602),
  },
  [1167] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16282),
    [sym__keyword_case] = STATE(374),
    [sym__keyword_not] = STATE(1069),
    [sym__keyword_cast] = STATE(19285),
    [sym__keyword_date] = STATE(10540),
    [sym__keyword_datetime] = STATE(10540),
    [sym__keyword_time] = STATE(10540),
    [sym__keyword_timestamp] = STATE(10540),
    [sym_select_subexpression] = STATE(10861),
    [sym_function_call] = STATE(10861),
    [sym_unnest_operator] = STATE(6471),
    [sym_unnest_clause] = STATE(10861),
    [sym__literal] = STATE(10861),
    [sym_NULL] = STATE(10861),
    [sym_TRUE] = STATE(10861),
    [sym_FALSE] = STATE(10861),
    [sym__float] = STATE(10863),
    [sym_numeric] = STATE(10863),
    [sym__number] = STATE(10863),
    [sym_interval] = STATE(10861),
    [sym_range] = STATE(10861),
    [sym_time] = STATE(10861),
    [sym_number] = STATE(10861),
    [sym_json] = STATE(10861),
    [sym_query_parameter] = STATE(10861),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19065),
    [sym__type_array] = STATE(18448),
    [sym_array] = STATE(10861),
    [sym_struct] = STATE(10861),
    [sym__identifier] = STATE(10536),
    [sym__dotted_identifier] = STATE(14157),
    [sym_identifier] = STATE(10772),
    [sym_string] = STATE(10861),
    [sym__expression] = STATE(9819),
    [sym__parenthesized_expression] = STATE(10861),
    [sym_element_access] = STATE(10861),
    [sym_field_access] = STATE(10861),
    [sym_unary_expression] = STATE(10861),
    [sym_binary_expression] = STATE(10861),
    [sym_between_operator] = STATE(10861),
    [sym_casewhen_expression] = STATE(10861),
    [sym_cast_expression] = STATE(10861),
    [sym_argument_reference] = STATE(10861),
    [aux_sym_identifier_repeat1] = STATE(14157),
    [sym__unquoted_identifier] = ACTIONS(2552),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2554),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2556),
    [aux_sym__keyword_case_token1] = ACTIONS(2558),
    [aux_sym__keyword_cast_token1] = ACTIONS(2560),
    [aux_sym__keyword_cast_token2] = ACTIONS(2560),
    [aux_sym__keyword_date_token1] = ACTIONS(2562),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2562),
    [aux_sym__keyword_time_token1] = ACTIONS(2562),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [aux_sym_drop_notnull_token1] = ACTIONS(2566),
    [aux_sym_function_call_token2] = ACTIONS(2568),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2570),
    [aux_sym_FALSE_token1] = ACTIONS(2572),
    [sym__integer] = ACTIONS(2574),
    [aux_sym__float_token1] = ACTIONS(2576),
    [aux_sym__float_token2] = ACTIONS(2574),
    [aux_sym__float_token3] = ACTIONS(2576),
    [aux_sym_numeric_token1] = ACTIONS(2578),
    [aux_sym_numeric_token2] = ACTIONS(2578),
    [aux_sym_numeric_token3] = ACTIONS(2578),
    [aux_sym_numeric_token4] = ACTIONS(2578),
    [aux_sym_interval_token1] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [aux_sym_json_token1] = ACTIONS(2584),
    [sym_system_variable] = ACTIONS(2586),
    [sym__named_query_parameter] = ACTIONS(2588),
    [sym__positional_query_parameter] = ACTIONS(2590),
    [sym__quoted_identifier] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_operator_compare] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [sym__string_start] = ACTIONS(2602),
  },
  [1168] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1136),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2079),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(2834),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2430),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1169] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(7833),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1170] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1136),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2079),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(2831),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2430),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1171] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1136),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2079),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(2830),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2430),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1172] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16311),
    [sym__keyword_case] = STATE(358),
    [sym__keyword_not] = STATE(1156),
    [sym__keyword_cast] = STATE(19279),
    [sym__keyword_date] = STATE(2060),
    [sym__keyword_datetime] = STATE(2060),
    [sym__keyword_time] = STATE(2060),
    [sym__keyword_timestamp] = STATE(2060),
    [sym_select_subexpression] = STATE(2225),
    [sym_function_call] = STATE(2225),
    [sym_unnest_operator] = STATE(108),
    [sym_unnest_clause] = STATE(2225),
    [sym__literal] = STATE(2225),
    [sym_NULL] = STATE(2225),
    [sym_TRUE] = STATE(2225),
    [sym_FALSE] = STATE(2225),
    [sym__float] = STATE(2243),
    [sym_numeric] = STATE(2243),
    [sym__number] = STATE(2243),
    [sym_interval] = STATE(2225),
    [sym_range] = STATE(2225),
    [sym_time] = STATE(2225),
    [sym_number] = STATE(2225),
    [sym_json] = STATE(2225),
    [sym_query_parameter] = STATE(2225),
    [sym__type_chrono] = STATE(1347),
    [sym__type_struct] = STATE(19044),
    [sym__type_array] = STATE(18343),
    [sym_array] = STATE(2225),
    [sym_struct] = STATE(2225),
    [sym__identifier] = STATE(1950),
    [sym__dotted_identifier] = STATE(13635),
    [sym_identifier] = STATE(2273),
    [sym_string] = STATE(2225),
    [sym__expression] = STATE(130),
    [sym__parenthesized_expression] = STATE(2225),
    [sym_element_access] = STATE(2225),
    [sym_field_access] = STATE(2225),
    [sym_unary_expression] = STATE(2225),
    [sym_binary_expression] = STATE(2225),
    [sym_between_operator] = STATE(2225),
    [sym_casewhen_expression] = STATE(2225),
    [sym_cast_expression] = STATE(2225),
    [sym_argument_reference] = STATE(2225),
    [aux_sym_identifier_repeat1] = STATE(13635),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [1173] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16311),
    [sym__keyword_case] = STATE(358),
    [sym__keyword_not] = STATE(1156),
    [sym__keyword_cast] = STATE(19279),
    [sym__keyword_date] = STATE(2060),
    [sym__keyword_datetime] = STATE(2060),
    [sym__keyword_time] = STATE(2060),
    [sym__keyword_timestamp] = STATE(2060),
    [sym_select_subexpression] = STATE(2225),
    [sym_function_call] = STATE(2225),
    [sym_unnest_operator] = STATE(108),
    [sym_unnest_clause] = STATE(2225),
    [sym__literal] = STATE(2225),
    [sym_NULL] = STATE(2225),
    [sym_TRUE] = STATE(2225),
    [sym_FALSE] = STATE(2225),
    [sym__float] = STATE(2243),
    [sym_numeric] = STATE(2243),
    [sym__number] = STATE(2243),
    [sym_interval] = STATE(2225),
    [sym_range] = STATE(2225),
    [sym_time] = STATE(2225),
    [sym_number] = STATE(2225),
    [sym_json] = STATE(2225),
    [sym_query_parameter] = STATE(2225),
    [sym__type_chrono] = STATE(1347),
    [sym__type_struct] = STATE(19044),
    [sym__type_array] = STATE(18343),
    [sym_array] = STATE(2225),
    [sym_struct] = STATE(2225),
    [sym__identifier] = STATE(1950),
    [sym__dotted_identifier] = STATE(13635),
    [sym_identifier] = STATE(2273),
    [sym_string] = STATE(2225),
    [sym__expression] = STATE(129),
    [sym__parenthesized_expression] = STATE(2225),
    [sym_element_access] = STATE(2225),
    [sym_field_access] = STATE(2225),
    [sym_unary_expression] = STATE(2225),
    [sym_binary_expression] = STATE(2225),
    [sym_between_operator] = STATE(2225),
    [sym_casewhen_expression] = STATE(2225),
    [sym_cast_expression] = STATE(2225),
    [sym_argument_reference] = STATE(2225),
    [aux_sym_identifier_repeat1] = STATE(13635),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [1174] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(7722),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1175] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16311),
    [sym__keyword_case] = STATE(358),
    [sym__keyword_not] = STATE(1156),
    [sym__keyword_cast] = STATE(19279),
    [sym__keyword_date] = STATE(2060),
    [sym__keyword_datetime] = STATE(2060),
    [sym__keyword_time] = STATE(2060),
    [sym__keyword_timestamp] = STATE(2060),
    [sym_select_subexpression] = STATE(2225),
    [sym_function_call] = STATE(2225),
    [sym_unnest_operator] = STATE(108),
    [sym_unnest_clause] = STATE(2225),
    [sym__literal] = STATE(2225),
    [sym_NULL] = STATE(2225),
    [sym_TRUE] = STATE(2225),
    [sym_FALSE] = STATE(2225),
    [sym__float] = STATE(2243),
    [sym_numeric] = STATE(2243),
    [sym__number] = STATE(2243),
    [sym_interval] = STATE(2225),
    [sym_range] = STATE(2225),
    [sym_time] = STATE(2225),
    [sym_number] = STATE(2225),
    [sym_json] = STATE(2225),
    [sym_query_parameter] = STATE(2225),
    [sym__type_chrono] = STATE(1347),
    [sym__type_struct] = STATE(19044),
    [sym__type_array] = STATE(18343),
    [sym_array] = STATE(2225),
    [sym_struct] = STATE(2225),
    [sym__identifier] = STATE(1950),
    [sym__dotted_identifier] = STATE(13635),
    [sym_identifier] = STATE(2273),
    [sym_string] = STATE(2225),
    [sym__expression] = STATE(178),
    [sym__parenthesized_expression] = STATE(2225),
    [sym_element_access] = STATE(2225),
    [sym_field_access] = STATE(2225),
    [sym_unary_expression] = STATE(2225),
    [sym_binary_expression] = STATE(2225),
    [sym_between_operator] = STATE(2225),
    [sym_casewhen_expression] = STATE(2225),
    [sym_cast_expression] = STATE(2225),
    [sym_argument_reference] = STATE(2225),
    [aux_sym_identifier_repeat1] = STATE(13635),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [1176] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_select_subexpression] = STATE(9926),
    [sym_function_call] = STATE(9926),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(13757),
    [sym_identifier] = STATE(9720),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(6830),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [1177] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_select_subexpression] = STATE(9926),
    [sym_function_call] = STATE(9926),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(13757),
    [sym_identifier] = STATE(9720),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(6835),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [1178] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10011),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1179] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1136),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2079),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(2829),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2430),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1180] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1136),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2079),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(2818),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2430),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1181] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16311),
    [sym__keyword_case] = STATE(358),
    [sym__keyword_not] = STATE(1156),
    [sym__keyword_cast] = STATE(19279),
    [sym__keyword_date] = STATE(2060),
    [sym__keyword_datetime] = STATE(2060),
    [sym__keyword_time] = STATE(2060),
    [sym__keyword_timestamp] = STATE(2060),
    [sym_select_subexpression] = STATE(2225),
    [sym_function_call] = STATE(2225),
    [sym_unnest_operator] = STATE(108),
    [sym_unnest_clause] = STATE(2225),
    [sym__literal] = STATE(2225),
    [sym_NULL] = STATE(2225),
    [sym_TRUE] = STATE(2225),
    [sym_FALSE] = STATE(2225),
    [sym__float] = STATE(2243),
    [sym_numeric] = STATE(2243),
    [sym__number] = STATE(2243),
    [sym_interval] = STATE(2225),
    [sym_range] = STATE(2225),
    [sym_time] = STATE(2225),
    [sym_number] = STATE(2225),
    [sym_json] = STATE(2225),
    [sym_query_parameter] = STATE(2225),
    [sym__type_chrono] = STATE(1347),
    [sym__type_struct] = STATE(19044),
    [sym__type_array] = STATE(18343),
    [sym_array] = STATE(2225),
    [sym_struct] = STATE(2225),
    [sym__identifier] = STATE(1950),
    [sym__dotted_identifier] = STATE(13635),
    [sym_identifier] = STATE(2273),
    [sym_string] = STATE(2225),
    [sym__expression] = STATE(128),
    [sym__parenthesized_expression] = STATE(2225),
    [sym_element_access] = STATE(2225),
    [sym_field_access] = STATE(2225),
    [sym_unary_expression] = STATE(2225),
    [sym_binary_expression] = STATE(2225),
    [sym_between_operator] = STATE(2225),
    [sym_casewhen_expression] = STATE(2225),
    [sym_cast_expression] = STATE(2225),
    [sym_argument_reference] = STATE(2225),
    [aux_sym_identifier_repeat1] = STATE(13635),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [1182] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(7753),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1183] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1136),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2079),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(2916),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2430),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1184] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16208),
    [sym__keyword_case] = STATE(337),
    [sym__keyword_not] = STATE(1202),
    [sym__keyword_cast] = STATE(19297),
    [sym__keyword_date] = STATE(4227),
    [sym__keyword_datetime] = STATE(4227),
    [sym__keyword_time] = STATE(4227),
    [sym__keyword_timestamp] = STATE(4227),
    [sym_select_subexpression] = STATE(4593),
    [sym_function_call] = STATE(4593),
    [sym_unnest_operator] = STATE(2516),
    [sym_unnest_clause] = STATE(4593),
    [sym__literal] = STATE(4593),
    [sym_NULL] = STATE(4593),
    [sym_TRUE] = STATE(4593),
    [sym_FALSE] = STATE(4593),
    [sym__float] = STATE(4592),
    [sym_numeric] = STATE(4592),
    [sym__number] = STATE(4592),
    [sym_interval] = STATE(4593),
    [sym_range] = STATE(4593),
    [sym_time] = STATE(4593),
    [sym_number] = STATE(4593),
    [sym_json] = STATE(4593),
    [sym_query_parameter] = STATE(4593),
    [sym__type_chrono] = STATE(4194),
    [sym__type_struct] = STATE(19107),
    [sym__type_array] = STATE(18613),
    [sym_array] = STATE(4593),
    [sym_struct] = STATE(4593),
    [sym__identifier] = STATE(4341),
    [sym__dotted_identifier] = STATE(14156),
    [sym_identifier] = STATE(4415),
    [sym_string] = STATE(4593),
    [sym__expression] = STATE(2792),
    [sym__parenthesized_expression] = STATE(4593),
    [sym_element_access] = STATE(4593),
    [sym_field_access] = STATE(4593),
    [sym_unary_expression] = STATE(4593),
    [sym_binary_expression] = STATE(4593),
    [sym_between_operator] = STATE(4593),
    [sym_casewhen_expression] = STATE(4593),
    [sym_cast_expression] = STATE(4593),
    [sym_argument_reference] = STATE(4593),
    [aux_sym_identifier_repeat1] = STATE(14156),
    [sym__unquoted_identifier] = ACTIONS(1984),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1986),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1988),
    [aux_sym__keyword_case_token1] = ACTIONS(1990),
    [aux_sym__keyword_cast_token1] = ACTIONS(1992),
    [aux_sym__keyword_cast_token2] = ACTIONS(1992),
    [aux_sym__keyword_date_token1] = ACTIONS(1994),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1994),
    [aux_sym__keyword_time_token1] = ACTIONS(1994),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1994),
    [anon_sym_LPAREN] = ACTIONS(1996),
    [aux_sym_drop_notnull_token1] = ACTIONS(1998),
    [aux_sym_function_call_token2] = ACTIONS(2000),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2004),
    [aux_sym_FALSE_token1] = ACTIONS(2006),
    [sym__integer] = ACTIONS(2008),
    [aux_sym__float_token1] = ACTIONS(2010),
    [aux_sym__float_token2] = ACTIONS(2008),
    [aux_sym__float_token3] = ACTIONS(2010),
    [aux_sym_numeric_token1] = ACTIONS(2012),
    [aux_sym_numeric_token2] = ACTIONS(2012),
    [aux_sym_numeric_token3] = ACTIONS(2012),
    [aux_sym_numeric_token4] = ACTIONS(2012),
    [aux_sym_interval_token1] = ACTIONS(2014),
    [anon_sym_LBRACK] = ACTIONS(2016),
    [aux_sym_json_token1] = ACTIONS(2018),
    [sym_system_variable] = ACTIONS(2020),
    [sym__named_query_parameter] = ACTIONS(2022),
    [sym__positional_query_parameter] = ACTIONS(2024),
    [sym__quoted_identifier] = ACTIONS(2026),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2028),
    [anon_sym_PLUS] = ACTIONS(2030),
    [anon_sym_DASH] = ACTIONS(2030),
    [anon_sym_operator_compare] = ACTIONS(2032),
    [anon_sym_DOLLAR] = ACTIONS(2034),
    [sym__string_start] = ACTIONS(2036),
  },
  [1185] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16311),
    [sym__keyword_case] = STATE(358),
    [sym__keyword_not] = STATE(1156),
    [sym__keyword_cast] = STATE(19279),
    [sym__keyword_date] = STATE(2060),
    [sym__keyword_datetime] = STATE(2060),
    [sym__keyword_time] = STATE(2060),
    [sym__keyword_timestamp] = STATE(2060),
    [sym_select_subexpression] = STATE(2225),
    [sym_function_call] = STATE(2225),
    [sym_unnest_operator] = STATE(108),
    [sym_unnest_clause] = STATE(2225),
    [sym__literal] = STATE(2225),
    [sym_NULL] = STATE(2225),
    [sym_TRUE] = STATE(2225),
    [sym_FALSE] = STATE(2225),
    [sym__float] = STATE(2243),
    [sym_numeric] = STATE(2243),
    [sym__number] = STATE(2243),
    [sym_interval] = STATE(2225),
    [sym_range] = STATE(2225),
    [sym_time] = STATE(2225),
    [sym_number] = STATE(2225),
    [sym_json] = STATE(2225),
    [sym_query_parameter] = STATE(2225),
    [sym__type_chrono] = STATE(1347),
    [sym__type_struct] = STATE(19044),
    [sym__type_array] = STATE(18343),
    [sym_array] = STATE(2225),
    [sym_struct] = STATE(2225),
    [sym__identifier] = STATE(1950),
    [sym__dotted_identifier] = STATE(13635),
    [sym_identifier] = STATE(2273),
    [sym_string] = STATE(2225),
    [sym__expression] = STATE(127),
    [sym__parenthesized_expression] = STATE(2225),
    [sym_element_access] = STATE(2225),
    [sym_field_access] = STATE(2225),
    [sym_unary_expression] = STATE(2225),
    [sym_binary_expression] = STATE(2225),
    [sym_between_operator] = STATE(2225),
    [sym_casewhen_expression] = STATE(2225),
    [sym_cast_expression] = STATE(2225),
    [sym_argument_reference] = STATE(2225),
    [aux_sym_identifier_repeat1] = STATE(13635),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [1186] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_select_subexpression] = STATE(9926),
    [sym_function_call] = STATE(9926),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(13757),
    [sym_identifier] = STATE(9720),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(6960),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [1187] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_select_subexpression] = STATE(9926),
    [sym_function_call] = STATE(9926),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(13757),
    [sym_identifier] = STATE(9720),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(6961),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [1188] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_select_subexpression] = STATE(9926),
    [sym_function_call] = STATE(9926),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(13757),
    [sym_identifier] = STATE(9720),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(6931),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [1189] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16311),
    [sym__keyword_case] = STATE(358),
    [sym__keyword_not] = STATE(1156),
    [sym__keyword_cast] = STATE(19279),
    [sym__keyword_date] = STATE(2060),
    [sym__keyword_datetime] = STATE(2060),
    [sym__keyword_time] = STATE(2060),
    [sym__keyword_timestamp] = STATE(2060),
    [sym_select_subexpression] = STATE(2225),
    [sym_function_call] = STATE(2225),
    [sym_unnest_operator] = STATE(108),
    [sym_unnest_clause] = STATE(2225),
    [sym__literal] = STATE(2225),
    [sym_NULL] = STATE(2225),
    [sym_TRUE] = STATE(2225),
    [sym_FALSE] = STATE(2225),
    [sym__float] = STATE(2243),
    [sym_numeric] = STATE(2243),
    [sym__number] = STATE(2243),
    [sym_interval] = STATE(2225),
    [sym_range] = STATE(2225),
    [sym_time] = STATE(2225),
    [sym_number] = STATE(2225),
    [sym_json] = STATE(2225),
    [sym_query_parameter] = STATE(2225),
    [sym__type_chrono] = STATE(1347),
    [sym__type_struct] = STATE(19044),
    [sym__type_array] = STATE(18343),
    [sym_array] = STATE(2225),
    [sym_struct] = STATE(2225),
    [sym__identifier] = STATE(1950),
    [sym__dotted_identifier] = STATE(13635),
    [sym_identifier] = STATE(2273),
    [sym_string] = STATE(2225),
    [sym__expression] = STATE(125),
    [sym__parenthesized_expression] = STATE(2225),
    [sym_element_access] = STATE(2225),
    [sym_field_access] = STATE(2225),
    [sym_unary_expression] = STATE(2225),
    [sym_binary_expression] = STATE(2225),
    [sym_between_operator] = STATE(2225),
    [sym_casewhen_expression] = STATE(2225),
    [sym_cast_expression] = STATE(2225),
    [sym_argument_reference] = STATE(2225),
    [aux_sym_identifier_repeat1] = STATE(13635),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [1190] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16294),
    [sym__keyword_case] = STATE(376),
    [sym__keyword_not] = STATE(1425),
    [sym__keyword_cast] = STATE(19283),
    [sym__keyword_date] = STATE(4607),
    [sym__keyword_datetime] = STATE(4607),
    [sym__keyword_time] = STATE(4607),
    [sym__keyword_timestamp] = STATE(4607),
    [sym_select_subexpression] = STATE(4924),
    [sym_function_call] = STATE(4924),
    [sym_unnest_operator] = STATE(1962),
    [sym_unnest_clause] = STATE(4924),
    [sym__literal] = STATE(4924),
    [sym_NULL] = STATE(4924),
    [sym_TRUE] = STATE(4924),
    [sym_FALSE] = STATE(4924),
    [sym__float] = STATE(4921),
    [sym_numeric] = STATE(4921),
    [sym__number] = STATE(4921),
    [sym_interval] = STATE(4924),
    [sym_range] = STATE(4924),
    [sym_time] = STATE(4924),
    [sym_number] = STATE(4924),
    [sym_json] = STATE(4924),
    [sym_query_parameter] = STATE(4924),
    [sym__type_chrono] = STATE(4379),
    [sym__type_struct] = STATE(19058),
    [sym__type_array] = STATE(18414),
    [sym_array] = STATE(4924),
    [sym_struct] = STATE(4924),
    [sym__identifier] = STATE(4755),
    [sym__dotted_identifier] = STATE(13556),
    [sym_identifier] = STATE(4917),
    [sym_string] = STATE(4924),
    [sym__expression] = STATE(2793),
    [sym__parenthesized_expression] = STATE(4924),
    [sym_element_access] = STATE(4924),
    [sym_field_access] = STATE(4924),
    [sym_unary_expression] = STATE(4924),
    [sym_binary_expression] = STATE(4924),
    [sym_between_operator] = STATE(4924),
    [sym_casewhen_expression] = STATE(4924),
    [sym_cast_expression] = STATE(4924),
    [sym_argument_reference] = STATE(4924),
    [aux_sym_identifier_repeat1] = STATE(13556),
    [sym__unquoted_identifier] = ACTIONS(2604),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2606),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2608),
    [aux_sym__keyword_case_token1] = ACTIONS(2610),
    [aux_sym__keyword_cast_token1] = ACTIONS(2612),
    [aux_sym__keyword_cast_token2] = ACTIONS(2612),
    [aux_sym__keyword_date_token1] = ACTIONS(2614),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2614),
    [aux_sym__keyword_time_token1] = ACTIONS(2614),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2614),
    [anon_sym_LPAREN] = ACTIONS(2616),
    [aux_sym_drop_notnull_token1] = ACTIONS(2618),
    [aux_sym_function_call_token2] = ACTIONS(2620),
    [aux_sym_unnest_operator_token1] = ACTIONS(2622),
    [aux_sym_TRUE_token1] = ACTIONS(2624),
    [aux_sym_FALSE_token1] = ACTIONS(2626),
    [sym__integer] = ACTIONS(2628),
    [aux_sym__float_token1] = ACTIONS(2630),
    [aux_sym__float_token2] = ACTIONS(2628),
    [aux_sym__float_token3] = ACTIONS(2630),
    [aux_sym_numeric_token1] = ACTIONS(2632),
    [aux_sym_numeric_token2] = ACTIONS(2632),
    [aux_sym_numeric_token3] = ACTIONS(2632),
    [aux_sym_numeric_token4] = ACTIONS(2632),
    [aux_sym_interval_token1] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [aux_sym_json_token1] = ACTIONS(2638),
    [sym_system_variable] = ACTIONS(2640),
    [sym__named_query_parameter] = ACTIONS(2642),
    [sym__positional_query_parameter] = ACTIONS(2644),
    [sym__quoted_identifier] = ACTIONS(2646),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2648),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_operator_compare] = ACTIONS(2652),
    [anon_sym_DOLLAR] = ACTIONS(2654),
    [sym__string_start] = ACTIONS(2656),
  },
  [1191] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_select_subexpression] = STATE(9926),
    [sym_function_call] = STATE(9926),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(13757),
    [sym_identifier] = STATE(9720),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(6962),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [1192] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_select_subexpression] = STATE(9926),
    [sym_function_call] = STATE(9926),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(13757),
    [sym_identifier] = STATE(9720),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(6963),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [1193] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16311),
    [sym__keyword_case] = STATE(358),
    [sym__keyword_not] = STATE(1156),
    [sym__keyword_cast] = STATE(19279),
    [sym__keyword_date] = STATE(2060),
    [sym__keyword_datetime] = STATE(2060),
    [sym__keyword_time] = STATE(2060),
    [sym__keyword_timestamp] = STATE(2060),
    [sym_select_subexpression] = STATE(2225),
    [sym_function_call] = STATE(2225),
    [sym_unnest_operator] = STATE(108),
    [sym_unnest_clause] = STATE(2225),
    [sym__literal] = STATE(2225),
    [sym_NULL] = STATE(2225),
    [sym_TRUE] = STATE(2225),
    [sym_FALSE] = STATE(2225),
    [sym__float] = STATE(2243),
    [sym_numeric] = STATE(2243),
    [sym__number] = STATE(2243),
    [sym_interval] = STATE(2225),
    [sym_range] = STATE(2225),
    [sym_time] = STATE(2225),
    [sym_number] = STATE(2225),
    [sym_json] = STATE(2225),
    [sym_query_parameter] = STATE(2225),
    [sym__type_chrono] = STATE(1347),
    [sym__type_struct] = STATE(19044),
    [sym__type_array] = STATE(18343),
    [sym_array] = STATE(2225),
    [sym_struct] = STATE(2225),
    [sym__identifier] = STATE(1950),
    [sym__dotted_identifier] = STATE(13635),
    [sym_identifier] = STATE(2273),
    [sym_string] = STATE(2225),
    [sym__expression] = STATE(166),
    [sym__parenthesized_expression] = STATE(2225),
    [sym_element_access] = STATE(2225),
    [sym_field_access] = STATE(2225),
    [sym_unary_expression] = STATE(2225),
    [sym_binary_expression] = STATE(2225),
    [sym_between_operator] = STATE(2225),
    [sym_casewhen_expression] = STATE(2225),
    [sym_cast_expression] = STATE(2225),
    [sym_argument_reference] = STATE(2225),
    [aux_sym_identifier_repeat1] = STATE(13635),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [1194] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_select_subexpression] = STATE(9926),
    [sym_function_call] = STATE(9926),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(13757),
    [sym_identifier] = STATE(9720),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(6965),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [1195] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(7862),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1196] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9828),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1197] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(7851),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1198] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_select_subexpression] = STATE(9926),
    [sym_function_call] = STATE(9926),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(13757),
    [sym_identifier] = STATE(9720),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(6967),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [1199] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_select_subexpression] = STATE(9926),
    [sym_function_call] = STATE(9926),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(13757),
    [sym_identifier] = STATE(9720),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(6970),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [1200] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_select_subexpression] = STATE(9926),
    [sym_function_call] = STATE(9926),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(13757),
    [sym_identifier] = STATE(9720),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(6971),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [1201] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16311),
    [sym__keyword_case] = STATE(358),
    [sym__keyword_not] = STATE(1156),
    [sym__keyword_cast] = STATE(19279),
    [sym__keyword_date] = STATE(2060),
    [sym__keyword_datetime] = STATE(2060),
    [sym__keyword_time] = STATE(2060),
    [sym__keyword_timestamp] = STATE(2060),
    [sym_select_subexpression] = STATE(2225),
    [sym_function_call] = STATE(2225),
    [sym_unnest_operator] = STATE(108),
    [sym_unnest_clause] = STATE(2225),
    [sym__literal] = STATE(2225),
    [sym_NULL] = STATE(2225),
    [sym_TRUE] = STATE(2225),
    [sym_FALSE] = STATE(2225),
    [sym__float] = STATE(2243),
    [sym_numeric] = STATE(2243),
    [sym__number] = STATE(2243),
    [sym_interval] = STATE(2225),
    [sym_range] = STATE(2225),
    [sym_time] = STATE(2225),
    [sym_number] = STATE(2225),
    [sym_json] = STATE(2225),
    [sym_query_parameter] = STATE(2225),
    [sym__type_chrono] = STATE(1347),
    [sym__type_struct] = STATE(19044),
    [sym__type_array] = STATE(18343),
    [sym_array] = STATE(2225),
    [sym_struct] = STATE(2225),
    [sym__identifier] = STATE(1950),
    [sym__dotted_identifier] = STATE(13635),
    [sym_identifier] = STATE(2273),
    [sym_string] = STATE(2225),
    [sym__expression] = STATE(135),
    [sym__parenthesized_expression] = STATE(2225),
    [sym_element_access] = STATE(2225),
    [sym_field_access] = STATE(2225),
    [sym_unary_expression] = STATE(2225),
    [sym_binary_expression] = STATE(2225),
    [sym_between_operator] = STATE(2225),
    [sym_casewhen_expression] = STATE(2225),
    [sym_cast_expression] = STATE(2225),
    [sym_argument_reference] = STATE(2225),
    [aux_sym_identifier_repeat1] = STATE(13635),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [1202] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16208),
    [sym__keyword_case] = STATE(337),
    [sym__keyword_not] = STATE(1202),
    [sym__keyword_cast] = STATE(19297),
    [sym__keyword_date] = STATE(4227),
    [sym__keyword_datetime] = STATE(4227),
    [sym__keyword_time] = STATE(4227),
    [sym__keyword_timestamp] = STATE(4227),
    [sym_select_subexpression] = STATE(4593),
    [sym_function_call] = STATE(4593),
    [sym_unnest_operator] = STATE(2516),
    [sym_unnest_clause] = STATE(4593),
    [sym__literal] = STATE(4593),
    [sym_NULL] = STATE(4593),
    [sym_TRUE] = STATE(4593),
    [sym_FALSE] = STATE(4593),
    [sym__float] = STATE(4592),
    [sym_numeric] = STATE(4592),
    [sym__number] = STATE(4592),
    [sym_interval] = STATE(4593),
    [sym_range] = STATE(4593),
    [sym_time] = STATE(4593),
    [sym_number] = STATE(4593),
    [sym_json] = STATE(4593),
    [sym_query_parameter] = STATE(4593),
    [sym__type_chrono] = STATE(4194),
    [sym__type_struct] = STATE(19107),
    [sym__type_array] = STATE(18613),
    [sym_array] = STATE(4593),
    [sym_struct] = STATE(4593),
    [sym__identifier] = STATE(4341),
    [sym__dotted_identifier] = STATE(14156),
    [sym_identifier] = STATE(4415),
    [sym_string] = STATE(4593),
    [sym__expression] = STATE(2790),
    [sym__parenthesized_expression] = STATE(4593),
    [sym_element_access] = STATE(4593),
    [sym_field_access] = STATE(4593),
    [sym_unary_expression] = STATE(4593),
    [sym_binary_expression] = STATE(4593),
    [sym_between_operator] = STATE(4593),
    [sym_casewhen_expression] = STATE(4593),
    [sym_cast_expression] = STATE(4593),
    [sym_argument_reference] = STATE(4593),
    [aux_sym_identifier_repeat1] = STATE(14156),
    [sym__unquoted_identifier] = ACTIONS(1984),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1986),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1988),
    [aux_sym__keyword_case_token1] = ACTIONS(1990),
    [aux_sym__keyword_cast_token1] = ACTIONS(1992),
    [aux_sym__keyword_cast_token2] = ACTIONS(1992),
    [aux_sym__keyword_date_token1] = ACTIONS(1994),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1994),
    [aux_sym__keyword_time_token1] = ACTIONS(1994),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1994),
    [anon_sym_LPAREN] = ACTIONS(1996),
    [aux_sym_drop_notnull_token1] = ACTIONS(1998),
    [aux_sym_function_call_token2] = ACTIONS(2000),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2004),
    [aux_sym_FALSE_token1] = ACTIONS(2006),
    [sym__integer] = ACTIONS(2008),
    [aux_sym__float_token1] = ACTIONS(2010),
    [aux_sym__float_token2] = ACTIONS(2008),
    [aux_sym__float_token3] = ACTIONS(2010),
    [aux_sym_numeric_token1] = ACTIONS(2012),
    [aux_sym_numeric_token2] = ACTIONS(2012),
    [aux_sym_numeric_token3] = ACTIONS(2012),
    [aux_sym_numeric_token4] = ACTIONS(2012),
    [aux_sym_interval_token1] = ACTIONS(2014),
    [anon_sym_LBRACK] = ACTIONS(2016),
    [aux_sym_json_token1] = ACTIONS(2018),
    [sym_system_variable] = ACTIONS(2020),
    [sym__named_query_parameter] = ACTIONS(2022),
    [sym__positional_query_parameter] = ACTIONS(2024),
    [sym__quoted_identifier] = ACTIONS(2026),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2028),
    [anon_sym_PLUS] = ACTIONS(2030),
    [anon_sym_DASH] = ACTIONS(2030),
    [anon_sym_operator_compare] = ACTIONS(2032),
    [anon_sym_DOLLAR] = ACTIONS(2034),
    [sym__string_start] = ACTIONS(2036),
  },
  [1203] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16208),
    [sym__keyword_case] = STATE(337),
    [sym__keyword_not] = STATE(1202),
    [sym__keyword_cast] = STATE(19297),
    [sym__keyword_date] = STATE(4227),
    [sym__keyword_datetime] = STATE(4227),
    [sym__keyword_time] = STATE(4227),
    [sym__keyword_timestamp] = STATE(4227),
    [sym_select_subexpression] = STATE(4593),
    [sym_function_call] = STATE(4593),
    [sym_unnest_operator] = STATE(2516),
    [sym_unnest_clause] = STATE(4593),
    [sym__literal] = STATE(4593),
    [sym_NULL] = STATE(4593),
    [sym_TRUE] = STATE(4593),
    [sym_FALSE] = STATE(4593),
    [sym__float] = STATE(4592),
    [sym_numeric] = STATE(4592),
    [sym__number] = STATE(4592),
    [sym_interval] = STATE(4593),
    [sym_range] = STATE(4593),
    [sym_time] = STATE(4593),
    [sym_number] = STATE(4593),
    [sym_json] = STATE(4593),
    [sym_query_parameter] = STATE(4593),
    [sym__type_chrono] = STATE(4194),
    [sym__type_struct] = STATE(19107),
    [sym__type_array] = STATE(18613),
    [sym_array] = STATE(4593),
    [sym_struct] = STATE(4593),
    [sym__identifier] = STATE(4341),
    [sym__dotted_identifier] = STATE(14156),
    [sym_identifier] = STATE(4415),
    [sym_string] = STATE(4593),
    [sym__expression] = STATE(2797),
    [sym__parenthesized_expression] = STATE(4593),
    [sym_element_access] = STATE(4593),
    [sym_field_access] = STATE(4593),
    [sym_unary_expression] = STATE(4593),
    [sym_binary_expression] = STATE(4593),
    [sym_between_operator] = STATE(4593),
    [sym_casewhen_expression] = STATE(4593),
    [sym_cast_expression] = STATE(4593),
    [sym_argument_reference] = STATE(4593),
    [aux_sym_identifier_repeat1] = STATE(14156),
    [sym__unquoted_identifier] = ACTIONS(1984),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1986),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1988),
    [aux_sym__keyword_case_token1] = ACTIONS(1990),
    [aux_sym__keyword_cast_token1] = ACTIONS(1992),
    [aux_sym__keyword_cast_token2] = ACTIONS(1992),
    [aux_sym__keyword_date_token1] = ACTIONS(1994),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1994),
    [aux_sym__keyword_time_token1] = ACTIONS(1994),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1994),
    [anon_sym_LPAREN] = ACTIONS(1996),
    [aux_sym_drop_notnull_token1] = ACTIONS(1998),
    [aux_sym_function_call_token2] = ACTIONS(2000),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2004),
    [aux_sym_FALSE_token1] = ACTIONS(2006),
    [sym__integer] = ACTIONS(2008),
    [aux_sym__float_token1] = ACTIONS(2010),
    [aux_sym__float_token2] = ACTIONS(2008),
    [aux_sym__float_token3] = ACTIONS(2010),
    [aux_sym_numeric_token1] = ACTIONS(2012),
    [aux_sym_numeric_token2] = ACTIONS(2012),
    [aux_sym_numeric_token3] = ACTIONS(2012),
    [aux_sym_numeric_token4] = ACTIONS(2012),
    [aux_sym_interval_token1] = ACTIONS(2014),
    [anon_sym_LBRACK] = ACTIONS(2016),
    [aux_sym_json_token1] = ACTIONS(2018),
    [sym_system_variable] = ACTIONS(2020),
    [sym__named_query_parameter] = ACTIONS(2022),
    [sym__positional_query_parameter] = ACTIONS(2024),
    [sym__quoted_identifier] = ACTIONS(2026),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2028),
    [anon_sym_PLUS] = ACTIONS(2030),
    [anon_sym_DASH] = ACTIONS(2030),
    [anon_sym_operator_compare] = ACTIONS(2032),
    [anon_sym_DOLLAR] = ACTIONS(2034),
    [sym__string_start] = ACTIONS(2036),
  },
  [1204] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16282),
    [sym__keyword_case] = STATE(374),
    [sym__keyword_not] = STATE(1069),
    [sym__keyword_cast] = STATE(19285),
    [sym__keyword_date] = STATE(10540),
    [sym__keyword_datetime] = STATE(10540),
    [sym__keyword_time] = STATE(10540),
    [sym__keyword_timestamp] = STATE(10540),
    [sym_select_subexpression] = STATE(10861),
    [sym_function_call] = STATE(10861),
    [sym_unnest_operator] = STATE(6471),
    [sym_unnest_clause] = STATE(10861),
    [sym__literal] = STATE(10861),
    [sym_NULL] = STATE(10861),
    [sym_TRUE] = STATE(10861),
    [sym_FALSE] = STATE(10861),
    [sym__float] = STATE(10863),
    [sym_numeric] = STATE(10863),
    [sym__number] = STATE(10863),
    [sym_interval] = STATE(10861),
    [sym_range] = STATE(10861),
    [sym_time] = STATE(10861),
    [sym_number] = STATE(10861),
    [sym_json] = STATE(10861),
    [sym_query_parameter] = STATE(10861),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19065),
    [sym__type_array] = STATE(18448),
    [sym_array] = STATE(10861),
    [sym_struct] = STATE(10861),
    [sym__identifier] = STATE(10536),
    [sym__dotted_identifier] = STATE(14157),
    [sym_identifier] = STATE(10772),
    [sym_string] = STATE(10861),
    [sym__expression] = STATE(9142),
    [sym__parenthesized_expression] = STATE(10861),
    [sym_element_access] = STATE(10861),
    [sym_field_access] = STATE(10861),
    [sym_unary_expression] = STATE(10861),
    [sym_binary_expression] = STATE(10861),
    [sym_between_operator] = STATE(10861),
    [sym_casewhen_expression] = STATE(10861),
    [sym_cast_expression] = STATE(10861),
    [sym_argument_reference] = STATE(10861),
    [aux_sym_identifier_repeat1] = STATE(14157),
    [sym__unquoted_identifier] = ACTIONS(2552),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2554),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2556),
    [aux_sym__keyword_case_token1] = ACTIONS(2558),
    [aux_sym__keyword_cast_token1] = ACTIONS(2560),
    [aux_sym__keyword_cast_token2] = ACTIONS(2560),
    [aux_sym__keyword_date_token1] = ACTIONS(2562),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2562),
    [aux_sym__keyword_time_token1] = ACTIONS(2562),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [aux_sym_drop_notnull_token1] = ACTIONS(2566),
    [aux_sym_function_call_token2] = ACTIONS(2568),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2570),
    [aux_sym_FALSE_token1] = ACTIONS(2572),
    [sym__integer] = ACTIONS(2574),
    [aux_sym__float_token1] = ACTIONS(2576),
    [aux_sym__float_token2] = ACTIONS(2574),
    [aux_sym__float_token3] = ACTIONS(2576),
    [aux_sym_numeric_token1] = ACTIONS(2578),
    [aux_sym_numeric_token2] = ACTIONS(2578),
    [aux_sym_numeric_token3] = ACTIONS(2578),
    [aux_sym_numeric_token4] = ACTIONS(2578),
    [aux_sym_interval_token1] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [aux_sym_json_token1] = ACTIONS(2584),
    [sym_system_variable] = ACTIONS(2586),
    [sym__named_query_parameter] = ACTIONS(2588),
    [sym__positional_query_parameter] = ACTIONS(2590),
    [sym__quoted_identifier] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_operator_compare] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [sym__string_start] = ACTIONS(2602),
  },
  [1205] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16208),
    [sym__keyword_case] = STATE(337),
    [sym__keyword_not] = STATE(1202),
    [sym__keyword_cast] = STATE(19297),
    [sym__keyword_date] = STATE(4227),
    [sym__keyword_datetime] = STATE(4227),
    [sym__keyword_time] = STATE(4227),
    [sym__keyword_timestamp] = STATE(4227),
    [sym_select_subexpression] = STATE(4593),
    [sym_function_call] = STATE(4593),
    [sym_unnest_operator] = STATE(2516),
    [sym_unnest_clause] = STATE(4593),
    [sym__literal] = STATE(4593),
    [sym_NULL] = STATE(4593),
    [sym_TRUE] = STATE(4593),
    [sym_FALSE] = STATE(4593),
    [sym__float] = STATE(4592),
    [sym_numeric] = STATE(4592),
    [sym__number] = STATE(4592),
    [sym_interval] = STATE(4593),
    [sym_range] = STATE(4593),
    [sym_time] = STATE(4593),
    [sym_number] = STATE(4593),
    [sym_json] = STATE(4593),
    [sym_query_parameter] = STATE(4593),
    [sym__type_chrono] = STATE(4194),
    [sym__type_struct] = STATE(19107),
    [sym__type_array] = STATE(18613),
    [sym_array] = STATE(4593),
    [sym_struct] = STATE(4593),
    [sym__identifier] = STATE(4341),
    [sym__dotted_identifier] = STATE(14156),
    [sym_identifier] = STATE(4415),
    [sym_string] = STATE(4593),
    [sym__expression] = STATE(2810),
    [sym__parenthesized_expression] = STATE(4593),
    [sym_element_access] = STATE(4593),
    [sym_field_access] = STATE(4593),
    [sym_unary_expression] = STATE(4593),
    [sym_binary_expression] = STATE(4593),
    [sym_between_operator] = STATE(4593),
    [sym_casewhen_expression] = STATE(4593),
    [sym_cast_expression] = STATE(4593),
    [sym_argument_reference] = STATE(4593),
    [aux_sym_identifier_repeat1] = STATE(14156),
    [sym__unquoted_identifier] = ACTIONS(1984),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1986),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1988),
    [aux_sym__keyword_case_token1] = ACTIONS(1990),
    [aux_sym__keyword_cast_token1] = ACTIONS(1992),
    [aux_sym__keyword_cast_token2] = ACTIONS(1992),
    [aux_sym__keyword_date_token1] = ACTIONS(1994),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1994),
    [aux_sym__keyword_time_token1] = ACTIONS(1994),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1994),
    [anon_sym_LPAREN] = ACTIONS(1996),
    [aux_sym_drop_notnull_token1] = ACTIONS(1998),
    [aux_sym_function_call_token2] = ACTIONS(2000),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2004),
    [aux_sym_FALSE_token1] = ACTIONS(2006),
    [sym__integer] = ACTIONS(2008),
    [aux_sym__float_token1] = ACTIONS(2010),
    [aux_sym__float_token2] = ACTIONS(2008),
    [aux_sym__float_token3] = ACTIONS(2010),
    [aux_sym_numeric_token1] = ACTIONS(2012),
    [aux_sym_numeric_token2] = ACTIONS(2012),
    [aux_sym_numeric_token3] = ACTIONS(2012),
    [aux_sym_numeric_token4] = ACTIONS(2012),
    [aux_sym_interval_token1] = ACTIONS(2014),
    [anon_sym_LBRACK] = ACTIONS(2016),
    [aux_sym_json_token1] = ACTIONS(2018),
    [sym_system_variable] = ACTIONS(2020),
    [sym__named_query_parameter] = ACTIONS(2022),
    [sym__positional_query_parameter] = ACTIONS(2024),
    [sym__quoted_identifier] = ACTIONS(2026),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2028),
    [anon_sym_PLUS] = ACTIONS(2030),
    [anon_sym_DASH] = ACTIONS(2030),
    [anon_sym_operator_compare] = ACTIONS(2032),
    [anon_sym_DOLLAR] = ACTIONS(2034),
    [sym__string_start] = ACTIONS(2036),
  },
  [1206] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16311),
    [sym__keyword_case] = STATE(358),
    [sym__keyword_not] = STATE(1156),
    [sym__keyword_cast] = STATE(19279),
    [sym__keyword_date] = STATE(2060),
    [sym__keyword_datetime] = STATE(2060),
    [sym__keyword_time] = STATE(2060),
    [sym__keyword_timestamp] = STATE(2060),
    [sym_select_subexpression] = STATE(2225),
    [sym_function_call] = STATE(2225),
    [sym_unnest_operator] = STATE(108),
    [sym_unnest_clause] = STATE(2225),
    [sym__literal] = STATE(2225),
    [sym_NULL] = STATE(2225),
    [sym_TRUE] = STATE(2225),
    [sym_FALSE] = STATE(2225),
    [sym__float] = STATE(2243),
    [sym_numeric] = STATE(2243),
    [sym__number] = STATE(2243),
    [sym_interval] = STATE(2225),
    [sym_range] = STATE(2225),
    [sym_time] = STATE(2225),
    [sym_number] = STATE(2225),
    [sym_json] = STATE(2225),
    [sym_query_parameter] = STATE(2225),
    [sym__type_chrono] = STATE(1347),
    [sym__type_struct] = STATE(19044),
    [sym__type_array] = STATE(18343),
    [sym_array] = STATE(2225),
    [sym_struct] = STATE(2225),
    [sym__identifier] = STATE(1950),
    [sym__dotted_identifier] = STATE(13635),
    [sym_identifier] = STATE(2273),
    [sym_string] = STATE(2225),
    [sym__expression] = STATE(134),
    [sym__parenthesized_expression] = STATE(2225),
    [sym_element_access] = STATE(2225),
    [sym_field_access] = STATE(2225),
    [sym_unary_expression] = STATE(2225),
    [sym_binary_expression] = STATE(2225),
    [sym_between_operator] = STATE(2225),
    [sym_casewhen_expression] = STATE(2225),
    [sym_cast_expression] = STATE(2225),
    [sym_argument_reference] = STATE(2225),
    [aux_sym_identifier_repeat1] = STATE(13635),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [1207] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2486),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(4229),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2418),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1208] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9654),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1209] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(7849),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1210] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(7844),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1211] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(7762),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1212] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_select_subexpression] = STATE(9926),
    [sym_function_call] = STATE(9926),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(13757),
    [sym_identifier] = STATE(9720),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(6981),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [1213] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(7758),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1214] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9832),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1215] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16208),
    [sym__keyword_case] = STATE(337),
    [sym__keyword_not] = STATE(1202),
    [sym__keyword_cast] = STATE(19297),
    [sym__keyword_date] = STATE(4227),
    [sym__keyword_datetime] = STATE(4227),
    [sym__keyword_time] = STATE(4227),
    [sym__keyword_timestamp] = STATE(4227),
    [sym_select_subexpression] = STATE(4593),
    [sym_function_call] = STATE(4593),
    [sym_unnest_operator] = STATE(2516),
    [sym_unnest_clause] = STATE(4593),
    [sym__literal] = STATE(4593),
    [sym_NULL] = STATE(4593),
    [sym_TRUE] = STATE(4593),
    [sym_FALSE] = STATE(4593),
    [sym__float] = STATE(4592),
    [sym_numeric] = STATE(4592),
    [sym__number] = STATE(4592),
    [sym_interval] = STATE(4593),
    [sym_range] = STATE(4593),
    [sym_time] = STATE(4593),
    [sym_number] = STATE(4593),
    [sym_json] = STATE(4593),
    [sym_query_parameter] = STATE(4593),
    [sym__type_chrono] = STATE(4194),
    [sym__type_struct] = STATE(19107),
    [sym__type_array] = STATE(18613),
    [sym_array] = STATE(4593),
    [sym_struct] = STATE(4593),
    [sym__identifier] = STATE(4341),
    [sym__dotted_identifier] = STATE(14156),
    [sym_identifier] = STATE(4415),
    [sym_string] = STATE(4593),
    [sym__expression] = STATE(2798),
    [sym__parenthesized_expression] = STATE(4593),
    [sym_element_access] = STATE(4593),
    [sym_field_access] = STATE(4593),
    [sym_unary_expression] = STATE(4593),
    [sym_binary_expression] = STATE(4593),
    [sym_between_operator] = STATE(4593),
    [sym_casewhen_expression] = STATE(4593),
    [sym_cast_expression] = STATE(4593),
    [sym_argument_reference] = STATE(4593),
    [aux_sym_identifier_repeat1] = STATE(14156),
    [sym__unquoted_identifier] = ACTIONS(1984),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1986),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1988),
    [aux_sym__keyword_case_token1] = ACTIONS(1990),
    [aux_sym__keyword_cast_token1] = ACTIONS(1992),
    [aux_sym__keyword_cast_token2] = ACTIONS(1992),
    [aux_sym__keyword_date_token1] = ACTIONS(1994),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1994),
    [aux_sym__keyword_time_token1] = ACTIONS(1994),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1994),
    [anon_sym_LPAREN] = ACTIONS(1996),
    [aux_sym_drop_notnull_token1] = ACTIONS(1998),
    [aux_sym_function_call_token2] = ACTIONS(2000),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2004),
    [aux_sym_FALSE_token1] = ACTIONS(2006),
    [sym__integer] = ACTIONS(2008),
    [aux_sym__float_token1] = ACTIONS(2010),
    [aux_sym__float_token2] = ACTIONS(2008),
    [aux_sym__float_token3] = ACTIONS(2010),
    [aux_sym_numeric_token1] = ACTIONS(2012),
    [aux_sym_numeric_token2] = ACTIONS(2012),
    [aux_sym_numeric_token3] = ACTIONS(2012),
    [aux_sym_numeric_token4] = ACTIONS(2012),
    [aux_sym_interval_token1] = ACTIONS(2014),
    [anon_sym_LBRACK] = ACTIONS(2016),
    [aux_sym_json_token1] = ACTIONS(2018),
    [sym_system_variable] = ACTIONS(2020),
    [sym__named_query_parameter] = ACTIONS(2022),
    [sym__positional_query_parameter] = ACTIONS(2024),
    [sym__quoted_identifier] = ACTIONS(2026),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2028),
    [anon_sym_PLUS] = ACTIONS(2030),
    [anon_sym_DASH] = ACTIONS(2030),
    [anon_sym_operator_compare] = ACTIONS(2032),
    [anon_sym_DOLLAR] = ACTIONS(2034),
    [sym__string_start] = ACTIONS(2036),
  },
  [1216] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(7757),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1217] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(7754),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1218] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16208),
    [sym__keyword_case] = STATE(337),
    [sym__keyword_not] = STATE(1202),
    [sym__keyword_cast] = STATE(19297),
    [sym__keyword_date] = STATE(4227),
    [sym__keyword_datetime] = STATE(4227),
    [sym__keyword_time] = STATE(4227),
    [sym__keyword_timestamp] = STATE(4227),
    [sym_select_subexpression] = STATE(4593),
    [sym_function_call] = STATE(4593),
    [sym_unnest_operator] = STATE(2516),
    [sym_unnest_clause] = STATE(4593),
    [sym__literal] = STATE(4593),
    [sym_NULL] = STATE(4593),
    [sym_TRUE] = STATE(4593),
    [sym_FALSE] = STATE(4593),
    [sym__float] = STATE(4592),
    [sym_numeric] = STATE(4592),
    [sym__number] = STATE(4592),
    [sym_interval] = STATE(4593),
    [sym_range] = STATE(4593),
    [sym_time] = STATE(4593),
    [sym_number] = STATE(4593),
    [sym_json] = STATE(4593),
    [sym_query_parameter] = STATE(4593),
    [sym__type_chrono] = STATE(4194),
    [sym__type_struct] = STATE(19107),
    [sym__type_array] = STATE(18613),
    [sym_array] = STATE(4593),
    [sym_struct] = STATE(4593),
    [sym__identifier] = STATE(4341),
    [sym__dotted_identifier] = STATE(14156),
    [sym_identifier] = STATE(4415),
    [sym_string] = STATE(4593),
    [sym__expression] = STATE(2809),
    [sym__parenthesized_expression] = STATE(4593),
    [sym_element_access] = STATE(4593),
    [sym_field_access] = STATE(4593),
    [sym_unary_expression] = STATE(4593),
    [sym_binary_expression] = STATE(4593),
    [sym_between_operator] = STATE(4593),
    [sym_casewhen_expression] = STATE(4593),
    [sym_cast_expression] = STATE(4593),
    [sym_argument_reference] = STATE(4593),
    [aux_sym_identifier_repeat1] = STATE(14156),
    [sym__unquoted_identifier] = ACTIONS(1984),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1986),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1988),
    [aux_sym__keyword_case_token1] = ACTIONS(1990),
    [aux_sym__keyword_cast_token1] = ACTIONS(1992),
    [aux_sym__keyword_cast_token2] = ACTIONS(1992),
    [aux_sym__keyword_date_token1] = ACTIONS(1994),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1994),
    [aux_sym__keyword_time_token1] = ACTIONS(1994),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1994),
    [anon_sym_LPAREN] = ACTIONS(1996),
    [aux_sym_drop_notnull_token1] = ACTIONS(1998),
    [aux_sym_function_call_token2] = ACTIONS(2000),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2004),
    [aux_sym_FALSE_token1] = ACTIONS(2006),
    [sym__integer] = ACTIONS(2008),
    [aux_sym__float_token1] = ACTIONS(2010),
    [aux_sym__float_token2] = ACTIONS(2008),
    [aux_sym__float_token3] = ACTIONS(2010),
    [aux_sym_numeric_token1] = ACTIONS(2012),
    [aux_sym_numeric_token2] = ACTIONS(2012),
    [aux_sym_numeric_token3] = ACTIONS(2012),
    [aux_sym_numeric_token4] = ACTIONS(2012),
    [aux_sym_interval_token1] = ACTIONS(2014),
    [anon_sym_LBRACK] = ACTIONS(2016),
    [aux_sym_json_token1] = ACTIONS(2018),
    [sym_system_variable] = ACTIONS(2020),
    [sym__named_query_parameter] = ACTIONS(2022),
    [sym__positional_query_parameter] = ACTIONS(2024),
    [sym__quoted_identifier] = ACTIONS(2026),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2028),
    [anon_sym_PLUS] = ACTIONS(2030),
    [anon_sym_DASH] = ACTIONS(2030),
    [anon_sym_operator_compare] = ACTIONS(2032),
    [anon_sym_DOLLAR] = ACTIONS(2034),
    [sym__string_start] = ACTIONS(2036),
  },
  [1219] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(7752),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1220] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16208),
    [sym__keyword_case] = STATE(337),
    [sym__keyword_not] = STATE(1202),
    [sym__keyword_cast] = STATE(19297),
    [sym__keyword_date] = STATE(4227),
    [sym__keyword_datetime] = STATE(4227),
    [sym__keyword_time] = STATE(4227),
    [sym__keyword_timestamp] = STATE(4227),
    [sym_select_subexpression] = STATE(4593),
    [sym_function_call] = STATE(4593),
    [sym_unnest_operator] = STATE(2516),
    [sym_unnest_clause] = STATE(4593),
    [sym__literal] = STATE(4593),
    [sym_NULL] = STATE(4593),
    [sym_TRUE] = STATE(4593),
    [sym_FALSE] = STATE(4593),
    [sym__float] = STATE(4592),
    [sym_numeric] = STATE(4592),
    [sym__number] = STATE(4592),
    [sym_interval] = STATE(4593),
    [sym_range] = STATE(4593),
    [sym_time] = STATE(4593),
    [sym_number] = STATE(4593),
    [sym_json] = STATE(4593),
    [sym_query_parameter] = STATE(4593),
    [sym__type_chrono] = STATE(4194),
    [sym__type_struct] = STATE(19107),
    [sym__type_array] = STATE(18613),
    [sym_array] = STATE(4593),
    [sym_struct] = STATE(4593),
    [sym__identifier] = STATE(4341),
    [sym__dotted_identifier] = STATE(14156),
    [sym_identifier] = STATE(4415),
    [sym_string] = STATE(4593),
    [sym__expression] = STATE(2789),
    [sym__parenthesized_expression] = STATE(4593),
    [sym_element_access] = STATE(4593),
    [sym_field_access] = STATE(4593),
    [sym_unary_expression] = STATE(4593),
    [sym_binary_expression] = STATE(4593),
    [sym_between_operator] = STATE(4593),
    [sym_casewhen_expression] = STATE(4593),
    [sym_cast_expression] = STATE(4593),
    [sym_argument_reference] = STATE(4593),
    [aux_sym_identifier_repeat1] = STATE(14156),
    [sym__unquoted_identifier] = ACTIONS(1984),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1986),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1988),
    [aux_sym__keyword_case_token1] = ACTIONS(1990),
    [aux_sym__keyword_cast_token1] = ACTIONS(1992),
    [aux_sym__keyword_cast_token2] = ACTIONS(1992),
    [aux_sym__keyword_date_token1] = ACTIONS(1994),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1994),
    [aux_sym__keyword_time_token1] = ACTIONS(1994),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1994),
    [anon_sym_LPAREN] = ACTIONS(1996),
    [aux_sym_drop_notnull_token1] = ACTIONS(1998),
    [aux_sym_function_call_token2] = ACTIONS(2000),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2004),
    [aux_sym_FALSE_token1] = ACTIONS(2006),
    [sym__integer] = ACTIONS(2008),
    [aux_sym__float_token1] = ACTIONS(2010),
    [aux_sym__float_token2] = ACTIONS(2008),
    [aux_sym__float_token3] = ACTIONS(2010),
    [aux_sym_numeric_token1] = ACTIONS(2012),
    [aux_sym_numeric_token2] = ACTIONS(2012),
    [aux_sym_numeric_token3] = ACTIONS(2012),
    [aux_sym_numeric_token4] = ACTIONS(2012),
    [aux_sym_interval_token1] = ACTIONS(2014),
    [anon_sym_LBRACK] = ACTIONS(2016),
    [aux_sym_json_token1] = ACTIONS(2018),
    [sym_system_variable] = ACTIONS(2020),
    [sym__named_query_parameter] = ACTIONS(2022),
    [sym__positional_query_parameter] = ACTIONS(2024),
    [sym__quoted_identifier] = ACTIONS(2026),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2028),
    [anon_sym_PLUS] = ACTIONS(2030),
    [anon_sym_DASH] = ACTIONS(2030),
    [anon_sym_operator_compare] = ACTIONS(2032),
    [anon_sym_DOLLAR] = ACTIONS(2034),
    [sym__string_start] = ACTIONS(2036),
  },
  [1221] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_select_subexpression] = STATE(9926),
    [sym_function_call] = STATE(9926),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(13757),
    [sym_identifier] = STATE(9720),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7007),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [1222] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16311),
    [sym__keyword_case] = STATE(358),
    [sym__keyword_not] = STATE(1156),
    [sym__keyword_cast] = STATE(19279),
    [sym__keyword_date] = STATE(2060),
    [sym__keyword_datetime] = STATE(2060),
    [sym__keyword_time] = STATE(2060),
    [sym__keyword_timestamp] = STATE(2060),
    [sym_select_subexpression] = STATE(2225),
    [sym_function_call] = STATE(2225),
    [sym_unnest_operator] = STATE(108),
    [sym_unnest_clause] = STATE(2225),
    [sym__literal] = STATE(2225),
    [sym_NULL] = STATE(2225),
    [sym_TRUE] = STATE(2225),
    [sym_FALSE] = STATE(2225),
    [sym__float] = STATE(2243),
    [sym_numeric] = STATE(2243),
    [sym__number] = STATE(2243),
    [sym_interval] = STATE(2225),
    [sym_range] = STATE(2225),
    [sym_time] = STATE(2225),
    [sym_number] = STATE(2225),
    [sym_json] = STATE(2225),
    [sym_query_parameter] = STATE(2225),
    [sym__type_chrono] = STATE(1347),
    [sym__type_struct] = STATE(19044),
    [sym__type_array] = STATE(18343),
    [sym_array] = STATE(2225),
    [sym_struct] = STATE(2225),
    [sym__identifier] = STATE(1950),
    [sym__dotted_identifier] = STATE(13635),
    [sym_identifier] = STATE(2273),
    [sym_string] = STATE(2225),
    [sym__expression] = STATE(133),
    [sym__parenthesized_expression] = STATE(2225),
    [sym_element_access] = STATE(2225),
    [sym_field_access] = STATE(2225),
    [sym_unary_expression] = STATE(2225),
    [sym_binary_expression] = STATE(2225),
    [sym_between_operator] = STATE(2225),
    [sym_casewhen_expression] = STATE(2225),
    [sym_cast_expression] = STATE(2225),
    [sym_argument_reference] = STATE(2225),
    [aux_sym_identifier_repeat1] = STATE(13635),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [1223] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_select_subexpression] = STATE(9926),
    [sym_function_call] = STATE(9926),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(13757),
    [sym_identifier] = STATE(9720),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7009),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [1224] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(7690),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1225] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16208),
    [sym__keyword_case] = STATE(337),
    [sym__keyword_not] = STATE(1202),
    [sym__keyword_cast] = STATE(19297),
    [sym__keyword_date] = STATE(4227),
    [sym__keyword_datetime] = STATE(4227),
    [sym__keyword_time] = STATE(4227),
    [sym__keyword_timestamp] = STATE(4227),
    [sym_select_subexpression] = STATE(4593),
    [sym_function_call] = STATE(4593),
    [sym_unnest_operator] = STATE(2516),
    [sym_unnest_clause] = STATE(4593),
    [sym__literal] = STATE(4593),
    [sym_NULL] = STATE(4593),
    [sym_TRUE] = STATE(4593),
    [sym_FALSE] = STATE(4593),
    [sym__float] = STATE(4592),
    [sym_numeric] = STATE(4592),
    [sym__number] = STATE(4592),
    [sym_interval] = STATE(4593),
    [sym_range] = STATE(4593),
    [sym_time] = STATE(4593),
    [sym_number] = STATE(4593),
    [sym_json] = STATE(4593),
    [sym_query_parameter] = STATE(4593),
    [sym__type_chrono] = STATE(4194),
    [sym__type_struct] = STATE(19107),
    [sym__type_array] = STATE(18613),
    [sym_array] = STATE(4593),
    [sym_struct] = STATE(4593),
    [sym__identifier] = STATE(4341),
    [sym__dotted_identifier] = STATE(14156),
    [sym_identifier] = STATE(4415),
    [sym_string] = STATE(4593),
    [sym__expression] = STATE(2805),
    [sym__parenthesized_expression] = STATE(4593),
    [sym_element_access] = STATE(4593),
    [sym_field_access] = STATE(4593),
    [sym_unary_expression] = STATE(4593),
    [sym_binary_expression] = STATE(4593),
    [sym_between_operator] = STATE(4593),
    [sym_casewhen_expression] = STATE(4593),
    [sym_cast_expression] = STATE(4593),
    [sym_argument_reference] = STATE(4593),
    [aux_sym_identifier_repeat1] = STATE(14156),
    [sym__unquoted_identifier] = ACTIONS(1984),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1986),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1988),
    [aux_sym__keyword_case_token1] = ACTIONS(1990),
    [aux_sym__keyword_cast_token1] = ACTIONS(1992),
    [aux_sym__keyword_cast_token2] = ACTIONS(1992),
    [aux_sym__keyword_date_token1] = ACTIONS(1994),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1994),
    [aux_sym__keyword_time_token1] = ACTIONS(1994),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1994),
    [anon_sym_LPAREN] = ACTIONS(1996),
    [aux_sym_drop_notnull_token1] = ACTIONS(1998),
    [aux_sym_function_call_token2] = ACTIONS(2000),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2004),
    [aux_sym_FALSE_token1] = ACTIONS(2006),
    [sym__integer] = ACTIONS(2008),
    [aux_sym__float_token1] = ACTIONS(2010),
    [aux_sym__float_token2] = ACTIONS(2008),
    [aux_sym__float_token3] = ACTIONS(2010),
    [aux_sym_numeric_token1] = ACTIONS(2012),
    [aux_sym_numeric_token2] = ACTIONS(2012),
    [aux_sym_numeric_token3] = ACTIONS(2012),
    [aux_sym_numeric_token4] = ACTIONS(2012),
    [aux_sym_interval_token1] = ACTIONS(2014),
    [anon_sym_LBRACK] = ACTIONS(2016),
    [aux_sym_json_token1] = ACTIONS(2018),
    [sym_system_variable] = ACTIONS(2020),
    [sym__named_query_parameter] = ACTIONS(2022),
    [sym__positional_query_parameter] = ACTIONS(2024),
    [sym__quoted_identifier] = ACTIONS(2026),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2028),
    [anon_sym_PLUS] = ACTIONS(2030),
    [anon_sym_DASH] = ACTIONS(2030),
    [anon_sym_operator_compare] = ACTIONS(2032),
    [anon_sym_DOLLAR] = ACTIONS(2034),
    [sym__string_start] = ACTIONS(2036),
  },
  [1226] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16208),
    [sym__keyword_case] = STATE(337),
    [sym__keyword_not] = STATE(1202),
    [sym__keyword_cast] = STATE(19297),
    [sym__keyword_date] = STATE(4227),
    [sym__keyword_datetime] = STATE(4227),
    [sym__keyword_time] = STATE(4227),
    [sym__keyword_timestamp] = STATE(4227),
    [sym_select_subexpression] = STATE(4593),
    [sym_function_call] = STATE(4593),
    [sym_unnest_operator] = STATE(2516),
    [sym_unnest_clause] = STATE(4593),
    [sym__literal] = STATE(4593),
    [sym_NULL] = STATE(4593),
    [sym_TRUE] = STATE(4593),
    [sym_FALSE] = STATE(4593),
    [sym__float] = STATE(4592),
    [sym_numeric] = STATE(4592),
    [sym__number] = STATE(4592),
    [sym_interval] = STATE(4593),
    [sym_range] = STATE(4593),
    [sym_time] = STATE(4593),
    [sym_number] = STATE(4593),
    [sym_json] = STATE(4593),
    [sym_query_parameter] = STATE(4593),
    [sym__type_chrono] = STATE(4194),
    [sym__type_struct] = STATE(19107),
    [sym__type_array] = STATE(18613),
    [sym_array] = STATE(4593),
    [sym_struct] = STATE(4593),
    [sym__identifier] = STATE(4341),
    [sym__dotted_identifier] = STATE(14156),
    [sym_identifier] = STATE(4415),
    [sym_string] = STATE(4593),
    [sym__expression] = STATE(2802),
    [sym__parenthesized_expression] = STATE(4593),
    [sym_element_access] = STATE(4593),
    [sym_field_access] = STATE(4593),
    [sym_unary_expression] = STATE(4593),
    [sym_binary_expression] = STATE(4593),
    [sym_between_operator] = STATE(4593),
    [sym_casewhen_expression] = STATE(4593),
    [sym_cast_expression] = STATE(4593),
    [sym_argument_reference] = STATE(4593),
    [aux_sym_identifier_repeat1] = STATE(14156),
    [sym__unquoted_identifier] = ACTIONS(1984),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1986),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1988),
    [aux_sym__keyword_case_token1] = ACTIONS(1990),
    [aux_sym__keyword_cast_token1] = ACTIONS(1992),
    [aux_sym__keyword_cast_token2] = ACTIONS(1992),
    [aux_sym__keyword_date_token1] = ACTIONS(1994),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1994),
    [aux_sym__keyword_time_token1] = ACTIONS(1994),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1994),
    [anon_sym_LPAREN] = ACTIONS(1996),
    [aux_sym_drop_notnull_token1] = ACTIONS(1998),
    [aux_sym_function_call_token2] = ACTIONS(2000),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2004),
    [aux_sym_FALSE_token1] = ACTIONS(2006),
    [sym__integer] = ACTIONS(2008),
    [aux_sym__float_token1] = ACTIONS(2010),
    [aux_sym__float_token2] = ACTIONS(2008),
    [aux_sym__float_token3] = ACTIONS(2010),
    [aux_sym_numeric_token1] = ACTIONS(2012),
    [aux_sym_numeric_token2] = ACTIONS(2012),
    [aux_sym_numeric_token3] = ACTIONS(2012),
    [aux_sym_numeric_token4] = ACTIONS(2012),
    [aux_sym_interval_token1] = ACTIONS(2014),
    [anon_sym_LBRACK] = ACTIONS(2016),
    [aux_sym_json_token1] = ACTIONS(2018),
    [sym_system_variable] = ACTIONS(2020),
    [sym__named_query_parameter] = ACTIONS(2022),
    [sym__positional_query_parameter] = ACTIONS(2024),
    [sym__quoted_identifier] = ACTIONS(2026),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2028),
    [anon_sym_PLUS] = ACTIONS(2030),
    [anon_sym_DASH] = ACTIONS(2030),
    [anon_sym_operator_compare] = ACTIONS(2032),
    [anon_sym_DOLLAR] = ACTIONS(2034),
    [sym__string_start] = ACTIONS(2036),
  },
  [1227] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16208),
    [sym__keyword_case] = STATE(337),
    [sym__keyword_not] = STATE(1202),
    [sym__keyword_cast] = STATE(19297),
    [sym__keyword_date] = STATE(4227),
    [sym__keyword_datetime] = STATE(4227),
    [sym__keyword_time] = STATE(4227),
    [sym__keyword_timestamp] = STATE(4227),
    [sym_select_subexpression] = STATE(4593),
    [sym_function_call] = STATE(4593),
    [sym_unnest_operator] = STATE(2516),
    [sym_unnest_clause] = STATE(4593),
    [sym__literal] = STATE(4593),
    [sym_NULL] = STATE(4593),
    [sym_TRUE] = STATE(4593),
    [sym_FALSE] = STATE(4593),
    [sym__float] = STATE(4592),
    [sym_numeric] = STATE(4592),
    [sym__number] = STATE(4592),
    [sym_interval] = STATE(4593),
    [sym_range] = STATE(4593),
    [sym_time] = STATE(4593),
    [sym_number] = STATE(4593),
    [sym_json] = STATE(4593),
    [sym_query_parameter] = STATE(4593),
    [sym__type_chrono] = STATE(4194),
    [sym__type_struct] = STATE(19107),
    [sym__type_array] = STATE(18613),
    [sym_array] = STATE(4593),
    [sym_struct] = STATE(4593),
    [sym__identifier] = STATE(4341),
    [sym__dotted_identifier] = STATE(14156),
    [sym_identifier] = STATE(4415),
    [sym_string] = STATE(4593),
    [sym__expression] = STATE(2787),
    [sym__parenthesized_expression] = STATE(4593),
    [sym_element_access] = STATE(4593),
    [sym_field_access] = STATE(4593),
    [sym_unary_expression] = STATE(4593),
    [sym_binary_expression] = STATE(4593),
    [sym_between_operator] = STATE(4593),
    [sym_casewhen_expression] = STATE(4593),
    [sym_cast_expression] = STATE(4593),
    [sym_argument_reference] = STATE(4593),
    [aux_sym_identifier_repeat1] = STATE(14156),
    [sym__unquoted_identifier] = ACTIONS(1984),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1986),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1988),
    [aux_sym__keyword_case_token1] = ACTIONS(1990),
    [aux_sym__keyword_cast_token1] = ACTIONS(1992),
    [aux_sym__keyword_cast_token2] = ACTIONS(1992),
    [aux_sym__keyword_date_token1] = ACTIONS(1994),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1994),
    [aux_sym__keyword_time_token1] = ACTIONS(1994),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1994),
    [anon_sym_LPAREN] = ACTIONS(1996),
    [aux_sym_drop_notnull_token1] = ACTIONS(1998),
    [aux_sym_function_call_token2] = ACTIONS(2000),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2004),
    [aux_sym_FALSE_token1] = ACTIONS(2006),
    [sym__integer] = ACTIONS(2008),
    [aux_sym__float_token1] = ACTIONS(2010),
    [aux_sym__float_token2] = ACTIONS(2008),
    [aux_sym__float_token3] = ACTIONS(2010),
    [aux_sym_numeric_token1] = ACTIONS(2012),
    [aux_sym_numeric_token2] = ACTIONS(2012),
    [aux_sym_numeric_token3] = ACTIONS(2012),
    [aux_sym_numeric_token4] = ACTIONS(2012),
    [aux_sym_interval_token1] = ACTIONS(2014),
    [anon_sym_LBRACK] = ACTIONS(2016),
    [aux_sym_json_token1] = ACTIONS(2018),
    [sym_system_variable] = ACTIONS(2020),
    [sym__named_query_parameter] = ACTIONS(2022),
    [sym__positional_query_parameter] = ACTIONS(2024),
    [sym__quoted_identifier] = ACTIONS(2026),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2028),
    [anon_sym_PLUS] = ACTIONS(2030),
    [anon_sym_DASH] = ACTIONS(2030),
    [anon_sym_operator_compare] = ACTIONS(2032),
    [anon_sym_DOLLAR] = ACTIONS(2034),
    [sym__string_start] = ACTIONS(2036),
  },
  [1228] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16282),
    [sym__keyword_case] = STATE(374),
    [sym__keyword_not] = STATE(1069),
    [sym__keyword_cast] = STATE(19285),
    [sym__keyword_date] = STATE(10540),
    [sym__keyword_datetime] = STATE(10540),
    [sym__keyword_time] = STATE(10540),
    [sym__keyword_timestamp] = STATE(10540),
    [sym_select_subexpression] = STATE(10861),
    [sym_function_call] = STATE(10861),
    [sym_unnest_operator] = STATE(6471),
    [sym_unnest_clause] = STATE(10861),
    [sym__literal] = STATE(10861),
    [sym_NULL] = STATE(10861),
    [sym_TRUE] = STATE(10861),
    [sym_FALSE] = STATE(10861),
    [sym__float] = STATE(10863),
    [sym_numeric] = STATE(10863),
    [sym__number] = STATE(10863),
    [sym_interval] = STATE(10861),
    [sym_range] = STATE(10861),
    [sym_time] = STATE(10861),
    [sym_number] = STATE(10861),
    [sym_json] = STATE(10861),
    [sym_query_parameter] = STATE(10861),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19065),
    [sym__type_array] = STATE(18448),
    [sym_array] = STATE(10861),
    [sym_struct] = STATE(10861),
    [sym__identifier] = STATE(10536),
    [sym__dotted_identifier] = STATE(14157),
    [sym_identifier] = STATE(10772),
    [sym_string] = STATE(10861),
    [sym__expression] = STATE(9140),
    [sym__parenthesized_expression] = STATE(10861),
    [sym_element_access] = STATE(10861),
    [sym_field_access] = STATE(10861),
    [sym_unary_expression] = STATE(10861),
    [sym_binary_expression] = STATE(10861),
    [sym_between_operator] = STATE(10861),
    [sym_casewhen_expression] = STATE(10861),
    [sym_cast_expression] = STATE(10861),
    [sym_argument_reference] = STATE(10861),
    [aux_sym_identifier_repeat1] = STATE(14157),
    [sym__unquoted_identifier] = ACTIONS(2552),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2554),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2556),
    [aux_sym__keyword_case_token1] = ACTIONS(2558),
    [aux_sym__keyword_cast_token1] = ACTIONS(2560),
    [aux_sym__keyword_cast_token2] = ACTIONS(2560),
    [aux_sym__keyword_date_token1] = ACTIONS(2562),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2562),
    [aux_sym__keyword_time_token1] = ACTIONS(2562),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [aux_sym_drop_notnull_token1] = ACTIONS(2566),
    [aux_sym_function_call_token2] = ACTIONS(2568),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2570),
    [aux_sym_FALSE_token1] = ACTIONS(2572),
    [sym__integer] = ACTIONS(2574),
    [aux_sym__float_token1] = ACTIONS(2576),
    [aux_sym__float_token2] = ACTIONS(2574),
    [aux_sym__float_token3] = ACTIONS(2576),
    [aux_sym_numeric_token1] = ACTIONS(2578),
    [aux_sym_numeric_token2] = ACTIONS(2578),
    [aux_sym_numeric_token3] = ACTIONS(2578),
    [aux_sym_numeric_token4] = ACTIONS(2578),
    [aux_sym_interval_token1] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [aux_sym_json_token1] = ACTIONS(2584),
    [sym_system_variable] = ACTIONS(2586),
    [sym__named_query_parameter] = ACTIONS(2588),
    [sym__positional_query_parameter] = ACTIONS(2590),
    [sym__quoted_identifier] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_operator_compare] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [sym__string_start] = ACTIONS(2602),
  },
  [1229] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(7689),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1230] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(7676),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1231] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16148),
    [sym__keyword_case] = STATE(268),
    [sym__keyword_not] = STATE(1835),
    [sym__keyword_cast] = STATE(19305),
    [sym__keyword_date] = STATE(7284),
    [sym__keyword_datetime] = STATE(7284),
    [sym__keyword_time] = STATE(7284),
    [sym__keyword_timestamp] = STATE(7284),
    [sym_select_subexpression] = STATE(7910),
    [sym_function_call] = STATE(7910),
    [sym_unnest_operator] = STATE(5277),
    [sym_unnest_clause] = STATE(7910),
    [sym__literal] = STATE(7910),
    [sym_NULL] = STATE(7910),
    [sym_TRUE] = STATE(7910),
    [sym_FALSE] = STATE(7910),
    [sym__float] = STATE(7895),
    [sym_numeric] = STATE(7895),
    [sym__number] = STATE(7895),
    [sym_interval] = STATE(7910),
    [sym_range] = STATE(7910),
    [sym_time] = STATE(7910),
    [sym_number] = STATE(7910),
    [sym_json] = STATE(7910),
    [sym_query_parameter] = STATE(7910),
    [sym__type_chrono] = STATE(7179),
    [sym__type_struct] = STATE(19135),
    [sym__type_array] = STATE(18721),
    [sym_array] = STATE(7910),
    [sym_struct] = STATE(7910),
    [sym__identifier] = STATE(5408),
    [sym__dotted_identifier] = STATE(13708),
    [sym_identifier] = STATE(7424),
    [sym_string] = STATE(7910),
    [sym__expression] = STATE(5912),
    [sym__parenthesized_expression] = STATE(7910),
    [sym_element_access] = STATE(7910),
    [sym_field_access] = STATE(7910),
    [sym_unary_expression] = STATE(7910),
    [sym_binary_expression] = STATE(7910),
    [sym_between_operator] = STATE(7910),
    [sym_casewhen_expression] = STATE(7910),
    [sym_cast_expression] = STATE(7910),
    [sym_argument_reference] = STATE(7910),
    [aux_sym_identifier_repeat1] = STATE(13708),
    [sym__unquoted_identifier] = ACTIONS(2440),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2442),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2444),
    [aux_sym__keyword_case_token1] = ACTIONS(2446),
    [aux_sym__keyword_cast_token1] = ACTIONS(2448),
    [aux_sym__keyword_cast_token2] = ACTIONS(2448),
    [aux_sym__keyword_date_token1] = ACTIONS(2450),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2450),
    [aux_sym__keyword_time_token1] = ACTIONS(2450),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2452),
    [aux_sym_drop_notnull_token1] = ACTIONS(2454),
    [aux_sym_function_call_token2] = ACTIONS(2456),
    [aux_sym_unnest_operator_token1] = ACTIONS(2458),
    [aux_sym_TRUE_token1] = ACTIONS(2460),
    [aux_sym_FALSE_token1] = ACTIONS(2462),
    [sym__integer] = ACTIONS(2464),
    [aux_sym__float_token1] = ACTIONS(2466),
    [aux_sym__float_token2] = ACTIONS(2464),
    [aux_sym__float_token3] = ACTIONS(2466),
    [aux_sym_numeric_token1] = ACTIONS(2468),
    [aux_sym_numeric_token2] = ACTIONS(2468),
    [aux_sym_numeric_token3] = ACTIONS(2468),
    [aux_sym_numeric_token4] = ACTIONS(2468),
    [aux_sym_interval_token1] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [aux_sym_json_token1] = ACTIONS(2474),
    [sym_system_variable] = ACTIONS(2476),
    [sym__named_query_parameter] = ACTIONS(2478),
    [sym__positional_query_parameter] = ACTIONS(2480),
    [sym__quoted_identifier] = ACTIONS(2482),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2484),
    [anon_sym_PLUS] = ACTIONS(2486),
    [anon_sym_DASH] = ACTIONS(2486),
    [anon_sym_operator_compare] = ACTIONS(2488),
    [anon_sym_DOLLAR] = ACTIONS(2490),
    [sym__string_start] = ACTIONS(2492),
  },
  [1232] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(7677),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1233] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16208),
    [sym__keyword_case] = STATE(337),
    [sym__keyword_not] = STATE(1202),
    [sym__keyword_cast] = STATE(19297),
    [sym__keyword_date] = STATE(4227),
    [sym__keyword_datetime] = STATE(4227),
    [sym__keyword_time] = STATE(4227),
    [sym__keyword_timestamp] = STATE(4227),
    [sym_select_subexpression] = STATE(4593),
    [sym_function_call] = STATE(4593),
    [sym_unnest_operator] = STATE(2516),
    [sym_unnest_clause] = STATE(4593),
    [sym__literal] = STATE(4593),
    [sym_NULL] = STATE(4593),
    [sym_TRUE] = STATE(4593),
    [sym_FALSE] = STATE(4593),
    [sym__float] = STATE(4592),
    [sym_numeric] = STATE(4592),
    [sym__number] = STATE(4592),
    [sym_interval] = STATE(4593),
    [sym_range] = STATE(4593),
    [sym_time] = STATE(4593),
    [sym_number] = STATE(4593),
    [sym_json] = STATE(4593),
    [sym_query_parameter] = STATE(4593),
    [sym__type_chrono] = STATE(4194),
    [sym__type_struct] = STATE(19107),
    [sym__type_array] = STATE(18613),
    [sym_array] = STATE(4593),
    [sym_struct] = STATE(4593),
    [sym__identifier] = STATE(4341),
    [sym__dotted_identifier] = STATE(14156),
    [sym_identifier] = STATE(4415),
    [sym_string] = STATE(4593),
    [sym__expression] = STATE(2791),
    [sym__parenthesized_expression] = STATE(4593),
    [sym_element_access] = STATE(4593),
    [sym_field_access] = STATE(4593),
    [sym_unary_expression] = STATE(4593),
    [sym_binary_expression] = STATE(4593),
    [sym_between_operator] = STATE(4593),
    [sym_casewhen_expression] = STATE(4593),
    [sym_cast_expression] = STATE(4593),
    [sym_argument_reference] = STATE(4593),
    [aux_sym_identifier_repeat1] = STATE(14156),
    [sym__unquoted_identifier] = ACTIONS(1984),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1986),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1988),
    [aux_sym__keyword_case_token1] = ACTIONS(1990),
    [aux_sym__keyword_cast_token1] = ACTIONS(1992),
    [aux_sym__keyword_cast_token2] = ACTIONS(1992),
    [aux_sym__keyword_date_token1] = ACTIONS(1994),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1994),
    [aux_sym__keyword_time_token1] = ACTIONS(1994),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1994),
    [anon_sym_LPAREN] = ACTIONS(1996),
    [aux_sym_drop_notnull_token1] = ACTIONS(1998),
    [aux_sym_function_call_token2] = ACTIONS(2000),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2004),
    [aux_sym_FALSE_token1] = ACTIONS(2006),
    [sym__integer] = ACTIONS(2008),
    [aux_sym__float_token1] = ACTIONS(2010),
    [aux_sym__float_token2] = ACTIONS(2008),
    [aux_sym__float_token3] = ACTIONS(2010),
    [aux_sym_numeric_token1] = ACTIONS(2012),
    [aux_sym_numeric_token2] = ACTIONS(2012),
    [aux_sym_numeric_token3] = ACTIONS(2012),
    [aux_sym_numeric_token4] = ACTIONS(2012),
    [aux_sym_interval_token1] = ACTIONS(2014),
    [anon_sym_LBRACK] = ACTIONS(2016),
    [aux_sym_json_token1] = ACTIONS(2018),
    [sym_system_variable] = ACTIONS(2020),
    [sym__named_query_parameter] = ACTIONS(2022),
    [sym__positional_query_parameter] = ACTIONS(2024),
    [sym__quoted_identifier] = ACTIONS(2026),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2028),
    [anon_sym_PLUS] = ACTIONS(2030),
    [anon_sym_DASH] = ACTIONS(2030),
    [anon_sym_operator_compare] = ACTIONS(2032),
    [anon_sym_DOLLAR] = ACTIONS(2034),
    [sym__string_start] = ACTIONS(2036),
  },
  [1234] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16311),
    [sym__keyword_case] = STATE(358),
    [sym__keyword_not] = STATE(1156),
    [sym__keyword_cast] = STATE(19279),
    [sym__keyword_date] = STATE(2060),
    [sym__keyword_datetime] = STATE(2060),
    [sym__keyword_time] = STATE(2060),
    [sym__keyword_timestamp] = STATE(2060),
    [sym_select_subexpression] = STATE(2225),
    [sym_function_call] = STATE(2225),
    [sym_unnest_operator] = STATE(108),
    [sym_unnest_clause] = STATE(2225),
    [sym__literal] = STATE(2225),
    [sym_NULL] = STATE(2225),
    [sym_TRUE] = STATE(2225),
    [sym_FALSE] = STATE(2225),
    [sym__float] = STATE(2243),
    [sym_numeric] = STATE(2243),
    [sym__number] = STATE(2243),
    [sym_interval] = STATE(2225),
    [sym_range] = STATE(2225),
    [sym_time] = STATE(2225),
    [sym_number] = STATE(2225),
    [sym_json] = STATE(2225),
    [sym_query_parameter] = STATE(2225),
    [sym__type_chrono] = STATE(1347),
    [sym__type_struct] = STATE(19044),
    [sym__type_array] = STATE(18343),
    [sym_array] = STATE(2225),
    [sym_struct] = STATE(2225),
    [sym__identifier] = STATE(1950),
    [sym__dotted_identifier] = STATE(13635),
    [sym_identifier] = STATE(2273),
    [sym_string] = STATE(2225),
    [sym__expression] = STATE(136),
    [sym__parenthesized_expression] = STATE(2225),
    [sym_element_access] = STATE(2225),
    [sym_field_access] = STATE(2225),
    [sym_unary_expression] = STATE(2225),
    [sym_binary_expression] = STATE(2225),
    [sym_between_operator] = STATE(2225),
    [sym_casewhen_expression] = STATE(2225),
    [sym_cast_expression] = STATE(2225),
    [sym_argument_reference] = STATE(2225),
    [aux_sym_identifier_repeat1] = STATE(13635),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [1235] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9845),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1236] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16325),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1073),
    [sym__keyword_cast] = STATE(19275),
    [sym__keyword_date] = STATE(9495),
    [sym__keyword_datetime] = STATE(9495),
    [sym__keyword_time] = STATE(9495),
    [sym__keyword_timestamp] = STATE(9495),
    [sym_select_subexpression] = STATE(10495),
    [sym_function_call] = STATE(10495),
    [sym_unnest_operator] = STATE(6473),
    [sym_unnest_clause] = STATE(10495),
    [sym__literal] = STATE(10495),
    [sym_NULL] = STATE(10495),
    [sym_TRUE] = STATE(10495),
    [sym_FALSE] = STATE(10495),
    [sym__float] = STATE(10492),
    [sym_numeric] = STATE(10492),
    [sym__number] = STATE(10492),
    [sym_interval] = STATE(10495),
    [sym_range] = STATE(10495),
    [sym_time] = STATE(10495),
    [sym_number] = STATE(10495),
    [sym_json] = STATE(10495),
    [sym_query_parameter] = STATE(10495),
    [sym__type_chrono] = STATE(8422),
    [sym__type_struct] = STATE(19027),
    [sym__type_array] = STATE(18285),
    [sym_array] = STATE(10495),
    [sym_struct] = STATE(10495),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9694),
    [sym_string] = STATE(10495),
    [sym__expression] = STATE(9711),
    [sym__parenthesized_expression] = STATE(10495),
    [sym_element_access] = STATE(10495),
    [sym_field_access] = STATE(10495),
    [sym_unary_expression] = STATE(10495),
    [sym_binary_expression] = STATE(10495),
    [sym_between_operator] = STATE(10495),
    [sym_casewhen_expression] = STATE(10495),
    [sym_cast_expression] = STATE(10495),
    [sym_argument_reference] = STATE(10495),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2042),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2044),
    [aux_sym__keyword_case_token1] = ACTIONS(2046),
    [aux_sym__keyword_cast_token1] = ACTIONS(2048),
    [aux_sym__keyword_cast_token2] = ACTIONS(2048),
    [aux_sym__keyword_date_token1] = ACTIONS(2050),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2050),
    [aux_sym__keyword_time_token1] = ACTIONS(2050),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [aux_sym_drop_notnull_token1] = ACTIONS(2054),
    [aux_sym_function_call_token2] = ACTIONS(2056),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2060),
    [aux_sym_FALSE_token1] = ACTIONS(2062),
    [sym__integer] = ACTIONS(2064),
    [aux_sym__float_token1] = ACTIONS(2066),
    [aux_sym__float_token2] = ACTIONS(2064),
    [aux_sym__float_token3] = ACTIONS(2066),
    [aux_sym_numeric_token1] = ACTIONS(2068),
    [aux_sym_numeric_token2] = ACTIONS(2068),
    [aux_sym_numeric_token3] = ACTIONS(2068),
    [aux_sym_numeric_token4] = ACTIONS(2068),
    [aux_sym_interval_token1] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_json_token1] = ACTIONS(2074),
    [sym_system_variable] = ACTIONS(2076),
    [sym__named_query_parameter] = ACTIONS(2078),
    [sym__positional_query_parameter] = ACTIONS(2080),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_operator_compare] = ACTIONS(2086),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [sym__string_start] = ACTIONS(2090),
  },
  [1237] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(7684),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1238] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10010),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1239] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16282),
    [sym__keyword_case] = STATE(374),
    [sym__keyword_not] = STATE(1069),
    [sym__keyword_cast] = STATE(19285),
    [sym__keyword_date] = STATE(10540),
    [sym__keyword_datetime] = STATE(10540),
    [sym__keyword_time] = STATE(10540),
    [sym__keyword_timestamp] = STATE(10540),
    [sym_select_subexpression] = STATE(10861),
    [sym_function_call] = STATE(10861),
    [sym_unnest_operator] = STATE(6471),
    [sym_unnest_clause] = STATE(10861),
    [sym__literal] = STATE(10861),
    [sym_NULL] = STATE(10861),
    [sym_TRUE] = STATE(10861),
    [sym_FALSE] = STATE(10861),
    [sym__float] = STATE(10863),
    [sym_numeric] = STATE(10863),
    [sym__number] = STATE(10863),
    [sym_interval] = STATE(10861),
    [sym_range] = STATE(10861),
    [sym_time] = STATE(10861),
    [sym_number] = STATE(10861),
    [sym_json] = STATE(10861),
    [sym_query_parameter] = STATE(10861),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19065),
    [sym__type_array] = STATE(18448),
    [sym_array] = STATE(10861),
    [sym_struct] = STATE(10861),
    [sym__identifier] = STATE(10536),
    [sym__dotted_identifier] = STATE(14157),
    [sym_identifier] = STATE(10772),
    [sym_string] = STATE(10861),
    [sym__expression] = STATE(9126),
    [sym__parenthesized_expression] = STATE(10861),
    [sym_element_access] = STATE(10861),
    [sym_field_access] = STATE(10861),
    [sym_unary_expression] = STATE(10861),
    [sym_binary_expression] = STATE(10861),
    [sym_between_operator] = STATE(10861),
    [sym_casewhen_expression] = STATE(10861),
    [sym_cast_expression] = STATE(10861),
    [sym_argument_reference] = STATE(10861),
    [aux_sym_identifier_repeat1] = STATE(14157),
    [sym__unquoted_identifier] = ACTIONS(2552),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2554),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2556),
    [aux_sym__keyword_case_token1] = ACTIONS(2558),
    [aux_sym__keyword_cast_token1] = ACTIONS(2560),
    [aux_sym__keyword_cast_token2] = ACTIONS(2560),
    [aux_sym__keyword_date_token1] = ACTIONS(2562),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2562),
    [aux_sym__keyword_time_token1] = ACTIONS(2562),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [aux_sym_drop_notnull_token1] = ACTIONS(2566),
    [aux_sym_function_call_token2] = ACTIONS(2568),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2570),
    [aux_sym_FALSE_token1] = ACTIONS(2572),
    [sym__integer] = ACTIONS(2574),
    [aux_sym__float_token1] = ACTIONS(2576),
    [aux_sym__float_token2] = ACTIONS(2574),
    [aux_sym__float_token3] = ACTIONS(2576),
    [aux_sym_numeric_token1] = ACTIONS(2578),
    [aux_sym_numeric_token2] = ACTIONS(2578),
    [aux_sym_numeric_token3] = ACTIONS(2578),
    [aux_sym_numeric_token4] = ACTIONS(2578),
    [aux_sym_interval_token1] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [aux_sym_json_token1] = ACTIONS(2584),
    [sym_system_variable] = ACTIONS(2586),
    [sym__named_query_parameter] = ACTIONS(2588),
    [sym__positional_query_parameter] = ACTIONS(2590),
    [sym__quoted_identifier] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_operator_compare] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [sym__string_start] = ACTIONS(2602),
  },
  [1240] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(7686),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1241] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_select_subexpression] = STATE(9926),
    [sym_function_call] = STATE(9926),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(13757),
    [sym_identifier] = STATE(9720),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7039),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [1242] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16311),
    [sym__keyword_case] = STATE(358),
    [sym__keyword_not] = STATE(1156),
    [sym__keyword_cast] = STATE(19279),
    [sym__keyword_date] = STATE(2060),
    [sym__keyword_datetime] = STATE(2060),
    [sym__keyword_time] = STATE(2060),
    [sym__keyword_timestamp] = STATE(2060),
    [sym_select_subexpression] = STATE(2225),
    [sym_function_call] = STATE(2225),
    [sym_unnest_operator] = STATE(108),
    [sym_unnest_clause] = STATE(2225),
    [sym__literal] = STATE(2225),
    [sym_NULL] = STATE(2225),
    [sym_TRUE] = STATE(2225),
    [sym_FALSE] = STATE(2225),
    [sym__float] = STATE(2243),
    [sym_numeric] = STATE(2243),
    [sym__number] = STATE(2243),
    [sym_interval] = STATE(2225),
    [sym_range] = STATE(2225),
    [sym_time] = STATE(2225),
    [sym_number] = STATE(2225),
    [sym_json] = STATE(2225),
    [sym_query_parameter] = STATE(2225),
    [sym__type_chrono] = STATE(1347),
    [sym__type_struct] = STATE(19044),
    [sym__type_array] = STATE(18343),
    [sym_array] = STATE(2225),
    [sym_struct] = STATE(2225),
    [sym__identifier] = STATE(1950),
    [sym__dotted_identifier] = STATE(13635),
    [sym_identifier] = STATE(2273),
    [sym_string] = STATE(2225),
    [sym__expression] = STATE(144),
    [sym__parenthesized_expression] = STATE(2225),
    [sym_element_access] = STATE(2225),
    [sym_field_access] = STATE(2225),
    [sym_unary_expression] = STATE(2225),
    [sym_binary_expression] = STATE(2225),
    [sym_between_operator] = STATE(2225),
    [sym_casewhen_expression] = STATE(2225),
    [sym_cast_expression] = STATE(2225),
    [sym_argument_reference] = STATE(2225),
    [aux_sym_identifier_repeat1] = STATE(13635),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [1243] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(7688),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1244] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10195),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1245] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9833),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1246] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_select_subexpression] = STATE(9926),
    [sym_function_call] = STATE(9926),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(13757),
    [sym_identifier] = STATE(9720),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7046),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [1247] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16208),
    [sym__keyword_case] = STATE(337),
    [sym__keyword_not] = STATE(1202),
    [sym__keyword_cast] = STATE(19297),
    [sym__keyword_date] = STATE(4227),
    [sym__keyword_datetime] = STATE(4227),
    [sym__keyword_time] = STATE(4227),
    [sym__keyword_timestamp] = STATE(4227),
    [sym_select_subexpression] = STATE(4593),
    [sym_function_call] = STATE(4593),
    [sym_unnest_operator] = STATE(2516),
    [sym_unnest_clause] = STATE(4593),
    [sym__literal] = STATE(4593),
    [sym_NULL] = STATE(4593),
    [sym_TRUE] = STATE(4593),
    [sym_FALSE] = STATE(4593),
    [sym__float] = STATE(4592),
    [sym_numeric] = STATE(4592),
    [sym__number] = STATE(4592),
    [sym_interval] = STATE(4593),
    [sym_range] = STATE(4593),
    [sym_time] = STATE(4593),
    [sym_number] = STATE(4593),
    [sym_json] = STATE(4593),
    [sym_query_parameter] = STATE(4593),
    [sym__type_chrono] = STATE(4194),
    [sym__type_struct] = STATE(19107),
    [sym__type_array] = STATE(18613),
    [sym_array] = STATE(4593),
    [sym_struct] = STATE(4593),
    [sym__identifier] = STATE(4341),
    [sym__dotted_identifier] = STATE(14156),
    [sym_identifier] = STATE(4415),
    [sym_string] = STATE(4593),
    [sym__expression] = STATE(2794),
    [sym__parenthesized_expression] = STATE(4593),
    [sym_element_access] = STATE(4593),
    [sym_field_access] = STATE(4593),
    [sym_unary_expression] = STATE(4593),
    [sym_binary_expression] = STATE(4593),
    [sym_between_operator] = STATE(4593),
    [sym_casewhen_expression] = STATE(4593),
    [sym_cast_expression] = STATE(4593),
    [sym_argument_reference] = STATE(4593),
    [aux_sym_identifier_repeat1] = STATE(14156),
    [sym__unquoted_identifier] = ACTIONS(1984),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1986),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1988),
    [aux_sym__keyword_case_token1] = ACTIONS(1990),
    [aux_sym__keyword_cast_token1] = ACTIONS(1992),
    [aux_sym__keyword_cast_token2] = ACTIONS(1992),
    [aux_sym__keyword_date_token1] = ACTIONS(1994),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1994),
    [aux_sym__keyword_time_token1] = ACTIONS(1994),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1994),
    [anon_sym_LPAREN] = ACTIONS(1996),
    [aux_sym_drop_notnull_token1] = ACTIONS(1998),
    [aux_sym_function_call_token2] = ACTIONS(2000),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2004),
    [aux_sym_FALSE_token1] = ACTIONS(2006),
    [sym__integer] = ACTIONS(2008),
    [aux_sym__float_token1] = ACTIONS(2010),
    [aux_sym__float_token2] = ACTIONS(2008),
    [aux_sym__float_token3] = ACTIONS(2010),
    [aux_sym_numeric_token1] = ACTIONS(2012),
    [aux_sym_numeric_token2] = ACTIONS(2012),
    [aux_sym_numeric_token3] = ACTIONS(2012),
    [aux_sym_numeric_token4] = ACTIONS(2012),
    [aux_sym_interval_token1] = ACTIONS(2014),
    [anon_sym_LBRACK] = ACTIONS(2016),
    [aux_sym_json_token1] = ACTIONS(2018),
    [sym_system_variable] = ACTIONS(2020),
    [sym__named_query_parameter] = ACTIONS(2022),
    [sym__positional_query_parameter] = ACTIONS(2024),
    [sym__quoted_identifier] = ACTIONS(2026),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2028),
    [anon_sym_PLUS] = ACTIONS(2030),
    [anon_sym_DASH] = ACTIONS(2030),
    [anon_sym_operator_compare] = ACTIONS(2032),
    [anon_sym_DOLLAR] = ACTIONS(2034),
    [sym__string_start] = ACTIONS(2036),
  },
  [1248] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16311),
    [sym__keyword_case] = STATE(358),
    [sym__keyword_not] = STATE(1156),
    [sym__keyword_cast] = STATE(19279),
    [sym__keyword_date] = STATE(2060),
    [sym__keyword_datetime] = STATE(2060),
    [sym__keyword_time] = STATE(2060),
    [sym__keyword_timestamp] = STATE(2060),
    [sym_select_subexpression] = STATE(2225),
    [sym_function_call] = STATE(2225),
    [sym_unnest_operator] = STATE(108),
    [sym_unnest_clause] = STATE(2225),
    [sym__literal] = STATE(2225),
    [sym_NULL] = STATE(2225),
    [sym_TRUE] = STATE(2225),
    [sym_FALSE] = STATE(2225),
    [sym__float] = STATE(2243),
    [sym_numeric] = STATE(2243),
    [sym__number] = STATE(2243),
    [sym_interval] = STATE(2225),
    [sym_range] = STATE(2225),
    [sym_time] = STATE(2225),
    [sym_number] = STATE(2225),
    [sym_json] = STATE(2225),
    [sym_query_parameter] = STATE(2225),
    [sym__type_chrono] = STATE(1347),
    [sym__type_struct] = STATE(19044),
    [sym__type_array] = STATE(18343),
    [sym_array] = STATE(2225),
    [sym_struct] = STATE(2225),
    [sym__identifier] = STATE(1950),
    [sym__dotted_identifier] = STATE(13635),
    [sym_identifier] = STATE(2273),
    [sym_string] = STATE(2225),
    [sym__expression] = STATE(145),
    [sym__parenthesized_expression] = STATE(2225),
    [sym_element_access] = STATE(2225),
    [sym_field_access] = STATE(2225),
    [sym_unary_expression] = STATE(2225),
    [sym_binary_expression] = STATE(2225),
    [sym_between_operator] = STATE(2225),
    [sym_casewhen_expression] = STATE(2225),
    [sym_cast_expression] = STATE(2225),
    [sym_argument_reference] = STATE(2225),
    [aux_sym_identifier_repeat1] = STATE(13635),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [1249] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16311),
    [sym__keyword_case] = STATE(358),
    [sym__keyword_not] = STATE(1156),
    [sym__keyword_cast] = STATE(19279),
    [sym__keyword_date] = STATE(2060),
    [sym__keyword_datetime] = STATE(2060),
    [sym__keyword_time] = STATE(2060),
    [sym__keyword_timestamp] = STATE(2060),
    [sym_select_subexpression] = STATE(2225),
    [sym_function_call] = STATE(2225),
    [sym_unnest_operator] = STATE(108),
    [sym_unnest_clause] = STATE(2225),
    [sym__literal] = STATE(2225),
    [sym_NULL] = STATE(2225),
    [sym_TRUE] = STATE(2225),
    [sym_FALSE] = STATE(2225),
    [sym__float] = STATE(2243),
    [sym_numeric] = STATE(2243),
    [sym__number] = STATE(2243),
    [sym_interval] = STATE(2225),
    [sym_range] = STATE(2225),
    [sym_time] = STATE(2225),
    [sym_number] = STATE(2225),
    [sym_json] = STATE(2225),
    [sym_query_parameter] = STATE(2225),
    [sym__type_chrono] = STATE(1347),
    [sym__type_struct] = STATE(19044),
    [sym__type_array] = STATE(18343),
    [sym_array] = STATE(2225),
    [sym_struct] = STATE(2225),
    [sym__identifier] = STATE(1950),
    [sym__dotted_identifier] = STATE(13635),
    [sym_identifier] = STATE(2273),
    [sym_string] = STATE(2225),
    [sym__expression] = STATE(146),
    [sym__parenthesized_expression] = STATE(2225),
    [sym_element_access] = STATE(2225),
    [sym_field_access] = STATE(2225),
    [sym_unary_expression] = STATE(2225),
    [sym_binary_expression] = STATE(2225),
    [sym_between_operator] = STATE(2225),
    [sym_casewhen_expression] = STATE(2225),
    [sym_cast_expression] = STATE(2225),
    [sym_argument_reference] = STATE(2225),
    [aux_sym_identifier_repeat1] = STATE(13635),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [1250] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9685),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1251] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2486),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3928),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2418),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1252] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2486),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3801),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2418),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1253] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10342),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1254] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9823),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1255] = {
    [sym_analytics_clause] = STATE(2110),
    [sym__unquoted_identifier] = ACTIONS(1412),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1412),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1412),
    [aux_sym_keyword_replace_token1] = ACTIONS(1412),
    [aux_sym__keyword_alter_token1] = ACTIONS(1412),
    [aux_sym__keyword_from_token1] = ACTIONS(1412),
    [aux_sym__keyword_delete_token1] = ACTIONS(1412),
    [aux_sym__keyword_begin_token1] = ACTIONS(1412),
    [aux_sym__keyword_end_token1] = ACTIONS(1412),
    [aux_sym__keyword_between_token1] = ACTIONS(1412),
    [aux_sym__keyword_when_token1] = ACTIONS(1412),
    [aux_sym__keyword_else_token1] = ACTIONS(1412),
    [aux_sym__keyword_is_token1] = ACTIONS(1412),
    [aux_sym__keyword_in_token1] = ACTIONS(1412),
    [aux_sym__keyword_and_token1] = ACTIONS(1412),
    [aux_sym__keyword_like_token1] = ACTIONS(1412),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1412),
    [aux_sym__keyword_as_token1] = ACTIONS(1412),
    [aux_sym__keyword_window_token1] = ACTIONS(1412),
    [aux_sym__keyword_date_token1] = ACTIONS(1412),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1412),
    [aux_sym__keyword_time_token1] = ACTIONS(1412),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1412),
    [aux_sym__keyword_for_token1] = ACTIONS(1412),
    [anon_sym_SEMI] = ACTIONS(1410),
    [aux_sym_declare_statement_token1] = ACTIONS(1412),
    [anon_sym_COMMA] = ACTIONS(1410),
    [aux_sym_set_statement_token1] = ACTIONS(1412),
    [anon_sym_LPAREN] = ACTIONS(1410),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1412),
    [aux_sym_return_satement_token1] = ACTIONS(1412),
    [aux_sym_call_statement_token1] = ACTIONS(1412),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1412),
    [aux_sym_if_statement_token1] = ACTIONS(1412),
    [aux_sym_loop_statement_token1] = ACTIONS(1412),
    [aux_sym_repeat_statement_token1] = ACTIONS(1412),
    [aux_sym_while_statement_token1] = ACTIONS(1412),
    [aux_sym_break_statement_token1] = ACTIONS(1412),
    [aux_sym_leave_statement_token1] = ACTIONS(1412),
    [aux_sym_continue_statement_token1] = ACTIONS(1412),
    [aux_sym_iterate_statement_token1] = ACTIONS(1412),
    [aux_sym_raise_statement_token1] = ACTIONS(1412),
    [anon_sym_EQ] = ACTIONS(1410),
    [aux_sym_assert_statement_token1] = ACTIONS(1412),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1412),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1412),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1412),
    [anon_sym_LT] = ACTIONS(1412),
    [anon_sym_GT] = ACTIONS(1412),
    [aux_sym_set_operation_token1] = ACTIONS(1412),
    [aux_sym_set_operation_token3] = ACTIONS(1412),
    [aux_sym_set_operation_token4] = ACTIONS(1412),
    [aux_sym_select_token1] = ACTIONS(1412),
    [aux_sym_having_clause_token1] = ACTIONS(1412),
    [aux_sym_qualify_clause_token1] = ACTIONS(1412),
    [aux_sym_limit_clause_token1] = ACTIONS(1412),
    [aux_sym_group_by_clause_token1] = ACTIONS(1412),
    [aux_sym_order_by_clause_token1] = ACTIONS(1412),
    [aux_sym_where_clause_token1] = ACTIONS(1412),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1412),
    [aux_sym_truncate_statement_token1] = ACTIONS(1412),
    [aux_sym_update_statement_token1] = ACTIONS(1412),
    [aux_sym_merge_statement_token1] = ACTIONS(1412),
    [aux_sym_grant_statement_token1] = ACTIONS(1412),
    [aux_sym_revoke_statement_token1] = ACTIONS(1412),
    [aux_sym_export_data_statement_token1] = ACTIONS(1412),
    [aux_sym_load_data_statement_token1] = ACTIONS(1412),
    [anon_sym_LBRACK] = ACTIONS(1410),
    [sym__quoted_identifier] = ACTIONS(1410),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_STAR] = ACTIONS(1410),
    [anon_sym_SLASH] = ACTIONS(1412),
    [anon_sym_PIPE_PIPE] = ACTIONS(1410),
    [anon_sym_LT_EQ] = ACTIONS(1410),
    [anon_sym_LT_GT] = ACTIONS(1410),
    [anon_sym_GT_EQ] = ACTIONS(1410),
    [anon_sym_BANG_EQ] = ACTIONS(1410),
    [anon_sym_LT_LT] = ACTIONS(1410),
    [anon_sym_GT_GT] = ACTIONS(1410),
    [anon_sym_AMP] = ACTIONS(1410),
    [anon_sym_CARET] = ACTIONS(1410),
    [anon_sym_PIPE] = ACTIONS(1412),
  },
  [1256] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(6682),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1257] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16161),
    [sym__keyword_case] = STATE(281),
    [sym__keyword_not] = STATE(1524),
    [sym__keyword_cast] = STATE(19303),
    [sym__keyword_date] = STATE(5561),
    [sym__keyword_datetime] = STATE(5561),
    [sym__keyword_time] = STATE(5561),
    [sym__keyword_timestamp] = STATE(5561),
    [sym_select_subexpression] = STATE(5651),
    [sym_function_call] = STATE(5651),
    [sym_unnest_operator] = STATE(4219),
    [sym_unnest_clause] = STATE(5651),
    [sym__literal] = STATE(5651),
    [sym_NULL] = STATE(5651),
    [sym_TRUE] = STATE(5651),
    [sym_FALSE] = STATE(5651),
    [sym__float] = STATE(5650),
    [sym_numeric] = STATE(5650),
    [sym__number] = STATE(5650),
    [sym_interval] = STATE(5651),
    [sym_range] = STATE(5651),
    [sym_time] = STATE(5651),
    [sym_number] = STATE(5651),
    [sym_json] = STATE(5651),
    [sym_query_parameter] = STATE(5651),
    [sym__type_chrono] = STATE(5409),
    [sym__type_struct] = STATE(19128),
    [sym__type_array] = STATE(18694),
    [sym_array] = STATE(5651),
    [sym_struct] = STATE(5651),
    [sym__identifier] = STATE(5400),
    [sym__dotted_identifier] = STATE(13676),
    [sym_identifier] = STATE(5580),
    [sym_string] = STATE(5651),
    [sym__expression] = STATE(5287),
    [sym__parenthesized_expression] = STATE(5651),
    [sym_element_access] = STATE(5651),
    [sym_field_access] = STATE(5651),
    [sym_unary_expression] = STATE(5651),
    [sym_binary_expression] = STATE(5651),
    [sym_between_operator] = STATE(5651),
    [sym_casewhen_expression] = STATE(5651),
    [sym_cast_expression] = STATE(5651),
    [sym_argument_reference] = STATE(5651),
    [aux_sym_identifier_repeat1] = STATE(13676),
    [sym__unquoted_identifier] = ACTIONS(2498),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2500),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2502),
    [aux_sym__keyword_case_token1] = ACTIONS(2504),
    [aux_sym__keyword_cast_token1] = ACTIONS(2506),
    [aux_sym__keyword_cast_token2] = ACTIONS(2506),
    [aux_sym__keyword_date_token1] = ACTIONS(2508),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2508),
    [aux_sym__keyword_time_token1] = ACTIONS(2508),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2508),
    [anon_sym_LPAREN] = ACTIONS(2510),
    [aux_sym_drop_notnull_token1] = ACTIONS(2512),
    [aux_sym_function_call_token2] = ACTIONS(2514),
    [aux_sym_unnest_operator_token1] = ACTIONS(2516),
    [aux_sym_TRUE_token1] = ACTIONS(2518),
    [aux_sym_FALSE_token1] = ACTIONS(2520),
    [sym__integer] = ACTIONS(2522),
    [aux_sym__float_token1] = ACTIONS(2524),
    [aux_sym__float_token2] = ACTIONS(2522),
    [aux_sym__float_token3] = ACTIONS(2524),
    [aux_sym_numeric_token1] = ACTIONS(2526),
    [aux_sym_numeric_token2] = ACTIONS(2526),
    [aux_sym_numeric_token3] = ACTIONS(2526),
    [aux_sym_numeric_token4] = ACTIONS(2526),
    [aux_sym_interval_token1] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2530),
    [aux_sym_json_token1] = ACTIONS(2532),
    [sym_system_variable] = ACTIONS(2534),
    [sym__named_query_parameter] = ACTIONS(2536),
    [sym__positional_query_parameter] = ACTIONS(2538),
    [sym__quoted_identifier] = ACTIONS(2540),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2542),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_operator_compare] = ACTIONS(2546),
    [anon_sym_DOLLAR] = ACTIONS(2548),
    [sym__string_start] = ACTIONS(2550),
  },
  [1258] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9658),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1259] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16208),
    [sym__keyword_case] = STATE(337),
    [sym__keyword_not] = STATE(1202),
    [sym__keyword_cast] = STATE(19297),
    [sym__keyword_date] = STATE(4227),
    [sym__keyword_datetime] = STATE(4227),
    [sym__keyword_time] = STATE(4227),
    [sym__keyword_timestamp] = STATE(4227),
    [sym_select_subexpression] = STATE(4593),
    [sym_function_call] = STATE(4593),
    [sym_unnest_operator] = STATE(2516),
    [sym_unnest_clause] = STATE(4593),
    [sym__literal] = STATE(4593),
    [sym_NULL] = STATE(4593),
    [sym_TRUE] = STATE(4593),
    [sym_FALSE] = STATE(4593),
    [sym__float] = STATE(4592),
    [sym_numeric] = STATE(4592),
    [sym__number] = STATE(4592),
    [sym_interval] = STATE(4593),
    [sym_range] = STATE(4593),
    [sym_time] = STATE(4593),
    [sym_number] = STATE(4593),
    [sym_json] = STATE(4593),
    [sym_query_parameter] = STATE(4593),
    [sym__type_chrono] = STATE(4194),
    [sym__type_struct] = STATE(19107),
    [sym__type_array] = STATE(18613),
    [sym_array] = STATE(4593),
    [sym_struct] = STATE(4593),
    [sym__identifier] = STATE(4341),
    [sym__dotted_identifier] = STATE(14156),
    [sym_identifier] = STATE(4415),
    [sym_string] = STATE(4593),
    [sym__expression] = STATE(2795),
    [sym__parenthesized_expression] = STATE(4593),
    [sym_element_access] = STATE(4593),
    [sym_field_access] = STATE(4593),
    [sym_unary_expression] = STATE(4593),
    [sym_binary_expression] = STATE(4593),
    [sym_between_operator] = STATE(4593),
    [sym_casewhen_expression] = STATE(4593),
    [sym_cast_expression] = STATE(4593),
    [sym_argument_reference] = STATE(4593),
    [aux_sym_identifier_repeat1] = STATE(14156),
    [sym__unquoted_identifier] = ACTIONS(1984),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1986),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1988),
    [aux_sym__keyword_case_token1] = ACTIONS(1990),
    [aux_sym__keyword_cast_token1] = ACTIONS(1992),
    [aux_sym__keyword_cast_token2] = ACTIONS(1992),
    [aux_sym__keyword_date_token1] = ACTIONS(1994),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1994),
    [aux_sym__keyword_time_token1] = ACTIONS(1994),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1994),
    [anon_sym_LPAREN] = ACTIONS(1996),
    [aux_sym_drop_notnull_token1] = ACTIONS(1998),
    [aux_sym_function_call_token2] = ACTIONS(2000),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2004),
    [aux_sym_FALSE_token1] = ACTIONS(2006),
    [sym__integer] = ACTIONS(2008),
    [aux_sym__float_token1] = ACTIONS(2010),
    [aux_sym__float_token2] = ACTIONS(2008),
    [aux_sym__float_token3] = ACTIONS(2010),
    [aux_sym_numeric_token1] = ACTIONS(2012),
    [aux_sym_numeric_token2] = ACTIONS(2012),
    [aux_sym_numeric_token3] = ACTIONS(2012),
    [aux_sym_numeric_token4] = ACTIONS(2012),
    [aux_sym_interval_token1] = ACTIONS(2014),
    [anon_sym_LBRACK] = ACTIONS(2016),
    [aux_sym_json_token1] = ACTIONS(2018),
    [sym_system_variable] = ACTIONS(2020),
    [sym__named_query_parameter] = ACTIONS(2022),
    [sym__positional_query_parameter] = ACTIONS(2024),
    [sym__quoted_identifier] = ACTIONS(2026),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2028),
    [anon_sym_PLUS] = ACTIONS(2030),
    [anon_sym_DASH] = ACTIONS(2030),
    [anon_sym_operator_compare] = ACTIONS(2032),
    [anon_sym_DOLLAR] = ACTIONS(2034),
    [sym__string_start] = ACTIONS(2036),
  },
  [1260] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16161),
    [sym__keyword_case] = STATE(281),
    [sym__keyword_not] = STATE(1524),
    [sym__keyword_cast] = STATE(19303),
    [sym__keyword_date] = STATE(5561),
    [sym__keyword_datetime] = STATE(5561),
    [sym__keyword_time] = STATE(5561),
    [sym__keyword_timestamp] = STATE(5561),
    [sym_select_subexpression] = STATE(5651),
    [sym_function_call] = STATE(5651),
    [sym_unnest_operator] = STATE(4219),
    [sym_unnest_clause] = STATE(5651),
    [sym__literal] = STATE(5651),
    [sym_NULL] = STATE(5651),
    [sym_TRUE] = STATE(5651),
    [sym_FALSE] = STATE(5651),
    [sym__float] = STATE(5650),
    [sym_numeric] = STATE(5650),
    [sym__number] = STATE(5650),
    [sym_interval] = STATE(5651),
    [sym_range] = STATE(5651),
    [sym_time] = STATE(5651),
    [sym_number] = STATE(5651),
    [sym_json] = STATE(5651),
    [sym_query_parameter] = STATE(5651),
    [sym__type_chrono] = STATE(5409),
    [sym__type_struct] = STATE(19128),
    [sym__type_array] = STATE(18694),
    [sym_array] = STATE(5651),
    [sym_struct] = STATE(5651),
    [sym__identifier] = STATE(5400),
    [sym__dotted_identifier] = STATE(13676),
    [sym_identifier] = STATE(5580),
    [sym_string] = STATE(5651),
    [sym__expression] = STATE(5295),
    [sym__parenthesized_expression] = STATE(5651),
    [sym_element_access] = STATE(5651),
    [sym_field_access] = STATE(5651),
    [sym_unary_expression] = STATE(5651),
    [sym_binary_expression] = STATE(5651),
    [sym_between_operator] = STATE(5651),
    [sym_casewhen_expression] = STATE(5651),
    [sym_cast_expression] = STATE(5651),
    [sym_argument_reference] = STATE(5651),
    [aux_sym_identifier_repeat1] = STATE(13676),
    [sym__unquoted_identifier] = ACTIONS(2498),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2500),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2502),
    [aux_sym__keyword_case_token1] = ACTIONS(2504),
    [aux_sym__keyword_cast_token1] = ACTIONS(2506),
    [aux_sym__keyword_cast_token2] = ACTIONS(2506),
    [aux_sym__keyword_date_token1] = ACTIONS(2508),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2508),
    [aux_sym__keyword_time_token1] = ACTIONS(2508),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2508),
    [anon_sym_LPAREN] = ACTIONS(2510),
    [aux_sym_drop_notnull_token1] = ACTIONS(2512),
    [aux_sym_function_call_token2] = ACTIONS(2514),
    [aux_sym_unnest_operator_token1] = ACTIONS(2516),
    [aux_sym_TRUE_token1] = ACTIONS(2518),
    [aux_sym_FALSE_token1] = ACTIONS(2520),
    [sym__integer] = ACTIONS(2522),
    [aux_sym__float_token1] = ACTIONS(2524),
    [aux_sym__float_token2] = ACTIONS(2522),
    [aux_sym__float_token3] = ACTIONS(2524),
    [aux_sym_numeric_token1] = ACTIONS(2526),
    [aux_sym_numeric_token2] = ACTIONS(2526),
    [aux_sym_numeric_token3] = ACTIONS(2526),
    [aux_sym_numeric_token4] = ACTIONS(2526),
    [aux_sym_interval_token1] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2530),
    [aux_sym_json_token1] = ACTIONS(2532),
    [sym_system_variable] = ACTIONS(2534),
    [sym__named_query_parameter] = ACTIONS(2536),
    [sym__positional_query_parameter] = ACTIONS(2538),
    [sym__quoted_identifier] = ACTIONS(2540),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2542),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_operator_compare] = ACTIONS(2546),
    [anon_sym_DOLLAR] = ACTIONS(2548),
    [sym__string_start] = ACTIONS(2550),
  },
  [1261] = {
    [sym_analytics_clause] = STATE(2128),
    [sym__unquoted_identifier] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1400),
    [aux_sym_keyword_replace_token1] = ACTIONS(1400),
    [aux_sym__keyword_alter_token1] = ACTIONS(1400),
    [aux_sym__keyword_from_token1] = ACTIONS(1400),
    [aux_sym__keyword_delete_token1] = ACTIONS(1400),
    [aux_sym__keyword_begin_token1] = ACTIONS(1400),
    [aux_sym__keyword_end_token1] = ACTIONS(1400),
    [aux_sym__keyword_between_token1] = ACTIONS(1400),
    [aux_sym__keyword_when_token1] = ACTIONS(1400),
    [aux_sym__keyword_else_token1] = ACTIONS(1400),
    [aux_sym__keyword_is_token1] = ACTIONS(1400),
    [aux_sym__keyword_in_token1] = ACTIONS(1400),
    [aux_sym__keyword_and_token1] = ACTIONS(1400),
    [aux_sym__keyword_like_token1] = ACTIONS(1400),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1400),
    [aux_sym__keyword_as_token1] = ACTIONS(1400),
    [aux_sym__keyword_window_token1] = ACTIONS(1400),
    [aux_sym__keyword_date_token1] = ACTIONS(1400),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1400),
    [aux_sym__keyword_time_token1] = ACTIONS(1400),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1400),
    [aux_sym__keyword_for_token1] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1400),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1400),
    [aux_sym_return_satement_token1] = ACTIONS(1400),
    [aux_sym_call_statement_token1] = ACTIONS(1400),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1400),
    [aux_sym_if_statement_token1] = ACTIONS(1400),
    [aux_sym_loop_statement_token1] = ACTIONS(1400),
    [aux_sym_repeat_statement_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token1] = ACTIONS(1400),
    [aux_sym_break_statement_token1] = ACTIONS(1400),
    [aux_sym_leave_statement_token1] = ACTIONS(1400),
    [aux_sym_continue_statement_token1] = ACTIONS(1400),
    [aux_sym_iterate_statement_token1] = ACTIONS(1400),
    [aux_sym_raise_statement_token1] = ACTIONS(1400),
    [anon_sym_EQ] = ACTIONS(1398),
    [aux_sym_assert_statement_token1] = ACTIONS(1400),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1400),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [aux_sym_set_operation_token1] = ACTIONS(1400),
    [aux_sym_set_operation_token3] = ACTIONS(1400),
    [aux_sym_set_operation_token4] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1400),
    [aux_sym_having_clause_token1] = ACTIONS(1400),
    [aux_sym_qualify_clause_token1] = ACTIONS(1400),
    [aux_sym_limit_clause_token1] = ACTIONS(1400),
    [aux_sym_group_by_clause_token1] = ACTIONS(1400),
    [aux_sym_order_by_clause_token1] = ACTIONS(1400),
    [aux_sym_where_clause_token1] = ACTIONS(1400),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1400),
    [aux_sym_truncate_statement_token1] = ACTIONS(1400),
    [aux_sym_update_statement_token1] = ACTIONS(1400),
    [aux_sym_merge_statement_token1] = ACTIONS(1400),
    [aux_sym_grant_statement_token1] = ACTIONS(1400),
    [aux_sym_revoke_statement_token1] = ACTIONS(1400),
    [aux_sym_export_data_statement_token1] = ACTIONS(1400),
    [aux_sym_load_data_statement_token1] = ACTIONS(1400),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym__quoted_identifier] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_LT_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
  },
  [1262] = {
    [ts_builtin_sym_end] = ACTIONS(1842),
    [sym__unquoted_identifier] = ACTIONS(1844),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1844),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1844),
    [aux_sym_keyword_replace_token1] = ACTIONS(1844),
    [aux_sym__keyword_alter_token1] = ACTIONS(1844),
    [aux_sym__keyword_from_token1] = ACTIONS(1844),
    [aux_sym__keyword_delete_token1] = ACTIONS(1844),
    [aux_sym__keyword_begin_token1] = ACTIONS(1844),
    [aux_sym__keyword_end_token1] = ACTIONS(1844),
    [aux_sym__keyword_between_token1] = ACTIONS(1844),
    [aux_sym__keyword_when_token1] = ACTIONS(1844),
    [aux_sym__keyword_else_token1] = ACTIONS(1844),
    [aux_sym__keyword_is_token1] = ACTIONS(1844),
    [aux_sym__keyword_in_token1] = ACTIONS(1844),
    [aux_sym__keyword_and_token1] = ACTIONS(1844),
    [aux_sym__keyword_like_token1] = ACTIONS(1844),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1844),
    [aux_sym__keyword_as_token1] = ACTIONS(1844),
    [aux_sym__keyword_window_token1] = ACTIONS(1844),
    [aux_sym__keyword_date_token1] = ACTIONS(1844),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1844),
    [aux_sym__keyword_time_token1] = ACTIONS(1844),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1844),
    [aux_sym__keyword_for_token1] = ACTIONS(1844),
    [anon_sym_SEMI] = ACTIONS(1842),
    [aux_sym_declare_statement_token1] = ACTIONS(1844),
    [anon_sym_COMMA] = ACTIONS(1842),
    [aux_sym_set_statement_token1] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1842),
    [anon_sym_RPAREN] = ACTIONS(1842),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1844),
    [aux_sym_return_satement_token1] = ACTIONS(1844),
    [aux_sym_call_statement_token1] = ACTIONS(1844),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1844),
    [aux_sym_if_statement_token1] = ACTIONS(1844),
    [aux_sym_loop_statement_token1] = ACTIONS(1844),
    [aux_sym_repeat_statement_token1] = ACTIONS(1844),
    [aux_sym_while_statement_token1] = ACTIONS(1844),
    [aux_sym_break_statement_token1] = ACTIONS(1844),
    [aux_sym_leave_statement_token1] = ACTIONS(1844),
    [aux_sym_continue_statement_token1] = ACTIONS(1844),
    [aux_sym_iterate_statement_token1] = ACTIONS(1844),
    [aux_sym_raise_statement_token1] = ACTIONS(1844),
    [anon_sym_EQ] = ACTIONS(1842),
    [aux_sym_assert_statement_token1] = ACTIONS(1844),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1844),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1844),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1844),
    [anon_sym_LT] = ACTIONS(1844),
    [anon_sym_GT] = ACTIONS(1844),
    [aux_sym_set_operation_token1] = ACTIONS(1844),
    [aux_sym_set_operation_token3] = ACTIONS(1844),
    [aux_sym_set_operation_token4] = ACTIONS(1844),
    [aux_sym_select_token1] = ACTIONS(1844),
    [aux_sym_having_clause_token1] = ACTIONS(1844),
    [aux_sym_qualify_clause_token1] = ACTIONS(1844),
    [aux_sym_limit_clause_token1] = ACTIONS(1844),
    [aux_sym_group_by_clause_token1] = ACTIONS(1844),
    [aux_sym_order_by_clause_token1] = ACTIONS(1844),
    [aux_sym_where_clause_token1] = ACTIONS(1844),
    [aux_sym_insert_statement_token1] = ACTIONS(1844),
    [aux_sym_truncate_statement_token1] = ACTIONS(1844),
    [aux_sym_update_statement_token1] = ACTIONS(1844),
    [aux_sym_merge_statement_token1] = ACTIONS(1844),
    [aux_sym_grant_statement_token1] = ACTIONS(1844),
    [aux_sym_revoke_statement_token1] = ACTIONS(1844),
    [aux_sym_export_data_statement_token1] = ACTIONS(1844),
    [aux_sym_load_data_statement_token1] = ACTIONS(1844),
    [anon_sym_LBRACK] = ACTIONS(1842),
    [sym__quoted_identifier] = ACTIONS(1842),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1842),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1844),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_SLASH] = ACTIONS(1844),
    [anon_sym_PIPE_PIPE] = ACTIONS(1842),
    [anon_sym_LT_EQ] = ACTIONS(1842),
    [anon_sym_LT_GT] = ACTIONS(1842),
    [anon_sym_GT_EQ] = ACTIONS(1842),
    [anon_sym_BANG_EQ] = ACTIONS(1842),
    [anon_sym_LT_LT] = ACTIONS(1842),
    [anon_sym_GT_GT] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym_CARET] = ACTIONS(1842),
    [anon_sym_PIPE] = ACTIONS(1844),
  },
  [1263] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9160),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1264] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9651),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1265] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16208),
    [sym__keyword_case] = STATE(337),
    [sym__keyword_not] = STATE(1202),
    [sym__keyword_cast] = STATE(19297),
    [sym__keyword_date] = STATE(4227),
    [sym__keyword_datetime] = STATE(4227),
    [sym__keyword_time] = STATE(4227),
    [sym__keyword_timestamp] = STATE(4227),
    [sym_select_subexpression] = STATE(4593),
    [sym_function_call] = STATE(4593),
    [sym_unnest_operator] = STATE(2516),
    [sym_unnest_clause] = STATE(4593),
    [sym__literal] = STATE(4593),
    [sym_NULL] = STATE(4593),
    [sym_TRUE] = STATE(4593),
    [sym_FALSE] = STATE(4593),
    [sym__float] = STATE(4592),
    [sym_numeric] = STATE(4592),
    [sym__number] = STATE(4592),
    [sym_interval] = STATE(4593),
    [sym_range] = STATE(4593),
    [sym_time] = STATE(4593),
    [sym_number] = STATE(4593),
    [sym_json] = STATE(4593),
    [sym_query_parameter] = STATE(4593),
    [sym__type_chrono] = STATE(4194),
    [sym__type_struct] = STATE(19107),
    [sym__type_array] = STATE(18613),
    [sym_array] = STATE(4593),
    [sym_struct] = STATE(4593),
    [sym__identifier] = STATE(4341),
    [sym__dotted_identifier] = STATE(14156),
    [sym_identifier] = STATE(4415),
    [sym_string] = STATE(4593),
    [sym__expression] = STATE(2799),
    [sym__parenthesized_expression] = STATE(4593),
    [sym_element_access] = STATE(4593),
    [sym_field_access] = STATE(4593),
    [sym_unary_expression] = STATE(4593),
    [sym_binary_expression] = STATE(4593),
    [sym_between_operator] = STATE(4593),
    [sym_casewhen_expression] = STATE(4593),
    [sym_cast_expression] = STATE(4593),
    [sym_argument_reference] = STATE(4593),
    [aux_sym_identifier_repeat1] = STATE(14156),
    [sym__unquoted_identifier] = ACTIONS(1984),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1986),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1988),
    [aux_sym__keyword_case_token1] = ACTIONS(1990),
    [aux_sym__keyword_cast_token1] = ACTIONS(1992),
    [aux_sym__keyword_cast_token2] = ACTIONS(1992),
    [aux_sym__keyword_date_token1] = ACTIONS(1994),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1994),
    [aux_sym__keyword_time_token1] = ACTIONS(1994),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1994),
    [anon_sym_LPAREN] = ACTIONS(1996),
    [aux_sym_drop_notnull_token1] = ACTIONS(1998),
    [aux_sym_function_call_token2] = ACTIONS(2000),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2004),
    [aux_sym_FALSE_token1] = ACTIONS(2006),
    [sym__integer] = ACTIONS(2008),
    [aux_sym__float_token1] = ACTIONS(2010),
    [aux_sym__float_token2] = ACTIONS(2008),
    [aux_sym__float_token3] = ACTIONS(2010),
    [aux_sym_numeric_token1] = ACTIONS(2012),
    [aux_sym_numeric_token2] = ACTIONS(2012),
    [aux_sym_numeric_token3] = ACTIONS(2012),
    [aux_sym_numeric_token4] = ACTIONS(2012),
    [aux_sym_interval_token1] = ACTIONS(2014),
    [anon_sym_LBRACK] = ACTIONS(2016),
    [aux_sym_json_token1] = ACTIONS(2018),
    [sym_system_variable] = ACTIONS(2020),
    [sym__named_query_parameter] = ACTIONS(2022),
    [sym__positional_query_parameter] = ACTIONS(2024),
    [sym__quoted_identifier] = ACTIONS(2026),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2028),
    [anon_sym_PLUS] = ACTIONS(2030),
    [anon_sym_DASH] = ACTIONS(2030),
    [anon_sym_operator_compare] = ACTIONS(2032),
    [anon_sym_DOLLAR] = ACTIONS(2034),
    [sym__string_start] = ACTIONS(2036),
  },
  [1266] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16282),
    [sym__keyword_case] = STATE(374),
    [sym__keyword_not] = STATE(1750),
    [sym__keyword_cast] = STATE(19285),
    [sym__keyword_date] = STATE(10540),
    [sym__keyword_datetime] = STATE(10540),
    [sym__keyword_time] = STATE(10540),
    [sym__keyword_timestamp] = STATE(10540),
    [sym_select_subexpression] = STATE(10861),
    [sym_function_call] = STATE(10861),
    [sym_unnest_operator] = STATE(5588),
    [sym_unnest_clause] = STATE(10861),
    [sym__literal] = STATE(10861),
    [sym_NULL] = STATE(10861),
    [sym_TRUE] = STATE(10861),
    [sym_FALSE] = STATE(10861),
    [sym__float] = STATE(10863),
    [sym_numeric] = STATE(10863),
    [sym__number] = STATE(10863),
    [sym_interval] = STATE(10861),
    [sym_range] = STATE(10861),
    [sym_time] = STATE(10861),
    [sym_number] = STATE(10861),
    [sym_json] = STATE(10861),
    [sym_query_parameter] = STATE(10861),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19065),
    [sym__type_array] = STATE(18448),
    [sym_array] = STATE(10861),
    [sym_struct] = STATE(10861),
    [sym__identifier] = STATE(10536),
    [sym__dotted_identifier] = STATE(14157),
    [sym_identifier] = STATE(10772),
    [sym_string] = STATE(10861),
    [sym__expression] = STATE(8207),
    [sym__parenthesized_expression] = STATE(10861),
    [sym_element_access] = STATE(10861),
    [sym_field_access] = STATE(10861),
    [sym_unary_expression] = STATE(10861),
    [sym_binary_expression] = STATE(10861),
    [sym_between_operator] = STATE(10861),
    [sym_casewhen_expression] = STATE(10861),
    [sym_cast_expression] = STATE(10861),
    [sym_argument_reference] = STATE(10861),
    [aux_sym_identifier_repeat1] = STATE(14157),
    [sym__unquoted_identifier] = ACTIONS(2552),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2554),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2556),
    [aux_sym__keyword_case_token1] = ACTIONS(2558),
    [aux_sym__keyword_cast_token1] = ACTIONS(2560),
    [aux_sym__keyword_cast_token2] = ACTIONS(2560),
    [aux_sym__keyword_date_token1] = ACTIONS(2562),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2562),
    [aux_sym__keyword_time_token1] = ACTIONS(2562),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [aux_sym_drop_notnull_token1] = ACTIONS(2566),
    [aux_sym_function_call_token2] = ACTIONS(2568),
    [aux_sym_unnest_operator_token1] = ACTIONS(2658),
    [aux_sym_TRUE_token1] = ACTIONS(2570),
    [aux_sym_FALSE_token1] = ACTIONS(2572),
    [sym__integer] = ACTIONS(2574),
    [aux_sym__float_token1] = ACTIONS(2576),
    [aux_sym__float_token2] = ACTIONS(2574),
    [aux_sym__float_token3] = ACTIONS(2576),
    [aux_sym_numeric_token1] = ACTIONS(2578),
    [aux_sym_numeric_token2] = ACTIONS(2578),
    [aux_sym_numeric_token3] = ACTIONS(2578),
    [aux_sym_numeric_token4] = ACTIONS(2578),
    [aux_sym_interval_token1] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [aux_sym_json_token1] = ACTIONS(2584),
    [sym_system_variable] = ACTIONS(2586),
    [sym__named_query_parameter] = ACTIONS(2588),
    [sym__positional_query_parameter] = ACTIONS(2590),
    [sym__quoted_identifier] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2660),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_operator_compare] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [sym__string_start] = ACTIONS(2602),
  },
  [1267] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1300),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2306),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3018),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2664),
    [anon_sym_PLUS] = ACTIONS(2666),
    [anon_sym_DASH] = ACTIONS(2666),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1268] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16148),
    [sym__keyword_case] = STATE(268),
    [sym__keyword_not] = STATE(1835),
    [sym__keyword_cast] = STATE(19305),
    [sym__keyword_date] = STATE(7284),
    [sym__keyword_datetime] = STATE(7284),
    [sym__keyword_time] = STATE(7284),
    [sym__keyword_timestamp] = STATE(7284),
    [sym_select_subexpression] = STATE(7910),
    [sym_function_call] = STATE(7910),
    [sym_unnest_operator] = STATE(5277),
    [sym_unnest_clause] = STATE(7910),
    [sym__literal] = STATE(7910),
    [sym_NULL] = STATE(7910),
    [sym_TRUE] = STATE(7910),
    [sym_FALSE] = STATE(7910),
    [sym__float] = STATE(7895),
    [sym_numeric] = STATE(7895),
    [sym__number] = STATE(7895),
    [sym_interval] = STATE(7910),
    [sym_range] = STATE(7910),
    [sym_time] = STATE(7910),
    [sym_number] = STATE(7910),
    [sym_json] = STATE(7910),
    [sym_query_parameter] = STATE(7910),
    [sym__type_chrono] = STATE(7179),
    [sym__type_struct] = STATE(19135),
    [sym__type_array] = STATE(18721),
    [sym_array] = STATE(7910),
    [sym_struct] = STATE(7910),
    [sym__identifier] = STATE(5408),
    [sym__dotted_identifier] = STATE(13708),
    [sym_identifier] = STATE(7424),
    [sym_string] = STATE(7910),
    [sym__expression] = STATE(5966),
    [sym__parenthesized_expression] = STATE(7910),
    [sym_element_access] = STATE(7910),
    [sym_field_access] = STATE(7910),
    [sym_unary_expression] = STATE(7910),
    [sym_binary_expression] = STATE(7910),
    [sym_between_operator] = STATE(7910),
    [sym_casewhen_expression] = STATE(7910),
    [sym_cast_expression] = STATE(7910),
    [sym_argument_reference] = STATE(7910),
    [aux_sym_identifier_repeat1] = STATE(13708),
    [sym__unquoted_identifier] = ACTIONS(2440),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2442),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2444),
    [aux_sym__keyword_case_token1] = ACTIONS(2446),
    [aux_sym__keyword_cast_token1] = ACTIONS(2448),
    [aux_sym__keyword_cast_token2] = ACTIONS(2448),
    [aux_sym__keyword_date_token1] = ACTIONS(2450),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2450),
    [aux_sym__keyword_time_token1] = ACTIONS(2450),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2452),
    [aux_sym_drop_notnull_token1] = ACTIONS(2454),
    [aux_sym_function_call_token2] = ACTIONS(2456),
    [aux_sym_unnest_operator_token1] = ACTIONS(2458),
    [aux_sym_TRUE_token1] = ACTIONS(2460),
    [aux_sym_FALSE_token1] = ACTIONS(2462),
    [sym__integer] = ACTIONS(2464),
    [aux_sym__float_token1] = ACTIONS(2466),
    [aux_sym__float_token2] = ACTIONS(2464),
    [aux_sym__float_token3] = ACTIONS(2466),
    [aux_sym_numeric_token1] = ACTIONS(2468),
    [aux_sym_numeric_token2] = ACTIONS(2468),
    [aux_sym_numeric_token3] = ACTIONS(2468),
    [aux_sym_numeric_token4] = ACTIONS(2468),
    [aux_sym_interval_token1] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [aux_sym_json_token1] = ACTIONS(2474),
    [sym_system_variable] = ACTIONS(2476),
    [sym__named_query_parameter] = ACTIONS(2478),
    [sym__positional_query_parameter] = ACTIONS(2480),
    [sym__quoted_identifier] = ACTIONS(2482),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2484),
    [anon_sym_PLUS] = ACTIONS(2486),
    [anon_sym_DASH] = ACTIONS(2486),
    [anon_sym_operator_compare] = ACTIONS(2488),
    [anon_sym_DOLLAR] = ACTIONS(2490),
    [sym__string_start] = ACTIONS(2492),
  },
  [1269] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16208),
    [sym__keyword_case] = STATE(337),
    [sym__keyword_not] = STATE(1202),
    [sym__keyword_cast] = STATE(19297),
    [sym__keyword_date] = STATE(4227),
    [sym__keyword_datetime] = STATE(4227),
    [sym__keyword_time] = STATE(4227),
    [sym__keyword_timestamp] = STATE(4227),
    [sym_select_subexpression] = STATE(4593),
    [sym_function_call] = STATE(4593),
    [sym_unnest_operator] = STATE(2516),
    [sym_unnest_clause] = STATE(4593),
    [sym__literal] = STATE(4593),
    [sym_NULL] = STATE(4593),
    [sym_TRUE] = STATE(4593),
    [sym_FALSE] = STATE(4593),
    [sym__float] = STATE(4592),
    [sym_numeric] = STATE(4592),
    [sym__number] = STATE(4592),
    [sym_interval] = STATE(4593),
    [sym_range] = STATE(4593),
    [sym_time] = STATE(4593),
    [sym_number] = STATE(4593),
    [sym_json] = STATE(4593),
    [sym_query_parameter] = STATE(4593),
    [sym__type_chrono] = STATE(4194),
    [sym__type_struct] = STATE(19107),
    [sym__type_array] = STATE(18613),
    [sym_array] = STATE(4593),
    [sym_struct] = STATE(4593),
    [sym__identifier] = STATE(4341),
    [sym__dotted_identifier] = STATE(14156),
    [sym_identifier] = STATE(4415),
    [sym_string] = STATE(4593),
    [sym__expression] = STATE(2800),
    [sym__parenthesized_expression] = STATE(4593),
    [sym_element_access] = STATE(4593),
    [sym_field_access] = STATE(4593),
    [sym_unary_expression] = STATE(4593),
    [sym_binary_expression] = STATE(4593),
    [sym_between_operator] = STATE(4593),
    [sym_casewhen_expression] = STATE(4593),
    [sym_cast_expression] = STATE(4593),
    [sym_argument_reference] = STATE(4593),
    [aux_sym_identifier_repeat1] = STATE(14156),
    [sym__unquoted_identifier] = ACTIONS(1984),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1986),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1988),
    [aux_sym__keyword_case_token1] = ACTIONS(1990),
    [aux_sym__keyword_cast_token1] = ACTIONS(1992),
    [aux_sym__keyword_cast_token2] = ACTIONS(1992),
    [aux_sym__keyword_date_token1] = ACTIONS(1994),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1994),
    [aux_sym__keyword_time_token1] = ACTIONS(1994),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1994),
    [anon_sym_LPAREN] = ACTIONS(1996),
    [aux_sym_drop_notnull_token1] = ACTIONS(1998),
    [aux_sym_function_call_token2] = ACTIONS(2000),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2004),
    [aux_sym_FALSE_token1] = ACTIONS(2006),
    [sym__integer] = ACTIONS(2008),
    [aux_sym__float_token1] = ACTIONS(2010),
    [aux_sym__float_token2] = ACTIONS(2008),
    [aux_sym__float_token3] = ACTIONS(2010),
    [aux_sym_numeric_token1] = ACTIONS(2012),
    [aux_sym_numeric_token2] = ACTIONS(2012),
    [aux_sym_numeric_token3] = ACTIONS(2012),
    [aux_sym_numeric_token4] = ACTIONS(2012),
    [aux_sym_interval_token1] = ACTIONS(2014),
    [anon_sym_LBRACK] = ACTIONS(2016),
    [aux_sym_json_token1] = ACTIONS(2018),
    [sym_system_variable] = ACTIONS(2020),
    [sym__named_query_parameter] = ACTIONS(2022),
    [sym__positional_query_parameter] = ACTIONS(2024),
    [sym__quoted_identifier] = ACTIONS(2026),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2028),
    [anon_sym_PLUS] = ACTIONS(2030),
    [anon_sym_DASH] = ACTIONS(2030),
    [anon_sym_operator_compare] = ACTIONS(2032),
    [anon_sym_DOLLAR] = ACTIONS(2034),
    [sym__string_start] = ACTIONS(2036),
  },
  [1270] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10009),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1271] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16208),
    [sym__keyword_case] = STATE(337),
    [sym__keyword_not] = STATE(1202),
    [sym__keyword_cast] = STATE(19297),
    [sym__keyword_date] = STATE(4227),
    [sym__keyword_datetime] = STATE(4227),
    [sym__keyword_time] = STATE(4227),
    [sym__keyword_timestamp] = STATE(4227),
    [sym_select_subexpression] = STATE(4593),
    [sym_function_call] = STATE(4593),
    [sym_unnest_operator] = STATE(2516),
    [sym_unnest_clause] = STATE(4593),
    [sym__literal] = STATE(4593),
    [sym_NULL] = STATE(4593),
    [sym_TRUE] = STATE(4593),
    [sym_FALSE] = STATE(4593),
    [sym__float] = STATE(4592),
    [sym_numeric] = STATE(4592),
    [sym__number] = STATE(4592),
    [sym_interval] = STATE(4593),
    [sym_range] = STATE(4593),
    [sym_time] = STATE(4593),
    [sym_number] = STATE(4593),
    [sym_json] = STATE(4593),
    [sym_query_parameter] = STATE(4593),
    [sym__type_chrono] = STATE(4194),
    [sym__type_struct] = STATE(19107),
    [sym__type_array] = STATE(18613),
    [sym_array] = STATE(4593),
    [sym_struct] = STATE(4593),
    [sym__identifier] = STATE(4341),
    [sym__dotted_identifier] = STATE(14156),
    [sym_identifier] = STATE(4415),
    [sym_string] = STATE(4593),
    [sym__expression] = STATE(2801),
    [sym__parenthesized_expression] = STATE(4593),
    [sym_element_access] = STATE(4593),
    [sym_field_access] = STATE(4593),
    [sym_unary_expression] = STATE(4593),
    [sym_binary_expression] = STATE(4593),
    [sym_between_operator] = STATE(4593),
    [sym_casewhen_expression] = STATE(4593),
    [sym_cast_expression] = STATE(4593),
    [sym_argument_reference] = STATE(4593),
    [aux_sym_identifier_repeat1] = STATE(14156),
    [sym__unquoted_identifier] = ACTIONS(1984),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1986),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1988),
    [aux_sym__keyword_case_token1] = ACTIONS(1990),
    [aux_sym__keyword_cast_token1] = ACTIONS(1992),
    [aux_sym__keyword_cast_token2] = ACTIONS(1992),
    [aux_sym__keyword_date_token1] = ACTIONS(1994),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1994),
    [aux_sym__keyword_time_token1] = ACTIONS(1994),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1994),
    [anon_sym_LPAREN] = ACTIONS(1996),
    [aux_sym_drop_notnull_token1] = ACTIONS(1998),
    [aux_sym_function_call_token2] = ACTIONS(2000),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2004),
    [aux_sym_FALSE_token1] = ACTIONS(2006),
    [sym__integer] = ACTIONS(2008),
    [aux_sym__float_token1] = ACTIONS(2010),
    [aux_sym__float_token2] = ACTIONS(2008),
    [aux_sym__float_token3] = ACTIONS(2010),
    [aux_sym_numeric_token1] = ACTIONS(2012),
    [aux_sym_numeric_token2] = ACTIONS(2012),
    [aux_sym_numeric_token3] = ACTIONS(2012),
    [aux_sym_numeric_token4] = ACTIONS(2012),
    [aux_sym_interval_token1] = ACTIONS(2014),
    [anon_sym_LBRACK] = ACTIONS(2016),
    [aux_sym_json_token1] = ACTIONS(2018),
    [sym_system_variable] = ACTIONS(2020),
    [sym__named_query_parameter] = ACTIONS(2022),
    [sym__positional_query_parameter] = ACTIONS(2024),
    [sym__quoted_identifier] = ACTIONS(2026),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2028),
    [anon_sym_PLUS] = ACTIONS(2030),
    [anon_sym_DASH] = ACTIONS(2030),
    [anon_sym_operator_compare] = ACTIONS(2032),
    [anon_sym_DOLLAR] = ACTIONS(2034),
    [sym__string_start] = ACTIONS(2036),
  },
  [1272] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(1276),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(174),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2325),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(1886),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1910),
    [anon_sym_PLUS] = ACTIONS(1912),
    [anon_sym_DASH] = ACTIONS(1912),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1273] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16166),
    [sym__keyword_case] = STATE(299),
    [sym__keyword_not] = STATE(840),
    [sym__keyword_cast] = STATE(19301),
    [sym__keyword_date] = STATE(386),
    [sym__keyword_datetime] = STATE(386),
    [sym__keyword_time] = STATE(386),
    [sym__keyword_timestamp] = STATE(386),
    [sym_select_subexpression] = STATE(469),
    [sym_function_call] = STATE(469),
    [sym_unnest_operator] = STATE(10),
    [sym_unnest_clause] = STATE(469),
    [sym__literal] = STATE(469),
    [sym_NULL] = STATE(469),
    [sym_TRUE] = STATE(469),
    [sym_FALSE] = STATE(469),
    [sym__float] = STATE(472),
    [sym_numeric] = STATE(472),
    [sym__number] = STATE(472),
    [sym_interval] = STATE(469),
    [sym_range] = STATE(469),
    [sym_time] = STATE(469),
    [sym_number] = STATE(469),
    [sym_json] = STATE(469),
    [sym_query_parameter] = STATE(469),
    [sym__type_chrono] = STATE(371),
    [sym__type_struct] = STATE(19121),
    [sym__type_array] = STATE(18667),
    [sym_array] = STATE(469),
    [sym_struct] = STATE(469),
    [sym__identifier] = STATE(383),
    [sym__dotted_identifier] = STATE(13828),
    [sym_identifier] = STATE(477),
    [sym_string] = STATE(469),
    [sym__expression] = STATE(88),
    [sym__parenthesized_expression] = STATE(469),
    [sym_element_access] = STATE(469),
    [sym_field_access] = STATE(469),
    [sym_unary_expression] = STATE(469),
    [sym_binary_expression] = STATE(469),
    [sym_between_operator] = STATE(469),
    [sym_casewhen_expression] = STATE(469),
    [sym_cast_expression] = STATE(469),
    [sym_argument_reference] = STATE(469),
    [aux_sym_identifier_repeat1] = STATE(13828),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2314),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2316),
    [aux_sym__keyword_case_token1] = ACTIONS(2318),
    [aux_sym__keyword_cast_token1] = ACTIONS(2320),
    [aux_sym__keyword_cast_token2] = ACTIONS(2320),
    [aux_sym__keyword_date_token1] = ACTIONS(2322),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2322),
    [aux_sym__keyword_time_token1] = ACTIONS(2322),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(2324),
    [aux_sym_drop_notnull_token1] = ACTIONS(2326),
    [aux_sym_function_call_token2] = ACTIONS(2328),
    [aux_sym_unnest_operator_token1] = ACTIONS(2330),
    [aux_sym_TRUE_token1] = ACTIONS(2332),
    [aux_sym_FALSE_token1] = ACTIONS(2334),
    [sym__integer] = ACTIONS(2336),
    [aux_sym__float_token1] = ACTIONS(2338),
    [aux_sym__float_token2] = ACTIONS(2336),
    [aux_sym__float_token3] = ACTIONS(2338),
    [aux_sym_numeric_token1] = ACTIONS(2340),
    [aux_sym_numeric_token2] = ACTIONS(2340),
    [aux_sym_numeric_token3] = ACTIONS(2340),
    [aux_sym_numeric_token4] = ACTIONS(2340),
    [aux_sym_interval_token1] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2344),
    [aux_sym_json_token1] = ACTIONS(2346),
    [sym_system_variable] = ACTIONS(2348),
    [sym__named_query_parameter] = ACTIONS(2350),
    [sym__positional_query_parameter] = ACTIONS(2352),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2354),
    [anon_sym_PLUS] = ACTIONS(2356),
    [anon_sym_DASH] = ACTIONS(2356),
    [anon_sym_operator_compare] = ACTIONS(2358),
    [anon_sym_DOLLAR] = ACTIONS(2360),
    [sym__string_start] = ACTIONS(1512),
  },
  [1274] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16161),
    [sym__keyword_case] = STATE(281),
    [sym__keyword_not] = STATE(1524),
    [sym__keyword_cast] = STATE(19303),
    [sym__keyword_date] = STATE(5561),
    [sym__keyword_datetime] = STATE(5561),
    [sym__keyword_time] = STATE(5561),
    [sym__keyword_timestamp] = STATE(5561),
    [sym_select_subexpression] = STATE(5651),
    [sym_function_call] = STATE(5651),
    [sym_unnest_operator] = STATE(4219),
    [sym_unnest_clause] = STATE(5651),
    [sym__literal] = STATE(5651),
    [sym_NULL] = STATE(5651),
    [sym_TRUE] = STATE(5651),
    [sym_FALSE] = STATE(5651),
    [sym__float] = STATE(5650),
    [sym_numeric] = STATE(5650),
    [sym__number] = STATE(5650),
    [sym_interval] = STATE(5651),
    [sym_range] = STATE(5651),
    [sym_time] = STATE(5651),
    [sym_number] = STATE(5651),
    [sym_json] = STATE(5651),
    [sym_query_parameter] = STATE(5651),
    [sym__type_chrono] = STATE(5409),
    [sym__type_struct] = STATE(19128),
    [sym__type_array] = STATE(18694),
    [sym_array] = STATE(5651),
    [sym_struct] = STATE(5651),
    [sym__identifier] = STATE(5400),
    [sym__dotted_identifier] = STATE(13676),
    [sym_identifier] = STATE(5580),
    [sym_string] = STATE(5651),
    [sym__expression] = STATE(5296),
    [sym__parenthesized_expression] = STATE(5651),
    [sym_element_access] = STATE(5651),
    [sym_field_access] = STATE(5651),
    [sym_unary_expression] = STATE(5651),
    [sym_binary_expression] = STATE(5651),
    [sym_between_operator] = STATE(5651),
    [sym_casewhen_expression] = STATE(5651),
    [sym_cast_expression] = STATE(5651),
    [sym_argument_reference] = STATE(5651),
    [aux_sym_identifier_repeat1] = STATE(13676),
    [sym__unquoted_identifier] = ACTIONS(2498),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2500),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2502),
    [aux_sym__keyword_case_token1] = ACTIONS(2504),
    [aux_sym__keyword_cast_token1] = ACTIONS(2506),
    [aux_sym__keyword_cast_token2] = ACTIONS(2506),
    [aux_sym__keyword_date_token1] = ACTIONS(2508),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2508),
    [aux_sym__keyword_time_token1] = ACTIONS(2508),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2508),
    [anon_sym_LPAREN] = ACTIONS(2510),
    [aux_sym_drop_notnull_token1] = ACTIONS(2512),
    [aux_sym_function_call_token2] = ACTIONS(2514),
    [aux_sym_unnest_operator_token1] = ACTIONS(2516),
    [aux_sym_TRUE_token1] = ACTIONS(2518),
    [aux_sym_FALSE_token1] = ACTIONS(2520),
    [sym__integer] = ACTIONS(2522),
    [aux_sym__float_token1] = ACTIONS(2524),
    [aux_sym__float_token2] = ACTIONS(2522),
    [aux_sym__float_token3] = ACTIONS(2524),
    [aux_sym_numeric_token1] = ACTIONS(2526),
    [aux_sym_numeric_token2] = ACTIONS(2526),
    [aux_sym_numeric_token3] = ACTIONS(2526),
    [aux_sym_numeric_token4] = ACTIONS(2526),
    [aux_sym_interval_token1] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2530),
    [aux_sym_json_token1] = ACTIONS(2532),
    [sym_system_variable] = ACTIONS(2534),
    [sym__named_query_parameter] = ACTIONS(2536),
    [sym__positional_query_parameter] = ACTIONS(2538),
    [sym__quoted_identifier] = ACTIONS(2540),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2542),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_operator_compare] = ACTIONS(2546),
    [anon_sym_DOLLAR] = ACTIONS(2548),
    [sym__string_start] = ACTIONS(2550),
  },
  [1275] = {
    [sym_analytics_clause] = STATE(2123),
    [sym__unquoted_identifier] = ACTIONS(1408),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1408),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1408),
    [aux_sym_keyword_replace_token1] = ACTIONS(1408),
    [aux_sym__keyword_alter_token1] = ACTIONS(1408),
    [aux_sym__keyword_from_token1] = ACTIONS(1408),
    [aux_sym__keyword_delete_token1] = ACTIONS(1408),
    [aux_sym__keyword_begin_token1] = ACTIONS(1408),
    [aux_sym__keyword_end_token1] = ACTIONS(1408),
    [aux_sym__keyword_between_token1] = ACTIONS(1408),
    [aux_sym__keyword_when_token1] = ACTIONS(1408),
    [aux_sym__keyword_else_token1] = ACTIONS(1408),
    [aux_sym__keyword_is_token1] = ACTIONS(1408),
    [aux_sym__keyword_in_token1] = ACTIONS(1408),
    [aux_sym__keyword_and_token1] = ACTIONS(1408),
    [aux_sym__keyword_like_token1] = ACTIONS(1408),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1408),
    [aux_sym__keyword_as_token1] = ACTIONS(1408),
    [aux_sym__keyword_window_token1] = ACTIONS(1408),
    [aux_sym__keyword_date_token1] = ACTIONS(1408),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1408),
    [aux_sym__keyword_time_token1] = ACTIONS(1408),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1408),
    [aux_sym__keyword_for_token1] = ACTIONS(1408),
    [anon_sym_SEMI] = ACTIONS(1406),
    [aux_sym_declare_statement_token1] = ACTIONS(1408),
    [anon_sym_COMMA] = ACTIONS(1406),
    [aux_sym_set_statement_token1] = ACTIONS(1408),
    [anon_sym_LPAREN] = ACTIONS(1406),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1408),
    [aux_sym_return_satement_token1] = ACTIONS(1408),
    [aux_sym_call_statement_token1] = ACTIONS(1408),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1408),
    [aux_sym_if_statement_token1] = ACTIONS(1408),
    [aux_sym_loop_statement_token1] = ACTIONS(1408),
    [aux_sym_repeat_statement_token1] = ACTIONS(1408),
    [aux_sym_while_statement_token1] = ACTIONS(1408),
    [aux_sym_break_statement_token1] = ACTIONS(1408),
    [aux_sym_leave_statement_token1] = ACTIONS(1408),
    [aux_sym_continue_statement_token1] = ACTIONS(1408),
    [aux_sym_iterate_statement_token1] = ACTIONS(1408),
    [aux_sym_raise_statement_token1] = ACTIONS(1408),
    [anon_sym_EQ] = ACTIONS(1406),
    [aux_sym_assert_statement_token1] = ACTIONS(1408),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1408),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1408),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1408),
    [anon_sym_LT] = ACTIONS(1408),
    [anon_sym_GT] = ACTIONS(1408),
    [aux_sym_set_operation_token1] = ACTIONS(1408),
    [aux_sym_set_operation_token3] = ACTIONS(1408),
    [aux_sym_set_operation_token4] = ACTIONS(1408),
    [aux_sym_select_token1] = ACTIONS(1408),
    [aux_sym_having_clause_token1] = ACTIONS(1408),
    [aux_sym_qualify_clause_token1] = ACTIONS(1408),
    [aux_sym_limit_clause_token1] = ACTIONS(1408),
    [aux_sym_group_by_clause_token1] = ACTIONS(1408),
    [aux_sym_order_by_clause_token1] = ACTIONS(1408),
    [aux_sym_where_clause_token1] = ACTIONS(1408),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1408),
    [aux_sym_truncate_statement_token1] = ACTIONS(1408),
    [aux_sym_update_statement_token1] = ACTIONS(1408),
    [aux_sym_merge_statement_token1] = ACTIONS(1408),
    [aux_sym_grant_statement_token1] = ACTIONS(1408),
    [aux_sym_revoke_statement_token1] = ACTIONS(1408),
    [aux_sym_export_data_statement_token1] = ACTIONS(1408),
    [aux_sym_load_data_statement_token1] = ACTIONS(1408),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym__quoted_identifier] = ACTIONS(1406),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_DASH] = ACTIONS(1408),
    [anon_sym_STAR] = ACTIONS(1406),
    [anon_sym_SLASH] = ACTIONS(1408),
    [anon_sym_PIPE_PIPE] = ACTIONS(1406),
    [anon_sym_LT_EQ] = ACTIONS(1406),
    [anon_sym_LT_GT] = ACTIONS(1406),
    [anon_sym_GT_EQ] = ACTIONS(1406),
    [anon_sym_BANG_EQ] = ACTIONS(1406),
    [anon_sym_LT_LT] = ACTIONS(1406),
    [anon_sym_GT_GT] = ACTIONS(1406),
    [anon_sym_AMP] = ACTIONS(1406),
    [anon_sym_CARET] = ACTIONS(1406),
    [anon_sym_PIPE] = ACTIONS(1408),
  },
  [1276] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(1276),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(174),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2324),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(1886),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1910),
    [anon_sym_PLUS] = ACTIONS(1912),
    [anon_sym_DASH] = ACTIONS(1912),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1277] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(1276),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(174),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2311),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(1886),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1910),
    [anon_sym_PLUS] = ACTIONS(1912),
    [anon_sym_DASH] = ACTIONS(1912),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1278] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10008),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1279] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16148),
    [sym__keyword_case] = STATE(268),
    [sym__keyword_not] = STATE(1835),
    [sym__keyword_cast] = STATE(19305),
    [sym__keyword_date] = STATE(7284),
    [sym__keyword_datetime] = STATE(7284),
    [sym__keyword_time] = STATE(7284),
    [sym__keyword_timestamp] = STATE(7284),
    [sym_select_subexpression] = STATE(7910),
    [sym_function_call] = STATE(7910),
    [sym_unnest_operator] = STATE(5277),
    [sym_unnest_clause] = STATE(7910),
    [sym__literal] = STATE(7910),
    [sym_NULL] = STATE(7910),
    [sym_TRUE] = STATE(7910),
    [sym_FALSE] = STATE(7910),
    [sym__float] = STATE(7895),
    [sym_numeric] = STATE(7895),
    [sym__number] = STATE(7895),
    [sym_interval] = STATE(7910),
    [sym_range] = STATE(7910),
    [sym_time] = STATE(7910),
    [sym_number] = STATE(7910),
    [sym_json] = STATE(7910),
    [sym_query_parameter] = STATE(7910),
    [sym__type_chrono] = STATE(7179),
    [sym__type_struct] = STATE(19135),
    [sym__type_array] = STATE(18721),
    [sym_array] = STATE(7910),
    [sym_struct] = STATE(7910),
    [sym__identifier] = STATE(5408),
    [sym__dotted_identifier] = STATE(13708),
    [sym_identifier] = STATE(7424),
    [sym_string] = STATE(7910),
    [sym__expression] = STATE(5714),
    [sym__parenthesized_expression] = STATE(7910),
    [sym_element_access] = STATE(7910),
    [sym_field_access] = STATE(7910),
    [sym_unary_expression] = STATE(7910),
    [sym_binary_expression] = STATE(7910),
    [sym_between_operator] = STATE(7910),
    [sym_casewhen_expression] = STATE(7910),
    [sym_cast_expression] = STATE(7910),
    [sym_argument_reference] = STATE(7910),
    [aux_sym_identifier_repeat1] = STATE(13708),
    [sym__unquoted_identifier] = ACTIONS(2440),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2442),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2444),
    [aux_sym__keyword_case_token1] = ACTIONS(2446),
    [aux_sym__keyword_cast_token1] = ACTIONS(2448),
    [aux_sym__keyword_cast_token2] = ACTIONS(2448),
    [aux_sym__keyword_date_token1] = ACTIONS(2450),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2450),
    [aux_sym__keyword_time_token1] = ACTIONS(2450),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2452),
    [aux_sym_drop_notnull_token1] = ACTIONS(2454),
    [aux_sym_function_call_token2] = ACTIONS(2456),
    [aux_sym_unnest_operator_token1] = ACTIONS(2458),
    [aux_sym_TRUE_token1] = ACTIONS(2460),
    [aux_sym_FALSE_token1] = ACTIONS(2462),
    [sym__integer] = ACTIONS(2464),
    [aux_sym__float_token1] = ACTIONS(2466),
    [aux_sym__float_token2] = ACTIONS(2464),
    [aux_sym__float_token3] = ACTIONS(2466),
    [aux_sym_numeric_token1] = ACTIONS(2468),
    [aux_sym_numeric_token2] = ACTIONS(2468),
    [aux_sym_numeric_token3] = ACTIONS(2468),
    [aux_sym_numeric_token4] = ACTIONS(2468),
    [aux_sym_interval_token1] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [aux_sym_json_token1] = ACTIONS(2474),
    [sym_system_variable] = ACTIONS(2476),
    [sym__named_query_parameter] = ACTIONS(2478),
    [sym__positional_query_parameter] = ACTIONS(2480),
    [sym__quoted_identifier] = ACTIONS(2482),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2484),
    [anon_sym_PLUS] = ACTIONS(2486),
    [anon_sym_DASH] = ACTIONS(2486),
    [anon_sym_operator_compare] = ACTIONS(2488),
    [anon_sym_DOLLAR] = ACTIONS(2490),
    [sym__string_start] = ACTIONS(2492),
  },
  [1280] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(1276),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(174),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2305),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(1886),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1910),
    [anon_sym_PLUS] = ACTIONS(1912),
    [anon_sym_DASH] = ACTIONS(1912),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1281] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(1276),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(174),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2327),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(1886),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1910),
    [anon_sym_PLUS] = ACTIONS(1912),
    [anon_sym_DASH] = ACTIONS(1912),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1282] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(1276),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(174),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2304),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(1886),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1910),
    [anon_sym_PLUS] = ACTIONS(1912),
    [anon_sym_DASH] = ACTIONS(1912),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1283] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9681),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1284] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(1276),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(174),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2302),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(1886),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1910),
    [anon_sym_PLUS] = ACTIONS(1912),
    [anon_sym_DASH] = ACTIONS(1912),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1285] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16282),
    [sym__keyword_case] = STATE(374),
    [sym__keyword_not] = STATE(1069),
    [sym__keyword_cast] = STATE(19285),
    [sym__keyword_date] = STATE(10540),
    [sym__keyword_datetime] = STATE(10540),
    [sym__keyword_time] = STATE(10540),
    [sym__keyword_timestamp] = STATE(10540),
    [sym_select_subexpression] = STATE(10861),
    [sym_function_call] = STATE(10861),
    [sym_unnest_operator] = STATE(6471),
    [sym_unnest_clause] = STATE(10861),
    [sym__literal] = STATE(10861),
    [sym_NULL] = STATE(10861),
    [sym_TRUE] = STATE(10861),
    [sym_FALSE] = STATE(10861),
    [sym__float] = STATE(10863),
    [sym_numeric] = STATE(10863),
    [sym__number] = STATE(10863),
    [sym_interval] = STATE(10861),
    [sym_range] = STATE(10861),
    [sym_time] = STATE(10861),
    [sym_number] = STATE(10861),
    [sym_json] = STATE(10861),
    [sym_query_parameter] = STATE(10861),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19065),
    [sym__type_array] = STATE(18448),
    [sym_array] = STATE(10861),
    [sym_struct] = STATE(10861),
    [sym__identifier] = STATE(10536),
    [sym__dotted_identifier] = STATE(14157),
    [sym_identifier] = STATE(10772),
    [sym_string] = STATE(10861),
    [sym__expression] = STATE(9123),
    [sym__parenthesized_expression] = STATE(10861),
    [sym_element_access] = STATE(10861),
    [sym_field_access] = STATE(10861),
    [sym_unary_expression] = STATE(10861),
    [sym_binary_expression] = STATE(10861),
    [sym_between_operator] = STATE(10861),
    [sym_casewhen_expression] = STATE(10861),
    [sym_cast_expression] = STATE(10861),
    [sym_argument_reference] = STATE(10861),
    [aux_sym_identifier_repeat1] = STATE(14157),
    [sym__unquoted_identifier] = ACTIONS(2552),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2554),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2556),
    [aux_sym__keyword_case_token1] = ACTIONS(2558),
    [aux_sym__keyword_cast_token1] = ACTIONS(2560),
    [aux_sym__keyword_cast_token2] = ACTIONS(2560),
    [aux_sym__keyword_date_token1] = ACTIONS(2562),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2562),
    [aux_sym__keyword_time_token1] = ACTIONS(2562),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [aux_sym_drop_notnull_token1] = ACTIONS(2566),
    [aux_sym_function_call_token2] = ACTIONS(2568),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2570),
    [aux_sym_FALSE_token1] = ACTIONS(2572),
    [sym__integer] = ACTIONS(2574),
    [aux_sym__float_token1] = ACTIONS(2576),
    [aux_sym__float_token2] = ACTIONS(2574),
    [aux_sym__float_token3] = ACTIONS(2576),
    [aux_sym_numeric_token1] = ACTIONS(2578),
    [aux_sym_numeric_token2] = ACTIONS(2578),
    [aux_sym_numeric_token3] = ACTIONS(2578),
    [aux_sym_numeric_token4] = ACTIONS(2578),
    [aux_sym_interval_token1] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [aux_sym_json_token1] = ACTIONS(2584),
    [sym_system_variable] = ACTIONS(2586),
    [sym__named_query_parameter] = ACTIONS(2588),
    [sym__positional_query_parameter] = ACTIONS(2590),
    [sym__quoted_identifier] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_operator_compare] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [sym__string_start] = ACTIONS(2602),
  },
  [1286] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(1276),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(174),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2297),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(1886),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1910),
    [anon_sym_PLUS] = ACTIONS(1912),
    [anon_sym_DASH] = ACTIONS(1912),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1287] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(1276),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(174),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2293),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(1886),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1910),
    [anon_sym_PLUS] = ACTIONS(1912),
    [anon_sym_DASH] = ACTIONS(1912),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1288] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16282),
    [sym__keyword_case] = STATE(374),
    [sym__keyword_not] = STATE(1750),
    [sym__keyword_cast] = STATE(19285),
    [sym__keyword_date] = STATE(10540),
    [sym__keyword_datetime] = STATE(10540),
    [sym__keyword_time] = STATE(10540),
    [sym__keyword_timestamp] = STATE(10540),
    [sym_select_subexpression] = STATE(10861),
    [sym_function_call] = STATE(10861),
    [sym_unnest_operator] = STATE(5588),
    [sym_unnest_clause] = STATE(10861),
    [sym__literal] = STATE(10861),
    [sym_NULL] = STATE(10861),
    [sym_TRUE] = STATE(10861),
    [sym_FALSE] = STATE(10861),
    [sym__float] = STATE(10863),
    [sym_numeric] = STATE(10863),
    [sym__number] = STATE(10863),
    [sym_interval] = STATE(10861),
    [sym_range] = STATE(10861),
    [sym_time] = STATE(10861),
    [sym_number] = STATE(10861),
    [sym_json] = STATE(10861),
    [sym_query_parameter] = STATE(10861),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19065),
    [sym__type_array] = STATE(18448),
    [sym_array] = STATE(10861),
    [sym_struct] = STATE(10861),
    [sym__identifier] = STATE(10536),
    [sym__dotted_identifier] = STATE(14157),
    [sym_identifier] = STATE(10772),
    [sym_string] = STATE(10861),
    [sym__expression] = STATE(8200),
    [sym__parenthesized_expression] = STATE(10861),
    [sym_element_access] = STATE(10861),
    [sym_field_access] = STATE(10861),
    [sym_unary_expression] = STATE(10861),
    [sym_binary_expression] = STATE(10861),
    [sym_between_operator] = STATE(10861),
    [sym_casewhen_expression] = STATE(10861),
    [sym_cast_expression] = STATE(10861),
    [sym_argument_reference] = STATE(10861),
    [aux_sym_identifier_repeat1] = STATE(14157),
    [sym__unquoted_identifier] = ACTIONS(2552),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2554),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2556),
    [aux_sym__keyword_case_token1] = ACTIONS(2558),
    [aux_sym__keyword_cast_token1] = ACTIONS(2560),
    [aux_sym__keyword_cast_token2] = ACTIONS(2560),
    [aux_sym__keyword_date_token1] = ACTIONS(2562),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2562),
    [aux_sym__keyword_time_token1] = ACTIONS(2562),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [aux_sym_drop_notnull_token1] = ACTIONS(2566),
    [aux_sym_function_call_token2] = ACTIONS(2568),
    [aux_sym_unnest_operator_token1] = ACTIONS(2658),
    [aux_sym_TRUE_token1] = ACTIONS(2570),
    [aux_sym_FALSE_token1] = ACTIONS(2572),
    [sym__integer] = ACTIONS(2574),
    [aux_sym__float_token1] = ACTIONS(2576),
    [aux_sym__float_token2] = ACTIONS(2574),
    [aux_sym__float_token3] = ACTIONS(2576),
    [aux_sym_numeric_token1] = ACTIONS(2578),
    [aux_sym_numeric_token2] = ACTIONS(2578),
    [aux_sym_numeric_token3] = ACTIONS(2578),
    [aux_sym_numeric_token4] = ACTIONS(2578),
    [aux_sym_interval_token1] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [aux_sym_json_token1] = ACTIONS(2584),
    [sym_system_variable] = ACTIONS(2586),
    [sym__named_query_parameter] = ACTIONS(2588),
    [sym__positional_query_parameter] = ACTIONS(2590),
    [sym__quoted_identifier] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2660),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_operator_compare] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [sym__string_start] = ACTIONS(2602),
  },
  [1289] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16282),
    [sym__keyword_case] = STATE(374),
    [sym__keyword_not] = STATE(1069),
    [sym__keyword_cast] = STATE(19285),
    [sym__keyword_date] = STATE(10540),
    [sym__keyword_datetime] = STATE(10540),
    [sym__keyword_time] = STATE(10540),
    [sym__keyword_timestamp] = STATE(10540),
    [sym_select_subexpression] = STATE(10861),
    [sym_function_call] = STATE(10861),
    [sym_unnest_operator] = STATE(6471),
    [sym_unnest_clause] = STATE(10861),
    [sym__literal] = STATE(10861),
    [sym_NULL] = STATE(10861),
    [sym_TRUE] = STATE(10861),
    [sym_FALSE] = STATE(10861),
    [sym__float] = STATE(10863),
    [sym_numeric] = STATE(10863),
    [sym__number] = STATE(10863),
    [sym_interval] = STATE(10861),
    [sym_range] = STATE(10861),
    [sym_time] = STATE(10861),
    [sym_number] = STATE(10861),
    [sym_json] = STATE(10861),
    [sym_query_parameter] = STATE(10861),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19065),
    [sym__type_array] = STATE(18448),
    [sym_array] = STATE(10861),
    [sym_struct] = STATE(10861),
    [sym__identifier] = STATE(10536),
    [sym__dotted_identifier] = STATE(14157),
    [sym_identifier] = STATE(10772),
    [sym_string] = STATE(10861),
    [sym__expression] = STATE(9118),
    [sym__parenthesized_expression] = STATE(10861),
    [sym_element_access] = STATE(10861),
    [sym_field_access] = STATE(10861),
    [sym_unary_expression] = STATE(10861),
    [sym_binary_expression] = STATE(10861),
    [sym_between_operator] = STATE(10861),
    [sym_casewhen_expression] = STATE(10861),
    [sym_cast_expression] = STATE(10861),
    [sym_argument_reference] = STATE(10861),
    [aux_sym_identifier_repeat1] = STATE(14157),
    [sym__unquoted_identifier] = ACTIONS(2552),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2554),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2556),
    [aux_sym__keyword_case_token1] = ACTIONS(2558),
    [aux_sym__keyword_cast_token1] = ACTIONS(2560),
    [aux_sym__keyword_cast_token2] = ACTIONS(2560),
    [aux_sym__keyword_date_token1] = ACTIONS(2562),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2562),
    [aux_sym__keyword_time_token1] = ACTIONS(2562),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [aux_sym_drop_notnull_token1] = ACTIONS(2566),
    [aux_sym_function_call_token2] = ACTIONS(2568),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2570),
    [aux_sym_FALSE_token1] = ACTIONS(2572),
    [sym__integer] = ACTIONS(2574),
    [aux_sym__float_token1] = ACTIONS(2576),
    [aux_sym__float_token2] = ACTIONS(2574),
    [aux_sym__float_token3] = ACTIONS(2576),
    [aux_sym_numeric_token1] = ACTIONS(2578),
    [aux_sym_numeric_token2] = ACTIONS(2578),
    [aux_sym_numeric_token3] = ACTIONS(2578),
    [aux_sym_numeric_token4] = ACTIONS(2578),
    [aux_sym_interval_token1] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [aux_sym_json_token1] = ACTIONS(2584),
    [sym_system_variable] = ACTIONS(2586),
    [sym__named_query_parameter] = ACTIONS(2588),
    [sym__positional_query_parameter] = ACTIONS(2590),
    [sym__quoted_identifier] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_operator_compare] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [sym__string_start] = ACTIONS(2602),
  },
  [1290] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9680),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1291] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10007),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1292] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(841),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2044),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3123),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2406),
    [anon_sym_DASH] = ACTIONS(2406),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1293] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(1276),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(174),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2323),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(1886),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1910),
    [anon_sym_PLUS] = ACTIONS(1912),
    [anon_sym_DASH] = ACTIONS(1912),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1294] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(1276),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(174),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2328),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(1886),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1910),
    [anon_sym_PLUS] = ACTIONS(1912),
    [anon_sym_DASH] = ACTIONS(1912),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1295] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16161),
    [sym__keyword_case] = STATE(281),
    [sym__keyword_not] = STATE(1524),
    [sym__keyword_cast] = STATE(19303),
    [sym__keyword_date] = STATE(5561),
    [sym__keyword_datetime] = STATE(5561),
    [sym__keyword_time] = STATE(5561),
    [sym__keyword_timestamp] = STATE(5561),
    [sym_select_subexpression] = STATE(5651),
    [sym_function_call] = STATE(5651),
    [sym_unnest_operator] = STATE(4219),
    [sym_unnest_clause] = STATE(5651),
    [sym__literal] = STATE(5651),
    [sym_NULL] = STATE(5651),
    [sym_TRUE] = STATE(5651),
    [sym_FALSE] = STATE(5651),
    [sym__float] = STATE(5650),
    [sym_numeric] = STATE(5650),
    [sym__number] = STATE(5650),
    [sym_interval] = STATE(5651),
    [sym_range] = STATE(5651),
    [sym_time] = STATE(5651),
    [sym_number] = STATE(5651),
    [sym_json] = STATE(5651),
    [sym_query_parameter] = STATE(5651),
    [sym__type_chrono] = STATE(5409),
    [sym__type_struct] = STATE(19128),
    [sym__type_array] = STATE(18694),
    [sym_array] = STATE(5651),
    [sym_struct] = STATE(5651),
    [sym__identifier] = STATE(5400),
    [sym__dotted_identifier] = STATE(13676),
    [sym_identifier] = STATE(5580),
    [sym_string] = STATE(5651),
    [sym__expression] = STATE(5299),
    [sym__parenthesized_expression] = STATE(5651),
    [sym_element_access] = STATE(5651),
    [sym_field_access] = STATE(5651),
    [sym_unary_expression] = STATE(5651),
    [sym_binary_expression] = STATE(5651),
    [sym_between_operator] = STATE(5651),
    [sym_casewhen_expression] = STATE(5651),
    [sym_cast_expression] = STATE(5651),
    [sym_argument_reference] = STATE(5651),
    [aux_sym_identifier_repeat1] = STATE(13676),
    [sym__unquoted_identifier] = ACTIONS(2498),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2500),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2502),
    [aux_sym__keyword_case_token1] = ACTIONS(2504),
    [aux_sym__keyword_cast_token1] = ACTIONS(2506),
    [aux_sym__keyword_cast_token2] = ACTIONS(2506),
    [aux_sym__keyword_date_token1] = ACTIONS(2508),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2508),
    [aux_sym__keyword_time_token1] = ACTIONS(2508),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2508),
    [anon_sym_LPAREN] = ACTIONS(2510),
    [aux_sym_drop_notnull_token1] = ACTIONS(2512),
    [aux_sym_function_call_token2] = ACTIONS(2514),
    [aux_sym_unnest_operator_token1] = ACTIONS(2516),
    [aux_sym_TRUE_token1] = ACTIONS(2518),
    [aux_sym_FALSE_token1] = ACTIONS(2520),
    [sym__integer] = ACTIONS(2522),
    [aux_sym__float_token1] = ACTIONS(2524),
    [aux_sym__float_token2] = ACTIONS(2522),
    [aux_sym__float_token3] = ACTIONS(2524),
    [aux_sym_numeric_token1] = ACTIONS(2526),
    [aux_sym_numeric_token2] = ACTIONS(2526),
    [aux_sym_numeric_token3] = ACTIONS(2526),
    [aux_sym_numeric_token4] = ACTIONS(2526),
    [aux_sym_interval_token1] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2530),
    [aux_sym_json_token1] = ACTIONS(2532),
    [sym_system_variable] = ACTIONS(2534),
    [sym__named_query_parameter] = ACTIONS(2536),
    [sym__positional_query_parameter] = ACTIONS(2538),
    [sym__quoted_identifier] = ACTIONS(2540),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2542),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_operator_compare] = ACTIONS(2546),
    [anon_sym_DOLLAR] = ACTIONS(2548),
    [sym__string_start] = ACTIONS(2550),
  },
  [1296] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1444),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(198),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(411),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1297] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9735),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1298] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(7580),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1299] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1300),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2306),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3124),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2664),
    [anon_sym_PLUS] = ACTIONS(2666),
    [anon_sym_DASH] = ACTIONS(2666),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1300] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1300),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2306),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3125),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2664),
    [anon_sym_PLUS] = ACTIONS(2666),
    [anon_sym_DASH] = ACTIONS(2666),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1301] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(7577),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1302] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1300),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2306),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3193),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2664),
    [anon_sym_PLUS] = ACTIONS(2666),
    [anon_sym_DASH] = ACTIONS(2666),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1303] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1300),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2306),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3192),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2664),
    [anon_sym_PLUS] = ACTIONS(2666),
    [anon_sym_DASH] = ACTIONS(2666),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1304] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1300),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2306),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3191),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2664),
    [anon_sym_PLUS] = ACTIONS(2666),
    [anon_sym_DASH] = ACTIONS(2666),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1305] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1300),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2306),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3190),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2664),
    [anon_sym_PLUS] = ACTIONS(2666),
    [anon_sym_DASH] = ACTIONS(2666),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1306] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1300),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2306),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3188),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2664),
    [anon_sym_PLUS] = ACTIONS(2666),
    [anon_sym_DASH] = ACTIONS(2666),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1307] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1300),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2306),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3187),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2664),
    [anon_sym_PLUS] = ACTIONS(2666),
    [anon_sym_DASH] = ACTIONS(2666),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1308] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1300),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2306),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3186),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2664),
    [anon_sym_PLUS] = ACTIONS(2666),
    [anon_sym_DASH] = ACTIONS(2666),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1309] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1300),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2306),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3177),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2664),
    [anon_sym_PLUS] = ACTIONS(2666),
    [anon_sym_DASH] = ACTIONS(2666),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1310] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1300),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2306),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3176),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2664),
    [anon_sym_PLUS] = ACTIONS(2666),
    [anon_sym_DASH] = ACTIONS(2666),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1311] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(1276),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(174),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2326),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(1886),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1910),
    [anon_sym_PLUS] = ACTIONS(1912),
    [anon_sym_DASH] = ACTIONS(1912),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1312] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1444),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(198),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(410),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1313] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16298),
    [sym__keyword_case] = STATE(370),
    [sym__keyword_not] = STATE(1461),
    [sym__keyword_cast] = STATE(19281),
    [sym__keyword_date] = STATE(5984),
    [sym__keyword_datetime] = STATE(5984),
    [sym__keyword_time] = STATE(5984),
    [sym__keyword_timestamp] = STATE(5984),
    [sym_select_subexpression] = STATE(6583),
    [sym_function_call] = STATE(6583),
    [sym_unnest_operator] = STATE(5280),
    [sym_unnest_clause] = STATE(6583),
    [sym__literal] = STATE(6583),
    [sym_NULL] = STATE(6583),
    [sym_TRUE] = STATE(6583),
    [sym_FALSE] = STATE(6583),
    [sym__float] = STATE(6582),
    [sym_numeric] = STATE(6582),
    [sym__number] = STATE(6582),
    [sym_interval] = STATE(6583),
    [sym_range] = STATE(6583),
    [sym_time] = STATE(6583),
    [sym_number] = STATE(6583),
    [sym_json] = STATE(6583),
    [sym_query_parameter] = STATE(6583),
    [sym__type_chrono] = STATE(5709),
    [sym__type_struct] = STATE(19051),
    [sym__type_array] = STATE(18379),
    [sym_array] = STATE(6583),
    [sym_struct] = STATE(6583),
    [sym__identifier] = STATE(5940),
    [sym__dotted_identifier] = STATE(13302),
    [sym_identifier] = STATE(6280),
    [sym_string] = STATE(6583),
    [sym__expression] = STATE(5342),
    [sym__parenthesized_expression] = STATE(6583),
    [sym_element_access] = STATE(6583),
    [sym_field_access] = STATE(6583),
    [sym_unary_expression] = STATE(6583),
    [sym_binary_expression] = STATE(6583),
    [sym_between_operator] = STATE(6583),
    [sym_casewhen_expression] = STATE(6583),
    [sym_cast_expression] = STATE(6583),
    [sym_argument_reference] = STATE(6583),
    [aux_sym_identifier_repeat1] = STATE(13302),
    [sym__unquoted_identifier] = ACTIONS(491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(493),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(495),
    [aux_sym__keyword_case_token1] = ACTIONS(497),
    [aux_sym__keyword_cast_token1] = ACTIONS(499),
    [aux_sym__keyword_cast_token2] = ACTIONS(499),
    [aux_sym__keyword_date_token1] = ACTIONS(501),
    [aux_sym__keyword_datetime_token1] = ACTIONS(501),
    [aux_sym__keyword_time_token1] = ACTIONS(501),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(503),
    [aux_sym_drop_notnull_token1] = ACTIONS(505),
    [aux_sym_function_call_token2] = ACTIONS(507),
    [aux_sym_unnest_operator_token1] = ACTIONS(509),
    [aux_sym_TRUE_token1] = ACTIONS(511),
    [aux_sym_FALSE_token1] = ACTIONS(513),
    [sym__integer] = ACTIONS(515),
    [aux_sym__float_token1] = ACTIONS(517),
    [aux_sym__float_token2] = ACTIONS(515),
    [aux_sym__float_token3] = ACTIONS(517),
    [aux_sym_numeric_token1] = ACTIONS(519),
    [aux_sym_numeric_token2] = ACTIONS(519),
    [aux_sym_numeric_token3] = ACTIONS(519),
    [aux_sym_numeric_token4] = ACTIONS(519),
    [aux_sym_interval_token1] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(523),
    [aux_sym_json_token1] = ACTIONS(525),
    [sym_system_variable] = ACTIONS(527),
    [sym__named_query_parameter] = ACTIONS(529),
    [sym__positional_query_parameter] = ACTIONS(531),
    [sym__quoted_identifier] = ACTIONS(533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_operator_compare] = ACTIONS(539),
    [anon_sym_DOLLAR] = ACTIONS(541),
    [sym__string_start] = ACTIONS(543),
  },
  [1314] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10006),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1315] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10338),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1316] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1136),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2079),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(2951),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2430),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1317] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_select_subexpression] = STATE(9926),
    [sym_function_call] = STATE(9926),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(13757),
    [sym_identifier] = STATE(9720),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7515),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [1318] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9679),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1319] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9709),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1320] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9704),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1321] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10279),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1322] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16294),
    [sym__keyword_case] = STATE(376),
    [sym__keyword_not] = STATE(1650),
    [sym__keyword_cast] = STATE(19283),
    [sym__keyword_date] = STATE(4607),
    [sym__keyword_datetime] = STATE(4607),
    [sym__keyword_time] = STATE(4607),
    [sym__keyword_timestamp] = STATE(4607),
    [sym_select_subexpression] = STATE(4924),
    [sym_function_call] = STATE(4924),
    [sym_unnest_operator] = STATE(2504),
    [sym_unnest_clause] = STATE(4924),
    [sym__literal] = STATE(4924),
    [sym_NULL] = STATE(4924),
    [sym_TRUE] = STATE(4924),
    [sym_FALSE] = STATE(4924),
    [sym__float] = STATE(4921),
    [sym_numeric] = STATE(4921),
    [sym__number] = STATE(4921),
    [sym_interval] = STATE(4924),
    [sym_range] = STATE(4924),
    [sym_time] = STATE(4924),
    [sym_number] = STATE(4924),
    [sym_json] = STATE(4924),
    [sym_query_parameter] = STATE(4924),
    [sym__type_chrono] = STATE(4379),
    [sym__type_struct] = STATE(19058),
    [sym__type_array] = STATE(18414),
    [sym_array] = STATE(4924),
    [sym_struct] = STATE(4924),
    [sym__identifier] = STATE(4755),
    [sym__dotted_identifier] = STATE(13556),
    [sym_identifier] = STATE(4917),
    [sym_string] = STATE(4924),
    [sym__expression] = STATE(3702),
    [sym__parenthesized_expression] = STATE(4924),
    [sym_element_access] = STATE(4924),
    [sym_field_access] = STATE(4924),
    [sym_unary_expression] = STATE(4924),
    [sym_binary_expression] = STATE(4924),
    [sym_between_operator] = STATE(4924),
    [sym_casewhen_expression] = STATE(4924),
    [sym_cast_expression] = STATE(4924),
    [sym_argument_reference] = STATE(4924),
    [aux_sym_identifier_repeat1] = STATE(13556),
    [sym__unquoted_identifier] = ACTIONS(2604),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2606),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2608),
    [aux_sym__keyword_case_token1] = ACTIONS(2610),
    [aux_sym__keyword_cast_token1] = ACTIONS(2612),
    [aux_sym__keyword_cast_token2] = ACTIONS(2612),
    [aux_sym__keyword_date_token1] = ACTIONS(2614),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2614),
    [aux_sym__keyword_time_token1] = ACTIONS(2614),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2614),
    [anon_sym_LPAREN] = ACTIONS(2616),
    [aux_sym_drop_notnull_token1] = ACTIONS(2618),
    [aux_sym_function_call_token2] = ACTIONS(2620),
    [aux_sym_unnest_operator_token1] = ACTIONS(2668),
    [aux_sym_TRUE_token1] = ACTIONS(2624),
    [aux_sym_FALSE_token1] = ACTIONS(2626),
    [sym__integer] = ACTIONS(2628),
    [aux_sym__float_token1] = ACTIONS(2630),
    [aux_sym__float_token2] = ACTIONS(2628),
    [aux_sym__float_token3] = ACTIONS(2630),
    [aux_sym_numeric_token1] = ACTIONS(2632),
    [aux_sym_numeric_token2] = ACTIONS(2632),
    [aux_sym_numeric_token3] = ACTIONS(2632),
    [aux_sym_numeric_token4] = ACTIONS(2632),
    [aux_sym_interval_token1] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [aux_sym_json_token1] = ACTIONS(2638),
    [sym_system_variable] = ACTIONS(2640),
    [sym__named_query_parameter] = ACTIONS(2642),
    [sym__positional_query_parameter] = ACTIONS(2644),
    [sym__quoted_identifier] = ACTIONS(2646),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2670),
    [anon_sym_PLUS] = ACTIONS(2672),
    [anon_sym_DASH] = ACTIONS(2672),
    [anon_sym_operator_compare] = ACTIONS(2652),
    [anon_sym_DOLLAR] = ACTIONS(2654),
    [sym__string_start] = ACTIONS(2656),
  },
  [1323] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16282),
    [sym__keyword_case] = STATE(374),
    [sym__keyword_not] = STATE(1069),
    [sym__keyword_cast] = STATE(19285),
    [sym__keyword_date] = STATE(10540),
    [sym__keyword_datetime] = STATE(10540),
    [sym__keyword_time] = STATE(10540),
    [sym__keyword_timestamp] = STATE(10540),
    [sym_select_subexpression] = STATE(10861),
    [sym_function_call] = STATE(10861),
    [sym_unnest_operator] = STATE(6471),
    [sym_unnest_clause] = STATE(10861),
    [sym__literal] = STATE(10861),
    [sym_NULL] = STATE(10861),
    [sym_TRUE] = STATE(10861),
    [sym_FALSE] = STATE(10861),
    [sym__float] = STATE(10863),
    [sym_numeric] = STATE(10863),
    [sym__number] = STATE(10863),
    [sym_interval] = STATE(10861),
    [sym_range] = STATE(10861),
    [sym_time] = STATE(10861),
    [sym_number] = STATE(10861),
    [sym_json] = STATE(10861),
    [sym_query_parameter] = STATE(10861),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19065),
    [sym__type_array] = STATE(18448),
    [sym_array] = STATE(10861),
    [sym_struct] = STATE(10861),
    [sym__identifier] = STATE(10536),
    [sym__dotted_identifier] = STATE(14157),
    [sym_identifier] = STATE(10772),
    [sym_string] = STATE(10861),
    [sym__expression] = STATE(9096),
    [sym__parenthesized_expression] = STATE(10861),
    [sym_element_access] = STATE(10861),
    [sym_field_access] = STATE(10861),
    [sym_unary_expression] = STATE(10861),
    [sym_binary_expression] = STATE(10861),
    [sym_between_operator] = STATE(10861),
    [sym_casewhen_expression] = STATE(10861),
    [sym_cast_expression] = STATE(10861),
    [sym_argument_reference] = STATE(10861),
    [aux_sym_identifier_repeat1] = STATE(14157),
    [sym__unquoted_identifier] = ACTIONS(2552),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2554),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2556),
    [aux_sym__keyword_case_token1] = ACTIONS(2558),
    [aux_sym__keyword_cast_token1] = ACTIONS(2560),
    [aux_sym__keyword_cast_token2] = ACTIONS(2560),
    [aux_sym__keyword_date_token1] = ACTIONS(2562),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2562),
    [aux_sym__keyword_time_token1] = ACTIONS(2562),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [aux_sym_drop_notnull_token1] = ACTIONS(2566),
    [aux_sym_function_call_token2] = ACTIONS(2568),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2570),
    [aux_sym_FALSE_token1] = ACTIONS(2572),
    [sym__integer] = ACTIONS(2574),
    [aux_sym__float_token1] = ACTIONS(2576),
    [aux_sym__float_token2] = ACTIONS(2574),
    [aux_sym__float_token3] = ACTIONS(2576),
    [aux_sym_numeric_token1] = ACTIONS(2578),
    [aux_sym_numeric_token2] = ACTIONS(2578),
    [aux_sym_numeric_token3] = ACTIONS(2578),
    [aux_sym_numeric_token4] = ACTIONS(2578),
    [aux_sym_interval_token1] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [aux_sym_json_token1] = ACTIONS(2584),
    [sym_system_variable] = ACTIONS(2586),
    [sym__named_query_parameter] = ACTIONS(2588),
    [sym__positional_query_parameter] = ACTIONS(2590),
    [sym__quoted_identifier] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_operator_compare] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [sym__string_start] = ACTIONS(2602),
  },
  [1324] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9850),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1325] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9671),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1326] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10005),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1327] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10278),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1328] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16294),
    [sym__keyword_case] = STATE(376),
    [sym__keyword_not] = STATE(1650),
    [sym__keyword_cast] = STATE(19283),
    [sym__keyword_date] = STATE(4607),
    [sym__keyword_datetime] = STATE(4607),
    [sym__keyword_time] = STATE(4607),
    [sym__keyword_timestamp] = STATE(4607),
    [sym_select_subexpression] = STATE(4924),
    [sym_function_call] = STATE(4924),
    [sym_unnest_operator] = STATE(2504),
    [sym_unnest_clause] = STATE(4924),
    [sym__literal] = STATE(4924),
    [sym_NULL] = STATE(4924),
    [sym_TRUE] = STATE(4924),
    [sym_FALSE] = STATE(4924),
    [sym__float] = STATE(4921),
    [sym_numeric] = STATE(4921),
    [sym__number] = STATE(4921),
    [sym_interval] = STATE(4924),
    [sym_range] = STATE(4924),
    [sym_time] = STATE(4924),
    [sym_number] = STATE(4924),
    [sym_json] = STATE(4924),
    [sym_query_parameter] = STATE(4924),
    [sym__type_chrono] = STATE(4379),
    [sym__type_struct] = STATE(19058),
    [sym__type_array] = STATE(18414),
    [sym_array] = STATE(4924),
    [sym_struct] = STATE(4924),
    [sym__identifier] = STATE(4755),
    [sym__dotted_identifier] = STATE(13556),
    [sym_identifier] = STATE(4917),
    [sym_string] = STATE(4924),
    [sym__expression] = STATE(3703),
    [sym__parenthesized_expression] = STATE(4924),
    [sym_element_access] = STATE(4924),
    [sym_field_access] = STATE(4924),
    [sym_unary_expression] = STATE(4924),
    [sym_binary_expression] = STATE(4924),
    [sym_between_operator] = STATE(4924),
    [sym_casewhen_expression] = STATE(4924),
    [sym_cast_expression] = STATE(4924),
    [sym_argument_reference] = STATE(4924),
    [aux_sym_identifier_repeat1] = STATE(13556),
    [sym__unquoted_identifier] = ACTIONS(2604),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2606),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2608),
    [aux_sym__keyword_case_token1] = ACTIONS(2610),
    [aux_sym__keyword_cast_token1] = ACTIONS(2612),
    [aux_sym__keyword_cast_token2] = ACTIONS(2612),
    [aux_sym__keyword_date_token1] = ACTIONS(2614),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2614),
    [aux_sym__keyword_time_token1] = ACTIONS(2614),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2614),
    [anon_sym_LPAREN] = ACTIONS(2616),
    [aux_sym_drop_notnull_token1] = ACTIONS(2618),
    [aux_sym_function_call_token2] = ACTIONS(2620),
    [aux_sym_unnest_operator_token1] = ACTIONS(2668),
    [aux_sym_TRUE_token1] = ACTIONS(2624),
    [aux_sym_FALSE_token1] = ACTIONS(2626),
    [sym__integer] = ACTIONS(2628),
    [aux_sym__float_token1] = ACTIONS(2630),
    [aux_sym__float_token2] = ACTIONS(2628),
    [aux_sym__float_token3] = ACTIONS(2630),
    [aux_sym_numeric_token1] = ACTIONS(2632),
    [aux_sym_numeric_token2] = ACTIONS(2632),
    [aux_sym_numeric_token3] = ACTIONS(2632),
    [aux_sym_numeric_token4] = ACTIONS(2632),
    [aux_sym_interval_token1] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [aux_sym_json_token1] = ACTIONS(2638),
    [sym_system_variable] = ACTIONS(2640),
    [sym__named_query_parameter] = ACTIONS(2642),
    [sym__positional_query_parameter] = ACTIONS(2644),
    [sym__quoted_identifier] = ACTIONS(2646),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2670),
    [anon_sym_PLUS] = ACTIONS(2672),
    [anon_sym_DASH] = ACTIONS(2672),
    [anon_sym_operator_compare] = ACTIONS(2652),
    [anon_sym_DOLLAR] = ACTIONS(2654),
    [sym__string_start] = ACTIONS(2656),
  },
  [1329] = {
    [ts_builtin_sym_end] = ACTIONS(1508),
    [sym__unquoted_identifier] = ACTIONS(1510),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1510),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1510),
    [aux_sym_keyword_replace_token1] = ACTIONS(1510),
    [aux_sym__keyword_alter_token1] = ACTIONS(1510),
    [aux_sym__keyword_from_token1] = ACTIONS(1510),
    [aux_sym__keyword_delete_token1] = ACTIONS(1510),
    [aux_sym__keyword_begin_token1] = ACTIONS(1510),
    [aux_sym__keyword_end_token1] = ACTIONS(1510),
    [aux_sym__keyword_between_token1] = ACTIONS(1510),
    [aux_sym__keyword_when_token1] = ACTIONS(1510),
    [aux_sym__keyword_else_token1] = ACTIONS(1510),
    [aux_sym__keyword_is_token1] = ACTIONS(1510),
    [aux_sym__keyword_in_token1] = ACTIONS(1510),
    [aux_sym__keyword_and_token1] = ACTIONS(1510),
    [aux_sym__keyword_like_token1] = ACTIONS(1510),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1510),
    [aux_sym__keyword_as_token1] = ACTIONS(1510),
    [aux_sym__keyword_window_token1] = ACTIONS(1510),
    [aux_sym__keyword_date_token1] = ACTIONS(1510),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1510),
    [aux_sym__keyword_time_token1] = ACTIONS(1510),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1510),
    [aux_sym__keyword_for_token1] = ACTIONS(1510),
    [anon_sym_SEMI] = ACTIONS(1508),
    [aux_sym_declare_statement_token1] = ACTIONS(1510),
    [anon_sym_COMMA] = ACTIONS(1508),
    [aux_sym_set_statement_token1] = ACTIONS(1510),
    [anon_sym_LPAREN] = ACTIONS(1508),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1510),
    [aux_sym_return_satement_token1] = ACTIONS(1510),
    [aux_sym_call_statement_token1] = ACTIONS(1510),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1510),
    [aux_sym_if_statement_token1] = ACTIONS(1510),
    [aux_sym_loop_statement_token1] = ACTIONS(1510),
    [aux_sym_repeat_statement_token1] = ACTIONS(1510),
    [aux_sym_while_statement_token1] = ACTIONS(1510),
    [aux_sym_break_statement_token1] = ACTIONS(1510),
    [aux_sym_leave_statement_token1] = ACTIONS(1510),
    [aux_sym_continue_statement_token1] = ACTIONS(1510),
    [aux_sym_iterate_statement_token1] = ACTIONS(1510),
    [aux_sym_raise_statement_token1] = ACTIONS(1510),
    [anon_sym_EQ] = ACTIONS(1508),
    [aux_sym_assert_statement_token1] = ACTIONS(1510),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1510),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1510),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1510),
    [anon_sym_LT] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1510),
    [aux_sym_set_operation_token1] = ACTIONS(1510),
    [aux_sym_set_operation_token3] = ACTIONS(1510),
    [aux_sym_set_operation_token4] = ACTIONS(1510),
    [aux_sym_select_token1] = ACTIONS(1510),
    [aux_sym_having_clause_token1] = ACTIONS(1510),
    [aux_sym_qualify_clause_token1] = ACTIONS(1510),
    [aux_sym_limit_clause_token1] = ACTIONS(1510),
    [aux_sym_group_by_clause_token1] = ACTIONS(1510),
    [aux_sym_order_by_clause_token1] = ACTIONS(1510),
    [aux_sym_where_clause_token1] = ACTIONS(1510),
    [aux_sym_insert_statement_token1] = ACTIONS(1510),
    [aux_sym_truncate_statement_token1] = ACTIONS(1510),
    [aux_sym_update_statement_token1] = ACTIONS(1510),
    [aux_sym_merge_statement_token1] = ACTIONS(1510),
    [aux_sym_grant_statement_token1] = ACTIONS(1510),
    [aux_sym_revoke_statement_token1] = ACTIONS(1510),
    [aux_sym_export_data_statement_token1] = ACTIONS(1510),
    [aux_sym_load_data_statement_token1] = ACTIONS(1510),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [sym__quoted_identifier] = ACTIONS(1508),
    [anon_sym_DOT] = ACTIONS(1514),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1510),
    [anon_sym_PLUS] = ACTIONS(1508),
    [anon_sym_DASH] = ACTIONS(1510),
    [anon_sym_STAR] = ACTIONS(1508),
    [anon_sym_SLASH] = ACTIONS(1510),
    [anon_sym_PIPE_PIPE] = ACTIONS(1508),
    [anon_sym_LT_EQ] = ACTIONS(1508),
    [anon_sym_LT_GT] = ACTIONS(1508),
    [anon_sym_GT_EQ] = ACTIONS(1508),
    [anon_sym_BANG_EQ] = ACTIONS(1508),
    [anon_sym_LT_LT] = ACTIONS(1508),
    [anon_sym_GT_GT] = ACTIONS(1508),
    [anon_sym_AMP] = ACTIONS(1508),
    [anon_sym_CARET] = ACTIONS(1508),
    [anon_sym_PIPE] = ACTIONS(1510),
  },
  [1330] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9700),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1331] = {
    [sym_analytics_clause] = STATE(2088),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1420),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_from_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_end_token1] = ACTIONS(1420),
    [aux_sym__keyword_between_token1] = ACTIONS(1420),
    [aux_sym__keyword_when_token1] = ACTIONS(1420),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1420),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1420),
    [aux_sym__keyword_like_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_window_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_repeat_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token3] = ACTIONS(1420),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_having_clause_token1] = ACTIONS(1420),
    [aux_sym_qualify_clause_token1] = ACTIONS(1420),
    [aux_sym_limit_clause_token1] = ACTIONS(1420),
    [aux_sym_group_by_clause_token1] = ACTIONS(1420),
    [aux_sym_order_by_clause_token1] = ACTIONS(1420),
    [aux_sym_where_clause_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [1332] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16148),
    [sym__keyword_case] = STATE(268),
    [sym__keyword_not] = STATE(1835),
    [sym__keyword_cast] = STATE(19305),
    [sym__keyword_date] = STATE(7284),
    [sym__keyword_datetime] = STATE(7284),
    [sym__keyword_time] = STATE(7284),
    [sym__keyword_timestamp] = STATE(7284),
    [sym_select_subexpression] = STATE(7910),
    [sym_function_call] = STATE(7910),
    [sym_unnest_operator] = STATE(5277),
    [sym_unnest_clause] = STATE(7910),
    [sym__literal] = STATE(7910),
    [sym_NULL] = STATE(7910),
    [sym_TRUE] = STATE(7910),
    [sym_FALSE] = STATE(7910),
    [sym__float] = STATE(7895),
    [sym_numeric] = STATE(7895),
    [sym__number] = STATE(7895),
    [sym_interval] = STATE(7910),
    [sym_range] = STATE(7910),
    [sym_time] = STATE(7910),
    [sym_number] = STATE(7910),
    [sym_json] = STATE(7910),
    [sym_query_parameter] = STATE(7910),
    [sym__type_chrono] = STATE(7179),
    [sym__type_struct] = STATE(19135),
    [sym__type_array] = STATE(18721),
    [sym_array] = STATE(7910),
    [sym_struct] = STATE(7910),
    [sym__identifier] = STATE(5408),
    [sym__dotted_identifier] = STATE(13708),
    [sym_identifier] = STATE(7424),
    [sym_string] = STATE(7910),
    [sym__expression] = STATE(5730),
    [sym__parenthesized_expression] = STATE(7910),
    [sym_element_access] = STATE(7910),
    [sym_field_access] = STATE(7910),
    [sym_unary_expression] = STATE(7910),
    [sym_binary_expression] = STATE(7910),
    [sym_between_operator] = STATE(7910),
    [sym_casewhen_expression] = STATE(7910),
    [sym_cast_expression] = STATE(7910),
    [sym_argument_reference] = STATE(7910),
    [aux_sym_identifier_repeat1] = STATE(13708),
    [sym__unquoted_identifier] = ACTIONS(2440),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2442),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2444),
    [aux_sym__keyword_case_token1] = ACTIONS(2446),
    [aux_sym__keyword_cast_token1] = ACTIONS(2448),
    [aux_sym__keyword_cast_token2] = ACTIONS(2448),
    [aux_sym__keyword_date_token1] = ACTIONS(2450),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2450),
    [aux_sym__keyword_time_token1] = ACTIONS(2450),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2452),
    [aux_sym_drop_notnull_token1] = ACTIONS(2454),
    [aux_sym_function_call_token2] = ACTIONS(2456),
    [aux_sym_unnest_operator_token1] = ACTIONS(2458),
    [aux_sym_TRUE_token1] = ACTIONS(2460),
    [aux_sym_FALSE_token1] = ACTIONS(2462),
    [sym__integer] = ACTIONS(2464),
    [aux_sym__float_token1] = ACTIONS(2466),
    [aux_sym__float_token2] = ACTIONS(2464),
    [aux_sym__float_token3] = ACTIONS(2466),
    [aux_sym_numeric_token1] = ACTIONS(2468),
    [aux_sym_numeric_token2] = ACTIONS(2468),
    [aux_sym_numeric_token3] = ACTIONS(2468),
    [aux_sym_numeric_token4] = ACTIONS(2468),
    [aux_sym_interval_token1] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [aux_sym_json_token1] = ACTIONS(2474),
    [sym_system_variable] = ACTIONS(2476),
    [sym__named_query_parameter] = ACTIONS(2478),
    [sym__positional_query_parameter] = ACTIONS(2480),
    [sym__quoted_identifier] = ACTIONS(2482),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2484),
    [anon_sym_PLUS] = ACTIONS(2486),
    [anon_sym_DASH] = ACTIONS(2486),
    [anon_sym_operator_compare] = ACTIONS(2488),
    [anon_sym_DOLLAR] = ACTIONS(2490),
    [sym__string_start] = ACTIONS(2492),
  },
  [1333] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16282),
    [sym__keyword_case] = STATE(374),
    [sym__keyword_not] = STATE(1750),
    [sym__keyword_cast] = STATE(19285),
    [sym__keyword_date] = STATE(10540),
    [sym__keyword_datetime] = STATE(10540),
    [sym__keyword_time] = STATE(10540),
    [sym__keyword_timestamp] = STATE(10540),
    [sym_select_subexpression] = STATE(10861),
    [sym_function_call] = STATE(10861),
    [sym_unnest_operator] = STATE(5588),
    [sym_unnest_clause] = STATE(10861),
    [sym__literal] = STATE(10861),
    [sym_NULL] = STATE(10861),
    [sym_TRUE] = STATE(10861),
    [sym_FALSE] = STATE(10861),
    [sym__float] = STATE(10863),
    [sym_numeric] = STATE(10863),
    [sym__number] = STATE(10863),
    [sym_interval] = STATE(10861),
    [sym_range] = STATE(10861),
    [sym_time] = STATE(10861),
    [sym_number] = STATE(10861),
    [sym_json] = STATE(10861),
    [sym_query_parameter] = STATE(10861),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19065),
    [sym__type_array] = STATE(18448),
    [sym_array] = STATE(10861),
    [sym_struct] = STATE(10861),
    [sym__identifier] = STATE(10536),
    [sym__dotted_identifier] = STATE(14157),
    [sym_identifier] = STATE(10772),
    [sym_string] = STATE(10861),
    [sym__expression] = STATE(8206),
    [sym__parenthesized_expression] = STATE(10861),
    [sym_element_access] = STATE(10861),
    [sym_field_access] = STATE(10861),
    [sym_unary_expression] = STATE(10861),
    [sym_binary_expression] = STATE(10861),
    [sym_between_operator] = STATE(10861),
    [sym_casewhen_expression] = STATE(10861),
    [sym_cast_expression] = STATE(10861),
    [sym_argument_reference] = STATE(10861),
    [aux_sym_identifier_repeat1] = STATE(14157),
    [sym__unquoted_identifier] = ACTIONS(2552),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2554),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2556),
    [aux_sym__keyword_case_token1] = ACTIONS(2558),
    [aux_sym__keyword_cast_token1] = ACTIONS(2560),
    [aux_sym__keyword_cast_token2] = ACTIONS(2560),
    [aux_sym__keyword_date_token1] = ACTIONS(2562),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2562),
    [aux_sym__keyword_time_token1] = ACTIONS(2562),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [aux_sym_drop_notnull_token1] = ACTIONS(2566),
    [aux_sym_function_call_token2] = ACTIONS(2568),
    [aux_sym_unnest_operator_token1] = ACTIONS(2658),
    [aux_sym_TRUE_token1] = ACTIONS(2570),
    [aux_sym_FALSE_token1] = ACTIONS(2572),
    [sym__integer] = ACTIONS(2574),
    [aux_sym__float_token1] = ACTIONS(2576),
    [aux_sym__float_token2] = ACTIONS(2574),
    [aux_sym__float_token3] = ACTIONS(2576),
    [aux_sym_numeric_token1] = ACTIONS(2578),
    [aux_sym_numeric_token2] = ACTIONS(2578),
    [aux_sym_numeric_token3] = ACTIONS(2578),
    [aux_sym_numeric_token4] = ACTIONS(2578),
    [aux_sym_interval_token1] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [aux_sym_json_token1] = ACTIONS(2584),
    [sym_system_variable] = ACTIONS(2586),
    [sym__named_query_parameter] = ACTIONS(2588),
    [sym__positional_query_parameter] = ACTIONS(2590),
    [sym__quoted_identifier] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2660),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_operator_compare] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [sym__string_start] = ACTIONS(2602),
  },
  [1334] = {
    [ts_builtin_sym_end] = ACTIONS(1768),
    [sym__unquoted_identifier] = ACTIONS(1770),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1770),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1770),
    [aux_sym_keyword_replace_token1] = ACTIONS(1770),
    [aux_sym__keyword_alter_token1] = ACTIONS(1770),
    [aux_sym__keyword_from_token1] = ACTIONS(1770),
    [aux_sym__keyword_delete_token1] = ACTIONS(1770),
    [aux_sym__keyword_begin_token1] = ACTIONS(1770),
    [aux_sym__keyword_end_token1] = ACTIONS(1770),
    [aux_sym__keyword_between_token1] = ACTIONS(1770),
    [aux_sym__keyword_when_token1] = ACTIONS(1770),
    [aux_sym__keyword_else_token1] = ACTIONS(1770),
    [aux_sym__keyword_is_token1] = ACTIONS(1770),
    [aux_sym__keyword_in_token1] = ACTIONS(1770),
    [aux_sym__keyword_and_token1] = ACTIONS(1770),
    [aux_sym__keyword_like_token1] = ACTIONS(1770),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1770),
    [aux_sym__keyword_as_token1] = ACTIONS(1770),
    [aux_sym__keyword_window_token1] = ACTIONS(1770),
    [aux_sym__keyword_date_token1] = ACTIONS(1770),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1770),
    [aux_sym__keyword_time_token1] = ACTIONS(1770),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1770),
    [aux_sym__keyword_for_token1] = ACTIONS(1770),
    [anon_sym_SEMI] = ACTIONS(1768),
    [aux_sym_declare_statement_token1] = ACTIONS(1770),
    [anon_sym_COMMA] = ACTIONS(1768),
    [aux_sym_set_statement_token1] = ACTIONS(1770),
    [anon_sym_LPAREN] = ACTIONS(1768),
    [anon_sym_RPAREN] = ACTIONS(1768),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1770),
    [aux_sym_return_satement_token1] = ACTIONS(1770),
    [aux_sym_call_statement_token1] = ACTIONS(1770),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1770),
    [aux_sym_if_statement_token1] = ACTIONS(1770),
    [aux_sym_loop_statement_token1] = ACTIONS(1770),
    [aux_sym_repeat_statement_token1] = ACTIONS(1770),
    [aux_sym_while_statement_token1] = ACTIONS(1770),
    [aux_sym_break_statement_token1] = ACTIONS(1770),
    [aux_sym_leave_statement_token1] = ACTIONS(1770),
    [aux_sym_continue_statement_token1] = ACTIONS(1770),
    [aux_sym_iterate_statement_token1] = ACTIONS(1770),
    [aux_sym_raise_statement_token1] = ACTIONS(1770),
    [anon_sym_EQ] = ACTIONS(1768),
    [aux_sym_assert_statement_token1] = ACTIONS(1770),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1770),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1770),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1770),
    [anon_sym_LT] = ACTIONS(1770),
    [anon_sym_GT] = ACTIONS(1770),
    [aux_sym_set_operation_token1] = ACTIONS(1770),
    [aux_sym_set_operation_token3] = ACTIONS(1770),
    [aux_sym_set_operation_token4] = ACTIONS(1770),
    [aux_sym_select_token1] = ACTIONS(1770),
    [aux_sym_having_clause_token1] = ACTIONS(1770),
    [aux_sym_qualify_clause_token1] = ACTIONS(1770),
    [aux_sym_limit_clause_token1] = ACTIONS(1770),
    [aux_sym_group_by_clause_token1] = ACTIONS(1770),
    [aux_sym_order_by_clause_token1] = ACTIONS(1770),
    [aux_sym_where_clause_token1] = ACTIONS(1770),
    [aux_sym_insert_statement_token1] = ACTIONS(1770),
    [aux_sym_truncate_statement_token1] = ACTIONS(1770),
    [aux_sym_update_statement_token1] = ACTIONS(1770),
    [aux_sym_merge_statement_token1] = ACTIONS(1770),
    [aux_sym_grant_statement_token1] = ACTIONS(1770),
    [aux_sym_revoke_statement_token1] = ACTIONS(1770),
    [aux_sym_export_data_statement_token1] = ACTIONS(1770),
    [aux_sym_load_data_statement_token1] = ACTIONS(1770),
    [anon_sym_LBRACK] = ACTIONS(1768),
    [sym__quoted_identifier] = ACTIONS(1768),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1768),
    [anon_sym_PLUS] = ACTIONS(1768),
    [anon_sym_DASH] = ACTIONS(1770),
    [anon_sym_STAR] = ACTIONS(1768),
    [anon_sym_SLASH] = ACTIONS(1770),
    [anon_sym_PIPE_PIPE] = ACTIONS(1768),
    [anon_sym_LT_EQ] = ACTIONS(1768),
    [anon_sym_LT_GT] = ACTIONS(1768),
    [anon_sym_GT_EQ] = ACTIONS(1768),
    [anon_sym_BANG_EQ] = ACTIONS(1768),
    [anon_sym_LT_LT] = ACTIONS(1768),
    [anon_sym_GT_GT] = ACTIONS(1768),
    [anon_sym_AMP] = ACTIONS(1768),
    [anon_sym_CARET] = ACTIONS(1768),
    [anon_sym_PIPE] = ACTIONS(1770),
  },
  [1335] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16161),
    [sym__keyword_case] = STATE(281),
    [sym__keyword_not] = STATE(1524),
    [sym__keyword_cast] = STATE(19303),
    [sym__keyword_date] = STATE(5561),
    [sym__keyword_datetime] = STATE(5561),
    [sym__keyword_time] = STATE(5561),
    [sym__keyword_timestamp] = STATE(5561),
    [sym_select_subexpression] = STATE(5651),
    [sym_function_call] = STATE(5651),
    [sym_unnest_operator] = STATE(4219),
    [sym_unnest_clause] = STATE(5651),
    [sym__literal] = STATE(5651),
    [sym_NULL] = STATE(5651),
    [sym_TRUE] = STATE(5651),
    [sym_FALSE] = STATE(5651),
    [sym__float] = STATE(5650),
    [sym_numeric] = STATE(5650),
    [sym__number] = STATE(5650),
    [sym_interval] = STATE(5651),
    [sym_range] = STATE(5651),
    [sym_time] = STATE(5651),
    [sym_number] = STATE(5651),
    [sym_json] = STATE(5651),
    [sym_query_parameter] = STATE(5651),
    [sym__type_chrono] = STATE(5409),
    [sym__type_struct] = STATE(19128),
    [sym__type_array] = STATE(18694),
    [sym_array] = STATE(5651),
    [sym_struct] = STATE(5651),
    [sym__identifier] = STATE(5400),
    [sym__dotted_identifier] = STATE(13676),
    [sym_identifier] = STATE(5580),
    [sym_string] = STATE(5651),
    [sym__expression] = STATE(5301),
    [sym__parenthesized_expression] = STATE(5651),
    [sym_element_access] = STATE(5651),
    [sym_field_access] = STATE(5651),
    [sym_unary_expression] = STATE(5651),
    [sym_binary_expression] = STATE(5651),
    [sym_between_operator] = STATE(5651),
    [sym_casewhen_expression] = STATE(5651),
    [sym_cast_expression] = STATE(5651),
    [sym_argument_reference] = STATE(5651),
    [aux_sym_identifier_repeat1] = STATE(13676),
    [sym__unquoted_identifier] = ACTIONS(2498),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2500),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2502),
    [aux_sym__keyword_case_token1] = ACTIONS(2504),
    [aux_sym__keyword_cast_token1] = ACTIONS(2506),
    [aux_sym__keyword_cast_token2] = ACTIONS(2506),
    [aux_sym__keyword_date_token1] = ACTIONS(2508),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2508),
    [aux_sym__keyword_time_token1] = ACTIONS(2508),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2508),
    [anon_sym_LPAREN] = ACTIONS(2510),
    [aux_sym_drop_notnull_token1] = ACTIONS(2512),
    [aux_sym_function_call_token2] = ACTIONS(2514),
    [aux_sym_unnest_operator_token1] = ACTIONS(2516),
    [aux_sym_TRUE_token1] = ACTIONS(2518),
    [aux_sym_FALSE_token1] = ACTIONS(2520),
    [sym__integer] = ACTIONS(2522),
    [aux_sym__float_token1] = ACTIONS(2524),
    [aux_sym__float_token2] = ACTIONS(2522),
    [aux_sym__float_token3] = ACTIONS(2524),
    [aux_sym_numeric_token1] = ACTIONS(2526),
    [aux_sym_numeric_token2] = ACTIONS(2526),
    [aux_sym_numeric_token3] = ACTIONS(2526),
    [aux_sym_numeric_token4] = ACTIONS(2526),
    [aux_sym_interval_token1] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2530),
    [aux_sym_json_token1] = ACTIONS(2532),
    [sym_system_variable] = ACTIONS(2534),
    [sym__named_query_parameter] = ACTIONS(2536),
    [sym__positional_query_parameter] = ACTIONS(2538),
    [sym__quoted_identifier] = ACTIONS(2540),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2542),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_operator_compare] = ACTIONS(2546),
    [anon_sym_DOLLAR] = ACTIONS(2548),
    [sym__string_start] = ACTIONS(2550),
  },
  [1336] = {
    [sym_analytics_clause] = STATE(2090),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1420),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_from_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_end_token1] = ACTIONS(1420),
    [aux_sym__keyword_between_token1] = ACTIONS(1420),
    [aux_sym__keyword_when_token1] = ACTIONS(1420),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1420),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1420),
    [aux_sym__keyword_like_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_window_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_repeat_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token3] = ACTIONS(1420),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_having_clause_token1] = ACTIONS(1420),
    [aux_sym_qualify_clause_token1] = ACTIONS(1420),
    [aux_sym_limit_clause_token1] = ACTIONS(1420),
    [aux_sym_group_by_clause_token1] = ACTIONS(1420),
    [aux_sym_order_by_clause_token1] = ACTIONS(1420),
    [aux_sym_where_clause_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [1337] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1300),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2306),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3174),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2664),
    [anon_sym_PLUS] = ACTIONS(2666),
    [anon_sym_DASH] = ACTIONS(2666),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1338] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8969),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1339] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9640),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1340] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(1276),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(174),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2322),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(1886),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1910),
    [anon_sym_PLUS] = ACTIONS(1912),
    [anon_sym_DASH] = ACTIONS(1912),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1341] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(1276),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(174),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2329),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(1886),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1910),
    [anon_sym_PLUS] = ACTIONS(1912),
    [anon_sym_DASH] = ACTIONS(1912),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1342] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16282),
    [sym__keyword_case] = STATE(374),
    [sym__keyword_not] = STATE(1069),
    [sym__keyword_cast] = STATE(19285),
    [sym__keyword_date] = STATE(10540),
    [sym__keyword_datetime] = STATE(10540),
    [sym__keyword_time] = STATE(10540),
    [sym__keyword_timestamp] = STATE(10540),
    [sym_select_subexpression] = STATE(10861),
    [sym_function_call] = STATE(10861),
    [sym_unnest_operator] = STATE(6471),
    [sym_unnest_clause] = STATE(10861),
    [sym__literal] = STATE(10861),
    [sym_NULL] = STATE(10861),
    [sym_TRUE] = STATE(10861),
    [sym_FALSE] = STATE(10861),
    [sym__float] = STATE(10863),
    [sym_numeric] = STATE(10863),
    [sym__number] = STATE(10863),
    [sym_interval] = STATE(10861),
    [sym_range] = STATE(10861),
    [sym_time] = STATE(10861),
    [sym_number] = STATE(10861),
    [sym_json] = STATE(10861),
    [sym_query_parameter] = STATE(10861),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19065),
    [sym__type_array] = STATE(18448),
    [sym_array] = STATE(10861),
    [sym_struct] = STATE(10861),
    [sym__identifier] = STATE(10536),
    [sym__dotted_identifier] = STATE(14157),
    [sym_identifier] = STATE(10772),
    [sym_string] = STATE(10861),
    [sym__expression] = STATE(9090),
    [sym__parenthesized_expression] = STATE(10861),
    [sym_element_access] = STATE(10861),
    [sym_field_access] = STATE(10861),
    [sym_unary_expression] = STATE(10861),
    [sym_binary_expression] = STATE(10861),
    [sym_between_operator] = STATE(10861),
    [sym_casewhen_expression] = STATE(10861),
    [sym_cast_expression] = STATE(10861),
    [sym_argument_reference] = STATE(10861),
    [aux_sym_identifier_repeat1] = STATE(14157),
    [sym__unquoted_identifier] = ACTIONS(2552),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2554),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2556),
    [aux_sym__keyword_case_token1] = ACTIONS(2558),
    [aux_sym__keyword_cast_token1] = ACTIONS(2560),
    [aux_sym__keyword_cast_token2] = ACTIONS(2560),
    [aux_sym__keyword_date_token1] = ACTIONS(2562),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2562),
    [aux_sym__keyword_time_token1] = ACTIONS(2562),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [aux_sym_drop_notnull_token1] = ACTIONS(2566),
    [aux_sym_function_call_token2] = ACTIONS(2568),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2570),
    [aux_sym_FALSE_token1] = ACTIONS(2572),
    [sym__integer] = ACTIONS(2574),
    [aux_sym__float_token1] = ACTIONS(2576),
    [aux_sym__float_token2] = ACTIONS(2574),
    [aux_sym__float_token3] = ACTIONS(2576),
    [aux_sym_numeric_token1] = ACTIONS(2578),
    [aux_sym_numeric_token2] = ACTIONS(2578),
    [aux_sym_numeric_token3] = ACTIONS(2578),
    [aux_sym_numeric_token4] = ACTIONS(2578),
    [aux_sym_interval_token1] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [aux_sym_json_token1] = ACTIONS(2584),
    [sym_system_variable] = ACTIONS(2586),
    [sym__named_query_parameter] = ACTIONS(2588),
    [sym__positional_query_parameter] = ACTIONS(2590),
    [sym__quoted_identifier] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_operator_compare] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [sym__string_start] = ACTIONS(2602),
  },
  [1343] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16294),
    [sym__keyword_case] = STATE(376),
    [sym__keyword_not] = STATE(1650),
    [sym__keyword_cast] = STATE(19283),
    [sym__keyword_date] = STATE(4607),
    [sym__keyword_datetime] = STATE(4607),
    [sym__keyword_time] = STATE(4607),
    [sym__keyword_timestamp] = STATE(4607),
    [sym_select_subexpression] = STATE(4924),
    [sym_function_call] = STATE(4924),
    [sym_unnest_operator] = STATE(2504),
    [sym_unnest_clause] = STATE(4924),
    [sym__literal] = STATE(4924),
    [sym_NULL] = STATE(4924),
    [sym_TRUE] = STATE(4924),
    [sym_FALSE] = STATE(4924),
    [sym__float] = STATE(4921),
    [sym_numeric] = STATE(4921),
    [sym__number] = STATE(4921),
    [sym_interval] = STATE(4924),
    [sym_range] = STATE(4924),
    [sym_time] = STATE(4924),
    [sym_number] = STATE(4924),
    [sym_json] = STATE(4924),
    [sym_query_parameter] = STATE(4924),
    [sym__type_chrono] = STATE(4379),
    [sym__type_struct] = STATE(19058),
    [sym__type_array] = STATE(18414),
    [sym_array] = STATE(4924),
    [sym_struct] = STATE(4924),
    [sym__identifier] = STATE(4755),
    [sym__dotted_identifier] = STATE(13556),
    [sym_identifier] = STATE(4917),
    [sym_string] = STATE(4924),
    [sym__expression] = STATE(3377),
    [sym__parenthesized_expression] = STATE(4924),
    [sym_element_access] = STATE(4924),
    [sym_field_access] = STATE(4924),
    [sym_unary_expression] = STATE(4924),
    [sym_binary_expression] = STATE(4924),
    [sym_between_operator] = STATE(4924),
    [sym_casewhen_expression] = STATE(4924),
    [sym_cast_expression] = STATE(4924),
    [sym_argument_reference] = STATE(4924),
    [aux_sym_identifier_repeat1] = STATE(13556),
    [sym__unquoted_identifier] = ACTIONS(2604),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2606),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2608),
    [aux_sym__keyword_case_token1] = ACTIONS(2610),
    [aux_sym__keyword_cast_token1] = ACTIONS(2612),
    [aux_sym__keyword_cast_token2] = ACTIONS(2612),
    [aux_sym__keyword_date_token1] = ACTIONS(2614),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2614),
    [aux_sym__keyword_time_token1] = ACTIONS(2614),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2614),
    [anon_sym_LPAREN] = ACTIONS(2616),
    [aux_sym_drop_notnull_token1] = ACTIONS(2618),
    [aux_sym_function_call_token2] = ACTIONS(2620),
    [aux_sym_unnest_operator_token1] = ACTIONS(2668),
    [aux_sym_TRUE_token1] = ACTIONS(2624),
    [aux_sym_FALSE_token1] = ACTIONS(2626),
    [sym__integer] = ACTIONS(2628),
    [aux_sym__float_token1] = ACTIONS(2630),
    [aux_sym__float_token2] = ACTIONS(2628),
    [aux_sym__float_token3] = ACTIONS(2630),
    [aux_sym_numeric_token1] = ACTIONS(2632),
    [aux_sym_numeric_token2] = ACTIONS(2632),
    [aux_sym_numeric_token3] = ACTIONS(2632),
    [aux_sym_numeric_token4] = ACTIONS(2632),
    [aux_sym_interval_token1] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [aux_sym_json_token1] = ACTIONS(2638),
    [sym_system_variable] = ACTIONS(2640),
    [sym__named_query_parameter] = ACTIONS(2642),
    [sym__positional_query_parameter] = ACTIONS(2644),
    [sym__quoted_identifier] = ACTIONS(2646),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2670),
    [anon_sym_PLUS] = ACTIONS(2672),
    [anon_sym_DASH] = ACTIONS(2672),
    [anon_sym_operator_compare] = ACTIONS(2652),
    [anon_sym_DOLLAR] = ACTIONS(2654),
    [sym__string_start] = ACTIONS(2656),
  },
  [1344] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1350),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2703),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(4198),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2674),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1345] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1300),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2306),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3173),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2664),
    [anon_sym_PLUS] = ACTIONS(2666),
    [anon_sym_DASH] = ACTIONS(2666),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1346] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1300),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2306),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3172),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2664),
    [anon_sym_PLUS] = ACTIONS(2666),
    [anon_sym_DASH] = ACTIONS(2666),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1347] = {
    [sym_string] = STATE(2091),
    [sym__unquoted_identifier] = ACTIONS(1510),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1510),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1510),
    [aux_sym_keyword_replace_token1] = ACTIONS(1510),
    [aux_sym__keyword_alter_token1] = ACTIONS(1510),
    [aux_sym__keyword_from_token1] = ACTIONS(1510),
    [aux_sym__keyword_delete_token1] = ACTIONS(1510),
    [aux_sym__keyword_begin_token1] = ACTIONS(1510),
    [aux_sym__keyword_end_token1] = ACTIONS(1510),
    [aux_sym__keyword_between_token1] = ACTIONS(1510),
    [aux_sym__keyword_when_token1] = ACTIONS(1510),
    [aux_sym__keyword_else_token1] = ACTIONS(1510),
    [aux_sym__keyword_is_token1] = ACTIONS(1510),
    [aux_sym__keyword_in_token1] = ACTIONS(1510),
    [aux_sym__keyword_and_token1] = ACTIONS(1510),
    [aux_sym__keyword_like_token1] = ACTIONS(1510),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1510),
    [aux_sym__keyword_as_token1] = ACTIONS(1510),
    [aux_sym__keyword_window_token1] = ACTIONS(1510),
    [aux_sym__keyword_date_token1] = ACTIONS(1510),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1510),
    [aux_sym__keyword_time_token1] = ACTIONS(1510),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1510),
    [aux_sym__keyword_for_token1] = ACTIONS(1510),
    [anon_sym_SEMI] = ACTIONS(1508),
    [aux_sym_declare_statement_token1] = ACTIONS(1510),
    [anon_sym_COMMA] = ACTIONS(1508),
    [aux_sym_set_statement_token1] = ACTIONS(1510),
    [anon_sym_LPAREN] = ACTIONS(1508),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1510),
    [aux_sym_return_satement_token1] = ACTIONS(1510),
    [aux_sym_call_statement_token1] = ACTIONS(1510),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1510),
    [aux_sym_if_statement_token1] = ACTIONS(1510),
    [aux_sym_loop_statement_token1] = ACTIONS(1510),
    [aux_sym_repeat_statement_token1] = ACTIONS(1510),
    [aux_sym_while_statement_token1] = ACTIONS(1510),
    [aux_sym_break_statement_token1] = ACTIONS(1510),
    [aux_sym_leave_statement_token1] = ACTIONS(1510),
    [aux_sym_continue_statement_token1] = ACTIONS(1510),
    [aux_sym_iterate_statement_token1] = ACTIONS(1510),
    [aux_sym_raise_statement_token1] = ACTIONS(1510),
    [anon_sym_EQ] = ACTIONS(1508),
    [aux_sym_assert_statement_token1] = ACTIONS(1510),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1510),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1510),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1510),
    [anon_sym_LT] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1510),
    [aux_sym_set_operation_token1] = ACTIONS(1510),
    [aux_sym_set_operation_token3] = ACTIONS(1510),
    [aux_sym_set_operation_token4] = ACTIONS(1510),
    [aux_sym_select_token1] = ACTIONS(1510),
    [aux_sym_having_clause_token1] = ACTIONS(1510),
    [aux_sym_qualify_clause_token1] = ACTIONS(1510),
    [aux_sym_limit_clause_token1] = ACTIONS(1510),
    [aux_sym_group_by_clause_token1] = ACTIONS(1510),
    [aux_sym_order_by_clause_token1] = ACTIONS(1510),
    [aux_sym_where_clause_token1] = ACTIONS(1510),
    [aux_sym_insert_statement_token1] = ACTIONS(1510),
    [aux_sym_truncate_statement_token1] = ACTIONS(1510),
    [aux_sym_update_statement_token1] = ACTIONS(1510),
    [aux_sym_merge_statement_token1] = ACTIONS(1510),
    [aux_sym_grant_statement_token1] = ACTIONS(1510),
    [aux_sym_revoke_statement_token1] = ACTIONS(1510),
    [aux_sym_export_data_statement_token1] = ACTIONS(1510),
    [aux_sym_load_data_statement_token1] = ACTIONS(1510),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [sym__quoted_identifier] = ACTIONS(1508),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1508),
    [anon_sym_PLUS] = ACTIONS(1508),
    [anon_sym_DASH] = ACTIONS(1510),
    [anon_sym_STAR] = ACTIONS(1508),
    [anon_sym_SLASH] = ACTIONS(1510),
    [anon_sym_PIPE_PIPE] = ACTIONS(1508),
    [anon_sym_LT_EQ] = ACTIONS(1508),
    [anon_sym_LT_GT] = ACTIONS(1508),
    [anon_sym_GT_EQ] = ACTIONS(1508),
    [anon_sym_BANG_EQ] = ACTIONS(1508),
    [anon_sym_LT_LT] = ACTIONS(1508),
    [anon_sym_GT_GT] = ACTIONS(1508),
    [anon_sym_AMP] = ACTIONS(1508),
    [anon_sym_CARET] = ACTIONS(1508),
    [anon_sym_PIPE] = ACTIONS(1510),
    [sym__string_start] = ACTIONS(135),
  },
  [1348] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(841),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2044),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(2989),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2406),
    [anon_sym_DASH] = ACTIONS(2406),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1349] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16282),
    [sym__keyword_case] = STATE(374),
    [sym__keyword_not] = STATE(1069),
    [sym__keyword_cast] = STATE(19285),
    [sym__keyword_date] = STATE(10540),
    [sym__keyword_datetime] = STATE(10540),
    [sym__keyword_time] = STATE(10540),
    [sym__keyword_timestamp] = STATE(10540),
    [sym_select_subexpression] = STATE(10861),
    [sym_function_call] = STATE(10861),
    [sym_unnest_operator] = STATE(6471),
    [sym_unnest_clause] = STATE(10861),
    [sym__literal] = STATE(10861),
    [sym_NULL] = STATE(10861),
    [sym_TRUE] = STATE(10861),
    [sym_FALSE] = STATE(10861),
    [sym__float] = STATE(10863),
    [sym_numeric] = STATE(10863),
    [sym__number] = STATE(10863),
    [sym_interval] = STATE(10861),
    [sym_range] = STATE(10861),
    [sym_time] = STATE(10861),
    [sym_number] = STATE(10861),
    [sym_json] = STATE(10861),
    [sym_query_parameter] = STATE(10861),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19065),
    [sym__type_array] = STATE(18448),
    [sym_array] = STATE(10861),
    [sym_struct] = STATE(10861),
    [sym__identifier] = STATE(10536),
    [sym__dotted_identifier] = STATE(14157),
    [sym_identifier] = STATE(10772),
    [sym_string] = STATE(10861),
    [sym__expression] = STATE(9082),
    [sym__parenthesized_expression] = STATE(10861),
    [sym_element_access] = STATE(10861),
    [sym_field_access] = STATE(10861),
    [sym_unary_expression] = STATE(10861),
    [sym_binary_expression] = STATE(10861),
    [sym_between_operator] = STATE(10861),
    [sym_casewhen_expression] = STATE(10861),
    [sym_cast_expression] = STATE(10861),
    [sym_argument_reference] = STATE(10861),
    [aux_sym_identifier_repeat1] = STATE(14157),
    [sym__unquoted_identifier] = ACTIONS(2552),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2554),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2556),
    [aux_sym__keyword_case_token1] = ACTIONS(2558),
    [aux_sym__keyword_cast_token1] = ACTIONS(2560),
    [aux_sym__keyword_cast_token2] = ACTIONS(2560),
    [aux_sym__keyword_date_token1] = ACTIONS(2562),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2562),
    [aux_sym__keyword_time_token1] = ACTIONS(2562),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [aux_sym_drop_notnull_token1] = ACTIONS(2566),
    [aux_sym_function_call_token2] = ACTIONS(2568),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2570),
    [aux_sym_FALSE_token1] = ACTIONS(2572),
    [sym__integer] = ACTIONS(2574),
    [aux_sym__float_token1] = ACTIONS(2576),
    [aux_sym__float_token2] = ACTIONS(2574),
    [aux_sym__float_token3] = ACTIONS(2576),
    [aux_sym_numeric_token1] = ACTIONS(2578),
    [aux_sym_numeric_token2] = ACTIONS(2578),
    [aux_sym_numeric_token3] = ACTIONS(2578),
    [aux_sym_numeric_token4] = ACTIONS(2578),
    [aux_sym_interval_token1] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [aux_sym_json_token1] = ACTIONS(2584),
    [sym_system_variable] = ACTIONS(2586),
    [sym__named_query_parameter] = ACTIONS(2588),
    [sym__positional_query_parameter] = ACTIONS(2590),
    [sym__quoted_identifier] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_operator_compare] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [sym__string_start] = ACTIONS(2602),
  },
  [1350] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1350),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2703),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(4199),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2674),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1351] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1300),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2306),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3170),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2664),
    [anon_sym_PLUS] = ACTIONS(2666),
    [anon_sym_DASH] = ACTIONS(2666),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1352] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1300),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2306),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3169),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2664),
    [anon_sym_PLUS] = ACTIONS(2666),
    [anon_sym_DASH] = ACTIONS(2666),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1353] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16294),
    [sym__keyword_case] = STATE(376),
    [sym__keyword_not] = STATE(1650),
    [sym__keyword_cast] = STATE(19283),
    [sym__keyword_date] = STATE(4607),
    [sym__keyword_datetime] = STATE(4607),
    [sym__keyword_time] = STATE(4607),
    [sym__keyword_timestamp] = STATE(4607),
    [sym_select_subexpression] = STATE(4924),
    [sym_function_call] = STATE(4924),
    [sym_unnest_operator] = STATE(2504),
    [sym_unnest_clause] = STATE(4924),
    [sym__literal] = STATE(4924),
    [sym_NULL] = STATE(4924),
    [sym_TRUE] = STATE(4924),
    [sym_FALSE] = STATE(4924),
    [sym__float] = STATE(4921),
    [sym_numeric] = STATE(4921),
    [sym__number] = STATE(4921),
    [sym_interval] = STATE(4924),
    [sym_range] = STATE(4924),
    [sym_time] = STATE(4924),
    [sym_number] = STATE(4924),
    [sym_json] = STATE(4924),
    [sym_query_parameter] = STATE(4924),
    [sym__type_chrono] = STATE(4379),
    [sym__type_struct] = STATE(19058),
    [sym__type_array] = STATE(18414),
    [sym_array] = STATE(4924),
    [sym_struct] = STATE(4924),
    [sym__identifier] = STATE(4755),
    [sym__dotted_identifier] = STATE(13556),
    [sym_identifier] = STATE(4917),
    [sym_string] = STATE(4924),
    [sym__expression] = STATE(3679),
    [sym__parenthesized_expression] = STATE(4924),
    [sym_element_access] = STATE(4924),
    [sym_field_access] = STATE(4924),
    [sym_unary_expression] = STATE(4924),
    [sym_binary_expression] = STATE(4924),
    [sym_between_operator] = STATE(4924),
    [sym_casewhen_expression] = STATE(4924),
    [sym_cast_expression] = STATE(4924),
    [sym_argument_reference] = STATE(4924),
    [aux_sym_identifier_repeat1] = STATE(13556),
    [sym__unquoted_identifier] = ACTIONS(2604),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2606),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2608),
    [aux_sym__keyword_case_token1] = ACTIONS(2610),
    [aux_sym__keyword_cast_token1] = ACTIONS(2612),
    [aux_sym__keyword_cast_token2] = ACTIONS(2612),
    [aux_sym__keyword_date_token1] = ACTIONS(2614),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2614),
    [aux_sym__keyword_time_token1] = ACTIONS(2614),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2614),
    [anon_sym_LPAREN] = ACTIONS(2616),
    [aux_sym_drop_notnull_token1] = ACTIONS(2618),
    [aux_sym_function_call_token2] = ACTIONS(2620),
    [aux_sym_unnest_operator_token1] = ACTIONS(2668),
    [aux_sym_TRUE_token1] = ACTIONS(2624),
    [aux_sym_FALSE_token1] = ACTIONS(2626),
    [sym__integer] = ACTIONS(2628),
    [aux_sym__float_token1] = ACTIONS(2630),
    [aux_sym__float_token2] = ACTIONS(2628),
    [aux_sym__float_token3] = ACTIONS(2630),
    [aux_sym_numeric_token1] = ACTIONS(2632),
    [aux_sym_numeric_token2] = ACTIONS(2632),
    [aux_sym_numeric_token3] = ACTIONS(2632),
    [aux_sym_numeric_token4] = ACTIONS(2632),
    [aux_sym_interval_token1] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [aux_sym_json_token1] = ACTIONS(2638),
    [sym_system_variable] = ACTIONS(2640),
    [sym__named_query_parameter] = ACTIONS(2642),
    [sym__positional_query_parameter] = ACTIONS(2644),
    [sym__quoted_identifier] = ACTIONS(2646),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2670),
    [anon_sym_PLUS] = ACTIONS(2672),
    [anon_sym_DASH] = ACTIONS(2672),
    [anon_sym_operator_compare] = ACTIONS(2652),
    [anon_sym_DOLLAR] = ACTIONS(2654),
    [sym__string_start] = ACTIONS(2656),
  },
  [1354] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16294),
    [sym__keyword_case] = STATE(376),
    [sym__keyword_not] = STATE(1650),
    [sym__keyword_cast] = STATE(19283),
    [sym__keyword_date] = STATE(4607),
    [sym__keyword_datetime] = STATE(4607),
    [sym__keyword_time] = STATE(4607),
    [sym__keyword_timestamp] = STATE(4607),
    [sym_select_subexpression] = STATE(4924),
    [sym_function_call] = STATE(4924),
    [sym_unnest_operator] = STATE(2504),
    [sym_unnest_clause] = STATE(4924),
    [sym__literal] = STATE(4924),
    [sym_NULL] = STATE(4924),
    [sym_TRUE] = STATE(4924),
    [sym_FALSE] = STATE(4924),
    [sym__float] = STATE(4921),
    [sym_numeric] = STATE(4921),
    [sym__number] = STATE(4921),
    [sym_interval] = STATE(4924),
    [sym_range] = STATE(4924),
    [sym_time] = STATE(4924),
    [sym_number] = STATE(4924),
    [sym_json] = STATE(4924),
    [sym_query_parameter] = STATE(4924),
    [sym__type_chrono] = STATE(4379),
    [sym__type_struct] = STATE(19058),
    [sym__type_array] = STATE(18414),
    [sym_array] = STATE(4924),
    [sym_struct] = STATE(4924),
    [sym__identifier] = STATE(4755),
    [sym__dotted_identifier] = STATE(13556),
    [sym_identifier] = STATE(4917),
    [sym_string] = STATE(4924),
    [sym__expression] = STATE(3701),
    [sym__parenthesized_expression] = STATE(4924),
    [sym_element_access] = STATE(4924),
    [sym_field_access] = STATE(4924),
    [sym_unary_expression] = STATE(4924),
    [sym_binary_expression] = STATE(4924),
    [sym_between_operator] = STATE(4924),
    [sym_casewhen_expression] = STATE(4924),
    [sym_cast_expression] = STATE(4924),
    [sym_argument_reference] = STATE(4924),
    [aux_sym_identifier_repeat1] = STATE(13556),
    [sym__unquoted_identifier] = ACTIONS(2604),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2606),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2608),
    [aux_sym__keyword_case_token1] = ACTIONS(2610),
    [aux_sym__keyword_cast_token1] = ACTIONS(2612),
    [aux_sym__keyword_cast_token2] = ACTIONS(2612),
    [aux_sym__keyword_date_token1] = ACTIONS(2614),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2614),
    [aux_sym__keyword_time_token1] = ACTIONS(2614),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2614),
    [anon_sym_LPAREN] = ACTIONS(2616),
    [aux_sym_drop_notnull_token1] = ACTIONS(2618),
    [aux_sym_function_call_token2] = ACTIONS(2620),
    [aux_sym_unnest_operator_token1] = ACTIONS(2668),
    [aux_sym_TRUE_token1] = ACTIONS(2624),
    [aux_sym_FALSE_token1] = ACTIONS(2626),
    [sym__integer] = ACTIONS(2628),
    [aux_sym__float_token1] = ACTIONS(2630),
    [aux_sym__float_token2] = ACTIONS(2628),
    [aux_sym__float_token3] = ACTIONS(2630),
    [aux_sym_numeric_token1] = ACTIONS(2632),
    [aux_sym_numeric_token2] = ACTIONS(2632),
    [aux_sym_numeric_token3] = ACTIONS(2632),
    [aux_sym_numeric_token4] = ACTIONS(2632),
    [aux_sym_interval_token1] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [aux_sym_json_token1] = ACTIONS(2638),
    [sym_system_variable] = ACTIONS(2640),
    [sym__named_query_parameter] = ACTIONS(2642),
    [sym__positional_query_parameter] = ACTIONS(2644),
    [sym__quoted_identifier] = ACTIONS(2646),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2670),
    [anon_sym_PLUS] = ACTIONS(2672),
    [anon_sym_DASH] = ACTIONS(2672),
    [anon_sym_operator_compare] = ACTIONS(2652),
    [anon_sym_DOLLAR] = ACTIONS(2654),
    [sym__string_start] = ACTIONS(2656),
  },
  [1355] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9669),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1356] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1357),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(391),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(2733),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(957),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(961),
    [anon_sym_DASH] = ACTIONS(961),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1357] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1357),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(391),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(2735),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(957),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(961),
    [anon_sym_DASH] = ACTIONS(961),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1358] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(1276),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(174),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2334),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(1886),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1910),
    [anon_sym_PLUS] = ACTIONS(1912),
    [anon_sym_DASH] = ACTIONS(1912),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1359] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1357),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(391),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(2754),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(957),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(961),
    [anon_sym_DASH] = ACTIONS(961),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1360] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1357),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(391),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(2755),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(957),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(961),
    [anon_sym_DASH] = ACTIONS(961),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1361] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1357),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(391),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(2756),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(957),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(961),
    [anon_sym_DASH] = ACTIONS(961),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1362] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1357),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(391),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(2757),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(957),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(961),
    [anon_sym_DASH] = ACTIONS(961),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1363] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1357),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(391),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(2758),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(957),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(961),
    [anon_sym_DASH] = ACTIONS(961),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1364] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1357),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(391),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(2759),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(957),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(961),
    [anon_sym_DASH] = ACTIONS(961),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1365] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1357),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(391),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(2761),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(957),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(961),
    [anon_sym_DASH] = ACTIONS(961),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1366] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16217),
    [sym__keyword_case] = STATE(353),
    [sym__keyword_not] = STATE(1565),
    [sym__keyword_cast] = STATE(19295),
    [sym__keyword_date] = STATE(9555),
    [sym__keyword_datetime] = STATE(9555),
    [sym__keyword_time] = STATE(9555),
    [sym__keyword_timestamp] = STATE(9555),
    [sym_select_subexpression] = STATE(10287),
    [sym_function_call] = STATE(10287),
    [sym_unnest_operator] = STATE(5325),
    [sym_unnest_clause] = STATE(10287),
    [sym__literal] = STATE(10287),
    [sym_NULL] = STATE(10287),
    [sym_TRUE] = STATE(10287),
    [sym_FALSE] = STATE(10287),
    [sym__float] = STATE(10288),
    [sym_numeric] = STATE(10288),
    [sym__number] = STATE(10288),
    [sym_interval] = STATE(10287),
    [sym_range] = STATE(10287),
    [sym_time] = STATE(10287),
    [sym_number] = STATE(10287),
    [sym_json] = STATE(10287),
    [sym_query_parameter] = STATE(10287),
    [sym__type_chrono] = STATE(8548),
    [sym__type_struct] = STATE(19100),
    [sym__type_array] = STATE(18586),
    [sym_array] = STATE(10287),
    [sym_struct] = STATE(10287),
    [sym__identifier] = STATE(8591),
    [sym__dotted_identifier] = STATE(13746),
    [sym_identifier] = STATE(9785),
    [sym_string] = STATE(10287),
    [sym__expression] = STATE(6781),
    [sym__parenthesized_expression] = STATE(10287),
    [sym_element_access] = STATE(10287),
    [sym_field_access] = STATE(10287),
    [sym_unary_expression] = STATE(10287),
    [sym_binary_expression] = STATE(10287),
    [sym_between_operator] = STATE(10287),
    [sym_casewhen_expression] = STATE(10287),
    [sym_cast_expression] = STATE(10287),
    [sym_argument_reference] = STATE(10287),
    [aux_sym_identifier_repeat1] = STATE(13746),
    [sym__unquoted_identifier] = ACTIONS(2242),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2244),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2246),
    [aux_sym__keyword_case_token1] = ACTIONS(2248),
    [aux_sym__keyword_cast_token1] = ACTIONS(2250),
    [aux_sym__keyword_cast_token2] = ACTIONS(2250),
    [aux_sym__keyword_date_token1] = ACTIONS(2252),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2252),
    [aux_sym__keyword_time_token1] = ACTIONS(2252),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2252),
    [anon_sym_LPAREN] = ACTIONS(2254),
    [aux_sym_drop_notnull_token1] = ACTIONS(2256),
    [aux_sym_function_call_token2] = ACTIONS(2258),
    [aux_sym_unnest_operator_token1] = ACTIONS(2260),
    [aux_sym_TRUE_token1] = ACTIONS(2262),
    [aux_sym_FALSE_token1] = ACTIONS(2264),
    [sym__integer] = ACTIONS(2266),
    [aux_sym__float_token1] = ACTIONS(2268),
    [aux_sym__float_token2] = ACTIONS(2266),
    [aux_sym__float_token3] = ACTIONS(2268),
    [aux_sym_numeric_token1] = ACTIONS(2270),
    [aux_sym_numeric_token2] = ACTIONS(2270),
    [aux_sym_numeric_token3] = ACTIONS(2270),
    [aux_sym_numeric_token4] = ACTIONS(2270),
    [aux_sym_interval_token1] = ACTIONS(2272),
    [anon_sym_LBRACK] = ACTIONS(2274),
    [aux_sym_json_token1] = ACTIONS(2276),
    [sym_system_variable] = ACTIONS(2278),
    [sym__named_query_parameter] = ACTIONS(2280),
    [sym__positional_query_parameter] = ACTIONS(2282),
    [sym__quoted_identifier] = ACTIONS(2284),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2286),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_operator_compare] = ACTIONS(2290),
    [anon_sym_DOLLAR] = ACTIONS(2292),
    [sym__string_start] = ACTIONS(2294),
  },
  [1367] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1357),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(391),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(2765),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(957),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(961),
    [anon_sym_DASH] = ACTIONS(961),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1368] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16282),
    [sym__keyword_case] = STATE(374),
    [sym__keyword_not] = STATE(1069),
    [sym__keyword_cast] = STATE(19285),
    [sym__keyword_date] = STATE(10540),
    [sym__keyword_datetime] = STATE(10540),
    [sym__keyword_time] = STATE(10540),
    [sym__keyword_timestamp] = STATE(10540),
    [sym_select_subexpression] = STATE(10861),
    [sym_function_call] = STATE(10861),
    [sym_unnest_operator] = STATE(6471),
    [sym_unnest_clause] = STATE(10861),
    [sym__literal] = STATE(10861),
    [sym_NULL] = STATE(10861),
    [sym_TRUE] = STATE(10861),
    [sym_FALSE] = STATE(10861),
    [sym__float] = STATE(10863),
    [sym_numeric] = STATE(10863),
    [sym__number] = STATE(10863),
    [sym_interval] = STATE(10861),
    [sym_range] = STATE(10861),
    [sym_time] = STATE(10861),
    [sym_number] = STATE(10861),
    [sym_json] = STATE(10861),
    [sym_query_parameter] = STATE(10861),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19065),
    [sym__type_array] = STATE(18448),
    [sym_array] = STATE(10861),
    [sym_struct] = STATE(10861),
    [sym__identifier] = STATE(10536),
    [sym__dotted_identifier] = STATE(14157),
    [sym_identifier] = STATE(10772),
    [sym_string] = STATE(10861),
    [sym__expression] = STATE(9066),
    [sym__parenthesized_expression] = STATE(10861),
    [sym_element_access] = STATE(10861),
    [sym_field_access] = STATE(10861),
    [sym_unary_expression] = STATE(10861),
    [sym_binary_expression] = STATE(10861),
    [sym_between_operator] = STATE(10861),
    [sym_casewhen_expression] = STATE(10861),
    [sym_cast_expression] = STATE(10861),
    [sym_argument_reference] = STATE(10861),
    [aux_sym_identifier_repeat1] = STATE(14157),
    [sym__unquoted_identifier] = ACTIONS(2552),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2554),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2556),
    [aux_sym__keyword_case_token1] = ACTIONS(2558),
    [aux_sym__keyword_cast_token1] = ACTIONS(2560),
    [aux_sym__keyword_cast_token2] = ACTIONS(2560),
    [aux_sym__keyword_date_token1] = ACTIONS(2562),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2562),
    [aux_sym__keyword_time_token1] = ACTIONS(2562),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [aux_sym_drop_notnull_token1] = ACTIONS(2566),
    [aux_sym_function_call_token2] = ACTIONS(2568),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2570),
    [aux_sym_FALSE_token1] = ACTIONS(2572),
    [sym__integer] = ACTIONS(2574),
    [aux_sym__float_token1] = ACTIONS(2576),
    [aux_sym__float_token2] = ACTIONS(2574),
    [aux_sym__float_token3] = ACTIONS(2576),
    [aux_sym_numeric_token1] = ACTIONS(2578),
    [aux_sym_numeric_token2] = ACTIONS(2578),
    [aux_sym_numeric_token3] = ACTIONS(2578),
    [aux_sym_numeric_token4] = ACTIONS(2578),
    [aux_sym_interval_token1] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [aux_sym_json_token1] = ACTIONS(2584),
    [sym_system_variable] = ACTIONS(2586),
    [sym__named_query_parameter] = ACTIONS(2588),
    [sym__positional_query_parameter] = ACTIONS(2590),
    [sym__quoted_identifier] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_operator_compare] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [sym__string_start] = ACTIONS(2602),
  },
  [1369] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(1276),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(174),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2333),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(1886),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1910),
    [anon_sym_PLUS] = ACTIONS(1912),
    [anon_sym_DASH] = ACTIONS(1912),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1370] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16282),
    [sym__keyword_case] = STATE(374),
    [sym__keyword_not] = STATE(1750),
    [sym__keyword_cast] = STATE(19285),
    [sym__keyword_date] = STATE(10540),
    [sym__keyword_datetime] = STATE(10540),
    [sym__keyword_time] = STATE(10540),
    [sym__keyword_timestamp] = STATE(10540),
    [sym_select_subexpression] = STATE(10861),
    [sym_function_call] = STATE(10861),
    [sym_unnest_operator] = STATE(5588),
    [sym_unnest_clause] = STATE(10861),
    [sym__literal] = STATE(10861),
    [sym_NULL] = STATE(10861),
    [sym_TRUE] = STATE(10861),
    [sym_FALSE] = STATE(10861),
    [sym__float] = STATE(10863),
    [sym_numeric] = STATE(10863),
    [sym__number] = STATE(10863),
    [sym_interval] = STATE(10861),
    [sym_range] = STATE(10861),
    [sym_time] = STATE(10861),
    [sym_number] = STATE(10861),
    [sym_json] = STATE(10861),
    [sym_query_parameter] = STATE(10861),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19065),
    [sym__type_array] = STATE(18448),
    [sym_array] = STATE(10861),
    [sym_struct] = STATE(10861),
    [sym__identifier] = STATE(10536),
    [sym__dotted_identifier] = STATE(14157),
    [sym_identifier] = STATE(10772),
    [sym_string] = STATE(10861),
    [sym__expression] = STATE(8204),
    [sym__parenthesized_expression] = STATE(10861),
    [sym_element_access] = STATE(10861),
    [sym_field_access] = STATE(10861),
    [sym_unary_expression] = STATE(10861),
    [sym_binary_expression] = STATE(10861),
    [sym_between_operator] = STATE(10861),
    [sym_casewhen_expression] = STATE(10861),
    [sym_cast_expression] = STATE(10861),
    [sym_argument_reference] = STATE(10861),
    [aux_sym_identifier_repeat1] = STATE(14157),
    [sym__unquoted_identifier] = ACTIONS(2552),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2554),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2556),
    [aux_sym__keyword_case_token1] = ACTIONS(2558),
    [aux_sym__keyword_cast_token1] = ACTIONS(2560),
    [aux_sym__keyword_cast_token2] = ACTIONS(2560),
    [aux_sym__keyword_date_token1] = ACTIONS(2562),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2562),
    [aux_sym__keyword_time_token1] = ACTIONS(2562),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [aux_sym_drop_notnull_token1] = ACTIONS(2566),
    [aux_sym_function_call_token2] = ACTIONS(2568),
    [aux_sym_unnest_operator_token1] = ACTIONS(2658),
    [aux_sym_TRUE_token1] = ACTIONS(2570),
    [aux_sym_FALSE_token1] = ACTIONS(2572),
    [sym__integer] = ACTIONS(2574),
    [aux_sym__float_token1] = ACTIONS(2576),
    [aux_sym__float_token2] = ACTIONS(2574),
    [aux_sym__float_token3] = ACTIONS(2576),
    [aux_sym_numeric_token1] = ACTIONS(2578),
    [aux_sym_numeric_token2] = ACTIONS(2578),
    [aux_sym_numeric_token3] = ACTIONS(2578),
    [aux_sym_numeric_token4] = ACTIONS(2578),
    [aux_sym_interval_token1] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [aux_sym_json_token1] = ACTIONS(2584),
    [sym_system_variable] = ACTIONS(2586),
    [sym__named_query_parameter] = ACTIONS(2588),
    [sym__positional_query_parameter] = ACTIONS(2590),
    [sym__quoted_identifier] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2660),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_operator_compare] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [sym__string_start] = ACTIONS(2602),
  },
  [1371] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16282),
    [sym__keyword_case] = STATE(374),
    [sym__keyword_not] = STATE(1750),
    [sym__keyword_cast] = STATE(19285),
    [sym__keyword_date] = STATE(10540),
    [sym__keyword_datetime] = STATE(10540),
    [sym__keyword_time] = STATE(10540),
    [sym__keyword_timestamp] = STATE(10540),
    [sym_select_subexpression] = STATE(10861),
    [sym_function_call] = STATE(10861),
    [sym_unnest_operator] = STATE(5588),
    [sym_unnest_clause] = STATE(10861),
    [sym__literal] = STATE(10861),
    [sym_NULL] = STATE(10861),
    [sym_TRUE] = STATE(10861),
    [sym_FALSE] = STATE(10861),
    [sym__float] = STATE(10863),
    [sym_numeric] = STATE(10863),
    [sym__number] = STATE(10863),
    [sym_interval] = STATE(10861),
    [sym_range] = STATE(10861),
    [sym_time] = STATE(10861),
    [sym_number] = STATE(10861),
    [sym_json] = STATE(10861),
    [sym_query_parameter] = STATE(10861),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19065),
    [sym__type_array] = STATE(18448),
    [sym_array] = STATE(10861),
    [sym_struct] = STATE(10861),
    [sym__identifier] = STATE(10536),
    [sym__dotted_identifier] = STATE(14157),
    [sym_identifier] = STATE(10772),
    [sym_string] = STATE(10861),
    [sym__expression] = STATE(8272),
    [sym__parenthesized_expression] = STATE(10861),
    [sym_element_access] = STATE(10861),
    [sym_field_access] = STATE(10861),
    [sym_unary_expression] = STATE(10861),
    [sym_binary_expression] = STATE(10861),
    [sym_between_operator] = STATE(10861),
    [sym_casewhen_expression] = STATE(10861),
    [sym_cast_expression] = STATE(10861),
    [sym_argument_reference] = STATE(10861),
    [aux_sym_identifier_repeat1] = STATE(14157),
    [sym__unquoted_identifier] = ACTIONS(2552),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2554),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2556),
    [aux_sym__keyword_case_token1] = ACTIONS(2558),
    [aux_sym__keyword_cast_token1] = ACTIONS(2560),
    [aux_sym__keyword_cast_token2] = ACTIONS(2560),
    [aux_sym__keyword_date_token1] = ACTIONS(2562),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2562),
    [aux_sym__keyword_time_token1] = ACTIONS(2562),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [aux_sym_drop_notnull_token1] = ACTIONS(2566),
    [aux_sym_function_call_token2] = ACTIONS(2568),
    [aux_sym_unnest_operator_token1] = ACTIONS(2658),
    [aux_sym_TRUE_token1] = ACTIONS(2570),
    [aux_sym_FALSE_token1] = ACTIONS(2572),
    [sym__integer] = ACTIONS(2574),
    [aux_sym__float_token1] = ACTIONS(2576),
    [aux_sym__float_token2] = ACTIONS(2574),
    [aux_sym__float_token3] = ACTIONS(2576),
    [aux_sym_numeric_token1] = ACTIONS(2578),
    [aux_sym_numeric_token2] = ACTIONS(2578),
    [aux_sym_numeric_token3] = ACTIONS(2578),
    [aux_sym_numeric_token4] = ACTIONS(2578),
    [aux_sym_interval_token1] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [aux_sym_json_token1] = ACTIONS(2584),
    [sym_system_variable] = ACTIONS(2586),
    [sym__named_query_parameter] = ACTIONS(2588),
    [sym__positional_query_parameter] = ACTIONS(2590),
    [sym__quoted_identifier] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2660),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_operator_compare] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [sym__string_start] = ACTIONS(2602),
  },
  [1372] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9668),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1373] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1350),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2703),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(4201),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2674),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1374] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(6794),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1375] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1357),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(391),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(2767),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(957),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(961),
    [anon_sym_DASH] = ACTIONS(961),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1376] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16325),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1073),
    [sym__keyword_cast] = STATE(19275),
    [sym__keyword_date] = STATE(9495),
    [sym__keyword_datetime] = STATE(9495),
    [sym__keyword_time] = STATE(9495),
    [sym__keyword_timestamp] = STATE(9495),
    [sym_select_subexpression] = STATE(10495),
    [sym_function_call] = STATE(10495),
    [sym_unnest_operator] = STATE(6473),
    [sym_unnest_clause] = STATE(10495),
    [sym__literal] = STATE(10495),
    [sym_NULL] = STATE(10495),
    [sym_TRUE] = STATE(10495),
    [sym_FALSE] = STATE(10495),
    [sym__float] = STATE(10492),
    [sym_numeric] = STATE(10492),
    [sym__number] = STATE(10492),
    [sym_interval] = STATE(10495),
    [sym_range] = STATE(10495),
    [sym_time] = STATE(10495),
    [sym_number] = STATE(10495),
    [sym_json] = STATE(10495),
    [sym_query_parameter] = STATE(10495),
    [sym__type_chrono] = STATE(8422),
    [sym__type_struct] = STATE(19027),
    [sym__type_array] = STATE(18285),
    [sym_array] = STATE(10495),
    [sym_struct] = STATE(10495),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9694),
    [sym_string] = STATE(10495),
    [sym__expression] = STATE(9642),
    [sym__parenthesized_expression] = STATE(10495),
    [sym_element_access] = STATE(10495),
    [sym_field_access] = STATE(10495),
    [sym_unary_expression] = STATE(10495),
    [sym_binary_expression] = STATE(10495),
    [sym_between_operator] = STATE(10495),
    [sym_casewhen_expression] = STATE(10495),
    [sym_cast_expression] = STATE(10495),
    [sym_argument_reference] = STATE(10495),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2042),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2044),
    [aux_sym__keyword_case_token1] = ACTIONS(2046),
    [aux_sym__keyword_cast_token1] = ACTIONS(2048),
    [aux_sym__keyword_cast_token2] = ACTIONS(2048),
    [aux_sym__keyword_date_token1] = ACTIONS(2050),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2050),
    [aux_sym__keyword_time_token1] = ACTIONS(2050),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [aux_sym_drop_notnull_token1] = ACTIONS(2054),
    [aux_sym_function_call_token2] = ACTIONS(2056),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2060),
    [aux_sym_FALSE_token1] = ACTIONS(2062),
    [sym__integer] = ACTIONS(2064),
    [aux_sym__float_token1] = ACTIONS(2066),
    [aux_sym__float_token2] = ACTIONS(2064),
    [aux_sym__float_token3] = ACTIONS(2066),
    [aux_sym_numeric_token1] = ACTIONS(2068),
    [aux_sym_numeric_token2] = ACTIONS(2068),
    [aux_sym_numeric_token3] = ACTIONS(2068),
    [aux_sym_numeric_token4] = ACTIONS(2068),
    [aux_sym_interval_token1] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_json_token1] = ACTIONS(2074),
    [sym_system_variable] = ACTIONS(2076),
    [sym__named_query_parameter] = ACTIONS(2078),
    [sym__positional_query_parameter] = ACTIONS(2080),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_operator_compare] = ACTIONS(2086),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [sym__string_start] = ACTIONS(2090),
  },
  [1377] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9646),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1378] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1357),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(391),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(2752),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(957),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(961),
    [anon_sym_DASH] = ACTIONS(961),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1379] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1357),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(391),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(2751),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(957),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(961),
    [anon_sym_DASH] = ACTIONS(961),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1380] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1350),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2703),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(4202),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2674),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1381] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1350),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2703),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(4203),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2674),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1382] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16282),
    [sym__keyword_case] = STATE(374),
    [sym__keyword_not] = STATE(1069),
    [sym__keyword_cast] = STATE(19285),
    [sym__keyword_date] = STATE(10540),
    [sym__keyword_datetime] = STATE(10540),
    [sym__keyword_time] = STATE(10540),
    [sym__keyword_timestamp] = STATE(10540),
    [sym_select_subexpression] = STATE(10861),
    [sym_function_call] = STATE(10861),
    [sym_unnest_operator] = STATE(6471),
    [sym_unnest_clause] = STATE(10861),
    [sym__literal] = STATE(10861),
    [sym_NULL] = STATE(10861),
    [sym_TRUE] = STATE(10861),
    [sym_FALSE] = STATE(10861),
    [sym__float] = STATE(10863),
    [sym_numeric] = STATE(10863),
    [sym__number] = STATE(10863),
    [sym_interval] = STATE(10861),
    [sym_range] = STATE(10861),
    [sym_time] = STATE(10861),
    [sym_number] = STATE(10861),
    [sym_json] = STATE(10861),
    [sym_query_parameter] = STATE(10861),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19065),
    [sym__type_array] = STATE(18448),
    [sym_array] = STATE(10861),
    [sym_struct] = STATE(10861),
    [sym__identifier] = STATE(10536),
    [sym__dotted_identifier] = STATE(14157),
    [sym_identifier] = STATE(10772),
    [sym_string] = STATE(10861),
    [sym__expression] = STATE(9057),
    [sym__parenthesized_expression] = STATE(10861),
    [sym_element_access] = STATE(10861),
    [sym_field_access] = STATE(10861),
    [sym_unary_expression] = STATE(10861),
    [sym_binary_expression] = STATE(10861),
    [sym_between_operator] = STATE(10861),
    [sym_casewhen_expression] = STATE(10861),
    [sym_cast_expression] = STATE(10861),
    [sym_argument_reference] = STATE(10861),
    [aux_sym_identifier_repeat1] = STATE(14157),
    [sym__unquoted_identifier] = ACTIONS(2552),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2554),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2556),
    [aux_sym__keyword_case_token1] = ACTIONS(2558),
    [aux_sym__keyword_cast_token1] = ACTIONS(2560),
    [aux_sym__keyword_cast_token2] = ACTIONS(2560),
    [aux_sym__keyword_date_token1] = ACTIONS(2562),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2562),
    [aux_sym__keyword_time_token1] = ACTIONS(2562),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [aux_sym_drop_notnull_token1] = ACTIONS(2566),
    [aux_sym_function_call_token2] = ACTIONS(2568),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2570),
    [aux_sym_FALSE_token1] = ACTIONS(2572),
    [sym__integer] = ACTIONS(2574),
    [aux_sym__float_token1] = ACTIONS(2576),
    [aux_sym__float_token2] = ACTIONS(2574),
    [aux_sym__float_token3] = ACTIONS(2576),
    [aux_sym_numeric_token1] = ACTIONS(2578),
    [aux_sym_numeric_token2] = ACTIONS(2578),
    [aux_sym_numeric_token3] = ACTIONS(2578),
    [aux_sym_numeric_token4] = ACTIONS(2578),
    [aux_sym_interval_token1] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [aux_sym_json_token1] = ACTIONS(2584),
    [sym_system_variable] = ACTIONS(2586),
    [sym__named_query_parameter] = ACTIONS(2588),
    [sym__positional_query_parameter] = ACTIONS(2590),
    [sym__quoted_identifier] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_operator_compare] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [sym__string_start] = ACTIONS(2602),
  },
  [1383] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1350),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2703),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(4204),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2674),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1384] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1357),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(391),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(2750),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(957),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(961),
    [anon_sym_DASH] = ACTIONS(961),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1385] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1357),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(391),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(2747),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(957),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(961),
    [anon_sym_DASH] = ACTIONS(961),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1386] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1350),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2703),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(4211),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2674),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1387] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16191),
    [sym__keyword_case] = STATE(326),
    [sym__keyword_not] = STATE(1774),
    [sym__keyword_cast] = STATE(19299),
    [sym__keyword_date] = STATE(3373),
    [sym__keyword_datetime] = STATE(3373),
    [sym__keyword_time] = STATE(3373),
    [sym__keyword_timestamp] = STATE(3373),
    [sym_select_subexpression] = STATE(3579),
    [sym_function_call] = STATE(3579),
    [sym_unnest_operator] = STATE(2131),
    [sym_unnest_clause] = STATE(3579),
    [sym__literal] = STATE(3579),
    [sym_NULL] = STATE(3579),
    [sym_TRUE] = STATE(3579),
    [sym_FALSE] = STATE(3579),
    [sym__float] = STATE(3578),
    [sym_numeric] = STATE(3578),
    [sym__number] = STATE(3578),
    [sym_interval] = STATE(3579),
    [sym_range] = STATE(3579),
    [sym_time] = STATE(3579),
    [sym_number] = STATE(3579),
    [sym_json] = STATE(3579),
    [sym_query_parameter] = STATE(3579),
    [sym__type_chrono] = STATE(3122),
    [sym__type_struct] = STATE(19114),
    [sym__type_array] = STATE(18640),
    [sym_array] = STATE(3579),
    [sym_struct] = STATE(3579),
    [sym__identifier] = STATE(3384),
    [sym__dotted_identifier] = STATE(13989),
    [sym_identifier] = STATE(3577),
    [sym_string] = STATE(3579),
    [sym__expression] = STATE(2420),
    [sym__parenthesized_expression] = STATE(3579),
    [sym_element_access] = STATE(3579),
    [sym_field_access] = STATE(3579),
    [sym_unary_expression] = STATE(3579),
    [sym_binary_expression] = STATE(3579),
    [sym_between_operator] = STATE(3579),
    [sym_casewhen_expression] = STATE(3579),
    [sym_cast_expression] = STATE(3579),
    [sym_argument_reference] = STATE(3579),
    [aux_sym_identifier_repeat1] = STATE(13989),
    [sym__unquoted_identifier] = ACTIONS(1926),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1928),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1930),
    [aux_sym__keyword_case_token1] = ACTIONS(1932),
    [aux_sym__keyword_cast_token1] = ACTIONS(1934),
    [aux_sym__keyword_cast_token2] = ACTIONS(1934),
    [aux_sym__keyword_date_token1] = ACTIONS(1936),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1936),
    [aux_sym__keyword_time_token1] = ACTIONS(1936),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1936),
    [anon_sym_LPAREN] = ACTIONS(1938),
    [aux_sym_drop_notnull_token1] = ACTIONS(1940),
    [aux_sym_function_call_token2] = ACTIONS(1942),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(1946),
    [aux_sym_FALSE_token1] = ACTIONS(1948),
    [sym__integer] = ACTIONS(1950),
    [aux_sym__float_token1] = ACTIONS(1952),
    [aux_sym__float_token2] = ACTIONS(1950),
    [aux_sym__float_token3] = ACTIONS(1952),
    [aux_sym_numeric_token1] = ACTIONS(1954),
    [aux_sym_numeric_token2] = ACTIONS(1954),
    [aux_sym_numeric_token3] = ACTIONS(1954),
    [aux_sym_numeric_token4] = ACTIONS(1954),
    [aux_sym_interval_token1] = ACTIONS(1956),
    [anon_sym_LBRACK] = ACTIONS(1958),
    [aux_sym_json_token1] = ACTIONS(1960),
    [sym_system_variable] = ACTIONS(1962),
    [sym__named_query_parameter] = ACTIONS(1964),
    [sym__positional_query_parameter] = ACTIONS(1966),
    [sym__quoted_identifier] = ACTIONS(1968),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1970),
    [anon_sym_PLUS] = ACTIONS(1972),
    [anon_sym_DASH] = ACTIONS(1972),
    [anon_sym_operator_compare] = ACTIONS(1974),
    [anon_sym_DOLLAR] = ACTIONS(1976),
    [sym__string_start] = ACTIONS(1978),
  },
  [1388] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16191),
    [sym__keyword_case] = STATE(326),
    [sym__keyword_not] = STATE(1774),
    [sym__keyword_cast] = STATE(19299),
    [sym__keyword_date] = STATE(3373),
    [sym__keyword_datetime] = STATE(3373),
    [sym__keyword_time] = STATE(3373),
    [sym__keyword_timestamp] = STATE(3373),
    [sym_select_subexpression] = STATE(3579),
    [sym_function_call] = STATE(3579),
    [sym_unnest_operator] = STATE(2131),
    [sym_unnest_clause] = STATE(3579),
    [sym__literal] = STATE(3579),
    [sym_NULL] = STATE(3579),
    [sym_TRUE] = STATE(3579),
    [sym_FALSE] = STATE(3579),
    [sym__float] = STATE(3578),
    [sym_numeric] = STATE(3578),
    [sym__number] = STATE(3578),
    [sym_interval] = STATE(3579),
    [sym_range] = STATE(3579),
    [sym_time] = STATE(3579),
    [sym_number] = STATE(3579),
    [sym_json] = STATE(3579),
    [sym_query_parameter] = STATE(3579),
    [sym__type_chrono] = STATE(3122),
    [sym__type_struct] = STATE(19114),
    [sym__type_array] = STATE(18640),
    [sym_array] = STATE(3579),
    [sym_struct] = STATE(3579),
    [sym__identifier] = STATE(3384),
    [sym__dotted_identifier] = STATE(13989),
    [sym_identifier] = STATE(3577),
    [sym_string] = STATE(3579),
    [sym__expression] = STATE(2422),
    [sym__parenthesized_expression] = STATE(3579),
    [sym_element_access] = STATE(3579),
    [sym_field_access] = STATE(3579),
    [sym_unary_expression] = STATE(3579),
    [sym_binary_expression] = STATE(3579),
    [sym_between_operator] = STATE(3579),
    [sym_casewhen_expression] = STATE(3579),
    [sym_cast_expression] = STATE(3579),
    [sym_argument_reference] = STATE(3579),
    [aux_sym_identifier_repeat1] = STATE(13989),
    [sym__unquoted_identifier] = ACTIONS(1926),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1928),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1930),
    [aux_sym__keyword_case_token1] = ACTIONS(1932),
    [aux_sym__keyword_cast_token1] = ACTIONS(1934),
    [aux_sym__keyword_cast_token2] = ACTIONS(1934),
    [aux_sym__keyword_date_token1] = ACTIONS(1936),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1936),
    [aux_sym__keyword_time_token1] = ACTIONS(1936),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1936),
    [anon_sym_LPAREN] = ACTIONS(1938),
    [aux_sym_drop_notnull_token1] = ACTIONS(1940),
    [aux_sym_function_call_token2] = ACTIONS(1942),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(1946),
    [aux_sym_FALSE_token1] = ACTIONS(1948),
    [sym__integer] = ACTIONS(1950),
    [aux_sym__float_token1] = ACTIONS(1952),
    [aux_sym__float_token2] = ACTIONS(1950),
    [aux_sym__float_token3] = ACTIONS(1952),
    [aux_sym_numeric_token1] = ACTIONS(1954),
    [aux_sym_numeric_token2] = ACTIONS(1954),
    [aux_sym_numeric_token3] = ACTIONS(1954),
    [aux_sym_numeric_token4] = ACTIONS(1954),
    [aux_sym_interval_token1] = ACTIONS(1956),
    [anon_sym_LBRACK] = ACTIONS(1958),
    [aux_sym_json_token1] = ACTIONS(1960),
    [sym_system_variable] = ACTIONS(1962),
    [sym__named_query_parameter] = ACTIONS(1964),
    [sym__positional_query_parameter] = ACTIONS(1966),
    [sym__quoted_identifier] = ACTIONS(1968),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1970),
    [anon_sym_PLUS] = ACTIONS(1972),
    [anon_sym_DASH] = ACTIONS(1972),
    [anon_sym_operator_compare] = ACTIONS(1974),
    [anon_sym_DOLLAR] = ACTIONS(1976),
    [sym__string_start] = ACTIONS(1978),
  },
  [1389] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16325),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1390),
    [sym__keyword_cast] = STATE(19275),
    [sym__keyword_date] = STATE(9495),
    [sym__keyword_datetime] = STATE(9495),
    [sym__keyword_time] = STATE(9495),
    [sym__keyword_timestamp] = STATE(9495),
    [sym_select_subexpression] = STATE(10495),
    [sym_function_call] = STATE(10495),
    [sym_unnest_operator] = STATE(5372),
    [sym_unnest_clause] = STATE(10495),
    [sym__literal] = STATE(10495),
    [sym_NULL] = STATE(10495),
    [sym_TRUE] = STATE(10495),
    [sym_FALSE] = STATE(10495),
    [sym__float] = STATE(10492),
    [sym_numeric] = STATE(10492),
    [sym__number] = STATE(10492),
    [sym_interval] = STATE(10495),
    [sym_range] = STATE(10495),
    [sym_time] = STATE(10495),
    [sym_number] = STATE(10495),
    [sym_json] = STATE(10495),
    [sym_query_parameter] = STATE(10495),
    [sym__type_chrono] = STATE(8422),
    [sym__type_struct] = STATE(19027),
    [sym__type_array] = STATE(18285),
    [sym_array] = STATE(10495),
    [sym_struct] = STATE(10495),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9694),
    [sym_string] = STATE(10495),
    [sym__expression] = STATE(7228),
    [sym__parenthesized_expression] = STATE(10495),
    [sym_element_access] = STATE(10495),
    [sym_field_access] = STATE(10495),
    [sym_unary_expression] = STATE(10495),
    [sym_binary_expression] = STATE(10495),
    [sym_between_operator] = STATE(10495),
    [sym_casewhen_expression] = STATE(10495),
    [sym_cast_expression] = STATE(10495),
    [sym_argument_reference] = STATE(10495),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2042),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2044),
    [aux_sym__keyword_case_token1] = ACTIONS(2046),
    [aux_sym__keyword_cast_token1] = ACTIONS(2048),
    [aux_sym__keyword_cast_token2] = ACTIONS(2048),
    [aux_sym__keyword_date_token1] = ACTIONS(2050),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2050),
    [aux_sym__keyword_time_token1] = ACTIONS(2050),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [aux_sym_drop_notnull_token1] = ACTIONS(2054),
    [aux_sym_function_call_token2] = ACTIONS(2056),
    [aux_sym_unnest_operator_token1] = ACTIONS(2058),
    [aux_sym_TRUE_token1] = ACTIONS(2060),
    [aux_sym_FALSE_token1] = ACTIONS(2062),
    [sym__integer] = ACTIONS(2064),
    [aux_sym__float_token1] = ACTIONS(2066),
    [aux_sym__float_token2] = ACTIONS(2064),
    [aux_sym__float_token3] = ACTIONS(2066),
    [aux_sym_numeric_token1] = ACTIONS(2068),
    [aux_sym_numeric_token2] = ACTIONS(2068),
    [aux_sym_numeric_token3] = ACTIONS(2068),
    [aux_sym_numeric_token4] = ACTIONS(2068),
    [aux_sym_interval_token1] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_json_token1] = ACTIONS(2074),
    [sym_system_variable] = ACTIONS(2076),
    [sym__named_query_parameter] = ACTIONS(2078),
    [sym__positional_query_parameter] = ACTIONS(2080),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2082),
    [anon_sym_PLUS] = ACTIONS(2084),
    [anon_sym_DASH] = ACTIONS(2084),
    [anon_sym_operator_compare] = ACTIONS(2086),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [sym__string_start] = ACTIONS(2090),
  },
  [1390] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16325),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1390),
    [sym__keyword_cast] = STATE(19275),
    [sym__keyword_date] = STATE(9495),
    [sym__keyword_datetime] = STATE(9495),
    [sym__keyword_time] = STATE(9495),
    [sym__keyword_timestamp] = STATE(9495),
    [sym_select_subexpression] = STATE(10495),
    [sym_function_call] = STATE(10495),
    [sym_unnest_operator] = STATE(5372),
    [sym_unnest_clause] = STATE(10495),
    [sym__literal] = STATE(10495),
    [sym_NULL] = STATE(10495),
    [sym_TRUE] = STATE(10495),
    [sym_FALSE] = STATE(10495),
    [sym__float] = STATE(10492),
    [sym_numeric] = STATE(10492),
    [sym__number] = STATE(10492),
    [sym_interval] = STATE(10495),
    [sym_range] = STATE(10495),
    [sym_time] = STATE(10495),
    [sym_number] = STATE(10495),
    [sym_json] = STATE(10495),
    [sym_query_parameter] = STATE(10495),
    [sym__type_chrono] = STATE(8422),
    [sym__type_struct] = STATE(19027),
    [sym__type_array] = STATE(18285),
    [sym_array] = STATE(10495),
    [sym_struct] = STATE(10495),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9694),
    [sym_string] = STATE(10495),
    [sym__expression] = STATE(7225),
    [sym__parenthesized_expression] = STATE(10495),
    [sym_element_access] = STATE(10495),
    [sym_field_access] = STATE(10495),
    [sym_unary_expression] = STATE(10495),
    [sym_binary_expression] = STATE(10495),
    [sym_between_operator] = STATE(10495),
    [sym_casewhen_expression] = STATE(10495),
    [sym_cast_expression] = STATE(10495),
    [sym_argument_reference] = STATE(10495),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2042),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2044),
    [aux_sym__keyword_case_token1] = ACTIONS(2046),
    [aux_sym__keyword_cast_token1] = ACTIONS(2048),
    [aux_sym__keyword_cast_token2] = ACTIONS(2048),
    [aux_sym__keyword_date_token1] = ACTIONS(2050),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2050),
    [aux_sym__keyword_time_token1] = ACTIONS(2050),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [aux_sym_drop_notnull_token1] = ACTIONS(2054),
    [aux_sym_function_call_token2] = ACTIONS(2056),
    [aux_sym_unnest_operator_token1] = ACTIONS(2058),
    [aux_sym_TRUE_token1] = ACTIONS(2060),
    [aux_sym_FALSE_token1] = ACTIONS(2062),
    [sym__integer] = ACTIONS(2064),
    [aux_sym__float_token1] = ACTIONS(2066),
    [aux_sym__float_token2] = ACTIONS(2064),
    [aux_sym__float_token3] = ACTIONS(2066),
    [aux_sym_numeric_token1] = ACTIONS(2068),
    [aux_sym_numeric_token2] = ACTIONS(2068),
    [aux_sym_numeric_token3] = ACTIONS(2068),
    [aux_sym_numeric_token4] = ACTIONS(2068),
    [aux_sym_interval_token1] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_json_token1] = ACTIONS(2074),
    [sym_system_variable] = ACTIONS(2076),
    [sym__named_query_parameter] = ACTIONS(2078),
    [sym__positional_query_parameter] = ACTIONS(2080),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2082),
    [anon_sym_PLUS] = ACTIONS(2084),
    [anon_sym_DASH] = ACTIONS(2084),
    [anon_sym_operator_compare] = ACTIONS(2086),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [sym__string_start] = ACTIONS(2090),
  },
  [1391] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16325),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1390),
    [sym__keyword_cast] = STATE(19275),
    [sym__keyword_date] = STATE(9495),
    [sym__keyword_datetime] = STATE(9495),
    [sym__keyword_time] = STATE(9495),
    [sym__keyword_timestamp] = STATE(9495),
    [sym_select_subexpression] = STATE(10495),
    [sym_function_call] = STATE(10495),
    [sym_unnest_operator] = STATE(5372),
    [sym_unnest_clause] = STATE(10495),
    [sym__literal] = STATE(10495),
    [sym_NULL] = STATE(10495),
    [sym_TRUE] = STATE(10495),
    [sym_FALSE] = STATE(10495),
    [sym__float] = STATE(10492),
    [sym_numeric] = STATE(10492),
    [sym__number] = STATE(10492),
    [sym_interval] = STATE(10495),
    [sym_range] = STATE(10495),
    [sym_time] = STATE(10495),
    [sym_number] = STATE(10495),
    [sym_json] = STATE(10495),
    [sym_query_parameter] = STATE(10495),
    [sym__type_chrono] = STATE(8422),
    [sym__type_struct] = STATE(19027),
    [sym__type_array] = STATE(18285),
    [sym_array] = STATE(10495),
    [sym_struct] = STATE(10495),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9694),
    [sym_string] = STATE(10495),
    [sym__expression] = STATE(7128),
    [sym__parenthesized_expression] = STATE(10495),
    [sym_element_access] = STATE(10495),
    [sym_field_access] = STATE(10495),
    [sym_unary_expression] = STATE(10495),
    [sym_binary_expression] = STATE(10495),
    [sym_between_operator] = STATE(10495),
    [sym_casewhen_expression] = STATE(10495),
    [sym_cast_expression] = STATE(10495),
    [sym_argument_reference] = STATE(10495),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2042),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2044),
    [aux_sym__keyword_case_token1] = ACTIONS(2046),
    [aux_sym__keyword_cast_token1] = ACTIONS(2048),
    [aux_sym__keyword_cast_token2] = ACTIONS(2048),
    [aux_sym__keyword_date_token1] = ACTIONS(2050),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2050),
    [aux_sym__keyword_time_token1] = ACTIONS(2050),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [aux_sym_drop_notnull_token1] = ACTIONS(2054),
    [aux_sym_function_call_token2] = ACTIONS(2056),
    [aux_sym_unnest_operator_token1] = ACTIONS(2058),
    [aux_sym_TRUE_token1] = ACTIONS(2060),
    [aux_sym_FALSE_token1] = ACTIONS(2062),
    [sym__integer] = ACTIONS(2064),
    [aux_sym__float_token1] = ACTIONS(2066),
    [aux_sym__float_token2] = ACTIONS(2064),
    [aux_sym__float_token3] = ACTIONS(2066),
    [aux_sym_numeric_token1] = ACTIONS(2068),
    [aux_sym_numeric_token2] = ACTIONS(2068),
    [aux_sym_numeric_token3] = ACTIONS(2068),
    [aux_sym_numeric_token4] = ACTIONS(2068),
    [aux_sym_interval_token1] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_json_token1] = ACTIONS(2074),
    [sym_system_variable] = ACTIONS(2076),
    [sym__named_query_parameter] = ACTIONS(2078),
    [sym__positional_query_parameter] = ACTIONS(2080),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2082),
    [anon_sym_PLUS] = ACTIONS(2084),
    [anon_sym_DASH] = ACTIONS(2084),
    [anon_sym_operator_compare] = ACTIONS(2086),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [sym__string_start] = ACTIONS(2090),
  },
  [1392] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16325),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1390),
    [sym__keyword_cast] = STATE(19275),
    [sym__keyword_date] = STATE(9495),
    [sym__keyword_datetime] = STATE(9495),
    [sym__keyword_time] = STATE(9495),
    [sym__keyword_timestamp] = STATE(9495),
    [sym_select_subexpression] = STATE(10495),
    [sym_function_call] = STATE(10495),
    [sym_unnest_operator] = STATE(5372),
    [sym_unnest_clause] = STATE(10495),
    [sym__literal] = STATE(10495),
    [sym_NULL] = STATE(10495),
    [sym_TRUE] = STATE(10495),
    [sym_FALSE] = STATE(10495),
    [sym__float] = STATE(10492),
    [sym_numeric] = STATE(10492),
    [sym__number] = STATE(10492),
    [sym_interval] = STATE(10495),
    [sym_range] = STATE(10495),
    [sym_time] = STATE(10495),
    [sym_number] = STATE(10495),
    [sym_json] = STATE(10495),
    [sym_query_parameter] = STATE(10495),
    [sym__type_chrono] = STATE(8422),
    [sym__type_struct] = STATE(19027),
    [sym__type_array] = STATE(18285),
    [sym_array] = STATE(10495),
    [sym_struct] = STATE(10495),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9694),
    [sym_string] = STATE(10495),
    [sym__expression] = STATE(7130),
    [sym__parenthesized_expression] = STATE(10495),
    [sym_element_access] = STATE(10495),
    [sym_field_access] = STATE(10495),
    [sym_unary_expression] = STATE(10495),
    [sym_binary_expression] = STATE(10495),
    [sym_between_operator] = STATE(10495),
    [sym_casewhen_expression] = STATE(10495),
    [sym_cast_expression] = STATE(10495),
    [sym_argument_reference] = STATE(10495),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2042),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2044),
    [aux_sym__keyword_case_token1] = ACTIONS(2046),
    [aux_sym__keyword_cast_token1] = ACTIONS(2048),
    [aux_sym__keyword_cast_token2] = ACTIONS(2048),
    [aux_sym__keyword_date_token1] = ACTIONS(2050),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2050),
    [aux_sym__keyword_time_token1] = ACTIONS(2050),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [aux_sym_drop_notnull_token1] = ACTIONS(2054),
    [aux_sym_function_call_token2] = ACTIONS(2056),
    [aux_sym_unnest_operator_token1] = ACTIONS(2058),
    [aux_sym_TRUE_token1] = ACTIONS(2060),
    [aux_sym_FALSE_token1] = ACTIONS(2062),
    [sym__integer] = ACTIONS(2064),
    [aux_sym__float_token1] = ACTIONS(2066),
    [aux_sym__float_token2] = ACTIONS(2064),
    [aux_sym__float_token3] = ACTIONS(2066),
    [aux_sym_numeric_token1] = ACTIONS(2068),
    [aux_sym_numeric_token2] = ACTIONS(2068),
    [aux_sym_numeric_token3] = ACTIONS(2068),
    [aux_sym_numeric_token4] = ACTIONS(2068),
    [aux_sym_interval_token1] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_json_token1] = ACTIONS(2074),
    [sym_system_variable] = ACTIONS(2076),
    [sym__named_query_parameter] = ACTIONS(2078),
    [sym__positional_query_parameter] = ACTIONS(2080),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2082),
    [anon_sym_PLUS] = ACTIONS(2084),
    [anon_sym_DASH] = ACTIONS(2084),
    [anon_sym_operator_compare] = ACTIONS(2086),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [sym__string_start] = ACTIONS(2090),
  },
  [1393] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1350),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2703),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(4205),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2674),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1394] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16325),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1390),
    [sym__keyword_cast] = STATE(19275),
    [sym__keyword_date] = STATE(9495),
    [sym__keyword_datetime] = STATE(9495),
    [sym__keyword_time] = STATE(9495),
    [sym__keyword_timestamp] = STATE(9495),
    [sym_select_subexpression] = STATE(10495),
    [sym_function_call] = STATE(10495),
    [sym_unnest_operator] = STATE(5372),
    [sym_unnest_clause] = STATE(10495),
    [sym__literal] = STATE(10495),
    [sym_NULL] = STATE(10495),
    [sym_TRUE] = STATE(10495),
    [sym_FALSE] = STATE(10495),
    [sym__float] = STATE(10492),
    [sym_numeric] = STATE(10492),
    [sym__number] = STATE(10492),
    [sym_interval] = STATE(10495),
    [sym_range] = STATE(10495),
    [sym_time] = STATE(10495),
    [sym_number] = STATE(10495),
    [sym_json] = STATE(10495),
    [sym_query_parameter] = STATE(10495),
    [sym__type_chrono] = STATE(8422),
    [sym__type_struct] = STATE(19027),
    [sym__type_array] = STATE(18285),
    [sym_array] = STATE(10495),
    [sym_struct] = STATE(10495),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9694),
    [sym_string] = STATE(10495),
    [sym__expression] = STATE(7222),
    [sym__parenthesized_expression] = STATE(10495),
    [sym_element_access] = STATE(10495),
    [sym_field_access] = STATE(10495),
    [sym_unary_expression] = STATE(10495),
    [sym_binary_expression] = STATE(10495),
    [sym_between_operator] = STATE(10495),
    [sym_casewhen_expression] = STATE(10495),
    [sym_cast_expression] = STATE(10495),
    [sym_argument_reference] = STATE(10495),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2042),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2044),
    [aux_sym__keyword_case_token1] = ACTIONS(2046),
    [aux_sym__keyword_cast_token1] = ACTIONS(2048),
    [aux_sym__keyword_cast_token2] = ACTIONS(2048),
    [aux_sym__keyword_date_token1] = ACTIONS(2050),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2050),
    [aux_sym__keyword_time_token1] = ACTIONS(2050),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [aux_sym_drop_notnull_token1] = ACTIONS(2054),
    [aux_sym_function_call_token2] = ACTIONS(2056),
    [aux_sym_unnest_operator_token1] = ACTIONS(2058),
    [aux_sym_TRUE_token1] = ACTIONS(2060),
    [aux_sym_FALSE_token1] = ACTIONS(2062),
    [sym__integer] = ACTIONS(2064),
    [aux_sym__float_token1] = ACTIONS(2066),
    [aux_sym__float_token2] = ACTIONS(2064),
    [aux_sym__float_token3] = ACTIONS(2066),
    [aux_sym_numeric_token1] = ACTIONS(2068),
    [aux_sym_numeric_token2] = ACTIONS(2068),
    [aux_sym_numeric_token3] = ACTIONS(2068),
    [aux_sym_numeric_token4] = ACTIONS(2068),
    [aux_sym_interval_token1] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_json_token1] = ACTIONS(2074),
    [sym_system_variable] = ACTIONS(2076),
    [sym__named_query_parameter] = ACTIONS(2078),
    [sym__positional_query_parameter] = ACTIONS(2080),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2082),
    [anon_sym_PLUS] = ACTIONS(2084),
    [anon_sym_DASH] = ACTIONS(2084),
    [anon_sym_operator_compare] = ACTIONS(2086),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [sym__string_start] = ACTIONS(2090),
  },
  [1395] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8634),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1396] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16325),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1390),
    [sym__keyword_cast] = STATE(19275),
    [sym__keyword_date] = STATE(9495),
    [sym__keyword_datetime] = STATE(9495),
    [sym__keyword_time] = STATE(9495),
    [sym__keyword_timestamp] = STATE(9495),
    [sym_select_subexpression] = STATE(10495),
    [sym_function_call] = STATE(10495),
    [sym_unnest_operator] = STATE(5372),
    [sym_unnest_clause] = STATE(10495),
    [sym__literal] = STATE(10495),
    [sym_NULL] = STATE(10495),
    [sym_TRUE] = STATE(10495),
    [sym_FALSE] = STATE(10495),
    [sym__float] = STATE(10492),
    [sym_numeric] = STATE(10492),
    [sym__number] = STATE(10492),
    [sym_interval] = STATE(10495),
    [sym_range] = STATE(10495),
    [sym_time] = STATE(10495),
    [sym_number] = STATE(10495),
    [sym_json] = STATE(10495),
    [sym_query_parameter] = STATE(10495),
    [sym__type_chrono] = STATE(8422),
    [sym__type_struct] = STATE(19027),
    [sym__type_array] = STATE(18285),
    [sym_array] = STATE(10495),
    [sym_struct] = STATE(10495),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9694),
    [sym_string] = STATE(10495),
    [sym__expression] = STATE(7137),
    [sym__parenthesized_expression] = STATE(10495),
    [sym_element_access] = STATE(10495),
    [sym_field_access] = STATE(10495),
    [sym_unary_expression] = STATE(10495),
    [sym_binary_expression] = STATE(10495),
    [sym_between_operator] = STATE(10495),
    [sym_casewhen_expression] = STATE(10495),
    [sym_cast_expression] = STATE(10495),
    [sym_argument_reference] = STATE(10495),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2042),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2044),
    [aux_sym__keyword_case_token1] = ACTIONS(2046),
    [aux_sym__keyword_cast_token1] = ACTIONS(2048),
    [aux_sym__keyword_cast_token2] = ACTIONS(2048),
    [aux_sym__keyword_date_token1] = ACTIONS(2050),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2050),
    [aux_sym__keyword_time_token1] = ACTIONS(2050),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [aux_sym_drop_notnull_token1] = ACTIONS(2054),
    [aux_sym_function_call_token2] = ACTIONS(2056),
    [aux_sym_unnest_operator_token1] = ACTIONS(2058),
    [aux_sym_TRUE_token1] = ACTIONS(2060),
    [aux_sym_FALSE_token1] = ACTIONS(2062),
    [sym__integer] = ACTIONS(2064),
    [aux_sym__float_token1] = ACTIONS(2066),
    [aux_sym__float_token2] = ACTIONS(2064),
    [aux_sym__float_token3] = ACTIONS(2066),
    [aux_sym_numeric_token1] = ACTIONS(2068),
    [aux_sym_numeric_token2] = ACTIONS(2068),
    [aux_sym_numeric_token3] = ACTIONS(2068),
    [aux_sym_numeric_token4] = ACTIONS(2068),
    [aux_sym_interval_token1] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_json_token1] = ACTIONS(2074),
    [sym_system_variable] = ACTIONS(2076),
    [sym__named_query_parameter] = ACTIONS(2078),
    [sym__positional_query_parameter] = ACTIONS(2080),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2082),
    [anon_sym_PLUS] = ACTIONS(2084),
    [anon_sym_DASH] = ACTIONS(2084),
    [anon_sym_operator_compare] = ACTIONS(2086),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [sym__string_start] = ACTIONS(2090),
  },
  [1397] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16325),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1390),
    [sym__keyword_cast] = STATE(19275),
    [sym__keyword_date] = STATE(9495),
    [sym__keyword_datetime] = STATE(9495),
    [sym__keyword_time] = STATE(9495),
    [sym__keyword_timestamp] = STATE(9495),
    [sym_select_subexpression] = STATE(10495),
    [sym_function_call] = STATE(10495),
    [sym_unnest_operator] = STATE(5372),
    [sym_unnest_clause] = STATE(10495),
    [sym__literal] = STATE(10495),
    [sym_NULL] = STATE(10495),
    [sym_TRUE] = STATE(10495),
    [sym_FALSE] = STATE(10495),
    [sym__float] = STATE(10492),
    [sym_numeric] = STATE(10492),
    [sym__number] = STATE(10492),
    [sym_interval] = STATE(10495),
    [sym_range] = STATE(10495),
    [sym_time] = STATE(10495),
    [sym_number] = STATE(10495),
    [sym_json] = STATE(10495),
    [sym_query_parameter] = STATE(10495),
    [sym__type_chrono] = STATE(8422),
    [sym__type_struct] = STATE(19027),
    [sym__type_array] = STATE(18285),
    [sym_array] = STATE(10495),
    [sym_struct] = STATE(10495),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9694),
    [sym_string] = STATE(10495),
    [sym__expression] = STATE(7148),
    [sym__parenthesized_expression] = STATE(10495),
    [sym_element_access] = STATE(10495),
    [sym_field_access] = STATE(10495),
    [sym_unary_expression] = STATE(10495),
    [sym_binary_expression] = STATE(10495),
    [sym_between_operator] = STATE(10495),
    [sym_casewhen_expression] = STATE(10495),
    [sym_cast_expression] = STATE(10495),
    [sym_argument_reference] = STATE(10495),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2042),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2044),
    [aux_sym__keyword_case_token1] = ACTIONS(2046),
    [aux_sym__keyword_cast_token1] = ACTIONS(2048),
    [aux_sym__keyword_cast_token2] = ACTIONS(2048),
    [aux_sym__keyword_date_token1] = ACTIONS(2050),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2050),
    [aux_sym__keyword_time_token1] = ACTIONS(2050),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [aux_sym_drop_notnull_token1] = ACTIONS(2054),
    [aux_sym_function_call_token2] = ACTIONS(2056),
    [aux_sym_unnest_operator_token1] = ACTIONS(2058),
    [aux_sym_TRUE_token1] = ACTIONS(2060),
    [aux_sym_FALSE_token1] = ACTIONS(2062),
    [sym__integer] = ACTIONS(2064),
    [aux_sym__float_token1] = ACTIONS(2066),
    [aux_sym__float_token2] = ACTIONS(2064),
    [aux_sym__float_token3] = ACTIONS(2066),
    [aux_sym_numeric_token1] = ACTIONS(2068),
    [aux_sym_numeric_token2] = ACTIONS(2068),
    [aux_sym_numeric_token3] = ACTIONS(2068),
    [aux_sym_numeric_token4] = ACTIONS(2068),
    [aux_sym_interval_token1] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_json_token1] = ACTIONS(2074),
    [sym_system_variable] = ACTIONS(2076),
    [sym__named_query_parameter] = ACTIONS(2078),
    [sym__positional_query_parameter] = ACTIONS(2080),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2082),
    [anon_sym_PLUS] = ACTIONS(2084),
    [anon_sym_DASH] = ACTIONS(2084),
    [anon_sym_operator_compare] = ACTIONS(2086),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [sym__string_start] = ACTIONS(2090),
  },
  [1398] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16325),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1390),
    [sym__keyword_cast] = STATE(19275),
    [sym__keyword_date] = STATE(9495),
    [sym__keyword_datetime] = STATE(9495),
    [sym__keyword_time] = STATE(9495),
    [sym__keyword_timestamp] = STATE(9495),
    [sym_select_subexpression] = STATE(10495),
    [sym_function_call] = STATE(10495),
    [sym_unnest_operator] = STATE(5372),
    [sym_unnest_clause] = STATE(10495),
    [sym__literal] = STATE(10495),
    [sym_NULL] = STATE(10495),
    [sym_TRUE] = STATE(10495),
    [sym_FALSE] = STATE(10495),
    [sym__float] = STATE(10492),
    [sym_numeric] = STATE(10492),
    [sym__number] = STATE(10492),
    [sym_interval] = STATE(10495),
    [sym_range] = STATE(10495),
    [sym_time] = STATE(10495),
    [sym_number] = STATE(10495),
    [sym_json] = STATE(10495),
    [sym_query_parameter] = STATE(10495),
    [sym__type_chrono] = STATE(8422),
    [sym__type_struct] = STATE(19027),
    [sym__type_array] = STATE(18285),
    [sym_array] = STATE(10495),
    [sym_struct] = STATE(10495),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9694),
    [sym_string] = STATE(10495),
    [sym__expression] = STATE(7165),
    [sym__parenthesized_expression] = STATE(10495),
    [sym_element_access] = STATE(10495),
    [sym_field_access] = STATE(10495),
    [sym_unary_expression] = STATE(10495),
    [sym_binary_expression] = STATE(10495),
    [sym_between_operator] = STATE(10495),
    [sym_casewhen_expression] = STATE(10495),
    [sym_cast_expression] = STATE(10495),
    [sym_argument_reference] = STATE(10495),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2042),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2044),
    [aux_sym__keyword_case_token1] = ACTIONS(2046),
    [aux_sym__keyword_cast_token1] = ACTIONS(2048),
    [aux_sym__keyword_cast_token2] = ACTIONS(2048),
    [aux_sym__keyword_date_token1] = ACTIONS(2050),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2050),
    [aux_sym__keyword_time_token1] = ACTIONS(2050),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [aux_sym_drop_notnull_token1] = ACTIONS(2054),
    [aux_sym_function_call_token2] = ACTIONS(2056),
    [aux_sym_unnest_operator_token1] = ACTIONS(2058),
    [aux_sym_TRUE_token1] = ACTIONS(2060),
    [aux_sym_FALSE_token1] = ACTIONS(2062),
    [sym__integer] = ACTIONS(2064),
    [aux_sym__float_token1] = ACTIONS(2066),
    [aux_sym__float_token2] = ACTIONS(2064),
    [aux_sym__float_token3] = ACTIONS(2066),
    [aux_sym_numeric_token1] = ACTIONS(2068),
    [aux_sym_numeric_token2] = ACTIONS(2068),
    [aux_sym_numeric_token3] = ACTIONS(2068),
    [aux_sym_numeric_token4] = ACTIONS(2068),
    [aux_sym_interval_token1] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_json_token1] = ACTIONS(2074),
    [sym_system_variable] = ACTIONS(2076),
    [sym__named_query_parameter] = ACTIONS(2078),
    [sym__positional_query_parameter] = ACTIONS(2080),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2082),
    [anon_sym_PLUS] = ACTIONS(2084),
    [anon_sym_DASH] = ACTIONS(2084),
    [anon_sym_operator_compare] = ACTIONS(2086),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [sym__string_start] = ACTIONS(2090),
  },
  [1399] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16325),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1390),
    [sym__keyword_cast] = STATE(19275),
    [sym__keyword_date] = STATE(9495),
    [sym__keyword_datetime] = STATE(9495),
    [sym__keyword_time] = STATE(9495),
    [sym__keyword_timestamp] = STATE(9495),
    [sym_select_subexpression] = STATE(10495),
    [sym_function_call] = STATE(10495),
    [sym_unnest_operator] = STATE(5372),
    [sym_unnest_clause] = STATE(10495),
    [sym__literal] = STATE(10495),
    [sym_NULL] = STATE(10495),
    [sym_TRUE] = STATE(10495),
    [sym_FALSE] = STATE(10495),
    [sym__float] = STATE(10492),
    [sym_numeric] = STATE(10492),
    [sym__number] = STATE(10492),
    [sym_interval] = STATE(10495),
    [sym_range] = STATE(10495),
    [sym_time] = STATE(10495),
    [sym_number] = STATE(10495),
    [sym_json] = STATE(10495),
    [sym_query_parameter] = STATE(10495),
    [sym__type_chrono] = STATE(8422),
    [sym__type_struct] = STATE(19027),
    [sym__type_array] = STATE(18285),
    [sym_array] = STATE(10495),
    [sym_struct] = STATE(10495),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9694),
    [sym_string] = STATE(10495),
    [sym__expression] = STATE(7167),
    [sym__parenthesized_expression] = STATE(10495),
    [sym_element_access] = STATE(10495),
    [sym_field_access] = STATE(10495),
    [sym_unary_expression] = STATE(10495),
    [sym_binary_expression] = STATE(10495),
    [sym_between_operator] = STATE(10495),
    [sym_casewhen_expression] = STATE(10495),
    [sym_cast_expression] = STATE(10495),
    [sym_argument_reference] = STATE(10495),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2042),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2044),
    [aux_sym__keyword_case_token1] = ACTIONS(2046),
    [aux_sym__keyword_cast_token1] = ACTIONS(2048),
    [aux_sym__keyword_cast_token2] = ACTIONS(2048),
    [aux_sym__keyword_date_token1] = ACTIONS(2050),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2050),
    [aux_sym__keyword_time_token1] = ACTIONS(2050),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [aux_sym_drop_notnull_token1] = ACTIONS(2054),
    [aux_sym_function_call_token2] = ACTIONS(2056),
    [aux_sym_unnest_operator_token1] = ACTIONS(2058),
    [aux_sym_TRUE_token1] = ACTIONS(2060),
    [aux_sym_FALSE_token1] = ACTIONS(2062),
    [sym__integer] = ACTIONS(2064),
    [aux_sym__float_token1] = ACTIONS(2066),
    [aux_sym__float_token2] = ACTIONS(2064),
    [aux_sym__float_token3] = ACTIONS(2066),
    [aux_sym_numeric_token1] = ACTIONS(2068),
    [aux_sym_numeric_token2] = ACTIONS(2068),
    [aux_sym_numeric_token3] = ACTIONS(2068),
    [aux_sym_numeric_token4] = ACTIONS(2068),
    [aux_sym_interval_token1] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_json_token1] = ACTIONS(2074),
    [sym_system_variable] = ACTIONS(2076),
    [sym__named_query_parameter] = ACTIONS(2078),
    [sym__positional_query_parameter] = ACTIONS(2080),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2082),
    [anon_sym_PLUS] = ACTIONS(2084),
    [anon_sym_DASH] = ACTIONS(2084),
    [anon_sym_operator_compare] = ACTIONS(2086),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [sym__string_start] = ACTIONS(2090),
  },
  [1400] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16325),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1390),
    [sym__keyword_cast] = STATE(19275),
    [sym__keyword_date] = STATE(9495),
    [sym__keyword_datetime] = STATE(9495),
    [sym__keyword_time] = STATE(9495),
    [sym__keyword_timestamp] = STATE(9495),
    [sym_select_subexpression] = STATE(10495),
    [sym_function_call] = STATE(10495),
    [sym_unnest_operator] = STATE(5372),
    [sym_unnest_clause] = STATE(10495),
    [sym__literal] = STATE(10495),
    [sym_NULL] = STATE(10495),
    [sym_TRUE] = STATE(10495),
    [sym_FALSE] = STATE(10495),
    [sym__float] = STATE(10492),
    [sym_numeric] = STATE(10492),
    [sym__number] = STATE(10492),
    [sym_interval] = STATE(10495),
    [sym_range] = STATE(10495),
    [sym_time] = STATE(10495),
    [sym_number] = STATE(10495),
    [sym_json] = STATE(10495),
    [sym_query_parameter] = STATE(10495),
    [sym__type_chrono] = STATE(8422),
    [sym__type_struct] = STATE(19027),
    [sym__type_array] = STATE(18285),
    [sym_array] = STATE(10495),
    [sym_struct] = STATE(10495),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9694),
    [sym_string] = STATE(10495),
    [sym__expression] = STATE(7171),
    [sym__parenthesized_expression] = STATE(10495),
    [sym_element_access] = STATE(10495),
    [sym_field_access] = STATE(10495),
    [sym_unary_expression] = STATE(10495),
    [sym_binary_expression] = STATE(10495),
    [sym_between_operator] = STATE(10495),
    [sym_casewhen_expression] = STATE(10495),
    [sym_cast_expression] = STATE(10495),
    [sym_argument_reference] = STATE(10495),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2042),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2044),
    [aux_sym__keyword_case_token1] = ACTIONS(2046),
    [aux_sym__keyword_cast_token1] = ACTIONS(2048),
    [aux_sym__keyword_cast_token2] = ACTIONS(2048),
    [aux_sym__keyword_date_token1] = ACTIONS(2050),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2050),
    [aux_sym__keyword_time_token1] = ACTIONS(2050),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [aux_sym_drop_notnull_token1] = ACTIONS(2054),
    [aux_sym_function_call_token2] = ACTIONS(2056),
    [aux_sym_unnest_operator_token1] = ACTIONS(2058),
    [aux_sym_TRUE_token1] = ACTIONS(2060),
    [aux_sym_FALSE_token1] = ACTIONS(2062),
    [sym__integer] = ACTIONS(2064),
    [aux_sym__float_token1] = ACTIONS(2066),
    [aux_sym__float_token2] = ACTIONS(2064),
    [aux_sym__float_token3] = ACTIONS(2066),
    [aux_sym_numeric_token1] = ACTIONS(2068),
    [aux_sym_numeric_token2] = ACTIONS(2068),
    [aux_sym_numeric_token3] = ACTIONS(2068),
    [aux_sym_numeric_token4] = ACTIONS(2068),
    [aux_sym_interval_token1] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_json_token1] = ACTIONS(2074),
    [sym_system_variable] = ACTIONS(2076),
    [sym__named_query_parameter] = ACTIONS(2078),
    [sym__positional_query_parameter] = ACTIONS(2080),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2082),
    [anon_sym_PLUS] = ACTIONS(2084),
    [anon_sym_DASH] = ACTIONS(2084),
    [anon_sym_operator_compare] = ACTIONS(2086),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [sym__string_start] = ACTIONS(2090),
  },
  [1401] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16325),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1390),
    [sym__keyword_cast] = STATE(19275),
    [sym__keyword_date] = STATE(9495),
    [sym__keyword_datetime] = STATE(9495),
    [sym__keyword_time] = STATE(9495),
    [sym__keyword_timestamp] = STATE(9495),
    [sym_select_subexpression] = STATE(10495),
    [sym_function_call] = STATE(10495),
    [sym_unnest_operator] = STATE(5372),
    [sym_unnest_clause] = STATE(10495),
    [sym__literal] = STATE(10495),
    [sym_NULL] = STATE(10495),
    [sym_TRUE] = STATE(10495),
    [sym_FALSE] = STATE(10495),
    [sym__float] = STATE(10492),
    [sym_numeric] = STATE(10492),
    [sym__number] = STATE(10492),
    [sym_interval] = STATE(10495),
    [sym_range] = STATE(10495),
    [sym_time] = STATE(10495),
    [sym_number] = STATE(10495),
    [sym_json] = STATE(10495),
    [sym_query_parameter] = STATE(10495),
    [sym__type_chrono] = STATE(8422),
    [sym__type_struct] = STATE(19027),
    [sym__type_array] = STATE(18285),
    [sym_array] = STATE(10495),
    [sym_struct] = STATE(10495),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9694),
    [sym_string] = STATE(10495),
    [sym__expression] = STATE(7172),
    [sym__parenthesized_expression] = STATE(10495),
    [sym_element_access] = STATE(10495),
    [sym_field_access] = STATE(10495),
    [sym_unary_expression] = STATE(10495),
    [sym_binary_expression] = STATE(10495),
    [sym_between_operator] = STATE(10495),
    [sym_casewhen_expression] = STATE(10495),
    [sym_cast_expression] = STATE(10495),
    [sym_argument_reference] = STATE(10495),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2042),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2044),
    [aux_sym__keyword_case_token1] = ACTIONS(2046),
    [aux_sym__keyword_cast_token1] = ACTIONS(2048),
    [aux_sym__keyword_cast_token2] = ACTIONS(2048),
    [aux_sym__keyword_date_token1] = ACTIONS(2050),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2050),
    [aux_sym__keyword_time_token1] = ACTIONS(2050),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [aux_sym_drop_notnull_token1] = ACTIONS(2054),
    [aux_sym_function_call_token2] = ACTIONS(2056),
    [aux_sym_unnest_operator_token1] = ACTIONS(2058),
    [aux_sym_TRUE_token1] = ACTIONS(2060),
    [aux_sym_FALSE_token1] = ACTIONS(2062),
    [sym__integer] = ACTIONS(2064),
    [aux_sym__float_token1] = ACTIONS(2066),
    [aux_sym__float_token2] = ACTIONS(2064),
    [aux_sym__float_token3] = ACTIONS(2066),
    [aux_sym_numeric_token1] = ACTIONS(2068),
    [aux_sym_numeric_token2] = ACTIONS(2068),
    [aux_sym_numeric_token3] = ACTIONS(2068),
    [aux_sym_numeric_token4] = ACTIONS(2068),
    [aux_sym_interval_token1] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_json_token1] = ACTIONS(2074),
    [sym_system_variable] = ACTIONS(2076),
    [sym__named_query_parameter] = ACTIONS(2078),
    [sym__positional_query_parameter] = ACTIONS(2080),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2082),
    [anon_sym_PLUS] = ACTIONS(2084),
    [anon_sym_DASH] = ACTIONS(2084),
    [anon_sym_operator_compare] = ACTIONS(2086),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [sym__string_start] = ACTIONS(2090),
  },
  [1402] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16325),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1390),
    [sym__keyword_cast] = STATE(19275),
    [sym__keyword_date] = STATE(9495),
    [sym__keyword_datetime] = STATE(9495),
    [sym__keyword_time] = STATE(9495),
    [sym__keyword_timestamp] = STATE(9495),
    [sym_select_subexpression] = STATE(10495),
    [sym_function_call] = STATE(10495),
    [sym_unnest_operator] = STATE(5372),
    [sym_unnest_clause] = STATE(10495),
    [sym__literal] = STATE(10495),
    [sym_NULL] = STATE(10495),
    [sym_TRUE] = STATE(10495),
    [sym_FALSE] = STATE(10495),
    [sym__float] = STATE(10492),
    [sym_numeric] = STATE(10492),
    [sym__number] = STATE(10492),
    [sym_interval] = STATE(10495),
    [sym_range] = STATE(10495),
    [sym_time] = STATE(10495),
    [sym_number] = STATE(10495),
    [sym_json] = STATE(10495),
    [sym_query_parameter] = STATE(10495),
    [sym__type_chrono] = STATE(8422),
    [sym__type_struct] = STATE(19027),
    [sym__type_array] = STATE(18285),
    [sym_array] = STATE(10495),
    [sym_struct] = STATE(10495),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9694),
    [sym_string] = STATE(10495),
    [sym__expression] = STATE(7180),
    [sym__parenthesized_expression] = STATE(10495),
    [sym_element_access] = STATE(10495),
    [sym_field_access] = STATE(10495),
    [sym_unary_expression] = STATE(10495),
    [sym_binary_expression] = STATE(10495),
    [sym_between_operator] = STATE(10495),
    [sym_casewhen_expression] = STATE(10495),
    [sym_cast_expression] = STATE(10495),
    [sym_argument_reference] = STATE(10495),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2042),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2044),
    [aux_sym__keyword_case_token1] = ACTIONS(2046),
    [aux_sym__keyword_cast_token1] = ACTIONS(2048),
    [aux_sym__keyword_cast_token2] = ACTIONS(2048),
    [aux_sym__keyword_date_token1] = ACTIONS(2050),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2050),
    [aux_sym__keyword_time_token1] = ACTIONS(2050),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [aux_sym_drop_notnull_token1] = ACTIONS(2054),
    [aux_sym_function_call_token2] = ACTIONS(2056),
    [aux_sym_unnest_operator_token1] = ACTIONS(2058),
    [aux_sym_TRUE_token1] = ACTIONS(2060),
    [aux_sym_FALSE_token1] = ACTIONS(2062),
    [sym__integer] = ACTIONS(2064),
    [aux_sym__float_token1] = ACTIONS(2066),
    [aux_sym__float_token2] = ACTIONS(2064),
    [aux_sym__float_token3] = ACTIONS(2066),
    [aux_sym_numeric_token1] = ACTIONS(2068),
    [aux_sym_numeric_token2] = ACTIONS(2068),
    [aux_sym_numeric_token3] = ACTIONS(2068),
    [aux_sym_numeric_token4] = ACTIONS(2068),
    [aux_sym_interval_token1] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_json_token1] = ACTIONS(2074),
    [sym_system_variable] = ACTIONS(2076),
    [sym__named_query_parameter] = ACTIONS(2078),
    [sym__positional_query_parameter] = ACTIONS(2080),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2082),
    [anon_sym_PLUS] = ACTIONS(2084),
    [anon_sym_DASH] = ACTIONS(2084),
    [anon_sym_operator_compare] = ACTIONS(2086),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [sym__string_start] = ACTIONS(2090),
  },
  [1403] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16325),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1390),
    [sym__keyword_cast] = STATE(19275),
    [sym__keyword_date] = STATE(9495),
    [sym__keyword_datetime] = STATE(9495),
    [sym__keyword_time] = STATE(9495),
    [sym__keyword_timestamp] = STATE(9495),
    [sym_select_subexpression] = STATE(10495),
    [sym_function_call] = STATE(10495),
    [sym_unnest_operator] = STATE(5372),
    [sym_unnest_clause] = STATE(10495),
    [sym__literal] = STATE(10495),
    [sym_NULL] = STATE(10495),
    [sym_TRUE] = STATE(10495),
    [sym_FALSE] = STATE(10495),
    [sym__float] = STATE(10492),
    [sym_numeric] = STATE(10492),
    [sym__number] = STATE(10492),
    [sym_interval] = STATE(10495),
    [sym_range] = STATE(10495),
    [sym_time] = STATE(10495),
    [sym_number] = STATE(10495),
    [sym_json] = STATE(10495),
    [sym_query_parameter] = STATE(10495),
    [sym__type_chrono] = STATE(8422),
    [sym__type_struct] = STATE(19027),
    [sym__type_array] = STATE(18285),
    [sym_array] = STATE(10495),
    [sym_struct] = STATE(10495),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9694),
    [sym_string] = STATE(10495),
    [sym__expression] = STATE(7181),
    [sym__parenthesized_expression] = STATE(10495),
    [sym_element_access] = STATE(10495),
    [sym_field_access] = STATE(10495),
    [sym_unary_expression] = STATE(10495),
    [sym_binary_expression] = STATE(10495),
    [sym_between_operator] = STATE(10495),
    [sym_casewhen_expression] = STATE(10495),
    [sym_cast_expression] = STATE(10495),
    [sym_argument_reference] = STATE(10495),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2042),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2044),
    [aux_sym__keyword_case_token1] = ACTIONS(2046),
    [aux_sym__keyword_cast_token1] = ACTIONS(2048),
    [aux_sym__keyword_cast_token2] = ACTIONS(2048),
    [aux_sym__keyword_date_token1] = ACTIONS(2050),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2050),
    [aux_sym__keyword_time_token1] = ACTIONS(2050),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [aux_sym_drop_notnull_token1] = ACTIONS(2054),
    [aux_sym_function_call_token2] = ACTIONS(2056),
    [aux_sym_unnest_operator_token1] = ACTIONS(2058),
    [aux_sym_TRUE_token1] = ACTIONS(2060),
    [aux_sym_FALSE_token1] = ACTIONS(2062),
    [sym__integer] = ACTIONS(2064),
    [aux_sym__float_token1] = ACTIONS(2066),
    [aux_sym__float_token2] = ACTIONS(2064),
    [aux_sym__float_token3] = ACTIONS(2066),
    [aux_sym_numeric_token1] = ACTIONS(2068),
    [aux_sym_numeric_token2] = ACTIONS(2068),
    [aux_sym_numeric_token3] = ACTIONS(2068),
    [aux_sym_numeric_token4] = ACTIONS(2068),
    [aux_sym_interval_token1] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_json_token1] = ACTIONS(2074),
    [sym_system_variable] = ACTIONS(2076),
    [sym__named_query_parameter] = ACTIONS(2078),
    [sym__positional_query_parameter] = ACTIONS(2080),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2082),
    [anon_sym_PLUS] = ACTIONS(2084),
    [anon_sym_DASH] = ACTIONS(2084),
    [anon_sym_operator_compare] = ACTIONS(2086),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [sym__string_start] = ACTIONS(2090),
  },
  [1404] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16325),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1390),
    [sym__keyword_cast] = STATE(19275),
    [sym__keyword_date] = STATE(9495),
    [sym__keyword_datetime] = STATE(9495),
    [sym__keyword_time] = STATE(9495),
    [sym__keyword_timestamp] = STATE(9495),
    [sym_select_subexpression] = STATE(10495),
    [sym_function_call] = STATE(10495),
    [sym_unnest_operator] = STATE(5372),
    [sym_unnest_clause] = STATE(10495),
    [sym__literal] = STATE(10495),
    [sym_NULL] = STATE(10495),
    [sym_TRUE] = STATE(10495),
    [sym_FALSE] = STATE(10495),
    [sym__float] = STATE(10492),
    [sym_numeric] = STATE(10492),
    [sym__number] = STATE(10492),
    [sym_interval] = STATE(10495),
    [sym_range] = STATE(10495),
    [sym_time] = STATE(10495),
    [sym_number] = STATE(10495),
    [sym_json] = STATE(10495),
    [sym_query_parameter] = STATE(10495),
    [sym__type_chrono] = STATE(8422),
    [sym__type_struct] = STATE(19027),
    [sym__type_array] = STATE(18285),
    [sym_array] = STATE(10495),
    [sym_struct] = STATE(10495),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9694),
    [sym_string] = STATE(10495),
    [sym__expression] = STATE(7182),
    [sym__parenthesized_expression] = STATE(10495),
    [sym_element_access] = STATE(10495),
    [sym_field_access] = STATE(10495),
    [sym_unary_expression] = STATE(10495),
    [sym_binary_expression] = STATE(10495),
    [sym_between_operator] = STATE(10495),
    [sym_casewhen_expression] = STATE(10495),
    [sym_cast_expression] = STATE(10495),
    [sym_argument_reference] = STATE(10495),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2042),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2044),
    [aux_sym__keyword_case_token1] = ACTIONS(2046),
    [aux_sym__keyword_cast_token1] = ACTIONS(2048),
    [aux_sym__keyword_cast_token2] = ACTIONS(2048),
    [aux_sym__keyword_date_token1] = ACTIONS(2050),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2050),
    [aux_sym__keyword_time_token1] = ACTIONS(2050),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [aux_sym_drop_notnull_token1] = ACTIONS(2054),
    [aux_sym_function_call_token2] = ACTIONS(2056),
    [aux_sym_unnest_operator_token1] = ACTIONS(2058),
    [aux_sym_TRUE_token1] = ACTIONS(2060),
    [aux_sym_FALSE_token1] = ACTIONS(2062),
    [sym__integer] = ACTIONS(2064),
    [aux_sym__float_token1] = ACTIONS(2066),
    [aux_sym__float_token2] = ACTIONS(2064),
    [aux_sym__float_token3] = ACTIONS(2066),
    [aux_sym_numeric_token1] = ACTIONS(2068),
    [aux_sym_numeric_token2] = ACTIONS(2068),
    [aux_sym_numeric_token3] = ACTIONS(2068),
    [aux_sym_numeric_token4] = ACTIONS(2068),
    [aux_sym_interval_token1] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_json_token1] = ACTIONS(2074),
    [sym_system_variable] = ACTIONS(2076),
    [sym__named_query_parameter] = ACTIONS(2078),
    [sym__positional_query_parameter] = ACTIONS(2080),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2082),
    [anon_sym_PLUS] = ACTIONS(2084),
    [anon_sym_DASH] = ACTIONS(2084),
    [anon_sym_operator_compare] = ACTIONS(2086),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [sym__string_start] = ACTIONS(2090),
  },
  [1405] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16325),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1390),
    [sym__keyword_cast] = STATE(19275),
    [sym__keyword_date] = STATE(9495),
    [sym__keyword_datetime] = STATE(9495),
    [sym__keyword_time] = STATE(9495),
    [sym__keyword_timestamp] = STATE(9495),
    [sym_select_subexpression] = STATE(10495),
    [sym_function_call] = STATE(10495),
    [sym_unnest_operator] = STATE(5372),
    [sym_unnest_clause] = STATE(10495),
    [sym__literal] = STATE(10495),
    [sym_NULL] = STATE(10495),
    [sym_TRUE] = STATE(10495),
    [sym_FALSE] = STATE(10495),
    [sym__float] = STATE(10492),
    [sym_numeric] = STATE(10492),
    [sym__number] = STATE(10492),
    [sym_interval] = STATE(10495),
    [sym_range] = STATE(10495),
    [sym_time] = STATE(10495),
    [sym_number] = STATE(10495),
    [sym_json] = STATE(10495),
    [sym_query_parameter] = STATE(10495),
    [sym__type_chrono] = STATE(8422),
    [sym__type_struct] = STATE(19027),
    [sym__type_array] = STATE(18285),
    [sym_array] = STATE(10495),
    [sym_struct] = STATE(10495),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9694),
    [sym_string] = STATE(10495),
    [sym__expression] = STATE(7188),
    [sym__parenthesized_expression] = STATE(10495),
    [sym_element_access] = STATE(10495),
    [sym_field_access] = STATE(10495),
    [sym_unary_expression] = STATE(10495),
    [sym_binary_expression] = STATE(10495),
    [sym_between_operator] = STATE(10495),
    [sym_casewhen_expression] = STATE(10495),
    [sym_cast_expression] = STATE(10495),
    [sym_argument_reference] = STATE(10495),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2042),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2044),
    [aux_sym__keyword_case_token1] = ACTIONS(2046),
    [aux_sym__keyword_cast_token1] = ACTIONS(2048),
    [aux_sym__keyword_cast_token2] = ACTIONS(2048),
    [aux_sym__keyword_date_token1] = ACTIONS(2050),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2050),
    [aux_sym__keyword_time_token1] = ACTIONS(2050),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [aux_sym_drop_notnull_token1] = ACTIONS(2054),
    [aux_sym_function_call_token2] = ACTIONS(2056),
    [aux_sym_unnest_operator_token1] = ACTIONS(2058),
    [aux_sym_TRUE_token1] = ACTIONS(2060),
    [aux_sym_FALSE_token1] = ACTIONS(2062),
    [sym__integer] = ACTIONS(2064),
    [aux_sym__float_token1] = ACTIONS(2066),
    [aux_sym__float_token2] = ACTIONS(2064),
    [aux_sym__float_token3] = ACTIONS(2066),
    [aux_sym_numeric_token1] = ACTIONS(2068),
    [aux_sym_numeric_token2] = ACTIONS(2068),
    [aux_sym_numeric_token3] = ACTIONS(2068),
    [aux_sym_numeric_token4] = ACTIONS(2068),
    [aux_sym_interval_token1] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_json_token1] = ACTIONS(2074),
    [sym_system_variable] = ACTIONS(2076),
    [sym__named_query_parameter] = ACTIONS(2078),
    [sym__positional_query_parameter] = ACTIONS(2080),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2082),
    [anon_sym_PLUS] = ACTIONS(2084),
    [anon_sym_DASH] = ACTIONS(2084),
    [anon_sym_operator_compare] = ACTIONS(2086),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [sym__string_start] = ACTIONS(2090),
  },
  [1406] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16325),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1390),
    [sym__keyword_cast] = STATE(19275),
    [sym__keyword_date] = STATE(9495),
    [sym__keyword_datetime] = STATE(9495),
    [sym__keyword_time] = STATE(9495),
    [sym__keyword_timestamp] = STATE(9495),
    [sym_select_subexpression] = STATE(10495),
    [sym_function_call] = STATE(10495),
    [sym_unnest_operator] = STATE(5372),
    [sym_unnest_clause] = STATE(10495),
    [sym__literal] = STATE(10495),
    [sym_NULL] = STATE(10495),
    [sym_TRUE] = STATE(10495),
    [sym_FALSE] = STATE(10495),
    [sym__float] = STATE(10492),
    [sym_numeric] = STATE(10492),
    [sym__number] = STATE(10492),
    [sym_interval] = STATE(10495),
    [sym_range] = STATE(10495),
    [sym_time] = STATE(10495),
    [sym_number] = STATE(10495),
    [sym_json] = STATE(10495),
    [sym_query_parameter] = STATE(10495),
    [sym__type_chrono] = STATE(8422),
    [sym__type_struct] = STATE(19027),
    [sym__type_array] = STATE(18285),
    [sym_array] = STATE(10495),
    [sym_struct] = STATE(10495),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9694),
    [sym_string] = STATE(10495),
    [sym__expression] = STATE(7198),
    [sym__parenthesized_expression] = STATE(10495),
    [sym_element_access] = STATE(10495),
    [sym_field_access] = STATE(10495),
    [sym_unary_expression] = STATE(10495),
    [sym_binary_expression] = STATE(10495),
    [sym_between_operator] = STATE(10495),
    [sym_casewhen_expression] = STATE(10495),
    [sym_cast_expression] = STATE(10495),
    [sym_argument_reference] = STATE(10495),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2042),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2044),
    [aux_sym__keyword_case_token1] = ACTIONS(2046),
    [aux_sym__keyword_cast_token1] = ACTIONS(2048),
    [aux_sym__keyword_cast_token2] = ACTIONS(2048),
    [aux_sym__keyword_date_token1] = ACTIONS(2050),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2050),
    [aux_sym__keyword_time_token1] = ACTIONS(2050),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [aux_sym_drop_notnull_token1] = ACTIONS(2054),
    [aux_sym_function_call_token2] = ACTIONS(2056),
    [aux_sym_unnest_operator_token1] = ACTIONS(2058),
    [aux_sym_TRUE_token1] = ACTIONS(2060),
    [aux_sym_FALSE_token1] = ACTIONS(2062),
    [sym__integer] = ACTIONS(2064),
    [aux_sym__float_token1] = ACTIONS(2066),
    [aux_sym__float_token2] = ACTIONS(2064),
    [aux_sym__float_token3] = ACTIONS(2066),
    [aux_sym_numeric_token1] = ACTIONS(2068),
    [aux_sym_numeric_token2] = ACTIONS(2068),
    [aux_sym_numeric_token3] = ACTIONS(2068),
    [aux_sym_numeric_token4] = ACTIONS(2068),
    [aux_sym_interval_token1] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_json_token1] = ACTIONS(2074),
    [sym_system_variable] = ACTIONS(2076),
    [sym__named_query_parameter] = ACTIONS(2078),
    [sym__positional_query_parameter] = ACTIONS(2080),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2082),
    [anon_sym_PLUS] = ACTIONS(2084),
    [anon_sym_DASH] = ACTIONS(2084),
    [anon_sym_operator_compare] = ACTIONS(2086),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [sym__string_start] = ACTIONS(2090),
  },
  [1407] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1350),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2703),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(4206),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2674),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1408] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16298),
    [sym__keyword_case] = STATE(370),
    [sym__keyword_not] = STATE(1409),
    [sym__keyword_cast] = STATE(19281),
    [sym__keyword_date] = STATE(5984),
    [sym__keyword_datetime] = STATE(5984),
    [sym__keyword_time] = STATE(5984),
    [sym__keyword_timestamp] = STATE(5984),
    [sym_select_subexpression] = STATE(6583),
    [sym_function_call] = STATE(6583),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(6583),
    [sym__literal] = STATE(6583),
    [sym_NULL] = STATE(6583),
    [sym_TRUE] = STATE(6583),
    [sym_FALSE] = STATE(6583),
    [sym__float] = STATE(6582),
    [sym_numeric] = STATE(6582),
    [sym__number] = STATE(6582),
    [sym_interval] = STATE(6583),
    [sym_range] = STATE(6583),
    [sym_time] = STATE(6583),
    [sym_number] = STATE(6583),
    [sym_json] = STATE(6583),
    [sym_query_parameter] = STATE(6583),
    [sym__type_chrono] = STATE(5709),
    [sym__type_struct] = STATE(19051),
    [sym__type_array] = STATE(18379),
    [sym_array] = STATE(6583),
    [sym_struct] = STATE(6583),
    [sym__identifier] = STATE(5940),
    [sym__dotted_identifier] = STATE(13302),
    [sym_identifier] = STATE(9146),
    [sym_string] = STATE(6583),
    [sym__expression] = STATE(6596),
    [sym__parenthesized_expression] = STATE(6583),
    [sym_element_access] = STATE(6583),
    [sym_field_access] = STATE(6583),
    [sym_unary_expression] = STATE(6583),
    [sym_binary_expression] = STATE(6583),
    [sym_between_operator] = STATE(6583),
    [sym_casewhen_expression] = STATE(6583),
    [sym_cast_expression] = STATE(6583),
    [sym_argument_reference] = STATE(6583),
    [aux_sym_identifier_repeat1] = STATE(13302),
    [sym__unquoted_identifier] = ACTIONS(491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(493),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(495),
    [aux_sym__keyword_case_token1] = ACTIONS(497),
    [aux_sym__keyword_cast_token1] = ACTIONS(499),
    [aux_sym__keyword_cast_token2] = ACTIONS(499),
    [aux_sym__keyword_date_token1] = ACTIONS(501),
    [aux_sym__keyword_datetime_token1] = ACTIONS(501),
    [aux_sym__keyword_time_token1] = ACTIONS(501),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(503),
    [aux_sym_drop_notnull_token1] = ACTIONS(505),
    [aux_sym_function_call_token2] = ACTIONS(507),
    [aux_sym_unnest_operator_token1] = ACTIONS(1045),
    [aux_sym_TRUE_token1] = ACTIONS(511),
    [aux_sym_FALSE_token1] = ACTIONS(513),
    [sym__integer] = ACTIONS(515),
    [aux_sym__float_token1] = ACTIONS(517),
    [aux_sym__float_token2] = ACTIONS(515),
    [aux_sym__float_token3] = ACTIONS(517),
    [aux_sym_numeric_token1] = ACTIONS(519),
    [aux_sym_numeric_token2] = ACTIONS(519),
    [aux_sym_numeric_token3] = ACTIONS(519),
    [aux_sym_numeric_token4] = ACTIONS(519),
    [aux_sym_interval_token1] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(523),
    [aux_sym_json_token1] = ACTIONS(525),
    [sym_system_variable] = ACTIONS(527),
    [sym__named_query_parameter] = ACTIONS(529),
    [sym__positional_query_parameter] = ACTIONS(531),
    [sym__quoted_identifier] = ACTIONS(533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_operator_compare] = ACTIONS(539),
    [anon_sym_DOLLAR] = ACTIONS(541),
    [sym__string_start] = ACTIONS(543),
  },
  [1409] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16298),
    [sym__keyword_case] = STATE(370),
    [sym__keyword_not] = STATE(1409),
    [sym__keyword_cast] = STATE(19281),
    [sym__keyword_date] = STATE(5984),
    [sym__keyword_datetime] = STATE(5984),
    [sym__keyword_time] = STATE(5984),
    [sym__keyword_timestamp] = STATE(5984),
    [sym_select_subexpression] = STATE(6583),
    [sym_function_call] = STATE(6583),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(6583),
    [sym__literal] = STATE(6583),
    [sym_NULL] = STATE(6583),
    [sym_TRUE] = STATE(6583),
    [sym_FALSE] = STATE(6583),
    [sym__float] = STATE(6582),
    [sym_numeric] = STATE(6582),
    [sym__number] = STATE(6582),
    [sym_interval] = STATE(6583),
    [sym_range] = STATE(6583),
    [sym_time] = STATE(6583),
    [sym_number] = STATE(6583),
    [sym_json] = STATE(6583),
    [sym_query_parameter] = STATE(6583),
    [sym__type_chrono] = STATE(5709),
    [sym__type_struct] = STATE(19051),
    [sym__type_array] = STATE(18379),
    [sym_array] = STATE(6583),
    [sym_struct] = STATE(6583),
    [sym__identifier] = STATE(5940),
    [sym__dotted_identifier] = STATE(13302),
    [sym_identifier] = STATE(9146),
    [sym_string] = STATE(6583),
    [sym__expression] = STATE(6599),
    [sym__parenthesized_expression] = STATE(6583),
    [sym_element_access] = STATE(6583),
    [sym_field_access] = STATE(6583),
    [sym_unary_expression] = STATE(6583),
    [sym_binary_expression] = STATE(6583),
    [sym_between_operator] = STATE(6583),
    [sym_casewhen_expression] = STATE(6583),
    [sym_cast_expression] = STATE(6583),
    [sym_argument_reference] = STATE(6583),
    [aux_sym_identifier_repeat1] = STATE(13302),
    [sym__unquoted_identifier] = ACTIONS(491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(493),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(495),
    [aux_sym__keyword_case_token1] = ACTIONS(497),
    [aux_sym__keyword_cast_token1] = ACTIONS(499),
    [aux_sym__keyword_cast_token2] = ACTIONS(499),
    [aux_sym__keyword_date_token1] = ACTIONS(501),
    [aux_sym__keyword_datetime_token1] = ACTIONS(501),
    [aux_sym__keyword_time_token1] = ACTIONS(501),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(503),
    [aux_sym_drop_notnull_token1] = ACTIONS(505),
    [aux_sym_function_call_token2] = ACTIONS(507),
    [aux_sym_unnest_operator_token1] = ACTIONS(1045),
    [aux_sym_TRUE_token1] = ACTIONS(511),
    [aux_sym_FALSE_token1] = ACTIONS(513),
    [sym__integer] = ACTIONS(515),
    [aux_sym__float_token1] = ACTIONS(517),
    [aux_sym__float_token2] = ACTIONS(515),
    [aux_sym__float_token3] = ACTIONS(517),
    [aux_sym_numeric_token1] = ACTIONS(519),
    [aux_sym_numeric_token2] = ACTIONS(519),
    [aux_sym_numeric_token3] = ACTIONS(519),
    [aux_sym_numeric_token4] = ACTIONS(519),
    [aux_sym_interval_token1] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(523),
    [aux_sym_json_token1] = ACTIONS(525),
    [sym_system_variable] = ACTIONS(527),
    [sym__named_query_parameter] = ACTIONS(529),
    [sym__positional_query_parameter] = ACTIONS(531),
    [sym__quoted_identifier] = ACTIONS(533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_operator_compare] = ACTIONS(539),
    [anon_sym_DOLLAR] = ACTIONS(541),
    [sym__string_start] = ACTIONS(543),
  },
  [1410] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16298),
    [sym__keyword_case] = STATE(370),
    [sym__keyword_not] = STATE(1409),
    [sym__keyword_cast] = STATE(19281),
    [sym__keyword_date] = STATE(5984),
    [sym__keyword_datetime] = STATE(5984),
    [sym__keyword_time] = STATE(5984),
    [sym__keyword_timestamp] = STATE(5984),
    [sym_select_subexpression] = STATE(6583),
    [sym_function_call] = STATE(6583),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(6583),
    [sym__literal] = STATE(6583),
    [sym_NULL] = STATE(6583),
    [sym_TRUE] = STATE(6583),
    [sym_FALSE] = STATE(6583),
    [sym__float] = STATE(6582),
    [sym_numeric] = STATE(6582),
    [sym__number] = STATE(6582),
    [sym_interval] = STATE(6583),
    [sym_range] = STATE(6583),
    [sym_time] = STATE(6583),
    [sym_number] = STATE(6583),
    [sym_json] = STATE(6583),
    [sym_query_parameter] = STATE(6583),
    [sym__type_chrono] = STATE(5709),
    [sym__type_struct] = STATE(19051),
    [sym__type_array] = STATE(18379),
    [sym_array] = STATE(6583),
    [sym_struct] = STATE(6583),
    [sym__identifier] = STATE(5940),
    [sym__dotted_identifier] = STATE(13302),
    [sym_identifier] = STATE(9146),
    [sym_string] = STATE(6583),
    [sym__expression] = STATE(6629),
    [sym__parenthesized_expression] = STATE(6583),
    [sym_element_access] = STATE(6583),
    [sym_field_access] = STATE(6583),
    [sym_unary_expression] = STATE(6583),
    [sym_binary_expression] = STATE(6583),
    [sym_between_operator] = STATE(6583),
    [sym_casewhen_expression] = STATE(6583),
    [sym_cast_expression] = STATE(6583),
    [sym_argument_reference] = STATE(6583),
    [aux_sym_identifier_repeat1] = STATE(13302),
    [sym__unquoted_identifier] = ACTIONS(491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(493),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(495),
    [aux_sym__keyword_case_token1] = ACTIONS(497),
    [aux_sym__keyword_cast_token1] = ACTIONS(499),
    [aux_sym__keyword_cast_token2] = ACTIONS(499),
    [aux_sym__keyword_date_token1] = ACTIONS(501),
    [aux_sym__keyword_datetime_token1] = ACTIONS(501),
    [aux_sym__keyword_time_token1] = ACTIONS(501),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(503),
    [aux_sym_drop_notnull_token1] = ACTIONS(505),
    [aux_sym_function_call_token2] = ACTIONS(507),
    [aux_sym_unnest_operator_token1] = ACTIONS(1045),
    [aux_sym_TRUE_token1] = ACTIONS(511),
    [aux_sym_FALSE_token1] = ACTIONS(513),
    [sym__integer] = ACTIONS(515),
    [aux_sym__float_token1] = ACTIONS(517),
    [aux_sym__float_token2] = ACTIONS(515),
    [aux_sym__float_token3] = ACTIONS(517),
    [aux_sym_numeric_token1] = ACTIONS(519),
    [aux_sym_numeric_token2] = ACTIONS(519),
    [aux_sym_numeric_token3] = ACTIONS(519),
    [aux_sym_numeric_token4] = ACTIONS(519),
    [aux_sym_interval_token1] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(523),
    [aux_sym_json_token1] = ACTIONS(525),
    [sym_system_variable] = ACTIONS(527),
    [sym__named_query_parameter] = ACTIONS(529),
    [sym__positional_query_parameter] = ACTIONS(531),
    [sym__quoted_identifier] = ACTIONS(533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_operator_compare] = ACTIONS(539),
    [anon_sym_DOLLAR] = ACTIONS(541),
    [sym__string_start] = ACTIONS(543),
  },
  [1411] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16298),
    [sym__keyword_case] = STATE(370),
    [sym__keyword_not] = STATE(1409),
    [sym__keyword_cast] = STATE(19281),
    [sym__keyword_date] = STATE(5984),
    [sym__keyword_datetime] = STATE(5984),
    [sym__keyword_time] = STATE(5984),
    [sym__keyword_timestamp] = STATE(5984),
    [sym_select_subexpression] = STATE(6583),
    [sym_function_call] = STATE(6583),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(6583),
    [sym__literal] = STATE(6583),
    [sym_NULL] = STATE(6583),
    [sym_TRUE] = STATE(6583),
    [sym_FALSE] = STATE(6583),
    [sym__float] = STATE(6582),
    [sym_numeric] = STATE(6582),
    [sym__number] = STATE(6582),
    [sym_interval] = STATE(6583),
    [sym_range] = STATE(6583),
    [sym_time] = STATE(6583),
    [sym_number] = STATE(6583),
    [sym_json] = STATE(6583),
    [sym_query_parameter] = STATE(6583),
    [sym__type_chrono] = STATE(5709),
    [sym__type_struct] = STATE(19051),
    [sym__type_array] = STATE(18379),
    [sym_array] = STATE(6583),
    [sym_struct] = STATE(6583),
    [sym__identifier] = STATE(5940),
    [sym__dotted_identifier] = STATE(13302),
    [sym_identifier] = STATE(9146),
    [sym_string] = STATE(6583),
    [sym__expression] = STATE(6628),
    [sym__parenthesized_expression] = STATE(6583),
    [sym_element_access] = STATE(6583),
    [sym_field_access] = STATE(6583),
    [sym_unary_expression] = STATE(6583),
    [sym_binary_expression] = STATE(6583),
    [sym_between_operator] = STATE(6583),
    [sym_casewhen_expression] = STATE(6583),
    [sym_cast_expression] = STATE(6583),
    [sym_argument_reference] = STATE(6583),
    [aux_sym_identifier_repeat1] = STATE(13302),
    [sym__unquoted_identifier] = ACTIONS(491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(493),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(495),
    [aux_sym__keyword_case_token1] = ACTIONS(497),
    [aux_sym__keyword_cast_token1] = ACTIONS(499),
    [aux_sym__keyword_cast_token2] = ACTIONS(499),
    [aux_sym__keyword_date_token1] = ACTIONS(501),
    [aux_sym__keyword_datetime_token1] = ACTIONS(501),
    [aux_sym__keyword_time_token1] = ACTIONS(501),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(503),
    [aux_sym_drop_notnull_token1] = ACTIONS(505),
    [aux_sym_function_call_token2] = ACTIONS(507),
    [aux_sym_unnest_operator_token1] = ACTIONS(1045),
    [aux_sym_TRUE_token1] = ACTIONS(511),
    [aux_sym_FALSE_token1] = ACTIONS(513),
    [sym__integer] = ACTIONS(515),
    [aux_sym__float_token1] = ACTIONS(517),
    [aux_sym__float_token2] = ACTIONS(515),
    [aux_sym__float_token3] = ACTIONS(517),
    [aux_sym_numeric_token1] = ACTIONS(519),
    [aux_sym_numeric_token2] = ACTIONS(519),
    [aux_sym_numeric_token3] = ACTIONS(519),
    [aux_sym_numeric_token4] = ACTIONS(519),
    [aux_sym_interval_token1] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(523),
    [aux_sym_json_token1] = ACTIONS(525),
    [sym_system_variable] = ACTIONS(527),
    [sym__named_query_parameter] = ACTIONS(529),
    [sym__positional_query_parameter] = ACTIONS(531),
    [sym__quoted_identifier] = ACTIONS(533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_operator_compare] = ACTIONS(539),
    [anon_sym_DOLLAR] = ACTIONS(541),
    [sym__string_start] = ACTIONS(543),
  },
  [1412] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16298),
    [sym__keyword_case] = STATE(370),
    [sym__keyword_not] = STATE(1409),
    [sym__keyword_cast] = STATE(19281),
    [sym__keyword_date] = STATE(5984),
    [sym__keyword_datetime] = STATE(5984),
    [sym__keyword_time] = STATE(5984),
    [sym__keyword_timestamp] = STATE(5984),
    [sym_select_subexpression] = STATE(6583),
    [sym_function_call] = STATE(6583),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(6583),
    [sym__literal] = STATE(6583),
    [sym_NULL] = STATE(6583),
    [sym_TRUE] = STATE(6583),
    [sym_FALSE] = STATE(6583),
    [sym__float] = STATE(6582),
    [sym_numeric] = STATE(6582),
    [sym__number] = STATE(6582),
    [sym_interval] = STATE(6583),
    [sym_range] = STATE(6583),
    [sym_time] = STATE(6583),
    [sym_number] = STATE(6583),
    [sym_json] = STATE(6583),
    [sym_query_parameter] = STATE(6583),
    [sym__type_chrono] = STATE(5709),
    [sym__type_struct] = STATE(19051),
    [sym__type_array] = STATE(18379),
    [sym_array] = STATE(6583),
    [sym_struct] = STATE(6583),
    [sym__identifier] = STATE(5940),
    [sym__dotted_identifier] = STATE(13302),
    [sym_identifier] = STATE(9146),
    [sym_string] = STATE(6583),
    [sym__expression] = STATE(6605),
    [sym__parenthesized_expression] = STATE(6583),
    [sym_element_access] = STATE(6583),
    [sym_field_access] = STATE(6583),
    [sym_unary_expression] = STATE(6583),
    [sym_binary_expression] = STATE(6583),
    [sym_between_operator] = STATE(6583),
    [sym_casewhen_expression] = STATE(6583),
    [sym_cast_expression] = STATE(6583),
    [sym_argument_reference] = STATE(6583),
    [aux_sym_identifier_repeat1] = STATE(13302),
    [sym__unquoted_identifier] = ACTIONS(491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(493),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(495),
    [aux_sym__keyword_case_token1] = ACTIONS(497),
    [aux_sym__keyword_cast_token1] = ACTIONS(499),
    [aux_sym__keyword_cast_token2] = ACTIONS(499),
    [aux_sym__keyword_date_token1] = ACTIONS(501),
    [aux_sym__keyword_datetime_token1] = ACTIONS(501),
    [aux_sym__keyword_time_token1] = ACTIONS(501),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(503),
    [aux_sym_drop_notnull_token1] = ACTIONS(505),
    [aux_sym_function_call_token2] = ACTIONS(507),
    [aux_sym_unnest_operator_token1] = ACTIONS(1045),
    [aux_sym_TRUE_token1] = ACTIONS(511),
    [aux_sym_FALSE_token1] = ACTIONS(513),
    [sym__integer] = ACTIONS(515),
    [aux_sym__float_token1] = ACTIONS(517),
    [aux_sym__float_token2] = ACTIONS(515),
    [aux_sym__float_token3] = ACTIONS(517),
    [aux_sym_numeric_token1] = ACTIONS(519),
    [aux_sym_numeric_token2] = ACTIONS(519),
    [aux_sym_numeric_token3] = ACTIONS(519),
    [aux_sym_numeric_token4] = ACTIONS(519),
    [aux_sym_interval_token1] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(523),
    [aux_sym_json_token1] = ACTIONS(525),
    [sym_system_variable] = ACTIONS(527),
    [sym__named_query_parameter] = ACTIONS(529),
    [sym__positional_query_parameter] = ACTIONS(531),
    [sym__quoted_identifier] = ACTIONS(533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_operator_compare] = ACTIONS(539),
    [anon_sym_DOLLAR] = ACTIONS(541),
    [sym__string_start] = ACTIONS(543),
  },
  [1413] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16298),
    [sym__keyword_case] = STATE(370),
    [sym__keyword_not] = STATE(1409),
    [sym__keyword_cast] = STATE(19281),
    [sym__keyword_date] = STATE(5984),
    [sym__keyword_datetime] = STATE(5984),
    [sym__keyword_time] = STATE(5984),
    [sym__keyword_timestamp] = STATE(5984),
    [sym_select_subexpression] = STATE(6583),
    [sym_function_call] = STATE(6583),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(6583),
    [sym__literal] = STATE(6583),
    [sym_NULL] = STATE(6583),
    [sym_TRUE] = STATE(6583),
    [sym_FALSE] = STATE(6583),
    [sym__float] = STATE(6582),
    [sym_numeric] = STATE(6582),
    [sym__number] = STATE(6582),
    [sym_interval] = STATE(6583),
    [sym_range] = STATE(6583),
    [sym_time] = STATE(6583),
    [sym_number] = STATE(6583),
    [sym_json] = STATE(6583),
    [sym_query_parameter] = STATE(6583),
    [sym__type_chrono] = STATE(5709),
    [sym__type_struct] = STATE(19051),
    [sym__type_array] = STATE(18379),
    [sym_array] = STATE(6583),
    [sym_struct] = STATE(6583),
    [sym__identifier] = STATE(5940),
    [sym__dotted_identifier] = STATE(13302),
    [sym_identifier] = STATE(9146),
    [sym_string] = STATE(6583),
    [sym__expression] = STATE(6627),
    [sym__parenthesized_expression] = STATE(6583),
    [sym_element_access] = STATE(6583),
    [sym_field_access] = STATE(6583),
    [sym_unary_expression] = STATE(6583),
    [sym_binary_expression] = STATE(6583),
    [sym_between_operator] = STATE(6583),
    [sym_casewhen_expression] = STATE(6583),
    [sym_cast_expression] = STATE(6583),
    [sym_argument_reference] = STATE(6583),
    [aux_sym_identifier_repeat1] = STATE(13302),
    [sym__unquoted_identifier] = ACTIONS(491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(493),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(495),
    [aux_sym__keyword_case_token1] = ACTIONS(497),
    [aux_sym__keyword_cast_token1] = ACTIONS(499),
    [aux_sym__keyword_cast_token2] = ACTIONS(499),
    [aux_sym__keyword_date_token1] = ACTIONS(501),
    [aux_sym__keyword_datetime_token1] = ACTIONS(501),
    [aux_sym__keyword_time_token1] = ACTIONS(501),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(503),
    [aux_sym_drop_notnull_token1] = ACTIONS(505),
    [aux_sym_function_call_token2] = ACTIONS(507),
    [aux_sym_unnest_operator_token1] = ACTIONS(1045),
    [aux_sym_TRUE_token1] = ACTIONS(511),
    [aux_sym_FALSE_token1] = ACTIONS(513),
    [sym__integer] = ACTIONS(515),
    [aux_sym__float_token1] = ACTIONS(517),
    [aux_sym__float_token2] = ACTIONS(515),
    [aux_sym__float_token3] = ACTIONS(517),
    [aux_sym_numeric_token1] = ACTIONS(519),
    [aux_sym_numeric_token2] = ACTIONS(519),
    [aux_sym_numeric_token3] = ACTIONS(519),
    [aux_sym_numeric_token4] = ACTIONS(519),
    [aux_sym_interval_token1] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(523),
    [aux_sym_json_token1] = ACTIONS(525),
    [sym_system_variable] = ACTIONS(527),
    [sym__named_query_parameter] = ACTIONS(529),
    [sym__positional_query_parameter] = ACTIONS(531),
    [sym__quoted_identifier] = ACTIONS(533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_operator_compare] = ACTIONS(539),
    [anon_sym_DOLLAR] = ACTIONS(541),
    [sym__string_start] = ACTIONS(543),
  },
  [1414] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16298),
    [sym__keyword_case] = STATE(370),
    [sym__keyword_not] = STATE(1409),
    [sym__keyword_cast] = STATE(19281),
    [sym__keyword_date] = STATE(5984),
    [sym__keyword_datetime] = STATE(5984),
    [sym__keyword_time] = STATE(5984),
    [sym__keyword_timestamp] = STATE(5984),
    [sym_select_subexpression] = STATE(6583),
    [sym_function_call] = STATE(6583),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(6583),
    [sym__literal] = STATE(6583),
    [sym_NULL] = STATE(6583),
    [sym_TRUE] = STATE(6583),
    [sym_FALSE] = STATE(6583),
    [sym__float] = STATE(6582),
    [sym_numeric] = STATE(6582),
    [sym__number] = STATE(6582),
    [sym_interval] = STATE(6583),
    [sym_range] = STATE(6583),
    [sym_time] = STATE(6583),
    [sym_number] = STATE(6583),
    [sym_json] = STATE(6583),
    [sym_query_parameter] = STATE(6583),
    [sym__type_chrono] = STATE(5709),
    [sym__type_struct] = STATE(19051),
    [sym__type_array] = STATE(18379),
    [sym_array] = STATE(6583),
    [sym_struct] = STATE(6583),
    [sym__identifier] = STATE(5940),
    [sym__dotted_identifier] = STATE(13302),
    [sym_identifier] = STATE(9146),
    [sym_string] = STATE(6583),
    [sym__expression] = STATE(6626),
    [sym__parenthesized_expression] = STATE(6583),
    [sym_element_access] = STATE(6583),
    [sym_field_access] = STATE(6583),
    [sym_unary_expression] = STATE(6583),
    [sym_binary_expression] = STATE(6583),
    [sym_between_operator] = STATE(6583),
    [sym_casewhen_expression] = STATE(6583),
    [sym_cast_expression] = STATE(6583),
    [sym_argument_reference] = STATE(6583),
    [aux_sym_identifier_repeat1] = STATE(13302),
    [sym__unquoted_identifier] = ACTIONS(491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(493),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(495),
    [aux_sym__keyword_case_token1] = ACTIONS(497),
    [aux_sym__keyword_cast_token1] = ACTIONS(499),
    [aux_sym__keyword_cast_token2] = ACTIONS(499),
    [aux_sym__keyword_date_token1] = ACTIONS(501),
    [aux_sym__keyword_datetime_token1] = ACTIONS(501),
    [aux_sym__keyword_time_token1] = ACTIONS(501),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(503),
    [aux_sym_drop_notnull_token1] = ACTIONS(505),
    [aux_sym_function_call_token2] = ACTIONS(507),
    [aux_sym_unnest_operator_token1] = ACTIONS(1045),
    [aux_sym_TRUE_token1] = ACTIONS(511),
    [aux_sym_FALSE_token1] = ACTIONS(513),
    [sym__integer] = ACTIONS(515),
    [aux_sym__float_token1] = ACTIONS(517),
    [aux_sym__float_token2] = ACTIONS(515),
    [aux_sym__float_token3] = ACTIONS(517),
    [aux_sym_numeric_token1] = ACTIONS(519),
    [aux_sym_numeric_token2] = ACTIONS(519),
    [aux_sym_numeric_token3] = ACTIONS(519),
    [aux_sym_numeric_token4] = ACTIONS(519),
    [aux_sym_interval_token1] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(523),
    [aux_sym_json_token1] = ACTIONS(525),
    [sym_system_variable] = ACTIONS(527),
    [sym__named_query_parameter] = ACTIONS(529),
    [sym__positional_query_parameter] = ACTIONS(531),
    [sym__quoted_identifier] = ACTIONS(533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_operator_compare] = ACTIONS(539),
    [anon_sym_DOLLAR] = ACTIONS(541),
    [sym__string_start] = ACTIONS(543),
  },
  [1415] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16298),
    [sym__keyword_case] = STATE(370),
    [sym__keyword_not] = STATE(1409),
    [sym__keyword_cast] = STATE(19281),
    [sym__keyword_date] = STATE(5984),
    [sym__keyword_datetime] = STATE(5984),
    [sym__keyword_time] = STATE(5984),
    [sym__keyword_timestamp] = STATE(5984),
    [sym_select_subexpression] = STATE(6583),
    [sym_function_call] = STATE(6583),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(6583),
    [sym__literal] = STATE(6583),
    [sym_NULL] = STATE(6583),
    [sym_TRUE] = STATE(6583),
    [sym_FALSE] = STATE(6583),
    [sym__float] = STATE(6582),
    [sym_numeric] = STATE(6582),
    [sym__number] = STATE(6582),
    [sym_interval] = STATE(6583),
    [sym_range] = STATE(6583),
    [sym_time] = STATE(6583),
    [sym_number] = STATE(6583),
    [sym_json] = STATE(6583),
    [sym_query_parameter] = STATE(6583),
    [sym__type_chrono] = STATE(5709),
    [sym__type_struct] = STATE(19051),
    [sym__type_array] = STATE(18379),
    [sym_array] = STATE(6583),
    [sym_struct] = STATE(6583),
    [sym__identifier] = STATE(5940),
    [sym__dotted_identifier] = STATE(13302),
    [sym_identifier] = STATE(9146),
    [sym_string] = STATE(6583),
    [sym__expression] = STATE(6625),
    [sym__parenthesized_expression] = STATE(6583),
    [sym_element_access] = STATE(6583),
    [sym_field_access] = STATE(6583),
    [sym_unary_expression] = STATE(6583),
    [sym_binary_expression] = STATE(6583),
    [sym_between_operator] = STATE(6583),
    [sym_casewhen_expression] = STATE(6583),
    [sym_cast_expression] = STATE(6583),
    [sym_argument_reference] = STATE(6583),
    [aux_sym_identifier_repeat1] = STATE(13302),
    [sym__unquoted_identifier] = ACTIONS(491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(493),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(495),
    [aux_sym__keyword_case_token1] = ACTIONS(497),
    [aux_sym__keyword_cast_token1] = ACTIONS(499),
    [aux_sym__keyword_cast_token2] = ACTIONS(499),
    [aux_sym__keyword_date_token1] = ACTIONS(501),
    [aux_sym__keyword_datetime_token1] = ACTIONS(501),
    [aux_sym__keyword_time_token1] = ACTIONS(501),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(503),
    [aux_sym_drop_notnull_token1] = ACTIONS(505),
    [aux_sym_function_call_token2] = ACTIONS(507),
    [aux_sym_unnest_operator_token1] = ACTIONS(1045),
    [aux_sym_TRUE_token1] = ACTIONS(511),
    [aux_sym_FALSE_token1] = ACTIONS(513),
    [sym__integer] = ACTIONS(515),
    [aux_sym__float_token1] = ACTIONS(517),
    [aux_sym__float_token2] = ACTIONS(515),
    [aux_sym__float_token3] = ACTIONS(517),
    [aux_sym_numeric_token1] = ACTIONS(519),
    [aux_sym_numeric_token2] = ACTIONS(519),
    [aux_sym_numeric_token3] = ACTIONS(519),
    [aux_sym_numeric_token4] = ACTIONS(519),
    [aux_sym_interval_token1] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(523),
    [aux_sym_json_token1] = ACTIONS(525),
    [sym_system_variable] = ACTIONS(527),
    [sym__named_query_parameter] = ACTIONS(529),
    [sym__positional_query_parameter] = ACTIONS(531),
    [sym__quoted_identifier] = ACTIONS(533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_operator_compare] = ACTIONS(539),
    [anon_sym_DOLLAR] = ACTIONS(541),
    [sym__string_start] = ACTIONS(543),
  },
  [1416] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16298),
    [sym__keyword_case] = STATE(370),
    [sym__keyword_not] = STATE(1409),
    [sym__keyword_cast] = STATE(19281),
    [sym__keyword_date] = STATE(5984),
    [sym__keyword_datetime] = STATE(5984),
    [sym__keyword_time] = STATE(5984),
    [sym__keyword_timestamp] = STATE(5984),
    [sym_select_subexpression] = STATE(6583),
    [sym_function_call] = STATE(6583),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(6583),
    [sym__literal] = STATE(6583),
    [sym_NULL] = STATE(6583),
    [sym_TRUE] = STATE(6583),
    [sym_FALSE] = STATE(6583),
    [sym__float] = STATE(6582),
    [sym_numeric] = STATE(6582),
    [sym__number] = STATE(6582),
    [sym_interval] = STATE(6583),
    [sym_range] = STATE(6583),
    [sym_time] = STATE(6583),
    [sym_number] = STATE(6583),
    [sym_json] = STATE(6583),
    [sym_query_parameter] = STATE(6583),
    [sym__type_chrono] = STATE(5709),
    [sym__type_struct] = STATE(19051),
    [sym__type_array] = STATE(18379),
    [sym_array] = STATE(6583),
    [sym_struct] = STATE(6583),
    [sym__identifier] = STATE(5940),
    [sym__dotted_identifier] = STATE(13302),
    [sym_identifier] = STATE(9146),
    [sym_string] = STATE(6583),
    [sym__expression] = STATE(6622),
    [sym__parenthesized_expression] = STATE(6583),
    [sym_element_access] = STATE(6583),
    [sym_field_access] = STATE(6583),
    [sym_unary_expression] = STATE(6583),
    [sym_binary_expression] = STATE(6583),
    [sym_between_operator] = STATE(6583),
    [sym_casewhen_expression] = STATE(6583),
    [sym_cast_expression] = STATE(6583),
    [sym_argument_reference] = STATE(6583),
    [aux_sym_identifier_repeat1] = STATE(13302),
    [sym__unquoted_identifier] = ACTIONS(491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(493),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(495),
    [aux_sym__keyword_case_token1] = ACTIONS(497),
    [aux_sym__keyword_cast_token1] = ACTIONS(499),
    [aux_sym__keyword_cast_token2] = ACTIONS(499),
    [aux_sym__keyword_date_token1] = ACTIONS(501),
    [aux_sym__keyword_datetime_token1] = ACTIONS(501),
    [aux_sym__keyword_time_token1] = ACTIONS(501),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(503),
    [aux_sym_drop_notnull_token1] = ACTIONS(505),
    [aux_sym_function_call_token2] = ACTIONS(507),
    [aux_sym_unnest_operator_token1] = ACTIONS(1045),
    [aux_sym_TRUE_token1] = ACTIONS(511),
    [aux_sym_FALSE_token1] = ACTIONS(513),
    [sym__integer] = ACTIONS(515),
    [aux_sym__float_token1] = ACTIONS(517),
    [aux_sym__float_token2] = ACTIONS(515),
    [aux_sym__float_token3] = ACTIONS(517),
    [aux_sym_numeric_token1] = ACTIONS(519),
    [aux_sym_numeric_token2] = ACTIONS(519),
    [aux_sym_numeric_token3] = ACTIONS(519),
    [aux_sym_numeric_token4] = ACTIONS(519),
    [aux_sym_interval_token1] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(523),
    [aux_sym_json_token1] = ACTIONS(525),
    [sym_system_variable] = ACTIONS(527),
    [sym__named_query_parameter] = ACTIONS(529),
    [sym__positional_query_parameter] = ACTIONS(531),
    [sym__quoted_identifier] = ACTIONS(533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_operator_compare] = ACTIONS(539),
    [anon_sym_DOLLAR] = ACTIONS(541),
    [sym__string_start] = ACTIONS(543),
  },
  [1417] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16298),
    [sym__keyword_case] = STATE(370),
    [sym__keyword_not] = STATE(1409),
    [sym__keyword_cast] = STATE(19281),
    [sym__keyword_date] = STATE(5984),
    [sym__keyword_datetime] = STATE(5984),
    [sym__keyword_time] = STATE(5984),
    [sym__keyword_timestamp] = STATE(5984),
    [sym_select_subexpression] = STATE(6583),
    [sym_function_call] = STATE(6583),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(6583),
    [sym__literal] = STATE(6583),
    [sym_NULL] = STATE(6583),
    [sym_TRUE] = STATE(6583),
    [sym_FALSE] = STATE(6583),
    [sym__float] = STATE(6582),
    [sym_numeric] = STATE(6582),
    [sym__number] = STATE(6582),
    [sym_interval] = STATE(6583),
    [sym_range] = STATE(6583),
    [sym_time] = STATE(6583),
    [sym_number] = STATE(6583),
    [sym_json] = STATE(6583),
    [sym_query_parameter] = STATE(6583),
    [sym__type_chrono] = STATE(5709),
    [sym__type_struct] = STATE(19051),
    [sym__type_array] = STATE(18379),
    [sym_array] = STATE(6583),
    [sym_struct] = STATE(6583),
    [sym__identifier] = STATE(5940),
    [sym__dotted_identifier] = STATE(13302),
    [sym_identifier] = STATE(9146),
    [sym_string] = STATE(6583),
    [sym__expression] = STATE(6620),
    [sym__parenthesized_expression] = STATE(6583),
    [sym_element_access] = STATE(6583),
    [sym_field_access] = STATE(6583),
    [sym_unary_expression] = STATE(6583),
    [sym_binary_expression] = STATE(6583),
    [sym_between_operator] = STATE(6583),
    [sym_casewhen_expression] = STATE(6583),
    [sym_cast_expression] = STATE(6583),
    [sym_argument_reference] = STATE(6583),
    [aux_sym_identifier_repeat1] = STATE(13302),
    [sym__unquoted_identifier] = ACTIONS(491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(493),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(495),
    [aux_sym__keyword_case_token1] = ACTIONS(497),
    [aux_sym__keyword_cast_token1] = ACTIONS(499),
    [aux_sym__keyword_cast_token2] = ACTIONS(499),
    [aux_sym__keyword_date_token1] = ACTIONS(501),
    [aux_sym__keyword_datetime_token1] = ACTIONS(501),
    [aux_sym__keyword_time_token1] = ACTIONS(501),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(503),
    [aux_sym_drop_notnull_token1] = ACTIONS(505),
    [aux_sym_function_call_token2] = ACTIONS(507),
    [aux_sym_unnest_operator_token1] = ACTIONS(1045),
    [aux_sym_TRUE_token1] = ACTIONS(511),
    [aux_sym_FALSE_token1] = ACTIONS(513),
    [sym__integer] = ACTIONS(515),
    [aux_sym__float_token1] = ACTIONS(517),
    [aux_sym__float_token2] = ACTIONS(515),
    [aux_sym__float_token3] = ACTIONS(517),
    [aux_sym_numeric_token1] = ACTIONS(519),
    [aux_sym_numeric_token2] = ACTIONS(519),
    [aux_sym_numeric_token3] = ACTIONS(519),
    [aux_sym_numeric_token4] = ACTIONS(519),
    [aux_sym_interval_token1] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(523),
    [aux_sym_json_token1] = ACTIONS(525),
    [sym_system_variable] = ACTIONS(527),
    [sym__named_query_parameter] = ACTIONS(529),
    [sym__positional_query_parameter] = ACTIONS(531),
    [sym__quoted_identifier] = ACTIONS(533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_operator_compare] = ACTIONS(539),
    [anon_sym_DOLLAR] = ACTIONS(541),
    [sym__string_start] = ACTIONS(543),
  },
  [1418] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16298),
    [sym__keyword_case] = STATE(370),
    [sym__keyword_not] = STATE(1409),
    [sym__keyword_cast] = STATE(19281),
    [sym__keyword_date] = STATE(5984),
    [sym__keyword_datetime] = STATE(5984),
    [sym__keyword_time] = STATE(5984),
    [sym__keyword_timestamp] = STATE(5984),
    [sym_select_subexpression] = STATE(6583),
    [sym_function_call] = STATE(6583),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(6583),
    [sym__literal] = STATE(6583),
    [sym_NULL] = STATE(6583),
    [sym_TRUE] = STATE(6583),
    [sym_FALSE] = STATE(6583),
    [sym__float] = STATE(6582),
    [sym_numeric] = STATE(6582),
    [sym__number] = STATE(6582),
    [sym_interval] = STATE(6583),
    [sym_range] = STATE(6583),
    [sym_time] = STATE(6583),
    [sym_number] = STATE(6583),
    [sym_json] = STATE(6583),
    [sym_query_parameter] = STATE(6583),
    [sym__type_chrono] = STATE(5709),
    [sym__type_struct] = STATE(19051),
    [sym__type_array] = STATE(18379),
    [sym_array] = STATE(6583),
    [sym_struct] = STATE(6583),
    [sym__identifier] = STATE(5940),
    [sym__dotted_identifier] = STATE(13302),
    [sym_identifier] = STATE(9146),
    [sym_string] = STATE(6583),
    [sym__expression] = STATE(6619),
    [sym__parenthesized_expression] = STATE(6583),
    [sym_element_access] = STATE(6583),
    [sym_field_access] = STATE(6583),
    [sym_unary_expression] = STATE(6583),
    [sym_binary_expression] = STATE(6583),
    [sym_between_operator] = STATE(6583),
    [sym_casewhen_expression] = STATE(6583),
    [sym_cast_expression] = STATE(6583),
    [sym_argument_reference] = STATE(6583),
    [aux_sym_identifier_repeat1] = STATE(13302),
    [sym__unquoted_identifier] = ACTIONS(491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(493),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(495),
    [aux_sym__keyword_case_token1] = ACTIONS(497),
    [aux_sym__keyword_cast_token1] = ACTIONS(499),
    [aux_sym__keyword_cast_token2] = ACTIONS(499),
    [aux_sym__keyword_date_token1] = ACTIONS(501),
    [aux_sym__keyword_datetime_token1] = ACTIONS(501),
    [aux_sym__keyword_time_token1] = ACTIONS(501),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(503),
    [aux_sym_drop_notnull_token1] = ACTIONS(505),
    [aux_sym_function_call_token2] = ACTIONS(507),
    [aux_sym_unnest_operator_token1] = ACTIONS(1045),
    [aux_sym_TRUE_token1] = ACTIONS(511),
    [aux_sym_FALSE_token1] = ACTIONS(513),
    [sym__integer] = ACTIONS(515),
    [aux_sym__float_token1] = ACTIONS(517),
    [aux_sym__float_token2] = ACTIONS(515),
    [aux_sym__float_token3] = ACTIONS(517),
    [aux_sym_numeric_token1] = ACTIONS(519),
    [aux_sym_numeric_token2] = ACTIONS(519),
    [aux_sym_numeric_token3] = ACTIONS(519),
    [aux_sym_numeric_token4] = ACTIONS(519),
    [aux_sym_interval_token1] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(523),
    [aux_sym_json_token1] = ACTIONS(525),
    [sym_system_variable] = ACTIONS(527),
    [sym__named_query_parameter] = ACTIONS(529),
    [sym__positional_query_parameter] = ACTIONS(531),
    [sym__quoted_identifier] = ACTIONS(533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_operator_compare] = ACTIONS(539),
    [anon_sym_DOLLAR] = ACTIONS(541),
    [sym__string_start] = ACTIONS(543),
  },
  [1419] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16298),
    [sym__keyword_case] = STATE(370),
    [sym__keyword_not] = STATE(1409),
    [sym__keyword_cast] = STATE(19281),
    [sym__keyword_date] = STATE(5984),
    [sym__keyword_datetime] = STATE(5984),
    [sym__keyword_time] = STATE(5984),
    [sym__keyword_timestamp] = STATE(5984),
    [sym_select_subexpression] = STATE(6583),
    [sym_function_call] = STATE(6583),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(6583),
    [sym__literal] = STATE(6583),
    [sym_NULL] = STATE(6583),
    [sym_TRUE] = STATE(6583),
    [sym_FALSE] = STATE(6583),
    [sym__float] = STATE(6582),
    [sym_numeric] = STATE(6582),
    [sym__number] = STATE(6582),
    [sym_interval] = STATE(6583),
    [sym_range] = STATE(6583),
    [sym_time] = STATE(6583),
    [sym_number] = STATE(6583),
    [sym_json] = STATE(6583),
    [sym_query_parameter] = STATE(6583),
    [sym__type_chrono] = STATE(5709),
    [sym__type_struct] = STATE(19051),
    [sym__type_array] = STATE(18379),
    [sym_array] = STATE(6583),
    [sym_struct] = STATE(6583),
    [sym__identifier] = STATE(5940),
    [sym__dotted_identifier] = STATE(13302),
    [sym_identifier] = STATE(9146),
    [sym_string] = STATE(6583),
    [sym__expression] = STATE(6617),
    [sym__parenthesized_expression] = STATE(6583),
    [sym_element_access] = STATE(6583),
    [sym_field_access] = STATE(6583),
    [sym_unary_expression] = STATE(6583),
    [sym_binary_expression] = STATE(6583),
    [sym_between_operator] = STATE(6583),
    [sym_casewhen_expression] = STATE(6583),
    [sym_cast_expression] = STATE(6583),
    [sym_argument_reference] = STATE(6583),
    [aux_sym_identifier_repeat1] = STATE(13302),
    [sym__unquoted_identifier] = ACTIONS(491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(493),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(495),
    [aux_sym__keyword_case_token1] = ACTIONS(497),
    [aux_sym__keyword_cast_token1] = ACTIONS(499),
    [aux_sym__keyword_cast_token2] = ACTIONS(499),
    [aux_sym__keyword_date_token1] = ACTIONS(501),
    [aux_sym__keyword_datetime_token1] = ACTIONS(501),
    [aux_sym__keyword_time_token1] = ACTIONS(501),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(503),
    [aux_sym_drop_notnull_token1] = ACTIONS(505),
    [aux_sym_function_call_token2] = ACTIONS(507),
    [aux_sym_unnest_operator_token1] = ACTIONS(1045),
    [aux_sym_TRUE_token1] = ACTIONS(511),
    [aux_sym_FALSE_token1] = ACTIONS(513),
    [sym__integer] = ACTIONS(515),
    [aux_sym__float_token1] = ACTIONS(517),
    [aux_sym__float_token2] = ACTIONS(515),
    [aux_sym__float_token3] = ACTIONS(517),
    [aux_sym_numeric_token1] = ACTIONS(519),
    [aux_sym_numeric_token2] = ACTIONS(519),
    [aux_sym_numeric_token3] = ACTIONS(519),
    [aux_sym_numeric_token4] = ACTIONS(519),
    [aux_sym_interval_token1] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(523),
    [aux_sym_json_token1] = ACTIONS(525),
    [sym_system_variable] = ACTIONS(527),
    [sym__named_query_parameter] = ACTIONS(529),
    [sym__positional_query_parameter] = ACTIONS(531),
    [sym__quoted_identifier] = ACTIONS(533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_operator_compare] = ACTIONS(539),
    [anon_sym_DOLLAR] = ACTIONS(541),
    [sym__string_start] = ACTIONS(543),
  },
  [1420] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16298),
    [sym__keyword_case] = STATE(370),
    [sym__keyword_not] = STATE(1409),
    [sym__keyword_cast] = STATE(19281),
    [sym__keyword_date] = STATE(5984),
    [sym__keyword_datetime] = STATE(5984),
    [sym__keyword_time] = STATE(5984),
    [sym__keyword_timestamp] = STATE(5984),
    [sym_select_subexpression] = STATE(6583),
    [sym_function_call] = STATE(6583),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(6583),
    [sym__literal] = STATE(6583),
    [sym_NULL] = STATE(6583),
    [sym_TRUE] = STATE(6583),
    [sym_FALSE] = STATE(6583),
    [sym__float] = STATE(6582),
    [sym_numeric] = STATE(6582),
    [sym__number] = STATE(6582),
    [sym_interval] = STATE(6583),
    [sym_range] = STATE(6583),
    [sym_time] = STATE(6583),
    [sym_number] = STATE(6583),
    [sym_json] = STATE(6583),
    [sym_query_parameter] = STATE(6583),
    [sym__type_chrono] = STATE(5709),
    [sym__type_struct] = STATE(19051),
    [sym__type_array] = STATE(18379),
    [sym_array] = STATE(6583),
    [sym_struct] = STATE(6583),
    [sym__identifier] = STATE(5940),
    [sym__dotted_identifier] = STATE(13302),
    [sym_identifier] = STATE(9146),
    [sym_string] = STATE(6583),
    [sym__expression] = STATE(6616),
    [sym__parenthesized_expression] = STATE(6583),
    [sym_element_access] = STATE(6583),
    [sym_field_access] = STATE(6583),
    [sym_unary_expression] = STATE(6583),
    [sym_binary_expression] = STATE(6583),
    [sym_between_operator] = STATE(6583),
    [sym_casewhen_expression] = STATE(6583),
    [sym_cast_expression] = STATE(6583),
    [sym_argument_reference] = STATE(6583),
    [aux_sym_identifier_repeat1] = STATE(13302),
    [sym__unquoted_identifier] = ACTIONS(491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(493),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(495),
    [aux_sym__keyword_case_token1] = ACTIONS(497),
    [aux_sym__keyword_cast_token1] = ACTIONS(499),
    [aux_sym__keyword_cast_token2] = ACTIONS(499),
    [aux_sym__keyword_date_token1] = ACTIONS(501),
    [aux_sym__keyword_datetime_token1] = ACTIONS(501),
    [aux_sym__keyword_time_token1] = ACTIONS(501),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(503),
    [aux_sym_drop_notnull_token1] = ACTIONS(505),
    [aux_sym_function_call_token2] = ACTIONS(507),
    [aux_sym_unnest_operator_token1] = ACTIONS(1045),
    [aux_sym_TRUE_token1] = ACTIONS(511),
    [aux_sym_FALSE_token1] = ACTIONS(513),
    [sym__integer] = ACTIONS(515),
    [aux_sym__float_token1] = ACTIONS(517),
    [aux_sym__float_token2] = ACTIONS(515),
    [aux_sym__float_token3] = ACTIONS(517),
    [aux_sym_numeric_token1] = ACTIONS(519),
    [aux_sym_numeric_token2] = ACTIONS(519),
    [aux_sym_numeric_token3] = ACTIONS(519),
    [aux_sym_numeric_token4] = ACTIONS(519),
    [aux_sym_interval_token1] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(523),
    [aux_sym_json_token1] = ACTIONS(525),
    [sym_system_variable] = ACTIONS(527),
    [sym__named_query_parameter] = ACTIONS(529),
    [sym__positional_query_parameter] = ACTIONS(531),
    [sym__quoted_identifier] = ACTIONS(533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_operator_compare] = ACTIONS(539),
    [anon_sym_DOLLAR] = ACTIONS(541),
    [sym__string_start] = ACTIONS(543),
  },
  [1421] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16298),
    [sym__keyword_case] = STATE(370),
    [sym__keyword_not] = STATE(1409),
    [sym__keyword_cast] = STATE(19281),
    [sym__keyword_date] = STATE(5984),
    [sym__keyword_datetime] = STATE(5984),
    [sym__keyword_time] = STATE(5984),
    [sym__keyword_timestamp] = STATE(5984),
    [sym_select_subexpression] = STATE(6583),
    [sym_function_call] = STATE(6583),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(6583),
    [sym__literal] = STATE(6583),
    [sym_NULL] = STATE(6583),
    [sym_TRUE] = STATE(6583),
    [sym_FALSE] = STATE(6583),
    [sym__float] = STATE(6582),
    [sym_numeric] = STATE(6582),
    [sym__number] = STATE(6582),
    [sym_interval] = STATE(6583),
    [sym_range] = STATE(6583),
    [sym_time] = STATE(6583),
    [sym_number] = STATE(6583),
    [sym_json] = STATE(6583),
    [sym_query_parameter] = STATE(6583),
    [sym__type_chrono] = STATE(5709),
    [sym__type_struct] = STATE(19051),
    [sym__type_array] = STATE(18379),
    [sym_array] = STATE(6583),
    [sym_struct] = STATE(6583),
    [sym__identifier] = STATE(5940),
    [sym__dotted_identifier] = STATE(13302),
    [sym_identifier] = STATE(9146),
    [sym_string] = STATE(6583),
    [sym__expression] = STATE(6615),
    [sym__parenthesized_expression] = STATE(6583),
    [sym_element_access] = STATE(6583),
    [sym_field_access] = STATE(6583),
    [sym_unary_expression] = STATE(6583),
    [sym_binary_expression] = STATE(6583),
    [sym_between_operator] = STATE(6583),
    [sym_casewhen_expression] = STATE(6583),
    [sym_cast_expression] = STATE(6583),
    [sym_argument_reference] = STATE(6583),
    [aux_sym_identifier_repeat1] = STATE(13302),
    [sym__unquoted_identifier] = ACTIONS(491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(493),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(495),
    [aux_sym__keyword_case_token1] = ACTIONS(497),
    [aux_sym__keyword_cast_token1] = ACTIONS(499),
    [aux_sym__keyword_cast_token2] = ACTIONS(499),
    [aux_sym__keyword_date_token1] = ACTIONS(501),
    [aux_sym__keyword_datetime_token1] = ACTIONS(501),
    [aux_sym__keyword_time_token1] = ACTIONS(501),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(503),
    [aux_sym_drop_notnull_token1] = ACTIONS(505),
    [aux_sym_function_call_token2] = ACTIONS(507),
    [aux_sym_unnest_operator_token1] = ACTIONS(1045),
    [aux_sym_TRUE_token1] = ACTIONS(511),
    [aux_sym_FALSE_token1] = ACTIONS(513),
    [sym__integer] = ACTIONS(515),
    [aux_sym__float_token1] = ACTIONS(517),
    [aux_sym__float_token2] = ACTIONS(515),
    [aux_sym__float_token3] = ACTIONS(517),
    [aux_sym_numeric_token1] = ACTIONS(519),
    [aux_sym_numeric_token2] = ACTIONS(519),
    [aux_sym_numeric_token3] = ACTIONS(519),
    [aux_sym_numeric_token4] = ACTIONS(519),
    [aux_sym_interval_token1] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(523),
    [aux_sym_json_token1] = ACTIONS(525),
    [sym_system_variable] = ACTIONS(527),
    [sym__named_query_parameter] = ACTIONS(529),
    [sym__positional_query_parameter] = ACTIONS(531),
    [sym__quoted_identifier] = ACTIONS(533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_operator_compare] = ACTIONS(539),
    [anon_sym_DOLLAR] = ACTIONS(541),
    [sym__string_start] = ACTIONS(543),
  },
  [1422] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16298),
    [sym__keyword_case] = STATE(370),
    [sym__keyword_not] = STATE(1409),
    [sym__keyword_cast] = STATE(19281),
    [sym__keyword_date] = STATE(5984),
    [sym__keyword_datetime] = STATE(5984),
    [sym__keyword_time] = STATE(5984),
    [sym__keyword_timestamp] = STATE(5984),
    [sym_select_subexpression] = STATE(6583),
    [sym_function_call] = STATE(6583),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(6583),
    [sym__literal] = STATE(6583),
    [sym_NULL] = STATE(6583),
    [sym_TRUE] = STATE(6583),
    [sym_FALSE] = STATE(6583),
    [sym__float] = STATE(6582),
    [sym_numeric] = STATE(6582),
    [sym__number] = STATE(6582),
    [sym_interval] = STATE(6583),
    [sym_range] = STATE(6583),
    [sym_time] = STATE(6583),
    [sym_number] = STATE(6583),
    [sym_json] = STATE(6583),
    [sym_query_parameter] = STATE(6583),
    [sym__type_chrono] = STATE(5709),
    [sym__type_struct] = STATE(19051),
    [sym__type_array] = STATE(18379),
    [sym_array] = STATE(6583),
    [sym_struct] = STATE(6583),
    [sym__identifier] = STATE(5940),
    [sym__dotted_identifier] = STATE(13302),
    [sym_identifier] = STATE(9146),
    [sym_string] = STATE(6583),
    [sym__expression] = STATE(6614),
    [sym__parenthesized_expression] = STATE(6583),
    [sym_element_access] = STATE(6583),
    [sym_field_access] = STATE(6583),
    [sym_unary_expression] = STATE(6583),
    [sym_binary_expression] = STATE(6583),
    [sym_between_operator] = STATE(6583),
    [sym_casewhen_expression] = STATE(6583),
    [sym_cast_expression] = STATE(6583),
    [sym_argument_reference] = STATE(6583),
    [aux_sym_identifier_repeat1] = STATE(13302),
    [sym__unquoted_identifier] = ACTIONS(491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(493),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(495),
    [aux_sym__keyword_case_token1] = ACTIONS(497),
    [aux_sym__keyword_cast_token1] = ACTIONS(499),
    [aux_sym__keyword_cast_token2] = ACTIONS(499),
    [aux_sym__keyword_date_token1] = ACTIONS(501),
    [aux_sym__keyword_datetime_token1] = ACTIONS(501),
    [aux_sym__keyword_time_token1] = ACTIONS(501),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(503),
    [aux_sym_drop_notnull_token1] = ACTIONS(505),
    [aux_sym_function_call_token2] = ACTIONS(507),
    [aux_sym_unnest_operator_token1] = ACTIONS(1045),
    [aux_sym_TRUE_token1] = ACTIONS(511),
    [aux_sym_FALSE_token1] = ACTIONS(513),
    [sym__integer] = ACTIONS(515),
    [aux_sym__float_token1] = ACTIONS(517),
    [aux_sym__float_token2] = ACTIONS(515),
    [aux_sym__float_token3] = ACTIONS(517),
    [aux_sym_numeric_token1] = ACTIONS(519),
    [aux_sym_numeric_token2] = ACTIONS(519),
    [aux_sym_numeric_token3] = ACTIONS(519),
    [aux_sym_numeric_token4] = ACTIONS(519),
    [aux_sym_interval_token1] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(523),
    [aux_sym_json_token1] = ACTIONS(525),
    [sym_system_variable] = ACTIONS(527),
    [sym__named_query_parameter] = ACTIONS(529),
    [sym__positional_query_parameter] = ACTIONS(531),
    [sym__quoted_identifier] = ACTIONS(533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_operator_compare] = ACTIONS(539),
    [anon_sym_DOLLAR] = ACTIONS(541),
    [sym__string_start] = ACTIONS(543),
  },
  [1423] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16298),
    [sym__keyword_case] = STATE(370),
    [sym__keyword_not] = STATE(1409),
    [sym__keyword_cast] = STATE(19281),
    [sym__keyword_date] = STATE(5984),
    [sym__keyword_datetime] = STATE(5984),
    [sym__keyword_time] = STATE(5984),
    [sym__keyword_timestamp] = STATE(5984),
    [sym_select_subexpression] = STATE(6583),
    [sym_function_call] = STATE(6583),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(6583),
    [sym__literal] = STATE(6583),
    [sym_NULL] = STATE(6583),
    [sym_TRUE] = STATE(6583),
    [sym_FALSE] = STATE(6583),
    [sym__float] = STATE(6582),
    [sym_numeric] = STATE(6582),
    [sym__number] = STATE(6582),
    [sym_interval] = STATE(6583),
    [sym_range] = STATE(6583),
    [sym_time] = STATE(6583),
    [sym_number] = STATE(6583),
    [sym_json] = STATE(6583),
    [sym_query_parameter] = STATE(6583),
    [sym__type_chrono] = STATE(5709),
    [sym__type_struct] = STATE(19051),
    [sym__type_array] = STATE(18379),
    [sym_array] = STATE(6583),
    [sym_struct] = STATE(6583),
    [sym__identifier] = STATE(5940),
    [sym__dotted_identifier] = STATE(13302),
    [sym_identifier] = STATE(9146),
    [sym_string] = STATE(6583),
    [sym__expression] = STATE(6613),
    [sym__parenthesized_expression] = STATE(6583),
    [sym_element_access] = STATE(6583),
    [sym_field_access] = STATE(6583),
    [sym_unary_expression] = STATE(6583),
    [sym_binary_expression] = STATE(6583),
    [sym_between_operator] = STATE(6583),
    [sym_casewhen_expression] = STATE(6583),
    [sym_cast_expression] = STATE(6583),
    [sym_argument_reference] = STATE(6583),
    [aux_sym_identifier_repeat1] = STATE(13302),
    [sym__unquoted_identifier] = ACTIONS(491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(493),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(495),
    [aux_sym__keyword_case_token1] = ACTIONS(497),
    [aux_sym__keyword_cast_token1] = ACTIONS(499),
    [aux_sym__keyword_cast_token2] = ACTIONS(499),
    [aux_sym__keyword_date_token1] = ACTIONS(501),
    [aux_sym__keyword_datetime_token1] = ACTIONS(501),
    [aux_sym__keyword_time_token1] = ACTIONS(501),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(503),
    [aux_sym_drop_notnull_token1] = ACTIONS(505),
    [aux_sym_function_call_token2] = ACTIONS(507),
    [aux_sym_unnest_operator_token1] = ACTIONS(1045),
    [aux_sym_TRUE_token1] = ACTIONS(511),
    [aux_sym_FALSE_token1] = ACTIONS(513),
    [sym__integer] = ACTIONS(515),
    [aux_sym__float_token1] = ACTIONS(517),
    [aux_sym__float_token2] = ACTIONS(515),
    [aux_sym__float_token3] = ACTIONS(517),
    [aux_sym_numeric_token1] = ACTIONS(519),
    [aux_sym_numeric_token2] = ACTIONS(519),
    [aux_sym_numeric_token3] = ACTIONS(519),
    [aux_sym_numeric_token4] = ACTIONS(519),
    [aux_sym_interval_token1] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(523),
    [aux_sym_json_token1] = ACTIONS(525),
    [sym_system_variable] = ACTIONS(527),
    [sym__named_query_parameter] = ACTIONS(529),
    [sym__positional_query_parameter] = ACTIONS(531),
    [sym__quoted_identifier] = ACTIONS(533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_operator_compare] = ACTIONS(539),
    [anon_sym_DOLLAR] = ACTIONS(541),
    [sym__string_start] = ACTIONS(543),
  },
  [1424] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16294),
    [sym__keyword_case] = STATE(376),
    [sym__keyword_not] = STATE(1425),
    [sym__keyword_cast] = STATE(19283),
    [sym__keyword_date] = STATE(4607),
    [sym__keyword_datetime] = STATE(4607),
    [sym__keyword_time] = STATE(4607),
    [sym__keyword_timestamp] = STATE(4607),
    [sym_select_subexpression] = STATE(4924),
    [sym_function_call] = STATE(4924),
    [sym_unnest_operator] = STATE(1962),
    [sym_unnest_clause] = STATE(4924),
    [sym__literal] = STATE(4924),
    [sym_NULL] = STATE(4924),
    [sym_TRUE] = STATE(4924),
    [sym_FALSE] = STATE(4924),
    [sym__float] = STATE(4921),
    [sym_numeric] = STATE(4921),
    [sym__number] = STATE(4921),
    [sym_interval] = STATE(4924),
    [sym_range] = STATE(4924),
    [sym_time] = STATE(4924),
    [sym_number] = STATE(4924),
    [sym_json] = STATE(4924),
    [sym_query_parameter] = STATE(4924),
    [sym__type_chrono] = STATE(4379),
    [sym__type_struct] = STATE(19058),
    [sym__type_array] = STATE(18414),
    [sym_array] = STATE(4924),
    [sym_struct] = STATE(4924),
    [sym__identifier] = STATE(4755),
    [sym__dotted_identifier] = STATE(13556),
    [sym_identifier] = STATE(4917),
    [sym_string] = STATE(4924),
    [sym__expression] = STATE(2987),
    [sym__parenthesized_expression] = STATE(4924),
    [sym_element_access] = STATE(4924),
    [sym_field_access] = STATE(4924),
    [sym_unary_expression] = STATE(4924),
    [sym_binary_expression] = STATE(4924),
    [sym_between_operator] = STATE(4924),
    [sym_casewhen_expression] = STATE(4924),
    [sym_cast_expression] = STATE(4924),
    [sym_argument_reference] = STATE(4924),
    [aux_sym_identifier_repeat1] = STATE(13556),
    [sym__unquoted_identifier] = ACTIONS(2604),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2606),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2608),
    [aux_sym__keyword_case_token1] = ACTIONS(2610),
    [aux_sym__keyword_cast_token1] = ACTIONS(2612),
    [aux_sym__keyword_cast_token2] = ACTIONS(2612),
    [aux_sym__keyword_date_token1] = ACTIONS(2614),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2614),
    [aux_sym__keyword_time_token1] = ACTIONS(2614),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2614),
    [anon_sym_LPAREN] = ACTIONS(2616),
    [aux_sym_drop_notnull_token1] = ACTIONS(2618),
    [aux_sym_function_call_token2] = ACTIONS(2620),
    [aux_sym_unnest_operator_token1] = ACTIONS(2622),
    [aux_sym_TRUE_token1] = ACTIONS(2624),
    [aux_sym_FALSE_token1] = ACTIONS(2626),
    [sym__integer] = ACTIONS(2628),
    [aux_sym__float_token1] = ACTIONS(2630),
    [aux_sym__float_token2] = ACTIONS(2628),
    [aux_sym__float_token3] = ACTIONS(2630),
    [aux_sym_numeric_token1] = ACTIONS(2632),
    [aux_sym_numeric_token2] = ACTIONS(2632),
    [aux_sym_numeric_token3] = ACTIONS(2632),
    [aux_sym_numeric_token4] = ACTIONS(2632),
    [aux_sym_interval_token1] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [aux_sym_json_token1] = ACTIONS(2638),
    [sym_system_variable] = ACTIONS(2640),
    [sym__named_query_parameter] = ACTIONS(2642),
    [sym__positional_query_parameter] = ACTIONS(2644),
    [sym__quoted_identifier] = ACTIONS(2646),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2648),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_operator_compare] = ACTIONS(2652),
    [anon_sym_DOLLAR] = ACTIONS(2654),
    [sym__string_start] = ACTIONS(2656),
  },
  [1425] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16294),
    [sym__keyword_case] = STATE(376),
    [sym__keyword_not] = STATE(1425),
    [sym__keyword_cast] = STATE(19283),
    [sym__keyword_date] = STATE(4607),
    [sym__keyword_datetime] = STATE(4607),
    [sym__keyword_time] = STATE(4607),
    [sym__keyword_timestamp] = STATE(4607),
    [sym_select_subexpression] = STATE(4924),
    [sym_function_call] = STATE(4924),
    [sym_unnest_operator] = STATE(1962),
    [sym_unnest_clause] = STATE(4924),
    [sym__literal] = STATE(4924),
    [sym_NULL] = STATE(4924),
    [sym_TRUE] = STATE(4924),
    [sym_FALSE] = STATE(4924),
    [sym__float] = STATE(4921),
    [sym_numeric] = STATE(4921),
    [sym__number] = STATE(4921),
    [sym_interval] = STATE(4924),
    [sym_range] = STATE(4924),
    [sym_time] = STATE(4924),
    [sym_number] = STATE(4924),
    [sym_json] = STATE(4924),
    [sym_query_parameter] = STATE(4924),
    [sym__type_chrono] = STATE(4379),
    [sym__type_struct] = STATE(19058),
    [sym__type_array] = STATE(18414),
    [sym_array] = STATE(4924),
    [sym_struct] = STATE(4924),
    [sym__identifier] = STATE(4755),
    [sym__dotted_identifier] = STATE(13556),
    [sym_identifier] = STATE(4917),
    [sym_string] = STATE(4924),
    [sym__expression] = STATE(2988),
    [sym__parenthesized_expression] = STATE(4924),
    [sym_element_access] = STATE(4924),
    [sym_field_access] = STATE(4924),
    [sym_unary_expression] = STATE(4924),
    [sym_binary_expression] = STATE(4924),
    [sym_between_operator] = STATE(4924),
    [sym_casewhen_expression] = STATE(4924),
    [sym_cast_expression] = STATE(4924),
    [sym_argument_reference] = STATE(4924),
    [aux_sym_identifier_repeat1] = STATE(13556),
    [sym__unquoted_identifier] = ACTIONS(2604),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2606),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2608),
    [aux_sym__keyword_case_token1] = ACTIONS(2610),
    [aux_sym__keyword_cast_token1] = ACTIONS(2612),
    [aux_sym__keyword_cast_token2] = ACTIONS(2612),
    [aux_sym__keyword_date_token1] = ACTIONS(2614),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2614),
    [aux_sym__keyword_time_token1] = ACTIONS(2614),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2614),
    [anon_sym_LPAREN] = ACTIONS(2616),
    [aux_sym_drop_notnull_token1] = ACTIONS(2618),
    [aux_sym_function_call_token2] = ACTIONS(2620),
    [aux_sym_unnest_operator_token1] = ACTIONS(2622),
    [aux_sym_TRUE_token1] = ACTIONS(2624),
    [aux_sym_FALSE_token1] = ACTIONS(2626),
    [sym__integer] = ACTIONS(2628),
    [aux_sym__float_token1] = ACTIONS(2630),
    [aux_sym__float_token2] = ACTIONS(2628),
    [aux_sym__float_token3] = ACTIONS(2630),
    [aux_sym_numeric_token1] = ACTIONS(2632),
    [aux_sym_numeric_token2] = ACTIONS(2632),
    [aux_sym_numeric_token3] = ACTIONS(2632),
    [aux_sym_numeric_token4] = ACTIONS(2632),
    [aux_sym_interval_token1] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [aux_sym_json_token1] = ACTIONS(2638),
    [sym_system_variable] = ACTIONS(2640),
    [sym__named_query_parameter] = ACTIONS(2642),
    [sym__positional_query_parameter] = ACTIONS(2644),
    [sym__quoted_identifier] = ACTIONS(2646),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2648),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_operator_compare] = ACTIONS(2652),
    [anon_sym_DOLLAR] = ACTIONS(2654),
    [sym__string_start] = ACTIONS(2656),
  },
  [1426] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16294),
    [sym__keyword_case] = STATE(376),
    [sym__keyword_not] = STATE(1425),
    [sym__keyword_cast] = STATE(19283),
    [sym__keyword_date] = STATE(4607),
    [sym__keyword_datetime] = STATE(4607),
    [sym__keyword_time] = STATE(4607),
    [sym__keyword_timestamp] = STATE(4607),
    [sym_select_subexpression] = STATE(4924),
    [sym_function_call] = STATE(4924),
    [sym_unnest_operator] = STATE(1962),
    [sym_unnest_clause] = STATE(4924),
    [sym__literal] = STATE(4924),
    [sym_NULL] = STATE(4924),
    [sym_TRUE] = STATE(4924),
    [sym_FALSE] = STATE(4924),
    [sym__float] = STATE(4921),
    [sym_numeric] = STATE(4921),
    [sym__number] = STATE(4921),
    [sym_interval] = STATE(4924),
    [sym_range] = STATE(4924),
    [sym_time] = STATE(4924),
    [sym_number] = STATE(4924),
    [sym_json] = STATE(4924),
    [sym_query_parameter] = STATE(4924),
    [sym__type_chrono] = STATE(4379),
    [sym__type_struct] = STATE(19058),
    [sym__type_array] = STATE(18414),
    [sym_array] = STATE(4924),
    [sym_struct] = STATE(4924),
    [sym__identifier] = STATE(4755),
    [sym__dotted_identifier] = STATE(13556),
    [sym_identifier] = STATE(4917),
    [sym_string] = STATE(4924),
    [sym__expression] = STATE(2986),
    [sym__parenthesized_expression] = STATE(4924),
    [sym_element_access] = STATE(4924),
    [sym_field_access] = STATE(4924),
    [sym_unary_expression] = STATE(4924),
    [sym_binary_expression] = STATE(4924),
    [sym_between_operator] = STATE(4924),
    [sym_casewhen_expression] = STATE(4924),
    [sym_cast_expression] = STATE(4924),
    [sym_argument_reference] = STATE(4924),
    [aux_sym_identifier_repeat1] = STATE(13556),
    [sym__unquoted_identifier] = ACTIONS(2604),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2606),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2608),
    [aux_sym__keyword_case_token1] = ACTIONS(2610),
    [aux_sym__keyword_cast_token1] = ACTIONS(2612),
    [aux_sym__keyword_cast_token2] = ACTIONS(2612),
    [aux_sym__keyword_date_token1] = ACTIONS(2614),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2614),
    [aux_sym__keyword_time_token1] = ACTIONS(2614),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2614),
    [anon_sym_LPAREN] = ACTIONS(2616),
    [aux_sym_drop_notnull_token1] = ACTIONS(2618),
    [aux_sym_function_call_token2] = ACTIONS(2620),
    [aux_sym_unnest_operator_token1] = ACTIONS(2622),
    [aux_sym_TRUE_token1] = ACTIONS(2624),
    [aux_sym_FALSE_token1] = ACTIONS(2626),
    [sym__integer] = ACTIONS(2628),
    [aux_sym__float_token1] = ACTIONS(2630),
    [aux_sym__float_token2] = ACTIONS(2628),
    [aux_sym__float_token3] = ACTIONS(2630),
    [aux_sym_numeric_token1] = ACTIONS(2632),
    [aux_sym_numeric_token2] = ACTIONS(2632),
    [aux_sym_numeric_token3] = ACTIONS(2632),
    [aux_sym_numeric_token4] = ACTIONS(2632),
    [aux_sym_interval_token1] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [aux_sym_json_token1] = ACTIONS(2638),
    [sym_system_variable] = ACTIONS(2640),
    [sym__named_query_parameter] = ACTIONS(2642),
    [sym__positional_query_parameter] = ACTIONS(2644),
    [sym__quoted_identifier] = ACTIONS(2646),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2648),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_operator_compare] = ACTIONS(2652),
    [anon_sym_DOLLAR] = ACTIONS(2654),
    [sym__string_start] = ACTIONS(2656),
  },
  [1427] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16294),
    [sym__keyword_case] = STATE(376),
    [sym__keyword_not] = STATE(1425),
    [sym__keyword_cast] = STATE(19283),
    [sym__keyword_date] = STATE(4607),
    [sym__keyword_datetime] = STATE(4607),
    [sym__keyword_time] = STATE(4607),
    [sym__keyword_timestamp] = STATE(4607),
    [sym_select_subexpression] = STATE(4924),
    [sym_function_call] = STATE(4924),
    [sym_unnest_operator] = STATE(1962),
    [sym_unnest_clause] = STATE(4924),
    [sym__literal] = STATE(4924),
    [sym_NULL] = STATE(4924),
    [sym_TRUE] = STATE(4924),
    [sym_FALSE] = STATE(4924),
    [sym__float] = STATE(4921),
    [sym_numeric] = STATE(4921),
    [sym__number] = STATE(4921),
    [sym_interval] = STATE(4924),
    [sym_range] = STATE(4924),
    [sym_time] = STATE(4924),
    [sym_number] = STATE(4924),
    [sym_json] = STATE(4924),
    [sym_query_parameter] = STATE(4924),
    [sym__type_chrono] = STATE(4379),
    [sym__type_struct] = STATE(19058),
    [sym__type_array] = STATE(18414),
    [sym_array] = STATE(4924),
    [sym_struct] = STATE(4924),
    [sym__identifier] = STATE(4755),
    [sym__dotted_identifier] = STATE(13556),
    [sym_identifier] = STATE(4917),
    [sym_string] = STATE(4924),
    [sym__expression] = STATE(2985),
    [sym__parenthesized_expression] = STATE(4924),
    [sym_element_access] = STATE(4924),
    [sym_field_access] = STATE(4924),
    [sym_unary_expression] = STATE(4924),
    [sym_binary_expression] = STATE(4924),
    [sym_between_operator] = STATE(4924),
    [sym_casewhen_expression] = STATE(4924),
    [sym_cast_expression] = STATE(4924),
    [sym_argument_reference] = STATE(4924),
    [aux_sym_identifier_repeat1] = STATE(13556),
    [sym__unquoted_identifier] = ACTIONS(2604),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2606),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2608),
    [aux_sym__keyword_case_token1] = ACTIONS(2610),
    [aux_sym__keyword_cast_token1] = ACTIONS(2612),
    [aux_sym__keyword_cast_token2] = ACTIONS(2612),
    [aux_sym__keyword_date_token1] = ACTIONS(2614),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2614),
    [aux_sym__keyword_time_token1] = ACTIONS(2614),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2614),
    [anon_sym_LPAREN] = ACTIONS(2616),
    [aux_sym_drop_notnull_token1] = ACTIONS(2618),
    [aux_sym_function_call_token2] = ACTIONS(2620),
    [aux_sym_unnest_operator_token1] = ACTIONS(2622),
    [aux_sym_TRUE_token1] = ACTIONS(2624),
    [aux_sym_FALSE_token1] = ACTIONS(2626),
    [sym__integer] = ACTIONS(2628),
    [aux_sym__float_token1] = ACTIONS(2630),
    [aux_sym__float_token2] = ACTIONS(2628),
    [aux_sym__float_token3] = ACTIONS(2630),
    [aux_sym_numeric_token1] = ACTIONS(2632),
    [aux_sym_numeric_token2] = ACTIONS(2632),
    [aux_sym_numeric_token3] = ACTIONS(2632),
    [aux_sym_numeric_token4] = ACTIONS(2632),
    [aux_sym_interval_token1] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [aux_sym_json_token1] = ACTIONS(2638),
    [sym_system_variable] = ACTIONS(2640),
    [sym__named_query_parameter] = ACTIONS(2642),
    [sym__positional_query_parameter] = ACTIONS(2644),
    [sym__quoted_identifier] = ACTIONS(2646),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2648),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_operator_compare] = ACTIONS(2652),
    [anon_sym_DOLLAR] = ACTIONS(2654),
    [sym__string_start] = ACTIONS(2656),
  },
  [1428] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16294),
    [sym__keyword_case] = STATE(376),
    [sym__keyword_not] = STATE(1425),
    [sym__keyword_cast] = STATE(19283),
    [sym__keyword_date] = STATE(4607),
    [sym__keyword_datetime] = STATE(4607),
    [sym__keyword_time] = STATE(4607),
    [sym__keyword_timestamp] = STATE(4607),
    [sym_select_subexpression] = STATE(4924),
    [sym_function_call] = STATE(4924),
    [sym_unnest_operator] = STATE(1962),
    [sym_unnest_clause] = STATE(4924),
    [sym__literal] = STATE(4924),
    [sym_NULL] = STATE(4924),
    [sym_TRUE] = STATE(4924),
    [sym_FALSE] = STATE(4924),
    [sym__float] = STATE(4921),
    [sym_numeric] = STATE(4921),
    [sym__number] = STATE(4921),
    [sym_interval] = STATE(4924),
    [sym_range] = STATE(4924),
    [sym_time] = STATE(4924),
    [sym_number] = STATE(4924),
    [sym_json] = STATE(4924),
    [sym_query_parameter] = STATE(4924),
    [sym__type_chrono] = STATE(4379),
    [sym__type_struct] = STATE(19058),
    [sym__type_array] = STATE(18414),
    [sym_array] = STATE(4924),
    [sym_struct] = STATE(4924),
    [sym__identifier] = STATE(4755),
    [sym__dotted_identifier] = STATE(13556),
    [sym_identifier] = STATE(4917),
    [sym_string] = STATE(4924),
    [sym__expression] = STATE(2972),
    [sym__parenthesized_expression] = STATE(4924),
    [sym_element_access] = STATE(4924),
    [sym_field_access] = STATE(4924),
    [sym_unary_expression] = STATE(4924),
    [sym_binary_expression] = STATE(4924),
    [sym_between_operator] = STATE(4924),
    [sym_casewhen_expression] = STATE(4924),
    [sym_cast_expression] = STATE(4924),
    [sym_argument_reference] = STATE(4924),
    [aux_sym_identifier_repeat1] = STATE(13556),
    [sym__unquoted_identifier] = ACTIONS(2604),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2606),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2608),
    [aux_sym__keyword_case_token1] = ACTIONS(2610),
    [aux_sym__keyword_cast_token1] = ACTIONS(2612),
    [aux_sym__keyword_cast_token2] = ACTIONS(2612),
    [aux_sym__keyword_date_token1] = ACTIONS(2614),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2614),
    [aux_sym__keyword_time_token1] = ACTIONS(2614),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2614),
    [anon_sym_LPAREN] = ACTIONS(2616),
    [aux_sym_drop_notnull_token1] = ACTIONS(2618),
    [aux_sym_function_call_token2] = ACTIONS(2620),
    [aux_sym_unnest_operator_token1] = ACTIONS(2622),
    [aux_sym_TRUE_token1] = ACTIONS(2624),
    [aux_sym_FALSE_token1] = ACTIONS(2626),
    [sym__integer] = ACTIONS(2628),
    [aux_sym__float_token1] = ACTIONS(2630),
    [aux_sym__float_token2] = ACTIONS(2628),
    [aux_sym__float_token3] = ACTIONS(2630),
    [aux_sym_numeric_token1] = ACTIONS(2632),
    [aux_sym_numeric_token2] = ACTIONS(2632),
    [aux_sym_numeric_token3] = ACTIONS(2632),
    [aux_sym_numeric_token4] = ACTIONS(2632),
    [aux_sym_interval_token1] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [aux_sym_json_token1] = ACTIONS(2638),
    [sym_system_variable] = ACTIONS(2640),
    [sym__named_query_parameter] = ACTIONS(2642),
    [sym__positional_query_parameter] = ACTIONS(2644),
    [sym__quoted_identifier] = ACTIONS(2646),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2648),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_operator_compare] = ACTIONS(2652),
    [anon_sym_DOLLAR] = ACTIONS(2654),
    [sym__string_start] = ACTIONS(2656),
  },
  [1429] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16294),
    [sym__keyword_case] = STATE(376),
    [sym__keyword_not] = STATE(1425),
    [sym__keyword_cast] = STATE(19283),
    [sym__keyword_date] = STATE(4607),
    [sym__keyword_datetime] = STATE(4607),
    [sym__keyword_time] = STATE(4607),
    [sym__keyword_timestamp] = STATE(4607),
    [sym_select_subexpression] = STATE(4924),
    [sym_function_call] = STATE(4924),
    [sym_unnest_operator] = STATE(1962),
    [sym_unnest_clause] = STATE(4924),
    [sym__literal] = STATE(4924),
    [sym_NULL] = STATE(4924),
    [sym_TRUE] = STATE(4924),
    [sym_FALSE] = STATE(4924),
    [sym__float] = STATE(4921),
    [sym_numeric] = STATE(4921),
    [sym__number] = STATE(4921),
    [sym_interval] = STATE(4924),
    [sym_range] = STATE(4924),
    [sym_time] = STATE(4924),
    [sym_number] = STATE(4924),
    [sym_json] = STATE(4924),
    [sym_query_parameter] = STATE(4924),
    [sym__type_chrono] = STATE(4379),
    [sym__type_struct] = STATE(19058),
    [sym__type_array] = STATE(18414),
    [sym_array] = STATE(4924),
    [sym_struct] = STATE(4924),
    [sym__identifier] = STATE(4755),
    [sym__dotted_identifier] = STATE(13556),
    [sym_identifier] = STATE(4917),
    [sym_string] = STATE(4924),
    [sym__expression] = STATE(2984),
    [sym__parenthesized_expression] = STATE(4924),
    [sym_element_access] = STATE(4924),
    [sym_field_access] = STATE(4924),
    [sym_unary_expression] = STATE(4924),
    [sym_binary_expression] = STATE(4924),
    [sym_between_operator] = STATE(4924),
    [sym_casewhen_expression] = STATE(4924),
    [sym_cast_expression] = STATE(4924),
    [sym_argument_reference] = STATE(4924),
    [aux_sym_identifier_repeat1] = STATE(13556),
    [sym__unquoted_identifier] = ACTIONS(2604),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2606),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2608),
    [aux_sym__keyword_case_token1] = ACTIONS(2610),
    [aux_sym__keyword_cast_token1] = ACTIONS(2612),
    [aux_sym__keyword_cast_token2] = ACTIONS(2612),
    [aux_sym__keyword_date_token1] = ACTIONS(2614),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2614),
    [aux_sym__keyword_time_token1] = ACTIONS(2614),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2614),
    [anon_sym_LPAREN] = ACTIONS(2616),
    [aux_sym_drop_notnull_token1] = ACTIONS(2618),
    [aux_sym_function_call_token2] = ACTIONS(2620),
    [aux_sym_unnest_operator_token1] = ACTIONS(2622),
    [aux_sym_TRUE_token1] = ACTIONS(2624),
    [aux_sym_FALSE_token1] = ACTIONS(2626),
    [sym__integer] = ACTIONS(2628),
    [aux_sym__float_token1] = ACTIONS(2630),
    [aux_sym__float_token2] = ACTIONS(2628),
    [aux_sym__float_token3] = ACTIONS(2630),
    [aux_sym_numeric_token1] = ACTIONS(2632),
    [aux_sym_numeric_token2] = ACTIONS(2632),
    [aux_sym_numeric_token3] = ACTIONS(2632),
    [aux_sym_numeric_token4] = ACTIONS(2632),
    [aux_sym_interval_token1] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [aux_sym_json_token1] = ACTIONS(2638),
    [sym_system_variable] = ACTIONS(2640),
    [sym__named_query_parameter] = ACTIONS(2642),
    [sym__positional_query_parameter] = ACTIONS(2644),
    [sym__quoted_identifier] = ACTIONS(2646),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2648),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_operator_compare] = ACTIONS(2652),
    [anon_sym_DOLLAR] = ACTIONS(2654),
    [sym__string_start] = ACTIONS(2656),
  },
  [1430] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16294),
    [sym__keyword_case] = STATE(376),
    [sym__keyword_not] = STATE(1425),
    [sym__keyword_cast] = STATE(19283),
    [sym__keyword_date] = STATE(4607),
    [sym__keyword_datetime] = STATE(4607),
    [sym__keyword_time] = STATE(4607),
    [sym__keyword_timestamp] = STATE(4607),
    [sym_select_subexpression] = STATE(4924),
    [sym_function_call] = STATE(4924),
    [sym_unnest_operator] = STATE(1962),
    [sym_unnest_clause] = STATE(4924),
    [sym__literal] = STATE(4924),
    [sym_NULL] = STATE(4924),
    [sym_TRUE] = STATE(4924),
    [sym_FALSE] = STATE(4924),
    [sym__float] = STATE(4921),
    [sym_numeric] = STATE(4921),
    [sym__number] = STATE(4921),
    [sym_interval] = STATE(4924),
    [sym_range] = STATE(4924),
    [sym_time] = STATE(4924),
    [sym_number] = STATE(4924),
    [sym_json] = STATE(4924),
    [sym_query_parameter] = STATE(4924),
    [sym__type_chrono] = STATE(4379),
    [sym__type_struct] = STATE(19058),
    [sym__type_array] = STATE(18414),
    [sym_array] = STATE(4924),
    [sym_struct] = STATE(4924),
    [sym__identifier] = STATE(4755),
    [sym__dotted_identifier] = STATE(13556),
    [sym_identifier] = STATE(4917),
    [sym_string] = STATE(4924),
    [sym__expression] = STATE(2983),
    [sym__parenthesized_expression] = STATE(4924),
    [sym_element_access] = STATE(4924),
    [sym_field_access] = STATE(4924),
    [sym_unary_expression] = STATE(4924),
    [sym_binary_expression] = STATE(4924),
    [sym_between_operator] = STATE(4924),
    [sym_casewhen_expression] = STATE(4924),
    [sym_cast_expression] = STATE(4924),
    [sym_argument_reference] = STATE(4924),
    [aux_sym_identifier_repeat1] = STATE(13556),
    [sym__unquoted_identifier] = ACTIONS(2604),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2606),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2608),
    [aux_sym__keyword_case_token1] = ACTIONS(2610),
    [aux_sym__keyword_cast_token1] = ACTIONS(2612),
    [aux_sym__keyword_cast_token2] = ACTIONS(2612),
    [aux_sym__keyword_date_token1] = ACTIONS(2614),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2614),
    [aux_sym__keyword_time_token1] = ACTIONS(2614),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2614),
    [anon_sym_LPAREN] = ACTIONS(2616),
    [aux_sym_drop_notnull_token1] = ACTIONS(2618),
    [aux_sym_function_call_token2] = ACTIONS(2620),
    [aux_sym_unnest_operator_token1] = ACTIONS(2622),
    [aux_sym_TRUE_token1] = ACTIONS(2624),
    [aux_sym_FALSE_token1] = ACTIONS(2626),
    [sym__integer] = ACTIONS(2628),
    [aux_sym__float_token1] = ACTIONS(2630),
    [aux_sym__float_token2] = ACTIONS(2628),
    [aux_sym__float_token3] = ACTIONS(2630),
    [aux_sym_numeric_token1] = ACTIONS(2632),
    [aux_sym_numeric_token2] = ACTIONS(2632),
    [aux_sym_numeric_token3] = ACTIONS(2632),
    [aux_sym_numeric_token4] = ACTIONS(2632),
    [aux_sym_interval_token1] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [aux_sym_json_token1] = ACTIONS(2638),
    [sym_system_variable] = ACTIONS(2640),
    [sym__named_query_parameter] = ACTIONS(2642),
    [sym__positional_query_parameter] = ACTIONS(2644),
    [sym__quoted_identifier] = ACTIONS(2646),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2648),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_operator_compare] = ACTIONS(2652),
    [anon_sym_DOLLAR] = ACTIONS(2654),
    [sym__string_start] = ACTIONS(2656),
  },
  [1431] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16294),
    [sym__keyword_case] = STATE(376),
    [sym__keyword_not] = STATE(1425),
    [sym__keyword_cast] = STATE(19283),
    [sym__keyword_date] = STATE(4607),
    [sym__keyword_datetime] = STATE(4607),
    [sym__keyword_time] = STATE(4607),
    [sym__keyword_timestamp] = STATE(4607),
    [sym_select_subexpression] = STATE(4924),
    [sym_function_call] = STATE(4924),
    [sym_unnest_operator] = STATE(1962),
    [sym_unnest_clause] = STATE(4924),
    [sym__literal] = STATE(4924),
    [sym_NULL] = STATE(4924),
    [sym_TRUE] = STATE(4924),
    [sym_FALSE] = STATE(4924),
    [sym__float] = STATE(4921),
    [sym_numeric] = STATE(4921),
    [sym__number] = STATE(4921),
    [sym_interval] = STATE(4924),
    [sym_range] = STATE(4924),
    [sym_time] = STATE(4924),
    [sym_number] = STATE(4924),
    [sym_json] = STATE(4924),
    [sym_query_parameter] = STATE(4924),
    [sym__type_chrono] = STATE(4379),
    [sym__type_struct] = STATE(19058),
    [sym__type_array] = STATE(18414),
    [sym_array] = STATE(4924),
    [sym_struct] = STATE(4924),
    [sym__identifier] = STATE(4755),
    [sym__dotted_identifier] = STATE(13556),
    [sym_identifier] = STATE(4917),
    [sym_string] = STATE(4924),
    [sym__expression] = STATE(2982),
    [sym__parenthesized_expression] = STATE(4924),
    [sym_element_access] = STATE(4924),
    [sym_field_access] = STATE(4924),
    [sym_unary_expression] = STATE(4924),
    [sym_binary_expression] = STATE(4924),
    [sym_between_operator] = STATE(4924),
    [sym_casewhen_expression] = STATE(4924),
    [sym_cast_expression] = STATE(4924),
    [sym_argument_reference] = STATE(4924),
    [aux_sym_identifier_repeat1] = STATE(13556),
    [sym__unquoted_identifier] = ACTIONS(2604),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2606),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2608),
    [aux_sym__keyword_case_token1] = ACTIONS(2610),
    [aux_sym__keyword_cast_token1] = ACTIONS(2612),
    [aux_sym__keyword_cast_token2] = ACTIONS(2612),
    [aux_sym__keyword_date_token1] = ACTIONS(2614),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2614),
    [aux_sym__keyword_time_token1] = ACTIONS(2614),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2614),
    [anon_sym_LPAREN] = ACTIONS(2616),
    [aux_sym_drop_notnull_token1] = ACTIONS(2618),
    [aux_sym_function_call_token2] = ACTIONS(2620),
    [aux_sym_unnest_operator_token1] = ACTIONS(2622),
    [aux_sym_TRUE_token1] = ACTIONS(2624),
    [aux_sym_FALSE_token1] = ACTIONS(2626),
    [sym__integer] = ACTIONS(2628),
    [aux_sym__float_token1] = ACTIONS(2630),
    [aux_sym__float_token2] = ACTIONS(2628),
    [aux_sym__float_token3] = ACTIONS(2630),
    [aux_sym_numeric_token1] = ACTIONS(2632),
    [aux_sym_numeric_token2] = ACTIONS(2632),
    [aux_sym_numeric_token3] = ACTIONS(2632),
    [aux_sym_numeric_token4] = ACTIONS(2632),
    [aux_sym_interval_token1] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [aux_sym_json_token1] = ACTIONS(2638),
    [sym_system_variable] = ACTIONS(2640),
    [sym__named_query_parameter] = ACTIONS(2642),
    [sym__positional_query_parameter] = ACTIONS(2644),
    [sym__quoted_identifier] = ACTIONS(2646),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2648),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_operator_compare] = ACTIONS(2652),
    [anon_sym_DOLLAR] = ACTIONS(2654),
    [sym__string_start] = ACTIONS(2656),
  },
  [1432] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16294),
    [sym__keyword_case] = STATE(376),
    [sym__keyword_not] = STATE(1425),
    [sym__keyword_cast] = STATE(19283),
    [sym__keyword_date] = STATE(4607),
    [sym__keyword_datetime] = STATE(4607),
    [sym__keyword_time] = STATE(4607),
    [sym__keyword_timestamp] = STATE(4607),
    [sym_select_subexpression] = STATE(4924),
    [sym_function_call] = STATE(4924),
    [sym_unnest_operator] = STATE(1962),
    [sym_unnest_clause] = STATE(4924),
    [sym__literal] = STATE(4924),
    [sym_NULL] = STATE(4924),
    [sym_TRUE] = STATE(4924),
    [sym_FALSE] = STATE(4924),
    [sym__float] = STATE(4921),
    [sym_numeric] = STATE(4921),
    [sym__number] = STATE(4921),
    [sym_interval] = STATE(4924),
    [sym_range] = STATE(4924),
    [sym_time] = STATE(4924),
    [sym_number] = STATE(4924),
    [sym_json] = STATE(4924),
    [sym_query_parameter] = STATE(4924),
    [sym__type_chrono] = STATE(4379),
    [sym__type_struct] = STATE(19058),
    [sym__type_array] = STATE(18414),
    [sym_array] = STATE(4924),
    [sym_struct] = STATE(4924),
    [sym__identifier] = STATE(4755),
    [sym__dotted_identifier] = STATE(13556),
    [sym_identifier] = STATE(4917),
    [sym_string] = STATE(4924),
    [sym__expression] = STATE(2981),
    [sym__parenthesized_expression] = STATE(4924),
    [sym_element_access] = STATE(4924),
    [sym_field_access] = STATE(4924),
    [sym_unary_expression] = STATE(4924),
    [sym_binary_expression] = STATE(4924),
    [sym_between_operator] = STATE(4924),
    [sym_casewhen_expression] = STATE(4924),
    [sym_cast_expression] = STATE(4924),
    [sym_argument_reference] = STATE(4924),
    [aux_sym_identifier_repeat1] = STATE(13556),
    [sym__unquoted_identifier] = ACTIONS(2604),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2606),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2608),
    [aux_sym__keyword_case_token1] = ACTIONS(2610),
    [aux_sym__keyword_cast_token1] = ACTIONS(2612),
    [aux_sym__keyword_cast_token2] = ACTIONS(2612),
    [aux_sym__keyword_date_token1] = ACTIONS(2614),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2614),
    [aux_sym__keyword_time_token1] = ACTIONS(2614),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2614),
    [anon_sym_LPAREN] = ACTIONS(2616),
    [aux_sym_drop_notnull_token1] = ACTIONS(2618),
    [aux_sym_function_call_token2] = ACTIONS(2620),
    [aux_sym_unnest_operator_token1] = ACTIONS(2622),
    [aux_sym_TRUE_token1] = ACTIONS(2624),
    [aux_sym_FALSE_token1] = ACTIONS(2626),
    [sym__integer] = ACTIONS(2628),
    [aux_sym__float_token1] = ACTIONS(2630),
    [aux_sym__float_token2] = ACTIONS(2628),
    [aux_sym__float_token3] = ACTIONS(2630),
    [aux_sym_numeric_token1] = ACTIONS(2632),
    [aux_sym_numeric_token2] = ACTIONS(2632),
    [aux_sym_numeric_token3] = ACTIONS(2632),
    [aux_sym_numeric_token4] = ACTIONS(2632),
    [aux_sym_interval_token1] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [aux_sym_json_token1] = ACTIONS(2638),
    [sym_system_variable] = ACTIONS(2640),
    [sym__named_query_parameter] = ACTIONS(2642),
    [sym__positional_query_parameter] = ACTIONS(2644),
    [sym__quoted_identifier] = ACTIONS(2646),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2648),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_operator_compare] = ACTIONS(2652),
    [anon_sym_DOLLAR] = ACTIONS(2654),
    [sym__string_start] = ACTIONS(2656),
  },
  [1433] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1350),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2703),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(4207),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2674),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1434] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16294),
    [sym__keyword_case] = STATE(376),
    [sym__keyword_not] = STATE(1425),
    [sym__keyword_cast] = STATE(19283),
    [sym__keyword_date] = STATE(4607),
    [sym__keyword_datetime] = STATE(4607),
    [sym__keyword_time] = STATE(4607),
    [sym__keyword_timestamp] = STATE(4607),
    [sym_select_subexpression] = STATE(4924),
    [sym_function_call] = STATE(4924),
    [sym_unnest_operator] = STATE(1962),
    [sym_unnest_clause] = STATE(4924),
    [sym__literal] = STATE(4924),
    [sym_NULL] = STATE(4924),
    [sym_TRUE] = STATE(4924),
    [sym_FALSE] = STATE(4924),
    [sym__float] = STATE(4921),
    [sym_numeric] = STATE(4921),
    [sym__number] = STATE(4921),
    [sym_interval] = STATE(4924),
    [sym_range] = STATE(4924),
    [sym_time] = STATE(4924),
    [sym_number] = STATE(4924),
    [sym_json] = STATE(4924),
    [sym_query_parameter] = STATE(4924),
    [sym__type_chrono] = STATE(4379),
    [sym__type_struct] = STATE(19058),
    [sym__type_array] = STATE(18414),
    [sym_array] = STATE(4924),
    [sym_struct] = STATE(4924),
    [sym__identifier] = STATE(4755),
    [sym__dotted_identifier] = STATE(13556),
    [sym_identifier] = STATE(4917),
    [sym_string] = STATE(4924),
    [sym__expression] = STATE(2980),
    [sym__parenthesized_expression] = STATE(4924),
    [sym_element_access] = STATE(4924),
    [sym_field_access] = STATE(4924),
    [sym_unary_expression] = STATE(4924),
    [sym_binary_expression] = STATE(4924),
    [sym_between_operator] = STATE(4924),
    [sym_casewhen_expression] = STATE(4924),
    [sym_cast_expression] = STATE(4924),
    [sym_argument_reference] = STATE(4924),
    [aux_sym_identifier_repeat1] = STATE(13556),
    [sym__unquoted_identifier] = ACTIONS(2604),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2606),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2608),
    [aux_sym__keyword_case_token1] = ACTIONS(2610),
    [aux_sym__keyword_cast_token1] = ACTIONS(2612),
    [aux_sym__keyword_cast_token2] = ACTIONS(2612),
    [aux_sym__keyword_date_token1] = ACTIONS(2614),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2614),
    [aux_sym__keyword_time_token1] = ACTIONS(2614),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2614),
    [anon_sym_LPAREN] = ACTIONS(2616),
    [aux_sym_drop_notnull_token1] = ACTIONS(2618),
    [aux_sym_function_call_token2] = ACTIONS(2620),
    [aux_sym_unnest_operator_token1] = ACTIONS(2622),
    [aux_sym_TRUE_token1] = ACTIONS(2624),
    [aux_sym_FALSE_token1] = ACTIONS(2626),
    [sym__integer] = ACTIONS(2628),
    [aux_sym__float_token1] = ACTIONS(2630),
    [aux_sym__float_token2] = ACTIONS(2628),
    [aux_sym__float_token3] = ACTIONS(2630),
    [aux_sym_numeric_token1] = ACTIONS(2632),
    [aux_sym_numeric_token2] = ACTIONS(2632),
    [aux_sym_numeric_token3] = ACTIONS(2632),
    [aux_sym_numeric_token4] = ACTIONS(2632),
    [aux_sym_interval_token1] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [aux_sym_json_token1] = ACTIONS(2638),
    [sym_system_variable] = ACTIONS(2640),
    [sym__named_query_parameter] = ACTIONS(2642),
    [sym__positional_query_parameter] = ACTIONS(2644),
    [sym__quoted_identifier] = ACTIONS(2646),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2648),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_operator_compare] = ACTIONS(2652),
    [anon_sym_DOLLAR] = ACTIONS(2654),
    [sym__string_start] = ACTIONS(2656),
  },
  [1435] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9649),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1436] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1350),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2703),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(4208),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2674),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1437] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16294),
    [sym__keyword_case] = STATE(376),
    [sym__keyword_not] = STATE(1425),
    [sym__keyword_cast] = STATE(19283),
    [sym__keyword_date] = STATE(4607),
    [sym__keyword_datetime] = STATE(4607),
    [sym__keyword_time] = STATE(4607),
    [sym__keyword_timestamp] = STATE(4607),
    [sym_select_subexpression] = STATE(4924),
    [sym_function_call] = STATE(4924),
    [sym_unnest_operator] = STATE(1962),
    [sym_unnest_clause] = STATE(4924),
    [sym__literal] = STATE(4924),
    [sym_NULL] = STATE(4924),
    [sym_TRUE] = STATE(4924),
    [sym_FALSE] = STATE(4924),
    [sym__float] = STATE(4921),
    [sym_numeric] = STATE(4921),
    [sym__number] = STATE(4921),
    [sym_interval] = STATE(4924),
    [sym_range] = STATE(4924),
    [sym_time] = STATE(4924),
    [sym_number] = STATE(4924),
    [sym_json] = STATE(4924),
    [sym_query_parameter] = STATE(4924),
    [sym__type_chrono] = STATE(4379),
    [sym__type_struct] = STATE(19058),
    [sym__type_array] = STATE(18414),
    [sym_array] = STATE(4924),
    [sym_struct] = STATE(4924),
    [sym__identifier] = STATE(4755),
    [sym__dotted_identifier] = STATE(13556),
    [sym_identifier] = STATE(4917),
    [sym_string] = STATE(4924),
    [sym__expression] = STATE(2979),
    [sym__parenthesized_expression] = STATE(4924),
    [sym_element_access] = STATE(4924),
    [sym_field_access] = STATE(4924),
    [sym_unary_expression] = STATE(4924),
    [sym_binary_expression] = STATE(4924),
    [sym_between_operator] = STATE(4924),
    [sym_casewhen_expression] = STATE(4924),
    [sym_cast_expression] = STATE(4924),
    [sym_argument_reference] = STATE(4924),
    [aux_sym_identifier_repeat1] = STATE(13556),
    [sym__unquoted_identifier] = ACTIONS(2604),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2606),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2608),
    [aux_sym__keyword_case_token1] = ACTIONS(2610),
    [aux_sym__keyword_cast_token1] = ACTIONS(2612),
    [aux_sym__keyword_cast_token2] = ACTIONS(2612),
    [aux_sym__keyword_date_token1] = ACTIONS(2614),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2614),
    [aux_sym__keyword_time_token1] = ACTIONS(2614),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2614),
    [anon_sym_LPAREN] = ACTIONS(2616),
    [aux_sym_drop_notnull_token1] = ACTIONS(2618),
    [aux_sym_function_call_token2] = ACTIONS(2620),
    [aux_sym_unnest_operator_token1] = ACTIONS(2622),
    [aux_sym_TRUE_token1] = ACTIONS(2624),
    [aux_sym_FALSE_token1] = ACTIONS(2626),
    [sym__integer] = ACTIONS(2628),
    [aux_sym__float_token1] = ACTIONS(2630),
    [aux_sym__float_token2] = ACTIONS(2628),
    [aux_sym__float_token3] = ACTIONS(2630),
    [aux_sym_numeric_token1] = ACTIONS(2632),
    [aux_sym_numeric_token2] = ACTIONS(2632),
    [aux_sym_numeric_token3] = ACTIONS(2632),
    [aux_sym_numeric_token4] = ACTIONS(2632),
    [aux_sym_interval_token1] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [aux_sym_json_token1] = ACTIONS(2638),
    [sym_system_variable] = ACTIONS(2640),
    [sym__named_query_parameter] = ACTIONS(2642),
    [sym__positional_query_parameter] = ACTIONS(2644),
    [sym__quoted_identifier] = ACTIONS(2646),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2648),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_operator_compare] = ACTIONS(2652),
    [anon_sym_DOLLAR] = ACTIONS(2654),
    [sym__string_start] = ACTIONS(2656),
  },
  [1438] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16294),
    [sym__keyword_case] = STATE(376),
    [sym__keyword_not] = STATE(1650),
    [sym__keyword_cast] = STATE(19283),
    [sym__keyword_date] = STATE(4607),
    [sym__keyword_datetime] = STATE(4607),
    [sym__keyword_time] = STATE(4607),
    [sym__keyword_timestamp] = STATE(4607),
    [sym_select_subexpression] = STATE(4924),
    [sym_function_call] = STATE(4924),
    [sym_unnest_operator] = STATE(2504),
    [sym_unnest_clause] = STATE(4924),
    [sym__literal] = STATE(4924),
    [sym_NULL] = STATE(4924),
    [sym_TRUE] = STATE(4924),
    [sym_FALSE] = STATE(4924),
    [sym__float] = STATE(4921),
    [sym_numeric] = STATE(4921),
    [sym__number] = STATE(4921),
    [sym_interval] = STATE(4924),
    [sym_range] = STATE(4924),
    [sym_time] = STATE(4924),
    [sym_number] = STATE(4924),
    [sym_json] = STATE(4924),
    [sym_query_parameter] = STATE(4924),
    [sym__type_chrono] = STATE(4379),
    [sym__type_struct] = STATE(19058),
    [sym__type_array] = STATE(18414),
    [sym_array] = STATE(4924),
    [sym_struct] = STATE(4924),
    [sym__identifier] = STATE(4755),
    [sym__dotted_identifier] = STATE(13556),
    [sym_identifier] = STATE(4917),
    [sym_string] = STATE(4924),
    [sym__expression] = STATE(3700),
    [sym__parenthesized_expression] = STATE(4924),
    [sym_element_access] = STATE(4924),
    [sym_field_access] = STATE(4924),
    [sym_unary_expression] = STATE(4924),
    [sym_binary_expression] = STATE(4924),
    [sym_between_operator] = STATE(4924),
    [sym_casewhen_expression] = STATE(4924),
    [sym_cast_expression] = STATE(4924),
    [sym_argument_reference] = STATE(4924),
    [aux_sym_identifier_repeat1] = STATE(13556),
    [sym__unquoted_identifier] = ACTIONS(2604),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2606),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2608),
    [aux_sym__keyword_case_token1] = ACTIONS(2610),
    [aux_sym__keyword_cast_token1] = ACTIONS(2612),
    [aux_sym__keyword_cast_token2] = ACTIONS(2612),
    [aux_sym__keyword_date_token1] = ACTIONS(2614),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2614),
    [aux_sym__keyword_time_token1] = ACTIONS(2614),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2614),
    [anon_sym_LPAREN] = ACTIONS(2616),
    [aux_sym_drop_notnull_token1] = ACTIONS(2618),
    [aux_sym_function_call_token2] = ACTIONS(2620),
    [aux_sym_unnest_operator_token1] = ACTIONS(2668),
    [aux_sym_TRUE_token1] = ACTIONS(2624),
    [aux_sym_FALSE_token1] = ACTIONS(2626),
    [sym__integer] = ACTIONS(2628),
    [aux_sym__float_token1] = ACTIONS(2630),
    [aux_sym__float_token2] = ACTIONS(2628),
    [aux_sym__float_token3] = ACTIONS(2630),
    [aux_sym_numeric_token1] = ACTIONS(2632),
    [aux_sym_numeric_token2] = ACTIONS(2632),
    [aux_sym_numeric_token3] = ACTIONS(2632),
    [aux_sym_numeric_token4] = ACTIONS(2632),
    [aux_sym_interval_token1] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [aux_sym_json_token1] = ACTIONS(2638),
    [sym_system_variable] = ACTIONS(2640),
    [sym__named_query_parameter] = ACTIONS(2642),
    [sym__positional_query_parameter] = ACTIONS(2644),
    [sym__quoted_identifier] = ACTIONS(2646),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2670),
    [anon_sym_PLUS] = ACTIONS(2672),
    [anon_sym_DASH] = ACTIONS(2672),
    [anon_sym_operator_compare] = ACTIONS(2652),
    [anon_sym_DOLLAR] = ACTIONS(2654),
    [sym__string_start] = ACTIONS(2656),
  },
  [1439] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10260),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1440] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16325),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1073),
    [sym__keyword_cast] = STATE(19275),
    [sym__keyword_date] = STATE(9495),
    [sym__keyword_datetime] = STATE(9495),
    [sym__keyword_time] = STATE(9495),
    [sym__keyword_timestamp] = STATE(9495),
    [sym_select_subexpression] = STATE(10495),
    [sym_function_call] = STATE(10495),
    [sym_unnest_operator] = STATE(6473),
    [sym_unnest_clause] = STATE(10495),
    [sym__literal] = STATE(10495),
    [sym_NULL] = STATE(10495),
    [sym_TRUE] = STATE(10495),
    [sym_FALSE] = STATE(10495),
    [sym__float] = STATE(10492),
    [sym_numeric] = STATE(10492),
    [sym__number] = STATE(10492),
    [sym_interval] = STATE(10495),
    [sym_range] = STATE(10495),
    [sym_time] = STATE(10495),
    [sym_number] = STATE(10495),
    [sym_json] = STATE(10495),
    [sym_query_parameter] = STATE(10495),
    [sym__type_chrono] = STATE(8422),
    [sym__type_struct] = STATE(19027),
    [sym__type_array] = STATE(18285),
    [sym_array] = STATE(10495),
    [sym_struct] = STATE(10495),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9694),
    [sym_string] = STATE(10495),
    [sym__expression] = STATE(9758),
    [sym__parenthesized_expression] = STATE(10495),
    [sym_element_access] = STATE(10495),
    [sym_field_access] = STATE(10495),
    [sym_unary_expression] = STATE(10495),
    [sym_binary_expression] = STATE(10495),
    [sym_between_operator] = STATE(10495),
    [sym_casewhen_expression] = STATE(10495),
    [sym_cast_expression] = STATE(10495),
    [sym_argument_reference] = STATE(10495),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2042),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2044),
    [aux_sym__keyword_case_token1] = ACTIONS(2046),
    [aux_sym__keyword_cast_token1] = ACTIONS(2048),
    [aux_sym__keyword_cast_token2] = ACTIONS(2048),
    [aux_sym__keyword_date_token1] = ACTIONS(2050),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2050),
    [aux_sym__keyword_time_token1] = ACTIONS(2050),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [aux_sym_drop_notnull_token1] = ACTIONS(2054),
    [aux_sym_function_call_token2] = ACTIONS(2056),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2060),
    [aux_sym_FALSE_token1] = ACTIONS(2062),
    [sym__integer] = ACTIONS(2064),
    [aux_sym__float_token1] = ACTIONS(2066),
    [aux_sym__float_token2] = ACTIONS(2064),
    [aux_sym__float_token3] = ACTIONS(2066),
    [aux_sym_numeric_token1] = ACTIONS(2068),
    [aux_sym_numeric_token2] = ACTIONS(2068),
    [aux_sym_numeric_token3] = ACTIONS(2068),
    [aux_sym_numeric_token4] = ACTIONS(2068),
    [aux_sym_interval_token1] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_json_token1] = ACTIONS(2074),
    [sym_system_variable] = ACTIONS(2076),
    [sym__named_query_parameter] = ACTIONS(2078),
    [sym__positional_query_parameter] = ACTIONS(2080),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_operator_compare] = ACTIONS(2086),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [sym__string_start] = ACTIONS(2090),
  },
  [1441] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1444),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(198),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(384),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1442] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10258),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1443] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(6785),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1444] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1444),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(198),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(404),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1445] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16282),
    [sym__keyword_case] = STATE(374),
    [sym__keyword_not] = STATE(1069),
    [sym__keyword_cast] = STATE(19285),
    [sym__keyword_date] = STATE(10540),
    [sym__keyword_datetime] = STATE(10540),
    [sym__keyword_time] = STATE(10540),
    [sym__keyword_timestamp] = STATE(10540),
    [sym_select_subexpression] = STATE(10861),
    [sym_function_call] = STATE(10861),
    [sym_unnest_operator] = STATE(6471),
    [sym_unnest_clause] = STATE(10861),
    [sym__literal] = STATE(10861),
    [sym_NULL] = STATE(10861),
    [sym_TRUE] = STATE(10861),
    [sym_FALSE] = STATE(10861),
    [sym__float] = STATE(10863),
    [sym_numeric] = STATE(10863),
    [sym__number] = STATE(10863),
    [sym_interval] = STATE(10861),
    [sym_range] = STATE(10861),
    [sym_time] = STATE(10861),
    [sym_number] = STATE(10861),
    [sym_json] = STATE(10861),
    [sym_query_parameter] = STATE(10861),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19065),
    [sym__type_array] = STATE(18448),
    [sym_array] = STATE(10861),
    [sym_struct] = STATE(10861),
    [sym__identifier] = STATE(10536),
    [sym__dotted_identifier] = STATE(14157),
    [sym_identifier] = STATE(10772),
    [sym_string] = STATE(10861),
    [sym__expression] = STATE(9064),
    [sym__parenthesized_expression] = STATE(10861),
    [sym_element_access] = STATE(10861),
    [sym_field_access] = STATE(10861),
    [sym_unary_expression] = STATE(10861),
    [sym_binary_expression] = STATE(10861),
    [sym_between_operator] = STATE(10861),
    [sym_casewhen_expression] = STATE(10861),
    [sym_cast_expression] = STATE(10861),
    [sym_argument_reference] = STATE(10861),
    [aux_sym_identifier_repeat1] = STATE(14157),
    [sym__unquoted_identifier] = ACTIONS(2552),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2554),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2556),
    [aux_sym__keyword_case_token1] = ACTIONS(2558),
    [aux_sym__keyword_cast_token1] = ACTIONS(2560),
    [aux_sym__keyword_cast_token2] = ACTIONS(2560),
    [aux_sym__keyword_date_token1] = ACTIONS(2562),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2562),
    [aux_sym__keyword_time_token1] = ACTIONS(2562),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [aux_sym_drop_notnull_token1] = ACTIONS(2566),
    [aux_sym_function_call_token2] = ACTIONS(2568),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2570),
    [aux_sym_FALSE_token1] = ACTIONS(2572),
    [sym__integer] = ACTIONS(2574),
    [aux_sym__float_token1] = ACTIONS(2576),
    [aux_sym__float_token2] = ACTIONS(2574),
    [aux_sym__float_token3] = ACTIONS(2576),
    [aux_sym_numeric_token1] = ACTIONS(2578),
    [aux_sym_numeric_token2] = ACTIONS(2578),
    [aux_sym_numeric_token3] = ACTIONS(2578),
    [aux_sym_numeric_token4] = ACTIONS(2578),
    [aux_sym_interval_token1] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [aux_sym_json_token1] = ACTIONS(2584),
    [sym_system_variable] = ACTIONS(2586),
    [sym__named_query_parameter] = ACTIONS(2588),
    [sym__positional_query_parameter] = ACTIONS(2590),
    [sym__quoted_identifier] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_operator_compare] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [sym__string_start] = ACTIONS(2602),
  },
  [1446] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16294),
    [sym__keyword_case] = STATE(376),
    [sym__keyword_not] = STATE(1425),
    [sym__keyword_cast] = STATE(19283),
    [sym__keyword_date] = STATE(4607),
    [sym__keyword_datetime] = STATE(4607),
    [sym__keyword_time] = STATE(4607),
    [sym__keyword_timestamp] = STATE(4607),
    [sym_select_subexpression] = STATE(4924),
    [sym_function_call] = STATE(4924),
    [sym_unnest_operator] = STATE(1962),
    [sym_unnest_clause] = STATE(4924),
    [sym__literal] = STATE(4924),
    [sym_NULL] = STATE(4924),
    [sym_TRUE] = STATE(4924),
    [sym_FALSE] = STATE(4924),
    [sym__float] = STATE(4921),
    [sym_numeric] = STATE(4921),
    [sym__number] = STATE(4921),
    [sym_interval] = STATE(4924),
    [sym_range] = STATE(4924),
    [sym_time] = STATE(4924),
    [sym_number] = STATE(4924),
    [sym_json] = STATE(4924),
    [sym_query_parameter] = STATE(4924),
    [sym__type_chrono] = STATE(4379),
    [sym__type_struct] = STATE(19058),
    [sym__type_array] = STATE(18414),
    [sym_array] = STATE(4924),
    [sym_struct] = STATE(4924),
    [sym__identifier] = STATE(4755),
    [sym__dotted_identifier] = STATE(13556),
    [sym_identifier] = STATE(4917),
    [sym_string] = STATE(4924),
    [sym__expression] = STATE(2978),
    [sym__parenthesized_expression] = STATE(4924),
    [sym_element_access] = STATE(4924),
    [sym_field_access] = STATE(4924),
    [sym_unary_expression] = STATE(4924),
    [sym_binary_expression] = STATE(4924),
    [sym_between_operator] = STATE(4924),
    [sym_casewhen_expression] = STATE(4924),
    [sym_cast_expression] = STATE(4924),
    [sym_argument_reference] = STATE(4924),
    [aux_sym_identifier_repeat1] = STATE(13556),
    [sym__unquoted_identifier] = ACTIONS(2604),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2606),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2608),
    [aux_sym__keyword_case_token1] = ACTIONS(2610),
    [aux_sym__keyword_cast_token1] = ACTIONS(2612),
    [aux_sym__keyword_cast_token2] = ACTIONS(2612),
    [aux_sym__keyword_date_token1] = ACTIONS(2614),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2614),
    [aux_sym__keyword_time_token1] = ACTIONS(2614),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2614),
    [anon_sym_LPAREN] = ACTIONS(2616),
    [aux_sym_drop_notnull_token1] = ACTIONS(2618),
    [aux_sym_function_call_token2] = ACTIONS(2620),
    [aux_sym_unnest_operator_token1] = ACTIONS(2622),
    [aux_sym_TRUE_token1] = ACTIONS(2624),
    [aux_sym_FALSE_token1] = ACTIONS(2626),
    [sym__integer] = ACTIONS(2628),
    [aux_sym__float_token1] = ACTIONS(2630),
    [aux_sym__float_token2] = ACTIONS(2628),
    [aux_sym__float_token3] = ACTIONS(2630),
    [aux_sym_numeric_token1] = ACTIONS(2632),
    [aux_sym_numeric_token2] = ACTIONS(2632),
    [aux_sym_numeric_token3] = ACTIONS(2632),
    [aux_sym_numeric_token4] = ACTIONS(2632),
    [aux_sym_interval_token1] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [aux_sym_json_token1] = ACTIONS(2638),
    [sym_system_variable] = ACTIONS(2640),
    [sym__named_query_parameter] = ACTIONS(2642),
    [sym__positional_query_parameter] = ACTIONS(2644),
    [sym__quoted_identifier] = ACTIONS(2646),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2648),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_operator_compare] = ACTIONS(2652),
    [anon_sym_DOLLAR] = ACTIONS(2654),
    [sym__string_start] = ACTIONS(2656),
  },
  [1447] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16148),
    [sym__keyword_case] = STATE(268),
    [sym__keyword_not] = STATE(1835),
    [sym__keyword_cast] = STATE(19305),
    [sym__keyword_date] = STATE(7284),
    [sym__keyword_datetime] = STATE(7284),
    [sym__keyword_time] = STATE(7284),
    [sym__keyword_timestamp] = STATE(7284),
    [sym_select_subexpression] = STATE(7910),
    [sym_function_call] = STATE(7910),
    [sym_unnest_operator] = STATE(5277),
    [sym_unnest_clause] = STATE(7910),
    [sym__literal] = STATE(7910),
    [sym_NULL] = STATE(7910),
    [sym_TRUE] = STATE(7910),
    [sym_FALSE] = STATE(7910),
    [sym__float] = STATE(7895),
    [sym_numeric] = STATE(7895),
    [sym__number] = STATE(7895),
    [sym_interval] = STATE(7910),
    [sym_range] = STATE(7910),
    [sym_time] = STATE(7910),
    [sym_number] = STATE(7910),
    [sym_json] = STATE(7910),
    [sym_query_parameter] = STATE(7910),
    [sym__type_chrono] = STATE(7179),
    [sym__type_struct] = STATE(19135),
    [sym__type_array] = STATE(18721),
    [sym_array] = STATE(7910),
    [sym_struct] = STATE(7910),
    [sym__identifier] = STATE(5408),
    [sym__dotted_identifier] = STATE(13708),
    [sym_identifier] = STATE(7424),
    [sym_string] = STATE(7910),
    [sym__expression] = STATE(5963),
    [sym__parenthesized_expression] = STATE(7910),
    [sym_element_access] = STATE(7910),
    [sym_field_access] = STATE(7910),
    [sym_unary_expression] = STATE(7910),
    [sym_binary_expression] = STATE(7910),
    [sym_between_operator] = STATE(7910),
    [sym_casewhen_expression] = STATE(7910),
    [sym_cast_expression] = STATE(7910),
    [sym_argument_reference] = STATE(7910),
    [aux_sym_identifier_repeat1] = STATE(13708),
    [sym__unquoted_identifier] = ACTIONS(2440),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2442),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2444),
    [aux_sym__keyword_case_token1] = ACTIONS(2446),
    [aux_sym__keyword_cast_token1] = ACTIONS(2448),
    [aux_sym__keyword_cast_token2] = ACTIONS(2448),
    [aux_sym__keyword_date_token1] = ACTIONS(2450),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2450),
    [aux_sym__keyword_time_token1] = ACTIONS(2450),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2452),
    [aux_sym_drop_notnull_token1] = ACTIONS(2454),
    [aux_sym_function_call_token2] = ACTIONS(2456),
    [aux_sym_unnest_operator_token1] = ACTIONS(2458),
    [aux_sym_TRUE_token1] = ACTIONS(2460),
    [aux_sym_FALSE_token1] = ACTIONS(2462),
    [sym__integer] = ACTIONS(2464),
    [aux_sym__float_token1] = ACTIONS(2466),
    [aux_sym__float_token2] = ACTIONS(2464),
    [aux_sym__float_token3] = ACTIONS(2466),
    [aux_sym_numeric_token1] = ACTIONS(2468),
    [aux_sym_numeric_token2] = ACTIONS(2468),
    [aux_sym_numeric_token3] = ACTIONS(2468),
    [aux_sym_numeric_token4] = ACTIONS(2468),
    [aux_sym_interval_token1] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [aux_sym_json_token1] = ACTIONS(2474),
    [sym_system_variable] = ACTIONS(2476),
    [sym__named_query_parameter] = ACTIONS(2478),
    [sym__positional_query_parameter] = ACTIONS(2480),
    [sym__quoted_identifier] = ACTIONS(2482),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2484),
    [anon_sym_PLUS] = ACTIONS(2486),
    [anon_sym_DASH] = ACTIONS(2486),
    [anon_sym_operator_compare] = ACTIONS(2488),
    [anon_sym_DOLLAR] = ACTIONS(2490),
    [sym__string_start] = ACTIONS(2492),
  },
  [1448] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1350),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2703),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3927),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2674),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1449] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9650),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1450] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16294),
    [sym__keyword_case] = STATE(376),
    [sym__keyword_not] = STATE(1425),
    [sym__keyword_cast] = STATE(19283),
    [sym__keyword_date] = STATE(4607),
    [sym__keyword_datetime] = STATE(4607),
    [sym__keyword_time] = STATE(4607),
    [sym__keyword_timestamp] = STATE(4607),
    [sym_select_subexpression] = STATE(4924),
    [sym_function_call] = STATE(4924),
    [sym_unnest_operator] = STATE(1962),
    [sym_unnest_clause] = STATE(4924),
    [sym__literal] = STATE(4924),
    [sym_NULL] = STATE(4924),
    [sym_TRUE] = STATE(4924),
    [sym_FALSE] = STATE(4924),
    [sym__float] = STATE(4921),
    [sym_numeric] = STATE(4921),
    [sym__number] = STATE(4921),
    [sym_interval] = STATE(4924),
    [sym_range] = STATE(4924),
    [sym_time] = STATE(4924),
    [sym_number] = STATE(4924),
    [sym_json] = STATE(4924),
    [sym_query_parameter] = STATE(4924),
    [sym__type_chrono] = STATE(4379),
    [sym__type_struct] = STATE(19058),
    [sym__type_array] = STATE(18414),
    [sym_array] = STATE(4924),
    [sym_struct] = STATE(4924),
    [sym__identifier] = STATE(4755),
    [sym__dotted_identifier] = STATE(13556),
    [sym_identifier] = STATE(4917),
    [sym_string] = STATE(4924),
    [sym__expression] = STATE(2977),
    [sym__parenthesized_expression] = STATE(4924),
    [sym_element_access] = STATE(4924),
    [sym_field_access] = STATE(4924),
    [sym_unary_expression] = STATE(4924),
    [sym_binary_expression] = STATE(4924),
    [sym_between_operator] = STATE(4924),
    [sym_casewhen_expression] = STATE(4924),
    [sym_cast_expression] = STATE(4924),
    [sym_argument_reference] = STATE(4924),
    [aux_sym_identifier_repeat1] = STATE(13556),
    [sym__unquoted_identifier] = ACTIONS(2604),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2606),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2608),
    [aux_sym__keyword_case_token1] = ACTIONS(2610),
    [aux_sym__keyword_cast_token1] = ACTIONS(2612),
    [aux_sym__keyword_cast_token2] = ACTIONS(2612),
    [aux_sym__keyword_date_token1] = ACTIONS(2614),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2614),
    [aux_sym__keyword_time_token1] = ACTIONS(2614),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2614),
    [anon_sym_LPAREN] = ACTIONS(2616),
    [aux_sym_drop_notnull_token1] = ACTIONS(2618),
    [aux_sym_function_call_token2] = ACTIONS(2620),
    [aux_sym_unnest_operator_token1] = ACTIONS(2622),
    [aux_sym_TRUE_token1] = ACTIONS(2624),
    [aux_sym_FALSE_token1] = ACTIONS(2626),
    [sym__integer] = ACTIONS(2628),
    [aux_sym__float_token1] = ACTIONS(2630),
    [aux_sym__float_token2] = ACTIONS(2628),
    [aux_sym__float_token3] = ACTIONS(2630),
    [aux_sym_numeric_token1] = ACTIONS(2632),
    [aux_sym_numeric_token2] = ACTIONS(2632),
    [aux_sym_numeric_token3] = ACTIONS(2632),
    [aux_sym_numeric_token4] = ACTIONS(2632),
    [aux_sym_interval_token1] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [aux_sym_json_token1] = ACTIONS(2638),
    [sym_system_variable] = ACTIONS(2640),
    [sym__named_query_parameter] = ACTIONS(2642),
    [sym__positional_query_parameter] = ACTIONS(2644),
    [sym__quoted_identifier] = ACTIONS(2646),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2648),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_operator_compare] = ACTIONS(2652),
    [anon_sym_DOLLAR] = ACTIONS(2654),
    [sym__string_start] = ACTIONS(2656),
  },
  [1451] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10337),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1452] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16294),
    [sym__keyword_case] = STATE(376),
    [sym__keyword_not] = STATE(1425),
    [sym__keyword_cast] = STATE(19283),
    [sym__keyword_date] = STATE(4607),
    [sym__keyword_datetime] = STATE(4607),
    [sym__keyword_time] = STATE(4607),
    [sym__keyword_timestamp] = STATE(4607),
    [sym_select_subexpression] = STATE(4924),
    [sym_function_call] = STATE(4924),
    [sym_unnest_operator] = STATE(1962),
    [sym_unnest_clause] = STATE(4924),
    [sym__literal] = STATE(4924),
    [sym_NULL] = STATE(4924),
    [sym_TRUE] = STATE(4924),
    [sym_FALSE] = STATE(4924),
    [sym__float] = STATE(4921),
    [sym_numeric] = STATE(4921),
    [sym__number] = STATE(4921),
    [sym_interval] = STATE(4924),
    [sym_range] = STATE(4924),
    [sym_time] = STATE(4924),
    [sym_number] = STATE(4924),
    [sym_json] = STATE(4924),
    [sym_query_parameter] = STATE(4924),
    [sym__type_chrono] = STATE(4379),
    [sym__type_struct] = STATE(19058),
    [sym__type_array] = STATE(18414),
    [sym_array] = STATE(4924),
    [sym_struct] = STATE(4924),
    [sym__identifier] = STATE(4755),
    [sym__dotted_identifier] = STATE(13556),
    [sym_identifier] = STATE(4917),
    [sym_string] = STATE(4924),
    [sym__expression] = STATE(2976),
    [sym__parenthesized_expression] = STATE(4924),
    [sym_element_access] = STATE(4924),
    [sym_field_access] = STATE(4924),
    [sym_unary_expression] = STATE(4924),
    [sym_binary_expression] = STATE(4924),
    [sym_between_operator] = STATE(4924),
    [sym_casewhen_expression] = STATE(4924),
    [sym_cast_expression] = STATE(4924),
    [sym_argument_reference] = STATE(4924),
    [aux_sym_identifier_repeat1] = STATE(13556),
    [sym__unquoted_identifier] = ACTIONS(2604),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2606),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2608),
    [aux_sym__keyword_case_token1] = ACTIONS(2610),
    [aux_sym__keyword_cast_token1] = ACTIONS(2612),
    [aux_sym__keyword_cast_token2] = ACTIONS(2612),
    [aux_sym__keyword_date_token1] = ACTIONS(2614),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2614),
    [aux_sym__keyword_time_token1] = ACTIONS(2614),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2614),
    [anon_sym_LPAREN] = ACTIONS(2616),
    [aux_sym_drop_notnull_token1] = ACTIONS(2618),
    [aux_sym_function_call_token2] = ACTIONS(2620),
    [aux_sym_unnest_operator_token1] = ACTIONS(2622),
    [aux_sym_TRUE_token1] = ACTIONS(2624),
    [aux_sym_FALSE_token1] = ACTIONS(2626),
    [sym__integer] = ACTIONS(2628),
    [aux_sym__float_token1] = ACTIONS(2630),
    [aux_sym__float_token2] = ACTIONS(2628),
    [aux_sym__float_token3] = ACTIONS(2630),
    [aux_sym_numeric_token1] = ACTIONS(2632),
    [aux_sym_numeric_token2] = ACTIONS(2632),
    [aux_sym_numeric_token3] = ACTIONS(2632),
    [aux_sym_numeric_token4] = ACTIONS(2632),
    [aux_sym_interval_token1] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [aux_sym_json_token1] = ACTIONS(2638),
    [sym_system_variable] = ACTIONS(2640),
    [sym__named_query_parameter] = ACTIONS(2642),
    [sym__positional_query_parameter] = ACTIONS(2644),
    [sym__quoted_identifier] = ACTIONS(2646),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2648),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_operator_compare] = ACTIONS(2652),
    [anon_sym_DOLLAR] = ACTIONS(2654),
    [sym__string_start] = ACTIONS(2656),
  },
  [1453] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16282),
    [sym__keyword_case] = STATE(374),
    [sym__keyword_not] = STATE(1069),
    [sym__keyword_cast] = STATE(19285),
    [sym__keyword_date] = STATE(10540),
    [sym__keyword_datetime] = STATE(10540),
    [sym__keyword_time] = STATE(10540),
    [sym__keyword_timestamp] = STATE(10540),
    [sym_select_subexpression] = STATE(10861),
    [sym_function_call] = STATE(10861),
    [sym_unnest_operator] = STATE(6471),
    [sym_unnest_clause] = STATE(10861),
    [sym__literal] = STATE(10861),
    [sym_NULL] = STATE(10861),
    [sym_TRUE] = STATE(10861),
    [sym_FALSE] = STATE(10861),
    [sym__float] = STATE(10863),
    [sym_numeric] = STATE(10863),
    [sym__number] = STATE(10863),
    [sym_interval] = STATE(10861),
    [sym_range] = STATE(10861),
    [sym_time] = STATE(10861),
    [sym_number] = STATE(10861),
    [sym_json] = STATE(10861),
    [sym_query_parameter] = STATE(10861),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19065),
    [sym__type_array] = STATE(18448),
    [sym_array] = STATE(10861),
    [sym_struct] = STATE(10861),
    [sym__identifier] = STATE(10536),
    [sym__dotted_identifier] = STATE(14157),
    [sym_identifier] = STATE(10772),
    [sym_string] = STATE(10861),
    [sym__expression] = STATE(9061),
    [sym__parenthesized_expression] = STATE(10861),
    [sym_element_access] = STATE(10861),
    [sym_field_access] = STATE(10861),
    [sym_unary_expression] = STATE(10861),
    [sym_binary_expression] = STATE(10861),
    [sym_between_operator] = STATE(10861),
    [sym_casewhen_expression] = STATE(10861),
    [sym_cast_expression] = STATE(10861),
    [sym_argument_reference] = STATE(10861),
    [aux_sym_identifier_repeat1] = STATE(14157),
    [sym__unquoted_identifier] = ACTIONS(2552),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2554),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2556),
    [aux_sym__keyword_case_token1] = ACTIONS(2558),
    [aux_sym__keyword_cast_token1] = ACTIONS(2560),
    [aux_sym__keyword_cast_token2] = ACTIONS(2560),
    [aux_sym__keyword_date_token1] = ACTIONS(2562),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2562),
    [aux_sym__keyword_time_token1] = ACTIONS(2562),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [aux_sym_drop_notnull_token1] = ACTIONS(2566),
    [aux_sym_function_call_token2] = ACTIONS(2568),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2570),
    [aux_sym_FALSE_token1] = ACTIONS(2572),
    [sym__integer] = ACTIONS(2574),
    [aux_sym__float_token1] = ACTIONS(2576),
    [aux_sym__float_token2] = ACTIONS(2574),
    [aux_sym__float_token3] = ACTIONS(2576),
    [aux_sym_numeric_token1] = ACTIONS(2578),
    [aux_sym_numeric_token2] = ACTIONS(2578),
    [aux_sym_numeric_token3] = ACTIONS(2578),
    [aux_sym_numeric_token4] = ACTIONS(2578),
    [aux_sym_interval_token1] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [aux_sym_json_token1] = ACTIONS(2584),
    [sym_system_variable] = ACTIONS(2586),
    [sym__named_query_parameter] = ACTIONS(2588),
    [sym__positional_query_parameter] = ACTIONS(2590),
    [sym__quoted_identifier] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_operator_compare] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [sym__string_start] = ACTIONS(2602),
  },
  [1454] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9662),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1455] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16148),
    [sym__keyword_case] = STATE(268),
    [sym__keyword_not] = STATE(1835),
    [sym__keyword_cast] = STATE(19305),
    [sym__keyword_date] = STATE(7284),
    [sym__keyword_datetime] = STATE(7284),
    [sym__keyword_time] = STATE(7284),
    [sym__keyword_timestamp] = STATE(7284),
    [sym_select_subexpression] = STATE(7910),
    [sym_function_call] = STATE(7910),
    [sym_unnest_operator] = STATE(5277),
    [sym_unnest_clause] = STATE(7910),
    [sym__literal] = STATE(7910),
    [sym_NULL] = STATE(7910),
    [sym_TRUE] = STATE(7910),
    [sym_FALSE] = STATE(7910),
    [sym__float] = STATE(7895),
    [sym_numeric] = STATE(7895),
    [sym__number] = STATE(7895),
    [sym_interval] = STATE(7910),
    [sym_range] = STATE(7910),
    [sym_time] = STATE(7910),
    [sym_number] = STATE(7910),
    [sym_json] = STATE(7910),
    [sym_query_parameter] = STATE(7910),
    [sym__type_chrono] = STATE(7179),
    [sym__type_struct] = STATE(19135),
    [sym__type_array] = STATE(18721),
    [sym_array] = STATE(7910),
    [sym_struct] = STATE(7910),
    [sym__identifier] = STATE(5408),
    [sym__dotted_identifier] = STATE(13708),
    [sym_identifier] = STATE(7424),
    [sym_string] = STATE(7910),
    [sym__expression] = STATE(5848),
    [sym__parenthesized_expression] = STATE(7910),
    [sym_element_access] = STATE(7910),
    [sym_field_access] = STATE(7910),
    [sym_unary_expression] = STATE(7910),
    [sym_binary_expression] = STATE(7910),
    [sym_between_operator] = STATE(7910),
    [sym_casewhen_expression] = STATE(7910),
    [sym_cast_expression] = STATE(7910),
    [sym_argument_reference] = STATE(7910),
    [aux_sym_identifier_repeat1] = STATE(13708),
    [sym__unquoted_identifier] = ACTIONS(2440),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2442),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2444),
    [aux_sym__keyword_case_token1] = ACTIONS(2446),
    [aux_sym__keyword_cast_token1] = ACTIONS(2448),
    [aux_sym__keyword_cast_token2] = ACTIONS(2448),
    [aux_sym__keyword_date_token1] = ACTIONS(2450),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2450),
    [aux_sym__keyword_time_token1] = ACTIONS(2450),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2452),
    [aux_sym_drop_notnull_token1] = ACTIONS(2454),
    [aux_sym_function_call_token2] = ACTIONS(2456),
    [aux_sym_unnest_operator_token1] = ACTIONS(2458),
    [aux_sym_TRUE_token1] = ACTIONS(2460),
    [aux_sym_FALSE_token1] = ACTIONS(2462),
    [sym__integer] = ACTIONS(2464),
    [aux_sym__float_token1] = ACTIONS(2466),
    [aux_sym__float_token2] = ACTIONS(2464),
    [aux_sym__float_token3] = ACTIONS(2466),
    [aux_sym_numeric_token1] = ACTIONS(2468),
    [aux_sym_numeric_token2] = ACTIONS(2468),
    [aux_sym_numeric_token3] = ACTIONS(2468),
    [aux_sym_numeric_token4] = ACTIONS(2468),
    [aux_sym_interval_token1] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [aux_sym_json_token1] = ACTIONS(2474),
    [sym_system_variable] = ACTIONS(2476),
    [sym__named_query_parameter] = ACTIONS(2478),
    [sym__positional_query_parameter] = ACTIONS(2480),
    [sym__quoted_identifier] = ACTIONS(2482),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2484),
    [anon_sym_PLUS] = ACTIONS(2486),
    [anon_sym_DASH] = ACTIONS(2486),
    [anon_sym_operator_compare] = ACTIONS(2488),
    [anon_sym_DOLLAR] = ACTIONS(2490),
    [sym__string_start] = ACTIONS(2492),
  },
  [1456] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16294),
    [sym__keyword_case] = STATE(376),
    [sym__keyword_not] = STATE(1425),
    [sym__keyword_cast] = STATE(19283),
    [sym__keyword_date] = STATE(4607),
    [sym__keyword_datetime] = STATE(4607),
    [sym__keyword_time] = STATE(4607),
    [sym__keyword_timestamp] = STATE(4607),
    [sym_select_subexpression] = STATE(4924),
    [sym_function_call] = STATE(4924),
    [sym_unnest_operator] = STATE(1962),
    [sym_unnest_clause] = STATE(4924),
    [sym__literal] = STATE(4924),
    [sym_NULL] = STATE(4924),
    [sym_TRUE] = STATE(4924),
    [sym_FALSE] = STATE(4924),
    [sym__float] = STATE(4921),
    [sym_numeric] = STATE(4921),
    [sym__number] = STATE(4921),
    [sym_interval] = STATE(4924),
    [sym_range] = STATE(4924),
    [sym_time] = STATE(4924),
    [sym_number] = STATE(4924),
    [sym_json] = STATE(4924),
    [sym_query_parameter] = STATE(4924),
    [sym__type_chrono] = STATE(4379),
    [sym__type_struct] = STATE(19058),
    [sym__type_array] = STATE(18414),
    [sym_array] = STATE(4924),
    [sym_struct] = STATE(4924),
    [sym__identifier] = STATE(4755),
    [sym__dotted_identifier] = STATE(13556),
    [sym_identifier] = STATE(4917),
    [sym_string] = STATE(4924),
    [sym__expression] = STATE(2975),
    [sym__parenthesized_expression] = STATE(4924),
    [sym_element_access] = STATE(4924),
    [sym_field_access] = STATE(4924),
    [sym_unary_expression] = STATE(4924),
    [sym_binary_expression] = STATE(4924),
    [sym_between_operator] = STATE(4924),
    [sym_casewhen_expression] = STATE(4924),
    [sym_cast_expression] = STATE(4924),
    [sym_argument_reference] = STATE(4924),
    [aux_sym_identifier_repeat1] = STATE(13556),
    [sym__unquoted_identifier] = ACTIONS(2604),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2606),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2608),
    [aux_sym__keyword_case_token1] = ACTIONS(2610),
    [aux_sym__keyword_cast_token1] = ACTIONS(2612),
    [aux_sym__keyword_cast_token2] = ACTIONS(2612),
    [aux_sym__keyword_date_token1] = ACTIONS(2614),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2614),
    [aux_sym__keyword_time_token1] = ACTIONS(2614),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2614),
    [anon_sym_LPAREN] = ACTIONS(2616),
    [aux_sym_drop_notnull_token1] = ACTIONS(2618),
    [aux_sym_function_call_token2] = ACTIONS(2620),
    [aux_sym_unnest_operator_token1] = ACTIONS(2622),
    [aux_sym_TRUE_token1] = ACTIONS(2624),
    [aux_sym_FALSE_token1] = ACTIONS(2626),
    [sym__integer] = ACTIONS(2628),
    [aux_sym__float_token1] = ACTIONS(2630),
    [aux_sym__float_token2] = ACTIONS(2628),
    [aux_sym__float_token3] = ACTIONS(2630),
    [aux_sym_numeric_token1] = ACTIONS(2632),
    [aux_sym_numeric_token2] = ACTIONS(2632),
    [aux_sym_numeric_token3] = ACTIONS(2632),
    [aux_sym_numeric_token4] = ACTIONS(2632),
    [aux_sym_interval_token1] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [aux_sym_json_token1] = ACTIONS(2638),
    [sym_system_variable] = ACTIONS(2640),
    [sym__named_query_parameter] = ACTIONS(2642),
    [sym__positional_query_parameter] = ACTIONS(2644),
    [sym__quoted_identifier] = ACTIONS(2646),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2648),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_operator_compare] = ACTIONS(2652),
    [anon_sym_DOLLAR] = ACTIONS(2654),
    [sym__string_start] = ACTIONS(2656),
  },
  [1457] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16294),
    [sym__keyword_case] = STATE(376),
    [sym__keyword_not] = STATE(1425),
    [sym__keyword_cast] = STATE(19283),
    [sym__keyword_date] = STATE(4607),
    [sym__keyword_datetime] = STATE(4607),
    [sym__keyword_time] = STATE(4607),
    [sym__keyword_timestamp] = STATE(4607),
    [sym_select_subexpression] = STATE(4924),
    [sym_function_call] = STATE(4924),
    [sym_unnest_operator] = STATE(1962),
    [sym_unnest_clause] = STATE(4924),
    [sym__literal] = STATE(4924),
    [sym_NULL] = STATE(4924),
    [sym_TRUE] = STATE(4924),
    [sym_FALSE] = STATE(4924),
    [sym__float] = STATE(4921),
    [sym_numeric] = STATE(4921),
    [sym__number] = STATE(4921),
    [sym_interval] = STATE(4924),
    [sym_range] = STATE(4924),
    [sym_time] = STATE(4924),
    [sym_number] = STATE(4924),
    [sym_json] = STATE(4924),
    [sym_query_parameter] = STATE(4924),
    [sym__type_chrono] = STATE(4379),
    [sym__type_struct] = STATE(19058),
    [sym__type_array] = STATE(18414),
    [sym_array] = STATE(4924),
    [sym_struct] = STATE(4924),
    [sym__identifier] = STATE(4755),
    [sym__dotted_identifier] = STATE(13556),
    [sym_identifier] = STATE(4917),
    [sym_string] = STATE(4924),
    [sym__expression] = STATE(2974),
    [sym__parenthesized_expression] = STATE(4924),
    [sym_element_access] = STATE(4924),
    [sym_field_access] = STATE(4924),
    [sym_unary_expression] = STATE(4924),
    [sym_binary_expression] = STATE(4924),
    [sym_between_operator] = STATE(4924),
    [sym_casewhen_expression] = STATE(4924),
    [sym_cast_expression] = STATE(4924),
    [sym_argument_reference] = STATE(4924),
    [aux_sym_identifier_repeat1] = STATE(13556),
    [sym__unquoted_identifier] = ACTIONS(2604),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2606),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2608),
    [aux_sym__keyword_case_token1] = ACTIONS(2610),
    [aux_sym__keyword_cast_token1] = ACTIONS(2612),
    [aux_sym__keyword_cast_token2] = ACTIONS(2612),
    [aux_sym__keyword_date_token1] = ACTIONS(2614),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2614),
    [aux_sym__keyword_time_token1] = ACTIONS(2614),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2614),
    [anon_sym_LPAREN] = ACTIONS(2616),
    [aux_sym_drop_notnull_token1] = ACTIONS(2618),
    [aux_sym_function_call_token2] = ACTIONS(2620),
    [aux_sym_unnest_operator_token1] = ACTIONS(2622),
    [aux_sym_TRUE_token1] = ACTIONS(2624),
    [aux_sym_FALSE_token1] = ACTIONS(2626),
    [sym__integer] = ACTIONS(2628),
    [aux_sym__float_token1] = ACTIONS(2630),
    [aux_sym__float_token2] = ACTIONS(2628),
    [aux_sym__float_token3] = ACTIONS(2630),
    [aux_sym_numeric_token1] = ACTIONS(2632),
    [aux_sym_numeric_token2] = ACTIONS(2632),
    [aux_sym_numeric_token3] = ACTIONS(2632),
    [aux_sym_numeric_token4] = ACTIONS(2632),
    [aux_sym_interval_token1] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [aux_sym_json_token1] = ACTIONS(2638),
    [sym_system_variable] = ACTIONS(2640),
    [sym__named_query_parameter] = ACTIONS(2642),
    [sym__positional_query_parameter] = ACTIONS(2644),
    [sym__quoted_identifier] = ACTIONS(2646),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2648),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_operator_compare] = ACTIONS(2652),
    [anon_sym_DOLLAR] = ACTIONS(2654),
    [sym__string_start] = ACTIONS(2656),
  },
  [1458] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1784),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2484),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3596),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2420),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2426),
    [anon_sym_PLUS] = ACTIONS(2428),
    [anon_sym_DASH] = ACTIONS(2428),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1459] = {
    [sym_analytics_clause] = STATE(2092),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1420),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_from_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_end_token1] = ACTIONS(1420),
    [aux_sym__keyword_between_token1] = ACTIONS(1420),
    [aux_sym__keyword_when_token1] = ACTIONS(1420),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1420),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1420),
    [aux_sym__keyword_like_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_window_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_repeat_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token3] = ACTIONS(1420),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_having_clause_token1] = ACTIONS(1420),
    [aux_sym_qualify_clause_token1] = ACTIONS(1420),
    [aux_sym_limit_clause_token1] = ACTIONS(1420),
    [aux_sym_group_by_clause_token1] = ACTIONS(1420),
    [aux_sym_order_by_clause_token1] = ACTIONS(1420),
    [aux_sym_where_clause_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [1460] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16148),
    [sym__keyword_case] = STATE(268),
    [sym__keyword_not] = STATE(1835),
    [sym__keyword_cast] = STATE(19305),
    [sym__keyword_date] = STATE(7284),
    [sym__keyword_datetime] = STATE(7284),
    [sym__keyword_time] = STATE(7284),
    [sym__keyword_timestamp] = STATE(7284),
    [sym_select_subexpression] = STATE(7910),
    [sym_function_call] = STATE(7910),
    [sym_unnest_operator] = STATE(5277),
    [sym_unnest_clause] = STATE(7910),
    [sym__literal] = STATE(7910),
    [sym_NULL] = STATE(7910),
    [sym_TRUE] = STATE(7910),
    [sym_FALSE] = STATE(7910),
    [sym__float] = STATE(7895),
    [sym_numeric] = STATE(7895),
    [sym__number] = STATE(7895),
    [sym_interval] = STATE(7910),
    [sym_range] = STATE(7910),
    [sym_time] = STATE(7910),
    [sym_number] = STATE(7910),
    [sym_json] = STATE(7910),
    [sym_query_parameter] = STATE(7910),
    [sym__type_chrono] = STATE(7179),
    [sym__type_struct] = STATE(19135),
    [sym__type_array] = STATE(18721),
    [sym_array] = STATE(7910),
    [sym_struct] = STATE(7910),
    [sym__identifier] = STATE(5408),
    [sym__dotted_identifier] = STATE(13708),
    [sym_identifier] = STATE(7424),
    [sym_string] = STATE(7910),
    [sym__expression] = STATE(5719),
    [sym__parenthesized_expression] = STATE(7910),
    [sym_element_access] = STATE(7910),
    [sym_field_access] = STATE(7910),
    [sym_unary_expression] = STATE(7910),
    [sym_binary_expression] = STATE(7910),
    [sym_between_operator] = STATE(7910),
    [sym_casewhen_expression] = STATE(7910),
    [sym_cast_expression] = STATE(7910),
    [sym_argument_reference] = STATE(7910),
    [aux_sym_identifier_repeat1] = STATE(13708),
    [sym__unquoted_identifier] = ACTIONS(2440),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2442),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2444),
    [aux_sym__keyword_case_token1] = ACTIONS(2446),
    [aux_sym__keyword_cast_token1] = ACTIONS(2448),
    [aux_sym__keyword_cast_token2] = ACTIONS(2448),
    [aux_sym__keyword_date_token1] = ACTIONS(2450),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2450),
    [aux_sym__keyword_time_token1] = ACTIONS(2450),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2452),
    [aux_sym_drop_notnull_token1] = ACTIONS(2454),
    [aux_sym_function_call_token2] = ACTIONS(2456),
    [aux_sym_unnest_operator_token1] = ACTIONS(2458),
    [aux_sym_TRUE_token1] = ACTIONS(2460),
    [aux_sym_FALSE_token1] = ACTIONS(2462),
    [sym__integer] = ACTIONS(2464),
    [aux_sym__float_token1] = ACTIONS(2466),
    [aux_sym__float_token2] = ACTIONS(2464),
    [aux_sym__float_token3] = ACTIONS(2466),
    [aux_sym_numeric_token1] = ACTIONS(2468),
    [aux_sym_numeric_token2] = ACTIONS(2468),
    [aux_sym_numeric_token3] = ACTIONS(2468),
    [aux_sym_numeric_token4] = ACTIONS(2468),
    [aux_sym_interval_token1] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [aux_sym_json_token1] = ACTIONS(2474),
    [sym_system_variable] = ACTIONS(2476),
    [sym__named_query_parameter] = ACTIONS(2478),
    [sym__positional_query_parameter] = ACTIONS(2480),
    [sym__quoted_identifier] = ACTIONS(2482),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2484),
    [anon_sym_PLUS] = ACTIONS(2486),
    [anon_sym_DASH] = ACTIONS(2486),
    [anon_sym_operator_compare] = ACTIONS(2488),
    [anon_sym_DOLLAR] = ACTIONS(2490),
    [sym__string_start] = ACTIONS(2492),
  },
  [1461] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16298),
    [sym__keyword_case] = STATE(370),
    [sym__keyword_not] = STATE(1461),
    [sym__keyword_cast] = STATE(19281),
    [sym__keyword_date] = STATE(5984),
    [sym__keyword_datetime] = STATE(5984),
    [sym__keyword_time] = STATE(5984),
    [sym__keyword_timestamp] = STATE(5984),
    [sym_select_subexpression] = STATE(6583),
    [sym_function_call] = STATE(6583),
    [sym_unnest_operator] = STATE(5280),
    [sym_unnest_clause] = STATE(6583),
    [sym__literal] = STATE(6583),
    [sym_NULL] = STATE(6583),
    [sym_TRUE] = STATE(6583),
    [sym_FALSE] = STATE(6583),
    [sym__float] = STATE(6582),
    [sym_numeric] = STATE(6582),
    [sym__number] = STATE(6582),
    [sym_interval] = STATE(6583),
    [sym_range] = STATE(6583),
    [sym_time] = STATE(6583),
    [sym_number] = STATE(6583),
    [sym_json] = STATE(6583),
    [sym_query_parameter] = STATE(6583),
    [sym__type_chrono] = STATE(5709),
    [sym__type_struct] = STATE(19051),
    [sym__type_array] = STATE(18379),
    [sym_array] = STATE(6583),
    [sym_struct] = STATE(6583),
    [sym__identifier] = STATE(5940),
    [sym__dotted_identifier] = STATE(13302),
    [sym_identifier] = STATE(6280),
    [sym_string] = STATE(6583),
    [sym__expression] = STATE(5335),
    [sym__parenthesized_expression] = STATE(6583),
    [sym_element_access] = STATE(6583),
    [sym_field_access] = STATE(6583),
    [sym_unary_expression] = STATE(6583),
    [sym_binary_expression] = STATE(6583),
    [sym_between_operator] = STATE(6583),
    [sym_casewhen_expression] = STATE(6583),
    [sym_cast_expression] = STATE(6583),
    [sym_argument_reference] = STATE(6583),
    [aux_sym_identifier_repeat1] = STATE(13302),
    [sym__unquoted_identifier] = ACTIONS(491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(493),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(495),
    [aux_sym__keyword_case_token1] = ACTIONS(497),
    [aux_sym__keyword_cast_token1] = ACTIONS(499),
    [aux_sym__keyword_cast_token2] = ACTIONS(499),
    [aux_sym__keyword_date_token1] = ACTIONS(501),
    [aux_sym__keyword_datetime_token1] = ACTIONS(501),
    [aux_sym__keyword_time_token1] = ACTIONS(501),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(503),
    [aux_sym_drop_notnull_token1] = ACTIONS(505),
    [aux_sym_function_call_token2] = ACTIONS(507),
    [aux_sym_unnest_operator_token1] = ACTIONS(509),
    [aux_sym_TRUE_token1] = ACTIONS(511),
    [aux_sym_FALSE_token1] = ACTIONS(513),
    [sym__integer] = ACTIONS(515),
    [aux_sym__float_token1] = ACTIONS(517),
    [aux_sym__float_token2] = ACTIONS(515),
    [aux_sym__float_token3] = ACTIONS(517),
    [aux_sym_numeric_token1] = ACTIONS(519),
    [aux_sym_numeric_token2] = ACTIONS(519),
    [aux_sym_numeric_token3] = ACTIONS(519),
    [aux_sym_numeric_token4] = ACTIONS(519),
    [aux_sym_interval_token1] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(523),
    [aux_sym_json_token1] = ACTIONS(525),
    [sym_system_variable] = ACTIONS(527),
    [sym__named_query_parameter] = ACTIONS(529),
    [sym__positional_query_parameter] = ACTIONS(531),
    [sym__quoted_identifier] = ACTIONS(533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_operator_compare] = ACTIONS(539),
    [anon_sym_DOLLAR] = ACTIONS(541),
    [sym__string_start] = ACTIONS(543),
  },
  [1462] = {
    [sym_analytics_clause] = STATE(2108),
    [sym__unquoted_identifier] = ACTIONS(1416),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1416),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1416),
    [aux_sym_keyword_replace_token1] = ACTIONS(1416),
    [aux_sym__keyword_alter_token1] = ACTIONS(1416),
    [aux_sym__keyword_from_token1] = ACTIONS(1416),
    [aux_sym__keyword_delete_token1] = ACTIONS(1416),
    [aux_sym__keyword_begin_token1] = ACTIONS(1416),
    [aux_sym__keyword_end_token1] = ACTIONS(1416),
    [aux_sym__keyword_between_token1] = ACTIONS(1416),
    [aux_sym__keyword_when_token1] = ACTIONS(1416),
    [aux_sym__keyword_else_token1] = ACTIONS(1416),
    [aux_sym__keyword_is_token1] = ACTIONS(1416),
    [aux_sym__keyword_in_token1] = ACTIONS(1416),
    [aux_sym__keyword_and_token1] = ACTIONS(1416),
    [aux_sym__keyword_like_token1] = ACTIONS(1416),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1416),
    [aux_sym__keyword_as_token1] = ACTIONS(1416),
    [aux_sym__keyword_window_token1] = ACTIONS(1416),
    [aux_sym__keyword_date_token1] = ACTIONS(1416),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1416),
    [aux_sym__keyword_time_token1] = ACTIONS(1416),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1416),
    [aux_sym__keyword_for_token1] = ACTIONS(1416),
    [anon_sym_SEMI] = ACTIONS(1414),
    [aux_sym_declare_statement_token1] = ACTIONS(1416),
    [anon_sym_COMMA] = ACTIONS(1414),
    [aux_sym_set_statement_token1] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1416),
    [aux_sym_return_satement_token1] = ACTIONS(1416),
    [aux_sym_call_statement_token1] = ACTIONS(1416),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1416),
    [aux_sym_if_statement_token1] = ACTIONS(1416),
    [aux_sym_loop_statement_token1] = ACTIONS(1416),
    [aux_sym_repeat_statement_token1] = ACTIONS(1416),
    [aux_sym_while_statement_token1] = ACTIONS(1416),
    [aux_sym_break_statement_token1] = ACTIONS(1416),
    [aux_sym_leave_statement_token1] = ACTIONS(1416),
    [aux_sym_continue_statement_token1] = ACTIONS(1416),
    [aux_sym_iterate_statement_token1] = ACTIONS(1416),
    [aux_sym_raise_statement_token1] = ACTIONS(1416),
    [anon_sym_EQ] = ACTIONS(1414),
    [aux_sym_assert_statement_token1] = ACTIONS(1416),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1416),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1416),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1416),
    [anon_sym_LT] = ACTIONS(1416),
    [anon_sym_GT] = ACTIONS(1416),
    [aux_sym_set_operation_token1] = ACTIONS(1416),
    [aux_sym_set_operation_token3] = ACTIONS(1416),
    [aux_sym_set_operation_token4] = ACTIONS(1416),
    [aux_sym_select_token1] = ACTIONS(1416),
    [aux_sym_having_clause_token1] = ACTIONS(1416),
    [aux_sym_qualify_clause_token1] = ACTIONS(1416),
    [aux_sym_limit_clause_token1] = ACTIONS(1416),
    [aux_sym_group_by_clause_token1] = ACTIONS(1416),
    [aux_sym_order_by_clause_token1] = ACTIONS(1416),
    [aux_sym_where_clause_token1] = ACTIONS(1416),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1416),
    [aux_sym_truncate_statement_token1] = ACTIONS(1416),
    [aux_sym_update_statement_token1] = ACTIONS(1416),
    [aux_sym_merge_statement_token1] = ACTIONS(1416),
    [aux_sym_grant_statement_token1] = ACTIONS(1416),
    [aux_sym_revoke_statement_token1] = ACTIONS(1416),
    [aux_sym_export_data_statement_token1] = ACTIONS(1416),
    [aux_sym_load_data_statement_token1] = ACTIONS(1416),
    [anon_sym_LBRACK] = ACTIONS(1414),
    [sym__quoted_identifier] = ACTIONS(1414),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_SLASH] = ACTIONS(1416),
    [anon_sym_PIPE_PIPE] = ACTIONS(1414),
    [anon_sym_LT_EQ] = ACTIONS(1414),
    [anon_sym_LT_GT] = ACTIONS(1414),
    [anon_sym_GT_EQ] = ACTIONS(1414),
    [anon_sym_BANG_EQ] = ACTIONS(1414),
    [anon_sym_LT_LT] = ACTIONS(1414),
    [anon_sym_GT_GT] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_CARET] = ACTIONS(1414),
    [anon_sym_PIPE] = ACTIONS(1416),
  },
  [1463] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16148),
    [sym__keyword_case] = STATE(268),
    [sym__keyword_not] = STATE(1835),
    [sym__keyword_cast] = STATE(19305),
    [sym__keyword_date] = STATE(7284),
    [sym__keyword_datetime] = STATE(7284),
    [sym__keyword_time] = STATE(7284),
    [sym__keyword_timestamp] = STATE(7284),
    [sym_select_subexpression] = STATE(7910),
    [sym_function_call] = STATE(7910),
    [sym_unnest_operator] = STATE(5277),
    [sym_unnest_clause] = STATE(7910),
    [sym__literal] = STATE(7910),
    [sym_NULL] = STATE(7910),
    [sym_TRUE] = STATE(7910),
    [sym_FALSE] = STATE(7910),
    [sym__float] = STATE(7895),
    [sym_numeric] = STATE(7895),
    [sym__number] = STATE(7895),
    [sym_interval] = STATE(7910),
    [sym_range] = STATE(7910),
    [sym_time] = STATE(7910),
    [sym_number] = STATE(7910),
    [sym_json] = STATE(7910),
    [sym_query_parameter] = STATE(7910),
    [sym__type_chrono] = STATE(7179),
    [sym__type_struct] = STATE(19135),
    [sym__type_array] = STATE(18721),
    [sym_array] = STATE(7910),
    [sym_struct] = STATE(7910),
    [sym__identifier] = STATE(5408),
    [sym__dotted_identifier] = STATE(13708),
    [sym_identifier] = STATE(7424),
    [sym_string] = STATE(7910),
    [sym__expression] = STATE(5720),
    [sym__parenthesized_expression] = STATE(7910),
    [sym_element_access] = STATE(7910),
    [sym_field_access] = STATE(7910),
    [sym_unary_expression] = STATE(7910),
    [sym_binary_expression] = STATE(7910),
    [sym_between_operator] = STATE(7910),
    [sym_casewhen_expression] = STATE(7910),
    [sym_cast_expression] = STATE(7910),
    [sym_argument_reference] = STATE(7910),
    [aux_sym_identifier_repeat1] = STATE(13708),
    [sym__unquoted_identifier] = ACTIONS(2440),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2442),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2444),
    [aux_sym__keyword_case_token1] = ACTIONS(2446),
    [aux_sym__keyword_cast_token1] = ACTIONS(2448),
    [aux_sym__keyword_cast_token2] = ACTIONS(2448),
    [aux_sym__keyword_date_token1] = ACTIONS(2450),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2450),
    [aux_sym__keyword_time_token1] = ACTIONS(2450),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2452),
    [aux_sym_drop_notnull_token1] = ACTIONS(2454),
    [aux_sym_function_call_token2] = ACTIONS(2456),
    [aux_sym_unnest_operator_token1] = ACTIONS(2458),
    [aux_sym_TRUE_token1] = ACTIONS(2460),
    [aux_sym_FALSE_token1] = ACTIONS(2462),
    [sym__integer] = ACTIONS(2464),
    [aux_sym__float_token1] = ACTIONS(2466),
    [aux_sym__float_token2] = ACTIONS(2464),
    [aux_sym__float_token3] = ACTIONS(2466),
    [aux_sym_numeric_token1] = ACTIONS(2468),
    [aux_sym_numeric_token2] = ACTIONS(2468),
    [aux_sym_numeric_token3] = ACTIONS(2468),
    [aux_sym_numeric_token4] = ACTIONS(2468),
    [aux_sym_interval_token1] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [aux_sym_json_token1] = ACTIONS(2474),
    [sym_system_variable] = ACTIONS(2476),
    [sym__named_query_parameter] = ACTIONS(2478),
    [sym__positional_query_parameter] = ACTIONS(2480),
    [sym__quoted_identifier] = ACTIONS(2482),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2484),
    [anon_sym_PLUS] = ACTIONS(2486),
    [anon_sym_DASH] = ACTIONS(2486),
    [anon_sym_operator_compare] = ACTIONS(2488),
    [anon_sym_DOLLAR] = ACTIONS(2490),
    [sym__string_start] = ACTIONS(2492),
  },
  [1464] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16282),
    [sym__keyword_case] = STATE(374),
    [sym__keyword_not] = STATE(1750),
    [sym__keyword_cast] = STATE(19285),
    [sym__keyword_date] = STATE(10540),
    [sym__keyword_datetime] = STATE(10540),
    [sym__keyword_time] = STATE(10540),
    [sym__keyword_timestamp] = STATE(10540),
    [sym_select_subexpression] = STATE(10861),
    [sym_function_call] = STATE(10861),
    [sym_unnest_operator] = STATE(5588),
    [sym_unnest_clause] = STATE(10861),
    [sym__literal] = STATE(10861),
    [sym_NULL] = STATE(10861),
    [sym_TRUE] = STATE(10861),
    [sym_FALSE] = STATE(10861),
    [sym__float] = STATE(10863),
    [sym_numeric] = STATE(10863),
    [sym__number] = STATE(10863),
    [sym_interval] = STATE(10861),
    [sym_range] = STATE(10861),
    [sym_time] = STATE(10861),
    [sym_number] = STATE(10861),
    [sym_json] = STATE(10861),
    [sym_query_parameter] = STATE(10861),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19065),
    [sym__type_array] = STATE(18448),
    [sym_array] = STATE(10861),
    [sym_struct] = STATE(10861),
    [sym__identifier] = STATE(10536),
    [sym__dotted_identifier] = STATE(14157),
    [sym_identifier] = STATE(10772),
    [sym_string] = STATE(10861),
    [sym__expression] = STATE(9522),
    [sym__parenthesized_expression] = STATE(10861),
    [sym_element_access] = STATE(10861),
    [sym_field_access] = STATE(10861),
    [sym_unary_expression] = STATE(10861),
    [sym_binary_expression] = STATE(10861),
    [sym_between_operator] = STATE(10861),
    [sym_casewhen_expression] = STATE(10861),
    [sym_cast_expression] = STATE(10861),
    [sym_argument_reference] = STATE(10861),
    [aux_sym_identifier_repeat1] = STATE(14157),
    [sym__unquoted_identifier] = ACTIONS(2552),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2554),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2556),
    [aux_sym__keyword_case_token1] = ACTIONS(2558),
    [aux_sym__keyword_cast_token1] = ACTIONS(2560),
    [aux_sym__keyword_cast_token2] = ACTIONS(2560),
    [aux_sym__keyword_date_token1] = ACTIONS(2562),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2562),
    [aux_sym__keyword_time_token1] = ACTIONS(2562),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [aux_sym_drop_notnull_token1] = ACTIONS(2566),
    [aux_sym_function_call_token2] = ACTIONS(2568),
    [aux_sym_unnest_operator_token1] = ACTIONS(2658),
    [aux_sym_TRUE_token1] = ACTIONS(2570),
    [aux_sym_FALSE_token1] = ACTIONS(2572),
    [sym__integer] = ACTIONS(2574),
    [aux_sym__float_token1] = ACTIONS(2576),
    [aux_sym__float_token2] = ACTIONS(2574),
    [aux_sym__float_token3] = ACTIONS(2576),
    [aux_sym_numeric_token1] = ACTIONS(2578),
    [aux_sym_numeric_token2] = ACTIONS(2578),
    [aux_sym_numeric_token3] = ACTIONS(2578),
    [aux_sym_numeric_token4] = ACTIONS(2578),
    [aux_sym_interval_token1] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [aux_sym_json_token1] = ACTIONS(2584),
    [sym_system_variable] = ACTIONS(2586),
    [sym__named_query_parameter] = ACTIONS(2588),
    [sym__positional_query_parameter] = ACTIONS(2590),
    [sym__quoted_identifier] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2660),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_operator_compare] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [sym__string_start] = ACTIONS(2602),
  },
  [1465] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16226),
    [sym__keyword_case] = STATE(372),
    [sym__keyword_not] = STATE(1816),
    [sym__keyword_cast] = STATE(19293),
    [sym__keyword_date] = STATE(7385),
    [sym__keyword_datetime] = STATE(7385),
    [sym__keyword_time] = STATE(7385),
    [sym__keyword_timestamp] = STATE(7385),
    [sym_select_subexpression] = STATE(8017),
    [sym_function_call] = STATE(8017),
    [sym_unnest_operator] = STATE(5315),
    [sym_unnest_clause] = STATE(8017),
    [sym__literal] = STATE(8017),
    [sym_NULL] = STATE(8017),
    [sym_TRUE] = STATE(8017),
    [sym_FALSE] = STATE(8017),
    [sym__float] = STATE(8015),
    [sym_numeric] = STATE(8015),
    [sym__number] = STATE(8015),
    [sym_interval] = STATE(8017),
    [sym_range] = STATE(8017),
    [sym_time] = STATE(8017),
    [sym_number] = STATE(8017),
    [sym_json] = STATE(8017),
    [sym_query_parameter] = STATE(8017),
    [sym__type_chrono] = STATE(7173),
    [sym__type_struct] = STATE(19093),
    [sym__type_array] = STATE(18559),
    [sym_array] = STATE(8017),
    [sym_struct] = STATE(8017),
    [sym__identifier] = STATE(7194),
    [sym__dotted_identifier] = STATE(13999),
    [sym_identifier] = STATE(9144),
    [sym_string] = STATE(8017),
    [sym__expression] = STATE(6152),
    [sym__parenthesized_expression] = STATE(8017),
    [sym_element_access] = STATE(8017),
    [sym_field_access] = STATE(8017),
    [sym_unary_expression] = STATE(8017),
    [sym_binary_expression] = STATE(8017),
    [sym_between_operator] = STATE(8017),
    [sym_casewhen_expression] = STATE(8017),
    [sym_cast_expression] = STATE(8017),
    [sym_argument_reference] = STATE(8017),
    [aux_sym_identifier_repeat1] = STATE(13999),
    [sym__unquoted_identifier] = ACTIONS(2166),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2168),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2170),
    [aux_sym__keyword_case_token1] = ACTIONS(2172),
    [aux_sym__keyword_cast_token1] = ACTIONS(2174),
    [aux_sym__keyword_cast_token2] = ACTIONS(2174),
    [aux_sym__keyword_date_token1] = ACTIONS(2176),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2176),
    [aux_sym__keyword_time_token1] = ACTIONS(2176),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2176),
    [anon_sym_LPAREN] = ACTIONS(2178),
    [aux_sym_drop_notnull_token1] = ACTIONS(2180),
    [aux_sym_function_call_token2] = ACTIONS(2182),
    [aux_sym_unnest_operator_token1] = ACTIONS(2184),
    [aux_sym_TRUE_token1] = ACTIONS(2186),
    [aux_sym_FALSE_token1] = ACTIONS(2188),
    [sym__integer] = ACTIONS(2190),
    [aux_sym__float_token1] = ACTIONS(2192),
    [aux_sym__float_token2] = ACTIONS(2190),
    [aux_sym__float_token3] = ACTIONS(2192),
    [aux_sym_numeric_token1] = ACTIONS(2194),
    [aux_sym_numeric_token2] = ACTIONS(2194),
    [aux_sym_numeric_token3] = ACTIONS(2194),
    [aux_sym_numeric_token4] = ACTIONS(2194),
    [aux_sym_interval_token1] = ACTIONS(2196),
    [anon_sym_LBRACK] = ACTIONS(2198),
    [aux_sym_json_token1] = ACTIONS(2200),
    [sym_system_variable] = ACTIONS(2202),
    [sym__named_query_parameter] = ACTIONS(2204),
    [sym__positional_query_parameter] = ACTIONS(2206),
    [sym__quoted_identifier] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_operator_compare] = ACTIONS(2214),
    [anon_sym_DOLLAR] = ACTIONS(2216),
    [sym__string_start] = ACTIONS(2218),
  },
  [1466] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10194),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1467] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16325),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1073),
    [sym__keyword_cast] = STATE(19275),
    [sym__keyword_date] = STATE(9495),
    [sym__keyword_datetime] = STATE(9495),
    [sym__keyword_time] = STATE(9495),
    [sym__keyword_timestamp] = STATE(9495),
    [sym_select_subexpression] = STATE(10495),
    [sym_function_call] = STATE(10495),
    [sym_unnest_operator] = STATE(6473),
    [sym_unnest_clause] = STATE(10495),
    [sym__literal] = STATE(10495),
    [sym_NULL] = STATE(10495),
    [sym_TRUE] = STATE(10495),
    [sym_FALSE] = STATE(10495),
    [sym__float] = STATE(10492),
    [sym_numeric] = STATE(10492),
    [sym__number] = STATE(10492),
    [sym_interval] = STATE(10495),
    [sym_range] = STATE(10495),
    [sym_time] = STATE(10495),
    [sym_number] = STATE(10495),
    [sym_json] = STATE(10495),
    [sym_query_parameter] = STATE(10495),
    [sym__type_chrono] = STATE(8422),
    [sym__type_struct] = STATE(19027),
    [sym__type_array] = STATE(18285),
    [sym_array] = STATE(10495),
    [sym_struct] = STATE(10495),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9694),
    [sym_string] = STATE(10495),
    [sym__expression] = STATE(9657),
    [sym__parenthesized_expression] = STATE(10495),
    [sym_element_access] = STATE(10495),
    [sym_field_access] = STATE(10495),
    [sym_unary_expression] = STATE(10495),
    [sym_binary_expression] = STATE(10495),
    [sym_between_operator] = STATE(10495),
    [sym_casewhen_expression] = STATE(10495),
    [sym_cast_expression] = STATE(10495),
    [sym_argument_reference] = STATE(10495),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2042),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2044),
    [aux_sym__keyword_case_token1] = ACTIONS(2046),
    [aux_sym__keyword_cast_token1] = ACTIONS(2048),
    [aux_sym__keyword_cast_token2] = ACTIONS(2048),
    [aux_sym__keyword_date_token1] = ACTIONS(2050),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2050),
    [aux_sym__keyword_time_token1] = ACTIONS(2050),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [aux_sym_drop_notnull_token1] = ACTIONS(2054),
    [aux_sym_function_call_token2] = ACTIONS(2056),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2060),
    [aux_sym_FALSE_token1] = ACTIONS(2062),
    [sym__integer] = ACTIONS(2064),
    [aux_sym__float_token1] = ACTIONS(2066),
    [aux_sym__float_token2] = ACTIONS(2064),
    [aux_sym__float_token3] = ACTIONS(2066),
    [aux_sym_numeric_token1] = ACTIONS(2068),
    [aux_sym_numeric_token2] = ACTIONS(2068),
    [aux_sym_numeric_token3] = ACTIONS(2068),
    [aux_sym_numeric_token4] = ACTIONS(2068),
    [aux_sym_interval_token1] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_json_token1] = ACTIONS(2074),
    [sym_system_variable] = ACTIONS(2076),
    [sym__named_query_parameter] = ACTIONS(2078),
    [sym__positional_query_parameter] = ACTIONS(2080),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_operator_compare] = ACTIONS(2086),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [sym__string_start] = ACTIONS(2090),
  },
  [1468] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9660),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1469] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9664),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1470] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10217),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1471] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16282),
    [sym__keyword_case] = STATE(374),
    [sym__keyword_not] = STATE(1750),
    [sym__keyword_cast] = STATE(19285),
    [sym__keyword_date] = STATE(10540),
    [sym__keyword_datetime] = STATE(10540),
    [sym__keyword_time] = STATE(10540),
    [sym__keyword_timestamp] = STATE(10540),
    [sym_select_subexpression] = STATE(10861),
    [sym_function_call] = STATE(10861),
    [sym_unnest_operator] = STATE(5588),
    [sym_unnest_clause] = STATE(10861),
    [sym__literal] = STATE(10861),
    [sym_NULL] = STATE(10861),
    [sym_TRUE] = STATE(10861),
    [sym_FALSE] = STATE(10861),
    [sym__float] = STATE(10863),
    [sym_numeric] = STATE(10863),
    [sym__number] = STATE(10863),
    [sym_interval] = STATE(10861),
    [sym_range] = STATE(10861),
    [sym_time] = STATE(10861),
    [sym_number] = STATE(10861),
    [sym_json] = STATE(10861),
    [sym_query_parameter] = STATE(10861),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19065),
    [sym__type_array] = STATE(18448),
    [sym_array] = STATE(10861),
    [sym_struct] = STATE(10861),
    [sym__identifier] = STATE(10536),
    [sym__dotted_identifier] = STATE(14157),
    [sym_identifier] = STATE(10772),
    [sym_string] = STATE(10861),
    [sym__expression] = STATE(8157),
    [sym__parenthesized_expression] = STATE(10861),
    [sym_element_access] = STATE(10861),
    [sym_field_access] = STATE(10861),
    [sym_unary_expression] = STATE(10861),
    [sym_binary_expression] = STATE(10861),
    [sym_between_operator] = STATE(10861),
    [sym_casewhen_expression] = STATE(10861),
    [sym_cast_expression] = STATE(10861),
    [sym_argument_reference] = STATE(10861),
    [aux_sym_identifier_repeat1] = STATE(14157),
    [sym__unquoted_identifier] = ACTIONS(2552),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2554),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2556),
    [aux_sym__keyword_case_token1] = ACTIONS(2558),
    [aux_sym__keyword_cast_token1] = ACTIONS(2560),
    [aux_sym__keyword_cast_token2] = ACTIONS(2560),
    [aux_sym__keyword_date_token1] = ACTIONS(2562),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2562),
    [aux_sym__keyword_time_token1] = ACTIONS(2562),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [aux_sym_drop_notnull_token1] = ACTIONS(2566),
    [aux_sym_function_call_token2] = ACTIONS(2568),
    [aux_sym_unnest_operator_token1] = ACTIONS(2658),
    [aux_sym_TRUE_token1] = ACTIONS(2570),
    [aux_sym_FALSE_token1] = ACTIONS(2572),
    [sym__integer] = ACTIONS(2574),
    [aux_sym__float_token1] = ACTIONS(2576),
    [aux_sym__float_token2] = ACTIONS(2574),
    [aux_sym__float_token3] = ACTIONS(2576),
    [aux_sym_numeric_token1] = ACTIONS(2578),
    [aux_sym_numeric_token2] = ACTIONS(2578),
    [aux_sym_numeric_token3] = ACTIONS(2578),
    [aux_sym_numeric_token4] = ACTIONS(2578),
    [aux_sym_interval_token1] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [aux_sym_json_token1] = ACTIONS(2584),
    [sym_system_variable] = ACTIONS(2586),
    [sym__named_query_parameter] = ACTIONS(2588),
    [sym__positional_query_parameter] = ACTIONS(2590),
    [sym__quoted_identifier] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2660),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_operator_compare] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [sym__string_start] = ACTIONS(2602),
  },
  [1472] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16226),
    [sym__keyword_case] = STATE(372),
    [sym__keyword_not] = STATE(1504),
    [sym__keyword_cast] = STATE(19293),
    [sym__keyword_date] = STATE(7385),
    [sym__keyword_datetime] = STATE(7385),
    [sym__keyword_time] = STATE(7385),
    [sym__keyword_timestamp] = STATE(7385),
    [sym_select_subexpression] = STATE(8017),
    [sym_function_call] = STATE(8017),
    [sym_unnest_operator] = STATE(5313),
    [sym_unnest_clause] = STATE(8017),
    [sym__literal] = STATE(8017),
    [sym_NULL] = STATE(8017),
    [sym_TRUE] = STATE(8017),
    [sym_FALSE] = STATE(8017),
    [sym__float] = STATE(8015),
    [sym_numeric] = STATE(8015),
    [sym__number] = STATE(8015),
    [sym_interval] = STATE(8017),
    [sym_range] = STATE(8017),
    [sym_time] = STATE(8017),
    [sym_number] = STATE(8017),
    [sym_json] = STATE(8017),
    [sym_query_parameter] = STATE(8017),
    [sym__type_chrono] = STATE(7173),
    [sym__type_struct] = STATE(19093),
    [sym__type_array] = STATE(18559),
    [sym_array] = STATE(8017),
    [sym_struct] = STATE(8017),
    [sym__identifier] = STATE(7194),
    [sym__dotted_identifier] = STATE(13999),
    [sym_identifier] = STATE(9346),
    [sym_string] = STATE(8017),
    [sym__expression] = STATE(6687),
    [sym__parenthesized_expression] = STATE(8017),
    [sym_element_access] = STATE(8017),
    [sym_field_access] = STATE(8017),
    [sym_unary_expression] = STATE(8017),
    [sym_binary_expression] = STATE(8017),
    [sym_between_operator] = STATE(8017),
    [sym_casewhen_expression] = STATE(8017),
    [sym_cast_expression] = STATE(8017),
    [sym_argument_reference] = STATE(8017),
    [aux_sym_identifier_repeat1] = STATE(13999),
    [sym__unquoted_identifier] = ACTIONS(2166),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2168),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2170),
    [aux_sym__keyword_case_token1] = ACTIONS(2172),
    [aux_sym__keyword_cast_token1] = ACTIONS(2174),
    [aux_sym__keyword_cast_token2] = ACTIONS(2174),
    [aux_sym__keyword_date_token1] = ACTIONS(2176),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2176),
    [aux_sym__keyword_time_token1] = ACTIONS(2176),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2176),
    [anon_sym_LPAREN] = ACTIONS(2178),
    [aux_sym_drop_notnull_token1] = ACTIONS(2180),
    [aux_sym_function_call_token2] = ACTIONS(2182),
    [aux_sym_unnest_operator_token1] = ACTIONS(509),
    [aux_sym_TRUE_token1] = ACTIONS(2186),
    [aux_sym_FALSE_token1] = ACTIONS(2188),
    [sym__integer] = ACTIONS(2190),
    [aux_sym__float_token1] = ACTIONS(2192),
    [aux_sym__float_token2] = ACTIONS(2190),
    [aux_sym__float_token3] = ACTIONS(2192),
    [aux_sym_numeric_token1] = ACTIONS(2194),
    [aux_sym_numeric_token2] = ACTIONS(2194),
    [aux_sym_numeric_token3] = ACTIONS(2194),
    [aux_sym_numeric_token4] = ACTIONS(2194),
    [aux_sym_interval_token1] = ACTIONS(2196),
    [anon_sym_LBRACK] = ACTIONS(2198),
    [aux_sym_json_token1] = ACTIONS(2200),
    [sym_system_variable] = ACTIONS(2202),
    [sym__named_query_parameter] = ACTIONS(2204),
    [sym__positional_query_parameter] = ACTIONS(2206),
    [sym__quoted_identifier] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_PLUS] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2680),
    [anon_sym_operator_compare] = ACTIONS(2214),
    [anon_sym_DOLLAR] = ACTIONS(2216),
    [sym__string_start] = ACTIONS(2218),
  },
  [1473] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10214),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1474] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9665),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1475] = {
    [sym__keyword_between] = STATE(914),
    [sym__keyword_is] = STATE(12157),
    [sym__keyword_in] = STATE(1277),
    [sym__keyword_not] = STATE(13081),
    [sym__keyword_and] = STATE(1293),
    [sym__keyword_or] = STATE(1294),
    [sym__keyword_like] = STATE(14280),
    [sym__direction_keywords] = STATE(6061),
    [sym__nulls_preference] = STATE(6455),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [aux_sym_order_by_clause_body_repeat1] = STATE(6456),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(2682),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(341),
    [aux_sym__keyword_alter_token1] = ACTIONS(2682),
    [aux_sym__keyword_delete_token1] = ACTIONS(2682),
    [aux_sym__keyword_begin_token1] = ACTIONS(2682),
    [aux_sym__keyword_end_token1] = ACTIONS(2682),
    [aux_sym__keyword_between_token1] = ACTIONS(2684),
    [aux_sym__keyword_when_token1] = ACTIONS(2682),
    [aux_sym__keyword_else_token1] = ACTIONS(2686),
    [aux_sym__keyword_is_token1] = ACTIONS(2688),
    [aux_sym__keyword_in_token1] = ACTIONS(2690),
    [aux_sym__keyword_and_token1] = ACTIONS(2692),
    [aux_sym__keyword_like_token1] = ACTIONS(1007),
    [aux_sym__keyword_repeat_token1] = ACTIONS(2682),
    [aux_sym__keyword_for_token1] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(2682),
    [aux_sym_declare_statement_token1] = ACTIONS(2682),
    [anon_sym_COMMA] = ACTIONS(2694),
    [aux_sym_set_statement_token1] = ACTIONS(2682),
    [anon_sym_LPAREN] = ACTIONS(2682),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(2682),
    [aux_sym_return_satement_token1] = ACTIONS(2682),
    [aux_sym_call_statement_token1] = ACTIONS(2682),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(2682),
    [aux_sym_if_statement_token1] = ACTIONS(2682),
    [aux_sym_loop_statement_token1] = ACTIONS(2682),
    [aux_sym_repeat_statement_token1] = ACTIONS(2682),
    [aux_sym_while_statement_token1] = ACTIONS(2682),
    [aux_sym_break_statement_token1] = ACTIONS(2682),
    [aux_sym_leave_statement_token1] = ACTIONS(2682),
    [aux_sym_continue_statement_token1] = ACTIONS(2682),
    [aux_sym_iterate_statement_token1] = ACTIONS(2682),
    [aux_sym_raise_statement_token1] = ACTIONS(2682),
    [anon_sym_EQ] = ACTIONS(2696),
    [aux_sym_assert_statement_token1] = ACTIONS(2682),
    [aux_sym_create_schema_statement_token1] = ACTIONS(2682),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(2682),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2682),
    [anon_sym_LT] = ACTIONS(2690),
    [anon_sym_GT] = ACTIONS(2690),
    [aux_sym_set_operation_token1] = ACTIONS(2682),
    [aux_sym_set_operation_token3] = ACTIONS(2682),
    [aux_sym_set_operation_token4] = ACTIONS(2686),
    [aux_sym_select_token1] = ACTIONS(2682),
    [aux_sym_limit_clause_token1] = ACTIONS(2682),
    [aux_sym__direction_keywords_token1] = ACTIONS(2698),
    [aux_sym__direction_keywords_token2] = ACTIONS(2698),
    [aux_sym__nulls_preference_token1] = ACTIONS(2700),
    [aux_sym_order_by_clause_token1] = ACTIONS(2682),
    [aux_sym_insert_statement_token1] = ACTIONS(2682),
    [aux_sym_truncate_statement_token1] = ACTIONS(2682),
    [aux_sym_update_statement_token1] = ACTIONS(2682),
    [aux_sym_merge_statement_token1] = ACTIONS(2682),
    [aux_sym_grant_statement_token1] = ACTIONS(2682),
    [aux_sym_revoke_statement_token1] = ACTIONS(2682),
    [aux_sym_export_data_statement_token1] = ACTIONS(2682),
    [aux_sym_load_data_statement_token1] = ACTIONS(2682),
    [anon_sym_LBRACK] = ACTIONS(2702),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(2704),
    [anon_sym_PLUS] = ACTIONS(2706),
    [anon_sym_DASH] = ACTIONS(2708),
    [anon_sym_STAR] = ACTIONS(2710),
    [anon_sym_SLASH] = ACTIONS(2712),
    [anon_sym_PIPE_PIPE] = ACTIONS(2710),
    [anon_sym_LT_EQ] = ACTIONS(2696),
    [anon_sym_LT_GT] = ACTIONS(2696),
    [anon_sym_GT_EQ] = ACTIONS(2696),
    [anon_sym_BANG_EQ] = ACTIONS(2696),
    [anon_sym_LT_LT] = ACTIONS(2714),
    [anon_sym_GT_GT] = ACTIONS(2714),
    [anon_sym_AMP] = ACTIONS(2716),
    [anon_sym_CARET] = ACTIONS(2718),
    [anon_sym_PIPE] = ACTIONS(2720),
  },
  [1476] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16148),
    [sym__keyword_case] = STATE(268),
    [sym__keyword_not] = STATE(1835),
    [sym__keyword_cast] = STATE(19305),
    [sym__keyword_date] = STATE(7284),
    [sym__keyword_datetime] = STATE(7284),
    [sym__keyword_time] = STATE(7284),
    [sym__keyword_timestamp] = STATE(7284),
    [sym_select_subexpression] = STATE(7910),
    [sym_function_call] = STATE(7910),
    [sym_unnest_operator] = STATE(5277),
    [sym_unnest_clause] = STATE(7910),
    [sym__literal] = STATE(7910),
    [sym_NULL] = STATE(7910),
    [sym_TRUE] = STATE(7910),
    [sym_FALSE] = STATE(7910),
    [sym__float] = STATE(7895),
    [sym_numeric] = STATE(7895),
    [sym__number] = STATE(7895),
    [sym_interval] = STATE(7910),
    [sym_range] = STATE(7910),
    [sym_time] = STATE(7910),
    [sym_number] = STATE(7910),
    [sym_json] = STATE(7910),
    [sym_query_parameter] = STATE(7910),
    [sym__type_chrono] = STATE(7179),
    [sym__type_struct] = STATE(19135),
    [sym__type_array] = STATE(18721),
    [sym_array] = STATE(7910),
    [sym_struct] = STATE(7910),
    [sym__identifier] = STATE(5408),
    [sym__dotted_identifier] = STATE(13708),
    [sym_identifier] = STATE(7424),
    [sym_string] = STATE(7910),
    [sym__expression] = STATE(5724),
    [sym__parenthesized_expression] = STATE(7910),
    [sym_element_access] = STATE(7910),
    [sym_field_access] = STATE(7910),
    [sym_unary_expression] = STATE(7910),
    [sym_binary_expression] = STATE(7910),
    [sym_between_operator] = STATE(7910),
    [sym_casewhen_expression] = STATE(7910),
    [sym_cast_expression] = STATE(7910),
    [sym_argument_reference] = STATE(7910),
    [aux_sym_identifier_repeat1] = STATE(13708),
    [sym__unquoted_identifier] = ACTIONS(2440),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2442),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2444),
    [aux_sym__keyword_case_token1] = ACTIONS(2446),
    [aux_sym__keyword_cast_token1] = ACTIONS(2448),
    [aux_sym__keyword_cast_token2] = ACTIONS(2448),
    [aux_sym__keyword_date_token1] = ACTIONS(2450),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2450),
    [aux_sym__keyword_time_token1] = ACTIONS(2450),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2452),
    [aux_sym_drop_notnull_token1] = ACTIONS(2454),
    [aux_sym_function_call_token2] = ACTIONS(2456),
    [aux_sym_unnest_operator_token1] = ACTIONS(2458),
    [aux_sym_TRUE_token1] = ACTIONS(2460),
    [aux_sym_FALSE_token1] = ACTIONS(2462),
    [sym__integer] = ACTIONS(2464),
    [aux_sym__float_token1] = ACTIONS(2466),
    [aux_sym__float_token2] = ACTIONS(2464),
    [aux_sym__float_token3] = ACTIONS(2466),
    [aux_sym_numeric_token1] = ACTIONS(2468),
    [aux_sym_numeric_token2] = ACTIONS(2468),
    [aux_sym_numeric_token3] = ACTIONS(2468),
    [aux_sym_numeric_token4] = ACTIONS(2468),
    [aux_sym_interval_token1] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [aux_sym_json_token1] = ACTIONS(2474),
    [sym_system_variable] = ACTIONS(2476),
    [sym__named_query_parameter] = ACTIONS(2478),
    [sym__positional_query_parameter] = ACTIONS(2480),
    [sym__quoted_identifier] = ACTIONS(2482),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2484),
    [anon_sym_PLUS] = ACTIONS(2486),
    [anon_sym_DASH] = ACTIONS(2486),
    [anon_sym_operator_compare] = ACTIONS(2488),
    [anon_sym_DOLLAR] = ACTIONS(2490),
    [sym__string_start] = ACTIONS(2492),
  },
  [1477] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10336),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1478] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10335),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1479] = {
    [sym_analytics_clause] = STATE(2125),
    [sym__unquoted_identifier] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1400),
    [aux_sym_keyword_replace_token1] = ACTIONS(1400),
    [aux_sym__keyword_alter_token1] = ACTIONS(1400),
    [aux_sym__keyword_from_token1] = ACTIONS(1400),
    [aux_sym__keyword_delete_token1] = ACTIONS(1400),
    [aux_sym__keyword_begin_token1] = ACTIONS(1400),
    [aux_sym__keyword_end_token1] = ACTIONS(1400),
    [aux_sym__keyword_between_token1] = ACTIONS(1400),
    [aux_sym__keyword_when_token1] = ACTIONS(1400),
    [aux_sym__keyword_else_token1] = ACTIONS(1400),
    [aux_sym__keyword_is_token1] = ACTIONS(1400),
    [aux_sym__keyword_in_token1] = ACTIONS(1400),
    [aux_sym__keyword_and_token1] = ACTIONS(1400),
    [aux_sym__keyword_like_token1] = ACTIONS(1400),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1400),
    [aux_sym__keyword_as_token1] = ACTIONS(1400),
    [aux_sym__keyword_window_token1] = ACTIONS(1400),
    [aux_sym__keyword_date_token1] = ACTIONS(1400),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1400),
    [aux_sym__keyword_time_token1] = ACTIONS(1400),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1400),
    [aux_sym__keyword_for_token1] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1400),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1400),
    [aux_sym_return_satement_token1] = ACTIONS(1400),
    [aux_sym_call_statement_token1] = ACTIONS(1400),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1400),
    [aux_sym_if_statement_token1] = ACTIONS(1400),
    [aux_sym_loop_statement_token1] = ACTIONS(1400),
    [aux_sym_repeat_statement_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token1] = ACTIONS(1400),
    [aux_sym_break_statement_token1] = ACTIONS(1400),
    [aux_sym_leave_statement_token1] = ACTIONS(1400),
    [aux_sym_continue_statement_token1] = ACTIONS(1400),
    [aux_sym_iterate_statement_token1] = ACTIONS(1400),
    [aux_sym_raise_statement_token1] = ACTIONS(1400),
    [anon_sym_EQ] = ACTIONS(1398),
    [aux_sym_assert_statement_token1] = ACTIONS(1400),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1400),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [aux_sym_set_operation_token1] = ACTIONS(1400),
    [aux_sym_set_operation_token3] = ACTIONS(1400),
    [aux_sym_set_operation_token4] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1400),
    [aux_sym_having_clause_token1] = ACTIONS(1400),
    [aux_sym_qualify_clause_token1] = ACTIONS(1400),
    [aux_sym_limit_clause_token1] = ACTIONS(1400),
    [aux_sym_group_by_clause_token1] = ACTIONS(1400),
    [aux_sym_order_by_clause_token1] = ACTIONS(1400),
    [aux_sym_where_clause_token1] = ACTIONS(1400),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1400),
    [aux_sym_truncate_statement_token1] = ACTIONS(1400),
    [aux_sym_update_statement_token1] = ACTIONS(1400),
    [aux_sym_merge_statement_token1] = ACTIONS(1400),
    [aux_sym_grant_statement_token1] = ACTIONS(1400),
    [aux_sym_revoke_statement_token1] = ACTIONS(1400),
    [aux_sym_export_data_statement_token1] = ACTIONS(1400),
    [aux_sym_load_data_statement_token1] = ACTIONS(1400),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym__quoted_identifier] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_LT_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
  },
  [1480] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1350),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2703),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(4209),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2674),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1481] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9661),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1482] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2486),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3913),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2418),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1483] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9659),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1484] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16294),
    [sym__keyword_case] = STATE(376),
    [sym__keyword_not] = STATE(1650),
    [sym__keyword_cast] = STATE(19283),
    [sym__keyword_date] = STATE(4607),
    [sym__keyword_datetime] = STATE(4607),
    [sym__keyword_time] = STATE(4607),
    [sym__keyword_timestamp] = STATE(4607),
    [sym_select_subexpression] = STATE(4924),
    [sym_function_call] = STATE(4924),
    [sym_unnest_operator] = STATE(2504),
    [sym_unnest_clause] = STATE(4924),
    [sym__literal] = STATE(4924),
    [sym_NULL] = STATE(4924),
    [sym_TRUE] = STATE(4924),
    [sym_FALSE] = STATE(4924),
    [sym__float] = STATE(4921),
    [sym_numeric] = STATE(4921),
    [sym__number] = STATE(4921),
    [sym_interval] = STATE(4924),
    [sym_range] = STATE(4924),
    [sym_time] = STATE(4924),
    [sym_number] = STATE(4924),
    [sym_json] = STATE(4924),
    [sym_query_parameter] = STATE(4924),
    [sym__type_chrono] = STATE(4379),
    [sym__type_struct] = STATE(19058),
    [sym__type_array] = STATE(18414),
    [sym_array] = STATE(4924),
    [sym_struct] = STATE(4924),
    [sym__identifier] = STATE(4755),
    [sym__dotted_identifier] = STATE(13556),
    [sym_identifier] = STATE(4917),
    [sym_string] = STATE(4924),
    [sym__expression] = STATE(3695),
    [sym__parenthesized_expression] = STATE(4924),
    [sym_element_access] = STATE(4924),
    [sym_field_access] = STATE(4924),
    [sym_unary_expression] = STATE(4924),
    [sym_binary_expression] = STATE(4924),
    [sym_between_operator] = STATE(4924),
    [sym_casewhen_expression] = STATE(4924),
    [sym_cast_expression] = STATE(4924),
    [sym_argument_reference] = STATE(4924),
    [aux_sym_identifier_repeat1] = STATE(13556),
    [sym__unquoted_identifier] = ACTIONS(2604),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2606),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2608),
    [aux_sym__keyword_case_token1] = ACTIONS(2610),
    [aux_sym__keyword_cast_token1] = ACTIONS(2612),
    [aux_sym__keyword_cast_token2] = ACTIONS(2612),
    [aux_sym__keyword_date_token1] = ACTIONS(2614),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2614),
    [aux_sym__keyword_time_token1] = ACTIONS(2614),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2614),
    [anon_sym_LPAREN] = ACTIONS(2616),
    [aux_sym_drop_notnull_token1] = ACTIONS(2618),
    [aux_sym_function_call_token2] = ACTIONS(2620),
    [aux_sym_unnest_operator_token1] = ACTIONS(2668),
    [aux_sym_TRUE_token1] = ACTIONS(2624),
    [aux_sym_FALSE_token1] = ACTIONS(2626),
    [sym__integer] = ACTIONS(2628),
    [aux_sym__float_token1] = ACTIONS(2630),
    [aux_sym__float_token2] = ACTIONS(2628),
    [aux_sym__float_token3] = ACTIONS(2630),
    [aux_sym_numeric_token1] = ACTIONS(2632),
    [aux_sym_numeric_token2] = ACTIONS(2632),
    [aux_sym_numeric_token3] = ACTIONS(2632),
    [aux_sym_numeric_token4] = ACTIONS(2632),
    [aux_sym_interval_token1] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [aux_sym_json_token1] = ACTIONS(2638),
    [sym_system_variable] = ACTIONS(2640),
    [sym__named_query_parameter] = ACTIONS(2642),
    [sym__positional_query_parameter] = ACTIONS(2644),
    [sym__quoted_identifier] = ACTIONS(2646),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2670),
    [anon_sym_PLUS] = ACTIONS(2672),
    [anon_sym_DASH] = ACTIONS(2672),
    [anon_sym_operator_compare] = ACTIONS(2652),
    [anon_sym_DOLLAR] = ACTIONS(2654),
    [sym__string_start] = ACTIONS(2656),
  },
  [1485] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2486),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3912),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2418),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1486] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16161),
    [sym__keyword_case] = STATE(281),
    [sym__keyword_not] = STATE(1524),
    [sym__keyword_cast] = STATE(19303),
    [sym__keyword_date] = STATE(5561),
    [sym__keyword_datetime] = STATE(5561),
    [sym__keyword_time] = STATE(5561),
    [sym__keyword_timestamp] = STATE(5561),
    [sym_select_subexpression] = STATE(5651),
    [sym_function_call] = STATE(5651),
    [sym_unnest_operator] = STATE(4219),
    [sym_unnest_clause] = STATE(5651),
    [sym__literal] = STATE(5651),
    [sym_NULL] = STATE(5651),
    [sym_TRUE] = STATE(5651),
    [sym_FALSE] = STATE(5651),
    [sym__float] = STATE(5650),
    [sym_numeric] = STATE(5650),
    [sym__number] = STATE(5650),
    [sym_interval] = STATE(5651),
    [sym_range] = STATE(5651),
    [sym_time] = STATE(5651),
    [sym_number] = STATE(5651),
    [sym_json] = STATE(5651),
    [sym_query_parameter] = STATE(5651),
    [sym__type_chrono] = STATE(5409),
    [sym__type_struct] = STATE(19128),
    [sym__type_array] = STATE(18694),
    [sym_array] = STATE(5651),
    [sym_struct] = STATE(5651),
    [sym__identifier] = STATE(5400),
    [sym__dotted_identifier] = STATE(13676),
    [sym_identifier] = STATE(5580),
    [sym_string] = STATE(5651),
    [sym__expression] = STATE(5305),
    [sym__parenthesized_expression] = STATE(5651),
    [sym_element_access] = STATE(5651),
    [sym_field_access] = STATE(5651),
    [sym_unary_expression] = STATE(5651),
    [sym_binary_expression] = STATE(5651),
    [sym_between_operator] = STATE(5651),
    [sym_casewhen_expression] = STATE(5651),
    [sym_cast_expression] = STATE(5651),
    [sym_argument_reference] = STATE(5651),
    [aux_sym_identifier_repeat1] = STATE(13676),
    [sym__unquoted_identifier] = ACTIONS(2498),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2500),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2502),
    [aux_sym__keyword_case_token1] = ACTIONS(2504),
    [aux_sym__keyword_cast_token1] = ACTIONS(2506),
    [aux_sym__keyword_cast_token2] = ACTIONS(2506),
    [aux_sym__keyword_date_token1] = ACTIONS(2508),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2508),
    [aux_sym__keyword_time_token1] = ACTIONS(2508),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2508),
    [anon_sym_LPAREN] = ACTIONS(2510),
    [aux_sym_drop_notnull_token1] = ACTIONS(2512),
    [aux_sym_function_call_token2] = ACTIONS(2514),
    [aux_sym_unnest_operator_token1] = ACTIONS(2516),
    [aux_sym_TRUE_token1] = ACTIONS(2518),
    [aux_sym_FALSE_token1] = ACTIONS(2520),
    [sym__integer] = ACTIONS(2522),
    [aux_sym__float_token1] = ACTIONS(2524),
    [aux_sym__float_token2] = ACTIONS(2522),
    [aux_sym__float_token3] = ACTIONS(2524),
    [aux_sym_numeric_token1] = ACTIONS(2526),
    [aux_sym_numeric_token2] = ACTIONS(2526),
    [aux_sym_numeric_token3] = ACTIONS(2526),
    [aux_sym_numeric_token4] = ACTIONS(2526),
    [aux_sym_interval_token1] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2530),
    [aux_sym_json_token1] = ACTIONS(2532),
    [sym_system_variable] = ACTIONS(2534),
    [sym__named_query_parameter] = ACTIONS(2536),
    [sym__positional_query_parameter] = ACTIONS(2538),
    [sym__quoted_identifier] = ACTIONS(2540),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2542),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_operator_compare] = ACTIONS(2546),
    [anon_sym_DOLLAR] = ACTIONS(2548),
    [sym__string_start] = ACTIONS(2550),
  },
  [1487] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16294),
    [sym__keyword_case] = STATE(376),
    [sym__keyword_not] = STATE(1650),
    [sym__keyword_cast] = STATE(19283),
    [sym__keyword_date] = STATE(4607),
    [sym__keyword_datetime] = STATE(4607),
    [sym__keyword_time] = STATE(4607),
    [sym__keyword_timestamp] = STATE(4607),
    [sym_select_subexpression] = STATE(4924),
    [sym_function_call] = STATE(4924),
    [sym_unnest_operator] = STATE(2504),
    [sym_unnest_clause] = STATE(4924),
    [sym__literal] = STATE(4924),
    [sym_NULL] = STATE(4924),
    [sym_TRUE] = STATE(4924),
    [sym_FALSE] = STATE(4924),
    [sym__float] = STATE(4921),
    [sym_numeric] = STATE(4921),
    [sym__number] = STATE(4921),
    [sym_interval] = STATE(4924),
    [sym_range] = STATE(4924),
    [sym_time] = STATE(4924),
    [sym_number] = STATE(4924),
    [sym_json] = STATE(4924),
    [sym_query_parameter] = STATE(4924),
    [sym__type_chrono] = STATE(4379),
    [sym__type_struct] = STATE(19058),
    [sym__type_array] = STATE(18414),
    [sym_array] = STATE(4924),
    [sym_struct] = STATE(4924),
    [sym__identifier] = STATE(4755),
    [sym__dotted_identifier] = STATE(13556),
    [sym_identifier] = STATE(4917),
    [sym_string] = STATE(4924),
    [sym__expression] = STATE(3694),
    [sym__parenthesized_expression] = STATE(4924),
    [sym_element_access] = STATE(4924),
    [sym_field_access] = STATE(4924),
    [sym_unary_expression] = STATE(4924),
    [sym_binary_expression] = STATE(4924),
    [sym_between_operator] = STATE(4924),
    [sym_casewhen_expression] = STATE(4924),
    [sym_cast_expression] = STATE(4924),
    [sym_argument_reference] = STATE(4924),
    [aux_sym_identifier_repeat1] = STATE(13556),
    [sym__unquoted_identifier] = ACTIONS(2604),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2606),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2608),
    [aux_sym__keyword_case_token1] = ACTIONS(2610),
    [aux_sym__keyword_cast_token1] = ACTIONS(2612),
    [aux_sym__keyword_cast_token2] = ACTIONS(2612),
    [aux_sym__keyword_date_token1] = ACTIONS(2614),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2614),
    [aux_sym__keyword_time_token1] = ACTIONS(2614),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2614),
    [anon_sym_LPAREN] = ACTIONS(2616),
    [aux_sym_drop_notnull_token1] = ACTIONS(2618),
    [aux_sym_function_call_token2] = ACTIONS(2620),
    [aux_sym_unnest_operator_token1] = ACTIONS(2668),
    [aux_sym_TRUE_token1] = ACTIONS(2624),
    [aux_sym_FALSE_token1] = ACTIONS(2626),
    [sym__integer] = ACTIONS(2628),
    [aux_sym__float_token1] = ACTIONS(2630),
    [aux_sym__float_token2] = ACTIONS(2628),
    [aux_sym__float_token3] = ACTIONS(2630),
    [aux_sym_numeric_token1] = ACTIONS(2632),
    [aux_sym_numeric_token2] = ACTIONS(2632),
    [aux_sym_numeric_token3] = ACTIONS(2632),
    [aux_sym_numeric_token4] = ACTIONS(2632),
    [aux_sym_interval_token1] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [aux_sym_json_token1] = ACTIONS(2638),
    [sym_system_variable] = ACTIONS(2640),
    [sym__named_query_parameter] = ACTIONS(2642),
    [sym__positional_query_parameter] = ACTIONS(2644),
    [sym__quoted_identifier] = ACTIONS(2646),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2670),
    [anon_sym_PLUS] = ACTIONS(2672),
    [anon_sym_DASH] = ACTIONS(2672),
    [anon_sym_operator_compare] = ACTIONS(2652),
    [anon_sym_DOLLAR] = ACTIONS(2654),
    [sym__string_start] = ACTIONS(2656),
  },
  [1488] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16161),
    [sym__keyword_case] = STATE(281),
    [sym__keyword_not] = STATE(1524),
    [sym__keyword_cast] = STATE(19303),
    [sym__keyword_date] = STATE(5561),
    [sym__keyword_datetime] = STATE(5561),
    [sym__keyword_time] = STATE(5561),
    [sym__keyword_timestamp] = STATE(5561),
    [sym_select_subexpression] = STATE(5651),
    [sym_function_call] = STATE(5651),
    [sym_unnest_operator] = STATE(4219),
    [sym_unnest_clause] = STATE(5651),
    [sym__literal] = STATE(5651),
    [sym_NULL] = STATE(5651),
    [sym_TRUE] = STATE(5651),
    [sym_FALSE] = STATE(5651),
    [sym__float] = STATE(5650),
    [sym_numeric] = STATE(5650),
    [sym__number] = STATE(5650),
    [sym_interval] = STATE(5651),
    [sym_range] = STATE(5651),
    [sym_time] = STATE(5651),
    [sym_number] = STATE(5651),
    [sym_json] = STATE(5651),
    [sym_query_parameter] = STATE(5651),
    [sym__type_chrono] = STATE(5409),
    [sym__type_struct] = STATE(19128),
    [sym__type_array] = STATE(18694),
    [sym_array] = STATE(5651),
    [sym_struct] = STATE(5651),
    [sym__identifier] = STATE(5400),
    [sym__dotted_identifier] = STATE(13676),
    [sym_identifier] = STATE(5580),
    [sym_string] = STATE(5651),
    [sym__expression] = STATE(5285),
    [sym__parenthesized_expression] = STATE(5651),
    [sym_element_access] = STATE(5651),
    [sym_field_access] = STATE(5651),
    [sym_unary_expression] = STATE(5651),
    [sym_binary_expression] = STATE(5651),
    [sym_between_operator] = STATE(5651),
    [sym_casewhen_expression] = STATE(5651),
    [sym_cast_expression] = STATE(5651),
    [sym_argument_reference] = STATE(5651),
    [aux_sym_identifier_repeat1] = STATE(13676),
    [sym__unquoted_identifier] = ACTIONS(2498),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2500),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2502),
    [aux_sym__keyword_case_token1] = ACTIONS(2504),
    [aux_sym__keyword_cast_token1] = ACTIONS(2506),
    [aux_sym__keyword_cast_token2] = ACTIONS(2506),
    [aux_sym__keyword_date_token1] = ACTIONS(2508),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2508),
    [aux_sym__keyword_time_token1] = ACTIONS(2508),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2508),
    [anon_sym_LPAREN] = ACTIONS(2510),
    [aux_sym_drop_notnull_token1] = ACTIONS(2512),
    [aux_sym_function_call_token2] = ACTIONS(2514),
    [aux_sym_unnest_operator_token1] = ACTIONS(2516),
    [aux_sym_TRUE_token1] = ACTIONS(2518),
    [aux_sym_FALSE_token1] = ACTIONS(2520),
    [sym__integer] = ACTIONS(2522),
    [aux_sym__float_token1] = ACTIONS(2524),
    [aux_sym__float_token2] = ACTIONS(2522),
    [aux_sym__float_token3] = ACTIONS(2524),
    [aux_sym_numeric_token1] = ACTIONS(2526),
    [aux_sym_numeric_token2] = ACTIONS(2526),
    [aux_sym_numeric_token3] = ACTIONS(2526),
    [aux_sym_numeric_token4] = ACTIONS(2526),
    [aux_sym_interval_token1] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2530),
    [aux_sym_json_token1] = ACTIONS(2532),
    [sym_system_variable] = ACTIONS(2534),
    [sym__named_query_parameter] = ACTIONS(2536),
    [sym__positional_query_parameter] = ACTIONS(2538),
    [sym__quoted_identifier] = ACTIONS(2540),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2542),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_operator_compare] = ACTIONS(2546),
    [anon_sym_DOLLAR] = ACTIONS(2548),
    [sym__string_start] = ACTIONS(2550),
  },
  [1489] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9697),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1490] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16294),
    [sym__keyword_case] = STATE(376),
    [sym__keyword_not] = STATE(1650),
    [sym__keyword_cast] = STATE(19283),
    [sym__keyword_date] = STATE(4607),
    [sym__keyword_datetime] = STATE(4607),
    [sym__keyword_time] = STATE(4607),
    [sym__keyword_timestamp] = STATE(4607),
    [sym_select_subexpression] = STATE(4924),
    [sym_function_call] = STATE(4924),
    [sym_unnest_operator] = STATE(2504),
    [sym_unnest_clause] = STATE(4924),
    [sym__literal] = STATE(4924),
    [sym_NULL] = STATE(4924),
    [sym_TRUE] = STATE(4924),
    [sym_FALSE] = STATE(4924),
    [sym__float] = STATE(4921),
    [sym_numeric] = STATE(4921),
    [sym__number] = STATE(4921),
    [sym_interval] = STATE(4924),
    [sym_range] = STATE(4924),
    [sym_time] = STATE(4924),
    [sym_number] = STATE(4924),
    [sym_json] = STATE(4924),
    [sym_query_parameter] = STATE(4924),
    [sym__type_chrono] = STATE(4379),
    [sym__type_struct] = STATE(19058),
    [sym__type_array] = STATE(18414),
    [sym_array] = STATE(4924),
    [sym_struct] = STATE(4924),
    [sym__identifier] = STATE(4755),
    [sym__dotted_identifier] = STATE(13556),
    [sym_identifier] = STATE(4917),
    [sym_string] = STATE(4924),
    [sym__expression] = STATE(3693),
    [sym__parenthesized_expression] = STATE(4924),
    [sym_element_access] = STATE(4924),
    [sym_field_access] = STATE(4924),
    [sym_unary_expression] = STATE(4924),
    [sym_binary_expression] = STATE(4924),
    [sym_between_operator] = STATE(4924),
    [sym_casewhen_expression] = STATE(4924),
    [sym_cast_expression] = STATE(4924),
    [sym_argument_reference] = STATE(4924),
    [aux_sym_identifier_repeat1] = STATE(13556),
    [sym__unquoted_identifier] = ACTIONS(2604),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2606),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2608),
    [aux_sym__keyword_case_token1] = ACTIONS(2610),
    [aux_sym__keyword_cast_token1] = ACTIONS(2612),
    [aux_sym__keyword_cast_token2] = ACTIONS(2612),
    [aux_sym__keyword_date_token1] = ACTIONS(2614),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2614),
    [aux_sym__keyword_time_token1] = ACTIONS(2614),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2614),
    [anon_sym_LPAREN] = ACTIONS(2616),
    [aux_sym_drop_notnull_token1] = ACTIONS(2618),
    [aux_sym_function_call_token2] = ACTIONS(2620),
    [aux_sym_unnest_operator_token1] = ACTIONS(2668),
    [aux_sym_TRUE_token1] = ACTIONS(2624),
    [aux_sym_FALSE_token1] = ACTIONS(2626),
    [sym__integer] = ACTIONS(2628),
    [aux_sym__float_token1] = ACTIONS(2630),
    [aux_sym__float_token2] = ACTIONS(2628),
    [aux_sym__float_token3] = ACTIONS(2630),
    [aux_sym_numeric_token1] = ACTIONS(2632),
    [aux_sym_numeric_token2] = ACTIONS(2632),
    [aux_sym_numeric_token3] = ACTIONS(2632),
    [aux_sym_numeric_token4] = ACTIONS(2632),
    [aux_sym_interval_token1] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [aux_sym_json_token1] = ACTIONS(2638),
    [sym_system_variable] = ACTIONS(2640),
    [sym__named_query_parameter] = ACTIONS(2642),
    [sym__positional_query_parameter] = ACTIONS(2644),
    [sym__quoted_identifier] = ACTIONS(2646),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2670),
    [anon_sym_PLUS] = ACTIONS(2672),
    [anon_sym_DASH] = ACTIONS(2672),
    [anon_sym_operator_compare] = ACTIONS(2652),
    [anon_sym_DOLLAR] = ACTIONS(2654),
    [sym__string_start] = ACTIONS(2656),
  },
  [1491] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2486),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3911),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2418),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1492] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2486),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3910),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2418),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1493] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16294),
    [sym__keyword_case] = STATE(376),
    [sym__keyword_not] = STATE(1650),
    [sym__keyword_cast] = STATE(19283),
    [sym__keyword_date] = STATE(4607),
    [sym__keyword_datetime] = STATE(4607),
    [sym__keyword_time] = STATE(4607),
    [sym__keyword_timestamp] = STATE(4607),
    [sym_select_subexpression] = STATE(4924),
    [sym_function_call] = STATE(4924),
    [sym_unnest_operator] = STATE(2504),
    [sym_unnest_clause] = STATE(4924),
    [sym__literal] = STATE(4924),
    [sym_NULL] = STATE(4924),
    [sym_TRUE] = STATE(4924),
    [sym_FALSE] = STATE(4924),
    [sym__float] = STATE(4921),
    [sym_numeric] = STATE(4921),
    [sym__number] = STATE(4921),
    [sym_interval] = STATE(4924),
    [sym_range] = STATE(4924),
    [sym_time] = STATE(4924),
    [sym_number] = STATE(4924),
    [sym_json] = STATE(4924),
    [sym_query_parameter] = STATE(4924),
    [sym__type_chrono] = STATE(4379),
    [sym__type_struct] = STATE(19058),
    [sym__type_array] = STATE(18414),
    [sym_array] = STATE(4924),
    [sym_struct] = STATE(4924),
    [sym__identifier] = STATE(4755),
    [sym__dotted_identifier] = STATE(13556),
    [sym_identifier] = STATE(4917),
    [sym_string] = STATE(4924),
    [sym__expression] = STATE(3692),
    [sym__parenthesized_expression] = STATE(4924),
    [sym_element_access] = STATE(4924),
    [sym_field_access] = STATE(4924),
    [sym_unary_expression] = STATE(4924),
    [sym_binary_expression] = STATE(4924),
    [sym_between_operator] = STATE(4924),
    [sym_casewhen_expression] = STATE(4924),
    [sym_cast_expression] = STATE(4924),
    [sym_argument_reference] = STATE(4924),
    [aux_sym_identifier_repeat1] = STATE(13556),
    [sym__unquoted_identifier] = ACTIONS(2604),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2606),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2608),
    [aux_sym__keyword_case_token1] = ACTIONS(2610),
    [aux_sym__keyword_cast_token1] = ACTIONS(2612),
    [aux_sym__keyword_cast_token2] = ACTIONS(2612),
    [aux_sym__keyword_date_token1] = ACTIONS(2614),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2614),
    [aux_sym__keyword_time_token1] = ACTIONS(2614),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2614),
    [anon_sym_LPAREN] = ACTIONS(2616),
    [aux_sym_drop_notnull_token1] = ACTIONS(2618),
    [aux_sym_function_call_token2] = ACTIONS(2620),
    [aux_sym_unnest_operator_token1] = ACTIONS(2668),
    [aux_sym_TRUE_token1] = ACTIONS(2624),
    [aux_sym_FALSE_token1] = ACTIONS(2626),
    [sym__integer] = ACTIONS(2628),
    [aux_sym__float_token1] = ACTIONS(2630),
    [aux_sym__float_token2] = ACTIONS(2628),
    [aux_sym__float_token3] = ACTIONS(2630),
    [aux_sym_numeric_token1] = ACTIONS(2632),
    [aux_sym_numeric_token2] = ACTIONS(2632),
    [aux_sym_numeric_token3] = ACTIONS(2632),
    [aux_sym_numeric_token4] = ACTIONS(2632),
    [aux_sym_interval_token1] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [aux_sym_json_token1] = ACTIONS(2638),
    [sym_system_variable] = ACTIONS(2640),
    [sym__named_query_parameter] = ACTIONS(2642),
    [sym__positional_query_parameter] = ACTIONS(2644),
    [sym__quoted_identifier] = ACTIONS(2646),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2670),
    [anon_sym_PLUS] = ACTIONS(2672),
    [anon_sym_DASH] = ACTIONS(2672),
    [anon_sym_operator_compare] = ACTIONS(2652),
    [anon_sym_DOLLAR] = ACTIONS(2654),
    [sym__string_start] = ACTIONS(2656),
  },
  [1494] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16294),
    [sym__keyword_case] = STATE(376),
    [sym__keyword_not] = STATE(1650),
    [sym__keyword_cast] = STATE(19283),
    [sym__keyword_date] = STATE(4607),
    [sym__keyword_datetime] = STATE(4607),
    [sym__keyword_time] = STATE(4607),
    [sym__keyword_timestamp] = STATE(4607),
    [sym_select_subexpression] = STATE(4924),
    [sym_function_call] = STATE(4924),
    [sym_unnest_operator] = STATE(2504),
    [sym_unnest_clause] = STATE(4924),
    [sym__literal] = STATE(4924),
    [sym_NULL] = STATE(4924),
    [sym_TRUE] = STATE(4924),
    [sym_FALSE] = STATE(4924),
    [sym__float] = STATE(4921),
    [sym_numeric] = STATE(4921),
    [sym__number] = STATE(4921),
    [sym_interval] = STATE(4924),
    [sym_range] = STATE(4924),
    [sym_time] = STATE(4924),
    [sym_number] = STATE(4924),
    [sym_json] = STATE(4924),
    [sym_query_parameter] = STATE(4924),
    [sym__type_chrono] = STATE(4379),
    [sym__type_struct] = STATE(19058),
    [sym__type_array] = STATE(18414),
    [sym_array] = STATE(4924),
    [sym_struct] = STATE(4924),
    [sym__identifier] = STATE(4755),
    [sym__dotted_identifier] = STATE(13556),
    [sym_identifier] = STATE(4917),
    [sym_string] = STATE(4924),
    [sym__expression] = STATE(3691),
    [sym__parenthesized_expression] = STATE(4924),
    [sym_element_access] = STATE(4924),
    [sym_field_access] = STATE(4924),
    [sym_unary_expression] = STATE(4924),
    [sym_binary_expression] = STATE(4924),
    [sym_between_operator] = STATE(4924),
    [sym_casewhen_expression] = STATE(4924),
    [sym_cast_expression] = STATE(4924),
    [sym_argument_reference] = STATE(4924),
    [aux_sym_identifier_repeat1] = STATE(13556),
    [sym__unquoted_identifier] = ACTIONS(2604),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2606),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2608),
    [aux_sym__keyword_case_token1] = ACTIONS(2610),
    [aux_sym__keyword_cast_token1] = ACTIONS(2612),
    [aux_sym__keyword_cast_token2] = ACTIONS(2612),
    [aux_sym__keyword_date_token1] = ACTIONS(2614),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2614),
    [aux_sym__keyword_time_token1] = ACTIONS(2614),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2614),
    [anon_sym_LPAREN] = ACTIONS(2616),
    [aux_sym_drop_notnull_token1] = ACTIONS(2618),
    [aux_sym_function_call_token2] = ACTIONS(2620),
    [aux_sym_unnest_operator_token1] = ACTIONS(2668),
    [aux_sym_TRUE_token1] = ACTIONS(2624),
    [aux_sym_FALSE_token1] = ACTIONS(2626),
    [sym__integer] = ACTIONS(2628),
    [aux_sym__float_token1] = ACTIONS(2630),
    [aux_sym__float_token2] = ACTIONS(2628),
    [aux_sym__float_token3] = ACTIONS(2630),
    [aux_sym_numeric_token1] = ACTIONS(2632),
    [aux_sym_numeric_token2] = ACTIONS(2632),
    [aux_sym_numeric_token3] = ACTIONS(2632),
    [aux_sym_numeric_token4] = ACTIONS(2632),
    [aux_sym_interval_token1] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [aux_sym_json_token1] = ACTIONS(2638),
    [sym_system_variable] = ACTIONS(2640),
    [sym__named_query_parameter] = ACTIONS(2642),
    [sym__positional_query_parameter] = ACTIONS(2644),
    [sym__quoted_identifier] = ACTIONS(2646),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2670),
    [anon_sym_PLUS] = ACTIONS(2672),
    [anon_sym_DASH] = ACTIONS(2672),
    [anon_sym_operator_compare] = ACTIONS(2652),
    [anon_sym_DOLLAR] = ACTIONS(2654),
    [sym__string_start] = ACTIONS(2656),
  },
  [1495] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16294),
    [sym__keyword_case] = STATE(376),
    [sym__keyword_not] = STATE(1650),
    [sym__keyword_cast] = STATE(19283),
    [sym__keyword_date] = STATE(4607),
    [sym__keyword_datetime] = STATE(4607),
    [sym__keyword_time] = STATE(4607),
    [sym__keyword_timestamp] = STATE(4607),
    [sym_select_subexpression] = STATE(4924),
    [sym_function_call] = STATE(4924),
    [sym_unnest_operator] = STATE(2504),
    [sym_unnest_clause] = STATE(4924),
    [sym__literal] = STATE(4924),
    [sym_NULL] = STATE(4924),
    [sym_TRUE] = STATE(4924),
    [sym_FALSE] = STATE(4924),
    [sym__float] = STATE(4921),
    [sym_numeric] = STATE(4921),
    [sym__number] = STATE(4921),
    [sym_interval] = STATE(4924),
    [sym_range] = STATE(4924),
    [sym_time] = STATE(4924),
    [sym_number] = STATE(4924),
    [sym_json] = STATE(4924),
    [sym_query_parameter] = STATE(4924),
    [sym__type_chrono] = STATE(4379),
    [sym__type_struct] = STATE(19058),
    [sym__type_array] = STATE(18414),
    [sym_array] = STATE(4924),
    [sym_struct] = STATE(4924),
    [sym__identifier] = STATE(4755),
    [sym__dotted_identifier] = STATE(13556),
    [sym_identifier] = STATE(4917),
    [sym_string] = STATE(4924),
    [sym__expression] = STATE(3689),
    [sym__parenthesized_expression] = STATE(4924),
    [sym_element_access] = STATE(4924),
    [sym_field_access] = STATE(4924),
    [sym_unary_expression] = STATE(4924),
    [sym_binary_expression] = STATE(4924),
    [sym_between_operator] = STATE(4924),
    [sym_casewhen_expression] = STATE(4924),
    [sym_cast_expression] = STATE(4924),
    [sym_argument_reference] = STATE(4924),
    [aux_sym_identifier_repeat1] = STATE(13556),
    [sym__unquoted_identifier] = ACTIONS(2604),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2606),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2608),
    [aux_sym__keyword_case_token1] = ACTIONS(2610),
    [aux_sym__keyword_cast_token1] = ACTIONS(2612),
    [aux_sym__keyword_cast_token2] = ACTIONS(2612),
    [aux_sym__keyword_date_token1] = ACTIONS(2614),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2614),
    [aux_sym__keyword_time_token1] = ACTIONS(2614),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2614),
    [anon_sym_LPAREN] = ACTIONS(2616),
    [aux_sym_drop_notnull_token1] = ACTIONS(2618),
    [aux_sym_function_call_token2] = ACTIONS(2620),
    [aux_sym_unnest_operator_token1] = ACTIONS(2668),
    [aux_sym_TRUE_token1] = ACTIONS(2624),
    [aux_sym_FALSE_token1] = ACTIONS(2626),
    [sym__integer] = ACTIONS(2628),
    [aux_sym__float_token1] = ACTIONS(2630),
    [aux_sym__float_token2] = ACTIONS(2628),
    [aux_sym__float_token3] = ACTIONS(2630),
    [aux_sym_numeric_token1] = ACTIONS(2632),
    [aux_sym_numeric_token2] = ACTIONS(2632),
    [aux_sym_numeric_token3] = ACTIONS(2632),
    [aux_sym_numeric_token4] = ACTIONS(2632),
    [aux_sym_interval_token1] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [aux_sym_json_token1] = ACTIONS(2638),
    [sym_system_variable] = ACTIONS(2640),
    [sym__named_query_parameter] = ACTIONS(2642),
    [sym__positional_query_parameter] = ACTIONS(2644),
    [sym__quoted_identifier] = ACTIONS(2646),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2670),
    [anon_sym_PLUS] = ACTIONS(2672),
    [anon_sym_DASH] = ACTIONS(2672),
    [anon_sym_operator_compare] = ACTIONS(2652),
    [anon_sym_DOLLAR] = ACTIONS(2654),
    [sym__string_start] = ACTIONS(2656),
  },
  [1496] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10196),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1497] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16294),
    [sym__keyword_case] = STATE(376),
    [sym__keyword_not] = STATE(1650),
    [sym__keyword_cast] = STATE(19283),
    [sym__keyword_date] = STATE(4607),
    [sym__keyword_datetime] = STATE(4607),
    [sym__keyword_time] = STATE(4607),
    [sym__keyword_timestamp] = STATE(4607),
    [sym_select_subexpression] = STATE(4924),
    [sym_function_call] = STATE(4924),
    [sym_unnest_operator] = STATE(2504),
    [sym_unnest_clause] = STATE(4924),
    [sym__literal] = STATE(4924),
    [sym_NULL] = STATE(4924),
    [sym_TRUE] = STATE(4924),
    [sym_FALSE] = STATE(4924),
    [sym__float] = STATE(4921),
    [sym_numeric] = STATE(4921),
    [sym__number] = STATE(4921),
    [sym_interval] = STATE(4924),
    [sym_range] = STATE(4924),
    [sym_time] = STATE(4924),
    [sym_number] = STATE(4924),
    [sym_json] = STATE(4924),
    [sym_query_parameter] = STATE(4924),
    [sym__type_chrono] = STATE(4379),
    [sym__type_struct] = STATE(19058),
    [sym__type_array] = STATE(18414),
    [sym_array] = STATE(4924),
    [sym_struct] = STATE(4924),
    [sym__identifier] = STATE(4755),
    [sym__dotted_identifier] = STATE(13556),
    [sym_identifier] = STATE(4917),
    [sym_string] = STATE(4924),
    [sym__expression] = STATE(3889),
    [sym__parenthesized_expression] = STATE(4924),
    [sym_element_access] = STATE(4924),
    [sym_field_access] = STATE(4924),
    [sym_unary_expression] = STATE(4924),
    [sym_binary_expression] = STATE(4924),
    [sym_between_operator] = STATE(4924),
    [sym_casewhen_expression] = STATE(4924),
    [sym_cast_expression] = STATE(4924),
    [sym_argument_reference] = STATE(4924),
    [aux_sym_identifier_repeat1] = STATE(13556),
    [sym__unquoted_identifier] = ACTIONS(2604),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2606),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2608),
    [aux_sym__keyword_case_token1] = ACTIONS(2610),
    [aux_sym__keyword_cast_token1] = ACTIONS(2612),
    [aux_sym__keyword_cast_token2] = ACTIONS(2612),
    [aux_sym__keyword_date_token1] = ACTIONS(2614),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2614),
    [aux_sym__keyword_time_token1] = ACTIONS(2614),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2614),
    [anon_sym_LPAREN] = ACTIONS(2616),
    [aux_sym_drop_notnull_token1] = ACTIONS(2618),
    [aux_sym_function_call_token2] = ACTIONS(2620),
    [aux_sym_unnest_operator_token1] = ACTIONS(2668),
    [aux_sym_TRUE_token1] = ACTIONS(2624),
    [aux_sym_FALSE_token1] = ACTIONS(2626),
    [sym__integer] = ACTIONS(2628),
    [aux_sym__float_token1] = ACTIONS(2630),
    [aux_sym__float_token2] = ACTIONS(2628),
    [aux_sym__float_token3] = ACTIONS(2630),
    [aux_sym_numeric_token1] = ACTIONS(2632),
    [aux_sym_numeric_token2] = ACTIONS(2632),
    [aux_sym_numeric_token3] = ACTIONS(2632),
    [aux_sym_numeric_token4] = ACTIONS(2632),
    [aux_sym_interval_token1] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [aux_sym_json_token1] = ACTIONS(2638),
    [sym_system_variable] = ACTIONS(2640),
    [sym__named_query_parameter] = ACTIONS(2642),
    [sym__positional_query_parameter] = ACTIONS(2644),
    [sym__quoted_identifier] = ACTIONS(2646),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2670),
    [anon_sym_PLUS] = ACTIONS(2672),
    [anon_sym_DASH] = ACTIONS(2672),
    [anon_sym_operator_compare] = ACTIONS(2652),
    [anon_sym_DOLLAR] = ACTIONS(2654),
    [sym__string_start] = ACTIONS(2656),
  },
  [1498] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16325),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1073),
    [sym__keyword_cast] = STATE(19275),
    [sym__keyword_date] = STATE(9495),
    [sym__keyword_datetime] = STATE(9495),
    [sym__keyword_time] = STATE(9495),
    [sym__keyword_timestamp] = STATE(9495),
    [sym_select_subexpression] = STATE(10495),
    [sym_function_call] = STATE(10495),
    [sym_unnest_operator] = STATE(6473),
    [sym_unnest_clause] = STATE(10495),
    [sym__literal] = STATE(10495),
    [sym_NULL] = STATE(10495),
    [sym_TRUE] = STATE(10495),
    [sym_FALSE] = STATE(10495),
    [sym__float] = STATE(10492),
    [sym_numeric] = STATE(10492),
    [sym__number] = STATE(10492),
    [sym_interval] = STATE(10495),
    [sym_range] = STATE(10495),
    [sym_time] = STATE(10495),
    [sym_number] = STATE(10495),
    [sym_json] = STATE(10495),
    [sym_query_parameter] = STATE(10495),
    [sym__type_chrono] = STATE(8422),
    [sym__type_struct] = STATE(19027),
    [sym__type_array] = STATE(18285),
    [sym_array] = STATE(10495),
    [sym_struct] = STATE(10495),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9694),
    [sym_string] = STATE(10495),
    [sym__expression] = STATE(9670),
    [sym__parenthesized_expression] = STATE(10495),
    [sym_element_access] = STATE(10495),
    [sym_field_access] = STATE(10495),
    [sym_unary_expression] = STATE(10495),
    [sym_binary_expression] = STATE(10495),
    [sym_between_operator] = STATE(10495),
    [sym_casewhen_expression] = STATE(10495),
    [sym_cast_expression] = STATE(10495),
    [sym_argument_reference] = STATE(10495),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2042),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2044),
    [aux_sym__keyword_case_token1] = ACTIONS(2046),
    [aux_sym__keyword_cast_token1] = ACTIONS(2048),
    [aux_sym__keyword_cast_token2] = ACTIONS(2048),
    [aux_sym__keyword_date_token1] = ACTIONS(2050),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2050),
    [aux_sym__keyword_time_token1] = ACTIONS(2050),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [aux_sym_drop_notnull_token1] = ACTIONS(2054),
    [aux_sym_function_call_token2] = ACTIONS(2056),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2060),
    [aux_sym_FALSE_token1] = ACTIONS(2062),
    [sym__integer] = ACTIONS(2064),
    [aux_sym__float_token1] = ACTIONS(2066),
    [aux_sym__float_token2] = ACTIONS(2064),
    [aux_sym__float_token3] = ACTIONS(2066),
    [aux_sym_numeric_token1] = ACTIONS(2068),
    [aux_sym_numeric_token2] = ACTIONS(2068),
    [aux_sym_numeric_token3] = ACTIONS(2068),
    [aux_sym_numeric_token4] = ACTIONS(2068),
    [aux_sym_interval_token1] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_json_token1] = ACTIONS(2074),
    [sym_system_variable] = ACTIONS(2076),
    [sym__named_query_parameter] = ACTIONS(2078),
    [sym__positional_query_parameter] = ACTIONS(2080),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_operator_compare] = ACTIONS(2086),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [sym__string_start] = ACTIONS(2090),
  },
  [1499] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16325),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1073),
    [sym__keyword_cast] = STATE(19275),
    [sym__keyword_date] = STATE(9495),
    [sym__keyword_datetime] = STATE(9495),
    [sym__keyword_time] = STATE(9495),
    [sym__keyword_timestamp] = STATE(9495),
    [sym_select_subexpression] = STATE(10495),
    [sym_function_call] = STATE(10495),
    [sym_unnest_operator] = STATE(6473),
    [sym_unnest_clause] = STATE(10495),
    [sym__literal] = STATE(10495),
    [sym_NULL] = STATE(10495),
    [sym_TRUE] = STATE(10495),
    [sym_FALSE] = STATE(10495),
    [sym__float] = STATE(10492),
    [sym_numeric] = STATE(10492),
    [sym__number] = STATE(10492),
    [sym_interval] = STATE(10495),
    [sym_range] = STATE(10495),
    [sym_time] = STATE(10495),
    [sym_number] = STATE(10495),
    [sym_json] = STATE(10495),
    [sym_query_parameter] = STATE(10495),
    [sym__type_chrono] = STATE(8422),
    [sym__type_struct] = STATE(19027),
    [sym__type_array] = STATE(18285),
    [sym_array] = STATE(10495),
    [sym_struct] = STATE(10495),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9694),
    [sym_string] = STATE(10495),
    [sym__expression] = STATE(9648),
    [sym__parenthesized_expression] = STATE(10495),
    [sym_element_access] = STATE(10495),
    [sym_field_access] = STATE(10495),
    [sym_unary_expression] = STATE(10495),
    [sym_binary_expression] = STATE(10495),
    [sym_between_operator] = STATE(10495),
    [sym_casewhen_expression] = STATE(10495),
    [sym_cast_expression] = STATE(10495),
    [sym_argument_reference] = STATE(10495),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2042),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2044),
    [aux_sym__keyword_case_token1] = ACTIONS(2046),
    [aux_sym__keyword_cast_token1] = ACTIONS(2048),
    [aux_sym__keyword_cast_token2] = ACTIONS(2048),
    [aux_sym__keyword_date_token1] = ACTIONS(2050),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2050),
    [aux_sym__keyword_time_token1] = ACTIONS(2050),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [aux_sym_drop_notnull_token1] = ACTIONS(2054),
    [aux_sym_function_call_token2] = ACTIONS(2056),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2060),
    [aux_sym_FALSE_token1] = ACTIONS(2062),
    [sym__integer] = ACTIONS(2064),
    [aux_sym__float_token1] = ACTIONS(2066),
    [aux_sym__float_token2] = ACTIONS(2064),
    [aux_sym__float_token3] = ACTIONS(2066),
    [aux_sym_numeric_token1] = ACTIONS(2068),
    [aux_sym_numeric_token2] = ACTIONS(2068),
    [aux_sym_numeric_token3] = ACTIONS(2068),
    [aux_sym_numeric_token4] = ACTIONS(2068),
    [aux_sym_interval_token1] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_json_token1] = ACTIONS(2074),
    [sym_system_variable] = ACTIONS(2076),
    [sym__named_query_parameter] = ACTIONS(2078),
    [sym__positional_query_parameter] = ACTIONS(2080),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_operator_compare] = ACTIONS(2086),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [sym__string_start] = ACTIONS(2090),
  },
  [1500] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9672),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1501] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2486),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3909),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2418),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1502] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16282),
    [sym__keyword_case] = STATE(374),
    [sym__keyword_not] = STATE(1069),
    [sym__keyword_cast] = STATE(19285),
    [sym__keyword_date] = STATE(10540),
    [sym__keyword_datetime] = STATE(10540),
    [sym__keyword_time] = STATE(10540),
    [sym__keyword_timestamp] = STATE(10540),
    [sym_select_subexpression] = STATE(10861),
    [sym_function_call] = STATE(10861),
    [sym_unnest_operator] = STATE(6471),
    [sym_unnest_clause] = STATE(10861),
    [sym__literal] = STATE(10861),
    [sym_NULL] = STATE(10861),
    [sym_TRUE] = STATE(10861),
    [sym_FALSE] = STATE(10861),
    [sym__float] = STATE(10863),
    [sym_numeric] = STATE(10863),
    [sym__number] = STATE(10863),
    [sym_interval] = STATE(10861),
    [sym_range] = STATE(10861),
    [sym_time] = STATE(10861),
    [sym_number] = STATE(10861),
    [sym_json] = STATE(10861),
    [sym_query_parameter] = STATE(10861),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19065),
    [sym__type_array] = STATE(18448),
    [sym_array] = STATE(10861),
    [sym_struct] = STATE(10861),
    [sym__identifier] = STATE(10536),
    [sym__dotted_identifier] = STATE(14157),
    [sym_identifier] = STATE(10772),
    [sym_string] = STATE(10861),
    [sym__expression] = STATE(9058),
    [sym__parenthesized_expression] = STATE(10861),
    [sym_element_access] = STATE(10861),
    [sym_field_access] = STATE(10861),
    [sym_unary_expression] = STATE(10861),
    [sym_binary_expression] = STATE(10861),
    [sym_between_operator] = STATE(10861),
    [sym_casewhen_expression] = STATE(10861),
    [sym_cast_expression] = STATE(10861),
    [sym_argument_reference] = STATE(10861),
    [aux_sym_identifier_repeat1] = STATE(14157),
    [sym__unquoted_identifier] = ACTIONS(2552),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2554),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2556),
    [aux_sym__keyword_case_token1] = ACTIONS(2558),
    [aux_sym__keyword_cast_token1] = ACTIONS(2560),
    [aux_sym__keyword_cast_token2] = ACTIONS(2560),
    [aux_sym__keyword_date_token1] = ACTIONS(2562),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2562),
    [aux_sym__keyword_time_token1] = ACTIONS(2562),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [aux_sym_drop_notnull_token1] = ACTIONS(2566),
    [aux_sym_function_call_token2] = ACTIONS(2568),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2570),
    [aux_sym_FALSE_token1] = ACTIONS(2572),
    [sym__integer] = ACTIONS(2574),
    [aux_sym__float_token1] = ACTIONS(2576),
    [aux_sym__float_token2] = ACTIONS(2574),
    [aux_sym__float_token3] = ACTIONS(2576),
    [aux_sym_numeric_token1] = ACTIONS(2578),
    [aux_sym_numeric_token2] = ACTIONS(2578),
    [aux_sym_numeric_token3] = ACTIONS(2578),
    [aux_sym_numeric_token4] = ACTIONS(2578),
    [aux_sym_interval_token1] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [aux_sym_json_token1] = ACTIONS(2584),
    [sym_system_variable] = ACTIONS(2586),
    [sym__named_query_parameter] = ACTIONS(2588),
    [sym__positional_query_parameter] = ACTIONS(2590),
    [sym__quoted_identifier] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_operator_compare] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [sym__string_start] = ACTIONS(2602),
  },
  [1503] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9675),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1504] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16226),
    [sym__keyword_case] = STATE(372),
    [sym__keyword_not] = STATE(1504),
    [sym__keyword_cast] = STATE(19293),
    [sym__keyword_date] = STATE(7385),
    [sym__keyword_datetime] = STATE(7385),
    [sym__keyword_time] = STATE(7385),
    [sym__keyword_timestamp] = STATE(7385),
    [sym_select_subexpression] = STATE(8017),
    [sym_function_call] = STATE(8017),
    [sym_unnest_operator] = STATE(5313),
    [sym_unnest_clause] = STATE(8017),
    [sym__literal] = STATE(8017),
    [sym_NULL] = STATE(8017),
    [sym_TRUE] = STATE(8017),
    [sym_FALSE] = STATE(8017),
    [sym__float] = STATE(8015),
    [sym_numeric] = STATE(8015),
    [sym__number] = STATE(8015),
    [sym_interval] = STATE(8017),
    [sym_range] = STATE(8017),
    [sym_time] = STATE(8017),
    [sym_number] = STATE(8017),
    [sym_json] = STATE(8017),
    [sym_query_parameter] = STATE(8017),
    [sym__type_chrono] = STATE(7173),
    [sym__type_struct] = STATE(19093),
    [sym__type_array] = STATE(18559),
    [sym_array] = STATE(8017),
    [sym_struct] = STATE(8017),
    [sym__identifier] = STATE(7194),
    [sym__dotted_identifier] = STATE(13999),
    [sym_identifier] = STATE(9346),
    [sym_string] = STATE(8017),
    [sym__expression] = STATE(6688),
    [sym__parenthesized_expression] = STATE(8017),
    [sym_element_access] = STATE(8017),
    [sym_field_access] = STATE(8017),
    [sym_unary_expression] = STATE(8017),
    [sym_binary_expression] = STATE(8017),
    [sym_between_operator] = STATE(8017),
    [sym_casewhen_expression] = STATE(8017),
    [sym_cast_expression] = STATE(8017),
    [sym_argument_reference] = STATE(8017),
    [aux_sym_identifier_repeat1] = STATE(13999),
    [sym__unquoted_identifier] = ACTIONS(2166),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2168),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2170),
    [aux_sym__keyword_case_token1] = ACTIONS(2172),
    [aux_sym__keyword_cast_token1] = ACTIONS(2174),
    [aux_sym__keyword_cast_token2] = ACTIONS(2174),
    [aux_sym__keyword_date_token1] = ACTIONS(2176),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2176),
    [aux_sym__keyword_time_token1] = ACTIONS(2176),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2176),
    [anon_sym_LPAREN] = ACTIONS(2178),
    [aux_sym_drop_notnull_token1] = ACTIONS(2180),
    [aux_sym_function_call_token2] = ACTIONS(2182),
    [aux_sym_unnest_operator_token1] = ACTIONS(509),
    [aux_sym_TRUE_token1] = ACTIONS(2186),
    [aux_sym_FALSE_token1] = ACTIONS(2188),
    [sym__integer] = ACTIONS(2190),
    [aux_sym__float_token1] = ACTIONS(2192),
    [aux_sym__float_token2] = ACTIONS(2190),
    [aux_sym__float_token3] = ACTIONS(2192),
    [aux_sym_numeric_token1] = ACTIONS(2194),
    [aux_sym_numeric_token2] = ACTIONS(2194),
    [aux_sym_numeric_token3] = ACTIONS(2194),
    [aux_sym_numeric_token4] = ACTIONS(2194),
    [aux_sym_interval_token1] = ACTIONS(2196),
    [anon_sym_LBRACK] = ACTIONS(2198),
    [aux_sym_json_token1] = ACTIONS(2200),
    [sym_system_variable] = ACTIONS(2202),
    [sym__named_query_parameter] = ACTIONS(2204),
    [sym__positional_query_parameter] = ACTIONS(2206),
    [sym__quoted_identifier] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_PLUS] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2680),
    [anon_sym_operator_compare] = ACTIONS(2214),
    [anon_sym_DOLLAR] = ACTIONS(2216),
    [sym__string_start] = ACTIONS(2218),
  },
  [1505] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10015),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1506] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16294),
    [sym__keyword_case] = STATE(376),
    [sym__keyword_not] = STATE(1650),
    [sym__keyword_cast] = STATE(19283),
    [sym__keyword_date] = STATE(4607),
    [sym__keyword_datetime] = STATE(4607),
    [sym__keyword_time] = STATE(4607),
    [sym__keyword_timestamp] = STATE(4607),
    [sym_select_subexpression] = STATE(4924),
    [sym_function_call] = STATE(4924),
    [sym_unnest_operator] = STATE(2504),
    [sym_unnest_clause] = STATE(4924),
    [sym__literal] = STATE(4924),
    [sym_NULL] = STATE(4924),
    [sym_TRUE] = STATE(4924),
    [sym_FALSE] = STATE(4924),
    [sym__float] = STATE(4921),
    [sym_numeric] = STATE(4921),
    [sym__number] = STATE(4921),
    [sym_interval] = STATE(4924),
    [sym_range] = STATE(4924),
    [sym_time] = STATE(4924),
    [sym_number] = STATE(4924),
    [sym_json] = STATE(4924),
    [sym_query_parameter] = STATE(4924),
    [sym__type_chrono] = STATE(4379),
    [sym__type_struct] = STATE(19058),
    [sym__type_array] = STATE(18414),
    [sym_array] = STATE(4924),
    [sym_struct] = STATE(4924),
    [sym__identifier] = STATE(4755),
    [sym__dotted_identifier] = STATE(13556),
    [sym_identifier] = STATE(4917),
    [sym_string] = STATE(4924),
    [sym__expression] = STATE(3687),
    [sym__parenthesized_expression] = STATE(4924),
    [sym_element_access] = STATE(4924),
    [sym_field_access] = STATE(4924),
    [sym_unary_expression] = STATE(4924),
    [sym_binary_expression] = STATE(4924),
    [sym_between_operator] = STATE(4924),
    [sym_casewhen_expression] = STATE(4924),
    [sym_cast_expression] = STATE(4924),
    [sym_argument_reference] = STATE(4924),
    [aux_sym_identifier_repeat1] = STATE(13556),
    [sym__unquoted_identifier] = ACTIONS(2604),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2606),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2608),
    [aux_sym__keyword_case_token1] = ACTIONS(2610),
    [aux_sym__keyword_cast_token1] = ACTIONS(2612),
    [aux_sym__keyword_cast_token2] = ACTIONS(2612),
    [aux_sym__keyword_date_token1] = ACTIONS(2614),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2614),
    [aux_sym__keyword_time_token1] = ACTIONS(2614),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2614),
    [anon_sym_LPAREN] = ACTIONS(2616),
    [aux_sym_drop_notnull_token1] = ACTIONS(2618),
    [aux_sym_function_call_token2] = ACTIONS(2620),
    [aux_sym_unnest_operator_token1] = ACTIONS(2668),
    [aux_sym_TRUE_token1] = ACTIONS(2624),
    [aux_sym_FALSE_token1] = ACTIONS(2626),
    [sym__integer] = ACTIONS(2628),
    [aux_sym__float_token1] = ACTIONS(2630),
    [aux_sym__float_token2] = ACTIONS(2628),
    [aux_sym__float_token3] = ACTIONS(2630),
    [aux_sym_numeric_token1] = ACTIONS(2632),
    [aux_sym_numeric_token2] = ACTIONS(2632),
    [aux_sym_numeric_token3] = ACTIONS(2632),
    [aux_sym_numeric_token4] = ACTIONS(2632),
    [aux_sym_interval_token1] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [aux_sym_json_token1] = ACTIONS(2638),
    [sym_system_variable] = ACTIONS(2640),
    [sym__named_query_parameter] = ACTIONS(2642),
    [sym__positional_query_parameter] = ACTIONS(2644),
    [sym__quoted_identifier] = ACTIONS(2646),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2670),
    [anon_sym_PLUS] = ACTIONS(2672),
    [anon_sym_DASH] = ACTIONS(2672),
    [anon_sym_operator_compare] = ACTIONS(2652),
    [anon_sym_DOLLAR] = ACTIONS(2654),
    [sym__string_start] = ACTIONS(2656),
  },
  [1507] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16294),
    [sym__keyword_case] = STATE(376),
    [sym__keyword_not] = STATE(1650),
    [sym__keyword_cast] = STATE(19283),
    [sym__keyword_date] = STATE(4607),
    [sym__keyword_datetime] = STATE(4607),
    [sym__keyword_time] = STATE(4607),
    [sym__keyword_timestamp] = STATE(4607),
    [sym_select_subexpression] = STATE(4924),
    [sym_function_call] = STATE(4924),
    [sym_unnest_operator] = STATE(2504),
    [sym_unnest_clause] = STATE(4924),
    [sym__literal] = STATE(4924),
    [sym_NULL] = STATE(4924),
    [sym_TRUE] = STATE(4924),
    [sym_FALSE] = STATE(4924),
    [sym__float] = STATE(4921),
    [sym_numeric] = STATE(4921),
    [sym__number] = STATE(4921),
    [sym_interval] = STATE(4924),
    [sym_range] = STATE(4924),
    [sym_time] = STATE(4924),
    [sym_number] = STATE(4924),
    [sym_json] = STATE(4924),
    [sym_query_parameter] = STATE(4924),
    [sym__type_chrono] = STATE(4379),
    [sym__type_struct] = STATE(19058),
    [sym__type_array] = STATE(18414),
    [sym_array] = STATE(4924),
    [sym_struct] = STATE(4924),
    [sym__identifier] = STATE(4755),
    [sym__dotted_identifier] = STATE(13556),
    [sym_identifier] = STATE(4917),
    [sym_string] = STATE(4924),
    [sym__expression] = STATE(3685),
    [sym__parenthesized_expression] = STATE(4924),
    [sym_element_access] = STATE(4924),
    [sym_field_access] = STATE(4924),
    [sym_unary_expression] = STATE(4924),
    [sym_binary_expression] = STATE(4924),
    [sym_between_operator] = STATE(4924),
    [sym_casewhen_expression] = STATE(4924),
    [sym_cast_expression] = STATE(4924),
    [sym_argument_reference] = STATE(4924),
    [aux_sym_identifier_repeat1] = STATE(13556),
    [sym__unquoted_identifier] = ACTIONS(2604),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2606),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2608),
    [aux_sym__keyword_case_token1] = ACTIONS(2610),
    [aux_sym__keyword_cast_token1] = ACTIONS(2612),
    [aux_sym__keyword_cast_token2] = ACTIONS(2612),
    [aux_sym__keyword_date_token1] = ACTIONS(2614),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2614),
    [aux_sym__keyword_time_token1] = ACTIONS(2614),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2614),
    [anon_sym_LPAREN] = ACTIONS(2616),
    [aux_sym_drop_notnull_token1] = ACTIONS(2618),
    [aux_sym_function_call_token2] = ACTIONS(2620),
    [aux_sym_unnest_operator_token1] = ACTIONS(2668),
    [aux_sym_TRUE_token1] = ACTIONS(2624),
    [aux_sym_FALSE_token1] = ACTIONS(2626),
    [sym__integer] = ACTIONS(2628),
    [aux_sym__float_token1] = ACTIONS(2630),
    [aux_sym__float_token2] = ACTIONS(2628),
    [aux_sym__float_token3] = ACTIONS(2630),
    [aux_sym_numeric_token1] = ACTIONS(2632),
    [aux_sym_numeric_token2] = ACTIONS(2632),
    [aux_sym_numeric_token3] = ACTIONS(2632),
    [aux_sym_numeric_token4] = ACTIONS(2632),
    [aux_sym_interval_token1] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [aux_sym_json_token1] = ACTIONS(2638),
    [sym_system_variable] = ACTIONS(2640),
    [sym__named_query_parameter] = ACTIONS(2642),
    [sym__positional_query_parameter] = ACTIONS(2644),
    [sym__quoted_identifier] = ACTIONS(2646),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2670),
    [anon_sym_PLUS] = ACTIONS(2672),
    [anon_sym_DASH] = ACTIONS(2672),
    [anon_sym_operator_compare] = ACTIONS(2652),
    [anon_sym_DOLLAR] = ACTIONS(2654),
    [sym__string_start] = ACTIONS(2656),
  },
  [1508] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10187),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1509] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9647),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1510] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16226),
    [sym__keyword_case] = STATE(372),
    [sym__keyword_not] = STATE(1504),
    [sym__keyword_cast] = STATE(19293),
    [sym__keyword_date] = STATE(7385),
    [sym__keyword_datetime] = STATE(7385),
    [sym__keyword_time] = STATE(7385),
    [sym__keyword_timestamp] = STATE(7385),
    [sym_select_subexpression] = STATE(8017),
    [sym_function_call] = STATE(8017),
    [sym_unnest_operator] = STATE(5313),
    [sym_unnest_clause] = STATE(8017),
    [sym__literal] = STATE(8017),
    [sym_NULL] = STATE(8017),
    [sym_TRUE] = STATE(8017),
    [sym_FALSE] = STATE(8017),
    [sym__float] = STATE(8015),
    [sym_numeric] = STATE(8015),
    [sym__number] = STATE(8015),
    [sym_interval] = STATE(8017),
    [sym_range] = STATE(8017),
    [sym_time] = STATE(8017),
    [sym_number] = STATE(8017),
    [sym_json] = STATE(8017),
    [sym_query_parameter] = STATE(8017),
    [sym__type_chrono] = STATE(7173),
    [sym__type_struct] = STATE(19093),
    [sym__type_array] = STATE(18559),
    [sym_array] = STATE(8017),
    [sym_struct] = STATE(8017),
    [sym__identifier] = STATE(7194),
    [sym__dotted_identifier] = STATE(13999),
    [sym_identifier] = STATE(9346),
    [sym_string] = STATE(8017),
    [sym__expression] = STATE(6648),
    [sym__parenthesized_expression] = STATE(8017),
    [sym_element_access] = STATE(8017),
    [sym_field_access] = STATE(8017),
    [sym_unary_expression] = STATE(8017),
    [sym_binary_expression] = STATE(8017),
    [sym_between_operator] = STATE(8017),
    [sym_casewhen_expression] = STATE(8017),
    [sym_cast_expression] = STATE(8017),
    [sym_argument_reference] = STATE(8017),
    [aux_sym_identifier_repeat1] = STATE(13999),
    [sym__unquoted_identifier] = ACTIONS(2166),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2168),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2170),
    [aux_sym__keyword_case_token1] = ACTIONS(2172),
    [aux_sym__keyword_cast_token1] = ACTIONS(2174),
    [aux_sym__keyword_cast_token2] = ACTIONS(2174),
    [aux_sym__keyword_date_token1] = ACTIONS(2176),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2176),
    [aux_sym__keyword_time_token1] = ACTIONS(2176),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2176),
    [anon_sym_LPAREN] = ACTIONS(2178),
    [aux_sym_drop_notnull_token1] = ACTIONS(2180),
    [aux_sym_function_call_token2] = ACTIONS(2182),
    [aux_sym_unnest_operator_token1] = ACTIONS(509),
    [aux_sym_TRUE_token1] = ACTIONS(2186),
    [aux_sym_FALSE_token1] = ACTIONS(2188),
    [sym__integer] = ACTIONS(2190),
    [aux_sym__float_token1] = ACTIONS(2192),
    [aux_sym__float_token2] = ACTIONS(2190),
    [aux_sym__float_token3] = ACTIONS(2192),
    [aux_sym_numeric_token1] = ACTIONS(2194),
    [aux_sym_numeric_token2] = ACTIONS(2194),
    [aux_sym_numeric_token3] = ACTIONS(2194),
    [aux_sym_numeric_token4] = ACTIONS(2194),
    [aux_sym_interval_token1] = ACTIONS(2196),
    [anon_sym_LBRACK] = ACTIONS(2198),
    [aux_sym_json_token1] = ACTIONS(2200),
    [sym_system_variable] = ACTIONS(2202),
    [sym__named_query_parameter] = ACTIONS(2204),
    [sym__positional_query_parameter] = ACTIONS(2206),
    [sym__quoted_identifier] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_PLUS] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2680),
    [anon_sym_operator_compare] = ACTIONS(2214),
    [anon_sym_DOLLAR] = ACTIONS(2216),
    [sym__string_start] = ACTIONS(2218),
  },
  [1511] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10004),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1512] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16217),
    [sym__keyword_case] = STATE(353),
    [sym__keyword_not] = STATE(1565),
    [sym__keyword_cast] = STATE(19295),
    [sym__keyword_date] = STATE(9555),
    [sym__keyword_datetime] = STATE(9555),
    [sym__keyword_time] = STATE(9555),
    [sym__keyword_timestamp] = STATE(9555),
    [sym_select_subexpression] = STATE(10287),
    [sym_function_call] = STATE(10287),
    [sym_unnest_operator] = STATE(5325),
    [sym_unnest_clause] = STATE(10287),
    [sym__literal] = STATE(10287),
    [sym_NULL] = STATE(10287),
    [sym_TRUE] = STATE(10287),
    [sym_FALSE] = STATE(10287),
    [sym__float] = STATE(10288),
    [sym_numeric] = STATE(10288),
    [sym__number] = STATE(10288),
    [sym_interval] = STATE(10287),
    [sym_range] = STATE(10287),
    [sym_time] = STATE(10287),
    [sym_number] = STATE(10287),
    [sym_json] = STATE(10287),
    [sym_query_parameter] = STATE(10287),
    [sym__type_chrono] = STATE(8548),
    [sym__type_struct] = STATE(19100),
    [sym__type_array] = STATE(18586),
    [sym_array] = STATE(10287),
    [sym_struct] = STATE(10287),
    [sym__identifier] = STATE(8591),
    [sym__dotted_identifier] = STATE(13746),
    [sym_identifier] = STATE(9785),
    [sym_string] = STATE(10287),
    [sym__expression] = STATE(6890),
    [sym__parenthesized_expression] = STATE(10287),
    [sym_element_access] = STATE(10287),
    [sym_field_access] = STATE(10287),
    [sym_unary_expression] = STATE(10287),
    [sym_binary_expression] = STATE(10287),
    [sym_between_operator] = STATE(10287),
    [sym_casewhen_expression] = STATE(10287),
    [sym_cast_expression] = STATE(10287),
    [sym_argument_reference] = STATE(10287),
    [aux_sym_identifier_repeat1] = STATE(13746),
    [sym__unquoted_identifier] = ACTIONS(2242),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2244),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2246),
    [aux_sym__keyword_case_token1] = ACTIONS(2248),
    [aux_sym__keyword_cast_token1] = ACTIONS(2250),
    [aux_sym__keyword_cast_token2] = ACTIONS(2250),
    [aux_sym__keyword_date_token1] = ACTIONS(2252),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2252),
    [aux_sym__keyword_time_token1] = ACTIONS(2252),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2252),
    [anon_sym_LPAREN] = ACTIONS(2254),
    [aux_sym_drop_notnull_token1] = ACTIONS(2256),
    [aux_sym_function_call_token2] = ACTIONS(2258),
    [aux_sym_unnest_operator_token1] = ACTIONS(2260),
    [aux_sym_TRUE_token1] = ACTIONS(2262),
    [aux_sym_FALSE_token1] = ACTIONS(2264),
    [sym__integer] = ACTIONS(2266),
    [aux_sym__float_token1] = ACTIONS(2268),
    [aux_sym__float_token2] = ACTIONS(2266),
    [aux_sym__float_token3] = ACTIONS(2268),
    [aux_sym_numeric_token1] = ACTIONS(2270),
    [aux_sym_numeric_token2] = ACTIONS(2270),
    [aux_sym_numeric_token3] = ACTIONS(2270),
    [aux_sym_numeric_token4] = ACTIONS(2270),
    [aux_sym_interval_token1] = ACTIONS(2272),
    [anon_sym_LBRACK] = ACTIONS(2274),
    [aux_sym_json_token1] = ACTIONS(2276),
    [sym_system_variable] = ACTIONS(2278),
    [sym__named_query_parameter] = ACTIONS(2280),
    [sym__positional_query_parameter] = ACTIONS(2282),
    [sym__quoted_identifier] = ACTIONS(2284),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2286),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_operator_compare] = ACTIONS(2290),
    [anon_sym_DOLLAR] = ACTIONS(2292),
    [sym__string_start] = ACTIONS(2294),
  },
  [1513] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16217),
    [sym__keyword_case] = STATE(353),
    [sym__keyword_not] = STATE(1565),
    [sym__keyword_cast] = STATE(19295),
    [sym__keyword_date] = STATE(9555),
    [sym__keyword_datetime] = STATE(9555),
    [sym__keyword_time] = STATE(9555),
    [sym__keyword_timestamp] = STATE(9555),
    [sym_select_subexpression] = STATE(10287),
    [sym_function_call] = STATE(10287),
    [sym_unnest_operator] = STATE(5325),
    [sym_unnest_clause] = STATE(10287),
    [sym__literal] = STATE(10287),
    [sym_NULL] = STATE(10287),
    [sym_TRUE] = STATE(10287),
    [sym_FALSE] = STATE(10287),
    [sym__float] = STATE(10288),
    [sym_numeric] = STATE(10288),
    [sym__number] = STATE(10288),
    [sym_interval] = STATE(10287),
    [sym_range] = STATE(10287),
    [sym_time] = STATE(10287),
    [sym_number] = STATE(10287),
    [sym_json] = STATE(10287),
    [sym_query_parameter] = STATE(10287),
    [sym__type_chrono] = STATE(8548),
    [sym__type_struct] = STATE(19100),
    [sym__type_array] = STATE(18586),
    [sym_array] = STATE(10287),
    [sym_struct] = STATE(10287),
    [sym__identifier] = STATE(8591),
    [sym__dotted_identifier] = STATE(13746),
    [sym_identifier] = STATE(9785),
    [sym_string] = STATE(10287),
    [sym__expression] = STATE(6912),
    [sym__parenthesized_expression] = STATE(10287),
    [sym_element_access] = STATE(10287),
    [sym_field_access] = STATE(10287),
    [sym_unary_expression] = STATE(10287),
    [sym_binary_expression] = STATE(10287),
    [sym_between_operator] = STATE(10287),
    [sym_casewhen_expression] = STATE(10287),
    [sym_cast_expression] = STATE(10287),
    [sym_argument_reference] = STATE(10287),
    [aux_sym_identifier_repeat1] = STATE(13746),
    [sym__unquoted_identifier] = ACTIONS(2242),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2244),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2246),
    [aux_sym__keyword_case_token1] = ACTIONS(2248),
    [aux_sym__keyword_cast_token1] = ACTIONS(2250),
    [aux_sym__keyword_cast_token2] = ACTIONS(2250),
    [aux_sym__keyword_date_token1] = ACTIONS(2252),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2252),
    [aux_sym__keyword_time_token1] = ACTIONS(2252),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2252),
    [anon_sym_LPAREN] = ACTIONS(2254),
    [aux_sym_drop_notnull_token1] = ACTIONS(2256),
    [aux_sym_function_call_token2] = ACTIONS(2258),
    [aux_sym_unnest_operator_token1] = ACTIONS(2260),
    [aux_sym_TRUE_token1] = ACTIONS(2262),
    [aux_sym_FALSE_token1] = ACTIONS(2264),
    [sym__integer] = ACTIONS(2266),
    [aux_sym__float_token1] = ACTIONS(2268),
    [aux_sym__float_token2] = ACTIONS(2266),
    [aux_sym__float_token3] = ACTIONS(2268),
    [aux_sym_numeric_token1] = ACTIONS(2270),
    [aux_sym_numeric_token2] = ACTIONS(2270),
    [aux_sym_numeric_token3] = ACTIONS(2270),
    [aux_sym_numeric_token4] = ACTIONS(2270),
    [aux_sym_interval_token1] = ACTIONS(2272),
    [anon_sym_LBRACK] = ACTIONS(2274),
    [aux_sym_json_token1] = ACTIONS(2276),
    [sym_system_variable] = ACTIONS(2278),
    [sym__named_query_parameter] = ACTIONS(2280),
    [sym__positional_query_parameter] = ACTIONS(2282),
    [sym__quoted_identifier] = ACTIONS(2284),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2286),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_operator_compare] = ACTIONS(2290),
    [anon_sym_DOLLAR] = ACTIONS(2292),
    [sym__string_start] = ACTIONS(2294),
  },
  [1514] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16217),
    [sym__keyword_case] = STATE(353),
    [sym__keyword_not] = STATE(1565),
    [sym__keyword_cast] = STATE(19295),
    [sym__keyword_date] = STATE(9555),
    [sym__keyword_datetime] = STATE(9555),
    [sym__keyword_time] = STATE(9555),
    [sym__keyword_timestamp] = STATE(9555),
    [sym_select_subexpression] = STATE(10287),
    [sym_function_call] = STATE(10287),
    [sym_unnest_operator] = STATE(5325),
    [sym_unnest_clause] = STATE(10287),
    [sym__literal] = STATE(10287),
    [sym_NULL] = STATE(10287),
    [sym_TRUE] = STATE(10287),
    [sym_FALSE] = STATE(10287),
    [sym__float] = STATE(10288),
    [sym_numeric] = STATE(10288),
    [sym__number] = STATE(10288),
    [sym_interval] = STATE(10287),
    [sym_range] = STATE(10287),
    [sym_time] = STATE(10287),
    [sym_number] = STATE(10287),
    [sym_json] = STATE(10287),
    [sym_query_parameter] = STATE(10287),
    [sym__type_chrono] = STATE(8548),
    [sym__type_struct] = STATE(19100),
    [sym__type_array] = STATE(18586),
    [sym_array] = STATE(10287),
    [sym_struct] = STATE(10287),
    [sym__identifier] = STATE(8591),
    [sym__dotted_identifier] = STATE(13746),
    [sym_identifier] = STATE(9785),
    [sym_string] = STATE(10287),
    [sym__expression] = STATE(6913),
    [sym__parenthesized_expression] = STATE(10287),
    [sym_element_access] = STATE(10287),
    [sym_field_access] = STATE(10287),
    [sym_unary_expression] = STATE(10287),
    [sym_binary_expression] = STATE(10287),
    [sym_between_operator] = STATE(10287),
    [sym_casewhen_expression] = STATE(10287),
    [sym_cast_expression] = STATE(10287),
    [sym_argument_reference] = STATE(10287),
    [aux_sym_identifier_repeat1] = STATE(13746),
    [sym__unquoted_identifier] = ACTIONS(2242),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2244),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2246),
    [aux_sym__keyword_case_token1] = ACTIONS(2248),
    [aux_sym__keyword_cast_token1] = ACTIONS(2250),
    [aux_sym__keyword_cast_token2] = ACTIONS(2250),
    [aux_sym__keyword_date_token1] = ACTIONS(2252),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2252),
    [aux_sym__keyword_time_token1] = ACTIONS(2252),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2252),
    [anon_sym_LPAREN] = ACTIONS(2254),
    [aux_sym_drop_notnull_token1] = ACTIONS(2256),
    [aux_sym_function_call_token2] = ACTIONS(2258),
    [aux_sym_unnest_operator_token1] = ACTIONS(2260),
    [aux_sym_TRUE_token1] = ACTIONS(2262),
    [aux_sym_FALSE_token1] = ACTIONS(2264),
    [sym__integer] = ACTIONS(2266),
    [aux_sym__float_token1] = ACTIONS(2268),
    [aux_sym__float_token2] = ACTIONS(2266),
    [aux_sym__float_token3] = ACTIONS(2268),
    [aux_sym_numeric_token1] = ACTIONS(2270),
    [aux_sym_numeric_token2] = ACTIONS(2270),
    [aux_sym_numeric_token3] = ACTIONS(2270),
    [aux_sym_numeric_token4] = ACTIONS(2270),
    [aux_sym_interval_token1] = ACTIONS(2272),
    [anon_sym_LBRACK] = ACTIONS(2274),
    [aux_sym_json_token1] = ACTIONS(2276),
    [sym_system_variable] = ACTIONS(2278),
    [sym__named_query_parameter] = ACTIONS(2280),
    [sym__positional_query_parameter] = ACTIONS(2282),
    [sym__quoted_identifier] = ACTIONS(2284),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2286),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_operator_compare] = ACTIONS(2290),
    [anon_sym_DOLLAR] = ACTIONS(2292),
    [sym__string_start] = ACTIONS(2294),
  },
  [1515] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16161),
    [sym__keyword_case] = STATE(281),
    [sym__keyword_not] = STATE(1524),
    [sym__keyword_cast] = STATE(19303),
    [sym__keyword_date] = STATE(5561),
    [sym__keyword_datetime] = STATE(5561),
    [sym__keyword_time] = STATE(5561),
    [sym__keyword_timestamp] = STATE(5561),
    [sym_select_subexpression] = STATE(5651),
    [sym_function_call] = STATE(5651),
    [sym_unnest_operator] = STATE(4219),
    [sym_unnest_clause] = STATE(5651),
    [sym__literal] = STATE(5651),
    [sym_NULL] = STATE(5651),
    [sym_TRUE] = STATE(5651),
    [sym_FALSE] = STATE(5651),
    [sym__float] = STATE(5650),
    [sym_numeric] = STATE(5650),
    [sym__number] = STATE(5650),
    [sym_interval] = STATE(5651),
    [sym_range] = STATE(5651),
    [sym_time] = STATE(5651),
    [sym_number] = STATE(5651),
    [sym_json] = STATE(5651),
    [sym_query_parameter] = STATE(5651),
    [sym__type_chrono] = STATE(5409),
    [sym__type_struct] = STATE(19128),
    [sym__type_array] = STATE(18694),
    [sym_array] = STATE(5651),
    [sym_struct] = STATE(5651),
    [sym__identifier] = STATE(5400),
    [sym__dotted_identifier] = STATE(13676),
    [sym_identifier] = STATE(5580),
    [sym_string] = STATE(5651),
    [sym__expression] = STATE(5304),
    [sym__parenthesized_expression] = STATE(5651),
    [sym_element_access] = STATE(5651),
    [sym_field_access] = STATE(5651),
    [sym_unary_expression] = STATE(5651),
    [sym_binary_expression] = STATE(5651),
    [sym_between_operator] = STATE(5651),
    [sym_casewhen_expression] = STATE(5651),
    [sym_cast_expression] = STATE(5651),
    [sym_argument_reference] = STATE(5651),
    [aux_sym_identifier_repeat1] = STATE(13676),
    [sym__unquoted_identifier] = ACTIONS(2498),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2500),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2502),
    [aux_sym__keyword_case_token1] = ACTIONS(2504),
    [aux_sym__keyword_cast_token1] = ACTIONS(2506),
    [aux_sym__keyword_cast_token2] = ACTIONS(2506),
    [aux_sym__keyword_date_token1] = ACTIONS(2508),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2508),
    [aux_sym__keyword_time_token1] = ACTIONS(2508),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2508),
    [anon_sym_LPAREN] = ACTIONS(2510),
    [aux_sym_drop_notnull_token1] = ACTIONS(2512),
    [aux_sym_function_call_token2] = ACTIONS(2514),
    [aux_sym_unnest_operator_token1] = ACTIONS(2516),
    [aux_sym_TRUE_token1] = ACTIONS(2518),
    [aux_sym_FALSE_token1] = ACTIONS(2520),
    [sym__integer] = ACTIONS(2522),
    [aux_sym__float_token1] = ACTIONS(2524),
    [aux_sym__float_token2] = ACTIONS(2522),
    [aux_sym__float_token3] = ACTIONS(2524),
    [aux_sym_numeric_token1] = ACTIONS(2526),
    [aux_sym_numeric_token2] = ACTIONS(2526),
    [aux_sym_numeric_token3] = ACTIONS(2526),
    [aux_sym_numeric_token4] = ACTIONS(2526),
    [aux_sym_interval_token1] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2530),
    [aux_sym_json_token1] = ACTIONS(2532),
    [sym_system_variable] = ACTIONS(2534),
    [sym__named_query_parameter] = ACTIONS(2536),
    [sym__positional_query_parameter] = ACTIONS(2538),
    [sym__quoted_identifier] = ACTIONS(2540),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2542),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_operator_compare] = ACTIONS(2546),
    [anon_sym_DOLLAR] = ACTIONS(2548),
    [sym__string_start] = ACTIONS(2550),
  },
  [1516] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16217),
    [sym__keyword_case] = STATE(353),
    [sym__keyword_not] = STATE(1565),
    [sym__keyword_cast] = STATE(19295),
    [sym__keyword_date] = STATE(9555),
    [sym__keyword_datetime] = STATE(9555),
    [sym__keyword_time] = STATE(9555),
    [sym__keyword_timestamp] = STATE(9555),
    [sym_select_subexpression] = STATE(10287),
    [sym_function_call] = STATE(10287),
    [sym_unnest_operator] = STATE(5325),
    [sym_unnest_clause] = STATE(10287),
    [sym__literal] = STATE(10287),
    [sym_NULL] = STATE(10287),
    [sym_TRUE] = STATE(10287),
    [sym_FALSE] = STATE(10287),
    [sym__float] = STATE(10288),
    [sym_numeric] = STATE(10288),
    [sym__number] = STATE(10288),
    [sym_interval] = STATE(10287),
    [sym_range] = STATE(10287),
    [sym_time] = STATE(10287),
    [sym_number] = STATE(10287),
    [sym_json] = STATE(10287),
    [sym_query_parameter] = STATE(10287),
    [sym__type_chrono] = STATE(8548),
    [sym__type_struct] = STATE(19100),
    [sym__type_array] = STATE(18586),
    [sym_array] = STATE(10287),
    [sym_struct] = STATE(10287),
    [sym__identifier] = STATE(8591),
    [sym__dotted_identifier] = STATE(13746),
    [sym_identifier] = STATE(9785),
    [sym_string] = STATE(10287),
    [sym__expression] = STATE(6919),
    [sym__parenthesized_expression] = STATE(10287),
    [sym_element_access] = STATE(10287),
    [sym_field_access] = STATE(10287),
    [sym_unary_expression] = STATE(10287),
    [sym_binary_expression] = STATE(10287),
    [sym_between_operator] = STATE(10287),
    [sym_casewhen_expression] = STATE(10287),
    [sym_cast_expression] = STATE(10287),
    [sym_argument_reference] = STATE(10287),
    [aux_sym_identifier_repeat1] = STATE(13746),
    [sym__unquoted_identifier] = ACTIONS(2242),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2244),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2246),
    [aux_sym__keyword_case_token1] = ACTIONS(2248),
    [aux_sym__keyword_cast_token1] = ACTIONS(2250),
    [aux_sym__keyword_cast_token2] = ACTIONS(2250),
    [aux_sym__keyword_date_token1] = ACTIONS(2252),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2252),
    [aux_sym__keyword_time_token1] = ACTIONS(2252),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2252),
    [anon_sym_LPAREN] = ACTIONS(2254),
    [aux_sym_drop_notnull_token1] = ACTIONS(2256),
    [aux_sym_function_call_token2] = ACTIONS(2258),
    [aux_sym_unnest_operator_token1] = ACTIONS(2260),
    [aux_sym_TRUE_token1] = ACTIONS(2262),
    [aux_sym_FALSE_token1] = ACTIONS(2264),
    [sym__integer] = ACTIONS(2266),
    [aux_sym__float_token1] = ACTIONS(2268),
    [aux_sym__float_token2] = ACTIONS(2266),
    [aux_sym__float_token3] = ACTIONS(2268),
    [aux_sym_numeric_token1] = ACTIONS(2270),
    [aux_sym_numeric_token2] = ACTIONS(2270),
    [aux_sym_numeric_token3] = ACTIONS(2270),
    [aux_sym_numeric_token4] = ACTIONS(2270),
    [aux_sym_interval_token1] = ACTIONS(2272),
    [anon_sym_LBRACK] = ACTIONS(2274),
    [aux_sym_json_token1] = ACTIONS(2276),
    [sym_system_variable] = ACTIONS(2278),
    [sym__named_query_parameter] = ACTIONS(2280),
    [sym__positional_query_parameter] = ACTIONS(2282),
    [sym__quoted_identifier] = ACTIONS(2284),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2286),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_operator_compare] = ACTIONS(2290),
    [anon_sym_DOLLAR] = ACTIONS(2292),
    [sym__string_start] = ACTIONS(2294),
  },
  [1517] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1444),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(198),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(388),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1518] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(1520),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(390),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2641),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2722),
    [anon_sym_PLUS] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2724),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1519] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16217),
    [sym__keyword_case] = STATE(353),
    [sym__keyword_not] = STATE(1565),
    [sym__keyword_cast] = STATE(19295),
    [sym__keyword_date] = STATE(9555),
    [sym__keyword_datetime] = STATE(9555),
    [sym__keyword_time] = STATE(9555),
    [sym__keyword_timestamp] = STATE(9555),
    [sym_select_subexpression] = STATE(10287),
    [sym_function_call] = STATE(10287),
    [sym_unnest_operator] = STATE(5325),
    [sym_unnest_clause] = STATE(10287),
    [sym__literal] = STATE(10287),
    [sym_NULL] = STATE(10287),
    [sym_TRUE] = STATE(10287),
    [sym_FALSE] = STATE(10287),
    [sym__float] = STATE(10288),
    [sym_numeric] = STATE(10288),
    [sym__number] = STATE(10288),
    [sym_interval] = STATE(10287),
    [sym_range] = STATE(10287),
    [sym_time] = STATE(10287),
    [sym_number] = STATE(10287),
    [sym_json] = STATE(10287),
    [sym_query_parameter] = STATE(10287),
    [sym__type_chrono] = STATE(8548),
    [sym__type_struct] = STATE(19100),
    [sym__type_array] = STATE(18586),
    [sym_array] = STATE(10287),
    [sym_struct] = STATE(10287),
    [sym__identifier] = STATE(8591),
    [sym__dotted_identifier] = STATE(13746),
    [sym_identifier] = STATE(9785),
    [sym_string] = STATE(10287),
    [sym__expression] = STATE(6922),
    [sym__parenthesized_expression] = STATE(10287),
    [sym_element_access] = STATE(10287),
    [sym_field_access] = STATE(10287),
    [sym_unary_expression] = STATE(10287),
    [sym_binary_expression] = STATE(10287),
    [sym_between_operator] = STATE(10287),
    [sym_casewhen_expression] = STATE(10287),
    [sym_cast_expression] = STATE(10287),
    [sym_argument_reference] = STATE(10287),
    [aux_sym_identifier_repeat1] = STATE(13746),
    [sym__unquoted_identifier] = ACTIONS(2242),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2244),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2246),
    [aux_sym__keyword_case_token1] = ACTIONS(2248),
    [aux_sym__keyword_cast_token1] = ACTIONS(2250),
    [aux_sym__keyword_cast_token2] = ACTIONS(2250),
    [aux_sym__keyword_date_token1] = ACTIONS(2252),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2252),
    [aux_sym__keyword_time_token1] = ACTIONS(2252),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2252),
    [anon_sym_LPAREN] = ACTIONS(2254),
    [aux_sym_drop_notnull_token1] = ACTIONS(2256),
    [aux_sym_function_call_token2] = ACTIONS(2258),
    [aux_sym_unnest_operator_token1] = ACTIONS(2260),
    [aux_sym_TRUE_token1] = ACTIONS(2262),
    [aux_sym_FALSE_token1] = ACTIONS(2264),
    [sym__integer] = ACTIONS(2266),
    [aux_sym__float_token1] = ACTIONS(2268),
    [aux_sym__float_token2] = ACTIONS(2266),
    [aux_sym__float_token3] = ACTIONS(2268),
    [aux_sym_numeric_token1] = ACTIONS(2270),
    [aux_sym_numeric_token2] = ACTIONS(2270),
    [aux_sym_numeric_token3] = ACTIONS(2270),
    [aux_sym_numeric_token4] = ACTIONS(2270),
    [aux_sym_interval_token1] = ACTIONS(2272),
    [anon_sym_LBRACK] = ACTIONS(2274),
    [aux_sym_json_token1] = ACTIONS(2276),
    [sym_system_variable] = ACTIONS(2278),
    [sym__named_query_parameter] = ACTIONS(2280),
    [sym__positional_query_parameter] = ACTIONS(2282),
    [sym__quoted_identifier] = ACTIONS(2284),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2286),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_operator_compare] = ACTIONS(2290),
    [anon_sym_DOLLAR] = ACTIONS(2292),
    [sym__string_start] = ACTIONS(2294),
  },
  [1520] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(1520),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(390),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2651),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2722),
    [anon_sym_PLUS] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2724),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1521] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1444),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(198),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(428),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1522] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1444),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(198),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(424),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1523] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16226),
    [sym__keyword_case] = STATE(372),
    [sym__keyword_not] = STATE(1504),
    [sym__keyword_cast] = STATE(19293),
    [sym__keyword_date] = STATE(7385),
    [sym__keyword_datetime] = STATE(7385),
    [sym__keyword_time] = STATE(7385),
    [sym__keyword_timestamp] = STATE(7385),
    [sym_select_subexpression] = STATE(8017),
    [sym_function_call] = STATE(8017),
    [sym_unnest_operator] = STATE(5313),
    [sym_unnest_clause] = STATE(8017),
    [sym__literal] = STATE(8017),
    [sym_NULL] = STATE(8017),
    [sym_TRUE] = STATE(8017),
    [sym_FALSE] = STATE(8017),
    [sym__float] = STATE(8015),
    [sym_numeric] = STATE(8015),
    [sym__number] = STATE(8015),
    [sym_interval] = STATE(8017),
    [sym_range] = STATE(8017),
    [sym_time] = STATE(8017),
    [sym_number] = STATE(8017),
    [sym_json] = STATE(8017),
    [sym_query_parameter] = STATE(8017),
    [sym__type_chrono] = STATE(7173),
    [sym__type_struct] = STATE(19093),
    [sym__type_array] = STATE(18559),
    [sym_array] = STATE(8017),
    [sym_struct] = STATE(8017),
    [sym__identifier] = STATE(7194),
    [sym__dotted_identifier] = STATE(13999),
    [sym_identifier] = STATE(9346),
    [sym_string] = STATE(8017),
    [sym__expression] = STATE(6652),
    [sym__parenthesized_expression] = STATE(8017),
    [sym_element_access] = STATE(8017),
    [sym_field_access] = STATE(8017),
    [sym_unary_expression] = STATE(8017),
    [sym_binary_expression] = STATE(8017),
    [sym_between_operator] = STATE(8017),
    [sym_casewhen_expression] = STATE(8017),
    [sym_cast_expression] = STATE(8017),
    [sym_argument_reference] = STATE(8017),
    [aux_sym_identifier_repeat1] = STATE(13999),
    [sym__unquoted_identifier] = ACTIONS(2166),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2168),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2170),
    [aux_sym__keyword_case_token1] = ACTIONS(2172),
    [aux_sym__keyword_cast_token1] = ACTIONS(2174),
    [aux_sym__keyword_cast_token2] = ACTIONS(2174),
    [aux_sym__keyword_date_token1] = ACTIONS(2176),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2176),
    [aux_sym__keyword_time_token1] = ACTIONS(2176),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2176),
    [anon_sym_LPAREN] = ACTIONS(2178),
    [aux_sym_drop_notnull_token1] = ACTIONS(2180),
    [aux_sym_function_call_token2] = ACTIONS(2182),
    [aux_sym_unnest_operator_token1] = ACTIONS(509),
    [aux_sym_TRUE_token1] = ACTIONS(2186),
    [aux_sym_FALSE_token1] = ACTIONS(2188),
    [sym__integer] = ACTIONS(2190),
    [aux_sym__float_token1] = ACTIONS(2192),
    [aux_sym__float_token2] = ACTIONS(2190),
    [aux_sym__float_token3] = ACTIONS(2192),
    [aux_sym_numeric_token1] = ACTIONS(2194),
    [aux_sym_numeric_token2] = ACTIONS(2194),
    [aux_sym_numeric_token3] = ACTIONS(2194),
    [aux_sym_numeric_token4] = ACTIONS(2194),
    [aux_sym_interval_token1] = ACTIONS(2196),
    [anon_sym_LBRACK] = ACTIONS(2198),
    [aux_sym_json_token1] = ACTIONS(2200),
    [sym_system_variable] = ACTIONS(2202),
    [sym__named_query_parameter] = ACTIONS(2204),
    [sym__positional_query_parameter] = ACTIONS(2206),
    [sym__quoted_identifier] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_PLUS] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2680),
    [anon_sym_operator_compare] = ACTIONS(2214),
    [anon_sym_DOLLAR] = ACTIONS(2216),
    [sym__string_start] = ACTIONS(2218),
  },
  [1524] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16161),
    [sym__keyword_case] = STATE(281),
    [sym__keyword_not] = STATE(1524),
    [sym__keyword_cast] = STATE(19303),
    [sym__keyword_date] = STATE(5561),
    [sym__keyword_datetime] = STATE(5561),
    [sym__keyword_time] = STATE(5561),
    [sym__keyword_timestamp] = STATE(5561),
    [sym_select_subexpression] = STATE(5651),
    [sym_function_call] = STATE(5651),
    [sym_unnest_operator] = STATE(4219),
    [sym_unnest_clause] = STATE(5651),
    [sym__literal] = STATE(5651),
    [sym_NULL] = STATE(5651),
    [sym_TRUE] = STATE(5651),
    [sym_FALSE] = STATE(5651),
    [sym__float] = STATE(5650),
    [sym_numeric] = STATE(5650),
    [sym__number] = STATE(5650),
    [sym_interval] = STATE(5651),
    [sym_range] = STATE(5651),
    [sym_time] = STATE(5651),
    [sym_number] = STATE(5651),
    [sym_json] = STATE(5651),
    [sym_query_parameter] = STATE(5651),
    [sym__type_chrono] = STATE(5409),
    [sym__type_struct] = STATE(19128),
    [sym__type_array] = STATE(18694),
    [sym_array] = STATE(5651),
    [sym_struct] = STATE(5651),
    [sym__identifier] = STATE(5400),
    [sym__dotted_identifier] = STATE(13676),
    [sym_identifier] = STATE(5580),
    [sym_string] = STATE(5651),
    [sym__expression] = STATE(5286),
    [sym__parenthesized_expression] = STATE(5651),
    [sym_element_access] = STATE(5651),
    [sym_field_access] = STATE(5651),
    [sym_unary_expression] = STATE(5651),
    [sym_binary_expression] = STATE(5651),
    [sym_between_operator] = STATE(5651),
    [sym_casewhen_expression] = STATE(5651),
    [sym_cast_expression] = STATE(5651),
    [sym_argument_reference] = STATE(5651),
    [aux_sym_identifier_repeat1] = STATE(13676),
    [sym__unquoted_identifier] = ACTIONS(2498),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2500),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2502),
    [aux_sym__keyword_case_token1] = ACTIONS(2504),
    [aux_sym__keyword_cast_token1] = ACTIONS(2506),
    [aux_sym__keyword_cast_token2] = ACTIONS(2506),
    [aux_sym__keyword_date_token1] = ACTIONS(2508),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2508),
    [aux_sym__keyword_time_token1] = ACTIONS(2508),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2508),
    [anon_sym_LPAREN] = ACTIONS(2510),
    [aux_sym_drop_notnull_token1] = ACTIONS(2512),
    [aux_sym_function_call_token2] = ACTIONS(2514),
    [aux_sym_unnest_operator_token1] = ACTIONS(2516),
    [aux_sym_TRUE_token1] = ACTIONS(2518),
    [aux_sym_FALSE_token1] = ACTIONS(2520),
    [sym__integer] = ACTIONS(2522),
    [aux_sym__float_token1] = ACTIONS(2524),
    [aux_sym__float_token2] = ACTIONS(2522),
    [aux_sym__float_token3] = ACTIONS(2524),
    [aux_sym_numeric_token1] = ACTIONS(2526),
    [aux_sym_numeric_token2] = ACTIONS(2526),
    [aux_sym_numeric_token3] = ACTIONS(2526),
    [aux_sym_numeric_token4] = ACTIONS(2526),
    [aux_sym_interval_token1] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2530),
    [aux_sym_json_token1] = ACTIONS(2532),
    [sym_system_variable] = ACTIONS(2534),
    [sym__named_query_parameter] = ACTIONS(2536),
    [sym__positional_query_parameter] = ACTIONS(2538),
    [sym__quoted_identifier] = ACTIONS(2540),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2542),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_operator_compare] = ACTIONS(2546),
    [anon_sym_DOLLAR] = ACTIONS(2548),
    [sym__string_start] = ACTIONS(2550),
  },
  [1525] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10013),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1526] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9676),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1527] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1444),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(198),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(423),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1528] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1444),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(198),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(382),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1529] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16161),
    [sym__keyword_case] = STATE(281),
    [sym__keyword_not] = STATE(1524),
    [sym__keyword_cast] = STATE(19303),
    [sym__keyword_date] = STATE(5561),
    [sym__keyword_datetime] = STATE(5561),
    [sym__keyword_time] = STATE(5561),
    [sym__keyword_timestamp] = STATE(5561),
    [sym_select_subexpression] = STATE(5651),
    [sym_function_call] = STATE(5651),
    [sym_unnest_operator] = STATE(4219),
    [sym_unnest_clause] = STATE(5651),
    [sym__literal] = STATE(5651),
    [sym_NULL] = STATE(5651),
    [sym_TRUE] = STATE(5651),
    [sym_FALSE] = STATE(5651),
    [sym__float] = STATE(5650),
    [sym_numeric] = STATE(5650),
    [sym__number] = STATE(5650),
    [sym_interval] = STATE(5651),
    [sym_range] = STATE(5651),
    [sym_time] = STATE(5651),
    [sym_number] = STATE(5651),
    [sym_json] = STATE(5651),
    [sym_query_parameter] = STATE(5651),
    [sym__type_chrono] = STATE(5409),
    [sym__type_struct] = STATE(19128),
    [sym__type_array] = STATE(18694),
    [sym_array] = STATE(5651),
    [sym_struct] = STATE(5651),
    [sym__identifier] = STATE(5400),
    [sym__dotted_identifier] = STATE(13676),
    [sym_identifier] = STATE(5580),
    [sym_string] = STATE(5651),
    [sym__expression] = STATE(5284),
    [sym__parenthesized_expression] = STATE(5651),
    [sym_element_access] = STATE(5651),
    [sym_field_access] = STATE(5651),
    [sym_unary_expression] = STATE(5651),
    [sym_binary_expression] = STATE(5651),
    [sym_between_operator] = STATE(5651),
    [sym_casewhen_expression] = STATE(5651),
    [sym_cast_expression] = STATE(5651),
    [sym_argument_reference] = STATE(5651),
    [aux_sym_identifier_repeat1] = STATE(13676),
    [sym__unquoted_identifier] = ACTIONS(2498),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2500),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2502),
    [aux_sym__keyword_case_token1] = ACTIONS(2504),
    [aux_sym__keyword_cast_token1] = ACTIONS(2506),
    [aux_sym__keyword_cast_token2] = ACTIONS(2506),
    [aux_sym__keyword_date_token1] = ACTIONS(2508),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2508),
    [aux_sym__keyword_time_token1] = ACTIONS(2508),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2508),
    [anon_sym_LPAREN] = ACTIONS(2510),
    [aux_sym_drop_notnull_token1] = ACTIONS(2512),
    [aux_sym_function_call_token2] = ACTIONS(2514),
    [aux_sym_unnest_operator_token1] = ACTIONS(2516),
    [aux_sym_TRUE_token1] = ACTIONS(2518),
    [aux_sym_FALSE_token1] = ACTIONS(2520),
    [sym__integer] = ACTIONS(2522),
    [aux_sym__float_token1] = ACTIONS(2524),
    [aux_sym__float_token2] = ACTIONS(2522),
    [aux_sym__float_token3] = ACTIONS(2524),
    [aux_sym_numeric_token1] = ACTIONS(2526),
    [aux_sym_numeric_token2] = ACTIONS(2526),
    [aux_sym_numeric_token3] = ACTIONS(2526),
    [aux_sym_numeric_token4] = ACTIONS(2526),
    [aux_sym_interval_token1] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2530),
    [aux_sym_json_token1] = ACTIONS(2532),
    [sym_system_variable] = ACTIONS(2534),
    [sym__named_query_parameter] = ACTIONS(2536),
    [sym__positional_query_parameter] = ACTIONS(2538),
    [sym__quoted_identifier] = ACTIONS(2540),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2542),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_operator_compare] = ACTIONS(2546),
    [anon_sym_DOLLAR] = ACTIONS(2548),
    [sym__string_start] = ACTIONS(2550),
  },
  [1530] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16217),
    [sym__keyword_case] = STATE(353),
    [sym__keyword_not] = STATE(1565),
    [sym__keyword_cast] = STATE(19295),
    [sym__keyword_date] = STATE(9555),
    [sym__keyword_datetime] = STATE(9555),
    [sym__keyword_time] = STATE(9555),
    [sym__keyword_timestamp] = STATE(9555),
    [sym_select_subexpression] = STATE(10287),
    [sym_function_call] = STATE(10287),
    [sym_unnest_operator] = STATE(5325),
    [sym_unnest_clause] = STATE(10287),
    [sym__literal] = STATE(10287),
    [sym_NULL] = STATE(10287),
    [sym_TRUE] = STATE(10287),
    [sym_FALSE] = STATE(10287),
    [sym__float] = STATE(10288),
    [sym_numeric] = STATE(10288),
    [sym__number] = STATE(10288),
    [sym_interval] = STATE(10287),
    [sym_range] = STATE(10287),
    [sym_time] = STATE(10287),
    [sym_number] = STATE(10287),
    [sym_json] = STATE(10287),
    [sym_query_parameter] = STATE(10287),
    [sym__type_chrono] = STATE(8548),
    [sym__type_struct] = STATE(19100),
    [sym__type_array] = STATE(18586),
    [sym_array] = STATE(10287),
    [sym_struct] = STATE(10287),
    [sym__identifier] = STATE(8591),
    [sym__dotted_identifier] = STATE(13746),
    [sym_identifier] = STATE(9785),
    [sym_string] = STATE(10287),
    [sym__expression] = STATE(6932),
    [sym__parenthesized_expression] = STATE(10287),
    [sym_element_access] = STATE(10287),
    [sym_field_access] = STATE(10287),
    [sym_unary_expression] = STATE(10287),
    [sym_binary_expression] = STATE(10287),
    [sym_between_operator] = STATE(10287),
    [sym_casewhen_expression] = STATE(10287),
    [sym_cast_expression] = STATE(10287),
    [sym_argument_reference] = STATE(10287),
    [aux_sym_identifier_repeat1] = STATE(13746),
    [sym__unquoted_identifier] = ACTIONS(2242),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2244),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2246),
    [aux_sym__keyword_case_token1] = ACTIONS(2248),
    [aux_sym__keyword_cast_token1] = ACTIONS(2250),
    [aux_sym__keyword_cast_token2] = ACTIONS(2250),
    [aux_sym__keyword_date_token1] = ACTIONS(2252),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2252),
    [aux_sym__keyword_time_token1] = ACTIONS(2252),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2252),
    [anon_sym_LPAREN] = ACTIONS(2254),
    [aux_sym_drop_notnull_token1] = ACTIONS(2256),
    [aux_sym_function_call_token2] = ACTIONS(2258),
    [aux_sym_unnest_operator_token1] = ACTIONS(2260),
    [aux_sym_TRUE_token1] = ACTIONS(2262),
    [aux_sym_FALSE_token1] = ACTIONS(2264),
    [sym__integer] = ACTIONS(2266),
    [aux_sym__float_token1] = ACTIONS(2268),
    [aux_sym__float_token2] = ACTIONS(2266),
    [aux_sym__float_token3] = ACTIONS(2268),
    [aux_sym_numeric_token1] = ACTIONS(2270),
    [aux_sym_numeric_token2] = ACTIONS(2270),
    [aux_sym_numeric_token3] = ACTIONS(2270),
    [aux_sym_numeric_token4] = ACTIONS(2270),
    [aux_sym_interval_token1] = ACTIONS(2272),
    [anon_sym_LBRACK] = ACTIONS(2274),
    [aux_sym_json_token1] = ACTIONS(2276),
    [sym_system_variable] = ACTIONS(2278),
    [sym__named_query_parameter] = ACTIONS(2280),
    [sym__positional_query_parameter] = ACTIONS(2282),
    [sym__quoted_identifier] = ACTIONS(2284),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2286),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_operator_compare] = ACTIONS(2290),
    [anon_sym_DOLLAR] = ACTIONS(2292),
    [sym__string_start] = ACTIONS(2294),
  },
  [1531] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9617),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1532] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2486),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3908),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2418),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1533] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2486),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3907),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2418),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1534] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2486),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3905),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2418),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1535] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2486),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3904),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2418),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1536] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2486),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3902),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2418),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1537] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16325),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1073),
    [sym__keyword_cast] = STATE(19275),
    [sym__keyword_date] = STATE(9495),
    [sym__keyword_datetime] = STATE(9495),
    [sym__keyword_time] = STATE(9495),
    [sym__keyword_timestamp] = STATE(9495),
    [sym_select_subexpression] = STATE(10495),
    [sym_function_call] = STATE(10495),
    [sym_unnest_operator] = STATE(6473),
    [sym_unnest_clause] = STATE(10495),
    [sym__literal] = STATE(10495),
    [sym_NULL] = STATE(10495),
    [sym_TRUE] = STATE(10495),
    [sym_FALSE] = STATE(10495),
    [sym__float] = STATE(10492),
    [sym_numeric] = STATE(10492),
    [sym__number] = STATE(10492),
    [sym_interval] = STATE(10495),
    [sym_range] = STATE(10495),
    [sym_time] = STATE(10495),
    [sym_number] = STATE(10495),
    [sym_json] = STATE(10495),
    [sym_query_parameter] = STATE(10495),
    [sym__type_chrono] = STATE(8422),
    [sym__type_struct] = STATE(19027),
    [sym__type_array] = STATE(18285),
    [sym_array] = STATE(10495),
    [sym_struct] = STATE(10495),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9694),
    [sym_string] = STATE(10495),
    [sym__expression] = STATE(9690),
    [sym__parenthesized_expression] = STATE(10495),
    [sym_element_access] = STATE(10495),
    [sym_field_access] = STATE(10495),
    [sym_unary_expression] = STATE(10495),
    [sym_binary_expression] = STATE(10495),
    [sym_between_operator] = STATE(10495),
    [sym_casewhen_expression] = STATE(10495),
    [sym_cast_expression] = STATE(10495),
    [sym_argument_reference] = STATE(10495),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2042),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2044),
    [aux_sym__keyword_case_token1] = ACTIONS(2046),
    [aux_sym__keyword_cast_token1] = ACTIONS(2048),
    [aux_sym__keyword_cast_token2] = ACTIONS(2048),
    [aux_sym__keyword_date_token1] = ACTIONS(2050),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2050),
    [aux_sym__keyword_time_token1] = ACTIONS(2050),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [aux_sym_drop_notnull_token1] = ACTIONS(2054),
    [aux_sym_function_call_token2] = ACTIONS(2056),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2060),
    [aux_sym_FALSE_token1] = ACTIONS(2062),
    [sym__integer] = ACTIONS(2064),
    [aux_sym__float_token1] = ACTIONS(2066),
    [aux_sym__float_token2] = ACTIONS(2064),
    [aux_sym__float_token3] = ACTIONS(2066),
    [aux_sym_numeric_token1] = ACTIONS(2068),
    [aux_sym_numeric_token2] = ACTIONS(2068),
    [aux_sym_numeric_token3] = ACTIONS(2068),
    [aux_sym_numeric_token4] = ACTIONS(2068),
    [aux_sym_interval_token1] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_json_token1] = ACTIONS(2074),
    [sym_system_variable] = ACTIONS(2076),
    [sym__named_query_parameter] = ACTIONS(2078),
    [sym__positional_query_parameter] = ACTIONS(2080),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_operator_compare] = ACTIONS(2086),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [sym__string_start] = ACTIONS(2090),
  },
  [1538] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1444),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(198),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(421),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1539] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9693),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1540] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1444),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(198),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(420),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1541] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9973),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1542] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1444),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(198),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(416),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1543] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1444),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(198),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(409),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1544] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16217),
    [sym__keyword_case] = STATE(353),
    [sym__keyword_not] = STATE(1565),
    [sym__keyword_cast] = STATE(19295),
    [sym__keyword_date] = STATE(9555),
    [sym__keyword_datetime] = STATE(9555),
    [sym__keyword_time] = STATE(9555),
    [sym__keyword_timestamp] = STATE(9555),
    [sym_select_subexpression] = STATE(10287),
    [sym_function_call] = STATE(10287),
    [sym_unnest_operator] = STATE(5325),
    [sym_unnest_clause] = STATE(10287),
    [sym__literal] = STATE(10287),
    [sym_NULL] = STATE(10287),
    [sym_TRUE] = STATE(10287),
    [sym_FALSE] = STATE(10287),
    [sym__float] = STATE(10288),
    [sym_numeric] = STATE(10288),
    [sym__number] = STATE(10288),
    [sym_interval] = STATE(10287),
    [sym_range] = STATE(10287),
    [sym_time] = STATE(10287),
    [sym_number] = STATE(10287),
    [sym_json] = STATE(10287),
    [sym_query_parameter] = STATE(10287),
    [sym__type_chrono] = STATE(8548),
    [sym__type_struct] = STATE(19100),
    [sym__type_array] = STATE(18586),
    [sym_array] = STATE(10287),
    [sym_struct] = STATE(10287),
    [sym__identifier] = STATE(8591),
    [sym__dotted_identifier] = STATE(13746),
    [sym_identifier] = STATE(9785),
    [sym_string] = STATE(10287),
    [sym__expression] = STATE(6933),
    [sym__parenthesized_expression] = STATE(10287),
    [sym_element_access] = STATE(10287),
    [sym_field_access] = STATE(10287),
    [sym_unary_expression] = STATE(10287),
    [sym_binary_expression] = STATE(10287),
    [sym_between_operator] = STATE(10287),
    [sym_casewhen_expression] = STATE(10287),
    [sym_cast_expression] = STATE(10287),
    [sym_argument_reference] = STATE(10287),
    [aux_sym_identifier_repeat1] = STATE(13746),
    [sym__unquoted_identifier] = ACTIONS(2242),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2244),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2246),
    [aux_sym__keyword_case_token1] = ACTIONS(2248),
    [aux_sym__keyword_cast_token1] = ACTIONS(2250),
    [aux_sym__keyword_cast_token2] = ACTIONS(2250),
    [aux_sym__keyword_date_token1] = ACTIONS(2252),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2252),
    [aux_sym__keyword_time_token1] = ACTIONS(2252),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2252),
    [anon_sym_LPAREN] = ACTIONS(2254),
    [aux_sym_drop_notnull_token1] = ACTIONS(2256),
    [aux_sym_function_call_token2] = ACTIONS(2258),
    [aux_sym_unnest_operator_token1] = ACTIONS(2260),
    [aux_sym_TRUE_token1] = ACTIONS(2262),
    [aux_sym_FALSE_token1] = ACTIONS(2264),
    [sym__integer] = ACTIONS(2266),
    [aux_sym__float_token1] = ACTIONS(2268),
    [aux_sym__float_token2] = ACTIONS(2266),
    [aux_sym__float_token3] = ACTIONS(2268),
    [aux_sym_numeric_token1] = ACTIONS(2270),
    [aux_sym_numeric_token2] = ACTIONS(2270),
    [aux_sym_numeric_token3] = ACTIONS(2270),
    [aux_sym_numeric_token4] = ACTIONS(2270),
    [aux_sym_interval_token1] = ACTIONS(2272),
    [anon_sym_LBRACK] = ACTIONS(2274),
    [aux_sym_json_token1] = ACTIONS(2276),
    [sym_system_variable] = ACTIONS(2278),
    [sym__named_query_parameter] = ACTIONS(2280),
    [sym__positional_query_parameter] = ACTIONS(2282),
    [sym__quoted_identifier] = ACTIONS(2284),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2286),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_operator_compare] = ACTIONS(2290),
    [anon_sym_DOLLAR] = ACTIONS(2292),
    [sym__string_start] = ACTIONS(2294),
  },
  [1545] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2486),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3901),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2418),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1546] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16217),
    [sym__keyword_case] = STATE(353),
    [sym__keyword_not] = STATE(1565),
    [sym__keyword_cast] = STATE(19295),
    [sym__keyword_date] = STATE(9555),
    [sym__keyword_datetime] = STATE(9555),
    [sym__keyword_time] = STATE(9555),
    [sym__keyword_timestamp] = STATE(9555),
    [sym_select_subexpression] = STATE(10287),
    [sym_function_call] = STATE(10287),
    [sym_unnest_operator] = STATE(5325),
    [sym_unnest_clause] = STATE(10287),
    [sym__literal] = STATE(10287),
    [sym_NULL] = STATE(10287),
    [sym_TRUE] = STATE(10287),
    [sym_FALSE] = STATE(10287),
    [sym__float] = STATE(10288),
    [sym_numeric] = STATE(10288),
    [sym__number] = STATE(10288),
    [sym_interval] = STATE(10287),
    [sym_range] = STATE(10287),
    [sym_time] = STATE(10287),
    [sym_number] = STATE(10287),
    [sym_json] = STATE(10287),
    [sym_query_parameter] = STATE(10287),
    [sym__type_chrono] = STATE(8548),
    [sym__type_struct] = STATE(19100),
    [sym__type_array] = STATE(18586),
    [sym_array] = STATE(10287),
    [sym_struct] = STATE(10287),
    [sym__identifier] = STATE(8591),
    [sym__dotted_identifier] = STATE(13746),
    [sym_identifier] = STATE(9785),
    [sym_string] = STATE(10287),
    [sym__expression] = STATE(7089),
    [sym__parenthesized_expression] = STATE(10287),
    [sym_element_access] = STATE(10287),
    [sym_field_access] = STATE(10287),
    [sym_unary_expression] = STATE(10287),
    [sym_binary_expression] = STATE(10287),
    [sym_between_operator] = STATE(10287),
    [sym_casewhen_expression] = STATE(10287),
    [sym_cast_expression] = STATE(10287),
    [sym_argument_reference] = STATE(10287),
    [aux_sym_identifier_repeat1] = STATE(13746),
    [sym__unquoted_identifier] = ACTIONS(2242),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2244),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2246),
    [aux_sym__keyword_case_token1] = ACTIONS(2248),
    [aux_sym__keyword_cast_token1] = ACTIONS(2250),
    [aux_sym__keyword_cast_token2] = ACTIONS(2250),
    [aux_sym__keyword_date_token1] = ACTIONS(2252),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2252),
    [aux_sym__keyword_time_token1] = ACTIONS(2252),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2252),
    [anon_sym_LPAREN] = ACTIONS(2254),
    [aux_sym_drop_notnull_token1] = ACTIONS(2256),
    [aux_sym_function_call_token2] = ACTIONS(2258),
    [aux_sym_unnest_operator_token1] = ACTIONS(2260),
    [aux_sym_TRUE_token1] = ACTIONS(2262),
    [aux_sym_FALSE_token1] = ACTIONS(2264),
    [sym__integer] = ACTIONS(2266),
    [aux_sym__float_token1] = ACTIONS(2268),
    [aux_sym__float_token2] = ACTIONS(2266),
    [aux_sym__float_token3] = ACTIONS(2268),
    [aux_sym_numeric_token1] = ACTIONS(2270),
    [aux_sym_numeric_token2] = ACTIONS(2270),
    [aux_sym_numeric_token3] = ACTIONS(2270),
    [aux_sym_numeric_token4] = ACTIONS(2270),
    [aux_sym_interval_token1] = ACTIONS(2272),
    [anon_sym_LBRACK] = ACTIONS(2274),
    [aux_sym_json_token1] = ACTIONS(2276),
    [sym_system_variable] = ACTIONS(2278),
    [sym__named_query_parameter] = ACTIONS(2280),
    [sym__positional_query_parameter] = ACTIONS(2282),
    [sym__quoted_identifier] = ACTIONS(2284),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2286),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_operator_compare] = ACTIONS(2290),
    [anon_sym_DOLLAR] = ACTIONS(2292),
    [sym__string_start] = ACTIONS(2294),
  },
  [1547] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2486),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(4391),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2418),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1548] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2486),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3900),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2418),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1549] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16226),
    [sym__keyword_case] = STATE(372),
    [sym__keyword_not] = STATE(1504),
    [sym__keyword_cast] = STATE(19293),
    [sym__keyword_date] = STATE(7385),
    [sym__keyword_datetime] = STATE(7385),
    [sym__keyword_time] = STATE(7385),
    [sym__keyword_timestamp] = STATE(7385),
    [sym_select_subexpression] = STATE(8017),
    [sym_function_call] = STATE(8017),
    [sym_unnest_operator] = STATE(5313),
    [sym_unnest_clause] = STATE(8017),
    [sym__literal] = STATE(8017),
    [sym_NULL] = STATE(8017),
    [sym_TRUE] = STATE(8017),
    [sym_FALSE] = STATE(8017),
    [sym__float] = STATE(8015),
    [sym_numeric] = STATE(8015),
    [sym__number] = STATE(8015),
    [sym_interval] = STATE(8017),
    [sym_range] = STATE(8017),
    [sym_time] = STATE(8017),
    [sym_number] = STATE(8017),
    [sym_json] = STATE(8017),
    [sym_query_parameter] = STATE(8017),
    [sym__type_chrono] = STATE(7173),
    [sym__type_struct] = STATE(19093),
    [sym__type_array] = STATE(18559),
    [sym_array] = STATE(8017),
    [sym_struct] = STATE(8017),
    [sym__identifier] = STATE(7194),
    [sym__dotted_identifier] = STATE(13999),
    [sym_identifier] = STATE(9346),
    [sym_string] = STATE(8017),
    [sym__expression] = STATE(6658),
    [sym__parenthesized_expression] = STATE(8017),
    [sym_element_access] = STATE(8017),
    [sym_field_access] = STATE(8017),
    [sym_unary_expression] = STATE(8017),
    [sym_binary_expression] = STATE(8017),
    [sym_between_operator] = STATE(8017),
    [sym_casewhen_expression] = STATE(8017),
    [sym_cast_expression] = STATE(8017),
    [sym_argument_reference] = STATE(8017),
    [aux_sym_identifier_repeat1] = STATE(13999),
    [sym__unquoted_identifier] = ACTIONS(2166),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2168),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2170),
    [aux_sym__keyword_case_token1] = ACTIONS(2172),
    [aux_sym__keyword_cast_token1] = ACTIONS(2174),
    [aux_sym__keyword_cast_token2] = ACTIONS(2174),
    [aux_sym__keyword_date_token1] = ACTIONS(2176),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2176),
    [aux_sym__keyword_time_token1] = ACTIONS(2176),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2176),
    [anon_sym_LPAREN] = ACTIONS(2178),
    [aux_sym_drop_notnull_token1] = ACTIONS(2180),
    [aux_sym_function_call_token2] = ACTIONS(2182),
    [aux_sym_unnest_operator_token1] = ACTIONS(509),
    [aux_sym_TRUE_token1] = ACTIONS(2186),
    [aux_sym_FALSE_token1] = ACTIONS(2188),
    [sym__integer] = ACTIONS(2190),
    [aux_sym__float_token1] = ACTIONS(2192),
    [aux_sym__float_token2] = ACTIONS(2190),
    [aux_sym__float_token3] = ACTIONS(2192),
    [aux_sym_numeric_token1] = ACTIONS(2194),
    [aux_sym_numeric_token2] = ACTIONS(2194),
    [aux_sym_numeric_token3] = ACTIONS(2194),
    [aux_sym_numeric_token4] = ACTIONS(2194),
    [aux_sym_interval_token1] = ACTIONS(2196),
    [anon_sym_LBRACK] = ACTIONS(2198),
    [aux_sym_json_token1] = ACTIONS(2200),
    [sym_system_variable] = ACTIONS(2202),
    [sym__named_query_parameter] = ACTIONS(2204),
    [sym__positional_query_parameter] = ACTIONS(2206),
    [sym__quoted_identifier] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_PLUS] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2680),
    [anon_sym_operator_compare] = ACTIONS(2214),
    [anon_sym_DOLLAR] = ACTIONS(2216),
    [sym__string_start] = ACTIONS(2218),
  },
  [1550] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2486),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3899),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2418),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1551] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16226),
    [sym__keyword_case] = STATE(372),
    [sym__keyword_not] = STATE(1504),
    [sym__keyword_cast] = STATE(19293),
    [sym__keyword_date] = STATE(7385),
    [sym__keyword_datetime] = STATE(7385),
    [sym__keyword_time] = STATE(7385),
    [sym__keyword_timestamp] = STATE(7385),
    [sym_select_subexpression] = STATE(8017),
    [sym_function_call] = STATE(8017),
    [sym_unnest_operator] = STATE(5313),
    [sym_unnest_clause] = STATE(8017),
    [sym__literal] = STATE(8017),
    [sym_NULL] = STATE(8017),
    [sym_TRUE] = STATE(8017),
    [sym_FALSE] = STATE(8017),
    [sym__float] = STATE(8015),
    [sym_numeric] = STATE(8015),
    [sym__number] = STATE(8015),
    [sym_interval] = STATE(8017),
    [sym_range] = STATE(8017),
    [sym_time] = STATE(8017),
    [sym_number] = STATE(8017),
    [sym_json] = STATE(8017),
    [sym_query_parameter] = STATE(8017),
    [sym__type_chrono] = STATE(7173),
    [sym__type_struct] = STATE(19093),
    [sym__type_array] = STATE(18559),
    [sym_array] = STATE(8017),
    [sym_struct] = STATE(8017),
    [sym__identifier] = STATE(7194),
    [sym__dotted_identifier] = STATE(13999),
    [sym_identifier] = STATE(9346),
    [sym_string] = STATE(8017),
    [sym__expression] = STATE(6654),
    [sym__parenthesized_expression] = STATE(8017),
    [sym_element_access] = STATE(8017),
    [sym_field_access] = STATE(8017),
    [sym_unary_expression] = STATE(8017),
    [sym_binary_expression] = STATE(8017),
    [sym_between_operator] = STATE(8017),
    [sym_casewhen_expression] = STATE(8017),
    [sym_cast_expression] = STATE(8017),
    [sym_argument_reference] = STATE(8017),
    [aux_sym_identifier_repeat1] = STATE(13999),
    [sym__unquoted_identifier] = ACTIONS(2166),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2168),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2170),
    [aux_sym__keyword_case_token1] = ACTIONS(2172),
    [aux_sym__keyword_cast_token1] = ACTIONS(2174),
    [aux_sym__keyword_cast_token2] = ACTIONS(2174),
    [aux_sym__keyword_date_token1] = ACTIONS(2176),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2176),
    [aux_sym__keyword_time_token1] = ACTIONS(2176),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2176),
    [anon_sym_LPAREN] = ACTIONS(2178),
    [aux_sym_drop_notnull_token1] = ACTIONS(2180),
    [aux_sym_function_call_token2] = ACTIONS(2182),
    [aux_sym_unnest_operator_token1] = ACTIONS(509),
    [aux_sym_TRUE_token1] = ACTIONS(2186),
    [aux_sym_FALSE_token1] = ACTIONS(2188),
    [sym__integer] = ACTIONS(2190),
    [aux_sym__float_token1] = ACTIONS(2192),
    [aux_sym__float_token2] = ACTIONS(2190),
    [aux_sym__float_token3] = ACTIONS(2192),
    [aux_sym_numeric_token1] = ACTIONS(2194),
    [aux_sym_numeric_token2] = ACTIONS(2194),
    [aux_sym_numeric_token3] = ACTIONS(2194),
    [aux_sym_numeric_token4] = ACTIONS(2194),
    [aux_sym_interval_token1] = ACTIONS(2196),
    [anon_sym_LBRACK] = ACTIONS(2198),
    [aux_sym_json_token1] = ACTIONS(2200),
    [sym_system_variable] = ACTIONS(2202),
    [sym__named_query_parameter] = ACTIONS(2204),
    [sym__positional_query_parameter] = ACTIONS(2206),
    [sym__quoted_identifier] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_PLUS] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2680),
    [anon_sym_operator_compare] = ACTIONS(2214),
    [anon_sym_DOLLAR] = ACTIONS(2216),
    [sym__string_start] = ACTIONS(2218),
  },
  [1552] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16226),
    [sym__keyword_case] = STATE(372),
    [sym__keyword_not] = STATE(1504),
    [sym__keyword_cast] = STATE(19293),
    [sym__keyword_date] = STATE(7385),
    [sym__keyword_datetime] = STATE(7385),
    [sym__keyword_time] = STATE(7385),
    [sym__keyword_timestamp] = STATE(7385),
    [sym_select_subexpression] = STATE(8017),
    [sym_function_call] = STATE(8017),
    [sym_unnest_operator] = STATE(5313),
    [sym_unnest_clause] = STATE(8017),
    [sym__literal] = STATE(8017),
    [sym_NULL] = STATE(8017),
    [sym_TRUE] = STATE(8017),
    [sym_FALSE] = STATE(8017),
    [sym__float] = STATE(8015),
    [sym_numeric] = STATE(8015),
    [sym__number] = STATE(8015),
    [sym_interval] = STATE(8017),
    [sym_range] = STATE(8017),
    [sym_time] = STATE(8017),
    [sym_number] = STATE(8017),
    [sym_json] = STATE(8017),
    [sym_query_parameter] = STATE(8017),
    [sym__type_chrono] = STATE(7173),
    [sym__type_struct] = STATE(19093),
    [sym__type_array] = STATE(18559),
    [sym_array] = STATE(8017),
    [sym_struct] = STATE(8017),
    [sym__identifier] = STATE(7194),
    [sym__dotted_identifier] = STATE(13999),
    [sym_identifier] = STATE(9346),
    [sym_string] = STATE(8017),
    [sym__expression] = STATE(6655),
    [sym__parenthesized_expression] = STATE(8017),
    [sym_element_access] = STATE(8017),
    [sym_field_access] = STATE(8017),
    [sym_unary_expression] = STATE(8017),
    [sym_binary_expression] = STATE(8017),
    [sym_between_operator] = STATE(8017),
    [sym_casewhen_expression] = STATE(8017),
    [sym_cast_expression] = STATE(8017),
    [sym_argument_reference] = STATE(8017),
    [aux_sym_identifier_repeat1] = STATE(13999),
    [sym__unquoted_identifier] = ACTIONS(2166),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2168),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2170),
    [aux_sym__keyword_case_token1] = ACTIONS(2172),
    [aux_sym__keyword_cast_token1] = ACTIONS(2174),
    [aux_sym__keyword_cast_token2] = ACTIONS(2174),
    [aux_sym__keyword_date_token1] = ACTIONS(2176),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2176),
    [aux_sym__keyword_time_token1] = ACTIONS(2176),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2176),
    [anon_sym_LPAREN] = ACTIONS(2178),
    [aux_sym_drop_notnull_token1] = ACTIONS(2180),
    [aux_sym_function_call_token2] = ACTIONS(2182),
    [aux_sym_unnest_operator_token1] = ACTIONS(509),
    [aux_sym_TRUE_token1] = ACTIONS(2186),
    [aux_sym_FALSE_token1] = ACTIONS(2188),
    [sym__integer] = ACTIONS(2190),
    [aux_sym__float_token1] = ACTIONS(2192),
    [aux_sym__float_token2] = ACTIONS(2190),
    [aux_sym__float_token3] = ACTIONS(2192),
    [aux_sym_numeric_token1] = ACTIONS(2194),
    [aux_sym_numeric_token2] = ACTIONS(2194),
    [aux_sym_numeric_token3] = ACTIONS(2194),
    [aux_sym_numeric_token4] = ACTIONS(2194),
    [aux_sym_interval_token1] = ACTIONS(2196),
    [anon_sym_LBRACK] = ACTIONS(2198),
    [aux_sym_json_token1] = ACTIONS(2200),
    [sym_system_variable] = ACTIONS(2202),
    [sym__named_query_parameter] = ACTIONS(2204),
    [sym__positional_query_parameter] = ACTIONS(2206),
    [sym__quoted_identifier] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_PLUS] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2680),
    [anon_sym_operator_compare] = ACTIONS(2214),
    [anon_sym_DOLLAR] = ACTIONS(2216),
    [sym__string_start] = ACTIONS(2218),
  },
  [1553] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16226),
    [sym__keyword_case] = STATE(372),
    [sym__keyword_not] = STATE(1504),
    [sym__keyword_cast] = STATE(19293),
    [sym__keyword_date] = STATE(7385),
    [sym__keyword_datetime] = STATE(7385),
    [sym__keyword_time] = STATE(7385),
    [sym__keyword_timestamp] = STATE(7385),
    [sym_select_subexpression] = STATE(8017),
    [sym_function_call] = STATE(8017),
    [sym_unnest_operator] = STATE(5313),
    [sym_unnest_clause] = STATE(8017),
    [sym__literal] = STATE(8017),
    [sym_NULL] = STATE(8017),
    [sym_TRUE] = STATE(8017),
    [sym_FALSE] = STATE(8017),
    [sym__float] = STATE(8015),
    [sym_numeric] = STATE(8015),
    [sym__number] = STATE(8015),
    [sym_interval] = STATE(8017),
    [sym_range] = STATE(8017),
    [sym_time] = STATE(8017),
    [sym_number] = STATE(8017),
    [sym_json] = STATE(8017),
    [sym_query_parameter] = STATE(8017),
    [sym__type_chrono] = STATE(7173),
    [sym__type_struct] = STATE(19093),
    [sym__type_array] = STATE(18559),
    [sym_array] = STATE(8017),
    [sym_struct] = STATE(8017),
    [sym__identifier] = STATE(7194),
    [sym__dotted_identifier] = STATE(13999),
    [sym_identifier] = STATE(9346),
    [sym_string] = STATE(8017),
    [sym__expression] = STATE(6660),
    [sym__parenthesized_expression] = STATE(8017),
    [sym_element_access] = STATE(8017),
    [sym_field_access] = STATE(8017),
    [sym_unary_expression] = STATE(8017),
    [sym_binary_expression] = STATE(8017),
    [sym_between_operator] = STATE(8017),
    [sym_casewhen_expression] = STATE(8017),
    [sym_cast_expression] = STATE(8017),
    [sym_argument_reference] = STATE(8017),
    [aux_sym_identifier_repeat1] = STATE(13999),
    [sym__unquoted_identifier] = ACTIONS(2166),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2168),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2170),
    [aux_sym__keyword_case_token1] = ACTIONS(2172),
    [aux_sym__keyword_cast_token1] = ACTIONS(2174),
    [aux_sym__keyword_cast_token2] = ACTIONS(2174),
    [aux_sym__keyword_date_token1] = ACTIONS(2176),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2176),
    [aux_sym__keyword_time_token1] = ACTIONS(2176),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2176),
    [anon_sym_LPAREN] = ACTIONS(2178),
    [aux_sym_drop_notnull_token1] = ACTIONS(2180),
    [aux_sym_function_call_token2] = ACTIONS(2182),
    [aux_sym_unnest_operator_token1] = ACTIONS(509),
    [aux_sym_TRUE_token1] = ACTIONS(2186),
    [aux_sym_FALSE_token1] = ACTIONS(2188),
    [sym__integer] = ACTIONS(2190),
    [aux_sym__float_token1] = ACTIONS(2192),
    [aux_sym__float_token2] = ACTIONS(2190),
    [aux_sym__float_token3] = ACTIONS(2192),
    [aux_sym_numeric_token1] = ACTIONS(2194),
    [aux_sym_numeric_token2] = ACTIONS(2194),
    [aux_sym_numeric_token3] = ACTIONS(2194),
    [aux_sym_numeric_token4] = ACTIONS(2194),
    [aux_sym_interval_token1] = ACTIONS(2196),
    [anon_sym_LBRACK] = ACTIONS(2198),
    [aux_sym_json_token1] = ACTIONS(2200),
    [sym_system_variable] = ACTIONS(2202),
    [sym__named_query_parameter] = ACTIONS(2204),
    [sym__positional_query_parameter] = ACTIONS(2206),
    [sym__quoted_identifier] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_PLUS] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2680),
    [anon_sym_operator_compare] = ACTIONS(2214),
    [anon_sym_DOLLAR] = ACTIONS(2216),
    [sym__string_start] = ACTIONS(2218),
  },
  [1554] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16226),
    [sym__keyword_case] = STATE(372),
    [sym__keyword_not] = STATE(1504),
    [sym__keyword_cast] = STATE(19293),
    [sym__keyword_date] = STATE(7385),
    [sym__keyword_datetime] = STATE(7385),
    [sym__keyword_time] = STATE(7385),
    [sym__keyword_timestamp] = STATE(7385),
    [sym_select_subexpression] = STATE(8017),
    [sym_function_call] = STATE(8017),
    [sym_unnest_operator] = STATE(5313),
    [sym_unnest_clause] = STATE(8017),
    [sym__literal] = STATE(8017),
    [sym_NULL] = STATE(8017),
    [sym_TRUE] = STATE(8017),
    [sym_FALSE] = STATE(8017),
    [sym__float] = STATE(8015),
    [sym_numeric] = STATE(8015),
    [sym__number] = STATE(8015),
    [sym_interval] = STATE(8017),
    [sym_range] = STATE(8017),
    [sym_time] = STATE(8017),
    [sym_number] = STATE(8017),
    [sym_json] = STATE(8017),
    [sym_query_parameter] = STATE(8017),
    [sym__type_chrono] = STATE(7173),
    [sym__type_struct] = STATE(19093),
    [sym__type_array] = STATE(18559),
    [sym_array] = STATE(8017),
    [sym_struct] = STATE(8017),
    [sym__identifier] = STATE(7194),
    [sym__dotted_identifier] = STATE(13999),
    [sym_identifier] = STATE(9346),
    [sym_string] = STATE(8017),
    [sym__expression] = STATE(6661),
    [sym__parenthesized_expression] = STATE(8017),
    [sym_element_access] = STATE(8017),
    [sym_field_access] = STATE(8017),
    [sym_unary_expression] = STATE(8017),
    [sym_binary_expression] = STATE(8017),
    [sym_between_operator] = STATE(8017),
    [sym_casewhen_expression] = STATE(8017),
    [sym_cast_expression] = STATE(8017),
    [sym_argument_reference] = STATE(8017),
    [aux_sym_identifier_repeat1] = STATE(13999),
    [sym__unquoted_identifier] = ACTIONS(2166),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2168),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2170),
    [aux_sym__keyword_case_token1] = ACTIONS(2172),
    [aux_sym__keyword_cast_token1] = ACTIONS(2174),
    [aux_sym__keyword_cast_token2] = ACTIONS(2174),
    [aux_sym__keyword_date_token1] = ACTIONS(2176),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2176),
    [aux_sym__keyword_time_token1] = ACTIONS(2176),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2176),
    [anon_sym_LPAREN] = ACTIONS(2178),
    [aux_sym_drop_notnull_token1] = ACTIONS(2180),
    [aux_sym_function_call_token2] = ACTIONS(2182),
    [aux_sym_unnest_operator_token1] = ACTIONS(509),
    [aux_sym_TRUE_token1] = ACTIONS(2186),
    [aux_sym_FALSE_token1] = ACTIONS(2188),
    [sym__integer] = ACTIONS(2190),
    [aux_sym__float_token1] = ACTIONS(2192),
    [aux_sym__float_token2] = ACTIONS(2190),
    [aux_sym__float_token3] = ACTIONS(2192),
    [aux_sym_numeric_token1] = ACTIONS(2194),
    [aux_sym_numeric_token2] = ACTIONS(2194),
    [aux_sym_numeric_token3] = ACTIONS(2194),
    [aux_sym_numeric_token4] = ACTIONS(2194),
    [aux_sym_interval_token1] = ACTIONS(2196),
    [anon_sym_LBRACK] = ACTIONS(2198),
    [aux_sym_json_token1] = ACTIONS(2200),
    [sym_system_variable] = ACTIONS(2202),
    [sym__named_query_parameter] = ACTIONS(2204),
    [sym__positional_query_parameter] = ACTIONS(2206),
    [sym__quoted_identifier] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_PLUS] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2680),
    [anon_sym_operator_compare] = ACTIONS(2214),
    [anon_sym_DOLLAR] = ACTIONS(2216),
    [sym__string_start] = ACTIONS(2218),
  },
  [1555] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16226),
    [sym__keyword_case] = STATE(372),
    [sym__keyword_not] = STATE(1504),
    [sym__keyword_cast] = STATE(19293),
    [sym__keyword_date] = STATE(7385),
    [sym__keyword_datetime] = STATE(7385),
    [sym__keyword_time] = STATE(7385),
    [sym__keyword_timestamp] = STATE(7385),
    [sym_select_subexpression] = STATE(8017),
    [sym_function_call] = STATE(8017),
    [sym_unnest_operator] = STATE(5313),
    [sym_unnest_clause] = STATE(8017),
    [sym__literal] = STATE(8017),
    [sym_NULL] = STATE(8017),
    [sym_TRUE] = STATE(8017),
    [sym_FALSE] = STATE(8017),
    [sym__float] = STATE(8015),
    [sym_numeric] = STATE(8015),
    [sym__number] = STATE(8015),
    [sym_interval] = STATE(8017),
    [sym_range] = STATE(8017),
    [sym_time] = STATE(8017),
    [sym_number] = STATE(8017),
    [sym_json] = STATE(8017),
    [sym_query_parameter] = STATE(8017),
    [sym__type_chrono] = STATE(7173),
    [sym__type_struct] = STATE(19093),
    [sym__type_array] = STATE(18559),
    [sym_array] = STATE(8017),
    [sym_struct] = STATE(8017),
    [sym__identifier] = STATE(7194),
    [sym__dotted_identifier] = STATE(13999),
    [sym_identifier] = STATE(9346),
    [sym_string] = STATE(8017),
    [sym__expression] = STATE(6663),
    [sym__parenthesized_expression] = STATE(8017),
    [sym_element_access] = STATE(8017),
    [sym_field_access] = STATE(8017),
    [sym_unary_expression] = STATE(8017),
    [sym_binary_expression] = STATE(8017),
    [sym_between_operator] = STATE(8017),
    [sym_casewhen_expression] = STATE(8017),
    [sym_cast_expression] = STATE(8017),
    [sym_argument_reference] = STATE(8017),
    [aux_sym_identifier_repeat1] = STATE(13999),
    [sym__unquoted_identifier] = ACTIONS(2166),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2168),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2170),
    [aux_sym__keyword_case_token1] = ACTIONS(2172),
    [aux_sym__keyword_cast_token1] = ACTIONS(2174),
    [aux_sym__keyword_cast_token2] = ACTIONS(2174),
    [aux_sym__keyword_date_token1] = ACTIONS(2176),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2176),
    [aux_sym__keyword_time_token1] = ACTIONS(2176),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2176),
    [anon_sym_LPAREN] = ACTIONS(2178),
    [aux_sym_drop_notnull_token1] = ACTIONS(2180),
    [aux_sym_function_call_token2] = ACTIONS(2182),
    [aux_sym_unnest_operator_token1] = ACTIONS(509),
    [aux_sym_TRUE_token1] = ACTIONS(2186),
    [aux_sym_FALSE_token1] = ACTIONS(2188),
    [sym__integer] = ACTIONS(2190),
    [aux_sym__float_token1] = ACTIONS(2192),
    [aux_sym__float_token2] = ACTIONS(2190),
    [aux_sym__float_token3] = ACTIONS(2192),
    [aux_sym_numeric_token1] = ACTIONS(2194),
    [aux_sym_numeric_token2] = ACTIONS(2194),
    [aux_sym_numeric_token3] = ACTIONS(2194),
    [aux_sym_numeric_token4] = ACTIONS(2194),
    [aux_sym_interval_token1] = ACTIONS(2196),
    [anon_sym_LBRACK] = ACTIONS(2198),
    [aux_sym_json_token1] = ACTIONS(2200),
    [sym_system_variable] = ACTIONS(2202),
    [sym__named_query_parameter] = ACTIONS(2204),
    [sym__positional_query_parameter] = ACTIONS(2206),
    [sym__quoted_identifier] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_PLUS] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2680),
    [anon_sym_operator_compare] = ACTIONS(2214),
    [anon_sym_DOLLAR] = ACTIONS(2216),
    [sym__string_start] = ACTIONS(2218),
  },
  [1556] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16298),
    [sym__keyword_case] = STATE(370),
    [sym__keyword_not] = STATE(1461),
    [sym__keyword_cast] = STATE(19281),
    [sym__keyword_date] = STATE(5984),
    [sym__keyword_datetime] = STATE(5984),
    [sym__keyword_time] = STATE(5984),
    [sym__keyword_timestamp] = STATE(5984),
    [sym_select_subexpression] = STATE(6583),
    [sym_function_call] = STATE(6583),
    [sym_unnest_operator] = STATE(5280),
    [sym_unnest_clause] = STATE(6583),
    [sym__literal] = STATE(6583),
    [sym_NULL] = STATE(6583),
    [sym_TRUE] = STATE(6583),
    [sym_FALSE] = STATE(6583),
    [sym__float] = STATE(6582),
    [sym_numeric] = STATE(6582),
    [sym__number] = STATE(6582),
    [sym_interval] = STATE(6583),
    [sym_range] = STATE(6583),
    [sym_time] = STATE(6583),
    [sym_number] = STATE(6583),
    [sym_json] = STATE(6583),
    [sym_query_parameter] = STATE(6583),
    [sym__type_chrono] = STATE(5709),
    [sym__type_struct] = STATE(19051),
    [sym__type_array] = STATE(18379),
    [sym_array] = STATE(6583),
    [sym_struct] = STATE(6583),
    [sym__identifier] = STATE(5940),
    [sym__dotted_identifier] = STATE(13302),
    [sym_identifier] = STATE(6280),
    [sym_string] = STATE(6583),
    [sym__expression] = STATE(5333),
    [sym__parenthesized_expression] = STATE(6583),
    [sym_element_access] = STATE(6583),
    [sym_field_access] = STATE(6583),
    [sym_unary_expression] = STATE(6583),
    [sym_binary_expression] = STATE(6583),
    [sym_between_operator] = STATE(6583),
    [sym_casewhen_expression] = STATE(6583),
    [sym_cast_expression] = STATE(6583),
    [sym_argument_reference] = STATE(6583),
    [aux_sym_identifier_repeat1] = STATE(13302),
    [sym__unquoted_identifier] = ACTIONS(491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(493),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(495),
    [aux_sym__keyword_case_token1] = ACTIONS(497),
    [aux_sym__keyword_cast_token1] = ACTIONS(499),
    [aux_sym__keyword_cast_token2] = ACTIONS(499),
    [aux_sym__keyword_date_token1] = ACTIONS(501),
    [aux_sym__keyword_datetime_token1] = ACTIONS(501),
    [aux_sym__keyword_time_token1] = ACTIONS(501),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(503),
    [aux_sym_drop_notnull_token1] = ACTIONS(505),
    [aux_sym_function_call_token2] = ACTIONS(507),
    [aux_sym_unnest_operator_token1] = ACTIONS(509),
    [aux_sym_TRUE_token1] = ACTIONS(511),
    [aux_sym_FALSE_token1] = ACTIONS(513),
    [sym__integer] = ACTIONS(515),
    [aux_sym__float_token1] = ACTIONS(517),
    [aux_sym__float_token2] = ACTIONS(515),
    [aux_sym__float_token3] = ACTIONS(517),
    [aux_sym_numeric_token1] = ACTIONS(519),
    [aux_sym_numeric_token2] = ACTIONS(519),
    [aux_sym_numeric_token3] = ACTIONS(519),
    [aux_sym_numeric_token4] = ACTIONS(519),
    [aux_sym_interval_token1] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(523),
    [aux_sym_json_token1] = ACTIONS(525),
    [sym_system_variable] = ACTIONS(527),
    [sym__named_query_parameter] = ACTIONS(529),
    [sym__positional_query_parameter] = ACTIONS(531),
    [sym__quoted_identifier] = ACTIONS(533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_operator_compare] = ACTIONS(539),
    [anon_sym_DOLLAR] = ACTIONS(541),
    [sym__string_start] = ACTIONS(543),
  },
  [1557] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16226),
    [sym__keyword_case] = STATE(372),
    [sym__keyword_not] = STATE(1504),
    [sym__keyword_cast] = STATE(19293),
    [sym__keyword_date] = STATE(7385),
    [sym__keyword_datetime] = STATE(7385),
    [sym__keyword_time] = STATE(7385),
    [sym__keyword_timestamp] = STATE(7385),
    [sym_select_subexpression] = STATE(8017),
    [sym_function_call] = STATE(8017),
    [sym_unnest_operator] = STATE(5313),
    [sym_unnest_clause] = STATE(8017),
    [sym__literal] = STATE(8017),
    [sym_NULL] = STATE(8017),
    [sym_TRUE] = STATE(8017),
    [sym_FALSE] = STATE(8017),
    [sym__float] = STATE(8015),
    [sym_numeric] = STATE(8015),
    [sym__number] = STATE(8015),
    [sym_interval] = STATE(8017),
    [sym_range] = STATE(8017),
    [sym_time] = STATE(8017),
    [sym_number] = STATE(8017),
    [sym_json] = STATE(8017),
    [sym_query_parameter] = STATE(8017),
    [sym__type_chrono] = STATE(7173),
    [sym__type_struct] = STATE(19093),
    [sym__type_array] = STATE(18559),
    [sym_array] = STATE(8017),
    [sym_struct] = STATE(8017),
    [sym__identifier] = STATE(7194),
    [sym__dotted_identifier] = STATE(13999),
    [sym_identifier] = STATE(9346),
    [sym_string] = STATE(8017),
    [sym__expression] = STATE(6665),
    [sym__parenthesized_expression] = STATE(8017),
    [sym_element_access] = STATE(8017),
    [sym_field_access] = STATE(8017),
    [sym_unary_expression] = STATE(8017),
    [sym_binary_expression] = STATE(8017),
    [sym_between_operator] = STATE(8017),
    [sym_casewhen_expression] = STATE(8017),
    [sym_cast_expression] = STATE(8017),
    [sym_argument_reference] = STATE(8017),
    [aux_sym_identifier_repeat1] = STATE(13999),
    [sym__unquoted_identifier] = ACTIONS(2166),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2168),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2170),
    [aux_sym__keyword_case_token1] = ACTIONS(2172),
    [aux_sym__keyword_cast_token1] = ACTIONS(2174),
    [aux_sym__keyword_cast_token2] = ACTIONS(2174),
    [aux_sym__keyword_date_token1] = ACTIONS(2176),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2176),
    [aux_sym__keyword_time_token1] = ACTIONS(2176),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2176),
    [anon_sym_LPAREN] = ACTIONS(2178),
    [aux_sym_drop_notnull_token1] = ACTIONS(2180),
    [aux_sym_function_call_token2] = ACTIONS(2182),
    [aux_sym_unnest_operator_token1] = ACTIONS(509),
    [aux_sym_TRUE_token1] = ACTIONS(2186),
    [aux_sym_FALSE_token1] = ACTIONS(2188),
    [sym__integer] = ACTIONS(2190),
    [aux_sym__float_token1] = ACTIONS(2192),
    [aux_sym__float_token2] = ACTIONS(2190),
    [aux_sym__float_token3] = ACTIONS(2192),
    [aux_sym_numeric_token1] = ACTIONS(2194),
    [aux_sym_numeric_token2] = ACTIONS(2194),
    [aux_sym_numeric_token3] = ACTIONS(2194),
    [aux_sym_numeric_token4] = ACTIONS(2194),
    [aux_sym_interval_token1] = ACTIONS(2196),
    [anon_sym_LBRACK] = ACTIONS(2198),
    [aux_sym_json_token1] = ACTIONS(2200),
    [sym_system_variable] = ACTIONS(2202),
    [sym__named_query_parameter] = ACTIONS(2204),
    [sym__positional_query_parameter] = ACTIONS(2206),
    [sym__quoted_identifier] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_PLUS] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2680),
    [anon_sym_operator_compare] = ACTIONS(2214),
    [anon_sym_DOLLAR] = ACTIONS(2216),
    [sym__string_start] = ACTIONS(2218),
  },
  [1558] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2486),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3898),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2418),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1559] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16217),
    [sym__keyword_case] = STATE(353),
    [sym__keyword_not] = STATE(1565),
    [sym__keyword_cast] = STATE(19295),
    [sym__keyword_date] = STATE(9555),
    [sym__keyword_datetime] = STATE(9555),
    [sym__keyword_time] = STATE(9555),
    [sym__keyword_timestamp] = STATE(9555),
    [sym_select_subexpression] = STATE(10287),
    [sym_function_call] = STATE(10287),
    [sym_unnest_operator] = STATE(5325),
    [sym_unnest_clause] = STATE(10287),
    [sym__literal] = STATE(10287),
    [sym_NULL] = STATE(10287),
    [sym_TRUE] = STATE(10287),
    [sym_FALSE] = STATE(10287),
    [sym__float] = STATE(10288),
    [sym_numeric] = STATE(10288),
    [sym__number] = STATE(10288),
    [sym_interval] = STATE(10287),
    [sym_range] = STATE(10287),
    [sym_time] = STATE(10287),
    [sym_number] = STATE(10287),
    [sym_json] = STATE(10287),
    [sym_query_parameter] = STATE(10287),
    [sym__type_chrono] = STATE(8548),
    [sym__type_struct] = STATE(19100),
    [sym__type_array] = STATE(18586),
    [sym_array] = STATE(10287),
    [sym_struct] = STATE(10287),
    [sym__identifier] = STATE(8591),
    [sym__dotted_identifier] = STATE(13746),
    [sym_identifier] = STATE(9785),
    [sym_string] = STATE(10287),
    [sym__expression] = STATE(6935),
    [sym__parenthesized_expression] = STATE(10287),
    [sym_element_access] = STATE(10287),
    [sym_field_access] = STATE(10287),
    [sym_unary_expression] = STATE(10287),
    [sym_binary_expression] = STATE(10287),
    [sym_between_operator] = STATE(10287),
    [sym_casewhen_expression] = STATE(10287),
    [sym_cast_expression] = STATE(10287),
    [sym_argument_reference] = STATE(10287),
    [aux_sym_identifier_repeat1] = STATE(13746),
    [sym__unquoted_identifier] = ACTIONS(2242),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2244),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2246),
    [aux_sym__keyword_case_token1] = ACTIONS(2248),
    [aux_sym__keyword_cast_token1] = ACTIONS(2250),
    [aux_sym__keyword_cast_token2] = ACTIONS(2250),
    [aux_sym__keyword_date_token1] = ACTIONS(2252),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2252),
    [aux_sym__keyword_time_token1] = ACTIONS(2252),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2252),
    [anon_sym_LPAREN] = ACTIONS(2254),
    [aux_sym_drop_notnull_token1] = ACTIONS(2256),
    [aux_sym_function_call_token2] = ACTIONS(2258),
    [aux_sym_unnest_operator_token1] = ACTIONS(2260),
    [aux_sym_TRUE_token1] = ACTIONS(2262),
    [aux_sym_FALSE_token1] = ACTIONS(2264),
    [sym__integer] = ACTIONS(2266),
    [aux_sym__float_token1] = ACTIONS(2268),
    [aux_sym__float_token2] = ACTIONS(2266),
    [aux_sym__float_token3] = ACTIONS(2268),
    [aux_sym_numeric_token1] = ACTIONS(2270),
    [aux_sym_numeric_token2] = ACTIONS(2270),
    [aux_sym_numeric_token3] = ACTIONS(2270),
    [aux_sym_numeric_token4] = ACTIONS(2270),
    [aux_sym_interval_token1] = ACTIONS(2272),
    [anon_sym_LBRACK] = ACTIONS(2274),
    [aux_sym_json_token1] = ACTIONS(2276),
    [sym_system_variable] = ACTIONS(2278),
    [sym__named_query_parameter] = ACTIONS(2280),
    [sym__positional_query_parameter] = ACTIONS(2282),
    [sym__quoted_identifier] = ACTIONS(2284),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2286),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_operator_compare] = ACTIONS(2290),
    [anon_sym_DOLLAR] = ACTIONS(2292),
    [sym__string_start] = ACTIONS(2294),
  },
  [1560] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16226),
    [sym__keyword_case] = STATE(372),
    [sym__keyword_not] = STATE(1504),
    [sym__keyword_cast] = STATE(19293),
    [sym__keyword_date] = STATE(7385),
    [sym__keyword_datetime] = STATE(7385),
    [sym__keyword_time] = STATE(7385),
    [sym__keyword_timestamp] = STATE(7385),
    [sym_select_subexpression] = STATE(8017),
    [sym_function_call] = STATE(8017),
    [sym_unnest_operator] = STATE(5313),
    [sym_unnest_clause] = STATE(8017),
    [sym__literal] = STATE(8017),
    [sym_NULL] = STATE(8017),
    [sym_TRUE] = STATE(8017),
    [sym_FALSE] = STATE(8017),
    [sym__float] = STATE(8015),
    [sym_numeric] = STATE(8015),
    [sym__number] = STATE(8015),
    [sym_interval] = STATE(8017),
    [sym_range] = STATE(8017),
    [sym_time] = STATE(8017),
    [sym_number] = STATE(8017),
    [sym_json] = STATE(8017),
    [sym_query_parameter] = STATE(8017),
    [sym__type_chrono] = STATE(7173),
    [sym__type_struct] = STATE(19093),
    [sym__type_array] = STATE(18559),
    [sym_array] = STATE(8017),
    [sym_struct] = STATE(8017),
    [sym__identifier] = STATE(7194),
    [sym__dotted_identifier] = STATE(13999),
    [sym_identifier] = STATE(9346),
    [sym_string] = STATE(8017),
    [sym__expression] = STATE(6666),
    [sym__parenthesized_expression] = STATE(8017),
    [sym_element_access] = STATE(8017),
    [sym_field_access] = STATE(8017),
    [sym_unary_expression] = STATE(8017),
    [sym_binary_expression] = STATE(8017),
    [sym_between_operator] = STATE(8017),
    [sym_casewhen_expression] = STATE(8017),
    [sym_cast_expression] = STATE(8017),
    [sym_argument_reference] = STATE(8017),
    [aux_sym_identifier_repeat1] = STATE(13999),
    [sym__unquoted_identifier] = ACTIONS(2166),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2168),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2170),
    [aux_sym__keyword_case_token1] = ACTIONS(2172),
    [aux_sym__keyword_cast_token1] = ACTIONS(2174),
    [aux_sym__keyword_cast_token2] = ACTIONS(2174),
    [aux_sym__keyword_date_token1] = ACTIONS(2176),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2176),
    [aux_sym__keyword_time_token1] = ACTIONS(2176),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2176),
    [anon_sym_LPAREN] = ACTIONS(2178),
    [aux_sym_drop_notnull_token1] = ACTIONS(2180),
    [aux_sym_function_call_token2] = ACTIONS(2182),
    [aux_sym_unnest_operator_token1] = ACTIONS(509),
    [aux_sym_TRUE_token1] = ACTIONS(2186),
    [aux_sym_FALSE_token1] = ACTIONS(2188),
    [sym__integer] = ACTIONS(2190),
    [aux_sym__float_token1] = ACTIONS(2192),
    [aux_sym__float_token2] = ACTIONS(2190),
    [aux_sym__float_token3] = ACTIONS(2192),
    [aux_sym_numeric_token1] = ACTIONS(2194),
    [aux_sym_numeric_token2] = ACTIONS(2194),
    [aux_sym_numeric_token3] = ACTIONS(2194),
    [aux_sym_numeric_token4] = ACTIONS(2194),
    [aux_sym_interval_token1] = ACTIONS(2196),
    [anon_sym_LBRACK] = ACTIONS(2198),
    [aux_sym_json_token1] = ACTIONS(2200),
    [sym_system_variable] = ACTIONS(2202),
    [sym__named_query_parameter] = ACTIONS(2204),
    [sym__positional_query_parameter] = ACTIONS(2206),
    [sym__quoted_identifier] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_PLUS] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2680),
    [anon_sym_operator_compare] = ACTIONS(2214),
    [anon_sym_DOLLAR] = ACTIONS(2216),
    [sym__string_start] = ACTIONS(2218),
  },
  [1561] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16298),
    [sym__keyword_case] = STATE(370),
    [sym__keyword_not] = STATE(1461),
    [sym__keyword_cast] = STATE(19281),
    [sym__keyword_date] = STATE(5984),
    [sym__keyword_datetime] = STATE(5984),
    [sym__keyword_time] = STATE(5984),
    [sym__keyword_timestamp] = STATE(5984),
    [sym_select_subexpression] = STATE(6583),
    [sym_function_call] = STATE(6583),
    [sym_unnest_operator] = STATE(5280),
    [sym_unnest_clause] = STATE(6583),
    [sym__literal] = STATE(6583),
    [sym_NULL] = STATE(6583),
    [sym_TRUE] = STATE(6583),
    [sym_FALSE] = STATE(6583),
    [sym__float] = STATE(6582),
    [sym_numeric] = STATE(6582),
    [sym__number] = STATE(6582),
    [sym_interval] = STATE(6583),
    [sym_range] = STATE(6583),
    [sym_time] = STATE(6583),
    [sym_number] = STATE(6583),
    [sym_json] = STATE(6583),
    [sym_query_parameter] = STATE(6583),
    [sym__type_chrono] = STATE(5709),
    [sym__type_struct] = STATE(19051),
    [sym__type_array] = STATE(18379),
    [sym_array] = STATE(6583),
    [sym_struct] = STATE(6583),
    [sym__identifier] = STATE(5940),
    [sym__dotted_identifier] = STATE(13302),
    [sym_identifier] = STATE(6280),
    [sym_string] = STATE(6583),
    [sym__expression] = STATE(5340),
    [sym__parenthesized_expression] = STATE(6583),
    [sym_element_access] = STATE(6583),
    [sym_field_access] = STATE(6583),
    [sym_unary_expression] = STATE(6583),
    [sym_binary_expression] = STATE(6583),
    [sym_between_operator] = STATE(6583),
    [sym_casewhen_expression] = STATE(6583),
    [sym_cast_expression] = STATE(6583),
    [sym_argument_reference] = STATE(6583),
    [aux_sym_identifier_repeat1] = STATE(13302),
    [sym__unquoted_identifier] = ACTIONS(491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(493),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(495),
    [aux_sym__keyword_case_token1] = ACTIONS(497),
    [aux_sym__keyword_cast_token1] = ACTIONS(499),
    [aux_sym__keyword_cast_token2] = ACTIONS(499),
    [aux_sym__keyword_date_token1] = ACTIONS(501),
    [aux_sym__keyword_datetime_token1] = ACTIONS(501),
    [aux_sym__keyword_time_token1] = ACTIONS(501),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(503),
    [aux_sym_drop_notnull_token1] = ACTIONS(505),
    [aux_sym_function_call_token2] = ACTIONS(507),
    [aux_sym_unnest_operator_token1] = ACTIONS(509),
    [aux_sym_TRUE_token1] = ACTIONS(511),
    [aux_sym_FALSE_token1] = ACTIONS(513),
    [sym__integer] = ACTIONS(515),
    [aux_sym__float_token1] = ACTIONS(517),
    [aux_sym__float_token2] = ACTIONS(515),
    [aux_sym__float_token3] = ACTIONS(517),
    [aux_sym_numeric_token1] = ACTIONS(519),
    [aux_sym_numeric_token2] = ACTIONS(519),
    [aux_sym_numeric_token3] = ACTIONS(519),
    [aux_sym_numeric_token4] = ACTIONS(519),
    [aux_sym_interval_token1] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(523),
    [aux_sym_json_token1] = ACTIONS(525),
    [sym_system_variable] = ACTIONS(527),
    [sym__named_query_parameter] = ACTIONS(529),
    [sym__positional_query_parameter] = ACTIONS(531),
    [sym__quoted_identifier] = ACTIONS(533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_operator_compare] = ACTIONS(539),
    [anon_sym_DOLLAR] = ACTIONS(541),
    [sym__string_start] = ACTIONS(543),
  },
  [1562] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16217),
    [sym__keyword_case] = STATE(353),
    [sym__keyword_not] = STATE(1565),
    [sym__keyword_cast] = STATE(19295),
    [sym__keyword_date] = STATE(9555),
    [sym__keyword_datetime] = STATE(9555),
    [sym__keyword_time] = STATE(9555),
    [sym__keyword_timestamp] = STATE(9555),
    [sym_select_subexpression] = STATE(10287),
    [sym_function_call] = STATE(10287),
    [sym_unnest_operator] = STATE(5325),
    [sym_unnest_clause] = STATE(10287),
    [sym__literal] = STATE(10287),
    [sym_NULL] = STATE(10287),
    [sym_TRUE] = STATE(10287),
    [sym_FALSE] = STATE(10287),
    [sym__float] = STATE(10288),
    [sym_numeric] = STATE(10288),
    [sym__number] = STATE(10288),
    [sym_interval] = STATE(10287),
    [sym_range] = STATE(10287),
    [sym_time] = STATE(10287),
    [sym_number] = STATE(10287),
    [sym_json] = STATE(10287),
    [sym_query_parameter] = STATE(10287),
    [sym__type_chrono] = STATE(8548),
    [sym__type_struct] = STATE(19100),
    [sym__type_array] = STATE(18586),
    [sym_array] = STATE(10287),
    [sym_struct] = STATE(10287),
    [sym__identifier] = STATE(8591),
    [sym__dotted_identifier] = STATE(13746),
    [sym_identifier] = STATE(9785),
    [sym_string] = STATE(10287),
    [sym__expression] = STATE(6940),
    [sym__parenthesized_expression] = STATE(10287),
    [sym_element_access] = STATE(10287),
    [sym_field_access] = STATE(10287),
    [sym_unary_expression] = STATE(10287),
    [sym_binary_expression] = STATE(10287),
    [sym_between_operator] = STATE(10287),
    [sym_casewhen_expression] = STATE(10287),
    [sym_cast_expression] = STATE(10287),
    [sym_argument_reference] = STATE(10287),
    [aux_sym_identifier_repeat1] = STATE(13746),
    [sym__unquoted_identifier] = ACTIONS(2242),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2244),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2246),
    [aux_sym__keyword_case_token1] = ACTIONS(2248),
    [aux_sym__keyword_cast_token1] = ACTIONS(2250),
    [aux_sym__keyword_cast_token2] = ACTIONS(2250),
    [aux_sym__keyword_date_token1] = ACTIONS(2252),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2252),
    [aux_sym__keyword_time_token1] = ACTIONS(2252),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2252),
    [anon_sym_LPAREN] = ACTIONS(2254),
    [aux_sym_drop_notnull_token1] = ACTIONS(2256),
    [aux_sym_function_call_token2] = ACTIONS(2258),
    [aux_sym_unnest_operator_token1] = ACTIONS(2260),
    [aux_sym_TRUE_token1] = ACTIONS(2262),
    [aux_sym_FALSE_token1] = ACTIONS(2264),
    [sym__integer] = ACTIONS(2266),
    [aux_sym__float_token1] = ACTIONS(2268),
    [aux_sym__float_token2] = ACTIONS(2266),
    [aux_sym__float_token3] = ACTIONS(2268),
    [aux_sym_numeric_token1] = ACTIONS(2270),
    [aux_sym_numeric_token2] = ACTIONS(2270),
    [aux_sym_numeric_token3] = ACTIONS(2270),
    [aux_sym_numeric_token4] = ACTIONS(2270),
    [aux_sym_interval_token1] = ACTIONS(2272),
    [anon_sym_LBRACK] = ACTIONS(2274),
    [aux_sym_json_token1] = ACTIONS(2276),
    [sym_system_variable] = ACTIONS(2278),
    [sym__named_query_parameter] = ACTIONS(2280),
    [sym__positional_query_parameter] = ACTIONS(2282),
    [sym__quoted_identifier] = ACTIONS(2284),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2286),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_operator_compare] = ACTIONS(2290),
    [anon_sym_DOLLAR] = ACTIONS(2292),
    [sym__string_start] = ACTIONS(2294),
  },
  [1563] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16226),
    [sym__keyword_case] = STATE(372),
    [sym__keyword_not] = STATE(1504),
    [sym__keyword_cast] = STATE(19293),
    [sym__keyword_date] = STATE(7385),
    [sym__keyword_datetime] = STATE(7385),
    [sym__keyword_time] = STATE(7385),
    [sym__keyword_timestamp] = STATE(7385),
    [sym_select_subexpression] = STATE(8017),
    [sym_function_call] = STATE(8017),
    [sym_unnest_operator] = STATE(5313),
    [sym_unnest_clause] = STATE(8017),
    [sym__literal] = STATE(8017),
    [sym_NULL] = STATE(8017),
    [sym_TRUE] = STATE(8017),
    [sym_FALSE] = STATE(8017),
    [sym__float] = STATE(8015),
    [sym_numeric] = STATE(8015),
    [sym__number] = STATE(8015),
    [sym_interval] = STATE(8017),
    [sym_range] = STATE(8017),
    [sym_time] = STATE(8017),
    [sym_number] = STATE(8017),
    [sym_json] = STATE(8017),
    [sym_query_parameter] = STATE(8017),
    [sym__type_chrono] = STATE(7173),
    [sym__type_struct] = STATE(19093),
    [sym__type_array] = STATE(18559),
    [sym_array] = STATE(8017),
    [sym_struct] = STATE(8017),
    [sym__identifier] = STATE(7194),
    [sym__dotted_identifier] = STATE(13999),
    [sym_identifier] = STATE(9346),
    [sym_string] = STATE(8017),
    [sym__expression] = STATE(6667),
    [sym__parenthesized_expression] = STATE(8017),
    [sym_element_access] = STATE(8017),
    [sym_field_access] = STATE(8017),
    [sym_unary_expression] = STATE(8017),
    [sym_binary_expression] = STATE(8017),
    [sym_between_operator] = STATE(8017),
    [sym_casewhen_expression] = STATE(8017),
    [sym_cast_expression] = STATE(8017),
    [sym_argument_reference] = STATE(8017),
    [aux_sym_identifier_repeat1] = STATE(13999),
    [sym__unquoted_identifier] = ACTIONS(2166),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2168),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2170),
    [aux_sym__keyword_case_token1] = ACTIONS(2172),
    [aux_sym__keyword_cast_token1] = ACTIONS(2174),
    [aux_sym__keyword_cast_token2] = ACTIONS(2174),
    [aux_sym__keyword_date_token1] = ACTIONS(2176),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2176),
    [aux_sym__keyword_time_token1] = ACTIONS(2176),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2176),
    [anon_sym_LPAREN] = ACTIONS(2178),
    [aux_sym_drop_notnull_token1] = ACTIONS(2180),
    [aux_sym_function_call_token2] = ACTIONS(2182),
    [aux_sym_unnest_operator_token1] = ACTIONS(509),
    [aux_sym_TRUE_token1] = ACTIONS(2186),
    [aux_sym_FALSE_token1] = ACTIONS(2188),
    [sym__integer] = ACTIONS(2190),
    [aux_sym__float_token1] = ACTIONS(2192),
    [aux_sym__float_token2] = ACTIONS(2190),
    [aux_sym__float_token3] = ACTIONS(2192),
    [aux_sym_numeric_token1] = ACTIONS(2194),
    [aux_sym_numeric_token2] = ACTIONS(2194),
    [aux_sym_numeric_token3] = ACTIONS(2194),
    [aux_sym_numeric_token4] = ACTIONS(2194),
    [aux_sym_interval_token1] = ACTIONS(2196),
    [anon_sym_LBRACK] = ACTIONS(2198),
    [aux_sym_json_token1] = ACTIONS(2200),
    [sym_system_variable] = ACTIONS(2202),
    [sym__named_query_parameter] = ACTIONS(2204),
    [sym__positional_query_parameter] = ACTIONS(2206),
    [sym__quoted_identifier] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_PLUS] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2680),
    [anon_sym_operator_compare] = ACTIONS(2214),
    [anon_sym_DOLLAR] = ACTIONS(2216),
    [sym__string_start] = ACTIONS(2218),
  },
  [1564] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16226),
    [sym__keyword_case] = STATE(372),
    [sym__keyword_not] = STATE(1504),
    [sym__keyword_cast] = STATE(19293),
    [sym__keyword_date] = STATE(7385),
    [sym__keyword_datetime] = STATE(7385),
    [sym__keyword_time] = STATE(7385),
    [sym__keyword_timestamp] = STATE(7385),
    [sym_select_subexpression] = STATE(8017),
    [sym_function_call] = STATE(8017),
    [sym_unnest_operator] = STATE(5313),
    [sym_unnest_clause] = STATE(8017),
    [sym__literal] = STATE(8017),
    [sym_NULL] = STATE(8017),
    [sym_TRUE] = STATE(8017),
    [sym_FALSE] = STATE(8017),
    [sym__float] = STATE(8015),
    [sym_numeric] = STATE(8015),
    [sym__number] = STATE(8015),
    [sym_interval] = STATE(8017),
    [sym_range] = STATE(8017),
    [sym_time] = STATE(8017),
    [sym_number] = STATE(8017),
    [sym_json] = STATE(8017),
    [sym_query_parameter] = STATE(8017),
    [sym__type_chrono] = STATE(7173),
    [sym__type_struct] = STATE(19093),
    [sym__type_array] = STATE(18559),
    [sym_array] = STATE(8017),
    [sym_struct] = STATE(8017),
    [sym__identifier] = STATE(7194),
    [sym__dotted_identifier] = STATE(13999),
    [sym_identifier] = STATE(9346),
    [sym_string] = STATE(8017),
    [sym__expression] = STATE(6669),
    [sym__parenthesized_expression] = STATE(8017),
    [sym_element_access] = STATE(8017),
    [sym_field_access] = STATE(8017),
    [sym_unary_expression] = STATE(8017),
    [sym_binary_expression] = STATE(8017),
    [sym_between_operator] = STATE(8017),
    [sym_casewhen_expression] = STATE(8017),
    [sym_cast_expression] = STATE(8017),
    [sym_argument_reference] = STATE(8017),
    [aux_sym_identifier_repeat1] = STATE(13999),
    [sym__unquoted_identifier] = ACTIONS(2166),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2168),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2170),
    [aux_sym__keyword_case_token1] = ACTIONS(2172),
    [aux_sym__keyword_cast_token1] = ACTIONS(2174),
    [aux_sym__keyword_cast_token2] = ACTIONS(2174),
    [aux_sym__keyword_date_token1] = ACTIONS(2176),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2176),
    [aux_sym__keyword_time_token1] = ACTIONS(2176),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2176),
    [anon_sym_LPAREN] = ACTIONS(2178),
    [aux_sym_drop_notnull_token1] = ACTIONS(2180),
    [aux_sym_function_call_token2] = ACTIONS(2182),
    [aux_sym_unnest_operator_token1] = ACTIONS(509),
    [aux_sym_TRUE_token1] = ACTIONS(2186),
    [aux_sym_FALSE_token1] = ACTIONS(2188),
    [sym__integer] = ACTIONS(2190),
    [aux_sym__float_token1] = ACTIONS(2192),
    [aux_sym__float_token2] = ACTIONS(2190),
    [aux_sym__float_token3] = ACTIONS(2192),
    [aux_sym_numeric_token1] = ACTIONS(2194),
    [aux_sym_numeric_token2] = ACTIONS(2194),
    [aux_sym_numeric_token3] = ACTIONS(2194),
    [aux_sym_numeric_token4] = ACTIONS(2194),
    [aux_sym_interval_token1] = ACTIONS(2196),
    [anon_sym_LBRACK] = ACTIONS(2198),
    [aux_sym_json_token1] = ACTIONS(2200),
    [sym_system_variable] = ACTIONS(2202),
    [sym__named_query_parameter] = ACTIONS(2204),
    [sym__positional_query_parameter] = ACTIONS(2206),
    [sym__quoted_identifier] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_PLUS] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2680),
    [anon_sym_operator_compare] = ACTIONS(2214),
    [anon_sym_DOLLAR] = ACTIONS(2216),
    [sym__string_start] = ACTIONS(2218),
  },
  [1565] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16217),
    [sym__keyword_case] = STATE(353),
    [sym__keyword_not] = STATE(1565),
    [sym__keyword_cast] = STATE(19295),
    [sym__keyword_date] = STATE(9555),
    [sym__keyword_datetime] = STATE(9555),
    [sym__keyword_time] = STATE(9555),
    [sym__keyword_timestamp] = STATE(9555),
    [sym_select_subexpression] = STATE(10287),
    [sym_function_call] = STATE(10287),
    [sym_unnest_operator] = STATE(5325),
    [sym_unnest_clause] = STATE(10287),
    [sym__literal] = STATE(10287),
    [sym_NULL] = STATE(10287),
    [sym_TRUE] = STATE(10287),
    [sym_FALSE] = STATE(10287),
    [sym__float] = STATE(10288),
    [sym_numeric] = STATE(10288),
    [sym__number] = STATE(10288),
    [sym_interval] = STATE(10287),
    [sym_range] = STATE(10287),
    [sym_time] = STATE(10287),
    [sym_number] = STATE(10287),
    [sym_json] = STATE(10287),
    [sym_query_parameter] = STATE(10287),
    [sym__type_chrono] = STATE(8548),
    [sym__type_struct] = STATE(19100),
    [sym__type_array] = STATE(18586),
    [sym_array] = STATE(10287),
    [sym_struct] = STATE(10287),
    [sym__identifier] = STATE(8591),
    [sym__dotted_identifier] = STATE(13746),
    [sym_identifier] = STATE(9785),
    [sym_string] = STATE(10287),
    [sym__expression] = STATE(6908),
    [sym__parenthesized_expression] = STATE(10287),
    [sym_element_access] = STATE(10287),
    [sym_field_access] = STATE(10287),
    [sym_unary_expression] = STATE(10287),
    [sym_binary_expression] = STATE(10287),
    [sym_between_operator] = STATE(10287),
    [sym_casewhen_expression] = STATE(10287),
    [sym_cast_expression] = STATE(10287),
    [sym_argument_reference] = STATE(10287),
    [aux_sym_identifier_repeat1] = STATE(13746),
    [sym__unquoted_identifier] = ACTIONS(2242),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2244),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2246),
    [aux_sym__keyword_case_token1] = ACTIONS(2248),
    [aux_sym__keyword_cast_token1] = ACTIONS(2250),
    [aux_sym__keyword_cast_token2] = ACTIONS(2250),
    [aux_sym__keyword_date_token1] = ACTIONS(2252),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2252),
    [aux_sym__keyword_time_token1] = ACTIONS(2252),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2252),
    [anon_sym_LPAREN] = ACTIONS(2254),
    [aux_sym_drop_notnull_token1] = ACTIONS(2256),
    [aux_sym_function_call_token2] = ACTIONS(2258),
    [aux_sym_unnest_operator_token1] = ACTIONS(2260),
    [aux_sym_TRUE_token1] = ACTIONS(2262),
    [aux_sym_FALSE_token1] = ACTIONS(2264),
    [sym__integer] = ACTIONS(2266),
    [aux_sym__float_token1] = ACTIONS(2268),
    [aux_sym__float_token2] = ACTIONS(2266),
    [aux_sym__float_token3] = ACTIONS(2268),
    [aux_sym_numeric_token1] = ACTIONS(2270),
    [aux_sym_numeric_token2] = ACTIONS(2270),
    [aux_sym_numeric_token3] = ACTIONS(2270),
    [aux_sym_numeric_token4] = ACTIONS(2270),
    [aux_sym_interval_token1] = ACTIONS(2272),
    [anon_sym_LBRACK] = ACTIONS(2274),
    [aux_sym_json_token1] = ACTIONS(2276),
    [sym_system_variable] = ACTIONS(2278),
    [sym__named_query_parameter] = ACTIONS(2280),
    [sym__positional_query_parameter] = ACTIONS(2282),
    [sym__quoted_identifier] = ACTIONS(2284),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2286),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_operator_compare] = ACTIONS(2290),
    [anon_sym_DOLLAR] = ACTIONS(2292),
    [sym__string_start] = ACTIONS(2294),
  },
  [1566] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16226),
    [sym__keyword_case] = STATE(372),
    [sym__keyword_not] = STATE(1504),
    [sym__keyword_cast] = STATE(19293),
    [sym__keyword_date] = STATE(7385),
    [sym__keyword_datetime] = STATE(7385),
    [sym__keyword_time] = STATE(7385),
    [sym__keyword_timestamp] = STATE(7385),
    [sym_select_subexpression] = STATE(8017),
    [sym_function_call] = STATE(8017),
    [sym_unnest_operator] = STATE(5313),
    [sym_unnest_clause] = STATE(8017),
    [sym__literal] = STATE(8017),
    [sym_NULL] = STATE(8017),
    [sym_TRUE] = STATE(8017),
    [sym_FALSE] = STATE(8017),
    [sym__float] = STATE(8015),
    [sym_numeric] = STATE(8015),
    [sym__number] = STATE(8015),
    [sym_interval] = STATE(8017),
    [sym_range] = STATE(8017),
    [sym_time] = STATE(8017),
    [sym_number] = STATE(8017),
    [sym_json] = STATE(8017),
    [sym_query_parameter] = STATE(8017),
    [sym__type_chrono] = STATE(7173),
    [sym__type_struct] = STATE(19093),
    [sym__type_array] = STATE(18559),
    [sym_array] = STATE(8017),
    [sym_struct] = STATE(8017),
    [sym__identifier] = STATE(7194),
    [sym__dotted_identifier] = STATE(13999),
    [sym_identifier] = STATE(9346),
    [sym_string] = STATE(8017),
    [sym__expression] = STATE(6673),
    [sym__parenthesized_expression] = STATE(8017),
    [sym_element_access] = STATE(8017),
    [sym_field_access] = STATE(8017),
    [sym_unary_expression] = STATE(8017),
    [sym_binary_expression] = STATE(8017),
    [sym_between_operator] = STATE(8017),
    [sym_casewhen_expression] = STATE(8017),
    [sym_cast_expression] = STATE(8017),
    [sym_argument_reference] = STATE(8017),
    [aux_sym_identifier_repeat1] = STATE(13999),
    [sym__unquoted_identifier] = ACTIONS(2166),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2168),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2170),
    [aux_sym__keyword_case_token1] = ACTIONS(2172),
    [aux_sym__keyword_cast_token1] = ACTIONS(2174),
    [aux_sym__keyword_cast_token2] = ACTIONS(2174),
    [aux_sym__keyword_date_token1] = ACTIONS(2176),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2176),
    [aux_sym__keyword_time_token1] = ACTIONS(2176),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2176),
    [anon_sym_LPAREN] = ACTIONS(2178),
    [aux_sym_drop_notnull_token1] = ACTIONS(2180),
    [aux_sym_function_call_token2] = ACTIONS(2182),
    [aux_sym_unnest_operator_token1] = ACTIONS(509),
    [aux_sym_TRUE_token1] = ACTIONS(2186),
    [aux_sym_FALSE_token1] = ACTIONS(2188),
    [sym__integer] = ACTIONS(2190),
    [aux_sym__float_token1] = ACTIONS(2192),
    [aux_sym__float_token2] = ACTIONS(2190),
    [aux_sym__float_token3] = ACTIONS(2192),
    [aux_sym_numeric_token1] = ACTIONS(2194),
    [aux_sym_numeric_token2] = ACTIONS(2194),
    [aux_sym_numeric_token3] = ACTIONS(2194),
    [aux_sym_numeric_token4] = ACTIONS(2194),
    [aux_sym_interval_token1] = ACTIONS(2196),
    [anon_sym_LBRACK] = ACTIONS(2198),
    [aux_sym_json_token1] = ACTIONS(2200),
    [sym_system_variable] = ACTIONS(2202),
    [sym__named_query_parameter] = ACTIONS(2204),
    [sym__positional_query_parameter] = ACTIONS(2206),
    [sym__quoted_identifier] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_PLUS] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2680),
    [anon_sym_operator_compare] = ACTIONS(2214),
    [anon_sym_DOLLAR] = ACTIONS(2216),
    [sym__string_start] = ACTIONS(2218),
  },
  [1567] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16217),
    [sym__keyword_case] = STATE(353),
    [sym__keyword_not] = STATE(1565),
    [sym__keyword_cast] = STATE(19295),
    [sym__keyword_date] = STATE(9555),
    [sym__keyword_datetime] = STATE(9555),
    [sym__keyword_time] = STATE(9555),
    [sym__keyword_timestamp] = STATE(9555),
    [sym_select_subexpression] = STATE(10287),
    [sym_function_call] = STATE(10287),
    [sym_unnest_operator] = STATE(5325),
    [sym_unnest_clause] = STATE(10287),
    [sym__literal] = STATE(10287),
    [sym_NULL] = STATE(10287),
    [sym_TRUE] = STATE(10287),
    [sym_FALSE] = STATE(10287),
    [sym__float] = STATE(10288),
    [sym_numeric] = STATE(10288),
    [sym__number] = STATE(10288),
    [sym_interval] = STATE(10287),
    [sym_range] = STATE(10287),
    [sym_time] = STATE(10287),
    [sym_number] = STATE(10287),
    [sym_json] = STATE(10287),
    [sym_query_parameter] = STATE(10287),
    [sym__type_chrono] = STATE(8548),
    [sym__type_struct] = STATE(19100),
    [sym__type_array] = STATE(18586),
    [sym_array] = STATE(10287),
    [sym_struct] = STATE(10287),
    [sym__identifier] = STATE(8591),
    [sym__dotted_identifier] = STATE(13746),
    [sym_identifier] = STATE(9785),
    [sym_string] = STATE(10287),
    [sym__expression] = STATE(6898),
    [sym__parenthesized_expression] = STATE(10287),
    [sym_element_access] = STATE(10287),
    [sym_field_access] = STATE(10287),
    [sym_unary_expression] = STATE(10287),
    [sym_binary_expression] = STATE(10287),
    [sym_between_operator] = STATE(10287),
    [sym_casewhen_expression] = STATE(10287),
    [sym_cast_expression] = STATE(10287),
    [sym_argument_reference] = STATE(10287),
    [aux_sym_identifier_repeat1] = STATE(13746),
    [sym__unquoted_identifier] = ACTIONS(2242),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2244),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2246),
    [aux_sym__keyword_case_token1] = ACTIONS(2248),
    [aux_sym__keyword_cast_token1] = ACTIONS(2250),
    [aux_sym__keyword_cast_token2] = ACTIONS(2250),
    [aux_sym__keyword_date_token1] = ACTIONS(2252),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2252),
    [aux_sym__keyword_time_token1] = ACTIONS(2252),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2252),
    [anon_sym_LPAREN] = ACTIONS(2254),
    [aux_sym_drop_notnull_token1] = ACTIONS(2256),
    [aux_sym_function_call_token2] = ACTIONS(2258),
    [aux_sym_unnest_operator_token1] = ACTIONS(2260),
    [aux_sym_TRUE_token1] = ACTIONS(2262),
    [aux_sym_FALSE_token1] = ACTIONS(2264),
    [sym__integer] = ACTIONS(2266),
    [aux_sym__float_token1] = ACTIONS(2268),
    [aux_sym__float_token2] = ACTIONS(2266),
    [aux_sym__float_token3] = ACTIONS(2268),
    [aux_sym_numeric_token1] = ACTIONS(2270),
    [aux_sym_numeric_token2] = ACTIONS(2270),
    [aux_sym_numeric_token3] = ACTIONS(2270),
    [aux_sym_numeric_token4] = ACTIONS(2270),
    [aux_sym_interval_token1] = ACTIONS(2272),
    [anon_sym_LBRACK] = ACTIONS(2274),
    [aux_sym_json_token1] = ACTIONS(2276),
    [sym_system_variable] = ACTIONS(2278),
    [sym__named_query_parameter] = ACTIONS(2280),
    [sym__positional_query_parameter] = ACTIONS(2282),
    [sym__quoted_identifier] = ACTIONS(2284),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2286),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_operator_compare] = ACTIONS(2290),
    [anon_sym_DOLLAR] = ACTIONS(2292),
    [sym__string_start] = ACTIONS(2294),
  },
  [1568] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16226),
    [sym__keyword_case] = STATE(372),
    [sym__keyword_not] = STATE(1504),
    [sym__keyword_cast] = STATE(19293),
    [sym__keyword_date] = STATE(7385),
    [sym__keyword_datetime] = STATE(7385),
    [sym__keyword_time] = STATE(7385),
    [sym__keyword_timestamp] = STATE(7385),
    [sym_select_subexpression] = STATE(8017),
    [sym_function_call] = STATE(8017),
    [sym_unnest_operator] = STATE(5313),
    [sym_unnest_clause] = STATE(8017),
    [sym__literal] = STATE(8017),
    [sym_NULL] = STATE(8017),
    [sym_TRUE] = STATE(8017),
    [sym_FALSE] = STATE(8017),
    [sym__float] = STATE(8015),
    [sym_numeric] = STATE(8015),
    [sym__number] = STATE(8015),
    [sym_interval] = STATE(8017),
    [sym_range] = STATE(8017),
    [sym_time] = STATE(8017),
    [sym_number] = STATE(8017),
    [sym_json] = STATE(8017),
    [sym_query_parameter] = STATE(8017),
    [sym__type_chrono] = STATE(7173),
    [sym__type_struct] = STATE(19093),
    [sym__type_array] = STATE(18559),
    [sym_array] = STATE(8017),
    [sym_struct] = STATE(8017),
    [sym__identifier] = STATE(7194),
    [sym__dotted_identifier] = STATE(13999),
    [sym_identifier] = STATE(9346),
    [sym_string] = STATE(8017),
    [sym__expression] = STATE(6674),
    [sym__parenthesized_expression] = STATE(8017),
    [sym_element_access] = STATE(8017),
    [sym_field_access] = STATE(8017),
    [sym_unary_expression] = STATE(8017),
    [sym_binary_expression] = STATE(8017),
    [sym_between_operator] = STATE(8017),
    [sym_casewhen_expression] = STATE(8017),
    [sym_cast_expression] = STATE(8017),
    [sym_argument_reference] = STATE(8017),
    [aux_sym_identifier_repeat1] = STATE(13999),
    [sym__unquoted_identifier] = ACTIONS(2166),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2168),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2170),
    [aux_sym__keyword_case_token1] = ACTIONS(2172),
    [aux_sym__keyword_cast_token1] = ACTIONS(2174),
    [aux_sym__keyword_cast_token2] = ACTIONS(2174),
    [aux_sym__keyword_date_token1] = ACTIONS(2176),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2176),
    [aux_sym__keyword_time_token1] = ACTIONS(2176),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2176),
    [anon_sym_LPAREN] = ACTIONS(2178),
    [aux_sym_drop_notnull_token1] = ACTIONS(2180),
    [aux_sym_function_call_token2] = ACTIONS(2182),
    [aux_sym_unnest_operator_token1] = ACTIONS(509),
    [aux_sym_TRUE_token1] = ACTIONS(2186),
    [aux_sym_FALSE_token1] = ACTIONS(2188),
    [sym__integer] = ACTIONS(2190),
    [aux_sym__float_token1] = ACTIONS(2192),
    [aux_sym__float_token2] = ACTIONS(2190),
    [aux_sym__float_token3] = ACTIONS(2192),
    [aux_sym_numeric_token1] = ACTIONS(2194),
    [aux_sym_numeric_token2] = ACTIONS(2194),
    [aux_sym_numeric_token3] = ACTIONS(2194),
    [aux_sym_numeric_token4] = ACTIONS(2194),
    [aux_sym_interval_token1] = ACTIONS(2196),
    [anon_sym_LBRACK] = ACTIONS(2198),
    [aux_sym_json_token1] = ACTIONS(2200),
    [sym_system_variable] = ACTIONS(2202),
    [sym__named_query_parameter] = ACTIONS(2204),
    [sym__positional_query_parameter] = ACTIONS(2206),
    [sym__quoted_identifier] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_PLUS] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2680),
    [anon_sym_operator_compare] = ACTIONS(2214),
    [anon_sym_DOLLAR] = ACTIONS(2216),
    [sym__string_start] = ACTIONS(2218),
  },
  [1569] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9974),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1570] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16298),
    [sym__keyword_case] = STATE(370),
    [sym__keyword_not] = STATE(1461),
    [sym__keyword_cast] = STATE(19281),
    [sym__keyword_date] = STATE(5984),
    [sym__keyword_datetime] = STATE(5984),
    [sym__keyword_time] = STATE(5984),
    [sym__keyword_timestamp] = STATE(5984),
    [sym_select_subexpression] = STATE(6583),
    [sym_function_call] = STATE(6583),
    [sym_unnest_operator] = STATE(5280),
    [sym_unnest_clause] = STATE(6583),
    [sym__literal] = STATE(6583),
    [sym_NULL] = STATE(6583),
    [sym_TRUE] = STATE(6583),
    [sym_FALSE] = STATE(6583),
    [sym__float] = STATE(6582),
    [sym_numeric] = STATE(6582),
    [sym__number] = STATE(6582),
    [sym_interval] = STATE(6583),
    [sym_range] = STATE(6583),
    [sym_time] = STATE(6583),
    [sym_number] = STATE(6583),
    [sym_json] = STATE(6583),
    [sym_query_parameter] = STATE(6583),
    [sym__type_chrono] = STATE(5709),
    [sym__type_struct] = STATE(19051),
    [sym__type_array] = STATE(18379),
    [sym_array] = STATE(6583),
    [sym_struct] = STATE(6583),
    [sym__identifier] = STATE(5940),
    [sym__dotted_identifier] = STATE(13302),
    [sym_identifier] = STATE(6280),
    [sym_string] = STATE(6583),
    [sym__expression] = STATE(5324),
    [sym__parenthesized_expression] = STATE(6583),
    [sym_element_access] = STATE(6583),
    [sym_field_access] = STATE(6583),
    [sym_unary_expression] = STATE(6583),
    [sym_binary_expression] = STATE(6583),
    [sym_between_operator] = STATE(6583),
    [sym_casewhen_expression] = STATE(6583),
    [sym_cast_expression] = STATE(6583),
    [sym_argument_reference] = STATE(6583),
    [aux_sym_identifier_repeat1] = STATE(13302),
    [sym__unquoted_identifier] = ACTIONS(491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(493),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(495),
    [aux_sym__keyword_case_token1] = ACTIONS(497),
    [aux_sym__keyword_cast_token1] = ACTIONS(499),
    [aux_sym__keyword_cast_token2] = ACTIONS(499),
    [aux_sym__keyword_date_token1] = ACTIONS(501),
    [aux_sym__keyword_datetime_token1] = ACTIONS(501),
    [aux_sym__keyword_time_token1] = ACTIONS(501),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(503),
    [aux_sym_drop_notnull_token1] = ACTIONS(505),
    [aux_sym_function_call_token2] = ACTIONS(507),
    [aux_sym_unnest_operator_token1] = ACTIONS(509),
    [aux_sym_TRUE_token1] = ACTIONS(511),
    [aux_sym_FALSE_token1] = ACTIONS(513),
    [sym__integer] = ACTIONS(515),
    [aux_sym__float_token1] = ACTIONS(517),
    [aux_sym__float_token2] = ACTIONS(515),
    [aux_sym__float_token3] = ACTIONS(517),
    [aux_sym_numeric_token1] = ACTIONS(519),
    [aux_sym_numeric_token2] = ACTIONS(519),
    [aux_sym_numeric_token3] = ACTIONS(519),
    [aux_sym_numeric_token4] = ACTIONS(519),
    [aux_sym_interval_token1] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(523),
    [aux_sym_json_token1] = ACTIONS(525),
    [sym_system_variable] = ACTIONS(527),
    [sym__named_query_parameter] = ACTIONS(529),
    [sym__positional_query_parameter] = ACTIONS(531),
    [sym__quoted_identifier] = ACTIONS(533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_operator_compare] = ACTIONS(539),
    [anon_sym_DOLLAR] = ACTIONS(541),
    [sym__string_start] = ACTIONS(543),
  },
  [1571] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(1572),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(165),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2330),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2726),
    [anon_sym_PLUS] = ACTIONS(2728),
    [anon_sym_DASH] = ACTIONS(2728),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1572] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(1572),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(165),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2331),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2726),
    [anon_sym_PLUS] = ACTIONS(2728),
    [anon_sym_DASH] = ACTIONS(2728),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1573] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(1572),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(165),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2320),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2726),
    [anon_sym_PLUS] = ACTIONS(2728),
    [anon_sym_DASH] = ACTIONS(2728),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1574] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(1572),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(165),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2283),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2726),
    [anon_sym_PLUS] = ACTIONS(2728),
    [anon_sym_DASH] = ACTIONS(2728),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1575] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(1572),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(165),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2332),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2726),
    [anon_sym_PLUS] = ACTIONS(2728),
    [anon_sym_DASH] = ACTIONS(2728),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1576] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(1520),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(390),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2630),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2722),
    [anon_sym_PLUS] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2724),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1577] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(1572),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(165),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2282),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2726),
    [anon_sym_PLUS] = ACTIONS(2728),
    [anon_sym_DASH] = ACTIONS(2728),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1578] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(1520),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(390),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2627),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2722),
    [anon_sym_PLUS] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2724),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1579] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(1520),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(390),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2683),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2722),
    [anon_sym_PLUS] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2724),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1580] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16298),
    [sym__keyword_case] = STATE(370),
    [sym__keyword_not] = STATE(1461),
    [sym__keyword_cast] = STATE(19281),
    [sym__keyword_date] = STATE(5984),
    [sym__keyword_datetime] = STATE(5984),
    [sym__keyword_time] = STATE(5984),
    [sym__keyword_timestamp] = STATE(5984),
    [sym_select_subexpression] = STATE(6583),
    [sym_function_call] = STATE(6583),
    [sym_unnest_operator] = STATE(5280),
    [sym_unnest_clause] = STATE(6583),
    [sym__literal] = STATE(6583),
    [sym_NULL] = STATE(6583),
    [sym_TRUE] = STATE(6583),
    [sym_FALSE] = STATE(6583),
    [sym__float] = STATE(6582),
    [sym_numeric] = STATE(6582),
    [sym__number] = STATE(6582),
    [sym_interval] = STATE(6583),
    [sym_range] = STATE(6583),
    [sym_time] = STATE(6583),
    [sym_number] = STATE(6583),
    [sym_json] = STATE(6583),
    [sym_query_parameter] = STATE(6583),
    [sym__type_chrono] = STATE(5709),
    [sym__type_struct] = STATE(19051),
    [sym__type_array] = STATE(18379),
    [sym_array] = STATE(6583),
    [sym_struct] = STATE(6583),
    [sym__identifier] = STATE(5940),
    [sym__dotted_identifier] = STATE(13302),
    [sym_identifier] = STATE(6280),
    [sym_string] = STATE(6583),
    [sym__expression] = STATE(5352),
    [sym__parenthesized_expression] = STATE(6583),
    [sym_element_access] = STATE(6583),
    [sym_field_access] = STATE(6583),
    [sym_unary_expression] = STATE(6583),
    [sym_binary_expression] = STATE(6583),
    [sym_between_operator] = STATE(6583),
    [sym_casewhen_expression] = STATE(6583),
    [sym_cast_expression] = STATE(6583),
    [sym_argument_reference] = STATE(6583),
    [aux_sym_identifier_repeat1] = STATE(13302),
    [sym__unquoted_identifier] = ACTIONS(491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(493),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(495),
    [aux_sym__keyword_case_token1] = ACTIONS(497),
    [aux_sym__keyword_cast_token1] = ACTIONS(499),
    [aux_sym__keyword_cast_token2] = ACTIONS(499),
    [aux_sym__keyword_date_token1] = ACTIONS(501),
    [aux_sym__keyword_datetime_token1] = ACTIONS(501),
    [aux_sym__keyword_time_token1] = ACTIONS(501),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(503),
    [aux_sym_drop_notnull_token1] = ACTIONS(505),
    [aux_sym_function_call_token2] = ACTIONS(507),
    [aux_sym_unnest_operator_token1] = ACTIONS(509),
    [aux_sym_TRUE_token1] = ACTIONS(511),
    [aux_sym_FALSE_token1] = ACTIONS(513),
    [sym__integer] = ACTIONS(515),
    [aux_sym__float_token1] = ACTIONS(517),
    [aux_sym__float_token2] = ACTIONS(515),
    [aux_sym__float_token3] = ACTIONS(517),
    [aux_sym_numeric_token1] = ACTIONS(519),
    [aux_sym_numeric_token2] = ACTIONS(519),
    [aux_sym_numeric_token3] = ACTIONS(519),
    [aux_sym_numeric_token4] = ACTIONS(519),
    [aux_sym_interval_token1] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(523),
    [aux_sym_json_token1] = ACTIONS(525),
    [sym_system_variable] = ACTIONS(527),
    [sym__named_query_parameter] = ACTIONS(529),
    [sym__positional_query_parameter] = ACTIONS(531),
    [sym__quoted_identifier] = ACTIONS(533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_operator_compare] = ACTIONS(539),
    [anon_sym_DOLLAR] = ACTIONS(541),
    [sym__string_start] = ACTIONS(543),
  },
  [1581] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16298),
    [sym__keyword_case] = STATE(370),
    [sym__keyword_not] = STATE(1461),
    [sym__keyword_cast] = STATE(19281),
    [sym__keyword_date] = STATE(5984),
    [sym__keyword_datetime] = STATE(5984),
    [sym__keyword_time] = STATE(5984),
    [sym__keyword_timestamp] = STATE(5984),
    [sym_select_subexpression] = STATE(6583),
    [sym_function_call] = STATE(6583),
    [sym_unnest_operator] = STATE(5280),
    [sym_unnest_clause] = STATE(6583),
    [sym__literal] = STATE(6583),
    [sym_NULL] = STATE(6583),
    [sym_TRUE] = STATE(6583),
    [sym_FALSE] = STATE(6583),
    [sym__float] = STATE(6582),
    [sym_numeric] = STATE(6582),
    [sym__number] = STATE(6582),
    [sym_interval] = STATE(6583),
    [sym_range] = STATE(6583),
    [sym_time] = STATE(6583),
    [sym_number] = STATE(6583),
    [sym_json] = STATE(6583),
    [sym_query_parameter] = STATE(6583),
    [sym__type_chrono] = STATE(5709),
    [sym__type_struct] = STATE(19051),
    [sym__type_array] = STATE(18379),
    [sym_array] = STATE(6583),
    [sym_struct] = STATE(6583),
    [sym__identifier] = STATE(5940),
    [sym__dotted_identifier] = STATE(13302),
    [sym_identifier] = STATE(6280),
    [sym_string] = STATE(6583),
    [sym__expression] = STATE(5343),
    [sym__parenthesized_expression] = STATE(6583),
    [sym_element_access] = STATE(6583),
    [sym_field_access] = STATE(6583),
    [sym_unary_expression] = STATE(6583),
    [sym_binary_expression] = STATE(6583),
    [sym_between_operator] = STATE(6583),
    [sym_casewhen_expression] = STATE(6583),
    [sym_cast_expression] = STATE(6583),
    [sym_argument_reference] = STATE(6583),
    [aux_sym_identifier_repeat1] = STATE(13302),
    [sym__unquoted_identifier] = ACTIONS(491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(493),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(495),
    [aux_sym__keyword_case_token1] = ACTIONS(497),
    [aux_sym__keyword_cast_token1] = ACTIONS(499),
    [aux_sym__keyword_cast_token2] = ACTIONS(499),
    [aux_sym__keyword_date_token1] = ACTIONS(501),
    [aux_sym__keyword_datetime_token1] = ACTIONS(501),
    [aux_sym__keyword_time_token1] = ACTIONS(501),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(503),
    [aux_sym_drop_notnull_token1] = ACTIONS(505),
    [aux_sym_function_call_token2] = ACTIONS(507),
    [aux_sym_unnest_operator_token1] = ACTIONS(509),
    [aux_sym_TRUE_token1] = ACTIONS(511),
    [aux_sym_FALSE_token1] = ACTIONS(513),
    [sym__integer] = ACTIONS(515),
    [aux_sym__float_token1] = ACTIONS(517),
    [aux_sym__float_token2] = ACTIONS(515),
    [aux_sym__float_token3] = ACTIONS(517),
    [aux_sym_numeric_token1] = ACTIONS(519),
    [aux_sym_numeric_token2] = ACTIONS(519),
    [aux_sym_numeric_token3] = ACTIONS(519),
    [aux_sym_numeric_token4] = ACTIONS(519),
    [aux_sym_interval_token1] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(523),
    [aux_sym_json_token1] = ACTIONS(525),
    [sym_system_variable] = ACTIONS(527),
    [sym__named_query_parameter] = ACTIONS(529),
    [sym__positional_query_parameter] = ACTIONS(531),
    [sym__quoted_identifier] = ACTIONS(533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_operator_compare] = ACTIONS(539),
    [anon_sym_DOLLAR] = ACTIONS(541),
    [sym__string_start] = ACTIONS(543),
  },
  [1582] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(1572),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(165),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2319),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2726),
    [anon_sym_PLUS] = ACTIONS(2728),
    [anon_sym_DASH] = ACTIONS(2728),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1583] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16298),
    [sym__keyword_case] = STATE(370),
    [sym__keyword_not] = STATE(1461),
    [sym__keyword_cast] = STATE(19281),
    [sym__keyword_date] = STATE(5984),
    [sym__keyword_datetime] = STATE(5984),
    [sym__keyword_time] = STATE(5984),
    [sym__keyword_timestamp] = STATE(5984),
    [sym_select_subexpression] = STATE(6583),
    [sym_function_call] = STATE(6583),
    [sym_unnest_operator] = STATE(5280),
    [sym_unnest_clause] = STATE(6583),
    [sym__literal] = STATE(6583),
    [sym_NULL] = STATE(6583),
    [sym_TRUE] = STATE(6583),
    [sym_FALSE] = STATE(6583),
    [sym__float] = STATE(6582),
    [sym_numeric] = STATE(6582),
    [sym__number] = STATE(6582),
    [sym_interval] = STATE(6583),
    [sym_range] = STATE(6583),
    [sym_time] = STATE(6583),
    [sym_number] = STATE(6583),
    [sym_json] = STATE(6583),
    [sym_query_parameter] = STATE(6583),
    [sym__type_chrono] = STATE(5709),
    [sym__type_struct] = STATE(19051),
    [sym__type_array] = STATE(18379),
    [sym_array] = STATE(6583),
    [sym_struct] = STATE(6583),
    [sym__identifier] = STATE(5940),
    [sym__dotted_identifier] = STATE(13302),
    [sym_identifier] = STATE(6280),
    [sym_string] = STATE(6583),
    [sym__expression] = STATE(5345),
    [sym__parenthesized_expression] = STATE(6583),
    [sym_element_access] = STATE(6583),
    [sym_field_access] = STATE(6583),
    [sym_unary_expression] = STATE(6583),
    [sym_binary_expression] = STATE(6583),
    [sym_between_operator] = STATE(6583),
    [sym_casewhen_expression] = STATE(6583),
    [sym_cast_expression] = STATE(6583),
    [sym_argument_reference] = STATE(6583),
    [aux_sym_identifier_repeat1] = STATE(13302),
    [sym__unquoted_identifier] = ACTIONS(491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(493),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(495),
    [aux_sym__keyword_case_token1] = ACTIONS(497),
    [aux_sym__keyword_cast_token1] = ACTIONS(499),
    [aux_sym__keyword_cast_token2] = ACTIONS(499),
    [aux_sym__keyword_date_token1] = ACTIONS(501),
    [aux_sym__keyword_datetime_token1] = ACTIONS(501),
    [aux_sym__keyword_time_token1] = ACTIONS(501),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(503),
    [aux_sym_drop_notnull_token1] = ACTIONS(505),
    [aux_sym_function_call_token2] = ACTIONS(507),
    [aux_sym_unnest_operator_token1] = ACTIONS(509),
    [aux_sym_TRUE_token1] = ACTIONS(511),
    [aux_sym_FALSE_token1] = ACTIONS(513),
    [sym__integer] = ACTIONS(515),
    [aux_sym__float_token1] = ACTIONS(517),
    [aux_sym__float_token2] = ACTIONS(515),
    [aux_sym__float_token3] = ACTIONS(517),
    [aux_sym_numeric_token1] = ACTIONS(519),
    [aux_sym_numeric_token2] = ACTIONS(519),
    [aux_sym_numeric_token3] = ACTIONS(519),
    [aux_sym_numeric_token4] = ACTIONS(519),
    [aux_sym_interval_token1] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(523),
    [aux_sym_json_token1] = ACTIONS(525),
    [sym_system_variable] = ACTIONS(527),
    [sym__named_query_parameter] = ACTIONS(529),
    [sym__positional_query_parameter] = ACTIONS(531),
    [sym__quoted_identifier] = ACTIONS(533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_operator_compare] = ACTIONS(539),
    [anon_sym_DOLLAR] = ACTIONS(541),
    [sym__string_start] = ACTIONS(543),
  },
  [1584] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16298),
    [sym__keyword_case] = STATE(370),
    [sym__keyword_not] = STATE(1461),
    [sym__keyword_cast] = STATE(19281),
    [sym__keyword_date] = STATE(5984),
    [sym__keyword_datetime] = STATE(5984),
    [sym__keyword_time] = STATE(5984),
    [sym__keyword_timestamp] = STATE(5984),
    [sym_select_subexpression] = STATE(6583),
    [sym_function_call] = STATE(6583),
    [sym_unnest_operator] = STATE(5280),
    [sym_unnest_clause] = STATE(6583),
    [sym__literal] = STATE(6583),
    [sym_NULL] = STATE(6583),
    [sym_TRUE] = STATE(6583),
    [sym_FALSE] = STATE(6583),
    [sym__float] = STATE(6582),
    [sym_numeric] = STATE(6582),
    [sym__number] = STATE(6582),
    [sym_interval] = STATE(6583),
    [sym_range] = STATE(6583),
    [sym_time] = STATE(6583),
    [sym_number] = STATE(6583),
    [sym_json] = STATE(6583),
    [sym_query_parameter] = STATE(6583),
    [sym__type_chrono] = STATE(5709),
    [sym__type_struct] = STATE(19051),
    [sym__type_array] = STATE(18379),
    [sym_array] = STATE(6583),
    [sym_struct] = STATE(6583),
    [sym__identifier] = STATE(5940),
    [sym__dotted_identifier] = STATE(13302),
    [sym_identifier] = STATE(6280),
    [sym_string] = STATE(6583),
    [sym__expression] = STATE(5346),
    [sym__parenthesized_expression] = STATE(6583),
    [sym_element_access] = STATE(6583),
    [sym_field_access] = STATE(6583),
    [sym_unary_expression] = STATE(6583),
    [sym_binary_expression] = STATE(6583),
    [sym_between_operator] = STATE(6583),
    [sym_casewhen_expression] = STATE(6583),
    [sym_cast_expression] = STATE(6583),
    [sym_argument_reference] = STATE(6583),
    [aux_sym_identifier_repeat1] = STATE(13302),
    [sym__unquoted_identifier] = ACTIONS(491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(493),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(495),
    [aux_sym__keyword_case_token1] = ACTIONS(497),
    [aux_sym__keyword_cast_token1] = ACTIONS(499),
    [aux_sym__keyword_cast_token2] = ACTIONS(499),
    [aux_sym__keyword_date_token1] = ACTIONS(501),
    [aux_sym__keyword_datetime_token1] = ACTIONS(501),
    [aux_sym__keyword_time_token1] = ACTIONS(501),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(503),
    [aux_sym_drop_notnull_token1] = ACTIONS(505),
    [aux_sym_function_call_token2] = ACTIONS(507),
    [aux_sym_unnest_operator_token1] = ACTIONS(509),
    [aux_sym_TRUE_token1] = ACTIONS(511),
    [aux_sym_FALSE_token1] = ACTIONS(513),
    [sym__integer] = ACTIONS(515),
    [aux_sym__float_token1] = ACTIONS(517),
    [aux_sym__float_token2] = ACTIONS(515),
    [aux_sym__float_token3] = ACTIONS(517),
    [aux_sym_numeric_token1] = ACTIONS(519),
    [aux_sym_numeric_token2] = ACTIONS(519),
    [aux_sym_numeric_token3] = ACTIONS(519),
    [aux_sym_numeric_token4] = ACTIONS(519),
    [aux_sym_interval_token1] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(523),
    [aux_sym_json_token1] = ACTIONS(525),
    [sym_system_variable] = ACTIONS(527),
    [sym__named_query_parameter] = ACTIONS(529),
    [sym__positional_query_parameter] = ACTIONS(531),
    [sym__quoted_identifier] = ACTIONS(533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_operator_compare] = ACTIONS(539),
    [anon_sym_DOLLAR] = ACTIONS(541),
    [sym__string_start] = ACTIONS(543),
  },
  [1585] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(1572),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(165),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2315),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2726),
    [anon_sym_PLUS] = ACTIONS(2728),
    [anon_sym_DASH] = ACTIONS(2728),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1586] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(1520),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(390),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2619),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2722),
    [anon_sym_PLUS] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2724),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1587] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(1572),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(165),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2314),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2726),
    [anon_sym_PLUS] = ACTIONS(2728),
    [anon_sym_DASH] = ACTIONS(2728),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1588] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9867),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1589] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(1572),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(165),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2309),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2726),
    [anon_sym_PLUS] = ACTIONS(2728),
    [anon_sym_DASH] = ACTIONS(2728),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1590] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16298),
    [sym__keyword_case] = STATE(370),
    [sym__keyword_not] = STATE(1461),
    [sym__keyword_cast] = STATE(19281),
    [sym__keyword_date] = STATE(5984),
    [sym__keyword_datetime] = STATE(5984),
    [sym__keyword_time] = STATE(5984),
    [sym__keyword_timestamp] = STATE(5984),
    [sym_select_subexpression] = STATE(6583),
    [sym_function_call] = STATE(6583),
    [sym_unnest_operator] = STATE(5280),
    [sym_unnest_clause] = STATE(6583),
    [sym__literal] = STATE(6583),
    [sym_NULL] = STATE(6583),
    [sym_TRUE] = STATE(6583),
    [sym_FALSE] = STATE(6583),
    [sym__float] = STATE(6582),
    [sym_numeric] = STATE(6582),
    [sym__number] = STATE(6582),
    [sym_interval] = STATE(6583),
    [sym_range] = STATE(6583),
    [sym_time] = STATE(6583),
    [sym_number] = STATE(6583),
    [sym_json] = STATE(6583),
    [sym_query_parameter] = STATE(6583),
    [sym__type_chrono] = STATE(5709),
    [sym__type_struct] = STATE(19051),
    [sym__type_array] = STATE(18379),
    [sym_array] = STATE(6583),
    [sym_struct] = STATE(6583),
    [sym__identifier] = STATE(5940),
    [sym__dotted_identifier] = STATE(13302),
    [sym_identifier] = STATE(6280),
    [sym_string] = STATE(6583),
    [sym__expression] = STATE(5349),
    [sym__parenthesized_expression] = STATE(6583),
    [sym_element_access] = STATE(6583),
    [sym_field_access] = STATE(6583),
    [sym_unary_expression] = STATE(6583),
    [sym_binary_expression] = STATE(6583),
    [sym_between_operator] = STATE(6583),
    [sym_casewhen_expression] = STATE(6583),
    [sym_cast_expression] = STATE(6583),
    [sym_argument_reference] = STATE(6583),
    [aux_sym_identifier_repeat1] = STATE(13302),
    [sym__unquoted_identifier] = ACTIONS(491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(493),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(495),
    [aux_sym__keyword_case_token1] = ACTIONS(497),
    [aux_sym__keyword_cast_token1] = ACTIONS(499),
    [aux_sym__keyword_cast_token2] = ACTIONS(499),
    [aux_sym__keyword_date_token1] = ACTIONS(501),
    [aux_sym__keyword_datetime_token1] = ACTIONS(501),
    [aux_sym__keyword_time_token1] = ACTIONS(501),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(503),
    [aux_sym_drop_notnull_token1] = ACTIONS(505),
    [aux_sym_function_call_token2] = ACTIONS(507),
    [aux_sym_unnest_operator_token1] = ACTIONS(509),
    [aux_sym_TRUE_token1] = ACTIONS(511),
    [aux_sym_FALSE_token1] = ACTIONS(513),
    [sym__integer] = ACTIONS(515),
    [aux_sym__float_token1] = ACTIONS(517),
    [aux_sym__float_token2] = ACTIONS(515),
    [aux_sym__float_token3] = ACTIONS(517),
    [aux_sym_numeric_token1] = ACTIONS(519),
    [aux_sym_numeric_token2] = ACTIONS(519),
    [aux_sym_numeric_token3] = ACTIONS(519),
    [aux_sym_numeric_token4] = ACTIONS(519),
    [aux_sym_interval_token1] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(523),
    [aux_sym_json_token1] = ACTIONS(525),
    [sym_system_variable] = ACTIONS(527),
    [sym__named_query_parameter] = ACTIONS(529),
    [sym__positional_query_parameter] = ACTIONS(531),
    [sym__quoted_identifier] = ACTIONS(533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_operator_compare] = ACTIONS(539),
    [anon_sym_DOLLAR] = ACTIONS(541),
    [sym__string_start] = ACTIONS(543),
  },
  [1591] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(1572),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(165),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2308),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2726),
    [anon_sym_PLUS] = ACTIONS(2728),
    [anon_sym_DASH] = ACTIONS(2728),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1592] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(1520),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(390),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2614),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2722),
    [anon_sym_PLUS] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2724),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1593] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(1520),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(390),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2613),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2722),
    [anon_sym_PLUS] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2724),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1594] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(1520),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(390),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2601),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2722),
    [anon_sym_PLUS] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2724),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1595] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(1520),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(390),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2598),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2722),
    [anon_sym_PLUS] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2724),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1596] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(1520),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(390),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2589),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2722),
    [anon_sym_PLUS] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2724),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1597] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16166),
    [sym__keyword_case] = STATE(299),
    [sym__keyword_not] = STATE(1734),
    [sym__keyword_cast] = STATE(19301),
    [sym__keyword_date] = STATE(386),
    [sym__keyword_datetime] = STATE(386),
    [sym__keyword_time] = STATE(386),
    [sym__keyword_timestamp] = STATE(386),
    [sym_select_subexpression] = STATE(469),
    [sym_function_call] = STATE(469),
    [sym_unnest_operator] = STATE(52),
    [sym_unnest_clause] = STATE(469),
    [sym__literal] = STATE(469),
    [sym_NULL] = STATE(469),
    [sym_TRUE] = STATE(469),
    [sym_FALSE] = STATE(469),
    [sym__float] = STATE(472),
    [sym_numeric] = STATE(472),
    [sym__number] = STATE(472),
    [sym_interval] = STATE(469),
    [sym_range] = STATE(469),
    [sym_time] = STATE(469),
    [sym_number] = STATE(469),
    [sym_json] = STATE(469),
    [sym_query_parameter] = STATE(469),
    [sym__type_chrono] = STATE(371),
    [sym__type_struct] = STATE(19121),
    [sym__type_array] = STATE(18667),
    [sym_array] = STATE(469),
    [sym_struct] = STATE(469),
    [sym__identifier] = STATE(383),
    [sym__dotted_identifier] = STATE(13828),
    [sym_identifier] = STATE(477),
    [sym_string] = STATE(469),
    [sym__expression] = STATE(180),
    [sym__parenthesized_expression] = STATE(469),
    [sym_element_access] = STATE(469),
    [sym_field_access] = STATE(469),
    [sym_unary_expression] = STATE(469),
    [sym_binary_expression] = STATE(469),
    [sym_between_operator] = STATE(469),
    [sym_casewhen_expression] = STATE(469),
    [sym_cast_expression] = STATE(469),
    [sym_argument_reference] = STATE(469),
    [aux_sym_identifier_repeat1] = STATE(13828),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2314),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2316),
    [aux_sym__keyword_case_token1] = ACTIONS(2318),
    [aux_sym__keyword_cast_token1] = ACTIONS(2320),
    [aux_sym__keyword_cast_token2] = ACTIONS(2320),
    [aux_sym__keyword_date_token1] = ACTIONS(2322),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2322),
    [aux_sym__keyword_time_token1] = ACTIONS(2322),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(2324),
    [aux_sym_drop_notnull_token1] = ACTIONS(2326),
    [aux_sym_function_call_token2] = ACTIONS(2328),
    [aux_sym_unnest_operator_token1] = ACTIONS(2730),
    [aux_sym_TRUE_token1] = ACTIONS(2332),
    [aux_sym_FALSE_token1] = ACTIONS(2334),
    [sym__integer] = ACTIONS(2336),
    [aux_sym__float_token1] = ACTIONS(2338),
    [aux_sym__float_token2] = ACTIONS(2336),
    [aux_sym__float_token3] = ACTIONS(2338),
    [aux_sym_numeric_token1] = ACTIONS(2340),
    [aux_sym_numeric_token2] = ACTIONS(2340),
    [aux_sym_numeric_token3] = ACTIONS(2340),
    [aux_sym_numeric_token4] = ACTIONS(2340),
    [aux_sym_interval_token1] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2344),
    [aux_sym_json_token1] = ACTIONS(2346),
    [sym_system_variable] = ACTIONS(2348),
    [sym__named_query_parameter] = ACTIONS(2350),
    [sym__positional_query_parameter] = ACTIONS(2352),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2732),
    [anon_sym_PLUS] = ACTIONS(2734),
    [anon_sym_DASH] = ACTIONS(2734),
    [anon_sym_operator_compare] = ACTIONS(2358),
    [anon_sym_DOLLAR] = ACTIONS(2360),
    [sym__string_start] = ACTIONS(1512),
  },
  [1598] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16298),
    [sym__keyword_case] = STATE(370),
    [sym__keyword_not] = STATE(1461),
    [sym__keyword_cast] = STATE(19281),
    [sym__keyword_date] = STATE(5984),
    [sym__keyword_datetime] = STATE(5984),
    [sym__keyword_time] = STATE(5984),
    [sym__keyword_timestamp] = STATE(5984),
    [sym_select_subexpression] = STATE(6583),
    [sym_function_call] = STATE(6583),
    [sym_unnest_operator] = STATE(5280),
    [sym_unnest_clause] = STATE(6583),
    [sym__literal] = STATE(6583),
    [sym_NULL] = STATE(6583),
    [sym_TRUE] = STATE(6583),
    [sym_FALSE] = STATE(6583),
    [sym__float] = STATE(6582),
    [sym_numeric] = STATE(6582),
    [sym__number] = STATE(6582),
    [sym_interval] = STATE(6583),
    [sym_range] = STATE(6583),
    [sym_time] = STATE(6583),
    [sym_number] = STATE(6583),
    [sym_json] = STATE(6583),
    [sym_query_parameter] = STATE(6583),
    [sym__type_chrono] = STATE(5709),
    [sym__type_struct] = STATE(19051),
    [sym__type_array] = STATE(18379),
    [sym_array] = STATE(6583),
    [sym_struct] = STATE(6583),
    [sym__identifier] = STATE(5940),
    [sym__dotted_identifier] = STATE(13302),
    [sym_identifier] = STATE(6280),
    [sym_string] = STATE(6583),
    [sym__expression] = STATE(5321),
    [sym__parenthesized_expression] = STATE(6583),
    [sym_element_access] = STATE(6583),
    [sym_field_access] = STATE(6583),
    [sym_unary_expression] = STATE(6583),
    [sym_binary_expression] = STATE(6583),
    [sym_between_operator] = STATE(6583),
    [sym_casewhen_expression] = STATE(6583),
    [sym_cast_expression] = STATE(6583),
    [sym_argument_reference] = STATE(6583),
    [aux_sym_identifier_repeat1] = STATE(13302),
    [sym__unquoted_identifier] = ACTIONS(491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(493),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(495),
    [aux_sym__keyword_case_token1] = ACTIONS(497),
    [aux_sym__keyword_cast_token1] = ACTIONS(499),
    [aux_sym__keyword_cast_token2] = ACTIONS(499),
    [aux_sym__keyword_date_token1] = ACTIONS(501),
    [aux_sym__keyword_datetime_token1] = ACTIONS(501),
    [aux_sym__keyword_time_token1] = ACTIONS(501),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(503),
    [aux_sym_drop_notnull_token1] = ACTIONS(505),
    [aux_sym_function_call_token2] = ACTIONS(507),
    [aux_sym_unnest_operator_token1] = ACTIONS(509),
    [aux_sym_TRUE_token1] = ACTIONS(511),
    [aux_sym_FALSE_token1] = ACTIONS(513),
    [sym__integer] = ACTIONS(515),
    [aux_sym__float_token1] = ACTIONS(517),
    [aux_sym__float_token2] = ACTIONS(515),
    [aux_sym__float_token3] = ACTIONS(517),
    [aux_sym_numeric_token1] = ACTIONS(519),
    [aux_sym_numeric_token2] = ACTIONS(519),
    [aux_sym_numeric_token3] = ACTIONS(519),
    [aux_sym_numeric_token4] = ACTIONS(519),
    [aux_sym_interval_token1] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(523),
    [aux_sym_json_token1] = ACTIONS(525),
    [sym_system_variable] = ACTIONS(527),
    [sym__named_query_parameter] = ACTIONS(529),
    [sym__positional_query_parameter] = ACTIONS(531),
    [sym__quoted_identifier] = ACTIONS(533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_operator_compare] = ACTIONS(539),
    [anon_sym_DOLLAR] = ACTIONS(541),
    [sym__string_start] = ACTIONS(543),
  },
  [1599] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1670),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(175),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(2321),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(995),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(997),
    [anon_sym_PLUS] = ACTIONS(999),
    [anon_sym_DASH] = ACTIONS(999),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1600] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1670),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(175),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(2290),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(995),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(997),
    [anon_sym_PLUS] = ACTIONS(999),
    [anon_sym_DASH] = ACTIONS(999),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1601] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(1572),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(165),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2318),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2726),
    [anon_sym_PLUS] = ACTIONS(2728),
    [anon_sym_DASH] = ACTIONS(2728),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1602] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1670),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(175),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(2313),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(995),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(997),
    [anon_sym_PLUS] = ACTIONS(999),
    [anon_sym_DASH] = ACTIONS(999),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1603] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9604),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1604] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1350),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2703),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(4210),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2674),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1605] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1350),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2703),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(4180),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2674),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1606] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9645),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1607] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1670),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(175),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(2312),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(995),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(997),
    [anon_sym_PLUS] = ACTIONS(999),
    [anon_sym_DASH] = ACTIONS(999),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1608] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(7632),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1609] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(1572),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(165),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2300),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2726),
    [anon_sym_PLUS] = ACTIONS(2728),
    [anon_sym_DASH] = ACTIONS(2728),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1610] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9972),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1611] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(7631),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1612] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(1572),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(165),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2296),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2726),
    [anon_sym_PLUS] = ACTIONS(2728),
    [anon_sym_DASH] = ACTIONS(2728),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1613] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(1520),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(390),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2571),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2722),
    [anon_sym_PLUS] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2724),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1614] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(7630),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1615] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9932),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1616] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9656),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1617] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1670),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(175),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(2310),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(995),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(997),
    [anon_sym_PLUS] = ACTIONS(999),
    [anon_sym_DASH] = ACTIONS(999),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1618] = {
    [ts_builtin_sym_end] = ACTIONS(1524),
    [sym__unquoted_identifier] = ACTIONS(1526),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1526),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1526),
    [aux_sym_keyword_replace_token1] = ACTIONS(1526),
    [aux_sym__keyword_alter_token1] = ACTIONS(1526),
    [aux_sym__keyword_from_token1] = ACTIONS(1526),
    [aux_sym__keyword_delete_token1] = ACTIONS(1526),
    [aux_sym__keyword_begin_token1] = ACTIONS(1526),
    [aux_sym__keyword_end_token1] = ACTIONS(1526),
    [aux_sym__keyword_between_token1] = ACTIONS(1526),
    [aux_sym__keyword_when_token1] = ACTIONS(1526),
    [aux_sym__keyword_else_token1] = ACTIONS(1526),
    [aux_sym__keyword_is_token1] = ACTIONS(1526),
    [aux_sym__keyword_in_token1] = ACTIONS(1526),
    [aux_sym__keyword_and_token1] = ACTIONS(1526),
    [aux_sym__keyword_like_token1] = ACTIONS(1526),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1526),
    [aux_sym__keyword_as_token1] = ACTIONS(1526),
    [aux_sym__keyword_window_token1] = ACTIONS(1526),
    [aux_sym__keyword_date_token1] = ACTIONS(1526),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1526),
    [aux_sym__keyword_time_token1] = ACTIONS(1526),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1526),
    [aux_sym__keyword_for_token1] = ACTIONS(1526),
    [anon_sym_SEMI] = ACTIONS(1524),
    [aux_sym_declare_statement_token1] = ACTIONS(1526),
    [anon_sym_COMMA] = ACTIONS(1524),
    [aux_sym_set_statement_token1] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(1524),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1526),
    [aux_sym_return_satement_token1] = ACTIONS(1526),
    [aux_sym_call_statement_token1] = ACTIONS(1526),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1526),
    [aux_sym_if_statement_token1] = ACTIONS(1526),
    [aux_sym_loop_statement_token1] = ACTIONS(1526),
    [aux_sym_repeat_statement_token1] = ACTIONS(1526),
    [aux_sym_while_statement_token1] = ACTIONS(1526),
    [aux_sym_break_statement_token1] = ACTIONS(1526),
    [aux_sym_leave_statement_token1] = ACTIONS(1526),
    [aux_sym_continue_statement_token1] = ACTIONS(1526),
    [aux_sym_iterate_statement_token1] = ACTIONS(1526),
    [aux_sym_raise_statement_token1] = ACTIONS(1526),
    [anon_sym_EQ] = ACTIONS(1524),
    [aux_sym_assert_statement_token1] = ACTIONS(1526),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1526),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1526),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1526),
    [aux_sym_alter_table_rename_statement_token2] = ACTIONS(2736),
    [anon_sym_LT] = ACTIONS(1526),
    [anon_sym_GT] = ACTIONS(1526),
    [aux_sym_set_operation_token1] = ACTIONS(1526),
    [aux_sym_set_operation_token3] = ACTIONS(1526),
    [aux_sym_set_operation_token4] = ACTIONS(1526),
    [aux_sym_select_token1] = ACTIONS(1526),
    [aux_sym_having_clause_token1] = ACTIONS(1526),
    [aux_sym_qualify_clause_token1] = ACTIONS(1526),
    [aux_sym_limit_clause_token1] = ACTIONS(1526),
    [aux_sym_group_by_clause_token1] = ACTIONS(1526),
    [aux_sym_order_by_clause_token1] = ACTIONS(1526),
    [aux_sym_where_clause_token1] = ACTIONS(1526),
    [aux_sym_insert_statement_token1] = ACTIONS(1526),
    [aux_sym_truncate_statement_token1] = ACTIONS(1526),
    [aux_sym_update_statement_token1] = ACTIONS(1526),
    [aux_sym_merge_statement_token1] = ACTIONS(1526),
    [aux_sym_grant_statement_token1] = ACTIONS(1526),
    [aux_sym_revoke_statement_token1] = ACTIONS(1526),
    [aux_sym_export_data_statement_token1] = ACTIONS(1526),
    [aux_sym_load_data_statement_token1] = ACTIONS(1526),
    [anon_sym_LBRACK] = ACTIONS(1524),
    [sym__quoted_identifier] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1524),
    [anon_sym_PLUS] = ACTIONS(1524),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_STAR] = ACTIONS(1524),
    [anon_sym_SLASH] = ACTIONS(1526),
    [anon_sym_PIPE_PIPE] = ACTIONS(1524),
    [anon_sym_LT_EQ] = ACTIONS(1524),
    [anon_sym_LT_GT] = ACTIONS(1524),
    [anon_sym_GT_EQ] = ACTIONS(1524),
    [anon_sym_BANG_EQ] = ACTIONS(1524),
    [anon_sym_LT_LT] = ACTIONS(1524),
    [anon_sym_GT_GT] = ACTIONS(1524),
    [anon_sym_AMP] = ACTIONS(1524),
    [anon_sym_CARET] = ACTIONS(1524),
    [anon_sym_PIPE] = ACTIONS(1526),
  },
  [1619] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(7613),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1620] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(1572),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(165),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2295),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2726),
    [anon_sym_PLUS] = ACTIONS(2728),
    [anon_sym_DASH] = ACTIONS(2728),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1621] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(1572),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(165),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2286),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2726),
    [anon_sym_PLUS] = ACTIONS(2728),
    [anon_sym_DASH] = ACTIONS(2728),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1622] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(7612),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1623] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1357),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(391),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(2788),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(957),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(961),
    [anon_sym_DASH] = ACTIONS(961),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1624] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(1520),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(390),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2567),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2722),
    [anon_sym_PLUS] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2724),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1625] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(7607),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1626] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16234),
    [sym__keyword_case] = STATE(345),
    [sym__keyword_not] = STATE(1629),
    [sym__keyword_cast] = STATE(19291),
    [sym__keyword_date] = STATE(3007),
    [sym__keyword_datetime] = STATE(3007),
    [sym__keyword_time] = STATE(3007),
    [sym__keyword_timestamp] = STATE(3007),
    [sym_select_subexpression] = STATE(3283),
    [sym_function_call] = STATE(3283),
    [sym_unnest_operator] = STATE(184),
    [sym_unnest_clause] = STATE(3283),
    [sym__literal] = STATE(3283),
    [sym_NULL] = STATE(3283),
    [sym_TRUE] = STATE(3283),
    [sym_FALSE] = STATE(3283),
    [sym__float] = STATE(3282),
    [sym_numeric] = STATE(3282),
    [sym__number] = STATE(3282),
    [sym_interval] = STATE(3283),
    [sym_range] = STATE(3283),
    [sym_time] = STATE(3283),
    [sym_number] = STATE(3283),
    [sym_json] = STATE(3283),
    [sym_query_parameter] = STATE(3283),
    [sym__type_chrono] = STATE(2957),
    [sym__type_struct] = STATE(19086),
    [sym__type_array] = STATE(18532),
    [sym_array] = STATE(3283),
    [sym_struct] = STATE(3283),
    [sym__identifier] = STATE(2993),
    [sym__dotted_identifier] = STATE(13495),
    [sym_identifier] = STATE(3030),
    [sym_string] = STATE(3283),
    [sym__expression] = STATE(2340),
    [sym__parenthesized_expression] = STATE(3283),
    [sym_element_access] = STATE(3283),
    [sym_field_access] = STATE(3283),
    [sym_unary_expression] = STATE(3283),
    [sym_binary_expression] = STATE(3283),
    [sym_between_operator] = STATE(3283),
    [sym_casewhen_expression] = STATE(3283),
    [sym_cast_expression] = STATE(3283),
    [sym_argument_reference] = STATE(3283),
    [aux_sym_identifier_repeat1] = STATE(13495),
    [sym__unquoted_identifier] = ACTIONS(1306),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2098),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2100),
    [aux_sym__keyword_case_token1] = ACTIONS(2102),
    [aux_sym__keyword_cast_token1] = ACTIONS(2104),
    [aux_sym__keyword_cast_token2] = ACTIONS(2104),
    [aux_sym__keyword_date_token1] = ACTIONS(2106),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2106),
    [aux_sym__keyword_time_token1] = ACTIONS(2106),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2106),
    [anon_sym_LPAREN] = ACTIONS(2108),
    [aux_sym_drop_notnull_token1] = ACTIONS(2110),
    [aux_sym_function_call_token2] = ACTIONS(2112),
    [aux_sym_unnest_operator_token1] = ACTIONS(2114),
    [aux_sym_TRUE_token1] = ACTIONS(2116),
    [aux_sym_FALSE_token1] = ACTIONS(2118),
    [sym__integer] = ACTIONS(2120),
    [aux_sym__float_token1] = ACTIONS(2122),
    [aux_sym__float_token2] = ACTIONS(2120),
    [aux_sym__float_token3] = ACTIONS(2122),
    [aux_sym_numeric_token1] = ACTIONS(2124),
    [aux_sym_numeric_token2] = ACTIONS(2124),
    [aux_sym_numeric_token3] = ACTIONS(2124),
    [aux_sym_numeric_token4] = ACTIONS(2124),
    [aux_sym_interval_token1] = ACTIONS(2126),
    [anon_sym_LBRACK] = ACTIONS(2128),
    [aux_sym_json_token1] = ACTIONS(2130),
    [sym_system_variable] = ACTIONS(2132),
    [sym__named_query_parameter] = ACTIONS(2134),
    [sym__positional_query_parameter] = ACTIONS(2136),
    [sym__quoted_identifier] = ACTIONS(1314),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_operator_compare] = ACTIONS(2142),
    [anon_sym_DOLLAR] = ACTIONS(2144),
    [sym__string_start] = ACTIONS(2146),
  },
  [1627] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(1520),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(390),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2563),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2722),
    [anon_sym_PLUS] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2724),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1628] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16166),
    [sym__keyword_case] = STATE(299),
    [sym__keyword_not] = STATE(840),
    [sym__keyword_cast] = STATE(19301),
    [sym__keyword_date] = STATE(386),
    [sym__keyword_datetime] = STATE(386),
    [sym__keyword_time] = STATE(386),
    [sym__keyword_timestamp] = STATE(386),
    [sym_select_subexpression] = STATE(469),
    [sym_function_call] = STATE(469),
    [sym_unnest_operator] = STATE(10),
    [sym_unnest_clause] = STATE(469),
    [sym__literal] = STATE(469),
    [sym_NULL] = STATE(469),
    [sym_TRUE] = STATE(469),
    [sym_FALSE] = STATE(469),
    [sym__float] = STATE(472),
    [sym_numeric] = STATE(472),
    [sym__number] = STATE(472),
    [sym_interval] = STATE(469),
    [sym_range] = STATE(469),
    [sym_time] = STATE(469),
    [sym_number] = STATE(469),
    [sym_json] = STATE(469),
    [sym_query_parameter] = STATE(469),
    [sym__type_chrono] = STATE(371),
    [sym__type_struct] = STATE(19121),
    [sym__type_array] = STATE(18667),
    [sym_array] = STATE(469),
    [sym_struct] = STATE(469),
    [sym__identifier] = STATE(383),
    [sym__dotted_identifier] = STATE(13828),
    [sym_identifier] = STATE(477),
    [sym_string] = STATE(469),
    [sym__expression] = STATE(94),
    [sym__parenthesized_expression] = STATE(469),
    [sym_element_access] = STATE(469),
    [sym_field_access] = STATE(469),
    [sym_unary_expression] = STATE(469),
    [sym_binary_expression] = STATE(469),
    [sym_between_operator] = STATE(469),
    [sym_casewhen_expression] = STATE(469),
    [sym_cast_expression] = STATE(469),
    [sym_argument_reference] = STATE(469),
    [aux_sym_identifier_repeat1] = STATE(13828),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2314),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2316),
    [aux_sym__keyword_case_token1] = ACTIONS(2318),
    [aux_sym__keyword_cast_token1] = ACTIONS(2320),
    [aux_sym__keyword_cast_token2] = ACTIONS(2320),
    [aux_sym__keyword_date_token1] = ACTIONS(2322),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2322),
    [aux_sym__keyword_time_token1] = ACTIONS(2322),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(2324),
    [aux_sym_drop_notnull_token1] = ACTIONS(2326),
    [aux_sym_function_call_token2] = ACTIONS(2328),
    [aux_sym_unnest_operator_token1] = ACTIONS(2330),
    [aux_sym_TRUE_token1] = ACTIONS(2332),
    [aux_sym_FALSE_token1] = ACTIONS(2334),
    [sym__integer] = ACTIONS(2336),
    [aux_sym__float_token1] = ACTIONS(2338),
    [aux_sym__float_token2] = ACTIONS(2336),
    [aux_sym__float_token3] = ACTIONS(2338),
    [aux_sym_numeric_token1] = ACTIONS(2340),
    [aux_sym_numeric_token2] = ACTIONS(2340),
    [aux_sym_numeric_token3] = ACTIONS(2340),
    [aux_sym_numeric_token4] = ACTIONS(2340),
    [aux_sym_interval_token1] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2344),
    [aux_sym_json_token1] = ACTIONS(2346),
    [sym_system_variable] = ACTIONS(2348),
    [sym__named_query_parameter] = ACTIONS(2350),
    [sym__positional_query_parameter] = ACTIONS(2352),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2354),
    [anon_sym_PLUS] = ACTIONS(2356),
    [anon_sym_DASH] = ACTIONS(2356),
    [anon_sym_operator_compare] = ACTIONS(2358),
    [anon_sym_DOLLAR] = ACTIONS(2360),
    [sym__string_start] = ACTIONS(1512),
  },
  [1629] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16234),
    [sym__keyword_case] = STATE(345),
    [sym__keyword_not] = STATE(1629),
    [sym__keyword_cast] = STATE(19291),
    [sym__keyword_date] = STATE(3007),
    [sym__keyword_datetime] = STATE(3007),
    [sym__keyword_time] = STATE(3007),
    [sym__keyword_timestamp] = STATE(3007),
    [sym_select_subexpression] = STATE(3283),
    [sym_function_call] = STATE(3283),
    [sym_unnest_operator] = STATE(184),
    [sym_unnest_clause] = STATE(3283),
    [sym__literal] = STATE(3283),
    [sym_NULL] = STATE(3283),
    [sym_TRUE] = STATE(3283),
    [sym_FALSE] = STATE(3283),
    [sym__float] = STATE(3282),
    [sym_numeric] = STATE(3282),
    [sym__number] = STATE(3282),
    [sym_interval] = STATE(3283),
    [sym_range] = STATE(3283),
    [sym_time] = STATE(3283),
    [sym_number] = STATE(3283),
    [sym_json] = STATE(3283),
    [sym_query_parameter] = STATE(3283),
    [sym__type_chrono] = STATE(2957),
    [sym__type_struct] = STATE(19086),
    [sym__type_array] = STATE(18532),
    [sym_array] = STATE(3283),
    [sym_struct] = STATE(3283),
    [sym__identifier] = STATE(2993),
    [sym__dotted_identifier] = STATE(13495),
    [sym_identifier] = STATE(3030),
    [sym_string] = STATE(3283),
    [sym__expression] = STATE(2339),
    [sym__parenthesized_expression] = STATE(3283),
    [sym_element_access] = STATE(3283),
    [sym_field_access] = STATE(3283),
    [sym_unary_expression] = STATE(3283),
    [sym_binary_expression] = STATE(3283),
    [sym_between_operator] = STATE(3283),
    [sym_casewhen_expression] = STATE(3283),
    [sym_cast_expression] = STATE(3283),
    [sym_argument_reference] = STATE(3283),
    [aux_sym_identifier_repeat1] = STATE(13495),
    [sym__unquoted_identifier] = ACTIONS(1306),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2098),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2100),
    [aux_sym__keyword_case_token1] = ACTIONS(2102),
    [aux_sym__keyword_cast_token1] = ACTIONS(2104),
    [aux_sym__keyword_cast_token2] = ACTIONS(2104),
    [aux_sym__keyword_date_token1] = ACTIONS(2106),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2106),
    [aux_sym__keyword_time_token1] = ACTIONS(2106),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2106),
    [anon_sym_LPAREN] = ACTIONS(2108),
    [aux_sym_drop_notnull_token1] = ACTIONS(2110),
    [aux_sym_function_call_token2] = ACTIONS(2112),
    [aux_sym_unnest_operator_token1] = ACTIONS(2114),
    [aux_sym_TRUE_token1] = ACTIONS(2116),
    [aux_sym_FALSE_token1] = ACTIONS(2118),
    [sym__integer] = ACTIONS(2120),
    [aux_sym__float_token1] = ACTIONS(2122),
    [aux_sym__float_token2] = ACTIONS(2120),
    [aux_sym__float_token3] = ACTIONS(2122),
    [aux_sym_numeric_token1] = ACTIONS(2124),
    [aux_sym_numeric_token2] = ACTIONS(2124),
    [aux_sym_numeric_token3] = ACTIONS(2124),
    [aux_sym_numeric_token4] = ACTIONS(2124),
    [aux_sym_interval_token1] = ACTIONS(2126),
    [anon_sym_LBRACK] = ACTIONS(2128),
    [aux_sym_json_token1] = ACTIONS(2130),
    [sym_system_variable] = ACTIONS(2132),
    [sym__named_query_parameter] = ACTIONS(2134),
    [sym__positional_query_parameter] = ACTIONS(2136),
    [sym__quoted_identifier] = ACTIONS(1314),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_operator_compare] = ACTIONS(2142),
    [anon_sym_DOLLAR] = ACTIONS(2144),
    [sym__string_start] = ACTIONS(2146),
  },
  [1630] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16298),
    [sym__keyword_case] = STATE(370),
    [sym__keyword_not] = STATE(1461),
    [sym__keyword_cast] = STATE(19281),
    [sym__keyword_date] = STATE(5984),
    [sym__keyword_datetime] = STATE(5984),
    [sym__keyword_time] = STATE(5984),
    [sym__keyword_timestamp] = STATE(5984),
    [sym_select_subexpression] = STATE(6583),
    [sym_function_call] = STATE(6583),
    [sym_unnest_operator] = STATE(5280),
    [sym_unnest_clause] = STATE(6583),
    [sym__literal] = STATE(6583),
    [sym_NULL] = STATE(6583),
    [sym_TRUE] = STATE(6583),
    [sym_FALSE] = STATE(6583),
    [sym__float] = STATE(6582),
    [sym_numeric] = STATE(6582),
    [sym__number] = STATE(6582),
    [sym_interval] = STATE(6583),
    [sym_range] = STATE(6583),
    [sym_time] = STATE(6583),
    [sym_number] = STATE(6583),
    [sym_json] = STATE(6583),
    [sym_query_parameter] = STATE(6583),
    [sym__type_chrono] = STATE(5709),
    [sym__type_struct] = STATE(19051),
    [sym__type_array] = STATE(18379),
    [sym_array] = STATE(6583),
    [sym_struct] = STATE(6583),
    [sym__identifier] = STATE(5940),
    [sym__dotted_identifier] = STATE(13302),
    [sym_identifier] = STATE(6280),
    [sym_string] = STATE(6583),
    [sym__expression] = STATE(5361),
    [sym__parenthesized_expression] = STATE(6583),
    [sym_element_access] = STATE(6583),
    [sym_field_access] = STATE(6583),
    [sym_unary_expression] = STATE(6583),
    [sym_binary_expression] = STATE(6583),
    [sym_between_operator] = STATE(6583),
    [sym_casewhen_expression] = STATE(6583),
    [sym_cast_expression] = STATE(6583),
    [sym_argument_reference] = STATE(6583),
    [aux_sym_identifier_repeat1] = STATE(13302),
    [sym__unquoted_identifier] = ACTIONS(491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(493),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(495),
    [aux_sym__keyword_case_token1] = ACTIONS(497),
    [aux_sym__keyword_cast_token1] = ACTIONS(499),
    [aux_sym__keyword_cast_token2] = ACTIONS(499),
    [aux_sym__keyword_date_token1] = ACTIONS(501),
    [aux_sym__keyword_datetime_token1] = ACTIONS(501),
    [aux_sym__keyword_time_token1] = ACTIONS(501),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(503),
    [aux_sym_drop_notnull_token1] = ACTIONS(505),
    [aux_sym_function_call_token2] = ACTIONS(507),
    [aux_sym_unnest_operator_token1] = ACTIONS(509),
    [aux_sym_TRUE_token1] = ACTIONS(511),
    [aux_sym_FALSE_token1] = ACTIONS(513),
    [sym__integer] = ACTIONS(515),
    [aux_sym__float_token1] = ACTIONS(517),
    [aux_sym__float_token2] = ACTIONS(515),
    [aux_sym__float_token3] = ACTIONS(517),
    [aux_sym_numeric_token1] = ACTIONS(519),
    [aux_sym_numeric_token2] = ACTIONS(519),
    [aux_sym_numeric_token3] = ACTIONS(519),
    [aux_sym_numeric_token4] = ACTIONS(519),
    [aux_sym_interval_token1] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(523),
    [aux_sym_json_token1] = ACTIONS(525),
    [sym_system_variable] = ACTIONS(527),
    [sym__named_query_parameter] = ACTIONS(529),
    [sym__positional_query_parameter] = ACTIONS(531),
    [sym__quoted_identifier] = ACTIONS(533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_operator_compare] = ACTIONS(539),
    [anon_sym_DOLLAR] = ACTIONS(541),
    [sym__string_start] = ACTIONS(543),
  },
  [1631] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2486),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3652),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2418),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1632] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16234),
    [sym__keyword_case] = STATE(345),
    [sym__keyword_not] = STATE(1629),
    [sym__keyword_cast] = STATE(19291),
    [sym__keyword_date] = STATE(3007),
    [sym__keyword_datetime] = STATE(3007),
    [sym__keyword_time] = STATE(3007),
    [sym__keyword_timestamp] = STATE(3007),
    [sym_select_subexpression] = STATE(3283),
    [sym_function_call] = STATE(3283),
    [sym_unnest_operator] = STATE(184),
    [sym_unnest_clause] = STATE(3283),
    [sym__literal] = STATE(3283),
    [sym_NULL] = STATE(3283),
    [sym_TRUE] = STATE(3283),
    [sym_FALSE] = STATE(3283),
    [sym__float] = STATE(3282),
    [sym_numeric] = STATE(3282),
    [sym__number] = STATE(3282),
    [sym_interval] = STATE(3283),
    [sym_range] = STATE(3283),
    [sym_time] = STATE(3283),
    [sym_number] = STATE(3283),
    [sym_json] = STATE(3283),
    [sym_query_parameter] = STATE(3283),
    [sym__type_chrono] = STATE(2957),
    [sym__type_struct] = STATE(19086),
    [sym__type_array] = STATE(18532),
    [sym_array] = STATE(3283),
    [sym_struct] = STATE(3283),
    [sym__identifier] = STATE(2993),
    [sym__dotted_identifier] = STATE(13495),
    [sym_identifier] = STATE(3030),
    [sym_string] = STATE(3283),
    [sym__expression] = STATE(2345),
    [sym__parenthesized_expression] = STATE(3283),
    [sym_element_access] = STATE(3283),
    [sym_field_access] = STATE(3283),
    [sym_unary_expression] = STATE(3283),
    [sym_binary_expression] = STATE(3283),
    [sym_between_operator] = STATE(3283),
    [sym_casewhen_expression] = STATE(3283),
    [sym_cast_expression] = STATE(3283),
    [sym_argument_reference] = STATE(3283),
    [aux_sym_identifier_repeat1] = STATE(13495),
    [sym__unquoted_identifier] = ACTIONS(1306),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2098),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2100),
    [aux_sym__keyword_case_token1] = ACTIONS(2102),
    [aux_sym__keyword_cast_token1] = ACTIONS(2104),
    [aux_sym__keyword_cast_token2] = ACTIONS(2104),
    [aux_sym__keyword_date_token1] = ACTIONS(2106),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2106),
    [aux_sym__keyword_time_token1] = ACTIONS(2106),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2106),
    [anon_sym_LPAREN] = ACTIONS(2108),
    [aux_sym_drop_notnull_token1] = ACTIONS(2110),
    [aux_sym_function_call_token2] = ACTIONS(2112),
    [aux_sym_unnest_operator_token1] = ACTIONS(2114),
    [aux_sym_TRUE_token1] = ACTIONS(2116),
    [aux_sym_FALSE_token1] = ACTIONS(2118),
    [sym__integer] = ACTIONS(2120),
    [aux_sym__float_token1] = ACTIONS(2122),
    [aux_sym__float_token2] = ACTIONS(2120),
    [aux_sym__float_token3] = ACTIONS(2122),
    [aux_sym_numeric_token1] = ACTIONS(2124),
    [aux_sym_numeric_token2] = ACTIONS(2124),
    [aux_sym_numeric_token3] = ACTIONS(2124),
    [aux_sym_numeric_token4] = ACTIONS(2124),
    [aux_sym_interval_token1] = ACTIONS(2126),
    [anon_sym_LBRACK] = ACTIONS(2128),
    [aux_sym_json_token1] = ACTIONS(2130),
    [sym_system_variable] = ACTIONS(2132),
    [sym__named_query_parameter] = ACTIONS(2134),
    [sym__positional_query_parameter] = ACTIONS(2136),
    [sym__quoted_identifier] = ACTIONS(1314),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_operator_compare] = ACTIONS(2142),
    [anon_sym_DOLLAR] = ACTIONS(2144),
    [sym__string_start] = ACTIONS(2146),
  },
  [1633] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16166),
    [sym__keyword_case] = STATE(299),
    [sym__keyword_not] = STATE(840),
    [sym__keyword_cast] = STATE(19301),
    [sym__keyword_date] = STATE(386),
    [sym__keyword_datetime] = STATE(386),
    [sym__keyword_time] = STATE(386),
    [sym__keyword_timestamp] = STATE(386),
    [sym_select_subexpression] = STATE(469),
    [sym_function_call] = STATE(469),
    [sym_unnest_operator] = STATE(10),
    [sym_unnest_clause] = STATE(469),
    [sym__literal] = STATE(469),
    [sym_NULL] = STATE(469),
    [sym_TRUE] = STATE(469),
    [sym_FALSE] = STATE(469),
    [sym__float] = STATE(472),
    [sym_numeric] = STATE(472),
    [sym__number] = STATE(472),
    [sym_interval] = STATE(469),
    [sym_range] = STATE(469),
    [sym_time] = STATE(469),
    [sym_number] = STATE(469),
    [sym_json] = STATE(469),
    [sym_query_parameter] = STATE(469),
    [sym__type_chrono] = STATE(371),
    [sym__type_struct] = STATE(19121),
    [sym__type_array] = STATE(18667),
    [sym_array] = STATE(469),
    [sym_struct] = STATE(469),
    [sym__identifier] = STATE(383),
    [sym__dotted_identifier] = STATE(13828),
    [sym_identifier] = STATE(477),
    [sym_string] = STATE(469),
    [sym__expression] = STATE(81),
    [sym__parenthesized_expression] = STATE(469),
    [sym_element_access] = STATE(469),
    [sym_field_access] = STATE(469),
    [sym_unary_expression] = STATE(469),
    [sym_binary_expression] = STATE(469),
    [sym_between_operator] = STATE(469),
    [sym_casewhen_expression] = STATE(469),
    [sym_cast_expression] = STATE(469),
    [sym_argument_reference] = STATE(469),
    [aux_sym_identifier_repeat1] = STATE(13828),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2314),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2316),
    [aux_sym__keyword_case_token1] = ACTIONS(2318),
    [aux_sym__keyword_cast_token1] = ACTIONS(2320),
    [aux_sym__keyword_cast_token2] = ACTIONS(2320),
    [aux_sym__keyword_date_token1] = ACTIONS(2322),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2322),
    [aux_sym__keyword_time_token1] = ACTIONS(2322),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(2324),
    [aux_sym_drop_notnull_token1] = ACTIONS(2326),
    [aux_sym_function_call_token2] = ACTIONS(2328),
    [aux_sym_unnest_operator_token1] = ACTIONS(2330),
    [aux_sym_TRUE_token1] = ACTIONS(2332),
    [aux_sym_FALSE_token1] = ACTIONS(2334),
    [sym__integer] = ACTIONS(2336),
    [aux_sym__float_token1] = ACTIONS(2338),
    [aux_sym__float_token2] = ACTIONS(2336),
    [aux_sym__float_token3] = ACTIONS(2338),
    [aux_sym_numeric_token1] = ACTIONS(2340),
    [aux_sym_numeric_token2] = ACTIONS(2340),
    [aux_sym_numeric_token3] = ACTIONS(2340),
    [aux_sym_numeric_token4] = ACTIONS(2340),
    [aux_sym_interval_token1] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2344),
    [aux_sym_json_token1] = ACTIONS(2346),
    [sym_system_variable] = ACTIONS(2348),
    [sym__named_query_parameter] = ACTIONS(2350),
    [sym__positional_query_parameter] = ACTIONS(2352),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2354),
    [anon_sym_PLUS] = ACTIONS(2356),
    [anon_sym_DASH] = ACTIONS(2356),
    [anon_sym_operator_compare] = ACTIONS(2358),
    [anon_sym_DOLLAR] = ACTIONS(2360),
    [sym__string_start] = ACTIONS(1512),
  },
  [1634] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16234),
    [sym__keyword_case] = STATE(345),
    [sym__keyword_not] = STATE(1629),
    [sym__keyword_cast] = STATE(19291),
    [sym__keyword_date] = STATE(3007),
    [sym__keyword_datetime] = STATE(3007),
    [sym__keyword_time] = STATE(3007),
    [sym__keyword_timestamp] = STATE(3007),
    [sym_select_subexpression] = STATE(3283),
    [sym_function_call] = STATE(3283),
    [sym_unnest_operator] = STATE(184),
    [sym_unnest_clause] = STATE(3283),
    [sym__literal] = STATE(3283),
    [sym_NULL] = STATE(3283),
    [sym_TRUE] = STATE(3283),
    [sym_FALSE] = STATE(3283),
    [sym__float] = STATE(3282),
    [sym_numeric] = STATE(3282),
    [sym__number] = STATE(3282),
    [sym_interval] = STATE(3283),
    [sym_range] = STATE(3283),
    [sym_time] = STATE(3283),
    [sym_number] = STATE(3283),
    [sym_json] = STATE(3283),
    [sym_query_parameter] = STATE(3283),
    [sym__type_chrono] = STATE(2957),
    [sym__type_struct] = STATE(19086),
    [sym__type_array] = STATE(18532),
    [sym_array] = STATE(3283),
    [sym_struct] = STATE(3283),
    [sym__identifier] = STATE(2993),
    [sym__dotted_identifier] = STATE(13495),
    [sym_identifier] = STATE(3030),
    [sym_string] = STATE(3283),
    [sym__expression] = STATE(2353),
    [sym__parenthesized_expression] = STATE(3283),
    [sym_element_access] = STATE(3283),
    [sym_field_access] = STATE(3283),
    [sym_unary_expression] = STATE(3283),
    [sym_binary_expression] = STATE(3283),
    [sym_between_operator] = STATE(3283),
    [sym_casewhen_expression] = STATE(3283),
    [sym_cast_expression] = STATE(3283),
    [sym_argument_reference] = STATE(3283),
    [aux_sym_identifier_repeat1] = STATE(13495),
    [sym__unquoted_identifier] = ACTIONS(1306),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2098),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2100),
    [aux_sym__keyword_case_token1] = ACTIONS(2102),
    [aux_sym__keyword_cast_token1] = ACTIONS(2104),
    [aux_sym__keyword_cast_token2] = ACTIONS(2104),
    [aux_sym__keyword_date_token1] = ACTIONS(2106),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2106),
    [aux_sym__keyword_time_token1] = ACTIONS(2106),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2106),
    [anon_sym_LPAREN] = ACTIONS(2108),
    [aux_sym_drop_notnull_token1] = ACTIONS(2110),
    [aux_sym_function_call_token2] = ACTIONS(2112),
    [aux_sym_unnest_operator_token1] = ACTIONS(2114),
    [aux_sym_TRUE_token1] = ACTIONS(2116),
    [aux_sym_FALSE_token1] = ACTIONS(2118),
    [sym__integer] = ACTIONS(2120),
    [aux_sym__float_token1] = ACTIONS(2122),
    [aux_sym__float_token2] = ACTIONS(2120),
    [aux_sym__float_token3] = ACTIONS(2122),
    [aux_sym_numeric_token1] = ACTIONS(2124),
    [aux_sym_numeric_token2] = ACTIONS(2124),
    [aux_sym_numeric_token3] = ACTIONS(2124),
    [aux_sym_numeric_token4] = ACTIONS(2124),
    [aux_sym_interval_token1] = ACTIONS(2126),
    [anon_sym_LBRACK] = ACTIONS(2128),
    [aux_sym_json_token1] = ACTIONS(2130),
    [sym_system_variable] = ACTIONS(2132),
    [sym__named_query_parameter] = ACTIONS(2134),
    [sym__positional_query_parameter] = ACTIONS(2136),
    [sym__quoted_identifier] = ACTIONS(1314),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_operator_compare] = ACTIONS(2142),
    [anon_sym_DOLLAR] = ACTIONS(2144),
    [sym__string_start] = ACTIONS(2146),
  },
  [1635] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16234),
    [sym__keyword_case] = STATE(345),
    [sym__keyword_not] = STATE(1629),
    [sym__keyword_cast] = STATE(19291),
    [sym__keyword_date] = STATE(3007),
    [sym__keyword_datetime] = STATE(3007),
    [sym__keyword_time] = STATE(3007),
    [sym__keyword_timestamp] = STATE(3007),
    [sym_select_subexpression] = STATE(3283),
    [sym_function_call] = STATE(3283),
    [sym_unnest_operator] = STATE(184),
    [sym_unnest_clause] = STATE(3283),
    [sym__literal] = STATE(3283),
    [sym_NULL] = STATE(3283),
    [sym_TRUE] = STATE(3283),
    [sym_FALSE] = STATE(3283),
    [sym__float] = STATE(3282),
    [sym_numeric] = STATE(3282),
    [sym__number] = STATE(3282),
    [sym_interval] = STATE(3283),
    [sym_range] = STATE(3283),
    [sym_time] = STATE(3283),
    [sym_number] = STATE(3283),
    [sym_json] = STATE(3283),
    [sym_query_parameter] = STATE(3283),
    [sym__type_chrono] = STATE(2957),
    [sym__type_struct] = STATE(19086),
    [sym__type_array] = STATE(18532),
    [sym_array] = STATE(3283),
    [sym_struct] = STATE(3283),
    [sym__identifier] = STATE(2993),
    [sym__dotted_identifier] = STATE(13495),
    [sym_identifier] = STATE(3030),
    [sym_string] = STATE(3283),
    [sym__expression] = STATE(2338),
    [sym__parenthesized_expression] = STATE(3283),
    [sym_element_access] = STATE(3283),
    [sym_field_access] = STATE(3283),
    [sym_unary_expression] = STATE(3283),
    [sym_binary_expression] = STATE(3283),
    [sym_between_operator] = STATE(3283),
    [sym_casewhen_expression] = STATE(3283),
    [sym_cast_expression] = STATE(3283),
    [sym_argument_reference] = STATE(3283),
    [aux_sym_identifier_repeat1] = STATE(13495),
    [sym__unquoted_identifier] = ACTIONS(1306),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2098),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2100),
    [aux_sym__keyword_case_token1] = ACTIONS(2102),
    [aux_sym__keyword_cast_token1] = ACTIONS(2104),
    [aux_sym__keyword_cast_token2] = ACTIONS(2104),
    [aux_sym__keyword_date_token1] = ACTIONS(2106),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2106),
    [aux_sym__keyword_time_token1] = ACTIONS(2106),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2106),
    [anon_sym_LPAREN] = ACTIONS(2108),
    [aux_sym_drop_notnull_token1] = ACTIONS(2110),
    [aux_sym_function_call_token2] = ACTIONS(2112),
    [aux_sym_unnest_operator_token1] = ACTIONS(2114),
    [aux_sym_TRUE_token1] = ACTIONS(2116),
    [aux_sym_FALSE_token1] = ACTIONS(2118),
    [sym__integer] = ACTIONS(2120),
    [aux_sym__float_token1] = ACTIONS(2122),
    [aux_sym__float_token2] = ACTIONS(2120),
    [aux_sym__float_token3] = ACTIONS(2122),
    [aux_sym_numeric_token1] = ACTIONS(2124),
    [aux_sym_numeric_token2] = ACTIONS(2124),
    [aux_sym_numeric_token3] = ACTIONS(2124),
    [aux_sym_numeric_token4] = ACTIONS(2124),
    [aux_sym_interval_token1] = ACTIONS(2126),
    [anon_sym_LBRACK] = ACTIONS(2128),
    [aux_sym_json_token1] = ACTIONS(2130),
    [sym_system_variable] = ACTIONS(2132),
    [sym__named_query_parameter] = ACTIONS(2134),
    [sym__positional_query_parameter] = ACTIONS(2136),
    [sym__quoted_identifier] = ACTIONS(1314),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_operator_compare] = ACTIONS(2142),
    [anon_sym_DOLLAR] = ACTIONS(2144),
    [sym__string_start] = ACTIONS(2146),
  },
  [1636] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1670),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(175),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(2299),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(995),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(997),
    [anon_sym_PLUS] = ACTIONS(999),
    [anon_sym_DASH] = ACTIONS(999),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1637] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16234),
    [sym__keyword_case] = STATE(345),
    [sym__keyword_not] = STATE(1629),
    [sym__keyword_cast] = STATE(19291),
    [sym__keyword_date] = STATE(3007),
    [sym__keyword_datetime] = STATE(3007),
    [sym__keyword_time] = STATE(3007),
    [sym__keyword_timestamp] = STATE(3007),
    [sym_select_subexpression] = STATE(3283),
    [sym_function_call] = STATE(3283),
    [sym_unnest_operator] = STATE(184),
    [sym_unnest_clause] = STATE(3283),
    [sym__literal] = STATE(3283),
    [sym_NULL] = STATE(3283),
    [sym_TRUE] = STATE(3283),
    [sym_FALSE] = STATE(3283),
    [sym__float] = STATE(3282),
    [sym_numeric] = STATE(3282),
    [sym__number] = STATE(3282),
    [sym_interval] = STATE(3283),
    [sym_range] = STATE(3283),
    [sym_time] = STATE(3283),
    [sym_number] = STATE(3283),
    [sym_json] = STATE(3283),
    [sym_query_parameter] = STATE(3283),
    [sym__type_chrono] = STATE(2957),
    [sym__type_struct] = STATE(19086),
    [sym__type_array] = STATE(18532),
    [sym_array] = STATE(3283),
    [sym_struct] = STATE(3283),
    [sym__identifier] = STATE(2993),
    [sym__dotted_identifier] = STATE(13495),
    [sym_identifier] = STATE(3030),
    [sym_string] = STATE(3283),
    [sym__expression] = STATE(2352),
    [sym__parenthesized_expression] = STATE(3283),
    [sym_element_access] = STATE(3283),
    [sym_field_access] = STATE(3283),
    [sym_unary_expression] = STATE(3283),
    [sym_binary_expression] = STATE(3283),
    [sym_between_operator] = STATE(3283),
    [sym_casewhen_expression] = STATE(3283),
    [sym_cast_expression] = STATE(3283),
    [sym_argument_reference] = STATE(3283),
    [aux_sym_identifier_repeat1] = STATE(13495),
    [sym__unquoted_identifier] = ACTIONS(1306),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2098),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2100),
    [aux_sym__keyword_case_token1] = ACTIONS(2102),
    [aux_sym__keyword_cast_token1] = ACTIONS(2104),
    [aux_sym__keyword_cast_token2] = ACTIONS(2104),
    [aux_sym__keyword_date_token1] = ACTIONS(2106),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2106),
    [aux_sym__keyword_time_token1] = ACTIONS(2106),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2106),
    [anon_sym_LPAREN] = ACTIONS(2108),
    [aux_sym_drop_notnull_token1] = ACTIONS(2110),
    [aux_sym_function_call_token2] = ACTIONS(2112),
    [aux_sym_unnest_operator_token1] = ACTIONS(2114),
    [aux_sym_TRUE_token1] = ACTIONS(2116),
    [aux_sym_FALSE_token1] = ACTIONS(2118),
    [sym__integer] = ACTIONS(2120),
    [aux_sym__float_token1] = ACTIONS(2122),
    [aux_sym__float_token2] = ACTIONS(2120),
    [aux_sym__float_token3] = ACTIONS(2122),
    [aux_sym_numeric_token1] = ACTIONS(2124),
    [aux_sym_numeric_token2] = ACTIONS(2124),
    [aux_sym_numeric_token3] = ACTIONS(2124),
    [aux_sym_numeric_token4] = ACTIONS(2124),
    [aux_sym_interval_token1] = ACTIONS(2126),
    [anon_sym_LBRACK] = ACTIONS(2128),
    [aux_sym_json_token1] = ACTIONS(2130),
    [sym_system_variable] = ACTIONS(2132),
    [sym__named_query_parameter] = ACTIONS(2134),
    [sym__positional_query_parameter] = ACTIONS(2136),
    [sym__quoted_identifier] = ACTIONS(1314),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_operator_compare] = ACTIONS(2142),
    [anon_sym_DOLLAR] = ACTIONS(2144),
    [sym__string_start] = ACTIONS(2146),
  },
  [1638] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16234),
    [sym__keyword_case] = STATE(345),
    [sym__keyword_not] = STATE(1629),
    [sym__keyword_cast] = STATE(19291),
    [sym__keyword_date] = STATE(3007),
    [sym__keyword_datetime] = STATE(3007),
    [sym__keyword_time] = STATE(3007),
    [sym__keyword_timestamp] = STATE(3007),
    [sym_select_subexpression] = STATE(3283),
    [sym_function_call] = STATE(3283),
    [sym_unnest_operator] = STATE(184),
    [sym_unnest_clause] = STATE(3283),
    [sym__literal] = STATE(3283),
    [sym_NULL] = STATE(3283),
    [sym_TRUE] = STATE(3283),
    [sym_FALSE] = STATE(3283),
    [sym__float] = STATE(3282),
    [sym_numeric] = STATE(3282),
    [sym__number] = STATE(3282),
    [sym_interval] = STATE(3283),
    [sym_range] = STATE(3283),
    [sym_time] = STATE(3283),
    [sym_number] = STATE(3283),
    [sym_json] = STATE(3283),
    [sym_query_parameter] = STATE(3283),
    [sym__type_chrono] = STATE(2957),
    [sym__type_struct] = STATE(19086),
    [sym__type_array] = STATE(18532),
    [sym_array] = STATE(3283),
    [sym_struct] = STATE(3283),
    [sym__identifier] = STATE(2993),
    [sym__dotted_identifier] = STATE(13495),
    [sym_identifier] = STATE(3030),
    [sym_string] = STATE(3283),
    [sym__expression] = STATE(2351),
    [sym__parenthesized_expression] = STATE(3283),
    [sym_element_access] = STATE(3283),
    [sym_field_access] = STATE(3283),
    [sym_unary_expression] = STATE(3283),
    [sym_binary_expression] = STATE(3283),
    [sym_between_operator] = STATE(3283),
    [sym_casewhen_expression] = STATE(3283),
    [sym_cast_expression] = STATE(3283),
    [sym_argument_reference] = STATE(3283),
    [aux_sym_identifier_repeat1] = STATE(13495),
    [sym__unquoted_identifier] = ACTIONS(1306),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2098),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2100),
    [aux_sym__keyword_case_token1] = ACTIONS(2102),
    [aux_sym__keyword_cast_token1] = ACTIONS(2104),
    [aux_sym__keyword_cast_token2] = ACTIONS(2104),
    [aux_sym__keyword_date_token1] = ACTIONS(2106),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2106),
    [aux_sym__keyword_time_token1] = ACTIONS(2106),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2106),
    [anon_sym_LPAREN] = ACTIONS(2108),
    [aux_sym_drop_notnull_token1] = ACTIONS(2110),
    [aux_sym_function_call_token2] = ACTIONS(2112),
    [aux_sym_unnest_operator_token1] = ACTIONS(2114),
    [aux_sym_TRUE_token1] = ACTIONS(2116),
    [aux_sym_FALSE_token1] = ACTIONS(2118),
    [sym__integer] = ACTIONS(2120),
    [aux_sym__float_token1] = ACTIONS(2122),
    [aux_sym__float_token2] = ACTIONS(2120),
    [aux_sym__float_token3] = ACTIONS(2122),
    [aux_sym_numeric_token1] = ACTIONS(2124),
    [aux_sym_numeric_token2] = ACTIONS(2124),
    [aux_sym_numeric_token3] = ACTIONS(2124),
    [aux_sym_numeric_token4] = ACTIONS(2124),
    [aux_sym_interval_token1] = ACTIONS(2126),
    [anon_sym_LBRACK] = ACTIONS(2128),
    [aux_sym_json_token1] = ACTIONS(2130),
    [sym_system_variable] = ACTIONS(2132),
    [sym__named_query_parameter] = ACTIONS(2134),
    [sym__positional_query_parameter] = ACTIONS(2136),
    [sym__quoted_identifier] = ACTIONS(1314),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_operator_compare] = ACTIONS(2142),
    [anon_sym_DOLLAR] = ACTIONS(2144),
    [sym__string_start] = ACTIONS(2146),
  },
  [1639] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1670),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(175),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(2298),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(995),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(997),
    [anon_sym_PLUS] = ACTIONS(999),
    [anon_sym_DASH] = ACTIONS(999),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1640] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16234),
    [sym__keyword_case] = STATE(345),
    [sym__keyword_not] = STATE(1629),
    [sym__keyword_cast] = STATE(19291),
    [sym__keyword_date] = STATE(3007),
    [sym__keyword_datetime] = STATE(3007),
    [sym__keyword_time] = STATE(3007),
    [sym__keyword_timestamp] = STATE(3007),
    [sym_select_subexpression] = STATE(3283),
    [sym_function_call] = STATE(3283),
    [sym_unnest_operator] = STATE(184),
    [sym_unnest_clause] = STATE(3283),
    [sym__literal] = STATE(3283),
    [sym_NULL] = STATE(3283),
    [sym_TRUE] = STATE(3283),
    [sym_FALSE] = STATE(3283),
    [sym__float] = STATE(3282),
    [sym_numeric] = STATE(3282),
    [sym__number] = STATE(3282),
    [sym_interval] = STATE(3283),
    [sym_range] = STATE(3283),
    [sym_time] = STATE(3283),
    [sym_number] = STATE(3283),
    [sym_json] = STATE(3283),
    [sym_query_parameter] = STATE(3283),
    [sym__type_chrono] = STATE(2957),
    [sym__type_struct] = STATE(19086),
    [sym__type_array] = STATE(18532),
    [sym_array] = STATE(3283),
    [sym_struct] = STATE(3283),
    [sym__identifier] = STATE(2993),
    [sym__dotted_identifier] = STATE(13495),
    [sym_identifier] = STATE(3030),
    [sym_string] = STATE(3283),
    [sym__expression] = STATE(2350),
    [sym__parenthesized_expression] = STATE(3283),
    [sym_element_access] = STATE(3283),
    [sym_field_access] = STATE(3283),
    [sym_unary_expression] = STATE(3283),
    [sym_binary_expression] = STATE(3283),
    [sym_between_operator] = STATE(3283),
    [sym_casewhen_expression] = STATE(3283),
    [sym_cast_expression] = STATE(3283),
    [sym_argument_reference] = STATE(3283),
    [aux_sym_identifier_repeat1] = STATE(13495),
    [sym__unquoted_identifier] = ACTIONS(1306),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2098),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2100),
    [aux_sym__keyword_case_token1] = ACTIONS(2102),
    [aux_sym__keyword_cast_token1] = ACTIONS(2104),
    [aux_sym__keyword_cast_token2] = ACTIONS(2104),
    [aux_sym__keyword_date_token1] = ACTIONS(2106),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2106),
    [aux_sym__keyword_time_token1] = ACTIONS(2106),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2106),
    [anon_sym_LPAREN] = ACTIONS(2108),
    [aux_sym_drop_notnull_token1] = ACTIONS(2110),
    [aux_sym_function_call_token2] = ACTIONS(2112),
    [aux_sym_unnest_operator_token1] = ACTIONS(2114),
    [aux_sym_TRUE_token1] = ACTIONS(2116),
    [aux_sym_FALSE_token1] = ACTIONS(2118),
    [sym__integer] = ACTIONS(2120),
    [aux_sym__float_token1] = ACTIONS(2122),
    [aux_sym__float_token2] = ACTIONS(2120),
    [aux_sym__float_token3] = ACTIONS(2122),
    [aux_sym_numeric_token1] = ACTIONS(2124),
    [aux_sym_numeric_token2] = ACTIONS(2124),
    [aux_sym_numeric_token3] = ACTIONS(2124),
    [aux_sym_numeric_token4] = ACTIONS(2124),
    [aux_sym_interval_token1] = ACTIONS(2126),
    [anon_sym_LBRACK] = ACTIONS(2128),
    [aux_sym_json_token1] = ACTIONS(2130),
    [sym_system_variable] = ACTIONS(2132),
    [sym__named_query_parameter] = ACTIONS(2134),
    [sym__positional_query_parameter] = ACTIONS(2136),
    [sym__quoted_identifier] = ACTIONS(1314),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_operator_compare] = ACTIONS(2142),
    [anon_sym_DOLLAR] = ACTIONS(2144),
    [sym__string_start] = ACTIONS(2146),
  },
  [1641] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16234),
    [sym__keyword_case] = STATE(345),
    [sym__keyword_not] = STATE(1629),
    [sym__keyword_cast] = STATE(19291),
    [sym__keyword_date] = STATE(3007),
    [sym__keyword_datetime] = STATE(3007),
    [sym__keyword_time] = STATE(3007),
    [sym__keyword_timestamp] = STATE(3007),
    [sym_select_subexpression] = STATE(3283),
    [sym_function_call] = STATE(3283),
    [sym_unnest_operator] = STATE(184),
    [sym_unnest_clause] = STATE(3283),
    [sym__literal] = STATE(3283),
    [sym_NULL] = STATE(3283),
    [sym_TRUE] = STATE(3283),
    [sym_FALSE] = STATE(3283),
    [sym__float] = STATE(3282),
    [sym_numeric] = STATE(3282),
    [sym__number] = STATE(3282),
    [sym_interval] = STATE(3283),
    [sym_range] = STATE(3283),
    [sym_time] = STATE(3283),
    [sym_number] = STATE(3283),
    [sym_json] = STATE(3283),
    [sym_query_parameter] = STATE(3283),
    [sym__type_chrono] = STATE(2957),
    [sym__type_struct] = STATE(19086),
    [sym__type_array] = STATE(18532),
    [sym_array] = STATE(3283),
    [sym_struct] = STATE(3283),
    [sym__identifier] = STATE(2993),
    [sym__dotted_identifier] = STATE(13495),
    [sym_identifier] = STATE(3030),
    [sym_string] = STATE(3283),
    [sym__expression] = STATE(2349),
    [sym__parenthesized_expression] = STATE(3283),
    [sym_element_access] = STATE(3283),
    [sym_field_access] = STATE(3283),
    [sym_unary_expression] = STATE(3283),
    [sym_binary_expression] = STATE(3283),
    [sym_between_operator] = STATE(3283),
    [sym_casewhen_expression] = STATE(3283),
    [sym_cast_expression] = STATE(3283),
    [sym_argument_reference] = STATE(3283),
    [aux_sym_identifier_repeat1] = STATE(13495),
    [sym__unquoted_identifier] = ACTIONS(1306),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2098),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2100),
    [aux_sym__keyword_case_token1] = ACTIONS(2102),
    [aux_sym__keyword_cast_token1] = ACTIONS(2104),
    [aux_sym__keyword_cast_token2] = ACTIONS(2104),
    [aux_sym__keyword_date_token1] = ACTIONS(2106),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2106),
    [aux_sym__keyword_time_token1] = ACTIONS(2106),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2106),
    [anon_sym_LPAREN] = ACTIONS(2108),
    [aux_sym_drop_notnull_token1] = ACTIONS(2110),
    [aux_sym_function_call_token2] = ACTIONS(2112),
    [aux_sym_unnest_operator_token1] = ACTIONS(2114),
    [aux_sym_TRUE_token1] = ACTIONS(2116),
    [aux_sym_FALSE_token1] = ACTIONS(2118),
    [sym__integer] = ACTIONS(2120),
    [aux_sym__float_token1] = ACTIONS(2122),
    [aux_sym__float_token2] = ACTIONS(2120),
    [aux_sym__float_token3] = ACTIONS(2122),
    [aux_sym_numeric_token1] = ACTIONS(2124),
    [aux_sym_numeric_token2] = ACTIONS(2124),
    [aux_sym_numeric_token3] = ACTIONS(2124),
    [aux_sym_numeric_token4] = ACTIONS(2124),
    [aux_sym_interval_token1] = ACTIONS(2126),
    [anon_sym_LBRACK] = ACTIONS(2128),
    [aux_sym_json_token1] = ACTIONS(2130),
    [sym_system_variable] = ACTIONS(2132),
    [sym__named_query_parameter] = ACTIONS(2134),
    [sym__positional_query_parameter] = ACTIONS(2136),
    [sym__quoted_identifier] = ACTIONS(1314),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_operator_compare] = ACTIONS(2142),
    [anon_sym_DOLLAR] = ACTIONS(2144),
    [sym__string_start] = ACTIONS(2146),
  },
  [1642] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16234),
    [sym__keyword_case] = STATE(345),
    [sym__keyword_not] = STATE(1629),
    [sym__keyword_cast] = STATE(19291),
    [sym__keyword_date] = STATE(3007),
    [sym__keyword_datetime] = STATE(3007),
    [sym__keyword_time] = STATE(3007),
    [sym__keyword_timestamp] = STATE(3007),
    [sym_select_subexpression] = STATE(3283),
    [sym_function_call] = STATE(3283),
    [sym_unnest_operator] = STATE(184),
    [sym_unnest_clause] = STATE(3283),
    [sym__literal] = STATE(3283),
    [sym_NULL] = STATE(3283),
    [sym_TRUE] = STATE(3283),
    [sym_FALSE] = STATE(3283),
    [sym__float] = STATE(3282),
    [sym_numeric] = STATE(3282),
    [sym__number] = STATE(3282),
    [sym_interval] = STATE(3283),
    [sym_range] = STATE(3283),
    [sym_time] = STATE(3283),
    [sym_number] = STATE(3283),
    [sym_json] = STATE(3283),
    [sym_query_parameter] = STATE(3283),
    [sym__type_chrono] = STATE(2957),
    [sym__type_struct] = STATE(19086),
    [sym__type_array] = STATE(18532),
    [sym_array] = STATE(3283),
    [sym_struct] = STATE(3283),
    [sym__identifier] = STATE(2993),
    [sym__dotted_identifier] = STATE(13495),
    [sym_identifier] = STATE(3030),
    [sym_string] = STATE(3283),
    [sym__expression] = STATE(2348),
    [sym__parenthesized_expression] = STATE(3283),
    [sym_element_access] = STATE(3283),
    [sym_field_access] = STATE(3283),
    [sym_unary_expression] = STATE(3283),
    [sym_binary_expression] = STATE(3283),
    [sym_between_operator] = STATE(3283),
    [sym_casewhen_expression] = STATE(3283),
    [sym_cast_expression] = STATE(3283),
    [sym_argument_reference] = STATE(3283),
    [aux_sym_identifier_repeat1] = STATE(13495),
    [sym__unquoted_identifier] = ACTIONS(1306),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2098),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2100),
    [aux_sym__keyword_case_token1] = ACTIONS(2102),
    [aux_sym__keyword_cast_token1] = ACTIONS(2104),
    [aux_sym__keyword_cast_token2] = ACTIONS(2104),
    [aux_sym__keyword_date_token1] = ACTIONS(2106),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2106),
    [aux_sym__keyword_time_token1] = ACTIONS(2106),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2106),
    [anon_sym_LPAREN] = ACTIONS(2108),
    [aux_sym_drop_notnull_token1] = ACTIONS(2110),
    [aux_sym_function_call_token2] = ACTIONS(2112),
    [aux_sym_unnest_operator_token1] = ACTIONS(2114),
    [aux_sym_TRUE_token1] = ACTIONS(2116),
    [aux_sym_FALSE_token1] = ACTIONS(2118),
    [sym__integer] = ACTIONS(2120),
    [aux_sym__float_token1] = ACTIONS(2122),
    [aux_sym__float_token2] = ACTIONS(2120),
    [aux_sym__float_token3] = ACTIONS(2122),
    [aux_sym_numeric_token1] = ACTIONS(2124),
    [aux_sym_numeric_token2] = ACTIONS(2124),
    [aux_sym_numeric_token3] = ACTIONS(2124),
    [aux_sym_numeric_token4] = ACTIONS(2124),
    [aux_sym_interval_token1] = ACTIONS(2126),
    [anon_sym_LBRACK] = ACTIONS(2128),
    [aux_sym_json_token1] = ACTIONS(2130),
    [sym_system_variable] = ACTIONS(2132),
    [sym__named_query_parameter] = ACTIONS(2134),
    [sym__positional_query_parameter] = ACTIONS(2136),
    [sym__quoted_identifier] = ACTIONS(1314),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_operator_compare] = ACTIONS(2142),
    [anon_sym_DOLLAR] = ACTIONS(2144),
    [sym__string_start] = ACTIONS(2146),
  },
  [1643] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16166),
    [sym__keyword_case] = STATE(299),
    [sym__keyword_not] = STATE(840),
    [sym__keyword_cast] = STATE(19301),
    [sym__keyword_date] = STATE(386),
    [sym__keyword_datetime] = STATE(386),
    [sym__keyword_time] = STATE(386),
    [sym__keyword_timestamp] = STATE(386),
    [sym_select_subexpression] = STATE(469),
    [sym_function_call] = STATE(469),
    [sym_unnest_operator] = STATE(10),
    [sym_unnest_clause] = STATE(469),
    [sym__literal] = STATE(469),
    [sym_NULL] = STATE(469),
    [sym_TRUE] = STATE(469),
    [sym_FALSE] = STATE(469),
    [sym__float] = STATE(472),
    [sym_numeric] = STATE(472),
    [sym__number] = STATE(472),
    [sym_interval] = STATE(469),
    [sym_range] = STATE(469),
    [sym_time] = STATE(469),
    [sym_number] = STATE(469),
    [sym_json] = STATE(469),
    [sym_query_parameter] = STATE(469),
    [sym__type_chrono] = STATE(371),
    [sym__type_struct] = STATE(19121),
    [sym__type_array] = STATE(18667),
    [sym_array] = STATE(469),
    [sym_struct] = STATE(469),
    [sym__identifier] = STATE(383),
    [sym__dotted_identifier] = STATE(13828),
    [sym_identifier] = STATE(477),
    [sym_string] = STATE(469),
    [sym__expression] = STATE(96),
    [sym__parenthesized_expression] = STATE(469),
    [sym_element_access] = STATE(469),
    [sym_field_access] = STATE(469),
    [sym_unary_expression] = STATE(469),
    [sym_binary_expression] = STATE(469),
    [sym_between_operator] = STATE(469),
    [sym_casewhen_expression] = STATE(469),
    [sym_cast_expression] = STATE(469),
    [sym_argument_reference] = STATE(469),
    [aux_sym_identifier_repeat1] = STATE(13828),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2314),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2316),
    [aux_sym__keyword_case_token1] = ACTIONS(2318),
    [aux_sym__keyword_cast_token1] = ACTIONS(2320),
    [aux_sym__keyword_cast_token2] = ACTIONS(2320),
    [aux_sym__keyword_date_token1] = ACTIONS(2322),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2322),
    [aux_sym__keyword_time_token1] = ACTIONS(2322),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(2324),
    [aux_sym_drop_notnull_token1] = ACTIONS(2326),
    [aux_sym_function_call_token2] = ACTIONS(2328),
    [aux_sym_unnest_operator_token1] = ACTIONS(2330),
    [aux_sym_TRUE_token1] = ACTIONS(2332),
    [aux_sym_FALSE_token1] = ACTIONS(2334),
    [sym__integer] = ACTIONS(2336),
    [aux_sym__float_token1] = ACTIONS(2338),
    [aux_sym__float_token2] = ACTIONS(2336),
    [aux_sym__float_token3] = ACTIONS(2338),
    [aux_sym_numeric_token1] = ACTIONS(2340),
    [aux_sym_numeric_token2] = ACTIONS(2340),
    [aux_sym_numeric_token3] = ACTIONS(2340),
    [aux_sym_numeric_token4] = ACTIONS(2340),
    [aux_sym_interval_token1] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2344),
    [aux_sym_json_token1] = ACTIONS(2346),
    [sym_system_variable] = ACTIONS(2348),
    [sym__named_query_parameter] = ACTIONS(2350),
    [sym__positional_query_parameter] = ACTIONS(2352),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2354),
    [anon_sym_PLUS] = ACTIONS(2356),
    [anon_sym_DASH] = ACTIONS(2356),
    [anon_sym_operator_compare] = ACTIONS(2358),
    [anon_sym_DOLLAR] = ACTIONS(2360),
    [sym__string_start] = ACTIONS(1512),
  },
  [1644] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16234),
    [sym__keyword_case] = STATE(345),
    [sym__keyword_not] = STATE(1629),
    [sym__keyword_cast] = STATE(19291),
    [sym__keyword_date] = STATE(3007),
    [sym__keyword_datetime] = STATE(3007),
    [sym__keyword_time] = STATE(3007),
    [sym__keyword_timestamp] = STATE(3007),
    [sym_select_subexpression] = STATE(3283),
    [sym_function_call] = STATE(3283),
    [sym_unnest_operator] = STATE(184),
    [sym_unnest_clause] = STATE(3283),
    [sym__literal] = STATE(3283),
    [sym_NULL] = STATE(3283),
    [sym_TRUE] = STATE(3283),
    [sym_FALSE] = STATE(3283),
    [sym__float] = STATE(3282),
    [sym_numeric] = STATE(3282),
    [sym__number] = STATE(3282),
    [sym_interval] = STATE(3283),
    [sym_range] = STATE(3283),
    [sym_time] = STATE(3283),
    [sym_number] = STATE(3283),
    [sym_json] = STATE(3283),
    [sym_query_parameter] = STATE(3283),
    [sym__type_chrono] = STATE(2957),
    [sym__type_struct] = STATE(19086),
    [sym__type_array] = STATE(18532),
    [sym_array] = STATE(3283),
    [sym_struct] = STATE(3283),
    [sym__identifier] = STATE(2993),
    [sym__dotted_identifier] = STATE(13495),
    [sym_identifier] = STATE(3030),
    [sym_string] = STATE(3283),
    [sym__expression] = STATE(2347),
    [sym__parenthesized_expression] = STATE(3283),
    [sym_element_access] = STATE(3283),
    [sym_field_access] = STATE(3283),
    [sym_unary_expression] = STATE(3283),
    [sym_binary_expression] = STATE(3283),
    [sym_between_operator] = STATE(3283),
    [sym_casewhen_expression] = STATE(3283),
    [sym_cast_expression] = STATE(3283),
    [sym_argument_reference] = STATE(3283),
    [aux_sym_identifier_repeat1] = STATE(13495),
    [sym__unquoted_identifier] = ACTIONS(1306),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2098),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2100),
    [aux_sym__keyword_case_token1] = ACTIONS(2102),
    [aux_sym__keyword_cast_token1] = ACTIONS(2104),
    [aux_sym__keyword_cast_token2] = ACTIONS(2104),
    [aux_sym__keyword_date_token1] = ACTIONS(2106),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2106),
    [aux_sym__keyword_time_token1] = ACTIONS(2106),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2106),
    [anon_sym_LPAREN] = ACTIONS(2108),
    [aux_sym_drop_notnull_token1] = ACTIONS(2110),
    [aux_sym_function_call_token2] = ACTIONS(2112),
    [aux_sym_unnest_operator_token1] = ACTIONS(2114),
    [aux_sym_TRUE_token1] = ACTIONS(2116),
    [aux_sym_FALSE_token1] = ACTIONS(2118),
    [sym__integer] = ACTIONS(2120),
    [aux_sym__float_token1] = ACTIONS(2122),
    [aux_sym__float_token2] = ACTIONS(2120),
    [aux_sym__float_token3] = ACTIONS(2122),
    [aux_sym_numeric_token1] = ACTIONS(2124),
    [aux_sym_numeric_token2] = ACTIONS(2124),
    [aux_sym_numeric_token3] = ACTIONS(2124),
    [aux_sym_numeric_token4] = ACTIONS(2124),
    [aux_sym_interval_token1] = ACTIONS(2126),
    [anon_sym_LBRACK] = ACTIONS(2128),
    [aux_sym_json_token1] = ACTIONS(2130),
    [sym_system_variable] = ACTIONS(2132),
    [sym__named_query_parameter] = ACTIONS(2134),
    [sym__positional_query_parameter] = ACTIONS(2136),
    [sym__quoted_identifier] = ACTIONS(1314),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_operator_compare] = ACTIONS(2142),
    [anon_sym_DOLLAR] = ACTIONS(2144),
    [sym__string_start] = ACTIONS(2146),
  },
  [1645] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16166),
    [sym__keyword_case] = STATE(299),
    [sym__keyword_not] = STATE(840),
    [sym__keyword_cast] = STATE(19301),
    [sym__keyword_date] = STATE(386),
    [sym__keyword_datetime] = STATE(386),
    [sym__keyword_time] = STATE(386),
    [sym__keyword_timestamp] = STATE(386),
    [sym_select_subexpression] = STATE(469),
    [sym_function_call] = STATE(469),
    [sym_unnest_operator] = STATE(10),
    [sym_unnest_clause] = STATE(469),
    [sym__literal] = STATE(469),
    [sym_NULL] = STATE(469),
    [sym_TRUE] = STATE(469),
    [sym_FALSE] = STATE(469),
    [sym__float] = STATE(472),
    [sym_numeric] = STATE(472),
    [sym__number] = STATE(472),
    [sym_interval] = STATE(469),
    [sym_range] = STATE(469),
    [sym_time] = STATE(469),
    [sym_number] = STATE(469),
    [sym_json] = STATE(469),
    [sym_query_parameter] = STATE(469),
    [sym__type_chrono] = STATE(371),
    [sym__type_struct] = STATE(19121),
    [sym__type_array] = STATE(18667),
    [sym_array] = STATE(469),
    [sym_struct] = STATE(469),
    [sym__identifier] = STATE(383),
    [sym__dotted_identifier] = STATE(13828),
    [sym_identifier] = STATE(477),
    [sym_string] = STATE(469),
    [sym__expression] = STATE(97),
    [sym__parenthesized_expression] = STATE(469),
    [sym_element_access] = STATE(469),
    [sym_field_access] = STATE(469),
    [sym_unary_expression] = STATE(469),
    [sym_binary_expression] = STATE(469),
    [sym_between_operator] = STATE(469),
    [sym_casewhen_expression] = STATE(469),
    [sym_cast_expression] = STATE(469),
    [sym_argument_reference] = STATE(469),
    [aux_sym_identifier_repeat1] = STATE(13828),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2314),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2316),
    [aux_sym__keyword_case_token1] = ACTIONS(2318),
    [aux_sym__keyword_cast_token1] = ACTIONS(2320),
    [aux_sym__keyword_cast_token2] = ACTIONS(2320),
    [aux_sym__keyword_date_token1] = ACTIONS(2322),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2322),
    [aux_sym__keyword_time_token1] = ACTIONS(2322),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(2324),
    [aux_sym_drop_notnull_token1] = ACTIONS(2326),
    [aux_sym_function_call_token2] = ACTIONS(2328),
    [aux_sym_unnest_operator_token1] = ACTIONS(2330),
    [aux_sym_TRUE_token1] = ACTIONS(2332),
    [aux_sym_FALSE_token1] = ACTIONS(2334),
    [sym__integer] = ACTIONS(2336),
    [aux_sym__float_token1] = ACTIONS(2338),
    [aux_sym__float_token2] = ACTIONS(2336),
    [aux_sym__float_token3] = ACTIONS(2338),
    [aux_sym_numeric_token1] = ACTIONS(2340),
    [aux_sym_numeric_token2] = ACTIONS(2340),
    [aux_sym_numeric_token3] = ACTIONS(2340),
    [aux_sym_numeric_token4] = ACTIONS(2340),
    [aux_sym_interval_token1] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2344),
    [aux_sym_json_token1] = ACTIONS(2346),
    [sym_system_variable] = ACTIONS(2348),
    [sym__named_query_parameter] = ACTIONS(2350),
    [sym__positional_query_parameter] = ACTIONS(2352),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2354),
    [anon_sym_PLUS] = ACTIONS(2356),
    [anon_sym_DASH] = ACTIONS(2356),
    [anon_sym_operator_compare] = ACTIONS(2358),
    [anon_sym_DOLLAR] = ACTIONS(2360),
    [sym__string_start] = ACTIONS(1512),
  },
  [1646] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1670),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(175),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(2294),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(995),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(997),
    [anon_sym_PLUS] = ACTIONS(999),
    [anon_sym_DASH] = ACTIONS(999),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1647] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1670),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(175),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(2292),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(995),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(997),
    [anon_sym_PLUS] = ACTIONS(999),
    [anon_sym_DASH] = ACTIONS(999),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1648] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16166),
    [sym__keyword_case] = STATE(299),
    [sym__keyword_not] = STATE(840),
    [sym__keyword_cast] = STATE(19301),
    [sym__keyword_date] = STATE(386),
    [sym__keyword_datetime] = STATE(386),
    [sym__keyword_time] = STATE(386),
    [sym__keyword_timestamp] = STATE(386),
    [sym_select_subexpression] = STATE(469),
    [sym_function_call] = STATE(469),
    [sym_unnest_operator] = STATE(10),
    [sym_unnest_clause] = STATE(469),
    [sym__literal] = STATE(469),
    [sym_NULL] = STATE(469),
    [sym_TRUE] = STATE(469),
    [sym_FALSE] = STATE(469),
    [sym__float] = STATE(472),
    [sym_numeric] = STATE(472),
    [sym__number] = STATE(472),
    [sym_interval] = STATE(469),
    [sym_range] = STATE(469),
    [sym_time] = STATE(469),
    [sym_number] = STATE(469),
    [sym_json] = STATE(469),
    [sym_query_parameter] = STATE(469),
    [sym__type_chrono] = STATE(371),
    [sym__type_struct] = STATE(19121),
    [sym__type_array] = STATE(18667),
    [sym_array] = STATE(469),
    [sym_struct] = STATE(469),
    [sym__identifier] = STATE(383),
    [sym__dotted_identifier] = STATE(13828),
    [sym_identifier] = STATE(477),
    [sym_string] = STATE(469),
    [sym__expression] = STATE(98),
    [sym__parenthesized_expression] = STATE(469),
    [sym_element_access] = STATE(469),
    [sym_field_access] = STATE(469),
    [sym_unary_expression] = STATE(469),
    [sym_binary_expression] = STATE(469),
    [sym_between_operator] = STATE(469),
    [sym_casewhen_expression] = STATE(469),
    [sym_cast_expression] = STATE(469),
    [sym_argument_reference] = STATE(469),
    [aux_sym_identifier_repeat1] = STATE(13828),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2314),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2316),
    [aux_sym__keyword_case_token1] = ACTIONS(2318),
    [aux_sym__keyword_cast_token1] = ACTIONS(2320),
    [aux_sym__keyword_cast_token2] = ACTIONS(2320),
    [aux_sym__keyword_date_token1] = ACTIONS(2322),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2322),
    [aux_sym__keyword_time_token1] = ACTIONS(2322),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(2324),
    [aux_sym_drop_notnull_token1] = ACTIONS(2326),
    [aux_sym_function_call_token2] = ACTIONS(2328),
    [aux_sym_unnest_operator_token1] = ACTIONS(2330),
    [aux_sym_TRUE_token1] = ACTIONS(2332),
    [aux_sym_FALSE_token1] = ACTIONS(2334),
    [sym__integer] = ACTIONS(2336),
    [aux_sym__float_token1] = ACTIONS(2338),
    [aux_sym__float_token2] = ACTIONS(2336),
    [aux_sym__float_token3] = ACTIONS(2338),
    [aux_sym_numeric_token1] = ACTIONS(2340),
    [aux_sym_numeric_token2] = ACTIONS(2340),
    [aux_sym_numeric_token3] = ACTIONS(2340),
    [aux_sym_numeric_token4] = ACTIONS(2340),
    [aux_sym_interval_token1] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2344),
    [aux_sym_json_token1] = ACTIONS(2346),
    [sym_system_variable] = ACTIONS(2348),
    [sym__named_query_parameter] = ACTIONS(2350),
    [sym__positional_query_parameter] = ACTIONS(2352),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2354),
    [anon_sym_PLUS] = ACTIONS(2356),
    [anon_sym_DASH] = ACTIONS(2356),
    [anon_sym_operator_compare] = ACTIONS(2358),
    [anon_sym_DOLLAR] = ACTIONS(2360),
    [sym__string_start] = ACTIONS(1512),
  },
  [1649] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16325),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1390),
    [sym__keyword_cast] = STATE(19275),
    [sym__keyword_date] = STATE(9495),
    [sym__keyword_datetime] = STATE(9495),
    [sym__keyword_time] = STATE(9495),
    [sym__keyword_timestamp] = STATE(9495),
    [sym_select_subexpression] = STATE(10495),
    [sym_function_call] = STATE(10495),
    [sym_unnest_operator] = STATE(5372),
    [sym_unnest_clause] = STATE(10495),
    [sym__literal] = STATE(10495),
    [sym_NULL] = STATE(10495),
    [sym_TRUE] = STATE(10495),
    [sym_FALSE] = STATE(10495),
    [sym__float] = STATE(10492),
    [sym_numeric] = STATE(10492),
    [sym__number] = STATE(10492),
    [sym_interval] = STATE(10495),
    [sym_range] = STATE(10495),
    [sym_time] = STATE(10495),
    [sym_number] = STATE(10495),
    [sym_json] = STATE(10495),
    [sym_query_parameter] = STATE(10495),
    [sym__type_chrono] = STATE(8422),
    [sym__type_struct] = STATE(19027),
    [sym__type_array] = STATE(18285),
    [sym_array] = STATE(10495),
    [sym_struct] = STATE(10495),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9694),
    [sym_string] = STATE(10495),
    [sym__expression] = STATE(6651),
    [sym__parenthesized_expression] = STATE(10495),
    [sym_element_access] = STATE(10495),
    [sym_field_access] = STATE(10495),
    [sym_unary_expression] = STATE(10495),
    [sym_binary_expression] = STATE(10495),
    [sym_between_operator] = STATE(10495),
    [sym_casewhen_expression] = STATE(10495),
    [sym_cast_expression] = STATE(10495),
    [sym_argument_reference] = STATE(10495),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2042),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2044),
    [aux_sym__keyword_case_token1] = ACTIONS(2046),
    [aux_sym__keyword_cast_token1] = ACTIONS(2048),
    [aux_sym__keyword_cast_token2] = ACTIONS(2048),
    [aux_sym__keyword_date_token1] = ACTIONS(2050),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2050),
    [aux_sym__keyword_time_token1] = ACTIONS(2050),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [aux_sym_drop_notnull_token1] = ACTIONS(2054),
    [aux_sym_function_call_token2] = ACTIONS(2056),
    [aux_sym_unnest_operator_token1] = ACTIONS(2058),
    [aux_sym_TRUE_token1] = ACTIONS(2060),
    [aux_sym_FALSE_token1] = ACTIONS(2062),
    [sym__integer] = ACTIONS(2064),
    [aux_sym__float_token1] = ACTIONS(2066),
    [aux_sym__float_token2] = ACTIONS(2064),
    [aux_sym__float_token3] = ACTIONS(2066),
    [aux_sym_numeric_token1] = ACTIONS(2068),
    [aux_sym_numeric_token2] = ACTIONS(2068),
    [aux_sym_numeric_token3] = ACTIONS(2068),
    [aux_sym_numeric_token4] = ACTIONS(2068),
    [aux_sym_interval_token1] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_json_token1] = ACTIONS(2074),
    [sym_system_variable] = ACTIONS(2076),
    [sym__named_query_parameter] = ACTIONS(2078),
    [sym__positional_query_parameter] = ACTIONS(2080),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2082),
    [anon_sym_PLUS] = ACTIONS(2084),
    [anon_sym_DASH] = ACTIONS(2084),
    [anon_sym_operator_compare] = ACTIONS(2086),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [sym__string_start] = ACTIONS(2090),
  },
  [1650] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16294),
    [sym__keyword_case] = STATE(376),
    [sym__keyword_not] = STATE(1650),
    [sym__keyword_cast] = STATE(19283),
    [sym__keyword_date] = STATE(4607),
    [sym__keyword_datetime] = STATE(4607),
    [sym__keyword_time] = STATE(4607),
    [sym__keyword_timestamp] = STATE(4607),
    [sym_select_subexpression] = STATE(4924),
    [sym_function_call] = STATE(4924),
    [sym_unnest_operator] = STATE(2504),
    [sym_unnest_clause] = STATE(4924),
    [sym__literal] = STATE(4924),
    [sym_NULL] = STATE(4924),
    [sym_TRUE] = STATE(4924),
    [sym_FALSE] = STATE(4924),
    [sym__float] = STATE(4921),
    [sym_numeric] = STATE(4921),
    [sym__number] = STATE(4921),
    [sym_interval] = STATE(4924),
    [sym_range] = STATE(4924),
    [sym_time] = STATE(4924),
    [sym_number] = STATE(4924),
    [sym_json] = STATE(4924),
    [sym_query_parameter] = STATE(4924),
    [sym__type_chrono] = STATE(4379),
    [sym__type_struct] = STATE(19058),
    [sym__type_array] = STATE(18414),
    [sym_array] = STATE(4924),
    [sym_struct] = STATE(4924),
    [sym__identifier] = STATE(4755),
    [sym__dotted_identifier] = STATE(13556),
    [sym_identifier] = STATE(4917),
    [sym_string] = STATE(4924),
    [sym__expression] = STATE(3878),
    [sym__parenthesized_expression] = STATE(4924),
    [sym_element_access] = STATE(4924),
    [sym_field_access] = STATE(4924),
    [sym_unary_expression] = STATE(4924),
    [sym_binary_expression] = STATE(4924),
    [sym_between_operator] = STATE(4924),
    [sym_casewhen_expression] = STATE(4924),
    [sym_cast_expression] = STATE(4924),
    [sym_argument_reference] = STATE(4924),
    [aux_sym_identifier_repeat1] = STATE(13556),
    [sym__unquoted_identifier] = ACTIONS(2604),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2606),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2608),
    [aux_sym__keyword_case_token1] = ACTIONS(2610),
    [aux_sym__keyword_cast_token1] = ACTIONS(2612),
    [aux_sym__keyword_cast_token2] = ACTIONS(2612),
    [aux_sym__keyword_date_token1] = ACTIONS(2614),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2614),
    [aux_sym__keyword_time_token1] = ACTIONS(2614),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2614),
    [anon_sym_LPAREN] = ACTIONS(2616),
    [aux_sym_drop_notnull_token1] = ACTIONS(2618),
    [aux_sym_function_call_token2] = ACTIONS(2620),
    [aux_sym_unnest_operator_token1] = ACTIONS(2668),
    [aux_sym_TRUE_token1] = ACTIONS(2624),
    [aux_sym_FALSE_token1] = ACTIONS(2626),
    [sym__integer] = ACTIONS(2628),
    [aux_sym__float_token1] = ACTIONS(2630),
    [aux_sym__float_token2] = ACTIONS(2628),
    [aux_sym__float_token3] = ACTIONS(2630),
    [aux_sym_numeric_token1] = ACTIONS(2632),
    [aux_sym_numeric_token2] = ACTIONS(2632),
    [aux_sym_numeric_token3] = ACTIONS(2632),
    [aux_sym_numeric_token4] = ACTIONS(2632),
    [aux_sym_interval_token1] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [aux_sym_json_token1] = ACTIONS(2638),
    [sym_system_variable] = ACTIONS(2640),
    [sym__named_query_parameter] = ACTIONS(2642),
    [sym__positional_query_parameter] = ACTIONS(2644),
    [sym__quoted_identifier] = ACTIONS(2646),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2670),
    [anon_sym_PLUS] = ACTIONS(2672),
    [anon_sym_DASH] = ACTIONS(2672),
    [anon_sym_operator_compare] = ACTIONS(2652),
    [anon_sym_DOLLAR] = ACTIONS(2654),
    [sym__string_start] = ACTIONS(2656),
  },
  [1651] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(1520),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(390),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2544),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2722),
    [anon_sym_PLUS] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2724),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1652] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16166),
    [sym__keyword_case] = STATE(299),
    [sym__keyword_not] = STATE(840),
    [sym__keyword_cast] = STATE(19301),
    [sym__keyword_date] = STATE(386),
    [sym__keyword_datetime] = STATE(386),
    [sym__keyword_time] = STATE(386),
    [sym__keyword_timestamp] = STATE(386),
    [sym_select_subexpression] = STATE(469),
    [sym_function_call] = STATE(469),
    [sym_unnest_operator] = STATE(10),
    [sym_unnest_clause] = STATE(469),
    [sym__literal] = STATE(469),
    [sym_NULL] = STATE(469),
    [sym_TRUE] = STATE(469),
    [sym_FALSE] = STATE(469),
    [sym__float] = STATE(472),
    [sym_numeric] = STATE(472),
    [sym__number] = STATE(472),
    [sym_interval] = STATE(469),
    [sym_range] = STATE(469),
    [sym_time] = STATE(469),
    [sym_number] = STATE(469),
    [sym_json] = STATE(469),
    [sym_query_parameter] = STATE(469),
    [sym__type_chrono] = STATE(371),
    [sym__type_struct] = STATE(19121),
    [sym__type_array] = STATE(18667),
    [sym_array] = STATE(469),
    [sym_struct] = STATE(469),
    [sym__identifier] = STATE(383),
    [sym__dotted_identifier] = STATE(13828),
    [sym_identifier] = STATE(477),
    [sym_string] = STATE(469),
    [sym__expression] = STATE(99),
    [sym__parenthesized_expression] = STATE(469),
    [sym_element_access] = STATE(469),
    [sym_field_access] = STATE(469),
    [sym_unary_expression] = STATE(469),
    [sym_binary_expression] = STATE(469),
    [sym_between_operator] = STATE(469),
    [sym_casewhen_expression] = STATE(469),
    [sym_cast_expression] = STATE(469),
    [sym_argument_reference] = STATE(469),
    [aux_sym_identifier_repeat1] = STATE(13828),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2314),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2316),
    [aux_sym__keyword_case_token1] = ACTIONS(2318),
    [aux_sym__keyword_cast_token1] = ACTIONS(2320),
    [aux_sym__keyword_cast_token2] = ACTIONS(2320),
    [aux_sym__keyword_date_token1] = ACTIONS(2322),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2322),
    [aux_sym__keyword_time_token1] = ACTIONS(2322),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(2324),
    [aux_sym_drop_notnull_token1] = ACTIONS(2326),
    [aux_sym_function_call_token2] = ACTIONS(2328),
    [aux_sym_unnest_operator_token1] = ACTIONS(2330),
    [aux_sym_TRUE_token1] = ACTIONS(2332),
    [aux_sym_FALSE_token1] = ACTIONS(2334),
    [sym__integer] = ACTIONS(2336),
    [aux_sym__float_token1] = ACTIONS(2338),
    [aux_sym__float_token2] = ACTIONS(2336),
    [aux_sym__float_token3] = ACTIONS(2338),
    [aux_sym_numeric_token1] = ACTIONS(2340),
    [aux_sym_numeric_token2] = ACTIONS(2340),
    [aux_sym_numeric_token3] = ACTIONS(2340),
    [aux_sym_numeric_token4] = ACTIONS(2340),
    [aux_sym_interval_token1] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2344),
    [aux_sym_json_token1] = ACTIONS(2346),
    [sym_system_variable] = ACTIONS(2348),
    [sym__named_query_parameter] = ACTIONS(2350),
    [sym__positional_query_parameter] = ACTIONS(2352),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2354),
    [anon_sym_PLUS] = ACTIONS(2356),
    [anon_sym_DASH] = ACTIONS(2356),
    [anon_sym_operator_compare] = ACTIONS(2358),
    [anon_sym_DOLLAR] = ACTIONS(2360),
    [sym__string_start] = ACTIONS(1512),
  },
  [1653] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16166),
    [sym__keyword_case] = STATE(299),
    [sym__keyword_not] = STATE(840),
    [sym__keyword_cast] = STATE(19301),
    [sym__keyword_date] = STATE(386),
    [sym__keyword_datetime] = STATE(386),
    [sym__keyword_time] = STATE(386),
    [sym__keyword_timestamp] = STATE(386),
    [sym_select_subexpression] = STATE(469),
    [sym_function_call] = STATE(469),
    [sym_unnest_operator] = STATE(10),
    [sym_unnest_clause] = STATE(469),
    [sym__literal] = STATE(469),
    [sym_NULL] = STATE(469),
    [sym_TRUE] = STATE(469),
    [sym_FALSE] = STATE(469),
    [sym__float] = STATE(472),
    [sym_numeric] = STATE(472),
    [sym__number] = STATE(472),
    [sym_interval] = STATE(469),
    [sym_range] = STATE(469),
    [sym_time] = STATE(469),
    [sym_number] = STATE(469),
    [sym_json] = STATE(469),
    [sym_query_parameter] = STATE(469),
    [sym__type_chrono] = STATE(371),
    [sym__type_struct] = STATE(19121),
    [sym__type_array] = STATE(18667),
    [sym_array] = STATE(469),
    [sym_struct] = STATE(469),
    [sym__identifier] = STATE(383),
    [sym__dotted_identifier] = STATE(13828),
    [sym_identifier] = STATE(477),
    [sym_string] = STATE(469),
    [sym__expression] = STATE(80),
    [sym__parenthesized_expression] = STATE(469),
    [sym_element_access] = STATE(469),
    [sym_field_access] = STATE(469),
    [sym_unary_expression] = STATE(469),
    [sym_binary_expression] = STATE(469),
    [sym_between_operator] = STATE(469),
    [sym_casewhen_expression] = STATE(469),
    [sym_cast_expression] = STATE(469),
    [sym_argument_reference] = STATE(469),
    [aux_sym_identifier_repeat1] = STATE(13828),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2314),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2316),
    [aux_sym__keyword_case_token1] = ACTIONS(2318),
    [aux_sym__keyword_cast_token1] = ACTIONS(2320),
    [aux_sym__keyword_cast_token2] = ACTIONS(2320),
    [aux_sym__keyword_date_token1] = ACTIONS(2322),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2322),
    [aux_sym__keyword_time_token1] = ACTIONS(2322),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(2324),
    [aux_sym_drop_notnull_token1] = ACTIONS(2326),
    [aux_sym_function_call_token2] = ACTIONS(2328),
    [aux_sym_unnest_operator_token1] = ACTIONS(2330),
    [aux_sym_TRUE_token1] = ACTIONS(2332),
    [aux_sym_FALSE_token1] = ACTIONS(2334),
    [sym__integer] = ACTIONS(2336),
    [aux_sym__float_token1] = ACTIONS(2338),
    [aux_sym__float_token2] = ACTIONS(2336),
    [aux_sym__float_token3] = ACTIONS(2338),
    [aux_sym_numeric_token1] = ACTIONS(2340),
    [aux_sym_numeric_token2] = ACTIONS(2340),
    [aux_sym_numeric_token3] = ACTIONS(2340),
    [aux_sym_numeric_token4] = ACTIONS(2340),
    [aux_sym_interval_token1] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2344),
    [aux_sym_json_token1] = ACTIONS(2346),
    [sym_system_variable] = ACTIONS(2348),
    [sym__named_query_parameter] = ACTIONS(2350),
    [sym__positional_query_parameter] = ACTIONS(2352),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2354),
    [anon_sym_PLUS] = ACTIONS(2356),
    [anon_sym_DASH] = ACTIONS(2356),
    [anon_sym_operator_compare] = ACTIONS(2358),
    [anon_sym_DOLLAR] = ACTIONS(2360),
    [sym__string_start] = ACTIONS(1512),
  },
  [1654] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(1520),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(390),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2699),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2722),
    [anon_sym_PLUS] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2724),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1655] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16166),
    [sym__keyword_case] = STATE(299),
    [sym__keyword_not] = STATE(840),
    [sym__keyword_cast] = STATE(19301),
    [sym__keyword_date] = STATE(386),
    [sym__keyword_datetime] = STATE(386),
    [sym__keyword_time] = STATE(386),
    [sym__keyword_timestamp] = STATE(386),
    [sym_select_subexpression] = STATE(469),
    [sym_function_call] = STATE(469),
    [sym_unnest_operator] = STATE(10),
    [sym_unnest_clause] = STATE(469),
    [sym__literal] = STATE(469),
    [sym_NULL] = STATE(469),
    [sym_TRUE] = STATE(469),
    [sym_FALSE] = STATE(469),
    [sym__float] = STATE(472),
    [sym_numeric] = STATE(472),
    [sym__number] = STATE(472),
    [sym_interval] = STATE(469),
    [sym_range] = STATE(469),
    [sym_time] = STATE(469),
    [sym_number] = STATE(469),
    [sym_json] = STATE(469),
    [sym_query_parameter] = STATE(469),
    [sym__type_chrono] = STATE(371),
    [sym__type_struct] = STATE(19121),
    [sym__type_array] = STATE(18667),
    [sym_array] = STATE(469),
    [sym_struct] = STATE(469),
    [sym__identifier] = STATE(383),
    [sym__dotted_identifier] = STATE(13828),
    [sym_identifier] = STATE(477),
    [sym_string] = STATE(469),
    [sym__expression] = STATE(102),
    [sym__parenthesized_expression] = STATE(469),
    [sym_element_access] = STATE(469),
    [sym_field_access] = STATE(469),
    [sym_unary_expression] = STATE(469),
    [sym_binary_expression] = STATE(469),
    [sym_between_operator] = STATE(469),
    [sym_casewhen_expression] = STATE(469),
    [sym_cast_expression] = STATE(469),
    [sym_argument_reference] = STATE(469),
    [aux_sym_identifier_repeat1] = STATE(13828),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2314),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2316),
    [aux_sym__keyword_case_token1] = ACTIONS(2318),
    [aux_sym__keyword_cast_token1] = ACTIONS(2320),
    [aux_sym__keyword_cast_token2] = ACTIONS(2320),
    [aux_sym__keyword_date_token1] = ACTIONS(2322),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2322),
    [aux_sym__keyword_time_token1] = ACTIONS(2322),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(2324),
    [aux_sym_drop_notnull_token1] = ACTIONS(2326),
    [aux_sym_function_call_token2] = ACTIONS(2328),
    [aux_sym_unnest_operator_token1] = ACTIONS(2330),
    [aux_sym_TRUE_token1] = ACTIONS(2332),
    [aux_sym_FALSE_token1] = ACTIONS(2334),
    [sym__integer] = ACTIONS(2336),
    [aux_sym__float_token1] = ACTIONS(2338),
    [aux_sym__float_token2] = ACTIONS(2336),
    [aux_sym__float_token3] = ACTIONS(2338),
    [aux_sym_numeric_token1] = ACTIONS(2340),
    [aux_sym_numeric_token2] = ACTIONS(2340),
    [aux_sym_numeric_token3] = ACTIONS(2340),
    [aux_sym_numeric_token4] = ACTIONS(2340),
    [aux_sym_interval_token1] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2344),
    [aux_sym_json_token1] = ACTIONS(2346),
    [sym_system_variable] = ACTIONS(2348),
    [sym__named_query_parameter] = ACTIONS(2350),
    [sym__positional_query_parameter] = ACTIONS(2352),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2354),
    [anon_sym_PLUS] = ACTIONS(2356),
    [anon_sym_DASH] = ACTIONS(2356),
    [anon_sym_operator_compare] = ACTIONS(2358),
    [anon_sym_DOLLAR] = ACTIONS(2360),
    [sym__string_start] = ACTIONS(1512),
  },
  [1656] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1670),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(175),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(2316),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(995),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(997),
    [anon_sym_PLUS] = ACTIONS(999),
    [anon_sym_DASH] = ACTIONS(999),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1657] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16166),
    [sym__keyword_case] = STATE(299),
    [sym__keyword_not] = STATE(840),
    [sym__keyword_cast] = STATE(19301),
    [sym__keyword_date] = STATE(386),
    [sym__keyword_datetime] = STATE(386),
    [sym__keyword_time] = STATE(386),
    [sym__keyword_timestamp] = STATE(386),
    [sym_select_subexpression] = STATE(469),
    [sym_function_call] = STATE(469),
    [sym_unnest_operator] = STATE(10),
    [sym_unnest_clause] = STATE(469),
    [sym__literal] = STATE(469),
    [sym_NULL] = STATE(469),
    [sym_TRUE] = STATE(469),
    [sym_FALSE] = STATE(469),
    [sym__float] = STATE(472),
    [sym_numeric] = STATE(472),
    [sym__number] = STATE(472),
    [sym_interval] = STATE(469),
    [sym_range] = STATE(469),
    [sym_time] = STATE(469),
    [sym_number] = STATE(469),
    [sym_json] = STATE(469),
    [sym_query_parameter] = STATE(469),
    [sym__type_chrono] = STATE(371),
    [sym__type_struct] = STATE(19121),
    [sym__type_array] = STATE(18667),
    [sym_array] = STATE(469),
    [sym_struct] = STATE(469),
    [sym__identifier] = STATE(383),
    [sym__dotted_identifier] = STATE(13828),
    [sym_identifier] = STATE(477),
    [sym_string] = STATE(469),
    [sym__expression] = STATE(103),
    [sym__parenthesized_expression] = STATE(469),
    [sym_element_access] = STATE(469),
    [sym_field_access] = STATE(469),
    [sym_unary_expression] = STATE(469),
    [sym_binary_expression] = STATE(469),
    [sym_between_operator] = STATE(469),
    [sym_casewhen_expression] = STATE(469),
    [sym_cast_expression] = STATE(469),
    [sym_argument_reference] = STATE(469),
    [aux_sym_identifier_repeat1] = STATE(13828),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2314),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2316),
    [aux_sym__keyword_case_token1] = ACTIONS(2318),
    [aux_sym__keyword_cast_token1] = ACTIONS(2320),
    [aux_sym__keyword_cast_token2] = ACTIONS(2320),
    [aux_sym__keyword_date_token1] = ACTIONS(2322),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2322),
    [aux_sym__keyword_time_token1] = ACTIONS(2322),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(2324),
    [aux_sym_drop_notnull_token1] = ACTIONS(2326),
    [aux_sym_function_call_token2] = ACTIONS(2328),
    [aux_sym_unnest_operator_token1] = ACTIONS(2330),
    [aux_sym_TRUE_token1] = ACTIONS(2332),
    [aux_sym_FALSE_token1] = ACTIONS(2334),
    [sym__integer] = ACTIONS(2336),
    [aux_sym__float_token1] = ACTIONS(2338),
    [aux_sym__float_token2] = ACTIONS(2336),
    [aux_sym__float_token3] = ACTIONS(2338),
    [aux_sym_numeric_token1] = ACTIONS(2340),
    [aux_sym_numeric_token2] = ACTIONS(2340),
    [aux_sym_numeric_token3] = ACTIONS(2340),
    [aux_sym_numeric_token4] = ACTIONS(2340),
    [aux_sym_interval_token1] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2344),
    [aux_sym_json_token1] = ACTIONS(2346),
    [sym_system_variable] = ACTIONS(2348),
    [sym__named_query_parameter] = ACTIONS(2350),
    [sym__positional_query_parameter] = ACTIONS(2352),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2354),
    [anon_sym_PLUS] = ACTIONS(2356),
    [anon_sym_DASH] = ACTIONS(2356),
    [anon_sym_operator_compare] = ACTIONS(2358),
    [anon_sym_DOLLAR] = ACTIONS(2360),
    [sym__string_start] = ACTIONS(1512),
  },
  [1658] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1670),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(175),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(2289),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(995),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(997),
    [anon_sym_PLUS] = ACTIONS(999),
    [anon_sym_DASH] = ACTIONS(999),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1659] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16234),
    [sym__keyword_case] = STATE(345),
    [sym__keyword_not] = STATE(1629),
    [sym__keyword_cast] = STATE(19291),
    [sym__keyword_date] = STATE(3007),
    [sym__keyword_datetime] = STATE(3007),
    [sym__keyword_time] = STATE(3007),
    [sym__keyword_timestamp] = STATE(3007),
    [sym_select_subexpression] = STATE(3283),
    [sym_function_call] = STATE(3283),
    [sym_unnest_operator] = STATE(184),
    [sym_unnest_clause] = STATE(3283),
    [sym__literal] = STATE(3283),
    [sym_NULL] = STATE(3283),
    [sym_TRUE] = STATE(3283),
    [sym_FALSE] = STATE(3283),
    [sym__float] = STATE(3282),
    [sym_numeric] = STATE(3282),
    [sym__number] = STATE(3282),
    [sym_interval] = STATE(3283),
    [sym_range] = STATE(3283),
    [sym_time] = STATE(3283),
    [sym_number] = STATE(3283),
    [sym_json] = STATE(3283),
    [sym_query_parameter] = STATE(3283),
    [sym__type_chrono] = STATE(2957),
    [sym__type_struct] = STATE(19086),
    [sym__type_array] = STATE(18532),
    [sym_array] = STATE(3283),
    [sym_struct] = STATE(3283),
    [sym__identifier] = STATE(2993),
    [sym__dotted_identifier] = STATE(13495),
    [sym_identifier] = STATE(3030),
    [sym_string] = STATE(3283),
    [sym__expression] = STATE(2346),
    [sym__parenthesized_expression] = STATE(3283),
    [sym_element_access] = STATE(3283),
    [sym_field_access] = STATE(3283),
    [sym_unary_expression] = STATE(3283),
    [sym_binary_expression] = STATE(3283),
    [sym_between_operator] = STATE(3283),
    [sym_casewhen_expression] = STATE(3283),
    [sym_cast_expression] = STATE(3283),
    [sym_argument_reference] = STATE(3283),
    [aux_sym_identifier_repeat1] = STATE(13495),
    [sym__unquoted_identifier] = ACTIONS(1306),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2098),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2100),
    [aux_sym__keyword_case_token1] = ACTIONS(2102),
    [aux_sym__keyword_cast_token1] = ACTIONS(2104),
    [aux_sym__keyword_cast_token2] = ACTIONS(2104),
    [aux_sym__keyword_date_token1] = ACTIONS(2106),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2106),
    [aux_sym__keyword_time_token1] = ACTIONS(2106),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2106),
    [anon_sym_LPAREN] = ACTIONS(2108),
    [aux_sym_drop_notnull_token1] = ACTIONS(2110),
    [aux_sym_function_call_token2] = ACTIONS(2112),
    [aux_sym_unnest_operator_token1] = ACTIONS(2114),
    [aux_sym_TRUE_token1] = ACTIONS(2116),
    [aux_sym_FALSE_token1] = ACTIONS(2118),
    [sym__integer] = ACTIONS(2120),
    [aux_sym__float_token1] = ACTIONS(2122),
    [aux_sym__float_token2] = ACTIONS(2120),
    [aux_sym__float_token3] = ACTIONS(2122),
    [aux_sym_numeric_token1] = ACTIONS(2124),
    [aux_sym_numeric_token2] = ACTIONS(2124),
    [aux_sym_numeric_token3] = ACTIONS(2124),
    [aux_sym_numeric_token4] = ACTIONS(2124),
    [aux_sym_interval_token1] = ACTIONS(2126),
    [anon_sym_LBRACK] = ACTIONS(2128),
    [aux_sym_json_token1] = ACTIONS(2130),
    [sym_system_variable] = ACTIONS(2132),
    [sym__named_query_parameter] = ACTIONS(2134),
    [sym__positional_query_parameter] = ACTIONS(2136),
    [sym__quoted_identifier] = ACTIONS(1314),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_operator_compare] = ACTIONS(2142),
    [anon_sym_DOLLAR] = ACTIONS(2144),
    [sym__string_start] = ACTIONS(2146),
  },
  [1660] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16166),
    [sym__keyword_case] = STATE(299),
    [sym__keyword_not] = STATE(840),
    [sym__keyword_cast] = STATE(19301),
    [sym__keyword_date] = STATE(386),
    [sym__keyword_datetime] = STATE(386),
    [sym__keyword_time] = STATE(386),
    [sym__keyword_timestamp] = STATE(386),
    [sym_select_subexpression] = STATE(469),
    [sym_function_call] = STATE(469),
    [sym_unnest_operator] = STATE(10),
    [sym_unnest_clause] = STATE(469),
    [sym__literal] = STATE(469),
    [sym_NULL] = STATE(469),
    [sym_TRUE] = STATE(469),
    [sym_FALSE] = STATE(469),
    [sym__float] = STATE(472),
    [sym_numeric] = STATE(472),
    [sym__number] = STATE(472),
    [sym_interval] = STATE(469),
    [sym_range] = STATE(469),
    [sym_time] = STATE(469),
    [sym_number] = STATE(469),
    [sym_json] = STATE(469),
    [sym_query_parameter] = STATE(469),
    [sym__type_chrono] = STATE(371),
    [sym__type_struct] = STATE(19121),
    [sym__type_array] = STATE(18667),
    [sym_array] = STATE(469),
    [sym_struct] = STATE(469),
    [sym__identifier] = STATE(383),
    [sym__dotted_identifier] = STATE(13828),
    [sym_identifier] = STATE(477),
    [sym_string] = STATE(469),
    [sym__expression] = STATE(104),
    [sym__parenthesized_expression] = STATE(469),
    [sym_element_access] = STATE(469),
    [sym_field_access] = STATE(469),
    [sym_unary_expression] = STATE(469),
    [sym_binary_expression] = STATE(469),
    [sym_between_operator] = STATE(469),
    [sym_casewhen_expression] = STATE(469),
    [sym_cast_expression] = STATE(469),
    [sym_argument_reference] = STATE(469),
    [aux_sym_identifier_repeat1] = STATE(13828),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2314),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2316),
    [aux_sym__keyword_case_token1] = ACTIONS(2318),
    [aux_sym__keyword_cast_token1] = ACTIONS(2320),
    [aux_sym__keyword_cast_token2] = ACTIONS(2320),
    [aux_sym__keyword_date_token1] = ACTIONS(2322),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2322),
    [aux_sym__keyword_time_token1] = ACTIONS(2322),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(2324),
    [aux_sym_drop_notnull_token1] = ACTIONS(2326),
    [aux_sym_function_call_token2] = ACTIONS(2328),
    [aux_sym_unnest_operator_token1] = ACTIONS(2330),
    [aux_sym_TRUE_token1] = ACTIONS(2332),
    [aux_sym_FALSE_token1] = ACTIONS(2334),
    [sym__integer] = ACTIONS(2336),
    [aux_sym__float_token1] = ACTIONS(2338),
    [aux_sym__float_token2] = ACTIONS(2336),
    [aux_sym__float_token3] = ACTIONS(2338),
    [aux_sym_numeric_token1] = ACTIONS(2340),
    [aux_sym_numeric_token2] = ACTIONS(2340),
    [aux_sym_numeric_token3] = ACTIONS(2340),
    [aux_sym_numeric_token4] = ACTIONS(2340),
    [aux_sym_interval_token1] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2344),
    [aux_sym_json_token1] = ACTIONS(2346),
    [sym_system_variable] = ACTIONS(2348),
    [sym__named_query_parameter] = ACTIONS(2350),
    [sym__positional_query_parameter] = ACTIONS(2352),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2354),
    [anon_sym_PLUS] = ACTIONS(2356),
    [anon_sym_DASH] = ACTIONS(2356),
    [anon_sym_operator_compare] = ACTIONS(2358),
    [anon_sym_DOLLAR] = ACTIONS(2360),
    [sym__string_start] = ACTIONS(1512),
  },
  [1661] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16298),
    [sym__keyword_case] = STATE(370),
    [sym__keyword_not] = STATE(1461),
    [sym__keyword_cast] = STATE(19281),
    [sym__keyword_date] = STATE(5984),
    [sym__keyword_datetime] = STATE(5984),
    [sym__keyword_time] = STATE(5984),
    [sym__keyword_timestamp] = STATE(5984),
    [sym_select_subexpression] = STATE(6583),
    [sym_function_call] = STATE(6583),
    [sym_unnest_operator] = STATE(5280),
    [sym_unnest_clause] = STATE(6583),
    [sym__literal] = STATE(6583),
    [sym_NULL] = STATE(6583),
    [sym_TRUE] = STATE(6583),
    [sym_FALSE] = STATE(6583),
    [sym__float] = STATE(6582),
    [sym_numeric] = STATE(6582),
    [sym__number] = STATE(6582),
    [sym_interval] = STATE(6583),
    [sym_range] = STATE(6583),
    [sym_time] = STATE(6583),
    [sym_number] = STATE(6583),
    [sym_json] = STATE(6583),
    [sym_query_parameter] = STATE(6583),
    [sym__type_chrono] = STATE(5709),
    [sym__type_struct] = STATE(19051),
    [sym__type_array] = STATE(18379),
    [sym_array] = STATE(6583),
    [sym_struct] = STATE(6583),
    [sym__identifier] = STATE(5940),
    [sym__dotted_identifier] = STATE(13302),
    [sym_identifier] = STATE(6280),
    [sym_string] = STATE(6583),
    [sym__expression] = STATE(5339),
    [sym__parenthesized_expression] = STATE(6583),
    [sym_element_access] = STATE(6583),
    [sym_field_access] = STATE(6583),
    [sym_unary_expression] = STATE(6583),
    [sym_binary_expression] = STATE(6583),
    [sym_between_operator] = STATE(6583),
    [sym_casewhen_expression] = STATE(6583),
    [sym_cast_expression] = STATE(6583),
    [sym_argument_reference] = STATE(6583),
    [aux_sym_identifier_repeat1] = STATE(13302),
    [sym__unquoted_identifier] = ACTIONS(491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(493),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(495),
    [aux_sym__keyword_case_token1] = ACTIONS(497),
    [aux_sym__keyword_cast_token1] = ACTIONS(499),
    [aux_sym__keyword_cast_token2] = ACTIONS(499),
    [aux_sym__keyword_date_token1] = ACTIONS(501),
    [aux_sym__keyword_datetime_token1] = ACTIONS(501),
    [aux_sym__keyword_time_token1] = ACTIONS(501),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(503),
    [aux_sym_drop_notnull_token1] = ACTIONS(505),
    [aux_sym_function_call_token2] = ACTIONS(507),
    [aux_sym_unnest_operator_token1] = ACTIONS(509),
    [aux_sym_TRUE_token1] = ACTIONS(511),
    [aux_sym_FALSE_token1] = ACTIONS(513),
    [sym__integer] = ACTIONS(515),
    [aux_sym__float_token1] = ACTIONS(517),
    [aux_sym__float_token2] = ACTIONS(515),
    [aux_sym__float_token3] = ACTIONS(517),
    [aux_sym_numeric_token1] = ACTIONS(519),
    [aux_sym_numeric_token2] = ACTIONS(519),
    [aux_sym_numeric_token3] = ACTIONS(519),
    [aux_sym_numeric_token4] = ACTIONS(519),
    [aux_sym_interval_token1] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(523),
    [aux_sym_json_token1] = ACTIONS(525),
    [sym_system_variable] = ACTIONS(527),
    [sym__named_query_parameter] = ACTIONS(529),
    [sym__positional_query_parameter] = ACTIONS(531),
    [sym__quoted_identifier] = ACTIONS(533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_operator_compare] = ACTIONS(539),
    [anon_sym_DOLLAR] = ACTIONS(541),
    [sym__string_start] = ACTIONS(543),
  },
  [1662] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1670),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(175),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(2288),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(995),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(997),
    [anon_sym_PLUS] = ACTIONS(999),
    [anon_sym_DASH] = ACTIONS(999),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1663] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9843),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1664] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16294),
    [sym__keyword_case] = STATE(376),
    [sym__keyword_not] = STATE(1650),
    [sym__keyword_cast] = STATE(19283),
    [sym__keyword_date] = STATE(4607),
    [sym__keyword_datetime] = STATE(4607),
    [sym__keyword_time] = STATE(4607),
    [sym__keyword_timestamp] = STATE(4607),
    [sym_select_subexpression] = STATE(4924),
    [sym_function_call] = STATE(4924),
    [sym_unnest_operator] = STATE(2504),
    [sym_unnest_clause] = STATE(4924),
    [sym__literal] = STATE(4924),
    [sym_NULL] = STATE(4924),
    [sym_TRUE] = STATE(4924),
    [sym_FALSE] = STATE(4924),
    [sym__float] = STATE(4921),
    [sym_numeric] = STATE(4921),
    [sym__number] = STATE(4921),
    [sym_interval] = STATE(4924),
    [sym_range] = STATE(4924),
    [sym_time] = STATE(4924),
    [sym_number] = STATE(4924),
    [sym_json] = STATE(4924),
    [sym_query_parameter] = STATE(4924),
    [sym__type_chrono] = STATE(4379),
    [sym__type_struct] = STATE(19058),
    [sym__type_array] = STATE(18414),
    [sym_array] = STATE(4924),
    [sym_struct] = STATE(4924),
    [sym__identifier] = STATE(4755),
    [sym__dotted_identifier] = STATE(13556),
    [sym_identifier] = STATE(4917),
    [sym_string] = STATE(4924),
    [sym__expression] = STATE(3877),
    [sym__parenthesized_expression] = STATE(4924),
    [sym_element_access] = STATE(4924),
    [sym_field_access] = STATE(4924),
    [sym_unary_expression] = STATE(4924),
    [sym_binary_expression] = STATE(4924),
    [sym_between_operator] = STATE(4924),
    [sym_casewhen_expression] = STATE(4924),
    [sym_cast_expression] = STATE(4924),
    [sym_argument_reference] = STATE(4924),
    [aux_sym_identifier_repeat1] = STATE(13556),
    [sym__unquoted_identifier] = ACTIONS(2604),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2606),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2608),
    [aux_sym__keyword_case_token1] = ACTIONS(2610),
    [aux_sym__keyword_cast_token1] = ACTIONS(2612),
    [aux_sym__keyword_cast_token2] = ACTIONS(2612),
    [aux_sym__keyword_date_token1] = ACTIONS(2614),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2614),
    [aux_sym__keyword_time_token1] = ACTIONS(2614),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2614),
    [anon_sym_LPAREN] = ACTIONS(2616),
    [aux_sym_drop_notnull_token1] = ACTIONS(2618),
    [aux_sym_function_call_token2] = ACTIONS(2620),
    [aux_sym_unnest_operator_token1] = ACTIONS(2668),
    [aux_sym_TRUE_token1] = ACTIONS(2624),
    [aux_sym_FALSE_token1] = ACTIONS(2626),
    [sym__integer] = ACTIONS(2628),
    [aux_sym__float_token1] = ACTIONS(2630),
    [aux_sym__float_token2] = ACTIONS(2628),
    [aux_sym__float_token3] = ACTIONS(2630),
    [aux_sym_numeric_token1] = ACTIONS(2632),
    [aux_sym_numeric_token2] = ACTIONS(2632),
    [aux_sym_numeric_token3] = ACTIONS(2632),
    [aux_sym_numeric_token4] = ACTIONS(2632),
    [aux_sym_interval_token1] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [aux_sym_json_token1] = ACTIONS(2638),
    [sym_system_variable] = ACTIONS(2640),
    [sym__named_query_parameter] = ACTIONS(2642),
    [sym__positional_query_parameter] = ACTIONS(2644),
    [sym__quoted_identifier] = ACTIONS(2646),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2670),
    [anon_sym_PLUS] = ACTIONS(2672),
    [anon_sym_DASH] = ACTIONS(2672),
    [anon_sym_operator_compare] = ACTIONS(2652),
    [anon_sym_DOLLAR] = ACTIONS(2654),
    [sym__string_start] = ACTIONS(2656),
  },
  [1665] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16234),
    [sym__keyword_case] = STATE(345),
    [sym__keyword_not] = STATE(1629),
    [sym__keyword_cast] = STATE(19291),
    [sym__keyword_date] = STATE(3007),
    [sym__keyword_datetime] = STATE(3007),
    [sym__keyword_time] = STATE(3007),
    [sym__keyword_timestamp] = STATE(3007),
    [sym_select_subexpression] = STATE(3283),
    [sym_function_call] = STATE(3283),
    [sym_unnest_operator] = STATE(184),
    [sym_unnest_clause] = STATE(3283),
    [sym__literal] = STATE(3283),
    [sym_NULL] = STATE(3283),
    [sym_TRUE] = STATE(3283),
    [sym_FALSE] = STATE(3283),
    [sym__float] = STATE(3282),
    [sym_numeric] = STATE(3282),
    [sym__number] = STATE(3282),
    [sym_interval] = STATE(3283),
    [sym_range] = STATE(3283),
    [sym_time] = STATE(3283),
    [sym_number] = STATE(3283),
    [sym_json] = STATE(3283),
    [sym_query_parameter] = STATE(3283),
    [sym__type_chrono] = STATE(2957),
    [sym__type_struct] = STATE(19086),
    [sym__type_array] = STATE(18532),
    [sym_array] = STATE(3283),
    [sym_struct] = STATE(3283),
    [sym__identifier] = STATE(2993),
    [sym__dotted_identifier] = STATE(13495),
    [sym_identifier] = STATE(3030),
    [sym_string] = STATE(3283),
    [sym__expression] = STATE(2344),
    [sym__parenthesized_expression] = STATE(3283),
    [sym_element_access] = STATE(3283),
    [sym_field_access] = STATE(3283),
    [sym_unary_expression] = STATE(3283),
    [sym_binary_expression] = STATE(3283),
    [sym_between_operator] = STATE(3283),
    [sym_casewhen_expression] = STATE(3283),
    [sym_cast_expression] = STATE(3283),
    [sym_argument_reference] = STATE(3283),
    [aux_sym_identifier_repeat1] = STATE(13495),
    [sym__unquoted_identifier] = ACTIONS(1306),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2098),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2100),
    [aux_sym__keyword_case_token1] = ACTIONS(2102),
    [aux_sym__keyword_cast_token1] = ACTIONS(2104),
    [aux_sym__keyword_cast_token2] = ACTIONS(2104),
    [aux_sym__keyword_date_token1] = ACTIONS(2106),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2106),
    [aux_sym__keyword_time_token1] = ACTIONS(2106),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2106),
    [anon_sym_LPAREN] = ACTIONS(2108),
    [aux_sym_drop_notnull_token1] = ACTIONS(2110),
    [aux_sym_function_call_token2] = ACTIONS(2112),
    [aux_sym_unnest_operator_token1] = ACTIONS(2114),
    [aux_sym_TRUE_token1] = ACTIONS(2116),
    [aux_sym_FALSE_token1] = ACTIONS(2118),
    [sym__integer] = ACTIONS(2120),
    [aux_sym__float_token1] = ACTIONS(2122),
    [aux_sym__float_token2] = ACTIONS(2120),
    [aux_sym__float_token3] = ACTIONS(2122),
    [aux_sym_numeric_token1] = ACTIONS(2124),
    [aux_sym_numeric_token2] = ACTIONS(2124),
    [aux_sym_numeric_token3] = ACTIONS(2124),
    [aux_sym_numeric_token4] = ACTIONS(2124),
    [aux_sym_interval_token1] = ACTIONS(2126),
    [anon_sym_LBRACK] = ACTIONS(2128),
    [aux_sym_json_token1] = ACTIONS(2130),
    [sym_system_variable] = ACTIONS(2132),
    [sym__named_query_parameter] = ACTIONS(2134),
    [sym__positional_query_parameter] = ACTIONS(2136),
    [sym__quoted_identifier] = ACTIONS(1314),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_operator_compare] = ACTIONS(2142),
    [anon_sym_DOLLAR] = ACTIONS(2144),
    [sym__string_start] = ACTIONS(2146),
  },
  [1666] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16298),
    [sym__keyword_case] = STATE(370),
    [sym__keyword_not] = STATE(1461),
    [sym__keyword_cast] = STATE(19281),
    [sym__keyword_date] = STATE(5984),
    [sym__keyword_datetime] = STATE(5984),
    [sym__keyword_time] = STATE(5984),
    [sym__keyword_timestamp] = STATE(5984),
    [sym_select_subexpression] = STATE(6583),
    [sym_function_call] = STATE(6583),
    [sym_unnest_operator] = STATE(5280),
    [sym_unnest_clause] = STATE(6583),
    [sym__literal] = STATE(6583),
    [sym_NULL] = STATE(6583),
    [sym_TRUE] = STATE(6583),
    [sym_FALSE] = STATE(6583),
    [sym__float] = STATE(6582),
    [sym_numeric] = STATE(6582),
    [sym__number] = STATE(6582),
    [sym_interval] = STATE(6583),
    [sym_range] = STATE(6583),
    [sym_time] = STATE(6583),
    [sym_number] = STATE(6583),
    [sym_json] = STATE(6583),
    [sym_query_parameter] = STATE(6583),
    [sym__type_chrono] = STATE(5709),
    [sym__type_struct] = STATE(19051),
    [sym__type_array] = STATE(18379),
    [sym_array] = STATE(6583),
    [sym_struct] = STATE(6583),
    [sym__identifier] = STATE(5940),
    [sym__dotted_identifier] = STATE(13302),
    [sym_identifier] = STATE(6280),
    [sym_string] = STATE(6583),
    [sym__expression] = STATE(5341),
    [sym__parenthesized_expression] = STATE(6583),
    [sym_element_access] = STATE(6583),
    [sym_field_access] = STATE(6583),
    [sym_unary_expression] = STATE(6583),
    [sym_binary_expression] = STATE(6583),
    [sym_between_operator] = STATE(6583),
    [sym_casewhen_expression] = STATE(6583),
    [sym_cast_expression] = STATE(6583),
    [sym_argument_reference] = STATE(6583),
    [aux_sym_identifier_repeat1] = STATE(13302),
    [sym__unquoted_identifier] = ACTIONS(491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(493),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(495),
    [aux_sym__keyword_case_token1] = ACTIONS(497),
    [aux_sym__keyword_cast_token1] = ACTIONS(499),
    [aux_sym__keyword_cast_token2] = ACTIONS(499),
    [aux_sym__keyword_date_token1] = ACTIONS(501),
    [aux_sym__keyword_datetime_token1] = ACTIONS(501),
    [aux_sym__keyword_time_token1] = ACTIONS(501),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(503),
    [aux_sym_drop_notnull_token1] = ACTIONS(505),
    [aux_sym_function_call_token2] = ACTIONS(507),
    [aux_sym_unnest_operator_token1] = ACTIONS(509),
    [aux_sym_TRUE_token1] = ACTIONS(511),
    [aux_sym_FALSE_token1] = ACTIONS(513),
    [sym__integer] = ACTIONS(515),
    [aux_sym__float_token1] = ACTIONS(517),
    [aux_sym__float_token2] = ACTIONS(515),
    [aux_sym__float_token3] = ACTIONS(517),
    [aux_sym_numeric_token1] = ACTIONS(519),
    [aux_sym_numeric_token2] = ACTIONS(519),
    [aux_sym_numeric_token3] = ACTIONS(519),
    [aux_sym_numeric_token4] = ACTIONS(519),
    [aux_sym_interval_token1] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(523),
    [aux_sym_json_token1] = ACTIONS(525),
    [sym_system_variable] = ACTIONS(527),
    [sym__named_query_parameter] = ACTIONS(529),
    [sym__positional_query_parameter] = ACTIONS(531),
    [sym__quoted_identifier] = ACTIONS(533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_operator_compare] = ACTIONS(539),
    [anon_sym_DOLLAR] = ACTIONS(541),
    [sym__string_start] = ACTIONS(543),
  },
  [1667] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16234),
    [sym__keyword_case] = STATE(345),
    [sym__keyword_not] = STATE(1629),
    [sym__keyword_cast] = STATE(19291),
    [sym__keyword_date] = STATE(3007),
    [sym__keyword_datetime] = STATE(3007),
    [sym__keyword_time] = STATE(3007),
    [sym__keyword_timestamp] = STATE(3007),
    [sym_select_subexpression] = STATE(3283),
    [sym_function_call] = STATE(3283),
    [sym_unnest_operator] = STATE(184),
    [sym_unnest_clause] = STATE(3283),
    [sym__literal] = STATE(3283),
    [sym_NULL] = STATE(3283),
    [sym_TRUE] = STATE(3283),
    [sym_FALSE] = STATE(3283),
    [sym__float] = STATE(3282),
    [sym_numeric] = STATE(3282),
    [sym__number] = STATE(3282),
    [sym_interval] = STATE(3283),
    [sym_range] = STATE(3283),
    [sym_time] = STATE(3283),
    [sym_number] = STATE(3283),
    [sym_json] = STATE(3283),
    [sym_query_parameter] = STATE(3283),
    [sym__type_chrono] = STATE(2957),
    [sym__type_struct] = STATE(19086),
    [sym__type_array] = STATE(18532),
    [sym_array] = STATE(3283),
    [sym_struct] = STATE(3283),
    [sym__identifier] = STATE(2993),
    [sym__dotted_identifier] = STATE(13495),
    [sym_identifier] = STATE(3030),
    [sym_string] = STATE(3283),
    [sym__expression] = STATE(2342),
    [sym__parenthesized_expression] = STATE(3283),
    [sym_element_access] = STATE(3283),
    [sym_field_access] = STATE(3283),
    [sym_unary_expression] = STATE(3283),
    [sym_binary_expression] = STATE(3283),
    [sym_between_operator] = STATE(3283),
    [sym_casewhen_expression] = STATE(3283),
    [sym_cast_expression] = STATE(3283),
    [sym_argument_reference] = STATE(3283),
    [aux_sym_identifier_repeat1] = STATE(13495),
    [sym__unquoted_identifier] = ACTIONS(1306),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2098),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2100),
    [aux_sym__keyword_case_token1] = ACTIONS(2102),
    [aux_sym__keyword_cast_token1] = ACTIONS(2104),
    [aux_sym__keyword_cast_token2] = ACTIONS(2104),
    [aux_sym__keyword_date_token1] = ACTIONS(2106),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2106),
    [aux_sym__keyword_time_token1] = ACTIONS(2106),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2106),
    [anon_sym_LPAREN] = ACTIONS(2108),
    [aux_sym_drop_notnull_token1] = ACTIONS(2110),
    [aux_sym_function_call_token2] = ACTIONS(2112),
    [aux_sym_unnest_operator_token1] = ACTIONS(2114),
    [aux_sym_TRUE_token1] = ACTIONS(2116),
    [aux_sym_FALSE_token1] = ACTIONS(2118),
    [sym__integer] = ACTIONS(2120),
    [aux_sym__float_token1] = ACTIONS(2122),
    [aux_sym__float_token2] = ACTIONS(2120),
    [aux_sym__float_token3] = ACTIONS(2122),
    [aux_sym_numeric_token1] = ACTIONS(2124),
    [aux_sym_numeric_token2] = ACTIONS(2124),
    [aux_sym_numeric_token3] = ACTIONS(2124),
    [aux_sym_numeric_token4] = ACTIONS(2124),
    [aux_sym_interval_token1] = ACTIONS(2126),
    [anon_sym_LBRACK] = ACTIONS(2128),
    [aux_sym_json_token1] = ACTIONS(2130),
    [sym_system_variable] = ACTIONS(2132),
    [sym__named_query_parameter] = ACTIONS(2134),
    [sym__positional_query_parameter] = ACTIONS(2136),
    [sym__quoted_identifier] = ACTIONS(1314),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_operator_compare] = ACTIONS(2142),
    [anon_sym_DOLLAR] = ACTIONS(2144),
    [sym__string_start] = ACTIONS(2146),
  },
  [1668] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1670),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(175),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(2285),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(995),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(997),
    [anon_sym_PLUS] = ACTIONS(999),
    [anon_sym_DASH] = ACTIONS(999),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1669] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1670),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(175),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(2284),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(995),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(997),
    [anon_sym_PLUS] = ACTIONS(999),
    [anon_sym_DASH] = ACTIONS(999),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1670] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1670),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(175),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(2291),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(995),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(997),
    [anon_sym_PLUS] = ACTIONS(999),
    [anon_sym_DASH] = ACTIONS(999),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1671] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(6679),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1672] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1670),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(175),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(2301),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(995),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(997),
    [anon_sym_PLUS] = ACTIONS(999),
    [anon_sym_DASH] = ACTIONS(999),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1673] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16166),
    [sym__keyword_case] = STATE(299),
    [sym__keyword_not] = STATE(840),
    [sym__keyword_cast] = STATE(19301),
    [sym__keyword_date] = STATE(386),
    [sym__keyword_datetime] = STATE(386),
    [sym__keyword_time] = STATE(386),
    [sym__keyword_timestamp] = STATE(386),
    [sym_select_subexpression] = STATE(469),
    [sym_function_call] = STATE(469),
    [sym_unnest_operator] = STATE(10),
    [sym_unnest_clause] = STATE(469),
    [sym__literal] = STATE(469),
    [sym_NULL] = STATE(469),
    [sym_TRUE] = STATE(469),
    [sym_FALSE] = STATE(469),
    [sym__float] = STATE(472),
    [sym_numeric] = STATE(472),
    [sym__number] = STATE(472),
    [sym_interval] = STATE(469),
    [sym_range] = STATE(469),
    [sym_time] = STATE(469),
    [sym_number] = STATE(469),
    [sym_json] = STATE(469),
    [sym_query_parameter] = STATE(469),
    [sym__type_chrono] = STATE(371),
    [sym__type_struct] = STATE(19121),
    [sym__type_array] = STATE(18667),
    [sym_array] = STATE(469),
    [sym_struct] = STATE(469),
    [sym__identifier] = STATE(383),
    [sym__dotted_identifier] = STATE(13828),
    [sym_identifier] = STATE(477),
    [sym_string] = STATE(469),
    [sym__expression] = STATE(89),
    [sym__parenthesized_expression] = STATE(469),
    [sym_element_access] = STATE(469),
    [sym_field_access] = STATE(469),
    [sym_unary_expression] = STATE(469),
    [sym_binary_expression] = STATE(469),
    [sym_between_operator] = STATE(469),
    [sym_casewhen_expression] = STATE(469),
    [sym_cast_expression] = STATE(469),
    [sym_argument_reference] = STATE(469),
    [aux_sym_identifier_repeat1] = STATE(13828),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2314),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2316),
    [aux_sym__keyword_case_token1] = ACTIONS(2318),
    [aux_sym__keyword_cast_token1] = ACTIONS(2320),
    [aux_sym__keyword_cast_token2] = ACTIONS(2320),
    [aux_sym__keyword_date_token1] = ACTIONS(2322),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2322),
    [aux_sym__keyword_time_token1] = ACTIONS(2322),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(2324),
    [aux_sym_drop_notnull_token1] = ACTIONS(2326),
    [aux_sym_function_call_token2] = ACTIONS(2328),
    [aux_sym_unnest_operator_token1] = ACTIONS(2330),
    [aux_sym_TRUE_token1] = ACTIONS(2332),
    [aux_sym_FALSE_token1] = ACTIONS(2334),
    [sym__integer] = ACTIONS(2336),
    [aux_sym__float_token1] = ACTIONS(2338),
    [aux_sym__float_token2] = ACTIONS(2336),
    [aux_sym__float_token3] = ACTIONS(2338),
    [aux_sym_numeric_token1] = ACTIONS(2340),
    [aux_sym_numeric_token2] = ACTIONS(2340),
    [aux_sym_numeric_token3] = ACTIONS(2340),
    [aux_sym_numeric_token4] = ACTIONS(2340),
    [aux_sym_interval_token1] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2344),
    [aux_sym_json_token1] = ACTIONS(2346),
    [sym_system_variable] = ACTIONS(2348),
    [sym__named_query_parameter] = ACTIONS(2350),
    [sym__positional_query_parameter] = ACTIONS(2352),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2354),
    [anon_sym_PLUS] = ACTIONS(2356),
    [anon_sym_DASH] = ACTIONS(2356),
    [anon_sym_operator_compare] = ACTIONS(2358),
    [anon_sym_DOLLAR] = ACTIONS(2360),
    [sym__string_start] = ACTIONS(1512),
  },
  [1674] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1784),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2484),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3593),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2420),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2426),
    [anon_sym_PLUS] = ACTIONS(2428),
    [anon_sym_DASH] = ACTIONS(2428),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1675] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16234),
    [sym__keyword_case] = STATE(345),
    [sym__keyword_not] = STATE(1629),
    [sym__keyword_cast] = STATE(19291),
    [sym__keyword_date] = STATE(3007),
    [sym__keyword_datetime] = STATE(3007),
    [sym__keyword_time] = STATE(3007),
    [sym__keyword_timestamp] = STATE(3007),
    [sym_select_subexpression] = STATE(3283),
    [sym_function_call] = STATE(3283),
    [sym_unnest_operator] = STATE(184),
    [sym_unnest_clause] = STATE(3283),
    [sym__literal] = STATE(3283),
    [sym_NULL] = STATE(3283),
    [sym_TRUE] = STATE(3283),
    [sym_FALSE] = STATE(3283),
    [sym__float] = STATE(3282),
    [sym_numeric] = STATE(3282),
    [sym__number] = STATE(3282),
    [sym_interval] = STATE(3283),
    [sym_range] = STATE(3283),
    [sym_time] = STATE(3283),
    [sym_number] = STATE(3283),
    [sym_json] = STATE(3283),
    [sym_query_parameter] = STATE(3283),
    [sym__type_chrono] = STATE(2957),
    [sym__type_struct] = STATE(19086),
    [sym__type_array] = STATE(18532),
    [sym_array] = STATE(3283),
    [sym_struct] = STATE(3283),
    [sym__identifier] = STATE(2993),
    [sym__dotted_identifier] = STATE(13495),
    [sym_identifier] = STATE(3030),
    [sym_string] = STATE(3283),
    [sym__expression] = STATE(2341),
    [sym__parenthesized_expression] = STATE(3283),
    [sym_element_access] = STATE(3283),
    [sym_field_access] = STATE(3283),
    [sym_unary_expression] = STATE(3283),
    [sym_binary_expression] = STATE(3283),
    [sym_between_operator] = STATE(3283),
    [sym_casewhen_expression] = STATE(3283),
    [sym_cast_expression] = STATE(3283),
    [sym_argument_reference] = STATE(3283),
    [aux_sym_identifier_repeat1] = STATE(13495),
    [sym__unquoted_identifier] = ACTIONS(1306),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2098),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2100),
    [aux_sym__keyword_case_token1] = ACTIONS(2102),
    [aux_sym__keyword_cast_token1] = ACTIONS(2104),
    [aux_sym__keyword_cast_token2] = ACTIONS(2104),
    [aux_sym__keyword_date_token1] = ACTIONS(2106),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2106),
    [aux_sym__keyword_time_token1] = ACTIONS(2106),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2106),
    [anon_sym_LPAREN] = ACTIONS(2108),
    [aux_sym_drop_notnull_token1] = ACTIONS(2110),
    [aux_sym_function_call_token2] = ACTIONS(2112),
    [aux_sym_unnest_operator_token1] = ACTIONS(2114),
    [aux_sym_TRUE_token1] = ACTIONS(2116),
    [aux_sym_FALSE_token1] = ACTIONS(2118),
    [sym__integer] = ACTIONS(2120),
    [aux_sym__float_token1] = ACTIONS(2122),
    [aux_sym__float_token2] = ACTIONS(2120),
    [aux_sym__float_token3] = ACTIONS(2122),
    [aux_sym_numeric_token1] = ACTIONS(2124),
    [aux_sym_numeric_token2] = ACTIONS(2124),
    [aux_sym_numeric_token3] = ACTIONS(2124),
    [aux_sym_numeric_token4] = ACTIONS(2124),
    [aux_sym_interval_token1] = ACTIONS(2126),
    [anon_sym_LBRACK] = ACTIONS(2128),
    [aux_sym_json_token1] = ACTIONS(2130),
    [sym_system_variable] = ACTIONS(2132),
    [sym__named_query_parameter] = ACTIONS(2134),
    [sym__positional_query_parameter] = ACTIONS(2136),
    [sym__quoted_identifier] = ACTIONS(1314),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_operator_compare] = ACTIONS(2142),
    [anon_sym_DOLLAR] = ACTIONS(2144),
    [sym__string_start] = ACTIONS(2146),
  },
  [1676] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16166),
    [sym__keyword_case] = STATE(299),
    [sym__keyword_not] = STATE(840),
    [sym__keyword_cast] = STATE(19301),
    [sym__keyword_date] = STATE(386),
    [sym__keyword_datetime] = STATE(386),
    [sym__keyword_time] = STATE(386),
    [sym__keyword_timestamp] = STATE(386),
    [sym_select_subexpression] = STATE(469),
    [sym_function_call] = STATE(469),
    [sym_unnest_operator] = STATE(10),
    [sym_unnest_clause] = STATE(469),
    [sym__literal] = STATE(469),
    [sym_NULL] = STATE(469),
    [sym_TRUE] = STATE(469),
    [sym_FALSE] = STATE(469),
    [sym__float] = STATE(472),
    [sym_numeric] = STATE(472),
    [sym__number] = STATE(472),
    [sym_interval] = STATE(469),
    [sym_range] = STATE(469),
    [sym_time] = STATE(469),
    [sym_number] = STATE(469),
    [sym_json] = STATE(469),
    [sym_query_parameter] = STATE(469),
    [sym__type_chrono] = STATE(371),
    [sym__type_struct] = STATE(19121),
    [sym__type_array] = STATE(18667),
    [sym_array] = STATE(469),
    [sym_struct] = STATE(469),
    [sym__identifier] = STATE(383),
    [sym__dotted_identifier] = STATE(13828),
    [sym_identifier] = STATE(477),
    [sym_string] = STATE(469),
    [sym__expression] = STATE(93),
    [sym__parenthesized_expression] = STATE(469),
    [sym_element_access] = STATE(469),
    [sym_field_access] = STATE(469),
    [sym_unary_expression] = STATE(469),
    [sym_binary_expression] = STATE(469),
    [sym_between_operator] = STATE(469),
    [sym_casewhen_expression] = STATE(469),
    [sym_cast_expression] = STATE(469),
    [sym_argument_reference] = STATE(469),
    [aux_sym_identifier_repeat1] = STATE(13828),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2314),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2316),
    [aux_sym__keyword_case_token1] = ACTIONS(2318),
    [aux_sym__keyword_cast_token1] = ACTIONS(2320),
    [aux_sym__keyword_cast_token2] = ACTIONS(2320),
    [aux_sym__keyword_date_token1] = ACTIONS(2322),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2322),
    [aux_sym__keyword_time_token1] = ACTIONS(2322),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(2324),
    [aux_sym_drop_notnull_token1] = ACTIONS(2326),
    [aux_sym_function_call_token2] = ACTIONS(2328),
    [aux_sym_unnest_operator_token1] = ACTIONS(2330),
    [aux_sym_TRUE_token1] = ACTIONS(2332),
    [aux_sym_FALSE_token1] = ACTIONS(2334),
    [sym__integer] = ACTIONS(2336),
    [aux_sym__float_token1] = ACTIONS(2338),
    [aux_sym__float_token2] = ACTIONS(2336),
    [aux_sym__float_token3] = ACTIONS(2338),
    [aux_sym_numeric_token1] = ACTIONS(2340),
    [aux_sym_numeric_token2] = ACTIONS(2340),
    [aux_sym_numeric_token3] = ACTIONS(2340),
    [aux_sym_numeric_token4] = ACTIONS(2340),
    [aux_sym_interval_token1] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2344),
    [aux_sym_json_token1] = ACTIONS(2346),
    [sym_system_variable] = ACTIONS(2348),
    [sym__named_query_parameter] = ACTIONS(2350),
    [sym__positional_query_parameter] = ACTIONS(2352),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2354),
    [anon_sym_PLUS] = ACTIONS(2356),
    [anon_sym_DASH] = ACTIONS(2356),
    [anon_sym_operator_compare] = ACTIONS(2358),
    [anon_sym_DOLLAR] = ACTIONS(2360),
    [sym__string_start] = ACTIONS(1512),
  },
  [1677] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16234),
    [sym__keyword_case] = STATE(345),
    [sym__keyword_not] = STATE(1629),
    [sym__keyword_cast] = STATE(19291),
    [sym__keyword_date] = STATE(3007),
    [sym__keyword_datetime] = STATE(3007),
    [sym__keyword_time] = STATE(3007),
    [sym__keyword_timestamp] = STATE(3007),
    [sym_select_subexpression] = STATE(3283),
    [sym_function_call] = STATE(3283),
    [sym_unnest_operator] = STATE(184),
    [sym_unnest_clause] = STATE(3283),
    [sym__literal] = STATE(3283),
    [sym_NULL] = STATE(3283),
    [sym_TRUE] = STATE(3283),
    [sym_FALSE] = STATE(3283),
    [sym__float] = STATE(3282),
    [sym_numeric] = STATE(3282),
    [sym__number] = STATE(3282),
    [sym_interval] = STATE(3283),
    [sym_range] = STATE(3283),
    [sym_time] = STATE(3283),
    [sym_number] = STATE(3283),
    [sym_json] = STATE(3283),
    [sym_query_parameter] = STATE(3283),
    [sym__type_chrono] = STATE(2957),
    [sym__type_struct] = STATE(19086),
    [sym__type_array] = STATE(18532),
    [sym_array] = STATE(3283),
    [sym_struct] = STATE(3283),
    [sym__identifier] = STATE(2993),
    [sym__dotted_identifier] = STATE(13495),
    [sym_identifier] = STATE(3030),
    [sym_string] = STATE(3283),
    [sym__expression] = STATE(2337),
    [sym__parenthesized_expression] = STATE(3283),
    [sym_element_access] = STATE(3283),
    [sym_field_access] = STATE(3283),
    [sym_unary_expression] = STATE(3283),
    [sym_binary_expression] = STATE(3283),
    [sym_between_operator] = STATE(3283),
    [sym_casewhen_expression] = STATE(3283),
    [sym_cast_expression] = STATE(3283),
    [sym_argument_reference] = STATE(3283),
    [aux_sym_identifier_repeat1] = STATE(13495),
    [sym__unquoted_identifier] = ACTIONS(1306),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2098),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2100),
    [aux_sym__keyword_case_token1] = ACTIONS(2102),
    [aux_sym__keyword_cast_token1] = ACTIONS(2104),
    [aux_sym__keyword_cast_token2] = ACTIONS(2104),
    [aux_sym__keyword_date_token1] = ACTIONS(2106),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2106),
    [aux_sym__keyword_time_token1] = ACTIONS(2106),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2106),
    [anon_sym_LPAREN] = ACTIONS(2108),
    [aux_sym_drop_notnull_token1] = ACTIONS(2110),
    [aux_sym_function_call_token2] = ACTIONS(2112),
    [aux_sym_unnest_operator_token1] = ACTIONS(2114),
    [aux_sym_TRUE_token1] = ACTIONS(2116),
    [aux_sym_FALSE_token1] = ACTIONS(2118),
    [sym__integer] = ACTIONS(2120),
    [aux_sym__float_token1] = ACTIONS(2122),
    [aux_sym__float_token2] = ACTIONS(2120),
    [aux_sym__float_token3] = ACTIONS(2122),
    [aux_sym_numeric_token1] = ACTIONS(2124),
    [aux_sym_numeric_token2] = ACTIONS(2124),
    [aux_sym_numeric_token3] = ACTIONS(2124),
    [aux_sym_numeric_token4] = ACTIONS(2124),
    [aux_sym_interval_token1] = ACTIONS(2126),
    [anon_sym_LBRACK] = ACTIONS(2128),
    [aux_sym_json_token1] = ACTIONS(2130),
    [sym_system_variable] = ACTIONS(2132),
    [sym__named_query_parameter] = ACTIONS(2134),
    [sym__positional_query_parameter] = ACTIONS(2136),
    [sym__quoted_identifier] = ACTIONS(1314),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_operator_compare] = ACTIONS(2142),
    [anon_sym_DOLLAR] = ACTIONS(2144),
    [sym__string_start] = ACTIONS(2146),
  },
  [1678] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16234),
    [sym__keyword_case] = STATE(345),
    [sym__keyword_not] = STATE(1679),
    [sym__keyword_cast] = STATE(19291),
    [sym__keyword_date] = STATE(3007),
    [sym__keyword_datetime] = STATE(3007),
    [sym__keyword_time] = STATE(3007),
    [sym__keyword_timestamp] = STATE(3007),
    [sym_select_subexpression] = STATE(3283),
    [sym_function_call] = STATE(3283),
    [sym_unnest_operator] = STATE(438),
    [sym_unnest_clause] = STATE(3283),
    [sym__literal] = STATE(3283),
    [sym_NULL] = STATE(3283),
    [sym_TRUE] = STATE(3283),
    [sym_FALSE] = STATE(3283),
    [sym__float] = STATE(3282),
    [sym_numeric] = STATE(3282),
    [sym__number] = STATE(3282),
    [sym_interval] = STATE(3283),
    [sym_range] = STATE(3283),
    [sym_time] = STATE(3283),
    [sym_number] = STATE(3283),
    [sym_json] = STATE(3283),
    [sym_query_parameter] = STATE(3283),
    [sym__type_chrono] = STATE(2957),
    [sym__type_struct] = STATE(19086),
    [sym__type_array] = STATE(18532),
    [sym_array] = STATE(3283),
    [sym_struct] = STATE(3283),
    [sym__identifier] = STATE(2993),
    [sym__dotted_identifier] = STATE(13495),
    [sym_identifier] = STATE(3030),
    [sym_string] = STATE(3283),
    [sym__expression] = STATE(2784),
    [sym__parenthesized_expression] = STATE(3283),
    [sym_element_access] = STATE(3283),
    [sym_field_access] = STATE(3283),
    [sym_unary_expression] = STATE(3283),
    [sym_binary_expression] = STATE(3283),
    [sym_between_operator] = STATE(3283),
    [sym_casewhen_expression] = STATE(3283),
    [sym_cast_expression] = STATE(3283),
    [sym_argument_reference] = STATE(3283),
    [aux_sym_identifier_repeat1] = STATE(13495),
    [sym__unquoted_identifier] = ACTIONS(1306),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2098),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2100),
    [aux_sym__keyword_case_token1] = ACTIONS(2102),
    [aux_sym__keyword_cast_token1] = ACTIONS(2104),
    [aux_sym__keyword_cast_token2] = ACTIONS(2104),
    [aux_sym__keyword_date_token1] = ACTIONS(2106),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2106),
    [aux_sym__keyword_time_token1] = ACTIONS(2106),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2106),
    [anon_sym_LPAREN] = ACTIONS(2108),
    [aux_sym_drop_notnull_token1] = ACTIONS(2110),
    [aux_sym_function_call_token2] = ACTIONS(2112),
    [aux_sym_unnest_operator_token1] = ACTIONS(2156),
    [aux_sym_TRUE_token1] = ACTIONS(2116),
    [aux_sym_FALSE_token1] = ACTIONS(2118),
    [sym__integer] = ACTIONS(2120),
    [aux_sym__float_token1] = ACTIONS(2122),
    [aux_sym__float_token2] = ACTIONS(2120),
    [aux_sym__float_token3] = ACTIONS(2122),
    [aux_sym_numeric_token1] = ACTIONS(2124),
    [aux_sym_numeric_token2] = ACTIONS(2124),
    [aux_sym_numeric_token3] = ACTIONS(2124),
    [aux_sym_numeric_token4] = ACTIONS(2124),
    [aux_sym_interval_token1] = ACTIONS(2126),
    [anon_sym_LBRACK] = ACTIONS(2128),
    [aux_sym_json_token1] = ACTIONS(2130),
    [sym_system_variable] = ACTIONS(2132),
    [sym__named_query_parameter] = ACTIONS(2134),
    [sym__positional_query_parameter] = ACTIONS(2136),
    [sym__quoted_identifier] = ACTIONS(1314),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2158),
    [anon_sym_PLUS] = ACTIONS(2160),
    [anon_sym_DASH] = ACTIONS(2160),
    [anon_sym_operator_compare] = ACTIONS(2142),
    [anon_sym_DOLLAR] = ACTIONS(2144),
    [sym__string_start] = ACTIONS(2146),
  },
  [1679] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16234),
    [sym__keyword_case] = STATE(345),
    [sym__keyword_not] = STATE(1679),
    [sym__keyword_cast] = STATE(19291),
    [sym__keyword_date] = STATE(3007),
    [sym__keyword_datetime] = STATE(3007),
    [sym__keyword_time] = STATE(3007),
    [sym__keyword_timestamp] = STATE(3007),
    [sym_select_subexpression] = STATE(3283),
    [sym_function_call] = STATE(3283),
    [sym_unnest_operator] = STATE(438),
    [sym_unnest_clause] = STATE(3283),
    [sym__literal] = STATE(3283),
    [sym_NULL] = STATE(3283),
    [sym_TRUE] = STATE(3283),
    [sym_FALSE] = STATE(3283),
    [sym__float] = STATE(3282),
    [sym_numeric] = STATE(3282),
    [sym__number] = STATE(3282),
    [sym_interval] = STATE(3283),
    [sym_range] = STATE(3283),
    [sym_time] = STATE(3283),
    [sym_number] = STATE(3283),
    [sym_json] = STATE(3283),
    [sym_query_parameter] = STATE(3283),
    [sym__type_chrono] = STATE(2957),
    [sym__type_struct] = STATE(19086),
    [sym__type_array] = STATE(18532),
    [sym_array] = STATE(3283),
    [sym_struct] = STATE(3283),
    [sym__identifier] = STATE(2993),
    [sym__dotted_identifier] = STATE(13495),
    [sym_identifier] = STATE(3030),
    [sym_string] = STATE(3283),
    [sym__expression] = STATE(2780),
    [sym__parenthesized_expression] = STATE(3283),
    [sym_element_access] = STATE(3283),
    [sym_field_access] = STATE(3283),
    [sym_unary_expression] = STATE(3283),
    [sym_binary_expression] = STATE(3283),
    [sym_between_operator] = STATE(3283),
    [sym_casewhen_expression] = STATE(3283),
    [sym_cast_expression] = STATE(3283),
    [sym_argument_reference] = STATE(3283),
    [aux_sym_identifier_repeat1] = STATE(13495),
    [sym__unquoted_identifier] = ACTIONS(1306),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2098),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2100),
    [aux_sym__keyword_case_token1] = ACTIONS(2102),
    [aux_sym__keyword_cast_token1] = ACTIONS(2104),
    [aux_sym__keyword_cast_token2] = ACTIONS(2104),
    [aux_sym__keyword_date_token1] = ACTIONS(2106),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2106),
    [aux_sym__keyword_time_token1] = ACTIONS(2106),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2106),
    [anon_sym_LPAREN] = ACTIONS(2108),
    [aux_sym_drop_notnull_token1] = ACTIONS(2110),
    [aux_sym_function_call_token2] = ACTIONS(2112),
    [aux_sym_unnest_operator_token1] = ACTIONS(2156),
    [aux_sym_TRUE_token1] = ACTIONS(2116),
    [aux_sym_FALSE_token1] = ACTIONS(2118),
    [sym__integer] = ACTIONS(2120),
    [aux_sym__float_token1] = ACTIONS(2122),
    [aux_sym__float_token2] = ACTIONS(2120),
    [aux_sym__float_token3] = ACTIONS(2122),
    [aux_sym_numeric_token1] = ACTIONS(2124),
    [aux_sym_numeric_token2] = ACTIONS(2124),
    [aux_sym_numeric_token3] = ACTIONS(2124),
    [aux_sym_numeric_token4] = ACTIONS(2124),
    [aux_sym_interval_token1] = ACTIONS(2126),
    [anon_sym_LBRACK] = ACTIONS(2128),
    [aux_sym_json_token1] = ACTIONS(2130),
    [sym_system_variable] = ACTIONS(2132),
    [sym__named_query_parameter] = ACTIONS(2134),
    [sym__positional_query_parameter] = ACTIONS(2136),
    [sym__quoted_identifier] = ACTIONS(1314),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2158),
    [anon_sym_PLUS] = ACTIONS(2160),
    [anon_sym_DASH] = ACTIONS(2160),
    [anon_sym_operator_compare] = ACTIONS(2142),
    [anon_sym_DOLLAR] = ACTIONS(2144),
    [sym__string_start] = ACTIONS(2146),
  },
  [1680] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16166),
    [sym__keyword_case] = STATE(299),
    [sym__keyword_not] = STATE(840),
    [sym__keyword_cast] = STATE(19301),
    [sym__keyword_date] = STATE(386),
    [sym__keyword_datetime] = STATE(386),
    [sym__keyword_time] = STATE(386),
    [sym__keyword_timestamp] = STATE(386),
    [sym_select_subexpression] = STATE(469),
    [sym_function_call] = STATE(469),
    [sym_unnest_operator] = STATE(10),
    [sym_unnest_clause] = STATE(469),
    [sym__literal] = STATE(469),
    [sym_NULL] = STATE(469),
    [sym_TRUE] = STATE(469),
    [sym_FALSE] = STATE(469),
    [sym__float] = STATE(472),
    [sym_numeric] = STATE(472),
    [sym__number] = STATE(472),
    [sym_interval] = STATE(469),
    [sym_range] = STATE(469),
    [sym_time] = STATE(469),
    [sym_number] = STATE(469),
    [sym_json] = STATE(469),
    [sym_query_parameter] = STATE(469),
    [sym__type_chrono] = STATE(371),
    [sym__type_struct] = STATE(19121),
    [sym__type_array] = STATE(18667),
    [sym_array] = STATE(469),
    [sym_struct] = STATE(469),
    [sym__identifier] = STATE(383),
    [sym__dotted_identifier] = STATE(13828),
    [sym_identifier] = STATE(477),
    [sym_string] = STATE(469),
    [sym__expression] = STATE(83),
    [sym__parenthesized_expression] = STATE(469),
    [sym_element_access] = STATE(469),
    [sym_field_access] = STATE(469),
    [sym_unary_expression] = STATE(469),
    [sym_binary_expression] = STATE(469),
    [sym_between_operator] = STATE(469),
    [sym_casewhen_expression] = STATE(469),
    [sym_cast_expression] = STATE(469),
    [sym_argument_reference] = STATE(469),
    [aux_sym_identifier_repeat1] = STATE(13828),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2314),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2316),
    [aux_sym__keyword_case_token1] = ACTIONS(2318),
    [aux_sym__keyword_cast_token1] = ACTIONS(2320),
    [aux_sym__keyword_cast_token2] = ACTIONS(2320),
    [aux_sym__keyword_date_token1] = ACTIONS(2322),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2322),
    [aux_sym__keyword_time_token1] = ACTIONS(2322),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(2324),
    [aux_sym_drop_notnull_token1] = ACTIONS(2326),
    [aux_sym_function_call_token2] = ACTIONS(2328),
    [aux_sym_unnest_operator_token1] = ACTIONS(2330),
    [aux_sym_TRUE_token1] = ACTIONS(2332),
    [aux_sym_FALSE_token1] = ACTIONS(2334),
    [sym__integer] = ACTIONS(2336),
    [aux_sym__float_token1] = ACTIONS(2338),
    [aux_sym__float_token2] = ACTIONS(2336),
    [aux_sym__float_token3] = ACTIONS(2338),
    [aux_sym_numeric_token1] = ACTIONS(2340),
    [aux_sym_numeric_token2] = ACTIONS(2340),
    [aux_sym_numeric_token3] = ACTIONS(2340),
    [aux_sym_numeric_token4] = ACTIONS(2340),
    [aux_sym_interval_token1] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2344),
    [aux_sym_json_token1] = ACTIONS(2346),
    [sym_system_variable] = ACTIONS(2348),
    [sym__named_query_parameter] = ACTIONS(2350),
    [sym__positional_query_parameter] = ACTIONS(2352),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2354),
    [anon_sym_PLUS] = ACTIONS(2356),
    [anon_sym_DASH] = ACTIONS(2356),
    [anon_sym_operator_compare] = ACTIONS(2358),
    [anon_sym_DOLLAR] = ACTIONS(2360),
    [sym__string_start] = ACTIONS(1512),
  },
  [1681] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16166),
    [sym__keyword_case] = STATE(299),
    [sym__keyword_not] = STATE(840),
    [sym__keyword_cast] = STATE(19301),
    [sym__keyword_date] = STATE(386),
    [sym__keyword_datetime] = STATE(386),
    [sym__keyword_time] = STATE(386),
    [sym__keyword_timestamp] = STATE(386),
    [sym_select_subexpression] = STATE(469),
    [sym_function_call] = STATE(469),
    [sym_unnest_operator] = STATE(10),
    [sym_unnest_clause] = STATE(469),
    [sym__literal] = STATE(469),
    [sym_NULL] = STATE(469),
    [sym_TRUE] = STATE(469),
    [sym_FALSE] = STATE(469),
    [sym__float] = STATE(472),
    [sym_numeric] = STATE(472),
    [sym__number] = STATE(472),
    [sym_interval] = STATE(469),
    [sym_range] = STATE(469),
    [sym_time] = STATE(469),
    [sym_number] = STATE(469),
    [sym_json] = STATE(469),
    [sym_query_parameter] = STATE(469),
    [sym__type_chrono] = STATE(371),
    [sym__type_struct] = STATE(19121),
    [sym__type_array] = STATE(18667),
    [sym_array] = STATE(469),
    [sym_struct] = STATE(469),
    [sym__identifier] = STATE(383),
    [sym__dotted_identifier] = STATE(13828),
    [sym_identifier] = STATE(477),
    [sym_string] = STATE(469),
    [sym__expression] = STATE(84),
    [sym__parenthesized_expression] = STATE(469),
    [sym_element_access] = STATE(469),
    [sym_field_access] = STATE(469),
    [sym_unary_expression] = STATE(469),
    [sym_binary_expression] = STATE(469),
    [sym_between_operator] = STATE(469),
    [sym_casewhen_expression] = STATE(469),
    [sym_cast_expression] = STATE(469),
    [sym_argument_reference] = STATE(469),
    [aux_sym_identifier_repeat1] = STATE(13828),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2314),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2316),
    [aux_sym__keyword_case_token1] = ACTIONS(2318),
    [aux_sym__keyword_cast_token1] = ACTIONS(2320),
    [aux_sym__keyword_cast_token2] = ACTIONS(2320),
    [aux_sym__keyword_date_token1] = ACTIONS(2322),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2322),
    [aux_sym__keyword_time_token1] = ACTIONS(2322),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(2324),
    [aux_sym_drop_notnull_token1] = ACTIONS(2326),
    [aux_sym_function_call_token2] = ACTIONS(2328),
    [aux_sym_unnest_operator_token1] = ACTIONS(2330),
    [aux_sym_TRUE_token1] = ACTIONS(2332),
    [aux_sym_FALSE_token1] = ACTIONS(2334),
    [sym__integer] = ACTIONS(2336),
    [aux_sym__float_token1] = ACTIONS(2338),
    [aux_sym__float_token2] = ACTIONS(2336),
    [aux_sym__float_token3] = ACTIONS(2338),
    [aux_sym_numeric_token1] = ACTIONS(2340),
    [aux_sym_numeric_token2] = ACTIONS(2340),
    [aux_sym_numeric_token3] = ACTIONS(2340),
    [aux_sym_numeric_token4] = ACTIONS(2340),
    [aux_sym_interval_token1] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2344),
    [aux_sym_json_token1] = ACTIONS(2346),
    [sym_system_variable] = ACTIONS(2348),
    [sym__named_query_parameter] = ACTIONS(2350),
    [sym__positional_query_parameter] = ACTIONS(2352),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2354),
    [anon_sym_PLUS] = ACTIONS(2356),
    [anon_sym_DASH] = ACTIONS(2356),
    [anon_sym_operator_compare] = ACTIONS(2358),
    [anon_sym_DOLLAR] = ACTIONS(2360),
    [sym__string_start] = ACTIONS(1512),
  },
  [1682] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(841),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2044),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(2994),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2406),
    [anon_sym_DASH] = ACTIONS(2406),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1683] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1357),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(391),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(2960),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(957),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(961),
    [anon_sym_DASH] = ACTIONS(961),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1684] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16166),
    [sym__keyword_case] = STATE(299),
    [sym__keyword_not] = STATE(840),
    [sym__keyword_cast] = STATE(19301),
    [sym__keyword_date] = STATE(386),
    [sym__keyword_datetime] = STATE(386),
    [sym__keyword_time] = STATE(386),
    [sym__keyword_timestamp] = STATE(386),
    [sym_select_subexpression] = STATE(469),
    [sym_function_call] = STATE(469),
    [sym_unnest_operator] = STATE(10),
    [sym_unnest_clause] = STATE(469),
    [sym__literal] = STATE(469),
    [sym_NULL] = STATE(469),
    [sym_TRUE] = STATE(469),
    [sym_FALSE] = STATE(469),
    [sym__float] = STATE(472),
    [sym_numeric] = STATE(472),
    [sym__number] = STATE(472),
    [sym_interval] = STATE(469),
    [sym_range] = STATE(469),
    [sym_time] = STATE(469),
    [sym_number] = STATE(469),
    [sym_json] = STATE(469),
    [sym_query_parameter] = STATE(469),
    [sym__type_chrono] = STATE(371),
    [sym__type_struct] = STATE(19121),
    [sym__type_array] = STATE(18667),
    [sym_array] = STATE(469),
    [sym_struct] = STATE(469),
    [sym__identifier] = STATE(383),
    [sym__dotted_identifier] = STATE(13828),
    [sym_identifier] = STATE(477),
    [sym_string] = STATE(469),
    [sym__expression] = STATE(92),
    [sym__parenthesized_expression] = STATE(469),
    [sym_element_access] = STATE(469),
    [sym_field_access] = STATE(469),
    [sym_unary_expression] = STATE(469),
    [sym_binary_expression] = STATE(469),
    [sym_between_operator] = STATE(469),
    [sym_casewhen_expression] = STATE(469),
    [sym_cast_expression] = STATE(469),
    [sym_argument_reference] = STATE(469),
    [aux_sym_identifier_repeat1] = STATE(13828),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2314),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2316),
    [aux_sym__keyword_case_token1] = ACTIONS(2318),
    [aux_sym__keyword_cast_token1] = ACTIONS(2320),
    [aux_sym__keyword_cast_token2] = ACTIONS(2320),
    [aux_sym__keyword_date_token1] = ACTIONS(2322),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2322),
    [aux_sym__keyword_time_token1] = ACTIONS(2322),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(2324),
    [aux_sym_drop_notnull_token1] = ACTIONS(2326),
    [aux_sym_function_call_token2] = ACTIONS(2328),
    [aux_sym_unnest_operator_token1] = ACTIONS(2330),
    [aux_sym_TRUE_token1] = ACTIONS(2332),
    [aux_sym_FALSE_token1] = ACTIONS(2334),
    [sym__integer] = ACTIONS(2336),
    [aux_sym__float_token1] = ACTIONS(2338),
    [aux_sym__float_token2] = ACTIONS(2336),
    [aux_sym__float_token3] = ACTIONS(2338),
    [aux_sym_numeric_token1] = ACTIONS(2340),
    [aux_sym_numeric_token2] = ACTIONS(2340),
    [aux_sym_numeric_token3] = ACTIONS(2340),
    [aux_sym_numeric_token4] = ACTIONS(2340),
    [aux_sym_interval_token1] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2344),
    [aux_sym_json_token1] = ACTIONS(2346),
    [sym_system_variable] = ACTIONS(2348),
    [sym__named_query_parameter] = ACTIONS(2350),
    [sym__positional_query_parameter] = ACTIONS(2352),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2354),
    [anon_sym_PLUS] = ACTIONS(2356),
    [anon_sym_DASH] = ACTIONS(2356),
    [anon_sym_operator_compare] = ACTIONS(2358),
    [anon_sym_DOLLAR] = ACTIONS(2360),
    [sym__string_start] = ACTIONS(1512),
  },
  [1685] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1784),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2484),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3592),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2420),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2426),
    [anon_sym_PLUS] = ACTIONS(2428),
    [anon_sym_DASH] = ACTIONS(2428),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1686] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16282),
    [sym__keyword_case] = STATE(374),
    [sym__keyword_not] = STATE(1750),
    [sym__keyword_cast] = STATE(19285),
    [sym__keyword_date] = STATE(10540),
    [sym__keyword_datetime] = STATE(10540),
    [sym__keyword_time] = STATE(10540),
    [sym__keyword_timestamp] = STATE(10540),
    [sym_select_subexpression] = STATE(10861),
    [sym_function_call] = STATE(10861),
    [sym_unnest_operator] = STATE(5588),
    [sym_unnest_clause] = STATE(10861),
    [sym__literal] = STATE(10861),
    [sym_NULL] = STATE(10861),
    [sym_TRUE] = STATE(10861),
    [sym_FALSE] = STATE(10861),
    [sym__float] = STATE(10863),
    [sym_numeric] = STATE(10863),
    [sym__number] = STATE(10863),
    [sym_interval] = STATE(10861),
    [sym_range] = STATE(10861),
    [sym_time] = STATE(10861),
    [sym_number] = STATE(10861),
    [sym_json] = STATE(10861),
    [sym_query_parameter] = STATE(10861),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19065),
    [sym__type_array] = STATE(18448),
    [sym_array] = STATE(10861),
    [sym_struct] = STATE(10861),
    [sym__identifier] = STATE(10536),
    [sym__dotted_identifier] = STATE(14157),
    [sym_identifier] = STATE(10772),
    [sym_string] = STATE(10861),
    [sym__expression] = STATE(8381),
    [sym__parenthesized_expression] = STATE(10861),
    [sym_element_access] = STATE(10861),
    [sym_field_access] = STATE(10861),
    [sym_unary_expression] = STATE(10861),
    [sym_binary_expression] = STATE(10861),
    [sym_between_operator] = STATE(10861),
    [sym_casewhen_expression] = STATE(10861),
    [sym_cast_expression] = STATE(10861),
    [sym_argument_reference] = STATE(10861),
    [aux_sym_identifier_repeat1] = STATE(14157),
    [sym__unquoted_identifier] = ACTIONS(2552),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2554),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2556),
    [aux_sym__keyword_case_token1] = ACTIONS(2558),
    [aux_sym__keyword_cast_token1] = ACTIONS(2560),
    [aux_sym__keyword_cast_token2] = ACTIONS(2560),
    [aux_sym__keyword_date_token1] = ACTIONS(2562),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2562),
    [aux_sym__keyword_time_token1] = ACTIONS(2562),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [aux_sym_drop_notnull_token1] = ACTIONS(2566),
    [aux_sym_function_call_token2] = ACTIONS(2568),
    [aux_sym_unnest_operator_token1] = ACTIONS(2658),
    [aux_sym_TRUE_token1] = ACTIONS(2570),
    [aux_sym_FALSE_token1] = ACTIONS(2572),
    [sym__integer] = ACTIONS(2574),
    [aux_sym__float_token1] = ACTIONS(2576),
    [aux_sym__float_token2] = ACTIONS(2574),
    [aux_sym__float_token3] = ACTIONS(2576),
    [aux_sym_numeric_token1] = ACTIONS(2578),
    [aux_sym_numeric_token2] = ACTIONS(2578),
    [aux_sym_numeric_token3] = ACTIONS(2578),
    [aux_sym_numeric_token4] = ACTIONS(2578),
    [aux_sym_interval_token1] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [aux_sym_json_token1] = ACTIONS(2584),
    [sym_system_variable] = ACTIONS(2586),
    [sym__named_query_parameter] = ACTIONS(2588),
    [sym__positional_query_parameter] = ACTIONS(2590),
    [sym__quoted_identifier] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2660),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_operator_compare] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [sym__string_start] = ACTIONS(2602),
  },
  [1687] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9698),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1688] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16298),
    [sym__keyword_case] = STATE(370),
    [sym__keyword_not] = STATE(1461),
    [sym__keyword_cast] = STATE(19281),
    [sym__keyword_date] = STATE(5984),
    [sym__keyword_datetime] = STATE(5984),
    [sym__keyword_time] = STATE(5984),
    [sym__keyword_timestamp] = STATE(5984),
    [sym_select_subexpression] = STATE(6583),
    [sym_function_call] = STATE(6583),
    [sym_unnest_operator] = STATE(5280),
    [sym_unnest_clause] = STATE(6583),
    [sym__literal] = STATE(6583),
    [sym_NULL] = STATE(6583),
    [sym_TRUE] = STATE(6583),
    [sym_FALSE] = STATE(6583),
    [sym__float] = STATE(6582),
    [sym_numeric] = STATE(6582),
    [sym__number] = STATE(6582),
    [sym_interval] = STATE(6583),
    [sym_range] = STATE(6583),
    [sym_time] = STATE(6583),
    [sym_number] = STATE(6583),
    [sym_json] = STATE(6583),
    [sym_query_parameter] = STATE(6583),
    [sym__type_chrono] = STATE(5709),
    [sym__type_struct] = STATE(19051),
    [sym__type_array] = STATE(18379),
    [sym_array] = STATE(6583),
    [sym_struct] = STATE(6583),
    [sym__identifier] = STATE(5940),
    [sym__dotted_identifier] = STATE(13302),
    [sym_identifier] = STATE(6280),
    [sym_string] = STATE(6583),
    [sym__expression] = STATE(5348),
    [sym__parenthesized_expression] = STATE(6583),
    [sym_element_access] = STATE(6583),
    [sym_field_access] = STATE(6583),
    [sym_unary_expression] = STATE(6583),
    [sym_binary_expression] = STATE(6583),
    [sym_between_operator] = STATE(6583),
    [sym_casewhen_expression] = STATE(6583),
    [sym_cast_expression] = STATE(6583),
    [sym_argument_reference] = STATE(6583),
    [aux_sym_identifier_repeat1] = STATE(13302),
    [sym__unquoted_identifier] = ACTIONS(491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(493),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(495),
    [aux_sym__keyword_case_token1] = ACTIONS(497),
    [aux_sym__keyword_cast_token1] = ACTIONS(499),
    [aux_sym__keyword_cast_token2] = ACTIONS(499),
    [aux_sym__keyword_date_token1] = ACTIONS(501),
    [aux_sym__keyword_datetime_token1] = ACTIONS(501),
    [aux_sym__keyword_time_token1] = ACTIONS(501),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(503),
    [aux_sym_drop_notnull_token1] = ACTIONS(505),
    [aux_sym_function_call_token2] = ACTIONS(507),
    [aux_sym_unnest_operator_token1] = ACTIONS(509),
    [aux_sym_TRUE_token1] = ACTIONS(511),
    [aux_sym_FALSE_token1] = ACTIONS(513),
    [sym__integer] = ACTIONS(515),
    [aux_sym__float_token1] = ACTIONS(517),
    [aux_sym__float_token2] = ACTIONS(515),
    [aux_sym__float_token3] = ACTIONS(517),
    [aux_sym_numeric_token1] = ACTIONS(519),
    [aux_sym_numeric_token2] = ACTIONS(519),
    [aux_sym_numeric_token3] = ACTIONS(519),
    [aux_sym_numeric_token4] = ACTIONS(519),
    [aux_sym_interval_token1] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(523),
    [aux_sym_json_token1] = ACTIONS(525),
    [sym_system_variable] = ACTIONS(527),
    [sym__named_query_parameter] = ACTIONS(529),
    [sym__positional_query_parameter] = ACTIONS(531),
    [sym__quoted_identifier] = ACTIONS(533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_operator_compare] = ACTIONS(539),
    [anon_sym_DOLLAR] = ACTIONS(541),
    [sym__string_start] = ACTIONS(543),
  },
  [1689] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16298),
    [sym__keyword_case] = STATE(370),
    [sym__keyword_not] = STATE(1461),
    [sym__keyword_cast] = STATE(19281),
    [sym__keyword_date] = STATE(5984),
    [sym__keyword_datetime] = STATE(5984),
    [sym__keyword_time] = STATE(5984),
    [sym__keyword_timestamp] = STATE(5984),
    [sym_select_subexpression] = STATE(6583),
    [sym_function_call] = STATE(6583),
    [sym_unnest_operator] = STATE(5280),
    [sym_unnest_clause] = STATE(6583),
    [sym__literal] = STATE(6583),
    [sym_NULL] = STATE(6583),
    [sym_TRUE] = STATE(6583),
    [sym_FALSE] = STATE(6583),
    [sym__float] = STATE(6582),
    [sym_numeric] = STATE(6582),
    [sym__number] = STATE(6582),
    [sym_interval] = STATE(6583),
    [sym_range] = STATE(6583),
    [sym_time] = STATE(6583),
    [sym_number] = STATE(6583),
    [sym_json] = STATE(6583),
    [sym_query_parameter] = STATE(6583),
    [sym__type_chrono] = STATE(5709),
    [sym__type_struct] = STATE(19051),
    [sym__type_array] = STATE(18379),
    [sym_array] = STATE(6583),
    [sym_struct] = STATE(6583),
    [sym__identifier] = STATE(5940),
    [sym__dotted_identifier] = STATE(13302),
    [sym_identifier] = STATE(6280),
    [sym_string] = STATE(6583),
    [sym__expression] = STATE(5350),
    [sym__parenthesized_expression] = STATE(6583),
    [sym_element_access] = STATE(6583),
    [sym_field_access] = STATE(6583),
    [sym_unary_expression] = STATE(6583),
    [sym_binary_expression] = STATE(6583),
    [sym_between_operator] = STATE(6583),
    [sym_casewhen_expression] = STATE(6583),
    [sym_cast_expression] = STATE(6583),
    [sym_argument_reference] = STATE(6583),
    [aux_sym_identifier_repeat1] = STATE(13302),
    [sym__unquoted_identifier] = ACTIONS(491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(493),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(495),
    [aux_sym__keyword_case_token1] = ACTIONS(497),
    [aux_sym__keyword_cast_token1] = ACTIONS(499),
    [aux_sym__keyword_cast_token2] = ACTIONS(499),
    [aux_sym__keyword_date_token1] = ACTIONS(501),
    [aux_sym__keyword_datetime_token1] = ACTIONS(501),
    [aux_sym__keyword_time_token1] = ACTIONS(501),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(503),
    [aux_sym_drop_notnull_token1] = ACTIONS(505),
    [aux_sym_function_call_token2] = ACTIONS(507),
    [aux_sym_unnest_operator_token1] = ACTIONS(509),
    [aux_sym_TRUE_token1] = ACTIONS(511),
    [aux_sym_FALSE_token1] = ACTIONS(513),
    [sym__integer] = ACTIONS(515),
    [aux_sym__float_token1] = ACTIONS(517),
    [aux_sym__float_token2] = ACTIONS(515),
    [aux_sym__float_token3] = ACTIONS(517),
    [aux_sym_numeric_token1] = ACTIONS(519),
    [aux_sym_numeric_token2] = ACTIONS(519),
    [aux_sym_numeric_token3] = ACTIONS(519),
    [aux_sym_numeric_token4] = ACTIONS(519),
    [aux_sym_interval_token1] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(523),
    [aux_sym_json_token1] = ACTIONS(525),
    [sym_system_variable] = ACTIONS(527),
    [sym__named_query_parameter] = ACTIONS(529),
    [sym__positional_query_parameter] = ACTIONS(531),
    [sym__quoted_identifier] = ACTIONS(533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(535),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_operator_compare] = ACTIONS(539),
    [anon_sym_DOLLAR] = ACTIONS(541),
    [sym__string_start] = ACTIONS(543),
  },
  [1690] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10193),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1691] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16325),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1073),
    [sym__keyword_cast] = STATE(19275),
    [sym__keyword_date] = STATE(9495),
    [sym__keyword_datetime] = STATE(9495),
    [sym__keyword_time] = STATE(9495),
    [sym__keyword_timestamp] = STATE(9495),
    [sym_select_subexpression] = STATE(10495),
    [sym_function_call] = STATE(10495),
    [sym_unnest_operator] = STATE(6473),
    [sym_unnest_clause] = STATE(10495),
    [sym__literal] = STATE(10495),
    [sym_NULL] = STATE(10495),
    [sym_TRUE] = STATE(10495),
    [sym_FALSE] = STATE(10495),
    [sym__float] = STATE(10492),
    [sym_numeric] = STATE(10492),
    [sym__number] = STATE(10492),
    [sym_interval] = STATE(10495),
    [sym_range] = STATE(10495),
    [sym_time] = STATE(10495),
    [sym_number] = STATE(10495),
    [sym_json] = STATE(10495),
    [sym_query_parameter] = STATE(10495),
    [sym__type_chrono] = STATE(8422),
    [sym__type_struct] = STATE(19027),
    [sym__type_array] = STATE(18285),
    [sym_array] = STATE(10495),
    [sym_struct] = STATE(10495),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9694),
    [sym_string] = STATE(10495),
    [sym__expression] = STATE(9715),
    [sym__parenthesized_expression] = STATE(10495),
    [sym_element_access] = STATE(10495),
    [sym_field_access] = STATE(10495),
    [sym_unary_expression] = STATE(10495),
    [sym_binary_expression] = STATE(10495),
    [sym_between_operator] = STATE(10495),
    [sym_casewhen_expression] = STATE(10495),
    [sym_cast_expression] = STATE(10495),
    [sym_argument_reference] = STATE(10495),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2042),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2044),
    [aux_sym__keyword_case_token1] = ACTIONS(2046),
    [aux_sym__keyword_cast_token1] = ACTIONS(2048),
    [aux_sym__keyword_cast_token2] = ACTIONS(2048),
    [aux_sym__keyword_date_token1] = ACTIONS(2050),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2050),
    [aux_sym__keyword_time_token1] = ACTIONS(2050),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [aux_sym_drop_notnull_token1] = ACTIONS(2054),
    [aux_sym_function_call_token2] = ACTIONS(2056),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2060),
    [aux_sym_FALSE_token1] = ACTIONS(2062),
    [sym__integer] = ACTIONS(2064),
    [aux_sym__float_token1] = ACTIONS(2066),
    [aux_sym__float_token2] = ACTIONS(2064),
    [aux_sym__float_token3] = ACTIONS(2066),
    [aux_sym_numeric_token1] = ACTIONS(2068),
    [aux_sym_numeric_token2] = ACTIONS(2068),
    [aux_sym_numeric_token3] = ACTIONS(2068),
    [aux_sym_numeric_token4] = ACTIONS(2068),
    [aux_sym_interval_token1] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_json_token1] = ACTIONS(2074),
    [sym_system_variable] = ACTIONS(2076),
    [sym__named_query_parameter] = ACTIONS(2078),
    [sym__positional_query_parameter] = ACTIONS(2080),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_operator_compare] = ACTIONS(2086),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [sym__string_start] = ACTIONS(2090),
  },
  [1692] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16234),
    [sym__keyword_case] = STATE(345),
    [sym__keyword_not] = STATE(1679),
    [sym__keyword_cast] = STATE(19291),
    [sym__keyword_date] = STATE(3007),
    [sym__keyword_datetime] = STATE(3007),
    [sym__keyword_time] = STATE(3007),
    [sym__keyword_timestamp] = STATE(3007),
    [sym_select_subexpression] = STATE(3283),
    [sym_function_call] = STATE(3283),
    [sym_unnest_operator] = STATE(438),
    [sym_unnest_clause] = STATE(3283),
    [sym__literal] = STATE(3283),
    [sym_NULL] = STATE(3283),
    [sym_TRUE] = STATE(3283),
    [sym_FALSE] = STATE(3283),
    [sym__float] = STATE(3282),
    [sym_numeric] = STATE(3282),
    [sym__number] = STATE(3282),
    [sym_interval] = STATE(3283),
    [sym_range] = STATE(3283),
    [sym_time] = STATE(3283),
    [sym_number] = STATE(3283),
    [sym_json] = STATE(3283),
    [sym_query_parameter] = STATE(3283),
    [sym__type_chrono] = STATE(2957),
    [sym__type_struct] = STATE(19086),
    [sym__type_array] = STATE(18532),
    [sym_array] = STATE(3283),
    [sym_struct] = STATE(3283),
    [sym__identifier] = STATE(2993),
    [sym__dotted_identifier] = STATE(13495),
    [sym_identifier] = STATE(3030),
    [sym_string] = STATE(3283),
    [sym__expression] = STATE(2769),
    [sym__parenthesized_expression] = STATE(3283),
    [sym_element_access] = STATE(3283),
    [sym_field_access] = STATE(3283),
    [sym_unary_expression] = STATE(3283),
    [sym_binary_expression] = STATE(3283),
    [sym_between_operator] = STATE(3283),
    [sym_casewhen_expression] = STATE(3283),
    [sym_cast_expression] = STATE(3283),
    [sym_argument_reference] = STATE(3283),
    [aux_sym_identifier_repeat1] = STATE(13495),
    [sym__unquoted_identifier] = ACTIONS(1306),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2098),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2100),
    [aux_sym__keyword_case_token1] = ACTIONS(2102),
    [aux_sym__keyword_cast_token1] = ACTIONS(2104),
    [aux_sym__keyword_cast_token2] = ACTIONS(2104),
    [aux_sym__keyword_date_token1] = ACTIONS(2106),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2106),
    [aux_sym__keyword_time_token1] = ACTIONS(2106),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2106),
    [anon_sym_LPAREN] = ACTIONS(2108),
    [aux_sym_drop_notnull_token1] = ACTIONS(2110),
    [aux_sym_function_call_token2] = ACTIONS(2112),
    [aux_sym_unnest_operator_token1] = ACTIONS(2156),
    [aux_sym_TRUE_token1] = ACTIONS(2116),
    [aux_sym_FALSE_token1] = ACTIONS(2118),
    [sym__integer] = ACTIONS(2120),
    [aux_sym__float_token1] = ACTIONS(2122),
    [aux_sym__float_token2] = ACTIONS(2120),
    [aux_sym__float_token3] = ACTIONS(2122),
    [aux_sym_numeric_token1] = ACTIONS(2124),
    [aux_sym_numeric_token2] = ACTIONS(2124),
    [aux_sym_numeric_token3] = ACTIONS(2124),
    [aux_sym_numeric_token4] = ACTIONS(2124),
    [aux_sym_interval_token1] = ACTIONS(2126),
    [anon_sym_LBRACK] = ACTIONS(2128),
    [aux_sym_json_token1] = ACTIONS(2130),
    [sym_system_variable] = ACTIONS(2132),
    [sym__named_query_parameter] = ACTIONS(2134),
    [sym__positional_query_parameter] = ACTIONS(2136),
    [sym__quoted_identifier] = ACTIONS(1314),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2158),
    [anon_sym_PLUS] = ACTIONS(2160),
    [anon_sym_DASH] = ACTIONS(2160),
    [anon_sym_operator_compare] = ACTIONS(2142),
    [anon_sym_DOLLAR] = ACTIONS(2144),
    [sym__string_start] = ACTIONS(2146),
  },
  [1693] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16234),
    [sym__keyword_case] = STATE(345),
    [sym__keyword_not] = STATE(1679),
    [sym__keyword_cast] = STATE(19291),
    [sym__keyword_date] = STATE(3007),
    [sym__keyword_datetime] = STATE(3007),
    [sym__keyword_time] = STATE(3007),
    [sym__keyword_timestamp] = STATE(3007),
    [sym_select_subexpression] = STATE(3283),
    [sym_function_call] = STATE(3283),
    [sym_unnest_operator] = STATE(438),
    [sym_unnest_clause] = STATE(3283),
    [sym__literal] = STATE(3283),
    [sym_NULL] = STATE(3283),
    [sym_TRUE] = STATE(3283),
    [sym_FALSE] = STATE(3283),
    [sym__float] = STATE(3282),
    [sym_numeric] = STATE(3282),
    [sym__number] = STATE(3282),
    [sym_interval] = STATE(3283),
    [sym_range] = STATE(3283),
    [sym_time] = STATE(3283),
    [sym_number] = STATE(3283),
    [sym_json] = STATE(3283),
    [sym_query_parameter] = STATE(3283),
    [sym__type_chrono] = STATE(2957),
    [sym__type_struct] = STATE(19086),
    [sym__type_array] = STATE(18532),
    [sym_array] = STATE(3283),
    [sym_struct] = STATE(3283),
    [sym__identifier] = STATE(2993),
    [sym__dotted_identifier] = STATE(13495),
    [sym_identifier] = STATE(3030),
    [sym_string] = STATE(3283),
    [sym__expression] = STATE(2786),
    [sym__parenthesized_expression] = STATE(3283),
    [sym_element_access] = STATE(3283),
    [sym_field_access] = STATE(3283),
    [sym_unary_expression] = STATE(3283),
    [sym_binary_expression] = STATE(3283),
    [sym_between_operator] = STATE(3283),
    [sym_casewhen_expression] = STATE(3283),
    [sym_cast_expression] = STATE(3283),
    [sym_argument_reference] = STATE(3283),
    [aux_sym_identifier_repeat1] = STATE(13495),
    [sym__unquoted_identifier] = ACTIONS(1306),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2098),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2100),
    [aux_sym__keyword_case_token1] = ACTIONS(2102),
    [aux_sym__keyword_cast_token1] = ACTIONS(2104),
    [aux_sym__keyword_cast_token2] = ACTIONS(2104),
    [aux_sym__keyword_date_token1] = ACTIONS(2106),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2106),
    [aux_sym__keyword_time_token1] = ACTIONS(2106),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2106),
    [anon_sym_LPAREN] = ACTIONS(2108),
    [aux_sym_drop_notnull_token1] = ACTIONS(2110),
    [aux_sym_function_call_token2] = ACTIONS(2112),
    [aux_sym_unnest_operator_token1] = ACTIONS(2156),
    [aux_sym_TRUE_token1] = ACTIONS(2116),
    [aux_sym_FALSE_token1] = ACTIONS(2118),
    [sym__integer] = ACTIONS(2120),
    [aux_sym__float_token1] = ACTIONS(2122),
    [aux_sym__float_token2] = ACTIONS(2120),
    [aux_sym__float_token3] = ACTIONS(2122),
    [aux_sym_numeric_token1] = ACTIONS(2124),
    [aux_sym_numeric_token2] = ACTIONS(2124),
    [aux_sym_numeric_token3] = ACTIONS(2124),
    [aux_sym_numeric_token4] = ACTIONS(2124),
    [aux_sym_interval_token1] = ACTIONS(2126),
    [anon_sym_LBRACK] = ACTIONS(2128),
    [aux_sym_json_token1] = ACTIONS(2130),
    [sym_system_variable] = ACTIONS(2132),
    [sym__named_query_parameter] = ACTIONS(2134),
    [sym__positional_query_parameter] = ACTIONS(2136),
    [sym__quoted_identifier] = ACTIONS(1314),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2158),
    [anon_sym_PLUS] = ACTIONS(2160),
    [anon_sym_DASH] = ACTIONS(2160),
    [anon_sym_operator_compare] = ACTIONS(2142),
    [anon_sym_DOLLAR] = ACTIONS(2144),
    [sym__string_start] = ACTIONS(2146),
  },
  [1694] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16234),
    [sym__keyword_case] = STATE(345),
    [sym__keyword_not] = STATE(1679),
    [sym__keyword_cast] = STATE(19291),
    [sym__keyword_date] = STATE(3007),
    [sym__keyword_datetime] = STATE(3007),
    [sym__keyword_time] = STATE(3007),
    [sym__keyword_timestamp] = STATE(3007),
    [sym_select_subexpression] = STATE(3283),
    [sym_function_call] = STATE(3283),
    [sym_unnest_operator] = STATE(438),
    [sym_unnest_clause] = STATE(3283),
    [sym__literal] = STATE(3283),
    [sym_NULL] = STATE(3283),
    [sym_TRUE] = STATE(3283),
    [sym_FALSE] = STATE(3283),
    [sym__float] = STATE(3282),
    [sym_numeric] = STATE(3282),
    [sym__number] = STATE(3282),
    [sym_interval] = STATE(3283),
    [sym_range] = STATE(3283),
    [sym_time] = STATE(3283),
    [sym_number] = STATE(3283),
    [sym_json] = STATE(3283),
    [sym_query_parameter] = STATE(3283),
    [sym__type_chrono] = STATE(2957),
    [sym__type_struct] = STATE(19086),
    [sym__type_array] = STATE(18532),
    [sym_array] = STATE(3283),
    [sym_struct] = STATE(3283),
    [sym__identifier] = STATE(2993),
    [sym__dotted_identifier] = STATE(13495),
    [sym_identifier] = STATE(3030),
    [sym_string] = STATE(3283),
    [sym__expression] = STATE(2775),
    [sym__parenthesized_expression] = STATE(3283),
    [sym_element_access] = STATE(3283),
    [sym_field_access] = STATE(3283),
    [sym_unary_expression] = STATE(3283),
    [sym_binary_expression] = STATE(3283),
    [sym_between_operator] = STATE(3283),
    [sym_casewhen_expression] = STATE(3283),
    [sym_cast_expression] = STATE(3283),
    [sym_argument_reference] = STATE(3283),
    [aux_sym_identifier_repeat1] = STATE(13495),
    [sym__unquoted_identifier] = ACTIONS(1306),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2098),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2100),
    [aux_sym__keyword_case_token1] = ACTIONS(2102),
    [aux_sym__keyword_cast_token1] = ACTIONS(2104),
    [aux_sym__keyword_cast_token2] = ACTIONS(2104),
    [aux_sym__keyword_date_token1] = ACTIONS(2106),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2106),
    [aux_sym__keyword_time_token1] = ACTIONS(2106),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2106),
    [anon_sym_LPAREN] = ACTIONS(2108),
    [aux_sym_drop_notnull_token1] = ACTIONS(2110),
    [aux_sym_function_call_token2] = ACTIONS(2112),
    [aux_sym_unnest_operator_token1] = ACTIONS(2156),
    [aux_sym_TRUE_token1] = ACTIONS(2116),
    [aux_sym_FALSE_token1] = ACTIONS(2118),
    [sym__integer] = ACTIONS(2120),
    [aux_sym__float_token1] = ACTIONS(2122),
    [aux_sym__float_token2] = ACTIONS(2120),
    [aux_sym__float_token3] = ACTIONS(2122),
    [aux_sym_numeric_token1] = ACTIONS(2124),
    [aux_sym_numeric_token2] = ACTIONS(2124),
    [aux_sym_numeric_token3] = ACTIONS(2124),
    [aux_sym_numeric_token4] = ACTIONS(2124),
    [aux_sym_interval_token1] = ACTIONS(2126),
    [anon_sym_LBRACK] = ACTIONS(2128),
    [aux_sym_json_token1] = ACTIONS(2130),
    [sym_system_variable] = ACTIONS(2132),
    [sym__named_query_parameter] = ACTIONS(2134),
    [sym__positional_query_parameter] = ACTIONS(2136),
    [sym__quoted_identifier] = ACTIONS(1314),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2158),
    [anon_sym_PLUS] = ACTIONS(2160),
    [anon_sym_DASH] = ACTIONS(2160),
    [anon_sym_operator_compare] = ACTIONS(2142),
    [anon_sym_DOLLAR] = ACTIONS(2144),
    [sym__string_start] = ACTIONS(2146),
  },
  [1695] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16234),
    [sym__keyword_case] = STATE(345),
    [sym__keyword_not] = STATE(1679),
    [sym__keyword_cast] = STATE(19291),
    [sym__keyword_date] = STATE(3007),
    [sym__keyword_datetime] = STATE(3007),
    [sym__keyword_time] = STATE(3007),
    [sym__keyword_timestamp] = STATE(3007),
    [sym_select_subexpression] = STATE(3283),
    [sym_function_call] = STATE(3283),
    [sym_unnest_operator] = STATE(438),
    [sym_unnest_clause] = STATE(3283),
    [sym__literal] = STATE(3283),
    [sym_NULL] = STATE(3283),
    [sym_TRUE] = STATE(3283),
    [sym_FALSE] = STATE(3283),
    [sym__float] = STATE(3282),
    [sym_numeric] = STATE(3282),
    [sym__number] = STATE(3282),
    [sym_interval] = STATE(3283),
    [sym_range] = STATE(3283),
    [sym_time] = STATE(3283),
    [sym_number] = STATE(3283),
    [sym_json] = STATE(3283),
    [sym_query_parameter] = STATE(3283),
    [sym__type_chrono] = STATE(2957),
    [sym__type_struct] = STATE(19086),
    [sym__type_array] = STATE(18532),
    [sym_array] = STATE(3283),
    [sym_struct] = STATE(3283),
    [sym__identifier] = STATE(2993),
    [sym__dotted_identifier] = STATE(13495),
    [sym_identifier] = STATE(3030),
    [sym_string] = STATE(3283),
    [sym__expression] = STATE(2772),
    [sym__parenthesized_expression] = STATE(3283),
    [sym_element_access] = STATE(3283),
    [sym_field_access] = STATE(3283),
    [sym_unary_expression] = STATE(3283),
    [sym_binary_expression] = STATE(3283),
    [sym_between_operator] = STATE(3283),
    [sym_casewhen_expression] = STATE(3283),
    [sym_cast_expression] = STATE(3283),
    [sym_argument_reference] = STATE(3283),
    [aux_sym_identifier_repeat1] = STATE(13495),
    [sym__unquoted_identifier] = ACTIONS(1306),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2098),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2100),
    [aux_sym__keyword_case_token1] = ACTIONS(2102),
    [aux_sym__keyword_cast_token1] = ACTIONS(2104),
    [aux_sym__keyword_cast_token2] = ACTIONS(2104),
    [aux_sym__keyword_date_token1] = ACTIONS(2106),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2106),
    [aux_sym__keyword_time_token1] = ACTIONS(2106),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2106),
    [anon_sym_LPAREN] = ACTIONS(2108),
    [aux_sym_drop_notnull_token1] = ACTIONS(2110),
    [aux_sym_function_call_token2] = ACTIONS(2112),
    [aux_sym_unnest_operator_token1] = ACTIONS(2156),
    [aux_sym_TRUE_token1] = ACTIONS(2116),
    [aux_sym_FALSE_token1] = ACTIONS(2118),
    [sym__integer] = ACTIONS(2120),
    [aux_sym__float_token1] = ACTIONS(2122),
    [aux_sym__float_token2] = ACTIONS(2120),
    [aux_sym__float_token3] = ACTIONS(2122),
    [aux_sym_numeric_token1] = ACTIONS(2124),
    [aux_sym_numeric_token2] = ACTIONS(2124),
    [aux_sym_numeric_token3] = ACTIONS(2124),
    [aux_sym_numeric_token4] = ACTIONS(2124),
    [aux_sym_interval_token1] = ACTIONS(2126),
    [anon_sym_LBRACK] = ACTIONS(2128),
    [aux_sym_json_token1] = ACTIONS(2130),
    [sym_system_variable] = ACTIONS(2132),
    [sym__named_query_parameter] = ACTIONS(2134),
    [sym__positional_query_parameter] = ACTIONS(2136),
    [sym__quoted_identifier] = ACTIONS(1314),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2158),
    [anon_sym_PLUS] = ACTIONS(2160),
    [anon_sym_DASH] = ACTIONS(2160),
    [anon_sym_operator_compare] = ACTIONS(2142),
    [anon_sym_DOLLAR] = ACTIONS(2144),
    [sym__string_start] = ACTIONS(2146),
  },
  [1696] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2486),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(4392),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2418),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1697] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16234),
    [sym__keyword_case] = STATE(345),
    [sym__keyword_not] = STATE(1679),
    [sym__keyword_cast] = STATE(19291),
    [sym__keyword_date] = STATE(3007),
    [sym__keyword_datetime] = STATE(3007),
    [sym__keyword_time] = STATE(3007),
    [sym__keyword_timestamp] = STATE(3007),
    [sym_select_subexpression] = STATE(3283),
    [sym_function_call] = STATE(3283),
    [sym_unnest_operator] = STATE(438),
    [sym_unnest_clause] = STATE(3283),
    [sym__literal] = STATE(3283),
    [sym_NULL] = STATE(3283),
    [sym_TRUE] = STATE(3283),
    [sym_FALSE] = STATE(3283),
    [sym__float] = STATE(3282),
    [sym_numeric] = STATE(3282),
    [sym__number] = STATE(3282),
    [sym_interval] = STATE(3283),
    [sym_range] = STATE(3283),
    [sym_time] = STATE(3283),
    [sym_number] = STATE(3283),
    [sym_json] = STATE(3283),
    [sym_query_parameter] = STATE(3283),
    [sym__type_chrono] = STATE(2957),
    [sym__type_struct] = STATE(19086),
    [sym__type_array] = STATE(18532),
    [sym_array] = STATE(3283),
    [sym_struct] = STATE(3283),
    [sym__identifier] = STATE(2993),
    [sym__dotted_identifier] = STATE(13495),
    [sym_identifier] = STATE(3030),
    [sym_string] = STATE(3283),
    [sym__expression] = STATE(2783),
    [sym__parenthesized_expression] = STATE(3283),
    [sym_element_access] = STATE(3283),
    [sym_field_access] = STATE(3283),
    [sym_unary_expression] = STATE(3283),
    [sym_binary_expression] = STATE(3283),
    [sym_between_operator] = STATE(3283),
    [sym_casewhen_expression] = STATE(3283),
    [sym_cast_expression] = STATE(3283),
    [sym_argument_reference] = STATE(3283),
    [aux_sym_identifier_repeat1] = STATE(13495),
    [sym__unquoted_identifier] = ACTIONS(1306),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2098),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2100),
    [aux_sym__keyword_case_token1] = ACTIONS(2102),
    [aux_sym__keyword_cast_token1] = ACTIONS(2104),
    [aux_sym__keyword_cast_token2] = ACTIONS(2104),
    [aux_sym__keyword_date_token1] = ACTIONS(2106),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2106),
    [aux_sym__keyword_time_token1] = ACTIONS(2106),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2106),
    [anon_sym_LPAREN] = ACTIONS(2108),
    [aux_sym_drop_notnull_token1] = ACTIONS(2110),
    [aux_sym_function_call_token2] = ACTIONS(2112),
    [aux_sym_unnest_operator_token1] = ACTIONS(2156),
    [aux_sym_TRUE_token1] = ACTIONS(2116),
    [aux_sym_FALSE_token1] = ACTIONS(2118),
    [sym__integer] = ACTIONS(2120),
    [aux_sym__float_token1] = ACTIONS(2122),
    [aux_sym__float_token2] = ACTIONS(2120),
    [aux_sym__float_token3] = ACTIONS(2122),
    [aux_sym_numeric_token1] = ACTIONS(2124),
    [aux_sym_numeric_token2] = ACTIONS(2124),
    [aux_sym_numeric_token3] = ACTIONS(2124),
    [aux_sym_numeric_token4] = ACTIONS(2124),
    [aux_sym_interval_token1] = ACTIONS(2126),
    [anon_sym_LBRACK] = ACTIONS(2128),
    [aux_sym_json_token1] = ACTIONS(2130),
    [sym_system_variable] = ACTIONS(2132),
    [sym__named_query_parameter] = ACTIONS(2134),
    [sym__positional_query_parameter] = ACTIONS(2136),
    [sym__quoted_identifier] = ACTIONS(1314),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2158),
    [anon_sym_PLUS] = ACTIONS(2160),
    [anon_sym_DASH] = ACTIONS(2160),
    [anon_sym_operator_compare] = ACTIONS(2142),
    [anon_sym_DOLLAR] = ACTIONS(2144),
    [sym__string_start] = ACTIONS(2146),
  },
  [1698] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16234),
    [sym__keyword_case] = STATE(345),
    [sym__keyword_not] = STATE(1679),
    [sym__keyword_cast] = STATE(19291),
    [sym__keyword_date] = STATE(3007),
    [sym__keyword_datetime] = STATE(3007),
    [sym__keyword_time] = STATE(3007),
    [sym__keyword_timestamp] = STATE(3007),
    [sym_select_subexpression] = STATE(3283),
    [sym_function_call] = STATE(3283),
    [sym_unnest_operator] = STATE(438),
    [sym_unnest_clause] = STATE(3283),
    [sym__literal] = STATE(3283),
    [sym_NULL] = STATE(3283),
    [sym_TRUE] = STATE(3283),
    [sym_FALSE] = STATE(3283),
    [sym__float] = STATE(3282),
    [sym_numeric] = STATE(3282),
    [sym__number] = STATE(3282),
    [sym_interval] = STATE(3283),
    [sym_range] = STATE(3283),
    [sym_time] = STATE(3283),
    [sym_number] = STATE(3283),
    [sym_json] = STATE(3283),
    [sym_query_parameter] = STATE(3283),
    [sym__type_chrono] = STATE(2957),
    [sym__type_struct] = STATE(19086),
    [sym__type_array] = STATE(18532),
    [sym_array] = STATE(3283),
    [sym_struct] = STATE(3283),
    [sym__identifier] = STATE(2993),
    [sym__dotted_identifier] = STATE(13495),
    [sym_identifier] = STATE(3030),
    [sym_string] = STATE(3283),
    [sym__expression] = STATE(2782),
    [sym__parenthesized_expression] = STATE(3283),
    [sym_element_access] = STATE(3283),
    [sym_field_access] = STATE(3283),
    [sym_unary_expression] = STATE(3283),
    [sym_binary_expression] = STATE(3283),
    [sym_between_operator] = STATE(3283),
    [sym_casewhen_expression] = STATE(3283),
    [sym_cast_expression] = STATE(3283),
    [sym_argument_reference] = STATE(3283),
    [aux_sym_identifier_repeat1] = STATE(13495),
    [sym__unquoted_identifier] = ACTIONS(1306),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2098),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2100),
    [aux_sym__keyword_case_token1] = ACTIONS(2102),
    [aux_sym__keyword_cast_token1] = ACTIONS(2104),
    [aux_sym__keyword_cast_token2] = ACTIONS(2104),
    [aux_sym__keyword_date_token1] = ACTIONS(2106),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2106),
    [aux_sym__keyword_time_token1] = ACTIONS(2106),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2106),
    [anon_sym_LPAREN] = ACTIONS(2108),
    [aux_sym_drop_notnull_token1] = ACTIONS(2110),
    [aux_sym_function_call_token2] = ACTIONS(2112),
    [aux_sym_unnest_operator_token1] = ACTIONS(2156),
    [aux_sym_TRUE_token1] = ACTIONS(2116),
    [aux_sym_FALSE_token1] = ACTIONS(2118),
    [sym__integer] = ACTIONS(2120),
    [aux_sym__float_token1] = ACTIONS(2122),
    [aux_sym__float_token2] = ACTIONS(2120),
    [aux_sym__float_token3] = ACTIONS(2122),
    [aux_sym_numeric_token1] = ACTIONS(2124),
    [aux_sym_numeric_token2] = ACTIONS(2124),
    [aux_sym_numeric_token3] = ACTIONS(2124),
    [aux_sym_numeric_token4] = ACTIONS(2124),
    [aux_sym_interval_token1] = ACTIONS(2126),
    [anon_sym_LBRACK] = ACTIONS(2128),
    [aux_sym_json_token1] = ACTIONS(2130),
    [sym_system_variable] = ACTIONS(2132),
    [sym__named_query_parameter] = ACTIONS(2134),
    [sym__positional_query_parameter] = ACTIONS(2136),
    [sym__quoted_identifier] = ACTIONS(1314),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2158),
    [anon_sym_PLUS] = ACTIONS(2160),
    [anon_sym_DASH] = ACTIONS(2160),
    [anon_sym_operator_compare] = ACTIONS(2142),
    [anon_sym_DOLLAR] = ACTIONS(2144),
    [sym__string_start] = ACTIONS(2146),
  },
  [1699] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9722),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1700] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16234),
    [sym__keyword_case] = STATE(345),
    [sym__keyword_not] = STATE(1679),
    [sym__keyword_cast] = STATE(19291),
    [sym__keyword_date] = STATE(3007),
    [sym__keyword_datetime] = STATE(3007),
    [sym__keyword_time] = STATE(3007),
    [sym__keyword_timestamp] = STATE(3007),
    [sym_select_subexpression] = STATE(3283),
    [sym_function_call] = STATE(3283),
    [sym_unnest_operator] = STATE(438),
    [sym_unnest_clause] = STATE(3283),
    [sym__literal] = STATE(3283),
    [sym_NULL] = STATE(3283),
    [sym_TRUE] = STATE(3283),
    [sym_FALSE] = STATE(3283),
    [sym__float] = STATE(3282),
    [sym_numeric] = STATE(3282),
    [sym__number] = STATE(3282),
    [sym_interval] = STATE(3283),
    [sym_range] = STATE(3283),
    [sym_time] = STATE(3283),
    [sym_number] = STATE(3283),
    [sym_json] = STATE(3283),
    [sym_query_parameter] = STATE(3283),
    [sym__type_chrono] = STATE(2957),
    [sym__type_struct] = STATE(19086),
    [sym__type_array] = STATE(18532),
    [sym_array] = STATE(3283),
    [sym_struct] = STATE(3283),
    [sym__identifier] = STATE(2993),
    [sym__dotted_identifier] = STATE(13495),
    [sym_identifier] = STATE(3030),
    [sym_string] = STATE(3283),
    [sym__expression] = STATE(2781),
    [sym__parenthesized_expression] = STATE(3283),
    [sym_element_access] = STATE(3283),
    [sym_field_access] = STATE(3283),
    [sym_unary_expression] = STATE(3283),
    [sym_binary_expression] = STATE(3283),
    [sym_between_operator] = STATE(3283),
    [sym_casewhen_expression] = STATE(3283),
    [sym_cast_expression] = STATE(3283),
    [sym_argument_reference] = STATE(3283),
    [aux_sym_identifier_repeat1] = STATE(13495),
    [sym__unquoted_identifier] = ACTIONS(1306),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2098),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2100),
    [aux_sym__keyword_case_token1] = ACTIONS(2102),
    [aux_sym__keyword_cast_token1] = ACTIONS(2104),
    [aux_sym__keyword_cast_token2] = ACTIONS(2104),
    [aux_sym__keyword_date_token1] = ACTIONS(2106),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2106),
    [aux_sym__keyword_time_token1] = ACTIONS(2106),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2106),
    [anon_sym_LPAREN] = ACTIONS(2108),
    [aux_sym_drop_notnull_token1] = ACTIONS(2110),
    [aux_sym_function_call_token2] = ACTIONS(2112),
    [aux_sym_unnest_operator_token1] = ACTIONS(2156),
    [aux_sym_TRUE_token1] = ACTIONS(2116),
    [aux_sym_FALSE_token1] = ACTIONS(2118),
    [sym__integer] = ACTIONS(2120),
    [aux_sym__float_token1] = ACTIONS(2122),
    [aux_sym__float_token2] = ACTIONS(2120),
    [aux_sym__float_token3] = ACTIONS(2122),
    [aux_sym_numeric_token1] = ACTIONS(2124),
    [aux_sym_numeric_token2] = ACTIONS(2124),
    [aux_sym_numeric_token3] = ACTIONS(2124),
    [aux_sym_numeric_token4] = ACTIONS(2124),
    [aux_sym_interval_token1] = ACTIONS(2126),
    [anon_sym_LBRACK] = ACTIONS(2128),
    [aux_sym_json_token1] = ACTIONS(2130),
    [sym_system_variable] = ACTIONS(2132),
    [sym__named_query_parameter] = ACTIONS(2134),
    [sym__positional_query_parameter] = ACTIONS(2136),
    [sym__quoted_identifier] = ACTIONS(1314),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2158),
    [anon_sym_PLUS] = ACTIONS(2160),
    [anon_sym_DASH] = ACTIONS(2160),
    [anon_sym_operator_compare] = ACTIONS(2142),
    [anon_sym_DOLLAR] = ACTIONS(2144),
    [sym__string_start] = ACTIONS(2146),
  },
  [1701] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16166),
    [sym__keyword_case] = STATE(299),
    [sym__keyword_not] = STATE(1734),
    [sym__keyword_cast] = STATE(19301),
    [sym__keyword_date] = STATE(386),
    [sym__keyword_datetime] = STATE(386),
    [sym__keyword_time] = STATE(386),
    [sym__keyword_timestamp] = STATE(386),
    [sym_select_subexpression] = STATE(469),
    [sym_function_call] = STATE(469),
    [sym_unnest_operator] = STATE(52),
    [sym_unnest_clause] = STATE(469),
    [sym__literal] = STATE(469),
    [sym_NULL] = STATE(469),
    [sym_TRUE] = STATE(469),
    [sym_FALSE] = STATE(469),
    [sym__float] = STATE(472),
    [sym_numeric] = STATE(472),
    [sym__number] = STATE(472),
    [sym_interval] = STATE(469),
    [sym_range] = STATE(469),
    [sym_time] = STATE(469),
    [sym_number] = STATE(469),
    [sym_json] = STATE(469),
    [sym_query_parameter] = STATE(469),
    [sym__type_chrono] = STATE(371),
    [sym__type_struct] = STATE(19121),
    [sym__type_array] = STATE(18667),
    [sym_array] = STATE(469),
    [sym_struct] = STATE(469),
    [sym__identifier] = STATE(383),
    [sym__dotted_identifier] = STATE(13828),
    [sym_identifier] = STATE(477),
    [sym_string] = STATE(469),
    [sym__expression] = STATE(205),
    [sym__parenthesized_expression] = STATE(469),
    [sym_element_access] = STATE(469),
    [sym_field_access] = STATE(469),
    [sym_unary_expression] = STATE(469),
    [sym_binary_expression] = STATE(469),
    [sym_between_operator] = STATE(469),
    [sym_casewhen_expression] = STATE(469),
    [sym_cast_expression] = STATE(469),
    [sym_argument_reference] = STATE(469),
    [aux_sym_identifier_repeat1] = STATE(13828),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2314),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2316),
    [aux_sym__keyword_case_token1] = ACTIONS(2318),
    [aux_sym__keyword_cast_token1] = ACTIONS(2320),
    [aux_sym__keyword_cast_token2] = ACTIONS(2320),
    [aux_sym__keyword_date_token1] = ACTIONS(2322),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2322),
    [aux_sym__keyword_time_token1] = ACTIONS(2322),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(2324),
    [aux_sym_drop_notnull_token1] = ACTIONS(2326),
    [aux_sym_function_call_token2] = ACTIONS(2328),
    [aux_sym_unnest_operator_token1] = ACTIONS(2730),
    [aux_sym_TRUE_token1] = ACTIONS(2332),
    [aux_sym_FALSE_token1] = ACTIONS(2334),
    [sym__integer] = ACTIONS(2336),
    [aux_sym__float_token1] = ACTIONS(2338),
    [aux_sym__float_token2] = ACTIONS(2336),
    [aux_sym__float_token3] = ACTIONS(2338),
    [aux_sym_numeric_token1] = ACTIONS(2340),
    [aux_sym_numeric_token2] = ACTIONS(2340),
    [aux_sym_numeric_token3] = ACTIONS(2340),
    [aux_sym_numeric_token4] = ACTIONS(2340),
    [aux_sym_interval_token1] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2344),
    [aux_sym_json_token1] = ACTIONS(2346),
    [sym_system_variable] = ACTIONS(2348),
    [sym__named_query_parameter] = ACTIONS(2350),
    [sym__positional_query_parameter] = ACTIONS(2352),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2732),
    [anon_sym_PLUS] = ACTIONS(2734),
    [anon_sym_DASH] = ACTIONS(2734),
    [anon_sym_operator_compare] = ACTIONS(2358),
    [anon_sym_DOLLAR] = ACTIONS(2360),
    [sym__string_start] = ACTIONS(1512),
  },
  [1702] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16234),
    [sym__keyword_case] = STATE(345),
    [sym__keyword_not] = STATE(1679),
    [sym__keyword_cast] = STATE(19291),
    [sym__keyword_date] = STATE(3007),
    [sym__keyword_datetime] = STATE(3007),
    [sym__keyword_time] = STATE(3007),
    [sym__keyword_timestamp] = STATE(3007),
    [sym_select_subexpression] = STATE(3283),
    [sym_function_call] = STATE(3283),
    [sym_unnest_operator] = STATE(438),
    [sym_unnest_clause] = STATE(3283),
    [sym__literal] = STATE(3283),
    [sym_NULL] = STATE(3283),
    [sym_TRUE] = STATE(3283),
    [sym_FALSE] = STATE(3283),
    [sym__float] = STATE(3282),
    [sym_numeric] = STATE(3282),
    [sym__number] = STATE(3282),
    [sym_interval] = STATE(3283),
    [sym_range] = STATE(3283),
    [sym_time] = STATE(3283),
    [sym_number] = STATE(3283),
    [sym_json] = STATE(3283),
    [sym_query_parameter] = STATE(3283),
    [sym__type_chrono] = STATE(2957),
    [sym__type_struct] = STATE(19086),
    [sym__type_array] = STATE(18532),
    [sym_array] = STATE(3283),
    [sym_struct] = STATE(3283),
    [sym__identifier] = STATE(2993),
    [sym__dotted_identifier] = STATE(13495),
    [sym_identifier] = STATE(3030),
    [sym_string] = STATE(3283),
    [sym__expression] = STATE(2779),
    [sym__parenthesized_expression] = STATE(3283),
    [sym_element_access] = STATE(3283),
    [sym_field_access] = STATE(3283),
    [sym_unary_expression] = STATE(3283),
    [sym_binary_expression] = STATE(3283),
    [sym_between_operator] = STATE(3283),
    [sym_casewhen_expression] = STATE(3283),
    [sym_cast_expression] = STATE(3283),
    [sym_argument_reference] = STATE(3283),
    [aux_sym_identifier_repeat1] = STATE(13495),
    [sym__unquoted_identifier] = ACTIONS(1306),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2098),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2100),
    [aux_sym__keyword_case_token1] = ACTIONS(2102),
    [aux_sym__keyword_cast_token1] = ACTIONS(2104),
    [aux_sym__keyword_cast_token2] = ACTIONS(2104),
    [aux_sym__keyword_date_token1] = ACTIONS(2106),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2106),
    [aux_sym__keyword_time_token1] = ACTIONS(2106),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2106),
    [anon_sym_LPAREN] = ACTIONS(2108),
    [aux_sym_drop_notnull_token1] = ACTIONS(2110),
    [aux_sym_function_call_token2] = ACTIONS(2112),
    [aux_sym_unnest_operator_token1] = ACTIONS(2156),
    [aux_sym_TRUE_token1] = ACTIONS(2116),
    [aux_sym_FALSE_token1] = ACTIONS(2118),
    [sym__integer] = ACTIONS(2120),
    [aux_sym__float_token1] = ACTIONS(2122),
    [aux_sym__float_token2] = ACTIONS(2120),
    [aux_sym__float_token3] = ACTIONS(2122),
    [aux_sym_numeric_token1] = ACTIONS(2124),
    [aux_sym_numeric_token2] = ACTIONS(2124),
    [aux_sym_numeric_token3] = ACTIONS(2124),
    [aux_sym_numeric_token4] = ACTIONS(2124),
    [aux_sym_interval_token1] = ACTIONS(2126),
    [anon_sym_LBRACK] = ACTIONS(2128),
    [aux_sym_json_token1] = ACTIONS(2130),
    [sym_system_variable] = ACTIONS(2132),
    [sym__named_query_parameter] = ACTIONS(2134),
    [sym__positional_query_parameter] = ACTIONS(2136),
    [sym__quoted_identifier] = ACTIONS(1314),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2158),
    [anon_sym_PLUS] = ACTIONS(2160),
    [anon_sym_DASH] = ACTIONS(2160),
    [anon_sym_operator_compare] = ACTIONS(2142),
    [anon_sym_DOLLAR] = ACTIONS(2144),
    [sym__string_start] = ACTIONS(2146),
  },
  [1703] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16234),
    [sym__keyword_case] = STATE(345),
    [sym__keyword_not] = STATE(1679),
    [sym__keyword_cast] = STATE(19291),
    [sym__keyword_date] = STATE(3007),
    [sym__keyword_datetime] = STATE(3007),
    [sym__keyword_time] = STATE(3007),
    [sym__keyword_timestamp] = STATE(3007),
    [sym_select_subexpression] = STATE(3283),
    [sym_function_call] = STATE(3283),
    [sym_unnest_operator] = STATE(438),
    [sym_unnest_clause] = STATE(3283),
    [sym__literal] = STATE(3283),
    [sym_NULL] = STATE(3283),
    [sym_TRUE] = STATE(3283),
    [sym_FALSE] = STATE(3283),
    [sym__float] = STATE(3282),
    [sym_numeric] = STATE(3282),
    [sym__number] = STATE(3282),
    [sym_interval] = STATE(3283),
    [sym_range] = STATE(3283),
    [sym_time] = STATE(3283),
    [sym_number] = STATE(3283),
    [sym_json] = STATE(3283),
    [sym_query_parameter] = STATE(3283),
    [sym__type_chrono] = STATE(2957),
    [sym__type_struct] = STATE(19086),
    [sym__type_array] = STATE(18532),
    [sym_array] = STATE(3283),
    [sym_struct] = STATE(3283),
    [sym__identifier] = STATE(2993),
    [sym__dotted_identifier] = STATE(13495),
    [sym_identifier] = STATE(3030),
    [sym_string] = STATE(3283),
    [sym__expression] = STATE(2777),
    [sym__parenthesized_expression] = STATE(3283),
    [sym_element_access] = STATE(3283),
    [sym_field_access] = STATE(3283),
    [sym_unary_expression] = STATE(3283),
    [sym_binary_expression] = STATE(3283),
    [sym_between_operator] = STATE(3283),
    [sym_casewhen_expression] = STATE(3283),
    [sym_cast_expression] = STATE(3283),
    [sym_argument_reference] = STATE(3283),
    [aux_sym_identifier_repeat1] = STATE(13495),
    [sym__unquoted_identifier] = ACTIONS(1306),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2098),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2100),
    [aux_sym__keyword_case_token1] = ACTIONS(2102),
    [aux_sym__keyword_cast_token1] = ACTIONS(2104),
    [aux_sym__keyword_cast_token2] = ACTIONS(2104),
    [aux_sym__keyword_date_token1] = ACTIONS(2106),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2106),
    [aux_sym__keyword_time_token1] = ACTIONS(2106),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2106),
    [anon_sym_LPAREN] = ACTIONS(2108),
    [aux_sym_drop_notnull_token1] = ACTIONS(2110),
    [aux_sym_function_call_token2] = ACTIONS(2112),
    [aux_sym_unnest_operator_token1] = ACTIONS(2156),
    [aux_sym_TRUE_token1] = ACTIONS(2116),
    [aux_sym_FALSE_token1] = ACTIONS(2118),
    [sym__integer] = ACTIONS(2120),
    [aux_sym__float_token1] = ACTIONS(2122),
    [aux_sym__float_token2] = ACTIONS(2120),
    [aux_sym__float_token3] = ACTIONS(2122),
    [aux_sym_numeric_token1] = ACTIONS(2124),
    [aux_sym_numeric_token2] = ACTIONS(2124),
    [aux_sym_numeric_token3] = ACTIONS(2124),
    [aux_sym_numeric_token4] = ACTIONS(2124),
    [aux_sym_interval_token1] = ACTIONS(2126),
    [anon_sym_LBRACK] = ACTIONS(2128),
    [aux_sym_json_token1] = ACTIONS(2130),
    [sym_system_variable] = ACTIONS(2132),
    [sym__named_query_parameter] = ACTIONS(2134),
    [sym__positional_query_parameter] = ACTIONS(2136),
    [sym__quoted_identifier] = ACTIONS(1314),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2158),
    [anon_sym_PLUS] = ACTIONS(2160),
    [anon_sym_DASH] = ACTIONS(2160),
    [anon_sym_operator_compare] = ACTIONS(2142),
    [anon_sym_DOLLAR] = ACTIONS(2144),
    [sym__string_start] = ACTIONS(2146),
  },
  [1704] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(1520),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(390),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2599),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2722),
    [anon_sym_PLUS] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2724),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1705] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9643),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1706] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(6677),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1707] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9863),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1708] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_select_subexpression] = STATE(9926),
    [sym_function_call] = STATE(9926),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(13757),
    [sym_identifier] = STATE(9720),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(7837),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [1709] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16325),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1073),
    [sym__keyword_cast] = STATE(19275),
    [sym__keyword_date] = STATE(9495),
    [sym__keyword_datetime] = STATE(9495),
    [sym__keyword_time] = STATE(9495),
    [sym__keyword_timestamp] = STATE(9495),
    [sym_select_subexpression] = STATE(10495),
    [sym_function_call] = STATE(10495),
    [sym_unnest_operator] = STATE(6473),
    [sym_unnest_clause] = STATE(10495),
    [sym__literal] = STATE(10495),
    [sym_NULL] = STATE(10495),
    [sym_TRUE] = STATE(10495),
    [sym_FALSE] = STATE(10495),
    [sym__float] = STATE(10492),
    [sym_numeric] = STATE(10492),
    [sym__number] = STATE(10492),
    [sym_interval] = STATE(10495),
    [sym_range] = STATE(10495),
    [sym_time] = STATE(10495),
    [sym_number] = STATE(10495),
    [sym_json] = STATE(10495),
    [sym_query_parameter] = STATE(10495),
    [sym__type_chrono] = STATE(8422),
    [sym__type_struct] = STATE(19027),
    [sym__type_array] = STATE(18285),
    [sym_array] = STATE(10495),
    [sym_struct] = STATE(10495),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9694),
    [sym_string] = STATE(10495),
    [sym__expression] = STATE(9641),
    [sym__parenthesized_expression] = STATE(10495),
    [sym_element_access] = STATE(10495),
    [sym_field_access] = STATE(10495),
    [sym_unary_expression] = STATE(10495),
    [sym_binary_expression] = STATE(10495),
    [sym_between_operator] = STATE(10495),
    [sym_casewhen_expression] = STATE(10495),
    [sym_cast_expression] = STATE(10495),
    [sym_argument_reference] = STATE(10495),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2042),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2044),
    [aux_sym__keyword_case_token1] = ACTIONS(2046),
    [aux_sym__keyword_cast_token1] = ACTIONS(2048),
    [aux_sym__keyword_cast_token2] = ACTIONS(2048),
    [aux_sym__keyword_date_token1] = ACTIONS(2050),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2050),
    [aux_sym__keyword_time_token1] = ACTIONS(2050),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [aux_sym_drop_notnull_token1] = ACTIONS(2054),
    [aux_sym_function_call_token2] = ACTIONS(2056),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2060),
    [aux_sym_FALSE_token1] = ACTIONS(2062),
    [sym__integer] = ACTIONS(2064),
    [aux_sym__float_token1] = ACTIONS(2066),
    [aux_sym__float_token2] = ACTIONS(2064),
    [aux_sym__float_token3] = ACTIONS(2066),
    [aux_sym_numeric_token1] = ACTIONS(2068),
    [aux_sym_numeric_token2] = ACTIONS(2068),
    [aux_sym_numeric_token3] = ACTIONS(2068),
    [aux_sym_numeric_token4] = ACTIONS(2068),
    [aux_sym_interval_token1] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_json_token1] = ACTIONS(2074),
    [sym_system_variable] = ACTIONS(2076),
    [sym__named_query_parameter] = ACTIONS(2078),
    [sym__positional_query_parameter] = ACTIONS(2080),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_operator_compare] = ACTIONS(2086),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [sym__string_start] = ACTIONS(2090),
  },
  [1710] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16166),
    [sym__keyword_case] = STATE(299),
    [sym__keyword_not] = STATE(1734),
    [sym__keyword_cast] = STATE(19301),
    [sym__keyword_date] = STATE(386),
    [sym__keyword_datetime] = STATE(386),
    [sym__keyword_time] = STATE(386),
    [sym__keyword_timestamp] = STATE(386),
    [sym_select_subexpression] = STATE(469),
    [sym_function_call] = STATE(469),
    [sym_unnest_operator] = STATE(52),
    [sym_unnest_clause] = STATE(469),
    [sym__literal] = STATE(469),
    [sym_NULL] = STATE(469),
    [sym_TRUE] = STATE(469),
    [sym_FALSE] = STATE(469),
    [sym__float] = STATE(472),
    [sym_numeric] = STATE(472),
    [sym__number] = STATE(472),
    [sym_interval] = STATE(469),
    [sym_range] = STATE(469),
    [sym_time] = STATE(469),
    [sym_number] = STATE(469),
    [sym_json] = STATE(469),
    [sym_query_parameter] = STATE(469),
    [sym__type_chrono] = STATE(371),
    [sym__type_struct] = STATE(19121),
    [sym__type_array] = STATE(18667),
    [sym_array] = STATE(469),
    [sym_struct] = STATE(469),
    [sym__identifier] = STATE(383),
    [sym__dotted_identifier] = STATE(13828),
    [sym_identifier] = STATE(477),
    [sym_string] = STATE(469),
    [sym__expression] = STATE(206),
    [sym__parenthesized_expression] = STATE(469),
    [sym_element_access] = STATE(469),
    [sym_field_access] = STATE(469),
    [sym_unary_expression] = STATE(469),
    [sym_binary_expression] = STATE(469),
    [sym_between_operator] = STATE(469),
    [sym_casewhen_expression] = STATE(469),
    [sym_cast_expression] = STATE(469),
    [sym_argument_reference] = STATE(469),
    [aux_sym_identifier_repeat1] = STATE(13828),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2314),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2316),
    [aux_sym__keyword_case_token1] = ACTIONS(2318),
    [aux_sym__keyword_cast_token1] = ACTIONS(2320),
    [aux_sym__keyword_cast_token2] = ACTIONS(2320),
    [aux_sym__keyword_date_token1] = ACTIONS(2322),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2322),
    [aux_sym__keyword_time_token1] = ACTIONS(2322),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(2324),
    [aux_sym_drop_notnull_token1] = ACTIONS(2326),
    [aux_sym_function_call_token2] = ACTIONS(2328),
    [aux_sym_unnest_operator_token1] = ACTIONS(2730),
    [aux_sym_TRUE_token1] = ACTIONS(2332),
    [aux_sym_FALSE_token1] = ACTIONS(2334),
    [sym__integer] = ACTIONS(2336),
    [aux_sym__float_token1] = ACTIONS(2338),
    [aux_sym__float_token2] = ACTIONS(2336),
    [aux_sym__float_token3] = ACTIONS(2338),
    [aux_sym_numeric_token1] = ACTIONS(2340),
    [aux_sym_numeric_token2] = ACTIONS(2340),
    [aux_sym_numeric_token3] = ACTIONS(2340),
    [aux_sym_numeric_token4] = ACTIONS(2340),
    [aux_sym_interval_token1] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2344),
    [aux_sym_json_token1] = ACTIONS(2346),
    [sym_system_variable] = ACTIONS(2348),
    [sym__named_query_parameter] = ACTIONS(2350),
    [sym__positional_query_parameter] = ACTIONS(2352),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2732),
    [anon_sym_PLUS] = ACTIONS(2734),
    [anon_sym_DASH] = ACTIONS(2734),
    [anon_sym_operator_compare] = ACTIONS(2358),
    [anon_sym_DOLLAR] = ACTIONS(2360),
    [sym__string_start] = ACTIONS(1512),
  },
  [1711] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16166),
    [sym__keyword_case] = STATE(299),
    [sym__keyword_not] = STATE(1734),
    [sym__keyword_cast] = STATE(19301),
    [sym__keyword_date] = STATE(386),
    [sym__keyword_datetime] = STATE(386),
    [sym__keyword_time] = STATE(386),
    [sym__keyword_timestamp] = STATE(386),
    [sym_select_subexpression] = STATE(469),
    [sym_function_call] = STATE(469),
    [sym_unnest_operator] = STATE(52),
    [sym_unnest_clause] = STATE(469),
    [sym__literal] = STATE(469),
    [sym_NULL] = STATE(469),
    [sym_TRUE] = STATE(469),
    [sym_FALSE] = STATE(469),
    [sym__float] = STATE(472),
    [sym_numeric] = STATE(472),
    [sym__number] = STATE(472),
    [sym_interval] = STATE(469),
    [sym_range] = STATE(469),
    [sym_time] = STATE(469),
    [sym_number] = STATE(469),
    [sym_json] = STATE(469),
    [sym_query_parameter] = STATE(469),
    [sym__type_chrono] = STATE(371),
    [sym__type_struct] = STATE(19121),
    [sym__type_array] = STATE(18667),
    [sym_array] = STATE(469),
    [sym_struct] = STATE(469),
    [sym__identifier] = STATE(383),
    [sym__dotted_identifier] = STATE(13828),
    [sym_identifier] = STATE(477),
    [sym_string] = STATE(469),
    [sym__expression] = STATE(203),
    [sym__parenthesized_expression] = STATE(469),
    [sym_element_access] = STATE(469),
    [sym_field_access] = STATE(469),
    [sym_unary_expression] = STATE(469),
    [sym_binary_expression] = STATE(469),
    [sym_between_operator] = STATE(469),
    [sym_casewhen_expression] = STATE(469),
    [sym_cast_expression] = STATE(469),
    [sym_argument_reference] = STATE(469),
    [aux_sym_identifier_repeat1] = STATE(13828),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2314),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2316),
    [aux_sym__keyword_case_token1] = ACTIONS(2318),
    [aux_sym__keyword_cast_token1] = ACTIONS(2320),
    [aux_sym__keyword_cast_token2] = ACTIONS(2320),
    [aux_sym__keyword_date_token1] = ACTIONS(2322),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2322),
    [aux_sym__keyword_time_token1] = ACTIONS(2322),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(2324),
    [aux_sym_drop_notnull_token1] = ACTIONS(2326),
    [aux_sym_function_call_token2] = ACTIONS(2328),
    [aux_sym_unnest_operator_token1] = ACTIONS(2730),
    [aux_sym_TRUE_token1] = ACTIONS(2332),
    [aux_sym_FALSE_token1] = ACTIONS(2334),
    [sym__integer] = ACTIONS(2336),
    [aux_sym__float_token1] = ACTIONS(2338),
    [aux_sym__float_token2] = ACTIONS(2336),
    [aux_sym__float_token3] = ACTIONS(2338),
    [aux_sym_numeric_token1] = ACTIONS(2340),
    [aux_sym_numeric_token2] = ACTIONS(2340),
    [aux_sym_numeric_token3] = ACTIONS(2340),
    [aux_sym_numeric_token4] = ACTIONS(2340),
    [aux_sym_interval_token1] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2344),
    [aux_sym_json_token1] = ACTIONS(2346),
    [sym_system_variable] = ACTIONS(2348),
    [sym__named_query_parameter] = ACTIONS(2350),
    [sym__positional_query_parameter] = ACTIONS(2352),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2732),
    [anon_sym_PLUS] = ACTIONS(2734),
    [anon_sym_DASH] = ACTIONS(2734),
    [anon_sym_operator_compare] = ACTIONS(2358),
    [anon_sym_DOLLAR] = ACTIONS(2360),
    [sym__string_start] = ACTIONS(1512),
  },
  [1712] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9726),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1713] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16166),
    [sym__keyword_case] = STATE(299),
    [sym__keyword_not] = STATE(1734),
    [sym__keyword_cast] = STATE(19301),
    [sym__keyword_date] = STATE(386),
    [sym__keyword_datetime] = STATE(386),
    [sym__keyword_time] = STATE(386),
    [sym__keyword_timestamp] = STATE(386),
    [sym_select_subexpression] = STATE(469),
    [sym_function_call] = STATE(469),
    [sym_unnest_operator] = STATE(52),
    [sym_unnest_clause] = STATE(469),
    [sym__literal] = STATE(469),
    [sym_NULL] = STATE(469),
    [sym_TRUE] = STATE(469),
    [sym_FALSE] = STATE(469),
    [sym__float] = STATE(472),
    [sym_numeric] = STATE(472),
    [sym__number] = STATE(472),
    [sym_interval] = STATE(469),
    [sym_range] = STATE(469),
    [sym_time] = STATE(469),
    [sym_number] = STATE(469),
    [sym_json] = STATE(469),
    [sym_query_parameter] = STATE(469),
    [sym__type_chrono] = STATE(371),
    [sym__type_struct] = STATE(19121),
    [sym__type_array] = STATE(18667),
    [sym_array] = STATE(469),
    [sym_struct] = STATE(469),
    [sym__identifier] = STATE(383),
    [sym__dotted_identifier] = STATE(13828),
    [sym_identifier] = STATE(477),
    [sym_string] = STATE(469),
    [sym__expression] = STATE(204),
    [sym__parenthesized_expression] = STATE(469),
    [sym_element_access] = STATE(469),
    [sym_field_access] = STATE(469),
    [sym_unary_expression] = STATE(469),
    [sym_binary_expression] = STATE(469),
    [sym_between_operator] = STATE(469),
    [sym_casewhen_expression] = STATE(469),
    [sym_cast_expression] = STATE(469),
    [sym_argument_reference] = STATE(469),
    [aux_sym_identifier_repeat1] = STATE(13828),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2314),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2316),
    [aux_sym__keyword_case_token1] = ACTIONS(2318),
    [aux_sym__keyword_cast_token1] = ACTIONS(2320),
    [aux_sym__keyword_cast_token2] = ACTIONS(2320),
    [aux_sym__keyword_date_token1] = ACTIONS(2322),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2322),
    [aux_sym__keyword_time_token1] = ACTIONS(2322),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(2324),
    [aux_sym_drop_notnull_token1] = ACTIONS(2326),
    [aux_sym_function_call_token2] = ACTIONS(2328),
    [aux_sym_unnest_operator_token1] = ACTIONS(2730),
    [aux_sym_TRUE_token1] = ACTIONS(2332),
    [aux_sym_FALSE_token1] = ACTIONS(2334),
    [sym__integer] = ACTIONS(2336),
    [aux_sym__float_token1] = ACTIONS(2338),
    [aux_sym__float_token2] = ACTIONS(2336),
    [aux_sym__float_token3] = ACTIONS(2338),
    [aux_sym_numeric_token1] = ACTIONS(2340),
    [aux_sym_numeric_token2] = ACTIONS(2340),
    [aux_sym_numeric_token3] = ACTIONS(2340),
    [aux_sym_numeric_token4] = ACTIONS(2340),
    [aux_sym_interval_token1] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2344),
    [aux_sym_json_token1] = ACTIONS(2346),
    [sym_system_variable] = ACTIONS(2348),
    [sym__named_query_parameter] = ACTIONS(2350),
    [sym__positional_query_parameter] = ACTIONS(2352),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2732),
    [anon_sym_PLUS] = ACTIONS(2734),
    [anon_sym_DASH] = ACTIONS(2734),
    [anon_sym_operator_compare] = ACTIONS(2358),
    [anon_sym_DOLLAR] = ACTIONS(2360),
    [sym__string_start] = ACTIONS(1512),
  },
  [1714] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16234),
    [sym__keyword_case] = STATE(345),
    [sym__keyword_not] = STATE(1679),
    [sym__keyword_cast] = STATE(19291),
    [sym__keyword_date] = STATE(3007),
    [sym__keyword_datetime] = STATE(3007),
    [sym__keyword_time] = STATE(3007),
    [sym__keyword_timestamp] = STATE(3007),
    [sym_select_subexpression] = STATE(3283),
    [sym_function_call] = STATE(3283),
    [sym_unnest_operator] = STATE(438),
    [sym_unnest_clause] = STATE(3283),
    [sym__literal] = STATE(3283),
    [sym_NULL] = STATE(3283),
    [sym_TRUE] = STATE(3283),
    [sym_FALSE] = STATE(3283),
    [sym__float] = STATE(3282),
    [sym_numeric] = STATE(3282),
    [sym__number] = STATE(3282),
    [sym_interval] = STATE(3283),
    [sym_range] = STATE(3283),
    [sym_time] = STATE(3283),
    [sym_number] = STATE(3283),
    [sym_json] = STATE(3283),
    [sym_query_parameter] = STATE(3283),
    [sym__type_chrono] = STATE(2957),
    [sym__type_struct] = STATE(19086),
    [sym__type_array] = STATE(18532),
    [sym_array] = STATE(3283),
    [sym_struct] = STATE(3283),
    [sym__identifier] = STATE(2993),
    [sym__dotted_identifier] = STATE(13495),
    [sym_identifier] = STATE(3030),
    [sym_string] = STATE(3283),
    [sym__expression] = STATE(2770),
    [sym__parenthesized_expression] = STATE(3283),
    [sym_element_access] = STATE(3283),
    [sym_field_access] = STATE(3283),
    [sym_unary_expression] = STATE(3283),
    [sym_binary_expression] = STATE(3283),
    [sym_between_operator] = STATE(3283),
    [sym_casewhen_expression] = STATE(3283),
    [sym_cast_expression] = STATE(3283),
    [sym_argument_reference] = STATE(3283),
    [aux_sym_identifier_repeat1] = STATE(13495),
    [sym__unquoted_identifier] = ACTIONS(1306),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2098),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2100),
    [aux_sym__keyword_case_token1] = ACTIONS(2102),
    [aux_sym__keyword_cast_token1] = ACTIONS(2104),
    [aux_sym__keyword_cast_token2] = ACTIONS(2104),
    [aux_sym__keyword_date_token1] = ACTIONS(2106),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2106),
    [aux_sym__keyword_time_token1] = ACTIONS(2106),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2106),
    [anon_sym_LPAREN] = ACTIONS(2108),
    [aux_sym_drop_notnull_token1] = ACTIONS(2110),
    [aux_sym_function_call_token2] = ACTIONS(2112),
    [aux_sym_unnest_operator_token1] = ACTIONS(2156),
    [aux_sym_TRUE_token1] = ACTIONS(2116),
    [aux_sym_FALSE_token1] = ACTIONS(2118),
    [sym__integer] = ACTIONS(2120),
    [aux_sym__float_token1] = ACTIONS(2122),
    [aux_sym__float_token2] = ACTIONS(2120),
    [aux_sym__float_token3] = ACTIONS(2122),
    [aux_sym_numeric_token1] = ACTIONS(2124),
    [aux_sym_numeric_token2] = ACTIONS(2124),
    [aux_sym_numeric_token3] = ACTIONS(2124),
    [aux_sym_numeric_token4] = ACTIONS(2124),
    [aux_sym_interval_token1] = ACTIONS(2126),
    [anon_sym_LBRACK] = ACTIONS(2128),
    [aux_sym_json_token1] = ACTIONS(2130),
    [sym_system_variable] = ACTIONS(2132),
    [sym__named_query_parameter] = ACTIONS(2134),
    [sym__positional_query_parameter] = ACTIONS(2136),
    [sym__quoted_identifier] = ACTIONS(1314),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2158),
    [anon_sym_PLUS] = ACTIONS(2160),
    [anon_sym_DASH] = ACTIONS(2160),
    [anon_sym_operator_compare] = ACTIONS(2142),
    [anon_sym_DOLLAR] = ACTIONS(2144),
    [sym__string_start] = ACTIONS(2146),
  },
  [1715] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9935),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1716] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16166),
    [sym__keyword_case] = STATE(299),
    [sym__keyword_not] = STATE(1734),
    [sym__keyword_cast] = STATE(19301),
    [sym__keyword_date] = STATE(386),
    [sym__keyword_datetime] = STATE(386),
    [sym__keyword_time] = STATE(386),
    [sym__keyword_timestamp] = STATE(386),
    [sym_select_subexpression] = STATE(469),
    [sym_function_call] = STATE(469),
    [sym_unnest_operator] = STATE(52),
    [sym_unnest_clause] = STATE(469),
    [sym__literal] = STATE(469),
    [sym_NULL] = STATE(469),
    [sym_TRUE] = STATE(469),
    [sym_FALSE] = STATE(469),
    [sym__float] = STATE(472),
    [sym_numeric] = STATE(472),
    [sym__number] = STATE(472),
    [sym_interval] = STATE(469),
    [sym_range] = STATE(469),
    [sym_time] = STATE(469),
    [sym_number] = STATE(469),
    [sym_json] = STATE(469),
    [sym_query_parameter] = STATE(469),
    [sym__type_chrono] = STATE(371),
    [sym__type_struct] = STATE(19121),
    [sym__type_array] = STATE(18667),
    [sym_array] = STATE(469),
    [sym_struct] = STATE(469),
    [sym__identifier] = STATE(383),
    [sym__dotted_identifier] = STATE(13828),
    [sym_identifier] = STATE(477),
    [sym_string] = STATE(469),
    [sym__expression] = STATE(197),
    [sym__parenthesized_expression] = STATE(469),
    [sym_element_access] = STATE(469),
    [sym_field_access] = STATE(469),
    [sym_unary_expression] = STATE(469),
    [sym_binary_expression] = STATE(469),
    [sym_between_operator] = STATE(469),
    [sym_casewhen_expression] = STATE(469),
    [sym_cast_expression] = STATE(469),
    [sym_argument_reference] = STATE(469),
    [aux_sym_identifier_repeat1] = STATE(13828),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2314),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2316),
    [aux_sym__keyword_case_token1] = ACTIONS(2318),
    [aux_sym__keyword_cast_token1] = ACTIONS(2320),
    [aux_sym__keyword_cast_token2] = ACTIONS(2320),
    [aux_sym__keyword_date_token1] = ACTIONS(2322),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2322),
    [aux_sym__keyword_time_token1] = ACTIONS(2322),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(2324),
    [aux_sym_drop_notnull_token1] = ACTIONS(2326),
    [aux_sym_function_call_token2] = ACTIONS(2328),
    [aux_sym_unnest_operator_token1] = ACTIONS(2730),
    [aux_sym_TRUE_token1] = ACTIONS(2332),
    [aux_sym_FALSE_token1] = ACTIONS(2334),
    [sym__integer] = ACTIONS(2336),
    [aux_sym__float_token1] = ACTIONS(2338),
    [aux_sym__float_token2] = ACTIONS(2336),
    [aux_sym__float_token3] = ACTIONS(2338),
    [aux_sym_numeric_token1] = ACTIONS(2340),
    [aux_sym_numeric_token2] = ACTIONS(2340),
    [aux_sym_numeric_token3] = ACTIONS(2340),
    [aux_sym_numeric_token4] = ACTIONS(2340),
    [aux_sym_interval_token1] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2344),
    [aux_sym_json_token1] = ACTIONS(2346),
    [sym_system_variable] = ACTIONS(2348),
    [sym__named_query_parameter] = ACTIONS(2350),
    [sym__positional_query_parameter] = ACTIONS(2352),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2732),
    [anon_sym_PLUS] = ACTIONS(2734),
    [anon_sym_DASH] = ACTIONS(2734),
    [anon_sym_operator_compare] = ACTIONS(2358),
    [anon_sym_DOLLAR] = ACTIONS(2360),
    [sym__string_start] = ACTIONS(1512),
  },
  [1717] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16298),
    [sym__keyword_case] = STATE(370),
    [sym__keyword_not] = STATE(1409),
    [sym__keyword_cast] = STATE(19281),
    [sym__keyword_date] = STATE(5984),
    [sym__keyword_datetime] = STATE(5984),
    [sym__keyword_time] = STATE(5984),
    [sym__keyword_timestamp] = STATE(5984),
    [sym_select_subexpression] = STATE(6583),
    [sym_function_call] = STATE(6583),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(6583),
    [sym__literal] = STATE(6583),
    [sym_NULL] = STATE(6583),
    [sym_TRUE] = STATE(6583),
    [sym_FALSE] = STATE(6583),
    [sym__float] = STATE(6582),
    [sym_numeric] = STATE(6582),
    [sym__number] = STATE(6582),
    [sym_interval] = STATE(6583),
    [sym_range] = STATE(6583),
    [sym_time] = STATE(6583),
    [sym_number] = STATE(6583),
    [sym_json] = STATE(6583),
    [sym_query_parameter] = STATE(6583),
    [sym__type_chrono] = STATE(5709),
    [sym__type_struct] = STATE(19051),
    [sym__type_array] = STATE(18379),
    [sym_array] = STATE(6583),
    [sym_struct] = STATE(6583),
    [sym__identifier] = STATE(5940),
    [sym__dotted_identifier] = STATE(13302),
    [sym_identifier] = STATE(9146),
    [sym_string] = STATE(6583),
    [sym__expression] = STATE(7125),
    [sym__parenthesized_expression] = STATE(6583),
    [sym_element_access] = STATE(6583),
    [sym_field_access] = STATE(6583),
    [sym_unary_expression] = STATE(6583),
    [sym_binary_expression] = STATE(6583),
    [sym_between_operator] = STATE(6583),
    [sym_casewhen_expression] = STATE(6583),
    [sym_cast_expression] = STATE(6583),
    [sym_argument_reference] = STATE(6583),
    [aux_sym_identifier_repeat1] = STATE(13302),
    [sym__unquoted_identifier] = ACTIONS(491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(493),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(495),
    [aux_sym__keyword_case_token1] = ACTIONS(497),
    [aux_sym__keyword_cast_token1] = ACTIONS(499),
    [aux_sym__keyword_cast_token2] = ACTIONS(499),
    [aux_sym__keyword_date_token1] = ACTIONS(501),
    [aux_sym__keyword_datetime_token1] = ACTIONS(501),
    [aux_sym__keyword_time_token1] = ACTIONS(501),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(503),
    [aux_sym_drop_notnull_token1] = ACTIONS(505),
    [aux_sym_function_call_token2] = ACTIONS(507),
    [aux_sym_unnest_operator_token1] = ACTIONS(1045),
    [aux_sym_TRUE_token1] = ACTIONS(511),
    [aux_sym_FALSE_token1] = ACTIONS(513),
    [sym__integer] = ACTIONS(515),
    [aux_sym__float_token1] = ACTIONS(517),
    [aux_sym__float_token2] = ACTIONS(515),
    [aux_sym__float_token3] = ACTIONS(517),
    [aux_sym_numeric_token1] = ACTIONS(519),
    [aux_sym_numeric_token2] = ACTIONS(519),
    [aux_sym_numeric_token3] = ACTIONS(519),
    [aux_sym_numeric_token4] = ACTIONS(519),
    [aux_sym_interval_token1] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(523),
    [aux_sym_json_token1] = ACTIONS(525),
    [sym_system_variable] = ACTIONS(527),
    [sym__named_query_parameter] = ACTIONS(529),
    [sym__positional_query_parameter] = ACTIONS(531),
    [sym__quoted_identifier] = ACTIONS(533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_operator_compare] = ACTIONS(539),
    [anon_sym_DOLLAR] = ACTIONS(541),
    [sym__string_start] = ACTIONS(543),
  },
  [1718] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16298),
    [sym__keyword_case] = STATE(370),
    [sym__keyword_not] = STATE(1409),
    [sym__keyword_cast] = STATE(19281),
    [sym__keyword_date] = STATE(5984),
    [sym__keyword_datetime] = STATE(5984),
    [sym__keyword_time] = STATE(5984),
    [sym__keyword_timestamp] = STATE(5984),
    [sym_select_subexpression] = STATE(6583),
    [sym_function_call] = STATE(6583),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(6583),
    [sym__literal] = STATE(6583),
    [sym_NULL] = STATE(6583),
    [sym_TRUE] = STATE(6583),
    [sym_FALSE] = STATE(6583),
    [sym__float] = STATE(6582),
    [sym_numeric] = STATE(6582),
    [sym__number] = STATE(6582),
    [sym_interval] = STATE(6583),
    [sym_range] = STATE(6583),
    [sym_time] = STATE(6583),
    [sym_number] = STATE(6583),
    [sym_json] = STATE(6583),
    [sym_query_parameter] = STATE(6583),
    [sym__type_chrono] = STATE(5709),
    [sym__type_struct] = STATE(19051),
    [sym__type_array] = STATE(18379),
    [sym_array] = STATE(6583),
    [sym_struct] = STATE(6583),
    [sym__identifier] = STATE(5940),
    [sym__dotted_identifier] = STATE(13302),
    [sym_identifier] = STATE(9146),
    [sym_string] = STATE(6583),
    [sym__expression] = STATE(7345),
    [sym__parenthesized_expression] = STATE(6583),
    [sym_element_access] = STATE(6583),
    [sym_field_access] = STATE(6583),
    [sym_unary_expression] = STATE(6583),
    [sym_binary_expression] = STATE(6583),
    [sym_between_operator] = STATE(6583),
    [sym_casewhen_expression] = STATE(6583),
    [sym_cast_expression] = STATE(6583),
    [sym_argument_reference] = STATE(6583),
    [aux_sym_identifier_repeat1] = STATE(13302),
    [sym__unquoted_identifier] = ACTIONS(491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(493),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(495),
    [aux_sym__keyword_case_token1] = ACTIONS(497),
    [aux_sym__keyword_cast_token1] = ACTIONS(499),
    [aux_sym__keyword_cast_token2] = ACTIONS(499),
    [aux_sym__keyword_date_token1] = ACTIONS(501),
    [aux_sym__keyword_datetime_token1] = ACTIONS(501),
    [aux_sym__keyword_time_token1] = ACTIONS(501),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(503),
    [aux_sym_drop_notnull_token1] = ACTIONS(505),
    [aux_sym_function_call_token2] = ACTIONS(507),
    [aux_sym_unnest_operator_token1] = ACTIONS(1045),
    [aux_sym_TRUE_token1] = ACTIONS(511),
    [aux_sym_FALSE_token1] = ACTIONS(513),
    [sym__integer] = ACTIONS(515),
    [aux_sym__float_token1] = ACTIONS(517),
    [aux_sym__float_token2] = ACTIONS(515),
    [aux_sym__float_token3] = ACTIONS(517),
    [aux_sym_numeric_token1] = ACTIONS(519),
    [aux_sym_numeric_token2] = ACTIONS(519),
    [aux_sym_numeric_token3] = ACTIONS(519),
    [aux_sym_numeric_token4] = ACTIONS(519),
    [aux_sym_interval_token1] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(523),
    [aux_sym_json_token1] = ACTIONS(525),
    [sym_system_variable] = ACTIONS(527),
    [sym__named_query_parameter] = ACTIONS(529),
    [sym__positional_query_parameter] = ACTIONS(531),
    [sym__quoted_identifier] = ACTIONS(533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_operator_compare] = ACTIONS(539),
    [anon_sym_DOLLAR] = ACTIONS(541),
    [sym__string_start] = ACTIONS(543),
  },
  [1719] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16166),
    [sym__keyword_case] = STATE(299),
    [sym__keyword_not] = STATE(1734),
    [sym__keyword_cast] = STATE(19301),
    [sym__keyword_date] = STATE(386),
    [sym__keyword_datetime] = STATE(386),
    [sym__keyword_time] = STATE(386),
    [sym__keyword_timestamp] = STATE(386),
    [sym_select_subexpression] = STATE(469),
    [sym_function_call] = STATE(469),
    [sym_unnest_operator] = STATE(52),
    [sym_unnest_clause] = STATE(469),
    [sym__literal] = STATE(469),
    [sym_NULL] = STATE(469),
    [sym_TRUE] = STATE(469),
    [sym_FALSE] = STATE(469),
    [sym__float] = STATE(472),
    [sym_numeric] = STATE(472),
    [sym__number] = STATE(472),
    [sym_interval] = STATE(469),
    [sym_range] = STATE(469),
    [sym_time] = STATE(469),
    [sym_number] = STATE(469),
    [sym_json] = STATE(469),
    [sym_query_parameter] = STATE(469),
    [sym__type_chrono] = STATE(371),
    [sym__type_struct] = STATE(19121),
    [sym__type_array] = STATE(18667),
    [sym_array] = STATE(469),
    [sym_struct] = STATE(469),
    [sym__identifier] = STATE(383),
    [sym__dotted_identifier] = STATE(13828),
    [sym_identifier] = STATE(477),
    [sym_string] = STATE(469),
    [sym__expression] = STATE(196),
    [sym__parenthesized_expression] = STATE(469),
    [sym_element_access] = STATE(469),
    [sym_field_access] = STATE(469),
    [sym_unary_expression] = STATE(469),
    [sym_binary_expression] = STATE(469),
    [sym_between_operator] = STATE(469),
    [sym_casewhen_expression] = STATE(469),
    [sym_cast_expression] = STATE(469),
    [sym_argument_reference] = STATE(469),
    [aux_sym_identifier_repeat1] = STATE(13828),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2314),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2316),
    [aux_sym__keyword_case_token1] = ACTIONS(2318),
    [aux_sym__keyword_cast_token1] = ACTIONS(2320),
    [aux_sym__keyword_cast_token2] = ACTIONS(2320),
    [aux_sym__keyword_date_token1] = ACTIONS(2322),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2322),
    [aux_sym__keyword_time_token1] = ACTIONS(2322),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(2324),
    [aux_sym_drop_notnull_token1] = ACTIONS(2326),
    [aux_sym_function_call_token2] = ACTIONS(2328),
    [aux_sym_unnest_operator_token1] = ACTIONS(2730),
    [aux_sym_TRUE_token1] = ACTIONS(2332),
    [aux_sym_FALSE_token1] = ACTIONS(2334),
    [sym__integer] = ACTIONS(2336),
    [aux_sym__float_token1] = ACTIONS(2338),
    [aux_sym__float_token2] = ACTIONS(2336),
    [aux_sym__float_token3] = ACTIONS(2338),
    [aux_sym_numeric_token1] = ACTIONS(2340),
    [aux_sym_numeric_token2] = ACTIONS(2340),
    [aux_sym_numeric_token3] = ACTIONS(2340),
    [aux_sym_numeric_token4] = ACTIONS(2340),
    [aux_sym_interval_token1] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2344),
    [aux_sym_json_token1] = ACTIONS(2346),
    [sym_system_variable] = ACTIONS(2348),
    [sym__named_query_parameter] = ACTIONS(2350),
    [sym__positional_query_parameter] = ACTIONS(2352),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2732),
    [anon_sym_PLUS] = ACTIONS(2734),
    [anon_sym_DASH] = ACTIONS(2734),
    [anon_sym_operator_compare] = ACTIONS(2358),
    [anon_sym_DOLLAR] = ACTIONS(2360),
    [sym__string_start] = ACTIONS(1512),
  },
  [1720] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16166),
    [sym__keyword_case] = STATE(299),
    [sym__keyword_not] = STATE(1734),
    [sym__keyword_cast] = STATE(19301),
    [sym__keyword_date] = STATE(386),
    [sym__keyword_datetime] = STATE(386),
    [sym__keyword_time] = STATE(386),
    [sym__keyword_timestamp] = STATE(386),
    [sym_select_subexpression] = STATE(469),
    [sym_function_call] = STATE(469),
    [sym_unnest_operator] = STATE(52),
    [sym_unnest_clause] = STATE(469),
    [sym__literal] = STATE(469),
    [sym_NULL] = STATE(469),
    [sym_TRUE] = STATE(469),
    [sym_FALSE] = STATE(469),
    [sym__float] = STATE(472),
    [sym_numeric] = STATE(472),
    [sym__number] = STATE(472),
    [sym_interval] = STATE(469),
    [sym_range] = STATE(469),
    [sym_time] = STATE(469),
    [sym_number] = STATE(469),
    [sym_json] = STATE(469),
    [sym_query_parameter] = STATE(469),
    [sym__type_chrono] = STATE(371),
    [sym__type_struct] = STATE(19121),
    [sym__type_array] = STATE(18667),
    [sym_array] = STATE(469),
    [sym_struct] = STATE(469),
    [sym__identifier] = STATE(383),
    [sym__dotted_identifier] = STATE(13828),
    [sym_identifier] = STATE(477),
    [sym_string] = STATE(469),
    [sym__expression] = STATE(195),
    [sym__parenthesized_expression] = STATE(469),
    [sym_element_access] = STATE(469),
    [sym_field_access] = STATE(469),
    [sym_unary_expression] = STATE(469),
    [sym_binary_expression] = STATE(469),
    [sym_between_operator] = STATE(469),
    [sym_casewhen_expression] = STATE(469),
    [sym_cast_expression] = STATE(469),
    [sym_argument_reference] = STATE(469),
    [aux_sym_identifier_repeat1] = STATE(13828),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2314),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2316),
    [aux_sym__keyword_case_token1] = ACTIONS(2318),
    [aux_sym__keyword_cast_token1] = ACTIONS(2320),
    [aux_sym__keyword_cast_token2] = ACTIONS(2320),
    [aux_sym__keyword_date_token1] = ACTIONS(2322),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2322),
    [aux_sym__keyword_time_token1] = ACTIONS(2322),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(2324),
    [aux_sym_drop_notnull_token1] = ACTIONS(2326),
    [aux_sym_function_call_token2] = ACTIONS(2328),
    [aux_sym_unnest_operator_token1] = ACTIONS(2730),
    [aux_sym_TRUE_token1] = ACTIONS(2332),
    [aux_sym_FALSE_token1] = ACTIONS(2334),
    [sym__integer] = ACTIONS(2336),
    [aux_sym__float_token1] = ACTIONS(2338),
    [aux_sym__float_token2] = ACTIONS(2336),
    [aux_sym__float_token3] = ACTIONS(2338),
    [aux_sym_numeric_token1] = ACTIONS(2340),
    [aux_sym_numeric_token2] = ACTIONS(2340),
    [aux_sym_numeric_token3] = ACTIONS(2340),
    [aux_sym_numeric_token4] = ACTIONS(2340),
    [aux_sym_interval_token1] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2344),
    [aux_sym_json_token1] = ACTIONS(2346),
    [sym_system_variable] = ACTIONS(2348),
    [sym__named_query_parameter] = ACTIONS(2350),
    [sym__positional_query_parameter] = ACTIONS(2352),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2732),
    [anon_sym_PLUS] = ACTIONS(2734),
    [anon_sym_DASH] = ACTIONS(2734),
    [anon_sym_operator_compare] = ACTIONS(2358),
    [anon_sym_DOLLAR] = ACTIONS(2360),
    [sym__string_start] = ACTIONS(1512),
  },
  [1721] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9702),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1722] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16166),
    [sym__keyword_case] = STATE(299),
    [sym__keyword_not] = STATE(1734),
    [sym__keyword_cast] = STATE(19301),
    [sym__keyword_date] = STATE(386),
    [sym__keyword_datetime] = STATE(386),
    [sym__keyword_time] = STATE(386),
    [sym__keyword_timestamp] = STATE(386),
    [sym_select_subexpression] = STATE(469),
    [sym_function_call] = STATE(469),
    [sym_unnest_operator] = STATE(52),
    [sym_unnest_clause] = STATE(469),
    [sym__literal] = STATE(469),
    [sym_NULL] = STATE(469),
    [sym_TRUE] = STATE(469),
    [sym_FALSE] = STATE(469),
    [sym__float] = STATE(472),
    [sym_numeric] = STATE(472),
    [sym__number] = STATE(472),
    [sym_interval] = STATE(469),
    [sym_range] = STATE(469),
    [sym_time] = STATE(469),
    [sym_number] = STATE(469),
    [sym_json] = STATE(469),
    [sym_query_parameter] = STATE(469),
    [sym__type_chrono] = STATE(371),
    [sym__type_struct] = STATE(19121),
    [sym__type_array] = STATE(18667),
    [sym_array] = STATE(469),
    [sym_struct] = STATE(469),
    [sym__identifier] = STATE(383),
    [sym__dotted_identifier] = STATE(13828),
    [sym_identifier] = STATE(477),
    [sym_string] = STATE(469),
    [sym__expression] = STATE(194),
    [sym__parenthesized_expression] = STATE(469),
    [sym_element_access] = STATE(469),
    [sym_field_access] = STATE(469),
    [sym_unary_expression] = STATE(469),
    [sym_binary_expression] = STATE(469),
    [sym_between_operator] = STATE(469),
    [sym_casewhen_expression] = STATE(469),
    [sym_cast_expression] = STATE(469),
    [sym_argument_reference] = STATE(469),
    [aux_sym_identifier_repeat1] = STATE(13828),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2314),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2316),
    [aux_sym__keyword_case_token1] = ACTIONS(2318),
    [aux_sym__keyword_cast_token1] = ACTIONS(2320),
    [aux_sym__keyword_cast_token2] = ACTIONS(2320),
    [aux_sym__keyword_date_token1] = ACTIONS(2322),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2322),
    [aux_sym__keyword_time_token1] = ACTIONS(2322),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(2324),
    [aux_sym_drop_notnull_token1] = ACTIONS(2326),
    [aux_sym_function_call_token2] = ACTIONS(2328),
    [aux_sym_unnest_operator_token1] = ACTIONS(2730),
    [aux_sym_TRUE_token1] = ACTIONS(2332),
    [aux_sym_FALSE_token1] = ACTIONS(2334),
    [sym__integer] = ACTIONS(2336),
    [aux_sym__float_token1] = ACTIONS(2338),
    [aux_sym__float_token2] = ACTIONS(2336),
    [aux_sym__float_token3] = ACTIONS(2338),
    [aux_sym_numeric_token1] = ACTIONS(2340),
    [aux_sym_numeric_token2] = ACTIONS(2340),
    [aux_sym_numeric_token3] = ACTIONS(2340),
    [aux_sym_numeric_token4] = ACTIONS(2340),
    [aux_sym_interval_token1] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2344),
    [aux_sym_json_token1] = ACTIONS(2346),
    [sym_system_variable] = ACTIONS(2348),
    [sym__named_query_parameter] = ACTIONS(2350),
    [sym__positional_query_parameter] = ACTIONS(2352),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2732),
    [anon_sym_PLUS] = ACTIONS(2734),
    [anon_sym_DASH] = ACTIONS(2734),
    [anon_sym_operator_compare] = ACTIONS(2358),
    [anon_sym_DOLLAR] = ACTIONS(2360),
    [sym__string_start] = ACTIONS(1512),
  },
  [1723] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16166),
    [sym__keyword_case] = STATE(299),
    [sym__keyword_not] = STATE(1734),
    [sym__keyword_cast] = STATE(19301),
    [sym__keyword_date] = STATE(386),
    [sym__keyword_datetime] = STATE(386),
    [sym__keyword_time] = STATE(386),
    [sym__keyword_timestamp] = STATE(386),
    [sym_select_subexpression] = STATE(469),
    [sym_function_call] = STATE(469),
    [sym_unnest_operator] = STATE(52),
    [sym_unnest_clause] = STATE(469),
    [sym__literal] = STATE(469),
    [sym_NULL] = STATE(469),
    [sym_TRUE] = STATE(469),
    [sym_FALSE] = STATE(469),
    [sym__float] = STATE(472),
    [sym_numeric] = STATE(472),
    [sym__number] = STATE(472),
    [sym_interval] = STATE(469),
    [sym_range] = STATE(469),
    [sym_time] = STATE(469),
    [sym_number] = STATE(469),
    [sym_json] = STATE(469),
    [sym_query_parameter] = STATE(469),
    [sym__type_chrono] = STATE(371),
    [sym__type_struct] = STATE(19121),
    [sym__type_array] = STATE(18667),
    [sym_array] = STATE(469),
    [sym_struct] = STATE(469),
    [sym__identifier] = STATE(383),
    [sym__dotted_identifier] = STATE(13828),
    [sym_identifier] = STATE(477),
    [sym_string] = STATE(469),
    [sym__expression] = STATE(193),
    [sym__parenthesized_expression] = STATE(469),
    [sym_element_access] = STATE(469),
    [sym_field_access] = STATE(469),
    [sym_unary_expression] = STATE(469),
    [sym_binary_expression] = STATE(469),
    [sym_between_operator] = STATE(469),
    [sym_casewhen_expression] = STATE(469),
    [sym_cast_expression] = STATE(469),
    [sym_argument_reference] = STATE(469),
    [aux_sym_identifier_repeat1] = STATE(13828),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2314),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2316),
    [aux_sym__keyword_case_token1] = ACTIONS(2318),
    [aux_sym__keyword_cast_token1] = ACTIONS(2320),
    [aux_sym__keyword_cast_token2] = ACTIONS(2320),
    [aux_sym__keyword_date_token1] = ACTIONS(2322),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2322),
    [aux_sym__keyword_time_token1] = ACTIONS(2322),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(2324),
    [aux_sym_drop_notnull_token1] = ACTIONS(2326),
    [aux_sym_function_call_token2] = ACTIONS(2328),
    [aux_sym_unnest_operator_token1] = ACTIONS(2730),
    [aux_sym_TRUE_token1] = ACTIONS(2332),
    [aux_sym_FALSE_token1] = ACTIONS(2334),
    [sym__integer] = ACTIONS(2336),
    [aux_sym__float_token1] = ACTIONS(2338),
    [aux_sym__float_token2] = ACTIONS(2336),
    [aux_sym__float_token3] = ACTIONS(2338),
    [aux_sym_numeric_token1] = ACTIONS(2340),
    [aux_sym_numeric_token2] = ACTIONS(2340),
    [aux_sym_numeric_token3] = ACTIONS(2340),
    [aux_sym_numeric_token4] = ACTIONS(2340),
    [aux_sym_interval_token1] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2344),
    [aux_sym_json_token1] = ACTIONS(2346),
    [sym_system_variable] = ACTIONS(2348),
    [sym__named_query_parameter] = ACTIONS(2350),
    [sym__positional_query_parameter] = ACTIONS(2352),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2732),
    [anon_sym_PLUS] = ACTIONS(2734),
    [anon_sym_DASH] = ACTIONS(2734),
    [anon_sym_operator_compare] = ACTIONS(2358),
    [anon_sym_DOLLAR] = ACTIONS(2360),
    [sym__string_start] = ACTIONS(1512),
  },
  [1724] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(1572),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(165),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2287),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2726),
    [anon_sym_PLUS] = ACTIONS(2728),
    [anon_sym_DASH] = ACTIONS(2728),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1725] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16166),
    [sym__keyword_case] = STATE(299),
    [sym__keyword_not] = STATE(1734),
    [sym__keyword_cast] = STATE(19301),
    [sym__keyword_date] = STATE(386),
    [sym__keyword_datetime] = STATE(386),
    [sym__keyword_time] = STATE(386),
    [sym__keyword_timestamp] = STATE(386),
    [sym_select_subexpression] = STATE(469),
    [sym_function_call] = STATE(469),
    [sym_unnest_operator] = STATE(52),
    [sym_unnest_clause] = STATE(469),
    [sym__literal] = STATE(469),
    [sym_NULL] = STATE(469),
    [sym_TRUE] = STATE(469),
    [sym_FALSE] = STATE(469),
    [sym__float] = STATE(472),
    [sym_numeric] = STATE(472),
    [sym__number] = STATE(472),
    [sym_interval] = STATE(469),
    [sym_range] = STATE(469),
    [sym_time] = STATE(469),
    [sym_number] = STATE(469),
    [sym_json] = STATE(469),
    [sym_query_parameter] = STATE(469),
    [sym__type_chrono] = STATE(371),
    [sym__type_struct] = STATE(19121),
    [sym__type_array] = STATE(18667),
    [sym_array] = STATE(469),
    [sym_struct] = STATE(469),
    [sym__identifier] = STATE(383),
    [sym__dotted_identifier] = STATE(13828),
    [sym_identifier] = STATE(477),
    [sym_string] = STATE(469),
    [sym__expression] = STATE(192),
    [sym__parenthesized_expression] = STATE(469),
    [sym_element_access] = STATE(469),
    [sym_field_access] = STATE(469),
    [sym_unary_expression] = STATE(469),
    [sym_binary_expression] = STATE(469),
    [sym_between_operator] = STATE(469),
    [sym_casewhen_expression] = STATE(469),
    [sym_cast_expression] = STATE(469),
    [sym_argument_reference] = STATE(469),
    [aux_sym_identifier_repeat1] = STATE(13828),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2314),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2316),
    [aux_sym__keyword_case_token1] = ACTIONS(2318),
    [aux_sym__keyword_cast_token1] = ACTIONS(2320),
    [aux_sym__keyword_cast_token2] = ACTIONS(2320),
    [aux_sym__keyword_date_token1] = ACTIONS(2322),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2322),
    [aux_sym__keyword_time_token1] = ACTIONS(2322),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(2324),
    [aux_sym_drop_notnull_token1] = ACTIONS(2326),
    [aux_sym_function_call_token2] = ACTIONS(2328),
    [aux_sym_unnest_operator_token1] = ACTIONS(2730),
    [aux_sym_TRUE_token1] = ACTIONS(2332),
    [aux_sym_FALSE_token1] = ACTIONS(2334),
    [sym__integer] = ACTIONS(2336),
    [aux_sym__float_token1] = ACTIONS(2338),
    [aux_sym__float_token2] = ACTIONS(2336),
    [aux_sym__float_token3] = ACTIONS(2338),
    [aux_sym_numeric_token1] = ACTIONS(2340),
    [aux_sym_numeric_token2] = ACTIONS(2340),
    [aux_sym_numeric_token3] = ACTIONS(2340),
    [aux_sym_numeric_token4] = ACTIONS(2340),
    [aux_sym_interval_token1] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2344),
    [aux_sym_json_token1] = ACTIONS(2346),
    [sym_system_variable] = ACTIONS(2348),
    [sym__named_query_parameter] = ACTIONS(2350),
    [sym__positional_query_parameter] = ACTIONS(2352),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2732),
    [anon_sym_PLUS] = ACTIONS(2734),
    [anon_sym_DASH] = ACTIONS(2734),
    [anon_sym_operator_compare] = ACTIONS(2358),
    [anon_sym_DOLLAR] = ACTIONS(2360),
    [sym__string_start] = ACTIONS(1512),
  },
  [1726] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9638),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1727] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16166),
    [sym__keyword_case] = STATE(299),
    [sym__keyword_not] = STATE(1734),
    [sym__keyword_cast] = STATE(19301),
    [sym__keyword_date] = STATE(386),
    [sym__keyword_datetime] = STATE(386),
    [sym__keyword_time] = STATE(386),
    [sym__keyword_timestamp] = STATE(386),
    [sym_select_subexpression] = STATE(469),
    [sym_function_call] = STATE(469),
    [sym_unnest_operator] = STATE(52),
    [sym_unnest_clause] = STATE(469),
    [sym__literal] = STATE(469),
    [sym_NULL] = STATE(469),
    [sym_TRUE] = STATE(469),
    [sym_FALSE] = STATE(469),
    [sym__float] = STATE(472),
    [sym_numeric] = STATE(472),
    [sym__number] = STATE(472),
    [sym_interval] = STATE(469),
    [sym_range] = STATE(469),
    [sym_time] = STATE(469),
    [sym_number] = STATE(469),
    [sym_json] = STATE(469),
    [sym_query_parameter] = STATE(469),
    [sym__type_chrono] = STATE(371),
    [sym__type_struct] = STATE(19121),
    [sym__type_array] = STATE(18667),
    [sym_array] = STATE(469),
    [sym_struct] = STATE(469),
    [sym__identifier] = STATE(383),
    [sym__dotted_identifier] = STATE(13828),
    [sym_identifier] = STATE(477),
    [sym_string] = STATE(469),
    [sym__expression] = STATE(190),
    [sym__parenthesized_expression] = STATE(469),
    [sym_element_access] = STATE(469),
    [sym_field_access] = STATE(469),
    [sym_unary_expression] = STATE(469),
    [sym_binary_expression] = STATE(469),
    [sym_between_operator] = STATE(469),
    [sym_casewhen_expression] = STATE(469),
    [sym_cast_expression] = STATE(469),
    [sym_argument_reference] = STATE(469),
    [aux_sym_identifier_repeat1] = STATE(13828),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2314),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2316),
    [aux_sym__keyword_case_token1] = ACTIONS(2318),
    [aux_sym__keyword_cast_token1] = ACTIONS(2320),
    [aux_sym__keyword_cast_token2] = ACTIONS(2320),
    [aux_sym__keyword_date_token1] = ACTIONS(2322),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2322),
    [aux_sym__keyword_time_token1] = ACTIONS(2322),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(2324),
    [aux_sym_drop_notnull_token1] = ACTIONS(2326),
    [aux_sym_function_call_token2] = ACTIONS(2328),
    [aux_sym_unnest_operator_token1] = ACTIONS(2730),
    [aux_sym_TRUE_token1] = ACTIONS(2332),
    [aux_sym_FALSE_token1] = ACTIONS(2334),
    [sym__integer] = ACTIONS(2336),
    [aux_sym__float_token1] = ACTIONS(2338),
    [aux_sym__float_token2] = ACTIONS(2336),
    [aux_sym__float_token3] = ACTIONS(2338),
    [aux_sym_numeric_token1] = ACTIONS(2340),
    [aux_sym_numeric_token2] = ACTIONS(2340),
    [aux_sym_numeric_token3] = ACTIONS(2340),
    [aux_sym_numeric_token4] = ACTIONS(2340),
    [aux_sym_interval_token1] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2344),
    [aux_sym_json_token1] = ACTIONS(2346),
    [sym_system_variable] = ACTIONS(2348),
    [sym__named_query_parameter] = ACTIONS(2350),
    [sym__positional_query_parameter] = ACTIONS(2352),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2732),
    [anon_sym_PLUS] = ACTIONS(2734),
    [anon_sym_DASH] = ACTIONS(2734),
    [anon_sym_operator_compare] = ACTIONS(2358),
    [anon_sym_DOLLAR] = ACTIONS(2360),
    [sym__string_start] = ACTIONS(1512),
  },
  [1728] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16166),
    [sym__keyword_case] = STATE(299),
    [sym__keyword_not] = STATE(1734),
    [sym__keyword_cast] = STATE(19301),
    [sym__keyword_date] = STATE(386),
    [sym__keyword_datetime] = STATE(386),
    [sym__keyword_time] = STATE(386),
    [sym__keyword_timestamp] = STATE(386),
    [sym_select_subexpression] = STATE(469),
    [sym_function_call] = STATE(469),
    [sym_unnest_operator] = STATE(52),
    [sym_unnest_clause] = STATE(469),
    [sym__literal] = STATE(469),
    [sym_NULL] = STATE(469),
    [sym_TRUE] = STATE(469),
    [sym_FALSE] = STATE(469),
    [sym__float] = STATE(472),
    [sym_numeric] = STATE(472),
    [sym__number] = STATE(472),
    [sym_interval] = STATE(469),
    [sym_range] = STATE(469),
    [sym_time] = STATE(469),
    [sym_number] = STATE(469),
    [sym_json] = STATE(469),
    [sym_query_parameter] = STATE(469),
    [sym__type_chrono] = STATE(371),
    [sym__type_struct] = STATE(19121),
    [sym__type_array] = STATE(18667),
    [sym_array] = STATE(469),
    [sym_struct] = STATE(469),
    [sym__identifier] = STATE(383),
    [sym__dotted_identifier] = STATE(13828),
    [sym_identifier] = STATE(477),
    [sym_string] = STATE(469),
    [sym__expression] = STATE(183),
    [sym__parenthesized_expression] = STATE(469),
    [sym_element_access] = STATE(469),
    [sym_field_access] = STATE(469),
    [sym_unary_expression] = STATE(469),
    [sym_binary_expression] = STATE(469),
    [sym_between_operator] = STATE(469),
    [sym_casewhen_expression] = STATE(469),
    [sym_cast_expression] = STATE(469),
    [sym_argument_reference] = STATE(469),
    [aux_sym_identifier_repeat1] = STATE(13828),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2314),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2316),
    [aux_sym__keyword_case_token1] = ACTIONS(2318),
    [aux_sym__keyword_cast_token1] = ACTIONS(2320),
    [aux_sym__keyword_cast_token2] = ACTIONS(2320),
    [aux_sym__keyword_date_token1] = ACTIONS(2322),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2322),
    [aux_sym__keyword_time_token1] = ACTIONS(2322),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(2324),
    [aux_sym_drop_notnull_token1] = ACTIONS(2326),
    [aux_sym_function_call_token2] = ACTIONS(2328),
    [aux_sym_unnest_operator_token1] = ACTIONS(2730),
    [aux_sym_TRUE_token1] = ACTIONS(2332),
    [aux_sym_FALSE_token1] = ACTIONS(2334),
    [sym__integer] = ACTIONS(2336),
    [aux_sym__float_token1] = ACTIONS(2338),
    [aux_sym__float_token2] = ACTIONS(2336),
    [aux_sym__float_token3] = ACTIONS(2338),
    [aux_sym_numeric_token1] = ACTIONS(2340),
    [aux_sym_numeric_token2] = ACTIONS(2340),
    [aux_sym_numeric_token3] = ACTIONS(2340),
    [aux_sym_numeric_token4] = ACTIONS(2340),
    [aux_sym_interval_token1] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2344),
    [aux_sym_json_token1] = ACTIONS(2346),
    [sym_system_variable] = ACTIONS(2348),
    [sym__named_query_parameter] = ACTIONS(2350),
    [sym__positional_query_parameter] = ACTIONS(2352),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2732),
    [anon_sym_PLUS] = ACTIONS(2734),
    [anon_sym_DASH] = ACTIONS(2734),
    [anon_sym_operator_compare] = ACTIONS(2358),
    [anon_sym_DOLLAR] = ACTIONS(2360),
    [sym__string_start] = ACTIONS(1512),
  },
  [1729] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16282),
    [sym__keyword_case] = STATE(374),
    [sym__keyword_not] = STATE(1069),
    [sym__keyword_cast] = STATE(19285),
    [sym__keyword_date] = STATE(10540),
    [sym__keyword_datetime] = STATE(10540),
    [sym__keyword_time] = STATE(10540),
    [sym__keyword_timestamp] = STATE(10540),
    [sym_select_subexpression] = STATE(10861),
    [sym_function_call] = STATE(10861),
    [sym_unnest_operator] = STATE(6471),
    [sym_unnest_clause] = STATE(10861),
    [sym__literal] = STATE(10861),
    [sym_NULL] = STATE(10861),
    [sym_TRUE] = STATE(10861),
    [sym_FALSE] = STATE(10861),
    [sym__float] = STATE(10863),
    [sym_numeric] = STATE(10863),
    [sym__number] = STATE(10863),
    [sym_interval] = STATE(10861),
    [sym_range] = STATE(10861),
    [sym_time] = STATE(10861),
    [sym_number] = STATE(10861),
    [sym_json] = STATE(10861),
    [sym_query_parameter] = STATE(10861),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19065),
    [sym__type_array] = STATE(18448),
    [sym_array] = STATE(10861),
    [sym_struct] = STATE(10861),
    [sym__identifier] = STATE(10536),
    [sym__dotted_identifier] = STATE(14157),
    [sym_identifier] = STATE(10772),
    [sym_string] = STATE(10861),
    [sym__expression] = STATE(9060),
    [sym__parenthesized_expression] = STATE(10861),
    [sym_element_access] = STATE(10861),
    [sym_field_access] = STATE(10861),
    [sym_unary_expression] = STATE(10861),
    [sym_binary_expression] = STATE(10861),
    [sym_between_operator] = STATE(10861),
    [sym_casewhen_expression] = STATE(10861),
    [sym_cast_expression] = STATE(10861),
    [sym_argument_reference] = STATE(10861),
    [aux_sym_identifier_repeat1] = STATE(14157),
    [sym__unquoted_identifier] = ACTIONS(2552),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2554),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2556),
    [aux_sym__keyword_case_token1] = ACTIONS(2558),
    [aux_sym__keyword_cast_token1] = ACTIONS(2560),
    [aux_sym__keyword_cast_token2] = ACTIONS(2560),
    [aux_sym__keyword_date_token1] = ACTIONS(2562),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2562),
    [aux_sym__keyword_time_token1] = ACTIONS(2562),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [aux_sym_drop_notnull_token1] = ACTIONS(2566),
    [aux_sym_function_call_token2] = ACTIONS(2568),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2570),
    [aux_sym_FALSE_token1] = ACTIONS(2572),
    [sym__integer] = ACTIONS(2574),
    [aux_sym__float_token1] = ACTIONS(2576),
    [aux_sym__float_token2] = ACTIONS(2574),
    [aux_sym__float_token3] = ACTIONS(2576),
    [aux_sym_numeric_token1] = ACTIONS(2578),
    [aux_sym_numeric_token2] = ACTIONS(2578),
    [aux_sym_numeric_token3] = ACTIONS(2578),
    [aux_sym_numeric_token4] = ACTIONS(2578),
    [aux_sym_interval_token1] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [aux_sym_json_token1] = ACTIONS(2584),
    [sym_system_variable] = ACTIONS(2586),
    [sym__named_query_parameter] = ACTIONS(2588),
    [sym__positional_query_parameter] = ACTIONS(2590),
    [sym__quoted_identifier] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_operator_compare] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [sym__string_start] = ACTIONS(2602),
  },
  [1730] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16166),
    [sym__keyword_case] = STATE(299),
    [sym__keyword_not] = STATE(1734),
    [sym__keyword_cast] = STATE(19301),
    [sym__keyword_date] = STATE(386),
    [sym__keyword_datetime] = STATE(386),
    [sym__keyword_time] = STATE(386),
    [sym__keyword_timestamp] = STATE(386),
    [sym_select_subexpression] = STATE(469),
    [sym_function_call] = STATE(469),
    [sym_unnest_operator] = STATE(52),
    [sym_unnest_clause] = STATE(469),
    [sym__literal] = STATE(469),
    [sym_NULL] = STATE(469),
    [sym_TRUE] = STATE(469),
    [sym_FALSE] = STATE(469),
    [sym__float] = STATE(472),
    [sym_numeric] = STATE(472),
    [sym__number] = STATE(472),
    [sym_interval] = STATE(469),
    [sym_range] = STATE(469),
    [sym_time] = STATE(469),
    [sym_number] = STATE(469),
    [sym_json] = STATE(469),
    [sym_query_parameter] = STATE(469),
    [sym__type_chrono] = STATE(371),
    [sym__type_struct] = STATE(19121),
    [sym__type_array] = STATE(18667),
    [sym_array] = STATE(469),
    [sym_struct] = STATE(469),
    [sym__identifier] = STATE(383),
    [sym__dotted_identifier] = STATE(13828),
    [sym_identifier] = STATE(477),
    [sym_string] = STATE(469),
    [sym__expression] = STATE(188),
    [sym__parenthesized_expression] = STATE(469),
    [sym_element_access] = STATE(469),
    [sym_field_access] = STATE(469),
    [sym_unary_expression] = STATE(469),
    [sym_binary_expression] = STATE(469),
    [sym_between_operator] = STATE(469),
    [sym_casewhen_expression] = STATE(469),
    [sym_cast_expression] = STATE(469),
    [sym_argument_reference] = STATE(469),
    [aux_sym_identifier_repeat1] = STATE(13828),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2314),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2316),
    [aux_sym__keyword_case_token1] = ACTIONS(2318),
    [aux_sym__keyword_cast_token1] = ACTIONS(2320),
    [aux_sym__keyword_cast_token2] = ACTIONS(2320),
    [aux_sym__keyword_date_token1] = ACTIONS(2322),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2322),
    [aux_sym__keyword_time_token1] = ACTIONS(2322),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(2324),
    [aux_sym_drop_notnull_token1] = ACTIONS(2326),
    [aux_sym_function_call_token2] = ACTIONS(2328),
    [aux_sym_unnest_operator_token1] = ACTIONS(2730),
    [aux_sym_TRUE_token1] = ACTIONS(2332),
    [aux_sym_FALSE_token1] = ACTIONS(2334),
    [sym__integer] = ACTIONS(2336),
    [aux_sym__float_token1] = ACTIONS(2338),
    [aux_sym__float_token2] = ACTIONS(2336),
    [aux_sym__float_token3] = ACTIONS(2338),
    [aux_sym_numeric_token1] = ACTIONS(2340),
    [aux_sym_numeric_token2] = ACTIONS(2340),
    [aux_sym_numeric_token3] = ACTIONS(2340),
    [aux_sym_numeric_token4] = ACTIONS(2340),
    [aux_sym_interval_token1] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2344),
    [aux_sym_json_token1] = ACTIONS(2346),
    [sym_system_variable] = ACTIONS(2348),
    [sym__named_query_parameter] = ACTIONS(2350),
    [sym__positional_query_parameter] = ACTIONS(2352),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2732),
    [anon_sym_PLUS] = ACTIONS(2734),
    [anon_sym_DASH] = ACTIONS(2734),
    [anon_sym_operator_compare] = ACTIONS(2358),
    [anon_sym_DOLLAR] = ACTIONS(2360),
    [sym__string_start] = ACTIONS(1512),
  },
  [1731] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16234),
    [sym__keyword_case] = STATE(345),
    [sym__keyword_not] = STATE(1679),
    [sym__keyword_cast] = STATE(19291),
    [sym__keyword_date] = STATE(3007),
    [sym__keyword_datetime] = STATE(3007),
    [sym__keyword_time] = STATE(3007),
    [sym__keyword_timestamp] = STATE(3007),
    [sym_select_subexpression] = STATE(3283),
    [sym_function_call] = STATE(3283),
    [sym_unnest_operator] = STATE(438),
    [sym_unnest_clause] = STATE(3283),
    [sym__literal] = STATE(3283),
    [sym_NULL] = STATE(3283),
    [sym_TRUE] = STATE(3283),
    [sym_FALSE] = STATE(3283),
    [sym__float] = STATE(3282),
    [sym_numeric] = STATE(3282),
    [sym__number] = STATE(3282),
    [sym_interval] = STATE(3283),
    [sym_range] = STATE(3283),
    [sym_time] = STATE(3283),
    [sym_number] = STATE(3283),
    [sym_json] = STATE(3283),
    [sym_query_parameter] = STATE(3283),
    [sym__type_chrono] = STATE(2957),
    [sym__type_struct] = STATE(19086),
    [sym__type_array] = STATE(18532),
    [sym_array] = STATE(3283),
    [sym_struct] = STATE(3283),
    [sym__identifier] = STATE(2993),
    [sym__dotted_identifier] = STATE(13495),
    [sym_identifier] = STATE(3030),
    [sym_string] = STATE(3283),
    [sym__expression] = STATE(2773),
    [sym__parenthesized_expression] = STATE(3283),
    [sym_element_access] = STATE(3283),
    [sym_field_access] = STATE(3283),
    [sym_unary_expression] = STATE(3283),
    [sym_binary_expression] = STATE(3283),
    [sym_between_operator] = STATE(3283),
    [sym_casewhen_expression] = STATE(3283),
    [sym_cast_expression] = STATE(3283),
    [sym_argument_reference] = STATE(3283),
    [aux_sym_identifier_repeat1] = STATE(13495),
    [sym__unquoted_identifier] = ACTIONS(1306),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2098),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2100),
    [aux_sym__keyword_case_token1] = ACTIONS(2102),
    [aux_sym__keyword_cast_token1] = ACTIONS(2104),
    [aux_sym__keyword_cast_token2] = ACTIONS(2104),
    [aux_sym__keyword_date_token1] = ACTIONS(2106),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2106),
    [aux_sym__keyword_time_token1] = ACTIONS(2106),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2106),
    [anon_sym_LPAREN] = ACTIONS(2108),
    [aux_sym_drop_notnull_token1] = ACTIONS(2110),
    [aux_sym_function_call_token2] = ACTIONS(2112),
    [aux_sym_unnest_operator_token1] = ACTIONS(2156),
    [aux_sym_TRUE_token1] = ACTIONS(2116),
    [aux_sym_FALSE_token1] = ACTIONS(2118),
    [sym__integer] = ACTIONS(2120),
    [aux_sym__float_token1] = ACTIONS(2122),
    [aux_sym__float_token2] = ACTIONS(2120),
    [aux_sym__float_token3] = ACTIONS(2122),
    [aux_sym_numeric_token1] = ACTIONS(2124),
    [aux_sym_numeric_token2] = ACTIONS(2124),
    [aux_sym_numeric_token3] = ACTIONS(2124),
    [aux_sym_numeric_token4] = ACTIONS(2124),
    [aux_sym_interval_token1] = ACTIONS(2126),
    [anon_sym_LBRACK] = ACTIONS(2128),
    [aux_sym_json_token1] = ACTIONS(2130),
    [sym_system_variable] = ACTIONS(2132),
    [sym__named_query_parameter] = ACTIONS(2134),
    [sym__positional_query_parameter] = ACTIONS(2136),
    [sym__quoted_identifier] = ACTIONS(1314),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2158),
    [anon_sym_PLUS] = ACTIONS(2160),
    [anon_sym_DASH] = ACTIONS(2160),
    [anon_sym_operator_compare] = ACTIONS(2142),
    [anon_sym_DOLLAR] = ACTIONS(2144),
    [sym__string_start] = ACTIONS(2146),
  },
  [1732] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16166),
    [sym__keyword_case] = STATE(299),
    [sym__keyword_not] = STATE(1734),
    [sym__keyword_cast] = STATE(19301),
    [sym__keyword_date] = STATE(386),
    [sym__keyword_datetime] = STATE(386),
    [sym__keyword_time] = STATE(386),
    [sym__keyword_timestamp] = STATE(386),
    [sym_select_subexpression] = STATE(469),
    [sym_function_call] = STATE(469),
    [sym_unnest_operator] = STATE(52),
    [sym_unnest_clause] = STATE(469),
    [sym__literal] = STATE(469),
    [sym_NULL] = STATE(469),
    [sym_TRUE] = STATE(469),
    [sym_FALSE] = STATE(469),
    [sym__float] = STATE(472),
    [sym_numeric] = STATE(472),
    [sym__number] = STATE(472),
    [sym_interval] = STATE(469),
    [sym_range] = STATE(469),
    [sym_time] = STATE(469),
    [sym_number] = STATE(469),
    [sym_json] = STATE(469),
    [sym_query_parameter] = STATE(469),
    [sym__type_chrono] = STATE(371),
    [sym__type_struct] = STATE(19121),
    [sym__type_array] = STATE(18667),
    [sym_array] = STATE(469),
    [sym_struct] = STATE(469),
    [sym__identifier] = STATE(383),
    [sym__dotted_identifier] = STATE(13828),
    [sym_identifier] = STATE(477),
    [sym_string] = STATE(469),
    [sym__expression] = STATE(185),
    [sym__parenthesized_expression] = STATE(469),
    [sym_element_access] = STATE(469),
    [sym_field_access] = STATE(469),
    [sym_unary_expression] = STATE(469),
    [sym_binary_expression] = STATE(469),
    [sym_between_operator] = STATE(469),
    [sym_casewhen_expression] = STATE(469),
    [sym_cast_expression] = STATE(469),
    [sym_argument_reference] = STATE(469),
    [aux_sym_identifier_repeat1] = STATE(13828),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2314),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2316),
    [aux_sym__keyword_case_token1] = ACTIONS(2318),
    [aux_sym__keyword_cast_token1] = ACTIONS(2320),
    [aux_sym__keyword_cast_token2] = ACTIONS(2320),
    [aux_sym__keyword_date_token1] = ACTIONS(2322),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2322),
    [aux_sym__keyword_time_token1] = ACTIONS(2322),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(2324),
    [aux_sym_drop_notnull_token1] = ACTIONS(2326),
    [aux_sym_function_call_token2] = ACTIONS(2328),
    [aux_sym_unnest_operator_token1] = ACTIONS(2730),
    [aux_sym_TRUE_token1] = ACTIONS(2332),
    [aux_sym_FALSE_token1] = ACTIONS(2334),
    [sym__integer] = ACTIONS(2336),
    [aux_sym__float_token1] = ACTIONS(2338),
    [aux_sym__float_token2] = ACTIONS(2336),
    [aux_sym__float_token3] = ACTIONS(2338),
    [aux_sym_numeric_token1] = ACTIONS(2340),
    [aux_sym_numeric_token2] = ACTIONS(2340),
    [aux_sym_numeric_token3] = ACTIONS(2340),
    [aux_sym_numeric_token4] = ACTIONS(2340),
    [aux_sym_interval_token1] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2344),
    [aux_sym_json_token1] = ACTIONS(2346),
    [sym_system_variable] = ACTIONS(2348),
    [sym__named_query_parameter] = ACTIONS(2350),
    [sym__positional_query_parameter] = ACTIONS(2352),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2732),
    [anon_sym_PLUS] = ACTIONS(2734),
    [anon_sym_DASH] = ACTIONS(2734),
    [anon_sym_operator_compare] = ACTIONS(2358),
    [anon_sym_DOLLAR] = ACTIONS(2360),
    [sym__string_start] = ACTIONS(1512),
  },
  [1733] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(6668),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1734] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16166),
    [sym__keyword_case] = STATE(299),
    [sym__keyword_not] = STATE(1734),
    [sym__keyword_cast] = STATE(19301),
    [sym__keyword_date] = STATE(386),
    [sym__keyword_datetime] = STATE(386),
    [sym__keyword_time] = STATE(386),
    [sym__keyword_timestamp] = STATE(386),
    [sym_select_subexpression] = STATE(469),
    [sym_function_call] = STATE(469),
    [sym_unnest_operator] = STATE(52),
    [sym_unnest_clause] = STATE(469),
    [sym__literal] = STATE(469),
    [sym_NULL] = STATE(469),
    [sym_TRUE] = STATE(469),
    [sym_FALSE] = STATE(469),
    [sym__float] = STATE(472),
    [sym_numeric] = STATE(472),
    [sym__number] = STATE(472),
    [sym_interval] = STATE(469),
    [sym_range] = STATE(469),
    [sym_time] = STATE(469),
    [sym_number] = STATE(469),
    [sym_json] = STATE(469),
    [sym_query_parameter] = STATE(469),
    [sym__type_chrono] = STATE(371),
    [sym__type_struct] = STATE(19121),
    [sym__type_array] = STATE(18667),
    [sym_array] = STATE(469),
    [sym_struct] = STATE(469),
    [sym__identifier] = STATE(383),
    [sym__dotted_identifier] = STATE(13828),
    [sym_identifier] = STATE(477),
    [sym_string] = STATE(469),
    [sym__expression] = STATE(182),
    [sym__parenthesized_expression] = STATE(469),
    [sym_element_access] = STATE(469),
    [sym_field_access] = STATE(469),
    [sym_unary_expression] = STATE(469),
    [sym_binary_expression] = STATE(469),
    [sym_between_operator] = STATE(469),
    [sym_casewhen_expression] = STATE(469),
    [sym_cast_expression] = STATE(469),
    [sym_argument_reference] = STATE(469),
    [aux_sym_identifier_repeat1] = STATE(13828),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2314),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2316),
    [aux_sym__keyword_case_token1] = ACTIONS(2318),
    [aux_sym__keyword_cast_token1] = ACTIONS(2320),
    [aux_sym__keyword_cast_token2] = ACTIONS(2320),
    [aux_sym__keyword_date_token1] = ACTIONS(2322),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2322),
    [aux_sym__keyword_time_token1] = ACTIONS(2322),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(2324),
    [aux_sym_drop_notnull_token1] = ACTIONS(2326),
    [aux_sym_function_call_token2] = ACTIONS(2328),
    [aux_sym_unnest_operator_token1] = ACTIONS(2730),
    [aux_sym_TRUE_token1] = ACTIONS(2332),
    [aux_sym_FALSE_token1] = ACTIONS(2334),
    [sym__integer] = ACTIONS(2336),
    [aux_sym__float_token1] = ACTIONS(2338),
    [aux_sym__float_token2] = ACTIONS(2336),
    [aux_sym__float_token3] = ACTIONS(2338),
    [aux_sym_numeric_token1] = ACTIONS(2340),
    [aux_sym_numeric_token2] = ACTIONS(2340),
    [aux_sym_numeric_token3] = ACTIONS(2340),
    [aux_sym_numeric_token4] = ACTIONS(2340),
    [aux_sym_interval_token1] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2344),
    [aux_sym_json_token1] = ACTIONS(2346),
    [sym_system_variable] = ACTIONS(2348),
    [sym__named_query_parameter] = ACTIONS(2350),
    [sym__positional_query_parameter] = ACTIONS(2352),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2732),
    [anon_sym_PLUS] = ACTIONS(2734),
    [anon_sym_DASH] = ACTIONS(2734),
    [anon_sym_operator_compare] = ACTIONS(2358),
    [anon_sym_DOLLAR] = ACTIONS(2360),
    [sym__string_start] = ACTIONS(1512),
  },
  [1735] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16282),
    [sym__keyword_case] = STATE(374),
    [sym__keyword_not] = STATE(1750),
    [sym__keyword_cast] = STATE(19285),
    [sym__keyword_date] = STATE(10540),
    [sym__keyword_datetime] = STATE(10540),
    [sym__keyword_time] = STATE(10540),
    [sym__keyword_timestamp] = STATE(10540),
    [sym_select_subexpression] = STATE(10861),
    [sym_function_call] = STATE(10861),
    [sym_unnest_operator] = STATE(5588),
    [sym_unnest_clause] = STATE(10861),
    [sym__literal] = STATE(10861),
    [sym_NULL] = STATE(10861),
    [sym_TRUE] = STATE(10861),
    [sym_FALSE] = STATE(10861),
    [sym__float] = STATE(10863),
    [sym_numeric] = STATE(10863),
    [sym__number] = STATE(10863),
    [sym_interval] = STATE(10861),
    [sym_range] = STATE(10861),
    [sym_time] = STATE(10861),
    [sym_number] = STATE(10861),
    [sym_json] = STATE(10861),
    [sym_query_parameter] = STATE(10861),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19065),
    [sym__type_array] = STATE(18448),
    [sym_array] = STATE(10861),
    [sym_struct] = STATE(10861),
    [sym__identifier] = STATE(10536),
    [sym__dotted_identifier] = STATE(14157),
    [sym_identifier] = STATE(10772),
    [sym_string] = STATE(10861),
    [sym__expression] = STATE(8394),
    [sym__parenthesized_expression] = STATE(10861),
    [sym_element_access] = STATE(10861),
    [sym_field_access] = STATE(10861),
    [sym_unary_expression] = STATE(10861),
    [sym_binary_expression] = STATE(10861),
    [sym_between_operator] = STATE(10861),
    [sym_casewhen_expression] = STATE(10861),
    [sym_cast_expression] = STATE(10861),
    [sym_argument_reference] = STATE(10861),
    [aux_sym_identifier_repeat1] = STATE(14157),
    [sym__unquoted_identifier] = ACTIONS(2552),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2554),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2556),
    [aux_sym__keyword_case_token1] = ACTIONS(2558),
    [aux_sym__keyword_cast_token1] = ACTIONS(2560),
    [aux_sym__keyword_cast_token2] = ACTIONS(2560),
    [aux_sym__keyword_date_token1] = ACTIONS(2562),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2562),
    [aux_sym__keyword_time_token1] = ACTIONS(2562),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [aux_sym_drop_notnull_token1] = ACTIONS(2566),
    [aux_sym_function_call_token2] = ACTIONS(2568),
    [aux_sym_unnest_operator_token1] = ACTIONS(2658),
    [aux_sym_TRUE_token1] = ACTIONS(2570),
    [aux_sym_FALSE_token1] = ACTIONS(2572),
    [sym__integer] = ACTIONS(2574),
    [aux_sym__float_token1] = ACTIONS(2576),
    [aux_sym__float_token2] = ACTIONS(2574),
    [aux_sym__float_token3] = ACTIONS(2576),
    [aux_sym_numeric_token1] = ACTIONS(2578),
    [aux_sym_numeric_token2] = ACTIONS(2578),
    [aux_sym_numeric_token3] = ACTIONS(2578),
    [aux_sym_numeric_token4] = ACTIONS(2578),
    [aux_sym_interval_token1] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [aux_sym_json_token1] = ACTIONS(2584),
    [sym_system_variable] = ACTIONS(2586),
    [sym__named_query_parameter] = ACTIONS(2588),
    [sym__positional_query_parameter] = ACTIONS(2590),
    [sym__quoted_identifier] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2660),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_operator_compare] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [sym__string_start] = ACTIONS(2602),
  },
  [1736] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2486),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(4197),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2418),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1737] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16166),
    [sym__keyword_case] = STATE(299),
    [sym__keyword_not] = STATE(1734),
    [sym__keyword_cast] = STATE(19301),
    [sym__keyword_date] = STATE(386),
    [sym__keyword_datetime] = STATE(386),
    [sym__keyword_time] = STATE(386),
    [sym__keyword_timestamp] = STATE(386),
    [sym_select_subexpression] = STATE(469),
    [sym_function_call] = STATE(469),
    [sym_unnest_operator] = STATE(52),
    [sym_unnest_clause] = STATE(469),
    [sym__literal] = STATE(469),
    [sym_NULL] = STATE(469),
    [sym_TRUE] = STATE(469),
    [sym_FALSE] = STATE(469),
    [sym__float] = STATE(472),
    [sym_numeric] = STATE(472),
    [sym__number] = STATE(472),
    [sym_interval] = STATE(469),
    [sym_range] = STATE(469),
    [sym_time] = STATE(469),
    [sym_number] = STATE(469),
    [sym_json] = STATE(469),
    [sym_query_parameter] = STATE(469),
    [sym__type_chrono] = STATE(371),
    [sym__type_struct] = STATE(19121),
    [sym__type_array] = STATE(18667),
    [sym_array] = STATE(469),
    [sym_struct] = STATE(469),
    [sym__identifier] = STATE(383),
    [sym__dotted_identifier] = STATE(13828),
    [sym_identifier] = STATE(477),
    [sym_string] = STATE(469),
    [sym__expression] = STATE(181),
    [sym__parenthesized_expression] = STATE(469),
    [sym_element_access] = STATE(469),
    [sym_field_access] = STATE(469),
    [sym_unary_expression] = STATE(469),
    [sym_binary_expression] = STATE(469),
    [sym_between_operator] = STATE(469),
    [sym_casewhen_expression] = STATE(469),
    [sym_cast_expression] = STATE(469),
    [sym_argument_reference] = STATE(469),
    [aux_sym_identifier_repeat1] = STATE(13828),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2314),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2316),
    [aux_sym__keyword_case_token1] = ACTIONS(2318),
    [aux_sym__keyword_cast_token1] = ACTIONS(2320),
    [aux_sym__keyword_cast_token2] = ACTIONS(2320),
    [aux_sym__keyword_date_token1] = ACTIONS(2322),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2322),
    [aux_sym__keyword_time_token1] = ACTIONS(2322),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(2324),
    [aux_sym_drop_notnull_token1] = ACTIONS(2326),
    [aux_sym_function_call_token2] = ACTIONS(2328),
    [aux_sym_unnest_operator_token1] = ACTIONS(2730),
    [aux_sym_TRUE_token1] = ACTIONS(2332),
    [aux_sym_FALSE_token1] = ACTIONS(2334),
    [sym__integer] = ACTIONS(2336),
    [aux_sym__float_token1] = ACTIONS(2338),
    [aux_sym__float_token2] = ACTIONS(2336),
    [aux_sym__float_token3] = ACTIONS(2338),
    [aux_sym_numeric_token1] = ACTIONS(2340),
    [aux_sym_numeric_token2] = ACTIONS(2340),
    [aux_sym_numeric_token3] = ACTIONS(2340),
    [aux_sym_numeric_token4] = ACTIONS(2340),
    [aux_sym_interval_token1] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2344),
    [aux_sym_json_token1] = ACTIONS(2346),
    [sym_system_variable] = ACTIONS(2348),
    [sym__named_query_parameter] = ACTIONS(2350),
    [sym__positional_query_parameter] = ACTIONS(2352),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2732),
    [anon_sym_PLUS] = ACTIONS(2734),
    [anon_sym_DASH] = ACTIONS(2734),
    [anon_sym_operator_compare] = ACTIONS(2358),
    [anon_sym_DOLLAR] = ACTIONS(2360),
    [sym__string_start] = ACTIONS(1512),
  },
  [1738] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16234),
    [sym__keyword_case] = STATE(345),
    [sym__keyword_not] = STATE(1679),
    [sym__keyword_cast] = STATE(19291),
    [sym__keyword_date] = STATE(3007),
    [sym__keyword_datetime] = STATE(3007),
    [sym__keyword_time] = STATE(3007),
    [sym__keyword_timestamp] = STATE(3007),
    [sym_select_subexpression] = STATE(3283),
    [sym_function_call] = STATE(3283),
    [sym_unnest_operator] = STATE(438),
    [sym_unnest_clause] = STATE(3283),
    [sym__literal] = STATE(3283),
    [sym_NULL] = STATE(3283),
    [sym_TRUE] = STATE(3283),
    [sym_FALSE] = STATE(3283),
    [sym__float] = STATE(3282),
    [sym_numeric] = STATE(3282),
    [sym__number] = STATE(3282),
    [sym_interval] = STATE(3283),
    [sym_range] = STATE(3283),
    [sym_time] = STATE(3283),
    [sym_number] = STATE(3283),
    [sym_json] = STATE(3283),
    [sym_query_parameter] = STATE(3283),
    [sym__type_chrono] = STATE(2957),
    [sym__type_struct] = STATE(19086),
    [sym__type_array] = STATE(18532),
    [sym_array] = STATE(3283),
    [sym_struct] = STATE(3283),
    [sym__identifier] = STATE(2993),
    [sym__dotted_identifier] = STATE(13495),
    [sym_identifier] = STATE(3030),
    [sym_string] = STATE(3283),
    [sym__expression] = STATE(2785),
    [sym__parenthesized_expression] = STATE(3283),
    [sym_element_access] = STATE(3283),
    [sym_field_access] = STATE(3283),
    [sym_unary_expression] = STATE(3283),
    [sym_binary_expression] = STATE(3283),
    [sym_between_operator] = STATE(3283),
    [sym_casewhen_expression] = STATE(3283),
    [sym_cast_expression] = STATE(3283),
    [sym_argument_reference] = STATE(3283),
    [aux_sym_identifier_repeat1] = STATE(13495),
    [sym__unquoted_identifier] = ACTIONS(1306),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2098),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2100),
    [aux_sym__keyword_case_token1] = ACTIONS(2102),
    [aux_sym__keyword_cast_token1] = ACTIONS(2104),
    [aux_sym__keyword_cast_token2] = ACTIONS(2104),
    [aux_sym__keyword_date_token1] = ACTIONS(2106),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2106),
    [aux_sym__keyword_time_token1] = ACTIONS(2106),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2106),
    [anon_sym_LPAREN] = ACTIONS(2108),
    [aux_sym_drop_notnull_token1] = ACTIONS(2110),
    [aux_sym_function_call_token2] = ACTIONS(2112),
    [aux_sym_unnest_operator_token1] = ACTIONS(2156),
    [aux_sym_TRUE_token1] = ACTIONS(2116),
    [aux_sym_FALSE_token1] = ACTIONS(2118),
    [sym__integer] = ACTIONS(2120),
    [aux_sym__float_token1] = ACTIONS(2122),
    [aux_sym__float_token2] = ACTIONS(2120),
    [aux_sym__float_token3] = ACTIONS(2122),
    [aux_sym_numeric_token1] = ACTIONS(2124),
    [aux_sym_numeric_token2] = ACTIONS(2124),
    [aux_sym_numeric_token3] = ACTIONS(2124),
    [aux_sym_numeric_token4] = ACTIONS(2124),
    [aux_sym_interval_token1] = ACTIONS(2126),
    [anon_sym_LBRACK] = ACTIONS(2128),
    [aux_sym_json_token1] = ACTIONS(2130),
    [sym_system_variable] = ACTIONS(2132),
    [sym__named_query_parameter] = ACTIONS(2134),
    [sym__positional_query_parameter] = ACTIONS(2136),
    [sym__quoted_identifier] = ACTIONS(1314),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2158),
    [anon_sym_PLUS] = ACTIONS(2160),
    [anon_sym_DASH] = ACTIONS(2160),
    [anon_sym_operator_compare] = ACTIONS(2142),
    [anon_sym_DOLLAR] = ACTIONS(2144),
    [sym__string_start] = ACTIONS(2146),
  },
  [1739] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(6600),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1740] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9970),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1741] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10334),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1742] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9969),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1743] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1350),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2703),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(4212),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2674),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1744] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16282),
    [sym__keyword_case] = STATE(374),
    [sym__keyword_not] = STATE(1750),
    [sym__keyword_cast] = STATE(19285),
    [sym__keyword_date] = STATE(10540),
    [sym__keyword_datetime] = STATE(10540),
    [sym__keyword_time] = STATE(10540),
    [sym__keyword_timestamp] = STATE(10540),
    [sym_select_subexpression] = STATE(10861),
    [sym_function_call] = STATE(10861),
    [sym_unnest_operator] = STATE(5588),
    [sym_unnest_clause] = STATE(10861),
    [sym__literal] = STATE(10861),
    [sym_NULL] = STATE(10861),
    [sym_TRUE] = STATE(10861),
    [sym_FALSE] = STATE(10861),
    [sym__float] = STATE(10863),
    [sym_numeric] = STATE(10863),
    [sym__number] = STATE(10863),
    [sym_interval] = STATE(10861),
    [sym_range] = STATE(10861),
    [sym_time] = STATE(10861),
    [sym_number] = STATE(10861),
    [sym_json] = STATE(10861),
    [sym_query_parameter] = STATE(10861),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19065),
    [sym__type_array] = STATE(18448),
    [sym_array] = STATE(10861),
    [sym_struct] = STATE(10861),
    [sym__identifier] = STATE(10536),
    [sym__dotted_identifier] = STATE(14157),
    [sym_identifier] = STATE(10772),
    [sym_string] = STATE(10861),
    [sym__expression] = STATE(8214),
    [sym__parenthesized_expression] = STATE(10861),
    [sym_element_access] = STATE(10861),
    [sym_field_access] = STATE(10861),
    [sym_unary_expression] = STATE(10861),
    [sym_binary_expression] = STATE(10861),
    [sym_between_operator] = STATE(10861),
    [sym_casewhen_expression] = STATE(10861),
    [sym_cast_expression] = STATE(10861),
    [sym_argument_reference] = STATE(10861),
    [aux_sym_identifier_repeat1] = STATE(14157),
    [sym__unquoted_identifier] = ACTIONS(2552),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2554),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2556),
    [aux_sym__keyword_case_token1] = ACTIONS(2558),
    [aux_sym__keyword_cast_token1] = ACTIONS(2560),
    [aux_sym__keyword_cast_token2] = ACTIONS(2560),
    [aux_sym__keyword_date_token1] = ACTIONS(2562),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2562),
    [aux_sym__keyword_time_token1] = ACTIONS(2562),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [aux_sym_drop_notnull_token1] = ACTIONS(2566),
    [aux_sym_function_call_token2] = ACTIONS(2568),
    [aux_sym_unnest_operator_token1] = ACTIONS(2658),
    [aux_sym_TRUE_token1] = ACTIONS(2570),
    [aux_sym_FALSE_token1] = ACTIONS(2572),
    [sym__integer] = ACTIONS(2574),
    [aux_sym__float_token1] = ACTIONS(2576),
    [aux_sym__float_token2] = ACTIONS(2574),
    [aux_sym__float_token3] = ACTIONS(2576),
    [aux_sym_numeric_token1] = ACTIONS(2578),
    [aux_sym_numeric_token2] = ACTIONS(2578),
    [aux_sym_numeric_token3] = ACTIONS(2578),
    [aux_sym_numeric_token4] = ACTIONS(2578),
    [aux_sym_interval_token1] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [aux_sym_json_token1] = ACTIONS(2584),
    [sym_system_variable] = ACTIONS(2586),
    [sym__named_query_parameter] = ACTIONS(2588),
    [sym__positional_query_parameter] = ACTIONS(2590),
    [sym__quoted_identifier] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2660),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_operator_compare] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [sym__string_start] = ACTIONS(2602),
  },
  [1745] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1350),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2703),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(4213),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2002),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2674),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1746] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16226),
    [sym__keyword_case] = STATE(372),
    [sym__keyword_not] = STATE(1504),
    [sym__keyword_cast] = STATE(19293),
    [sym__keyword_date] = STATE(7385),
    [sym__keyword_datetime] = STATE(7385),
    [sym__keyword_time] = STATE(7385),
    [sym__keyword_timestamp] = STATE(7385),
    [sym_select_subexpression] = STATE(8017),
    [sym_function_call] = STATE(8017),
    [sym_unnest_operator] = STATE(5313),
    [sym_unnest_clause] = STATE(8017),
    [sym__literal] = STATE(8017),
    [sym_NULL] = STATE(8017),
    [sym_TRUE] = STATE(8017),
    [sym_FALSE] = STATE(8017),
    [sym__float] = STATE(8015),
    [sym_numeric] = STATE(8015),
    [sym__number] = STATE(8015),
    [sym_interval] = STATE(8017),
    [sym_range] = STATE(8017),
    [sym_time] = STATE(8017),
    [sym_number] = STATE(8017),
    [sym_json] = STATE(8017),
    [sym_query_parameter] = STATE(8017),
    [sym__type_chrono] = STATE(7173),
    [sym__type_struct] = STATE(19093),
    [sym__type_array] = STATE(18559),
    [sym_array] = STATE(8017),
    [sym_struct] = STATE(8017),
    [sym__identifier] = STATE(7194),
    [sym__dotted_identifier] = STATE(13999),
    [sym_identifier] = STATE(9346),
    [sym_string] = STATE(8017),
    [sym__expression] = STATE(6656),
    [sym__parenthesized_expression] = STATE(8017),
    [sym_element_access] = STATE(8017),
    [sym_field_access] = STATE(8017),
    [sym_unary_expression] = STATE(8017),
    [sym_binary_expression] = STATE(8017),
    [sym_between_operator] = STATE(8017),
    [sym_casewhen_expression] = STATE(8017),
    [sym_cast_expression] = STATE(8017),
    [sym_argument_reference] = STATE(8017),
    [aux_sym_identifier_repeat1] = STATE(13999),
    [sym__unquoted_identifier] = ACTIONS(2166),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2168),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2170),
    [aux_sym__keyword_case_token1] = ACTIONS(2172),
    [aux_sym__keyword_cast_token1] = ACTIONS(2174),
    [aux_sym__keyword_cast_token2] = ACTIONS(2174),
    [aux_sym__keyword_date_token1] = ACTIONS(2176),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2176),
    [aux_sym__keyword_time_token1] = ACTIONS(2176),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2176),
    [anon_sym_LPAREN] = ACTIONS(2178),
    [aux_sym_drop_notnull_token1] = ACTIONS(2180),
    [aux_sym_function_call_token2] = ACTIONS(2182),
    [aux_sym_unnest_operator_token1] = ACTIONS(509),
    [aux_sym_TRUE_token1] = ACTIONS(2186),
    [aux_sym_FALSE_token1] = ACTIONS(2188),
    [sym__integer] = ACTIONS(2190),
    [aux_sym__float_token1] = ACTIONS(2192),
    [aux_sym__float_token2] = ACTIONS(2190),
    [aux_sym__float_token3] = ACTIONS(2192),
    [aux_sym_numeric_token1] = ACTIONS(2194),
    [aux_sym_numeric_token2] = ACTIONS(2194),
    [aux_sym_numeric_token3] = ACTIONS(2194),
    [aux_sym_numeric_token4] = ACTIONS(2194),
    [aux_sym_interval_token1] = ACTIONS(2196),
    [anon_sym_LBRACK] = ACTIONS(2198),
    [aux_sym_json_token1] = ACTIONS(2200),
    [sym_system_variable] = ACTIONS(2202),
    [sym__named_query_parameter] = ACTIONS(2204),
    [sym__positional_query_parameter] = ACTIONS(2206),
    [sym__quoted_identifier] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_PLUS] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2680),
    [anon_sym_operator_compare] = ACTIONS(2214),
    [anon_sym_DOLLAR] = ACTIONS(2216),
    [sym__string_start] = ACTIONS(2218),
  },
  [1747] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9727),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1748] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9636),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1749] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16282),
    [sym__keyword_case] = STATE(374),
    [sym__keyword_not] = STATE(1750),
    [sym__keyword_cast] = STATE(19285),
    [sym__keyword_date] = STATE(10540),
    [sym__keyword_datetime] = STATE(10540),
    [sym__keyword_time] = STATE(10540),
    [sym__keyword_timestamp] = STATE(10540),
    [sym_select_subexpression] = STATE(10861),
    [sym_function_call] = STATE(10861),
    [sym_unnest_operator] = STATE(5588),
    [sym_unnest_clause] = STATE(10861),
    [sym__literal] = STATE(10861),
    [sym_NULL] = STATE(10861),
    [sym_TRUE] = STATE(10861),
    [sym_FALSE] = STATE(10861),
    [sym__float] = STATE(10863),
    [sym_numeric] = STATE(10863),
    [sym__number] = STATE(10863),
    [sym_interval] = STATE(10861),
    [sym_range] = STATE(10861),
    [sym_time] = STATE(10861),
    [sym_number] = STATE(10861),
    [sym_json] = STATE(10861),
    [sym_query_parameter] = STATE(10861),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19065),
    [sym__type_array] = STATE(18448),
    [sym_array] = STATE(10861),
    [sym_struct] = STATE(10861),
    [sym__identifier] = STATE(10536),
    [sym__dotted_identifier] = STATE(14157),
    [sym_identifier] = STATE(10772),
    [sym_string] = STATE(10861),
    [sym__expression] = STATE(8093),
    [sym__parenthesized_expression] = STATE(10861),
    [sym_element_access] = STATE(10861),
    [sym_field_access] = STATE(10861),
    [sym_unary_expression] = STATE(10861),
    [sym_binary_expression] = STATE(10861),
    [sym_between_operator] = STATE(10861),
    [sym_casewhen_expression] = STATE(10861),
    [sym_cast_expression] = STATE(10861),
    [sym_argument_reference] = STATE(10861),
    [aux_sym_identifier_repeat1] = STATE(14157),
    [sym__unquoted_identifier] = ACTIONS(2552),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2554),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2556),
    [aux_sym__keyword_case_token1] = ACTIONS(2558),
    [aux_sym__keyword_cast_token1] = ACTIONS(2560),
    [aux_sym__keyword_cast_token2] = ACTIONS(2560),
    [aux_sym__keyword_date_token1] = ACTIONS(2562),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2562),
    [aux_sym__keyword_time_token1] = ACTIONS(2562),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [aux_sym_drop_notnull_token1] = ACTIONS(2566),
    [aux_sym_function_call_token2] = ACTIONS(2568),
    [aux_sym_unnest_operator_token1] = ACTIONS(2658),
    [aux_sym_TRUE_token1] = ACTIONS(2570),
    [aux_sym_FALSE_token1] = ACTIONS(2572),
    [sym__integer] = ACTIONS(2574),
    [aux_sym__float_token1] = ACTIONS(2576),
    [aux_sym__float_token2] = ACTIONS(2574),
    [aux_sym__float_token3] = ACTIONS(2576),
    [aux_sym_numeric_token1] = ACTIONS(2578),
    [aux_sym_numeric_token2] = ACTIONS(2578),
    [aux_sym_numeric_token3] = ACTIONS(2578),
    [aux_sym_numeric_token4] = ACTIONS(2578),
    [aux_sym_interval_token1] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [aux_sym_json_token1] = ACTIONS(2584),
    [sym_system_variable] = ACTIONS(2586),
    [sym__named_query_parameter] = ACTIONS(2588),
    [sym__positional_query_parameter] = ACTIONS(2590),
    [sym__quoted_identifier] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2660),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_operator_compare] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [sym__string_start] = ACTIONS(2602),
  },
  [1750] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16282),
    [sym__keyword_case] = STATE(374),
    [sym__keyword_not] = STATE(1750),
    [sym__keyword_cast] = STATE(19285),
    [sym__keyword_date] = STATE(10540),
    [sym__keyword_datetime] = STATE(10540),
    [sym__keyword_time] = STATE(10540),
    [sym__keyword_timestamp] = STATE(10540),
    [sym_select_subexpression] = STATE(10861),
    [sym_function_call] = STATE(10861),
    [sym_unnest_operator] = STATE(5588),
    [sym_unnest_clause] = STATE(10861),
    [sym__literal] = STATE(10861),
    [sym_NULL] = STATE(10861),
    [sym_TRUE] = STATE(10861),
    [sym_FALSE] = STATE(10861),
    [sym__float] = STATE(10863),
    [sym_numeric] = STATE(10863),
    [sym__number] = STATE(10863),
    [sym_interval] = STATE(10861),
    [sym_range] = STATE(10861),
    [sym_time] = STATE(10861),
    [sym_number] = STATE(10861),
    [sym_json] = STATE(10861),
    [sym_query_parameter] = STATE(10861),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19065),
    [sym__type_array] = STATE(18448),
    [sym_array] = STATE(10861),
    [sym_struct] = STATE(10861),
    [sym__identifier] = STATE(10536),
    [sym__dotted_identifier] = STATE(14157),
    [sym_identifier] = STATE(10772),
    [sym_string] = STATE(10861),
    [sym__expression] = STATE(8156),
    [sym__parenthesized_expression] = STATE(10861),
    [sym_element_access] = STATE(10861),
    [sym_field_access] = STATE(10861),
    [sym_unary_expression] = STATE(10861),
    [sym_binary_expression] = STATE(10861),
    [sym_between_operator] = STATE(10861),
    [sym_casewhen_expression] = STATE(10861),
    [sym_cast_expression] = STATE(10861),
    [sym_argument_reference] = STATE(10861),
    [aux_sym_identifier_repeat1] = STATE(14157),
    [sym__unquoted_identifier] = ACTIONS(2552),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2554),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2556),
    [aux_sym__keyword_case_token1] = ACTIONS(2558),
    [aux_sym__keyword_cast_token1] = ACTIONS(2560),
    [aux_sym__keyword_cast_token2] = ACTIONS(2560),
    [aux_sym__keyword_date_token1] = ACTIONS(2562),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2562),
    [aux_sym__keyword_time_token1] = ACTIONS(2562),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [aux_sym_drop_notnull_token1] = ACTIONS(2566),
    [aux_sym_function_call_token2] = ACTIONS(2568),
    [aux_sym_unnest_operator_token1] = ACTIONS(2658),
    [aux_sym_TRUE_token1] = ACTIONS(2570),
    [aux_sym_FALSE_token1] = ACTIONS(2572),
    [sym__integer] = ACTIONS(2574),
    [aux_sym__float_token1] = ACTIONS(2576),
    [aux_sym__float_token2] = ACTIONS(2574),
    [aux_sym__float_token3] = ACTIONS(2576),
    [aux_sym_numeric_token1] = ACTIONS(2578),
    [aux_sym_numeric_token2] = ACTIONS(2578),
    [aux_sym_numeric_token3] = ACTIONS(2578),
    [aux_sym_numeric_token4] = ACTIONS(2578),
    [aux_sym_interval_token1] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [aux_sym_json_token1] = ACTIONS(2584),
    [sym_system_variable] = ACTIONS(2586),
    [sym__named_query_parameter] = ACTIONS(2588),
    [sym__positional_query_parameter] = ACTIONS(2590),
    [sym__quoted_identifier] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2660),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_operator_compare] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [sym__string_start] = ACTIONS(2602),
  },
  [1751] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(7014),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1752] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(7017),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1753] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9978),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1754] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1444),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(198),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(396),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1755] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16325),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1073),
    [sym__keyword_cast] = STATE(19275),
    [sym__keyword_date] = STATE(9495),
    [sym__keyword_datetime] = STATE(9495),
    [sym__keyword_time] = STATE(9495),
    [sym__keyword_timestamp] = STATE(9495),
    [sym_select_subexpression] = STATE(10495),
    [sym_function_call] = STATE(10495),
    [sym_unnest_operator] = STATE(6473),
    [sym_unnest_clause] = STATE(10495),
    [sym__literal] = STATE(10495),
    [sym_NULL] = STATE(10495),
    [sym_TRUE] = STATE(10495),
    [sym_FALSE] = STATE(10495),
    [sym__float] = STATE(10492),
    [sym_numeric] = STATE(10492),
    [sym__number] = STATE(10492),
    [sym_interval] = STATE(10495),
    [sym_range] = STATE(10495),
    [sym_time] = STATE(10495),
    [sym_number] = STATE(10495),
    [sym_json] = STATE(10495),
    [sym_query_parameter] = STATE(10495),
    [sym__type_chrono] = STATE(8422),
    [sym__type_struct] = STATE(19027),
    [sym__type_array] = STATE(18285),
    [sym_array] = STATE(10495),
    [sym_struct] = STATE(10495),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9694),
    [sym_string] = STATE(10495),
    [sym__expression] = STATE(9751),
    [sym__parenthesized_expression] = STATE(10495),
    [sym_element_access] = STATE(10495),
    [sym_field_access] = STATE(10495),
    [sym_unary_expression] = STATE(10495),
    [sym_binary_expression] = STATE(10495),
    [sym_between_operator] = STATE(10495),
    [sym_casewhen_expression] = STATE(10495),
    [sym_cast_expression] = STATE(10495),
    [sym_argument_reference] = STATE(10495),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2042),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2044),
    [aux_sym__keyword_case_token1] = ACTIONS(2046),
    [aux_sym__keyword_cast_token1] = ACTIONS(2048),
    [aux_sym__keyword_cast_token2] = ACTIONS(2048),
    [aux_sym__keyword_date_token1] = ACTIONS(2050),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2050),
    [aux_sym__keyword_time_token1] = ACTIONS(2050),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [aux_sym_drop_notnull_token1] = ACTIONS(2054),
    [aux_sym_function_call_token2] = ACTIONS(2056),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2060),
    [aux_sym_FALSE_token1] = ACTIONS(2062),
    [sym__integer] = ACTIONS(2064),
    [aux_sym__float_token1] = ACTIONS(2066),
    [aux_sym__float_token2] = ACTIONS(2064),
    [aux_sym__float_token3] = ACTIONS(2066),
    [aux_sym_numeric_token1] = ACTIONS(2068),
    [aux_sym_numeric_token2] = ACTIONS(2068),
    [aux_sym_numeric_token3] = ACTIONS(2068),
    [aux_sym_numeric_token4] = ACTIONS(2068),
    [aux_sym_interval_token1] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_json_token1] = ACTIONS(2074),
    [sym_system_variable] = ACTIONS(2076),
    [sym__named_query_parameter] = ACTIONS(2078),
    [sym__positional_query_parameter] = ACTIONS(2080),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_operator_compare] = ACTIONS(2086),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [sym__string_start] = ACTIONS(2090),
  },
  [1756] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16282),
    [sym__keyword_case] = STATE(374),
    [sym__keyword_not] = STATE(1069),
    [sym__keyword_cast] = STATE(19285),
    [sym__keyword_date] = STATE(10540),
    [sym__keyword_datetime] = STATE(10540),
    [sym__keyword_time] = STATE(10540),
    [sym__keyword_timestamp] = STATE(10540),
    [sym_select_subexpression] = STATE(10861),
    [sym_function_call] = STATE(10861),
    [sym_unnest_operator] = STATE(6471),
    [sym_unnest_clause] = STATE(10861),
    [sym__literal] = STATE(10861),
    [sym_NULL] = STATE(10861),
    [sym_TRUE] = STATE(10861),
    [sym_FALSE] = STATE(10861),
    [sym__float] = STATE(10863),
    [sym_numeric] = STATE(10863),
    [sym__number] = STATE(10863),
    [sym_interval] = STATE(10861),
    [sym_range] = STATE(10861),
    [sym_time] = STATE(10861),
    [sym_number] = STATE(10861),
    [sym_json] = STATE(10861),
    [sym_query_parameter] = STATE(10861),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19065),
    [sym__type_array] = STATE(18448),
    [sym_array] = STATE(10861),
    [sym_struct] = STATE(10861),
    [sym__identifier] = STATE(10536),
    [sym__dotted_identifier] = STATE(14157),
    [sym_identifier] = STATE(10772),
    [sym_string] = STATE(10861),
    [sym__expression] = STATE(9626),
    [sym__parenthesized_expression] = STATE(10861),
    [sym_element_access] = STATE(10861),
    [sym_field_access] = STATE(10861),
    [sym_unary_expression] = STATE(10861),
    [sym_binary_expression] = STATE(10861),
    [sym_between_operator] = STATE(10861),
    [sym_casewhen_expression] = STATE(10861),
    [sym_cast_expression] = STATE(10861),
    [sym_argument_reference] = STATE(10861),
    [aux_sym_identifier_repeat1] = STATE(14157),
    [sym__unquoted_identifier] = ACTIONS(2552),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2554),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2556),
    [aux_sym__keyword_case_token1] = ACTIONS(2558),
    [aux_sym__keyword_cast_token1] = ACTIONS(2560),
    [aux_sym__keyword_cast_token2] = ACTIONS(2560),
    [aux_sym__keyword_date_token1] = ACTIONS(2562),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2562),
    [aux_sym__keyword_time_token1] = ACTIONS(2562),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [aux_sym_drop_notnull_token1] = ACTIONS(2566),
    [aux_sym_function_call_token2] = ACTIONS(2568),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2570),
    [aux_sym_FALSE_token1] = ACTIONS(2572),
    [sym__integer] = ACTIONS(2574),
    [aux_sym__float_token1] = ACTIONS(2576),
    [aux_sym__float_token2] = ACTIONS(2574),
    [aux_sym__float_token3] = ACTIONS(2576),
    [aux_sym_numeric_token1] = ACTIONS(2578),
    [aux_sym_numeric_token2] = ACTIONS(2578),
    [aux_sym_numeric_token3] = ACTIONS(2578),
    [aux_sym_numeric_token4] = ACTIONS(2578),
    [aux_sym_interval_token1] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [aux_sym_json_token1] = ACTIONS(2584),
    [sym_system_variable] = ACTIONS(2586),
    [sym__named_query_parameter] = ACTIONS(2588),
    [sym__positional_query_parameter] = ACTIONS(2590),
    [sym__quoted_identifier] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_operator_compare] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [sym__string_start] = ACTIONS(2602),
  },
  [1757] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16234),
    [sym__keyword_case] = STATE(345),
    [sym__keyword_not] = STATE(1679),
    [sym__keyword_cast] = STATE(19291),
    [sym__keyword_date] = STATE(3007),
    [sym__keyword_datetime] = STATE(3007),
    [sym__keyword_time] = STATE(3007),
    [sym__keyword_timestamp] = STATE(3007),
    [sym_select_subexpression] = STATE(3283),
    [sym_function_call] = STATE(3283),
    [sym_unnest_operator] = STATE(438),
    [sym_unnest_clause] = STATE(3283),
    [sym__literal] = STATE(3283),
    [sym_NULL] = STATE(3283),
    [sym_TRUE] = STATE(3283),
    [sym_FALSE] = STATE(3283),
    [sym__float] = STATE(3282),
    [sym_numeric] = STATE(3282),
    [sym__number] = STATE(3282),
    [sym_interval] = STATE(3283),
    [sym_range] = STATE(3283),
    [sym_time] = STATE(3283),
    [sym_number] = STATE(3283),
    [sym_json] = STATE(3283),
    [sym_query_parameter] = STATE(3283),
    [sym__type_chrono] = STATE(2957),
    [sym__type_struct] = STATE(19086),
    [sym__type_array] = STATE(18532),
    [sym_array] = STATE(3283),
    [sym_struct] = STATE(3283),
    [sym__identifier] = STATE(2993),
    [sym__dotted_identifier] = STATE(13495),
    [sym_identifier] = STATE(3030),
    [sym_string] = STATE(3283),
    [sym__expression] = STATE(2776),
    [sym__parenthesized_expression] = STATE(3283),
    [sym_element_access] = STATE(3283),
    [sym_field_access] = STATE(3283),
    [sym_unary_expression] = STATE(3283),
    [sym_binary_expression] = STATE(3283),
    [sym_between_operator] = STATE(3283),
    [sym_casewhen_expression] = STATE(3283),
    [sym_cast_expression] = STATE(3283),
    [sym_argument_reference] = STATE(3283),
    [aux_sym_identifier_repeat1] = STATE(13495),
    [sym__unquoted_identifier] = ACTIONS(1306),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2098),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2100),
    [aux_sym__keyword_case_token1] = ACTIONS(2102),
    [aux_sym__keyword_cast_token1] = ACTIONS(2104),
    [aux_sym__keyword_cast_token2] = ACTIONS(2104),
    [aux_sym__keyword_date_token1] = ACTIONS(2106),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2106),
    [aux_sym__keyword_time_token1] = ACTIONS(2106),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2106),
    [anon_sym_LPAREN] = ACTIONS(2108),
    [aux_sym_drop_notnull_token1] = ACTIONS(2110),
    [aux_sym_function_call_token2] = ACTIONS(2112),
    [aux_sym_unnest_operator_token1] = ACTIONS(2156),
    [aux_sym_TRUE_token1] = ACTIONS(2116),
    [aux_sym_FALSE_token1] = ACTIONS(2118),
    [sym__integer] = ACTIONS(2120),
    [aux_sym__float_token1] = ACTIONS(2122),
    [aux_sym__float_token2] = ACTIONS(2120),
    [aux_sym__float_token3] = ACTIONS(2122),
    [aux_sym_numeric_token1] = ACTIONS(2124),
    [aux_sym_numeric_token2] = ACTIONS(2124),
    [aux_sym_numeric_token3] = ACTIONS(2124),
    [aux_sym_numeric_token4] = ACTIONS(2124),
    [aux_sym_interval_token1] = ACTIONS(2126),
    [anon_sym_LBRACK] = ACTIONS(2128),
    [aux_sym_json_token1] = ACTIONS(2130),
    [sym_system_variable] = ACTIONS(2132),
    [sym__named_query_parameter] = ACTIONS(2134),
    [sym__positional_query_parameter] = ACTIONS(2136),
    [sym__quoted_identifier] = ACTIONS(1314),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2158),
    [anon_sym_PLUS] = ACTIONS(2160),
    [anon_sym_DASH] = ACTIONS(2160),
    [anon_sym_operator_compare] = ACTIONS(2142),
    [anon_sym_DOLLAR] = ACTIONS(2144),
    [sym__string_start] = ACTIONS(2146),
  },
  [1758] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16217),
    [sym__keyword_case] = STATE(353),
    [sym__keyword_not] = STATE(1565),
    [sym__keyword_cast] = STATE(19295),
    [sym__keyword_date] = STATE(9555),
    [sym__keyword_datetime] = STATE(9555),
    [sym__keyword_time] = STATE(9555),
    [sym__keyword_timestamp] = STATE(9555),
    [sym_select_subexpression] = STATE(10287),
    [sym_function_call] = STATE(10287),
    [sym_unnest_operator] = STATE(5325),
    [sym_unnest_clause] = STATE(10287),
    [sym__literal] = STATE(10287),
    [sym_NULL] = STATE(10287),
    [sym_TRUE] = STATE(10287),
    [sym_FALSE] = STATE(10287),
    [sym__float] = STATE(10288),
    [sym_numeric] = STATE(10288),
    [sym__number] = STATE(10288),
    [sym_interval] = STATE(10287),
    [sym_range] = STATE(10287),
    [sym_time] = STATE(10287),
    [sym_number] = STATE(10287),
    [sym_json] = STATE(10287),
    [sym_query_parameter] = STATE(10287),
    [sym__type_chrono] = STATE(8548),
    [sym__type_struct] = STATE(19100),
    [sym__type_array] = STATE(18586),
    [sym_array] = STATE(10287),
    [sym_struct] = STATE(10287),
    [sym__identifier] = STATE(8591),
    [sym__dotted_identifier] = STATE(13746),
    [sym_identifier] = STATE(9785),
    [sym_string] = STATE(10287),
    [sym__expression] = STATE(6465),
    [sym__parenthesized_expression] = STATE(10287),
    [sym_element_access] = STATE(10287),
    [sym_field_access] = STATE(10287),
    [sym_unary_expression] = STATE(10287),
    [sym_binary_expression] = STATE(10287),
    [sym_between_operator] = STATE(10287),
    [sym_casewhen_expression] = STATE(10287),
    [sym_cast_expression] = STATE(10287),
    [sym_argument_reference] = STATE(10287),
    [aux_sym_identifier_repeat1] = STATE(13746),
    [sym__unquoted_identifier] = ACTIONS(2242),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2244),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2246),
    [aux_sym__keyword_case_token1] = ACTIONS(2248),
    [aux_sym__keyword_cast_token1] = ACTIONS(2250),
    [aux_sym__keyword_cast_token2] = ACTIONS(2250),
    [aux_sym__keyword_date_token1] = ACTIONS(2252),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2252),
    [aux_sym__keyword_time_token1] = ACTIONS(2252),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2252),
    [anon_sym_LPAREN] = ACTIONS(2254),
    [aux_sym_drop_notnull_token1] = ACTIONS(2256),
    [aux_sym_function_call_token2] = ACTIONS(2258),
    [aux_sym_unnest_operator_token1] = ACTIONS(2260),
    [aux_sym_TRUE_token1] = ACTIONS(2262),
    [aux_sym_FALSE_token1] = ACTIONS(2264),
    [sym__integer] = ACTIONS(2266),
    [aux_sym__float_token1] = ACTIONS(2268),
    [aux_sym__float_token2] = ACTIONS(2266),
    [aux_sym__float_token3] = ACTIONS(2268),
    [aux_sym_numeric_token1] = ACTIONS(2270),
    [aux_sym_numeric_token2] = ACTIONS(2270),
    [aux_sym_numeric_token3] = ACTIONS(2270),
    [aux_sym_numeric_token4] = ACTIONS(2270),
    [aux_sym_interval_token1] = ACTIONS(2272),
    [anon_sym_LBRACK] = ACTIONS(2274),
    [aux_sym_json_token1] = ACTIONS(2276),
    [sym_system_variable] = ACTIONS(2278),
    [sym__named_query_parameter] = ACTIONS(2280),
    [sym__positional_query_parameter] = ACTIONS(2282),
    [sym__quoted_identifier] = ACTIONS(2284),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2286),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_operator_compare] = ACTIONS(2290),
    [anon_sym_DOLLAR] = ACTIONS(2292),
    [sym__string_start] = ACTIONS(2294),
  },
  [1759] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9852),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1760] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16226),
    [sym__keyword_case] = STATE(372),
    [sym__keyword_not] = STATE(1816),
    [sym__keyword_cast] = STATE(19293),
    [sym__keyword_date] = STATE(7385),
    [sym__keyword_datetime] = STATE(7385),
    [sym__keyword_time] = STATE(7385),
    [sym__keyword_timestamp] = STATE(7385),
    [sym_select_subexpression] = STATE(8017),
    [sym_function_call] = STATE(8017),
    [sym_unnest_operator] = STATE(5315),
    [sym_unnest_clause] = STATE(8017),
    [sym__literal] = STATE(8017),
    [sym_NULL] = STATE(8017),
    [sym_TRUE] = STATE(8017),
    [sym_FALSE] = STATE(8017),
    [sym__float] = STATE(8015),
    [sym_numeric] = STATE(8015),
    [sym__number] = STATE(8015),
    [sym_interval] = STATE(8017),
    [sym_range] = STATE(8017),
    [sym_time] = STATE(8017),
    [sym_number] = STATE(8017),
    [sym_json] = STATE(8017),
    [sym_query_parameter] = STATE(8017),
    [sym__type_chrono] = STATE(7173),
    [sym__type_struct] = STATE(19093),
    [sym__type_array] = STATE(18559),
    [sym_array] = STATE(8017),
    [sym_struct] = STATE(8017),
    [sym__identifier] = STATE(7194),
    [sym__dotted_identifier] = STATE(13999),
    [sym_identifier] = STATE(9144),
    [sym_string] = STATE(8017),
    [sym__expression] = STATE(6685),
    [sym__parenthesized_expression] = STATE(8017),
    [sym_element_access] = STATE(8017),
    [sym_field_access] = STATE(8017),
    [sym_unary_expression] = STATE(8017),
    [sym_binary_expression] = STATE(8017),
    [sym_between_operator] = STATE(8017),
    [sym_casewhen_expression] = STATE(8017),
    [sym_cast_expression] = STATE(8017),
    [sym_argument_reference] = STATE(8017),
    [aux_sym_identifier_repeat1] = STATE(13999),
    [sym__unquoted_identifier] = ACTIONS(2166),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2168),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2170),
    [aux_sym__keyword_case_token1] = ACTIONS(2172),
    [aux_sym__keyword_cast_token1] = ACTIONS(2174),
    [aux_sym__keyword_cast_token2] = ACTIONS(2174),
    [aux_sym__keyword_date_token1] = ACTIONS(2176),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2176),
    [aux_sym__keyword_time_token1] = ACTIONS(2176),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2176),
    [anon_sym_LPAREN] = ACTIONS(2178),
    [aux_sym_drop_notnull_token1] = ACTIONS(2180),
    [aux_sym_function_call_token2] = ACTIONS(2182),
    [aux_sym_unnest_operator_token1] = ACTIONS(2184),
    [aux_sym_TRUE_token1] = ACTIONS(2186),
    [aux_sym_FALSE_token1] = ACTIONS(2188),
    [sym__integer] = ACTIONS(2190),
    [aux_sym__float_token1] = ACTIONS(2192),
    [aux_sym__float_token2] = ACTIONS(2190),
    [aux_sym__float_token3] = ACTIONS(2192),
    [aux_sym_numeric_token1] = ACTIONS(2194),
    [aux_sym_numeric_token2] = ACTIONS(2194),
    [aux_sym_numeric_token3] = ACTIONS(2194),
    [aux_sym_numeric_token4] = ACTIONS(2194),
    [aux_sym_interval_token1] = ACTIONS(2196),
    [anon_sym_LBRACK] = ACTIONS(2198),
    [aux_sym_json_token1] = ACTIONS(2200),
    [sym_system_variable] = ACTIONS(2202),
    [sym__named_query_parameter] = ACTIONS(2204),
    [sym__positional_query_parameter] = ACTIONS(2206),
    [sym__quoted_identifier] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_operator_compare] = ACTIONS(2214),
    [anon_sym_DOLLAR] = ACTIONS(2216),
    [sym__string_start] = ACTIONS(2218),
  },
  [1761] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16234),
    [sym__keyword_case] = STATE(345),
    [sym__keyword_not] = STATE(1679),
    [sym__keyword_cast] = STATE(19291),
    [sym__keyword_date] = STATE(3007),
    [sym__keyword_datetime] = STATE(3007),
    [sym__keyword_time] = STATE(3007),
    [sym__keyword_timestamp] = STATE(3007),
    [sym_select_subexpression] = STATE(3283),
    [sym_function_call] = STATE(3283),
    [sym_unnest_operator] = STATE(438),
    [sym_unnest_clause] = STATE(3283),
    [sym__literal] = STATE(3283),
    [sym_NULL] = STATE(3283),
    [sym_TRUE] = STATE(3283),
    [sym_FALSE] = STATE(3283),
    [sym__float] = STATE(3282),
    [sym_numeric] = STATE(3282),
    [sym__number] = STATE(3282),
    [sym_interval] = STATE(3283),
    [sym_range] = STATE(3283),
    [sym_time] = STATE(3283),
    [sym_number] = STATE(3283),
    [sym_json] = STATE(3283),
    [sym_query_parameter] = STATE(3283),
    [sym__type_chrono] = STATE(2957),
    [sym__type_struct] = STATE(19086),
    [sym__type_array] = STATE(18532),
    [sym_array] = STATE(3283),
    [sym_struct] = STATE(3283),
    [sym__identifier] = STATE(2993),
    [sym__dotted_identifier] = STATE(13495),
    [sym_identifier] = STATE(3030),
    [sym_string] = STATE(3283),
    [sym__expression] = STATE(2778),
    [sym__parenthesized_expression] = STATE(3283),
    [sym_element_access] = STATE(3283),
    [sym_field_access] = STATE(3283),
    [sym_unary_expression] = STATE(3283),
    [sym_binary_expression] = STATE(3283),
    [sym_between_operator] = STATE(3283),
    [sym_casewhen_expression] = STATE(3283),
    [sym_cast_expression] = STATE(3283),
    [sym_argument_reference] = STATE(3283),
    [aux_sym_identifier_repeat1] = STATE(13495),
    [sym__unquoted_identifier] = ACTIONS(1306),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2098),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2100),
    [aux_sym__keyword_case_token1] = ACTIONS(2102),
    [aux_sym__keyword_cast_token1] = ACTIONS(2104),
    [aux_sym__keyword_cast_token2] = ACTIONS(2104),
    [aux_sym__keyword_date_token1] = ACTIONS(2106),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2106),
    [aux_sym__keyword_time_token1] = ACTIONS(2106),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2106),
    [anon_sym_LPAREN] = ACTIONS(2108),
    [aux_sym_drop_notnull_token1] = ACTIONS(2110),
    [aux_sym_function_call_token2] = ACTIONS(2112),
    [aux_sym_unnest_operator_token1] = ACTIONS(2156),
    [aux_sym_TRUE_token1] = ACTIONS(2116),
    [aux_sym_FALSE_token1] = ACTIONS(2118),
    [sym__integer] = ACTIONS(2120),
    [aux_sym__float_token1] = ACTIONS(2122),
    [aux_sym__float_token2] = ACTIONS(2120),
    [aux_sym__float_token3] = ACTIONS(2122),
    [aux_sym_numeric_token1] = ACTIONS(2124),
    [aux_sym_numeric_token2] = ACTIONS(2124),
    [aux_sym_numeric_token3] = ACTIONS(2124),
    [aux_sym_numeric_token4] = ACTIONS(2124),
    [aux_sym_interval_token1] = ACTIONS(2126),
    [anon_sym_LBRACK] = ACTIONS(2128),
    [aux_sym_json_token1] = ACTIONS(2130),
    [sym_system_variable] = ACTIONS(2132),
    [sym__named_query_parameter] = ACTIONS(2134),
    [sym__positional_query_parameter] = ACTIONS(2136),
    [sym__quoted_identifier] = ACTIONS(1314),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2158),
    [anon_sym_PLUS] = ACTIONS(2160),
    [anon_sym_DASH] = ACTIONS(2160),
    [anon_sym_operator_compare] = ACTIONS(2142),
    [anon_sym_DOLLAR] = ACTIONS(2144),
    [sym__string_start] = ACTIONS(2146),
  },
  [1762] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16226),
    [sym__keyword_case] = STATE(372),
    [sym__keyword_not] = STATE(1816),
    [sym__keyword_cast] = STATE(19293),
    [sym__keyword_date] = STATE(7385),
    [sym__keyword_datetime] = STATE(7385),
    [sym__keyword_time] = STATE(7385),
    [sym__keyword_timestamp] = STATE(7385),
    [sym_select_subexpression] = STATE(8017),
    [sym_function_call] = STATE(8017),
    [sym_unnest_operator] = STATE(5315),
    [sym_unnest_clause] = STATE(8017),
    [sym__literal] = STATE(8017),
    [sym_NULL] = STATE(8017),
    [sym_TRUE] = STATE(8017),
    [sym_FALSE] = STATE(8017),
    [sym__float] = STATE(8015),
    [sym_numeric] = STATE(8015),
    [sym__number] = STATE(8015),
    [sym_interval] = STATE(8017),
    [sym_range] = STATE(8017),
    [sym_time] = STATE(8017),
    [sym_number] = STATE(8017),
    [sym_json] = STATE(8017),
    [sym_query_parameter] = STATE(8017),
    [sym__type_chrono] = STATE(7173),
    [sym__type_struct] = STATE(19093),
    [sym__type_array] = STATE(18559),
    [sym_array] = STATE(8017),
    [sym_struct] = STATE(8017),
    [sym__identifier] = STATE(7194),
    [sym__dotted_identifier] = STATE(13999),
    [sym_identifier] = STATE(9144),
    [sym_string] = STATE(8017),
    [sym__expression] = STATE(6680),
    [sym__parenthesized_expression] = STATE(8017),
    [sym_element_access] = STATE(8017),
    [sym_field_access] = STATE(8017),
    [sym_unary_expression] = STATE(8017),
    [sym_binary_expression] = STATE(8017),
    [sym_between_operator] = STATE(8017),
    [sym_casewhen_expression] = STATE(8017),
    [sym_cast_expression] = STATE(8017),
    [sym_argument_reference] = STATE(8017),
    [aux_sym_identifier_repeat1] = STATE(13999),
    [sym__unquoted_identifier] = ACTIONS(2166),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2168),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2170),
    [aux_sym__keyword_case_token1] = ACTIONS(2172),
    [aux_sym__keyword_cast_token1] = ACTIONS(2174),
    [aux_sym__keyword_cast_token2] = ACTIONS(2174),
    [aux_sym__keyword_date_token1] = ACTIONS(2176),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2176),
    [aux_sym__keyword_time_token1] = ACTIONS(2176),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2176),
    [anon_sym_LPAREN] = ACTIONS(2178),
    [aux_sym_drop_notnull_token1] = ACTIONS(2180),
    [aux_sym_function_call_token2] = ACTIONS(2182),
    [aux_sym_unnest_operator_token1] = ACTIONS(2184),
    [aux_sym_TRUE_token1] = ACTIONS(2186),
    [aux_sym_FALSE_token1] = ACTIONS(2188),
    [sym__integer] = ACTIONS(2190),
    [aux_sym__float_token1] = ACTIONS(2192),
    [aux_sym__float_token2] = ACTIONS(2190),
    [aux_sym__float_token3] = ACTIONS(2192),
    [aux_sym_numeric_token1] = ACTIONS(2194),
    [aux_sym_numeric_token2] = ACTIONS(2194),
    [aux_sym_numeric_token3] = ACTIONS(2194),
    [aux_sym_numeric_token4] = ACTIONS(2194),
    [aux_sym_interval_token1] = ACTIONS(2196),
    [anon_sym_LBRACK] = ACTIONS(2198),
    [aux_sym_json_token1] = ACTIONS(2200),
    [sym_system_variable] = ACTIONS(2202),
    [sym__named_query_parameter] = ACTIONS(2204),
    [sym__positional_query_parameter] = ACTIONS(2206),
    [sym__quoted_identifier] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_operator_compare] = ACTIONS(2214),
    [anon_sym_DOLLAR] = ACTIONS(2216),
    [sym__string_start] = ACTIONS(2218),
  },
  [1763] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16226),
    [sym__keyword_case] = STATE(372),
    [sym__keyword_not] = STATE(1816),
    [sym__keyword_cast] = STATE(19293),
    [sym__keyword_date] = STATE(7385),
    [sym__keyword_datetime] = STATE(7385),
    [sym__keyword_time] = STATE(7385),
    [sym__keyword_timestamp] = STATE(7385),
    [sym_select_subexpression] = STATE(8017),
    [sym_function_call] = STATE(8017),
    [sym_unnest_operator] = STATE(5315),
    [sym_unnest_clause] = STATE(8017),
    [sym__literal] = STATE(8017),
    [sym_NULL] = STATE(8017),
    [sym_TRUE] = STATE(8017),
    [sym_FALSE] = STATE(8017),
    [sym__float] = STATE(8015),
    [sym_numeric] = STATE(8015),
    [sym__number] = STATE(8015),
    [sym_interval] = STATE(8017),
    [sym_range] = STATE(8017),
    [sym_time] = STATE(8017),
    [sym_number] = STATE(8017),
    [sym_json] = STATE(8017),
    [sym_query_parameter] = STATE(8017),
    [sym__type_chrono] = STATE(7173),
    [sym__type_struct] = STATE(19093),
    [sym__type_array] = STATE(18559),
    [sym_array] = STATE(8017),
    [sym_struct] = STATE(8017),
    [sym__identifier] = STATE(7194),
    [sym__dotted_identifier] = STATE(13999),
    [sym_identifier] = STATE(9144),
    [sym_string] = STATE(8017),
    [sym__expression] = STATE(6678),
    [sym__parenthesized_expression] = STATE(8017),
    [sym_element_access] = STATE(8017),
    [sym_field_access] = STATE(8017),
    [sym_unary_expression] = STATE(8017),
    [sym_binary_expression] = STATE(8017),
    [sym_between_operator] = STATE(8017),
    [sym_casewhen_expression] = STATE(8017),
    [sym_cast_expression] = STATE(8017),
    [sym_argument_reference] = STATE(8017),
    [aux_sym_identifier_repeat1] = STATE(13999),
    [sym__unquoted_identifier] = ACTIONS(2166),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2168),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2170),
    [aux_sym__keyword_case_token1] = ACTIONS(2172),
    [aux_sym__keyword_cast_token1] = ACTIONS(2174),
    [aux_sym__keyword_cast_token2] = ACTIONS(2174),
    [aux_sym__keyword_date_token1] = ACTIONS(2176),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2176),
    [aux_sym__keyword_time_token1] = ACTIONS(2176),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2176),
    [anon_sym_LPAREN] = ACTIONS(2178),
    [aux_sym_drop_notnull_token1] = ACTIONS(2180),
    [aux_sym_function_call_token2] = ACTIONS(2182),
    [aux_sym_unnest_operator_token1] = ACTIONS(2184),
    [aux_sym_TRUE_token1] = ACTIONS(2186),
    [aux_sym_FALSE_token1] = ACTIONS(2188),
    [sym__integer] = ACTIONS(2190),
    [aux_sym__float_token1] = ACTIONS(2192),
    [aux_sym__float_token2] = ACTIONS(2190),
    [aux_sym__float_token3] = ACTIONS(2192),
    [aux_sym_numeric_token1] = ACTIONS(2194),
    [aux_sym_numeric_token2] = ACTIONS(2194),
    [aux_sym_numeric_token3] = ACTIONS(2194),
    [aux_sym_numeric_token4] = ACTIONS(2194),
    [aux_sym_interval_token1] = ACTIONS(2196),
    [anon_sym_LBRACK] = ACTIONS(2198),
    [aux_sym_json_token1] = ACTIONS(2200),
    [sym_system_variable] = ACTIONS(2202),
    [sym__named_query_parameter] = ACTIONS(2204),
    [sym__positional_query_parameter] = ACTIONS(2206),
    [sym__quoted_identifier] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_operator_compare] = ACTIONS(2214),
    [anon_sym_DOLLAR] = ACTIONS(2216),
    [sym__string_start] = ACTIONS(2218),
  },
  [1764] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16282),
    [sym__keyword_case] = STATE(374),
    [sym__keyword_not] = STATE(1069),
    [sym__keyword_cast] = STATE(19285),
    [sym__keyword_date] = STATE(10540),
    [sym__keyword_datetime] = STATE(10540),
    [sym__keyword_time] = STATE(10540),
    [sym__keyword_timestamp] = STATE(10540),
    [sym_select_subexpression] = STATE(10861),
    [sym_function_call] = STATE(10861),
    [sym_unnest_operator] = STATE(6471),
    [sym_unnest_clause] = STATE(10861),
    [sym__literal] = STATE(10861),
    [sym_NULL] = STATE(10861),
    [sym_TRUE] = STATE(10861),
    [sym_FALSE] = STATE(10861),
    [sym__float] = STATE(10863),
    [sym_numeric] = STATE(10863),
    [sym__number] = STATE(10863),
    [sym_interval] = STATE(10861),
    [sym_range] = STATE(10861),
    [sym_time] = STATE(10861),
    [sym_number] = STATE(10861),
    [sym_json] = STATE(10861),
    [sym_query_parameter] = STATE(10861),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19065),
    [sym__type_array] = STATE(18448),
    [sym_array] = STATE(10861),
    [sym_struct] = STATE(10861),
    [sym__identifier] = STATE(10536),
    [sym__dotted_identifier] = STATE(14157),
    [sym_identifier] = STATE(10772),
    [sym_string] = STATE(10861),
    [sym__expression] = STATE(9059),
    [sym__parenthesized_expression] = STATE(10861),
    [sym_element_access] = STATE(10861),
    [sym_field_access] = STATE(10861),
    [sym_unary_expression] = STATE(10861),
    [sym_binary_expression] = STATE(10861),
    [sym_between_operator] = STATE(10861),
    [sym_casewhen_expression] = STATE(10861),
    [sym_cast_expression] = STATE(10861),
    [sym_argument_reference] = STATE(10861),
    [aux_sym_identifier_repeat1] = STATE(14157),
    [sym__unquoted_identifier] = ACTIONS(2552),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2554),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2556),
    [aux_sym__keyword_case_token1] = ACTIONS(2558),
    [aux_sym__keyword_cast_token1] = ACTIONS(2560),
    [aux_sym__keyword_cast_token2] = ACTIONS(2560),
    [aux_sym__keyword_date_token1] = ACTIONS(2562),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2562),
    [aux_sym__keyword_time_token1] = ACTIONS(2562),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [aux_sym_drop_notnull_token1] = ACTIONS(2566),
    [aux_sym_function_call_token2] = ACTIONS(2568),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2570),
    [aux_sym_FALSE_token1] = ACTIONS(2572),
    [sym__integer] = ACTIONS(2574),
    [aux_sym__float_token1] = ACTIONS(2576),
    [aux_sym__float_token2] = ACTIONS(2574),
    [aux_sym__float_token3] = ACTIONS(2576),
    [aux_sym_numeric_token1] = ACTIONS(2578),
    [aux_sym_numeric_token2] = ACTIONS(2578),
    [aux_sym_numeric_token3] = ACTIONS(2578),
    [aux_sym_numeric_token4] = ACTIONS(2578),
    [aux_sym_interval_token1] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [aux_sym_json_token1] = ACTIONS(2584),
    [sym_system_variable] = ACTIONS(2586),
    [sym__named_query_parameter] = ACTIONS(2588),
    [sym__positional_query_parameter] = ACTIONS(2590),
    [sym__quoted_identifier] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_operator_compare] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [sym__string_start] = ACTIONS(2602),
  },
  [1765] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10192),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1766] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16226),
    [sym__keyword_case] = STATE(372),
    [sym__keyword_not] = STATE(1816),
    [sym__keyword_cast] = STATE(19293),
    [sym__keyword_date] = STATE(7385),
    [sym__keyword_datetime] = STATE(7385),
    [sym__keyword_time] = STATE(7385),
    [sym__keyword_timestamp] = STATE(7385),
    [sym_select_subexpression] = STATE(8017),
    [sym_function_call] = STATE(8017),
    [sym_unnest_operator] = STATE(5315),
    [sym_unnest_clause] = STATE(8017),
    [sym__literal] = STATE(8017),
    [sym_NULL] = STATE(8017),
    [sym_TRUE] = STATE(8017),
    [sym_FALSE] = STATE(8017),
    [sym__float] = STATE(8015),
    [sym_numeric] = STATE(8015),
    [sym__number] = STATE(8015),
    [sym_interval] = STATE(8017),
    [sym_range] = STATE(8017),
    [sym_time] = STATE(8017),
    [sym_number] = STATE(8017),
    [sym_json] = STATE(8017),
    [sym_query_parameter] = STATE(8017),
    [sym__type_chrono] = STATE(7173),
    [sym__type_struct] = STATE(19093),
    [sym__type_array] = STATE(18559),
    [sym_array] = STATE(8017),
    [sym_struct] = STATE(8017),
    [sym__identifier] = STATE(7194),
    [sym__dotted_identifier] = STATE(13999),
    [sym_identifier] = STATE(9144),
    [sym_string] = STATE(8017),
    [sym__expression] = STATE(6676),
    [sym__parenthesized_expression] = STATE(8017),
    [sym_element_access] = STATE(8017),
    [sym_field_access] = STATE(8017),
    [sym_unary_expression] = STATE(8017),
    [sym_binary_expression] = STATE(8017),
    [sym_between_operator] = STATE(8017),
    [sym_casewhen_expression] = STATE(8017),
    [sym_cast_expression] = STATE(8017),
    [sym_argument_reference] = STATE(8017),
    [aux_sym_identifier_repeat1] = STATE(13999),
    [sym__unquoted_identifier] = ACTIONS(2166),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2168),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2170),
    [aux_sym__keyword_case_token1] = ACTIONS(2172),
    [aux_sym__keyword_cast_token1] = ACTIONS(2174),
    [aux_sym__keyword_cast_token2] = ACTIONS(2174),
    [aux_sym__keyword_date_token1] = ACTIONS(2176),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2176),
    [aux_sym__keyword_time_token1] = ACTIONS(2176),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2176),
    [anon_sym_LPAREN] = ACTIONS(2178),
    [aux_sym_drop_notnull_token1] = ACTIONS(2180),
    [aux_sym_function_call_token2] = ACTIONS(2182),
    [aux_sym_unnest_operator_token1] = ACTIONS(2184),
    [aux_sym_TRUE_token1] = ACTIONS(2186),
    [aux_sym_FALSE_token1] = ACTIONS(2188),
    [sym__integer] = ACTIONS(2190),
    [aux_sym__float_token1] = ACTIONS(2192),
    [aux_sym__float_token2] = ACTIONS(2190),
    [aux_sym__float_token3] = ACTIONS(2192),
    [aux_sym_numeric_token1] = ACTIONS(2194),
    [aux_sym_numeric_token2] = ACTIONS(2194),
    [aux_sym_numeric_token3] = ACTIONS(2194),
    [aux_sym_numeric_token4] = ACTIONS(2194),
    [aux_sym_interval_token1] = ACTIONS(2196),
    [anon_sym_LBRACK] = ACTIONS(2198),
    [aux_sym_json_token1] = ACTIONS(2200),
    [sym_system_variable] = ACTIONS(2202),
    [sym__named_query_parameter] = ACTIONS(2204),
    [sym__positional_query_parameter] = ACTIONS(2206),
    [sym__quoted_identifier] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_operator_compare] = ACTIONS(2214),
    [anon_sym_DOLLAR] = ACTIONS(2216),
    [sym__string_start] = ACTIONS(2218),
  },
  [1767] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9634),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1768] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16325),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1073),
    [sym__keyword_cast] = STATE(19275),
    [sym__keyword_date] = STATE(9495),
    [sym__keyword_datetime] = STATE(9495),
    [sym__keyword_time] = STATE(9495),
    [sym__keyword_timestamp] = STATE(9495),
    [sym_select_subexpression] = STATE(10495),
    [sym_function_call] = STATE(10495),
    [sym_unnest_operator] = STATE(6473),
    [sym_unnest_clause] = STATE(10495),
    [sym__literal] = STATE(10495),
    [sym_NULL] = STATE(10495),
    [sym_TRUE] = STATE(10495),
    [sym_FALSE] = STATE(10495),
    [sym__float] = STATE(10492),
    [sym_numeric] = STATE(10492),
    [sym__number] = STATE(10492),
    [sym_interval] = STATE(10495),
    [sym_range] = STATE(10495),
    [sym_time] = STATE(10495),
    [sym_number] = STATE(10495),
    [sym_json] = STATE(10495),
    [sym_query_parameter] = STATE(10495),
    [sym__type_chrono] = STATE(8422),
    [sym__type_struct] = STATE(19027),
    [sym__type_array] = STATE(18285),
    [sym_array] = STATE(10495),
    [sym_struct] = STATE(10495),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9694),
    [sym_string] = STATE(10495),
    [sym__expression] = STATE(9683),
    [sym__parenthesized_expression] = STATE(10495),
    [sym_element_access] = STATE(10495),
    [sym_field_access] = STATE(10495),
    [sym_unary_expression] = STATE(10495),
    [sym_binary_expression] = STATE(10495),
    [sym_between_operator] = STATE(10495),
    [sym_casewhen_expression] = STATE(10495),
    [sym_cast_expression] = STATE(10495),
    [sym_argument_reference] = STATE(10495),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2042),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2044),
    [aux_sym__keyword_case_token1] = ACTIONS(2046),
    [aux_sym__keyword_cast_token1] = ACTIONS(2048),
    [aux_sym__keyword_cast_token2] = ACTIONS(2048),
    [aux_sym__keyword_date_token1] = ACTIONS(2050),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2050),
    [aux_sym__keyword_time_token1] = ACTIONS(2050),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [aux_sym_drop_notnull_token1] = ACTIONS(2054),
    [aux_sym_function_call_token2] = ACTIONS(2056),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2060),
    [aux_sym_FALSE_token1] = ACTIONS(2062),
    [sym__integer] = ACTIONS(2064),
    [aux_sym__float_token1] = ACTIONS(2066),
    [aux_sym__float_token2] = ACTIONS(2064),
    [aux_sym__float_token3] = ACTIONS(2066),
    [aux_sym_numeric_token1] = ACTIONS(2068),
    [aux_sym_numeric_token2] = ACTIONS(2068),
    [aux_sym_numeric_token3] = ACTIONS(2068),
    [aux_sym_numeric_token4] = ACTIONS(2068),
    [aux_sym_interval_token1] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_json_token1] = ACTIONS(2074),
    [sym_system_variable] = ACTIONS(2076),
    [sym__named_query_parameter] = ACTIONS(2078),
    [sym__positional_query_parameter] = ACTIONS(2080),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_operator_compare] = ACTIONS(2086),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [sym__string_start] = ACTIONS(2090),
  },
  [1769] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(917),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(1888),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(2973),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2430),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2432),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1770] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16239),
    [sym__keyword_case] = STATE(275),
    [sym__keyword_not] = STATE(1276),
    [sym__keyword_cast] = STATE(19289),
    [sym__keyword_date] = STATE(2525),
    [sym__keyword_datetime] = STATE(2525),
    [sym__keyword_time] = STATE(2525),
    [sym__keyword_timestamp] = STATE(2525),
    [sym_select_subexpression] = STATE(2574),
    [sym_function_call] = STATE(2574),
    [sym_unnest_operator] = STATE(174),
    [sym_unnest_clause] = STATE(2574),
    [sym__literal] = STATE(2574),
    [sym_NULL] = STATE(2574),
    [sym_TRUE] = STATE(2574),
    [sym_FALSE] = STATE(2574),
    [sym__float] = STATE(2611),
    [sym_numeric] = STATE(2611),
    [sym__number] = STATE(2611),
    [sym_interval] = STATE(2574),
    [sym_range] = STATE(2574),
    [sym_time] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_json] = STATE(2574),
    [sym_query_parameter] = STATE(2574),
    [sym__type_chrono] = STATE(2500),
    [sym__type_struct] = STATE(19079),
    [sym__type_array] = STATE(18505),
    [sym_array] = STATE(2574),
    [sym_struct] = STATE(2574),
    [sym__identifier] = STATE(2519),
    [sym__dotted_identifier] = STATE(13760),
    [sym_identifier] = STATE(2728),
    [sym_string] = STATE(2574),
    [sym__expression] = STATE(2048),
    [sym__parenthesized_expression] = STATE(2574),
    [sym_element_access] = STATE(2574),
    [sym_field_access] = STATE(2574),
    [sym_unary_expression] = STATE(2574),
    [sym_binary_expression] = STATE(2574),
    [sym_between_operator] = STATE(2574),
    [sym_casewhen_expression] = STATE(2574),
    [sym_cast_expression] = STATE(2574),
    [sym_argument_reference] = STATE(2574),
    [aux_sym_identifier_repeat1] = STATE(13760),
    [sym__unquoted_identifier] = ACTIONS(1215),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1870),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1872),
    [aux_sym__keyword_case_token1] = ACTIONS(1874),
    [aux_sym__keyword_cast_token1] = ACTIONS(1876),
    [aux_sym__keyword_cast_token2] = ACTIONS(1876),
    [aux_sym__keyword_date_token1] = ACTIONS(1878),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1878),
    [aux_sym__keyword_time_token1] = ACTIONS(1878),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [aux_sym_drop_notnull_token1] = ACTIONS(1882),
    [aux_sym_function_call_token2] = ACTIONS(1884),
    [aux_sym_unnest_operator_token1] = ACTIONS(1886),
    [aux_sym_TRUE_token1] = ACTIONS(1888),
    [aux_sym_FALSE_token1] = ACTIONS(1890),
    [sym__integer] = ACTIONS(1892),
    [aux_sym__float_token1] = ACTIONS(1894),
    [aux_sym__float_token2] = ACTIONS(1892),
    [aux_sym__float_token3] = ACTIONS(1894),
    [aux_sym_numeric_token1] = ACTIONS(1896),
    [aux_sym_numeric_token2] = ACTIONS(1896),
    [aux_sym_numeric_token3] = ACTIONS(1896),
    [aux_sym_numeric_token4] = ACTIONS(1896),
    [aux_sym_interval_token1] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [aux_sym_json_token1] = ACTIONS(1902),
    [sym_system_variable] = ACTIONS(1904),
    [sym__named_query_parameter] = ACTIONS(1906),
    [sym__positional_query_parameter] = ACTIONS(1908),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1910),
    [anon_sym_PLUS] = ACTIONS(1912),
    [anon_sym_DASH] = ACTIONS(1912),
    [anon_sym_operator_compare] = ACTIONS(1914),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [sym__string_start] = ACTIONS(1918),
  },
  [1771] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16191),
    [sym__keyword_case] = STATE(326),
    [sym__keyword_not] = STATE(1774),
    [sym__keyword_cast] = STATE(19299),
    [sym__keyword_date] = STATE(3373),
    [sym__keyword_datetime] = STATE(3373),
    [sym__keyword_time] = STATE(3373),
    [sym__keyword_timestamp] = STATE(3373),
    [sym_select_subexpression] = STATE(3579),
    [sym_function_call] = STATE(3579),
    [sym_unnest_operator] = STATE(2131),
    [sym_unnest_clause] = STATE(3579),
    [sym__literal] = STATE(3579),
    [sym_NULL] = STATE(3579),
    [sym_TRUE] = STATE(3579),
    [sym_FALSE] = STATE(3579),
    [sym__float] = STATE(3578),
    [sym_numeric] = STATE(3578),
    [sym__number] = STATE(3578),
    [sym_interval] = STATE(3579),
    [sym_range] = STATE(3579),
    [sym_time] = STATE(3579),
    [sym_number] = STATE(3579),
    [sym_json] = STATE(3579),
    [sym_query_parameter] = STATE(3579),
    [sym__type_chrono] = STATE(3122),
    [sym__type_struct] = STATE(19114),
    [sym__type_array] = STATE(18640),
    [sym_array] = STATE(3579),
    [sym_struct] = STATE(3579),
    [sym__identifier] = STATE(3384),
    [sym__dotted_identifier] = STATE(13989),
    [sym_identifier] = STATE(3577),
    [sym_string] = STATE(3579),
    [sym__expression] = STATE(2490),
    [sym__parenthesized_expression] = STATE(3579),
    [sym_element_access] = STATE(3579),
    [sym_field_access] = STATE(3579),
    [sym_unary_expression] = STATE(3579),
    [sym_binary_expression] = STATE(3579),
    [sym_between_operator] = STATE(3579),
    [sym_casewhen_expression] = STATE(3579),
    [sym_cast_expression] = STATE(3579),
    [sym_argument_reference] = STATE(3579),
    [aux_sym_identifier_repeat1] = STATE(13989),
    [sym__unquoted_identifier] = ACTIONS(1926),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1928),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1930),
    [aux_sym__keyword_case_token1] = ACTIONS(1932),
    [aux_sym__keyword_cast_token1] = ACTIONS(1934),
    [aux_sym__keyword_cast_token2] = ACTIONS(1934),
    [aux_sym__keyword_date_token1] = ACTIONS(1936),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1936),
    [aux_sym__keyword_time_token1] = ACTIONS(1936),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1936),
    [anon_sym_LPAREN] = ACTIONS(1938),
    [aux_sym_drop_notnull_token1] = ACTIONS(1940),
    [aux_sym_function_call_token2] = ACTIONS(1942),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(1946),
    [aux_sym_FALSE_token1] = ACTIONS(1948),
    [sym__integer] = ACTIONS(1950),
    [aux_sym__float_token1] = ACTIONS(1952),
    [aux_sym__float_token2] = ACTIONS(1950),
    [aux_sym__float_token3] = ACTIONS(1952),
    [aux_sym_numeric_token1] = ACTIONS(1954),
    [aux_sym_numeric_token2] = ACTIONS(1954),
    [aux_sym_numeric_token3] = ACTIONS(1954),
    [aux_sym_numeric_token4] = ACTIONS(1954),
    [aux_sym_interval_token1] = ACTIONS(1956),
    [anon_sym_LBRACK] = ACTIONS(1958),
    [aux_sym_json_token1] = ACTIONS(1960),
    [sym_system_variable] = ACTIONS(1962),
    [sym__named_query_parameter] = ACTIONS(1964),
    [sym__positional_query_parameter] = ACTIONS(1966),
    [sym__quoted_identifier] = ACTIONS(1968),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1970),
    [anon_sym_PLUS] = ACTIONS(1972),
    [anon_sym_DASH] = ACTIONS(1972),
    [anon_sym_operator_compare] = ACTIONS(1974),
    [anon_sym_DOLLAR] = ACTIONS(1976),
    [sym__string_start] = ACTIONS(1978),
  },
  [1772] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9632),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1773] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9967),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1774] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16191),
    [sym__keyword_case] = STATE(326),
    [sym__keyword_not] = STATE(1774),
    [sym__keyword_cast] = STATE(19299),
    [sym__keyword_date] = STATE(3373),
    [sym__keyword_datetime] = STATE(3373),
    [sym__keyword_time] = STATE(3373),
    [sym__keyword_timestamp] = STATE(3373),
    [sym_select_subexpression] = STATE(3579),
    [sym_function_call] = STATE(3579),
    [sym_unnest_operator] = STATE(2131),
    [sym_unnest_clause] = STATE(3579),
    [sym__literal] = STATE(3579),
    [sym_NULL] = STATE(3579),
    [sym_TRUE] = STATE(3579),
    [sym_FALSE] = STATE(3579),
    [sym__float] = STATE(3578),
    [sym_numeric] = STATE(3578),
    [sym__number] = STATE(3578),
    [sym_interval] = STATE(3579),
    [sym_range] = STATE(3579),
    [sym_time] = STATE(3579),
    [sym_number] = STATE(3579),
    [sym_json] = STATE(3579),
    [sym_query_parameter] = STATE(3579),
    [sym__type_chrono] = STATE(3122),
    [sym__type_struct] = STATE(19114),
    [sym__type_array] = STATE(18640),
    [sym_array] = STATE(3579),
    [sym_struct] = STATE(3579),
    [sym__identifier] = STATE(3384),
    [sym__dotted_identifier] = STATE(13989),
    [sym_identifier] = STATE(3577),
    [sym_string] = STATE(3579),
    [sym__expression] = STATE(2511),
    [sym__parenthesized_expression] = STATE(3579),
    [sym_element_access] = STATE(3579),
    [sym_field_access] = STATE(3579),
    [sym_unary_expression] = STATE(3579),
    [sym_binary_expression] = STATE(3579),
    [sym_between_operator] = STATE(3579),
    [sym_casewhen_expression] = STATE(3579),
    [sym_cast_expression] = STATE(3579),
    [sym_argument_reference] = STATE(3579),
    [aux_sym_identifier_repeat1] = STATE(13989),
    [sym__unquoted_identifier] = ACTIONS(1926),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1928),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1930),
    [aux_sym__keyword_case_token1] = ACTIONS(1932),
    [aux_sym__keyword_cast_token1] = ACTIONS(1934),
    [aux_sym__keyword_cast_token2] = ACTIONS(1934),
    [aux_sym__keyword_date_token1] = ACTIONS(1936),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1936),
    [aux_sym__keyword_time_token1] = ACTIONS(1936),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1936),
    [anon_sym_LPAREN] = ACTIONS(1938),
    [aux_sym_drop_notnull_token1] = ACTIONS(1940),
    [aux_sym_function_call_token2] = ACTIONS(1942),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(1946),
    [aux_sym_FALSE_token1] = ACTIONS(1948),
    [sym__integer] = ACTIONS(1950),
    [aux_sym__float_token1] = ACTIONS(1952),
    [aux_sym__float_token2] = ACTIONS(1950),
    [aux_sym__float_token3] = ACTIONS(1952),
    [aux_sym_numeric_token1] = ACTIONS(1954),
    [aux_sym_numeric_token2] = ACTIONS(1954),
    [aux_sym_numeric_token3] = ACTIONS(1954),
    [aux_sym_numeric_token4] = ACTIONS(1954),
    [aux_sym_interval_token1] = ACTIONS(1956),
    [anon_sym_LBRACK] = ACTIONS(1958),
    [aux_sym_json_token1] = ACTIONS(1960),
    [sym_system_variable] = ACTIONS(1962),
    [sym__named_query_parameter] = ACTIONS(1964),
    [sym__positional_query_parameter] = ACTIONS(1966),
    [sym__quoted_identifier] = ACTIONS(1968),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1970),
    [anon_sym_PLUS] = ACTIONS(1972),
    [anon_sym_DASH] = ACTIONS(1972),
    [anon_sym_operator_compare] = ACTIONS(1974),
    [anon_sym_DOLLAR] = ACTIONS(1976),
    [sym__string_start] = ACTIONS(1978),
  },
  [1775] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16191),
    [sym__keyword_case] = STATE(326),
    [sym__keyword_not] = STATE(1774),
    [sym__keyword_cast] = STATE(19299),
    [sym__keyword_date] = STATE(3373),
    [sym__keyword_datetime] = STATE(3373),
    [sym__keyword_time] = STATE(3373),
    [sym__keyword_timestamp] = STATE(3373),
    [sym_select_subexpression] = STATE(3579),
    [sym_function_call] = STATE(3579),
    [sym_unnest_operator] = STATE(2131),
    [sym_unnest_clause] = STATE(3579),
    [sym__literal] = STATE(3579),
    [sym_NULL] = STATE(3579),
    [sym_TRUE] = STATE(3579),
    [sym_FALSE] = STATE(3579),
    [sym__float] = STATE(3578),
    [sym_numeric] = STATE(3578),
    [sym__number] = STATE(3578),
    [sym_interval] = STATE(3579),
    [sym_range] = STATE(3579),
    [sym_time] = STATE(3579),
    [sym_number] = STATE(3579),
    [sym_json] = STATE(3579),
    [sym_query_parameter] = STATE(3579),
    [sym__type_chrono] = STATE(3122),
    [sym__type_struct] = STATE(19114),
    [sym__type_array] = STATE(18640),
    [sym_array] = STATE(3579),
    [sym_struct] = STATE(3579),
    [sym__identifier] = STATE(3384),
    [sym__dotted_identifier] = STATE(13989),
    [sym_identifier] = STATE(3577),
    [sym_string] = STATE(3579),
    [sym__expression] = STATE(2487),
    [sym__parenthesized_expression] = STATE(3579),
    [sym_element_access] = STATE(3579),
    [sym_field_access] = STATE(3579),
    [sym_unary_expression] = STATE(3579),
    [sym_binary_expression] = STATE(3579),
    [sym_between_operator] = STATE(3579),
    [sym_casewhen_expression] = STATE(3579),
    [sym_cast_expression] = STATE(3579),
    [sym_argument_reference] = STATE(3579),
    [aux_sym_identifier_repeat1] = STATE(13989),
    [sym__unquoted_identifier] = ACTIONS(1926),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1928),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1930),
    [aux_sym__keyword_case_token1] = ACTIONS(1932),
    [aux_sym__keyword_cast_token1] = ACTIONS(1934),
    [aux_sym__keyword_cast_token2] = ACTIONS(1934),
    [aux_sym__keyword_date_token1] = ACTIONS(1936),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1936),
    [aux_sym__keyword_time_token1] = ACTIONS(1936),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1936),
    [anon_sym_LPAREN] = ACTIONS(1938),
    [aux_sym_drop_notnull_token1] = ACTIONS(1940),
    [aux_sym_function_call_token2] = ACTIONS(1942),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(1946),
    [aux_sym_FALSE_token1] = ACTIONS(1948),
    [sym__integer] = ACTIONS(1950),
    [aux_sym__float_token1] = ACTIONS(1952),
    [aux_sym__float_token2] = ACTIONS(1950),
    [aux_sym__float_token3] = ACTIONS(1952),
    [aux_sym_numeric_token1] = ACTIONS(1954),
    [aux_sym_numeric_token2] = ACTIONS(1954),
    [aux_sym_numeric_token3] = ACTIONS(1954),
    [aux_sym_numeric_token4] = ACTIONS(1954),
    [aux_sym_interval_token1] = ACTIONS(1956),
    [anon_sym_LBRACK] = ACTIONS(1958),
    [aux_sym_json_token1] = ACTIONS(1960),
    [sym_system_variable] = ACTIONS(1962),
    [sym__named_query_parameter] = ACTIONS(1964),
    [sym__positional_query_parameter] = ACTIONS(1966),
    [sym__quoted_identifier] = ACTIONS(1968),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1970),
    [anon_sym_PLUS] = ACTIONS(1972),
    [anon_sym_DASH] = ACTIONS(1972),
    [anon_sym_operator_compare] = ACTIONS(1974),
    [anon_sym_DOLLAR] = ACTIONS(1976),
    [sym__string_start] = ACTIONS(1978),
  },
  [1776] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16161),
    [sym__keyword_case] = STATE(281),
    [sym__keyword_not] = STATE(1524),
    [sym__keyword_cast] = STATE(19303),
    [sym__keyword_date] = STATE(5561),
    [sym__keyword_datetime] = STATE(5561),
    [sym__keyword_time] = STATE(5561),
    [sym__keyword_timestamp] = STATE(5561),
    [sym_select_subexpression] = STATE(5651),
    [sym_function_call] = STATE(5651),
    [sym_unnest_operator] = STATE(4219),
    [sym_unnest_clause] = STATE(5651),
    [sym__literal] = STATE(5651),
    [sym_NULL] = STATE(5651),
    [sym_TRUE] = STATE(5651),
    [sym_FALSE] = STATE(5651),
    [sym__float] = STATE(5650),
    [sym_numeric] = STATE(5650),
    [sym__number] = STATE(5650),
    [sym_interval] = STATE(5651),
    [sym_range] = STATE(5651),
    [sym_time] = STATE(5651),
    [sym_number] = STATE(5651),
    [sym_json] = STATE(5651),
    [sym_query_parameter] = STATE(5651),
    [sym__type_chrono] = STATE(5409),
    [sym__type_struct] = STATE(19128),
    [sym__type_array] = STATE(18694),
    [sym_array] = STATE(5651),
    [sym_struct] = STATE(5651),
    [sym__identifier] = STATE(5400),
    [sym__dotted_identifier] = STATE(13676),
    [sym_identifier] = STATE(5580),
    [sym_string] = STATE(5651),
    [sym__expression] = STATE(5307),
    [sym__parenthesized_expression] = STATE(5651),
    [sym_element_access] = STATE(5651),
    [sym_field_access] = STATE(5651),
    [sym_unary_expression] = STATE(5651),
    [sym_binary_expression] = STATE(5651),
    [sym_between_operator] = STATE(5651),
    [sym_casewhen_expression] = STATE(5651),
    [sym_cast_expression] = STATE(5651),
    [sym_argument_reference] = STATE(5651),
    [aux_sym_identifier_repeat1] = STATE(13676),
    [sym__unquoted_identifier] = ACTIONS(2498),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2500),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2502),
    [aux_sym__keyword_case_token1] = ACTIONS(2504),
    [aux_sym__keyword_cast_token1] = ACTIONS(2506),
    [aux_sym__keyword_cast_token2] = ACTIONS(2506),
    [aux_sym__keyword_date_token1] = ACTIONS(2508),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2508),
    [aux_sym__keyword_time_token1] = ACTIONS(2508),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2508),
    [anon_sym_LPAREN] = ACTIONS(2510),
    [aux_sym_drop_notnull_token1] = ACTIONS(2512),
    [aux_sym_function_call_token2] = ACTIONS(2514),
    [aux_sym_unnest_operator_token1] = ACTIONS(2516),
    [aux_sym_TRUE_token1] = ACTIONS(2518),
    [aux_sym_FALSE_token1] = ACTIONS(2520),
    [sym__integer] = ACTIONS(2522),
    [aux_sym__float_token1] = ACTIONS(2524),
    [aux_sym__float_token2] = ACTIONS(2522),
    [aux_sym__float_token3] = ACTIONS(2524),
    [aux_sym_numeric_token1] = ACTIONS(2526),
    [aux_sym_numeric_token2] = ACTIONS(2526),
    [aux_sym_numeric_token3] = ACTIONS(2526),
    [aux_sym_numeric_token4] = ACTIONS(2526),
    [aux_sym_interval_token1] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2530),
    [aux_sym_json_token1] = ACTIONS(2532),
    [sym_system_variable] = ACTIONS(2534),
    [sym__named_query_parameter] = ACTIONS(2536),
    [sym__positional_query_parameter] = ACTIONS(2538),
    [sym__quoted_identifier] = ACTIONS(2540),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2542),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_operator_compare] = ACTIONS(2546),
    [anon_sym_DOLLAR] = ACTIONS(2548),
    [sym__string_start] = ACTIONS(2550),
  },
  [1777] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16226),
    [sym__keyword_case] = STATE(372),
    [sym__keyword_not] = STATE(1816),
    [sym__keyword_cast] = STATE(19293),
    [sym__keyword_date] = STATE(7385),
    [sym__keyword_datetime] = STATE(7385),
    [sym__keyword_time] = STATE(7385),
    [sym__keyword_timestamp] = STATE(7385),
    [sym_select_subexpression] = STATE(8017),
    [sym_function_call] = STATE(8017),
    [sym_unnest_operator] = STATE(5315),
    [sym_unnest_clause] = STATE(8017),
    [sym__literal] = STATE(8017),
    [sym_NULL] = STATE(8017),
    [sym_TRUE] = STATE(8017),
    [sym_FALSE] = STATE(8017),
    [sym__float] = STATE(8015),
    [sym_numeric] = STATE(8015),
    [sym__number] = STATE(8015),
    [sym_interval] = STATE(8017),
    [sym_range] = STATE(8017),
    [sym_time] = STATE(8017),
    [sym_number] = STATE(8017),
    [sym_json] = STATE(8017),
    [sym_query_parameter] = STATE(8017),
    [sym__type_chrono] = STATE(7173),
    [sym__type_struct] = STATE(19093),
    [sym__type_array] = STATE(18559),
    [sym_array] = STATE(8017),
    [sym_struct] = STATE(8017),
    [sym__identifier] = STATE(7194),
    [sym__dotted_identifier] = STATE(13999),
    [sym_identifier] = STATE(9144),
    [sym_string] = STATE(8017),
    [sym__expression] = STATE(6672),
    [sym__parenthesized_expression] = STATE(8017),
    [sym_element_access] = STATE(8017),
    [sym_field_access] = STATE(8017),
    [sym_unary_expression] = STATE(8017),
    [sym_binary_expression] = STATE(8017),
    [sym_between_operator] = STATE(8017),
    [sym_casewhen_expression] = STATE(8017),
    [sym_cast_expression] = STATE(8017),
    [sym_argument_reference] = STATE(8017),
    [aux_sym_identifier_repeat1] = STATE(13999),
    [sym__unquoted_identifier] = ACTIONS(2166),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2168),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2170),
    [aux_sym__keyword_case_token1] = ACTIONS(2172),
    [aux_sym__keyword_cast_token1] = ACTIONS(2174),
    [aux_sym__keyword_cast_token2] = ACTIONS(2174),
    [aux_sym__keyword_date_token1] = ACTIONS(2176),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2176),
    [aux_sym__keyword_time_token1] = ACTIONS(2176),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2176),
    [anon_sym_LPAREN] = ACTIONS(2178),
    [aux_sym_drop_notnull_token1] = ACTIONS(2180),
    [aux_sym_function_call_token2] = ACTIONS(2182),
    [aux_sym_unnest_operator_token1] = ACTIONS(2184),
    [aux_sym_TRUE_token1] = ACTIONS(2186),
    [aux_sym_FALSE_token1] = ACTIONS(2188),
    [sym__integer] = ACTIONS(2190),
    [aux_sym__float_token1] = ACTIONS(2192),
    [aux_sym__float_token2] = ACTIONS(2190),
    [aux_sym__float_token3] = ACTIONS(2192),
    [aux_sym_numeric_token1] = ACTIONS(2194),
    [aux_sym_numeric_token2] = ACTIONS(2194),
    [aux_sym_numeric_token3] = ACTIONS(2194),
    [aux_sym_numeric_token4] = ACTIONS(2194),
    [aux_sym_interval_token1] = ACTIONS(2196),
    [anon_sym_LBRACK] = ACTIONS(2198),
    [aux_sym_json_token1] = ACTIONS(2200),
    [sym_system_variable] = ACTIONS(2202),
    [sym__named_query_parameter] = ACTIONS(2204),
    [sym__positional_query_parameter] = ACTIONS(2206),
    [sym__quoted_identifier] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_operator_compare] = ACTIONS(2214),
    [anon_sym_DOLLAR] = ACTIONS(2216),
    [sym__string_start] = ACTIONS(2218),
  },
  [1778] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(7785),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1779] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16191),
    [sym__keyword_case] = STATE(326),
    [sym__keyword_not] = STATE(1774),
    [sym__keyword_cast] = STATE(19299),
    [sym__keyword_date] = STATE(3373),
    [sym__keyword_datetime] = STATE(3373),
    [sym__keyword_time] = STATE(3373),
    [sym__keyword_timestamp] = STATE(3373),
    [sym_select_subexpression] = STATE(3579),
    [sym_function_call] = STATE(3579),
    [sym_unnest_operator] = STATE(2131),
    [sym_unnest_clause] = STATE(3579),
    [sym__literal] = STATE(3579),
    [sym_NULL] = STATE(3579),
    [sym_TRUE] = STATE(3579),
    [sym_FALSE] = STATE(3579),
    [sym__float] = STATE(3578),
    [sym_numeric] = STATE(3578),
    [sym__number] = STATE(3578),
    [sym_interval] = STATE(3579),
    [sym_range] = STATE(3579),
    [sym_time] = STATE(3579),
    [sym_number] = STATE(3579),
    [sym_json] = STATE(3579),
    [sym_query_parameter] = STATE(3579),
    [sym__type_chrono] = STATE(3122),
    [sym__type_struct] = STATE(19114),
    [sym__type_array] = STATE(18640),
    [sym_array] = STATE(3579),
    [sym_struct] = STATE(3579),
    [sym__identifier] = STATE(3384),
    [sym__dotted_identifier] = STATE(13989),
    [sym_identifier] = STATE(3577),
    [sym_string] = STATE(3579),
    [sym__expression] = STATE(2478),
    [sym__parenthesized_expression] = STATE(3579),
    [sym_element_access] = STATE(3579),
    [sym_field_access] = STATE(3579),
    [sym_unary_expression] = STATE(3579),
    [sym_binary_expression] = STATE(3579),
    [sym_between_operator] = STATE(3579),
    [sym_casewhen_expression] = STATE(3579),
    [sym_cast_expression] = STATE(3579),
    [sym_argument_reference] = STATE(3579),
    [aux_sym_identifier_repeat1] = STATE(13989),
    [sym__unquoted_identifier] = ACTIONS(1926),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1928),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1930),
    [aux_sym__keyword_case_token1] = ACTIONS(1932),
    [aux_sym__keyword_cast_token1] = ACTIONS(1934),
    [aux_sym__keyword_cast_token2] = ACTIONS(1934),
    [aux_sym__keyword_date_token1] = ACTIONS(1936),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1936),
    [aux_sym__keyword_time_token1] = ACTIONS(1936),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1936),
    [anon_sym_LPAREN] = ACTIONS(1938),
    [aux_sym_drop_notnull_token1] = ACTIONS(1940),
    [aux_sym_function_call_token2] = ACTIONS(1942),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(1946),
    [aux_sym_FALSE_token1] = ACTIONS(1948),
    [sym__integer] = ACTIONS(1950),
    [aux_sym__float_token1] = ACTIONS(1952),
    [aux_sym__float_token2] = ACTIONS(1950),
    [aux_sym__float_token3] = ACTIONS(1952),
    [aux_sym_numeric_token1] = ACTIONS(1954),
    [aux_sym_numeric_token2] = ACTIONS(1954),
    [aux_sym_numeric_token3] = ACTIONS(1954),
    [aux_sym_numeric_token4] = ACTIONS(1954),
    [aux_sym_interval_token1] = ACTIONS(1956),
    [anon_sym_LBRACK] = ACTIONS(1958),
    [aux_sym_json_token1] = ACTIONS(1960),
    [sym_system_variable] = ACTIONS(1962),
    [sym__named_query_parameter] = ACTIONS(1964),
    [sym__positional_query_parameter] = ACTIONS(1966),
    [sym__quoted_identifier] = ACTIONS(1968),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1970),
    [anon_sym_PLUS] = ACTIONS(1972),
    [anon_sym_DASH] = ACTIONS(1972),
    [anon_sym_operator_compare] = ACTIONS(1974),
    [anon_sym_DOLLAR] = ACTIONS(1976),
    [sym__string_start] = ACTIONS(1978),
  },
  [1780] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16226),
    [sym__keyword_case] = STATE(372),
    [sym__keyword_not] = STATE(1816),
    [sym__keyword_cast] = STATE(19293),
    [sym__keyword_date] = STATE(7385),
    [sym__keyword_datetime] = STATE(7385),
    [sym__keyword_time] = STATE(7385),
    [sym__keyword_timestamp] = STATE(7385),
    [sym_select_subexpression] = STATE(8017),
    [sym_function_call] = STATE(8017),
    [sym_unnest_operator] = STATE(5315),
    [sym_unnest_clause] = STATE(8017),
    [sym__literal] = STATE(8017),
    [sym_NULL] = STATE(8017),
    [sym_TRUE] = STATE(8017),
    [sym_FALSE] = STATE(8017),
    [sym__float] = STATE(8015),
    [sym_numeric] = STATE(8015),
    [sym__number] = STATE(8015),
    [sym_interval] = STATE(8017),
    [sym_range] = STATE(8017),
    [sym_time] = STATE(8017),
    [sym_number] = STATE(8017),
    [sym_json] = STATE(8017),
    [sym_query_parameter] = STATE(8017),
    [sym__type_chrono] = STATE(7173),
    [sym__type_struct] = STATE(19093),
    [sym__type_array] = STATE(18559),
    [sym_array] = STATE(8017),
    [sym_struct] = STATE(8017),
    [sym__identifier] = STATE(7194),
    [sym__dotted_identifier] = STATE(13999),
    [sym_identifier] = STATE(9144),
    [sym_string] = STATE(8017),
    [sym__expression] = STATE(6671),
    [sym__parenthesized_expression] = STATE(8017),
    [sym_element_access] = STATE(8017),
    [sym_field_access] = STATE(8017),
    [sym_unary_expression] = STATE(8017),
    [sym_binary_expression] = STATE(8017),
    [sym_between_operator] = STATE(8017),
    [sym_casewhen_expression] = STATE(8017),
    [sym_cast_expression] = STATE(8017),
    [sym_argument_reference] = STATE(8017),
    [aux_sym_identifier_repeat1] = STATE(13999),
    [sym__unquoted_identifier] = ACTIONS(2166),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2168),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2170),
    [aux_sym__keyword_case_token1] = ACTIONS(2172),
    [aux_sym__keyword_cast_token1] = ACTIONS(2174),
    [aux_sym__keyword_cast_token2] = ACTIONS(2174),
    [aux_sym__keyword_date_token1] = ACTIONS(2176),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2176),
    [aux_sym__keyword_time_token1] = ACTIONS(2176),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2176),
    [anon_sym_LPAREN] = ACTIONS(2178),
    [aux_sym_drop_notnull_token1] = ACTIONS(2180),
    [aux_sym_function_call_token2] = ACTIONS(2182),
    [aux_sym_unnest_operator_token1] = ACTIONS(2184),
    [aux_sym_TRUE_token1] = ACTIONS(2186),
    [aux_sym_FALSE_token1] = ACTIONS(2188),
    [sym__integer] = ACTIONS(2190),
    [aux_sym__float_token1] = ACTIONS(2192),
    [aux_sym__float_token2] = ACTIONS(2190),
    [aux_sym__float_token3] = ACTIONS(2192),
    [aux_sym_numeric_token1] = ACTIONS(2194),
    [aux_sym_numeric_token2] = ACTIONS(2194),
    [aux_sym_numeric_token3] = ACTIONS(2194),
    [aux_sym_numeric_token4] = ACTIONS(2194),
    [aux_sym_interval_token1] = ACTIONS(2196),
    [anon_sym_LBRACK] = ACTIONS(2198),
    [aux_sym_json_token1] = ACTIONS(2200),
    [sym_system_variable] = ACTIONS(2202),
    [sym__named_query_parameter] = ACTIONS(2204),
    [sym__positional_query_parameter] = ACTIONS(2206),
    [sym__quoted_identifier] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_operator_compare] = ACTIONS(2214),
    [anon_sym_DOLLAR] = ACTIONS(2216),
    [sym__string_start] = ACTIONS(2218),
  },
  [1781] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16226),
    [sym__keyword_case] = STATE(372),
    [sym__keyword_not] = STATE(1816),
    [sym__keyword_cast] = STATE(19293),
    [sym__keyword_date] = STATE(7385),
    [sym__keyword_datetime] = STATE(7385),
    [sym__keyword_time] = STATE(7385),
    [sym__keyword_timestamp] = STATE(7385),
    [sym_select_subexpression] = STATE(8017),
    [sym_function_call] = STATE(8017),
    [sym_unnest_operator] = STATE(5315),
    [sym_unnest_clause] = STATE(8017),
    [sym__literal] = STATE(8017),
    [sym_NULL] = STATE(8017),
    [sym_TRUE] = STATE(8017),
    [sym_FALSE] = STATE(8017),
    [sym__float] = STATE(8015),
    [sym_numeric] = STATE(8015),
    [sym__number] = STATE(8015),
    [sym_interval] = STATE(8017),
    [sym_range] = STATE(8017),
    [sym_time] = STATE(8017),
    [sym_number] = STATE(8017),
    [sym_json] = STATE(8017),
    [sym_query_parameter] = STATE(8017),
    [sym__type_chrono] = STATE(7173),
    [sym__type_struct] = STATE(19093),
    [sym__type_array] = STATE(18559),
    [sym_array] = STATE(8017),
    [sym_struct] = STATE(8017),
    [sym__identifier] = STATE(7194),
    [sym__dotted_identifier] = STATE(13999),
    [sym_identifier] = STATE(9144),
    [sym_string] = STATE(8017),
    [sym__expression] = STATE(6662),
    [sym__parenthesized_expression] = STATE(8017),
    [sym_element_access] = STATE(8017),
    [sym_field_access] = STATE(8017),
    [sym_unary_expression] = STATE(8017),
    [sym_binary_expression] = STATE(8017),
    [sym_between_operator] = STATE(8017),
    [sym_casewhen_expression] = STATE(8017),
    [sym_cast_expression] = STATE(8017),
    [sym_argument_reference] = STATE(8017),
    [aux_sym_identifier_repeat1] = STATE(13999),
    [sym__unquoted_identifier] = ACTIONS(2166),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2168),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2170),
    [aux_sym__keyword_case_token1] = ACTIONS(2172),
    [aux_sym__keyword_cast_token1] = ACTIONS(2174),
    [aux_sym__keyword_cast_token2] = ACTIONS(2174),
    [aux_sym__keyword_date_token1] = ACTIONS(2176),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2176),
    [aux_sym__keyword_time_token1] = ACTIONS(2176),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2176),
    [anon_sym_LPAREN] = ACTIONS(2178),
    [aux_sym_drop_notnull_token1] = ACTIONS(2180),
    [aux_sym_function_call_token2] = ACTIONS(2182),
    [aux_sym_unnest_operator_token1] = ACTIONS(2184),
    [aux_sym_TRUE_token1] = ACTIONS(2186),
    [aux_sym_FALSE_token1] = ACTIONS(2188),
    [sym__integer] = ACTIONS(2190),
    [aux_sym__float_token1] = ACTIONS(2192),
    [aux_sym__float_token2] = ACTIONS(2190),
    [aux_sym__float_token3] = ACTIONS(2192),
    [aux_sym_numeric_token1] = ACTIONS(2194),
    [aux_sym_numeric_token2] = ACTIONS(2194),
    [aux_sym_numeric_token3] = ACTIONS(2194),
    [aux_sym_numeric_token4] = ACTIONS(2194),
    [aux_sym_interval_token1] = ACTIONS(2196),
    [anon_sym_LBRACK] = ACTIONS(2198),
    [aux_sym_json_token1] = ACTIONS(2200),
    [sym_system_variable] = ACTIONS(2202),
    [sym__named_query_parameter] = ACTIONS(2204),
    [sym__positional_query_parameter] = ACTIONS(2206),
    [sym__quoted_identifier] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_operator_compare] = ACTIONS(2214),
    [anon_sym_DOLLAR] = ACTIONS(2216),
    [sym__string_start] = ACTIONS(2218),
  },
  [1782] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1784),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2484),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3598),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2420),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2426),
    [anon_sym_PLUS] = ACTIONS(2428),
    [anon_sym_DASH] = ACTIONS(2428),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1783] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(7783),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1784] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1784),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2484),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3389),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2420),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2426),
    [anon_sym_PLUS] = ACTIONS(2428),
    [anon_sym_DASH] = ACTIONS(2428),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1785] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(7025),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1786] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(7030),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1787] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1784),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2484),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3537),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2420),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2426),
    [anon_sym_PLUS] = ACTIONS(2428),
    [anon_sym_DASH] = ACTIONS(2428),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1788] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16191),
    [sym__keyword_case] = STATE(326),
    [sym__keyword_not] = STATE(1774),
    [sym__keyword_cast] = STATE(19299),
    [sym__keyword_date] = STATE(3373),
    [sym__keyword_datetime] = STATE(3373),
    [sym__keyword_time] = STATE(3373),
    [sym__keyword_timestamp] = STATE(3373),
    [sym_select_subexpression] = STATE(3579),
    [sym_function_call] = STATE(3579),
    [sym_unnest_operator] = STATE(2131),
    [sym_unnest_clause] = STATE(3579),
    [sym__literal] = STATE(3579),
    [sym_NULL] = STATE(3579),
    [sym_TRUE] = STATE(3579),
    [sym_FALSE] = STATE(3579),
    [sym__float] = STATE(3578),
    [sym_numeric] = STATE(3578),
    [sym__number] = STATE(3578),
    [sym_interval] = STATE(3579),
    [sym_range] = STATE(3579),
    [sym_time] = STATE(3579),
    [sym_number] = STATE(3579),
    [sym_json] = STATE(3579),
    [sym_query_parameter] = STATE(3579),
    [sym__type_chrono] = STATE(3122),
    [sym__type_struct] = STATE(19114),
    [sym__type_array] = STATE(18640),
    [sym_array] = STATE(3579),
    [sym_struct] = STATE(3579),
    [sym__identifier] = STATE(3384),
    [sym__dotted_identifier] = STATE(13989),
    [sym_identifier] = STATE(3577),
    [sym_string] = STATE(3579),
    [sym__expression] = STATE(2503),
    [sym__parenthesized_expression] = STATE(3579),
    [sym_element_access] = STATE(3579),
    [sym_field_access] = STATE(3579),
    [sym_unary_expression] = STATE(3579),
    [sym_binary_expression] = STATE(3579),
    [sym_between_operator] = STATE(3579),
    [sym_casewhen_expression] = STATE(3579),
    [sym_cast_expression] = STATE(3579),
    [sym_argument_reference] = STATE(3579),
    [aux_sym_identifier_repeat1] = STATE(13989),
    [sym__unquoted_identifier] = ACTIONS(1926),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1928),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1930),
    [aux_sym__keyword_case_token1] = ACTIONS(1932),
    [aux_sym__keyword_cast_token1] = ACTIONS(1934),
    [aux_sym__keyword_cast_token2] = ACTIONS(1934),
    [aux_sym__keyword_date_token1] = ACTIONS(1936),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1936),
    [aux_sym__keyword_time_token1] = ACTIONS(1936),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1936),
    [anon_sym_LPAREN] = ACTIONS(1938),
    [aux_sym_drop_notnull_token1] = ACTIONS(1940),
    [aux_sym_function_call_token2] = ACTIONS(1942),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(1946),
    [aux_sym_FALSE_token1] = ACTIONS(1948),
    [sym__integer] = ACTIONS(1950),
    [aux_sym__float_token1] = ACTIONS(1952),
    [aux_sym__float_token2] = ACTIONS(1950),
    [aux_sym__float_token3] = ACTIONS(1952),
    [aux_sym_numeric_token1] = ACTIONS(1954),
    [aux_sym_numeric_token2] = ACTIONS(1954),
    [aux_sym_numeric_token3] = ACTIONS(1954),
    [aux_sym_numeric_token4] = ACTIONS(1954),
    [aux_sym_interval_token1] = ACTIONS(1956),
    [anon_sym_LBRACK] = ACTIONS(1958),
    [aux_sym_json_token1] = ACTIONS(1960),
    [sym_system_variable] = ACTIONS(1962),
    [sym__named_query_parameter] = ACTIONS(1964),
    [sym__positional_query_parameter] = ACTIONS(1966),
    [sym__quoted_identifier] = ACTIONS(1968),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1970),
    [anon_sym_PLUS] = ACTIONS(1972),
    [anon_sym_DASH] = ACTIONS(1972),
    [anon_sym_operator_compare] = ACTIONS(1974),
    [anon_sym_DOLLAR] = ACTIONS(1976),
    [sym__string_start] = ACTIONS(1978),
  },
  [1789] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1784),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2484),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3542),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2420),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2426),
    [anon_sym_PLUS] = ACTIONS(2428),
    [anon_sym_DASH] = ACTIONS(2428),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1790] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16226),
    [sym__keyword_case] = STATE(372),
    [sym__keyword_not] = STATE(1816),
    [sym__keyword_cast] = STATE(19293),
    [sym__keyword_date] = STATE(7385),
    [sym__keyword_datetime] = STATE(7385),
    [sym__keyword_time] = STATE(7385),
    [sym__keyword_timestamp] = STATE(7385),
    [sym_select_subexpression] = STATE(8017),
    [sym_function_call] = STATE(8017),
    [sym_unnest_operator] = STATE(5315),
    [sym_unnest_clause] = STATE(8017),
    [sym__literal] = STATE(8017),
    [sym_NULL] = STATE(8017),
    [sym_TRUE] = STATE(8017),
    [sym_FALSE] = STATE(8017),
    [sym__float] = STATE(8015),
    [sym_numeric] = STATE(8015),
    [sym__number] = STATE(8015),
    [sym_interval] = STATE(8017),
    [sym_range] = STATE(8017),
    [sym_time] = STATE(8017),
    [sym_number] = STATE(8017),
    [sym_json] = STATE(8017),
    [sym_query_parameter] = STATE(8017),
    [sym__type_chrono] = STATE(7173),
    [sym__type_struct] = STATE(19093),
    [sym__type_array] = STATE(18559),
    [sym_array] = STATE(8017),
    [sym_struct] = STATE(8017),
    [sym__identifier] = STATE(7194),
    [sym__dotted_identifier] = STATE(13999),
    [sym_identifier] = STATE(9144),
    [sym_string] = STATE(8017),
    [sym__expression] = STATE(6650),
    [sym__parenthesized_expression] = STATE(8017),
    [sym_element_access] = STATE(8017),
    [sym_field_access] = STATE(8017),
    [sym_unary_expression] = STATE(8017),
    [sym_binary_expression] = STATE(8017),
    [sym_between_operator] = STATE(8017),
    [sym_casewhen_expression] = STATE(8017),
    [sym_cast_expression] = STATE(8017),
    [sym_argument_reference] = STATE(8017),
    [aux_sym_identifier_repeat1] = STATE(13999),
    [sym__unquoted_identifier] = ACTIONS(2166),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2168),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2170),
    [aux_sym__keyword_case_token1] = ACTIONS(2172),
    [aux_sym__keyword_cast_token1] = ACTIONS(2174),
    [aux_sym__keyword_cast_token2] = ACTIONS(2174),
    [aux_sym__keyword_date_token1] = ACTIONS(2176),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2176),
    [aux_sym__keyword_time_token1] = ACTIONS(2176),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2176),
    [anon_sym_LPAREN] = ACTIONS(2178),
    [aux_sym_drop_notnull_token1] = ACTIONS(2180),
    [aux_sym_function_call_token2] = ACTIONS(2182),
    [aux_sym_unnest_operator_token1] = ACTIONS(2184),
    [aux_sym_TRUE_token1] = ACTIONS(2186),
    [aux_sym_FALSE_token1] = ACTIONS(2188),
    [sym__integer] = ACTIONS(2190),
    [aux_sym__float_token1] = ACTIONS(2192),
    [aux_sym__float_token2] = ACTIONS(2190),
    [aux_sym__float_token3] = ACTIONS(2192),
    [aux_sym_numeric_token1] = ACTIONS(2194),
    [aux_sym_numeric_token2] = ACTIONS(2194),
    [aux_sym_numeric_token3] = ACTIONS(2194),
    [aux_sym_numeric_token4] = ACTIONS(2194),
    [aux_sym_interval_token1] = ACTIONS(2196),
    [anon_sym_LBRACK] = ACTIONS(2198),
    [aux_sym_json_token1] = ACTIONS(2200),
    [sym_system_variable] = ACTIONS(2202),
    [sym__named_query_parameter] = ACTIONS(2204),
    [sym__positional_query_parameter] = ACTIONS(2206),
    [sym__quoted_identifier] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_operator_compare] = ACTIONS(2214),
    [anon_sym_DOLLAR] = ACTIONS(2216),
    [sym__string_start] = ACTIONS(2218),
  },
  [1791] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1784),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2484),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3549),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2420),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2426),
    [anon_sym_PLUS] = ACTIONS(2428),
    [anon_sym_DASH] = ACTIONS(2428),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1792] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16226),
    [sym__keyword_case] = STATE(372),
    [sym__keyword_not] = STATE(1816),
    [sym__keyword_cast] = STATE(19293),
    [sym__keyword_date] = STATE(7385),
    [sym__keyword_datetime] = STATE(7385),
    [sym__keyword_time] = STATE(7385),
    [sym__keyword_timestamp] = STATE(7385),
    [sym_select_subexpression] = STATE(8017),
    [sym_function_call] = STATE(8017),
    [sym_unnest_operator] = STATE(5315),
    [sym_unnest_clause] = STATE(8017),
    [sym__literal] = STATE(8017),
    [sym_NULL] = STATE(8017),
    [sym_TRUE] = STATE(8017),
    [sym_FALSE] = STATE(8017),
    [sym__float] = STATE(8015),
    [sym_numeric] = STATE(8015),
    [sym__number] = STATE(8015),
    [sym_interval] = STATE(8017),
    [sym_range] = STATE(8017),
    [sym_time] = STATE(8017),
    [sym_number] = STATE(8017),
    [sym_json] = STATE(8017),
    [sym_query_parameter] = STATE(8017),
    [sym__type_chrono] = STATE(7173),
    [sym__type_struct] = STATE(19093),
    [sym__type_array] = STATE(18559),
    [sym_array] = STATE(8017),
    [sym_struct] = STATE(8017),
    [sym__identifier] = STATE(7194),
    [sym__dotted_identifier] = STATE(13999),
    [sym_identifier] = STATE(9144),
    [sym_string] = STATE(8017),
    [sym__expression] = STATE(6646),
    [sym__parenthesized_expression] = STATE(8017),
    [sym_element_access] = STATE(8017),
    [sym_field_access] = STATE(8017),
    [sym_unary_expression] = STATE(8017),
    [sym_binary_expression] = STATE(8017),
    [sym_between_operator] = STATE(8017),
    [sym_casewhen_expression] = STATE(8017),
    [sym_cast_expression] = STATE(8017),
    [sym_argument_reference] = STATE(8017),
    [aux_sym_identifier_repeat1] = STATE(13999),
    [sym__unquoted_identifier] = ACTIONS(2166),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2168),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2170),
    [aux_sym__keyword_case_token1] = ACTIONS(2172),
    [aux_sym__keyword_cast_token1] = ACTIONS(2174),
    [aux_sym__keyword_cast_token2] = ACTIONS(2174),
    [aux_sym__keyword_date_token1] = ACTIONS(2176),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2176),
    [aux_sym__keyword_time_token1] = ACTIONS(2176),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2176),
    [anon_sym_LPAREN] = ACTIONS(2178),
    [aux_sym_drop_notnull_token1] = ACTIONS(2180),
    [aux_sym_function_call_token2] = ACTIONS(2182),
    [aux_sym_unnest_operator_token1] = ACTIONS(2184),
    [aux_sym_TRUE_token1] = ACTIONS(2186),
    [aux_sym_FALSE_token1] = ACTIONS(2188),
    [sym__integer] = ACTIONS(2190),
    [aux_sym__float_token1] = ACTIONS(2192),
    [aux_sym__float_token2] = ACTIONS(2190),
    [aux_sym__float_token3] = ACTIONS(2192),
    [aux_sym_numeric_token1] = ACTIONS(2194),
    [aux_sym_numeric_token2] = ACTIONS(2194),
    [aux_sym_numeric_token3] = ACTIONS(2194),
    [aux_sym_numeric_token4] = ACTIONS(2194),
    [aux_sym_interval_token1] = ACTIONS(2196),
    [anon_sym_LBRACK] = ACTIONS(2198),
    [aux_sym_json_token1] = ACTIONS(2200),
    [sym_system_variable] = ACTIONS(2202),
    [sym__named_query_parameter] = ACTIONS(2204),
    [sym__positional_query_parameter] = ACTIONS(2206),
    [sym__quoted_identifier] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_operator_compare] = ACTIONS(2214),
    [anon_sym_DOLLAR] = ACTIONS(2216),
    [sym__string_start] = ACTIONS(2218),
  },
  [1793] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1784),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2484),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3552),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2420),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2426),
    [anon_sym_PLUS] = ACTIONS(2428),
    [anon_sym_DASH] = ACTIONS(2428),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1794] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16226),
    [sym__keyword_case] = STATE(372),
    [sym__keyword_not] = STATE(1816),
    [sym__keyword_cast] = STATE(19293),
    [sym__keyword_date] = STATE(7385),
    [sym__keyword_datetime] = STATE(7385),
    [sym__keyword_time] = STATE(7385),
    [sym__keyword_timestamp] = STATE(7385),
    [sym_select_subexpression] = STATE(8017),
    [sym_function_call] = STATE(8017),
    [sym_unnest_operator] = STATE(5315),
    [sym_unnest_clause] = STATE(8017),
    [sym__literal] = STATE(8017),
    [sym_NULL] = STATE(8017),
    [sym_TRUE] = STATE(8017),
    [sym_FALSE] = STATE(8017),
    [sym__float] = STATE(8015),
    [sym_numeric] = STATE(8015),
    [sym__number] = STATE(8015),
    [sym_interval] = STATE(8017),
    [sym_range] = STATE(8017),
    [sym_time] = STATE(8017),
    [sym_number] = STATE(8017),
    [sym_json] = STATE(8017),
    [sym_query_parameter] = STATE(8017),
    [sym__type_chrono] = STATE(7173),
    [sym__type_struct] = STATE(19093),
    [sym__type_array] = STATE(18559),
    [sym_array] = STATE(8017),
    [sym_struct] = STATE(8017),
    [sym__identifier] = STATE(7194),
    [sym__dotted_identifier] = STATE(13999),
    [sym_identifier] = STATE(9144),
    [sym_string] = STATE(8017),
    [sym__expression] = STATE(6601),
    [sym__parenthesized_expression] = STATE(8017),
    [sym_element_access] = STATE(8017),
    [sym_field_access] = STATE(8017),
    [sym_unary_expression] = STATE(8017),
    [sym_binary_expression] = STATE(8017),
    [sym_between_operator] = STATE(8017),
    [sym_casewhen_expression] = STATE(8017),
    [sym_cast_expression] = STATE(8017),
    [sym_argument_reference] = STATE(8017),
    [aux_sym_identifier_repeat1] = STATE(13999),
    [sym__unquoted_identifier] = ACTIONS(2166),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2168),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2170),
    [aux_sym__keyword_case_token1] = ACTIONS(2172),
    [aux_sym__keyword_cast_token1] = ACTIONS(2174),
    [aux_sym__keyword_cast_token2] = ACTIONS(2174),
    [aux_sym__keyword_date_token1] = ACTIONS(2176),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2176),
    [aux_sym__keyword_time_token1] = ACTIONS(2176),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2176),
    [anon_sym_LPAREN] = ACTIONS(2178),
    [aux_sym_drop_notnull_token1] = ACTIONS(2180),
    [aux_sym_function_call_token2] = ACTIONS(2182),
    [aux_sym_unnest_operator_token1] = ACTIONS(2184),
    [aux_sym_TRUE_token1] = ACTIONS(2186),
    [aux_sym_FALSE_token1] = ACTIONS(2188),
    [sym__integer] = ACTIONS(2190),
    [aux_sym__float_token1] = ACTIONS(2192),
    [aux_sym__float_token2] = ACTIONS(2190),
    [aux_sym__float_token3] = ACTIONS(2192),
    [aux_sym_numeric_token1] = ACTIONS(2194),
    [aux_sym_numeric_token2] = ACTIONS(2194),
    [aux_sym_numeric_token3] = ACTIONS(2194),
    [aux_sym_numeric_token4] = ACTIONS(2194),
    [aux_sym_interval_token1] = ACTIONS(2196),
    [anon_sym_LBRACK] = ACTIONS(2198),
    [aux_sym_json_token1] = ACTIONS(2200),
    [sym_system_variable] = ACTIONS(2202),
    [sym__named_query_parameter] = ACTIONS(2204),
    [sym__positional_query_parameter] = ACTIONS(2206),
    [sym__quoted_identifier] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_operator_compare] = ACTIONS(2214),
    [anon_sym_DOLLAR] = ACTIONS(2216),
    [sym__string_start] = ACTIONS(2218),
  },
  [1795] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9966),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1796] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1784),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2484),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3595),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2420),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2426),
    [anon_sym_PLUS] = ACTIONS(2428),
    [anon_sym_DASH] = ACTIONS(2428),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1797] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(6681),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1798] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16245),
    [sym__keyword_case] = STATE(287),
    [sym__keyword_not] = STATE(1177),
    [sym__keyword_cast] = STATE(19287),
    [sym__keyword_date] = STATE(8625),
    [sym__keyword_datetime] = STATE(8625),
    [sym__keyword_time] = STATE(8625),
    [sym__keyword_timestamp] = STATE(8625),
    [sym_select_subexpression] = STATE(9926),
    [sym_function_call] = STATE(9926),
    [sym_unnest_operator] = STATE(5359),
    [sym_unnest_clause] = STATE(9926),
    [sym__literal] = STATE(9926),
    [sym_NULL] = STATE(9926),
    [sym_TRUE] = STATE(9926),
    [sym_FALSE] = STATE(9926),
    [sym__float] = STATE(9925),
    [sym_numeric] = STATE(9925),
    [sym__number] = STATE(9925),
    [sym_interval] = STATE(9926),
    [sym_range] = STATE(9926),
    [sym_time] = STATE(9926),
    [sym_number] = STATE(9926),
    [sym_json] = STATE(9926),
    [sym_query_parameter] = STATE(9926),
    [sym__type_chrono] = STATE(8198),
    [sym__type_struct] = STATE(19072),
    [sym__type_array] = STATE(18478),
    [sym_array] = STATE(9926),
    [sym_struct] = STATE(9926),
    [sym__identifier] = STATE(7828),
    [sym__dotted_identifier] = STATE(13757),
    [sym_identifier] = STATE(9720),
    [sym_string] = STATE(9926),
    [sym__expression] = STATE(8743),
    [sym__parenthesized_expression] = STATE(9926),
    [sym_element_access] = STATE(9926),
    [sym_field_access] = STATE(9926),
    [sym_unary_expression] = STATE(9926),
    [sym_binary_expression] = STATE(9926),
    [sym_between_operator] = STATE(9926),
    [sym_casewhen_expression] = STATE(9926),
    [sym_cast_expression] = STATE(9926),
    [sym_argument_reference] = STATE(9926),
    [aux_sym_identifier_repeat1] = STATE(13757),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [1799] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1784),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2484),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3564),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2420),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2426),
    [anon_sym_PLUS] = ACTIONS(2428),
    [anon_sym_DASH] = ACTIONS(2428),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1800] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9631),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1801] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(7777),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1802] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1784),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2484),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3568),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2420),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2426),
    [anon_sym_PLUS] = ACTIONS(2428),
    [anon_sym_DASH] = ACTIONS(2428),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1803] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9667),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1804] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1784),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2484),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3585),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2420),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2426),
    [anon_sym_PLUS] = ACTIONS(2428),
    [anon_sym_DASH] = ACTIONS(2428),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1805] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1784),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2484),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3589),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2420),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2426),
    [anon_sym_PLUS] = ACTIONS(2428),
    [anon_sym_DASH] = ACTIONS(2428),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1806] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9635),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1807] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(7775),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1808] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9637),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1809] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(7771),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1810] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16226),
    [sym__keyword_case] = STATE(372),
    [sym__keyword_not] = STATE(1816),
    [sym__keyword_cast] = STATE(19293),
    [sym__keyword_date] = STATE(7385),
    [sym__keyword_datetime] = STATE(7385),
    [sym__keyword_time] = STATE(7385),
    [sym__keyword_timestamp] = STATE(7385),
    [sym_select_subexpression] = STATE(8017),
    [sym_function_call] = STATE(8017),
    [sym_unnest_operator] = STATE(5315),
    [sym_unnest_clause] = STATE(8017),
    [sym__literal] = STATE(8017),
    [sym_NULL] = STATE(8017),
    [sym_TRUE] = STATE(8017),
    [sym_FALSE] = STATE(8017),
    [sym__float] = STATE(8015),
    [sym_numeric] = STATE(8015),
    [sym__number] = STATE(8015),
    [sym_interval] = STATE(8017),
    [sym_range] = STATE(8017),
    [sym_time] = STATE(8017),
    [sym_number] = STATE(8017),
    [sym_json] = STATE(8017),
    [sym_query_parameter] = STATE(8017),
    [sym__type_chrono] = STATE(7173),
    [sym__type_struct] = STATE(19093),
    [sym__type_array] = STATE(18559),
    [sym_array] = STATE(8017),
    [sym_struct] = STATE(8017),
    [sym__identifier] = STATE(7194),
    [sym__dotted_identifier] = STATE(13999),
    [sym_identifier] = STATE(9144),
    [sym_string] = STATE(8017),
    [sym__expression] = STATE(6641),
    [sym__parenthesized_expression] = STATE(8017),
    [sym_element_access] = STATE(8017),
    [sym_field_access] = STATE(8017),
    [sym_unary_expression] = STATE(8017),
    [sym_binary_expression] = STATE(8017),
    [sym_between_operator] = STATE(8017),
    [sym_casewhen_expression] = STATE(8017),
    [sym_cast_expression] = STATE(8017),
    [sym_argument_reference] = STATE(8017),
    [aux_sym_identifier_repeat1] = STATE(13999),
    [sym__unquoted_identifier] = ACTIONS(2166),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2168),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2170),
    [aux_sym__keyword_case_token1] = ACTIONS(2172),
    [aux_sym__keyword_cast_token1] = ACTIONS(2174),
    [aux_sym__keyword_cast_token2] = ACTIONS(2174),
    [aux_sym__keyword_date_token1] = ACTIONS(2176),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2176),
    [aux_sym__keyword_time_token1] = ACTIONS(2176),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2176),
    [anon_sym_LPAREN] = ACTIONS(2178),
    [aux_sym_drop_notnull_token1] = ACTIONS(2180),
    [aux_sym_function_call_token2] = ACTIONS(2182),
    [aux_sym_unnest_operator_token1] = ACTIONS(2184),
    [aux_sym_TRUE_token1] = ACTIONS(2186),
    [aux_sym_FALSE_token1] = ACTIONS(2188),
    [sym__integer] = ACTIONS(2190),
    [aux_sym__float_token1] = ACTIONS(2192),
    [aux_sym__float_token2] = ACTIONS(2190),
    [aux_sym__float_token3] = ACTIONS(2192),
    [aux_sym_numeric_token1] = ACTIONS(2194),
    [aux_sym_numeric_token2] = ACTIONS(2194),
    [aux_sym_numeric_token3] = ACTIONS(2194),
    [aux_sym_numeric_token4] = ACTIONS(2194),
    [aux_sym_interval_token1] = ACTIONS(2196),
    [anon_sym_LBRACK] = ACTIONS(2198),
    [aux_sym_json_token1] = ACTIONS(2200),
    [sym_system_variable] = ACTIONS(2202),
    [sym__named_query_parameter] = ACTIONS(2204),
    [sym__positional_query_parameter] = ACTIONS(2206),
    [sym__quoted_identifier] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_operator_compare] = ACTIONS(2214),
    [anon_sym_DOLLAR] = ACTIONS(2216),
    [sym__string_start] = ACTIONS(2218),
  },
  [1811] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16226),
    [sym__keyword_case] = STATE(372),
    [sym__keyword_not] = STATE(1816),
    [sym__keyword_cast] = STATE(19293),
    [sym__keyword_date] = STATE(7385),
    [sym__keyword_datetime] = STATE(7385),
    [sym__keyword_time] = STATE(7385),
    [sym__keyword_timestamp] = STATE(7385),
    [sym_select_subexpression] = STATE(8017),
    [sym_function_call] = STATE(8017),
    [sym_unnest_operator] = STATE(5315),
    [sym_unnest_clause] = STATE(8017),
    [sym__literal] = STATE(8017),
    [sym_NULL] = STATE(8017),
    [sym_TRUE] = STATE(8017),
    [sym_FALSE] = STATE(8017),
    [sym__float] = STATE(8015),
    [sym_numeric] = STATE(8015),
    [sym__number] = STATE(8015),
    [sym_interval] = STATE(8017),
    [sym_range] = STATE(8017),
    [sym_time] = STATE(8017),
    [sym_number] = STATE(8017),
    [sym_json] = STATE(8017),
    [sym_query_parameter] = STATE(8017),
    [sym__type_chrono] = STATE(7173),
    [sym__type_struct] = STATE(19093),
    [sym__type_array] = STATE(18559),
    [sym_array] = STATE(8017),
    [sym_struct] = STATE(8017),
    [sym__identifier] = STATE(7194),
    [sym__dotted_identifier] = STATE(13999),
    [sym_identifier] = STATE(9144),
    [sym_string] = STATE(8017),
    [sym__expression] = STATE(6591),
    [sym__parenthesized_expression] = STATE(8017),
    [sym_element_access] = STATE(8017),
    [sym_field_access] = STATE(8017),
    [sym_unary_expression] = STATE(8017),
    [sym_binary_expression] = STATE(8017),
    [sym_between_operator] = STATE(8017),
    [sym_casewhen_expression] = STATE(8017),
    [sym_cast_expression] = STATE(8017),
    [sym_argument_reference] = STATE(8017),
    [aux_sym_identifier_repeat1] = STATE(13999),
    [sym__unquoted_identifier] = ACTIONS(2166),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2168),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2170),
    [aux_sym__keyword_case_token1] = ACTIONS(2172),
    [aux_sym__keyword_cast_token1] = ACTIONS(2174),
    [aux_sym__keyword_cast_token2] = ACTIONS(2174),
    [aux_sym__keyword_date_token1] = ACTIONS(2176),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2176),
    [aux_sym__keyword_time_token1] = ACTIONS(2176),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2176),
    [anon_sym_LPAREN] = ACTIONS(2178),
    [aux_sym_drop_notnull_token1] = ACTIONS(2180),
    [aux_sym_function_call_token2] = ACTIONS(2182),
    [aux_sym_unnest_operator_token1] = ACTIONS(2184),
    [aux_sym_TRUE_token1] = ACTIONS(2186),
    [aux_sym_FALSE_token1] = ACTIONS(2188),
    [sym__integer] = ACTIONS(2190),
    [aux_sym__float_token1] = ACTIONS(2192),
    [aux_sym__float_token2] = ACTIONS(2190),
    [aux_sym__float_token3] = ACTIONS(2192),
    [aux_sym_numeric_token1] = ACTIONS(2194),
    [aux_sym_numeric_token2] = ACTIONS(2194),
    [aux_sym_numeric_token3] = ACTIONS(2194),
    [aux_sym_numeric_token4] = ACTIONS(2194),
    [aux_sym_interval_token1] = ACTIONS(2196),
    [anon_sym_LBRACK] = ACTIONS(2198),
    [aux_sym_json_token1] = ACTIONS(2200),
    [sym_system_variable] = ACTIONS(2202),
    [sym__named_query_parameter] = ACTIONS(2204),
    [sym__positional_query_parameter] = ACTIONS(2206),
    [sym__quoted_identifier] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_operator_compare] = ACTIONS(2214),
    [anon_sym_DOLLAR] = ACTIONS(2216),
    [sym__string_start] = ACTIONS(2218),
  },
  [1812] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16226),
    [sym__keyword_case] = STATE(372),
    [sym__keyword_not] = STATE(1816),
    [sym__keyword_cast] = STATE(19293),
    [sym__keyword_date] = STATE(7385),
    [sym__keyword_datetime] = STATE(7385),
    [sym__keyword_time] = STATE(7385),
    [sym__keyword_timestamp] = STATE(7385),
    [sym_select_subexpression] = STATE(8017),
    [sym_function_call] = STATE(8017),
    [sym_unnest_operator] = STATE(5315),
    [sym_unnest_clause] = STATE(8017),
    [sym__literal] = STATE(8017),
    [sym_NULL] = STATE(8017),
    [sym_TRUE] = STATE(8017),
    [sym_FALSE] = STATE(8017),
    [sym__float] = STATE(8015),
    [sym_numeric] = STATE(8015),
    [sym__number] = STATE(8015),
    [sym_interval] = STATE(8017),
    [sym_range] = STATE(8017),
    [sym_time] = STATE(8017),
    [sym_number] = STATE(8017),
    [sym_json] = STATE(8017),
    [sym_query_parameter] = STATE(8017),
    [sym__type_chrono] = STATE(7173),
    [sym__type_struct] = STATE(19093),
    [sym__type_array] = STATE(18559),
    [sym_array] = STATE(8017),
    [sym_struct] = STATE(8017),
    [sym__identifier] = STATE(7194),
    [sym__dotted_identifier] = STATE(13999),
    [sym_identifier] = STATE(9144),
    [sym_string] = STATE(8017),
    [sym__expression] = STATE(6640),
    [sym__parenthesized_expression] = STATE(8017),
    [sym_element_access] = STATE(8017),
    [sym_field_access] = STATE(8017),
    [sym_unary_expression] = STATE(8017),
    [sym_binary_expression] = STATE(8017),
    [sym_between_operator] = STATE(8017),
    [sym_casewhen_expression] = STATE(8017),
    [sym_cast_expression] = STATE(8017),
    [sym_argument_reference] = STATE(8017),
    [aux_sym_identifier_repeat1] = STATE(13999),
    [sym__unquoted_identifier] = ACTIONS(2166),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2168),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2170),
    [aux_sym__keyword_case_token1] = ACTIONS(2172),
    [aux_sym__keyword_cast_token1] = ACTIONS(2174),
    [aux_sym__keyword_cast_token2] = ACTIONS(2174),
    [aux_sym__keyword_date_token1] = ACTIONS(2176),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2176),
    [aux_sym__keyword_time_token1] = ACTIONS(2176),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2176),
    [anon_sym_LPAREN] = ACTIONS(2178),
    [aux_sym_drop_notnull_token1] = ACTIONS(2180),
    [aux_sym_function_call_token2] = ACTIONS(2182),
    [aux_sym_unnest_operator_token1] = ACTIONS(2184),
    [aux_sym_TRUE_token1] = ACTIONS(2186),
    [aux_sym_FALSE_token1] = ACTIONS(2188),
    [sym__integer] = ACTIONS(2190),
    [aux_sym__float_token1] = ACTIONS(2192),
    [aux_sym__float_token2] = ACTIONS(2190),
    [aux_sym__float_token3] = ACTIONS(2192),
    [aux_sym_numeric_token1] = ACTIONS(2194),
    [aux_sym_numeric_token2] = ACTIONS(2194),
    [aux_sym_numeric_token3] = ACTIONS(2194),
    [aux_sym_numeric_token4] = ACTIONS(2194),
    [aux_sym_interval_token1] = ACTIONS(2196),
    [anon_sym_LBRACK] = ACTIONS(2198),
    [aux_sym_json_token1] = ACTIONS(2200),
    [sym_system_variable] = ACTIONS(2202),
    [sym__named_query_parameter] = ACTIONS(2204),
    [sym__positional_query_parameter] = ACTIONS(2206),
    [sym__quoted_identifier] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_operator_compare] = ACTIONS(2214),
    [anon_sym_DOLLAR] = ACTIONS(2216),
    [sym__string_start] = ACTIONS(2218),
  },
  [1813] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10282),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1814] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16282),
    [sym__keyword_case] = STATE(374),
    [sym__keyword_not] = STATE(1750),
    [sym__keyword_cast] = STATE(19285),
    [sym__keyword_date] = STATE(10540),
    [sym__keyword_datetime] = STATE(10540),
    [sym__keyword_time] = STATE(10540),
    [sym__keyword_timestamp] = STATE(10540),
    [sym_select_subexpression] = STATE(10861),
    [sym_function_call] = STATE(10861),
    [sym_unnest_operator] = STATE(5588),
    [sym_unnest_clause] = STATE(10861),
    [sym__literal] = STATE(10861),
    [sym_NULL] = STATE(10861),
    [sym_TRUE] = STATE(10861),
    [sym_FALSE] = STATE(10861),
    [sym__float] = STATE(10863),
    [sym_numeric] = STATE(10863),
    [sym__number] = STATE(10863),
    [sym_interval] = STATE(10861),
    [sym_range] = STATE(10861),
    [sym_time] = STATE(10861),
    [sym_number] = STATE(10861),
    [sym_json] = STATE(10861),
    [sym_query_parameter] = STATE(10861),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19065),
    [sym__type_array] = STATE(18448),
    [sym_array] = STATE(10861),
    [sym_struct] = STATE(10861),
    [sym__identifier] = STATE(10536),
    [sym__dotted_identifier] = STATE(14157),
    [sym_identifier] = STATE(10772),
    [sym_string] = STATE(10861),
    [sym__expression] = STATE(8208),
    [sym__parenthesized_expression] = STATE(10861),
    [sym_element_access] = STATE(10861),
    [sym_field_access] = STATE(10861),
    [sym_unary_expression] = STATE(10861),
    [sym_binary_expression] = STATE(10861),
    [sym_between_operator] = STATE(10861),
    [sym_casewhen_expression] = STATE(10861),
    [sym_cast_expression] = STATE(10861),
    [sym_argument_reference] = STATE(10861),
    [aux_sym_identifier_repeat1] = STATE(14157),
    [sym__unquoted_identifier] = ACTIONS(2552),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2554),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2556),
    [aux_sym__keyword_case_token1] = ACTIONS(2558),
    [aux_sym__keyword_cast_token1] = ACTIONS(2560),
    [aux_sym__keyword_cast_token2] = ACTIONS(2560),
    [aux_sym__keyword_date_token1] = ACTIONS(2562),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2562),
    [aux_sym__keyword_time_token1] = ACTIONS(2562),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [aux_sym_drop_notnull_token1] = ACTIONS(2566),
    [aux_sym_function_call_token2] = ACTIONS(2568),
    [aux_sym_unnest_operator_token1] = ACTIONS(2658),
    [aux_sym_TRUE_token1] = ACTIONS(2570),
    [aux_sym_FALSE_token1] = ACTIONS(2572),
    [sym__integer] = ACTIONS(2574),
    [aux_sym__float_token1] = ACTIONS(2576),
    [aux_sym__float_token2] = ACTIONS(2574),
    [aux_sym__float_token3] = ACTIONS(2576),
    [aux_sym_numeric_token1] = ACTIONS(2578),
    [aux_sym_numeric_token2] = ACTIONS(2578),
    [aux_sym_numeric_token3] = ACTIONS(2578),
    [aux_sym_numeric_token4] = ACTIONS(2578),
    [aux_sym_interval_token1] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [aux_sym_json_token1] = ACTIONS(2584),
    [sym_system_variable] = ACTIONS(2586),
    [sym__named_query_parameter] = ACTIONS(2588),
    [sym__positional_query_parameter] = ACTIONS(2590),
    [sym__quoted_identifier] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2660),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_operator_compare] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [sym__string_start] = ACTIONS(2602),
  },
  [1815] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16226),
    [sym__keyword_case] = STATE(372),
    [sym__keyword_not] = STATE(1816),
    [sym__keyword_cast] = STATE(19293),
    [sym__keyword_date] = STATE(7385),
    [sym__keyword_datetime] = STATE(7385),
    [sym__keyword_time] = STATE(7385),
    [sym__keyword_timestamp] = STATE(7385),
    [sym_select_subexpression] = STATE(8017),
    [sym_function_call] = STATE(8017),
    [sym_unnest_operator] = STATE(5315),
    [sym_unnest_clause] = STATE(8017),
    [sym__literal] = STATE(8017),
    [sym_NULL] = STATE(8017),
    [sym_TRUE] = STATE(8017),
    [sym_FALSE] = STATE(8017),
    [sym__float] = STATE(8015),
    [sym_numeric] = STATE(8015),
    [sym__number] = STATE(8015),
    [sym_interval] = STATE(8017),
    [sym_range] = STATE(8017),
    [sym_time] = STATE(8017),
    [sym_number] = STATE(8017),
    [sym_json] = STATE(8017),
    [sym_query_parameter] = STATE(8017),
    [sym__type_chrono] = STATE(7173),
    [sym__type_struct] = STATE(19093),
    [sym__type_array] = STATE(18559),
    [sym_array] = STATE(8017),
    [sym_struct] = STATE(8017),
    [sym__identifier] = STATE(7194),
    [sym__dotted_identifier] = STATE(13999),
    [sym_identifier] = STATE(9144),
    [sym_string] = STATE(8017),
    [sym__expression] = STATE(6639),
    [sym__parenthesized_expression] = STATE(8017),
    [sym_element_access] = STATE(8017),
    [sym_field_access] = STATE(8017),
    [sym_unary_expression] = STATE(8017),
    [sym_binary_expression] = STATE(8017),
    [sym_between_operator] = STATE(8017),
    [sym_casewhen_expression] = STATE(8017),
    [sym_cast_expression] = STATE(8017),
    [sym_argument_reference] = STATE(8017),
    [aux_sym_identifier_repeat1] = STATE(13999),
    [sym__unquoted_identifier] = ACTIONS(2166),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2168),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2170),
    [aux_sym__keyword_case_token1] = ACTIONS(2172),
    [aux_sym__keyword_cast_token1] = ACTIONS(2174),
    [aux_sym__keyword_cast_token2] = ACTIONS(2174),
    [aux_sym__keyword_date_token1] = ACTIONS(2176),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2176),
    [aux_sym__keyword_time_token1] = ACTIONS(2176),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2176),
    [anon_sym_LPAREN] = ACTIONS(2178),
    [aux_sym_drop_notnull_token1] = ACTIONS(2180),
    [aux_sym_function_call_token2] = ACTIONS(2182),
    [aux_sym_unnest_operator_token1] = ACTIONS(2184),
    [aux_sym_TRUE_token1] = ACTIONS(2186),
    [aux_sym_FALSE_token1] = ACTIONS(2188),
    [sym__integer] = ACTIONS(2190),
    [aux_sym__float_token1] = ACTIONS(2192),
    [aux_sym__float_token2] = ACTIONS(2190),
    [aux_sym__float_token3] = ACTIONS(2192),
    [aux_sym_numeric_token1] = ACTIONS(2194),
    [aux_sym_numeric_token2] = ACTIONS(2194),
    [aux_sym_numeric_token3] = ACTIONS(2194),
    [aux_sym_numeric_token4] = ACTIONS(2194),
    [aux_sym_interval_token1] = ACTIONS(2196),
    [anon_sym_LBRACK] = ACTIONS(2198),
    [aux_sym_json_token1] = ACTIONS(2200),
    [sym_system_variable] = ACTIONS(2202),
    [sym__named_query_parameter] = ACTIONS(2204),
    [sym__positional_query_parameter] = ACTIONS(2206),
    [sym__quoted_identifier] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_operator_compare] = ACTIONS(2214),
    [anon_sym_DOLLAR] = ACTIONS(2216),
    [sym__string_start] = ACTIONS(2218),
  },
  [1816] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16226),
    [sym__keyword_case] = STATE(372),
    [sym__keyword_not] = STATE(1816),
    [sym__keyword_cast] = STATE(19293),
    [sym__keyword_date] = STATE(7385),
    [sym__keyword_datetime] = STATE(7385),
    [sym__keyword_time] = STATE(7385),
    [sym__keyword_timestamp] = STATE(7385),
    [sym_select_subexpression] = STATE(8017),
    [sym_function_call] = STATE(8017),
    [sym_unnest_operator] = STATE(5315),
    [sym_unnest_clause] = STATE(8017),
    [sym__literal] = STATE(8017),
    [sym_NULL] = STATE(8017),
    [sym_TRUE] = STATE(8017),
    [sym_FALSE] = STATE(8017),
    [sym__float] = STATE(8015),
    [sym_numeric] = STATE(8015),
    [sym__number] = STATE(8015),
    [sym_interval] = STATE(8017),
    [sym_range] = STATE(8017),
    [sym_time] = STATE(8017),
    [sym_number] = STATE(8017),
    [sym_json] = STATE(8017),
    [sym_query_parameter] = STATE(8017),
    [sym__type_chrono] = STATE(7173),
    [sym__type_struct] = STATE(19093),
    [sym__type_array] = STATE(18559),
    [sym_array] = STATE(8017),
    [sym_struct] = STATE(8017),
    [sym__identifier] = STATE(7194),
    [sym__dotted_identifier] = STATE(13999),
    [sym_identifier] = STATE(9144),
    [sym_string] = STATE(8017),
    [sym__expression] = STATE(6631),
    [sym__parenthesized_expression] = STATE(8017),
    [sym_element_access] = STATE(8017),
    [sym_field_access] = STATE(8017),
    [sym_unary_expression] = STATE(8017),
    [sym_binary_expression] = STATE(8017),
    [sym_between_operator] = STATE(8017),
    [sym_casewhen_expression] = STATE(8017),
    [sym_cast_expression] = STATE(8017),
    [sym_argument_reference] = STATE(8017),
    [aux_sym_identifier_repeat1] = STATE(13999),
    [sym__unquoted_identifier] = ACTIONS(2166),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2168),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2170),
    [aux_sym__keyword_case_token1] = ACTIONS(2172),
    [aux_sym__keyword_cast_token1] = ACTIONS(2174),
    [aux_sym__keyword_cast_token2] = ACTIONS(2174),
    [aux_sym__keyword_date_token1] = ACTIONS(2176),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2176),
    [aux_sym__keyword_time_token1] = ACTIONS(2176),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2176),
    [anon_sym_LPAREN] = ACTIONS(2178),
    [aux_sym_drop_notnull_token1] = ACTIONS(2180),
    [aux_sym_function_call_token2] = ACTIONS(2182),
    [aux_sym_unnest_operator_token1] = ACTIONS(2184),
    [aux_sym_TRUE_token1] = ACTIONS(2186),
    [aux_sym_FALSE_token1] = ACTIONS(2188),
    [sym__integer] = ACTIONS(2190),
    [aux_sym__float_token1] = ACTIONS(2192),
    [aux_sym__float_token2] = ACTIONS(2190),
    [aux_sym__float_token3] = ACTIONS(2192),
    [aux_sym_numeric_token1] = ACTIONS(2194),
    [aux_sym_numeric_token2] = ACTIONS(2194),
    [aux_sym_numeric_token3] = ACTIONS(2194),
    [aux_sym_numeric_token4] = ACTIONS(2194),
    [aux_sym_interval_token1] = ACTIONS(2196),
    [anon_sym_LBRACK] = ACTIONS(2198),
    [aux_sym_json_token1] = ACTIONS(2200),
    [sym_system_variable] = ACTIONS(2202),
    [sym__named_query_parameter] = ACTIONS(2204),
    [sym__positional_query_parameter] = ACTIONS(2206),
    [sym__quoted_identifier] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_operator_compare] = ACTIONS(2214),
    [anon_sym_DOLLAR] = ACTIONS(2216),
    [sym__string_start] = ACTIONS(2218),
  },
  [1817] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8540),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1818] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(7034),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1819] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10281),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1820] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16148),
    [sym__keyword_case] = STATE(268),
    [sym__keyword_not] = STATE(1835),
    [sym__keyword_cast] = STATE(19305),
    [sym__keyword_date] = STATE(7284),
    [sym__keyword_datetime] = STATE(7284),
    [sym__keyword_time] = STATE(7284),
    [sym__keyword_timestamp] = STATE(7284),
    [sym_select_subexpression] = STATE(7910),
    [sym_function_call] = STATE(7910),
    [sym_unnest_operator] = STATE(5277),
    [sym_unnest_clause] = STATE(7910),
    [sym__literal] = STATE(7910),
    [sym_NULL] = STATE(7910),
    [sym_TRUE] = STATE(7910),
    [sym_FALSE] = STATE(7910),
    [sym__float] = STATE(7895),
    [sym_numeric] = STATE(7895),
    [sym__number] = STATE(7895),
    [sym_interval] = STATE(7910),
    [sym_range] = STATE(7910),
    [sym_time] = STATE(7910),
    [sym_number] = STATE(7910),
    [sym_json] = STATE(7910),
    [sym_query_parameter] = STATE(7910),
    [sym__type_chrono] = STATE(7179),
    [sym__type_struct] = STATE(19135),
    [sym__type_array] = STATE(18721),
    [sym_array] = STATE(7910),
    [sym_struct] = STATE(7910),
    [sym__identifier] = STATE(5408),
    [sym__dotted_identifier] = STATE(13708),
    [sym_identifier] = STATE(7424),
    [sym_string] = STATE(7910),
    [sym__expression] = STATE(5860),
    [sym__parenthesized_expression] = STATE(7910),
    [sym_element_access] = STATE(7910),
    [sym_field_access] = STATE(7910),
    [sym_unary_expression] = STATE(7910),
    [sym_binary_expression] = STATE(7910),
    [sym_between_operator] = STATE(7910),
    [sym_casewhen_expression] = STATE(7910),
    [sym_cast_expression] = STATE(7910),
    [sym_argument_reference] = STATE(7910),
    [aux_sym_identifier_repeat1] = STATE(13708),
    [sym__unquoted_identifier] = ACTIONS(2440),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2442),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2444),
    [aux_sym__keyword_case_token1] = ACTIONS(2446),
    [aux_sym__keyword_cast_token1] = ACTIONS(2448),
    [aux_sym__keyword_cast_token2] = ACTIONS(2448),
    [aux_sym__keyword_date_token1] = ACTIONS(2450),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2450),
    [aux_sym__keyword_time_token1] = ACTIONS(2450),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2452),
    [aux_sym_drop_notnull_token1] = ACTIONS(2454),
    [aux_sym_function_call_token2] = ACTIONS(2456),
    [aux_sym_unnest_operator_token1] = ACTIONS(2458),
    [aux_sym_TRUE_token1] = ACTIONS(2460),
    [aux_sym_FALSE_token1] = ACTIONS(2462),
    [sym__integer] = ACTIONS(2464),
    [aux_sym__float_token1] = ACTIONS(2466),
    [aux_sym__float_token2] = ACTIONS(2464),
    [aux_sym__float_token3] = ACTIONS(2466),
    [aux_sym_numeric_token1] = ACTIONS(2468),
    [aux_sym_numeric_token2] = ACTIONS(2468),
    [aux_sym_numeric_token3] = ACTIONS(2468),
    [aux_sym_numeric_token4] = ACTIONS(2468),
    [aux_sym_interval_token1] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [aux_sym_json_token1] = ACTIONS(2474),
    [sym_system_variable] = ACTIONS(2476),
    [sym__named_query_parameter] = ACTIONS(2478),
    [sym__positional_query_parameter] = ACTIONS(2480),
    [sym__quoted_identifier] = ACTIONS(2482),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2484),
    [anon_sym_PLUS] = ACTIONS(2486),
    [anon_sym_DASH] = ACTIONS(2486),
    [anon_sym_operator_compare] = ACTIONS(2488),
    [anon_sym_DOLLAR] = ACTIONS(2490),
    [sym__string_start] = ACTIONS(2492),
  },
  [1821] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16226),
    [sym__keyword_case] = STATE(372),
    [sym__keyword_not] = STATE(1816),
    [sym__keyword_cast] = STATE(19293),
    [sym__keyword_date] = STATE(7385),
    [sym__keyword_datetime] = STATE(7385),
    [sym__keyword_time] = STATE(7385),
    [sym__keyword_timestamp] = STATE(7385),
    [sym_select_subexpression] = STATE(8017),
    [sym_function_call] = STATE(8017),
    [sym_unnest_operator] = STATE(5315),
    [sym_unnest_clause] = STATE(8017),
    [sym__literal] = STATE(8017),
    [sym_NULL] = STATE(8017),
    [sym_TRUE] = STATE(8017),
    [sym_FALSE] = STATE(8017),
    [sym__float] = STATE(8015),
    [sym_numeric] = STATE(8015),
    [sym__number] = STATE(8015),
    [sym_interval] = STATE(8017),
    [sym_range] = STATE(8017),
    [sym_time] = STATE(8017),
    [sym_number] = STATE(8017),
    [sym_json] = STATE(8017),
    [sym_query_parameter] = STATE(8017),
    [sym__type_chrono] = STATE(7173),
    [sym__type_struct] = STATE(19093),
    [sym__type_array] = STATE(18559),
    [sym_array] = STATE(8017),
    [sym_struct] = STATE(8017),
    [sym__identifier] = STATE(7194),
    [sym__dotted_identifier] = STATE(13999),
    [sym_identifier] = STATE(9144),
    [sym_string] = STATE(8017),
    [sym__expression] = STATE(6630),
    [sym__parenthesized_expression] = STATE(8017),
    [sym_element_access] = STATE(8017),
    [sym_field_access] = STATE(8017),
    [sym_unary_expression] = STATE(8017),
    [sym_binary_expression] = STATE(8017),
    [sym_between_operator] = STATE(8017),
    [sym_casewhen_expression] = STATE(8017),
    [sym_cast_expression] = STATE(8017),
    [sym_argument_reference] = STATE(8017),
    [aux_sym_identifier_repeat1] = STATE(13999),
    [sym__unquoted_identifier] = ACTIONS(2166),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2168),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2170),
    [aux_sym__keyword_case_token1] = ACTIONS(2172),
    [aux_sym__keyword_cast_token1] = ACTIONS(2174),
    [aux_sym__keyword_cast_token2] = ACTIONS(2174),
    [aux_sym__keyword_date_token1] = ACTIONS(2176),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2176),
    [aux_sym__keyword_time_token1] = ACTIONS(2176),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2176),
    [anon_sym_LPAREN] = ACTIONS(2178),
    [aux_sym_drop_notnull_token1] = ACTIONS(2180),
    [aux_sym_function_call_token2] = ACTIONS(2182),
    [aux_sym_unnest_operator_token1] = ACTIONS(2184),
    [aux_sym_TRUE_token1] = ACTIONS(2186),
    [aux_sym_FALSE_token1] = ACTIONS(2188),
    [sym__integer] = ACTIONS(2190),
    [aux_sym__float_token1] = ACTIONS(2192),
    [aux_sym__float_token2] = ACTIONS(2190),
    [aux_sym__float_token3] = ACTIONS(2192),
    [aux_sym_numeric_token1] = ACTIONS(2194),
    [aux_sym_numeric_token2] = ACTIONS(2194),
    [aux_sym_numeric_token3] = ACTIONS(2194),
    [aux_sym_numeric_token4] = ACTIONS(2194),
    [aux_sym_interval_token1] = ACTIONS(2196),
    [anon_sym_LBRACK] = ACTIONS(2198),
    [aux_sym_json_token1] = ACTIONS(2200),
    [sym_system_variable] = ACTIONS(2202),
    [sym__named_query_parameter] = ACTIONS(2204),
    [sym__positional_query_parameter] = ACTIONS(2206),
    [sym__quoted_identifier] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_operator_compare] = ACTIONS(2214),
    [anon_sym_DOLLAR] = ACTIONS(2216),
    [sym__string_start] = ACTIONS(2218),
  },
  [1822] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9772),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1823] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9918),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1824] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9639),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1825] = {
    [ts_builtin_sym_end] = ACTIONS(1594),
    [sym__unquoted_identifier] = ACTIONS(1596),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1596),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1596),
    [aux_sym_keyword_replace_token1] = ACTIONS(1596),
    [aux_sym__keyword_alter_token1] = ACTIONS(1596),
    [aux_sym__keyword_from_token1] = ACTIONS(1596),
    [aux_sym__keyword_delete_token1] = ACTIONS(1596),
    [aux_sym__keyword_begin_token1] = ACTIONS(1596),
    [aux_sym__keyword_end_token1] = ACTIONS(1596),
    [aux_sym__keyword_between_token1] = ACTIONS(1596),
    [aux_sym__keyword_when_token1] = ACTIONS(1596),
    [aux_sym__keyword_else_token1] = ACTIONS(1596),
    [aux_sym__keyword_is_token1] = ACTIONS(1596),
    [aux_sym__keyword_in_token1] = ACTIONS(1596),
    [aux_sym__keyword_and_token1] = ACTIONS(1596),
    [aux_sym__keyword_like_token1] = ACTIONS(1596),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1596),
    [aux_sym__keyword_as_token1] = ACTIONS(1596),
    [aux_sym__keyword_window_token1] = ACTIONS(1596),
    [aux_sym__keyword_date_token1] = ACTIONS(1596),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1596),
    [aux_sym__keyword_time_token1] = ACTIONS(1596),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1596),
    [aux_sym__keyword_for_token1] = ACTIONS(1596),
    [anon_sym_SEMI] = ACTIONS(1594),
    [aux_sym_declare_statement_token1] = ACTIONS(1596),
    [anon_sym_COMMA] = ACTIONS(1594),
    [aux_sym_set_statement_token1] = ACTIONS(1596),
    [anon_sym_LPAREN] = ACTIONS(1594),
    [anon_sym_RPAREN] = ACTIONS(1594),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1596),
    [aux_sym_return_satement_token1] = ACTIONS(1596),
    [aux_sym_call_statement_token1] = ACTIONS(1596),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1596),
    [aux_sym_if_statement_token1] = ACTIONS(1596),
    [aux_sym_loop_statement_token1] = ACTIONS(1596),
    [aux_sym_repeat_statement_token1] = ACTIONS(1596),
    [aux_sym_while_statement_token1] = ACTIONS(1596),
    [aux_sym_break_statement_token1] = ACTIONS(1596),
    [aux_sym_leave_statement_token1] = ACTIONS(1596),
    [aux_sym_continue_statement_token1] = ACTIONS(1596),
    [aux_sym_iterate_statement_token1] = ACTIONS(1596),
    [aux_sym_raise_statement_token1] = ACTIONS(1596),
    [anon_sym_EQ] = ACTIONS(1594),
    [aux_sym_assert_statement_token1] = ACTIONS(1596),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1596),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1596),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1596),
    [anon_sym_LT] = ACTIONS(1596),
    [anon_sym_GT] = ACTIONS(1596),
    [aux_sym_set_operation_token1] = ACTIONS(1596),
    [aux_sym_set_operation_token3] = ACTIONS(1596),
    [aux_sym_set_operation_token4] = ACTIONS(1596),
    [aux_sym_select_token1] = ACTIONS(1596),
    [aux_sym_having_clause_token1] = ACTIONS(1596),
    [aux_sym_qualify_clause_token1] = ACTIONS(1596),
    [aux_sym_limit_clause_token1] = ACTIONS(1596),
    [aux_sym_group_by_clause_token1] = ACTIONS(1596),
    [aux_sym_order_by_clause_token1] = ACTIONS(1596),
    [aux_sym_where_clause_token1] = ACTIONS(1596),
    [aux_sym_insert_statement_token1] = ACTIONS(1596),
    [aux_sym_truncate_statement_token1] = ACTIONS(1596),
    [aux_sym_update_statement_token1] = ACTIONS(1596),
    [aux_sym_merge_statement_token1] = ACTIONS(1596),
    [aux_sym_grant_statement_token1] = ACTIONS(1596),
    [aux_sym_revoke_statement_token1] = ACTIONS(1596),
    [aux_sym_export_data_statement_token1] = ACTIONS(1596),
    [aux_sym_load_data_statement_token1] = ACTIONS(1596),
    [anon_sym_LBRACK] = ACTIONS(1594),
    [sym__quoted_identifier] = ACTIONS(1594),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1594),
    [anon_sym_PLUS] = ACTIONS(1594),
    [anon_sym_DASH] = ACTIONS(1596),
    [anon_sym_STAR] = ACTIONS(1594),
    [anon_sym_SLASH] = ACTIONS(1596),
    [anon_sym_PIPE_PIPE] = ACTIONS(1594),
    [anon_sym_LT_EQ] = ACTIONS(1594),
    [anon_sym_LT_GT] = ACTIONS(1594),
    [anon_sym_GT_EQ] = ACTIONS(1594),
    [anon_sym_BANG_EQ] = ACTIONS(1594),
    [anon_sym_LT_LT] = ACTIONS(1594),
    [anon_sym_GT_GT] = ACTIONS(1594),
    [anon_sym_AMP] = ACTIONS(1594),
    [anon_sym_CARET] = ACTIONS(1594),
    [anon_sym_PIPE] = ACTIONS(1596),
  },
  [1826] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9919),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1827] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(10188),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1828] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16148),
    [sym__keyword_case] = STATE(268),
    [sym__keyword_not] = STATE(1835),
    [sym__keyword_cast] = STATE(19305),
    [sym__keyword_date] = STATE(7284),
    [sym__keyword_datetime] = STATE(7284),
    [sym__keyword_time] = STATE(7284),
    [sym__keyword_timestamp] = STATE(7284),
    [sym_select_subexpression] = STATE(7910),
    [sym_function_call] = STATE(7910),
    [sym_unnest_operator] = STATE(5277),
    [sym_unnest_clause] = STATE(7910),
    [sym__literal] = STATE(7910),
    [sym_NULL] = STATE(7910),
    [sym_TRUE] = STATE(7910),
    [sym_FALSE] = STATE(7910),
    [sym__float] = STATE(7895),
    [sym_numeric] = STATE(7895),
    [sym__number] = STATE(7895),
    [sym_interval] = STATE(7910),
    [sym_range] = STATE(7910),
    [sym_time] = STATE(7910),
    [sym_number] = STATE(7910),
    [sym_json] = STATE(7910),
    [sym_query_parameter] = STATE(7910),
    [sym__type_chrono] = STATE(7179),
    [sym__type_struct] = STATE(19135),
    [sym__type_array] = STATE(18721),
    [sym_array] = STATE(7910),
    [sym_struct] = STATE(7910),
    [sym__identifier] = STATE(5408),
    [sym__dotted_identifier] = STATE(13708),
    [sym_identifier] = STATE(7424),
    [sym_string] = STATE(7910),
    [sym__expression] = STATE(5727),
    [sym__parenthesized_expression] = STATE(7910),
    [sym_element_access] = STATE(7910),
    [sym_field_access] = STATE(7910),
    [sym_unary_expression] = STATE(7910),
    [sym_binary_expression] = STATE(7910),
    [sym_between_operator] = STATE(7910),
    [sym_casewhen_expression] = STATE(7910),
    [sym_cast_expression] = STATE(7910),
    [sym_argument_reference] = STATE(7910),
    [aux_sym_identifier_repeat1] = STATE(13708),
    [sym__unquoted_identifier] = ACTIONS(2440),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2442),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2444),
    [aux_sym__keyword_case_token1] = ACTIONS(2446),
    [aux_sym__keyword_cast_token1] = ACTIONS(2448),
    [aux_sym__keyword_cast_token2] = ACTIONS(2448),
    [aux_sym__keyword_date_token1] = ACTIONS(2450),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2450),
    [aux_sym__keyword_time_token1] = ACTIONS(2450),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2452),
    [aux_sym_drop_notnull_token1] = ACTIONS(2454),
    [aux_sym_function_call_token2] = ACTIONS(2456),
    [aux_sym_unnest_operator_token1] = ACTIONS(2458),
    [aux_sym_TRUE_token1] = ACTIONS(2460),
    [aux_sym_FALSE_token1] = ACTIONS(2462),
    [sym__integer] = ACTIONS(2464),
    [aux_sym__float_token1] = ACTIONS(2466),
    [aux_sym__float_token2] = ACTIONS(2464),
    [aux_sym__float_token3] = ACTIONS(2466),
    [aux_sym_numeric_token1] = ACTIONS(2468),
    [aux_sym_numeric_token2] = ACTIONS(2468),
    [aux_sym_numeric_token3] = ACTIONS(2468),
    [aux_sym_numeric_token4] = ACTIONS(2468),
    [aux_sym_interval_token1] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [aux_sym_json_token1] = ACTIONS(2474),
    [sym_system_variable] = ACTIONS(2476),
    [sym__named_query_parameter] = ACTIONS(2478),
    [sym__positional_query_parameter] = ACTIONS(2480),
    [sym__quoted_identifier] = ACTIONS(2482),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2484),
    [anon_sym_PLUS] = ACTIONS(2486),
    [anon_sym_DASH] = ACTIONS(2486),
    [anon_sym_operator_compare] = ACTIONS(2488),
    [anon_sym_DOLLAR] = ACTIONS(2490),
    [sym__string_start] = ACTIONS(2492),
  },
  [1829] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9773),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1830] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16191),
    [sym__keyword_case] = STATE(326),
    [sym__keyword_not] = STATE(1774),
    [sym__keyword_cast] = STATE(19299),
    [sym__keyword_date] = STATE(3373),
    [sym__keyword_datetime] = STATE(3373),
    [sym__keyword_time] = STATE(3373),
    [sym__keyword_timestamp] = STATE(3373),
    [sym_select_subexpression] = STATE(3579),
    [sym_function_call] = STATE(3579),
    [sym_unnest_operator] = STATE(2131),
    [sym_unnest_clause] = STATE(3579),
    [sym__literal] = STATE(3579),
    [sym_NULL] = STATE(3579),
    [sym_TRUE] = STATE(3579),
    [sym_FALSE] = STATE(3579),
    [sym__float] = STATE(3578),
    [sym_numeric] = STATE(3578),
    [sym__number] = STATE(3578),
    [sym_interval] = STATE(3579),
    [sym_range] = STATE(3579),
    [sym_time] = STATE(3579),
    [sym_number] = STATE(3579),
    [sym_json] = STATE(3579),
    [sym_query_parameter] = STATE(3579),
    [sym__type_chrono] = STATE(3122),
    [sym__type_struct] = STATE(19114),
    [sym__type_array] = STATE(18640),
    [sym_array] = STATE(3579),
    [sym_struct] = STATE(3579),
    [sym__identifier] = STATE(3384),
    [sym__dotted_identifier] = STATE(13989),
    [sym_identifier] = STATE(3577),
    [sym_string] = STATE(3579),
    [sym__expression] = STATE(2474),
    [sym__parenthesized_expression] = STATE(3579),
    [sym_element_access] = STATE(3579),
    [sym_field_access] = STATE(3579),
    [sym_unary_expression] = STATE(3579),
    [sym_binary_expression] = STATE(3579),
    [sym_between_operator] = STATE(3579),
    [sym_casewhen_expression] = STATE(3579),
    [sym_cast_expression] = STATE(3579),
    [sym_argument_reference] = STATE(3579),
    [aux_sym_identifier_repeat1] = STATE(13989),
    [sym__unquoted_identifier] = ACTIONS(1926),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1928),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1930),
    [aux_sym__keyword_case_token1] = ACTIONS(1932),
    [aux_sym__keyword_cast_token1] = ACTIONS(1934),
    [aux_sym__keyword_cast_token2] = ACTIONS(1934),
    [aux_sym__keyword_date_token1] = ACTIONS(1936),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1936),
    [aux_sym__keyword_time_token1] = ACTIONS(1936),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1936),
    [anon_sym_LPAREN] = ACTIONS(1938),
    [aux_sym_drop_notnull_token1] = ACTIONS(1940),
    [aux_sym_function_call_token2] = ACTIONS(1942),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(1946),
    [aux_sym_FALSE_token1] = ACTIONS(1948),
    [sym__integer] = ACTIONS(1950),
    [aux_sym__float_token1] = ACTIONS(1952),
    [aux_sym__float_token2] = ACTIONS(1950),
    [aux_sym__float_token3] = ACTIONS(1952),
    [aux_sym_numeric_token1] = ACTIONS(1954),
    [aux_sym_numeric_token2] = ACTIONS(1954),
    [aux_sym_numeric_token3] = ACTIONS(1954),
    [aux_sym_numeric_token4] = ACTIONS(1954),
    [aux_sym_interval_token1] = ACTIONS(1956),
    [anon_sym_LBRACK] = ACTIONS(1958),
    [aux_sym_json_token1] = ACTIONS(1960),
    [sym_system_variable] = ACTIONS(1962),
    [sym__named_query_parameter] = ACTIONS(1964),
    [sym__positional_query_parameter] = ACTIONS(1966),
    [sym__quoted_identifier] = ACTIONS(1968),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1970),
    [anon_sym_PLUS] = ACTIONS(1972),
    [anon_sym_DASH] = ACTIONS(1972),
    [anon_sym_operator_compare] = ACTIONS(1974),
    [anon_sym_DOLLAR] = ACTIONS(1976),
    [sym__string_start] = ACTIONS(1978),
  },
  [1831] = {
    [sym_analytics_clause] = STATE(2268),
    [sym__unquoted_identifier] = ACTIONS(1404),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1404),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1404),
    [aux_sym_keyword_replace_token1] = ACTIONS(1404),
    [aux_sym__keyword_alter_token1] = ACTIONS(1404),
    [aux_sym__keyword_from_token1] = ACTIONS(1404),
    [aux_sym__keyword_delete_token1] = ACTIONS(1404),
    [aux_sym__keyword_begin_token1] = ACTIONS(1404),
    [aux_sym__keyword_end_token1] = ACTIONS(1404),
    [aux_sym__keyword_between_token1] = ACTIONS(1404),
    [aux_sym__keyword_when_token1] = ACTIONS(1404),
    [aux_sym__keyword_else_token1] = ACTIONS(1404),
    [aux_sym__keyword_is_token1] = ACTIONS(1404),
    [aux_sym__keyword_in_token1] = ACTIONS(1404),
    [aux_sym__keyword_and_token1] = ACTIONS(1404),
    [aux_sym__keyword_like_token1] = ACTIONS(1404),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1404),
    [aux_sym__keyword_as_token1] = ACTIONS(1404),
    [aux_sym__keyword_window_token1] = ACTIONS(1404),
    [aux_sym__keyword_date_token1] = ACTIONS(1404),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1404),
    [aux_sym__keyword_time_token1] = ACTIONS(1404),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1404),
    [aux_sym__keyword_for_token1] = ACTIONS(1404),
    [anon_sym_SEMI] = ACTIONS(1402),
    [aux_sym_declare_statement_token1] = ACTIONS(1404),
    [anon_sym_COMMA] = ACTIONS(1402),
    [aux_sym_set_statement_token1] = ACTIONS(1404),
    [anon_sym_LPAREN] = ACTIONS(1402),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1404),
    [aux_sym_return_satement_token1] = ACTIONS(1404),
    [aux_sym_call_statement_token1] = ACTIONS(1404),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1404),
    [aux_sym_if_statement_token1] = ACTIONS(1404),
    [aux_sym_loop_statement_token1] = ACTIONS(1404),
    [aux_sym_repeat_statement_token1] = ACTIONS(1404),
    [aux_sym_while_statement_token1] = ACTIONS(1404),
    [aux_sym_break_statement_token1] = ACTIONS(1404),
    [aux_sym_leave_statement_token1] = ACTIONS(1404),
    [aux_sym_continue_statement_token1] = ACTIONS(1404),
    [aux_sym_iterate_statement_token1] = ACTIONS(1404),
    [aux_sym_raise_statement_token1] = ACTIONS(1404),
    [anon_sym_EQ] = ACTIONS(1402),
    [aux_sym_assert_statement_token1] = ACTIONS(1404),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1404),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1404),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1404),
    [anon_sym_LT] = ACTIONS(1404),
    [anon_sym_GT] = ACTIONS(1404),
    [aux_sym_set_operation_token1] = ACTIONS(1404),
    [aux_sym_set_operation_token3] = ACTIONS(1404),
    [aux_sym_set_operation_token4] = ACTIONS(1404),
    [aux_sym_select_token1] = ACTIONS(1404),
    [aux_sym_having_clause_token1] = ACTIONS(1404),
    [aux_sym_qualify_clause_token1] = ACTIONS(1404),
    [aux_sym_limit_clause_token1] = ACTIONS(1404),
    [aux_sym_group_by_clause_token1] = ACTIONS(1404),
    [aux_sym_order_by_clause_token1] = ACTIONS(1404),
    [aux_sym_where_clause_token1] = ACTIONS(1404),
    [aux_sym_analytics_clause_token1] = ACTIONS(2414),
    [aux_sym_insert_statement_token1] = ACTIONS(1404),
    [aux_sym_truncate_statement_token1] = ACTIONS(1404),
    [aux_sym_update_statement_token1] = ACTIONS(1404),
    [aux_sym_merge_statement_token1] = ACTIONS(1404),
    [aux_sym_grant_statement_token1] = ACTIONS(1404),
    [aux_sym_revoke_statement_token1] = ACTIONS(1404),
    [aux_sym_export_data_statement_token1] = ACTIONS(1404),
    [aux_sym_load_data_statement_token1] = ACTIONS(1404),
    [anon_sym_LBRACK] = ACTIONS(1402),
    [sym__quoted_identifier] = ACTIONS(1402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1402),
    [anon_sym_DASH] = ACTIONS(1404),
    [anon_sym_STAR] = ACTIONS(1402),
    [anon_sym_SLASH] = ACTIONS(1404),
    [anon_sym_PIPE_PIPE] = ACTIONS(1402),
    [anon_sym_LT_EQ] = ACTIONS(1402),
    [anon_sym_LT_GT] = ACTIONS(1402),
    [anon_sym_GT_EQ] = ACTIONS(1402),
    [anon_sym_BANG_EQ] = ACTIONS(1402),
    [anon_sym_LT_LT] = ACTIONS(1402),
    [anon_sym_GT_GT] = ACTIONS(1402),
    [anon_sym_AMP] = ACTIONS(1402),
    [anon_sym_CARET] = ACTIONS(1402),
    [anon_sym_PIPE] = ACTIONS(1404),
  },
  [1832] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16191),
    [sym__keyword_case] = STATE(326),
    [sym__keyword_not] = STATE(1774),
    [sym__keyword_cast] = STATE(19299),
    [sym__keyword_date] = STATE(3373),
    [sym__keyword_datetime] = STATE(3373),
    [sym__keyword_time] = STATE(3373),
    [sym__keyword_timestamp] = STATE(3373),
    [sym_select_subexpression] = STATE(3579),
    [sym_function_call] = STATE(3579),
    [sym_unnest_operator] = STATE(2131),
    [sym_unnest_clause] = STATE(3579),
    [sym__literal] = STATE(3579),
    [sym_NULL] = STATE(3579),
    [sym_TRUE] = STATE(3579),
    [sym_FALSE] = STATE(3579),
    [sym__float] = STATE(3578),
    [sym_numeric] = STATE(3578),
    [sym__number] = STATE(3578),
    [sym_interval] = STATE(3579),
    [sym_range] = STATE(3579),
    [sym_time] = STATE(3579),
    [sym_number] = STATE(3579),
    [sym_json] = STATE(3579),
    [sym_query_parameter] = STATE(3579),
    [sym__type_chrono] = STATE(3122),
    [sym__type_struct] = STATE(19114),
    [sym__type_array] = STATE(18640),
    [sym_array] = STATE(3579),
    [sym_struct] = STATE(3579),
    [sym__identifier] = STATE(3384),
    [sym__dotted_identifier] = STATE(13989),
    [sym_identifier] = STATE(3577),
    [sym_string] = STATE(3579),
    [sym__expression] = STATE(2471),
    [sym__parenthesized_expression] = STATE(3579),
    [sym_element_access] = STATE(3579),
    [sym_field_access] = STATE(3579),
    [sym_unary_expression] = STATE(3579),
    [sym_binary_expression] = STATE(3579),
    [sym_between_operator] = STATE(3579),
    [sym_casewhen_expression] = STATE(3579),
    [sym_cast_expression] = STATE(3579),
    [sym_argument_reference] = STATE(3579),
    [aux_sym_identifier_repeat1] = STATE(13989),
    [sym__unquoted_identifier] = ACTIONS(1926),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1928),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1930),
    [aux_sym__keyword_case_token1] = ACTIONS(1932),
    [aux_sym__keyword_cast_token1] = ACTIONS(1934),
    [aux_sym__keyword_cast_token2] = ACTIONS(1934),
    [aux_sym__keyword_date_token1] = ACTIONS(1936),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1936),
    [aux_sym__keyword_time_token1] = ACTIONS(1936),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1936),
    [anon_sym_LPAREN] = ACTIONS(1938),
    [aux_sym_drop_notnull_token1] = ACTIONS(1940),
    [aux_sym_function_call_token2] = ACTIONS(1942),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(1946),
    [aux_sym_FALSE_token1] = ACTIONS(1948),
    [sym__integer] = ACTIONS(1950),
    [aux_sym__float_token1] = ACTIONS(1952),
    [aux_sym__float_token2] = ACTIONS(1950),
    [aux_sym__float_token3] = ACTIONS(1952),
    [aux_sym_numeric_token1] = ACTIONS(1954),
    [aux_sym_numeric_token2] = ACTIONS(1954),
    [aux_sym_numeric_token3] = ACTIONS(1954),
    [aux_sym_numeric_token4] = ACTIONS(1954),
    [aux_sym_interval_token1] = ACTIONS(1956),
    [anon_sym_LBRACK] = ACTIONS(1958),
    [aux_sym_json_token1] = ACTIONS(1960),
    [sym_system_variable] = ACTIONS(1962),
    [sym__named_query_parameter] = ACTIONS(1964),
    [sym__positional_query_parameter] = ACTIONS(1966),
    [sym__quoted_identifier] = ACTIONS(1968),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1970),
    [anon_sym_PLUS] = ACTIONS(1972),
    [anon_sym_DASH] = ACTIONS(1972),
    [anon_sym_operator_compare] = ACTIONS(1974),
    [anon_sym_DOLLAR] = ACTIONS(1976),
    [sym__string_start] = ACTIONS(1978),
  },
  [1833] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16191),
    [sym__keyword_case] = STATE(326),
    [sym__keyword_not] = STATE(1774),
    [sym__keyword_cast] = STATE(19299),
    [sym__keyword_date] = STATE(3373),
    [sym__keyword_datetime] = STATE(3373),
    [sym__keyword_time] = STATE(3373),
    [sym__keyword_timestamp] = STATE(3373),
    [sym_select_subexpression] = STATE(3579),
    [sym_function_call] = STATE(3579),
    [sym_unnest_operator] = STATE(2131),
    [sym_unnest_clause] = STATE(3579),
    [sym__literal] = STATE(3579),
    [sym_NULL] = STATE(3579),
    [sym_TRUE] = STATE(3579),
    [sym_FALSE] = STATE(3579),
    [sym__float] = STATE(3578),
    [sym_numeric] = STATE(3578),
    [sym__number] = STATE(3578),
    [sym_interval] = STATE(3579),
    [sym_range] = STATE(3579),
    [sym_time] = STATE(3579),
    [sym_number] = STATE(3579),
    [sym_json] = STATE(3579),
    [sym_query_parameter] = STATE(3579),
    [sym__type_chrono] = STATE(3122),
    [sym__type_struct] = STATE(19114),
    [sym__type_array] = STATE(18640),
    [sym_array] = STATE(3579),
    [sym_struct] = STATE(3579),
    [sym__identifier] = STATE(3384),
    [sym__dotted_identifier] = STATE(13989),
    [sym_identifier] = STATE(3577),
    [sym_string] = STATE(3579),
    [sym__expression] = STATE(2469),
    [sym__parenthesized_expression] = STATE(3579),
    [sym_element_access] = STATE(3579),
    [sym_field_access] = STATE(3579),
    [sym_unary_expression] = STATE(3579),
    [sym_binary_expression] = STATE(3579),
    [sym_between_operator] = STATE(3579),
    [sym_casewhen_expression] = STATE(3579),
    [sym_cast_expression] = STATE(3579),
    [sym_argument_reference] = STATE(3579),
    [aux_sym_identifier_repeat1] = STATE(13989),
    [sym__unquoted_identifier] = ACTIONS(1926),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1928),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1930),
    [aux_sym__keyword_case_token1] = ACTIONS(1932),
    [aux_sym__keyword_cast_token1] = ACTIONS(1934),
    [aux_sym__keyword_cast_token2] = ACTIONS(1934),
    [aux_sym__keyword_date_token1] = ACTIONS(1936),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1936),
    [aux_sym__keyword_time_token1] = ACTIONS(1936),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1936),
    [anon_sym_LPAREN] = ACTIONS(1938),
    [aux_sym_drop_notnull_token1] = ACTIONS(1940),
    [aux_sym_function_call_token2] = ACTIONS(1942),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(1946),
    [aux_sym_FALSE_token1] = ACTIONS(1948),
    [sym__integer] = ACTIONS(1950),
    [aux_sym__float_token1] = ACTIONS(1952),
    [aux_sym__float_token2] = ACTIONS(1950),
    [aux_sym__float_token3] = ACTIONS(1952),
    [aux_sym_numeric_token1] = ACTIONS(1954),
    [aux_sym_numeric_token2] = ACTIONS(1954),
    [aux_sym_numeric_token3] = ACTIONS(1954),
    [aux_sym_numeric_token4] = ACTIONS(1954),
    [aux_sym_interval_token1] = ACTIONS(1956),
    [anon_sym_LBRACK] = ACTIONS(1958),
    [aux_sym_json_token1] = ACTIONS(1960),
    [sym_system_variable] = ACTIONS(1962),
    [sym__named_query_parameter] = ACTIONS(1964),
    [sym__positional_query_parameter] = ACTIONS(1966),
    [sym__quoted_identifier] = ACTIONS(1968),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1970),
    [anon_sym_PLUS] = ACTIONS(1972),
    [anon_sym_DASH] = ACTIONS(1972),
    [anon_sym_operator_compare] = ACTIONS(1974),
    [anon_sym_DOLLAR] = ACTIONS(1976),
    [sym__string_start] = ACTIONS(1978),
  },
  [1834] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16282),
    [sym__keyword_case] = STATE(374),
    [sym__keyword_not] = STATE(1750),
    [sym__keyword_cast] = STATE(19285),
    [sym__keyword_date] = STATE(10540),
    [sym__keyword_datetime] = STATE(10540),
    [sym__keyword_time] = STATE(10540),
    [sym__keyword_timestamp] = STATE(10540),
    [sym_select_subexpression] = STATE(10861),
    [sym_function_call] = STATE(10861),
    [sym_unnest_operator] = STATE(5588),
    [sym_unnest_clause] = STATE(10861),
    [sym__literal] = STATE(10861),
    [sym_NULL] = STATE(10861),
    [sym_TRUE] = STATE(10861),
    [sym_FALSE] = STATE(10861),
    [sym__float] = STATE(10863),
    [sym_numeric] = STATE(10863),
    [sym__number] = STATE(10863),
    [sym_interval] = STATE(10861),
    [sym_range] = STATE(10861),
    [sym_time] = STATE(10861),
    [sym_number] = STATE(10861),
    [sym_json] = STATE(10861),
    [sym_query_parameter] = STATE(10861),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19065),
    [sym__type_array] = STATE(18448),
    [sym_array] = STATE(10861),
    [sym_struct] = STATE(10861),
    [sym__identifier] = STATE(10536),
    [sym__dotted_identifier] = STATE(14157),
    [sym_identifier] = STATE(10772),
    [sym_string] = STATE(10861),
    [sym__expression] = STATE(8199),
    [sym__parenthesized_expression] = STATE(10861),
    [sym_element_access] = STATE(10861),
    [sym_field_access] = STATE(10861),
    [sym_unary_expression] = STATE(10861),
    [sym_binary_expression] = STATE(10861),
    [sym_between_operator] = STATE(10861),
    [sym_casewhen_expression] = STATE(10861),
    [sym_cast_expression] = STATE(10861),
    [sym_argument_reference] = STATE(10861),
    [aux_sym_identifier_repeat1] = STATE(14157),
    [sym__unquoted_identifier] = ACTIONS(2552),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2554),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2556),
    [aux_sym__keyword_case_token1] = ACTIONS(2558),
    [aux_sym__keyword_cast_token1] = ACTIONS(2560),
    [aux_sym__keyword_cast_token2] = ACTIONS(2560),
    [aux_sym__keyword_date_token1] = ACTIONS(2562),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2562),
    [aux_sym__keyword_time_token1] = ACTIONS(2562),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [aux_sym_drop_notnull_token1] = ACTIONS(2566),
    [aux_sym_function_call_token2] = ACTIONS(2568),
    [aux_sym_unnest_operator_token1] = ACTIONS(2658),
    [aux_sym_TRUE_token1] = ACTIONS(2570),
    [aux_sym_FALSE_token1] = ACTIONS(2572),
    [sym__integer] = ACTIONS(2574),
    [aux_sym__float_token1] = ACTIONS(2576),
    [aux_sym__float_token2] = ACTIONS(2574),
    [aux_sym__float_token3] = ACTIONS(2576),
    [aux_sym_numeric_token1] = ACTIONS(2578),
    [aux_sym_numeric_token2] = ACTIONS(2578),
    [aux_sym_numeric_token3] = ACTIONS(2578),
    [aux_sym_numeric_token4] = ACTIONS(2578),
    [aux_sym_interval_token1] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [aux_sym_json_token1] = ACTIONS(2584),
    [sym_system_variable] = ACTIONS(2586),
    [sym__named_query_parameter] = ACTIONS(2588),
    [sym__positional_query_parameter] = ACTIONS(2590),
    [sym__quoted_identifier] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2660),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_operator_compare] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [sym__string_start] = ACTIONS(2602),
  },
  [1835] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16148),
    [sym__keyword_case] = STATE(268),
    [sym__keyword_not] = STATE(1835),
    [sym__keyword_cast] = STATE(19305),
    [sym__keyword_date] = STATE(7284),
    [sym__keyword_datetime] = STATE(7284),
    [sym__keyword_time] = STATE(7284),
    [sym__keyword_timestamp] = STATE(7284),
    [sym_select_subexpression] = STATE(7910),
    [sym_function_call] = STATE(7910),
    [sym_unnest_operator] = STATE(5277),
    [sym_unnest_clause] = STATE(7910),
    [sym__literal] = STATE(7910),
    [sym_NULL] = STATE(7910),
    [sym_TRUE] = STATE(7910),
    [sym_FALSE] = STATE(7910),
    [sym__float] = STATE(7895),
    [sym_numeric] = STATE(7895),
    [sym__number] = STATE(7895),
    [sym_interval] = STATE(7910),
    [sym_range] = STATE(7910),
    [sym_time] = STATE(7910),
    [sym_number] = STATE(7910),
    [sym_json] = STATE(7910),
    [sym_query_parameter] = STATE(7910),
    [sym__type_chrono] = STATE(7179),
    [sym__type_struct] = STATE(19135),
    [sym__type_array] = STATE(18721),
    [sym_array] = STATE(7910),
    [sym_struct] = STATE(7910),
    [sym__identifier] = STATE(5408),
    [sym__dotted_identifier] = STATE(13708),
    [sym_identifier] = STATE(7424),
    [sym_string] = STATE(7910),
    [sym__expression] = STATE(5859),
    [sym__parenthesized_expression] = STATE(7910),
    [sym_element_access] = STATE(7910),
    [sym_field_access] = STATE(7910),
    [sym_unary_expression] = STATE(7910),
    [sym_binary_expression] = STATE(7910),
    [sym_between_operator] = STATE(7910),
    [sym_casewhen_expression] = STATE(7910),
    [sym_cast_expression] = STATE(7910),
    [sym_argument_reference] = STATE(7910),
    [aux_sym_identifier_repeat1] = STATE(13708),
    [sym__unquoted_identifier] = ACTIONS(2440),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2442),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2444),
    [aux_sym__keyword_case_token1] = ACTIONS(2446),
    [aux_sym__keyword_cast_token1] = ACTIONS(2448),
    [aux_sym__keyword_cast_token2] = ACTIONS(2448),
    [aux_sym__keyword_date_token1] = ACTIONS(2450),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2450),
    [aux_sym__keyword_time_token1] = ACTIONS(2450),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2452),
    [aux_sym_drop_notnull_token1] = ACTIONS(2454),
    [aux_sym_function_call_token2] = ACTIONS(2456),
    [aux_sym_unnest_operator_token1] = ACTIONS(2458),
    [aux_sym_TRUE_token1] = ACTIONS(2460),
    [aux_sym_FALSE_token1] = ACTIONS(2462),
    [sym__integer] = ACTIONS(2464),
    [aux_sym__float_token1] = ACTIONS(2466),
    [aux_sym__float_token2] = ACTIONS(2464),
    [aux_sym__float_token3] = ACTIONS(2466),
    [aux_sym_numeric_token1] = ACTIONS(2468),
    [aux_sym_numeric_token2] = ACTIONS(2468),
    [aux_sym_numeric_token3] = ACTIONS(2468),
    [aux_sym_numeric_token4] = ACTIONS(2468),
    [aux_sym_interval_token1] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [aux_sym_json_token1] = ACTIONS(2474),
    [sym_system_variable] = ACTIONS(2476),
    [sym__named_query_parameter] = ACTIONS(2478),
    [sym__positional_query_parameter] = ACTIONS(2480),
    [sym__quoted_identifier] = ACTIONS(2482),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2484),
    [anon_sym_PLUS] = ACTIONS(2486),
    [anon_sym_DASH] = ACTIONS(2486),
    [anon_sym_operator_compare] = ACTIONS(2488),
    [anon_sym_DOLLAR] = ACTIONS(2490),
    [sym__string_start] = ACTIONS(2492),
  },
  [1836] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16191),
    [sym__keyword_case] = STATE(326),
    [sym__keyword_not] = STATE(1774),
    [sym__keyword_cast] = STATE(19299),
    [sym__keyword_date] = STATE(3373),
    [sym__keyword_datetime] = STATE(3373),
    [sym__keyword_time] = STATE(3373),
    [sym__keyword_timestamp] = STATE(3373),
    [sym_select_subexpression] = STATE(3579),
    [sym_function_call] = STATE(3579),
    [sym_unnest_operator] = STATE(2131),
    [sym_unnest_clause] = STATE(3579),
    [sym__literal] = STATE(3579),
    [sym_NULL] = STATE(3579),
    [sym_TRUE] = STATE(3579),
    [sym_FALSE] = STATE(3579),
    [sym__float] = STATE(3578),
    [sym_numeric] = STATE(3578),
    [sym__number] = STATE(3578),
    [sym_interval] = STATE(3579),
    [sym_range] = STATE(3579),
    [sym_time] = STATE(3579),
    [sym_number] = STATE(3579),
    [sym_json] = STATE(3579),
    [sym_query_parameter] = STATE(3579),
    [sym__type_chrono] = STATE(3122),
    [sym__type_struct] = STATE(19114),
    [sym__type_array] = STATE(18640),
    [sym_array] = STATE(3579),
    [sym_struct] = STATE(3579),
    [sym__identifier] = STATE(3384),
    [sym__dotted_identifier] = STATE(13989),
    [sym_identifier] = STATE(3577),
    [sym_string] = STATE(3579),
    [sym__expression] = STATE(2467),
    [sym__parenthesized_expression] = STATE(3579),
    [sym_element_access] = STATE(3579),
    [sym_field_access] = STATE(3579),
    [sym_unary_expression] = STATE(3579),
    [sym_binary_expression] = STATE(3579),
    [sym_between_operator] = STATE(3579),
    [sym_casewhen_expression] = STATE(3579),
    [sym_cast_expression] = STATE(3579),
    [sym_argument_reference] = STATE(3579),
    [aux_sym_identifier_repeat1] = STATE(13989),
    [sym__unquoted_identifier] = ACTIONS(1926),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1928),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1930),
    [aux_sym__keyword_case_token1] = ACTIONS(1932),
    [aux_sym__keyword_cast_token1] = ACTIONS(1934),
    [aux_sym__keyword_cast_token2] = ACTIONS(1934),
    [aux_sym__keyword_date_token1] = ACTIONS(1936),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1936),
    [aux_sym__keyword_time_token1] = ACTIONS(1936),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1936),
    [anon_sym_LPAREN] = ACTIONS(1938),
    [aux_sym_drop_notnull_token1] = ACTIONS(1940),
    [aux_sym_function_call_token2] = ACTIONS(1942),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(1946),
    [aux_sym_FALSE_token1] = ACTIONS(1948),
    [sym__integer] = ACTIONS(1950),
    [aux_sym__float_token1] = ACTIONS(1952),
    [aux_sym__float_token2] = ACTIONS(1950),
    [aux_sym__float_token3] = ACTIONS(1952),
    [aux_sym_numeric_token1] = ACTIONS(1954),
    [aux_sym_numeric_token2] = ACTIONS(1954),
    [aux_sym_numeric_token3] = ACTIONS(1954),
    [aux_sym_numeric_token4] = ACTIONS(1954),
    [aux_sym_interval_token1] = ACTIONS(1956),
    [anon_sym_LBRACK] = ACTIONS(1958),
    [aux_sym_json_token1] = ACTIONS(1960),
    [sym_system_variable] = ACTIONS(1962),
    [sym__named_query_parameter] = ACTIONS(1964),
    [sym__positional_query_parameter] = ACTIONS(1966),
    [sym__quoted_identifier] = ACTIONS(1968),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1970),
    [anon_sym_PLUS] = ACTIONS(1972),
    [anon_sym_DASH] = ACTIONS(1972),
    [anon_sym_operator_compare] = ACTIONS(1974),
    [anon_sym_DOLLAR] = ACTIONS(1976),
    [sym__string_start] = ACTIONS(1978),
  },
  [1837] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16191),
    [sym__keyword_case] = STATE(326),
    [sym__keyword_not] = STATE(1774),
    [sym__keyword_cast] = STATE(19299),
    [sym__keyword_date] = STATE(3373),
    [sym__keyword_datetime] = STATE(3373),
    [sym__keyword_time] = STATE(3373),
    [sym__keyword_timestamp] = STATE(3373),
    [sym_select_subexpression] = STATE(3579),
    [sym_function_call] = STATE(3579),
    [sym_unnest_operator] = STATE(2131),
    [sym_unnest_clause] = STATE(3579),
    [sym__literal] = STATE(3579),
    [sym_NULL] = STATE(3579),
    [sym_TRUE] = STATE(3579),
    [sym_FALSE] = STATE(3579),
    [sym__float] = STATE(3578),
    [sym_numeric] = STATE(3578),
    [sym__number] = STATE(3578),
    [sym_interval] = STATE(3579),
    [sym_range] = STATE(3579),
    [sym_time] = STATE(3579),
    [sym_number] = STATE(3579),
    [sym_json] = STATE(3579),
    [sym_query_parameter] = STATE(3579),
    [sym__type_chrono] = STATE(3122),
    [sym__type_struct] = STATE(19114),
    [sym__type_array] = STATE(18640),
    [sym_array] = STATE(3579),
    [sym_struct] = STATE(3579),
    [sym__identifier] = STATE(3384),
    [sym__dotted_identifier] = STATE(13989),
    [sym_identifier] = STATE(3577),
    [sym_string] = STATE(3579),
    [sym__expression] = STATE(2452),
    [sym__parenthesized_expression] = STATE(3579),
    [sym_element_access] = STATE(3579),
    [sym_field_access] = STATE(3579),
    [sym_unary_expression] = STATE(3579),
    [sym_binary_expression] = STATE(3579),
    [sym_between_operator] = STATE(3579),
    [sym_casewhen_expression] = STATE(3579),
    [sym_cast_expression] = STATE(3579),
    [sym_argument_reference] = STATE(3579),
    [aux_sym_identifier_repeat1] = STATE(13989),
    [sym__unquoted_identifier] = ACTIONS(1926),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1928),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1930),
    [aux_sym__keyword_case_token1] = ACTIONS(1932),
    [aux_sym__keyword_cast_token1] = ACTIONS(1934),
    [aux_sym__keyword_cast_token2] = ACTIONS(1934),
    [aux_sym__keyword_date_token1] = ACTIONS(1936),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1936),
    [aux_sym__keyword_time_token1] = ACTIONS(1936),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1936),
    [anon_sym_LPAREN] = ACTIONS(1938),
    [aux_sym_drop_notnull_token1] = ACTIONS(1940),
    [aux_sym_function_call_token2] = ACTIONS(1942),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(1946),
    [aux_sym_FALSE_token1] = ACTIONS(1948),
    [sym__integer] = ACTIONS(1950),
    [aux_sym__float_token1] = ACTIONS(1952),
    [aux_sym__float_token2] = ACTIONS(1950),
    [aux_sym__float_token3] = ACTIONS(1952),
    [aux_sym_numeric_token1] = ACTIONS(1954),
    [aux_sym_numeric_token2] = ACTIONS(1954),
    [aux_sym_numeric_token3] = ACTIONS(1954),
    [aux_sym_numeric_token4] = ACTIONS(1954),
    [aux_sym_interval_token1] = ACTIONS(1956),
    [anon_sym_LBRACK] = ACTIONS(1958),
    [aux_sym_json_token1] = ACTIONS(1960),
    [sym_system_variable] = ACTIONS(1962),
    [sym__named_query_parameter] = ACTIONS(1964),
    [sym__positional_query_parameter] = ACTIONS(1966),
    [sym__quoted_identifier] = ACTIONS(1968),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1970),
    [anon_sym_PLUS] = ACTIONS(1972),
    [anon_sym_DASH] = ACTIONS(1972),
    [anon_sym_operator_compare] = ACTIONS(1974),
    [anon_sym_DOLLAR] = ACTIONS(1976),
    [sym__string_start] = ACTIONS(1978),
  },
  [1838] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16325),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1073),
    [sym__keyword_cast] = STATE(19275),
    [sym__keyword_date] = STATE(9495),
    [sym__keyword_datetime] = STATE(9495),
    [sym__keyword_time] = STATE(9495),
    [sym__keyword_timestamp] = STATE(9495),
    [sym_select_subexpression] = STATE(10495),
    [sym_function_call] = STATE(10495),
    [sym_unnest_operator] = STATE(6473),
    [sym_unnest_clause] = STATE(10495),
    [sym__literal] = STATE(10495),
    [sym_NULL] = STATE(10495),
    [sym_TRUE] = STATE(10495),
    [sym_FALSE] = STATE(10495),
    [sym__float] = STATE(10492),
    [sym_numeric] = STATE(10492),
    [sym__number] = STATE(10492),
    [sym_interval] = STATE(10495),
    [sym_range] = STATE(10495),
    [sym_time] = STATE(10495),
    [sym_number] = STATE(10495),
    [sym_json] = STATE(10495),
    [sym_query_parameter] = STATE(10495),
    [sym__type_chrono] = STATE(8422),
    [sym__type_struct] = STATE(19027),
    [sym__type_array] = STATE(18285),
    [sym_array] = STATE(10495),
    [sym_struct] = STATE(10495),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9694),
    [sym_string] = STATE(10495),
    [sym__expression] = STATE(9869),
    [sym__parenthesized_expression] = STATE(10495),
    [sym_element_access] = STATE(10495),
    [sym_field_access] = STATE(10495),
    [sym_unary_expression] = STATE(10495),
    [sym_binary_expression] = STATE(10495),
    [sym_between_operator] = STATE(10495),
    [sym_casewhen_expression] = STATE(10495),
    [sym_cast_expression] = STATE(10495),
    [sym_argument_reference] = STATE(10495),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2042),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2044),
    [aux_sym__keyword_case_token1] = ACTIONS(2046),
    [aux_sym__keyword_cast_token1] = ACTIONS(2048),
    [aux_sym__keyword_cast_token2] = ACTIONS(2048),
    [aux_sym__keyword_date_token1] = ACTIONS(2050),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2050),
    [aux_sym__keyword_time_token1] = ACTIONS(2050),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [aux_sym_drop_notnull_token1] = ACTIONS(2054),
    [aux_sym_function_call_token2] = ACTIONS(2056),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2060),
    [aux_sym_FALSE_token1] = ACTIONS(2062),
    [sym__integer] = ACTIONS(2064),
    [aux_sym__float_token1] = ACTIONS(2066),
    [aux_sym__float_token2] = ACTIONS(2064),
    [aux_sym__float_token3] = ACTIONS(2066),
    [aux_sym_numeric_token1] = ACTIONS(2068),
    [aux_sym_numeric_token2] = ACTIONS(2068),
    [aux_sym_numeric_token3] = ACTIONS(2068),
    [aux_sym_numeric_token4] = ACTIONS(2068),
    [aux_sym_interval_token1] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_json_token1] = ACTIONS(2074),
    [sym_system_variable] = ACTIONS(2076),
    [sym__named_query_parameter] = ACTIONS(2078),
    [sym__positional_query_parameter] = ACTIONS(2080),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_operator_compare] = ACTIONS(2086),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [sym__string_start] = ACTIONS(2090),
  },
  [1839] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16148),
    [sym__keyword_case] = STATE(268),
    [sym__keyword_not] = STATE(1835),
    [sym__keyword_cast] = STATE(19305),
    [sym__keyword_date] = STATE(7284),
    [sym__keyword_datetime] = STATE(7284),
    [sym__keyword_time] = STATE(7284),
    [sym__keyword_timestamp] = STATE(7284),
    [sym_select_subexpression] = STATE(7910),
    [sym_function_call] = STATE(7910),
    [sym_unnest_operator] = STATE(5277),
    [sym_unnest_clause] = STATE(7910),
    [sym__literal] = STATE(7910),
    [sym_NULL] = STATE(7910),
    [sym_TRUE] = STATE(7910),
    [sym_FALSE] = STATE(7910),
    [sym__float] = STATE(7895),
    [sym_numeric] = STATE(7895),
    [sym__number] = STATE(7895),
    [sym_interval] = STATE(7910),
    [sym_range] = STATE(7910),
    [sym_time] = STATE(7910),
    [sym_number] = STATE(7910),
    [sym_json] = STATE(7910),
    [sym_query_parameter] = STATE(7910),
    [sym__type_chrono] = STATE(7179),
    [sym__type_struct] = STATE(19135),
    [sym__type_array] = STATE(18721),
    [sym_array] = STATE(7910),
    [sym_struct] = STATE(7910),
    [sym__identifier] = STATE(5408),
    [sym__dotted_identifier] = STATE(13708),
    [sym_identifier] = STATE(7424),
    [sym_string] = STATE(7910),
    [sym__expression] = STATE(5728),
    [sym__parenthesized_expression] = STATE(7910),
    [sym_element_access] = STATE(7910),
    [sym_field_access] = STATE(7910),
    [sym_unary_expression] = STATE(7910),
    [sym_binary_expression] = STATE(7910),
    [sym_between_operator] = STATE(7910),
    [sym_casewhen_expression] = STATE(7910),
    [sym_cast_expression] = STATE(7910),
    [sym_argument_reference] = STATE(7910),
    [aux_sym_identifier_repeat1] = STATE(13708),
    [sym__unquoted_identifier] = ACTIONS(2440),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2442),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2444),
    [aux_sym__keyword_case_token1] = ACTIONS(2446),
    [aux_sym__keyword_cast_token1] = ACTIONS(2448),
    [aux_sym__keyword_cast_token2] = ACTIONS(2448),
    [aux_sym__keyword_date_token1] = ACTIONS(2450),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2450),
    [aux_sym__keyword_time_token1] = ACTIONS(2450),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2452),
    [aux_sym_drop_notnull_token1] = ACTIONS(2454),
    [aux_sym_function_call_token2] = ACTIONS(2456),
    [aux_sym_unnest_operator_token1] = ACTIONS(2458),
    [aux_sym_TRUE_token1] = ACTIONS(2460),
    [aux_sym_FALSE_token1] = ACTIONS(2462),
    [sym__integer] = ACTIONS(2464),
    [aux_sym__float_token1] = ACTIONS(2466),
    [aux_sym__float_token2] = ACTIONS(2464),
    [aux_sym__float_token3] = ACTIONS(2466),
    [aux_sym_numeric_token1] = ACTIONS(2468),
    [aux_sym_numeric_token2] = ACTIONS(2468),
    [aux_sym_numeric_token3] = ACTIONS(2468),
    [aux_sym_numeric_token4] = ACTIONS(2468),
    [aux_sym_interval_token1] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [aux_sym_json_token1] = ACTIONS(2474),
    [sym_system_variable] = ACTIONS(2476),
    [sym__named_query_parameter] = ACTIONS(2478),
    [sym__positional_query_parameter] = ACTIONS(2480),
    [sym__quoted_identifier] = ACTIONS(2482),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2484),
    [anon_sym_PLUS] = ACTIONS(2486),
    [anon_sym_DASH] = ACTIONS(2486),
    [anon_sym_operator_compare] = ACTIONS(2488),
    [anon_sym_DOLLAR] = ACTIONS(2490),
    [sym__string_start] = ACTIONS(2492),
  },
  [1840] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1784),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2484),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3588),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2420),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2426),
    [anon_sym_PLUS] = ACTIONS(2428),
    [anon_sym_DASH] = ACTIONS(2428),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1841] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9760),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1842] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9644),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1843] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1444),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(198),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(398),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1844] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16351),
    [sym__keyword_case] = STATE(256),
    [sym__keyword_not] = STATE(1444),
    [sym__keyword_cast] = STATE(19271),
    [sym__keyword_date] = STATE(1072),
    [sym__keyword_datetime] = STATE(1072),
    [sym__keyword_time] = STATE(1072),
    [sym__keyword_timestamp] = STATE(1072),
    [sym_select_subexpression] = STATE(2037),
    [sym_function_call] = STATE(2037),
    [sym_unnest_operator] = STATE(198),
    [sym_unnest_clause] = STATE(2037),
    [sym__literal] = STATE(2037),
    [sym_NULL] = STATE(2037),
    [sym_TRUE] = STATE(2037),
    [sym_FALSE] = STATE(2037),
    [sym__float] = STATE(2042),
    [sym_numeric] = STATE(2042),
    [sym__number] = STATE(2042),
    [sym_interval] = STATE(2037),
    [sym_range] = STATE(2037),
    [sym_time] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_json] = STATE(2037),
    [sym_query_parameter] = STATE(2037),
    [sym__type_chrono] = STATE(764),
    [sym__type_struct] = STATE(19000),
    [sym__type_array] = STATE(18201),
    [sym_array] = STATE(2037),
    [sym_struct] = STATE(2037),
    [sym__identifier] = STATE(1329),
    [sym__dotted_identifier] = STATE(13527),
    [sym_identifier] = STATE(2047),
    [sym_string] = STATE(2037),
    [sym__expression] = STATE(394),
    [sym__parenthesized_expression] = STATE(2037),
    [sym_element_access] = STATE(2037),
    [sym_field_access] = STATE(2037),
    [sym_unary_expression] = STATE(2037),
    [sym_binary_expression] = STATE(2037),
    [sym_between_operator] = STATE(2037),
    [sym_casewhen_expression] = STATE(2037),
    [sym_cast_expression] = STATE(2037),
    [sym_argument_reference] = STATE(2037),
    [aux_sym_identifier_repeat1] = STATE(13527),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1845] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16325),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1073),
    [sym__keyword_cast] = STATE(19275),
    [sym__keyword_date] = STATE(9495),
    [sym__keyword_datetime] = STATE(9495),
    [sym__keyword_time] = STATE(9495),
    [sym__keyword_timestamp] = STATE(9495),
    [sym_select_subexpression] = STATE(10495),
    [sym_function_call] = STATE(10495),
    [sym_unnest_operator] = STATE(6473),
    [sym_unnest_clause] = STATE(10495),
    [sym__literal] = STATE(10495),
    [sym_NULL] = STATE(10495),
    [sym_TRUE] = STATE(10495),
    [sym_FALSE] = STATE(10495),
    [sym__float] = STATE(10492),
    [sym_numeric] = STATE(10492),
    [sym__number] = STATE(10492),
    [sym_interval] = STATE(10495),
    [sym_range] = STATE(10495),
    [sym_time] = STATE(10495),
    [sym_number] = STATE(10495),
    [sym_json] = STATE(10495),
    [sym_query_parameter] = STATE(10495),
    [sym__type_chrono] = STATE(8422),
    [sym__type_struct] = STATE(19027),
    [sym__type_array] = STATE(18285),
    [sym_array] = STATE(10495),
    [sym_struct] = STATE(10495),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9694),
    [sym_string] = STATE(10495),
    [sym__expression] = STATE(9652),
    [sym__parenthesized_expression] = STATE(10495),
    [sym_element_access] = STATE(10495),
    [sym_field_access] = STATE(10495),
    [sym_unary_expression] = STATE(10495),
    [sym_binary_expression] = STATE(10495),
    [sym_between_operator] = STATE(10495),
    [sym_casewhen_expression] = STATE(10495),
    [sym_cast_expression] = STATE(10495),
    [sym_argument_reference] = STATE(10495),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2042),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2044),
    [aux_sym__keyword_case_token1] = ACTIONS(2046),
    [aux_sym__keyword_cast_token1] = ACTIONS(2048),
    [aux_sym__keyword_cast_token2] = ACTIONS(2048),
    [aux_sym__keyword_date_token1] = ACTIONS(2050),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2050),
    [aux_sym__keyword_time_token1] = ACTIONS(2050),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [aux_sym_drop_notnull_token1] = ACTIONS(2054),
    [aux_sym_function_call_token2] = ACTIONS(2056),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2060),
    [aux_sym_FALSE_token1] = ACTIONS(2062),
    [sym__integer] = ACTIONS(2064),
    [aux_sym__float_token1] = ACTIONS(2066),
    [aux_sym__float_token2] = ACTIONS(2064),
    [aux_sym__float_token3] = ACTIONS(2066),
    [aux_sym_numeric_token1] = ACTIONS(2068),
    [aux_sym_numeric_token2] = ACTIONS(2068),
    [aux_sym_numeric_token3] = ACTIONS(2068),
    [aux_sym_numeric_token4] = ACTIONS(2068),
    [aux_sym_interval_token1] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_json_token1] = ACTIONS(2074),
    [sym_system_variable] = ACTIONS(2076),
    [sym__named_query_parameter] = ACTIONS(2078),
    [sym__positional_query_parameter] = ACTIONS(2080),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_operator_compare] = ACTIONS(2086),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [sym__string_start] = ACTIONS(2090),
  },
  [1846] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9653),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1847] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9965),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1848] = {
    [ts_builtin_sym_end] = ACTIONS(1530),
    [sym__unquoted_identifier] = ACTIONS(1532),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1532),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1532),
    [aux_sym_keyword_replace_token1] = ACTIONS(1532),
    [aux_sym__keyword_alter_token1] = ACTIONS(1532),
    [aux_sym__keyword_from_token1] = ACTIONS(1532),
    [aux_sym__keyword_delete_token1] = ACTIONS(1532),
    [aux_sym__keyword_begin_token1] = ACTIONS(1532),
    [aux_sym__keyword_end_token1] = ACTIONS(1532),
    [aux_sym__keyword_between_token1] = ACTIONS(1532),
    [aux_sym__keyword_when_token1] = ACTIONS(1532),
    [aux_sym__keyword_else_token1] = ACTIONS(1532),
    [aux_sym__keyword_is_token1] = ACTIONS(1532),
    [aux_sym__keyword_in_token1] = ACTIONS(1532),
    [aux_sym__keyword_and_token1] = ACTIONS(1532),
    [aux_sym__keyword_like_token1] = ACTIONS(1532),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1532),
    [aux_sym__keyword_as_token1] = ACTIONS(1532),
    [aux_sym__keyword_window_token1] = ACTIONS(1532),
    [aux_sym__keyword_date_token1] = ACTIONS(1532),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1532),
    [aux_sym__keyword_time_token1] = ACTIONS(1532),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1532),
    [aux_sym__keyword_for_token1] = ACTIONS(1532),
    [anon_sym_SEMI] = ACTIONS(1530),
    [aux_sym_declare_statement_token1] = ACTIONS(1532),
    [anon_sym_COMMA] = ACTIONS(1530),
    [aux_sym_set_statement_token1] = ACTIONS(1532),
    [anon_sym_LPAREN] = ACTIONS(1530),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1532),
    [aux_sym_return_satement_token1] = ACTIONS(1532),
    [aux_sym_call_statement_token1] = ACTIONS(1532),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1532),
    [aux_sym_if_statement_token1] = ACTIONS(1532),
    [aux_sym_loop_statement_token1] = ACTIONS(1532),
    [aux_sym_repeat_statement_token1] = ACTIONS(1532),
    [aux_sym_while_statement_token1] = ACTIONS(1532),
    [aux_sym_break_statement_token1] = ACTIONS(1532),
    [aux_sym_leave_statement_token1] = ACTIONS(1532),
    [aux_sym_continue_statement_token1] = ACTIONS(1532),
    [aux_sym_iterate_statement_token1] = ACTIONS(1532),
    [aux_sym_raise_statement_token1] = ACTIONS(1532),
    [anon_sym_EQ] = ACTIONS(1530),
    [aux_sym_assert_statement_token1] = ACTIONS(1532),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1532),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1532),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1532),
    [anon_sym_LT] = ACTIONS(1532),
    [anon_sym_GT] = ACTIONS(1532),
    [aux_sym_set_operation_token1] = ACTIONS(1532),
    [aux_sym_set_operation_token3] = ACTIONS(1532),
    [aux_sym_set_operation_token4] = ACTIONS(1532),
    [aux_sym_select_token1] = ACTIONS(1532),
    [aux_sym_having_clause_token1] = ACTIONS(1532),
    [aux_sym_qualify_clause_token1] = ACTIONS(1532),
    [aux_sym_limit_clause_token1] = ACTIONS(1532),
    [aux_sym_group_by_clause_token1] = ACTIONS(1532),
    [aux_sym_order_by_clause_token1] = ACTIONS(1532),
    [aux_sym_where_clause_token1] = ACTIONS(1532),
    [aux_sym_insert_statement_token1] = ACTIONS(1532),
    [aux_sym_truncate_statement_token1] = ACTIONS(1532),
    [aux_sym_update_statement_token1] = ACTIONS(1532),
    [aux_sym_merge_statement_token1] = ACTIONS(1532),
    [aux_sym_grant_statement_token1] = ACTIONS(1532),
    [aux_sym_revoke_statement_token1] = ACTIONS(1532),
    [aux_sym_export_data_statement_token1] = ACTIONS(1532),
    [aux_sym_load_data_statement_token1] = ACTIONS(1532),
    [anon_sym_LBRACK] = ACTIONS(1530),
    [sym__quoted_identifier] = ACTIONS(1530),
    [anon_sym_DOT] = ACTIONS(1514),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1532),
    [anon_sym_PLUS] = ACTIONS(1530),
    [anon_sym_DASH] = ACTIONS(1532),
    [anon_sym_STAR] = ACTIONS(1530),
    [anon_sym_SLASH] = ACTIONS(1532),
    [anon_sym_PIPE_PIPE] = ACTIONS(1530),
    [anon_sym_LT_EQ] = ACTIONS(1530),
    [anon_sym_LT_GT] = ACTIONS(1530),
    [anon_sym_GT_EQ] = ACTIONS(1530),
    [anon_sym_BANG_EQ] = ACTIONS(1530),
    [anon_sym_LT_LT] = ACTIONS(1530),
    [anon_sym_GT_GT] = ACTIONS(1530),
    [anon_sym_AMP] = ACTIONS(1530),
    [anon_sym_CARET] = ACTIONS(1530),
    [anon_sym_PIPE] = ACTIONS(1532),
  },
  [1849] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16325),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1073),
    [sym__keyword_cast] = STATE(19275),
    [sym__keyword_date] = STATE(9495),
    [sym__keyword_datetime] = STATE(9495),
    [sym__keyword_time] = STATE(9495),
    [sym__keyword_timestamp] = STATE(9495),
    [sym_select_subexpression] = STATE(10495),
    [sym_function_call] = STATE(10495),
    [sym_unnest_operator] = STATE(6473),
    [sym_unnest_clause] = STATE(10495),
    [sym__literal] = STATE(10495),
    [sym_NULL] = STATE(10495),
    [sym_TRUE] = STATE(10495),
    [sym_FALSE] = STATE(10495),
    [sym__float] = STATE(10492),
    [sym_numeric] = STATE(10492),
    [sym__number] = STATE(10492),
    [sym_interval] = STATE(10495),
    [sym_range] = STATE(10495),
    [sym_time] = STATE(10495),
    [sym_number] = STATE(10495),
    [sym_json] = STATE(10495),
    [sym_query_parameter] = STATE(10495),
    [sym__type_chrono] = STATE(8422),
    [sym__type_struct] = STATE(19027),
    [sym__type_array] = STATE(18285),
    [sym_array] = STATE(10495),
    [sym_struct] = STATE(10495),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9694),
    [sym_string] = STATE(10495),
    [sym__expression] = STATE(9803),
    [sym__parenthesized_expression] = STATE(10495),
    [sym_element_access] = STATE(10495),
    [sym_field_access] = STATE(10495),
    [sym_unary_expression] = STATE(10495),
    [sym_binary_expression] = STATE(10495),
    [sym_between_operator] = STATE(10495),
    [sym_casewhen_expression] = STATE(10495),
    [sym_cast_expression] = STATE(10495),
    [sym_argument_reference] = STATE(10495),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2042),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2044),
    [aux_sym__keyword_case_token1] = ACTIONS(2046),
    [aux_sym__keyword_cast_token1] = ACTIONS(2048),
    [aux_sym__keyword_cast_token2] = ACTIONS(2048),
    [aux_sym__keyword_date_token1] = ACTIONS(2050),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2050),
    [aux_sym__keyword_time_token1] = ACTIONS(2050),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [aux_sym_drop_notnull_token1] = ACTIONS(2054),
    [aux_sym_function_call_token2] = ACTIONS(2056),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2060),
    [aux_sym_FALSE_token1] = ACTIONS(2062),
    [sym__integer] = ACTIONS(2064),
    [aux_sym__float_token1] = ACTIONS(2066),
    [aux_sym__float_token2] = ACTIONS(2064),
    [aux_sym__float_token3] = ACTIONS(2066),
    [aux_sym_numeric_token1] = ACTIONS(2068),
    [aux_sym_numeric_token2] = ACTIONS(2068),
    [aux_sym_numeric_token3] = ACTIONS(2068),
    [aux_sym_numeric_token4] = ACTIONS(2068),
    [aux_sym_interval_token1] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_json_token1] = ACTIONS(2074),
    [sym_system_variable] = ACTIONS(2076),
    [sym__named_query_parameter] = ACTIONS(2078),
    [sym__positional_query_parameter] = ACTIONS(2080),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_operator_compare] = ACTIONS(2086),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [sym__string_start] = ACTIONS(2090),
  },
  [1850] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(7038),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1851] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1784),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2484),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3587),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2420),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2426),
    [anon_sym_PLUS] = ACTIONS(2428),
    [anon_sym_DASH] = ACTIONS(2428),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1852] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(7040),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1853] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16148),
    [sym__keyword_case] = STATE(268),
    [sym__keyword_not] = STATE(1835),
    [sym__keyword_cast] = STATE(19305),
    [sym__keyword_date] = STATE(7284),
    [sym__keyword_datetime] = STATE(7284),
    [sym__keyword_time] = STATE(7284),
    [sym__keyword_timestamp] = STATE(7284),
    [sym_select_subexpression] = STATE(7910),
    [sym_function_call] = STATE(7910),
    [sym_unnest_operator] = STATE(5277),
    [sym_unnest_clause] = STATE(7910),
    [sym__literal] = STATE(7910),
    [sym_NULL] = STATE(7910),
    [sym_TRUE] = STATE(7910),
    [sym_FALSE] = STATE(7910),
    [sym__float] = STATE(7895),
    [sym_numeric] = STATE(7895),
    [sym__number] = STATE(7895),
    [sym_interval] = STATE(7910),
    [sym_range] = STATE(7910),
    [sym_time] = STATE(7910),
    [sym_number] = STATE(7910),
    [sym_json] = STATE(7910),
    [sym_query_parameter] = STATE(7910),
    [sym__type_chrono] = STATE(7179),
    [sym__type_struct] = STATE(19135),
    [sym__type_array] = STATE(18721),
    [sym_array] = STATE(7910),
    [sym_struct] = STATE(7910),
    [sym__identifier] = STATE(5408),
    [sym__dotted_identifier] = STATE(13708),
    [sym_identifier] = STATE(7424),
    [sym_string] = STATE(7910),
    [sym__expression] = STATE(5713),
    [sym__parenthesized_expression] = STATE(7910),
    [sym_element_access] = STATE(7910),
    [sym_field_access] = STATE(7910),
    [sym_unary_expression] = STATE(7910),
    [sym_binary_expression] = STATE(7910),
    [sym_between_operator] = STATE(7910),
    [sym_casewhen_expression] = STATE(7910),
    [sym_cast_expression] = STATE(7910),
    [sym_argument_reference] = STATE(7910),
    [aux_sym_identifier_repeat1] = STATE(13708),
    [sym__unquoted_identifier] = ACTIONS(2440),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2442),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2444),
    [aux_sym__keyword_case_token1] = ACTIONS(2446),
    [aux_sym__keyword_cast_token1] = ACTIONS(2448),
    [aux_sym__keyword_cast_token2] = ACTIONS(2448),
    [aux_sym__keyword_date_token1] = ACTIONS(2450),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2450),
    [aux_sym__keyword_time_token1] = ACTIONS(2450),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2452),
    [aux_sym_drop_notnull_token1] = ACTIONS(2454),
    [aux_sym_function_call_token2] = ACTIONS(2456),
    [aux_sym_unnest_operator_token1] = ACTIONS(2458),
    [aux_sym_TRUE_token1] = ACTIONS(2460),
    [aux_sym_FALSE_token1] = ACTIONS(2462),
    [sym__integer] = ACTIONS(2464),
    [aux_sym__float_token1] = ACTIONS(2466),
    [aux_sym__float_token2] = ACTIONS(2464),
    [aux_sym__float_token3] = ACTIONS(2466),
    [aux_sym_numeric_token1] = ACTIONS(2468),
    [aux_sym_numeric_token2] = ACTIONS(2468),
    [aux_sym_numeric_token3] = ACTIONS(2468),
    [aux_sym_numeric_token4] = ACTIONS(2468),
    [aux_sym_interval_token1] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [aux_sym_json_token1] = ACTIONS(2474),
    [sym_system_variable] = ACTIONS(2476),
    [sym__named_query_parameter] = ACTIONS(2478),
    [sym__positional_query_parameter] = ACTIONS(2480),
    [sym__quoted_identifier] = ACTIONS(2482),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2484),
    [anon_sym_PLUS] = ACTIONS(2486),
    [anon_sym_DASH] = ACTIONS(2486),
    [anon_sym_operator_compare] = ACTIONS(2488),
    [anon_sym_DOLLAR] = ACTIONS(2490),
    [sym__string_start] = ACTIONS(2492),
  },
  [1854] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(7041),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1855] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16326),
    [sym__keyword_case] = STATE(361),
    [sym__keyword_not] = STATE(1784),
    [sym__keyword_cast] = STATE(19256),
    [sym__keyword_date] = STATE(4216),
    [sym__keyword_datetime] = STATE(4216),
    [sym__keyword_time] = STATE(4216),
    [sym__keyword_timestamp] = STATE(4216),
    [sym_select_subexpression] = STATE(4376),
    [sym_function_call] = STATE(4376),
    [sym_unnest_operator] = STATE(2484),
    [sym_unnest_clause] = STATE(4376),
    [sym__literal] = STATE(4376),
    [sym_NULL] = STATE(4376),
    [sym_TRUE] = STATE(4376),
    [sym_FALSE] = STATE(4376),
    [sym__float] = STATE(4377),
    [sym_numeric] = STATE(4377),
    [sym__number] = STATE(4377),
    [sym_interval] = STATE(4376),
    [sym_range] = STATE(4376),
    [sym_time] = STATE(4376),
    [sym_number] = STATE(4376),
    [sym_json] = STATE(4376),
    [sym_query_parameter] = STATE(4376),
    [sym__type_chrono] = STATE(3699),
    [sym__type_struct] = STATE(18866),
    [sym__type_array] = STATE(16411),
    [sym_array] = STATE(4376),
    [sym_struct] = STATE(4376),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4378),
    [sym_string] = STATE(4376),
    [sym__expression] = STATE(3560),
    [sym__parenthesized_expression] = STATE(4376),
    [sym_element_access] = STATE(4376),
    [sym_field_access] = STATE(4376),
    [sym_unary_expression] = STATE(4376),
    [sym_binary_expression] = STATE(4376),
    [sym_between_operator] = STATE(4376),
    [sym_casewhen_expression] = STATE(4376),
    [sym_cast_expression] = STATE(4376),
    [sym_argument_reference] = STATE(4376),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2364),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2366),
    [aux_sym__keyword_case_token1] = ACTIONS(2368),
    [aux_sym__keyword_cast_token1] = ACTIONS(2370),
    [aux_sym__keyword_cast_token2] = ACTIONS(2370),
    [aux_sym__keyword_date_token1] = ACTIONS(2372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2372),
    [aux_sym__keyword_time_token1] = ACTIONS(2372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [aux_sym_drop_notnull_token1] = ACTIONS(2376),
    [aux_sym_function_call_token2] = ACTIONS(2378),
    [aux_sym_unnest_operator_token1] = ACTIONS(2420),
    [aux_sym_TRUE_token1] = ACTIONS(2380),
    [aux_sym_FALSE_token1] = ACTIONS(2382),
    [sym__integer] = ACTIONS(2384),
    [aux_sym__float_token1] = ACTIONS(2386),
    [aux_sym__float_token2] = ACTIONS(2384),
    [aux_sym__float_token3] = ACTIONS(2386),
    [aux_sym_numeric_token1] = ACTIONS(2388),
    [aux_sym_numeric_token2] = ACTIONS(2388),
    [aux_sym_numeric_token3] = ACTIONS(2388),
    [aux_sym_numeric_token4] = ACTIONS(2388),
    [aux_sym_interval_token1] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [aux_sym_json_token1] = ACTIONS(2394),
    [sym_system_variable] = ACTIONS(2396),
    [sym__named_query_parameter] = ACTIONS(2398),
    [sym__positional_query_parameter] = ACTIONS(2400),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2426),
    [anon_sym_PLUS] = ACTIONS(2428),
    [anon_sym_DASH] = ACTIONS(2428),
    [anon_sym_operator_compare] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2410),
    [sym__string_start] = ACTIONS(2412),
  },
  [1856] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(7044),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1857] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16282),
    [sym__keyword_case] = STATE(374),
    [sym__keyword_not] = STATE(1750),
    [sym__keyword_cast] = STATE(19285),
    [sym__keyword_date] = STATE(10540),
    [sym__keyword_datetime] = STATE(10540),
    [sym__keyword_time] = STATE(10540),
    [sym__keyword_timestamp] = STATE(10540),
    [sym_select_subexpression] = STATE(10861),
    [sym_function_call] = STATE(10861),
    [sym_unnest_operator] = STATE(5588),
    [sym_unnest_clause] = STATE(10861),
    [sym__literal] = STATE(10861),
    [sym_NULL] = STATE(10861),
    [sym_TRUE] = STATE(10861),
    [sym_FALSE] = STATE(10861),
    [sym__float] = STATE(10863),
    [sym_numeric] = STATE(10863),
    [sym__number] = STATE(10863),
    [sym_interval] = STATE(10861),
    [sym_range] = STATE(10861),
    [sym_time] = STATE(10861),
    [sym_number] = STATE(10861),
    [sym_json] = STATE(10861),
    [sym_query_parameter] = STATE(10861),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19065),
    [sym__type_array] = STATE(18448),
    [sym_array] = STATE(10861),
    [sym_struct] = STATE(10861),
    [sym__identifier] = STATE(10536),
    [sym__dotted_identifier] = STATE(14157),
    [sym_identifier] = STATE(10772),
    [sym_string] = STATE(10861),
    [sym__expression] = STATE(8219),
    [sym__parenthesized_expression] = STATE(10861),
    [sym_element_access] = STATE(10861),
    [sym_field_access] = STATE(10861),
    [sym_unary_expression] = STATE(10861),
    [sym_binary_expression] = STATE(10861),
    [sym_between_operator] = STATE(10861),
    [sym_casewhen_expression] = STATE(10861),
    [sym_cast_expression] = STATE(10861),
    [sym_argument_reference] = STATE(10861),
    [aux_sym_identifier_repeat1] = STATE(14157),
    [sym__unquoted_identifier] = ACTIONS(2552),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2554),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2556),
    [aux_sym__keyword_case_token1] = ACTIONS(2558),
    [aux_sym__keyword_cast_token1] = ACTIONS(2560),
    [aux_sym__keyword_cast_token2] = ACTIONS(2560),
    [aux_sym__keyword_date_token1] = ACTIONS(2562),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2562),
    [aux_sym__keyword_time_token1] = ACTIONS(2562),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [aux_sym_drop_notnull_token1] = ACTIONS(2566),
    [aux_sym_function_call_token2] = ACTIONS(2568),
    [aux_sym_unnest_operator_token1] = ACTIONS(2658),
    [aux_sym_TRUE_token1] = ACTIONS(2570),
    [aux_sym_FALSE_token1] = ACTIONS(2572),
    [sym__integer] = ACTIONS(2574),
    [aux_sym__float_token1] = ACTIONS(2576),
    [aux_sym__float_token2] = ACTIONS(2574),
    [aux_sym__float_token3] = ACTIONS(2576),
    [aux_sym_numeric_token1] = ACTIONS(2578),
    [aux_sym_numeric_token2] = ACTIONS(2578),
    [aux_sym_numeric_token3] = ACTIONS(2578),
    [aux_sym_numeric_token4] = ACTIONS(2578),
    [aux_sym_interval_token1] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [aux_sym_json_token1] = ACTIONS(2584),
    [sym_system_variable] = ACTIONS(2586),
    [sym__named_query_parameter] = ACTIONS(2588),
    [sym__positional_query_parameter] = ACTIONS(2590),
    [sym__quoted_identifier] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2660),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_operator_compare] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [sym__string_start] = ACTIONS(2602),
  },
  [1858] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(7045),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1859] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(7048),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1860] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(7027),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1861] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(7052),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1862] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1374),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5987),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(8773),
    [sym__dotted_identifier] = STATE(13954),
    [sym_identifier] = STATE(9629),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(7053),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13954),
    [sym__unquoted_identifier] = ACTIONS(545),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(547),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(549),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1863] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9964),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1864] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16282),
    [sym__keyword_case] = STATE(374),
    [sym__keyword_not] = STATE(1750),
    [sym__keyword_cast] = STATE(19285),
    [sym__keyword_date] = STATE(10540),
    [sym__keyword_datetime] = STATE(10540),
    [sym__keyword_time] = STATE(10540),
    [sym__keyword_timestamp] = STATE(10540),
    [sym_select_subexpression] = STATE(10861),
    [sym_function_call] = STATE(10861),
    [sym_unnest_operator] = STATE(5588),
    [sym_unnest_clause] = STATE(10861),
    [sym__literal] = STATE(10861),
    [sym_NULL] = STATE(10861),
    [sym_TRUE] = STATE(10861),
    [sym_FALSE] = STATE(10861),
    [sym__float] = STATE(10863),
    [sym_numeric] = STATE(10863),
    [sym__number] = STATE(10863),
    [sym_interval] = STATE(10861),
    [sym_range] = STATE(10861),
    [sym_time] = STATE(10861),
    [sym_number] = STATE(10861),
    [sym_json] = STATE(10861),
    [sym_query_parameter] = STATE(10861),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19065),
    [sym__type_array] = STATE(18448),
    [sym_array] = STATE(10861),
    [sym_struct] = STATE(10861),
    [sym__identifier] = STATE(10536),
    [sym__dotted_identifier] = STATE(14157),
    [sym_identifier] = STATE(10772),
    [sym_string] = STATE(10861),
    [sym__expression] = STATE(8217),
    [sym__parenthesized_expression] = STATE(10861),
    [sym_element_access] = STATE(10861),
    [sym_field_access] = STATE(10861),
    [sym_unary_expression] = STATE(10861),
    [sym_binary_expression] = STATE(10861),
    [sym_between_operator] = STATE(10861),
    [sym_casewhen_expression] = STATE(10861),
    [sym_cast_expression] = STATE(10861),
    [sym_argument_reference] = STATE(10861),
    [aux_sym_identifier_repeat1] = STATE(14157),
    [sym__unquoted_identifier] = ACTIONS(2552),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2554),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2556),
    [aux_sym__keyword_case_token1] = ACTIONS(2558),
    [aux_sym__keyword_cast_token1] = ACTIONS(2560),
    [aux_sym__keyword_cast_token2] = ACTIONS(2560),
    [aux_sym__keyword_date_token1] = ACTIONS(2562),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2562),
    [aux_sym__keyword_time_token1] = ACTIONS(2562),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [aux_sym_drop_notnull_token1] = ACTIONS(2566),
    [aux_sym_function_call_token2] = ACTIONS(2568),
    [aux_sym_unnest_operator_token1] = ACTIONS(2658),
    [aux_sym_TRUE_token1] = ACTIONS(2570),
    [aux_sym_FALSE_token1] = ACTIONS(2572),
    [sym__integer] = ACTIONS(2574),
    [aux_sym__float_token1] = ACTIONS(2576),
    [aux_sym__float_token2] = ACTIONS(2574),
    [aux_sym__float_token3] = ACTIONS(2576),
    [aux_sym_numeric_token1] = ACTIONS(2578),
    [aux_sym_numeric_token2] = ACTIONS(2578),
    [aux_sym_numeric_token3] = ACTIONS(2578),
    [aux_sym_numeric_token4] = ACTIONS(2578),
    [aux_sym_interval_token1] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [aux_sym_json_token1] = ACTIONS(2584),
    [sym_system_variable] = ACTIONS(2586),
    [sym__named_query_parameter] = ACTIONS(2588),
    [sym__positional_query_parameter] = ACTIONS(2590),
    [sym__quoted_identifier] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2660),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_operator_compare] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [sym__string_start] = ACTIONS(2602),
  },
  [1865] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9835),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1866] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16282),
    [sym__keyword_case] = STATE(374),
    [sym__keyword_not] = STATE(1750),
    [sym__keyword_cast] = STATE(19285),
    [sym__keyword_date] = STATE(10540),
    [sym__keyword_datetime] = STATE(10540),
    [sym__keyword_time] = STATE(10540),
    [sym__keyword_timestamp] = STATE(10540),
    [sym_select_subexpression] = STATE(10861),
    [sym_function_call] = STATE(10861),
    [sym_unnest_operator] = STATE(5588),
    [sym_unnest_clause] = STATE(10861),
    [sym__literal] = STATE(10861),
    [sym_NULL] = STATE(10861),
    [sym_TRUE] = STATE(10861),
    [sym_FALSE] = STATE(10861),
    [sym__float] = STATE(10863),
    [sym_numeric] = STATE(10863),
    [sym__number] = STATE(10863),
    [sym_interval] = STATE(10861),
    [sym_range] = STATE(10861),
    [sym_time] = STATE(10861),
    [sym_number] = STATE(10861),
    [sym_json] = STATE(10861),
    [sym_query_parameter] = STATE(10861),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19065),
    [sym__type_array] = STATE(18448),
    [sym_array] = STATE(10861),
    [sym_struct] = STATE(10861),
    [sym__identifier] = STATE(10536),
    [sym__dotted_identifier] = STATE(14157),
    [sym_identifier] = STATE(10772),
    [sym_string] = STATE(10861),
    [sym__expression] = STATE(8171),
    [sym__parenthesized_expression] = STATE(10861),
    [sym_element_access] = STATE(10861),
    [sym_field_access] = STATE(10861),
    [sym_unary_expression] = STATE(10861),
    [sym_binary_expression] = STATE(10861),
    [sym_between_operator] = STATE(10861),
    [sym_casewhen_expression] = STATE(10861),
    [sym_cast_expression] = STATE(10861),
    [sym_argument_reference] = STATE(10861),
    [aux_sym_identifier_repeat1] = STATE(14157),
    [sym__unquoted_identifier] = ACTIONS(2552),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2554),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2556),
    [aux_sym__keyword_case_token1] = ACTIONS(2558),
    [aux_sym__keyword_cast_token1] = ACTIONS(2560),
    [aux_sym__keyword_cast_token2] = ACTIONS(2560),
    [aux_sym__keyword_date_token1] = ACTIONS(2562),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2562),
    [aux_sym__keyword_time_token1] = ACTIONS(2562),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [aux_sym_drop_notnull_token1] = ACTIONS(2566),
    [aux_sym_function_call_token2] = ACTIONS(2568),
    [aux_sym_unnest_operator_token1] = ACTIONS(2658),
    [aux_sym_TRUE_token1] = ACTIONS(2570),
    [aux_sym_FALSE_token1] = ACTIONS(2572),
    [sym__integer] = ACTIONS(2574),
    [aux_sym__float_token1] = ACTIONS(2576),
    [aux_sym__float_token2] = ACTIONS(2574),
    [aux_sym__float_token3] = ACTIONS(2576),
    [aux_sym_numeric_token1] = ACTIONS(2578),
    [aux_sym_numeric_token2] = ACTIONS(2578),
    [aux_sym_numeric_token3] = ACTIONS(2578),
    [aux_sym_numeric_token4] = ACTIONS(2578),
    [aux_sym_interval_token1] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [aux_sym_json_token1] = ACTIONS(2584),
    [sym_system_variable] = ACTIONS(2586),
    [sym__named_query_parameter] = ACTIONS(2588),
    [sym__positional_query_parameter] = ACTIONS(2590),
    [sym__quoted_identifier] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2660),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_operator_compare] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [sym__string_start] = ACTIONS(2602),
  },
  [1867] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16282),
    [sym__keyword_case] = STATE(374),
    [sym__keyword_not] = STATE(1750),
    [sym__keyword_cast] = STATE(19285),
    [sym__keyword_date] = STATE(10540),
    [sym__keyword_datetime] = STATE(10540),
    [sym__keyword_time] = STATE(10540),
    [sym__keyword_timestamp] = STATE(10540),
    [sym_select_subexpression] = STATE(10861),
    [sym_function_call] = STATE(10861),
    [sym_unnest_operator] = STATE(5588),
    [sym_unnest_clause] = STATE(10861),
    [sym__literal] = STATE(10861),
    [sym_NULL] = STATE(10861),
    [sym_TRUE] = STATE(10861),
    [sym_FALSE] = STATE(10861),
    [sym__float] = STATE(10863),
    [sym_numeric] = STATE(10863),
    [sym__number] = STATE(10863),
    [sym_interval] = STATE(10861),
    [sym_range] = STATE(10861),
    [sym_time] = STATE(10861),
    [sym_number] = STATE(10861),
    [sym_json] = STATE(10861),
    [sym_query_parameter] = STATE(10861),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19065),
    [sym__type_array] = STATE(18448),
    [sym_array] = STATE(10861),
    [sym_struct] = STATE(10861),
    [sym__identifier] = STATE(10536),
    [sym__dotted_identifier] = STATE(14157),
    [sym_identifier] = STATE(10772),
    [sym_string] = STATE(10861),
    [sym__expression] = STATE(8216),
    [sym__parenthesized_expression] = STATE(10861),
    [sym_element_access] = STATE(10861),
    [sym_field_access] = STATE(10861),
    [sym_unary_expression] = STATE(10861),
    [sym_binary_expression] = STATE(10861),
    [sym_between_operator] = STATE(10861),
    [sym_casewhen_expression] = STATE(10861),
    [sym_cast_expression] = STATE(10861),
    [sym_argument_reference] = STATE(10861),
    [aux_sym_identifier_repeat1] = STATE(14157),
    [sym__unquoted_identifier] = ACTIONS(2552),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2554),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2556),
    [aux_sym__keyword_case_token1] = ACTIONS(2558),
    [aux_sym__keyword_cast_token1] = ACTIONS(2560),
    [aux_sym__keyword_cast_token2] = ACTIONS(2560),
    [aux_sym__keyword_date_token1] = ACTIONS(2562),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2562),
    [aux_sym__keyword_time_token1] = ACTIONS(2562),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [aux_sym_drop_notnull_token1] = ACTIONS(2566),
    [aux_sym_function_call_token2] = ACTIONS(2568),
    [aux_sym_unnest_operator_token1] = ACTIONS(2658),
    [aux_sym_TRUE_token1] = ACTIONS(2570),
    [aux_sym_FALSE_token1] = ACTIONS(2572),
    [sym__integer] = ACTIONS(2574),
    [aux_sym__float_token1] = ACTIONS(2576),
    [aux_sym__float_token2] = ACTIONS(2574),
    [aux_sym__float_token3] = ACTIONS(2576),
    [aux_sym_numeric_token1] = ACTIONS(2578),
    [aux_sym_numeric_token2] = ACTIONS(2578),
    [aux_sym_numeric_token3] = ACTIONS(2578),
    [aux_sym_numeric_token4] = ACTIONS(2578),
    [aux_sym_interval_token1] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [aux_sym_json_token1] = ACTIONS(2584),
    [sym_system_variable] = ACTIONS(2586),
    [sym__named_query_parameter] = ACTIONS(2588),
    [sym__positional_query_parameter] = ACTIONS(2590),
    [sym__quoted_identifier] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2660),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_operator_compare] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [sym__string_start] = ACTIONS(2602),
  },
  [1868] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9655),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1869] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16148),
    [sym__keyword_case] = STATE(268),
    [sym__keyword_not] = STATE(1835),
    [sym__keyword_cast] = STATE(19305),
    [sym__keyword_date] = STATE(7284),
    [sym__keyword_datetime] = STATE(7284),
    [sym__keyword_time] = STATE(7284),
    [sym__keyword_timestamp] = STATE(7284),
    [sym_select_subexpression] = STATE(7910),
    [sym_function_call] = STATE(7910),
    [sym_unnest_operator] = STATE(5277),
    [sym_unnest_clause] = STATE(7910),
    [sym__literal] = STATE(7910),
    [sym_NULL] = STATE(7910),
    [sym_TRUE] = STATE(7910),
    [sym_FALSE] = STATE(7910),
    [sym__float] = STATE(7895),
    [sym_numeric] = STATE(7895),
    [sym__number] = STATE(7895),
    [sym_interval] = STATE(7910),
    [sym_range] = STATE(7910),
    [sym_time] = STATE(7910),
    [sym_number] = STATE(7910),
    [sym_json] = STATE(7910),
    [sym_query_parameter] = STATE(7910),
    [sym__type_chrono] = STATE(7179),
    [sym__type_struct] = STATE(19135),
    [sym__type_array] = STATE(18721),
    [sym_array] = STATE(7910),
    [sym_struct] = STATE(7910),
    [sym__identifier] = STATE(5408),
    [sym__dotted_identifier] = STATE(13708),
    [sym_identifier] = STATE(7424),
    [sym_string] = STATE(7910),
    [sym__expression] = STATE(5911),
    [sym__parenthesized_expression] = STATE(7910),
    [sym_element_access] = STATE(7910),
    [sym_field_access] = STATE(7910),
    [sym_unary_expression] = STATE(7910),
    [sym_binary_expression] = STATE(7910),
    [sym_between_operator] = STATE(7910),
    [sym_casewhen_expression] = STATE(7910),
    [sym_cast_expression] = STATE(7910),
    [sym_argument_reference] = STATE(7910),
    [aux_sym_identifier_repeat1] = STATE(13708),
    [sym__unquoted_identifier] = ACTIONS(2440),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2442),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2444),
    [aux_sym__keyword_case_token1] = ACTIONS(2446),
    [aux_sym__keyword_cast_token1] = ACTIONS(2448),
    [aux_sym__keyword_cast_token2] = ACTIONS(2448),
    [aux_sym__keyword_date_token1] = ACTIONS(2450),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2450),
    [aux_sym__keyword_time_token1] = ACTIONS(2450),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2452),
    [aux_sym_drop_notnull_token1] = ACTIONS(2454),
    [aux_sym_function_call_token2] = ACTIONS(2456),
    [aux_sym_unnest_operator_token1] = ACTIONS(2458),
    [aux_sym_TRUE_token1] = ACTIONS(2460),
    [aux_sym_FALSE_token1] = ACTIONS(2462),
    [sym__integer] = ACTIONS(2464),
    [aux_sym__float_token1] = ACTIONS(2466),
    [aux_sym__float_token2] = ACTIONS(2464),
    [aux_sym__float_token3] = ACTIONS(2466),
    [aux_sym_numeric_token1] = ACTIONS(2468),
    [aux_sym_numeric_token2] = ACTIONS(2468),
    [aux_sym_numeric_token3] = ACTIONS(2468),
    [aux_sym_numeric_token4] = ACTIONS(2468),
    [aux_sym_interval_token1] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [aux_sym_json_token1] = ACTIONS(2474),
    [sym_system_variable] = ACTIONS(2476),
    [sym__named_query_parameter] = ACTIONS(2478),
    [sym__positional_query_parameter] = ACTIONS(2480),
    [sym__quoted_identifier] = ACTIONS(2482),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2484),
    [anon_sym_PLUS] = ACTIONS(2486),
    [anon_sym_DASH] = ACTIONS(2486),
    [anon_sym_operator_compare] = ACTIONS(2488),
    [anon_sym_DOLLAR] = ACTIONS(2490),
    [sym__string_start] = ACTIONS(2492),
  },
  [1870] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9663),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1871] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16325),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1073),
    [sym__keyword_cast] = STATE(19275),
    [sym__keyword_date] = STATE(9495),
    [sym__keyword_datetime] = STATE(9495),
    [sym__keyword_time] = STATE(9495),
    [sym__keyword_timestamp] = STATE(9495),
    [sym_select_subexpression] = STATE(10495),
    [sym_function_call] = STATE(10495),
    [sym_unnest_operator] = STATE(6473),
    [sym_unnest_clause] = STATE(10495),
    [sym__literal] = STATE(10495),
    [sym_NULL] = STATE(10495),
    [sym_TRUE] = STATE(10495),
    [sym_FALSE] = STATE(10495),
    [sym__float] = STATE(10492),
    [sym_numeric] = STATE(10492),
    [sym__number] = STATE(10492),
    [sym_interval] = STATE(10495),
    [sym_range] = STATE(10495),
    [sym_time] = STATE(10495),
    [sym_number] = STATE(10495),
    [sym_json] = STATE(10495),
    [sym_query_parameter] = STATE(10495),
    [sym__type_chrono] = STATE(8422),
    [sym__type_struct] = STATE(19027),
    [sym__type_array] = STATE(18285),
    [sym_array] = STATE(10495),
    [sym_struct] = STATE(10495),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9694),
    [sym_string] = STATE(10495),
    [sym__expression] = STATE(9820),
    [sym__parenthesized_expression] = STATE(10495),
    [sym_element_access] = STATE(10495),
    [sym_field_access] = STATE(10495),
    [sym_unary_expression] = STATE(10495),
    [sym_binary_expression] = STATE(10495),
    [sym_between_operator] = STATE(10495),
    [sym_casewhen_expression] = STATE(10495),
    [sym_cast_expression] = STATE(10495),
    [sym_argument_reference] = STATE(10495),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2042),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2044),
    [aux_sym__keyword_case_token1] = ACTIONS(2046),
    [aux_sym__keyword_cast_token1] = ACTIONS(2048),
    [aux_sym__keyword_cast_token2] = ACTIONS(2048),
    [aux_sym__keyword_date_token1] = ACTIONS(2050),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2050),
    [aux_sym__keyword_time_token1] = ACTIONS(2050),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [aux_sym_drop_notnull_token1] = ACTIONS(2054),
    [aux_sym_function_call_token2] = ACTIONS(2056),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2060),
    [aux_sym_FALSE_token1] = ACTIONS(2062),
    [sym__integer] = ACTIONS(2064),
    [aux_sym__float_token1] = ACTIONS(2066),
    [aux_sym__float_token2] = ACTIONS(2064),
    [aux_sym__float_token3] = ACTIONS(2066),
    [aux_sym_numeric_token1] = ACTIONS(2068),
    [aux_sym_numeric_token2] = ACTIONS(2068),
    [aux_sym_numeric_token3] = ACTIONS(2068),
    [aux_sym_numeric_token4] = ACTIONS(2068),
    [aux_sym_interval_token1] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_json_token1] = ACTIONS(2074),
    [sym_system_variable] = ACTIONS(2076),
    [sym__named_query_parameter] = ACTIONS(2078),
    [sym__positional_query_parameter] = ACTIONS(2080),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_operator_compare] = ACTIONS(2086),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [sym__string_start] = ACTIONS(2090),
  },
  [1872] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(8460),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1873] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16191),
    [sym__keyword_case] = STATE(326),
    [sym__keyword_not] = STATE(1774),
    [sym__keyword_cast] = STATE(19299),
    [sym__keyword_date] = STATE(3373),
    [sym__keyword_datetime] = STATE(3373),
    [sym__keyword_time] = STATE(3373),
    [sym__keyword_timestamp] = STATE(3373),
    [sym_select_subexpression] = STATE(3579),
    [sym_function_call] = STATE(3579),
    [sym_unnest_operator] = STATE(2131),
    [sym_unnest_clause] = STATE(3579),
    [sym__literal] = STATE(3579),
    [sym_NULL] = STATE(3579),
    [sym_TRUE] = STATE(3579),
    [sym_FALSE] = STATE(3579),
    [sym__float] = STATE(3578),
    [sym_numeric] = STATE(3578),
    [sym__number] = STATE(3578),
    [sym_interval] = STATE(3579),
    [sym_range] = STATE(3579),
    [sym_time] = STATE(3579),
    [sym_number] = STATE(3579),
    [sym_json] = STATE(3579),
    [sym_query_parameter] = STATE(3579),
    [sym__type_chrono] = STATE(3122),
    [sym__type_struct] = STATE(19114),
    [sym__type_array] = STATE(18640),
    [sym_array] = STATE(3579),
    [sym_struct] = STATE(3579),
    [sym__identifier] = STATE(3384),
    [sym__dotted_identifier] = STATE(13989),
    [sym_identifier] = STATE(3577),
    [sym_string] = STATE(3579),
    [sym__expression] = STATE(2445),
    [sym__parenthesized_expression] = STATE(3579),
    [sym_element_access] = STATE(3579),
    [sym_field_access] = STATE(3579),
    [sym_unary_expression] = STATE(3579),
    [sym_binary_expression] = STATE(3579),
    [sym_between_operator] = STATE(3579),
    [sym_casewhen_expression] = STATE(3579),
    [sym_cast_expression] = STATE(3579),
    [sym_argument_reference] = STATE(3579),
    [aux_sym_identifier_repeat1] = STATE(13989),
    [sym__unquoted_identifier] = ACTIONS(1926),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1928),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1930),
    [aux_sym__keyword_case_token1] = ACTIONS(1932),
    [aux_sym__keyword_cast_token1] = ACTIONS(1934),
    [aux_sym__keyword_cast_token2] = ACTIONS(1934),
    [aux_sym__keyword_date_token1] = ACTIONS(1936),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1936),
    [aux_sym__keyword_time_token1] = ACTIONS(1936),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1936),
    [anon_sym_LPAREN] = ACTIONS(1938),
    [aux_sym_drop_notnull_token1] = ACTIONS(1940),
    [aux_sym_function_call_token2] = ACTIONS(1942),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(1946),
    [aux_sym_FALSE_token1] = ACTIONS(1948),
    [sym__integer] = ACTIONS(1950),
    [aux_sym__float_token1] = ACTIONS(1952),
    [aux_sym__float_token2] = ACTIONS(1950),
    [aux_sym__float_token3] = ACTIONS(1952),
    [aux_sym_numeric_token1] = ACTIONS(1954),
    [aux_sym_numeric_token2] = ACTIONS(1954),
    [aux_sym_numeric_token3] = ACTIONS(1954),
    [aux_sym_numeric_token4] = ACTIONS(1954),
    [aux_sym_interval_token1] = ACTIONS(1956),
    [anon_sym_LBRACK] = ACTIONS(1958),
    [aux_sym_json_token1] = ACTIONS(1960),
    [sym_system_variable] = ACTIONS(1962),
    [sym__named_query_parameter] = ACTIONS(1964),
    [sym__positional_query_parameter] = ACTIONS(1966),
    [sym__quoted_identifier] = ACTIONS(1968),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1970),
    [anon_sym_PLUS] = ACTIONS(1972),
    [anon_sym_DASH] = ACTIONS(1972),
    [anon_sym_operator_compare] = ACTIONS(1974),
    [anon_sym_DOLLAR] = ACTIONS(1976),
    [sym__string_start] = ACTIONS(1978),
  },
  [1874] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9779),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1875] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16191),
    [sym__keyword_case] = STATE(326),
    [sym__keyword_not] = STATE(1774),
    [sym__keyword_cast] = STATE(19299),
    [sym__keyword_date] = STATE(3373),
    [sym__keyword_datetime] = STATE(3373),
    [sym__keyword_time] = STATE(3373),
    [sym__keyword_timestamp] = STATE(3373),
    [sym_select_subexpression] = STATE(3579),
    [sym_function_call] = STATE(3579),
    [sym_unnest_operator] = STATE(2131),
    [sym_unnest_clause] = STATE(3579),
    [sym__literal] = STATE(3579),
    [sym_NULL] = STATE(3579),
    [sym_TRUE] = STATE(3579),
    [sym_FALSE] = STATE(3579),
    [sym__float] = STATE(3578),
    [sym_numeric] = STATE(3578),
    [sym__number] = STATE(3578),
    [sym_interval] = STATE(3579),
    [sym_range] = STATE(3579),
    [sym_time] = STATE(3579),
    [sym_number] = STATE(3579),
    [sym_json] = STATE(3579),
    [sym_query_parameter] = STATE(3579),
    [sym__type_chrono] = STATE(3122),
    [sym__type_struct] = STATE(19114),
    [sym__type_array] = STATE(18640),
    [sym_array] = STATE(3579),
    [sym_struct] = STATE(3579),
    [sym__identifier] = STATE(3384),
    [sym__dotted_identifier] = STATE(13989),
    [sym_identifier] = STATE(3577),
    [sym_string] = STATE(3579),
    [sym__expression] = STATE(2431),
    [sym__parenthesized_expression] = STATE(3579),
    [sym_element_access] = STATE(3579),
    [sym_field_access] = STATE(3579),
    [sym_unary_expression] = STATE(3579),
    [sym_binary_expression] = STATE(3579),
    [sym_between_operator] = STATE(3579),
    [sym_casewhen_expression] = STATE(3579),
    [sym_cast_expression] = STATE(3579),
    [sym_argument_reference] = STATE(3579),
    [aux_sym_identifier_repeat1] = STATE(13989),
    [sym__unquoted_identifier] = ACTIONS(1926),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1928),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1930),
    [aux_sym__keyword_case_token1] = ACTIONS(1932),
    [aux_sym__keyword_cast_token1] = ACTIONS(1934),
    [aux_sym__keyword_cast_token2] = ACTIONS(1934),
    [aux_sym__keyword_date_token1] = ACTIONS(1936),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1936),
    [aux_sym__keyword_time_token1] = ACTIONS(1936),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1936),
    [anon_sym_LPAREN] = ACTIONS(1938),
    [aux_sym_drop_notnull_token1] = ACTIONS(1940),
    [aux_sym_function_call_token2] = ACTIONS(1942),
    [aux_sym_unnest_operator_token1] = ACTIONS(1944),
    [aux_sym_TRUE_token1] = ACTIONS(1946),
    [aux_sym_FALSE_token1] = ACTIONS(1948),
    [sym__integer] = ACTIONS(1950),
    [aux_sym__float_token1] = ACTIONS(1952),
    [aux_sym__float_token2] = ACTIONS(1950),
    [aux_sym__float_token3] = ACTIONS(1952),
    [aux_sym_numeric_token1] = ACTIONS(1954),
    [aux_sym_numeric_token2] = ACTIONS(1954),
    [aux_sym_numeric_token3] = ACTIONS(1954),
    [aux_sym_numeric_token4] = ACTIONS(1954),
    [aux_sym_interval_token1] = ACTIONS(1956),
    [anon_sym_LBRACK] = ACTIONS(1958),
    [aux_sym_json_token1] = ACTIONS(1960),
    [sym_system_variable] = ACTIONS(1962),
    [sym__named_query_parameter] = ACTIONS(1964),
    [sym__positional_query_parameter] = ACTIONS(1966),
    [sym__quoted_identifier] = ACTIONS(1968),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1970),
    [anon_sym_PLUS] = ACTIONS(1972),
    [anon_sym_DASH] = ACTIONS(1972),
    [anon_sym_operator_compare] = ACTIONS(1974),
    [anon_sym_DOLLAR] = ACTIONS(1976),
    [sym__string_start] = ACTIONS(1978),
  },
  [1876] = {
    [ts_builtin_sym_end] = ACTIONS(1590),
    [sym__unquoted_identifier] = ACTIONS(1592),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1592),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1592),
    [aux_sym_keyword_replace_token1] = ACTIONS(1592),
    [aux_sym__keyword_alter_token1] = ACTIONS(1592),
    [aux_sym__keyword_from_token1] = ACTIONS(1592),
    [aux_sym__keyword_delete_token1] = ACTIONS(1592),
    [aux_sym__keyword_begin_token1] = ACTIONS(1592),
    [aux_sym__keyword_end_token1] = ACTIONS(1592),
    [aux_sym__keyword_between_token1] = ACTIONS(1592),
    [aux_sym__keyword_when_token1] = ACTIONS(1592),
    [aux_sym__keyword_else_token1] = ACTIONS(1592),
    [aux_sym__keyword_is_token1] = ACTIONS(1592),
    [aux_sym__keyword_in_token1] = ACTIONS(1592),
    [aux_sym__keyword_and_token1] = ACTIONS(1592),
    [aux_sym__keyword_like_token1] = ACTIONS(1592),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1592),
    [aux_sym__keyword_as_token1] = ACTIONS(1592),
    [aux_sym__keyword_window_token1] = ACTIONS(1592),
    [aux_sym__keyword_date_token1] = ACTIONS(1592),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1592),
    [aux_sym__keyword_time_token1] = ACTIONS(1592),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1592),
    [aux_sym__keyword_for_token1] = ACTIONS(1592),
    [anon_sym_SEMI] = ACTIONS(1590),
    [aux_sym_declare_statement_token1] = ACTIONS(1592),
    [anon_sym_COMMA] = ACTIONS(1590),
    [aux_sym_set_statement_token1] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1590),
    [anon_sym_RPAREN] = ACTIONS(1590),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1592),
    [aux_sym_return_satement_token1] = ACTIONS(1592),
    [aux_sym_call_statement_token1] = ACTIONS(1592),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1592),
    [aux_sym_if_statement_token1] = ACTIONS(1592),
    [aux_sym_loop_statement_token1] = ACTIONS(1592),
    [aux_sym_repeat_statement_token1] = ACTIONS(1592),
    [aux_sym_while_statement_token1] = ACTIONS(1592),
    [aux_sym_break_statement_token1] = ACTIONS(1592),
    [aux_sym_leave_statement_token1] = ACTIONS(1592),
    [aux_sym_continue_statement_token1] = ACTIONS(1592),
    [aux_sym_iterate_statement_token1] = ACTIONS(1592),
    [aux_sym_raise_statement_token1] = ACTIONS(1592),
    [anon_sym_EQ] = ACTIONS(1590),
    [aux_sym_assert_statement_token1] = ACTIONS(1592),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1592),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1592),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1592),
    [anon_sym_LT] = ACTIONS(1592),
    [anon_sym_GT] = ACTIONS(1592),
    [aux_sym_set_operation_token1] = ACTIONS(1592),
    [aux_sym_set_operation_token3] = ACTIONS(1592),
    [aux_sym_set_operation_token4] = ACTIONS(1592),
    [aux_sym_select_token1] = ACTIONS(1592),
    [aux_sym_having_clause_token1] = ACTIONS(1592),
    [aux_sym_qualify_clause_token1] = ACTIONS(1592),
    [aux_sym_limit_clause_token1] = ACTIONS(1592),
    [aux_sym_group_by_clause_token1] = ACTIONS(1592),
    [aux_sym_order_by_clause_token1] = ACTIONS(1592),
    [aux_sym_where_clause_token1] = ACTIONS(1592),
    [aux_sym_insert_statement_token1] = ACTIONS(1592),
    [aux_sym_truncate_statement_token1] = ACTIONS(1592),
    [aux_sym_update_statement_token1] = ACTIONS(1592),
    [aux_sym_merge_statement_token1] = ACTIONS(1592),
    [aux_sym_grant_statement_token1] = ACTIONS(1592),
    [aux_sym_revoke_statement_token1] = ACTIONS(1592),
    [aux_sym_export_data_statement_token1] = ACTIONS(1592),
    [aux_sym_load_data_statement_token1] = ACTIONS(1592),
    [anon_sym_LBRACK] = ACTIONS(1590),
    [sym__quoted_identifier] = ACTIONS(1590),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1590),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1592),
    [anon_sym_STAR] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(1592),
    [anon_sym_PIPE_PIPE] = ACTIONS(1590),
    [anon_sym_LT_EQ] = ACTIONS(1590),
    [anon_sym_LT_GT] = ACTIONS(1590),
    [anon_sym_GT_EQ] = ACTIONS(1590),
    [anon_sym_BANG_EQ] = ACTIONS(1590),
    [anon_sym_LT_LT] = ACTIONS(1590),
    [anon_sym_GT_GT] = ACTIONS(1590),
    [anon_sym_AMP] = ACTIONS(1590),
    [anon_sym_CARET] = ACTIONS(1590),
    [anon_sym_PIPE] = ACTIONS(1592),
  },
  [1877] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16325),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1073),
    [sym__keyword_cast] = STATE(19275),
    [sym__keyword_date] = STATE(9495),
    [sym__keyword_datetime] = STATE(9495),
    [sym__keyword_time] = STATE(9495),
    [sym__keyword_timestamp] = STATE(9495),
    [sym_select_subexpression] = STATE(10495),
    [sym_function_call] = STATE(10495),
    [sym_unnest_operator] = STATE(6473),
    [sym_unnest_clause] = STATE(10495),
    [sym__literal] = STATE(10495),
    [sym_NULL] = STATE(10495),
    [sym_TRUE] = STATE(10495),
    [sym_FALSE] = STATE(10495),
    [sym__float] = STATE(10492),
    [sym_numeric] = STATE(10492),
    [sym__number] = STATE(10492),
    [sym_interval] = STATE(10495),
    [sym_range] = STATE(10495),
    [sym_time] = STATE(10495),
    [sym_number] = STATE(10495),
    [sym_json] = STATE(10495),
    [sym_query_parameter] = STATE(10495),
    [sym__type_chrono] = STATE(8422),
    [sym__type_struct] = STATE(19027),
    [sym__type_array] = STATE(18285),
    [sym_array] = STATE(10495),
    [sym_struct] = STATE(10495),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9694),
    [sym_string] = STATE(10495),
    [sym__expression] = STATE(9666),
    [sym__parenthesized_expression] = STATE(10495),
    [sym_element_access] = STATE(10495),
    [sym_field_access] = STATE(10495),
    [sym_unary_expression] = STATE(10495),
    [sym_binary_expression] = STATE(10495),
    [sym_between_operator] = STATE(10495),
    [sym_casewhen_expression] = STATE(10495),
    [sym_cast_expression] = STATE(10495),
    [sym_argument_reference] = STATE(10495),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2042),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2044),
    [aux_sym__keyword_case_token1] = ACTIONS(2046),
    [aux_sym__keyword_cast_token1] = ACTIONS(2048),
    [aux_sym__keyword_cast_token2] = ACTIONS(2048),
    [aux_sym__keyword_date_token1] = ACTIONS(2050),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2050),
    [aux_sym__keyword_time_token1] = ACTIONS(2050),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [aux_sym_drop_notnull_token1] = ACTIONS(2054),
    [aux_sym_function_call_token2] = ACTIONS(2056),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(2060),
    [aux_sym_FALSE_token1] = ACTIONS(2062),
    [sym__integer] = ACTIONS(2064),
    [aux_sym__float_token1] = ACTIONS(2066),
    [aux_sym__float_token2] = ACTIONS(2064),
    [aux_sym__float_token3] = ACTIONS(2066),
    [aux_sym_numeric_token1] = ACTIONS(2068),
    [aux_sym_numeric_token2] = ACTIONS(2068),
    [aux_sym_numeric_token3] = ACTIONS(2068),
    [aux_sym_numeric_token4] = ACTIONS(2068),
    [aux_sym_interval_token1] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [aux_sym_json_token1] = ACTIONS(2074),
    [sym_system_variable] = ACTIONS(2076),
    [sym__named_query_parameter] = ACTIONS(2078),
    [sym__positional_query_parameter] = ACTIONS(2080),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_operator_compare] = ACTIONS(2086),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [sym__string_start] = ACTIONS(2090),
  },
  [1878] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9677),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1879] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9934),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1880] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16282),
    [sym__keyword_case] = STATE(374),
    [sym__keyword_not] = STATE(1750),
    [sym__keyword_cast] = STATE(19285),
    [sym__keyword_date] = STATE(10540),
    [sym__keyword_datetime] = STATE(10540),
    [sym__keyword_time] = STATE(10540),
    [sym__keyword_timestamp] = STATE(10540),
    [sym_select_subexpression] = STATE(10861),
    [sym_function_call] = STATE(10861),
    [sym_unnest_operator] = STATE(5588),
    [sym_unnest_clause] = STATE(10861),
    [sym__literal] = STATE(10861),
    [sym_NULL] = STATE(10861),
    [sym_TRUE] = STATE(10861),
    [sym_FALSE] = STATE(10861),
    [sym__float] = STATE(10863),
    [sym_numeric] = STATE(10863),
    [sym__number] = STATE(10863),
    [sym_interval] = STATE(10861),
    [sym_range] = STATE(10861),
    [sym_time] = STATE(10861),
    [sym_number] = STATE(10861),
    [sym_json] = STATE(10861),
    [sym_query_parameter] = STATE(10861),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19065),
    [sym__type_array] = STATE(18448),
    [sym_array] = STATE(10861),
    [sym_struct] = STATE(10861),
    [sym__identifier] = STATE(10536),
    [sym__dotted_identifier] = STATE(14157),
    [sym_identifier] = STATE(10772),
    [sym_string] = STATE(10861),
    [sym__expression] = STATE(8210),
    [sym__parenthesized_expression] = STATE(10861),
    [sym_element_access] = STATE(10861),
    [sym_field_access] = STATE(10861),
    [sym_unary_expression] = STATE(10861),
    [sym_binary_expression] = STATE(10861),
    [sym_between_operator] = STATE(10861),
    [sym_casewhen_expression] = STATE(10861),
    [sym_cast_expression] = STATE(10861),
    [sym_argument_reference] = STATE(10861),
    [aux_sym_identifier_repeat1] = STATE(14157),
    [sym__unquoted_identifier] = ACTIONS(2552),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2554),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2556),
    [aux_sym__keyword_case_token1] = ACTIONS(2558),
    [aux_sym__keyword_cast_token1] = ACTIONS(2560),
    [aux_sym__keyword_cast_token2] = ACTIONS(2560),
    [aux_sym__keyword_date_token1] = ACTIONS(2562),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2562),
    [aux_sym__keyword_time_token1] = ACTIONS(2562),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [aux_sym_drop_notnull_token1] = ACTIONS(2566),
    [aux_sym_function_call_token2] = ACTIONS(2568),
    [aux_sym_unnest_operator_token1] = ACTIONS(2658),
    [aux_sym_TRUE_token1] = ACTIONS(2570),
    [aux_sym_FALSE_token1] = ACTIONS(2572),
    [sym__integer] = ACTIONS(2574),
    [aux_sym__float_token1] = ACTIONS(2576),
    [aux_sym__float_token2] = ACTIONS(2574),
    [aux_sym__float_token3] = ACTIONS(2576),
    [aux_sym_numeric_token1] = ACTIONS(2578),
    [aux_sym_numeric_token2] = ACTIONS(2578),
    [aux_sym_numeric_token3] = ACTIONS(2578),
    [aux_sym_numeric_token4] = ACTIONS(2578),
    [aux_sym_interval_token1] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [aux_sym_json_token1] = ACTIONS(2584),
    [sym_system_variable] = ACTIONS(2586),
    [sym__named_query_parameter] = ACTIONS(2588),
    [sym__positional_query_parameter] = ACTIONS(2590),
    [sym__quoted_identifier] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2660),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_operator_compare] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [sym__string_start] = ACTIONS(2602),
  },
  [1881] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16282),
    [sym__keyword_case] = STATE(374),
    [sym__keyword_not] = STATE(1750),
    [sym__keyword_cast] = STATE(19285),
    [sym__keyword_date] = STATE(10540),
    [sym__keyword_datetime] = STATE(10540),
    [sym__keyword_time] = STATE(10540),
    [sym__keyword_timestamp] = STATE(10540),
    [sym_select_subexpression] = STATE(10861),
    [sym_function_call] = STATE(10861),
    [sym_unnest_operator] = STATE(5588),
    [sym_unnest_clause] = STATE(10861),
    [sym__literal] = STATE(10861),
    [sym_NULL] = STATE(10861),
    [sym_TRUE] = STATE(10861),
    [sym_FALSE] = STATE(10861),
    [sym__float] = STATE(10863),
    [sym_numeric] = STATE(10863),
    [sym__number] = STATE(10863),
    [sym_interval] = STATE(10861),
    [sym_range] = STATE(10861),
    [sym_time] = STATE(10861),
    [sym_number] = STATE(10861),
    [sym_json] = STATE(10861),
    [sym_query_parameter] = STATE(10861),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19065),
    [sym__type_array] = STATE(18448),
    [sym_array] = STATE(10861),
    [sym_struct] = STATE(10861),
    [sym__identifier] = STATE(10536),
    [sym__dotted_identifier] = STATE(14157),
    [sym_identifier] = STATE(10772),
    [sym_string] = STATE(10861),
    [sym__expression] = STATE(8213),
    [sym__parenthesized_expression] = STATE(10861),
    [sym_element_access] = STATE(10861),
    [sym_field_access] = STATE(10861),
    [sym_unary_expression] = STATE(10861),
    [sym_binary_expression] = STATE(10861),
    [sym_between_operator] = STATE(10861),
    [sym_casewhen_expression] = STATE(10861),
    [sym_cast_expression] = STATE(10861),
    [sym_argument_reference] = STATE(10861),
    [aux_sym_identifier_repeat1] = STATE(14157),
    [sym__unquoted_identifier] = ACTIONS(2552),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2554),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2556),
    [aux_sym__keyword_case_token1] = ACTIONS(2558),
    [aux_sym__keyword_cast_token1] = ACTIONS(2560),
    [aux_sym__keyword_cast_token2] = ACTIONS(2560),
    [aux_sym__keyword_date_token1] = ACTIONS(2562),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2562),
    [aux_sym__keyword_time_token1] = ACTIONS(2562),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [aux_sym_drop_notnull_token1] = ACTIONS(2566),
    [aux_sym_function_call_token2] = ACTIONS(2568),
    [aux_sym_unnest_operator_token1] = ACTIONS(2658),
    [aux_sym_TRUE_token1] = ACTIONS(2570),
    [aux_sym_FALSE_token1] = ACTIONS(2572),
    [sym__integer] = ACTIONS(2574),
    [aux_sym__float_token1] = ACTIONS(2576),
    [aux_sym__float_token2] = ACTIONS(2574),
    [aux_sym__float_token3] = ACTIONS(2576),
    [aux_sym_numeric_token1] = ACTIONS(2578),
    [aux_sym_numeric_token2] = ACTIONS(2578),
    [aux_sym_numeric_token3] = ACTIONS(2578),
    [aux_sym_numeric_token4] = ACTIONS(2578),
    [aux_sym_interval_token1] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [aux_sym_json_token1] = ACTIONS(2584),
    [sym_system_variable] = ACTIONS(2586),
    [sym__named_query_parameter] = ACTIONS(2588),
    [sym__positional_query_parameter] = ACTIONS(2590),
    [sym__quoted_identifier] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2660),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_operator_compare] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [sym__string_start] = ACTIONS(2602),
  },
  [1882] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9933),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1883] = {
    [sym__keyword_struct] = STATE(7101),
    [sym__keyword_range] = STATE(16007),
    [sym__keyword_case] = STATE(228),
    [sym__keyword_not] = STATE(1733),
    [sym__keyword_cast] = STATE(19082),
    [sym__keyword_date] = STATE(6435),
    [sym__keyword_datetime] = STATE(6435),
    [sym__keyword_time] = STATE(6435),
    [sym__keyword_timestamp] = STATE(6435),
    [sym_select_subexpression] = STATE(7104),
    [sym_function_call] = STATE(7104),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(7104),
    [sym__literal] = STATE(7104),
    [sym_NULL] = STATE(7104),
    [sym_TRUE] = STATE(7104),
    [sym_FALSE] = STATE(7104),
    [sym__float] = STATE(6684),
    [sym_numeric] = STATE(6684),
    [sym__number] = STATE(6684),
    [sym_interval] = STATE(7104),
    [sym_range] = STATE(7104),
    [sym_time] = STATE(7104),
    [sym_number] = STATE(7104),
    [sym_json] = STATE(7104),
    [sym_query_parameter] = STATE(7104),
    [sym__type_chrono] = STATE(6156),
    [sym__type_struct] = STATE(19075),
    [sym__type_array] = STATE(19068),
    [sym_array] = STATE(7104),
    [sym_struct] = STATE(7104),
    [sym__identifier] = STATE(4908),
    [sym__dotted_identifier] = STATE(13531),
    [sym_identifier] = STATE(9122),
    [sym_string] = STATE(7104),
    [sym__expression] = STATE(9759),
    [sym__parenthesized_expression] = STATE(7104),
    [sym_element_access] = STATE(7104),
    [sym_field_access] = STATE(7104),
    [sym_unary_expression] = STATE(7104),
    [sym_binary_expression] = STATE(7104),
    [sym_between_operator] = STATE(7104),
    [sym_casewhen_expression] = STATE(7104),
    [sym_cast_expression] = STATE(7104),
    [sym_argument_reference] = STATE(7104),
    [aux_sym_identifier_repeat1] = STATE(13531),
    [sym__unquoted_identifier] = ACTIONS(1067),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1069),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1071),
    [aux_sym__keyword_case_token1] = ACTIONS(551),
    [aux_sym__keyword_cast_token1] = ACTIONS(553),
    [aux_sym__keyword_cast_token2] = ACTIONS(553),
    [aux_sym__keyword_date_token1] = ACTIONS(555),
    [aux_sym__keyword_datetime_token1] = ACTIONS(555),
    [aux_sym__keyword_time_token1] = ACTIONS(555),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_drop_notnull_token1] = ACTIONS(563),
    [aux_sym_function_call_token2] = ACTIONS(571),
    [aux_sym_unnest_operator_token1] = ACTIONS(573),
    [aux_sym_TRUE_token1] = ACTIONS(575),
    [aux_sym_FALSE_token1] = ACTIONS(577),
    [sym__integer] = ACTIONS(579),
    [aux_sym__float_token1] = ACTIONS(581),
    [aux_sym__float_token2] = ACTIONS(579),
    [aux_sym__float_token3] = ACTIONS(581),
    [aux_sym_numeric_token1] = ACTIONS(583),
    [aux_sym_numeric_token2] = ACTIONS(583),
    [aux_sym_numeric_token3] = ACTIONS(583),
    [aux_sym_numeric_token4] = ACTIONS(583),
    [aux_sym_interval_token1] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(587),
    [aux_sym_json_token1] = ACTIONS(589),
    [sym_system_variable] = ACTIONS(591),
    [sym__named_query_parameter] = ACTIONS(593),
    [sym__positional_query_parameter] = ACTIONS(595),
    [sym__quoted_identifier] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_operator_compare] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [sym__string_start] = ACTIONS(607),
  },
  [1884] = {
    [ts_builtin_sym_end] = ACTIONS(1516),
    [sym__unquoted_identifier] = ACTIONS(1518),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1518),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1518),
    [aux_sym_keyword_replace_token1] = ACTIONS(1518),
    [aux_sym__keyword_alter_token1] = ACTIONS(1518),
    [aux_sym__keyword_from_token1] = ACTIONS(1518),
    [aux_sym__keyword_delete_token1] = ACTIONS(1518),
    [aux_sym__keyword_begin_token1] = ACTIONS(1518),
    [aux_sym__keyword_end_token1] = ACTIONS(1518),
    [aux_sym__keyword_between_token1] = ACTIONS(1518),
    [aux_sym__keyword_when_token1] = ACTIONS(1518),
    [aux_sym__keyword_else_token1] = ACTIONS(1518),
    [aux_sym__keyword_is_token1] = ACTIONS(1518),
    [aux_sym__keyword_in_token1] = ACTIONS(1518),
    [aux_sym__keyword_and_token1] = ACTIONS(1518),
    [aux_sym__keyword_like_token1] = ACTIONS(1518),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1518),
    [aux_sym__keyword_as_token1] = ACTIONS(1518),
    [aux_sym__keyword_window_token1] = ACTIONS(1518),
    [aux_sym__keyword_date_token1] = ACTIONS(1518),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1518),
    [aux_sym__keyword_time_token1] = ACTIONS(1518),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1518),
    [aux_sym__keyword_for_token1] = ACTIONS(1518),
    [anon_sym_SEMI] = ACTIONS(1516),
    [aux_sym_declare_statement_token1] = ACTIONS(1518),
    [anon_sym_COMMA] = ACTIONS(1516),
    [aux_sym_set_statement_token1] = ACTIONS(1518),
    [anon_sym_LPAREN] = ACTIONS(1516),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1518),
    [aux_sym_return_satement_token1] = ACTIONS(1518),
    [aux_sym_call_statement_token1] = ACTIONS(1518),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1518),
    [aux_sym_if_statement_token1] = ACTIONS(1518),
    [aux_sym_loop_statement_token1] = ACTIONS(1518),
    [aux_sym_repeat_statement_token1] = ACTIONS(1518),
    [aux_sym_while_statement_token1] = ACTIONS(1518),
    [aux_sym_break_statement_token1] = ACTIONS(1518),
    [aux_sym_leave_statement_token1] = ACTIONS(1518),
    [aux_sym_continue_statement_token1] = ACTIONS(1518),
    [aux_sym_iterate_statement_token1] = ACTIONS(1518),
    [aux_sym_raise_statement_token1] = ACTIONS(1518),
    [anon_sym_EQ] = ACTIONS(1516),
    [aux_sym_assert_statement_token1] = ACTIONS(1518),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1518),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1518),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1518),
    [anon_sym_LT] = ACTIONS(1518),
    [anon_sym_GT] = ACTIONS(1518),
    [aux_sym_set_operation_token1] = ACTIONS(1518),
    [aux_sym_set_operation_token3] = ACTIONS(1518),
    [aux_sym_set_operation_token4] = ACTIONS(1518),
    [aux_sym_select_token1] = ACTIONS(1518),
    [aux_sym_having_clause_token1] = ACTIONS(1518),
    [aux_sym_qualify_clause_token1] = ACTIONS(1518),
    [aux_sym_limit_clause_token1] = ACTIONS(1518),
    [aux_sym_group_by_clause_token1] = ACTIONS(1518),
    [aux_sym_order_by_clause_token1] = ACTIONS(1518),
    [aux_sym_where_clause_token1] = ACTIONS(1518),
    [aux_sym_insert_statement_token1] = ACTIONS(1518),
    [aux_sym_truncate_statement_token1] = ACTIONS(1518),
    [aux_sym_update_statement_token1] = ACTIONS(1518),
    [aux_sym_merge_statement_token1] = ACTIONS(1518),
    [aux_sym_grant_statement_token1] = ACTIONS(1518),
    [aux_sym_revoke_statement_token1] = ACTIONS(1518),
    [aux_sym_export_data_statement_token1] = ACTIONS(1518),
    [aux_sym_load_data_statement_token1] = ACTIONS(1518),
    [anon_sym_LBRACK] = ACTIONS(1516),
    [sym__quoted_identifier] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1516),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1518),
    [anon_sym_STAR] = ACTIONS(1516),
    [anon_sym_SLASH] = ACTIONS(1518),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [anon_sym_LT_EQ] = ACTIONS(1516),
    [anon_sym_LT_GT] = ACTIONS(1516),
    [anon_sym_GT_EQ] = ACTIONS(1516),
    [anon_sym_BANG_EQ] = ACTIONS(1516),
    [anon_sym_LT_LT] = ACTIONS(1516),
    [anon_sym_GT_GT] = ACTIONS(1516),
    [anon_sym_AMP] = ACTIONS(1516),
    [anon_sym_CARET] = ACTIONS(1516),
    [anon_sym_PIPE] = ACTIONS(1518),
  },
  [1885] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_from_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [1886] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_from_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [1887] = {
    [ts_builtin_sym_end] = ACTIONS(1700),
    [sym__unquoted_identifier] = ACTIONS(1702),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1702),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1702),
    [aux_sym_keyword_replace_token1] = ACTIONS(1702),
    [aux_sym__keyword_alter_token1] = ACTIONS(1702),
    [aux_sym__keyword_from_token1] = ACTIONS(1702),
    [aux_sym__keyword_delete_token1] = ACTIONS(1702),
    [aux_sym__keyword_begin_token1] = ACTIONS(1702),
    [aux_sym__keyword_end_token1] = ACTIONS(1702),
    [aux_sym__keyword_between_token1] = ACTIONS(1702),
    [aux_sym__keyword_when_token1] = ACTIONS(1702),
    [aux_sym__keyword_else_token1] = ACTIONS(1702),
    [aux_sym__keyword_is_token1] = ACTIONS(1702),
    [aux_sym__keyword_in_token1] = ACTIONS(1702),
    [aux_sym__keyword_and_token1] = ACTIONS(1702),
    [aux_sym__keyword_like_token1] = ACTIONS(1702),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1702),
    [aux_sym__keyword_as_token1] = ACTIONS(1702),
    [aux_sym__keyword_window_token1] = ACTIONS(1702),
    [aux_sym__keyword_date_token1] = ACTIONS(1702),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1702),
    [aux_sym__keyword_time_token1] = ACTIONS(1702),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1702),
    [aux_sym__keyword_for_token1] = ACTIONS(1702),
    [anon_sym_SEMI] = ACTIONS(1700),
    [aux_sym_declare_statement_token1] = ACTIONS(1702),
    [anon_sym_COMMA] = ACTIONS(1700),
    [aux_sym_set_statement_token1] = ACTIONS(1702),
    [anon_sym_LPAREN] = ACTIONS(1700),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1702),
    [aux_sym_return_satement_token1] = ACTIONS(1702),
    [aux_sym_call_statement_token1] = ACTIONS(1702),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1702),
    [aux_sym_if_statement_token1] = ACTIONS(1702),
    [aux_sym_loop_statement_token1] = ACTIONS(1702),
    [aux_sym_repeat_statement_token1] = ACTIONS(1702),
    [aux_sym_while_statement_token1] = ACTIONS(1702),
    [aux_sym_break_statement_token1] = ACTIONS(1702),
    [aux_sym_leave_statement_token1] = ACTIONS(1702),
    [aux_sym_continue_statement_token1] = ACTIONS(1702),
    [aux_sym_iterate_statement_token1] = ACTIONS(1702),
    [aux_sym_raise_statement_token1] = ACTIONS(1702),
    [anon_sym_EQ] = ACTIONS(1700),
    [aux_sym_assert_statement_token1] = ACTIONS(1702),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1702),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1702),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1702),
    [anon_sym_LT] = ACTIONS(1702),
    [anon_sym_GT] = ACTIONS(1702),
    [aux_sym_set_operation_token1] = ACTIONS(1702),
    [aux_sym_set_operation_token3] = ACTIONS(1702),
    [aux_sym_set_operation_token4] = ACTIONS(1702),
    [aux_sym_select_token1] = ACTIONS(1702),
    [aux_sym_having_clause_token1] = ACTIONS(1702),
    [aux_sym_qualify_clause_token1] = ACTIONS(1702),
    [aux_sym_limit_clause_token1] = ACTIONS(1702),
    [aux_sym_group_by_clause_token1] = ACTIONS(1702),
    [aux_sym_order_by_clause_token1] = ACTIONS(1702),
    [aux_sym_where_clause_token1] = ACTIONS(1702),
    [aux_sym_insert_statement_token1] = ACTIONS(1702),
    [aux_sym_truncate_statement_token1] = ACTIONS(1702),
    [aux_sym_update_statement_token1] = ACTIONS(1702),
    [aux_sym_merge_statement_token1] = ACTIONS(1702),
    [aux_sym_grant_statement_token1] = ACTIONS(1702),
    [aux_sym_revoke_statement_token1] = ACTIONS(1702),
    [aux_sym_export_data_statement_token1] = ACTIONS(1702),
    [aux_sym_load_data_statement_token1] = ACTIONS(1702),
    [anon_sym_LBRACK] = ACTIONS(1700),
    [sym__quoted_identifier] = ACTIONS(1700),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1700),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_DASH] = ACTIONS(1702),
    [anon_sym_STAR] = ACTIONS(1700),
    [anon_sym_SLASH] = ACTIONS(1702),
    [anon_sym_PIPE_PIPE] = ACTIONS(1700),
    [anon_sym_LT_EQ] = ACTIONS(1700),
    [anon_sym_LT_GT] = ACTIONS(1700),
    [anon_sym_GT_EQ] = ACTIONS(1700),
    [anon_sym_BANG_EQ] = ACTIONS(1700),
    [anon_sym_LT_LT] = ACTIONS(1700),
    [anon_sym_GT_GT] = ACTIONS(1700),
    [anon_sym_AMP] = ACTIONS(1700),
    [anon_sym_CARET] = ACTIONS(1700),
    [anon_sym_PIPE] = ACTIONS(1702),
  },
  [1888] = {
    [sym__keyword_as] = STATE(11549),
    [sym__keyword_date] = STATE(2774),
    [sym__keyword_datetime] = STATE(2774),
    [sym__keyword_time] = STATE(2774),
    [sym__keyword_timestamp] = STATE(2774),
    [sym_as_alias] = STATE(4397),
    [sym_unnest_withoffset] = STATE(4394),
    [sym__type_chrono] = STATE(2771),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4403),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(205),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(205),
    [aux_sym_keyword_replace_token1] = ACTIONS(205),
    [aux_sym__keyword_alter_token1] = ACTIONS(205),
    [aux_sym__keyword_delete_token1] = ACTIONS(205),
    [aux_sym__keyword_begin_token1] = ACTIONS(205),
    [aux_sym__keyword_end_token1] = ACTIONS(205),
    [aux_sym__keyword_between_token1] = ACTIONS(205),
    [aux_sym__keyword_else_token1] = ACTIONS(205),
    [aux_sym__keyword_is_token1] = ACTIONS(205),
    [aux_sym__keyword_in_token1] = ACTIONS(205),
    [aux_sym__keyword_and_token1] = ACTIONS(205),
    [aux_sym__keyword_like_token1] = ACTIONS(205),
    [aux_sym__keyword_repeat_token1] = ACTIONS(205),
    [aux_sym__keyword_as_token1] = ACTIONS(2738),
    [aux_sym__keyword_date_token1] = ACTIONS(1328),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1328),
    [aux_sym__keyword_time_token1] = ACTIONS(1328),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1328),
    [aux_sym__keyword_for_token1] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(211),
    [aux_sym_declare_statement_token1] = ACTIONS(205),
    [anon_sym_COMMA] = ACTIONS(211),
    [aux_sym_set_statement_token1] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(211),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(205),
    [aux_sym_return_satement_token1] = ACTIONS(205),
    [aux_sym_call_statement_token1] = ACTIONS(205),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(205),
    [aux_sym_if_statement_token1] = ACTIONS(205),
    [aux_sym_loop_statement_token1] = ACTIONS(205),
    [aux_sym_repeat_statement_token1] = ACTIONS(205),
    [aux_sym_while_statement_token1] = ACTIONS(205),
    [aux_sym_break_statement_token1] = ACTIONS(205),
    [aux_sym_leave_statement_token1] = ACTIONS(205),
    [aux_sym_continue_statement_token1] = ACTIONS(205),
    [aux_sym_iterate_statement_token1] = ACTIONS(205),
    [aux_sym_raise_statement_token1] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(211),
    [aux_sym_assert_statement_token1] = ACTIONS(205),
    [aux_sym_create_schema_statement_token1] = ACTIONS(205),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(205),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2740),
    [aux_sym_option_clause_token1] = ACTIONS(205),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [aux_sym_select_token1] = ACTIONS(205),
    [aux_sym_insert_statement_token1] = ACTIONS(205),
    [aux_sym_truncate_statement_token1] = ACTIONS(205),
    [aux_sym_update_statement_token1] = ACTIONS(205),
    [aux_sym_merge_statement_token1] = ACTIONS(205),
    [aux_sym_grant_statement_token1] = ACTIONS(205),
    [aux_sym_revoke_statement_token1] = ACTIONS(205),
    [aux_sym_export_data_statement_token1] = ACTIONS(205),
    [aux_sym_load_data_statement_token1] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(211),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(211),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(211),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(211),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_LT_GT] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(211),
    [anon_sym_GT_GT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_CARET] = ACTIONS(211),
    [anon_sym_PIPE] = ACTIONS(205),
  },
  [1889] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_from_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [1890] = {
    [ts_builtin_sym_end] = ACTIONS(1390),
    [sym__unquoted_identifier] = ACTIONS(1392),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1392),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1392),
    [aux_sym_keyword_replace_token1] = ACTIONS(1392),
    [aux_sym__keyword_alter_token1] = ACTIONS(1392),
    [aux_sym__keyword_from_token1] = ACTIONS(1392),
    [aux_sym__keyword_delete_token1] = ACTIONS(1392),
    [aux_sym__keyword_begin_token1] = ACTIONS(1392),
    [aux_sym__keyword_end_token1] = ACTIONS(1392),
    [aux_sym__keyword_between_token1] = ACTIONS(1392),
    [aux_sym__keyword_when_token1] = ACTIONS(1392),
    [aux_sym__keyword_else_token1] = ACTIONS(1392),
    [aux_sym__keyword_is_token1] = ACTIONS(1392),
    [aux_sym__keyword_in_token1] = ACTIONS(1392),
    [aux_sym__keyword_and_token1] = ACTIONS(1392),
    [aux_sym__keyword_like_token1] = ACTIONS(1392),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1392),
    [aux_sym__keyword_as_token1] = ACTIONS(1392),
    [aux_sym__keyword_window_token1] = ACTIONS(1392),
    [aux_sym__keyword_date_token1] = ACTIONS(1392),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1392),
    [aux_sym__keyword_time_token1] = ACTIONS(1392),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1392),
    [aux_sym__keyword_for_token1] = ACTIONS(1392),
    [anon_sym_SEMI] = ACTIONS(1390),
    [aux_sym_declare_statement_token1] = ACTIONS(1392),
    [anon_sym_COMMA] = ACTIONS(1390),
    [aux_sym_set_statement_token1] = ACTIONS(1392),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1392),
    [aux_sym_return_satement_token1] = ACTIONS(1392),
    [aux_sym_call_statement_token1] = ACTIONS(1392),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1392),
    [aux_sym_if_statement_token1] = ACTIONS(1392),
    [aux_sym_loop_statement_token1] = ACTIONS(1392),
    [aux_sym_repeat_statement_token1] = ACTIONS(1392),
    [aux_sym_while_statement_token1] = ACTIONS(1392),
    [aux_sym_break_statement_token1] = ACTIONS(1392),
    [aux_sym_leave_statement_token1] = ACTIONS(1392),
    [aux_sym_continue_statement_token1] = ACTIONS(1392),
    [aux_sym_iterate_statement_token1] = ACTIONS(1392),
    [aux_sym_raise_statement_token1] = ACTIONS(1392),
    [anon_sym_EQ] = ACTIONS(1390),
    [aux_sym_assert_statement_token1] = ACTIONS(1392),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1392),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1392),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1392),
    [anon_sym_LT] = ACTIONS(1392),
    [anon_sym_GT] = ACTIONS(1392),
    [aux_sym_set_operation_token1] = ACTIONS(1392),
    [aux_sym_set_operation_token3] = ACTIONS(1392),
    [aux_sym_set_operation_token4] = ACTIONS(1392),
    [aux_sym_select_token1] = ACTIONS(1392),
    [aux_sym_having_clause_token1] = ACTIONS(1392),
    [aux_sym_qualify_clause_token1] = ACTIONS(1392),
    [aux_sym_limit_clause_token1] = ACTIONS(1392),
    [aux_sym_group_by_clause_token1] = ACTIONS(1392),
    [aux_sym_order_by_clause_token1] = ACTIONS(1392),
    [aux_sym_where_clause_token1] = ACTIONS(1392),
    [aux_sym_insert_statement_token1] = ACTIONS(1392),
    [aux_sym_truncate_statement_token1] = ACTIONS(1392),
    [aux_sym_update_statement_token1] = ACTIONS(1392),
    [aux_sym_merge_statement_token1] = ACTIONS(1392),
    [aux_sym_grant_statement_token1] = ACTIONS(1392),
    [aux_sym_revoke_statement_token1] = ACTIONS(1392),
    [aux_sym_export_data_statement_token1] = ACTIONS(1392),
    [aux_sym_load_data_statement_token1] = ACTIONS(1392),
    [anon_sym_LBRACK] = ACTIONS(1390),
    [sym__quoted_identifier] = ACTIONS(1390),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_DASH] = ACTIONS(1392),
    [anon_sym_STAR] = ACTIONS(1390),
    [anon_sym_SLASH] = ACTIONS(1392),
    [anon_sym_PIPE_PIPE] = ACTIONS(1390),
    [anon_sym_LT_EQ] = ACTIONS(1390),
    [anon_sym_LT_GT] = ACTIONS(1390),
    [anon_sym_GT_EQ] = ACTIONS(1390),
    [anon_sym_BANG_EQ] = ACTIONS(1390),
    [anon_sym_LT_LT] = ACTIONS(1390),
    [anon_sym_GT_GT] = ACTIONS(1390),
    [anon_sym_AMP] = ACTIONS(1390),
    [anon_sym_CARET] = ACTIONS(1390),
    [anon_sym_PIPE] = ACTIONS(1392),
  },
  [1891] = {
    [ts_builtin_sym_end] = ACTIONS(1704),
    [sym__unquoted_identifier] = ACTIONS(1706),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1706),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1706),
    [aux_sym_keyword_replace_token1] = ACTIONS(1706),
    [aux_sym__keyword_alter_token1] = ACTIONS(1706),
    [aux_sym__keyword_from_token1] = ACTIONS(1706),
    [aux_sym__keyword_delete_token1] = ACTIONS(1706),
    [aux_sym__keyword_begin_token1] = ACTIONS(1706),
    [aux_sym__keyword_end_token1] = ACTIONS(1706),
    [aux_sym__keyword_between_token1] = ACTIONS(1706),
    [aux_sym__keyword_when_token1] = ACTIONS(1706),
    [aux_sym__keyword_else_token1] = ACTIONS(1706),
    [aux_sym__keyword_is_token1] = ACTIONS(1706),
    [aux_sym__keyword_in_token1] = ACTIONS(1706),
    [aux_sym__keyword_and_token1] = ACTIONS(1706),
    [aux_sym__keyword_like_token1] = ACTIONS(1706),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1706),
    [aux_sym__keyword_as_token1] = ACTIONS(1706),
    [aux_sym__keyword_window_token1] = ACTIONS(1706),
    [aux_sym__keyword_date_token1] = ACTIONS(1706),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1706),
    [aux_sym__keyword_time_token1] = ACTIONS(1706),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1706),
    [aux_sym__keyword_for_token1] = ACTIONS(1706),
    [anon_sym_SEMI] = ACTIONS(1704),
    [aux_sym_declare_statement_token1] = ACTIONS(1706),
    [anon_sym_COMMA] = ACTIONS(1704),
    [aux_sym_set_statement_token1] = ACTIONS(1706),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1706),
    [aux_sym_return_satement_token1] = ACTIONS(1706),
    [aux_sym_call_statement_token1] = ACTIONS(1706),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1706),
    [aux_sym_if_statement_token1] = ACTIONS(1706),
    [aux_sym_loop_statement_token1] = ACTIONS(1706),
    [aux_sym_repeat_statement_token1] = ACTIONS(1706),
    [aux_sym_while_statement_token1] = ACTIONS(1706),
    [aux_sym_break_statement_token1] = ACTIONS(1706),
    [aux_sym_leave_statement_token1] = ACTIONS(1706),
    [aux_sym_continue_statement_token1] = ACTIONS(1706),
    [aux_sym_iterate_statement_token1] = ACTIONS(1706),
    [aux_sym_raise_statement_token1] = ACTIONS(1706),
    [anon_sym_EQ] = ACTIONS(1704),
    [aux_sym_assert_statement_token1] = ACTIONS(1706),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1706),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1706),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1706),
    [anon_sym_LT] = ACTIONS(1706),
    [anon_sym_GT] = ACTIONS(1706),
    [aux_sym_set_operation_token1] = ACTIONS(1706),
    [aux_sym_set_operation_token3] = ACTIONS(1706),
    [aux_sym_set_operation_token4] = ACTIONS(1706),
    [aux_sym_select_token1] = ACTIONS(1706),
    [aux_sym_having_clause_token1] = ACTIONS(1706),
    [aux_sym_qualify_clause_token1] = ACTIONS(1706),
    [aux_sym_limit_clause_token1] = ACTIONS(1706),
    [aux_sym_group_by_clause_token1] = ACTIONS(1706),
    [aux_sym_order_by_clause_token1] = ACTIONS(1706),
    [aux_sym_where_clause_token1] = ACTIONS(1706),
    [aux_sym_insert_statement_token1] = ACTIONS(1706),
    [aux_sym_truncate_statement_token1] = ACTIONS(1706),
    [aux_sym_update_statement_token1] = ACTIONS(1706),
    [aux_sym_merge_statement_token1] = ACTIONS(1706),
    [aux_sym_grant_statement_token1] = ACTIONS(1706),
    [aux_sym_revoke_statement_token1] = ACTIONS(1706),
    [aux_sym_export_data_statement_token1] = ACTIONS(1706),
    [aux_sym_load_data_statement_token1] = ACTIONS(1706),
    [anon_sym_LBRACK] = ACTIONS(1704),
    [sym__quoted_identifier] = ACTIONS(1704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1704),
    [anon_sym_PLUS] = ACTIONS(1704),
    [anon_sym_DASH] = ACTIONS(1706),
    [anon_sym_STAR] = ACTIONS(1704),
    [anon_sym_SLASH] = ACTIONS(1706),
    [anon_sym_PIPE_PIPE] = ACTIONS(1704),
    [anon_sym_LT_EQ] = ACTIONS(1704),
    [anon_sym_LT_GT] = ACTIONS(1704),
    [anon_sym_GT_EQ] = ACTIONS(1704),
    [anon_sym_BANG_EQ] = ACTIONS(1704),
    [anon_sym_LT_LT] = ACTIONS(1704),
    [anon_sym_GT_GT] = ACTIONS(1704),
    [anon_sym_AMP] = ACTIONS(1704),
    [anon_sym_CARET] = ACTIONS(1704),
    [anon_sym_PIPE] = ACTIONS(1706),
  },
  [1892] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_from_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [1893] = {
    [ts_builtin_sym_end] = ACTIONS(1696),
    [sym__unquoted_identifier] = ACTIONS(1698),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1698),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1698),
    [aux_sym_keyword_replace_token1] = ACTIONS(1698),
    [aux_sym__keyword_alter_token1] = ACTIONS(1698),
    [aux_sym__keyword_from_token1] = ACTIONS(1698),
    [aux_sym__keyword_delete_token1] = ACTIONS(1698),
    [aux_sym__keyword_begin_token1] = ACTIONS(1698),
    [aux_sym__keyword_end_token1] = ACTIONS(1698),
    [aux_sym__keyword_between_token1] = ACTIONS(1698),
    [aux_sym__keyword_when_token1] = ACTIONS(1698),
    [aux_sym__keyword_else_token1] = ACTIONS(1698),
    [aux_sym__keyword_is_token1] = ACTIONS(1698),
    [aux_sym__keyword_in_token1] = ACTIONS(1698),
    [aux_sym__keyword_and_token1] = ACTIONS(1698),
    [aux_sym__keyword_like_token1] = ACTIONS(1698),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1698),
    [aux_sym__keyword_as_token1] = ACTIONS(1698),
    [aux_sym__keyword_window_token1] = ACTIONS(1698),
    [aux_sym__keyword_date_token1] = ACTIONS(1698),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1698),
    [aux_sym__keyword_time_token1] = ACTIONS(1698),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1698),
    [aux_sym__keyword_for_token1] = ACTIONS(1698),
    [anon_sym_SEMI] = ACTIONS(1696),
    [aux_sym_declare_statement_token1] = ACTIONS(1698),
    [anon_sym_COMMA] = ACTIONS(1696),
    [aux_sym_set_statement_token1] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1696),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1698),
    [aux_sym_return_satement_token1] = ACTIONS(1698),
    [aux_sym_call_statement_token1] = ACTIONS(1698),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1698),
    [aux_sym_if_statement_token1] = ACTIONS(1698),
    [aux_sym_loop_statement_token1] = ACTIONS(1698),
    [aux_sym_repeat_statement_token1] = ACTIONS(1698),
    [aux_sym_while_statement_token1] = ACTIONS(1698),
    [aux_sym_break_statement_token1] = ACTIONS(1698),
    [aux_sym_leave_statement_token1] = ACTIONS(1698),
    [aux_sym_continue_statement_token1] = ACTIONS(1698),
    [aux_sym_iterate_statement_token1] = ACTIONS(1698),
    [aux_sym_raise_statement_token1] = ACTIONS(1698),
    [anon_sym_EQ] = ACTIONS(1696),
    [aux_sym_assert_statement_token1] = ACTIONS(1698),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1698),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1698),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1698),
    [anon_sym_LT] = ACTIONS(1698),
    [anon_sym_GT] = ACTIONS(1698),
    [aux_sym_set_operation_token1] = ACTIONS(1698),
    [aux_sym_set_operation_token3] = ACTIONS(1698),
    [aux_sym_set_operation_token4] = ACTIONS(1698),
    [aux_sym_select_token1] = ACTIONS(1698),
    [aux_sym_having_clause_token1] = ACTIONS(1698),
    [aux_sym_qualify_clause_token1] = ACTIONS(1698),
    [aux_sym_limit_clause_token1] = ACTIONS(1698),
    [aux_sym_group_by_clause_token1] = ACTIONS(1698),
    [aux_sym_order_by_clause_token1] = ACTIONS(1698),
    [aux_sym_where_clause_token1] = ACTIONS(1698),
    [aux_sym_insert_statement_token1] = ACTIONS(1698),
    [aux_sym_truncate_statement_token1] = ACTIONS(1698),
    [aux_sym_update_statement_token1] = ACTIONS(1698),
    [aux_sym_merge_statement_token1] = ACTIONS(1698),
    [aux_sym_grant_statement_token1] = ACTIONS(1698),
    [aux_sym_revoke_statement_token1] = ACTIONS(1698),
    [aux_sym_export_data_statement_token1] = ACTIONS(1698),
    [aux_sym_load_data_statement_token1] = ACTIONS(1698),
    [anon_sym_LBRACK] = ACTIONS(1696),
    [sym__quoted_identifier] = ACTIONS(1696),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_STAR] = ACTIONS(1696),
    [anon_sym_SLASH] = ACTIONS(1698),
    [anon_sym_PIPE_PIPE] = ACTIONS(1696),
    [anon_sym_LT_EQ] = ACTIONS(1696),
    [anon_sym_LT_GT] = ACTIONS(1696),
    [anon_sym_GT_EQ] = ACTIONS(1696),
    [anon_sym_BANG_EQ] = ACTIONS(1696),
    [anon_sym_LT_LT] = ACTIONS(1696),
    [anon_sym_GT_GT] = ACTIONS(1696),
    [anon_sym_AMP] = ACTIONS(1696),
    [anon_sym_CARET] = ACTIONS(1696),
    [anon_sym_PIPE] = ACTIONS(1698),
  },
  [1894] = {
    [ts_builtin_sym_end] = ACTIONS(1382),
    [sym__unquoted_identifier] = ACTIONS(1384),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1384),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1384),
    [aux_sym_keyword_replace_token1] = ACTIONS(1384),
    [aux_sym__keyword_alter_token1] = ACTIONS(1384),
    [aux_sym__keyword_from_token1] = ACTIONS(1384),
    [aux_sym__keyword_delete_token1] = ACTIONS(1384),
    [aux_sym__keyword_begin_token1] = ACTIONS(1384),
    [aux_sym__keyword_end_token1] = ACTIONS(1384),
    [aux_sym__keyword_between_token1] = ACTIONS(1384),
    [aux_sym__keyword_when_token1] = ACTIONS(1384),
    [aux_sym__keyword_else_token1] = ACTIONS(1384),
    [aux_sym__keyword_is_token1] = ACTIONS(1384),
    [aux_sym__keyword_in_token1] = ACTIONS(1384),
    [aux_sym__keyword_and_token1] = ACTIONS(1384),
    [aux_sym__keyword_like_token1] = ACTIONS(1384),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1384),
    [aux_sym__keyword_as_token1] = ACTIONS(1384),
    [aux_sym__keyword_window_token1] = ACTIONS(1384),
    [aux_sym__keyword_date_token1] = ACTIONS(1384),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1384),
    [aux_sym__keyword_time_token1] = ACTIONS(1384),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1384),
    [aux_sym__keyword_for_token1] = ACTIONS(1384),
    [anon_sym_SEMI] = ACTIONS(1382),
    [aux_sym_declare_statement_token1] = ACTIONS(1384),
    [anon_sym_COMMA] = ACTIONS(1382),
    [aux_sym_set_statement_token1] = ACTIONS(1384),
    [anon_sym_LPAREN] = ACTIONS(1382),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1384),
    [aux_sym_return_satement_token1] = ACTIONS(1384),
    [aux_sym_call_statement_token1] = ACTIONS(1384),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1384),
    [aux_sym_if_statement_token1] = ACTIONS(1384),
    [aux_sym_loop_statement_token1] = ACTIONS(1384),
    [aux_sym_repeat_statement_token1] = ACTIONS(1384),
    [aux_sym_while_statement_token1] = ACTIONS(1384),
    [aux_sym_break_statement_token1] = ACTIONS(1384),
    [aux_sym_leave_statement_token1] = ACTIONS(1384),
    [aux_sym_continue_statement_token1] = ACTIONS(1384),
    [aux_sym_iterate_statement_token1] = ACTIONS(1384),
    [aux_sym_raise_statement_token1] = ACTIONS(1384),
    [anon_sym_EQ] = ACTIONS(1382),
    [aux_sym_assert_statement_token1] = ACTIONS(1384),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1384),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1384),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1384),
    [anon_sym_LT] = ACTIONS(1384),
    [anon_sym_GT] = ACTIONS(1384),
    [aux_sym_set_operation_token1] = ACTIONS(1384),
    [aux_sym_set_operation_token3] = ACTIONS(1384),
    [aux_sym_set_operation_token4] = ACTIONS(1384),
    [aux_sym_select_token1] = ACTIONS(1384),
    [aux_sym_having_clause_token1] = ACTIONS(1384),
    [aux_sym_qualify_clause_token1] = ACTIONS(1384),
    [aux_sym_limit_clause_token1] = ACTIONS(1384),
    [aux_sym_group_by_clause_token1] = ACTIONS(1384),
    [aux_sym_order_by_clause_token1] = ACTIONS(1384),
    [aux_sym_where_clause_token1] = ACTIONS(1384),
    [aux_sym_insert_statement_token1] = ACTIONS(1384),
    [aux_sym_truncate_statement_token1] = ACTIONS(1384),
    [aux_sym_update_statement_token1] = ACTIONS(1384),
    [aux_sym_merge_statement_token1] = ACTIONS(1384),
    [aux_sym_grant_statement_token1] = ACTIONS(1384),
    [aux_sym_revoke_statement_token1] = ACTIONS(1384),
    [aux_sym_export_data_statement_token1] = ACTIONS(1384),
    [aux_sym_load_data_statement_token1] = ACTIONS(1384),
    [anon_sym_LBRACK] = ACTIONS(1382),
    [sym__quoted_identifier] = ACTIONS(1382),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1382),
    [anon_sym_PLUS] = ACTIONS(1382),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_STAR] = ACTIONS(1382),
    [anon_sym_SLASH] = ACTIONS(1384),
    [anon_sym_PIPE_PIPE] = ACTIONS(1382),
    [anon_sym_LT_EQ] = ACTIONS(1382),
    [anon_sym_LT_GT] = ACTIONS(1382),
    [anon_sym_GT_EQ] = ACTIONS(1382),
    [anon_sym_BANG_EQ] = ACTIONS(1382),
    [anon_sym_LT_LT] = ACTIONS(1382),
    [anon_sym_GT_GT] = ACTIONS(1382),
    [anon_sym_AMP] = ACTIONS(1382),
    [anon_sym_CARET] = ACTIONS(1382),
    [anon_sym_PIPE] = ACTIONS(1384),
  },
  [1895] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [1896] = {
    [ts_builtin_sym_end] = ACTIONS(1598),
    [sym__unquoted_identifier] = ACTIONS(1600),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1600),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1600),
    [aux_sym_keyword_replace_token1] = ACTIONS(1600),
    [aux_sym__keyword_alter_token1] = ACTIONS(1600),
    [aux_sym__keyword_from_token1] = ACTIONS(1600),
    [aux_sym__keyword_delete_token1] = ACTIONS(1600),
    [aux_sym__keyword_begin_token1] = ACTIONS(1600),
    [aux_sym__keyword_end_token1] = ACTIONS(1600),
    [aux_sym__keyword_between_token1] = ACTIONS(1600),
    [aux_sym__keyword_when_token1] = ACTIONS(1600),
    [aux_sym__keyword_else_token1] = ACTIONS(1600),
    [aux_sym__keyword_is_token1] = ACTIONS(1600),
    [aux_sym__keyword_in_token1] = ACTIONS(1600),
    [aux_sym__keyword_and_token1] = ACTIONS(1600),
    [aux_sym__keyword_like_token1] = ACTIONS(1600),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1600),
    [aux_sym__keyword_as_token1] = ACTIONS(1600),
    [aux_sym__keyword_window_token1] = ACTIONS(1600),
    [aux_sym__keyword_date_token1] = ACTIONS(1600),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1600),
    [aux_sym__keyword_time_token1] = ACTIONS(1600),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1600),
    [aux_sym__keyword_for_token1] = ACTIONS(1600),
    [anon_sym_SEMI] = ACTIONS(1598),
    [aux_sym_declare_statement_token1] = ACTIONS(1600),
    [anon_sym_COMMA] = ACTIONS(1598),
    [aux_sym_set_statement_token1] = ACTIONS(1600),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1600),
    [aux_sym_return_satement_token1] = ACTIONS(1600),
    [aux_sym_call_statement_token1] = ACTIONS(1600),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1600),
    [aux_sym_if_statement_token1] = ACTIONS(1600),
    [aux_sym_loop_statement_token1] = ACTIONS(1600),
    [aux_sym_repeat_statement_token1] = ACTIONS(1600),
    [aux_sym_while_statement_token1] = ACTIONS(1600),
    [aux_sym_break_statement_token1] = ACTIONS(1600),
    [aux_sym_leave_statement_token1] = ACTIONS(1600),
    [aux_sym_continue_statement_token1] = ACTIONS(1600),
    [aux_sym_iterate_statement_token1] = ACTIONS(1600),
    [aux_sym_raise_statement_token1] = ACTIONS(1600),
    [anon_sym_EQ] = ACTIONS(1598),
    [aux_sym_assert_statement_token1] = ACTIONS(1600),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1600),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1600),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1600),
    [anon_sym_LT] = ACTIONS(1600),
    [anon_sym_GT] = ACTIONS(1600),
    [aux_sym_set_operation_token1] = ACTIONS(1600),
    [aux_sym_set_operation_token3] = ACTIONS(1600),
    [aux_sym_set_operation_token4] = ACTIONS(1600),
    [aux_sym_select_token1] = ACTIONS(1600),
    [aux_sym_having_clause_token1] = ACTIONS(1600),
    [aux_sym_qualify_clause_token1] = ACTIONS(1600),
    [aux_sym_limit_clause_token1] = ACTIONS(1600),
    [aux_sym_group_by_clause_token1] = ACTIONS(1600),
    [aux_sym_order_by_clause_token1] = ACTIONS(1600),
    [aux_sym_where_clause_token1] = ACTIONS(1600),
    [aux_sym_insert_statement_token1] = ACTIONS(1600),
    [aux_sym_truncate_statement_token1] = ACTIONS(1600),
    [aux_sym_update_statement_token1] = ACTIONS(1600),
    [aux_sym_merge_statement_token1] = ACTIONS(1600),
    [aux_sym_grant_statement_token1] = ACTIONS(1600),
    [aux_sym_revoke_statement_token1] = ACTIONS(1600),
    [aux_sym_export_data_statement_token1] = ACTIONS(1600),
    [aux_sym_load_data_statement_token1] = ACTIONS(1600),
    [anon_sym_LBRACK] = ACTIONS(1598),
    [sym__quoted_identifier] = ACTIONS(1598),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1598),
    [anon_sym_PLUS] = ACTIONS(1598),
    [anon_sym_DASH] = ACTIONS(1600),
    [anon_sym_STAR] = ACTIONS(1598),
    [anon_sym_SLASH] = ACTIONS(1600),
    [anon_sym_PIPE_PIPE] = ACTIONS(1598),
    [anon_sym_LT_EQ] = ACTIONS(1598),
    [anon_sym_LT_GT] = ACTIONS(1598),
    [anon_sym_GT_EQ] = ACTIONS(1598),
    [anon_sym_BANG_EQ] = ACTIONS(1598),
    [anon_sym_LT_LT] = ACTIONS(1598),
    [anon_sym_GT_GT] = ACTIONS(1598),
    [anon_sym_AMP] = ACTIONS(1598),
    [anon_sym_CARET] = ACTIONS(1598),
    [anon_sym_PIPE] = ACTIONS(1600),
  },
  [1897] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_from_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [1898] = {
    [ts_builtin_sym_end] = ACTIONS(1764),
    [sym__unquoted_identifier] = ACTIONS(1766),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1766),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1766),
    [aux_sym_keyword_replace_token1] = ACTIONS(1766),
    [aux_sym__keyword_alter_token1] = ACTIONS(1766),
    [aux_sym__keyword_from_token1] = ACTIONS(1766),
    [aux_sym__keyword_delete_token1] = ACTIONS(1766),
    [aux_sym__keyword_begin_token1] = ACTIONS(1766),
    [aux_sym__keyword_end_token1] = ACTIONS(1766),
    [aux_sym__keyword_between_token1] = ACTIONS(1766),
    [aux_sym__keyword_when_token1] = ACTIONS(1766),
    [aux_sym__keyword_else_token1] = ACTIONS(1766),
    [aux_sym__keyword_is_token1] = ACTIONS(1766),
    [aux_sym__keyword_in_token1] = ACTIONS(1766),
    [aux_sym__keyword_and_token1] = ACTIONS(1766),
    [aux_sym__keyword_like_token1] = ACTIONS(1766),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1766),
    [aux_sym__keyword_as_token1] = ACTIONS(1766),
    [aux_sym__keyword_window_token1] = ACTIONS(1766),
    [aux_sym__keyword_date_token1] = ACTIONS(1766),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1766),
    [aux_sym__keyword_time_token1] = ACTIONS(1766),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1766),
    [aux_sym__keyword_for_token1] = ACTIONS(1766),
    [anon_sym_SEMI] = ACTIONS(1764),
    [aux_sym_declare_statement_token1] = ACTIONS(1766),
    [anon_sym_COMMA] = ACTIONS(1764),
    [aux_sym_set_statement_token1] = ACTIONS(1766),
    [anon_sym_LPAREN] = ACTIONS(1764),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1766),
    [aux_sym_return_satement_token1] = ACTIONS(1766),
    [aux_sym_call_statement_token1] = ACTIONS(1766),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1766),
    [aux_sym_if_statement_token1] = ACTIONS(1766),
    [aux_sym_loop_statement_token1] = ACTIONS(1766),
    [aux_sym_repeat_statement_token1] = ACTIONS(1766),
    [aux_sym_while_statement_token1] = ACTIONS(1766),
    [aux_sym_break_statement_token1] = ACTIONS(1766),
    [aux_sym_leave_statement_token1] = ACTIONS(1766),
    [aux_sym_continue_statement_token1] = ACTIONS(1766),
    [aux_sym_iterate_statement_token1] = ACTIONS(1766),
    [aux_sym_raise_statement_token1] = ACTIONS(1766),
    [anon_sym_EQ] = ACTIONS(1764),
    [aux_sym_assert_statement_token1] = ACTIONS(1766),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1766),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1766),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1766),
    [anon_sym_LT] = ACTIONS(1766),
    [anon_sym_GT] = ACTIONS(1766),
    [aux_sym_set_operation_token1] = ACTIONS(1766),
    [aux_sym_set_operation_token3] = ACTIONS(1766),
    [aux_sym_set_operation_token4] = ACTIONS(1766),
    [aux_sym_select_token1] = ACTIONS(1766),
    [aux_sym_having_clause_token1] = ACTIONS(1766),
    [aux_sym_qualify_clause_token1] = ACTIONS(1766),
    [aux_sym_limit_clause_token1] = ACTIONS(1766),
    [aux_sym_group_by_clause_token1] = ACTIONS(1766),
    [aux_sym_order_by_clause_token1] = ACTIONS(1766),
    [aux_sym_where_clause_token1] = ACTIONS(1766),
    [aux_sym_insert_statement_token1] = ACTIONS(1766),
    [aux_sym_truncate_statement_token1] = ACTIONS(1766),
    [aux_sym_update_statement_token1] = ACTIONS(1766),
    [aux_sym_merge_statement_token1] = ACTIONS(1766),
    [aux_sym_grant_statement_token1] = ACTIONS(1766),
    [aux_sym_revoke_statement_token1] = ACTIONS(1766),
    [aux_sym_export_data_statement_token1] = ACTIONS(1766),
    [aux_sym_load_data_statement_token1] = ACTIONS(1766),
    [anon_sym_LBRACK] = ACTIONS(1764),
    [sym__quoted_identifier] = ACTIONS(1764),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_DASH] = ACTIONS(1766),
    [anon_sym_STAR] = ACTIONS(1764),
    [anon_sym_SLASH] = ACTIONS(1766),
    [anon_sym_PIPE_PIPE] = ACTIONS(1764),
    [anon_sym_LT_EQ] = ACTIONS(1764),
    [anon_sym_LT_GT] = ACTIONS(1764),
    [anon_sym_GT_EQ] = ACTIONS(1764),
    [anon_sym_BANG_EQ] = ACTIONS(1764),
    [anon_sym_LT_LT] = ACTIONS(1764),
    [anon_sym_GT_GT] = ACTIONS(1764),
    [anon_sym_AMP] = ACTIONS(1764),
    [anon_sym_CARET] = ACTIONS(1764),
    [anon_sym_PIPE] = ACTIONS(1766),
  },
  [1899] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [1900] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_from_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [1901] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_from_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [1902] = {
    [ts_builtin_sym_end] = ACTIONS(1858),
    [sym__unquoted_identifier] = ACTIONS(1860),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1860),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1860),
    [aux_sym_keyword_replace_token1] = ACTIONS(1860),
    [aux_sym__keyword_alter_token1] = ACTIONS(1860),
    [aux_sym__keyword_from_token1] = ACTIONS(1860),
    [aux_sym__keyword_delete_token1] = ACTIONS(1860),
    [aux_sym__keyword_begin_token1] = ACTIONS(1860),
    [aux_sym__keyword_end_token1] = ACTIONS(1860),
    [aux_sym__keyword_between_token1] = ACTIONS(1860),
    [aux_sym__keyword_when_token1] = ACTIONS(1860),
    [aux_sym__keyword_else_token1] = ACTIONS(1860),
    [aux_sym__keyword_is_token1] = ACTIONS(1860),
    [aux_sym__keyword_in_token1] = ACTIONS(1860),
    [aux_sym__keyword_and_token1] = ACTIONS(1860),
    [aux_sym__keyword_like_token1] = ACTIONS(1860),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1860),
    [aux_sym__keyword_as_token1] = ACTIONS(1860),
    [aux_sym__keyword_window_token1] = ACTIONS(1860),
    [aux_sym__keyword_date_token1] = ACTIONS(1860),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1860),
    [aux_sym__keyword_time_token1] = ACTIONS(1860),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1860),
    [aux_sym__keyword_for_token1] = ACTIONS(1860),
    [anon_sym_SEMI] = ACTIONS(1858),
    [aux_sym_declare_statement_token1] = ACTIONS(1860),
    [anon_sym_COMMA] = ACTIONS(1858),
    [aux_sym_set_statement_token1] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(1858),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1860),
    [aux_sym_return_satement_token1] = ACTIONS(1860),
    [aux_sym_call_statement_token1] = ACTIONS(1860),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1860),
    [aux_sym_if_statement_token1] = ACTIONS(1860),
    [aux_sym_loop_statement_token1] = ACTIONS(1860),
    [aux_sym_repeat_statement_token1] = ACTIONS(1860),
    [aux_sym_while_statement_token1] = ACTIONS(1860),
    [aux_sym_break_statement_token1] = ACTIONS(1860),
    [aux_sym_leave_statement_token1] = ACTIONS(1860),
    [aux_sym_continue_statement_token1] = ACTIONS(1860),
    [aux_sym_iterate_statement_token1] = ACTIONS(1860),
    [aux_sym_raise_statement_token1] = ACTIONS(1860),
    [anon_sym_EQ] = ACTIONS(1858),
    [aux_sym_assert_statement_token1] = ACTIONS(1860),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1860),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1860),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1860),
    [anon_sym_LT] = ACTIONS(1860),
    [anon_sym_GT] = ACTIONS(1860),
    [aux_sym_set_operation_token1] = ACTIONS(1860),
    [aux_sym_set_operation_token3] = ACTIONS(1860),
    [aux_sym_set_operation_token4] = ACTIONS(1860),
    [aux_sym_select_token1] = ACTIONS(1860),
    [aux_sym_having_clause_token1] = ACTIONS(1860),
    [aux_sym_qualify_clause_token1] = ACTIONS(1860),
    [aux_sym_limit_clause_token1] = ACTIONS(1860),
    [aux_sym_group_by_clause_token1] = ACTIONS(1860),
    [aux_sym_order_by_clause_token1] = ACTIONS(1860),
    [aux_sym_where_clause_token1] = ACTIONS(1860),
    [aux_sym_insert_statement_token1] = ACTIONS(1860),
    [aux_sym_truncate_statement_token1] = ACTIONS(1860),
    [aux_sym_update_statement_token1] = ACTIONS(1860),
    [aux_sym_merge_statement_token1] = ACTIONS(1860),
    [aux_sym_grant_statement_token1] = ACTIONS(1860),
    [aux_sym_revoke_statement_token1] = ACTIONS(1860),
    [aux_sym_export_data_statement_token1] = ACTIONS(1860),
    [aux_sym_load_data_statement_token1] = ACTIONS(1860),
    [anon_sym_LBRACK] = ACTIONS(1858),
    [sym__quoted_identifier] = ACTIONS(1858),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1858),
    [anon_sym_PLUS] = ACTIONS(1858),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_PIPE_PIPE] = ACTIONS(1858),
    [anon_sym_LT_EQ] = ACTIONS(1858),
    [anon_sym_LT_GT] = ACTIONS(1858),
    [anon_sym_GT_EQ] = ACTIONS(1858),
    [anon_sym_BANG_EQ] = ACTIONS(1858),
    [anon_sym_LT_LT] = ACTIONS(1858),
    [anon_sym_GT_GT] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym_CARET] = ACTIONS(1858),
    [anon_sym_PIPE] = ACTIONS(1860),
  },
  [1903] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_from_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [1904] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_from_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [1905] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [1906] = {
    [ts_builtin_sym_end] = ACTIONS(1484),
    [sym__unquoted_identifier] = ACTIONS(1486),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1486),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1486),
    [aux_sym_keyword_replace_token1] = ACTIONS(1486),
    [aux_sym__keyword_alter_token1] = ACTIONS(1486),
    [aux_sym__keyword_from_token1] = ACTIONS(1486),
    [aux_sym__keyword_delete_token1] = ACTIONS(1486),
    [aux_sym__keyword_begin_token1] = ACTIONS(1486),
    [aux_sym__keyword_end_token1] = ACTIONS(1486),
    [aux_sym__keyword_between_token1] = ACTIONS(1486),
    [aux_sym__keyword_when_token1] = ACTIONS(1486),
    [aux_sym__keyword_else_token1] = ACTIONS(1486),
    [aux_sym__keyword_is_token1] = ACTIONS(1486),
    [aux_sym__keyword_in_token1] = ACTIONS(1486),
    [aux_sym__keyword_and_token1] = ACTIONS(1486),
    [aux_sym__keyword_like_token1] = ACTIONS(1486),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1486),
    [aux_sym__keyword_as_token1] = ACTIONS(1486),
    [aux_sym__keyword_window_token1] = ACTIONS(1486),
    [aux_sym__keyword_date_token1] = ACTIONS(1486),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1486),
    [aux_sym__keyword_time_token1] = ACTIONS(1486),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1486),
    [aux_sym__keyword_for_token1] = ACTIONS(1486),
    [anon_sym_SEMI] = ACTIONS(1484),
    [aux_sym_declare_statement_token1] = ACTIONS(1486),
    [anon_sym_COMMA] = ACTIONS(1484),
    [aux_sym_set_statement_token1] = ACTIONS(1486),
    [anon_sym_LPAREN] = ACTIONS(1484),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1486),
    [aux_sym_return_satement_token1] = ACTIONS(1486),
    [aux_sym_call_statement_token1] = ACTIONS(1486),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1486),
    [aux_sym_if_statement_token1] = ACTIONS(1486),
    [aux_sym_loop_statement_token1] = ACTIONS(1486),
    [aux_sym_repeat_statement_token1] = ACTIONS(1486),
    [aux_sym_while_statement_token1] = ACTIONS(1486),
    [aux_sym_break_statement_token1] = ACTIONS(1486),
    [aux_sym_leave_statement_token1] = ACTIONS(1486),
    [aux_sym_continue_statement_token1] = ACTIONS(1486),
    [aux_sym_iterate_statement_token1] = ACTIONS(1486),
    [aux_sym_raise_statement_token1] = ACTIONS(1486),
    [anon_sym_EQ] = ACTIONS(1484),
    [aux_sym_assert_statement_token1] = ACTIONS(1486),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1486),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1486),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1486),
    [anon_sym_LT] = ACTIONS(1486),
    [anon_sym_GT] = ACTIONS(1486),
    [aux_sym_set_operation_token1] = ACTIONS(1486),
    [aux_sym_set_operation_token3] = ACTIONS(1486),
    [aux_sym_set_operation_token4] = ACTIONS(1486),
    [aux_sym_select_token1] = ACTIONS(1486),
    [aux_sym_having_clause_token1] = ACTIONS(1486),
    [aux_sym_qualify_clause_token1] = ACTIONS(1486),
    [aux_sym_limit_clause_token1] = ACTIONS(1486),
    [aux_sym_group_by_clause_token1] = ACTIONS(1486),
    [aux_sym_order_by_clause_token1] = ACTIONS(1486),
    [aux_sym_where_clause_token1] = ACTIONS(1486),
    [aux_sym_insert_statement_token1] = ACTIONS(1486),
    [aux_sym_truncate_statement_token1] = ACTIONS(1486),
    [aux_sym_update_statement_token1] = ACTIONS(1486),
    [aux_sym_merge_statement_token1] = ACTIONS(1486),
    [aux_sym_grant_statement_token1] = ACTIONS(1486),
    [aux_sym_revoke_statement_token1] = ACTIONS(1486),
    [aux_sym_export_data_statement_token1] = ACTIONS(1486),
    [aux_sym_load_data_statement_token1] = ACTIONS(1486),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym__quoted_identifier] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_SLASH] = ACTIONS(1486),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [anon_sym_LT_EQ] = ACTIONS(1484),
    [anon_sym_LT_GT] = ACTIONS(1484),
    [anon_sym_GT_EQ] = ACTIONS(1484),
    [anon_sym_BANG_EQ] = ACTIONS(1484),
    [anon_sym_LT_LT] = ACTIONS(1484),
    [anon_sym_GT_GT] = ACTIONS(1484),
    [anon_sym_AMP] = ACTIONS(1484),
    [anon_sym_CARET] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1486),
  },
  [1907] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [1908] = {
    [ts_builtin_sym_end] = ACTIONS(1708),
    [sym__unquoted_identifier] = ACTIONS(1710),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1710),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1710),
    [aux_sym_keyword_replace_token1] = ACTIONS(1710),
    [aux_sym__keyword_alter_token1] = ACTIONS(1710),
    [aux_sym__keyword_from_token1] = ACTIONS(1710),
    [aux_sym__keyword_delete_token1] = ACTIONS(1710),
    [aux_sym__keyword_begin_token1] = ACTIONS(1710),
    [aux_sym__keyword_end_token1] = ACTIONS(1710),
    [aux_sym__keyword_between_token1] = ACTIONS(1710),
    [aux_sym__keyword_when_token1] = ACTIONS(1710),
    [aux_sym__keyword_else_token1] = ACTIONS(1710),
    [aux_sym__keyword_is_token1] = ACTIONS(1710),
    [aux_sym__keyword_in_token1] = ACTIONS(1710),
    [aux_sym__keyword_and_token1] = ACTIONS(1710),
    [aux_sym__keyword_like_token1] = ACTIONS(1710),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1710),
    [aux_sym__keyword_as_token1] = ACTIONS(1710),
    [aux_sym__keyword_window_token1] = ACTIONS(1710),
    [aux_sym__keyword_date_token1] = ACTIONS(1710),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1710),
    [aux_sym__keyword_time_token1] = ACTIONS(1710),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1710),
    [aux_sym__keyword_for_token1] = ACTIONS(1710),
    [anon_sym_SEMI] = ACTIONS(1708),
    [aux_sym_declare_statement_token1] = ACTIONS(1710),
    [anon_sym_COMMA] = ACTIONS(1708),
    [aux_sym_set_statement_token1] = ACTIONS(1710),
    [anon_sym_LPAREN] = ACTIONS(1708),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1710),
    [aux_sym_return_satement_token1] = ACTIONS(1710),
    [aux_sym_call_statement_token1] = ACTIONS(1710),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1710),
    [aux_sym_if_statement_token1] = ACTIONS(1710),
    [aux_sym_loop_statement_token1] = ACTIONS(1710),
    [aux_sym_repeat_statement_token1] = ACTIONS(1710),
    [aux_sym_while_statement_token1] = ACTIONS(1710),
    [aux_sym_break_statement_token1] = ACTIONS(1710),
    [aux_sym_leave_statement_token1] = ACTIONS(1710),
    [aux_sym_continue_statement_token1] = ACTIONS(1710),
    [aux_sym_iterate_statement_token1] = ACTIONS(1710),
    [aux_sym_raise_statement_token1] = ACTIONS(1710),
    [anon_sym_EQ] = ACTIONS(1708),
    [aux_sym_assert_statement_token1] = ACTIONS(1710),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1710),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1710),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1710),
    [anon_sym_LT] = ACTIONS(1710),
    [anon_sym_GT] = ACTIONS(1710),
    [aux_sym_set_operation_token1] = ACTIONS(1710),
    [aux_sym_set_operation_token3] = ACTIONS(1710),
    [aux_sym_set_operation_token4] = ACTIONS(1710),
    [aux_sym_select_token1] = ACTIONS(1710),
    [aux_sym_having_clause_token1] = ACTIONS(1710),
    [aux_sym_qualify_clause_token1] = ACTIONS(1710),
    [aux_sym_limit_clause_token1] = ACTIONS(1710),
    [aux_sym_group_by_clause_token1] = ACTIONS(1710),
    [aux_sym_order_by_clause_token1] = ACTIONS(1710),
    [aux_sym_where_clause_token1] = ACTIONS(1710),
    [aux_sym_insert_statement_token1] = ACTIONS(1710),
    [aux_sym_truncate_statement_token1] = ACTIONS(1710),
    [aux_sym_update_statement_token1] = ACTIONS(1710),
    [aux_sym_merge_statement_token1] = ACTIONS(1710),
    [aux_sym_grant_statement_token1] = ACTIONS(1710),
    [aux_sym_revoke_statement_token1] = ACTIONS(1710),
    [aux_sym_export_data_statement_token1] = ACTIONS(1710),
    [aux_sym_load_data_statement_token1] = ACTIONS(1710),
    [anon_sym_LBRACK] = ACTIONS(1708),
    [sym__quoted_identifier] = ACTIONS(1708),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_DASH] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(1708),
    [anon_sym_SLASH] = ACTIONS(1710),
    [anon_sym_PIPE_PIPE] = ACTIONS(1708),
    [anon_sym_LT_EQ] = ACTIONS(1708),
    [anon_sym_LT_GT] = ACTIONS(1708),
    [anon_sym_GT_EQ] = ACTIONS(1708),
    [anon_sym_BANG_EQ] = ACTIONS(1708),
    [anon_sym_LT_LT] = ACTIONS(1708),
    [anon_sym_GT_GT] = ACTIONS(1708),
    [anon_sym_AMP] = ACTIONS(1708),
    [anon_sym_CARET] = ACTIONS(1708),
    [anon_sym_PIPE] = ACTIONS(1710),
  },
  [1909] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [1910] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [1911] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [1912] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [1913] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [1914] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [1915] = {
    [ts_builtin_sym_end] = ACTIONS(1712),
    [sym__unquoted_identifier] = ACTIONS(1714),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1714),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1714),
    [aux_sym_keyword_replace_token1] = ACTIONS(1714),
    [aux_sym__keyword_alter_token1] = ACTIONS(1714),
    [aux_sym__keyword_from_token1] = ACTIONS(1714),
    [aux_sym__keyword_delete_token1] = ACTIONS(1714),
    [aux_sym__keyword_begin_token1] = ACTIONS(1714),
    [aux_sym__keyword_end_token1] = ACTIONS(1714),
    [aux_sym__keyword_between_token1] = ACTIONS(1714),
    [aux_sym__keyword_when_token1] = ACTIONS(1714),
    [aux_sym__keyword_else_token1] = ACTIONS(1714),
    [aux_sym__keyword_is_token1] = ACTIONS(1714),
    [aux_sym__keyword_in_token1] = ACTIONS(1714),
    [aux_sym__keyword_and_token1] = ACTIONS(1714),
    [aux_sym__keyword_like_token1] = ACTIONS(1714),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1714),
    [aux_sym__keyword_as_token1] = ACTIONS(1714),
    [aux_sym__keyword_window_token1] = ACTIONS(1714),
    [aux_sym__keyword_date_token1] = ACTIONS(1714),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1714),
    [aux_sym__keyword_time_token1] = ACTIONS(1714),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1714),
    [aux_sym__keyword_for_token1] = ACTIONS(1714),
    [anon_sym_SEMI] = ACTIONS(1712),
    [aux_sym_declare_statement_token1] = ACTIONS(1714),
    [anon_sym_COMMA] = ACTIONS(1712),
    [aux_sym_set_statement_token1] = ACTIONS(1714),
    [anon_sym_LPAREN] = ACTIONS(1712),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1714),
    [aux_sym_return_satement_token1] = ACTIONS(1714),
    [aux_sym_call_statement_token1] = ACTIONS(1714),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1714),
    [aux_sym_if_statement_token1] = ACTIONS(1714),
    [aux_sym_loop_statement_token1] = ACTIONS(1714),
    [aux_sym_repeat_statement_token1] = ACTIONS(1714),
    [aux_sym_while_statement_token1] = ACTIONS(1714),
    [aux_sym_break_statement_token1] = ACTIONS(1714),
    [aux_sym_leave_statement_token1] = ACTIONS(1714),
    [aux_sym_continue_statement_token1] = ACTIONS(1714),
    [aux_sym_iterate_statement_token1] = ACTIONS(1714),
    [aux_sym_raise_statement_token1] = ACTIONS(1714),
    [anon_sym_EQ] = ACTIONS(1712),
    [aux_sym_assert_statement_token1] = ACTIONS(1714),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1714),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1714),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1714),
    [anon_sym_LT] = ACTIONS(1714),
    [anon_sym_GT] = ACTIONS(1714),
    [aux_sym_set_operation_token1] = ACTIONS(1714),
    [aux_sym_set_operation_token3] = ACTIONS(1714),
    [aux_sym_set_operation_token4] = ACTIONS(1714),
    [aux_sym_select_token1] = ACTIONS(1714),
    [aux_sym_having_clause_token1] = ACTIONS(1714),
    [aux_sym_qualify_clause_token1] = ACTIONS(1714),
    [aux_sym_limit_clause_token1] = ACTIONS(1714),
    [aux_sym_group_by_clause_token1] = ACTIONS(1714),
    [aux_sym_order_by_clause_token1] = ACTIONS(1714),
    [aux_sym_where_clause_token1] = ACTIONS(1714),
    [aux_sym_insert_statement_token1] = ACTIONS(1714),
    [aux_sym_truncate_statement_token1] = ACTIONS(1714),
    [aux_sym_update_statement_token1] = ACTIONS(1714),
    [aux_sym_merge_statement_token1] = ACTIONS(1714),
    [aux_sym_grant_statement_token1] = ACTIONS(1714),
    [aux_sym_revoke_statement_token1] = ACTIONS(1714),
    [aux_sym_export_data_statement_token1] = ACTIONS(1714),
    [aux_sym_load_data_statement_token1] = ACTIONS(1714),
    [anon_sym_LBRACK] = ACTIONS(1712),
    [sym__quoted_identifier] = ACTIONS(1712),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1712),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_DASH] = ACTIONS(1714),
    [anon_sym_STAR] = ACTIONS(1712),
    [anon_sym_SLASH] = ACTIONS(1714),
    [anon_sym_PIPE_PIPE] = ACTIONS(1712),
    [anon_sym_LT_EQ] = ACTIONS(1712),
    [anon_sym_LT_GT] = ACTIONS(1712),
    [anon_sym_GT_EQ] = ACTIONS(1712),
    [anon_sym_BANG_EQ] = ACTIONS(1712),
    [anon_sym_LT_LT] = ACTIONS(1712),
    [anon_sym_GT_GT] = ACTIONS(1712),
    [anon_sym_AMP] = ACTIONS(1712),
    [anon_sym_CARET] = ACTIONS(1712),
    [anon_sym_PIPE] = ACTIONS(1714),
  },
  [1916] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [1917] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [1918] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [1919] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [1920] = {
    [ts_builtin_sym_end] = ACTIONS(1492),
    [sym__unquoted_identifier] = ACTIONS(1494),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1494),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1494),
    [aux_sym_keyword_replace_token1] = ACTIONS(1494),
    [aux_sym__keyword_alter_token1] = ACTIONS(1494),
    [aux_sym__keyword_from_token1] = ACTIONS(1494),
    [aux_sym__keyword_delete_token1] = ACTIONS(1494),
    [aux_sym__keyword_begin_token1] = ACTIONS(1494),
    [aux_sym__keyword_end_token1] = ACTIONS(1494),
    [aux_sym__keyword_between_token1] = ACTIONS(1494),
    [aux_sym__keyword_when_token1] = ACTIONS(1494),
    [aux_sym__keyword_else_token1] = ACTIONS(1494),
    [aux_sym__keyword_is_token1] = ACTIONS(1494),
    [aux_sym__keyword_in_token1] = ACTIONS(1494),
    [aux_sym__keyword_and_token1] = ACTIONS(1494),
    [aux_sym__keyword_like_token1] = ACTIONS(1494),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1494),
    [aux_sym__keyword_as_token1] = ACTIONS(1494),
    [aux_sym__keyword_window_token1] = ACTIONS(1494),
    [aux_sym__keyword_date_token1] = ACTIONS(1494),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1494),
    [aux_sym__keyword_time_token1] = ACTIONS(1494),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1494),
    [aux_sym__keyword_for_token1] = ACTIONS(1494),
    [anon_sym_SEMI] = ACTIONS(1492),
    [aux_sym_declare_statement_token1] = ACTIONS(1494),
    [anon_sym_COMMA] = ACTIONS(1492),
    [aux_sym_set_statement_token1] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1494),
    [aux_sym_return_satement_token1] = ACTIONS(1494),
    [aux_sym_call_statement_token1] = ACTIONS(1494),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1494),
    [aux_sym_if_statement_token1] = ACTIONS(1494),
    [aux_sym_loop_statement_token1] = ACTIONS(1494),
    [aux_sym_repeat_statement_token1] = ACTIONS(1494),
    [aux_sym_while_statement_token1] = ACTIONS(1494),
    [aux_sym_break_statement_token1] = ACTIONS(1494),
    [aux_sym_leave_statement_token1] = ACTIONS(1494),
    [aux_sym_continue_statement_token1] = ACTIONS(1494),
    [aux_sym_iterate_statement_token1] = ACTIONS(1494),
    [aux_sym_raise_statement_token1] = ACTIONS(1494),
    [anon_sym_EQ] = ACTIONS(1492),
    [aux_sym_assert_statement_token1] = ACTIONS(1494),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1494),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1494),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1494),
    [anon_sym_LT] = ACTIONS(1494),
    [anon_sym_GT] = ACTIONS(1494),
    [aux_sym_set_operation_token1] = ACTIONS(1494),
    [aux_sym_set_operation_token3] = ACTIONS(1494),
    [aux_sym_set_operation_token4] = ACTIONS(1494),
    [aux_sym_select_token1] = ACTIONS(1494),
    [aux_sym_having_clause_token1] = ACTIONS(1494),
    [aux_sym_qualify_clause_token1] = ACTIONS(1494),
    [aux_sym_limit_clause_token1] = ACTIONS(1494),
    [aux_sym_group_by_clause_token1] = ACTIONS(1494),
    [aux_sym_order_by_clause_token1] = ACTIONS(1494),
    [aux_sym_where_clause_token1] = ACTIONS(1494),
    [aux_sym_insert_statement_token1] = ACTIONS(1494),
    [aux_sym_truncate_statement_token1] = ACTIONS(1494),
    [aux_sym_update_statement_token1] = ACTIONS(1494),
    [aux_sym_merge_statement_token1] = ACTIONS(1494),
    [aux_sym_grant_statement_token1] = ACTIONS(1494),
    [aux_sym_revoke_statement_token1] = ACTIONS(1494),
    [aux_sym_export_data_statement_token1] = ACTIONS(1494),
    [aux_sym_load_data_statement_token1] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [sym__quoted_identifier] = ACTIONS(1492),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_STAR] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1494),
    [anon_sym_PIPE_PIPE] = ACTIONS(1492),
    [anon_sym_LT_EQ] = ACTIONS(1492),
    [anon_sym_LT_GT] = ACTIONS(1492),
    [anon_sym_GT_EQ] = ACTIONS(1492),
    [anon_sym_BANG_EQ] = ACTIONS(1492),
    [anon_sym_LT_LT] = ACTIONS(1492),
    [anon_sym_GT_GT] = ACTIONS(1492),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_CARET] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1494),
  },
  [1921] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [1922] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [1923] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [1924] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [1925] = {
    [ts_builtin_sym_end] = ACTIONS(1716),
    [sym__unquoted_identifier] = ACTIONS(1718),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1718),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1718),
    [aux_sym_keyword_replace_token1] = ACTIONS(1718),
    [aux_sym__keyword_alter_token1] = ACTIONS(1718),
    [aux_sym__keyword_from_token1] = ACTIONS(1718),
    [aux_sym__keyword_delete_token1] = ACTIONS(1718),
    [aux_sym__keyword_begin_token1] = ACTIONS(1718),
    [aux_sym__keyword_end_token1] = ACTIONS(1718),
    [aux_sym__keyword_between_token1] = ACTIONS(1718),
    [aux_sym__keyword_when_token1] = ACTIONS(1718),
    [aux_sym__keyword_else_token1] = ACTIONS(1718),
    [aux_sym__keyword_is_token1] = ACTIONS(1718),
    [aux_sym__keyword_in_token1] = ACTIONS(1718),
    [aux_sym__keyword_and_token1] = ACTIONS(1718),
    [aux_sym__keyword_like_token1] = ACTIONS(1718),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1718),
    [aux_sym__keyword_as_token1] = ACTIONS(1718),
    [aux_sym__keyword_window_token1] = ACTIONS(1718),
    [aux_sym__keyword_date_token1] = ACTIONS(1718),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1718),
    [aux_sym__keyword_time_token1] = ACTIONS(1718),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1718),
    [aux_sym__keyword_for_token1] = ACTIONS(1718),
    [anon_sym_SEMI] = ACTIONS(1716),
    [aux_sym_declare_statement_token1] = ACTIONS(1718),
    [anon_sym_COMMA] = ACTIONS(1716),
    [aux_sym_set_statement_token1] = ACTIONS(1718),
    [anon_sym_LPAREN] = ACTIONS(1716),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1718),
    [aux_sym_return_satement_token1] = ACTIONS(1718),
    [aux_sym_call_statement_token1] = ACTIONS(1718),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1718),
    [aux_sym_if_statement_token1] = ACTIONS(1718),
    [aux_sym_loop_statement_token1] = ACTIONS(1718),
    [aux_sym_repeat_statement_token1] = ACTIONS(1718),
    [aux_sym_while_statement_token1] = ACTIONS(1718),
    [aux_sym_break_statement_token1] = ACTIONS(1718),
    [aux_sym_leave_statement_token1] = ACTIONS(1718),
    [aux_sym_continue_statement_token1] = ACTIONS(1718),
    [aux_sym_iterate_statement_token1] = ACTIONS(1718),
    [aux_sym_raise_statement_token1] = ACTIONS(1718),
    [anon_sym_EQ] = ACTIONS(1716),
    [aux_sym_assert_statement_token1] = ACTIONS(1718),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1718),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1718),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1718),
    [anon_sym_LT] = ACTIONS(1718),
    [anon_sym_GT] = ACTIONS(1718),
    [aux_sym_set_operation_token1] = ACTIONS(1718),
    [aux_sym_set_operation_token3] = ACTIONS(1718),
    [aux_sym_set_operation_token4] = ACTIONS(1718),
    [aux_sym_select_token1] = ACTIONS(1718),
    [aux_sym_having_clause_token1] = ACTIONS(1718),
    [aux_sym_qualify_clause_token1] = ACTIONS(1718),
    [aux_sym_limit_clause_token1] = ACTIONS(1718),
    [aux_sym_group_by_clause_token1] = ACTIONS(1718),
    [aux_sym_order_by_clause_token1] = ACTIONS(1718),
    [aux_sym_where_clause_token1] = ACTIONS(1718),
    [aux_sym_insert_statement_token1] = ACTIONS(1718),
    [aux_sym_truncate_statement_token1] = ACTIONS(1718),
    [aux_sym_update_statement_token1] = ACTIONS(1718),
    [aux_sym_merge_statement_token1] = ACTIONS(1718),
    [aux_sym_grant_statement_token1] = ACTIONS(1718),
    [aux_sym_revoke_statement_token1] = ACTIONS(1718),
    [aux_sym_export_data_statement_token1] = ACTIONS(1718),
    [aux_sym_load_data_statement_token1] = ACTIONS(1718),
    [anon_sym_LBRACK] = ACTIONS(1716),
    [sym__quoted_identifier] = ACTIONS(1716),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_DASH] = ACTIONS(1718),
    [anon_sym_STAR] = ACTIONS(1716),
    [anon_sym_SLASH] = ACTIONS(1718),
    [anon_sym_PIPE_PIPE] = ACTIONS(1716),
    [anon_sym_LT_EQ] = ACTIONS(1716),
    [anon_sym_LT_GT] = ACTIONS(1716),
    [anon_sym_GT_EQ] = ACTIONS(1716),
    [anon_sym_BANG_EQ] = ACTIONS(1716),
    [anon_sym_LT_LT] = ACTIONS(1716),
    [anon_sym_GT_GT] = ACTIONS(1716),
    [anon_sym_AMP] = ACTIONS(1716),
    [anon_sym_CARET] = ACTIONS(1716),
    [anon_sym_PIPE] = ACTIONS(1718),
  },
  [1926] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [1927] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [1928] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [1929] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [1930] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [1931] = {
    [ts_builtin_sym_end] = ACTIONS(1394),
    [sym__unquoted_identifier] = ACTIONS(1396),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1396),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1396),
    [aux_sym_keyword_replace_token1] = ACTIONS(1396),
    [aux_sym__keyword_alter_token1] = ACTIONS(1396),
    [aux_sym__keyword_from_token1] = ACTIONS(1396),
    [aux_sym__keyword_delete_token1] = ACTIONS(1396),
    [aux_sym__keyword_begin_token1] = ACTIONS(1396),
    [aux_sym__keyword_end_token1] = ACTIONS(1396),
    [aux_sym__keyword_between_token1] = ACTIONS(1396),
    [aux_sym__keyword_when_token1] = ACTIONS(1396),
    [aux_sym__keyword_else_token1] = ACTIONS(1396),
    [aux_sym__keyword_is_token1] = ACTIONS(1396),
    [aux_sym__keyword_in_token1] = ACTIONS(1396),
    [aux_sym__keyword_and_token1] = ACTIONS(1396),
    [aux_sym__keyword_like_token1] = ACTIONS(1396),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1396),
    [aux_sym__keyword_as_token1] = ACTIONS(1396),
    [aux_sym__keyword_window_token1] = ACTIONS(1396),
    [aux_sym__keyword_date_token1] = ACTIONS(1396),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1396),
    [aux_sym__keyword_time_token1] = ACTIONS(1396),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1396),
    [aux_sym__keyword_for_token1] = ACTIONS(1396),
    [anon_sym_SEMI] = ACTIONS(1394),
    [aux_sym_declare_statement_token1] = ACTIONS(1396),
    [anon_sym_COMMA] = ACTIONS(1394),
    [aux_sym_set_statement_token1] = ACTIONS(1396),
    [anon_sym_LPAREN] = ACTIONS(1394),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1396),
    [aux_sym_return_satement_token1] = ACTIONS(1396),
    [aux_sym_call_statement_token1] = ACTIONS(1396),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1396),
    [aux_sym_if_statement_token1] = ACTIONS(1396),
    [aux_sym_loop_statement_token1] = ACTIONS(1396),
    [aux_sym_repeat_statement_token1] = ACTIONS(1396),
    [aux_sym_while_statement_token1] = ACTIONS(1396),
    [aux_sym_break_statement_token1] = ACTIONS(1396),
    [aux_sym_leave_statement_token1] = ACTIONS(1396),
    [aux_sym_continue_statement_token1] = ACTIONS(1396),
    [aux_sym_iterate_statement_token1] = ACTIONS(1396),
    [aux_sym_raise_statement_token1] = ACTIONS(1396),
    [anon_sym_EQ] = ACTIONS(1394),
    [aux_sym_assert_statement_token1] = ACTIONS(1396),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1396),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1396),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1396),
    [anon_sym_LT] = ACTIONS(1396),
    [anon_sym_GT] = ACTIONS(1396),
    [aux_sym_set_operation_token1] = ACTIONS(1396),
    [aux_sym_set_operation_token3] = ACTIONS(1396),
    [aux_sym_set_operation_token4] = ACTIONS(1396),
    [aux_sym_select_token1] = ACTIONS(1396),
    [aux_sym_having_clause_token1] = ACTIONS(1396),
    [aux_sym_qualify_clause_token1] = ACTIONS(1396),
    [aux_sym_limit_clause_token1] = ACTIONS(1396),
    [aux_sym_group_by_clause_token1] = ACTIONS(1396),
    [aux_sym_order_by_clause_token1] = ACTIONS(1396),
    [aux_sym_where_clause_token1] = ACTIONS(1396),
    [aux_sym_insert_statement_token1] = ACTIONS(1396),
    [aux_sym_truncate_statement_token1] = ACTIONS(1396),
    [aux_sym_update_statement_token1] = ACTIONS(1396),
    [aux_sym_merge_statement_token1] = ACTIONS(1396),
    [aux_sym_grant_statement_token1] = ACTIONS(1396),
    [aux_sym_revoke_statement_token1] = ACTIONS(1396),
    [aux_sym_export_data_statement_token1] = ACTIONS(1396),
    [aux_sym_load_data_statement_token1] = ACTIONS(1396),
    [anon_sym_LBRACK] = ACTIONS(1394),
    [sym__quoted_identifier] = ACTIONS(1394),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_STAR] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(1396),
    [anon_sym_PIPE_PIPE] = ACTIONS(1394),
    [anon_sym_LT_EQ] = ACTIONS(1394),
    [anon_sym_LT_GT] = ACTIONS(1394),
    [anon_sym_GT_EQ] = ACTIONS(1394),
    [anon_sym_BANG_EQ] = ACTIONS(1394),
    [anon_sym_LT_LT] = ACTIONS(1394),
    [anon_sym_GT_GT] = ACTIONS(1394),
    [anon_sym_AMP] = ACTIONS(1394),
    [anon_sym_CARET] = ACTIONS(1394),
    [anon_sym_PIPE] = ACTIONS(1396),
  },
  [1932] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [1933] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [1934] = {
    [ts_builtin_sym_end] = ACTIONS(1398),
    [sym__unquoted_identifier] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1400),
    [aux_sym_keyword_replace_token1] = ACTIONS(1400),
    [aux_sym__keyword_alter_token1] = ACTIONS(1400),
    [aux_sym__keyword_from_token1] = ACTIONS(1400),
    [aux_sym__keyword_delete_token1] = ACTIONS(1400),
    [aux_sym__keyword_begin_token1] = ACTIONS(1400),
    [aux_sym__keyword_end_token1] = ACTIONS(1400),
    [aux_sym__keyword_between_token1] = ACTIONS(1400),
    [aux_sym__keyword_when_token1] = ACTIONS(1400),
    [aux_sym__keyword_else_token1] = ACTIONS(1400),
    [aux_sym__keyword_is_token1] = ACTIONS(1400),
    [aux_sym__keyword_in_token1] = ACTIONS(1400),
    [aux_sym__keyword_and_token1] = ACTIONS(1400),
    [aux_sym__keyword_like_token1] = ACTIONS(1400),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1400),
    [aux_sym__keyword_as_token1] = ACTIONS(1400),
    [aux_sym__keyword_window_token1] = ACTIONS(1400),
    [aux_sym__keyword_date_token1] = ACTIONS(1400),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1400),
    [aux_sym__keyword_time_token1] = ACTIONS(1400),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1400),
    [aux_sym__keyword_for_token1] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1400),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1400),
    [aux_sym_return_satement_token1] = ACTIONS(1400),
    [aux_sym_call_statement_token1] = ACTIONS(1400),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1400),
    [aux_sym_if_statement_token1] = ACTIONS(1400),
    [aux_sym_loop_statement_token1] = ACTIONS(1400),
    [aux_sym_repeat_statement_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token1] = ACTIONS(1400),
    [aux_sym_break_statement_token1] = ACTIONS(1400),
    [aux_sym_leave_statement_token1] = ACTIONS(1400),
    [aux_sym_continue_statement_token1] = ACTIONS(1400),
    [aux_sym_iterate_statement_token1] = ACTIONS(1400),
    [aux_sym_raise_statement_token1] = ACTIONS(1400),
    [anon_sym_EQ] = ACTIONS(1398),
    [aux_sym_assert_statement_token1] = ACTIONS(1400),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1400),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [aux_sym_set_operation_token1] = ACTIONS(1400),
    [aux_sym_set_operation_token3] = ACTIONS(1400),
    [aux_sym_set_operation_token4] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1400),
    [aux_sym_having_clause_token1] = ACTIONS(1400),
    [aux_sym_qualify_clause_token1] = ACTIONS(1400),
    [aux_sym_limit_clause_token1] = ACTIONS(1400),
    [aux_sym_group_by_clause_token1] = ACTIONS(1400),
    [aux_sym_order_by_clause_token1] = ACTIONS(1400),
    [aux_sym_where_clause_token1] = ACTIONS(1400),
    [aux_sym_insert_statement_token1] = ACTIONS(1400),
    [aux_sym_truncate_statement_token1] = ACTIONS(1400),
    [aux_sym_update_statement_token1] = ACTIONS(1400),
    [aux_sym_merge_statement_token1] = ACTIONS(1400),
    [aux_sym_grant_statement_token1] = ACTIONS(1400),
    [aux_sym_revoke_statement_token1] = ACTIONS(1400),
    [aux_sym_export_data_statement_token1] = ACTIONS(1400),
    [aux_sym_load_data_statement_token1] = ACTIONS(1400),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym__quoted_identifier] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_LT_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
  },
  [1935] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [1936] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [1937] = {
    [ts_builtin_sym_end] = ACTIONS(1406),
    [sym__unquoted_identifier] = ACTIONS(1408),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1408),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1408),
    [aux_sym_keyword_replace_token1] = ACTIONS(1408),
    [aux_sym__keyword_alter_token1] = ACTIONS(1408),
    [aux_sym__keyword_from_token1] = ACTIONS(1408),
    [aux_sym__keyword_delete_token1] = ACTIONS(1408),
    [aux_sym__keyword_begin_token1] = ACTIONS(1408),
    [aux_sym__keyword_end_token1] = ACTIONS(1408),
    [aux_sym__keyword_between_token1] = ACTIONS(1408),
    [aux_sym__keyword_when_token1] = ACTIONS(1408),
    [aux_sym__keyword_else_token1] = ACTIONS(1408),
    [aux_sym__keyword_is_token1] = ACTIONS(1408),
    [aux_sym__keyword_in_token1] = ACTIONS(1408),
    [aux_sym__keyword_and_token1] = ACTIONS(1408),
    [aux_sym__keyword_like_token1] = ACTIONS(1408),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1408),
    [aux_sym__keyword_as_token1] = ACTIONS(1408),
    [aux_sym__keyword_window_token1] = ACTIONS(1408),
    [aux_sym__keyword_date_token1] = ACTIONS(1408),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1408),
    [aux_sym__keyword_time_token1] = ACTIONS(1408),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1408),
    [aux_sym__keyword_for_token1] = ACTIONS(1408),
    [anon_sym_SEMI] = ACTIONS(1406),
    [aux_sym_declare_statement_token1] = ACTIONS(1408),
    [anon_sym_COMMA] = ACTIONS(1406),
    [aux_sym_set_statement_token1] = ACTIONS(1408),
    [anon_sym_LPAREN] = ACTIONS(1406),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1408),
    [aux_sym_return_satement_token1] = ACTIONS(1408),
    [aux_sym_call_statement_token1] = ACTIONS(1408),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1408),
    [aux_sym_if_statement_token1] = ACTIONS(1408),
    [aux_sym_loop_statement_token1] = ACTIONS(1408),
    [aux_sym_repeat_statement_token1] = ACTIONS(1408),
    [aux_sym_while_statement_token1] = ACTIONS(1408),
    [aux_sym_break_statement_token1] = ACTIONS(1408),
    [aux_sym_leave_statement_token1] = ACTIONS(1408),
    [aux_sym_continue_statement_token1] = ACTIONS(1408),
    [aux_sym_iterate_statement_token1] = ACTIONS(1408),
    [aux_sym_raise_statement_token1] = ACTIONS(1408),
    [anon_sym_EQ] = ACTIONS(1406),
    [aux_sym_assert_statement_token1] = ACTIONS(1408),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1408),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1408),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1408),
    [anon_sym_LT] = ACTIONS(1408),
    [anon_sym_GT] = ACTIONS(1408),
    [aux_sym_set_operation_token1] = ACTIONS(1408),
    [aux_sym_set_operation_token3] = ACTIONS(1408),
    [aux_sym_set_operation_token4] = ACTIONS(1408),
    [aux_sym_select_token1] = ACTIONS(1408),
    [aux_sym_having_clause_token1] = ACTIONS(1408),
    [aux_sym_qualify_clause_token1] = ACTIONS(1408),
    [aux_sym_limit_clause_token1] = ACTIONS(1408),
    [aux_sym_group_by_clause_token1] = ACTIONS(1408),
    [aux_sym_order_by_clause_token1] = ACTIONS(1408),
    [aux_sym_where_clause_token1] = ACTIONS(1408),
    [aux_sym_insert_statement_token1] = ACTIONS(1408),
    [aux_sym_truncate_statement_token1] = ACTIONS(1408),
    [aux_sym_update_statement_token1] = ACTIONS(1408),
    [aux_sym_merge_statement_token1] = ACTIONS(1408),
    [aux_sym_grant_statement_token1] = ACTIONS(1408),
    [aux_sym_revoke_statement_token1] = ACTIONS(1408),
    [aux_sym_export_data_statement_token1] = ACTIONS(1408),
    [aux_sym_load_data_statement_token1] = ACTIONS(1408),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym__quoted_identifier] = ACTIONS(1406),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_DASH] = ACTIONS(1408),
    [anon_sym_STAR] = ACTIONS(1406),
    [anon_sym_SLASH] = ACTIONS(1408),
    [anon_sym_PIPE_PIPE] = ACTIONS(1406),
    [anon_sym_LT_EQ] = ACTIONS(1406),
    [anon_sym_LT_GT] = ACTIONS(1406),
    [anon_sym_GT_EQ] = ACTIONS(1406),
    [anon_sym_BANG_EQ] = ACTIONS(1406),
    [anon_sym_LT_LT] = ACTIONS(1406),
    [anon_sym_GT_GT] = ACTIONS(1406),
    [anon_sym_AMP] = ACTIONS(1406),
    [anon_sym_CARET] = ACTIONS(1406),
    [anon_sym_PIPE] = ACTIONS(1408),
  },
  [1938] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [1939] = {
    [ts_builtin_sym_end] = ACTIONS(1410),
    [sym__unquoted_identifier] = ACTIONS(1412),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1412),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1412),
    [aux_sym_keyword_replace_token1] = ACTIONS(1412),
    [aux_sym__keyword_alter_token1] = ACTIONS(1412),
    [aux_sym__keyword_from_token1] = ACTIONS(1412),
    [aux_sym__keyword_delete_token1] = ACTIONS(1412),
    [aux_sym__keyword_begin_token1] = ACTIONS(1412),
    [aux_sym__keyword_end_token1] = ACTIONS(1412),
    [aux_sym__keyword_between_token1] = ACTIONS(1412),
    [aux_sym__keyword_when_token1] = ACTIONS(1412),
    [aux_sym__keyword_else_token1] = ACTIONS(1412),
    [aux_sym__keyword_is_token1] = ACTIONS(1412),
    [aux_sym__keyword_in_token1] = ACTIONS(1412),
    [aux_sym__keyword_and_token1] = ACTIONS(1412),
    [aux_sym__keyword_like_token1] = ACTIONS(1412),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1412),
    [aux_sym__keyword_as_token1] = ACTIONS(1412),
    [aux_sym__keyword_window_token1] = ACTIONS(1412),
    [aux_sym__keyword_date_token1] = ACTIONS(1412),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1412),
    [aux_sym__keyword_time_token1] = ACTIONS(1412),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1412),
    [aux_sym__keyword_for_token1] = ACTIONS(1412),
    [anon_sym_SEMI] = ACTIONS(1410),
    [aux_sym_declare_statement_token1] = ACTIONS(1412),
    [anon_sym_COMMA] = ACTIONS(1410),
    [aux_sym_set_statement_token1] = ACTIONS(1412),
    [anon_sym_LPAREN] = ACTIONS(1410),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1412),
    [aux_sym_return_satement_token1] = ACTIONS(1412),
    [aux_sym_call_statement_token1] = ACTIONS(1412),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1412),
    [aux_sym_if_statement_token1] = ACTIONS(1412),
    [aux_sym_loop_statement_token1] = ACTIONS(1412),
    [aux_sym_repeat_statement_token1] = ACTIONS(1412),
    [aux_sym_while_statement_token1] = ACTIONS(1412),
    [aux_sym_break_statement_token1] = ACTIONS(1412),
    [aux_sym_leave_statement_token1] = ACTIONS(1412),
    [aux_sym_continue_statement_token1] = ACTIONS(1412),
    [aux_sym_iterate_statement_token1] = ACTIONS(1412),
    [aux_sym_raise_statement_token1] = ACTIONS(1412),
    [anon_sym_EQ] = ACTIONS(1410),
    [aux_sym_assert_statement_token1] = ACTIONS(1412),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1412),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1412),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1412),
    [anon_sym_LT] = ACTIONS(1412),
    [anon_sym_GT] = ACTIONS(1412),
    [aux_sym_set_operation_token1] = ACTIONS(1412),
    [aux_sym_set_operation_token3] = ACTIONS(1412),
    [aux_sym_set_operation_token4] = ACTIONS(1412),
    [aux_sym_select_token1] = ACTIONS(1412),
    [aux_sym_having_clause_token1] = ACTIONS(1412),
    [aux_sym_qualify_clause_token1] = ACTIONS(1412),
    [aux_sym_limit_clause_token1] = ACTIONS(1412),
    [aux_sym_group_by_clause_token1] = ACTIONS(1412),
    [aux_sym_order_by_clause_token1] = ACTIONS(1412),
    [aux_sym_where_clause_token1] = ACTIONS(1412),
    [aux_sym_insert_statement_token1] = ACTIONS(1412),
    [aux_sym_truncate_statement_token1] = ACTIONS(1412),
    [aux_sym_update_statement_token1] = ACTIONS(1412),
    [aux_sym_merge_statement_token1] = ACTIONS(1412),
    [aux_sym_grant_statement_token1] = ACTIONS(1412),
    [aux_sym_revoke_statement_token1] = ACTIONS(1412),
    [aux_sym_export_data_statement_token1] = ACTIONS(1412),
    [aux_sym_load_data_statement_token1] = ACTIONS(1412),
    [anon_sym_LBRACK] = ACTIONS(1410),
    [sym__quoted_identifier] = ACTIONS(1410),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_STAR] = ACTIONS(1410),
    [anon_sym_SLASH] = ACTIONS(1412),
    [anon_sym_PIPE_PIPE] = ACTIONS(1410),
    [anon_sym_LT_EQ] = ACTIONS(1410),
    [anon_sym_LT_GT] = ACTIONS(1410),
    [anon_sym_GT_EQ] = ACTIONS(1410),
    [anon_sym_BANG_EQ] = ACTIONS(1410),
    [anon_sym_LT_LT] = ACTIONS(1410),
    [anon_sym_GT_GT] = ACTIONS(1410),
    [anon_sym_AMP] = ACTIONS(1410),
    [anon_sym_CARET] = ACTIONS(1410),
    [anon_sym_PIPE] = ACTIONS(1412),
  },
  [1940] = {
    [ts_builtin_sym_end] = ACTIONS(1414),
    [sym__unquoted_identifier] = ACTIONS(1416),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1416),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1416),
    [aux_sym_keyword_replace_token1] = ACTIONS(1416),
    [aux_sym__keyword_alter_token1] = ACTIONS(1416),
    [aux_sym__keyword_from_token1] = ACTIONS(1416),
    [aux_sym__keyword_delete_token1] = ACTIONS(1416),
    [aux_sym__keyword_begin_token1] = ACTIONS(1416),
    [aux_sym__keyword_end_token1] = ACTIONS(1416),
    [aux_sym__keyword_between_token1] = ACTIONS(1416),
    [aux_sym__keyword_when_token1] = ACTIONS(1416),
    [aux_sym__keyword_else_token1] = ACTIONS(1416),
    [aux_sym__keyword_is_token1] = ACTIONS(1416),
    [aux_sym__keyword_in_token1] = ACTIONS(1416),
    [aux_sym__keyword_and_token1] = ACTIONS(1416),
    [aux_sym__keyword_like_token1] = ACTIONS(1416),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1416),
    [aux_sym__keyword_as_token1] = ACTIONS(1416),
    [aux_sym__keyword_window_token1] = ACTIONS(1416),
    [aux_sym__keyword_date_token1] = ACTIONS(1416),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1416),
    [aux_sym__keyword_time_token1] = ACTIONS(1416),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1416),
    [aux_sym__keyword_for_token1] = ACTIONS(1416),
    [anon_sym_SEMI] = ACTIONS(1414),
    [aux_sym_declare_statement_token1] = ACTIONS(1416),
    [anon_sym_COMMA] = ACTIONS(1414),
    [aux_sym_set_statement_token1] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1416),
    [aux_sym_return_satement_token1] = ACTIONS(1416),
    [aux_sym_call_statement_token1] = ACTIONS(1416),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1416),
    [aux_sym_if_statement_token1] = ACTIONS(1416),
    [aux_sym_loop_statement_token1] = ACTIONS(1416),
    [aux_sym_repeat_statement_token1] = ACTIONS(1416),
    [aux_sym_while_statement_token1] = ACTIONS(1416),
    [aux_sym_break_statement_token1] = ACTIONS(1416),
    [aux_sym_leave_statement_token1] = ACTIONS(1416),
    [aux_sym_continue_statement_token1] = ACTIONS(1416),
    [aux_sym_iterate_statement_token1] = ACTIONS(1416),
    [aux_sym_raise_statement_token1] = ACTIONS(1416),
    [anon_sym_EQ] = ACTIONS(1414),
    [aux_sym_assert_statement_token1] = ACTIONS(1416),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1416),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1416),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1416),
    [anon_sym_LT] = ACTIONS(1416),
    [anon_sym_GT] = ACTIONS(1416),
    [aux_sym_set_operation_token1] = ACTIONS(1416),
    [aux_sym_set_operation_token3] = ACTIONS(1416),
    [aux_sym_set_operation_token4] = ACTIONS(1416),
    [aux_sym_select_token1] = ACTIONS(1416),
    [aux_sym_having_clause_token1] = ACTIONS(1416),
    [aux_sym_qualify_clause_token1] = ACTIONS(1416),
    [aux_sym_limit_clause_token1] = ACTIONS(1416),
    [aux_sym_group_by_clause_token1] = ACTIONS(1416),
    [aux_sym_order_by_clause_token1] = ACTIONS(1416),
    [aux_sym_where_clause_token1] = ACTIONS(1416),
    [aux_sym_insert_statement_token1] = ACTIONS(1416),
    [aux_sym_truncate_statement_token1] = ACTIONS(1416),
    [aux_sym_update_statement_token1] = ACTIONS(1416),
    [aux_sym_merge_statement_token1] = ACTIONS(1416),
    [aux_sym_grant_statement_token1] = ACTIONS(1416),
    [aux_sym_revoke_statement_token1] = ACTIONS(1416),
    [aux_sym_export_data_statement_token1] = ACTIONS(1416),
    [aux_sym_load_data_statement_token1] = ACTIONS(1416),
    [anon_sym_LBRACK] = ACTIONS(1414),
    [sym__quoted_identifier] = ACTIONS(1414),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_SLASH] = ACTIONS(1416),
    [anon_sym_PIPE_PIPE] = ACTIONS(1414),
    [anon_sym_LT_EQ] = ACTIONS(1414),
    [anon_sym_LT_GT] = ACTIONS(1414),
    [anon_sym_GT_EQ] = ACTIONS(1414),
    [anon_sym_BANG_EQ] = ACTIONS(1414),
    [anon_sym_LT_LT] = ACTIONS(1414),
    [anon_sym_GT_GT] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_CARET] = ACTIONS(1414),
    [anon_sym_PIPE] = ACTIONS(1416),
  },
  [1941] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [1942] = {
    [ts_builtin_sym_end] = ACTIONS(1760),
    [sym__unquoted_identifier] = ACTIONS(1762),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1762),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1762),
    [aux_sym_keyword_replace_token1] = ACTIONS(1762),
    [aux_sym__keyword_alter_token1] = ACTIONS(1762),
    [aux_sym__keyword_from_token1] = ACTIONS(1762),
    [aux_sym__keyword_delete_token1] = ACTIONS(1762),
    [aux_sym__keyword_begin_token1] = ACTIONS(1762),
    [aux_sym__keyword_end_token1] = ACTIONS(1762),
    [aux_sym__keyword_between_token1] = ACTIONS(1762),
    [aux_sym__keyword_when_token1] = ACTIONS(1762),
    [aux_sym__keyword_else_token1] = ACTIONS(1762),
    [aux_sym__keyword_is_token1] = ACTIONS(1762),
    [aux_sym__keyword_in_token1] = ACTIONS(1762),
    [aux_sym__keyword_and_token1] = ACTIONS(1762),
    [aux_sym__keyword_like_token1] = ACTIONS(1762),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1762),
    [aux_sym__keyword_as_token1] = ACTIONS(1762),
    [aux_sym__keyword_window_token1] = ACTIONS(1762),
    [aux_sym__keyword_date_token1] = ACTIONS(1762),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1762),
    [aux_sym__keyword_time_token1] = ACTIONS(1762),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1762),
    [aux_sym__keyword_for_token1] = ACTIONS(1762),
    [anon_sym_SEMI] = ACTIONS(1760),
    [aux_sym_declare_statement_token1] = ACTIONS(1762),
    [anon_sym_COMMA] = ACTIONS(1760),
    [aux_sym_set_statement_token1] = ACTIONS(1762),
    [anon_sym_LPAREN] = ACTIONS(1760),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1762),
    [aux_sym_return_satement_token1] = ACTIONS(1762),
    [aux_sym_call_statement_token1] = ACTIONS(1762),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1762),
    [aux_sym_if_statement_token1] = ACTIONS(1762),
    [aux_sym_loop_statement_token1] = ACTIONS(1762),
    [aux_sym_repeat_statement_token1] = ACTIONS(1762),
    [aux_sym_while_statement_token1] = ACTIONS(1762),
    [aux_sym_break_statement_token1] = ACTIONS(1762),
    [aux_sym_leave_statement_token1] = ACTIONS(1762),
    [aux_sym_continue_statement_token1] = ACTIONS(1762),
    [aux_sym_iterate_statement_token1] = ACTIONS(1762),
    [aux_sym_raise_statement_token1] = ACTIONS(1762),
    [anon_sym_EQ] = ACTIONS(1760),
    [aux_sym_assert_statement_token1] = ACTIONS(1762),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1762),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1762),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1762),
    [anon_sym_LT] = ACTIONS(1762),
    [anon_sym_GT] = ACTIONS(1762),
    [aux_sym_set_operation_token1] = ACTIONS(1762),
    [aux_sym_set_operation_token3] = ACTIONS(1762),
    [aux_sym_set_operation_token4] = ACTIONS(1762),
    [aux_sym_select_token1] = ACTIONS(1762),
    [aux_sym_having_clause_token1] = ACTIONS(1762),
    [aux_sym_qualify_clause_token1] = ACTIONS(1762),
    [aux_sym_limit_clause_token1] = ACTIONS(1762),
    [aux_sym_group_by_clause_token1] = ACTIONS(1762),
    [aux_sym_order_by_clause_token1] = ACTIONS(1762),
    [aux_sym_where_clause_token1] = ACTIONS(1762),
    [aux_sym_insert_statement_token1] = ACTIONS(1762),
    [aux_sym_truncate_statement_token1] = ACTIONS(1762),
    [aux_sym_update_statement_token1] = ACTIONS(1762),
    [aux_sym_merge_statement_token1] = ACTIONS(1762),
    [aux_sym_grant_statement_token1] = ACTIONS(1762),
    [aux_sym_revoke_statement_token1] = ACTIONS(1762),
    [aux_sym_export_data_statement_token1] = ACTIONS(1762),
    [aux_sym_load_data_statement_token1] = ACTIONS(1762),
    [anon_sym_LBRACK] = ACTIONS(1760),
    [sym__quoted_identifier] = ACTIONS(1760),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1760),
    [anon_sym_PLUS] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1762),
    [anon_sym_STAR] = ACTIONS(1760),
    [anon_sym_SLASH] = ACTIONS(1762),
    [anon_sym_PIPE_PIPE] = ACTIONS(1760),
    [anon_sym_LT_EQ] = ACTIONS(1760),
    [anon_sym_LT_GT] = ACTIONS(1760),
    [anon_sym_GT_EQ] = ACTIONS(1760),
    [anon_sym_BANG_EQ] = ACTIONS(1760),
    [anon_sym_LT_LT] = ACTIONS(1760),
    [anon_sym_GT_GT] = ACTIONS(1760),
    [anon_sym_AMP] = ACTIONS(1760),
    [anon_sym_CARET] = ACTIONS(1760),
    [anon_sym_PIPE] = ACTIONS(1762),
  },
  [1943] = {
    [sym__unquoted_identifier] = ACTIONS(1526),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1526),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1526),
    [aux_sym_keyword_replace_token1] = ACTIONS(1526),
    [aux_sym__keyword_alter_token1] = ACTIONS(1526),
    [aux_sym__keyword_from_token1] = ACTIONS(1526),
    [aux_sym__keyword_delete_token1] = ACTIONS(1526),
    [aux_sym__keyword_begin_token1] = ACTIONS(1526),
    [aux_sym__keyword_end_token1] = ACTIONS(1526),
    [aux_sym__keyword_between_token1] = ACTIONS(1526),
    [aux_sym__keyword_when_token1] = ACTIONS(1526),
    [aux_sym__keyword_else_token1] = ACTIONS(1526),
    [aux_sym__keyword_is_token1] = ACTIONS(1526),
    [aux_sym__keyword_in_token1] = ACTIONS(1526),
    [aux_sym__keyword_and_token1] = ACTIONS(1526),
    [aux_sym__keyword_like_token1] = ACTIONS(1526),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1526),
    [aux_sym__keyword_as_token1] = ACTIONS(1526),
    [aux_sym__keyword_window_token1] = ACTIONS(1526),
    [aux_sym__keyword_date_token1] = ACTIONS(1526),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1526),
    [aux_sym__keyword_time_token1] = ACTIONS(1526),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1526),
    [aux_sym__keyword_for_token1] = ACTIONS(1526),
    [anon_sym_SEMI] = ACTIONS(1524),
    [aux_sym_declare_statement_token1] = ACTIONS(1526),
    [anon_sym_COMMA] = ACTIONS(1524),
    [aux_sym_set_statement_token1] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(1524),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1526),
    [aux_sym_return_satement_token1] = ACTIONS(1526),
    [aux_sym_call_statement_token1] = ACTIONS(1526),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1526),
    [aux_sym_if_statement_token1] = ACTIONS(1526),
    [aux_sym_loop_statement_token1] = ACTIONS(1526),
    [aux_sym_repeat_statement_token1] = ACTIONS(1526),
    [aux_sym_while_statement_token1] = ACTIONS(1526),
    [aux_sym_break_statement_token1] = ACTIONS(1526),
    [aux_sym_leave_statement_token1] = ACTIONS(1526),
    [aux_sym_continue_statement_token1] = ACTIONS(1526),
    [aux_sym_iterate_statement_token1] = ACTIONS(1526),
    [aux_sym_raise_statement_token1] = ACTIONS(1526),
    [anon_sym_EQ] = ACTIONS(1524),
    [aux_sym_assert_statement_token1] = ACTIONS(1526),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1526),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1526),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1526),
    [aux_sym_alter_table_rename_statement_token2] = ACTIONS(2742),
    [anon_sym_LT] = ACTIONS(1526),
    [anon_sym_GT] = ACTIONS(1526),
    [aux_sym_set_operation_token1] = ACTIONS(1526),
    [aux_sym_set_operation_token3] = ACTIONS(1526),
    [aux_sym_set_operation_token4] = ACTIONS(1526),
    [aux_sym_select_token1] = ACTIONS(1526),
    [aux_sym_having_clause_token1] = ACTIONS(1526),
    [aux_sym_qualify_clause_token1] = ACTIONS(1526),
    [aux_sym_limit_clause_token1] = ACTIONS(1526),
    [aux_sym_group_by_clause_token1] = ACTIONS(1526),
    [aux_sym_order_by_clause_token1] = ACTIONS(1526),
    [aux_sym_where_clause_token1] = ACTIONS(1526),
    [aux_sym_insert_statement_token1] = ACTIONS(1526),
    [aux_sym_truncate_statement_token1] = ACTIONS(1526),
    [aux_sym_update_statement_token1] = ACTIONS(1526),
    [aux_sym_merge_statement_token1] = ACTIONS(1526),
    [aux_sym_grant_statement_token1] = ACTIONS(1526),
    [aux_sym_revoke_statement_token1] = ACTIONS(1526),
    [aux_sym_export_data_statement_token1] = ACTIONS(1526),
    [aux_sym_load_data_statement_token1] = ACTIONS(1526),
    [anon_sym_LBRACK] = ACTIONS(1524),
    [sym__quoted_identifier] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1524),
    [anon_sym_PLUS] = ACTIONS(1524),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_STAR] = ACTIONS(1524),
    [anon_sym_SLASH] = ACTIONS(1526),
    [anon_sym_PIPE_PIPE] = ACTIONS(1524),
    [anon_sym_LT_EQ] = ACTIONS(1524),
    [anon_sym_LT_GT] = ACTIONS(1524),
    [anon_sym_GT_EQ] = ACTIONS(1524),
    [anon_sym_BANG_EQ] = ACTIONS(1524),
    [anon_sym_LT_LT] = ACTIONS(1524),
    [anon_sym_GT_GT] = ACTIONS(1524),
    [anon_sym_AMP] = ACTIONS(1524),
    [anon_sym_CARET] = ACTIONS(1524),
    [anon_sym_PIPE] = ACTIONS(1526),
  },
  [1944] = {
    [ts_builtin_sym_end] = ACTIONS(1756),
    [sym__unquoted_identifier] = ACTIONS(1758),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1758),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1758),
    [aux_sym_keyword_replace_token1] = ACTIONS(1758),
    [aux_sym__keyword_alter_token1] = ACTIONS(1758),
    [aux_sym__keyword_from_token1] = ACTIONS(1758),
    [aux_sym__keyword_delete_token1] = ACTIONS(1758),
    [aux_sym__keyword_begin_token1] = ACTIONS(1758),
    [aux_sym__keyword_end_token1] = ACTIONS(1758),
    [aux_sym__keyword_between_token1] = ACTIONS(1758),
    [aux_sym__keyword_when_token1] = ACTIONS(1758),
    [aux_sym__keyword_else_token1] = ACTIONS(1758),
    [aux_sym__keyword_is_token1] = ACTIONS(1758),
    [aux_sym__keyword_in_token1] = ACTIONS(1758),
    [aux_sym__keyword_and_token1] = ACTIONS(1758),
    [aux_sym__keyword_like_token1] = ACTIONS(1758),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1758),
    [aux_sym__keyword_as_token1] = ACTIONS(1758),
    [aux_sym__keyword_window_token1] = ACTIONS(1758),
    [aux_sym__keyword_date_token1] = ACTIONS(1758),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1758),
    [aux_sym__keyword_time_token1] = ACTIONS(1758),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1758),
    [aux_sym__keyword_for_token1] = ACTIONS(1758),
    [anon_sym_SEMI] = ACTIONS(1756),
    [aux_sym_declare_statement_token1] = ACTIONS(1758),
    [anon_sym_COMMA] = ACTIONS(1756),
    [aux_sym_set_statement_token1] = ACTIONS(1758),
    [anon_sym_LPAREN] = ACTIONS(1756),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1758),
    [aux_sym_return_satement_token1] = ACTIONS(1758),
    [aux_sym_call_statement_token1] = ACTIONS(1758),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1758),
    [aux_sym_if_statement_token1] = ACTIONS(1758),
    [aux_sym_loop_statement_token1] = ACTIONS(1758),
    [aux_sym_repeat_statement_token1] = ACTIONS(1758),
    [aux_sym_while_statement_token1] = ACTIONS(1758),
    [aux_sym_break_statement_token1] = ACTIONS(1758),
    [aux_sym_leave_statement_token1] = ACTIONS(1758),
    [aux_sym_continue_statement_token1] = ACTIONS(1758),
    [aux_sym_iterate_statement_token1] = ACTIONS(1758),
    [aux_sym_raise_statement_token1] = ACTIONS(1758),
    [anon_sym_EQ] = ACTIONS(1756),
    [aux_sym_assert_statement_token1] = ACTIONS(1758),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1758),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1758),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1758),
    [anon_sym_LT] = ACTIONS(1758),
    [anon_sym_GT] = ACTIONS(1758),
    [aux_sym_set_operation_token1] = ACTIONS(1758),
    [aux_sym_set_operation_token3] = ACTIONS(1758),
    [aux_sym_set_operation_token4] = ACTIONS(1758),
    [aux_sym_select_token1] = ACTIONS(1758),
    [aux_sym_having_clause_token1] = ACTIONS(1758),
    [aux_sym_qualify_clause_token1] = ACTIONS(1758),
    [aux_sym_limit_clause_token1] = ACTIONS(1758),
    [aux_sym_group_by_clause_token1] = ACTIONS(1758),
    [aux_sym_order_by_clause_token1] = ACTIONS(1758),
    [aux_sym_where_clause_token1] = ACTIONS(1758),
    [aux_sym_insert_statement_token1] = ACTIONS(1758),
    [aux_sym_truncate_statement_token1] = ACTIONS(1758),
    [aux_sym_update_statement_token1] = ACTIONS(1758),
    [aux_sym_merge_statement_token1] = ACTIONS(1758),
    [aux_sym_grant_statement_token1] = ACTIONS(1758),
    [aux_sym_revoke_statement_token1] = ACTIONS(1758),
    [aux_sym_export_data_statement_token1] = ACTIONS(1758),
    [aux_sym_load_data_statement_token1] = ACTIONS(1758),
    [anon_sym_LBRACK] = ACTIONS(1756),
    [sym__quoted_identifier] = ACTIONS(1756),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1756),
    [anon_sym_PLUS] = ACTIONS(1756),
    [anon_sym_DASH] = ACTIONS(1758),
    [anon_sym_STAR] = ACTIONS(1756),
    [anon_sym_SLASH] = ACTIONS(1758),
    [anon_sym_PIPE_PIPE] = ACTIONS(1756),
    [anon_sym_LT_EQ] = ACTIONS(1756),
    [anon_sym_LT_GT] = ACTIONS(1756),
    [anon_sym_GT_EQ] = ACTIONS(1756),
    [anon_sym_BANG_EQ] = ACTIONS(1756),
    [anon_sym_LT_LT] = ACTIONS(1756),
    [anon_sym_GT_GT] = ACTIONS(1756),
    [anon_sym_AMP] = ACTIONS(1756),
    [anon_sym_CARET] = ACTIONS(1756),
    [anon_sym_PIPE] = ACTIONS(1758),
  },
  [1945] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [1946] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [1947] = {
    [sym__keyword_between] = STATE(1278),
    [sym__keyword_is] = STATE(12039),
    [sym__keyword_in] = STATE(1632),
    [sym__keyword_not] = STATE(13074),
    [sym__keyword_and] = STATE(1642),
    [sym__keyword_or] = STATE(1644),
    [sym__keyword_like] = STATE(14280),
    [sym__direction_keywords] = STATE(6289),
    [sym__nulls_preference] = STATE(6602),
    [sym_like_operator] = STATE(16074),
    [sym_quantitve_like_operator] = STATE(16078),
    [aux_sym_order_by_clause_body_repeat1] = STATE(6604),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(2682),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(2744),
    [aux_sym__keyword_alter_token1] = ACTIONS(2682),
    [aux_sym__keyword_delete_token1] = ACTIONS(2682),
    [aux_sym__keyword_begin_token1] = ACTIONS(2682),
    [aux_sym__keyword_end_token1] = ACTIONS(2682),
    [aux_sym__keyword_between_token1] = ACTIONS(2746),
    [aux_sym__keyword_when_token1] = ACTIONS(2682),
    [aux_sym__keyword_else_token1] = ACTIONS(2686),
    [aux_sym__keyword_is_token1] = ACTIONS(2748),
    [aux_sym__keyword_in_token1] = ACTIONS(2750),
    [aux_sym__keyword_and_token1] = ACTIONS(2752),
    [aux_sym__keyword_like_token1] = ACTIONS(1007),
    [aux_sym__keyword_repeat_token1] = ACTIONS(2682),
    [aux_sym__keyword_for_token1] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(2682),
    [aux_sym_declare_statement_token1] = ACTIONS(2682),
    [anon_sym_COMMA] = ACTIONS(2754),
    [aux_sym_set_statement_token1] = ACTIONS(2682),
    [anon_sym_LPAREN] = ACTIONS(2682),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(2682),
    [aux_sym_return_satement_token1] = ACTIONS(2682),
    [aux_sym_call_statement_token1] = ACTIONS(2682),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(2682),
    [aux_sym_if_statement_token1] = ACTIONS(2682),
    [aux_sym_loop_statement_token1] = ACTIONS(2682),
    [aux_sym_repeat_statement_token1] = ACTIONS(2682),
    [aux_sym_while_statement_token1] = ACTIONS(2682),
    [aux_sym_break_statement_token1] = ACTIONS(2682),
    [aux_sym_leave_statement_token1] = ACTIONS(2682),
    [aux_sym_continue_statement_token1] = ACTIONS(2682),
    [aux_sym_iterate_statement_token1] = ACTIONS(2682),
    [aux_sym_raise_statement_token1] = ACTIONS(2682),
    [anon_sym_EQ] = ACTIONS(2756),
    [aux_sym_assert_statement_token1] = ACTIONS(2682),
    [aux_sym_create_schema_statement_token1] = ACTIONS(2682),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(2682),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2682),
    [anon_sym_LT] = ACTIONS(2750),
    [anon_sym_GT] = ACTIONS(2750),
    [aux_sym_set_operation_token1] = ACTIONS(2682),
    [aux_sym_set_operation_token3] = ACTIONS(2682),
    [aux_sym_set_operation_token4] = ACTIONS(2686),
    [aux_sym_select_token1] = ACTIONS(2682),
    [aux_sym_limit_clause_token1] = ACTIONS(2682),
    [aux_sym__direction_keywords_token1] = ACTIONS(2698),
    [aux_sym__direction_keywords_token2] = ACTIONS(2698),
    [aux_sym__nulls_preference_token1] = ACTIONS(2700),
    [aux_sym_insert_statement_token1] = ACTIONS(2682),
    [aux_sym_truncate_statement_token1] = ACTIONS(2682),
    [aux_sym_update_statement_token1] = ACTIONS(2682),
    [aux_sym_merge_statement_token1] = ACTIONS(2682),
    [aux_sym_grant_statement_token1] = ACTIONS(2682),
    [aux_sym_revoke_statement_token1] = ACTIONS(2682),
    [aux_sym_export_data_statement_token1] = ACTIONS(2682),
    [aux_sym_load_data_statement_token1] = ACTIONS(2682),
    [anon_sym_LBRACK] = ACTIONS(2758),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(2760),
    [anon_sym_PLUS] = ACTIONS(2762),
    [anon_sym_DASH] = ACTIONS(2764),
    [anon_sym_STAR] = ACTIONS(2766),
    [anon_sym_SLASH] = ACTIONS(2768),
    [anon_sym_PIPE_PIPE] = ACTIONS(2766),
    [anon_sym_LT_EQ] = ACTIONS(2756),
    [anon_sym_LT_GT] = ACTIONS(2756),
    [anon_sym_GT_EQ] = ACTIONS(2756),
    [anon_sym_BANG_EQ] = ACTIONS(2756),
    [anon_sym_LT_LT] = ACTIONS(2770),
    [anon_sym_GT_GT] = ACTIONS(2770),
    [anon_sym_AMP] = ACTIONS(2772),
    [anon_sym_CARET] = ACTIONS(2774),
    [anon_sym_PIPE] = ACTIONS(2776),
  },
  [1948] = {
    [sym__unquoted_identifier] = ACTIONS(1532),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1532),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1532),
    [aux_sym_keyword_replace_token1] = ACTIONS(1532),
    [aux_sym__keyword_alter_token1] = ACTIONS(1532),
    [aux_sym__keyword_from_token1] = ACTIONS(1532),
    [aux_sym__keyword_delete_token1] = ACTIONS(1532),
    [aux_sym__keyword_begin_token1] = ACTIONS(1532),
    [aux_sym__keyword_end_token1] = ACTIONS(1532),
    [aux_sym__keyword_between_token1] = ACTIONS(1532),
    [aux_sym__keyword_when_token1] = ACTIONS(1532),
    [aux_sym__keyword_else_token1] = ACTIONS(1532),
    [aux_sym__keyword_is_token1] = ACTIONS(1532),
    [aux_sym__keyword_in_token1] = ACTIONS(1532),
    [aux_sym__keyword_and_token1] = ACTIONS(1532),
    [aux_sym__keyword_like_token1] = ACTIONS(1532),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1532),
    [aux_sym__keyword_as_token1] = ACTIONS(1532),
    [aux_sym__keyword_window_token1] = ACTIONS(1532),
    [aux_sym__keyword_date_token1] = ACTIONS(1532),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1532),
    [aux_sym__keyword_time_token1] = ACTIONS(1532),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1532),
    [aux_sym__keyword_for_token1] = ACTIONS(1532),
    [anon_sym_SEMI] = ACTIONS(1530),
    [aux_sym_declare_statement_token1] = ACTIONS(1532),
    [anon_sym_COMMA] = ACTIONS(1530),
    [aux_sym_set_statement_token1] = ACTIONS(1532),
    [anon_sym_LPAREN] = ACTIONS(1530),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1532),
    [aux_sym_return_satement_token1] = ACTIONS(1532),
    [aux_sym_call_statement_token1] = ACTIONS(1532),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1532),
    [aux_sym_if_statement_token1] = ACTIONS(1532),
    [aux_sym_loop_statement_token1] = ACTIONS(1532),
    [aux_sym_repeat_statement_token1] = ACTIONS(1532),
    [aux_sym_while_statement_token1] = ACTIONS(1532),
    [aux_sym_break_statement_token1] = ACTIONS(1532),
    [aux_sym_leave_statement_token1] = ACTIONS(1532),
    [aux_sym_continue_statement_token1] = ACTIONS(1532),
    [aux_sym_iterate_statement_token1] = ACTIONS(1532),
    [aux_sym_raise_statement_token1] = ACTIONS(1532),
    [anon_sym_EQ] = ACTIONS(1530),
    [aux_sym_assert_statement_token1] = ACTIONS(1532),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1532),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1532),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1532),
    [anon_sym_LT] = ACTIONS(1532),
    [anon_sym_GT] = ACTIONS(1532),
    [aux_sym_set_operation_token1] = ACTIONS(1532),
    [aux_sym_set_operation_token3] = ACTIONS(1532),
    [aux_sym_set_operation_token4] = ACTIONS(1532),
    [aux_sym_select_token1] = ACTIONS(1532),
    [aux_sym_having_clause_token1] = ACTIONS(1532),
    [aux_sym_qualify_clause_token1] = ACTIONS(1532),
    [aux_sym_limit_clause_token1] = ACTIONS(1532),
    [aux_sym_group_by_clause_token1] = ACTIONS(1532),
    [aux_sym_order_by_clause_token1] = ACTIONS(1532),
    [aux_sym_where_clause_token1] = ACTIONS(1532),
    [aux_sym_insert_statement_token1] = ACTIONS(1532),
    [aux_sym_truncate_statement_token1] = ACTIONS(1532),
    [aux_sym_update_statement_token1] = ACTIONS(1532),
    [aux_sym_merge_statement_token1] = ACTIONS(1532),
    [aux_sym_grant_statement_token1] = ACTIONS(1532),
    [aux_sym_revoke_statement_token1] = ACTIONS(1532),
    [aux_sym_export_data_statement_token1] = ACTIONS(1532),
    [aux_sym_load_data_statement_token1] = ACTIONS(1532),
    [anon_sym_LBRACK] = ACTIONS(1530),
    [sym__quoted_identifier] = ACTIONS(1530),
    [anon_sym_DOT] = ACTIONS(1514),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1532),
    [anon_sym_PLUS] = ACTIONS(1530),
    [anon_sym_DASH] = ACTIONS(1532),
    [anon_sym_STAR] = ACTIONS(1530),
    [anon_sym_SLASH] = ACTIONS(1532),
    [anon_sym_PIPE_PIPE] = ACTIONS(1530),
    [anon_sym_LT_EQ] = ACTIONS(1530),
    [anon_sym_LT_GT] = ACTIONS(1530),
    [anon_sym_GT_EQ] = ACTIONS(1530),
    [anon_sym_BANG_EQ] = ACTIONS(1530),
    [anon_sym_LT_LT] = ACTIONS(1530),
    [anon_sym_GT_GT] = ACTIONS(1530),
    [anon_sym_AMP] = ACTIONS(1530),
    [anon_sym_CARET] = ACTIONS(1530),
    [anon_sym_PIPE] = ACTIONS(1532),
  },
  [1949] = {
    [ts_builtin_sym_end] = ACTIONS(1508),
    [sym__unquoted_identifier] = ACTIONS(1510),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1510),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1510),
    [aux_sym_keyword_replace_token1] = ACTIONS(1510),
    [aux_sym__keyword_alter_token1] = ACTIONS(1510),
    [aux_sym__keyword_from_token1] = ACTIONS(1510),
    [aux_sym__keyword_delete_token1] = ACTIONS(1510),
    [aux_sym__keyword_begin_token1] = ACTIONS(1510),
    [aux_sym__keyword_end_token1] = ACTIONS(1510),
    [aux_sym__keyword_between_token1] = ACTIONS(1510),
    [aux_sym__keyword_when_token1] = ACTIONS(1510),
    [aux_sym__keyword_else_token1] = ACTIONS(1510),
    [aux_sym__keyword_is_token1] = ACTIONS(1510),
    [aux_sym__keyword_in_token1] = ACTIONS(1510),
    [aux_sym__keyword_and_token1] = ACTIONS(1510),
    [aux_sym__keyword_like_token1] = ACTIONS(1510),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1510),
    [aux_sym__keyword_as_token1] = ACTIONS(1510),
    [aux_sym__keyword_window_token1] = ACTIONS(1510),
    [aux_sym__keyword_date_token1] = ACTIONS(1510),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1510),
    [aux_sym__keyword_time_token1] = ACTIONS(1510),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1510),
    [aux_sym__keyword_for_token1] = ACTIONS(1510),
    [anon_sym_SEMI] = ACTIONS(1508),
    [aux_sym_declare_statement_token1] = ACTIONS(1510),
    [anon_sym_COMMA] = ACTIONS(1508),
    [aux_sym_set_statement_token1] = ACTIONS(1510),
    [anon_sym_LPAREN] = ACTIONS(1508),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1510),
    [aux_sym_return_satement_token1] = ACTIONS(1510),
    [aux_sym_call_statement_token1] = ACTIONS(1510),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1510),
    [aux_sym_if_statement_token1] = ACTIONS(1510),
    [aux_sym_loop_statement_token1] = ACTIONS(1510),
    [aux_sym_repeat_statement_token1] = ACTIONS(1510),
    [aux_sym_while_statement_token1] = ACTIONS(1510),
    [aux_sym_break_statement_token1] = ACTIONS(1510),
    [aux_sym_leave_statement_token1] = ACTIONS(1510),
    [aux_sym_continue_statement_token1] = ACTIONS(1510),
    [aux_sym_iterate_statement_token1] = ACTIONS(1510),
    [aux_sym_raise_statement_token1] = ACTIONS(1510),
    [anon_sym_EQ] = ACTIONS(1508),
    [aux_sym_assert_statement_token1] = ACTIONS(1510),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1510),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1510),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1510),
    [anon_sym_LT] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1510),
    [aux_sym_set_operation_token1] = ACTIONS(1510),
    [aux_sym_set_operation_token3] = ACTIONS(1510),
    [aux_sym_set_operation_token4] = ACTIONS(1510),
    [aux_sym_select_token1] = ACTIONS(1510),
    [aux_sym_having_clause_token1] = ACTIONS(1510),
    [aux_sym_qualify_clause_token1] = ACTIONS(1510),
    [aux_sym_limit_clause_token1] = ACTIONS(1510),
    [aux_sym_group_by_clause_token1] = ACTIONS(1510),
    [aux_sym_order_by_clause_token1] = ACTIONS(1510),
    [aux_sym_where_clause_token1] = ACTIONS(1510),
    [aux_sym_insert_statement_token1] = ACTIONS(1510),
    [aux_sym_truncate_statement_token1] = ACTIONS(1510),
    [aux_sym_update_statement_token1] = ACTIONS(1510),
    [aux_sym_merge_statement_token1] = ACTIONS(1510),
    [aux_sym_grant_statement_token1] = ACTIONS(1510),
    [aux_sym_revoke_statement_token1] = ACTIONS(1510),
    [aux_sym_export_data_statement_token1] = ACTIONS(1510),
    [aux_sym_load_data_statement_token1] = ACTIONS(1510),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [sym__quoted_identifier] = ACTIONS(1508),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1508),
    [anon_sym_PLUS] = ACTIONS(1508),
    [anon_sym_DASH] = ACTIONS(1510),
    [anon_sym_STAR] = ACTIONS(1508),
    [anon_sym_SLASH] = ACTIONS(1510),
    [anon_sym_PIPE_PIPE] = ACTIONS(1508),
    [anon_sym_LT_EQ] = ACTIONS(1508),
    [anon_sym_LT_GT] = ACTIONS(1508),
    [anon_sym_GT_EQ] = ACTIONS(1508),
    [anon_sym_BANG_EQ] = ACTIONS(1508),
    [anon_sym_LT_LT] = ACTIONS(1508),
    [anon_sym_GT_GT] = ACTIONS(1508),
    [anon_sym_AMP] = ACTIONS(1508),
    [anon_sym_CARET] = ACTIONS(1508),
    [anon_sym_PIPE] = ACTIONS(1510),
  },
  [1950] = {
    [sym__unquoted_identifier] = ACTIONS(1510),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1510),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1510),
    [aux_sym_keyword_replace_token1] = ACTIONS(1510),
    [aux_sym__keyword_alter_token1] = ACTIONS(1510),
    [aux_sym__keyword_from_token1] = ACTIONS(1510),
    [aux_sym__keyword_delete_token1] = ACTIONS(1510),
    [aux_sym__keyword_begin_token1] = ACTIONS(1510),
    [aux_sym__keyword_end_token1] = ACTIONS(1510),
    [aux_sym__keyword_between_token1] = ACTIONS(1510),
    [aux_sym__keyword_when_token1] = ACTIONS(1510),
    [aux_sym__keyword_else_token1] = ACTIONS(1510),
    [aux_sym__keyword_is_token1] = ACTIONS(1510),
    [aux_sym__keyword_in_token1] = ACTIONS(1510),
    [aux_sym__keyword_and_token1] = ACTIONS(1510),
    [aux_sym__keyword_like_token1] = ACTIONS(1510),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1510),
    [aux_sym__keyword_as_token1] = ACTIONS(1510),
    [aux_sym__keyword_window_token1] = ACTIONS(1510),
    [aux_sym__keyword_date_token1] = ACTIONS(1510),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1510),
    [aux_sym__keyword_time_token1] = ACTIONS(1510),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1510),
    [aux_sym__keyword_for_token1] = ACTIONS(1510),
    [anon_sym_SEMI] = ACTIONS(1508),
    [aux_sym_declare_statement_token1] = ACTIONS(1510),
    [anon_sym_COMMA] = ACTIONS(1508),
    [aux_sym_set_statement_token1] = ACTIONS(1510),
    [anon_sym_LPAREN] = ACTIONS(1508),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1510),
    [aux_sym_return_satement_token1] = ACTIONS(1510),
    [aux_sym_call_statement_token1] = ACTIONS(1510),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1510),
    [aux_sym_if_statement_token1] = ACTIONS(1510),
    [aux_sym_loop_statement_token1] = ACTIONS(1510),
    [aux_sym_repeat_statement_token1] = ACTIONS(1510),
    [aux_sym_while_statement_token1] = ACTIONS(1510),
    [aux_sym_break_statement_token1] = ACTIONS(1510),
    [aux_sym_leave_statement_token1] = ACTIONS(1510),
    [aux_sym_continue_statement_token1] = ACTIONS(1510),
    [aux_sym_iterate_statement_token1] = ACTIONS(1510),
    [aux_sym_raise_statement_token1] = ACTIONS(1510),
    [anon_sym_EQ] = ACTIONS(1508),
    [aux_sym_assert_statement_token1] = ACTIONS(1510),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1510),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1510),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1510),
    [anon_sym_LT] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1510),
    [aux_sym_set_operation_token1] = ACTIONS(1510),
    [aux_sym_set_operation_token3] = ACTIONS(1510),
    [aux_sym_set_operation_token4] = ACTIONS(1510),
    [aux_sym_select_token1] = ACTIONS(1510),
    [aux_sym_having_clause_token1] = ACTIONS(1510),
    [aux_sym_qualify_clause_token1] = ACTIONS(1510),
    [aux_sym_limit_clause_token1] = ACTIONS(1510),
    [aux_sym_group_by_clause_token1] = ACTIONS(1510),
    [aux_sym_order_by_clause_token1] = ACTIONS(1510),
    [aux_sym_where_clause_token1] = ACTIONS(1510),
    [aux_sym_insert_statement_token1] = ACTIONS(1510),
    [aux_sym_truncate_statement_token1] = ACTIONS(1510),
    [aux_sym_update_statement_token1] = ACTIONS(1510),
    [aux_sym_merge_statement_token1] = ACTIONS(1510),
    [aux_sym_grant_statement_token1] = ACTIONS(1510),
    [aux_sym_revoke_statement_token1] = ACTIONS(1510),
    [aux_sym_export_data_statement_token1] = ACTIONS(1510),
    [aux_sym_load_data_statement_token1] = ACTIONS(1510),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [sym__quoted_identifier] = ACTIONS(1508),
    [anon_sym_DOT] = ACTIONS(1514),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1510),
    [anon_sym_PLUS] = ACTIONS(1508),
    [anon_sym_DASH] = ACTIONS(1510),
    [anon_sym_STAR] = ACTIONS(1508),
    [anon_sym_SLASH] = ACTIONS(1510),
    [anon_sym_PIPE_PIPE] = ACTIONS(1508),
    [anon_sym_LT_EQ] = ACTIONS(1508),
    [anon_sym_LT_GT] = ACTIONS(1508),
    [anon_sym_GT_EQ] = ACTIONS(1508),
    [anon_sym_BANG_EQ] = ACTIONS(1508),
    [anon_sym_LT_LT] = ACTIONS(1508),
    [anon_sym_GT_GT] = ACTIONS(1508),
    [anon_sym_AMP] = ACTIONS(1508),
    [anon_sym_CARET] = ACTIONS(1508),
    [anon_sym_PIPE] = ACTIONS(1510),
  },
  [1951] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [1952] = {
    [ts_builtin_sym_end] = ACTIONS(1720),
    [sym__unquoted_identifier] = ACTIONS(1722),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1722),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1722),
    [aux_sym_keyword_replace_token1] = ACTIONS(1722),
    [aux_sym__keyword_alter_token1] = ACTIONS(1722),
    [aux_sym__keyword_from_token1] = ACTIONS(1722),
    [aux_sym__keyword_delete_token1] = ACTIONS(1722),
    [aux_sym__keyword_begin_token1] = ACTIONS(1722),
    [aux_sym__keyword_end_token1] = ACTIONS(1722),
    [aux_sym__keyword_between_token1] = ACTIONS(1722),
    [aux_sym__keyword_when_token1] = ACTIONS(1722),
    [aux_sym__keyword_else_token1] = ACTIONS(1722),
    [aux_sym__keyword_is_token1] = ACTIONS(1722),
    [aux_sym__keyword_in_token1] = ACTIONS(1722),
    [aux_sym__keyword_and_token1] = ACTIONS(1722),
    [aux_sym__keyword_like_token1] = ACTIONS(1722),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1722),
    [aux_sym__keyword_as_token1] = ACTIONS(1722),
    [aux_sym__keyword_window_token1] = ACTIONS(1722),
    [aux_sym__keyword_date_token1] = ACTIONS(1722),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1722),
    [aux_sym__keyword_time_token1] = ACTIONS(1722),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1722),
    [aux_sym__keyword_for_token1] = ACTIONS(1722),
    [anon_sym_SEMI] = ACTIONS(1720),
    [aux_sym_declare_statement_token1] = ACTIONS(1722),
    [anon_sym_COMMA] = ACTIONS(1720),
    [aux_sym_set_statement_token1] = ACTIONS(1722),
    [anon_sym_LPAREN] = ACTIONS(1720),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1722),
    [aux_sym_return_satement_token1] = ACTIONS(1722),
    [aux_sym_call_statement_token1] = ACTIONS(1722),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1722),
    [aux_sym_if_statement_token1] = ACTIONS(1722),
    [aux_sym_loop_statement_token1] = ACTIONS(1722),
    [aux_sym_repeat_statement_token1] = ACTIONS(1722),
    [aux_sym_while_statement_token1] = ACTIONS(1722),
    [aux_sym_break_statement_token1] = ACTIONS(1722),
    [aux_sym_leave_statement_token1] = ACTIONS(1722),
    [aux_sym_continue_statement_token1] = ACTIONS(1722),
    [aux_sym_iterate_statement_token1] = ACTIONS(1722),
    [aux_sym_raise_statement_token1] = ACTIONS(1722),
    [anon_sym_EQ] = ACTIONS(1720),
    [aux_sym_assert_statement_token1] = ACTIONS(1722),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1722),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1722),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1722),
    [anon_sym_LT] = ACTIONS(1722),
    [anon_sym_GT] = ACTIONS(1722),
    [aux_sym_set_operation_token1] = ACTIONS(1722),
    [aux_sym_set_operation_token3] = ACTIONS(1722),
    [aux_sym_set_operation_token4] = ACTIONS(1722),
    [aux_sym_select_token1] = ACTIONS(1722),
    [aux_sym_having_clause_token1] = ACTIONS(1722),
    [aux_sym_qualify_clause_token1] = ACTIONS(1722),
    [aux_sym_limit_clause_token1] = ACTIONS(1722),
    [aux_sym_group_by_clause_token1] = ACTIONS(1722),
    [aux_sym_order_by_clause_token1] = ACTIONS(1722),
    [aux_sym_where_clause_token1] = ACTIONS(1722),
    [aux_sym_insert_statement_token1] = ACTIONS(1722),
    [aux_sym_truncate_statement_token1] = ACTIONS(1722),
    [aux_sym_update_statement_token1] = ACTIONS(1722),
    [aux_sym_merge_statement_token1] = ACTIONS(1722),
    [aux_sym_grant_statement_token1] = ACTIONS(1722),
    [aux_sym_revoke_statement_token1] = ACTIONS(1722),
    [aux_sym_export_data_statement_token1] = ACTIONS(1722),
    [aux_sym_load_data_statement_token1] = ACTIONS(1722),
    [anon_sym_LBRACK] = ACTIONS(1720),
    [sym__quoted_identifier] = ACTIONS(1720),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1720),
    [anon_sym_PLUS] = ACTIONS(1720),
    [anon_sym_DASH] = ACTIONS(1722),
    [anon_sym_STAR] = ACTIONS(1720),
    [anon_sym_SLASH] = ACTIONS(1722),
    [anon_sym_PIPE_PIPE] = ACTIONS(1720),
    [anon_sym_LT_EQ] = ACTIONS(1720),
    [anon_sym_LT_GT] = ACTIONS(1720),
    [anon_sym_GT_EQ] = ACTIONS(1720),
    [anon_sym_BANG_EQ] = ACTIONS(1720),
    [anon_sym_LT_LT] = ACTIONS(1720),
    [anon_sym_GT_GT] = ACTIONS(1720),
    [anon_sym_AMP] = ACTIONS(1720),
    [anon_sym_CARET] = ACTIONS(1720),
    [anon_sym_PIPE] = ACTIONS(1722),
  },
  [1953] = {
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1420),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_from_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_end_token1] = ACTIONS(1420),
    [aux_sym__keyword_between_token1] = ACTIONS(1420),
    [aux_sym__keyword_when_token1] = ACTIONS(1420),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1420),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1420),
    [aux_sym__keyword_like_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_window_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_repeat_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token3] = ACTIONS(1420),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_having_clause_token1] = ACTIONS(1420),
    [aux_sym_qualify_clause_token1] = ACTIONS(1420),
    [aux_sym_limit_clause_token1] = ACTIONS(1420),
    [aux_sym_group_by_clause_token1] = ACTIONS(1420),
    [aux_sym_order_by_clause_token1] = ACTIONS(1420),
    [aux_sym_where_clause_token1] = ACTIONS(1420),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [1954] = {
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1420),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_from_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_end_token1] = ACTIONS(1420),
    [aux_sym__keyword_between_token1] = ACTIONS(1420),
    [aux_sym__keyword_when_token1] = ACTIONS(1420),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1420),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1420),
    [aux_sym__keyword_like_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_window_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_repeat_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token3] = ACTIONS(1420),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_having_clause_token1] = ACTIONS(1420),
    [aux_sym_qualify_clause_token1] = ACTIONS(1420),
    [aux_sym_limit_clause_token1] = ACTIONS(1420),
    [aux_sym_group_by_clause_token1] = ACTIONS(1420),
    [aux_sym_order_by_clause_token1] = ACTIONS(1420),
    [aux_sym_where_clause_token1] = ACTIONS(1420),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [1955] = {
    [ts_builtin_sym_end] = ACTIONS(1422),
    [sym__unquoted_identifier] = ACTIONS(1424),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1424),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1424),
    [aux_sym_keyword_replace_token1] = ACTIONS(1424),
    [aux_sym__keyword_alter_token1] = ACTIONS(1424),
    [aux_sym__keyword_from_token1] = ACTIONS(1424),
    [aux_sym__keyword_delete_token1] = ACTIONS(1424),
    [aux_sym__keyword_begin_token1] = ACTIONS(1424),
    [aux_sym__keyword_end_token1] = ACTIONS(1424),
    [aux_sym__keyword_between_token1] = ACTIONS(1424),
    [aux_sym__keyword_when_token1] = ACTIONS(1424),
    [aux_sym__keyword_else_token1] = ACTIONS(1424),
    [aux_sym__keyword_is_token1] = ACTIONS(1424),
    [aux_sym__keyword_in_token1] = ACTIONS(1424),
    [aux_sym__keyword_and_token1] = ACTIONS(1424),
    [aux_sym__keyword_like_token1] = ACTIONS(1424),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1424),
    [aux_sym__keyword_as_token1] = ACTIONS(1424),
    [aux_sym__keyword_window_token1] = ACTIONS(1424),
    [aux_sym__keyword_date_token1] = ACTIONS(1424),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1424),
    [aux_sym__keyword_time_token1] = ACTIONS(1424),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1424),
    [aux_sym__keyword_for_token1] = ACTIONS(1424),
    [anon_sym_SEMI] = ACTIONS(1422),
    [aux_sym_declare_statement_token1] = ACTIONS(1424),
    [anon_sym_COMMA] = ACTIONS(1422),
    [aux_sym_set_statement_token1] = ACTIONS(1424),
    [anon_sym_LPAREN] = ACTIONS(1422),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1424),
    [aux_sym_return_satement_token1] = ACTIONS(1424),
    [aux_sym_call_statement_token1] = ACTIONS(1424),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1424),
    [aux_sym_if_statement_token1] = ACTIONS(1424),
    [aux_sym_loop_statement_token1] = ACTIONS(1424),
    [aux_sym_repeat_statement_token1] = ACTIONS(1424),
    [aux_sym_while_statement_token1] = ACTIONS(1424),
    [aux_sym_break_statement_token1] = ACTIONS(1424),
    [aux_sym_leave_statement_token1] = ACTIONS(1424),
    [aux_sym_continue_statement_token1] = ACTIONS(1424),
    [aux_sym_iterate_statement_token1] = ACTIONS(1424),
    [aux_sym_raise_statement_token1] = ACTIONS(1424),
    [anon_sym_EQ] = ACTIONS(1422),
    [aux_sym_assert_statement_token1] = ACTIONS(1424),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1424),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1424),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1424),
    [anon_sym_LT] = ACTIONS(1424),
    [anon_sym_GT] = ACTIONS(1424),
    [aux_sym_set_operation_token1] = ACTIONS(1424),
    [aux_sym_set_operation_token3] = ACTIONS(1424),
    [aux_sym_set_operation_token4] = ACTIONS(1424),
    [aux_sym_select_token1] = ACTIONS(1424),
    [aux_sym_having_clause_token1] = ACTIONS(1424),
    [aux_sym_qualify_clause_token1] = ACTIONS(1424),
    [aux_sym_limit_clause_token1] = ACTIONS(1424),
    [aux_sym_group_by_clause_token1] = ACTIONS(1424),
    [aux_sym_order_by_clause_token1] = ACTIONS(1424),
    [aux_sym_where_clause_token1] = ACTIONS(1424),
    [aux_sym_insert_statement_token1] = ACTIONS(1424),
    [aux_sym_truncate_statement_token1] = ACTIONS(1424),
    [aux_sym_update_statement_token1] = ACTIONS(1424),
    [aux_sym_merge_statement_token1] = ACTIONS(1424),
    [aux_sym_grant_statement_token1] = ACTIONS(1424),
    [aux_sym_revoke_statement_token1] = ACTIONS(1424),
    [aux_sym_export_data_statement_token1] = ACTIONS(1424),
    [aux_sym_load_data_statement_token1] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1422),
    [sym__quoted_identifier] = ACTIONS(1422),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1424),
    [anon_sym_STAR] = ACTIONS(1422),
    [anon_sym_SLASH] = ACTIONS(1424),
    [anon_sym_PIPE_PIPE] = ACTIONS(1422),
    [anon_sym_LT_EQ] = ACTIONS(1422),
    [anon_sym_LT_GT] = ACTIONS(1422),
    [anon_sym_GT_EQ] = ACTIONS(1422),
    [anon_sym_BANG_EQ] = ACTIONS(1422),
    [anon_sym_LT_LT] = ACTIONS(1422),
    [anon_sym_GT_GT] = ACTIONS(1422),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_CARET] = ACTIONS(1422),
    [anon_sym_PIPE] = ACTIONS(1424),
  },
  [1956] = {
    [ts_builtin_sym_end] = ACTIONS(1684),
    [sym__unquoted_identifier] = ACTIONS(1686),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1686),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1686),
    [aux_sym_keyword_replace_token1] = ACTIONS(1686),
    [aux_sym__keyword_alter_token1] = ACTIONS(1686),
    [aux_sym__keyword_from_token1] = ACTIONS(1686),
    [aux_sym__keyword_delete_token1] = ACTIONS(1686),
    [aux_sym__keyword_begin_token1] = ACTIONS(1686),
    [aux_sym__keyword_end_token1] = ACTIONS(1686),
    [aux_sym__keyword_between_token1] = ACTIONS(1686),
    [aux_sym__keyword_when_token1] = ACTIONS(1686),
    [aux_sym__keyword_else_token1] = ACTIONS(1686),
    [aux_sym__keyword_is_token1] = ACTIONS(1686),
    [aux_sym__keyword_in_token1] = ACTIONS(1686),
    [aux_sym__keyword_and_token1] = ACTIONS(1686),
    [aux_sym__keyword_like_token1] = ACTIONS(1686),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1686),
    [aux_sym__keyword_as_token1] = ACTIONS(1686),
    [aux_sym__keyword_window_token1] = ACTIONS(1686),
    [aux_sym__keyword_date_token1] = ACTIONS(1686),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1686),
    [aux_sym__keyword_time_token1] = ACTIONS(1686),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1686),
    [aux_sym__keyword_for_token1] = ACTIONS(1686),
    [anon_sym_SEMI] = ACTIONS(1684),
    [aux_sym_declare_statement_token1] = ACTIONS(1686),
    [anon_sym_COMMA] = ACTIONS(1684),
    [aux_sym_set_statement_token1] = ACTIONS(1686),
    [anon_sym_LPAREN] = ACTIONS(1684),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1686),
    [aux_sym_return_satement_token1] = ACTIONS(1686),
    [aux_sym_call_statement_token1] = ACTIONS(1686),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1686),
    [aux_sym_if_statement_token1] = ACTIONS(1686),
    [aux_sym_loop_statement_token1] = ACTIONS(1686),
    [aux_sym_repeat_statement_token1] = ACTIONS(1686),
    [aux_sym_while_statement_token1] = ACTIONS(1686),
    [aux_sym_break_statement_token1] = ACTIONS(1686),
    [aux_sym_leave_statement_token1] = ACTIONS(1686),
    [aux_sym_continue_statement_token1] = ACTIONS(1686),
    [aux_sym_iterate_statement_token1] = ACTIONS(1686),
    [aux_sym_raise_statement_token1] = ACTIONS(1686),
    [anon_sym_EQ] = ACTIONS(1684),
    [aux_sym_assert_statement_token1] = ACTIONS(1686),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1686),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1686),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1686),
    [anon_sym_LT] = ACTIONS(1686),
    [anon_sym_GT] = ACTIONS(1686),
    [aux_sym_set_operation_token1] = ACTIONS(1686),
    [aux_sym_set_operation_token3] = ACTIONS(1686),
    [aux_sym_set_operation_token4] = ACTIONS(1686),
    [aux_sym_select_token1] = ACTIONS(1686),
    [aux_sym_having_clause_token1] = ACTIONS(1686),
    [aux_sym_qualify_clause_token1] = ACTIONS(1686),
    [aux_sym_limit_clause_token1] = ACTIONS(1686),
    [aux_sym_group_by_clause_token1] = ACTIONS(1686),
    [aux_sym_order_by_clause_token1] = ACTIONS(1686),
    [aux_sym_where_clause_token1] = ACTIONS(1686),
    [aux_sym_insert_statement_token1] = ACTIONS(1686),
    [aux_sym_truncate_statement_token1] = ACTIONS(1686),
    [aux_sym_update_statement_token1] = ACTIONS(1686),
    [aux_sym_merge_statement_token1] = ACTIONS(1686),
    [aux_sym_grant_statement_token1] = ACTIONS(1686),
    [aux_sym_revoke_statement_token1] = ACTIONS(1686),
    [aux_sym_export_data_statement_token1] = ACTIONS(1686),
    [aux_sym_load_data_statement_token1] = ACTIONS(1686),
    [anon_sym_LBRACK] = ACTIONS(1684),
    [sym__quoted_identifier] = ACTIONS(1684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1684),
    [anon_sym_PLUS] = ACTIONS(1684),
    [anon_sym_DASH] = ACTIONS(1686),
    [anon_sym_STAR] = ACTIONS(1684),
    [anon_sym_SLASH] = ACTIONS(1686),
    [anon_sym_PIPE_PIPE] = ACTIONS(1684),
    [anon_sym_LT_EQ] = ACTIONS(1684),
    [anon_sym_LT_GT] = ACTIONS(1684),
    [anon_sym_GT_EQ] = ACTIONS(1684),
    [anon_sym_BANG_EQ] = ACTIONS(1684),
    [anon_sym_LT_LT] = ACTIONS(1684),
    [anon_sym_GT_GT] = ACTIONS(1684),
    [anon_sym_AMP] = ACTIONS(1684),
    [anon_sym_CARET] = ACTIONS(1684),
    [anon_sym_PIPE] = ACTIONS(1686),
  },
  [1957] = {
    [ts_builtin_sym_end] = ACTIONS(1374),
    [sym__unquoted_identifier] = ACTIONS(1376),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1376),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1376),
    [aux_sym_keyword_replace_token1] = ACTIONS(1376),
    [aux_sym__keyword_alter_token1] = ACTIONS(1376),
    [aux_sym__keyword_from_token1] = ACTIONS(1376),
    [aux_sym__keyword_delete_token1] = ACTIONS(1376),
    [aux_sym__keyword_begin_token1] = ACTIONS(1376),
    [aux_sym__keyword_end_token1] = ACTIONS(1376),
    [aux_sym__keyword_between_token1] = ACTIONS(1376),
    [aux_sym__keyword_when_token1] = ACTIONS(1376),
    [aux_sym__keyword_else_token1] = ACTIONS(1376),
    [aux_sym__keyword_is_token1] = ACTIONS(1376),
    [aux_sym__keyword_in_token1] = ACTIONS(1376),
    [aux_sym__keyword_and_token1] = ACTIONS(1376),
    [aux_sym__keyword_like_token1] = ACTIONS(1376),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1376),
    [aux_sym__keyword_as_token1] = ACTIONS(1376),
    [aux_sym__keyword_window_token1] = ACTIONS(1376),
    [aux_sym__keyword_date_token1] = ACTIONS(1376),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1376),
    [aux_sym__keyword_time_token1] = ACTIONS(1376),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1376),
    [aux_sym__keyword_for_token1] = ACTIONS(1376),
    [anon_sym_SEMI] = ACTIONS(1374),
    [aux_sym_declare_statement_token1] = ACTIONS(1376),
    [anon_sym_COMMA] = ACTIONS(1374),
    [aux_sym_set_statement_token1] = ACTIONS(1376),
    [anon_sym_LPAREN] = ACTIONS(1374),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1376),
    [aux_sym_return_satement_token1] = ACTIONS(1376),
    [aux_sym_call_statement_token1] = ACTIONS(1376),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1376),
    [aux_sym_if_statement_token1] = ACTIONS(1376),
    [aux_sym_loop_statement_token1] = ACTIONS(1376),
    [aux_sym_repeat_statement_token1] = ACTIONS(1376),
    [aux_sym_while_statement_token1] = ACTIONS(1376),
    [aux_sym_break_statement_token1] = ACTIONS(1376),
    [aux_sym_leave_statement_token1] = ACTIONS(1376),
    [aux_sym_continue_statement_token1] = ACTIONS(1376),
    [aux_sym_iterate_statement_token1] = ACTIONS(1376),
    [aux_sym_raise_statement_token1] = ACTIONS(1376),
    [anon_sym_EQ] = ACTIONS(1374),
    [aux_sym_assert_statement_token1] = ACTIONS(1376),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1376),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1376),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1376),
    [anon_sym_LT] = ACTIONS(1376),
    [anon_sym_GT] = ACTIONS(1376),
    [aux_sym_set_operation_token1] = ACTIONS(1376),
    [aux_sym_set_operation_token3] = ACTIONS(1376),
    [aux_sym_set_operation_token4] = ACTIONS(1376),
    [aux_sym_select_token1] = ACTIONS(1376),
    [aux_sym_having_clause_token1] = ACTIONS(1376),
    [aux_sym_qualify_clause_token1] = ACTIONS(1376),
    [aux_sym_limit_clause_token1] = ACTIONS(1376),
    [aux_sym_group_by_clause_token1] = ACTIONS(1376),
    [aux_sym_order_by_clause_token1] = ACTIONS(1376),
    [aux_sym_where_clause_token1] = ACTIONS(1376),
    [aux_sym_insert_statement_token1] = ACTIONS(1376),
    [aux_sym_truncate_statement_token1] = ACTIONS(1376),
    [aux_sym_update_statement_token1] = ACTIONS(1376),
    [aux_sym_merge_statement_token1] = ACTIONS(1376),
    [aux_sym_grant_statement_token1] = ACTIONS(1376),
    [aux_sym_revoke_statement_token1] = ACTIONS(1376),
    [aux_sym_export_data_statement_token1] = ACTIONS(1376),
    [aux_sym_load_data_statement_token1] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(1374),
    [sym__quoted_identifier] = ACTIONS(1374),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_SLASH] = ACTIONS(1376),
    [anon_sym_PIPE_PIPE] = ACTIONS(1374),
    [anon_sym_LT_EQ] = ACTIONS(1374),
    [anon_sym_LT_GT] = ACTIONS(1374),
    [anon_sym_GT_EQ] = ACTIONS(1374),
    [anon_sym_BANG_EQ] = ACTIONS(1374),
    [anon_sym_LT_LT] = ACTIONS(1374),
    [anon_sym_GT_GT] = ACTIONS(1374),
    [anon_sym_AMP] = ACTIONS(1374),
    [anon_sym_CARET] = ACTIONS(1374),
    [anon_sym_PIPE] = ACTIONS(1376),
  },
  [1958] = {
    [ts_builtin_sym_end] = ACTIONS(917),
    [sym__unquoted_identifier] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(921),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(921),
    [aux_sym__keyword_from_token1] = ACTIONS(921),
    [aux_sym__keyword_delete_token1] = ACTIONS(921),
    [aux_sym__keyword_begin_token1] = ACTIONS(921),
    [aux_sym__keyword_end_token1] = ACTIONS(921),
    [aux_sym__keyword_between_token1] = ACTIONS(921),
    [aux_sym__keyword_when_token1] = ACTIONS(921),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(921),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(921),
    [aux_sym__keyword_like_token1] = ACTIONS(921),
    [aux_sym__keyword_repeat_token1] = ACTIONS(921),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_window_token1] = ACTIONS(921),
    [aux_sym__keyword_date_token1] = ACTIONS(921),
    [aux_sym__keyword_datetime_token1] = ACTIONS(921),
    [aux_sym__keyword_time_token1] = ACTIONS(921),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(921),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(921),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(921),
    [aux_sym_return_satement_token1] = ACTIONS(921),
    [aux_sym_call_statement_token1] = ACTIONS(921),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(921),
    [aux_sym_if_statement_token1] = ACTIONS(921),
    [aux_sym_loop_statement_token1] = ACTIONS(921),
    [aux_sym_repeat_statement_token1] = ACTIONS(921),
    [aux_sym_while_statement_token1] = ACTIONS(921),
    [aux_sym_break_statement_token1] = ACTIONS(921),
    [aux_sym_leave_statement_token1] = ACTIONS(921),
    [aux_sym_continue_statement_token1] = ACTIONS(921),
    [aux_sym_iterate_statement_token1] = ACTIONS(921),
    [aux_sym_raise_statement_token1] = ACTIONS(921),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(921),
    [aux_sym_create_schema_statement_token1] = ACTIONS(921),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(921),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(921),
    [aux_sym_set_operation_token3] = ACTIONS(921),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(921),
    [aux_sym_having_clause_token1] = ACTIONS(921),
    [aux_sym_qualify_clause_token1] = ACTIONS(921),
    [aux_sym_limit_clause_token1] = ACTIONS(921),
    [aux_sym_group_by_clause_token1] = ACTIONS(921),
    [aux_sym_order_by_clause_token1] = ACTIONS(921),
    [aux_sym_where_clause_token1] = ACTIONS(921),
    [aux_sym_insert_statement_token1] = ACTIONS(921),
    [aux_sym_truncate_statement_token1] = ACTIONS(921),
    [aux_sym_update_statement_token1] = ACTIONS(921),
    [aux_sym_merge_statement_token1] = ACTIONS(921),
    [aux_sym_grant_statement_token1] = ACTIONS(921),
    [aux_sym_revoke_statement_token1] = ACTIONS(921),
    [aux_sym_export_data_statement_token1] = ACTIONS(921),
    [aux_sym_load_data_statement_token1] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym__quoted_identifier] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(917),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PIPE_PIPE] = ACTIONS(917),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [1959] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_from_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [1960] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_from_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [1961] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_from_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [1962] = {
    [sym__keyword_as] = STATE(11499),
    [sym__keyword_date] = STATE(4847),
    [sym__keyword_datetime] = STATE(4847),
    [sym__keyword_time] = STATE(4847),
    [sym__keyword_timestamp] = STATE(4847),
    [sym_as_alias] = STATE(4475),
    [sym_unnest_withoffset] = STATE(4873),
    [sym__type_chrono] = STATE(4818),
    [sym__identifier] = STATE(4755),
    [sym__dotted_identifier] = STATE(13556),
    [sym_identifier] = STATE(4842),
    [aux_sym_identifier_repeat1] = STATE(13556),
    [sym__unquoted_identifier] = ACTIONS(2604),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(205),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(205),
    [aux_sym_keyword_replace_token1] = ACTIONS(205),
    [aux_sym__keyword_alter_token1] = ACTIONS(205),
    [aux_sym__keyword_delete_token1] = ACTIONS(205),
    [aux_sym__keyword_begin_token1] = ACTIONS(205),
    [aux_sym__keyword_end_token1] = ACTIONS(205),
    [aux_sym__keyword_between_token1] = ACTIONS(205),
    [aux_sym__keyword_else_token1] = ACTIONS(205),
    [aux_sym__keyword_is_token1] = ACTIONS(205),
    [aux_sym__keyword_in_token1] = ACTIONS(205),
    [aux_sym__keyword_and_token1] = ACTIONS(205),
    [aux_sym__keyword_like_token1] = ACTIONS(205),
    [aux_sym__keyword_repeat_token1] = ACTIONS(205),
    [aux_sym__keyword_as_token1] = ACTIONS(2778),
    [aux_sym__keyword_date_token1] = ACTIONS(2780),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2780),
    [aux_sym__keyword_time_token1] = ACTIONS(2780),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2780),
    [aux_sym__keyword_for_token1] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(211),
    [aux_sym_declare_statement_token1] = ACTIONS(205),
    [aux_sym_set_statement_token1] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(211),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(205),
    [aux_sym_into_clause_token1] = ACTIONS(205),
    [aux_sym_using_clause_token1] = ACTIONS(205),
    [aux_sym_return_satement_token1] = ACTIONS(205),
    [aux_sym_call_statement_token1] = ACTIONS(205),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(205),
    [aux_sym_if_statement_token1] = ACTIONS(205),
    [aux_sym_loop_statement_token1] = ACTIONS(205),
    [aux_sym_repeat_statement_token1] = ACTIONS(205),
    [aux_sym_while_statement_token1] = ACTIONS(205),
    [aux_sym_break_statement_token1] = ACTIONS(205),
    [aux_sym_leave_statement_token1] = ACTIONS(205),
    [aux_sym_continue_statement_token1] = ACTIONS(205),
    [aux_sym_iterate_statement_token1] = ACTIONS(205),
    [aux_sym_raise_statement_token1] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(211),
    [aux_sym_assert_statement_token1] = ACTIONS(205),
    [aux_sym_create_schema_statement_token1] = ACTIONS(205),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(205),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2782),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [aux_sym_select_token1] = ACTIONS(205),
    [aux_sym_insert_statement_token1] = ACTIONS(205),
    [aux_sym_truncate_statement_token1] = ACTIONS(205),
    [aux_sym_update_statement_token1] = ACTIONS(205),
    [aux_sym_merge_statement_token1] = ACTIONS(205),
    [aux_sym_grant_statement_token1] = ACTIONS(205),
    [aux_sym_revoke_statement_token1] = ACTIONS(205),
    [aux_sym_export_data_statement_token1] = ACTIONS(205),
    [aux_sym_load_data_statement_token1] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(211),
    [sym__quoted_identifier] = ACTIONS(2646),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(211),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(211),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(211),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_LT_GT] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(211),
    [anon_sym_GT_GT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_CARET] = ACTIONS(211),
    [anon_sym_PIPE] = ACTIONS(205),
  },
  [1963] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_from_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [1964] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_from_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [1965] = {
    [ts_builtin_sym_end] = ACTIONS(1430),
    [sym__unquoted_identifier] = ACTIONS(1432),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1432),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1432),
    [aux_sym_keyword_replace_token1] = ACTIONS(1432),
    [aux_sym__keyword_alter_token1] = ACTIONS(1432),
    [aux_sym__keyword_from_token1] = ACTIONS(1432),
    [aux_sym__keyword_delete_token1] = ACTIONS(1432),
    [aux_sym__keyword_begin_token1] = ACTIONS(1432),
    [aux_sym__keyword_end_token1] = ACTIONS(1432),
    [aux_sym__keyword_between_token1] = ACTIONS(1432),
    [aux_sym__keyword_when_token1] = ACTIONS(1432),
    [aux_sym__keyword_else_token1] = ACTIONS(1432),
    [aux_sym__keyword_is_token1] = ACTIONS(1432),
    [aux_sym__keyword_in_token1] = ACTIONS(1432),
    [aux_sym__keyword_and_token1] = ACTIONS(1432),
    [aux_sym__keyword_like_token1] = ACTIONS(1432),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1432),
    [aux_sym__keyword_as_token1] = ACTIONS(1432),
    [aux_sym__keyword_window_token1] = ACTIONS(1432),
    [aux_sym__keyword_date_token1] = ACTIONS(1432),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1432),
    [aux_sym__keyword_time_token1] = ACTIONS(1432),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1432),
    [aux_sym__keyword_for_token1] = ACTIONS(1432),
    [anon_sym_SEMI] = ACTIONS(1430),
    [aux_sym_declare_statement_token1] = ACTIONS(1432),
    [anon_sym_COMMA] = ACTIONS(1430),
    [aux_sym_set_statement_token1] = ACTIONS(1432),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1432),
    [aux_sym_return_satement_token1] = ACTIONS(1432),
    [aux_sym_call_statement_token1] = ACTIONS(1432),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1432),
    [aux_sym_if_statement_token1] = ACTIONS(1432),
    [aux_sym_loop_statement_token1] = ACTIONS(1432),
    [aux_sym_repeat_statement_token1] = ACTIONS(1432),
    [aux_sym_while_statement_token1] = ACTIONS(1432),
    [aux_sym_break_statement_token1] = ACTIONS(1432),
    [aux_sym_leave_statement_token1] = ACTIONS(1432),
    [aux_sym_continue_statement_token1] = ACTIONS(1432),
    [aux_sym_iterate_statement_token1] = ACTIONS(1432),
    [aux_sym_raise_statement_token1] = ACTIONS(1432),
    [anon_sym_EQ] = ACTIONS(1430),
    [aux_sym_assert_statement_token1] = ACTIONS(1432),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1432),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1432),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [aux_sym_set_operation_token1] = ACTIONS(1432),
    [aux_sym_set_operation_token3] = ACTIONS(1432),
    [aux_sym_set_operation_token4] = ACTIONS(1432),
    [aux_sym_select_token1] = ACTIONS(1432),
    [aux_sym_having_clause_token1] = ACTIONS(1432),
    [aux_sym_qualify_clause_token1] = ACTIONS(1432),
    [aux_sym_limit_clause_token1] = ACTIONS(1432),
    [aux_sym_group_by_clause_token1] = ACTIONS(1432),
    [aux_sym_order_by_clause_token1] = ACTIONS(1432),
    [aux_sym_where_clause_token1] = ACTIONS(1432),
    [aux_sym_insert_statement_token1] = ACTIONS(1432),
    [aux_sym_truncate_statement_token1] = ACTIONS(1432),
    [aux_sym_update_statement_token1] = ACTIONS(1432),
    [aux_sym_merge_statement_token1] = ACTIONS(1432),
    [aux_sym_grant_statement_token1] = ACTIONS(1432),
    [aux_sym_revoke_statement_token1] = ACTIONS(1432),
    [aux_sym_export_data_statement_token1] = ACTIONS(1432),
    [aux_sym_load_data_statement_token1] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [sym__quoted_identifier] = ACTIONS(1430),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1432),
    [anon_sym_PIPE_PIPE] = ACTIONS(1430),
    [anon_sym_LT_EQ] = ACTIONS(1430),
    [anon_sym_LT_GT] = ACTIONS(1430),
    [anon_sym_GT_EQ] = ACTIONS(1430),
    [anon_sym_BANG_EQ] = ACTIONS(1430),
    [anon_sym_LT_LT] = ACTIONS(1430),
    [anon_sym_GT_GT] = ACTIONS(1430),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_PIPE] = ACTIONS(1432),
  },
  [1966] = {
    [ts_builtin_sym_end] = ACTIONS(1434),
    [sym__unquoted_identifier] = ACTIONS(1436),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1436),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1436),
    [aux_sym_keyword_replace_token1] = ACTIONS(1436),
    [aux_sym__keyword_alter_token1] = ACTIONS(1436),
    [aux_sym__keyword_from_token1] = ACTIONS(1436),
    [aux_sym__keyword_delete_token1] = ACTIONS(1436),
    [aux_sym__keyword_begin_token1] = ACTIONS(1436),
    [aux_sym__keyword_end_token1] = ACTIONS(1436),
    [aux_sym__keyword_between_token1] = ACTIONS(1436),
    [aux_sym__keyword_when_token1] = ACTIONS(1436),
    [aux_sym__keyword_else_token1] = ACTIONS(1436),
    [aux_sym__keyword_is_token1] = ACTIONS(1436),
    [aux_sym__keyword_in_token1] = ACTIONS(1436),
    [aux_sym__keyword_and_token1] = ACTIONS(1436),
    [aux_sym__keyword_like_token1] = ACTIONS(1436),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1436),
    [aux_sym__keyword_as_token1] = ACTIONS(1436),
    [aux_sym__keyword_window_token1] = ACTIONS(1436),
    [aux_sym__keyword_date_token1] = ACTIONS(1436),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1436),
    [aux_sym__keyword_time_token1] = ACTIONS(1436),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1436),
    [aux_sym__keyword_for_token1] = ACTIONS(1436),
    [anon_sym_SEMI] = ACTIONS(1434),
    [aux_sym_declare_statement_token1] = ACTIONS(1436),
    [anon_sym_COMMA] = ACTIONS(1434),
    [aux_sym_set_statement_token1] = ACTIONS(1436),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1436),
    [aux_sym_return_satement_token1] = ACTIONS(1436),
    [aux_sym_call_statement_token1] = ACTIONS(1436),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1436),
    [aux_sym_if_statement_token1] = ACTIONS(1436),
    [aux_sym_loop_statement_token1] = ACTIONS(1436),
    [aux_sym_repeat_statement_token1] = ACTIONS(1436),
    [aux_sym_while_statement_token1] = ACTIONS(1436),
    [aux_sym_break_statement_token1] = ACTIONS(1436),
    [aux_sym_leave_statement_token1] = ACTIONS(1436),
    [aux_sym_continue_statement_token1] = ACTIONS(1436),
    [aux_sym_iterate_statement_token1] = ACTIONS(1436),
    [aux_sym_raise_statement_token1] = ACTIONS(1436),
    [anon_sym_EQ] = ACTIONS(1434),
    [aux_sym_assert_statement_token1] = ACTIONS(1436),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1436),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1436),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(1436),
    [anon_sym_GT] = ACTIONS(1436),
    [aux_sym_set_operation_token1] = ACTIONS(1436),
    [aux_sym_set_operation_token3] = ACTIONS(1436),
    [aux_sym_set_operation_token4] = ACTIONS(1436),
    [aux_sym_select_token1] = ACTIONS(1436),
    [aux_sym_having_clause_token1] = ACTIONS(1436),
    [aux_sym_qualify_clause_token1] = ACTIONS(1436),
    [aux_sym_limit_clause_token1] = ACTIONS(1436),
    [aux_sym_group_by_clause_token1] = ACTIONS(1436),
    [aux_sym_order_by_clause_token1] = ACTIONS(1436),
    [aux_sym_where_clause_token1] = ACTIONS(1436),
    [aux_sym_insert_statement_token1] = ACTIONS(1436),
    [aux_sym_truncate_statement_token1] = ACTIONS(1436),
    [aux_sym_update_statement_token1] = ACTIONS(1436),
    [aux_sym_merge_statement_token1] = ACTIONS(1436),
    [aux_sym_grant_statement_token1] = ACTIONS(1436),
    [aux_sym_revoke_statement_token1] = ACTIONS(1436),
    [aux_sym_export_data_statement_token1] = ACTIONS(1436),
    [aux_sym_load_data_statement_token1] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [sym__quoted_identifier] = ACTIONS(1434),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_STAR] = ACTIONS(1434),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1434),
    [anon_sym_LT_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1434),
    [anon_sym_BANG_EQ] = ACTIONS(1434),
    [anon_sym_LT_LT] = ACTIONS(1434),
    [anon_sym_GT_GT] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1434),
    [anon_sym_PIPE] = ACTIONS(1436),
  },
  [1967] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_from_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [1968] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_from_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [1969] = {
    [sym__keyword_as] = STATE(15524),
    [sym__unquoted_identifier] = ACTIONS(1476),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1476),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1476),
    [aux_sym_keyword_replace_token1] = ACTIONS(1476),
    [aux_sym__keyword_alter_token1] = ACTIONS(1476),
    [aux_sym__keyword_from_token1] = ACTIONS(1476),
    [aux_sym__keyword_delete_token1] = ACTIONS(1476),
    [aux_sym__keyword_begin_token1] = ACTIONS(1476),
    [aux_sym__keyword_end_token1] = ACTIONS(1476),
    [aux_sym__keyword_between_token1] = ACTIONS(1476),
    [aux_sym__keyword_when_token1] = ACTIONS(1476),
    [aux_sym__keyword_else_token1] = ACTIONS(1476),
    [aux_sym__keyword_is_token1] = ACTIONS(1476),
    [aux_sym__keyword_in_token1] = ACTIONS(1476),
    [aux_sym__keyword_and_token1] = ACTIONS(1476),
    [aux_sym__keyword_like_token1] = ACTIONS(1476),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1476),
    [aux_sym__keyword_as_token1] = ACTIONS(1476),
    [aux_sym__keyword_window_token1] = ACTIONS(1476),
    [aux_sym__keyword_date_token1] = ACTIONS(1476),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1476),
    [aux_sym__keyword_time_token1] = ACTIONS(1476),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1476),
    [aux_sym__keyword_for_token1] = ACTIONS(1476),
    [anon_sym_SEMI] = ACTIONS(1474),
    [aux_sym_declare_statement_token1] = ACTIONS(1476),
    [anon_sym_COMMA] = ACTIONS(1474),
    [aux_sym_set_statement_token1] = ACTIONS(1476),
    [anon_sym_LPAREN] = ACTIONS(1474),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1476),
    [aux_sym_return_satement_token1] = ACTIONS(1476),
    [aux_sym_call_statement_token1] = ACTIONS(1476),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1476),
    [aux_sym_if_statement_token1] = ACTIONS(1476),
    [aux_sym_loop_statement_token1] = ACTIONS(1476),
    [aux_sym_repeat_statement_token1] = ACTIONS(1476),
    [aux_sym_while_statement_token1] = ACTIONS(1476),
    [aux_sym_break_statement_token1] = ACTIONS(1476),
    [aux_sym_leave_statement_token1] = ACTIONS(1476),
    [aux_sym_continue_statement_token1] = ACTIONS(1476),
    [aux_sym_iterate_statement_token1] = ACTIONS(1476),
    [aux_sym_raise_statement_token1] = ACTIONS(1476),
    [anon_sym_EQ] = ACTIONS(1474),
    [aux_sym_assert_statement_token1] = ACTIONS(1476),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1476),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1476),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1476),
    [anon_sym_LT] = ACTIONS(1476),
    [anon_sym_GT] = ACTIONS(1476),
    [aux_sym_set_operation_token1] = ACTIONS(1476),
    [aux_sym_set_operation_token3] = ACTIONS(1476),
    [aux_sym_set_operation_token4] = ACTIONS(1476),
    [aux_sym_select_token1] = ACTIONS(1476),
    [aux_sym_having_clause_token1] = ACTIONS(1476),
    [aux_sym_qualify_clause_token1] = ACTIONS(1476),
    [aux_sym_limit_clause_token1] = ACTIONS(1476),
    [aux_sym_group_by_clause_token1] = ACTIONS(1476),
    [aux_sym_order_by_clause_token1] = ACTIONS(1476),
    [aux_sym_where_clause_token1] = ACTIONS(1476),
    [aux_sym_insert_statement_token1] = ACTIONS(1476),
    [aux_sym_truncate_statement_token1] = ACTIONS(1476),
    [aux_sym_update_statement_token1] = ACTIONS(1476),
    [aux_sym_merge_statement_token1] = ACTIONS(1476),
    [aux_sym_grant_statement_token1] = ACTIONS(1476),
    [aux_sym_revoke_statement_token1] = ACTIONS(1476),
    [aux_sym_export_data_statement_token1] = ACTIONS(1476),
    [aux_sym_load_data_statement_token1] = ACTIONS(1476),
    [anon_sym_LBRACK] = ACTIONS(1474),
    [sym__quoted_identifier] = ACTIONS(1474),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1474),
    [anon_sym_PLUS] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1476),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_SLASH] = ACTIONS(1476),
    [anon_sym_PIPE_PIPE] = ACTIONS(1474),
    [anon_sym_LT_EQ] = ACTIONS(1474),
    [anon_sym_LT_GT] = ACTIONS(1474),
    [anon_sym_GT_EQ] = ACTIONS(1474),
    [anon_sym_BANG_EQ] = ACTIONS(1474),
    [anon_sym_LT_LT] = ACTIONS(1474),
    [anon_sym_GT_GT] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_CARET] = ACTIONS(1474),
    [anon_sym_PIPE] = ACTIONS(1476),
  },
  [1970] = {
    [ts_builtin_sym_end] = ACTIONS(1438),
    [sym__unquoted_identifier] = ACTIONS(1440),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1440),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1440),
    [aux_sym_keyword_replace_token1] = ACTIONS(1440),
    [aux_sym__keyword_alter_token1] = ACTIONS(1440),
    [aux_sym__keyword_from_token1] = ACTIONS(1440),
    [aux_sym__keyword_delete_token1] = ACTIONS(1440),
    [aux_sym__keyword_begin_token1] = ACTIONS(1440),
    [aux_sym__keyword_end_token1] = ACTIONS(1440),
    [aux_sym__keyword_between_token1] = ACTIONS(1440),
    [aux_sym__keyword_when_token1] = ACTIONS(1440),
    [aux_sym__keyword_else_token1] = ACTIONS(1440),
    [aux_sym__keyword_is_token1] = ACTIONS(1440),
    [aux_sym__keyword_in_token1] = ACTIONS(1440),
    [aux_sym__keyword_and_token1] = ACTIONS(1440),
    [aux_sym__keyword_like_token1] = ACTIONS(1440),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1440),
    [aux_sym__keyword_as_token1] = ACTIONS(1440),
    [aux_sym__keyword_window_token1] = ACTIONS(1440),
    [aux_sym__keyword_date_token1] = ACTIONS(1440),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1440),
    [aux_sym__keyword_time_token1] = ACTIONS(1440),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1440),
    [aux_sym__keyword_for_token1] = ACTIONS(1440),
    [anon_sym_SEMI] = ACTIONS(1438),
    [aux_sym_declare_statement_token1] = ACTIONS(1440),
    [anon_sym_COMMA] = ACTIONS(1438),
    [aux_sym_set_statement_token1] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1438),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1440),
    [aux_sym_return_satement_token1] = ACTIONS(1440),
    [aux_sym_call_statement_token1] = ACTIONS(1440),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1440),
    [aux_sym_if_statement_token1] = ACTIONS(1440),
    [aux_sym_loop_statement_token1] = ACTIONS(1440),
    [aux_sym_repeat_statement_token1] = ACTIONS(1440),
    [aux_sym_while_statement_token1] = ACTIONS(1440),
    [aux_sym_break_statement_token1] = ACTIONS(1440),
    [aux_sym_leave_statement_token1] = ACTIONS(1440),
    [aux_sym_continue_statement_token1] = ACTIONS(1440),
    [aux_sym_iterate_statement_token1] = ACTIONS(1440),
    [aux_sym_raise_statement_token1] = ACTIONS(1440),
    [anon_sym_EQ] = ACTIONS(1438),
    [aux_sym_assert_statement_token1] = ACTIONS(1440),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1440),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1440),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1440),
    [anon_sym_LT] = ACTIONS(1440),
    [anon_sym_GT] = ACTIONS(1440),
    [aux_sym_set_operation_token1] = ACTIONS(1440),
    [aux_sym_set_operation_token3] = ACTIONS(1440),
    [aux_sym_set_operation_token4] = ACTIONS(1440),
    [aux_sym_select_token1] = ACTIONS(1440),
    [aux_sym_having_clause_token1] = ACTIONS(1440),
    [aux_sym_qualify_clause_token1] = ACTIONS(1440),
    [aux_sym_limit_clause_token1] = ACTIONS(1440),
    [aux_sym_group_by_clause_token1] = ACTIONS(1440),
    [aux_sym_order_by_clause_token1] = ACTIONS(1440),
    [aux_sym_where_clause_token1] = ACTIONS(1440),
    [aux_sym_insert_statement_token1] = ACTIONS(1440),
    [aux_sym_truncate_statement_token1] = ACTIONS(1440),
    [aux_sym_update_statement_token1] = ACTIONS(1440),
    [aux_sym_merge_statement_token1] = ACTIONS(1440),
    [aux_sym_grant_statement_token1] = ACTIONS(1440),
    [aux_sym_revoke_statement_token1] = ACTIONS(1440),
    [aux_sym_export_data_statement_token1] = ACTIONS(1440),
    [aux_sym_load_data_statement_token1] = ACTIONS(1440),
    [anon_sym_LBRACK] = ACTIONS(1438),
    [sym__quoted_identifier] = ACTIONS(1438),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_STAR] = ACTIONS(1438),
    [anon_sym_SLASH] = ACTIONS(1440),
    [anon_sym_PIPE_PIPE] = ACTIONS(1438),
    [anon_sym_LT_EQ] = ACTIONS(1438),
    [anon_sym_LT_GT] = ACTIONS(1438),
    [anon_sym_GT_EQ] = ACTIONS(1438),
    [anon_sym_BANG_EQ] = ACTIONS(1438),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_AMP] = ACTIONS(1438),
    [anon_sym_CARET] = ACTIONS(1438),
    [anon_sym_PIPE] = ACTIONS(1440),
  },
  [1971] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_from_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [1972] = {
    [ts_builtin_sym_end] = ACTIONS(1692),
    [sym__unquoted_identifier] = ACTIONS(1694),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1694),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1694),
    [aux_sym_keyword_replace_token1] = ACTIONS(1694),
    [aux_sym__keyword_alter_token1] = ACTIONS(1694),
    [aux_sym__keyword_from_token1] = ACTIONS(1694),
    [aux_sym__keyword_delete_token1] = ACTIONS(1694),
    [aux_sym__keyword_begin_token1] = ACTIONS(1694),
    [aux_sym__keyword_end_token1] = ACTIONS(1694),
    [aux_sym__keyword_between_token1] = ACTIONS(1694),
    [aux_sym__keyword_when_token1] = ACTIONS(1694),
    [aux_sym__keyword_else_token1] = ACTIONS(1694),
    [aux_sym__keyword_is_token1] = ACTIONS(1694),
    [aux_sym__keyword_in_token1] = ACTIONS(1694),
    [aux_sym__keyword_and_token1] = ACTIONS(1694),
    [aux_sym__keyword_like_token1] = ACTIONS(1694),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1694),
    [aux_sym__keyword_as_token1] = ACTIONS(1694),
    [aux_sym__keyword_window_token1] = ACTIONS(1694),
    [aux_sym__keyword_date_token1] = ACTIONS(1694),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1694),
    [aux_sym__keyword_time_token1] = ACTIONS(1694),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1694),
    [aux_sym__keyword_for_token1] = ACTIONS(1694),
    [anon_sym_SEMI] = ACTIONS(1692),
    [aux_sym_declare_statement_token1] = ACTIONS(1694),
    [anon_sym_COMMA] = ACTIONS(1692),
    [aux_sym_set_statement_token1] = ACTIONS(1694),
    [anon_sym_LPAREN] = ACTIONS(1692),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1694),
    [aux_sym_return_satement_token1] = ACTIONS(1694),
    [aux_sym_call_statement_token1] = ACTIONS(1694),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1694),
    [aux_sym_if_statement_token1] = ACTIONS(1694),
    [aux_sym_loop_statement_token1] = ACTIONS(1694),
    [aux_sym_repeat_statement_token1] = ACTIONS(1694),
    [aux_sym_while_statement_token1] = ACTIONS(1694),
    [aux_sym_break_statement_token1] = ACTIONS(1694),
    [aux_sym_leave_statement_token1] = ACTIONS(1694),
    [aux_sym_continue_statement_token1] = ACTIONS(1694),
    [aux_sym_iterate_statement_token1] = ACTIONS(1694),
    [aux_sym_raise_statement_token1] = ACTIONS(1694),
    [anon_sym_EQ] = ACTIONS(1692),
    [aux_sym_assert_statement_token1] = ACTIONS(1694),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1694),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1694),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1694),
    [anon_sym_LT] = ACTIONS(1694),
    [anon_sym_GT] = ACTIONS(1694),
    [aux_sym_set_operation_token1] = ACTIONS(1694),
    [aux_sym_set_operation_token3] = ACTIONS(1694),
    [aux_sym_set_operation_token4] = ACTIONS(1694),
    [aux_sym_select_token1] = ACTIONS(1694),
    [aux_sym_having_clause_token1] = ACTIONS(1694),
    [aux_sym_qualify_clause_token1] = ACTIONS(1694),
    [aux_sym_limit_clause_token1] = ACTIONS(1694),
    [aux_sym_group_by_clause_token1] = ACTIONS(1694),
    [aux_sym_order_by_clause_token1] = ACTIONS(1694),
    [aux_sym_where_clause_token1] = ACTIONS(1694),
    [aux_sym_insert_statement_token1] = ACTIONS(1694),
    [aux_sym_truncate_statement_token1] = ACTIONS(1694),
    [aux_sym_update_statement_token1] = ACTIONS(1694),
    [aux_sym_merge_statement_token1] = ACTIONS(1694),
    [aux_sym_grant_statement_token1] = ACTIONS(1694),
    [aux_sym_revoke_statement_token1] = ACTIONS(1694),
    [aux_sym_export_data_statement_token1] = ACTIONS(1694),
    [aux_sym_load_data_statement_token1] = ACTIONS(1694),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [sym__quoted_identifier] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1692),
    [anon_sym_PLUS] = ACTIONS(1692),
    [anon_sym_DASH] = ACTIONS(1694),
    [anon_sym_STAR] = ACTIONS(1692),
    [anon_sym_SLASH] = ACTIONS(1694),
    [anon_sym_PIPE_PIPE] = ACTIONS(1692),
    [anon_sym_LT_EQ] = ACTIONS(1692),
    [anon_sym_LT_GT] = ACTIONS(1692),
    [anon_sym_GT_EQ] = ACTIONS(1692),
    [anon_sym_BANG_EQ] = ACTIONS(1692),
    [anon_sym_LT_LT] = ACTIONS(1692),
    [anon_sym_GT_GT] = ACTIONS(1692),
    [anon_sym_AMP] = ACTIONS(1692),
    [anon_sym_CARET] = ACTIONS(1692),
    [anon_sym_PIPE] = ACTIONS(1694),
  },
  [1973] = {
    [ts_builtin_sym_end] = ACTIONS(1748),
    [sym__unquoted_identifier] = ACTIONS(1750),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1750),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1750),
    [aux_sym_keyword_replace_token1] = ACTIONS(1750),
    [aux_sym__keyword_alter_token1] = ACTIONS(1750),
    [aux_sym__keyword_from_token1] = ACTIONS(1750),
    [aux_sym__keyword_delete_token1] = ACTIONS(1750),
    [aux_sym__keyword_begin_token1] = ACTIONS(1750),
    [aux_sym__keyword_end_token1] = ACTIONS(1750),
    [aux_sym__keyword_between_token1] = ACTIONS(1750),
    [aux_sym__keyword_when_token1] = ACTIONS(1750),
    [aux_sym__keyword_else_token1] = ACTIONS(1750),
    [aux_sym__keyword_is_token1] = ACTIONS(1750),
    [aux_sym__keyword_in_token1] = ACTIONS(1750),
    [aux_sym__keyword_and_token1] = ACTIONS(1750),
    [aux_sym__keyword_like_token1] = ACTIONS(1750),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1750),
    [aux_sym__keyword_as_token1] = ACTIONS(1750),
    [aux_sym__keyword_window_token1] = ACTIONS(1750),
    [aux_sym__keyword_date_token1] = ACTIONS(1750),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1750),
    [aux_sym__keyword_time_token1] = ACTIONS(1750),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1750),
    [aux_sym__keyword_for_token1] = ACTIONS(1750),
    [anon_sym_SEMI] = ACTIONS(1748),
    [aux_sym_declare_statement_token1] = ACTIONS(1750),
    [anon_sym_COMMA] = ACTIONS(1748),
    [aux_sym_set_statement_token1] = ACTIONS(1750),
    [anon_sym_LPAREN] = ACTIONS(1748),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1750),
    [aux_sym_return_satement_token1] = ACTIONS(1750),
    [aux_sym_call_statement_token1] = ACTIONS(1750),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1750),
    [aux_sym_if_statement_token1] = ACTIONS(1750),
    [aux_sym_loop_statement_token1] = ACTIONS(1750),
    [aux_sym_repeat_statement_token1] = ACTIONS(1750),
    [aux_sym_while_statement_token1] = ACTIONS(1750),
    [aux_sym_break_statement_token1] = ACTIONS(1750),
    [aux_sym_leave_statement_token1] = ACTIONS(1750),
    [aux_sym_continue_statement_token1] = ACTIONS(1750),
    [aux_sym_iterate_statement_token1] = ACTIONS(1750),
    [aux_sym_raise_statement_token1] = ACTIONS(1750),
    [anon_sym_EQ] = ACTIONS(1748),
    [aux_sym_assert_statement_token1] = ACTIONS(1750),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1750),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1750),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1750),
    [anon_sym_LT] = ACTIONS(1750),
    [anon_sym_GT] = ACTIONS(1750),
    [aux_sym_set_operation_token1] = ACTIONS(1750),
    [aux_sym_set_operation_token3] = ACTIONS(1750),
    [aux_sym_set_operation_token4] = ACTIONS(1750),
    [aux_sym_select_token1] = ACTIONS(1750),
    [aux_sym_having_clause_token1] = ACTIONS(1750),
    [aux_sym_qualify_clause_token1] = ACTIONS(1750),
    [aux_sym_limit_clause_token1] = ACTIONS(1750),
    [aux_sym_group_by_clause_token1] = ACTIONS(1750),
    [aux_sym_order_by_clause_token1] = ACTIONS(1750),
    [aux_sym_where_clause_token1] = ACTIONS(1750),
    [aux_sym_insert_statement_token1] = ACTIONS(1750),
    [aux_sym_truncate_statement_token1] = ACTIONS(1750),
    [aux_sym_update_statement_token1] = ACTIONS(1750),
    [aux_sym_merge_statement_token1] = ACTIONS(1750),
    [aux_sym_grant_statement_token1] = ACTIONS(1750),
    [aux_sym_revoke_statement_token1] = ACTIONS(1750),
    [aux_sym_export_data_statement_token1] = ACTIONS(1750),
    [aux_sym_load_data_statement_token1] = ACTIONS(1750),
    [anon_sym_LBRACK] = ACTIONS(1748),
    [sym__quoted_identifier] = ACTIONS(1748),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1748),
    [anon_sym_PLUS] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1750),
    [anon_sym_STAR] = ACTIONS(1748),
    [anon_sym_SLASH] = ACTIONS(1750),
    [anon_sym_PIPE_PIPE] = ACTIONS(1748),
    [anon_sym_LT_EQ] = ACTIONS(1748),
    [anon_sym_LT_GT] = ACTIONS(1748),
    [anon_sym_GT_EQ] = ACTIONS(1748),
    [anon_sym_BANG_EQ] = ACTIONS(1748),
    [anon_sym_LT_LT] = ACTIONS(1748),
    [anon_sym_GT_GT] = ACTIONS(1748),
    [anon_sym_AMP] = ACTIONS(1748),
    [anon_sym_CARET] = ACTIONS(1748),
    [anon_sym_PIPE] = ACTIONS(1750),
  },
  [1974] = {
    [ts_builtin_sym_end] = ACTIONS(1838),
    [sym__unquoted_identifier] = ACTIONS(1840),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1840),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1840),
    [aux_sym_keyword_replace_token1] = ACTIONS(1840),
    [aux_sym__keyword_alter_token1] = ACTIONS(1840),
    [aux_sym__keyword_from_token1] = ACTIONS(1840),
    [aux_sym__keyword_delete_token1] = ACTIONS(1840),
    [aux_sym__keyword_begin_token1] = ACTIONS(1840),
    [aux_sym__keyword_end_token1] = ACTIONS(1840),
    [aux_sym__keyword_between_token1] = ACTIONS(1840),
    [aux_sym__keyword_when_token1] = ACTIONS(1840),
    [aux_sym__keyword_else_token1] = ACTIONS(1840),
    [aux_sym__keyword_is_token1] = ACTIONS(1840),
    [aux_sym__keyword_in_token1] = ACTIONS(1840),
    [aux_sym__keyword_and_token1] = ACTIONS(1840),
    [aux_sym__keyword_like_token1] = ACTIONS(1840),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1840),
    [aux_sym__keyword_as_token1] = ACTIONS(1840),
    [aux_sym__keyword_window_token1] = ACTIONS(1840),
    [aux_sym__keyword_date_token1] = ACTIONS(1840),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1840),
    [aux_sym__keyword_time_token1] = ACTIONS(1840),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1840),
    [aux_sym__keyword_for_token1] = ACTIONS(1840),
    [anon_sym_SEMI] = ACTIONS(1838),
    [aux_sym_declare_statement_token1] = ACTIONS(1840),
    [anon_sym_COMMA] = ACTIONS(1838),
    [aux_sym_set_statement_token1] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1838),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1840),
    [aux_sym_return_satement_token1] = ACTIONS(1840),
    [aux_sym_call_statement_token1] = ACTIONS(1840),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1840),
    [aux_sym_if_statement_token1] = ACTIONS(1840),
    [aux_sym_loop_statement_token1] = ACTIONS(1840),
    [aux_sym_repeat_statement_token1] = ACTIONS(1840),
    [aux_sym_while_statement_token1] = ACTIONS(1840),
    [aux_sym_break_statement_token1] = ACTIONS(1840),
    [aux_sym_leave_statement_token1] = ACTIONS(1840),
    [aux_sym_continue_statement_token1] = ACTIONS(1840),
    [aux_sym_iterate_statement_token1] = ACTIONS(1840),
    [aux_sym_raise_statement_token1] = ACTIONS(1840),
    [anon_sym_EQ] = ACTIONS(1838),
    [aux_sym_assert_statement_token1] = ACTIONS(1840),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1840),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1840),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1840),
    [anon_sym_LT] = ACTIONS(1840),
    [anon_sym_GT] = ACTIONS(1840),
    [aux_sym_set_operation_token1] = ACTIONS(1840),
    [aux_sym_set_operation_token3] = ACTIONS(1840),
    [aux_sym_set_operation_token4] = ACTIONS(1840),
    [aux_sym_select_token1] = ACTIONS(1840),
    [aux_sym_having_clause_token1] = ACTIONS(1840),
    [aux_sym_qualify_clause_token1] = ACTIONS(1840),
    [aux_sym_limit_clause_token1] = ACTIONS(1840),
    [aux_sym_group_by_clause_token1] = ACTIONS(1840),
    [aux_sym_order_by_clause_token1] = ACTIONS(1840),
    [aux_sym_where_clause_token1] = ACTIONS(1840),
    [aux_sym_insert_statement_token1] = ACTIONS(1840),
    [aux_sym_truncate_statement_token1] = ACTIONS(1840),
    [aux_sym_update_statement_token1] = ACTIONS(1840),
    [aux_sym_merge_statement_token1] = ACTIONS(1840),
    [aux_sym_grant_statement_token1] = ACTIONS(1840),
    [aux_sym_revoke_statement_token1] = ACTIONS(1840),
    [aux_sym_export_data_statement_token1] = ACTIONS(1840),
    [aux_sym_load_data_statement_token1] = ACTIONS(1840),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [sym__quoted_identifier] = ACTIONS(1838),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1838),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1838),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE] = ACTIONS(1838),
    [anon_sym_LT_EQ] = ACTIONS(1838),
    [anon_sym_LT_GT] = ACTIONS(1838),
    [anon_sym_GT_EQ] = ACTIONS(1838),
    [anon_sym_BANG_EQ] = ACTIONS(1838),
    [anon_sym_LT_LT] = ACTIONS(1838),
    [anon_sym_GT_GT] = ACTIONS(1838),
    [anon_sym_AMP] = ACTIONS(1838),
    [anon_sym_CARET] = ACTIONS(1838),
    [anon_sym_PIPE] = ACTIONS(1840),
  },
  [1975] = {
    [ts_builtin_sym_end] = ACTIONS(1744),
    [sym__unquoted_identifier] = ACTIONS(1746),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1746),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1746),
    [aux_sym_keyword_replace_token1] = ACTIONS(1746),
    [aux_sym__keyword_alter_token1] = ACTIONS(1746),
    [aux_sym__keyword_from_token1] = ACTIONS(1746),
    [aux_sym__keyword_delete_token1] = ACTIONS(1746),
    [aux_sym__keyword_begin_token1] = ACTIONS(1746),
    [aux_sym__keyword_end_token1] = ACTIONS(1746),
    [aux_sym__keyword_between_token1] = ACTIONS(1746),
    [aux_sym__keyword_when_token1] = ACTIONS(1746),
    [aux_sym__keyword_else_token1] = ACTIONS(1746),
    [aux_sym__keyword_is_token1] = ACTIONS(1746),
    [aux_sym__keyword_in_token1] = ACTIONS(1746),
    [aux_sym__keyword_and_token1] = ACTIONS(1746),
    [aux_sym__keyword_like_token1] = ACTIONS(1746),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1746),
    [aux_sym__keyword_as_token1] = ACTIONS(1746),
    [aux_sym__keyword_window_token1] = ACTIONS(1746),
    [aux_sym__keyword_date_token1] = ACTIONS(1746),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1746),
    [aux_sym__keyword_time_token1] = ACTIONS(1746),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1746),
    [aux_sym__keyword_for_token1] = ACTIONS(1746),
    [anon_sym_SEMI] = ACTIONS(1744),
    [aux_sym_declare_statement_token1] = ACTIONS(1746),
    [anon_sym_COMMA] = ACTIONS(1744),
    [aux_sym_set_statement_token1] = ACTIONS(1746),
    [anon_sym_LPAREN] = ACTIONS(1744),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1746),
    [aux_sym_return_satement_token1] = ACTIONS(1746),
    [aux_sym_call_statement_token1] = ACTIONS(1746),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1746),
    [aux_sym_if_statement_token1] = ACTIONS(1746),
    [aux_sym_loop_statement_token1] = ACTIONS(1746),
    [aux_sym_repeat_statement_token1] = ACTIONS(1746),
    [aux_sym_while_statement_token1] = ACTIONS(1746),
    [aux_sym_break_statement_token1] = ACTIONS(1746),
    [aux_sym_leave_statement_token1] = ACTIONS(1746),
    [aux_sym_continue_statement_token1] = ACTIONS(1746),
    [aux_sym_iterate_statement_token1] = ACTIONS(1746),
    [aux_sym_raise_statement_token1] = ACTIONS(1746),
    [anon_sym_EQ] = ACTIONS(1744),
    [aux_sym_assert_statement_token1] = ACTIONS(1746),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1746),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1746),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1746),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1746),
    [aux_sym_set_operation_token1] = ACTIONS(1746),
    [aux_sym_set_operation_token3] = ACTIONS(1746),
    [aux_sym_set_operation_token4] = ACTIONS(1746),
    [aux_sym_select_token1] = ACTIONS(1746),
    [aux_sym_having_clause_token1] = ACTIONS(1746),
    [aux_sym_qualify_clause_token1] = ACTIONS(1746),
    [aux_sym_limit_clause_token1] = ACTIONS(1746),
    [aux_sym_group_by_clause_token1] = ACTIONS(1746),
    [aux_sym_order_by_clause_token1] = ACTIONS(1746),
    [aux_sym_where_clause_token1] = ACTIONS(1746),
    [aux_sym_insert_statement_token1] = ACTIONS(1746),
    [aux_sym_truncate_statement_token1] = ACTIONS(1746),
    [aux_sym_update_statement_token1] = ACTIONS(1746),
    [aux_sym_merge_statement_token1] = ACTIONS(1746),
    [aux_sym_grant_statement_token1] = ACTIONS(1746),
    [aux_sym_revoke_statement_token1] = ACTIONS(1746),
    [aux_sym_export_data_statement_token1] = ACTIONS(1746),
    [aux_sym_load_data_statement_token1] = ACTIONS(1746),
    [anon_sym_LBRACK] = ACTIONS(1744),
    [sym__quoted_identifier] = ACTIONS(1744),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1744),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_STAR] = ACTIONS(1744),
    [anon_sym_SLASH] = ACTIONS(1746),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_LT_GT] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1744),
    [anon_sym_GT_GT] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1746),
  },
  [1976] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_from_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [1977] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [1978] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [1979] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [1980] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_from_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [1981] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_from_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [1982] = {
    [ts_builtin_sym_end] = ACTIONS(1752),
    [sym__unquoted_identifier] = ACTIONS(1754),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1754),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1754),
    [aux_sym_keyword_replace_token1] = ACTIONS(1754),
    [aux_sym__keyword_alter_token1] = ACTIONS(1754),
    [aux_sym__keyword_from_token1] = ACTIONS(1754),
    [aux_sym__keyword_delete_token1] = ACTIONS(1754),
    [aux_sym__keyword_begin_token1] = ACTIONS(1754),
    [aux_sym__keyword_end_token1] = ACTIONS(1754),
    [aux_sym__keyword_between_token1] = ACTIONS(1754),
    [aux_sym__keyword_when_token1] = ACTIONS(1754),
    [aux_sym__keyword_else_token1] = ACTIONS(1754),
    [aux_sym__keyword_is_token1] = ACTIONS(1754),
    [aux_sym__keyword_in_token1] = ACTIONS(1754),
    [aux_sym__keyword_and_token1] = ACTIONS(1754),
    [aux_sym__keyword_like_token1] = ACTIONS(1754),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1754),
    [aux_sym__keyword_as_token1] = ACTIONS(1754),
    [aux_sym__keyword_window_token1] = ACTIONS(1754),
    [aux_sym__keyword_date_token1] = ACTIONS(1754),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1754),
    [aux_sym__keyword_time_token1] = ACTIONS(1754),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1754),
    [aux_sym__keyword_for_token1] = ACTIONS(1754),
    [anon_sym_SEMI] = ACTIONS(1752),
    [aux_sym_declare_statement_token1] = ACTIONS(1754),
    [anon_sym_COMMA] = ACTIONS(1752),
    [aux_sym_set_statement_token1] = ACTIONS(1754),
    [anon_sym_LPAREN] = ACTIONS(1752),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1754),
    [aux_sym_return_satement_token1] = ACTIONS(1754),
    [aux_sym_call_statement_token1] = ACTIONS(1754),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1754),
    [aux_sym_if_statement_token1] = ACTIONS(1754),
    [aux_sym_loop_statement_token1] = ACTIONS(1754),
    [aux_sym_repeat_statement_token1] = ACTIONS(1754),
    [aux_sym_while_statement_token1] = ACTIONS(1754),
    [aux_sym_break_statement_token1] = ACTIONS(1754),
    [aux_sym_leave_statement_token1] = ACTIONS(1754),
    [aux_sym_continue_statement_token1] = ACTIONS(1754),
    [aux_sym_iterate_statement_token1] = ACTIONS(1754),
    [aux_sym_raise_statement_token1] = ACTIONS(1754),
    [anon_sym_EQ] = ACTIONS(1752),
    [aux_sym_assert_statement_token1] = ACTIONS(1754),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1754),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1754),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1754),
    [anon_sym_LT] = ACTIONS(1754),
    [anon_sym_GT] = ACTIONS(1754),
    [aux_sym_set_operation_token1] = ACTIONS(1754),
    [aux_sym_set_operation_token3] = ACTIONS(1754),
    [aux_sym_set_operation_token4] = ACTIONS(1754),
    [aux_sym_select_token1] = ACTIONS(1754),
    [aux_sym_having_clause_token1] = ACTIONS(1754),
    [aux_sym_qualify_clause_token1] = ACTIONS(1754),
    [aux_sym_limit_clause_token1] = ACTIONS(1754),
    [aux_sym_group_by_clause_token1] = ACTIONS(1754),
    [aux_sym_order_by_clause_token1] = ACTIONS(1754),
    [aux_sym_where_clause_token1] = ACTIONS(1754),
    [aux_sym_insert_statement_token1] = ACTIONS(1754),
    [aux_sym_truncate_statement_token1] = ACTIONS(1754),
    [aux_sym_update_statement_token1] = ACTIONS(1754),
    [aux_sym_merge_statement_token1] = ACTIONS(1754),
    [aux_sym_grant_statement_token1] = ACTIONS(1754),
    [aux_sym_revoke_statement_token1] = ACTIONS(1754),
    [aux_sym_export_data_statement_token1] = ACTIONS(1754),
    [aux_sym_load_data_statement_token1] = ACTIONS(1754),
    [anon_sym_LBRACK] = ACTIONS(1752),
    [sym__quoted_identifier] = ACTIONS(1752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_DASH] = ACTIONS(1754),
    [anon_sym_STAR] = ACTIONS(1752),
    [anon_sym_SLASH] = ACTIONS(1754),
    [anon_sym_PIPE_PIPE] = ACTIONS(1752),
    [anon_sym_LT_EQ] = ACTIONS(1752),
    [anon_sym_LT_GT] = ACTIONS(1752),
    [anon_sym_GT_EQ] = ACTIONS(1752),
    [anon_sym_BANG_EQ] = ACTIONS(1752),
    [anon_sym_LT_LT] = ACTIONS(1752),
    [anon_sym_GT_GT] = ACTIONS(1752),
    [anon_sym_AMP] = ACTIONS(1752),
    [anon_sym_CARET] = ACTIONS(1752),
    [anon_sym_PIPE] = ACTIONS(1754),
  },
  [1983] = {
    [ts_builtin_sym_end] = ACTIONS(1846),
    [sym__unquoted_identifier] = ACTIONS(1848),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1848),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1848),
    [aux_sym_keyword_replace_token1] = ACTIONS(1848),
    [aux_sym__keyword_alter_token1] = ACTIONS(1848),
    [aux_sym__keyword_from_token1] = ACTIONS(1848),
    [aux_sym__keyword_delete_token1] = ACTIONS(1848),
    [aux_sym__keyword_begin_token1] = ACTIONS(1848),
    [aux_sym__keyword_end_token1] = ACTIONS(1848),
    [aux_sym__keyword_between_token1] = ACTIONS(1848),
    [aux_sym__keyword_when_token1] = ACTIONS(1848),
    [aux_sym__keyword_else_token1] = ACTIONS(1848),
    [aux_sym__keyword_is_token1] = ACTIONS(1848),
    [aux_sym__keyword_in_token1] = ACTIONS(1848),
    [aux_sym__keyword_and_token1] = ACTIONS(1848),
    [aux_sym__keyword_like_token1] = ACTIONS(1848),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1848),
    [aux_sym__keyword_as_token1] = ACTIONS(1848),
    [aux_sym__keyword_window_token1] = ACTIONS(1848),
    [aux_sym__keyword_date_token1] = ACTIONS(1848),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1848),
    [aux_sym__keyword_time_token1] = ACTIONS(1848),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1848),
    [aux_sym__keyword_for_token1] = ACTIONS(1848),
    [anon_sym_SEMI] = ACTIONS(1846),
    [aux_sym_declare_statement_token1] = ACTIONS(1848),
    [anon_sym_COMMA] = ACTIONS(1846),
    [aux_sym_set_statement_token1] = ACTIONS(1848),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1848),
    [aux_sym_return_satement_token1] = ACTIONS(1848),
    [aux_sym_call_statement_token1] = ACTIONS(1848),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1848),
    [aux_sym_if_statement_token1] = ACTIONS(1848),
    [aux_sym_loop_statement_token1] = ACTIONS(1848),
    [aux_sym_repeat_statement_token1] = ACTIONS(1848),
    [aux_sym_while_statement_token1] = ACTIONS(1848),
    [aux_sym_break_statement_token1] = ACTIONS(1848),
    [aux_sym_leave_statement_token1] = ACTIONS(1848),
    [aux_sym_continue_statement_token1] = ACTIONS(1848),
    [aux_sym_iterate_statement_token1] = ACTIONS(1848),
    [aux_sym_raise_statement_token1] = ACTIONS(1848),
    [anon_sym_EQ] = ACTIONS(1846),
    [aux_sym_assert_statement_token1] = ACTIONS(1848),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1848),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1848),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1848),
    [anon_sym_LT] = ACTIONS(1848),
    [anon_sym_GT] = ACTIONS(1848),
    [aux_sym_set_operation_token1] = ACTIONS(1848),
    [aux_sym_set_operation_token3] = ACTIONS(1848),
    [aux_sym_set_operation_token4] = ACTIONS(1848),
    [aux_sym_select_token1] = ACTIONS(1848),
    [aux_sym_having_clause_token1] = ACTIONS(1848),
    [aux_sym_qualify_clause_token1] = ACTIONS(1848),
    [aux_sym_limit_clause_token1] = ACTIONS(1848),
    [aux_sym_group_by_clause_token1] = ACTIONS(1848),
    [aux_sym_order_by_clause_token1] = ACTIONS(1848),
    [aux_sym_where_clause_token1] = ACTIONS(1848),
    [aux_sym_insert_statement_token1] = ACTIONS(1848),
    [aux_sym_truncate_statement_token1] = ACTIONS(1848),
    [aux_sym_update_statement_token1] = ACTIONS(1848),
    [aux_sym_merge_statement_token1] = ACTIONS(1848),
    [aux_sym_grant_statement_token1] = ACTIONS(1848),
    [aux_sym_revoke_statement_token1] = ACTIONS(1848),
    [aux_sym_export_data_statement_token1] = ACTIONS(1848),
    [aux_sym_load_data_statement_token1] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1846),
    [sym__quoted_identifier] = ACTIONS(1846),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1846),
    [anon_sym_PLUS] = ACTIONS(1846),
    [anon_sym_DASH] = ACTIONS(1848),
    [anon_sym_STAR] = ACTIONS(1846),
    [anon_sym_SLASH] = ACTIONS(1848),
    [anon_sym_PIPE_PIPE] = ACTIONS(1846),
    [anon_sym_LT_EQ] = ACTIONS(1846),
    [anon_sym_LT_GT] = ACTIONS(1846),
    [anon_sym_GT_EQ] = ACTIONS(1846),
    [anon_sym_BANG_EQ] = ACTIONS(1846),
    [anon_sym_LT_LT] = ACTIONS(1846),
    [anon_sym_GT_GT] = ACTIONS(1846),
    [anon_sym_AMP] = ACTIONS(1846),
    [anon_sym_CARET] = ACTIONS(1846),
    [anon_sym_PIPE] = ACTIONS(1848),
  },
  [1984] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [1985] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [1986] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_from_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [1987] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [1988] = {
    [ts_builtin_sym_end] = ACTIONS(1834),
    [sym__unquoted_identifier] = ACTIONS(1836),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1836),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1836),
    [aux_sym_keyword_replace_token1] = ACTIONS(1836),
    [aux_sym__keyword_alter_token1] = ACTIONS(1836),
    [aux_sym__keyword_from_token1] = ACTIONS(1836),
    [aux_sym__keyword_delete_token1] = ACTIONS(1836),
    [aux_sym__keyword_begin_token1] = ACTIONS(1836),
    [aux_sym__keyword_end_token1] = ACTIONS(1836),
    [aux_sym__keyword_between_token1] = ACTIONS(1836),
    [aux_sym__keyword_when_token1] = ACTIONS(1836),
    [aux_sym__keyword_else_token1] = ACTIONS(1836),
    [aux_sym__keyword_is_token1] = ACTIONS(1836),
    [aux_sym__keyword_in_token1] = ACTIONS(1836),
    [aux_sym__keyword_and_token1] = ACTIONS(1836),
    [aux_sym__keyword_like_token1] = ACTIONS(1836),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1836),
    [aux_sym__keyword_as_token1] = ACTIONS(1836),
    [aux_sym__keyword_window_token1] = ACTIONS(1836),
    [aux_sym__keyword_date_token1] = ACTIONS(1836),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1836),
    [aux_sym__keyword_time_token1] = ACTIONS(1836),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1836),
    [aux_sym__keyword_for_token1] = ACTIONS(1836),
    [anon_sym_SEMI] = ACTIONS(1834),
    [aux_sym_declare_statement_token1] = ACTIONS(1836),
    [anon_sym_COMMA] = ACTIONS(1834),
    [aux_sym_set_statement_token1] = ACTIONS(1836),
    [anon_sym_LPAREN] = ACTIONS(1834),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1836),
    [aux_sym_return_satement_token1] = ACTIONS(1836),
    [aux_sym_call_statement_token1] = ACTIONS(1836),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1836),
    [aux_sym_if_statement_token1] = ACTIONS(1836),
    [aux_sym_loop_statement_token1] = ACTIONS(1836),
    [aux_sym_repeat_statement_token1] = ACTIONS(1836),
    [aux_sym_while_statement_token1] = ACTIONS(1836),
    [aux_sym_break_statement_token1] = ACTIONS(1836),
    [aux_sym_leave_statement_token1] = ACTIONS(1836),
    [aux_sym_continue_statement_token1] = ACTIONS(1836),
    [aux_sym_iterate_statement_token1] = ACTIONS(1836),
    [aux_sym_raise_statement_token1] = ACTIONS(1836),
    [anon_sym_EQ] = ACTIONS(1834),
    [aux_sym_assert_statement_token1] = ACTIONS(1836),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1836),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1836),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1836),
    [anon_sym_LT] = ACTIONS(1836),
    [anon_sym_GT] = ACTIONS(1836),
    [aux_sym_set_operation_token1] = ACTIONS(1836),
    [aux_sym_set_operation_token3] = ACTIONS(1836),
    [aux_sym_set_operation_token4] = ACTIONS(1836),
    [aux_sym_select_token1] = ACTIONS(1836),
    [aux_sym_having_clause_token1] = ACTIONS(1836),
    [aux_sym_qualify_clause_token1] = ACTIONS(1836),
    [aux_sym_limit_clause_token1] = ACTIONS(1836),
    [aux_sym_group_by_clause_token1] = ACTIONS(1836),
    [aux_sym_order_by_clause_token1] = ACTIONS(1836),
    [aux_sym_where_clause_token1] = ACTIONS(1836),
    [aux_sym_insert_statement_token1] = ACTIONS(1836),
    [aux_sym_truncate_statement_token1] = ACTIONS(1836),
    [aux_sym_update_statement_token1] = ACTIONS(1836),
    [aux_sym_merge_statement_token1] = ACTIONS(1836),
    [aux_sym_grant_statement_token1] = ACTIONS(1836),
    [aux_sym_revoke_statement_token1] = ACTIONS(1836),
    [aux_sym_export_data_statement_token1] = ACTIONS(1836),
    [aux_sym_load_data_statement_token1] = ACTIONS(1836),
    [anon_sym_LBRACK] = ACTIONS(1834),
    [sym__quoted_identifier] = ACTIONS(1834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1834),
    [anon_sym_PLUS] = ACTIONS(1834),
    [anon_sym_DASH] = ACTIONS(1836),
    [anon_sym_STAR] = ACTIONS(1834),
    [anon_sym_SLASH] = ACTIONS(1836),
    [anon_sym_PIPE_PIPE] = ACTIONS(1834),
    [anon_sym_LT_EQ] = ACTIONS(1834),
    [anon_sym_LT_GT] = ACTIONS(1834),
    [anon_sym_GT_EQ] = ACTIONS(1834),
    [anon_sym_BANG_EQ] = ACTIONS(1834),
    [anon_sym_LT_LT] = ACTIONS(1834),
    [anon_sym_GT_GT] = ACTIONS(1834),
    [anon_sym_AMP] = ACTIONS(1834),
    [anon_sym_CARET] = ACTIONS(1834),
    [anon_sym_PIPE] = ACTIONS(1836),
  },
  [1989] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [1990] = {
    [ts_builtin_sym_end] = ACTIONS(1504),
    [sym__unquoted_identifier] = ACTIONS(1506),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1506),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1506),
    [aux_sym_keyword_replace_token1] = ACTIONS(1506),
    [aux_sym__keyword_alter_token1] = ACTIONS(1506),
    [aux_sym__keyword_from_token1] = ACTIONS(1506),
    [aux_sym__keyword_delete_token1] = ACTIONS(1506),
    [aux_sym__keyword_begin_token1] = ACTIONS(1506),
    [aux_sym__keyword_end_token1] = ACTIONS(1506),
    [aux_sym__keyword_between_token1] = ACTIONS(1506),
    [aux_sym__keyword_when_token1] = ACTIONS(1506),
    [aux_sym__keyword_else_token1] = ACTIONS(1506),
    [aux_sym__keyword_is_token1] = ACTIONS(1506),
    [aux_sym__keyword_in_token1] = ACTIONS(1506),
    [aux_sym__keyword_and_token1] = ACTIONS(1506),
    [aux_sym__keyword_like_token1] = ACTIONS(1506),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1506),
    [aux_sym__keyword_as_token1] = ACTIONS(1506),
    [aux_sym__keyword_window_token1] = ACTIONS(1506),
    [aux_sym__keyword_date_token1] = ACTIONS(1506),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1506),
    [aux_sym__keyword_time_token1] = ACTIONS(1506),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1506),
    [aux_sym__keyword_for_token1] = ACTIONS(1506),
    [anon_sym_SEMI] = ACTIONS(1504),
    [aux_sym_declare_statement_token1] = ACTIONS(1506),
    [anon_sym_COMMA] = ACTIONS(1504),
    [aux_sym_set_statement_token1] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1504),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1506),
    [aux_sym_return_satement_token1] = ACTIONS(1506),
    [aux_sym_call_statement_token1] = ACTIONS(1506),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1506),
    [aux_sym_if_statement_token1] = ACTIONS(1506),
    [aux_sym_loop_statement_token1] = ACTIONS(1506),
    [aux_sym_repeat_statement_token1] = ACTIONS(1506),
    [aux_sym_while_statement_token1] = ACTIONS(1506),
    [aux_sym_break_statement_token1] = ACTIONS(1506),
    [aux_sym_leave_statement_token1] = ACTIONS(1506),
    [aux_sym_continue_statement_token1] = ACTIONS(1506),
    [aux_sym_iterate_statement_token1] = ACTIONS(1506),
    [aux_sym_raise_statement_token1] = ACTIONS(1506),
    [anon_sym_EQ] = ACTIONS(1504),
    [aux_sym_assert_statement_token1] = ACTIONS(1506),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1506),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1506),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1506),
    [anon_sym_LT] = ACTIONS(1506),
    [anon_sym_GT] = ACTIONS(1506),
    [aux_sym_set_operation_token1] = ACTIONS(1506),
    [aux_sym_set_operation_token3] = ACTIONS(1506),
    [aux_sym_set_operation_token4] = ACTIONS(1506),
    [aux_sym_select_token1] = ACTIONS(1506),
    [aux_sym_having_clause_token1] = ACTIONS(1506),
    [aux_sym_qualify_clause_token1] = ACTIONS(1506),
    [aux_sym_limit_clause_token1] = ACTIONS(1506),
    [aux_sym_group_by_clause_token1] = ACTIONS(1506),
    [aux_sym_order_by_clause_token1] = ACTIONS(1506),
    [aux_sym_where_clause_token1] = ACTIONS(1506),
    [aux_sym_insert_statement_token1] = ACTIONS(1506),
    [aux_sym_truncate_statement_token1] = ACTIONS(1506),
    [aux_sym_update_statement_token1] = ACTIONS(1506),
    [aux_sym_merge_statement_token1] = ACTIONS(1506),
    [aux_sym_grant_statement_token1] = ACTIONS(1506),
    [aux_sym_revoke_statement_token1] = ACTIONS(1506),
    [aux_sym_export_data_statement_token1] = ACTIONS(1506),
    [aux_sym_load_data_statement_token1] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1504),
    [sym__quoted_identifier] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1504),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1506),
    [anon_sym_STAR] = ACTIONS(1504),
    [anon_sym_SLASH] = ACTIONS(1506),
    [anon_sym_PIPE_PIPE] = ACTIONS(1504),
    [anon_sym_LT_EQ] = ACTIONS(1504),
    [anon_sym_LT_GT] = ACTIONS(1504),
    [anon_sym_GT_EQ] = ACTIONS(1504),
    [anon_sym_BANG_EQ] = ACTIONS(1504),
    [anon_sym_LT_LT] = ACTIONS(1504),
    [anon_sym_GT_GT] = ACTIONS(1504),
    [anon_sym_AMP] = ACTIONS(1504),
    [anon_sym_CARET] = ACTIONS(1504),
    [anon_sym_PIPE] = ACTIONS(1506),
  },
  [1991] = {
    [ts_builtin_sym_end] = ACTIONS(1454),
    [sym__unquoted_identifier] = ACTIONS(1456),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1456),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1456),
    [aux_sym_keyword_replace_token1] = ACTIONS(1456),
    [aux_sym__keyword_alter_token1] = ACTIONS(1456),
    [aux_sym__keyword_from_token1] = ACTIONS(1456),
    [aux_sym__keyword_delete_token1] = ACTIONS(1456),
    [aux_sym__keyword_begin_token1] = ACTIONS(1456),
    [aux_sym__keyword_end_token1] = ACTIONS(1456),
    [aux_sym__keyword_between_token1] = ACTIONS(1456),
    [aux_sym__keyword_when_token1] = ACTIONS(1456),
    [aux_sym__keyword_else_token1] = ACTIONS(1456),
    [aux_sym__keyword_is_token1] = ACTIONS(1456),
    [aux_sym__keyword_in_token1] = ACTIONS(1456),
    [aux_sym__keyword_and_token1] = ACTIONS(1456),
    [aux_sym__keyword_like_token1] = ACTIONS(1456),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1456),
    [aux_sym__keyword_as_token1] = ACTIONS(1456),
    [aux_sym__keyword_window_token1] = ACTIONS(1456),
    [aux_sym__keyword_date_token1] = ACTIONS(1456),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1456),
    [aux_sym__keyword_time_token1] = ACTIONS(1456),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1456),
    [aux_sym__keyword_for_token1] = ACTIONS(1456),
    [anon_sym_SEMI] = ACTIONS(1454),
    [aux_sym_declare_statement_token1] = ACTIONS(1456),
    [anon_sym_COMMA] = ACTIONS(1454),
    [aux_sym_set_statement_token1] = ACTIONS(1456),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1456),
    [aux_sym_return_satement_token1] = ACTIONS(1456),
    [aux_sym_call_statement_token1] = ACTIONS(1456),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1456),
    [aux_sym_if_statement_token1] = ACTIONS(1456),
    [aux_sym_loop_statement_token1] = ACTIONS(1456),
    [aux_sym_repeat_statement_token1] = ACTIONS(1456),
    [aux_sym_while_statement_token1] = ACTIONS(1456),
    [aux_sym_break_statement_token1] = ACTIONS(1456),
    [aux_sym_leave_statement_token1] = ACTIONS(1456),
    [aux_sym_continue_statement_token1] = ACTIONS(1456),
    [aux_sym_iterate_statement_token1] = ACTIONS(1456),
    [aux_sym_raise_statement_token1] = ACTIONS(1456),
    [anon_sym_EQ] = ACTIONS(1454),
    [aux_sym_assert_statement_token1] = ACTIONS(1456),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1456),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1456),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1456),
    [anon_sym_LT] = ACTIONS(1456),
    [anon_sym_GT] = ACTIONS(1456),
    [aux_sym_set_operation_token1] = ACTIONS(1456),
    [aux_sym_set_operation_token3] = ACTIONS(1456),
    [aux_sym_set_operation_token4] = ACTIONS(1456),
    [aux_sym_select_token1] = ACTIONS(1456),
    [aux_sym_having_clause_token1] = ACTIONS(1456),
    [aux_sym_qualify_clause_token1] = ACTIONS(1456),
    [aux_sym_limit_clause_token1] = ACTIONS(1456),
    [aux_sym_group_by_clause_token1] = ACTIONS(1456),
    [aux_sym_order_by_clause_token1] = ACTIONS(1456),
    [aux_sym_where_clause_token1] = ACTIONS(1456),
    [aux_sym_insert_statement_token1] = ACTIONS(1456),
    [aux_sym_truncate_statement_token1] = ACTIONS(1456),
    [aux_sym_update_statement_token1] = ACTIONS(1456),
    [aux_sym_merge_statement_token1] = ACTIONS(1456),
    [aux_sym_grant_statement_token1] = ACTIONS(1456),
    [aux_sym_revoke_statement_token1] = ACTIONS(1456),
    [aux_sym_export_data_statement_token1] = ACTIONS(1456),
    [aux_sym_load_data_statement_token1] = ACTIONS(1456),
    [anon_sym_LBRACK] = ACTIONS(1454),
    [sym__quoted_identifier] = ACTIONS(1454),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1454),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1454),
    [anon_sym_SLASH] = ACTIONS(1456),
    [anon_sym_PIPE_PIPE] = ACTIONS(1454),
    [anon_sym_LT_EQ] = ACTIONS(1454),
    [anon_sym_LT_GT] = ACTIONS(1454),
    [anon_sym_GT_EQ] = ACTIONS(1454),
    [anon_sym_BANG_EQ] = ACTIONS(1454),
    [anon_sym_LT_LT] = ACTIONS(1454),
    [anon_sym_GT_GT] = ACTIONS(1454),
    [anon_sym_AMP] = ACTIONS(1454),
    [anon_sym_CARET] = ACTIONS(1454),
    [anon_sym_PIPE] = ACTIONS(1456),
  },
  [1992] = {
    [ts_builtin_sym_end] = ACTIONS(1500),
    [sym__unquoted_identifier] = ACTIONS(1502),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1502),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1502),
    [aux_sym_keyword_replace_token1] = ACTIONS(1502),
    [aux_sym__keyword_alter_token1] = ACTIONS(1502),
    [aux_sym__keyword_from_token1] = ACTIONS(1502),
    [aux_sym__keyword_delete_token1] = ACTIONS(1502),
    [aux_sym__keyword_begin_token1] = ACTIONS(1502),
    [aux_sym__keyword_end_token1] = ACTIONS(1502),
    [aux_sym__keyword_between_token1] = ACTIONS(1502),
    [aux_sym__keyword_when_token1] = ACTIONS(1502),
    [aux_sym__keyword_else_token1] = ACTIONS(1502),
    [aux_sym__keyword_is_token1] = ACTIONS(1502),
    [aux_sym__keyword_in_token1] = ACTIONS(1502),
    [aux_sym__keyword_and_token1] = ACTIONS(1502),
    [aux_sym__keyword_like_token1] = ACTIONS(1502),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1502),
    [aux_sym__keyword_as_token1] = ACTIONS(1502),
    [aux_sym__keyword_window_token1] = ACTIONS(1502),
    [aux_sym__keyword_date_token1] = ACTIONS(1502),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1502),
    [aux_sym__keyword_time_token1] = ACTIONS(1502),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1502),
    [aux_sym__keyword_for_token1] = ACTIONS(1502),
    [anon_sym_SEMI] = ACTIONS(1500),
    [aux_sym_declare_statement_token1] = ACTIONS(1502),
    [anon_sym_COMMA] = ACTIONS(1500),
    [aux_sym_set_statement_token1] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1500),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1502),
    [aux_sym_return_satement_token1] = ACTIONS(1502),
    [aux_sym_call_statement_token1] = ACTIONS(1502),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1502),
    [aux_sym_if_statement_token1] = ACTIONS(1502),
    [aux_sym_loop_statement_token1] = ACTIONS(1502),
    [aux_sym_repeat_statement_token1] = ACTIONS(1502),
    [aux_sym_while_statement_token1] = ACTIONS(1502),
    [aux_sym_break_statement_token1] = ACTIONS(1502),
    [aux_sym_leave_statement_token1] = ACTIONS(1502),
    [aux_sym_continue_statement_token1] = ACTIONS(1502),
    [aux_sym_iterate_statement_token1] = ACTIONS(1502),
    [aux_sym_raise_statement_token1] = ACTIONS(1502),
    [anon_sym_EQ] = ACTIONS(1500),
    [aux_sym_assert_statement_token1] = ACTIONS(1502),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1502),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1502),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1502),
    [anon_sym_LT] = ACTIONS(1502),
    [anon_sym_GT] = ACTIONS(1502),
    [aux_sym_set_operation_token1] = ACTIONS(1502),
    [aux_sym_set_operation_token3] = ACTIONS(1502),
    [aux_sym_set_operation_token4] = ACTIONS(1502),
    [aux_sym_select_token1] = ACTIONS(1502),
    [aux_sym_having_clause_token1] = ACTIONS(1502),
    [aux_sym_qualify_clause_token1] = ACTIONS(1502),
    [aux_sym_limit_clause_token1] = ACTIONS(1502),
    [aux_sym_group_by_clause_token1] = ACTIONS(1502),
    [aux_sym_order_by_clause_token1] = ACTIONS(1502),
    [aux_sym_where_clause_token1] = ACTIONS(1502),
    [aux_sym_insert_statement_token1] = ACTIONS(1502),
    [aux_sym_truncate_statement_token1] = ACTIONS(1502),
    [aux_sym_update_statement_token1] = ACTIONS(1502),
    [aux_sym_merge_statement_token1] = ACTIONS(1502),
    [aux_sym_grant_statement_token1] = ACTIONS(1502),
    [aux_sym_revoke_statement_token1] = ACTIONS(1502),
    [aux_sym_export_data_statement_token1] = ACTIONS(1502),
    [aux_sym_load_data_statement_token1] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1500),
    [sym__quoted_identifier] = ACTIONS(1500),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_STAR] = ACTIONS(1500),
    [anon_sym_SLASH] = ACTIONS(1502),
    [anon_sym_PIPE_PIPE] = ACTIONS(1500),
    [anon_sym_LT_EQ] = ACTIONS(1500),
    [anon_sym_LT_GT] = ACTIONS(1500),
    [anon_sym_GT_EQ] = ACTIONS(1500),
    [anon_sym_BANG_EQ] = ACTIONS(1500),
    [anon_sym_LT_LT] = ACTIONS(1500),
    [anon_sym_GT_GT] = ACTIONS(1500),
    [anon_sym_AMP] = ACTIONS(1500),
    [anon_sym_CARET] = ACTIONS(1500),
    [anon_sym_PIPE] = ACTIONS(1502),
  },
  [1993] = {
    [ts_builtin_sym_end] = ACTIONS(1496),
    [sym__unquoted_identifier] = ACTIONS(1498),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1498),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1498),
    [aux_sym_keyword_replace_token1] = ACTIONS(1498),
    [aux_sym__keyword_alter_token1] = ACTIONS(1498),
    [aux_sym__keyword_from_token1] = ACTIONS(1498),
    [aux_sym__keyword_delete_token1] = ACTIONS(1498),
    [aux_sym__keyword_begin_token1] = ACTIONS(1498),
    [aux_sym__keyword_end_token1] = ACTIONS(1498),
    [aux_sym__keyword_between_token1] = ACTIONS(1498),
    [aux_sym__keyword_when_token1] = ACTIONS(1498),
    [aux_sym__keyword_else_token1] = ACTIONS(1498),
    [aux_sym__keyword_is_token1] = ACTIONS(1498),
    [aux_sym__keyword_in_token1] = ACTIONS(1498),
    [aux_sym__keyword_and_token1] = ACTIONS(1498),
    [aux_sym__keyword_like_token1] = ACTIONS(1498),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1498),
    [aux_sym__keyword_as_token1] = ACTIONS(1498),
    [aux_sym__keyword_window_token1] = ACTIONS(1498),
    [aux_sym__keyword_date_token1] = ACTIONS(1498),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1498),
    [aux_sym__keyword_time_token1] = ACTIONS(1498),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1498),
    [aux_sym__keyword_for_token1] = ACTIONS(1498),
    [anon_sym_SEMI] = ACTIONS(1496),
    [aux_sym_declare_statement_token1] = ACTIONS(1498),
    [anon_sym_COMMA] = ACTIONS(1496),
    [aux_sym_set_statement_token1] = ACTIONS(1498),
    [anon_sym_LPAREN] = ACTIONS(1496),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1498),
    [aux_sym_return_satement_token1] = ACTIONS(1498),
    [aux_sym_call_statement_token1] = ACTIONS(1498),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1498),
    [aux_sym_if_statement_token1] = ACTIONS(1498),
    [aux_sym_loop_statement_token1] = ACTIONS(1498),
    [aux_sym_repeat_statement_token1] = ACTIONS(1498),
    [aux_sym_while_statement_token1] = ACTIONS(1498),
    [aux_sym_break_statement_token1] = ACTIONS(1498),
    [aux_sym_leave_statement_token1] = ACTIONS(1498),
    [aux_sym_continue_statement_token1] = ACTIONS(1498),
    [aux_sym_iterate_statement_token1] = ACTIONS(1498),
    [aux_sym_raise_statement_token1] = ACTIONS(1498),
    [anon_sym_EQ] = ACTIONS(1496),
    [aux_sym_assert_statement_token1] = ACTIONS(1498),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1498),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1498),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1498),
    [anon_sym_LT] = ACTIONS(1498),
    [anon_sym_GT] = ACTIONS(1498),
    [aux_sym_set_operation_token1] = ACTIONS(1498),
    [aux_sym_set_operation_token3] = ACTIONS(1498),
    [aux_sym_set_operation_token4] = ACTIONS(1498),
    [aux_sym_select_token1] = ACTIONS(1498),
    [aux_sym_having_clause_token1] = ACTIONS(1498),
    [aux_sym_qualify_clause_token1] = ACTIONS(1498),
    [aux_sym_limit_clause_token1] = ACTIONS(1498),
    [aux_sym_group_by_clause_token1] = ACTIONS(1498),
    [aux_sym_order_by_clause_token1] = ACTIONS(1498),
    [aux_sym_where_clause_token1] = ACTIONS(1498),
    [aux_sym_insert_statement_token1] = ACTIONS(1498),
    [aux_sym_truncate_statement_token1] = ACTIONS(1498),
    [aux_sym_update_statement_token1] = ACTIONS(1498),
    [aux_sym_merge_statement_token1] = ACTIONS(1498),
    [aux_sym_grant_statement_token1] = ACTIONS(1498),
    [aux_sym_revoke_statement_token1] = ACTIONS(1498),
    [aux_sym_export_data_statement_token1] = ACTIONS(1498),
    [aux_sym_load_data_statement_token1] = ACTIONS(1498),
    [anon_sym_LBRACK] = ACTIONS(1496),
    [sym__quoted_identifier] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(1498),
    [anon_sym_PIPE_PIPE] = ACTIONS(1496),
    [anon_sym_LT_EQ] = ACTIONS(1496),
    [anon_sym_LT_GT] = ACTIONS(1496),
    [anon_sym_GT_EQ] = ACTIONS(1496),
    [anon_sym_BANG_EQ] = ACTIONS(1496),
    [anon_sym_LT_LT] = ACTIONS(1496),
    [anon_sym_GT_GT] = ACTIONS(1496),
    [anon_sym_AMP] = ACTIONS(1496),
    [anon_sym_CARET] = ACTIONS(1496),
    [anon_sym_PIPE] = ACTIONS(1498),
  },
  [1994] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_from_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [1995] = {
    [ts_builtin_sym_end] = ACTIONS(1466),
    [sym__unquoted_identifier] = ACTIONS(1468),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1468),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1468),
    [aux_sym_keyword_replace_token1] = ACTIONS(1468),
    [aux_sym__keyword_alter_token1] = ACTIONS(1468),
    [aux_sym__keyword_from_token1] = ACTIONS(1468),
    [aux_sym__keyword_delete_token1] = ACTIONS(1468),
    [aux_sym__keyword_begin_token1] = ACTIONS(1468),
    [aux_sym__keyword_end_token1] = ACTIONS(1468),
    [aux_sym__keyword_between_token1] = ACTIONS(1468),
    [aux_sym__keyword_when_token1] = ACTIONS(1468),
    [aux_sym__keyword_else_token1] = ACTIONS(1468),
    [aux_sym__keyword_is_token1] = ACTIONS(1468),
    [aux_sym__keyword_in_token1] = ACTIONS(1468),
    [aux_sym__keyword_and_token1] = ACTIONS(1468),
    [aux_sym__keyword_like_token1] = ACTIONS(1468),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1468),
    [aux_sym__keyword_as_token1] = ACTIONS(1468),
    [aux_sym__keyword_window_token1] = ACTIONS(1468),
    [aux_sym__keyword_date_token1] = ACTIONS(1468),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1468),
    [aux_sym__keyword_time_token1] = ACTIONS(1468),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1468),
    [aux_sym__keyword_for_token1] = ACTIONS(1468),
    [anon_sym_SEMI] = ACTIONS(1466),
    [aux_sym_declare_statement_token1] = ACTIONS(1468),
    [anon_sym_COMMA] = ACTIONS(1466),
    [aux_sym_set_statement_token1] = ACTIONS(1468),
    [anon_sym_LPAREN] = ACTIONS(1466),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1468),
    [aux_sym_return_satement_token1] = ACTIONS(1468),
    [aux_sym_call_statement_token1] = ACTIONS(1468),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1468),
    [aux_sym_if_statement_token1] = ACTIONS(1468),
    [aux_sym_loop_statement_token1] = ACTIONS(1468),
    [aux_sym_repeat_statement_token1] = ACTIONS(1468),
    [aux_sym_while_statement_token1] = ACTIONS(1468),
    [aux_sym_break_statement_token1] = ACTIONS(1468),
    [aux_sym_leave_statement_token1] = ACTIONS(1468),
    [aux_sym_continue_statement_token1] = ACTIONS(1468),
    [aux_sym_iterate_statement_token1] = ACTIONS(1468),
    [aux_sym_raise_statement_token1] = ACTIONS(1468),
    [anon_sym_EQ] = ACTIONS(1466),
    [aux_sym_assert_statement_token1] = ACTIONS(1468),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1468),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1468),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1468),
    [anon_sym_LT] = ACTIONS(1468),
    [anon_sym_GT] = ACTIONS(1468),
    [aux_sym_set_operation_token1] = ACTIONS(1468),
    [aux_sym_set_operation_token3] = ACTIONS(1468),
    [aux_sym_set_operation_token4] = ACTIONS(1468),
    [aux_sym_select_token1] = ACTIONS(1468),
    [aux_sym_having_clause_token1] = ACTIONS(1468),
    [aux_sym_qualify_clause_token1] = ACTIONS(1468),
    [aux_sym_limit_clause_token1] = ACTIONS(1468),
    [aux_sym_group_by_clause_token1] = ACTIONS(1468),
    [aux_sym_order_by_clause_token1] = ACTIONS(1468),
    [aux_sym_where_clause_token1] = ACTIONS(1468),
    [aux_sym_insert_statement_token1] = ACTIONS(1468),
    [aux_sym_truncate_statement_token1] = ACTIONS(1468),
    [aux_sym_update_statement_token1] = ACTIONS(1468),
    [aux_sym_merge_statement_token1] = ACTIONS(1468),
    [aux_sym_grant_statement_token1] = ACTIONS(1468),
    [aux_sym_revoke_statement_token1] = ACTIONS(1468),
    [aux_sym_export_data_statement_token1] = ACTIONS(1468),
    [aux_sym_load_data_statement_token1] = ACTIONS(1468),
    [anon_sym_LBRACK] = ACTIONS(1466),
    [sym__quoted_identifier] = ACTIONS(1466),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_STAR] = ACTIONS(1466),
    [anon_sym_SLASH] = ACTIONS(1468),
    [anon_sym_PIPE_PIPE] = ACTIONS(1466),
    [anon_sym_LT_EQ] = ACTIONS(1466),
    [anon_sym_LT_GT] = ACTIONS(1466),
    [anon_sym_GT_EQ] = ACTIONS(1466),
    [anon_sym_BANG_EQ] = ACTIONS(1466),
    [anon_sym_LT_LT] = ACTIONS(1466),
    [anon_sym_GT_GT] = ACTIONS(1466),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_CARET] = ACTIONS(1466),
    [anon_sym_PIPE] = ACTIONS(1468),
  },
  [1996] = {
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_from_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [1997] = {
    [ts_builtin_sym_end] = ACTIONS(1470),
    [sym__unquoted_identifier] = ACTIONS(1472),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1472),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1472),
    [aux_sym_keyword_replace_token1] = ACTIONS(1472),
    [aux_sym__keyword_alter_token1] = ACTIONS(1472),
    [aux_sym__keyword_from_token1] = ACTIONS(1472),
    [aux_sym__keyword_delete_token1] = ACTIONS(1472),
    [aux_sym__keyword_begin_token1] = ACTIONS(1472),
    [aux_sym__keyword_end_token1] = ACTIONS(1472),
    [aux_sym__keyword_between_token1] = ACTIONS(1472),
    [aux_sym__keyword_when_token1] = ACTIONS(1472),
    [aux_sym__keyword_else_token1] = ACTIONS(1472),
    [aux_sym__keyword_is_token1] = ACTIONS(1472),
    [aux_sym__keyword_in_token1] = ACTIONS(1472),
    [aux_sym__keyword_and_token1] = ACTIONS(1472),
    [aux_sym__keyword_like_token1] = ACTIONS(1472),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1472),
    [aux_sym__keyword_as_token1] = ACTIONS(1472),
    [aux_sym__keyword_window_token1] = ACTIONS(1472),
    [aux_sym__keyword_date_token1] = ACTIONS(1472),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1472),
    [aux_sym__keyword_time_token1] = ACTIONS(1472),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1472),
    [aux_sym__keyword_for_token1] = ACTIONS(1472),
    [anon_sym_SEMI] = ACTIONS(1470),
    [aux_sym_declare_statement_token1] = ACTIONS(1472),
    [anon_sym_COMMA] = ACTIONS(1470),
    [aux_sym_set_statement_token1] = ACTIONS(1472),
    [anon_sym_LPAREN] = ACTIONS(1470),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1472),
    [aux_sym_return_satement_token1] = ACTIONS(1472),
    [aux_sym_call_statement_token1] = ACTIONS(1472),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1472),
    [aux_sym_if_statement_token1] = ACTIONS(1472),
    [aux_sym_loop_statement_token1] = ACTIONS(1472),
    [aux_sym_repeat_statement_token1] = ACTIONS(1472),
    [aux_sym_while_statement_token1] = ACTIONS(1472),
    [aux_sym_break_statement_token1] = ACTIONS(1472),
    [aux_sym_leave_statement_token1] = ACTIONS(1472),
    [aux_sym_continue_statement_token1] = ACTIONS(1472),
    [aux_sym_iterate_statement_token1] = ACTIONS(1472),
    [aux_sym_raise_statement_token1] = ACTIONS(1472),
    [anon_sym_EQ] = ACTIONS(1470),
    [aux_sym_assert_statement_token1] = ACTIONS(1472),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1472),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1472),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1472),
    [anon_sym_LT] = ACTIONS(1472),
    [anon_sym_GT] = ACTIONS(1472),
    [aux_sym_set_operation_token1] = ACTIONS(1472),
    [aux_sym_set_operation_token3] = ACTIONS(1472),
    [aux_sym_set_operation_token4] = ACTIONS(1472),
    [aux_sym_select_token1] = ACTIONS(1472),
    [aux_sym_having_clause_token1] = ACTIONS(1472),
    [aux_sym_qualify_clause_token1] = ACTIONS(1472),
    [aux_sym_limit_clause_token1] = ACTIONS(1472),
    [aux_sym_group_by_clause_token1] = ACTIONS(1472),
    [aux_sym_order_by_clause_token1] = ACTIONS(1472),
    [aux_sym_where_clause_token1] = ACTIONS(1472),
    [aux_sym_insert_statement_token1] = ACTIONS(1472),
    [aux_sym_truncate_statement_token1] = ACTIONS(1472),
    [aux_sym_update_statement_token1] = ACTIONS(1472),
    [aux_sym_merge_statement_token1] = ACTIONS(1472),
    [aux_sym_grant_statement_token1] = ACTIONS(1472),
    [aux_sym_revoke_statement_token1] = ACTIONS(1472),
    [aux_sym_export_data_statement_token1] = ACTIONS(1472),
    [aux_sym_load_data_statement_token1] = ACTIONS(1472),
    [anon_sym_LBRACK] = ACTIONS(1470),
    [sym__quoted_identifier] = ACTIONS(1470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1470),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_STAR] = ACTIONS(1470),
    [anon_sym_SLASH] = ACTIONS(1472),
    [anon_sym_PIPE_PIPE] = ACTIONS(1470),
    [anon_sym_LT_EQ] = ACTIONS(1470),
    [anon_sym_LT_GT] = ACTIONS(1470),
    [anon_sym_GT_EQ] = ACTIONS(1470),
    [anon_sym_BANG_EQ] = ACTIONS(1470),
    [anon_sym_LT_LT] = ACTIONS(1470),
    [anon_sym_GT_GT] = ACTIONS(1470),
    [anon_sym_AMP] = ACTIONS(1470),
    [anon_sym_CARET] = ACTIONS(1470),
    [anon_sym_PIPE] = ACTIONS(1472),
  },
  [1998] = {
    [sym_unnest_withoffset] = STATE(2104),
    [sym__unquoted_identifier] = ACTIONS(1542),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1542),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1542),
    [aux_sym_keyword_replace_token1] = ACTIONS(1542),
    [aux_sym__keyword_alter_token1] = ACTIONS(1542),
    [aux_sym__keyword_from_token1] = ACTIONS(1542),
    [aux_sym__keyword_delete_token1] = ACTIONS(1542),
    [aux_sym__keyword_begin_token1] = ACTIONS(1542),
    [aux_sym__keyword_end_token1] = ACTIONS(1542),
    [aux_sym__keyword_between_token1] = ACTIONS(1542),
    [aux_sym__keyword_when_token1] = ACTIONS(1542),
    [aux_sym__keyword_else_token1] = ACTIONS(1542),
    [aux_sym__keyword_is_token1] = ACTIONS(1542),
    [aux_sym__keyword_in_token1] = ACTIONS(1542),
    [aux_sym__keyword_and_token1] = ACTIONS(1542),
    [aux_sym__keyword_like_token1] = ACTIONS(1542),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1542),
    [aux_sym__keyword_as_token1] = ACTIONS(1542),
    [aux_sym__keyword_window_token1] = ACTIONS(1542),
    [aux_sym__keyword_date_token1] = ACTIONS(1542),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1542),
    [aux_sym__keyword_time_token1] = ACTIONS(1542),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1542),
    [aux_sym__keyword_for_token1] = ACTIONS(1542),
    [anon_sym_SEMI] = ACTIONS(1540),
    [aux_sym_declare_statement_token1] = ACTIONS(1542),
    [anon_sym_COMMA] = ACTIONS(1540),
    [aux_sym_set_statement_token1] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1542),
    [aux_sym_return_satement_token1] = ACTIONS(1542),
    [aux_sym_call_statement_token1] = ACTIONS(1542),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1542),
    [aux_sym_if_statement_token1] = ACTIONS(1542),
    [aux_sym_loop_statement_token1] = ACTIONS(1542),
    [aux_sym_repeat_statement_token1] = ACTIONS(1542),
    [aux_sym_while_statement_token1] = ACTIONS(1542),
    [aux_sym_break_statement_token1] = ACTIONS(1542),
    [aux_sym_leave_statement_token1] = ACTIONS(1542),
    [aux_sym_continue_statement_token1] = ACTIONS(1542),
    [aux_sym_iterate_statement_token1] = ACTIONS(1542),
    [aux_sym_raise_statement_token1] = ACTIONS(1542),
    [anon_sym_EQ] = ACTIONS(1540),
    [aux_sym_assert_statement_token1] = ACTIONS(1542),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1542),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1542),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_GT] = ACTIONS(1542),
    [aux_sym_set_operation_token1] = ACTIONS(1542),
    [aux_sym_set_operation_token3] = ACTIONS(1542),
    [aux_sym_set_operation_token4] = ACTIONS(1542),
    [aux_sym_select_token1] = ACTIONS(1542),
    [aux_sym_having_clause_token1] = ACTIONS(1542),
    [aux_sym_qualify_clause_token1] = ACTIONS(1542),
    [aux_sym_limit_clause_token1] = ACTIONS(1542),
    [aux_sym_group_by_clause_token1] = ACTIONS(1542),
    [aux_sym_order_by_clause_token1] = ACTIONS(1542),
    [aux_sym_where_clause_token1] = ACTIONS(1542),
    [aux_sym_insert_statement_token1] = ACTIONS(1542),
    [aux_sym_truncate_statement_token1] = ACTIONS(1542),
    [aux_sym_update_statement_token1] = ACTIONS(1542),
    [aux_sym_merge_statement_token1] = ACTIONS(1542),
    [aux_sym_grant_statement_token1] = ACTIONS(1542),
    [aux_sym_revoke_statement_token1] = ACTIONS(1542),
    [aux_sym_export_data_statement_token1] = ACTIONS(1542),
    [aux_sym_load_data_statement_token1] = ACTIONS(1542),
    [anon_sym_LBRACK] = ACTIONS(1540),
    [sym__quoted_identifier] = ACTIONS(1540),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(1540),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(1542),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_LT_EQ] = ACTIONS(1540),
    [anon_sym_LT_GT] = ACTIONS(1540),
    [anon_sym_GT_EQ] = ACTIONS(1540),
    [anon_sym_BANG_EQ] = ACTIONS(1540),
    [anon_sym_LT_LT] = ACTIONS(1540),
    [anon_sym_GT_GT] = ACTIONS(1540),
    [anon_sym_AMP] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(1540),
    [anon_sym_PIPE] = ACTIONS(1542),
  },
  [1999] = {
    [ts_builtin_sym_end] = ACTIONS(1854),
    [sym__unquoted_identifier] = ACTIONS(1856),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1856),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1856),
    [aux_sym_keyword_replace_token1] = ACTIONS(1856),
    [aux_sym__keyword_alter_token1] = ACTIONS(1856),
    [aux_sym__keyword_from_token1] = ACTIONS(1856),
    [aux_sym__keyword_delete_token1] = ACTIONS(1856),
    [aux_sym__keyword_begin_token1] = ACTIONS(1856),
    [aux_sym__keyword_end_token1] = ACTIONS(1856),
    [aux_sym__keyword_between_token1] = ACTIONS(1856),
    [aux_sym__keyword_when_token1] = ACTIONS(1856),
    [aux_sym__keyword_else_token1] = ACTIONS(1856),
    [aux_sym__keyword_is_token1] = ACTIONS(1856),
    [aux_sym__keyword_in_token1] = ACTIONS(1856),
    [aux_sym__keyword_and_token1] = ACTIONS(1856),
    [aux_sym__keyword_like_token1] = ACTIONS(1856),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1856),
    [aux_sym__keyword_as_token1] = ACTIONS(1856),
    [aux_sym__keyword_window_token1] = ACTIONS(1856),
    [aux_sym__keyword_date_token1] = ACTIONS(1856),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1856),
    [aux_sym__keyword_time_token1] = ACTIONS(1856),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1856),
    [aux_sym__keyword_for_token1] = ACTIONS(1856),
    [anon_sym_SEMI] = ACTIONS(1854),
    [aux_sym_declare_statement_token1] = ACTIONS(1856),
    [anon_sym_COMMA] = ACTIONS(1854),
    [aux_sym_set_statement_token1] = ACTIONS(1856),
    [anon_sym_LPAREN] = ACTIONS(1854),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1856),
    [aux_sym_return_satement_token1] = ACTIONS(1856),
    [aux_sym_call_statement_token1] = ACTIONS(1856),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1856),
    [aux_sym_if_statement_token1] = ACTIONS(1856),
    [aux_sym_loop_statement_token1] = ACTIONS(1856),
    [aux_sym_repeat_statement_token1] = ACTIONS(1856),
    [aux_sym_while_statement_token1] = ACTIONS(1856),
    [aux_sym_break_statement_token1] = ACTIONS(1856),
    [aux_sym_leave_statement_token1] = ACTIONS(1856),
    [aux_sym_continue_statement_token1] = ACTIONS(1856),
    [aux_sym_iterate_statement_token1] = ACTIONS(1856),
    [aux_sym_raise_statement_token1] = ACTIONS(1856),
    [anon_sym_EQ] = ACTIONS(1854),
    [aux_sym_assert_statement_token1] = ACTIONS(1856),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1856),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1856),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1856),
    [anon_sym_LT] = ACTIONS(1856),
    [anon_sym_GT] = ACTIONS(1856),
    [aux_sym_set_operation_token1] = ACTIONS(1856),
    [aux_sym_set_operation_token3] = ACTIONS(1856),
    [aux_sym_set_operation_token4] = ACTIONS(1856),
    [aux_sym_select_token1] = ACTIONS(1856),
    [aux_sym_having_clause_token1] = ACTIONS(1856),
    [aux_sym_qualify_clause_token1] = ACTIONS(1856),
    [aux_sym_limit_clause_token1] = ACTIONS(1856),
    [aux_sym_group_by_clause_token1] = ACTIONS(1856),
    [aux_sym_order_by_clause_token1] = ACTIONS(1856),
    [aux_sym_where_clause_token1] = ACTIONS(1856),
    [aux_sym_insert_statement_token1] = ACTIONS(1856),
    [aux_sym_truncate_statement_token1] = ACTIONS(1856),
    [aux_sym_update_statement_token1] = ACTIONS(1856),
    [aux_sym_merge_statement_token1] = ACTIONS(1856),
    [aux_sym_grant_statement_token1] = ACTIONS(1856),
    [aux_sym_revoke_statement_token1] = ACTIONS(1856),
    [aux_sym_export_data_statement_token1] = ACTIONS(1856),
    [aux_sym_load_data_statement_token1] = ACTIONS(1856),
    [anon_sym_LBRACK] = ACTIONS(1854),
    [sym__quoted_identifier] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1854),
    [anon_sym_SLASH] = ACTIONS(1856),
    [anon_sym_PIPE_PIPE] = ACTIONS(1854),
    [anon_sym_LT_EQ] = ACTIONS(1854),
    [anon_sym_LT_GT] = ACTIONS(1854),
    [anon_sym_GT_EQ] = ACTIONS(1854),
    [anon_sym_BANG_EQ] = ACTIONS(1854),
    [anon_sym_LT_LT] = ACTIONS(1854),
    [anon_sym_GT_GT] = ACTIONS(1854),
    [anon_sym_AMP] = ACTIONS(1854),
    [anon_sym_CARET] = ACTIONS(1854),
    [anon_sym_PIPE] = ACTIONS(1856),
  },
  [2000] = {
    [ts_builtin_sym_end] = ACTIONS(1784),
    [sym__unquoted_identifier] = ACTIONS(1786),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1786),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1786),
    [aux_sym_keyword_replace_token1] = ACTIONS(1786),
    [aux_sym__keyword_alter_token1] = ACTIONS(1786),
    [aux_sym__keyword_from_token1] = ACTIONS(1786),
    [aux_sym__keyword_delete_token1] = ACTIONS(1786),
    [aux_sym__keyword_begin_token1] = ACTIONS(1786),
    [aux_sym__keyword_end_token1] = ACTIONS(1786),
    [aux_sym__keyword_between_token1] = ACTIONS(1786),
    [aux_sym__keyword_when_token1] = ACTIONS(1786),
    [aux_sym__keyword_else_token1] = ACTIONS(1786),
    [aux_sym__keyword_is_token1] = ACTIONS(1786),
    [aux_sym__keyword_in_token1] = ACTIONS(1786),
    [aux_sym__keyword_and_token1] = ACTIONS(1786),
    [aux_sym__keyword_like_token1] = ACTIONS(1786),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1786),
    [aux_sym__keyword_as_token1] = ACTIONS(1786),
    [aux_sym__keyword_window_token1] = ACTIONS(1786),
    [aux_sym__keyword_date_token1] = ACTIONS(1786),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1786),
    [aux_sym__keyword_time_token1] = ACTIONS(1786),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1786),
    [aux_sym__keyword_for_token1] = ACTIONS(1786),
    [anon_sym_SEMI] = ACTIONS(1784),
    [aux_sym_declare_statement_token1] = ACTIONS(1786),
    [anon_sym_COMMA] = ACTIONS(1784),
    [aux_sym_set_statement_token1] = ACTIONS(1786),
    [anon_sym_LPAREN] = ACTIONS(1784),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1786),
    [aux_sym_return_satement_token1] = ACTIONS(1786),
    [aux_sym_call_statement_token1] = ACTIONS(1786),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1786),
    [aux_sym_if_statement_token1] = ACTIONS(1786),
    [aux_sym_loop_statement_token1] = ACTIONS(1786),
    [aux_sym_repeat_statement_token1] = ACTIONS(1786),
    [aux_sym_while_statement_token1] = ACTIONS(1786),
    [aux_sym_break_statement_token1] = ACTIONS(1786),
    [aux_sym_leave_statement_token1] = ACTIONS(1786),
    [aux_sym_continue_statement_token1] = ACTIONS(1786),
    [aux_sym_iterate_statement_token1] = ACTIONS(1786),
    [aux_sym_raise_statement_token1] = ACTIONS(1786),
    [anon_sym_EQ] = ACTIONS(1784),
    [aux_sym_assert_statement_token1] = ACTIONS(1786),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1786),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1786),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1786),
    [anon_sym_LT] = ACTIONS(1786),
    [anon_sym_GT] = ACTIONS(1786),
    [aux_sym_set_operation_token1] = ACTIONS(1786),
    [aux_sym_set_operation_token3] = ACTIONS(1786),
    [aux_sym_set_operation_token4] = ACTIONS(1786),
    [aux_sym_select_token1] = ACTIONS(1786),
    [aux_sym_having_clause_token1] = ACTIONS(1786),
    [aux_sym_qualify_clause_token1] = ACTIONS(1786),
    [aux_sym_limit_clause_token1] = ACTIONS(1786),
    [aux_sym_group_by_clause_token1] = ACTIONS(1786),
    [aux_sym_order_by_clause_token1] = ACTIONS(1786),
    [aux_sym_where_clause_token1] = ACTIONS(1786),
    [aux_sym_insert_statement_token1] = ACTIONS(1786),
    [aux_sym_truncate_statement_token1] = ACTIONS(1786),
    [aux_sym_update_statement_token1] = ACTIONS(1786),
    [aux_sym_merge_statement_token1] = ACTIONS(1786),
    [aux_sym_grant_statement_token1] = ACTIONS(1786),
    [aux_sym_revoke_statement_token1] = ACTIONS(1786),
    [aux_sym_export_data_statement_token1] = ACTIONS(1786),
    [aux_sym_load_data_statement_token1] = ACTIONS(1786),
    [anon_sym_LBRACK] = ACTIONS(1784),
    [sym__quoted_identifier] = ACTIONS(1784),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1784),
    [anon_sym_PLUS] = ACTIONS(1784),
    [anon_sym_DASH] = ACTIONS(1786),
    [anon_sym_STAR] = ACTIONS(1784),
    [anon_sym_SLASH] = ACTIONS(1786),
    [anon_sym_PIPE_PIPE] = ACTIONS(1784),
    [anon_sym_LT_EQ] = ACTIONS(1784),
    [anon_sym_LT_GT] = ACTIONS(1784),
    [anon_sym_GT_EQ] = ACTIONS(1784),
    [anon_sym_BANG_EQ] = ACTIONS(1784),
    [anon_sym_LT_LT] = ACTIONS(1784),
    [anon_sym_GT_GT] = ACTIONS(1784),
    [anon_sym_AMP] = ACTIONS(1784),
    [anon_sym_CARET] = ACTIONS(1784),
    [anon_sym_PIPE] = ACTIONS(1786),
  },
  [2001] = {
    [ts_builtin_sym_end] = ACTIONS(1688),
    [sym__unquoted_identifier] = ACTIONS(1690),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1690),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1690),
    [aux_sym_keyword_replace_token1] = ACTIONS(1690),
    [aux_sym__keyword_alter_token1] = ACTIONS(1690),
    [aux_sym__keyword_from_token1] = ACTIONS(1690),
    [aux_sym__keyword_delete_token1] = ACTIONS(1690),
    [aux_sym__keyword_begin_token1] = ACTIONS(1690),
    [aux_sym__keyword_end_token1] = ACTIONS(1690),
    [aux_sym__keyword_between_token1] = ACTIONS(1690),
    [aux_sym__keyword_when_token1] = ACTIONS(1690),
    [aux_sym__keyword_else_token1] = ACTIONS(1690),
    [aux_sym__keyword_is_token1] = ACTIONS(1690),
    [aux_sym__keyword_in_token1] = ACTIONS(1690),
    [aux_sym__keyword_and_token1] = ACTIONS(1690),
    [aux_sym__keyword_like_token1] = ACTIONS(1690),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1690),
    [aux_sym__keyword_as_token1] = ACTIONS(1690),
    [aux_sym__keyword_window_token1] = ACTIONS(1690),
    [aux_sym__keyword_date_token1] = ACTIONS(1690),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1690),
    [aux_sym__keyword_time_token1] = ACTIONS(1690),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1690),
    [aux_sym__keyword_for_token1] = ACTIONS(1690),
    [anon_sym_SEMI] = ACTIONS(1688),
    [aux_sym_declare_statement_token1] = ACTIONS(1690),
    [anon_sym_COMMA] = ACTIONS(1688),
    [aux_sym_set_statement_token1] = ACTIONS(1690),
    [anon_sym_LPAREN] = ACTIONS(1688),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1690),
    [aux_sym_return_satement_token1] = ACTIONS(1690),
    [aux_sym_call_statement_token1] = ACTIONS(1690),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1690),
    [aux_sym_if_statement_token1] = ACTIONS(1690),
    [aux_sym_loop_statement_token1] = ACTIONS(1690),
    [aux_sym_repeat_statement_token1] = ACTIONS(1690),
    [aux_sym_while_statement_token1] = ACTIONS(1690),
    [aux_sym_break_statement_token1] = ACTIONS(1690),
    [aux_sym_leave_statement_token1] = ACTIONS(1690),
    [aux_sym_continue_statement_token1] = ACTIONS(1690),
    [aux_sym_iterate_statement_token1] = ACTIONS(1690),
    [aux_sym_raise_statement_token1] = ACTIONS(1690),
    [anon_sym_EQ] = ACTIONS(1688),
    [aux_sym_assert_statement_token1] = ACTIONS(1690),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1690),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1690),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1690),
    [anon_sym_LT] = ACTIONS(1690),
    [anon_sym_GT] = ACTIONS(1690),
    [aux_sym_set_operation_token1] = ACTIONS(1690),
    [aux_sym_set_operation_token3] = ACTIONS(1690),
    [aux_sym_set_operation_token4] = ACTIONS(1690),
    [aux_sym_select_token1] = ACTIONS(1690),
    [aux_sym_having_clause_token1] = ACTIONS(1690),
    [aux_sym_qualify_clause_token1] = ACTIONS(1690),
    [aux_sym_limit_clause_token1] = ACTIONS(1690),
    [aux_sym_group_by_clause_token1] = ACTIONS(1690),
    [aux_sym_order_by_clause_token1] = ACTIONS(1690),
    [aux_sym_where_clause_token1] = ACTIONS(1690),
    [aux_sym_insert_statement_token1] = ACTIONS(1690),
    [aux_sym_truncate_statement_token1] = ACTIONS(1690),
    [aux_sym_update_statement_token1] = ACTIONS(1690),
    [aux_sym_merge_statement_token1] = ACTIONS(1690),
    [aux_sym_grant_statement_token1] = ACTIONS(1690),
    [aux_sym_revoke_statement_token1] = ACTIONS(1690),
    [aux_sym_export_data_statement_token1] = ACTIONS(1690),
    [aux_sym_load_data_statement_token1] = ACTIONS(1690),
    [anon_sym_LBRACK] = ACTIONS(1688),
    [sym__quoted_identifier] = ACTIONS(1688),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1688),
    [anon_sym_PLUS] = ACTIONS(1688),
    [anon_sym_DASH] = ACTIONS(1690),
    [anon_sym_STAR] = ACTIONS(1688),
    [anon_sym_SLASH] = ACTIONS(1690),
    [anon_sym_PIPE_PIPE] = ACTIONS(1688),
    [anon_sym_LT_EQ] = ACTIONS(1688),
    [anon_sym_LT_GT] = ACTIONS(1688),
    [anon_sym_GT_EQ] = ACTIONS(1688),
    [anon_sym_BANG_EQ] = ACTIONS(1688),
    [anon_sym_LT_LT] = ACTIONS(1688),
    [anon_sym_GT_GT] = ACTIONS(1688),
    [anon_sym_AMP] = ACTIONS(1688),
    [anon_sym_CARET] = ACTIONS(1688),
    [anon_sym_PIPE] = ACTIONS(1690),
  },
  [2002] = {
    [ts_builtin_sym_end] = ACTIONS(1740),
    [sym__unquoted_identifier] = ACTIONS(1742),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1742),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1742),
    [aux_sym_keyword_replace_token1] = ACTIONS(1742),
    [aux_sym__keyword_alter_token1] = ACTIONS(1742),
    [aux_sym__keyword_from_token1] = ACTIONS(1742),
    [aux_sym__keyword_delete_token1] = ACTIONS(1742),
    [aux_sym__keyword_begin_token1] = ACTIONS(1742),
    [aux_sym__keyword_end_token1] = ACTIONS(1742),
    [aux_sym__keyword_between_token1] = ACTIONS(1742),
    [aux_sym__keyword_when_token1] = ACTIONS(1742),
    [aux_sym__keyword_else_token1] = ACTIONS(1742),
    [aux_sym__keyword_is_token1] = ACTIONS(1742),
    [aux_sym__keyword_in_token1] = ACTIONS(1742),
    [aux_sym__keyword_and_token1] = ACTIONS(1742),
    [aux_sym__keyword_like_token1] = ACTIONS(1742),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1742),
    [aux_sym__keyword_as_token1] = ACTIONS(1742),
    [aux_sym__keyword_window_token1] = ACTIONS(1742),
    [aux_sym__keyword_date_token1] = ACTIONS(1742),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1742),
    [aux_sym__keyword_time_token1] = ACTIONS(1742),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1742),
    [aux_sym__keyword_for_token1] = ACTIONS(1742),
    [anon_sym_SEMI] = ACTIONS(1740),
    [aux_sym_declare_statement_token1] = ACTIONS(1742),
    [anon_sym_COMMA] = ACTIONS(1740),
    [aux_sym_set_statement_token1] = ACTIONS(1742),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1742),
    [aux_sym_return_satement_token1] = ACTIONS(1742),
    [aux_sym_call_statement_token1] = ACTIONS(1742),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1742),
    [aux_sym_if_statement_token1] = ACTIONS(1742),
    [aux_sym_loop_statement_token1] = ACTIONS(1742),
    [aux_sym_repeat_statement_token1] = ACTIONS(1742),
    [aux_sym_while_statement_token1] = ACTIONS(1742),
    [aux_sym_break_statement_token1] = ACTIONS(1742),
    [aux_sym_leave_statement_token1] = ACTIONS(1742),
    [aux_sym_continue_statement_token1] = ACTIONS(1742),
    [aux_sym_iterate_statement_token1] = ACTIONS(1742),
    [aux_sym_raise_statement_token1] = ACTIONS(1742),
    [anon_sym_EQ] = ACTIONS(1740),
    [aux_sym_assert_statement_token1] = ACTIONS(1742),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1742),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1742),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1742),
    [anon_sym_LT] = ACTIONS(1742),
    [anon_sym_GT] = ACTIONS(1742),
    [aux_sym_set_operation_token1] = ACTIONS(1742),
    [aux_sym_set_operation_token3] = ACTIONS(1742),
    [aux_sym_set_operation_token4] = ACTIONS(1742),
    [aux_sym_select_token1] = ACTIONS(1742),
    [aux_sym_having_clause_token1] = ACTIONS(1742),
    [aux_sym_qualify_clause_token1] = ACTIONS(1742),
    [aux_sym_limit_clause_token1] = ACTIONS(1742),
    [aux_sym_group_by_clause_token1] = ACTIONS(1742),
    [aux_sym_order_by_clause_token1] = ACTIONS(1742),
    [aux_sym_where_clause_token1] = ACTIONS(1742),
    [aux_sym_insert_statement_token1] = ACTIONS(1742),
    [aux_sym_truncate_statement_token1] = ACTIONS(1742),
    [aux_sym_update_statement_token1] = ACTIONS(1742),
    [aux_sym_merge_statement_token1] = ACTIONS(1742),
    [aux_sym_grant_statement_token1] = ACTIONS(1742),
    [aux_sym_revoke_statement_token1] = ACTIONS(1742),
    [aux_sym_export_data_statement_token1] = ACTIONS(1742),
    [aux_sym_load_data_statement_token1] = ACTIONS(1742),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [sym__quoted_identifier] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1740),
    [anon_sym_SLASH] = ACTIONS(1742),
    [anon_sym_PIPE_PIPE] = ACTIONS(1740),
    [anon_sym_LT_EQ] = ACTIONS(1740),
    [anon_sym_LT_GT] = ACTIONS(1740),
    [anon_sym_GT_EQ] = ACTIONS(1740),
    [anon_sym_BANG_EQ] = ACTIONS(1740),
    [anon_sym_LT_LT] = ACTIONS(1740),
    [anon_sym_GT_GT] = ACTIONS(1740),
    [anon_sym_AMP] = ACTIONS(1740),
    [anon_sym_CARET] = ACTIONS(1740),
    [anon_sym_PIPE] = ACTIONS(1742),
  },
  [2003] = {
    [ts_builtin_sym_end] = ACTIONS(1736),
    [sym__unquoted_identifier] = ACTIONS(1738),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1738),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1738),
    [aux_sym_keyword_replace_token1] = ACTIONS(1738),
    [aux_sym__keyword_alter_token1] = ACTIONS(1738),
    [aux_sym__keyword_from_token1] = ACTIONS(1738),
    [aux_sym__keyword_delete_token1] = ACTIONS(1738),
    [aux_sym__keyword_begin_token1] = ACTIONS(1738),
    [aux_sym__keyword_end_token1] = ACTIONS(1738),
    [aux_sym__keyword_between_token1] = ACTIONS(1738),
    [aux_sym__keyword_when_token1] = ACTIONS(1738),
    [aux_sym__keyword_else_token1] = ACTIONS(1738),
    [aux_sym__keyword_is_token1] = ACTIONS(1738),
    [aux_sym__keyword_in_token1] = ACTIONS(1738),
    [aux_sym__keyword_and_token1] = ACTIONS(1738),
    [aux_sym__keyword_like_token1] = ACTIONS(1738),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1738),
    [aux_sym__keyword_as_token1] = ACTIONS(1738),
    [aux_sym__keyword_window_token1] = ACTIONS(1738),
    [aux_sym__keyword_date_token1] = ACTIONS(1738),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1738),
    [aux_sym__keyword_time_token1] = ACTIONS(1738),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1738),
    [aux_sym__keyword_for_token1] = ACTIONS(1738),
    [anon_sym_SEMI] = ACTIONS(1736),
    [aux_sym_declare_statement_token1] = ACTIONS(1738),
    [anon_sym_COMMA] = ACTIONS(1736),
    [aux_sym_set_statement_token1] = ACTIONS(1738),
    [anon_sym_LPAREN] = ACTIONS(1736),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1738),
    [aux_sym_return_satement_token1] = ACTIONS(1738),
    [aux_sym_call_statement_token1] = ACTIONS(1738),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1738),
    [aux_sym_if_statement_token1] = ACTIONS(1738),
    [aux_sym_loop_statement_token1] = ACTIONS(1738),
    [aux_sym_repeat_statement_token1] = ACTIONS(1738),
    [aux_sym_while_statement_token1] = ACTIONS(1738),
    [aux_sym_break_statement_token1] = ACTIONS(1738),
    [aux_sym_leave_statement_token1] = ACTIONS(1738),
    [aux_sym_continue_statement_token1] = ACTIONS(1738),
    [aux_sym_iterate_statement_token1] = ACTIONS(1738),
    [aux_sym_raise_statement_token1] = ACTIONS(1738),
    [anon_sym_EQ] = ACTIONS(1736),
    [aux_sym_assert_statement_token1] = ACTIONS(1738),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1738),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1738),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1738),
    [anon_sym_LT] = ACTIONS(1738),
    [anon_sym_GT] = ACTIONS(1738),
    [aux_sym_set_operation_token1] = ACTIONS(1738),
    [aux_sym_set_operation_token3] = ACTIONS(1738),
    [aux_sym_set_operation_token4] = ACTIONS(1738),
    [aux_sym_select_token1] = ACTIONS(1738),
    [aux_sym_having_clause_token1] = ACTIONS(1738),
    [aux_sym_qualify_clause_token1] = ACTIONS(1738),
    [aux_sym_limit_clause_token1] = ACTIONS(1738),
    [aux_sym_group_by_clause_token1] = ACTIONS(1738),
    [aux_sym_order_by_clause_token1] = ACTIONS(1738),
    [aux_sym_where_clause_token1] = ACTIONS(1738),
    [aux_sym_insert_statement_token1] = ACTIONS(1738),
    [aux_sym_truncate_statement_token1] = ACTIONS(1738),
    [aux_sym_update_statement_token1] = ACTIONS(1738),
    [aux_sym_merge_statement_token1] = ACTIONS(1738),
    [aux_sym_grant_statement_token1] = ACTIONS(1738),
    [aux_sym_revoke_statement_token1] = ACTIONS(1738),
    [aux_sym_export_data_statement_token1] = ACTIONS(1738),
    [aux_sym_load_data_statement_token1] = ACTIONS(1738),
    [anon_sym_LBRACK] = ACTIONS(1736),
    [sym__quoted_identifier] = ACTIONS(1736),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1736),
    [anon_sym_PLUS] = ACTIONS(1736),
    [anon_sym_DASH] = ACTIONS(1738),
    [anon_sym_STAR] = ACTIONS(1736),
    [anon_sym_SLASH] = ACTIONS(1738),
    [anon_sym_PIPE_PIPE] = ACTIONS(1736),
    [anon_sym_LT_EQ] = ACTIONS(1736),
    [anon_sym_LT_GT] = ACTIONS(1736),
    [anon_sym_GT_EQ] = ACTIONS(1736),
    [anon_sym_BANG_EQ] = ACTIONS(1736),
    [anon_sym_LT_LT] = ACTIONS(1736),
    [anon_sym_GT_GT] = ACTIONS(1736),
    [anon_sym_AMP] = ACTIONS(1736),
    [anon_sym_CARET] = ACTIONS(1736),
    [anon_sym_PIPE] = ACTIONS(1738),
  },
  [2004] = {
    [ts_builtin_sym_end] = ACTIONS(1578),
    [sym__unquoted_identifier] = ACTIONS(1580),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1580),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1580),
    [aux_sym_keyword_replace_token1] = ACTIONS(1580),
    [aux_sym__keyword_alter_token1] = ACTIONS(1580),
    [aux_sym__keyword_from_token1] = ACTIONS(1580),
    [aux_sym__keyword_delete_token1] = ACTIONS(1580),
    [aux_sym__keyword_begin_token1] = ACTIONS(1580),
    [aux_sym__keyword_end_token1] = ACTIONS(1580),
    [aux_sym__keyword_between_token1] = ACTIONS(1580),
    [aux_sym__keyword_when_token1] = ACTIONS(1580),
    [aux_sym__keyword_else_token1] = ACTIONS(1580),
    [aux_sym__keyword_is_token1] = ACTIONS(1580),
    [aux_sym__keyword_in_token1] = ACTIONS(1580),
    [aux_sym__keyword_and_token1] = ACTIONS(1580),
    [aux_sym__keyword_like_token1] = ACTIONS(1580),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1580),
    [aux_sym__keyword_as_token1] = ACTIONS(1580),
    [aux_sym__keyword_window_token1] = ACTIONS(1580),
    [aux_sym__keyword_date_token1] = ACTIONS(1580),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1580),
    [aux_sym__keyword_time_token1] = ACTIONS(1580),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1580),
    [aux_sym__keyword_for_token1] = ACTIONS(1580),
    [anon_sym_SEMI] = ACTIONS(1578),
    [aux_sym_declare_statement_token1] = ACTIONS(1580),
    [anon_sym_COMMA] = ACTIONS(1578),
    [aux_sym_set_statement_token1] = ACTIONS(1580),
    [anon_sym_LPAREN] = ACTIONS(1578),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1580),
    [aux_sym_return_satement_token1] = ACTIONS(1580),
    [aux_sym_call_statement_token1] = ACTIONS(1580),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1580),
    [aux_sym_if_statement_token1] = ACTIONS(1580),
    [aux_sym_loop_statement_token1] = ACTIONS(1580),
    [aux_sym_repeat_statement_token1] = ACTIONS(1580),
    [aux_sym_while_statement_token1] = ACTIONS(1580),
    [aux_sym_break_statement_token1] = ACTIONS(1580),
    [aux_sym_leave_statement_token1] = ACTIONS(1580),
    [aux_sym_continue_statement_token1] = ACTIONS(1580),
    [aux_sym_iterate_statement_token1] = ACTIONS(1580),
    [aux_sym_raise_statement_token1] = ACTIONS(1580),
    [anon_sym_EQ] = ACTIONS(1578),
    [aux_sym_assert_statement_token1] = ACTIONS(1580),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1580),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1580),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1580),
    [anon_sym_LT] = ACTIONS(1580),
    [anon_sym_GT] = ACTIONS(1580),
    [aux_sym_set_operation_token1] = ACTIONS(1580),
    [aux_sym_set_operation_token3] = ACTIONS(1580),
    [aux_sym_set_operation_token4] = ACTIONS(1580),
    [aux_sym_select_token1] = ACTIONS(1580),
    [aux_sym_having_clause_token1] = ACTIONS(1580),
    [aux_sym_qualify_clause_token1] = ACTIONS(1580),
    [aux_sym_limit_clause_token1] = ACTIONS(1580),
    [aux_sym_group_by_clause_token1] = ACTIONS(1580),
    [aux_sym_order_by_clause_token1] = ACTIONS(1580),
    [aux_sym_where_clause_token1] = ACTIONS(1580),
    [aux_sym_insert_statement_token1] = ACTIONS(1580),
    [aux_sym_truncate_statement_token1] = ACTIONS(1580),
    [aux_sym_update_statement_token1] = ACTIONS(1580),
    [aux_sym_merge_statement_token1] = ACTIONS(1580),
    [aux_sym_grant_statement_token1] = ACTIONS(1580),
    [aux_sym_revoke_statement_token1] = ACTIONS(1580),
    [aux_sym_export_data_statement_token1] = ACTIONS(1580),
    [aux_sym_load_data_statement_token1] = ACTIONS(1580),
    [anon_sym_LBRACK] = ACTIONS(1578),
    [sym__quoted_identifier] = ACTIONS(1578),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1578),
    [anon_sym_DASH] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(1578),
    [anon_sym_SLASH] = ACTIONS(1580),
    [anon_sym_PIPE_PIPE] = ACTIONS(1578),
    [anon_sym_LT_EQ] = ACTIONS(1578),
    [anon_sym_LT_GT] = ACTIONS(1578),
    [anon_sym_GT_EQ] = ACTIONS(1578),
    [anon_sym_BANG_EQ] = ACTIONS(1578),
    [anon_sym_LT_LT] = ACTIONS(1578),
    [anon_sym_GT_GT] = ACTIONS(1578),
    [anon_sym_AMP] = ACTIONS(1578),
    [anon_sym_CARET] = ACTIONS(1578),
    [anon_sym_PIPE] = ACTIONS(1580),
  },
  [2005] = {
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_from_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [2006] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_from_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [2007] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_from_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [2008] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_from_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [2009] = {
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_from_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [2010] = {
    [ts_builtin_sym_end] = ACTIONS(1732),
    [sym__unquoted_identifier] = ACTIONS(1734),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1734),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1734),
    [aux_sym_keyword_replace_token1] = ACTIONS(1734),
    [aux_sym__keyword_alter_token1] = ACTIONS(1734),
    [aux_sym__keyword_from_token1] = ACTIONS(1734),
    [aux_sym__keyword_delete_token1] = ACTIONS(1734),
    [aux_sym__keyword_begin_token1] = ACTIONS(1734),
    [aux_sym__keyword_end_token1] = ACTIONS(1734),
    [aux_sym__keyword_between_token1] = ACTIONS(1734),
    [aux_sym__keyword_when_token1] = ACTIONS(1734),
    [aux_sym__keyword_else_token1] = ACTIONS(1734),
    [aux_sym__keyword_is_token1] = ACTIONS(1734),
    [aux_sym__keyword_in_token1] = ACTIONS(1734),
    [aux_sym__keyword_and_token1] = ACTIONS(1734),
    [aux_sym__keyword_like_token1] = ACTIONS(1734),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1734),
    [aux_sym__keyword_as_token1] = ACTIONS(1734),
    [aux_sym__keyword_window_token1] = ACTIONS(1734),
    [aux_sym__keyword_date_token1] = ACTIONS(1734),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1734),
    [aux_sym__keyword_time_token1] = ACTIONS(1734),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1734),
    [aux_sym__keyword_for_token1] = ACTIONS(1734),
    [anon_sym_SEMI] = ACTIONS(1732),
    [aux_sym_declare_statement_token1] = ACTIONS(1734),
    [anon_sym_COMMA] = ACTIONS(1732),
    [aux_sym_set_statement_token1] = ACTIONS(1734),
    [anon_sym_LPAREN] = ACTIONS(1732),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1734),
    [aux_sym_return_satement_token1] = ACTIONS(1734),
    [aux_sym_call_statement_token1] = ACTIONS(1734),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1734),
    [aux_sym_if_statement_token1] = ACTIONS(1734),
    [aux_sym_loop_statement_token1] = ACTIONS(1734),
    [aux_sym_repeat_statement_token1] = ACTIONS(1734),
    [aux_sym_while_statement_token1] = ACTIONS(1734),
    [aux_sym_break_statement_token1] = ACTIONS(1734),
    [aux_sym_leave_statement_token1] = ACTIONS(1734),
    [aux_sym_continue_statement_token1] = ACTIONS(1734),
    [aux_sym_iterate_statement_token1] = ACTIONS(1734),
    [aux_sym_raise_statement_token1] = ACTIONS(1734),
    [anon_sym_EQ] = ACTIONS(1732),
    [aux_sym_assert_statement_token1] = ACTIONS(1734),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1734),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1734),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1734),
    [anon_sym_LT] = ACTIONS(1734),
    [anon_sym_GT] = ACTIONS(1734),
    [aux_sym_set_operation_token1] = ACTIONS(1734),
    [aux_sym_set_operation_token3] = ACTIONS(1734),
    [aux_sym_set_operation_token4] = ACTIONS(1734),
    [aux_sym_select_token1] = ACTIONS(1734),
    [aux_sym_having_clause_token1] = ACTIONS(1734),
    [aux_sym_qualify_clause_token1] = ACTIONS(1734),
    [aux_sym_limit_clause_token1] = ACTIONS(1734),
    [aux_sym_group_by_clause_token1] = ACTIONS(1734),
    [aux_sym_order_by_clause_token1] = ACTIONS(1734),
    [aux_sym_where_clause_token1] = ACTIONS(1734),
    [aux_sym_insert_statement_token1] = ACTIONS(1734),
    [aux_sym_truncate_statement_token1] = ACTIONS(1734),
    [aux_sym_update_statement_token1] = ACTIONS(1734),
    [aux_sym_merge_statement_token1] = ACTIONS(1734),
    [aux_sym_grant_statement_token1] = ACTIONS(1734),
    [aux_sym_revoke_statement_token1] = ACTIONS(1734),
    [aux_sym_export_data_statement_token1] = ACTIONS(1734),
    [aux_sym_load_data_statement_token1] = ACTIONS(1734),
    [anon_sym_LBRACK] = ACTIONS(1732),
    [sym__quoted_identifier] = ACTIONS(1732),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1732),
    [anon_sym_PLUS] = ACTIONS(1732),
    [anon_sym_DASH] = ACTIONS(1734),
    [anon_sym_STAR] = ACTIONS(1732),
    [anon_sym_SLASH] = ACTIONS(1734),
    [anon_sym_PIPE_PIPE] = ACTIONS(1732),
    [anon_sym_LT_EQ] = ACTIONS(1732),
    [anon_sym_LT_GT] = ACTIONS(1732),
    [anon_sym_GT_EQ] = ACTIONS(1732),
    [anon_sym_BANG_EQ] = ACTIONS(1732),
    [anon_sym_LT_LT] = ACTIONS(1732),
    [anon_sym_GT_GT] = ACTIONS(1732),
    [anon_sym_AMP] = ACTIONS(1732),
    [anon_sym_CARET] = ACTIONS(1732),
    [anon_sym_PIPE] = ACTIONS(1734),
  },
  [2011] = {
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_from_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [2012] = {
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_from_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [2013] = {
    [ts_builtin_sym_end] = ACTIONS(1728),
    [sym__unquoted_identifier] = ACTIONS(1730),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1730),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1730),
    [aux_sym_keyword_replace_token1] = ACTIONS(1730),
    [aux_sym__keyword_alter_token1] = ACTIONS(1730),
    [aux_sym__keyword_from_token1] = ACTIONS(1730),
    [aux_sym__keyword_delete_token1] = ACTIONS(1730),
    [aux_sym__keyword_begin_token1] = ACTIONS(1730),
    [aux_sym__keyword_end_token1] = ACTIONS(1730),
    [aux_sym__keyword_between_token1] = ACTIONS(1730),
    [aux_sym__keyword_when_token1] = ACTIONS(1730),
    [aux_sym__keyword_else_token1] = ACTIONS(1730),
    [aux_sym__keyword_is_token1] = ACTIONS(1730),
    [aux_sym__keyword_in_token1] = ACTIONS(1730),
    [aux_sym__keyword_and_token1] = ACTIONS(1730),
    [aux_sym__keyword_like_token1] = ACTIONS(1730),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1730),
    [aux_sym__keyword_as_token1] = ACTIONS(1730),
    [aux_sym__keyword_window_token1] = ACTIONS(1730),
    [aux_sym__keyword_date_token1] = ACTIONS(1730),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1730),
    [aux_sym__keyword_time_token1] = ACTIONS(1730),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1730),
    [aux_sym__keyword_for_token1] = ACTIONS(1730),
    [anon_sym_SEMI] = ACTIONS(1728),
    [aux_sym_declare_statement_token1] = ACTIONS(1730),
    [anon_sym_COMMA] = ACTIONS(1728),
    [aux_sym_set_statement_token1] = ACTIONS(1730),
    [anon_sym_LPAREN] = ACTIONS(1728),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1730),
    [aux_sym_return_satement_token1] = ACTIONS(1730),
    [aux_sym_call_statement_token1] = ACTIONS(1730),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1730),
    [aux_sym_if_statement_token1] = ACTIONS(1730),
    [aux_sym_loop_statement_token1] = ACTIONS(1730),
    [aux_sym_repeat_statement_token1] = ACTIONS(1730),
    [aux_sym_while_statement_token1] = ACTIONS(1730),
    [aux_sym_break_statement_token1] = ACTIONS(1730),
    [aux_sym_leave_statement_token1] = ACTIONS(1730),
    [aux_sym_continue_statement_token1] = ACTIONS(1730),
    [aux_sym_iterate_statement_token1] = ACTIONS(1730),
    [aux_sym_raise_statement_token1] = ACTIONS(1730),
    [anon_sym_EQ] = ACTIONS(1728),
    [aux_sym_assert_statement_token1] = ACTIONS(1730),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1730),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1730),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1730),
    [anon_sym_LT] = ACTIONS(1730),
    [anon_sym_GT] = ACTIONS(1730),
    [aux_sym_set_operation_token1] = ACTIONS(1730),
    [aux_sym_set_operation_token3] = ACTIONS(1730),
    [aux_sym_set_operation_token4] = ACTIONS(1730),
    [aux_sym_select_token1] = ACTIONS(1730),
    [aux_sym_having_clause_token1] = ACTIONS(1730),
    [aux_sym_qualify_clause_token1] = ACTIONS(1730),
    [aux_sym_limit_clause_token1] = ACTIONS(1730),
    [aux_sym_group_by_clause_token1] = ACTIONS(1730),
    [aux_sym_order_by_clause_token1] = ACTIONS(1730),
    [aux_sym_where_clause_token1] = ACTIONS(1730),
    [aux_sym_insert_statement_token1] = ACTIONS(1730),
    [aux_sym_truncate_statement_token1] = ACTIONS(1730),
    [aux_sym_update_statement_token1] = ACTIONS(1730),
    [aux_sym_merge_statement_token1] = ACTIONS(1730),
    [aux_sym_grant_statement_token1] = ACTIONS(1730),
    [aux_sym_revoke_statement_token1] = ACTIONS(1730),
    [aux_sym_export_data_statement_token1] = ACTIONS(1730),
    [aux_sym_load_data_statement_token1] = ACTIONS(1730),
    [anon_sym_LBRACK] = ACTIONS(1728),
    [sym__quoted_identifier] = ACTIONS(1728),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1728),
    [anon_sym_DASH] = ACTIONS(1730),
    [anon_sym_STAR] = ACTIONS(1728),
    [anon_sym_SLASH] = ACTIONS(1730),
    [anon_sym_PIPE_PIPE] = ACTIONS(1728),
    [anon_sym_LT_EQ] = ACTIONS(1728),
    [anon_sym_LT_GT] = ACTIONS(1728),
    [anon_sym_GT_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ] = ACTIONS(1728),
    [anon_sym_LT_LT] = ACTIONS(1728),
    [anon_sym_GT_GT] = ACTIONS(1728),
    [anon_sym_AMP] = ACTIONS(1728),
    [anon_sym_CARET] = ACTIONS(1728),
    [anon_sym_PIPE] = ACTIONS(1730),
  },
  [2014] = {
    [ts_builtin_sym_end] = ACTIONS(1602),
    [sym__unquoted_identifier] = ACTIONS(1604),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1604),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1604),
    [aux_sym_keyword_replace_token1] = ACTIONS(1604),
    [aux_sym__keyword_alter_token1] = ACTIONS(1604),
    [aux_sym__keyword_from_token1] = ACTIONS(1604),
    [aux_sym__keyword_delete_token1] = ACTIONS(1604),
    [aux_sym__keyword_begin_token1] = ACTIONS(1604),
    [aux_sym__keyword_end_token1] = ACTIONS(1604),
    [aux_sym__keyword_between_token1] = ACTIONS(1604),
    [aux_sym__keyword_when_token1] = ACTIONS(1604),
    [aux_sym__keyword_else_token1] = ACTIONS(1604),
    [aux_sym__keyword_is_token1] = ACTIONS(1604),
    [aux_sym__keyword_in_token1] = ACTIONS(1604),
    [aux_sym__keyword_and_token1] = ACTIONS(1604),
    [aux_sym__keyword_like_token1] = ACTIONS(1604),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1604),
    [aux_sym__keyword_as_token1] = ACTIONS(1604),
    [aux_sym__keyword_window_token1] = ACTIONS(1604),
    [aux_sym__keyword_date_token1] = ACTIONS(1604),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1604),
    [aux_sym__keyword_time_token1] = ACTIONS(1604),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1604),
    [aux_sym__keyword_for_token1] = ACTIONS(1604),
    [anon_sym_SEMI] = ACTIONS(1602),
    [aux_sym_declare_statement_token1] = ACTIONS(1604),
    [anon_sym_COMMA] = ACTIONS(1602),
    [aux_sym_set_statement_token1] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(1602),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1604),
    [aux_sym_return_satement_token1] = ACTIONS(1604),
    [aux_sym_call_statement_token1] = ACTIONS(1604),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1604),
    [aux_sym_if_statement_token1] = ACTIONS(1604),
    [aux_sym_loop_statement_token1] = ACTIONS(1604),
    [aux_sym_repeat_statement_token1] = ACTIONS(1604),
    [aux_sym_while_statement_token1] = ACTIONS(1604),
    [aux_sym_break_statement_token1] = ACTIONS(1604),
    [aux_sym_leave_statement_token1] = ACTIONS(1604),
    [aux_sym_continue_statement_token1] = ACTIONS(1604),
    [aux_sym_iterate_statement_token1] = ACTIONS(1604),
    [aux_sym_raise_statement_token1] = ACTIONS(1604),
    [anon_sym_EQ] = ACTIONS(1602),
    [aux_sym_assert_statement_token1] = ACTIONS(1604),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1604),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1604),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1604),
    [anon_sym_LT] = ACTIONS(1604),
    [anon_sym_GT] = ACTIONS(1604),
    [aux_sym_set_operation_token1] = ACTIONS(1604),
    [aux_sym_set_operation_token3] = ACTIONS(1604),
    [aux_sym_set_operation_token4] = ACTIONS(1604),
    [aux_sym_select_token1] = ACTIONS(1604),
    [aux_sym_having_clause_token1] = ACTIONS(1604),
    [aux_sym_qualify_clause_token1] = ACTIONS(1604),
    [aux_sym_limit_clause_token1] = ACTIONS(1604),
    [aux_sym_group_by_clause_token1] = ACTIONS(1604),
    [aux_sym_order_by_clause_token1] = ACTIONS(1604),
    [aux_sym_where_clause_token1] = ACTIONS(1604),
    [aux_sym_insert_statement_token1] = ACTIONS(1604),
    [aux_sym_truncate_statement_token1] = ACTIONS(1604),
    [aux_sym_update_statement_token1] = ACTIONS(1604),
    [aux_sym_merge_statement_token1] = ACTIONS(1604),
    [aux_sym_grant_statement_token1] = ACTIONS(1604),
    [aux_sym_revoke_statement_token1] = ACTIONS(1604),
    [aux_sym_export_data_statement_token1] = ACTIONS(1604),
    [aux_sym_load_data_statement_token1] = ACTIONS(1604),
    [anon_sym_LBRACK] = ACTIONS(1602),
    [sym__quoted_identifier] = ACTIONS(1602),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1602),
    [anon_sym_PLUS] = ACTIONS(1602),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_STAR] = ACTIONS(1602),
    [anon_sym_SLASH] = ACTIONS(1604),
    [anon_sym_PIPE_PIPE] = ACTIONS(1602),
    [anon_sym_LT_EQ] = ACTIONS(1602),
    [anon_sym_LT_GT] = ACTIONS(1602),
    [anon_sym_GT_EQ] = ACTIONS(1602),
    [anon_sym_BANG_EQ] = ACTIONS(1602),
    [anon_sym_LT_LT] = ACTIONS(1602),
    [anon_sym_GT_GT] = ACTIONS(1602),
    [anon_sym_AMP] = ACTIONS(1602),
    [anon_sym_CARET] = ACTIONS(1602),
    [anon_sym_PIPE] = ACTIONS(1604),
  },
  [2015] = {
    [ts_builtin_sym_end] = ACTIONS(1680),
    [sym__unquoted_identifier] = ACTIONS(1682),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1682),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1682),
    [aux_sym_keyword_replace_token1] = ACTIONS(1682),
    [aux_sym__keyword_alter_token1] = ACTIONS(1682),
    [aux_sym__keyword_from_token1] = ACTIONS(1682),
    [aux_sym__keyword_delete_token1] = ACTIONS(1682),
    [aux_sym__keyword_begin_token1] = ACTIONS(1682),
    [aux_sym__keyword_end_token1] = ACTIONS(1682),
    [aux_sym__keyword_between_token1] = ACTIONS(1682),
    [aux_sym__keyword_when_token1] = ACTIONS(1682),
    [aux_sym__keyword_else_token1] = ACTIONS(1682),
    [aux_sym__keyword_is_token1] = ACTIONS(1682),
    [aux_sym__keyword_in_token1] = ACTIONS(1682),
    [aux_sym__keyword_and_token1] = ACTIONS(1682),
    [aux_sym__keyword_like_token1] = ACTIONS(1682),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1682),
    [aux_sym__keyword_as_token1] = ACTIONS(1682),
    [aux_sym__keyword_window_token1] = ACTIONS(1682),
    [aux_sym__keyword_date_token1] = ACTIONS(1682),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1682),
    [aux_sym__keyword_time_token1] = ACTIONS(1682),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1682),
    [aux_sym__keyword_for_token1] = ACTIONS(1682),
    [anon_sym_SEMI] = ACTIONS(1680),
    [aux_sym_declare_statement_token1] = ACTIONS(1682),
    [anon_sym_COMMA] = ACTIONS(1680),
    [aux_sym_set_statement_token1] = ACTIONS(1682),
    [anon_sym_LPAREN] = ACTIONS(1680),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1682),
    [aux_sym_return_satement_token1] = ACTIONS(1682),
    [aux_sym_call_statement_token1] = ACTIONS(1682),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1682),
    [aux_sym_if_statement_token1] = ACTIONS(1682),
    [aux_sym_loop_statement_token1] = ACTIONS(1682),
    [aux_sym_repeat_statement_token1] = ACTIONS(1682),
    [aux_sym_while_statement_token1] = ACTIONS(1682),
    [aux_sym_break_statement_token1] = ACTIONS(1682),
    [aux_sym_leave_statement_token1] = ACTIONS(1682),
    [aux_sym_continue_statement_token1] = ACTIONS(1682),
    [aux_sym_iterate_statement_token1] = ACTIONS(1682),
    [aux_sym_raise_statement_token1] = ACTIONS(1682),
    [anon_sym_EQ] = ACTIONS(1680),
    [aux_sym_assert_statement_token1] = ACTIONS(1682),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1682),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1682),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1682),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_GT] = ACTIONS(1682),
    [aux_sym_set_operation_token1] = ACTIONS(1682),
    [aux_sym_set_operation_token3] = ACTIONS(1682),
    [aux_sym_set_operation_token4] = ACTIONS(1682),
    [aux_sym_select_token1] = ACTIONS(1682),
    [aux_sym_having_clause_token1] = ACTIONS(1682),
    [aux_sym_qualify_clause_token1] = ACTIONS(1682),
    [aux_sym_limit_clause_token1] = ACTIONS(1682),
    [aux_sym_group_by_clause_token1] = ACTIONS(1682),
    [aux_sym_order_by_clause_token1] = ACTIONS(1682),
    [aux_sym_where_clause_token1] = ACTIONS(1682),
    [aux_sym_insert_statement_token1] = ACTIONS(1682),
    [aux_sym_truncate_statement_token1] = ACTIONS(1682),
    [aux_sym_update_statement_token1] = ACTIONS(1682),
    [aux_sym_merge_statement_token1] = ACTIONS(1682),
    [aux_sym_grant_statement_token1] = ACTIONS(1682),
    [aux_sym_revoke_statement_token1] = ACTIONS(1682),
    [aux_sym_export_data_statement_token1] = ACTIONS(1682),
    [aux_sym_load_data_statement_token1] = ACTIONS(1682),
    [anon_sym_LBRACK] = ACTIONS(1680),
    [sym__quoted_identifier] = ACTIONS(1680),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(1680),
    [anon_sym_SLASH] = ACTIONS(1682),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_LT_GT] = ACTIONS(1680),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1680),
    [anon_sym_AMP] = ACTIONS(1680),
    [anon_sym_CARET] = ACTIONS(1680),
    [anon_sym_PIPE] = ACTIONS(1682),
  },
  [2016] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_from_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [2017] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_from_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [2018] = {
    [ts_builtin_sym_end] = ACTIONS(1606),
    [sym__unquoted_identifier] = ACTIONS(1608),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1608),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1608),
    [aux_sym_keyword_replace_token1] = ACTIONS(1608),
    [aux_sym__keyword_alter_token1] = ACTIONS(1608),
    [aux_sym__keyword_from_token1] = ACTIONS(1608),
    [aux_sym__keyword_delete_token1] = ACTIONS(1608),
    [aux_sym__keyword_begin_token1] = ACTIONS(1608),
    [aux_sym__keyword_end_token1] = ACTIONS(1608),
    [aux_sym__keyword_between_token1] = ACTIONS(1608),
    [aux_sym__keyword_when_token1] = ACTIONS(1608),
    [aux_sym__keyword_else_token1] = ACTIONS(1608),
    [aux_sym__keyword_is_token1] = ACTIONS(1608),
    [aux_sym__keyword_in_token1] = ACTIONS(1608),
    [aux_sym__keyword_and_token1] = ACTIONS(1608),
    [aux_sym__keyword_like_token1] = ACTIONS(1608),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1608),
    [aux_sym__keyword_as_token1] = ACTIONS(1608),
    [aux_sym__keyword_window_token1] = ACTIONS(1608),
    [aux_sym__keyword_date_token1] = ACTIONS(1608),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1608),
    [aux_sym__keyword_time_token1] = ACTIONS(1608),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1608),
    [aux_sym__keyword_for_token1] = ACTIONS(1608),
    [anon_sym_SEMI] = ACTIONS(1606),
    [aux_sym_declare_statement_token1] = ACTIONS(1608),
    [anon_sym_COMMA] = ACTIONS(1606),
    [aux_sym_set_statement_token1] = ACTIONS(1608),
    [anon_sym_LPAREN] = ACTIONS(1606),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1608),
    [aux_sym_return_satement_token1] = ACTIONS(1608),
    [aux_sym_call_statement_token1] = ACTIONS(1608),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1608),
    [aux_sym_if_statement_token1] = ACTIONS(1608),
    [aux_sym_loop_statement_token1] = ACTIONS(1608),
    [aux_sym_repeat_statement_token1] = ACTIONS(1608),
    [aux_sym_while_statement_token1] = ACTIONS(1608),
    [aux_sym_break_statement_token1] = ACTIONS(1608),
    [aux_sym_leave_statement_token1] = ACTIONS(1608),
    [aux_sym_continue_statement_token1] = ACTIONS(1608),
    [aux_sym_iterate_statement_token1] = ACTIONS(1608),
    [aux_sym_raise_statement_token1] = ACTIONS(1608),
    [anon_sym_EQ] = ACTIONS(1606),
    [aux_sym_assert_statement_token1] = ACTIONS(1608),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1608),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1608),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1608),
    [anon_sym_LT] = ACTIONS(1608),
    [anon_sym_GT] = ACTIONS(1608),
    [aux_sym_set_operation_token1] = ACTIONS(1608),
    [aux_sym_set_operation_token3] = ACTIONS(1608),
    [aux_sym_set_operation_token4] = ACTIONS(1608),
    [aux_sym_select_token1] = ACTIONS(1608),
    [aux_sym_having_clause_token1] = ACTIONS(1608),
    [aux_sym_qualify_clause_token1] = ACTIONS(1608),
    [aux_sym_limit_clause_token1] = ACTIONS(1608),
    [aux_sym_group_by_clause_token1] = ACTIONS(1608),
    [aux_sym_order_by_clause_token1] = ACTIONS(1608),
    [aux_sym_where_clause_token1] = ACTIONS(1608),
    [aux_sym_insert_statement_token1] = ACTIONS(1608),
    [aux_sym_truncate_statement_token1] = ACTIONS(1608),
    [aux_sym_update_statement_token1] = ACTIONS(1608),
    [aux_sym_merge_statement_token1] = ACTIONS(1608),
    [aux_sym_grant_statement_token1] = ACTIONS(1608),
    [aux_sym_revoke_statement_token1] = ACTIONS(1608),
    [aux_sym_export_data_statement_token1] = ACTIONS(1608),
    [aux_sym_load_data_statement_token1] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(1606),
    [sym__quoted_identifier] = ACTIONS(1606),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1606),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_STAR] = ACTIONS(1606),
    [anon_sym_SLASH] = ACTIONS(1608),
    [anon_sym_PIPE_PIPE] = ACTIONS(1606),
    [anon_sym_LT_EQ] = ACTIONS(1606),
    [anon_sym_LT_GT] = ACTIONS(1606),
    [anon_sym_GT_EQ] = ACTIONS(1606),
    [anon_sym_BANG_EQ] = ACTIONS(1606),
    [anon_sym_LT_LT] = ACTIONS(1606),
    [anon_sym_GT_GT] = ACTIONS(1606),
    [anon_sym_AMP] = ACTIONS(1606),
    [anon_sym_CARET] = ACTIONS(1606),
    [anon_sym_PIPE] = ACTIONS(1608),
  },
  [2019] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_from_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [2020] = {
    [ts_builtin_sym_end] = ACTIONS(1582),
    [sym__unquoted_identifier] = ACTIONS(1584),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1584),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1584),
    [aux_sym_keyword_replace_token1] = ACTIONS(1584),
    [aux_sym__keyword_alter_token1] = ACTIONS(1584),
    [aux_sym__keyword_from_token1] = ACTIONS(1584),
    [aux_sym__keyword_delete_token1] = ACTIONS(1584),
    [aux_sym__keyword_begin_token1] = ACTIONS(1584),
    [aux_sym__keyword_end_token1] = ACTIONS(1584),
    [aux_sym__keyword_between_token1] = ACTIONS(1584),
    [aux_sym__keyword_when_token1] = ACTIONS(1584),
    [aux_sym__keyword_else_token1] = ACTIONS(1584),
    [aux_sym__keyword_is_token1] = ACTIONS(1584),
    [aux_sym__keyword_in_token1] = ACTIONS(1584),
    [aux_sym__keyword_and_token1] = ACTIONS(1584),
    [aux_sym__keyword_like_token1] = ACTIONS(1584),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1584),
    [aux_sym__keyword_as_token1] = ACTIONS(1584),
    [aux_sym__keyword_window_token1] = ACTIONS(1584),
    [aux_sym__keyword_date_token1] = ACTIONS(1584),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1584),
    [aux_sym__keyword_time_token1] = ACTIONS(1584),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1584),
    [aux_sym__keyword_for_token1] = ACTIONS(1584),
    [anon_sym_SEMI] = ACTIONS(1582),
    [aux_sym_declare_statement_token1] = ACTIONS(1584),
    [anon_sym_COMMA] = ACTIONS(1582),
    [aux_sym_set_statement_token1] = ACTIONS(1584),
    [anon_sym_LPAREN] = ACTIONS(1582),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1584),
    [aux_sym_return_satement_token1] = ACTIONS(1584),
    [aux_sym_call_statement_token1] = ACTIONS(1584),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1584),
    [aux_sym_if_statement_token1] = ACTIONS(1584),
    [aux_sym_loop_statement_token1] = ACTIONS(1584),
    [aux_sym_repeat_statement_token1] = ACTIONS(1584),
    [aux_sym_while_statement_token1] = ACTIONS(1584),
    [aux_sym_break_statement_token1] = ACTIONS(1584),
    [aux_sym_leave_statement_token1] = ACTIONS(1584),
    [aux_sym_continue_statement_token1] = ACTIONS(1584),
    [aux_sym_iterate_statement_token1] = ACTIONS(1584),
    [aux_sym_raise_statement_token1] = ACTIONS(1584),
    [anon_sym_EQ] = ACTIONS(1582),
    [aux_sym_assert_statement_token1] = ACTIONS(1584),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1584),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1584),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1584),
    [anon_sym_LT] = ACTIONS(1584),
    [anon_sym_GT] = ACTIONS(1584),
    [aux_sym_set_operation_token1] = ACTIONS(1584),
    [aux_sym_set_operation_token3] = ACTIONS(1584),
    [aux_sym_set_operation_token4] = ACTIONS(1584),
    [aux_sym_select_token1] = ACTIONS(1584),
    [aux_sym_having_clause_token1] = ACTIONS(1584),
    [aux_sym_qualify_clause_token1] = ACTIONS(1584),
    [aux_sym_limit_clause_token1] = ACTIONS(1584),
    [aux_sym_group_by_clause_token1] = ACTIONS(1584),
    [aux_sym_order_by_clause_token1] = ACTIONS(1584),
    [aux_sym_where_clause_token1] = ACTIONS(1584),
    [aux_sym_insert_statement_token1] = ACTIONS(1584),
    [aux_sym_truncate_statement_token1] = ACTIONS(1584),
    [aux_sym_update_statement_token1] = ACTIONS(1584),
    [aux_sym_merge_statement_token1] = ACTIONS(1584),
    [aux_sym_grant_statement_token1] = ACTIONS(1584),
    [aux_sym_revoke_statement_token1] = ACTIONS(1584),
    [aux_sym_export_data_statement_token1] = ACTIONS(1584),
    [aux_sym_load_data_statement_token1] = ACTIONS(1584),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [sym__quoted_identifier] = ACTIONS(1582),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1582),
    [anon_sym_PLUS] = ACTIONS(1582),
    [anon_sym_DASH] = ACTIONS(1584),
    [anon_sym_STAR] = ACTIONS(1582),
    [anon_sym_SLASH] = ACTIONS(1584),
    [anon_sym_PIPE_PIPE] = ACTIONS(1582),
    [anon_sym_LT_EQ] = ACTIONS(1582),
    [anon_sym_LT_GT] = ACTIONS(1582),
    [anon_sym_GT_EQ] = ACTIONS(1582),
    [anon_sym_BANG_EQ] = ACTIONS(1582),
    [anon_sym_LT_LT] = ACTIONS(1582),
    [anon_sym_GT_GT] = ACTIONS(1582),
    [anon_sym_AMP] = ACTIONS(1582),
    [anon_sym_CARET] = ACTIONS(1582),
    [anon_sym_PIPE] = ACTIONS(1584),
  },
  [2021] = {
    [ts_builtin_sym_end] = ACTIONS(1830),
    [sym__unquoted_identifier] = ACTIONS(1832),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1832),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1832),
    [aux_sym_keyword_replace_token1] = ACTIONS(1832),
    [aux_sym__keyword_alter_token1] = ACTIONS(1832),
    [aux_sym__keyword_from_token1] = ACTIONS(1832),
    [aux_sym__keyword_delete_token1] = ACTIONS(1832),
    [aux_sym__keyword_begin_token1] = ACTIONS(1832),
    [aux_sym__keyword_end_token1] = ACTIONS(1832),
    [aux_sym__keyword_between_token1] = ACTIONS(1832),
    [aux_sym__keyword_when_token1] = ACTIONS(1832),
    [aux_sym__keyword_else_token1] = ACTIONS(1832),
    [aux_sym__keyword_is_token1] = ACTIONS(1832),
    [aux_sym__keyword_in_token1] = ACTIONS(1832),
    [aux_sym__keyword_and_token1] = ACTIONS(1832),
    [aux_sym__keyword_like_token1] = ACTIONS(1832),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1832),
    [aux_sym__keyword_as_token1] = ACTIONS(1832),
    [aux_sym__keyword_window_token1] = ACTIONS(1832),
    [aux_sym__keyword_date_token1] = ACTIONS(1832),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1832),
    [aux_sym__keyword_time_token1] = ACTIONS(1832),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1832),
    [aux_sym__keyword_for_token1] = ACTIONS(1832),
    [anon_sym_SEMI] = ACTIONS(1830),
    [aux_sym_declare_statement_token1] = ACTIONS(1832),
    [anon_sym_COMMA] = ACTIONS(1830),
    [aux_sym_set_statement_token1] = ACTIONS(1832),
    [anon_sym_LPAREN] = ACTIONS(1830),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1832),
    [aux_sym_return_satement_token1] = ACTIONS(1832),
    [aux_sym_call_statement_token1] = ACTIONS(1832),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1832),
    [aux_sym_if_statement_token1] = ACTIONS(1832),
    [aux_sym_loop_statement_token1] = ACTIONS(1832),
    [aux_sym_repeat_statement_token1] = ACTIONS(1832),
    [aux_sym_while_statement_token1] = ACTIONS(1832),
    [aux_sym_break_statement_token1] = ACTIONS(1832),
    [aux_sym_leave_statement_token1] = ACTIONS(1832),
    [aux_sym_continue_statement_token1] = ACTIONS(1832),
    [aux_sym_iterate_statement_token1] = ACTIONS(1832),
    [aux_sym_raise_statement_token1] = ACTIONS(1832),
    [anon_sym_EQ] = ACTIONS(1830),
    [aux_sym_assert_statement_token1] = ACTIONS(1832),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1832),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1832),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1832),
    [anon_sym_LT] = ACTIONS(1832),
    [anon_sym_GT] = ACTIONS(1832),
    [aux_sym_set_operation_token1] = ACTIONS(1832),
    [aux_sym_set_operation_token3] = ACTIONS(1832),
    [aux_sym_set_operation_token4] = ACTIONS(1832),
    [aux_sym_select_token1] = ACTIONS(1832),
    [aux_sym_having_clause_token1] = ACTIONS(1832),
    [aux_sym_qualify_clause_token1] = ACTIONS(1832),
    [aux_sym_limit_clause_token1] = ACTIONS(1832),
    [aux_sym_group_by_clause_token1] = ACTIONS(1832),
    [aux_sym_order_by_clause_token1] = ACTIONS(1832),
    [aux_sym_where_clause_token1] = ACTIONS(1832),
    [aux_sym_insert_statement_token1] = ACTIONS(1832),
    [aux_sym_truncate_statement_token1] = ACTIONS(1832),
    [aux_sym_update_statement_token1] = ACTIONS(1832),
    [aux_sym_merge_statement_token1] = ACTIONS(1832),
    [aux_sym_grant_statement_token1] = ACTIONS(1832),
    [aux_sym_revoke_statement_token1] = ACTIONS(1832),
    [aux_sym_export_data_statement_token1] = ACTIONS(1832),
    [aux_sym_load_data_statement_token1] = ACTIONS(1832),
    [anon_sym_LBRACK] = ACTIONS(1830),
    [sym__quoted_identifier] = ACTIONS(1830),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1830),
    [anon_sym_PLUS] = ACTIONS(1830),
    [anon_sym_DASH] = ACTIONS(1832),
    [anon_sym_STAR] = ACTIONS(1830),
    [anon_sym_SLASH] = ACTIONS(1832),
    [anon_sym_PIPE_PIPE] = ACTIONS(1830),
    [anon_sym_LT_EQ] = ACTIONS(1830),
    [anon_sym_LT_GT] = ACTIONS(1830),
    [anon_sym_GT_EQ] = ACTIONS(1830),
    [anon_sym_BANG_EQ] = ACTIONS(1830),
    [anon_sym_LT_LT] = ACTIONS(1830),
    [anon_sym_GT_GT] = ACTIONS(1830),
    [anon_sym_AMP] = ACTIONS(1830),
    [anon_sym_CARET] = ACTIONS(1830),
    [anon_sym_PIPE] = ACTIONS(1832),
  },
  [2022] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_from_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [2023] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_from_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [2024] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_from_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [2025] = {
    [ts_builtin_sym_end] = ACTIONS(1610),
    [sym__unquoted_identifier] = ACTIONS(1612),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1612),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1612),
    [aux_sym_keyword_replace_token1] = ACTIONS(1612),
    [aux_sym__keyword_alter_token1] = ACTIONS(1612),
    [aux_sym__keyword_from_token1] = ACTIONS(1612),
    [aux_sym__keyword_delete_token1] = ACTIONS(1612),
    [aux_sym__keyword_begin_token1] = ACTIONS(1612),
    [aux_sym__keyword_end_token1] = ACTIONS(1612),
    [aux_sym__keyword_between_token1] = ACTIONS(1612),
    [aux_sym__keyword_when_token1] = ACTIONS(1612),
    [aux_sym__keyword_else_token1] = ACTIONS(1612),
    [aux_sym__keyword_is_token1] = ACTIONS(1612),
    [aux_sym__keyword_in_token1] = ACTIONS(1612),
    [aux_sym__keyword_and_token1] = ACTIONS(1612),
    [aux_sym__keyword_like_token1] = ACTIONS(1612),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1612),
    [aux_sym__keyword_as_token1] = ACTIONS(1612),
    [aux_sym__keyword_window_token1] = ACTIONS(1612),
    [aux_sym__keyword_date_token1] = ACTIONS(1612),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1612),
    [aux_sym__keyword_time_token1] = ACTIONS(1612),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1612),
    [aux_sym__keyword_for_token1] = ACTIONS(1612),
    [anon_sym_SEMI] = ACTIONS(1610),
    [aux_sym_declare_statement_token1] = ACTIONS(1612),
    [anon_sym_COMMA] = ACTIONS(1610),
    [aux_sym_set_statement_token1] = ACTIONS(1612),
    [anon_sym_LPAREN] = ACTIONS(1610),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1612),
    [aux_sym_return_satement_token1] = ACTIONS(1612),
    [aux_sym_call_statement_token1] = ACTIONS(1612),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1612),
    [aux_sym_if_statement_token1] = ACTIONS(1612),
    [aux_sym_loop_statement_token1] = ACTIONS(1612),
    [aux_sym_repeat_statement_token1] = ACTIONS(1612),
    [aux_sym_while_statement_token1] = ACTIONS(1612),
    [aux_sym_break_statement_token1] = ACTIONS(1612),
    [aux_sym_leave_statement_token1] = ACTIONS(1612),
    [aux_sym_continue_statement_token1] = ACTIONS(1612),
    [aux_sym_iterate_statement_token1] = ACTIONS(1612),
    [aux_sym_raise_statement_token1] = ACTIONS(1612),
    [anon_sym_EQ] = ACTIONS(1610),
    [aux_sym_assert_statement_token1] = ACTIONS(1612),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1612),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1612),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1612),
    [anon_sym_LT] = ACTIONS(1612),
    [anon_sym_GT] = ACTIONS(1612),
    [aux_sym_set_operation_token1] = ACTIONS(1612),
    [aux_sym_set_operation_token3] = ACTIONS(1612),
    [aux_sym_set_operation_token4] = ACTIONS(1612),
    [aux_sym_select_token1] = ACTIONS(1612),
    [aux_sym_having_clause_token1] = ACTIONS(1612),
    [aux_sym_qualify_clause_token1] = ACTIONS(1612),
    [aux_sym_limit_clause_token1] = ACTIONS(1612),
    [aux_sym_group_by_clause_token1] = ACTIONS(1612),
    [aux_sym_order_by_clause_token1] = ACTIONS(1612),
    [aux_sym_where_clause_token1] = ACTIONS(1612),
    [aux_sym_insert_statement_token1] = ACTIONS(1612),
    [aux_sym_truncate_statement_token1] = ACTIONS(1612),
    [aux_sym_update_statement_token1] = ACTIONS(1612),
    [aux_sym_merge_statement_token1] = ACTIONS(1612),
    [aux_sym_grant_statement_token1] = ACTIONS(1612),
    [aux_sym_revoke_statement_token1] = ACTIONS(1612),
    [aux_sym_export_data_statement_token1] = ACTIONS(1612),
    [aux_sym_load_data_statement_token1] = ACTIONS(1612),
    [anon_sym_LBRACK] = ACTIONS(1610),
    [sym__quoted_identifier] = ACTIONS(1610),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1610),
    [anon_sym_PLUS] = ACTIONS(1610),
    [anon_sym_DASH] = ACTIONS(1612),
    [anon_sym_STAR] = ACTIONS(1610),
    [anon_sym_SLASH] = ACTIONS(1612),
    [anon_sym_PIPE_PIPE] = ACTIONS(1610),
    [anon_sym_LT_EQ] = ACTIONS(1610),
    [anon_sym_LT_GT] = ACTIONS(1610),
    [anon_sym_GT_EQ] = ACTIONS(1610),
    [anon_sym_BANG_EQ] = ACTIONS(1610),
    [anon_sym_LT_LT] = ACTIONS(1610),
    [anon_sym_GT_GT] = ACTIONS(1610),
    [anon_sym_AMP] = ACTIONS(1610),
    [anon_sym_CARET] = ACTIONS(1610),
    [anon_sym_PIPE] = ACTIONS(1612),
  },
  [2026] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_from_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [2027] = {
    [ts_builtin_sym_end] = ACTIONS(1614),
    [sym__unquoted_identifier] = ACTIONS(1616),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1616),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1616),
    [aux_sym_keyword_replace_token1] = ACTIONS(1616),
    [aux_sym__keyword_alter_token1] = ACTIONS(1616),
    [aux_sym__keyword_from_token1] = ACTIONS(1616),
    [aux_sym__keyword_delete_token1] = ACTIONS(1616),
    [aux_sym__keyword_begin_token1] = ACTIONS(1616),
    [aux_sym__keyword_end_token1] = ACTIONS(1616),
    [aux_sym__keyword_between_token1] = ACTIONS(1616),
    [aux_sym__keyword_when_token1] = ACTIONS(1616),
    [aux_sym__keyword_else_token1] = ACTIONS(1616),
    [aux_sym__keyword_is_token1] = ACTIONS(1616),
    [aux_sym__keyword_in_token1] = ACTIONS(1616),
    [aux_sym__keyword_and_token1] = ACTIONS(1616),
    [aux_sym__keyword_like_token1] = ACTIONS(1616),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1616),
    [aux_sym__keyword_as_token1] = ACTIONS(1616),
    [aux_sym__keyword_window_token1] = ACTIONS(1616),
    [aux_sym__keyword_date_token1] = ACTIONS(1616),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1616),
    [aux_sym__keyword_time_token1] = ACTIONS(1616),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1616),
    [aux_sym__keyword_for_token1] = ACTIONS(1616),
    [anon_sym_SEMI] = ACTIONS(1614),
    [aux_sym_declare_statement_token1] = ACTIONS(1616),
    [anon_sym_COMMA] = ACTIONS(1614),
    [aux_sym_set_statement_token1] = ACTIONS(1616),
    [anon_sym_LPAREN] = ACTIONS(1614),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1616),
    [aux_sym_return_satement_token1] = ACTIONS(1616),
    [aux_sym_call_statement_token1] = ACTIONS(1616),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1616),
    [aux_sym_if_statement_token1] = ACTIONS(1616),
    [aux_sym_loop_statement_token1] = ACTIONS(1616),
    [aux_sym_repeat_statement_token1] = ACTIONS(1616),
    [aux_sym_while_statement_token1] = ACTIONS(1616),
    [aux_sym_break_statement_token1] = ACTIONS(1616),
    [aux_sym_leave_statement_token1] = ACTIONS(1616),
    [aux_sym_continue_statement_token1] = ACTIONS(1616),
    [aux_sym_iterate_statement_token1] = ACTIONS(1616),
    [aux_sym_raise_statement_token1] = ACTIONS(1616),
    [anon_sym_EQ] = ACTIONS(1614),
    [aux_sym_assert_statement_token1] = ACTIONS(1616),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1616),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1616),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1616),
    [anon_sym_LT] = ACTIONS(1616),
    [anon_sym_GT] = ACTIONS(1616),
    [aux_sym_set_operation_token1] = ACTIONS(1616),
    [aux_sym_set_operation_token3] = ACTIONS(1616),
    [aux_sym_set_operation_token4] = ACTIONS(1616),
    [aux_sym_select_token1] = ACTIONS(1616),
    [aux_sym_having_clause_token1] = ACTIONS(1616),
    [aux_sym_qualify_clause_token1] = ACTIONS(1616),
    [aux_sym_limit_clause_token1] = ACTIONS(1616),
    [aux_sym_group_by_clause_token1] = ACTIONS(1616),
    [aux_sym_order_by_clause_token1] = ACTIONS(1616),
    [aux_sym_where_clause_token1] = ACTIONS(1616),
    [aux_sym_insert_statement_token1] = ACTIONS(1616),
    [aux_sym_truncate_statement_token1] = ACTIONS(1616),
    [aux_sym_update_statement_token1] = ACTIONS(1616),
    [aux_sym_merge_statement_token1] = ACTIONS(1616),
    [aux_sym_grant_statement_token1] = ACTIONS(1616),
    [aux_sym_revoke_statement_token1] = ACTIONS(1616),
    [aux_sym_export_data_statement_token1] = ACTIONS(1616),
    [aux_sym_load_data_statement_token1] = ACTIONS(1616),
    [anon_sym_LBRACK] = ACTIONS(1614),
    [sym__quoted_identifier] = ACTIONS(1614),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1614),
    [anon_sym_PLUS] = ACTIONS(1614),
    [anon_sym_DASH] = ACTIONS(1616),
    [anon_sym_STAR] = ACTIONS(1614),
    [anon_sym_SLASH] = ACTIONS(1616),
    [anon_sym_PIPE_PIPE] = ACTIONS(1614),
    [anon_sym_LT_EQ] = ACTIONS(1614),
    [anon_sym_LT_GT] = ACTIONS(1614),
    [anon_sym_GT_EQ] = ACTIONS(1614),
    [anon_sym_BANG_EQ] = ACTIONS(1614),
    [anon_sym_LT_LT] = ACTIONS(1614),
    [anon_sym_GT_GT] = ACTIONS(1614),
    [anon_sym_AMP] = ACTIONS(1614),
    [anon_sym_CARET] = ACTIONS(1614),
    [anon_sym_PIPE] = ACTIONS(1616),
  },
  [2028] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_from_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [2029] = {
    [ts_builtin_sym_end] = ACTIONS(1676),
    [sym__unquoted_identifier] = ACTIONS(1678),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1678),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1678),
    [aux_sym_keyword_replace_token1] = ACTIONS(1678),
    [aux_sym__keyword_alter_token1] = ACTIONS(1678),
    [aux_sym__keyword_from_token1] = ACTIONS(1678),
    [aux_sym__keyword_delete_token1] = ACTIONS(1678),
    [aux_sym__keyword_begin_token1] = ACTIONS(1678),
    [aux_sym__keyword_end_token1] = ACTIONS(1678),
    [aux_sym__keyword_between_token1] = ACTIONS(1678),
    [aux_sym__keyword_when_token1] = ACTIONS(1678),
    [aux_sym__keyword_else_token1] = ACTIONS(1678),
    [aux_sym__keyword_is_token1] = ACTIONS(1678),
    [aux_sym__keyword_in_token1] = ACTIONS(1678),
    [aux_sym__keyword_and_token1] = ACTIONS(1678),
    [aux_sym__keyword_like_token1] = ACTIONS(1678),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1678),
    [aux_sym__keyword_as_token1] = ACTIONS(1678),
    [aux_sym__keyword_window_token1] = ACTIONS(1678),
    [aux_sym__keyword_date_token1] = ACTIONS(1678),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1678),
    [aux_sym__keyword_time_token1] = ACTIONS(1678),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1678),
    [aux_sym__keyword_for_token1] = ACTIONS(1678),
    [anon_sym_SEMI] = ACTIONS(1676),
    [aux_sym_declare_statement_token1] = ACTIONS(1678),
    [anon_sym_COMMA] = ACTIONS(1676),
    [aux_sym_set_statement_token1] = ACTIONS(1678),
    [anon_sym_LPAREN] = ACTIONS(1676),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1678),
    [aux_sym_return_satement_token1] = ACTIONS(1678),
    [aux_sym_call_statement_token1] = ACTIONS(1678),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1678),
    [aux_sym_if_statement_token1] = ACTIONS(1678),
    [aux_sym_loop_statement_token1] = ACTIONS(1678),
    [aux_sym_repeat_statement_token1] = ACTIONS(1678),
    [aux_sym_while_statement_token1] = ACTIONS(1678),
    [aux_sym_break_statement_token1] = ACTIONS(1678),
    [aux_sym_leave_statement_token1] = ACTIONS(1678),
    [aux_sym_continue_statement_token1] = ACTIONS(1678),
    [aux_sym_iterate_statement_token1] = ACTIONS(1678),
    [aux_sym_raise_statement_token1] = ACTIONS(1678),
    [anon_sym_EQ] = ACTIONS(1676),
    [aux_sym_assert_statement_token1] = ACTIONS(1678),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1678),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1678),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1678),
    [anon_sym_LT] = ACTIONS(1678),
    [anon_sym_GT] = ACTIONS(1678),
    [aux_sym_set_operation_token1] = ACTIONS(1678),
    [aux_sym_set_operation_token3] = ACTIONS(1678),
    [aux_sym_set_operation_token4] = ACTIONS(1678),
    [aux_sym_select_token1] = ACTIONS(1678),
    [aux_sym_having_clause_token1] = ACTIONS(1678),
    [aux_sym_qualify_clause_token1] = ACTIONS(1678),
    [aux_sym_limit_clause_token1] = ACTIONS(1678),
    [aux_sym_group_by_clause_token1] = ACTIONS(1678),
    [aux_sym_order_by_clause_token1] = ACTIONS(1678),
    [aux_sym_where_clause_token1] = ACTIONS(1678),
    [aux_sym_insert_statement_token1] = ACTIONS(1678),
    [aux_sym_truncate_statement_token1] = ACTIONS(1678),
    [aux_sym_update_statement_token1] = ACTIONS(1678),
    [aux_sym_merge_statement_token1] = ACTIONS(1678),
    [aux_sym_grant_statement_token1] = ACTIONS(1678),
    [aux_sym_revoke_statement_token1] = ACTIONS(1678),
    [aux_sym_export_data_statement_token1] = ACTIONS(1678),
    [aux_sym_load_data_statement_token1] = ACTIONS(1678),
    [anon_sym_LBRACK] = ACTIONS(1676),
    [sym__quoted_identifier] = ACTIONS(1676),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1676),
    [anon_sym_PLUS] = ACTIONS(1676),
    [anon_sym_DASH] = ACTIONS(1678),
    [anon_sym_STAR] = ACTIONS(1676),
    [anon_sym_SLASH] = ACTIONS(1678),
    [anon_sym_PIPE_PIPE] = ACTIONS(1676),
    [anon_sym_LT_EQ] = ACTIONS(1676),
    [anon_sym_LT_GT] = ACTIONS(1676),
    [anon_sym_GT_EQ] = ACTIONS(1676),
    [anon_sym_BANG_EQ] = ACTIONS(1676),
    [anon_sym_LT_LT] = ACTIONS(1676),
    [anon_sym_GT_GT] = ACTIONS(1676),
    [anon_sym_AMP] = ACTIONS(1676),
    [anon_sym_CARET] = ACTIONS(1676),
    [anon_sym_PIPE] = ACTIONS(1678),
  },
  [2030] = {
    [ts_builtin_sym_end] = ACTIONS(1386),
    [sym__unquoted_identifier] = ACTIONS(1388),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1388),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1388),
    [aux_sym_keyword_replace_token1] = ACTIONS(1388),
    [aux_sym__keyword_alter_token1] = ACTIONS(1388),
    [aux_sym__keyword_from_token1] = ACTIONS(1388),
    [aux_sym__keyword_delete_token1] = ACTIONS(1388),
    [aux_sym__keyword_begin_token1] = ACTIONS(1388),
    [aux_sym__keyword_end_token1] = ACTIONS(1388),
    [aux_sym__keyword_between_token1] = ACTIONS(1388),
    [aux_sym__keyword_when_token1] = ACTIONS(1388),
    [aux_sym__keyword_else_token1] = ACTIONS(1388),
    [aux_sym__keyword_is_token1] = ACTIONS(1388),
    [aux_sym__keyword_in_token1] = ACTIONS(1388),
    [aux_sym__keyword_and_token1] = ACTIONS(1388),
    [aux_sym__keyword_like_token1] = ACTIONS(1388),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1388),
    [aux_sym__keyword_as_token1] = ACTIONS(1388),
    [aux_sym__keyword_window_token1] = ACTIONS(1388),
    [aux_sym__keyword_date_token1] = ACTIONS(1388),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1388),
    [aux_sym__keyword_time_token1] = ACTIONS(1388),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1388),
    [aux_sym__keyword_for_token1] = ACTIONS(1388),
    [anon_sym_SEMI] = ACTIONS(1386),
    [aux_sym_declare_statement_token1] = ACTIONS(1388),
    [anon_sym_COMMA] = ACTIONS(1386),
    [aux_sym_set_statement_token1] = ACTIONS(1388),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1388),
    [aux_sym_return_satement_token1] = ACTIONS(1388),
    [aux_sym_call_statement_token1] = ACTIONS(1388),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1388),
    [aux_sym_if_statement_token1] = ACTIONS(1388),
    [aux_sym_loop_statement_token1] = ACTIONS(1388),
    [aux_sym_repeat_statement_token1] = ACTIONS(1388),
    [aux_sym_while_statement_token1] = ACTIONS(1388),
    [aux_sym_break_statement_token1] = ACTIONS(1388),
    [aux_sym_leave_statement_token1] = ACTIONS(1388),
    [aux_sym_continue_statement_token1] = ACTIONS(1388),
    [aux_sym_iterate_statement_token1] = ACTIONS(1388),
    [aux_sym_raise_statement_token1] = ACTIONS(1388),
    [anon_sym_EQ] = ACTIONS(1386),
    [aux_sym_assert_statement_token1] = ACTIONS(1388),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1388),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1388),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1388),
    [anon_sym_LT] = ACTIONS(1388),
    [anon_sym_GT] = ACTIONS(1388),
    [aux_sym_set_operation_token1] = ACTIONS(1388),
    [aux_sym_set_operation_token3] = ACTIONS(1388),
    [aux_sym_set_operation_token4] = ACTIONS(1388),
    [aux_sym_select_token1] = ACTIONS(1388),
    [aux_sym_having_clause_token1] = ACTIONS(1388),
    [aux_sym_qualify_clause_token1] = ACTIONS(1388),
    [aux_sym_limit_clause_token1] = ACTIONS(1388),
    [aux_sym_group_by_clause_token1] = ACTIONS(1388),
    [aux_sym_order_by_clause_token1] = ACTIONS(1388),
    [aux_sym_where_clause_token1] = ACTIONS(1388),
    [aux_sym_insert_statement_token1] = ACTIONS(1388),
    [aux_sym_truncate_statement_token1] = ACTIONS(1388),
    [aux_sym_update_statement_token1] = ACTIONS(1388),
    [aux_sym_merge_statement_token1] = ACTIONS(1388),
    [aux_sym_grant_statement_token1] = ACTIONS(1388),
    [aux_sym_revoke_statement_token1] = ACTIONS(1388),
    [aux_sym_export_data_statement_token1] = ACTIONS(1388),
    [aux_sym_load_data_statement_token1] = ACTIONS(1388),
    [anon_sym_LBRACK] = ACTIONS(1386),
    [sym__quoted_identifier] = ACTIONS(1386),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1386),
    [anon_sym_DASH] = ACTIONS(1388),
    [anon_sym_STAR] = ACTIONS(1386),
    [anon_sym_SLASH] = ACTIONS(1388),
    [anon_sym_PIPE_PIPE] = ACTIONS(1386),
    [anon_sym_LT_EQ] = ACTIONS(1386),
    [anon_sym_LT_GT] = ACTIONS(1386),
    [anon_sym_GT_EQ] = ACTIONS(1386),
    [anon_sym_BANG_EQ] = ACTIONS(1386),
    [anon_sym_LT_LT] = ACTIONS(1386),
    [anon_sym_GT_GT] = ACTIONS(1386),
    [anon_sym_AMP] = ACTIONS(1386),
    [anon_sym_CARET] = ACTIONS(1386),
    [anon_sym_PIPE] = ACTIONS(1388),
  },
  [2031] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2032] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2033] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2034] = {
    [ts_builtin_sym_end] = ACTIONS(1618),
    [sym__unquoted_identifier] = ACTIONS(1620),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1620),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1620),
    [aux_sym_keyword_replace_token1] = ACTIONS(1620),
    [aux_sym__keyword_alter_token1] = ACTIONS(1620),
    [aux_sym__keyword_from_token1] = ACTIONS(1620),
    [aux_sym__keyword_delete_token1] = ACTIONS(1620),
    [aux_sym__keyword_begin_token1] = ACTIONS(1620),
    [aux_sym__keyword_end_token1] = ACTIONS(1620),
    [aux_sym__keyword_between_token1] = ACTIONS(1620),
    [aux_sym__keyword_when_token1] = ACTIONS(1620),
    [aux_sym__keyword_else_token1] = ACTIONS(1620),
    [aux_sym__keyword_is_token1] = ACTIONS(1620),
    [aux_sym__keyword_in_token1] = ACTIONS(1620),
    [aux_sym__keyword_and_token1] = ACTIONS(1620),
    [aux_sym__keyword_like_token1] = ACTIONS(1620),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1620),
    [aux_sym__keyword_as_token1] = ACTIONS(1620),
    [aux_sym__keyword_window_token1] = ACTIONS(1620),
    [aux_sym__keyword_date_token1] = ACTIONS(1620),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1620),
    [aux_sym__keyword_time_token1] = ACTIONS(1620),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1620),
    [aux_sym__keyword_for_token1] = ACTIONS(1620),
    [anon_sym_SEMI] = ACTIONS(1618),
    [aux_sym_declare_statement_token1] = ACTIONS(1620),
    [anon_sym_COMMA] = ACTIONS(1618),
    [aux_sym_set_statement_token1] = ACTIONS(1620),
    [anon_sym_LPAREN] = ACTIONS(1618),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1620),
    [aux_sym_return_satement_token1] = ACTIONS(1620),
    [aux_sym_call_statement_token1] = ACTIONS(1620),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1620),
    [aux_sym_if_statement_token1] = ACTIONS(1620),
    [aux_sym_loop_statement_token1] = ACTIONS(1620),
    [aux_sym_repeat_statement_token1] = ACTIONS(1620),
    [aux_sym_while_statement_token1] = ACTIONS(1620),
    [aux_sym_break_statement_token1] = ACTIONS(1620),
    [aux_sym_leave_statement_token1] = ACTIONS(1620),
    [aux_sym_continue_statement_token1] = ACTIONS(1620),
    [aux_sym_iterate_statement_token1] = ACTIONS(1620),
    [aux_sym_raise_statement_token1] = ACTIONS(1620),
    [anon_sym_EQ] = ACTIONS(1618),
    [aux_sym_assert_statement_token1] = ACTIONS(1620),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1620),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1620),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1620),
    [anon_sym_LT] = ACTIONS(1620),
    [anon_sym_GT] = ACTIONS(1620),
    [aux_sym_set_operation_token1] = ACTIONS(1620),
    [aux_sym_set_operation_token3] = ACTIONS(1620),
    [aux_sym_set_operation_token4] = ACTIONS(1620),
    [aux_sym_select_token1] = ACTIONS(1620),
    [aux_sym_having_clause_token1] = ACTIONS(1620),
    [aux_sym_qualify_clause_token1] = ACTIONS(1620),
    [aux_sym_limit_clause_token1] = ACTIONS(1620),
    [aux_sym_group_by_clause_token1] = ACTIONS(1620),
    [aux_sym_order_by_clause_token1] = ACTIONS(1620),
    [aux_sym_where_clause_token1] = ACTIONS(1620),
    [aux_sym_insert_statement_token1] = ACTIONS(1620),
    [aux_sym_truncate_statement_token1] = ACTIONS(1620),
    [aux_sym_update_statement_token1] = ACTIONS(1620),
    [aux_sym_merge_statement_token1] = ACTIONS(1620),
    [aux_sym_grant_statement_token1] = ACTIONS(1620),
    [aux_sym_revoke_statement_token1] = ACTIONS(1620),
    [aux_sym_export_data_statement_token1] = ACTIONS(1620),
    [aux_sym_load_data_statement_token1] = ACTIONS(1620),
    [anon_sym_LBRACK] = ACTIONS(1618),
    [sym__quoted_identifier] = ACTIONS(1618),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1618),
    [anon_sym_PLUS] = ACTIONS(1618),
    [anon_sym_DASH] = ACTIONS(1620),
    [anon_sym_STAR] = ACTIONS(1618),
    [anon_sym_SLASH] = ACTIONS(1620),
    [anon_sym_PIPE_PIPE] = ACTIONS(1618),
    [anon_sym_LT_EQ] = ACTIONS(1618),
    [anon_sym_LT_GT] = ACTIONS(1618),
    [anon_sym_GT_EQ] = ACTIONS(1618),
    [anon_sym_BANG_EQ] = ACTIONS(1618),
    [anon_sym_LT_LT] = ACTIONS(1618),
    [anon_sym_GT_GT] = ACTIONS(1618),
    [anon_sym_AMP] = ACTIONS(1618),
    [anon_sym_CARET] = ACTIONS(1618),
    [anon_sym_PIPE] = ACTIONS(1620),
  },
  [2035] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2036] = {
    [ts_builtin_sym_end] = ACTIONS(1672),
    [sym__unquoted_identifier] = ACTIONS(1674),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1674),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1674),
    [aux_sym_keyword_replace_token1] = ACTIONS(1674),
    [aux_sym__keyword_alter_token1] = ACTIONS(1674),
    [aux_sym__keyword_from_token1] = ACTIONS(1674),
    [aux_sym__keyword_delete_token1] = ACTIONS(1674),
    [aux_sym__keyword_begin_token1] = ACTIONS(1674),
    [aux_sym__keyword_end_token1] = ACTIONS(1674),
    [aux_sym__keyword_between_token1] = ACTIONS(1674),
    [aux_sym__keyword_when_token1] = ACTIONS(1674),
    [aux_sym__keyword_else_token1] = ACTIONS(1674),
    [aux_sym__keyword_is_token1] = ACTIONS(1674),
    [aux_sym__keyword_in_token1] = ACTIONS(1674),
    [aux_sym__keyword_and_token1] = ACTIONS(1674),
    [aux_sym__keyword_like_token1] = ACTIONS(1674),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1674),
    [aux_sym__keyword_as_token1] = ACTIONS(1674),
    [aux_sym__keyword_window_token1] = ACTIONS(1674),
    [aux_sym__keyword_date_token1] = ACTIONS(1674),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1674),
    [aux_sym__keyword_time_token1] = ACTIONS(1674),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1674),
    [aux_sym__keyword_for_token1] = ACTIONS(1674),
    [anon_sym_SEMI] = ACTIONS(1672),
    [aux_sym_declare_statement_token1] = ACTIONS(1674),
    [anon_sym_COMMA] = ACTIONS(1672),
    [aux_sym_set_statement_token1] = ACTIONS(1674),
    [anon_sym_LPAREN] = ACTIONS(1672),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1674),
    [aux_sym_return_satement_token1] = ACTIONS(1674),
    [aux_sym_call_statement_token1] = ACTIONS(1674),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1674),
    [aux_sym_if_statement_token1] = ACTIONS(1674),
    [aux_sym_loop_statement_token1] = ACTIONS(1674),
    [aux_sym_repeat_statement_token1] = ACTIONS(1674),
    [aux_sym_while_statement_token1] = ACTIONS(1674),
    [aux_sym_break_statement_token1] = ACTIONS(1674),
    [aux_sym_leave_statement_token1] = ACTIONS(1674),
    [aux_sym_continue_statement_token1] = ACTIONS(1674),
    [aux_sym_iterate_statement_token1] = ACTIONS(1674),
    [aux_sym_raise_statement_token1] = ACTIONS(1674),
    [anon_sym_EQ] = ACTIONS(1672),
    [aux_sym_assert_statement_token1] = ACTIONS(1674),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1674),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1674),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1674),
    [anon_sym_LT] = ACTIONS(1674),
    [anon_sym_GT] = ACTIONS(1674),
    [aux_sym_set_operation_token1] = ACTIONS(1674),
    [aux_sym_set_operation_token3] = ACTIONS(1674),
    [aux_sym_set_operation_token4] = ACTIONS(1674),
    [aux_sym_select_token1] = ACTIONS(1674),
    [aux_sym_having_clause_token1] = ACTIONS(1674),
    [aux_sym_qualify_clause_token1] = ACTIONS(1674),
    [aux_sym_limit_clause_token1] = ACTIONS(1674),
    [aux_sym_group_by_clause_token1] = ACTIONS(1674),
    [aux_sym_order_by_clause_token1] = ACTIONS(1674),
    [aux_sym_where_clause_token1] = ACTIONS(1674),
    [aux_sym_insert_statement_token1] = ACTIONS(1674),
    [aux_sym_truncate_statement_token1] = ACTIONS(1674),
    [aux_sym_update_statement_token1] = ACTIONS(1674),
    [aux_sym_merge_statement_token1] = ACTIONS(1674),
    [aux_sym_grant_statement_token1] = ACTIONS(1674),
    [aux_sym_revoke_statement_token1] = ACTIONS(1674),
    [aux_sym_export_data_statement_token1] = ACTIONS(1674),
    [aux_sym_load_data_statement_token1] = ACTIONS(1674),
    [anon_sym_LBRACK] = ACTIONS(1672),
    [sym__quoted_identifier] = ACTIONS(1672),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1672),
    [anon_sym_PLUS] = ACTIONS(1672),
    [anon_sym_DASH] = ACTIONS(1674),
    [anon_sym_STAR] = ACTIONS(1672),
    [anon_sym_SLASH] = ACTIONS(1674),
    [anon_sym_PIPE_PIPE] = ACTIONS(1672),
    [anon_sym_LT_EQ] = ACTIONS(1672),
    [anon_sym_LT_GT] = ACTIONS(1672),
    [anon_sym_GT_EQ] = ACTIONS(1672),
    [anon_sym_BANG_EQ] = ACTIONS(1672),
    [anon_sym_LT_LT] = ACTIONS(1672),
    [anon_sym_GT_GT] = ACTIONS(1672),
    [anon_sym_AMP] = ACTIONS(1672),
    [anon_sym_CARET] = ACTIONS(1672),
    [anon_sym_PIPE] = ACTIONS(1674),
  },
  [2037] = {
    [ts_builtin_sym_end] = ACTIONS(1622),
    [sym__unquoted_identifier] = ACTIONS(1624),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1624),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1624),
    [aux_sym_keyword_replace_token1] = ACTIONS(1624),
    [aux_sym__keyword_alter_token1] = ACTIONS(1624),
    [aux_sym__keyword_from_token1] = ACTIONS(1624),
    [aux_sym__keyword_delete_token1] = ACTIONS(1624),
    [aux_sym__keyword_begin_token1] = ACTIONS(1624),
    [aux_sym__keyword_end_token1] = ACTIONS(1624),
    [aux_sym__keyword_between_token1] = ACTIONS(1624),
    [aux_sym__keyword_when_token1] = ACTIONS(1624),
    [aux_sym__keyword_else_token1] = ACTIONS(1624),
    [aux_sym__keyword_is_token1] = ACTIONS(1624),
    [aux_sym__keyword_in_token1] = ACTIONS(1624),
    [aux_sym__keyword_and_token1] = ACTIONS(1624),
    [aux_sym__keyword_like_token1] = ACTIONS(1624),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1624),
    [aux_sym__keyword_as_token1] = ACTIONS(1624),
    [aux_sym__keyword_window_token1] = ACTIONS(1624),
    [aux_sym__keyword_date_token1] = ACTIONS(1624),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1624),
    [aux_sym__keyword_time_token1] = ACTIONS(1624),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1624),
    [aux_sym__keyword_for_token1] = ACTIONS(1624),
    [anon_sym_SEMI] = ACTIONS(1622),
    [aux_sym_declare_statement_token1] = ACTIONS(1624),
    [anon_sym_COMMA] = ACTIONS(1622),
    [aux_sym_set_statement_token1] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1622),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1624),
    [aux_sym_return_satement_token1] = ACTIONS(1624),
    [aux_sym_call_statement_token1] = ACTIONS(1624),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1624),
    [aux_sym_if_statement_token1] = ACTIONS(1624),
    [aux_sym_loop_statement_token1] = ACTIONS(1624),
    [aux_sym_repeat_statement_token1] = ACTIONS(1624),
    [aux_sym_while_statement_token1] = ACTIONS(1624),
    [aux_sym_break_statement_token1] = ACTIONS(1624),
    [aux_sym_leave_statement_token1] = ACTIONS(1624),
    [aux_sym_continue_statement_token1] = ACTIONS(1624),
    [aux_sym_iterate_statement_token1] = ACTIONS(1624),
    [aux_sym_raise_statement_token1] = ACTIONS(1624),
    [anon_sym_EQ] = ACTIONS(1622),
    [aux_sym_assert_statement_token1] = ACTIONS(1624),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1624),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1624),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1624),
    [anon_sym_LT] = ACTIONS(1624),
    [anon_sym_GT] = ACTIONS(1624),
    [aux_sym_set_operation_token1] = ACTIONS(1624),
    [aux_sym_set_operation_token3] = ACTIONS(1624),
    [aux_sym_set_operation_token4] = ACTIONS(1624),
    [aux_sym_select_token1] = ACTIONS(1624),
    [aux_sym_having_clause_token1] = ACTIONS(1624),
    [aux_sym_qualify_clause_token1] = ACTIONS(1624),
    [aux_sym_limit_clause_token1] = ACTIONS(1624),
    [aux_sym_group_by_clause_token1] = ACTIONS(1624),
    [aux_sym_order_by_clause_token1] = ACTIONS(1624),
    [aux_sym_where_clause_token1] = ACTIONS(1624),
    [aux_sym_insert_statement_token1] = ACTIONS(1624),
    [aux_sym_truncate_statement_token1] = ACTIONS(1624),
    [aux_sym_update_statement_token1] = ACTIONS(1624),
    [aux_sym_merge_statement_token1] = ACTIONS(1624),
    [aux_sym_grant_statement_token1] = ACTIONS(1624),
    [aux_sym_revoke_statement_token1] = ACTIONS(1624),
    [aux_sym_export_data_statement_token1] = ACTIONS(1624),
    [aux_sym_load_data_statement_token1] = ACTIONS(1624),
    [anon_sym_LBRACK] = ACTIONS(1622),
    [sym__quoted_identifier] = ACTIONS(1622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1622),
    [anon_sym_PLUS] = ACTIONS(1622),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_STAR] = ACTIONS(1622),
    [anon_sym_SLASH] = ACTIONS(1624),
    [anon_sym_PIPE_PIPE] = ACTIONS(1622),
    [anon_sym_LT_EQ] = ACTIONS(1622),
    [anon_sym_LT_GT] = ACTIONS(1622),
    [anon_sym_GT_EQ] = ACTIONS(1622),
    [anon_sym_BANG_EQ] = ACTIONS(1622),
    [anon_sym_LT_LT] = ACTIONS(1622),
    [anon_sym_GT_GT] = ACTIONS(1622),
    [anon_sym_AMP] = ACTIONS(1622),
    [anon_sym_CARET] = ACTIONS(1622),
    [anon_sym_PIPE] = ACTIONS(1624),
  },
  [2038] = {
    [ts_builtin_sym_end] = ACTIONS(1724),
    [sym__unquoted_identifier] = ACTIONS(1726),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1726),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1726),
    [aux_sym_keyword_replace_token1] = ACTIONS(1726),
    [aux_sym__keyword_alter_token1] = ACTIONS(1726),
    [aux_sym__keyword_from_token1] = ACTIONS(1726),
    [aux_sym__keyword_delete_token1] = ACTIONS(1726),
    [aux_sym__keyword_begin_token1] = ACTIONS(1726),
    [aux_sym__keyword_end_token1] = ACTIONS(1726),
    [aux_sym__keyword_between_token1] = ACTIONS(1726),
    [aux_sym__keyword_when_token1] = ACTIONS(1726),
    [aux_sym__keyword_else_token1] = ACTIONS(1726),
    [aux_sym__keyword_is_token1] = ACTIONS(1726),
    [aux_sym__keyword_in_token1] = ACTIONS(1726),
    [aux_sym__keyword_and_token1] = ACTIONS(1726),
    [aux_sym__keyword_like_token1] = ACTIONS(1726),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1726),
    [aux_sym__keyword_as_token1] = ACTIONS(1726),
    [aux_sym__keyword_window_token1] = ACTIONS(1726),
    [aux_sym__keyword_date_token1] = ACTIONS(1726),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1726),
    [aux_sym__keyword_time_token1] = ACTIONS(1726),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1726),
    [aux_sym__keyword_for_token1] = ACTIONS(1726),
    [anon_sym_SEMI] = ACTIONS(1724),
    [aux_sym_declare_statement_token1] = ACTIONS(1726),
    [anon_sym_COMMA] = ACTIONS(1724),
    [aux_sym_set_statement_token1] = ACTIONS(1726),
    [anon_sym_LPAREN] = ACTIONS(1724),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1726),
    [aux_sym_return_satement_token1] = ACTIONS(1726),
    [aux_sym_call_statement_token1] = ACTIONS(1726),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1726),
    [aux_sym_if_statement_token1] = ACTIONS(1726),
    [aux_sym_loop_statement_token1] = ACTIONS(1726),
    [aux_sym_repeat_statement_token1] = ACTIONS(1726),
    [aux_sym_while_statement_token1] = ACTIONS(1726),
    [aux_sym_break_statement_token1] = ACTIONS(1726),
    [aux_sym_leave_statement_token1] = ACTIONS(1726),
    [aux_sym_continue_statement_token1] = ACTIONS(1726),
    [aux_sym_iterate_statement_token1] = ACTIONS(1726),
    [aux_sym_raise_statement_token1] = ACTIONS(1726),
    [anon_sym_EQ] = ACTIONS(1724),
    [aux_sym_assert_statement_token1] = ACTIONS(1726),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1726),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1726),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1726),
    [anon_sym_LT] = ACTIONS(1726),
    [anon_sym_GT] = ACTIONS(1726),
    [aux_sym_set_operation_token1] = ACTIONS(1726),
    [aux_sym_set_operation_token3] = ACTIONS(1726),
    [aux_sym_set_operation_token4] = ACTIONS(1726),
    [aux_sym_select_token1] = ACTIONS(1726),
    [aux_sym_having_clause_token1] = ACTIONS(1726),
    [aux_sym_qualify_clause_token1] = ACTIONS(1726),
    [aux_sym_limit_clause_token1] = ACTIONS(1726),
    [aux_sym_group_by_clause_token1] = ACTIONS(1726),
    [aux_sym_order_by_clause_token1] = ACTIONS(1726),
    [aux_sym_where_clause_token1] = ACTIONS(1726),
    [aux_sym_insert_statement_token1] = ACTIONS(1726),
    [aux_sym_truncate_statement_token1] = ACTIONS(1726),
    [aux_sym_update_statement_token1] = ACTIONS(1726),
    [aux_sym_merge_statement_token1] = ACTIONS(1726),
    [aux_sym_grant_statement_token1] = ACTIONS(1726),
    [aux_sym_revoke_statement_token1] = ACTIONS(1726),
    [aux_sym_export_data_statement_token1] = ACTIONS(1726),
    [aux_sym_load_data_statement_token1] = ACTIONS(1726),
    [anon_sym_LBRACK] = ACTIONS(1724),
    [sym__quoted_identifier] = ACTIONS(1724),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_DASH] = ACTIONS(1726),
    [anon_sym_STAR] = ACTIONS(1724),
    [anon_sym_SLASH] = ACTIONS(1726),
    [anon_sym_PIPE_PIPE] = ACTIONS(1724),
    [anon_sym_LT_EQ] = ACTIONS(1724),
    [anon_sym_LT_GT] = ACTIONS(1724),
    [anon_sym_GT_EQ] = ACTIONS(1724),
    [anon_sym_BANG_EQ] = ACTIONS(1724),
    [anon_sym_LT_LT] = ACTIONS(1724),
    [anon_sym_GT_GT] = ACTIONS(1724),
    [anon_sym_AMP] = ACTIONS(1724),
    [anon_sym_CARET] = ACTIONS(1724),
    [anon_sym_PIPE] = ACTIONS(1726),
  },
  [2039] = {
    [ts_builtin_sym_end] = ACTIONS(1826),
    [sym__unquoted_identifier] = ACTIONS(1828),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1828),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1828),
    [aux_sym_keyword_replace_token1] = ACTIONS(1828),
    [aux_sym__keyword_alter_token1] = ACTIONS(1828),
    [aux_sym__keyword_from_token1] = ACTIONS(1828),
    [aux_sym__keyword_delete_token1] = ACTIONS(1828),
    [aux_sym__keyword_begin_token1] = ACTIONS(1828),
    [aux_sym__keyword_end_token1] = ACTIONS(1828),
    [aux_sym__keyword_between_token1] = ACTIONS(1828),
    [aux_sym__keyword_when_token1] = ACTIONS(1828),
    [aux_sym__keyword_else_token1] = ACTIONS(1828),
    [aux_sym__keyword_is_token1] = ACTIONS(1828),
    [aux_sym__keyword_in_token1] = ACTIONS(1828),
    [aux_sym__keyword_and_token1] = ACTIONS(1828),
    [aux_sym__keyword_like_token1] = ACTIONS(1828),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1828),
    [aux_sym__keyword_as_token1] = ACTIONS(1828),
    [aux_sym__keyword_window_token1] = ACTIONS(1828),
    [aux_sym__keyword_date_token1] = ACTIONS(1828),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1828),
    [aux_sym__keyword_time_token1] = ACTIONS(1828),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1828),
    [aux_sym__keyword_for_token1] = ACTIONS(1828),
    [anon_sym_SEMI] = ACTIONS(1826),
    [aux_sym_declare_statement_token1] = ACTIONS(1828),
    [anon_sym_COMMA] = ACTIONS(1826),
    [aux_sym_set_statement_token1] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1826),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1828),
    [aux_sym_return_satement_token1] = ACTIONS(1828),
    [aux_sym_call_statement_token1] = ACTIONS(1828),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1828),
    [aux_sym_if_statement_token1] = ACTIONS(1828),
    [aux_sym_loop_statement_token1] = ACTIONS(1828),
    [aux_sym_repeat_statement_token1] = ACTIONS(1828),
    [aux_sym_while_statement_token1] = ACTIONS(1828),
    [aux_sym_break_statement_token1] = ACTIONS(1828),
    [aux_sym_leave_statement_token1] = ACTIONS(1828),
    [aux_sym_continue_statement_token1] = ACTIONS(1828),
    [aux_sym_iterate_statement_token1] = ACTIONS(1828),
    [aux_sym_raise_statement_token1] = ACTIONS(1828),
    [anon_sym_EQ] = ACTIONS(1826),
    [aux_sym_assert_statement_token1] = ACTIONS(1828),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1828),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1828),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1828),
    [anon_sym_LT] = ACTIONS(1828),
    [anon_sym_GT] = ACTIONS(1828),
    [aux_sym_set_operation_token1] = ACTIONS(1828),
    [aux_sym_set_operation_token3] = ACTIONS(1828),
    [aux_sym_set_operation_token4] = ACTIONS(1828),
    [aux_sym_select_token1] = ACTIONS(1828),
    [aux_sym_having_clause_token1] = ACTIONS(1828),
    [aux_sym_qualify_clause_token1] = ACTIONS(1828),
    [aux_sym_limit_clause_token1] = ACTIONS(1828),
    [aux_sym_group_by_clause_token1] = ACTIONS(1828),
    [aux_sym_order_by_clause_token1] = ACTIONS(1828),
    [aux_sym_where_clause_token1] = ACTIONS(1828),
    [aux_sym_insert_statement_token1] = ACTIONS(1828),
    [aux_sym_truncate_statement_token1] = ACTIONS(1828),
    [aux_sym_update_statement_token1] = ACTIONS(1828),
    [aux_sym_merge_statement_token1] = ACTIONS(1828),
    [aux_sym_grant_statement_token1] = ACTIONS(1828),
    [aux_sym_revoke_statement_token1] = ACTIONS(1828),
    [aux_sym_export_data_statement_token1] = ACTIONS(1828),
    [aux_sym_load_data_statement_token1] = ACTIONS(1828),
    [anon_sym_LBRACK] = ACTIONS(1826),
    [sym__quoted_identifier] = ACTIONS(1826),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1826),
    [anon_sym_PLUS] = ACTIONS(1826),
    [anon_sym_DASH] = ACTIONS(1828),
    [anon_sym_STAR] = ACTIONS(1826),
    [anon_sym_SLASH] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE] = ACTIONS(1826),
    [anon_sym_LT_EQ] = ACTIONS(1826),
    [anon_sym_LT_GT] = ACTIONS(1826),
    [anon_sym_GT_EQ] = ACTIONS(1826),
    [anon_sym_BANG_EQ] = ACTIONS(1826),
    [anon_sym_LT_LT] = ACTIONS(1826),
    [anon_sym_GT_GT] = ACTIONS(1826),
    [anon_sym_AMP] = ACTIONS(1826),
    [anon_sym_CARET] = ACTIONS(1826),
    [anon_sym_PIPE] = ACTIONS(1828),
  },
  [2040] = {
    [ts_builtin_sym_end] = ACTIONS(1668),
    [sym__unquoted_identifier] = ACTIONS(1670),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1670),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1670),
    [aux_sym_keyword_replace_token1] = ACTIONS(1670),
    [aux_sym__keyword_alter_token1] = ACTIONS(1670),
    [aux_sym__keyword_from_token1] = ACTIONS(1670),
    [aux_sym__keyword_delete_token1] = ACTIONS(1670),
    [aux_sym__keyword_begin_token1] = ACTIONS(1670),
    [aux_sym__keyword_end_token1] = ACTIONS(1670),
    [aux_sym__keyword_between_token1] = ACTIONS(1670),
    [aux_sym__keyword_when_token1] = ACTIONS(1670),
    [aux_sym__keyword_else_token1] = ACTIONS(1670),
    [aux_sym__keyword_is_token1] = ACTIONS(1670),
    [aux_sym__keyword_in_token1] = ACTIONS(1670),
    [aux_sym__keyword_and_token1] = ACTIONS(1670),
    [aux_sym__keyword_like_token1] = ACTIONS(1670),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1670),
    [aux_sym__keyword_as_token1] = ACTIONS(1670),
    [aux_sym__keyword_window_token1] = ACTIONS(1670),
    [aux_sym__keyword_date_token1] = ACTIONS(1670),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1670),
    [aux_sym__keyword_time_token1] = ACTIONS(1670),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1670),
    [aux_sym__keyword_for_token1] = ACTIONS(1670),
    [anon_sym_SEMI] = ACTIONS(1668),
    [aux_sym_declare_statement_token1] = ACTIONS(1670),
    [anon_sym_COMMA] = ACTIONS(1668),
    [aux_sym_set_statement_token1] = ACTIONS(1670),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1670),
    [aux_sym_return_satement_token1] = ACTIONS(1670),
    [aux_sym_call_statement_token1] = ACTIONS(1670),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1670),
    [aux_sym_if_statement_token1] = ACTIONS(1670),
    [aux_sym_loop_statement_token1] = ACTIONS(1670),
    [aux_sym_repeat_statement_token1] = ACTIONS(1670),
    [aux_sym_while_statement_token1] = ACTIONS(1670),
    [aux_sym_break_statement_token1] = ACTIONS(1670),
    [aux_sym_leave_statement_token1] = ACTIONS(1670),
    [aux_sym_continue_statement_token1] = ACTIONS(1670),
    [aux_sym_iterate_statement_token1] = ACTIONS(1670),
    [aux_sym_raise_statement_token1] = ACTIONS(1670),
    [anon_sym_EQ] = ACTIONS(1668),
    [aux_sym_assert_statement_token1] = ACTIONS(1670),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1670),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1670),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1670),
    [anon_sym_LT] = ACTIONS(1670),
    [anon_sym_GT] = ACTIONS(1670),
    [aux_sym_set_operation_token1] = ACTIONS(1670),
    [aux_sym_set_operation_token3] = ACTIONS(1670),
    [aux_sym_set_operation_token4] = ACTIONS(1670),
    [aux_sym_select_token1] = ACTIONS(1670),
    [aux_sym_having_clause_token1] = ACTIONS(1670),
    [aux_sym_qualify_clause_token1] = ACTIONS(1670),
    [aux_sym_limit_clause_token1] = ACTIONS(1670),
    [aux_sym_group_by_clause_token1] = ACTIONS(1670),
    [aux_sym_order_by_clause_token1] = ACTIONS(1670),
    [aux_sym_where_clause_token1] = ACTIONS(1670),
    [aux_sym_insert_statement_token1] = ACTIONS(1670),
    [aux_sym_truncate_statement_token1] = ACTIONS(1670),
    [aux_sym_update_statement_token1] = ACTIONS(1670),
    [aux_sym_merge_statement_token1] = ACTIONS(1670),
    [aux_sym_grant_statement_token1] = ACTIONS(1670),
    [aux_sym_revoke_statement_token1] = ACTIONS(1670),
    [aux_sym_export_data_statement_token1] = ACTIONS(1670),
    [aux_sym_load_data_statement_token1] = ACTIONS(1670),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [sym__quoted_identifier] = ACTIONS(1668),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1668),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_STAR] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(1670),
    [anon_sym_PIPE_PIPE] = ACTIONS(1668),
    [anon_sym_LT_EQ] = ACTIONS(1668),
    [anon_sym_LT_GT] = ACTIONS(1668),
    [anon_sym_GT_EQ] = ACTIONS(1668),
    [anon_sym_BANG_EQ] = ACTIONS(1668),
    [anon_sym_LT_LT] = ACTIONS(1668),
    [anon_sym_GT_GT] = ACTIONS(1668),
    [anon_sym_AMP] = ACTIONS(1668),
    [anon_sym_CARET] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1670),
  },
  [2041] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2042] = {
    [ts_builtin_sym_end] = ACTIONS(1626),
    [sym__unquoted_identifier] = ACTIONS(1628),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1628),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1628),
    [aux_sym_keyword_replace_token1] = ACTIONS(1628),
    [aux_sym__keyword_alter_token1] = ACTIONS(1628),
    [aux_sym__keyword_from_token1] = ACTIONS(1628),
    [aux_sym__keyword_delete_token1] = ACTIONS(1628),
    [aux_sym__keyword_begin_token1] = ACTIONS(1628),
    [aux_sym__keyword_end_token1] = ACTIONS(1628),
    [aux_sym__keyword_between_token1] = ACTIONS(1628),
    [aux_sym__keyword_when_token1] = ACTIONS(1628),
    [aux_sym__keyword_else_token1] = ACTIONS(1628),
    [aux_sym__keyword_is_token1] = ACTIONS(1628),
    [aux_sym__keyword_in_token1] = ACTIONS(1628),
    [aux_sym__keyword_and_token1] = ACTIONS(1628),
    [aux_sym__keyword_like_token1] = ACTIONS(1628),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1628),
    [aux_sym__keyword_as_token1] = ACTIONS(1628),
    [aux_sym__keyword_window_token1] = ACTIONS(1628),
    [aux_sym__keyword_date_token1] = ACTIONS(1628),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1628),
    [aux_sym__keyword_time_token1] = ACTIONS(1628),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1628),
    [aux_sym__keyword_for_token1] = ACTIONS(1628),
    [anon_sym_SEMI] = ACTIONS(1626),
    [aux_sym_declare_statement_token1] = ACTIONS(1628),
    [anon_sym_COMMA] = ACTIONS(1626),
    [aux_sym_set_statement_token1] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1626),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1628),
    [aux_sym_return_satement_token1] = ACTIONS(1628),
    [aux_sym_call_statement_token1] = ACTIONS(1628),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1628),
    [aux_sym_if_statement_token1] = ACTIONS(1628),
    [aux_sym_loop_statement_token1] = ACTIONS(1628),
    [aux_sym_repeat_statement_token1] = ACTIONS(1628),
    [aux_sym_while_statement_token1] = ACTIONS(1628),
    [aux_sym_break_statement_token1] = ACTIONS(1628),
    [aux_sym_leave_statement_token1] = ACTIONS(1628),
    [aux_sym_continue_statement_token1] = ACTIONS(1628),
    [aux_sym_iterate_statement_token1] = ACTIONS(1628),
    [aux_sym_raise_statement_token1] = ACTIONS(1628),
    [anon_sym_EQ] = ACTIONS(1626),
    [aux_sym_assert_statement_token1] = ACTIONS(1628),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1628),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1628),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1628),
    [anon_sym_LT] = ACTIONS(1628),
    [anon_sym_GT] = ACTIONS(1628),
    [aux_sym_set_operation_token1] = ACTIONS(1628),
    [aux_sym_set_operation_token3] = ACTIONS(1628),
    [aux_sym_set_operation_token4] = ACTIONS(1628),
    [aux_sym_select_token1] = ACTIONS(1628),
    [aux_sym_having_clause_token1] = ACTIONS(1628),
    [aux_sym_qualify_clause_token1] = ACTIONS(1628),
    [aux_sym_limit_clause_token1] = ACTIONS(1628),
    [aux_sym_group_by_clause_token1] = ACTIONS(1628),
    [aux_sym_order_by_clause_token1] = ACTIONS(1628),
    [aux_sym_where_clause_token1] = ACTIONS(1628),
    [aux_sym_insert_statement_token1] = ACTIONS(1628),
    [aux_sym_truncate_statement_token1] = ACTIONS(1628),
    [aux_sym_update_statement_token1] = ACTIONS(1628),
    [aux_sym_merge_statement_token1] = ACTIONS(1628),
    [aux_sym_grant_statement_token1] = ACTIONS(1628),
    [aux_sym_revoke_statement_token1] = ACTIONS(1628),
    [aux_sym_export_data_statement_token1] = ACTIONS(1628),
    [aux_sym_load_data_statement_token1] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1626),
    [sym__quoted_identifier] = ACTIONS(1626),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1626),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1628),
    [anon_sym_STAR] = ACTIONS(1626),
    [anon_sym_SLASH] = ACTIONS(1628),
    [anon_sym_PIPE_PIPE] = ACTIONS(1626),
    [anon_sym_LT_EQ] = ACTIONS(1626),
    [anon_sym_LT_GT] = ACTIONS(1626),
    [anon_sym_GT_EQ] = ACTIONS(1626),
    [anon_sym_BANG_EQ] = ACTIONS(1626),
    [anon_sym_LT_LT] = ACTIONS(1626),
    [anon_sym_GT_GT] = ACTIONS(1626),
    [anon_sym_AMP] = ACTIONS(1626),
    [anon_sym_CARET] = ACTIONS(1626),
    [anon_sym_PIPE] = ACTIONS(1628),
  },
  [2043] = {
    [ts_builtin_sym_end] = ACTIONS(1586),
    [sym__unquoted_identifier] = ACTIONS(1588),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1588),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1588),
    [aux_sym_keyword_replace_token1] = ACTIONS(1588),
    [aux_sym__keyword_alter_token1] = ACTIONS(1588),
    [aux_sym__keyword_from_token1] = ACTIONS(1588),
    [aux_sym__keyword_delete_token1] = ACTIONS(1588),
    [aux_sym__keyword_begin_token1] = ACTIONS(1588),
    [aux_sym__keyword_end_token1] = ACTIONS(1588),
    [aux_sym__keyword_between_token1] = ACTIONS(1588),
    [aux_sym__keyword_when_token1] = ACTIONS(1588),
    [aux_sym__keyword_else_token1] = ACTIONS(1588),
    [aux_sym__keyword_is_token1] = ACTIONS(1588),
    [aux_sym__keyword_in_token1] = ACTIONS(1588),
    [aux_sym__keyword_and_token1] = ACTIONS(1588),
    [aux_sym__keyword_like_token1] = ACTIONS(1588),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1588),
    [aux_sym__keyword_as_token1] = ACTIONS(1588),
    [aux_sym__keyword_window_token1] = ACTIONS(1588),
    [aux_sym__keyword_date_token1] = ACTIONS(1588),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1588),
    [aux_sym__keyword_time_token1] = ACTIONS(1588),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1588),
    [aux_sym__keyword_for_token1] = ACTIONS(1588),
    [anon_sym_SEMI] = ACTIONS(1586),
    [aux_sym_declare_statement_token1] = ACTIONS(1588),
    [anon_sym_COMMA] = ACTIONS(1586),
    [aux_sym_set_statement_token1] = ACTIONS(1588),
    [anon_sym_LPAREN] = ACTIONS(1586),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1588),
    [aux_sym_return_satement_token1] = ACTIONS(1588),
    [aux_sym_call_statement_token1] = ACTIONS(1588),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1588),
    [aux_sym_if_statement_token1] = ACTIONS(1588),
    [aux_sym_loop_statement_token1] = ACTIONS(1588),
    [aux_sym_repeat_statement_token1] = ACTIONS(1588),
    [aux_sym_while_statement_token1] = ACTIONS(1588),
    [aux_sym_break_statement_token1] = ACTIONS(1588),
    [aux_sym_leave_statement_token1] = ACTIONS(1588),
    [aux_sym_continue_statement_token1] = ACTIONS(1588),
    [aux_sym_iterate_statement_token1] = ACTIONS(1588),
    [aux_sym_raise_statement_token1] = ACTIONS(1588),
    [anon_sym_EQ] = ACTIONS(1586),
    [aux_sym_assert_statement_token1] = ACTIONS(1588),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1588),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1588),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1588),
    [anon_sym_LT] = ACTIONS(1588),
    [anon_sym_GT] = ACTIONS(1588),
    [aux_sym_set_operation_token1] = ACTIONS(1588),
    [aux_sym_set_operation_token3] = ACTIONS(1588),
    [aux_sym_set_operation_token4] = ACTIONS(1588),
    [aux_sym_select_token1] = ACTIONS(1588),
    [aux_sym_having_clause_token1] = ACTIONS(1588),
    [aux_sym_qualify_clause_token1] = ACTIONS(1588),
    [aux_sym_limit_clause_token1] = ACTIONS(1588),
    [aux_sym_group_by_clause_token1] = ACTIONS(1588),
    [aux_sym_order_by_clause_token1] = ACTIONS(1588),
    [aux_sym_where_clause_token1] = ACTIONS(1588),
    [aux_sym_insert_statement_token1] = ACTIONS(1588),
    [aux_sym_truncate_statement_token1] = ACTIONS(1588),
    [aux_sym_update_statement_token1] = ACTIONS(1588),
    [aux_sym_merge_statement_token1] = ACTIONS(1588),
    [aux_sym_grant_statement_token1] = ACTIONS(1588),
    [aux_sym_revoke_statement_token1] = ACTIONS(1588),
    [aux_sym_export_data_statement_token1] = ACTIONS(1588),
    [aux_sym_load_data_statement_token1] = ACTIONS(1588),
    [anon_sym_LBRACK] = ACTIONS(1586),
    [sym__quoted_identifier] = ACTIONS(1586),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1586),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_STAR] = ACTIONS(1586),
    [anon_sym_SLASH] = ACTIONS(1588),
    [anon_sym_PIPE_PIPE] = ACTIONS(1586),
    [anon_sym_LT_EQ] = ACTIONS(1586),
    [anon_sym_LT_GT] = ACTIONS(1586),
    [anon_sym_GT_EQ] = ACTIONS(1586),
    [anon_sym_BANG_EQ] = ACTIONS(1586),
    [anon_sym_LT_LT] = ACTIONS(1586),
    [anon_sym_GT_GT] = ACTIONS(1586),
    [anon_sym_AMP] = ACTIONS(1586),
    [anon_sym_CARET] = ACTIONS(1586),
    [anon_sym_PIPE] = ACTIONS(1588),
  },
  [2044] = {
    [sym__keyword_as] = STATE(11549),
    [sym__keyword_date] = STATE(2774),
    [sym__keyword_datetime] = STATE(2774),
    [sym__keyword_time] = STATE(2774),
    [sym__keyword_timestamp] = STATE(2774),
    [sym_as_alias] = STATE(4397),
    [sym_unnest_withoffset] = STATE(4394),
    [sym__type_chrono] = STATE(2771),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4403),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(205),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(205),
    [aux_sym_keyword_replace_token1] = ACTIONS(205),
    [aux_sym__keyword_alter_token1] = ACTIONS(205),
    [aux_sym__keyword_delete_token1] = ACTIONS(205),
    [aux_sym__keyword_begin_token1] = ACTIONS(205),
    [aux_sym__keyword_end_token1] = ACTIONS(205),
    [aux_sym__keyword_between_token1] = ACTIONS(205),
    [aux_sym__keyword_when_token1] = ACTIONS(205),
    [aux_sym__keyword_else_token1] = ACTIONS(205),
    [aux_sym__keyword_is_token1] = ACTIONS(205),
    [aux_sym__keyword_in_token1] = ACTIONS(205),
    [aux_sym__keyword_and_token1] = ACTIONS(205),
    [aux_sym__keyword_like_token1] = ACTIONS(205),
    [aux_sym__keyword_repeat_token1] = ACTIONS(205),
    [aux_sym__keyword_as_token1] = ACTIONS(2738),
    [aux_sym__keyword_date_token1] = ACTIONS(1328),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1328),
    [aux_sym__keyword_time_token1] = ACTIONS(1328),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1328),
    [aux_sym__keyword_for_token1] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(211),
    [aux_sym_declare_statement_token1] = ACTIONS(205),
    [anon_sym_COMMA] = ACTIONS(211),
    [aux_sym_set_statement_token1] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(211),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(205),
    [aux_sym_return_satement_token1] = ACTIONS(205),
    [aux_sym_call_statement_token1] = ACTIONS(205),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(205),
    [aux_sym_if_statement_token1] = ACTIONS(205),
    [aux_sym_loop_statement_token1] = ACTIONS(205),
    [aux_sym_repeat_statement_token1] = ACTIONS(205),
    [aux_sym_while_statement_token1] = ACTIONS(205),
    [aux_sym_break_statement_token1] = ACTIONS(205),
    [aux_sym_leave_statement_token1] = ACTIONS(205),
    [aux_sym_continue_statement_token1] = ACTIONS(205),
    [aux_sym_iterate_statement_token1] = ACTIONS(205),
    [aux_sym_raise_statement_token1] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(211),
    [aux_sym_assert_statement_token1] = ACTIONS(205),
    [aux_sym_create_schema_statement_token1] = ACTIONS(205),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(205),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2740),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [aux_sym_select_token1] = ACTIONS(205),
    [aux_sym_insert_statement_token1] = ACTIONS(205),
    [aux_sym_truncate_statement_token1] = ACTIONS(205),
    [aux_sym_update_statement_token1] = ACTIONS(205),
    [aux_sym_merge_statement_token1] = ACTIONS(205),
    [aux_sym_grant_statement_token1] = ACTIONS(205),
    [aux_sym_revoke_statement_token1] = ACTIONS(205),
    [aux_sym_export_data_statement_token1] = ACTIONS(205),
    [aux_sym_load_data_statement_token1] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(211),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(211),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(211),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(211),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_LT_GT] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(211),
    [anon_sym_GT_GT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_CARET] = ACTIONS(211),
    [anon_sym_PIPE] = ACTIONS(205),
  },
  [2045] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_from_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [2046] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_from_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [2047] = {
    [ts_builtin_sym_end] = ACTIONS(1622),
    [sym__unquoted_identifier] = ACTIONS(1624),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1624),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1624),
    [aux_sym_keyword_replace_token1] = ACTIONS(1624),
    [aux_sym__keyword_alter_token1] = ACTIONS(1624),
    [aux_sym__keyword_from_token1] = ACTIONS(1624),
    [aux_sym__keyword_delete_token1] = ACTIONS(1624),
    [aux_sym__keyword_begin_token1] = ACTIONS(1624),
    [aux_sym__keyword_end_token1] = ACTIONS(1624),
    [aux_sym__keyword_between_token1] = ACTIONS(1624),
    [aux_sym__keyword_when_token1] = ACTIONS(1624),
    [aux_sym__keyword_else_token1] = ACTIONS(1624),
    [aux_sym__keyword_is_token1] = ACTIONS(1624),
    [aux_sym__keyword_in_token1] = ACTIONS(1624),
    [aux_sym__keyword_and_token1] = ACTIONS(1624),
    [aux_sym__keyword_like_token1] = ACTIONS(1624),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1624),
    [aux_sym__keyword_as_token1] = ACTIONS(1624),
    [aux_sym__keyword_window_token1] = ACTIONS(1624),
    [aux_sym__keyword_date_token1] = ACTIONS(1624),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1624),
    [aux_sym__keyword_time_token1] = ACTIONS(1624),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1624),
    [aux_sym__keyword_for_token1] = ACTIONS(1624),
    [anon_sym_SEMI] = ACTIONS(1622),
    [aux_sym_declare_statement_token1] = ACTIONS(1624),
    [anon_sym_COMMA] = ACTIONS(1622),
    [aux_sym_set_statement_token1] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(2784),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1624),
    [aux_sym_return_satement_token1] = ACTIONS(1624),
    [aux_sym_call_statement_token1] = ACTIONS(1624),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1624),
    [aux_sym_if_statement_token1] = ACTIONS(1624),
    [aux_sym_loop_statement_token1] = ACTIONS(1624),
    [aux_sym_repeat_statement_token1] = ACTIONS(1624),
    [aux_sym_while_statement_token1] = ACTIONS(1624),
    [aux_sym_break_statement_token1] = ACTIONS(1624),
    [aux_sym_leave_statement_token1] = ACTIONS(1624),
    [aux_sym_continue_statement_token1] = ACTIONS(1624),
    [aux_sym_iterate_statement_token1] = ACTIONS(1624),
    [aux_sym_raise_statement_token1] = ACTIONS(1624),
    [anon_sym_EQ] = ACTIONS(1622),
    [aux_sym_assert_statement_token1] = ACTIONS(1624),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1624),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1624),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1624),
    [anon_sym_LT] = ACTIONS(1624),
    [anon_sym_GT] = ACTIONS(1624),
    [aux_sym_set_operation_token1] = ACTIONS(1624),
    [aux_sym_set_operation_token3] = ACTIONS(1624),
    [aux_sym_set_operation_token4] = ACTIONS(1624),
    [aux_sym_select_token1] = ACTIONS(1624),
    [aux_sym_having_clause_token1] = ACTIONS(1624),
    [aux_sym_qualify_clause_token1] = ACTIONS(1624),
    [aux_sym_limit_clause_token1] = ACTIONS(1624),
    [aux_sym_group_by_clause_token1] = ACTIONS(1624),
    [aux_sym_order_by_clause_token1] = ACTIONS(1624),
    [aux_sym_where_clause_token1] = ACTIONS(1624),
    [aux_sym_insert_statement_token1] = ACTIONS(1624),
    [aux_sym_truncate_statement_token1] = ACTIONS(1624),
    [aux_sym_update_statement_token1] = ACTIONS(1624),
    [aux_sym_merge_statement_token1] = ACTIONS(1624),
    [aux_sym_grant_statement_token1] = ACTIONS(1624),
    [aux_sym_revoke_statement_token1] = ACTIONS(1624),
    [aux_sym_export_data_statement_token1] = ACTIONS(1624),
    [aux_sym_load_data_statement_token1] = ACTIONS(1624),
    [anon_sym_LBRACK] = ACTIONS(1622),
    [sym__quoted_identifier] = ACTIONS(1622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1622),
    [anon_sym_PLUS] = ACTIONS(1622),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_STAR] = ACTIONS(1622),
    [anon_sym_SLASH] = ACTIONS(1624),
    [anon_sym_PIPE_PIPE] = ACTIONS(1622),
    [anon_sym_LT_EQ] = ACTIONS(1622),
    [anon_sym_LT_GT] = ACTIONS(1622),
    [anon_sym_GT_EQ] = ACTIONS(1622),
    [anon_sym_BANG_EQ] = ACTIONS(1622),
    [anon_sym_LT_LT] = ACTIONS(1622),
    [anon_sym_GT_GT] = ACTIONS(1622),
    [anon_sym_AMP] = ACTIONS(1622),
    [anon_sym_CARET] = ACTIONS(1622),
    [anon_sym_PIPE] = ACTIONS(1624),
  },
  [2048] = {
    [sym__keyword_between] = STATE(914),
    [sym__keyword_is] = STATE(12157),
    [sym__keyword_in] = STATE(1277),
    [sym__keyword_not] = STATE(13081),
    [sym__keyword_and] = STATE(1293),
    [sym__keyword_or] = STATE(1294),
    [sym__keyword_like] = STATE(14280),
    [sym__direction_keywords] = STATE(5515),
    [sym__nulls_preference] = STATE(5934),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(2786),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(341),
    [aux_sym__keyword_alter_token1] = ACTIONS(2786),
    [aux_sym__keyword_delete_token1] = ACTIONS(2786),
    [aux_sym__keyword_begin_token1] = ACTIONS(2786),
    [aux_sym__keyword_end_token1] = ACTIONS(2786),
    [aux_sym__keyword_between_token1] = ACTIONS(2684),
    [aux_sym__keyword_when_token1] = ACTIONS(2786),
    [aux_sym__keyword_else_token1] = ACTIONS(2788),
    [aux_sym__keyword_is_token1] = ACTIONS(2688),
    [aux_sym__keyword_in_token1] = ACTIONS(2690),
    [aux_sym__keyword_and_token1] = ACTIONS(2692),
    [aux_sym__keyword_like_token1] = ACTIONS(1007),
    [aux_sym__keyword_repeat_token1] = ACTIONS(2786),
    [aux_sym__keyword_for_token1] = ACTIONS(2786),
    [anon_sym_SEMI] = ACTIONS(2786),
    [aux_sym_declare_statement_token1] = ACTIONS(2786),
    [anon_sym_COMMA] = ACTIONS(2786),
    [aux_sym_set_statement_token1] = ACTIONS(2786),
    [anon_sym_LPAREN] = ACTIONS(2786),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(2786),
    [aux_sym_return_satement_token1] = ACTIONS(2786),
    [aux_sym_call_statement_token1] = ACTIONS(2786),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(2786),
    [aux_sym_if_statement_token1] = ACTIONS(2786),
    [aux_sym_loop_statement_token1] = ACTIONS(2786),
    [aux_sym_repeat_statement_token1] = ACTIONS(2786),
    [aux_sym_while_statement_token1] = ACTIONS(2786),
    [aux_sym_break_statement_token1] = ACTIONS(2786),
    [aux_sym_leave_statement_token1] = ACTIONS(2786),
    [aux_sym_continue_statement_token1] = ACTIONS(2786),
    [aux_sym_iterate_statement_token1] = ACTIONS(2786),
    [aux_sym_raise_statement_token1] = ACTIONS(2786),
    [anon_sym_EQ] = ACTIONS(2696),
    [aux_sym_assert_statement_token1] = ACTIONS(2786),
    [aux_sym_create_schema_statement_token1] = ACTIONS(2786),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(2786),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2786),
    [anon_sym_LT] = ACTIONS(2690),
    [anon_sym_GT] = ACTIONS(2690),
    [aux_sym_set_operation_token1] = ACTIONS(2786),
    [aux_sym_set_operation_token3] = ACTIONS(2786),
    [aux_sym_set_operation_token4] = ACTIONS(2788),
    [aux_sym_select_token1] = ACTIONS(2786),
    [aux_sym_limit_clause_token1] = ACTIONS(2786),
    [aux_sym__direction_keywords_token1] = ACTIONS(2698),
    [aux_sym__direction_keywords_token2] = ACTIONS(2698),
    [aux_sym__nulls_preference_token1] = ACTIONS(2700),
    [aux_sym_order_by_clause_token1] = ACTIONS(2786),
    [aux_sym_insert_statement_token1] = ACTIONS(2786),
    [aux_sym_truncate_statement_token1] = ACTIONS(2786),
    [aux_sym_update_statement_token1] = ACTIONS(2786),
    [aux_sym_merge_statement_token1] = ACTIONS(2786),
    [aux_sym_grant_statement_token1] = ACTIONS(2786),
    [aux_sym_revoke_statement_token1] = ACTIONS(2786),
    [aux_sym_export_data_statement_token1] = ACTIONS(2786),
    [aux_sym_load_data_statement_token1] = ACTIONS(2786),
    [anon_sym_LBRACK] = ACTIONS(2702),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(2704),
    [anon_sym_PLUS] = ACTIONS(2706),
    [anon_sym_DASH] = ACTIONS(2708),
    [anon_sym_STAR] = ACTIONS(2710),
    [anon_sym_SLASH] = ACTIONS(2712),
    [anon_sym_PIPE_PIPE] = ACTIONS(2710),
    [anon_sym_LT_EQ] = ACTIONS(2696),
    [anon_sym_LT_GT] = ACTIONS(2696),
    [anon_sym_GT_EQ] = ACTIONS(2696),
    [anon_sym_BANG_EQ] = ACTIONS(2696),
    [anon_sym_LT_LT] = ACTIONS(2714),
    [anon_sym_GT_GT] = ACTIONS(2714),
    [anon_sym_AMP] = ACTIONS(2716),
    [anon_sym_CARET] = ACTIONS(2718),
    [anon_sym_PIPE] = ACTIONS(2720),
  },
  [2049] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2050] = {
    [ts_builtin_sym_end] = ACTIONS(1780),
    [sym__unquoted_identifier] = ACTIONS(1782),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1782),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1782),
    [aux_sym_keyword_replace_token1] = ACTIONS(1782),
    [aux_sym__keyword_alter_token1] = ACTIONS(1782),
    [aux_sym__keyword_from_token1] = ACTIONS(1782),
    [aux_sym__keyword_delete_token1] = ACTIONS(1782),
    [aux_sym__keyword_begin_token1] = ACTIONS(1782),
    [aux_sym__keyword_end_token1] = ACTIONS(1782),
    [aux_sym__keyword_between_token1] = ACTIONS(1782),
    [aux_sym__keyword_when_token1] = ACTIONS(1782),
    [aux_sym__keyword_else_token1] = ACTIONS(1782),
    [aux_sym__keyword_is_token1] = ACTIONS(1782),
    [aux_sym__keyword_in_token1] = ACTIONS(1782),
    [aux_sym__keyword_and_token1] = ACTIONS(1782),
    [aux_sym__keyword_like_token1] = ACTIONS(1782),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1782),
    [aux_sym__keyword_as_token1] = ACTIONS(1782),
    [aux_sym__keyword_window_token1] = ACTIONS(1782),
    [aux_sym__keyword_date_token1] = ACTIONS(1782),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1782),
    [aux_sym__keyword_time_token1] = ACTIONS(1782),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1782),
    [aux_sym__keyword_for_token1] = ACTIONS(1782),
    [anon_sym_SEMI] = ACTIONS(1780),
    [aux_sym_declare_statement_token1] = ACTIONS(1782),
    [anon_sym_COMMA] = ACTIONS(1780),
    [aux_sym_set_statement_token1] = ACTIONS(1782),
    [anon_sym_LPAREN] = ACTIONS(1780),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1782),
    [aux_sym_return_satement_token1] = ACTIONS(1782),
    [aux_sym_call_statement_token1] = ACTIONS(1782),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1782),
    [aux_sym_if_statement_token1] = ACTIONS(1782),
    [aux_sym_loop_statement_token1] = ACTIONS(1782),
    [aux_sym_repeat_statement_token1] = ACTIONS(1782),
    [aux_sym_while_statement_token1] = ACTIONS(1782),
    [aux_sym_break_statement_token1] = ACTIONS(1782),
    [aux_sym_leave_statement_token1] = ACTIONS(1782),
    [aux_sym_continue_statement_token1] = ACTIONS(1782),
    [aux_sym_iterate_statement_token1] = ACTIONS(1782),
    [aux_sym_raise_statement_token1] = ACTIONS(1782),
    [anon_sym_EQ] = ACTIONS(1780),
    [aux_sym_assert_statement_token1] = ACTIONS(1782),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1782),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1782),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1782),
    [anon_sym_LT] = ACTIONS(1782),
    [anon_sym_GT] = ACTIONS(1782),
    [aux_sym_set_operation_token1] = ACTIONS(1782),
    [aux_sym_set_operation_token3] = ACTIONS(1782),
    [aux_sym_set_operation_token4] = ACTIONS(1782),
    [aux_sym_select_token1] = ACTIONS(1782),
    [aux_sym_having_clause_token1] = ACTIONS(1782),
    [aux_sym_qualify_clause_token1] = ACTIONS(1782),
    [aux_sym_limit_clause_token1] = ACTIONS(1782),
    [aux_sym_group_by_clause_token1] = ACTIONS(1782),
    [aux_sym_order_by_clause_token1] = ACTIONS(1782),
    [aux_sym_where_clause_token1] = ACTIONS(1782),
    [aux_sym_insert_statement_token1] = ACTIONS(1782),
    [aux_sym_truncate_statement_token1] = ACTIONS(1782),
    [aux_sym_update_statement_token1] = ACTIONS(1782),
    [aux_sym_merge_statement_token1] = ACTIONS(1782),
    [aux_sym_grant_statement_token1] = ACTIONS(1782),
    [aux_sym_revoke_statement_token1] = ACTIONS(1782),
    [aux_sym_export_data_statement_token1] = ACTIONS(1782),
    [aux_sym_load_data_statement_token1] = ACTIONS(1782),
    [anon_sym_LBRACK] = ACTIONS(1780),
    [sym__quoted_identifier] = ACTIONS(1780),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_DASH] = ACTIONS(1782),
    [anon_sym_STAR] = ACTIONS(1780),
    [anon_sym_SLASH] = ACTIONS(1782),
    [anon_sym_PIPE_PIPE] = ACTIONS(1780),
    [anon_sym_LT_EQ] = ACTIONS(1780),
    [anon_sym_LT_GT] = ACTIONS(1780),
    [anon_sym_GT_EQ] = ACTIONS(1780),
    [anon_sym_BANG_EQ] = ACTIONS(1780),
    [anon_sym_LT_LT] = ACTIONS(1780),
    [anon_sym_GT_GT] = ACTIONS(1780),
    [anon_sym_AMP] = ACTIONS(1780),
    [anon_sym_CARET] = ACTIONS(1780),
    [anon_sym_PIPE] = ACTIONS(1782),
  },
  [2051] = {
    [ts_builtin_sym_end] = ACTIONS(1780),
    [sym__unquoted_identifier] = ACTIONS(1782),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1782),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1782),
    [aux_sym_keyword_replace_token1] = ACTIONS(1782),
    [aux_sym__keyword_alter_token1] = ACTIONS(1782),
    [aux_sym__keyword_from_token1] = ACTIONS(1782),
    [aux_sym__keyword_delete_token1] = ACTIONS(1782),
    [aux_sym__keyword_begin_token1] = ACTIONS(1782),
    [aux_sym__keyword_end_token1] = ACTIONS(1782),
    [aux_sym__keyword_between_token1] = ACTIONS(1782),
    [aux_sym__keyword_when_token1] = ACTIONS(1782),
    [aux_sym__keyword_else_token1] = ACTIONS(1782),
    [aux_sym__keyword_is_token1] = ACTIONS(1782),
    [aux_sym__keyword_in_token1] = ACTIONS(1782),
    [aux_sym__keyword_and_token1] = ACTIONS(1782),
    [aux_sym__keyword_like_token1] = ACTIONS(1782),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1782),
    [aux_sym__keyword_as_token1] = ACTIONS(1782),
    [aux_sym__keyword_window_token1] = ACTIONS(1782),
    [aux_sym__keyword_date_token1] = ACTIONS(1782),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1782),
    [aux_sym__keyword_time_token1] = ACTIONS(1782),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1782),
    [aux_sym__keyword_for_token1] = ACTIONS(1782),
    [anon_sym_SEMI] = ACTIONS(1780),
    [aux_sym_declare_statement_token1] = ACTIONS(1782),
    [anon_sym_COMMA] = ACTIONS(1780),
    [aux_sym_set_statement_token1] = ACTIONS(1782),
    [anon_sym_LPAREN] = ACTIONS(1780),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1782),
    [aux_sym_return_satement_token1] = ACTIONS(1782),
    [aux_sym_call_statement_token1] = ACTIONS(1782),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1782),
    [aux_sym_if_statement_token1] = ACTIONS(1782),
    [aux_sym_loop_statement_token1] = ACTIONS(1782),
    [aux_sym_repeat_statement_token1] = ACTIONS(1782),
    [aux_sym_while_statement_token1] = ACTIONS(1782),
    [aux_sym_break_statement_token1] = ACTIONS(1782),
    [aux_sym_leave_statement_token1] = ACTIONS(1782),
    [aux_sym_continue_statement_token1] = ACTIONS(1782),
    [aux_sym_iterate_statement_token1] = ACTIONS(1782),
    [aux_sym_raise_statement_token1] = ACTIONS(1782),
    [anon_sym_EQ] = ACTIONS(1780),
    [aux_sym_assert_statement_token1] = ACTIONS(1782),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1782),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1782),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1782),
    [anon_sym_LT] = ACTIONS(1782),
    [anon_sym_GT] = ACTIONS(1782),
    [aux_sym_set_operation_token1] = ACTIONS(1782),
    [aux_sym_set_operation_token3] = ACTIONS(1782),
    [aux_sym_set_operation_token4] = ACTIONS(1782),
    [aux_sym_select_token1] = ACTIONS(1782),
    [aux_sym_having_clause_token1] = ACTIONS(1782),
    [aux_sym_qualify_clause_token1] = ACTIONS(1782),
    [aux_sym_limit_clause_token1] = ACTIONS(1782),
    [aux_sym_group_by_clause_token1] = ACTIONS(1782),
    [aux_sym_order_by_clause_token1] = ACTIONS(1782),
    [aux_sym_where_clause_token1] = ACTIONS(1782),
    [aux_sym_insert_statement_token1] = ACTIONS(1782),
    [aux_sym_truncate_statement_token1] = ACTIONS(1782),
    [aux_sym_update_statement_token1] = ACTIONS(1782),
    [aux_sym_merge_statement_token1] = ACTIONS(1782),
    [aux_sym_grant_statement_token1] = ACTIONS(1782),
    [aux_sym_revoke_statement_token1] = ACTIONS(1782),
    [aux_sym_export_data_statement_token1] = ACTIONS(1782),
    [aux_sym_load_data_statement_token1] = ACTIONS(1782),
    [anon_sym_LBRACK] = ACTIONS(1780),
    [sym__quoted_identifier] = ACTIONS(1780),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_DASH] = ACTIONS(1782),
    [anon_sym_STAR] = ACTIONS(1780),
    [anon_sym_SLASH] = ACTIONS(1782),
    [anon_sym_PIPE_PIPE] = ACTIONS(1780),
    [anon_sym_LT_EQ] = ACTIONS(1780),
    [anon_sym_LT_GT] = ACTIONS(1780),
    [anon_sym_GT_EQ] = ACTIONS(1780),
    [anon_sym_BANG_EQ] = ACTIONS(1780),
    [anon_sym_LT_LT] = ACTIONS(1780),
    [anon_sym_GT_GT] = ACTIONS(1780),
    [anon_sym_AMP] = ACTIONS(1780),
    [anon_sym_CARET] = ACTIONS(1780),
    [anon_sym_PIPE] = ACTIONS(1782),
  },
  [2052] = {
    [ts_builtin_sym_end] = ACTIONS(1776),
    [sym__unquoted_identifier] = ACTIONS(1778),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1778),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1778),
    [aux_sym_keyword_replace_token1] = ACTIONS(1778),
    [aux_sym__keyword_alter_token1] = ACTIONS(1778),
    [aux_sym__keyword_from_token1] = ACTIONS(1778),
    [aux_sym__keyword_delete_token1] = ACTIONS(1778),
    [aux_sym__keyword_begin_token1] = ACTIONS(1778),
    [aux_sym__keyword_end_token1] = ACTIONS(1778),
    [aux_sym__keyword_between_token1] = ACTIONS(1778),
    [aux_sym__keyword_when_token1] = ACTIONS(1778),
    [aux_sym__keyword_else_token1] = ACTIONS(1778),
    [aux_sym__keyword_is_token1] = ACTIONS(1778),
    [aux_sym__keyword_in_token1] = ACTIONS(1778),
    [aux_sym__keyword_and_token1] = ACTIONS(1778),
    [aux_sym__keyword_like_token1] = ACTIONS(1778),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1778),
    [aux_sym__keyword_as_token1] = ACTIONS(1778),
    [aux_sym__keyword_window_token1] = ACTIONS(1778),
    [aux_sym__keyword_date_token1] = ACTIONS(1778),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1778),
    [aux_sym__keyword_time_token1] = ACTIONS(1778),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1778),
    [aux_sym__keyword_for_token1] = ACTIONS(1778),
    [anon_sym_SEMI] = ACTIONS(1776),
    [aux_sym_declare_statement_token1] = ACTIONS(1778),
    [anon_sym_COMMA] = ACTIONS(1776),
    [aux_sym_set_statement_token1] = ACTIONS(1778),
    [anon_sym_LPAREN] = ACTIONS(1776),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1778),
    [aux_sym_return_satement_token1] = ACTIONS(1778),
    [aux_sym_call_statement_token1] = ACTIONS(1778),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1778),
    [aux_sym_if_statement_token1] = ACTIONS(1778),
    [aux_sym_loop_statement_token1] = ACTIONS(1778),
    [aux_sym_repeat_statement_token1] = ACTIONS(1778),
    [aux_sym_while_statement_token1] = ACTIONS(1778),
    [aux_sym_break_statement_token1] = ACTIONS(1778),
    [aux_sym_leave_statement_token1] = ACTIONS(1778),
    [aux_sym_continue_statement_token1] = ACTIONS(1778),
    [aux_sym_iterate_statement_token1] = ACTIONS(1778),
    [aux_sym_raise_statement_token1] = ACTIONS(1778),
    [anon_sym_EQ] = ACTIONS(1776),
    [aux_sym_assert_statement_token1] = ACTIONS(1778),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1778),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1778),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1778),
    [anon_sym_LT] = ACTIONS(1778),
    [anon_sym_GT] = ACTIONS(1778),
    [aux_sym_set_operation_token1] = ACTIONS(1778),
    [aux_sym_set_operation_token3] = ACTIONS(1778),
    [aux_sym_set_operation_token4] = ACTIONS(1778),
    [aux_sym_select_token1] = ACTIONS(1778),
    [aux_sym_having_clause_token1] = ACTIONS(1778),
    [aux_sym_qualify_clause_token1] = ACTIONS(1778),
    [aux_sym_limit_clause_token1] = ACTIONS(1778),
    [aux_sym_group_by_clause_token1] = ACTIONS(1778),
    [aux_sym_order_by_clause_token1] = ACTIONS(1778),
    [aux_sym_where_clause_token1] = ACTIONS(1778),
    [aux_sym_insert_statement_token1] = ACTIONS(1778),
    [aux_sym_truncate_statement_token1] = ACTIONS(1778),
    [aux_sym_update_statement_token1] = ACTIONS(1778),
    [aux_sym_merge_statement_token1] = ACTIONS(1778),
    [aux_sym_grant_statement_token1] = ACTIONS(1778),
    [aux_sym_revoke_statement_token1] = ACTIONS(1778),
    [aux_sym_export_data_statement_token1] = ACTIONS(1778),
    [aux_sym_load_data_statement_token1] = ACTIONS(1778),
    [anon_sym_LBRACK] = ACTIONS(1776),
    [sym__quoted_identifier] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1776),
    [anon_sym_PLUS] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1778),
    [anon_sym_STAR] = ACTIONS(1776),
    [anon_sym_SLASH] = ACTIONS(1778),
    [anon_sym_PIPE_PIPE] = ACTIONS(1776),
    [anon_sym_LT_EQ] = ACTIONS(1776),
    [anon_sym_LT_GT] = ACTIONS(1776),
    [anon_sym_GT_EQ] = ACTIONS(1776),
    [anon_sym_BANG_EQ] = ACTIONS(1776),
    [anon_sym_LT_LT] = ACTIONS(1776),
    [anon_sym_GT_GT] = ACTIONS(1776),
    [anon_sym_AMP] = ACTIONS(1776),
    [anon_sym_CARET] = ACTIONS(1776),
    [anon_sym_PIPE] = ACTIONS(1778),
  },
  [2053] = {
    [ts_builtin_sym_end] = ACTIONS(1776),
    [sym__unquoted_identifier] = ACTIONS(1778),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1778),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1778),
    [aux_sym_keyword_replace_token1] = ACTIONS(1778),
    [aux_sym__keyword_alter_token1] = ACTIONS(1778),
    [aux_sym__keyword_from_token1] = ACTIONS(1778),
    [aux_sym__keyword_delete_token1] = ACTIONS(1778),
    [aux_sym__keyword_begin_token1] = ACTIONS(1778),
    [aux_sym__keyword_end_token1] = ACTIONS(1778),
    [aux_sym__keyword_between_token1] = ACTIONS(1778),
    [aux_sym__keyword_when_token1] = ACTIONS(1778),
    [aux_sym__keyword_else_token1] = ACTIONS(1778),
    [aux_sym__keyword_is_token1] = ACTIONS(1778),
    [aux_sym__keyword_in_token1] = ACTIONS(1778),
    [aux_sym__keyword_and_token1] = ACTIONS(1778),
    [aux_sym__keyword_like_token1] = ACTIONS(1778),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1778),
    [aux_sym__keyword_as_token1] = ACTIONS(1778),
    [aux_sym__keyword_window_token1] = ACTIONS(1778),
    [aux_sym__keyword_date_token1] = ACTIONS(1778),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1778),
    [aux_sym__keyword_time_token1] = ACTIONS(1778),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1778),
    [aux_sym__keyword_for_token1] = ACTIONS(1778),
    [anon_sym_SEMI] = ACTIONS(1776),
    [aux_sym_declare_statement_token1] = ACTIONS(1778),
    [anon_sym_COMMA] = ACTIONS(1776),
    [aux_sym_set_statement_token1] = ACTIONS(1778),
    [anon_sym_LPAREN] = ACTIONS(1776),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1778),
    [aux_sym_return_satement_token1] = ACTIONS(1778),
    [aux_sym_call_statement_token1] = ACTIONS(1778),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1778),
    [aux_sym_if_statement_token1] = ACTIONS(1778),
    [aux_sym_loop_statement_token1] = ACTIONS(1778),
    [aux_sym_repeat_statement_token1] = ACTIONS(1778),
    [aux_sym_while_statement_token1] = ACTIONS(1778),
    [aux_sym_break_statement_token1] = ACTIONS(1778),
    [aux_sym_leave_statement_token1] = ACTIONS(1778),
    [aux_sym_continue_statement_token1] = ACTIONS(1778),
    [aux_sym_iterate_statement_token1] = ACTIONS(1778),
    [aux_sym_raise_statement_token1] = ACTIONS(1778),
    [anon_sym_EQ] = ACTIONS(1776),
    [aux_sym_assert_statement_token1] = ACTIONS(1778),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1778),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1778),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1778),
    [anon_sym_LT] = ACTIONS(1778),
    [anon_sym_GT] = ACTIONS(1778),
    [aux_sym_set_operation_token1] = ACTIONS(1778),
    [aux_sym_set_operation_token3] = ACTIONS(1778),
    [aux_sym_set_operation_token4] = ACTIONS(1778),
    [aux_sym_select_token1] = ACTIONS(1778),
    [aux_sym_having_clause_token1] = ACTIONS(1778),
    [aux_sym_qualify_clause_token1] = ACTIONS(1778),
    [aux_sym_limit_clause_token1] = ACTIONS(1778),
    [aux_sym_group_by_clause_token1] = ACTIONS(1778),
    [aux_sym_order_by_clause_token1] = ACTIONS(1778),
    [aux_sym_where_clause_token1] = ACTIONS(1778),
    [aux_sym_insert_statement_token1] = ACTIONS(1778),
    [aux_sym_truncate_statement_token1] = ACTIONS(1778),
    [aux_sym_update_statement_token1] = ACTIONS(1778),
    [aux_sym_merge_statement_token1] = ACTIONS(1778),
    [aux_sym_grant_statement_token1] = ACTIONS(1778),
    [aux_sym_revoke_statement_token1] = ACTIONS(1778),
    [aux_sym_export_data_statement_token1] = ACTIONS(1778),
    [aux_sym_load_data_statement_token1] = ACTIONS(1778),
    [anon_sym_LBRACK] = ACTIONS(1776),
    [sym__quoted_identifier] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1776),
    [anon_sym_PLUS] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1778),
    [anon_sym_STAR] = ACTIONS(1776),
    [anon_sym_SLASH] = ACTIONS(1778),
    [anon_sym_PIPE_PIPE] = ACTIONS(1776),
    [anon_sym_LT_EQ] = ACTIONS(1776),
    [anon_sym_LT_GT] = ACTIONS(1776),
    [anon_sym_GT_EQ] = ACTIONS(1776),
    [anon_sym_BANG_EQ] = ACTIONS(1776),
    [anon_sym_LT_LT] = ACTIONS(1776),
    [anon_sym_GT_GT] = ACTIONS(1776),
    [anon_sym_AMP] = ACTIONS(1776),
    [anon_sym_CARET] = ACTIONS(1776),
    [anon_sym_PIPE] = ACTIONS(1778),
  },
  [2054] = {
    [ts_builtin_sym_end] = ACTIONS(1776),
    [sym__unquoted_identifier] = ACTIONS(1778),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1778),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1778),
    [aux_sym_keyword_replace_token1] = ACTIONS(1778),
    [aux_sym__keyword_alter_token1] = ACTIONS(1778),
    [aux_sym__keyword_from_token1] = ACTIONS(1778),
    [aux_sym__keyword_delete_token1] = ACTIONS(1778),
    [aux_sym__keyword_begin_token1] = ACTIONS(1778),
    [aux_sym__keyword_end_token1] = ACTIONS(1778),
    [aux_sym__keyword_between_token1] = ACTIONS(1778),
    [aux_sym__keyword_when_token1] = ACTIONS(1778),
    [aux_sym__keyword_else_token1] = ACTIONS(1778),
    [aux_sym__keyword_is_token1] = ACTIONS(1778),
    [aux_sym__keyword_in_token1] = ACTIONS(1778),
    [aux_sym__keyword_and_token1] = ACTIONS(1778),
    [aux_sym__keyword_like_token1] = ACTIONS(1778),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1778),
    [aux_sym__keyword_as_token1] = ACTIONS(1778),
    [aux_sym__keyword_window_token1] = ACTIONS(1778),
    [aux_sym__keyword_date_token1] = ACTIONS(1778),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1778),
    [aux_sym__keyword_time_token1] = ACTIONS(1778),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1778),
    [aux_sym__keyword_for_token1] = ACTIONS(1778),
    [anon_sym_SEMI] = ACTIONS(1776),
    [aux_sym_declare_statement_token1] = ACTIONS(1778),
    [anon_sym_COMMA] = ACTIONS(1776),
    [aux_sym_set_statement_token1] = ACTIONS(1778),
    [anon_sym_LPAREN] = ACTIONS(1776),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1778),
    [aux_sym_return_satement_token1] = ACTIONS(1778),
    [aux_sym_call_statement_token1] = ACTIONS(1778),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1778),
    [aux_sym_if_statement_token1] = ACTIONS(1778),
    [aux_sym_loop_statement_token1] = ACTIONS(1778),
    [aux_sym_repeat_statement_token1] = ACTIONS(1778),
    [aux_sym_while_statement_token1] = ACTIONS(1778),
    [aux_sym_break_statement_token1] = ACTIONS(1778),
    [aux_sym_leave_statement_token1] = ACTIONS(1778),
    [aux_sym_continue_statement_token1] = ACTIONS(1778),
    [aux_sym_iterate_statement_token1] = ACTIONS(1778),
    [aux_sym_raise_statement_token1] = ACTIONS(1778),
    [anon_sym_EQ] = ACTIONS(1776),
    [aux_sym_assert_statement_token1] = ACTIONS(1778),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1778),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1778),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1778),
    [anon_sym_LT] = ACTIONS(1778),
    [anon_sym_GT] = ACTIONS(1778),
    [aux_sym_set_operation_token1] = ACTIONS(1778),
    [aux_sym_set_operation_token3] = ACTIONS(1778),
    [aux_sym_set_operation_token4] = ACTIONS(1778),
    [aux_sym_select_token1] = ACTIONS(1778),
    [aux_sym_having_clause_token1] = ACTIONS(1778),
    [aux_sym_qualify_clause_token1] = ACTIONS(1778),
    [aux_sym_limit_clause_token1] = ACTIONS(1778),
    [aux_sym_group_by_clause_token1] = ACTIONS(1778),
    [aux_sym_order_by_clause_token1] = ACTIONS(1778),
    [aux_sym_where_clause_token1] = ACTIONS(1778),
    [aux_sym_insert_statement_token1] = ACTIONS(1778),
    [aux_sym_truncate_statement_token1] = ACTIONS(1778),
    [aux_sym_update_statement_token1] = ACTIONS(1778),
    [aux_sym_merge_statement_token1] = ACTIONS(1778),
    [aux_sym_grant_statement_token1] = ACTIONS(1778),
    [aux_sym_revoke_statement_token1] = ACTIONS(1778),
    [aux_sym_export_data_statement_token1] = ACTIONS(1778),
    [aux_sym_load_data_statement_token1] = ACTIONS(1778),
    [anon_sym_LBRACK] = ACTIONS(1776),
    [sym__quoted_identifier] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1776),
    [anon_sym_PLUS] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1778),
    [anon_sym_STAR] = ACTIONS(1776),
    [anon_sym_SLASH] = ACTIONS(1778),
    [anon_sym_PIPE_PIPE] = ACTIONS(1776),
    [anon_sym_LT_EQ] = ACTIONS(1776),
    [anon_sym_LT_GT] = ACTIONS(1776),
    [anon_sym_GT_EQ] = ACTIONS(1776),
    [anon_sym_BANG_EQ] = ACTIONS(1776),
    [anon_sym_LT_LT] = ACTIONS(1776),
    [anon_sym_GT_GT] = ACTIONS(1776),
    [anon_sym_AMP] = ACTIONS(1776),
    [anon_sym_CARET] = ACTIONS(1776),
    [anon_sym_PIPE] = ACTIONS(1778),
  },
  [2055] = {
    [ts_builtin_sym_end] = ACTIONS(1776),
    [sym__unquoted_identifier] = ACTIONS(1778),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1778),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1778),
    [aux_sym_keyword_replace_token1] = ACTIONS(1778),
    [aux_sym__keyword_alter_token1] = ACTIONS(1778),
    [aux_sym__keyword_from_token1] = ACTIONS(1778),
    [aux_sym__keyword_delete_token1] = ACTIONS(1778),
    [aux_sym__keyword_begin_token1] = ACTIONS(1778),
    [aux_sym__keyword_end_token1] = ACTIONS(1778),
    [aux_sym__keyword_between_token1] = ACTIONS(1778),
    [aux_sym__keyword_when_token1] = ACTIONS(1778),
    [aux_sym__keyword_else_token1] = ACTIONS(1778),
    [aux_sym__keyword_is_token1] = ACTIONS(1778),
    [aux_sym__keyword_in_token1] = ACTIONS(1778),
    [aux_sym__keyword_and_token1] = ACTIONS(1778),
    [aux_sym__keyword_like_token1] = ACTIONS(1778),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1778),
    [aux_sym__keyword_as_token1] = ACTIONS(1778),
    [aux_sym__keyword_window_token1] = ACTIONS(1778),
    [aux_sym__keyword_date_token1] = ACTIONS(1778),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1778),
    [aux_sym__keyword_time_token1] = ACTIONS(1778),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1778),
    [aux_sym__keyword_for_token1] = ACTIONS(1778),
    [anon_sym_SEMI] = ACTIONS(1776),
    [aux_sym_declare_statement_token1] = ACTIONS(1778),
    [anon_sym_COMMA] = ACTIONS(1776),
    [aux_sym_set_statement_token1] = ACTIONS(1778),
    [anon_sym_LPAREN] = ACTIONS(1776),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1778),
    [aux_sym_return_satement_token1] = ACTIONS(1778),
    [aux_sym_call_statement_token1] = ACTIONS(1778),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1778),
    [aux_sym_if_statement_token1] = ACTIONS(1778),
    [aux_sym_loop_statement_token1] = ACTIONS(1778),
    [aux_sym_repeat_statement_token1] = ACTIONS(1778),
    [aux_sym_while_statement_token1] = ACTIONS(1778),
    [aux_sym_break_statement_token1] = ACTIONS(1778),
    [aux_sym_leave_statement_token1] = ACTIONS(1778),
    [aux_sym_continue_statement_token1] = ACTIONS(1778),
    [aux_sym_iterate_statement_token1] = ACTIONS(1778),
    [aux_sym_raise_statement_token1] = ACTIONS(1778),
    [anon_sym_EQ] = ACTIONS(1776),
    [aux_sym_assert_statement_token1] = ACTIONS(1778),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1778),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1778),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1778),
    [anon_sym_LT] = ACTIONS(1778),
    [anon_sym_GT] = ACTIONS(1778),
    [aux_sym_set_operation_token1] = ACTIONS(1778),
    [aux_sym_set_operation_token3] = ACTIONS(1778),
    [aux_sym_set_operation_token4] = ACTIONS(1778),
    [aux_sym_select_token1] = ACTIONS(1778),
    [aux_sym_having_clause_token1] = ACTIONS(1778),
    [aux_sym_qualify_clause_token1] = ACTIONS(1778),
    [aux_sym_limit_clause_token1] = ACTIONS(1778),
    [aux_sym_group_by_clause_token1] = ACTIONS(1778),
    [aux_sym_order_by_clause_token1] = ACTIONS(1778),
    [aux_sym_where_clause_token1] = ACTIONS(1778),
    [aux_sym_insert_statement_token1] = ACTIONS(1778),
    [aux_sym_truncate_statement_token1] = ACTIONS(1778),
    [aux_sym_update_statement_token1] = ACTIONS(1778),
    [aux_sym_merge_statement_token1] = ACTIONS(1778),
    [aux_sym_grant_statement_token1] = ACTIONS(1778),
    [aux_sym_revoke_statement_token1] = ACTIONS(1778),
    [aux_sym_export_data_statement_token1] = ACTIONS(1778),
    [aux_sym_load_data_statement_token1] = ACTIONS(1778),
    [anon_sym_LBRACK] = ACTIONS(1776),
    [sym__quoted_identifier] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1776),
    [anon_sym_PLUS] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1778),
    [anon_sym_STAR] = ACTIONS(1776),
    [anon_sym_SLASH] = ACTIONS(1778),
    [anon_sym_PIPE_PIPE] = ACTIONS(1776),
    [anon_sym_LT_EQ] = ACTIONS(1776),
    [anon_sym_LT_GT] = ACTIONS(1776),
    [anon_sym_GT_EQ] = ACTIONS(1776),
    [anon_sym_BANG_EQ] = ACTIONS(1776),
    [anon_sym_LT_LT] = ACTIONS(1776),
    [anon_sym_GT_GT] = ACTIONS(1776),
    [anon_sym_AMP] = ACTIONS(1776),
    [anon_sym_CARET] = ACTIONS(1776),
    [anon_sym_PIPE] = ACTIONS(1778),
  },
  [2056] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2057] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [sym__unquoted_identifier] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1448),
    [aux_sym_keyword_replace_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1448),
    [aux_sym__keyword_from_token1] = ACTIONS(1448),
    [aux_sym__keyword_delete_token1] = ACTIONS(1448),
    [aux_sym__keyword_begin_token1] = ACTIONS(1448),
    [aux_sym__keyword_end_token1] = ACTIONS(1448),
    [aux_sym__keyword_between_token1] = ACTIONS(1448),
    [aux_sym__keyword_when_token1] = ACTIONS(1448),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1448),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1448),
    [aux_sym__keyword_like_token1] = ACTIONS(1448),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1448),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_window_token1] = ACTIONS(1448),
    [aux_sym__keyword_date_token1] = ACTIONS(1448),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1448),
    [aux_sym__keyword_time_token1] = ACTIONS(1448),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1448),
    [aux_sym_return_satement_token1] = ACTIONS(1448),
    [aux_sym_call_statement_token1] = ACTIONS(1448),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1448),
    [aux_sym_if_statement_token1] = ACTIONS(1448),
    [aux_sym_loop_statement_token1] = ACTIONS(1448),
    [aux_sym_repeat_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [aux_sym_leave_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_iterate_statement_token1] = ACTIONS(1448),
    [aux_sym_raise_statement_token1] = ACTIONS(1448),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1448),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1448),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1448),
    [aux_sym_set_operation_token3] = ACTIONS(1448),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1448),
    [aux_sym_having_clause_token1] = ACTIONS(1448),
    [aux_sym_qualify_clause_token1] = ACTIONS(1448),
    [aux_sym_limit_clause_token1] = ACTIONS(1448),
    [aux_sym_group_by_clause_token1] = ACTIONS(1448),
    [aux_sym_order_by_clause_token1] = ACTIONS(1448),
    [aux_sym_where_clause_token1] = ACTIONS(1448),
    [aux_sym_insert_statement_token1] = ACTIONS(1448),
    [aux_sym_truncate_statement_token1] = ACTIONS(1448),
    [aux_sym_update_statement_token1] = ACTIONS(1448),
    [aux_sym_merge_statement_token1] = ACTIONS(1448),
    [aux_sym_grant_statement_token1] = ACTIONS(1448),
    [aux_sym_revoke_statement_token1] = ACTIONS(1448),
    [aux_sym_export_data_statement_token1] = ACTIONS(1448),
    [aux_sym_load_data_statement_token1] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym__quoted_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [2058] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2059] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [sym__unquoted_identifier] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1448),
    [aux_sym_keyword_replace_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1448),
    [aux_sym__keyword_from_token1] = ACTIONS(1448),
    [aux_sym__keyword_delete_token1] = ACTIONS(1448),
    [aux_sym__keyword_begin_token1] = ACTIONS(1448),
    [aux_sym__keyword_end_token1] = ACTIONS(1448),
    [aux_sym__keyword_between_token1] = ACTIONS(1448),
    [aux_sym__keyword_when_token1] = ACTIONS(1448),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1448),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1448),
    [aux_sym__keyword_like_token1] = ACTIONS(1448),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1448),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_window_token1] = ACTIONS(1448),
    [aux_sym__keyword_date_token1] = ACTIONS(1448),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1448),
    [aux_sym__keyword_time_token1] = ACTIONS(1448),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1448),
    [aux_sym_return_satement_token1] = ACTIONS(1448),
    [aux_sym_call_statement_token1] = ACTIONS(1448),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1448),
    [aux_sym_if_statement_token1] = ACTIONS(1448),
    [aux_sym_loop_statement_token1] = ACTIONS(1448),
    [aux_sym_repeat_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [aux_sym_leave_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_iterate_statement_token1] = ACTIONS(1448),
    [aux_sym_raise_statement_token1] = ACTIONS(1448),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1448),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1448),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1448),
    [aux_sym_set_operation_token3] = ACTIONS(1448),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1448),
    [aux_sym_having_clause_token1] = ACTIONS(1448),
    [aux_sym_qualify_clause_token1] = ACTIONS(1448),
    [aux_sym_limit_clause_token1] = ACTIONS(1448),
    [aux_sym_group_by_clause_token1] = ACTIONS(1448),
    [aux_sym_order_by_clause_token1] = ACTIONS(1448),
    [aux_sym_where_clause_token1] = ACTIONS(1448),
    [aux_sym_insert_statement_token1] = ACTIONS(1448),
    [aux_sym_truncate_statement_token1] = ACTIONS(1448),
    [aux_sym_update_statement_token1] = ACTIONS(1448),
    [aux_sym_merge_statement_token1] = ACTIONS(1448),
    [aux_sym_grant_statement_token1] = ACTIONS(1448),
    [aux_sym_revoke_statement_token1] = ACTIONS(1448),
    [aux_sym_export_data_statement_token1] = ACTIONS(1448),
    [aux_sym_load_data_statement_token1] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym__quoted_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [2060] = {
    [sym__unquoted_identifier] = ACTIONS(1518),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1518),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1518),
    [aux_sym_keyword_replace_token1] = ACTIONS(1518),
    [aux_sym__keyword_alter_token1] = ACTIONS(1518),
    [aux_sym__keyword_from_token1] = ACTIONS(1518),
    [aux_sym__keyword_delete_token1] = ACTIONS(1518),
    [aux_sym__keyword_begin_token1] = ACTIONS(1518),
    [aux_sym__keyword_end_token1] = ACTIONS(1518),
    [aux_sym__keyword_between_token1] = ACTIONS(1518),
    [aux_sym__keyword_when_token1] = ACTIONS(1518),
    [aux_sym__keyword_else_token1] = ACTIONS(1518),
    [aux_sym__keyword_is_token1] = ACTIONS(1518),
    [aux_sym__keyword_in_token1] = ACTIONS(1518),
    [aux_sym__keyword_and_token1] = ACTIONS(1518),
    [aux_sym__keyword_like_token1] = ACTIONS(1518),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1518),
    [aux_sym__keyword_as_token1] = ACTIONS(1518),
    [aux_sym__keyword_window_token1] = ACTIONS(1518),
    [aux_sym__keyword_date_token1] = ACTIONS(1518),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1518),
    [aux_sym__keyword_time_token1] = ACTIONS(1518),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1518),
    [aux_sym__keyword_for_token1] = ACTIONS(1518),
    [anon_sym_SEMI] = ACTIONS(1516),
    [aux_sym_declare_statement_token1] = ACTIONS(1518),
    [anon_sym_COMMA] = ACTIONS(1516),
    [aux_sym_set_statement_token1] = ACTIONS(1518),
    [anon_sym_LPAREN] = ACTIONS(1516),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1518),
    [aux_sym_return_satement_token1] = ACTIONS(1518),
    [aux_sym_call_statement_token1] = ACTIONS(1518),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1518),
    [aux_sym_if_statement_token1] = ACTIONS(1518),
    [aux_sym_loop_statement_token1] = ACTIONS(1518),
    [aux_sym_repeat_statement_token1] = ACTIONS(1518),
    [aux_sym_while_statement_token1] = ACTIONS(1518),
    [aux_sym_break_statement_token1] = ACTIONS(1518),
    [aux_sym_leave_statement_token1] = ACTIONS(1518),
    [aux_sym_continue_statement_token1] = ACTIONS(1518),
    [aux_sym_iterate_statement_token1] = ACTIONS(1518),
    [aux_sym_raise_statement_token1] = ACTIONS(1518),
    [anon_sym_EQ] = ACTIONS(1516),
    [aux_sym_assert_statement_token1] = ACTIONS(1518),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1518),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1518),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1518),
    [anon_sym_LT] = ACTIONS(1518),
    [anon_sym_GT] = ACTIONS(1518),
    [aux_sym_set_operation_token1] = ACTIONS(1518),
    [aux_sym_set_operation_token3] = ACTIONS(1518),
    [aux_sym_set_operation_token4] = ACTIONS(1518),
    [aux_sym_select_token1] = ACTIONS(1518),
    [aux_sym_having_clause_token1] = ACTIONS(1518),
    [aux_sym_qualify_clause_token1] = ACTIONS(1518),
    [aux_sym_limit_clause_token1] = ACTIONS(1518),
    [aux_sym_group_by_clause_token1] = ACTIONS(1518),
    [aux_sym_order_by_clause_token1] = ACTIONS(1518),
    [aux_sym_where_clause_token1] = ACTIONS(1518),
    [aux_sym_insert_statement_token1] = ACTIONS(1518),
    [aux_sym_truncate_statement_token1] = ACTIONS(1518),
    [aux_sym_update_statement_token1] = ACTIONS(1518),
    [aux_sym_merge_statement_token1] = ACTIONS(1518),
    [aux_sym_grant_statement_token1] = ACTIONS(1518),
    [aux_sym_revoke_statement_token1] = ACTIONS(1518),
    [aux_sym_export_data_statement_token1] = ACTIONS(1518),
    [aux_sym_load_data_statement_token1] = ACTIONS(1518),
    [anon_sym_LBRACK] = ACTIONS(1516),
    [sym__quoted_identifier] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1516),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1518),
    [anon_sym_STAR] = ACTIONS(1516),
    [anon_sym_SLASH] = ACTIONS(1518),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [anon_sym_LT_EQ] = ACTIONS(1516),
    [anon_sym_LT_GT] = ACTIONS(1516),
    [anon_sym_GT_EQ] = ACTIONS(1516),
    [anon_sym_BANG_EQ] = ACTIONS(1516),
    [anon_sym_LT_LT] = ACTIONS(1516),
    [anon_sym_GT_GT] = ACTIONS(1516),
    [anon_sym_AMP] = ACTIONS(1516),
    [anon_sym_CARET] = ACTIONS(1516),
    [anon_sym_PIPE] = ACTIONS(1518),
    [sym__string_start] = ACTIONS(1516),
  },
  [2061] = {
    [ts_builtin_sym_end] = ACTIONS(1632),
    [sym__unquoted_identifier] = ACTIONS(1634),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1634),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1634),
    [aux_sym_keyword_replace_token1] = ACTIONS(1634),
    [aux_sym__keyword_alter_token1] = ACTIONS(1634),
    [aux_sym__keyword_from_token1] = ACTIONS(1634),
    [aux_sym__keyword_delete_token1] = ACTIONS(1634),
    [aux_sym__keyword_begin_token1] = ACTIONS(1634),
    [aux_sym__keyword_end_token1] = ACTIONS(1634),
    [aux_sym__keyword_between_token1] = ACTIONS(1634),
    [aux_sym__keyword_when_token1] = ACTIONS(1634),
    [aux_sym__keyword_else_token1] = ACTIONS(1634),
    [aux_sym__keyword_is_token1] = ACTIONS(1634),
    [aux_sym__keyword_in_token1] = ACTIONS(1634),
    [aux_sym__keyword_and_token1] = ACTIONS(1634),
    [aux_sym__keyword_like_token1] = ACTIONS(1634),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1634),
    [aux_sym__keyword_as_token1] = ACTIONS(1634),
    [aux_sym__keyword_window_token1] = ACTIONS(1634),
    [aux_sym__keyword_date_token1] = ACTIONS(1634),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1634),
    [aux_sym__keyword_time_token1] = ACTIONS(1634),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1634),
    [aux_sym__keyword_for_token1] = ACTIONS(1634),
    [anon_sym_SEMI] = ACTIONS(1632),
    [aux_sym_declare_statement_token1] = ACTIONS(1634),
    [anon_sym_COMMA] = ACTIONS(1632),
    [aux_sym_set_statement_token1] = ACTIONS(1634),
    [anon_sym_LPAREN] = ACTIONS(1632),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1634),
    [aux_sym_return_satement_token1] = ACTIONS(1634),
    [aux_sym_call_statement_token1] = ACTIONS(1634),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1634),
    [aux_sym_if_statement_token1] = ACTIONS(1634),
    [aux_sym_loop_statement_token1] = ACTIONS(1634),
    [aux_sym_repeat_statement_token1] = ACTIONS(1634),
    [aux_sym_while_statement_token1] = ACTIONS(1634),
    [aux_sym_break_statement_token1] = ACTIONS(1634),
    [aux_sym_leave_statement_token1] = ACTIONS(1634),
    [aux_sym_continue_statement_token1] = ACTIONS(1634),
    [aux_sym_iterate_statement_token1] = ACTIONS(1634),
    [aux_sym_raise_statement_token1] = ACTIONS(1634),
    [anon_sym_EQ] = ACTIONS(1632),
    [aux_sym_assert_statement_token1] = ACTIONS(1634),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1634),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1634),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1634),
    [anon_sym_LT] = ACTIONS(1634),
    [anon_sym_GT] = ACTIONS(1634),
    [aux_sym_set_operation_token1] = ACTIONS(1634),
    [aux_sym_set_operation_token3] = ACTIONS(1634),
    [aux_sym_set_operation_token4] = ACTIONS(1634),
    [aux_sym_select_token1] = ACTIONS(1634),
    [aux_sym_having_clause_token1] = ACTIONS(1634),
    [aux_sym_qualify_clause_token1] = ACTIONS(1634),
    [aux_sym_limit_clause_token1] = ACTIONS(1634),
    [aux_sym_group_by_clause_token1] = ACTIONS(1634),
    [aux_sym_order_by_clause_token1] = ACTIONS(1634),
    [aux_sym_where_clause_token1] = ACTIONS(1634),
    [aux_sym_insert_statement_token1] = ACTIONS(1634),
    [aux_sym_truncate_statement_token1] = ACTIONS(1634),
    [aux_sym_update_statement_token1] = ACTIONS(1634),
    [aux_sym_merge_statement_token1] = ACTIONS(1634),
    [aux_sym_grant_statement_token1] = ACTIONS(1634),
    [aux_sym_revoke_statement_token1] = ACTIONS(1634),
    [aux_sym_export_data_statement_token1] = ACTIONS(1634),
    [aux_sym_load_data_statement_token1] = ACTIONS(1634),
    [anon_sym_LBRACK] = ACTIONS(1632),
    [sym__quoted_identifier] = ACTIONS(1632),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1632),
    [anon_sym_PLUS] = ACTIONS(1632),
    [anon_sym_DASH] = ACTIONS(1634),
    [anon_sym_STAR] = ACTIONS(1632),
    [anon_sym_SLASH] = ACTIONS(1634),
    [anon_sym_PIPE_PIPE] = ACTIONS(1632),
    [anon_sym_LT_EQ] = ACTIONS(1632),
    [anon_sym_LT_GT] = ACTIONS(1632),
    [anon_sym_GT_EQ] = ACTIONS(1632),
    [anon_sym_BANG_EQ] = ACTIONS(1632),
    [anon_sym_LT_LT] = ACTIONS(1632),
    [anon_sym_GT_GT] = ACTIONS(1632),
    [anon_sym_AMP] = ACTIONS(1632),
    [anon_sym_CARET] = ACTIONS(1632),
    [anon_sym_PIPE] = ACTIONS(1634),
  },
  [2062] = {
    [ts_builtin_sym_end] = ACTIONS(1636),
    [sym__unquoted_identifier] = ACTIONS(1638),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1638),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1638),
    [aux_sym_keyword_replace_token1] = ACTIONS(1638),
    [aux_sym__keyword_alter_token1] = ACTIONS(1638),
    [aux_sym__keyword_from_token1] = ACTIONS(1638),
    [aux_sym__keyword_delete_token1] = ACTIONS(1638),
    [aux_sym__keyword_begin_token1] = ACTIONS(1638),
    [aux_sym__keyword_end_token1] = ACTIONS(1638),
    [aux_sym__keyword_between_token1] = ACTIONS(1638),
    [aux_sym__keyword_when_token1] = ACTIONS(1638),
    [aux_sym__keyword_else_token1] = ACTIONS(1638),
    [aux_sym__keyword_is_token1] = ACTIONS(1638),
    [aux_sym__keyword_in_token1] = ACTIONS(1638),
    [aux_sym__keyword_and_token1] = ACTIONS(1638),
    [aux_sym__keyword_like_token1] = ACTIONS(1638),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1638),
    [aux_sym__keyword_as_token1] = ACTIONS(1638),
    [aux_sym__keyword_window_token1] = ACTIONS(1638),
    [aux_sym__keyword_date_token1] = ACTIONS(1638),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1638),
    [aux_sym__keyword_time_token1] = ACTIONS(1638),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1638),
    [aux_sym__keyword_for_token1] = ACTIONS(1638),
    [anon_sym_SEMI] = ACTIONS(1636),
    [aux_sym_declare_statement_token1] = ACTIONS(1638),
    [anon_sym_COMMA] = ACTIONS(1636),
    [aux_sym_set_statement_token1] = ACTIONS(1638),
    [anon_sym_LPAREN] = ACTIONS(1636),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1638),
    [aux_sym_return_satement_token1] = ACTIONS(1638),
    [aux_sym_call_statement_token1] = ACTIONS(1638),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1638),
    [aux_sym_if_statement_token1] = ACTIONS(1638),
    [aux_sym_loop_statement_token1] = ACTIONS(1638),
    [aux_sym_repeat_statement_token1] = ACTIONS(1638),
    [aux_sym_while_statement_token1] = ACTIONS(1638),
    [aux_sym_break_statement_token1] = ACTIONS(1638),
    [aux_sym_leave_statement_token1] = ACTIONS(1638),
    [aux_sym_continue_statement_token1] = ACTIONS(1638),
    [aux_sym_iterate_statement_token1] = ACTIONS(1638),
    [aux_sym_raise_statement_token1] = ACTIONS(1638),
    [anon_sym_EQ] = ACTIONS(1636),
    [aux_sym_assert_statement_token1] = ACTIONS(1638),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1638),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1638),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1638),
    [anon_sym_LT] = ACTIONS(1638),
    [anon_sym_GT] = ACTIONS(1638),
    [aux_sym_set_operation_token1] = ACTIONS(1638),
    [aux_sym_set_operation_token3] = ACTIONS(1638),
    [aux_sym_set_operation_token4] = ACTIONS(1638),
    [aux_sym_select_token1] = ACTIONS(1638),
    [aux_sym_having_clause_token1] = ACTIONS(1638),
    [aux_sym_qualify_clause_token1] = ACTIONS(1638),
    [aux_sym_limit_clause_token1] = ACTIONS(1638),
    [aux_sym_group_by_clause_token1] = ACTIONS(1638),
    [aux_sym_order_by_clause_token1] = ACTIONS(1638),
    [aux_sym_where_clause_token1] = ACTIONS(1638),
    [aux_sym_insert_statement_token1] = ACTIONS(1638),
    [aux_sym_truncate_statement_token1] = ACTIONS(1638),
    [aux_sym_update_statement_token1] = ACTIONS(1638),
    [aux_sym_merge_statement_token1] = ACTIONS(1638),
    [aux_sym_grant_statement_token1] = ACTIONS(1638),
    [aux_sym_revoke_statement_token1] = ACTIONS(1638),
    [aux_sym_export_data_statement_token1] = ACTIONS(1638),
    [aux_sym_load_data_statement_token1] = ACTIONS(1638),
    [anon_sym_LBRACK] = ACTIONS(1636),
    [sym__quoted_identifier] = ACTIONS(1636),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1636),
    [anon_sym_PLUS] = ACTIONS(1636),
    [anon_sym_DASH] = ACTIONS(1638),
    [anon_sym_STAR] = ACTIONS(1636),
    [anon_sym_SLASH] = ACTIONS(1638),
    [anon_sym_PIPE_PIPE] = ACTIONS(1636),
    [anon_sym_LT_EQ] = ACTIONS(1636),
    [anon_sym_LT_GT] = ACTIONS(1636),
    [anon_sym_GT_EQ] = ACTIONS(1636),
    [anon_sym_BANG_EQ] = ACTIONS(1636),
    [anon_sym_LT_LT] = ACTIONS(1636),
    [anon_sym_GT_GT] = ACTIONS(1636),
    [anon_sym_AMP] = ACTIONS(1636),
    [anon_sym_CARET] = ACTIONS(1636),
    [anon_sym_PIPE] = ACTIONS(1638),
  },
  [2063] = {
    [ts_builtin_sym_end] = ACTIONS(1640),
    [sym__unquoted_identifier] = ACTIONS(1642),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1642),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1642),
    [aux_sym_keyword_replace_token1] = ACTIONS(1642),
    [aux_sym__keyword_alter_token1] = ACTIONS(1642),
    [aux_sym__keyword_from_token1] = ACTIONS(1642),
    [aux_sym__keyword_delete_token1] = ACTIONS(1642),
    [aux_sym__keyword_begin_token1] = ACTIONS(1642),
    [aux_sym__keyword_end_token1] = ACTIONS(1642),
    [aux_sym__keyword_between_token1] = ACTIONS(1642),
    [aux_sym__keyword_when_token1] = ACTIONS(1642),
    [aux_sym__keyword_else_token1] = ACTIONS(1642),
    [aux_sym__keyword_is_token1] = ACTIONS(1642),
    [aux_sym__keyword_in_token1] = ACTIONS(1642),
    [aux_sym__keyword_and_token1] = ACTIONS(1642),
    [aux_sym__keyword_like_token1] = ACTIONS(1642),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1642),
    [aux_sym__keyword_as_token1] = ACTIONS(1642),
    [aux_sym__keyword_window_token1] = ACTIONS(1642),
    [aux_sym__keyword_date_token1] = ACTIONS(1642),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1642),
    [aux_sym__keyword_time_token1] = ACTIONS(1642),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1642),
    [aux_sym__keyword_for_token1] = ACTIONS(1642),
    [anon_sym_SEMI] = ACTIONS(1640),
    [aux_sym_declare_statement_token1] = ACTIONS(1642),
    [anon_sym_COMMA] = ACTIONS(1640),
    [aux_sym_set_statement_token1] = ACTIONS(1642),
    [anon_sym_LPAREN] = ACTIONS(1640),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1642),
    [aux_sym_return_satement_token1] = ACTIONS(1642),
    [aux_sym_call_statement_token1] = ACTIONS(1642),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1642),
    [aux_sym_if_statement_token1] = ACTIONS(1642),
    [aux_sym_loop_statement_token1] = ACTIONS(1642),
    [aux_sym_repeat_statement_token1] = ACTIONS(1642),
    [aux_sym_while_statement_token1] = ACTIONS(1642),
    [aux_sym_break_statement_token1] = ACTIONS(1642),
    [aux_sym_leave_statement_token1] = ACTIONS(1642),
    [aux_sym_continue_statement_token1] = ACTIONS(1642),
    [aux_sym_iterate_statement_token1] = ACTIONS(1642),
    [aux_sym_raise_statement_token1] = ACTIONS(1642),
    [anon_sym_EQ] = ACTIONS(1640),
    [aux_sym_assert_statement_token1] = ACTIONS(1642),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1642),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1642),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1642),
    [anon_sym_LT] = ACTIONS(1642),
    [anon_sym_GT] = ACTIONS(1642),
    [aux_sym_set_operation_token1] = ACTIONS(1642),
    [aux_sym_set_operation_token3] = ACTIONS(1642),
    [aux_sym_set_operation_token4] = ACTIONS(1642),
    [aux_sym_select_token1] = ACTIONS(1642),
    [aux_sym_having_clause_token1] = ACTIONS(1642),
    [aux_sym_qualify_clause_token1] = ACTIONS(1642),
    [aux_sym_limit_clause_token1] = ACTIONS(1642),
    [aux_sym_group_by_clause_token1] = ACTIONS(1642),
    [aux_sym_order_by_clause_token1] = ACTIONS(1642),
    [aux_sym_where_clause_token1] = ACTIONS(1642),
    [aux_sym_insert_statement_token1] = ACTIONS(1642),
    [aux_sym_truncate_statement_token1] = ACTIONS(1642),
    [aux_sym_update_statement_token1] = ACTIONS(1642),
    [aux_sym_merge_statement_token1] = ACTIONS(1642),
    [aux_sym_grant_statement_token1] = ACTIONS(1642),
    [aux_sym_revoke_statement_token1] = ACTIONS(1642),
    [aux_sym_export_data_statement_token1] = ACTIONS(1642),
    [aux_sym_load_data_statement_token1] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(1640),
    [sym__quoted_identifier] = ACTIONS(1640),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1640),
    [anon_sym_PLUS] = ACTIONS(1640),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1640),
    [anon_sym_SLASH] = ACTIONS(1642),
    [anon_sym_PIPE_PIPE] = ACTIONS(1640),
    [anon_sym_LT_EQ] = ACTIONS(1640),
    [anon_sym_LT_GT] = ACTIONS(1640),
    [anon_sym_GT_EQ] = ACTIONS(1640),
    [anon_sym_BANG_EQ] = ACTIONS(1640),
    [anon_sym_LT_LT] = ACTIONS(1640),
    [anon_sym_GT_GT] = ACTIONS(1640),
    [anon_sym_AMP] = ACTIONS(1640),
    [anon_sym_CARET] = ACTIONS(1640),
    [anon_sym_PIPE] = ACTIONS(1642),
  },
  [2064] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2065] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2066] = {
    [ts_builtin_sym_end] = ACTIONS(1644),
    [sym__unquoted_identifier] = ACTIONS(1646),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1646),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1646),
    [aux_sym_keyword_replace_token1] = ACTIONS(1646),
    [aux_sym__keyword_alter_token1] = ACTIONS(1646),
    [aux_sym__keyword_from_token1] = ACTIONS(1646),
    [aux_sym__keyword_delete_token1] = ACTIONS(1646),
    [aux_sym__keyword_begin_token1] = ACTIONS(1646),
    [aux_sym__keyword_end_token1] = ACTIONS(1646),
    [aux_sym__keyword_between_token1] = ACTIONS(1646),
    [aux_sym__keyword_when_token1] = ACTIONS(1646),
    [aux_sym__keyword_else_token1] = ACTIONS(1646),
    [aux_sym__keyword_is_token1] = ACTIONS(1646),
    [aux_sym__keyword_in_token1] = ACTIONS(1646),
    [aux_sym__keyword_and_token1] = ACTIONS(1646),
    [aux_sym__keyword_like_token1] = ACTIONS(1646),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1646),
    [aux_sym__keyword_as_token1] = ACTIONS(1646),
    [aux_sym__keyword_window_token1] = ACTIONS(1646),
    [aux_sym__keyword_date_token1] = ACTIONS(1646),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1646),
    [aux_sym__keyword_time_token1] = ACTIONS(1646),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1646),
    [aux_sym__keyword_for_token1] = ACTIONS(1646),
    [anon_sym_SEMI] = ACTIONS(1644),
    [aux_sym_declare_statement_token1] = ACTIONS(1646),
    [anon_sym_COMMA] = ACTIONS(1644),
    [aux_sym_set_statement_token1] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1644),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1646),
    [aux_sym_return_satement_token1] = ACTIONS(1646),
    [aux_sym_call_statement_token1] = ACTIONS(1646),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1646),
    [aux_sym_if_statement_token1] = ACTIONS(1646),
    [aux_sym_loop_statement_token1] = ACTIONS(1646),
    [aux_sym_repeat_statement_token1] = ACTIONS(1646),
    [aux_sym_while_statement_token1] = ACTIONS(1646),
    [aux_sym_break_statement_token1] = ACTIONS(1646),
    [aux_sym_leave_statement_token1] = ACTIONS(1646),
    [aux_sym_continue_statement_token1] = ACTIONS(1646),
    [aux_sym_iterate_statement_token1] = ACTIONS(1646),
    [aux_sym_raise_statement_token1] = ACTIONS(1646),
    [anon_sym_EQ] = ACTIONS(1644),
    [aux_sym_assert_statement_token1] = ACTIONS(1646),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1646),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1646),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1646),
    [anon_sym_LT] = ACTIONS(1646),
    [anon_sym_GT] = ACTIONS(1646),
    [aux_sym_set_operation_token1] = ACTIONS(1646),
    [aux_sym_set_operation_token3] = ACTIONS(1646),
    [aux_sym_set_operation_token4] = ACTIONS(1646),
    [aux_sym_select_token1] = ACTIONS(1646),
    [aux_sym_having_clause_token1] = ACTIONS(1646),
    [aux_sym_qualify_clause_token1] = ACTIONS(1646),
    [aux_sym_limit_clause_token1] = ACTIONS(1646),
    [aux_sym_group_by_clause_token1] = ACTIONS(1646),
    [aux_sym_order_by_clause_token1] = ACTIONS(1646),
    [aux_sym_where_clause_token1] = ACTIONS(1646),
    [aux_sym_insert_statement_token1] = ACTIONS(1646),
    [aux_sym_truncate_statement_token1] = ACTIONS(1646),
    [aux_sym_update_statement_token1] = ACTIONS(1646),
    [aux_sym_merge_statement_token1] = ACTIONS(1646),
    [aux_sym_grant_statement_token1] = ACTIONS(1646),
    [aux_sym_revoke_statement_token1] = ACTIONS(1646),
    [aux_sym_export_data_statement_token1] = ACTIONS(1646),
    [aux_sym_load_data_statement_token1] = ACTIONS(1646),
    [anon_sym_LBRACK] = ACTIONS(1644),
    [sym__quoted_identifier] = ACTIONS(1644),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1644),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1646),
    [anon_sym_STAR] = ACTIONS(1644),
    [anon_sym_SLASH] = ACTIONS(1646),
    [anon_sym_PIPE_PIPE] = ACTIONS(1644),
    [anon_sym_LT_EQ] = ACTIONS(1644),
    [anon_sym_LT_GT] = ACTIONS(1644),
    [anon_sym_GT_EQ] = ACTIONS(1644),
    [anon_sym_BANG_EQ] = ACTIONS(1644),
    [anon_sym_LT_LT] = ACTIONS(1644),
    [anon_sym_GT_GT] = ACTIONS(1644),
    [anon_sym_AMP] = ACTIONS(1644),
    [anon_sym_CARET] = ACTIONS(1644),
    [anon_sym_PIPE] = ACTIONS(1646),
  },
  [2067] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [sym__unquoted_identifier] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1448),
    [aux_sym_keyword_replace_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1448),
    [aux_sym__keyword_from_token1] = ACTIONS(1448),
    [aux_sym__keyword_delete_token1] = ACTIONS(1448),
    [aux_sym__keyword_begin_token1] = ACTIONS(1448),
    [aux_sym__keyword_end_token1] = ACTIONS(1448),
    [aux_sym__keyword_between_token1] = ACTIONS(1448),
    [aux_sym__keyword_when_token1] = ACTIONS(1448),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1448),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1448),
    [aux_sym__keyword_like_token1] = ACTIONS(1448),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1448),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_window_token1] = ACTIONS(1448),
    [aux_sym__keyword_date_token1] = ACTIONS(1448),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1448),
    [aux_sym__keyword_time_token1] = ACTIONS(1448),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1448),
    [aux_sym_return_satement_token1] = ACTIONS(1448),
    [aux_sym_call_statement_token1] = ACTIONS(1448),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1448),
    [aux_sym_if_statement_token1] = ACTIONS(1448),
    [aux_sym_loop_statement_token1] = ACTIONS(1448),
    [aux_sym_repeat_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [aux_sym_leave_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_iterate_statement_token1] = ACTIONS(1448),
    [aux_sym_raise_statement_token1] = ACTIONS(1448),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1448),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1448),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1448),
    [aux_sym_set_operation_token3] = ACTIONS(1448),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1448),
    [aux_sym_having_clause_token1] = ACTIONS(1448),
    [aux_sym_qualify_clause_token1] = ACTIONS(1448),
    [aux_sym_limit_clause_token1] = ACTIONS(1448),
    [aux_sym_group_by_clause_token1] = ACTIONS(1448),
    [aux_sym_order_by_clause_token1] = ACTIONS(1448),
    [aux_sym_where_clause_token1] = ACTIONS(1448),
    [aux_sym_insert_statement_token1] = ACTIONS(1448),
    [aux_sym_truncate_statement_token1] = ACTIONS(1448),
    [aux_sym_update_statement_token1] = ACTIONS(1448),
    [aux_sym_merge_statement_token1] = ACTIONS(1448),
    [aux_sym_grant_statement_token1] = ACTIONS(1448),
    [aux_sym_revoke_statement_token1] = ACTIONS(1448),
    [aux_sym_export_data_statement_token1] = ACTIONS(1448),
    [aux_sym_load_data_statement_token1] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym__quoted_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [2068] = {
    [ts_builtin_sym_end] = ACTIONS(1648),
    [sym__unquoted_identifier] = ACTIONS(1650),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1650),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1650),
    [aux_sym_keyword_replace_token1] = ACTIONS(1650),
    [aux_sym__keyword_alter_token1] = ACTIONS(1650),
    [aux_sym__keyword_from_token1] = ACTIONS(1650),
    [aux_sym__keyword_delete_token1] = ACTIONS(1650),
    [aux_sym__keyword_begin_token1] = ACTIONS(1650),
    [aux_sym__keyword_end_token1] = ACTIONS(1650),
    [aux_sym__keyword_between_token1] = ACTIONS(1650),
    [aux_sym__keyword_when_token1] = ACTIONS(1650),
    [aux_sym__keyword_else_token1] = ACTIONS(1650),
    [aux_sym__keyword_is_token1] = ACTIONS(1650),
    [aux_sym__keyword_in_token1] = ACTIONS(1650),
    [aux_sym__keyword_and_token1] = ACTIONS(1650),
    [aux_sym__keyword_like_token1] = ACTIONS(1650),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1650),
    [aux_sym__keyword_as_token1] = ACTIONS(1650),
    [aux_sym__keyword_window_token1] = ACTIONS(1650),
    [aux_sym__keyword_date_token1] = ACTIONS(1650),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1650),
    [aux_sym__keyword_time_token1] = ACTIONS(1650),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1650),
    [aux_sym__keyword_for_token1] = ACTIONS(1650),
    [anon_sym_SEMI] = ACTIONS(1648),
    [aux_sym_declare_statement_token1] = ACTIONS(1650),
    [anon_sym_COMMA] = ACTIONS(1648),
    [aux_sym_set_statement_token1] = ACTIONS(1650),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1650),
    [aux_sym_return_satement_token1] = ACTIONS(1650),
    [aux_sym_call_statement_token1] = ACTIONS(1650),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1650),
    [aux_sym_if_statement_token1] = ACTIONS(1650),
    [aux_sym_loop_statement_token1] = ACTIONS(1650),
    [aux_sym_repeat_statement_token1] = ACTIONS(1650),
    [aux_sym_while_statement_token1] = ACTIONS(1650),
    [aux_sym_break_statement_token1] = ACTIONS(1650),
    [aux_sym_leave_statement_token1] = ACTIONS(1650),
    [aux_sym_continue_statement_token1] = ACTIONS(1650),
    [aux_sym_iterate_statement_token1] = ACTIONS(1650),
    [aux_sym_raise_statement_token1] = ACTIONS(1650),
    [anon_sym_EQ] = ACTIONS(1648),
    [aux_sym_assert_statement_token1] = ACTIONS(1650),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1650),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1650),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1650),
    [anon_sym_LT] = ACTIONS(1650),
    [anon_sym_GT] = ACTIONS(1650),
    [aux_sym_set_operation_token1] = ACTIONS(1650),
    [aux_sym_set_operation_token3] = ACTIONS(1650),
    [aux_sym_set_operation_token4] = ACTIONS(1650),
    [aux_sym_select_token1] = ACTIONS(1650),
    [aux_sym_having_clause_token1] = ACTIONS(1650),
    [aux_sym_qualify_clause_token1] = ACTIONS(1650),
    [aux_sym_limit_clause_token1] = ACTIONS(1650),
    [aux_sym_group_by_clause_token1] = ACTIONS(1650),
    [aux_sym_order_by_clause_token1] = ACTIONS(1650),
    [aux_sym_where_clause_token1] = ACTIONS(1650),
    [aux_sym_insert_statement_token1] = ACTIONS(1650),
    [aux_sym_truncate_statement_token1] = ACTIONS(1650),
    [aux_sym_update_statement_token1] = ACTIONS(1650),
    [aux_sym_merge_statement_token1] = ACTIONS(1650),
    [aux_sym_grant_statement_token1] = ACTIONS(1650),
    [aux_sym_revoke_statement_token1] = ACTIONS(1650),
    [aux_sym_export_data_statement_token1] = ACTIONS(1650),
    [aux_sym_load_data_statement_token1] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1648),
    [sym__quoted_identifier] = ACTIONS(1648),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1648),
    [anon_sym_PLUS] = ACTIONS(1648),
    [anon_sym_DASH] = ACTIONS(1650),
    [anon_sym_STAR] = ACTIONS(1648),
    [anon_sym_SLASH] = ACTIONS(1650),
    [anon_sym_PIPE_PIPE] = ACTIONS(1648),
    [anon_sym_LT_EQ] = ACTIONS(1648),
    [anon_sym_LT_GT] = ACTIONS(1648),
    [anon_sym_GT_EQ] = ACTIONS(1648),
    [anon_sym_BANG_EQ] = ACTIONS(1648),
    [anon_sym_LT_LT] = ACTIONS(1648),
    [anon_sym_GT_GT] = ACTIONS(1648),
    [anon_sym_AMP] = ACTIONS(1648),
    [anon_sym_CARET] = ACTIONS(1648),
    [anon_sym_PIPE] = ACTIONS(1650),
  },
  [2069] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [sym__unquoted_identifier] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1448),
    [aux_sym_keyword_replace_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1448),
    [aux_sym__keyword_from_token1] = ACTIONS(1448),
    [aux_sym__keyword_delete_token1] = ACTIONS(1448),
    [aux_sym__keyword_begin_token1] = ACTIONS(1448),
    [aux_sym__keyword_end_token1] = ACTIONS(1448),
    [aux_sym__keyword_between_token1] = ACTIONS(1448),
    [aux_sym__keyword_when_token1] = ACTIONS(1448),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1448),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1448),
    [aux_sym__keyword_like_token1] = ACTIONS(1448),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1448),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_window_token1] = ACTIONS(1448),
    [aux_sym__keyword_date_token1] = ACTIONS(1448),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1448),
    [aux_sym__keyword_time_token1] = ACTIONS(1448),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1448),
    [aux_sym_return_satement_token1] = ACTIONS(1448),
    [aux_sym_call_statement_token1] = ACTIONS(1448),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1448),
    [aux_sym_if_statement_token1] = ACTIONS(1448),
    [aux_sym_loop_statement_token1] = ACTIONS(1448),
    [aux_sym_repeat_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [aux_sym_leave_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_iterate_statement_token1] = ACTIONS(1448),
    [aux_sym_raise_statement_token1] = ACTIONS(1448),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1448),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1448),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1448),
    [aux_sym_set_operation_token3] = ACTIONS(1448),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1448),
    [aux_sym_having_clause_token1] = ACTIONS(1448),
    [aux_sym_qualify_clause_token1] = ACTIONS(1448),
    [aux_sym_limit_clause_token1] = ACTIONS(1448),
    [aux_sym_group_by_clause_token1] = ACTIONS(1448),
    [aux_sym_order_by_clause_token1] = ACTIONS(1448),
    [aux_sym_where_clause_token1] = ACTIONS(1448),
    [aux_sym_insert_statement_token1] = ACTIONS(1448),
    [aux_sym_truncate_statement_token1] = ACTIONS(1448),
    [aux_sym_update_statement_token1] = ACTIONS(1448),
    [aux_sym_merge_statement_token1] = ACTIONS(1448),
    [aux_sym_grant_statement_token1] = ACTIONS(1448),
    [aux_sym_revoke_statement_token1] = ACTIONS(1448),
    [aux_sym_export_data_statement_token1] = ACTIONS(1448),
    [aux_sym_load_data_statement_token1] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym__quoted_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [2070] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2071] = {
    [ts_builtin_sym_end] = ACTIONS(1822),
    [sym__unquoted_identifier] = ACTIONS(1824),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1824),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1824),
    [aux_sym_keyword_replace_token1] = ACTIONS(1824),
    [aux_sym__keyword_alter_token1] = ACTIONS(1824),
    [aux_sym__keyword_from_token1] = ACTIONS(1824),
    [aux_sym__keyword_delete_token1] = ACTIONS(1824),
    [aux_sym__keyword_begin_token1] = ACTIONS(1824),
    [aux_sym__keyword_end_token1] = ACTIONS(1824),
    [aux_sym__keyword_between_token1] = ACTIONS(1824),
    [aux_sym__keyword_when_token1] = ACTIONS(1824),
    [aux_sym__keyword_else_token1] = ACTIONS(1824),
    [aux_sym__keyword_is_token1] = ACTIONS(1824),
    [aux_sym__keyword_in_token1] = ACTIONS(1824),
    [aux_sym__keyword_and_token1] = ACTIONS(1824),
    [aux_sym__keyword_like_token1] = ACTIONS(1824),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1824),
    [aux_sym__keyword_as_token1] = ACTIONS(1824),
    [aux_sym__keyword_window_token1] = ACTIONS(1824),
    [aux_sym__keyword_date_token1] = ACTIONS(1824),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1824),
    [aux_sym__keyword_time_token1] = ACTIONS(1824),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1824),
    [aux_sym__keyword_for_token1] = ACTIONS(1824),
    [anon_sym_SEMI] = ACTIONS(1822),
    [aux_sym_declare_statement_token1] = ACTIONS(1824),
    [anon_sym_COMMA] = ACTIONS(1822),
    [aux_sym_set_statement_token1] = ACTIONS(1824),
    [anon_sym_LPAREN] = ACTIONS(1822),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1824),
    [aux_sym_return_satement_token1] = ACTIONS(1824),
    [aux_sym_call_statement_token1] = ACTIONS(1824),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1824),
    [aux_sym_if_statement_token1] = ACTIONS(1824),
    [aux_sym_loop_statement_token1] = ACTIONS(1824),
    [aux_sym_repeat_statement_token1] = ACTIONS(1824),
    [aux_sym_while_statement_token1] = ACTIONS(1824),
    [aux_sym_break_statement_token1] = ACTIONS(1824),
    [aux_sym_leave_statement_token1] = ACTIONS(1824),
    [aux_sym_continue_statement_token1] = ACTIONS(1824),
    [aux_sym_iterate_statement_token1] = ACTIONS(1824),
    [aux_sym_raise_statement_token1] = ACTIONS(1824),
    [anon_sym_EQ] = ACTIONS(1822),
    [aux_sym_assert_statement_token1] = ACTIONS(1824),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1824),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1824),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1824),
    [anon_sym_LT] = ACTIONS(1824),
    [anon_sym_GT] = ACTIONS(1824),
    [aux_sym_set_operation_token1] = ACTIONS(1824),
    [aux_sym_set_operation_token3] = ACTIONS(1824),
    [aux_sym_set_operation_token4] = ACTIONS(1824),
    [aux_sym_select_token1] = ACTIONS(1824),
    [aux_sym_having_clause_token1] = ACTIONS(1824),
    [aux_sym_qualify_clause_token1] = ACTIONS(1824),
    [aux_sym_limit_clause_token1] = ACTIONS(1824),
    [aux_sym_group_by_clause_token1] = ACTIONS(1824),
    [aux_sym_order_by_clause_token1] = ACTIONS(1824),
    [aux_sym_where_clause_token1] = ACTIONS(1824),
    [aux_sym_insert_statement_token1] = ACTIONS(1824),
    [aux_sym_truncate_statement_token1] = ACTIONS(1824),
    [aux_sym_update_statement_token1] = ACTIONS(1824),
    [aux_sym_merge_statement_token1] = ACTIONS(1824),
    [aux_sym_grant_statement_token1] = ACTIONS(1824),
    [aux_sym_revoke_statement_token1] = ACTIONS(1824),
    [aux_sym_export_data_statement_token1] = ACTIONS(1824),
    [aux_sym_load_data_statement_token1] = ACTIONS(1824),
    [anon_sym_LBRACK] = ACTIONS(1822),
    [sym__quoted_identifier] = ACTIONS(1822),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1822),
    [anon_sym_PLUS] = ACTIONS(1822),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_STAR] = ACTIONS(1822),
    [anon_sym_SLASH] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE] = ACTIONS(1822),
    [anon_sym_LT_EQ] = ACTIONS(1822),
    [anon_sym_LT_GT] = ACTIONS(1822),
    [anon_sym_GT_EQ] = ACTIONS(1822),
    [anon_sym_BANG_EQ] = ACTIONS(1822),
    [anon_sym_LT_LT] = ACTIONS(1822),
    [anon_sym_GT_GT] = ACTIONS(1822),
    [anon_sym_AMP] = ACTIONS(1822),
    [anon_sym_CARET] = ACTIONS(1822),
    [anon_sym_PIPE] = ACTIONS(1824),
  },
  [2072] = {
    [ts_builtin_sym_end] = ACTIONS(1660),
    [sym__unquoted_identifier] = ACTIONS(1662),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1662),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1662),
    [aux_sym_keyword_replace_token1] = ACTIONS(1662),
    [aux_sym__keyword_alter_token1] = ACTIONS(1662),
    [aux_sym__keyword_from_token1] = ACTIONS(1662),
    [aux_sym__keyword_delete_token1] = ACTIONS(1662),
    [aux_sym__keyword_begin_token1] = ACTIONS(1662),
    [aux_sym__keyword_end_token1] = ACTIONS(1662),
    [aux_sym__keyword_between_token1] = ACTIONS(1662),
    [aux_sym__keyword_when_token1] = ACTIONS(1662),
    [aux_sym__keyword_else_token1] = ACTIONS(1662),
    [aux_sym__keyword_is_token1] = ACTIONS(1662),
    [aux_sym__keyword_in_token1] = ACTIONS(1662),
    [aux_sym__keyword_and_token1] = ACTIONS(1662),
    [aux_sym__keyword_like_token1] = ACTIONS(1662),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1662),
    [aux_sym__keyword_as_token1] = ACTIONS(1662),
    [aux_sym__keyword_window_token1] = ACTIONS(1662),
    [aux_sym__keyword_date_token1] = ACTIONS(1662),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1662),
    [aux_sym__keyword_time_token1] = ACTIONS(1662),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1662),
    [aux_sym__keyword_for_token1] = ACTIONS(1662),
    [anon_sym_SEMI] = ACTIONS(1660),
    [aux_sym_declare_statement_token1] = ACTIONS(1662),
    [anon_sym_COMMA] = ACTIONS(1660),
    [aux_sym_set_statement_token1] = ACTIONS(1662),
    [anon_sym_LPAREN] = ACTIONS(1660),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1662),
    [aux_sym_return_satement_token1] = ACTIONS(1662),
    [aux_sym_call_statement_token1] = ACTIONS(1662),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1662),
    [aux_sym_if_statement_token1] = ACTIONS(1662),
    [aux_sym_loop_statement_token1] = ACTIONS(1662),
    [aux_sym_repeat_statement_token1] = ACTIONS(1662),
    [aux_sym_while_statement_token1] = ACTIONS(1662),
    [aux_sym_break_statement_token1] = ACTIONS(1662),
    [aux_sym_leave_statement_token1] = ACTIONS(1662),
    [aux_sym_continue_statement_token1] = ACTIONS(1662),
    [aux_sym_iterate_statement_token1] = ACTIONS(1662),
    [aux_sym_raise_statement_token1] = ACTIONS(1662),
    [anon_sym_EQ] = ACTIONS(1660),
    [aux_sym_assert_statement_token1] = ACTIONS(1662),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1662),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1662),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1662),
    [anon_sym_LT] = ACTIONS(1662),
    [anon_sym_GT] = ACTIONS(1662),
    [aux_sym_set_operation_token1] = ACTIONS(1662),
    [aux_sym_set_operation_token3] = ACTIONS(1662),
    [aux_sym_set_operation_token4] = ACTIONS(1662),
    [aux_sym_select_token1] = ACTIONS(1662),
    [aux_sym_having_clause_token1] = ACTIONS(1662),
    [aux_sym_qualify_clause_token1] = ACTIONS(1662),
    [aux_sym_limit_clause_token1] = ACTIONS(1662),
    [aux_sym_group_by_clause_token1] = ACTIONS(1662),
    [aux_sym_order_by_clause_token1] = ACTIONS(1662),
    [aux_sym_where_clause_token1] = ACTIONS(1662),
    [aux_sym_insert_statement_token1] = ACTIONS(1662),
    [aux_sym_truncate_statement_token1] = ACTIONS(1662),
    [aux_sym_update_statement_token1] = ACTIONS(1662),
    [aux_sym_merge_statement_token1] = ACTIONS(1662),
    [aux_sym_grant_statement_token1] = ACTIONS(1662),
    [aux_sym_revoke_statement_token1] = ACTIONS(1662),
    [aux_sym_export_data_statement_token1] = ACTIONS(1662),
    [aux_sym_load_data_statement_token1] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1660),
    [sym__quoted_identifier] = ACTIONS(1660),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1660),
    [anon_sym_PLUS] = ACTIONS(1660),
    [anon_sym_DASH] = ACTIONS(1662),
    [anon_sym_STAR] = ACTIONS(1660),
    [anon_sym_SLASH] = ACTIONS(1662),
    [anon_sym_PIPE_PIPE] = ACTIONS(1660),
    [anon_sym_LT_EQ] = ACTIONS(1660),
    [anon_sym_LT_GT] = ACTIONS(1660),
    [anon_sym_GT_EQ] = ACTIONS(1660),
    [anon_sym_BANG_EQ] = ACTIONS(1660),
    [anon_sym_LT_LT] = ACTIONS(1660),
    [anon_sym_GT_GT] = ACTIONS(1660),
    [anon_sym_AMP] = ACTIONS(1660),
    [anon_sym_CARET] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1662),
  },
  [2073] = {
    [ts_builtin_sym_end] = ACTIONS(1652),
    [sym__unquoted_identifier] = ACTIONS(1654),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1654),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1654),
    [aux_sym_keyword_replace_token1] = ACTIONS(1654),
    [aux_sym__keyword_alter_token1] = ACTIONS(1654),
    [aux_sym__keyword_from_token1] = ACTIONS(1654),
    [aux_sym__keyword_delete_token1] = ACTIONS(1654),
    [aux_sym__keyword_begin_token1] = ACTIONS(1654),
    [aux_sym__keyword_end_token1] = ACTIONS(1654),
    [aux_sym__keyword_between_token1] = ACTIONS(1654),
    [aux_sym__keyword_when_token1] = ACTIONS(1654),
    [aux_sym__keyword_else_token1] = ACTIONS(1654),
    [aux_sym__keyword_is_token1] = ACTIONS(1654),
    [aux_sym__keyword_in_token1] = ACTIONS(1654),
    [aux_sym__keyword_and_token1] = ACTIONS(1654),
    [aux_sym__keyword_like_token1] = ACTIONS(1654),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1654),
    [aux_sym__keyword_as_token1] = ACTIONS(1654),
    [aux_sym__keyword_window_token1] = ACTIONS(1654),
    [aux_sym__keyword_date_token1] = ACTIONS(1654),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1654),
    [aux_sym__keyword_time_token1] = ACTIONS(1654),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1654),
    [aux_sym__keyword_for_token1] = ACTIONS(1654),
    [anon_sym_SEMI] = ACTIONS(1652),
    [aux_sym_declare_statement_token1] = ACTIONS(1654),
    [anon_sym_COMMA] = ACTIONS(1652),
    [aux_sym_set_statement_token1] = ACTIONS(1654),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1654),
    [aux_sym_return_satement_token1] = ACTIONS(1654),
    [aux_sym_call_statement_token1] = ACTIONS(1654),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1654),
    [aux_sym_if_statement_token1] = ACTIONS(1654),
    [aux_sym_loop_statement_token1] = ACTIONS(1654),
    [aux_sym_repeat_statement_token1] = ACTIONS(1654),
    [aux_sym_while_statement_token1] = ACTIONS(1654),
    [aux_sym_break_statement_token1] = ACTIONS(1654),
    [aux_sym_leave_statement_token1] = ACTIONS(1654),
    [aux_sym_continue_statement_token1] = ACTIONS(1654),
    [aux_sym_iterate_statement_token1] = ACTIONS(1654),
    [aux_sym_raise_statement_token1] = ACTIONS(1654),
    [anon_sym_EQ] = ACTIONS(1652),
    [aux_sym_assert_statement_token1] = ACTIONS(1654),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1654),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1654),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1654),
    [anon_sym_LT] = ACTIONS(1654),
    [anon_sym_GT] = ACTIONS(1654),
    [aux_sym_set_operation_token1] = ACTIONS(1654),
    [aux_sym_set_operation_token3] = ACTIONS(1654),
    [aux_sym_set_operation_token4] = ACTIONS(1654),
    [aux_sym_select_token1] = ACTIONS(1654),
    [aux_sym_having_clause_token1] = ACTIONS(1654),
    [aux_sym_qualify_clause_token1] = ACTIONS(1654),
    [aux_sym_limit_clause_token1] = ACTIONS(1654),
    [aux_sym_group_by_clause_token1] = ACTIONS(1654),
    [aux_sym_order_by_clause_token1] = ACTIONS(1654),
    [aux_sym_where_clause_token1] = ACTIONS(1654),
    [aux_sym_insert_statement_token1] = ACTIONS(1654),
    [aux_sym_truncate_statement_token1] = ACTIONS(1654),
    [aux_sym_update_statement_token1] = ACTIONS(1654),
    [aux_sym_merge_statement_token1] = ACTIONS(1654),
    [aux_sym_grant_statement_token1] = ACTIONS(1654),
    [aux_sym_revoke_statement_token1] = ACTIONS(1654),
    [aux_sym_export_data_statement_token1] = ACTIONS(1654),
    [aux_sym_load_data_statement_token1] = ACTIONS(1654),
    [anon_sym_LBRACK] = ACTIONS(1652),
    [sym__quoted_identifier] = ACTIONS(1652),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1652),
    [anon_sym_PLUS] = ACTIONS(1652),
    [anon_sym_DASH] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(1652),
    [anon_sym_SLASH] = ACTIONS(1654),
    [anon_sym_PIPE_PIPE] = ACTIONS(1652),
    [anon_sym_LT_EQ] = ACTIONS(1652),
    [anon_sym_LT_GT] = ACTIONS(1652),
    [anon_sym_GT_EQ] = ACTIONS(1652),
    [anon_sym_BANG_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT] = ACTIONS(1652),
    [anon_sym_GT_GT] = ACTIONS(1652),
    [anon_sym_AMP] = ACTIONS(1652),
    [anon_sym_CARET] = ACTIONS(1652),
    [anon_sym_PIPE] = ACTIONS(1654),
  },
  [2074] = {
    [ts_builtin_sym_end] = ACTIONS(1656),
    [sym__unquoted_identifier] = ACTIONS(1658),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1658),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1658),
    [aux_sym_keyword_replace_token1] = ACTIONS(1658),
    [aux_sym__keyword_alter_token1] = ACTIONS(1658),
    [aux_sym__keyword_from_token1] = ACTIONS(1658),
    [aux_sym__keyword_delete_token1] = ACTIONS(1658),
    [aux_sym__keyword_begin_token1] = ACTIONS(1658),
    [aux_sym__keyword_end_token1] = ACTIONS(1658),
    [aux_sym__keyword_between_token1] = ACTIONS(1658),
    [aux_sym__keyword_when_token1] = ACTIONS(1658),
    [aux_sym__keyword_else_token1] = ACTIONS(1658),
    [aux_sym__keyword_is_token1] = ACTIONS(1658),
    [aux_sym__keyword_in_token1] = ACTIONS(1658),
    [aux_sym__keyword_and_token1] = ACTIONS(1658),
    [aux_sym__keyword_like_token1] = ACTIONS(1658),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1658),
    [aux_sym__keyword_as_token1] = ACTIONS(1658),
    [aux_sym__keyword_window_token1] = ACTIONS(1658),
    [aux_sym__keyword_date_token1] = ACTIONS(1658),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1658),
    [aux_sym__keyword_time_token1] = ACTIONS(1658),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1658),
    [aux_sym__keyword_for_token1] = ACTIONS(1658),
    [anon_sym_SEMI] = ACTIONS(1656),
    [aux_sym_declare_statement_token1] = ACTIONS(1658),
    [anon_sym_COMMA] = ACTIONS(1656),
    [aux_sym_set_statement_token1] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1658),
    [aux_sym_return_satement_token1] = ACTIONS(1658),
    [aux_sym_call_statement_token1] = ACTIONS(1658),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1658),
    [aux_sym_if_statement_token1] = ACTIONS(1658),
    [aux_sym_loop_statement_token1] = ACTIONS(1658),
    [aux_sym_repeat_statement_token1] = ACTIONS(1658),
    [aux_sym_while_statement_token1] = ACTIONS(1658),
    [aux_sym_break_statement_token1] = ACTIONS(1658),
    [aux_sym_leave_statement_token1] = ACTIONS(1658),
    [aux_sym_continue_statement_token1] = ACTIONS(1658),
    [aux_sym_iterate_statement_token1] = ACTIONS(1658),
    [aux_sym_raise_statement_token1] = ACTIONS(1658),
    [anon_sym_EQ] = ACTIONS(1656),
    [aux_sym_assert_statement_token1] = ACTIONS(1658),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1658),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1658),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1658),
    [anon_sym_LT] = ACTIONS(1658),
    [anon_sym_GT] = ACTIONS(1658),
    [aux_sym_set_operation_token1] = ACTIONS(1658),
    [aux_sym_set_operation_token3] = ACTIONS(1658),
    [aux_sym_set_operation_token4] = ACTIONS(1658),
    [aux_sym_select_token1] = ACTIONS(1658),
    [aux_sym_having_clause_token1] = ACTIONS(1658),
    [aux_sym_qualify_clause_token1] = ACTIONS(1658),
    [aux_sym_limit_clause_token1] = ACTIONS(1658),
    [aux_sym_group_by_clause_token1] = ACTIONS(1658),
    [aux_sym_order_by_clause_token1] = ACTIONS(1658),
    [aux_sym_where_clause_token1] = ACTIONS(1658),
    [aux_sym_insert_statement_token1] = ACTIONS(1658),
    [aux_sym_truncate_statement_token1] = ACTIONS(1658),
    [aux_sym_update_statement_token1] = ACTIONS(1658),
    [aux_sym_merge_statement_token1] = ACTIONS(1658),
    [aux_sym_grant_statement_token1] = ACTIONS(1658),
    [aux_sym_revoke_statement_token1] = ACTIONS(1658),
    [aux_sym_export_data_statement_token1] = ACTIONS(1658),
    [aux_sym_load_data_statement_token1] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [sym__quoted_identifier] = ACTIONS(1656),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1656),
    [anon_sym_PLUS] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_STAR] = ACTIONS(1656),
    [anon_sym_SLASH] = ACTIONS(1658),
    [anon_sym_PIPE_PIPE] = ACTIONS(1656),
    [anon_sym_LT_EQ] = ACTIONS(1656),
    [anon_sym_LT_GT] = ACTIONS(1656),
    [anon_sym_GT_EQ] = ACTIONS(1656),
    [anon_sym_BANG_EQ] = ACTIONS(1656),
    [anon_sym_LT_LT] = ACTIONS(1656),
    [anon_sym_GT_GT] = ACTIONS(1656),
    [anon_sym_AMP] = ACTIONS(1656),
    [anon_sym_CARET] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1658),
  },
  [2075] = {
    [ts_builtin_sym_end] = ACTIONS(1772),
    [sym__unquoted_identifier] = ACTIONS(1774),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1774),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1774),
    [aux_sym_keyword_replace_token1] = ACTIONS(1774),
    [aux_sym__keyword_alter_token1] = ACTIONS(1774),
    [aux_sym__keyword_from_token1] = ACTIONS(1774),
    [aux_sym__keyword_delete_token1] = ACTIONS(1774),
    [aux_sym__keyword_begin_token1] = ACTIONS(1774),
    [aux_sym__keyword_end_token1] = ACTIONS(1774),
    [aux_sym__keyword_between_token1] = ACTIONS(1774),
    [aux_sym__keyword_when_token1] = ACTIONS(1774),
    [aux_sym__keyword_else_token1] = ACTIONS(1774),
    [aux_sym__keyword_is_token1] = ACTIONS(1774),
    [aux_sym__keyword_in_token1] = ACTIONS(1774),
    [aux_sym__keyword_and_token1] = ACTIONS(1774),
    [aux_sym__keyword_like_token1] = ACTIONS(1774),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1774),
    [aux_sym__keyword_as_token1] = ACTIONS(1774),
    [aux_sym__keyword_window_token1] = ACTIONS(1774),
    [aux_sym__keyword_date_token1] = ACTIONS(1774),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1774),
    [aux_sym__keyword_time_token1] = ACTIONS(1774),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1774),
    [aux_sym__keyword_for_token1] = ACTIONS(1774),
    [anon_sym_SEMI] = ACTIONS(1772),
    [aux_sym_declare_statement_token1] = ACTIONS(1774),
    [anon_sym_COMMA] = ACTIONS(1772),
    [aux_sym_set_statement_token1] = ACTIONS(1774),
    [anon_sym_LPAREN] = ACTIONS(1772),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1774),
    [aux_sym_return_satement_token1] = ACTIONS(1774),
    [aux_sym_call_statement_token1] = ACTIONS(1774),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1774),
    [aux_sym_if_statement_token1] = ACTIONS(1774),
    [aux_sym_loop_statement_token1] = ACTIONS(1774),
    [aux_sym_repeat_statement_token1] = ACTIONS(1774),
    [aux_sym_while_statement_token1] = ACTIONS(1774),
    [aux_sym_break_statement_token1] = ACTIONS(1774),
    [aux_sym_leave_statement_token1] = ACTIONS(1774),
    [aux_sym_continue_statement_token1] = ACTIONS(1774),
    [aux_sym_iterate_statement_token1] = ACTIONS(1774),
    [aux_sym_raise_statement_token1] = ACTIONS(1774),
    [anon_sym_EQ] = ACTIONS(1772),
    [aux_sym_assert_statement_token1] = ACTIONS(1774),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1774),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1774),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1774),
    [anon_sym_LT] = ACTIONS(1774),
    [anon_sym_GT] = ACTIONS(1774),
    [aux_sym_set_operation_token1] = ACTIONS(1774),
    [aux_sym_set_operation_token3] = ACTIONS(1774),
    [aux_sym_set_operation_token4] = ACTIONS(1774),
    [aux_sym_select_token1] = ACTIONS(1774),
    [aux_sym_having_clause_token1] = ACTIONS(1774),
    [aux_sym_qualify_clause_token1] = ACTIONS(1774),
    [aux_sym_limit_clause_token1] = ACTIONS(1774),
    [aux_sym_group_by_clause_token1] = ACTIONS(1774),
    [aux_sym_order_by_clause_token1] = ACTIONS(1774),
    [aux_sym_where_clause_token1] = ACTIONS(1774),
    [aux_sym_insert_statement_token1] = ACTIONS(1774),
    [aux_sym_truncate_statement_token1] = ACTIONS(1774),
    [aux_sym_update_statement_token1] = ACTIONS(1774),
    [aux_sym_merge_statement_token1] = ACTIONS(1774),
    [aux_sym_grant_statement_token1] = ACTIONS(1774),
    [aux_sym_revoke_statement_token1] = ACTIONS(1774),
    [aux_sym_export_data_statement_token1] = ACTIONS(1774),
    [aux_sym_load_data_statement_token1] = ACTIONS(1774),
    [anon_sym_LBRACK] = ACTIONS(1772),
    [sym__quoted_identifier] = ACTIONS(1772),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1772),
    [anon_sym_PLUS] = ACTIONS(1772),
    [anon_sym_DASH] = ACTIONS(1774),
    [anon_sym_STAR] = ACTIONS(1772),
    [anon_sym_SLASH] = ACTIONS(1774),
    [anon_sym_PIPE_PIPE] = ACTIONS(1772),
    [anon_sym_LT_EQ] = ACTIONS(1772),
    [anon_sym_LT_GT] = ACTIONS(1772),
    [anon_sym_GT_EQ] = ACTIONS(1772),
    [anon_sym_BANG_EQ] = ACTIONS(1772),
    [anon_sym_LT_LT] = ACTIONS(1772),
    [anon_sym_GT_GT] = ACTIONS(1772),
    [anon_sym_AMP] = ACTIONS(1772),
    [anon_sym_CARET] = ACTIONS(1772),
    [anon_sym_PIPE] = ACTIONS(1774),
  },
  [2076] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2077] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2078] = {
    [ts_builtin_sym_end] = ACTIONS(1788),
    [sym__unquoted_identifier] = ACTIONS(1790),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1790),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1790),
    [aux_sym_keyword_replace_token1] = ACTIONS(1790),
    [aux_sym__keyword_alter_token1] = ACTIONS(1790),
    [aux_sym__keyword_from_token1] = ACTIONS(1790),
    [aux_sym__keyword_delete_token1] = ACTIONS(1790),
    [aux_sym__keyword_begin_token1] = ACTIONS(1790),
    [aux_sym__keyword_end_token1] = ACTIONS(1790),
    [aux_sym__keyword_between_token1] = ACTIONS(1790),
    [aux_sym__keyword_when_token1] = ACTIONS(1790),
    [aux_sym__keyword_else_token1] = ACTIONS(1790),
    [aux_sym__keyword_is_token1] = ACTIONS(1790),
    [aux_sym__keyword_in_token1] = ACTIONS(1790),
    [aux_sym__keyword_and_token1] = ACTIONS(1790),
    [aux_sym__keyword_like_token1] = ACTIONS(1790),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1790),
    [aux_sym__keyword_as_token1] = ACTIONS(1790),
    [aux_sym__keyword_window_token1] = ACTIONS(1790),
    [aux_sym__keyword_date_token1] = ACTIONS(1790),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1790),
    [aux_sym__keyword_time_token1] = ACTIONS(1790),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1790),
    [aux_sym__keyword_for_token1] = ACTIONS(1790),
    [anon_sym_SEMI] = ACTIONS(1788),
    [aux_sym_declare_statement_token1] = ACTIONS(1790),
    [anon_sym_COMMA] = ACTIONS(1788),
    [aux_sym_set_statement_token1] = ACTIONS(1790),
    [anon_sym_LPAREN] = ACTIONS(1788),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1790),
    [aux_sym_return_satement_token1] = ACTIONS(1790),
    [aux_sym_call_statement_token1] = ACTIONS(1790),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1790),
    [aux_sym_if_statement_token1] = ACTIONS(1790),
    [aux_sym_loop_statement_token1] = ACTIONS(1790),
    [aux_sym_repeat_statement_token1] = ACTIONS(1790),
    [aux_sym_while_statement_token1] = ACTIONS(1790),
    [aux_sym_break_statement_token1] = ACTIONS(1790),
    [aux_sym_leave_statement_token1] = ACTIONS(1790),
    [aux_sym_continue_statement_token1] = ACTIONS(1790),
    [aux_sym_iterate_statement_token1] = ACTIONS(1790),
    [aux_sym_raise_statement_token1] = ACTIONS(1790),
    [anon_sym_EQ] = ACTIONS(1788),
    [aux_sym_assert_statement_token1] = ACTIONS(1790),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1790),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1790),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1790),
    [anon_sym_LT] = ACTIONS(1790),
    [anon_sym_GT] = ACTIONS(1790),
    [aux_sym_set_operation_token1] = ACTIONS(1790),
    [aux_sym_set_operation_token3] = ACTIONS(1790),
    [aux_sym_set_operation_token4] = ACTIONS(1790),
    [aux_sym_select_token1] = ACTIONS(1790),
    [aux_sym_having_clause_token1] = ACTIONS(1790),
    [aux_sym_qualify_clause_token1] = ACTIONS(1790),
    [aux_sym_limit_clause_token1] = ACTIONS(1790),
    [aux_sym_group_by_clause_token1] = ACTIONS(1790),
    [aux_sym_order_by_clause_token1] = ACTIONS(1790),
    [aux_sym_where_clause_token1] = ACTIONS(1790),
    [aux_sym_insert_statement_token1] = ACTIONS(1790),
    [aux_sym_truncate_statement_token1] = ACTIONS(1790),
    [aux_sym_update_statement_token1] = ACTIONS(1790),
    [aux_sym_merge_statement_token1] = ACTIONS(1790),
    [aux_sym_grant_statement_token1] = ACTIONS(1790),
    [aux_sym_revoke_statement_token1] = ACTIONS(1790),
    [aux_sym_export_data_statement_token1] = ACTIONS(1790),
    [aux_sym_load_data_statement_token1] = ACTIONS(1790),
    [anon_sym_LBRACK] = ACTIONS(1788),
    [sym__quoted_identifier] = ACTIONS(1788),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1788),
    [anon_sym_PLUS] = ACTIONS(1788),
    [anon_sym_DASH] = ACTIONS(1790),
    [anon_sym_STAR] = ACTIONS(1788),
    [anon_sym_SLASH] = ACTIONS(1790),
    [anon_sym_PIPE_PIPE] = ACTIONS(1788),
    [anon_sym_LT_EQ] = ACTIONS(1788),
    [anon_sym_LT_GT] = ACTIONS(1788),
    [anon_sym_GT_EQ] = ACTIONS(1788),
    [anon_sym_BANG_EQ] = ACTIONS(1788),
    [anon_sym_LT_LT] = ACTIONS(1788),
    [anon_sym_GT_GT] = ACTIONS(1788),
    [anon_sym_AMP] = ACTIONS(1788),
    [anon_sym_CARET] = ACTIONS(1788),
    [anon_sym_PIPE] = ACTIONS(1790),
  },
  [2079] = {
    [sym__keyword_as] = STATE(11549),
    [sym__keyword_date] = STATE(2774),
    [sym__keyword_datetime] = STATE(2774),
    [sym__keyword_time] = STATE(2774),
    [sym__keyword_timestamp] = STATE(2774),
    [sym_as_alias] = STATE(4386),
    [sym_unnest_withoffset] = STATE(4394),
    [sym__type_chrono] = STATE(2771),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4403),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(205),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(205),
    [aux_sym_keyword_replace_token1] = ACTIONS(205),
    [aux_sym__keyword_alter_token1] = ACTIONS(205),
    [aux_sym__keyword_delete_token1] = ACTIONS(205),
    [aux_sym__keyword_begin_token1] = ACTIONS(205),
    [aux_sym__keyword_end_token1] = ACTIONS(205),
    [aux_sym__keyword_between_token1] = ACTIONS(205),
    [aux_sym__keyword_else_token1] = ACTIONS(205),
    [aux_sym__keyword_is_token1] = ACTIONS(205),
    [aux_sym__keyword_in_token1] = ACTIONS(205),
    [aux_sym__keyword_and_token1] = ACTIONS(205),
    [aux_sym__keyword_like_token1] = ACTIONS(205),
    [aux_sym__keyword_repeat_token1] = ACTIONS(205),
    [aux_sym__keyword_as_token1] = ACTIONS(2738),
    [aux_sym__keyword_date_token1] = ACTIONS(1328),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1328),
    [aux_sym__keyword_time_token1] = ACTIONS(1328),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1328),
    [aux_sym__keyword_for_token1] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(211),
    [aux_sym_declare_statement_token1] = ACTIONS(205),
    [anon_sym_COMMA] = ACTIONS(211),
    [aux_sym_set_statement_token1] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(211),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(205),
    [aux_sym_return_satement_token1] = ACTIONS(205),
    [aux_sym_call_statement_token1] = ACTIONS(205),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(205),
    [aux_sym_if_statement_token1] = ACTIONS(205),
    [aux_sym_loop_statement_token1] = ACTIONS(205),
    [aux_sym_repeat_statement_token1] = ACTIONS(205),
    [aux_sym_while_statement_token1] = ACTIONS(205),
    [aux_sym_break_statement_token1] = ACTIONS(205),
    [aux_sym_leave_statement_token1] = ACTIONS(205),
    [aux_sym_continue_statement_token1] = ACTIONS(205),
    [aux_sym_iterate_statement_token1] = ACTIONS(205),
    [aux_sym_raise_statement_token1] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(211),
    [aux_sym_assert_statement_token1] = ACTIONS(205),
    [aux_sym_create_schema_statement_token1] = ACTIONS(205),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(205),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2790),
    [aux_sym_option_clause_token1] = ACTIONS(205),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [aux_sym_select_token1] = ACTIONS(205),
    [aux_sym_insert_statement_token1] = ACTIONS(205),
    [aux_sym_truncate_statement_token1] = ACTIONS(205),
    [aux_sym_update_statement_token1] = ACTIONS(205),
    [aux_sym_merge_statement_token1] = ACTIONS(205),
    [aux_sym_grant_statement_token1] = ACTIONS(205),
    [aux_sym_revoke_statement_token1] = ACTIONS(205),
    [aux_sym_export_data_statement_token1] = ACTIONS(205),
    [aux_sym_load_data_statement_token1] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(211),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(211),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(211),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(211),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_LT_GT] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(211),
    [anon_sym_GT_GT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_CARET] = ACTIONS(211),
    [anon_sym_PIPE] = ACTIONS(205),
  },
  [2080] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [sym__unquoted_identifier] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1448),
    [aux_sym_keyword_replace_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1448),
    [aux_sym__keyword_from_token1] = ACTIONS(1448),
    [aux_sym__keyword_delete_token1] = ACTIONS(1448),
    [aux_sym__keyword_begin_token1] = ACTIONS(1448),
    [aux_sym__keyword_end_token1] = ACTIONS(1448),
    [aux_sym__keyword_between_token1] = ACTIONS(1448),
    [aux_sym__keyword_when_token1] = ACTIONS(1448),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1448),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1448),
    [aux_sym__keyword_like_token1] = ACTIONS(1448),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1448),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_window_token1] = ACTIONS(1448),
    [aux_sym__keyword_date_token1] = ACTIONS(1448),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1448),
    [aux_sym__keyword_time_token1] = ACTIONS(1448),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1448),
    [aux_sym_return_satement_token1] = ACTIONS(1448),
    [aux_sym_call_statement_token1] = ACTIONS(1448),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1448),
    [aux_sym_if_statement_token1] = ACTIONS(1448),
    [aux_sym_loop_statement_token1] = ACTIONS(1448),
    [aux_sym_repeat_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [aux_sym_leave_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_iterate_statement_token1] = ACTIONS(1448),
    [aux_sym_raise_statement_token1] = ACTIONS(1448),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1448),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1448),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1448),
    [aux_sym_set_operation_token3] = ACTIONS(1448),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1448),
    [aux_sym_having_clause_token1] = ACTIONS(1448),
    [aux_sym_qualify_clause_token1] = ACTIONS(1448),
    [aux_sym_limit_clause_token1] = ACTIONS(1448),
    [aux_sym_group_by_clause_token1] = ACTIONS(1448),
    [aux_sym_order_by_clause_token1] = ACTIONS(1448),
    [aux_sym_where_clause_token1] = ACTIONS(1448),
    [aux_sym_insert_statement_token1] = ACTIONS(1448),
    [aux_sym_truncate_statement_token1] = ACTIONS(1448),
    [aux_sym_update_statement_token1] = ACTIONS(1448),
    [aux_sym_merge_statement_token1] = ACTIONS(1448),
    [aux_sym_grant_statement_token1] = ACTIONS(1448),
    [aux_sym_revoke_statement_token1] = ACTIONS(1448),
    [aux_sym_export_data_statement_token1] = ACTIONS(1448),
    [aux_sym_load_data_statement_token1] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym__quoted_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [2081] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [sym__unquoted_identifier] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1448),
    [aux_sym_keyword_replace_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1448),
    [aux_sym__keyword_from_token1] = ACTIONS(1448),
    [aux_sym__keyword_delete_token1] = ACTIONS(1448),
    [aux_sym__keyword_begin_token1] = ACTIONS(1448),
    [aux_sym__keyword_end_token1] = ACTIONS(1448),
    [aux_sym__keyword_between_token1] = ACTIONS(1448),
    [aux_sym__keyword_when_token1] = ACTIONS(1448),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1448),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1448),
    [aux_sym__keyword_like_token1] = ACTIONS(1448),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1448),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_window_token1] = ACTIONS(1448),
    [aux_sym__keyword_date_token1] = ACTIONS(1448),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1448),
    [aux_sym__keyword_time_token1] = ACTIONS(1448),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1448),
    [aux_sym_return_satement_token1] = ACTIONS(1448),
    [aux_sym_call_statement_token1] = ACTIONS(1448),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1448),
    [aux_sym_if_statement_token1] = ACTIONS(1448),
    [aux_sym_loop_statement_token1] = ACTIONS(1448),
    [aux_sym_repeat_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [aux_sym_leave_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_iterate_statement_token1] = ACTIONS(1448),
    [aux_sym_raise_statement_token1] = ACTIONS(1448),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1448),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1448),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1448),
    [aux_sym_set_operation_token3] = ACTIONS(1448),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1448),
    [aux_sym_having_clause_token1] = ACTIONS(1448),
    [aux_sym_qualify_clause_token1] = ACTIONS(1448),
    [aux_sym_limit_clause_token1] = ACTIONS(1448),
    [aux_sym_group_by_clause_token1] = ACTIONS(1448),
    [aux_sym_order_by_clause_token1] = ACTIONS(1448),
    [aux_sym_where_clause_token1] = ACTIONS(1448),
    [aux_sym_insert_statement_token1] = ACTIONS(1448),
    [aux_sym_truncate_statement_token1] = ACTIONS(1448),
    [aux_sym_update_statement_token1] = ACTIONS(1448),
    [aux_sym_merge_statement_token1] = ACTIONS(1448),
    [aux_sym_grant_statement_token1] = ACTIONS(1448),
    [aux_sym_revoke_statement_token1] = ACTIONS(1448),
    [aux_sym_export_data_statement_token1] = ACTIONS(1448),
    [aux_sym_load_data_statement_token1] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym__quoted_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [2082] = {
    [ts_builtin_sym_end] = ACTIONS(1664),
    [sym__unquoted_identifier] = ACTIONS(1666),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1666),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1666),
    [aux_sym_keyword_replace_token1] = ACTIONS(1666),
    [aux_sym__keyword_alter_token1] = ACTIONS(1666),
    [aux_sym__keyword_from_token1] = ACTIONS(1666),
    [aux_sym__keyword_delete_token1] = ACTIONS(1666),
    [aux_sym__keyword_begin_token1] = ACTIONS(1666),
    [aux_sym__keyword_end_token1] = ACTIONS(1666),
    [aux_sym__keyword_between_token1] = ACTIONS(1666),
    [aux_sym__keyword_when_token1] = ACTIONS(1666),
    [aux_sym__keyword_else_token1] = ACTIONS(1666),
    [aux_sym__keyword_is_token1] = ACTIONS(1666),
    [aux_sym__keyword_in_token1] = ACTIONS(1666),
    [aux_sym__keyword_and_token1] = ACTIONS(1666),
    [aux_sym__keyword_like_token1] = ACTIONS(1666),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1666),
    [aux_sym__keyword_as_token1] = ACTIONS(1666),
    [aux_sym__keyword_window_token1] = ACTIONS(1666),
    [aux_sym__keyword_date_token1] = ACTIONS(1666),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1666),
    [aux_sym__keyword_time_token1] = ACTIONS(1666),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1666),
    [aux_sym__keyword_for_token1] = ACTIONS(1666),
    [anon_sym_SEMI] = ACTIONS(1664),
    [aux_sym_declare_statement_token1] = ACTIONS(1666),
    [anon_sym_COMMA] = ACTIONS(1664),
    [aux_sym_set_statement_token1] = ACTIONS(1666),
    [anon_sym_LPAREN] = ACTIONS(1664),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1666),
    [aux_sym_return_satement_token1] = ACTIONS(1666),
    [aux_sym_call_statement_token1] = ACTIONS(1666),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1666),
    [aux_sym_if_statement_token1] = ACTIONS(1666),
    [aux_sym_loop_statement_token1] = ACTIONS(1666),
    [aux_sym_repeat_statement_token1] = ACTIONS(1666),
    [aux_sym_while_statement_token1] = ACTIONS(1666),
    [aux_sym_break_statement_token1] = ACTIONS(1666),
    [aux_sym_leave_statement_token1] = ACTIONS(1666),
    [aux_sym_continue_statement_token1] = ACTIONS(1666),
    [aux_sym_iterate_statement_token1] = ACTIONS(1666),
    [aux_sym_raise_statement_token1] = ACTIONS(1666),
    [anon_sym_EQ] = ACTIONS(1664),
    [aux_sym_assert_statement_token1] = ACTIONS(1666),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1666),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1666),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1666),
    [anon_sym_LT] = ACTIONS(1666),
    [anon_sym_GT] = ACTIONS(1666),
    [aux_sym_set_operation_token1] = ACTIONS(1666),
    [aux_sym_set_operation_token3] = ACTIONS(1666),
    [aux_sym_set_operation_token4] = ACTIONS(1666),
    [aux_sym_select_token1] = ACTIONS(1666),
    [aux_sym_having_clause_token1] = ACTIONS(1666),
    [aux_sym_qualify_clause_token1] = ACTIONS(1666),
    [aux_sym_limit_clause_token1] = ACTIONS(1666),
    [aux_sym_group_by_clause_token1] = ACTIONS(1666),
    [aux_sym_order_by_clause_token1] = ACTIONS(1666),
    [aux_sym_where_clause_token1] = ACTIONS(1666),
    [aux_sym_insert_statement_token1] = ACTIONS(1666),
    [aux_sym_truncate_statement_token1] = ACTIONS(1666),
    [aux_sym_update_statement_token1] = ACTIONS(1666),
    [aux_sym_merge_statement_token1] = ACTIONS(1666),
    [aux_sym_grant_statement_token1] = ACTIONS(1666),
    [aux_sym_revoke_statement_token1] = ACTIONS(1666),
    [aux_sym_export_data_statement_token1] = ACTIONS(1666),
    [aux_sym_load_data_statement_token1] = ACTIONS(1666),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [sym__quoted_identifier] = ACTIONS(1664),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1664),
    [anon_sym_PLUS] = ACTIONS(1664),
    [anon_sym_DASH] = ACTIONS(1666),
    [anon_sym_STAR] = ACTIONS(1664),
    [anon_sym_SLASH] = ACTIONS(1666),
    [anon_sym_PIPE_PIPE] = ACTIONS(1664),
    [anon_sym_LT_EQ] = ACTIONS(1664),
    [anon_sym_LT_GT] = ACTIONS(1664),
    [anon_sym_GT_EQ] = ACTIONS(1664),
    [anon_sym_BANG_EQ] = ACTIONS(1664),
    [anon_sym_LT_LT] = ACTIONS(1664),
    [anon_sym_GT_GT] = ACTIONS(1664),
    [anon_sym_AMP] = ACTIONS(1664),
    [anon_sym_CARET] = ACTIONS(1664),
    [anon_sym_PIPE] = ACTIONS(1666),
  },
  [2083] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [sym__unquoted_identifier] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1448),
    [aux_sym_keyword_replace_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1448),
    [aux_sym__keyword_from_token1] = ACTIONS(1448),
    [aux_sym__keyword_delete_token1] = ACTIONS(1448),
    [aux_sym__keyword_begin_token1] = ACTIONS(1448),
    [aux_sym__keyword_end_token1] = ACTIONS(1448),
    [aux_sym__keyword_between_token1] = ACTIONS(1448),
    [aux_sym__keyword_when_token1] = ACTIONS(1448),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1448),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1448),
    [aux_sym__keyword_like_token1] = ACTIONS(1448),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1448),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_window_token1] = ACTIONS(1448),
    [aux_sym__keyword_date_token1] = ACTIONS(1448),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1448),
    [aux_sym__keyword_time_token1] = ACTIONS(1448),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1448),
    [aux_sym_return_satement_token1] = ACTIONS(1448),
    [aux_sym_call_statement_token1] = ACTIONS(1448),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1448),
    [aux_sym_if_statement_token1] = ACTIONS(1448),
    [aux_sym_loop_statement_token1] = ACTIONS(1448),
    [aux_sym_repeat_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [aux_sym_leave_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_iterate_statement_token1] = ACTIONS(1448),
    [aux_sym_raise_statement_token1] = ACTIONS(1448),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1448),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1448),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1448),
    [aux_sym_set_operation_token3] = ACTIONS(1448),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1448),
    [aux_sym_having_clause_token1] = ACTIONS(1448),
    [aux_sym_qualify_clause_token1] = ACTIONS(1448),
    [aux_sym_limit_clause_token1] = ACTIONS(1448),
    [aux_sym_group_by_clause_token1] = ACTIONS(1448),
    [aux_sym_order_by_clause_token1] = ACTIONS(1448),
    [aux_sym_where_clause_token1] = ACTIONS(1448),
    [aux_sym_insert_statement_token1] = ACTIONS(1448),
    [aux_sym_truncate_statement_token1] = ACTIONS(1448),
    [aux_sym_update_statement_token1] = ACTIONS(1448),
    [aux_sym_merge_statement_token1] = ACTIONS(1448),
    [aux_sym_grant_statement_token1] = ACTIONS(1448),
    [aux_sym_revoke_statement_token1] = ACTIONS(1448),
    [aux_sym_export_data_statement_token1] = ACTIONS(1448),
    [aux_sym_load_data_statement_token1] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym__quoted_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [2084] = {
    [ts_builtin_sym_end] = ACTIONS(1540),
    [sym__unquoted_identifier] = ACTIONS(1542),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1542),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1542),
    [aux_sym_keyword_replace_token1] = ACTIONS(1542),
    [aux_sym__keyword_alter_token1] = ACTIONS(1542),
    [aux_sym__keyword_from_token1] = ACTIONS(1542),
    [aux_sym__keyword_delete_token1] = ACTIONS(1542),
    [aux_sym__keyword_begin_token1] = ACTIONS(1542),
    [aux_sym__keyword_end_token1] = ACTIONS(1542),
    [aux_sym__keyword_between_token1] = ACTIONS(1542),
    [aux_sym__keyword_when_token1] = ACTIONS(1542),
    [aux_sym__keyword_else_token1] = ACTIONS(1542),
    [aux_sym__keyword_is_token1] = ACTIONS(1542),
    [aux_sym__keyword_in_token1] = ACTIONS(1542),
    [aux_sym__keyword_and_token1] = ACTIONS(1542),
    [aux_sym__keyword_like_token1] = ACTIONS(1542),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1542),
    [aux_sym__keyword_as_token1] = ACTIONS(1542),
    [aux_sym__keyword_window_token1] = ACTIONS(1542),
    [aux_sym__keyword_date_token1] = ACTIONS(1542),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1542),
    [aux_sym__keyword_time_token1] = ACTIONS(1542),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1542),
    [aux_sym__keyword_for_token1] = ACTIONS(1542),
    [anon_sym_SEMI] = ACTIONS(1540),
    [aux_sym_declare_statement_token1] = ACTIONS(1542),
    [anon_sym_COMMA] = ACTIONS(1540),
    [aux_sym_set_statement_token1] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1542),
    [aux_sym_return_satement_token1] = ACTIONS(1542),
    [aux_sym_call_statement_token1] = ACTIONS(1542),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1542),
    [aux_sym_if_statement_token1] = ACTIONS(1542),
    [aux_sym_loop_statement_token1] = ACTIONS(1542),
    [aux_sym_repeat_statement_token1] = ACTIONS(1542),
    [aux_sym_while_statement_token1] = ACTIONS(1542),
    [aux_sym_break_statement_token1] = ACTIONS(1542),
    [aux_sym_leave_statement_token1] = ACTIONS(1542),
    [aux_sym_continue_statement_token1] = ACTIONS(1542),
    [aux_sym_iterate_statement_token1] = ACTIONS(1542),
    [aux_sym_raise_statement_token1] = ACTIONS(1542),
    [anon_sym_EQ] = ACTIONS(1540),
    [aux_sym_assert_statement_token1] = ACTIONS(1542),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1542),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1542),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1542),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_GT] = ACTIONS(1542),
    [aux_sym_set_operation_token1] = ACTIONS(1542),
    [aux_sym_set_operation_token3] = ACTIONS(1542),
    [aux_sym_set_operation_token4] = ACTIONS(1542),
    [aux_sym_select_token1] = ACTIONS(1542),
    [aux_sym_having_clause_token1] = ACTIONS(1542),
    [aux_sym_qualify_clause_token1] = ACTIONS(1542),
    [aux_sym_limit_clause_token1] = ACTIONS(1542),
    [aux_sym_group_by_clause_token1] = ACTIONS(1542),
    [aux_sym_order_by_clause_token1] = ACTIONS(1542),
    [aux_sym_where_clause_token1] = ACTIONS(1542),
    [aux_sym_insert_statement_token1] = ACTIONS(1542),
    [aux_sym_truncate_statement_token1] = ACTIONS(1542),
    [aux_sym_update_statement_token1] = ACTIONS(1542),
    [aux_sym_merge_statement_token1] = ACTIONS(1542),
    [aux_sym_grant_statement_token1] = ACTIONS(1542),
    [aux_sym_revoke_statement_token1] = ACTIONS(1542),
    [aux_sym_export_data_statement_token1] = ACTIONS(1542),
    [aux_sym_load_data_statement_token1] = ACTIONS(1542),
    [anon_sym_LBRACK] = ACTIONS(1540),
    [sym__quoted_identifier] = ACTIONS(1540),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(1540),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(1542),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_LT_EQ] = ACTIONS(1540),
    [anon_sym_LT_GT] = ACTIONS(1540),
    [anon_sym_GT_EQ] = ACTIONS(1540),
    [anon_sym_BANG_EQ] = ACTIONS(1540),
    [anon_sym_LT_LT] = ACTIONS(1540),
    [anon_sym_GT_GT] = ACTIONS(1540),
    [anon_sym_AMP] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(1540),
    [anon_sym_PIPE] = ACTIONS(1542),
  },
  [2085] = {
    [sym__unquoted_identifier] = ACTIONS(1646),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1646),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1646),
    [aux_sym_keyword_replace_token1] = ACTIONS(1646),
    [aux_sym__keyword_alter_token1] = ACTIONS(1646),
    [aux_sym__keyword_from_token1] = ACTIONS(1646),
    [aux_sym__keyword_delete_token1] = ACTIONS(1646),
    [aux_sym__keyword_begin_token1] = ACTIONS(1646),
    [aux_sym__keyword_end_token1] = ACTIONS(1646),
    [aux_sym__keyword_between_token1] = ACTIONS(1646),
    [aux_sym__keyword_when_token1] = ACTIONS(1646),
    [aux_sym__keyword_else_token1] = ACTIONS(1646),
    [aux_sym__keyword_is_token1] = ACTIONS(1646),
    [aux_sym__keyword_in_token1] = ACTIONS(1646),
    [aux_sym__keyword_and_token1] = ACTIONS(1646),
    [aux_sym__keyword_like_token1] = ACTIONS(1646),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1646),
    [aux_sym__keyword_as_token1] = ACTIONS(1646),
    [aux_sym__keyword_window_token1] = ACTIONS(1646),
    [aux_sym__keyword_date_token1] = ACTIONS(1646),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1646),
    [aux_sym__keyword_time_token1] = ACTIONS(1646),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1646),
    [aux_sym__keyword_for_token1] = ACTIONS(1646),
    [anon_sym_SEMI] = ACTIONS(1644),
    [aux_sym_declare_statement_token1] = ACTIONS(1646),
    [anon_sym_COMMA] = ACTIONS(1644),
    [aux_sym_set_statement_token1] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1644),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1646),
    [aux_sym_return_satement_token1] = ACTIONS(1646),
    [aux_sym_call_statement_token1] = ACTIONS(1646),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1646),
    [aux_sym_if_statement_token1] = ACTIONS(1646),
    [aux_sym_loop_statement_token1] = ACTIONS(1646),
    [aux_sym_repeat_statement_token1] = ACTIONS(1646),
    [aux_sym_while_statement_token1] = ACTIONS(1646),
    [aux_sym_break_statement_token1] = ACTIONS(1646),
    [aux_sym_leave_statement_token1] = ACTIONS(1646),
    [aux_sym_continue_statement_token1] = ACTIONS(1646),
    [aux_sym_iterate_statement_token1] = ACTIONS(1646),
    [aux_sym_raise_statement_token1] = ACTIONS(1646),
    [anon_sym_EQ] = ACTIONS(1644),
    [aux_sym_assert_statement_token1] = ACTIONS(1646),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1646),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1646),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1646),
    [anon_sym_LT] = ACTIONS(1646),
    [anon_sym_GT] = ACTIONS(1646),
    [aux_sym_set_operation_token1] = ACTIONS(1646),
    [aux_sym_set_operation_token3] = ACTIONS(1646),
    [aux_sym_set_operation_token4] = ACTIONS(1646),
    [aux_sym_select_token1] = ACTIONS(1646),
    [aux_sym_having_clause_token1] = ACTIONS(1646),
    [aux_sym_qualify_clause_token1] = ACTIONS(1646),
    [aux_sym_limit_clause_token1] = ACTIONS(1646),
    [aux_sym_group_by_clause_token1] = ACTIONS(1646),
    [aux_sym_order_by_clause_token1] = ACTIONS(1646),
    [aux_sym_where_clause_token1] = ACTIONS(1646),
    [aux_sym_insert_statement_token1] = ACTIONS(1646),
    [aux_sym_truncate_statement_token1] = ACTIONS(1646),
    [aux_sym_update_statement_token1] = ACTIONS(1646),
    [aux_sym_merge_statement_token1] = ACTIONS(1646),
    [aux_sym_grant_statement_token1] = ACTIONS(1646),
    [aux_sym_revoke_statement_token1] = ACTIONS(1646),
    [aux_sym_export_data_statement_token1] = ACTIONS(1646),
    [aux_sym_load_data_statement_token1] = ACTIONS(1646),
    [anon_sym_LBRACK] = ACTIONS(1644),
    [sym__quoted_identifier] = ACTIONS(1644),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1644),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1646),
    [anon_sym_STAR] = ACTIONS(1644),
    [anon_sym_SLASH] = ACTIONS(1646),
    [anon_sym_PIPE_PIPE] = ACTIONS(1644),
    [anon_sym_LT_EQ] = ACTIONS(1644),
    [anon_sym_LT_GT] = ACTIONS(1644),
    [anon_sym_GT_EQ] = ACTIONS(1644),
    [anon_sym_BANG_EQ] = ACTIONS(1644),
    [anon_sym_LT_LT] = ACTIONS(1644),
    [anon_sym_GT_GT] = ACTIONS(1644),
    [anon_sym_AMP] = ACTIONS(1644),
    [anon_sym_CARET] = ACTIONS(1644),
    [anon_sym_PIPE] = ACTIONS(1646),
  },
  [2086] = {
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_from_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [2087] = {
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2088] = {
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2089] = {
    [sym__unquoted_identifier] = ACTIONS(1542),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1542),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1542),
    [aux_sym_keyword_replace_token1] = ACTIONS(1542),
    [aux_sym__keyword_alter_token1] = ACTIONS(1542),
    [aux_sym__keyword_from_token1] = ACTIONS(1542),
    [aux_sym__keyword_delete_token1] = ACTIONS(1542),
    [aux_sym__keyword_begin_token1] = ACTIONS(1542),
    [aux_sym__keyword_end_token1] = ACTIONS(1542),
    [aux_sym__keyword_between_token1] = ACTIONS(1542),
    [aux_sym__keyword_when_token1] = ACTIONS(1542),
    [aux_sym__keyword_else_token1] = ACTIONS(1542),
    [aux_sym__keyword_is_token1] = ACTIONS(1542),
    [aux_sym__keyword_in_token1] = ACTIONS(1542),
    [aux_sym__keyword_and_token1] = ACTIONS(1542),
    [aux_sym__keyword_like_token1] = ACTIONS(1542),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1542),
    [aux_sym__keyword_as_token1] = ACTIONS(1542),
    [aux_sym__keyword_window_token1] = ACTIONS(1542),
    [aux_sym__keyword_date_token1] = ACTIONS(1542),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1542),
    [aux_sym__keyword_time_token1] = ACTIONS(1542),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1542),
    [aux_sym__keyword_for_token1] = ACTIONS(1542),
    [anon_sym_SEMI] = ACTIONS(1540),
    [aux_sym_declare_statement_token1] = ACTIONS(1542),
    [anon_sym_COMMA] = ACTIONS(1540),
    [aux_sym_set_statement_token1] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1542),
    [aux_sym_return_satement_token1] = ACTIONS(1542),
    [aux_sym_call_statement_token1] = ACTIONS(1542),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1542),
    [aux_sym_if_statement_token1] = ACTIONS(1542),
    [aux_sym_loop_statement_token1] = ACTIONS(1542),
    [aux_sym_repeat_statement_token1] = ACTIONS(1542),
    [aux_sym_while_statement_token1] = ACTIONS(1542),
    [aux_sym_break_statement_token1] = ACTIONS(1542),
    [aux_sym_leave_statement_token1] = ACTIONS(1542),
    [aux_sym_continue_statement_token1] = ACTIONS(1542),
    [aux_sym_iterate_statement_token1] = ACTIONS(1542),
    [aux_sym_raise_statement_token1] = ACTIONS(1542),
    [anon_sym_EQ] = ACTIONS(1540),
    [aux_sym_assert_statement_token1] = ACTIONS(1542),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1542),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1542),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1542),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_GT] = ACTIONS(1542),
    [aux_sym_set_operation_token1] = ACTIONS(1542),
    [aux_sym_set_operation_token3] = ACTIONS(1542),
    [aux_sym_set_operation_token4] = ACTIONS(1542),
    [aux_sym_select_token1] = ACTIONS(1542),
    [aux_sym_having_clause_token1] = ACTIONS(1542),
    [aux_sym_qualify_clause_token1] = ACTIONS(1542),
    [aux_sym_limit_clause_token1] = ACTIONS(1542),
    [aux_sym_group_by_clause_token1] = ACTIONS(1542),
    [aux_sym_order_by_clause_token1] = ACTIONS(1542),
    [aux_sym_where_clause_token1] = ACTIONS(1542),
    [aux_sym_insert_statement_token1] = ACTIONS(1542),
    [aux_sym_truncate_statement_token1] = ACTIONS(1542),
    [aux_sym_update_statement_token1] = ACTIONS(1542),
    [aux_sym_merge_statement_token1] = ACTIONS(1542),
    [aux_sym_grant_statement_token1] = ACTIONS(1542),
    [aux_sym_revoke_statement_token1] = ACTIONS(1542),
    [aux_sym_export_data_statement_token1] = ACTIONS(1542),
    [aux_sym_load_data_statement_token1] = ACTIONS(1542),
    [anon_sym_LBRACK] = ACTIONS(1540),
    [sym__quoted_identifier] = ACTIONS(1540),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(1540),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(1542),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_LT_EQ] = ACTIONS(1540),
    [anon_sym_LT_GT] = ACTIONS(1540),
    [anon_sym_GT_EQ] = ACTIONS(1540),
    [anon_sym_BANG_EQ] = ACTIONS(1540),
    [anon_sym_LT_LT] = ACTIONS(1540),
    [anon_sym_GT_GT] = ACTIONS(1540),
    [anon_sym_AMP] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(1540),
    [anon_sym_PIPE] = ACTIONS(1542),
  },
  [2090] = {
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2091] = {
    [sym__unquoted_identifier] = ACTIONS(1654),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1654),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1654),
    [aux_sym_keyword_replace_token1] = ACTIONS(1654),
    [aux_sym__keyword_alter_token1] = ACTIONS(1654),
    [aux_sym__keyword_from_token1] = ACTIONS(1654),
    [aux_sym__keyword_delete_token1] = ACTIONS(1654),
    [aux_sym__keyword_begin_token1] = ACTIONS(1654),
    [aux_sym__keyword_end_token1] = ACTIONS(1654),
    [aux_sym__keyword_between_token1] = ACTIONS(1654),
    [aux_sym__keyword_when_token1] = ACTIONS(1654),
    [aux_sym__keyword_else_token1] = ACTIONS(1654),
    [aux_sym__keyword_is_token1] = ACTIONS(1654),
    [aux_sym__keyword_in_token1] = ACTIONS(1654),
    [aux_sym__keyword_and_token1] = ACTIONS(1654),
    [aux_sym__keyword_like_token1] = ACTIONS(1654),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1654),
    [aux_sym__keyword_as_token1] = ACTIONS(1654),
    [aux_sym__keyword_window_token1] = ACTIONS(1654),
    [aux_sym__keyword_date_token1] = ACTIONS(1654),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1654),
    [aux_sym__keyword_time_token1] = ACTIONS(1654),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1654),
    [aux_sym__keyword_for_token1] = ACTIONS(1654),
    [anon_sym_SEMI] = ACTIONS(1652),
    [aux_sym_declare_statement_token1] = ACTIONS(1654),
    [anon_sym_COMMA] = ACTIONS(1652),
    [aux_sym_set_statement_token1] = ACTIONS(1654),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1654),
    [aux_sym_return_satement_token1] = ACTIONS(1654),
    [aux_sym_call_statement_token1] = ACTIONS(1654),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1654),
    [aux_sym_if_statement_token1] = ACTIONS(1654),
    [aux_sym_loop_statement_token1] = ACTIONS(1654),
    [aux_sym_repeat_statement_token1] = ACTIONS(1654),
    [aux_sym_while_statement_token1] = ACTIONS(1654),
    [aux_sym_break_statement_token1] = ACTIONS(1654),
    [aux_sym_leave_statement_token1] = ACTIONS(1654),
    [aux_sym_continue_statement_token1] = ACTIONS(1654),
    [aux_sym_iterate_statement_token1] = ACTIONS(1654),
    [aux_sym_raise_statement_token1] = ACTIONS(1654),
    [anon_sym_EQ] = ACTIONS(1652),
    [aux_sym_assert_statement_token1] = ACTIONS(1654),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1654),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1654),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1654),
    [anon_sym_LT] = ACTIONS(1654),
    [anon_sym_GT] = ACTIONS(1654),
    [aux_sym_set_operation_token1] = ACTIONS(1654),
    [aux_sym_set_operation_token3] = ACTIONS(1654),
    [aux_sym_set_operation_token4] = ACTIONS(1654),
    [aux_sym_select_token1] = ACTIONS(1654),
    [aux_sym_having_clause_token1] = ACTIONS(1654),
    [aux_sym_qualify_clause_token1] = ACTIONS(1654),
    [aux_sym_limit_clause_token1] = ACTIONS(1654),
    [aux_sym_group_by_clause_token1] = ACTIONS(1654),
    [aux_sym_order_by_clause_token1] = ACTIONS(1654),
    [aux_sym_where_clause_token1] = ACTIONS(1654),
    [aux_sym_insert_statement_token1] = ACTIONS(1654),
    [aux_sym_truncate_statement_token1] = ACTIONS(1654),
    [aux_sym_update_statement_token1] = ACTIONS(1654),
    [aux_sym_merge_statement_token1] = ACTIONS(1654),
    [aux_sym_grant_statement_token1] = ACTIONS(1654),
    [aux_sym_revoke_statement_token1] = ACTIONS(1654),
    [aux_sym_export_data_statement_token1] = ACTIONS(1654),
    [aux_sym_load_data_statement_token1] = ACTIONS(1654),
    [anon_sym_LBRACK] = ACTIONS(1652),
    [sym__quoted_identifier] = ACTIONS(1652),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1652),
    [anon_sym_PLUS] = ACTIONS(1652),
    [anon_sym_DASH] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(1652),
    [anon_sym_SLASH] = ACTIONS(1654),
    [anon_sym_PIPE_PIPE] = ACTIONS(1652),
    [anon_sym_LT_EQ] = ACTIONS(1652),
    [anon_sym_LT_GT] = ACTIONS(1652),
    [anon_sym_GT_EQ] = ACTIONS(1652),
    [anon_sym_BANG_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT] = ACTIONS(1652),
    [anon_sym_GT_GT] = ACTIONS(1652),
    [anon_sym_AMP] = ACTIONS(1652),
    [anon_sym_CARET] = ACTIONS(1652),
    [anon_sym_PIPE] = ACTIONS(1654),
  },
  [2092] = {
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2093] = {
    [sym__unquoted_identifier] = ACTIONS(1658),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1658),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1658),
    [aux_sym_keyword_replace_token1] = ACTIONS(1658),
    [aux_sym__keyword_alter_token1] = ACTIONS(1658),
    [aux_sym__keyword_from_token1] = ACTIONS(1658),
    [aux_sym__keyword_delete_token1] = ACTIONS(1658),
    [aux_sym__keyword_begin_token1] = ACTIONS(1658),
    [aux_sym__keyword_end_token1] = ACTIONS(1658),
    [aux_sym__keyword_between_token1] = ACTIONS(1658),
    [aux_sym__keyword_when_token1] = ACTIONS(1658),
    [aux_sym__keyword_else_token1] = ACTIONS(1658),
    [aux_sym__keyword_is_token1] = ACTIONS(1658),
    [aux_sym__keyword_in_token1] = ACTIONS(1658),
    [aux_sym__keyword_and_token1] = ACTIONS(1658),
    [aux_sym__keyword_like_token1] = ACTIONS(1658),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1658),
    [aux_sym__keyword_as_token1] = ACTIONS(1658),
    [aux_sym__keyword_window_token1] = ACTIONS(1658),
    [aux_sym__keyword_date_token1] = ACTIONS(1658),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1658),
    [aux_sym__keyword_time_token1] = ACTIONS(1658),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1658),
    [aux_sym__keyword_for_token1] = ACTIONS(1658),
    [anon_sym_SEMI] = ACTIONS(1656),
    [aux_sym_declare_statement_token1] = ACTIONS(1658),
    [anon_sym_COMMA] = ACTIONS(1656),
    [aux_sym_set_statement_token1] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1658),
    [aux_sym_return_satement_token1] = ACTIONS(1658),
    [aux_sym_call_statement_token1] = ACTIONS(1658),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1658),
    [aux_sym_if_statement_token1] = ACTIONS(1658),
    [aux_sym_loop_statement_token1] = ACTIONS(1658),
    [aux_sym_repeat_statement_token1] = ACTIONS(1658),
    [aux_sym_while_statement_token1] = ACTIONS(1658),
    [aux_sym_break_statement_token1] = ACTIONS(1658),
    [aux_sym_leave_statement_token1] = ACTIONS(1658),
    [aux_sym_continue_statement_token1] = ACTIONS(1658),
    [aux_sym_iterate_statement_token1] = ACTIONS(1658),
    [aux_sym_raise_statement_token1] = ACTIONS(1658),
    [anon_sym_EQ] = ACTIONS(1656),
    [aux_sym_assert_statement_token1] = ACTIONS(1658),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1658),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1658),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1658),
    [anon_sym_LT] = ACTIONS(1658),
    [anon_sym_GT] = ACTIONS(1658),
    [aux_sym_set_operation_token1] = ACTIONS(1658),
    [aux_sym_set_operation_token3] = ACTIONS(1658),
    [aux_sym_set_operation_token4] = ACTIONS(1658),
    [aux_sym_select_token1] = ACTIONS(1658),
    [aux_sym_having_clause_token1] = ACTIONS(1658),
    [aux_sym_qualify_clause_token1] = ACTIONS(1658),
    [aux_sym_limit_clause_token1] = ACTIONS(1658),
    [aux_sym_group_by_clause_token1] = ACTIONS(1658),
    [aux_sym_order_by_clause_token1] = ACTIONS(1658),
    [aux_sym_where_clause_token1] = ACTIONS(1658),
    [aux_sym_insert_statement_token1] = ACTIONS(1658),
    [aux_sym_truncate_statement_token1] = ACTIONS(1658),
    [aux_sym_update_statement_token1] = ACTIONS(1658),
    [aux_sym_merge_statement_token1] = ACTIONS(1658),
    [aux_sym_grant_statement_token1] = ACTIONS(1658),
    [aux_sym_revoke_statement_token1] = ACTIONS(1658),
    [aux_sym_export_data_statement_token1] = ACTIONS(1658),
    [aux_sym_load_data_statement_token1] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [sym__quoted_identifier] = ACTIONS(1656),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1656),
    [anon_sym_PLUS] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_STAR] = ACTIONS(1656),
    [anon_sym_SLASH] = ACTIONS(1658),
    [anon_sym_PIPE_PIPE] = ACTIONS(1656),
    [anon_sym_LT_EQ] = ACTIONS(1656),
    [anon_sym_LT_GT] = ACTIONS(1656),
    [anon_sym_GT_EQ] = ACTIONS(1656),
    [anon_sym_BANG_EQ] = ACTIONS(1656),
    [anon_sym_LT_LT] = ACTIONS(1656),
    [anon_sym_GT_GT] = ACTIONS(1656),
    [anon_sym_AMP] = ACTIONS(1656),
    [anon_sym_CARET] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1658),
  },
  [2094] = {
    [sym__unquoted_identifier] = ACTIONS(1824),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1824),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1824),
    [aux_sym_keyword_replace_token1] = ACTIONS(1824),
    [aux_sym__keyword_alter_token1] = ACTIONS(1824),
    [aux_sym__keyword_from_token1] = ACTIONS(1824),
    [aux_sym__keyword_delete_token1] = ACTIONS(1824),
    [aux_sym__keyword_begin_token1] = ACTIONS(1824),
    [aux_sym__keyword_end_token1] = ACTIONS(1824),
    [aux_sym__keyword_between_token1] = ACTIONS(1824),
    [aux_sym__keyword_when_token1] = ACTIONS(1824),
    [aux_sym__keyword_else_token1] = ACTIONS(1824),
    [aux_sym__keyword_is_token1] = ACTIONS(1824),
    [aux_sym__keyword_in_token1] = ACTIONS(1824),
    [aux_sym__keyword_and_token1] = ACTIONS(1824),
    [aux_sym__keyword_like_token1] = ACTIONS(1824),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1824),
    [aux_sym__keyword_as_token1] = ACTIONS(1824),
    [aux_sym__keyword_window_token1] = ACTIONS(1824),
    [aux_sym__keyword_date_token1] = ACTIONS(1824),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1824),
    [aux_sym__keyword_time_token1] = ACTIONS(1824),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1824),
    [aux_sym__keyword_for_token1] = ACTIONS(1824),
    [anon_sym_SEMI] = ACTIONS(1822),
    [aux_sym_declare_statement_token1] = ACTIONS(1824),
    [anon_sym_COMMA] = ACTIONS(1822),
    [aux_sym_set_statement_token1] = ACTIONS(1824),
    [anon_sym_LPAREN] = ACTIONS(1822),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1824),
    [aux_sym_return_satement_token1] = ACTIONS(1824),
    [aux_sym_call_statement_token1] = ACTIONS(1824),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1824),
    [aux_sym_if_statement_token1] = ACTIONS(1824),
    [aux_sym_loop_statement_token1] = ACTIONS(1824),
    [aux_sym_repeat_statement_token1] = ACTIONS(1824),
    [aux_sym_while_statement_token1] = ACTIONS(1824),
    [aux_sym_break_statement_token1] = ACTIONS(1824),
    [aux_sym_leave_statement_token1] = ACTIONS(1824),
    [aux_sym_continue_statement_token1] = ACTIONS(1824),
    [aux_sym_iterate_statement_token1] = ACTIONS(1824),
    [aux_sym_raise_statement_token1] = ACTIONS(1824),
    [anon_sym_EQ] = ACTIONS(1822),
    [aux_sym_assert_statement_token1] = ACTIONS(1824),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1824),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1824),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1824),
    [anon_sym_LT] = ACTIONS(1824),
    [anon_sym_GT] = ACTIONS(1824),
    [aux_sym_set_operation_token1] = ACTIONS(1824),
    [aux_sym_set_operation_token3] = ACTIONS(1824),
    [aux_sym_set_operation_token4] = ACTIONS(1824),
    [aux_sym_select_token1] = ACTIONS(1824),
    [aux_sym_having_clause_token1] = ACTIONS(1824),
    [aux_sym_qualify_clause_token1] = ACTIONS(1824),
    [aux_sym_limit_clause_token1] = ACTIONS(1824),
    [aux_sym_group_by_clause_token1] = ACTIONS(1824),
    [aux_sym_order_by_clause_token1] = ACTIONS(1824),
    [aux_sym_where_clause_token1] = ACTIONS(1824),
    [aux_sym_insert_statement_token1] = ACTIONS(1824),
    [aux_sym_truncate_statement_token1] = ACTIONS(1824),
    [aux_sym_update_statement_token1] = ACTIONS(1824),
    [aux_sym_merge_statement_token1] = ACTIONS(1824),
    [aux_sym_grant_statement_token1] = ACTIONS(1824),
    [aux_sym_revoke_statement_token1] = ACTIONS(1824),
    [aux_sym_export_data_statement_token1] = ACTIONS(1824),
    [aux_sym_load_data_statement_token1] = ACTIONS(1824),
    [anon_sym_LBRACK] = ACTIONS(1822),
    [sym__quoted_identifier] = ACTIONS(1822),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1822),
    [anon_sym_PLUS] = ACTIONS(1822),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_STAR] = ACTIONS(1822),
    [anon_sym_SLASH] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE] = ACTIONS(1822),
    [anon_sym_LT_EQ] = ACTIONS(1822),
    [anon_sym_LT_GT] = ACTIONS(1822),
    [anon_sym_GT_EQ] = ACTIONS(1822),
    [anon_sym_BANG_EQ] = ACTIONS(1822),
    [anon_sym_LT_LT] = ACTIONS(1822),
    [anon_sym_GT_GT] = ACTIONS(1822),
    [anon_sym_AMP] = ACTIONS(1822),
    [anon_sym_CARET] = ACTIONS(1822),
    [anon_sym_PIPE] = ACTIONS(1824),
  },
  [2095] = {
    [sym__unquoted_identifier] = ACTIONS(1662),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1662),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1662),
    [aux_sym_keyword_replace_token1] = ACTIONS(1662),
    [aux_sym__keyword_alter_token1] = ACTIONS(1662),
    [aux_sym__keyword_from_token1] = ACTIONS(1662),
    [aux_sym__keyword_delete_token1] = ACTIONS(1662),
    [aux_sym__keyword_begin_token1] = ACTIONS(1662),
    [aux_sym__keyword_end_token1] = ACTIONS(1662),
    [aux_sym__keyword_between_token1] = ACTIONS(1662),
    [aux_sym__keyword_when_token1] = ACTIONS(1662),
    [aux_sym__keyword_else_token1] = ACTIONS(1662),
    [aux_sym__keyword_is_token1] = ACTIONS(1662),
    [aux_sym__keyword_in_token1] = ACTIONS(1662),
    [aux_sym__keyword_and_token1] = ACTIONS(1662),
    [aux_sym__keyword_like_token1] = ACTIONS(1662),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1662),
    [aux_sym__keyword_as_token1] = ACTIONS(1662),
    [aux_sym__keyword_window_token1] = ACTIONS(1662),
    [aux_sym__keyword_date_token1] = ACTIONS(1662),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1662),
    [aux_sym__keyword_time_token1] = ACTIONS(1662),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1662),
    [aux_sym__keyword_for_token1] = ACTIONS(1662),
    [anon_sym_SEMI] = ACTIONS(1660),
    [aux_sym_declare_statement_token1] = ACTIONS(1662),
    [anon_sym_COMMA] = ACTIONS(1660),
    [aux_sym_set_statement_token1] = ACTIONS(1662),
    [anon_sym_LPAREN] = ACTIONS(1660),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1662),
    [aux_sym_return_satement_token1] = ACTIONS(1662),
    [aux_sym_call_statement_token1] = ACTIONS(1662),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1662),
    [aux_sym_if_statement_token1] = ACTIONS(1662),
    [aux_sym_loop_statement_token1] = ACTIONS(1662),
    [aux_sym_repeat_statement_token1] = ACTIONS(1662),
    [aux_sym_while_statement_token1] = ACTIONS(1662),
    [aux_sym_break_statement_token1] = ACTIONS(1662),
    [aux_sym_leave_statement_token1] = ACTIONS(1662),
    [aux_sym_continue_statement_token1] = ACTIONS(1662),
    [aux_sym_iterate_statement_token1] = ACTIONS(1662),
    [aux_sym_raise_statement_token1] = ACTIONS(1662),
    [anon_sym_EQ] = ACTIONS(1660),
    [aux_sym_assert_statement_token1] = ACTIONS(1662),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1662),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1662),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1662),
    [anon_sym_LT] = ACTIONS(1662),
    [anon_sym_GT] = ACTIONS(1662),
    [aux_sym_set_operation_token1] = ACTIONS(1662),
    [aux_sym_set_operation_token3] = ACTIONS(1662),
    [aux_sym_set_operation_token4] = ACTIONS(1662),
    [aux_sym_select_token1] = ACTIONS(1662),
    [aux_sym_having_clause_token1] = ACTIONS(1662),
    [aux_sym_qualify_clause_token1] = ACTIONS(1662),
    [aux_sym_limit_clause_token1] = ACTIONS(1662),
    [aux_sym_group_by_clause_token1] = ACTIONS(1662),
    [aux_sym_order_by_clause_token1] = ACTIONS(1662),
    [aux_sym_where_clause_token1] = ACTIONS(1662),
    [aux_sym_insert_statement_token1] = ACTIONS(1662),
    [aux_sym_truncate_statement_token1] = ACTIONS(1662),
    [aux_sym_update_statement_token1] = ACTIONS(1662),
    [aux_sym_merge_statement_token1] = ACTIONS(1662),
    [aux_sym_grant_statement_token1] = ACTIONS(1662),
    [aux_sym_revoke_statement_token1] = ACTIONS(1662),
    [aux_sym_export_data_statement_token1] = ACTIONS(1662),
    [aux_sym_load_data_statement_token1] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1660),
    [sym__quoted_identifier] = ACTIONS(1660),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1660),
    [anon_sym_PLUS] = ACTIONS(1660),
    [anon_sym_DASH] = ACTIONS(1662),
    [anon_sym_STAR] = ACTIONS(1660),
    [anon_sym_SLASH] = ACTIONS(1662),
    [anon_sym_PIPE_PIPE] = ACTIONS(1660),
    [anon_sym_LT_EQ] = ACTIONS(1660),
    [anon_sym_LT_GT] = ACTIONS(1660),
    [anon_sym_GT_EQ] = ACTIONS(1660),
    [anon_sym_BANG_EQ] = ACTIONS(1660),
    [anon_sym_LT_LT] = ACTIONS(1660),
    [anon_sym_GT_GT] = ACTIONS(1660),
    [anon_sym_AMP] = ACTIONS(1660),
    [anon_sym_CARET] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1662),
  },
  [2096] = {
    [sym__unquoted_identifier] = ACTIONS(1666),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1666),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1666),
    [aux_sym_keyword_replace_token1] = ACTIONS(1666),
    [aux_sym__keyword_alter_token1] = ACTIONS(1666),
    [aux_sym__keyword_from_token1] = ACTIONS(1666),
    [aux_sym__keyword_delete_token1] = ACTIONS(1666),
    [aux_sym__keyword_begin_token1] = ACTIONS(1666),
    [aux_sym__keyword_end_token1] = ACTIONS(1666),
    [aux_sym__keyword_between_token1] = ACTIONS(1666),
    [aux_sym__keyword_when_token1] = ACTIONS(1666),
    [aux_sym__keyword_else_token1] = ACTIONS(1666),
    [aux_sym__keyword_is_token1] = ACTIONS(1666),
    [aux_sym__keyword_in_token1] = ACTIONS(1666),
    [aux_sym__keyword_and_token1] = ACTIONS(1666),
    [aux_sym__keyword_like_token1] = ACTIONS(1666),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1666),
    [aux_sym__keyword_as_token1] = ACTIONS(1666),
    [aux_sym__keyword_window_token1] = ACTIONS(1666),
    [aux_sym__keyword_date_token1] = ACTIONS(1666),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1666),
    [aux_sym__keyword_time_token1] = ACTIONS(1666),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1666),
    [aux_sym__keyword_for_token1] = ACTIONS(1666),
    [anon_sym_SEMI] = ACTIONS(1664),
    [aux_sym_declare_statement_token1] = ACTIONS(1666),
    [anon_sym_COMMA] = ACTIONS(1664),
    [aux_sym_set_statement_token1] = ACTIONS(1666),
    [anon_sym_LPAREN] = ACTIONS(1664),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1666),
    [aux_sym_return_satement_token1] = ACTIONS(1666),
    [aux_sym_call_statement_token1] = ACTIONS(1666),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1666),
    [aux_sym_if_statement_token1] = ACTIONS(1666),
    [aux_sym_loop_statement_token1] = ACTIONS(1666),
    [aux_sym_repeat_statement_token1] = ACTIONS(1666),
    [aux_sym_while_statement_token1] = ACTIONS(1666),
    [aux_sym_break_statement_token1] = ACTIONS(1666),
    [aux_sym_leave_statement_token1] = ACTIONS(1666),
    [aux_sym_continue_statement_token1] = ACTIONS(1666),
    [aux_sym_iterate_statement_token1] = ACTIONS(1666),
    [aux_sym_raise_statement_token1] = ACTIONS(1666),
    [anon_sym_EQ] = ACTIONS(1664),
    [aux_sym_assert_statement_token1] = ACTIONS(1666),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1666),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1666),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1666),
    [anon_sym_LT] = ACTIONS(1666),
    [anon_sym_GT] = ACTIONS(1666),
    [aux_sym_set_operation_token1] = ACTIONS(1666),
    [aux_sym_set_operation_token3] = ACTIONS(1666),
    [aux_sym_set_operation_token4] = ACTIONS(1666),
    [aux_sym_select_token1] = ACTIONS(1666),
    [aux_sym_having_clause_token1] = ACTIONS(1666),
    [aux_sym_qualify_clause_token1] = ACTIONS(1666),
    [aux_sym_limit_clause_token1] = ACTIONS(1666),
    [aux_sym_group_by_clause_token1] = ACTIONS(1666),
    [aux_sym_order_by_clause_token1] = ACTIONS(1666),
    [aux_sym_where_clause_token1] = ACTIONS(1666),
    [aux_sym_insert_statement_token1] = ACTIONS(1666),
    [aux_sym_truncate_statement_token1] = ACTIONS(1666),
    [aux_sym_update_statement_token1] = ACTIONS(1666),
    [aux_sym_merge_statement_token1] = ACTIONS(1666),
    [aux_sym_grant_statement_token1] = ACTIONS(1666),
    [aux_sym_revoke_statement_token1] = ACTIONS(1666),
    [aux_sym_export_data_statement_token1] = ACTIONS(1666),
    [aux_sym_load_data_statement_token1] = ACTIONS(1666),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [sym__quoted_identifier] = ACTIONS(1664),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1664),
    [anon_sym_PLUS] = ACTIONS(1664),
    [anon_sym_DASH] = ACTIONS(1666),
    [anon_sym_STAR] = ACTIONS(1664),
    [anon_sym_SLASH] = ACTIONS(1666),
    [anon_sym_PIPE_PIPE] = ACTIONS(1664),
    [anon_sym_LT_EQ] = ACTIONS(1664),
    [anon_sym_LT_GT] = ACTIONS(1664),
    [anon_sym_GT_EQ] = ACTIONS(1664),
    [anon_sym_BANG_EQ] = ACTIONS(1664),
    [anon_sym_LT_LT] = ACTIONS(1664),
    [anon_sym_GT_GT] = ACTIONS(1664),
    [anon_sym_AMP] = ACTIONS(1664),
    [anon_sym_CARET] = ACTIONS(1664),
    [anon_sym_PIPE] = ACTIONS(1666),
  },
  [2097] = {
    [sym__unquoted_identifier] = ACTIONS(1670),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1670),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1670),
    [aux_sym_keyword_replace_token1] = ACTIONS(1670),
    [aux_sym__keyword_alter_token1] = ACTIONS(1670),
    [aux_sym__keyword_from_token1] = ACTIONS(1670),
    [aux_sym__keyword_delete_token1] = ACTIONS(1670),
    [aux_sym__keyword_begin_token1] = ACTIONS(1670),
    [aux_sym__keyword_end_token1] = ACTIONS(1670),
    [aux_sym__keyword_between_token1] = ACTIONS(1670),
    [aux_sym__keyword_when_token1] = ACTIONS(1670),
    [aux_sym__keyword_else_token1] = ACTIONS(1670),
    [aux_sym__keyword_is_token1] = ACTIONS(1670),
    [aux_sym__keyword_in_token1] = ACTIONS(1670),
    [aux_sym__keyword_and_token1] = ACTIONS(1670),
    [aux_sym__keyword_like_token1] = ACTIONS(1670),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1670),
    [aux_sym__keyword_as_token1] = ACTIONS(1670),
    [aux_sym__keyword_window_token1] = ACTIONS(1670),
    [aux_sym__keyword_date_token1] = ACTIONS(1670),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1670),
    [aux_sym__keyword_time_token1] = ACTIONS(1670),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1670),
    [aux_sym__keyword_for_token1] = ACTIONS(1670),
    [anon_sym_SEMI] = ACTIONS(1668),
    [aux_sym_declare_statement_token1] = ACTIONS(1670),
    [anon_sym_COMMA] = ACTIONS(1668),
    [aux_sym_set_statement_token1] = ACTIONS(1670),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1670),
    [aux_sym_return_satement_token1] = ACTIONS(1670),
    [aux_sym_call_statement_token1] = ACTIONS(1670),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1670),
    [aux_sym_if_statement_token1] = ACTIONS(1670),
    [aux_sym_loop_statement_token1] = ACTIONS(1670),
    [aux_sym_repeat_statement_token1] = ACTIONS(1670),
    [aux_sym_while_statement_token1] = ACTIONS(1670),
    [aux_sym_break_statement_token1] = ACTIONS(1670),
    [aux_sym_leave_statement_token1] = ACTIONS(1670),
    [aux_sym_continue_statement_token1] = ACTIONS(1670),
    [aux_sym_iterate_statement_token1] = ACTIONS(1670),
    [aux_sym_raise_statement_token1] = ACTIONS(1670),
    [anon_sym_EQ] = ACTIONS(1668),
    [aux_sym_assert_statement_token1] = ACTIONS(1670),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1670),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1670),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1670),
    [anon_sym_LT] = ACTIONS(1670),
    [anon_sym_GT] = ACTIONS(1670),
    [aux_sym_set_operation_token1] = ACTIONS(1670),
    [aux_sym_set_operation_token3] = ACTIONS(1670),
    [aux_sym_set_operation_token4] = ACTIONS(1670),
    [aux_sym_select_token1] = ACTIONS(1670),
    [aux_sym_having_clause_token1] = ACTIONS(1670),
    [aux_sym_qualify_clause_token1] = ACTIONS(1670),
    [aux_sym_limit_clause_token1] = ACTIONS(1670),
    [aux_sym_group_by_clause_token1] = ACTIONS(1670),
    [aux_sym_order_by_clause_token1] = ACTIONS(1670),
    [aux_sym_where_clause_token1] = ACTIONS(1670),
    [aux_sym_insert_statement_token1] = ACTIONS(1670),
    [aux_sym_truncate_statement_token1] = ACTIONS(1670),
    [aux_sym_update_statement_token1] = ACTIONS(1670),
    [aux_sym_merge_statement_token1] = ACTIONS(1670),
    [aux_sym_grant_statement_token1] = ACTIONS(1670),
    [aux_sym_revoke_statement_token1] = ACTIONS(1670),
    [aux_sym_export_data_statement_token1] = ACTIONS(1670),
    [aux_sym_load_data_statement_token1] = ACTIONS(1670),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [sym__quoted_identifier] = ACTIONS(1668),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1668),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_STAR] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(1670),
    [anon_sym_PIPE_PIPE] = ACTIONS(1668),
    [anon_sym_LT_EQ] = ACTIONS(1668),
    [anon_sym_LT_GT] = ACTIONS(1668),
    [anon_sym_GT_EQ] = ACTIONS(1668),
    [anon_sym_BANG_EQ] = ACTIONS(1668),
    [anon_sym_LT_LT] = ACTIONS(1668),
    [anon_sym_GT_GT] = ACTIONS(1668),
    [anon_sym_AMP] = ACTIONS(1668),
    [anon_sym_CARET] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1670),
  },
  [2098] = {
    [sym__unquoted_identifier] = ACTIONS(1828),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1828),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1828),
    [aux_sym_keyword_replace_token1] = ACTIONS(1828),
    [aux_sym__keyword_alter_token1] = ACTIONS(1828),
    [aux_sym__keyword_from_token1] = ACTIONS(1828),
    [aux_sym__keyword_delete_token1] = ACTIONS(1828),
    [aux_sym__keyword_begin_token1] = ACTIONS(1828),
    [aux_sym__keyword_end_token1] = ACTIONS(1828),
    [aux_sym__keyword_between_token1] = ACTIONS(1828),
    [aux_sym__keyword_when_token1] = ACTIONS(1828),
    [aux_sym__keyword_else_token1] = ACTIONS(1828),
    [aux_sym__keyword_is_token1] = ACTIONS(1828),
    [aux_sym__keyword_in_token1] = ACTIONS(1828),
    [aux_sym__keyword_and_token1] = ACTIONS(1828),
    [aux_sym__keyword_like_token1] = ACTIONS(1828),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1828),
    [aux_sym__keyword_as_token1] = ACTIONS(1828),
    [aux_sym__keyword_window_token1] = ACTIONS(1828),
    [aux_sym__keyword_date_token1] = ACTIONS(1828),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1828),
    [aux_sym__keyword_time_token1] = ACTIONS(1828),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1828),
    [aux_sym__keyword_for_token1] = ACTIONS(1828),
    [anon_sym_SEMI] = ACTIONS(1826),
    [aux_sym_declare_statement_token1] = ACTIONS(1828),
    [anon_sym_COMMA] = ACTIONS(1826),
    [aux_sym_set_statement_token1] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1826),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1828),
    [aux_sym_return_satement_token1] = ACTIONS(1828),
    [aux_sym_call_statement_token1] = ACTIONS(1828),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1828),
    [aux_sym_if_statement_token1] = ACTIONS(1828),
    [aux_sym_loop_statement_token1] = ACTIONS(1828),
    [aux_sym_repeat_statement_token1] = ACTIONS(1828),
    [aux_sym_while_statement_token1] = ACTIONS(1828),
    [aux_sym_break_statement_token1] = ACTIONS(1828),
    [aux_sym_leave_statement_token1] = ACTIONS(1828),
    [aux_sym_continue_statement_token1] = ACTIONS(1828),
    [aux_sym_iterate_statement_token1] = ACTIONS(1828),
    [aux_sym_raise_statement_token1] = ACTIONS(1828),
    [anon_sym_EQ] = ACTIONS(1826),
    [aux_sym_assert_statement_token1] = ACTIONS(1828),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1828),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1828),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1828),
    [anon_sym_LT] = ACTIONS(1828),
    [anon_sym_GT] = ACTIONS(1828),
    [aux_sym_set_operation_token1] = ACTIONS(1828),
    [aux_sym_set_operation_token3] = ACTIONS(1828),
    [aux_sym_set_operation_token4] = ACTIONS(1828),
    [aux_sym_select_token1] = ACTIONS(1828),
    [aux_sym_having_clause_token1] = ACTIONS(1828),
    [aux_sym_qualify_clause_token1] = ACTIONS(1828),
    [aux_sym_limit_clause_token1] = ACTIONS(1828),
    [aux_sym_group_by_clause_token1] = ACTIONS(1828),
    [aux_sym_order_by_clause_token1] = ACTIONS(1828),
    [aux_sym_where_clause_token1] = ACTIONS(1828),
    [aux_sym_insert_statement_token1] = ACTIONS(1828),
    [aux_sym_truncate_statement_token1] = ACTIONS(1828),
    [aux_sym_update_statement_token1] = ACTIONS(1828),
    [aux_sym_merge_statement_token1] = ACTIONS(1828),
    [aux_sym_grant_statement_token1] = ACTIONS(1828),
    [aux_sym_revoke_statement_token1] = ACTIONS(1828),
    [aux_sym_export_data_statement_token1] = ACTIONS(1828),
    [aux_sym_load_data_statement_token1] = ACTIONS(1828),
    [anon_sym_LBRACK] = ACTIONS(1826),
    [sym__quoted_identifier] = ACTIONS(1826),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1826),
    [anon_sym_PLUS] = ACTIONS(1826),
    [anon_sym_DASH] = ACTIONS(1828),
    [anon_sym_STAR] = ACTIONS(1826),
    [anon_sym_SLASH] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE] = ACTIONS(1826),
    [anon_sym_LT_EQ] = ACTIONS(1826),
    [anon_sym_LT_GT] = ACTIONS(1826),
    [anon_sym_GT_EQ] = ACTIONS(1826),
    [anon_sym_BANG_EQ] = ACTIONS(1826),
    [anon_sym_LT_LT] = ACTIONS(1826),
    [anon_sym_GT_GT] = ACTIONS(1826),
    [anon_sym_AMP] = ACTIONS(1826),
    [anon_sym_CARET] = ACTIONS(1826),
    [anon_sym_PIPE] = ACTIONS(1828),
  },
  [2099] = {
    [sym__unquoted_identifier] = ACTIONS(1081),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1081),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1081),
    [aux_sym_keyword_replace_token1] = ACTIONS(1081),
    [aux_sym__keyword_alter_token1] = ACTIONS(1081),
    [aux_sym__keyword_from_token1] = ACTIONS(1081),
    [aux_sym__keyword_delete_token1] = ACTIONS(1081),
    [aux_sym__keyword_begin_token1] = ACTIONS(1081),
    [aux_sym__keyword_end_token1] = ACTIONS(1081),
    [aux_sym__keyword_between_token1] = ACTIONS(1081),
    [aux_sym__keyword_when_token1] = ACTIONS(1081),
    [aux_sym__keyword_else_token1] = ACTIONS(1081),
    [aux_sym__keyword_is_token1] = ACTIONS(1081),
    [aux_sym__keyword_in_token1] = ACTIONS(1081),
    [aux_sym__keyword_and_token1] = ACTIONS(1081),
    [aux_sym__keyword_like_token1] = ACTIONS(1081),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1081),
    [aux_sym__keyword_as_token1] = ACTIONS(1081),
    [aux_sym__keyword_window_token1] = ACTIONS(1081),
    [aux_sym__keyword_date_token1] = ACTIONS(1081),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1081),
    [aux_sym__keyword_time_token1] = ACTIONS(1081),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1081),
    [aux_sym__keyword_for_token1] = ACTIONS(1081),
    [anon_sym_SEMI] = ACTIONS(1083),
    [aux_sym_declare_statement_token1] = ACTIONS(1081),
    [anon_sym_COMMA] = ACTIONS(1083),
    [aux_sym_set_statement_token1] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1081),
    [aux_sym_return_satement_token1] = ACTIONS(1081),
    [aux_sym_call_statement_token1] = ACTIONS(1081),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1081),
    [aux_sym_if_statement_token1] = ACTIONS(1081),
    [aux_sym_loop_statement_token1] = ACTIONS(1081),
    [aux_sym_repeat_statement_token1] = ACTIONS(1081),
    [aux_sym_while_statement_token1] = ACTIONS(1081),
    [aux_sym_break_statement_token1] = ACTIONS(1081),
    [aux_sym_leave_statement_token1] = ACTIONS(1081),
    [aux_sym_continue_statement_token1] = ACTIONS(1081),
    [aux_sym_iterate_statement_token1] = ACTIONS(1081),
    [aux_sym_raise_statement_token1] = ACTIONS(1081),
    [anon_sym_EQ] = ACTIONS(1083),
    [aux_sym_assert_statement_token1] = ACTIONS(1081),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1081),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1081),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1081),
    [anon_sym_LT] = ACTIONS(1081),
    [anon_sym_GT] = ACTIONS(1081),
    [aux_sym_set_operation_token1] = ACTIONS(1081),
    [aux_sym_set_operation_token3] = ACTIONS(1081),
    [aux_sym_set_operation_token4] = ACTIONS(1081),
    [aux_sym_select_token1] = ACTIONS(1081),
    [aux_sym_having_clause_token1] = ACTIONS(1081),
    [aux_sym_qualify_clause_token1] = ACTIONS(1081),
    [aux_sym_limit_clause_token1] = ACTIONS(1081),
    [aux_sym_group_by_clause_token1] = ACTIONS(1081),
    [aux_sym_order_by_clause_token1] = ACTIONS(1081),
    [aux_sym_where_clause_token1] = ACTIONS(1081),
    [aux_sym_insert_statement_token1] = ACTIONS(1081),
    [aux_sym_truncate_statement_token1] = ACTIONS(1081),
    [aux_sym_update_statement_token1] = ACTIONS(1081),
    [aux_sym_merge_statement_token1] = ACTIONS(1081),
    [aux_sym_grant_statement_token1] = ACTIONS(1081),
    [aux_sym_revoke_statement_token1] = ACTIONS(1081),
    [aux_sym_export_data_statement_token1] = ACTIONS(1081),
    [aux_sym_load_data_statement_token1] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [sym__quoted_identifier] = ACTIONS(1083),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1083),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1081),
    [anon_sym_STAR] = ACTIONS(1083),
    [anon_sym_SLASH] = ACTIONS(1081),
    [anon_sym_PIPE_PIPE] = ACTIONS(1083),
    [anon_sym_LT_EQ] = ACTIONS(1083),
    [anon_sym_LT_GT] = ACTIONS(1083),
    [anon_sym_GT_EQ] = ACTIONS(1083),
    [anon_sym_BANG_EQ] = ACTIONS(1083),
    [anon_sym_LT_LT] = ACTIONS(1083),
    [anon_sym_GT_GT] = ACTIONS(1083),
    [anon_sym_AMP] = ACTIONS(1083),
    [anon_sym_CARET] = ACTIONS(1083),
    [anon_sym_PIPE] = ACTIONS(1081),
  },
  [2100] = {
    [sym__unquoted_identifier] = ACTIONS(1832),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1832),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1832),
    [aux_sym_keyword_replace_token1] = ACTIONS(1832),
    [aux_sym__keyword_alter_token1] = ACTIONS(1832),
    [aux_sym__keyword_from_token1] = ACTIONS(1832),
    [aux_sym__keyword_delete_token1] = ACTIONS(1832),
    [aux_sym__keyword_begin_token1] = ACTIONS(1832),
    [aux_sym__keyword_end_token1] = ACTIONS(1832),
    [aux_sym__keyword_between_token1] = ACTIONS(1832),
    [aux_sym__keyword_when_token1] = ACTIONS(1832),
    [aux_sym__keyword_else_token1] = ACTIONS(1832),
    [aux_sym__keyword_is_token1] = ACTIONS(1832),
    [aux_sym__keyword_in_token1] = ACTIONS(1832),
    [aux_sym__keyword_and_token1] = ACTIONS(1832),
    [aux_sym__keyword_like_token1] = ACTIONS(1832),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1832),
    [aux_sym__keyword_as_token1] = ACTIONS(1832),
    [aux_sym__keyword_window_token1] = ACTIONS(1832),
    [aux_sym__keyword_date_token1] = ACTIONS(1832),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1832),
    [aux_sym__keyword_time_token1] = ACTIONS(1832),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1832),
    [aux_sym__keyword_for_token1] = ACTIONS(1832),
    [anon_sym_SEMI] = ACTIONS(1830),
    [aux_sym_declare_statement_token1] = ACTIONS(1832),
    [anon_sym_COMMA] = ACTIONS(1830),
    [aux_sym_set_statement_token1] = ACTIONS(1832),
    [anon_sym_LPAREN] = ACTIONS(1830),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1832),
    [aux_sym_return_satement_token1] = ACTIONS(1832),
    [aux_sym_call_statement_token1] = ACTIONS(1832),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1832),
    [aux_sym_if_statement_token1] = ACTIONS(1832),
    [aux_sym_loop_statement_token1] = ACTIONS(1832),
    [aux_sym_repeat_statement_token1] = ACTIONS(1832),
    [aux_sym_while_statement_token1] = ACTIONS(1832),
    [aux_sym_break_statement_token1] = ACTIONS(1832),
    [aux_sym_leave_statement_token1] = ACTIONS(1832),
    [aux_sym_continue_statement_token1] = ACTIONS(1832),
    [aux_sym_iterate_statement_token1] = ACTIONS(1832),
    [aux_sym_raise_statement_token1] = ACTIONS(1832),
    [anon_sym_EQ] = ACTIONS(1830),
    [aux_sym_assert_statement_token1] = ACTIONS(1832),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1832),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1832),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1832),
    [anon_sym_LT] = ACTIONS(1832),
    [anon_sym_GT] = ACTIONS(1832),
    [aux_sym_set_operation_token1] = ACTIONS(1832),
    [aux_sym_set_operation_token3] = ACTIONS(1832),
    [aux_sym_set_operation_token4] = ACTIONS(1832),
    [aux_sym_select_token1] = ACTIONS(1832),
    [aux_sym_having_clause_token1] = ACTIONS(1832),
    [aux_sym_qualify_clause_token1] = ACTIONS(1832),
    [aux_sym_limit_clause_token1] = ACTIONS(1832),
    [aux_sym_group_by_clause_token1] = ACTIONS(1832),
    [aux_sym_order_by_clause_token1] = ACTIONS(1832),
    [aux_sym_where_clause_token1] = ACTIONS(1832),
    [aux_sym_insert_statement_token1] = ACTIONS(1832),
    [aux_sym_truncate_statement_token1] = ACTIONS(1832),
    [aux_sym_update_statement_token1] = ACTIONS(1832),
    [aux_sym_merge_statement_token1] = ACTIONS(1832),
    [aux_sym_grant_statement_token1] = ACTIONS(1832),
    [aux_sym_revoke_statement_token1] = ACTIONS(1832),
    [aux_sym_export_data_statement_token1] = ACTIONS(1832),
    [aux_sym_load_data_statement_token1] = ACTIONS(1832),
    [anon_sym_LBRACK] = ACTIONS(1830),
    [sym__quoted_identifier] = ACTIONS(1830),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1830),
    [anon_sym_PLUS] = ACTIONS(1830),
    [anon_sym_DASH] = ACTIONS(1832),
    [anon_sym_STAR] = ACTIONS(1830),
    [anon_sym_SLASH] = ACTIONS(1832),
    [anon_sym_PIPE_PIPE] = ACTIONS(1830),
    [anon_sym_LT_EQ] = ACTIONS(1830),
    [anon_sym_LT_GT] = ACTIONS(1830),
    [anon_sym_GT_EQ] = ACTIONS(1830),
    [anon_sym_BANG_EQ] = ACTIONS(1830),
    [anon_sym_LT_LT] = ACTIONS(1830),
    [anon_sym_GT_GT] = ACTIONS(1830),
    [anon_sym_AMP] = ACTIONS(1830),
    [anon_sym_CARET] = ACTIONS(1830),
    [anon_sym_PIPE] = ACTIONS(1832),
  },
  [2101] = {
    [sym__unquoted_identifier] = ACTIONS(1674),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1674),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1674),
    [aux_sym_keyword_replace_token1] = ACTIONS(1674),
    [aux_sym__keyword_alter_token1] = ACTIONS(1674),
    [aux_sym__keyword_from_token1] = ACTIONS(1674),
    [aux_sym__keyword_delete_token1] = ACTIONS(1674),
    [aux_sym__keyword_begin_token1] = ACTIONS(1674),
    [aux_sym__keyword_end_token1] = ACTIONS(1674),
    [aux_sym__keyword_between_token1] = ACTIONS(1674),
    [aux_sym__keyword_when_token1] = ACTIONS(1674),
    [aux_sym__keyword_else_token1] = ACTIONS(1674),
    [aux_sym__keyword_is_token1] = ACTIONS(1674),
    [aux_sym__keyword_in_token1] = ACTIONS(1674),
    [aux_sym__keyword_and_token1] = ACTIONS(1674),
    [aux_sym__keyword_like_token1] = ACTIONS(1674),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1674),
    [aux_sym__keyword_as_token1] = ACTIONS(1674),
    [aux_sym__keyword_window_token1] = ACTIONS(1674),
    [aux_sym__keyword_date_token1] = ACTIONS(1674),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1674),
    [aux_sym__keyword_time_token1] = ACTIONS(1674),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1674),
    [aux_sym__keyword_for_token1] = ACTIONS(1674),
    [anon_sym_SEMI] = ACTIONS(1672),
    [aux_sym_declare_statement_token1] = ACTIONS(1674),
    [anon_sym_COMMA] = ACTIONS(1672),
    [aux_sym_set_statement_token1] = ACTIONS(1674),
    [anon_sym_LPAREN] = ACTIONS(1672),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1674),
    [aux_sym_return_satement_token1] = ACTIONS(1674),
    [aux_sym_call_statement_token1] = ACTIONS(1674),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1674),
    [aux_sym_if_statement_token1] = ACTIONS(1674),
    [aux_sym_loop_statement_token1] = ACTIONS(1674),
    [aux_sym_repeat_statement_token1] = ACTIONS(1674),
    [aux_sym_while_statement_token1] = ACTIONS(1674),
    [aux_sym_break_statement_token1] = ACTIONS(1674),
    [aux_sym_leave_statement_token1] = ACTIONS(1674),
    [aux_sym_continue_statement_token1] = ACTIONS(1674),
    [aux_sym_iterate_statement_token1] = ACTIONS(1674),
    [aux_sym_raise_statement_token1] = ACTIONS(1674),
    [anon_sym_EQ] = ACTIONS(1672),
    [aux_sym_assert_statement_token1] = ACTIONS(1674),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1674),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1674),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1674),
    [anon_sym_LT] = ACTIONS(1674),
    [anon_sym_GT] = ACTIONS(1674),
    [aux_sym_set_operation_token1] = ACTIONS(1674),
    [aux_sym_set_operation_token3] = ACTIONS(1674),
    [aux_sym_set_operation_token4] = ACTIONS(1674),
    [aux_sym_select_token1] = ACTIONS(1674),
    [aux_sym_having_clause_token1] = ACTIONS(1674),
    [aux_sym_qualify_clause_token1] = ACTIONS(1674),
    [aux_sym_limit_clause_token1] = ACTIONS(1674),
    [aux_sym_group_by_clause_token1] = ACTIONS(1674),
    [aux_sym_order_by_clause_token1] = ACTIONS(1674),
    [aux_sym_where_clause_token1] = ACTIONS(1674),
    [aux_sym_insert_statement_token1] = ACTIONS(1674),
    [aux_sym_truncate_statement_token1] = ACTIONS(1674),
    [aux_sym_update_statement_token1] = ACTIONS(1674),
    [aux_sym_merge_statement_token1] = ACTIONS(1674),
    [aux_sym_grant_statement_token1] = ACTIONS(1674),
    [aux_sym_revoke_statement_token1] = ACTIONS(1674),
    [aux_sym_export_data_statement_token1] = ACTIONS(1674),
    [aux_sym_load_data_statement_token1] = ACTIONS(1674),
    [anon_sym_LBRACK] = ACTIONS(1672),
    [sym__quoted_identifier] = ACTIONS(1672),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1672),
    [anon_sym_PLUS] = ACTIONS(1672),
    [anon_sym_DASH] = ACTIONS(1674),
    [anon_sym_STAR] = ACTIONS(1672),
    [anon_sym_SLASH] = ACTIONS(1674),
    [anon_sym_PIPE_PIPE] = ACTIONS(1672),
    [anon_sym_LT_EQ] = ACTIONS(1672),
    [anon_sym_LT_GT] = ACTIONS(1672),
    [anon_sym_GT_EQ] = ACTIONS(1672),
    [anon_sym_BANG_EQ] = ACTIONS(1672),
    [anon_sym_LT_LT] = ACTIONS(1672),
    [anon_sym_GT_GT] = ACTIONS(1672),
    [anon_sym_AMP] = ACTIONS(1672),
    [anon_sym_CARET] = ACTIONS(1672),
    [anon_sym_PIPE] = ACTIONS(1674),
  },
  [2102] = {
    [sym__unquoted_identifier] = ACTIONS(1678),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1678),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1678),
    [aux_sym_keyword_replace_token1] = ACTIONS(1678),
    [aux_sym__keyword_alter_token1] = ACTIONS(1678),
    [aux_sym__keyword_from_token1] = ACTIONS(1678),
    [aux_sym__keyword_delete_token1] = ACTIONS(1678),
    [aux_sym__keyword_begin_token1] = ACTIONS(1678),
    [aux_sym__keyword_end_token1] = ACTIONS(1678),
    [aux_sym__keyword_between_token1] = ACTIONS(1678),
    [aux_sym__keyword_when_token1] = ACTIONS(1678),
    [aux_sym__keyword_else_token1] = ACTIONS(1678),
    [aux_sym__keyword_is_token1] = ACTIONS(1678),
    [aux_sym__keyword_in_token1] = ACTIONS(1678),
    [aux_sym__keyword_and_token1] = ACTIONS(1678),
    [aux_sym__keyword_like_token1] = ACTIONS(1678),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1678),
    [aux_sym__keyword_as_token1] = ACTIONS(1678),
    [aux_sym__keyword_window_token1] = ACTIONS(1678),
    [aux_sym__keyword_date_token1] = ACTIONS(1678),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1678),
    [aux_sym__keyword_time_token1] = ACTIONS(1678),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1678),
    [aux_sym__keyword_for_token1] = ACTIONS(1678),
    [anon_sym_SEMI] = ACTIONS(1676),
    [aux_sym_declare_statement_token1] = ACTIONS(1678),
    [anon_sym_COMMA] = ACTIONS(1676),
    [aux_sym_set_statement_token1] = ACTIONS(1678),
    [anon_sym_LPAREN] = ACTIONS(1676),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1678),
    [aux_sym_return_satement_token1] = ACTIONS(1678),
    [aux_sym_call_statement_token1] = ACTIONS(1678),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1678),
    [aux_sym_if_statement_token1] = ACTIONS(1678),
    [aux_sym_loop_statement_token1] = ACTIONS(1678),
    [aux_sym_repeat_statement_token1] = ACTIONS(1678),
    [aux_sym_while_statement_token1] = ACTIONS(1678),
    [aux_sym_break_statement_token1] = ACTIONS(1678),
    [aux_sym_leave_statement_token1] = ACTIONS(1678),
    [aux_sym_continue_statement_token1] = ACTIONS(1678),
    [aux_sym_iterate_statement_token1] = ACTIONS(1678),
    [aux_sym_raise_statement_token1] = ACTIONS(1678),
    [anon_sym_EQ] = ACTIONS(1676),
    [aux_sym_assert_statement_token1] = ACTIONS(1678),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1678),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1678),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1678),
    [anon_sym_LT] = ACTIONS(1678),
    [anon_sym_GT] = ACTIONS(1678),
    [aux_sym_set_operation_token1] = ACTIONS(1678),
    [aux_sym_set_operation_token3] = ACTIONS(1678),
    [aux_sym_set_operation_token4] = ACTIONS(1678),
    [aux_sym_select_token1] = ACTIONS(1678),
    [aux_sym_having_clause_token1] = ACTIONS(1678),
    [aux_sym_qualify_clause_token1] = ACTIONS(1678),
    [aux_sym_limit_clause_token1] = ACTIONS(1678),
    [aux_sym_group_by_clause_token1] = ACTIONS(1678),
    [aux_sym_order_by_clause_token1] = ACTIONS(1678),
    [aux_sym_where_clause_token1] = ACTIONS(1678),
    [aux_sym_insert_statement_token1] = ACTIONS(1678),
    [aux_sym_truncate_statement_token1] = ACTIONS(1678),
    [aux_sym_update_statement_token1] = ACTIONS(1678),
    [aux_sym_merge_statement_token1] = ACTIONS(1678),
    [aux_sym_grant_statement_token1] = ACTIONS(1678),
    [aux_sym_revoke_statement_token1] = ACTIONS(1678),
    [aux_sym_export_data_statement_token1] = ACTIONS(1678),
    [aux_sym_load_data_statement_token1] = ACTIONS(1678),
    [anon_sym_LBRACK] = ACTIONS(1676),
    [sym__quoted_identifier] = ACTIONS(1676),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1676),
    [anon_sym_PLUS] = ACTIONS(1676),
    [anon_sym_DASH] = ACTIONS(1678),
    [anon_sym_STAR] = ACTIONS(1676),
    [anon_sym_SLASH] = ACTIONS(1678),
    [anon_sym_PIPE_PIPE] = ACTIONS(1676),
    [anon_sym_LT_EQ] = ACTIONS(1676),
    [anon_sym_LT_GT] = ACTIONS(1676),
    [anon_sym_GT_EQ] = ACTIONS(1676),
    [anon_sym_BANG_EQ] = ACTIONS(1676),
    [anon_sym_LT_LT] = ACTIONS(1676),
    [anon_sym_GT_GT] = ACTIONS(1676),
    [anon_sym_AMP] = ACTIONS(1676),
    [anon_sym_CARET] = ACTIONS(1676),
    [anon_sym_PIPE] = ACTIONS(1678),
  },
  [2103] = {
    [sym__unquoted_identifier] = ACTIONS(1790),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1790),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1790),
    [aux_sym_keyword_replace_token1] = ACTIONS(1790),
    [aux_sym__keyword_alter_token1] = ACTIONS(1790),
    [aux_sym__keyword_from_token1] = ACTIONS(1790),
    [aux_sym__keyword_delete_token1] = ACTIONS(1790),
    [aux_sym__keyword_begin_token1] = ACTIONS(1790),
    [aux_sym__keyword_end_token1] = ACTIONS(1790),
    [aux_sym__keyword_between_token1] = ACTIONS(1790),
    [aux_sym__keyword_when_token1] = ACTIONS(1790),
    [aux_sym__keyword_else_token1] = ACTIONS(1790),
    [aux_sym__keyword_is_token1] = ACTIONS(1790),
    [aux_sym__keyword_in_token1] = ACTIONS(1790),
    [aux_sym__keyword_and_token1] = ACTIONS(1790),
    [aux_sym__keyword_like_token1] = ACTIONS(1790),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1790),
    [aux_sym__keyword_as_token1] = ACTIONS(1790),
    [aux_sym__keyword_window_token1] = ACTIONS(1790),
    [aux_sym__keyword_date_token1] = ACTIONS(1790),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1790),
    [aux_sym__keyword_time_token1] = ACTIONS(1790),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1790),
    [aux_sym__keyword_for_token1] = ACTIONS(1790),
    [anon_sym_SEMI] = ACTIONS(1788),
    [aux_sym_declare_statement_token1] = ACTIONS(1790),
    [anon_sym_COMMA] = ACTIONS(1788),
    [aux_sym_set_statement_token1] = ACTIONS(1790),
    [anon_sym_LPAREN] = ACTIONS(1788),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1790),
    [aux_sym_return_satement_token1] = ACTIONS(1790),
    [aux_sym_call_statement_token1] = ACTIONS(1790),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1790),
    [aux_sym_if_statement_token1] = ACTIONS(1790),
    [aux_sym_loop_statement_token1] = ACTIONS(1790),
    [aux_sym_repeat_statement_token1] = ACTIONS(1790),
    [aux_sym_while_statement_token1] = ACTIONS(1790),
    [aux_sym_break_statement_token1] = ACTIONS(1790),
    [aux_sym_leave_statement_token1] = ACTIONS(1790),
    [aux_sym_continue_statement_token1] = ACTIONS(1790),
    [aux_sym_iterate_statement_token1] = ACTIONS(1790),
    [aux_sym_raise_statement_token1] = ACTIONS(1790),
    [anon_sym_EQ] = ACTIONS(1788),
    [aux_sym_assert_statement_token1] = ACTIONS(1790),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1790),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1790),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1790),
    [anon_sym_LT] = ACTIONS(1790),
    [anon_sym_GT] = ACTIONS(1790),
    [aux_sym_set_operation_token1] = ACTIONS(1790),
    [aux_sym_set_operation_token3] = ACTIONS(1790),
    [aux_sym_set_operation_token4] = ACTIONS(1790),
    [aux_sym_select_token1] = ACTIONS(1790),
    [aux_sym_having_clause_token1] = ACTIONS(1790),
    [aux_sym_qualify_clause_token1] = ACTIONS(1790),
    [aux_sym_limit_clause_token1] = ACTIONS(1790),
    [aux_sym_group_by_clause_token1] = ACTIONS(1790),
    [aux_sym_order_by_clause_token1] = ACTIONS(1790),
    [aux_sym_where_clause_token1] = ACTIONS(1790),
    [aux_sym_insert_statement_token1] = ACTIONS(1790),
    [aux_sym_truncate_statement_token1] = ACTIONS(1790),
    [aux_sym_update_statement_token1] = ACTIONS(1790),
    [aux_sym_merge_statement_token1] = ACTIONS(1790),
    [aux_sym_grant_statement_token1] = ACTIONS(1790),
    [aux_sym_revoke_statement_token1] = ACTIONS(1790),
    [aux_sym_export_data_statement_token1] = ACTIONS(1790),
    [aux_sym_load_data_statement_token1] = ACTIONS(1790),
    [anon_sym_LBRACK] = ACTIONS(1788),
    [sym__quoted_identifier] = ACTIONS(1788),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1788),
    [anon_sym_PLUS] = ACTIONS(1788),
    [anon_sym_DASH] = ACTIONS(1790),
    [anon_sym_STAR] = ACTIONS(1788),
    [anon_sym_SLASH] = ACTIONS(1790),
    [anon_sym_PIPE_PIPE] = ACTIONS(1788),
    [anon_sym_LT_EQ] = ACTIONS(1788),
    [anon_sym_LT_GT] = ACTIONS(1788),
    [anon_sym_GT_EQ] = ACTIONS(1788),
    [anon_sym_BANG_EQ] = ACTIONS(1788),
    [anon_sym_LT_LT] = ACTIONS(1788),
    [anon_sym_GT_GT] = ACTIONS(1788),
    [anon_sym_AMP] = ACTIONS(1788),
    [anon_sym_CARET] = ACTIONS(1788),
    [anon_sym_PIPE] = ACTIONS(1790),
  },
  [2104] = {
    [sym__unquoted_identifier] = ACTIONS(1584),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1584),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1584),
    [aux_sym_keyword_replace_token1] = ACTIONS(1584),
    [aux_sym__keyword_alter_token1] = ACTIONS(1584),
    [aux_sym__keyword_from_token1] = ACTIONS(1584),
    [aux_sym__keyword_delete_token1] = ACTIONS(1584),
    [aux_sym__keyword_begin_token1] = ACTIONS(1584),
    [aux_sym__keyword_end_token1] = ACTIONS(1584),
    [aux_sym__keyword_between_token1] = ACTIONS(1584),
    [aux_sym__keyword_when_token1] = ACTIONS(1584),
    [aux_sym__keyword_else_token1] = ACTIONS(1584),
    [aux_sym__keyword_is_token1] = ACTIONS(1584),
    [aux_sym__keyword_in_token1] = ACTIONS(1584),
    [aux_sym__keyword_and_token1] = ACTIONS(1584),
    [aux_sym__keyword_like_token1] = ACTIONS(1584),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1584),
    [aux_sym__keyword_as_token1] = ACTIONS(1584),
    [aux_sym__keyword_window_token1] = ACTIONS(1584),
    [aux_sym__keyword_date_token1] = ACTIONS(1584),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1584),
    [aux_sym__keyword_time_token1] = ACTIONS(1584),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1584),
    [aux_sym__keyword_for_token1] = ACTIONS(1584),
    [anon_sym_SEMI] = ACTIONS(1582),
    [aux_sym_declare_statement_token1] = ACTIONS(1584),
    [anon_sym_COMMA] = ACTIONS(1582),
    [aux_sym_set_statement_token1] = ACTIONS(1584),
    [anon_sym_LPAREN] = ACTIONS(1582),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1584),
    [aux_sym_return_satement_token1] = ACTIONS(1584),
    [aux_sym_call_statement_token1] = ACTIONS(1584),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1584),
    [aux_sym_if_statement_token1] = ACTIONS(1584),
    [aux_sym_loop_statement_token1] = ACTIONS(1584),
    [aux_sym_repeat_statement_token1] = ACTIONS(1584),
    [aux_sym_while_statement_token1] = ACTIONS(1584),
    [aux_sym_break_statement_token1] = ACTIONS(1584),
    [aux_sym_leave_statement_token1] = ACTIONS(1584),
    [aux_sym_continue_statement_token1] = ACTIONS(1584),
    [aux_sym_iterate_statement_token1] = ACTIONS(1584),
    [aux_sym_raise_statement_token1] = ACTIONS(1584),
    [anon_sym_EQ] = ACTIONS(1582),
    [aux_sym_assert_statement_token1] = ACTIONS(1584),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1584),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1584),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1584),
    [anon_sym_LT] = ACTIONS(1584),
    [anon_sym_GT] = ACTIONS(1584),
    [aux_sym_set_operation_token1] = ACTIONS(1584),
    [aux_sym_set_operation_token3] = ACTIONS(1584),
    [aux_sym_set_operation_token4] = ACTIONS(1584),
    [aux_sym_select_token1] = ACTIONS(1584),
    [aux_sym_having_clause_token1] = ACTIONS(1584),
    [aux_sym_qualify_clause_token1] = ACTIONS(1584),
    [aux_sym_limit_clause_token1] = ACTIONS(1584),
    [aux_sym_group_by_clause_token1] = ACTIONS(1584),
    [aux_sym_order_by_clause_token1] = ACTIONS(1584),
    [aux_sym_where_clause_token1] = ACTIONS(1584),
    [aux_sym_insert_statement_token1] = ACTIONS(1584),
    [aux_sym_truncate_statement_token1] = ACTIONS(1584),
    [aux_sym_update_statement_token1] = ACTIONS(1584),
    [aux_sym_merge_statement_token1] = ACTIONS(1584),
    [aux_sym_grant_statement_token1] = ACTIONS(1584),
    [aux_sym_revoke_statement_token1] = ACTIONS(1584),
    [aux_sym_export_data_statement_token1] = ACTIONS(1584),
    [aux_sym_load_data_statement_token1] = ACTIONS(1584),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [sym__quoted_identifier] = ACTIONS(1582),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1582),
    [anon_sym_PLUS] = ACTIONS(1582),
    [anon_sym_DASH] = ACTIONS(1584),
    [anon_sym_STAR] = ACTIONS(1582),
    [anon_sym_SLASH] = ACTIONS(1584),
    [anon_sym_PIPE_PIPE] = ACTIONS(1582),
    [anon_sym_LT_EQ] = ACTIONS(1582),
    [anon_sym_LT_GT] = ACTIONS(1582),
    [anon_sym_GT_EQ] = ACTIONS(1582),
    [anon_sym_BANG_EQ] = ACTIONS(1582),
    [anon_sym_LT_LT] = ACTIONS(1582),
    [anon_sym_GT_GT] = ACTIONS(1582),
    [anon_sym_AMP] = ACTIONS(1582),
    [anon_sym_CARET] = ACTIONS(1582),
    [anon_sym_PIPE] = ACTIONS(1584),
  },
  [2105] = {
    [sym__unquoted_identifier] = ACTIONS(1682),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1682),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1682),
    [aux_sym_keyword_replace_token1] = ACTIONS(1682),
    [aux_sym__keyword_alter_token1] = ACTIONS(1682),
    [aux_sym__keyword_from_token1] = ACTIONS(1682),
    [aux_sym__keyword_delete_token1] = ACTIONS(1682),
    [aux_sym__keyword_begin_token1] = ACTIONS(1682),
    [aux_sym__keyword_end_token1] = ACTIONS(1682),
    [aux_sym__keyword_between_token1] = ACTIONS(1682),
    [aux_sym__keyword_when_token1] = ACTIONS(1682),
    [aux_sym__keyword_else_token1] = ACTIONS(1682),
    [aux_sym__keyword_is_token1] = ACTIONS(1682),
    [aux_sym__keyword_in_token1] = ACTIONS(1682),
    [aux_sym__keyword_and_token1] = ACTIONS(1682),
    [aux_sym__keyword_like_token1] = ACTIONS(1682),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1682),
    [aux_sym__keyword_as_token1] = ACTIONS(1682),
    [aux_sym__keyword_window_token1] = ACTIONS(1682),
    [aux_sym__keyword_date_token1] = ACTIONS(1682),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1682),
    [aux_sym__keyword_time_token1] = ACTIONS(1682),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1682),
    [aux_sym__keyword_for_token1] = ACTIONS(1682),
    [anon_sym_SEMI] = ACTIONS(1680),
    [aux_sym_declare_statement_token1] = ACTIONS(1682),
    [anon_sym_COMMA] = ACTIONS(1680),
    [aux_sym_set_statement_token1] = ACTIONS(1682),
    [anon_sym_LPAREN] = ACTIONS(1680),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1682),
    [aux_sym_return_satement_token1] = ACTIONS(1682),
    [aux_sym_call_statement_token1] = ACTIONS(1682),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1682),
    [aux_sym_if_statement_token1] = ACTIONS(1682),
    [aux_sym_loop_statement_token1] = ACTIONS(1682),
    [aux_sym_repeat_statement_token1] = ACTIONS(1682),
    [aux_sym_while_statement_token1] = ACTIONS(1682),
    [aux_sym_break_statement_token1] = ACTIONS(1682),
    [aux_sym_leave_statement_token1] = ACTIONS(1682),
    [aux_sym_continue_statement_token1] = ACTIONS(1682),
    [aux_sym_iterate_statement_token1] = ACTIONS(1682),
    [aux_sym_raise_statement_token1] = ACTIONS(1682),
    [anon_sym_EQ] = ACTIONS(1680),
    [aux_sym_assert_statement_token1] = ACTIONS(1682),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1682),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1682),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1682),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_GT] = ACTIONS(1682),
    [aux_sym_set_operation_token1] = ACTIONS(1682),
    [aux_sym_set_operation_token3] = ACTIONS(1682),
    [aux_sym_set_operation_token4] = ACTIONS(1682),
    [aux_sym_select_token1] = ACTIONS(1682),
    [aux_sym_having_clause_token1] = ACTIONS(1682),
    [aux_sym_qualify_clause_token1] = ACTIONS(1682),
    [aux_sym_limit_clause_token1] = ACTIONS(1682),
    [aux_sym_group_by_clause_token1] = ACTIONS(1682),
    [aux_sym_order_by_clause_token1] = ACTIONS(1682),
    [aux_sym_where_clause_token1] = ACTIONS(1682),
    [aux_sym_insert_statement_token1] = ACTIONS(1682),
    [aux_sym_truncate_statement_token1] = ACTIONS(1682),
    [aux_sym_update_statement_token1] = ACTIONS(1682),
    [aux_sym_merge_statement_token1] = ACTIONS(1682),
    [aux_sym_grant_statement_token1] = ACTIONS(1682),
    [aux_sym_revoke_statement_token1] = ACTIONS(1682),
    [aux_sym_export_data_statement_token1] = ACTIONS(1682),
    [aux_sym_load_data_statement_token1] = ACTIONS(1682),
    [anon_sym_LBRACK] = ACTIONS(1680),
    [sym__quoted_identifier] = ACTIONS(1680),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(1680),
    [anon_sym_SLASH] = ACTIONS(1682),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_LT_GT] = ACTIONS(1680),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1680),
    [anon_sym_AMP] = ACTIONS(1680),
    [anon_sym_CARET] = ACTIONS(1680),
    [anon_sym_PIPE] = ACTIONS(1682),
  },
  [2106] = {
    [sym__unquoted_identifier] = ACTIONS(1770),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1770),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1770),
    [aux_sym_keyword_replace_token1] = ACTIONS(1770),
    [aux_sym__keyword_alter_token1] = ACTIONS(1770),
    [aux_sym__keyword_from_token1] = ACTIONS(1770),
    [aux_sym__keyword_delete_token1] = ACTIONS(1770),
    [aux_sym__keyword_begin_token1] = ACTIONS(1770),
    [aux_sym__keyword_end_token1] = ACTIONS(1770),
    [aux_sym__keyword_between_token1] = ACTIONS(1770),
    [aux_sym__keyword_when_token1] = ACTIONS(1770),
    [aux_sym__keyword_else_token1] = ACTIONS(1770),
    [aux_sym__keyword_is_token1] = ACTIONS(1770),
    [aux_sym__keyword_in_token1] = ACTIONS(1770),
    [aux_sym__keyword_and_token1] = ACTIONS(1770),
    [aux_sym__keyword_like_token1] = ACTIONS(1770),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1770),
    [aux_sym__keyword_as_token1] = ACTIONS(1770),
    [aux_sym__keyword_window_token1] = ACTIONS(1770),
    [aux_sym__keyword_date_token1] = ACTIONS(1770),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1770),
    [aux_sym__keyword_time_token1] = ACTIONS(1770),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1770),
    [aux_sym__keyword_for_token1] = ACTIONS(1770),
    [anon_sym_SEMI] = ACTIONS(1768),
    [aux_sym_declare_statement_token1] = ACTIONS(1770),
    [anon_sym_COMMA] = ACTIONS(1768),
    [aux_sym_set_statement_token1] = ACTIONS(1770),
    [anon_sym_LPAREN] = ACTIONS(1768),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1770),
    [aux_sym_return_satement_token1] = ACTIONS(1770),
    [aux_sym_call_statement_token1] = ACTIONS(1770),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1770),
    [aux_sym_if_statement_token1] = ACTIONS(1770),
    [aux_sym_loop_statement_token1] = ACTIONS(1770),
    [aux_sym_repeat_statement_token1] = ACTIONS(1770),
    [aux_sym_while_statement_token1] = ACTIONS(1770),
    [aux_sym_break_statement_token1] = ACTIONS(1770),
    [aux_sym_leave_statement_token1] = ACTIONS(1770),
    [aux_sym_continue_statement_token1] = ACTIONS(1770),
    [aux_sym_iterate_statement_token1] = ACTIONS(1770),
    [aux_sym_raise_statement_token1] = ACTIONS(1770),
    [anon_sym_EQ] = ACTIONS(1768),
    [aux_sym_assert_statement_token1] = ACTIONS(1770),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1770),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1770),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1770),
    [anon_sym_LT] = ACTIONS(1770),
    [anon_sym_GT] = ACTIONS(1770),
    [aux_sym_set_operation_token1] = ACTIONS(1770),
    [aux_sym_set_operation_token3] = ACTIONS(1770),
    [aux_sym_set_operation_token4] = ACTIONS(1770),
    [aux_sym_select_token1] = ACTIONS(1770),
    [aux_sym_having_clause_token1] = ACTIONS(1770),
    [aux_sym_qualify_clause_token1] = ACTIONS(1770),
    [aux_sym_limit_clause_token1] = ACTIONS(1770),
    [aux_sym_group_by_clause_token1] = ACTIONS(1770),
    [aux_sym_order_by_clause_token1] = ACTIONS(1770),
    [aux_sym_where_clause_token1] = ACTIONS(1770),
    [aux_sym_insert_statement_token1] = ACTIONS(1770),
    [aux_sym_truncate_statement_token1] = ACTIONS(1770),
    [aux_sym_update_statement_token1] = ACTIONS(1770),
    [aux_sym_merge_statement_token1] = ACTIONS(1770),
    [aux_sym_grant_statement_token1] = ACTIONS(1770),
    [aux_sym_revoke_statement_token1] = ACTIONS(1770),
    [aux_sym_export_data_statement_token1] = ACTIONS(1770),
    [aux_sym_load_data_statement_token1] = ACTIONS(1770),
    [anon_sym_LBRACK] = ACTIONS(1768),
    [sym__quoted_identifier] = ACTIONS(1768),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1768),
    [anon_sym_PLUS] = ACTIONS(1768),
    [anon_sym_DASH] = ACTIONS(1770),
    [anon_sym_STAR] = ACTIONS(1768),
    [anon_sym_SLASH] = ACTIONS(1770),
    [anon_sym_PIPE_PIPE] = ACTIONS(1768),
    [anon_sym_LT_EQ] = ACTIONS(1768),
    [anon_sym_LT_GT] = ACTIONS(1768),
    [anon_sym_GT_EQ] = ACTIONS(1768),
    [anon_sym_BANG_EQ] = ACTIONS(1768),
    [anon_sym_LT_LT] = ACTIONS(1768),
    [anon_sym_GT_GT] = ACTIONS(1768),
    [anon_sym_AMP] = ACTIONS(1768),
    [anon_sym_CARET] = ACTIONS(1768),
    [anon_sym_PIPE] = ACTIONS(1770),
  },
  [2107] = {
    [sym__unquoted_identifier] = ACTIONS(1782),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1782),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1782),
    [aux_sym_keyword_replace_token1] = ACTIONS(1782),
    [aux_sym__keyword_alter_token1] = ACTIONS(1782),
    [aux_sym__keyword_from_token1] = ACTIONS(1782),
    [aux_sym__keyword_delete_token1] = ACTIONS(1782),
    [aux_sym__keyword_begin_token1] = ACTIONS(1782),
    [aux_sym__keyword_end_token1] = ACTIONS(1782),
    [aux_sym__keyword_between_token1] = ACTIONS(1782),
    [aux_sym__keyword_when_token1] = ACTIONS(1782),
    [aux_sym__keyword_else_token1] = ACTIONS(1782),
    [aux_sym__keyword_is_token1] = ACTIONS(1782),
    [aux_sym__keyword_in_token1] = ACTIONS(1782),
    [aux_sym__keyword_and_token1] = ACTIONS(1782),
    [aux_sym__keyword_like_token1] = ACTIONS(1782),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1782),
    [aux_sym__keyword_as_token1] = ACTIONS(1782),
    [aux_sym__keyword_window_token1] = ACTIONS(1782),
    [aux_sym__keyword_date_token1] = ACTIONS(1782),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1782),
    [aux_sym__keyword_time_token1] = ACTIONS(1782),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1782),
    [aux_sym__keyword_for_token1] = ACTIONS(1782),
    [anon_sym_SEMI] = ACTIONS(1780),
    [aux_sym_declare_statement_token1] = ACTIONS(1782),
    [anon_sym_COMMA] = ACTIONS(1780),
    [aux_sym_set_statement_token1] = ACTIONS(1782),
    [anon_sym_LPAREN] = ACTIONS(1780),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1782),
    [aux_sym_return_satement_token1] = ACTIONS(1782),
    [aux_sym_call_statement_token1] = ACTIONS(1782),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1782),
    [aux_sym_if_statement_token1] = ACTIONS(1782),
    [aux_sym_loop_statement_token1] = ACTIONS(1782),
    [aux_sym_repeat_statement_token1] = ACTIONS(1782),
    [aux_sym_while_statement_token1] = ACTIONS(1782),
    [aux_sym_break_statement_token1] = ACTIONS(1782),
    [aux_sym_leave_statement_token1] = ACTIONS(1782),
    [aux_sym_continue_statement_token1] = ACTIONS(1782),
    [aux_sym_iterate_statement_token1] = ACTIONS(1782),
    [aux_sym_raise_statement_token1] = ACTIONS(1782),
    [anon_sym_EQ] = ACTIONS(1780),
    [aux_sym_assert_statement_token1] = ACTIONS(1782),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1782),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1782),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1782),
    [anon_sym_LT] = ACTIONS(1782),
    [anon_sym_GT] = ACTIONS(1782),
    [aux_sym_set_operation_token1] = ACTIONS(1782),
    [aux_sym_set_operation_token3] = ACTIONS(1782),
    [aux_sym_set_operation_token4] = ACTIONS(1782),
    [aux_sym_select_token1] = ACTIONS(1782),
    [aux_sym_having_clause_token1] = ACTIONS(1782),
    [aux_sym_qualify_clause_token1] = ACTIONS(1782),
    [aux_sym_limit_clause_token1] = ACTIONS(1782),
    [aux_sym_group_by_clause_token1] = ACTIONS(1782),
    [aux_sym_order_by_clause_token1] = ACTIONS(1782),
    [aux_sym_where_clause_token1] = ACTIONS(1782),
    [aux_sym_insert_statement_token1] = ACTIONS(1782),
    [aux_sym_truncate_statement_token1] = ACTIONS(1782),
    [aux_sym_update_statement_token1] = ACTIONS(1782),
    [aux_sym_merge_statement_token1] = ACTIONS(1782),
    [aux_sym_grant_statement_token1] = ACTIONS(1782),
    [aux_sym_revoke_statement_token1] = ACTIONS(1782),
    [aux_sym_export_data_statement_token1] = ACTIONS(1782),
    [aux_sym_load_data_statement_token1] = ACTIONS(1782),
    [anon_sym_LBRACK] = ACTIONS(1780),
    [sym__quoted_identifier] = ACTIONS(1780),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_DASH] = ACTIONS(1782),
    [anon_sym_STAR] = ACTIONS(1780),
    [anon_sym_SLASH] = ACTIONS(1782),
    [anon_sym_PIPE_PIPE] = ACTIONS(1780),
    [anon_sym_LT_EQ] = ACTIONS(1780),
    [anon_sym_LT_GT] = ACTIONS(1780),
    [anon_sym_GT_EQ] = ACTIONS(1780),
    [anon_sym_BANG_EQ] = ACTIONS(1780),
    [anon_sym_LT_LT] = ACTIONS(1780),
    [anon_sym_GT_GT] = ACTIONS(1780),
    [anon_sym_AMP] = ACTIONS(1780),
    [anon_sym_CARET] = ACTIONS(1780),
    [anon_sym_PIPE] = ACTIONS(1782),
  },
  [2108] = {
    [sym__unquoted_identifier] = ACTIONS(1506),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1506),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1506),
    [aux_sym_keyword_replace_token1] = ACTIONS(1506),
    [aux_sym__keyword_alter_token1] = ACTIONS(1506),
    [aux_sym__keyword_from_token1] = ACTIONS(1506),
    [aux_sym__keyword_delete_token1] = ACTIONS(1506),
    [aux_sym__keyword_begin_token1] = ACTIONS(1506),
    [aux_sym__keyword_end_token1] = ACTIONS(1506),
    [aux_sym__keyword_between_token1] = ACTIONS(1506),
    [aux_sym__keyword_when_token1] = ACTIONS(1506),
    [aux_sym__keyword_else_token1] = ACTIONS(1506),
    [aux_sym__keyword_is_token1] = ACTIONS(1506),
    [aux_sym__keyword_in_token1] = ACTIONS(1506),
    [aux_sym__keyword_and_token1] = ACTIONS(1506),
    [aux_sym__keyword_like_token1] = ACTIONS(1506),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1506),
    [aux_sym__keyword_as_token1] = ACTIONS(1506),
    [aux_sym__keyword_window_token1] = ACTIONS(1506),
    [aux_sym__keyword_date_token1] = ACTIONS(1506),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1506),
    [aux_sym__keyword_time_token1] = ACTIONS(1506),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1506),
    [aux_sym__keyword_for_token1] = ACTIONS(1506),
    [anon_sym_SEMI] = ACTIONS(1504),
    [aux_sym_declare_statement_token1] = ACTIONS(1506),
    [anon_sym_COMMA] = ACTIONS(1504),
    [aux_sym_set_statement_token1] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1504),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1506),
    [aux_sym_return_satement_token1] = ACTIONS(1506),
    [aux_sym_call_statement_token1] = ACTIONS(1506),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1506),
    [aux_sym_if_statement_token1] = ACTIONS(1506),
    [aux_sym_loop_statement_token1] = ACTIONS(1506),
    [aux_sym_repeat_statement_token1] = ACTIONS(1506),
    [aux_sym_while_statement_token1] = ACTIONS(1506),
    [aux_sym_break_statement_token1] = ACTIONS(1506),
    [aux_sym_leave_statement_token1] = ACTIONS(1506),
    [aux_sym_continue_statement_token1] = ACTIONS(1506),
    [aux_sym_iterate_statement_token1] = ACTIONS(1506),
    [aux_sym_raise_statement_token1] = ACTIONS(1506),
    [anon_sym_EQ] = ACTIONS(1504),
    [aux_sym_assert_statement_token1] = ACTIONS(1506),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1506),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1506),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1506),
    [anon_sym_LT] = ACTIONS(1506),
    [anon_sym_GT] = ACTIONS(1506),
    [aux_sym_set_operation_token1] = ACTIONS(1506),
    [aux_sym_set_operation_token3] = ACTIONS(1506),
    [aux_sym_set_operation_token4] = ACTIONS(1506),
    [aux_sym_select_token1] = ACTIONS(1506),
    [aux_sym_having_clause_token1] = ACTIONS(1506),
    [aux_sym_qualify_clause_token1] = ACTIONS(1506),
    [aux_sym_limit_clause_token1] = ACTIONS(1506),
    [aux_sym_group_by_clause_token1] = ACTIONS(1506),
    [aux_sym_order_by_clause_token1] = ACTIONS(1506),
    [aux_sym_where_clause_token1] = ACTIONS(1506),
    [aux_sym_insert_statement_token1] = ACTIONS(1506),
    [aux_sym_truncate_statement_token1] = ACTIONS(1506),
    [aux_sym_update_statement_token1] = ACTIONS(1506),
    [aux_sym_merge_statement_token1] = ACTIONS(1506),
    [aux_sym_grant_statement_token1] = ACTIONS(1506),
    [aux_sym_revoke_statement_token1] = ACTIONS(1506),
    [aux_sym_export_data_statement_token1] = ACTIONS(1506),
    [aux_sym_load_data_statement_token1] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1504),
    [sym__quoted_identifier] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1504),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1506),
    [anon_sym_STAR] = ACTIONS(1504),
    [anon_sym_SLASH] = ACTIONS(1506),
    [anon_sym_PIPE_PIPE] = ACTIONS(1504),
    [anon_sym_LT_EQ] = ACTIONS(1504),
    [anon_sym_LT_GT] = ACTIONS(1504),
    [anon_sym_GT_EQ] = ACTIONS(1504),
    [anon_sym_BANG_EQ] = ACTIONS(1504),
    [anon_sym_LT_LT] = ACTIONS(1504),
    [anon_sym_GT_GT] = ACTIONS(1504),
    [anon_sym_AMP] = ACTIONS(1504),
    [anon_sym_CARET] = ACTIONS(1504),
    [anon_sym_PIPE] = ACTIONS(1506),
  },
  [2109] = {
    [sym__unquoted_identifier] = ACTIONS(1782),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1782),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1782),
    [aux_sym_keyword_replace_token1] = ACTIONS(1782),
    [aux_sym__keyword_alter_token1] = ACTIONS(1782),
    [aux_sym__keyword_from_token1] = ACTIONS(1782),
    [aux_sym__keyword_delete_token1] = ACTIONS(1782),
    [aux_sym__keyword_begin_token1] = ACTIONS(1782),
    [aux_sym__keyword_end_token1] = ACTIONS(1782),
    [aux_sym__keyword_between_token1] = ACTIONS(1782),
    [aux_sym__keyword_when_token1] = ACTIONS(1782),
    [aux_sym__keyword_else_token1] = ACTIONS(1782),
    [aux_sym__keyword_is_token1] = ACTIONS(1782),
    [aux_sym__keyword_in_token1] = ACTIONS(1782),
    [aux_sym__keyword_and_token1] = ACTIONS(1782),
    [aux_sym__keyword_like_token1] = ACTIONS(1782),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1782),
    [aux_sym__keyword_as_token1] = ACTIONS(1782),
    [aux_sym__keyword_window_token1] = ACTIONS(1782),
    [aux_sym__keyword_date_token1] = ACTIONS(1782),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1782),
    [aux_sym__keyword_time_token1] = ACTIONS(1782),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1782),
    [aux_sym__keyword_for_token1] = ACTIONS(1782),
    [anon_sym_SEMI] = ACTIONS(1780),
    [aux_sym_declare_statement_token1] = ACTIONS(1782),
    [anon_sym_COMMA] = ACTIONS(1780),
    [aux_sym_set_statement_token1] = ACTIONS(1782),
    [anon_sym_LPAREN] = ACTIONS(1780),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1782),
    [aux_sym_return_satement_token1] = ACTIONS(1782),
    [aux_sym_call_statement_token1] = ACTIONS(1782),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1782),
    [aux_sym_if_statement_token1] = ACTIONS(1782),
    [aux_sym_loop_statement_token1] = ACTIONS(1782),
    [aux_sym_repeat_statement_token1] = ACTIONS(1782),
    [aux_sym_while_statement_token1] = ACTIONS(1782),
    [aux_sym_break_statement_token1] = ACTIONS(1782),
    [aux_sym_leave_statement_token1] = ACTIONS(1782),
    [aux_sym_continue_statement_token1] = ACTIONS(1782),
    [aux_sym_iterate_statement_token1] = ACTIONS(1782),
    [aux_sym_raise_statement_token1] = ACTIONS(1782),
    [anon_sym_EQ] = ACTIONS(1780),
    [aux_sym_assert_statement_token1] = ACTIONS(1782),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1782),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1782),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1782),
    [anon_sym_LT] = ACTIONS(1782),
    [anon_sym_GT] = ACTIONS(1782),
    [aux_sym_set_operation_token1] = ACTIONS(1782),
    [aux_sym_set_operation_token3] = ACTIONS(1782),
    [aux_sym_set_operation_token4] = ACTIONS(1782),
    [aux_sym_select_token1] = ACTIONS(1782),
    [aux_sym_having_clause_token1] = ACTIONS(1782),
    [aux_sym_qualify_clause_token1] = ACTIONS(1782),
    [aux_sym_limit_clause_token1] = ACTIONS(1782),
    [aux_sym_group_by_clause_token1] = ACTIONS(1782),
    [aux_sym_order_by_clause_token1] = ACTIONS(1782),
    [aux_sym_where_clause_token1] = ACTIONS(1782),
    [aux_sym_insert_statement_token1] = ACTIONS(1782),
    [aux_sym_truncate_statement_token1] = ACTIONS(1782),
    [aux_sym_update_statement_token1] = ACTIONS(1782),
    [aux_sym_merge_statement_token1] = ACTIONS(1782),
    [aux_sym_grant_statement_token1] = ACTIONS(1782),
    [aux_sym_revoke_statement_token1] = ACTIONS(1782),
    [aux_sym_export_data_statement_token1] = ACTIONS(1782),
    [aux_sym_load_data_statement_token1] = ACTIONS(1782),
    [anon_sym_LBRACK] = ACTIONS(1780),
    [sym__quoted_identifier] = ACTIONS(1780),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_DASH] = ACTIONS(1782),
    [anon_sym_STAR] = ACTIONS(1780),
    [anon_sym_SLASH] = ACTIONS(1782),
    [anon_sym_PIPE_PIPE] = ACTIONS(1780),
    [anon_sym_LT_EQ] = ACTIONS(1780),
    [anon_sym_LT_GT] = ACTIONS(1780),
    [anon_sym_GT_EQ] = ACTIONS(1780),
    [anon_sym_BANG_EQ] = ACTIONS(1780),
    [anon_sym_LT_LT] = ACTIONS(1780),
    [anon_sym_GT_GT] = ACTIONS(1780),
    [anon_sym_AMP] = ACTIONS(1780),
    [anon_sym_CARET] = ACTIONS(1780),
    [anon_sym_PIPE] = ACTIONS(1782),
  },
  [2110] = {
    [sym__unquoted_identifier] = ACTIONS(1502),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1502),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1502),
    [aux_sym_keyword_replace_token1] = ACTIONS(1502),
    [aux_sym__keyword_alter_token1] = ACTIONS(1502),
    [aux_sym__keyword_from_token1] = ACTIONS(1502),
    [aux_sym__keyword_delete_token1] = ACTIONS(1502),
    [aux_sym__keyword_begin_token1] = ACTIONS(1502),
    [aux_sym__keyword_end_token1] = ACTIONS(1502),
    [aux_sym__keyword_between_token1] = ACTIONS(1502),
    [aux_sym__keyword_when_token1] = ACTIONS(1502),
    [aux_sym__keyword_else_token1] = ACTIONS(1502),
    [aux_sym__keyword_is_token1] = ACTIONS(1502),
    [aux_sym__keyword_in_token1] = ACTIONS(1502),
    [aux_sym__keyword_and_token1] = ACTIONS(1502),
    [aux_sym__keyword_like_token1] = ACTIONS(1502),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1502),
    [aux_sym__keyword_as_token1] = ACTIONS(1502),
    [aux_sym__keyword_window_token1] = ACTIONS(1502),
    [aux_sym__keyword_date_token1] = ACTIONS(1502),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1502),
    [aux_sym__keyword_time_token1] = ACTIONS(1502),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1502),
    [aux_sym__keyword_for_token1] = ACTIONS(1502),
    [anon_sym_SEMI] = ACTIONS(1500),
    [aux_sym_declare_statement_token1] = ACTIONS(1502),
    [anon_sym_COMMA] = ACTIONS(1500),
    [aux_sym_set_statement_token1] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1500),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1502),
    [aux_sym_return_satement_token1] = ACTIONS(1502),
    [aux_sym_call_statement_token1] = ACTIONS(1502),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1502),
    [aux_sym_if_statement_token1] = ACTIONS(1502),
    [aux_sym_loop_statement_token1] = ACTIONS(1502),
    [aux_sym_repeat_statement_token1] = ACTIONS(1502),
    [aux_sym_while_statement_token1] = ACTIONS(1502),
    [aux_sym_break_statement_token1] = ACTIONS(1502),
    [aux_sym_leave_statement_token1] = ACTIONS(1502),
    [aux_sym_continue_statement_token1] = ACTIONS(1502),
    [aux_sym_iterate_statement_token1] = ACTIONS(1502),
    [aux_sym_raise_statement_token1] = ACTIONS(1502),
    [anon_sym_EQ] = ACTIONS(1500),
    [aux_sym_assert_statement_token1] = ACTIONS(1502),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1502),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1502),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1502),
    [anon_sym_LT] = ACTIONS(1502),
    [anon_sym_GT] = ACTIONS(1502),
    [aux_sym_set_operation_token1] = ACTIONS(1502),
    [aux_sym_set_operation_token3] = ACTIONS(1502),
    [aux_sym_set_operation_token4] = ACTIONS(1502),
    [aux_sym_select_token1] = ACTIONS(1502),
    [aux_sym_having_clause_token1] = ACTIONS(1502),
    [aux_sym_qualify_clause_token1] = ACTIONS(1502),
    [aux_sym_limit_clause_token1] = ACTIONS(1502),
    [aux_sym_group_by_clause_token1] = ACTIONS(1502),
    [aux_sym_order_by_clause_token1] = ACTIONS(1502),
    [aux_sym_where_clause_token1] = ACTIONS(1502),
    [aux_sym_insert_statement_token1] = ACTIONS(1502),
    [aux_sym_truncate_statement_token1] = ACTIONS(1502),
    [aux_sym_update_statement_token1] = ACTIONS(1502),
    [aux_sym_merge_statement_token1] = ACTIONS(1502),
    [aux_sym_grant_statement_token1] = ACTIONS(1502),
    [aux_sym_revoke_statement_token1] = ACTIONS(1502),
    [aux_sym_export_data_statement_token1] = ACTIONS(1502),
    [aux_sym_load_data_statement_token1] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1500),
    [sym__quoted_identifier] = ACTIONS(1500),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_STAR] = ACTIONS(1500),
    [anon_sym_SLASH] = ACTIONS(1502),
    [anon_sym_PIPE_PIPE] = ACTIONS(1500),
    [anon_sym_LT_EQ] = ACTIONS(1500),
    [anon_sym_LT_GT] = ACTIONS(1500),
    [anon_sym_GT_EQ] = ACTIONS(1500),
    [anon_sym_BANG_EQ] = ACTIONS(1500),
    [anon_sym_LT_LT] = ACTIONS(1500),
    [anon_sym_GT_GT] = ACTIONS(1500),
    [anon_sym_AMP] = ACTIONS(1500),
    [anon_sym_CARET] = ACTIONS(1500),
    [anon_sym_PIPE] = ACTIONS(1502),
  },
  [2111] = {
    [sym__unquoted_identifier] = ACTIONS(1778),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1778),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1778),
    [aux_sym_keyword_replace_token1] = ACTIONS(1778),
    [aux_sym__keyword_alter_token1] = ACTIONS(1778),
    [aux_sym__keyword_from_token1] = ACTIONS(1778),
    [aux_sym__keyword_delete_token1] = ACTIONS(1778),
    [aux_sym__keyword_begin_token1] = ACTIONS(1778),
    [aux_sym__keyword_end_token1] = ACTIONS(1778),
    [aux_sym__keyword_between_token1] = ACTIONS(1778),
    [aux_sym__keyword_when_token1] = ACTIONS(1778),
    [aux_sym__keyword_else_token1] = ACTIONS(1778),
    [aux_sym__keyword_is_token1] = ACTIONS(1778),
    [aux_sym__keyword_in_token1] = ACTIONS(1778),
    [aux_sym__keyword_and_token1] = ACTIONS(1778),
    [aux_sym__keyword_like_token1] = ACTIONS(1778),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1778),
    [aux_sym__keyword_as_token1] = ACTIONS(1778),
    [aux_sym__keyword_window_token1] = ACTIONS(1778),
    [aux_sym__keyword_date_token1] = ACTIONS(1778),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1778),
    [aux_sym__keyword_time_token1] = ACTIONS(1778),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1778),
    [aux_sym__keyword_for_token1] = ACTIONS(1778),
    [anon_sym_SEMI] = ACTIONS(1776),
    [aux_sym_declare_statement_token1] = ACTIONS(1778),
    [anon_sym_COMMA] = ACTIONS(1776),
    [aux_sym_set_statement_token1] = ACTIONS(1778),
    [anon_sym_LPAREN] = ACTIONS(1776),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1778),
    [aux_sym_return_satement_token1] = ACTIONS(1778),
    [aux_sym_call_statement_token1] = ACTIONS(1778),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1778),
    [aux_sym_if_statement_token1] = ACTIONS(1778),
    [aux_sym_loop_statement_token1] = ACTIONS(1778),
    [aux_sym_repeat_statement_token1] = ACTIONS(1778),
    [aux_sym_while_statement_token1] = ACTIONS(1778),
    [aux_sym_break_statement_token1] = ACTIONS(1778),
    [aux_sym_leave_statement_token1] = ACTIONS(1778),
    [aux_sym_continue_statement_token1] = ACTIONS(1778),
    [aux_sym_iterate_statement_token1] = ACTIONS(1778),
    [aux_sym_raise_statement_token1] = ACTIONS(1778),
    [anon_sym_EQ] = ACTIONS(1776),
    [aux_sym_assert_statement_token1] = ACTIONS(1778),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1778),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1778),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1778),
    [anon_sym_LT] = ACTIONS(1778),
    [anon_sym_GT] = ACTIONS(1778),
    [aux_sym_set_operation_token1] = ACTIONS(1778),
    [aux_sym_set_operation_token3] = ACTIONS(1778),
    [aux_sym_set_operation_token4] = ACTIONS(1778),
    [aux_sym_select_token1] = ACTIONS(1778),
    [aux_sym_having_clause_token1] = ACTIONS(1778),
    [aux_sym_qualify_clause_token1] = ACTIONS(1778),
    [aux_sym_limit_clause_token1] = ACTIONS(1778),
    [aux_sym_group_by_clause_token1] = ACTIONS(1778),
    [aux_sym_order_by_clause_token1] = ACTIONS(1778),
    [aux_sym_where_clause_token1] = ACTIONS(1778),
    [aux_sym_insert_statement_token1] = ACTIONS(1778),
    [aux_sym_truncate_statement_token1] = ACTIONS(1778),
    [aux_sym_update_statement_token1] = ACTIONS(1778),
    [aux_sym_merge_statement_token1] = ACTIONS(1778),
    [aux_sym_grant_statement_token1] = ACTIONS(1778),
    [aux_sym_revoke_statement_token1] = ACTIONS(1778),
    [aux_sym_export_data_statement_token1] = ACTIONS(1778),
    [aux_sym_load_data_statement_token1] = ACTIONS(1778),
    [anon_sym_LBRACK] = ACTIONS(1776),
    [sym__quoted_identifier] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1776),
    [anon_sym_PLUS] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1778),
    [anon_sym_STAR] = ACTIONS(1776),
    [anon_sym_SLASH] = ACTIONS(1778),
    [anon_sym_PIPE_PIPE] = ACTIONS(1776),
    [anon_sym_LT_EQ] = ACTIONS(1776),
    [anon_sym_LT_GT] = ACTIONS(1776),
    [anon_sym_GT_EQ] = ACTIONS(1776),
    [anon_sym_BANG_EQ] = ACTIONS(1776),
    [anon_sym_LT_LT] = ACTIONS(1776),
    [anon_sym_GT_GT] = ACTIONS(1776),
    [anon_sym_AMP] = ACTIONS(1776),
    [anon_sym_CARET] = ACTIONS(1776),
    [anon_sym_PIPE] = ACTIONS(1778),
  },
  [2112] = {
    [sym__unquoted_identifier] = ACTIONS(1638),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1638),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1638),
    [aux_sym_keyword_replace_token1] = ACTIONS(1638),
    [aux_sym__keyword_alter_token1] = ACTIONS(1638),
    [aux_sym__keyword_from_token1] = ACTIONS(1638),
    [aux_sym__keyword_delete_token1] = ACTIONS(1638),
    [aux_sym__keyword_begin_token1] = ACTIONS(1638),
    [aux_sym__keyword_end_token1] = ACTIONS(1638),
    [aux_sym__keyword_between_token1] = ACTIONS(1638),
    [aux_sym__keyword_when_token1] = ACTIONS(1638),
    [aux_sym__keyword_else_token1] = ACTIONS(1638),
    [aux_sym__keyword_is_token1] = ACTIONS(1638),
    [aux_sym__keyword_in_token1] = ACTIONS(1638),
    [aux_sym__keyword_and_token1] = ACTIONS(1638),
    [aux_sym__keyword_like_token1] = ACTIONS(1638),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1638),
    [aux_sym__keyword_as_token1] = ACTIONS(1638),
    [aux_sym__keyword_window_token1] = ACTIONS(1638),
    [aux_sym__keyword_date_token1] = ACTIONS(1638),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1638),
    [aux_sym__keyword_time_token1] = ACTIONS(1638),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1638),
    [aux_sym__keyword_for_token1] = ACTIONS(1638),
    [anon_sym_SEMI] = ACTIONS(1636),
    [aux_sym_declare_statement_token1] = ACTIONS(1638),
    [anon_sym_COMMA] = ACTIONS(1636),
    [aux_sym_set_statement_token1] = ACTIONS(1638),
    [anon_sym_LPAREN] = ACTIONS(1636),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1638),
    [aux_sym_return_satement_token1] = ACTIONS(1638),
    [aux_sym_call_statement_token1] = ACTIONS(1638),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1638),
    [aux_sym_if_statement_token1] = ACTIONS(1638),
    [aux_sym_loop_statement_token1] = ACTIONS(1638),
    [aux_sym_repeat_statement_token1] = ACTIONS(1638),
    [aux_sym_while_statement_token1] = ACTIONS(1638),
    [aux_sym_break_statement_token1] = ACTIONS(1638),
    [aux_sym_leave_statement_token1] = ACTIONS(1638),
    [aux_sym_continue_statement_token1] = ACTIONS(1638),
    [aux_sym_iterate_statement_token1] = ACTIONS(1638),
    [aux_sym_raise_statement_token1] = ACTIONS(1638),
    [anon_sym_EQ] = ACTIONS(1636),
    [aux_sym_assert_statement_token1] = ACTIONS(1638),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1638),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1638),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1638),
    [anon_sym_LT] = ACTIONS(1638),
    [anon_sym_GT] = ACTIONS(1638),
    [aux_sym_set_operation_token1] = ACTIONS(1638),
    [aux_sym_set_operation_token3] = ACTIONS(1638),
    [aux_sym_set_operation_token4] = ACTIONS(1638),
    [aux_sym_select_token1] = ACTIONS(1638),
    [aux_sym_having_clause_token1] = ACTIONS(1638),
    [aux_sym_qualify_clause_token1] = ACTIONS(1638),
    [aux_sym_limit_clause_token1] = ACTIONS(1638),
    [aux_sym_group_by_clause_token1] = ACTIONS(1638),
    [aux_sym_order_by_clause_token1] = ACTIONS(1638),
    [aux_sym_where_clause_token1] = ACTIONS(1638),
    [aux_sym_insert_statement_token1] = ACTIONS(1638),
    [aux_sym_truncate_statement_token1] = ACTIONS(1638),
    [aux_sym_update_statement_token1] = ACTIONS(1638),
    [aux_sym_merge_statement_token1] = ACTIONS(1638),
    [aux_sym_grant_statement_token1] = ACTIONS(1638),
    [aux_sym_revoke_statement_token1] = ACTIONS(1638),
    [aux_sym_export_data_statement_token1] = ACTIONS(1638),
    [aux_sym_load_data_statement_token1] = ACTIONS(1638),
    [anon_sym_LBRACK] = ACTIONS(1636),
    [sym__quoted_identifier] = ACTIONS(1636),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1636),
    [anon_sym_PLUS] = ACTIONS(1636),
    [anon_sym_DASH] = ACTIONS(1638),
    [anon_sym_STAR] = ACTIONS(1636),
    [anon_sym_SLASH] = ACTIONS(1638),
    [anon_sym_PIPE_PIPE] = ACTIONS(1636),
    [anon_sym_LT_EQ] = ACTIONS(1636),
    [anon_sym_LT_GT] = ACTIONS(1636),
    [anon_sym_GT_EQ] = ACTIONS(1636),
    [anon_sym_BANG_EQ] = ACTIONS(1636),
    [anon_sym_LT_LT] = ACTIONS(1636),
    [anon_sym_GT_GT] = ACTIONS(1636),
    [anon_sym_AMP] = ACTIONS(1636),
    [anon_sym_CARET] = ACTIONS(1636),
    [anon_sym_PIPE] = ACTIONS(1638),
  },
  [2113] = {
    [sym__unquoted_identifier] = ACTIONS(1634),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1634),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1634),
    [aux_sym_keyword_replace_token1] = ACTIONS(1634),
    [aux_sym__keyword_alter_token1] = ACTIONS(1634),
    [aux_sym__keyword_from_token1] = ACTIONS(1634),
    [aux_sym__keyword_delete_token1] = ACTIONS(1634),
    [aux_sym__keyword_begin_token1] = ACTIONS(1634),
    [aux_sym__keyword_end_token1] = ACTIONS(1634),
    [aux_sym__keyword_between_token1] = ACTIONS(1634),
    [aux_sym__keyword_when_token1] = ACTIONS(1634),
    [aux_sym__keyword_else_token1] = ACTIONS(1634),
    [aux_sym__keyword_is_token1] = ACTIONS(1634),
    [aux_sym__keyword_in_token1] = ACTIONS(1634),
    [aux_sym__keyword_and_token1] = ACTIONS(1634),
    [aux_sym__keyword_like_token1] = ACTIONS(1634),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1634),
    [aux_sym__keyword_as_token1] = ACTIONS(1634),
    [aux_sym__keyword_window_token1] = ACTIONS(1634),
    [aux_sym__keyword_date_token1] = ACTIONS(1634),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1634),
    [aux_sym__keyword_time_token1] = ACTIONS(1634),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1634),
    [aux_sym__keyword_for_token1] = ACTIONS(1634),
    [anon_sym_SEMI] = ACTIONS(1632),
    [aux_sym_declare_statement_token1] = ACTIONS(1634),
    [anon_sym_COMMA] = ACTIONS(1632),
    [aux_sym_set_statement_token1] = ACTIONS(1634),
    [anon_sym_LPAREN] = ACTIONS(1632),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1634),
    [aux_sym_return_satement_token1] = ACTIONS(1634),
    [aux_sym_call_statement_token1] = ACTIONS(1634),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1634),
    [aux_sym_if_statement_token1] = ACTIONS(1634),
    [aux_sym_loop_statement_token1] = ACTIONS(1634),
    [aux_sym_repeat_statement_token1] = ACTIONS(1634),
    [aux_sym_while_statement_token1] = ACTIONS(1634),
    [aux_sym_break_statement_token1] = ACTIONS(1634),
    [aux_sym_leave_statement_token1] = ACTIONS(1634),
    [aux_sym_continue_statement_token1] = ACTIONS(1634),
    [aux_sym_iterate_statement_token1] = ACTIONS(1634),
    [aux_sym_raise_statement_token1] = ACTIONS(1634),
    [anon_sym_EQ] = ACTIONS(1632),
    [aux_sym_assert_statement_token1] = ACTIONS(1634),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1634),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1634),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1634),
    [anon_sym_LT] = ACTIONS(1634),
    [anon_sym_GT] = ACTIONS(1634),
    [aux_sym_set_operation_token1] = ACTIONS(1634),
    [aux_sym_set_operation_token3] = ACTIONS(1634),
    [aux_sym_set_operation_token4] = ACTIONS(1634),
    [aux_sym_select_token1] = ACTIONS(1634),
    [aux_sym_having_clause_token1] = ACTIONS(1634),
    [aux_sym_qualify_clause_token1] = ACTIONS(1634),
    [aux_sym_limit_clause_token1] = ACTIONS(1634),
    [aux_sym_group_by_clause_token1] = ACTIONS(1634),
    [aux_sym_order_by_clause_token1] = ACTIONS(1634),
    [aux_sym_where_clause_token1] = ACTIONS(1634),
    [aux_sym_insert_statement_token1] = ACTIONS(1634),
    [aux_sym_truncate_statement_token1] = ACTIONS(1634),
    [aux_sym_update_statement_token1] = ACTIONS(1634),
    [aux_sym_merge_statement_token1] = ACTIONS(1634),
    [aux_sym_grant_statement_token1] = ACTIONS(1634),
    [aux_sym_revoke_statement_token1] = ACTIONS(1634),
    [aux_sym_export_data_statement_token1] = ACTIONS(1634),
    [aux_sym_load_data_statement_token1] = ACTIONS(1634),
    [anon_sym_LBRACK] = ACTIONS(1632),
    [sym__quoted_identifier] = ACTIONS(1632),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1632),
    [anon_sym_PLUS] = ACTIONS(1632),
    [anon_sym_DASH] = ACTIONS(1634),
    [anon_sym_STAR] = ACTIONS(1632),
    [anon_sym_SLASH] = ACTIONS(1634),
    [anon_sym_PIPE_PIPE] = ACTIONS(1632),
    [anon_sym_LT_EQ] = ACTIONS(1632),
    [anon_sym_LT_GT] = ACTIONS(1632),
    [anon_sym_GT_EQ] = ACTIONS(1632),
    [anon_sym_BANG_EQ] = ACTIONS(1632),
    [anon_sym_LT_LT] = ACTIONS(1632),
    [anon_sym_GT_GT] = ACTIONS(1632),
    [anon_sym_AMP] = ACTIONS(1632),
    [anon_sym_CARET] = ACTIONS(1632),
    [anon_sym_PIPE] = ACTIONS(1634),
  },
  [2114] = {
    [sym__unquoted_identifier] = ACTIONS(1778),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1778),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1778),
    [aux_sym_keyword_replace_token1] = ACTIONS(1778),
    [aux_sym__keyword_alter_token1] = ACTIONS(1778),
    [aux_sym__keyword_from_token1] = ACTIONS(1778),
    [aux_sym__keyword_delete_token1] = ACTIONS(1778),
    [aux_sym__keyword_begin_token1] = ACTIONS(1778),
    [aux_sym__keyword_end_token1] = ACTIONS(1778),
    [aux_sym__keyword_between_token1] = ACTIONS(1778),
    [aux_sym__keyword_when_token1] = ACTIONS(1778),
    [aux_sym__keyword_else_token1] = ACTIONS(1778),
    [aux_sym__keyword_is_token1] = ACTIONS(1778),
    [aux_sym__keyword_in_token1] = ACTIONS(1778),
    [aux_sym__keyword_and_token1] = ACTIONS(1778),
    [aux_sym__keyword_like_token1] = ACTIONS(1778),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1778),
    [aux_sym__keyword_as_token1] = ACTIONS(1778),
    [aux_sym__keyword_window_token1] = ACTIONS(1778),
    [aux_sym__keyword_date_token1] = ACTIONS(1778),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1778),
    [aux_sym__keyword_time_token1] = ACTIONS(1778),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1778),
    [aux_sym__keyword_for_token1] = ACTIONS(1778),
    [anon_sym_SEMI] = ACTIONS(1776),
    [aux_sym_declare_statement_token1] = ACTIONS(1778),
    [anon_sym_COMMA] = ACTIONS(1776),
    [aux_sym_set_statement_token1] = ACTIONS(1778),
    [anon_sym_LPAREN] = ACTIONS(1776),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1778),
    [aux_sym_return_satement_token1] = ACTIONS(1778),
    [aux_sym_call_statement_token1] = ACTIONS(1778),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1778),
    [aux_sym_if_statement_token1] = ACTIONS(1778),
    [aux_sym_loop_statement_token1] = ACTIONS(1778),
    [aux_sym_repeat_statement_token1] = ACTIONS(1778),
    [aux_sym_while_statement_token1] = ACTIONS(1778),
    [aux_sym_break_statement_token1] = ACTIONS(1778),
    [aux_sym_leave_statement_token1] = ACTIONS(1778),
    [aux_sym_continue_statement_token1] = ACTIONS(1778),
    [aux_sym_iterate_statement_token1] = ACTIONS(1778),
    [aux_sym_raise_statement_token1] = ACTIONS(1778),
    [anon_sym_EQ] = ACTIONS(1776),
    [aux_sym_assert_statement_token1] = ACTIONS(1778),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1778),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1778),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1778),
    [anon_sym_LT] = ACTIONS(1778),
    [anon_sym_GT] = ACTIONS(1778),
    [aux_sym_set_operation_token1] = ACTIONS(1778),
    [aux_sym_set_operation_token3] = ACTIONS(1778),
    [aux_sym_set_operation_token4] = ACTIONS(1778),
    [aux_sym_select_token1] = ACTIONS(1778),
    [aux_sym_having_clause_token1] = ACTIONS(1778),
    [aux_sym_qualify_clause_token1] = ACTIONS(1778),
    [aux_sym_limit_clause_token1] = ACTIONS(1778),
    [aux_sym_group_by_clause_token1] = ACTIONS(1778),
    [aux_sym_order_by_clause_token1] = ACTIONS(1778),
    [aux_sym_where_clause_token1] = ACTIONS(1778),
    [aux_sym_insert_statement_token1] = ACTIONS(1778),
    [aux_sym_truncate_statement_token1] = ACTIONS(1778),
    [aux_sym_update_statement_token1] = ACTIONS(1778),
    [aux_sym_merge_statement_token1] = ACTIONS(1778),
    [aux_sym_grant_statement_token1] = ACTIONS(1778),
    [aux_sym_revoke_statement_token1] = ACTIONS(1778),
    [aux_sym_export_data_statement_token1] = ACTIONS(1778),
    [aux_sym_load_data_statement_token1] = ACTIONS(1778),
    [anon_sym_LBRACK] = ACTIONS(1776),
    [sym__quoted_identifier] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1776),
    [anon_sym_PLUS] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1778),
    [anon_sym_STAR] = ACTIONS(1776),
    [anon_sym_SLASH] = ACTIONS(1778),
    [anon_sym_PIPE_PIPE] = ACTIONS(1776),
    [anon_sym_LT_EQ] = ACTIONS(1776),
    [anon_sym_LT_GT] = ACTIONS(1776),
    [anon_sym_GT_EQ] = ACTIONS(1776),
    [anon_sym_BANG_EQ] = ACTIONS(1776),
    [anon_sym_LT_LT] = ACTIONS(1776),
    [anon_sym_GT_GT] = ACTIONS(1776),
    [anon_sym_AMP] = ACTIONS(1776),
    [anon_sym_CARET] = ACTIONS(1776),
    [anon_sym_PIPE] = ACTIONS(1778),
  },
  [2115] = {
    [sym__unquoted_identifier] = ACTIONS(1778),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1778),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1778),
    [aux_sym_keyword_replace_token1] = ACTIONS(1778),
    [aux_sym__keyword_alter_token1] = ACTIONS(1778),
    [aux_sym__keyword_from_token1] = ACTIONS(1778),
    [aux_sym__keyword_delete_token1] = ACTIONS(1778),
    [aux_sym__keyword_begin_token1] = ACTIONS(1778),
    [aux_sym__keyword_end_token1] = ACTIONS(1778),
    [aux_sym__keyword_between_token1] = ACTIONS(1778),
    [aux_sym__keyword_when_token1] = ACTIONS(1778),
    [aux_sym__keyword_else_token1] = ACTIONS(1778),
    [aux_sym__keyword_is_token1] = ACTIONS(1778),
    [aux_sym__keyword_in_token1] = ACTIONS(1778),
    [aux_sym__keyword_and_token1] = ACTIONS(1778),
    [aux_sym__keyword_like_token1] = ACTIONS(1778),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1778),
    [aux_sym__keyword_as_token1] = ACTIONS(1778),
    [aux_sym__keyword_window_token1] = ACTIONS(1778),
    [aux_sym__keyword_date_token1] = ACTIONS(1778),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1778),
    [aux_sym__keyword_time_token1] = ACTIONS(1778),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1778),
    [aux_sym__keyword_for_token1] = ACTIONS(1778),
    [anon_sym_SEMI] = ACTIONS(1776),
    [aux_sym_declare_statement_token1] = ACTIONS(1778),
    [anon_sym_COMMA] = ACTIONS(1776),
    [aux_sym_set_statement_token1] = ACTIONS(1778),
    [anon_sym_LPAREN] = ACTIONS(1776),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1778),
    [aux_sym_return_satement_token1] = ACTIONS(1778),
    [aux_sym_call_statement_token1] = ACTIONS(1778),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1778),
    [aux_sym_if_statement_token1] = ACTIONS(1778),
    [aux_sym_loop_statement_token1] = ACTIONS(1778),
    [aux_sym_repeat_statement_token1] = ACTIONS(1778),
    [aux_sym_while_statement_token1] = ACTIONS(1778),
    [aux_sym_break_statement_token1] = ACTIONS(1778),
    [aux_sym_leave_statement_token1] = ACTIONS(1778),
    [aux_sym_continue_statement_token1] = ACTIONS(1778),
    [aux_sym_iterate_statement_token1] = ACTIONS(1778),
    [aux_sym_raise_statement_token1] = ACTIONS(1778),
    [anon_sym_EQ] = ACTIONS(1776),
    [aux_sym_assert_statement_token1] = ACTIONS(1778),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1778),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1778),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1778),
    [anon_sym_LT] = ACTIONS(1778),
    [anon_sym_GT] = ACTIONS(1778),
    [aux_sym_set_operation_token1] = ACTIONS(1778),
    [aux_sym_set_operation_token3] = ACTIONS(1778),
    [aux_sym_set_operation_token4] = ACTIONS(1778),
    [aux_sym_select_token1] = ACTIONS(1778),
    [aux_sym_having_clause_token1] = ACTIONS(1778),
    [aux_sym_qualify_clause_token1] = ACTIONS(1778),
    [aux_sym_limit_clause_token1] = ACTIONS(1778),
    [aux_sym_group_by_clause_token1] = ACTIONS(1778),
    [aux_sym_order_by_clause_token1] = ACTIONS(1778),
    [aux_sym_where_clause_token1] = ACTIONS(1778),
    [aux_sym_insert_statement_token1] = ACTIONS(1778),
    [aux_sym_truncate_statement_token1] = ACTIONS(1778),
    [aux_sym_update_statement_token1] = ACTIONS(1778),
    [aux_sym_merge_statement_token1] = ACTIONS(1778),
    [aux_sym_grant_statement_token1] = ACTIONS(1778),
    [aux_sym_revoke_statement_token1] = ACTIONS(1778),
    [aux_sym_export_data_statement_token1] = ACTIONS(1778),
    [aux_sym_load_data_statement_token1] = ACTIONS(1778),
    [anon_sym_LBRACK] = ACTIONS(1776),
    [sym__quoted_identifier] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1776),
    [anon_sym_PLUS] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1778),
    [anon_sym_STAR] = ACTIONS(1776),
    [anon_sym_SLASH] = ACTIONS(1778),
    [anon_sym_PIPE_PIPE] = ACTIONS(1776),
    [anon_sym_LT_EQ] = ACTIONS(1776),
    [anon_sym_LT_GT] = ACTIONS(1776),
    [anon_sym_GT_EQ] = ACTIONS(1776),
    [anon_sym_BANG_EQ] = ACTIONS(1776),
    [anon_sym_LT_LT] = ACTIONS(1776),
    [anon_sym_GT_GT] = ACTIONS(1776),
    [anon_sym_AMP] = ACTIONS(1776),
    [anon_sym_CARET] = ACTIONS(1776),
    [anon_sym_PIPE] = ACTIONS(1778),
  },
  [2116] = {
    [sym__unquoted_identifier] = ACTIONS(1778),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1778),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1778),
    [aux_sym_keyword_replace_token1] = ACTIONS(1778),
    [aux_sym__keyword_alter_token1] = ACTIONS(1778),
    [aux_sym__keyword_from_token1] = ACTIONS(1778),
    [aux_sym__keyword_delete_token1] = ACTIONS(1778),
    [aux_sym__keyword_begin_token1] = ACTIONS(1778),
    [aux_sym__keyword_end_token1] = ACTIONS(1778),
    [aux_sym__keyword_between_token1] = ACTIONS(1778),
    [aux_sym__keyword_when_token1] = ACTIONS(1778),
    [aux_sym__keyword_else_token1] = ACTIONS(1778),
    [aux_sym__keyword_is_token1] = ACTIONS(1778),
    [aux_sym__keyword_in_token1] = ACTIONS(1778),
    [aux_sym__keyword_and_token1] = ACTIONS(1778),
    [aux_sym__keyword_like_token1] = ACTIONS(1778),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1778),
    [aux_sym__keyword_as_token1] = ACTIONS(1778),
    [aux_sym__keyword_window_token1] = ACTIONS(1778),
    [aux_sym__keyword_date_token1] = ACTIONS(1778),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1778),
    [aux_sym__keyword_time_token1] = ACTIONS(1778),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1778),
    [aux_sym__keyword_for_token1] = ACTIONS(1778),
    [anon_sym_SEMI] = ACTIONS(1776),
    [aux_sym_declare_statement_token1] = ACTIONS(1778),
    [anon_sym_COMMA] = ACTIONS(1776),
    [aux_sym_set_statement_token1] = ACTIONS(1778),
    [anon_sym_LPAREN] = ACTIONS(1776),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1778),
    [aux_sym_return_satement_token1] = ACTIONS(1778),
    [aux_sym_call_statement_token1] = ACTIONS(1778),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1778),
    [aux_sym_if_statement_token1] = ACTIONS(1778),
    [aux_sym_loop_statement_token1] = ACTIONS(1778),
    [aux_sym_repeat_statement_token1] = ACTIONS(1778),
    [aux_sym_while_statement_token1] = ACTIONS(1778),
    [aux_sym_break_statement_token1] = ACTIONS(1778),
    [aux_sym_leave_statement_token1] = ACTIONS(1778),
    [aux_sym_continue_statement_token1] = ACTIONS(1778),
    [aux_sym_iterate_statement_token1] = ACTIONS(1778),
    [aux_sym_raise_statement_token1] = ACTIONS(1778),
    [anon_sym_EQ] = ACTIONS(1776),
    [aux_sym_assert_statement_token1] = ACTIONS(1778),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1778),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1778),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1778),
    [anon_sym_LT] = ACTIONS(1778),
    [anon_sym_GT] = ACTIONS(1778),
    [aux_sym_set_operation_token1] = ACTIONS(1778),
    [aux_sym_set_operation_token3] = ACTIONS(1778),
    [aux_sym_set_operation_token4] = ACTIONS(1778),
    [aux_sym_select_token1] = ACTIONS(1778),
    [aux_sym_having_clause_token1] = ACTIONS(1778),
    [aux_sym_qualify_clause_token1] = ACTIONS(1778),
    [aux_sym_limit_clause_token1] = ACTIONS(1778),
    [aux_sym_group_by_clause_token1] = ACTIONS(1778),
    [aux_sym_order_by_clause_token1] = ACTIONS(1778),
    [aux_sym_where_clause_token1] = ACTIONS(1778),
    [aux_sym_insert_statement_token1] = ACTIONS(1778),
    [aux_sym_truncate_statement_token1] = ACTIONS(1778),
    [aux_sym_update_statement_token1] = ACTIONS(1778),
    [aux_sym_merge_statement_token1] = ACTIONS(1778),
    [aux_sym_grant_statement_token1] = ACTIONS(1778),
    [aux_sym_revoke_statement_token1] = ACTIONS(1778),
    [aux_sym_export_data_statement_token1] = ACTIONS(1778),
    [aux_sym_load_data_statement_token1] = ACTIONS(1778),
    [anon_sym_LBRACK] = ACTIONS(1776),
    [sym__quoted_identifier] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1776),
    [anon_sym_PLUS] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1778),
    [anon_sym_STAR] = ACTIONS(1776),
    [anon_sym_SLASH] = ACTIONS(1778),
    [anon_sym_PIPE_PIPE] = ACTIONS(1776),
    [anon_sym_LT_EQ] = ACTIONS(1776),
    [anon_sym_LT_GT] = ACTIONS(1776),
    [anon_sym_GT_EQ] = ACTIONS(1776),
    [anon_sym_BANG_EQ] = ACTIONS(1776),
    [anon_sym_LT_LT] = ACTIONS(1776),
    [anon_sym_GT_GT] = ACTIONS(1776),
    [anon_sym_AMP] = ACTIONS(1776),
    [anon_sym_CARET] = ACTIONS(1776),
    [anon_sym_PIPE] = ACTIONS(1778),
  },
  [2117] = {
    [sym__unquoted_identifier] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1448),
    [aux_sym_keyword_replace_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1448),
    [aux_sym__keyword_from_token1] = ACTIONS(1448),
    [aux_sym__keyword_delete_token1] = ACTIONS(1448),
    [aux_sym__keyword_begin_token1] = ACTIONS(1448),
    [aux_sym__keyword_end_token1] = ACTIONS(1448),
    [aux_sym__keyword_between_token1] = ACTIONS(1448),
    [aux_sym__keyword_when_token1] = ACTIONS(1448),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1448),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1448),
    [aux_sym__keyword_like_token1] = ACTIONS(1448),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1448),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_window_token1] = ACTIONS(1448),
    [aux_sym__keyword_date_token1] = ACTIONS(1448),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1448),
    [aux_sym__keyword_time_token1] = ACTIONS(1448),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1448),
    [aux_sym_return_satement_token1] = ACTIONS(1448),
    [aux_sym_call_statement_token1] = ACTIONS(1448),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1448),
    [aux_sym_if_statement_token1] = ACTIONS(1448),
    [aux_sym_loop_statement_token1] = ACTIONS(1448),
    [aux_sym_repeat_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [aux_sym_leave_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_iterate_statement_token1] = ACTIONS(1448),
    [aux_sym_raise_statement_token1] = ACTIONS(1448),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1448),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1448),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1448),
    [aux_sym_set_operation_token3] = ACTIONS(1448),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1448),
    [aux_sym_having_clause_token1] = ACTIONS(1448),
    [aux_sym_qualify_clause_token1] = ACTIONS(1448),
    [aux_sym_limit_clause_token1] = ACTIONS(1448),
    [aux_sym_group_by_clause_token1] = ACTIONS(1448),
    [aux_sym_order_by_clause_token1] = ACTIONS(1448),
    [aux_sym_where_clause_token1] = ACTIONS(1448),
    [aux_sym_insert_statement_token1] = ACTIONS(1448),
    [aux_sym_truncate_statement_token1] = ACTIONS(1448),
    [aux_sym_update_statement_token1] = ACTIONS(1448),
    [aux_sym_merge_statement_token1] = ACTIONS(1448),
    [aux_sym_grant_statement_token1] = ACTIONS(1448),
    [aux_sym_revoke_statement_token1] = ACTIONS(1448),
    [aux_sym_export_data_statement_token1] = ACTIONS(1448),
    [aux_sym_load_data_statement_token1] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym__quoted_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [2118] = {
    [sym__unquoted_identifier] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1448),
    [aux_sym_keyword_replace_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1448),
    [aux_sym__keyword_from_token1] = ACTIONS(1448),
    [aux_sym__keyword_delete_token1] = ACTIONS(1448),
    [aux_sym__keyword_begin_token1] = ACTIONS(1448),
    [aux_sym__keyword_end_token1] = ACTIONS(1448),
    [aux_sym__keyword_between_token1] = ACTIONS(1448),
    [aux_sym__keyword_when_token1] = ACTIONS(1448),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1448),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1448),
    [aux_sym__keyword_like_token1] = ACTIONS(1448),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1448),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_window_token1] = ACTIONS(1448),
    [aux_sym__keyword_date_token1] = ACTIONS(1448),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1448),
    [aux_sym__keyword_time_token1] = ACTIONS(1448),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1448),
    [aux_sym_return_satement_token1] = ACTIONS(1448),
    [aux_sym_call_statement_token1] = ACTIONS(1448),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1448),
    [aux_sym_if_statement_token1] = ACTIONS(1448),
    [aux_sym_loop_statement_token1] = ACTIONS(1448),
    [aux_sym_repeat_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [aux_sym_leave_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_iterate_statement_token1] = ACTIONS(1448),
    [aux_sym_raise_statement_token1] = ACTIONS(1448),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1448),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1448),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1448),
    [aux_sym_set_operation_token3] = ACTIONS(1448),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1448),
    [aux_sym_having_clause_token1] = ACTIONS(1448),
    [aux_sym_qualify_clause_token1] = ACTIONS(1448),
    [aux_sym_limit_clause_token1] = ACTIONS(1448),
    [aux_sym_group_by_clause_token1] = ACTIONS(1448),
    [aux_sym_order_by_clause_token1] = ACTIONS(1448),
    [aux_sym_where_clause_token1] = ACTIONS(1448),
    [aux_sym_insert_statement_token1] = ACTIONS(1448),
    [aux_sym_truncate_statement_token1] = ACTIONS(1448),
    [aux_sym_update_statement_token1] = ACTIONS(1448),
    [aux_sym_merge_statement_token1] = ACTIONS(1448),
    [aux_sym_grant_statement_token1] = ACTIONS(1448),
    [aux_sym_revoke_statement_token1] = ACTIONS(1448),
    [aux_sym_export_data_statement_token1] = ACTIONS(1448),
    [aux_sym_load_data_statement_token1] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym__quoted_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [2119] = {
    [sym__unquoted_identifier] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1448),
    [aux_sym_keyword_replace_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1448),
    [aux_sym__keyword_from_token1] = ACTIONS(1448),
    [aux_sym__keyword_delete_token1] = ACTIONS(1448),
    [aux_sym__keyword_begin_token1] = ACTIONS(1448),
    [aux_sym__keyword_end_token1] = ACTIONS(1448),
    [aux_sym__keyword_between_token1] = ACTIONS(1448),
    [aux_sym__keyword_when_token1] = ACTIONS(1448),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1448),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1448),
    [aux_sym__keyword_like_token1] = ACTIONS(1448),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1448),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_window_token1] = ACTIONS(1448),
    [aux_sym__keyword_date_token1] = ACTIONS(1448),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1448),
    [aux_sym__keyword_time_token1] = ACTIONS(1448),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1448),
    [aux_sym_return_satement_token1] = ACTIONS(1448),
    [aux_sym_call_statement_token1] = ACTIONS(1448),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1448),
    [aux_sym_if_statement_token1] = ACTIONS(1448),
    [aux_sym_loop_statement_token1] = ACTIONS(1448),
    [aux_sym_repeat_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [aux_sym_leave_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_iterate_statement_token1] = ACTIONS(1448),
    [aux_sym_raise_statement_token1] = ACTIONS(1448),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1448),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1448),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1448),
    [aux_sym_set_operation_token3] = ACTIONS(1448),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1448),
    [aux_sym_having_clause_token1] = ACTIONS(1448),
    [aux_sym_qualify_clause_token1] = ACTIONS(1448),
    [aux_sym_limit_clause_token1] = ACTIONS(1448),
    [aux_sym_group_by_clause_token1] = ACTIONS(1448),
    [aux_sym_order_by_clause_token1] = ACTIONS(1448),
    [aux_sym_where_clause_token1] = ACTIONS(1448),
    [aux_sym_insert_statement_token1] = ACTIONS(1448),
    [aux_sym_truncate_statement_token1] = ACTIONS(1448),
    [aux_sym_update_statement_token1] = ACTIONS(1448),
    [aux_sym_merge_statement_token1] = ACTIONS(1448),
    [aux_sym_grant_statement_token1] = ACTIONS(1448),
    [aux_sym_revoke_statement_token1] = ACTIONS(1448),
    [aux_sym_export_data_statement_token1] = ACTIONS(1448),
    [aux_sym_load_data_statement_token1] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym__quoted_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [2120] = {
    [sym__unquoted_identifier] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1448),
    [aux_sym_keyword_replace_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1448),
    [aux_sym__keyword_from_token1] = ACTIONS(1448),
    [aux_sym__keyword_delete_token1] = ACTIONS(1448),
    [aux_sym__keyword_begin_token1] = ACTIONS(1448),
    [aux_sym__keyword_end_token1] = ACTIONS(1448),
    [aux_sym__keyword_between_token1] = ACTIONS(1448),
    [aux_sym__keyword_when_token1] = ACTIONS(1448),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1448),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1448),
    [aux_sym__keyword_like_token1] = ACTIONS(1448),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1448),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_window_token1] = ACTIONS(1448),
    [aux_sym__keyword_date_token1] = ACTIONS(1448),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1448),
    [aux_sym__keyword_time_token1] = ACTIONS(1448),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1448),
    [aux_sym_return_satement_token1] = ACTIONS(1448),
    [aux_sym_call_statement_token1] = ACTIONS(1448),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1448),
    [aux_sym_if_statement_token1] = ACTIONS(1448),
    [aux_sym_loop_statement_token1] = ACTIONS(1448),
    [aux_sym_repeat_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [aux_sym_leave_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_iterate_statement_token1] = ACTIONS(1448),
    [aux_sym_raise_statement_token1] = ACTIONS(1448),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1448),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1448),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1448),
    [aux_sym_set_operation_token3] = ACTIONS(1448),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1448),
    [aux_sym_having_clause_token1] = ACTIONS(1448),
    [aux_sym_qualify_clause_token1] = ACTIONS(1448),
    [aux_sym_limit_clause_token1] = ACTIONS(1448),
    [aux_sym_group_by_clause_token1] = ACTIONS(1448),
    [aux_sym_order_by_clause_token1] = ACTIONS(1448),
    [aux_sym_where_clause_token1] = ACTIONS(1448),
    [aux_sym_insert_statement_token1] = ACTIONS(1448),
    [aux_sym_truncate_statement_token1] = ACTIONS(1448),
    [aux_sym_update_statement_token1] = ACTIONS(1448),
    [aux_sym_merge_statement_token1] = ACTIONS(1448),
    [aux_sym_grant_statement_token1] = ACTIONS(1448),
    [aux_sym_revoke_statement_token1] = ACTIONS(1448),
    [aux_sym_export_data_statement_token1] = ACTIONS(1448),
    [aux_sym_load_data_statement_token1] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym__quoted_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [2121] = {
    [sym__unquoted_identifier] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1448),
    [aux_sym_keyword_replace_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1448),
    [aux_sym__keyword_from_token1] = ACTIONS(1448),
    [aux_sym__keyword_delete_token1] = ACTIONS(1448),
    [aux_sym__keyword_begin_token1] = ACTIONS(1448),
    [aux_sym__keyword_end_token1] = ACTIONS(1448),
    [aux_sym__keyword_between_token1] = ACTIONS(1448),
    [aux_sym__keyword_when_token1] = ACTIONS(1448),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1448),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1448),
    [aux_sym__keyword_like_token1] = ACTIONS(1448),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1448),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_window_token1] = ACTIONS(1448),
    [aux_sym__keyword_date_token1] = ACTIONS(1448),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1448),
    [aux_sym__keyword_time_token1] = ACTIONS(1448),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1448),
    [aux_sym_return_satement_token1] = ACTIONS(1448),
    [aux_sym_call_statement_token1] = ACTIONS(1448),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1448),
    [aux_sym_if_statement_token1] = ACTIONS(1448),
    [aux_sym_loop_statement_token1] = ACTIONS(1448),
    [aux_sym_repeat_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [aux_sym_leave_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_iterate_statement_token1] = ACTIONS(1448),
    [aux_sym_raise_statement_token1] = ACTIONS(1448),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1448),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1448),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1448),
    [aux_sym_set_operation_token3] = ACTIONS(1448),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1448),
    [aux_sym_having_clause_token1] = ACTIONS(1448),
    [aux_sym_qualify_clause_token1] = ACTIONS(1448),
    [aux_sym_limit_clause_token1] = ACTIONS(1448),
    [aux_sym_group_by_clause_token1] = ACTIONS(1448),
    [aux_sym_order_by_clause_token1] = ACTIONS(1448),
    [aux_sym_where_clause_token1] = ACTIONS(1448),
    [aux_sym_insert_statement_token1] = ACTIONS(1448),
    [aux_sym_truncate_statement_token1] = ACTIONS(1448),
    [aux_sym_update_statement_token1] = ACTIONS(1448),
    [aux_sym_merge_statement_token1] = ACTIONS(1448),
    [aux_sym_grant_statement_token1] = ACTIONS(1448),
    [aux_sym_revoke_statement_token1] = ACTIONS(1448),
    [aux_sym_export_data_statement_token1] = ACTIONS(1448),
    [aux_sym_load_data_statement_token1] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym__quoted_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [2122] = {
    [sym__unquoted_identifier] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1448),
    [aux_sym_keyword_replace_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1448),
    [aux_sym__keyword_from_token1] = ACTIONS(1448),
    [aux_sym__keyword_delete_token1] = ACTIONS(1448),
    [aux_sym__keyword_begin_token1] = ACTIONS(1448),
    [aux_sym__keyword_end_token1] = ACTIONS(1448),
    [aux_sym__keyword_between_token1] = ACTIONS(1448),
    [aux_sym__keyword_when_token1] = ACTIONS(1448),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1448),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1448),
    [aux_sym__keyword_like_token1] = ACTIONS(1448),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1448),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_window_token1] = ACTIONS(1448),
    [aux_sym__keyword_date_token1] = ACTIONS(1448),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1448),
    [aux_sym__keyword_time_token1] = ACTIONS(1448),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1448),
    [aux_sym_return_satement_token1] = ACTIONS(1448),
    [aux_sym_call_statement_token1] = ACTIONS(1448),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1448),
    [aux_sym_if_statement_token1] = ACTIONS(1448),
    [aux_sym_loop_statement_token1] = ACTIONS(1448),
    [aux_sym_repeat_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [aux_sym_leave_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_iterate_statement_token1] = ACTIONS(1448),
    [aux_sym_raise_statement_token1] = ACTIONS(1448),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1448),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1448),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1448),
    [aux_sym_set_operation_token3] = ACTIONS(1448),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1448),
    [aux_sym_having_clause_token1] = ACTIONS(1448),
    [aux_sym_qualify_clause_token1] = ACTIONS(1448),
    [aux_sym_limit_clause_token1] = ACTIONS(1448),
    [aux_sym_group_by_clause_token1] = ACTIONS(1448),
    [aux_sym_order_by_clause_token1] = ACTIONS(1448),
    [aux_sym_where_clause_token1] = ACTIONS(1448),
    [aux_sym_insert_statement_token1] = ACTIONS(1448),
    [aux_sym_truncate_statement_token1] = ACTIONS(1448),
    [aux_sym_update_statement_token1] = ACTIONS(1448),
    [aux_sym_merge_statement_token1] = ACTIONS(1448),
    [aux_sym_grant_statement_token1] = ACTIONS(1448),
    [aux_sym_revoke_statement_token1] = ACTIONS(1448),
    [aux_sym_export_data_statement_token1] = ACTIONS(1448),
    [aux_sym_load_data_statement_token1] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym__quoted_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [2123] = {
    [sym__unquoted_identifier] = ACTIONS(1498),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1498),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1498),
    [aux_sym_keyword_replace_token1] = ACTIONS(1498),
    [aux_sym__keyword_alter_token1] = ACTIONS(1498),
    [aux_sym__keyword_from_token1] = ACTIONS(1498),
    [aux_sym__keyword_delete_token1] = ACTIONS(1498),
    [aux_sym__keyword_begin_token1] = ACTIONS(1498),
    [aux_sym__keyword_end_token1] = ACTIONS(1498),
    [aux_sym__keyword_between_token1] = ACTIONS(1498),
    [aux_sym__keyword_when_token1] = ACTIONS(1498),
    [aux_sym__keyword_else_token1] = ACTIONS(1498),
    [aux_sym__keyword_is_token1] = ACTIONS(1498),
    [aux_sym__keyword_in_token1] = ACTIONS(1498),
    [aux_sym__keyword_and_token1] = ACTIONS(1498),
    [aux_sym__keyword_like_token1] = ACTIONS(1498),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1498),
    [aux_sym__keyword_as_token1] = ACTIONS(1498),
    [aux_sym__keyword_window_token1] = ACTIONS(1498),
    [aux_sym__keyword_date_token1] = ACTIONS(1498),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1498),
    [aux_sym__keyword_time_token1] = ACTIONS(1498),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1498),
    [aux_sym__keyword_for_token1] = ACTIONS(1498),
    [anon_sym_SEMI] = ACTIONS(1496),
    [aux_sym_declare_statement_token1] = ACTIONS(1498),
    [anon_sym_COMMA] = ACTIONS(1496),
    [aux_sym_set_statement_token1] = ACTIONS(1498),
    [anon_sym_LPAREN] = ACTIONS(1496),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1498),
    [aux_sym_return_satement_token1] = ACTIONS(1498),
    [aux_sym_call_statement_token1] = ACTIONS(1498),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1498),
    [aux_sym_if_statement_token1] = ACTIONS(1498),
    [aux_sym_loop_statement_token1] = ACTIONS(1498),
    [aux_sym_repeat_statement_token1] = ACTIONS(1498),
    [aux_sym_while_statement_token1] = ACTIONS(1498),
    [aux_sym_break_statement_token1] = ACTIONS(1498),
    [aux_sym_leave_statement_token1] = ACTIONS(1498),
    [aux_sym_continue_statement_token1] = ACTIONS(1498),
    [aux_sym_iterate_statement_token1] = ACTIONS(1498),
    [aux_sym_raise_statement_token1] = ACTIONS(1498),
    [anon_sym_EQ] = ACTIONS(1496),
    [aux_sym_assert_statement_token1] = ACTIONS(1498),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1498),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1498),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1498),
    [anon_sym_LT] = ACTIONS(1498),
    [anon_sym_GT] = ACTIONS(1498),
    [aux_sym_set_operation_token1] = ACTIONS(1498),
    [aux_sym_set_operation_token3] = ACTIONS(1498),
    [aux_sym_set_operation_token4] = ACTIONS(1498),
    [aux_sym_select_token1] = ACTIONS(1498),
    [aux_sym_having_clause_token1] = ACTIONS(1498),
    [aux_sym_qualify_clause_token1] = ACTIONS(1498),
    [aux_sym_limit_clause_token1] = ACTIONS(1498),
    [aux_sym_group_by_clause_token1] = ACTIONS(1498),
    [aux_sym_order_by_clause_token1] = ACTIONS(1498),
    [aux_sym_where_clause_token1] = ACTIONS(1498),
    [aux_sym_insert_statement_token1] = ACTIONS(1498),
    [aux_sym_truncate_statement_token1] = ACTIONS(1498),
    [aux_sym_update_statement_token1] = ACTIONS(1498),
    [aux_sym_merge_statement_token1] = ACTIONS(1498),
    [aux_sym_grant_statement_token1] = ACTIONS(1498),
    [aux_sym_revoke_statement_token1] = ACTIONS(1498),
    [aux_sym_export_data_statement_token1] = ACTIONS(1498),
    [aux_sym_load_data_statement_token1] = ACTIONS(1498),
    [anon_sym_LBRACK] = ACTIONS(1496),
    [sym__quoted_identifier] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(1498),
    [anon_sym_PIPE_PIPE] = ACTIONS(1496),
    [anon_sym_LT_EQ] = ACTIONS(1496),
    [anon_sym_LT_GT] = ACTIONS(1496),
    [anon_sym_GT_EQ] = ACTIONS(1496),
    [anon_sym_BANG_EQ] = ACTIONS(1496),
    [anon_sym_LT_LT] = ACTIONS(1496),
    [anon_sym_GT_GT] = ACTIONS(1496),
    [anon_sym_AMP] = ACTIONS(1496),
    [anon_sym_CARET] = ACTIONS(1496),
    [anon_sym_PIPE] = ACTIONS(1498),
  },
  [2124] = {
    [sym__unquoted_identifier] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1448),
    [aux_sym_keyword_replace_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1448),
    [aux_sym__keyword_from_token1] = ACTIONS(1448),
    [aux_sym__keyword_delete_token1] = ACTIONS(1448),
    [aux_sym__keyword_begin_token1] = ACTIONS(1448),
    [aux_sym__keyword_end_token1] = ACTIONS(1448),
    [aux_sym__keyword_between_token1] = ACTIONS(1448),
    [aux_sym__keyword_when_token1] = ACTIONS(1448),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1448),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1448),
    [aux_sym__keyword_like_token1] = ACTIONS(1448),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1448),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_window_token1] = ACTIONS(1448),
    [aux_sym__keyword_date_token1] = ACTIONS(1448),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1448),
    [aux_sym__keyword_time_token1] = ACTIONS(1448),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1448),
    [aux_sym_return_satement_token1] = ACTIONS(1448),
    [aux_sym_call_statement_token1] = ACTIONS(1448),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1448),
    [aux_sym_if_statement_token1] = ACTIONS(1448),
    [aux_sym_loop_statement_token1] = ACTIONS(1448),
    [aux_sym_repeat_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [aux_sym_leave_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_iterate_statement_token1] = ACTIONS(1448),
    [aux_sym_raise_statement_token1] = ACTIONS(1448),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1448),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1448),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1448),
    [aux_sym_set_operation_token3] = ACTIONS(1448),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1448),
    [aux_sym_having_clause_token1] = ACTIONS(1448),
    [aux_sym_qualify_clause_token1] = ACTIONS(1448),
    [aux_sym_limit_clause_token1] = ACTIONS(1448),
    [aux_sym_group_by_clause_token1] = ACTIONS(1448),
    [aux_sym_order_by_clause_token1] = ACTIONS(1448),
    [aux_sym_where_clause_token1] = ACTIONS(1448),
    [aux_sym_insert_statement_token1] = ACTIONS(1448),
    [aux_sym_truncate_statement_token1] = ACTIONS(1448),
    [aux_sym_update_statement_token1] = ACTIONS(1448),
    [aux_sym_merge_statement_token1] = ACTIONS(1448),
    [aux_sym_grant_statement_token1] = ACTIONS(1448),
    [aux_sym_revoke_statement_token1] = ACTIONS(1448),
    [aux_sym_export_data_statement_token1] = ACTIONS(1448),
    [aux_sym_load_data_statement_token1] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym__quoted_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [2125] = {
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_from_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [2126] = {
    [sym__unquoted_identifier] = ACTIONS(1774),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1774),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1774),
    [aux_sym_keyword_replace_token1] = ACTIONS(1774),
    [aux_sym__keyword_alter_token1] = ACTIONS(1774),
    [aux_sym__keyword_from_token1] = ACTIONS(1774),
    [aux_sym__keyword_delete_token1] = ACTIONS(1774),
    [aux_sym__keyword_begin_token1] = ACTIONS(1774),
    [aux_sym__keyword_end_token1] = ACTIONS(1774),
    [aux_sym__keyword_between_token1] = ACTIONS(1774),
    [aux_sym__keyword_when_token1] = ACTIONS(1774),
    [aux_sym__keyword_else_token1] = ACTIONS(1774),
    [aux_sym__keyword_is_token1] = ACTIONS(1774),
    [aux_sym__keyword_in_token1] = ACTIONS(1774),
    [aux_sym__keyword_and_token1] = ACTIONS(1774),
    [aux_sym__keyword_like_token1] = ACTIONS(1774),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1774),
    [aux_sym__keyword_as_token1] = ACTIONS(1774),
    [aux_sym__keyword_window_token1] = ACTIONS(1774),
    [aux_sym__keyword_date_token1] = ACTIONS(1774),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1774),
    [aux_sym__keyword_time_token1] = ACTIONS(1774),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1774),
    [aux_sym__keyword_for_token1] = ACTIONS(1774),
    [anon_sym_SEMI] = ACTIONS(1772),
    [aux_sym_declare_statement_token1] = ACTIONS(1774),
    [anon_sym_COMMA] = ACTIONS(1772),
    [aux_sym_set_statement_token1] = ACTIONS(1774),
    [anon_sym_LPAREN] = ACTIONS(1772),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1774),
    [aux_sym_return_satement_token1] = ACTIONS(1774),
    [aux_sym_call_statement_token1] = ACTIONS(1774),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1774),
    [aux_sym_if_statement_token1] = ACTIONS(1774),
    [aux_sym_loop_statement_token1] = ACTIONS(1774),
    [aux_sym_repeat_statement_token1] = ACTIONS(1774),
    [aux_sym_while_statement_token1] = ACTIONS(1774),
    [aux_sym_break_statement_token1] = ACTIONS(1774),
    [aux_sym_leave_statement_token1] = ACTIONS(1774),
    [aux_sym_continue_statement_token1] = ACTIONS(1774),
    [aux_sym_iterate_statement_token1] = ACTIONS(1774),
    [aux_sym_raise_statement_token1] = ACTIONS(1774),
    [anon_sym_EQ] = ACTIONS(1772),
    [aux_sym_assert_statement_token1] = ACTIONS(1774),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1774),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1774),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1774),
    [anon_sym_LT] = ACTIONS(1774),
    [anon_sym_GT] = ACTIONS(1774),
    [aux_sym_set_operation_token1] = ACTIONS(1774),
    [aux_sym_set_operation_token3] = ACTIONS(1774),
    [aux_sym_set_operation_token4] = ACTIONS(1774),
    [aux_sym_select_token1] = ACTIONS(1774),
    [aux_sym_having_clause_token1] = ACTIONS(1774),
    [aux_sym_qualify_clause_token1] = ACTIONS(1774),
    [aux_sym_limit_clause_token1] = ACTIONS(1774),
    [aux_sym_group_by_clause_token1] = ACTIONS(1774),
    [aux_sym_order_by_clause_token1] = ACTIONS(1774),
    [aux_sym_where_clause_token1] = ACTIONS(1774),
    [aux_sym_insert_statement_token1] = ACTIONS(1774),
    [aux_sym_truncate_statement_token1] = ACTIONS(1774),
    [aux_sym_update_statement_token1] = ACTIONS(1774),
    [aux_sym_merge_statement_token1] = ACTIONS(1774),
    [aux_sym_grant_statement_token1] = ACTIONS(1774),
    [aux_sym_revoke_statement_token1] = ACTIONS(1774),
    [aux_sym_export_data_statement_token1] = ACTIONS(1774),
    [aux_sym_load_data_statement_token1] = ACTIONS(1774),
    [anon_sym_LBRACK] = ACTIONS(1772),
    [sym__quoted_identifier] = ACTIONS(1772),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1772),
    [anon_sym_PLUS] = ACTIONS(1772),
    [anon_sym_DASH] = ACTIONS(1774),
    [anon_sym_STAR] = ACTIONS(1772),
    [anon_sym_SLASH] = ACTIONS(1774),
    [anon_sym_PIPE_PIPE] = ACTIONS(1772),
    [anon_sym_LT_EQ] = ACTIONS(1772),
    [anon_sym_LT_GT] = ACTIONS(1772),
    [anon_sym_GT_EQ] = ACTIONS(1772),
    [anon_sym_BANG_EQ] = ACTIONS(1772),
    [anon_sym_LT_LT] = ACTIONS(1772),
    [anon_sym_GT_GT] = ACTIONS(1772),
    [anon_sym_AMP] = ACTIONS(1772),
    [anon_sym_CARET] = ACTIONS(1772),
    [anon_sym_PIPE] = ACTIONS(1774),
  },
  [2127] = {
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_from_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [2128] = {
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_from_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [2129] = {
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_from_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [2130] = {
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_from_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [2131] = {
    [sym__keyword_as] = STATE(11629),
    [sym__keyword_date] = STATE(3597),
    [sym__keyword_datetime] = STATE(3597),
    [sym__keyword_time] = STATE(3597),
    [sym__keyword_timestamp] = STATE(3597),
    [sym_as_alias] = STATE(3383),
    [sym_unnest_withoffset] = STATE(3406),
    [sym__type_chrono] = STATE(3590),
    [sym__identifier] = STATE(3384),
    [sym__dotted_identifier] = STATE(13989),
    [sym_identifier] = STATE(3571),
    [aux_sym_identifier_repeat1] = STATE(13989),
    [sym__unquoted_identifier] = ACTIONS(1926),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(205),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(205),
    [aux_sym_keyword_replace_token1] = ACTIONS(205),
    [aux_sym__keyword_alter_token1] = ACTIONS(205),
    [aux_sym__keyword_delete_token1] = ACTIONS(205),
    [aux_sym__keyword_begin_token1] = ACTIONS(205),
    [aux_sym__keyword_end_token1] = ACTIONS(205),
    [aux_sym__keyword_between_token1] = ACTIONS(205),
    [aux_sym__keyword_else_token1] = ACTIONS(205),
    [aux_sym__keyword_is_token1] = ACTIONS(205),
    [aux_sym__keyword_in_token1] = ACTIONS(205),
    [aux_sym__keyword_and_token1] = ACTIONS(205),
    [aux_sym__keyword_like_token1] = ACTIONS(205),
    [aux_sym__keyword_repeat_token1] = ACTIONS(205),
    [aux_sym__keyword_as_token1] = ACTIONS(2792),
    [aux_sym__keyword_date_token1] = ACTIONS(2794),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2794),
    [aux_sym__keyword_time_token1] = ACTIONS(2794),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2794),
    [aux_sym__keyword_for_token1] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(211),
    [aux_sym_declare_statement_token1] = ACTIONS(205),
    [anon_sym_COMMA] = ACTIONS(211),
    [aux_sym_set_statement_token1] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(211),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(205),
    [aux_sym_return_satement_token1] = ACTIONS(205),
    [aux_sym_call_statement_token1] = ACTIONS(205),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(205),
    [aux_sym_if_statement_token1] = ACTIONS(205),
    [aux_sym_loop_statement_token1] = ACTIONS(205),
    [aux_sym_repeat_statement_token1] = ACTIONS(205),
    [aux_sym_while_statement_token1] = ACTIONS(205),
    [aux_sym_break_statement_token1] = ACTIONS(205),
    [aux_sym_leave_statement_token1] = ACTIONS(205),
    [aux_sym_continue_statement_token1] = ACTIONS(205),
    [aux_sym_iterate_statement_token1] = ACTIONS(205),
    [aux_sym_raise_statement_token1] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(211),
    [aux_sym_assert_statement_token1] = ACTIONS(205),
    [aux_sym_create_schema_statement_token1] = ACTIONS(205),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(205),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2796),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [aux_sym_select_token1] = ACTIONS(205),
    [aux_sym_insert_statement_token1] = ACTIONS(205),
    [aux_sym_truncate_statement_token1] = ACTIONS(205),
    [aux_sym_update_statement_token1] = ACTIONS(205),
    [aux_sym_merge_statement_token1] = ACTIONS(205),
    [aux_sym_grant_statement_token1] = ACTIONS(205),
    [aux_sym_revoke_statement_token1] = ACTIONS(205),
    [aux_sym_export_data_statement_token1] = ACTIONS(205),
    [aux_sym_load_data_statement_token1] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(211),
    [sym__quoted_identifier] = ACTIONS(1968),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(211),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(211),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(211),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_LT_GT] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(211),
    [anon_sym_GT_GT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_CARET] = ACTIONS(211),
    [anon_sym_PIPE] = ACTIONS(205),
  },
  [2132] = {
    [sym__unquoted_identifier] = ACTIONS(1518),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1518),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1518),
    [aux_sym_keyword_replace_token1] = ACTIONS(1518),
    [aux_sym__keyword_alter_token1] = ACTIONS(1518),
    [aux_sym__keyword_from_token1] = ACTIONS(1518),
    [aux_sym__keyword_delete_token1] = ACTIONS(1518),
    [aux_sym__keyword_begin_token1] = ACTIONS(1518),
    [aux_sym__keyword_end_token1] = ACTIONS(1518),
    [aux_sym__keyword_between_token1] = ACTIONS(1518),
    [aux_sym__keyword_when_token1] = ACTIONS(1518),
    [aux_sym__keyword_else_token1] = ACTIONS(1518),
    [aux_sym__keyword_is_token1] = ACTIONS(1518),
    [aux_sym__keyword_in_token1] = ACTIONS(1518),
    [aux_sym__keyword_and_token1] = ACTIONS(1518),
    [aux_sym__keyword_like_token1] = ACTIONS(1518),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1518),
    [aux_sym__keyword_as_token1] = ACTIONS(1518),
    [aux_sym__keyword_window_token1] = ACTIONS(1518),
    [aux_sym__keyword_date_token1] = ACTIONS(1518),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1518),
    [aux_sym__keyword_time_token1] = ACTIONS(1518),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1518),
    [aux_sym__keyword_for_token1] = ACTIONS(1518),
    [anon_sym_SEMI] = ACTIONS(1516),
    [aux_sym_declare_statement_token1] = ACTIONS(1518),
    [anon_sym_COMMA] = ACTIONS(1516),
    [aux_sym_set_statement_token1] = ACTIONS(1518),
    [anon_sym_LPAREN] = ACTIONS(1516),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1518),
    [aux_sym_return_satement_token1] = ACTIONS(1518),
    [aux_sym_call_statement_token1] = ACTIONS(1518),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1518),
    [aux_sym_if_statement_token1] = ACTIONS(1518),
    [aux_sym_loop_statement_token1] = ACTIONS(1518),
    [aux_sym_repeat_statement_token1] = ACTIONS(1518),
    [aux_sym_while_statement_token1] = ACTIONS(1518),
    [aux_sym_break_statement_token1] = ACTIONS(1518),
    [aux_sym_leave_statement_token1] = ACTIONS(1518),
    [aux_sym_continue_statement_token1] = ACTIONS(1518),
    [aux_sym_iterate_statement_token1] = ACTIONS(1518),
    [aux_sym_raise_statement_token1] = ACTIONS(1518),
    [anon_sym_EQ] = ACTIONS(1516),
    [aux_sym_assert_statement_token1] = ACTIONS(1518),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1518),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1518),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1518),
    [anon_sym_LT] = ACTIONS(1518),
    [anon_sym_GT] = ACTIONS(1518),
    [aux_sym_set_operation_token1] = ACTIONS(1518),
    [aux_sym_set_operation_token3] = ACTIONS(1518),
    [aux_sym_set_operation_token4] = ACTIONS(1518),
    [aux_sym_select_token1] = ACTIONS(1518),
    [aux_sym_having_clause_token1] = ACTIONS(1518),
    [aux_sym_qualify_clause_token1] = ACTIONS(1518),
    [aux_sym_limit_clause_token1] = ACTIONS(1518),
    [aux_sym_group_by_clause_token1] = ACTIONS(1518),
    [aux_sym_order_by_clause_token1] = ACTIONS(1518),
    [aux_sym_where_clause_token1] = ACTIONS(1518),
    [aux_sym_insert_statement_token1] = ACTIONS(1518),
    [aux_sym_truncate_statement_token1] = ACTIONS(1518),
    [aux_sym_update_statement_token1] = ACTIONS(1518),
    [aux_sym_merge_statement_token1] = ACTIONS(1518),
    [aux_sym_grant_statement_token1] = ACTIONS(1518),
    [aux_sym_revoke_statement_token1] = ACTIONS(1518),
    [aux_sym_export_data_statement_token1] = ACTIONS(1518),
    [aux_sym_load_data_statement_token1] = ACTIONS(1518),
    [anon_sym_LBRACK] = ACTIONS(1516),
    [sym__quoted_identifier] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1516),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1518),
    [anon_sym_STAR] = ACTIONS(1516),
    [anon_sym_SLASH] = ACTIONS(1518),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [anon_sym_LT_EQ] = ACTIONS(1516),
    [anon_sym_LT_GT] = ACTIONS(1516),
    [anon_sym_GT_EQ] = ACTIONS(1516),
    [anon_sym_BANG_EQ] = ACTIONS(1516),
    [anon_sym_LT_LT] = ACTIONS(1516),
    [anon_sym_GT_GT] = ACTIONS(1516),
    [anon_sym_AMP] = ACTIONS(1516),
    [anon_sym_CARET] = ACTIONS(1516),
    [anon_sym_PIPE] = ACTIONS(1518),
  },
  [2133] = {
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_from_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [2134] = {
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_from_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [2135] = {
    [sym__unquoted_identifier] = ACTIONS(1388),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1388),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1388),
    [aux_sym_keyword_replace_token1] = ACTIONS(1388),
    [aux_sym__keyword_alter_token1] = ACTIONS(1388),
    [aux_sym__keyword_from_token1] = ACTIONS(1388),
    [aux_sym__keyword_delete_token1] = ACTIONS(1388),
    [aux_sym__keyword_begin_token1] = ACTIONS(1388),
    [aux_sym__keyword_end_token1] = ACTIONS(1388),
    [aux_sym__keyword_between_token1] = ACTIONS(1388),
    [aux_sym__keyword_when_token1] = ACTIONS(1388),
    [aux_sym__keyword_else_token1] = ACTIONS(1388),
    [aux_sym__keyword_is_token1] = ACTIONS(1388),
    [aux_sym__keyword_in_token1] = ACTIONS(1388),
    [aux_sym__keyword_and_token1] = ACTIONS(1388),
    [aux_sym__keyword_like_token1] = ACTIONS(1388),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1388),
    [aux_sym__keyword_as_token1] = ACTIONS(1388),
    [aux_sym__keyword_window_token1] = ACTIONS(1388),
    [aux_sym__keyword_date_token1] = ACTIONS(1388),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1388),
    [aux_sym__keyword_time_token1] = ACTIONS(1388),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1388),
    [aux_sym__keyword_for_token1] = ACTIONS(1388),
    [anon_sym_SEMI] = ACTIONS(1386),
    [aux_sym_declare_statement_token1] = ACTIONS(1388),
    [anon_sym_COMMA] = ACTIONS(1386),
    [aux_sym_set_statement_token1] = ACTIONS(1388),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1388),
    [aux_sym_return_satement_token1] = ACTIONS(1388),
    [aux_sym_call_statement_token1] = ACTIONS(1388),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1388),
    [aux_sym_if_statement_token1] = ACTIONS(1388),
    [aux_sym_loop_statement_token1] = ACTIONS(1388),
    [aux_sym_repeat_statement_token1] = ACTIONS(1388),
    [aux_sym_while_statement_token1] = ACTIONS(1388),
    [aux_sym_break_statement_token1] = ACTIONS(1388),
    [aux_sym_leave_statement_token1] = ACTIONS(1388),
    [aux_sym_continue_statement_token1] = ACTIONS(1388),
    [aux_sym_iterate_statement_token1] = ACTIONS(1388),
    [aux_sym_raise_statement_token1] = ACTIONS(1388),
    [anon_sym_EQ] = ACTIONS(1386),
    [aux_sym_assert_statement_token1] = ACTIONS(1388),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1388),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1388),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1388),
    [anon_sym_LT] = ACTIONS(1388),
    [anon_sym_GT] = ACTIONS(1388),
    [aux_sym_set_operation_token1] = ACTIONS(1388),
    [aux_sym_set_operation_token3] = ACTIONS(1388),
    [aux_sym_set_operation_token4] = ACTIONS(1388),
    [aux_sym_select_token1] = ACTIONS(1388),
    [aux_sym_having_clause_token1] = ACTIONS(1388),
    [aux_sym_qualify_clause_token1] = ACTIONS(1388),
    [aux_sym_limit_clause_token1] = ACTIONS(1388),
    [aux_sym_group_by_clause_token1] = ACTIONS(1388),
    [aux_sym_order_by_clause_token1] = ACTIONS(1388),
    [aux_sym_where_clause_token1] = ACTIONS(1388),
    [aux_sym_insert_statement_token1] = ACTIONS(1388),
    [aux_sym_truncate_statement_token1] = ACTIONS(1388),
    [aux_sym_update_statement_token1] = ACTIONS(1388),
    [aux_sym_merge_statement_token1] = ACTIONS(1388),
    [aux_sym_grant_statement_token1] = ACTIONS(1388),
    [aux_sym_revoke_statement_token1] = ACTIONS(1388),
    [aux_sym_export_data_statement_token1] = ACTIONS(1388),
    [aux_sym_load_data_statement_token1] = ACTIONS(1388),
    [anon_sym_LBRACK] = ACTIONS(1386),
    [sym__quoted_identifier] = ACTIONS(1386),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1386),
    [anon_sym_DASH] = ACTIONS(1388),
    [anon_sym_STAR] = ACTIONS(1386),
    [anon_sym_SLASH] = ACTIONS(1388),
    [anon_sym_PIPE_PIPE] = ACTIONS(1386),
    [anon_sym_LT_EQ] = ACTIONS(1386),
    [anon_sym_LT_GT] = ACTIONS(1386),
    [anon_sym_GT_EQ] = ACTIONS(1386),
    [anon_sym_BANG_EQ] = ACTIONS(1386),
    [anon_sym_LT_LT] = ACTIONS(1386),
    [anon_sym_GT_GT] = ACTIONS(1386),
    [anon_sym_AMP] = ACTIONS(1386),
    [anon_sym_CARET] = ACTIONS(1386),
    [anon_sym_PIPE] = ACTIONS(1388),
  },
  [2136] = {
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_from_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [2137] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2138] = {
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_from_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [2139] = {
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_from_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [2140] = {
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_from_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [2141] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2142] = {
    [sym__unquoted_identifier] = ACTIONS(1510),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1510),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1510),
    [aux_sym_keyword_replace_token1] = ACTIONS(1510),
    [aux_sym__keyword_alter_token1] = ACTIONS(1510),
    [aux_sym__keyword_from_token1] = ACTIONS(1510),
    [aux_sym__keyword_delete_token1] = ACTIONS(1510),
    [aux_sym__keyword_begin_token1] = ACTIONS(1510),
    [aux_sym__keyword_end_token1] = ACTIONS(1510),
    [aux_sym__keyword_between_token1] = ACTIONS(1510),
    [aux_sym__keyword_when_token1] = ACTIONS(1510),
    [aux_sym__keyword_else_token1] = ACTIONS(1510),
    [aux_sym__keyword_is_token1] = ACTIONS(1510),
    [aux_sym__keyword_in_token1] = ACTIONS(1510),
    [aux_sym__keyword_and_token1] = ACTIONS(1510),
    [aux_sym__keyword_like_token1] = ACTIONS(1510),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1510),
    [aux_sym__keyword_as_token1] = ACTIONS(1510),
    [aux_sym__keyword_window_token1] = ACTIONS(1510),
    [aux_sym__keyword_date_token1] = ACTIONS(1510),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1510),
    [aux_sym__keyword_time_token1] = ACTIONS(1510),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1510),
    [aux_sym__keyword_for_token1] = ACTIONS(1510),
    [anon_sym_SEMI] = ACTIONS(1508),
    [aux_sym_declare_statement_token1] = ACTIONS(1510),
    [anon_sym_COMMA] = ACTIONS(1508),
    [aux_sym_set_statement_token1] = ACTIONS(1510),
    [anon_sym_LPAREN] = ACTIONS(1508),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1510),
    [aux_sym_return_satement_token1] = ACTIONS(1510),
    [aux_sym_call_statement_token1] = ACTIONS(1510),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1510),
    [aux_sym_if_statement_token1] = ACTIONS(1510),
    [aux_sym_loop_statement_token1] = ACTIONS(1510),
    [aux_sym_repeat_statement_token1] = ACTIONS(1510),
    [aux_sym_while_statement_token1] = ACTIONS(1510),
    [aux_sym_break_statement_token1] = ACTIONS(1510),
    [aux_sym_leave_statement_token1] = ACTIONS(1510),
    [aux_sym_continue_statement_token1] = ACTIONS(1510),
    [aux_sym_iterate_statement_token1] = ACTIONS(1510),
    [aux_sym_raise_statement_token1] = ACTIONS(1510),
    [anon_sym_EQ] = ACTIONS(1508),
    [aux_sym_assert_statement_token1] = ACTIONS(1510),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1510),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1510),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1510),
    [anon_sym_LT] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1510),
    [aux_sym_set_operation_token1] = ACTIONS(1510),
    [aux_sym_set_operation_token3] = ACTIONS(1510),
    [aux_sym_set_operation_token4] = ACTIONS(1510),
    [aux_sym_select_token1] = ACTIONS(1510),
    [aux_sym_having_clause_token1] = ACTIONS(1510),
    [aux_sym_qualify_clause_token1] = ACTIONS(1510),
    [aux_sym_limit_clause_token1] = ACTIONS(1510),
    [aux_sym_group_by_clause_token1] = ACTIONS(1510),
    [aux_sym_order_by_clause_token1] = ACTIONS(1510),
    [aux_sym_where_clause_token1] = ACTIONS(1510),
    [aux_sym_insert_statement_token1] = ACTIONS(1510),
    [aux_sym_truncate_statement_token1] = ACTIONS(1510),
    [aux_sym_update_statement_token1] = ACTIONS(1510),
    [aux_sym_merge_statement_token1] = ACTIONS(1510),
    [aux_sym_grant_statement_token1] = ACTIONS(1510),
    [aux_sym_revoke_statement_token1] = ACTIONS(1510),
    [aux_sym_export_data_statement_token1] = ACTIONS(1510),
    [aux_sym_load_data_statement_token1] = ACTIONS(1510),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [sym__quoted_identifier] = ACTIONS(1508),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1508),
    [anon_sym_PLUS] = ACTIONS(1508),
    [anon_sym_DASH] = ACTIONS(1510),
    [anon_sym_STAR] = ACTIONS(1508),
    [anon_sym_SLASH] = ACTIONS(1510),
    [anon_sym_PIPE_PIPE] = ACTIONS(1508),
    [anon_sym_LT_EQ] = ACTIONS(1508),
    [anon_sym_LT_GT] = ACTIONS(1508),
    [anon_sym_GT_EQ] = ACTIONS(1508),
    [anon_sym_BANG_EQ] = ACTIONS(1508),
    [anon_sym_LT_LT] = ACTIONS(1508),
    [anon_sym_GT_GT] = ACTIONS(1508),
    [anon_sym_AMP] = ACTIONS(1508),
    [anon_sym_CARET] = ACTIONS(1508),
    [anon_sym_PIPE] = ACTIONS(1510),
  },
  [2143] = {
    [sym__unquoted_identifier] = ACTIONS(1714),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1714),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1714),
    [aux_sym_keyword_replace_token1] = ACTIONS(1714),
    [aux_sym__keyword_alter_token1] = ACTIONS(1714),
    [aux_sym__keyword_from_token1] = ACTIONS(1714),
    [aux_sym__keyword_delete_token1] = ACTIONS(1714),
    [aux_sym__keyword_begin_token1] = ACTIONS(1714),
    [aux_sym__keyword_end_token1] = ACTIONS(1714),
    [aux_sym__keyword_between_token1] = ACTIONS(1714),
    [aux_sym__keyword_when_token1] = ACTIONS(1714),
    [aux_sym__keyword_else_token1] = ACTIONS(1714),
    [aux_sym__keyword_is_token1] = ACTIONS(1714),
    [aux_sym__keyword_in_token1] = ACTIONS(1714),
    [aux_sym__keyword_and_token1] = ACTIONS(1714),
    [aux_sym__keyword_like_token1] = ACTIONS(1714),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1714),
    [aux_sym__keyword_as_token1] = ACTIONS(1714),
    [aux_sym__keyword_window_token1] = ACTIONS(1714),
    [aux_sym__keyword_date_token1] = ACTIONS(1714),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1714),
    [aux_sym__keyword_time_token1] = ACTIONS(1714),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1714),
    [aux_sym__keyword_for_token1] = ACTIONS(1714),
    [anon_sym_SEMI] = ACTIONS(1712),
    [aux_sym_declare_statement_token1] = ACTIONS(1714),
    [anon_sym_COMMA] = ACTIONS(1712),
    [aux_sym_set_statement_token1] = ACTIONS(1714),
    [anon_sym_LPAREN] = ACTIONS(1712),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1714),
    [aux_sym_return_satement_token1] = ACTIONS(1714),
    [aux_sym_call_statement_token1] = ACTIONS(1714),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1714),
    [aux_sym_if_statement_token1] = ACTIONS(1714),
    [aux_sym_loop_statement_token1] = ACTIONS(1714),
    [aux_sym_repeat_statement_token1] = ACTIONS(1714),
    [aux_sym_while_statement_token1] = ACTIONS(1714),
    [aux_sym_break_statement_token1] = ACTIONS(1714),
    [aux_sym_leave_statement_token1] = ACTIONS(1714),
    [aux_sym_continue_statement_token1] = ACTIONS(1714),
    [aux_sym_iterate_statement_token1] = ACTIONS(1714),
    [aux_sym_raise_statement_token1] = ACTIONS(1714),
    [anon_sym_EQ] = ACTIONS(1712),
    [aux_sym_assert_statement_token1] = ACTIONS(1714),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1714),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1714),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1714),
    [anon_sym_LT] = ACTIONS(1714),
    [anon_sym_GT] = ACTIONS(1714),
    [aux_sym_set_operation_token1] = ACTIONS(1714),
    [aux_sym_set_operation_token3] = ACTIONS(1714),
    [aux_sym_set_operation_token4] = ACTIONS(1714),
    [aux_sym_select_token1] = ACTIONS(1714),
    [aux_sym_having_clause_token1] = ACTIONS(1714),
    [aux_sym_qualify_clause_token1] = ACTIONS(1714),
    [aux_sym_limit_clause_token1] = ACTIONS(1714),
    [aux_sym_group_by_clause_token1] = ACTIONS(1714),
    [aux_sym_order_by_clause_token1] = ACTIONS(1714),
    [aux_sym_where_clause_token1] = ACTIONS(1714),
    [aux_sym_insert_statement_token1] = ACTIONS(1714),
    [aux_sym_truncate_statement_token1] = ACTIONS(1714),
    [aux_sym_update_statement_token1] = ACTIONS(1714),
    [aux_sym_merge_statement_token1] = ACTIONS(1714),
    [aux_sym_grant_statement_token1] = ACTIONS(1714),
    [aux_sym_revoke_statement_token1] = ACTIONS(1714),
    [aux_sym_export_data_statement_token1] = ACTIONS(1714),
    [aux_sym_load_data_statement_token1] = ACTIONS(1714),
    [anon_sym_LBRACK] = ACTIONS(1712),
    [sym__quoted_identifier] = ACTIONS(1712),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1712),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_DASH] = ACTIONS(1714),
    [anon_sym_STAR] = ACTIONS(1712),
    [anon_sym_SLASH] = ACTIONS(1714),
    [anon_sym_PIPE_PIPE] = ACTIONS(1712),
    [anon_sym_LT_EQ] = ACTIONS(1712),
    [anon_sym_LT_GT] = ACTIONS(1712),
    [anon_sym_GT_EQ] = ACTIONS(1712),
    [anon_sym_BANG_EQ] = ACTIONS(1712),
    [anon_sym_LT_LT] = ACTIONS(1712),
    [anon_sym_GT_GT] = ACTIONS(1712),
    [anon_sym_AMP] = ACTIONS(1712),
    [anon_sym_CARET] = ACTIONS(1712),
    [anon_sym_PIPE] = ACTIONS(1714),
  },
  [2144] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2145] = {
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_from_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [2146] = {
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1420),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_from_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_end_token1] = ACTIONS(1420),
    [aux_sym__keyword_between_token1] = ACTIONS(1420),
    [aux_sym__keyword_when_token1] = ACTIONS(1420),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1420),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1420),
    [aux_sym__keyword_like_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_window_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_repeat_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token3] = ACTIONS(1420),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_having_clause_token1] = ACTIONS(1420),
    [aux_sym_qualify_clause_token1] = ACTIONS(1420),
    [aux_sym_limit_clause_token1] = ACTIONS(1420),
    [aux_sym_group_by_clause_token1] = ACTIONS(1420),
    [aux_sym_order_by_clause_token1] = ACTIONS(1420),
    [aux_sym_where_clause_token1] = ACTIONS(1420),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [2147] = {
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_from_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [2148] = {
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_from_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [2149] = {
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_from_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [2150] = {
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_from_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [2151] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2152] = {
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_from_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [2153] = {
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2154] = {
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_from_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [2155] = {
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_from_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [2156] = {
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2157] = {
    [sym__unquoted_identifier] = ACTIONS(1754),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1754),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1754),
    [aux_sym_keyword_replace_token1] = ACTIONS(1754),
    [aux_sym__keyword_alter_token1] = ACTIONS(1754),
    [aux_sym__keyword_from_token1] = ACTIONS(1754),
    [aux_sym__keyword_delete_token1] = ACTIONS(1754),
    [aux_sym__keyword_begin_token1] = ACTIONS(1754),
    [aux_sym__keyword_end_token1] = ACTIONS(1754),
    [aux_sym__keyword_between_token1] = ACTIONS(1754),
    [aux_sym__keyword_when_token1] = ACTIONS(1754),
    [aux_sym__keyword_else_token1] = ACTIONS(1754),
    [aux_sym__keyword_is_token1] = ACTIONS(1754),
    [aux_sym__keyword_in_token1] = ACTIONS(1754),
    [aux_sym__keyword_and_token1] = ACTIONS(1754),
    [aux_sym__keyword_like_token1] = ACTIONS(1754),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1754),
    [aux_sym__keyword_as_token1] = ACTIONS(1754),
    [aux_sym__keyword_window_token1] = ACTIONS(1754),
    [aux_sym__keyword_date_token1] = ACTIONS(1754),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1754),
    [aux_sym__keyword_time_token1] = ACTIONS(1754),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1754),
    [aux_sym__keyword_for_token1] = ACTIONS(1754),
    [anon_sym_SEMI] = ACTIONS(1752),
    [aux_sym_declare_statement_token1] = ACTIONS(1754),
    [anon_sym_COMMA] = ACTIONS(1752),
    [aux_sym_set_statement_token1] = ACTIONS(1754),
    [anon_sym_LPAREN] = ACTIONS(1752),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1754),
    [aux_sym_return_satement_token1] = ACTIONS(1754),
    [aux_sym_call_statement_token1] = ACTIONS(1754),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1754),
    [aux_sym_if_statement_token1] = ACTIONS(1754),
    [aux_sym_loop_statement_token1] = ACTIONS(1754),
    [aux_sym_repeat_statement_token1] = ACTIONS(1754),
    [aux_sym_while_statement_token1] = ACTIONS(1754),
    [aux_sym_break_statement_token1] = ACTIONS(1754),
    [aux_sym_leave_statement_token1] = ACTIONS(1754),
    [aux_sym_continue_statement_token1] = ACTIONS(1754),
    [aux_sym_iterate_statement_token1] = ACTIONS(1754),
    [aux_sym_raise_statement_token1] = ACTIONS(1754),
    [anon_sym_EQ] = ACTIONS(1752),
    [aux_sym_assert_statement_token1] = ACTIONS(1754),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1754),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1754),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1754),
    [anon_sym_LT] = ACTIONS(1754),
    [anon_sym_GT] = ACTIONS(1754),
    [aux_sym_set_operation_token1] = ACTIONS(1754),
    [aux_sym_set_operation_token3] = ACTIONS(1754),
    [aux_sym_set_operation_token4] = ACTIONS(1754),
    [aux_sym_select_token1] = ACTIONS(1754),
    [aux_sym_having_clause_token1] = ACTIONS(1754),
    [aux_sym_qualify_clause_token1] = ACTIONS(1754),
    [aux_sym_limit_clause_token1] = ACTIONS(1754),
    [aux_sym_group_by_clause_token1] = ACTIONS(1754),
    [aux_sym_order_by_clause_token1] = ACTIONS(1754),
    [aux_sym_where_clause_token1] = ACTIONS(1754),
    [aux_sym_insert_statement_token1] = ACTIONS(1754),
    [aux_sym_truncate_statement_token1] = ACTIONS(1754),
    [aux_sym_update_statement_token1] = ACTIONS(1754),
    [aux_sym_merge_statement_token1] = ACTIONS(1754),
    [aux_sym_grant_statement_token1] = ACTIONS(1754),
    [aux_sym_revoke_statement_token1] = ACTIONS(1754),
    [aux_sym_export_data_statement_token1] = ACTIONS(1754),
    [aux_sym_load_data_statement_token1] = ACTIONS(1754),
    [anon_sym_LBRACK] = ACTIONS(1752),
    [sym__quoted_identifier] = ACTIONS(1752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_DASH] = ACTIONS(1754),
    [anon_sym_STAR] = ACTIONS(1752),
    [anon_sym_SLASH] = ACTIONS(1754),
    [anon_sym_PIPE_PIPE] = ACTIONS(1752),
    [anon_sym_LT_EQ] = ACTIONS(1752),
    [anon_sym_LT_GT] = ACTIONS(1752),
    [anon_sym_GT_EQ] = ACTIONS(1752),
    [anon_sym_BANG_EQ] = ACTIONS(1752),
    [anon_sym_LT_LT] = ACTIONS(1752),
    [anon_sym_GT_GT] = ACTIONS(1752),
    [anon_sym_AMP] = ACTIONS(1752),
    [anon_sym_CARET] = ACTIONS(1752),
    [anon_sym_PIPE] = ACTIONS(1754),
  },
  [2158] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2159] = {
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_from_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [2160] = {
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2161] = {
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_from_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [2162] = {
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2163] = {
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_from_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [2164] = {
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_from_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [2165] = {
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2166] = {
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_from_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [2167] = {
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_from_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [2168] = {
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_from_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [2169] = {
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_from_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [2170] = {
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_from_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [2171] = {
    [sym__unquoted_identifier] = ACTIONS(1786),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1786),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1786),
    [aux_sym_keyword_replace_token1] = ACTIONS(1786),
    [aux_sym__keyword_alter_token1] = ACTIONS(1786),
    [aux_sym__keyword_from_token1] = ACTIONS(1786),
    [aux_sym__keyword_delete_token1] = ACTIONS(1786),
    [aux_sym__keyword_begin_token1] = ACTIONS(1786),
    [aux_sym__keyword_end_token1] = ACTIONS(1786),
    [aux_sym__keyword_between_token1] = ACTIONS(1786),
    [aux_sym__keyword_when_token1] = ACTIONS(1786),
    [aux_sym__keyword_else_token1] = ACTIONS(1786),
    [aux_sym__keyword_is_token1] = ACTIONS(1786),
    [aux_sym__keyword_in_token1] = ACTIONS(1786),
    [aux_sym__keyword_and_token1] = ACTIONS(1786),
    [aux_sym__keyword_like_token1] = ACTIONS(1786),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1786),
    [aux_sym__keyword_as_token1] = ACTIONS(1786),
    [aux_sym__keyword_window_token1] = ACTIONS(1786),
    [aux_sym__keyword_date_token1] = ACTIONS(1786),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1786),
    [aux_sym__keyword_time_token1] = ACTIONS(1786),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1786),
    [aux_sym__keyword_for_token1] = ACTIONS(1786),
    [anon_sym_SEMI] = ACTIONS(1784),
    [aux_sym_declare_statement_token1] = ACTIONS(1786),
    [anon_sym_COMMA] = ACTIONS(1784),
    [aux_sym_set_statement_token1] = ACTIONS(1786),
    [anon_sym_LPAREN] = ACTIONS(1784),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1786),
    [aux_sym_return_satement_token1] = ACTIONS(1786),
    [aux_sym_call_statement_token1] = ACTIONS(1786),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1786),
    [aux_sym_if_statement_token1] = ACTIONS(1786),
    [aux_sym_loop_statement_token1] = ACTIONS(1786),
    [aux_sym_repeat_statement_token1] = ACTIONS(1786),
    [aux_sym_while_statement_token1] = ACTIONS(1786),
    [aux_sym_break_statement_token1] = ACTIONS(1786),
    [aux_sym_leave_statement_token1] = ACTIONS(1786),
    [aux_sym_continue_statement_token1] = ACTIONS(1786),
    [aux_sym_iterate_statement_token1] = ACTIONS(1786),
    [aux_sym_raise_statement_token1] = ACTIONS(1786),
    [anon_sym_EQ] = ACTIONS(1784),
    [aux_sym_assert_statement_token1] = ACTIONS(1786),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1786),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1786),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1786),
    [anon_sym_LT] = ACTIONS(1786),
    [anon_sym_GT] = ACTIONS(1786),
    [aux_sym_set_operation_token1] = ACTIONS(1786),
    [aux_sym_set_operation_token3] = ACTIONS(1786),
    [aux_sym_set_operation_token4] = ACTIONS(1786),
    [aux_sym_select_token1] = ACTIONS(1786),
    [aux_sym_having_clause_token1] = ACTIONS(1786),
    [aux_sym_qualify_clause_token1] = ACTIONS(1786),
    [aux_sym_limit_clause_token1] = ACTIONS(1786),
    [aux_sym_group_by_clause_token1] = ACTIONS(1786),
    [aux_sym_order_by_clause_token1] = ACTIONS(1786),
    [aux_sym_where_clause_token1] = ACTIONS(1786),
    [aux_sym_insert_statement_token1] = ACTIONS(1786),
    [aux_sym_truncate_statement_token1] = ACTIONS(1786),
    [aux_sym_update_statement_token1] = ACTIONS(1786),
    [aux_sym_merge_statement_token1] = ACTIONS(1786),
    [aux_sym_grant_statement_token1] = ACTIONS(1786),
    [aux_sym_revoke_statement_token1] = ACTIONS(1786),
    [aux_sym_export_data_statement_token1] = ACTIONS(1786),
    [aux_sym_load_data_statement_token1] = ACTIONS(1786),
    [anon_sym_LBRACK] = ACTIONS(1784),
    [sym__quoted_identifier] = ACTIONS(1784),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1784),
    [anon_sym_PLUS] = ACTIONS(1784),
    [anon_sym_DASH] = ACTIONS(1786),
    [anon_sym_STAR] = ACTIONS(1784),
    [anon_sym_SLASH] = ACTIONS(1786),
    [anon_sym_PIPE_PIPE] = ACTIONS(1784),
    [anon_sym_LT_EQ] = ACTIONS(1784),
    [anon_sym_LT_GT] = ACTIONS(1784),
    [anon_sym_GT_EQ] = ACTIONS(1784),
    [anon_sym_BANG_EQ] = ACTIONS(1784),
    [anon_sym_LT_LT] = ACTIONS(1784),
    [anon_sym_GT_GT] = ACTIONS(1784),
    [anon_sym_AMP] = ACTIONS(1784),
    [anon_sym_CARET] = ACTIONS(1784),
    [anon_sym_PIPE] = ACTIONS(1786),
  },
  [2172] = {
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_from_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [2173] = {
    [sym__unquoted_identifier] = ACTIONS(1642),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1642),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1642),
    [aux_sym_keyword_replace_token1] = ACTIONS(1642),
    [aux_sym__keyword_alter_token1] = ACTIONS(1642),
    [aux_sym__keyword_from_token1] = ACTIONS(1642),
    [aux_sym__keyword_delete_token1] = ACTIONS(1642),
    [aux_sym__keyword_begin_token1] = ACTIONS(1642),
    [aux_sym__keyword_end_token1] = ACTIONS(1642),
    [aux_sym__keyword_between_token1] = ACTIONS(1642),
    [aux_sym__keyword_when_token1] = ACTIONS(1642),
    [aux_sym__keyword_else_token1] = ACTIONS(1642),
    [aux_sym__keyword_is_token1] = ACTIONS(1642),
    [aux_sym__keyword_in_token1] = ACTIONS(1642),
    [aux_sym__keyword_and_token1] = ACTIONS(1642),
    [aux_sym__keyword_like_token1] = ACTIONS(1642),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1642),
    [aux_sym__keyword_as_token1] = ACTIONS(1642),
    [aux_sym__keyword_window_token1] = ACTIONS(1642),
    [aux_sym__keyword_date_token1] = ACTIONS(1642),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1642),
    [aux_sym__keyword_time_token1] = ACTIONS(1642),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1642),
    [aux_sym__keyword_for_token1] = ACTIONS(1642),
    [anon_sym_SEMI] = ACTIONS(1640),
    [aux_sym_declare_statement_token1] = ACTIONS(1642),
    [anon_sym_COMMA] = ACTIONS(1640),
    [aux_sym_set_statement_token1] = ACTIONS(1642),
    [anon_sym_LPAREN] = ACTIONS(1640),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1642),
    [aux_sym_return_satement_token1] = ACTIONS(1642),
    [aux_sym_call_statement_token1] = ACTIONS(1642),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1642),
    [aux_sym_if_statement_token1] = ACTIONS(1642),
    [aux_sym_loop_statement_token1] = ACTIONS(1642),
    [aux_sym_repeat_statement_token1] = ACTIONS(1642),
    [aux_sym_while_statement_token1] = ACTIONS(1642),
    [aux_sym_break_statement_token1] = ACTIONS(1642),
    [aux_sym_leave_statement_token1] = ACTIONS(1642),
    [aux_sym_continue_statement_token1] = ACTIONS(1642),
    [aux_sym_iterate_statement_token1] = ACTIONS(1642),
    [aux_sym_raise_statement_token1] = ACTIONS(1642),
    [anon_sym_EQ] = ACTIONS(1640),
    [aux_sym_assert_statement_token1] = ACTIONS(1642),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1642),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1642),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1642),
    [anon_sym_LT] = ACTIONS(1642),
    [anon_sym_GT] = ACTIONS(1642),
    [aux_sym_set_operation_token1] = ACTIONS(1642),
    [aux_sym_set_operation_token3] = ACTIONS(1642),
    [aux_sym_set_operation_token4] = ACTIONS(1642),
    [aux_sym_select_token1] = ACTIONS(1642),
    [aux_sym_having_clause_token1] = ACTIONS(1642),
    [aux_sym_qualify_clause_token1] = ACTIONS(1642),
    [aux_sym_limit_clause_token1] = ACTIONS(1642),
    [aux_sym_group_by_clause_token1] = ACTIONS(1642),
    [aux_sym_order_by_clause_token1] = ACTIONS(1642),
    [aux_sym_where_clause_token1] = ACTIONS(1642),
    [aux_sym_insert_statement_token1] = ACTIONS(1642),
    [aux_sym_truncate_statement_token1] = ACTIONS(1642),
    [aux_sym_update_statement_token1] = ACTIONS(1642),
    [aux_sym_merge_statement_token1] = ACTIONS(1642),
    [aux_sym_grant_statement_token1] = ACTIONS(1642),
    [aux_sym_revoke_statement_token1] = ACTIONS(1642),
    [aux_sym_export_data_statement_token1] = ACTIONS(1642),
    [aux_sym_load_data_statement_token1] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(1640),
    [sym__quoted_identifier] = ACTIONS(1640),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1640),
    [anon_sym_PLUS] = ACTIONS(1640),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1640),
    [anon_sym_SLASH] = ACTIONS(1642),
    [anon_sym_PIPE_PIPE] = ACTIONS(1640),
    [anon_sym_LT_EQ] = ACTIONS(1640),
    [anon_sym_LT_GT] = ACTIONS(1640),
    [anon_sym_GT_EQ] = ACTIONS(1640),
    [anon_sym_BANG_EQ] = ACTIONS(1640),
    [anon_sym_LT_LT] = ACTIONS(1640),
    [anon_sym_GT_GT] = ACTIONS(1640),
    [anon_sym_AMP] = ACTIONS(1640),
    [anon_sym_CARET] = ACTIONS(1640),
    [anon_sym_PIPE] = ACTIONS(1642),
  },
  [2174] = {
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_from_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [2175] = {
    [sym__unquoted_identifier] = ACTIONS(1376),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1376),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1376),
    [aux_sym_keyword_replace_token1] = ACTIONS(1376),
    [aux_sym__keyword_alter_token1] = ACTIONS(1376),
    [aux_sym__keyword_from_token1] = ACTIONS(1376),
    [aux_sym__keyword_delete_token1] = ACTIONS(1376),
    [aux_sym__keyword_begin_token1] = ACTIONS(1376),
    [aux_sym__keyword_end_token1] = ACTIONS(1376),
    [aux_sym__keyword_between_token1] = ACTIONS(1376),
    [aux_sym__keyword_when_token1] = ACTIONS(1376),
    [aux_sym__keyword_else_token1] = ACTIONS(1376),
    [aux_sym__keyword_is_token1] = ACTIONS(1376),
    [aux_sym__keyword_in_token1] = ACTIONS(1376),
    [aux_sym__keyword_and_token1] = ACTIONS(1376),
    [aux_sym__keyword_like_token1] = ACTIONS(1376),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1376),
    [aux_sym__keyword_as_token1] = ACTIONS(1376),
    [aux_sym__keyword_window_token1] = ACTIONS(1376),
    [aux_sym__keyword_date_token1] = ACTIONS(1376),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1376),
    [aux_sym__keyword_time_token1] = ACTIONS(1376),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1376),
    [aux_sym__keyword_for_token1] = ACTIONS(1376),
    [anon_sym_SEMI] = ACTIONS(1374),
    [aux_sym_declare_statement_token1] = ACTIONS(1376),
    [anon_sym_COMMA] = ACTIONS(1374),
    [aux_sym_set_statement_token1] = ACTIONS(1376),
    [anon_sym_LPAREN] = ACTIONS(1374),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1376),
    [aux_sym_return_satement_token1] = ACTIONS(1376),
    [aux_sym_call_statement_token1] = ACTIONS(1376),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1376),
    [aux_sym_if_statement_token1] = ACTIONS(1376),
    [aux_sym_loop_statement_token1] = ACTIONS(1376),
    [aux_sym_repeat_statement_token1] = ACTIONS(1376),
    [aux_sym_while_statement_token1] = ACTIONS(1376),
    [aux_sym_break_statement_token1] = ACTIONS(1376),
    [aux_sym_leave_statement_token1] = ACTIONS(1376),
    [aux_sym_continue_statement_token1] = ACTIONS(1376),
    [aux_sym_iterate_statement_token1] = ACTIONS(1376),
    [aux_sym_raise_statement_token1] = ACTIONS(1376),
    [anon_sym_EQ] = ACTIONS(1374),
    [aux_sym_assert_statement_token1] = ACTIONS(1376),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1376),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1376),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1376),
    [anon_sym_LT] = ACTIONS(1376),
    [anon_sym_GT] = ACTIONS(1376),
    [aux_sym_set_operation_token1] = ACTIONS(1376),
    [aux_sym_set_operation_token3] = ACTIONS(1376),
    [aux_sym_set_operation_token4] = ACTIONS(1376),
    [aux_sym_select_token1] = ACTIONS(1376),
    [aux_sym_having_clause_token1] = ACTIONS(1376),
    [aux_sym_qualify_clause_token1] = ACTIONS(1376),
    [aux_sym_limit_clause_token1] = ACTIONS(1376),
    [aux_sym_group_by_clause_token1] = ACTIONS(1376),
    [aux_sym_order_by_clause_token1] = ACTIONS(1376),
    [aux_sym_where_clause_token1] = ACTIONS(1376),
    [aux_sym_insert_statement_token1] = ACTIONS(1376),
    [aux_sym_truncate_statement_token1] = ACTIONS(1376),
    [aux_sym_update_statement_token1] = ACTIONS(1376),
    [aux_sym_merge_statement_token1] = ACTIONS(1376),
    [aux_sym_grant_statement_token1] = ACTIONS(1376),
    [aux_sym_revoke_statement_token1] = ACTIONS(1376),
    [aux_sym_export_data_statement_token1] = ACTIONS(1376),
    [aux_sym_load_data_statement_token1] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(1374),
    [sym__quoted_identifier] = ACTIONS(1374),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_SLASH] = ACTIONS(1376),
    [anon_sym_PIPE_PIPE] = ACTIONS(1374),
    [anon_sym_LT_EQ] = ACTIONS(1374),
    [anon_sym_LT_GT] = ACTIONS(1374),
    [anon_sym_GT_EQ] = ACTIONS(1374),
    [anon_sym_BANG_EQ] = ACTIONS(1374),
    [anon_sym_LT_LT] = ACTIONS(1374),
    [anon_sym_GT_GT] = ACTIONS(1374),
    [anon_sym_AMP] = ACTIONS(1374),
    [anon_sym_CARET] = ACTIONS(1374),
    [anon_sym_PIPE] = ACTIONS(1376),
  },
  [2176] = {
    [sym__unquoted_identifier] = ACTIONS(1686),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1686),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1686),
    [aux_sym_keyword_replace_token1] = ACTIONS(1686),
    [aux_sym__keyword_alter_token1] = ACTIONS(1686),
    [aux_sym__keyword_from_token1] = ACTIONS(1686),
    [aux_sym__keyword_delete_token1] = ACTIONS(1686),
    [aux_sym__keyword_begin_token1] = ACTIONS(1686),
    [aux_sym__keyword_end_token1] = ACTIONS(1686),
    [aux_sym__keyword_between_token1] = ACTIONS(1686),
    [aux_sym__keyword_when_token1] = ACTIONS(1686),
    [aux_sym__keyword_else_token1] = ACTIONS(1686),
    [aux_sym__keyword_is_token1] = ACTIONS(1686),
    [aux_sym__keyword_in_token1] = ACTIONS(1686),
    [aux_sym__keyword_and_token1] = ACTIONS(1686),
    [aux_sym__keyword_like_token1] = ACTIONS(1686),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1686),
    [aux_sym__keyword_as_token1] = ACTIONS(1686),
    [aux_sym__keyword_window_token1] = ACTIONS(1686),
    [aux_sym__keyword_date_token1] = ACTIONS(1686),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1686),
    [aux_sym__keyword_time_token1] = ACTIONS(1686),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1686),
    [aux_sym__keyword_for_token1] = ACTIONS(1686),
    [anon_sym_SEMI] = ACTIONS(1684),
    [aux_sym_declare_statement_token1] = ACTIONS(1686),
    [anon_sym_COMMA] = ACTIONS(1684),
    [aux_sym_set_statement_token1] = ACTIONS(1686),
    [anon_sym_LPAREN] = ACTIONS(1684),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1686),
    [aux_sym_return_satement_token1] = ACTIONS(1686),
    [aux_sym_call_statement_token1] = ACTIONS(1686),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1686),
    [aux_sym_if_statement_token1] = ACTIONS(1686),
    [aux_sym_loop_statement_token1] = ACTIONS(1686),
    [aux_sym_repeat_statement_token1] = ACTIONS(1686),
    [aux_sym_while_statement_token1] = ACTIONS(1686),
    [aux_sym_break_statement_token1] = ACTIONS(1686),
    [aux_sym_leave_statement_token1] = ACTIONS(1686),
    [aux_sym_continue_statement_token1] = ACTIONS(1686),
    [aux_sym_iterate_statement_token1] = ACTIONS(1686),
    [aux_sym_raise_statement_token1] = ACTIONS(1686),
    [anon_sym_EQ] = ACTIONS(1684),
    [aux_sym_assert_statement_token1] = ACTIONS(1686),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1686),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1686),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1686),
    [anon_sym_LT] = ACTIONS(1686),
    [anon_sym_GT] = ACTIONS(1686),
    [aux_sym_set_operation_token1] = ACTIONS(1686),
    [aux_sym_set_operation_token3] = ACTIONS(1686),
    [aux_sym_set_operation_token4] = ACTIONS(1686),
    [aux_sym_select_token1] = ACTIONS(1686),
    [aux_sym_having_clause_token1] = ACTIONS(1686),
    [aux_sym_qualify_clause_token1] = ACTIONS(1686),
    [aux_sym_limit_clause_token1] = ACTIONS(1686),
    [aux_sym_group_by_clause_token1] = ACTIONS(1686),
    [aux_sym_order_by_clause_token1] = ACTIONS(1686),
    [aux_sym_where_clause_token1] = ACTIONS(1686),
    [aux_sym_insert_statement_token1] = ACTIONS(1686),
    [aux_sym_truncate_statement_token1] = ACTIONS(1686),
    [aux_sym_update_statement_token1] = ACTIONS(1686),
    [aux_sym_merge_statement_token1] = ACTIONS(1686),
    [aux_sym_grant_statement_token1] = ACTIONS(1686),
    [aux_sym_revoke_statement_token1] = ACTIONS(1686),
    [aux_sym_export_data_statement_token1] = ACTIONS(1686),
    [aux_sym_load_data_statement_token1] = ACTIONS(1686),
    [anon_sym_LBRACK] = ACTIONS(1684),
    [sym__quoted_identifier] = ACTIONS(1684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1684),
    [anon_sym_PLUS] = ACTIONS(1684),
    [anon_sym_DASH] = ACTIONS(1686),
    [anon_sym_STAR] = ACTIONS(1684),
    [anon_sym_SLASH] = ACTIONS(1686),
    [anon_sym_PIPE_PIPE] = ACTIONS(1684),
    [anon_sym_LT_EQ] = ACTIONS(1684),
    [anon_sym_LT_GT] = ACTIONS(1684),
    [anon_sym_GT_EQ] = ACTIONS(1684),
    [anon_sym_BANG_EQ] = ACTIONS(1684),
    [anon_sym_LT_LT] = ACTIONS(1684),
    [anon_sym_GT_GT] = ACTIONS(1684),
    [anon_sym_AMP] = ACTIONS(1684),
    [anon_sym_CARET] = ACTIONS(1684),
    [anon_sym_PIPE] = ACTIONS(1686),
  },
  [2177] = {
    [sym__unquoted_identifier] = ACTIONS(1596),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1596),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1596),
    [aux_sym_keyword_replace_token1] = ACTIONS(1596),
    [aux_sym__keyword_alter_token1] = ACTIONS(1596),
    [aux_sym__keyword_from_token1] = ACTIONS(1596),
    [aux_sym__keyword_delete_token1] = ACTIONS(1596),
    [aux_sym__keyword_begin_token1] = ACTIONS(1596),
    [aux_sym__keyword_end_token1] = ACTIONS(1596),
    [aux_sym__keyword_between_token1] = ACTIONS(1596),
    [aux_sym__keyword_when_token1] = ACTIONS(1596),
    [aux_sym__keyword_else_token1] = ACTIONS(1596),
    [aux_sym__keyword_is_token1] = ACTIONS(1596),
    [aux_sym__keyword_in_token1] = ACTIONS(1596),
    [aux_sym__keyword_and_token1] = ACTIONS(1596),
    [aux_sym__keyword_like_token1] = ACTIONS(1596),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1596),
    [aux_sym__keyword_as_token1] = ACTIONS(1596),
    [aux_sym__keyword_window_token1] = ACTIONS(1596),
    [aux_sym__keyword_date_token1] = ACTIONS(1596),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1596),
    [aux_sym__keyword_time_token1] = ACTIONS(1596),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1596),
    [aux_sym__keyword_for_token1] = ACTIONS(1596),
    [anon_sym_SEMI] = ACTIONS(1594),
    [aux_sym_declare_statement_token1] = ACTIONS(1596),
    [anon_sym_COMMA] = ACTIONS(1594),
    [aux_sym_set_statement_token1] = ACTIONS(1596),
    [anon_sym_LPAREN] = ACTIONS(1594),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1596),
    [aux_sym_return_satement_token1] = ACTIONS(1596),
    [aux_sym_call_statement_token1] = ACTIONS(1596),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1596),
    [aux_sym_if_statement_token1] = ACTIONS(1596),
    [aux_sym_loop_statement_token1] = ACTIONS(1596),
    [aux_sym_repeat_statement_token1] = ACTIONS(1596),
    [aux_sym_while_statement_token1] = ACTIONS(1596),
    [aux_sym_break_statement_token1] = ACTIONS(1596),
    [aux_sym_leave_statement_token1] = ACTIONS(1596),
    [aux_sym_continue_statement_token1] = ACTIONS(1596),
    [aux_sym_iterate_statement_token1] = ACTIONS(1596),
    [aux_sym_raise_statement_token1] = ACTIONS(1596),
    [anon_sym_EQ] = ACTIONS(1594),
    [aux_sym_assert_statement_token1] = ACTIONS(1596),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1596),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1596),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1596),
    [anon_sym_LT] = ACTIONS(1596),
    [anon_sym_GT] = ACTIONS(1596),
    [aux_sym_set_operation_token1] = ACTIONS(1596),
    [aux_sym_set_operation_token3] = ACTIONS(1596),
    [aux_sym_set_operation_token4] = ACTIONS(1596),
    [aux_sym_select_token1] = ACTIONS(1596),
    [aux_sym_having_clause_token1] = ACTIONS(1596),
    [aux_sym_qualify_clause_token1] = ACTIONS(1596),
    [aux_sym_limit_clause_token1] = ACTIONS(1596),
    [aux_sym_group_by_clause_token1] = ACTIONS(1596),
    [aux_sym_order_by_clause_token1] = ACTIONS(1596),
    [aux_sym_where_clause_token1] = ACTIONS(1596),
    [aux_sym_insert_statement_token1] = ACTIONS(1596),
    [aux_sym_truncate_statement_token1] = ACTIONS(1596),
    [aux_sym_update_statement_token1] = ACTIONS(1596),
    [aux_sym_merge_statement_token1] = ACTIONS(1596),
    [aux_sym_grant_statement_token1] = ACTIONS(1596),
    [aux_sym_revoke_statement_token1] = ACTIONS(1596),
    [aux_sym_export_data_statement_token1] = ACTIONS(1596),
    [aux_sym_load_data_statement_token1] = ACTIONS(1596),
    [anon_sym_LBRACK] = ACTIONS(1594),
    [sym__quoted_identifier] = ACTIONS(1594),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1594),
    [anon_sym_PLUS] = ACTIONS(1594),
    [anon_sym_DASH] = ACTIONS(1596),
    [anon_sym_STAR] = ACTIONS(1594),
    [anon_sym_SLASH] = ACTIONS(1596),
    [anon_sym_PIPE_PIPE] = ACTIONS(1594),
    [anon_sym_LT_EQ] = ACTIONS(1594),
    [anon_sym_LT_GT] = ACTIONS(1594),
    [anon_sym_GT_EQ] = ACTIONS(1594),
    [anon_sym_BANG_EQ] = ACTIONS(1594),
    [anon_sym_LT_LT] = ACTIONS(1594),
    [anon_sym_GT_GT] = ACTIONS(1594),
    [anon_sym_AMP] = ACTIONS(1594),
    [anon_sym_CARET] = ACTIONS(1594),
    [anon_sym_PIPE] = ACTIONS(1596),
  },
  [2178] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2179] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2180] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2181] = {
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_from_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2182] = {
    [sym__unquoted_identifier] = ACTIONS(1690),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1690),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1690),
    [aux_sym_keyword_replace_token1] = ACTIONS(1690),
    [aux_sym__keyword_alter_token1] = ACTIONS(1690),
    [aux_sym__keyword_from_token1] = ACTIONS(1690),
    [aux_sym__keyword_delete_token1] = ACTIONS(1690),
    [aux_sym__keyword_begin_token1] = ACTIONS(1690),
    [aux_sym__keyword_end_token1] = ACTIONS(1690),
    [aux_sym__keyword_between_token1] = ACTIONS(1690),
    [aux_sym__keyword_when_token1] = ACTIONS(1690),
    [aux_sym__keyword_else_token1] = ACTIONS(1690),
    [aux_sym__keyword_is_token1] = ACTIONS(1690),
    [aux_sym__keyword_in_token1] = ACTIONS(1690),
    [aux_sym__keyword_and_token1] = ACTIONS(1690),
    [aux_sym__keyword_like_token1] = ACTIONS(1690),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1690),
    [aux_sym__keyword_as_token1] = ACTIONS(1690),
    [aux_sym__keyword_window_token1] = ACTIONS(1690),
    [aux_sym__keyword_date_token1] = ACTIONS(1690),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1690),
    [aux_sym__keyword_time_token1] = ACTIONS(1690),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1690),
    [aux_sym__keyword_for_token1] = ACTIONS(1690),
    [anon_sym_SEMI] = ACTIONS(1688),
    [aux_sym_declare_statement_token1] = ACTIONS(1690),
    [anon_sym_COMMA] = ACTIONS(1688),
    [aux_sym_set_statement_token1] = ACTIONS(1690),
    [anon_sym_LPAREN] = ACTIONS(1688),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1690),
    [aux_sym_return_satement_token1] = ACTIONS(1690),
    [aux_sym_call_statement_token1] = ACTIONS(1690),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1690),
    [aux_sym_if_statement_token1] = ACTIONS(1690),
    [aux_sym_loop_statement_token1] = ACTIONS(1690),
    [aux_sym_repeat_statement_token1] = ACTIONS(1690),
    [aux_sym_while_statement_token1] = ACTIONS(1690),
    [aux_sym_break_statement_token1] = ACTIONS(1690),
    [aux_sym_leave_statement_token1] = ACTIONS(1690),
    [aux_sym_continue_statement_token1] = ACTIONS(1690),
    [aux_sym_iterate_statement_token1] = ACTIONS(1690),
    [aux_sym_raise_statement_token1] = ACTIONS(1690),
    [anon_sym_EQ] = ACTIONS(1688),
    [aux_sym_assert_statement_token1] = ACTIONS(1690),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1690),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1690),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1690),
    [anon_sym_LT] = ACTIONS(1690),
    [anon_sym_GT] = ACTIONS(1690),
    [aux_sym_set_operation_token1] = ACTIONS(1690),
    [aux_sym_set_operation_token3] = ACTIONS(1690),
    [aux_sym_set_operation_token4] = ACTIONS(1690),
    [aux_sym_select_token1] = ACTIONS(1690),
    [aux_sym_having_clause_token1] = ACTIONS(1690),
    [aux_sym_qualify_clause_token1] = ACTIONS(1690),
    [aux_sym_limit_clause_token1] = ACTIONS(1690),
    [aux_sym_group_by_clause_token1] = ACTIONS(1690),
    [aux_sym_order_by_clause_token1] = ACTIONS(1690),
    [aux_sym_where_clause_token1] = ACTIONS(1690),
    [aux_sym_insert_statement_token1] = ACTIONS(1690),
    [aux_sym_truncate_statement_token1] = ACTIONS(1690),
    [aux_sym_update_statement_token1] = ACTIONS(1690),
    [aux_sym_merge_statement_token1] = ACTIONS(1690),
    [aux_sym_grant_statement_token1] = ACTIONS(1690),
    [aux_sym_revoke_statement_token1] = ACTIONS(1690),
    [aux_sym_export_data_statement_token1] = ACTIONS(1690),
    [aux_sym_load_data_statement_token1] = ACTIONS(1690),
    [anon_sym_LBRACK] = ACTIONS(1688),
    [sym__quoted_identifier] = ACTIONS(1688),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1688),
    [anon_sym_PLUS] = ACTIONS(1688),
    [anon_sym_DASH] = ACTIONS(1690),
    [anon_sym_STAR] = ACTIONS(1688),
    [anon_sym_SLASH] = ACTIONS(1690),
    [anon_sym_PIPE_PIPE] = ACTIONS(1688),
    [anon_sym_LT_EQ] = ACTIONS(1688),
    [anon_sym_LT_GT] = ACTIONS(1688),
    [anon_sym_GT_EQ] = ACTIONS(1688),
    [anon_sym_BANG_EQ] = ACTIONS(1688),
    [anon_sym_LT_LT] = ACTIONS(1688),
    [anon_sym_GT_GT] = ACTIONS(1688),
    [anon_sym_AMP] = ACTIONS(1688),
    [anon_sym_CARET] = ACTIONS(1688),
    [anon_sym_PIPE] = ACTIONS(1690),
  },
  [2183] = {
    [sym__unquoted_identifier] = ACTIONS(1604),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1604),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1604),
    [aux_sym_keyword_replace_token1] = ACTIONS(1604),
    [aux_sym__keyword_alter_token1] = ACTIONS(1604),
    [aux_sym__keyword_from_token1] = ACTIONS(1604),
    [aux_sym__keyword_delete_token1] = ACTIONS(1604),
    [aux_sym__keyword_begin_token1] = ACTIONS(1604),
    [aux_sym__keyword_end_token1] = ACTIONS(1604),
    [aux_sym__keyword_between_token1] = ACTIONS(1604),
    [aux_sym__keyword_when_token1] = ACTIONS(1604),
    [aux_sym__keyword_else_token1] = ACTIONS(1604),
    [aux_sym__keyword_is_token1] = ACTIONS(1604),
    [aux_sym__keyword_in_token1] = ACTIONS(1604),
    [aux_sym__keyword_and_token1] = ACTIONS(1604),
    [aux_sym__keyword_like_token1] = ACTIONS(1604),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1604),
    [aux_sym__keyword_as_token1] = ACTIONS(1604),
    [aux_sym__keyword_window_token1] = ACTIONS(1604),
    [aux_sym__keyword_date_token1] = ACTIONS(1604),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1604),
    [aux_sym__keyword_time_token1] = ACTIONS(1604),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1604),
    [aux_sym__keyword_for_token1] = ACTIONS(1604),
    [anon_sym_SEMI] = ACTIONS(1602),
    [aux_sym_declare_statement_token1] = ACTIONS(1604),
    [anon_sym_COMMA] = ACTIONS(1602),
    [aux_sym_set_statement_token1] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(1602),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1604),
    [aux_sym_return_satement_token1] = ACTIONS(1604),
    [aux_sym_call_statement_token1] = ACTIONS(1604),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1604),
    [aux_sym_if_statement_token1] = ACTIONS(1604),
    [aux_sym_loop_statement_token1] = ACTIONS(1604),
    [aux_sym_repeat_statement_token1] = ACTIONS(1604),
    [aux_sym_while_statement_token1] = ACTIONS(1604),
    [aux_sym_break_statement_token1] = ACTIONS(1604),
    [aux_sym_leave_statement_token1] = ACTIONS(1604),
    [aux_sym_continue_statement_token1] = ACTIONS(1604),
    [aux_sym_iterate_statement_token1] = ACTIONS(1604),
    [aux_sym_raise_statement_token1] = ACTIONS(1604),
    [anon_sym_EQ] = ACTIONS(1602),
    [aux_sym_assert_statement_token1] = ACTIONS(1604),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1604),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1604),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1604),
    [anon_sym_LT] = ACTIONS(1604),
    [anon_sym_GT] = ACTIONS(1604),
    [aux_sym_set_operation_token1] = ACTIONS(1604),
    [aux_sym_set_operation_token3] = ACTIONS(1604),
    [aux_sym_set_operation_token4] = ACTIONS(1604),
    [aux_sym_select_token1] = ACTIONS(1604),
    [aux_sym_having_clause_token1] = ACTIONS(1604),
    [aux_sym_qualify_clause_token1] = ACTIONS(1604),
    [aux_sym_limit_clause_token1] = ACTIONS(1604),
    [aux_sym_group_by_clause_token1] = ACTIONS(1604),
    [aux_sym_order_by_clause_token1] = ACTIONS(1604),
    [aux_sym_where_clause_token1] = ACTIONS(1604),
    [aux_sym_insert_statement_token1] = ACTIONS(1604),
    [aux_sym_truncate_statement_token1] = ACTIONS(1604),
    [aux_sym_update_statement_token1] = ACTIONS(1604),
    [aux_sym_merge_statement_token1] = ACTIONS(1604),
    [aux_sym_grant_statement_token1] = ACTIONS(1604),
    [aux_sym_revoke_statement_token1] = ACTIONS(1604),
    [aux_sym_export_data_statement_token1] = ACTIONS(1604),
    [aux_sym_load_data_statement_token1] = ACTIONS(1604),
    [anon_sym_LBRACK] = ACTIONS(1602),
    [sym__quoted_identifier] = ACTIONS(1602),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1602),
    [anon_sym_PLUS] = ACTIONS(1602),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_STAR] = ACTIONS(1602),
    [anon_sym_SLASH] = ACTIONS(1604),
    [anon_sym_PIPE_PIPE] = ACTIONS(1602),
    [anon_sym_LT_EQ] = ACTIONS(1602),
    [anon_sym_LT_GT] = ACTIONS(1602),
    [anon_sym_GT_EQ] = ACTIONS(1602),
    [anon_sym_BANG_EQ] = ACTIONS(1602),
    [anon_sym_LT_LT] = ACTIONS(1602),
    [anon_sym_GT_GT] = ACTIONS(1602),
    [anon_sym_AMP] = ACTIONS(1602),
    [anon_sym_CARET] = ACTIONS(1602),
    [anon_sym_PIPE] = ACTIONS(1604),
  },
  [2184] = {
    [sym__unquoted_identifier] = ACTIONS(1608),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1608),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1608),
    [aux_sym_keyword_replace_token1] = ACTIONS(1608),
    [aux_sym__keyword_alter_token1] = ACTIONS(1608),
    [aux_sym__keyword_from_token1] = ACTIONS(1608),
    [aux_sym__keyword_delete_token1] = ACTIONS(1608),
    [aux_sym__keyword_begin_token1] = ACTIONS(1608),
    [aux_sym__keyword_end_token1] = ACTIONS(1608),
    [aux_sym__keyword_between_token1] = ACTIONS(1608),
    [aux_sym__keyword_when_token1] = ACTIONS(1608),
    [aux_sym__keyword_else_token1] = ACTIONS(1608),
    [aux_sym__keyword_is_token1] = ACTIONS(1608),
    [aux_sym__keyword_in_token1] = ACTIONS(1608),
    [aux_sym__keyword_and_token1] = ACTIONS(1608),
    [aux_sym__keyword_like_token1] = ACTIONS(1608),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1608),
    [aux_sym__keyword_as_token1] = ACTIONS(1608),
    [aux_sym__keyword_window_token1] = ACTIONS(1608),
    [aux_sym__keyword_date_token1] = ACTIONS(1608),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1608),
    [aux_sym__keyword_time_token1] = ACTIONS(1608),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1608),
    [aux_sym__keyword_for_token1] = ACTIONS(1608),
    [anon_sym_SEMI] = ACTIONS(1606),
    [aux_sym_declare_statement_token1] = ACTIONS(1608),
    [anon_sym_COMMA] = ACTIONS(1606),
    [aux_sym_set_statement_token1] = ACTIONS(1608),
    [anon_sym_LPAREN] = ACTIONS(1606),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1608),
    [aux_sym_return_satement_token1] = ACTIONS(1608),
    [aux_sym_call_statement_token1] = ACTIONS(1608),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1608),
    [aux_sym_if_statement_token1] = ACTIONS(1608),
    [aux_sym_loop_statement_token1] = ACTIONS(1608),
    [aux_sym_repeat_statement_token1] = ACTIONS(1608),
    [aux_sym_while_statement_token1] = ACTIONS(1608),
    [aux_sym_break_statement_token1] = ACTIONS(1608),
    [aux_sym_leave_statement_token1] = ACTIONS(1608),
    [aux_sym_continue_statement_token1] = ACTIONS(1608),
    [aux_sym_iterate_statement_token1] = ACTIONS(1608),
    [aux_sym_raise_statement_token1] = ACTIONS(1608),
    [anon_sym_EQ] = ACTIONS(1606),
    [aux_sym_assert_statement_token1] = ACTIONS(1608),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1608),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1608),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1608),
    [anon_sym_LT] = ACTIONS(1608),
    [anon_sym_GT] = ACTIONS(1608),
    [aux_sym_set_operation_token1] = ACTIONS(1608),
    [aux_sym_set_operation_token3] = ACTIONS(1608),
    [aux_sym_set_operation_token4] = ACTIONS(1608),
    [aux_sym_select_token1] = ACTIONS(1608),
    [aux_sym_having_clause_token1] = ACTIONS(1608),
    [aux_sym_qualify_clause_token1] = ACTIONS(1608),
    [aux_sym_limit_clause_token1] = ACTIONS(1608),
    [aux_sym_group_by_clause_token1] = ACTIONS(1608),
    [aux_sym_order_by_clause_token1] = ACTIONS(1608),
    [aux_sym_where_clause_token1] = ACTIONS(1608),
    [aux_sym_insert_statement_token1] = ACTIONS(1608),
    [aux_sym_truncate_statement_token1] = ACTIONS(1608),
    [aux_sym_update_statement_token1] = ACTIONS(1608),
    [aux_sym_merge_statement_token1] = ACTIONS(1608),
    [aux_sym_grant_statement_token1] = ACTIONS(1608),
    [aux_sym_revoke_statement_token1] = ACTIONS(1608),
    [aux_sym_export_data_statement_token1] = ACTIONS(1608),
    [aux_sym_load_data_statement_token1] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(1606),
    [sym__quoted_identifier] = ACTIONS(1606),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1606),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_STAR] = ACTIONS(1606),
    [anon_sym_SLASH] = ACTIONS(1608),
    [anon_sym_PIPE_PIPE] = ACTIONS(1606),
    [anon_sym_LT_EQ] = ACTIONS(1606),
    [anon_sym_LT_GT] = ACTIONS(1606),
    [anon_sym_GT_EQ] = ACTIONS(1606),
    [anon_sym_BANG_EQ] = ACTIONS(1606),
    [anon_sym_LT_LT] = ACTIONS(1606),
    [anon_sym_GT_GT] = ACTIONS(1606),
    [anon_sym_AMP] = ACTIONS(1606),
    [anon_sym_CARET] = ACTIONS(1606),
    [anon_sym_PIPE] = ACTIONS(1608),
  },
  [2185] = {
    [sym__unquoted_identifier] = ACTIONS(1612),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1612),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1612),
    [aux_sym_keyword_replace_token1] = ACTIONS(1612),
    [aux_sym__keyword_alter_token1] = ACTIONS(1612),
    [aux_sym__keyword_from_token1] = ACTIONS(1612),
    [aux_sym__keyword_delete_token1] = ACTIONS(1612),
    [aux_sym__keyword_begin_token1] = ACTIONS(1612),
    [aux_sym__keyword_end_token1] = ACTIONS(1612),
    [aux_sym__keyword_between_token1] = ACTIONS(1612),
    [aux_sym__keyword_when_token1] = ACTIONS(1612),
    [aux_sym__keyword_else_token1] = ACTIONS(1612),
    [aux_sym__keyword_is_token1] = ACTIONS(1612),
    [aux_sym__keyword_in_token1] = ACTIONS(1612),
    [aux_sym__keyword_and_token1] = ACTIONS(1612),
    [aux_sym__keyword_like_token1] = ACTIONS(1612),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1612),
    [aux_sym__keyword_as_token1] = ACTIONS(1612),
    [aux_sym__keyword_window_token1] = ACTIONS(1612),
    [aux_sym__keyword_date_token1] = ACTIONS(1612),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1612),
    [aux_sym__keyword_time_token1] = ACTIONS(1612),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1612),
    [aux_sym__keyword_for_token1] = ACTIONS(1612),
    [anon_sym_SEMI] = ACTIONS(1610),
    [aux_sym_declare_statement_token1] = ACTIONS(1612),
    [anon_sym_COMMA] = ACTIONS(1610),
    [aux_sym_set_statement_token1] = ACTIONS(1612),
    [anon_sym_LPAREN] = ACTIONS(1610),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1612),
    [aux_sym_return_satement_token1] = ACTIONS(1612),
    [aux_sym_call_statement_token1] = ACTIONS(1612),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1612),
    [aux_sym_if_statement_token1] = ACTIONS(1612),
    [aux_sym_loop_statement_token1] = ACTIONS(1612),
    [aux_sym_repeat_statement_token1] = ACTIONS(1612),
    [aux_sym_while_statement_token1] = ACTIONS(1612),
    [aux_sym_break_statement_token1] = ACTIONS(1612),
    [aux_sym_leave_statement_token1] = ACTIONS(1612),
    [aux_sym_continue_statement_token1] = ACTIONS(1612),
    [aux_sym_iterate_statement_token1] = ACTIONS(1612),
    [aux_sym_raise_statement_token1] = ACTIONS(1612),
    [anon_sym_EQ] = ACTIONS(1610),
    [aux_sym_assert_statement_token1] = ACTIONS(1612),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1612),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1612),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1612),
    [anon_sym_LT] = ACTIONS(1612),
    [anon_sym_GT] = ACTIONS(1612),
    [aux_sym_set_operation_token1] = ACTIONS(1612),
    [aux_sym_set_operation_token3] = ACTIONS(1612),
    [aux_sym_set_operation_token4] = ACTIONS(1612),
    [aux_sym_select_token1] = ACTIONS(1612),
    [aux_sym_having_clause_token1] = ACTIONS(1612),
    [aux_sym_qualify_clause_token1] = ACTIONS(1612),
    [aux_sym_limit_clause_token1] = ACTIONS(1612),
    [aux_sym_group_by_clause_token1] = ACTIONS(1612),
    [aux_sym_order_by_clause_token1] = ACTIONS(1612),
    [aux_sym_where_clause_token1] = ACTIONS(1612),
    [aux_sym_insert_statement_token1] = ACTIONS(1612),
    [aux_sym_truncate_statement_token1] = ACTIONS(1612),
    [aux_sym_update_statement_token1] = ACTIONS(1612),
    [aux_sym_merge_statement_token1] = ACTIONS(1612),
    [aux_sym_grant_statement_token1] = ACTIONS(1612),
    [aux_sym_revoke_statement_token1] = ACTIONS(1612),
    [aux_sym_export_data_statement_token1] = ACTIONS(1612),
    [aux_sym_load_data_statement_token1] = ACTIONS(1612),
    [anon_sym_LBRACK] = ACTIONS(1610),
    [sym__quoted_identifier] = ACTIONS(1610),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1610),
    [anon_sym_PLUS] = ACTIONS(1610),
    [anon_sym_DASH] = ACTIONS(1612),
    [anon_sym_STAR] = ACTIONS(1610),
    [anon_sym_SLASH] = ACTIONS(1612),
    [anon_sym_PIPE_PIPE] = ACTIONS(1610),
    [anon_sym_LT_EQ] = ACTIONS(1610),
    [anon_sym_LT_GT] = ACTIONS(1610),
    [anon_sym_GT_EQ] = ACTIONS(1610),
    [anon_sym_BANG_EQ] = ACTIONS(1610),
    [anon_sym_LT_LT] = ACTIONS(1610),
    [anon_sym_GT_GT] = ACTIONS(1610),
    [anon_sym_AMP] = ACTIONS(1610),
    [anon_sym_CARET] = ACTIONS(1610),
    [anon_sym_PIPE] = ACTIONS(1612),
  },
  [2186] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2187] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2188] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2189] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2190] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2191] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2192] = {
    [sym__unquoted_identifier] = ACTIONS(1396),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1396),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1396),
    [aux_sym_keyword_replace_token1] = ACTIONS(1396),
    [aux_sym__keyword_alter_token1] = ACTIONS(1396),
    [aux_sym__keyword_from_token1] = ACTIONS(1396),
    [aux_sym__keyword_delete_token1] = ACTIONS(1396),
    [aux_sym__keyword_begin_token1] = ACTIONS(1396),
    [aux_sym__keyword_end_token1] = ACTIONS(1396),
    [aux_sym__keyword_between_token1] = ACTIONS(1396),
    [aux_sym__keyword_when_token1] = ACTIONS(1396),
    [aux_sym__keyword_else_token1] = ACTIONS(1396),
    [aux_sym__keyword_is_token1] = ACTIONS(1396),
    [aux_sym__keyword_in_token1] = ACTIONS(1396),
    [aux_sym__keyword_and_token1] = ACTIONS(1396),
    [aux_sym__keyword_like_token1] = ACTIONS(1396),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1396),
    [aux_sym__keyword_as_token1] = ACTIONS(1396),
    [aux_sym__keyword_window_token1] = ACTIONS(1396),
    [aux_sym__keyword_date_token1] = ACTIONS(1396),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1396),
    [aux_sym__keyword_time_token1] = ACTIONS(1396),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1396),
    [aux_sym__keyword_for_token1] = ACTIONS(1396),
    [anon_sym_SEMI] = ACTIONS(1394),
    [aux_sym_declare_statement_token1] = ACTIONS(1396),
    [anon_sym_COMMA] = ACTIONS(1394),
    [aux_sym_set_statement_token1] = ACTIONS(1396),
    [anon_sym_LPAREN] = ACTIONS(1394),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1396),
    [aux_sym_return_satement_token1] = ACTIONS(1396),
    [aux_sym_call_statement_token1] = ACTIONS(1396),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1396),
    [aux_sym_if_statement_token1] = ACTIONS(1396),
    [aux_sym_loop_statement_token1] = ACTIONS(1396),
    [aux_sym_repeat_statement_token1] = ACTIONS(1396),
    [aux_sym_while_statement_token1] = ACTIONS(1396),
    [aux_sym_break_statement_token1] = ACTIONS(1396),
    [aux_sym_leave_statement_token1] = ACTIONS(1396),
    [aux_sym_continue_statement_token1] = ACTIONS(1396),
    [aux_sym_iterate_statement_token1] = ACTIONS(1396),
    [aux_sym_raise_statement_token1] = ACTIONS(1396),
    [anon_sym_EQ] = ACTIONS(1394),
    [aux_sym_assert_statement_token1] = ACTIONS(1396),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1396),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1396),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1396),
    [anon_sym_LT] = ACTIONS(1396),
    [anon_sym_GT] = ACTIONS(1396),
    [aux_sym_set_operation_token1] = ACTIONS(1396),
    [aux_sym_set_operation_token3] = ACTIONS(1396),
    [aux_sym_set_operation_token4] = ACTIONS(1396),
    [aux_sym_select_token1] = ACTIONS(1396),
    [aux_sym_having_clause_token1] = ACTIONS(1396),
    [aux_sym_qualify_clause_token1] = ACTIONS(1396),
    [aux_sym_limit_clause_token1] = ACTIONS(1396),
    [aux_sym_group_by_clause_token1] = ACTIONS(1396),
    [aux_sym_order_by_clause_token1] = ACTIONS(1396),
    [aux_sym_where_clause_token1] = ACTIONS(1396),
    [aux_sym_insert_statement_token1] = ACTIONS(1396),
    [aux_sym_truncate_statement_token1] = ACTIONS(1396),
    [aux_sym_update_statement_token1] = ACTIONS(1396),
    [aux_sym_merge_statement_token1] = ACTIONS(1396),
    [aux_sym_grant_statement_token1] = ACTIONS(1396),
    [aux_sym_revoke_statement_token1] = ACTIONS(1396),
    [aux_sym_export_data_statement_token1] = ACTIONS(1396),
    [aux_sym_load_data_statement_token1] = ACTIONS(1396),
    [anon_sym_LBRACK] = ACTIONS(1394),
    [sym__quoted_identifier] = ACTIONS(1394),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_STAR] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(1396),
    [anon_sym_PIPE_PIPE] = ACTIONS(1394),
    [anon_sym_LT_EQ] = ACTIONS(1394),
    [anon_sym_LT_GT] = ACTIONS(1394),
    [anon_sym_GT_EQ] = ACTIONS(1394),
    [anon_sym_BANG_EQ] = ACTIONS(1394),
    [anon_sym_LT_LT] = ACTIONS(1394),
    [anon_sym_GT_GT] = ACTIONS(1394),
    [anon_sym_AMP] = ACTIONS(1394),
    [anon_sym_CARET] = ACTIONS(1394),
    [anon_sym_PIPE] = ACTIONS(1396),
  },
  [2193] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2194] = {
    [sym__unquoted_identifier] = ACTIONS(1616),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1616),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1616),
    [aux_sym_keyword_replace_token1] = ACTIONS(1616),
    [aux_sym__keyword_alter_token1] = ACTIONS(1616),
    [aux_sym__keyword_from_token1] = ACTIONS(1616),
    [aux_sym__keyword_delete_token1] = ACTIONS(1616),
    [aux_sym__keyword_begin_token1] = ACTIONS(1616),
    [aux_sym__keyword_end_token1] = ACTIONS(1616),
    [aux_sym__keyword_between_token1] = ACTIONS(1616),
    [aux_sym__keyword_when_token1] = ACTIONS(1616),
    [aux_sym__keyword_else_token1] = ACTIONS(1616),
    [aux_sym__keyword_is_token1] = ACTIONS(1616),
    [aux_sym__keyword_in_token1] = ACTIONS(1616),
    [aux_sym__keyword_and_token1] = ACTIONS(1616),
    [aux_sym__keyword_like_token1] = ACTIONS(1616),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1616),
    [aux_sym__keyword_as_token1] = ACTIONS(1616),
    [aux_sym__keyword_window_token1] = ACTIONS(1616),
    [aux_sym__keyword_date_token1] = ACTIONS(1616),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1616),
    [aux_sym__keyword_time_token1] = ACTIONS(1616),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1616),
    [aux_sym__keyword_for_token1] = ACTIONS(1616),
    [anon_sym_SEMI] = ACTIONS(1614),
    [aux_sym_declare_statement_token1] = ACTIONS(1616),
    [anon_sym_COMMA] = ACTIONS(1614),
    [aux_sym_set_statement_token1] = ACTIONS(1616),
    [anon_sym_LPAREN] = ACTIONS(1614),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1616),
    [aux_sym_return_satement_token1] = ACTIONS(1616),
    [aux_sym_call_statement_token1] = ACTIONS(1616),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1616),
    [aux_sym_if_statement_token1] = ACTIONS(1616),
    [aux_sym_loop_statement_token1] = ACTIONS(1616),
    [aux_sym_repeat_statement_token1] = ACTIONS(1616),
    [aux_sym_while_statement_token1] = ACTIONS(1616),
    [aux_sym_break_statement_token1] = ACTIONS(1616),
    [aux_sym_leave_statement_token1] = ACTIONS(1616),
    [aux_sym_continue_statement_token1] = ACTIONS(1616),
    [aux_sym_iterate_statement_token1] = ACTIONS(1616),
    [aux_sym_raise_statement_token1] = ACTIONS(1616),
    [anon_sym_EQ] = ACTIONS(1614),
    [aux_sym_assert_statement_token1] = ACTIONS(1616),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1616),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1616),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1616),
    [anon_sym_LT] = ACTIONS(1616),
    [anon_sym_GT] = ACTIONS(1616),
    [aux_sym_set_operation_token1] = ACTIONS(1616),
    [aux_sym_set_operation_token3] = ACTIONS(1616),
    [aux_sym_set_operation_token4] = ACTIONS(1616),
    [aux_sym_select_token1] = ACTIONS(1616),
    [aux_sym_having_clause_token1] = ACTIONS(1616),
    [aux_sym_qualify_clause_token1] = ACTIONS(1616),
    [aux_sym_limit_clause_token1] = ACTIONS(1616),
    [aux_sym_group_by_clause_token1] = ACTIONS(1616),
    [aux_sym_order_by_clause_token1] = ACTIONS(1616),
    [aux_sym_where_clause_token1] = ACTIONS(1616),
    [aux_sym_insert_statement_token1] = ACTIONS(1616),
    [aux_sym_truncate_statement_token1] = ACTIONS(1616),
    [aux_sym_update_statement_token1] = ACTIONS(1616),
    [aux_sym_merge_statement_token1] = ACTIONS(1616),
    [aux_sym_grant_statement_token1] = ACTIONS(1616),
    [aux_sym_revoke_statement_token1] = ACTIONS(1616),
    [aux_sym_export_data_statement_token1] = ACTIONS(1616),
    [aux_sym_load_data_statement_token1] = ACTIONS(1616),
    [anon_sym_LBRACK] = ACTIONS(1614),
    [sym__quoted_identifier] = ACTIONS(1614),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1614),
    [anon_sym_PLUS] = ACTIONS(1614),
    [anon_sym_DASH] = ACTIONS(1616),
    [anon_sym_STAR] = ACTIONS(1614),
    [anon_sym_SLASH] = ACTIONS(1616),
    [anon_sym_PIPE_PIPE] = ACTIONS(1614),
    [anon_sym_LT_EQ] = ACTIONS(1614),
    [anon_sym_LT_GT] = ACTIONS(1614),
    [anon_sym_GT_EQ] = ACTIONS(1614),
    [anon_sym_BANG_EQ] = ACTIONS(1614),
    [anon_sym_LT_LT] = ACTIONS(1614),
    [anon_sym_GT_GT] = ACTIONS(1614),
    [anon_sym_AMP] = ACTIONS(1614),
    [anon_sym_CARET] = ACTIONS(1614),
    [anon_sym_PIPE] = ACTIONS(1616),
  },
  [2195] = {
    [sym__unquoted_identifier] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1400),
    [aux_sym_keyword_replace_token1] = ACTIONS(1400),
    [aux_sym__keyword_alter_token1] = ACTIONS(1400),
    [aux_sym__keyword_from_token1] = ACTIONS(1400),
    [aux_sym__keyword_delete_token1] = ACTIONS(1400),
    [aux_sym__keyword_begin_token1] = ACTIONS(1400),
    [aux_sym__keyword_end_token1] = ACTIONS(1400),
    [aux_sym__keyword_between_token1] = ACTIONS(1400),
    [aux_sym__keyword_when_token1] = ACTIONS(1400),
    [aux_sym__keyword_else_token1] = ACTIONS(1400),
    [aux_sym__keyword_is_token1] = ACTIONS(1400),
    [aux_sym__keyword_in_token1] = ACTIONS(1400),
    [aux_sym__keyword_and_token1] = ACTIONS(1400),
    [aux_sym__keyword_like_token1] = ACTIONS(1400),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1400),
    [aux_sym__keyword_as_token1] = ACTIONS(1400),
    [aux_sym__keyword_window_token1] = ACTIONS(1400),
    [aux_sym__keyword_date_token1] = ACTIONS(1400),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1400),
    [aux_sym__keyword_time_token1] = ACTIONS(1400),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1400),
    [aux_sym__keyword_for_token1] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1400),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1400),
    [aux_sym_return_satement_token1] = ACTIONS(1400),
    [aux_sym_call_statement_token1] = ACTIONS(1400),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1400),
    [aux_sym_if_statement_token1] = ACTIONS(1400),
    [aux_sym_loop_statement_token1] = ACTIONS(1400),
    [aux_sym_repeat_statement_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token1] = ACTIONS(1400),
    [aux_sym_break_statement_token1] = ACTIONS(1400),
    [aux_sym_leave_statement_token1] = ACTIONS(1400),
    [aux_sym_continue_statement_token1] = ACTIONS(1400),
    [aux_sym_iterate_statement_token1] = ACTIONS(1400),
    [aux_sym_raise_statement_token1] = ACTIONS(1400),
    [anon_sym_EQ] = ACTIONS(1398),
    [aux_sym_assert_statement_token1] = ACTIONS(1400),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1400),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [aux_sym_set_operation_token1] = ACTIONS(1400),
    [aux_sym_set_operation_token3] = ACTIONS(1400),
    [aux_sym_set_operation_token4] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1400),
    [aux_sym_having_clause_token1] = ACTIONS(1400),
    [aux_sym_qualify_clause_token1] = ACTIONS(1400),
    [aux_sym_limit_clause_token1] = ACTIONS(1400),
    [aux_sym_group_by_clause_token1] = ACTIONS(1400),
    [aux_sym_order_by_clause_token1] = ACTIONS(1400),
    [aux_sym_where_clause_token1] = ACTIONS(1400),
    [aux_sym_insert_statement_token1] = ACTIONS(1400),
    [aux_sym_truncate_statement_token1] = ACTIONS(1400),
    [aux_sym_update_statement_token1] = ACTIONS(1400),
    [aux_sym_merge_statement_token1] = ACTIONS(1400),
    [aux_sym_grant_statement_token1] = ACTIONS(1400),
    [aux_sym_revoke_statement_token1] = ACTIONS(1400),
    [aux_sym_export_data_statement_token1] = ACTIONS(1400),
    [aux_sym_load_data_statement_token1] = ACTIONS(1400),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym__quoted_identifier] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_LT_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
  },
  [2196] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2197] = {
    [sym__unquoted_identifier] = ACTIONS(1408),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1408),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1408),
    [aux_sym_keyword_replace_token1] = ACTIONS(1408),
    [aux_sym__keyword_alter_token1] = ACTIONS(1408),
    [aux_sym__keyword_from_token1] = ACTIONS(1408),
    [aux_sym__keyword_delete_token1] = ACTIONS(1408),
    [aux_sym__keyword_begin_token1] = ACTIONS(1408),
    [aux_sym__keyword_end_token1] = ACTIONS(1408),
    [aux_sym__keyword_between_token1] = ACTIONS(1408),
    [aux_sym__keyword_when_token1] = ACTIONS(1408),
    [aux_sym__keyword_else_token1] = ACTIONS(1408),
    [aux_sym__keyword_is_token1] = ACTIONS(1408),
    [aux_sym__keyword_in_token1] = ACTIONS(1408),
    [aux_sym__keyword_and_token1] = ACTIONS(1408),
    [aux_sym__keyword_like_token1] = ACTIONS(1408),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1408),
    [aux_sym__keyword_as_token1] = ACTIONS(1408),
    [aux_sym__keyword_window_token1] = ACTIONS(1408),
    [aux_sym__keyword_date_token1] = ACTIONS(1408),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1408),
    [aux_sym__keyword_time_token1] = ACTIONS(1408),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1408),
    [aux_sym__keyword_for_token1] = ACTIONS(1408),
    [anon_sym_SEMI] = ACTIONS(1406),
    [aux_sym_declare_statement_token1] = ACTIONS(1408),
    [anon_sym_COMMA] = ACTIONS(1406),
    [aux_sym_set_statement_token1] = ACTIONS(1408),
    [anon_sym_LPAREN] = ACTIONS(1406),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1408),
    [aux_sym_return_satement_token1] = ACTIONS(1408),
    [aux_sym_call_statement_token1] = ACTIONS(1408),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1408),
    [aux_sym_if_statement_token1] = ACTIONS(1408),
    [aux_sym_loop_statement_token1] = ACTIONS(1408),
    [aux_sym_repeat_statement_token1] = ACTIONS(1408),
    [aux_sym_while_statement_token1] = ACTIONS(1408),
    [aux_sym_break_statement_token1] = ACTIONS(1408),
    [aux_sym_leave_statement_token1] = ACTIONS(1408),
    [aux_sym_continue_statement_token1] = ACTIONS(1408),
    [aux_sym_iterate_statement_token1] = ACTIONS(1408),
    [aux_sym_raise_statement_token1] = ACTIONS(1408),
    [anon_sym_EQ] = ACTIONS(1406),
    [aux_sym_assert_statement_token1] = ACTIONS(1408),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1408),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1408),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1408),
    [anon_sym_LT] = ACTIONS(1408),
    [anon_sym_GT] = ACTIONS(1408),
    [aux_sym_set_operation_token1] = ACTIONS(1408),
    [aux_sym_set_operation_token3] = ACTIONS(1408),
    [aux_sym_set_operation_token4] = ACTIONS(1408),
    [aux_sym_select_token1] = ACTIONS(1408),
    [aux_sym_having_clause_token1] = ACTIONS(1408),
    [aux_sym_qualify_clause_token1] = ACTIONS(1408),
    [aux_sym_limit_clause_token1] = ACTIONS(1408),
    [aux_sym_group_by_clause_token1] = ACTIONS(1408),
    [aux_sym_order_by_clause_token1] = ACTIONS(1408),
    [aux_sym_where_clause_token1] = ACTIONS(1408),
    [aux_sym_insert_statement_token1] = ACTIONS(1408),
    [aux_sym_truncate_statement_token1] = ACTIONS(1408),
    [aux_sym_update_statement_token1] = ACTIONS(1408),
    [aux_sym_merge_statement_token1] = ACTIONS(1408),
    [aux_sym_grant_statement_token1] = ACTIONS(1408),
    [aux_sym_revoke_statement_token1] = ACTIONS(1408),
    [aux_sym_export_data_statement_token1] = ACTIONS(1408),
    [aux_sym_load_data_statement_token1] = ACTIONS(1408),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym__quoted_identifier] = ACTIONS(1406),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_DASH] = ACTIONS(1408),
    [anon_sym_STAR] = ACTIONS(1406),
    [anon_sym_SLASH] = ACTIONS(1408),
    [anon_sym_PIPE_PIPE] = ACTIONS(1406),
    [anon_sym_LT_EQ] = ACTIONS(1406),
    [anon_sym_LT_GT] = ACTIONS(1406),
    [anon_sym_GT_EQ] = ACTIONS(1406),
    [anon_sym_BANG_EQ] = ACTIONS(1406),
    [anon_sym_LT_LT] = ACTIONS(1406),
    [anon_sym_GT_GT] = ACTIONS(1406),
    [anon_sym_AMP] = ACTIONS(1406),
    [anon_sym_CARET] = ACTIONS(1406),
    [anon_sym_PIPE] = ACTIONS(1408),
  },
  [2198] = {
    [sym__unquoted_identifier] = ACTIONS(1412),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1412),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1412),
    [aux_sym_keyword_replace_token1] = ACTIONS(1412),
    [aux_sym__keyword_alter_token1] = ACTIONS(1412),
    [aux_sym__keyword_from_token1] = ACTIONS(1412),
    [aux_sym__keyword_delete_token1] = ACTIONS(1412),
    [aux_sym__keyword_begin_token1] = ACTIONS(1412),
    [aux_sym__keyword_end_token1] = ACTIONS(1412),
    [aux_sym__keyword_between_token1] = ACTIONS(1412),
    [aux_sym__keyword_when_token1] = ACTIONS(1412),
    [aux_sym__keyword_else_token1] = ACTIONS(1412),
    [aux_sym__keyword_is_token1] = ACTIONS(1412),
    [aux_sym__keyword_in_token1] = ACTIONS(1412),
    [aux_sym__keyword_and_token1] = ACTIONS(1412),
    [aux_sym__keyword_like_token1] = ACTIONS(1412),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1412),
    [aux_sym__keyword_as_token1] = ACTIONS(1412),
    [aux_sym__keyword_window_token1] = ACTIONS(1412),
    [aux_sym__keyword_date_token1] = ACTIONS(1412),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1412),
    [aux_sym__keyword_time_token1] = ACTIONS(1412),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1412),
    [aux_sym__keyword_for_token1] = ACTIONS(1412),
    [anon_sym_SEMI] = ACTIONS(1410),
    [aux_sym_declare_statement_token1] = ACTIONS(1412),
    [anon_sym_COMMA] = ACTIONS(1410),
    [aux_sym_set_statement_token1] = ACTIONS(1412),
    [anon_sym_LPAREN] = ACTIONS(1410),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1412),
    [aux_sym_return_satement_token1] = ACTIONS(1412),
    [aux_sym_call_statement_token1] = ACTIONS(1412),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1412),
    [aux_sym_if_statement_token1] = ACTIONS(1412),
    [aux_sym_loop_statement_token1] = ACTIONS(1412),
    [aux_sym_repeat_statement_token1] = ACTIONS(1412),
    [aux_sym_while_statement_token1] = ACTIONS(1412),
    [aux_sym_break_statement_token1] = ACTIONS(1412),
    [aux_sym_leave_statement_token1] = ACTIONS(1412),
    [aux_sym_continue_statement_token1] = ACTIONS(1412),
    [aux_sym_iterate_statement_token1] = ACTIONS(1412),
    [aux_sym_raise_statement_token1] = ACTIONS(1412),
    [anon_sym_EQ] = ACTIONS(1410),
    [aux_sym_assert_statement_token1] = ACTIONS(1412),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1412),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1412),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1412),
    [anon_sym_LT] = ACTIONS(1412),
    [anon_sym_GT] = ACTIONS(1412),
    [aux_sym_set_operation_token1] = ACTIONS(1412),
    [aux_sym_set_operation_token3] = ACTIONS(1412),
    [aux_sym_set_operation_token4] = ACTIONS(1412),
    [aux_sym_select_token1] = ACTIONS(1412),
    [aux_sym_having_clause_token1] = ACTIONS(1412),
    [aux_sym_qualify_clause_token1] = ACTIONS(1412),
    [aux_sym_limit_clause_token1] = ACTIONS(1412),
    [aux_sym_group_by_clause_token1] = ACTIONS(1412),
    [aux_sym_order_by_clause_token1] = ACTIONS(1412),
    [aux_sym_where_clause_token1] = ACTIONS(1412),
    [aux_sym_insert_statement_token1] = ACTIONS(1412),
    [aux_sym_truncate_statement_token1] = ACTIONS(1412),
    [aux_sym_update_statement_token1] = ACTIONS(1412),
    [aux_sym_merge_statement_token1] = ACTIONS(1412),
    [aux_sym_grant_statement_token1] = ACTIONS(1412),
    [aux_sym_revoke_statement_token1] = ACTIONS(1412),
    [aux_sym_export_data_statement_token1] = ACTIONS(1412),
    [aux_sym_load_data_statement_token1] = ACTIONS(1412),
    [anon_sym_LBRACK] = ACTIONS(1410),
    [sym__quoted_identifier] = ACTIONS(1410),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_STAR] = ACTIONS(1410),
    [anon_sym_SLASH] = ACTIONS(1412),
    [anon_sym_PIPE_PIPE] = ACTIONS(1410),
    [anon_sym_LT_EQ] = ACTIONS(1410),
    [anon_sym_LT_GT] = ACTIONS(1410),
    [anon_sym_GT_EQ] = ACTIONS(1410),
    [anon_sym_BANG_EQ] = ACTIONS(1410),
    [anon_sym_LT_LT] = ACTIONS(1410),
    [anon_sym_GT_GT] = ACTIONS(1410),
    [anon_sym_AMP] = ACTIONS(1410),
    [anon_sym_CARET] = ACTIONS(1410),
    [anon_sym_PIPE] = ACTIONS(1412),
  },
  [2199] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2200] = {
    [sym__keyword_between] = STATE(1278),
    [sym__keyword_is] = STATE(12039),
    [sym__keyword_in] = STATE(1632),
    [sym__keyword_not] = STATE(13074),
    [sym__keyword_and] = STATE(1642),
    [sym__keyword_or] = STATE(1644),
    [sym__keyword_like] = STATE(14280),
    [sym__direction_keywords] = STATE(5515),
    [sym__nulls_preference] = STATE(5934),
    [sym_like_operator] = STATE(16074),
    [sym_quantitve_like_operator] = STATE(16078),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(2786),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(2744),
    [aux_sym__keyword_alter_token1] = ACTIONS(2786),
    [aux_sym__keyword_delete_token1] = ACTIONS(2786),
    [aux_sym__keyword_begin_token1] = ACTIONS(2786),
    [aux_sym__keyword_end_token1] = ACTIONS(2786),
    [aux_sym__keyword_between_token1] = ACTIONS(2746),
    [aux_sym__keyword_when_token1] = ACTIONS(2786),
    [aux_sym__keyword_else_token1] = ACTIONS(2788),
    [aux_sym__keyword_is_token1] = ACTIONS(2748),
    [aux_sym__keyword_in_token1] = ACTIONS(2750),
    [aux_sym__keyword_and_token1] = ACTIONS(2752),
    [aux_sym__keyword_like_token1] = ACTIONS(1007),
    [aux_sym__keyword_repeat_token1] = ACTIONS(2786),
    [aux_sym__keyword_for_token1] = ACTIONS(2786),
    [anon_sym_SEMI] = ACTIONS(2786),
    [aux_sym_declare_statement_token1] = ACTIONS(2786),
    [anon_sym_COMMA] = ACTIONS(2786),
    [aux_sym_set_statement_token1] = ACTIONS(2786),
    [anon_sym_LPAREN] = ACTIONS(2786),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(2786),
    [aux_sym_return_satement_token1] = ACTIONS(2786),
    [aux_sym_call_statement_token1] = ACTIONS(2786),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(2786),
    [aux_sym_if_statement_token1] = ACTIONS(2786),
    [aux_sym_loop_statement_token1] = ACTIONS(2786),
    [aux_sym_repeat_statement_token1] = ACTIONS(2786),
    [aux_sym_while_statement_token1] = ACTIONS(2786),
    [aux_sym_break_statement_token1] = ACTIONS(2786),
    [aux_sym_leave_statement_token1] = ACTIONS(2786),
    [aux_sym_continue_statement_token1] = ACTIONS(2786),
    [aux_sym_iterate_statement_token1] = ACTIONS(2786),
    [aux_sym_raise_statement_token1] = ACTIONS(2786),
    [anon_sym_EQ] = ACTIONS(2756),
    [aux_sym_assert_statement_token1] = ACTIONS(2786),
    [aux_sym_create_schema_statement_token1] = ACTIONS(2786),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(2786),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2786),
    [anon_sym_LT] = ACTIONS(2750),
    [anon_sym_GT] = ACTIONS(2750),
    [aux_sym_set_operation_token1] = ACTIONS(2786),
    [aux_sym_set_operation_token3] = ACTIONS(2786),
    [aux_sym_set_operation_token4] = ACTIONS(2788),
    [aux_sym_select_token1] = ACTIONS(2786),
    [aux_sym_limit_clause_token1] = ACTIONS(2786),
    [aux_sym__direction_keywords_token1] = ACTIONS(2698),
    [aux_sym__direction_keywords_token2] = ACTIONS(2698),
    [aux_sym__nulls_preference_token1] = ACTIONS(2700),
    [aux_sym_insert_statement_token1] = ACTIONS(2786),
    [aux_sym_truncate_statement_token1] = ACTIONS(2786),
    [aux_sym_update_statement_token1] = ACTIONS(2786),
    [aux_sym_merge_statement_token1] = ACTIONS(2786),
    [aux_sym_grant_statement_token1] = ACTIONS(2786),
    [aux_sym_revoke_statement_token1] = ACTIONS(2786),
    [aux_sym_export_data_statement_token1] = ACTIONS(2786),
    [aux_sym_load_data_statement_token1] = ACTIONS(2786),
    [anon_sym_LBRACK] = ACTIONS(2758),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(2760),
    [anon_sym_PLUS] = ACTIONS(2762),
    [anon_sym_DASH] = ACTIONS(2764),
    [anon_sym_STAR] = ACTIONS(2766),
    [anon_sym_SLASH] = ACTIONS(2768),
    [anon_sym_PIPE_PIPE] = ACTIONS(2766),
    [anon_sym_LT_EQ] = ACTIONS(2756),
    [anon_sym_LT_GT] = ACTIONS(2756),
    [anon_sym_GT_EQ] = ACTIONS(2756),
    [anon_sym_BANG_EQ] = ACTIONS(2756),
    [anon_sym_LT_LT] = ACTIONS(2770),
    [anon_sym_GT_GT] = ACTIONS(2770),
    [anon_sym_AMP] = ACTIONS(2772),
    [anon_sym_CARET] = ACTIONS(2774),
    [anon_sym_PIPE] = ACTIONS(2776),
  },
  [2201] = {
    [sym__unquoted_identifier] = ACTIONS(1416),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1416),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1416),
    [aux_sym_keyword_replace_token1] = ACTIONS(1416),
    [aux_sym__keyword_alter_token1] = ACTIONS(1416),
    [aux_sym__keyword_from_token1] = ACTIONS(1416),
    [aux_sym__keyword_delete_token1] = ACTIONS(1416),
    [aux_sym__keyword_begin_token1] = ACTIONS(1416),
    [aux_sym__keyword_end_token1] = ACTIONS(1416),
    [aux_sym__keyword_between_token1] = ACTIONS(1416),
    [aux_sym__keyword_when_token1] = ACTIONS(1416),
    [aux_sym__keyword_else_token1] = ACTIONS(1416),
    [aux_sym__keyword_is_token1] = ACTIONS(1416),
    [aux_sym__keyword_in_token1] = ACTIONS(1416),
    [aux_sym__keyword_and_token1] = ACTIONS(1416),
    [aux_sym__keyword_like_token1] = ACTIONS(1416),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1416),
    [aux_sym__keyword_as_token1] = ACTIONS(1416),
    [aux_sym__keyword_window_token1] = ACTIONS(1416),
    [aux_sym__keyword_date_token1] = ACTIONS(1416),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1416),
    [aux_sym__keyword_time_token1] = ACTIONS(1416),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1416),
    [aux_sym__keyword_for_token1] = ACTIONS(1416),
    [anon_sym_SEMI] = ACTIONS(1414),
    [aux_sym_declare_statement_token1] = ACTIONS(1416),
    [anon_sym_COMMA] = ACTIONS(1414),
    [aux_sym_set_statement_token1] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1416),
    [aux_sym_return_satement_token1] = ACTIONS(1416),
    [aux_sym_call_statement_token1] = ACTIONS(1416),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1416),
    [aux_sym_if_statement_token1] = ACTIONS(1416),
    [aux_sym_loop_statement_token1] = ACTIONS(1416),
    [aux_sym_repeat_statement_token1] = ACTIONS(1416),
    [aux_sym_while_statement_token1] = ACTIONS(1416),
    [aux_sym_break_statement_token1] = ACTIONS(1416),
    [aux_sym_leave_statement_token1] = ACTIONS(1416),
    [aux_sym_continue_statement_token1] = ACTIONS(1416),
    [aux_sym_iterate_statement_token1] = ACTIONS(1416),
    [aux_sym_raise_statement_token1] = ACTIONS(1416),
    [anon_sym_EQ] = ACTIONS(1414),
    [aux_sym_assert_statement_token1] = ACTIONS(1416),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1416),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1416),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1416),
    [anon_sym_LT] = ACTIONS(1416),
    [anon_sym_GT] = ACTIONS(1416),
    [aux_sym_set_operation_token1] = ACTIONS(1416),
    [aux_sym_set_operation_token3] = ACTIONS(1416),
    [aux_sym_set_operation_token4] = ACTIONS(1416),
    [aux_sym_select_token1] = ACTIONS(1416),
    [aux_sym_having_clause_token1] = ACTIONS(1416),
    [aux_sym_qualify_clause_token1] = ACTIONS(1416),
    [aux_sym_limit_clause_token1] = ACTIONS(1416),
    [aux_sym_group_by_clause_token1] = ACTIONS(1416),
    [aux_sym_order_by_clause_token1] = ACTIONS(1416),
    [aux_sym_where_clause_token1] = ACTIONS(1416),
    [aux_sym_insert_statement_token1] = ACTIONS(1416),
    [aux_sym_truncate_statement_token1] = ACTIONS(1416),
    [aux_sym_update_statement_token1] = ACTIONS(1416),
    [aux_sym_merge_statement_token1] = ACTIONS(1416),
    [aux_sym_grant_statement_token1] = ACTIONS(1416),
    [aux_sym_revoke_statement_token1] = ACTIONS(1416),
    [aux_sym_export_data_statement_token1] = ACTIONS(1416),
    [aux_sym_load_data_statement_token1] = ACTIONS(1416),
    [anon_sym_LBRACK] = ACTIONS(1414),
    [sym__quoted_identifier] = ACTIONS(1414),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_SLASH] = ACTIONS(1416),
    [anon_sym_PIPE_PIPE] = ACTIONS(1414),
    [anon_sym_LT_EQ] = ACTIONS(1414),
    [anon_sym_LT_GT] = ACTIONS(1414),
    [anon_sym_GT_EQ] = ACTIONS(1414),
    [anon_sym_BANG_EQ] = ACTIONS(1414),
    [anon_sym_LT_LT] = ACTIONS(1414),
    [anon_sym_GT_GT] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_CARET] = ACTIONS(1414),
    [anon_sym_PIPE] = ACTIONS(1416),
  },
  [2202] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2203] = {
    [sym__unquoted_identifier] = ACTIONS(1852),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1852),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1852),
    [aux_sym_keyword_replace_token1] = ACTIONS(1852),
    [aux_sym__keyword_alter_token1] = ACTIONS(1852),
    [aux_sym__keyword_from_token1] = ACTIONS(1852),
    [aux_sym__keyword_delete_token1] = ACTIONS(1852),
    [aux_sym__keyword_begin_token1] = ACTIONS(1852),
    [aux_sym__keyword_end_token1] = ACTIONS(1852),
    [aux_sym__keyword_between_token1] = ACTIONS(1852),
    [aux_sym__keyword_when_token1] = ACTIONS(1852),
    [aux_sym__keyword_else_token1] = ACTIONS(1852),
    [aux_sym__keyword_is_token1] = ACTIONS(1852),
    [aux_sym__keyword_in_token1] = ACTIONS(1852),
    [aux_sym__keyword_and_token1] = ACTIONS(1852),
    [aux_sym__keyword_like_token1] = ACTIONS(1852),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1852),
    [aux_sym__keyword_as_token1] = ACTIONS(1852),
    [aux_sym__keyword_window_token1] = ACTIONS(1852),
    [aux_sym__keyword_date_token1] = ACTIONS(1852),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1852),
    [aux_sym__keyword_time_token1] = ACTIONS(1852),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1852),
    [aux_sym__keyword_for_token1] = ACTIONS(1852),
    [anon_sym_SEMI] = ACTIONS(1850),
    [aux_sym_declare_statement_token1] = ACTIONS(1852),
    [anon_sym_COMMA] = ACTIONS(1850),
    [aux_sym_set_statement_token1] = ACTIONS(1852),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1852),
    [aux_sym_return_satement_token1] = ACTIONS(1852),
    [aux_sym_call_statement_token1] = ACTIONS(1852),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1852),
    [aux_sym_if_statement_token1] = ACTIONS(1852),
    [aux_sym_loop_statement_token1] = ACTIONS(1852),
    [aux_sym_repeat_statement_token1] = ACTIONS(1852),
    [aux_sym_while_statement_token1] = ACTIONS(1852),
    [aux_sym_break_statement_token1] = ACTIONS(1852),
    [aux_sym_leave_statement_token1] = ACTIONS(1852),
    [aux_sym_continue_statement_token1] = ACTIONS(1852),
    [aux_sym_iterate_statement_token1] = ACTIONS(1852),
    [aux_sym_raise_statement_token1] = ACTIONS(1852),
    [anon_sym_EQ] = ACTIONS(1850),
    [aux_sym_assert_statement_token1] = ACTIONS(1852),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1852),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1852),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1852),
    [anon_sym_LT] = ACTIONS(1852),
    [anon_sym_GT] = ACTIONS(1852),
    [aux_sym_set_operation_token1] = ACTIONS(1852),
    [aux_sym_set_operation_token3] = ACTIONS(1852),
    [aux_sym_set_operation_token4] = ACTIONS(1852),
    [aux_sym_select_token1] = ACTIONS(1852),
    [aux_sym_having_clause_token1] = ACTIONS(1852),
    [aux_sym_qualify_clause_token1] = ACTIONS(1852),
    [aux_sym_limit_clause_token1] = ACTIONS(1852),
    [aux_sym_group_by_clause_token1] = ACTIONS(1852),
    [aux_sym_order_by_clause_token1] = ACTIONS(1852),
    [aux_sym_where_clause_token1] = ACTIONS(1852),
    [aux_sym_insert_statement_token1] = ACTIONS(1852),
    [aux_sym_truncate_statement_token1] = ACTIONS(1852),
    [aux_sym_update_statement_token1] = ACTIONS(1852),
    [aux_sym_merge_statement_token1] = ACTIONS(1852),
    [aux_sym_grant_statement_token1] = ACTIONS(1852),
    [aux_sym_revoke_statement_token1] = ACTIONS(1852),
    [aux_sym_export_data_statement_token1] = ACTIONS(1852),
    [aux_sym_load_data_statement_token1] = ACTIONS(1852),
    [anon_sym_LBRACK] = ACTIONS(1850),
    [sym__quoted_identifier] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1850),
    [anon_sym_PLUS] = ACTIONS(1850),
    [anon_sym_DASH] = ACTIONS(1852),
    [anon_sym_STAR] = ACTIONS(1850),
    [anon_sym_SLASH] = ACTIONS(1852),
    [anon_sym_PIPE_PIPE] = ACTIONS(1850),
    [anon_sym_LT_EQ] = ACTIONS(1850),
    [anon_sym_LT_GT] = ACTIONS(1850),
    [anon_sym_GT_EQ] = ACTIONS(1850),
    [anon_sym_BANG_EQ] = ACTIONS(1850),
    [anon_sym_LT_LT] = ACTIONS(1850),
    [anon_sym_GT_GT] = ACTIONS(1850),
    [anon_sym_AMP] = ACTIONS(1850),
    [anon_sym_CARET] = ACTIONS(1850),
    [anon_sym_PIPE] = ACTIONS(1852),
  },
  [2204] = {
    [sym__unquoted_identifier] = ACTIONS(1762),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1762),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1762),
    [aux_sym_keyword_replace_token1] = ACTIONS(1762),
    [aux_sym__keyword_alter_token1] = ACTIONS(1762),
    [aux_sym__keyword_from_token1] = ACTIONS(1762),
    [aux_sym__keyword_delete_token1] = ACTIONS(1762),
    [aux_sym__keyword_begin_token1] = ACTIONS(1762),
    [aux_sym__keyword_end_token1] = ACTIONS(1762),
    [aux_sym__keyword_between_token1] = ACTIONS(1762),
    [aux_sym__keyword_when_token1] = ACTIONS(1762),
    [aux_sym__keyword_else_token1] = ACTIONS(1762),
    [aux_sym__keyword_is_token1] = ACTIONS(1762),
    [aux_sym__keyword_in_token1] = ACTIONS(1762),
    [aux_sym__keyword_and_token1] = ACTIONS(1762),
    [aux_sym__keyword_like_token1] = ACTIONS(1762),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1762),
    [aux_sym__keyword_as_token1] = ACTIONS(1762),
    [aux_sym__keyword_window_token1] = ACTIONS(1762),
    [aux_sym__keyword_date_token1] = ACTIONS(1762),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1762),
    [aux_sym__keyword_time_token1] = ACTIONS(1762),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1762),
    [aux_sym__keyword_for_token1] = ACTIONS(1762),
    [anon_sym_SEMI] = ACTIONS(1760),
    [aux_sym_declare_statement_token1] = ACTIONS(1762),
    [anon_sym_COMMA] = ACTIONS(1760),
    [aux_sym_set_statement_token1] = ACTIONS(1762),
    [anon_sym_LPAREN] = ACTIONS(1760),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1762),
    [aux_sym_return_satement_token1] = ACTIONS(1762),
    [aux_sym_call_statement_token1] = ACTIONS(1762),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1762),
    [aux_sym_if_statement_token1] = ACTIONS(1762),
    [aux_sym_loop_statement_token1] = ACTIONS(1762),
    [aux_sym_repeat_statement_token1] = ACTIONS(1762),
    [aux_sym_while_statement_token1] = ACTIONS(1762),
    [aux_sym_break_statement_token1] = ACTIONS(1762),
    [aux_sym_leave_statement_token1] = ACTIONS(1762),
    [aux_sym_continue_statement_token1] = ACTIONS(1762),
    [aux_sym_iterate_statement_token1] = ACTIONS(1762),
    [aux_sym_raise_statement_token1] = ACTIONS(1762),
    [anon_sym_EQ] = ACTIONS(1760),
    [aux_sym_assert_statement_token1] = ACTIONS(1762),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1762),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1762),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1762),
    [anon_sym_LT] = ACTIONS(1762),
    [anon_sym_GT] = ACTIONS(1762),
    [aux_sym_set_operation_token1] = ACTIONS(1762),
    [aux_sym_set_operation_token3] = ACTIONS(1762),
    [aux_sym_set_operation_token4] = ACTIONS(1762),
    [aux_sym_select_token1] = ACTIONS(1762),
    [aux_sym_having_clause_token1] = ACTIONS(1762),
    [aux_sym_qualify_clause_token1] = ACTIONS(1762),
    [aux_sym_limit_clause_token1] = ACTIONS(1762),
    [aux_sym_group_by_clause_token1] = ACTIONS(1762),
    [aux_sym_order_by_clause_token1] = ACTIONS(1762),
    [aux_sym_where_clause_token1] = ACTIONS(1762),
    [aux_sym_insert_statement_token1] = ACTIONS(1762),
    [aux_sym_truncate_statement_token1] = ACTIONS(1762),
    [aux_sym_update_statement_token1] = ACTIONS(1762),
    [aux_sym_merge_statement_token1] = ACTIONS(1762),
    [aux_sym_grant_statement_token1] = ACTIONS(1762),
    [aux_sym_revoke_statement_token1] = ACTIONS(1762),
    [aux_sym_export_data_statement_token1] = ACTIONS(1762),
    [aux_sym_load_data_statement_token1] = ACTIONS(1762),
    [anon_sym_LBRACK] = ACTIONS(1760),
    [sym__quoted_identifier] = ACTIONS(1760),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1760),
    [anon_sym_PLUS] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1762),
    [anon_sym_STAR] = ACTIONS(1760),
    [anon_sym_SLASH] = ACTIONS(1762),
    [anon_sym_PIPE_PIPE] = ACTIONS(1760),
    [anon_sym_LT_EQ] = ACTIONS(1760),
    [anon_sym_LT_GT] = ACTIONS(1760),
    [anon_sym_GT_EQ] = ACTIONS(1760),
    [anon_sym_BANG_EQ] = ACTIONS(1760),
    [anon_sym_LT_LT] = ACTIONS(1760),
    [anon_sym_GT_GT] = ACTIONS(1760),
    [anon_sym_AMP] = ACTIONS(1760),
    [anon_sym_CARET] = ACTIONS(1760),
    [anon_sym_PIPE] = ACTIONS(1762),
  },
  [2205] = {
    [sym__unquoted_identifier] = ACTIONS(1620),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1620),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1620),
    [aux_sym_keyword_replace_token1] = ACTIONS(1620),
    [aux_sym__keyword_alter_token1] = ACTIONS(1620),
    [aux_sym__keyword_from_token1] = ACTIONS(1620),
    [aux_sym__keyword_delete_token1] = ACTIONS(1620),
    [aux_sym__keyword_begin_token1] = ACTIONS(1620),
    [aux_sym__keyword_end_token1] = ACTIONS(1620),
    [aux_sym__keyword_between_token1] = ACTIONS(1620),
    [aux_sym__keyword_when_token1] = ACTIONS(1620),
    [aux_sym__keyword_else_token1] = ACTIONS(1620),
    [aux_sym__keyword_is_token1] = ACTIONS(1620),
    [aux_sym__keyword_in_token1] = ACTIONS(1620),
    [aux_sym__keyword_and_token1] = ACTIONS(1620),
    [aux_sym__keyword_like_token1] = ACTIONS(1620),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1620),
    [aux_sym__keyword_as_token1] = ACTIONS(1620),
    [aux_sym__keyword_window_token1] = ACTIONS(1620),
    [aux_sym__keyword_date_token1] = ACTIONS(1620),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1620),
    [aux_sym__keyword_time_token1] = ACTIONS(1620),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1620),
    [aux_sym__keyword_for_token1] = ACTIONS(1620),
    [anon_sym_SEMI] = ACTIONS(1618),
    [aux_sym_declare_statement_token1] = ACTIONS(1620),
    [anon_sym_COMMA] = ACTIONS(1618),
    [aux_sym_set_statement_token1] = ACTIONS(1620),
    [anon_sym_LPAREN] = ACTIONS(1618),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1620),
    [aux_sym_return_satement_token1] = ACTIONS(1620),
    [aux_sym_call_statement_token1] = ACTIONS(1620),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1620),
    [aux_sym_if_statement_token1] = ACTIONS(1620),
    [aux_sym_loop_statement_token1] = ACTIONS(1620),
    [aux_sym_repeat_statement_token1] = ACTIONS(1620),
    [aux_sym_while_statement_token1] = ACTIONS(1620),
    [aux_sym_break_statement_token1] = ACTIONS(1620),
    [aux_sym_leave_statement_token1] = ACTIONS(1620),
    [aux_sym_continue_statement_token1] = ACTIONS(1620),
    [aux_sym_iterate_statement_token1] = ACTIONS(1620),
    [aux_sym_raise_statement_token1] = ACTIONS(1620),
    [anon_sym_EQ] = ACTIONS(1618),
    [aux_sym_assert_statement_token1] = ACTIONS(1620),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1620),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1620),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1620),
    [anon_sym_LT] = ACTIONS(1620),
    [anon_sym_GT] = ACTIONS(1620),
    [aux_sym_set_operation_token1] = ACTIONS(1620),
    [aux_sym_set_operation_token3] = ACTIONS(1620),
    [aux_sym_set_operation_token4] = ACTIONS(1620),
    [aux_sym_select_token1] = ACTIONS(1620),
    [aux_sym_having_clause_token1] = ACTIONS(1620),
    [aux_sym_qualify_clause_token1] = ACTIONS(1620),
    [aux_sym_limit_clause_token1] = ACTIONS(1620),
    [aux_sym_group_by_clause_token1] = ACTIONS(1620),
    [aux_sym_order_by_clause_token1] = ACTIONS(1620),
    [aux_sym_where_clause_token1] = ACTIONS(1620),
    [aux_sym_insert_statement_token1] = ACTIONS(1620),
    [aux_sym_truncate_statement_token1] = ACTIONS(1620),
    [aux_sym_update_statement_token1] = ACTIONS(1620),
    [aux_sym_merge_statement_token1] = ACTIONS(1620),
    [aux_sym_grant_statement_token1] = ACTIONS(1620),
    [aux_sym_revoke_statement_token1] = ACTIONS(1620),
    [aux_sym_export_data_statement_token1] = ACTIONS(1620),
    [aux_sym_load_data_statement_token1] = ACTIONS(1620),
    [anon_sym_LBRACK] = ACTIONS(1618),
    [sym__quoted_identifier] = ACTIONS(1618),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1618),
    [anon_sym_PLUS] = ACTIONS(1618),
    [anon_sym_DASH] = ACTIONS(1620),
    [anon_sym_STAR] = ACTIONS(1618),
    [anon_sym_SLASH] = ACTIONS(1620),
    [anon_sym_PIPE_PIPE] = ACTIONS(1618),
    [anon_sym_LT_EQ] = ACTIONS(1618),
    [anon_sym_LT_GT] = ACTIONS(1618),
    [anon_sym_GT_EQ] = ACTIONS(1618),
    [anon_sym_BANG_EQ] = ACTIONS(1618),
    [anon_sym_LT_LT] = ACTIONS(1618),
    [anon_sym_GT_GT] = ACTIONS(1618),
    [anon_sym_AMP] = ACTIONS(1618),
    [anon_sym_CARET] = ACTIONS(1618),
    [anon_sym_PIPE] = ACTIONS(1620),
  },
  [2206] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2207] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2208] = {
    [sym__unquoted_identifier] = ACTIONS(1650),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1650),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1650),
    [aux_sym_keyword_replace_token1] = ACTIONS(1650),
    [aux_sym__keyword_alter_token1] = ACTIONS(1650),
    [aux_sym__keyword_from_token1] = ACTIONS(1650),
    [aux_sym__keyword_delete_token1] = ACTIONS(1650),
    [aux_sym__keyword_begin_token1] = ACTIONS(1650),
    [aux_sym__keyword_end_token1] = ACTIONS(1650),
    [aux_sym__keyword_between_token1] = ACTIONS(1650),
    [aux_sym__keyword_when_token1] = ACTIONS(1650),
    [aux_sym__keyword_else_token1] = ACTIONS(1650),
    [aux_sym__keyword_is_token1] = ACTIONS(1650),
    [aux_sym__keyword_in_token1] = ACTIONS(1650),
    [aux_sym__keyword_and_token1] = ACTIONS(1650),
    [aux_sym__keyword_like_token1] = ACTIONS(1650),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1650),
    [aux_sym__keyword_as_token1] = ACTIONS(1650),
    [aux_sym__keyword_window_token1] = ACTIONS(1650),
    [aux_sym__keyword_date_token1] = ACTIONS(1650),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1650),
    [aux_sym__keyword_time_token1] = ACTIONS(1650),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1650),
    [aux_sym__keyword_for_token1] = ACTIONS(1650),
    [anon_sym_SEMI] = ACTIONS(1648),
    [aux_sym_declare_statement_token1] = ACTIONS(1650),
    [anon_sym_COMMA] = ACTIONS(1648),
    [aux_sym_set_statement_token1] = ACTIONS(1650),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1650),
    [aux_sym_return_satement_token1] = ACTIONS(1650),
    [aux_sym_call_statement_token1] = ACTIONS(1650),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1650),
    [aux_sym_if_statement_token1] = ACTIONS(1650),
    [aux_sym_loop_statement_token1] = ACTIONS(1650),
    [aux_sym_repeat_statement_token1] = ACTIONS(1650),
    [aux_sym_while_statement_token1] = ACTIONS(1650),
    [aux_sym_break_statement_token1] = ACTIONS(1650),
    [aux_sym_leave_statement_token1] = ACTIONS(1650),
    [aux_sym_continue_statement_token1] = ACTIONS(1650),
    [aux_sym_iterate_statement_token1] = ACTIONS(1650),
    [aux_sym_raise_statement_token1] = ACTIONS(1650),
    [anon_sym_EQ] = ACTIONS(1648),
    [aux_sym_assert_statement_token1] = ACTIONS(1650),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1650),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1650),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1650),
    [anon_sym_LT] = ACTIONS(1650),
    [anon_sym_GT] = ACTIONS(1650),
    [aux_sym_set_operation_token1] = ACTIONS(1650),
    [aux_sym_set_operation_token3] = ACTIONS(1650),
    [aux_sym_set_operation_token4] = ACTIONS(1650),
    [aux_sym_select_token1] = ACTIONS(1650),
    [aux_sym_having_clause_token1] = ACTIONS(1650),
    [aux_sym_qualify_clause_token1] = ACTIONS(1650),
    [aux_sym_limit_clause_token1] = ACTIONS(1650),
    [aux_sym_group_by_clause_token1] = ACTIONS(1650),
    [aux_sym_order_by_clause_token1] = ACTIONS(1650),
    [aux_sym_where_clause_token1] = ACTIONS(1650),
    [aux_sym_insert_statement_token1] = ACTIONS(1650),
    [aux_sym_truncate_statement_token1] = ACTIONS(1650),
    [aux_sym_update_statement_token1] = ACTIONS(1650),
    [aux_sym_merge_statement_token1] = ACTIONS(1650),
    [aux_sym_grant_statement_token1] = ACTIONS(1650),
    [aux_sym_revoke_statement_token1] = ACTIONS(1650),
    [aux_sym_export_data_statement_token1] = ACTIONS(1650),
    [aux_sym_load_data_statement_token1] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1648),
    [sym__quoted_identifier] = ACTIONS(1648),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1648),
    [anon_sym_PLUS] = ACTIONS(1648),
    [anon_sym_DASH] = ACTIONS(1650),
    [anon_sym_STAR] = ACTIONS(1648),
    [anon_sym_SLASH] = ACTIONS(1650),
    [anon_sym_PIPE_PIPE] = ACTIONS(1648),
    [anon_sym_LT_EQ] = ACTIONS(1648),
    [anon_sym_LT_GT] = ACTIONS(1648),
    [anon_sym_GT_EQ] = ACTIONS(1648),
    [anon_sym_BANG_EQ] = ACTIONS(1648),
    [anon_sym_LT_LT] = ACTIONS(1648),
    [anon_sym_GT_GT] = ACTIONS(1648),
    [anon_sym_AMP] = ACTIONS(1648),
    [anon_sym_CARET] = ACTIONS(1648),
    [anon_sym_PIPE] = ACTIONS(1650),
  },
  [2209] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2210] = {
    [sym__unquoted_identifier] = ACTIONS(1694),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1694),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1694),
    [aux_sym_keyword_replace_token1] = ACTIONS(1694),
    [aux_sym__keyword_alter_token1] = ACTIONS(1694),
    [aux_sym__keyword_from_token1] = ACTIONS(1694),
    [aux_sym__keyword_delete_token1] = ACTIONS(1694),
    [aux_sym__keyword_begin_token1] = ACTIONS(1694),
    [aux_sym__keyword_end_token1] = ACTIONS(1694),
    [aux_sym__keyword_between_token1] = ACTIONS(1694),
    [aux_sym__keyword_when_token1] = ACTIONS(1694),
    [aux_sym__keyword_else_token1] = ACTIONS(1694),
    [aux_sym__keyword_is_token1] = ACTIONS(1694),
    [aux_sym__keyword_in_token1] = ACTIONS(1694),
    [aux_sym__keyword_and_token1] = ACTIONS(1694),
    [aux_sym__keyword_like_token1] = ACTIONS(1694),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1694),
    [aux_sym__keyword_as_token1] = ACTIONS(1694),
    [aux_sym__keyword_window_token1] = ACTIONS(1694),
    [aux_sym__keyword_date_token1] = ACTIONS(1694),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1694),
    [aux_sym__keyword_time_token1] = ACTIONS(1694),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1694),
    [aux_sym__keyword_for_token1] = ACTIONS(1694),
    [anon_sym_SEMI] = ACTIONS(1692),
    [aux_sym_declare_statement_token1] = ACTIONS(1694),
    [anon_sym_COMMA] = ACTIONS(1692),
    [aux_sym_set_statement_token1] = ACTIONS(1694),
    [anon_sym_LPAREN] = ACTIONS(1692),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1694),
    [aux_sym_return_satement_token1] = ACTIONS(1694),
    [aux_sym_call_statement_token1] = ACTIONS(1694),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1694),
    [aux_sym_if_statement_token1] = ACTIONS(1694),
    [aux_sym_loop_statement_token1] = ACTIONS(1694),
    [aux_sym_repeat_statement_token1] = ACTIONS(1694),
    [aux_sym_while_statement_token1] = ACTIONS(1694),
    [aux_sym_break_statement_token1] = ACTIONS(1694),
    [aux_sym_leave_statement_token1] = ACTIONS(1694),
    [aux_sym_continue_statement_token1] = ACTIONS(1694),
    [aux_sym_iterate_statement_token1] = ACTIONS(1694),
    [aux_sym_raise_statement_token1] = ACTIONS(1694),
    [anon_sym_EQ] = ACTIONS(1692),
    [aux_sym_assert_statement_token1] = ACTIONS(1694),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1694),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1694),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1694),
    [anon_sym_LT] = ACTIONS(1694),
    [anon_sym_GT] = ACTIONS(1694),
    [aux_sym_set_operation_token1] = ACTIONS(1694),
    [aux_sym_set_operation_token3] = ACTIONS(1694),
    [aux_sym_set_operation_token4] = ACTIONS(1694),
    [aux_sym_select_token1] = ACTIONS(1694),
    [aux_sym_having_clause_token1] = ACTIONS(1694),
    [aux_sym_qualify_clause_token1] = ACTIONS(1694),
    [aux_sym_limit_clause_token1] = ACTIONS(1694),
    [aux_sym_group_by_clause_token1] = ACTIONS(1694),
    [aux_sym_order_by_clause_token1] = ACTIONS(1694),
    [aux_sym_where_clause_token1] = ACTIONS(1694),
    [aux_sym_insert_statement_token1] = ACTIONS(1694),
    [aux_sym_truncate_statement_token1] = ACTIONS(1694),
    [aux_sym_update_statement_token1] = ACTIONS(1694),
    [aux_sym_merge_statement_token1] = ACTIONS(1694),
    [aux_sym_grant_statement_token1] = ACTIONS(1694),
    [aux_sym_revoke_statement_token1] = ACTIONS(1694),
    [aux_sym_export_data_statement_token1] = ACTIONS(1694),
    [aux_sym_load_data_statement_token1] = ACTIONS(1694),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [sym__quoted_identifier] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1692),
    [anon_sym_PLUS] = ACTIONS(1692),
    [anon_sym_DASH] = ACTIONS(1694),
    [anon_sym_STAR] = ACTIONS(1692),
    [anon_sym_SLASH] = ACTIONS(1694),
    [anon_sym_PIPE_PIPE] = ACTIONS(1692),
    [anon_sym_LT_EQ] = ACTIONS(1692),
    [anon_sym_LT_GT] = ACTIONS(1692),
    [anon_sym_GT_EQ] = ACTIONS(1692),
    [anon_sym_BANG_EQ] = ACTIONS(1692),
    [anon_sym_LT_LT] = ACTIONS(1692),
    [anon_sym_GT_GT] = ACTIONS(1692),
    [anon_sym_AMP] = ACTIONS(1692),
    [anon_sym_CARET] = ACTIONS(1692),
    [anon_sym_PIPE] = ACTIONS(1694),
  },
  [2211] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2212] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2213] = {
    [sym__unquoted_identifier] = ACTIONS(1758),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1758),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1758),
    [aux_sym_keyword_replace_token1] = ACTIONS(1758),
    [aux_sym__keyword_alter_token1] = ACTIONS(1758),
    [aux_sym__keyword_from_token1] = ACTIONS(1758),
    [aux_sym__keyword_delete_token1] = ACTIONS(1758),
    [aux_sym__keyword_begin_token1] = ACTIONS(1758),
    [aux_sym__keyword_end_token1] = ACTIONS(1758),
    [aux_sym__keyword_between_token1] = ACTIONS(1758),
    [aux_sym__keyword_when_token1] = ACTIONS(1758),
    [aux_sym__keyword_else_token1] = ACTIONS(1758),
    [aux_sym__keyword_is_token1] = ACTIONS(1758),
    [aux_sym__keyword_in_token1] = ACTIONS(1758),
    [aux_sym__keyword_and_token1] = ACTIONS(1758),
    [aux_sym__keyword_like_token1] = ACTIONS(1758),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1758),
    [aux_sym__keyword_as_token1] = ACTIONS(1758),
    [aux_sym__keyword_window_token1] = ACTIONS(1758),
    [aux_sym__keyword_date_token1] = ACTIONS(1758),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1758),
    [aux_sym__keyword_time_token1] = ACTIONS(1758),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1758),
    [aux_sym__keyword_for_token1] = ACTIONS(1758),
    [anon_sym_SEMI] = ACTIONS(1756),
    [aux_sym_declare_statement_token1] = ACTIONS(1758),
    [anon_sym_COMMA] = ACTIONS(1756),
    [aux_sym_set_statement_token1] = ACTIONS(1758),
    [anon_sym_LPAREN] = ACTIONS(1756),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1758),
    [aux_sym_return_satement_token1] = ACTIONS(1758),
    [aux_sym_call_statement_token1] = ACTIONS(1758),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1758),
    [aux_sym_if_statement_token1] = ACTIONS(1758),
    [aux_sym_loop_statement_token1] = ACTIONS(1758),
    [aux_sym_repeat_statement_token1] = ACTIONS(1758),
    [aux_sym_while_statement_token1] = ACTIONS(1758),
    [aux_sym_break_statement_token1] = ACTIONS(1758),
    [aux_sym_leave_statement_token1] = ACTIONS(1758),
    [aux_sym_continue_statement_token1] = ACTIONS(1758),
    [aux_sym_iterate_statement_token1] = ACTIONS(1758),
    [aux_sym_raise_statement_token1] = ACTIONS(1758),
    [anon_sym_EQ] = ACTIONS(1756),
    [aux_sym_assert_statement_token1] = ACTIONS(1758),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1758),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1758),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1758),
    [anon_sym_LT] = ACTIONS(1758),
    [anon_sym_GT] = ACTIONS(1758),
    [aux_sym_set_operation_token1] = ACTIONS(1758),
    [aux_sym_set_operation_token3] = ACTIONS(1758),
    [aux_sym_set_operation_token4] = ACTIONS(1758),
    [aux_sym_select_token1] = ACTIONS(1758),
    [aux_sym_having_clause_token1] = ACTIONS(1758),
    [aux_sym_qualify_clause_token1] = ACTIONS(1758),
    [aux_sym_limit_clause_token1] = ACTIONS(1758),
    [aux_sym_group_by_clause_token1] = ACTIONS(1758),
    [aux_sym_order_by_clause_token1] = ACTIONS(1758),
    [aux_sym_where_clause_token1] = ACTIONS(1758),
    [aux_sym_insert_statement_token1] = ACTIONS(1758),
    [aux_sym_truncate_statement_token1] = ACTIONS(1758),
    [aux_sym_update_statement_token1] = ACTIONS(1758),
    [aux_sym_merge_statement_token1] = ACTIONS(1758),
    [aux_sym_grant_statement_token1] = ACTIONS(1758),
    [aux_sym_revoke_statement_token1] = ACTIONS(1758),
    [aux_sym_export_data_statement_token1] = ACTIONS(1758),
    [aux_sym_load_data_statement_token1] = ACTIONS(1758),
    [anon_sym_LBRACK] = ACTIONS(1756),
    [sym__quoted_identifier] = ACTIONS(1756),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1756),
    [anon_sym_PLUS] = ACTIONS(1756),
    [anon_sym_DASH] = ACTIONS(1758),
    [anon_sym_STAR] = ACTIONS(1756),
    [anon_sym_SLASH] = ACTIONS(1758),
    [anon_sym_PIPE_PIPE] = ACTIONS(1756),
    [anon_sym_LT_EQ] = ACTIONS(1756),
    [anon_sym_LT_GT] = ACTIONS(1756),
    [anon_sym_GT_EQ] = ACTIONS(1756),
    [anon_sym_BANG_EQ] = ACTIONS(1756),
    [anon_sym_LT_LT] = ACTIONS(1756),
    [anon_sym_GT_GT] = ACTIONS(1756),
    [anon_sym_AMP] = ACTIONS(1756),
    [anon_sym_CARET] = ACTIONS(1756),
    [anon_sym_PIPE] = ACTIONS(1758),
  },
  [2214] = {
    [sym__unquoted_identifier] = ACTIONS(1580),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1580),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1580),
    [aux_sym_keyword_replace_token1] = ACTIONS(1580),
    [aux_sym__keyword_alter_token1] = ACTIONS(1580),
    [aux_sym__keyword_from_token1] = ACTIONS(1580),
    [aux_sym__keyword_delete_token1] = ACTIONS(1580),
    [aux_sym__keyword_begin_token1] = ACTIONS(1580),
    [aux_sym__keyword_end_token1] = ACTIONS(1580),
    [aux_sym__keyword_between_token1] = ACTIONS(1580),
    [aux_sym__keyword_when_token1] = ACTIONS(1580),
    [aux_sym__keyword_else_token1] = ACTIONS(1580),
    [aux_sym__keyword_is_token1] = ACTIONS(1580),
    [aux_sym__keyword_in_token1] = ACTIONS(1580),
    [aux_sym__keyword_and_token1] = ACTIONS(1580),
    [aux_sym__keyword_like_token1] = ACTIONS(1580),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1580),
    [aux_sym__keyword_as_token1] = ACTIONS(1580),
    [aux_sym__keyword_window_token1] = ACTIONS(1580),
    [aux_sym__keyword_date_token1] = ACTIONS(1580),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1580),
    [aux_sym__keyword_time_token1] = ACTIONS(1580),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1580),
    [aux_sym__keyword_for_token1] = ACTIONS(1580),
    [anon_sym_SEMI] = ACTIONS(1578),
    [aux_sym_declare_statement_token1] = ACTIONS(1580),
    [anon_sym_COMMA] = ACTIONS(1578),
    [aux_sym_set_statement_token1] = ACTIONS(1580),
    [anon_sym_LPAREN] = ACTIONS(1578),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1580),
    [aux_sym_return_satement_token1] = ACTIONS(1580),
    [aux_sym_call_statement_token1] = ACTIONS(1580),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1580),
    [aux_sym_if_statement_token1] = ACTIONS(1580),
    [aux_sym_loop_statement_token1] = ACTIONS(1580),
    [aux_sym_repeat_statement_token1] = ACTIONS(1580),
    [aux_sym_while_statement_token1] = ACTIONS(1580),
    [aux_sym_break_statement_token1] = ACTIONS(1580),
    [aux_sym_leave_statement_token1] = ACTIONS(1580),
    [aux_sym_continue_statement_token1] = ACTIONS(1580),
    [aux_sym_iterate_statement_token1] = ACTIONS(1580),
    [aux_sym_raise_statement_token1] = ACTIONS(1580),
    [anon_sym_EQ] = ACTIONS(1578),
    [aux_sym_assert_statement_token1] = ACTIONS(1580),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1580),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1580),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1580),
    [anon_sym_LT] = ACTIONS(1580),
    [anon_sym_GT] = ACTIONS(1580),
    [aux_sym_set_operation_token1] = ACTIONS(1580),
    [aux_sym_set_operation_token3] = ACTIONS(1580),
    [aux_sym_set_operation_token4] = ACTIONS(1580),
    [aux_sym_select_token1] = ACTIONS(1580),
    [aux_sym_having_clause_token1] = ACTIONS(1580),
    [aux_sym_qualify_clause_token1] = ACTIONS(1580),
    [aux_sym_limit_clause_token1] = ACTIONS(1580),
    [aux_sym_group_by_clause_token1] = ACTIONS(1580),
    [aux_sym_order_by_clause_token1] = ACTIONS(1580),
    [aux_sym_where_clause_token1] = ACTIONS(1580),
    [aux_sym_insert_statement_token1] = ACTIONS(1580),
    [aux_sym_truncate_statement_token1] = ACTIONS(1580),
    [aux_sym_update_statement_token1] = ACTIONS(1580),
    [aux_sym_merge_statement_token1] = ACTIONS(1580),
    [aux_sym_grant_statement_token1] = ACTIONS(1580),
    [aux_sym_revoke_statement_token1] = ACTIONS(1580),
    [aux_sym_export_data_statement_token1] = ACTIONS(1580),
    [aux_sym_load_data_statement_token1] = ACTIONS(1580),
    [anon_sym_LBRACK] = ACTIONS(1578),
    [sym__quoted_identifier] = ACTIONS(1578),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1578),
    [anon_sym_DASH] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(1578),
    [anon_sym_SLASH] = ACTIONS(1580),
    [anon_sym_PIPE_PIPE] = ACTIONS(1578),
    [anon_sym_LT_EQ] = ACTIONS(1578),
    [anon_sym_LT_GT] = ACTIONS(1578),
    [anon_sym_GT_EQ] = ACTIONS(1578),
    [anon_sym_BANG_EQ] = ACTIONS(1578),
    [anon_sym_LT_LT] = ACTIONS(1578),
    [anon_sym_GT_GT] = ACTIONS(1578),
    [anon_sym_AMP] = ACTIONS(1578),
    [anon_sym_CARET] = ACTIONS(1578),
    [anon_sym_PIPE] = ACTIONS(1580),
  },
  [2215] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2216] = {
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1420),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_from_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_end_token1] = ACTIONS(1420),
    [aux_sym__keyword_between_token1] = ACTIONS(1420),
    [aux_sym__keyword_when_token1] = ACTIONS(1420),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1420),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1420),
    [aux_sym__keyword_like_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_window_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_repeat_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token3] = ACTIONS(1420),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_having_clause_token1] = ACTIONS(1420),
    [aux_sym_qualify_clause_token1] = ACTIONS(1420),
    [aux_sym_limit_clause_token1] = ACTIONS(1420),
    [aux_sym_group_by_clause_token1] = ACTIONS(1420),
    [aux_sym_order_by_clause_token1] = ACTIONS(1420),
    [aux_sym_where_clause_token1] = ACTIONS(1420),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [2217] = {
    [sym__unquoted_identifier] = ACTIONS(1424),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1424),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1424),
    [aux_sym_keyword_replace_token1] = ACTIONS(1424),
    [aux_sym__keyword_alter_token1] = ACTIONS(1424),
    [aux_sym__keyword_from_token1] = ACTIONS(1424),
    [aux_sym__keyword_delete_token1] = ACTIONS(1424),
    [aux_sym__keyword_begin_token1] = ACTIONS(1424),
    [aux_sym__keyword_end_token1] = ACTIONS(1424),
    [aux_sym__keyword_between_token1] = ACTIONS(1424),
    [aux_sym__keyword_when_token1] = ACTIONS(1424),
    [aux_sym__keyword_else_token1] = ACTIONS(1424),
    [aux_sym__keyword_is_token1] = ACTIONS(1424),
    [aux_sym__keyword_in_token1] = ACTIONS(1424),
    [aux_sym__keyword_and_token1] = ACTIONS(1424),
    [aux_sym__keyword_like_token1] = ACTIONS(1424),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1424),
    [aux_sym__keyword_as_token1] = ACTIONS(1424),
    [aux_sym__keyword_window_token1] = ACTIONS(1424),
    [aux_sym__keyword_date_token1] = ACTIONS(1424),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1424),
    [aux_sym__keyword_time_token1] = ACTIONS(1424),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1424),
    [aux_sym__keyword_for_token1] = ACTIONS(1424),
    [anon_sym_SEMI] = ACTIONS(1422),
    [aux_sym_declare_statement_token1] = ACTIONS(1424),
    [anon_sym_COMMA] = ACTIONS(1422),
    [aux_sym_set_statement_token1] = ACTIONS(1424),
    [anon_sym_LPAREN] = ACTIONS(1422),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1424),
    [aux_sym_return_satement_token1] = ACTIONS(1424),
    [aux_sym_call_statement_token1] = ACTIONS(1424),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1424),
    [aux_sym_if_statement_token1] = ACTIONS(1424),
    [aux_sym_loop_statement_token1] = ACTIONS(1424),
    [aux_sym_repeat_statement_token1] = ACTIONS(1424),
    [aux_sym_while_statement_token1] = ACTIONS(1424),
    [aux_sym_break_statement_token1] = ACTIONS(1424),
    [aux_sym_leave_statement_token1] = ACTIONS(1424),
    [aux_sym_continue_statement_token1] = ACTIONS(1424),
    [aux_sym_iterate_statement_token1] = ACTIONS(1424),
    [aux_sym_raise_statement_token1] = ACTIONS(1424),
    [anon_sym_EQ] = ACTIONS(1422),
    [aux_sym_assert_statement_token1] = ACTIONS(1424),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1424),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1424),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1424),
    [anon_sym_LT] = ACTIONS(1424),
    [anon_sym_GT] = ACTIONS(1424),
    [aux_sym_set_operation_token1] = ACTIONS(1424),
    [aux_sym_set_operation_token3] = ACTIONS(1424),
    [aux_sym_set_operation_token4] = ACTIONS(1424),
    [aux_sym_select_token1] = ACTIONS(1424),
    [aux_sym_having_clause_token1] = ACTIONS(1424),
    [aux_sym_qualify_clause_token1] = ACTIONS(1424),
    [aux_sym_limit_clause_token1] = ACTIONS(1424),
    [aux_sym_group_by_clause_token1] = ACTIONS(1424),
    [aux_sym_order_by_clause_token1] = ACTIONS(1424),
    [aux_sym_where_clause_token1] = ACTIONS(1424),
    [aux_sym_insert_statement_token1] = ACTIONS(1424),
    [aux_sym_truncate_statement_token1] = ACTIONS(1424),
    [aux_sym_update_statement_token1] = ACTIONS(1424),
    [aux_sym_merge_statement_token1] = ACTIONS(1424),
    [aux_sym_grant_statement_token1] = ACTIONS(1424),
    [aux_sym_revoke_statement_token1] = ACTIONS(1424),
    [aux_sym_export_data_statement_token1] = ACTIONS(1424),
    [aux_sym_load_data_statement_token1] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1422),
    [sym__quoted_identifier] = ACTIONS(1422),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1424),
    [anon_sym_STAR] = ACTIONS(1422),
    [anon_sym_SLASH] = ACTIONS(1424),
    [anon_sym_PIPE_PIPE] = ACTIONS(1422),
    [anon_sym_LT_EQ] = ACTIONS(1422),
    [anon_sym_LT_GT] = ACTIONS(1422),
    [anon_sym_GT_EQ] = ACTIONS(1422),
    [anon_sym_BANG_EQ] = ACTIONS(1422),
    [anon_sym_LT_LT] = ACTIONS(1422),
    [anon_sym_GT_GT] = ACTIONS(1422),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_CARET] = ACTIONS(1422),
    [anon_sym_PIPE] = ACTIONS(1424),
  },
  [2218] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2219] = {
    [sym__unquoted_identifier] = ACTIONS(1432),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1432),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1432),
    [aux_sym_keyword_replace_token1] = ACTIONS(1432),
    [aux_sym__keyword_alter_token1] = ACTIONS(1432),
    [aux_sym__keyword_from_token1] = ACTIONS(1432),
    [aux_sym__keyword_delete_token1] = ACTIONS(1432),
    [aux_sym__keyword_begin_token1] = ACTIONS(1432),
    [aux_sym__keyword_end_token1] = ACTIONS(1432),
    [aux_sym__keyword_between_token1] = ACTIONS(1432),
    [aux_sym__keyword_when_token1] = ACTIONS(1432),
    [aux_sym__keyword_else_token1] = ACTIONS(1432),
    [aux_sym__keyword_is_token1] = ACTIONS(1432),
    [aux_sym__keyword_in_token1] = ACTIONS(1432),
    [aux_sym__keyword_and_token1] = ACTIONS(1432),
    [aux_sym__keyword_like_token1] = ACTIONS(1432),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1432),
    [aux_sym__keyword_as_token1] = ACTIONS(1432),
    [aux_sym__keyword_window_token1] = ACTIONS(1432),
    [aux_sym__keyword_date_token1] = ACTIONS(1432),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1432),
    [aux_sym__keyword_time_token1] = ACTIONS(1432),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1432),
    [aux_sym__keyword_for_token1] = ACTIONS(1432),
    [anon_sym_SEMI] = ACTIONS(1430),
    [aux_sym_declare_statement_token1] = ACTIONS(1432),
    [anon_sym_COMMA] = ACTIONS(1430),
    [aux_sym_set_statement_token1] = ACTIONS(1432),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1432),
    [aux_sym_return_satement_token1] = ACTIONS(1432),
    [aux_sym_call_statement_token1] = ACTIONS(1432),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1432),
    [aux_sym_if_statement_token1] = ACTIONS(1432),
    [aux_sym_loop_statement_token1] = ACTIONS(1432),
    [aux_sym_repeat_statement_token1] = ACTIONS(1432),
    [aux_sym_while_statement_token1] = ACTIONS(1432),
    [aux_sym_break_statement_token1] = ACTIONS(1432),
    [aux_sym_leave_statement_token1] = ACTIONS(1432),
    [aux_sym_continue_statement_token1] = ACTIONS(1432),
    [aux_sym_iterate_statement_token1] = ACTIONS(1432),
    [aux_sym_raise_statement_token1] = ACTIONS(1432),
    [anon_sym_EQ] = ACTIONS(1430),
    [aux_sym_assert_statement_token1] = ACTIONS(1432),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1432),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1432),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [aux_sym_set_operation_token1] = ACTIONS(1432),
    [aux_sym_set_operation_token3] = ACTIONS(1432),
    [aux_sym_set_operation_token4] = ACTIONS(1432),
    [aux_sym_select_token1] = ACTIONS(1432),
    [aux_sym_having_clause_token1] = ACTIONS(1432),
    [aux_sym_qualify_clause_token1] = ACTIONS(1432),
    [aux_sym_limit_clause_token1] = ACTIONS(1432),
    [aux_sym_group_by_clause_token1] = ACTIONS(1432),
    [aux_sym_order_by_clause_token1] = ACTIONS(1432),
    [aux_sym_where_clause_token1] = ACTIONS(1432),
    [aux_sym_insert_statement_token1] = ACTIONS(1432),
    [aux_sym_truncate_statement_token1] = ACTIONS(1432),
    [aux_sym_update_statement_token1] = ACTIONS(1432),
    [aux_sym_merge_statement_token1] = ACTIONS(1432),
    [aux_sym_grant_statement_token1] = ACTIONS(1432),
    [aux_sym_revoke_statement_token1] = ACTIONS(1432),
    [aux_sym_export_data_statement_token1] = ACTIONS(1432),
    [aux_sym_load_data_statement_token1] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [sym__quoted_identifier] = ACTIONS(1430),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1432),
    [anon_sym_PIPE_PIPE] = ACTIONS(1430),
    [anon_sym_LT_EQ] = ACTIONS(1430),
    [anon_sym_LT_GT] = ACTIONS(1430),
    [anon_sym_GT_EQ] = ACTIONS(1430),
    [anon_sym_BANG_EQ] = ACTIONS(1430),
    [anon_sym_LT_LT] = ACTIONS(1430),
    [anon_sym_GT_GT] = ACTIONS(1430),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_PIPE] = ACTIONS(1432),
  },
  [2220] = {
    [sym__unquoted_identifier] = ACTIONS(1436),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1436),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1436),
    [aux_sym_keyword_replace_token1] = ACTIONS(1436),
    [aux_sym__keyword_alter_token1] = ACTIONS(1436),
    [aux_sym__keyword_from_token1] = ACTIONS(1436),
    [aux_sym__keyword_delete_token1] = ACTIONS(1436),
    [aux_sym__keyword_begin_token1] = ACTIONS(1436),
    [aux_sym__keyword_end_token1] = ACTIONS(1436),
    [aux_sym__keyword_between_token1] = ACTIONS(1436),
    [aux_sym__keyword_when_token1] = ACTIONS(1436),
    [aux_sym__keyword_else_token1] = ACTIONS(1436),
    [aux_sym__keyword_is_token1] = ACTIONS(1436),
    [aux_sym__keyword_in_token1] = ACTIONS(1436),
    [aux_sym__keyword_and_token1] = ACTIONS(1436),
    [aux_sym__keyword_like_token1] = ACTIONS(1436),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1436),
    [aux_sym__keyword_as_token1] = ACTIONS(1436),
    [aux_sym__keyword_window_token1] = ACTIONS(1436),
    [aux_sym__keyword_date_token1] = ACTIONS(1436),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1436),
    [aux_sym__keyword_time_token1] = ACTIONS(1436),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1436),
    [aux_sym__keyword_for_token1] = ACTIONS(1436),
    [anon_sym_SEMI] = ACTIONS(1434),
    [aux_sym_declare_statement_token1] = ACTIONS(1436),
    [anon_sym_COMMA] = ACTIONS(1434),
    [aux_sym_set_statement_token1] = ACTIONS(1436),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1436),
    [aux_sym_return_satement_token1] = ACTIONS(1436),
    [aux_sym_call_statement_token1] = ACTIONS(1436),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1436),
    [aux_sym_if_statement_token1] = ACTIONS(1436),
    [aux_sym_loop_statement_token1] = ACTIONS(1436),
    [aux_sym_repeat_statement_token1] = ACTIONS(1436),
    [aux_sym_while_statement_token1] = ACTIONS(1436),
    [aux_sym_break_statement_token1] = ACTIONS(1436),
    [aux_sym_leave_statement_token1] = ACTIONS(1436),
    [aux_sym_continue_statement_token1] = ACTIONS(1436),
    [aux_sym_iterate_statement_token1] = ACTIONS(1436),
    [aux_sym_raise_statement_token1] = ACTIONS(1436),
    [anon_sym_EQ] = ACTIONS(1434),
    [aux_sym_assert_statement_token1] = ACTIONS(1436),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1436),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1436),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(1436),
    [anon_sym_GT] = ACTIONS(1436),
    [aux_sym_set_operation_token1] = ACTIONS(1436),
    [aux_sym_set_operation_token3] = ACTIONS(1436),
    [aux_sym_set_operation_token4] = ACTIONS(1436),
    [aux_sym_select_token1] = ACTIONS(1436),
    [aux_sym_having_clause_token1] = ACTIONS(1436),
    [aux_sym_qualify_clause_token1] = ACTIONS(1436),
    [aux_sym_limit_clause_token1] = ACTIONS(1436),
    [aux_sym_group_by_clause_token1] = ACTIONS(1436),
    [aux_sym_order_by_clause_token1] = ACTIONS(1436),
    [aux_sym_where_clause_token1] = ACTIONS(1436),
    [aux_sym_insert_statement_token1] = ACTIONS(1436),
    [aux_sym_truncate_statement_token1] = ACTIONS(1436),
    [aux_sym_update_statement_token1] = ACTIONS(1436),
    [aux_sym_merge_statement_token1] = ACTIONS(1436),
    [aux_sym_grant_statement_token1] = ACTIONS(1436),
    [aux_sym_revoke_statement_token1] = ACTIONS(1436),
    [aux_sym_export_data_statement_token1] = ACTIONS(1436),
    [aux_sym_load_data_statement_token1] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [sym__quoted_identifier] = ACTIONS(1434),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_STAR] = ACTIONS(1434),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1434),
    [anon_sym_LT_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1434),
    [anon_sym_BANG_EQ] = ACTIONS(1434),
    [anon_sym_LT_LT] = ACTIONS(1434),
    [anon_sym_GT_GT] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1434),
    [anon_sym_PIPE] = ACTIONS(1436),
  },
  [2221] = {
    [sym__unquoted_identifier] = ACTIONS(1440),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1440),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1440),
    [aux_sym_keyword_replace_token1] = ACTIONS(1440),
    [aux_sym__keyword_alter_token1] = ACTIONS(1440),
    [aux_sym__keyword_from_token1] = ACTIONS(1440),
    [aux_sym__keyword_delete_token1] = ACTIONS(1440),
    [aux_sym__keyword_begin_token1] = ACTIONS(1440),
    [aux_sym__keyword_end_token1] = ACTIONS(1440),
    [aux_sym__keyword_between_token1] = ACTIONS(1440),
    [aux_sym__keyword_when_token1] = ACTIONS(1440),
    [aux_sym__keyword_else_token1] = ACTIONS(1440),
    [aux_sym__keyword_is_token1] = ACTIONS(1440),
    [aux_sym__keyword_in_token1] = ACTIONS(1440),
    [aux_sym__keyword_and_token1] = ACTIONS(1440),
    [aux_sym__keyword_like_token1] = ACTIONS(1440),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1440),
    [aux_sym__keyword_as_token1] = ACTIONS(1440),
    [aux_sym__keyword_window_token1] = ACTIONS(1440),
    [aux_sym__keyword_date_token1] = ACTIONS(1440),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1440),
    [aux_sym__keyword_time_token1] = ACTIONS(1440),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1440),
    [aux_sym__keyword_for_token1] = ACTIONS(1440),
    [anon_sym_SEMI] = ACTIONS(1438),
    [aux_sym_declare_statement_token1] = ACTIONS(1440),
    [anon_sym_COMMA] = ACTIONS(1438),
    [aux_sym_set_statement_token1] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1438),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1440),
    [aux_sym_return_satement_token1] = ACTIONS(1440),
    [aux_sym_call_statement_token1] = ACTIONS(1440),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1440),
    [aux_sym_if_statement_token1] = ACTIONS(1440),
    [aux_sym_loop_statement_token1] = ACTIONS(1440),
    [aux_sym_repeat_statement_token1] = ACTIONS(1440),
    [aux_sym_while_statement_token1] = ACTIONS(1440),
    [aux_sym_break_statement_token1] = ACTIONS(1440),
    [aux_sym_leave_statement_token1] = ACTIONS(1440),
    [aux_sym_continue_statement_token1] = ACTIONS(1440),
    [aux_sym_iterate_statement_token1] = ACTIONS(1440),
    [aux_sym_raise_statement_token1] = ACTIONS(1440),
    [anon_sym_EQ] = ACTIONS(1438),
    [aux_sym_assert_statement_token1] = ACTIONS(1440),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1440),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1440),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1440),
    [anon_sym_LT] = ACTIONS(1440),
    [anon_sym_GT] = ACTIONS(1440),
    [aux_sym_set_operation_token1] = ACTIONS(1440),
    [aux_sym_set_operation_token3] = ACTIONS(1440),
    [aux_sym_set_operation_token4] = ACTIONS(1440),
    [aux_sym_select_token1] = ACTIONS(1440),
    [aux_sym_having_clause_token1] = ACTIONS(1440),
    [aux_sym_qualify_clause_token1] = ACTIONS(1440),
    [aux_sym_limit_clause_token1] = ACTIONS(1440),
    [aux_sym_group_by_clause_token1] = ACTIONS(1440),
    [aux_sym_order_by_clause_token1] = ACTIONS(1440),
    [aux_sym_where_clause_token1] = ACTIONS(1440),
    [aux_sym_insert_statement_token1] = ACTIONS(1440),
    [aux_sym_truncate_statement_token1] = ACTIONS(1440),
    [aux_sym_update_statement_token1] = ACTIONS(1440),
    [aux_sym_merge_statement_token1] = ACTIONS(1440),
    [aux_sym_grant_statement_token1] = ACTIONS(1440),
    [aux_sym_revoke_statement_token1] = ACTIONS(1440),
    [aux_sym_export_data_statement_token1] = ACTIONS(1440),
    [aux_sym_load_data_statement_token1] = ACTIONS(1440),
    [anon_sym_LBRACK] = ACTIONS(1438),
    [sym__quoted_identifier] = ACTIONS(1438),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_STAR] = ACTIONS(1438),
    [anon_sym_SLASH] = ACTIONS(1440),
    [anon_sym_PIPE_PIPE] = ACTIONS(1438),
    [anon_sym_LT_EQ] = ACTIONS(1438),
    [anon_sym_LT_GT] = ACTIONS(1438),
    [anon_sym_GT_EQ] = ACTIONS(1438),
    [anon_sym_BANG_EQ] = ACTIONS(1438),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_AMP] = ACTIONS(1438),
    [anon_sym_CARET] = ACTIONS(1438),
    [anon_sym_PIPE] = ACTIONS(1440),
  },
  [2222] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2223] = {
    [sym__unquoted_identifier] = ACTIONS(1844),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1844),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1844),
    [aux_sym_keyword_replace_token1] = ACTIONS(1844),
    [aux_sym__keyword_alter_token1] = ACTIONS(1844),
    [aux_sym__keyword_from_token1] = ACTIONS(1844),
    [aux_sym__keyword_delete_token1] = ACTIONS(1844),
    [aux_sym__keyword_begin_token1] = ACTIONS(1844),
    [aux_sym__keyword_end_token1] = ACTIONS(1844),
    [aux_sym__keyword_between_token1] = ACTIONS(1844),
    [aux_sym__keyword_when_token1] = ACTIONS(1844),
    [aux_sym__keyword_else_token1] = ACTIONS(1844),
    [aux_sym__keyword_is_token1] = ACTIONS(1844),
    [aux_sym__keyword_in_token1] = ACTIONS(1844),
    [aux_sym__keyword_and_token1] = ACTIONS(1844),
    [aux_sym__keyword_like_token1] = ACTIONS(1844),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1844),
    [aux_sym__keyword_as_token1] = ACTIONS(1844),
    [aux_sym__keyword_window_token1] = ACTIONS(1844),
    [aux_sym__keyword_date_token1] = ACTIONS(1844),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1844),
    [aux_sym__keyword_time_token1] = ACTIONS(1844),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1844),
    [aux_sym__keyword_for_token1] = ACTIONS(1844),
    [anon_sym_SEMI] = ACTIONS(1842),
    [aux_sym_declare_statement_token1] = ACTIONS(1844),
    [anon_sym_COMMA] = ACTIONS(1842),
    [aux_sym_set_statement_token1] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1842),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1844),
    [aux_sym_return_satement_token1] = ACTIONS(1844),
    [aux_sym_call_statement_token1] = ACTIONS(1844),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1844),
    [aux_sym_if_statement_token1] = ACTIONS(1844),
    [aux_sym_loop_statement_token1] = ACTIONS(1844),
    [aux_sym_repeat_statement_token1] = ACTIONS(1844),
    [aux_sym_while_statement_token1] = ACTIONS(1844),
    [aux_sym_break_statement_token1] = ACTIONS(1844),
    [aux_sym_leave_statement_token1] = ACTIONS(1844),
    [aux_sym_continue_statement_token1] = ACTIONS(1844),
    [aux_sym_iterate_statement_token1] = ACTIONS(1844),
    [aux_sym_raise_statement_token1] = ACTIONS(1844),
    [anon_sym_EQ] = ACTIONS(1842),
    [aux_sym_assert_statement_token1] = ACTIONS(1844),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1844),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1844),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1844),
    [anon_sym_LT] = ACTIONS(1844),
    [anon_sym_GT] = ACTIONS(1844),
    [aux_sym_set_operation_token1] = ACTIONS(1844),
    [aux_sym_set_operation_token3] = ACTIONS(1844),
    [aux_sym_set_operation_token4] = ACTIONS(1844),
    [aux_sym_select_token1] = ACTIONS(1844),
    [aux_sym_having_clause_token1] = ACTIONS(1844),
    [aux_sym_qualify_clause_token1] = ACTIONS(1844),
    [aux_sym_limit_clause_token1] = ACTIONS(1844),
    [aux_sym_group_by_clause_token1] = ACTIONS(1844),
    [aux_sym_order_by_clause_token1] = ACTIONS(1844),
    [aux_sym_where_clause_token1] = ACTIONS(1844),
    [aux_sym_insert_statement_token1] = ACTIONS(1844),
    [aux_sym_truncate_statement_token1] = ACTIONS(1844),
    [aux_sym_update_statement_token1] = ACTIONS(1844),
    [aux_sym_merge_statement_token1] = ACTIONS(1844),
    [aux_sym_grant_statement_token1] = ACTIONS(1844),
    [aux_sym_revoke_statement_token1] = ACTIONS(1844),
    [aux_sym_export_data_statement_token1] = ACTIONS(1844),
    [aux_sym_load_data_statement_token1] = ACTIONS(1844),
    [anon_sym_LBRACK] = ACTIONS(1842),
    [sym__quoted_identifier] = ACTIONS(1842),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1842),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1844),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_SLASH] = ACTIONS(1844),
    [anon_sym_PIPE_PIPE] = ACTIONS(1842),
    [anon_sym_LT_EQ] = ACTIONS(1842),
    [anon_sym_LT_GT] = ACTIONS(1842),
    [anon_sym_GT_EQ] = ACTIONS(1842),
    [anon_sym_BANG_EQ] = ACTIONS(1842),
    [anon_sym_LT_LT] = ACTIONS(1842),
    [anon_sym_GT_GT] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym_CARET] = ACTIONS(1842),
    [anon_sym_PIPE] = ACTIONS(1844),
  },
  [2224] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_from_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2225] = {
    [sym__unquoted_identifier] = ACTIONS(1624),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1624),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1624),
    [aux_sym_keyword_replace_token1] = ACTIONS(1624),
    [aux_sym__keyword_alter_token1] = ACTIONS(1624),
    [aux_sym__keyword_from_token1] = ACTIONS(1624),
    [aux_sym__keyword_delete_token1] = ACTIONS(1624),
    [aux_sym__keyword_begin_token1] = ACTIONS(1624),
    [aux_sym__keyword_end_token1] = ACTIONS(1624),
    [aux_sym__keyword_between_token1] = ACTIONS(1624),
    [aux_sym__keyword_when_token1] = ACTIONS(1624),
    [aux_sym__keyword_else_token1] = ACTIONS(1624),
    [aux_sym__keyword_is_token1] = ACTIONS(1624),
    [aux_sym__keyword_in_token1] = ACTIONS(1624),
    [aux_sym__keyword_and_token1] = ACTIONS(1624),
    [aux_sym__keyword_like_token1] = ACTIONS(1624),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1624),
    [aux_sym__keyword_as_token1] = ACTIONS(1624),
    [aux_sym__keyword_window_token1] = ACTIONS(1624),
    [aux_sym__keyword_date_token1] = ACTIONS(1624),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1624),
    [aux_sym__keyword_time_token1] = ACTIONS(1624),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1624),
    [aux_sym__keyword_for_token1] = ACTIONS(1624),
    [anon_sym_SEMI] = ACTIONS(1622),
    [aux_sym_declare_statement_token1] = ACTIONS(1624),
    [anon_sym_COMMA] = ACTIONS(1622),
    [aux_sym_set_statement_token1] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1622),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1624),
    [aux_sym_return_satement_token1] = ACTIONS(1624),
    [aux_sym_call_statement_token1] = ACTIONS(1624),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1624),
    [aux_sym_if_statement_token1] = ACTIONS(1624),
    [aux_sym_loop_statement_token1] = ACTIONS(1624),
    [aux_sym_repeat_statement_token1] = ACTIONS(1624),
    [aux_sym_while_statement_token1] = ACTIONS(1624),
    [aux_sym_break_statement_token1] = ACTIONS(1624),
    [aux_sym_leave_statement_token1] = ACTIONS(1624),
    [aux_sym_continue_statement_token1] = ACTIONS(1624),
    [aux_sym_iterate_statement_token1] = ACTIONS(1624),
    [aux_sym_raise_statement_token1] = ACTIONS(1624),
    [anon_sym_EQ] = ACTIONS(1622),
    [aux_sym_assert_statement_token1] = ACTIONS(1624),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1624),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1624),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1624),
    [anon_sym_LT] = ACTIONS(1624),
    [anon_sym_GT] = ACTIONS(1624),
    [aux_sym_set_operation_token1] = ACTIONS(1624),
    [aux_sym_set_operation_token3] = ACTIONS(1624),
    [aux_sym_set_operation_token4] = ACTIONS(1624),
    [aux_sym_select_token1] = ACTIONS(1624),
    [aux_sym_having_clause_token1] = ACTIONS(1624),
    [aux_sym_qualify_clause_token1] = ACTIONS(1624),
    [aux_sym_limit_clause_token1] = ACTIONS(1624),
    [aux_sym_group_by_clause_token1] = ACTIONS(1624),
    [aux_sym_order_by_clause_token1] = ACTIONS(1624),
    [aux_sym_where_clause_token1] = ACTIONS(1624),
    [aux_sym_insert_statement_token1] = ACTIONS(1624),
    [aux_sym_truncate_statement_token1] = ACTIONS(1624),
    [aux_sym_update_statement_token1] = ACTIONS(1624),
    [aux_sym_merge_statement_token1] = ACTIONS(1624),
    [aux_sym_grant_statement_token1] = ACTIONS(1624),
    [aux_sym_revoke_statement_token1] = ACTIONS(1624),
    [aux_sym_export_data_statement_token1] = ACTIONS(1624),
    [aux_sym_load_data_statement_token1] = ACTIONS(1624),
    [anon_sym_LBRACK] = ACTIONS(1622),
    [sym__quoted_identifier] = ACTIONS(1622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1622),
    [anon_sym_PLUS] = ACTIONS(1622),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_STAR] = ACTIONS(1622),
    [anon_sym_SLASH] = ACTIONS(1624),
    [anon_sym_PIPE_PIPE] = ACTIONS(1622),
    [anon_sym_LT_EQ] = ACTIONS(1622),
    [anon_sym_LT_GT] = ACTIONS(1622),
    [anon_sym_GT_EQ] = ACTIONS(1622),
    [anon_sym_BANG_EQ] = ACTIONS(1622),
    [anon_sym_LT_LT] = ACTIONS(1622),
    [anon_sym_GT_GT] = ACTIONS(1622),
    [anon_sym_AMP] = ACTIONS(1622),
    [anon_sym_CARET] = ACTIONS(1622),
    [anon_sym_PIPE] = ACTIONS(1624),
  },
  [2226] = {
    [sym__unquoted_identifier] = ACTIONS(1750),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1750),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1750),
    [aux_sym_keyword_replace_token1] = ACTIONS(1750),
    [aux_sym__keyword_alter_token1] = ACTIONS(1750),
    [aux_sym__keyword_from_token1] = ACTIONS(1750),
    [aux_sym__keyword_delete_token1] = ACTIONS(1750),
    [aux_sym__keyword_begin_token1] = ACTIONS(1750),
    [aux_sym__keyword_end_token1] = ACTIONS(1750),
    [aux_sym__keyword_between_token1] = ACTIONS(1750),
    [aux_sym__keyword_when_token1] = ACTIONS(1750),
    [aux_sym__keyword_else_token1] = ACTIONS(1750),
    [aux_sym__keyword_is_token1] = ACTIONS(1750),
    [aux_sym__keyword_in_token1] = ACTIONS(1750),
    [aux_sym__keyword_and_token1] = ACTIONS(1750),
    [aux_sym__keyword_like_token1] = ACTIONS(1750),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1750),
    [aux_sym__keyword_as_token1] = ACTIONS(1750),
    [aux_sym__keyword_window_token1] = ACTIONS(1750),
    [aux_sym__keyword_date_token1] = ACTIONS(1750),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1750),
    [aux_sym__keyword_time_token1] = ACTIONS(1750),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1750),
    [aux_sym__keyword_for_token1] = ACTIONS(1750),
    [anon_sym_SEMI] = ACTIONS(1748),
    [aux_sym_declare_statement_token1] = ACTIONS(1750),
    [anon_sym_COMMA] = ACTIONS(1748),
    [aux_sym_set_statement_token1] = ACTIONS(1750),
    [anon_sym_LPAREN] = ACTIONS(1748),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1750),
    [aux_sym_return_satement_token1] = ACTIONS(1750),
    [aux_sym_call_statement_token1] = ACTIONS(1750),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1750),
    [aux_sym_if_statement_token1] = ACTIONS(1750),
    [aux_sym_loop_statement_token1] = ACTIONS(1750),
    [aux_sym_repeat_statement_token1] = ACTIONS(1750),
    [aux_sym_while_statement_token1] = ACTIONS(1750),
    [aux_sym_break_statement_token1] = ACTIONS(1750),
    [aux_sym_leave_statement_token1] = ACTIONS(1750),
    [aux_sym_continue_statement_token1] = ACTIONS(1750),
    [aux_sym_iterate_statement_token1] = ACTIONS(1750),
    [aux_sym_raise_statement_token1] = ACTIONS(1750),
    [anon_sym_EQ] = ACTIONS(1748),
    [aux_sym_assert_statement_token1] = ACTIONS(1750),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1750),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1750),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1750),
    [anon_sym_LT] = ACTIONS(1750),
    [anon_sym_GT] = ACTIONS(1750),
    [aux_sym_set_operation_token1] = ACTIONS(1750),
    [aux_sym_set_operation_token3] = ACTIONS(1750),
    [aux_sym_set_operation_token4] = ACTIONS(1750),
    [aux_sym_select_token1] = ACTIONS(1750),
    [aux_sym_having_clause_token1] = ACTIONS(1750),
    [aux_sym_qualify_clause_token1] = ACTIONS(1750),
    [aux_sym_limit_clause_token1] = ACTIONS(1750),
    [aux_sym_group_by_clause_token1] = ACTIONS(1750),
    [aux_sym_order_by_clause_token1] = ACTIONS(1750),
    [aux_sym_where_clause_token1] = ACTIONS(1750),
    [aux_sym_insert_statement_token1] = ACTIONS(1750),
    [aux_sym_truncate_statement_token1] = ACTIONS(1750),
    [aux_sym_update_statement_token1] = ACTIONS(1750),
    [aux_sym_merge_statement_token1] = ACTIONS(1750),
    [aux_sym_grant_statement_token1] = ACTIONS(1750),
    [aux_sym_revoke_statement_token1] = ACTIONS(1750),
    [aux_sym_export_data_statement_token1] = ACTIONS(1750),
    [aux_sym_load_data_statement_token1] = ACTIONS(1750),
    [anon_sym_LBRACK] = ACTIONS(1748),
    [sym__quoted_identifier] = ACTIONS(1748),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1748),
    [anon_sym_PLUS] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1750),
    [anon_sym_STAR] = ACTIONS(1748),
    [anon_sym_SLASH] = ACTIONS(1750),
    [anon_sym_PIPE_PIPE] = ACTIONS(1748),
    [anon_sym_LT_EQ] = ACTIONS(1748),
    [anon_sym_LT_GT] = ACTIONS(1748),
    [anon_sym_GT_EQ] = ACTIONS(1748),
    [anon_sym_BANG_EQ] = ACTIONS(1748),
    [anon_sym_LT_LT] = ACTIONS(1748),
    [anon_sym_GT_GT] = ACTIONS(1748),
    [anon_sym_AMP] = ACTIONS(1748),
    [anon_sym_CARET] = ACTIONS(1748),
    [anon_sym_PIPE] = ACTIONS(1750),
  },
  [2227] = {
    [sym__unquoted_identifier] = ACTIONS(1486),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1486),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1486),
    [aux_sym_keyword_replace_token1] = ACTIONS(1486),
    [aux_sym__keyword_alter_token1] = ACTIONS(1486),
    [aux_sym__keyword_from_token1] = ACTIONS(1486),
    [aux_sym__keyword_delete_token1] = ACTIONS(1486),
    [aux_sym__keyword_begin_token1] = ACTIONS(1486),
    [aux_sym__keyword_end_token1] = ACTIONS(1486),
    [aux_sym__keyword_between_token1] = ACTIONS(1486),
    [aux_sym__keyword_when_token1] = ACTIONS(1486),
    [aux_sym__keyword_else_token1] = ACTIONS(1486),
    [aux_sym__keyword_is_token1] = ACTIONS(1486),
    [aux_sym__keyword_in_token1] = ACTIONS(1486),
    [aux_sym__keyword_and_token1] = ACTIONS(1486),
    [aux_sym__keyword_like_token1] = ACTIONS(1486),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1486),
    [aux_sym__keyword_as_token1] = ACTIONS(1486),
    [aux_sym__keyword_window_token1] = ACTIONS(1486),
    [aux_sym__keyword_date_token1] = ACTIONS(1486),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1486),
    [aux_sym__keyword_time_token1] = ACTIONS(1486),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1486),
    [aux_sym__keyword_for_token1] = ACTIONS(1486),
    [anon_sym_SEMI] = ACTIONS(1484),
    [aux_sym_declare_statement_token1] = ACTIONS(1486),
    [anon_sym_COMMA] = ACTIONS(1484),
    [aux_sym_set_statement_token1] = ACTIONS(1486),
    [anon_sym_LPAREN] = ACTIONS(1484),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1486),
    [aux_sym_return_satement_token1] = ACTIONS(1486),
    [aux_sym_call_statement_token1] = ACTIONS(1486),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1486),
    [aux_sym_if_statement_token1] = ACTIONS(1486),
    [aux_sym_loop_statement_token1] = ACTIONS(1486),
    [aux_sym_repeat_statement_token1] = ACTIONS(1486),
    [aux_sym_while_statement_token1] = ACTIONS(1486),
    [aux_sym_break_statement_token1] = ACTIONS(1486),
    [aux_sym_leave_statement_token1] = ACTIONS(1486),
    [aux_sym_continue_statement_token1] = ACTIONS(1486),
    [aux_sym_iterate_statement_token1] = ACTIONS(1486),
    [aux_sym_raise_statement_token1] = ACTIONS(1486),
    [anon_sym_EQ] = ACTIONS(1484),
    [aux_sym_assert_statement_token1] = ACTIONS(1486),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1486),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1486),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1486),
    [anon_sym_LT] = ACTIONS(1486),
    [anon_sym_GT] = ACTIONS(1486),
    [aux_sym_set_operation_token1] = ACTIONS(1486),
    [aux_sym_set_operation_token3] = ACTIONS(1486),
    [aux_sym_set_operation_token4] = ACTIONS(1486),
    [aux_sym_select_token1] = ACTIONS(1486),
    [aux_sym_having_clause_token1] = ACTIONS(1486),
    [aux_sym_qualify_clause_token1] = ACTIONS(1486),
    [aux_sym_limit_clause_token1] = ACTIONS(1486),
    [aux_sym_group_by_clause_token1] = ACTIONS(1486),
    [aux_sym_order_by_clause_token1] = ACTIONS(1486),
    [aux_sym_where_clause_token1] = ACTIONS(1486),
    [aux_sym_insert_statement_token1] = ACTIONS(1486),
    [aux_sym_truncate_statement_token1] = ACTIONS(1486),
    [aux_sym_update_statement_token1] = ACTIONS(1486),
    [aux_sym_merge_statement_token1] = ACTIONS(1486),
    [aux_sym_grant_statement_token1] = ACTIONS(1486),
    [aux_sym_revoke_statement_token1] = ACTIONS(1486),
    [aux_sym_export_data_statement_token1] = ACTIONS(1486),
    [aux_sym_load_data_statement_token1] = ACTIONS(1486),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym__quoted_identifier] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_SLASH] = ACTIONS(1486),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [anon_sym_LT_EQ] = ACTIONS(1484),
    [anon_sym_LT_GT] = ACTIONS(1484),
    [anon_sym_GT_EQ] = ACTIONS(1484),
    [anon_sym_BANG_EQ] = ACTIONS(1484),
    [anon_sym_LT_LT] = ACTIONS(1484),
    [anon_sym_GT_GT] = ACTIONS(1484),
    [anon_sym_AMP] = ACTIONS(1484),
    [anon_sym_CARET] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1486),
  },
  [2228] = {
    [sym__unquoted_identifier] = ACTIONS(1840),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1840),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1840),
    [aux_sym_keyword_replace_token1] = ACTIONS(1840),
    [aux_sym__keyword_alter_token1] = ACTIONS(1840),
    [aux_sym__keyword_from_token1] = ACTIONS(1840),
    [aux_sym__keyword_delete_token1] = ACTIONS(1840),
    [aux_sym__keyword_begin_token1] = ACTIONS(1840),
    [aux_sym__keyword_end_token1] = ACTIONS(1840),
    [aux_sym__keyword_between_token1] = ACTIONS(1840),
    [aux_sym__keyword_when_token1] = ACTIONS(1840),
    [aux_sym__keyword_else_token1] = ACTIONS(1840),
    [aux_sym__keyword_is_token1] = ACTIONS(1840),
    [aux_sym__keyword_in_token1] = ACTIONS(1840),
    [aux_sym__keyword_and_token1] = ACTIONS(1840),
    [aux_sym__keyword_like_token1] = ACTIONS(1840),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1840),
    [aux_sym__keyword_as_token1] = ACTIONS(1840),
    [aux_sym__keyword_window_token1] = ACTIONS(1840),
    [aux_sym__keyword_date_token1] = ACTIONS(1840),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1840),
    [aux_sym__keyword_time_token1] = ACTIONS(1840),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1840),
    [aux_sym__keyword_for_token1] = ACTIONS(1840),
    [anon_sym_SEMI] = ACTIONS(1838),
    [aux_sym_declare_statement_token1] = ACTIONS(1840),
    [anon_sym_COMMA] = ACTIONS(1838),
    [aux_sym_set_statement_token1] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1838),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1840),
    [aux_sym_return_satement_token1] = ACTIONS(1840),
    [aux_sym_call_statement_token1] = ACTIONS(1840),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1840),
    [aux_sym_if_statement_token1] = ACTIONS(1840),
    [aux_sym_loop_statement_token1] = ACTIONS(1840),
    [aux_sym_repeat_statement_token1] = ACTIONS(1840),
    [aux_sym_while_statement_token1] = ACTIONS(1840),
    [aux_sym_break_statement_token1] = ACTIONS(1840),
    [aux_sym_leave_statement_token1] = ACTIONS(1840),
    [aux_sym_continue_statement_token1] = ACTIONS(1840),
    [aux_sym_iterate_statement_token1] = ACTIONS(1840),
    [aux_sym_raise_statement_token1] = ACTIONS(1840),
    [anon_sym_EQ] = ACTIONS(1838),
    [aux_sym_assert_statement_token1] = ACTIONS(1840),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1840),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1840),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1840),
    [anon_sym_LT] = ACTIONS(1840),
    [anon_sym_GT] = ACTIONS(1840),
    [aux_sym_set_operation_token1] = ACTIONS(1840),
    [aux_sym_set_operation_token3] = ACTIONS(1840),
    [aux_sym_set_operation_token4] = ACTIONS(1840),
    [aux_sym_select_token1] = ACTIONS(1840),
    [aux_sym_having_clause_token1] = ACTIONS(1840),
    [aux_sym_qualify_clause_token1] = ACTIONS(1840),
    [aux_sym_limit_clause_token1] = ACTIONS(1840),
    [aux_sym_group_by_clause_token1] = ACTIONS(1840),
    [aux_sym_order_by_clause_token1] = ACTIONS(1840),
    [aux_sym_where_clause_token1] = ACTIONS(1840),
    [aux_sym_insert_statement_token1] = ACTIONS(1840),
    [aux_sym_truncate_statement_token1] = ACTIONS(1840),
    [aux_sym_update_statement_token1] = ACTIONS(1840),
    [aux_sym_merge_statement_token1] = ACTIONS(1840),
    [aux_sym_grant_statement_token1] = ACTIONS(1840),
    [aux_sym_revoke_statement_token1] = ACTIONS(1840),
    [aux_sym_export_data_statement_token1] = ACTIONS(1840),
    [aux_sym_load_data_statement_token1] = ACTIONS(1840),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [sym__quoted_identifier] = ACTIONS(1838),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1838),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1838),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE] = ACTIONS(1838),
    [anon_sym_LT_EQ] = ACTIONS(1838),
    [anon_sym_LT_GT] = ACTIONS(1838),
    [anon_sym_GT_EQ] = ACTIONS(1838),
    [anon_sym_BANG_EQ] = ACTIONS(1838),
    [anon_sym_LT_LT] = ACTIONS(1838),
    [anon_sym_GT_GT] = ACTIONS(1838),
    [anon_sym_AMP] = ACTIONS(1838),
    [anon_sym_CARET] = ACTIONS(1838),
    [anon_sym_PIPE] = ACTIONS(1840),
  },
  [2229] = {
    [sym__unquoted_identifier] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(921),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(921),
    [aux_sym__keyword_from_token1] = ACTIONS(921),
    [aux_sym__keyword_delete_token1] = ACTIONS(921),
    [aux_sym__keyword_begin_token1] = ACTIONS(921),
    [aux_sym__keyword_end_token1] = ACTIONS(921),
    [aux_sym__keyword_between_token1] = ACTIONS(921),
    [aux_sym__keyword_when_token1] = ACTIONS(921),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(921),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(921),
    [aux_sym__keyword_like_token1] = ACTIONS(921),
    [aux_sym__keyword_repeat_token1] = ACTIONS(921),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_window_token1] = ACTIONS(921),
    [aux_sym__keyword_date_token1] = ACTIONS(921),
    [aux_sym__keyword_datetime_token1] = ACTIONS(921),
    [aux_sym__keyword_time_token1] = ACTIONS(921),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(921),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(921),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(921),
    [aux_sym_return_satement_token1] = ACTIONS(921),
    [aux_sym_call_statement_token1] = ACTIONS(921),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(921),
    [aux_sym_if_statement_token1] = ACTIONS(921),
    [aux_sym_loop_statement_token1] = ACTIONS(921),
    [aux_sym_repeat_statement_token1] = ACTIONS(921),
    [aux_sym_while_statement_token1] = ACTIONS(921),
    [aux_sym_break_statement_token1] = ACTIONS(921),
    [aux_sym_leave_statement_token1] = ACTIONS(921),
    [aux_sym_continue_statement_token1] = ACTIONS(921),
    [aux_sym_iterate_statement_token1] = ACTIONS(921),
    [aux_sym_raise_statement_token1] = ACTIONS(921),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(921),
    [aux_sym_create_schema_statement_token1] = ACTIONS(921),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(921),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(921),
    [aux_sym_set_operation_token3] = ACTIONS(921),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(921),
    [aux_sym_having_clause_token1] = ACTIONS(921),
    [aux_sym_qualify_clause_token1] = ACTIONS(921),
    [aux_sym_limit_clause_token1] = ACTIONS(921),
    [aux_sym_group_by_clause_token1] = ACTIONS(921),
    [aux_sym_order_by_clause_token1] = ACTIONS(921),
    [aux_sym_where_clause_token1] = ACTIONS(921),
    [aux_sym_insert_statement_token1] = ACTIONS(921),
    [aux_sym_truncate_statement_token1] = ACTIONS(921),
    [aux_sym_update_statement_token1] = ACTIONS(921),
    [aux_sym_merge_statement_token1] = ACTIONS(921),
    [aux_sym_grant_statement_token1] = ACTIONS(921),
    [aux_sym_revoke_statement_token1] = ACTIONS(921),
    [aux_sym_export_data_statement_token1] = ACTIONS(921),
    [aux_sym_load_data_statement_token1] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym__quoted_identifier] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(917),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PIPE_PIPE] = ACTIONS(917),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2230] = {
    [sym__unquoted_identifier] = ACTIONS(1746),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1746),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1746),
    [aux_sym_keyword_replace_token1] = ACTIONS(1746),
    [aux_sym__keyword_alter_token1] = ACTIONS(1746),
    [aux_sym__keyword_from_token1] = ACTIONS(1746),
    [aux_sym__keyword_delete_token1] = ACTIONS(1746),
    [aux_sym__keyword_begin_token1] = ACTIONS(1746),
    [aux_sym__keyword_end_token1] = ACTIONS(1746),
    [aux_sym__keyword_between_token1] = ACTIONS(1746),
    [aux_sym__keyword_when_token1] = ACTIONS(1746),
    [aux_sym__keyword_else_token1] = ACTIONS(1746),
    [aux_sym__keyword_is_token1] = ACTIONS(1746),
    [aux_sym__keyword_in_token1] = ACTIONS(1746),
    [aux_sym__keyword_and_token1] = ACTIONS(1746),
    [aux_sym__keyword_like_token1] = ACTIONS(1746),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1746),
    [aux_sym__keyword_as_token1] = ACTIONS(1746),
    [aux_sym__keyword_window_token1] = ACTIONS(1746),
    [aux_sym__keyword_date_token1] = ACTIONS(1746),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1746),
    [aux_sym__keyword_time_token1] = ACTIONS(1746),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1746),
    [aux_sym__keyword_for_token1] = ACTIONS(1746),
    [anon_sym_SEMI] = ACTIONS(1744),
    [aux_sym_declare_statement_token1] = ACTIONS(1746),
    [anon_sym_COMMA] = ACTIONS(1744),
    [aux_sym_set_statement_token1] = ACTIONS(1746),
    [anon_sym_LPAREN] = ACTIONS(1744),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1746),
    [aux_sym_return_satement_token1] = ACTIONS(1746),
    [aux_sym_call_statement_token1] = ACTIONS(1746),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1746),
    [aux_sym_if_statement_token1] = ACTIONS(1746),
    [aux_sym_loop_statement_token1] = ACTIONS(1746),
    [aux_sym_repeat_statement_token1] = ACTIONS(1746),
    [aux_sym_while_statement_token1] = ACTIONS(1746),
    [aux_sym_break_statement_token1] = ACTIONS(1746),
    [aux_sym_leave_statement_token1] = ACTIONS(1746),
    [aux_sym_continue_statement_token1] = ACTIONS(1746),
    [aux_sym_iterate_statement_token1] = ACTIONS(1746),
    [aux_sym_raise_statement_token1] = ACTIONS(1746),
    [anon_sym_EQ] = ACTIONS(1744),
    [aux_sym_assert_statement_token1] = ACTIONS(1746),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1746),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1746),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1746),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1746),
    [aux_sym_set_operation_token1] = ACTIONS(1746),
    [aux_sym_set_operation_token3] = ACTIONS(1746),
    [aux_sym_set_operation_token4] = ACTIONS(1746),
    [aux_sym_select_token1] = ACTIONS(1746),
    [aux_sym_having_clause_token1] = ACTIONS(1746),
    [aux_sym_qualify_clause_token1] = ACTIONS(1746),
    [aux_sym_limit_clause_token1] = ACTIONS(1746),
    [aux_sym_group_by_clause_token1] = ACTIONS(1746),
    [aux_sym_order_by_clause_token1] = ACTIONS(1746),
    [aux_sym_where_clause_token1] = ACTIONS(1746),
    [aux_sym_insert_statement_token1] = ACTIONS(1746),
    [aux_sym_truncate_statement_token1] = ACTIONS(1746),
    [aux_sym_update_statement_token1] = ACTIONS(1746),
    [aux_sym_merge_statement_token1] = ACTIONS(1746),
    [aux_sym_grant_statement_token1] = ACTIONS(1746),
    [aux_sym_revoke_statement_token1] = ACTIONS(1746),
    [aux_sym_export_data_statement_token1] = ACTIONS(1746),
    [aux_sym_load_data_statement_token1] = ACTIONS(1746),
    [anon_sym_LBRACK] = ACTIONS(1744),
    [sym__quoted_identifier] = ACTIONS(1744),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1744),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_STAR] = ACTIONS(1744),
    [anon_sym_SLASH] = ACTIONS(1746),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_LT_GT] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1744),
    [anon_sym_GT_GT] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1746),
  },
  [2231] = {
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_from_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [2232] = {
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_from_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [2233] = {
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_from_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [2234] = {
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_from_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [2235] = {
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_from_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [2236] = {
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_from_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [2237] = {
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_from_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [2238] = {
    [sym__unquoted_identifier] = ACTIONS(1836),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1836),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1836),
    [aux_sym_keyword_replace_token1] = ACTIONS(1836),
    [aux_sym__keyword_alter_token1] = ACTIONS(1836),
    [aux_sym__keyword_from_token1] = ACTIONS(1836),
    [aux_sym__keyword_delete_token1] = ACTIONS(1836),
    [aux_sym__keyword_begin_token1] = ACTIONS(1836),
    [aux_sym__keyword_end_token1] = ACTIONS(1836),
    [aux_sym__keyword_between_token1] = ACTIONS(1836),
    [aux_sym__keyword_when_token1] = ACTIONS(1836),
    [aux_sym__keyword_else_token1] = ACTIONS(1836),
    [aux_sym__keyword_is_token1] = ACTIONS(1836),
    [aux_sym__keyword_in_token1] = ACTIONS(1836),
    [aux_sym__keyword_and_token1] = ACTIONS(1836),
    [aux_sym__keyword_like_token1] = ACTIONS(1836),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1836),
    [aux_sym__keyword_as_token1] = ACTIONS(1836),
    [aux_sym__keyword_window_token1] = ACTIONS(1836),
    [aux_sym__keyword_date_token1] = ACTIONS(1836),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1836),
    [aux_sym__keyword_time_token1] = ACTIONS(1836),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1836),
    [aux_sym__keyword_for_token1] = ACTIONS(1836),
    [anon_sym_SEMI] = ACTIONS(1834),
    [aux_sym_declare_statement_token1] = ACTIONS(1836),
    [anon_sym_COMMA] = ACTIONS(1834),
    [aux_sym_set_statement_token1] = ACTIONS(1836),
    [anon_sym_LPAREN] = ACTIONS(1834),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1836),
    [aux_sym_return_satement_token1] = ACTIONS(1836),
    [aux_sym_call_statement_token1] = ACTIONS(1836),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1836),
    [aux_sym_if_statement_token1] = ACTIONS(1836),
    [aux_sym_loop_statement_token1] = ACTIONS(1836),
    [aux_sym_repeat_statement_token1] = ACTIONS(1836),
    [aux_sym_while_statement_token1] = ACTIONS(1836),
    [aux_sym_break_statement_token1] = ACTIONS(1836),
    [aux_sym_leave_statement_token1] = ACTIONS(1836),
    [aux_sym_continue_statement_token1] = ACTIONS(1836),
    [aux_sym_iterate_statement_token1] = ACTIONS(1836),
    [aux_sym_raise_statement_token1] = ACTIONS(1836),
    [anon_sym_EQ] = ACTIONS(1834),
    [aux_sym_assert_statement_token1] = ACTIONS(1836),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1836),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1836),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1836),
    [anon_sym_LT] = ACTIONS(1836),
    [anon_sym_GT] = ACTIONS(1836),
    [aux_sym_set_operation_token1] = ACTIONS(1836),
    [aux_sym_set_operation_token3] = ACTIONS(1836),
    [aux_sym_set_operation_token4] = ACTIONS(1836),
    [aux_sym_select_token1] = ACTIONS(1836),
    [aux_sym_having_clause_token1] = ACTIONS(1836),
    [aux_sym_qualify_clause_token1] = ACTIONS(1836),
    [aux_sym_limit_clause_token1] = ACTIONS(1836),
    [aux_sym_group_by_clause_token1] = ACTIONS(1836),
    [aux_sym_order_by_clause_token1] = ACTIONS(1836),
    [aux_sym_where_clause_token1] = ACTIONS(1836),
    [aux_sym_insert_statement_token1] = ACTIONS(1836),
    [aux_sym_truncate_statement_token1] = ACTIONS(1836),
    [aux_sym_update_statement_token1] = ACTIONS(1836),
    [aux_sym_merge_statement_token1] = ACTIONS(1836),
    [aux_sym_grant_statement_token1] = ACTIONS(1836),
    [aux_sym_revoke_statement_token1] = ACTIONS(1836),
    [aux_sym_export_data_statement_token1] = ACTIONS(1836),
    [aux_sym_load_data_statement_token1] = ACTIONS(1836),
    [anon_sym_LBRACK] = ACTIONS(1834),
    [sym__quoted_identifier] = ACTIONS(1834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1834),
    [anon_sym_PLUS] = ACTIONS(1834),
    [anon_sym_DASH] = ACTIONS(1836),
    [anon_sym_STAR] = ACTIONS(1834),
    [anon_sym_SLASH] = ACTIONS(1836),
    [anon_sym_PIPE_PIPE] = ACTIONS(1834),
    [anon_sym_LT_EQ] = ACTIONS(1834),
    [anon_sym_LT_GT] = ACTIONS(1834),
    [anon_sym_GT_EQ] = ACTIONS(1834),
    [anon_sym_BANG_EQ] = ACTIONS(1834),
    [anon_sym_LT_LT] = ACTIONS(1834),
    [anon_sym_GT_GT] = ACTIONS(1834),
    [anon_sym_AMP] = ACTIONS(1834),
    [anon_sym_CARET] = ACTIONS(1834),
    [anon_sym_PIPE] = ACTIONS(1836),
  },
  [2239] = {
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_from_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [2240] = {
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_from_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [2241] = {
    [sym__unquoted_identifier] = ACTIONS(1392),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1392),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1392),
    [aux_sym_keyword_replace_token1] = ACTIONS(1392),
    [aux_sym__keyword_alter_token1] = ACTIONS(1392),
    [aux_sym__keyword_from_token1] = ACTIONS(1392),
    [aux_sym__keyword_delete_token1] = ACTIONS(1392),
    [aux_sym__keyword_begin_token1] = ACTIONS(1392),
    [aux_sym__keyword_end_token1] = ACTIONS(1392),
    [aux_sym__keyword_between_token1] = ACTIONS(1392),
    [aux_sym__keyword_when_token1] = ACTIONS(1392),
    [aux_sym__keyword_else_token1] = ACTIONS(1392),
    [aux_sym__keyword_is_token1] = ACTIONS(1392),
    [aux_sym__keyword_in_token1] = ACTIONS(1392),
    [aux_sym__keyword_and_token1] = ACTIONS(1392),
    [aux_sym__keyword_like_token1] = ACTIONS(1392),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1392),
    [aux_sym__keyword_as_token1] = ACTIONS(1392),
    [aux_sym__keyword_window_token1] = ACTIONS(1392),
    [aux_sym__keyword_date_token1] = ACTIONS(1392),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1392),
    [aux_sym__keyword_time_token1] = ACTIONS(1392),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1392),
    [aux_sym__keyword_for_token1] = ACTIONS(1392),
    [anon_sym_SEMI] = ACTIONS(1390),
    [aux_sym_declare_statement_token1] = ACTIONS(1392),
    [anon_sym_COMMA] = ACTIONS(1390),
    [aux_sym_set_statement_token1] = ACTIONS(1392),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1392),
    [aux_sym_return_satement_token1] = ACTIONS(1392),
    [aux_sym_call_statement_token1] = ACTIONS(1392),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1392),
    [aux_sym_if_statement_token1] = ACTIONS(1392),
    [aux_sym_loop_statement_token1] = ACTIONS(1392),
    [aux_sym_repeat_statement_token1] = ACTIONS(1392),
    [aux_sym_while_statement_token1] = ACTIONS(1392),
    [aux_sym_break_statement_token1] = ACTIONS(1392),
    [aux_sym_leave_statement_token1] = ACTIONS(1392),
    [aux_sym_continue_statement_token1] = ACTIONS(1392),
    [aux_sym_iterate_statement_token1] = ACTIONS(1392),
    [aux_sym_raise_statement_token1] = ACTIONS(1392),
    [anon_sym_EQ] = ACTIONS(1390),
    [aux_sym_assert_statement_token1] = ACTIONS(1392),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1392),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1392),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1392),
    [anon_sym_LT] = ACTIONS(1392),
    [anon_sym_GT] = ACTIONS(1392),
    [aux_sym_set_operation_token1] = ACTIONS(1392),
    [aux_sym_set_operation_token3] = ACTIONS(1392),
    [aux_sym_set_operation_token4] = ACTIONS(1392),
    [aux_sym_select_token1] = ACTIONS(1392),
    [aux_sym_having_clause_token1] = ACTIONS(1392),
    [aux_sym_qualify_clause_token1] = ACTIONS(1392),
    [aux_sym_limit_clause_token1] = ACTIONS(1392),
    [aux_sym_group_by_clause_token1] = ACTIONS(1392),
    [aux_sym_order_by_clause_token1] = ACTIONS(1392),
    [aux_sym_where_clause_token1] = ACTIONS(1392),
    [aux_sym_insert_statement_token1] = ACTIONS(1392),
    [aux_sym_truncate_statement_token1] = ACTIONS(1392),
    [aux_sym_update_statement_token1] = ACTIONS(1392),
    [aux_sym_merge_statement_token1] = ACTIONS(1392),
    [aux_sym_grant_statement_token1] = ACTIONS(1392),
    [aux_sym_revoke_statement_token1] = ACTIONS(1392),
    [aux_sym_export_data_statement_token1] = ACTIONS(1392),
    [aux_sym_load_data_statement_token1] = ACTIONS(1392),
    [anon_sym_LBRACK] = ACTIONS(1390),
    [sym__quoted_identifier] = ACTIONS(1390),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_DASH] = ACTIONS(1392),
    [anon_sym_STAR] = ACTIONS(1390),
    [anon_sym_SLASH] = ACTIONS(1392),
    [anon_sym_PIPE_PIPE] = ACTIONS(1390),
    [anon_sym_LT_EQ] = ACTIONS(1390),
    [anon_sym_LT_GT] = ACTIONS(1390),
    [anon_sym_GT_EQ] = ACTIONS(1390),
    [anon_sym_BANG_EQ] = ACTIONS(1390),
    [anon_sym_LT_LT] = ACTIONS(1390),
    [anon_sym_GT_GT] = ACTIONS(1390),
    [anon_sym_AMP] = ACTIONS(1390),
    [anon_sym_CARET] = ACTIONS(1390),
    [anon_sym_PIPE] = ACTIONS(1392),
  },
  [2242] = {
    [sym__unquoted_identifier] = ACTIONS(1384),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1384),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1384),
    [aux_sym_keyword_replace_token1] = ACTIONS(1384),
    [aux_sym__keyword_alter_token1] = ACTIONS(1384),
    [aux_sym__keyword_from_token1] = ACTIONS(1384),
    [aux_sym__keyword_delete_token1] = ACTIONS(1384),
    [aux_sym__keyword_begin_token1] = ACTIONS(1384),
    [aux_sym__keyword_end_token1] = ACTIONS(1384),
    [aux_sym__keyword_between_token1] = ACTIONS(1384),
    [aux_sym__keyword_when_token1] = ACTIONS(1384),
    [aux_sym__keyword_else_token1] = ACTIONS(1384),
    [aux_sym__keyword_is_token1] = ACTIONS(1384),
    [aux_sym__keyword_in_token1] = ACTIONS(1384),
    [aux_sym__keyword_and_token1] = ACTIONS(1384),
    [aux_sym__keyword_like_token1] = ACTIONS(1384),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1384),
    [aux_sym__keyword_as_token1] = ACTIONS(1384),
    [aux_sym__keyword_window_token1] = ACTIONS(1384),
    [aux_sym__keyword_date_token1] = ACTIONS(1384),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1384),
    [aux_sym__keyword_time_token1] = ACTIONS(1384),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1384),
    [aux_sym__keyword_for_token1] = ACTIONS(1384),
    [anon_sym_SEMI] = ACTIONS(1382),
    [aux_sym_declare_statement_token1] = ACTIONS(1384),
    [anon_sym_COMMA] = ACTIONS(1382),
    [aux_sym_set_statement_token1] = ACTIONS(1384),
    [anon_sym_LPAREN] = ACTIONS(1382),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1384),
    [aux_sym_return_satement_token1] = ACTIONS(1384),
    [aux_sym_call_statement_token1] = ACTIONS(1384),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1384),
    [aux_sym_if_statement_token1] = ACTIONS(1384),
    [aux_sym_loop_statement_token1] = ACTIONS(1384),
    [aux_sym_repeat_statement_token1] = ACTIONS(1384),
    [aux_sym_while_statement_token1] = ACTIONS(1384),
    [aux_sym_break_statement_token1] = ACTIONS(1384),
    [aux_sym_leave_statement_token1] = ACTIONS(1384),
    [aux_sym_continue_statement_token1] = ACTIONS(1384),
    [aux_sym_iterate_statement_token1] = ACTIONS(1384),
    [aux_sym_raise_statement_token1] = ACTIONS(1384),
    [anon_sym_EQ] = ACTIONS(1382),
    [aux_sym_assert_statement_token1] = ACTIONS(1384),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1384),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1384),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1384),
    [anon_sym_LT] = ACTIONS(1384),
    [anon_sym_GT] = ACTIONS(1384),
    [aux_sym_set_operation_token1] = ACTIONS(1384),
    [aux_sym_set_operation_token3] = ACTIONS(1384),
    [aux_sym_set_operation_token4] = ACTIONS(1384),
    [aux_sym_select_token1] = ACTIONS(1384),
    [aux_sym_having_clause_token1] = ACTIONS(1384),
    [aux_sym_qualify_clause_token1] = ACTIONS(1384),
    [aux_sym_limit_clause_token1] = ACTIONS(1384),
    [aux_sym_group_by_clause_token1] = ACTIONS(1384),
    [aux_sym_order_by_clause_token1] = ACTIONS(1384),
    [aux_sym_where_clause_token1] = ACTIONS(1384),
    [aux_sym_insert_statement_token1] = ACTIONS(1384),
    [aux_sym_truncate_statement_token1] = ACTIONS(1384),
    [aux_sym_update_statement_token1] = ACTIONS(1384),
    [aux_sym_merge_statement_token1] = ACTIONS(1384),
    [aux_sym_grant_statement_token1] = ACTIONS(1384),
    [aux_sym_revoke_statement_token1] = ACTIONS(1384),
    [aux_sym_export_data_statement_token1] = ACTIONS(1384),
    [aux_sym_load_data_statement_token1] = ACTIONS(1384),
    [anon_sym_LBRACK] = ACTIONS(1382),
    [sym__quoted_identifier] = ACTIONS(1382),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1382),
    [anon_sym_PLUS] = ACTIONS(1382),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_STAR] = ACTIONS(1382),
    [anon_sym_SLASH] = ACTIONS(1384),
    [anon_sym_PIPE_PIPE] = ACTIONS(1382),
    [anon_sym_LT_EQ] = ACTIONS(1382),
    [anon_sym_LT_GT] = ACTIONS(1382),
    [anon_sym_GT_EQ] = ACTIONS(1382),
    [anon_sym_BANG_EQ] = ACTIONS(1382),
    [anon_sym_LT_LT] = ACTIONS(1382),
    [anon_sym_GT_GT] = ACTIONS(1382),
    [anon_sym_AMP] = ACTIONS(1382),
    [anon_sym_CARET] = ACTIONS(1382),
    [anon_sym_PIPE] = ACTIONS(1384),
  },
  [2243] = {
    [sym__unquoted_identifier] = ACTIONS(1628),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1628),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1628),
    [aux_sym_keyword_replace_token1] = ACTIONS(1628),
    [aux_sym__keyword_alter_token1] = ACTIONS(1628),
    [aux_sym__keyword_from_token1] = ACTIONS(1628),
    [aux_sym__keyword_delete_token1] = ACTIONS(1628),
    [aux_sym__keyword_begin_token1] = ACTIONS(1628),
    [aux_sym__keyword_end_token1] = ACTIONS(1628),
    [aux_sym__keyword_between_token1] = ACTIONS(1628),
    [aux_sym__keyword_when_token1] = ACTIONS(1628),
    [aux_sym__keyword_else_token1] = ACTIONS(1628),
    [aux_sym__keyword_is_token1] = ACTIONS(1628),
    [aux_sym__keyword_in_token1] = ACTIONS(1628),
    [aux_sym__keyword_and_token1] = ACTIONS(1628),
    [aux_sym__keyword_like_token1] = ACTIONS(1628),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1628),
    [aux_sym__keyword_as_token1] = ACTIONS(1628),
    [aux_sym__keyword_window_token1] = ACTIONS(1628),
    [aux_sym__keyword_date_token1] = ACTIONS(1628),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1628),
    [aux_sym__keyword_time_token1] = ACTIONS(1628),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1628),
    [aux_sym__keyword_for_token1] = ACTIONS(1628),
    [anon_sym_SEMI] = ACTIONS(1626),
    [aux_sym_declare_statement_token1] = ACTIONS(1628),
    [anon_sym_COMMA] = ACTIONS(1626),
    [aux_sym_set_statement_token1] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1626),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1628),
    [aux_sym_return_satement_token1] = ACTIONS(1628),
    [aux_sym_call_statement_token1] = ACTIONS(1628),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1628),
    [aux_sym_if_statement_token1] = ACTIONS(1628),
    [aux_sym_loop_statement_token1] = ACTIONS(1628),
    [aux_sym_repeat_statement_token1] = ACTIONS(1628),
    [aux_sym_while_statement_token1] = ACTIONS(1628),
    [aux_sym_break_statement_token1] = ACTIONS(1628),
    [aux_sym_leave_statement_token1] = ACTIONS(1628),
    [aux_sym_continue_statement_token1] = ACTIONS(1628),
    [aux_sym_iterate_statement_token1] = ACTIONS(1628),
    [aux_sym_raise_statement_token1] = ACTIONS(1628),
    [anon_sym_EQ] = ACTIONS(1626),
    [aux_sym_assert_statement_token1] = ACTIONS(1628),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1628),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1628),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1628),
    [anon_sym_LT] = ACTIONS(1628),
    [anon_sym_GT] = ACTIONS(1628),
    [aux_sym_set_operation_token1] = ACTIONS(1628),
    [aux_sym_set_operation_token3] = ACTIONS(1628),
    [aux_sym_set_operation_token4] = ACTIONS(1628),
    [aux_sym_select_token1] = ACTIONS(1628),
    [aux_sym_having_clause_token1] = ACTIONS(1628),
    [aux_sym_qualify_clause_token1] = ACTIONS(1628),
    [aux_sym_limit_clause_token1] = ACTIONS(1628),
    [aux_sym_group_by_clause_token1] = ACTIONS(1628),
    [aux_sym_order_by_clause_token1] = ACTIONS(1628),
    [aux_sym_where_clause_token1] = ACTIONS(1628),
    [aux_sym_insert_statement_token1] = ACTIONS(1628),
    [aux_sym_truncate_statement_token1] = ACTIONS(1628),
    [aux_sym_update_statement_token1] = ACTIONS(1628),
    [aux_sym_merge_statement_token1] = ACTIONS(1628),
    [aux_sym_grant_statement_token1] = ACTIONS(1628),
    [aux_sym_revoke_statement_token1] = ACTIONS(1628),
    [aux_sym_export_data_statement_token1] = ACTIONS(1628),
    [aux_sym_load_data_statement_token1] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1626),
    [sym__quoted_identifier] = ACTIONS(1626),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1626),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1628),
    [anon_sym_STAR] = ACTIONS(1626),
    [anon_sym_SLASH] = ACTIONS(1628),
    [anon_sym_PIPE_PIPE] = ACTIONS(1626),
    [anon_sym_LT_EQ] = ACTIONS(1626),
    [anon_sym_LT_GT] = ACTIONS(1626),
    [anon_sym_GT_EQ] = ACTIONS(1626),
    [anon_sym_BANG_EQ] = ACTIONS(1626),
    [anon_sym_LT_LT] = ACTIONS(1626),
    [anon_sym_GT_GT] = ACTIONS(1626),
    [anon_sym_AMP] = ACTIONS(1626),
    [anon_sym_CARET] = ACTIONS(1626),
    [anon_sym_PIPE] = ACTIONS(1628),
  },
  [2244] = {
    [sym__unquoted_identifier] = ACTIONS(1456),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1456),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1456),
    [aux_sym_keyword_replace_token1] = ACTIONS(1456),
    [aux_sym__keyword_alter_token1] = ACTIONS(1456),
    [aux_sym__keyword_from_token1] = ACTIONS(1456),
    [aux_sym__keyword_delete_token1] = ACTIONS(1456),
    [aux_sym__keyword_begin_token1] = ACTIONS(1456),
    [aux_sym__keyword_end_token1] = ACTIONS(1456),
    [aux_sym__keyword_between_token1] = ACTIONS(1456),
    [aux_sym__keyword_when_token1] = ACTIONS(1456),
    [aux_sym__keyword_else_token1] = ACTIONS(1456),
    [aux_sym__keyword_is_token1] = ACTIONS(1456),
    [aux_sym__keyword_in_token1] = ACTIONS(1456),
    [aux_sym__keyword_and_token1] = ACTIONS(1456),
    [aux_sym__keyword_like_token1] = ACTIONS(1456),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1456),
    [aux_sym__keyword_as_token1] = ACTIONS(1456),
    [aux_sym__keyword_window_token1] = ACTIONS(1456),
    [aux_sym__keyword_date_token1] = ACTIONS(1456),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1456),
    [aux_sym__keyword_time_token1] = ACTIONS(1456),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1456),
    [aux_sym__keyword_for_token1] = ACTIONS(1456),
    [anon_sym_SEMI] = ACTIONS(1454),
    [aux_sym_declare_statement_token1] = ACTIONS(1456),
    [anon_sym_COMMA] = ACTIONS(1454),
    [aux_sym_set_statement_token1] = ACTIONS(1456),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1456),
    [aux_sym_return_satement_token1] = ACTIONS(1456),
    [aux_sym_call_statement_token1] = ACTIONS(1456),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1456),
    [aux_sym_if_statement_token1] = ACTIONS(1456),
    [aux_sym_loop_statement_token1] = ACTIONS(1456),
    [aux_sym_repeat_statement_token1] = ACTIONS(1456),
    [aux_sym_while_statement_token1] = ACTIONS(1456),
    [aux_sym_break_statement_token1] = ACTIONS(1456),
    [aux_sym_leave_statement_token1] = ACTIONS(1456),
    [aux_sym_continue_statement_token1] = ACTIONS(1456),
    [aux_sym_iterate_statement_token1] = ACTIONS(1456),
    [aux_sym_raise_statement_token1] = ACTIONS(1456),
    [anon_sym_EQ] = ACTIONS(1454),
    [aux_sym_assert_statement_token1] = ACTIONS(1456),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1456),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1456),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1456),
    [anon_sym_LT] = ACTIONS(1456),
    [anon_sym_GT] = ACTIONS(1456),
    [aux_sym_set_operation_token1] = ACTIONS(1456),
    [aux_sym_set_operation_token3] = ACTIONS(1456),
    [aux_sym_set_operation_token4] = ACTIONS(1456),
    [aux_sym_select_token1] = ACTIONS(1456),
    [aux_sym_having_clause_token1] = ACTIONS(1456),
    [aux_sym_qualify_clause_token1] = ACTIONS(1456),
    [aux_sym_limit_clause_token1] = ACTIONS(1456),
    [aux_sym_group_by_clause_token1] = ACTIONS(1456),
    [aux_sym_order_by_clause_token1] = ACTIONS(1456),
    [aux_sym_where_clause_token1] = ACTIONS(1456),
    [aux_sym_insert_statement_token1] = ACTIONS(1456),
    [aux_sym_truncate_statement_token1] = ACTIONS(1456),
    [aux_sym_update_statement_token1] = ACTIONS(1456),
    [aux_sym_merge_statement_token1] = ACTIONS(1456),
    [aux_sym_grant_statement_token1] = ACTIONS(1456),
    [aux_sym_revoke_statement_token1] = ACTIONS(1456),
    [aux_sym_export_data_statement_token1] = ACTIONS(1456),
    [aux_sym_load_data_statement_token1] = ACTIONS(1456),
    [anon_sym_LBRACK] = ACTIONS(1454),
    [sym__quoted_identifier] = ACTIONS(1454),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1454),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1454),
    [anon_sym_SLASH] = ACTIONS(1456),
    [anon_sym_PIPE_PIPE] = ACTIONS(1454),
    [anon_sym_LT_EQ] = ACTIONS(1454),
    [anon_sym_LT_GT] = ACTIONS(1454),
    [anon_sym_GT_EQ] = ACTIONS(1454),
    [anon_sym_BANG_EQ] = ACTIONS(1454),
    [anon_sym_LT_LT] = ACTIONS(1454),
    [anon_sym_GT_GT] = ACTIONS(1454),
    [anon_sym_AMP] = ACTIONS(1454),
    [anon_sym_CARET] = ACTIONS(1454),
    [anon_sym_PIPE] = ACTIONS(1456),
  },
  [2245] = {
    [sym__unquoted_identifier] = ACTIONS(1600),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1600),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1600),
    [aux_sym_keyword_replace_token1] = ACTIONS(1600),
    [aux_sym__keyword_alter_token1] = ACTIONS(1600),
    [aux_sym__keyword_from_token1] = ACTIONS(1600),
    [aux_sym__keyword_delete_token1] = ACTIONS(1600),
    [aux_sym__keyword_begin_token1] = ACTIONS(1600),
    [aux_sym__keyword_end_token1] = ACTIONS(1600),
    [aux_sym__keyword_between_token1] = ACTIONS(1600),
    [aux_sym__keyword_when_token1] = ACTIONS(1600),
    [aux_sym__keyword_else_token1] = ACTIONS(1600),
    [aux_sym__keyword_is_token1] = ACTIONS(1600),
    [aux_sym__keyword_in_token1] = ACTIONS(1600),
    [aux_sym__keyword_and_token1] = ACTIONS(1600),
    [aux_sym__keyword_like_token1] = ACTIONS(1600),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1600),
    [aux_sym__keyword_as_token1] = ACTIONS(1600),
    [aux_sym__keyword_window_token1] = ACTIONS(1600),
    [aux_sym__keyword_date_token1] = ACTIONS(1600),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1600),
    [aux_sym__keyword_time_token1] = ACTIONS(1600),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1600),
    [aux_sym__keyword_for_token1] = ACTIONS(1600),
    [anon_sym_SEMI] = ACTIONS(1598),
    [aux_sym_declare_statement_token1] = ACTIONS(1600),
    [anon_sym_COMMA] = ACTIONS(1598),
    [aux_sym_set_statement_token1] = ACTIONS(1600),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1600),
    [aux_sym_return_satement_token1] = ACTIONS(1600),
    [aux_sym_call_statement_token1] = ACTIONS(1600),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1600),
    [aux_sym_if_statement_token1] = ACTIONS(1600),
    [aux_sym_loop_statement_token1] = ACTIONS(1600),
    [aux_sym_repeat_statement_token1] = ACTIONS(1600),
    [aux_sym_while_statement_token1] = ACTIONS(1600),
    [aux_sym_break_statement_token1] = ACTIONS(1600),
    [aux_sym_leave_statement_token1] = ACTIONS(1600),
    [aux_sym_continue_statement_token1] = ACTIONS(1600),
    [aux_sym_iterate_statement_token1] = ACTIONS(1600),
    [aux_sym_raise_statement_token1] = ACTIONS(1600),
    [anon_sym_EQ] = ACTIONS(1598),
    [aux_sym_assert_statement_token1] = ACTIONS(1600),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1600),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1600),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1600),
    [anon_sym_LT] = ACTIONS(1600),
    [anon_sym_GT] = ACTIONS(1600),
    [aux_sym_set_operation_token1] = ACTIONS(1600),
    [aux_sym_set_operation_token3] = ACTIONS(1600),
    [aux_sym_set_operation_token4] = ACTIONS(1600),
    [aux_sym_select_token1] = ACTIONS(1600),
    [aux_sym_having_clause_token1] = ACTIONS(1600),
    [aux_sym_qualify_clause_token1] = ACTIONS(1600),
    [aux_sym_limit_clause_token1] = ACTIONS(1600),
    [aux_sym_group_by_clause_token1] = ACTIONS(1600),
    [aux_sym_order_by_clause_token1] = ACTIONS(1600),
    [aux_sym_where_clause_token1] = ACTIONS(1600),
    [aux_sym_insert_statement_token1] = ACTIONS(1600),
    [aux_sym_truncate_statement_token1] = ACTIONS(1600),
    [aux_sym_update_statement_token1] = ACTIONS(1600),
    [aux_sym_merge_statement_token1] = ACTIONS(1600),
    [aux_sym_grant_statement_token1] = ACTIONS(1600),
    [aux_sym_revoke_statement_token1] = ACTIONS(1600),
    [aux_sym_export_data_statement_token1] = ACTIONS(1600),
    [aux_sym_load_data_statement_token1] = ACTIONS(1600),
    [anon_sym_LBRACK] = ACTIONS(1598),
    [sym__quoted_identifier] = ACTIONS(1598),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1598),
    [anon_sym_PLUS] = ACTIONS(1598),
    [anon_sym_DASH] = ACTIONS(1600),
    [anon_sym_STAR] = ACTIONS(1598),
    [anon_sym_SLASH] = ACTIONS(1600),
    [anon_sym_PIPE_PIPE] = ACTIONS(1598),
    [anon_sym_LT_EQ] = ACTIONS(1598),
    [anon_sym_LT_GT] = ACTIONS(1598),
    [anon_sym_GT_EQ] = ACTIONS(1598),
    [anon_sym_BANG_EQ] = ACTIONS(1598),
    [anon_sym_LT_LT] = ACTIONS(1598),
    [anon_sym_GT_GT] = ACTIONS(1598),
    [anon_sym_AMP] = ACTIONS(1598),
    [anon_sym_CARET] = ACTIONS(1598),
    [anon_sym_PIPE] = ACTIONS(1600),
  },
  [2246] = {
    [sym__unquoted_identifier] = ACTIONS(1468),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1468),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1468),
    [aux_sym_keyword_replace_token1] = ACTIONS(1468),
    [aux_sym__keyword_alter_token1] = ACTIONS(1468),
    [aux_sym__keyword_from_token1] = ACTIONS(1468),
    [aux_sym__keyword_delete_token1] = ACTIONS(1468),
    [aux_sym__keyword_begin_token1] = ACTIONS(1468),
    [aux_sym__keyword_end_token1] = ACTIONS(1468),
    [aux_sym__keyword_between_token1] = ACTIONS(1468),
    [aux_sym__keyword_when_token1] = ACTIONS(1468),
    [aux_sym__keyword_else_token1] = ACTIONS(1468),
    [aux_sym__keyword_is_token1] = ACTIONS(1468),
    [aux_sym__keyword_in_token1] = ACTIONS(1468),
    [aux_sym__keyword_and_token1] = ACTIONS(1468),
    [aux_sym__keyword_like_token1] = ACTIONS(1468),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1468),
    [aux_sym__keyword_as_token1] = ACTIONS(1468),
    [aux_sym__keyword_window_token1] = ACTIONS(1468),
    [aux_sym__keyword_date_token1] = ACTIONS(1468),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1468),
    [aux_sym__keyword_time_token1] = ACTIONS(1468),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1468),
    [aux_sym__keyword_for_token1] = ACTIONS(1468),
    [anon_sym_SEMI] = ACTIONS(1466),
    [aux_sym_declare_statement_token1] = ACTIONS(1468),
    [anon_sym_COMMA] = ACTIONS(1466),
    [aux_sym_set_statement_token1] = ACTIONS(1468),
    [anon_sym_LPAREN] = ACTIONS(1466),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1468),
    [aux_sym_return_satement_token1] = ACTIONS(1468),
    [aux_sym_call_statement_token1] = ACTIONS(1468),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1468),
    [aux_sym_if_statement_token1] = ACTIONS(1468),
    [aux_sym_loop_statement_token1] = ACTIONS(1468),
    [aux_sym_repeat_statement_token1] = ACTIONS(1468),
    [aux_sym_while_statement_token1] = ACTIONS(1468),
    [aux_sym_break_statement_token1] = ACTIONS(1468),
    [aux_sym_leave_statement_token1] = ACTIONS(1468),
    [aux_sym_continue_statement_token1] = ACTIONS(1468),
    [aux_sym_iterate_statement_token1] = ACTIONS(1468),
    [aux_sym_raise_statement_token1] = ACTIONS(1468),
    [anon_sym_EQ] = ACTIONS(1466),
    [aux_sym_assert_statement_token1] = ACTIONS(1468),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1468),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1468),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1468),
    [anon_sym_LT] = ACTIONS(1468),
    [anon_sym_GT] = ACTIONS(1468),
    [aux_sym_set_operation_token1] = ACTIONS(1468),
    [aux_sym_set_operation_token3] = ACTIONS(1468),
    [aux_sym_set_operation_token4] = ACTIONS(1468),
    [aux_sym_select_token1] = ACTIONS(1468),
    [aux_sym_having_clause_token1] = ACTIONS(1468),
    [aux_sym_qualify_clause_token1] = ACTIONS(1468),
    [aux_sym_limit_clause_token1] = ACTIONS(1468),
    [aux_sym_group_by_clause_token1] = ACTIONS(1468),
    [aux_sym_order_by_clause_token1] = ACTIONS(1468),
    [aux_sym_where_clause_token1] = ACTIONS(1468),
    [aux_sym_insert_statement_token1] = ACTIONS(1468),
    [aux_sym_truncate_statement_token1] = ACTIONS(1468),
    [aux_sym_update_statement_token1] = ACTIONS(1468),
    [aux_sym_merge_statement_token1] = ACTIONS(1468),
    [aux_sym_grant_statement_token1] = ACTIONS(1468),
    [aux_sym_revoke_statement_token1] = ACTIONS(1468),
    [aux_sym_export_data_statement_token1] = ACTIONS(1468),
    [aux_sym_load_data_statement_token1] = ACTIONS(1468),
    [anon_sym_LBRACK] = ACTIONS(1466),
    [sym__quoted_identifier] = ACTIONS(1466),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_STAR] = ACTIONS(1466),
    [anon_sym_SLASH] = ACTIONS(1468),
    [anon_sym_PIPE_PIPE] = ACTIONS(1466),
    [anon_sym_LT_EQ] = ACTIONS(1466),
    [anon_sym_LT_GT] = ACTIONS(1466),
    [anon_sym_GT_EQ] = ACTIONS(1466),
    [anon_sym_BANG_EQ] = ACTIONS(1466),
    [anon_sym_LT_LT] = ACTIONS(1466),
    [anon_sym_GT_GT] = ACTIONS(1466),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_CARET] = ACTIONS(1466),
    [anon_sym_PIPE] = ACTIONS(1468),
  },
  [2247] = {
    [sym__unquoted_identifier] = ACTIONS(1592),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1592),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1592),
    [aux_sym_keyword_replace_token1] = ACTIONS(1592),
    [aux_sym__keyword_alter_token1] = ACTIONS(1592),
    [aux_sym__keyword_from_token1] = ACTIONS(1592),
    [aux_sym__keyword_delete_token1] = ACTIONS(1592),
    [aux_sym__keyword_begin_token1] = ACTIONS(1592),
    [aux_sym__keyword_end_token1] = ACTIONS(1592),
    [aux_sym__keyword_between_token1] = ACTIONS(1592),
    [aux_sym__keyword_when_token1] = ACTIONS(1592),
    [aux_sym__keyword_else_token1] = ACTIONS(1592),
    [aux_sym__keyword_is_token1] = ACTIONS(1592),
    [aux_sym__keyword_in_token1] = ACTIONS(1592),
    [aux_sym__keyword_and_token1] = ACTIONS(1592),
    [aux_sym__keyword_like_token1] = ACTIONS(1592),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1592),
    [aux_sym__keyword_as_token1] = ACTIONS(1592),
    [aux_sym__keyword_window_token1] = ACTIONS(1592),
    [aux_sym__keyword_date_token1] = ACTIONS(1592),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1592),
    [aux_sym__keyword_time_token1] = ACTIONS(1592),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1592),
    [aux_sym__keyword_for_token1] = ACTIONS(1592),
    [anon_sym_SEMI] = ACTIONS(1590),
    [aux_sym_declare_statement_token1] = ACTIONS(1592),
    [anon_sym_COMMA] = ACTIONS(1590),
    [aux_sym_set_statement_token1] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1590),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1592),
    [aux_sym_return_satement_token1] = ACTIONS(1592),
    [aux_sym_call_statement_token1] = ACTIONS(1592),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1592),
    [aux_sym_if_statement_token1] = ACTIONS(1592),
    [aux_sym_loop_statement_token1] = ACTIONS(1592),
    [aux_sym_repeat_statement_token1] = ACTIONS(1592),
    [aux_sym_while_statement_token1] = ACTIONS(1592),
    [aux_sym_break_statement_token1] = ACTIONS(1592),
    [aux_sym_leave_statement_token1] = ACTIONS(1592),
    [aux_sym_continue_statement_token1] = ACTIONS(1592),
    [aux_sym_iterate_statement_token1] = ACTIONS(1592),
    [aux_sym_raise_statement_token1] = ACTIONS(1592),
    [anon_sym_EQ] = ACTIONS(1590),
    [aux_sym_assert_statement_token1] = ACTIONS(1592),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1592),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1592),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1592),
    [anon_sym_LT] = ACTIONS(1592),
    [anon_sym_GT] = ACTIONS(1592),
    [aux_sym_set_operation_token1] = ACTIONS(1592),
    [aux_sym_set_operation_token3] = ACTIONS(1592),
    [aux_sym_set_operation_token4] = ACTIONS(1592),
    [aux_sym_select_token1] = ACTIONS(1592),
    [aux_sym_having_clause_token1] = ACTIONS(1592),
    [aux_sym_qualify_clause_token1] = ACTIONS(1592),
    [aux_sym_limit_clause_token1] = ACTIONS(1592),
    [aux_sym_group_by_clause_token1] = ACTIONS(1592),
    [aux_sym_order_by_clause_token1] = ACTIONS(1592),
    [aux_sym_where_clause_token1] = ACTIONS(1592),
    [aux_sym_insert_statement_token1] = ACTIONS(1592),
    [aux_sym_truncate_statement_token1] = ACTIONS(1592),
    [aux_sym_update_statement_token1] = ACTIONS(1592),
    [aux_sym_merge_statement_token1] = ACTIONS(1592),
    [aux_sym_grant_statement_token1] = ACTIONS(1592),
    [aux_sym_revoke_statement_token1] = ACTIONS(1592),
    [aux_sym_export_data_statement_token1] = ACTIONS(1592),
    [aux_sym_load_data_statement_token1] = ACTIONS(1592),
    [anon_sym_LBRACK] = ACTIONS(1590),
    [sym__quoted_identifier] = ACTIONS(1590),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1590),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1592),
    [anon_sym_STAR] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(1592),
    [anon_sym_PIPE_PIPE] = ACTIONS(1590),
    [anon_sym_LT_EQ] = ACTIONS(1590),
    [anon_sym_LT_GT] = ACTIONS(1590),
    [anon_sym_GT_EQ] = ACTIONS(1590),
    [anon_sym_BANG_EQ] = ACTIONS(1590),
    [anon_sym_LT_LT] = ACTIONS(1590),
    [anon_sym_GT_GT] = ACTIONS(1590),
    [anon_sym_AMP] = ACTIONS(1590),
    [anon_sym_CARET] = ACTIONS(1590),
    [anon_sym_PIPE] = ACTIONS(1592),
  },
  [2248] = {
    [sym__unquoted_identifier] = ACTIONS(1472),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1472),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1472),
    [aux_sym_keyword_replace_token1] = ACTIONS(1472),
    [aux_sym__keyword_alter_token1] = ACTIONS(1472),
    [aux_sym__keyword_from_token1] = ACTIONS(1472),
    [aux_sym__keyword_delete_token1] = ACTIONS(1472),
    [aux_sym__keyword_begin_token1] = ACTIONS(1472),
    [aux_sym__keyword_end_token1] = ACTIONS(1472),
    [aux_sym__keyword_between_token1] = ACTIONS(1472),
    [aux_sym__keyword_when_token1] = ACTIONS(1472),
    [aux_sym__keyword_else_token1] = ACTIONS(1472),
    [aux_sym__keyword_is_token1] = ACTIONS(1472),
    [aux_sym__keyword_in_token1] = ACTIONS(1472),
    [aux_sym__keyword_and_token1] = ACTIONS(1472),
    [aux_sym__keyword_like_token1] = ACTIONS(1472),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1472),
    [aux_sym__keyword_as_token1] = ACTIONS(1472),
    [aux_sym__keyword_window_token1] = ACTIONS(1472),
    [aux_sym__keyword_date_token1] = ACTIONS(1472),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1472),
    [aux_sym__keyword_time_token1] = ACTIONS(1472),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1472),
    [aux_sym__keyword_for_token1] = ACTIONS(1472),
    [anon_sym_SEMI] = ACTIONS(1470),
    [aux_sym_declare_statement_token1] = ACTIONS(1472),
    [anon_sym_COMMA] = ACTIONS(1470),
    [aux_sym_set_statement_token1] = ACTIONS(1472),
    [anon_sym_LPAREN] = ACTIONS(1470),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1472),
    [aux_sym_return_satement_token1] = ACTIONS(1472),
    [aux_sym_call_statement_token1] = ACTIONS(1472),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1472),
    [aux_sym_if_statement_token1] = ACTIONS(1472),
    [aux_sym_loop_statement_token1] = ACTIONS(1472),
    [aux_sym_repeat_statement_token1] = ACTIONS(1472),
    [aux_sym_while_statement_token1] = ACTIONS(1472),
    [aux_sym_break_statement_token1] = ACTIONS(1472),
    [aux_sym_leave_statement_token1] = ACTIONS(1472),
    [aux_sym_continue_statement_token1] = ACTIONS(1472),
    [aux_sym_iterate_statement_token1] = ACTIONS(1472),
    [aux_sym_raise_statement_token1] = ACTIONS(1472),
    [anon_sym_EQ] = ACTIONS(1470),
    [aux_sym_assert_statement_token1] = ACTIONS(1472),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1472),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1472),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1472),
    [anon_sym_LT] = ACTIONS(1472),
    [anon_sym_GT] = ACTIONS(1472),
    [aux_sym_set_operation_token1] = ACTIONS(1472),
    [aux_sym_set_operation_token3] = ACTIONS(1472),
    [aux_sym_set_operation_token4] = ACTIONS(1472),
    [aux_sym_select_token1] = ACTIONS(1472),
    [aux_sym_having_clause_token1] = ACTIONS(1472),
    [aux_sym_qualify_clause_token1] = ACTIONS(1472),
    [aux_sym_limit_clause_token1] = ACTIONS(1472),
    [aux_sym_group_by_clause_token1] = ACTIONS(1472),
    [aux_sym_order_by_clause_token1] = ACTIONS(1472),
    [aux_sym_where_clause_token1] = ACTIONS(1472),
    [aux_sym_insert_statement_token1] = ACTIONS(1472),
    [aux_sym_truncate_statement_token1] = ACTIONS(1472),
    [aux_sym_update_statement_token1] = ACTIONS(1472),
    [aux_sym_merge_statement_token1] = ACTIONS(1472),
    [aux_sym_grant_statement_token1] = ACTIONS(1472),
    [aux_sym_revoke_statement_token1] = ACTIONS(1472),
    [aux_sym_export_data_statement_token1] = ACTIONS(1472),
    [aux_sym_load_data_statement_token1] = ACTIONS(1472),
    [anon_sym_LBRACK] = ACTIONS(1470),
    [sym__quoted_identifier] = ACTIONS(1470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1470),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_STAR] = ACTIONS(1470),
    [anon_sym_SLASH] = ACTIONS(1472),
    [anon_sym_PIPE_PIPE] = ACTIONS(1470),
    [anon_sym_LT_EQ] = ACTIONS(1470),
    [anon_sym_LT_GT] = ACTIONS(1470),
    [anon_sym_GT_EQ] = ACTIONS(1470),
    [anon_sym_BANG_EQ] = ACTIONS(1470),
    [anon_sym_LT_LT] = ACTIONS(1470),
    [anon_sym_GT_GT] = ACTIONS(1470),
    [anon_sym_AMP] = ACTIONS(1470),
    [anon_sym_CARET] = ACTIONS(1470),
    [anon_sym_PIPE] = ACTIONS(1472),
  },
  [2249] = {
    [sym__unquoted_identifier] = ACTIONS(1856),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1856),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1856),
    [aux_sym_keyword_replace_token1] = ACTIONS(1856),
    [aux_sym__keyword_alter_token1] = ACTIONS(1856),
    [aux_sym__keyword_from_token1] = ACTIONS(1856),
    [aux_sym__keyword_delete_token1] = ACTIONS(1856),
    [aux_sym__keyword_begin_token1] = ACTIONS(1856),
    [aux_sym__keyword_end_token1] = ACTIONS(1856),
    [aux_sym__keyword_between_token1] = ACTIONS(1856),
    [aux_sym__keyword_when_token1] = ACTIONS(1856),
    [aux_sym__keyword_else_token1] = ACTIONS(1856),
    [aux_sym__keyword_is_token1] = ACTIONS(1856),
    [aux_sym__keyword_in_token1] = ACTIONS(1856),
    [aux_sym__keyword_and_token1] = ACTIONS(1856),
    [aux_sym__keyword_like_token1] = ACTIONS(1856),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1856),
    [aux_sym__keyword_as_token1] = ACTIONS(1856),
    [aux_sym__keyword_window_token1] = ACTIONS(1856),
    [aux_sym__keyword_date_token1] = ACTIONS(1856),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1856),
    [aux_sym__keyword_time_token1] = ACTIONS(1856),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1856),
    [aux_sym__keyword_for_token1] = ACTIONS(1856),
    [anon_sym_SEMI] = ACTIONS(1854),
    [aux_sym_declare_statement_token1] = ACTIONS(1856),
    [anon_sym_COMMA] = ACTIONS(1854),
    [aux_sym_set_statement_token1] = ACTIONS(1856),
    [anon_sym_LPAREN] = ACTIONS(1854),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1856),
    [aux_sym_return_satement_token1] = ACTIONS(1856),
    [aux_sym_call_statement_token1] = ACTIONS(1856),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1856),
    [aux_sym_if_statement_token1] = ACTIONS(1856),
    [aux_sym_loop_statement_token1] = ACTIONS(1856),
    [aux_sym_repeat_statement_token1] = ACTIONS(1856),
    [aux_sym_while_statement_token1] = ACTIONS(1856),
    [aux_sym_break_statement_token1] = ACTIONS(1856),
    [aux_sym_leave_statement_token1] = ACTIONS(1856),
    [aux_sym_continue_statement_token1] = ACTIONS(1856),
    [aux_sym_iterate_statement_token1] = ACTIONS(1856),
    [aux_sym_raise_statement_token1] = ACTIONS(1856),
    [anon_sym_EQ] = ACTIONS(1854),
    [aux_sym_assert_statement_token1] = ACTIONS(1856),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1856),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1856),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1856),
    [anon_sym_LT] = ACTIONS(1856),
    [anon_sym_GT] = ACTIONS(1856),
    [aux_sym_set_operation_token1] = ACTIONS(1856),
    [aux_sym_set_operation_token3] = ACTIONS(1856),
    [aux_sym_set_operation_token4] = ACTIONS(1856),
    [aux_sym_select_token1] = ACTIONS(1856),
    [aux_sym_having_clause_token1] = ACTIONS(1856),
    [aux_sym_qualify_clause_token1] = ACTIONS(1856),
    [aux_sym_limit_clause_token1] = ACTIONS(1856),
    [aux_sym_group_by_clause_token1] = ACTIONS(1856),
    [aux_sym_order_by_clause_token1] = ACTIONS(1856),
    [aux_sym_where_clause_token1] = ACTIONS(1856),
    [aux_sym_insert_statement_token1] = ACTIONS(1856),
    [aux_sym_truncate_statement_token1] = ACTIONS(1856),
    [aux_sym_update_statement_token1] = ACTIONS(1856),
    [aux_sym_merge_statement_token1] = ACTIONS(1856),
    [aux_sym_grant_statement_token1] = ACTIONS(1856),
    [aux_sym_revoke_statement_token1] = ACTIONS(1856),
    [aux_sym_export_data_statement_token1] = ACTIONS(1856),
    [aux_sym_load_data_statement_token1] = ACTIONS(1856),
    [anon_sym_LBRACK] = ACTIONS(1854),
    [sym__quoted_identifier] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1854),
    [anon_sym_SLASH] = ACTIONS(1856),
    [anon_sym_PIPE_PIPE] = ACTIONS(1854),
    [anon_sym_LT_EQ] = ACTIONS(1854),
    [anon_sym_LT_GT] = ACTIONS(1854),
    [anon_sym_GT_EQ] = ACTIONS(1854),
    [anon_sym_BANG_EQ] = ACTIONS(1854),
    [anon_sym_LT_LT] = ACTIONS(1854),
    [anon_sym_GT_GT] = ACTIONS(1854),
    [anon_sym_AMP] = ACTIONS(1854),
    [anon_sym_CARET] = ACTIONS(1854),
    [anon_sym_PIPE] = ACTIONS(1856),
  },
  [2250] = {
    [sym__unquoted_identifier] = ACTIONS(1766),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1766),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1766),
    [aux_sym_keyword_replace_token1] = ACTIONS(1766),
    [aux_sym__keyword_alter_token1] = ACTIONS(1766),
    [aux_sym__keyword_from_token1] = ACTIONS(1766),
    [aux_sym__keyword_delete_token1] = ACTIONS(1766),
    [aux_sym__keyword_begin_token1] = ACTIONS(1766),
    [aux_sym__keyword_end_token1] = ACTIONS(1766),
    [aux_sym__keyword_between_token1] = ACTIONS(1766),
    [aux_sym__keyword_when_token1] = ACTIONS(1766),
    [aux_sym__keyword_else_token1] = ACTIONS(1766),
    [aux_sym__keyword_is_token1] = ACTIONS(1766),
    [aux_sym__keyword_in_token1] = ACTIONS(1766),
    [aux_sym__keyword_and_token1] = ACTIONS(1766),
    [aux_sym__keyword_like_token1] = ACTIONS(1766),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1766),
    [aux_sym__keyword_as_token1] = ACTIONS(1766),
    [aux_sym__keyword_window_token1] = ACTIONS(1766),
    [aux_sym__keyword_date_token1] = ACTIONS(1766),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1766),
    [aux_sym__keyword_time_token1] = ACTIONS(1766),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1766),
    [aux_sym__keyword_for_token1] = ACTIONS(1766),
    [anon_sym_SEMI] = ACTIONS(1764),
    [aux_sym_declare_statement_token1] = ACTIONS(1766),
    [anon_sym_COMMA] = ACTIONS(1764),
    [aux_sym_set_statement_token1] = ACTIONS(1766),
    [anon_sym_LPAREN] = ACTIONS(1764),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1766),
    [aux_sym_return_satement_token1] = ACTIONS(1766),
    [aux_sym_call_statement_token1] = ACTIONS(1766),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1766),
    [aux_sym_if_statement_token1] = ACTIONS(1766),
    [aux_sym_loop_statement_token1] = ACTIONS(1766),
    [aux_sym_repeat_statement_token1] = ACTIONS(1766),
    [aux_sym_while_statement_token1] = ACTIONS(1766),
    [aux_sym_break_statement_token1] = ACTIONS(1766),
    [aux_sym_leave_statement_token1] = ACTIONS(1766),
    [aux_sym_continue_statement_token1] = ACTIONS(1766),
    [aux_sym_iterate_statement_token1] = ACTIONS(1766),
    [aux_sym_raise_statement_token1] = ACTIONS(1766),
    [anon_sym_EQ] = ACTIONS(1764),
    [aux_sym_assert_statement_token1] = ACTIONS(1766),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1766),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1766),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1766),
    [anon_sym_LT] = ACTIONS(1766),
    [anon_sym_GT] = ACTIONS(1766),
    [aux_sym_set_operation_token1] = ACTIONS(1766),
    [aux_sym_set_operation_token3] = ACTIONS(1766),
    [aux_sym_set_operation_token4] = ACTIONS(1766),
    [aux_sym_select_token1] = ACTIONS(1766),
    [aux_sym_having_clause_token1] = ACTIONS(1766),
    [aux_sym_qualify_clause_token1] = ACTIONS(1766),
    [aux_sym_limit_clause_token1] = ACTIONS(1766),
    [aux_sym_group_by_clause_token1] = ACTIONS(1766),
    [aux_sym_order_by_clause_token1] = ACTIONS(1766),
    [aux_sym_where_clause_token1] = ACTIONS(1766),
    [aux_sym_insert_statement_token1] = ACTIONS(1766),
    [aux_sym_truncate_statement_token1] = ACTIONS(1766),
    [aux_sym_update_statement_token1] = ACTIONS(1766),
    [aux_sym_merge_statement_token1] = ACTIONS(1766),
    [aux_sym_grant_statement_token1] = ACTIONS(1766),
    [aux_sym_revoke_statement_token1] = ACTIONS(1766),
    [aux_sym_export_data_statement_token1] = ACTIONS(1766),
    [aux_sym_load_data_statement_token1] = ACTIONS(1766),
    [anon_sym_LBRACK] = ACTIONS(1764),
    [sym__quoted_identifier] = ACTIONS(1764),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_DASH] = ACTIONS(1766),
    [anon_sym_STAR] = ACTIONS(1764),
    [anon_sym_SLASH] = ACTIONS(1766),
    [anon_sym_PIPE_PIPE] = ACTIONS(1764),
    [anon_sym_LT_EQ] = ACTIONS(1764),
    [anon_sym_LT_GT] = ACTIONS(1764),
    [anon_sym_GT_EQ] = ACTIONS(1764),
    [anon_sym_BANG_EQ] = ACTIONS(1764),
    [anon_sym_LT_LT] = ACTIONS(1764),
    [anon_sym_GT_GT] = ACTIONS(1764),
    [anon_sym_AMP] = ACTIONS(1764),
    [anon_sym_CARET] = ACTIONS(1764),
    [anon_sym_PIPE] = ACTIONS(1766),
  },
  [2251] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2252] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2253] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2254] = {
    [sym__unquoted_identifier] = ACTIONS(1848),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1848),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1848),
    [aux_sym_keyword_replace_token1] = ACTIONS(1848),
    [aux_sym__keyword_alter_token1] = ACTIONS(1848),
    [aux_sym__keyword_from_token1] = ACTIONS(1848),
    [aux_sym__keyword_delete_token1] = ACTIONS(1848),
    [aux_sym__keyword_begin_token1] = ACTIONS(1848),
    [aux_sym__keyword_end_token1] = ACTIONS(1848),
    [aux_sym__keyword_between_token1] = ACTIONS(1848),
    [aux_sym__keyword_when_token1] = ACTIONS(1848),
    [aux_sym__keyword_else_token1] = ACTIONS(1848),
    [aux_sym__keyword_is_token1] = ACTIONS(1848),
    [aux_sym__keyword_in_token1] = ACTIONS(1848),
    [aux_sym__keyword_and_token1] = ACTIONS(1848),
    [aux_sym__keyword_like_token1] = ACTIONS(1848),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1848),
    [aux_sym__keyword_as_token1] = ACTIONS(1848),
    [aux_sym__keyword_window_token1] = ACTIONS(1848),
    [aux_sym__keyword_date_token1] = ACTIONS(1848),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1848),
    [aux_sym__keyword_time_token1] = ACTIONS(1848),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1848),
    [aux_sym__keyword_for_token1] = ACTIONS(1848),
    [anon_sym_SEMI] = ACTIONS(1846),
    [aux_sym_declare_statement_token1] = ACTIONS(1848),
    [anon_sym_COMMA] = ACTIONS(1846),
    [aux_sym_set_statement_token1] = ACTIONS(1848),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1848),
    [aux_sym_return_satement_token1] = ACTIONS(1848),
    [aux_sym_call_statement_token1] = ACTIONS(1848),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1848),
    [aux_sym_if_statement_token1] = ACTIONS(1848),
    [aux_sym_loop_statement_token1] = ACTIONS(1848),
    [aux_sym_repeat_statement_token1] = ACTIONS(1848),
    [aux_sym_while_statement_token1] = ACTIONS(1848),
    [aux_sym_break_statement_token1] = ACTIONS(1848),
    [aux_sym_leave_statement_token1] = ACTIONS(1848),
    [aux_sym_continue_statement_token1] = ACTIONS(1848),
    [aux_sym_iterate_statement_token1] = ACTIONS(1848),
    [aux_sym_raise_statement_token1] = ACTIONS(1848),
    [anon_sym_EQ] = ACTIONS(1846),
    [aux_sym_assert_statement_token1] = ACTIONS(1848),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1848),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1848),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1848),
    [anon_sym_LT] = ACTIONS(1848),
    [anon_sym_GT] = ACTIONS(1848),
    [aux_sym_set_operation_token1] = ACTIONS(1848),
    [aux_sym_set_operation_token3] = ACTIONS(1848),
    [aux_sym_set_operation_token4] = ACTIONS(1848),
    [aux_sym_select_token1] = ACTIONS(1848),
    [aux_sym_having_clause_token1] = ACTIONS(1848),
    [aux_sym_qualify_clause_token1] = ACTIONS(1848),
    [aux_sym_limit_clause_token1] = ACTIONS(1848),
    [aux_sym_group_by_clause_token1] = ACTIONS(1848),
    [aux_sym_order_by_clause_token1] = ACTIONS(1848),
    [aux_sym_where_clause_token1] = ACTIONS(1848),
    [aux_sym_insert_statement_token1] = ACTIONS(1848),
    [aux_sym_truncate_statement_token1] = ACTIONS(1848),
    [aux_sym_update_statement_token1] = ACTIONS(1848),
    [aux_sym_merge_statement_token1] = ACTIONS(1848),
    [aux_sym_grant_statement_token1] = ACTIONS(1848),
    [aux_sym_revoke_statement_token1] = ACTIONS(1848),
    [aux_sym_export_data_statement_token1] = ACTIONS(1848),
    [aux_sym_load_data_statement_token1] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1846),
    [sym__quoted_identifier] = ACTIONS(1846),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1846),
    [anon_sym_PLUS] = ACTIONS(1846),
    [anon_sym_DASH] = ACTIONS(1848),
    [anon_sym_STAR] = ACTIONS(1846),
    [anon_sym_SLASH] = ACTIONS(1848),
    [anon_sym_PIPE_PIPE] = ACTIONS(1846),
    [anon_sym_LT_EQ] = ACTIONS(1846),
    [anon_sym_LT_GT] = ACTIONS(1846),
    [anon_sym_GT_EQ] = ACTIONS(1846),
    [anon_sym_BANG_EQ] = ACTIONS(1846),
    [anon_sym_LT_LT] = ACTIONS(1846),
    [anon_sym_GT_GT] = ACTIONS(1846),
    [anon_sym_AMP] = ACTIONS(1846),
    [anon_sym_CARET] = ACTIONS(1846),
    [anon_sym_PIPE] = ACTIONS(1848),
  },
  [2255] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2256] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2257] = {
    [sym__unquoted_identifier] = ACTIONS(1702),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1702),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1702),
    [aux_sym_keyword_replace_token1] = ACTIONS(1702),
    [aux_sym__keyword_alter_token1] = ACTIONS(1702),
    [aux_sym__keyword_from_token1] = ACTIONS(1702),
    [aux_sym__keyword_delete_token1] = ACTIONS(1702),
    [aux_sym__keyword_begin_token1] = ACTIONS(1702),
    [aux_sym__keyword_end_token1] = ACTIONS(1702),
    [aux_sym__keyword_between_token1] = ACTIONS(1702),
    [aux_sym__keyword_when_token1] = ACTIONS(1702),
    [aux_sym__keyword_else_token1] = ACTIONS(1702),
    [aux_sym__keyword_is_token1] = ACTIONS(1702),
    [aux_sym__keyword_in_token1] = ACTIONS(1702),
    [aux_sym__keyword_and_token1] = ACTIONS(1702),
    [aux_sym__keyword_like_token1] = ACTIONS(1702),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1702),
    [aux_sym__keyword_as_token1] = ACTIONS(1702),
    [aux_sym__keyword_window_token1] = ACTIONS(1702),
    [aux_sym__keyword_date_token1] = ACTIONS(1702),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1702),
    [aux_sym__keyword_time_token1] = ACTIONS(1702),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1702),
    [aux_sym__keyword_for_token1] = ACTIONS(1702),
    [anon_sym_SEMI] = ACTIONS(1700),
    [aux_sym_declare_statement_token1] = ACTIONS(1702),
    [anon_sym_COMMA] = ACTIONS(1700),
    [aux_sym_set_statement_token1] = ACTIONS(1702),
    [anon_sym_LPAREN] = ACTIONS(1700),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1702),
    [aux_sym_return_satement_token1] = ACTIONS(1702),
    [aux_sym_call_statement_token1] = ACTIONS(1702),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1702),
    [aux_sym_if_statement_token1] = ACTIONS(1702),
    [aux_sym_loop_statement_token1] = ACTIONS(1702),
    [aux_sym_repeat_statement_token1] = ACTIONS(1702),
    [aux_sym_while_statement_token1] = ACTIONS(1702),
    [aux_sym_break_statement_token1] = ACTIONS(1702),
    [aux_sym_leave_statement_token1] = ACTIONS(1702),
    [aux_sym_continue_statement_token1] = ACTIONS(1702),
    [aux_sym_iterate_statement_token1] = ACTIONS(1702),
    [aux_sym_raise_statement_token1] = ACTIONS(1702),
    [anon_sym_EQ] = ACTIONS(1700),
    [aux_sym_assert_statement_token1] = ACTIONS(1702),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1702),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1702),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1702),
    [anon_sym_LT] = ACTIONS(1702),
    [anon_sym_GT] = ACTIONS(1702),
    [aux_sym_set_operation_token1] = ACTIONS(1702),
    [aux_sym_set_operation_token3] = ACTIONS(1702),
    [aux_sym_set_operation_token4] = ACTIONS(1702),
    [aux_sym_select_token1] = ACTIONS(1702),
    [aux_sym_having_clause_token1] = ACTIONS(1702),
    [aux_sym_qualify_clause_token1] = ACTIONS(1702),
    [aux_sym_limit_clause_token1] = ACTIONS(1702),
    [aux_sym_group_by_clause_token1] = ACTIONS(1702),
    [aux_sym_order_by_clause_token1] = ACTIONS(1702),
    [aux_sym_where_clause_token1] = ACTIONS(1702),
    [aux_sym_insert_statement_token1] = ACTIONS(1702),
    [aux_sym_truncate_statement_token1] = ACTIONS(1702),
    [aux_sym_update_statement_token1] = ACTIONS(1702),
    [aux_sym_merge_statement_token1] = ACTIONS(1702),
    [aux_sym_grant_statement_token1] = ACTIONS(1702),
    [aux_sym_revoke_statement_token1] = ACTIONS(1702),
    [aux_sym_export_data_statement_token1] = ACTIONS(1702),
    [aux_sym_load_data_statement_token1] = ACTIONS(1702),
    [anon_sym_LBRACK] = ACTIONS(1700),
    [sym__quoted_identifier] = ACTIONS(1700),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1700),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_DASH] = ACTIONS(1702),
    [anon_sym_STAR] = ACTIONS(1700),
    [anon_sym_SLASH] = ACTIONS(1702),
    [anon_sym_PIPE_PIPE] = ACTIONS(1700),
    [anon_sym_LT_EQ] = ACTIONS(1700),
    [anon_sym_LT_GT] = ACTIONS(1700),
    [anon_sym_GT_EQ] = ACTIONS(1700),
    [anon_sym_BANG_EQ] = ACTIONS(1700),
    [anon_sym_LT_LT] = ACTIONS(1700),
    [anon_sym_GT_GT] = ACTIONS(1700),
    [anon_sym_AMP] = ACTIONS(1700),
    [anon_sym_CARET] = ACTIONS(1700),
    [anon_sym_PIPE] = ACTIONS(1702),
  },
  [2258] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2259] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2260] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2261] = {
    [sym__unquoted_identifier] = ACTIONS(1742),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1742),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1742),
    [aux_sym_keyword_replace_token1] = ACTIONS(1742),
    [aux_sym__keyword_alter_token1] = ACTIONS(1742),
    [aux_sym__keyword_from_token1] = ACTIONS(1742),
    [aux_sym__keyword_delete_token1] = ACTIONS(1742),
    [aux_sym__keyword_begin_token1] = ACTIONS(1742),
    [aux_sym__keyword_end_token1] = ACTIONS(1742),
    [aux_sym__keyword_between_token1] = ACTIONS(1742),
    [aux_sym__keyword_when_token1] = ACTIONS(1742),
    [aux_sym__keyword_else_token1] = ACTIONS(1742),
    [aux_sym__keyword_is_token1] = ACTIONS(1742),
    [aux_sym__keyword_in_token1] = ACTIONS(1742),
    [aux_sym__keyword_and_token1] = ACTIONS(1742),
    [aux_sym__keyword_like_token1] = ACTIONS(1742),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1742),
    [aux_sym__keyword_as_token1] = ACTIONS(1742),
    [aux_sym__keyword_window_token1] = ACTIONS(1742),
    [aux_sym__keyword_date_token1] = ACTIONS(1742),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1742),
    [aux_sym__keyword_time_token1] = ACTIONS(1742),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1742),
    [aux_sym__keyword_for_token1] = ACTIONS(1742),
    [anon_sym_SEMI] = ACTIONS(1740),
    [aux_sym_declare_statement_token1] = ACTIONS(1742),
    [anon_sym_COMMA] = ACTIONS(1740),
    [aux_sym_set_statement_token1] = ACTIONS(1742),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1742),
    [aux_sym_return_satement_token1] = ACTIONS(1742),
    [aux_sym_call_statement_token1] = ACTIONS(1742),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1742),
    [aux_sym_if_statement_token1] = ACTIONS(1742),
    [aux_sym_loop_statement_token1] = ACTIONS(1742),
    [aux_sym_repeat_statement_token1] = ACTIONS(1742),
    [aux_sym_while_statement_token1] = ACTIONS(1742),
    [aux_sym_break_statement_token1] = ACTIONS(1742),
    [aux_sym_leave_statement_token1] = ACTIONS(1742),
    [aux_sym_continue_statement_token1] = ACTIONS(1742),
    [aux_sym_iterate_statement_token1] = ACTIONS(1742),
    [aux_sym_raise_statement_token1] = ACTIONS(1742),
    [anon_sym_EQ] = ACTIONS(1740),
    [aux_sym_assert_statement_token1] = ACTIONS(1742),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1742),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1742),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1742),
    [anon_sym_LT] = ACTIONS(1742),
    [anon_sym_GT] = ACTIONS(1742),
    [aux_sym_set_operation_token1] = ACTIONS(1742),
    [aux_sym_set_operation_token3] = ACTIONS(1742),
    [aux_sym_set_operation_token4] = ACTIONS(1742),
    [aux_sym_select_token1] = ACTIONS(1742),
    [aux_sym_having_clause_token1] = ACTIONS(1742),
    [aux_sym_qualify_clause_token1] = ACTIONS(1742),
    [aux_sym_limit_clause_token1] = ACTIONS(1742),
    [aux_sym_group_by_clause_token1] = ACTIONS(1742),
    [aux_sym_order_by_clause_token1] = ACTIONS(1742),
    [aux_sym_where_clause_token1] = ACTIONS(1742),
    [aux_sym_insert_statement_token1] = ACTIONS(1742),
    [aux_sym_truncate_statement_token1] = ACTIONS(1742),
    [aux_sym_update_statement_token1] = ACTIONS(1742),
    [aux_sym_merge_statement_token1] = ACTIONS(1742),
    [aux_sym_grant_statement_token1] = ACTIONS(1742),
    [aux_sym_revoke_statement_token1] = ACTIONS(1742),
    [aux_sym_export_data_statement_token1] = ACTIONS(1742),
    [aux_sym_load_data_statement_token1] = ACTIONS(1742),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [sym__quoted_identifier] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1740),
    [anon_sym_SLASH] = ACTIONS(1742),
    [anon_sym_PIPE_PIPE] = ACTIONS(1740),
    [anon_sym_LT_EQ] = ACTIONS(1740),
    [anon_sym_LT_GT] = ACTIONS(1740),
    [anon_sym_GT_EQ] = ACTIONS(1740),
    [anon_sym_BANG_EQ] = ACTIONS(1740),
    [anon_sym_LT_LT] = ACTIONS(1740),
    [anon_sym_GT_GT] = ACTIONS(1740),
    [anon_sym_AMP] = ACTIONS(1740),
    [anon_sym_CARET] = ACTIONS(1740),
    [anon_sym_PIPE] = ACTIONS(1742),
  },
  [2262] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2263] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2264] = {
    [sym__unquoted_identifier] = ACTIONS(1738),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1738),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1738),
    [aux_sym_keyword_replace_token1] = ACTIONS(1738),
    [aux_sym__keyword_alter_token1] = ACTIONS(1738),
    [aux_sym__keyword_from_token1] = ACTIONS(1738),
    [aux_sym__keyword_delete_token1] = ACTIONS(1738),
    [aux_sym__keyword_begin_token1] = ACTIONS(1738),
    [aux_sym__keyword_end_token1] = ACTIONS(1738),
    [aux_sym__keyword_between_token1] = ACTIONS(1738),
    [aux_sym__keyword_when_token1] = ACTIONS(1738),
    [aux_sym__keyword_else_token1] = ACTIONS(1738),
    [aux_sym__keyword_is_token1] = ACTIONS(1738),
    [aux_sym__keyword_in_token1] = ACTIONS(1738),
    [aux_sym__keyword_and_token1] = ACTIONS(1738),
    [aux_sym__keyword_like_token1] = ACTIONS(1738),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1738),
    [aux_sym__keyword_as_token1] = ACTIONS(1738),
    [aux_sym__keyword_window_token1] = ACTIONS(1738),
    [aux_sym__keyword_date_token1] = ACTIONS(1738),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1738),
    [aux_sym__keyword_time_token1] = ACTIONS(1738),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1738),
    [aux_sym__keyword_for_token1] = ACTIONS(1738),
    [anon_sym_SEMI] = ACTIONS(1736),
    [aux_sym_declare_statement_token1] = ACTIONS(1738),
    [anon_sym_COMMA] = ACTIONS(1736),
    [aux_sym_set_statement_token1] = ACTIONS(1738),
    [anon_sym_LPAREN] = ACTIONS(1736),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1738),
    [aux_sym_return_satement_token1] = ACTIONS(1738),
    [aux_sym_call_statement_token1] = ACTIONS(1738),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1738),
    [aux_sym_if_statement_token1] = ACTIONS(1738),
    [aux_sym_loop_statement_token1] = ACTIONS(1738),
    [aux_sym_repeat_statement_token1] = ACTIONS(1738),
    [aux_sym_while_statement_token1] = ACTIONS(1738),
    [aux_sym_break_statement_token1] = ACTIONS(1738),
    [aux_sym_leave_statement_token1] = ACTIONS(1738),
    [aux_sym_continue_statement_token1] = ACTIONS(1738),
    [aux_sym_iterate_statement_token1] = ACTIONS(1738),
    [aux_sym_raise_statement_token1] = ACTIONS(1738),
    [anon_sym_EQ] = ACTIONS(1736),
    [aux_sym_assert_statement_token1] = ACTIONS(1738),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1738),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1738),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1738),
    [anon_sym_LT] = ACTIONS(1738),
    [anon_sym_GT] = ACTIONS(1738),
    [aux_sym_set_operation_token1] = ACTIONS(1738),
    [aux_sym_set_operation_token3] = ACTIONS(1738),
    [aux_sym_set_operation_token4] = ACTIONS(1738),
    [aux_sym_select_token1] = ACTIONS(1738),
    [aux_sym_having_clause_token1] = ACTIONS(1738),
    [aux_sym_qualify_clause_token1] = ACTIONS(1738),
    [aux_sym_limit_clause_token1] = ACTIONS(1738),
    [aux_sym_group_by_clause_token1] = ACTIONS(1738),
    [aux_sym_order_by_clause_token1] = ACTIONS(1738),
    [aux_sym_where_clause_token1] = ACTIONS(1738),
    [aux_sym_insert_statement_token1] = ACTIONS(1738),
    [aux_sym_truncate_statement_token1] = ACTIONS(1738),
    [aux_sym_update_statement_token1] = ACTIONS(1738),
    [aux_sym_merge_statement_token1] = ACTIONS(1738),
    [aux_sym_grant_statement_token1] = ACTIONS(1738),
    [aux_sym_revoke_statement_token1] = ACTIONS(1738),
    [aux_sym_export_data_statement_token1] = ACTIONS(1738),
    [aux_sym_load_data_statement_token1] = ACTIONS(1738),
    [anon_sym_LBRACK] = ACTIONS(1736),
    [sym__quoted_identifier] = ACTIONS(1736),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1736),
    [anon_sym_PLUS] = ACTIONS(1736),
    [anon_sym_DASH] = ACTIONS(1738),
    [anon_sym_STAR] = ACTIONS(1736),
    [anon_sym_SLASH] = ACTIONS(1738),
    [anon_sym_PIPE_PIPE] = ACTIONS(1736),
    [anon_sym_LT_EQ] = ACTIONS(1736),
    [anon_sym_LT_GT] = ACTIONS(1736),
    [anon_sym_GT_EQ] = ACTIONS(1736),
    [anon_sym_BANG_EQ] = ACTIONS(1736),
    [anon_sym_LT_LT] = ACTIONS(1736),
    [anon_sym_GT_GT] = ACTIONS(1736),
    [anon_sym_AMP] = ACTIONS(1736),
    [anon_sym_CARET] = ACTIONS(1736),
    [anon_sym_PIPE] = ACTIONS(1738),
  },
  [2265] = {
    [sym__unquoted_identifier] = ACTIONS(1706),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1706),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1706),
    [aux_sym_keyword_replace_token1] = ACTIONS(1706),
    [aux_sym__keyword_alter_token1] = ACTIONS(1706),
    [aux_sym__keyword_from_token1] = ACTIONS(1706),
    [aux_sym__keyword_delete_token1] = ACTIONS(1706),
    [aux_sym__keyword_begin_token1] = ACTIONS(1706),
    [aux_sym__keyword_end_token1] = ACTIONS(1706),
    [aux_sym__keyword_between_token1] = ACTIONS(1706),
    [aux_sym__keyword_when_token1] = ACTIONS(1706),
    [aux_sym__keyword_else_token1] = ACTIONS(1706),
    [aux_sym__keyword_is_token1] = ACTIONS(1706),
    [aux_sym__keyword_in_token1] = ACTIONS(1706),
    [aux_sym__keyword_and_token1] = ACTIONS(1706),
    [aux_sym__keyword_like_token1] = ACTIONS(1706),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1706),
    [aux_sym__keyword_as_token1] = ACTIONS(1706),
    [aux_sym__keyword_window_token1] = ACTIONS(1706),
    [aux_sym__keyword_date_token1] = ACTIONS(1706),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1706),
    [aux_sym__keyword_time_token1] = ACTIONS(1706),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1706),
    [aux_sym__keyword_for_token1] = ACTIONS(1706),
    [anon_sym_SEMI] = ACTIONS(1704),
    [aux_sym_declare_statement_token1] = ACTIONS(1706),
    [anon_sym_COMMA] = ACTIONS(1704),
    [aux_sym_set_statement_token1] = ACTIONS(1706),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1706),
    [aux_sym_return_satement_token1] = ACTIONS(1706),
    [aux_sym_call_statement_token1] = ACTIONS(1706),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1706),
    [aux_sym_if_statement_token1] = ACTIONS(1706),
    [aux_sym_loop_statement_token1] = ACTIONS(1706),
    [aux_sym_repeat_statement_token1] = ACTIONS(1706),
    [aux_sym_while_statement_token1] = ACTIONS(1706),
    [aux_sym_break_statement_token1] = ACTIONS(1706),
    [aux_sym_leave_statement_token1] = ACTIONS(1706),
    [aux_sym_continue_statement_token1] = ACTIONS(1706),
    [aux_sym_iterate_statement_token1] = ACTIONS(1706),
    [aux_sym_raise_statement_token1] = ACTIONS(1706),
    [anon_sym_EQ] = ACTIONS(1704),
    [aux_sym_assert_statement_token1] = ACTIONS(1706),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1706),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1706),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1706),
    [anon_sym_LT] = ACTIONS(1706),
    [anon_sym_GT] = ACTIONS(1706),
    [aux_sym_set_operation_token1] = ACTIONS(1706),
    [aux_sym_set_operation_token3] = ACTIONS(1706),
    [aux_sym_set_operation_token4] = ACTIONS(1706),
    [aux_sym_select_token1] = ACTIONS(1706),
    [aux_sym_having_clause_token1] = ACTIONS(1706),
    [aux_sym_qualify_clause_token1] = ACTIONS(1706),
    [aux_sym_limit_clause_token1] = ACTIONS(1706),
    [aux_sym_group_by_clause_token1] = ACTIONS(1706),
    [aux_sym_order_by_clause_token1] = ACTIONS(1706),
    [aux_sym_where_clause_token1] = ACTIONS(1706),
    [aux_sym_insert_statement_token1] = ACTIONS(1706),
    [aux_sym_truncate_statement_token1] = ACTIONS(1706),
    [aux_sym_update_statement_token1] = ACTIONS(1706),
    [aux_sym_merge_statement_token1] = ACTIONS(1706),
    [aux_sym_grant_statement_token1] = ACTIONS(1706),
    [aux_sym_revoke_statement_token1] = ACTIONS(1706),
    [aux_sym_export_data_statement_token1] = ACTIONS(1706),
    [aux_sym_load_data_statement_token1] = ACTIONS(1706),
    [anon_sym_LBRACK] = ACTIONS(1704),
    [sym__quoted_identifier] = ACTIONS(1704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1704),
    [anon_sym_PLUS] = ACTIONS(1704),
    [anon_sym_DASH] = ACTIONS(1706),
    [anon_sym_STAR] = ACTIONS(1704),
    [anon_sym_SLASH] = ACTIONS(1706),
    [anon_sym_PIPE_PIPE] = ACTIONS(1704),
    [anon_sym_LT_EQ] = ACTIONS(1704),
    [anon_sym_LT_GT] = ACTIONS(1704),
    [anon_sym_GT_EQ] = ACTIONS(1704),
    [anon_sym_BANG_EQ] = ACTIONS(1704),
    [anon_sym_LT_LT] = ACTIONS(1704),
    [anon_sym_GT_GT] = ACTIONS(1704),
    [anon_sym_AMP] = ACTIONS(1704),
    [anon_sym_CARET] = ACTIONS(1704),
    [anon_sym_PIPE] = ACTIONS(1706),
  },
  [2266] = {
    [sym__unquoted_identifier] = ACTIONS(1860),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1860),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1860),
    [aux_sym_keyword_replace_token1] = ACTIONS(1860),
    [aux_sym__keyword_alter_token1] = ACTIONS(1860),
    [aux_sym__keyword_from_token1] = ACTIONS(1860),
    [aux_sym__keyword_delete_token1] = ACTIONS(1860),
    [aux_sym__keyword_begin_token1] = ACTIONS(1860),
    [aux_sym__keyword_end_token1] = ACTIONS(1860),
    [aux_sym__keyword_between_token1] = ACTIONS(1860),
    [aux_sym__keyword_when_token1] = ACTIONS(1860),
    [aux_sym__keyword_else_token1] = ACTIONS(1860),
    [aux_sym__keyword_is_token1] = ACTIONS(1860),
    [aux_sym__keyword_in_token1] = ACTIONS(1860),
    [aux_sym__keyword_and_token1] = ACTIONS(1860),
    [aux_sym__keyword_like_token1] = ACTIONS(1860),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1860),
    [aux_sym__keyword_as_token1] = ACTIONS(1860),
    [aux_sym__keyword_window_token1] = ACTIONS(1860),
    [aux_sym__keyword_date_token1] = ACTIONS(1860),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1860),
    [aux_sym__keyword_time_token1] = ACTIONS(1860),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1860),
    [aux_sym__keyword_for_token1] = ACTIONS(1860),
    [anon_sym_SEMI] = ACTIONS(1858),
    [aux_sym_declare_statement_token1] = ACTIONS(1860),
    [anon_sym_COMMA] = ACTIONS(1858),
    [aux_sym_set_statement_token1] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(1858),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1860),
    [aux_sym_return_satement_token1] = ACTIONS(1860),
    [aux_sym_call_statement_token1] = ACTIONS(1860),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1860),
    [aux_sym_if_statement_token1] = ACTIONS(1860),
    [aux_sym_loop_statement_token1] = ACTIONS(1860),
    [aux_sym_repeat_statement_token1] = ACTIONS(1860),
    [aux_sym_while_statement_token1] = ACTIONS(1860),
    [aux_sym_break_statement_token1] = ACTIONS(1860),
    [aux_sym_leave_statement_token1] = ACTIONS(1860),
    [aux_sym_continue_statement_token1] = ACTIONS(1860),
    [aux_sym_iterate_statement_token1] = ACTIONS(1860),
    [aux_sym_raise_statement_token1] = ACTIONS(1860),
    [anon_sym_EQ] = ACTIONS(1858),
    [aux_sym_assert_statement_token1] = ACTIONS(1860),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1860),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1860),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1860),
    [anon_sym_LT] = ACTIONS(1860),
    [anon_sym_GT] = ACTIONS(1860),
    [aux_sym_set_operation_token1] = ACTIONS(1860),
    [aux_sym_set_operation_token3] = ACTIONS(1860),
    [aux_sym_set_operation_token4] = ACTIONS(1860),
    [aux_sym_select_token1] = ACTIONS(1860),
    [aux_sym_having_clause_token1] = ACTIONS(1860),
    [aux_sym_qualify_clause_token1] = ACTIONS(1860),
    [aux_sym_limit_clause_token1] = ACTIONS(1860),
    [aux_sym_group_by_clause_token1] = ACTIONS(1860),
    [aux_sym_order_by_clause_token1] = ACTIONS(1860),
    [aux_sym_where_clause_token1] = ACTIONS(1860),
    [aux_sym_insert_statement_token1] = ACTIONS(1860),
    [aux_sym_truncate_statement_token1] = ACTIONS(1860),
    [aux_sym_update_statement_token1] = ACTIONS(1860),
    [aux_sym_merge_statement_token1] = ACTIONS(1860),
    [aux_sym_grant_statement_token1] = ACTIONS(1860),
    [aux_sym_revoke_statement_token1] = ACTIONS(1860),
    [aux_sym_export_data_statement_token1] = ACTIONS(1860),
    [aux_sym_load_data_statement_token1] = ACTIONS(1860),
    [anon_sym_LBRACK] = ACTIONS(1858),
    [sym__quoted_identifier] = ACTIONS(1858),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1858),
    [anon_sym_PLUS] = ACTIONS(1858),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_PIPE_PIPE] = ACTIONS(1858),
    [anon_sym_LT_EQ] = ACTIONS(1858),
    [anon_sym_LT_GT] = ACTIONS(1858),
    [anon_sym_GT_EQ] = ACTIONS(1858),
    [anon_sym_BANG_EQ] = ACTIONS(1858),
    [anon_sym_LT_LT] = ACTIONS(1858),
    [anon_sym_GT_GT] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym_CARET] = ACTIONS(1858),
    [anon_sym_PIPE] = ACTIONS(1860),
  },
  [2267] = {
    [sym__unquoted_identifier] = ACTIONS(1710),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1710),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1710),
    [aux_sym_keyword_replace_token1] = ACTIONS(1710),
    [aux_sym__keyword_alter_token1] = ACTIONS(1710),
    [aux_sym__keyword_from_token1] = ACTIONS(1710),
    [aux_sym__keyword_delete_token1] = ACTIONS(1710),
    [aux_sym__keyword_begin_token1] = ACTIONS(1710),
    [aux_sym__keyword_end_token1] = ACTIONS(1710),
    [aux_sym__keyword_between_token1] = ACTIONS(1710),
    [aux_sym__keyword_when_token1] = ACTIONS(1710),
    [aux_sym__keyword_else_token1] = ACTIONS(1710),
    [aux_sym__keyword_is_token1] = ACTIONS(1710),
    [aux_sym__keyword_in_token1] = ACTIONS(1710),
    [aux_sym__keyword_and_token1] = ACTIONS(1710),
    [aux_sym__keyword_like_token1] = ACTIONS(1710),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1710),
    [aux_sym__keyword_as_token1] = ACTIONS(1710),
    [aux_sym__keyword_window_token1] = ACTIONS(1710),
    [aux_sym__keyword_date_token1] = ACTIONS(1710),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1710),
    [aux_sym__keyword_time_token1] = ACTIONS(1710),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1710),
    [aux_sym__keyword_for_token1] = ACTIONS(1710),
    [anon_sym_SEMI] = ACTIONS(1708),
    [aux_sym_declare_statement_token1] = ACTIONS(1710),
    [anon_sym_COMMA] = ACTIONS(1708),
    [aux_sym_set_statement_token1] = ACTIONS(1710),
    [anon_sym_LPAREN] = ACTIONS(1708),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1710),
    [aux_sym_return_satement_token1] = ACTIONS(1710),
    [aux_sym_call_statement_token1] = ACTIONS(1710),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1710),
    [aux_sym_if_statement_token1] = ACTIONS(1710),
    [aux_sym_loop_statement_token1] = ACTIONS(1710),
    [aux_sym_repeat_statement_token1] = ACTIONS(1710),
    [aux_sym_while_statement_token1] = ACTIONS(1710),
    [aux_sym_break_statement_token1] = ACTIONS(1710),
    [aux_sym_leave_statement_token1] = ACTIONS(1710),
    [aux_sym_continue_statement_token1] = ACTIONS(1710),
    [aux_sym_iterate_statement_token1] = ACTIONS(1710),
    [aux_sym_raise_statement_token1] = ACTIONS(1710),
    [anon_sym_EQ] = ACTIONS(1708),
    [aux_sym_assert_statement_token1] = ACTIONS(1710),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1710),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1710),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1710),
    [anon_sym_LT] = ACTIONS(1710),
    [anon_sym_GT] = ACTIONS(1710),
    [aux_sym_set_operation_token1] = ACTIONS(1710),
    [aux_sym_set_operation_token3] = ACTIONS(1710),
    [aux_sym_set_operation_token4] = ACTIONS(1710),
    [aux_sym_select_token1] = ACTIONS(1710),
    [aux_sym_having_clause_token1] = ACTIONS(1710),
    [aux_sym_qualify_clause_token1] = ACTIONS(1710),
    [aux_sym_limit_clause_token1] = ACTIONS(1710),
    [aux_sym_group_by_clause_token1] = ACTIONS(1710),
    [aux_sym_order_by_clause_token1] = ACTIONS(1710),
    [aux_sym_where_clause_token1] = ACTIONS(1710),
    [aux_sym_insert_statement_token1] = ACTIONS(1710),
    [aux_sym_truncate_statement_token1] = ACTIONS(1710),
    [aux_sym_update_statement_token1] = ACTIONS(1710),
    [aux_sym_merge_statement_token1] = ACTIONS(1710),
    [aux_sym_grant_statement_token1] = ACTIONS(1710),
    [aux_sym_revoke_statement_token1] = ACTIONS(1710),
    [aux_sym_export_data_statement_token1] = ACTIONS(1710),
    [aux_sym_load_data_statement_token1] = ACTIONS(1710),
    [anon_sym_LBRACK] = ACTIONS(1708),
    [sym__quoted_identifier] = ACTIONS(1708),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_DASH] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(1708),
    [anon_sym_SLASH] = ACTIONS(1710),
    [anon_sym_PIPE_PIPE] = ACTIONS(1708),
    [anon_sym_LT_EQ] = ACTIONS(1708),
    [anon_sym_LT_GT] = ACTIONS(1708),
    [anon_sym_GT_EQ] = ACTIONS(1708),
    [anon_sym_BANG_EQ] = ACTIONS(1708),
    [anon_sym_LT_LT] = ACTIONS(1708),
    [anon_sym_GT_GT] = ACTIONS(1708),
    [anon_sym_AMP] = ACTIONS(1708),
    [anon_sym_CARET] = ACTIONS(1708),
    [anon_sym_PIPE] = ACTIONS(1710),
  },
  [2268] = {
    [sym__unquoted_identifier] = ACTIONS(1494),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1494),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1494),
    [aux_sym_keyword_replace_token1] = ACTIONS(1494),
    [aux_sym__keyword_alter_token1] = ACTIONS(1494),
    [aux_sym__keyword_from_token1] = ACTIONS(1494),
    [aux_sym__keyword_delete_token1] = ACTIONS(1494),
    [aux_sym__keyword_begin_token1] = ACTIONS(1494),
    [aux_sym__keyword_end_token1] = ACTIONS(1494),
    [aux_sym__keyword_between_token1] = ACTIONS(1494),
    [aux_sym__keyword_when_token1] = ACTIONS(1494),
    [aux_sym__keyword_else_token1] = ACTIONS(1494),
    [aux_sym__keyword_is_token1] = ACTIONS(1494),
    [aux_sym__keyword_in_token1] = ACTIONS(1494),
    [aux_sym__keyword_and_token1] = ACTIONS(1494),
    [aux_sym__keyword_like_token1] = ACTIONS(1494),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1494),
    [aux_sym__keyword_as_token1] = ACTIONS(1494),
    [aux_sym__keyword_window_token1] = ACTIONS(1494),
    [aux_sym__keyword_date_token1] = ACTIONS(1494),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1494),
    [aux_sym__keyword_time_token1] = ACTIONS(1494),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1494),
    [aux_sym__keyword_for_token1] = ACTIONS(1494),
    [anon_sym_SEMI] = ACTIONS(1492),
    [aux_sym_declare_statement_token1] = ACTIONS(1494),
    [anon_sym_COMMA] = ACTIONS(1492),
    [aux_sym_set_statement_token1] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1494),
    [aux_sym_return_satement_token1] = ACTIONS(1494),
    [aux_sym_call_statement_token1] = ACTIONS(1494),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1494),
    [aux_sym_if_statement_token1] = ACTIONS(1494),
    [aux_sym_loop_statement_token1] = ACTIONS(1494),
    [aux_sym_repeat_statement_token1] = ACTIONS(1494),
    [aux_sym_while_statement_token1] = ACTIONS(1494),
    [aux_sym_break_statement_token1] = ACTIONS(1494),
    [aux_sym_leave_statement_token1] = ACTIONS(1494),
    [aux_sym_continue_statement_token1] = ACTIONS(1494),
    [aux_sym_iterate_statement_token1] = ACTIONS(1494),
    [aux_sym_raise_statement_token1] = ACTIONS(1494),
    [anon_sym_EQ] = ACTIONS(1492),
    [aux_sym_assert_statement_token1] = ACTIONS(1494),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1494),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1494),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1494),
    [anon_sym_LT] = ACTIONS(1494),
    [anon_sym_GT] = ACTIONS(1494),
    [aux_sym_set_operation_token1] = ACTIONS(1494),
    [aux_sym_set_operation_token3] = ACTIONS(1494),
    [aux_sym_set_operation_token4] = ACTIONS(1494),
    [aux_sym_select_token1] = ACTIONS(1494),
    [aux_sym_having_clause_token1] = ACTIONS(1494),
    [aux_sym_qualify_clause_token1] = ACTIONS(1494),
    [aux_sym_limit_clause_token1] = ACTIONS(1494),
    [aux_sym_group_by_clause_token1] = ACTIONS(1494),
    [aux_sym_order_by_clause_token1] = ACTIONS(1494),
    [aux_sym_where_clause_token1] = ACTIONS(1494),
    [aux_sym_insert_statement_token1] = ACTIONS(1494),
    [aux_sym_truncate_statement_token1] = ACTIONS(1494),
    [aux_sym_update_statement_token1] = ACTIONS(1494),
    [aux_sym_merge_statement_token1] = ACTIONS(1494),
    [aux_sym_grant_statement_token1] = ACTIONS(1494),
    [aux_sym_revoke_statement_token1] = ACTIONS(1494),
    [aux_sym_export_data_statement_token1] = ACTIONS(1494),
    [aux_sym_load_data_statement_token1] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [sym__quoted_identifier] = ACTIONS(1492),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_STAR] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1494),
    [anon_sym_PIPE_PIPE] = ACTIONS(1492),
    [anon_sym_LT_EQ] = ACTIONS(1492),
    [anon_sym_LT_GT] = ACTIONS(1492),
    [anon_sym_GT_EQ] = ACTIONS(1492),
    [anon_sym_BANG_EQ] = ACTIONS(1492),
    [anon_sym_LT_LT] = ACTIONS(1492),
    [anon_sym_GT_GT] = ACTIONS(1492),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_CARET] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1494),
  },
  [2269] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2270] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2271] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2272] = {
    [sym__unquoted_identifier] = ACTIONS(1698),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1698),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1698),
    [aux_sym_keyword_replace_token1] = ACTIONS(1698),
    [aux_sym__keyword_alter_token1] = ACTIONS(1698),
    [aux_sym__keyword_from_token1] = ACTIONS(1698),
    [aux_sym__keyword_delete_token1] = ACTIONS(1698),
    [aux_sym__keyword_begin_token1] = ACTIONS(1698),
    [aux_sym__keyword_end_token1] = ACTIONS(1698),
    [aux_sym__keyword_between_token1] = ACTIONS(1698),
    [aux_sym__keyword_when_token1] = ACTIONS(1698),
    [aux_sym__keyword_else_token1] = ACTIONS(1698),
    [aux_sym__keyword_is_token1] = ACTIONS(1698),
    [aux_sym__keyword_in_token1] = ACTIONS(1698),
    [aux_sym__keyword_and_token1] = ACTIONS(1698),
    [aux_sym__keyword_like_token1] = ACTIONS(1698),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1698),
    [aux_sym__keyword_as_token1] = ACTIONS(1698),
    [aux_sym__keyword_window_token1] = ACTIONS(1698),
    [aux_sym__keyword_date_token1] = ACTIONS(1698),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1698),
    [aux_sym__keyword_time_token1] = ACTIONS(1698),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1698),
    [aux_sym__keyword_for_token1] = ACTIONS(1698),
    [anon_sym_SEMI] = ACTIONS(1696),
    [aux_sym_declare_statement_token1] = ACTIONS(1698),
    [anon_sym_COMMA] = ACTIONS(1696),
    [aux_sym_set_statement_token1] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1696),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1698),
    [aux_sym_return_satement_token1] = ACTIONS(1698),
    [aux_sym_call_statement_token1] = ACTIONS(1698),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1698),
    [aux_sym_if_statement_token1] = ACTIONS(1698),
    [aux_sym_loop_statement_token1] = ACTIONS(1698),
    [aux_sym_repeat_statement_token1] = ACTIONS(1698),
    [aux_sym_while_statement_token1] = ACTIONS(1698),
    [aux_sym_break_statement_token1] = ACTIONS(1698),
    [aux_sym_leave_statement_token1] = ACTIONS(1698),
    [aux_sym_continue_statement_token1] = ACTIONS(1698),
    [aux_sym_iterate_statement_token1] = ACTIONS(1698),
    [aux_sym_raise_statement_token1] = ACTIONS(1698),
    [anon_sym_EQ] = ACTIONS(1696),
    [aux_sym_assert_statement_token1] = ACTIONS(1698),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1698),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1698),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1698),
    [anon_sym_LT] = ACTIONS(1698),
    [anon_sym_GT] = ACTIONS(1698),
    [aux_sym_set_operation_token1] = ACTIONS(1698),
    [aux_sym_set_operation_token3] = ACTIONS(1698),
    [aux_sym_set_operation_token4] = ACTIONS(1698),
    [aux_sym_select_token1] = ACTIONS(1698),
    [aux_sym_having_clause_token1] = ACTIONS(1698),
    [aux_sym_qualify_clause_token1] = ACTIONS(1698),
    [aux_sym_limit_clause_token1] = ACTIONS(1698),
    [aux_sym_group_by_clause_token1] = ACTIONS(1698),
    [aux_sym_order_by_clause_token1] = ACTIONS(1698),
    [aux_sym_where_clause_token1] = ACTIONS(1698),
    [aux_sym_insert_statement_token1] = ACTIONS(1698),
    [aux_sym_truncate_statement_token1] = ACTIONS(1698),
    [aux_sym_update_statement_token1] = ACTIONS(1698),
    [aux_sym_merge_statement_token1] = ACTIONS(1698),
    [aux_sym_grant_statement_token1] = ACTIONS(1698),
    [aux_sym_revoke_statement_token1] = ACTIONS(1698),
    [aux_sym_export_data_statement_token1] = ACTIONS(1698),
    [aux_sym_load_data_statement_token1] = ACTIONS(1698),
    [anon_sym_LBRACK] = ACTIONS(1696),
    [sym__quoted_identifier] = ACTIONS(1696),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_STAR] = ACTIONS(1696),
    [anon_sym_SLASH] = ACTIONS(1698),
    [anon_sym_PIPE_PIPE] = ACTIONS(1696),
    [anon_sym_LT_EQ] = ACTIONS(1696),
    [anon_sym_LT_GT] = ACTIONS(1696),
    [anon_sym_GT_EQ] = ACTIONS(1696),
    [anon_sym_BANG_EQ] = ACTIONS(1696),
    [anon_sym_LT_LT] = ACTIONS(1696),
    [anon_sym_GT_GT] = ACTIONS(1696),
    [anon_sym_AMP] = ACTIONS(1696),
    [anon_sym_CARET] = ACTIONS(1696),
    [anon_sym_PIPE] = ACTIONS(1698),
  },
  [2273] = {
    [sym__unquoted_identifier] = ACTIONS(1624),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1624),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1624),
    [aux_sym_keyword_replace_token1] = ACTIONS(1624),
    [aux_sym__keyword_alter_token1] = ACTIONS(1624),
    [aux_sym__keyword_from_token1] = ACTIONS(1624),
    [aux_sym__keyword_delete_token1] = ACTIONS(1624),
    [aux_sym__keyword_begin_token1] = ACTIONS(1624),
    [aux_sym__keyword_end_token1] = ACTIONS(1624),
    [aux_sym__keyword_between_token1] = ACTIONS(1624),
    [aux_sym__keyword_when_token1] = ACTIONS(1624),
    [aux_sym__keyword_else_token1] = ACTIONS(1624),
    [aux_sym__keyword_is_token1] = ACTIONS(1624),
    [aux_sym__keyword_in_token1] = ACTIONS(1624),
    [aux_sym__keyword_and_token1] = ACTIONS(1624),
    [aux_sym__keyword_like_token1] = ACTIONS(1624),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1624),
    [aux_sym__keyword_as_token1] = ACTIONS(1624),
    [aux_sym__keyword_window_token1] = ACTIONS(1624),
    [aux_sym__keyword_date_token1] = ACTIONS(1624),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1624),
    [aux_sym__keyword_time_token1] = ACTIONS(1624),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1624),
    [aux_sym__keyword_for_token1] = ACTIONS(1624),
    [anon_sym_SEMI] = ACTIONS(1622),
    [aux_sym_declare_statement_token1] = ACTIONS(1624),
    [anon_sym_COMMA] = ACTIONS(1622),
    [aux_sym_set_statement_token1] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(2798),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1624),
    [aux_sym_return_satement_token1] = ACTIONS(1624),
    [aux_sym_call_statement_token1] = ACTIONS(1624),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1624),
    [aux_sym_if_statement_token1] = ACTIONS(1624),
    [aux_sym_loop_statement_token1] = ACTIONS(1624),
    [aux_sym_repeat_statement_token1] = ACTIONS(1624),
    [aux_sym_while_statement_token1] = ACTIONS(1624),
    [aux_sym_break_statement_token1] = ACTIONS(1624),
    [aux_sym_leave_statement_token1] = ACTIONS(1624),
    [aux_sym_continue_statement_token1] = ACTIONS(1624),
    [aux_sym_iterate_statement_token1] = ACTIONS(1624),
    [aux_sym_raise_statement_token1] = ACTIONS(1624),
    [anon_sym_EQ] = ACTIONS(1622),
    [aux_sym_assert_statement_token1] = ACTIONS(1624),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1624),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1624),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1624),
    [anon_sym_LT] = ACTIONS(1624),
    [anon_sym_GT] = ACTIONS(1624),
    [aux_sym_set_operation_token1] = ACTIONS(1624),
    [aux_sym_set_operation_token3] = ACTIONS(1624),
    [aux_sym_set_operation_token4] = ACTIONS(1624),
    [aux_sym_select_token1] = ACTIONS(1624),
    [aux_sym_having_clause_token1] = ACTIONS(1624),
    [aux_sym_qualify_clause_token1] = ACTIONS(1624),
    [aux_sym_limit_clause_token1] = ACTIONS(1624),
    [aux_sym_group_by_clause_token1] = ACTIONS(1624),
    [aux_sym_order_by_clause_token1] = ACTIONS(1624),
    [aux_sym_where_clause_token1] = ACTIONS(1624),
    [aux_sym_insert_statement_token1] = ACTIONS(1624),
    [aux_sym_truncate_statement_token1] = ACTIONS(1624),
    [aux_sym_update_statement_token1] = ACTIONS(1624),
    [aux_sym_merge_statement_token1] = ACTIONS(1624),
    [aux_sym_grant_statement_token1] = ACTIONS(1624),
    [aux_sym_revoke_statement_token1] = ACTIONS(1624),
    [aux_sym_export_data_statement_token1] = ACTIONS(1624),
    [aux_sym_load_data_statement_token1] = ACTIONS(1624),
    [anon_sym_LBRACK] = ACTIONS(1622),
    [sym__quoted_identifier] = ACTIONS(1622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1622),
    [anon_sym_PLUS] = ACTIONS(1622),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_STAR] = ACTIONS(1622),
    [anon_sym_SLASH] = ACTIONS(1624),
    [anon_sym_PIPE_PIPE] = ACTIONS(1622),
    [anon_sym_LT_EQ] = ACTIONS(1622),
    [anon_sym_LT_GT] = ACTIONS(1622),
    [anon_sym_GT_EQ] = ACTIONS(1622),
    [anon_sym_BANG_EQ] = ACTIONS(1622),
    [anon_sym_LT_LT] = ACTIONS(1622),
    [anon_sym_GT_GT] = ACTIONS(1622),
    [anon_sym_AMP] = ACTIONS(1622),
    [anon_sym_CARET] = ACTIONS(1622),
    [anon_sym_PIPE] = ACTIONS(1624),
  },
  [2274] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2275] = {
    [sym__unquoted_identifier] = ACTIONS(1734),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1734),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1734),
    [aux_sym_keyword_replace_token1] = ACTIONS(1734),
    [aux_sym__keyword_alter_token1] = ACTIONS(1734),
    [aux_sym__keyword_from_token1] = ACTIONS(1734),
    [aux_sym__keyword_delete_token1] = ACTIONS(1734),
    [aux_sym__keyword_begin_token1] = ACTIONS(1734),
    [aux_sym__keyword_end_token1] = ACTIONS(1734),
    [aux_sym__keyword_between_token1] = ACTIONS(1734),
    [aux_sym__keyword_when_token1] = ACTIONS(1734),
    [aux_sym__keyword_else_token1] = ACTIONS(1734),
    [aux_sym__keyword_is_token1] = ACTIONS(1734),
    [aux_sym__keyword_in_token1] = ACTIONS(1734),
    [aux_sym__keyword_and_token1] = ACTIONS(1734),
    [aux_sym__keyword_like_token1] = ACTIONS(1734),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1734),
    [aux_sym__keyword_as_token1] = ACTIONS(1734),
    [aux_sym__keyword_window_token1] = ACTIONS(1734),
    [aux_sym__keyword_date_token1] = ACTIONS(1734),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1734),
    [aux_sym__keyword_time_token1] = ACTIONS(1734),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1734),
    [aux_sym__keyword_for_token1] = ACTIONS(1734),
    [anon_sym_SEMI] = ACTIONS(1732),
    [aux_sym_declare_statement_token1] = ACTIONS(1734),
    [anon_sym_COMMA] = ACTIONS(1732),
    [aux_sym_set_statement_token1] = ACTIONS(1734),
    [anon_sym_LPAREN] = ACTIONS(1732),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1734),
    [aux_sym_return_satement_token1] = ACTIONS(1734),
    [aux_sym_call_statement_token1] = ACTIONS(1734),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1734),
    [aux_sym_if_statement_token1] = ACTIONS(1734),
    [aux_sym_loop_statement_token1] = ACTIONS(1734),
    [aux_sym_repeat_statement_token1] = ACTIONS(1734),
    [aux_sym_while_statement_token1] = ACTIONS(1734),
    [aux_sym_break_statement_token1] = ACTIONS(1734),
    [aux_sym_leave_statement_token1] = ACTIONS(1734),
    [aux_sym_continue_statement_token1] = ACTIONS(1734),
    [aux_sym_iterate_statement_token1] = ACTIONS(1734),
    [aux_sym_raise_statement_token1] = ACTIONS(1734),
    [anon_sym_EQ] = ACTIONS(1732),
    [aux_sym_assert_statement_token1] = ACTIONS(1734),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1734),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1734),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1734),
    [anon_sym_LT] = ACTIONS(1734),
    [anon_sym_GT] = ACTIONS(1734),
    [aux_sym_set_operation_token1] = ACTIONS(1734),
    [aux_sym_set_operation_token3] = ACTIONS(1734),
    [aux_sym_set_operation_token4] = ACTIONS(1734),
    [aux_sym_select_token1] = ACTIONS(1734),
    [aux_sym_having_clause_token1] = ACTIONS(1734),
    [aux_sym_qualify_clause_token1] = ACTIONS(1734),
    [aux_sym_limit_clause_token1] = ACTIONS(1734),
    [aux_sym_group_by_clause_token1] = ACTIONS(1734),
    [aux_sym_order_by_clause_token1] = ACTIONS(1734),
    [aux_sym_where_clause_token1] = ACTIONS(1734),
    [aux_sym_insert_statement_token1] = ACTIONS(1734),
    [aux_sym_truncate_statement_token1] = ACTIONS(1734),
    [aux_sym_update_statement_token1] = ACTIONS(1734),
    [aux_sym_merge_statement_token1] = ACTIONS(1734),
    [aux_sym_grant_statement_token1] = ACTIONS(1734),
    [aux_sym_revoke_statement_token1] = ACTIONS(1734),
    [aux_sym_export_data_statement_token1] = ACTIONS(1734),
    [aux_sym_load_data_statement_token1] = ACTIONS(1734),
    [anon_sym_LBRACK] = ACTIONS(1732),
    [sym__quoted_identifier] = ACTIONS(1732),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1732),
    [anon_sym_PLUS] = ACTIONS(1732),
    [anon_sym_DASH] = ACTIONS(1734),
    [anon_sym_STAR] = ACTIONS(1732),
    [anon_sym_SLASH] = ACTIONS(1734),
    [anon_sym_PIPE_PIPE] = ACTIONS(1732),
    [anon_sym_LT_EQ] = ACTIONS(1732),
    [anon_sym_LT_GT] = ACTIONS(1732),
    [anon_sym_GT_EQ] = ACTIONS(1732),
    [anon_sym_BANG_EQ] = ACTIONS(1732),
    [anon_sym_LT_LT] = ACTIONS(1732),
    [anon_sym_GT_GT] = ACTIONS(1732),
    [anon_sym_AMP] = ACTIONS(1732),
    [anon_sym_CARET] = ACTIONS(1732),
    [anon_sym_PIPE] = ACTIONS(1734),
  },
  [2276] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_from_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2277] = {
    [sym__unquoted_identifier] = ACTIONS(1730),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1730),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1730),
    [aux_sym_keyword_replace_token1] = ACTIONS(1730),
    [aux_sym__keyword_alter_token1] = ACTIONS(1730),
    [aux_sym__keyword_from_token1] = ACTIONS(1730),
    [aux_sym__keyword_delete_token1] = ACTIONS(1730),
    [aux_sym__keyword_begin_token1] = ACTIONS(1730),
    [aux_sym__keyword_end_token1] = ACTIONS(1730),
    [aux_sym__keyword_between_token1] = ACTIONS(1730),
    [aux_sym__keyword_when_token1] = ACTIONS(1730),
    [aux_sym__keyword_else_token1] = ACTIONS(1730),
    [aux_sym__keyword_is_token1] = ACTIONS(1730),
    [aux_sym__keyword_in_token1] = ACTIONS(1730),
    [aux_sym__keyword_and_token1] = ACTIONS(1730),
    [aux_sym__keyword_like_token1] = ACTIONS(1730),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1730),
    [aux_sym__keyword_as_token1] = ACTIONS(1730),
    [aux_sym__keyword_window_token1] = ACTIONS(1730),
    [aux_sym__keyword_date_token1] = ACTIONS(1730),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1730),
    [aux_sym__keyword_time_token1] = ACTIONS(1730),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1730),
    [aux_sym__keyword_for_token1] = ACTIONS(1730),
    [anon_sym_SEMI] = ACTIONS(1728),
    [aux_sym_declare_statement_token1] = ACTIONS(1730),
    [anon_sym_COMMA] = ACTIONS(1728),
    [aux_sym_set_statement_token1] = ACTIONS(1730),
    [anon_sym_LPAREN] = ACTIONS(1728),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1730),
    [aux_sym_return_satement_token1] = ACTIONS(1730),
    [aux_sym_call_statement_token1] = ACTIONS(1730),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1730),
    [aux_sym_if_statement_token1] = ACTIONS(1730),
    [aux_sym_loop_statement_token1] = ACTIONS(1730),
    [aux_sym_repeat_statement_token1] = ACTIONS(1730),
    [aux_sym_while_statement_token1] = ACTIONS(1730),
    [aux_sym_break_statement_token1] = ACTIONS(1730),
    [aux_sym_leave_statement_token1] = ACTIONS(1730),
    [aux_sym_continue_statement_token1] = ACTIONS(1730),
    [aux_sym_iterate_statement_token1] = ACTIONS(1730),
    [aux_sym_raise_statement_token1] = ACTIONS(1730),
    [anon_sym_EQ] = ACTIONS(1728),
    [aux_sym_assert_statement_token1] = ACTIONS(1730),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1730),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1730),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1730),
    [anon_sym_LT] = ACTIONS(1730),
    [anon_sym_GT] = ACTIONS(1730),
    [aux_sym_set_operation_token1] = ACTIONS(1730),
    [aux_sym_set_operation_token3] = ACTIONS(1730),
    [aux_sym_set_operation_token4] = ACTIONS(1730),
    [aux_sym_select_token1] = ACTIONS(1730),
    [aux_sym_having_clause_token1] = ACTIONS(1730),
    [aux_sym_qualify_clause_token1] = ACTIONS(1730),
    [aux_sym_limit_clause_token1] = ACTIONS(1730),
    [aux_sym_group_by_clause_token1] = ACTIONS(1730),
    [aux_sym_order_by_clause_token1] = ACTIONS(1730),
    [aux_sym_where_clause_token1] = ACTIONS(1730),
    [aux_sym_insert_statement_token1] = ACTIONS(1730),
    [aux_sym_truncate_statement_token1] = ACTIONS(1730),
    [aux_sym_update_statement_token1] = ACTIONS(1730),
    [aux_sym_merge_statement_token1] = ACTIONS(1730),
    [aux_sym_grant_statement_token1] = ACTIONS(1730),
    [aux_sym_revoke_statement_token1] = ACTIONS(1730),
    [aux_sym_export_data_statement_token1] = ACTIONS(1730),
    [aux_sym_load_data_statement_token1] = ACTIONS(1730),
    [anon_sym_LBRACK] = ACTIONS(1728),
    [sym__quoted_identifier] = ACTIONS(1728),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1728),
    [anon_sym_DASH] = ACTIONS(1730),
    [anon_sym_STAR] = ACTIONS(1728),
    [anon_sym_SLASH] = ACTIONS(1730),
    [anon_sym_PIPE_PIPE] = ACTIONS(1728),
    [anon_sym_LT_EQ] = ACTIONS(1728),
    [anon_sym_LT_GT] = ACTIONS(1728),
    [anon_sym_GT_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ] = ACTIONS(1728),
    [anon_sym_LT_LT] = ACTIONS(1728),
    [anon_sym_GT_GT] = ACTIONS(1728),
    [anon_sym_AMP] = ACTIONS(1728),
    [anon_sym_CARET] = ACTIONS(1728),
    [anon_sym_PIPE] = ACTIONS(1730),
  },
  [2278] = {
    [sym__unquoted_identifier] = ACTIONS(1718),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1718),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1718),
    [aux_sym_keyword_replace_token1] = ACTIONS(1718),
    [aux_sym__keyword_alter_token1] = ACTIONS(1718),
    [aux_sym__keyword_from_token1] = ACTIONS(1718),
    [aux_sym__keyword_delete_token1] = ACTIONS(1718),
    [aux_sym__keyword_begin_token1] = ACTIONS(1718),
    [aux_sym__keyword_end_token1] = ACTIONS(1718),
    [aux_sym__keyword_between_token1] = ACTIONS(1718),
    [aux_sym__keyword_when_token1] = ACTIONS(1718),
    [aux_sym__keyword_else_token1] = ACTIONS(1718),
    [aux_sym__keyword_is_token1] = ACTIONS(1718),
    [aux_sym__keyword_in_token1] = ACTIONS(1718),
    [aux_sym__keyword_and_token1] = ACTIONS(1718),
    [aux_sym__keyword_like_token1] = ACTIONS(1718),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1718),
    [aux_sym__keyword_as_token1] = ACTIONS(1718),
    [aux_sym__keyword_window_token1] = ACTIONS(1718),
    [aux_sym__keyword_date_token1] = ACTIONS(1718),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1718),
    [aux_sym__keyword_time_token1] = ACTIONS(1718),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1718),
    [aux_sym__keyword_for_token1] = ACTIONS(1718),
    [anon_sym_SEMI] = ACTIONS(1716),
    [aux_sym_declare_statement_token1] = ACTIONS(1718),
    [anon_sym_COMMA] = ACTIONS(1716),
    [aux_sym_set_statement_token1] = ACTIONS(1718),
    [anon_sym_LPAREN] = ACTIONS(1716),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1718),
    [aux_sym_return_satement_token1] = ACTIONS(1718),
    [aux_sym_call_statement_token1] = ACTIONS(1718),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1718),
    [aux_sym_if_statement_token1] = ACTIONS(1718),
    [aux_sym_loop_statement_token1] = ACTIONS(1718),
    [aux_sym_repeat_statement_token1] = ACTIONS(1718),
    [aux_sym_while_statement_token1] = ACTIONS(1718),
    [aux_sym_break_statement_token1] = ACTIONS(1718),
    [aux_sym_leave_statement_token1] = ACTIONS(1718),
    [aux_sym_continue_statement_token1] = ACTIONS(1718),
    [aux_sym_iterate_statement_token1] = ACTIONS(1718),
    [aux_sym_raise_statement_token1] = ACTIONS(1718),
    [anon_sym_EQ] = ACTIONS(1716),
    [aux_sym_assert_statement_token1] = ACTIONS(1718),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1718),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1718),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1718),
    [anon_sym_LT] = ACTIONS(1718),
    [anon_sym_GT] = ACTIONS(1718),
    [aux_sym_set_operation_token1] = ACTIONS(1718),
    [aux_sym_set_operation_token3] = ACTIONS(1718),
    [aux_sym_set_operation_token4] = ACTIONS(1718),
    [aux_sym_select_token1] = ACTIONS(1718),
    [aux_sym_having_clause_token1] = ACTIONS(1718),
    [aux_sym_qualify_clause_token1] = ACTIONS(1718),
    [aux_sym_limit_clause_token1] = ACTIONS(1718),
    [aux_sym_group_by_clause_token1] = ACTIONS(1718),
    [aux_sym_order_by_clause_token1] = ACTIONS(1718),
    [aux_sym_where_clause_token1] = ACTIONS(1718),
    [aux_sym_insert_statement_token1] = ACTIONS(1718),
    [aux_sym_truncate_statement_token1] = ACTIONS(1718),
    [aux_sym_update_statement_token1] = ACTIONS(1718),
    [aux_sym_merge_statement_token1] = ACTIONS(1718),
    [aux_sym_grant_statement_token1] = ACTIONS(1718),
    [aux_sym_revoke_statement_token1] = ACTIONS(1718),
    [aux_sym_export_data_statement_token1] = ACTIONS(1718),
    [aux_sym_load_data_statement_token1] = ACTIONS(1718),
    [anon_sym_LBRACK] = ACTIONS(1716),
    [sym__quoted_identifier] = ACTIONS(1716),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_DASH] = ACTIONS(1718),
    [anon_sym_STAR] = ACTIONS(1716),
    [anon_sym_SLASH] = ACTIONS(1718),
    [anon_sym_PIPE_PIPE] = ACTIONS(1716),
    [anon_sym_LT_EQ] = ACTIONS(1716),
    [anon_sym_LT_GT] = ACTIONS(1716),
    [anon_sym_GT_EQ] = ACTIONS(1716),
    [anon_sym_BANG_EQ] = ACTIONS(1716),
    [anon_sym_LT_LT] = ACTIONS(1716),
    [anon_sym_GT_GT] = ACTIONS(1716),
    [anon_sym_AMP] = ACTIONS(1716),
    [anon_sym_CARET] = ACTIONS(1716),
    [anon_sym_PIPE] = ACTIONS(1718),
  },
  [2279] = {
    [sym__unquoted_identifier] = ACTIONS(1722),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1722),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1722),
    [aux_sym_keyword_replace_token1] = ACTIONS(1722),
    [aux_sym__keyword_alter_token1] = ACTIONS(1722),
    [aux_sym__keyword_from_token1] = ACTIONS(1722),
    [aux_sym__keyword_delete_token1] = ACTIONS(1722),
    [aux_sym__keyword_begin_token1] = ACTIONS(1722),
    [aux_sym__keyword_end_token1] = ACTIONS(1722),
    [aux_sym__keyword_between_token1] = ACTIONS(1722),
    [aux_sym__keyword_when_token1] = ACTIONS(1722),
    [aux_sym__keyword_else_token1] = ACTIONS(1722),
    [aux_sym__keyword_is_token1] = ACTIONS(1722),
    [aux_sym__keyword_in_token1] = ACTIONS(1722),
    [aux_sym__keyword_and_token1] = ACTIONS(1722),
    [aux_sym__keyword_like_token1] = ACTIONS(1722),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1722),
    [aux_sym__keyword_as_token1] = ACTIONS(1722),
    [aux_sym__keyword_window_token1] = ACTIONS(1722),
    [aux_sym__keyword_date_token1] = ACTIONS(1722),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1722),
    [aux_sym__keyword_time_token1] = ACTIONS(1722),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1722),
    [aux_sym__keyword_for_token1] = ACTIONS(1722),
    [anon_sym_SEMI] = ACTIONS(1720),
    [aux_sym_declare_statement_token1] = ACTIONS(1722),
    [anon_sym_COMMA] = ACTIONS(1720),
    [aux_sym_set_statement_token1] = ACTIONS(1722),
    [anon_sym_LPAREN] = ACTIONS(1720),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1722),
    [aux_sym_return_satement_token1] = ACTIONS(1722),
    [aux_sym_call_statement_token1] = ACTIONS(1722),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1722),
    [aux_sym_if_statement_token1] = ACTIONS(1722),
    [aux_sym_loop_statement_token1] = ACTIONS(1722),
    [aux_sym_repeat_statement_token1] = ACTIONS(1722),
    [aux_sym_while_statement_token1] = ACTIONS(1722),
    [aux_sym_break_statement_token1] = ACTIONS(1722),
    [aux_sym_leave_statement_token1] = ACTIONS(1722),
    [aux_sym_continue_statement_token1] = ACTIONS(1722),
    [aux_sym_iterate_statement_token1] = ACTIONS(1722),
    [aux_sym_raise_statement_token1] = ACTIONS(1722),
    [anon_sym_EQ] = ACTIONS(1720),
    [aux_sym_assert_statement_token1] = ACTIONS(1722),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1722),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1722),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1722),
    [anon_sym_LT] = ACTIONS(1722),
    [anon_sym_GT] = ACTIONS(1722),
    [aux_sym_set_operation_token1] = ACTIONS(1722),
    [aux_sym_set_operation_token3] = ACTIONS(1722),
    [aux_sym_set_operation_token4] = ACTIONS(1722),
    [aux_sym_select_token1] = ACTIONS(1722),
    [aux_sym_having_clause_token1] = ACTIONS(1722),
    [aux_sym_qualify_clause_token1] = ACTIONS(1722),
    [aux_sym_limit_clause_token1] = ACTIONS(1722),
    [aux_sym_group_by_clause_token1] = ACTIONS(1722),
    [aux_sym_order_by_clause_token1] = ACTIONS(1722),
    [aux_sym_where_clause_token1] = ACTIONS(1722),
    [aux_sym_insert_statement_token1] = ACTIONS(1722),
    [aux_sym_truncate_statement_token1] = ACTIONS(1722),
    [aux_sym_update_statement_token1] = ACTIONS(1722),
    [aux_sym_merge_statement_token1] = ACTIONS(1722),
    [aux_sym_grant_statement_token1] = ACTIONS(1722),
    [aux_sym_revoke_statement_token1] = ACTIONS(1722),
    [aux_sym_export_data_statement_token1] = ACTIONS(1722),
    [aux_sym_load_data_statement_token1] = ACTIONS(1722),
    [anon_sym_LBRACK] = ACTIONS(1720),
    [sym__quoted_identifier] = ACTIONS(1720),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1720),
    [anon_sym_PLUS] = ACTIONS(1720),
    [anon_sym_DASH] = ACTIONS(1722),
    [anon_sym_STAR] = ACTIONS(1720),
    [anon_sym_SLASH] = ACTIONS(1722),
    [anon_sym_PIPE_PIPE] = ACTIONS(1720),
    [anon_sym_LT_EQ] = ACTIONS(1720),
    [anon_sym_LT_GT] = ACTIONS(1720),
    [anon_sym_GT_EQ] = ACTIONS(1720),
    [anon_sym_BANG_EQ] = ACTIONS(1720),
    [anon_sym_LT_LT] = ACTIONS(1720),
    [anon_sym_GT_GT] = ACTIONS(1720),
    [anon_sym_AMP] = ACTIONS(1720),
    [anon_sym_CARET] = ACTIONS(1720),
    [anon_sym_PIPE] = ACTIONS(1722),
  },
  [2280] = {
    [sym__unquoted_identifier] = ACTIONS(1726),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1726),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1726),
    [aux_sym_keyword_replace_token1] = ACTIONS(1726),
    [aux_sym__keyword_alter_token1] = ACTIONS(1726),
    [aux_sym__keyword_from_token1] = ACTIONS(1726),
    [aux_sym__keyword_delete_token1] = ACTIONS(1726),
    [aux_sym__keyword_begin_token1] = ACTIONS(1726),
    [aux_sym__keyword_end_token1] = ACTIONS(1726),
    [aux_sym__keyword_between_token1] = ACTIONS(1726),
    [aux_sym__keyword_when_token1] = ACTIONS(1726),
    [aux_sym__keyword_else_token1] = ACTIONS(1726),
    [aux_sym__keyword_is_token1] = ACTIONS(1726),
    [aux_sym__keyword_in_token1] = ACTIONS(1726),
    [aux_sym__keyword_and_token1] = ACTIONS(1726),
    [aux_sym__keyword_like_token1] = ACTIONS(1726),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1726),
    [aux_sym__keyword_as_token1] = ACTIONS(1726),
    [aux_sym__keyword_window_token1] = ACTIONS(1726),
    [aux_sym__keyword_date_token1] = ACTIONS(1726),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1726),
    [aux_sym__keyword_time_token1] = ACTIONS(1726),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1726),
    [aux_sym__keyword_for_token1] = ACTIONS(1726),
    [anon_sym_SEMI] = ACTIONS(1724),
    [aux_sym_declare_statement_token1] = ACTIONS(1726),
    [anon_sym_COMMA] = ACTIONS(1724),
    [aux_sym_set_statement_token1] = ACTIONS(1726),
    [anon_sym_LPAREN] = ACTIONS(1724),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1726),
    [aux_sym_return_satement_token1] = ACTIONS(1726),
    [aux_sym_call_statement_token1] = ACTIONS(1726),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1726),
    [aux_sym_if_statement_token1] = ACTIONS(1726),
    [aux_sym_loop_statement_token1] = ACTIONS(1726),
    [aux_sym_repeat_statement_token1] = ACTIONS(1726),
    [aux_sym_while_statement_token1] = ACTIONS(1726),
    [aux_sym_break_statement_token1] = ACTIONS(1726),
    [aux_sym_leave_statement_token1] = ACTIONS(1726),
    [aux_sym_continue_statement_token1] = ACTIONS(1726),
    [aux_sym_iterate_statement_token1] = ACTIONS(1726),
    [aux_sym_raise_statement_token1] = ACTIONS(1726),
    [anon_sym_EQ] = ACTIONS(1724),
    [aux_sym_assert_statement_token1] = ACTIONS(1726),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1726),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1726),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1726),
    [anon_sym_LT] = ACTIONS(1726),
    [anon_sym_GT] = ACTIONS(1726),
    [aux_sym_set_operation_token1] = ACTIONS(1726),
    [aux_sym_set_operation_token3] = ACTIONS(1726),
    [aux_sym_set_operation_token4] = ACTIONS(1726),
    [aux_sym_select_token1] = ACTIONS(1726),
    [aux_sym_having_clause_token1] = ACTIONS(1726),
    [aux_sym_qualify_clause_token1] = ACTIONS(1726),
    [aux_sym_limit_clause_token1] = ACTIONS(1726),
    [aux_sym_group_by_clause_token1] = ACTIONS(1726),
    [aux_sym_order_by_clause_token1] = ACTIONS(1726),
    [aux_sym_where_clause_token1] = ACTIONS(1726),
    [aux_sym_insert_statement_token1] = ACTIONS(1726),
    [aux_sym_truncate_statement_token1] = ACTIONS(1726),
    [aux_sym_update_statement_token1] = ACTIONS(1726),
    [aux_sym_merge_statement_token1] = ACTIONS(1726),
    [aux_sym_grant_statement_token1] = ACTIONS(1726),
    [aux_sym_revoke_statement_token1] = ACTIONS(1726),
    [aux_sym_export_data_statement_token1] = ACTIONS(1726),
    [aux_sym_load_data_statement_token1] = ACTIONS(1726),
    [anon_sym_LBRACK] = ACTIONS(1724),
    [sym__quoted_identifier] = ACTIONS(1724),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_DASH] = ACTIONS(1726),
    [anon_sym_STAR] = ACTIONS(1724),
    [anon_sym_SLASH] = ACTIONS(1726),
    [anon_sym_PIPE_PIPE] = ACTIONS(1724),
    [anon_sym_LT_EQ] = ACTIONS(1724),
    [anon_sym_LT_GT] = ACTIONS(1724),
    [anon_sym_GT_EQ] = ACTIONS(1724),
    [anon_sym_BANG_EQ] = ACTIONS(1724),
    [anon_sym_LT_LT] = ACTIONS(1724),
    [anon_sym_GT_GT] = ACTIONS(1724),
    [anon_sym_AMP] = ACTIONS(1724),
    [anon_sym_CARET] = ACTIONS(1724),
    [anon_sym_PIPE] = ACTIONS(1726),
  },
  [2281] = {
    [sym__unquoted_identifier] = ACTIONS(1588),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1588),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1588),
    [aux_sym_keyword_replace_token1] = ACTIONS(1588),
    [aux_sym__keyword_alter_token1] = ACTIONS(1588),
    [aux_sym__keyword_from_token1] = ACTIONS(1588),
    [aux_sym__keyword_delete_token1] = ACTIONS(1588),
    [aux_sym__keyword_begin_token1] = ACTIONS(1588),
    [aux_sym__keyword_end_token1] = ACTIONS(1588),
    [aux_sym__keyword_between_token1] = ACTIONS(1588),
    [aux_sym__keyword_when_token1] = ACTIONS(1588),
    [aux_sym__keyword_else_token1] = ACTIONS(1588),
    [aux_sym__keyword_is_token1] = ACTIONS(1588),
    [aux_sym__keyword_in_token1] = ACTIONS(1588),
    [aux_sym__keyword_and_token1] = ACTIONS(1588),
    [aux_sym__keyword_like_token1] = ACTIONS(1588),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1588),
    [aux_sym__keyword_as_token1] = ACTIONS(1588),
    [aux_sym__keyword_window_token1] = ACTIONS(1588),
    [aux_sym__keyword_date_token1] = ACTIONS(1588),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1588),
    [aux_sym__keyword_time_token1] = ACTIONS(1588),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1588),
    [aux_sym__keyword_for_token1] = ACTIONS(1588),
    [anon_sym_SEMI] = ACTIONS(1586),
    [aux_sym_declare_statement_token1] = ACTIONS(1588),
    [anon_sym_COMMA] = ACTIONS(1586),
    [aux_sym_set_statement_token1] = ACTIONS(1588),
    [anon_sym_LPAREN] = ACTIONS(1586),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1588),
    [aux_sym_return_satement_token1] = ACTIONS(1588),
    [aux_sym_call_statement_token1] = ACTIONS(1588),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1588),
    [aux_sym_if_statement_token1] = ACTIONS(1588),
    [aux_sym_loop_statement_token1] = ACTIONS(1588),
    [aux_sym_repeat_statement_token1] = ACTIONS(1588),
    [aux_sym_while_statement_token1] = ACTIONS(1588),
    [aux_sym_break_statement_token1] = ACTIONS(1588),
    [aux_sym_leave_statement_token1] = ACTIONS(1588),
    [aux_sym_continue_statement_token1] = ACTIONS(1588),
    [aux_sym_iterate_statement_token1] = ACTIONS(1588),
    [aux_sym_raise_statement_token1] = ACTIONS(1588),
    [anon_sym_EQ] = ACTIONS(1586),
    [aux_sym_assert_statement_token1] = ACTIONS(1588),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1588),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1588),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1588),
    [anon_sym_LT] = ACTIONS(1588),
    [anon_sym_GT] = ACTIONS(1588),
    [aux_sym_set_operation_token1] = ACTIONS(1588),
    [aux_sym_set_operation_token3] = ACTIONS(1588),
    [aux_sym_set_operation_token4] = ACTIONS(1588),
    [aux_sym_select_token1] = ACTIONS(1588),
    [aux_sym_having_clause_token1] = ACTIONS(1588),
    [aux_sym_qualify_clause_token1] = ACTIONS(1588),
    [aux_sym_limit_clause_token1] = ACTIONS(1588),
    [aux_sym_group_by_clause_token1] = ACTIONS(1588),
    [aux_sym_order_by_clause_token1] = ACTIONS(1588),
    [aux_sym_where_clause_token1] = ACTIONS(1588),
    [aux_sym_insert_statement_token1] = ACTIONS(1588),
    [aux_sym_truncate_statement_token1] = ACTIONS(1588),
    [aux_sym_update_statement_token1] = ACTIONS(1588),
    [aux_sym_merge_statement_token1] = ACTIONS(1588),
    [aux_sym_grant_statement_token1] = ACTIONS(1588),
    [aux_sym_revoke_statement_token1] = ACTIONS(1588),
    [aux_sym_export_data_statement_token1] = ACTIONS(1588),
    [aux_sym_load_data_statement_token1] = ACTIONS(1588),
    [anon_sym_LBRACK] = ACTIONS(1586),
    [sym__quoted_identifier] = ACTIONS(1586),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1586),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_STAR] = ACTIONS(1586),
    [anon_sym_SLASH] = ACTIONS(1588),
    [anon_sym_PIPE_PIPE] = ACTIONS(1586),
    [anon_sym_LT_EQ] = ACTIONS(1586),
    [anon_sym_LT_GT] = ACTIONS(1586),
    [anon_sym_GT_EQ] = ACTIONS(1586),
    [anon_sym_BANG_EQ] = ACTIONS(1586),
    [anon_sym_LT_LT] = ACTIONS(1586),
    [anon_sym_GT_GT] = ACTIONS(1586),
    [anon_sym_AMP] = ACTIONS(1586),
    [anon_sym_CARET] = ACTIONS(1586),
    [anon_sym_PIPE] = ACTIONS(1588),
  },
  [2282] = {
    [sym__keyword_between] = STATE(1314),
    [sym__keyword_is] = STATE(12040),
    [sym__keyword_in] = STATE(1573),
    [sym__keyword_not] = STATE(13099),
    [sym__keyword_and] = STATE(1589),
    [sym__keyword_or] = STATE(1591),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_group_by_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2800),
    [anon_sym_DASH] = ACTIONS(2802),
    [anon_sym_STAR] = ACTIONS(2804),
    [anon_sym_SLASH] = ACTIONS(2806),
    [anon_sym_PIPE_PIPE] = ACTIONS(2804),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2283] = {
    [sym__keyword_between] = STATE(1314),
    [sym__keyword_is] = STATE(12040),
    [sym__keyword_in] = STATE(1573),
    [sym__keyword_not] = STATE(13099),
    [sym__keyword_and] = STATE(1589),
    [sym__keyword_or] = STATE(1591),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_group_by_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(2804),
    [anon_sym_SLASH] = ACTIONS(2806),
    [anon_sym_PIPE_PIPE] = ACTIONS(2804),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2284] = {
    [sym__keyword_between] = STATE(1511),
    [sym__keyword_is] = STATE(12110),
    [sym__keyword_in] = STATE(1669),
    [sym__keyword_not] = STATE(13115),
    [sym__keyword_and] = STATE(1639),
    [sym__keyword_or] = STATE(1636),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2808),
    [anon_sym_DASH] = ACTIONS(2810),
    [anon_sym_STAR] = ACTIONS(2812),
    [anon_sym_SLASH] = ACTIONS(2814),
    [anon_sym_PIPE_PIPE] = ACTIONS(2812),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(2816),
    [anon_sym_GT_GT] = ACTIONS(2816),
    [anon_sym_AMP] = ACTIONS(2818),
    [anon_sym_CARET] = ACTIONS(2820),
    [anon_sym_PIPE] = ACTIONS(2822),
  },
  [2285] = {
    [sym__keyword_between] = STATE(1511),
    [sym__keyword_is] = STATE(12110),
    [sym__keyword_in] = STATE(1669),
    [sym__keyword_not] = STATE(13115),
    [sym__keyword_and] = STATE(1639),
    [sym__keyword_or] = STATE(1636),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(2812),
    [anon_sym_SLASH] = ACTIONS(2814),
    [anon_sym_PIPE_PIPE] = ACTIONS(2812),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2286] = {
    [sym__keyword_between] = STATE(1314),
    [sym__keyword_is] = STATE(12040),
    [sym__keyword_in] = STATE(1573),
    [sym__keyword_not] = STATE(13099),
    [sym__keyword_and] = STATE(1589),
    [sym__keyword_or] = STATE(1591),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1023),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1023),
    [aux_sym_keyword_replace_token1] = ACTIONS(1025),
    [aux_sym__keyword_alter_token1] = ACTIONS(1023),
    [aux_sym__keyword_delete_token1] = ACTIONS(1023),
    [aux_sym__keyword_begin_token1] = ACTIONS(1023),
    [aux_sym__keyword_end_token1] = ACTIONS(1023),
    [aux_sym__keyword_between_token1] = ACTIONS(1023),
    [aux_sym__keyword_when_token1] = ACTIONS(1023),
    [aux_sym__keyword_else_token1] = ACTIONS(1025),
    [aux_sym__keyword_is_token1] = ACTIONS(1023),
    [aux_sym__keyword_in_token1] = ACTIONS(1025),
    [aux_sym__keyword_and_token1] = ACTIONS(1023),
    [aux_sym__keyword_like_token1] = ACTIONS(1023),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1023),
    [aux_sym__keyword_window_token1] = ACTIONS(1023),
    [aux_sym__keyword_for_token1] = ACTIONS(1023),
    [anon_sym_SEMI] = ACTIONS(1023),
    [aux_sym_declare_statement_token1] = ACTIONS(1023),
    [aux_sym_set_statement_token1] = ACTIONS(1023),
    [anon_sym_LPAREN] = ACTIONS(1023),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1023),
    [aux_sym_return_satement_token1] = ACTIONS(1023),
    [aux_sym_call_statement_token1] = ACTIONS(1023),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1023),
    [aux_sym_if_statement_token1] = ACTIONS(1023),
    [aux_sym_loop_statement_token1] = ACTIONS(1023),
    [aux_sym_repeat_statement_token1] = ACTIONS(1023),
    [aux_sym_while_statement_token1] = ACTIONS(1023),
    [aux_sym_break_statement_token1] = ACTIONS(1023),
    [aux_sym_leave_statement_token1] = ACTIONS(1023),
    [aux_sym_continue_statement_token1] = ACTIONS(1023),
    [aux_sym_iterate_statement_token1] = ACTIONS(1023),
    [aux_sym_raise_statement_token1] = ACTIONS(1023),
    [anon_sym_EQ] = ACTIONS(1023),
    [aux_sym_assert_statement_token1] = ACTIONS(1023),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1023),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1023),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1023),
    [anon_sym_LT] = ACTIONS(1025),
    [anon_sym_GT] = ACTIONS(1025),
    [aux_sym_set_operation_token1] = ACTIONS(1023),
    [aux_sym_set_operation_token3] = ACTIONS(1023),
    [aux_sym_set_operation_token4] = ACTIONS(1025),
    [aux_sym_select_token1] = ACTIONS(1023),
    [aux_sym_having_clause_token1] = ACTIONS(1023),
    [aux_sym_qualify_clause_token1] = ACTIONS(1023),
    [aux_sym_limit_clause_token1] = ACTIONS(1023),
    [aux_sym_group_by_clause_token1] = ACTIONS(1023),
    [aux_sym_order_by_clause_token1] = ACTIONS(1023),
    [aux_sym_insert_statement_token1] = ACTIONS(1023),
    [aux_sym_truncate_statement_token1] = ACTIONS(1023),
    [aux_sym_update_statement_token1] = ACTIONS(1023),
    [aux_sym_merge_statement_token1] = ACTIONS(1023),
    [aux_sym_grant_statement_token1] = ACTIONS(1023),
    [aux_sym_revoke_statement_token1] = ACTIONS(1023),
    [aux_sym_export_data_statement_token1] = ACTIONS(1023),
    [aux_sym_load_data_statement_token1] = ACTIONS(1023),
    [anon_sym_LBRACK] = ACTIONS(1023),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1023),
    [anon_sym_PLUS] = ACTIONS(2800),
    [anon_sym_DASH] = ACTIONS(2802),
    [anon_sym_STAR] = ACTIONS(2804),
    [anon_sym_SLASH] = ACTIONS(2806),
    [anon_sym_PIPE_PIPE] = ACTIONS(2804),
    [anon_sym_LT_EQ] = ACTIONS(1023),
    [anon_sym_LT_GT] = ACTIONS(1023),
    [anon_sym_GT_EQ] = ACTIONS(1023),
    [anon_sym_BANG_EQ] = ACTIONS(1023),
    [anon_sym_LT_LT] = ACTIONS(2824),
    [anon_sym_GT_GT] = ACTIONS(2824),
    [anon_sym_AMP] = ACTIONS(2826),
    [anon_sym_CARET] = ACTIONS(2828),
    [anon_sym_PIPE] = ACTIONS(2830),
  },
  [2287] = {
    [sym__keyword_between] = STATE(1314),
    [sym__keyword_is] = STATE(12040),
    [sym__keyword_in] = STATE(1573),
    [sym__keyword_not] = STATE(13099),
    [sym__keyword_and] = STATE(1589),
    [sym__keyword_or] = STATE(1591),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(2832),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(341),
    [aux_sym__keyword_alter_token1] = ACTIONS(2832),
    [aux_sym__keyword_delete_token1] = ACTIONS(2832),
    [aux_sym__keyword_begin_token1] = ACTIONS(2832),
    [aux_sym__keyword_end_token1] = ACTIONS(2832),
    [aux_sym__keyword_between_token1] = ACTIONS(2834),
    [aux_sym__keyword_when_token1] = ACTIONS(2832),
    [aux_sym__keyword_else_token1] = ACTIONS(2836),
    [aux_sym__keyword_is_token1] = ACTIONS(2838),
    [aux_sym__keyword_in_token1] = ACTIONS(2840),
    [aux_sym__keyword_and_token1] = ACTIONS(2842),
    [aux_sym__keyword_like_token1] = ACTIONS(1007),
    [aux_sym__keyword_repeat_token1] = ACTIONS(2832),
    [aux_sym__keyword_window_token1] = ACTIONS(2832),
    [aux_sym__keyword_for_token1] = ACTIONS(2832),
    [anon_sym_SEMI] = ACTIONS(2832),
    [aux_sym_declare_statement_token1] = ACTIONS(2832),
    [aux_sym_set_statement_token1] = ACTIONS(2832),
    [anon_sym_LPAREN] = ACTIONS(2832),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(2832),
    [aux_sym_return_satement_token1] = ACTIONS(2832),
    [aux_sym_call_statement_token1] = ACTIONS(2832),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(2832),
    [aux_sym_if_statement_token1] = ACTIONS(2832),
    [aux_sym_loop_statement_token1] = ACTIONS(2832),
    [aux_sym_repeat_statement_token1] = ACTIONS(2832),
    [aux_sym_while_statement_token1] = ACTIONS(2832),
    [aux_sym_break_statement_token1] = ACTIONS(2832),
    [aux_sym_leave_statement_token1] = ACTIONS(2832),
    [aux_sym_continue_statement_token1] = ACTIONS(2832),
    [aux_sym_iterate_statement_token1] = ACTIONS(2832),
    [aux_sym_raise_statement_token1] = ACTIONS(2832),
    [anon_sym_EQ] = ACTIONS(2844),
    [aux_sym_assert_statement_token1] = ACTIONS(2832),
    [aux_sym_create_schema_statement_token1] = ACTIONS(2832),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(2832),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2832),
    [anon_sym_LT] = ACTIONS(2840),
    [anon_sym_GT] = ACTIONS(2840),
    [aux_sym_set_operation_token1] = ACTIONS(2832),
    [aux_sym_set_operation_token3] = ACTIONS(2832),
    [aux_sym_set_operation_token4] = ACTIONS(2836),
    [aux_sym_select_token1] = ACTIONS(2832),
    [aux_sym_having_clause_token1] = ACTIONS(2832),
    [aux_sym_qualify_clause_token1] = ACTIONS(2832),
    [aux_sym_limit_clause_token1] = ACTIONS(2832),
    [aux_sym_group_by_clause_token1] = ACTIONS(2832),
    [aux_sym_order_by_clause_token1] = ACTIONS(2832),
    [aux_sym_insert_statement_token1] = ACTIONS(2832),
    [aux_sym_truncate_statement_token1] = ACTIONS(2832),
    [aux_sym_update_statement_token1] = ACTIONS(2832),
    [aux_sym_merge_statement_token1] = ACTIONS(2832),
    [aux_sym_grant_statement_token1] = ACTIONS(2832),
    [aux_sym_revoke_statement_token1] = ACTIONS(2832),
    [aux_sym_export_data_statement_token1] = ACTIONS(2832),
    [aux_sym_load_data_statement_token1] = ACTIONS(2832),
    [anon_sym_LBRACK] = ACTIONS(2702),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(2704),
    [anon_sym_PLUS] = ACTIONS(2800),
    [anon_sym_DASH] = ACTIONS(2802),
    [anon_sym_STAR] = ACTIONS(2804),
    [anon_sym_SLASH] = ACTIONS(2806),
    [anon_sym_PIPE_PIPE] = ACTIONS(2804),
    [anon_sym_LT_EQ] = ACTIONS(2844),
    [anon_sym_LT_GT] = ACTIONS(2844),
    [anon_sym_GT_EQ] = ACTIONS(2844),
    [anon_sym_BANG_EQ] = ACTIONS(2844),
    [anon_sym_LT_LT] = ACTIONS(2824),
    [anon_sym_GT_GT] = ACTIONS(2824),
    [anon_sym_AMP] = ACTIONS(2826),
    [anon_sym_CARET] = ACTIONS(2828),
    [anon_sym_PIPE] = ACTIONS(2830),
  },
  [2288] = {
    [sym__keyword_between] = STATE(1511),
    [sym__keyword_is] = STATE(12110),
    [sym__keyword_in] = STATE(1669),
    [sym__keyword_not] = STATE(13115),
    [sym__keyword_and] = STATE(1639),
    [sym__keyword_or] = STATE(1636),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(917),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PIPE_PIPE] = ACTIONS(917),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2289] = {
    [sym__keyword_between] = STATE(1511),
    [sym__keyword_is] = STATE(12110),
    [sym__keyword_in] = STATE(1669),
    [sym__keyword_not] = STATE(13115),
    [sym__keyword_and] = STATE(1639),
    [sym__keyword_or] = STATE(1636),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2808),
    [anon_sym_DASH] = ACTIONS(2810),
    [anon_sym_STAR] = ACTIONS(2812),
    [anon_sym_SLASH] = ACTIONS(2814),
    [anon_sym_PIPE_PIPE] = ACTIONS(2812),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2290] = {
    [sym__keyword_between] = STATE(1511),
    [sym__keyword_is] = STATE(12110),
    [sym__keyword_in] = STATE(1669),
    [sym__keyword_not] = STATE(13115),
    [sym__keyword_and] = STATE(1639),
    [sym__keyword_or] = STATE(1636),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(947),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(947),
    [aux_sym_keyword_replace_token1] = ACTIONS(949),
    [aux_sym__keyword_alter_token1] = ACTIONS(947),
    [aux_sym__keyword_delete_token1] = ACTIONS(947),
    [aux_sym__keyword_begin_token1] = ACTIONS(947),
    [aux_sym__keyword_end_token1] = ACTIONS(947),
    [aux_sym__keyword_between_token1] = ACTIONS(947),
    [aux_sym__keyword_when_token1] = ACTIONS(947),
    [aux_sym__keyword_else_token1] = ACTIONS(949),
    [aux_sym__keyword_is_token1] = ACTIONS(947),
    [aux_sym__keyword_in_token1] = ACTIONS(949),
    [aux_sym__keyword_and_token1] = ACTIONS(947),
    [aux_sym__keyword_like_token1] = ACTIONS(947),
    [aux_sym__keyword_repeat_token1] = ACTIONS(947),
    [aux_sym__keyword_window_token1] = ACTIONS(947),
    [aux_sym__keyword_for_token1] = ACTIONS(947),
    [anon_sym_SEMI] = ACTIONS(947),
    [aux_sym_declare_statement_token1] = ACTIONS(947),
    [anon_sym_COMMA] = ACTIONS(947),
    [aux_sym_set_statement_token1] = ACTIONS(947),
    [anon_sym_LPAREN] = ACTIONS(947),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(947),
    [aux_sym_return_satement_token1] = ACTIONS(947),
    [aux_sym_call_statement_token1] = ACTIONS(947),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(947),
    [aux_sym_if_statement_token1] = ACTIONS(947),
    [aux_sym_loop_statement_token1] = ACTIONS(947),
    [aux_sym_repeat_statement_token1] = ACTIONS(947),
    [aux_sym_while_statement_token1] = ACTIONS(947),
    [aux_sym_break_statement_token1] = ACTIONS(947),
    [aux_sym_leave_statement_token1] = ACTIONS(947),
    [aux_sym_continue_statement_token1] = ACTIONS(947),
    [aux_sym_iterate_statement_token1] = ACTIONS(947),
    [aux_sym_raise_statement_token1] = ACTIONS(947),
    [anon_sym_EQ] = ACTIONS(947),
    [aux_sym_assert_statement_token1] = ACTIONS(947),
    [aux_sym_create_schema_statement_token1] = ACTIONS(947),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(947),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(949),
    [anon_sym_GT] = ACTIONS(949),
    [aux_sym_set_operation_token1] = ACTIONS(947),
    [aux_sym_set_operation_token3] = ACTIONS(947),
    [aux_sym_set_operation_token4] = ACTIONS(949),
    [aux_sym_select_token1] = ACTIONS(947),
    [aux_sym_having_clause_token1] = ACTIONS(947),
    [aux_sym_qualify_clause_token1] = ACTIONS(947),
    [aux_sym_limit_clause_token1] = ACTIONS(947),
    [aux_sym_order_by_clause_token1] = ACTIONS(947),
    [aux_sym_insert_statement_token1] = ACTIONS(947),
    [aux_sym_truncate_statement_token1] = ACTIONS(947),
    [aux_sym_update_statement_token1] = ACTIONS(947),
    [aux_sym_merge_statement_token1] = ACTIONS(947),
    [aux_sym_grant_statement_token1] = ACTIONS(947),
    [aux_sym_revoke_statement_token1] = ACTIONS(947),
    [aux_sym_export_data_statement_token1] = ACTIONS(947),
    [aux_sym_load_data_statement_token1] = ACTIONS(947),
    [anon_sym_LBRACK] = ACTIONS(947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(2808),
    [anon_sym_DASH] = ACTIONS(2810),
    [anon_sym_STAR] = ACTIONS(2812),
    [anon_sym_SLASH] = ACTIONS(2814),
    [anon_sym_PIPE_PIPE] = ACTIONS(2812),
    [anon_sym_LT_EQ] = ACTIONS(947),
    [anon_sym_LT_GT] = ACTIONS(947),
    [anon_sym_GT_EQ] = ACTIONS(947),
    [anon_sym_BANG_EQ] = ACTIONS(947),
    [anon_sym_LT_LT] = ACTIONS(2816),
    [anon_sym_GT_GT] = ACTIONS(2816),
    [anon_sym_AMP] = ACTIONS(2818),
    [anon_sym_CARET] = ACTIONS(2820),
    [anon_sym_PIPE] = ACTIONS(2822),
  },
  [2291] = {
    [sym__keyword_between] = STATE(1511),
    [sym__keyword_is] = STATE(12110),
    [sym__keyword_in] = STATE(1669),
    [sym__keyword_not] = STATE(13115),
    [sym__keyword_and] = STATE(1639),
    [sym__keyword_or] = STATE(1636),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1027),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(341),
    [aux_sym__keyword_alter_token1] = ACTIONS(1027),
    [aux_sym__keyword_delete_token1] = ACTIONS(1027),
    [aux_sym__keyword_begin_token1] = ACTIONS(1027),
    [aux_sym__keyword_end_token1] = ACTIONS(1027),
    [aux_sym__keyword_between_token1] = ACTIONS(2846),
    [aux_sym__keyword_when_token1] = ACTIONS(1027),
    [aux_sym__keyword_else_token1] = ACTIONS(1029),
    [aux_sym__keyword_is_token1] = ACTIONS(2848),
    [aux_sym__keyword_in_token1] = ACTIONS(2850),
    [aux_sym__keyword_and_token1] = ACTIONS(2852),
    [aux_sym__keyword_like_token1] = ACTIONS(1027),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1027),
    [aux_sym__keyword_window_token1] = ACTIONS(1027),
    [aux_sym__keyword_for_token1] = ACTIONS(1027),
    [anon_sym_SEMI] = ACTIONS(1027),
    [aux_sym_declare_statement_token1] = ACTIONS(1027),
    [anon_sym_COMMA] = ACTIONS(1027),
    [aux_sym_set_statement_token1] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1027),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1027),
    [aux_sym_return_satement_token1] = ACTIONS(1027),
    [aux_sym_call_statement_token1] = ACTIONS(1027),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1027),
    [aux_sym_if_statement_token1] = ACTIONS(1027),
    [aux_sym_loop_statement_token1] = ACTIONS(1027),
    [aux_sym_repeat_statement_token1] = ACTIONS(1027),
    [aux_sym_while_statement_token1] = ACTIONS(1027),
    [aux_sym_break_statement_token1] = ACTIONS(1027),
    [aux_sym_leave_statement_token1] = ACTIONS(1027),
    [aux_sym_continue_statement_token1] = ACTIONS(1027),
    [aux_sym_iterate_statement_token1] = ACTIONS(1027),
    [aux_sym_raise_statement_token1] = ACTIONS(1027),
    [anon_sym_EQ] = ACTIONS(2854),
    [aux_sym_assert_statement_token1] = ACTIONS(1027),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1027),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1027),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1027),
    [anon_sym_LT] = ACTIONS(2850),
    [anon_sym_GT] = ACTIONS(2850),
    [aux_sym_set_operation_token1] = ACTIONS(1027),
    [aux_sym_set_operation_token3] = ACTIONS(1027),
    [aux_sym_set_operation_token4] = ACTIONS(1029),
    [aux_sym_select_token1] = ACTIONS(1027),
    [aux_sym_having_clause_token1] = ACTIONS(1027),
    [aux_sym_qualify_clause_token1] = ACTIONS(1027),
    [aux_sym_limit_clause_token1] = ACTIONS(1027),
    [aux_sym_order_by_clause_token1] = ACTIONS(1027),
    [aux_sym_insert_statement_token1] = ACTIONS(1027),
    [aux_sym_truncate_statement_token1] = ACTIONS(1027),
    [aux_sym_update_statement_token1] = ACTIONS(1027),
    [aux_sym_merge_statement_token1] = ACTIONS(1027),
    [aux_sym_grant_statement_token1] = ACTIONS(1027),
    [aux_sym_revoke_statement_token1] = ACTIONS(1027),
    [aux_sym_export_data_statement_token1] = ACTIONS(1027),
    [aux_sym_load_data_statement_token1] = ACTIONS(1027),
    [anon_sym_LBRACK] = ACTIONS(1027),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(2808),
    [anon_sym_DASH] = ACTIONS(2810),
    [anon_sym_STAR] = ACTIONS(2812),
    [anon_sym_SLASH] = ACTIONS(2814),
    [anon_sym_PIPE_PIPE] = ACTIONS(2812),
    [anon_sym_LT_EQ] = ACTIONS(2854),
    [anon_sym_LT_GT] = ACTIONS(2854),
    [anon_sym_GT_EQ] = ACTIONS(2854),
    [anon_sym_BANG_EQ] = ACTIONS(2854),
    [anon_sym_LT_LT] = ACTIONS(2816),
    [anon_sym_GT_GT] = ACTIONS(2816),
    [anon_sym_AMP] = ACTIONS(2818),
    [anon_sym_CARET] = ACTIONS(2820),
    [anon_sym_PIPE] = ACTIONS(2822),
  },
  [2292] = {
    [sym__keyword_between] = STATE(1511),
    [sym__keyword_is] = STATE(12110),
    [sym__keyword_in] = STATE(1669),
    [sym__keyword_not] = STATE(13115),
    [sym__keyword_and] = STATE(1639),
    [sym__keyword_or] = STATE(1636),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2808),
    [anon_sym_DASH] = ACTIONS(2810),
    [anon_sym_STAR] = ACTIONS(2812),
    [anon_sym_SLASH] = ACTIONS(2814),
    [anon_sym_PIPE_PIPE] = ACTIONS(2812),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(2816),
    [anon_sym_GT_GT] = ACTIONS(2816),
    [anon_sym_AMP] = ACTIONS(2818),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2293] = {
    [sym__keyword_between] = STATE(914),
    [sym__keyword_is] = STATE(12157),
    [sym__keyword_in] = STATE(1277),
    [sym__keyword_not] = STATE(13081),
    [sym__keyword_and] = STATE(1293),
    [sym__keyword_or] = STATE(1294),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token2] = ACTIONS(917),
    [aux_sym__nulls_preference_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2706),
    [anon_sym_DASH] = ACTIONS(2708),
    [anon_sym_STAR] = ACTIONS(2710),
    [anon_sym_SLASH] = ACTIONS(2712),
    [anon_sym_PIPE_PIPE] = ACTIONS(2710),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(2714),
    [anon_sym_GT_GT] = ACTIONS(2714),
    [anon_sym_AMP] = ACTIONS(2716),
    [anon_sym_CARET] = ACTIONS(2718),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2294] = {
    [sym__keyword_between] = STATE(1511),
    [sym__keyword_is] = STATE(12110),
    [sym__keyword_in] = STATE(1669),
    [sym__keyword_not] = STATE(13115),
    [sym__keyword_and] = STATE(1639),
    [sym__keyword_or] = STATE(1636),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2808),
    [anon_sym_DASH] = ACTIONS(2810),
    [anon_sym_STAR] = ACTIONS(2812),
    [anon_sym_SLASH] = ACTIONS(2814),
    [anon_sym_PIPE_PIPE] = ACTIONS(2812),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(2816),
    [anon_sym_GT_GT] = ACTIONS(2816),
    [anon_sym_AMP] = ACTIONS(2818),
    [anon_sym_CARET] = ACTIONS(2820),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2295] = {
    [sym__keyword_between] = STATE(1314),
    [sym__keyword_is] = STATE(12040),
    [sym__keyword_in] = STATE(1573),
    [sym__keyword_not] = STATE(13099),
    [sym__keyword_and] = STATE(1589),
    [sym__keyword_or] = STATE(1591),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(947),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(947),
    [aux_sym_keyword_replace_token1] = ACTIONS(949),
    [aux_sym__keyword_alter_token1] = ACTIONS(947),
    [aux_sym__keyword_delete_token1] = ACTIONS(947),
    [aux_sym__keyword_begin_token1] = ACTIONS(947),
    [aux_sym__keyword_end_token1] = ACTIONS(947),
    [aux_sym__keyword_between_token1] = ACTIONS(947),
    [aux_sym__keyword_when_token1] = ACTIONS(947),
    [aux_sym__keyword_else_token1] = ACTIONS(949),
    [aux_sym__keyword_is_token1] = ACTIONS(947),
    [aux_sym__keyword_in_token1] = ACTIONS(949),
    [aux_sym__keyword_and_token1] = ACTIONS(947),
    [aux_sym__keyword_like_token1] = ACTIONS(947),
    [aux_sym__keyword_repeat_token1] = ACTIONS(947),
    [aux_sym__keyword_window_token1] = ACTIONS(947),
    [aux_sym__keyword_for_token1] = ACTIONS(947),
    [anon_sym_SEMI] = ACTIONS(947),
    [aux_sym_declare_statement_token1] = ACTIONS(947),
    [aux_sym_set_statement_token1] = ACTIONS(947),
    [anon_sym_LPAREN] = ACTIONS(947),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(947),
    [aux_sym_return_satement_token1] = ACTIONS(947),
    [aux_sym_call_statement_token1] = ACTIONS(947),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(947),
    [aux_sym_if_statement_token1] = ACTIONS(947),
    [aux_sym_loop_statement_token1] = ACTIONS(947),
    [aux_sym_repeat_statement_token1] = ACTIONS(947),
    [aux_sym_while_statement_token1] = ACTIONS(947),
    [aux_sym_break_statement_token1] = ACTIONS(947),
    [aux_sym_leave_statement_token1] = ACTIONS(947),
    [aux_sym_continue_statement_token1] = ACTIONS(947),
    [aux_sym_iterate_statement_token1] = ACTIONS(947),
    [aux_sym_raise_statement_token1] = ACTIONS(947),
    [anon_sym_EQ] = ACTIONS(947),
    [aux_sym_assert_statement_token1] = ACTIONS(947),
    [aux_sym_create_schema_statement_token1] = ACTIONS(947),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(947),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(949),
    [anon_sym_GT] = ACTIONS(949),
    [aux_sym_set_operation_token1] = ACTIONS(947),
    [aux_sym_set_operation_token3] = ACTIONS(947),
    [aux_sym_set_operation_token4] = ACTIONS(949),
    [aux_sym_select_token1] = ACTIONS(947),
    [aux_sym_having_clause_token1] = ACTIONS(947),
    [aux_sym_qualify_clause_token1] = ACTIONS(947),
    [aux_sym_limit_clause_token1] = ACTIONS(947),
    [aux_sym_group_by_clause_token1] = ACTIONS(947),
    [aux_sym_order_by_clause_token1] = ACTIONS(947),
    [aux_sym_insert_statement_token1] = ACTIONS(947),
    [aux_sym_truncate_statement_token1] = ACTIONS(947),
    [aux_sym_update_statement_token1] = ACTIONS(947),
    [aux_sym_merge_statement_token1] = ACTIONS(947),
    [aux_sym_grant_statement_token1] = ACTIONS(947),
    [aux_sym_revoke_statement_token1] = ACTIONS(947),
    [aux_sym_export_data_statement_token1] = ACTIONS(947),
    [aux_sym_load_data_statement_token1] = ACTIONS(947),
    [anon_sym_LBRACK] = ACTIONS(947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(2800),
    [anon_sym_DASH] = ACTIONS(2802),
    [anon_sym_STAR] = ACTIONS(2804),
    [anon_sym_SLASH] = ACTIONS(2806),
    [anon_sym_PIPE_PIPE] = ACTIONS(2804),
    [anon_sym_LT_EQ] = ACTIONS(947),
    [anon_sym_LT_GT] = ACTIONS(947),
    [anon_sym_GT_EQ] = ACTIONS(947),
    [anon_sym_BANG_EQ] = ACTIONS(947),
    [anon_sym_LT_LT] = ACTIONS(2824),
    [anon_sym_GT_GT] = ACTIONS(2824),
    [anon_sym_AMP] = ACTIONS(2826),
    [anon_sym_CARET] = ACTIONS(2828),
    [anon_sym_PIPE] = ACTIONS(2830),
  },
  [2296] = {
    [sym__keyword_between] = STATE(1314),
    [sym__keyword_is] = STATE(12040),
    [sym__keyword_in] = STATE(1573),
    [sym__keyword_not] = STATE(13099),
    [sym__keyword_and] = STATE(1589),
    [sym__keyword_or] = STATE(1591),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1031),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1031),
    [aux_sym_keyword_replace_token1] = ACTIONS(1033),
    [aux_sym__keyword_alter_token1] = ACTIONS(1031),
    [aux_sym__keyword_delete_token1] = ACTIONS(1031),
    [aux_sym__keyword_begin_token1] = ACTIONS(1031),
    [aux_sym__keyword_end_token1] = ACTIONS(1031),
    [aux_sym__keyword_between_token1] = ACTIONS(1031),
    [aux_sym__keyword_when_token1] = ACTIONS(1031),
    [aux_sym__keyword_else_token1] = ACTIONS(1033),
    [aux_sym__keyword_is_token1] = ACTIONS(1031),
    [aux_sym__keyword_in_token1] = ACTIONS(1033),
    [aux_sym__keyword_and_token1] = ACTIONS(1031),
    [aux_sym__keyword_like_token1] = ACTIONS(1031),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1031),
    [aux_sym__keyword_window_token1] = ACTIONS(1031),
    [aux_sym__keyword_for_token1] = ACTIONS(1031),
    [anon_sym_SEMI] = ACTIONS(1031),
    [aux_sym_declare_statement_token1] = ACTIONS(1031),
    [aux_sym_set_statement_token1] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1031),
    [aux_sym_return_satement_token1] = ACTIONS(1031),
    [aux_sym_call_statement_token1] = ACTIONS(1031),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1031),
    [aux_sym_if_statement_token1] = ACTIONS(1031),
    [aux_sym_loop_statement_token1] = ACTIONS(1031),
    [aux_sym_repeat_statement_token1] = ACTIONS(1031),
    [aux_sym_while_statement_token1] = ACTIONS(1031),
    [aux_sym_break_statement_token1] = ACTIONS(1031),
    [aux_sym_leave_statement_token1] = ACTIONS(1031),
    [aux_sym_continue_statement_token1] = ACTIONS(1031),
    [aux_sym_iterate_statement_token1] = ACTIONS(1031),
    [aux_sym_raise_statement_token1] = ACTIONS(1031),
    [anon_sym_EQ] = ACTIONS(1031),
    [aux_sym_assert_statement_token1] = ACTIONS(1031),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1031),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1031),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1031),
    [anon_sym_LT] = ACTIONS(1033),
    [anon_sym_GT] = ACTIONS(1033),
    [aux_sym_set_operation_token1] = ACTIONS(1031),
    [aux_sym_set_operation_token3] = ACTIONS(1031),
    [aux_sym_set_operation_token4] = ACTIONS(1033),
    [aux_sym_select_token1] = ACTIONS(1031),
    [aux_sym_having_clause_token1] = ACTIONS(1031),
    [aux_sym_qualify_clause_token1] = ACTIONS(1031),
    [aux_sym_limit_clause_token1] = ACTIONS(1031),
    [aux_sym_group_by_clause_token1] = ACTIONS(1031),
    [aux_sym_order_by_clause_token1] = ACTIONS(1031),
    [aux_sym_insert_statement_token1] = ACTIONS(1031),
    [aux_sym_truncate_statement_token1] = ACTIONS(1031),
    [aux_sym_update_statement_token1] = ACTIONS(1031),
    [aux_sym_merge_statement_token1] = ACTIONS(1031),
    [aux_sym_grant_statement_token1] = ACTIONS(1031),
    [aux_sym_revoke_statement_token1] = ACTIONS(1031),
    [aux_sym_export_data_statement_token1] = ACTIONS(1031),
    [aux_sym_load_data_statement_token1] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1031),
    [anon_sym_PLUS] = ACTIONS(2800),
    [anon_sym_DASH] = ACTIONS(2802),
    [anon_sym_STAR] = ACTIONS(2804),
    [anon_sym_SLASH] = ACTIONS(2806),
    [anon_sym_PIPE_PIPE] = ACTIONS(2804),
    [anon_sym_LT_EQ] = ACTIONS(1031),
    [anon_sym_LT_GT] = ACTIONS(1031),
    [anon_sym_GT_EQ] = ACTIONS(1031),
    [anon_sym_BANG_EQ] = ACTIONS(1031),
    [anon_sym_LT_LT] = ACTIONS(2824),
    [anon_sym_GT_GT] = ACTIONS(2824),
    [anon_sym_AMP] = ACTIONS(2826),
    [anon_sym_CARET] = ACTIONS(2828),
    [anon_sym_PIPE] = ACTIONS(2830),
  },
  [2297] = {
    [sym__keyword_between] = STATE(914),
    [sym__keyword_is] = STATE(12157),
    [sym__keyword_in] = STATE(1277),
    [sym__keyword_not] = STATE(13081),
    [sym__keyword_and] = STATE(1293),
    [sym__keyword_or] = STATE(1294),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token2] = ACTIONS(917),
    [aux_sym__nulls_preference_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2706),
    [anon_sym_DASH] = ACTIONS(2708),
    [anon_sym_STAR] = ACTIONS(2710),
    [anon_sym_SLASH] = ACTIONS(2712),
    [anon_sym_PIPE_PIPE] = ACTIONS(2710),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(2714),
    [anon_sym_GT_GT] = ACTIONS(2714),
    [anon_sym_AMP] = ACTIONS(2716),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2298] = {
    [sym__keyword_between] = STATE(1511),
    [sym__keyword_is] = STATE(12110),
    [sym__keyword_in] = STATE(1669),
    [sym__keyword_not] = STATE(13115),
    [sym__keyword_and] = STATE(1639),
    [sym__keyword_or] = STATE(1636),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(2846),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(2848),
    [aux_sym__keyword_in_token1] = ACTIONS(2850),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(2854),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(2850),
    [anon_sym_GT] = ACTIONS(2850),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2808),
    [anon_sym_DASH] = ACTIONS(2810),
    [anon_sym_STAR] = ACTIONS(2812),
    [anon_sym_SLASH] = ACTIONS(2814),
    [anon_sym_PIPE_PIPE] = ACTIONS(2812),
    [anon_sym_LT_EQ] = ACTIONS(2854),
    [anon_sym_LT_GT] = ACTIONS(2854),
    [anon_sym_GT_EQ] = ACTIONS(2854),
    [anon_sym_BANG_EQ] = ACTIONS(2854),
    [anon_sym_LT_LT] = ACTIONS(2816),
    [anon_sym_GT_GT] = ACTIONS(2816),
    [anon_sym_AMP] = ACTIONS(2818),
    [anon_sym_CARET] = ACTIONS(2820),
    [anon_sym_PIPE] = ACTIONS(2822),
  },
  [2299] = {
    [sym__keyword_between] = STATE(1511),
    [sym__keyword_is] = STATE(12110),
    [sym__keyword_in] = STATE(1669),
    [sym__keyword_not] = STATE(13115),
    [sym__keyword_and] = STATE(1639),
    [sym__keyword_or] = STATE(1636),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(2846),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(2848),
    [aux_sym__keyword_in_token1] = ACTIONS(2850),
    [aux_sym__keyword_and_token1] = ACTIONS(2852),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(2854),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(2850),
    [anon_sym_GT] = ACTIONS(2850),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2808),
    [anon_sym_DASH] = ACTIONS(2810),
    [anon_sym_STAR] = ACTIONS(2812),
    [anon_sym_SLASH] = ACTIONS(2814),
    [anon_sym_PIPE_PIPE] = ACTIONS(2812),
    [anon_sym_LT_EQ] = ACTIONS(2854),
    [anon_sym_LT_GT] = ACTIONS(2854),
    [anon_sym_GT_EQ] = ACTIONS(2854),
    [anon_sym_BANG_EQ] = ACTIONS(2854),
    [anon_sym_LT_LT] = ACTIONS(2816),
    [anon_sym_GT_GT] = ACTIONS(2816),
    [anon_sym_AMP] = ACTIONS(2818),
    [anon_sym_CARET] = ACTIONS(2820),
    [anon_sym_PIPE] = ACTIONS(2822),
  },
  [2300] = {
    [sym__keyword_between] = STATE(1314),
    [sym__keyword_is] = STATE(12040),
    [sym__keyword_in] = STATE(1573),
    [sym__keyword_not] = STATE(13099),
    [sym__keyword_and] = STATE(1589),
    [sym__keyword_or] = STATE(1591),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1035),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1035),
    [aux_sym_keyword_replace_token1] = ACTIONS(1037),
    [aux_sym__keyword_alter_token1] = ACTIONS(1035),
    [aux_sym__keyword_delete_token1] = ACTIONS(1035),
    [aux_sym__keyword_begin_token1] = ACTIONS(1035),
    [aux_sym__keyword_end_token1] = ACTIONS(1035),
    [aux_sym__keyword_between_token1] = ACTIONS(1035),
    [aux_sym__keyword_when_token1] = ACTIONS(1035),
    [aux_sym__keyword_else_token1] = ACTIONS(1037),
    [aux_sym__keyword_is_token1] = ACTIONS(1035),
    [aux_sym__keyword_in_token1] = ACTIONS(1037),
    [aux_sym__keyword_and_token1] = ACTIONS(1035),
    [aux_sym__keyword_like_token1] = ACTIONS(1035),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1035),
    [aux_sym__keyword_window_token1] = ACTIONS(1035),
    [aux_sym__keyword_for_token1] = ACTIONS(1035),
    [anon_sym_SEMI] = ACTIONS(1035),
    [aux_sym_declare_statement_token1] = ACTIONS(1035),
    [aux_sym_set_statement_token1] = ACTIONS(1035),
    [anon_sym_LPAREN] = ACTIONS(1035),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1035),
    [aux_sym_return_satement_token1] = ACTIONS(1035),
    [aux_sym_call_statement_token1] = ACTIONS(1035),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1035),
    [aux_sym_if_statement_token1] = ACTIONS(1035),
    [aux_sym_loop_statement_token1] = ACTIONS(1035),
    [aux_sym_repeat_statement_token1] = ACTIONS(1035),
    [aux_sym_while_statement_token1] = ACTIONS(1035),
    [aux_sym_break_statement_token1] = ACTIONS(1035),
    [aux_sym_leave_statement_token1] = ACTIONS(1035),
    [aux_sym_continue_statement_token1] = ACTIONS(1035),
    [aux_sym_iterate_statement_token1] = ACTIONS(1035),
    [aux_sym_raise_statement_token1] = ACTIONS(1035),
    [anon_sym_EQ] = ACTIONS(1035),
    [aux_sym_assert_statement_token1] = ACTIONS(1035),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1035),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1035),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1035),
    [anon_sym_LT] = ACTIONS(1037),
    [anon_sym_GT] = ACTIONS(1037),
    [aux_sym_set_operation_token1] = ACTIONS(1035),
    [aux_sym_set_operation_token3] = ACTIONS(1035),
    [aux_sym_set_operation_token4] = ACTIONS(1037),
    [aux_sym_select_token1] = ACTIONS(1035),
    [aux_sym_having_clause_token1] = ACTIONS(1035),
    [aux_sym_qualify_clause_token1] = ACTIONS(1035),
    [aux_sym_limit_clause_token1] = ACTIONS(1035),
    [aux_sym_group_by_clause_token1] = ACTIONS(1035),
    [aux_sym_order_by_clause_token1] = ACTIONS(1035),
    [aux_sym_insert_statement_token1] = ACTIONS(1035),
    [aux_sym_truncate_statement_token1] = ACTIONS(1035),
    [aux_sym_update_statement_token1] = ACTIONS(1035),
    [aux_sym_merge_statement_token1] = ACTIONS(1035),
    [aux_sym_grant_statement_token1] = ACTIONS(1035),
    [aux_sym_revoke_statement_token1] = ACTIONS(1035),
    [aux_sym_export_data_statement_token1] = ACTIONS(1035),
    [aux_sym_load_data_statement_token1] = ACTIONS(1035),
    [anon_sym_LBRACK] = ACTIONS(1035),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1035),
    [anon_sym_PLUS] = ACTIONS(2800),
    [anon_sym_DASH] = ACTIONS(2802),
    [anon_sym_STAR] = ACTIONS(2804),
    [anon_sym_SLASH] = ACTIONS(2806),
    [anon_sym_PIPE_PIPE] = ACTIONS(2804),
    [anon_sym_LT_EQ] = ACTIONS(1035),
    [anon_sym_LT_GT] = ACTIONS(1035),
    [anon_sym_GT_EQ] = ACTIONS(1035),
    [anon_sym_BANG_EQ] = ACTIONS(1035),
    [anon_sym_LT_LT] = ACTIONS(2824),
    [anon_sym_GT_GT] = ACTIONS(2824),
    [anon_sym_AMP] = ACTIONS(2826),
    [anon_sym_CARET] = ACTIONS(2828),
    [anon_sym_PIPE] = ACTIONS(2830),
  },
  [2301] = {
    [sym__keyword_between] = STATE(1511),
    [sym__keyword_is] = STATE(12110),
    [sym__keyword_in] = STATE(1669),
    [sym__keyword_not] = STATE(13115),
    [sym__keyword_and] = STATE(1639),
    [sym__keyword_or] = STATE(1636),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1019),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1019),
    [aux_sym_keyword_replace_token1] = ACTIONS(1021),
    [aux_sym__keyword_alter_token1] = ACTIONS(1019),
    [aux_sym__keyword_delete_token1] = ACTIONS(1019),
    [aux_sym__keyword_begin_token1] = ACTIONS(1019),
    [aux_sym__keyword_end_token1] = ACTIONS(1019),
    [aux_sym__keyword_between_token1] = ACTIONS(1019),
    [aux_sym__keyword_when_token1] = ACTIONS(1019),
    [aux_sym__keyword_else_token1] = ACTIONS(1021),
    [aux_sym__keyword_is_token1] = ACTIONS(1019),
    [aux_sym__keyword_in_token1] = ACTIONS(1021),
    [aux_sym__keyword_and_token1] = ACTIONS(1019),
    [aux_sym__keyword_like_token1] = ACTIONS(1019),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1019),
    [aux_sym__keyword_window_token1] = ACTIONS(1019),
    [aux_sym__keyword_for_token1] = ACTIONS(1019),
    [anon_sym_SEMI] = ACTIONS(1019),
    [aux_sym_declare_statement_token1] = ACTIONS(1019),
    [anon_sym_COMMA] = ACTIONS(1019),
    [aux_sym_set_statement_token1] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1019),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1019),
    [aux_sym_return_satement_token1] = ACTIONS(1019),
    [aux_sym_call_statement_token1] = ACTIONS(1019),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1019),
    [aux_sym_if_statement_token1] = ACTIONS(1019),
    [aux_sym_loop_statement_token1] = ACTIONS(1019),
    [aux_sym_repeat_statement_token1] = ACTIONS(1019),
    [aux_sym_while_statement_token1] = ACTIONS(1019),
    [aux_sym_break_statement_token1] = ACTIONS(1019),
    [aux_sym_leave_statement_token1] = ACTIONS(1019),
    [aux_sym_continue_statement_token1] = ACTIONS(1019),
    [aux_sym_iterate_statement_token1] = ACTIONS(1019),
    [aux_sym_raise_statement_token1] = ACTIONS(1019),
    [anon_sym_EQ] = ACTIONS(1019),
    [aux_sym_assert_statement_token1] = ACTIONS(1019),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1019),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1019),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1019),
    [anon_sym_LT] = ACTIONS(1021),
    [anon_sym_GT] = ACTIONS(1021),
    [aux_sym_set_operation_token1] = ACTIONS(1019),
    [aux_sym_set_operation_token3] = ACTIONS(1019),
    [aux_sym_set_operation_token4] = ACTIONS(1021),
    [aux_sym_select_token1] = ACTIONS(1019),
    [aux_sym_having_clause_token1] = ACTIONS(1019),
    [aux_sym_qualify_clause_token1] = ACTIONS(1019),
    [aux_sym_limit_clause_token1] = ACTIONS(1019),
    [aux_sym_order_by_clause_token1] = ACTIONS(1019),
    [aux_sym_insert_statement_token1] = ACTIONS(1019),
    [aux_sym_truncate_statement_token1] = ACTIONS(1019),
    [aux_sym_update_statement_token1] = ACTIONS(1019),
    [aux_sym_merge_statement_token1] = ACTIONS(1019),
    [aux_sym_grant_statement_token1] = ACTIONS(1019),
    [aux_sym_revoke_statement_token1] = ACTIONS(1019),
    [aux_sym_export_data_statement_token1] = ACTIONS(1019),
    [aux_sym_load_data_statement_token1] = ACTIONS(1019),
    [anon_sym_LBRACK] = ACTIONS(1019),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1019),
    [anon_sym_PLUS] = ACTIONS(1019),
    [anon_sym_DASH] = ACTIONS(1021),
    [anon_sym_STAR] = ACTIONS(1019),
    [anon_sym_SLASH] = ACTIONS(1021),
    [anon_sym_PIPE_PIPE] = ACTIONS(1019),
    [anon_sym_LT_EQ] = ACTIONS(1019),
    [anon_sym_LT_GT] = ACTIONS(1019),
    [anon_sym_GT_EQ] = ACTIONS(1019),
    [anon_sym_BANG_EQ] = ACTIONS(1019),
    [anon_sym_LT_LT] = ACTIONS(1019),
    [anon_sym_GT_GT] = ACTIONS(1019),
    [anon_sym_AMP] = ACTIONS(1019),
    [anon_sym_CARET] = ACTIONS(1019),
    [anon_sym_PIPE] = ACTIONS(1021),
  },
  [2302] = {
    [sym__keyword_between] = STATE(914),
    [sym__keyword_is] = STATE(12157),
    [sym__keyword_in] = STATE(1277),
    [sym__keyword_not] = STATE(13081),
    [sym__keyword_and] = STATE(1293),
    [sym__keyword_or] = STATE(1294),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token2] = ACTIONS(917),
    [aux_sym__nulls_preference_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2706),
    [anon_sym_DASH] = ACTIONS(2708),
    [anon_sym_STAR] = ACTIONS(2710),
    [anon_sym_SLASH] = ACTIONS(2712),
    [anon_sym_PIPE_PIPE] = ACTIONS(2710),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(2714),
    [anon_sym_GT_GT] = ACTIONS(2714),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2303] = {
    [ts_builtin_sym_end] = ACTIONS(1830),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1830),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1830),
    [aux_sym_keyword_replace_token1] = ACTIONS(1832),
    [aux_sym__keyword_alter_token1] = ACTIONS(1830),
    [aux_sym__keyword_from_token1] = ACTIONS(1830),
    [aux_sym__keyword_delete_token1] = ACTIONS(1830),
    [aux_sym__keyword_begin_token1] = ACTIONS(1830),
    [aux_sym__keyword_end_token1] = ACTIONS(1830),
    [aux_sym__keyword_between_token1] = ACTIONS(1830),
    [aux_sym__keyword_when_token1] = ACTIONS(1830),
    [aux_sym__keyword_else_token1] = ACTIONS(1832),
    [aux_sym__keyword_is_token1] = ACTIONS(1830),
    [aux_sym__keyword_in_token1] = ACTIONS(1832),
    [aux_sym__keyword_and_token1] = ACTIONS(1830),
    [aux_sym__keyword_like_token1] = ACTIONS(1830),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1830),
    [aux_sym__keyword_window_token1] = ACTIONS(1830),
    [aux_sym__keyword_for_token1] = ACTIONS(1830),
    [anon_sym_SEMI] = ACTIONS(1830),
    [aux_sym_declare_statement_token1] = ACTIONS(1830),
    [anon_sym_COMMA] = ACTIONS(1830),
    [aux_sym_set_statement_token1] = ACTIONS(1830),
    [anon_sym_LPAREN] = ACTIONS(1830),
    [anon_sym_RPAREN] = ACTIONS(1830),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1830),
    [aux_sym_return_satement_token1] = ACTIONS(1830),
    [aux_sym_call_statement_token1] = ACTIONS(1830),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1830),
    [aux_sym_if_statement_token1] = ACTIONS(1830),
    [aux_sym_loop_statement_token1] = ACTIONS(1830),
    [aux_sym_repeat_statement_token1] = ACTIONS(1830),
    [aux_sym_while_statement_token1] = ACTIONS(1830),
    [aux_sym_break_statement_token1] = ACTIONS(1830),
    [aux_sym_leave_statement_token1] = ACTIONS(1830),
    [aux_sym_continue_statement_token1] = ACTIONS(1830),
    [aux_sym_iterate_statement_token1] = ACTIONS(1830),
    [aux_sym_raise_statement_token1] = ACTIONS(1830),
    [anon_sym_EQ] = ACTIONS(1830),
    [aux_sym_assert_statement_token1] = ACTIONS(1830),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1830),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1830),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1830),
    [anon_sym_LT] = ACTIONS(1832),
    [anon_sym_GT] = ACTIONS(1832),
    [aux_sym_set_operation_token1] = ACTIONS(1830),
    [aux_sym_set_operation_token3] = ACTIONS(1830),
    [aux_sym_set_operation_token4] = ACTIONS(1832),
    [aux_sym_select_token1] = ACTIONS(1830),
    [aux_sym_having_clause_token1] = ACTIONS(1830),
    [aux_sym_qualify_clause_token1] = ACTIONS(1830),
    [aux_sym_limit_clause_token1] = ACTIONS(1830),
    [aux_sym_group_by_clause_token1] = ACTIONS(1830),
    [aux_sym__direction_keywords_token1] = ACTIONS(1830),
    [aux_sym__direction_keywords_token2] = ACTIONS(1830),
    [aux_sym__nulls_preference_token1] = ACTIONS(1830),
    [aux_sym_order_by_clause_token1] = ACTIONS(1830),
    [aux_sym_where_clause_token1] = ACTIONS(1830),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1830),
    [aux_sym_insert_statement_token1] = ACTIONS(1830),
    [aux_sym_truncate_statement_token1] = ACTIONS(1830),
    [aux_sym_update_statement_token1] = ACTIONS(1830),
    [aux_sym_merge_statement_token1] = ACTIONS(1830),
    [aux_sym_grant_statement_token1] = ACTIONS(1830),
    [aux_sym_revoke_statement_token1] = ACTIONS(1830),
    [aux_sym_export_data_statement_token1] = ACTIONS(1830),
    [aux_sym_load_data_statement_token1] = ACTIONS(1830),
    [anon_sym_LBRACK] = ACTIONS(1830),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1830),
    [anon_sym_PLUS] = ACTIONS(1830),
    [anon_sym_DASH] = ACTIONS(1832),
    [anon_sym_STAR] = ACTIONS(1830),
    [anon_sym_SLASH] = ACTIONS(1832),
    [anon_sym_PIPE_PIPE] = ACTIONS(1830),
    [anon_sym_LT_EQ] = ACTIONS(1830),
    [anon_sym_LT_GT] = ACTIONS(1830),
    [anon_sym_GT_EQ] = ACTIONS(1830),
    [anon_sym_BANG_EQ] = ACTIONS(1830),
    [anon_sym_LT_LT] = ACTIONS(1830),
    [anon_sym_GT_GT] = ACTIONS(1830),
    [anon_sym_AMP] = ACTIONS(1830),
    [anon_sym_CARET] = ACTIONS(1830),
    [anon_sym_PIPE] = ACTIONS(1832),
  },
  [2304] = {
    [sym__keyword_between] = STATE(914),
    [sym__keyword_is] = STATE(12157),
    [sym__keyword_in] = STATE(1277),
    [sym__keyword_not] = STATE(13081),
    [sym__keyword_and] = STATE(1293),
    [sym__keyword_or] = STATE(1294),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token2] = ACTIONS(917),
    [aux_sym__nulls_preference_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2706),
    [anon_sym_DASH] = ACTIONS(2708),
    [anon_sym_STAR] = ACTIONS(2710),
    [anon_sym_SLASH] = ACTIONS(2712),
    [anon_sym_PIPE_PIPE] = ACTIONS(2710),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2305] = {
    [sym__keyword_between] = STATE(914),
    [sym__keyword_is] = STATE(12157),
    [sym__keyword_in] = STATE(1277),
    [sym__keyword_not] = STATE(13081),
    [sym__keyword_and] = STATE(1293),
    [sym__keyword_or] = STATE(1294),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token2] = ACTIONS(917),
    [aux_sym__nulls_preference_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(2710),
    [anon_sym_SLASH] = ACTIONS(2712),
    [anon_sym_PIPE_PIPE] = ACTIONS(2710),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2306] = {
    [sym__keyword_as] = STATE(11549),
    [sym__keyword_date] = STATE(2774),
    [sym__keyword_datetime] = STATE(2774),
    [sym__keyword_time] = STATE(2774),
    [sym__keyword_timestamp] = STATE(2774),
    [sym_as_alias] = STATE(4386),
    [sym_unnest_withoffset] = STATE(4394),
    [sym__type_chrono] = STATE(2771),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4403),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(205),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(205),
    [aux_sym_keyword_replace_token1] = ACTIONS(205),
    [aux_sym__keyword_alter_token1] = ACTIONS(205),
    [aux_sym__keyword_delete_token1] = ACTIONS(205),
    [aux_sym__keyword_begin_token1] = ACTIONS(205),
    [aux_sym__keyword_end_token1] = ACTIONS(205),
    [aux_sym__keyword_between_token1] = ACTIONS(205),
    [aux_sym__keyword_else_token1] = ACTIONS(205),
    [aux_sym__keyword_is_token1] = ACTIONS(205),
    [aux_sym__keyword_in_token1] = ACTIONS(205),
    [aux_sym__keyword_and_token1] = ACTIONS(205),
    [aux_sym__keyword_like_token1] = ACTIONS(205),
    [aux_sym__keyword_repeat_token1] = ACTIONS(205),
    [aux_sym__keyword_as_token1] = ACTIONS(2738),
    [aux_sym__keyword_date_token1] = ACTIONS(1328),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1328),
    [aux_sym__keyword_time_token1] = ACTIONS(1328),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1328),
    [aux_sym__keyword_for_token1] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(211),
    [aux_sym_declare_statement_token1] = ACTIONS(205),
    [aux_sym_set_statement_token1] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(211),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(205),
    [aux_sym_return_satement_token1] = ACTIONS(205),
    [aux_sym_call_statement_token1] = ACTIONS(205),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(205),
    [aux_sym_if_statement_token1] = ACTIONS(205),
    [aux_sym_loop_statement_token1] = ACTIONS(205),
    [aux_sym_repeat_statement_token1] = ACTIONS(205),
    [aux_sym_while_statement_token1] = ACTIONS(205),
    [aux_sym_break_statement_token1] = ACTIONS(205),
    [aux_sym_leave_statement_token1] = ACTIONS(205),
    [aux_sym_continue_statement_token1] = ACTIONS(205),
    [aux_sym_iterate_statement_token1] = ACTIONS(205),
    [aux_sym_raise_statement_token1] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(211),
    [aux_sym_assert_statement_token1] = ACTIONS(205),
    [aux_sym_create_schema_statement_token1] = ACTIONS(205),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(205),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2790),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [aux_sym_select_token1] = ACTIONS(205),
    [aux_sym_insert_statement_token1] = ACTIONS(205),
    [aux_sym_truncate_statement_token1] = ACTIONS(205),
    [aux_sym_update_statement_token1] = ACTIONS(205),
    [aux_sym_merge_statement_token1] = ACTIONS(205),
    [aux_sym_grant_statement_token1] = ACTIONS(205),
    [aux_sym_revoke_statement_token1] = ACTIONS(205),
    [aux_sym_export_data_statement_token1] = ACTIONS(205),
    [aux_sym_load_data_statement_token1] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(211),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(211),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(211),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(211),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_LT_GT] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(211),
    [anon_sym_GT_GT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_CARET] = ACTIONS(211),
    [anon_sym_PIPE] = ACTIONS(205),
  },
  [2307] = {
    [sym__keyword_between] = STATE(1511),
    [sym__keyword_is] = STATE(12110),
    [sym__keyword_in] = STATE(1669),
    [sym__keyword_not] = STATE(13115),
    [sym__keyword_and] = STATE(1639),
    [sym__keyword_or] = STATE(1636),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(2856),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(341),
    [aux_sym__keyword_alter_token1] = ACTIONS(2856),
    [aux_sym__keyword_delete_token1] = ACTIONS(2856),
    [aux_sym__keyword_begin_token1] = ACTIONS(2856),
    [aux_sym__keyword_end_token1] = ACTIONS(2856),
    [aux_sym__keyword_between_token1] = ACTIONS(2846),
    [aux_sym__keyword_when_token1] = ACTIONS(2856),
    [aux_sym__keyword_else_token1] = ACTIONS(2858),
    [aux_sym__keyword_is_token1] = ACTIONS(2848),
    [aux_sym__keyword_in_token1] = ACTIONS(2850),
    [aux_sym__keyword_and_token1] = ACTIONS(2852),
    [aux_sym__keyword_like_token1] = ACTIONS(1007),
    [aux_sym__keyword_repeat_token1] = ACTIONS(2856),
    [aux_sym__keyword_window_token1] = ACTIONS(2856),
    [aux_sym__keyword_for_token1] = ACTIONS(2856),
    [anon_sym_SEMI] = ACTIONS(2856),
    [aux_sym_declare_statement_token1] = ACTIONS(2856),
    [anon_sym_COMMA] = ACTIONS(2856),
    [aux_sym_set_statement_token1] = ACTIONS(2856),
    [anon_sym_LPAREN] = ACTIONS(2856),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(2856),
    [aux_sym_return_satement_token1] = ACTIONS(2856),
    [aux_sym_call_statement_token1] = ACTIONS(2856),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(2856),
    [aux_sym_if_statement_token1] = ACTIONS(2856),
    [aux_sym_loop_statement_token1] = ACTIONS(2856),
    [aux_sym_repeat_statement_token1] = ACTIONS(2856),
    [aux_sym_while_statement_token1] = ACTIONS(2856),
    [aux_sym_break_statement_token1] = ACTIONS(2856),
    [aux_sym_leave_statement_token1] = ACTIONS(2856),
    [aux_sym_continue_statement_token1] = ACTIONS(2856),
    [aux_sym_iterate_statement_token1] = ACTIONS(2856),
    [aux_sym_raise_statement_token1] = ACTIONS(2856),
    [anon_sym_EQ] = ACTIONS(2854),
    [aux_sym_assert_statement_token1] = ACTIONS(2856),
    [aux_sym_create_schema_statement_token1] = ACTIONS(2856),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(2856),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2856),
    [anon_sym_LT] = ACTIONS(2850),
    [anon_sym_GT] = ACTIONS(2850),
    [aux_sym_set_operation_token1] = ACTIONS(2856),
    [aux_sym_set_operation_token3] = ACTIONS(2856),
    [aux_sym_set_operation_token4] = ACTIONS(2858),
    [aux_sym_select_token1] = ACTIONS(2856),
    [aux_sym_having_clause_token1] = ACTIONS(2856),
    [aux_sym_qualify_clause_token1] = ACTIONS(2856),
    [aux_sym_limit_clause_token1] = ACTIONS(2856),
    [aux_sym_order_by_clause_token1] = ACTIONS(2856),
    [aux_sym_insert_statement_token1] = ACTIONS(2856),
    [aux_sym_truncate_statement_token1] = ACTIONS(2856),
    [aux_sym_update_statement_token1] = ACTIONS(2856),
    [aux_sym_merge_statement_token1] = ACTIONS(2856),
    [aux_sym_grant_statement_token1] = ACTIONS(2856),
    [aux_sym_revoke_statement_token1] = ACTIONS(2856),
    [aux_sym_export_data_statement_token1] = ACTIONS(2856),
    [aux_sym_load_data_statement_token1] = ACTIONS(2856),
    [anon_sym_LBRACK] = ACTIONS(781),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(783),
    [anon_sym_PLUS] = ACTIONS(2808),
    [anon_sym_DASH] = ACTIONS(2810),
    [anon_sym_STAR] = ACTIONS(2812),
    [anon_sym_SLASH] = ACTIONS(2814),
    [anon_sym_PIPE_PIPE] = ACTIONS(2812),
    [anon_sym_LT_EQ] = ACTIONS(2854),
    [anon_sym_LT_GT] = ACTIONS(2854),
    [anon_sym_GT_EQ] = ACTIONS(2854),
    [anon_sym_BANG_EQ] = ACTIONS(2854),
    [anon_sym_LT_LT] = ACTIONS(2816),
    [anon_sym_GT_GT] = ACTIONS(2816),
    [anon_sym_AMP] = ACTIONS(2818),
    [anon_sym_CARET] = ACTIONS(2820),
    [anon_sym_PIPE] = ACTIONS(2822),
  },
  [2308] = {
    [sym__keyword_between] = STATE(1314),
    [sym__keyword_is] = STATE(12040),
    [sym__keyword_in] = STATE(1573),
    [sym__keyword_not] = STATE(13099),
    [sym__keyword_and] = STATE(1589),
    [sym__keyword_or] = STATE(1591),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(2834),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(2838),
    [aux_sym__keyword_in_token1] = ACTIONS(2840),
    [aux_sym__keyword_and_token1] = ACTIONS(2842),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(2844),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(2840),
    [anon_sym_GT] = ACTIONS(2840),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_group_by_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2800),
    [anon_sym_DASH] = ACTIONS(2802),
    [anon_sym_STAR] = ACTIONS(2804),
    [anon_sym_SLASH] = ACTIONS(2806),
    [anon_sym_PIPE_PIPE] = ACTIONS(2804),
    [anon_sym_LT_EQ] = ACTIONS(2844),
    [anon_sym_LT_GT] = ACTIONS(2844),
    [anon_sym_GT_EQ] = ACTIONS(2844),
    [anon_sym_BANG_EQ] = ACTIONS(2844),
    [anon_sym_LT_LT] = ACTIONS(2824),
    [anon_sym_GT_GT] = ACTIONS(2824),
    [anon_sym_AMP] = ACTIONS(2826),
    [anon_sym_CARET] = ACTIONS(2828),
    [anon_sym_PIPE] = ACTIONS(2830),
  },
  [2309] = {
    [sym__keyword_between] = STATE(1314),
    [sym__keyword_is] = STATE(12040),
    [sym__keyword_in] = STATE(1573),
    [sym__keyword_not] = STATE(13099),
    [sym__keyword_and] = STATE(1589),
    [sym__keyword_or] = STATE(1591),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(2834),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(2838),
    [aux_sym__keyword_in_token1] = ACTIONS(2840),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(2844),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(2840),
    [anon_sym_GT] = ACTIONS(2840),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_group_by_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2800),
    [anon_sym_DASH] = ACTIONS(2802),
    [anon_sym_STAR] = ACTIONS(2804),
    [anon_sym_SLASH] = ACTIONS(2806),
    [anon_sym_PIPE_PIPE] = ACTIONS(2804),
    [anon_sym_LT_EQ] = ACTIONS(2844),
    [anon_sym_LT_GT] = ACTIONS(2844),
    [anon_sym_GT_EQ] = ACTIONS(2844),
    [anon_sym_BANG_EQ] = ACTIONS(2844),
    [anon_sym_LT_LT] = ACTIONS(2824),
    [anon_sym_GT_GT] = ACTIONS(2824),
    [anon_sym_AMP] = ACTIONS(2826),
    [anon_sym_CARET] = ACTIONS(2828),
    [anon_sym_PIPE] = ACTIONS(2830),
  },
  [2310] = {
    [sym__keyword_between] = STATE(1511),
    [sym__keyword_is] = STATE(12110),
    [sym__keyword_in] = STATE(1669),
    [sym__keyword_not] = STATE(13115),
    [sym__keyword_and] = STATE(1639),
    [sym__keyword_or] = STATE(1636),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1039),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1039),
    [aux_sym_keyword_replace_token1] = ACTIONS(1041),
    [aux_sym__keyword_alter_token1] = ACTIONS(1039),
    [aux_sym__keyword_delete_token1] = ACTIONS(1039),
    [aux_sym__keyword_begin_token1] = ACTIONS(1039),
    [aux_sym__keyword_end_token1] = ACTIONS(1039),
    [aux_sym__keyword_between_token1] = ACTIONS(1039),
    [aux_sym__keyword_when_token1] = ACTIONS(1039),
    [aux_sym__keyword_else_token1] = ACTIONS(1041),
    [aux_sym__keyword_is_token1] = ACTIONS(1039),
    [aux_sym__keyword_in_token1] = ACTIONS(1041),
    [aux_sym__keyword_and_token1] = ACTIONS(1039),
    [aux_sym__keyword_like_token1] = ACTIONS(1039),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1039),
    [aux_sym__keyword_window_token1] = ACTIONS(1039),
    [aux_sym__keyword_for_token1] = ACTIONS(1039),
    [anon_sym_SEMI] = ACTIONS(1039),
    [aux_sym_declare_statement_token1] = ACTIONS(1039),
    [anon_sym_COMMA] = ACTIONS(1039),
    [aux_sym_set_statement_token1] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(1039),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1039),
    [aux_sym_return_satement_token1] = ACTIONS(1039),
    [aux_sym_call_statement_token1] = ACTIONS(1039),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1039),
    [aux_sym_if_statement_token1] = ACTIONS(1039),
    [aux_sym_loop_statement_token1] = ACTIONS(1039),
    [aux_sym_repeat_statement_token1] = ACTIONS(1039),
    [aux_sym_while_statement_token1] = ACTIONS(1039),
    [aux_sym_break_statement_token1] = ACTIONS(1039),
    [aux_sym_leave_statement_token1] = ACTIONS(1039),
    [aux_sym_continue_statement_token1] = ACTIONS(1039),
    [aux_sym_iterate_statement_token1] = ACTIONS(1039),
    [aux_sym_raise_statement_token1] = ACTIONS(1039),
    [anon_sym_EQ] = ACTIONS(1039),
    [aux_sym_assert_statement_token1] = ACTIONS(1039),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1039),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1039),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1039),
    [anon_sym_LT] = ACTIONS(1041),
    [anon_sym_GT] = ACTIONS(1041),
    [aux_sym_set_operation_token1] = ACTIONS(1039),
    [aux_sym_set_operation_token3] = ACTIONS(1039),
    [aux_sym_set_operation_token4] = ACTIONS(1041),
    [aux_sym_select_token1] = ACTIONS(1039),
    [aux_sym_having_clause_token1] = ACTIONS(1039),
    [aux_sym_qualify_clause_token1] = ACTIONS(1039),
    [aux_sym_limit_clause_token1] = ACTIONS(1039),
    [aux_sym_order_by_clause_token1] = ACTIONS(1039),
    [aux_sym_insert_statement_token1] = ACTIONS(1039),
    [aux_sym_truncate_statement_token1] = ACTIONS(1039),
    [aux_sym_update_statement_token1] = ACTIONS(1039),
    [aux_sym_merge_statement_token1] = ACTIONS(1039),
    [aux_sym_grant_statement_token1] = ACTIONS(1039),
    [aux_sym_revoke_statement_token1] = ACTIONS(1039),
    [aux_sym_export_data_statement_token1] = ACTIONS(1039),
    [aux_sym_load_data_statement_token1] = ACTIONS(1039),
    [anon_sym_LBRACK] = ACTIONS(1039),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1039),
    [anon_sym_PLUS] = ACTIONS(2808),
    [anon_sym_DASH] = ACTIONS(2810),
    [anon_sym_STAR] = ACTIONS(2812),
    [anon_sym_SLASH] = ACTIONS(2814),
    [anon_sym_PIPE_PIPE] = ACTIONS(2812),
    [anon_sym_LT_EQ] = ACTIONS(1039),
    [anon_sym_LT_GT] = ACTIONS(1039),
    [anon_sym_GT_EQ] = ACTIONS(1039),
    [anon_sym_BANG_EQ] = ACTIONS(1039),
    [anon_sym_LT_LT] = ACTIONS(2816),
    [anon_sym_GT_GT] = ACTIONS(2816),
    [anon_sym_AMP] = ACTIONS(2818),
    [anon_sym_CARET] = ACTIONS(2820),
    [anon_sym_PIPE] = ACTIONS(2822),
  },
  [2311] = {
    [sym__keyword_between] = STATE(914),
    [sym__keyword_is] = STATE(12157),
    [sym__keyword_in] = STATE(1277),
    [sym__keyword_not] = STATE(13081),
    [sym__keyword_and] = STATE(1293),
    [sym__keyword_or] = STATE(1294),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token2] = ACTIONS(917),
    [aux_sym__nulls_preference_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2706),
    [anon_sym_DASH] = ACTIONS(2708),
    [anon_sym_STAR] = ACTIONS(2710),
    [anon_sym_SLASH] = ACTIONS(2712),
    [anon_sym_PIPE_PIPE] = ACTIONS(2710),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(2714),
    [anon_sym_GT_GT] = ACTIONS(2714),
    [anon_sym_AMP] = ACTIONS(2716),
    [anon_sym_CARET] = ACTIONS(2718),
    [anon_sym_PIPE] = ACTIONS(2720),
  },
  [2312] = {
    [sym__keyword_between] = STATE(1511),
    [sym__keyword_is] = STATE(12110),
    [sym__keyword_in] = STATE(1669),
    [sym__keyword_not] = STATE(13115),
    [sym__keyword_and] = STATE(1639),
    [sym__keyword_or] = STATE(1636),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1035),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1035),
    [aux_sym_keyword_replace_token1] = ACTIONS(1037),
    [aux_sym__keyword_alter_token1] = ACTIONS(1035),
    [aux_sym__keyword_delete_token1] = ACTIONS(1035),
    [aux_sym__keyword_begin_token1] = ACTIONS(1035),
    [aux_sym__keyword_end_token1] = ACTIONS(1035),
    [aux_sym__keyword_between_token1] = ACTIONS(1035),
    [aux_sym__keyword_when_token1] = ACTIONS(1035),
    [aux_sym__keyword_else_token1] = ACTIONS(1037),
    [aux_sym__keyword_is_token1] = ACTIONS(1035),
    [aux_sym__keyword_in_token1] = ACTIONS(1037),
    [aux_sym__keyword_and_token1] = ACTIONS(1035),
    [aux_sym__keyword_like_token1] = ACTIONS(1035),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1035),
    [aux_sym__keyword_window_token1] = ACTIONS(1035),
    [aux_sym__keyword_for_token1] = ACTIONS(1035),
    [anon_sym_SEMI] = ACTIONS(1035),
    [aux_sym_declare_statement_token1] = ACTIONS(1035),
    [anon_sym_COMMA] = ACTIONS(1035),
    [aux_sym_set_statement_token1] = ACTIONS(1035),
    [anon_sym_LPAREN] = ACTIONS(1035),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1035),
    [aux_sym_return_satement_token1] = ACTIONS(1035),
    [aux_sym_call_statement_token1] = ACTIONS(1035),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1035),
    [aux_sym_if_statement_token1] = ACTIONS(1035),
    [aux_sym_loop_statement_token1] = ACTIONS(1035),
    [aux_sym_repeat_statement_token1] = ACTIONS(1035),
    [aux_sym_while_statement_token1] = ACTIONS(1035),
    [aux_sym_break_statement_token1] = ACTIONS(1035),
    [aux_sym_leave_statement_token1] = ACTIONS(1035),
    [aux_sym_continue_statement_token1] = ACTIONS(1035),
    [aux_sym_iterate_statement_token1] = ACTIONS(1035),
    [aux_sym_raise_statement_token1] = ACTIONS(1035),
    [anon_sym_EQ] = ACTIONS(1035),
    [aux_sym_assert_statement_token1] = ACTIONS(1035),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1035),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1035),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1035),
    [anon_sym_LT] = ACTIONS(1037),
    [anon_sym_GT] = ACTIONS(1037),
    [aux_sym_set_operation_token1] = ACTIONS(1035),
    [aux_sym_set_operation_token3] = ACTIONS(1035),
    [aux_sym_set_operation_token4] = ACTIONS(1037),
    [aux_sym_select_token1] = ACTIONS(1035),
    [aux_sym_having_clause_token1] = ACTIONS(1035),
    [aux_sym_qualify_clause_token1] = ACTIONS(1035),
    [aux_sym_limit_clause_token1] = ACTIONS(1035),
    [aux_sym_order_by_clause_token1] = ACTIONS(1035),
    [aux_sym_insert_statement_token1] = ACTIONS(1035),
    [aux_sym_truncate_statement_token1] = ACTIONS(1035),
    [aux_sym_update_statement_token1] = ACTIONS(1035),
    [aux_sym_merge_statement_token1] = ACTIONS(1035),
    [aux_sym_grant_statement_token1] = ACTIONS(1035),
    [aux_sym_revoke_statement_token1] = ACTIONS(1035),
    [aux_sym_export_data_statement_token1] = ACTIONS(1035),
    [aux_sym_load_data_statement_token1] = ACTIONS(1035),
    [anon_sym_LBRACK] = ACTIONS(1035),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1035),
    [anon_sym_PLUS] = ACTIONS(2808),
    [anon_sym_DASH] = ACTIONS(2810),
    [anon_sym_STAR] = ACTIONS(2812),
    [anon_sym_SLASH] = ACTIONS(2814),
    [anon_sym_PIPE_PIPE] = ACTIONS(2812),
    [anon_sym_LT_EQ] = ACTIONS(1035),
    [anon_sym_LT_GT] = ACTIONS(1035),
    [anon_sym_GT_EQ] = ACTIONS(1035),
    [anon_sym_BANG_EQ] = ACTIONS(1035),
    [anon_sym_LT_LT] = ACTIONS(2816),
    [anon_sym_GT_GT] = ACTIONS(2816),
    [anon_sym_AMP] = ACTIONS(2818),
    [anon_sym_CARET] = ACTIONS(2820),
    [anon_sym_PIPE] = ACTIONS(2822),
  },
  [2313] = {
    [sym__keyword_between] = STATE(1511),
    [sym__keyword_is] = STATE(12110),
    [sym__keyword_in] = STATE(1669),
    [sym__keyword_not] = STATE(13115),
    [sym__keyword_and] = STATE(1639),
    [sym__keyword_or] = STATE(1636),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1031),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1031),
    [aux_sym_keyword_replace_token1] = ACTIONS(1033),
    [aux_sym__keyword_alter_token1] = ACTIONS(1031),
    [aux_sym__keyword_delete_token1] = ACTIONS(1031),
    [aux_sym__keyword_begin_token1] = ACTIONS(1031),
    [aux_sym__keyword_end_token1] = ACTIONS(1031),
    [aux_sym__keyword_between_token1] = ACTIONS(1031),
    [aux_sym__keyword_when_token1] = ACTIONS(1031),
    [aux_sym__keyword_else_token1] = ACTIONS(1033),
    [aux_sym__keyword_is_token1] = ACTIONS(1031),
    [aux_sym__keyword_in_token1] = ACTIONS(1033),
    [aux_sym__keyword_and_token1] = ACTIONS(1031),
    [aux_sym__keyword_like_token1] = ACTIONS(1031),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1031),
    [aux_sym__keyword_window_token1] = ACTIONS(1031),
    [aux_sym__keyword_for_token1] = ACTIONS(1031),
    [anon_sym_SEMI] = ACTIONS(1031),
    [aux_sym_declare_statement_token1] = ACTIONS(1031),
    [anon_sym_COMMA] = ACTIONS(1031),
    [aux_sym_set_statement_token1] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1031),
    [aux_sym_return_satement_token1] = ACTIONS(1031),
    [aux_sym_call_statement_token1] = ACTIONS(1031),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1031),
    [aux_sym_if_statement_token1] = ACTIONS(1031),
    [aux_sym_loop_statement_token1] = ACTIONS(1031),
    [aux_sym_repeat_statement_token1] = ACTIONS(1031),
    [aux_sym_while_statement_token1] = ACTIONS(1031),
    [aux_sym_break_statement_token1] = ACTIONS(1031),
    [aux_sym_leave_statement_token1] = ACTIONS(1031),
    [aux_sym_continue_statement_token1] = ACTIONS(1031),
    [aux_sym_iterate_statement_token1] = ACTIONS(1031),
    [aux_sym_raise_statement_token1] = ACTIONS(1031),
    [anon_sym_EQ] = ACTIONS(1031),
    [aux_sym_assert_statement_token1] = ACTIONS(1031),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1031),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1031),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1031),
    [anon_sym_LT] = ACTIONS(1033),
    [anon_sym_GT] = ACTIONS(1033),
    [aux_sym_set_operation_token1] = ACTIONS(1031),
    [aux_sym_set_operation_token3] = ACTIONS(1031),
    [aux_sym_set_operation_token4] = ACTIONS(1033),
    [aux_sym_select_token1] = ACTIONS(1031),
    [aux_sym_having_clause_token1] = ACTIONS(1031),
    [aux_sym_qualify_clause_token1] = ACTIONS(1031),
    [aux_sym_limit_clause_token1] = ACTIONS(1031),
    [aux_sym_order_by_clause_token1] = ACTIONS(1031),
    [aux_sym_insert_statement_token1] = ACTIONS(1031),
    [aux_sym_truncate_statement_token1] = ACTIONS(1031),
    [aux_sym_update_statement_token1] = ACTIONS(1031),
    [aux_sym_merge_statement_token1] = ACTIONS(1031),
    [aux_sym_grant_statement_token1] = ACTIONS(1031),
    [aux_sym_revoke_statement_token1] = ACTIONS(1031),
    [aux_sym_export_data_statement_token1] = ACTIONS(1031),
    [aux_sym_load_data_statement_token1] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1031),
    [anon_sym_PLUS] = ACTIONS(2808),
    [anon_sym_DASH] = ACTIONS(2810),
    [anon_sym_STAR] = ACTIONS(2812),
    [anon_sym_SLASH] = ACTIONS(2814),
    [anon_sym_PIPE_PIPE] = ACTIONS(2812),
    [anon_sym_LT_EQ] = ACTIONS(1031),
    [anon_sym_LT_GT] = ACTIONS(1031),
    [anon_sym_GT_EQ] = ACTIONS(1031),
    [anon_sym_BANG_EQ] = ACTIONS(1031),
    [anon_sym_LT_LT] = ACTIONS(2816),
    [anon_sym_GT_GT] = ACTIONS(2816),
    [anon_sym_AMP] = ACTIONS(2818),
    [anon_sym_CARET] = ACTIONS(2820),
    [anon_sym_PIPE] = ACTIONS(2822),
  },
  [2314] = {
    [sym__keyword_between] = STATE(1314),
    [sym__keyword_is] = STATE(12040),
    [sym__keyword_in] = STATE(1573),
    [sym__keyword_not] = STATE(13099),
    [sym__keyword_and] = STATE(1589),
    [sym__keyword_or] = STATE(1591),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_group_by_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2800),
    [anon_sym_DASH] = ACTIONS(2802),
    [anon_sym_STAR] = ACTIONS(2804),
    [anon_sym_SLASH] = ACTIONS(2806),
    [anon_sym_PIPE_PIPE] = ACTIONS(2804),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(2824),
    [anon_sym_GT_GT] = ACTIONS(2824),
    [anon_sym_AMP] = ACTIONS(2826),
    [anon_sym_CARET] = ACTIONS(2828),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2315] = {
    [sym__keyword_between] = STATE(1314),
    [sym__keyword_is] = STATE(12040),
    [sym__keyword_in] = STATE(1573),
    [sym__keyword_not] = STATE(13099),
    [sym__keyword_and] = STATE(1589),
    [sym__keyword_or] = STATE(1591),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_group_by_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2800),
    [anon_sym_DASH] = ACTIONS(2802),
    [anon_sym_STAR] = ACTIONS(2804),
    [anon_sym_SLASH] = ACTIONS(2806),
    [anon_sym_PIPE_PIPE] = ACTIONS(2804),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(2824),
    [anon_sym_GT_GT] = ACTIONS(2824),
    [anon_sym_AMP] = ACTIONS(2826),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2316] = {
    [sym__keyword_between] = STATE(1511),
    [sym__keyword_is] = STATE(12110),
    [sym__keyword_in] = STATE(1669),
    [sym__keyword_not] = STATE(13115),
    [sym__keyword_and] = STATE(1639),
    [sym__keyword_or] = STATE(1636),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2808),
    [anon_sym_DASH] = ACTIONS(2810),
    [anon_sym_STAR] = ACTIONS(2812),
    [anon_sym_SLASH] = ACTIONS(2814),
    [anon_sym_PIPE_PIPE] = ACTIONS(2812),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(2816),
    [anon_sym_GT_GT] = ACTIONS(2816),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2317] = {
    [ts_builtin_sym_end] = ACTIONS(1788),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1788),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1788),
    [aux_sym_keyword_replace_token1] = ACTIONS(1790),
    [aux_sym__keyword_alter_token1] = ACTIONS(1788),
    [aux_sym__keyword_from_token1] = ACTIONS(1788),
    [aux_sym__keyword_delete_token1] = ACTIONS(1788),
    [aux_sym__keyword_begin_token1] = ACTIONS(1788),
    [aux_sym__keyword_end_token1] = ACTIONS(1788),
    [aux_sym__keyword_between_token1] = ACTIONS(1788),
    [aux_sym__keyword_when_token1] = ACTIONS(1788),
    [aux_sym__keyword_else_token1] = ACTIONS(1790),
    [aux_sym__keyword_is_token1] = ACTIONS(1788),
    [aux_sym__keyword_in_token1] = ACTIONS(1790),
    [aux_sym__keyword_and_token1] = ACTIONS(1788),
    [aux_sym__keyword_like_token1] = ACTIONS(1788),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1788),
    [aux_sym__keyword_window_token1] = ACTIONS(1788),
    [aux_sym__keyword_for_token1] = ACTIONS(1788),
    [anon_sym_SEMI] = ACTIONS(1788),
    [aux_sym_declare_statement_token1] = ACTIONS(1788),
    [anon_sym_COMMA] = ACTIONS(1788),
    [aux_sym_set_statement_token1] = ACTIONS(1788),
    [anon_sym_LPAREN] = ACTIONS(1788),
    [anon_sym_RPAREN] = ACTIONS(1788),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1788),
    [aux_sym_return_satement_token1] = ACTIONS(1788),
    [aux_sym_call_statement_token1] = ACTIONS(1788),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1788),
    [aux_sym_if_statement_token1] = ACTIONS(1788),
    [aux_sym_loop_statement_token1] = ACTIONS(1788),
    [aux_sym_repeat_statement_token1] = ACTIONS(1788),
    [aux_sym_while_statement_token1] = ACTIONS(1788),
    [aux_sym_break_statement_token1] = ACTIONS(1788),
    [aux_sym_leave_statement_token1] = ACTIONS(1788),
    [aux_sym_continue_statement_token1] = ACTIONS(1788),
    [aux_sym_iterate_statement_token1] = ACTIONS(1788),
    [aux_sym_raise_statement_token1] = ACTIONS(1788),
    [anon_sym_EQ] = ACTIONS(1788),
    [aux_sym_assert_statement_token1] = ACTIONS(1788),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1788),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1788),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1788),
    [anon_sym_LT] = ACTIONS(1790),
    [anon_sym_GT] = ACTIONS(1790),
    [aux_sym_set_operation_token1] = ACTIONS(1788),
    [aux_sym_set_operation_token3] = ACTIONS(1788),
    [aux_sym_set_operation_token4] = ACTIONS(1790),
    [aux_sym_select_token1] = ACTIONS(1788),
    [aux_sym_having_clause_token1] = ACTIONS(1788),
    [aux_sym_qualify_clause_token1] = ACTIONS(1788),
    [aux_sym_limit_clause_token1] = ACTIONS(1788),
    [aux_sym_group_by_clause_token1] = ACTIONS(1788),
    [aux_sym__direction_keywords_token1] = ACTIONS(1788),
    [aux_sym__direction_keywords_token2] = ACTIONS(1788),
    [aux_sym__nulls_preference_token1] = ACTIONS(1788),
    [aux_sym_order_by_clause_token1] = ACTIONS(1788),
    [aux_sym_where_clause_token1] = ACTIONS(1788),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1788),
    [aux_sym_insert_statement_token1] = ACTIONS(1788),
    [aux_sym_truncate_statement_token1] = ACTIONS(1788),
    [aux_sym_update_statement_token1] = ACTIONS(1788),
    [aux_sym_merge_statement_token1] = ACTIONS(1788),
    [aux_sym_grant_statement_token1] = ACTIONS(1788),
    [aux_sym_revoke_statement_token1] = ACTIONS(1788),
    [aux_sym_export_data_statement_token1] = ACTIONS(1788),
    [aux_sym_load_data_statement_token1] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1788),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1788),
    [anon_sym_PLUS] = ACTIONS(1788),
    [anon_sym_DASH] = ACTIONS(1790),
    [anon_sym_STAR] = ACTIONS(1788),
    [anon_sym_SLASH] = ACTIONS(1790),
    [anon_sym_PIPE_PIPE] = ACTIONS(1788),
    [anon_sym_LT_EQ] = ACTIONS(1788),
    [anon_sym_LT_GT] = ACTIONS(1788),
    [anon_sym_GT_EQ] = ACTIONS(1788),
    [anon_sym_BANG_EQ] = ACTIONS(1788),
    [anon_sym_LT_LT] = ACTIONS(1788),
    [anon_sym_GT_GT] = ACTIONS(1788),
    [anon_sym_AMP] = ACTIONS(1788),
    [anon_sym_CARET] = ACTIONS(1788),
    [anon_sym_PIPE] = ACTIONS(1790),
  },
  [2318] = {
    [sym__keyword_between] = STATE(1314),
    [sym__keyword_is] = STATE(12040),
    [sym__keyword_in] = STATE(1573),
    [sym__keyword_not] = STATE(13099),
    [sym__keyword_and] = STATE(1589),
    [sym__keyword_or] = STATE(1591),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1039),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1039),
    [aux_sym_keyword_replace_token1] = ACTIONS(1041),
    [aux_sym__keyword_alter_token1] = ACTIONS(1039),
    [aux_sym__keyword_delete_token1] = ACTIONS(1039),
    [aux_sym__keyword_begin_token1] = ACTIONS(1039),
    [aux_sym__keyword_end_token1] = ACTIONS(1039),
    [aux_sym__keyword_between_token1] = ACTIONS(1039),
    [aux_sym__keyword_when_token1] = ACTIONS(1039),
    [aux_sym__keyword_else_token1] = ACTIONS(1041),
    [aux_sym__keyword_is_token1] = ACTIONS(1039),
    [aux_sym__keyword_in_token1] = ACTIONS(1041),
    [aux_sym__keyword_and_token1] = ACTIONS(1039),
    [aux_sym__keyword_like_token1] = ACTIONS(1039),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1039),
    [aux_sym__keyword_window_token1] = ACTIONS(1039),
    [aux_sym__keyword_for_token1] = ACTIONS(1039),
    [anon_sym_SEMI] = ACTIONS(1039),
    [aux_sym_declare_statement_token1] = ACTIONS(1039),
    [aux_sym_set_statement_token1] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(1039),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1039),
    [aux_sym_return_satement_token1] = ACTIONS(1039),
    [aux_sym_call_statement_token1] = ACTIONS(1039),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1039),
    [aux_sym_if_statement_token1] = ACTIONS(1039),
    [aux_sym_loop_statement_token1] = ACTIONS(1039),
    [aux_sym_repeat_statement_token1] = ACTIONS(1039),
    [aux_sym_while_statement_token1] = ACTIONS(1039),
    [aux_sym_break_statement_token1] = ACTIONS(1039),
    [aux_sym_leave_statement_token1] = ACTIONS(1039),
    [aux_sym_continue_statement_token1] = ACTIONS(1039),
    [aux_sym_iterate_statement_token1] = ACTIONS(1039),
    [aux_sym_raise_statement_token1] = ACTIONS(1039),
    [anon_sym_EQ] = ACTIONS(1039),
    [aux_sym_assert_statement_token1] = ACTIONS(1039),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1039),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1039),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1039),
    [anon_sym_LT] = ACTIONS(1041),
    [anon_sym_GT] = ACTIONS(1041),
    [aux_sym_set_operation_token1] = ACTIONS(1039),
    [aux_sym_set_operation_token3] = ACTIONS(1039),
    [aux_sym_set_operation_token4] = ACTIONS(1041),
    [aux_sym_select_token1] = ACTIONS(1039),
    [aux_sym_having_clause_token1] = ACTIONS(1039),
    [aux_sym_qualify_clause_token1] = ACTIONS(1039),
    [aux_sym_limit_clause_token1] = ACTIONS(1039),
    [aux_sym_group_by_clause_token1] = ACTIONS(1039),
    [aux_sym_order_by_clause_token1] = ACTIONS(1039),
    [aux_sym_insert_statement_token1] = ACTIONS(1039),
    [aux_sym_truncate_statement_token1] = ACTIONS(1039),
    [aux_sym_update_statement_token1] = ACTIONS(1039),
    [aux_sym_merge_statement_token1] = ACTIONS(1039),
    [aux_sym_grant_statement_token1] = ACTIONS(1039),
    [aux_sym_revoke_statement_token1] = ACTIONS(1039),
    [aux_sym_export_data_statement_token1] = ACTIONS(1039),
    [aux_sym_load_data_statement_token1] = ACTIONS(1039),
    [anon_sym_LBRACK] = ACTIONS(1039),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1039),
    [anon_sym_PLUS] = ACTIONS(2800),
    [anon_sym_DASH] = ACTIONS(2802),
    [anon_sym_STAR] = ACTIONS(2804),
    [anon_sym_SLASH] = ACTIONS(2806),
    [anon_sym_PIPE_PIPE] = ACTIONS(2804),
    [anon_sym_LT_EQ] = ACTIONS(1039),
    [anon_sym_LT_GT] = ACTIONS(1039),
    [anon_sym_GT_EQ] = ACTIONS(1039),
    [anon_sym_BANG_EQ] = ACTIONS(1039),
    [anon_sym_LT_LT] = ACTIONS(2824),
    [anon_sym_GT_GT] = ACTIONS(2824),
    [anon_sym_AMP] = ACTIONS(2826),
    [anon_sym_CARET] = ACTIONS(2828),
    [anon_sym_PIPE] = ACTIONS(2830),
  },
  [2319] = {
    [sym__keyword_between] = STATE(1314),
    [sym__keyword_is] = STATE(12040),
    [sym__keyword_in] = STATE(1573),
    [sym__keyword_not] = STATE(13099),
    [sym__keyword_and] = STATE(1589),
    [sym__keyword_or] = STATE(1591),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_group_by_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2800),
    [anon_sym_DASH] = ACTIONS(2802),
    [anon_sym_STAR] = ACTIONS(2804),
    [anon_sym_SLASH] = ACTIONS(2806),
    [anon_sym_PIPE_PIPE] = ACTIONS(2804),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(2824),
    [anon_sym_GT_GT] = ACTIONS(2824),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2320] = {
    [sym__keyword_between] = STATE(1314),
    [sym__keyword_is] = STATE(12040),
    [sym__keyword_in] = STATE(1573),
    [sym__keyword_not] = STATE(13099),
    [sym__keyword_and] = STATE(1589),
    [sym__keyword_or] = STATE(1591),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_group_by_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2800),
    [anon_sym_DASH] = ACTIONS(2802),
    [anon_sym_STAR] = ACTIONS(2804),
    [anon_sym_SLASH] = ACTIONS(2806),
    [anon_sym_PIPE_PIPE] = ACTIONS(2804),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(2824),
    [anon_sym_GT_GT] = ACTIONS(2824),
    [anon_sym_AMP] = ACTIONS(2826),
    [anon_sym_CARET] = ACTIONS(2828),
    [anon_sym_PIPE] = ACTIONS(2830),
  },
  [2321] = {
    [sym__keyword_between] = STATE(1511),
    [sym__keyword_is] = STATE(12110),
    [sym__keyword_in] = STATE(1669),
    [sym__keyword_not] = STATE(13115),
    [sym__keyword_and] = STATE(1639),
    [sym__keyword_or] = STATE(1636),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1023),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1023),
    [aux_sym_keyword_replace_token1] = ACTIONS(1025),
    [aux_sym__keyword_alter_token1] = ACTIONS(1023),
    [aux_sym__keyword_delete_token1] = ACTIONS(1023),
    [aux_sym__keyword_begin_token1] = ACTIONS(1023),
    [aux_sym__keyword_end_token1] = ACTIONS(1023),
    [aux_sym__keyword_between_token1] = ACTIONS(1023),
    [aux_sym__keyword_when_token1] = ACTIONS(1023),
    [aux_sym__keyword_else_token1] = ACTIONS(1025),
    [aux_sym__keyword_is_token1] = ACTIONS(1023),
    [aux_sym__keyword_in_token1] = ACTIONS(1025),
    [aux_sym__keyword_and_token1] = ACTIONS(1023),
    [aux_sym__keyword_like_token1] = ACTIONS(1023),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1023),
    [aux_sym__keyword_window_token1] = ACTIONS(1023),
    [aux_sym__keyword_for_token1] = ACTIONS(1023),
    [anon_sym_SEMI] = ACTIONS(1023),
    [aux_sym_declare_statement_token1] = ACTIONS(1023),
    [anon_sym_COMMA] = ACTIONS(1023),
    [aux_sym_set_statement_token1] = ACTIONS(1023),
    [anon_sym_LPAREN] = ACTIONS(1023),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1023),
    [aux_sym_return_satement_token1] = ACTIONS(1023),
    [aux_sym_call_statement_token1] = ACTIONS(1023),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1023),
    [aux_sym_if_statement_token1] = ACTIONS(1023),
    [aux_sym_loop_statement_token1] = ACTIONS(1023),
    [aux_sym_repeat_statement_token1] = ACTIONS(1023),
    [aux_sym_while_statement_token1] = ACTIONS(1023),
    [aux_sym_break_statement_token1] = ACTIONS(1023),
    [aux_sym_leave_statement_token1] = ACTIONS(1023),
    [aux_sym_continue_statement_token1] = ACTIONS(1023),
    [aux_sym_iterate_statement_token1] = ACTIONS(1023),
    [aux_sym_raise_statement_token1] = ACTIONS(1023),
    [anon_sym_EQ] = ACTIONS(1023),
    [aux_sym_assert_statement_token1] = ACTIONS(1023),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1023),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1023),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1023),
    [anon_sym_LT] = ACTIONS(1025),
    [anon_sym_GT] = ACTIONS(1025),
    [aux_sym_set_operation_token1] = ACTIONS(1023),
    [aux_sym_set_operation_token3] = ACTIONS(1023),
    [aux_sym_set_operation_token4] = ACTIONS(1025),
    [aux_sym_select_token1] = ACTIONS(1023),
    [aux_sym_having_clause_token1] = ACTIONS(1023),
    [aux_sym_qualify_clause_token1] = ACTIONS(1023),
    [aux_sym_limit_clause_token1] = ACTIONS(1023),
    [aux_sym_order_by_clause_token1] = ACTIONS(1023),
    [aux_sym_insert_statement_token1] = ACTIONS(1023),
    [aux_sym_truncate_statement_token1] = ACTIONS(1023),
    [aux_sym_update_statement_token1] = ACTIONS(1023),
    [aux_sym_merge_statement_token1] = ACTIONS(1023),
    [aux_sym_grant_statement_token1] = ACTIONS(1023),
    [aux_sym_revoke_statement_token1] = ACTIONS(1023),
    [aux_sym_export_data_statement_token1] = ACTIONS(1023),
    [aux_sym_load_data_statement_token1] = ACTIONS(1023),
    [anon_sym_LBRACK] = ACTIONS(1023),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1023),
    [anon_sym_PLUS] = ACTIONS(2808),
    [anon_sym_DASH] = ACTIONS(2810),
    [anon_sym_STAR] = ACTIONS(2812),
    [anon_sym_SLASH] = ACTIONS(2814),
    [anon_sym_PIPE_PIPE] = ACTIONS(2812),
    [anon_sym_LT_EQ] = ACTIONS(1023),
    [anon_sym_LT_GT] = ACTIONS(1023),
    [anon_sym_GT_EQ] = ACTIONS(1023),
    [anon_sym_BANG_EQ] = ACTIONS(1023),
    [anon_sym_LT_LT] = ACTIONS(2816),
    [anon_sym_GT_GT] = ACTIONS(2816),
    [anon_sym_AMP] = ACTIONS(2818),
    [anon_sym_CARET] = ACTIONS(2820),
    [anon_sym_PIPE] = ACTIONS(2822),
  },
  [2322] = {
    [sym__keyword_between] = STATE(914),
    [sym__keyword_is] = STATE(12157),
    [sym__keyword_in] = STATE(1277),
    [sym__keyword_not] = STATE(13081),
    [sym__keyword_and] = STATE(1293),
    [sym__keyword_or] = STATE(1294),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1035),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1035),
    [aux_sym_keyword_replace_token1] = ACTIONS(1037),
    [aux_sym__keyword_alter_token1] = ACTIONS(1035),
    [aux_sym__keyword_delete_token1] = ACTIONS(1035),
    [aux_sym__keyword_begin_token1] = ACTIONS(1035),
    [aux_sym__keyword_end_token1] = ACTIONS(1035),
    [aux_sym__keyword_between_token1] = ACTIONS(1035),
    [aux_sym__keyword_when_token1] = ACTIONS(1035),
    [aux_sym__keyword_else_token1] = ACTIONS(1037),
    [aux_sym__keyword_is_token1] = ACTIONS(1035),
    [aux_sym__keyword_in_token1] = ACTIONS(1037),
    [aux_sym__keyword_and_token1] = ACTIONS(1035),
    [aux_sym__keyword_like_token1] = ACTIONS(1035),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1035),
    [aux_sym__keyword_for_token1] = ACTIONS(1035),
    [anon_sym_SEMI] = ACTIONS(1035),
    [aux_sym_declare_statement_token1] = ACTIONS(1035),
    [anon_sym_COMMA] = ACTIONS(1035),
    [aux_sym_set_statement_token1] = ACTIONS(1035),
    [anon_sym_LPAREN] = ACTIONS(1035),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1035),
    [aux_sym_return_satement_token1] = ACTIONS(1035),
    [aux_sym_call_statement_token1] = ACTIONS(1035),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1035),
    [aux_sym_if_statement_token1] = ACTIONS(1035),
    [aux_sym_loop_statement_token1] = ACTIONS(1035),
    [aux_sym_repeat_statement_token1] = ACTIONS(1035),
    [aux_sym_while_statement_token1] = ACTIONS(1035),
    [aux_sym_break_statement_token1] = ACTIONS(1035),
    [aux_sym_leave_statement_token1] = ACTIONS(1035),
    [aux_sym_continue_statement_token1] = ACTIONS(1035),
    [aux_sym_iterate_statement_token1] = ACTIONS(1035),
    [aux_sym_raise_statement_token1] = ACTIONS(1035),
    [anon_sym_EQ] = ACTIONS(1035),
    [aux_sym_assert_statement_token1] = ACTIONS(1035),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1035),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1035),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1035),
    [anon_sym_LT] = ACTIONS(1037),
    [anon_sym_GT] = ACTIONS(1037),
    [aux_sym_set_operation_token1] = ACTIONS(1035),
    [aux_sym_set_operation_token3] = ACTIONS(1035),
    [aux_sym_set_operation_token4] = ACTIONS(1037),
    [aux_sym_select_token1] = ACTIONS(1035),
    [aux_sym_limit_clause_token1] = ACTIONS(1035),
    [aux_sym__direction_keywords_token1] = ACTIONS(1035),
    [aux_sym__direction_keywords_token2] = ACTIONS(1035),
    [aux_sym__nulls_preference_token1] = ACTIONS(1035),
    [aux_sym_order_by_clause_token1] = ACTIONS(1035),
    [aux_sym_insert_statement_token1] = ACTIONS(1035),
    [aux_sym_truncate_statement_token1] = ACTIONS(1035),
    [aux_sym_update_statement_token1] = ACTIONS(1035),
    [aux_sym_merge_statement_token1] = ACTIONS(1035),
    [aux_sym_grant_statement_token1] = ACTIONS(1035),
    [aux_sym_revoke_statement_token1] = ACTIONS(1035),
    [aux_sym_export_data_statement_token1] = ACTIONS(1035),
    [aux_sym_load_data_statement_token1] = ACTIONS(1035),
    [anon_sym_LBRACK] = ACTIONS(1035),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1035),
    [anon_sym_PLUS] = ACTIONS(2706),
    [anon_sym_DASH] = ACTIONS(2708),
    [anon_sym_STAR] = ACTIONS(2710),
    [anon_sym_SLASH] = ACTIONS(2712),
    [anon_sym_PIPE_PIPE] = ACTIONS(2710),
    [anon_sym_LT_EQ] = ACTIONS(1035),
    [anon_sym_LT_GT] = ACTIONS(1035),
    [anon_sym_GT_EQ] = ACTIONS(1035),
    [anon_sym_BANG_EQ] = ACTIONS(1035),
    [anon_sym_LT_LT] = ACTIONS(2714),
    [anon_sym_GT_GT] = ACTIONS(2714),
    [anon_sym_AMP] = ACTIONS(2716),
    [anon_sym_CARET] = ACTIONS(2718),
    [anon_sym_PIPE] = ACTIONS(2720),
  },
  [2323] = {
    [sym__keyword_between] = STATE(914),
    [sym__keyword_is] = STATE(12157),
    [sym__keyword_in] = STATE(1277),
    [sym__keyword_not] = STATE(13081),
    [sym__keyword_and] = STATE(1293),
    [sym__keyword_or] = STATE(1294),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(2684),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(2688),
    [aux_sym__keyword_in_token1] = ACTIONS(2690),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(2696),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(2690),
    [anon_sym_GT] = ACTIONS(2690),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token2] = ACTIONS(917),
    [aux_sym__nulls_preference_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2706),
    [anon_sym_DASH] = ACTIONS(2708),
    [anon_sym_STAR] = ACTIONS(2710),
    [anon_sym_SLASH] = ACTIONS(2712),
    [anon_sym_PIPE_PIPE] = ACTIONS(2710),
    [anon_sym_LT_EQ] = ACTIONS(2696),
    [anon_sym_LT_GT] = ACTIONS(2696),
    [anon_sym_GT_EQ] = ACTIONS(2696),
    [anon_sym_BANG_EQ] = ACTIONS(2696),
    [anon_sym_LT_LT] = ACTIONS(2714),
    [anon_sym_GT_GT] = ACTIONS(2714),
    [anon_sym_AMP] = ACTIONS(2716),
    [anon_sym_CARET] = ACTIONS(2718),
    [anon_sym_PIPE] = ACTIONS(2720),
  },
  [2324] = {
    [sym__keyword_between] = STATE(914),
    [sym__keyword_is] = STATE(12157),
    [sym__keyword_in] = STATE(1277),
    [sym__keyword_not] = STATE(13081),
    [sym__keyword_and] = STATE(1293),
    [sym__keyword_or] = STATE(1294),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1027),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(341),
    [aux_sym__keyword_alter_token1] = ACTIONS(1027),
    [aux_sym__keyword_delete_token1] = ACTIONS(1027),
    [aux_sym__keyword_begin_token1] = ACTIONS(1027),
    [aux_sym__keyword_end_token1] = ACTIONS(1027),
    [aux_sym__keyword_between_token1] = ACTIONS(2684),
    [aux_sym__keyword_when_token1] = ACTIONS(1027),
    [aux_sym__keyword_else_token1] = ACTIONS(1029),
    [aux_sym__keyword_is_token1] = ACTIONS(2688),
    [aux_sym__keyword_in_token1] = ACTIONS(2690),
    [aux_sym__keyword_and_token1] = ACTIONS(2692),
    [aux_sym__keyword_like_token1] = ACTIONS(1027),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1027),
    [aux_sym__keyword_for_token1] = ACTIONS(1027),
    [anon_sym_SEMI] = ACTIONS(1027),
    [aux_sym_declare_statement_token1] = ACTIONS(1027),
    [anon_sym_COMMA] = ACTIONS(1027),
    [aux_sym_set_statement_token1] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1027),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1027),
    [aux_sym_return_satement_token1] = ACTIONS(1027),
    [aux_sym_call_statement_token1] = ACTIONS(1027),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1027),
    [aux_sym_if_statement_token1] = ACTIONS(1027),
    [aux_sym_loop_statement_token1] = ACTIONS(1027),
    [aux_sym_repeat_statement_token1] = ACTIONS(1027),
    [aux_sym_while_statement_token1] = ACTIONS(1027),
    [aux_sym_break_statement_token1] = ACTIONS(1027),
    [aux_sym_leave_statement_token1] = ACTIONS(1027),
    [aux_sym_continue_statement_token1] = ACTIONS(1027),
    [aux_sym_iterate_statement_token1] = ACTIONS(1027),
    [aux_sym_raise_statement_token1] = ACTIONS(1027),
    [anon_sym_EQ] = ACTIONS(2696),
    [aux_sym_assert_statement_token1] = ACTIONS(1027),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1027),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1027),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1027),
    [anon_sym_LT] = ACTIONS(2690),
    [anon_sym_GT] = ACTIONS(2690),
    [aux_sym_set_operation_token1] = ACTIONS(1027),
    [aux_sym_set_operation_token3] = ACTIONS(1027),
    [aux_sym_set_operation_token4] = ACTIONS(1029),
    [aux_sym_select_token1] = ACTIONS(1027),
    [aux_sym_limit_clause_token1] = ACTIONS(1027),
    [aux_sym__direction_keywords_token1] = ACTIONS(1027),
    [aux_sym__direction_keywords_token2] = ACTIONS(1027),
    [aux_sym__nulls_preference_token1] = ACTIONS(1027),
    [aux_sym_order_by_clause_token1] = ACTIONS(1027),
    [aux_sym_insert_statement_token1] = ACTIONS(1027),
    [aux_sym_truncate_statement_token1] = ACTIONS(1027),
    [aux_sym_update_statement_token1] = ACTIONS(1027),
    [aux_sym_merge_statement_token1] = ACTIONS(1027),
    [aux_sym_grant_statement_token1] = ACTIONS(1027),
    [aux_sym_revoke_statement_token1] = ACTIONS(1027),
    [aux_sym_export_data_statement_token1] = ACTIONS(1027),
    [aux_sym_load_data_statement_token1] = ACTIONS(1027),
    [anon_sym_LBRACK] = ACTIONS(1027),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(2706),
    [anon_sym_DASH] = ACTIONS(2708),
    [anon_sym_STAR] = ACTIONS(2710),
    [anon_sym_SLASH] = ACTIONS(2712),
    [anon_sym_PIPE_PIPE] = ACTIONS(2710),
    [anon_sym_LT_EQ] = ACTIONS(2696),
    [anon_sym_LT_GT] = ACTIONS(2696),
    [anon_sym_GT_EQ] = ACTIONS(2696),
    [anon_sym_BANG_EQ] = ACTIONS(2696),
    [anon_sym_LT_LT] = ACTIONS(2714),
    [anon_sym_GT_GT] = ACTIONS(2714),
    [anon_sym_AMP] = ACTIONS(2716),
    [anon_sym_CARET] = ACTIONS(2718),
    [anon_sym_PIPE] = ACTIONS(2720),
  },
  [2325] = {
    [sym__keyword_between] = STATE(914),
    [sym__keyword_is] = STATE(12157),
    [sym__keyword_in] = STATE(1277),
    [sym__keyword_not] = STATE(13081),
    [sym__keyword_and] = STATE(1293),
    [sym__keyword_or] = STATE(1294),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1019),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1019),
    [aux_sym_keyword_replace_token1] = ACTIONS(1021),
    [aux_sym__keyword_alter_token1] = ACTIONS(1019),
    [aux_sym__keyword_delete_token1] = ACTIONS(1019),
    [aux_sym__keyword_begin_token1] = ACTIONS(1019),
    [aux_sym__keyword_end_token1] = ACTIONS(1019),
    [aux_sym__keyword_between_token1] = ACTIONS(1019),
    [aux_sym__keyword_when_token1] = ACTIONS(1019),
    [aux_sym__keyword_else_token1] = ACTIONS(1021),
    [aux_sym__keyword_is_token1] = ACTIONS(1019),
    [aux_sym__keyword_in_token1] = ACTIONS(1021),
    [aux_sym__keyword_and_token1] = ACTIONS(1019),
    [aux_sym__keyword_like_token1] = ACTIONS(1019),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1019),
    [aux_sym__keyword_for_token1] = ACTIONS(1019),
    [anon_sym_SEMI] = ACTIONS(1019),
    [aux_sym_declare_statement_token1] = ACTIONS(1019),
    [anon_sym_COMMA] = ACTIONS(1019),
    [aux_sym_set_statement_token1] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1019),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1019),
    [aux_sym_return_satement_token1] = ACTIONS(1019),
    [aux_sym_call_statement_token1] = ACTIONS(1019),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1019),
    [aux_sym_if_statement_token1] = ACTIONS(1019),
    [aux_sym_loop_statement_token1] = ACTIONS(1019),
    [aux_sym_repeat_statement_token1] = ACTIONS(1019),
    [aux_sym_while_statement_token1] = ACTIONS(1019),
    [aux_sym_break_statement_token1] = ACTIONS(1019),
    [aux_sym_leave_statement_token1] = ACTIONS(1019),
    [aux_sym_continue_statement_token1] = ACTIONS(1019),
    [aux_sym_iterate_statement_token1] = ACTIONS(1019),
    [aux_sym_raise_statement_token1] = ACTIONS(1019),
    [anon_sym_EQ] = ACTIONS(1019),
    [aux_sym_assert_statement_token1] = ACTIONS(1019),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1019),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1019),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1019),
    [anon_sym_LT] = ACTIONS(1021),
    [anon_sym_GT] = ACTIONS(1021),
    [aux_sym_set_operation_token1] = ACTIONS(1019),
    [aux_sym_set_operation_token3] = ACTIONS(1019),
    [aux_sym_set_operation_token4] = ACTIONS(1021),
    [aux_sym_select_token1] = ACTIONS(1019),
    [aux_sym_limit_clause_token1] = ACTIONS(1019),
    [aux_sym__direction_keywords_token1] = ACTIONS(1019),
    [aux_sym__direction_keywords_token2] = ACTIONS(1019),
    [aux_sym__nulls_preference_token1] = ACTIONS(1019),
    [aux_sym_order_by_clause_token1] = ACTIONS(1019),
    [aux_sym_insert_statement_token1] = ACTIONS(1019),
    [aux_sym_truncate_statement_token1] = ACTIONS(1019),
    [aux_sym_update_statement_token1] = ACTIONS(1019),
    [aux_sym_merge_statement_token1] = ACTIONS(1019),
    [aux_sym_grant_statement_token1] = ACTIONS(1019),
    [aux_sym_revoke_statement_token1] = ACTIONS(1019),
    [aux_sym_export_data_statement_token1] = ACTIONS(1019),
    [aux_sym_load_data_statement_token1] = ACTIONS(1019),
    [anon_sym_LBRACK] = ACTIONS(1019),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1019),
    [anon_sym_PLUS] = ACTIONS(1019),
    [anon_sym_DASH] = ACTIONS(1021),
    [anon_sym_STAR] = ACTIONS(1019),
    [anon_sym_SLASH] = ACTIONS(1021),
    [anon_sym_PIPE_PIPE] = ACTIONS(1019),
    [anon_sym_LT_EQ] = ACTIONS(1019),
    [anon_sym_LT_GT] = ACTIONS(1019),
    [anon_sym_GT_EQ] = ACTIONS(1019),
    [anon_sym_BANG_EQ] = ACTIONS(1019),
    [anon_sym_LT_LT] = ACTIONS(1019),
    [anon_sym_GT_GT] = ACTIONS(1019),
    [anon_sym_AMP] = ACTIONS(1019),
    [anon_sym_CARET] = ACTIONS(1019),
    [anon_sym_PIPE] = ACTIONS(1021),
  },
  [2326] = {
    [sym__keyword_between] = STATE(914),
    [sym__keyword_is] = STATE(12157),
    [sym__keyword_in] = STATE(1277),
    [sym__keyword_not] = STATE(13081),
    [sym__keyword_and] = STATE(1293),
    [sym__keyword_or] = STATE(1294),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1039),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1039),
    [aux_sym_keyword_replace_token1] = ACTIONS(1041),
    [aux_sym__keyword_alter_token1] = ACTIONS(1039),
    [aux_sym__keyword_delete_token1] = ACTIONS(1039),
    [aux_sym__keyword_begin_token1] = ACTIONS(1039),
    [aux_sym__keyword_end_token1] = ACTIONS(1039),
    [aux_sym__keyword_between_token1] = ACTIONS(1039),
    [aux_sym__keyword_when_token1] = ACTIONS(1039),
    [aux_sym__keyword_else_token1] = ACTIONS(1041),
    [aux_sym__keyword_is_token1] = ACTIONS(1039),
    [aux_sym__keyword_in_token1] = ACTIONS(1041),
    [aux_sym__keyword_and_token1] = ACTIONS(1039),
    [aux_sym__keyword_like_token1] = ACTIONS(1039),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1039),
    [aux_sym__keyword_for_token1] = ACTIONS(1039),
    [anon_sym_SEMI] = ACTIONS(1039),
    [aux_sym_declare_statement_token1] = ACTIONS(1039),
    [anon_sym_COMMA] = ACTIONS(1039),
    [aux_sym_set_statement_token1] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(1039),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1039),
    [aux_sym_return_satement_token1] = ACTIONS(1039),
    [aux_sym_call_statement_token1] = ACTIONS(1039),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1039),
    [aux_sym_if_statement_token1] = ACTIONS(1039),
    [aux_sym_loop_statement_token1] = ACTIONS(1039),
    [aux_sym_repeat_statement_token1] = ACTIONS(1039),
    [aux_sym_while_statement_token1] = ACTIONS(1039),
    [aux_sym_break_statement_token1] = ACTIONS(1039),
    [aux_sym_leave_statement_token1] = ACTIONS(1039),
    [aux_sym_continue_statement_token1] = ACTIONS(1039),
    [aux_sym_iterate_statement_token1] = ACTIONS(1039),
    [aux_sym_raise_statement_token1] = ACTIONS(1039),
    [anon_sym_EQ] = ACTIONS(1039),
    [aux_sym_assert_statement_token1] = ACTIONS(1039),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1039),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1039),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1039),
    [anon_sym_LT] = ACTIONS(1041),
    [anon_sym_GT] = ACTIONS(1041),
    [aux_sym_set_operation_token1] = ACTIONS(1039),
    [aux_sym_set_operation_token3] = ACTIONS(1039),
    [aux_sym_set_operation_token4] = ACTIONS(1041),
    [aux_sym_select_token1] = ACTIONS(1039),
    [aux_sym_limit_clause_token1] = ACTIONS(1039),
    [aux_sym__direction_keywords_token1] = ACTIONS(1039),
    [aux_sym__direction_keywords_token2] = ACTIONS(1039),
    [aux_sym__nulls_preference_token1] = ACTIONS(1039),
    [aux_sym_order_by_clause_token1] = ACTIONS(1039),
    [aux_sym_insert_statement_token1] = ACTIONS(1039),
    [aux_sym_truncate_statement_token1] = ACTIONS(1039),
    [aux_sym_update_statement_token1] = ACTIONS(1039),
    [aux_sym_merge_statement_token1] = ACTIONS(1039),
    [aux_sym_grant_statement_token1] = ACTIONS(1039),
    [aux_sym_revoke_statement_token1] = ACTIONS(1039),
    [aux_sym_export_data_statement_token1] = ACTIONS(1039),
    [aux_sym_load_data_statement_token1] = ACTIONS(1039),
    [anon_sym_LBRACK] = ACTIONS(1039),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1039),
    [anon_sym_PLUS] = ACTIONS(2706),
    [anon_sym_DASH] = ACTIONS(2708),
    [anon_sym_STAR] = ACTIONS(2710),
    [anon_sym_SLASH] = ACTIONS(2712),
    [anon_sym_PIPE_PIPE] = ACTIONS(2710),
    [anon_sym_LT_EQ] = ACTIONS(1039),
    [anon_sym_LT_GT] = ACTIONS(1039),
    [anon_sym_GT_EQ] = ACTIONS(1039),
    [anon_sym_BANG_EQ] = ACTIONS(1039),
    [anon_sym_LT_LT] = ACTIONS(2714),
    [anon_sym_GT_GT] = ACTIONS(2714),
    [anon_sym_AMP] = ACTIONS(2716),
    [anon_sym_CARET] = ACTIONS(2718),
    [anon_sym_PIPE] = ACTIONS(2720),
  },
  [2327] = {
    [sym__keyword_between] = STATE(914),
    [sym__keyword_is] = STATE(12157),
    [sym__keyword_in] = STATE(1277),
    [sym__keyword_not] = STATE(13081),
    [sym__keyword_and] = STATE(1293),
    [sym__keyword_or] = STATE(1294),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token2] = ACTIONS(917),
    [aux_sym__nulls_preference_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(917),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PIPE_PIPE] = ACTIONS(917),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2328] = {
    [sym__keyword_between] = STATE(914),
    [sym__keyword_is] = STATE(12157),
    [sym__keyword_in] = STATE(1277),
    [sym__keyword_not] = STATE(13081),
    [sym__keyword_and] = STATE(1293),
    [sym__keyword_or] = STATE(1294),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(2684),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(2688),
    [aux_sym__keyword_in_token1] = ACTIONS(2690),
    [aux_sym__keyword_and_token1] = ACTIONS(2692),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(2696),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(2690),
    [anon_sym_GT] = ACTIONS(2690),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token2] = ACTIONS(917),
    [aux_sym__nulls_preference_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2706),
    [anon_sym_DASH] = ACTIONS(2708),
    [anon_sym_STAR] = ACTIONS(2710),
    [anon_sym_SLASH] = ACTIONS(2712),
    [anon_sym_PIPE_PIPE] = ACTIONS(2710),
    [anon_sym_LT_EQ] = ACTIONS(2696),
    [anon_sym_LT_GT] = ACTIONS(2696),
    [anon_sym_GT_EQ] = ACTIONS(2696),
    [anon_sym_BANG_EQ] = ACTIONS(2696),
    [anon_sym_LT_LT] = ACTIONS(2714),
    [anon_sym_GT_GT] = ACTIONS(2714),
    [anon_sym_AMP] = ACTIONS(2716),
    [anon_sym_CARET] = ACTIONS(2718),
    [anon_sym_PIPE] = ACTIONS(2720),
  },
  [2329] = {
    [sym__keyword_between] = STATE(914),
    [sym__keyword_is] = STATE(12157),
    [sym__keyword_in] = STATE(1277),
    [sym__keyword_not] = STATE(13081),
    [sym__keyword_and] = STATE(1293),
    [sym__keyword_or] = STATE(1294),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1031),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1031),
    [aux_sym_keyword_replace_token1] = ACTIONS(1033),
    [aux_sym__keyword_alter_token1] = ACTIONS(1031),
    [aux_sym__keyword_delete_token1] = ACTIONS(1031),
    [aux_sym__keyword_begin_token1] = ACTIONS(1031),
    [aux_sym__keyword_end_token1] = ACTIONS(1031),
    [aux_sym__keyword_between_token1] = ACTIONS(1031),
    [aux_sym__keyword_when_token1] = ACTIONS(1031),
    [aux_sym__keyword_else_token1] = ACTIONS(1033),
    [aux_sym__keyword_is_token1] = ACTIONS(1031),
    [aux_sym__keyword_in_token1] = ACTIONS(1033),
    [aux_sym__keyword_and_token1] = ACTIONS(1031),
    [aux_sym__keyword_like_token1] = ACTIONS(1031),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1031),
    [aux_sym__keyword_for_token1] = ACTIONS(1031),
    [anon_sym_SEMI] = ACTIONS(1031),
    [aux_sym_declare_statement_token1] = ACTIONS(1031),
    [anon_sym_COMMA] = ACTIONS(1031),
    [aux_sym_set_statement_token1] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1031),
    [aux_sym_return_satement_token1] = ACTIONS(1031),
    [aux_sym_call_statement_token1] = ACTIONS(1031),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1031),
    [aux_sym_if_statement_token1] = ACTIONS(1031),
    [aux_sym_loop_statement_token1] = ACTIONS(1031),
    [aux_sym_repeat_statement_token1] = ACTIONS(1031),
    [aux_sym_while_statement_token1] = ACTIONS(1031),
    [aux_sym_break_statement_token1] = ACTIONS(1031),
    [aux_sym_leave_statement_token1] = ACTIONS(1031),
    [aux_sym_continue_statement_token1] = ACTIONS(1031),
    [aux_sym_iterate_statement_token1] = ACTIONS(1031),
    [aux_sym_raise_statement_token1] = ACTIONS(1031),
    [anon_sym_EQ] = ACTIONS(1031),
    [aux_sym_assert_statement_token1] = ACTIONS(1031),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1031),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1031),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1031),
    [anon_sym_LT] = ACTIONS(1033),
    [anon_sym_GT] = ACTIONS(1033),
    [aux_sym_set_operation_token1] = ACTIONS(1031),
    [aux_sym_set_operation_token3] = ACTIONS(1031),
    [aux_sym_set_operation_token4] = ACTIONS(1033),
    [aux_sym_select_token1] = ACTIONS(1031),
    [aux_sym_limit_clause_token1] = ACTIONS(1031),
    [aux_sym__direction_keywords_token1] = ACTIONS(1031),
    [aux_sym__direction_keywords_token2] = ACTIONS(1031),
    [aux_sym__nulls_preference_token1] = ACTIONS(1031),
    [aux_sym_order_by_clause_token1] = ACTIONS(1031),
    [aux_sym_insert_statement_token1] = ACTIONS(1031),
    [aux_sym_truncate_statement_token1] = ACTIONS(1031),
    [aux_sym_update_statement_token1] = ACTIONS(1031),
    [aux_sym_merge_statement_token1] = ACTIONS(1031),
    [aux_sym_grant_statement_token1] = ACTIONS(1031),
    [aux_sym_revoke_statement_token1] = ACTIONS(1031),
    [aux_sym_export_data_statement_token1] = ACTIONS(1031),
    [aux_sym_load_data_statement_token1] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1031),
    [anon_sym_PLUS] = ACTIONS(2706),
    [anon_sym_DASH] = ACTIONS(2708),
    [anon_sym_STAR] = ACTIONS(2710),
    [anon_sym_SLASH] = ACTIONS(2712),
    [anon_sym_PIPE_PIPE] = ACTIONS(2710),
    [anon_sym_LT_EQ] = ACTIONS(1031),
    [anon_sym_LT_GT] = ACTIONS(1031),
    [anon_sym_GT_EQ] = ACTIONS(1031),
    [anon_sym_BANG_EQ] = ACTIONS(1031),
    [anon_sym_LT_LT] = ACTIONS(2714),
    [anon_sym_GT_GT] = ACTIONS(2714),
    [anon_sym_AMP] = ACTIONS(2716),
    [anon_sym_CARET] = ACTIONS(2718),
    [anon_sym_PIPE] = ACTIONS(2720),
  },
  [2330] = {
    [sym__keyword_between] = STATE(1314),
    [sym__keyword_is] = STATE(12040),
    [sym__keyword_in] = STATE(1573),
    [sym__keyword_not] = STATE(13099),
    [sym__keyword_and] = STATE(1589),
    [sym__keyword_or] = STATE(1591),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1019),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1019),
    [aux_sym_keyword_replace_token1] = ACTIONS(1021),
    [aux_sym__keyword_alter_token1] = ACTIONS(1019),
    [aux_sym__keyword_delete_token1] = ACTIONS(1019),
    [aux_sym__keyword_begin_token1] = ACTIONS(1019),
    [aux_sym__keyword_end_token1] = ACTIONS(1019),
    [aux_sym__keyword_between_token1] = ACTIONS(1019),
    [aux_sym__keyword_when_token1] = ACTIONS(1019),
    [aux_sym__keyword_else_token1] = ACTIONS(1021),
    [aux_sym__keyword_is_token1] = ACTIONS(1019),
    [aux_sym__keyword_in_token1] = ACTIONS(1021),
    [aux_sym__keyword_and_token1] = ACTIONS(1019),
    [aux_sym__keyword_like_token1] = ACTIONS(1019),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1019),
    [aux_sym__keyword_window_token1] = ACTIONS(1019),
    [aux_sym__keyword_for_token1] = ACTIONS(1019),
    [anon_sym_SEMI] = ACTIONS(1019),
    [aux_sym_declare_statement_token1] = ACTIONS(1019),
    [aux_sym_set_statement_token1] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1019),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1019),
    [aux_sym_return_satement_token1] = ACTIONS(1019),
    [aux_sym_call_statement_token1] = ACTIONS(1019),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1019),
    [aux_sym_if_statement_token1] = ACTIONS(1019),
    [aux_sym_loop_statement_token1] = ACTIONS(1019),
    [aux_sym_repeat_statement_token1] = ACTIONS(1019),
    [aux_sym_while_statement_token1] = ACTIONS(1019),
    [aux_sym_break_statement_token1] = ACTIONS(1019),
    [aux_sym_leave_statement_token1] = ACTIONS(1019),
    [aux_sym_continue_statement_token1] = ACTIONS(1019),
    [aux_sym_iterate_statement_token1] = ACTIONS(1019),
    [aux_sym_raise_statement_token1] = ACTIONS(1019),
    [anon_sym_EQ] = ACTIONS(1019),
    [aux_sym_assert_statement_token1] = ACTIONS(1019),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1019),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1019),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1019),
    [anon_sym_LT] = ACTIONS(1021),
    [anon_sym_GT] = ACTIONS(1021),
    [aux_sym_set_operation_token1] = ACTIONS(1019),
    [aux_sym_set_operation_token3] = ACTIONS(1019),
    [aux_sym_set_operation_token4] = ACTIONS(1021),
    [aux_sym_select_token1] = ACTIONS(1019),
    [aux_sym_having_clause_token1] = ACTIONS(1019),
    [aux_sym_qualify_clause_token1] = ACTIONS(1019),
    [aux_sym_limit_clause_token1] = ACTIONS(1019),
    [aux_sym_group_by_clause_token1] = ACTIONS(1019),
    [aux_sym_order_by_clause_token1] = ACTIONS(1019),
    [aux_sym_insert_statement_token1] = ACTIONS(1019),
    [aux_sym_truncate_statement_token1] = ACTIONS(1019),
    [aux_sym_update_statement_token1] = ACTIONS(1019),
    [aux_sym_merge_statement_token1] = ACTIONS(1019),
    [aux_sym_grant_statement_token1] = ACTIONS(1019),
    [aux_sym_revoke_statement_token1] = ACTIONS(1019),
    [aux_sym_export_data_statement_token1] = ACTIONS(1019),
    [aux_sym_load_data_statement_token1] = ACTIONS(1019),
    [anon_sym_LBRACK] = ACTIONS(1019),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1019),
    [anon_sym_PLUS] = ACTIONS(1019),
    [anon_sym_DASH] = ACTIONS(1021),
    [anon_sym_STAR] = ACTIONS(1019),
    [anon_sym_SLASH] = ACTIONS(1021),
    [anon_sym_PIPE_PIPE] = ACTIONS(1019),
    [anon_sym_LT_EQ] = ACTIONS(1019),
    [anon_sym_LT_GT] = ACTIONS(1019),
    [anon_sym_GT_EQ] = ACTIONS(1019),
    [anon_sym_BANG_EQ] = ACTIONS(1019),
    [anon_sym_LT_LT] = ACTIONS(1019),
    [anon_sym_GT_GT] = ACTIONS(1019),
    [anon_sym_AMP] = ACTIONS(1019),
    [anon_sym_CARET] = ACTIONS(1019),
    [anon_sym_PIPE] = ACTIONS(1021),
  },
  [2331] = {
    [sym__keyword_between] = STATE(1314),
    [sym__keyword_is] = STATE(12040),
    [sym__keyword_in] = STATE(1573),
    [sym__keyword_not] = STATE(13099),
    [sym__keyword_and] = STATE(1589),
    [sym__keyword_or] = STATE(1591),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1027),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(341),
    [aux_sym__keyword_alter_token1] = ACTIONS(1027),
    [aux_sym__keyword_delete_token1] = ACTIONS(1027),
    [aux_sym__keyword_begin_token1] = ACTIONS(1027),
    [aux_sym__keyword_end_token1] = ACTIONS(1027),
    [aux_sym__keyword_between_token1] = ACTIONS(2834),
    [aux_sym__keyword_when_token1] = ACTIONS(1027),
    [aux_sym__keyword_else_token1] = ACTIONS(1029),
    [aux_sym__keyword_is_token1] = ACTIONS(2838),
    [aux_sym__keyword_in_token1] = ACTIONS(2840),
    [aux_sym__keyword_and_token1] = ACTIONS(2842),
    [aux_sym__keyword_like_token1] = ACTIONS(1027),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1027),
    [aux_sym__keyword_window_token1] = ACTIONS(1027),
    [aux_sym__keyword_for_token1] = ACTIONS(1027),
    [anon_sym_SEMI] = ACTIONS(1027),
    [aux_sym_declare_statement_token1] = ACTIONS(1027),
    [aux_sym_set_statement_token1] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1027),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1027),
    [aux_sym_return_satement_token1] = ACTIONS(1027),
    [aux_sym_call_statement_token1] = ACTIONS(1027),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1027),
    [aux_sym_if_statement_token1] = ACTIONS(1027),
    [aux_sym_loop_statement_token1] = ACTIONS(1027),
    [aux_sym_repeat_statement_token1] = ACTIONS(1027),
    [aux_sym_while_statement_token1] = ACTIONS(1027),
    [aux_sym_break_statement_token1] = ACTIONS(1027),
    [aux_sym_leave_statement_token1] = ACTIONS(1027),
    [aux_sym_continue_statement_token1] = ACTIONS(1027),
    [aux_sym_iterate_statement_token1] = ACTIONS(1027),
    [aux_sym_raise_statement_token1] = ACTIONS(1027),
    [anon_sym_EQ] = ACTIONS(2844),
    [aux_sym_assert_statement_token1] = ACTIONS(1027),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1027),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1027),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1027),
    [anon_sym_LT] = ACTIONS(2840),
    [anon_sym_GT] = ACTIONS(2840),
    [aux_sym_set_operation_token1] = ACTIONS(1027),
    [aux_sym_set_operation_token3] = ACTIONS(1027),
    [aux_sym_set_operation_token4] = ACTIONS(1029),
    [aux_sym_select_token1] = ACTIONS(1027),
    [aux_sym_having_clause_token1] = ACTIONS(1027),
    [aux_sym_qualify_clause_token1] = ACTIONS(1027),
    [aux_sym_limit_clause_token1] = ACTIONS(1027),
    [aux_sym_group_by_clause_token1] = ACTIONS(1027),
    [aux_sym_order_by_clause_token1] = ACTIONS(1027),
    [aux_sym_insert_statement_token1] = ACTIONS(1027),
    [aux_sym_truncate_statement_token1] = ACTIONS(1027),
    [aux_sym_update_statement_token1] = ACTIONS(1027),
    [aux_sym_merge_statement_token1] = ACTIONS(1027),
    [aux_sym_grant_statement_token1] = ACTIONS(1027),
    [aux_sym_revoke_statement_token1] = ACTIONS(1027),
    [aux_sym_export_data_statement_token1] = ACTIONS(1027),
    [aux_sym_load_data_statement_token1] = ACTIONS(1027),
    [anon_sym_LBRACK] = ACTIONS(1027),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(2800),
    [anon_sym_DASH] = ACTIONS(2802),
    [anon_sym_STAR] = ACTIONS(2804),
    [anon_sym_SLASH] = ACTIONS(2806),
    [anon_sym_PIPE_PIPE] = ACTIONS(2804),
    [anon_sym_LT_EQ] = ACTIONS(2844),
    [anon_sym_LT_GT] = ACTIONS(2844),
    [anon_sym_GT_EQ] = ACTIONS(2844),
    [anon_sym_BANG_EQ] = ACTIONS(2844),
    [anon_sym_LT_LT] = ACTIONS(2824),
    [anon_sym_GT_GT] = ACTIONS(2824),
    [anon_sym_AMP] = ACTIONS(2826),
    [anon_sym_CARET] = ACTIONS(2828),
    [anon_sym_PIPE] = ACTIONS(2830),
  },
  [2332] = {
    [sym__keyword_between] = STATE(1314),
    [sym__keyword_is] = STATE(12040),
    [sym__keyword_in] = STATE(1573),
    [sym__keyword_not] = STATE(13099),
    [sym__keyword_and] = STATE(1589),
    [sym__keyword_or] = STATE(1591),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_group_by_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(917),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PIPE_PIPE] = ACTIONS(917),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2333] = {
    [sym__keyword_between] = STATE(914),
    [sym__keyword_is] = STATE(12157),
    [sym__keyword_in] = STATE(1277),
    [sym__keyword_not] = STATE(13081),
    [sym__keyword_and] = STATE(1293),
    [sym__keyword_or] = STATE(1294),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1023),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1023),
    [aux_sym_keyword_replace_token1] = ACTIONS(1025),
    [aux_sym__keyword_alter_token1] = ACTIONS(1023),
    [aux_sym__keyword_delete_token1] = ACTIONS(1023),
    [aux_sym__keyword_begin_token1] = ACTIONS(1023),
    [aux_sym__keyword_end_token1] = ACTIONS(1023),
    [aux_sym__keyword_between_token1] = ACTIONS(1023),
    [aux_sym__keyword_when_token1] = ACTIONS(1023),
    [aux_sym__keyword_else_token1] = ACTIONS(1025),
    [aux_sym__keyword_is_token1] = ACTIONS(1023),
    [aux_sym__keyword_in_token1] = ACTIONS(1025),
    [aux_sym__keyword_and_token1] = ACTIONS(1023),
    [aux_sym__keyword_like_token1] = ACTIONS(1023),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1023),
    [aux_sym__keyword_for_token1] = ACTIONS(1023),
    [anon_sym_SEMI] = ACTIONS(1023),
    [aux_sym_declare_statement_token1] = ACTIONS(1023),
    [anon_sym_COMMA] = ACTIONS(1023),
    [aux_sym_set_statement_token1] = ACTIONS(1023),
    [anon_sym_LPAREN] = ACTIONS(1023),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1023),
    [aux_sym_return_satement_token1] = ACTIONS(1023),
    [aux_sym_call_statement_token1] = ACTIONS(1023),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1023),
    [aux_sym_if_statement_token1] = ACTIONS(1023),
    [aux_sym_loop_statement_token1] = ACTIONS(1023),
    [aux_sym_repeat_statement_token1] = ACTIONS(1023),
    [aux_sym_while_statement_token1] = ACTIONS(1023),
    [aux_sym_break_statement_token1] = ACTIONS(1023),
    [aux_sym_leave_statement_token1] = ACTIONS(1023),
    [aux_sym_continue_statement_token1] = ACTIONS(1023),
    [aux_sym_iterate_statement_token1] = ACTIONS(1023),
    [aux_sym_raise_statement_token1] = ACTIONS(1023),
    [anon_sym_EQ] = ACTIONS(1023),
    [aux_sym_assert_statement_token1] = ACTIONS(1023),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1023),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1023),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1023),
    [anon_sym_LT] = ACTIONS(1025),
    [anon_sym_GT] = ACTIONS(1025),
    [aux_sym_set_operation_token1] = ACTIONS(1023),
    [aux_sym_set_operation_token3] = ACTIONS(1023),
    [aux_sym_set_operation_token4] = ACTIONS(1025),
    [aux_sym_select_token1] = ACTIONS(1023),
    [aux_sym_limit_clause_token1] = ACTIONS(1023),
    [aux_sym__direction_keywords_token1] = ACTIONS(1023),
    [aux_sym__direction_keywords_token2] = ACTIONS(1023),
    [aux_sym__nulls_preference_token1] = ACTIONS(1023),
    [aux_sym_order_by_clause_token1] = ACTIONS(1023),
    [aux_sym_insert_statement_token1] = ACTIONS(1023),
    [aux_sym_truncate_statement_token1] = ACTIONS(1023),
    [aux_sym_update_statement_token1] = ACTIONS(1023),
    [aux_sym_merge_statement_token1] = ACTIONS(1023),
    [aux_sym_grant_statement_token1] = ACTIONS(1023),
    [aux_sym_revoke_statement_token1] = ACTIONS(1023),
    [aux_sym_export_data_statement_token1] = ACTIONS(1023),
    [aux_sym_load_data_statement_token1] = ACTIONS(1023),
    [anon_sym_LBRACK] = ACTIONS(1023),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1023),
    [anon_sym_PLUS] = ACTIONS(2706),
    [anon_sym_DASH] = ACTIONS(2708),
    [anon_sym_STAR] = ACTIONS(2710),
    [anon_sym_SLASH] = ACTIONS(2712),
    [anon_sym_PIPE_PIPE] = ACTIONS(2710),
    [anon_sym_LT_EQ] = ACTIONS(1023),
    [anon_sym_LT_GT] = ACTIONS(1023),
    [anon_sym_GT_EQ] = ACTIONS(1023),
    [anon_sym_BANG_EQ] = ACTIONS(1023),
    [anon_sym_LT_LT] = ACTIONS(2714),
    [anon_sym_GT_GT] = ACTIONS(2714),
    [anon_sym_AMP] = ACTIONS(2716),
    [anon_sym_CARET] = ACTIONS(2718),
    [anon_sym_PIPE] = ACTIONS(2720),
  },
  [2334] = {
    [sym__keyword_between] = STATE(914),
    [sym__keyword_is] = STATE(12157),
    [sym__keyword_in] = STATE(1277),
    [sym__keyword_not] = STATE(13081),
    [sym__keyword_and] = STATE(1293),
    [sym__keyword_or] = STATE(1294),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(947),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(947),
    [aux_sym_keyword_replace_token1] = ACTIONS(949),
    [aux_sym__keyword_alter_token1] = ACTIONS(947),
    [aux_sym__keyword_delete_token1] = ACTIONS(947),
    [aux_sym__keyword_begin_token1] = ACTIONS(947),
    [aux_sym__keyword_end_token1] = ACTIONS(947),
    [aux_sym__keyword_between_token1] = ACTIONS(947),
    [aux_sym__keyword_when_token1] = ACTIONS(947),
    [aux_sym__keyword_else_token1] = ACTIONS(949),
    [aux_sym__keyword_is_token1] = ACTIONS(947),
    [aux_sym__keyword_in_token1] = ACTIONS(949),
    [aux_sym__keyword_and_token1] = ACTIONS(947),
    [aux_sym__keyword_like_token1] = ACTIONS(947),
    [aux_sym__keyword_repeat_token1] = ACTIONS(947),
    [aux_sym__keyword_for_token1] = ACTIONS(947),
    [anon_sym_SEMI] = ACTIONS(947),
    [aux_sym_declare_statement_token1] = ACTIONS(947),
    [anon_sym_COMMA] = ACTIONS(947),
    [aux_sym_set_statement_token1] = ACTIONS(947),
    [anon_sym_LPAREN] = ACTIONS(947),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(947),
    [aux_sym_return_satement_token1] = ACTIONS(947),
    [aux_sym_call_statement_token1] = ACTIONS(947),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(947),
    [aux_sym_if_statement_token1] = ACTIONS(947),
    [aux_sym_loop_statement_token1] = ACTIONS(947),
    [aux_sym_repeat_statement_token1] = ACTIONS(947),
    [aux_sym_while_statement_token1] = ACTIONS(947),
    [aux_sym_break_statement_token1] = ACTIONS(947),
    [aux_sym_leave_statement_token1] = ACTIONS(947),
    [aux_sym_continue_statement_token1] = ACTIONS(947),
    [aux_sym_iterate_statement_token1] = ACTIONS(947),
    [aux_sym_raise_statement_token1] = ACTIONS(947),
    [anon_sym_EQ] = ACTIONS(947),
    [aux_sym_assert_statement_token1] = ACTIONS(947),
    [aux_sym_create_schema_statement_token1] = ACTIONS(947),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(947),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(949),
    [anon_sym_GT] = ACTIONS(949),
    [aux_sym_set_operation_token1] = ACTIONS(947),
    [aux_sym_set_operation_token3] = ACTIONS(947),
    [aux_sym_set_operation_token4] = ACTIONS(949),
    [aux_sym_select_token1] = ACTIONS(947),
    [aux_sym_limit_clause_token1] = ACTIONS(947),
    [aux_sym__direction_keywords_token1] = ACTIONS(947),
    [aux_sym__direction_keywords_token2] = ACTIONS(947),
    [aux_sym__nulls_preference_token1] = ACTIONS(947),
    [aux_sym_order_by_clause_token1] = ACTIONS(947),
    [aux_sym_insert_statement_token1] = ACTIONS(947),
    [aux_sym_truncate_statement_token1] = ACTIONS(947),
    [aux_sym_update_statement_token1] = ACTIONS(947),
    [aux_sym_merge_statement_token1] = ACTIONS(947),
    [aux_sym_grant_statement_token1] = ACTIONS(947),
    [aux_sym_revoke_statement_token1] = ACTIONS(947),
    [aux_sym_export_data_statement_token1] = ACTIONS(947),
    [aux_sym_load_data_statement_token1] = ACTIONS(947),
    [anon_sym_LBRACK] = ACTIONS(947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(2706),
    [anon_sym_DASH] = ACTIONS(2708),
    [anon_sym_STAR] = ACTIONS(2710),
    [anon_sym_SLASH] = ACTIONS(2712),
    [anon_sym_PIPE_PIPE] = ACTIONS(2710),
    [anon_sym_LT_EQ] = ACTIONS(947),
    [anon_sym_LT_GT] = ACTIONS(947),
    [anon_sym_GT_EQ] = ACTIONS(947),
    [anon_sym_BANG_EQ] = ACTIONS(947),
    [anon_sym_LT_LT] = ACTIONS(2714),
    [anon_sym_GT_GT] = ACTIONS(2714),
    [anon_sym_AMP] = ACTIONS(2716),
    [anon_sym_CARET] = ACTIONS(2718),
    [anon_sym_PIPE] = ACTIONS(2720),
  },
  [2335] = {
    [ts_builtin_sym_end] = ACTIONS(1516),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1516),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1516),
    [aux_sym_keyword_replace_token1] = ACTIONS(1518),
    [aux_sym__keyword_alter_token1] = ACTIONS(1516),
    [aux_sym__keyword_from_token1] = ACTIONS(1516),
    [aux_sym__keyword_delete_token1] = ACTIONS(1516),
    [aux_sym__keyword_begin_token1] = ACTIONS(1516),
    [aux_sym__keyword_end_token1] = ACTIONS(1516),
    [aux_sym__keyword_between_token1] = ACTIONS(1516),
    [aux_sym__keyword_when_token1] = ACTIONS(1516),
    [aux_sym__keyword_else_token1] = ACTIONS(1518),
    [aux_sym__keyword_is_token1] = ACTIONS(1516),
    [aux_sym__keyword_in_token1] = ACTIONS(1518),
    [aux_sym__keyword_and_token1] = ACTIONS(1516),
    [aux_sym__keyword_like_token1] = ACTIONS(1516),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1516),
    [aux_sym__keyword_window_token1] = ACTIONS(1516),
    [aux_sym__keyword_for_token1] = ACTIONS(1516),
    [anon_sym_SEMI] = ACTIONS(1516),
    [aux_sym_declare_statement_token1] = ACTIONS(1516),
    [anon_sym_COMMA] = ACTIONS(1516),
    [aux_sym_set_statement_token1] = ACTIONS(1516),
    [anon_sym_LPAREN] = ACTIONS(1516),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1516),
    [aux_sym_return_satement_token1] = ACTIONS(1516),
    [aux_sym_call_statement_token1] = ACTIONS(1516),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1516),
    [aux_sym_if_statement_token1] = ACTIONS(1516),
    [aux_sym_loop_statement_token1] = ACTIONS(1516),
    [aux_sym_repeat_statement_token1] = ACTIONS(1516),
    [aux_sym_while_statement_token1] = ACTIONS(1516),
    [aux_sym_break_statement_token1] = ACTIONS(1516),
    [aux_sym_leave_statement_token1] = ACTIONS(1516),
    [aux_sym_continue_statement_token1] = ACTIONS(1516),
    [aux_sym_iterate_statement_token1] = ACTIONS(1516),
    [aux_sym_raise_statement_token1] = ACTIONS(1516),
    [anon_sym_EQ] = ACTIONS(1516),
    [aux_sym_assert_statement_token1] = ACTIONS(1516),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1516),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1516),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1516),
    [anon_sym_LT] = ACTIONS(1518),
    [anon_sym_GT] = ACTIONS(1518),
    [aux_sym_set_operation_token1] = ACTIONS(1516),
    [aux_sym_set_operation_token3] = ACTIONS(1516),
    [aux_sym_set_operation_token4] = ACTIONS(1518),
    [aux_sym_select_token1] = ACTIONS(1516),
    [aux_sym_having_clause_token1] = ACTIONS(1516),
    [aux_sym_qualify_clause_token1] = ACTIONS(1516),
    [aux_sym_limit_clause_token1] = ACTIONS(1516),
    [aux_sym_group_by_clause_token1] = ACTIONS(1516),
    [aux_sym__direction_keywords_token1] = ACTIONS(1516),
    [aux_sym__direction_keywords_token2] = ACTIONS(1516),
    [aux_sym__nulls_preference_token1] = ACTIONS(1516),
    [aux_sym_order_by_clause_token1] = ACTIONS(1516),
    [aux_sym_where_clause_token1] = ACTIONS(1516),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1516),
    [aux_sym_insert_statement_token1] = ACTIONS(1516),
    [aux_sym_truncate_statement_token1] = ACTIONS(1516),
    [aux_sym_update_statement_token1] = ACTIONS(1516),
    [aux_sym_merge_statement_token1] = ACTIONS(1516),
    [aux_sym_grant_statement_token1] = ACTIONS(1516),
    [aux_sym_revoke_statement_token1] = ACTIONS(1516),
    [aux_sym_export_data_statement_token1] = ACTIONS(1516),
    [aux_sym_load_data_statement_token1] = ACTIONS(1516),
    [anon_sym_LBRACK] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1516),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1518),
    [anon_sym_STAR] = ACTIONS(1516),
    [anon_sym_SLASH] = ACTIONS(1518),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [anon_sym_LT_EQ] = ACTIONS(1516),
    [anon_sym_LT_GT] = ACTIONS(1516),
    [anon_sym_GT_EQ] = ACTIONS(1516),
    [anon_sym_BANG_EQ] = ACTIONS(1516),
    [anon_sym_LT_LT] = ACTIONS(1516),
    [anon_sym_GT_GT] = ACTIONS(1516),
    [anon_sym_AMP] = ACTIONS(1516),
    [anon_sym_CARET] = ACTIONS(1516),
    [anon_sym_PIPE] = ACTIONS(1518),
  },
  [2336] = {
    [ts_builtin_sym_end] = ACTIONS(1508),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1508),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1508),
    [aux_sym_keyword_replace_token1] = ACTIONS(1510),
    [aux_sym__keyword_alter_token1] = ACTIONS(1508),
    [aux_sym__keyword_from_token1] = ACTIONS(1508),
    [aux_sym__keyword_delete_token1] = ACTIONS(1508),
    [aux_sym__keyword_begin_token1] = ACTIONS(1508),
    [aux_sym__keyword_end_token1] = ACTIONS(1508),
    [aux_sym__keyword_between_token1] = ACTIONS(1508),
    [aux_sym__keyword_when_token1] = ACTIONS(1508),
    [aux_sym__keyword_else_token1] = ACTIONS(1510),
    [aux_sym__keyword_is_token1] = ACTIONS(1508),
    [aux_sym__keyword_in_token1] = ACTIONS(1510),
    [aux_sym__keyword_and_token1] = ACTIONS(1508),
    [aux_sym__keyword_like_token1] = ACTIONS(1508),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1508),
    [aux_sym__keyword_window_token1] = ACTIONS(1508),
    [aux_sym__keyword_for_token1] = ACTIONS(1508),
    [anon_sym_SEMI] = ACTIONS(1508),
    [aux_sym_declare_statement_token1] = ACTIONS(1508),
    [anon_sym_COMMA] = ACTIONS(1508),
    [aux_sym_set_statement_token1] = ACTIONS(1508),
    [anon_sym_LPAREN] = ACTIONS(1508),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1508),
    [aux_sym_return_satement_token1] = ACTIONS(1508),
    [aux_sym_call_statement_token1] = ACTIONS(1508),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1508),
    [aux_sym_if_statement_token1] = ACTIONS(1508),
    [aux_sym_loop_statement_token1] = ACTIONS(1508),
    [aux_sym_repeat_statement_token1] = ACTIONS(1508),
    [aux_sym_while_statement_token1] = ACTIONS(1508),
    [aux_sym_break_statement_token1] = ACTIONS(1508),
    [aux_sym_leave_statement_token1] = ACTIONS(1508),
    [aux_sym_continue_statement_token1] = ACTIONS(1508),
    [aux_sym_iterate_statement_token1] = ACTIONS(1508),
    [aux_sym_raise_statement_token1] = ACTIONS(1508),
    [anon_sym_EQ] = ACTIONS(1508),
    [aux_sym_assert_statement_token1] = ACTIONS(1508),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1508),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1508),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1508),
    [anon_sym_LT] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1510),
    [aux_sym_set_operation_token1] = ACTIONS(1508),
    [aux_sym_set_operation_token3] = ACTIONS(1508),
    [aux_sym_set_operation_token4] = ACTIONS(1510),
    [aux_sym_select_token1] = ACTIONS(1508),
    [aux_sym_having_clause_token1] = ACTIONS(1508),
    [aux_sym_qualify_clause_token1] = ACTIONS(1508),
    [aux_sym_limit_clause_token1] = ACTIONS(1508),
    [aux_sym_group_by_clause_token1] = ACTIONS(1508),
    [aux_sym__direction_keywords_token1] = ACTIONS(1508),
    [aux_sym__direction_keywords_token2] = ACTIONS(1508),
    [aux_sym__nulls_preference_token1] = ACTIONS(1508),
    [aux_sym_order_by_clause_token1] = ACTIONS(1508),
    [aux_sym_where_clause_token1] = ACTIONS(1508),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1508),
    [aux_sym_insert_statement_token1] = ACTIONS(1508),
    [aux_sym_truncate_statement_token1] = ACTIONS(1508),
    [aux_sym_update_statement_token1] = ACTIONS(1508),
    [aux_sym_merge_statement_token1] = ACTIONS(1508),
    [aux_sym_grant_statement_token1] = ACTIONS(1508),
    [aux_sym_revoke_statement_token1] = ACTIONS(1508),
    [aux_sym_export_data_statement_token1] = ACTIONS(1508),
    [aux_sym_load_data_statement_token1] = ACTIONS(1508),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1508),
    [anon_sym_PLUS] = ACTIONS(1508),
    [anon_sym_DASH] = ACTIONS(1510),
    [anon_sym_STAR] = ACTIONS(1508),
    [anon_sym_SLASH] = ACTIONS(1510),
    [anon_sym_PIPE_PIPE] = ACTIONS(1508),
    [anon_sym_LT_EQ] = ACTIONS(1508),
    [anon_sym_LT_GT] = ACTIONS(1508),
    [anon_sym_GT_EQ] = ACTIONS(1508),
    [anon_sym_BANG_EQ] = ACTIONS(1508),
    [anon_sym_LT_LT] = ACTIONS(1508),
    [anon_sym_GT_GT] = ACTIONS(1508),
    [anon_sym_AMP] = ACTIONS(1508),
    [anon_sym_CARET] = ACTIONS(1508),
    [anon_sym_PIPE] = ACTIONS(1510),
  },
  [2337] = {
    [sym__keyword_between] = STATE(1278),
    [sym__keyword_is] = STATE(12039),
    [sym__keyword_in] = STATE(1632),
    [sym__keyword_not] = STATE(13074),
    [sym__keyword_and] = STATE(1642),
    [sym__keyword_or] = STATE(1644),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16074),
    [sym_quantitve_like_operator] = STATE(16078),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1023),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1023),
    [aux_sym_keyword_replace_token1] = ACTIONS(1023),
    [aux_sym__keyword_alter_token1] = ACTIONS(1023),
    [aux_sym__keyword_delete_token1] = ACTIONS(1023),
    [aux_sym__keyword_begin_token1] = ACTIONS(1023),
    [aux_sym__keyword_end_token1] = ACTIONS(1023),
    [aux_sym__keyword_between_token1] = ACTIONS(1023),
    [aux_sym__keyword_when_token1] = ACTIONS(1023),
    [aux_sym__keyword_else_token1] = ACTIONS(1025),
    [aux_sym__keyword_is_token1] = ACTIONS(1023),
    [aux_sym__keyword_in_token1] = ACTIONS(1025),
    [aux_sym__keyword_and_token1] = ACTIONS(1023),
    [aux_sym__keyword_like_token1] = ACTIONS(1023),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1023),
    [aux_sym__keyword_for_token1] = ACTIONS(1023),
    [anon_sym_SEMI] = ACTIONS(1023),
    [aux_sym_declare_statement_token1] = ACTIONS(1023),
    [anon_sym_COMMA] = ACTIONS(1023),
    [aux_sym_set_statement_token1] = ACTIONS(1023),
    [anon_sym_LPAREN] = ACTIONS(1023),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1023),
    [aux_sym_return_satement_token1] = ACTIONS(1023),
    [aux_sym_call_statement_token1] = ACTIONS(1023),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1023),
    [aux_sym_if_statement_token1] = ACTIONS(1023),
    [aux_sym_loop_statement_token1] = ACTIONS(1023),
    [aux_sym_repeat_statement_token1] = ACTIONS(1023),
    [aux_sym_while_statement_token1] = ACTIONS(1023),
    [aux_sym_break_statement_token1] = ACTIONS(1023),
    [aux_sym_leave_statement_token1] = ACTIONS(1023),
    [aux_sym_continue_statement_token1] = ACTIONS(1023),
    [aux_sym_iterate_statement_token1] = ACTIONS(1023),
    [aux_sym_raise_statement_token1] = ACTIONS(1023),
    [anon_sym_EQ] = ACTIONS(1023),
    [aux_sym_assert_statement_token1] = ACTIONS(1023),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1023),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1023),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1023),
    [anon_sym_LT] = ACTIONS(1025),
    [anon_sym_GT] = ACTIONS(1025),
    [aux_sym_set_operation_token1] = ACTIONS(1023),
    [aux_sym_set_operation_token3] = ACTIONS(1023),
    [aux_sym_set_operation_token4] = ACTIONS(1025),
    [aux_sym_select_token1] = ACTIONS(1023),
    [aux_sym_limit_clause_token1] = ACTIONS(1023),
    [aux_sym__direction_keywords_token1] = ACTIONS(1023),
    [aux_sym__direction_keywords_token2] = ACTIONS(1023),
    [aux_sym__nulls_preference_token1] = ACTIONS(1023),
    [aux_sym_insert_statement_token1] = ACTIONS(1023),
    [aux_sym_truncate_statement_token1] = ACTIONS(1023),
    [aux_sym_update_statement_token1] = ACTIONS(1023),
    [aux_sym_merge_statement_token1] = ACTIONS(1023),
    [aux_sym_grant_statement_token1] = ACTIONS(1023),
    [aux_sym_revoke_statement_token1] = ACTIONS(1023),
    [aux_sym_export_data_statement_token1] = ACTIONS(1023),
    [aux_sym_load_data_statement_token1] = ACTIONS(1023),
    [anon_sym_LBRACK] = ACTIONS(1023),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1023),
    [anon_sym_PLUS] = ACTIONS(2762),
    [anon_sym_DASH] = ACTIONS(2764),
    [anon_sym_STAR] = ACTIONS(2766),
    [anon_sym_SLASH] = ACTIONS(2768),
    [anon_sym_PIPE_PIPE] = ACTIONS(2766),
    [anon_sym_LT_EQ] = ACTIONS(1023),
    [anon_sym_LT_GT] = ACTIONS(1023),
    [anon_sym_GT_EQ] = ACTIONS(1023),
    [anon_sym_BANG_EQ] = ACTIONS(1023),
    [anon_sym_LT_LT] = ACTIONS(2770),
    [anon_sym_GT_GT] = ACTIONS(2770),
    [anon_sym_AMP] = ACTIONS(2772),
    [anon_sym_CARET] = ACTIONS(2774),
    [anon_sym_PIPE] = ACTIONS(2776),
  },
  [2338] = {
    [sym__keyword_between] = STATE(1278),
    [sym__keyword_is] = STATE(12039),
    [sym__keyword_in] = STATE(1632),
    [sym__keyword_not] = STATE(13074),
    [sym__keyword_and] = STATE(1642),
    [sym__keyword_or] = STATE(1644),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16074),
    [sym_quantitve_like_operator] = STATE(16078),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token2] = ACTIONS(917),
    [aux_sym__nulls_preference_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(917),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PIPE_PIPE] = ACTIONS(917),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2339] = {
    [sym__keyword_between] = STATE(1278),
    [sym__keyword_is] = STATE(12039),
    [sym__keyword_in] = STATE(1632),
    [sym__keyword_not] = STATE(13074),
    [sym__keyword_and] = STATE(1642),
    [sym__keyword_or] = STATE(1644),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16074),
    [sym_quantitve_like_operator] = STATE(16078),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1027),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(2744),
    [aux_sym__keyword_alter_token1] = ACTIONS(1027),
    [aux_sym__keyword_delete_token1] = ACTIONS(1027),
    [aux_sym__keyword_begin_token1] = ACTIONS(1027),
    [aux_sym__keyword_end_token1] = ACTIONS(1027),
    [aux_sym__keyword_between_token1] = ACTIONS(2746),
    [aux_sym__keyword_when_token1] = ACTIONS(1027),
    [aux_sym__keyword_else_token1] = ACTIONS(1029),
    [aux_sym__keyword_is_token1] = ACTIONS(2748),
    [aux_sym__keyword_in_token1] = ACTIONS(2750),
    [aux_sym__keyword_and_token1] = ACTIONS(2752),
    [aux_sym__keyword_like_token1] = ACTIONS(1027),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1027),
    [aux_sym__keyword_for_token1] = ACTIONS(1027),
    [anon_sym_SEMI] = ACTIONS(1027),
    [aux_sym_declare_statement_token1] = ACTIONS(1027),
    [anon_sym_COMMA] = ACTIONS(1027),
    [aux_sym_set_statement_token1] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1027),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1027),
    [aux_sym_return_satement_token1] = ACTIONS(1027),
    [aux_sym_call_statement_token1] = ACTIONS(1027),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1027),
    [aux_sym_if_statement_token1] = ACTIONS(1027),
    [aux_sym_loop_statement_token1] = ACTIONS(1027),
    [aux_sym_repeat_statement_token1] = ACTIONS(1027),
    [aux_sym_while_statement_token1] = ACTIONS(1027),
    [aux_sym_break_statement_token1] = ACTIONS(1027),
    [aux_sym_leave_statement_token1] = ACTIONS(1027),
    [aux_sym_continue_statement_token1] = ACTIONS(1027),
    [aux_sym_iterate_statement_token1] = ACTIONS(1027),
    [aux_sym_raise_statement_token1] = ACTIONS(1027),
    [anon_sym_EQ] = ACTIONS(2756),
    [aux_sym_assert_statement_token1] = ACTIONS(1027),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1027),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1027),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1027),
    [anon_sym_LT] = ACTIONS(2750),
    [anon_sym_GT] = ACTIONS(2750),
    [aux_sym_set_operation_token1] = ACTIONS(1027),
    [aux_sym_set_operation_token3] = ACTIONS(1027),
    [aux_sym_set_operation_token4] = ACTIONS(1029),
    [aux_sym_select_token1] = ACTIONS(1027),
    [aux_sym_limit_clause_token1] = ACTIONS(1027),
    [aux_sym__direction_keywords_token1] = ACTIONS(1027),
    [aux_sym__direction_keywords_token2] = ACTIONS(1027),
    [aux_sym__nulls_preference_token1] = ACTIONS(1027),
    [aux_sym_insert_statement_token1] = ACTIONS(1027),
    [aux_sym_truncate_statement_token1] = ACTIONS(1027),
    [aux_sym_update_statement_token1] = ACTIONS(1027),
    [aux_sym_merge_statement_token1] = ACTIONS(1027),
    [aux_sym_grant_statement_token1] = ACTIONS(1027),
    [aux_sym_revoke_statement_token1] = ACTIONS(1027),
    [aux_sym_export_data_statement_token1] = ACTIONS(1027),
    [aux_sym_load_data_statement_token1] = ACTIONS(1027),
    [anon_sym_LBRACK] = ACTIONS(1027),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(2762),
    [anon_sym_DASH] = ACTIONS(2764),
    [anon_sym_STAR] = ACTIONS(2766),
    [anon_sym_SLASH] = ACTIONS(2768),
    [anon_sym_PIPE_PIPE] = ACTIONS(2766),
    [anon_sym_LT_EQ] = ACTIONS(2756),
    [anon_sym_LT_GT] = ACTIONS(2756),
    [anon_sym_GT_EQ] = ACTIONS(2756),
    [anon_sym_BANG_EQ] = ACTIONS(2756),
    [anon_sym_LT_LT] = ACTIONS(2770),
    [anon_sym_GT_GT] = ACTIONS(2770),
    [anon_sym_AMP] = ACTIONS(2772),
    [anon_sym_CARET] = ACTIONS(2774),
    [anon_sym_PIPE] = ACTIONS(2776),
  },
  [2340] = {
    [sym__keyword_between] = STATE(1278),
    [sym__keyword_is] = STATE(12039),
    [sym__keyword_in] = STATE(1632),
    [sym__keyword_not] = STATE(13074),
    [sym__keyword_and] = STATE(1642),
    [sym__keyword_or] = STATE(1644),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16074),
    [sym_quantitve_like_operator] = STATE(16078),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1019),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1019),
    [aux_sym_keyword_replace_token1] = ACTIONS(1019),
    [aux_sym__keyword_alter_token1] = ACTIONS(1019),
    [aux_sym__keyword_delete_token1] = ACTIONS(1019),
    [aux_sym__keyword_begin_token1] = ACTIONS(1019),
    [aux_sym__keyword_end_token1] = ACTIONS(1019),
    [aux_sym__keyword_between_token1] = ACTIONS(1019),
    [aux_sym__keyword_when_token1] = ACTIONS(1019),
    [aux_sym__keyword_else_token1] = ACTIONS(1021),
    [aux_sym__keyword_is_token1] = ACTIONS(1019),
    [aux_sym__keyword_in_token1] = ACTIONS(1021),
    [aux_sym__keyword_and_token1] = ACTIONS(1019),
    [aux_sym__keyword_like_token1] = ACTIONS(1019),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1019),
    [aux_sym__keyword_for_token1] = ACTIONS(1019),
    [anon_sym_SEMI] = ACTIONS(1019),
    [aux_sym_declare_statement_token1] = ACTIONS(1019),
    [anon_sym_COMMA] = ACTIONS(1019),
    [aux_sym_set_statement_token1] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1019),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1019),
    [aux_sym_return_satement_token1] = ACTIONS(1019),
    [aux_sym_call_statement_token1] = ACTIONS(1019),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1019),
    [aux_sym_if_statement_token1] = ACTIONS(1019),
    [aux_sym_loop_statement_token1] = ACTIONS(1019),
    [aux_sym_repeat_statement_token1] = ACTIONS(1019),
    [aux_sym_while_statement_token1] = ACTIONS(1019),
    [aux_sym_break_statement_token1] = ACTIONS(1019),
    [aux_sym_leave_statement_token1] = ACTIONS(1019),
    [aux_sym_continue_statement_token1] = ACTIONS(1019),
    [aux_sym_iterate_statement_token1] = ACTIONS(1019),
    [aux_sym_raise_statement_token1] = ACTIONS(1019),
    [anon_sym_EQ] = ACTIONS(1019),
    [aux_sym_assert_statement_token1] = ACTIONS(1019),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1019),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1019),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1019),
    [anon_sym_LT] = ACTIONS(1021),
    [anon_sym_GT] = ACTIONS(1021),
    [aux_sym_set_operation_token1] = ACTIONS(1019),
    [aux_sym_set_operation_token3] = ACTIONS(1019),
    [aux_sym_set_operation_token4] = ACTIONS(1021),
    [aux_sym_select_token1] = ACTIONS(1019),
    [aux_sym_limit_clause_token1] = ACTIONS(1019),
    [aux_sym__direction_keywords_token1] = ACTIONS(1019),
    [aux_sym__direction_keywords_token2] = ACTIONS(1019),
    [aux_sym__nulls_preference_token1] = ACTIONS(1019),
    [aux_sym_insert_statement_token1] = ACTIONS(1019),
    [aux_sym_truncate_statement_token1] = ACTIONS(1019),
    [aux_sym_update_statement_token1] = ACTIONS(1019),
    [aux_sym_merge_statement_token1] = ACTIONS(1019),
    [aux_sym_grant_statement_token1] = ACTIONS(1019),
    [aux_sym_revoke_statement_token1] = ACTIONS(1019),
    [aux_sym_export_data_statement_token1] = ACTIONS(1019),
    [aux_sym_load_data_statement_token1] = ACTIONS(1019),
    [anon_sym_LBRACK] = ACTIONS(1019),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1019),
    [anon_sym_PLUS] = ACTIONS(1019),
    [anon_sym_DASH] = ACTIONS(1021),
    [anon_sym_STAR] = ACTIONS(1019),
    [anon_sym_SLASH] = ACTIONS(1021),
    [anon_sym_PIPE_PIPE] = ACTIONS(1019),
    [anon_sym_LT_EQ] = ACTIONS(1019),
    [anon_sym_LT_GT] = ACTIONS(1019),
    [anon_sym_GT_EQ] = ACTIONS(1019),
    [anon_sym_BANG_EQ] = ACTIONS(1019),
    [anon_sym_LT_LT] = ACTIONS(1019),
    [anon_sym_GT_GT] = ACTIONS(1019),
    [anon_sym_AMP] = ACTIONS(1019),
    [anon_sym_CARET] = ACTIONS(1019),
    [anon_sym_PIPE] = ACTIONS(1021),
  },
  [2341] = {
    [sym__keyword_between] = STATE(1278),
    [sym__keyword_is] = STATE(12039),
    [sym__keyword_in] = STATE(1632),
    [sym__keyword_not] = STATE(13074),
    [sym__keyword_and] = STATE(1642),
    [sym__keyword_or] = STATE(1644),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16074),
    [sym_quantitve_like_operator] = STATE(16078),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(947),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(947),
    [aux_sym_keyword_replace_token1] = ACTIONS(947),
    [aux_sym__keyword_alter_token1] = ACTIONS(947),
    [aux_sym__keyword_delete_token1] = ACTIONS(947),
    [aux_sym__keyword_begin_token1] = ACTIONS(947),
    [aux_sym__keyword_end_token1] = ACTIONS(947),
    [aux_sym__keyword_between_token1] = ACTIONS(947),
    [aux_sym__keyword_when_token1] = ACTIONS(947),
    [aux_sym__keyword_else_token1] = ACTIONS(949),
    [aux_sym__keyword_is_token1] = ACTIONS(947),
    [aux_sym__keyword_in_token1] = ACTIONS(949),
    [aux_sym__keyword_and_token1] = ACTIONS(947),
    [aux_sym__keyword_like_token1] = ACTIONS(947),
    [aux_sym__keyword_repeat_token1] = ACTIONS(947),
    [aux_sym__keyword_for_token1] = ACTIONS(947),
    [anon_sym_SEMI] = ACTIONS(947),
    [aux_sym_declare_statement_token1] = ACTIONS(947),
    [anon_sym_COMMA] = ACTIONS(947),
    [aux_sym_set_statement_token1] = ACTIONS(947),
    [anon_sym_LPAREN] = ACTIONS(947),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(947),
    [aux_sym_return_satement_token1] = ACTIONS(947),
    [aux_sym_call_statement_token1] = ACTIONS(947),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(947),
    [aux_sym_if_statement_token1] = ACTIONS(947),
    [aux_sym_loop_statement_token1] = ACTIONS(947),
    [aux_sym_repeat_statement_token1] = ACTIONS(947),
    [aux_sym_while_statement_token1] = ACTIONS(947),
    [aux_sym_break_statement_token1] = ACTIONS(947),
    [aux_sym_leave_statement_token1] = ACTIONS(947),
    [aux_sym_continue_statement_token1] = ACTIONS(947),
    [aux_sym_iterate_statement_token1] = ACTIONS(947),
    [aux_sym_raise_statement_token1] = ACTIONS(947),
    [anon_sym_EQ] = ACTIONS(947),
    [aux_sym_assert_statement_token1] = ACTIONS(947),
    [aux_sym_create_schema_statement_token1] = ACTIONS(947),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(947),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(949),
    [anon_sym_GT] = ACTIONS(949),
    [aux_sym_set_operation_token1] = ACTIONS(947),
    [aux_sym_set_operation_token3] = ACTIONS(947),
    [aux_sym_set_operation_token4] = ACTIONS(949),
    [aux_sym_select_token1] = ACTIONS(947),
    [aux_sym_limit_clause_token1] = ACTIONS(947),
    [aux_sym__direction_keywords_token1] = ACTIONS(947),
    [aux_sym__direction_keywords_token2] = ACTIONS(947),
    [aux_sym__nulls_preference_token1] = ACTIONS(947),
    [aux_sym_insert_statement_token1] = ACTIONS(947),
    [aux_sym_truncate_statement_token1] = ACTIONS(947),
    [aux_sym_update_statement_token1] = ACTIONS(947),
    [aux_sym_merge_statement_token1] = ACTIONS(947),
    [aux_sym_grant_statement_token1] = ACTIONS(947),
    [aux_sym_revoke_statement_token1] = ACTIONS(947),
    [aux_sym_export_data_statement_token1] = ACTIONS(947),
    [aux_sym_load_data_statement_token1] = ACTIONS(947),
    [anon_sym_LBRACK] = ACTIONS(947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(2762),
    [anon_sym_DASH] = ACTIONS(2764),
    [anon_sym_STAR] = ACTIONS(2766),
    [anon_sym_SLASH] = ACTIONS(2768),
    [anon_sym_PIPE_PIPE] = ACTIONS(2766),
    [anon_sym_LT_EQ] = ACTIONS(947),
    [anon_sym_LT_GT] = ACTIONS(947),
    [anon_sym_GT_EQ] = ACTIONS(947),
    [anon_sym_BANG_EQ] = ACTIONS(947),
    [anon_sym_LT_LT] = ACTIONS(2770),
    [anon_sym_GT_GT] = ACTIONS(2770),
    [anon_sym_AMP] = ACTIONS(2772),
    [anon_sym_CARET] = ACTIONS(2774),
    [anon_sym_PIPE] = ACTIONS(2776),
  },
  [2342] = {
    [sym__keyword_between] = STATE(1278),
    [sym__keyword_is] = STATE(12039),
    [sym__keyword_in] = STATE(1632),
    [sym__keyword_not] = STATE(13074),
    [sym__keyword_and] = STATE(1642),
    [sym__keyword_or] = STATE(1644),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16074),
    [sym_quantitve_like_operator] = STATE(16078),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1031),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1031),
    [aux_sym_keyword_replace_token1] = ACTIONS(1031),
    [aux_sym__keyword_alter_token1] = ACTIONS(1031),
    [aux_sym__keyword_delete_token1] = ACTIONS(1031),
    [aux_sym__keyword_begin_token1] = ACTIONS(1031),
    [aux_sym__keyword_end_token1] = ACTIONS(1031),
    [aux_sym__keyword_between_token1] = ACTIONS(1031),
    [aux_sym__keyword_when_token1] = ACTIONS(1031),
    [aux_sym__keyword_else_token1] = ACTIONS(1033),
    [aux_sym__keyword_is_token1] = ACTIONS(1031),
    [aux_sym__keyword_in_token1] = ACTIONS(1033),
    [aux_sym__keyword_and_token1] = ACTIONS(1031),
    [aux_sym__keyword_like_token1] = ACTIONS(1031),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1031),
    [aux_sym__keyword_for_token1] = ACTIONS(1031),
    [anon_sym_SEMI] = ACTIONS(1031),
    [aux_sym_declare_statement_token1] = ACTIONS(1031),
    [anon_sym_COMMA] = ACTIONS(1031),
    [aux_sym_set_statement_token1] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1031),
    [aux_sym_return_satement_token1] = ACTIONS(1031),
    [aux_sym_call_statement_token1] = ACTIONS(1031),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1031),
    [aux_sym_if_statement_token1] = ACTIONS(1031),
    [aux_sym_loop_statement_token1] = ACTIONS(1031),
    [aux_sym_repeat_statement_token1] = ACTIONS(1031),
    [aux_sym_while_statement_token1] = ACTIONS(1031),
    [aux_sym_break_statement_token1] = ACTIONS(1031),
    [aux_sym_leave_statement_token1] = ACTIONS(1031),
    [aux_sym_continue_statement_token1] = ACTIONS(1031),
    [aux_sym_iterate_statement_token1] = ACTIONS(1031),
    [aux_sym_raise_statement_token1] = ACTIONS(1031),
    [anon_sym_EQ] = ACTIONS(1031),
    [aux_sym_assert_statement_token1] = ACTIONS(1031),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1031),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1031),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1031),
    [anon_sym_LT] = ACTIONS(1033),
    [anon_sym_GT] = ACTIONS(1033),
    [aux_sym_set_operation_token1] = ACTIONS(1031),
    [aux_sym_set_operation_token3] = ACTIONS(1031),
    [aux_sym_set_operation_token4] = ACTIONS(1033),
    [aux_sym_select_token1] = ACTIONS(1031),
    [aux_sym_limit_clause_token1] = ACTIONS(1031),
    [aux_sym__direction_keywords_token1] = ACTIONS(1031),
    [aux_sym__direction_keywords_token2] = ACTIONS(1031),
    [aux_sym__nulls_preference_token1] = ACTIONS(1031),
    [aux_sym_insert_statement_token1] = ACTIONS(1031),
    [aux_sym_truncate_statement_token1] = ACTIONS(1031),
    [aux_sym_update_statement_token1] = ACTIONS(1031),
    [aux_sym_merge_statement_token1] = ACTIONS(1031),
    [aux_sym_grant_statement_token1] = ACTIONS(1031),
    [aux_sym_revoke_statement_token1] = ACTIONS(1031),
    [aux_sym_export_data_statement_token1] = ACTIONS(1031),
    [aux_sym_load_data_statement_token1] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1031),
    [anon_sym_PLUS] = ACTIONS(2762),
    [anon_sym_DASH] = ACTIONS(2764),
    [anon_sym_STAR] = ACTIONS(2766),
    [anon_sym_SLASH] = ACTIONS(2768),
    [anon_sym_PIPE_PIPE] = ACTIONS(2766),
    [anon_sym_LT_EQ] = ACTIONS(1031),
    [anon_sym_LT_GT] = ACTIONS(1031),
    [anon_sym_GT_EQ] = ACTIONS(1031),
    [anon_sym_BANG_EQ] = ACTIONS(1031),
    [anon_sym_LT_LT] = ACTIONS(2770),
    [anon_sym_GT_GT] = ACTIONS(2770),
    [anon_sym_AMP] = ACTIONS(2772),
    [anon_sym_CARET] = ACTIONS(2774),
    [anon_sym_PIPE] = ACTIONS(2776),
  },
  [2343] = {
    [sym__keyword_between] = STATE(926),
    [sym__keyword_is] = STATE(12119),
    [sym__keyword_in] = STATE(864),
    [sym__keyword_not] = STATE(13080),
    [sym__keyword_and] = STATE(1038),
    [sym__keyword_or] = STATE(1050),
    [sym__keyword_like] = STATE(14280),
    [sym__direction_keywords] = STATE(6900),
    [sym__nulls_preference] = STATE(7423),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [aux_sym_order_by_clause_body_repeat1] = STATE(7422),
    [ts_builtin_sym_end] = ACTIONS(2682),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(2682),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(341),
    [aux_sym__keyword_alter_token1] = ACTIONS(2682),
    [aux_sym__keyword_delete_token1] = ACTIONS(2682),
    [aux_sym__keyword_begin_token1] = ACTIONS(2682),
    [aux_sym__keyword_between_token1] = ACTIONS(2860),
    [aux_sym__keyword_when_token1] = ACTIONS(2682),
    [aux_sym__keyword_is_token1] = ACTIONS(2862),
    [aux_sym__keyword_in_token1] = ACTIONS(2864),
    [aux_sym__keyword_and_token1] = ACTIONS(2866),
    [aux_sym__keyword_like_token1] = ACTIONS(1007),
    [aux_sym__keyword_repeat_token1] = ACTIONS(2682),
    [aux_sym__keyword_for_token1] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(2682),
    [aux_sym_declare_statement_token1] = ACTIONS(2682),
    [anon_sym_COMMA] = ACTIONS(2868),
    [aux_sym_set_statement_token1] = ACTIONS(2682),
    [anon_sym_LPAREN] = ACTIONS(2682),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(2682),
    [aux_sym_return_satement_token1] = ACTIONS(2682),
    [aux_sym_call_statement_token1] = ACTIONS(2682),
    [aux_sym_loop_statement_token1] = ACTIONS(2682),
    [aux_sym_while_statement_token1] = ACTIONS(2682),
    [aux_sym_break_statement_token1] = ACTIONS(2682),
    [aux_sym_leave_statement_token1] = ACTIONS(2682),
    [aux_sym_continue_statement_token1] = ACTIONS(2682),
    [aux_sym_iterate_statement_token1] = ACTIONS(2682),
    [aux_sym_raise_statement_token1] = ACTIONS(2682),
    [anon_sym_EQ] = ACTIONS(2870),
    [aux_sym_assert_statement_token1] = ACTIONS(2682),
    [aux_sym_create_schema_statement_token1] = ACTIONS(2682),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(2682),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2682),
    [anon_sym_LT] = ACTIONS(2864),
    [anon_sym_GT] = ACTIONS(2864),
    [aux_sym_set_operation_token1] = ACTIONS(2682),
    [aux_sym_set_operation_token3] = ACTIONS(2682),
    [aux_sym_set_operation_token4] = ACTIONS(2682),
    [aux_sym_select_token1] = ACTIONS(2682),
    [aux_sym_limit_clause_token1] = ACTIONS(2682),
    [aux_sym__direction_keywords_token1] = ACTIONS(2698),
    [aux_sym__direction_keywords_token2] = ACTIONS(2698),
    [aux_sym__nulls_preference_token1] = ACTIONS(2700),
    [aux_sym_order_by_clause_token1] = ACTIONS(2682),
    [aux_sym_insert_statement_token1] = ACTIONS(2682),
    [aux_sym_truncate_statement_token1] = ACTIONS(2682),
    [aux_sym_update_statement_token1] = ACTIONS(2682),
    [aux_sym_merge_statement_token1] = ACTIONS(2682),
    [aux_sym_grant_statement_token1] = ACTIONS(2682),
    [aux_sym_revoke_statement_token1] = ACTIONS(2682),
    [aux_sym_export_data_statement_token1] = ACTIONS(2682),
    [aux_sym_load_data_statement_token1] = ACTIONS(2682),
    [anon_sym_LBRACK] = ACTIONS(2702),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(2704),
    [anon_sym_PLUS] = ACTIONS(2872),
    [anon_sym_DASH] = ACTIONS(2874),
    [anon_sym_STAR] = ACTIONS(2876),
    [anon_sym_SLASH] = ACTIONS(2878),
    [anon_sym_PIPE_PIPE] = ACTIONS(2876),
    [anon_sym_LT_EQ] = ACTIONS(2870),
    [anon_sym_LT_GT] = ACTIONS(2870),
    [anon_sym_GT_EQ] = ACTIONS(2870),
    [anon_sym_BANG_EQ] = ACTIONS(2870),
    [anon_sym_LT_LT] = ACTIONS(2880),
    [anon_sym_GT_GT] = ACTIONS(2880),
    [anon_sym_AMP] = ACTIONS(2882),
    [anon_sym_CARET] = ACTIONS(2884),
    [anon_sym_PIPE] = ACTIONS(2886),
  },
  [2344] = {
    [sym__keyword_between] = STATE(1278),
    [sym__keyword_is] = STATE(12039),
    [sym__keyword_in] = STATE(1632),
    [sym__keyword_not] = STATE(13074),
    [sym__keyword_and] = STATE(1642),
    [sym__keyword_or] = STATE(1644),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16074),
    [sym_quantitve_like_operator] = STATE(16078),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1035),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1035),
    [aux_sym_keyword_replace_token1] = ACTIONS(1035),
    [aux_sym__keyword_alter_token1] = ACTIONS(1035),
    [aux_sym__keyword_delete_token1] = ACTIONS(1035),
    [aux_sym__keyword_begin_token1] = ACTIONS(1035),
    [aux_sym__keyword_end_token1] = ACTIONS(1035),
    [aux_sym__keyword_between_token1] = ACTIONS(1035),
    [aux_sym__keyword_when_token1] = ACTIONS(1035),
    [aux_sym__keyword_else_token1] = ACTIONS(1037),
    [aux_sym__keyword_is_token1] = ACTIONS(1035),
    [aux_sym__keyword_in_token1] = ACTIONS(1037),
    [aux_sym__keyword_and_token1] = ACTIONS(1035),
    [aux_sym__keyword_like_token1] = ACTIONS(1035),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1035),
    [aux_sym__keyword_for_token1] = ACTIONS(1035),
    [anon_sym_SEMI] = ACTIONS(1035),
    [aux_sym_declare_statement_token1] = ACTIONS(1035),
    [anon_sym_COMMA] = ACTIONS(1035),
    [aux_sym_set_statement_token1] = ACTIONS(1035),
    [anon_sym_LPAREN] = ACTIONS(1035),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1035),
    [aux_sym_return_satement_token1] = ACTIONS(1035),
    [aux_sym_call_statement_token1] = ACTIONS(1035),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1035),
    [aux_sym_if_statement_token1] = ACTIONS(1035),
    [aux_sym_loop_statement_token1] = ACTIONS(1035),
    [aux_sym_repeat_statement_token1] = ACTIONS(1035),
    [aux_sym_while_statement_token1] = ACTIONS(1035),
    [aux_sym_break_statement_token1] = ACTIONS(1035),
    [aux_sym_leave_statement_token1] = ACTIONS(1035),
    [aux_sym_continue_statement_token1] = ACTIONS(1035),
    [aux_sym_iterate_statement_token1] = ACTIONS(1035),
    [aux_sym_raise_statement_token1] = ACTIONS(1035),
    [anon_sym_EQ] = ACTIONS(1035),
    [aux_sym_assert_statement_token1] = ACTIONS(1035),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1035),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1035),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1035),
    [anon_sym_LT] = ACTIONS(1037),
    [anon_sym_GT] = ACTIONS(1037),
    [aux_sym_set_operation_token1] = ACTIONS(1035),
    [aux_sym_set_operation_token3] = ACTIONS(1035),
    [aux_sym_set_operation_token4] = ACTIONS(1037),
    [aux_sym_select_token1] = ACTIONS(1035),
    [aux_sym_limit_clause_token1] = ACTIONS(1035),
    [aux_sym__direction_keywords_token1] = ACTIONS(1035),
    [aux_sym__direction_keywords_token2] = ACTIONS(1035),
    [aux_sym__nulls_preference_token1] = ACTIONS(1035),
    [aux_sym_insert_statement_token1] = ACTIONS(1035),
    [aux_sym_truncate_statement_token1] = ACTIONS(1035),
    [aux_sym_update_statement_token1] = ACTIONS(1035),
    [aux_sym_merge_statement_token1] = ACTIONS(1035),
    [aux_sym_grant_statement_token1] = ACTIONS(1035),
    [aux_sym_revoke_statement_token1] = ACTIONS(1035),
    [aux_sym_export_data_statement_token1] = ACTIONS(1035),
    [aux_sym_load_data_statement_token1] = ACTIONS(1035),
    [anon_sym_LBRACK] = ACTIONS(1035),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1035),
    [anon_sym_PLUS] = ACTIONS(2762),
    [anon_sym_DASH] = ACTIONS(2764),
    [anon_sym_STAR] = ACTIONS(2766),
    [anon_sym_SLASH] = ACTIONS(2768),
    [anon_sym_PIPE_PIPE] = ACTIONS(2766),
    [anon_sym_LT_EQ] = ACTIONS(1035),
    [anon_sym_LT_GT] = ACTIONS(1035),
    [anon_sym_GT_EQ] = ACTIONS(1035),
    [anon_sym_BANG_EQ] = ACTIONS(1035),
    [anon_sym_LT_LT] = ACTIONS(2770),
    [anon_sym_GT_GT] = ACTIONS(2770),
    [anon_sym_AMP] = ACTIONS(2772),
    [anon_sym_CARET] = ACTIONS(2774),
    [anon_sym_PIPE] = ACTIONS(2776),
  },
  [2345] = {
    [sym__keyword_between] = STATE(1278),
    [sym__keyword_is] = STATE(12039),
    [sym__keyword_in] = STATE(1632),
    [sym__keyword_not] = STATE(13074),
    [sym__keyword_and] = STATE(1642),
    [sym__keyword_or] = STATE(1644),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16074),
    [sym_quantitve_like_operator] = STATE(16078),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token2] = ACTIONS(917),
    [aux_sym__nulls_preference_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2762),
    [anon_sym_DASH] = ACTIONS(2764),
    [anon_sym_STAR] = ACTIONS(2766),
    [anon_sym_SLASH] = ACTIONS(2768),
    [anon_sym_PIPE_PIPE] = ACTIONS(2766),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(2770),
    [anon_sym_GT_GT] = ACTIONS(2770),
    [anon_sym_AMP] = ACTIONS(2772),
    [anon_sym_CARET] = ACTIONS(2774),
    [anon_sym_PIPE] = ACTIONS(2776),
  },
  [2346] = {
    [sym__keyword_between] = STATE(1278),
    [sym__keyword_is] = STATE(12039),
    [sym__keyword_in] = STATE(1632),
    [sym__keyword_not] = STATE(13074),
    [sym__keyword_and] = STATE(1642),
    [sym__keyword_or] = STATE(1644),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16074),
    [sym_quantitve_like_operator] = STATE(16078),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1039),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1039),
    [aux_sym_keyword_replace_token1] = ACTIONS(1039),
    [aux_sym__keyword_alter_token1] = ACTIONS(1039),
    [aux_sym__keyword_delete_token1] = ACTIONS(1039),
    [aux_sym__keyword_begin_token1] = ACTIONS(1039),
    [aux_sym__keyword_end_token1] = ACTIONS(1039),
    [aux_sym__keyword_between_token1] = ACTIONS(1039),
    [aux_sym__keyword_when_token1] = ACTIONS(1039),
    [aux_sym__keyword_else_token1] = ACTIONS(1041),
    [aux_sym__keyword_is_token1] = ACTIONS(1039),
    [aux_sym__keyword_in_token1] = ACTIONS(1041),
    [aux_sym__keyword_and_token1] = ACTIONS(1039),
    [aux_sym__keyword_like_token1] = ACTIONS(1039),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1039),
    [aux_sym__keyword_for_token1] = ACTIONS(1039),
    [anon_sym_SEMI] = ACTIONS(1039),
    [aux_sym_declare_statement_token1] = ACTIONS(1039),
    [anon_sym_COMMA] = ACTIONS(1039),
    [aux_sym_set_statement_token1] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(1039),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1039),
    [aux_sym_return_satement_token1] = ACTIONS(1039),
    [aux_sym_call_statement_token1] = ACTIONS(1039),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1039),
    [aux_sym_if_statement_token1] = ACTIONS(1039),
    [aux_sym_loop_statement_token1] = ACTIONS(1039),
    [aux_sym_repeat_statement_token1] = ACTIONS(1039),
    [aux_sym_while_statement_token1] = ACTIONS(1039),
    [aux_sym_break_statement_token1] = ACTIONS(1039),
    [aux_sym_leave_statement_token1] = ACTIONS(1039),
    [aux_sym_continue_statement_token1] = ACTIONS(1039),
    [aux_sym_iterate_statement_token1] = ACTIONS(1039),
    [aux_sym_raise_statement_token1] = ACTIONS(1039),
    [anon_sym_EQ] = ACTIONS(1039),
    [aux_sym_assert_statement_token1] = ACTIONS(1039),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1039),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1039),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1039),
    [anon_sym_LT] = ACTIONS(1041),
    [anon_sym_GT] = ACTIONS(1041),
    [aux_sym_set_operation_token1] = ACTIONS(1039),
    [aux_sym_set_operation_token3] = ACTIONS(1039),
    [aux_sym_set_operation_token4] = ACTIONS(1041),
    [aux_sym_select_token1] = ACTIONS(1039),
    [aux_sym_limit_clause_token1] = ACTIONS(1039),
    [aux_sym__direction_keywords_token1] = ACTIONS(1039),
    [aux_sym__direction_keywords_token2] = ACTIONS(1039),
    [aux_sym__nulls_preference_token1] = ACTIONS(1039),
    [aux_sym_insert_statement_token1] = ACTIONS(1039),
    [aux_sym_truncate_statement_token1] = ACTIONS(1039),
    [aux_sym_update_statement_token1] = ACTIONS(1039),
    [aux_sym_merge_statement_token1] = ACTIONS(1039),
    [aux_sym_grant_statement_token1] = ACTIONS(1039),
    [aux_sym_revoke_statement_token1] = ACTIONS(1039),
    [aux_sym_export_data_statement_token1] = ACTIONS(1039),
    [aux_sym_load_data_statement_token1] = ACTIONS(1039),
    [anon_sym_LBRACK] = ACTIONS(1039),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1039),
    [anon_sym_PLUS] = ACTIONS(2762),
    [anon_sym_DASH] = ACTIONS(2764),
    [anon_sym_STAR] = ACTIONS(2766),
    [anon_sym_SLASH] = ACTIONS(2768),
    [anon_sym_PIPE_PIPE] = ACTIONS(2766),
    [anon_sym_LT_EQ] = ACTIONS(1039),
    [anon_sym_LT_GT] = ACTIONS(1039),
    [anon_sym_GT_EQ] = ACTIONS(1039),
    [anon_sym_BANG_EQ] = ACTIONS(1039),
    [anon_sym_LT_LT] = ACTIONS(2770),
    [anon_sym_GT_GT] = ACTIONS(2770),
    [anon_sym_AMP] = ACTIONS(2772),
    [anon_sym_CARET] = ACTIONS(2774),
    [anon_sym_PIPE] = ACTIONS(2776),
  },
  [2347] = {
    [sym__keyword_between] = STATE(1278),
    [sym__keyword_is] = STATE(12039),
    [sym__keyword_in] = STATE(1632),
    [sym__keyword_not] = STATE(13074),
    [sym__keyword_and] = STATE(1642),
    [sym__keyword_or] = STATE(1644),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16074),
    [sym_quantitve_like_operator] = STATE(16078),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(2746),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(2748),
    [aux_sym__keyword_in_token1] = ACTIONS(2750),
    [aux_sym__keyword_and_token1] = ACTIONS(2752),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(2756),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(2750),
    [anon_sym_GT] = ACTIONS(2750),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token2] = ACTIONS(917),
    [aux_sym__nulls_preference_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2762),
    [anon_sym_DASH] = ACTIONS(2764),
    [anon_sym_STAR] = ACTIONS(2766),
    [anon_sym_SLASH] = ACTIONS(2768),
    [anon_sym_PIPE_PIPE] = ACTIONS(2766),
    [anon_sym_LT_EQ] = ACTIONS(2756),
    [anon_sym_LT_GT] = ACTIONS(2756),
    [anon_sym_GT_EQ] = ACTIONS(2756),
    [anon_sym_BANG_EQ] = ACTIONS(2756),
    [anon_sym_LT_LT] = ACTIONS(2770),
    [anon_sym_GT_GT] = ACTIONS(2770),
    [anon_sym_AMP] = ACTIONS(2772),
    [anon_sym_CARET] = ACTIONS(2774),
    [anon_sym_PIPE] = ACTIONS(2776),
  },
  [2348] = {
    [sym__keyword_between] = STATE(1278),
    [sym__keyword_is] = STATE(12039),
    [sym__keyword_in] = STATE(1632),
    [sym__keyword_not] = STATE(13074),
    [sym__keyword_and] = STATE(1642),
    [sym__keyword_or] = STATE(1644),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16074),
    [sym_quantitve_like_operator] = STATE(16078),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(2746),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(2748),
    [aux_sym__keyword_in_token1] = ACTIONS(2750),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(2756),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(2750),
    [anon_sym_GT] = ACTIONS(2750),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token2] = ACTIONS(917),
    [aux_sym__nulls_preference_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2762),
    [anon_sym_DASH] = ACTIONS(2764),
    [anon_sym_STAR] = ACTIONS(2766),
    [anon_sym_SLASH] = ACTIONS(2768),
    [anon_sym_PIPE_PIPE] = ACTIONS(2766),
    [anon_sym_LT_EQ] = ACTIONS(2756),
    [anon_sym_LT_GT] = ACTIONS(2756),
    [anon_sym_GT_EQ] = ACTIONS(2756),
    [anon_sym_BANG_EQ] = ACTIONS(2756),
    [anon_sym_LT_LT] = ACTIONS(2770),
    [anon_sym_GT_GT] = ACTIONS(2770),
    [anon_sym_AMP] = ACTIONS(2772),
    [anon_sym_CARET] = ACTIONS(2774),
    [anon_sym_PIPE] = ACTIONS(2776),
  },
  [2349] = {
    [sym__keyword_between] = STATE(1278),
    [sym__keyword_is] = STATE(12039),
    [sym__keyword_in] = STATE(1632),
    [sym__keyword_not] = STATE(13074),
    [sym__keyword_and] = STATE(1642),
    [sym__keyword_or] = STATE(1644),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16074),
    [sym_quantitve_like_operator] = STATE(16078),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token2] = ACTIONS(917),
    [aux_sym__nulls_preference_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2762),
    [anon_sym_DASH] = ACTIONS(2764),
    [anon_sym_STAR] = ACTIONS(2766),
    [anon_sym_SLASH] = ACTIONS(2768),
    [anon_sym_PIPE_PIPE] = ACTIONS(2766),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(2770),
    [anon_sym_GT_GT] = ACTIONS(2770),
    [anon_sym_AMP] = ACTIONS(2772),
    [anon_sym_CARET] = ACTIONS(2774),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2350] = {
    [sym__keyword_between] = STATE(1278),
    [sym__keyword_is] = STATE(12039),
    [sym__keyword_in] = STATE(1632),
    [sym__keyword_not] = STATE(13074),
    [sym__keyword_and] = STATE(1642),
    [sym__keyword_or] = STATE(1644),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16074),
    [sym_quantitve_like_operator] = STATE(16078),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token2] = ACTIONS(917),
    [aux_sym__nulls_preference_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2762),
    [anon_sym_DASH] = ACTIONS(2764),
    [anon_sym_STAR] = ACTIONS(2766),
    [anon_sym_SLASH] = ACTIONS(2768),
    [anon_sym_PIPE_PIPE] = ACTIONS(2766),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(2770),
    [anon_sym_GT_GT] = ACTIONS(2770),
    [anon_sym_AMP] = ACTIONS(2772),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2351] = {
    [sym__keyword_between] = STATE(1278),
    [sym__keyword_is] = STATE(12039),
    [sym__keyword_in] = STATE(1632),
    [sym__keyword_not] = STATE(13074),
    [sym__keyword_and] = STATE(1642),
    [sym__keyword_or] = STATE(1644),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16074),
    [sym_quantitve_like_operator] = STATE(16078),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token2] = ACTIONS(917),
    [aux_sym__nulls_preference_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2762),
    [anon_sym_DASH] = ACTIONS(2764),
    [anon_sym_STAR] = ACTIONS(2766),
    [anon_sym_SLASH] = ACTIONS(2768),
    [anon_sym_PIPE_PIPE] = ACTIONS(2766),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(2770),
    [anon_sym_GT_GT] = ACTIONS(2770),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2352] = {
    [sym__keyword_between] = STATE(1278),
    [sym__keyword_is] = STATE(12039),
    [sym__keyword_in] = STATE(1632),
    [sym__keyword_not] = STATE(13074),
    [sym__keyword_and] = STATE(1642),
    [sym__keyword_or] = STATE(1644),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16074),
    [sym_quantitve_like_operator] = STATE(16078),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token2] = ACTIONS(917),
    [aux_sym__nulls_preference_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2762),
    [anon_sym_DASH] = ACTIONS(2764),
    [anon_sym_STAR] = ACTIONS(2766),
    [anon_sym_SLASH] = ACTIONS(2768),
    [anon_sym_PIPE_PIPE] = ACTIONS(2766),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2353] = {
    [sym__keyword_between] = STATE(1278),
    [sym__keyword_is] = STATE(12039),
    [sym__keyword_in] = STATE(1632),
    [sym__keyword_not] = STATE(13074),
    [sym__keyword_and] = STATE(1642),
    [sym__keyword_or] = STATE(1644),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16074),
    [sym_quantitve_like_operator] = STATE(16078),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token2] = ACTIONS(917),
    [aux_sym__nulls_preference_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(2766),
    [anon_sym_SLASH] = ACTIONS(2768),
    [anon_sym_PIPE_PIPE] = ACTIONS(2766),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2354] = {
    [sym_analytics_clause] = STATE(2570),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_window_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_having_clause_token1] = ACTIONS(1378),
    [aux_sym_qualify_clause_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym_group_by_clause_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token2] = ACTIONS(1378),
    [aux_sym__nulls_preference_token1] = ACTIONS(1378),
    [aux_sym_order_by_clause_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [2355] = {
    [ts_builtin_sym_end] = ACTIONS(1530),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1530),
    [aux_sym__keyword_alter_token1] = ACTIONS(1530),
    [aux_sym__keyword_from_token1] = ACTIONS(1530),
    [aux_sym__keyword_delete_token1] = ACTIONS(1530),
    [aux_sym__keyword_begin_token1] = ACTIONS(1530),
    [aux_sym__keyword_end_token1] = ACTIONS(1530),
    [aux_sym__keyword_range_token1] = ACTIONS(1530),
    [aux_sym__keyword_when_token1] = ACTIONS(1530),
    [aux_sym__keyword_else_token1] = ACTIONS(1532),
    [aux_sym__keyword_like_token1] = ACTIONS(1530),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1530),
    [aux_sym__keyword_as_token1] = ACTIONS(1532),
    [aux_sym__keyword_window_token1] = ACTIONS(1530),
    [aux_sym__keyword_partition_by_token1] = ACTIONS(1530),
    [aux_sym__keyword_for_token1] = ACTIONS(1530),
    [anon_sym_SEMI] = ACTIONS(1530),
    [aux_sym_declare_statement_token1] = ACTIONS(1530),
    [anon_sym_COMMA] = ACTIONS(1530),
    [aux_sym_default_clause_token1] = ACTIONS(1530),
    [aux_sym_set_statement_token1] = ACTIONS(1530),
    [aux_sym_set_statement_token2] = ACTIONS(1530),
    [anon_sym_LPAREN] = ACTIONS(1530),
    [anon_sym_RPAREN] = ACTIONS(1530),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1530),
    [aux_sym_using_clause_token1] = ACTIONS(1530),
    [aux_sym_return_satement_token1] = ACTIONS(1530),
    [aux_sym_call_statement_token1] = ACTIONS(1530),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1530),
    [aux_sym_if_statement_token1] = ACTIONS(1530),
    [aux_sym_loop_statement_token1] = ACTIONS(1530),
    [aux_sym_repeat_statement_token1] = ACTIONS(1530),
    [aux_sym_while_statement_token1] = ACTIONS(1530),
    [aux_sym_break_statement_token1] = ACTIONS(1530),
    [aux_sym_leave_statement_token1] = ACTIONS(1530),
    [aux_sym_continue_statement_token1] = ACTIONS(1530),
    [aux_sym_iterate_statement_token1] = ACTIONS(1530),
    [aux_sym_raise_statement_token1] = ACTIONS(1530),
    [aux_sym_assert_statement_token1] = ACTIONS(1530),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1530),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1530),
    [aux_sym_drop_schema_option_token1] = ACTIONS(1530),
    [aux_sym_drop_schema_option_token2] = ACTIONS(1530),
    [aux_sym_clone_clause_token1] = ACTIONS(1530),
    [aux_sym_copy_clause_token1] = ACTIONS(1530),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1530),
    [aux_sym_option_clause_token1] = ACTIONS(1530),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1530),
    [aux_sym_transoform_clause_token1] = ACTIONS(1530),
    [aux_sym_set_operation_token1] = ACTIONS(1530),
    [aux_sym_set_operation_token3] = ACTIONS(1530),
    [aux_sym_set_operation_token4] = ACTIONS(1532),
    [aux_sym_select_token1] = ACTIONS(1530),
    [aux_sym_having_clause_token1] = ACTIONS(1530),
    [aux_sym_qualify_clause_token1] = ACTIONS(1530),
    [aux_sym_limit_clause_token1] = ACTIONS(1530),
    [aux_sym_group_by_clause_token1] = ACTIONS(1530),
    [aux_sym_rows_range_token1] = ACTIONS(1530),
    [aux_sym__nulls_preference_token1] = ACTIONS(1530),
    [aux_sym_order_by_clause_token1] = ACTIONS(1530),
    [aux_sym_where_clause_token1] = ACTIONS(1530),
    [aux_sym_pivot_operator_token1] = ACTIONS(1530),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1530),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1530),
    [aux_sym_join_type_token1] = ACTIONS(1530),
    [aux_sym_join_type_token2] = ACTIONS(1530),
    [aux_sym_join_type_token3] = ACTIONS(1530),
    [aux_sym_join_type_token4] = ACTIONS(1530),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1530),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1530),
    [aux_sym_join_condition_token1] = ACTIONS(1530),
    [aux_sym_function_call_token1] = ACTIONS(1530),
    [aux_sym_insert_statement_token1] = ACTIONS(1530),
    [aux_sym_truncate_statement_token1] = ACTIONS(1530),
    [aux_sym_update_statement_token1] = ACTIONS(1530),
    [aux_sym_merge_statement_token1] = ACTIONS(1530),
    [aux_sym_grant_statement_token1] = ACTIONS(1530),
    [aux_sym_revoke_statement_token1] = ACTIONS(1530),
    [aux_sym_export_data_statement_token1] = ACTIONS(1530),
    [aux_sym_load_data_statement_token1] = ACTIONS(1530),
    [anon_sym_DOT] = ACTIONS(1514),
    [sym_comment] = ACTIONS(3),
  },
  [2356] = {
    [sym_analytics_clause] = STATE(2680),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2357] = {
    [sym_analytics_clause] = STATE(2682),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2358] = {
    [sym__keyword_between] = STATE(1827),
    [sym__keyword_is] = STATE(12033),
    [sym__keyword_in] = STATE(1775),
    [sym__keyword_not] = STATE(13068),
    [sym__keyword_and] = STATE(1837),
    [sym__keyword_or] = STATE(1873),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16337),
    [sym_quantitve_like_operator] = STATE(16336),
    [sym__unquoted_identifier] = ACTIONS(949),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(949),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(949),
    [aux_sym_keyword_replace_token1] = ACTIONS(949),
    [aux_sym__keyword_alter_token1] = ACTIONS(949),
    [aux_sym__keyword_delete_token1] = ACTIONS(949),
    [aux_sym__keyword_begin_token1] = ACTIONS(949),
    [aux_sym__keyword_end_token1] = ACTIONS(949),
    [aux_sym__keyword_between_token1] = ACTIONS(949),
    [aux_sym__keyword_else_token1] = ACTIONS(949),
    [aux_sym__keyword_is_token1] = ACTIONS(949),
    [aux_sym__keyword_in_token1] = ACTIONS(949),
    [aux_sym__keyword_and_token1] = ACTIONS(949),
    [aux_sym__keyword_like_token1] = ACTIONS(949),
    [aux_sym__keyword_repeat_token1] = ACTIONS(949),
    [aux_sym__keyword_as_token1] = ACTIONS(949),
    [aux_sym__keyword_date_token1] = ACTIONS(949),
    [aux_sym__keyword_datetime_token1] = ACTIONS(949),
    [aux_sym__keyword_time_token1] = ACTIONS(949),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(949),
    [aux_sym__keyword_for_token1] = ACTIONS(949),
    [anon_sym_SEMI] = ACTIONS(947),
    [aux_sym_declare_statement_token1] = ACTIONS(949),
    [anon_sym_COMMA] = ACTIONS(947),
    [aux_sym_set_statement_token1] = ACTIONS(949),
    [anon_sym_LPAREN] = ACTIONS(947),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(949),
    [aux_sym_return_satement_token1] = ACTIONS(949),
    [aux_sym_call_statement_token1] = ACTIONS(949),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(949),
    [aux_sym_if_statement_token1] = ACTIONS(949),
    [aux_sym_loop_statement_token1] = ACTIONS(949),
    [aux_sym_repeat_statement_token1] = ACTIONS(949),
    [aux_sym_while_statement_token1] = ACTIONS(949),
    [aux_sym_break_statement_token1] = ACTIONS(949),
    [aux_sym_leave_statement_token1] = ACTIONS(949),
    [aux_sym_continue_statement_token1] = ACTIONS(949),
    [aux_sym_iterate_statement_token1] = ACTIONS(949),
    [aux_sym_raise_statement_token1] = ACTIONS(949),
    [anon_sym_EQ] = ACTIONS(947),
    [aux_sym_assert_statement_token1] = ACTIONS(949),
    [aux_sym_create_schema_statement_token1] = ACTIONS(949),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(949),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(949),
    [anon_sym_GT] = ACTIONS(949),
    [aux_sym_select_token1] = ACTIONS(949),
    [aux_sym_insert_statement_token1] = ACTIONS(949),
    [aux_sym_truncate_statement_token1] = ACTIONS(949),
    [aux_sym_update_statement_token1] = ACTIONS(949),
    [aux_sym_merge_statement_token1] = ACTIONS(949),
    [aux_sym_grant_statement_token1] = ACTIONS(949),
    [aux_sym_revoke_statement_token1] = ACTIONS(949),
    [aux_sym_export_data_statement_token1] = ACTIONS(949),
    [aux_sym_load_data_statement_token1] = ACTIONS(949),
    [anon_sym_LBRACK] = ACTIONS(947),
    [sym__quoted_identifier] = ACTIONS(947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1338),
    [anon_sym_STAR] = ACTIONS(1340),
    [anon_sym_SLASH] = ACTIONS(1342),
    [anon_sym_PIPE_PIPE] = ACTIONS(1340),
    [anon_sym_LT_EQ] = ACTIONS(947),
    [anon_sym_LT_GT] = ACTIONS(947),
    [anon_sym_GT_EQ] = ACTIONS(947),
    [anon_sym_BANG_EQ] = ACTIONS(947),
    [anon_sym_LT_LT] = ACTIONS(1344),
    [anon_sym_GT_GT] = ACTIONS(1344),
    [anon_sym_AMP] = ACTIONS(1346),
    [anon_sym_CARET] = ACTIONS(1348),
    [anon_sym_PIPE] = ACTIONS(1350),
  },
  [2359] = {
    [sym_analytics_clause] = STATE(2684),
    [ts_builtin_sym_end] = ACTIONS(1394),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1394),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1394),
    [aux_sym_keyword_replace_token1] = ACTIONS(1396),
    [aux_sym__keyword_alter_token1] = ACTIONS(1394),
    [aux_sym__keyword_delete_token1] = ACTIONS(1394),
    [aux_sym__keyword_begin_token1] = ACTIONS(1394),
    [aux_sym__keyword_end_token1] = ACTIONS(1394),
    [aux_sym__keyword_between_token1] = ACTIONS(1394),
    [aux_sym__keyword_when_token1] = ACTIONS(1394),
    [aux_sym__keyword_else_token1] = ACTIONS(1396),
    [aux_sym__keyword_is_token1] = ACTIONS(1394),
    [aux_sym__keyword_in_token1] = ACTIONS(1396),
    [aux_sym__keyword_and_token1] = ACTIONS(1394),
    [aux_sym__keyword_like_token1] = ACTIONS(1394),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1394),
    [aux_sym__keyword_window_token1] = ACTIONS(1394),
    [aux_sym__keyword_for_token1] = ACTIONS(1394),
    [anon_sym_SEMI] = ACTIONS(1394),
    [aux_sym_declare_statement_token1] = ACTIONS(1394),
    [anon_sym_COMMA] = ACTIONS(1394),
    [aux_sym_set_statement_token1] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(1394),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1394),
    [aux_sym_return_satement_token1] = ACTIONS(1394),
    [aux_sym_call_statement_token1] = ACTIONS(1394),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1394),
    [aux_sym_if_statement_token1] = ACTIONS(1394),
    [aux_sym_loop_statement_token1] = ACTIONS(1394),
    [aux_sym_repeat_statement_token1] = ACTIONS(1394),
    [aux_sym_while_statement_token1] = ACTIONS(1394),
    [aux_sym_break_statement_token1] = ACTIONS(1394),
    [aux_sym_leave_statement_token1] = ACTIONS(1394),
    [aux_sym_continue_statement_token1] = ACTIONS(1394),
    [aux_sym_iterate_statement_token1] = ACTIONS(1394),
    [aux_sym_raise_statement_token1] = ACTIONS(1394),
    [anon_sym_EQ] = ACTIONS(1394),
    [aux_sym_assert_statement_token1] = ACTIONS(1394),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1394),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1394),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1394),
    [anon_sym_LT] = ACTIONS(1396),
    [anon_sym_GT] = ACTIONS(1396),
    [aux_sym_set_operation_token1] = ACTIONS(1394),
    [aux_sym_set_operation_token3] = ACTIONS(1394),
    [aux_sym_set_operation_token4] = ACTIONS(1396),
    [aux_sym_select_token1] = ACTIONS(1394),
    [aux_sym_having_clause_token1] = ACTIONS(1394),
    [aux_sym_qualify_clause_token1] = ACTIONS(1394),
    [aux_sym_limit_clause_token1] = ACTIONS(1394),
    [aux_sym_group_by_clause_token1] = ACTIONS(1394),
    [aux_sym__direction_keywords_token1] = ACTIONS(1394),
    [aux_sym__direction_keywords_token2] = ACTIONS(1394),
    [aux_sym__nulls_preference_token1] = ACTIONS(1394),
    [aux_sym_order_by_clause_token1] = ACTIONS(1394),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1394),
    [aux_sym_truncate_statement_token1] = ACTIONS(1394),
    [aux_sym_update_statement_token1] = ACTIONS(1394),
    [aux_sym_merge_statement_token1] = ACTIONS(1394),
    [aux_sym_grant_statement_token1] = ACTIONS(1394),
    [aux_sym_revoke_statement_token1] = ACTIONS(1394),
    [aux_sym_export_data_statement_token1] = ACTIONS(1394),
    [aux_sym_load_data_statement_token1] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(1394),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_STAR] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(1396),
    [anon_sym_PIPE_PIPE] = ACTIONS(1394),
    [anon_sym_LT_EQ] = ACTIONS(1394),
    [anon_sym_LT_GT] = ACTIONS(1394),
    [anon_sym_GT_EQ] = ACTIONS(1394),
    [anon_sym_BANG_EQ] = ACTIONS(1394),
    [anon_sym_LT_LT] = ACTIONS(1394),
    [anon_sym_GT_GT] = ACTIONS(1394),
    [anon_sym_AMP] = ACTIONS(1394),
    [anon_sym_CARET] = ACTIONS(1394),
    [anon_sym_PIPE] = ACTIONS(1396),
  },
  [2360] = {
    [sym__keyword_between] = STATE(1827),
    [sym__keyword_is] = STATE(12033),
    [sym__keyword_in] = STATE(1775),
    [sym__keyword_not] = STATE(13068),
    [sym__keyword_and] = STATE(1837),
    [sym__keyword_or] = STATE(1873),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16337),
    [sym_quantitve_like_operator] = STATE(16336),
    [sym__unquoted_identifier] = ACTIONS(1025),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1025),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1025),
    [aux_sym_keyword_replace_token1] = ACTIONS(1025),
    [aux_sym__keyword_alter_token1] = ACTIONS(1025),
    [aux_sym__keyword_delete_token1] = ACTIONS(1025),
    [aux_sym__keyword_begin_token1] = ACTIONS(1025),
    [aux_sym__keyword_end_token1] = ACTIONS(1025),
    [aux_sym__keyword_between_token1] = ACTIONS(1025),
    [aux_sym__keyword_else_token1] = ACTIONS(1025),
    [aux_sym__keyword_is_token1] = ACTIONS(1025),
    [aux_sym__keyword_in_token1] = ACTIONS(1025),
    [aux_sym__keyword_and_token1] = ACTIONS(1025),
    [aux_sym__keyword_like_token1] = ACTIONS(1025),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1025),
    [aux_sym__keyword_as_token1] = ACTIONS(1025),
    [aux_sym__keyword_date_token1] = ACTIONS(1025),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1025),
    [aux_sym__keyword_time_token1] = ACTIONS(1025),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1025),
    [aux_sym__keyword_for_token1] = ACTIONS(1025),
    [anon_sym_SEMI] = ACTIONS(1023),
    [aux_sym_declare_statement_token1] = ACTIONS(1025),
    [anon_sym_COMMA] = ACTIONS(1023),
    [aux_sym_set_statement_token1] = ACTIONS(1025),
    [anon_sym_LPAREN] = ACTIONS(1023),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1025),
    [aux_sym_return_satement_token1] = ACTIONS(1025),
    [aux_sym_call_statement_token1] = ACTIONS(1025),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1025),
    [aux_sym_if_statement_token1] = ACTIONS(1025),
    [aux_sym_loop_statement_token1] = ACTIONS(1025),
    [aux_sym_repeat_statement_token1] = ACTIONS(1025),
    [aux_sym_while_statement_token1] = ACTIONS(1025),
    [aux_sym_break_statement_token1] = ACTIONS(1025),
    [aux_sym_leave_statement_token1] = ACTIONS(1025),
    [aux_sym_continue_statement_token1] = ACTIONS(1025),
    [aux_sym_iterate_statement_token1] = ACTIONS(1025),
    [aux_sym_raise_statement_token1] = ACTIONS(1025),
    [anon_sym_EQ] = ACTIONS(1023),
    [aux_sym_assert_statement_token1] = ACTIONS(1025),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1025),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1025),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1025),
    [anon_sym_LT] = ACTIONS(1025),
    [anon_sym_GT] = ACTIONS(1025),
    [aux_sym_select_token1] = ACTIONS(1025),
    [aux_sym_insert_statement_token1] = ACTIONS(1025),
    [aux_sym_truncate_statement_token1] = ACTIONS(1025),
    [aux_sym_update_statement_token1] = ACTIONS(1025),
    [aux_sym_merge_statement_token1] = ACTIONS(1025),
    [aux_sym_grant_statement_token1] = ACTIONS(1025),
    [aux_sym_revoke_statement_token1] = ACTIONS(1025),
    [aux_sym_export_data_statement_token1] = ACTIONS(1025),
    [aux_sym_load_data_statement_token1] = ACTIONS(1025),
    [anon_sym_LBRACK] = ACTIONS(1023),
    [sym__quoted_identifier] = ACTIONS(1023),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1023),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1338),
    [anon_sym_STAR] = ACTIONS(1340),
    [anon_sym_SLASH] = ACTIONS(1342),
    [anon_sym_PIPE_PIPE] = ACTIONS(1340),
    [anon_sym_LT_EQ] = ACTIONS(1023),
    [anon_sym_LT_GT] = ACTIONS(1023),
    [anon_sym_GT_EQ] = ACTIONS(1023),
    [anon_sym_BANG_EQ] = ACTIONS(1023),
    [anon_sym_LT_LT] = ACTIONS(1344),
    [anon_sym_GT_GT] = ACTIONS(1344),
    [anon_sym_AMP] = ACTIONS(1346),
    [anon_sym_CARET] = ACTIONS(1348),
    [anon_sym_PIPE] = ACTIONS(1350),
  },
  [2361] = {
    [sym_analytics_clause] = STATE(2687),
    [ts_builtin_sym_end] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1398),
    [aux_sym_keyword_replace_token1] = ACTIONS(1400),
    [aux_sym__keyword_alter_token1] = ACTIONS(1398),
    [aux_sym__keyword_delete_token1] = ACTIONS(1398),
    [aux_sym__keyword_begin_token1] = ACTIONS(1398),
    [aux_sym__keyword_end_token1] = ACTIONS(1398),
    [aux_sym__keyword_between_token1] = ACTIONS(1398),
    [aux_sym__keyword_when_token1] = ACTIONS(1398),
    [aux_sym__keyword_else_token1] = ACTIONS(1400),
    [aux_sym__keyword_is_token1] = ACTIONS(1398),
    [aux_sym__keyword_in_token1] = ACTIONS(1400),
    [aux_sym__keyword_and_token1] = ACTIONS(1398),
    [aux_sym__keyword_like_token1] = ACTIONS(1398),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1398),
    [aux_sym__keyword_window_token1] = ACTIONS(1398),
    [aux_sym__keyword_for_token1] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1398),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1398),
    [aux_sym_return_satement_token1] = ACTIONS(1398),
    [aux_sym_call_statement_token1] = ACTIONS(1398),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1398),
    [aux_sym_if_statement_token1] = ACTIONS(1398),
    [aux_sym_loop_statement_token1] = ACTIONS(1398),
    [aux_sym_repeat_statement_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token1] = ACTIONS(1398),
    [aux_sym_break_statement_token1] = ACTIONS(1398),
    [aux_sym_leave_statement_token1] = ACTIONS(1398),
    [aux_sym_continue_statement_token1] = ACTIONS(1398),
    [aux_sym_iterate_statement_token1] = ACTIONS(1398),
    [aux_sym_raise_statement_token1] = ACTIONS(1398),
    [anon_sym_EQ] = ACTIONS(1398),
    [aux_sym_assert_statement_token1] = ACTIONS(1398),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1398),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [aux_sym_set_operation_token1] = ACTIONS(1398),
    [aux_sym_set_operation_token3] = ACTIONS(1398),
    [aux_sym_set_operation_token4] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1398),
    [aux_sym_having_clause_token1] = ACTIONS(1398),
    [aux_sym_qualify_clause_token1] = ACTIONS(1398),
    [aux_sym_limit_clause_token1] = ACTIONS(1398),
    [aux_sym_group_by_clause_token1] = ACTIONS(1398),
    [aux_sym__direction_keywords_token1] = ACTIONS(1398),
    [aux_sym__direction_keywords_token2] = ACTIONS(1398),
    [aux_sym__nulls_preference_token1] = ACTIONS(1398),
    [aux_sym_order_by_clause_token1] = ACTIONS(1398),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1398),
    [aux_sym_truncate_statement_token1] = ACTIONS(1398),
    [aux_sym_update_statement_token1] = ACTIONS(1398),
    [aux_sym_merge_statement_token1] = ACTIONS(1398),
    [aux_sym_grant_statement_token1] = ACTIONS(1398),
    [aux_sym_revoke_statement_token1] = ACTIONS(1398),
    [aux_sym_export_data_statement_token1] = ACTIONS(1398),
    [aux_sym_load_data_statement_token1] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_LT_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
  },
  [2362] = {
    [sym_analytics_clause] = STATE(2693),
    [ts_builtin_sym_end] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1398),
    [aux_sym_keyword_replace_token1] = ACTIONS(1400),
    [aux_sym__keyword_alter_token1] = ACTIONS(1398),
    [aux_sym__keyword_delete_token1] = ACTIONS(1398),
    [aux_sym__keyword_begin_token1] = ACTIONS(1398),
    [aux_sym__keyword_end_token1] = ACTIONS(1398),
    [aux_sym__keyword_between_token1] = ACTIONS(1398),
    [aux_sym__keyword_when_token1] = ACTIONS(1398),
    [aux_sym__keyword_else_token1] = ACTIONS(1400),
    [aux_sym__keyword_is_token1] = ACTIONS(1398),
    [aux_sym__keyword_in_token1] = ACTIONS(1400),
    [aux_sym__keyword_and_token1] = ACTIONS(1398),
    [aux_sym__keyword_like_token1] = ACTIONS(1398),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1398),
    [aux_sym__keyword_window_token1] = ACTIONS(1398),
    [aux_sym__keyword_for_token1] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1398),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1398),
    [aux_sym_return_satement_token1] = ACTIONS(1398),
    [aux_sym_call_statement_token1] = ACTIONS(1398),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1398),
    [aux_sym_if_statement_token1] = ACTIONS(1398),
    [aux_sym_loop_statement_token1] = ACTIONS(1398),
    [aux_sym_repeat_statement_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token1] = ACTIONS(1398),
    [aux_sym_break_statement_token1] = ACTIONS(1398),
    [aux_sym_leave_statement_token1] = ACTIONS(1398),
    [aux_sym_continue_statement_token1] = ACTIONS(1398),
    [aux_sym_iterate_statement_token1] = ACTIONS(1398),
    [aux_sym_raise_statement_token1] = ACTIONS(1398),
    [anon_sym_EQ] = ACTIONS(1398),
    [aux_sym_assert_statement_token1] = ACTIONS(1398),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1398),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [aux_sym_set_operation_token1] = ACTIONS(1398),
    [aux_sym_set_operation_token3] = ACTIONS(1398),
    [aux_sym_set_operation_token4] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1398),
    [aux_sym_having_clause_token1] = ACTIONS(1398),
    [aux_sym_qualify_clause_token1] = ACTIONS(1398),
    [aux_sym_limit_clause_token1] = ACTIONS(1398),
    [aux_sym_group_by_clause_token1] = ACTIONS(1398),
    [aux_sym__direction_keywords_token1] = ACTIONS(1398),
    [aux_sym__direction_keywords_token2] = ACTIONS(1398),
    [aux_sym__nulls_preference_token1] = ACTIONS(1398),
    [aux_sym_order_by_clause_token1] = ACTIONS(1398),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1398),
    [aux_sym_truncate_statement_token1] = ACTIONS(1398),
    [aux_sym_update_statement_token1] = ACTIONS(1398),
    [aux_sym_merge_statement_token1] = ACTIONS(1398),
    [aux_sym_grant_statement_token1] = ACTIONS(1398),
    [aux_sym_revoke_statement_token1] = ACTIONS(1398),
    [aux_sym_export_data_statement_token1] = ACTIONS(1398),
    [aux_sym_load_data_statement_token1] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_LT_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
  },
  [2363] = {
    [sym_analytics_clause] = STATE(2695),
    [ts_builtin_sym_end] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1398),
    [aux_sym_keyword_replace_token1] = ACTIONS(1400),
    [aux_sym__keyword_alter_token1] = ACTIONS(1398),
    [aux_sym__keyword_delete_token1] = ACTIONS(1398),
    [aux_sym__keyword_begin_token1] = ACTIONS(1398),
    [aux_sym__keyword_end_token1] = ACTIONS(1398),
    [aux_sym__keyword_between_token1] = ACTIONS(1398),
    [aux_sym__keyword_when_token1] = ACTIONS(1398),
    [aux_sym__keyword_else_token1] = ACTIONS(1400),
    [aux_sym__keyword_is_token1] = ACTIONS(1398),
    [aux_sym__keyword_in_token1] = ACTIONS(1400),
    [aux_sym__keyword_and_token1] = ACTIONS(1398),
    [aux_sym__keyword_like_token1] = ACTIONS(1398),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1398),
    [aux_sym__keyword_window_token1] = ACTIONS(1398),
    [aux_sym__keyword_for_token1] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1398),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1398),
    [aux_sym_return_satement_token1] = ACTIONS(1398),
    [aux_sym_call_statement_token1] = ACTIONS(1398),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1398),
    [aux_sym_if_statement_token1] = ACTIONS(1398),
    [aux_sym_loop_statement_token1] = ACTIONS(1398),
    [aux_sym_repeat_statement_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token1] = ACTIONS(1398),
    [aux_sym_break_statement_token1] = ACTIONS(1398),
    [aux_sym_leave_statement_token1] = ACTIONS(1398),
    [aux_sym_continue_statement_token1] = ACTIONS(1398),
    [aux_sym_iterate_statement_token1] = ACTIONS(1398),
    [aux_sym_raise_statement_token1] = ACTIONS(1398),
    [anon_sym_EQ] = ACTIONS(1398),
    [aux_sym_assert_statement_token1] = ACTIONS(1398),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1398),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [aux_sym_set_operation_token1] = ACTIONS(1398),
    [aux_sym_set_operation_token3] = ACTIONS(1398),
    [aux_sym_set_operation_token4] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1398),
    [aux_sym_having_clause_token1] = ACTIONS(1398),
    [aux_sym_qualify_clause_token1] = ACTIONS(1398),
    [aux_sym_limit_clause_token1] = ACTIONS(1398),
    [aux_sym_group_by_clause_token1] = ACTIONS(1398),
    [aux_sym__direction_keywords_token1] = ACTIONS(1398),
    [aux_sym__direction_keywords_token2] = ACTIONS(1398),
    [aux_sym__nulls_preference_token1] = ACTIONS(1398),
    [aux_sym_order_by_clause_token1] = ACTIONS(1398),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1398),
    [aux_sym_truncate_statement_token1] = ACTIONS(1398),
    [aux_sym_update_statement_token1] = ACTIONS(1398),
    [aux_sym_merge_statement_token1] = ACTIONS(1398),
    [aux_sym_grant_statement_token1] = ACTIONS(1398),
    [aux_sym_revoke_statement_token1] = ACTIONS(1398),
    [aux_sym_export_data_statement_token1] = ACTIONS(1398),
    [aux_sym_load_data_statement_token1] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_LT_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
  },
  [2364] = {
    [sym_analytics_clause] = STATE(2696),
    [ts_builtin_sym_end] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1398),
    [aux_sym_keyword_replace_token1] = ACTIONS(1400),
    [aux_sym__keyword_alter_token1] = ACTIONS(1398),
    [aux_sym__keyword_delete_token1] = ACTIONS(1398),
    [aux_sym__keyword_begin_token1] = ACTIONS(1398),
    [aux_sym__keyword_end_token1] = ACTIONS(1398),
    [aux_sym__keyword_between_token1] = ACTIONS(1398),
    [aux_sym__keyword_when_token1] = ACTIONS(1398),
    [aux_sym__keyword_else_token1] = ACTIONS(1400),
    [aux_sym__keyword_is_token1] = ACTIONS(1398),
    [aux_sym__keyword_in_token1] = ACTIONS(1400),
    [aux_sym__keyword_and_token1] = ACTIONS(1398),
    [aux_sym__keyword_like_token1] = ACTIONS(1398),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1398),
    [aux_sym__keyword_window_token1] = ACTIONS(1398),
    [aux_sym__keyword_for_token1] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1398),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1398),
    [aux_sym_return_satement_token1] = ACTIONS(1398),
    [aux_sym_call_statement_token1] = ACTIONS(1398),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1398),
    [aux_sym_if_statement_token1] = ACTIONS(1398),
    [aux_sym_loop_statement_token1] = ACTIONS(1398),
    [aux_sym_repeat_statement_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token1] = ACTIONS(1398),
    [aux_sym_break_statement_token1] = ACTIONS(1398),
    [aux_sym_leave_statement_token1] = ACTIONS(1398),
    [aux_sym_continue_statement_token1] = ACTIONS(1398),
    [aux_sym_iterate_statement_token1] = ACTIONS(1398),
    [aux_sym_raise_statement_token1] = ACTIONS(1398),
    [anon_sym_EQ] = ACTIONS(1398),
    [aux_sym_assert_statement_token1] = ACTIONS(1398),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1398),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [aux_sym_set_operation_token1] = ACTIONS(1398),
    [aux_sym_set_operation_token3] = ACTIONS(1398),
    [aux_sym_set_operation_token4] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1398),
    [aux_sym_having_clause_token1] = ACTIONS(1398),
    [aux_sym_qualify_clause_token1] = ACTIONS(1398),
    [aux_sym_limit_clause_token1] = ACTIONS(1398),
    [aux_sym_group_by_clause_token1] = ACTIONS(1398),
    [aux_sym__direction_keywords_token1] = ACTIONS(1398),
    [aux_sym__direction_keywords_token2] = ACTIONS(1398),
    [aux_sym__nulls_preference_token1] = ACTIONS(1398),
    [aux_sym_order_by_clause_token1] = ACTIONS(1398),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1398),
    [aux_sym_truncate_statement_token1] = ACTIONS(1398),
    [aux_sym_update_statement_token1] = ACTIONS(1398),
    [aux_sym_merge_statement_token1] = ACTIONS(1398),
    [aux_sym_grant_statement_token1] = ACTIONS(1398),
    [aux_sym_revoke_statement_token1] = ACTIONS(1398),
    [aux_sym_export_data_statement_token1] = ACTIONS(1398),
    [aux_sym_load_data_statement_token1] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_LT_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
  },
  [2365] = {
    [sym_analytics_clause] = STATE(2702),
    [ts_builtin_sym_end] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1398),
    [aux_sym_keyword_replace_token1] = ACTIONS(1400),
    [aux_sym__keyword_alter_token1] = ACTIONS(1398),
    [aux_sym__keyword_delete_token1] = ACTIONS(1398),
    [aux_sym__keyword_begin_token1] = ACTIONS(1398),
    [aux_sym__keyword_end_token1] = ACTIONS(1398),
    [aux_sym__keyword_between_token1] = ACTIONS(1398),
    [aux_sym__keyword_when_token1] = ACTIONS(1398),
    [aux_sym__keyword_else_token1] = ACTIONS(1400),
    [aux_sym__keyword_is_token1] = ACTIONS(1398),
    [aux_sym__keyword_in_token1] = ACTIONS(1400),
    [aux_sym__keyword_and_token1] = ACTIONS(1398),
    [aux_sym__keyword_like_token1] = ACTIONS(1398),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1398),
    [aux_sym__keyword_window_token1] = ACTIONS(1398),
    [aux_sym__keyword_for_token1] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1398),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1398),
    [aux_sym_return_satement_token1] = ACTIONS(1398),
    [aux_sym_call_statement_token1] = ACTIONS(1398),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1398),
    [aux_sym_if_statement_token1] = ACTIONS(1398),
    [aux_sym_loop_statement_token1] = ACTIONS(1398),
    [aux_sym_repeat_statement_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token1] = ACTIONS(1398),
    [aux_sym_break_statement_token1] = ACTIONS(1398),
    [aux_sym_leave_statement_token1] = ACTIONS(1398),
    [aux_sym_continue_statement_token1] = ACTIONS(1398),
    [aux_sym_iterate_statement_token1] = ACTIONS(1398),
    [aux_sym_raise_statement_token1] = ACTIONS(1398),
    [anon_sym_EQ] = ACTIONS(1398),
    [aux_sym_assert_statement_token1] = ACTIONS(1398),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1398),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [aux_sym_set_operation_token1] = ACTIONS(1398),
    [aux_sym_set_operation_token3] = ACTIONS(1398),
    [aux_sym_set_operation_token4] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1398),
    [aux_sym_having_clause_token1] = ACTIONS(1398),
    [aux_sym_qualify_clause_token1] = ACTIONS(1398),
    [aux_sym_limit_clause_token1] = ACTIONS(1398),
    [aux_sym_group_by_clause_token1] = ACTIONS(1398),
    [aux_sym__direction_keywords_token1] = ACTIONS(1398),
    [aux_sym__direction_keywords_token2] = ACTIONS(1398),
    [aux_sym__nulls_preference_token1] = ACTIONS(1398),
    [aux_sym_order_by_clause_token1] = ACTIONS(1398),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1398),
    [aux_sym_truncate_statement_token1] = ACTIONS(1398),
    [aux_sym_update_statement_token1] = ACTIONS(1398),
    [aux_sym_merge_statement_token1] = ACTIONS(1398),
    [aux_sym_grant_statement_token1] = ACTIONS(1398),
    [aux_sym_revoke_statement_token1] = ACTIONS(1398),
    [aux_sym_export_data_statement_token1] = ACTIONS(1398),
    [aux_sym_load_data_statement_token1] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_LT_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
  },
  [2366] = {
    [sym_analytics_clause] = STATE(2606),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2367] = {
    [sym_analytics_clause] = STATE(2704),
    [ts_builtin_sym_end] = ACTIONS(1406),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1406),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1406),
    [aux_sym_keyword_replace_token1] = ACTIONS(1408),
    [aux_sym__keyword_alter_token1] = ACTIONS(1406),
    [aux_sym__keyword_delete_token1] = ACTIONS(1406),
    [aux_sym__keyword_begin_token1] = ACTIONS(1406),
    [aux_sym__keyword_end_token1] = ACTIONS(1406),
    [aux_sym__keyword_between_token1] = ACTIONS(1406),
    [aux_sym__keyword_when_token1] = ACTIONS(1406),
    [aux_sym__keyword_else_token1] = ACTIONS(1408),
    [aux_sym__keyword_is_token1] = ACTIONS(1406),
    [aux_sym__keyword_in_token1] = ACTIONS(1408),
    [aux_sym__keyword_and_token1] = ACTIONS(1406),
    [aux_sym__keyword_like_token1] = ACTIONS(1406),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1406),
    [aux_sym__keyword_window_token1] = ACTIONS(1406),
    [aux_sym__keyword_for_token1] = ACTIONS(1406),
    [anon_sym_SEMI] = ACTIONS(1406),
    [aux_sym_declare_statement_token1] = ACTIONS(1406),
    [anon_sym_COMMA] = ACTIONS(1406),
    [aux_sym_set_statement_token1] = ACTIONS(1406),
    [anon_sym_LPAREN] = ACTIONS(1406),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1406),
    [aux_sym_return_satement_token1] = ACTIONS(1406),
    [aux_sym_call_statement_token1] = ACTIONS(1406),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1406),
    [aux_sym_if_statement_token1] = ACTIONS(1406),
    [aux_sym_loop_statement_token1] = ACTIONS(1406),
    [aux_sym_repeat_statement_token1] = ACTIONS(1406),
    [aux_sym_while_statement_token1] = ACTIONS(1406),
    [aux_sym_break_statement_token1] = ACTIONS(1406),
    [aux_sym_leave_statement_token1] = ACTIONS(1406),
    [aux_sym_continue_statement_token1] = ACTIONS(1406),
    [aux_sym_iterate_statement_token1] = ACTIONS(1406),
    [aux_sym_raise_statement_token1] = ACTIONS(1406),
    [anon_sym_EQ] = ACTIONS(1406),
    [aux_sym_assert_statement_token1] = ACTIONS(1406),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1406),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1406),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1406),
    [anon_sym_LT] = ACTIONS(1408),
    [anon_sym_GT] = ACTIONS(1408),
    [aux_sym_set_operation_token1] = ACTIONS(1406),
    [aux_sym_set_operation_token3] = ACTIONS(1406),
    [aux_sym_set_operation_token4] = ACTIONS(1408),
    [aux_sym_select_token1] = ACTIONS(1406),
    [aux_sym_having_clause_token1] = ACTIONS(1406),
    [aux_sym_qualify_clause_token1] = ACTIONS(1406),
    [aux_sym_limit_clause_token1] = ACTIONS(1406),
    [aux_sym_group_by_clause_token1] = ACTIONS(1406),
    [aux_sym__direction_keywords_token1] = ACTIONS(1406),
    [aux_sym__direction_keywords_token2] = ACTIONS(1406),
    [aux_sym__nulls_preference_token1] = ACTIONS(1406),
    [aux_sym_order_by_clause_token1] = ACTIONS(1406),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1406),
    [aux_sym_truncate_statement_token1] = ACTIONS(1406),
    [aux_sym_update_statement_token1] = ACTIONS(1406),
    [aux_sym_merge_statement_token1] = ACTIONS(1406),
    [aux_sym_grant_statement_token1] = ACTIONS(1406),
    [aux_sym_revoke_statement_token1] = ACTIONS(1406),
    [aux_sym_export_data_statement_token1] = ACTIONS(1406),
    [aux_sym_load_data_statement_token1] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_DASH] = ACTIONS(1408),
    [anon_sym_STAR] = ACTIONS(1406),
    [anon_sym_SLASH] = ACTIONS(1408),
    [anon_sym_PIPE_PIPE] = ACTIONS(1406),
    [anon_sym_LT_EQ] = ACTIONS(1406),
    [anon_sym_LT_GT] = ACTIONS(1406),
    [anon_sym_GT_EQ] = ACTIONS(1406),
    [anon_sym_BANG_EQ] = ACTIONS(1406),
    [anon_sym_LT_LT] = ACTIONS(1406),
    [anon_sym_GT_GT] = ACTIONS(1406),
    [anon_sym_AMP] = ACTIONS(1406),
    [anon_sym_CARET] = ACTIONS(1406),
    [anon_sym_PIPE] = ACTIONS(1408),
  },
  [2368] = {
    [sym_analytics_clause] = STATE(2706),
    [ts_builtin_sym_end] = ACTIONS(1410),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1410),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1410),
    [aux_sym_keyword_replace_token1] = ACTIONS(1412),
    [aux_sym__keyword_alter_token1] = ACTIONS(1410),
    [aux_sym__keyword_delete_token1] = ACTIONS(1410),
    [aux_sym__keyword_begin_token1] = ACTIONS(1410),
    [aux_sym__keyword_end_token1] = ACTIONS(1410),
    [aux_sym__keyword_between_token1] = ACTIONS(1410),
    [aux_sym__keyword_when_token1] = ACTIONS(1410),
    [aux_sym__keyword_else_token1] = ACTIONS(1412),
    [aux_sym__keyword_is_token1] = ACTIONS(1410),
    [aux_sym__keyword_in_token1] = ACTIONS(1412),
    [aux_sym__keyword_and_token1] = ACTIONS(1410),
    [aux_sym__keyword_like_token1] = ACTIONS(1410),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1410),
    [aux_sym__keyword_window_token1] = ACTIONS(1410),
    [aux_sym__keyword_for_token1] = ACTIONS(1410),
    [anon_sym_SEMI] = ACTIONS(1410),
    [aux_sym_declare_statement_token1] = ACTIONS(1410),
    [anon_sym_COMMA] = ACTIONS(1410),
    [aux_sym_set_statement_token1] = ACTIONS(1410),
    [anon_sym_LPAREN] = ACTIONS(1410),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1410),
    [aux_sym_return_satement_token1] = ACTIONS(1410),
    [aux_sym_call_statement_token1] = ACTIONS(1410),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1410),
    [aux_sym_if_statement_token1] = ACTIONS(1410),
    [aux_sym_loop_statement_token1] = ACTIONS(1410),
    [aux_sym_repeat_statement_token1] = ACTIONS(1410),
    [aux_sym_while_statement_token1] = ACTIONS(1410),
    [aux_sym_break_statement_token1] = ACTIONS(1410),
    [aux_sym_leave_statement_token1] = ACTIONS(1410),
    [aux_sym_continue_statement_token1] = ACTIONS(1410),
    [aux_sym_iterate_statement_token1] = ACTIONS(1410),
    [aux_sym_raise_statement_token1] = ACTIONS(1410),
    [anon_sym_EQ] = ACTIONS(1410),
    [aux_sym_assert_statement_token1] = ACTIONS(1410),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1410),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1410),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1410),
    [anon_sym_LT] = ACTIONS(1412),
    [anon_sym_GT] = ACTIONS(1412),
    [aux_sym_set_operation_token1] = ACTIONS(1410),
    [aux_sym_set_operation_token3] = ACTIONS(1410),
    [aux_sym_set_operation_token4] = ACTIONS(1412),
    [aux_sym_select_token1] = ACTIONS(1410),
    [aux_sym_having_clause_token1] = ACTIONS(1410),
    [aux_sym_qualify_clause_token1] = ACTIONS(1410),
    [aux_sym_limit_clause_token1] = ACTIONS(1410),
    [aux_sym_group_by_clause_token1] = ACTIONS(1410),
    [aux_sym__direction_keywords_token1] = ACTIONS(1410),
    [aux_sym__direction_keywords_token2] = ACTIONS(1410),
    [aux_sym__nulls_preference_token1] = ACTIONS(1410),
    [aux_sym_order_by_clause_token1] = ACTIONS(1410),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1410),
    [aux_sym_truncate_statement_token1] = ACTIONS(1410),
    [aux_sym_update_statement_token1] = ACTIONS(1410),
    [aux_sym_merge_statement_token1] = ACTIONS(1410),
    [aux_sym_grant_statement_token1] = ACTIONS(1410),
    [aux_sym_revoke_statement_token1] = ACTIONS(1410),
    [aux_sym_export_data_statement_token1] = ACTIONS(1410),
    [aux_sym_load_data_statement_token1] = ACTIONS(1410),
    [anon_sym_LBRACK] = ACTIONS(1410),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_STAR] = ACTIONS(1410),
    [anon_sym_SLASH] = ACTIONS(1412),
    [anon_sym_PIPE_PIPE] = ACTIONS(1410),
    [anon_sym_LT_EQ] = ACTIONS(1410),
    [anon_sym_LT_GT] = ACTIONS(1410),
    [anon_sym_GT_EQ] = ACTIONS(1410),
    [anon_sym_BANG_EQ] = ACTIONS(1410),
    [anon_sym_LT_LT] = ACTIONS(1410),
    [anon_sym_GT_GT] = ACTIONS(1410),
    [anon_sym_AMP] = ACTIONS(1410),
    [anon_sym_CARET] = ACTIONS(1410),
    [anon_sym_PIPE] = ACTIONS(1412),
  },
  [2369] = {
    [sym_analytics_clause] = STATE(2708),
    [ts_builtin_sym_end] = ACTIONS(1414),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1414),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1414),
    [aux_sym_keyword_replace_token1] = ACTIONS(1416),
    [aux_sym__keyword_alter_token1] = ACTIONS(1414),
    [aux_sym__keyword_delete_token1] = ACTIONS(1414),
    [aux_sym__keyword_begin_token1] = ACTIONS(1414),
    [aux_sym__keyword_end_token1] = ACTIONS(1414),
    [aux_sym__keyword_between_token1] = ACTIONS(1414),
    [aux_sym__keyword_when_token1] = ACTIONS(1414),
    [aux_sym__keyword_else_token1] = ACTIONS(1416),
    [aux_sym__keyword_is_token1] = ACTIONS(1414),
    [aux_sym__keyword_in_token1] = ACTIONS(1416),
    [aux_sym__keyword_and_token1] = ACTIONS(1414),
    [aux_sym__keyword_like_token1] = ACTIONS(1414),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1414),
    [aux_sym__keyword_window_token1] = ACTIONS(1414),
    [aux_sym__keyword_for_token1] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(1414),
    [aux_sym_declare_statement_token1] = ACTIONS(1414),
    [anon_sym_COMMA] = ACTIONS(1414),
    [aux_sym_set_statement_token1] = ACTIONS(1414),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1414),
    [aux_sym_return_satement_token1] = ACTIONS(1414),
    [aux_sym_call_statement_token1] = ACTIONS(1414),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1414),
    [aux_sym_if_statement_token1] = ACTIONS(1414),
    [aux_sym_loop_statement_token1] = ACTIONS(1414),
    [aux_sym_repeat_statement_token1] = ACTIONS(1414),
    [aux_sym_while_statement_token1] = ACTIONS(1414),
    [aux_sym_break_statement_token1] = ACTIONS(1414),
    [aux_sym_leave_statement_token1] = ACTIONS(1414),
    [aux_sym_continue_statement_token1] = ACTIONS(1414),
    [aux_sym_iterate_statement_token1] = ACTIONS(1414),
    [aux_sym_raise_statement_token1] = ACTIONS(1414),
    [anon_sym_EQ] = ACTIONS(1414),
    [aux_sym_assert_statement_token1] = ACTIONS(1414),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1414),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1414),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1414),
    [anon_sym_LT] = ACTIONS(1416),
    [anon_sym_GT] = ACTIONS(1416),
    [aux_sym_set_operation_token1] = ACTIONS(1414),
    [aux_sym_set_operation_token3] = ACTIONS(1414),
    [aux_sym_set_operation_token4] = ACTIONS(1416),
    [aux_sym_select_token1] = ACTIONS(1414),
    [aux_sym_having_clause_token1] = ACTIONS(1414),
    [aux_sym_qualify_clause_token1] = ACTIONS(1414),
    [aux_sym_limit_clause_token1] = ACTIONS(1414),
    [aux_sym_group_by_clause_token1] = ACTIONS(1414),
    [aux_sym__direction_keywords_token1] = ACTIONS(1414),
    [aux_sym__direction_keywords_token2] = ACTIONS(1414),
    [aux_sym__nulls_preference_token1] = ACTIONS(1414),
    [aux_sym_order_by_clause_token1] = ACTIONS(1414),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1414),
    [aux_sym_truncate_statement_token1] = ACTIONS(1414),
    [aux_sym_update_statement_token1] = ACTIONS(1414),
    [aux_sym_merge_statement_token1] = ACTIONS(1414),
    [aux_sym_grant_statement_token1] = ACTIONS(1414),
    [aux_sym_revoke_statement_token1] = ACTIONS(1414),
    [aux_sym_export_data_statement_token1] = ACTIONS(1414),
    [aux_sym_load_data_statement_token1] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1414),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_SLASH] = ACTIONS(1416),
    [anon_sym_PIPE_PIPE] = ACTIONS(1414),
    [anon_sym_LT_EQ] = ACTIONS(1414),
    [anon_sym_LT_GT] = ACTIONS(1414),
    [anon_sym_GT_EQ] = ACTIONS(1414),
    [anon_sym_BANG_EQ] = ACTIONS(1414),
    [anon_sym_LT_LT] = ACTIONS(1414),
    [anon_sym_GT_GT] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_CARET] = ACTIONS(1414),
    [anon_sym_PIPE] = ACTIONS(1416),
  },
  [2370] = {
    [sym_analytics_clause] = STATE(2746),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2371] = {
    [sym_analytics_clause] = STATE(2714),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_when_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_window_token1] = ACTIONS(1418),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1418),
    [aux_sym_set_operation_token3] = ACTIONS(1418),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_having_clause_token1] = ACTIONS(1418),
    [aux_sym_qualify_clause_token1] = ACTIONS(1418),
    [aux_sym_limit_clause_token1] = ACTIONS(1418),
    [aux_sym_group_by_clause_token1] = ACTIONS(1418),
    [aux_sym__direction_keywords_token1] = ACTIONS(1418),
    [aux_sym__direction_keywords_token2] = ACTIONS(1418),
    [aux_sym__nulls_preference_token1] = ACTIONS(1418),
    [aux_sym_order_by_clause_token1] = ACTIONS(1418),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [2372] = {
    [sym_analytics_clause] = STATE(2717),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_when_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_window_token1] = ACTIONS(1418),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1418),
    [aux_sym_set_operation_token3] = ACTIONS(1418),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_having_clause_token1] = ACTIONS(1418),
    [aux_sym_qualify_clause_token1] = ACTIONS(1418),
    [aux_sym_limit_clause_token1] = ACTIONS(1418),
    [aux_sym_group_by_clause_token1] = ACTIONS(1418),
    [aux_sym__direction_keywords_token1] = ACTIONS(1418),
    [aux_sym__direction_keywords_token2] = ACTIONS(1418),
    [aux_sym__nulls_preference_token1] = ACTIONS(1418),
    [aux_sym_order_by_clause_token1] = ACTIONS(1418),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [2373] = {
    [sym_analytics_clause] = STATE(2719),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_when_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_window_token1] = ACTIONS(1418),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1418),
    [aux_sym_set_operation_token3] = ACTIONS(1418),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_having_clause_token1] = ACTIONS(1418),
    [aux_sym_qualify_clause_token1] = ACTIONS(1418),
    [aux_sym_limit_clause_token1] = ACTIONS(1418),
    [aux_sym_group_by_clause_token1] = ACTIONS(1418),
    [aux_sym__direction_keywords_token1] = ACTIONS(1418),
    [aux_sym__direction_keywords_token2] = ACTIONS(1418),
    [aux_sym__nulls_preference_token1] = ACTIONS(1418),
    [aux_sym_order_by_clause_token1] = ACTIONS(1418),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [2374] = {
    [sym_analytics_clause] = STATE(2720),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_when_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_window_token1] = ACTIONS(1418),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1418),
    [aux_sym_set_operation_token3] = ACTIONS(1418),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_having_clause_token1] = ACTIONS(1418),
    [aux_sym_qualify_clause_token1] = ACTIONS(1418),
    [aux_sym_limit_clause_token1] = ACTIONS(1418),
    [aux_sym_group_by_clause_token1] = ACTIONS(1418),
    [aux_sym__direction_keywords_token1] = ACTIONS(1418),
    [aux_sym__direction_keywords_token2] = ACTIONS(1418),
    [aux_sym__nulls_preference_token1] = ACTIONS(1418),
    [aux_sym_order_by_clause_token1] = ACTIONS(1418),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [2375] = {
    [sym_analytics_clause] = STATE(2727),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_when_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_window_token1] = ACTIONS(1418),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1418),
    [aux_sym_set_operation_token3] = ACTIONS(1418),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_having_clause_token1] = ACTIONS(1418),
    [aux_sym_qualify_clause_token1] = ACTIONS(1418),
    [aux_sym_limit_clause_token1] = ACTIONS(1418),
    [aux_sym_group_by_clause_token1] = ACTIONS(1418),
    [aux_sym__direction_keywords_token1] = ACTIONS(1418),
    [aux_sym__direction_keywords_token2] = ACTIONS(1418),
    [aux_sym__nulls_preference_token1] = ACTIONS(1418),
    [aux_sym_order_by_clause_token1] = ACTIONS(1418),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [2376] = {
    [sym_analytics_clause] = STATE(2591),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2377] = {
    [sym_analytics_clause] = STATE(2730),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_when_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_window_token1] = ACTIONS(1418),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1418),
    [aux_sym_set_operation_token3] = ACTIONS(1418),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_having_clause_token1] = ACTIONS(1418),
    [aux_sym_qualify_clause_token1] = ACTIONS(1418),
    [aux_sym_limit_clause_token1] = ACTIONS(1418),
    [aux_sym_group_by_clause_token1] = ACTIONS(1418),
    [aux_sym__direction_keywords_token1] = ACTIONS(1418),
    [aux_sym__direction_keywords_token2] = ACTIONS(1418),
    [aux_sym__nulls_preference_token1] = ACTIONS(1418),
    [aux_sym_order_by_clause_token1] = ACTIONS(1418),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [2378] = {
    [sym_analytics_clause] = STATE(2734),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_when_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_window_token1] = ACTIONS(1418),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1418),
    [aux_sym_set_operation_token3] = ACTIONS(1418),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_having_clause_token1] = ACTIONS(1418),
    [aux_sym_qualify_clause_token1] = ACTIONS(1418),
    [aux_sym_limit_clause_token1] = ACTIONS(1418),
    [aux_sym_group_by_clause_token1] = ACTIONS(1418),
    [aux_sym__direction_keywords_token1] = ACTIONS(1418),
    [aux_sym__direction_keywords_token2] = ACTIONS(1418),
    [aux_sym__nulls_preference_token1] = ACTIONS(1418),
    [aux_sym_order_by_clause_token1] = ACTIONS(1418),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [2379] = {
    [sym_analytics_clause] = STATE(2737),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_when_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_window_token1] = ACTIONS(1418),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1418),
    [aux_sym_set_operation_token3] = ACTIONS(1418),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_having_clause_token1] = ACTIONS(1418),
    [aux_sym_qualify_clause_token1] = ACTIONS(1418),
    [aux_sym_limit_clause_token1] = ACTIONS(1418),
    [aux_sym_group_by_clause_token1] = ACTIONS(1418),
    [aux_sym__direction_keywords_token1] = ACTIONS(1418),
    [aux_sym__direction_keywords_token2] = ACTIONS(1418),
    [aux_sym__nulls_preference_token1] = ACTIONS(1418),
    [aux_sym_order_by_clause_token1] = ACTIONS(1418),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [2380] = {
    [sym_analytics_clause] = STATE(2738),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_when_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_window_token1] = ACTIONS(1418),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1418),
    [aux_sym_set_operation_token3] = ACTIONS(1418),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_having_clause_token1] = ACTIONS(1418),
    [aux_sym_qualify_clause_token1] = ACTIONS(1418),
    [aux_sym_limit_clause_token1] = ACTIONS(1418),
    [aux_sym_group_by_clause_token1] = ACTIONS(1418),
    [aux_sym__direction_keywords_token1] = ACTIONS(1418),
    [aux_sym__direction_keywords_token2] = ACTIONS(1418),
    [aux_sym__nulls_preference_token1] = ACTIONS(1418),
    [aux_sym_order_by_clause_token1] = ACTIONS(1418),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [2381] = {
    [sym_analytics_clause] = STATE(2592),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_when_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_window_token1] = ACTIONS(1418),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1418),
    [aux_sym_set_operation_token3] = ACTIONS(1418),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_having_clause_token1] = ACTIONS(1418),
    [aux_sym_qualify_clause_token1] = ACTIONS(1418),
    [aux_sym_limit_clause_token1] = ACTIONS(1418),
    [aux_sym_group_by_clause_token1] = ACTIONS(1418),
    [aux_sym__direction_keywords_token1] = ACTIONS(1418),
    [aux_sym__direction_keywords_token2] = ACTIONS(1418),
    [aux_sym__nulls_preference_token1] = ACTIONS(1418),
    [aux_sym_order_by_clause_token1] = ACTIONS(1418),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [2382] = {
    [sym_analytics_clause] = STATE(2590),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2383] = {
    [sym_analytics_clause] = STATE(2749),
    [ts_builtin_sym_end] = ACTIONS(1422),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1422),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1422),
    [aux_sym_keyword_replace_token1] = ACTIONS(1424),
    [aux_sym__keyword_alter_token1] = ACTIONS(1422),
    [aux_sym__keyword_delete_token1] = ACTIONS(1422),
    [aux_sym__keyword_begin_token1] = ACTIONS(1422),
    [aux_sym__keyword_end_token1] = ACTIONS(1422),
    [aux_sym__keyword_between_token1] = ACTIONS(1422),
    [aux_sym__keyword_when_token1] = ACTIONS(1422),
    [aux_sym__keyword_else_token1] = ACTIONS(1424),
    [aux_sym__keyword_is_token1] = ACTIONS(1422),
    [aux_sym__keyword_in_token1] = ACTIONS(1424),
    [aux_sym__keyword_and_token1] = ACTIONS(1422),
    [aux_sym__keyword_like_token1] = ACTIONS(1422),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1422),
    [aux_sym__keyword_window_token1] = ACTIONS(1422),
    [aux_sym__keyword_for_token1] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1422),
    [aux_sym_declare_statement_token1] = ACTIONS(1422),
    [anon_sym_COMMA] = ACTIONS(1422),
    [aux_sym_set_statement_token1] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1422),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1422),
    [aux_sym_return_satement_token1] = ACTIONS(1422),
    [aux_sym_call_statement_token1] = ACTIONS(1422),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1422),
    [aux_sym_if_statement_token1] = ACTIONS(1422),
    [aux_sym_loop_statement_token1] = ACTIONS(1422),
    [aux_sym_repeat_statement_token1] = ACTIONS(1422),
    [aux_sym_while_statement_token1] = ACTIONS(1422),
    [aux_sym_break_statement_token1] = ACTIONS(1422),
    [aux_sym_leave_statement_token1] = ACTIONS(1422),
    [aux_sym_continue_statement_token1] = ACTIONS(1422),
    [aux_sym_iterate_statement_token1] = ACTIONS(1422),
    [aux_sym_raise_statement_token1] = ACTIONS(1422),
    [anon_sym_EQ] = ACTIONS(1422),
    [aux_sym_assert_statement_token1] = ACTIONS(1422),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1422),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1422),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1422),
    [anon_sym_LT] = ACTIONS(1424),
    [anon_sym_GT] = ACTIONS(1424),
    [aux_sym_set_operation_token1] = ACTIONS(1422),
    [aux_sym_set_operation_token3] = ACTIONS(1422),
    [aux_sym_set_operation_token4] = ACTIONS(1424),
    [aux_sym_select_token1] = ACTIONS(1422),
    [aux_sym_having_clause_token1] = ACTIONS(1422),
    [aux_sym_qualify_clause_token1] = ACTIONS(1422),
    [aux_sym_limit_clause_token1] = ACTIONS(1422),
    [aux_sym_group_by_clause_token1] = ACTIONS(1422),
    [aux_sym__direction_keywords_token1] = ACTIONS(1422),
    [aux_sym__direction_keywords_token2] = ACTIONS(1422),
    [aux_sym__nulls_preference_token1] = ACTIONS(1422),
    [aux_sym_order_by_clause_token1] = ACTIONS(1422),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1422),
    [aux_sym_truncate_statement_token1] = ACTIONS(1422),
    [aux_sym_update_statement_token1] = ACTIONS(1422),
    [aux_sym_merge_statement_token1] = ACTIONS(1422),
    [aux_sym_grant_statement_token1] = ACTIONS(1422),
    [aux_sym_revoke_statement_token1] = ACTIONS(1422),
    [aux_sym_export_data_statement_token1] = ACTIONS(1422),
    [aux_sym_load_data_statement_token1] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1422),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1424),
    [anon_sym_STAR] = ACTIONS(1422),
    [anon_sym_SLASH] = ACTIONS(1424),
    [anon_sym_PIPE_PIPE] = ACTIONS(1422),
    [anon_sym_LT_EQ] = ACTIONS(1422),
    [anon_sym_LT_GT] = ACTIONS(1422),
    [anon_sym_GT_EQ] = ACTIONS(1422),
    [anon_sym_BANG_EQ] = ACTIONS(1422),
    [anon_sym_LT_LT] = ACTIONS(1422),
    [anon_sym_GT_GT] = ACTIONS(1422),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_CARET] = ACTIONS(1422),
    [anon_sym_PIPE] = ACTIONS(1424),
  },
  [2384] = {
    [sym_analytics_clause] = STATE(2588),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2385] = {
    [sym_analytics_clause] = STATE(2760),
    [ts_builtin_sym_end] = ACTIONS(1426),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1426),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1426),
    [aux_sym_keyword_replace_token1] = ACTIONS(1428),
    [aux_sym__keyword_alter_token1] = ACTIONS(1426),
    [aux_sym__keyword_delete_token1] = ACTIONS(1426),
    [aux_sym__keyword_begin_token1] = ACTIONS(1426),
    [aux_sym__keyword_end_token1] = ACTIONS(1426),
    [aux_sym__keyword_between_token1] = ACTIONS(1426),
    [aux_sym__keyword_when_token1] = ACTIONS(1426),
    [aux_sym__keyword_else_token1] = ACTIONS(1428),
    [aux_sym__keyword_is_token1] = ACTIONS(1426),
    [aux_sym__keyword_in_token1] = ACTIONS(1428),
    [aux_sym__keyword_and_token1] = ACTIONS(1426),
    [aux_sym__keyword_like_token1] = ACTIONS(1426),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1426),
    [aux_sym__keyword_window_token1] = ACTIONS(1426),
    [aux_sym__keyword_for_token1] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(1426),
    [aux_sym_declare_statement_token1] = ACTIONS(1426),
    [anon_sym_COMMA] = ACTIONS(1426),
    [aux_sym_set_statement_token1] = ACTIONS(1426),
    [anon_sym_LPAREN] = ACTIONS(1426),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1426),
    [aux_sym_return_satement_token1] = ACTIONS(1426),
    [aux_sym_call_statement_token1] = ACTIONS(1426),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1426),
    [aux_sym_if_statement_token1] = ACTIONS(1426),
    [aux_sym_loop_statement_token1] = ACTIONS(1426),
    [aux_sym_repeat_statement_token1] = ACTIONS(1426),
    [aux_sym_while_statement_token1] = ACTIONS(1426),
    [aux_sym_break_statement_token1] = ACTIONS(1426),
    [aux_sym_leave_statement_token1] = ACTIONS(1426),
    [aux_sym_continue_statement_token1] = ACTIONS(1426),
    [aux_sym_iterate_statement_token1] = ACTIONS(1426),
    [aux_sym_raise_statement_token1] = ACTIONS(1426),
    [anon_sym_EQ] = ACTIONS(1426),
    [aux_sym_assert_statement_token1] = ACTIONS(1426),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1426),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1426),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1426),
    [anon_sym_LT] = ACTIONS(1428),
    [anon_sym_GT] = ACTIONS(1428),
    [aux_sym_set_operation_token1] = ACTIONS(1426),
    [aux_sym_set_operation_token3] = ACTIONS(1426),
    [aux_sym_set_operation_token4] = ACTIONS(1428),
    [aux_sym_select_token1] = ACTIONS(1426),
    [aux_sym_having_clause_token1] = ACTIONS(1426),
    [aux_sym_qualify_clause_token1] = ACTIONS(1426),
    [aux_sym_limit_clause_token1] = ACTIONS(1426),
    [aux_sym_group_by_clause_token1] = ACTIONS(1426),
    [aux_sym__direction_keywords_token1] = ACTIONS(1426),
    [aux_sym__direction_keywords_token2] = ACTIONS(1426),
    [aux_sym__nulls_preference_token1] = ACTIONS(1426),
    [aux_sym_order_by_clause_token1] = ACTIONS(1426),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1426),
    [aux_sym_truncate_statement_token1] = ACTIONS(1426),
    [aux_sym_update_statement_token1] = ACTIONS(1426),
    [aux_sym_merge_statement_token1] = ACTIONS(1426),
    [aux_sym_grant_statement_token1] = ACTIONS(1426),
    [aux_sym_revoke_statement_token1] = ACTIONS(1426),
    [aux_sym_export_data_statement_token1] = ACTIONS(1426),
    [aux_sym_load_data_statement_token1] = ACTIONS(1426),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1426),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PIPE_PIPE] = ACTIONS(1426),
    [anon_sym_LT_EQ] = ACTIONS(1426),
    [anon_sym_LT_GT] = ACTIONS(1426),
    [anon_sym_GT_EQ] = ACTIONS(1426),
    [anon_sym_BANG_EQ] = ACTIONS(1426),
    [anon_sym_LT_LT] = ACTIONS(1426),
    [anon_sym_GT_GT] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_PIPE] = ACTIONS(1428),
  },
  [2386] = {
    [sym_analytics_clause] = STATE(2762),
    [ts_builtin_sym_end] = ACTIONS(1430),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1430),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1430),
    [aux_sym_keyword_replace_token1] = ACTIONS(1432),
    [aux_sym__keyword_alter_token1] = ACTIONS(1430),
    [aux_sym__keyword_delete_token1] = ACTIONS(1430),
    [aux_sym__keyword_begin_token1] = ACTIONS(1430),
    [aux_sym__keyword_end_token1] = ACTIONS(1430),
    [aux_sym__keyword_between_token1] = ACTIONS(1430),
    [aux_sym__keyword_when_token1] = ACTIONS(1430),
    [aux_sym__keyword_else_token1] = ACTIONS(1432),
    [aux_sym__keyword_is_token1] = ACTIONS(1430),
    [aux_sym__keyword_in_token1] = ACTIONS(1432),
    [aux_sym__keyword_and_token1] = ACTIONS(1430),
    [aux_sym__keyword_like_token1] = ACTIONS(1430),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1430),
    [aux_sym__keyword_window_token1] = ACTIONS(1430),
    [aux_sym__keyword_for_token1] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(1430),
    [aux_sym_declare_statement_token1] = ACTIONS(1430),
    [anon_sym_COMMA] = ACTIONS(1430),
    [aux_sym_set_statement_token1] = ACTIONS(1430),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1430),
    [aux_sym_return_satement_token1] = ACTIONS(1430),
    [aux_sym_call_statement_token1] = ACTIONS(1430),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1430),
    [aux_sym_if_statement_token1] = ACTIONS(1430),
    [aux_sym_loop_statement_token1] = ACTIONS(1430),
    [aux_sym_repeat_statement_token1] = ACTIONS(1430),
    [aux_sym_while_statement_token1] = ACTIONS(1430),
    [aux_sym_break_statement_token1] = ACTIONS(1430),
    [aux_sym_leave_statement_token1] = ACTIONS(1430),
    [aux_sym_continue_statement_token1] = ACTIONS(1430),
    [aux_sym_iterate_statement_token1] = ACTIONS(1430),
    [aux_sym_raise_statement_token1] = ACTIONS(1430),
    [anon_sym_EQ] = ACTIONS(1430),
    [aux_sym_assert_statement_token1] = ACTIONS(1430),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1430),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1430),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [aux_sym_set_operation_token1] = ACTIONS(1430),
    [aux_sym_set_operation_token3] = ACTIONS(1430),
    [aux_sym_set_operation_token4] = ACTIONS(1432),
    [aux_sym_select_token1] = ACTIONS(1430),
    [aux_sym_having_clause_token1] = ACTIONS(1430),
    [aux_sym_qualify_clause_token1] = ACTIONS(1430),
    [aux_sym_limit_clause_token1] = ACTIONS(1430),
    [aux_sym_group_by_clause_token1] = ACTIONS(1430),
    [aux_sym__direction_keywords_token1] = ACTIONS(1430),
    [aux_sym__direction_keywords_token2] = ACTIONS(1430),
    [aux_sym__nulls_preference_token1] = ACTIONS(1430),
    [aux_sym_order_by_clause_token1] = ACTIONS(1430),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1430),
    [aux_sym_truncate_statement_token1] = ACTIONS(1430),
    [aux_sym_update_statement_token1] = ACTIONS(1430),
    [aux_sym_merge_statement_token1] = ACTIONS(1430),
    [aux_sym_grant_statement_token1] = ACTIONS(1430),
    [aux_sym_revoke_statement_token1] = ACTIONS(1430),
    [aux_sym_export_data_statement_token1] = ACTIONS(1430),
    [aux_sym_load_data_statement_token1] = ACTIONS(1430),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1432),
    [anon_sym_PIPE_PIPE] = ACTIONS(1430),
    [anon_sym_LT_EQ] = ACTIONS(1430),
    [anon_sym_LT_GT] = ACTIONS(1430),
    [anon_sym_GT_EQ] = ACTIONS(1430),
    [anon_sym_BANG_EQ] = ACTIONS(1430),
    [anon_sym_LT_LT] = ACTIONS(1430),
    [anon_sym_GT_GT] = ACTIONS(1430),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_PIPE] = ACTIONS(1432),
  },
  [2387] = {
    [sym_analytics_clause] = STATE(2587),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2388] = {
    [sym_analytics_clause] = STATE(2764),
    [ts_builtin_sym_end] = ACTIONS(1434),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1434),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1434),
    [aux_sym_keyword_replace_token1] = ACTIONS(1436),
    [aux_sym__keyword_alter_token1] = ACTIONS(1434),
    [aux_sym__keyword_delete_token1] = ACTIONS(1434),
    [aux_sym__keyword_begin_token1] = ACTIONS(1434),
    [aux_sym__keyword_end_token1] = ACTIONS(1434),
    [aux_sym__keyword_between_token1] = ACTIONS(1434),
    [aux_sym__keyword_when_token1] = ACTIONS(1434),
    [aux_sym__keyword_else_token1] = ACTIONS(1436),
    [aux_sym__keyword_is_token1] = ACTIONS(1434),
    [aux_sym__keyword_in_token1] = ACTIONS(1436),
    [aux_sym__keyword_and_token1] = ACTIONS(1434),
    [aux_sym__keyword_like_token1] = ACTIONS(1434),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1434),
    [aux_sym__keyword_window_token1] = ACTIONS(1434),
    [aux_sym__keyword_for_token1] = ACTIONS(1434),
    [anon_sym_SEMI] = ACTIONS(1434),
    [aux_sym_declare_statement_token1] = ACTIONS(1434),
    [anon_sym_COMMA] = ACTIONS(1434),
    [aux_sym_set_statement_token1] = ACTIONS(1434),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1434),
    [aux_sym_return_satement_token1] = ACTIONS(1434),
    [aux_sym_call_statement_token1] = ACTIONS(1434),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1434),
    [aux_sym_if_statement_token1] = ACTIONS(1434),
    [aux_sym_loop_statement_token1] = ACTIONS(1434),
    [aux_sym_repeat_statement_token1] = ACTIONS(1434),
    [aux_sym_while_statement_token1] = ACTIONS(1434),
    [aux_sym_break_statement_token1] = ACTIONS(1434),
    [aux_sym_leave_statement_token1] = ACTIONS(1434),
    [aux_sym_continue_statement_token1] = ACTIONS(1434),
    [aux_sym_iterate_statement_token1] = ACTIONS(1434),
    [aux_sym_raise_statement_token1] = ACTIONS(1434),
    [anon_sym_EQ] = ACTIONS(1434),
    [aux_sym_assert_statement_token1] = ACTIONS(1434),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1434),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1434),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1434),
    [anon_sym_LT] = ACTIONS(1436),
    [anon_sym_GT] = ACTIONS(1436),
    [aux_sym_set_operation_token1] = ACTIONS(1434),
    [aux_sym_set_operation_token3] = ACTIONS(1434),
    [aux_sym_set_operation_token4] = ACTIONS(1436),
    [aux_sym_select_token1] = ACTIONS(1434),
    [aux_sym_having_clause_token1] = ACTIONS(1434),
    [aux_sym_qualify_clause_token1] = ACTIONS(1434),
    [aux_sym_limit_clause_token1] = ACTIONS(1434),
    [aux_sym_group_by_clause_token1] = ACTIONS(1434),
    [aux_sym__direction_keywords_token1] = ACTIONS(1434),
    [aux_sym__direction_keywords_token2] = ACTIONS(1434),
    [aux_sym__nulls_preference_token1] = ACTIONS(1434),
    [aux_sym_order_by_clause_token1] = ACTIONS(1434),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1434),
    [aux_sym_truncate_statement_token1] = ACTIONS(1434),
    [aux_sym_update_statement_token1] = ACTIONS(1434),
    [aux_sym_merge_statement_token1] = ACTIONS(1434),
    [aux_sym_grant_statement_token1] = ACTIONS(1434),
    [aux_sym_revoke_statement_token1] = ACTIONS(1434),
    [aux_sym_export_data_statement_token1] = ACTIONS(1434),
    [aux_sym_load_data_statement_token1] = ACTIONS(1434),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_STAR] = ACTIONS(1434),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1434),
    [anon_sym_LT_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1434),
    [anon_sym_BANG_EQ] = ACTIONS(1434),
    [anon_sym_LT_LT] = ACTIONS(1434),
    [anon_sym_GT_GT] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1434),
    [anon_sym_PIPE] = ACTIONS(1436),
  },
  [2389] = {
    [sym_analytics_clause] = STATE(2585),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2390] = {
    [sym_analytics_clause] = STATE(2766),
    [ts_builtin_sym_end] = ACTIONS(1438),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1438),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1438),
    [aux_sym_keyword_replace_token1] = ACTIONS(1440),
    [aux_sym__keyword_alter_token1] = ACTIONS(1438),
    [aux_sym__keyword_delete_token1] = ACTIONS(1438),
    [aux_sym__keyword_begin_token1] = ACTIONS(1438),
    [aux_sym__keyword_end_token1] = ACTIONS(1438),
    [aux_sym__keyword_between_token1] = ACTIONS(1438),
    [aux_sym__keyword_when_token1] = ACTIONS(1438),
    [aux_sym__keyword_else_token1] = ACTIONS(1440),
    [aux_sym__keyword_is_token1] = ACTIONS(1438),
    [aux_sym__keyword_in_token1] = ACTIONS(1440),
    [aux_sym__keyword_and_token1] = ACTIONS(1438),
    [aux_sym__keyword_like_token1] = ACTIONS(1438),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1438),
    [aux_sym__keyword_window_token1] = ACTIONS(1438),
    [aux_sym__keyword_for_token1] = ACTIONS(1438),
    [anon_sym_SEMI] = ACTIONS(1438),
    [aux_sym_declare_statement_token1] = ACTIONS(1438),
    [anon_sym_COMMA] = ACTIONS(1438),
    [aux_sym_set_statement_token1] = ACTIONS(1438),
    [anon_sym_LPAREN] = ACTIONS(1438),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1438),
    [aux_sym_return_satement_token1] = ACTIONS(1438),
    [aux_sym_call_statement_token1] = ACTIONS(1438),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1438),
    [aux_sym_if_statement_token1] = ACTIONS(1438),
    [aux_sym_loop_statement_token1] = ACTIONS(1438),
    [aux_sym_repeat_statement_token1] = ACTIONS(1438),
    [aux_sym_while_statement_token1] = ACTIONS(1438),
    [aux_sym_break_statement_token1] = ACTIONS(1438),
    [aux_sym_leave_statement_token1] = ACTIONS(1438),
    [aux_sym_continue_statement_token1] = ACTIONS(1438),
    [aux_sym_iterate_statement_token1] = ACTIONS(1438),
    [aux_sym_raise_statement_token1] = ACTIONS(1438),
    [anon_sym_EQ] = ACTIONS(1438),
    [aux_sym_assert_statement_token1] = ACTIONS(1438),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1438),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1438),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1438),
    [anon_sym_LT] = ACTIONS(1440),
    [anon_sym_GT] = ACTIONS(1440),
    [aux_sym_set_operation_token1] = ACTIONS(1438),
    [aux_sym_set_operation_token3] = ACTIONS(1438),
    [aux_sym_set_operation_token4] = ACTIONS(1440),
    [aux_sym_select_token1] = ACTIONS(1438),
    [aux_sym_having_clause_token1] = ACTIONS(1438),
    [aux_sym_qualify_clause_token1] = ACTIONS(1438),
    [aux_sym_limit_clause_token1] = ACTIONS(1438),
    [aux_sym_group_by_clause_token1] = ACTIONS(1438),
    [aux_sym__direction_keywords_token1] = ACTIONS(1438),
    [aux_sym__direction_keywords_token2] = ACTIONS(1438),
    [aux_sym__nulls_preference_token1] = ACTIONS(1438),
    [aux_sym_order_by_clause_token1] = ACTIONS(1438),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1438),
    [aux_sym_truncate_statement_token1] = ACTIONS(1438),
    [aux_sym_update_statement_token1] = ACTIONS(1438),
    [aux_sym_merge_statement_token1] = ACTIONS(1438),
    [aux_sym_grant_statement_token1] = ACTIONS(1438),
    [aux_sym_revoke_statement_token1] = ACTIONS(1438),
    [aux_sym_export_data_statement_token1] = ACTIONS(1438),
    [aux_sym_load_data_statement_token1] = ACTIONS(1438),
    [anon_sym_LBRACK] = ACTIONS(1438),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_STAR] = ACTIONS(1438),
    [anon_sym_SLASH] = ACTIONS(1440),
    [anon_sym_PIPE_PIPE] = ACTIONS(1438),
    [anon_sym_LT_EQ] = ACTIONS(1438),
    [anon_sym_LT_GT] = ACTIONS(1438),
    [anon_sym_GT_EQ] = ACTIONS(1438),
    [anon_sym_BANG_EQ] = ACTIONS(1438),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_AMP] = ACTIONS(1438),
    [anon_sym_CARET] = ACTIONS(1438),
    [anon_sym_PIPE] = ACTIONS(1440),
  },
  [2391] = {
    [sym_analytics_clause] = STATE(2584),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2392] = {
    [sym_analytics_clause] = STATE(2582),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2393] = {
    [sym_analytics_clause] = STATE(2579),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2394] = {
    [sym_analytics_clause] = STATE(2745),
    [ts_builtin_sym_end] = ACTIONS(1450),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1450),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1450),
    [aux_sym_keyword_replace_token1] = ACTIONS(1452),
    [aux_sym__keyword_alter_token1] = ACTIONS(1450),
    [aux_sym__keyword_delete_token1] = ACTIONS(1450),
    [aux_sym__keyword_begin_token1] = ACTIONS(1450),
    [aux_sym__keyword_end_token1] = ACTIONS(1450),
    [aux_sym__keyword_between_token1] = ACTIONS(1450),
    [aux_sym__keyword_when_token1] = ACTIONS(1450),
    [aux_sym__keyword_else_token1] = ACTIONS(1452),
    [aux_sym__keyword_is_token1] = ACTIONS(1450),
    [aux_sym__keyword_in_token1] = ACTIONS(1452),
    [aux_sym__keyword_and_token1] = ACTIONS(1450),
    [aux_sym__keyword_like_token1] = ACTIONS(1450),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1450),
    [aux_sym__keyword_window_token1] = ACTIONS(1450),
    [aux_sym__keyword_for_token1] = ACTIONS(1450),
    [anon_sym_SEMI] = ACTIONS(1450),
    [aux_sym_declare_statement_token1] = ACTIONS(1450),
    [anon_sym_COMMA] = ACTIONS(1450),
    [aux_sym_set_statement_token1] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1450),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1450),
    [aux_sym_return_satement_token1] = ACTIONS(1450),
    [aux_sym_call_statement_token1] = ACTIONS(1450),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1450),
    [aux_sym_if_statement_token1] = ACTIONS(1450),
    [aux_sym_loop_statement_token1] = ACTIONS(1450),
    [aux_sym_repeat_statement_token1] = ACTIONS(1450),
    [aux_sym_while_statement_token1] = ACTIONS(1450),
    [aux_sym_break_statement_token1] = ACTIONS(1450),
    [aux_sym_leave_statement_token1] = ACTIONS(1450),
    [aux_sym_continue_statement_token1] = ACTIONS(1450),
    [aux_sym_iterate_statement_token1] = ACTIONS(1450),
    [aux_sym_raise_statement_token1] = ACTIONS(1450),
    [anon_sym_EQ] = ACTIONS(1450),
    [aux_sym_assert_statement_token1] = ACTIONS(1450),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1450),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1450),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1450),
    [anon_sym_LT] = ACTIONS(1452),
    [anon_sym_GT] = ACTIONS(1452),
    [aux_sym_set_operation_token1] = ACTIONS(1450),
    [aux_sym_set_operation_token3] = ACTIONS(1450),
    [aux_sym_set_operation_token4] = ACTIONS(1452),
    [aux_sym_select_token1] = ACTIONS(1450),
    [aux_sym_having_clause_token1] = ACTIONS(1450),
    [aux_sym_qualify_clause_token1] = ACTIONS(1450),
    [aux_sym_limit_clause_token1] = ACTIONS(1450),
    [aux_sym_group_by_clause_token1] = ACTIONS(1450),
    [aux_sym__direction_keywords_token1] = ACTIONS(1450),
    [aux_sym__direction_keywords_token2] = ACTIONS(1450),
    [aux_sym__nulls_preference_token1] = ACTIONS(1450),
    [aux_sym_order_by_clause_token1] = ACTIONS(1450),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1450),
    [aux_sym_truncate_statement_token1] = ACTIONS(1450),
    [aux_sym_update_statement_token1] = ACTIONS(1450),
    [aux_sym_merge_statement_token1] = ACTIONS(1450),
    [aux_sym_grant_statement_token1] = ACTIONS(1450),
    [aux_sym_revoke_statement_token1] = ACTIONS(1450),
    [aux_sym_export_data_statement_token1] = ACTIONS(1450),
    [aux_sym_load_data_statement_token1] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1450),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_STAR] = ACTIONS(1450),
    [anon_sym_SLASH] = ACTIONS(1452),
    [anon_sym_PIPE_PIPE] = ACTIONS(1450),
    [anon_sym_LT_EQ] = ACTIONS(1450),
    [anon_sym_LT_GT] = ACTIONS(1450),
    [anon_sym_GT_EQ] = ACTIONS(1450),
    [anon_sym_BANG_EQ] = ACTIONS(1450),
    [anon_sym_LT_LT] = ACTIONS(1450),
    [anon_sym_GT_GT] = ACTIONS(1450),
    [anon_sym_AMP] = ACTIONS(1450),
    [anon_sym_CARET] = ACTIONS(1450),
    [anon_sym_PIPE] = ACTIONS(1452),
  },
  [2395] = {
    [sym_analytics_clause] = STATE(2744),
    [ts_builtin_sym_end] = ACTIONS(1450),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1450),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1450),
    [aux_sym_keyword_replace_token1] = ACTIONS(1452),
    [aux_sym__keyword_alter_token1] = ACTIONS(1450),
    [aux_sym__keyword_delete_token1] = ACTIONS(1450),
    [aux_sym__keyword_begin_token1] = ACTIONS(1450),
    [aux_sym__keyword_end_token1] = ACTIONS(1450),
    [aux_sym__keyword_between_token1] = ACTIONS(1450),
    [aux_sym__keyword_when_token1] = ACTIONS(1450),
    [aux_sym__keyword_else_token1] = ACTIONS(1452),
    [aux_sym__keyword_is_token1] = ACTIONS(1450),
    [aux_sym__keyword_in_token1] = ACTIONS(1452),
    [aux_sym__keyword_and_token1] = ACTIONS(1450),
    [aux_sym__keyword_like_token1] = ACTIONS(1450),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1450),
    [aux_sym__keyword_window_token1] = ACTIONS(1450),
    [aux_sym__keyword_for_token1] = ACTIONS(1450),
    [anon_sym_SEMI] = ACTIONS(1450),
    [aux_sym_declare_statement_token1] = ACTIONS(1450),
    [anon_sym_COMMA] = ACTIONS(1450),
    [aux_sym_set_statement_token1] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1450),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1450),
    [aux_sym_return_satement_token1] = ACTIONS(1450),
    [aux_sym_call_statement_token1] = ACTIONS(1450),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1450),
    [aux_sym_if_statement_token1] = ACTIONS(1450),
    [aux_sym_loop_statement_token1] = ACTIONS(1450),
    [aux_sym_repeat_statement_token1] = ACTIONS(1450),
    [aux_sym_while_statement_token1] = ACTIONS(1450),
    [aux_sym_break_statement_token1] = ACTIONS(1450),
    [aux_sym_leave_statement_token1] = ACTIONS(1450),
    [aux_sym_continue_statement_token1] = ACTIONS(1450),
    [aux_sym_iterate_statement_token1] = ACTIONS(1450),
    [aux_sym_raise_statement_token1] = ACTIONS(1450),
    [anon_sym_EQ] = ACTIONS(1450),
    [aux_sym_assert_statement_token1] = ACTIONS(1450),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1450),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1450),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1450),
    [anon_sym_LT] = ACTIONS(1452),
    [anon_sym_GT] = ACTIONS(1452),
    [aux_sym_set_operation_token1] = ACTIONS(1450),
    [aux_sym_set_operation_token3] = ACTIONS(1450),
    [aux_sym_set_operation_token4] = ACTIONS(1452),
    [aux_sym_select_token1] = ACTIONS(1450),
    [aux_sym_having_clause_token1] = ACTIONS(1450),
    [aux_sym_qualify_clause_token1] = ACTIONS(1450),
    [aux_sym_limit_clause_token1] = ACTIONS(1450),
    [aux_sym_group_by_clause_token1] = ACTIONS(1450),
    [aux_sym__direction_keywords_token1] = ACTIONS(1450),
    [aux_sym__direction_keywords_token2] = ACTIONS(1450),
    [aux_sym__nulls_preference_token1] = ACTIONS(1450),
    [aux_sym_order_by_clause_token1] = ACTIONS(1450),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1450),
    [aux_sym_truncate_statement_token1] = ACTIONS(1450),
    [aux_sym_update_statement_token1] = ACTIONS(1450),
    [aux_sym_merge_statement_token1] = ACTIONS(1450),
    [aux_sym_grant_statement_token1] = ACTIONS(1450),
    [aux_sym_revoke_statement_token1] = ACTIONS(1450),
    [aux_sym_export_data_statement_token1] = ACTIONS(1450),
    [aux_sym_load_data_statement_token1] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1450),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_STAR] = ACTIONS(1450),
    [anon_sym_SLASH] = ACTIONS(1452),
    [anon_sym_PIPE_PIPE] = ACTIONS(1450),
    [anon_sym_LT_EQ] = ACTIONS(1450),
    [anon_sym_LT_GT] = ACTIONS(1450),
    [anon_sym_GT_EQ] = ACTIONS(1450),
    [anon_sym_BANG_EQ] = ACTIONS(1450),
    [anon_sym_LT_LT] = ACTIONS(1450),
    [anon_sym_GT_GT] = ACTIONS(1450),
    [anon_sym_AMP] = ACTIONS(1450),
    [anon_sym_CARET] = ACTIONS(1450),
    [anon_sym_PIPE] = ACTIONS(1452),
  },
  [2396] = {
    [sym_analytics_clause] = STATE(2743),
    [ts_builtin_sym_end] = ACTIONS(1454),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1454),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1454),
    [aux_sym_keyword_replace_token1] = ACTIONS(1456),
    [aux_sym__keyword_alter_token1] = ACTIONS(1454),
    [aux_sym__keyword_delete_token1] = ACTIONS(1454),
    [aux_sym__keyword_begin_token1] = ACTIONS(1454),
    [aux_sym__keyword_end_token1] = ACTIONS(1454),
    [aux_sym__keyword_between_token1] = ACTIONS(1454),
    [aux_sym__keyword_when_token1] = ACTIONS(1454),
    [aux_sym__keyword_else_token1] = ACTIONS(1456),
    [aux_sym__keyword_is_token1] = ACTIONS(1454),
    [aux_sym__keyword_in_token1] = ACTIONS(1456),
    [aux_sym__keyword_and_token1] = ACTIONS(1454),
    [aux_sym__keyword_like_token1] = ACTIONS(1454),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1454),
    [aux_sym__keyword_window_token1] = ACTIONS(1454),
    [aux_sym__keyword_for_token1] = ACTIONS(1454),
    [anon_sym_SEMI] = ACTIONS(1454),
    [aux_sym_declare_statement_token1] = ACTIONS(1454),
    [anon_sym_COMMA] = ACTIONS(1454),
    [aux_sym_set_statement_token1] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1454),
    [aux_sym_return_satement_token1] = ACTIONS(1454),
    [aux_sym_call_statement_token1] = ACTIONS(1454),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1454),
    [aux_sym_if_statement_token1] = ACTIONS(1454),
    [aux_sym_loop_statement_token1] = ACTIONS(1454),
    [aux_sym_repeat_statement_token1] = ACTIONS(1454),
    [aux_sym_while_statement_token1] = ACTIONS(1454),
    [aux_sym_break_statement_token1] = ACTIONS(1454),
    [aux_sym_leave_statement_token1] = ACTIONS(1454),
    [aux_sym_continue_statement_token1] = ACTIONS(1454),
    [aux_sym_iterate_statement_token1] = ACTIONS(1454),
    [aux_sym_raise_statement_token1] = ACTIONS(1454),
    [anon_sym_EQ] = ACTIONS(1454),
    [aux_sym_assert_statement_token1] = ACTIONS(1454),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1454),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1454),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1454),
    [anon_sym_LT] = ACTIONS(1456),
    [anon_sym_GT] = ACTIONS(1456),
    [aux_sym_set_operation_token1] = ACTIONS(1454),
    [aux_sym_set_operation_token3] = ACTIONS(1454),
    [aux_sym_set_operation_token4] = ACTIONS(1456),
    [aux_sym_select_token1] = ACTIONS(1454),
    [aux_sym_having_clause_token1] = ACTIONS(1454),
    [aux_sym_qualify_clause_token1] = ACTIONS(1454),
    [aux_sym_limit_clause_token1] = ACTIONS(1454),
    [aux_sym_group_by_clause_token1] = ACTIONS(1454),
    [aux_sym__direction_keywords_token1] = ACTIONS(1454),
    [aux_sym__direction_keywords_token2] = ACTIONS(1454),
    [aux_sym__nulls_preference_token1] = ACTIONS(1454),
    [aux_sym_order_by_clause_token1] = ACTIONS(1454),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1454),
    [aux_sym_truncate_statement_token1] = ACTIONS(1454),
    [aux_sym_update_statement_token1] = ACTIONS(1454),
    [aux_sym_merge_statement_token1] = ACTIONS(1454),
    [aux_sym_grant_statement_token1] = ACTIONS(1454),
    [aux_sym_revoke_statement_token1] = ACTIONS(1454),
    [aux_sym_export_data_statement_token1] = ACTIONS(1454),
    [aux_sym_load_data_statement_token1] = ACTIONS(1454),
    [anon_sym_LBRACK] = ACTIONS(1454),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1454),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1454),
    [anon_sym_SLASH] = ACTIONS(1456),
    [anon_sym_PIPE_PIPE] = ACTIONS(1454),
    [anon_sym_LT_EQ] = ACTIONS(1454),
    [anon_sym_LT_GT] = ACTIONS(1454),
    [anon_sym_GT_EQ] = ACTIONS(1454),
    [anon_sym_BANG_EQ] = ACTIONS(1454),
    [anon_sym_LT_LT] = ACTIONS(1454),
    [anon_sym_GT_GT] = ACTIONS(1454),
    [anon_sym_AMP] = ACTIONS(1454),
    [anon_sym_CARET] = ACTIONS(1454),
    [anon_sym_PIPE] = ACTIONS(1456),
  },
  [2397] = {
    [sym_analytics_clause] = STATE(2576),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2398] = {
    [sym_analytics_clause] = STATE(2741),
    [ts_builtin_sym_end] = ACTIONS(1458),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1458),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1458),
    [aux_sym_keyword_replace_token1] = ACTIONS(1460),
    [aux_sym__keyword_alter_token1] = ACTIONS(1458),
    [aux_sym__keyword_delete_token1] = ACTIONS(1458),
    [aux_sym__keyword_begin_token1] = ACTIONS(1458),
    [aux_sym__keyword_end_token1] = ACTIONS(1458),
    [aux_sym__keyword_between_token1] = ACTIONS(1458),
    [aux_sym__keyword_when_token1] = ACTIONS(1458),
    [aux_sym__keyword_else_token1] = ACTIONS(1460),
    [aux_sym__keyword_is_token1] = ACTIONS(1458),
    [aux_sym__keyword_in_token1] = ACTIONS(1460),
    [aux_sym__keyword_and_token1] = ACTIONS(1458),
    [aux_sym__keyword_like_token1] = ACTIONS(1458),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1458),
    [aux_sym__keyword_window_token1] = ACTIONS(1458),
    [aux_sym__keyword_for_token1] = ACTIONS(1458),
    [anon_sym_SEMI] = ACTIONS(1458),
    [aux_sym_declare_statement_token1] = ACTIONS(1458),
    [anon_sym_COMMA] = ACTIONS(1458),
    [aux_sym_set_statement_token1] = ACTIONS(1458),
    [anon_sym_LPAREN] = ACTIONS(1458),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1458),
    [aux_sym_return_satement_token1] = ACTIONS(1458),
    [aux_sym_call_statement_token1] = ACTIONS(1458),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1458),
    [aux_sym_if_statement_token1] = ACTIONS(1458),
    [aux_sym_loop_statement_token1] = ACTIONS(1458),
    [aux_sym_repeat_statement_token1] = ACTIONS(1458),
    [aux_sym_while_statement_token1] = ACTIONS(1458),
    [aux_sym_break_statement_token1] = ACTIONS(1458),
    [aux_sym_leave_statement_token1] = ACTIONS(1458),
    [aux_sym_continue_statement_token1] = ACTIONS(1458),
    [aux_sym_iterate_statement_token1] = ACTIONS(1458),
    [aux_sym_raise_statement_token1] = ACTIONS(1458),
    [anon_sym_EQ] = ACTIONS(1458),
    [aux_sym_assert_statement_token1] = ACTIONS(1458),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1458),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1458),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1458),
    [anon_sym_LT] = ACTIONS(1460),
    [anon_sym_GT] = ACTIONS(1460),
    [aux_sym_set_operation_token1] = ACTIONS(1458),
    [aux_sym_set_operation_token3] = ACTIONS(1458),
    [aux_sym_set_operation_token4] = ACTIONS(1460),
    [aux_sym_select_token1] = ACTIONS(1458),
    [aux_sym_having_clause_token1] = ACTIONS(1458),
    [aux_sym_qualify_clause_token1] = ACTIONS(1458),
    [aux_sym_limit_clause_token1] = ACTIONS(1458),
    [aux_sym_group_by_clause_token1] = ACTIONS(1458),
    [aux_sym__direction_keywords_token1] = ACTIONS(1458),
    [aux_sym__direction_keywords_token2] = ACTIONS(1458),
    [aux_sym__nulls_preference_token1] = ACTIONS(1458),
    [aux_sym_order_by_clause_token1] = ACTIONS(1458),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1458),
    [aux_sym_truncate_statement_token1] = ACTIONS(1458),
    [aux_sym_update_statement_token1] = ACTIONS(1458),
    [aux_sym_merge_statement_token1] = ACTIONS(1458),
    [aux_sym_grant_statement_token1] = ACTIONS(1458),
    [aux_sym_revoke_statement_token1] = ACTIONS(1458),
    [aux_sym_export_data_statement_token1] = ACTIONS(1458),
    [aux_sym_load_data_statement_token1] = ACTIONS(1458),
    [anon_sym_LBRACK] = ACTIONS(1458),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_STAR] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(1460),
    [anon_sym_PIPE_PIPE] = ACTIONS(1458),
    [anon_sym_LT_EQ] = ACTIONS(1458),
    [anon_sym_LT_GT] = ACTIONS(1458),
    [anon_sym_GT_EQ] = ACTIONS(1458),
    [anon_sym_BANG_EQ] = ACTIONS(1458),
    [anon_sym_LT_LT] = ACTIONS(1458),
    [anon_sym_GT_GT] = ACTIONS(1458),
    [anon_sym_AMP] = ACTIONS(1458),
    [anon_sym_CARET] = ACTIONS(1458),
    [anon_sym_PIPE] = ACTIONS(1460),
  },
  [2399] = {
    [sym_analytics_clause] = STATE(2739),
    [ts_builtin_sym_end] = ACTIONS(1466),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1466),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1466),
    [aux_sym_keyword_replace_token1] = ACTIONS(1468),
    [aux_sym__keyword_alter_token1] = ACTIONS(1466),
    [aux_sym__keyword_delete_token1] = ACTIONS(1466),
    [aux_sym__keyword_begin_token1] = ACTIONS(1466),
    [aux_sym__keyword_end_token1] = ACTIONS(1466),
    [aux_sym__keyword_between_token1] = ACTIONS(1466),
    [aux_sym__keyword_when_token1] = ACTIONS(1466),
    [aux_sym__keyword_else_token1] = ACTIONS(1468),
    [aux_sym__keyword_is_token1] = ACTIONS(1466),
    [aux_sym__keyword_in_token1] = ACTIONS(1468),
    [aux_sym__keyword_and_token1] = ACTIONS(1466),
    [aux_sym__keyword_like_token1] = ACTIONS(1466),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1466),
    [aux_sym__keyword_window_token1] = ACTIONS(1466),
    [aux_sym__keyword_for_token1] = ACTIONS(1466),
    [anon_sym_SEMI] = ACTIONS(1466),
    [aux_sym_declare_statement_token1] = ACTIONS(1466),
    [anon_sym_COMMA] = ACTIONS(1466),
    [aux_sym_set_statement_token1] = ACTIONS(1466),
    [anon_sym_LPAREN] = ACTIONS(1466),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1466),
    [aux_sym_return_satement_token1] = ACTIONS(1466),
    [aux_sym_call_statement_token1] = ACTIONS(1466),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1466),
    [aux_sym_if_statement_token1] = ACTIONS(1466),
    [aux_sym_loop_statement_token1] = ACTIONS(1466),
    [aux_sym_repeat_statement_token1] = ACTIONS(1466),
    [aux_sym_while_statement_token1] = ACTIONS(1466),
    [aux_sym_break_statement_token1] = ACTIONS(1466),
    [aux_sym_leave_statement_token1] = ACTIONS(1466),
    [aux_sym_continue_statement_token1] = ACTIONS(1466),
    [aux_sym_iterate_statement_token1] = ACTIONS(1466),
    [aux_sym_raise_statement_token1] = ACTIONS(1466),
    [anon_sym_EQ] = ACTIONS(1466),
    [aux_sym_assert_statement_token1] = ACTIONS(1466),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1466),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1466),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1466),
    [anon_sym_LT] = ACTIONS(1468),
    [anon_sym_GT] = ACTIONS(1468),
    [aux_sym_set_operation_token1] = ACTIONS(1466),
    [aux_sym_set_operation_token3] = ACTIONS(1466),
    [aux_sym_set_operation_token4] = ACTIONS(1468),
    [aux_sym_select_token1] = ACTIONS(1466),
    [aux_sym_having_clause_token1] = ACTIONS(1466),
    [aux_sym_qualify_clause_token1] = ACTIONS(1466),
    [aux_sym_limit_clause_token1] = ACTIONS(1466),
    [aux_sym_group_by_clause_token1] = ACTIONS(1466),
    [aux_sym__direction_keywords_token1] = ACTIONS(1466),
    [aux_sym__direction_keywords_token2] = ACTIONS(1466),
    [aux_sym__nulls_preference_token1] = ACTIONS(1466),
    [aux_sym_order_by_clause_token1] = ACTIONS(1466),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1466),
    [aux_sym_truncate_statement_token1] = ACTIONS(1466),
    [aux_sym_update_statement_token1] = ACTIONS(1466),
    [aux_sym_merge_statement_token1] = ACTIONS(1466),
    [aux_sym_grant_statement_token1] = ACTIONS(1466),
    [aux_sym_revoke_statement_token1] = ACTIONS(1466),
    [aux_sym_export_data_statement_token1] = ACTIONS(1466),
    [aux_sym_load_data_statement_token1] = ACTIONS(1466),
    [anon_sym_LBRACK] = ACTIONS(1466),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_STAR] = ACTIONS(1466),
    [anon_sym_SLASH] = ACTIONS(1468),
    [anon_sym_PIPE_PIPE] = ACTIONS(1466),
    [anon_sym_LT_EQ] = ACTIONS(1466),
    [anon_sym_LT_GT] = ACTIONS(1466),
    [anon_sym_GT_EQ] = ACTIONS(1466),
    [anon_sym_BANG_EQ] = ACTIONS(1466),
    [anon_sym_LT_LT] = ACTIONS(1466),
    [anon_sym_GT_GT] = ACTIONS(1466),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_CARET] = ACTIONS(1466),
    [anon_sym_PIPE] = ACTIONS(1468),
  },
  [2400] = {
    [sym_analytics_clause] = STATE(2736),
    [ts_builtin_sym_end] = ACTIONS(1470),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1470),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1470),
    [aux_sym_keyword_replace_token1] = ACTIONS(1472),
    [aux_sym__keyword_alter_token1] = ACTIONS(1470),
    [aux_sym__keyword_delete_token1] = ACTIONS(1470),
    [aux_sym__keyword_begin_token1] = ACTIONS(1470),
    [aux_sym__keyword_end_token1] = ACTIONS(1470),
    [aux_sym__keyword_between_token1] = ACTIONS(1470),
    [aux_sym__keyword_when_token1] = ACTIONS(1470),
    [aux_sym__keyword_else_token1] = ACTIONS(1472),
    [aux_sym__keyword_is_token1] = ACTIONS(1470),
    [aux_sym__keyword_in_token1] = ACTIONS(1472),
    [aux_sym__keyword_and_token1] = ACTIONS(1470),
    [aux_sym__keyword_like_token1] = ACTIONS(1470),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1470),
    [aux_sym__keyword_window_token1] = ACTIONS(1470),
    [aux_sym__keyword_for_token1] = ACTIONS(1470),
    [anon_sym_SEMI] = ACTIONS(1470),
    [aux_sym_declare_statement_token1] = ACTIONS(1470),
    [anon_sym_COMMA] = ACTIONS(1470),
    [aux_sym_set_statement_token1] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1470),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1470),
    [aux_sym_return_satement_token1] = ACTIONS(1470),
    [aux_sym_call_statement_token1] = ACTIONS(1470),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1470),
    [aux_sym_if_statement_token1] = ACTIONS(1470),
    [aux_sym_loop_statement_token1] = ACTIONS(1470),
    [aux_sym_repeat_statement_token1] = ACTIONS(1470),
    [aux_sym_while_statement_token1] = ACTIONS(1470),
    [aux_sym_break_statement_token1] = ACTIONS(1470),
    [aux_sym_leave_statement_token1] = ACTIONS(1470),
    [aux_sym_continue_statement_token1] = ACTIONS(1470),
    [aux_sym_iterate_statement_token1] = ACTIONS(1470),
    [aux_sym_raise_statement_token1] = ACTIONS(1470),
    [anon_sym_EQ] = ACTIONS(1470),
    [aux_sym_assert_statement_token1] = ACTIONS(1470),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1470),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1470),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1470),
    [anon_sym_LT] = ACTIONS(1472),
    [anon_sym_GT] = ACTIONS(1472),
    [aux_sym_set_operation_token1] = ACTIONS(1470),
    [aux_sym_set_operation_token3] = ACTIONS(1470),
    [aux_sym_set_operation_token4] = ACTIONS(1472),
    [aux_sym_select_token1] = ACTIONS(1470),
    [aux_sym_having_clause_token1] = ACTIONS(1470),
    [aux_sym_qualify_clause_token1] = ACTIONS(1470),
    [aux_sym_limit_clause_token1] = ACTIONS(1470),
    [aux_sym_group_by_clause_token1] = ACTIONS(1470),
    [aux_sym__direction_keywords_token1] = ACTIONS(1470),
    [aux_sym__direction_keywords_token2] = ACTIONS(1470),
    [aux_sym__nulls_preference_token1] = ACTIONS(1470),
    [aux_sym_order_by_clause_token1] = ACTIONS(1470),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1470),
    [aux_sym_truncate_statement_token1] = ACTIONS(1470),
    [aux_sym_update_statement_token1] = ACTIONS(1470),
    [aux_sym_merge_statement_token1] = ACTIONS(1470),
    [aux_sym_grant_statement_token1] = ACTIONS(1470),
    [aux_sym_revoke_statement_token1] = ACTIONS(1470),
    [aux_sym_export_data_statement_token1] = ACTIONS(1470),
    [aux_sym_load_data_statement_token1] = ACTIONS(1470),
    [anon_sym_LBRACK] = ACTIONS(1470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1470),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_STAR] = ACTIONS(1470),
    [anon_sym_SLASH] = ACTIONS(1472),
    [anon_sym_PIPE_PIPE] = ACTIONS(1470),
    [anon_sym_LT_EQ] = ACTIONS(1470),
    [anon_sym_LT_GT] = ACTIONS(1470),
    [anon_sym_GT_EQ] = ACTIONS(1470),
    [anon_sym_BANG_EQ] = ACTIONS(1470),
    [anon_sym_LT_LT] = ACTIONS(1470),
    [anon_sym_GT_GT] = ACTIONS(1470),
    [anon_sym_AMP] = ACTIONS(1470),
    [anon_sym_CARET] = ACTIONS(1470),
    [anon_sym_PIPE] = ACTIONS(1472),
  },
  [2401] = {
    [sym_analytics_clause] = STATE(2575),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2402] = {
    [sym_analytics_clause] = STATE(2573),
    [ts_builtin_sym_end] = ACTIONS(1382),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1382),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1382),
    [aux_sym_keyword_replace_token1] = ACTIONS(1384),
    [aux_sym__keyword_alter_token1] = ACTIONS(1382),
    [aux_sym__keyword_delete_token1] = ACTIONS(1382),
    [aux_sym__keyword_begin_token1] = ACTIONS(1382),
    [aux_sym__keyword_end_token1] = ACTIONS(1382),
    [aux_sym__keyword_between_token1] = ACTIONS(1382),
    [aux_sym__keyword_when_token1] = ACTIONS(1382),
    [aux_sym__keyword_else_token1] = ACTIONS(1384),
    [aux_sym__keyword_is_token1] = ACTIONS(1382),
    [aux_sym__keyword_in_token1] = ACTIONS(1384),
    [aux_sym__keyword_and_token1] = ACTIONS(1382),
    [aux_sym__keyword_like_token1] = ACTIONS(1382),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1382),
    [aux_sym__keyword_window_token1] = ACTIONS(1382),
    [aux_sym__keyword_for_token1] = ACTIONS(1382),
    [anon_sym_SEMI] = ACTIONS(1382),
    [aux_sym_declare_statement_token1] = ACTIONS(1382),
    [anon_sym_COMMA] = ACTIONS(1382),
    [aux_sym_set_statement_token1] = ACTIONS(1382),
    [anon_sym_LPAREN] = ACTIONS(1382),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1382),
    [aux_sym_return_satement_token1] = ACTIONS(1382),
    [aux_sym_call_statement_token1] = ACTIONS(1382),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1382),
    [aux_sym_if_statement_token1] = ACTIONS(1382),
    [aux_sym_loop_statement_token1] = ACTIONS(1382),
    [aux_sym_repeat_statement_token1] = ACTIONS(1382),
    [aux_sym_while_statement_token1] = ACTIONS(1382),
    [aux_sym_break_statement_token1] = ACTIONS(1382),
    [aux_sym_leave_statement_token1] = ACTIONS(1382),
    [aux_sym_continue_statement_token1] = ACTIONS(1382),
    [aux_sym_iterate_statement_token1] = ACTIONS(1382),
    [aux_sym_raise_statement_token1] = ACTIONS(1382),
    [anon_sym_EQ] = ACTIONS(1382),
    [aux_sym_assert_statement_token1] = ACTIONS(1382),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1382),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1382),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1382),
    [anon_sym_LT] = ACTIONS(1384),
    [anon_sym_GT] = ACTIONS(1384),
    [aux_sym_set_operation_token1] = ACTIONS(1382),
    [aux_sym_set_operation_token3] = ACTIONS(1382),
    [aux_sym_set_operation_token4] = ACTIONS(1384),
    [aux_sym_select_token1] = ACTIONS(1382),
    [aux_sym_having_clause_token1] = ACTIONS(1382),
    [aux_sym_qualify_clause_token1] = ACTIONS(1382),
    [aux_sym_limit_clause_token1] = ACTIONS(1382),
    [aux_sym_group_by_clause_token1] = ACTIONS(1382),
    [aux_sym__direction_keywords_token1] = ACTIONS(1382),
    [aux_sym__direction_keywords_token2] = ACTIONS(1382),
    [aux_sym__nulls_preference_token1] = ACTIONS(1382),
    [aux_sym_order_by_clause_token1] = ACTIONS(1382),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1382),
    [aux_sym_truncate_statement_token1] = ACTIONS(1382),
    [aux_sym_update_statement_token1] = ACTIONS(1382),
    [aux_sym_merge_statement_token1] = ACTIONS(1382),
    [aux_sym_grant_statement_token1] = ACTIONS(1382),
    [aux_sym_revoke_statement_token1] = ACTIONS(1382),
    [aux_sym_export_data_statement_token1] = ACTIONS(1382),
    [aux_sym_load_data_statement_token1] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(1382),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1382),
    [anon_sym_PLUS] = ACTIONS(1382),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_STAR] = ACTIONS(1382),
    [anon_sym_SLASH] = ACTIONS(1384),
    [anon_sym_PIPE_PIPE] = ACTIONS(1382),
    [anon_sym_LT_EQ] = ACTIONS(1382),
    [anon_sym_LT_GT] = ACTIONS(1382),
    [anon_sym_GT_EQ] = ACTIONS(1382),
    [anon_sym_BANG_EQ] = ACTIONS(1382),
    [anon_sym_LT_LT] = ACTIONS(1382),
    [anon_sym_GT_GT] = ACTIONS(1382),
    [anon_sym_AMP] = ACTIONS(1382),
    [anon_sym_CARET] = ACTIONS(1382),
    [anon_sym_PIPE] = ACTIONS(1384),
  },
  [2403] = {
    [sym_analytics_clause] = STATE(2572),
    [ts_builtin_sym_end] = ACTIONS(1390),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1390),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1390),
    [aux_sym_keyword_replace_token1] = ACTIONS(1392),
    [aux_sym__keyword_alter_token1] = ACTIONS(1390),
    [aux_sym__keyword_delete_token1] = ACTIONS(1390),
    [aux_sym__keyword_begin_token1] = ACTIONS(1390),
    [aux_sym__keyword_end_token1] = ACTIONS(1390),
    [aux_sym__keyword_between_token1] = ACTIONS(1390),
    [aux_sym__keyword_when_token1] = ACTIONS(1390),
    [aux_sym__keyword_else_token1] = ACTIONS(1392),
    [aux_sym__keyword_is_token1] = ACTIONS(1390),
    [aux_sym__keyword_in_token1] = ACTIONS(1392),
    [aux_sym__keyword_and_token1] = ACTIONS(1390),
    [aux_sym__keyword_like_token1] = ACTIONS(1390),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1390),
    [aux_sym__keyword_window_token1] = ACTIONS(1390),
    [aux_sym__keyword_for_token1] = ACTIONS(1390),
    [anon_sym_SEMI] = ACTIONS(1390),
    [aux_sym_declare_statement_token1] = ACTIONS(1390),
    [anon_sym_COMMA] = ACTIONS(1390),
    [aux_sym_set_statement_token1] = ACTIONS(1390),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1390),
    [aux_sym_return_satement_token1] = ACTIONS(1390),
    [aux_sym_call_statement_token1] = ACTIONS(1390),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1390),
    [aux_sym_if_statement_token1] = ACTIONS(1390),
    [aux_sym_loop_statement_token1] = ACTIONS(1390),
    [aux_sym_repeat_statement_token1] = ACTIONS(1390),
    [aux_sym_while_statement_token1] = ACTIONS(1390),
    [aux_sym_break_statement_token1] = ACTIONS(1390),
    [aux_sym_leave_statement_token1] = ACTIONS(1390),
    [aux_sym_continue_statement_token1] = ACTIONS(1390),
    [aux_sym_iterate_statement_token1] = ACTIONS(1390),
    [aux_sym_raise_statement_token1] = ACTIONS(1390),
    [anon_sym_EQ] = ACTIONS(1390),
    [aux_sym_assert_statement_token1] = ACTIONS(1390),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1390),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1390),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1390),
    [anon_sym_LT] = ACTIONS(1392),
    [anon_sym_GT] = ACTIONS(1392),
    [aux_sym_set_operation_token1] = ACTIONS(1390),
    [aux_sym_set_operation_token3] = ACTIONS(1390),
    [aux_sym_set_operation_token4] = ACTIONS(1392),
    [aux_sym_select_token1] = ACTIONS(1390),
    [aux_sym_having_clause_token1] = ACTIONS(1390),
    [aux_sym_qualify_clause_token1] = ACTIONS(1390),
    [aux_sym_limit_clause_token1] = ACTIONS(1390),
    [aux_sym_group_by_clause_token1] = ACTIONS(1390),
    [aux_sym__direction_keywords_token1] = ACTIONS(1390),
    [aux_sym__direction_keywords_token2] = ACTIONS(1390),
    [aux_sym__nulls_preference_token1] = ACTIONS(1390),
    [aux_sym_order_by_clause_token1] = ACTIONS(1390),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1390),
    [aux_sym_truncate_statement_token1] = ACTIONS(1390),
    [aux_sym_update_statement_token1] = ACTIONS(1390),
    [aux_sym_merge_statement_token1] = ACTIONS(1390),
    [aux_sym_grant_statement_token1] = ACTIONS(1390),
    [aux_sym_revoke_statement_token1] = ACTIONS(1390),
    [aux_sym_export_data_statement_token1] = ACTIONS(1390),
    [aux_sym_load_data_statement_token1] = ACTIONS(1390),
    [anon_sym_LBRACK] = ACTIONS(1390),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_DASH] = ACTIONS(1392),
    [anon_sym_STAR] = ACTIONS(1390),
    [anon_sym_SLASH] = ACTIONS(1392),
    [anon_sym_PIPE_PIPE] = ACTIONS(1390),
    [anon_sym_LT_EQ] = ACTIONS(1390),
    [anon_sym_LT_GT] = ACTIONS(1390),
    [anon_sym_GT_EQ] = ACTIONS(1390),
    [anon_sym_BANG_EQ] = ACTIONS(1390),
    [anon_sym_LT_LT] = ACTIONS(1390),
    [anon_sym_GT_GT] = ACTIONS(1390),
    [anon_sym_AMP] = ACTIONS(1390),
    [anon_sym_CARET] = ACTIONS(1390),
    [anon_sym_PIPE] = ACTIONS(1392),
  },
  [2404] = {
    [sym_analytics_clause] = STATE(2603),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2405] = {
    [ts_builtin_sym_end] = ACTIONS(1508),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1508),
    [aux_sym__keyword_alter_token1] = ACTIONS(1508),
    [aux_sym__keyword_from_token1] = ACTIONS(1508),
    [aux_sym__keyword_delete_token1] = ACTIONS(1508),
    [aux_sym__keyword_begin_token1] = ACTIONS(1508),
    [aux_sym__keyword_end_token1] = ACTIONS(1508),
    [aux_sym__keyword_range_token1] = ACTIONS(1508),
    [aux_sym__keyword_when_token1] = ACTIONS(1508),
    [aux_sym__keyword_else_token1] = ACTIONS(1510),
    [aux_sym__keyword_like_token1] = ACTIONS(1508),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1508),
    [aux_sym__keyword_as_token1] = ACTIONS(1510),
    [aux_sym__keyword_window_token1] = ACTIONS(1508),
    [aux_sym__keyword_partition_by_token1] = ACTIONS(1508),
    [aux_sym__keyword_for_token1] = ACTIONS(1508),
    [anon_sym_SEMI] = ACTIONS(1508),
    [aux_sym_declare_statement_token1] = ACTIONS(1508),
    [anon_sym_COMMA] = ACTIONS(1508),
    [aux_sym_default_clause_token1] = ACTIONS(1508),
    [aux_sym_set_statement_token1] = ACTIONS(1508),
    [aux_sym_set_statement_token2] = ACTIONS(1508),
    [anon_sym_LPAREN] = ACTIONS(1508),
    [anon_sym_RPAREN] = ACTIONS(1508),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1508),
    [aux_sym_using_clause_token1] = ACTIONS(1508),
    [aux_sym_return_satement_token1] = ACTIONS(1508),
    [aux_sym_call_statement_token1] = ACTIONS(1508),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1508),
    [aux_sym_if_statement_token1] = ACTIONS(1508),
    [aux_sym_loop_statement_token1] = ACTIONS(1508),
    [aux_sym_repeat_statement_token1] = ACTIONS(1508),
    [aux_sym_while_statement_token1] = ACTIONS(1508),
    [aux_sym_break_statement_token1] = ACTIONS(1508),
    [aux_sym_leave_statement_token1] = ACTIONS(1508),
    [aux_sym_continue_statement_token1] = ACTIONS(1508),
    [aux_sym_iterate_statement_token1] = ACTIONS(1508),
    [aux_sym_raise_statement_token1] = ACTIONS(1508),
    [aux_sym_assert_statement_token1] = ACTIONS(1508),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1508),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1508),
    [aux_sym_drop_schema_option_token1] = ACTIONS(1508),
    [aux_sym_drop_schema_option_token2] = ACTIONS(1508),
    [aux_sym_clone_clause_token1] = ACTIONS(1508),
    [aux_sym_copy_clause_token1] = ACTIONS(1508),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1508),
    [aux_sym_option_clause_token1] = ACTIONS(1508),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1508),
    [aux_sym_transoform_clause_token1] = ACTIONS(1508),
    [aux_sym_set_operation_token1] = ACTIONS(1508),
    [aux_sym_set_operation_token3] = ACTIONS(1508),
    [aux_sym_set_operation_token4] = ACTIONS(1510),
    [aux_sym_select_token1] = ACTIONS(1508),
    [aux_sym_having_clause_token1] = ACTIONS(1508),
    [aux_sym_qualify_clause_token1] = ACTIONS(1508),
    [aux_sym_limit_clause_token1] = ACTIONS(1508),
    [aux_sym_group_by_clause_token1] = ACTIONS(1508),
    [aux_sym_rows_range_token1] = ACTIONS(1508),
    [aux_sym__nulls_preference_token1] = ACTIONS(1508),
    [aux_sym_order_by_clause_token1] = ACTIONS(1508),
    [aux_sym_where_clause_token1] = ACTIONS(1508),
    [aux_sym_pivot_operator_token1] = ACTIONS(1508),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1508),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1508),
    [aux_sym_join_type_token1] = ACTIONS(1508),
    [aux_sym_join_type_token2] = ACTIONS(1508),
    [aux_sym_join_type_token3] = ACTIONS(1508),
    [aux_sym_join_type_token4] = ACTIONS(1508),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1508),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1508),
    [aux_sym_join_condition_token1] = ACTIONS(1508),
    [aux_sym_function_call_token1] = ACTIONS(1508),
    [aux_sym_insert_statement_token1] = ACTIONS(1508),
    [aux_sym_truncate_statement_token1] = ACTIONS(1508),
    [aux_sym_update_statement_token1] = ACTIONS(1508),
    [aux_sym_merge_statement_token1] = ACTIONS(1508),
    [aux_sym_grant_statement_token1] = ACTIONS(1508),
    [aux_sym_revoke_statement_token1] = ACTIONS(1508),
    [aux_sym_export_data_statement_token1] = ACTIONS(1508),
    [aux_sym_load_data_statement_token1] = ACTIONS(1508),
    [anon_sym_DOT] = ACTIONS(1514),
    [sym_comment] = ACTIONS(3),
  },
  [2406] = {
    [sym_analytics_clause] = STATE(2569),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_window_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_having_clause_token1] = ACTIONS(1378),
    [aux_sym_qualify_clause_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym_group_by_clause_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token2] = ACTIONS(1378),
    [aux_sym__nulls_preference_token1] = ACTIONS(1378),
    [aux_sym_order_by_clause_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [2407] = {
    [sym_analytics_clause] = STATE(2724),
    [ts_builtin_sym_end] = ACTIONS(1480),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1480),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1480),
    [aux_sym_keyword_replace_token1] = ACTIONS(1482),
    [aux_sym__keyword_alter_token1] = ACTIONS(1480),
    [aux_sym__keyword_delete_token1] = ACTIONS(1480),
    [aux_sym__keyword_begin_token1] = ACTIONS(1480),
    [aux_sym__keyword_end_token1] = ACTIONS(1480),
    [aux_sym__keyword_between_token1] = ACTIONS(1480),
    [aux_sym__keyword_when_token1] = ACTIONS(1480),
    [aux_sym__keyword_else_token1] = ACTIONS(1482),
    [aux_sym__keyword_is_token1] = ACTIONS(1480),
    [aux_sym__keyword_in_token1] = ACTIONS(1482),
    [aux_sym__keyword_and_token1] = ACTIONS(1480),
    [aux_sym__keyword_like_token1] = ACTIONS(1480),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1480),
    [aux_sym__keyword_window_token1] = ACTIONS(1480),
    [aux_sym__keyword_for_token1] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1480),
    [aux_sym_declare_statement_token1] = ACTIONS(1480),
    [anon_sym_COMMA] = ACTIONS(1480),
    [aux_sym_set_statement_token1] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(1480),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1480),
    [aux_sym_return_satement_token1] = ACTIONS(1480),
    [aux_sym_call_statement_token1] = ACTIONS(1480),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1480),
    [aux_sym_if_statement_token1] = ACTIONS(1480),
    [aux_sym_loop_statement_token1] = ACTIONS(1480),
    [aux_sym_repeat_statement_token1] = ACTIONS(1480),
    [aux_sym_while_statement_token1] = ACTIONS(1480),
    [aux_sym_break_statement_token1] = ACTIONS(1480),
    [aux_sym_leave_statement_token1] = ACTIONS(1480),
    [aux_sym_continue_statement_token1] = ACTIONS(1480),
    [aux_sym_iterate_statement_token1] = ACTIONS(1480),
    [aux_sym_raise_statement_token1] = ACTIONS(1480),
    [anon_sym_EQ] = ACTIONS(1480),
    [aux_sym_assert_statement_token1] = ACTIONS(1480),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1480),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1480),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1480),
    [anon_sym_LT] = ACTIONS(1482),
    [anon_sym_GT] = ACTIONS(1482),
    [aux_sym_set_operation_token1] = ACTIONS(1480),
    [aux_sym_set_operation_token3] = ACTIONS(1480),
    [aux_sym_set_operation_token4] = ACTIONS(1482),
    [aux_sym_select_token1] = ACTIONS(1480),
    [aux_sym_having_clause_token1] = ACTIONS(1480),
    [aux_sym_qualify_clause_token1] = ACTIONS(1480),
    [aux_sym_limit_clause_token1] = ACTIONS(1480),
    [aux_sym_group_by_clause_token1] = ACTIONS(1480),
    [aux_sym__direction_keywords_token1] = ACTIONS(1480),
    [aux_sym__direction_keywords_token2] = ACTIONS(1480),
    [aux_sym__nulls_preference_token1] = ACTIONS(1480),
    [aux_sym_order_by_clause_token1] = ACTIONS(1480),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1480),
    [aux_sym_truncate_statement_token1] = ACTIONS(1480),
    [aux_sym_update_statement_token1] = ACTIONS(1480),
    [aux_sym_merge_statement_token1] = ACTIONS(1480),
    [aux_sym_grant_statement_token1] = ACTIONS(1480),
    [aux_sym_revoke_statement_token1] = ACTIONS(1480),
    [aux_sym_export_data_statement_token1] = ACTIONS(1480),
    [aux_sym_load_data_statement_token1] = ACTIONS(1480),
    [anon_sym_LBRACK] = ACTIONS(1480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_DASH] = ACTIONS(1482),
    [anon_sym_STAR] = ACTIONS(1480),
    [anon_sym_SLASH] = ACTIONS(1482),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [anon_sym_LT_EQ] = ACTIONS(1480),
    [anon_sym_LT_GT] = ACTIONS(1480),
    [anon_sym_GT_EQ] = ACTIONS(1480),
    [anon_sym_BANG_EQ] = ACTIONS(1480),
    [anon_sym_LT_LT] = ACTIONS(1480),
    [anon_sym_GT_GT] = ACTIONS(1480),
    [anon_sym_AMP] = ACTIONS(1480),
    [anon_sym_CARET] = ACTIONS(1480),
    [anon_sym_PIPE] = ACTIONS(1482),
  },
  [2408] = {
    [sym_analytics_clause] = STATE(2723),
    [ts_builtin_sym_end] = ACTIONS(1488),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1488),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1488),
    [aux_sym_keyword_replace_token1] = ACTIONS(1490),
    [aux_sym__keyword_alter_token1] = ACTIONS(1488),
    [aux_sym__keyword_delete_token1] = ACTIONS(1488),
    [aux_sym__keyword_begin_token1] = ACTIONS(1488),
    [aux_sym__keyword_end_token1] = ACTIONS(1488),
    [aux_sym__keyword_between_token1] = ACTIONS(1488),
    [aux_sym__keyword_when_token1] = ACTIONS(1488),
    [aux_sym__keyword_else_token1] = ACTIONS(1490),
    [aux_sym__keyword_is_token1] = ACTIONS(1488),
    [aux_sym__keyword_in_token1] = ACTIONS(1490),
    [aux_sym__keyword_and_token1] = ACTIONS(1488),
    [aux_sym__keyword_like_token1] = ACTIONS(1488),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1488),
    [aux_sym__keyword_window_token1] = ACTIONS(1488),
    [aux_sym__keyword_for_token1] = ACTIONS(1488),
    [anon_sym_SEMI] = ACTIONS(1488),
    [aux_sym_declare_statement_token1] = ACTIONS(1488),
    [anon_sym_COMMA] = ACTIONS(1488),
    [aux_sym_set_statement_token1] = ACTIONS(1488),
    [anon_sym_LPAREN] = ACTIONS(1488),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1488),
    [aux_sym_return_satement_token1] = ACTIONS(1488),
    [aux_sym_call_statement_token1] = ACTIONS(1488),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1488),
    [aux_sym_if_statement_token1] = ACTIONS(1488),
    [aux_sym_loop_statement_token1] = ACTIONS(1488),
    [aux_sym_repeat_statement_token1] = ACTIONS(1488),
    [aux_sym_while_statement_token1] = ACTIONS(1488),
    [aux_sym_break_statement_token1] = ACTIONS(1488),
    [aux_sym_leave_statement_token1] = ACTIONS(1488),
    [aux_sym_continue_statement_token1] = ACTIONS(1488),
    [aux_sym_iterate_statement_token1] = ACTIONS(1488),
    [aux_sym_raise_statement_token1] = ACTIONS(1488),
    [anon_sym_EQ] = ACTIONS(1488),
    [aux_sym_assert_statement_token1] = ACTIONS(1488),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1488),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1488),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1488),
    [anon_sym_LT] = ACTIONS(1490),
    [anon_sym_GT] = ACTIONS(1490),
    [aux_sym_set_operation_token1] = ACTIONS(1488),
    [aux_sym_set_operation_token3] = ACTIONS(1488),
    [aux_sym_set_operation_token4] = ACTIONS(1490),
    [aux_sym_select_token1] = ACTIONS(1488),
    [aux_sym_having_clause_token1] = ACTIONS(1488),
    [aux_sym_qualify_clause_token1] = ACTIONS(1488),
    [aux_sym_limit_clause_token1] = ACTIONS(1488),
    [aux_sym_group_by_clause_token1] = ACTIONS(1488),
    [aux_sym__direction_keywords_token1] = ACTIONS(1488),
    [aux_sym__direction_keywords_token2] = ACTIONS(1488),
    [aux_sym__nulls_preference_token1] = ACTIONS(1488),
    [aux_sym_order_by_clause_token1] = ACTIONS(1488),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1488),
    [aux_sym_truncate_statement_token1] = ACTIONS(1488),
    [aux_sym_update_statement_token1] = ACTIONS(1488),
    [aux_sym_merge_statement_token1] = ACTIONS(1488),
    [aux_sym_grant_statement_token1] = ACTIONS(1488),
    [aux_sym_revoke_statement_token1] = ACTIONS(1488),
    [aux_sym_export_data_statement_token1] = ACTIONS(1488),
    [aux_sym_load_data_statement_token1] = ACTIONS(1488),
    [anon_sym_LBRACK] = ACTIONS(1488),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1488),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_STAR] = ACTIONS(1488),
    [anon_sym_SLASH] = ACTIONS(1490),
    [anon_sym_PIPE_PIPE] = ACTIONS(1488),
    [anon_sym_LT_EQ] = ACTIONS(1488),
    [anon_sym_LT_GT] = ACTIONS(1488),
    [anon_sym_GT_EQ] = ACTIONS(1488),
    [anon_sym_BANG_EQ] = ACTIONS(1488),
    [anon_sym_LT_LT] = ACTIONS(1488),
    [anon_sym_GT_GT] = ACTIONS(1488),
    [anon_sym_AMP] = ACTIONS(1488),
    [anon_sym_CARET] = ACTIONS(1488),
    [anon_sym_PIPE] = ACTIONS(1490),
  },
  [2409] = {
    [sym_analytics_clause] = STATE(2722),
    [ts_builtin_sym_end] = ACTIONS(1492),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1492),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1492),
    [aux_sym_keyword_replace_token1] = ACTIONS(1494),
    [aux_sym__keyword_alter_token1] = ACTIONS(1492),
    [aux_sym__keyword_delete_token1] = ACTIONS(1492),
    [aux_sym__keyword_begin_token1] = ACTIONS(1492),
    [aux_sym__keyword_end_token1] = ACTIONS(1492),
    [aux_sym__keyword_between_token1] = ACTIONS(1492),
    [aux_sym__keyword_when_token1] = ACTIONS(1492),
    [aux_sym__keyword_else_token1] = ACTIONS(1494),
    [aux_sym__keyword_is_token1] = ACTIONS(1492),
    [aux_sym__keyword_in_token1] = ACTIONS(1494),
    [aux_sym__keyword_and_token1] = ACTIONS(1492),
    [aux_sym__keyword_like_token1] = ACTIONS(1492),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1492),
    [aux_sym__keyword_window_token1] = ACTIONS(1492),
    [aux_sym__keyword_for_token1] = ACTIONS(1492),
    [anon_sym_SEMI] = ACTIONS(1492),
    [aux_sym_declare_statement_token1] = ACTIONS(1492),
    [anon_sym_COMMA] = ACTIONS(1492),
    [aux_sym_set_statement_token1] = ACTIONS(1492),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1492),
    [aux_sym_return_satement_token1] = ACTIONS(1492),
    [aux_sym_call_statement_token1] = ACTIONS(1492),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1492),
    [aux_sym_if_statement_token1] = ACTIONS(1492),
    [aux_sym_loop_statement_token1] = ACTIONS(1492),
    [aux_sym_repeat_statement_token1] = ACTIONS(1492),
    [aux_sym_while_statement_token1] = ACTIONS(1492),
    [aux_sym_break_statement_token1] = ACTIONS(1492),
    [aux_sym_leave_statement_token1] = ACTIONS(1492),
    [aux_sym_continue_statement_token1] = ACTIONS(1492),
    [aux_sym_iterate_statement_token1] = ACTIONS(1492),
    [aux_sym_raise_statement_token1] = ACTIONS(1492),
    [anon_sym_EQ] = ACTIONS(1492),
    [aux_sym_assert_statement_token1] = ACTIONS(1492),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1492),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1492),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1492),
    [anon_sym_LT] = ACTIONS(1494),
    [anon_sym_GT] = ACTIONS(1494),
    [aux_sym_set_operation_token1] = ACTIONS(1492),
    [aux_sym_set_operation_token3] = ACTIONS(1492),
    [aux_sym_set_operation_token4] = ACTIONS(1494),
    [aux_sym_select_token1] = ACTIONS(1492),
    [aux_sym_having_clause_token1] = ACTIONS(1492),
    [aux_sym_qualify_clause_token1] = ACTIONS(1492),
    [aux_sym_limit_clause_token1] = ACTIONS(1492),
    [aux_sym_group_by_clause_token1] = ACTIONS(1492),
    [aux_sym__direction_keywords_token1] = ACTIONS(1492),
    [aux_sym__direction_keywords_token2] = ACTIONS(1492),
    [aux_sym__nulls_preference_token1] = ACTIONS(1492),
    [aux_sym_order_by_clause_token1] = ACTIONS(1492),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1492),
    [aux_sym_truncate_statement_token1] = ACTIONS(1492),
    [aux_sym_update_statement_token1] = ACTIONS(1492),
    [aux_sym_merge_statement_token1] = ACTIONS(1492),
    [aux_sym_grant_statement_token1] = ACTIONS(1492),
    [aux_sym_revoke_statement_token1] = ACTIONS(1492),
    [aux_sym_export_data_statement_token1] = ACTIONS(1492),
    [aux_sym_load_data_statement_token1] = ACTIONS(1492),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_STAR] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1494),
    [anon_sym_PIPE_PIPE] = ACTIONS(1492),
    [anon_sym_LT_EQ] = ACTIONS(1492),
    [anon_sym_LT_GT] = ACTIONS(1492),
    [anon_sym_GT_EQ] = ACTIONS(1492),
    [anon_sym_BANG_EQ] = ACTIONS(1492),
    [anon_sym_LT_LT] = ACTIONS(1492),
    [anon_sym_GT_GT] = ACTIONS(1492),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_CARET] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1494),
  },
  [2410] = {
    [sym_analytics_clause] = STATE(2568),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_window_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_having_clause_token1] = ACTIONS(1378),
    [aux_sym_qualify_clause_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym_group_by_clause_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token2] = ACTIONS(1378),
    [aux_sym__nulls_preference_token1] = ACTIONS(1378),
    [aux_sym_order_by_clause_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [2411] = {
    [sym_analytics_clause] = STATE(2565),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_window_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_having_clause_token1] = ACTIONS(1378),
    [aux_sym_qualify_clause_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym_group_by_clause_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token2] = ACTIONS(1378),
    [aux_sym__nulls_preference_token1] = ACTIONS(1378),
    [aux_sym_order_by_clause_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [2412] = {
    [sym_analytics_clause] = STATE(2562),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_window_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_having_clause_token1] = ACTIONS(1378),
    [aux_sym_qualify_clause_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym_group_by_clause_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token2] = ACTIONS(1378),
    [aux_sym__nulls_preference_token1] = ACTIONS(1378),
    [aux_sym_order_by_clause_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [2413] = {
    [sym_analytics_clause] = STATE(2605),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2414] = {
    [sym__keyword_as] = STATE(11549),
    [sym__keyword_date] = STATE(2774),
    [sym__keyword_datetime] = STATE(2774),
    [sym__keyword_time] = STATE(2774),
    [sym__keyword_timestamp] = STATE(2774),
    [sym_as_alias] = STATE(4397),
    [sym_unnest_withoffset] = STATE(4394),
    [sym__type_chrono] = STATE(2771),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4403),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [ts_builtin_sym_end] = ACTIONS(211),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(205),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(205),
    [aux_sym_keyword_replace_token1] = ACTIONS(205),
    [aux_sym__keyword_alter_token1] = ACTIONS(205),
    [aux_sym__keyword_delete_token1] = ACTIONS(205),
    [aux_sym__keyword_begin_token1] = ACTIONS(205),
    [aux_sym__keyword_between_token1] = ACTIONS(205),
    [aux_sym__keyword_is_token1] = ACTIONS(205),
    [aux_sym__keyword_in_token1] = ACTIONS(205),
    [aux_sym__keyword_and_token1] = ACTIONS(205),
    [aux_sym__keyword_like_token1] = ACTIONS(205),
    [aux_sym__keyword_repeat_token1] = ACTIONS(205),
    [aux_sym__keyword_as_token1] = ACTIONS(2738),
    [aux_sym__keyword_date_token1] = ACTIONS(1328),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1328),
    [aux_sym__keyword_time_token1] = ACTIONS(1328),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1328),
    [aux_sym__keyword_for_token1] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(211),
    [aux_sym_declare_statement_token1] = ACTIONS(205),
    [anon_sym_COMMA] = ACTIONS(211),
    [aux_sym_set_statement_token1] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(211),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(205),
    [aux_sym_return_satement_token1] = ACTIONS(205),
    [aux_sym_call_statement_token1] = ACTIONS(205),
    [aux_sym_loop_statement_token1] = ACTIONS(205),
    [aux_sym_while_statement_token1] = ACTIONS(205),
    [aux_sym_break_statement_token1] = ACTIONS(205),
    [aux_sym_leave_statement_token1] = ACTIONS(205),
    [aux_sym_continue_statement_token1] = ACTIONS(205),
    [aux_sym_iterate_statement_token1] = ACTIONS(205),
    [aux_sym_raise_statement_token1] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(211),
    [aux_sym_assert_statement_token1] = ACTIONS(205),
    [aux_sym_create_schema_statement_token1] = ACTIONS(205),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(205),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2740),
    [aux_sym_option_clause_token1] = ACTIONS(205),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [aux_sym_select_token1] = ACTIONS(205),
    [aux_sym_insert_statement_token1] = ACTIONS(205),
    [aux_sym_truncate_statement_token1] = ACTIONS(205),
    [aux_sym_update_statement_token1] = ACTIONS(205),
    [aux_sym_merge_statement_token1] = ACTIONS(205),
    [aux_sym_grant_statement_token1] = ACTIONS(205),
    [aux_sym_revoke_statement_token1] = ACTIONS(205),
    [aux_sym_export_data_statement_token1] = ACTIONS(205),
    [aux_sym_load_data_statement_token1] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(211),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(211),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(211),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(211),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_LT_GT] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(211),
    [anon_sym_GT_GT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_CARET] = ACTIONS(211),
    [anon_sym_PIPE] = ACTIONS(205),
  },
  [2415] = {
    [sym_analytics_clause] = STATE(2560),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_window_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_having_clause_token1] = ACTIONS(1378),
    [aux_sym_qualify_clause_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym_group_by_clause_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token2] = ACTIONS(1378),
    [aux_sym__nulls_preference_token1] = ACTIONS(1378),
    [aux_sym_order_by_clause_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [2416] = {
    [sym_analytics_clause] = STATE(2672),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2417] = {
    [sym_analytics_clause] = STATE(2668),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2418] = {
    [sym_analytics_clause] = STATE(2559),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_window_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_having_clause_token1] = ACTIONS(1378),
    [aux_sym_qualify_clause_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym_group_by_clause_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token2] = ACTIONS(1378),
    [aux_sym__nulls_preference_token1] = ACTIONS(1378),
    [aux_sym_order_by_clause_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [2419] = {
    [sym_analytics_clause] = STATE(2557),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_window_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_having_clause_token1] = ACTIONS(1378),
    [aux_sym_qualify_clause_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym_group_by_clause_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token2] = ACTIONS(1378),
    [aux_sym__nulls_preference_token1] = ACTIONS(1378),
    [aux_sym_order_by_clause_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [2420] = {
    [sym__keyword_between] = STATE(1827),
    [sym__keyword_is] = STATE(12033),
    [sym__keyword_in] = STATE(1775),
    [sym__keyword_not] = STATE(13068),
    [sym__keyword_and] = STATE(1837),
    [sym__keyword_or] = STATE(1873),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16337),
    [sym_quantitve_like_operator] = STATE(16336),
    [sym__unquoted_identifier] = ACTIONS(1033),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1033),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1033),
    [aux_sym_keyword_replace_token1] = ACTIONS(1033),
    [aux_sym__keyword_alter_token1] = ACTIONS(1033),
    [aux_sym__keyword_delete_token1] = ACTIONS(1033),
    [aux_sym__keyword_begin_token1] = ACTIONS(1033),
    [aux_sym__keyword_end_token1] = ACTIONS(1033),
    [aux_sym__keyword_between_token1] = ACTIONS(1033),
    [aux_sym__keyword_else_token1] = ACTIONS(1033),
    [aux_sym__keyword_is_token1] = ACTIONS(1033),
    [aux_sym__keyword_in_token1] = ACTIONS(1033),
    [aux_sym__keyword_and_token1] = ACTIONS(1033),
    [aux_sym__keyword_like_token1] = ACTIONS(1033),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1033),
    [aux_sym__keyword_as_token1] = ACTIONS(1033),
    [aux_sym__keyword_date_token1] = ACTIONS(1033),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1033),
    [aux_sym__keyword_time_token1] = ACTIONS(1033),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1033),
    [aux_sym__keyword_for_token1] = ACTIONS(1033),
    [anon_sym_SEMI] = ACTIONS(1031),
    [aux_sym_declare_statement_token1] = ACTIONS(1033),
    [anon_sym_COMMA] = ACTIONS(1031),
    [aux_sym_set_statement_token1] = ACTIONS(1033),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1033),
    [aux_sym_return_satement_token1] = ACTIONS(1033),
    [aux_sym_call_statement_token1] = ACTIONS(1033),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1033),
    [aux_sym_if_statement_token1] = ACTIONS(1033),
    [aux_sym_loop_statement_token1] = ACTIONS(1033),
    [aux_sym_repeat_statement_token1] = ACTIONS(1033),
    [aux_sym_while_statement_token1] = ACTIONS(1033),
    [aux_sym_break_statement_token1] = ACTIONS(1033),
    [aux_sym_leave_statement_token1] = ACTIONS(1033),
    [aux_sym_continue_statement_token1] = ACTIONS(1033),
    [aux_sym_iterate_statement_token1] = ACTIONS(1033),
    [aux_sym_raise_statement_token1] = ACTIONS(1033),
    [anon_sym_EQ] = ACTIONS(1031),
    [aux_sym_assert_statement_token1] = ACTIONS(1033),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1033),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1033),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1033),
    [anon_sym_GT] = ACTIONS(1033),
    [aux_sym_select_token1] = ACTIONS(1033),
    [aux_sym_insert_statement_token1] = ACTIONS(1033),
    [aux_sym_truncate_statement_token1] = ACTIONS(1033),
    [aux_sym_update_statement_token1] = ACTIONS(1033),
    [aux_sym_merge_statement_token1] = ACTIONS(1033),
    [aux_sym_grant_statement_token1] = ACTIONS(1033),
    [aux_sym_revoke_statement_token1] = ACTIONS(1033),
    [aux_sym_export_data_statement_token1] = ACTIONS(1033),
    [aux_sym_load_data_statement_token1] = ACTIONS(1033),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [sym__quoted_identifier] = ACTIONS(1031),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1031),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1338),
    [anon_sym_STAR] = ACTIONS(1340),
    [anon_sym_SLASH] = ACTIONS(1342),
    [anon_sym_PIPE_PIPE] = ACTIONS(1340),
    [anon_sym_LT_EQ] = ACTIONS(1031),
    [anon_sym_LT_GT] = ACTIONS(1031),
    [anon_sym_GT_EQ] = ACTIONS(1031),
    [anon_sym_BANG_EQ] = ACTIONS(1031),
    [anon_sym_LT_LT] = ACTIONS(1344),
    [anon_sym_GT_GT] = ACTIONS(1344),
    [anon_sym_AMP] = ACTIONS(1346),
    [anon_sym_CARET] = ACTIONS(1348),
    [anon_sym_PIPE] = ACTIONS(1350),
  },
  [2421] = {
    [sym_analytics_clause] = STATE(2554),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_window_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_having_clause_token1] = ACTIONS(1378),
    [aux_sym_qualify_clause_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym_group_by_clause_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token2] = ACTIONS(1378),
    [aux_sym__nulls_preference_token1] = ACTIONS(1378),
    [aux_sym_order_by_clause_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [2422] = {
    [sym__keyword_between] = STATE(1827),
    [sym__keyword_is] = STATE(12033),
    [sym__keyword_in] = STATE(1775),
    [sym__keyword_not] = STATE(13068),
    [sym__keyword_and] = STATE(1837),
    [sym__keyword_or] = STATE(1873),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16337),
    [sym_quantitve_like_operator] = STATE(16336),
    [sym__unquoted_identifier] = ACTIONS(1037),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1037),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1037),
    [aux_sym_keyword_replace_token1] = ACTIONS(1037),
    [aux_sym__keyword_alter_token1] = ACTIONS(1037),
    [aux_sym__keyword_delete_token1] = ACTIONS(1037),
    [aux_sym__keyword_begin_token1] = ACTIONS(1037),
    [aux_sym__keyword_end_token1] = ACTIONS(1037),
    [aux_sym__keyword_between_token1] = ACTIONS(1037),
    [aux_sym__keyword_else_token1] = ACTIONS(1037),
    [aux_sym__keyword_is_token1] = ACTIONS(1037),
    [aux_sym__keyword_in_token1] = ACTIONS(1037),
    [aux_sym__keyword_and_token1] = ACTIONS(1037),
    [aux_sym__keyword_like_token1] = ACTIONS(1037),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1037),
    [aux_sym__keyword_as_token1] = ACTIONS(1037),
    [aux_sym__keyword_date_token1] = ACTIONS(1037),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1037),
    [aux_sym__keyword_time_token1] = ACTIONS(1037),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1037),
    [aux_sym__keyword_for_token1] = ACTIONS(1037),
    [anon_sym_SEMI] = ACTIONS(1035),
    [aux_sym_declare_statement_token1] = ACTIONS(1037),
    [anon_sym_COMMA] = ACTIONS(1035),
    [aux_sym_set_statement_token1] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(1035),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1037),
    [aux_sym_return_satement_token1] = ACTIONS(1037),
    [aux_sym_call_statement_token1] = ACTIONS(1037),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1037),
    [aux_sym_if_statement_token1] = ACTIONS(1037),
    [aux_sym_loop_statement_token1] = ACTIONS(1037),
    [aux_sym_repeat_statement_token1] = ACTIONS(1037),
    [aux_sym_while_statement_token1] = ACTIONS(1037),
    [aux_sym_break_statement_token1] = ACTIONS(1037),
    [aux_sym_leave_statement_token1] = ACTIONS(1037),
    [aux_sym_continue_statement_token1] = ACTIONS(1037),
    [aux_sym_iterate_statement_token1] = ACTIONS(1037),
    [aux_sym_raise_statement_token1] = ACTIONS(1037),
    [anon_sym_EQ] = ACTIONS(1035),
    [aux_sym_assert_statement_token1] = ACTIONS(1037),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1037),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1037),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1037),
    [anon_sym_LT] = ACTIONS(1037),
    [anon_sym_GT] = ACTIONS(1037),
    [aux_sym_select_token1] = ACTIONS(1037),
    [aux_sym_insert_statement_token1] = ACTIONS(1037),
    [aux_sym_truncate_statement_token1] = ACTIONS(1037),
    [aux_sym_update_statement_token1] = ACTIONS(1037),
    [aux_sym_merge_statement_token1] = ACTIONS(1037),
    [aux_sym_grant_statement_token1] = ACTIONS(1037),
    [aux_sym_revoke_statement_token1] = ACTIONS(1037),
    [aux_sym_export_data_statement_token1] = ACTIONS(1037),
    [aux_sym_load_data_statement_token1] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(1035),
    [sym__quoted_identifier] = ACTIONS(1035),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1035),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1338),
    [anon_sym_STAR] = ACTIONS(1340),
    [anon_sym_SLASH] = ACTIONS(1342),
    [anon_sym_PIPE_PIPE] = ACTIONS(1340),
    [anon_sym_LT_EQ] = ACTIONS(1035),
    [anon_sym_LT_GT] = ACTIONS(1035),
    [anon_sym_GT_EQ] = ACTIONS(1035),
    [anon_sym_BANG_EQ] = ACTIONS(1035),
    [anon_sym_LT_LT] = ACTIONS(1344),
    [anon_sym_GT_GT] = ACTIONS(1344),
    [anon_sym_AMP] = ACTIONS(1346),
    [anon_sym_CARET] = ACTIONS(1348),
    [anon_sym_PIPE] = ACTIONS(1350),
  },
  [2423] = {
    [sym__keyword_between] = STATE(926),
    [sym__keyword_is] = STATE(12119),
    [sym__keyword_in] = STATE(864),
    [sym__keyword_not] = STATE(13080),
    [sym__keyword_and] = STATE(1038),
    [sym__keyword_or] = STATE(1050),
    [sym__keyword_like] = STATE(14280),
    [sym__direction_keywords] = STATE(5515),
    [sym__nulls_preference] = STATE(5934),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [ts_builtin_sym_end] = ACTIONS(2786),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(2786),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(341),
    [aux_sym__keyword_alter_token1] = ACTIONS(2786),
    [aux_sym__keyword_delete_token1] = ACTIONS(2786),
    [aux_sym__keyword_begin_token1] = ACTIONS(2786),
    [aux_sym__keyword_between_token1] = ACTIONS(2860),
    [aux_sym__keyword_when_token1] = ACTIONS(2786),
    [aux_sym__keyword_is_token1] = ACTIONS(2862),
    [aux_sym__keyword_in_token1] = ACTIONS(2864),
    [aux_sym__keyword_and_token1] = ACTIONS(2866),
    [aux_sym__keyword_like_token1] = ACTIONS(1007),
    [aux_sym__keyword_repeat_token1] = ACTIONS(2786),
    [aux_sym__keyword_for_token1] = ACTIONS(2786),
    [anon_sym_SEMI] = ACTIONS(2786),
    [aux_sym_declare_statement_token1] = ACTIONS(2786),
    [anon_sym_COMMA] = ACTIONS(2786),
    [aux_sym_set_statement_token1] = ACTIONS(2786),
    [anon_sym_LPAREN] = ACTIONS(2786),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(2786),
    [aux_sym_return_satement_token1] = ACTIONS(2786),
    [aux_sym_call_statement_token1] = ACTIONS(2786),
    [aux_sym_loop_statement_token1] = ACTIONS(2786),
    [aux_sym_while_statement_token1] = ACTIONS(2786),
    [aux_sym_break_statement_token1] = ACTIONS(2786),
    [aux_sym_leave_statement_token1] = ACTIONS(2786),
    [aux_sym_continue_statement_token1] = ACTIONS(2786),
    [aux_sym_iterate_statement_token1] = ACTIONS(2786),
    [aux_sym_raise_statement_token1] = ACTIONS(2786),
    [anon_sym_EQ] = ACTIONS(2870),
    [aux_sym_assert_statement_token1] = ACTIONS(2786),
    [aux_sym_create_schema_statement_token1] = ACTIONS(2786),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(2786),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2786),
    [anon_sym_LT] = ACTIONS(2864),
    [anon_sym_GT] = ACTIONS(2864),
    [aux_sym_set_operation_token1] = ACTIONS(2786),
    [aux_sym_set_operation_token3] = ACTIONS(2786),
    [aux_sym_set_operation_token4] = ACTIONS(2786),
    [aux_sym_select_token1] = ACTIONS(2786),
    [aux_sym_limit_clause_token1] = ACTIONS(2786),
    [aux_sym__direction_keywords_token1] = ACTIONS(2698),
    [aux_sym__direction_keywords_token2] = ACTIONS(2698),
    [aux_sym__nulls_preference_token1] = ACTIONS(2700),
    [aux_sym_order_by_clause_token1] = ACTIONS(2786),
    [aux_sym_insert_statement_token1] = ACTIONS(2786),
    [aux_sym_truncate_statement_token1] = ACTIONS(2786),
    [aux_sym_update_statement_token1] = ACTIONS(2786),
    [aux_sym_merge_statement_token1] = ACTIONS(2786),
    [aux_sym_grant_statement_token1] = ACTIONS(2786),
    [aux_sym_revoke_statement_token1] = ACTIONS(2786),
    [aux_sym_export_data_statement_token1] = ACTIONS(2786),
    [aux_sym_load_data_statement_token1] = ACTIONS(2786),
    [anon_sym_LBRACK] = ACTIONS(2702),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(2704),
    [anon_sym_PLUS] = ACTIONS(2872),
    [anon_sym_DASH] = ACTIONS(2874),
    [anon_sym_STAR] = ACTIONS(2876),
    [anon_sym_SLASH] = ACTIONS(2878),
    [anon_sym_PIPE_PIPE] = ACTIONS(2876),
    [anon_sym_LT_EQ] = ACTIONS(2870),
    [anon_sym_LT_GT] = ACTIONS(2870),
    [anon_sym_GT_EQ] = ACTIONS(2870),
    [anon_sym_BANG_EQ] = ACTIONS(2870),
    [anon_sym_LT_LT] = ACTIONS(2880),
    [anon_sym_GT_GT] = ACTIONS(2880),
    [anon_sym_AMP] = ACTIONS(2882),
    [anon_sym_CARET] = ACTIONS(2884),
    [anon_sym_PIPE] = ACTIONS(2886),
  },
  [2424] = {
    [sym_analytics_clause] = STATE(2551),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_window_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_having_clause_token1] = ACTIONS(1378),
    [aux_sym_qualify_clause_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym_group_by_clause_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token2] = ACTIONS(1378),
    [aux_sym__nulls_preference_token1] = ACTIONS(1378),
    [aux_sym_order_by_clause_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [2425] = {
    [sym_analytics_clause] = STATE(2550),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_window_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_having_clause_token1] = ACTIONS(1378),
    [aux_sym_qualify_clause_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym_group_by_clause_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token2] = ACTIONS(1378),
    [aux_sym__nulls_preference_token1] = ACTIONS(1378),
    [aux_sym_order_by_clause_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [2426] = {
    [sym_analytics_clause] = STATE(2549),
    [ts_builtin_sym_end] = ACTIONS(1484),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1484),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1484),
    [aux_sym_keyword_replace_token1] = ACTIONS(1486),
    [aux_sym__keyword_alter_token1] = ACTIONS(1484),
    [aux_sym__keyword_delete_token1] = ACTIONS(1484),
    [aux_sym__keyword_begin_token1] = ACTIONS(1484),
    [aux_sym__keyword_end_token1] = ACTIONS(1484),
    [aux_sym__keyword_between_token1] = ACTIONS(1484),
    [aux_sym__keyword_when_token1] = ACTIONS(1484),
    [aux_sym__keyword_else_token1] = ACTIONS(1486),
    [aux_sym__keyword_is_token1] = ACTIONS(1484),
    [aux_sym__keyword_in_token1] = ACTIONS(1486),
    [aux_sym__keyword_and_token1] = ACTIONS(1484),
    [aux_sym__keyword_like_token1] = ACTIONS(1484),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1484),
    [aux_sym__keyword_window_token1] = ACTIONS(1484),
    [aux_sym__keyword_for_token1] = ACTIONS(1484),
    [anon_sym_SEMI] = ACTIONS(1484),
    [aux_sym_declare_statement_token1] = ACTIONS(1484),
    [anon_sym_COMMA] = ACTIONS(1484),
    [aux_sym_set_statement_token1] = ACTIONS(1484),
    [anon_sym_LPAREN] = ACTIONS(1484),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1484),
    [aux_sym_return_satement_token1] = ACTIONS(1484),
    [aux_sym_call_statement_token1] = ACTIONS(1484),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1484),
    [aux_sym_if_statement_token1] = ACTIONS(1484),
    [aux_sym_loop_statement_token1] = ACTIONS(1484),
    [aux_sym_repeat_statement_token1] = ACTIONS(1484),
    [aux_sym_while_statement_token1] = ACTIONS(1484),
    [aux_sym_break_statement_token1] = ACTIONS(1484),
    [aux_sym_leave_statement_token1] = ACTIONS(1484),
    [aux_sym_continue_statement_token1] = ACTIONS(1484),
    [aux_sym_iterate_statement_token1] = ACTIONS(1484),
    [aux_sym_raise_statement_token1] = ACTIONS(1484),
    [anon_sym_EQ] = ACTIONS(1484),
    [aux_sym_assert_statement_token1] = ACTIONS(1484),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1484),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1484),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1484),
    [anon_sym_LT] = ACTIONS(1486),
    [anon_sym_GT] = ACTIONS(1486),
    [aux_sym_set_operation_token1] = ACTIONS(1484),
    [aux_sym_set_operation_token3] = ACTIONS(1484),
    [aux_sym_set_operation_token4] = ACTIONS(1486),
    [aux_sym_select_token1] = ACTIONS(1484),
    [aux_sym_having_clause_token1] = ACTIONS(1484),
    [aux_sym_qualify_clause_token1] = ACTIONS(1484),
    [aux_sym_limit_clause_token1] = ACTIONS(1484),
    [aux_sym_group_by_clause_token1] = ACTIONS(1484),
    [aux_sym__direction_keywords_token1] = ACTIONS(1484),
    [aux_sym__direction_keywords_token2] = ACTIONS(1484),
    [aux_sym__nulls_preference_token1] = ACTIONS(1484),
    [aux_sym_order_by_clause_token1] = ACTIONS(1484),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1484),
    [aux_sym_truncate_statement_token1] = ACTIONS(1484),
    [aux_sym_update_statement_token1] = ACTIONS(1484),
    [aux_sym_merge_statement_token1] = ACTIONS(1484),
    [aux_sym_grant_statement_token1] = ACTIONS(1484),
    [aux_sym_revoke_statement_token1] = ACTIONS(1484),
    [aux_sym_export_data_statement_token1] = ACTIONS(1484),
    [aux_sym_load_data_statement_token1] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_SLASH] = ACTIONS(1486),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [anon_sym_LT_EQ] = ACTIONS(1484),
    [anon_sym_LT_GT] = ACTIONS(1484),
    [anon_sym_GT_EQ] = ACTIONS(1484),
    [anon_sym_BANG_EQ] = ACTIONS(1484),
    [anon_sym_LT_LT] = ACTIONS(1484),
    [anon_sym_GT_GT] = ACTIONS(1484),
    [anon_sym_AMP] = ACTIONS(1484),
    [anon_sym_CARET] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1486),
  },
  [2427] = {
    [sym_analytics_clause] = STATE(2548),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2428] = {
    [sym_analytics_clause] = STATE(2547),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2429] = {
    [sym_analytics_clause] = STATE(2546),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2430] = {
    [sym_analytics_clause] = STATE(2664),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2431] = {
    [sym__keyword_between] = STATE(1827),
    [sym__keyword_is] = STATE(12033),
    [sym__keyword_in] = STATE(1775),
    [sym__keyword_not] = STATE(13068),
    [sym__keyword_and] = STATE(1837),
    [sym__keyword_or] = STATE(1873),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16337),
    [sym_quantitve_like_operator] = STATE(16336),
    [sym__unquoted_identifier] = ACTIONS(1041),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1041),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1041),
    [aux_sym_keyword_replace_token1] = ACTIONS(1041),
    [aux_sym__keyword_alter_token1] = ACTIONS(1041),
    [aux_sym__keyword_delete_token1] = ACTIONS(1041),
    [aux_sym__keyword_begin_token1] = ACTIONS(1041),
    [aux_sym__keyword_end_token1] = ACTIONS(1041),
    [aux_sym__keyword_between_token1] = ACTIONS(1041),
    [aux_sym__keyword_else_token1] = ACTIONS(1041),
    [aux_sym__keyword_is_token1] = ACTIONS(1041),
    [aux_sym__keyword_in_token1] = ACTIONS(1041),
    [aux_sym__keyword_and_token1] = ACTIONS(1041),
    [aux_sym__keyword_like_token1] = ACTIONS(1041),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1041),
    [aux_sym__keyword_as_token1] = ACTIONS(1041),
    [aux_sym__keyword_date_token1] = ACTIONS(1041),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1041),
    [aux_sym__keyword_time_token1] = ACTIONS(1041),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1041),
    [aux_sym__keyword_for_token1] = ACTIONS(1041),
    [anon_sym_SEMI] = ACTIONS(1039),
    [aux_sym_declare_statement_token1] = ACTIONS(1041),
    [anon_sym_COMMA] = ACTIONS(1039),
    [aux_sym_set_statement_token1] = ACTIONS(1041),
    [anon_sym_LPAREN] = ACTIONS(1039),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1041),
    [aux_sym_return_satement_token1] = ACTIONS(1041),
    [aux_sym_call_statement_token1] = ACTIONS(1041),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1041),
    [aux_sym_if_statement_token1] = ACTIONS(1041),
    [aux_sym_loop_statement_token1] = ACTIONS(1041),
    [aux_sym_repeat_statement_token1] = ACTIONS(1041),
    [aux_sym_while_statement_token1] = ACTIONS(1041),
    [aux_sym_break_statement_token1] = ACTIONS(1041),
    [aux_sym_leave_statement_token1] = ACTIONS(1041),
    [aux_sym_continue_statement_token1] = ACTIONS(1041),
    [aux_sym_iterate_statement_token1] = ACTIONS(1041),
    [aux_sym_raise_statement_token1] = ACTIONS(1041),
    [anon_sym_EQ] = ACTIONS(1039),
    [aux_sym_assert_statement_token1] = ACTIONS(1041),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1041),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1041),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1041),
    [anon_sym_LT] = ACTIONS(1041),
    [anon_sym_GT] = ACTIONS(1041),
    [aux_sym_select_token1] = ACTIONS(1041),
    [aux_sym_insert_statement_token1] = ACTIONS(1041),
    [aux_sym_truncate_statement_token1] = ACTIONS(1041),
    [aux_sym_update_statement_token1] = ACTIONS(1041),
    [aux_sym_merge_statement_token1] = ACTIONS(1041),
    [aux_sym_grant_statement_token1] = ACTIONS(1041),
    [aux_sym_revoke_statement_token1] = ACTIONS(1041),
    [aux_sym_export_data_statement_token1] = ACTIONS(1041),
    [aux_sym_load_data_statement_token1] = ACTIONS(1041),
    [anon_sym_LBRACK] = ACTIONS(1039),
    [sym__quoted_identifier] = ACTIONS(1039),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1039),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1338),
    [anon_sym_STAR] = ACTIONS(1340),
    [anon_sym_SLASH] = ACTIONS(1342),
    [anon_sym_PIPE_PIPE] = ACTIONS(1340),
    [anon_sym_LT_EQ] = ACTIONS(1039),
    [anon_sym_LT_GT] = ACTIONS(1039),
    [anon_sym_GT_EQ] = ACTIONS(1039),
    [anon_sym_BANG_EQ] = ACTIONS(1039),
    [anon_sym_LT_LT] = ACTIONS(1344),
    [anon_sym_GT_GT] = ACTIONS(1344),
    [anon_sym_AMP] = ACTIONS(1346),
    [anon_sym_CARET] = ACTIONS(1348),
    [anon_sym_PIPE] = ACTIONS(1350),
  },
  [2432] = {
    [sym__keyword_as] = STATE(14625),
    [ts_builtin_sym_end] = ACTIONS(1474),
    [sym__unquoted_identifier] = ACTIONS(1476),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1476),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1476),
    [aux_sym_keyword_replace_token1] = ACTIONS(1476),
    [aux_sym__keyword_alter_token1] = ACTIONS(1476),
    [aux_sym__keyword_from_token1] = ACTIONS(1476),
    [aux_sym__keyword_delete_token1] = ACTIONS(1476),
    [aux_sym__keyword_begin_token1] = ACTIONS(1476),
    [aux_sym__keyword_between_token1] = ACTIONS(1476),
    [aux_sym__keyword_when_token1] = ACTIONS(1476),
    [aux_sym__keyword_is_token1] = ACTIONS(1476),
    [aux_sym__keyword_in_token1] = ACTIONS(1476),
    [aux_sym__keyword_and_token1] = ACTIONS(1476),
    [aux_sym__keyword_like_token1] = ACTIONS(1476),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1476),
    [aux_sym__keyword_as_token1] = ACTIONS(1476),
    [aux_sym__keyword_window_token1] = ACTIONS(1476),
    [aux_sym__keyword_date_token1] = ACTIONS(1476),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1476),
    [aux_sym__keyword_time_token1] = ACTIONS(1476),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1476),
    [aux_sym__keyword_for_token1] = ACTIONS(1476),
    [anon_sym_SEMI] = ACTIONS(1474),
    [aux_sym_declare_statement_token1] = ACTIONS(1476),
    [anon_sym_COMMA] = ACTIONS(1474),
    [aux_sym_set_statement_token1] = ACTIONS(1476),
    [anon_sym_LPAREN] = ACTIONS(1474),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1476),
    [aux_sym_return_satement_token1] = ACTIONS(1476),
    [aux_sym_call_statement_token1] = ACTIONS(1476),
    [aux_sym_loop_statement_token1] = ACTIONS(1476),
    [aux_sym_while_statement_token1] = ACTIONS(1476),
    [aux_sym_break_statement_token1] = ACTIONS(1476),
    [aux_sym_leave_statement_token1] = ACTIONS(1476),
    [aux_sym_continue_statement_token1] = ACTIONS(1476),
    [aux_sym_iterate_statement_token1] = ACTIONS(1476),
    [aux_sym_raise_statement_token1] = ACTIONS(1476),
    [anon_sym_EQ] = ACTIONS(1474),
    [aux_sym_assert_statement_token1] = ACTIONS(1476),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1476),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1476),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1476),
    [anon_sym_LT] = ACTIONS(1476),
    [anon_sym_GT] = ACTIONS(1476),
    [aux_sym_set_operation_token1] = ACTIONS(1476),
    [aux_sym_set_operation_token3] = ACTIONS(1476),
    [aux_sym_set_operation_token4] = ACTIONS(1476),
    [aux_sym_select_token1] = ACTIONS(1476),
    [aux_sym_having_clause_token1] = ACTIONS(1476),
    [aux_sym_qualify_clause_token1] = ACTIONS(1476),
    [aux_sym_limit_clause_token1] = ACTIONS(1476),
    [aux_sym_group_by_clause_token1] = ACTIONS(1476),
    [aux_sym_order_by_clause_token1] = ACTIONS(1476),
    [aux_sym_where_clause_token1] = ACTIONS(1476),
    [aux_sym_insert_statement_token1] = ACTIONS(1476),
    [aux_sym_truncate_statement_token1] = ACTIONS(1476),
    [aux_sym_update_statement_token1] = ACTIONS(1476),
    [aux_sym_merge_statement_token1] = ACTIONS(1476),
    [aux_sym_grant_statement_token1] = ACTIONS(1476),
    [aux_sym_revoke_statement_token1] = ACTIONS(1476),
    [aux_sym_export_data_statement_token1] = ACTIONS(1476),
    [aux_sym_load_data_statement_token1] = ACTIONS(1476),
    [anon_sym_LBRACK] = ACTIONS(1474),
    [sym__quoted_identifier] = ACTIONS(1474),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1474),
    [anon_sym_PLUS] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1476),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_SLASH] = ACTIONS(1476),
    [anon_sym_PIPE_PIPE] = ACTIONS(1474),
    [anon_sym_LT_EQ] = ACTIONS(1474),
    [anon_sym_LT_GT] = ACTIONS(1474),
    [anon_sym_GT_EQ] = ACTIONS(1474),
    [anon_sym_BANG_EQ] = ACTIONS(1474),
    [anon_sym_LT_LT] = ACTIONS(1474),
    [anon_sym_GT_GT] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_CARET] = ACTIONS(1474),
    [anon_sym_PIPE] = ACTIONS(1476),
  },
  [2433] = {
    [sym_analytics_clause] = STATE(2545),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2434] = {
    [sym_analytics_clause] = STATE(2663),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2435] = {
    [sym_analytics_clause] = STATE(2662),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2436] = {
    [sym_analytics_clause] = STATE(2543),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2437] = {
    [sym_analytics_clause] = STATE(2542),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2438] = {
    [sym_analytics_clause] = STATE(2541),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2439] = {
    [sym_analytics_clause] = STATE(2678),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2440] = {
    [sym_analytics_clause] = STATE(2540),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2441] = {
    [sym_analytics_clause] = STATE(2539),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2442] = {
    [sym_analytics_clause] = STATE(2538),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2443] = {
    [sym_analytics_clause] = STATE(2537),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2444] = {
    [sym_analytics_clause] = STATE(2536),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2445] = {
    [sym__keyword_between] = STATE(1827),
    [sym__keyword_is] = STATE(12033),
    [sym__keyword_in] = STATE(1775),
    [sym__keyword_not] = STATE(13068),
    [sym__keyword_and] = STATE(1837),
    [sym__keyword_or] = STATE(1873),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16337),
    [sym_quantitve_like_operator] = STATE(16336),
    [sym__unquoted_identifier] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(339),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(921),
    [aux_sym__keyword_delete_token1] = ACTIONS(921),
    [aux_sym__keyword_begin_token1] = ACTIONS(921),
    [aux_sym__keyword_end_token1] = ACTIONS(921),
    [aux_sym__keyword_between_token1] = ACTIONS(1318),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(1320),
    [aux_sym__keyword_in_token1] = ACTIONS(1322),
    [aux_sym__keyword_and_token1] = ACTIONS(1324),
    [aux_sym__keyword_like_token1] = ACTIONS(921),
    [aux_sym__keyword_repeat_token1] = ACTIONS(921),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_date_token1] = ACTIONS(921),
    [aux_sym__keyword_datetime_token1] = ACTIONS(921),
    [aux_sym__keyword_time_token1] = ACTIONS(921),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(921),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(921),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(921),
    [aux_sym_return_satement_token1] = ACTIONS(921),
    [aux_sym_call_statement_token1] = ACTIONS(921),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(921),
    [aux_sym_if_statement_token1] = ACTIONS(921),
    [aux_sym_loop_statement_token1] = ACTIONS(921),
    [aux_sym_repeat_statement_token1] = ACTIONS(921),
    [aux_sym_while_statement_token1] = ACTIONS(921),
    [aux_sym_break_statement_token1] = ACTIONS(921),
    [aux_sym_leave_statement_token1] = ACTIONS(921),
    [aux_sym_continue_statement_token1] = ACTIONS(921),
    [aux_sym_iterate_statement_token1] = ACTIONS(921),
    [aux_sym_raise_statement_token1] = ACTIONS(921),
    [anon_sym_EQ] = ACTIONS(1330),
    [aux_sym_assert_statement_token1] = ACTIONS(921),
    [aux_sym_create_schema_statement_token1] = ACTIONS(921),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(921),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(1322),
    [anon_sym_GT] = ACTIONS(1322),
    [aux_sym_select_token1] = ACTIONS(921),
    [aux_sym_insert_statement_token1] = ACTIONS(921),
    [aux_sym_truncate_statement_token1] = ACTIONS(921),
    [aux_sym_update_statement_token1] = ACTIONS(921),
    [aux_sym_merge_statement_token1] = ACTIONS(921),
    [aux_sym_grant_statement_token1] = ACTIONS(921),
    [aux_sym_revoke_statement_token1] = ACTIONS(921),
    [aux_sym_export_data_statement_token1] = ACTIONS(921),
    [aux_sym_load_data_statement_token1] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym__quoted_identifier] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1338),
    [anon_sym_STAR] = ACTIONS(1340),
    [anon_sym_SLASH] = ACTIONS(1342),
    [anon_sym_PIPE_PIPE] = ACTIONS(1340),
    [anon_sym_LT_EQ] = ACTIONS(1330),
    [anon_sym_LT_GT] = ACTIONS(1330),
    [anon_sym_GT_EQ] = ACTIONS(1330),
    [anon_sym_BANG_EQ] = ACTIONS(1330),
    [anon_sym_LT_LT] = ACTIONS(1344),
    [anon_sym_GT_GT] = ACTIONS(1344),
    [anon_sym_AMP] = ACTIONS(1346),
    [anon_sym_CARET] = ACTIONS(1348),
    [anon_sym_PIPE] = ACTIONS(1350),
  },
  [2446] = {
    [sym_analytics_clause] = STATE(2661),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2447] = {
    [sym_analytics_clause] = STATE(2535),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2448] = {
    [sym_analytics_clause] = STATE(2534),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2449] = {
    [sym__keyword_between] = STATE(1541),
    [sym__keyword_is] = STATE(12062),
    [sym__keyword_in] = STATE(1692),
    [sym__keyword_not] = STATE(13166),
    [sym__keyword_and] = STATE(1702),
    [sym__keyword_or] = STATE(1703),
    [sym__keyword_like] = STATE(14280),
    [sym__direction_keywords] = STATE(7126),
    [sym__nulls_preference] = STATE(7450),
    [sym_like_operator] = STATE(16074),
    [sym_quantitve_like_operator] = STATE(16078),
    [aux_sym_order_by_clause_body_repeat1] = STATE(7449),
    [ts_builtin_sym_end] = ACTIONS(2682),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(2682),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(2744),
    [aux_sym__keyword_alter_token1] = ACTIONS(2682),
    [aux_sym__keyword_delete_token1] = ACTIONS(2682),
    [aux_sym__keyword_begin_token1] = ACTIONS(2682),
    [aux_sym__keyword_between_token1] = ACTIONS(2890),
    [aux_sym__keyword_when_token1] = ACTIONS(2682),
    [aux_sym__keyword_is_token1] = ACTIONS(2892),
    [aux_sym__keyword_in_token1] = ACTIONS(2894),
    [aux_sym__keyword_and_token1] = ACTIONS(2896),
    [aux_sym__keyword_like_token1] = ACTIONS(1007),
    [aux_sym__keyword_repeat_token1] = ACTIONS(2682),
    [aux_sym__keyword_for_token1] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(2682),
    [aux_sym_declare_statement_token1] = ACTIONS(2682),
    [anon_sym_COMMA] = ACTIONS(2898),
    [aux_sym_set_statement_token1] = ACTIONS(2682),
    [anon_sym_LPAREN] = ACTIONS(2682),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(2682),
    [aux_sym_return_satement_token1] = ACTIONS(2682),
    [aux_sym_call_statement_token1] = ACTIONS(2682),
    [aux_sym_loop_statement_token1] = ACTIONS(2682),
    [aux_sym_while_statement_token1] = ACTIONS(2682),
    [aux_sym_break_statement_token1] = ACTIONS(2682),
    [aux_sym_leave_statement_token1] = ACTIONS(2682),
    [aux_sym_continue_statement_token1] = ACTIONS(2682),
    [aux_sym_iterate_statement_token1] = ACTIONS(2682),
    [aux_sym_raise_statement_token1] = ACTIONS(2682),
    [anon_sym_EQ] = ACTIONS(2900),
    [aux_sym_assert_statement_token1] = ACTIONS(2682),
    [aux_sym_create_schema_statement_token1] = ACTIONS(2682),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(2682),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2682),
    [anon_sym_LT] = ACTIONS(2894),
    [anon_sym_GT] = ACTIONS(2894),
    [aux_sym_set_operation_token1] = ACTIONS(2682),
    [aux_sym_set_operation_token3] = ACTIONS(2682),
    [aux_sym_set_operation_token4] = ACTIONS(2682),
    [aux_sym_select_token1] = ACTIONS(2682),
    [aux_sym_limit_clause_token1] = ACTIONS(2682),
    [aux_sym__direction_keywords_token1] = ACTIONS(2698),
    [aux_sym__direction_keywords_token2] = ACTIONS(2698),
    [aux_sym__nulls_preference_token1] = ACTIONS(2700),
    [aux_sym_insert_statement_token1] = ACTIONS(2682),
    [aux_sym_truncate_statement_token1] = ACTIONS(2682),
    [aux_sym_update_statement_token1] = ACTIONS(2682),
    [aux_sym_merge_statement_token1] = ACTIONS(2682),
    [aux_sym_grant_statement_token1] = ACTIONS(2682),
    [aux_sym_revoke_statement_token1] = ACTIONS(2682),
    [aux_sym_export_data_statement_token1] = ACTIONS(2682),
    [aux_sym_load_data_statement_token1] = ACTIONS(2682),
    [anon_sym_LBRACK] = ACTIONS(2758),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(2760),
    [anon_sym_PLUS] = ACTIONS(2902),
    [anon_sym_DASH] = ACTIONS(2904),
    [anon_sym_STAR] = ACTIONS(2906),
    [anon_sym_SLASH] = ACTIONS(2908),
    [anon_sym_PIPE_PIPE] = ACTIONS(2906),
    [anon_sym_LT_EQ] = ACTIONS(2900),
    [anon_sym_LT_GT] = ACTIONS(2900),
    [anon_sym_GT_EQ] = ACTIONS(2900),
    [anon_sym_BANG_EQ] = ACTIONS(2900),
    [anon_sym_LT_LT] = ACTIONS(2910),
    [anon_sym_GT_GT] = ACTIONS(2910),
    [anon_sym_AMP] = ACTIONS(2912),
    [anon_sym_CARET] = ACTIONS(2914),
    [anon_sym_PIPE] = ACTIONS(2916),
  },
  [2450] = {
    [sym_analytics_clause] = STATE(2660),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2451] = {
    [sym_analytics_clause] = STATE(2533),
    [ts_builtin_sym_end] = ACTIONS(1374),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1374),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1374),
    [aux_sym_keyword_replace_token1] = ACTIONS(1376),
    [aux_sym__keyword_alter_token1] = ACTIONS(1374),
    [aux_sym__keyword_delete_token1] = ACTIONS(1374),
    [aux_sym__keyword_begin_token1] = ACTIONS(1374),
    [aux_sym__keyword_end_token1] = ACTIONS(1374),
    [aux_sym__keyword_between_token1] = ACTIONS(1374),
    [aux_sym__keyword_when_token1] = ACTIONS(1374),
    [aux_sym__keyword_else_token1] = ACTIONS(1376),
    [aux_sym__keyword_is_token1] = ACTIONS(1374),
    [aux_sym__keyword_in_token1] = ACTIONS(1376),
    [aux_sym__keyword_and_token1] = ACTIONS(1374),
    [aux_sym__keyword_like_token1] = ACTIONS(1374),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1374),
    [aux_sym__keyword_window_token1] = ACTIONS(1374),
    [aux_sym__keyword_for_token1] = ACTIONS(1374),
    [anon_sym_SEMI] = ACTIONS(1374),
    [aux_sym_declare_statement_token1] = ACTIONS(1374),
    [anon_sym_COMMA] = ACTIONS(1374),
    [aux_sym_set_statement_token1] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1374),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1374),
    [aux_sym_return_satement_token1] = ACTIONS(1374),
    [aux_sym_call_statement_token1] = ACTIONS(1374),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1374),
    [aux_sym_if_statement_token1] = ACTIONS(1374),
    [aux_sym_loop_statement_token1] = ACTIONS(1374),
    [aux_sym_repeat_statement_token1] = ACTIONS(1374),
    [aux_sym_while_statement_token1] = ACTIONS(1374),
    [aux_sym_break_statement_token1] = ACTIONS(1374),
    [aux_sym_leave_statement_token1] = ACTIONS(1374),
    [aux_sym_continue_statement_token1] = ACTIONS(1374),
    [aux_sym_iterate_statement_token1] = ACTIONS(1374),
    [aux_sym_raise_statement_token1] = ACTIONS(1374),
    [anon_sym_EQ] = ACTIONS(1374),
    [aux_sym_assert_statement_token1] = ACTIONS(1374),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1374),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1374),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1374),
    [anon_sym_LT] = ACTIONS(1376),
    [anon_sym_GT] = ACTIONS(1376),
    [aux_sym_set_operation_token1] = ACTIONS(1374),
    [aux_sym_set_operation_token3] = ACTIONS(1374),
    [aux_sym_set_operation_token4] = ACTIONS(1376),
    [aux_sym_select_token1] = ACTIONS(1374),
    [aux_sym_having_clause_token1] = ACTIONS(1374),
    [aux_sym_qualify_clause_token1] = ACTIONS(1374),
    [aux_sym_limit_clause_token1] = ACTIONS(1374),
    [aux_sym_group_by_clause_token1] = ACTIONS(1374),
    [aux_sym__direction_keywords_token1] = ACTIONS(1374),
    [aux_sym__direction_keywords_token2] = ACTIONS(1374),
    [aux_sym__nulls_preference_token1] = ACTIONS(1374),
    [aux_sym_order_by_clause_token1] = ACTIONS(1374),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1374),
    [aux_sym_truncate_statement_token1] = ACTIONS(1374),
    [aux_sym_update_statement_token1] = ACTIONS(1374),
    [aux_sym_merge_statement_token1] = ACTIONS(1374),
    [aux_sym_grant_statement_token1] = ACTIONS(1374),
    [aux_sym_revoke_statement_token1] = ACTIONS(1374),
    [aux_sym_export_data_statement_token1] = ACTIONS(1374),
    [aux_sym_load_data_statement_token1] = ACTIONS(1374),
    [anon_sym_LBRACK] = ACTIONS(1374),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_SLASH] = ACTIONS(1376),
    [anon_sym_PIPE_PIPE] = ACTIONS(1374),
    [anon_sym_LT_EQ] = ACTIONS(1374),
    [anon_sym_LT_GT] = ACTIONS(1374),
    [anon_sym_GT_EQ] = ACTIONS(1374),
    [anon_sym_BANG_EQ] = ACTIONS(1374),
    [anon_sym_LT_LT] = ACTIONS(1374),
    [anon_sym_GT_GT] = ACTIONS(1374),
    [anon_sym_AMP] = ACTIONS(1374),
    [anon_sym_CARET] = ACTIONS(1374),
    [anon_sym_PIPE] = ACTIONS(1376),
  },
  [2452] = {
    [sym__keyword_between] = STATE(1827),
    [sym__keyword_is] = STATE(12033),
    [sym__keyword_in] = STATE(1775),
    [sym__keyword_not] = STATE(13068),
    [sym__keyword_and] = STATE(1837),
    [sym__keyword_or] = STATE(1873),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16337),
    [sym_quantitve_like_operator] = STATE(16336),
    [sym__unquoted_identifier] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(339),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(921),
    [aux_sym__keyword_delete_token1] = ACTIONS(921),
    [aux_sym__keyword_begin_token1] = ACTIONS(921),
    [aux_sym__keyword_end_token1] = ACTIONS(921),
    [aux_sym__keyword_between_token1] = ACTIONS(1318),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(1320),
    [aux_sym__keyword_in_token1] = ACTIONS(1322),
    [aux_sym__keyword_and_token1] = ACTIONS(921),
    [aux_sym__keyword_like_token1] = ACTIONS(921),
    [aux_sym__keyword_repeat_token1] = ACTIONS(921),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_date_token1] = ACTIONS(921),
    [aux_sym__keyword_datetime_token1] = ACTIONS(921),
    [aux_sym__keyword_time_token1] = ACTIONS(921),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(921),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(921),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(921),
    [aux_sym_return_satement_token1] = ACTIONS(921),
    [aux_sym_call_statement_token1] = ACTIONS(921),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(921),
    [aux_sym_if_statement_token1] = ACTIONS(921),
    [aux_sym_loop_statement_token1] = ACTIONS(921),
    [aux_sym_repeat_statement_token1] = ACTIONS(921),
    [aux_sym_while_statement_token1] = ACTIONS(921),
    [aux_sym_break_statement_token1] = ACTIONS(921),
    [aux_sym_leave_statement_token1] = ACTIONS(921),
    [aux_sym_continue_statement_token1] = ACTIONS(921),
    [aux_sym_iterate_statement_token1] = ACTIONS(921),
    [aux_sym_raise_statement_token1] = ACTIONS(921),
    [anon_sym_EQ] = ACTIONS(1330),
    [aux_sym_assert_statement_token1] = ACTIONS(921),
    [aux_sym_create_schema_statement_token1] = ACTIONS(921),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(921),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(1322),
    [anon_sym_GT] = ACTIONS(1322),
    [aux_sym_select_token1] = ACTIONS(921),
    [aux_sym_insert_statement_token1] = ACTIONS(921),
    [aux_sym_truncate_statement_token1] = ACTIONS(921),
    [aux_sym_update_statement_token1] = ACTIONS(921),
    [aux_sym_merge_statement_token1] = ACTIONS(921),
    [aux_sym_grant_statement_token1] = ACTIONS(921),
    [aux_sym_revoke_statement_token1] = ACTIONS(921),
    [aux_sym_export_data_statement_token1] = ACTIONS(921),
    [aux_sym_load_data_statement_token1] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym__quoted_identifier] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1338),
    [anon_sym_STAR] = ACTIONS(1340),
    [anon_sym_SLASH] = ACTIONS(1342),
    [anon_sym_PIPE_PIPE] = ACTIONS(1340),
    [anon_sym_LT_EQ] = ACTIONS(1330),
    [anon_sym_LT_GT] = ACTIONS(1330),
    [anon_sym_GT_EQ] = ACTIONS(1330),
    [anon_sym_BANG_EQ] = ACTIONS(1330),
    [anon_sym_LT_LT] = ACTIONS(1344),
    [anon_sym_GT_GT] = ACTIONS(1344),
    [anon_sym_AMP] = ACTIONS(1346),
    [anon_sym_CARET] = ACTIONS(1348),
    [anon_sym_PIPE] = ACTIONS(1350),
  },
  [2453] = {
    [sym_analytics_clause] = STATE(2659),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2454] = {
    [sym_analytics_clause] = STATE(2532),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_window_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1462),
    [aux_sym_set_operation_token3] = ACTIONS(1462),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_having_clause_token1] = ACTIONS(1462),
    [aux_sym_qualify_clause_token1] = ACTIONS(1462),
    [aux_sym_limit_clause_token1] = ACTIONS(1462),
    [aux_sym_group_by_clause_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token2] = ACTIONS(1462),
    [aux_sym__nulls_preference_token1] = ACTIONS(1462),
    [aux_sym_order_by_clause_token1] = ACTIONS(1462),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [2455] = {
    [sym__unquoted_identifier] = ACTIONS(1081),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1081),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1081),
    [aux_sym_keyword_replace_token1] = ACTIONS(1081),
    [aux_sym__keyword_alter_token1] = ACTIONS(1081),
    [aux_sym__keyword_delete_token1] = ACTIONS(1081),
    [aux_sym__keyword_begin_token1] = ACTIONS(1081),
    [aux_sym__keyword_end_token1] = ACTIONS(1081),
    [aux_sym__keyword_between_token1] = ACTIONS(1081),
    [aux_sym__keyword_when_token1] = ACTIONS(1081),
    [aux_sym__keyword_else_token1] = ACTIONS(1081),
    [aux_sym__keyword_is_token1] = ACTIONS(1081),
    [aux_sym__keyword_in_token1] = ACTIONS(1081),
    [aux_sym__keyword_and_token1] = ACTIONS(1081),
    [aux_sym__keyword_like_token1] = ACTIONS(1081),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1081),
    [aux_sym__keyword_as_token1] = ACTIONS(1081),
    [aux_sym__keyword_window_token1] = ACTIONS(1081),
    [aux_sym__keyword_date_token1] = ACTIONS(1081),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1081),
    [aux_sym__keyword_time_token1] = ACTIONS(1081),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1081),
    [aux_sym__keyword_for_token1] = ACTIONS(1081),
    [anon_sym_SEMI] = ACTIONS(1083),
    [aux_sym_declare_statement_token1] = ACTIONS(1081),
    [anon_sym_COMMA] = ACTIONS(1083),
    [aux_sym_set_statement_token1] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1081),
    [aux_sym_return_satement_token1] = ACTIONS(1081),
    [aux_sym_call_statement_token1] = ACTIONS(1081),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1081),
    [aux_sym_if_statement_token1] = ACTIONS(1081),
    [aux_sym_loop_statement_token1] = ACTIONS(1081),
    [aux_sym_repeat_statement_token1] = ACTIONS(1081),
    [aux_sym_while_statement_token1] = ACTIONS(1081),
    [aux_sym_break_statement_token1] = ACTIONS(1081),
    [aux_sym_leave_statement_token1] = ACTIONS(1081),
    [aux_sym_continue_statement_token1] = ACTIONS(1081),
    [aux_sym_iterate_statement_token1] = ACTIONS(1081),
    [aux_sym_raise_statement_token1] = ACTIONS(1081),
    [anon_sym_EQ] = ACTIONS(1083),
    [aux_sym_assert_statement_token1] = ACTIONS(1081),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1081),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1081),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1081),
    [anon_sym_LT] = ACTIONS(1081),
    [anon_sym_GT] = ACTIONS(1081),
    [aux_sym_set_operation_token1] = ACTIONS(1081),
    [aux_sym_set_operation_token3] = ACTIONS(1081),
    [aux_sym_set_operation_token4] = ACTIONS(1081),
    [aux_sym_select_token1] = ACTIONS(1081),
    [aux_sym_having_clause_token1] = ACTIONS(1081),
    [aux_sym_qualify_clause_token1] = ACTIONS(1081),
    [aux_sym_limit_clause_token1] = ACTIONS(1081),
    [aux_sym_order_by_clause_token1] = ACTIONS(1081),
    [aux_sym_insert_statement_token1] = ACTIONS(1081),
    [aux_sym_truncate_statement_token1] = ACTIONS(1081),
    [aux_sym_update_statement_token1] = ACTIONS(1081),
    [aux_sym_merge_statement_token1] = ACTIONS(1081),
    [aux_sym_grant_statement_token1] = ACTIONS(1081),
    [aux_sym_revoke_statement_token1] = ACTIONS(1081),
    [aux_sym_export_data_statement_token1] = ACTIONS(1081),
    [aux_sym_load_data_statement_token1] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [sym__quoted_identifier] = ACTIONS(1083),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1083),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1081),
    [anon_sym_STAR] = ACTIONS(1083),
    [anon_sym_SLASH] = ACTIONS(1081),
    [anon_sym_PIPE_PIPE] = ACTIONS(1083),
    [anon_sym_LT_EQ] = ACTIONS(1083),
    [anon_sym_LT_GT] = ACTIONS(1083),
    [anon_sym_GT_EQ] = ACTIONS(1083),
    [anon_sym_BANG_EQ] = ACTIONS(1083),
    [anon_sym_LT_LT] = ACTIONS(1083),
    [anon_sym_GT_GT] = ACTIONS(1083),
    [anon_sym_AMP] = ACTIONS(1083),
    [anon_sym_CARET] = ACTIONS(1083),
    [anon_sym_PIPE] = ACTIONS(1081),
  },
  [2456] = {
    [sym_analytics_clause] = STATE(2658),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2457] = {
    [sym_analytics_clause] = STATE(2657),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2458] = {
    [sym_analytics_clause] = STATE(2531),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_window_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1462),
    [aux_sym_set_operation_token3] = ACTIONS(1462),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_having_clause_token1] = ACTIONS(1462),
    [aux_sym_qualify_clause_token1] = ACTIONS(1462),
    [aux_sym_limit_clause_token1] = ACTIONS(1462),
    [aux_sym_group_by_clause_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token2] = ACTIONS(1462),
    [aux_sym__nulls_preference_token1] = ACTIONS(1462),
    [aux_sym_order_by_clause_token1] = ACTIONS(1462),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [2459] = {
    [sym_analytics_clause] = STATE(2700),
    [ts_builtin_sym_end] = ACTIONS(1402),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1402),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1402),
    [aux_sym_keyword_replace_token1] = ACTIONS(1404),
    [aux_sym__keyword_alter_token1] = ACTIONS(1402),
    [aux_sym__keyword_delete_token1] = ACTIONS(1402),
    [aux_sym__keyword_begin_token1] = ACTIONS(1402),
    [aux_sym__keyword_end_token1] = ACTIONS(1402),
    [aux_sym__keyword_between_token1] = ACTIONS(1402),
    [aux_sym__keyword_when_token1] = ACTIONS(1402),
    [aux_sym__keyword_else_token1] = ACTIONS(1404),
    [aux_sym__keyword_is_token1] = ACTIONS(1402),
    [aux_sym__keyword_in_token1] = ACTIONS(1404),
    [aux_sym__keyword_and_token1] = ACTIONS(1402),
    [aux_sym__keyword_like_token1] = ACTIONS(1402),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1402),
    [aux_sym__keyword_window_token1] = ACTIONS(1402),
    [aux_sym__keyword_for_token1] = ACTIONS(1402),
    [anon_sym_SEMI] = ACTIONS(1402),
    [aux_sym_declare_statement_token1] = ACTIONS(1402),
    [anon_sym_COMMA] = ACTIONS(1402),
    [aux_sym_set_statement_token1] = ACTIONS(1402),
    [anon_sym_LPAREN] = ACTIONS(1402),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1402),
    [aux_sym_return_satement_token1] = ACTIONS(1402),
    [aux_sym_call_statement_token1] = ACTIONS(1402),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1402),
    [aux_sym_if_statement_token1] = ACTIONS(1402),
    [aux_sym_loop_statement_token1] = ACTIONS(1402),
    [aux_sym_repeat_statement_token1] = ACTIONS(1402),
    [aux_sym_while_statement_token1] = ACTIONS(1402),
    [aux_sym_break_statement_token1] = ACTIONS(1402),
    [aux_sym_leave_statement_token1] = ACTIONS(1402),
    [aux_sym_continue_statement_token1] = ACTIONS(1402),
    [aux_sym_iterate_statement_token1] = ACTIONS(1402),
    [aux_sym_raise_statement_token1] = ACTIONS(1402),
    [anon_sym_EQ] = ACTIONS(1402),
    [aux_sym_assert_statement_token1] = ACTIONS(1402),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1402),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1402),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1402),
    [anon_sym_LT] = ACTIONS(1404),
    [anon_sym_GT] = ACTIONS(1404),
    [aux_sym_set_operation_token1] = ACTIONS(1402),
    [aux_sym_set_operation_token3] = ACTIONS(1402),
    [aux_sym_set_operation_token4] = ACTIONS(1404),
    [aux_sym_select_token1] = ACTIONS(1402),
    [aux_sym_having_clause_token1] = ACTIONS(1402),
    [aux_sym_qualify_clause_token1] = ACTIONS(1402),
    [aux_sym_limit_clause_token1] = ACTIONS(1402),
    [aux_sym_group_by_clause_token1] = ACTIONS(1402),
    [aux_sym__direction_keywords_token1] = ACTIONS(1402),
    [aux_sym__direction_keywords_token2] = ACTIONS(1402),
    [aux_sym__nulls_preference_token1] = ACTIONS(1402),
    [aux_sym_order_by_clause_token1] = ACTIONS(1402),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1402),
    [aux_sym_truncate_statement_token1] = ACTIONS(1402),
    [aux_sym_update_statement_token1] = ACTIONS(1402),
    [aux_sym_merge_statement_token1] = ACTIONS(1402),
    [aux_sym_grant_statement_token1] = ACTIONS(1402),
    [aux_sym_revoke_statement_token1] = ACTIONS(1402),
    [aux_sym_export_data_statement_token1] = ACTIONS(1402),
    [aux_sym_load_data_statement_token1] = ACTIONS(1402),
    [anon_sym_LBRACK] = ACTIONS(1402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1402),
    [anon_sym_DASH] = ACTIONS(1404),
    [anon_sym_STAR] = ACTIONS(1402),
    [anon_sym_SLASH] = ACTIONS(1404),
    [anon_sym_PIPE_PIPE] = ACTIONS(1402),
    [anon_sym_LT_EQ] = ACTIONS(1402),
    [anon_sym_LT_GT] = ACTIONS(1402),
    [anon_sym_GT_EQ] = ACTIONS(1402),
    [anon_sym_BANG_EQ] = ACTIONS(1402),
    [anon_sym_LT_LT] = ACTIONS(1402),
    [anon_sym_GT_GT] = ACTIONS(1402),
    [anon_sym_AMP] = ACTIONS(1402),
    [anon_sym_CARET] = ACTIONS(1402),
    [anon_sym_PIPE] = ACTIONS(1404),
  },
  [2460] = {
    [sym_analytics_clause] = STATE(2530),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_window_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1462),
    [aux_sym_set_operation_token3] = ACTIONS(1462),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_having_clause_token1] = ACTIONS(1462),
    [aux_sym_qualify_clause_token1] = ACTIONS(1462),
    [aux_sym_limit_clause_token1] = ACTIONS(1462),
    [aux_sym_group_by_clause_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token2] = ACTIONS(1462),
    [aux_sym__nulls_preference_token1] = ACTIONS(1462),
    [aux_sym_order_by_clause_token1] = ACTIONS(1462),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [2461] = {
    [sym_analytics_clause] = STATE(2529),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_window_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1462),
    [aux_sym_set_operation_token3] = ACTIONS(1462),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_having_clause_token1] = ACTIONS(1462),
    [aux_sym_qualify_clause_token1] = ACTIONS(1462),
    [aux_sym_limit_clause_token1] = ACTIONS(1462),
    [aux_sym_group_by_clause_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token2] = ACTIONS(1462),
    [aux_sym__nulls_preference_token1] = ACTIONS(1462),
    [aux_sym_order_by_clause_token1] = ACTIONS(1462),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [2462] = {
    [sym_analytics_clause] = STATE(2528),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_window_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1462),
    [aux_sym_set_operation_token3] = ACTIONS(1462),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_having_clause_token1] = ACTIONS(1462),
    [aux_sym_qualify_clause_token1] = ACTIONS(1462),
    [aux_sym_limit_clause_token1] = ACTIONS(1462),
    [aux_sym_group_by_clause_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token2] = ACTIONS(1462),
    [aux_sym__nulls_preference_token1] = ACTIONS(1462),
    [aux_sym_order_by_clause_token1] = ACTIONS(1462),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [2463] = {
    [sym_analytics_clause] = STATE(2602),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2464] = {
    [sym_analytics_clause] = STATE(2742),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_window_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1462),
    [aux_sym_set_operation_token3] = ACTIONS(1462),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_having_clause_token1] = ACTIONS(1462),
    [aux_sym_qualify_clause_token1] = ACTIONS(1462),
    [aux_sym_limit_clause_token1] = ACTIONS(1462),
    [aux_sym_group_by_clause_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token2] = ACTIONS(1462),
    [aux_sym__nulls_preference_token1] = ACTIONS(1462),
    [aux_sym_order_by_clause_token1] = ACTIONS(1462),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [2465] = {
    [sym_analytics_clause] = STATE(2552),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_window_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1462),
    [aux_sym_set_operation_token3] = ACTIONS(1462),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_having_clause_token1] = ACTIONS(1462),
    [aux_sym_qualify_clause_token1] = ACTIONS(1462),
    [aux_sym_limit_clause_token1] = ACTIONS(1462),
    [aux_sym_group_by_clause_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token2] = ACTIONS(1462),
    [aux_sym__nulls_preference_token1] = ACTIONS(1462),
    [aux_sym_order_by_clause_token1] = ACTIONS(1462),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [2466] = {
    [sym_analytics_clause] = STATE(2656),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2467] = {
    [sym__keyword_between] = STATE(1827),
    [sym__keyword_is] = STATE(12033),
    [sym__keyword_in] = STATE(1775),
    [sym__keyword_not] = STATE(13068),
    [sym__keyword_and] = STATE(1837),
    [sym__keyword_or] = STATE(1873),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16337),
    [sym_quantitve_like_operator] = STATE(16336),
    [sym__unquoted_identifier] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(921),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(921),
    [aux_sym__keyword_delete_token1] = ACTIONS(921),
    [aux_sym__keyword_begin_token1] = ACTIONS(921),
    [aux_sym__keyword_end_token1] = ACTIONS(921),
    [aux_sym__keyword_between_token1] = ACTIONS(921),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(921),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(921),
    [aux_sym__keyword_like_token1] = ACTIONS(921),
    [aux_sym__keyword_repeat_token1] = ACTIONS(921),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_date_token1] = ACTIONS(921),
    [aux_sym__keyword_datetime_token1] = ACTIONS(921),
    [aux_sym__keyword_time_token1] = ACTIONS(921),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(921),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(921),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(921),
    [aux_sym_return_satement_token1] = ACTIONS(921),
    [aux_sym_call_statement_token1] = ACTIONS(921),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(921),
    [aux_sym_if_statement_token1] = ACTIONS(921),
    [aux_sym_loop_statement_token1] = ACTIONS(921),
    [aux_sym_repeat_statement_token1] = ACTIONS(921),
    [aux_sym_while_statement_token1] = ACTIONS(921),
    [aux_sym_break_statement_token1] = ACTIONS(921),
    [aux_sym_leave_statement_token1] = ACTIONS(921),
    [aux_sym_continue_statement_token1] = ACTIONS(921),
    [aux_sym_iterate_statement_token1] = ACTIONS(921),
    [aux_sym_raise_statement_token1] = ACTIONS(921),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(921),
    [aux_sym_create_schema_statement_token1] = ACTIONS(921),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(921),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(921),
    [aux_sym_insert_statement_token1] = ACTIONS(921),
    [aux_sym_truncate_statement_token1] = ACTIONS(921),
    [aux_sym_update_statement_token1] = ACTIONS(921),
    [aux_sym_merge_statement_token1] = ACTIONS(921),
    [aux_sym_grant_statement_token1] = ACTIONS(921),
    [aux_sym_revoke_statement_token1] = ACTIONS(921),
    [aux_sym_export_data_statement_token1] = ACTIONS(921),
    [aux_sym_load_data_statement_token1] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym__quoted_identifier] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1338),
    [anon_sym_STAR] = ACTIONS(1340),
    [anon_sym_SLASH] = ACTIONS(1342),
    [anon_sym_PIPE_PIPE] = ACTIONS(1340),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(1344),
    [anon_sym_GT_GT] = ACTIONS(1344),
    [anon_sym_AMP] = ACTIONS(1346),
    [anon_sym_CARET] = ACTIONS(1348),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2468] = {
    [sym_analytics_clause] = STATE(2655),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2469] = {
    [sym__keyword_between] = STATE(1827),
    [sym__keyword_is] = STATE(12033),
    [sym__keyword_in] = STATE(1775),
    [sym__keyword_not] = STATE(13068),
    [sym__keyword_and] = STATE(1837),
    [sym__keyword_or] = STATE(1873),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16337),
    [sym_quantitve_like_operator] = STATE(16336),
    [sym__unquoted_identifier] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(921),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(921),
    [aux_sym__keyword_delete_token1] = ACTIONS(921),
    [aux_sym__keyword_begin_token1] = ACTIONS(921),
    [aux_sym__keyword_end_token1] = ACTIONS(921),
    [aux_sym__keyword_between_token1] = ACTIONS(921),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(921),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(921),
    [aux_sym__keyword_like_token1] = ACTIONS(921),
    [aux_sym__keyword_repeat_token1] = ACTIONS(921),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_date_token1] = ACTIONS(921),
    [aux_sym__keyword_datetime_token1] = ACTIONS(921),
    [aux_sym__keyword_time_token1] = ACTIONS(921),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(921),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(921),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(921),
    [aux_sym_return_satement_token1] = ACTIONS(921),
    [aux_sym_call_statement_token1] = ACTIONS(921),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(921),
    [aux_sym_if_statement_token1] = ACTIONS(921),
    [aux_sym_loop_statement_token1] = ACTIONS(921),
    [aux_sym_repeat_statement_token1] = ACTIONS(921),
    [aux_sym_while_statement_token1] = ACTIONS(921),
    [aux_sym_break_statement_token1] = ACTIONS(921),
    [aux_sym_leave_statement_token1] = ACTIONS(921),
    [aux_sym_continue_statement_token1] = ACTIONS(921),
    [aux_sym_iterate_statement_token1] = ACTIONS(921),
    [aux_sym_raise_statement_token1] = ACTIONS(921),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(921),
    [aux_sym_create_schema_statement_token1] = ACTIONS(921),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(921),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(921),
    [aux_sym_insert_statement_token1] = ACTIONS(921),
    [aux_sym_truncate_statement_token1] = ACTIONS(921),
    [aux_sym_update_statement_token1] = ACTIONS(921),
    [aux_sym_merge_statement_token1] = ACTIONS(921),
    [aux_sym_grant_statement_token1] = ACTIONS(921),
    [aux_sym_revoke_statement_token1] = ACTIONS(921),
    [aux_sym_export_data_statement_token1] = ACTIONS(921),
    [aux_sym_load_data_statement_token1] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym__quoted_identifier] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1338),
    [anon_sym_STAR] = ACTIONS(1340),
    [anon_sym_SLASH] = ACTIONS(1342),
    [anon_sym_PIPE_PIPE] = ACTIONS(1340),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(1344),
    [anon_sym_GT_GT] = ACTIONS(1344),
    [anon_sym_AMP] = ACTIONS(1346),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2470] = {
    [sym_analytics_clause] = STATE(2553),
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_window_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1442),
    [aux_sym_set_operation_token3] = ACTIONS(1442),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_having_clause_token1] = ACTIONS(1442),
    [aux_sym_qualify_clause_token1] = ACTIONS(1442),
    [aux_sym_limit_clause_token1] = ACTIONS(1442),
    [aux_sym_group_by_clause_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token2] = ACTIONS(1442),
    [aux_sym__nulls_preference_token1] = ACTIONS(1442),
    [aux_sym_order_by_clause_token1] = ACTIONS(1442),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [2471] = {
    [sym__keyword_between] = STATE(1827),
    [sym__keyword_is] = STATE(12033),
    [sym__keyword_in] = STATE(1775),
    [sym__keyword_not] = STATE(13068),
    [sym__keyword_and] = STATE(1837),
    [sym__keyword_or] = STATE(1873),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16337),
    [sym_quantitve_like_operator] = STATE(16336),
    [sym__unquoted_identifier] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(921),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(921),
    [aux_sym__keyword_delete_token1] = ACTIONS(921),
    [aux_sym__keyword_begin_token1] = ACTIONS(921),
    [aux_sym__keyword_end_token1] = ACTIONS(921),
    [aux_sym__keyword_between_token1] = ACTIONS(921),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(921),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(921),
    [aux_sym__keyword_like_token1] = ACTIONS(921),
    [aux_sym__keyword_repeat_token1] = ACTIONS(921),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_date_token1] = ACTIONS(921),
    [aux_sym__keyword_datetime_token1] = ACTIONS(921),
    [aux_sym__keyword_time_token1] = ACTIONS(921),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(921),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(921),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(921),
    [aux_sym_return_satement_token1] = ACTIONS(921),
    [aux_sym_call_statement_token1] = ACTIONS(921),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(921),
    [aux_sym_if_statement_token1] = ACTIONS(921),
    [aux_sym_loop_statement_token1] = ACTIONS(921),
    [aux_sym_repeat_statement_token1] = ACTIONS(921),
    [aux_sym_while_statement_token1] = ACTIONS(921),
    [aux_sym_break_statement_token1] = ACTIONS(921),
    [aux_sym_leave_statement_token1] = ACTIONS(921),
    [aux_sym_continue_statement_token1] = ACTIONS(921),
    [aux_sym_iterate_statement_token1] = ACTIONS(921),
    [aux_sym_raise_statement_token1] = ACTIONS(921),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(921),
    [aux_sym_create_schema_statement_token1] = ACTIONS(921),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(921),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(921),
    [aux_sym_insert_statement_token1] = ACTIONS(921),
    [aux_sym_truncate_statement_token1] = ACTIONS(921),
    [aux_sym_update_statement_token1] = ACTIONS(921),
    [aux_sym_merge_statement_token1] = ACTIONS(921),
    [aux_sym_grant_statement_token1] = ACTIONS(921),
    [aux_sym_revoke_statement_token1] = ACTIONS(921),
    [aux_sym_export_data_statement_token1] = ACTIONS(921),
    [aux_sym_load_data_statement_token1] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym__quoted_identifier] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1338),
    [anon_sym_STAR] = ACTIONS(1340),
    [anon_sym_SLASH] = ACTIONS(1342),
    [anon_sym_PIPE_PIPE] = ACTIONS(1340),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(1344),
    [anon_sym_GT_GT] = ACTIONS(1344),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2472] = {
    [sym_analytics_clause] = STATE(2555),
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_window_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1442),
    [aux_sym_set_operation_token3] = ACTIONS(1442),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_having_clause_token1] = ACTIONS(1442),
    [aux_sym_qualify_clause_token1] = ACTIONS(1442),
    [aux_sym_limit_clause_token1] = ACTIONS(1442),
    [aux_sym_group_by_clause_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token2] = ACTIONS(1442),
    [aux_sym__nulls_preference_token1] = ACTIONS(1442),
    [aux_sym_order_by_clause_token1] = ACTIONS(1442),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [2473] = {
    [sym_analytics_clause] = STATE(2649),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2474] = {
    [sym__keyword_between] = STATE(1827),
    [sym__keyword_is] = STATE(12033),
    [sym__keyword_in] = STATE(1775),
    [sym__keyword_not] = STATE(13068),
    [sym__keyword_and] = STATE(1837),
    [sym__keyword_or] = STATE(1873),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16337),
    [sym_quantitve_like_operator] = STATE(16336),
    [sym__unquoted_identifier] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(921),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(921),
    [aux_sym__keyword_delete_token1] = ACTIONS(921),
    [aux_sym__keyword_begin_token1] = ACTIONS(921),
    [aux_sym__keyword_end_token1] = ACTIONS(921),
    [aux_sym__keyword_between_token1] = ACTIONS(921),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(921),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(921),
    [aux_sym__keyword_like_token1] = ACTIONS(921),
    [aux_sym__keyword_repeat_token1] = ACTIONS(921),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_date_token1] = ACTIONS(921),
    [aux_sym__keyword_datetime_token1] = ACTIONS(921),
    [aux_sym__keyword_time_token1] = ACTIONS(921),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(921),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(921),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(921),
    [aux_sym_return_satement_token1] = ACTIONS(921),
    [aux_sym_call_statement_token1] = ACTIONS(921),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(921),
    [aux_sym_if_statement_token1] = ACTIONS(921),
    [aux_sym_loop_statement_token1] = ACTIONS(921),
    [aux_sym_repeat_statement_token1] = ACTIONS(921),
    [aux_sym_while_statement_token1] = ACTIONS(921),
    [aux_sym_break_statement_token1] = ACTIONS(921),
    [aux_sym_leave_statement_token1] = ACTIONS(921),
    [aux_sym_continue_statement_token1] = ACTIONS(921),
    [aux_sym_iterate_statement_token1] = ACTIONS(921),
    [aux_sym_raise_statement_token1] = ACTIONS(921),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(921),
    [aux_sym_create_schema_statement_token1] = ACTIONS(921),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(921),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(921),
    [aux_sym_insert_statement_token1] = ACTIONS(921),
    [aux_sym_truncate_statement_token1] = ACTIONS(921),
    [aux_sym_update_statement_token1] = ACTIONS(921),
    [aux_sym_merge_statement_token1] = ACTIONS(921),
    [aux_sym_grant_statement_token1] = ACTIONS(921),
    [aux_sym_revoke_statement_token1] = ACTIONS(921),
    [aux_sym_export_data_statement_token1] = ACTIONS(921),
    [aux_sym_load_data_statement_token1] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym__quoted_identifier] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1338),
    [anon_sym_STAR] = ACTIONS(1340),
    [anon_sym_SLASH] = ACTIONS(1342),
    [anon_sym_PIPE_PIPE] = ACTIONS(1340),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2475] = {
    [sym_analytics_clause] = STATE(2648),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2476] = {
    [sym_analytics_clause] = STATE(2556),
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_window_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1442),
    [aux_sym_set_operation_token3] = ACTIONS(1442),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_having_clause_token1] = ACTIONS(1442),
    [aux_sym_qualify_clause_token1] = ACTIONS(1442),
    [aux_sym_limit_clause_token1] = ACTIONS(1442),
    [aux_sym_group_by_clause_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token2] = ACTIONS(1442),
    [aux_sym__nulls_preference_token1] = ACTIONS(1442),
    [aux_sym_order_by_clause_token1] = ACTIONS(1442),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [2477] = {
    [sym_analytics_clause] = STATE(2608),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2478] = {
    [sym__keyword_between] = STATE(1827),
    [sym__keyword_is] = STATE(12033),
    [sym__keyword_in] = STATE(1775),
    [sym__keyword_not] = STATE(13068),
    [sym__keyword_and] = STATE(1837),
    [sym__keyword_or] = STATE(1873),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16337),
    [sym_quantitve_like_operator] = STATE(16336),
    [sym__unquoted_identifier] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(921),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(921),
    [aux_sym__keyword_delete_token1] = ACTIONS(921),
    [aux_sym__keyword_begin_token1] = ACTIONS(921),
    [aux_sym__keyword_end_token1] = ACTIONS(921),
    [aux_sym__keyword_between_token1] = ACTIONS(921),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(921),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(921),
    [aux_sym__keyword_like_token1] = ACTIONS(921),
    [aux_sym__keyword_repeat_token1] = ACTIONS(921),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_date_token1] = ACTIONS(921),
    [aux_sym__keyword_datetime_token1] = ACTIONS(921),
    [aux_sym__keyword_time_token1] = ACTIONS(921),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(921),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(921),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(921),
    [aux_sym_return_satement_token1] = ACTIONS(921),
    [aux_sym_call_statement_token1] = ACTIONS(921),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(921),
    [aux_sym_if_statement_token1] = ACTIONS(921),
    [aux_sym_loop_statement_token1] = ACTIONS(921),
    [aux_sym_repeat_statement_token1] = ACTIONS(921),
    [aux_sym_while_statement_token1] = ACTIONS(921),
    [aux_sym_break_statement_token1] = ACTIONS(921),
    [aux_sym_leave_statement_token1] = ACTIONS(921),
    [aux_sym_continue_statement_token1] = ACTIONS(921),
    [aux_sym_iterate_statement_token1] = ACTIONS(921),
    [aux_sym_raise_statement_token1] = ACTIONS(921),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(921),
    [aux_sym_create_schema_statement_token1] = ACTIONS(921),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(921),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(921),
    [aux_sym_insert_statement_token1] = ACTIONS(921),
    [aux_sym_truncate_statement_token1] = ACTIONS(921),
    [aux_sym_update_statement_token1] = ACTIONS(921),
    [aux_sym_merge_statement_token1] = ACTIONS(921),
    [aux_sym_grant_statement_token1] = ACTIONS(921),
    [aux_sym_revoke_statement_token1] = ACTIONS(921),
    [aux_sym_export_data_statement_token1] = ACTIONS(921),
    [aux_sym_load_data_statement_token1] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym__quoted_identifier] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(1340),
    [anon_sym_SLASH] = ACTIONS(1342),
    [anon_sym_PIPE_PIPE] = ACTIONS(1340),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2479] = {
    [sym_analytics_clause] = STATE(2558),
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_window_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1442),
    [aux_sym_set_operation_token3] = ACTIONS(1442),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_having_clause_token1] = ACTIONS(1442),
    [aux_sym_qualify_clause_token1] = ACTIONS(1442),
    [aux_sym_limit_clause_token1] = ACTIONS(1442),
    [aux_sym_group_by_clause_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token2] = ACTIONS(1442),
    [aux_sym__nulls_preference_token1] = ACTIONS(1442),
    [aux_sym_order_by_clause_token1] = ACTIONS(1442),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [2480] = {
    [sym_unnest_withoffset] = STATE(2020),
    [ts_builtin_sym_end] = ACTIONS(1540),
    [sym__unquoted_identifier] = ACTIONS(1542),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1542),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1542),
    [aux_sym_keyword_replace_token1] = ACTIONS(1542),
    [aux_sym__keyword_alter_token1] = ACTIONS(1542),
    [aux_sym__keyword_from_token1] = ACTIONS(1542),
    [aux_sym__keyword_delete_token1] = ACTIONS(1542),
    [aux_sym__keyword_begin_token1] = ACTIONS(1542),
    [aux_sym__keyword_between_token1] = ACTIONS(1542),
    [aux_sym__keyword_when_token1] = ACTIONS(1542),
    [aux_sym__keyword_is_token1] = ACTIONS(1542),
    [aux_sym__keyword_in_token1] = ACTIONS(1542),
    [aux_sym__keyword_and_token1] = ACTIONS(1542),
    [aux_sym__keyword_like_token1] = ACTIONS(1542),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1542),
    [aux_sym__keyword_as_token1] = ACTIONS(1542),
    [aux_sym__keyword_window_token1] = ACTIONS(1542),
    [aux_sym__keyword_date_token1] = ACTIONS(1542),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1542),
    [aux_sym__keyword_time_token1] = ACTIONS(1542),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1542),
    [aux_sym__keyword_for_token1] = ACTIONS(1542),
    [anon_sym_SEMI] = ACTIONS(1540),
    [aux_sym_declare_statement_token1] = ACTIONS(1542),
    [anon_sym_COMMA] = ACTIONS(1540),
    [aux_sym_set_statement_token1] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1542),
    [aux_sym_return_satement_token1] = ACTIONS(1542),
    [aux_sym_call_statement_token1] = ACTIONS(1542),
    [aux_sym_loop_statement_token1] = ACTIONS(1542),
    [aux_sym_while_statement_token1] = ACTIONS(1542),
    [aux_sym_break_statement_token1] = ACTIONS(1542),
    [aux_sym_leave_statement_token1] = ACTIONS(1542),
    [aux_sym_continue_statement_token1] = ACTIONS(1542),
    [aux_sym_iterate_statement_token1] = ACTIONS(1542),
    [aux_sym_raise_statement_token1] = ACTIONS(1542),
    [anon_sym_EQ] = ACTIONS(1540),
    [aux_sym_assert_statement_token1] = ACTIONS(1542),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1542),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1542),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1316),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_GT] = ACTIONS(1542),
    [aux_sym_set_operation_token1] = ACTIONS(1542),
    [aux_sym_set_operation_token3] = ACTIONS(1542),
    [aux_sym_set_operation_token4] = ACTIONS(1542),
    [aux_sym_select_token1] = ACTIONS(1542),
    [aux_sym_having_clause_token1] = ACTIONS(1542),
    [aux_sym_qualify_clause_token1] = ACTIONS(1542),
    [aux_sym_limit_clause_token1] = ACTIONS(1542),
    [aux_sym_group_by_clause_token1] = ACTIONS(1542),
    [aux_sym_order_by_clause_token1] = ACTIONS(1542),
    [aux_sym_where_clause_token1] = ACTIONS(1542),
    [aux_sym_insert_statement_token1] = ACTIONS(1542),
    [aux_sym_truncate_statement_token1] = ACTIONS(1542),
    [aux_sym_update_statement_token1] = ACTIONS(1542),
    [aux_sym_merge_statement_token1] = ACTIONS(1542),
    [aux_sym_grant_statement_token1] = ACTIONS(1542),
    [aux_sym_revoke_statement_token1] = ACTIONS(1542),
    [aux_sym_export_data_statement_token1] = ACTIONS(1542),
    [aux_sym_load_data_statement_token1] = ACTIONS(1542),
    [anon_sym_LBRACK] = ACTIONS(1540),
    [sym__quoted_identifier] = ACTIONS(1540),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(1540),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(1542),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_LT_EQ] = ACTIONS(1540),
    [anon_sym_LT_GT] = ACTIONS(1540),
    [anon_sym_GT_EQ] = ACTIONS(1540),
    [anon_sym_BANG_EQ] = ACTIONS(1540),
    [anon_sym_LT_LT] = ACTIONS(1540),
    [anon_sym_GT_GT] = ACTIONS(1540),
    [anon_sym_AMP] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(1540),
    [anon_sym_PIPE] = ACTIONS(1542),
  },
  [2481] = {
    [sym_analytics_clause] = STATE(2561),
    [ts_builtin_sym_end] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1446),
    [aux_sym_keyword_replace_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1446),
    [aux_sym__keyword_delete_token1] = ACTIONS(1446),
    [aux_sym__keyword_begin_token1] = ACTIONS(1446),
    [aux_sym__keyword_end_token1] = ACTIONS(1446),
    [aux_sym__keyword_between_token1] = ACTIONS(1446),
    [aux_sym__keyword_when_token1] = ACTIONS(1446),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1446),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1446),
    [aux_sym__keyword_like_token1] = ACTIONS(1446),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1446),
    [aux_sym__keyword_window_token1] = ACTIONS(1446),
    [aux_sym__keyword_for_token1] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1446),
    [aux_sym_return_satement_token1] = ACTIONS(1446),
    [aux_sym_call_statement_token1] = ACTIONS(1446),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_loop_statement_token1] = ACTIONS(1446),
    [aux_sym_repeat_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [aux_sym_leave_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_iterate_statement_token1] = ACTIONS(1446),
    [aux_sym_raise_statement_token1] = ACTIONS(1446),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1446),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1446),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1446),
    [aux_sym_set_operation_token3] = ACTIONS(1446),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1446),
    [aux_sym_having_clause_token1] = ACTIONS(1446),
    [aux_sym_qualify_clause_token1] = ACTIONS(1446),
    [aux_sym_limit_clause_token1] = ACTIONS(1446),
    [aux_sym_group_by_clause_token1] = ACTIONS(1446),
    [aux_sym__direction_keywords_token1] = ACTIONS(1446),
    [aux_sym__direction_keywords_token2] = ACTIONS(1446),
    [aux_sym__nulls_preference_token1] = ACTIONS(1446),
    [aux_sym_order_by_clause_token1] = ACTIONS(1446),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1446),
    [aux_sym_truncate_statement_token1] = ACTIONS(1446),
    [aux_sym_update_statement_token1] = ACTIONS(1446),
    [aux_sym_merge_statement_token1] = ACTIONS(1446),
    [aux_sym_grant_statement_token1] = ACTIONS(1446),
    [aux_sym_revoke_statement_token1] = ACTIONS(1446),
    [aux_sym_export_data_statement_token1] = ACTIONS(1446),
    [aux_sym_load_data_statement_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [2482] = {
    [sym_analytics_clause] = STATE(2564),
    [ts_builtin_sym_end] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1446),
    [aux_sym_keyword_replace_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1446),
    [aux_sym__keyword_delete_token1] = ACTIONS(1446),
    [aux_sym__keyword_begin_token1] = ACTIONS(1446),
    [aux_sym__keyword_end_token1] = ACTIONS(1446),
    [aux_sym__keyword_between_token1] = ACTIONS(1446),
    [aux_sym__keyword_when_token1] = ACTIONS(1446),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1446),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1446),
    [aux_sym__keyword_like_token1] = ACTIONS(1446),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1446),
    [aux_sym__keyword_window_token1] = ACTIONS(1446),
    [aux_sym__keyword_for_token1] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1446),
    [aux_sym_return_satement_token1] = ACTIONS(1446),
    [aux_sym_call_statement_token1] = ACTIONS(1446),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_loop_statement_token1] = ACTIONS(1446),
    [aux_sym_repeat_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [aux_sym_leave_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_iterate_statement_token1] = ACTIONS(1446),
    [aux_sym_raise_statement_token1] = ACTIONS(1446),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1446),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1446),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1446),
    [aux_sym_set_operation_token3] = ACTIONS(1446),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1446),
    [aux_sym_having_clause_token1] = ACTIONS(1446),
    [aux_sym_qualify_clause_token1] = ACTIONS(1446),
    [aux_sym_limit_clause_token1] = ACTIONS(1446),
    [aux_sym_group_by_clause_token1] = ACTIONS(1446),
    [aux_sym__direction_keywords_token1] = ACTIONS(1446),
    [aux_sym__direction_keywords_token2] = ACTIONS(1446),
    [aux_sym__nulls_preference_token1] = ACTIONS(1446),
    [aux_sym_order_by_clause_token1] = ACTIONS(1446),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1446),
    [aux_sym_truncate_statement_token1] = ACTIONS(1446),
    [aux_sym_update_statement_token1] = ACTIONS(1446),
    [aux_sym_merge_statement_token1] = ACTIONS(1446),
    [aux_sym_grant_statement_token1] = ACTIONS(1446),
    [aux_sym_revoke_statement_token1] = ACTIONS(1446),
    [aux_sym_export_data_statement_token1] = ACTIONS(1446),
    [aux_sym_load_data_statement_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [2483] = {
    [sym__unquoted_identifier] = ACTIONS(1081),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1081),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1081),
    [aux_sym_keyword_replace_token1] = ACTIONS(1081),
    [aux_sym__keyword_alter_token1] = ACTIONS(1081),
    [aux_sym__keyword_delete_token1] = ACTIONS(1081),
    [aux_sym__keyword_begin_token1] = ACTIONS(1081),
    [aux_sym__keyword_end_token1] = ACTIONS(1081),
    [aux_sym__keyword_between_token1] = ACTIONS(1081),
    [aux_sym__keyword_when_token1] = ACTIONS(1081),
    [aux_sym__keyword_else_token1] = ACTIONS(1081),
    [aux_sym__keyword_is_token1] = ACTIONS(1081),
    [aux_sym__keyword_in_token1] = ACTIONS(1081),
    [aux_sym__keyword_and_token1] = ACTIONS(1081),
    [aux_sym__keyword_like_token1] = ACTIONS(1081),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1081),
    [aux_sym__keyword_as_token1] = ACTIONS(1081),
    [aux_sym__keyword_date_token1] = ACTIONS(1081),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1081),
    [aux_sym__keyword_time_token1] = ACTIONS(1081),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1081),
    [aux_sym__keyword_for_token1] = ACTIONS(1081),
    [anon_sym_SEMI] = ACTIONS(1083),
    [aux_sym_declare_statement_token1] = ACTIONS(1081),
    [anon_sym_COMMA] = ACTIONS(1083),
    [aux_sym_set_statement_token1] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1081),
    [aux_sym_return_satement_token1] = ACTIONS(1081),
    [aux_sym_call_statement_token1] = ACTIONS(1081),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1081),
    [aux_sym_if_statement_token1] = ACTIONS(1081),
    [aux_sym_loop_statement_token1] = ACTIONS(1081),
    [aux_sym_repeat_statement_token1] = ACTIONS(1081),
    [aux_sym_while_statement_token1] = ACTIONS(1081),
    [aux_sym_break_statement_token1] = ACTIONS(1081),
    [aux_sym_leave_statement_token1] = ACTIONS(1081),
    [aux_sym_continue_statement_token1] = ACTIONS(1081),
    [aux_sym_iterate_statement_token1] = ACTIONS(1081),
    [aux_sym_raise_statement_token1] = ACTIONS(1081),
    [anon_sym_EQ] = ACTIONS(1083),
    [aux_sym_assert_statement_token1] = ACTIONS(1081),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1081),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1081),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1081),
    [anon_sym_LT] = ACTIONS(1081),
    [anon_sym_GT] = ACTIONS(1081),
    [aux_sym_set_operation_token1] = ACTIONS(1081),
    [aux_sym_set_operation_token3] = ACTIONS(1081),
    [aux_sym_set_operation_token4] = ACTIONS(1081),
    [aux_sym_select_token1] = ACTIONS(1081),
    [aux_sym_limit_clause_token1] = ACTIONS(1081),
    [aux_sym__direction_keywords_token1] = ACTIONS(1081),
    [aux_sym__direction_keywords_token2] = ACTIONS(1081),
    [aux_sym__nulls_preference_token1] = ACTIONS(1081),
    [aux_sym_order_by_clause_token1] = ACTIONS(1081),
    [aux_sym_insert_statement_token1] = ACTIONS(1081),
    [aux_sym_truncate_statement_token1] = ACTIONS(1081),
    [aux_sym_update_statement_token1] = ACTIONS(1081),
    [aux_sym_merge_statement_token1] = ACTIONS(1081),
    [aux_sym_grant_statement_token1] = ACTIONS(1081),
    [aux_sym_revoke_statement_token1] = ACTIONS(1081),
    [aux_sym_export_data_statement_token1] = ACTIONS(1081),
    [aux_sym_load_data_statement_token1] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [sym__quoted_identifier] = ACTIONS(1083),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1083),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1081),
    [anon_sym_STAR] = ACTIONS(1083),
    [anon_sym_SLASH] = ACTIONS(1081),
    [anon_sym_PIPE_PIPE] = ACTIONS(1083),
    [anon_sym_LT_EQ] = ACTIONS(1083),
    [anon_sym_LT_GT] = ACTIONS(1083),
    [anon_sym_GT_EQ] = ACTIONS(1083),
    [anon_sym_BANG_EQ] = ACTIONS(1083),
    [anon_sym_LT_LT] = ACTIONS(1083),
    [anon_sym_GT_GT] = ACTIONS(1083),
    [anon_sym_AMP] = ACTIONS(1083),
    [anon_sym_CARET] = ACTIONS(1083),
    [anon_sym_PIPE] = ACTIONS(1081),
  },
  [2484] = {
    [sym__keyword_as] = STATE(11549),
    [sym__keyword_date] = STATE(2774),
    [sym__keyword_datetime] = STATE(2774),
    [sym__keyword_time] = STATE(2774),
    [sym__keyword_timestamp] = STATE(2774),
    [sym_as_alias] = STATE(4386),
    [sym_unnest_withoffset] = STATE(4394),
    [sym__type_chrono] = STATE(2771),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4403),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [ts_builtin_sym_end] = ACTIONS(211),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(205),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(205),
    [aux_sym_keyword_replace_token1] = ACTIONS(205),
    [aux_sym__keyword_alter_token1] = ACTIONS(205),
    [aux_sym__keyword_delete_token1] = ACTIONS(205),
    [aux_sym__keyword_begin_token1] = ACTIONS(205),
    [aux_sym__keyword_between_token1] = ACTIONS(205),
    [aux_sym__keyword_is_token1] = ACTIONS(205),
    [aux_sym__keyword_in_token1] = ACTIONS(205),
    [aux_sym__keyword_and_token1] = ACTIONS(205),
    [aux_sym__keyword_like_token1] = ACTIONS(205),
    [aux_sym__keyword_repeat_token1] = ACTIONS(205),
    [aux_sym__keyword_as_token1] = ACTIONS(2738),
    [aux_sym__keyword_date_token1] = ACTIONS(1328),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1328),
    [aux_sym__keyword_time_token1] = ACTIONS(1328),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1328),
    [aux_sym__keyword_for_token1] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(211),
    [aux_sym_declare_statement_token1] = ACTIONS(205),
    [anon_sym_COMMA] = ACTIONS(211),
    [aux_sym_set_statement_token1] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(211),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(205),
    [aux_sym_return_satement_token1] = ACTIONS(205),
    [aux_sym_call_statement_token1] = ACTIONS(205),
    [aux_sym_loop_statement_token1] = ACTIONS(205),
    [aux_sym_while_statement_token1] = ACTIONS(205),
    [aux_sym_break_statement_token1] = ACTIONS(205),
    [aux_sym_leave_statement_token1] = ACTIONS(205),
    [aux_sym_continue_statement_token1] = ACTIONS(205),
    [aux_sym_iterate_statement_token1] = ACTIONS(205),
    [aux_sym_raise_statement_token1] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(211),
    [aux_sym_assert_statement_token1] = ACTIONS(205),
    [aux_sym_create_schema_statement_token1] = ACTIONS(205),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(205),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2790),
    [aux_sym_option_clause_token1] = ACTIONS(205),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [aux_sym_select_token1] = ACTIONS(205),
    [aux_sym_insert_statement_token1] = ACTIONS(205),
    [aux_sym_truncate_statement_token1] = ACTIONS(205),
    [aux_sym_update_statement_token1] = ACTIONS(205),
    [aux_sym_merge_statement_token1] = ACTIONS(205),
    [aux_sym_grant_statement_token1] = ACTIONS(205),
    [aux_sym_revoke_statement_token1] = ACTIONS(205),
    [aux_sym_export_data_statement_token1] = ACTIONS(205),
    [aux_sym_load_data_statement_token1] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(211),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(211),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(211),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(211),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_LT_GT] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(211),
    [anon_sym_GT_GT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_CARET] = ACTIONS(211),
    [anon_sym_PIPE] = ACTIONS(205),
  },
  [2485] = {
    [sym_analytics_clause] = STATE(2647),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2486] = {
    [sym__keyword_as] = STATE(11549),
    [sym__keyword_date] = STATE(2774),
    [sym__keyword_datetime] = STATE(2774),
    [sym__keyword_time] = STATE(2774),
    [sym__keyword_timestamp] = STATE(2774),
    [sym_as_alias] = STATE(4397),
    [sym_unnest_withoffset] = STATE(4394),
    [sym__type_chrono] = STATE(2771),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4403),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [ts_builtin_sym_end] = ACTIONS(211),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(205),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(205),
    [aux_sym_keyword_replace_token1] = ACTIONS(205),
    [aux_sym__keyword_alter_token1] = ACTIONS(205),
    [aux_sym__keyword_delete_token1] = ACTIONS(205),
    [aux_sym__keyword_begin_token1] = ACTIONS(205),
    [aux_sym__keyword_between_token1] = ACTIONS(205),
    [aux_sym__keyword_when_token1] = ACTIONS(205),
    [aux_sym__keyword_is_token1] = ACTIONS(205),
    [aux_sym__keyword_in_token1] = ACTIONS(205),
    [aux_sym__keyword_and_token1] = ACTIONS(205),
    [aux_sym__keyword_like_token1] = ACTIONS(205),
    [aux_sym__keyword_repeat_token1] = ACTIONS(205),
    [aux_sym__keyword_as_token1] = ACTIONS(2738),
    [aux_sym__keyword_date_token1] = ACTIONS(1328),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1328),
    [aux_sym__keyword_time_token1] = ACTIONS(1328),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1328),
    [aux_sym__keyword_for_token1] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(211),
    [aux_sym_declare_statement_token1] = ACTIONS(205),
    [anon_sym_COMMA] = ACTIONS(211),
    [aux_sym_set_statement_token1] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(211),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(205),
    [aux_sym_return_satement_token1] = ACTIONS(205),
    [aux_sym_call_statement_token1] = ACTIONS(205),
    [aux_sym_loop_statement_token1] = ACTIONS(205),
    [aux_sym_while_statement_token1] = ACTIONS(205),
    [aux_sym_break_statement_token1] = ACTIONS(205),
    [aux_sym_leave_statement_token1] = ACTIONS(205),
    [aux_sym_continue_statement_token1] = ACTIONS(205),
    [aux_sym_iterate_statement_token1] = ACTIONS(205),
    [aux_sym_raise_statement_token1] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(211),
    [aux_sym_assert_statement_token1] = ACTIONS(205),
    [aux_sym_create_schema_statement_token1] = ACTIONS(205),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(205),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2740),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [aux_sym_select_token1] = ACTIONS(205),
    [aux_sym_insert_statement_token1] = ACTIONS(205),
    [aux_sym_truncate_statement_token1] = ACTIONS(205),
    [aux_sym_update_statement_token1] = ACTIONS(205),
    [aux_sym_merge_statement_token1] = ACTIONS(205),
    [aux_sym_grant_statement_token1] = ACTIONS(205),
    [aux_sym_revoke_statement_token1] = ACTIONS(205),
    [aux_sym_export_data_statement_token1] = ACTIONS(205),
    [aux_sym_load_data_statement_token1] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(211),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(211),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(211),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(211),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_LT_GT] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(211),
    [anon_sym_GT_GT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_CARET] = ACTIONS(211),
    [anon_sym_PIPE] = ACTIONS(205),
  },
  [2487] = {
    [sym__keyword_between] = STATE(1827),
    [sym__keyword_is] = STATE(12033),
    [sym__keyword_in] = STATE(1775),
    [sym__keyword_not] = STATE(13068),
    [sym__keyword_and] = STATE(1837),
    [sym__keyword_or] = STATE(1873),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16337),
    [sym_quantitve_like_operator] = STATE(16336),
    [sym__unquoted_identifier] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(921),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(921),
    [aux_sym__keyword_delete_token1] = ACTIONS(921),
    [aux_sym__keyword_begin_token1] = ACTIONS(921),
    [aux_sym__keyword_end_token1] = ACTIONS(921),
    [aux_sym__keyword_between_token1] = ACTIONS(921),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(921),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(921),
    [aux_sym__keyword_like_token1] = ACTIONS(921),
    [aux_sym__keyword_repeat_token1] = ACTIONS(921),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_date_token1] = ACTIONS(921),
    [aux_sym__keyword_datetime_token1] = ACTIONS(921),
    [aux_sym__keyword_time_token1] = ACTIONS(921),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(921),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(921),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(921),
    [aux_sym_return_satement_token1] = ACTIONS(921),
    [aux_sym_call_statement_token1] = ACTIONS(921),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(921),
    [aux_sym_if_statement_token1] = ACTIONS(921),
    [aux_sym_loop_statement_token1] = ACTIONS(921),
    [aux_sym_repeat_statement_token1] = ACTIONS(921),
    [aux_sym_while_statement_token1] = ACTIONS(921),
    [aux_sym_break_statement_token1] = ACTIONS(921),
    [aux_sym_leave_statement_token1] = ACTIONS(921),
    [aux_sym_continue_statement_token1] = ACTIONS(921),
    [aux_sym_iterate_statement_token1] = ACTIONS(921),
    [aux_sym_raise_statement_token1] = ACTIONS(921),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(921),
    [aux_sym_create_schema_statement_token1] = ACTIONS(921),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(921),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(921),
    [aux_sym_insert_statement_token1] = ACTIONS(921),
    [aux_sym_truncate_statement_token1] = ACTIONS(921),
    [aux_sym_update_statement_token1] = ACTIONS(921),
    [aux_sym_merge_statement_token1] = ACTIONS(921),
    [aux_sym_grant_statement_token1] = ACTIONS(921),
    [aux_sym_revoke_statement_token1] = ACTIONS(921),
    [aux_sym_export_data_statement_token1] = ACTIONS(921),
    [aux_sym_load_data_statement_token1] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym__quoted_identifier] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1338),
    [anon_sym_STAR] = ACTIONS(1340),
    [anon_sym_SLASH] = ACTIONS(1342),
    [anon_sym_PIPE_PIPE] = ACTIONS(1340),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(1344),
    [anon_sym_GT_GT] = ACTIONS(1344),
    [anon_sym_AMP] = ACTIONS(1346),
    [anon_sym_CARET] = ACTIONS(1348),
    [anon_sym_PIPE] = ACTIONS(1350),
  },
  [2488] = {
    [sym_analytics_clause] = STATE(2646),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2489] = {
    [sym_analytics_clause] = STATE(2644),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2490] = {
    [sym__keyword_between] = STATE(1827),
    [sym__keyword_is] = STATE(12033),
    [sym__keyword_in] = STATE(1775),
    [sym__keyword_not] = STATE(13068),
    [sym__keyword_and] = STATE(1837),
    [sym__keyword_or] = STATE(1873),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16337),
    [sym_quantitve_like_operator] = STATE(16336),
    [sym__unquoted_identifier] = ACTIONS(1021),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1021),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1021),
    [aux_sym_keyword_replace_token1] = ACTIONS(1021),
    [aux_sym__keyword_alter_token1] = ACTIONS(1021),
    [aux_sym__keyword_delete_token1] = ACTIONS(1021),
    [aux_sym__keyword_begin_token1] = ACTIONS(1021),
    [aux_sym__keyword_end_token1] = ACTIONS(1021),
    [aux_sym__keyword_between_token1] = ACTIONS(1021),
    [aux_sym__keyword_else_token1] = ACTIONS(1021),
    [aux_sym__keyword_is_token1] = ACTIONS(1021),
    [aux_sym__keyword_in_token1] = ACTIONS(1021),
    [aux_sym__keyword_and_token1] = ACTIONS(1021),
    [aux_sym__keyword_like_token1] = ACTIONS(1021),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1021),
    [aux_sym__keyword_as_token1] = ACTIONS(1021),
    [aux_sym__keyword_date_token1] = ACTIONS(1021),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1021),
    [aux_sym__keyword_time_token1] = ACTIONS(1021),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1021),
    [aux_sym__keyword_for_token1] = ACTIONS(1021),
    [anon_sym_SEMI] = ACTIONS(1019),
    [aux_sym_declare_statement_token1] = ACTIONS(1021),
    [anon_sym_COMMA] = ACTIONS(1019),
    [aux_sym_set_statement_token1] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(1019),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1021),
    [aux_sym_return_satement_token1] = ACTIONS(1021),
    [aux_sym_call_statement_token1] = ACTIONS(1021),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1021),
    [aux_sym_if_statement_token1] = ACTIONS(1021),
    [aux_sym_loop_statement_token1] = ACTIONS(1021),
    [aux_sym_repeat_statement_token1] = ACTIONS(1021),
    [aux_sym_while_statement_token1] = ACTIONS(1021),
    [aux_sym_break_statement_token1] = ACTIONS(1021),
    [aux_sym_leave_statement_token1] = ACTIONS(1021),
    [aux_sym_continue_statement_token1] = ACTIONS(1021),
    [aux_sym_iterate_statement_token1] = ACTIONS(1021),
    [aux_sym_raise_statement_token1] = ACTIONS(1021),
    [anon_sym_EQ] = ACTIONS(1019),
    [aux_sym_assert_statement_token1] = ACTIONS(1021),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1021),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1021),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1021),
    [anon_sym_LT] = ACTIONS(1021),
    [anon_sym_GT] = ACTIONS(1021),
    [aux_sym_select_token1] = ACTIONS(1021),
    [aux_sym_insert_statement_token1] = ACTIONS(1021),
    [aux_sym_truncate_statement_token1] = ACTIONS(1021),
    [aux_sym_update_statement_token1] = ACTIONS(1021),
    [aux_sym_merge_statement_token1] = ACTIONS(1021),
    [aux_sym_grant_statement_token1] = ACTIONS(1021),
    [aux_sym_revoke_statement_token1] = ACTIONS(1021),
    [aux_sym_export_data_statement_token1] = ACTIONS(1021),
    [aux_sym_load_data_statement_token1] = ACTIONS(1021),
    [anon_sym_LBRACK] = ACTIONS(1019),
    [sym__quoted_identifier] = ACTIONS(1019),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1019),
    [anon_sym_PLUS] = ACTIONS(1019),
    [anon_sym_DASH] = ACTIONS(1021),
    [anon_sym_STAR] = ACTIONS(1019),
    [anon_sym_SLASH] = ACTIONS(1021),
    [anon_sym_PIPE_PIPE] = ACTIONS(1019),
    [anon_sym_LT_EQ] = ACTIONS(1019),
    [anon_sym_LT_GT] = ACTIONS(1019),
    [anon_sym_GT_EQ] = ACTIONS(1019),
    [anon_sym_BANG_EQ] = ACTIONS(1019),
    [anon_sym_LT_LT] = ACTIONS(1019),
    [anon_sym_GT_GT] = ACTIONS(1019),
    [anon_sym_AMP] = ACTIONS(1019),
    [anon_sym_CARET] = ACTIONS(1019),
    [anon_sym_PIPE] = ACTIONS(1021),
  },
  [2491] = {
    [sym_analytics_clause] = STATE(2593),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2492] = {
    [sym_analytics_clause] = STATE(2640),
    [ts_builtin_sym_end] = ACTIONS(1504),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1504),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1504),
    [aux_sym_keyword_replace_token1] = ACTIONS(1506),
    [aux_sym__keyword_alter_token1] = ACTIONS(1504),
    [aux_sym__keyword_delete_token1] = ACTIONS(1504),
    [aux_sym__keyword_begin_token1] = ACTIONS(1504),
    [aux_sym__keyword_end_token1] = ACTIONS(1504),
    [aux_sym__keyword_between_token1] = ACTIONS(1504),
    [aux_sym__keyword_when_token1] = ACTIONS(1504),
    [aux_sym__keyword_else_token1] = ACTIONS(1506),
    [aux_sym__keyword_is_token1] = ACTIONS(1504),
    [aux_sym__keyword_in_token1] = ACTIONS(1506),
    [aux_sym__keyword_and_token1] = ACTIONS(1504),
    [aux_sym__keyword_like_token1] = ACTIONS(1504),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1504),
    [aux_sym__keyword_window_token1] = ACTIONS(1504),
    [aux_sym__keyword_for_token1] = ACTIONS(1504),
    [anon_sym_SEMI] = ACTIONS(1504),
    [aux_sym_declare_statement_token1] = ACTIONS(1504),
    [anon_sym_COMMA] = ACTIONS(1504),
    [aux_sym_set_statement_token1] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1504),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1504),
    [aux_sym_return_satement_token1] = ACTIONS(1504),
    [aux_sym_call_statement_token1] = ACTIONS(1504),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1504),
    [aux_sym_if_statement_token1] = ACTIONS(1504),
    [aux_sym_loop_statement_token1] = ACTIONS(1504),
    [aux_sym_repeat_statement_token1] = ACTIONS(1504),
    [aux_sym_while_statement_token1] = ACTIONS(1504),
    [aux_sym_break_statement_token1] = ACTIONS(1504),
    [aux_sym_leave_statement_token1] = ACTIONS(1504),
    [aux_sym_continue_statement_token1] = ACTIONS(1504),
    [aux_sym_iterate_statement_token1] = ACTIONS(1504),
    [aux_sym_raise_statement_token1] = ACTIONS(1504),
    [anon_sym_EQ] = ACTIONS(1504),
    [aux_sym_assert_statement_token1] = ACTIONS(1504),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1504),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1504),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1504),
    [anon_sym_LT] = ACTIONS(1506),
    [anon_sym_GT] = ACTIONS(1506),
    [aux_sym_set_operation_token1] = ACTIONS(1504),
    [aux_sym_set_operation_token3] = ACTIONS(1504),
    [aux_sym_set_operation_token4] = ACTIONS(1506),
    [aux_sym_select_token1] = ACTIONS(1504),
    [aux_sym_having_clause_token1] = ACTIONS(1504),
    [aux_sym_qualify_clause_token1] = ACTIONS(1504),
    [aux_sym_limit_clause_token1] = ACTIONS(1504),
    [aux_sym_group_by_clause_token1] = ACTIONS(1504),
    [aux_sym__direction_keywords_token1] = ACTIONS(1504),
    [aux_sym__direction_keywords_token2] = ACTIONS(1504),
    [aux_sym__nulls_preference_token1] = ACTIONS(1504),
    [aux_sym_order_by_clause_token1] = ACTIONS(1504),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1504),
    [aux_sym_truncate_statement_token1] = ACTIONS(1504),
    [aux_sym_update_statement_token1] = ACTIONS(1504),
    [aux_sym_merge_statement_token1] = ACTIONS(1504),
    [aux_sym_grant_statement_token1] = ACTIONS(1504),
    [aux_sym_revoke_statement_token1] = ACTIONS(1504),
    [aux_sym_export_data_statement_token1] = ACTIONS(1504),
    [aux_sym_load_data_statement_token1] = ACTIONS(1504),
    [anon_sym_LBRACK] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1504),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1506),
    [anon_sym_STAR] = ACTIONS(1504),
    [anon_sym_SLASH] = ACTIONS(1506),
    [anon_sym_PIPE_PIPE] = ACTIONS(1504),
    [anon_sym_LT_EQ] = ACTIONS(1504),
    [anon_sym_LT_GT] = ACTIONS(1504),
    [anon_sym_GT_EQ] = ACTIONS(1504),
    [anon_sym_BANG_EQ] = ACTIONS(1504),
    [anon_sym_LT_LT] = ACTIONS(1504),
    [anon_sym_GT_GT] = ACTIONS(1504),
    [anon_sym_AMP] = ACTIONS(1504),
    [anon_sym_CARET] = ACTIONS(1504),
    [anon_sym_PIPE] = ACTIONS(1506),
  },
  [2493] = {
    [sym_analytics_clause] = STATE(2594),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2494] = {
    [sym_analytics_clause] = STATE(2639),
    [ts_builtin_sym_end] = ACTIONS(1500),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1500),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1500),
    [aux_sym_keyword_replace_token1] = ACTIONS(1502),
    [aux_sym__keyword_alter_token1] = ACTIONS(1500),
    [aux_sym__keyword_delete_token1] = ACTIONS(1500),
    [aux_sym__keyword_begin_token1] = ACTIONS(1500),
    [aux_sym__keyword_end_token1] = ACTIONS(1500),
    [aux_sym__keyword_between_token1] = ACTIONS(1500),
    [aux_sym__keyword_when_token1] = ACTIONS(1500),
    [aux_sym__keyword_else_token1] = ACTIONS(1502),
    [aux_sym__keyword_is_token1] = ACTIONS(1500),
    [aux_sym__keyword_in_token1] = ACTIONS(1502),
    [aux_sym__keyword_and_token1] = ACTIONS(1500),
    [aux_sym__keyword_like_token1] = ACTIONS(1500),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1500),
    [aux_sym__keyword_window_token1] = ACTIONS(1500),
    [aux_sym__keyword_for_token1] = ACTIONS(1500),
    [anon_sym_SEMI] = ACTIONS(1500),
    [aux_sym_declare_statement_token1] = ACTIONS(1500),
    [anon_sym_COMMA] = ACTIONS(1500),
    [aux_sym_set_statement_token1] = ACTIONS(1500),
    [anon_sym_LPAREN] = ACTIONS(1500),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1500),
    [aux_sym_return_satement_token1] = ACTIONS(1500),
    [aux_sym_call_statement_token1] = ACTIONS(1500),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1500),
    [aux_sym_if_statement_token1] = ACTIONS(1500),
    [aux_sym_loop_statement_token1] = ACTIONS(1500),
    [aux_sym_repeat_statement_token1] = ACTIONS(1500),
    [aux_sym_while_statement_token1] = ACTIONS(1500),
    [aux_sym_break_statement_token1] = ACTIONS(1500),
    [aux_sym_leave_statement_token1] = ACTIONS(1500),
    [aux_sym_continue_statement_token1] = ACTIONS(1500),
    [aux_sym_iterate_statement_token1] = ACTIONS(1500),
    [aux_sym_raise_statement_token1] = ACTIONS(1500),
    [anon_sym_EQ] = ACTIONS(1500),
    [aux_sym_assert_statement_token1] = ACTIONS(1500),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1500),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1500),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1500),
    [anon_sym_LT] = ACTIONS(1502),
    [anon_sym_GT] = ACTIONS(1502),
    [aux_sym_set_operation_token1] = ACTIONS(1500),
    [aux_sym_set_operation_token3] = ACTIONS(1500),
    [aux_sym_set_operation_token4] = ACTIONS(1502),
    [aux_sym_select_token1] = ACTIONS(1500),
    [aux_sym_having_clause_token1] = ACTIONS(1500),
    [aux_sym_qualify_clause_token1] = ACTIONS(1500),
    [aux_sym_limit_clause_token1] = ACTIONS(1500),
    [aux_sym_group_by_clause_token1] = ACTIONS(1500),
    [aux_sym__direction_keywords_token1] = ACTIONS(1500),
    [aux_sym__direction_keywords_token2] = ACTIONS(1500),
    [aux_sym__nulls_preference_token1] = ACTIONS(1500),
    [aux_sym_order_by_clause_token1] = ACTIONS(1500),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1500),
    [aux_sym_truncate_statement_token1] = ACTIONS(1500),
    [aux_sym_update_statement_token1] = ACTIONS(1500),
    [aux_sym_merge_statement_token1] = ACTIONS(1500),
    [aux_sym_grant_statement_token1] = ACTIONS(1500),
    [aux_sym_revoke_statement_token1] = ACTIONS(1500),
    [aux_sym_export_data_statement_token1] = ACTIONS(1500),
    [aux_sym_load_data_statement_token1] = ACTIONS(1500),
    [anon_sym_LBRACK] = ACTIONS(1500),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_STAR] = ACTIONS(1500),
    [anon_sym_SLASH] = ACTIONS(1502),
    [anon_sym_PIPE_PIPE] = ACTIONS(1500),
    [anon_sym_LT_EQ] = ACTIONS(1500),
    [anon_sym_LT_GT] = ACTIONS(1500),
    [anon_sym_GT_EQ] = ACTIONS(1500),
    [anon_sym_BANG_EQ] = ACTIONS(1500),
    [anon_sym_LT_LT] = ACTIONS(1500),
    [anon_sym_GT_GT] = ACTIONS(1500),
    [anon_sym_AMP] = ACTIONS(1500),
    [anon_sym_CARET] = ACTIONS(1500),
    [anon_sym_PIPE] = ACTIONS(1502),
  },
  [2495] = {
    [sym_analytics_clause] = STATE(2609),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2496] = {
    [sym_analytics_clause] = STATE(2638),
    [ts_builtin_sym_end] = ACTIONS(1496),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1496),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1496),
    [aux_sym_keyword_replace_token1] = ACTIONS(1498),
    [aux_sym__keyword_alter_token1] = ACTIONS(1496),
    [aux_sym__keyword_delete_token1] = ACTIONS(1496),
    [aux_sym__keyword_begin_token1] = ACTIONS(1496),
    [aux_sym__keyword_end_token1] = ACTIONS(1496),
    [aux_sym__keyword_between_token1] = ACTIONS(1496),
    [aux_sym__keyword_when_token1] = ACTIONS(1496),
    [aux_sym__keyword_else_token1] = ACTIONS(1498),
    [aux_sym__keyword_is_token1] = ACTIONS(1496),
    [aux_sym__keyword_in_token1] = ACTIONS(1498),
    [aux_sym__keyword_and_token1] = ACTIONS(1496),
    [aux_sym__keyword_like_token1] = ACTIONS(1496),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1496),
    [aux_sym__keyword_window_token1] = ACTIONS(1496),
    [aux_sym__keyword_for_token1] = ACTIONS(1496),
    [anon_sym_SEMI] = ACTIONS(1496),
    [aux_sym_declare_statement_token1] = ACTIONS(1496),
    [anon_sym_COMMA] = ACTIONS(1496),
    [aux_sym_set_statement_token1] = ACTIONS(1496),
    [anon_sym_LPAREN] = ACTIONS(1496),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1496),
    [aux_sym_return_satement_token1] = ACTIONS(1496),
    [aux_sym_call_statement_token1] = ACTIONS(1496),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1496),
    [aux_sym_if_statement_token1] = ACTIONS(1496),
    [aux_sym_loop_statement_token1] = ACTIONS(1496),
    [aux_sym_repeat_statement_token1] = ACTIONS(1496),
    [aux_sym_while_statement_token1] = ACTIONS(1496),
    [aux_sym_break_statement_token1] = ACTIONS(1496),
    [aux_sym_leave_statement_token1] = ACTIONS(1496),
    [aux_sym_continue_statement_token1] = ACTIONS(1496),
    [aux_sym_iterate_statement_token1] = ACTIONS(1496),
    [aux_sym_raise_statement_token1] = ACTIONS(1496),
    [anon_sym_EQ] = ACTIONS(1496),
    [aux_sym_assert_statement_token1] = ACTIONS(1496),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1496),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1496),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1496),
    [anon_sym_LT] = ACTIONS(1498),
    [anon_sym_GT] = ACTIONS(1498),
    [aux_sym_set_operation_token1] = ACTIONS(1496),
    [aux_sym_set_operation_token3] = ACTIONS(1496),
    [aux_sym_set_operation_token4] = ACTIONS(1498),
    [aux_sym_select_token1] = ACTIONS(1496),
    [aux_sym_having_clause_token1] = ACTIONS(1496),
    [aux_sym_qualify_clause_token1] = ACTIONS(1496),
    [aux_sym_limit_clause_token1] = ACTIONS(1496),
    [aux_sym_group_by_clause_token1] = ACTIONS(1496),
    [aux_sym__direction_keywords_token1] = ACTIONS(1496),
    [aux_sym__direction_keywords_token2] = ACTIONS(1496),
    [aux_sym__nulls_preference_token1] = ACTIONS(1496),
    [aux_sym_order_by_clause_token1] = ACTIONS(1496),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1496),
    [aux_sym_truncate_statement_token1] = ACTIONS(1496),
    [aux_sym_update_statement_token1] = ACTIONS(1496),
    [aux_sym_merge_statement_token1] = ACTIONS(1496),
    [aux_sym_grant_statement_token1] = ACTIONS(1496),
    [aux_sym_revoke_statement_token1] = ACTIONS(1496),
    [aux_sym_export_data_statement_token1] = ACTIONS(1496),
    [aux_sym_load_data_statement_token1] = ACTIONS(1496),
    [anon_sym_LBRACK] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(1498),
    [anon_sym_PIPE_PIPE] = ACTIONS(1496),
    [anon_sym_LT_EQ] = ACTIONS(1496),
    [anon_sym_LT_GT] = ACTIONS(1496),
    [anon_sym_GT_EQ] = ACTIONS(1496),
    [anon_sym_BANG_EQ] = ACTIONS(1496),
    [anon_sym_LT_LT] = ACTIONS(1496),
    [anon_sym_GT_GT] = ACTIONS(1496),
    [anon_sym_AMP] = ACTIONS(1496),
    [anon_sym_CARET] = ACTIONS(1496),
    [anon_sym_PIPE] = ACTIONS(1498),
  },
  [2497] = {
    [sym_analytics_clause] = STATE(2636),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_window_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1360),
    [aux_sym_set_operation_token3] = ACTIONS(1360),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_having_clause_token1] = ACTIONS(1360),
    [aux_sym_qualify_clause_token1] = ACTIONS(1360),
    [aux_sym_limit_clause_token1] = ACTIONS(1360),
    [aux_sym_group_by_clause_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token2] = ACTIONS(1360),
    [aux_sym__nulls_preference_token1] = ACTIONS(1360),
    [aux_sym_order_by_clause_token1] = ACTIONS(1360),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [2498] = {
    [sym_analytics_clause] = STATE(2634),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_window_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1360),
    [aux_sym_set_operation_token3] = ACTIONS(1360),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_having_clause_token1] = ACTIONS(1360),
    [aux_sym_qualify_clause_token1] = ACTIONS(1360),
    [aux_sym_limit_clause_token1] = ACTIONS(1360),
    [aux_sym_group_by_clause_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token2] = ACTIONS(1360),
    [aux_sym__nulls_preference_token1] = ACTIONS(1360),
    [aux_sym_order_by_clause_token1] = ACTIONS(1360),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [2499] = {
    [sym__keyword_between] = STATE(1511),
    [sym__keyword_is] = STATE(12110),
    [sym__keyword_in] = STATE(1669),
    [sym__keyword_not] = STATE(13115),
    [sym__keyword_and] = STATE(1639),
    [sym__keyword_or] = STATE(1636),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(2918),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(341),
    [aux_sym__keyword_alter_token1] = ACTIONS(2918),
    [aux_sym__keyword_delete_token1] = ACTIONS(2918),
    [aux_sym__keyword_begin_token1] = ACTIONS(2918),
    [aux_sym__keyword_end_token1] = ACTIONS(2918),
    [aux_sym__keyword_between_token1] = ACTIONS(2846),
    [aux_sym__keyword_when_token1] = ACTIONS(2918),
    [aux_sym__keyword_else_token1] = ACTIONS(2920),
    [aux_sym__keyword_is_token1] = ACTIONS(2848),
    [aux_sym__keyword_in_token1] = ACTIONS(2850),
    [aux_sym__keyword_and_token1] = ACTIONS(2852),
    [aux_sym__keyword_like_token1] = ACTIONS(1007),
    [aux_sym__keyword_repeat_token1] = ACTIONS(2918),
    [aux_sym__keyword_window_token1] = ACTIONS(2918),
    [aux_sym__keyword_for_token1] = ACTIONS(2918),
    [anon_sym_SEMI] = ACTIONS(2918),
    [aux_sym_declare_statement_token1] = ACTIONS(2918),
    [aux_sym_set_statement_token1] = ACTIONS(2918),
    [anon_sym_LPAREN] = ACTIONS(2918),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(2918),
    [aux_sym_return_satement_token1] = ACTIONS(2918),
    [aux_sym_call_statement_token1] = ACTIONS(2918),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(2918),
    [aux_sym_if_statement_token1] = ACTIONS(2918),
    [aux_sym_loop_statement_token1] = ACTIONS(2918),
    [aux_sym_repeat_statement_token1] = ACTIONS(2918),
    [aux_sym_while_statement_token1] = ACTIONS(2918),
    [aux_sym_break_statement_token1] = ACTIONS(2918),
    [aux_sym_leave_statement_token1] = ACTIONS(2918),
    [aux_sym_continue_statement_token1] = ACTIONS(2918),
    [aux_sym_iterate_statement_token1] = ACTIONS(2918),
    [aux_sym_raise_statement_token1] = ACTIONS(2918),
    [anon_sym_EQ] = ACTIONS(2854),
    [aux_sym_assert_statement_token1] = ACTIONS(2918),
    [aux_sym_create_schema_statement_token1] = ACTIONS(2918),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(2918),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2918),
    [anon_sym_LT] = ACTIONS(2850),
    [anon_sym_GT] = ACTIONS(2850),
    [aux_sym_set_operation_token1] = ACTIONS(2918),
    [aux_sym_set_operation_token3] = ACTIONS(2918),
    [aux_sym_set_operation_token4] = ACTIONS(2920),
    [aux_sym_select_token1] = ACTIONS(2918),
    [aux_sym_qualify_clause_token1] = ACTIONS(2918),
    [aux_sym_limit_clause_token1] = ACTIONS(2918),
    [aux_sym_order_by_clause_token1] = ACTIONS(2918),
    [aux_sym_insert_statement_token1] = ACTIONS(2918),
    [aux_sym_truncate_statement_token1] = ACTIONS(2918),
    [aux_sym_update_statement_token1] = ACTIONS(2918),
    [aux_sym_merge_statement_token1] = ACTIONS(2918),
    [aux_sym_grant_statement_token1] = ACTIONS(2918),
    [aux_sym_revoke_statement_token1] = ACTIONS(2918),
    [aux_sym_export_data_statement_token1] = ACTIONS(2918),
    [aux_sym_load_data_statement_token1] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(781),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(783),
    [anon_sym_PLUS] = ACTIONS(2808),
    [anon_sym_DASH] = ACTIONS(2810),
    [anon_sym_STAR] = ACTIONS(2812),
    [anon_sym_SLASH] = ACTIONS(2814),
    [anon_sym_PIPE_PIPE] = ACTIONS(2812),
    [anon_sym_LT_EQ] = ACTIONS(2854),
    [anon_sym_LT_GT] = ACTIONS(2854),
    [anon_sym_GT_EQ] = ACTIONS(2854),
    [anon_sym_BANG_EQ] = ACTIONS(2854),
    [anon_sym_LT_LT] = ACTIONS(2816),
    [anon_sym_GT_GT] = ACTIONS(2816),
    [anon_sym_AMP] = ACTIONS(2818),
    [anon_sym_CARET] = ACTIONS(2820),
    [anon_sym_PIPE] = ACTIONS(2822),
  },
  [2500] = {
    [sym_string] = STATE(2653),
    [ts_builtin_sym_end] = ACTIONS(1508),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1508),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1508),
    [aux_sym_keyword_replace_token1] = ACTIONS(1510),
    [aux_sym__keyword_alter_token1] = ACTIONS(1508),
    [aux_sym__keyword_delete_token1] = ACTIONS(1508),
    [aux_sym__keyword_begin_token1] = ACTIONS(1508),
    [aux_sym__keyword_end_token1] = ACTIONS(1508),
    [aux_sym__keyword_between_token1] = ACTIONS(1508),
    [aux_sym__keyword_when_token1] = ACTIONS(1508),
    [aux_sym__keyword_else_token1] = ACTIONS(1510),
    [aux_sym__keyword_is_token1] = ACTIONS(1508),
    [aux_sym__keyword_in_token1] = ACTIONS(1510),
    [aux_sym__keyword_and_token1] = ACTIONS(1508),
    [aux_sym__keyword_like_token1] = ACTIONS(1508),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1508),
    [aux_sym__keyword_window_token1] = ACTIONS(1508),
    [aux_sym__keyword_for_token1] = ACTIONS(1508),
    [anon_sym_SEMI] = ACTIONS(1508),
    [aux_sym_declare_statement_token1] = ACTIONS(1508),
    [anon_sym_COMMA] = ACTIONS(1508),
    [aux_sym_set_statement_token1] = ACTIONS(1508),
    [anon_sym_LPAREN] = ACTIONS(1508),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1508),
    [aux_sym_return_satement_token1] = ACTIONS(1508),
    [aux_sym_call_statement_token1] = ACTIONS(1508),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1508),
    [aux_sym_if_statement_token1] = ACTIONS(1508),
    [aux_sym_loop_statement_token1] = ACTIONS(1508),
    [aux_sym_repeat_statement_token1] = ACTIONS(1508),
    [aux_sym_while_statement_token1] = ACTIONS(1508),
    [aux_sym_break_statement_token1] = ACTIONS(1508),
    [aux_sym_leave_statement_token1] = ACTIONS(1508),
    [aux_sym_continue_statement_token1] = ACTIONS(1508),
    [aux_sym_iterate_statement_token1] = ACTIONS(1508),
    [aux_sym_raise_statement_token1] = ACTIONS(1508),
    [anon_sym_EQ] = ACTIONS(1508),
    [aux_sym_assert_statement_token1] = ACTIONS(1508),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1508),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1508),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1508),
    [anon_sym_LT] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1510),
    [aux_sym_set_operation_token1] = ACTIONS(1508),
    [aux_sym_set_operation_token3] = ACTIONS(1508),
    [aux_sym_set_operation_token4] = ACTIONS(1510),
    [aux_sym_select_token1] = ACTIONS(1508),
    [aux_sym_having_clause_token1] = ACTIONS(1508),
    [aux_sym_qualify_clause_token1] = ACTIONS(1508),
    [aux_sym_limit_clause_token1] = ACTIONS(1508),
    [aux_sym_group_by_clause_token1] = ACTIONS(1508),
    [aux_sym__direction_keywords_token1] = ACTIONS(1508),
    [aux_sym__direction_keywords_token2] = ACTIONS(1508),
    [aux_sym__nulls_preference_token1] = ACTIONS(1508),
    [aux_sym_order_by_clause_token1] = ACTIONS(1508),
    [aux_sym_insert_statement_token1] = ACTIONS(1508),
    [aux_sym_truncate_statement_token1] = ACTIONS(1508),
    [aux_sym_update_statement_token1] = ACTIONS(1508),
    [aux_sym_merge_statement_token1] = ACTIONS(1508),
    [aux_sym_grant_statement_token1] = ACTIONS(1508),
    [aux_sym_revoke_statement_token1] = ACTIONS(1508),
    [aux_sym_export_data_statement_token1] = ACTIONS(1508),
    [aux_sym_load_data_statement_token1] = ACTIONS(1508),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1508),
    [anon_sym_PLUS] = ACTIONS(1508),
    [anon_sym_DASH] = ACTIONS(1510),
    [anon_sym_STAR] = ACTIONS(1508),
    [anon_sym_SLASH] = ACTIONS(1510),
    [anon_sym_PIPE_PIPE] = ACTIONS(1508),
    [anon_sym_LT_EQ] = ACTIONS(1508),
    [anon_sym_LT_GT] = ACTIONS(1508),
    [anon_sym_GT_EQ] = ACTIONS(1508),
    [anon_sym_BANG_EQ] = ACTIONS(1508),
    [anon_sym_LT_LT] = ACTIONS(1508),
    [anon_sym_GT_GT] = ACTIONS(1508),
    [anon_sym_AMP] = ACTIONS(1508),
    [anon_sym_CARET] = ACTIONS(1508),
    [anon_sym_PIPE] = ACTIONS(1510),
    [sym__string_start] = ACTIONS(1918),
  },
  [2501] = {
    [sym_analytics_clause] = STATE(2632),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_window_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1360),
    [aux_sym_set_operation_token3] = ACTIONS(1360),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_having_clause_token1] = ACTIONS(1360),
    [aux_sym_qualify_clause_token1] = ACTIONS(1360),
    [aux_sym_limit_clause_token1] = ACTIONS(1360),
    [aux_sym_group_by_clause_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token2] = ACTIONS(1360),
    [aux_sym__nulls_preference_token1] = ACTIONS(1360),
    [aux_sym_order_by_clause_token1] = ACTIONS(1360),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [2502] = {
    [sym_analytics_clause] = STATE(2629),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_window_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1360),
    [aux_sym_set_operation_token3] = ACTIONS(1360),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_having_clause_token1] = ACTIONS(1360),
    [aux_sym_qualify_clause_token1] = ACTIONS(1360),
    [aux_sym_limit_clause_token1] = ACTIONS(1360),
    [aux_sym_group_by_clause_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token2] = ACTIONS(1360),
    [aux_sym__nulls_preference_token1] = ACTIONS(1360),
    [aux_sym_order_by_clause_token1] = ACTIONS(1360),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [2503] = {
    [sym__keyword_between] = STATE(1827),
    [sym__keyword_is] = STATE(12033),
    [sym__keyword_in] = STATE(1775),
    [sym__keyword_not] = STATE(13068),
    [sym__keyword_and] = STATE(1837),
    [sym__keyword_or] = STATE(1873),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16337),
    [sym_quantitve_like_operator] = STATE(16336),
    [sym__unquoted_identifier] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(921),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(921),
    [aux_sym__keyword_delete_token1] = ACTIONS(921),
    [aux_sym__keyword_begin_token1] = ACTIONS(921),
    [aux_sym__keyword_end_token1] = ACTIONS(921),
    [aux_sym__keyword_between_token1] = ACTIONS(921),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(921),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(921),
    [aux_sym__keyword_like_token1] = ACTIONS(921),
    [aux_sym__keyword_repeat_token1] = ACTIONS(921),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_date_token1] = ACTIONS(921),
    [aux_sym__keyword_datetime_token1] = ACTIONS(921),
    [aux_sym__keyword_time_token1] = ACTIONS(921),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(921),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(921),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(921),
    [aux_sym_return_satement_token1] = ACTIONS(921),
    [aux_sym_call_statement_token1] = ACTIONS(921),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(921),
    [aux_sym_if_statement_token1] = ACTIONS(921),
    [aux_sym_loop_statement_token1] = ACTIONS(921),
    [aux_sym_repeat_statement_token1] = ACTIONS(921),
    [aux_sym_while_statement_token1] = ACTIONS(921),
    [aux_sym_break_statement_token1] = ACTIONS(921),
    [aux_sym_leave_statement_token1] = ACTIONS(921),
    [aux_sym_continue_statement_token1] = ACTIONS(921),
    [aux_sym_iterate_statement_token1] = ACTIONS(921),
    [aux_sym_raise_statement_token1] = ACTIONS(921),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(921),
    [aux_sym_create_schema_statement_token1] = ACTIONS(921),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(921),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(921),
    [aux_sym_insert_statement_token1] = ACTIONS(921),
    [aux_sym_truncate_statement_token1] = ACTIONS(921),
    [aux_sym_update_statement_token1] = ACTIONS(921),
    [aux_sym_merge_statement_token1] = ACTIONS(921),
    [aux_sym_grant_statement_token1] = ACTIONS(921),
    [aux_sym_revoke_statement_token1] = ACTIONS(921),
    [aux_sym_export_data_statement_token1] = ACTIONS(921),
    [aux_sym_load_data_statement_token1] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym__quoted_identifier] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(917),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PIPE_PIPE] = ACTIONS(917),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2504] = {
    [sym__keyword_as] = STATE(11499),
    [sym__keyword_date] = STATE(4847),
    [sym__keyword_datetime] = STATE(4847),
    [sym__keyword_time] = STATE(4847),
    [sym__keyword_timestamp] = STATE(4847),
    [sym_as_alias] = STATE(4475),
    [sym_unnest_withoffset] = STATE(4873),
    [sym__type_chrono] = STATE(4818),
    [sym__identifier] = STATE(4755),
    [sym__dotted_identifier] = STATE(13556),
    [sym_identifier] = STATE(4842),
    [aux_sym_identifier_repeat1] = STATE(13556),
    [ts_builtin_sym_end] = ACTIONS(211),
    [sym__unquoted_identifier] = ACTIONS(2604),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(205),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(205),
    [aux_sym_keyword_replace_token1] = ACTIONS(205),
    [aux_sym__keyword_alter_token1] = ACTIONS(205),
    [aux_sym__keyword_delete_token1] = ACTIONS(205),
    [aux_sym__keyword_begin_token1] = ACTIONS(205),
    [aux_sym__keyword_between_token1] = ACTIONS(205),
    [aux_sym__keyword_is_token1] = ACTIONS(205),
    [aux_sym__keyword_in_token1] = ACTIONS(205),
    [aux_sym__keyword_and_token1] = ACTIONS(205),
    [aux_sym__keyword_like_token1] = ACTIONS(205),
    [aux_sym__keyword_repeat_token1] = ACTIONS(205),
    [aux_sym__keyword_as_token1] = ACTIONS(2778),
    [aux_sym__keyword_date_token1] = ACTIONS(2780),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2780),
    [aux_sym__keyword_time_token1] = ACTIONS(2780),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2780),
    [aux_sym__keyword_for_token1] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(211),
    [aux_sym_declare_statement_token1] = ACTIONS(205),
    [aux_sym_set_statement_token1] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(211),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(205),
    [aux_sym_into_clause_token1] = ACTIONS(205),
    [aux_sym_using_clause_token1] = ACTIONS(205),
    [aux_sym_return_satement_token1] = ACTIONS(205),
    [aux_sym_call_statement_token1] = ACTIONS(205),
    [aux_sym_loop_statement_token1] = ACTIONS(205),
    [aux_sym_while_statement_token1] = ACTIONS(205),
    [aux_sym_break_statement_token1] = ACTIONS(205),
    [aux_sym_leave_statement_token1] = ACTIONS(205),
    [aux_sym_continue_statement_token1] = ACTIONS(205),
    [aux_sym_iterate_statement_token1] = ACTIONS(205),
    [aux_sym_raise_statement_token1] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(211),
    [aux_sym_assert_statement_token1] = ACTIONS(205),
    [aux_sym_create_schema_statement_token1] = ACTIONS(205),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(205),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2782),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [aux_sym_select_token1] = ACTIONS(205),
    [aux_sym_insert_statement_token1] = ACTIONS(205),
    [aux_sym_truncate_statement_token1] = ACTIONS(205),
    [aux_sym_update_statement_token1] = ACTIONS(205),
    [aux_sym_merge_statement_token1] = ACTIONS(205),
    [aux_sym_grant_statement_token1] = ACTIONS(205),
    [aux_sym_revoke_statement_token1] = ACTIONS(205),
    [aux_sym_export_data_statement_token1] = ACTIONS(205),
    [aux_sym_load_data_statement_token1] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(211),
    [sym__quoted_identifier] = ACTIONS(2646),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(211),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(211),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(211),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_LT_GT] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(211),
    [anon_sym_GT_GT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_CARET] = ACTIONS(211),
    [anon_sym_PIPE] = ACTIONS(205),
  },
  [2505] = {
    [sym_analytics_clause] = STATE(2625),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_window_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1360),
    [aux_sym_set_operation_token3] = ACTIONS(1360),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_having_clause_token1] = ACTIONS(1360),
    [aux_sym_qualify_clause_token1] = ACTIONS(1360),
    [aux_sym_limit_clause_token1] = ACTIONS(1360),
    [aux_sym_group_by_clause_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token2] = ACTIONS(1360),
    [aux_sym__nulls_preference_token1] = ACTIONS(1360),
    [aux_sym_order_by_clause_token1] = ACTIONS(1360),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [2506] = {
    [sym_analytics_clause] = STATE(2621),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_window_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1360),
    [aux_sym_set_operation_token3] = ACTIONS(1360),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_having_clause_token1] = ACTIONS(1360),
    [aux_sym_qualify_clause_token1] = ACTIONS(1360),
    [aux_sym_limit_clause_token1] = ACTIONS(1360),
    [aux_sym_group_by_clause_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token2] = ACTIONS(1360),
    [aux_sym__nulls_preference_token1] = ACTIONS(1360),
    [aux_sym_order_by_clause_token1] = ACTIONS(1360),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [2507] = {
    [sym_analytics_clause] = STATE(2620),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_window_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1360),
    [aux_sym_set_operation_token3] = ACTIONS(1360),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_having_clause_token1] = ACTIONS(1360),
    [aux_sym_qualify_clause_token1] = ACTIONS(1360),
    [aux_sym_limit_clause_token1] = ACTIONS(1360),
    [aux_sym_group_by_clause_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token2] = ACTIONS(1360),
    [aux_sym__nulls_preference_token1] = ACTIONS(1360),
    [aux_sym_order_by_clause_token1] = ACTIONS(1360),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [2508] = {
    [sym_analytics_clause] = STATE(2618),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_window_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1360),
    [aux_sym_set_operation_token3] = ACTIONS(1360),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_having_clause_token1] = ACTIONS(1360),
    [aux_sym_qualify_clause_token1] = ACTIONS(1360),
    [aux_sym_limit_clause_token1] = ACTIONS(1360),
    [aux_sym_group_by_clause_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token2] = ACTIONS(1360),
    [aux_sym__nulls_preference_token1] = ACTIONS(1360),
    [aux_sym_order_by_clause_token1] = ACTIONS(1360),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [2509] = {
    [sym_analytics_clause] = STATE(2600),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2510] = {
    [sym_analytics_clause] = STATE(2616),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_window_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1360),
    [aux_sym_set_operation_token3] = ACTIONS(1360),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_having_clause_token1] = ACTIONS(1360),
    [aux_sym_qualify_clause_token1] = ACTIONS(1360),
    [aux_sym_limit_clause_token1] = ACTIONS(1360),
    [aux_sym_group_by_clause_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token2] = ACTIONS(1360),
    [aux_sym__nulls_preference_token1] = ACTIONS(1360),
    [aux_sym_order_by_clause_token1] = ACTIONS(1360),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [2511] = {
    [sym__keyword_between] = STATE(1827),
    [sym__keyword_is] = STATE(12033),
    [sym__keyword_in] = STATE(1775),
    [sym__keyword_not] = STATE(13068),
    [sym__keyword_and] = STATE(1837),
    [sym__keyword_or] = STATE(1873),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16337),
    [sym_quantitve_like_operator] = STATE(16336),
    [sym__unquoted_identifier] = ACTIONS(1029),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1029),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(339),
    [aux_sym_keyword_replace_token1] = ACTIONS(341),
    [aux_sym__keyword_alter_token1] = ACTIONS(1029),
    [aux_sym__keyword_delete_token1] = ACTIONS(1029),
    [aux_sym__keyword_begin_token1] = ACTIONS(1029),
    [aux_sym__keyword_end_token1] = ACTIONS(1029),
    [aux_sym__keyword_between_token1] = ACTIONS(1318),
    [aux_sym__keyword_else_token1] = ACTIONS(1029),
    [aux_sym__keyword_is_token1] = ACTIONS(1320),
    [aux_sym__keyword_in_token1] = ACTIONS(1322),
    [aux_sym__keyword_and_token1] = ACTIONS(1324),
    [aux_sym__keyword_like_token1] = ACTIONS(1029),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1029),
    [aux_sym__keyword_as_token1] = ACTIONS(1029),
    [aux_sym__keyword_date_token1] = ACTIONS(1029),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1029),
    [aux_sym__keyword_time_token1] = ACTIONS(1029),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1029),
    [aux_sym__keyword_for_token1] = ACTIONS(1029),
    [anon_sym_SEMI] = ACTIONS(1027),
    [aux_sym_declare_statement_token1] = ACTIONS(1029),
    [anon_sym_COMMA] = ACTIONS(1027),
    [aux_sym_set_statement_token1] = ACTIONS(1029),
    [anon_sym_LPAREN] = ACTIONS(1027),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1029),
    [aux_sym_return_satement_token1] = ACTIONS(1029),
    [aux_sym_call_statement_token1] = ACTIONS(1029),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1029),
    [aux_sym_if_statement_token1] = ACTIONS(1029),
    [aux_sym_loop_statement_token1] = ACTIONS(1029),
    [aux_sym_repeat_statement_token1] = ACTIONS(1029),
    [aux_sym_while_statement_token1] = ACTIONS(1029),
    [aux_sym_break_statement_token1] = ACTIONS(1029),
    [aux_sym_leave_statement_token1] = ACTIONS(1029),
    [aux_sym_continue_statement_token1] = ACTIONS(1029),
    [aux_sym_iterate_statement_token1] = ACTIONS(1029),
    [aux_sym_raise_statement_token1] = ACTIONS(1029),
    [anon_sym_EQ] = ACTIONS(1330),
    [aux_sym_assert_statement_token1] = ACTIONS(1029),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1029),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1029),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1029),
    [anon_sym_LT] = ACTIONS(1322),
    [anon_sym_GT] = ACTIONS(1322),
    [aux_sym_select_token1] = ACTIONS(1029),
    [aux_sym_insert_statement_token1] = ACTIONS(1029),
    [aux_sym_truncate_statement_token1] = ACTIONS(1029),
    [aux_sym_update_statement_token1] = ACTIONS(1029),
    [aux_sym_merge_statement_token1] = ACTIONS(1029),
    [aux_sym_grant_statement_token1] = ACTIONS(1029),
    [aux_sym_revoke_statement_token1] = ACTIONS(1029),
    [aux_sym_export_data_statement_token1] = ACTIONS(1029),
    [aux_sym_load_data_statement_token1] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1027),
    [sym__quoted_identifier] = ACTIONS(1027),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1338),
    [anon_sym_STAR] = ACTIONS(1340),
    [anon_sym_SLASH] = ACTIONS(1342),
    [anon_sym_PIPE_PIPE] = ACTIONS(1340),
    [anon_sym_LT_EQ] = ACTIONS(1330),
    [anon_sym_LT_GT] = ACTIONS(1330),
    [anon_sym_GT_EQ] = ACTIONS(1330),
    [anon_sym_BANG_EQ] = ACTIONS(1330),
    [anon_sym_LT_LT] = ACTIONS(1344),
    [anon_sym_GT_GT] = ACTIONS(1344),
    [anon_sym_AMP] = ACTIONS(1346),
    [anon_sym_CARET] = ACTIONS(1348),
    [anon_sym_PIPE] = ACTIONS(1350),
  },
  [2512] = {
    [sym_analytics_clause] = STATE(2615),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_window_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1360),
    [aux_sym_set_operation_token3] = ACTIONS(1360),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_having_clause_token1] = ACTIONS(1360),
    [aux_sym_qualify_clause_token1] = ACTIONS(1360),
    [aux_sym_limit_clause_token1] = ACTIONS(1360),
    [aux_sym_group_by_clause_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token2] = ACTIONS(1360),
    [aux_sym__nulls_preference_token1] = ACTIONS(1360),
    [aux_sym_order_by_clause_token1] = ACTIONS(1360),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [2513] = {
    [sym_analytics_clause] = STATE(2612),
    [ts_builtin_sym_end] = ACTIONS(1386),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1386),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1386),
    [aux_sym_keyword_replace_token1] = ACTIONS(1388),
    [aux_sym__keyword_alter_token1] = ACTIONS(1386),
    [aux_sym__keyword_delete_token1] = ACTIONS(1386),
    [aux_sym__keyword_begin_token1] = ACTIONS(1386),
    [aux_sym__keyword_end_token1] = ACTIONS(1386),
    [aux_sym__keyword_between_token1] = ACTIONS(1386),
    [aux_sym__keyword_when_token1] = ACTIONS(1386),
    [aux_sym__keyword_else_token1] = ACTIONS(1388),
    [aux_sym__keyword_is_token1] = ACTIONS(1386),
    [aux_sym__keyword_in_token1] = ACTIONS(1388),
    [aux_sym__keyword_and_token1] = ACTIONS(1386),
    [aux_sym__keyword_like_token1] = ACTIONS(1386),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1386),
    [aux_sym__keyword_window_token1] = ACTIONS(1386),
    [aux_sym__keyword_for_token1] = ACTIONS(1386),
    [anon_sym_SEMI] = ACTIONS(1386),
    [aux_sym_declare_statement_token1] = ACTIONS(1386),
    [anon_sym_COMMA] = ACTIONS(1386),
    [aux_sym_set_statement_token1] = ACTIONS(1386),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1386),
    [aux_sym_return_satement_token1] = ACTIONS(1386),
    [aux_sym_call_statement_token1] = ACTIONS(1386),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1386),
    [aux_sym_if_statement_token1] = ACTIONS(1386),
    [aux_sym_loop_statement_token1] = ACTIONS(1386),
    [aux_sym_repeat_statement_token1] = ACTIONS(1386),
    [aux_sym_while_statement_token1] = ACTIONS(1386),
    [aux_sym_break_statement_token1] = ACTIONS(1386),
    [aux_sym_leave_statement_token1] = ACTIONS(1386),
    [aux_sym_continue_statement_token1] = ACTIONS(1386),
    [aux_sym_iterate_statement_token1] = ACTIONS(1386),
    [aux_sym_raise_statement_token1] = ACTIONS(1386),
    [anon_sym_EQ] = ACTIONS(1386),
    [aux_sym_assert_statement_token1] = ACTIONS(1386),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1386),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1386),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1386),
    [anon_sym_LT] = ACTIONS(1388),
    [anon_sym_GT] = ACTIONS(1388),
    [aux_sym_set_operation_token1] = ACTIONS(1386),
    [aux_sym_set_operation_token3] = ACTIONS(1386),
    [aux_sym_set_operation_token4] = ACTIONS(1388),
    [aux_sym_select_token1] = ACTIONS(1386),
    [aux_sym_having_clause_token1] = ACTIONS(1386),
    [aux_sym_qualify_clause_token1] = ACTIONS(1386),
    [aux_sym_limit_clause_token1] = ACTIONS(1386),
    [aux_sym_group_by_clause_token1] = ACTIONS(1386),
    [aux_sym__direction_keywords_token1] = ACTIONS(1386),
    [aux_sym__direction_keywords_token2] = ACTIONS(1386),
    [aux_sym__nulls_preference_token1] = ACTIONS(1386),
    [aux_sym_order_by_clause_token1] = ACTIONS(1386),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1386),
    [aux_sym_truncate_statement_token1] = ACTIONS(1386),
    [aux_sym_update_statement_token1] = ACTIONS(1386),
    [aux_sym_merge_statement_token1] = ACTIONS(1386),
    [aux_sym_grant_statement_token1] = ACTIONS(1386),
    [aux_sym_revoke_statement_token1] = ACTIONS(1386),
    [aux_sym_export_data_statement_token1] = ACTIONS(1386),
    [aux_sym_load_data_statement_token1] = ACTIONS(1386),
    [anon_sym_LBRACK] = ACTIONS(1386),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1386),
    [anon_sym_DASH] = ACTIONS(1388),
    [anon_sym_STAR] = ACTIONS(1386),
    [anon_sym_SLASH] = ACTIONS(1388),
    [anon_sym_PIPE_PIPE] = ACTIONS(1386),
    [anon_sym_LT_EQ] = ACTIONS(1386),
    [anon_sym_LT_GT] = ACTIONS(1386),
    [anon_sym_GT_EQ] = ACTIONS(1386),
    [anon_sym_BANG_EQ] = ACTIONS(1386),
    [anon_sym_LT_LT] = ACTIONS(1386),
    [anon_sym_GT_GT] = ACTIONS(1386),
    [anon_sym_AMP] = ACTIONS(1386),
    [anon_sym_CARET] = ACTIONS(1386),
    [anon_sym_PIPE] = ACTIONS(1388),
  },
  [2514] = {
    [sym_analytics_clause] = STATE(2597),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2515] = {
    [sym_analytics_clause] = STATE(2610),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(2888),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2516] = {
    [sym__keyword_as] = STATE(11596),
    [sym__keyword_date] = STATE(4734),
    [sym__keyword_datetime] = STATE(4734),
    [sym__keyword_time] = STATE(4734),
    [sym__keyword_timestamp] = STATE(4734),
    [sym_as_alias] = STATE(4348),
    [sym_unnest_withoffset] = STATE(4485),
    [sym__type_chrono] = STATE(4722),
    [sym__identifier] = STATE(4341),
    [sym__dotted_identifier] = STATE(14156),
    [sym_identifier] = STATE(4578),
    [aux_sym_identifier_repeat1] = STATE(14156),
    [ts_builtin_sym_end] = ACTIONS(211),
    [sym__unquoted_identifier] = ACTIONS(1984),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(205),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(205),
    [aux_sym_keyword_replace_token1] = ACTIONS(205),
    [aux_sym__keyword_alter_token1] = ACTIONS(205),
    [aux_sym__keyword_delete_token1] = ACTIONS(205),
    [aux_sym__keyword_begin_token1] = ACTIONS(205),
    [aux_sym__keyword_between_token1] = ACTIONS(205),
    [aux_sym__keyword_is_token1] = ACTIONS(205),
    [aux_sym__keyword_in_token1] = ACTIONS(205),
    [aux_sym__keyword_and_token1] = ACTIONS(205),
    [aux_sym__keyword_like_token1] = ACTIONS(205),
    [aux_sym__keyword_repeat_token1] = ACTIONS(205),
    [aux_sym__keyword_as_token1] = ACTIONS(2922),
    [aux_sym__keyword_date_token1] = ACTIONS(2924),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2924),
    [aux_sym__keyword_time_token1] = ACTIONS(2924),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2924),
    [aux_sym__keyword_for_token1] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(211),
    [aux_sym_declare_statement_token1] = ACTIONS(205),
    [anon_sym_COMMA] = ACTIONS(211),
    [aux_sym_set_statement_token1] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(211),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(205),
    [aux_sym_return_satement_token1] = ACTIONS(205),
    [aux_sym_call_statement_token1] = ACTIONS(205),
    [aux_sym_loop_statement_token1] = ACTIONS(205),
    [aux_sym_while_statement_token1] = ACTIONS(205),
    [aux_sym_break_statement_token1] = ACTIONS(205),
    [aux_sym_leave_statement_token1] = ACTIONS(205),
    [aux_sym_continue_statement_token1] = ACTIONS(205),
    [aux_sym_iterate_statement_token1] = ACTIONS(205),
    [aux_sym_raise_statement_token1] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(211),
    [aux_sym_assert_statement_token1] = ACTIONS(205),
    [aux_sym_create_schema_statement_token1] = ACTIONS(205),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(205),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2926),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [aux_sym_select_token1] = ACTIONS(205),
    [aux_sym_insert_statement_token1] = ACTIONS(205),
    [aux_sym_truncate_statement_token1] = ACTIONS(205),
    [aux_sym_update_statement_token1] = ACTIONS(205),
    [aux_sym_merge_statement_token1] = ACTIONS(205),
    [aux_sym_grant_statement_token1] = ACTIONS(205),
    [aux_sym_revoke_statement_token1] = ACTIONS(205),
    [aux_sym_export_data_statement_token1] = ACTIONS(205),
    [aux_sym_load_data_statement_token1] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(211),
    [sym__quoted_identifier] = ACTIONS(2026),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(211),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(211),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(211),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_LT_GT] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(211),
    [anon_sym_GT_GT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_CARET] = ACTIONS(211),
    [anon_sym_PIPE] = ACTIONS(205),
  },
  [2517] = {
    [sym__keyword_between] = STATE(1541),
    [sym__keyword_is] = STATE(12062),
    [sym__keyword_in] = STATE(1692),
    [sym__keyword_not] = STATE(13166),
    [sym__keyword_and] = STATE(1702),
    [sym__keyword_or] = STATE(1703),
    [sym__keyword_like] = STATE(14280),
    [sym__direction_keywords] = STATE(5515),
    [sym__nulls_preference] = STATE(5934),
    [sym_like_operator] = STATE(16074),
    [sym_quantitve_like_operator] = STATE(16078),
    [ts_builtin_sym_end] = ACTIONS(2786),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(2786),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(2744),
    [aux_sym__keyword_alter_token1] = ACTIONS(2786),
    [aux_sym__keyword_delete_token1] = ACTIONS(2786),
    [aux_sym__keyword_begin_token1] = ACTIONS(2786),
    [aux_sym__keyword_between_token1] = ACTIONS(2890),
    [aux_sym__keyword_when_token1] = ACTIONS(2786),
    [aux_sym__keyword_is_token1] = ACTIONS(2892),
    [aux_sym__keyword_in_token1] = ACTIONS(2894),
    [aux_sym__keyword_and_token1] = ACTIONS(2896),
    [aux_sym__keyword_like_token1] = ACTIONS(1007),
    [aux_sym__keyword_repeat_token1] = ACTIONS(2786),
    [aux_sym__keyword_for_token1] = ACTIONS(2786),
    [anon_sym_SEMI] = ACTIONS(2786),
    [aux_sym_declare_statement_token1] = ACTIONS(2786),
    [anon_sym_COMMA] = ACTIONS(2786),
    [aux_sym_set_statement_token1] = ACTIONS(2786),
    [anon_sym_LPAREN] = ACTIONS(2786),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(2786),
    [aux_sym_return_satement_token1] = ACTIONS(2786),
    [aux_sym_call_statement_token1] = ACTIONS(2786),
    [aux_sym_loop_statement_token1] = ACTIONS(2786),
    [aux_sym_while_statement_token1] = ACTIONS(2786),
    [aux_sym_break_statement_token1] = ACTIONS(2786),
    [aux_sym_leave_statement_token1] = ACTIONS(2786),
    [aux_sym_continue_statement_token1] = ACTIONS(2786),
    [aux_sym_iterate_statement_token1] = ACTIONS(2786),
    [aux_sym_raise_statement_token1] = ACTIONS(2786),
    [anon_sym_EQ] = ACTIONS(2900),
    [aux_sym_assert_statement_token1] = ACTIONS(2786),
    [aux_sym_create_schema_statement_token1] = ACTIONS(2786),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(2786),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2786),
    [anon_sym_LT] = ACTIONS(2894),
    [anon_sym_GT] = ACTIONS(2894),
    [aux_sym_set_operation_token1] = ACTIONS(2786),
    [aux_sym_set_operation_token3] = ACTIONS(2786),
    [aux_sym_set_operation_token4] = ACTIONS(2786),
    [aux_sym_select_token1] = ACTIONS(2786),
    [aux_sym_limit_clause_token1] = ACTIONS(2786),
    [aux_sym__direction_keywords_token1] = ACTIONS(2698),
    [aux_sym__direction_keywords_token2] = ACTIONS(2698),
    [aux_sym__nulls_preference_token1] = ACTIONS(2700),
    [aux_sym_insert_statement_token1] = ACTIONS(2786),
    [aux_sym_truncate_statement_token1] = ACTIONS(2786),
    [aux_sym_update_statement_token1] = ACTIONS(2786),
    [aux_sym_merge_statement_token1] = ACTIONS(2786),
    [aux_sym_grant_statement_token1] = ACTIONS(2786),
    [aux_sym_revoke_statement_token1] = ACTIONS(2786),
    [aux_sym_export_data_statement_token1] = ACTIONS(2786),
    [aux_sym_load_data_statement_token1] = ACTIONS(2786),
    [anon_sym_LBRACK] = ACTIONS(2758),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(2760),
    [anon_sym_PLUS] = ACTIONS(2902),
    [anon_sym_DASH] = ACTIONS(2904),
    [anon_sym_STAR] = ACTIONS(2906),
    [anon_sym_SLASH] = ACTIONS(2908),
    [anon_sym_PIPE_PIPE] = ACTIONS(2906),
    [anon_sym_LT_EQ] = ACTIONS(2900),
    [anon_sym_LT_GT] = ACTIONS(2900),
    [anon_sym_GT_EQ] = ACTIONS(2900),
    [anon_sym_BANG_EQ] = ACTIONS(2900),
    [anon_sym_LT_LT] = ACTIONS(2910),
    [anon_sym_GT_GT] = ACTIONS(2910),
    [anon_sym_AMP] = ACTIONS(2912),
    [anon_sym_CARET] = ACTIONS(2914),
    [anon_sym_PIPE] = ACTIONS(2916),
  },
  [2518] = {
    [sym__keyword_between] = STATE(1511),
    [sym__keyword_is] = STATE(12110),
    [sym__keyword_in] = STATE(1669),
    [sym__keyword_not] = STATE(13115),
    [sym__keyword_and] = STATE(1639),
    [sym__keyword_or] = STATE(1636),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(2928),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(341),
    [aux_sym__keyword_alter_token1] = ACTIONS(2928),
    [aux_sym__keyword_delete_token1] = ACTIONS(2928),
    [aux_sym__keyword_begin_token1] = ACTIONS(2928),
    [aux_sym__keyword_end_token1] = ACTIONS(2928),
    [aux_sym__keyword_between_token1] = ACTIONS(2846),
    [aux_sym__keyword_when_token1] = ACTIONS(2928),
    [aux_sym__keyword_else_token1] = ACTIONS(2930),
    [aux_sym__keyword_is_token1] = ACTIONS(2848),
    [aux_sym__keyword_in_token1] = ACTIONS(2850),
    [aux_sym__keyword_and_token1] = ACTIONS(2852),
    [aux_sym__keyword_like_token1] = ACTIONS(1007),
    [aux_sym__keyword_repeat_token1] = ACTIONS(2928),
    [aux_sym__keyword_window_token1] = ACTIONS(2928),
    [aux_sym__keyword_for_token1] = ACTIONS(2928),
    [anon_sym_SEMI] = ACTIONS(2928),
    [aux_sym_declare_statement_token1] = ACTIONS(2928),
    [aux_sym_set_statement_token1] = ACTIONS(2928),
    [anon_sym_LPAREN] = ACTIONS(2928),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(2928),
    [aux_sym_return_satement_token1] = ACTIONS(2928),
    [aux_sym_call_statement_token1] = ACTIONS(2928),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(2928),
    [aux_sym_if_statement_token1] = ACTIONS(2928),
    [aux_sym_loop_statement_token1] = ACTIONS(2928),
    [aux_sym_repeat_statement_token1] = ACTIONS(2928),
    [aux_sym_while_statement_token1] = ACTIONS(2928),
    [aux_sym_break_statement_token1] = ACTIONS(2928),
    [aux_sym_leave_statement_token1] = ACTIONS(2928),
    [aux_sym_continue_statement_token1] = ACTIONS(2928),
    [aux_sym_iterate_statement_token1] = ACTIONS(2928),
    [aux_sym_raise_statement_token1] = ACTIONS(2928),
    [anon_sym_EQ] = ACTIONS(2854),
    [aux_sym_assert_statement_token1] = ACTIONS(2928),
    [aux_sym_create_schema_statement_token1] = ACTIONS(2928),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(2928),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2928),
    [anon_sym_LT] = ACTIONS(2850),
    [anon_sym_GT] = ACTIONS(2850),
    [aux_sym_set_operation_token1] = ACTIONS(2928),
    [aux_sym_set_operation_token3] = ACTIONS(2928),
    [aux_sym_set_operation_token4] = ACTIONS(2930),
    [aux_sym_select_token1] = ACTIONS(2928),
    [aux_sym_limit_clause_token1] = ACTIONS(2928),
    [aux_sym_order_by_clause_token1] = ACTIONS(2928),
    [aux_sym_insert_statement_token1] = ACTIONS(2928),
    [aux_sym_truncate_statement_token1] = ACTIONS(2928),
    [aux_sym_update_statement_token1] = ACTIONS(2928),
    [aux_sym_merge_statement_token1] = ACTIONS(2928),
    [aux_sym_grant_statement_token1] = ACTIONS(2928),
    [aux_sym_revoke_statement_token1] = ACTIONS(2928),
    [aux_sym_export_data_statement_token1] = ACTIONS(2928),
    [aux_sym_load_data_statement_token1] = ACTIONS(2928),
    [anon_sym_LBRACK] = ACTIONS(781),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(783),
    [anon_sym_PLUS] = ACTIONS(2808),
    [anon_sym_DASH] = ACTIONS(2810),
    [anon_sym_STAR] = ACTIONS(2812),
    [anon_sym_SLASH] = ACTIONS(2814),
    [anon_sym_PIPE_PIPE] = ACTIONS(2812),
    [anon_sym_LT_EQ] = ACTIONS(2854),
    [anon_sym_LT_GT] = ACTIONS(2854),
    [anon_sym_GT_EQ] = ACTIONS(2854),
    [anon_sym_BANG_EQ] = ACTIONS(2854),
    [anon_sym_LT_LT] = ACTIONS(2816),
    [anon_sym_GT_GT] = ACTIONS(2816),
    [anon_sym_AMP] = ACTIONS(2818),
    [anon_sym_CARET] = ACTIONS(2820),
    [anon_sym_PIPE] = ACTIONS(2822),
  },
  [2519] = {
    [ts_builtin_sym_end] = ACTIONS(1508),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1508),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1508),
    [aux_sym_keyword_replace_token1] = ACTIONS(1510),
    [aux_sym__keyword_alter_token1] = ACTIONS(1508),
    [aux_sym__keyword_delete_token1] = ACTIONS(1508),
    [aux_sym__keyword_begin_token1] = ACTIONS(1508),
    [aux_sym__keyword_end_token1] = ACTIONS(1508),
    [aux_sym__keyword_between_token1] = ACTIONS(1508),
    [aux_sym__keyword_when_token1] = ACTIONS(1508),
    [aux_sym__keyword_else_token1] = ACTIONS(1510),
    [aux_sym__keyword_is_token1] = ACTIONS(1508),
    [aux_sym__keyword_in_token1] = ACTIONS(1510),
    [aux_sym__keyword_and_token1] = ACTIONS(1508),
    [aux_sym__keyword_like_token1] = ACTIONS(1508),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1508),
    [aux_sym__keyword_window_token1] = ACTIONS(1508),
    [aux_sym__keyword_for_token1] = ACTIONS(1508),
    [anon_sym_SEMI] = ACTIONS(1508),
    [aux_sym_declare_statement_token1] = ACTIONS(1508),
    [anon_sym_COMMA] = ACTIONS(1508),
    [aux_sym_set_statement_token1] = ACTIONS(1508),
    [anon_sym_LPAREN] = ACTIONS(1508),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1508),
    [aux_sym_return_satement_token1] = ACTIONS(1508),
    [aux_sym_call_statement_token1] = ACTIONS(1508),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1508),
    [aux_sym_if_statement_token1] = ACTIONS(1508),
    [aux_sym_loop_statement_token1] = ACTIONS(1508),
    [aux_sym_repeat_statement_token1] = ACTIONS(1508),
    [aux_sym_while_statement_token1] = ACTIONS(1508),
    [aux_sym_break_statement_token1] = ACTIONS(1508),
    [aux_sym_leave_statement_token1] = ACTIONS(1508),
    [aux_sym_continue_statement_token1] = ACTIONS(1508),
    [aux_sym_iterate_statement_token1] = ACTIONS(1508),
    [aux_sym_raise_statement_token1] = ACTIONS(1508),
    [anon_sym_EQ] = ACTIONS(1508),
    [aux_sym_assert_statement_token1] = ACTIONS(1508),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1508),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1508),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1508),
    [anon_sym_LT] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1510),
    [aux_sym_set_operation_token1] = ACTIONS(1508),
    [aux_sym_set_operation_token3] = ACTIONS(1508),
    [aux_sym_set_operation_token4] = ACTIONS(1510),
    [aux_sym_select_token1] = ACTIONS(1508),
    [aux_sym_having_clause_token1] = ACTIONS(1508),
    [aux_sym_qualify_clause_token1] = ACTIONS(1508),
    [aux_sym_limit_clause_token1] = ACTIONS(1508),
    [aux_sym_group_by_clause_token1] = ACTIONS(1508),
    [aux_sym__direction_keywords_token1] = ACTIONS(1508),
    [aux_sym__direction_keywords_token2] = ACTIONS(1508),
    [aux_sym__nulls_preference_token1] = ACTIONS(1508),
    [aux_sym_order_by_clause_token1] = ACTIONS(1508),
    [aux_sym_insert_statement_token1] = ACTIONS(1508),
    [aux_sym_truncate_statement_token1] = ACTIONS(1508),
    [aux_sym_update_statement_token1] = ACTIONS(1508),
    [aux_sym_merge_statement_token1] = ACTIONS(1508),
    [aux_sym_grant_statement_token1] = ACTIONS(1508),
    [aux_sym_revoke_statement_token1] = ACTIONS(1508),
    [aux_sym_export_data_statement_token1] = ACTIONS(1508),
    [aux_sym_load_data_statement_token1] = ACTIONS(1508),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DOT] = ACTIONS(1514),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1510),
    [anon_sym_PLUS] = ACTIONS(1508),
    [anon_sym_DASH] = ACTIONS(1510),
    [anon_sym_STAR] = ACTIONS(1508),
    [anon_sym_SLASH] = ACTIONS(1510),
    [anon_sym_PIPE_PIPE] = ACTIONS(1508),
    [anon_sym_LT_EQ] = ACTIONS(1508),
    [anon_sym_LT_GT] = ACTIONS(1508),
    [anon_sym_GT_EQ] = ACTIONS(1508),
    [anon_sym_BANG_EQ] = ACTIONS(1508),
    [anon_sym_LT_LT] = ACTIONS(1508),
    [anon_sym_GT_GT] = ACTIONS(1508),
    [anon_sym_AMP] = ACTIONS(1508),
    [anon_sym_CARET] = ACTIONS(1508),
    [anon_sym_PIPE] = ACTIONS(1510),
  },
  [2520] = {
    [sym__unquoted_identifier] = ACTIONS(1081),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1081),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1081),
    [aux_sym_keyword_replace_token1] = ACTIONS(1081),
    [aux_sym__keyword_alter_token1] = ACTIONS(1081),
    [aux_sym__keyword_delete_token1] = ACTIONS(1081),
    [aux_sym__keyword_begin_token1] = ACTIONS(1081),
    [aux_sym__keyword_end_token1] = ACTIONS(1081),
    [aux_sym__keyword_between_token1] = ACTIONS(1081),
    [aux_sym__keyword_when_token1] = ACTIONS(1081),
    [aux_sym__keyword_else_token1] = ACTIONS(1081),
    [aux_sym__keyword_is_token1] = ACTIONS(1081),
    [aux_sym__keyword_in_token1] = ACTIONS(1081),
    [aux_sym__keyword_and_token1] = ACTIONS(1081),
    [aux_sym__keyword_like_token1] = ACTIONS(1081),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1081),
    [aux_sym__keyword_as_token1] = ACTIONS(1081),
    [aux_sym__keyword_date_token1] = ACTIONS(1081),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1081),
    [aux_sym__keyword_time_token1] = ACTIONS(1081),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1081),
    [aux_sym__keyword_for_token1] = ACTIONS(1081),
    [anon_sym_SEMI] = ACTIONS(1083),
    [aux_sym_declare_statement_token1] = ACTIONS(1081),
    [anon_sym_COMMA] = ACTIONS(1083),
    [aux_sym_set_statement_token1] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1081),
    [aux_sym_return_satement_token1] = ACTIONS(1081),
    [aux_sym_call_statement_token1] = ACTIONS(1081),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1081),
    [aux_sym_if_statement_token1] = ACTIONS(1081),
    [aux_sym_loop_statement_token1] = ACTIONS(1081),
    [aux_sym_repeat_statement_token1] = ACTIONS(1081),
    [aux_sym_while_statement_token1] = ACTIONS(1081),
    [aux_sym_break_statement_token1] = ACTIONS(1081),
    [aux_sym_leave_statement_token1] = ACTIONS(1081),
    [aux_sym_continue_statement_token1] = ACTIONS(1081),
    [aux_sym_iterate_statement_token1] = ACTIONS(1081),
    [aux_sym_raise_statement_token1] = ACTIONS(1081),
    [anon_sym_EQ] = ACTIONS(1083),
    [aux_sym_assert_statement_token1] = ACTIONS(1081),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1081),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1081),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1081),
    [anon_sym_LT] = ACTIONS(1081),
    [anon_sym_GT] = ACTIONS(1081),
    [aux_sym_set_operation_token1] = ACTIONS(1081),
    [aux_sym_set_operation_token3] = ACTIONS(1081),
    [aux_sym_set_operation_token4] = ACTIONS(1081),
    [aux_sym_select_token1] = ACTIONS(1081),
    [aux_sym_limit_clause_token1] = ACTIONS(1081),
    [aux_sym__direction_keywords_token1] = ACTIONS(1081),
    [aux_sym__direction_keywords_token2] = ACTIONS(1081),
    [aux_sym__nulls_preference_token1] = ACTIONS(1081),
    [aux_sym_insert_statement_token1] = ACTIONS(1081),
    [aux_sym_truncate_statement_token1] = ACTIONS(1081),
    [aux_sym_update_statement_token1] = ACTIONS(1081),
    [aux_sym_merge_statement_token1] = ACTIONS(1081),
    [aux_sym_grant_statement_token1] = ACTIONS(1081),
    [aux_sym_revoke_statement_token1] = ACTIONS(1081),
    [aux_sym_export_data_statement_token1] = ACTIONS(1081),
    [aux_sym_load_data_statement_token1] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [sym__quoted_identifier] = ACTIONS(1083),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1083),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1081),
    [anon_sym_STAR] = ACTIONS(1083),
    [anon_sym_SLASH] = ACTIONS(1081),
    [anon_sym_PIPE_PIPE] = ACTIONS(1083),
    [anon_sym_LT_EQ] = ACTIONS(1083),
    [anon_sym_LT_GT] = ACTIONS(1083),
    [anon_sym_GT_EQ] = ACTIONS(1083),
    [anon_sym_BANG_EQ] = ACTIONS(1083),
    [anon_sym_LT_LT] = ACTIONS(1083),
    [anon_sym_GT_GT] = ACTIONS(1083),
    [anon_sym_AMP] = ACTIONS(1083),
    [anon_sym_CARET] = ACTIONS(1083),
    [anon_sym_PIPE] = ACTIONS(1081),
  },
  [2521] = {
    [sym__keyword_as] = STATE(11547),
    [sym__keyword_date] = STATE(580),
    [sym__keyword_datetime] = STATE(580),
    [sym__keyword_time] = STATE(580),
    [sym__keyword_timestamp] = STATE(580),
    [sym_as_alias] = STATE(5259),
    [sym_unnest_withoffset] = STATE(403),
    [sym__type_chrono] = STATE(461),
    [sym__identifier] = STATE(2405),
    [sym__dotted_identifier] = STATE(13807),
    [sym_identifier] = STATE(607),
    [aux_sym_identifier_repeat1] = STATE(13807),
    [sym__unquoted_identifier] = ACTIONS(335),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(205),
    [aux_sym__keyword_alter_token1] = ACTIONS(205),
    [aux_sym__keyword_delete_token1] = ACTIONS(205),
    [aux_sym__keyword_begin_token1] = ACTIONS(205),
    [aux_sym__keyword_end_token1] = ACTIONS(205),
    [aux_sym__keyword_when_token1] = ACTIONS(205),
    [aux_sym__keyword_else_token1] = ACTIONS(205),
    [aux_sym__keyword_repeat_token1] = ACTIONS(205),
    [aux_sym__keyword_as_token1] = ACTIONS(2932),
    [aux_sym__keyword_window_token1] = ACTIONS(205),
    [aux_sym__keyword_date_token1] = ACTIONS(209),
    [aux_sym__keyword_datetime_token1] = ACTIONS(209),
    [aux_sym__keyword_time_token1] = ACTIONS(209),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(209),
    [aux_sym__keyword_for_token1] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(211),
    [aux_sym_declare_statement_token1] = ACTIONS(205),
    [anon_sym_COMMA] = ACTIONS(211),
    [aux_sym_set_statement_token1] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(211),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(205),
    [aux_sym_using_clause_token1] = ACTIONS(205),
    [aux_sym_return_satement_token1] = ACTIONS(205),
    [aux_sym_call_statement_token1] = ACTIONS(205),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(205),
    [aux_sym_if_statement_token1] = ACTIONS(205),
    [aux_sym_loop_statement_token1] = ACTIONS(205),
    [aux_sym_repeat_statement_token1] = ACTIONS(205),
    [aux_sym_while_statement_token1] = ACTIONS(205),
    [aux_sym_break_statement_token1] = ACTIONS(205),
    [aux_sym_leave_statement_token1] = ACTIONS(205),
    [aux_sym_continue_statement_token1] = ACTIONS(205),
    [aux_sym_iterate_statement_token1] = ACTIONS(205),
    [aux_sym_raise_statement_token1] = ACTIONS(205),
    [aux_sym_assert_statement_token1] = ACTIONS(205),
    [aux_sym_create_schema_statement_token1] = ACTIONS(205),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(205),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2934),
    [aux_sym_set_operation_token1] = ACTIONS(205),
    [aux_sym_set_operation_token3] = ACTIONS(205),
    [aux_sym_set_operation_token4] = ACTIONS(205),
    [aux_sym_select_token1] = ACTIONS(205),
    [aux_sym_having_clause_token1] = ACTIONS(205),
    [aux_sym_qualify_clause_token1] = ACTIONS(205),
    [aux_sym_limit_clause_token1] = ACTIONS(205),
    [aux_sym_group_by_clause_token1] = ACTIONS(205),
    [aux_sym_order_by_clause_token1] = ACTIONS(205),
    [aux_sym_where_clause_token1] = ACTIONS(205),
    [aux_sym_pivot_operator_token1] = ACTIONS(205),
    [aux_sym_unpivot_operator_token1] = ACTIONS(205),
    [aux_sym_tablesample_operator_token1] = ACTIONS(205),
    [aux_sym_join_type_token1] = ACTIONS(205),
    [aux_sym_join_type_token2] = ACTIONS(205),
    [aux_sym_join_type_token3] = ACTIONS(205),
    [aux_sym_join_type_token4] = ACTIONS(205),
    [aux_sym__cross_join_operation_token1] = ACTIONS(205),
    [aux_sym__cross_join_operation_token2] = ACTIONS(205),
    [aux_sym_join_condition_token1] = ACTIONS(205),
    [aux_sym_insert_statement_token1] = ACTIONS(205),
    [aux_sym_truncate_statement_token1] = ACTIONS(205),
    [aux_sym_update_statement_token1] = ACTIONS(205),
    [aux_sym_merge_statement_token1] = ACTIONS(205),
    [aux_sym_grant_statement_token1] = ACTIONS(205),
    [aux_sym_revoke_statement_token1] = ACTIONS(205),
    [aux_sym_export_data_statement_token1] = ACTIONS(205),
    [aux_sym_load_data_statement_token1] = ACTIONS(205),
    [sym__quoted_identifier] = ACTIONS(363),
    [sym_comment] = ACTIONS(3),
  },
  [2522] = {
    [ts_builtin_sym_end] = ACTIONS(1530),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1530),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1530),
    [aux_sym_keyword_replace_token1] = ACTIONS(1532),
    [aux_sym__keyword_alter_token1] = ACTIONS(1530),
    [aux_sym__keyword_delete_token1] = ACTIONS(1530),
    [aux_sym__keyword_begin_token1] = ACTIONS(1530),
    [aux_sym__keyword_end_token1] = ACTIONS(1530),
    [aux_sym__keyword_between_token1] = ACTIONS(1530),
    [aux_sym__keyword_when_token1] = ACTIONS(1530),
    [aux_sym__keyword_else_token1] = ACTIONS(1532),
    [aux_sym__keyword_is_token1] = ACTIONS(1530),
    [aux_sym__keyword_in_token1] = ACTIONS(1532),
    [aux_sym__keyword_and_token1] = ACTIONS(1530),
    [aux_sym__keyword_like_token1] = ACTIONS(1530),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1530),
    [aux_sym__keyword_window_token1] = ACTIONS(1530),
    [aux_sym__keyword_for_token1] = ACTIONS(1530),
    [anon_sym_SEMI] = ACTIONS(1530),
    [aux_sym_declare_statement_token1] = ACTIONS(1530),
    [anon_sym_COMMA] = ACTIONS(1530),
    [aux_sym_set_statement_token1] = ACTIONS(1530),
    [anon_sym_LPAREN] = ACTIONS(1530),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1530),
    [aux_sym_return_satement_token1] = ACTIONS(1530),
    [aux_sym_call_statement_token1] = ACTIONS(1530),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1530),
    [aux_sym_if_statement_token1] = ACTIONS(1530),
    [aux_sym_loop_statement_token1] = ACTIONS(1530),
    [aux_sym_repeat_statement_token1] = ACTIONS(1530),
    [aux_sym_while_statement_token1] = ACTIONS(1530),
    [aux_sym_break_statement_token1] = ACTIONS(1530),
    [aux_sym_leave_statement_token1] = ACTIONS(1530),
    [aux_sym_continue_statement_token1] = ACTIONS(1530),
    [aux_sym_iterate_statement_token1] = ACTIONS(1530),
    [aux_sym_raise_statement_token1] = ACTIONS(1530),
    [anon_sym_EQ] = ACTIONS(1530),
    [aux_sym_assert_statement_token1] = ACTIONS(1530),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1530),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1530),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1530),
    [anon_sym_LT] = ACTIONS(1532),
    [anon_sym_GT] = ACTIONS(1532),
    [aux_sym_set_operation_token1] = ACTIONS(1530),
    [aux_sym_set_operation_token3] = ACTIONS(1530),
    [aux_sym_set_operation_token4] = ACTIONS(1532),
    [aux_sym_select_token1] = ACTIONS(1530),
    [aux_sym_having_clause_token1] = ACTIONS(1530),
    [aux_sym_qualify_clause_token1] = ACTIONS(1530),
    [aux_sym_limit_clause_token1] = ACTIONS(1530),
    [aux_sym_group_by_clause_token1] = ACTIONS(1530),
    [aux_sym__direction_keywords_token1] = ACTIONS(1530),
    [aux_sym__direction_keywords_token2] = ACTIONS(1530),
    [aux_sym__nulls_preference_token1] = ACTIONS(1530),
    [aux_sym_order_by_clause_token1] = ACTIONS(1530),
    [aux_sym_insert_statement_token1] = ACTIONS(1530),
    [aux_sym_truncate_statement_token1] = ACTIONS(1530),
    [aux_sym_update_statement_token1] = ACTIONS(1530),
    [aux_sym_merge_statement_token1] = ACTIONS(1530),
    [aux_sym_grant_statement_token1] = ACTIONS(1530),
    [aux_sym_revoke_statement_token1] = ACTIONS(1530),
    [aux_sym_export_data_statement_token1] = ACTIONS(1530),
    [aux_sym_load_data_statement_token1] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(1530),
    [anon_sym_DOT] = ACTIONS(1514),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1532),
    [anon_sym_PLUS] = ACTIONS(1530),
    [anon_sym_DASH] = ACTIONS(1532),
    [anon_sym_STAR] = ACTIONS(1530),
    [anon_sym_SLASH] = ACTIONS(1532),
    [anon_sym_PIPE_PIPE] = ACTIONS(1530),
    [anon_sym_LT_EQ] = ACTIONS(1530),
    [anon_sym_LT_GT] = ACTIONS(1530),
    [anon_sym_GT_EQ] = ACTIONS(1530),
    [anon_sym_BANG_EQ] = ACTIONS(1530),
    [anon_sym_LT_LT] = ACTIONS(1530),
    [anon_sym_GT_GT] = ACTIONS(1530),
    [anon_sym_AMP] = ACTIONS(1530),
    [anon_sym_CARET] = ACTIONS(1530),
    [anon_sym_PIPE] = ACTIONS(1532),
  },
  [2523] = {
    [ts_builtin_sym_end] = ACTIONS(1524),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1524),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1524),
    [aux_sym_keyword_replace_token1] = ACTIONS(1526),
    [aux_sym__keyword_alter_token1] = ACTIONS(1524),
    [aux_sym__keyword_delete_token1] = ACTIONS(1524),
    [aux_sym__keyword_begin_token1] = ACTIONS(1524),
    [aux_sym__keyword_end_token1] = ACTIONS(1524),
    [aux_sym__keyword_between_token1] = ACTIONS(1524),
    [aux_sym__keyword_when_token1] = ACTIONS(1524),
    [aux_sym__keyword_else_token1] = ACTIONS(1526),
    [aux_sym__keyword_is_token1] = ACTIONS(1524),
    [aux_sym__keyword_in_token1] = ACTIONS(1526),
    [aux_sym__keyword_and_token1] = ACTIONS(1524),
    [aux_sym__keyword_like_token1] = ACTIONS(1524),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1524),
    [aux_sym__keyword_window_token1] = ACTIONS(1524),
    [aux_sym__keyword_for_token1] = ACTIONS(1524),
    [anon_sym_SEMI] = ACTIONS(1524),
    [aux_sym_declare_statement_token1] = ACTIONS(1524),
    [anon_sym_COMMA] = ACTIONS(1524),
    [aux_sym_set_statement_token1] = ACTIONS(1524),
    [anon_sym_LPAREN] = ACTIONS(1524),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1524),
    [aux_sym_return_satement_token1] = ACTIONS(1524),
    [aux_sym_call_statement_token1] = ACTIONS(1524),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1524),
    [aux_sym_if_statement_token1] = ACTIONS(1524),
    [aux_sym_loop_statement_token1] = ACTIONS(1524),
    [aux_sym_repeat_statement_token1] = ACTIONS(1524),
    [aux_sym_while_statement_token1] = ACTIONS(1524),
    [aux_sym_break_statement_token1] = ACTIONS(1524),
    [aux_sym_leave_statement_token1] = ACTIONS(1524),
    [aux_sym_continue_statement_token1] = ACTIONS(1524),
    [aux_sym_iterate_statement_token1] = ACTIONS(1524),
    [aux_sym_raise_statement_token1] = ACTIONS(1524),
    [anon_sym_EQ] = ACTIONS(1524),
    [aux_sym_assert_statement_token1] = ACTIONS(1524),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1524),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1524),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1524),
    [aux_sym_alter_table_rename_statement_token2] = ACTIONS(2936),
    [anon_sym_LT] = ACTIONS(1526),
    [anon_sym_GT] = ACTIONS(1526),
    [aux_sym_set_operation_token1] = ACTIONS(1524),
    [aux_sym_set_operation_token3] = ACTIONS(1524),
    [aux_sym_set_operation_token4] = ACTIONS(1526),
    [aux_sym_select_token1] = ACTIONS(1524),
    [aux_sym_having_clause_token1] = ACTIONS(1524),
    [aux_sym_qualify_clause_token1] = ACTIONS(1524),
    [aux_sym_limit_clause_token1] = ACTIONS(1524),
    [aux_sym_group_by_clause_token1] = ACTIONS(1524),
    [aux_sym__direction_keywords_token1] = ACTIONS(1524),
    [aux_sym__direction_keywords_token2] = ACTIONS(1524),
    [aux_sym__nulls_preference_token1] = ACTIONS(1524),
    [aux_sym_order_by_clause_token1] = ACTIONS(1524),
    [aux_sym_insert_statement_token1] = ACTIONS(1524),
    [aux_sym_truncate_statement_token1] = ACTIONS(1524),
    [aux_sym_update_statement_token1] = ACTIONS(1524),
    [aux_sym_merge_statement_token1] = ACTIONS(1524),
    [aux_sym_grant_statement_token1] = ACTIONS(1524),
    [aux_sym_revoke_statement_token1] = ACTIONS(1524),
    [aux_sym_export_data_statement_token1] = ACTIONS(1524),
    [aux_sym_load_data_statement_token1] = ACTIONS(1524),
    [anon_sym_LBRACK] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1524),
    [anon_sym_PLUS] = ACTIONS(1524),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_STAR] = ACTIONS(1524),
    [anon_sym_SLASH] = ACTIONS(1526),
    [anon_sym_PIPE_PIPE] = ACTIONS(1524),
    [anon_sym_LT_EQ] = ACTIONS(1524),
    [anon_sym_LT_GT] = ACTIONS(1524),
    [anon_sym_GT_EQ] = ACTIONS(1524),
    [anon_sym_BANG_EQ] = ACTIONS(1524),
    [anon_sym_LT_LT] = ACTIONS(1524),
    [anon_sym_GT_GT] = ACTIONS(1524),
    [anon_sym_AMP] = ACTIONS(1524),
    [anon_sym_CARET] = ACTIONS(1524),
    [anon_sym_PIPE] = ACTIONS(1526),
  },
  [2524] = {
    [ts_builtin_sym_end] = ACTIONS(1083),
    [sym__unquoted_identifier] = ACTIONS(1081),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1081),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1081),
    [aux_sym_keyword_replace_token1] = ACTIONS(1081),
    [aux_sym__keyword_alter_token1] = ACTIONS(1081),
    [aux_sym__keyword_from_token1] = ACTIONS(1081),
    [aux_sym__keyword_delete_token1] = ACTIONS(1081),
    [aux_sym__keyword_begin_token1] = ACTIONS(1081),
    [aux_sym__keyword_between_token1] = ACTIONS(1081),
    [aux_sym__keyword_when_token1] = ACTIONS(1081),
    [aux_sym__keyword_is_token1] = ACTIONS(1081),
    [aux_sym__keyword_in_token1] = ACTIONS(1081),
    [aux_sym__keyword_and_token1] = ACTIONS(1081),
    [aux_sym__keyword_like_token1] = ACTIONS(1081),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1081),
    [aux_sym__keyword_as_token1] = ACTIONS(1081),
    [aux_sym__keyword_window_token1] = ACTIONS(1081),
    [aux_sym__keyword_date_token1] = ACTIONS(1081),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1081),
    [aux_sym__keyword_time_token1] = ACTIONS(1081),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1081),
    [aux_sym__keyword_for_token1] = ACTIONS(1081),
    [anon_sym_SEMI] = ACTIONS(1083),
    [aux_sym_declare_statement_token1] = ACTIONS(1081),
    [anon_sym_COMMA] = ACTIONS(1083),
    [aux_sym_set_statement_token1] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1081),
    [aux_sym_return_satement_token1] = ACTIONS(1081),
    [aux_sym_call_statement_token1] = ACTIONS(1081),
    [aux_sym_loop_statement_token1] = ACTIONS(1081),
    [aux_sym_while_statement_token1] = ACTIONS(1081),
    [aux_sym_break_statement_token1] = ACTIONS(1081),
    [aux_sym_leave_statement_token1] = ACTIONS(1081),
    [aux_sym_continue_statement_token1] = ACTIONS(1081),
    [aux_sym_iterate_statement_token1] = ACTIONS(1081),
    [aux_sym_raise_statement_token1] = ACTIONS(1081),
    [anon_sym_EQ] = ACTIONS(1083),
    [aux_sym_assert_statement_token1] = ACTIONS(1081),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1081),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1081),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1081),
    [anon_sym_LT] = ACTIONS(1081),
    [anon_sym_GT] = ACTIONS(1081),
    [aux_sym_set_operation_token1] = ACTIONS(1081),
    [aux_sym_set_operation_token3] = ACTIONS(1081),
    [aux_sym_set_operation_token4] = ACTIONS(1081),
    [aux_sym_select_token1] = ACTIONS(1081),
    [aux_sym_having_clause_token1] = ACTIONS(1081),
    [aux_sym_qualify_clause_token1] = ACTIONS(1081),
    [aux_sym_limit_clause_token1] = ACTIONS(1081),
    [aux_sym_group_by_clause_token1] = ACTIONS(1081),
    [aux_sym_order_by_clause_token1] = ACTIONS(1081),
    [aux_sym_where_clause_token1] = ACTIONS(1081),
    [aux_sym_insert_statement_token1] = ACTIONS(1081),
    [aux_sym_truncate_statement_token1] = ACTIONS(1081),
    [aux_sym_update_statement_token1] = ACTIONS(1081),
    [aux_sym_merge_statement_token1] = ACTIONS(1081),
    [aux_sym_grant_statement_token1] = ACTIONS(1081),
    [aux_sym_revoke_statement_token1] = ACTIONS(1081),
    [aux_sym_export_data_statement_token1] = ACTIONS(1081),
    [aux_sym_load_data_statement_token1] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [sym__quoted_identifier] = ACTIONS(1083),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1083),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1081),
    [anon_sym_STAR] = ACTIONS(1083),
    [anon_sym_SLASH] = ACTIONS(1081),
    [anon_sym_PIPE_PIPE] = ACTIONS(1083),
    [anon_sym_LT_EQ] = ACTIONS(1083),
    [anon_sym_LT_GT] = ACTIONS(1083),
    [anon_sym_GT_EQ] = ACTIONS(1083),
    [anon_sym_BANG_EQ] = ACTIONS(1083),
    [anon_sym_LT_LT] = ACTIONS(1083),
    [anon_sym_GT_GT] = ACTIONS(1083),
    [anon_sym_AMP] = ACTIONS(1083),
    [anon_sym_CARET] = ACTIONS(1083),
    [anon_sym_PIPE] = ACTIONS(1081),
  },
  [2525] = {
    [ts_builtin_sym_end] = ACTIONS(1516),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1516),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1516),
    [aux_sym_keyword_replace_token1] = ACTIONS(1518),
    [aux_sym__keyword_alter_token1] = ACTIONS(1516),
    [aux_sym__keyword_delete_token1] = ACTIONS(1516),
    [aux_sym__keyword_begin_token1] = ACTIONS(1516),
    [aux_sym__keyword_end_token1] = ACTIONS(1516),
    [aux_sym__keyword_between_token1] = ACTIONS(1516),
    [aux_sym__keyword_when_token1] = ACTIONS(1516),
    [aux_sym__keyword_else_token1] = ACTIONS(1518),
    [aux_sym__keyword_is_token1] = ACTIONS(1516),
    [aux_sym__keyword_in_token1] = ACTIONS(1518),
    [aux_sym__keyword_and_token1] = ACTIONS(1516),
    [aux_sym__keyword_like_token1] = ACTIONS(1516),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1516),
    [aux_sym__keyword_window_token1] = ACTIONS(1516),
    [aux_sym__keyword_for_token1] = ACTIONS(1516),
    [anon_sym_SEMI] = ACTIONS(1516),
    [aux_sym_declare_statement_token1] = ACTIONS(1516),
    [anon_sym_COMMA] = ACTIONS(1516),
    [aux_sym_set_statement_token1] = ACTIONS(1516),
    [anon_sym_LPAREN] = ACTIONS(1516),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1516),
    [aux_sym_return_satement_token1] = ACTIONS(1516),
    [aux_sym_call_statement_token1] = ACTIONS(1516),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1516),
    [aux_sym_if_statement_token1] = ACTIONS(1516),
    [aux_sym_loop_statement_token1] = ACTIONS(1516),
    [aux_sym_repeat_statement_token1] = ACTIONS(1516),
    [aux_sym_while_statement_token1] = ACTIONS(1516),
    [aux_sym_break_statement_token1] = ACTIONS(1516),
    [aux_sym_leave_statement_token1] = ACTIONS(1516),
    [aux_sym_continue_statement_token1] = ACTIONS(1516),
    [aux_sym_iterate_statement_token1] = ACTIONS(1516),
    [aux_sym_raise_statement_token1] = ACTIONS(1516),
    [anon_sym_EQ] = ACTIONS(1516),
    [aux_sym_assert_statement_token1] = ACTIONS(1516),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1516),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1516),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1516),
    [anon_sym_LT] = ACTIONS(1518),
    [anon_sym_GT] = ACTIONS(1518),
    [aux_sym_set_operation_token1] = ACTIONS(1516),
    [aux_sym_set_operation_token3] = ACTIONS(1516),
    [aux_sym_set_operation_token4] = ACTIONS(1518),
    [aux_sym_select_token1] = ACTIONS(1516),
    [aux_sym_having_clause_token1] = ACTIONS(1516),
    [aux_sym_qualify_clause_token1] = ACTIONS(1516),
    [aux_sym_limit_clause_token1] = ACTIONS(1516),
    [aux_sym_group_by_clause_token1] = ACTIONS(1516),
    [aux_sym__direction_keywords_token1] = ACTIONS(1516),
    [aux_sym__direction_keywords_token2] = ACTIONS(1516),
    [aux_sym__nulls_preference_token1] = ACTIONS(1516),
    [aux_sym_order_by_clause_token1] = ACTIONS(1516),
    [aux_sym_insert_statement_token1] = ACTIONS(1516),
    [aux_sym_truncate_statement_token1] = ACTIONS(1516),
    [aux_sym_update_statement_token1] = ACTIONS(1516),
    [aux_sym_merge_statement_token1] = ACTIONS(1516),
    [aux_sym_grant_statement_token1] = ACTIONS(1516),
    [aux_sym_revoke_statement_token1] = ACTIONS(1516),
    [aux_sym_export_data_statement_token1] = ACTIONS(1516),
    [aux_sym_load_data_statement_token1] = ACTIONS(1516),
    [anon_sym_LBRACK] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1516),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1518),
    [anon_sym_STAR] = ACTIONS(1516),
    [anon_sym_SLASH] = ACTIONS(1518),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [anon_sym_LT_EQ] = ACTIONS(1516),
    [anon_sym_LT_GT] = ACTIONS(1516),
    [anon_sym_GT_EQ] = ACTIONS(1516),
    [anon_sym_BANG_EQ] = ACTIONS(1516),
    [anon_sym_LT_LT] = ACTIONS(1516),
    [anon_sym_GT_GT] = ACTIONS(1516),
    [anon_sym_AMP] = ACTIONS(1516),
    [anon_sym_CARET] = ACTIONS(1516),
    [anon_sym_PIPE] = ACTIONS(1518),
    [sym__string_start] = ACTIONS(1516),
  },
  [2526] = {
    [sym__keyword_as] = STATE(11547),
    [sym__keyword_date] = STATE(580),
    [sym__keyword_datetime] = STATE(580),
    [sym__keyword_time] = STATE(580),
    [sym__keyword_timestamp] = STATE(580),
    [sym_as_alias] = STATE(5268),
    [sym__type_chrono] = STATE(461),
    [sym__identifier] = STATE(2405),
    [sym__dotted_identifier] = STATE(13807),
    [sym_identifier] = STATE(607),
    [aux_sym_identifier_repeat1] = STATE(13807),
    [sym__unquoted_identifier] = ACTIONS(335),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(2938),
    [aux_sym__keyword_alter_token1] = ACTIONS(2938),
    [aux_sym__keyword_delete_token1] = ACTIONS(2938),
    [aux_sym__keyword_begin_token1] = ACTIONS(2938),
    [aux_sym__keyword_end_token1] = ACTIONS(2938),
    [aux_sym__keyword_when_token1] = ACTIONS(2938),
    [aux_sym__keyword_else_token1] = ACTIONS(2938),
    [aux_sym__keyword_repeat_token1] = ACTIONS(2938),
    [aux_sym__keyword_as_token1] = ACTIONS(2932),
    [aux_sym__keyword_window_token1] = ACTIONS(2938),
    [aux_sym__keyword_date_token1] = ACTIONS(209),
    [aux_sym__keyword_datetime_token1] = ACTIONS(209),
    [aux_sym__keyword_time_token1] = ACTIONS(209),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(209),
    [aux_sym__keyword_for_token1] = ACTIONS(2938),
    [anon_sym_SEMI] = ACTIONS(2940),
    [aux_sym_declare_statement_token1] = ACTIONS(2938),
    [anon_sym_COMMA] = ACTIONS(2940),
    [aux_sym_set_statement_token1] = ACTIONS(2938),
    [anon_sym_LPAREN] = ACTIONS(2942),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(2938),
    [aux_sym_using_clause_token1] = ACTIONS(2938),
    [aux_sym_return_satement_token1] = ACTIONS(2938),
    [aux_sym_call_statement_token1] = ACTIONS(2938),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(2938),
    [aux_sym_if_statement_token1] = ACTIONS(2938),
    [aux_sym_loop_statement_token1] = ACTIONS(2938),
    [aux_sym_repeat_statement_token1] = ACTIONS(2938),
    [aux_sym_while_statement_token1] = ACTIONS(2938),
    [aux_sym_break_statement_token1] = ACTIONS(2938),
    [aux_sym_leave_statement_token1] = ACTIONS(2938),
    [aux_sym_continue_statement_token1] = ACTIONS(2938),
    [aux_sym_iterate_statement_token1] = ACTIONS(2938),
    [aux_sym_raise_statement_token1] = ACTIONS(2938),
    [aux_sym_assert_statement_token1] = ACTIONS(2938),
    [aux_sym_create_schema_statement_token1] = ACTIONS(2938),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(2938),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2938),
    [aux_sym_set_operation_token1] = ACTIONS(2938),
    [aux_sym_set_operation_token3] = ACTIONS(2938),
    [aux_sym_set_operation_token4] = ACTIONS(2938),
    [aux_sym_select_token1] = ACTIONS(2938),
    [aux_sym_having_clause_token1] = ACTIONS(2938),
    [aux_sym_qualify_clause_token1] = ACTIONS(2938),
    [aux_sym_limit_clause_token1] = ACTIONS(2938),
    [aux_sym_group_by_clause_token1] = ACTIONS(2938),
    [aux_sym_order_by_clause_token1] = ACTIONS(2938),
    [aux_sym_where_clause_token1] = ACTIONS(2938),
    [aux_sym_pivot_operator_token1] = ACTIONS(2938),
    [aux_sym_unpivot_operator_token1] = ACTIONS(2938),
    [aux_sym_tablesample_operator_token1] = ACTIONS(2938),
    [aux_sym_join_type_token1] = ACTIONS(2938),
    [aux_sym_join_type_token2] = ACTIONS(2938),
    [aux_sym_join_type_token3] = ACTIONS(2938),
    [aux_sym_join_type_token4] = ACTIONS(2938),
    [aux_sym__cross_join_operation_token1] = ACTIONS(2938),
    [aux_sym__cross_join_operation_token2] = ACTIONS(2938),
    [aux_sym_join_condition_token1] = ACTIONS(2938),
    [aux_sym_insert_statement_token1] = ACTIONS(2938),
    [aux_sym_truncate_statement_token1] = ACTIONS(2938),
    [aux_sym_update_statement_token1] = ACTIONS(2938),
    [aux_sym_merge_statement_token1] = ACTIONS(2938),
    [aux_sym_grant_statement_token1] = ACTIONS(2938),
    [aux_sym_revoke_statement_token1] = ACTIONS(2938),
    [aux_sym_export_data_statement_token1] = ACTIONS(2938),
    [aux_sym_load_data_statement_token1] = ACTIONS(2938),
    [sym__quoted_identifier] = ACTIONS(363),
    [sym_comment] = ACTIONS(3),
  },
  [2527] = {
    [sym__keyword_between] = STATE(926),
    [sym__keyword_is] = STATE(12119),
    [sym__keyword_in] = STATE(864),
    [sym__keyword_not] = STATE(13080),
    [sym__keyword_and] = STATE(1038),
    [sym__keyword_or] = STATE(1050),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [ts_builtin_sym_end] = ACTIONS(1039),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1039),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1039),
    [aux_sym_keyword_replace_token1] = ACTIONS(1041),
    [aux_sym__keyword_alter_token1] = ACTIONS(1039),
    [aux_sym__keyword_delete_token1] = ACTIONS(1039),
    [aux_sym__keyword_begin_token1] = ACTIONS(1039),
    [aux_sym__keyword_between_token1] = ACTIONS(1039),
    [aux_sym__keyword_when_token1] = ACTIONS(1039),
    [aux_sym__keyword_is_token1] = ACTIONS(1039),
    [aux_sym__keyword_in_token1] = ACTIONS(1041),
    [aux_sym__keyword_and_token1] = ACTIONS(1039),
    [aux_sym__keyword_like_token1] = ACTIONS(1039),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1039),
    [aux_sym__keyword_for_token1] = ACTIONS(1039),
    [anon_sym_SEMI] = ACTIONS(1039),
    [aux_sym_declare_statement_token1] = ACTIONS(1039),
    [anon_sym_COMMA] = ACTIONS(1039),
    [aux_sym_set_statement_token1] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(1039),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1039),
    [aux_sym_return_satement_token1] = ACTIONS(1039),
    [aux_sym_call_statement_token1] = ACTIONS(1039),
    [aux_sym_loop_statement_token1] = ACTIONS(1039),
    [aux_sym_while_statement_token1] = ACTIONS(1039),
    [aux_sym_break_statement_token1] = ACTIONS(1039),
    [aux_sym_leave_statement_token1] = ACTIONS(1039),
    [aux_sym_continue_statement_token1] = ACTIONS(1039),
    [aux_sym_iterate_statement_token1] = ACTIONS(1039),
    [aux_sym_raise_statement_token1] = ACTIONS(1039),
    [anon_sym_EQ] = ACTIONS(1039),
    [aux_sym_assert_statement_token1] = ACTIONS(1039),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1039),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1039),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1039),
    [anon_sym_LT] = ACTIONS(1041),
    [anon_sym_GT] = ACTIONS(1041),
    [aux_sym_set_operation_token1] = ACTIONS(1039),
    [aux_sym_set_operation_token3] = ACTIONS(1039),
    [aux_sym_set_operation_token4] = ACTIONS(1039),
    [aux_sym_select_token1] = ACTIONS(1039),
    [aux_sym_limit_clause_token1] = ACTIONS(1039),
    [aux_sym__direction_keywords_token1] = ACTIONS(1039),
    [aux_sym__direction_keywords_token2] = ACTIONS(1039),
    [aux_sym__nulls_preference_token1] = ACTIONS(1039),
    [aux_sym_order_by_clause_token1] = ACTIONS(1039),
    [aux_sym_insert_statement_token1] = ACTIONS(1039),
    [aux_sym_truncate_statement_token1] = ACTIONS(1039),
    [aux_sym_update_statement_token1] = ACTIONS(1039),
    [aux_sym_merge_statement_token1] = ACTIONS(1039),
    [aux_sym_grant_statement_token1] = ACTIONS(1039),
    [aux_sym_revoke_statement_token1] = ACTIONS(1039),
    [aux_sym_export_data_statement_token1] = ACTIONS(1039),
    [aux_sym_load_data_statement_token1] = ACTIONS(1039),
    [anon_sym_LBRACK] = ACTIONS(1039),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1039),
    [anon_sym_PLUS] = ACTIONS(2872),
    [anon_sym_DASH] = ACTIONS(2874),
    [anon_sym_STAR] = ACTIONS(2876),
    [anon_sym_SLASH] = ACTIONS(2878),
    [anon_sym_PIPE_PIPE] = ACTIONS(2876),
    [anon_sym_LT_EQ] = ACTIONS(1039),
    [anon_sym_LT_GT] = ACTIONS(1039),
    [anon_sym_GT_EQ] = ACTIONS(1039),
    [anon_sym_BANG_EQ] = ACTIONS(1039),
    [anon_sym_LT_LT] = ACTIONS(2880),
    [anon_sym_GT_GT] = ACTIONS(2880),
    [anon_sym_AMP] = ACTIONS(2882),
    [anon_sym_CARET] = ACTIONS(2884),
    [anon_sym_PIPE] = ACTIONS(2886),
  },
  [2528] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1446),
    [aux_sym_keyword_replace_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1446),
    [aux_sym__keyword_delete_token1] = ACTIONS(1446),
    [aux_sym__keyword_begin_token1] = ACTIONS(1446),
    [aux_sym__keyword_end_token1] = ACTIONS(1446),
    [aux_sym__keyword_between_token1] = ACTIONS(1446),
    [aux_sym__keyword_when_token1] = ACTIONS(1446),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1446),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1446),
    [aux_sym__keyword_like_token1] = ACTIONS(1446),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1446),
    [aux_sym__keyword_window_token1] = ACTIONS(1446),
    [aux_sym__keyword_for_token1] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1446),
    [aux_sym_return_satement_token1] = ACTIONS(1446),
    [aux_sym_call_statement_token1] = ACTIONS(1446),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_loop_statement_token1] = ACTIONS(1446),
    [aux_sym_repeat_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [aux_sym_leave_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_iterate_statement_token1] = ACTIONS(1446),
    [aux_sym_raise_statement_token1] = ACTIONS(1446),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1446),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1446),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1446),
    [aux_sym_set_operation_token3] = ACTIONS(1446),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1446),
    [aux_sym_having_clause_token1] = ACTIONS(1446),
    [aux_sym_qualify_clause_token1] = ACTIONS(1446),
    [aux_sym_limit_clause_token1] = ACTIONS(1446),
    [aux_sym_group_by_clause_token1] = ACTIONS(1446),
    [aux_sym__direction_keywords_token1] = ACTIONS(1446),
    [aux_sym__direction_keywords_token2] = ACTIONS(1446),
    [aux_sym__nulls_preference_token1] = ACTIONS(1446),
    [aux_sym_order_by_clause_token1] = ACTIONS(1446),
    [aux_sym_insert_statement_token1] = ACTIONS(1446),
    [aux_sym_truncate_statement_token1] = ACTIONS(1446),
    [aux_sym_update_statement_token1] = ACTIONS(1446),
    [aux_sym_merge_statement_token1] = ACTIONS(1446),
    [aux_sym_grant_statement_token1] = ACTIONS(1446),
    [aux_sym_revoke_statement_token1] = ACTIONS(1446),
    [aux_sym_export_data_statement_token1] = ACTIONS(1446),
    [aux_sym_load_data_statement_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [2529] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1446),
    [aux_sym_keyword_replace_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1446),
    [aux_sym__keyword_delete_token1] = ACTIONS(1446),
    [aux_sym__keyword_begin_token1] = ACTIONS(1446),
    [aux_sym__keyword_end_token1] = ACTIONS(1446),
    [aux_sym__keyword_between_token1] = ACTIONS(1446),
    [aux_sym__keyword_when_token1] = ACTIONS(1446),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1446),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1446),
    [aux_sym__keyword_like_token1] = ACTIONS(1446),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1446),
    [aux_sym__keyword_window_token1] = ACTIONS(1446),
    [aux_sym__keyword_for_token1] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1446),
    [aux_sym_return_satement_token1] = ACTIONS(1446),
    [aux_sym_call_statement_token1] = ACTIONS(1446),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_loop_statement_token1] = ACTIONS(1446),
    [aux_sym_repeat_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [aux_sym_leave_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_iterate_statement_token1] = ACTIONS(1446),
    [aux_sym_raise_statement_token1] = ACTIONS(1446),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1446),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1446),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1446),
    [aux_sym_set_operation_token3] = ACTIONS(1446),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1446),
    [aux_sym_having_clause_token1] = ACTIONS(1446),
    [aux_sym_qualify_clause_token1] = ACTIONS(1446),
    [aux_sym_limit_clause_token1] = ACTIONS(1446),
    [aux_sym_group_by_clause_token1] = ACTIONS(1446),
    [aux_sym__direction_keywords_token1] = ACTIONS(1446),
    [aux_sym__direction_keywords_token2] = ACTIONS(1446),
    [aux_sym__nulls_preference_token1] = ACTIONS(1446),
    [aux_sym_order_by_clause_token1] = ACTIONS(1446),
    [aux_sym_insert_statement_token1] = ACTIONS(1446),
    [aux_sym_truncate_statement_token1] = ACTIONS(1446),
    [aux_sym_update_statement_token1] = ACTIONS(1446),
    [aux_sym_merge_statement_token1] = ACTIONS(1446),
    [aux_sym_grant_statement_token1] = ACTIONS(1446),
    [aux_sym_revoke_statement_token1] = ACTIONS(1446),
    [aux_sym_export_data_statement_token1] = ACTIONS(1446),
    [aux_sym_load_data_statement_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [2530] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1446),
    [aux_sym_keyword_replace_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1446),
    [aux_sym__keyword_delete_token1] = ACTIONS(1446),
    [aux_sym__keyword_begin_token1] = ACTIONS(1446),
    [aux_sym__keyword_end_token1] = ACTIONS(1446),
    [aux_sym__keyword_between_token1] = ACTIONS(1446),
    [aux_sym__keyword_when_token1] = ACTIONS(1446),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1446),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1446),
    [aux_sym__keyword_like_token1] = ACTIONS(1446),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1446),
    [aux_sym__keyword_window_token1] = ACTIONS(1446),
    [aux_sym__keyword_for_token1] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1446),
    [aux_sym_return_satement_token1] = ACTIONS(1446),
    [aux_sym_call_statement_token1] = ACTIONS(1446),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_loop_statement_token1] = ACTIONS(1446),
    [aux_sym_repeat_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [aux_sym_leave_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_iterate_statement_token1] = ACTIONS(1446),
    [aux_sym_raise_statement_token1] = ACTIONS(1446),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1446),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1446),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1446),
    [aux_sym_set_operation_token3] = ACTIONS(1446),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1446),
    [aux_sym_having_clause_token1] = ACTIONS(1446),
    [aux_sym_qualify_clause_token1] = ACTIONS(1446),
    [aux_sym_limit_clause_token1] = ACTIONS(1446),
    [aux_sym_group_by_clause_token1] = ACTIONS(1446),
    [aux_sym__direction_keywords_token1] = ACTIONS(1446),
    [aux_sym__direction_keywords_token2] = ACTIONS(1446),
    [aux_sym__nulls_preference_token1] = ACTIONS(1446),
    [aux_sym_order_by_clause_token1] = ACTIONS(1446),
    [aux_sym_insert_statement_token1] = ACTIONS(1446),
    [aux_sym_truncate_statement_token1] = ACTIONS(1446),
    [aux_sym_update_statement_token1] = ACTIONS(1446),
    [aux_sym_merge_statement_token1] = ACTIONS(1446),
    [aux_sym_grant_statement_token1] = ACTIONS(1446),
    [aux_sym_revoke_statement_token1] = ACTIONS(1446),
    [aux_sym_export_data_statement_token1] = ACTIONS(1446),
    [aux_sym_load_data_statement_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [2531] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1446),
    [aux_sym_keyword_replace_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1446),
    [aux_sym__keyword_delete_token1] = ACTIONS(1446),
    [aux_sym__keyword_begin_token1] = ACTIONS(1446),
    [aux_sym__keyword_end_token1] = ACTIONS(1446),
    [aux_sym__keyword_between_token1] = ACTIONS(1446),
    [aux_sym__keyword_when_token1] = ACTIONS(1446),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1446),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1446),
    [aux_sym__keyword_like_token1] = ACTIONS(1446),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1446),
    [aux_sym__keyword_window_token1] = ACTIONS(1446),
    [aux_sym__keyword_for_token1] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1446),
    [aux_sym_return_satement_token1] = ACTIONS(1446),
    [aux_sym_call_statement_token1] = ACTIONS(1446),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_loop_statement_token1] = ACTIONS(1446),
    [aux_sym_repeat_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [aux_sym_leave_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_iterate_statement_token1] = ACTIONS(1446),
    [aux_sym_raise_statement_token1] = ACTIONS(1446),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1446),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1446),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1446),
    [aux_sym_set_operation_token3] = ACTIONS(1446),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1446),
    [aux_sym_having_clause_token1] = ACTIONS(1446),
    [aux_sym_qualify_clause_token1] = ACTIONS(1446),
    [aux_sym_limit_clause_token1] = ACTIONS(1446),
    [aux_sym_group_by_clause_token1] = ACTIONS(1446),
    [aux_sym__direction_keywords_token1] = ACTIONS(1446),
    [aux_sym__direction_keywords_token2] = ACTIONS(1446),
    [aux_sym__nulls_preference_token1] = ACTIONS(1446),
    [aux_sym_order_by_clause_token1] = ACTIONS(1446),
    [aux_sym_insert_statement_token1] = ACTIONS(1446),
    [aux_sym_truncate_statement_token1] = ACTIONS(1446),
    [aux_sym_update_statement_token1] = ACTIONS(1446),
    [aux_sym_merge_statement_token1] = ACTIONS(1446),
    [aux_sym_grant_statement_token1] = ACTIONS(1446),
    [aux_sym_revoke_statement_token1] = ACTIONS(1446),
    [aux_sym_export_data_statement_token1] = ACTIONS(1446),
    [aux_sym_load_data_statement_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [2532] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1446),
    [aux_sym_keyword_replace_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1446),
    [aux_sym__keyword_delete_token1] = ACTIONS(1446),
    [aux_sym__keyword_begin_token1] = ACTIONS(1446),
    [aux_sym__keyword_end_token1] = ACTIONS(1446),
    [aux_sym__keyword_between_token1] = ACTIONS(1446),
    [aux_sym__keyword_when_token1] = ACTIONS(1446),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1446),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1446),
    [aux_sym__keyword_like_token1] = ACTIONS(1446),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1446),
    [aux_sym__keyword_window_token1] = ACTIONS(1446),
    [aux_sym__keyword_for_token1] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1446),
    [aux_sym_return_satement_token1] = ACTIONS(1446),
    [aux_sym_call_statement_token1] = ACTIONS(1446),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_loop_statement_token1] = ACTIONS(1446),
    [aux_sym_repeat_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [aux_sym_leave_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_iterate_statement_token1] = ACTIONS(1446),
    [aux_sym_raise_statement_token1] = ACTIONS(1446),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1446),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1446),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1446),
    [aux_sym_set_operation_token3] = ACTIONS(1446),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1446),
    [aux_sym_having_clause_token1] = ACTIONS(1446),
    [aux_sym_qualify_clause_token1] = ACTIONS(1446),
    [aux_sym_limit_clause_token1] = ACTIONS(1446),
    [aux_sym_group_by_clause_token1] = ACTIONS(1446),
    [aux_sym__direction_keywords_token1] = ACTIONS(1446),
    [aux_sym__direction_keywords_token2] = ACTIONS(1446),
    [aux_sym__nulls_preference_token1] = ACTIONS(1446),
    [aux_sym_order_by_clause_token1] = ACTIONS(1446),
    [aux_sym_insert_statement_token1] = ACTIONS(1446),
    [aux_sym_truncate_statement_token1] = ACTIONS(1446),
    [aux_sym_update_statement_token1] = ACTIONS(1446),
    [aux_sym_merge_statement_token1] = ACTIONS(1446),
    [aux_sym_grant_statement_token1] = ACTIONS(1446),
    [aux_sym_revoke_statement_token1] = ACTIONS(1446),
    [aux_sym_export_data_statement_token1] = ACTIONS(1446),
    [aux_sym_load_data_statement_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [2533] = {
    [ts_builtin_sym_end] = ACTIONS(1772),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1772),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1772),
    [aux_sym_keyword_replace_token1] = ACTIONS(1774),
    [aux_sym__keyword_alter_token1] = ACTIONS(1772),
    [aux_sym__keyword_delete_token1] = ACTIONS(1772),
    [aux_sym__keyword_begin_token1] = ACTIONS(1772),
    [aux_sym__keyword_end_token1] = ACTIONS(1772),
    [aux_sym__keyword_between_token1] = ACTIONS(1772),
    [aux_sym__keyword_when_token1] = ACTIONS(1772),
    [aux_sym__keyword_else_token1] = ACTIONS(1774),
    [aux_sym__keyword_is_token1] = ACTIONS(1772),
    [aux_sym__keyword_in_token1] = ACTIONS(1774),
    [aux_sym__keyword_and_token1] = ACTIONS(1772),
    [aux_sym__keyword_like_token1] = ACTIONS(1772),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1772),
    [aux_sym__keyword_window_token1] = ACTIONS(1772),
    [aux_sym__keyword_for_token1] = ACTIONS(1772),
    [anon_sym_SEMI] = ACTIONS(1772),
    [aux_sym_declare_statement_token1] = ACTIONS(1772),
    [anon_sym_COMMA] = ACTIONS(1772),
    [aux_sym_set_statement_token1] = ACTIONS(1772),
    [anon_sym_LPAREN] = ACTIONS(1772),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1772),
    [aux_sym_return_satement_token1] = ACTIONS(1772),
    [aux_sym_call_statement_token1] = ACTIONS(1772),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1772),
    [aux_sym_if_statement_token1] = ACTIONS(1772),
    [aux_sym_loop_statement_token1] = ACTIONS(1772),
    [aux_sym_repeat_statement_token1] = ACTIONS(1772),
    [aux_sym_while_statement_token1] = ACTIONS(1772),
    [aux_sym_break_statement_token1] = ACTIONS(1772),
    [aux_sym_leave_statement_token1] = ACTIONS(1772),
    [aux_sym_continue_statement_token1] = ACTIONS(1772),
    [aux_sym_iterate_statement_token1] = ACTIONS(1772),
    [aux_sym_raise_statement_token1] = ACTIONS(1772),
    [anon_sym_EQ] = ACTIONS(1772),
    [aux_sym_assert_statement_token1] = ACTIONS(1772),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1772),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1772),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1772),
    [anon_sym_LT] = ACTIONS(1774),
    [anon_sym_GT] = ACTIONS(1774),
    [aux_sym_set_operation_token1] = ACTIONS(1772),
    [aux_sym_set_operation_token3] = ACTIONS(1772),
    [aux_sym_set_operation_token4] = ACTIONS(1774),
    [aux_sym_select_token1] = ACTIONS(1772),
    [aux_sym_having_clause_token1] = ACTIONS(1772),
    [aux_sym_qualify_clause_token1] = ACTIONS(1772),
    [aux_sym_limit_clause_token1] = ACTIONS(1772),
    [aux_sym_group_by_clause_token1] = ACTIONS(1772),
    [aux_sym__direction_keywords_token1] = ACTIONS(1772),
    [aux_sym__direction_keywords_token2] = ACTIONS(1772),
    [aux_sym__nulls_preference_token1] = ACTIONS(1772),
    [aux_sym_order_by_clause_token1] = ACTIONS(1772),
    [aux_sym_insert_statement_token1] = ACTIONS(1772),
    [aux_sym_truncate_statement_token1] = ACTIONS(1772),
    [aux_sym_update_statement_token1] = ACTIONS(1772),
    [aux_sym_merge_statement_token1] = ACTIONS(1772),
    [aux_sym_grant_statement_token1] = ACTIONS(1772),
    [aux_sym_revoke_statement_token1] = ACTIONS(1772),
    [aux_sym_export_data_statement_token1] = ACTIONS(1772),
    [aux_sym_load_data_statement_token1] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1772),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1772),
    [anon_sym_PLUS] = ACTIONS(1772),
    [anon_sym_DASH] = ACTIONS(1774),
    [anon_sym_STAR] = ACTIONS(1772),
    [anon_sym_SLASH] = ACTIONS(1774),
    [anon_sym_PIPE_PIPE] = ACTIONS(1772),
    [anon_sym_LT_EQ] = ACTIONS(1772),
    [anon_sym_LT_GT] = ACTIONS(1772),
    [anon_sym_GT_EQ] = ACTIONS(1772),
    [anon_sym_BANG_EQ] = ACTIONS(1772),
    [anon_sym_LT_LT] = ACTIONS(1772),
    [anon_sym_GT_GT] = ACTIONS(1772),
    [anon_sym_AMP] = ACTIONS(1772),
    [anon_sym_CARET] = ACTIONS(1772),
    [anon_sym_PIPE] = ACTIONS(1774),
  },
  [2534] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_window_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1442),
    [aux_sym_set_operation_token3] = ACTIONS(1442),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_having_clause_token1] = ACTIONS(1442),
    [aux_sym_qualify_clause_token1] = ACTIONS(1442),
    [aux_sym_limit_clause_token1] = ACTIONS(1442),
    [aux_sym_group_by_clause_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token2] = ACTIONS(1442),
    [aux_sym__nulls_preference_token1] = ACTIONS(1442),
    [aux_sym_order_by_clause_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [2535] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_window_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1442),
    [aux_sym_set_operation_token3] = ACTIONS(1442),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_having_clause_token1] = ACTIONS(1442),
    [aux_sym_qualify_clause_token1] = ACTIONS(1442),
    [aux_sym_limit_clause_token1] = ACTIONS(1442),
    [aux_sym_group_by_clause_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token2] = ACTIONS(1442),
    [aux_sym__nulls_preference_token1] = ACTIONS(1442),
    [aux_sym_order_by_clause_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [2536] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_window_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1442),
    [aux_sym_set_operation_token3] = ACTIONS(1442),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_having_clause_token1] = ACTIONS(1442),
    [aux_sym_qualify_clause_token1] = ACTIONS(1442),
    [aux_sym_limit_clause_token1] = ACTIONS(1442),
    [aux_sym_group_by_clause_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token2] = ACTIONS(1442),
    [aux_sym__nulls_preference_token1] = ACTIONS(1442),
    [aux_sym_order_by_clause_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [2537] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_window_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1442),
    [aux_sym_set_operation_token3] = ACTIONS(1442),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_having_clause_token1] = ACTIONS(1442),
    [aux_sym_qualify_clause_token1] = ACTIONS(1442),
    [aux_sym_limit_clause_token1] = ACTIONS(1442),
    [aux_sym_group_by_clause_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token2] = ACTIONS(1442),
    [aux_sym__nulls_preference_token1] = ACTIONS(1442),
    [aux_sym_order_by_clause_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [2538] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_window_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1442),
    [aux_sym_set_operation_token3] = ACTIONS(1442),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_having_clause_token1] = ACTIONS(1442),
    [aux_sym_qualify_clause_token1] = ACTIONS(1442),
    [aux_sym_limit_clause_token1] = ACTIONS(1442),
    [aux_sym_group_by_clause_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token2] = ACTIONS(1442),
    [aux_sym__nulls_preference_token1] = ACTIONS(1442),
    [aux_sym_order_by_clause_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [2539] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_window_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1442),
    [aux_sym_set_operation_token3] = ACTIONS(1442),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_having_clause_token1] = ACTIONS(1442),
    [aux_sym_qualify_clause_token1] = ACTIONS(1442),
    [aux_sym_limit_clause_token1] = ACTIONS(1442),
    [aux_sym_group_by_clause_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token2] = ACTIONS(1442),
    [aux_sym__nulls_preference_token1] = ACTIONS(1442),
    [aux_sym_order_by_clause_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [2540] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_window_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1442),
    [aux_sym_set_operation_token3] = ACTIONS(1442),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_having_clause_token1] = ACTIONS(1442),
    [aux_sym_qualify_clause_token1] = ACTIONS(1442),
    [aux_sym_limit_clause_token1] = ACTIONS(1442),
    [aux_sym_group_by_clause_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token2] = ACTIONS(1442),
    [aux_sym__nulls_preference_token1] = ACTIONS(1442),
    [aux_sym_order_by_clause_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [2541] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_window_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1442),
    [aux_sym_set_operation_token3] = ACTIONS(1442),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_having_clause_token1] = ACTIONS(1442),
    [aux_sym_qualify_clause_token1] = ACTIONS(1442),
    [aux_sym_limit_clause_token1] = ACTIONS(1442),
    [aux_sym_group_by_clause_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token2] = ACTIONS(1442),
    [aux_sym__nulls_preference_token1] = ACTIONS(1442),
    [aux_sym_order_by_clause_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [2542] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_window_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1442),
    [aux_sym_set_operation_token3] = ACTIONS(1442),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_having_clause_token1] = ACTIONS(1442),
    [aux_sym_qualify_clause_token1] = ACTIONS(1442),
    [aux_sym_limit_clause_token1] = ACTIONS(1442),
    [aux_sym_group_by_clause_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token2] = ACTIONS(1442),
    [aux_sym__nulls_preference_token1] = ACTIONS(1442),
    [aux_sym_order_by_clause_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [2543] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_window_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1442),
    [aux_sym_set_operation_token3] = ACTIONS(1442),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_having_clause_token1] = ACTIONS(1442),
    [aux_sym_qualify_clause_token1] = ACTIONS(1442),
    [aux_sym_limit_clause_token1] = ACTIONS(1442),
    [aux_sym_group_by_clause_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token2] = ACTIONS(1442),
    [aux_sym__nulls_preference_token1] = ACTIONS(1442),
    [aux_sym_order_by_clause_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [2544] = {
    [sym__keyword_between] = STATE(1742),
    [sym__keyword_is] = STATE(12053),
    [sym__keyword_in] = STATE(1576),
    [sym__keyword_not] = STATE(13192),
    [sym__keyword_and] = STATE(1595),
    [sym__keyword_or] = STATE(1596),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [ts_builtin_sym_end] = ACTIONS(947),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(947),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(947),
    [aux_sym_keyword_replace_token1] = ACTIONS(949),
    [aux_sym__keyword_alter_token1] = ACTIONS(947),
    [aux_sym__keyword_delete_token1] = ACTIONS(947),
    [aux_sym__keyword_begin_token1] = ACTIONS(947),
    [aux_sym__keyword_between_token1] = ACTIONS(947),
    [aux_sym__keyword_when_token1] = ACTIONS(947),
    [aux_sym__keyword_is_token1] = ACTIONS(947),
    [aux_sym__keyword_in_token1] = ACTIONS(949),
    [aux_sym__keyword_and_token1] = ACTIONS(947),
    [aux_sym__keyword_like_token1] = ACTIONS(947),
    [aux_sym__keyword_repeat_token1] = ACTIONS(947),
    [aux_sym__keyword_window_token1] = ACTIONS(947),
    [aux_sym__keyword_for_token1] = ACTIONS(947),
    [anon_sym_SEMI] = ACTIONS(947),
    [aux_sym_declare_statement_token1] = ACTIONS(947),
    [aux_sym_set_statement_token1] = ACTIONS(947),
    [anon_sym_LPAREN] = ACTIONS(947),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(947),
    [aux_sym_return_satement_token1] = ACTIONS(947),
    [aux_sym_call_statement_token1] = ACTIONS(947),
    [aux_sym_loop_statement_token1] = ACTIONS(947),
    [aux_sym_while_statement_token1] = ACTIONS(947),
    [aux_sym_break_statement_token1] = ACTIONS(947),
    [aux_sym_leave_statement_token1] = ACTIONS(947),
    [aux_sym_continue_statement_token1] = ACTIONS(947),
    [aux_sym_iterate_statement_token1] = ACTIONS(947),
    [aux_sym_raise_statement_token1] = ACTIONS(947),
    [anon_sym_EQ] = ACTIONS(947),
    [aux_sym_assert_statement_token1] = ACTIONS(947),
    [aux_sym_create_schema_statement_token1] = ACTIONS(947),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(947),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(949),
    [anon_sym_GT] = ACTIONS(949),
    [aux_sym_set_operation_token1] = ACTIONS(947),
    [aux_sym_set_operation_token3] = ACTIONS(947),
    [aux_sym_set_operation_token4] = ACTIONS(947),
    [aux_sym_select_token1] = ACTIONS(947),
    [aux_sym_having_clause_token1] = ACTIONS(947),
    [aux_sym_qualify_clause_token1] = ACTIONS(947),
    [aux_sym_limit_clause_token1] = ACTIONS(947),
    [aux_sym_group_by_clause_token1] = ACTIONS(947),
    [aux_sym_order_by_clause_token1] = ACTIONS(947),
    [aux_sym_insert_statement_token1] = ACTIONS(947),
    [aux_sym_truncate_statement_token1] = ACTIONS(947),
    [aux_sym_update_statement_token1] = ACTIONS(947),
    [aux_sym_merge_statement_token1] = ACTIONS(947),
    [aux_sym_grant_statement_token1] = ACTIONS(947),
    [aux_sym_revoke_statement_token1] = ACTIONS(947),
    [aux_sym_export_data_statement_token1] = ACTIONS(947),
    [aux_sym_load_data_statement_token1] = ACTIONS(947),
    [anon_sym_LBRACK] = ACTIONS(947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(2944),
    [anon_sym_DASH] = ACTIONS(2946),
    [anon_sym_STAR] = ACTIONS(2948),
    [anon_sym_SLASH] = ACTIONS(2950),
    [anon_sym_PIPE_PIPE] = ACTIONS(2948),
    [anon_sym_LT_EQ] = ACTIONS(947),
    [anon_sym_LT_GT] = ACTIONS(947),
    [anon_sym_GT_EQ] = ACTIONS(947),
    [anon_sym_BANG_EQ] = ACTIONS(947),
    [anon_sym_LT_LT] = ACTIONS(2952),
    [anon_sym_GT_GT] = ACTIONS(2952),
    [anon_sym_AMP] = ACTIONS(2954),
    [anon_sym_CARET] = ACTIONS(2956),
    [anon_sym_PIPE] = ACTIONS(2958),
  },
  [2545] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_window_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1442),
    [aux_sym_set_operation_token3] = ACTIONS(1442),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_having_clause_token1] = ACTIONS(1442),
    [aux_sym_qualify_clause_token1] = ACTIONS(1442),
    [aux_sym_limit_clause_token1] = ACTIONS(1442),
    [aux_sym_group_by_clause_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token2] = ACTIONS(1442),
    [aux_sym__nulls_preference_token1] = ACTIONS(1442),
    [aux_sym_order_by_clause_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [2546] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_window_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1442),
    [aux_sym_set_operation_token3] = ACTIONS(1442),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_having_clause_token1] = ACTIONS(1442),
    [aux_sym_qualify_clause_token1] = ACTIONS(1442),
    [aux_sym_limit_clause_token1] = ACTIONS(1442),
    [aux_sym_group_by_clause_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token2] = ACTIONS(1442),
    [aux_sym__nulls_preference_token1] = ACTIONS(1442),
    [aux_sym_order_by_clause_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [2547] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_window_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1442),
    [aux_sym_set_operation_token3] = ACTIONS(1442),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_having_clause_token1] = ACTIONS(1442),
    [aux_sym_qualify_clause_token1] = ACTIONS(1442),
    [aux_sym_limit_clause_token1] = ACTIONS(1442),
    [aux_sym_group_by_clause_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token2] = ACTIONS(1442),
    [aux_sym__nulls_preference_token1] = ACTIONS(1442),
    [aux_sym_order_by_clause_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [2548] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_window_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1442),
    [aux_sym_set_operation_token3] = ACTIONS(1442),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_having_clause_token1] = ACTIONS(1442),
    [aux_sym_qualify_clause_token1] = ACTIONS(1442),
    [aux_sym_limit_clause_token1] = ACTIONS(1442),
    [aux_sym_group_by_clause_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token2] = ACTIONS(1442),
    [aux_sym__nulls_preference_token1] = ACTIONS(1442),
    [aux_sym_order_by_clause_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [2549] = {
    [ts_builtin_sym_end] = ACTIONS(1752),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1752),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1752),
    [aux_sym_keyword_replace_token1] = ACTIONS(1754),
    [aux_sym__keyword_alter_token1] = ACTIONS(1752),
    [aux_sym__keyword_delete_token1] = ACTIONS(1752),
    [aux_sym__keyword_begin_token1] = ACTIONS(1752),
    [aux_sym__keyword_end_token1] = ACTIONS(1752),
    [aux_sym__keyword_between_token1] = ACTIONS(1752),
    [aux_sym__keyword_when_token1] = ACTIONS(1752),
    [aux_sym__keyword_else_token1] = ACTIONS(1754),
    [aux_sym__keyword_is_token1] = ACTIONS(1752),
    [aux_sym__keyword_in_token1] = ACTIONS(1754),
    [aux_sym__keyword_and_token1] = ACTIONS(1752),
    [aux_sym__keyword_like_token1] = ACTIONS(1752),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1752),
    [aux_sym__keyword_window_token1] = ACTIONS(1752),
    [aux_sym__keyword_for_token1] = ACTIONS(1752),
    [anon_sym_SEMI] = ACTIONS(1752),
    [aux_sym_declare_statement_token1] = ACTIONS(1752),
    [anon_sym_COMMA] = ACTIONS(1752),
    [aux_sym_set_statement_token1] = ACTIONS(1752),
    [anon_sym_LPAREN] = ACTIONS(1752),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1752),
    [aux_sym_return_satement_token1] = ACTIONS(1752),
    [aux_sym_call_statement_token1] = ACTIONS(1752),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1752),
    [aux_sym_if_statement_token1] = ACTIONS(1752),
    [aux_sym_loop_statement_token1] = ACTIONS(1752),
    [aux_sym_repeat_statement_token1] = ACTIONS(1752),
    [aux_sym_while_statement_token1] = ACTIONS(1752),
    [aux_sym_break_statement_token1] = ACTIONS(1752),
    [aux_sym_leave_statement_token1] = ACTIONS(1752),
    [aux_sym_continue_statement_token1] = ACTIONS(1752),
    [aux_sym_iterate_statement_token1] = ACTIONS(1752),
    [aux_sym_raise_statement_token1] = ACTIONS(1752),
    [anon_sym_EQ] = ACTIONS(1752),
    [aux_sym_assert_statement_token1] = ACTIONS(1752),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1752),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1752),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1752),
    [anon_sym_LT] = ACTIONS(1754),
    [anon_sym_GT] = ACTIONS(1754),
    [aux_sym_set_operation_token1] = ACTIONS(1752),
    [aux_sym_set_operation_token3] = ACTIONS(1752),
    [aux_sym_set_operation_token4] = ACTIONS(1754),
    [aux_sym_select_token1] = ACTIONS(1752),
    [aux_sym_having_clause_token1] = ACTIONS(1752),
    [aux_sym_qualify_clause_token1] = ACTIONS(1752),
    [aux_sym_limit_clause_token1] = ACTIONS(1752),
    [aux_sym_group_by_clause_token1] = ACTIONS(1752),
    [aux_sym__direction_keywords_token1] = ACTIONS(1752),
    [aux_sym__direction_keywords_token2] = ACTIONS(1752),
    [aux_sym__nulls_preference_token1] = ACTIONS(1752),
    [aux_sym_order_by_clause_token1] = ACTIONS(1752),
    [aux_sym_insert_statement_token1] = ACTIONS(1752),
    [aux_sym_truncate_statement_token1] = ACTIONS(1752),
    [aux_sym_update_statement_token1] = ACTIONS(1752),
    [aux_sym_merge_statement_token1] = ACTIONS(1752),
    [aux_sym_grant_statement_token1] = ACTIONS(1752),
    [aux_sym_revoke_statement_token1] = ACTIONS(1752),
    [aux_sym_export_data_statement_token1] = ACTIONS(1752),
    [aux_sym_load_data_statement_token1] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(1752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_DASH] = ACTIONS(1754),
    [anon_sym_STAR] = ACTIONS(1752),
    [anon_sym_SLASH] = ACTIONS(1754),
    [anon_sym_PIPE_PIPE] = ACTIONS(1752),
    [anon_sym_LT_EQ] = ACTIONS(1752),
    [anon_sym_LT_GT] = ACTIONS(1752),
    [anon_sym_GT_EQ] = ACTIONS(1752),
    [anon_sym_BANG_EQ] = ACTIONS(1752),
    [anon_sym_LT_LT] = ACTIONS(1752),
    [anon_sym_GT_GT] = ACTIONS(1752),
    [anon_sym_AMP] = ACTIONS(1752),
    [anon_sym_CARET] = ACTIONS(1752),
    [anon_sym_PIPE] = ACTIONS(1754),
  },
  [2550] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_window_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1462),
    [aux_sym_set_operation_token3] = ACTIONS(1462),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_having_clause_token1] = ACTIONS(1462),
    [aux_sym_qualify_clause_token1] = ACTIONS(1462),
    [aux_sym_limit_clause_token1] = ACTIONS(1462),
    [aux_sym_group_by_clause_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token2] = ACTIONS(1462),
    [aux_sym__nulls_preference_token1] = ACTIONS(1462),
    [aux_sym_order_by_clause_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [2551] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_window_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1462),
    [aux_sym_set_operation_token3] = ACTIONS(1462),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_having_clause_token1] = ACTIONS(1462),
    [aux_sym_qualify_clause_token1] = ACTIONS(1462),
    [aux_sym_limit_clause_token1] = ACTIONS(1462),
    [aux_sym_group_by_clause_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token2] = ACTIONS(1462),
    [aux_sym__nulls_preference_token1] = ACTIONS(1462),
    [aux_sym_order_by_clause_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [2552] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1446),
    [aux_sym_keyword_replace_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1446),
    [aux_sym__keyword_delete_token1] = ACTIONS(1446),
    [aux_sym__keyword_begin_token1] = ACTIONS(1446),
    [aux_sym__keyword_end_token1] = ACTIONS(1446),
    [aux_sym__keyword_between_token1] = ACTIONS(1446),
    [aux_sym__keyword_when_token1] = ACTIONS(1446),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1446),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1446),
    [aux_sym__keyword_like_token1] = ACTIONS(1446),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1446),
    [aux_sym__keyword_window_token1] = ACTIONS(1446),
    [aux_sym__keyword_for_token1] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1446),
    [aux_sym_return_satement_token1] = ACTIONS(1446),
    [aux_sym_call_statement_token1] = ACTIONS(1446),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_loop_statement_token1] = ACTIONS(1446),
    [aux_sym_repeat_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [aux_sym_leave_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_iterate_statement_token1] = ACTIONS(1446),
    [aux_sym_raise_statement_token1] = ACTIONS(1446),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1446),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1446),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1446),
    [aux_sym_set_operation_token3] = ACTIONS(1446),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1446),
    [aux_sym_having_clause_token1] = ACTIONS(1446),
    [aux_sym_qualify_clause_token1] = ACTIONS(1446),
    [aux_sym_limit_clause_token1] = ACTIONS(1446),
    [aux_sym_group_by_clause_token1] = ACTIONS(1446),
    [aux_sym__direction_keywords_token1] = ACTIONS(1446),
    [aux_sym__direction_keywords_token2] = ACTIONS(1446),
    [aux_sym__nulls_preference_token1] = ACTIONS(1446),
    [aux_sym_order_by_clause_token1] = ACTIONS(1446),
    [aux_sym_insert_statement_token1] = ACTIONS(1446),
    [aux_sym_truncate_statement_token1] = ACTIONS(1446),
    [aux_sym_update_statement_token1] = ACTIONS(1446),
    [aux_sym_merge_statement_token1] = ACTIONS(1446),
    [aux_sym_grant_statement_token1] = ACTIONS(1446),
    [aux_sym_revoke_statement_token1] = ACTIONS(1446),
    [aux_sym_export_data_statement_token1] = ACTIONS(1446),
    [aux_sym_load_data_statement_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [2553] = {
    [ts_builtin_sym_end] = ACTIONS(1776),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1776),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1776),
    [aux_sym_keyword_replace_token1] = ACTIONS(1778),
    [aux_sym__keyword_alter_token1] = ACTIONS(1776),
    [aux_sym__keyword_delete_token1] = ACTIONS(1776),
    [aux_sym__keyword_begin_token1] = ACTIONS(1776),
    [aux_sym__keyword_end_token1] = ACTIONS(1776),
    [aux_sym__keyword_between_token1] = ACTIONS(1776),
    [aux_sym__keyword_when_token1] = ACTIONS(1776),
    [aux_sym__keyword_else_token1] = ACTIONS(1778),
    [aux_sym__keyword_is_token1] = ACTIONS(1776),
    [aux_sym__keyword_in_token1] = ACTIONS(1778),
    [aux_sym__keyword_and_token1] = ACTIONS(1776),
    [aux_sym__keyword_like_token1] = ACTIONS(1776),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1776),
    [aux_sym__keyword_window_token1] = ACTIONS(1776),
    [aux_sym__keyword_for_token1] = ACTIONS(1776),
    [anon_sym_SEMI] = ACTIONS(1776),
    [aux_sym_declare_statement_token1] = ACTIONS(1776),
    [anon_sym_COMMA] = ACTIONS(1776),
    [aux_sym_set_statement_token1] = ACTIONS(1776),
    [anon_sym_LPAREN] = ACTIONS(1776),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1776),
    [aux_sym_return_satement_token1] = ACTIONS(1776),
    [aux_sym_call_statement_token1] = ACTIONS(1776),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1776),
    [aux_sym_if_statement_token1] = ACTIONS(1776),
    [aux_sym_loop_statement_token1] = ACTIONS(1776),
    [aux_sym_repeat_statement_token1] = ACTIONS(1776),
    [aux_sym_while_statement_token1] = ACTIONS(1776),
    [aux_sym_break_statement_token1] = ACTIONS(1776),
    [aux_sym_leave_statement_token1] = ACTIONS(1776),
    [aux_sym_continue_statement_token1] = ACTIONS(1776),
    [aux_sym_iterate_statement_token1] = ACTIONS(1776),
    [aux_sym_raise_statement_token1] = ACTIONS(1776),
    [anon_sym_EQ] = ACTIONS(1776),
    [aux_sym_assert_statement_token1] = ACTIONS(1776),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1776),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1776),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1776),
    [anon_sym_LT] = ACTIONS(1778),
    [anon_sym_GT] = ACTIONS(1778),
    [aux_sym_set_operation_token1] = ACTIONS(1776),
    [aux_sym_set_operation_token3] = ACTIONS(1776),
    [aux_sym_set_operation_token4] = ACTIONS(1778),
    [aux_sym_select_token1] = ACTIONS(1776),
    [aux_sym_having_clause_token1] = ACTIONS(1776),
    [aux_sym_qualify_clause_token1] = ACTIONS(1776),
    [aux_sym_limit_clause_token1] = ACTIONS(1776),
    [aux_sym_group_by_clause_token1] = ACTIONS(1776),
    [aux_sym__direction_keywords_token1] = ACTIONS(1776),
    [aux_sym__direction_keywords_token2] = ACTIONS(1776),
    [aux_sym__nulls_preference_token1] = ACTIONS(1776),
    [aux_sym_order_by_clause_token1] = ACTIONS(1776),
    [aux_sym_insert_statement_token1] = ACTIONS(1776),
    [aux_sym_truncate_statement_token1] = ACTIONS(1776),
    [aux_sym_update_statement_token1] = ACTIONS(1776),
    [aux_sym_merge_statement_token1] = ACTIONS(1776),
    [aux_sym_grant_statement_token1] = ACTIONS(1776),
    [aux_sym_revoke_statement_token1] = ACTIONS(1776),
    [aux_sym_export_data_statement_token1] = ACTIONS(1776),
    [aux_sym_load_data_statement_token1] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1776),
    [anon_sym_PLUS] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1778),
    [anon_sym_STAR] = ACTIONS(1776),
    [anon_sym_SLASH] = ACTIONS(1778),
    [anon_sym_PIPE_PIPE] = ACTIONS(1776),
    [anon_sym_LT_EQ] = ACTIONS(1776),
    [anon_sym_LT_GT] = ACTIONS(1776),
    [anon_sym_GT_EQ] = ACTIONS(1776),
    [anon_sym_BANG_EQ] = ACTIONS(1776),
    [anon_sym_LT_LT] = ACTIONS(1776),
    [anon_sym_GT_GT] = ACTIONS(1776),
    [anon_sym_AMP] = ACTIONS(1776),
    [anon_sym_CARET] = ACTIONS(1776),
    [anon_sym_PIPE] = ACTIONS(1778),
  },
  [2554] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_window_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1462),
    [aux_sym_set_operation_token3] = ACTIONS(1462),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_having_clause_token1] = ACTIONS(1462),
    [aux_sym_qualify_clause_token1] = ACTIONS(1462),
    [aux_sym_limit_clause_token1] = ACTIONS(1462),
    [aux_sym_group_by_clause_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token2] = ACTIONS(1462),
    [aux_sym__nulls_preference_token1] = ACTIONS(1462),
    [aux_sym_order_by_clause_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [2555] = {
    [ts_builtin_sym_end] = ACTIONS(1776),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1776),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1776),
    [aux_sym_keyword_replace_token1] = ACTIONS(1778),
    [aux_sym__keyword_alter_token1] = ACTIONS(1776),
    [aux_sym__keyword_delete_token1] = ACTIONS(1776),
    [aux_sym__keyword_begin_token1] = ACTIONS(1776),
    [aux_sym__keyword_end_token1] = ACTIONS(1776),
    [aux_sym__keyword_between_token1] = ACTIONS(1776),
    [aux_sym__keyword_when_token1] = ACTIONS(1776),
    [aux_sym__keyword_else_token1] = ACTIONS(1778),
    [aux_sym__keyword_is_token1] = ACTIONS(1776),
    [aux_sym__keyword_in_token1] = ACTIONS(1778),
    [aux_sym__keyword_and_token1] = ACTIONS(1776),
    [aux_sym__keyword_like_token1] = ACTIONS(1776),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1776),
    [aux_sym__keyword_window_token1] = ACTIONS(1776),
    [aux_sym__keyword_for_token1] = ACTIONS(1776),
    [anon_sym_SEMI] = ACTIONS(1776),
    [aux_sym_declare_statement_token1] = ACTIONS(1776),
    [anon_sym_COMMA] = ACTIONS(1776),
    [aux_sym_set_statement_token1] = ACTIONS(1776),
    [anon_sym_LPAREN] = ACTIONS(1776),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1776),
    [aux_sym_return_satement_token1] = ACTIONS(1776),
    [aux_sym_call_statement_token1] = ACTIONS(1776),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1776),
    [aux_sym_if_statement_token1] = ACTIONS(1776),
    [aux_sym_loop_statement_token1] = ACTIONS(1776),
    [aux_sym_repeat_statement_token1] = ACTIONS(1776),
    [aux_sym_while_statement_token1] = ACTIONS(1776),
    [aux_sym_break_statement_token1] = ACTIONS(1776),
    [aux_sym_leave_statement_token1] = ACTIONS(1776),
    [aux_sym_continue_statement_token1] = ACTIONS(1776),
    [aux_sym_iterate_statement_token1] = ACTIONS(1776),
    [aux_sym_raise_statement_token1] = ACTIONS(1776),
    [anon_sym_EQ] = ACTIONS(1776),
    [aux_sym_assert_statement_token1] = ACTIONS(1776),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1776),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1776),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1776),
    [anon_sym_LT] = ACTIONS(1778),
    [anon_sym_GT] = ACTIONS(1778),
    [aux_sym_set_operation_token1] = ACTIONS(1776),
    [aux_sym_set_operation_token3] = ACTIONS(1776),
    [aux_sym_set_operation_token4] = ACTIONS(1778),
    [aux_sym_select_token1] = ACTIONS(1776),
    [aux_sym_having_clause_token1] = ACTIONS(1776),
    [aux_sym_qualify_clause_token1] = ACTIONS(1776),
    [aux_sym_limit_clause_token1] = ACTIONS(1776),
    [aux_sym_group_by_clause_token1] = ACTIONS(1776),
    [aux_sym__direction_keywords_token1] = ACTIONS(1776),
    [aux_sym__direction_keywords_token2] = ACTIONS(1776),
    [aux_sym__nulls_preference_token1] = ACTIONS(1776),
    [aux_sym_order_by_clause_token1] = ACTIONS(1776),
    [aux_sym_insert_statement_token1] = ACTIONS(1776),
    [aux_sym_truncate_statement_token1] = ACTIONS(1776),
    [aux_sym_update_statement_token1] = ACTIONS(1776),
    [aux_sym_merge_statement_token1] = ACTIONS(1776),
    [aux_sym_grant_statement_token1] = ACTIONS(1776),
    [aux_sym_revoke_statement_token1] = ACTIONS(1776),
    [aux_sym_export_data_statement_token1] = ACTIONS(1776),
    [aux_sym_load_data_statement_token1] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1776),
    [anon_sym_PLUS] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1778),
    [anon_sym_STAR] = ACTIONS(1776),
    [anon_sym_SLASH] = ACTIONS(1778),
    [anon_sym_PIPE_PIPE] = ACTIONS(1776),
    [anon_sym_LT_EQ] = ACTIONS(1776),
    [anon_sym_LT_GT] = ACTIONS(1776),
    [anon_sym_GT_EQ] = ACTIONS(1776),
    [anon_sym_BANG_EQ] = ACTIONS(1776),
    [anon_sym_LT_LT] = ACTIONS(1776),
    [anon_sym_GT_GT] = ACTIONS(1776),
    [anon_sym_AMP] = ACTIONS(1776),
    [anon_sym_CARET] = ACTIONS(1776),
    [anon_sym_PIPE] = ACTIONS(1778),
  },
  [2556] = {
    [ts_builtin_sym_end] = ACTIONS(1776),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1776),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1776),
    [aux_sym_keyword_replace_token1] = ACTIONS(1778),
    [aux_sym__keyword_alter_token1] = ACTIONS(1776),
    [aux_sym__keyword_delete_token1] = ACTIONS(1776),
    [aux_sym__keyword_begin_token1] = ACTIONS(1776),
    [aux_sym__keyword_end_token1] = ACTIONS(1776),
    [aux_sym__keyword_between_token1] = ACTIONS(1776),
    [aux_sym__keyword_when_token1] = ACTIONS(1776),
    [aux_sym__keyword_else_token1] = ACTIONS(1778),
    [aux_sym__keyword_is_token1] = ACTIONS(1776),
    [aux_sym__keyword_in_token1] = ACTIONS(1778),
    [aux_sym__keyword_and_token1] = ACTIONS(1776),
    [aux_sym__keyword_like_token1] = ACTIONS(1776),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1776),
    [aux_sym__keyword_window_token1] = ACTIONS(1776),
    [aux_sym__keyword_for_token1] = ACTIONS(1776),
    [anon_sym_SEMI] = ACTIONS(1776),
    [aux_sym_declare_statement_token1] = ACTIONS(1776),
    [anon_sym_COMMA] = ACTIONS(1776),
    [aux_sym_set_statement_token1] = ACTIONS(1776),
    [anon_sym_LPAREN] = ACTIONS(1776),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1776),
    [aux_sym_return_satement_token1] = ACTIONS(1776),
    [aux_sym_call_statement_token1] = ACTIONS(1776),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1776),
    [aux_sym_if_statement_token1] = ACTIONS(1776),
    [aux_sym_loop_statement_token1] = ACTIONS(1776),
    [aux_sym_repeat_statement_token1] = ACTIONS(1776),
    [aux_sym_while_statement_token1] = ACTIONS(1776),
    [aux_sym_break_statement_token1] = ACTIONS(1776),
    [aux_sym_leave_statement_token1] = ACTIONS(1776),
    [aux_sym_continue_statement_token1] = ACTIONS(1776),
    [aux_sym_iterate_statement_token1] = ACTIONS(1776),
    [aux_sym_raise_statement_token1] = ACTIONS(1776),
    [anon_sym_EQ] = ACTIONS(1776),
    [aux_sym_assert_statement_token1] = ACTIONS(1776),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1776),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1776),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1776),
    [anon_sym_LT] = ACTIONS(1778),
    [anon_sym_GT] = ACTIONS(1778),
    [aux_sym_set_operation_token1] = ACTIONS(1776),
    [aux_sym_set_operation_token3] = ACTIONS(1776),
    [aux_sym_set_operation_token4] = ACTIONS(1778),
    [aux_sym_select_token1] = ACTIONS(1776),
    [aux_sym_having_clause_token1] = ACTIONS(1776),
    [aux_sym_qualify_clause_token1] = ACTIONS(1776),
    [aux_sym_limit_clause_token1] = ACTIONS(1776),
    [aux_sym_group_by_clause_token1] = ACTIONS(1776),
    [aux_sym__direction_keywords_token1] = ACTIONS(1776),
    [aux_sym__direction_keywords_token2] = ACTIONS(1776),
    [aux_sym__nulls_preference_token1] = ACTIONS(1776),
    [aux_sym_order_by_clause_token1] = ACTIONS(1776),
    [aux_sym_insert_statement_token1] = ACTIONS(1776),
    [aux_sym_truncate_statement_token1] = ACTIONS(1776),
    [aux_sym_update_statement_token1] = ACTIONS(1776),
    [aux_sym_merge_statement_token1] = ACTIONS(1776),
    [aux_sym_grant_statement_token1] = ACTIONS(1776),
    [aux_sym_revoke_statement_token1] = ACTIONS(1776),
    [aux_sym_export_data_statement_token1] = ACTIONS(1776),
    [aux_sym_load_data_statement_token1] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1776),
    [anon_sym_PLUS] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1778),
    [anon_sym_STAR] = ACTIONS(1776),
    [anon_sym_SLASH] = ACTIONS(1778),
    [anon_sym_PIPE_PIPE] = ACTIONS(1776),
    [anon_sym_LT_EQ] = ACTIONS(1776),
    [anon_sym_LT_GT] = ACTIONS(1776),
    [anon_sym_GT_EQ] = ACTIONS(1776),
    [anon_sym_BANG_EQ] = ACTIONS(1776),
    [anon_sym_LT_LT] = ACTIONS(1776),
    [anon_sym_GT_GT] = ACTIONS(1776),
    [anon_sym_AMP] = ACTIONS(1776),
    [anon_sym_CARET] = ACTIONS(1776),
    [anon_sym_PIPE] = ACTIONS(1778),
  },
  [2557] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_window_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1462),
    [aux_sym_set_operation_token3] = ACTIONS(1462),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_having_clause_token1] = ACTIONS(1462),
    [aux_sym_qualify_clause_token1] = ACTIONS(1462),
    [aux_sym_limit_clause_token1] = ACTIONS(1462),
    [aux_sym_group_by_clause_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token2] = ACTIONS(1462),
    [aux_sym__nulls_preference_token1] = ACTIONS(1462),
    [aux_sym_order_by_clause_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [2558] = {
    [ts_builtin_sym_end] = ACTIONS(1776),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1776),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1776),
    [aux_sym_keyword_replace_token1] = ACTIONS(1778),
    [aux_sym__keyword_alter_token1] = ACTIONS(1776),
    [aux_sym__keyword_delete_token1] = ACTIONS(1776),
    [aux_sym__keyword_begin_token1] = ACTIONS(1776),
    [aux_sym__keyword_end_token1] = ACTIONS(1776),
    [aux_sym__keyword_between_token1] = ACTIONS(1776),
    [aux_sym__keyword_when_token1] = ACTIONS(1776),
    [aux_sym__keyword_else_token1] = ACTIONS(1778),
    [aux_sym__keyword_is_token1] = ACTIONS(1776),
    [aux_sym__keyword_in_token1] = ACTIONS(1778),
    [aux_sym__keyword_and_token1] = ACTIONS(1776),
    [aux_sym__keyword_like_token1] = ACTIONS(1776),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1776),
    [aux_sym__keyword_window_token1] = ACTIONS(1776),
    [aux_sym__keyword_for_token1] = ACTIONS(1776),
    [anon_sym_SEMI] = ACTIONS(1776),
    [aux_sym_declare_statement_token1] = ACTIONS(1776),
    [anon_sym_COMMA] = ACTIONS(1776),
    [aux_sym_set_statement_token1] = ACTIONS(1776),
    [anon_sym_LPAREN] = ACTIONS(1776),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1776),
    [aux_sym_return_satement_token1] = ACTIONS(1776),
    [aux_sym_call_statement_token1] = ACTIONS(1776),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1776),
    [aux_sym_if_statement_token1] = ACTIONS(1776),
    [aux_sym_loop_statement_token1] = ACTIONS(1776),
    [aux_sym_repeat_statement_token1] = ACTIONS(1776),
    [aux_sym_while_statement_token1] = ACTIONS(1776),
    [aux_sym_break_statement_token1] = ACTIONS(1776),
    [aux_sym_leave_statement_token1] = ACTIONS(1776),
    [aux_sym_continue_statement_token1] = ACTIONS(1776),
    [aux_sym_iterate_statement_token1] = ACTIONS(1776),
    [aux_sym_raise_statement_token1] = ACTIONS(1776),
    [anon_sym_EQ] = ACTIONS(1776),
    [aux_sym_assert_statement_token1] = ACTIONS(1776),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1776),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1776),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1776),
    [anon_sym_LT] = ACTIONS(1778),
    [anon_sym_GT] = ACTIONS(1778),
    [aux_sym_set_operation_token1] = ACTIONS(1776),
    [aux_sym_set_operation_token3] = ACTIONS(1776),
    [aux_sym_set_operation_token4] = ACTIONS(1778),
    [aux_sym_select_token1] = ACTIONS(1776),
    [aux_sym_having_clause_token1] = ACTIONS(1776),
    [aux_sym_qualify_clause_token1] = ACTIONS(1776),
    [aux_sym_limit_clause_token1] = ACTIONS(1776),
    [aux_sym_group_by_clause_token1] = ACTIONS(1776),
    [aux_sym__direction_keywords_token1] = ACTIONS(1776),
    [aux_sym__direction_keywords_token2] = ACTIONS(1776),
    [aux_sym__nulls_preference_token1] = ACTIONS(1776),
    [aux_sym_order_by_clause_token1] = ACTIONS(1776),
    [aux_sym_insert_statement_token1] = ACTIONS(1776),
    [aux_sym_truncate_statement_token1] = ACTIONS(1776),
    [aux_sym_update_statement_token1] = ACTIONS(1776),
    [aux_sym_merge_statement_token1] = ACTIONS(1776),
    [aux_sym_grant_statement_token1] = ACTIONS(1776),
    [aux_sym_revoke_statement_token1] = ACTIONS(1776),
    [aux_sym_export_data_statement_token1] = ACTIONS(1776),
    [aux_sym_load_data_statement_token1] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1776),
    [anon_sym_PLUS] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1778),
    [anon_sym_STAR] = ACTIONS(1776),
    [anon_sym_SLASH] = ACTIONS(1778),
    [anon_sym_PIPE_PIPE] = ACTIONS(1776),
    [anon_sym_LT_EQ] = ACTIONS(1776),
    [anon_sym_LT_GT] = ACTIONS(1776),
    [anon_sym_GT_EQ] = ACTIONS(1776),
    [anon_sym_BANG_EQ] = ACTIONS(1776),
    [anon_sym_LT_LT] = ACTIONS(1776),
    [anon_sym_GT_GT] = ACTIONS(1776),
    [anon_sym_AMP] = ACTIONS(1776),
    [anon_sym_CARET] = ACTIONS(1776),
    [anon_sym_PIPE] = ACTIONS(1778),
  },
  [2559] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_window_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1462),
    [aux_sym_set_operation_token3] = ACTIONS(1462),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_having_clause_token1] = ACTIONS(1462),
    [aux_sym_qualify_clause_token1] = ACTIONS(1462),
    [aux_sym_limit_clause_token1] = ACTIONS(1462),
    [aux_sym_group_by_clause_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token2] = ACTIONS(1462),
    [aux_sym__nulls_preference_token1] = ACTIONS(1462),
    [aux_sym_order_by_clause_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [2560] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_window_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1462),
    [aux_sym_set_operation_token3] = ACTIONS(1462),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_having_clause_token1] = ACTIONS(1462),
    [aux_sym_qualify_clause_token1] = ACTIONS(1462),
    [aux_sym_limit_clause_token1] = ACTIONS(1462),
    [aux_sym_group_by_clause_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token2] = ACTIONS(1462),
    [aux_sym__nulls_preference_token1] = ACTIONS(1462),
    [aux_sym_order_by_clause_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [2561] = {
    [ts_builtin_sym_end] = ACTIONS(1780),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1780),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1780),
    [aux_sym_keyword_replace_token1] = ACTIONS(1782),
    [aux_sym__keyword_alter_token1] = ACTIONS(1780),
    [aux_sym__keyword_delete_token1] = ACTIONS(1780),
    [aux_sym__keyword_begin_token1] = ACTIONS(1780),
    [aux_sym__keyword_end_token1] = ACTIONS(1780),
    [aux_sym__keyword_between_token1] = ACTIONS(1780),
    [aux_sym__keyword_when_token1] = ACTIONS(1780),
    [aux_sym__keyword_else_token1] = ACTIONS(1782),
    [aux_sym__keyword_is_token1] = ACTIONS(1780),
    [aux_sym__keyword_in_token1] = ACTIONS(1782),
    [aux_sym__keyword_and_token1] = ACTIONS(1780),
    [aux_sym__keyword_like_token1] = ACTIONS(1780),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1780),
    [aux_sym__keyword_window_token1] = ACTIONS(1780),
    [aux_sym__keyword_for_token1] = ACTIONS(1780),
    [anon_sym_SEMI] = ACTIONS(1780),
    [aux_sym_declare_statement_token1] = ACTIONS(1780),
    [anon_sym_COMMA] = ACTIONS(1780),
    [aux_sym_set_statement_token1] = ACTIONS(1780),
    [anon_sym_LPAREN] = ACTIONS(1780),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1780),
    [aux_sym_return_satement_token1] = ACTIONS(1780),
    [aux_sym_call_statement_token1] = ACTIONS(1780),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1780),
    [aux_sym_if_statement_token1] = ACTIONS(1780),
    [aux_sym_loop_statement_token1] = ACTIONS(1780),
    [aux_sym_repeat_statement_token1] = ACTIONS(1780),
    [aux_sym_while_statement_token1] = ACTIONS(1780),
    [aux_sym_break_statement_token1] = ACTIONS(1780),
    [aux_sym_leave_statement_token1] = ACTIONS(1780),
    [aux_sym_continue_statement_token1] = ACTIONS(1780),
    [aux_sym_iterate_statement_token1] = ACTIONS(1780),
    [aux_sym_raise_statement_token1] = ACTIONS(1780),
    [anon_sym_EQ] = ACTIONS(1780),
    [aux_sym_assert_statement_token1] = ACTIONS(1780),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1780),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1780),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1780),
    [anon_sym_LT] = ACTIONS(1782),
    [anon_sym_GT] = ACTIONS(1782),
    [aux_sym_set_operation_token1] = ACTIONS(1780),
    [aux_sym_set_operation_token3] = ACTIONS(1780),
    [aux_sym_set_operation_token4] = ACTIONS(1782),
    [aux_sym_select_token1] = ACTIONS(1780),
    [aux_sym_having_clause_token1] = ACTIONS(1780),
    [aux_sym_qualify_clause_token1] = ACTIONS(1780),
    [aux_sym_limit_clause_token1] = ACTIONS(1780),
    [aux_sym_group_by_clause_token1] = ACTIONS(1780),
    [aux_sym__direction_keywords_token1] = ACTIONS(1780),
    [aux_sym__direction_keywords_token2] = ACTIONS(1780),
    [aux_sym__nulls_preference_token1] = ACTIONS(1780),
    [aux_sym_order_by_clause_token1] = ACTIONS(1780),
    [aux_sym_insert_statement_token1] = ACTIONS(1780),
    [aux_sym_truncate_statement_token1] = ACTIONS(1780),
    [aux_sym_update_statement_token1] = ACTIONS(1780),
    [aux_sym_merge_statement_token1] = ACTIONS(1780),
    [aux_sym_grant_statement_token1] = ACTIONS(1780),
    [aux_sym_revoke_statement_token1] = ACTIONS(1780),
    [aux_sym_export_data_statement_token1] = ACTIONS(1780),
    [aux_sym_load_data_statement_token1] = ACTIONS(1780),
    [anon_sym_LBRACK] = ACTIONS(1780),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_DASH] = ACTIONS(1782),
    [anon_sym_STAR] = ACTIONS(1780),
    [anon_sym_SLASH] = ACTIONS(1782),
    [anon_sym_PIPE_PIPE] = ACTIONS(1780),
    [anon_sym_LT_EQ] = ACTIONS(1780),
    [anon_sym_LT_GT] = ACTIONS(1780),
    [anon_sym_GT_EQ] = ACTIONS(1780),
    [anon_sym_BANG_EQ] = ACTIONS(1780),
    [anon_sym_LT_LT] = ACTIONS(1780),
    [anon_sym_GT_GT] = ACTIONS(1780),
    [anon_sym_AMP] = ACTIONS(1780),
    [anon_sym_CARET] = ACTIONS(1780),
    [anon_sym_PIPE] = ACTIONS(1782),
  },
  [2562] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_window_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1462),
    [aux_sym_set_operation_token3] = ACTIONS(1462),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_having_clause_token1] = ACTIONS(1462),
    [aux_sym_qualify_clause_token1] = ACTIONS(1462),
    [aux_sym_limit_clause_token1] = ACTIONS(1462),
    [aux_sym_group_by_clause_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token2] = ACTIONS(1462),
    [aux_sym__nulls_preference_token1] = ACTIONS(1462),
    [aux_sym_order_by_clause_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [2563] = {
    [sym__keyword_between] = STATE(1742),
    [sym__keyword_is] = STATE(12053),
    [sym__keyword_in] = STATE(1576),
    [sym__keyword_not] = STATE(13192),
    [sym__keyword_and] = STATE(1595),
    [sym__keyword_or] = STATE(1596),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [ts_builtin_sym_end] = ACTIONS(1031),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1031),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1031),
    [aux_sym_keyword_replace_token1] = ACTIONS(1033),
    [aux_sym__keyword_alter_token1] = ACTIONS(1031),
    [aux_sym__keyword_delete_token1] = ACTIONS(1031),
    [aux_sym__keyword_begin_token1] = ACTIONS(1031),
    [aux_sym__keyword_between_token1] = ACTIONS(1031),
    [aux_sym__keyword_when_token1] = ACTIONS(1031),
    [aux_sym__keyword_is_token1] = ACTIONS(1031),
    [aux_sym__keyword_in_token1] = ACTIONS(1033),
    [aux_sym__keyword_and_token1] = ACTIONS(1031),
    [aux_sym__keyword_like_token1] = ACTIONS(1031),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1031),
    [aux_sym__keyword_window_token1] = ACTIONS(1031),
    [aux_sym__keyword_for_token1] = ACTIONS(1031),
    [anon_sym_SEMI] = ACTIONS(1031),
    [aux_sym_declare_statement_token1] = ACTIONS(1031),
    [aux_sym_set_statement_token1] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1031),
    [aux_sym_return_satement_token1] = ACTIONS(1031),
    [aux_sym_call_statement_token1] = ACTIONS(1031),
    [aux_sym_loop_statement_token1] = ACTIONS(1031),
    [aux_sym_while_statement_token1] = ACTIONS(1031),
    [aux_sym_break_statement_token1] = ACTIONS(1031),
    [aux_sym_leave_statement_token1] = ACTIONS(1031),
    [aux_sym_continue_statement_token1] = ACTIONS(1031),
    [aux_sym_iterate_statement_token1] = ACTIONS(1031),
    [aux_sym_raise_statement_token1] = ACTIONS(1031),
    [anon_sym_EQ] = ACTIONS(1031),
    [aux_sym_assert_statement_token1] = ACTIONS(1031),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1031),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1031),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1031),
    [anon_sym_LT] = ACTIONS(1033),
    [anon_sym_GT] = ACTIONS(1033),
    [aux_sym_set_operation_token1] = ACTIONS(1031),
    [aux_sym_set_operation_token3] = ACTIONS(1031),
    [aux_sym_set_operation_token4] = ACTIONS(1031),
    [aux_sym_select_token1] = ACTIONS(1031),
    [aux_sym_having_clause_token1] = ACTIONS(1031),
    [aux_sym_qualify_clause_token1] = ACTIONS(1031),
    [aux_sym_limit_clause_token1] = ACTIONS(1031),
    [aux_sym_group_by_clause_token1] = ACTIONS(1031),
    [aux_sym_order_by_clause_token1] = ACTIONS(1031),
    [aux_sym_insert_statement_token1] = ACTIONS(1031),
    [aux_sym_truncate_statement_token1] = ACTIONS(1031),
    [aux_sym_update_statement_token1] = ACTIONS(1031),
    [aux_sym_merge_statement_token1] = ACTIONS(1031),
    [aux_sym_grant_statement_token1] = ACTIONS(1031),
    [aux_sym_revoke_statement_token1] = ACTIONS(1031),
    [aux_sym_export_data_statement_token1] = ACTIONS(1031),
    [aux_sym_load_data_statement_token1] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1031),
    [anon_sym_PLUS] = ACTIONS(2944),
    [anon_sym_DASH] = ACTIONS(2946),
    [anon_sym_STAR] = ACTIONS(2948),
    [anon_sym_SLASH] = ACTIONS(2950),
    [anon_sym_PIPE_PIPE] = ACTIONS(2948),
    [anon_sym_LT_EQ] = ACTIONS(1031),
    [anon_sym_LT_GT] = ACTIONS(1031),
    [anon_sym_GT_EQ] = ACTIONS(1031),
    [anon_sym_BANG_EQ] = ACTIONS(1031),
    [anon_sym_LT_LT] = ACTIONS(2952),
    [anon_sym_GT_GT] = ACTIONS(2952),
    [anon_sym_AMP] = ACTIONS(2954),
    [anon_sym_CARET] = ACTIONS(2956),
    [anon_sym_PIPE] = ACTIONS(2958),
  },
  [2564] = {
    [ts_builtin_sym_end] = ACTIONS(1780),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1780),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1780),
    [aux_sym_keyword_replace_token1] = ACTIONS(1782),
    [aux_sym__keyword_alter_token1] = ACTIONS(1780),
    [aux_sym__keyword_delete_token1] = ACTIONS(1780),
    [aux_sym__keyword_begin_token1] = ACTIONS(1780),
    [aux_sym__keyword_end_token1] = ACTIONS(1780),
    [aux_sym__keyword_between_token1] = ACTIONS(1780),
    [aux_sym__keyword_when_token1] = ACTIONS(1780),
    [aux_sym__keyword_else_token1] = ACTIONS(1782),
    [aux_sym__keyword_is_token1] = ACTIONS(1780),
    [aux_sym__keyword_in_token1] = ACTIONS(1782),
    [aux_sym__keyword_and_token1] = ACTIONS(1780),
    [aux_sym__keyword_like_token1] = ACTIONS(1780),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1780),
    [aux_sym__keyword_window_token1] = ACTIONS(1780),
    [aux_sym__keyword_for_token1] = ACTIONS(1780),
    [anon_sym_SEMI] = ACTIONS(1780),
    [aux_sym_declare_statement_token1] = ACTIONS(1780),
    [anon_sym_COMMA] = ACTIONS(1780),
    [aux_sym_set_statement_token1] = ACTIONS(1780),
    [anon_sym_LPAREN] = ACTIONS(1780),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1780),
    [aux_sym_return_satement_token1] = ACTIONS(1780),
    [aux_sym_call_statement_token1] = ACTIONS(1780),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1780),
    [aux_sym_if_statement_token1] = ACTIONS(1780),
    [aux_sym_loop_statement_token1] = ACTIONS(1780),
    [aux_sym_repeat_statement_token1] = ACTIONS(1780),
    [aux_sym_while_statement_token1] = ACTIONS(1780),
    [aux_sym_break_statement_token1] = ACTIONS(1780),
    [aux_sym_leave_statement_token1] = ACTIONS(1780),
    [aux_sym_continue_statement_token1] = ACTIONS(1780),
    [aux_sym_iterate_statement_token1] = ACTIONS(1780),
    [aux_sym_raise_statement_token1] = ACTIONS(1780),
    [anon_sym_EQ] = ACTIONS(1780),
    [aux_sym_assert_statement_token1] = ACTIONS(1780),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1780),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1780),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1780),
    [anon_sym_LT] = ACTIONS(1782),
    [anon_sym_GT] = ACTIONS(1782),
    [aux_sym_set_operation_token1] = ACTIONS(1780),
    [aux_sym_set_operation_token3] = ACTIONS(1780),
    [aux_sym_set_operation_token4] = ACTIONS(1782),
    [aux_sym_select_token1] = ACTIONS(1780),
    [aux_sym_having_clause_token1] = ACTIONS(1780),
    [aux_sym_qualify_clause_token1] = ACTIONS(1780),
    [aux_sym_limit_clause_token1] = ACTIONS(1780),
    [aux_sym_group_by_clause_token1] = ACTIONS(1780),
    [aux_sym__direction_keywords_token1] = ACTIONS(1780),
    [aux_sym__direction_keywords_token2] = ACTIONS(1780),
    [aux_sym__nulls_preference_token1] = ACTIONS(1780),
    [aux_sym_order_by_clause_token1] = ACTIONS(1780),
    [aux_sym_insert_statement_token1] = ACTIONS(1780),
    [aux_sym_truncate_statement_token1] = ACTIONS(1780),
    [aux_sym_update_statement_token1] = ACTIONS(1780),
    [aux_sym_merge_statement_token1] = ACTIONS(1780),
    [aux_sym_grant_statement_token1] = ACTIONS(1780),
    [aux_sym_revoke_statement_token1] = ACTIONS(1780),
    [aux_sym_export_data_statement_token1] = ACTIONS(1780),
    [aux_sym_load_data_statement_token1] = ACTIONS(1780),
    [anon_sym_LBRACK] = ACTIONS(1780),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_DASH] = ACTIONS(1782),
    [anon_sym_STAR] = ACTIONS(1780),
    [anon_sym_SLASH] = ACTIONS(1782),
    [anon_sym_PIPE_PIPE] = ACTIONS(1780),
    [anon_sym_LT_EQ] = ACTIONS(1780),
    [anon_sym_LT_GT] = ACTIONS(1780),
    [anon_sym_GT_EQ] = ACTIONS(1780),
    [anon_sym_BANG_EQ] = ACTIONS(1780),
    [anon_sym_LT_LT] = ACTIONS(1780),
    [anon_sym_GT_GT] = ACTIONS(1780),
    [anon_sym_AMP] = ACTIONS(1780),
    [anon_sym_CARET] = ACTIONS(1780),
    [anon_sym_PIPE] = ACTIONS(1782),
  },
  [2565] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_window_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1462),
    [aux_sym_set_operation_token3] = ACTIONS(1462),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_having_clause_token1] = ACTIONS(1462),
    [aux_sym_qualify_clause_token1] = ACTIONS(1462),
    [aux_sym_limit_clause_token1] = ACTIONS(1462),
    [aux_sym_group_by_clause_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token2] = ACTIONS(1462),
    [aux_sym__nulls_preference_token1] = ACTIONS(1462),
    [aux_sym_order_by_clause_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [2566] = {
    [ts_builtin_sym_end] = ACTIONS(1618),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1618),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1618),
    [aux_sym_keyword_replace_token1] = ACTIONS(1620),
    [aux_sym__keyword_alter_token1] = ACTIONS(1618),
    [aux_sym__keyword_delete_token1] = ACTIONS(1618),
    [aux_sym__keyword_begin_token1] = ACTIONS(1618),
    [aux_sym__keyword_end_token1] = ACTIONS(1618),
    [aux_sym__keyword_between_token1] = ACTIONS(1618),
    [aux_sym__keyword_when_token1] = ACTIONS(1618),
    [aux_sym__keyword_else_token1] = ACTIONS(1620),
    [aux_sym__keyword_is_token1] = ACTIONS(1618),
    [aux_sym__keyword_in_token1] = ACTIONS(1620),
    [aux_sym__keyword_and_token1] = ACTIONS(1618),
    [aux_sym__keyword_like_token1] = ACTIONS(1618),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1618),
    [aux_sym__keyword_window_token1] = ACTIONS(1618),
    [aux_sym__keyword_for_token1] = ACTIONS(1618),
    [anon_sym_SEMI] = ACTIONS(1618),
    [aux_sym_declare_statement_token1] = ACTIONS(1618),
    [anon_sym_COMMA] = ACTIONS(1618),
    [aux_sym_set_statement_token1] = ACTIONS(1618),
    [anon_sym_LPAREN] = ACTIONS(1618),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1618),
    [aux_sym_return_satement_token1] = ACTIONS(1618),
    [aux_sym_call_statement_token1] = ACTIONS(1618),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1618),
    [aux_sym_if_statement_token1] = ACTIONS(1618),
    [aux_sym_loop_statement_token1] = ACTIONS(1618),
    [aux_sym_repeat_statement_token1] = ACTIONS(1618),
    [aux_sym_while_statement_token1] = ACTIONS(1618),
    [aux_sym_break_statement_token1] = ACTIONS(1618),
    [aux_sym_leave_statement_token1] = ACTIONS(1618),
    [aux_sym_continue_statement_token1] = ACTIONS(1618),
    [aux_sym_iterate_statement_token1] = ACTIONS(1618),
    [aux_sym_raise_statement_token1] = ACTIONS(1618),
    [anon_sym_EQ] = ACTIONS(1618),
    [aux_sym_assert_statement_token1] = ACTIONS(1618),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1618),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1618),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1618),
    [anon_sym_LT] = ACTIONS(1620),
    [anon_sym_GT] = ACTIONS(1620),
    [aux_sym_set_operation_token1] = ACTIONS(1618),
    [aux_sym_set_operation_token3] = ACTIONS(1618),
    [aux_sym_set_operation_token4] = ACTIONS(1620),
    [aux_sym_select_token1] = ACTIONS(1618),
    [aux_sym_having_clause_token1] = ACTIONS(1618),
    [aux_sym_qualify_clause_token1] = ACTIONS(1618),
    [aux_sym_limit_clause_token1] = ACTIONS(1618),
    [aux_sym_group_by_clause_token1] = ACTIONS(1618),
    [aux_sym__direction_keywords_token1] = ACTIONS(1618),
    [aux_sym__direction_keywords_token2] = ACTIONS(1618),
    [aux_sym__nulls_preference_token1] = ACTIONS(1618),
    [aux_sym_order_by_clause_token1] = ACTIONS(1618),
    [aux_sym_insert_statement_token1] = ACTIONS(1618),
    [aux_sym_truncate_statement_token1] = ACTIONS(1618),
    [aux_sym_update_statement_token1] = ACTIONS(1618),
    [aux_sym_merge_statement_token1] = ACTIONS(1618),
    [aux_sym_grant_statement_token1] = ACTIONS(1618),
    [aux_sym_revoke_statement_token1] = ACTIONS(1618),
    [aux_sym_export_data_statement_token1] = ACTIONS(1618),
    [aux_sym_load_data_statement_token1] = ACTIONS(1618),
    [anon_sym_LBRACK] = ACTIONS(1618),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1618),
    [anon_sym_PLUS] = ACTIONS(1618),
    [anon_sym_DASH] = ACTIONS(1620),
    [anon_sym_STAR] = ACTIONS(1618),
    [anon_sym_SLASH] = ACTIONS(1620),
    [anon_sym_PIPE_PIPE] = ACTIONS(1618),
    [anon_sym_LT_EQ] = ACTIONS(1618),
    [anon_sym_LT_GT] = ACTIONS(1618),
    [anon_sym_GT_EQ] = ACTIONS(1618),
    [anon_sym_BANG_EQ] = ACTIONS(1618),
    [anon_sym_LT_LT] = ACTIONS(1618),
    [anon_sym_GT_GT] = ACTIONS(1618),
    [anon_sym_AMP] = ACTIONS(1618),
    [anon_sym_CARET] = ACTIONS(1618),
    [anon_sym_PIPE] = ACTIONS(1620),
  },
  [2567] = {
    [sym__keyword_between] = STATE(1742),
    [sym__keyword_is] = STATE(12053),
    [sym__keyword_in] = STATE(1576),
    [sym__keyword_not] = STATE(13192),
    [sym__keyword_and] = STATE(1595),
    [sym__keyword_or] = STATE(1596),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [ts_builtin_sym_end] = ACTIONS(1035),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1035),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1035),
    [aux_sym_keyword_replace_token1] = ACTIONS(1037),
    [aux_sym__keyword_alter_token1] = ACTIONS(1035),
    [aux_sym__keyword_delete_token1] = ACTIONS(1035),
    [aux_sym__keyword_begin_token1] = ACTIONS(1035),
    [aux_sym__keyword_between_token1] = ACTIONS(1035),
    [aux_sym__keyword_when_token1] = ACTIONS(1035),
    [aux_sym__keyword_is_token1] = ACTIONS(1035),
    [aux_sym__keyword_in_token1] = ACTIONS(1037),
    [aux_sym__keyword_and_token1] = ACTIONS(1035),
    [aux_sym__keyword_like_token1] = ACTIONS(1035),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1035),
    [aux_sym__keyword_window_token1] = ACTIONS(1035),
    [aux_sym__keyword_for_token1] = ACTIONS(1035),
    [anon_sym_SEMI] = ACTIONS(1035),
    [aux_sym_declare_statement_token1] = ACTIONS(1035),
    [aux_sym_set_statement_token1] = ACTIONS(1035),
    [anon_sym_LPAREN] = ACTIONS(1035),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1035),
    [aux_sym_return_satement_token1] = ACTIONS(1035),
    [aux_sym_call_statement_token1] = ACTIONS(1035),
    [aux_sym_loop_statement_token1] = ACTIONS(1035),
    [aux_sym_while_statement_token1] = ACTIONS(1035),
    [aux_sym_break_statement_token1] = ACTIONS(1035),
    [aux_sym_leave_statement_token1] = ACTIONS(1035),
    [aux_sym_continue_statement_token1] = ACTIONS(1035),
    [aux_sym_iterate_statement_token1] = ACTIONS(1035),
    [aux_sym_raise_statement_token1] = ACTIONS(1035),
    [anon_sym_EQ] = ACTIONS(1035),
    [aux_sym_assert_statement_token1] = ACTIONS(1035),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1035),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1035),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1035),
    [anon_sym_LT] = ACTIONS(1037),
    [anon_sym_GT] = ACTIONS(1037),
    [aux_sym_set_operation_token1] = ACTIONS(1035),
    [aux_sym_set_operation_token3] = ACTIONS(1035),
    [aux_sym_set_operation_token4] = ACTIONS(1035),
    [aux_sym_select_token1] = ACTIONS(1035),
    [aux_sym_having_clause_token1] = ACTIONS(1035),
    [aux_sym_qualify_clause_token1] = ACTIONS(1035),
    [aux_sym_limit_clause_token1] = ACTIONS(1035),
    [aux_sym_group_by_clause_token1] = ACTIONS(1035),
    [aux_sym_order_by_clause_token1] = ACTIONS(1035),
    [aux_sym_insert_statement_token1] = ACTIONS(1035),
    [aux_sym_truncate_statement_token1] = ACTIONS(1035),
    [aux_sym_update_statement_token1] = ACTIONS(1035),
    [aux_sym_merge_statement_token1] = ACTIONS(1035),
    [aux_sym_grant_statement_token1] = ACTIONS(1035),
    [aux_sym_revoke_statement_token1] = ACTIONS(1035),
    [aux_sym_export_data_statement_token1] = ACTIONS(1035),
    [aux_sym_load_data_statement_token1] = ACTIONS(1035),
    [anon_sym_LBRACK] = ACTIONS(1035),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1035),
    [anon_sym_PLUS] = ACTIONS(2944),
    [anon_sym_DASH] = ACTIONS(2946),
    [anon_sym_STAR] = ACTIONS(2948),
    [anon_sym_SLASH] = ACTIONS(2950),
    [anon_sym_PIPE_PIPE] = ACTIONS(2948),
    [anon_sym_LT_EQ] = ACTIONS(1035),
    [anon_sym_LT_GT] = ACTIONS(1035),
    [anon_sym_GT_EQ] = ACTIONS(1035),
    [anon_sym_BANG_EQ] = ACTIONS(1035),
    [anon_sym_LT_LT] = ACTIONS(2952),
    [anon_sym_GT_GT] = ACTIONS(2952),
    [anon_sym_AMP] = ACTIONS(2954),
    [anon_sym_CARET] = ACTIONS(2956),
    [anon_sym_PIPE] = ACTIONS(2958),
  },
  [2568] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_window_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1462),
    [aux_sym_set_operation_token3] = ACTIONS(1462),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_having_clause_token1] = ACTIONS(1462),
    [aux_sym_qualify_clause_token1] = ACTIONS(1462),
    [aux_sym_limit_clause_token1] = ACTIONS(1462),
    [aux_sym_group_by_clause_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token2] = ACTIONS(1462),
    [aux_sym__nulls_preference_token1] = ACTIONS(1462),
    [aux_sym_order_by_clause_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [2569] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_window_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1462),
    [aux_sym_set_operation_token3] = ACTIONS(1462),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_having_clause_token1] = ACTIONS(1462),
    [aux_sym_qualify_clause_token1] = ACTIONS(1462),
    [aux_sym_limit_clause_token1] = ACTIONS(1462),
    [aux_sym_group_by_clause_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token2] = ACTIONS(1462),
    [aux_sym__nulls_preference_token1] = ACTIONS(1462),
    [aux_sym_order_by_clause_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [2570] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_window_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1462),
    [aux_sym_set_operation_token3] = ACTIONS(1462),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_having_clause_token1] = ACTIONS(1462),
    [aux_sym_qualify_clause_token1] = ACTIONS(1462),
    [aux_sym_limit_clause_token1] = ACTIONS(1462),
    [aux_sym_group_by_clause_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token2] = ACTIONS(1462),
    [aux_sym__nulls_preference_token1] = ACTIONS(1462),
    [aux_sym_order_by_clause_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [2571] = {
    [sym__keyword_between] = STATE(1742),
    [sym__keyword_is] = STATE(12053),
    [sym__keyword_in] = STATE(1576),
    [sym__keyword_not] = STATE(13192),
    [sym__keyword_and] = STATE(1595),
    [sym__keyword_or] = STATE(1596),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [ts_builtin_sym_end] = ACTIONS(1039),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1039),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1039),
    [aux_sym_keyword_replace_token1] = ACTIONS(1041),
    [aux_sym__keyword_alter_token1] = ACTIONS(1039),
    [aux_sym__keyword_delete_token1] = ACTIONS(1039),
    [aux_sym__keyword_begin_token1] = ACTIONS(1039),
    [aux_sym__keyword_between_token1] = ACTIONS(1039),
    [aux_sym__keyword_when_token1] = ACTIONS(1039),
    [aux_sym__keyword_is_token1] = ACTIONS(1039),
    [aux_sym__keyword_in_token1] = ACTIONS(1041),
    [aux_sym__keyword_and_token1] = ACTIONS(1039),
    [aux_sym__keyword_like_token1] = ACTIONS(1039),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1039),
    [aux_sym__keyword_window_token1] = ACTIONS(1039),
    [aux_sym__keyword_for_token1] = ACTIONS(1039),
    [anon_sym_SEMI] = ACTIONS(1039),
    [aux_sym_declare_statement_token1] = ACTIONS(1039),
    [aux_sym_set_statement_token1] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(1039),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1039),
    [aux_sym_return_satement_token1] = ACTIONS(1039),
    [aux_sym_call_statement_token1] = ACTIONS(1039),
    [aux_sym_loop_statement_token1] = ACTIONS(1039),
    [aux_sym_while_statement_token1] = ACTIONS(1039),
    [aux_sym_break_statement_token1] = ACTIONS(1039),
    [aux_sym_leave_statement_token1] = ACTIONS(1039),
    [aux_sym_continue_statement_token1] = ACTIONS(1039),
    [aux_sym_iterate_statement_token1] = ACTIONS(1039),
    [aux_sym_raise_statement_token1] = ACTIONS(1039),
    [anon_sym_EQ] = ACTIONS(1039),
    [aux_sym_assert_statement_token1] = ACTIONS(1039),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1039),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1039),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1039),
    [anon_sym_LT] = ACTIONS(1041),
    [anon_sym_GT] = ACTIONS(1041),
    [aux_sym_set_operation_token1] = ACTIONS(1039),
    [aux_sym_set_operation_token3] = ACTIONS(1039),
    [aux_sym_set_operation_token4] = ACTIONS(1039),
    [aux_sym_select_token1] = ACTIONS(1039),
    [aux_sym_having_clause_token1] = ACTIONS(1039),
    [aux_sym_qualify_clause_token1] = ACTIONS(1039),
    [aux_sym_limit_clause_token1] = ACTIONS(1039),
    [aux_sym_group_by_clause_token1] = ACTIONS(1039),
    [aux_sym_order_by_clause_token1] = ACTIONS(1039),
    [aux_sym_insert_statement_token1] = ACTIONS(1039),
    [aux_sym_truncate_statement_token1] = ACTIONS(1039),
    [aux_sym_update_statement_token1] = ACTIONS(1039),
    [aux_sym_merge_statement_token1] = ACTIONS(1039),
    [aux_sym_grant_statement_token1] = ACTIONS(1039),
    [aux_sym_revoke_statement_token1] = ACTIONS(1039),
    [aux_sym_export_data_statement_token1] = ACTIONS(1039),
    [aux_sym_load_data_statement_token1] = ACTIONS(1039),
    [anon_sym_LBRACK] = ACTIONS(1039),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1039),
    [anon_sym_PLUS] = ACTIONS(2944),
    [anon_sym_DASH] = ACTIONS(2946),
    [anon_sym_STAR] = ACTIONS(2948),
    [anon_sym_SLASH] = ACTIONS(2950),
    [anon_sym_PIPE_PIPE] = ACTIONS(2948),
    [anon_sym_LT_EQ] = ACTIONS(1039),
    [anon_sym_LT_GT] = ACTIONS(1039),
    [anon_sym_GT_EQ] = ACTIONS(1039),
    [anon_sym_BANG_EQ] = ACTIONS(1039),
    [anon_sym_LT_LT] = ACTIONS(2952),
    [anon_sym_GT_GT] = ACTIONS(2952),
    [anon_sym_AMP] = ACTIONS(2954),
    [anon_sym_CARET] = ACTIONS(2956),
    [anon_sym_PIPE] = ACTIONS(2958),
  },
  [2572] = {
    [ts_builtin_sym_end] = ACTIONS(1374),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1374),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1374),
    [aux_sym_keyword_replace_token1] = ACTIONS(1376),
    [aux_sym__keyword_alter_token1] = ACTIONS(1374),
    [aux_sym__keyword_delete_token1] = ACTIONS(1374),
    [aux_sym__keyword_begin_token1] = ACTIONS(1374),
    [aux_sym__keyword_end_token1] = ACTIONS(1374),
    [aux_sym__keyword_between_token1] = ACTIONS(1374),
    [aux_sym__keyword_when_token1] = ACTIONS(1374),
    [aux_sym__keyword_else_token1] = ACTIONS(1376),
    [aux_sym__keyword_is_token1] = ACTIONS(1374),
    [aux_sym__keyword_in_token1] = ACTIONS(1376),
    [aux_sym__keyword_and_token1] = ACTIONS(1374),
    [aux_sym__keyword_like_token1] = ACTIONS(1374),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1374),
    [aux_sym__keyword_window_token1] = ACTIONS(1374),
    [aux_sym__keyword_for_token1] = ACTIONS(1374),
    [anon_sym_SEMI] = ACTIONS(1374),
    [aux_sym_declare_statement_token1] = ACTIONS(1374),
    [anon_sym_COMMA] = ACTIONS(1374),
    [aux_sym_set_statement_token1] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1374),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1374),
    [aux_sym_return_satement_token1] = ACTIONS(1374),
    [aux_sym_call_statement_token1] = ACTIONS(1374),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1374),
    [aux_sym_if_statement_token1] = ACTIONS(1374),
    [aux_sym_loop_statement_token1] = ACTIONS(1374),
    [aux_sym_repeat_statement_token1] = ACTIONS(1374),
    [aux_sym_while_statement_token1] = ACTIONS(1374),
    [aux_sym_break_statement_token1] = ACTIONS(1374),
    [aux_sym_leave_statement_token1] = ACTIONS(1374),
    [aux_sym_continue_statement_token1] = ACTIONS(1374),
    [aux_sym_iterate_statement_token1] = ACTIONS(1374),
    [aux_sym_raise_statement_token1] = ACTIONS(1374),
    [anon_sym_EQ] = ACTIONS(1374),
    [aux_sym_assert_statement_token1] = ACTIONS(1374),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1374),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1374),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1374),
    [anon_sym_LT] = ACTIONS(1376),
    [anon_sym_GT] = ACTIONS(1376),
    [aux_sym_set_operation_token1] = ACTIONS(1374),
    [aux_sym_set_operation_token3] = ACTIONS(1374),
    [aux_sym_set_operation_token4] = ACTIONS(1376),
    [aux_sym_select_token1] = ACTIONS(1374),
    [aux_sym_having_clause_token1] = ACTIONS(1374),
    [aux_sym_qualify_clause_token1] = ACTIONS(1374),
    [aux_sym_limit_clause_token1] = ACTIONS(1374),
    [aux_sym_group_by_clause_token1] = ACTIONS(1374),
    [aux_sym__direction_keywords_token1] = ACTIONS(1374),
    [aux_sym__direction_keywords_token2] = ACTIONS(1374),
    [aux_sym__nulls_preference_token1] = ACTIONS(1374),
    [aux_sym_order_by_clause_token1] = ACTIONS(1374),
    [aux_sym_insert_statement_token1] = ACTIONS(1374),
    [aux_sym_truncate_statement_token1] = ACTIONS(1374),
    [aux_sym_update_statement_token1] = ACTIONS(1374),
    [aux_sym_merge_statement_token1] = ACTIONS(1374),
    [aux_sym_grant_statement_token1] = ACTIONS(1374),
    [aux_sym_revoke_statement_token1] = ACTIONS(1374),
    [aux_sym_export_data_statement_token1] = ACTIONS(1374),
    [aux_sym_load_data_statement_token1] = ACTIONS(1374),
    [anon_sym_LBRACK] = ACTIONS(1374),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_SLASH] = ACTIONS(1376),
    [anon_sym_PIPE_PIPE] = ACTIONS(1374),
    [anon_sym_LT_EQ] = ACTIONS(1374),
    [anon_sym_LT_GT] = ACTIONS(1374),
    [anon_sym_GT_EQ] = ACTIONS(1374),
    [anon_sym_BANG_EQ] = ACTIONS(1374),
    [anon_sym_LT_LT] = ACTIONS(1374),
    [anon_sym_GT_GT] = ACTIONS(1374),
    [anon_sym_AMP] = ACTIONS(1374),
    [anon_sym_CARET] = ACTIONS(1374),
    [anon_sym_PIPE] = ACTIONS(1376),
  },
  [2573] = {
    [ts_builtin_sym_end] = ACTIONS(1684),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1684),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1684),
    [aux_sym_keyword_replace_token1] = ACTIONS(1686),
    [aux_sym__keyword_alter_token1] = ACTIONS(1684),
    [aux_sym__keyword_delete_token1] = ACTIONS(1684),
    [aux_sym__keyword_begin_token1] = ACTIONS(1684),
    [aux_sym__keyword_end_token1] = ACTIONS(1684),
    [aux_sym__keyword_between_token1] = ACTIONS(1684),
    [aux_sym__keyword_when_token1] = ACTIONS(1684),
    [aux_sym__keyword_else_token1] = ACTIONS(1686),
    [aux_sym__keyword_is_token1] = ACTIONS(1684),
    [aux_sym__keyword_in_token1] = ACTIONS(1686),
    [aux_sym__keyword_and_token1] = ACTIONS(1684),
    [aux_sym__keyword_like_token1] = ACTIONS(1684),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1684),
    [aux_sym__keyword_window_token1] = ACTIONS(1684),
    [aux_sym__keyword_for_token1] = ACTIONS(1684),
    [anon_sym_SEMI] = ACTIONS(1684),
    [aux_sym_declare_statement_token1] = ACTIONS(1684),
    [anon_sym_COMMA] = ACTIONS(1684),
    [aux_sym_set_statement_token1] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1684),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1684),
    [aux_sym_return_satement_token1] = ACTIONS(1684),
    [aux_sym_call_statement_token1] = ACTIONS(1684),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1684),
    [aux_sym_if_statement_token1] = ACTIONS(1684),
    [aux_sym_loop_statement_token1] = ACTIONS(1684),
    [aux_sym_repeat_statement_token1] = ACTIONS(1684),
    [aux_sym_while_statement_token1] = ACTIONS(1684),
    [aux_sym_break_statement_token1] = ACTIONS(1684),
    [aux_sym_leave_statement_token1] = ACTIONS(1684),
    [aux_sym_continue_statement_token1] = ACTIONS(1684),
    [aux_sym_iterate_statement_token1] = ACTIONS(1684),
    [aux_sym_raise_statement_token1] = ACTIONS(1684),
    [anon_sym_EQ] = ACTIONS(1684),
    [aux_sym_assert_statement_token1] = ACTIONS(1684),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1684),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1684),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1684),
    [anon_sym_LT] = ACTIONS(1686),
    [anon_sym_GT] = ACTIONS(1686),
    [aux_sym_set_operation_token1] = ACTIONS(1684),
    [aux_sym_set_operation_token3] = ACTIONS(1684),
    [aux_sym_set_operation_token4] = ACTIONS(1686),
    [aux_sym_select_token1] = ACTIONS(1684),
    [aux_sym_having_clause_token1] = ACTIONS(1684),
    [aux_sym_qualify_clause_token1] = ACTIONS(1684),
    [aux_sym_limit_clause_token1] = ACTIONS(1684),
    [aux_sym_group_by_clause_token1] = ACTIONS(1684),
    [aux_sym__direction_keywords_token1] = ACTIONS(1684),
    [aux_sym__direction_keywords_token2] = ACTIONS(1684),
    [aux_sym__nulls_preference_token1] = ACTIONS(1684),
    [aux_sym_order_by_clause_token1] = ACTIONS(1684),
    [aux_sym_insert_statement_token1] = ACTIONS(1684),
    [aux_sym_truncate_statement_token1] = ACTIONS(1684),
    [aux_sym_update_statement_token1] = ACTIONS(1684),
    [aux_sym_merge_statement_token1] = ACTIONS(1684),
    [aux_sym_grant_statement_token1] = ACTIONS(1684),
    [aux_sym_revoke_statement_token1] = ACTIONS(1684),
    [aux_sym_export_data_statement_token1] = ACTIONS(1684),
    [aux_sym_load_data_statement_token1] = ACTIONS(1684),
    [anon_sym_LBRACK] = ACTIONS(1684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1684),
    [anon_sym_PLUS] = ACTIONS(1684),
    [anon_sym_DASH] = ACTIONS(1686),
    [anon_sym_STAR] = ACTIONS(1684),
    [anon_sym_SLASH] = ACTIONS(1686),
    [anon_sym_PIPE_PIPE] = ACTIONS(1684),
    [anon_sym_LT_EQ] = ACTIONS(1684),
    [anon_sym_LT_GT] = ACTIONS(1684),
    [anon_sym_GT_EQ] = ACTIONS(1684),
    [anon_sym_BANG_EQ] = ACTIONS(1684),
    [anon_sym_LT_LT] = ACTIONS(1684),
    [anon_sym_GT_GT] = ACTIONS(1684),
    [anon_sym_AMP] = ACTIONS(1684),
    [anon_sym_CARET] = ACTIONS(1684),
    [anon_sym_PIPE] = ACTIONS(1686),
  },
  [2574] = {
    [ts_builtin_sym_end] = ACTIONS(1622),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1622),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1622),
    [aux_sym_keyword_replace_token1] = ACTIONS(1624),
    [aux_sym__keyword_alter_token1] = ACTIONS(1622),
    [aux_sym__keyword_delete_token1] = ACTIONS(1622),
    [aux_sym__keyword_begin_token1] = ACTIONS(1622),
    [aux_sym__keyword_end_token1] = ACTIONS(1622),
    [aux_sym__keyword_between_token1] = ACTIONS(1622),
    [aux_sym__keyword_when_token1] = ACTIONS(1622),
    [aux_sym__keyword_else_token1] = ACTIONS(1624),
    [aux_sym__keyword_is_token1] = ACTIONS(1622),
    [aux_sym__keyword_in_token1] = ACTIONS(1624),
    [aux_sym__keyword_and_token1] = ACTIONS(1622),
    [aux_sym__keyword_like_token1] = ACTIONS(1622),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1622),
    [aux_sym__keyword_window_token1] = ACTIONS(1622),
    [aux_sym__keyword_for_token1] = ACTIONS(1622),
    [anon_sym_SEMI] = ACTIONS(1622),
    [aux_sym_declare_statement_token1] = ACTIONS(1622),
    [anon_sym_COMMA] = ACTIONS(1622),
    [aux_sym_set_statement_token1] = ACTIONS(1622),
    [anon_sym_LPAREN] = ACTIONS(1622),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1622),
    [aux_sym_return_satement_token1] = ACTIONS(1622),
    [aux_sym_call_statement_token1] = ACTIONS(1622),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1622),
    [aux_sym_if_statement_token1] = ACTIONS(1622),
    [aux_sym_loop_statement_token1] = ACTIONS(1622),
    [aux_sym_repeat_statement_token1] = ACTIONS(1622),
    [aux_sym_while_statement_token1] = ACTIONS(1622),
    [aux_sym_break_statement_token1] = ACTIONS(1622),
    [aux_sym_leave_statement_token1] = ACTIONS(1622),
    [aux_sym_continue_statement_token1] = ACTIONS(1622),
    [aux_sym_iterate_statement_token1] = ACTIONS(1622),
    [aux_sym_raise_statement_token1] = ACTIONS(1622),
    [anon_sym_EQ] = ACTIONS(1622),
    [aux_sym_assert_statement_token1] = ACTIONS(1622),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1622),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1622),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1622),
    [anon_sym_LT] = ACTIONS(1624),
    [anon_sym_GT] = ACTIONS(1624),
    [aux_sym_set_operation_token1] = ACTIONS(1622),
    [aux_sym_set_operation_token3] = ACTIONS(1622),
    [aux_sym_set_operation_token4] = ACTIONS(1624),
    [aux_sym_select_token1] = ACTIONS(1622),
    [aux_sym_having_clause_token1] = ACTIONS(1622),
    [aux_sym_qualify_clause_token1] = ACTIONS(1622),
    [aux_sym_limit_clause_token1] = ACTIONS(1622),
    [aux_sym_group_by_clause_token1] = ACTIONS(1622),
    [aux_sym__direction_keywords_token1] = ACTIONS(1622),
    [aux_sym__direction_keywords_token2] = ACTIONS(1622),
    [aux_sym__nulls_preference_token1] = ACTIONS(1622),
    [aux_sym_order_by_clause_token1] = ACTIONS(1622),
    [aux_sym_insert_statement_token1] = ACTIONS(1622),
    [aux_sym_truncate_statement_token1] = ACTIONS(1622),
    [aux_sym_update_statement_token1] = ACTIONS(1622),
    [aux_sym_merge_statement_token1] = ACTIONS(1622),
    [aux_sym_grant_statement_token1] = ACTIONS(1622),
    [aux_sym_revoke_statement_token1] = ACTIONS(1622),
    [aux_sym_export_data_statement_token1] = ACTIONS(1622),
    [aux_sym_load_data_statement_token1] = ACTIONS(1622),
    [anon_sym_LBRACK] = ACTIONS(1622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1622),
    [anon_sym_PLUS] = ACTIONS(1622),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_STAR] = ACTIONS(1622),
    [anon_sym_SLASH] = ACTIONS(1624),
    [anon_sym_PIPE_PIPE] = ACTIONS(1622),
    [anon_sym_LT_EQ] = ACTIONS(1622),
    [anon_sym_LT_GT] = ACTIONS(1622),
    [anon_sym_GT_EQ] = ACTIONS(1622),
    [anon_sym_BANG_EQ] = ACTIONS(1622),
    [anon_sym_LT_LT] = ACTIONS(1622),
    [anon_sym_GT_GT] = ACTIONS(1622),
    [anon_sym_AMP] = ACTIONS(1622),
    [anon_sym_CARET] = ACTIONS(1622),
    [anon_sym_PIPE] = ACTIONS(1624),
  },
  [2575] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2576] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2577] = {
    [sym__keyword_between] = STATE(926),
    [sym__keyword_is] = STATE(12119),
    [sym__keyword_in] = STATE(864),
    [sym__keyword_not] = STATE(13080),
    [sym__keyword_and] = STATE(1038),
    [sym__keyword_or] = STATE(1050),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(917),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token2] = ACTIONS(917),
    [aux_sym__nulls_preference_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2872),
    [anon_sym_DASH] = ACTIONS(2874),
    [anon_sym_STAR] = ACTIONS(2876),
    [anon_sym_SLASH] = ACTIONS(2878),
    [anon_sym_PIPE_PIPE] = ACTIONS(2876),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(2880),
    [anon_sym_GT_GT] = ACTIONS(2880),
    [anon_sym_AMP] = ACTIONS(2882),
    [anon_sym_CARET] = ACTIONS(2884),
    [anon_sym_PIPE] = ACTIONS(2886),
  },
  [2578] = {
    [sym__keyword_between] = STATE(926),
    [sym__keyword_is] = STATE(12119),
    [sym__keyword_in] = STATE(864),
    [sym__keyword_not] = STATE(13080),
    [sym__keyword_and] = STATE(1038),
    [sym__keyword_or] = STATE(1050),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(917),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token2] = ACTIONS(917),
    [aux_sym__nulls_preference_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(2876),
    [anon_sym_SLASH] = ACTIONS(2878),
    [anon_sym_PIPE_PIPE] = ACTIONS(2876),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2579] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2580] = {
    [sym__keyword_between] = STATE(926),
    [sym__keyword_is] = STATE(12119),
    [sym__keyword_in] = STATE(864),
    [sym__keyword_not] = STATE(13080),
    [sym__keyword_and] = STATE(1038),
    [sym__keyword_or] = STATE(1050),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(917),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token2] = ACTIONS(917),
    [aux_sym__nulls_preference_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2872),
    [anon_sym_DASH] = ACTIONS(2874),
    [anon_sym_STAR] = ACTIONS(2876),
    [anon_sym_SLASH] = ACTIONS(2878),
    [anon_sym_PIPE_PIPE] = ACTIONS(2876),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2581] = {
    [sym__keyword_between] = STATE(926),
    [sym__keyword_is] = STATE(12119),
    [sym__keyword_in] = STATE(864),
    [sym__keyword_not] = STATE(13080),
    [sym__keyword_and] = STATE(1038),
    [sym__keyword_or] = STATE(1050),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(917),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token2] = ACTIONS(917),
    [aux_sym__nulls_preference_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2872),
    [anon_sym_DASH] = ACTIONS(2874),
    [anon_sym_STAR] = ACTIONS(2876),
    [anon_sym_SLASH] = ACTIONS(2878),
    [anon_sym_PIPE_PIPE] = ACTIONS(2876),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(2880),
    [anon_sym_GT_GT] = ACTIONS(2880),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2582] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2583] = {
    [sym__keyword_between] = STATE(926),
    [sym__keyword_is] = STATE(12119),
    [sym__keyword_in] = STATE(864),
    [sym__keyword_not] = STATE(13080),
    [sym__keyword_and] = STATE(1038),
    [sym__keyword_or] = STATE(1050),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(917),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token2] = ACTIONS(917),
    [aux_sym__nulls_preference_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2872),
    [anon_sym_DASH] = ACTIONS(2874),
    [anon_sym_STAR] = ACTIONS(2876),
    [anon_sym_SLASH] = ACTIONS(2878),
    [anon_sym_PIPE_PIPE] = ACTIONS(2876),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(2880),
    [anon_sym_GT_GT] = ACTIONS(2880),
    [anon_sym_AMP] = ACTIONS(2882),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2584] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2585] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2586] = {
    [sym__keyword_between] = STATE(926),
    [sym__keyword_is] = STATE(12119),
    [sym__keyword_in] = STATE(864),
    [sym__keyword_not] = STATE(13080),
    [sym__keyword_and] = STATE(1038),
    [sym__keyword_or] = STATE(1050),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(917),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token2] = ACTIONS(917),
    [aux_sym__nulls_preference_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2872),
    [anon_sym_DASH] = ACTIONS(2874),
    [anon_sym_STAR] = ACTIONS(2876),
    [anon_sym_SLASH] = ACTIONS(2878),
    [anon_sym_PIPE_PIPE] = ACTIONS(2876),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(2880),
    [anon_sym_GT_GT] = ACTIONS(2880),
    [anon_sym_AMP] = ACTIONS(2882),
    [anon_sym_CARET] = ACTIONS(2884),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2587] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2588] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2589] = {
    [sym__keyword_between] = STATE(1742),
    [sym__keyword_is] = STATE(12053),
    [sym__keyword_in] = STATE(1576),
    [sym__keyword_not] = STATE(13192),
    [sym__keyword_and] = STATE(1595),
    [sym__keyword_or] = STATE(1596),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(2960),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(2962),
    [aux_sym__keyword_in_token1] = ACTIONS(2964),
    [aux_sym__keyword_and_token1] = ACTIONS(2966),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(2968),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(2964),
    [anon_sym_GT] = ACTIONS(2964),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(917),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_group_by_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2944),
    [anon_sym_DASH] = ACTIONS(2946),
    [anon_sym_STAR] = ACTIONS(2948),
    [anon_sym_SLASH] = ACTIONS(2950),
    [anon_sym_PIPE_PIPE] = ACTIONS(2948),
    [anon_sym_LT_EQ] = ACTIONS(2968),
    [anon_sym_LT_GT] = ACTIONS(2968),
    [anon_sym_GT_EQ] = ACTIONS(2968),
    [anon_sym_BANG_EQ] = ACTIONS(2968),
    [anon_sym_LT_LT] = ACTIONS(2952),
    [anon_sym_GT_GT] = ACTIONS(2952),
    [anon_sym_AMP] = ACTIONS(2954),
    [anon_sym_CARET] = ACTIONS(2956),
    [anon_sym_PIPE] = ACTIONS(2958),
  },
  [2590] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2591] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2592] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2593] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2594] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2595] = {
    [sym__keyword_between] = STATE(926),
    [sym__keyword_is] = STATE(12119),
    [sym__keyword_in] = STATE(864),
    [sym__keyword_not] = STATE(13080),
    [sym__keyword_and] = STATE(1038),
    [sym__keyword_or] = STATE(1050),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(2860),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(2862),
    [aux_sym__keyword_in_token1] = ACTIONS(2864),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(2870),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(2864),
    [anon_sym_GT] = ACTIONS(2864),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(917),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token2] = ACTIONS(917),
    [aux_sym__nulls_preference_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2872),
    [anon_sym_DASH] = ACTIONS(2874),
    [anon_sym_STAR] = ACTIONS(2876),
    [anon_sym_SLASH] = ACTIONS(2878),
    [anon_sym_PIPE_PIPE] = ACTIONS(2876),
    [anon_sym_LT_EQ] = ACTIONS(2870),
    [anon_sym_LT_GT] = ACTIONS(2870),
    [anon_sym_GT_EQ] = ACTIONS(2870),
    [anon_sym_BANG_EQ] = ACTIONS(2870),
    [anon_sym_LT_LT] = ACTIONS(2880),
    [anon_sym_GT_GT] = ACTIONS(2880),
    [anon_sym_AMP] = ACTIONS(2882),
    [anon_sym_CARET] = ACTIONS(2884),
    [anon_sym_PIPE] = ACTIONS(2886),
  },
  [2596] = {
    [sym__keyword_between] = STATE(926),
    [sym__keyword_is] = STATE(12119),
    [sym__keyword_in] = STATE(864),
    [sym__keyword_not] = STATE(13080),
    [sym__keyword_and] = STATE(1038),
    [sym__keyword_or] = STATE(1050),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(2860),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(2862),
    [aux_sym__keyword_in_token1] = ACTIONS(2864),
    [aux_sym__keyword_and_token1] = ACTIONS(2866),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(2870),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(2864),
    [anon_sym_GT] = ACTIONS(2864),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(917),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token2] = ACTIONS(917),
    [aux_sym__nulls_preference_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2872),
    [anon_sym_DASH] = ACTIONS(2874),
    [anon_sym_STAR] = ACTIONS(2876),
    [anon_sym_SLASH] = ACTIONS(2878),
    [anon_sym_PIPE_PIPE] = ACTIONS(2876),
    [anon_sym_LT_EQ] = ACTIONS(2870),
    [anon_sym_LT_GT] = ACTIONS(2870),
    [anon_sym_GT_EQ] = ACTIONS(2870),
    [anon_sym_BANG_EQ] = ACTIONS(2870),
    [anon_sym_LT_LT] = ACTIONS(2880),
    [anon_sym_GT_GT] = ACTIONS(2880),
    [anon_sym_AMP] = ACTIONS(2882),
    [anon_sym_CARET] = ACTIONS(2884),
    [anon_sym_PIPE] = ACTIONS(2886),
  },
  [2597] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2598] = {
    [sym__keyword_between] = STATE(1742),
    [sym__keyword_is] = STATE(12053),
    [sym__keyword_in] = STATE(1576),
    [sym__keyword_not] = STATE(13192),
    [sym__keyword_and] = STATE(1595),
    [sym__keyword_or] = STATE(1596),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(2960),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(2962),
    [aux_sym__keyword_in_token1] = ACTIONS(2964),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(2968),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(2964),
    [anon_sym_GT] = ACTIONS(2964),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(917),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_group_by_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2944),
    [anon_sym_DASH] = ACTIONS(2946),
    [anon_sym_STAR] = ACTIONS(2948),
    [anon_sym_SLASH] = ACTIONS(2950),
    [anon_sym_PIPE_PIPE] = ACTIONS(2948),
    [anon_sym_LT_EQ] = ACTIONS(2968),
    [anon_sym_LT_GT] = ACTIONS(2968),
    [anon_sym_GT_EQ] = ACTIONS(2968),
    [anon_sym_BANG_EQ] = ACTIONS(2968),
    [anon_sym_LT_LT] = ACTIONS(2952),
    [anon_sym_GT_GT] = ACTIONS(2952),
    [anon_sym_AMP] = ACTIONS(2954),
    [anon_sym_CARET] = ACTIONS(2956),
    [anon_sym_PIPE] = ACTIONS(2958),
  },
  [2599] = {
    [sym__keyword_between] = STATE(1742),
    [sym__keyword_is] = STATE(12053),
    [sym__keyword_in] = STATE(1576),
    [sym__keyword_not] = STATE(13192),
    [sym__keyword_and] = STATE(1595),
    [sym__keyword_or] = STATE(1596),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [ts_builtin_sym_end] = ACTIONS(2832),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(2832),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(341),
    [aux_sym__keyword_alter_token1] = ACTIONS(2832),
    [aux_sym__keyword_delete_token1] = ACTIONS(2832),
    [aux_sym__keyword_begin_token1] = ACTIONS(2832),
    [aux_sym__keyword_between_token1] = ACTIONS(2960),
    [aux_sym__keyword_when_token1] = ACTIONS(2832),
    [aux_sym__keyword_is_token1] = ACTIONS(2962),
    [aux_sym__keyword_in_token1] = ACTIONS(2964),
    [aux_sym__keyword_and_token1] = ACTIONS(2966),
    [aux_sym__keyword_like_token1] = ACTIONS(1007),
    [aux_sym__keyword_repeat_token1] = ACTIONS(2832),
    [aux_sym__keyword_window_token1] = ACTIONS(2832),
    [aux_sym__keyword_for_token1] = ACTIONS(2832),
    [anon_sym_SEMI] = ACTIONS(2832),
    [aux_sym_declare_statement_token1] = ACTIONS(2832),
    [aux_sym_set_statement_token1] = ACTIONS(2832),
    [anon_sym_LPAREN] = ACTIONS(2832),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(2832),
    [aux_sym_return_satement_token1] = ACTIONS(2832),
    [aux_sym_call_statement_token1] = ACTIONS(2832),
    [aux_sym_loop_statement_token1] = ACTIONS(2832),
    [aux_sym_while_statement_token1] = ACTIONS(2832),
    [aux_sym_break_statement_token1] = ACTIONS(2832),
    [aux_sym_leave_statement_token1] = ACTIONS(2832),
    [aux_sym_continue_statement_token1] = ACTIONS(2832),
    [aux_sym_iterate_statement_token1] = ACTIONS(2832),
    [aux_sym_raise_statement_token1] = ACTIONS(2832),
    [anon_sym_EQ] = ACTIONS(2968),
    [aux_sym_assert_statement_token1] = ACTIONS(2832),
    [aux_sym_create_schema_statement_token1] = ACTIONS(2832),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(2832),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2832),
    [anon_sym_LT] = ACTIONS(2964),
    [anon_sym_GT] = ACTIONS(2964),
    [aux_sym_set_operation_token1] = ACTIONS(2832),
    [aux_sym_set_operation_token3] = ACTIONS(2832),
    [aux_sym_set_operation_token4] = ACTIONS(2832),
    [aux_sym_select_token1] = ACTIONS(2832),
    [aux_sym_having_clause_token1] = ACTIONS(2832),
    [aux_sym_qualify_clause_token1] = ACTIONS(2832),
    [aux_sym_limit_clause_token1] = ACTIONS(2832),
    [aux_sym_group_by_clause_token1] = ACTIONS(2832),
    [aux_sym_order_by_clause_token1] = ACTIONS(2832),
    [aux_sym_insert_statement_token1] = ACTIONS(2832),
    [aux_sym_truncate_statement_token1] = ACTIONS(2832),
    [aux_sym_update_statement_token1] = ACTIONS(2832),
    [aux_sym_merge_statement_token1] = ACTIONS(2832),
    [aux_sym_grant_statement_token1] = ACTIONS(2832),
    [aux_sym_revoke_statement_token1] = ACTIONS(2832),
    [aux_sym_export_data_statement_token1] = ACTIONS(2832),
    [aux_sym_load_data_statement_token1] = ACTIONS(2832),
    [anon_sym_LBRACK] = ACTIONS(2702),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(2704),
    [anon_sym_PLUS] = ACTIONS(2944),
    [anon_sym_DASH] = ACTIONS(2946),
    [anon_sym_STAR] = ACTIONS(2948),
    [anon_sym_SLASH] = ACTIONS(2950),
    [anon_sym_PIPE_PIPE] = ACTIONS(2948),
    [anon_sym_LT_EQ] = ACTIONS(2968),
    [anon_sym_LT_GT] = ACTIONS(2968),
    [anon_sym_GT_EQ] = ACTIONS(2968),
    [anon_sym_BANG_EQ] = ACTIONS(2968),
    [anon_sym_LT_LT] = ACTIONS(2952),
    [anon_sym_GT_GT] = ACTIONS(2952),
    [anon_sym_AMP] = ACTIONS(2954),
    [anon_sym_CARET] = ACTIONS(2956),
    [anon_sym_PIPE] = ACTIONS(2958),
  },
  [2600] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2601] = {
    [sym__keyword_between] = STATE(1742),
    [sym__keyword_is] = STATE(12053),
    [sym__keyword_in] = STATE(1576),
    [sym__keyword_not] = STATE(13192),
    [sym__keyword_and] = STATE(1595),
    [sym__keyword_or] = STATE(1596),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(917),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_group_by_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2944),
    [anon_sym_DASH] = ACTIONS(2946),
    [anon_sym_STAR] = ACTIONS(2948),
    [anon_sym_SLASH] = ACTIONS(2950),
    [anon_sym_PIPE_PIPE] = ACTIONS(2948),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(2952),
    [anon_sym_GT_GT] = ACTIONS(2952),
    [anon_sym_AMP] = ACTIONS(2954),
    [anon_sym_CARET] = ACTIONS(2956),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2602] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2603] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2604] = {
    [sym__keyword_between] = STATE(926),
    [sym__keyword_is] = STATE(12119),
    [sym__keyword_in] = STATE(864),
    [sym__keyword_not] = STATE(13080),
    [sym__keyword_and] = STATE(1038),
    [sym__keyword_or] = STATE(1050),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [ts_builtin_sym_end] = ACTIONS(1035),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1035),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1035),
    [aux_sym_keyword_replace_token1] = ACTIONS(1037),
    [aux_sym__keyword_alter_token1] = ACTIONS(1035),
    [aux_sym__keyword_delete_token1] = ACTIONS(1035),
    [aux_sym__keyword_begin_token1] = ACTIONS(1035),
    [aux_sym__keyword_between_token1] = ACTIONS(1035),
    [aux_sym__keyword_when_token1] = ACTIONS(1035),
    [aux_sym__keyword_is_token1] = ACTIONS(1035),
    [aux_sym__keyword_in_token1] = ACTIONS(1037),
    [aux_sym__keyword_and_token1] = ACTIONS(1035),
    [aux_sym__keyword_like_token1] = ACTIONS(1035),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1035),
    [aux_sym__keyword_for_token1] = ACTIONS(1035),
    [anon_sym_SEMI] = ACTIONS(1035),
    [aux_sym_declare_statement_token1] = ACTIONS(1035),
    [anon_sym_COMMA] = ACTIONS(1035),
    [aux_sym_set_statement_token1] = ACTIONS(1035),
    [anon_sym_LPAREN] = ACTIONS(1035),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1035),
    [aux_sym_return_satement_token1] = ACTIONS(1035),
    [aux_sym_call_statement_token1] = ACTIONS(1035),
    [aux_sym_loop_statement_token1] = ACTIONS(1035),
    [aux_sym_while_statement_token1] = ACTIONS(1035),
    [aux_sym_break_statement_token1] = ACTIONS(1035),
    [aux_sym_leave_statement_token1] = ACTIONS(1035),
    [aux_sym_continue_statement_token1] = ACTIONS(1035),
    [aux_sym_iterate_statement_token1] = ACTIONS(1035),
    [aux_sym_raise_statement_token1] = ACTIONS(1035),
    [anon_sym_EQ] = ACTIONS(1035),
    [aux_sym_assert_statement_token1] = ACTIONS(1035),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1035),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1035),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1035),
    [anon_sym_LT] = ACTIONS(1037),
    [anon_sym_GT] = ACTIONS(1037),
    [aux_sym_set_operation_token1] = ACTIONS(1035),
    [aux_sym_set_operation_token3] = ACTIONS(1035),
    [aux_sym_set_operation_token4] = ACTIONS(1035),
    [aux_sym_select_token1] = ACTIONS(1035),
    [aux_sym_limit_clause_token1] = ACTIONS(1035),
    [aux_sym__direction_keywords_token1] = ACTIONS(1035),
    [aux_sym__direction_keywords_token2] = ACTIONS(1035),
    [aux_sym__nulls_preference_token1] = ACTIONS(1035),
    [aux_sym_order_by_clause_token1] = ACTIONS(1035),
    [aux_sym_insert_statement_token1] = ACTIONS(1035),
    [aux_sym_truncate_statement_token1] = ACTIONS(1035),
    [aux_sym_update_statement_token1] = ACTIONS(1035),
    [aux_sym_merge_statement_token1] = ACTIONS(1035),
    [aux_sym_grant_statement_token1] = ACTIONS(1035),
    [aux_sym_revoke_statement_token1] = ACTIONS(1035),
    [aux_sym_export_data_statement_token1] = ACTIONS(1035),
    [aux_sym_load_data_statement_token1] = ACTIONS(1035),
    [anon_sym_LBRACK] = ACTIONS(1035),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1035),
    [anon_sym_PLUS] = ACTIONS(2872),
    [anon_sym_DASH] = ACTIONS(2874),
    [anon_sym_STAR] = ACTIONS(2876),
    [anon_sym_SLASH] = ACTIONS(2878),
    [anon_sym_PIPE_PIPE] = ACTIONS(2876),
    [anon_sym_LT_EQ] = ACTIONS(1035),
    [anon_sym_LT_GT] = ACTIONS(1035),
    [anon_sym_GT_EQ] = ACTIONS(1035),
    [anon_sym_BANG_EQ] = ACTIONS(1035),
    [anon_sym_LT_LT] = ACTIONS(2880),
    [anon_sym_GT_GT] = ACTIONS(2880),
    [anon_sym_AMP] = ACTIONS(2882),
    [anon_sym_CARET] = ACTIONS(2884),
    [anon_sym_PIPE] = ACTIONS(2886),
  },
  [2605] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2606] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2607] = {
    [sym__keyword_between] = STATE(926),
    [sym__keyword_is] = STATE(12119),
    [sym__keyword_in] = STATE(864),
    [sym__keyword_not] = STATE(13080),
    [sym__keyword_and] = STATE(1038),
    [sym__keyword_or] = STATE(1050),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [ts_builtin_sym_end] = ACTIONS(1031),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1031),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1031),
    [aux_sym_keyword_replace_token1] = ACTIONS(1033),
    [aux_sym__keyword_alter_token1] = ACTIONS(1031),
    [aux_sym__keyword_delete_token1] = ACTIONS(1031),
    [aux_sym__keyword_begin_token1] = ACTIONS(1031),
    [aux_sym__keyword_between_token1] = ACTIONS(1031),
    [aux_sym__keyword_when_token1] = ACTIONS(1031),
    [aux_sym__keyword_is_token1] = ACTIONS(1031),
    [aux_sym__keyword_in_token1] = ACTIONS(1033),
    [aux_sym__keyword_and_token1] = ACTIONS(1031),
    [aux_sym__keyword_like_token1] = ACTIONS(1031),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1031),
    [aux_sym__keyword_for_token1] = ACTIONS(1031),
    [anon_sym_SEMI] = ACTIONS(1031),
    [aux_sym_declare_statement_token1] = ACTIONS(1031),
    [anon_sym_COMMA] = ACTIONS(1031),
    [aux_sym_set_statement_token1] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1031),
    [aux_sym_return_satement_token1] = ACTIONS(1031),
    [aux_sym_call_statement_token1] = ACTIONS(1031),
    [aux_sym_loop_statement_token1] = ACTIONS(1031),
    [aux_sym_while_statement_token1] = ACTIONS(1031),
    [aux_sym_break_statement_token1] = ACTIONS(1031),
    [aux_sym_leave_statement_token1] = ACTIONS(1031),
    [aux_sym_continue_statement_token1] = ACTIONS(1031),
    [aux_sym_iterate_statement_token1] = ACTIONS(1031),
    [aux_sym_raise_statement_token1] = ACTIONS(1031),
    [anon_sym_EQ] = ACTIONS(1031),
    [aux_sym_assert_statement_token1] = ACTIONS(1031),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1031),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1031),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1031),
    [anon_sym_LT] = ACTIONS(1033),
    [anon_sym_GT] = ACTIONS(1033),
    [aux_sym_set_operation_token1] = ACTIONS(1031),
    [aux_sym_set_operation_token3] = ACTIONS(1031),
    [aux_sym_set_operation_token4] = ACTIONS(1031),
    [aux_sym_select_token1] = ACTIONS(1031),
    [aux_sym_limit_clause_token1] = ACTIONS(1031),
    [aux_sym__direction_keywords_token1] = ACTIONS(1031),
    [aux_sym__direction_keywords_token2] = ACTIONS(1031),
    [aux_sym__nulls_preference_token1] = ACTIONS(1031),
    [aux_sym_order_by_clause_token1] = ACTIONS(1031),
    [aux_sym_insert_statement_token1] = ACTIONS(1031),
    [aux_sym_truncate_statement_token1] = ACTIONS(1031),
    [aux_sym_update_statement_token1] = ACTIONS(1031),
    [aux_sym_merge_statement_token1] = ACTIONS(1031),
    [aux_sym_grant_statement_token1] = ACTIONS(1031),
    [aux_sym_revoke_statement_token1] = ACTIONS(1031),
    [aux_sym_export_data_statement_token1] = ACTIONS(1031),
    [aux_sym_load_data_statement_token1] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1031),
    [anon_sym_PLUS] = ACTIONS(2872),
    [anon_sym_DASH] = ACTIONS(2874),
    [anon_sym_STAR] = ACTIONS(2876),
    [anon_sym_SLASH] = ACTIONS(2878),
    [anon_sym_PIPE_PIPE] = ACTIONS(2876),
    [anon_sym_LT_EQ] = ACTIONS(1031),
    [anon_sym_LT_GT] = ACTIONS(1031),
    [anon_sym_GT_EQ] = ACTIONS(1031),
    [anon_sym_BANG_EQ] = ACTIONS(1031),
    [anon_sym_LT_LT] = ACTIONS(2880),
    [anon_sym_GT_GT] = ACTIONS(2880),
    [anon_sym_AMP] = ACTIONS(2882),
    [anon_sym_CARET] = ACTIONS(2884),
    [anon_sym_PIPE] = ACTIONS(2886),
  },
  [2608] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2609] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2610] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2611] = {
    [ts_builtin_sym_end] = ACTIONS(1626),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1626),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1626),
    [aux_sym_keyword_replace_token1] = ACTIONS(1628),
    [aux_sym__keyword_alter_token1] = ACTIONS(1626),
    [aux_sym__keyword_delete_token1] = ACTIONS(1626),
    [aux_sym__keyword_begin_token1] = ACTIONS(1626),
    [aux_sym__keyword_end_token1] = ACTIONS(1626),
    [aux_sym__keyword_between_token1] = ACTIONS(1626),
    [aux_sym__keyword_when_token1] = ACTIONS(1626),
    [aux_sym__keyword_else_token1] = ACTIONS(1628),
    [aux_sym__keyword_is_token1] = ACTIONS(1626),
    [aux_sym__keyword_in_token1] = ACTIONS(1628),
    [aux_sym__keyword_and_token1] = ACTIONS(1626),
    [aux_sym__keyword_like_token1] = ACTIONS(1626),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1626),
    [aux_sym__keyword_window_token1] = ACTIONS(1626),
    [aux_sym__keyword_for_token1] = ACTIONS(1626),
    [anon_sym_SEMI] = ACTIONS(1626),
    [aux_sym_declare_statement_token1] = ACTIONS(1626),
    [anon_sym_COMMA] = ACTIONS(1626),
    [aux_sym_set_statement_token1] = ACTIONS(1626),
    [anon_sym_LPAREN] = ACTIONS(1626),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1626),
    [aux_sym_return_satement_token1] = ACTIONS(1626),
    [aux_sym_call_statement_token1] = ACTIONS(1626),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1626),
    [aux_sym_if_statement_token1] = ACTIONS(1626),
    [aux_sym_loop_statement_token1] = ACTIONS(1626),
    [aux_sym_repeat_statement_token1] = ACTIONS(1626),
    [aux_sym_while_statement_token1] = ACTIONS(1626),
    [aux_sym_break_statement_token1] = ACTIONS(1626),
    [aux_sym_leave_statement_token1] = ACTIONS(1626),
    [aux_sym_continue_statement_token1] = ACTIONS(1626),
    [aux_sym_iterate_statement_token1] = ACTIONS(1626),
    [aux_sym_raise_statement_token1] = ACTIONS(1626),
    [anon_sym_EQ] = ACTIONS(1626),
    [aux_sym_assert_statement_token1] = ACTIONS(1626),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1626),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1626),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1626),
    [anon_sym_LT] = ACTIONS(1628),
    [anon_sym_GT] = ACTIONS(1628),
    [aux_sym_set_operation_token1] = ACTIONS(1626),
    [aux_sym_set_operation_token3] = ACTIONS(1626),
    [aux_sym_set_operation_token4] = ACTIONS(1628),
    [aux_sym_select_token1] = ACTIONS(1626),
    [aux_sym_having_clause_token1] = ACTIONS(1626),
    [aux_sym_qualify_clause_token1] = ACTIONS(1626),
    [aux_sym_limit_clause_token1] = ACTIONS(1626),
    [aux_sym_group_by_clause_token1] = ACTIONS(1626),
    [aux_sym__direction_keywords_token1] = ACTIONS(1626),
    [aux_sym__direction_keywords_token2] = ACTIONS(1626),
    [aux_sym__nulls_preference_token1] = ACTIONS(1626),
    [aux_sym_order_by_clause_token1] = ACTIONS(1626),
    [aux_sym_insert_statement_token1] = ACTIONS(1626),
    [aux_sym_truncate_statement_token1] = ACTIONS(1626),
    [aux_sym_update_statement_token1] = ACTIONS(1626),
    [aux_sym_merge_statement_token1] = ACTIONS(1626),
    [aux_sym_grant_statement_token1] = ACTIONS(1626),
    [aux_sym_revoke_statement_token1] = ACTIONS(1626),
    [aux_sym_export_data_statement_token1] = ACTIONS(1626),
    [aux_sym_load_data_statement_token1] = ACTIONS(1626),
    [anon_sym_LBRACK] = ACTIONS(1626),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1626),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1628),
    [anon_sym_STAR] = ACTIONS(1626),
    [anon_sym_SLASH] = ACTIONS(1628),
    [anon_sym_PIPE_PIPE] = ACTIONS(1626),
    [anon_sym_LT_EQ] = ACTIONS(1626),
    [anon_sym_LT_GT] = ACTIONS(1626),
    [anon_sym_GT_EQ] = ACTIONS(1626),
    [anon_sym_BANG_EQ] = ACTIONS(1626),
    [anon_sym_LT_LT] = ACTIONS(1626),
    [anon_sym_GT_GT] = ACTIONS(1626),
    [anon_sym_AMP] = ACTIONS(1626),
    [anon_sym_CARET] = ACTIONS(1626),
    [anon_sym_PIPE] = ACTIONS(1628),
  },
  [2612] = {
    [ts_builtin_sym_end] = ACTIONS(1484),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1484),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1484),
    [aux_sym_keyword_replace_token1] = ACTIONS(1486),
    [aux_sym__keyword_alter_token1] = ACTIONS(1484),
    [aux_sym__keyword_delete_token1] = ACTIONS(1484),
    [aux_sym__keyword_begin_token1] = ACTIONS(1484),
    [aux_sym__keyword_end_token1] = ACTIONS(1484),
    [aux_sym__keyword_between_token1] = ACTIONS(1484),
    [aux_sym__keyword_when_token1] = ACTIONS(1484),
    [aux_sym__keyword_else_token1] = ACTIONS(1486),
    [aux_sym__keyword_is_token1] = ACTIONS(1484),
    [aux_sym__keyword_in_token1] = ACTIONS(1486),
    [aux_sym__keyword_and_token1] = ACTIONS(1484),
    [aux_sym__keyword_like_token1] = ACTIONS(1484),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1484),
    [aux_sym__keyword_window_token1] = ACTIONS(1484),
    [aux_sym__keyword_for_token1] = ACTIONS(1484),
    [anon_sym_SEMI] = ACTIONS(1484),
    [aux_sym_declare_statement_token1] = ACTIONS(1484),
    [anon_sym_COMMA] = ACTIONS(1484),
    [aux_sym_set_statement_token1] = ACTIONS(1484),
    [anon_sym_LPAREN] = ACTIONS(1484),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1484),
    [aux_sym_return_satement_token1] = ACTIONS(1484),
    [aux_sym_call_statement_token1] = ACTIONS(1484),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1484),
    [aux_sym_if_statement_token1] = ACTIONS(1484),
    [aux_sym_loop_statement_token1] = ACTIONS(1484),
    [aux_sym_repeat_statement_token1] = ACTIONS(1484),
    [aux_sym_while_statement_token1] = ACTIONS(1484),
    [aux_sym_break_statement_token1] = ACTIONS(1484),
    [aux_sym_leave_statement_token1] = ACTIONS(1484),
    [aux_sym_continue_statement_token1] = ACTIONS(1484),
    [aux_sym_iterate_statement_token1] = ACTIONS(1484),
    [aux_sym_raise_statement_token1] = ACTIONS(1484),
    [anon_sym_EQ] = ACTIONS(1484),
    [aux_sym_assert_statement_token1] = ACTIONS(1484),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1484),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1484),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1484),
    [anon_sym_LT] = ACTIONS(1486),
    [anon_sym_GT] = ACTIONS(1486),
    [aux_sym_set_operation_token1] = ACTIONS(1484),
    [aux_sym_set_operation_token3] = ACTIONS(1484),
    [aux_sym_set_operation_token4] = ACTIONS(1486),
    [aux_sym_select_token1] = ACTIONS(1484),
    [aux_sym_having_clause_token1] = ACTIONS(1484),
    [aux_sym_qualify_clause_token1] = ACTIONS(1484),
    [aux_sym_limit_clause_token1] = ACTIONS(1484),
    [aux_sym_group_by_clause_token1] = ACTIONS(1484),
    [aux_sym__direction_keywords_token1] = ACTIONS(1484),
    [aux_sym__direction_keywords_token2] = ACTIONS(1484),
    [aux_sym__nulls_preference_token1] = ACTIONS(1484),
    [aux_sym_order_by_clause_token1] = ACTIONS(1484),
    [aux_sym_insert_statement_token1] = ACTIONS(1484),
    [aux_sym_truncate_statement_token1] = ACTIONS(1484),
    [aux_sym_update_statement_token1] = ACTIONS(1484),
    [aux_sym_merge_statement_token1] = ACTIONS(1484),
    [aux_sym_grant_statement_token1] = ACTIONS(1484),
    [aux_sym_revoke_statement_token1] = ACTIONS(1484),
    [aux_sym_export_data_statement_token1] = ACTIONS(1484),
    [aux_sym_load_data_statement_token1] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_SLASH] = ACTIONS(1486),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [anon_sym_LT_EQ] = ACTIONS(1484),
    [anon_sym_LT_GT] = ACTIONS(1484),
    [anon_sym_GT_EQ] = ACTIONS(1484),
    [anon_sym_BANG_EQ] = ACTIONS(1484),
    [anon_sym_LT_LT] = ACTIONS(1484),
    [anon_sym_GT_GT] = ACTIONS(1484),
    [anon_sym_AMP] = ACTIONS(1484),
    [anon_sym_CARET] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1486),
  },
  [2613] = {
    [sym__keyword_between] = STATE(1742),
    [sym__keyword_is] = STATE(12053),
    [sym__keyword_in] = STATE(1576),
    [sym__keyword_not] = STATE(13192),
    [sym__keyword_and] = STATE(1595),
    [sym__keyword_or] = STATE(1596),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(917),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_group_by_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2944),
    [anon_sym_DASH] = ACTIONS(2946),
    [anon_sym_STAR] = ACTIONS(2948),
    [anon_sym_SLASH] = ACTIONS(2950),
    [anon_sym_PIPE_PIPE] = ACTIONS(2948),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(2952),
    [anon_sym_GT_GT] = ACTIONS(2952),
    [anon_sym_AMP] = ACTIONS(2954),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2614] = {
    [sym__keyword_between] = STATE(1742),
    [sym__keyword_is] = STATE(12053),
    [sym__keyword_in] = STATE(1576),
    [sym__keyword_not] = STATE(13192),
    [sym__keyword_and] = STATE(1595),
    [sym__keyword_or] = STATE(1596),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(917),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_group_by_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2944),
    [anon_sym_DASH] = ACTIONS(2946),
    [anon_sym_STAR] = ACTIONS(2948),
    [anon_sym_SLASH] = ACTIONS(2950),
    [anon_sym_PIPE_PIPE] = ACTIONS(2948),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(2952),
    [anon_sym_GT_GT] = ACTIONS(2952),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2615] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_window_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_having_clause_token1] = ACTIONS(1378),
    [aux_sym_qualify_clause_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym_group_by_clause_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token2] = ACTIONS(1378),
    [aux_sym__nulls_preference_token1] = ACTIONS(1378),
    [aux_sym_order_by_clause_token1] = ACTIONS(1378),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [2616] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_window_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_having_clause_token1] = ACTIONS(1378),
    [aux_sym_qualify_clause_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym_group_by_clause_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token2] = ACTIONS(1378),
    [aux_sym__nulls_preference_token1] = ACTIONS(1378),
    [aux_sym_order_by_clause_token1] = ACTIONS(1378),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [2617] = {
    [sym__keyword_between] = STATE(926),
    [sym__keyword_is] = STATE(12119),
    [sym__keyword_in] = STATE(864),
    [sym__keyword_not] = STATE(13080),
    [sym__keyword_and] = STATE(1038),
    [sym__keyword_or] = STATE(1050),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [ts_builtin_sym_end] = ACTIONS(947),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(947),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(947),
    [aux_sym_keyword_replace_token1] = ACTIONS(949),
    [aux_sym__keyword_alter_token1] = ACTIONS(947),
    [aux_sym__keyword_delete_token1] = ACTIONS(947),
    [aux_sym__keyword_begin_token1] = ACTIONS(947),
    [aux_sym__keyword_between_token1] = ACTIONS(947),
    [aux_sym__keyword_when_token1] = ACTIONS(947),
    [aux_sym__keyword_is_token1] = ACTIONS(947),
    [aux_sym__keyword_in_token1] = ACTIONS(949),
    [aux_sym__keyword_and_token1] = ACTIONS(947),
    [aux_sym__keyword_like_token1] = ACTIONS(947),
    [aux_sym__keyword_repeat_token1] = ACTIONS(947),
    [aux_sym__keyword_for_token1] = ACTIONS(947),
    [anon_sym_SEMI] = ACTIONS(947),
    [aux_sym_declare_statement_token1] = ACTIONS(947),
    [anon_sym_COMMA] = ACTIONS(947),
    [aux_sym_set_statement_token1] = ACTIONS(947),
    [anon_sym_LPAREN] = ACTIONS(947),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(947),
    [aux_sym_return_satement_token1] = ACTIONS(947),
    [aux_sym_call_statement_token1] = ACTIONS(947),
    [aux_sym_loop_statement_token1] = ACTIONS(947),
    [aux_sym_while_statement_token1] = ACTIONS(947),
    [aux_sym_break_statement_token1] = ACTIONS(947),
    [aux_sym_leave_statement_token1] = ACTIONS(947),
    [aux_sym_continue_statement_token1] = ACTIONS(947),
    [aux_sym_iterate_statement_token1] = ACTIONS(947),
    [aux_sym_raise_statement_token1] = ACTIONS(947),
    [anon_sym_EQ] = ACTIONS(947),
    [aux_sym_assert_statement_token1] = ACTIONS(947),
    [aux_sym_create_schema_statement_token1] = ACTIONS(947),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(947),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(949),
    [anon_sym_GT] = ACTIONS(949),
    [aux_sym_set_operation_token1] = ACTIONS(947),
    [aux_sym_set_operation_token3] = ACTIONS(947),
    [aux_sym_set_operation_token4] = ACTIONS(947),
    [aux_sym_select_token1] = ACTIONS(947),
    [aux_sym_limit_clause_token1] = ACTIONS(947),
    [aux_sym__direction_keywords_token1] = ACTIONS(947),
    [aux_sym__direction_keywords_token2] = ACTIONS(947),
    [aux_sym__nulls_preference_token1] = ACTIONS(947),
    [aux_sym_order_by_clause_token1] = ACTIONS(947),
    [aux_sym_insert_statement_token1] = ACTIONS(947),
    [aux_sym_truncate_statement_token1] = ACTIONS(947),
    [aux_sym_update_statement_token1] = ACTIONS(947),
    [aux_sym_merge_statement_token1] = ACTIONS(947),
    [aux_sym_grant_statement_token1] = ACTIONS(947),
    [aux_sym_revoke_statement_token1] = ACTIONS(947),
    [aux_sym_export_data_statement_token1] = ACTIONS(947),
    [aux_sym_load_data_statement_token1] = ACTIONS(947),
    [anon_sym_LBRACK] = ACTIONS(947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(2872),
    [anon_sym_DASH] = ACTIONS(2874),
    [anon_sym_STAR] = ACTIONS(2876),
    [anon_sym_SLASH] = ACTIONS(2878),
    [anon_sym_PIPE_PIPE] = ACTIONS(2876),
    [anon_sym_LT_EQ] = ACTIONS(947),
    [anon_sym_LT_GT] = ACTIONS(947),
    [anon_sym_GT_EQ] = ACTIONS(947),
    [anon_sym_BANG_EQ] = ACTIONS(947),
    [anon_sym_LT_LT] = ACTIONS(2880),
    [anon_sym_GT_GT] = ACTIONS(2880),
    [anon_sym_AMP] = ACTIONS(2882),
    [anon_sym_CARET] = ACTIONS(2884),
    [anon_sym_PIPE] = ACTIONS(2886),
  },
  [2618] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_window_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_having_clause_token1] = ACTIONS(1378),
    [aux_sym_qualify_clause_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym_group_by_clause_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token2] = ACTIONS(1378),
    [aux_sym__nulls_preference_token1] = ACTIONS(1378),
    [aux_sym_order_by_clause_token1] = ACTIONS(1378),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [2619] = {
    [sym__keyword_between] = STATE(1742),
    [sym__keyword_is] = STATE(12053),
    [sym__keyword_in] = STATE(1576),
    [sym__keyword_not] = STATE(13192),
    [sym__keyword_and] = STATE(1595),
    [sym__keyword_or] = STATE(1596),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(917),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_group_by_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2944),
    [anon_sym_DASH] = ACTIONS(2946),
    [anon_sym_STAR] = ACTIONS(2948),
    [anon_sym_SLASH] = ACTIONS(2950),
    [anon_sym_PIPE_PIPE] = ACTIONS(2948),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2620] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_window_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_having_clause_token1] = ACTIONS(1378),
    [aux_sym_qualify_clause_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym_group_by_clause_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token2] = ACTIONS(1378),
    [aux_sym__nulls_preference_token1] = ACTIONS(1378),
    [aux_sym_order_by_clause_token1] = ACTIONS(1378),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [2621] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_window_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_having_clause_token1] = ACTIONS(1378),
    [aux_sym_qualify_clause_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym_group_by_clause_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token2] = ACTIONS(1378),
    [aux_sym__nulls_preference_token1] = ACTIONS(1378),
    [aux_sym_order_by_clause_token1] = ACTIONS(1378),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [2622] = {
    [sym__keyword_between] = STATE(926),
    [sym__keyword_is] = STATE(12119),
    [sym__keyword_in] = STATE(864),
    [sym__keyword_not] = STATE(13080),
    [sym__keyword_and] = STATE(1038),
    [sym__keyword_or] = STATE(1050),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [ts_builtin_sym_end] = ACTIONS(1023),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1023),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1023),
    [aux_sym_keyword_replace_token1] = ACTIONS(1025),
    [aux_sym__keyword_alter_token1] = ACTIONS(1023),
    [aux_sym__keyword_delete_token1] = ACTIONS(1023),
    [aux_sym__keyword_begin_token1] = ACTIONS(1023),
    [aux_sym__keyword_between_token1] = ACTIONS(1023),
    [aux_sym__keyword_when_token1] = ACTIONS(1023),
    [aux_sym__keyword_is_token1] = ACTIONS(1023),
    [aux_sym__keyword_in_token1] = ACTIONS(1025),
    [aux_sym__keyword_and_token1] = ACTIONS(1023),
    [aux_sym__keyword_like_token1] = ACTIONS(1023),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1023),
    [aux_sym__keyword_for_token1] = ACTIONS(1023),
    [anon_sym_SEMI] = ACTIONS(1023),
    [aux_sym_declare_statement_token1] = ACTIONS(1023),
    [anon_sym_COMMA] = ACTIONS(1023),
    [aux_sym_set_statement_token1] = ACTIONS(1023),
    [anon_sym_LPAREN] = ACTIONS(1023),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1023),
    [aux_sym_return_satement_token1] = ACTIONS(1023),
    [aux_sym_call_statement_token1] = ACTIONS(1023),
    [aux_sym_loop_statement_token1] = ACTIONS(1023),
    [aux_sym_while_statement_token1] = ACTIONS(1023),
    [aux_sym_break_statement_token1] = ACTIONS(1023),
    [aux_sym_leave_statement_token1] = ACTIONS(1023),
    [aux_sym_continue_statement_token1] = ACTIONS(1023),
    [aux_sym_iterate_statement_token1] = ACTIONS(1023),
    [aux_sym_raise_statement_token1] = ACTIONS(1023),
    [anon_sym_EQ] = ACTIONS(1023),
    [aux_sym_assert_statement_token1] = ACTIONS(1023),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1023),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1023),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1023),
    [anon_sym_LT] = ACTIONS(1025),
    [anon_sym_GT] = ACTIONS(1025),
    [aux_sym_set_operation_token1] = ACTIONS(1023),
    [aux_sym_set_operation_token3] = ACTIONS(1023),
    [aux_sym_set_operation_token4] = ACTIONS(1023),
    [aux_sym_select_token1] = ACTIONS(1023),
    [aux_sym_limit_clause_token1] = ACTIONS(1023),
    [aux_sym__direction_keywords_token1] = ACTIONS(1023),
    [aux_sym__direction_keywords_token2] = ACTIONS(1023),
    [aux_sym__nulls_preference_token1] = ACTIONS(1023),
    [aux_sym_order_by_clause_token1] = ACTIONS(1023),
    [aux_sym_insert_statement_token1] = ACTIONS(1023),
    [aux_sym_truncate_statement_token1] = ACTIONS(1023),
    [aux_sym_update_statement_token1] = ACTIONS(1023),
    [aux_sym_merge_statement_token1] = ACTIONS(1023),
    [aux_sym_grant_statement_token1] = ACTIONS(1023),
    [aux_sym_revoke_statement_token1] = ACTIONS(1023),
    [aux_sym_export_data_statement_token1] = ACTIONS(1023),
    [aux_sym_load_data_statement_token1] = ACTIONS(1023),
    [anon_sym_LBRACK] = ACTIONS(1023),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1023),
    [anon_sym_PLUS] = ACTIONS(2872),
    [anon_sym_DASH] = ACTIONS(2874),
    [anon_sym_STAR] = ACTIONS(2876),
    [anon_sym_SLASH] = ACTIONS(2878),
    [anon_sym_PIPE_PIPE] = ACTIONS(2876),
    [anon_sym_LT_EQ] = ACTIONS(1023),
    [anon_sym_LT_GT] = ACTIONS(1023),
    [anon_sym_GT_EQ] = ACTIONS(1023),
    [anon_sym_BANG_EQ] = ACTIONS(1023),
    [anon_sym_LT_LT] = ACTIONS(2880),
    [anon_sym_GT_GT] = ACTIONS(2880),
    [anon_sym_AMP] = ACTIONS(2882),
    [anon_sym_CARET] = ACTIONS(2884),
    [anon_sym_PIPE] = ACTIONS(2886),
  },
  [2623] = {
    [sym__keyword_between] = STATE(926),
    [sym__keyword_is] = STATE(12119),
    [sym__keyword_in] = STATE(864),
    [sym__keyword_not] = STATE(13080),
    [sym__keyword_and] = STATE(1038),
    [sym__keyword_or] = STATE(1050),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(917),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token2] = ACTIONS(917),
    [aux_sym__nulls_preference_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(917),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PIPE_PIPE] = ACTIONS(917),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2624] = {
    [sym__keyword_between] = STATE(926),
    [sym__keyword_is] = STATE(12119),
    [sym__keyword_in] = STATE(864),
    [sym__keyword_not] = STATE(13080),
    [sym__keyword_and] = STATE(1038),
    [sym__keyword_or] = STATE(1050),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [ts_builtin_sym_end] = ACTIONS(1027),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1027),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(341),
    [aux_sym__keyword_alter_token1] = ACTIONS(1027),
    [aux_sym__keyword_delete_token1] = ACTIONS(1027),
    [aux_sym__keyword_begin_token1] = ACTIONS(1027),
    [aux_sym__keyword_between_token1] = ACTIONS(2860),
    [aux_sym__keyword_when_token1] = ACTIONS(1027),
    [aux_sym__keyword_is_token1] = ACTIONS(2862),
    [aux_sym__keyword_in_token1] = ACTIONS(2864),
    [aux_sym__keyword_and_token1] = ACTIONS(2866),
    [aux_sym__keyword_like_token1] = ACTIONS(1027),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1027),
    [aux_sym__keyword_for_token1] = ACTIONS(1027),
    [anon_sym_SEMI] = ACTIONS(1027),
    [aux_sym_declare_statement_token1] = ACTIONS(1027),
    [anon_sym_COMMA] = ACTIONS(1027),
    [aux_sym_set_statement_token1] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1027),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1027),
    [aux_sym_return_satement_token1] = ACTIONS(1027),
    [aux_sym_call_statement_token1] = ACTIONS(1027),
    [aux_sym_loop_statement_token1] = ACTIONS(1027),
    [aux_sym_while_statement_token1] = ACTIONS(1027),
    [aux_sym_break_statement_token1] = ACTIONS(1027),
    [aux_sym_leave_statement_token1] = ACTIONS(1027),
    [aux_sym_continue_statement_token1] = ACTIONS(1027),
    [aux_sym_iterate_statement_token1] = ACTIONS(1027),
    [aux_sym_raise_statement_token1] = ACTIONS(1027),
    [anon_sym_EQ] = ACTIONS(2870),
    [aux_sym_assert_statement_token1] = ACTIONS(1027),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1027),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1027),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1027),
    [anon_sym_LT] = ACTIONS(2864),
    [anon_sym_GT] = ACTIONS(2864),
    [aux_sym_set_operation_token1] = ACTIONS(1027),
    [aux_sym_set_operation_token3] = ACTIONS(1027),
    [aux_sym_set_operation_token4] = ACTIONS(1027),
    [aux_sym_select_token1] = ACTIONS(1027),
    [aux_sym_limit_clause_token1] = ACTIONS(1027),
    [aux_sym__direction_keywords_token1] = ACTIONS(1027),
    [aux_sym__direction_keywords_token2] = ACTIONS(1027),
    [aux_sym__nulls_preference_token1] = ACTIONS(1027),
    [aux_sym_order_by_clause_token1] = ACTIONS(1027),
    [aux_sym_insert_statement_token1] = ACTIONS(1027),
    [aux_sym_truncate_statement_token1] = ACTIONS(1027),
    [aux_sym_update_statement_token1] = ACTIONS(1027),
    [aux_sym_merge_statement_token1] = ACTIONS(1027),
    [aux_sym_grant_statement_token1] = ACTIONS(1027),
    [aux_sym_revoke_statement_token1] = ACTIONS(1027),
    [aux_sym_export_data_statement_token1] = ACTIONS(1027),
    [aux_sym_load_data_statement_token1] = ACTIONS(1027),
    [anon_sym_LBRACK] = ACTIONS(1027),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(2872),
    [anon_sym_DASH] = ACTIONS(2874),
    [anon_sym_STAR] = ACTIONS(2876),
    [anon_sym_SLASH] = ACTIONS(2878),
    [anon_sym_PIPE_PIPE] = ACTIONS(2876),
    [anon_sym_LT_EQ] = ACTIONS(2870),
    [anon_sym_LT_GT] = ACTIONS(2870),
    [anon_sym_GT_EQ] = ACTIONS(2870),
    [anon_sym_BANG_EQ] = ACTIONS(2870),
    [anon_sym_LT_LT] = ACTIONS(2880),
    [anon_sym_GT_GT] = ACTIONS(2880),
    [anon_sym_AMP] = ACTIONS(2882),
    [anon_sym_CARET] = ACTIONS(2884),
    [anon_sym_PIPE] = ACTIONS(2886),
  },
  [2625] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_window_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_having_clause_token1] = ACTIONS(1378),
    [aux_sym_qualify_clause_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym_group_by_clause_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token2] = ACTIONS(1378),
    [aux_sym__nulls_preference_token1] = ACTIONS(1378),
    [aux_sym_order_by_clause_token1] = ACTIONS(1378),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [2626] = {
    [sym__keyword_between] = STATE(926),
    [sym__keyword_is] = STATE(12119),
    [sym__keyword_in] = STATE(864),
    [sym__keyword_not] = STATE(13080),
    [sym__keyword_and] = STATE(1038),
    [sym__keyword_or] = STATE(1050),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [ts_builtin_sym_end] = ACTIONS(1019),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1019),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1019),
    [aux_sym_keyword_replace_token1] = ACTIONS(1021),
    [aux_sym__keyword_alter_token1] = ACTIONS(1019),
    [aux_sym__keyword_delete_token1] = ACTIONS(1019),
    [aux_sym__keyword_begin_token1] = ACTIONS(1019),
    [aux_sym__keyword_between_token1] = ACTIONS(1019),
    [aux_sym__keyword_when_token1] = ACTIONS(1019),
    [aux_sym__keyword_is_token1] = ACTIONS(1019),
    [aux_sym__keyword_in_token1] = ACTIONS(1021),
    [aux_sym__keyword_and_token1] = ACTIONS(1019),
    [aux_sym__keyword_like_token1] = ACTIONS(1019),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1019),
    [aux_sym__keyword_for_token1] = ACTIONS(1019),
    [anon_sym_SEMI] = ACTIONS(1019),
    [aux_sym_declare_statement_token1] = ACTIONS(1019),
    [anon_sym_COMMA] = ACTIONS(1019),
    [aux_sym_set_statement_token1] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1019),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1019),
    [aux_sym_return_satement_token1] = ACTIONS(1019),
    [aux_sym_call_statement_token1] = ACTIONS(1019),
    [aux_sym_loop_statement_token1] = ACTIONS(1019),
    [aux_sym_while_statement_token1] = ACTIONS(1019),
    [aux_sym_break_statement_token1] = ACTIONS(1019),
    [aux_sym_leave_statement_token1] = ACTIONS(1019),
    [aux_sym_continue_statement_token1] = ACTIONS(1019),
    [aux_sym_iterate_statement_token1] = ACTIONS(1019),
    [aux_sym_raise_statement_token1] = ACTIONS(1019),
    [anon_sym_EQ] = ACTIONS(1019),
    [aux_sym_assert_statement_token1] = ACTIONS(1019),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1019),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1019),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1019),
    [anon_sym_LT] = ACTIONS(1021),
    [anon_sym_GT] = ACTIONS(1021),
    [aux_sym_set_operation_token1] = ACTIONS(1019),
    [aux_sym_set_operation_token3] = ACTIONS(1019),
    [aux_sym_set_operation_token4] = ACTIONS(1019),
    [aux_sym_select_token1] = ACTIONS(1019),
    [aux_sym_limit_clause_token1] = ACTIONS(1019),
    [aux_sym__direction_keywords_token1] = ACTIONS(1019),
    [aux_sym__direction_keywords_token2] = ACTIONS(1019),
    [aux_sym__nulls_preference_token1] = ACTIONS(1019),
    [aux_sym_order_by_clause_token1] = ACTIONS(1019),
    [aux_sym_insert_statement_token1] = ACTIONS(1019),
    [aux_sym_truncate_statement_token1] = ACTIONS(1019),
    [aux_sym_update_statement_token1] = ACTIONS(1019),
    [aux_sym_merge_statement_token1] = ACTIONS(1019),
    [aux_sym_grant_statement_token1] = ACTIONS(1019),
    [aux_sym_revoke_statement_token1] = ACTIONS(1019),
    [aux_sym_export_data_statement_token1] = ACTIONS(1019),
    [aux_sym_load_data_statement_token1] = ACTIONS(1019),
    [anon_sym_LBRACK] = ACTIONS(1019),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1019),
    [anon_sym_PLUS] = ACTIONS(1019),
    [anon_sym_DASH] = ACTIONS(1021),
    [anon_sym_STAR] = ACTIONS(1019),
    [anon_sym_SLASH] = ACTIONS(1021),
    [anon_sym_PIPE_PIPE] = ACTIONS(1019),
    [anon_sym_LT_EQ] = ACTIONS(1019),
    [anon_sym_LT_GT] = ACTIONS(1019),
    [anon_sym_GT_EQ] = ACTIONS(1019),
    [anon_sym_BANG_EQ] = ACTIONS(1019),
    [anon_sym_LT_LT] = ACTIONS(1019),
    [anon_sym_GT_GT] = ACTIONS(1019),
    [anon_sym_AMP] = ACTIONS(1019),
    [anon_sym_CARET] = ACTIONS(1019),
    [anon_sym_PIPE] = ACTIONS(1021),
  },
  [2627] = {
    [sym__keyword_between] = STATE(1742),
    [sym__keyword_is] = STATE(12053),
    [sym__keyword_in] = STATE(1576),
    [sym__keyword_not] = STATE(13192),
    [sym__keyword_and] = STATE(1595),
    [sym__keyword_or] = STATE(1596),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(917),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_group_by_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(2948),
    [anon_sym_SLASH] = ACTIONS(2950),
    [anon_sym_PIPE_PIPE] = ACTIONS(2948),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2628] = {
    [ts_builtin_sym_end] = ACTIONS(1632),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1632),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1632),
    [aux_sym_keyword_replace_token1] = ACTIONS(1634),
    [aux_sym__keyword_alter_token1] = ACTIONS(1632),
    [aux_sym__keyword_delete_token1] = ACTIONS(1632),
    [aux_sym__keyword_begin_token1] = ACTIONS(1632),
    [aux_sym__keyword_end_token1] = ACTIONS(1632),
    [aux_sym__keyword_between_token1] = ACTIONS(1632),
    [aux_sym__keyword_when_token1] = ACTIONS(1632),
    [aux_sym__keyword_else_token1] = ACTIONS(1634),
    [aux_sym__keyword_is_token1] = ACTIONS(1632),
    [aux_sym__keyword_in_token1] = ACTIONS(1634),
    [aux_sym__keyword_and_token1] = ACTIONS(1632),
    [aux_sym__keyword_like_token1] = ACTIONS(1632),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1632),
    [aux_sym__keyword_window_token1] = ACTIONS(1632),
    [aux_sym__keyword_for_token1] = ACTIONS(1632),
    [anon_sym_SEMI] = ACTIONS(1632),
    [aux_sym_declare_statement_token1] = ACTIONS(1632),
    [anon_sym_COMMA] = ACTIONS(1632),
    [aux_sym_set_statement_token1] = ACTIONS(1632),
    [anon_sym_LPAREN] = ACTIONS(1632),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1632),
    [aux_sym_return_satement_token1] = ACTIONS(1632),
    [aux_sym_call_statement_token1] = ACTIONS(1632),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1632),
    [aux_sym_if_statement_token1] = ACTIONS(1632),
    [aux_sym_loop_statement_token1] = ACTIONS(1632),
    [aux_sym_repeat_statement_token1] = ACTIONS(1632),
    [aux_sym_while_statement_token1] = ACTIONS(1632),
    [aux_sym_break_statement_token1] = ACTIONS(1632),
    [aux_sym_leave_statement_token1] = ACTIONS(1632),
    [aux_sym_continue_statement_token1] = ACTIONS(1632),
    [aux_sym_iterate_statement_token1] = ACTIONS(1632),
    [aux_sym_raise_statement_token1] = ACTIONS(1632),
    [anon_sym_EQ] = ACTIONS(1632),
    [aux_sym_assert_statement_token1] = ACTIONS(1632),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1632),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1632),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1632),
    [anon_sym_LT] = ACTIONS(1634),
    [anon_sym_GT] = ACTIONS(1634),
    [aux_sym_set_operation_token1] = ACTIONS(1632),
    [aux_sym_set_operation_token3] = ACTIONS(1632),
    [aux_sym_set_operation_token4] = ACTIONS(1634),
    [aux_sym_select_token1] = ACTIONS(1632),
    [aux_sym_having_clause_token1] = ACTIONS(1632),
    [aux_sym_qualify_clause_token1] = ACTIONS(1632),
    [aux_sym_limit_clause_token1] = ACTIONS(1632),
    [aux_sym_group_by_clause_token1] = ACTIONS(1632),
    [aux_sym__direction_keywords_token1] = ACTIONS(1632),
    [aux_sym__direction_keywords_token2] = ACTIONS(1632),
    [aux_sym__nulls_preference_token1] = ACTIONS(1632),
    [aux_sym_order_by_clause_token1] = ACTIONS(1632),
    [aux_sym_insert_statement_token1] = ACTIONS(1632),
    [aux_sym_truncate_statement_token1] = ACTIONS(1632),
    [aux_sym_update_statement_token1] = ACTIONS(1632),
    [aux_sym_merge_statement_token1] = ACTIONS(1632),
    [aux_sym_grant_statement_token1] = ACTIONS(1632),
    [aux_sym_revoke_statement_token1] = ACTIONS(1632),
    [aux_sym_export_data_statement_token1] = ACTIONS(1632),
    [aux_sym_load_data_statement_token1] = ACTIONS(1632),
    [anon_sym_LBRACK] = ACTIONS(1632),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1632),
    [anon_sym_PLUS] = ACTIONS(1632),
    [anon_sym_DASH] = ACTIONS(1634),
    [anon_sym_STAR] = ACTIONS(1632),
    [anon_sym_SLASH] = ACTIONS(1634),
    [anon_sym_PIPE_PIPE] = ACTIONS(1632),
    [anon_sym_LT_EQ] = ACTIONS(1632),
    [anon_sym_LT_GT] = ACTIONS(1632),
    [anon_sym_GT_EQ] = ACTIONS(1632),
    [anon_sym_BANG_EQ] = ACTIONS(1632),
    [anon_sym_LT_LT] = ACTIONS(1632),
    [anon_sym_GT_GT] = ACTIONS(1632),
    [anon_sym_AMP] = ACTIONS(1632),
    [anon_sym_CARET] = ACTIONS(1632),
    [anon_sym_PIPE] = ACTIONS(1634),
  },
  [2629] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_window_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_having_clause_token1] = ACTIONS(1378),
    [aux_sym_qualify_clause_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym_group_by_clause_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token2] = ACTIONS(1378),
    [aux_sym__nulls_preference_token1] = ACTIONS(1378),
    [aux_sym_order_by_clause_token1] = ACTIONS(1378),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [2630] = {
    [sym__keyword_between] = STATE(1742),
    [sym__keyword_is] = STATE(12053),
    [sym__keyword_in] = STATE(1576),
    [sym__keyword_not] = STATE(13192),
    [sym__keyword_and] = STATE(1595),
    [sym__keyword_or] = STATE(1596),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(917),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_group_by_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2944),
    [anon_sym_DASH] = ACTIONS(2946),
    [anon_sym_STAR] = ACTIONS(2948),
    [anon_sym_SLASH] = ACTIONS(2950),
    [anon_sym_PIPE_PIPE] = ACTIONS(2948),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(2952),
    [anon_sym_GT_GT] = ACTIONS(2952),
    [anon_sym_AMP] = ACTIONS(2954),
    [anon_sym_CARET] = ACTIONS(2956),
    [anon_sym_PIPE] = ACTIONS(2958),
  },
  [2631] = {
    [ts_builtin_sym_end] = ACTIONS(1636),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1636),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1636),
    [aux_sym_keyword_replace_token1] = ACTIONS(1638),
    [aux_sym__keyword_alter_token1] = ACTIONS(1636),
    [aux_sym__keyword_delete_token1] = ACTIONS(1636),
    [aux_sym__keyword_begin_token1] = ACTIONS(1636),
    [aux_sym__keyword_end_token1] = ACTIONS(1636),
    [aux_sym__keyword_between_token1] = ACTIONS(1636),
    [aux_sym__keyword_when_token1] = ACTIONS(1636),
    [aux_sym__keyword_else_token1] = ACTIONS(1638),
    [aux_sym__keyword_is_token1] = ACTIONS(1636),
    [aux_sym__keyword_in_token1] = ACTIONS(1638),
    [aux_sym__keyword_and_token1] = ACTIONS(1636),
    [aux_sym__keyword_like_token1] = ACTIONS(1636),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1636),
    [aux_sym__keyword_window_token1] = ACTIONS(1636),
    [aux_sym__keyword_for_token1] = ACTIONS(1636),
    [anon_sym_SEMI] = ACTIONS(1636),
    [aux_sym_declare_statement_token1] = ACTIONS(1636),
    [anon_sym_COMMA] = ACTIONS(1636),
    [aux_sym_set_statement_token1] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1636),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1636),
    [aux_sym_return_satement_token1] = ACTIONS(1636),
    [aux_sym_call_statement_token1] = ACTIONS(1636),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1636),
    [aux_sym_if_statement_token1] = ACTIONS(1636),
    [aux_sym_loop_statement_token1] = ACTIONS(1636),
    [aux_sym_repeat_statement_token1] = ACTIONS(1636),
    [aux_sym_while_statement_token1] = ACTIONS(1636),
    [aux_sym_break_statement_token1] = ACTIONS(1636),
    [aux_sym_leave_statement_token1] = ACTIONS(1636),
    [aux_sym_continue_statement_token1] = ACTIONS(1636),
    [aux_sym_iterate_statement_token1] = ACTIONS(1636),
    [aux_sym_raise_statement_token1] = ACTIONS(1636),
    [anon_sym_EQ] = ACTIONS(1636),
    [aux_sym_assert_statement_token1] = ACTIONS(1636),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1636),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1636),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1636),
    [anon_sym_LT] = ACTIONS(1638),
    [anon_sym_GT] = ACTIONS(1638),
    [aux_sym_set_operation_token1] = ACTIONS(1636),
    [aux_sym_set_operation_token3] = ACTIONS(1636),
    [aux_sym_set_operation_token4] = ACTIONS(1638),
    [aux_sym_select_token1] = ACTIONS(1636),
    [aux_sym_having_clause_token1] = ACTIONS(1636),
    [aux_sym_qualify_clause_token1] = ACTIONS(1636),
    [aux_sym_limit_clause_token1] = ACTIONS(1636),
    [aux_sym_group_by_clause_token1] = ACTIONS(1636),
    [aux_sym__direction_keywords_token1] = ACTIONS(1636),
    [aux_sym__direction_keywords_token2] = ACTIONS(1636),
    [aux_sym__nulls_preference_token1] = ACTIONS(1636),
    [aux_sym_order_by_clause_token1] = ACTIONS(1636),
    [aux_sym_insert_statement_token1] = ACTIONS(1636),
    [aux_sym_truncate_statement_token1] = ACTIONS(1636),
    [aux_sym_update_statement_token1] = ACTIONS(1636),
    [aux_sym_merge_statement_token1] = ACTIONS(1636),
    [aux_sym_grant_statement_token1] = ACTIONS(1636),
    [aux_sym_revoke_statement_token1] = ACTIONS(1636),
    [aux_sym_export_data_statement_token1] = ACTIONS(1636),
    [aux_sym_load_data_statement_token1] = ACTIONS(1636),
    [anon_sym_LBRACK] = ACTIONS(1636),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1636),
    [anon_sym_PLUS] = ACTIONS(1636),
    [anon_sym_DASH] = ACTIONS(1638),
    [anon_sym_STAR] = ACTIONS(1636),
    [anon_sym_SLASH] = ACTIONS(1638),
    [anon_sym_PIPE_PIPE] = ACTIONS(1636),
    [anon_sym_LT_EQ] = ACTIONS(1636),
    [anon_sym_LT_GT] = ACTIONS(1636),
    [anon_sym_GT_EQ] = ACTIONS(1636),
    [anon_sym_BANG_EQ] = ACTIONS(1636),
    [anon_sym_LT_LT] = ACTIONS(1636),
    [anon_sym_GT_GT] = ACTIONS(1636),
    [anon_sym_AMP] = ACTIONS(1636),
    [anon_sym_CARET] = ACTIONS(1636),
    [anon_sym_PIPE] = ACTIONS(1638),
  },
  [2632] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_window_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_having_clause_token1] = ACTIONS(1378),
    [aux_sym_qualify_clause_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym_group_by_clause_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token2] = ACTIONS(1378),
    [aux_sym__nulls_preference_token1] = ACTIONS(1378),
    [aux_sym_order_by_clause_token1] = ACTIONS(1378),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [2633] = {
    [ts_builtin_sym_end] = ACTIONS(1784),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1784),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1784),
    [aux_sym_keyword_replace_token1] = ACTIONS(1786),
    [aux_sym__keyword_alter_token1] = ACTIONS(1784),
    [aux_sym__keyword_delete_token1] = ACTIONS(1784),
    [aux_sym__keyword_begin_token1] = ACTIONS(1784),
    [aux_sym__keyword_end_token1] = ACTIONS(1784),
    [aux_sym__keyword_between_token1] = ACTIONS(1784),
    [aux_sym__keyword_when_token1] = ACTIONS(1784),
    [aux_sym__keyword_else_token1] = ACTIONS(1786),
    [aux_sym__keyword_is_token1] = ACTIONS(1784),
    [aux_sym__keyword_in_token1] = ACTIONS(1786),
    [aux_sym__keyword_and_token1] = ACTIONS(1784),
    [aux_sym__keyword_like_token1] = ACTIONS(1784),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1784),
    [aux_sym__keyword_window_token1] = ACTIONS(1784),
    [aux_sym__keyword_for_token1] = ACTIONS(1784),
    [anon_sym_SEMI] = ACTIONS(1784),
    [aux_sym_declare_statement_token1] = ACTIONS(1784),
    [anon_sym_COMMA] = ACTIONS(1784),
    [aux_sym_set_statement_token1] = ACTIONS(1784),
    [anon_sym_LPAREN] = ACTIONS(1784),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1784),
    [aux_sym_return_satement_token1] = ACTIONS(1784),
    [aux_sym_call_statement_token1] = ACTIONS(1784),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1784),
    [aux_sym_if_statement_token1] = ACTIONS(1784),
    [aux_sym_loop_statement_token1] = ACTIONS(1784),
    [aux_sym_repeat_statement_token1] = ACTIONS(1784),
    [aux_sym_while_statement_token1] = ACTIONS(1784),
    [aux_sym_break_statement_token1] = ACTIONS(1784),
    [aux_sym_leave_statement_token1] = ACTIONS(1784),
    [aux_sym_continue_statement_token1] = ACTIONS(1784),
    [aux_sym_iterate_statement_token1] = ACTIONS(1784),
    [aux_sym_raise_statement_token1] = ACTIONS(1784),
    [anon_sym_EQ] = ACTIONS(1784),
    [aux_sym_assert_statement_token1] = ACTIONS(1784),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1784),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1784),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1784),
    [anon_sym_LT] = ACTIONS(1786),
    [anon_sym_GT] = ACTIONS(1786),
    [aux_sym_set_operation_token1] = ACTIONS(1784),
    [aux_sym_set_operation_token3] = ACTIONS(1784),
    [aux_sym_set_operation_token4] = ACTIONS(1786),
    [aux_sym_select_token1] = ACTIONS(1784),
    [aux_sym_having_clause_token1] = ACTIONS(1784),
    [aux_sym_qualify_clause_token1] = ACTIONS(1784),
    [aux_sym_limit_clause_token1] = ACTIONS(1784),
    [aux_sym_group_by_clause_token1] = ACTIONS(1784),
    [aux_sym__direction_keywords_token1] = ACTIONS(1784),
    [aux_sym__direction_keywords_token2] = ACTIONS(1784),
    [aux_sym__nulls_preference_token1] = ACTIONS(1784),
    [aux_sym_order_by_clause_token1] = ACTIONS(1784),
    [aux_sym_insert_statement_token1] = ACTIONS(1784),
    [aux_sym_truncate_statement_token1] = ACTIONS(1784),
    [aux_sym_update_statement_token1] = ACTIONS(1784),
    [aux_sym_merge_statement_token1] = ACTIONS(1784),
    [aux_sym_grant_statement_token1] = ACTIONS(1784),
    [aux_sym_revoke_statement_token1] = ACTIONS(1784),
    [aux_sym_export_data_statement_token1] = ACTIONS(1784),
    [aux_sym_load_data_statement_token1] = ACTIONS(1784),
    [anon_sym_LBRACK] = ACTIONS(1784),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1784),
    [anon_sym_PLUS] = ACTIONS(1784),
    [anon_sym_DASH] = ACTIONS(1786),
    [anon_sym_STAR] = ACTIONS(1784),
    [anon_sym_SLASH] = ACTIONS(1786),
    [anon_sym_PIPE_PIPE] = ACTIONS(1784),
    [anon_sym_LT_EQ] = ACTIONS(1784),
    [anon_sym_LT_GT] = ACTIONS(1784),
    [anon_sym_GT_EQ] = ACTIONS(1784),
    [anon_sym_BANG_EQ] = ACTIONS(1784),
    [anon_sym_LT_LT] = ACTIONS(1784),
    [anon_sym_GT_GT] = ACTIONS(1784),
    [anon_sym_AMP] = ACTIONS(1784),
    [anon_sym_CARET] = ACTIONS(1784),
    [anon_sym_PIPE] = ACTIONS(1786),
  },
  [2634] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_window_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_having_clause_token1] = ACTIONS(1378),
    [aux_sym_qualify_clause_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym_group_by_clause_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token2] = ACTIONS(1378),
    [aux_sym__nulls_preference_token1] = ACTIONS(1378),
    [aux_sym_order_by_clause_token1] = ACTIONS(1378),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [2635] = {
    [ts_builtin_sym_end] = ACTIONS(1640),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1640),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1640),
    [aux_sym_keyword_replace_token1] = ACTIONS(1642),
    [aux_sym__keyword_alter_token1] = ACTIONS(1640),
    [aux_sym__keyword_delete_token1] = ACTIONS(1640),
    [aux_sym__keyword_begin_token1] = ACTIONS(1640),
    [aux_sym__keyword_end_token1] = ACTIONS(1640),
    [aux_sym__keyword_between_token1] = ACTIONS(1640),
    [aux_sym__keyword_when_token1] = ACTIONS(1640),
    [aux_sym__keyword_else_token1] = ACTIONS(1642),
    [aux_sym__keyword_is_token1] = ACTIONS(1640),
    [aux_sym__keyword_in_token1] = ACTIONS(1642),
    [aux_sym__keyword_and_token1] = ACTIONS(1640),
    [aux_sym__keyword_like_token1] = ACTIONS(1640),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1640),
    [aux_sym__keyword_window_token1] = ACTIONS(1640),
    [aux_sym__keyword_for_token1] = ACTIONS(1640),
    [anon_sym_SEMI] = ACTIONS(1640),
    [aux_sym_declare_statement_token1] = ACTIONS(1640),
    [anon_sym_COMMA] = ACTIONS(1640),
    [aux_sym_set_statement_token1] = ACTIONS(1640),
    [anon_sym_LPAREN] = ACTIONS(1640),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1640),
    [aux_sym_return_satement_token1] = ACTIONS(1640),
    [aux_sym_call_statement_token1] = ACTIONS(1640),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1640),
    [aux_sym_if_statement_token1] = ACTIONS(1640),
    [aux_sym_loop_statement_token1] = ACTIONS(1640),
    [aux_sym_repeat_statement_token1] = ACTIONS(1640),
    [aux_sym_while_statement_token1] = ACTIONS(1640),
    [aux_sym_break_statement_token1] = ACTIONS(1640),
    [aux_sym_leave_statement_token1] = ACTIONS(1640),
    [aux_sym_continue_statement_token1] = ACTIONS(1640),
    [aux_sym_iterate_statement_token1] = ACTIONS(1640),
    [aux_sym_raise_statement_token1] = ACTIONS(1640),
    [anon_sym_EQ] = ACTIONS(1640),
    [aux_sym_assert_statement_token1] = ACTIONS(1640),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1640),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1640),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1640),
    [anon_sym_LT] = ACTIONS(1642),
    [anon_sym_GT] = ACTIONS(1642),
    [aux_sym_set_operation_token1] = ACTIONS(1640),
    [aux_sym_set_operation_token3] = ACTIONS(1640),
    [aux_sym_set_operation_token4] = ACTIONS(1642),
    [aux_sym_select_token1] = ACTIONS(1640),
    [aux_sym_having_clause_token1] = ACTIONS(1640),
    [aux_sym_qualify_clause_token1] = ACTIONS(1640),
    [aux_sym_limit_clause_token1] = ACTIONS(1640),
    [aux_sym_group_by_clause_token1] = ACTIONS(1640),
    [aux_sym__direction_keywords_token1] = ACTIONS(1640),
    [aux_sym__direction_keywords_token2] = ACTIONS(1640),
    [aux_sym__nulls_preference_token1] = ACTIONS(1640),
    [aux_sym_order_by_clause_token1] = ACTIONS(1640),
    [aux_sym_insert_statement_token1] = ACTIONS(1640),
    [aux_sym_truncate_statement_token1] = ACTIONS(1640),
    [aux_sym_update_statement_token1] = ACTIONS(1640),
    [aux_sym_merge_statement_token1] = ACTIONS(1640),
    [aux_sym_grant_statement_token1] = ACTIONS(1640),
    [aux_sym_revoke_statement_token1] = ACTIONS(1640),
    [aux_sym_export_data_statement_token1] = ACTIONS(1640),
    [aux_sym_load_data_statement_token1] = ACTIONS(1640),
    [anon_sym_LBRACK] = ACTIONS(1640),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1640),
    [anon_sym_PLUS] = ACTIONS(1640),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1640),
    [anon_sym_SLASH] = ACTIONS(1642),
    [anon_sym_PIPE_PIPE] = ACTIONS(1640),
    [anon_sym_LT_EQ] = ACTIONS(1640),
    [anon_sym_LT_GT] = ACTIONS(1640),
    [anon_sym_GT_EQ] = ACTIONS(1640),
    [anon_sym_BANG_EQ] = ACTIONS(1640),
    [anon_sym_LT_LT] = ACTIONS(1640),
    [anon_sym_GT_GT] = ACTIONS(1640),
    [anon_sym_AMP] = ACTIONS(1640),
    [anon_sym_CARET] = ACTIONS(1640),
    [anon_sym_PIPE] = ACTIONS(1642),
  },
  [2636] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_window_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_having_clause_token1] = ACTIONS(1378),
    [aux_sym_qualify_clause_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym_group_by_clause_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token2] = ACTIONS(1378),
    [aux_sym__nulls_preference_token1] = ACTIONS(1378),
    [aux_sym_order_by_clause_token1] = ACTIONS(1378),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [2637] = {
    [ts_builtin_sym_end] = ACTIONS(1644),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1644),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1644),
    [aux_sym_keyword_replace_token1] = ACTIONS(1646),
    [aux_sym__keyword_alter_token1] = ACTIONS(1644),
    [aux_sym__keyword_delete_token1] = ACTIONS(1644),
    [aux_sym__keyword_begin_token1] = ACTIONS(1644),
    [aux_sym__keyword_end_token1] = ACTIONS(1644),
    [aux_sym__keyword_between_token1] = ACTIONS(1644),
    [aux_sym__keyword_when_token1] = ACTIONS(1644),
    [aux_sym__keyword_else_token1] = ACTIONS(1646),
    [aux_sym__keyword_is_token1] = ACTIONS(1644),
    [aux_sym__keyword_in_token1] = ACTIONS(1646),
    [aux_sym__keyword_and_token1] = ACTIONS(1644),
    [aux_sym__keyword_like_token1] = ACTIONS(1644),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1644),
    [aux_sym__keyword_window_token1] = ACTIONS(1644),
    [aux_sym__keyword_for_token1] = ACTIONS(1644),
    [anon_sym_SEMI] = ACTIONS(1644),
    [aux_sym_declare_statement_token1] = ACTIONS(1644),
    [anon_sym_COMMA] = ACTIONS(1644),
    [aux_sym_set_statement_token1] = ACTIONS(1644),
    [anon_sym_LPAREN] = ACTIONS(1644),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1644),
    [aux_sym_return_satement_token1] = ACTIONS(1644),
    [aux_sym_call_statement_token1] = ACTIONS(1644),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1644),
    [aux_sym_if_statement_token1] = ACTIONS(1644),
    [aux_sym_loop_statement_token1] = ACTIONS(1644),
    [aux_sym_repeat_statement_token1] = ACTIONS(1644),
    [aux_sym_while_statement_token1] = ACTIONS(1644),
    [aux_sym_break_statement_token1] = ACTIONS(1644),
    [aux_sym_leave_statement_token1] = ACTIONS(1644),
    [aux_sym_continue_statement_token1] = ACTIONS(1644),
    [aux_sym_iterate_statement_token1] = ACTIONS(1644),
    [aux_sym_raise_statement_token1] = ACTIONS(1644),
    [anon_sym_EQ] = ACTIONS(1644),
    [aux_sym_assert_statement_token1] = ACTIONS(1644),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1644),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1644),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1644),
    [anon_sym_LT] = ACTIONS(1646),
    [anon_sym_GT] = ACTIONS(1646),
    [aux_sym_set_operation_token1] = ACTIONS(1644),
    [aux_sym_set_operation_token3] = ACTIONS(1644),
    [aux_sym_set_operation_token4] = ACTIONS(1646),
    [aux_sym_select_token1] = ACTIONS(1644),
    [aux_sym_having_clause_token1] = ACTIONS(1644),
    [aux_sym_qualify_clause_token1] = ACTIONS(1644),
    [aux_sym_limit_clause_token1] = ACTIONS(1644),
    [aux_sym_group_by_clause_token1] = ACTIONS(1644),
    [aux_sym__direction_keywords_token1] = ACTIONS(1644),
    [aux_sym__direction_keywords_token2] = ACTIONS(1644),
    [aux_sym__nulls_preference_token1] = ACTIONS(1644),
    [aux_sym_order_by_clause_token1] = ACTIONS(1644),
    [aux_sym_insert_statement_token1] = ACTIONS(1644),
    [aux_sym_truncate_statement_token1] = ACTIONS(1644),
    [aux_sym_update_statement_token1] = ACTIONS(1644),
    [aux_sym_merge_statement_token1] = ACTIONS(1644),
    [aux_sym_grant_statement_token1] = ACTIONS(1644),
    [aux_sym_revoke_statement_token1] = ACTIONS(1644),
    [aux_sym_export_data_statement_token1] = ACTIONS(1644),
    [aux_sym_load_data_statement_token1] = ACTIONS(1644),
    [anon_sym_LBRACK] = ACTIONS(1644),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1644),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1646),
    [anon_sym_STAR] = ACTIONS(1644),
    [anon_sym_SLASH] = ACTIONS(1646),
    [anon_sym_PIPE_PIPE] = ACTIONS(1644),
    [anon_sym_LT_EQ] = ACTIONS(1644),
    [anon_sym_LT_GT] = ACTIONS(1644),
    [anon_sym_GT_EQ] = ACTIONS(1644),
    [anon_sym_BANG_EQ] = ACTIONS(1644),
    [anon_sym_LT_LT] = ACTIONS(1644),
    [anon_sym_GT_GT] = ACTIONS(1644),
    [anon_sym_AMP] = ACTIONS(1644),
    [anon_sym_CARET] = ACTIONS(1644),
    [anon_sym_PIPE] = ACTIONS(1646),
  },
  [2638] = {
    [ts_builtin_sym_end] = ACTIONS(1390),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1390),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1390),
    [aux_sym_keyword_replace_token1] = ACTIONS(1392),
    [aux_sym__keyword_alter_token1] = ACTIONS(1390),
    [aux_sym__keyword_delete_token1] = ACTIONS(1390),
    [aux_sym__keyword_begin_token1] = ACTIONS(1390),
    [aux_sym__keyword_end_token1] = ACTIONS(1390),
    [aux_sym__keyword_between_token1] = ACTIONS(1390),
    [aux_sym__keyword_when_token1] = ACTIONS(1390),
    [aux_sym__keyword_else_token1] = ACTIONS(1392),
    [aux_sym__keyword_is_token1] = ACTIONS(1390),
    [aux_sym__keyword_in_token1] = ACTIONS(1392),
    [aux_sym__keyword_and_token1] = ACTIONS(1390),
    [aux_sym__keyword_like_token1] = ACTIONS(1390),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1390),
    [aux_sym__keyword_window_token1] = ACTIONS(1390),
    [aux_sym__keyword_for_token1] = ACTIONS(1390),
    [anon_sym_SEMI] = ACTIONS(1390),
    [aux_sym_declare_statement_token1] = ACTIONS(1390),
    [anon_sym_COMMA] = ACTIONS(1390),
    [aux_sym_set_statement_token1] = ACTIONS(1390),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1390),
    [aux_sym_return_satement_token1] = ACTIONS(1390),
    [aux_sym_call_statement_token1] = ACTIONS(1390),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1390),
    [aux_sym_if_statement_token1] = ACTIONS(1390),
    [aux_sym_loop_statement_token1] = ACTIONS(1390),
    [aux_sym_repeat_statement_token1] = ACTIONS(1390),
    [aux_sym_while_statement_token1] = ACTIONS(1390),
    [aux_sym_break_statement_token1] = ACTIONS(1390),
    [aux_sym_leave_statement_token1] = ACTIONS(1390),
    [aux_sym_continue_statement_token1] = ACTIONS(1390),
    [aux_sym_iterate_statement_token1] = ACTIONS(1390),
    [aux_sym_raise_statement_token1] = ACTIONS(1390),
    [anon_sym_EQ] = ACTIONS(1390),
    [aux_sym_assert_statement_token1] = ACTIONS(1390),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1390),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1390),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1390),
    [anon_sym_LT] = ACTIONS(1392),
    [anon_sym_GT] = ACTIONS(1392),
    [aux_sym_set_operation_token1] = ACTIONS(1390),
    [aux_sym_set_operation_token3] = ACTIONS(1390),
    [aux_sym_set_operation_token4] = ACTIONS(1392),
    [aux_sym_select_token1] = ACTIONS(1390),
    [aux_sym_having_clause_token1] = ACTIONS(1390),
    [aux_sym_qualify_clause_token1] = ACTIONS(1390),
    [aux_sym_limit_clause_token1] = ACTIONS(1390),
    [aux_sym_group_by_clause_token1] = ACTIONS(1390),
    [aux_sym__direction_keywords_token1] = ACTIONS(1390),
    [aux_sym__direction_keywords_token2] = ACTIONS(1390),
    [aux_sym__nulls_preference_token1] = ACTIONS(1390),
    [aux_sym_order_by_clause_token1] = ACTIONS(1390),
    [aux_sym_insert_statement_token1] = ACTIONS(1390),
    [aux_sym_truncate_statement_token1] = ACTIONS(1390),
    [aux_sym_update_statement_token1] = ACTIONS(1390),
    [aux_sym_merge_statement_token1] = ACTIONS(1390),
    [aux_sym_grant_statement_token1] = ACTIONS(1390),
    [aux_sym_revoke_statement_token1] = ACTIONS(1390),
    [aux_sym_export_data_statement_token1] = ACTIONS(1390),
    [aux_sym_load_data_statement_token1] = ACTIONS(1390),
    [anon_sym_LBRACK] = ACTIONS(1390),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_DASH] = ACTIONS(1392),
    [anon_sym_STAR] = ACTIONS(1390),
    [anon_sym_SLASH] = ACTIONS(1392),
    [anon_sym_PIPE_PIPE] = ACTIONS(1390),
    [anon_sym_LT_EQ] = ACTIONS(1390),
    [anon_sym_LT_GT] = ACTIONS(1390),
    [anon_sym_GT_EQ] = ACTIONS(1390),
    [anon_sym_BANG_EQ] = ACTIONS(1390),
    [anon_sym_LT_LT] = ACTIONS(1390),
    [anon_sym_GT_GT] = ACTIONS(1390),
    [anon_sym_AMP] = ACTIONS(1390),
    [anon_sym_CARET] = ACTIONS(1390),
    [anon_sym_PIPE] = ACTIONS(1392),
  },
  [2639] = {
    [ts_builtin_sym_end] = ACTIONS(1382),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1382),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1382),
    [aux_sym_keyword_replace_token1] = ACTIONS(1384),
    [aux_sym__keyword_alter_token1] = ACTIONS(1382),
    [aux_sym__keyword_delete_token1] = ACTIONS(1382),
    [aux_sym__keyword_begin_token1] = ACTIONS(1382),
    [aux_sym__keyword_end_token1] = ACTIONS(1382),
    [aux_sym__keyword_between_token1] = ACTIONS(1382),
    [aux_sym__keyword_when_token1] = ACTIONS(1382),
    [aux_sym__keyword_else_token1] = ACTIONS(1384),
    [aux_sym__keyword_is_token1] = ACTIONS(1382),
    [aux_sym__keyword_in_token1] = ACTIONS(1384),
    [aux_sym__keyword_and_token1] = ACTIONS(1382),
    [aux_sym__keyword_like_token1] = ACTIONS(1382),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1382),
    [aux_sym__keyword_window_token1] = ACTIONS(1382),
    [aux_sym__keyword_for_token1] = ACTIONS(1382),
    [anon_sym_SEMI] = ACTIONS(1382),
    [aux_sym_declare_statement_token1] = ACTIONS(1382),
    [anon_sym_COMMA] = ACTIONS(1382),
    [aux_sym_set_statement_token1] = ACTIONS(1382),
    [anon_sym_LPAREN] = ACTIONS(1382),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1382),
    [aux_sym_return_satement_token1] = ACTIONS(1382),
    [aux_sym_call_statement_token1] = ACTIONS(1382),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1382),
    [aux_sym_if_statement_token1] = ACTIONS(1382),
    [aux_sym_loop_statement_token1] = ACTIONS(1382),
    [aux_sym_repeat_statement_token1] = ACTIONS(1382),
    [aux_sym_while_statement_token1] = ACTIONS(1382),
    [aux_sym_break_statement_token1] = ACTIONS(1382),
    [aux_sym_leave_statement_token1] = ACTIONS(1382),
    [aux_sym_continue_statement_token1] = ACTIONS(1382),
    [aux_sym_iterate_statement_token1] = ACTIONS(1382),
    [aux_sym_raise_statement_token1] = ACTIONS(1382),
    [anon_sym_EQ] = ACTIONS(1382),
    [aux_sym_assert_statement_token1] = ACTIONS(1382),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1382),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1382),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1382),
    [anon_sym_LT] = ACTIONS(1384),
    [anon_sym_GT] = ACTIONS(1384),
    [aux_sym_set_operation_token1] = ACTIONS(1382),
    [aux_sym_set_operation_token3] = ACTIONS(1382),
    [aux_sym_set_operation_token4] = ACTIONS(1384),
    [aux_sym_select_token1] = ACTIONS(1382),
    [aux_sym_having_clause_token1] = ACTIONS(1382),
    [aux_sym_qualify_clause_token1] = ACTIONS(1382),
    [aux_sym_limit_clause_token1] = ACTIONS(1382),
    [aux_sym_group_by_clause_token1] = ACTIONS(1382),
    [aux_sym__direction_keywords_token1] = ACTIONS(1382),
    [aux_sym__direction_keywords_token2] = ACTIONS(1382),
    [aux_sym__nulls_preference_token1] = ACTIONS(1382),
    [aux_sym_order_by_clause_token1] = ACTIONS(1382),
    [aux_sym_insert_statement_token1] = ACTIONS(1382),
    [aux_sym_truncate_statement_token1] = ACTIONS(1382),
    [aux_sym_update_statement_token1] = ACTIONS(1382),
    [aux_sym_merge_statement_token1] = ACTIONS(1382),
    [aux_sym_grant_statement_token1] = ACTIONS(1382),
    [aux_sym_revoke_statement_token1] = ACTIONS(1382),
    [aux_sym_export_data_statement_token1] = ACTIONS(1382),
    [aux_sym_load_data_statement_token1] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(1382),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1382),
    [anon_sym_PLUS] = ACTIONS(1382),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_STAR] = ACTIONS(1382),
    [anon_sym_SLASH] = ACTIONS(1384),
    [anon_sym_PIPE_PIPE] = ACTIONS(1382),
    [anon_sym_LT_EQ] = ACTIONS(1382),
    [anon_sym_LT_GT] = ACTIONS(1382),
    [anon_sym_GT_EQ] = ACTIONS(1382),
    [anon_sym_BANG_EQ] = ACTIONS(1382),
    [anon_sym_LT_LT] = ACTIONS(1382),
    [anon_sym_GT_GT] = ACTIONS(1382),
    [anon_sym_AMP] = ACTIONS(1382),
    [anon_sym_CARET] = ACTIONS(1382),
    [anon_sym_PIPE] = ACTIONS(1384),
  },
  [2640] = {
    [ts_builtin_sym_end] = ACTIONS(1598),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1598),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1598),
    [aux_sym_keyword_replace_token1] = ACTIONS(1600),
    [aux_sym__keyword_alter_token1] = ACTIONS(1598),
    [aux_sym__keyword_delete_token1] = ACTIONS(1598),
    [aux_sym__keyword_begin_token1] = ACTIONS(1598),
    [aux_sym__keyword_end_token1] = ACTIONS(1598),
    [aux_sym__keyword_between_token1] = ACTIONS(1598),
    [aux_sym__keyword_when_token1] = ACTIONS(1598),
    [aux_sym__keyword_else_token1] = ACTIONS(1600),
    [aux_sym__keyword_is_token1] = ACTIONS(1598),
    [aux_sym__keyword_in_token1] = ACTIONS(1600),
    [aux_sym__keyword_and_token1] = ACTIONS(1598),
    [aux_sym__keyword_like_token1] = ACTIONS(1598),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1598),
    [aux_sym__keyword_window_token1] = ACTIONS(1598),
    [aux_sym__keyword_for_token1] = ACTIONS(1598),
    [anon_sym_SEMI] = ACTIONS(1598),
    [aux_sym_declare_statement_token1] = ACTIONS(1598),
    [anon_sym_COMMA] = ACTIONS(1598),
    [aux_sym_set_statement_token1] = ACTIONS(1598),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1598),
    [aux_sym_return_satement_token1] = ACTIONS(1598),
    [aux_sym_call_statement_token1] = ACTIONS(1598),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1598),
    [aux_sym_if_statement_token1] = ACTIONS(1598),
    [aux_sym_loop_statement_token1] = ACTIONS(1598),
    [aux_sym_repeat_statement_token1] = ACTIONS(1598),
    [aux_sym_while_statement_token1] = ACTIONS(1598),
    [aux_sym_break_statement_token1] = ACTIONS(1598),
    [aux_sym_leave_statement_token1] = ACTIONS(1598),
    [aux_sym_continue_statement_token1] = ACTIONS(1598),
    [aux_sym_iterate_statement_token1] = ACTIONS(1598),
    [aux_sym_raise_statement_token1] = ACTIONS(1598),
    [anon_sym_EQ] = ACTIONS(1598),
    [aux_sym_assert_statement_token1] = ACTIONS(1598),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1598),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1598),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1598),
    [anon_sym_LT] = ACTIONS(1600),
    [anon_sym_GT] = ACTIONS(1600),
    [aux_sym_set_operation_token1] = ACTIONS(1598),
    [aux_sym_set_operation_token3] = ACTIONS(1598),
    [aux_sym_set_operation_token4] = ACTIONS(1600),
    [aux_sym_select_token1] = ACTIONS(1598),
    [aux_sym_having_clause_token1] = ACTIONS(1598),
    [aux_sym_qualify_clause_token1] = ACTIONS(1598),
    [aux_sym_limit_clause_token1] = ACTIONS(1598),
    [aux_sym_group_by_clause_token1] = ACTIONS(1598),
    [aux_sym__direction_keywords_token1] = ACTIONS(1598),
    [aux_sym__direction_keywords_token2] = ACTIONS(1598),
    [aux_sym__nulls_preference_token1] = ACTIONS(1598),
    [aux_sym_order_by_clause_token1] = ACTIONS(1598),
    [aux_sym_insert_statement_token1] = ACTIONS(1598),
    [aux_sym_truncate_statement_token1] = ACTIONS(1598),
    [aux_sym_update_statement_token1] = ACTIONS(1598),
    [aux_sym_merge_statement_token1] = ACTIONS(1598),
    [aux_sym_grant_statement_token1] = ACTIONS(1598),
    [aux_sym_revoke_statement_token1] = ACTIONS(1598),
    [aux_sym_export_data_statement_token1] = ACTIONS(1598),
    [aux_sym_load_data_statement_token1] = ACTIONS(1598),
    [anon_sym_LBRACK] = ACTIONS(1598),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1598),
    [anon_sym_PLUS] = ACTIONS(1598),
    [anon_sym_DASH] = ACTIONS(1600),
    [anon_sym_STAR] = ACTIONS(1598),
    [anon_sym_SLASH] = ACTIONS(1600),
    [anon_sym_PIPE_PIPE] = ACTIONS(1598),
    [anon_sym_LT_EQ] = ACTIONS(1598),
    [anon_sym_LT_GT] = ACTIONS(1598),
    [anon_sym_GT_EQ] = ACTIONS(1598),
    [anon_sym_BANG_EQ] = ACTIONS(1598),
    [anon_sym_LT_LT] = ACTIONS(1598),
    [anon_sym_GT_GT] = ACTIONS(1598),
    [anon_sym_AMP] = ACTIONS(1598),
    [anon_sym_CARET] = ACTIONS(1598),
    [anon_sym_PIPE] = ACTIONS(1600),
  },
  [2641] = {
    [sym__keyword_between] = STATE(1742),
    [sym__keyword_is] = STATE(12053),
    [sym__keyword_in] = STATE(1576),
    [sym__keyword_not] = STATE(13192),
    [sym__keyword_and] = STATE(1595),
    [sym__keyword_or] = STATE(1596),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [ts_builtin_sym_end] = ACTIONS(1019),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1019),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1019),
    [aux_sym_keyword_replace_token1] = ACTIONS(1021),
    [aux_sym__keyword_alter_token1] = ACTIONS(1019),
    [aux_sym__keyword_delete_token1] = ACTIONS(1019),
    [aux_sym__keyword_begin_token1] = ACTIONS(1019),
    [aux_sym__keyword_between_token1] = ACTIONS(1019),
    [aux_sym__keyword_when_token1] = ACTIONS(1019),
    [aux_sym__keyword_is_token1] = ACTIONS(1019),
    [aux_sym__keyword_in_token1] = ACTIONS(1021),
    [aux_sym__keyword_and_token1] = ACTIONS(1019),
    [aux_sym__keyword_like_token1] = ACTIONS(1019),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1019),
    [aux_sym__keyword_window_token1] = ACTIONS(1019),
    [aux_sym__keyword_for_token1] = ACTIONS(1019),
    [anon_sym_SEMI] = ACTIONS(1019),
    [aux_sym_declare_statement_token1] = ACTIONS(1019),
    [aux_sym_set_statement_token1] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1019),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1019),
    [aux_sym_return_satement_token1] = ACTIONS(1019),
    [aux_sym_call_statement_token1] = ACTIONS(1019),
    [aux_sym_loop_statement_token1] = ACTIONS(1019),
    [aux_sym_while_statement_token1] = ACTIONS(1019),
    [aux_sym_break_statement_token1] = ACTIONS(1019),
    [aux_sym_leave_statement_token1] = ACTIONS(1019),
    [aux_sym_continue_statement_token1] = ACTIONS(1019),
    [aux_sym_iterate_statement_token1] = ACTIONS(1019),
    [aux_sym_raise_statement_token1] = ACTIONS(1019),
    [anon_sym_EQ] = ACTIONS(1019),
    [aux_sym_assert_statement_token1] = ACTIONS(1019),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1019),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1019),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1019),
    [anon_sym_LT] = ACTIONS(1021),
    [anon_sym_GT] = ACTIONS(1021),
    [aux_sym_set_operation_token1] = ACTIONS(1019),
    [aux_sym_set_operation_token3] = ACTIONS(1019),
    [aux_sym_set_operation_token4] = ACTIONS(1019),
    [aux_sym_select_token1] = ACTIONS(1019),
    [aux_sym_having_clause_token1] = ACTIONS(1019),
    [aux_sym_qualify_clause_token1] = ACTIONS(1019),
    [aux_sym_limit_clause_token1] = ACTIONS(1019),
    [aux_sym_group_by_clause_token1] = ACTIONS(1019),
    [aux_sym_order_by_clause_token1] = ACTIONS(1019),
    [aux_sym_insert_statement_token1] = ACTIONS(1019),
    [aux_sym_truncate_statement_token1] = ACTIONS(1019),
    [aux_sym_update_statement_token1] = ACTIONS(1019),
    [aux_sym_merge_statement_token1] = ACTIONS(1019),
    [aux_sym_grant_statement_token1] = ACTIONS(1019),
    [aux_sym_revoke_statement_token1] = ACTIONS(1019),
    [aux_sym_export_data_statement_token1] = ACTIONS(1019),
    [aux_sym_load_data_statement_token1] = ACTIONS(1019),
    [anon_sym_LBRACK] = ACTIONS(1019),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1019),
    [anon_sym_PLUS] = ACTIONS(1019),
    [anon_sym_DASH] = ACTIONS(1021),
    [anon_sym_STAR] = ACTIONS(1019),
    [anon_sym_SLASH] = ACTIONS(1021),
    [anon_sym_PIPE_PIPE] = ACTIONS(1019),
    [anon_sym_LT_EQ] = ACTIONS(1019),
    [anon_sym_LT_GT] = ACTIONS(1019),
    [anon_sym_GT_EQ] = ACTIONS(1019),
    [anon_sym_BANG_EQ] = ACTIONS(1019),
    [anon_sym_LT_LT] = ACTIONS(1019),
    [anon_sym_GT_GT] = ACTIONS(1019),
    [anon_sym_AMP] = ACTIONS(1019),
    [anon_sym_CARET] = ACTIONS(1019),
    [anon_sym_PIPE] = ACTIONS(1021),
  },
  [2642] = {
    [ts_builtin_sym_end] = ACTIONS(1764),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1764),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1764),
    [aux_sym_keyword_replace_token1] = ACTIONS(1766),
    [aux_sym__keyword_alter_token1] = ACTIONS(1764),
    [aux_sym__keyword_delete_token1] = ACTIONS(1764),
    [aux_sym__keyword_begin_token1] = ACTIONS(1764),
    [aux_sym__keyword_end_token1] = ACTIONS(1764),
    [aux_sym__keyword_between_token1] = ACTIONS(1764),
    [aux_sym__keyword_when_token1] = ACTIONS(1764),
    [aux_sym__keyword_else_token1] = ACTIONS(1766),
    [aux_sym__keyword_is_token1] = ACTIONS(1764),
    [aux_sym__keyword_in_token1] = ACTIONS(1766),
    [aux_sym__keyword_and_token1] = ACTIONS(1764),
    [aux_sym__keyword_like_token1] = ACTIONS(1764),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1764),
    [aux_sym__keyword_window_token1] = ACTIONS(1764),
    [aux_sym__keyword_for_token1] = ACTIONS(1764),
    [anon_sym_SEMI] = ACTIONS(1764),
    [aux_sym_declare_statement_token1] = ACTIONS(1764),
    [anon_sym_COMMA] = ACTIONS(1764),
    [aux_sym_set_statement_token1] = ACTIONS(1764),
    [anon_sym_LPAREN] = ACTIONS(1764),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1764),
    [aux_sym_return_satement_token1] = ACTIONS(1764),
    [aux_sym_call_statement_token1] = ACTIONS(1764),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1764),
    [aux_sym_if_statement_token1] = ACTIONS(1764),
    [aux_sym_loop_statement_token1] = ACTIONS(1764),
    [aux_sym_repeat_statement_token1] = ACTIONS(1764),
    [aux_sym_while_statement_token1] = ACTIONS(1764),
    [aux_sym_break_statement_token1] = ACTIONS(1764),
    [aux_sym_leave_statement_token1] = ACTIONS(1764),
    [aux_sym_continue_statement_token1] = ACTIONS(1764),
    [aux_sym_iterate_statement_token1] = ACTIONS(1764),
    [aux_sym_raise_statement_token1] = ACTIONS(1764),
    [anon_sym_EQ] = ACTIONS(1764),
    [aux_sym_assert_statement_token1] = ACTIONS(1764),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1764),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1764),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1764),
    [anon_sym_LT] = ACTIONS(1766),
    [anon_sym_GT] = ACTIONS(1766),
    [aux_sym_set_operation_token1] = ACTIONS(1764),
    [aux_sym_set_operation_token3] = ACTIONS(1764),
    [aux_sym_set_operation_token4] = ACTIONS(1766),
    [aux_sym_select_token1] = ACTIONS(1764),
    [aux_sym_having_clause_token1] = ACTIONS(1764),
    [aux_sym_qualify_clause_token1] = ACTIONS(1764),
    [aux_sym_limit_clause_token1] = ACTIONS(1764),
    [aux_sym_group_by_clause_token1] = ACTIONS(1764),
    [aux_sym__direction_keywords_token1] = ACTIONS(1764),
    [aux_sym__direction_keywords_token2] = ACTIONS(1764),
    [aux_sym__nulls_preference_token1] = ACTIONS(1764),
    [aux_sym_order_by_clause_token1] = ACTIONS(1764),
    [aux_sym_insert_statement_token1] = ACTIONS(1764),
    [aux_sym_truncate_statement_token1] = ACTIONS(1764),
    [aux_sym_update_statement_token1] = ACTIONS(1764),
    [aux_sym_merge_statement_token1] = ACTIONS(1764),
    [aux_sym_grant_statement_token1] = ACTIONS(1764),
    [aux_sym_revoke_statement_token1] = ACTIONS(1764),
    [aux_sym_export_data_statement_token1] = ACTIONS(1764),
    [aux_sym_load_data_statement_token1] = ACTIONS(1764),
    [anon_sym_LBRACK] = ACTIONS(1764),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_DASH] = ACTIONS(1766),
    [anon_sym_STAR] = ACTIONS(1764),
    [anon_sym_SLASH] = ACTIONS(1766),
    [anon_sym_PIPE_PIPE] = ACTIONS(1764),
    [anon_sym_LT_EQ] = ACTIONS(1764),
    [anon_sym_LT_GT] = ACTIONS(1764),
    [anon_sym_GT_EQ] = ACTIONS(1764),
    [anon_sym_BANG_EQ] = ACTIONS(1764),
    [anon_sym_LT_LT] = ACTIONS(1764),
    [anon_sym_GT_GT] = ACTIONS(1764),
    [anon_sym_AMP] = ACTIONS(1764),
    [anon_sym_CARET] = ACTIONS(1764),
    [anon_sym_PIPE] = ACTIONS(1766),
  },
  [2643] = {
    [ts_builtin_sym_end] = ACTIONS(1648),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1648),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1648),
    [aux_sym_keyword_replace_token1] = ACTIONS(1650),
    [aux_sym__keyword_alter_token1] = ACTIONS(1648),
    [aux_sym__keyword_delete_token1] = ACTIONS(1648),
    [aux_sym__keyword_begin_token1] = ACTIONS(1648),
    [aux_sym__keyword_end_token1] = ACTIONS(1648),
    [aux_sym__keyword_between_token1] = ACTIONS(1648),
    [aux_sym__keyword_when_token1] = ACTIONS(1648),
    [aux_sym__keyword_else_token1] = ACTIONS(1650),
    [aux_sym__keyword_is_token1] = ACTIONS(1648),
    [aux_sym__keyword_in_token1] = ACTIONS(1650),
    [aux_sym__keyword_and_token1] = ACTIONS(1648),
    [aux_sym__keyword_like_token1] = ACTIONS(1648),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1648),
    [aux_sym__keyword_window_token1] = ACTIONS(1648),
    [aux_sym__keyword_for_token1] = ACTIONS(1648),
    [anon_sym_SEMI] = ACTIONS(1648),
    [aux_sym_declare_statement_token1] = ACTIONS(1648),
    [anon_sym_COMMA] = ACTIONS(1648),
    [aux_sym_set_statement_token1] = ACTIONS(1648),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1648),
    [aux_sym_return_satement_token1] = ACTIONS(1648),
    [aux_sym_call_statement_token1] = ACTIONS(1648),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1648),
    [aux_sym_if_statement_token1] = ACTIONS(1648),
    [aux_sym_loop_statement_token1] = ACTIONS(1648),
    [aux_sym_repeat_statement_token1] = ACTIONS(1648),
    [aux_sym_while_statement_token1] = ACTIONS(1648),
    [aux_sym_break_statement_token1] = ACTIONS(1648),
    [aux_sym_leave_statement_token1] = ACTIONS(1648),
    [aux_sym_continue_statement_token1] = ACTIONS(1648),
    [aux_sym_iterate_statement_token1] = ACTIONS(1648),
    [aux_sym_raise_statement_token1] = ACTIONS(1648),
    [anon_sym_EQ] = ACTIONS(1648),
    [aux_sym_assert_statement_token1] = ACTIONS(1648),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1648),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1648),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1648),
    [anon_sym_LT] = ACTIONS(1650),
    [anon_sym_GT] = ACTIONS(1650),
    [aux_sym_set_operation_token1] = ACTIONS(1648),
    [aux_sym_set_operation_token3] = ACTIONS(1648),
    [aux_sym_set_operation_token4] = ACTIONS(1650),
    [aux_sym_select_token1] = ACTIONS(1648),
    [aux_sym_having_clause_token1] = ACTIONS(1648),
    [aux_sym_qualify_clause_token1] = ACTIONS(1648),
    [aux_sym_limit_clause_token1] = ACTIONS(1648),
    [aux_sym_group_by_clause_token1] = ACTIONS(1648),
    [aux_sym__direction_keywords_token1] = ACTIONS(1648),
    [aux_sym__direction_keywords_token2] = ACTIONS(1648),
    [aux_sym__nulls_preference_token1] = ACTIONS(1648),
    [aux_sym_order_by_clause_token1] = ACTIONS(1648),
    [aux_sym_insert_statement_token1] = ACTIONS(1648),
    [aux_sym_truncate_statement_token1] = ACTIONS(1648),
    [aux_sym_update_statement_token1] = ACTIONS(1648),
    [aux_sym_merge_statement_token1] = ACTIONS(1648),
    [aux_sym_grant_statement_token1] = ACTIONS(1648),
    [aux_sym_revoke_statement_token1] = ACTIONS(1648),
    [aux_sym_export_data_statement_token1] = ACTIONS(1648),
    [aux_sym_load_data_statement_token1] = ACTIONS(1648),
    [anon_sym_LBRACK] = ACTIONS(1648),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1648),
    [anon_sym_PLUS] = ACTIONS(1648),
    [anon_sym_DASH] = ACTIONS(1650),
    [anon_sym_STAR] = ACTIONS(1648),
    [anon_sym_SLASH] = ACTIONS(1650),
    [anon_sym_PIPE_PIPE] = ACTIONS(1648),
    [anon_sym_LT_EQ] = ACTIONS(1648),
    [anon_sym_LT_GT] = ACTIONS(1648),
    [anon_sym_GT_EQ] = ACTIONS(1648),
    [anon_sym_BANG_EQ] = ACTIONS(1648),
    [anon_sym_LT_LT] = ACTIONS(1648),
    [anon_sym_GT_GT] = ACTIONS(1648),
    [anon_sym_AMP] = ACTIONS(1648),
    [anon_sym_CARET] = ACTIONS(1648),
    [anon_sym_PIPE] = ACTIONS(1650),
  },
  [2644] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2645] = {
    [ts_builtin_sym_end] = ACTIONS(1594),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1594),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1594),
    [aux_sym_keyword_replace_token1] = ACTIONS(1596),
    [aux_sym__keyword_alter_token1] = ACTIONS(1594),
    [aux_sym__keyword_delete_token1] = ACTIONS(1594),
    [aux_sym__keyword_begin_token1] = ACTIONS(1594),
    [aux_sym__keyword_end_token1] = ACTIONS(1594),
    [aux_sym__keyword_between_token1] = ACTIONS(1594),
    [aux_sym__keyword_when_token1] = ACTIONS(1594),
    [aux_sym__keyword_else_token1] = ACTIONS(1596),
    [aux_sym__keyword_is_token1] = ACTIONS(1594),
    [aux_sym__keyword_in_token1] = ACTIONS(1596),
    [aux_sym__keyword_and_token1] = ACTIONS(1594),
    [aux_sym__keyword_like_token1] = ACTIONS(1594),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1594),
    [aux_sym__keyword_window_token1] = ACTIONS(1594),
    [aux_sym__keyword_for_token1] = ACTIONS(1594),
    [anon_sym_SEMI] = ACTIONS(1594),
    [aux_sym_declare_statement_token1] = ACTIONS(1594),
    [anon_sym_COMMA] = ACTIONS(1594),
    [aux_sym_set_statement_token1] = ACTIONS(1594),
    [anon_sym_LPAREN] = ACTIONS(1594),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1594),
    [aux_sym_return_satement_token1] = ACTIONS(1594),
    [aux_sym_call_statement_token1] = ACTIONS(1594),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1594),
    [aux_sym_if_statement_token1] = ACTIONS(1594),
    [aux_sym_loop_statement_token1] = ACTIONS(1594),
    [aux_sym_repeat_statement_token1] = ACTIONS(1594),
    [aux_sym_while_statement_token1] = ACTIONS(1594),
    [aux_sym_break_statement_token1] = ACTIONS(1594),
    [aux_sym_leave_statement_token1] = ACTIONS(1594),
    [aux_sym_continue_statement_token1] = ACTIONS(1594),
    [aux_sym_iterate_statement_token1] = ACTIONS(1594),
    [aux_sym_raise_statement_token1] = ACTIONS(1594),
    [anon_sym_EQ] = ACTIONS(1594),
    [aux_sym_assert_statement_token1] = ACTIONS(1594),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1594),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1594),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1594),
    [anon_sym_LT] = ACTIONS(1596),
    [anon_sym_GT] = ACTIONS(1596),
    [aux_sym_set_operation_token1] = ACTIONS(1594),
    [aux_sym_set_operation_token3] = ACTIONS(1594),
    [aux_sym_set_operation_token4] = ACTIONS(1596),
    [aux_sym_select_token1] = ACTIONS(1594),
    [aux_sym_having_clause_token1] = ACTIONS(1594),
    [aux_sym_qualify_clause_token1] = ACTIONS(1594),
    [aux_sym_limit_clause_token1] = ACTIONS(1594),
    [aux_sym_group_by_clause_token1] = ACTIONS(1594),
    [aux_sym__direction_keywords_token1] = ACTIONS(1594),
    [aux_sym__direction_keywords_token2] = ACTIONS(1594),
    [aux_sym__nulls_preference_token1] = ACTIONS(1594),
    [aux_sym_order_by_clause_token1] = ACTIONS(1594),
    [aux_sym_insert_statement_token1] = ACTIONS(1594),
    [aux_sym_truncate_statement_token1] = ACTIONS(1594),
    [aux_sym_update_statement_token1] = ACTIONS(1594),
    [aux_sym_merge_statement_token1] = ACTIONS(1594),
    [aux_sym_grant_statement_token1] = ACTIONS(1594),
    [aux_sym_revoke_statement_token1] = ACTIONS(1594),
    [aux_sym_export_data_statement_token1] = ACTIONS(1594),
    [aux_sym_load_data_statement_token1] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1594),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1594),
    [anon_sym_PLUS] = ACTIONS(1594),
    [anon_sym_DASH] = ACTIONS(1596),
    [anon_sym_STAR] = ACTIONS(1594),
    [anon_sym_SLASH] = ACTIONS(1596),
    [anon_sym_PIPE_PIPE] = ACTIONS(1594),
    [anon_sym_LT_EQ] = ACTIONS(1594),
    [anon_sym_LT_GT] = ACTIONS(1594),
    [anon_sym_GT_EQ] = ACTIONS(1594),
    [anon_sym_BANG_EQ] = ACTIONS(1594),
    [anon_sym_LT_LT] = ACTIONS(1594),
    [anon_sym_GT_GT] = ACTIONS(1594),
    [anon_sym_AMP] = ACTIONS(1594),
    [anon_sym_CARET] = ACTIONS(1594),
    [anon_sym_PIPE] = ACTIONS(1596),
  },
  [2646] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2647] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2648] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2649] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2650] = {
    [ts_builtin_sym_end] = ACTIONS(1590),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1590),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1590),
    [aux_sym_keyword_replace_token1] = ACTIONS(1592),
    [aux_sym__keyword_alter_token1] = ACTIONS(1590),
    [aux_sym__keyword_delete_token1] = ACTIONS(1590),
    [aux_sym__keyword_begin_token1] = ACTIONS(1590),
    [aux_sym__keyword_end_token1] = ACTIONS(1590),
    [aux_sym__keyword_between_token1] = ACTIONS(1590),
    [aux_sym__keyword_when_token1] = ACTIONS(1590),
    [aux_sym__keyword_else_token1] = ACTIONS(1592),
    [aux_sym__keyword_is_token1] = ACTIONS(1590),
    [aux_sym__keyword_in_token1] = ACTIONS(1592),
    [aux_sym__keyword_and_token1] = ACTIONS(1590),
    [aux_sym__keyword_like_token1] = ACTIONS(1590),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1590),
    [aux_sym__keyword_window_token1] = ACTIONS(1590),
    [aux_sym__keyword_for_token1] = ACTIONS(1590),
    [anon_sym_SEMI] = ACTIONS(1590),
    [aux_sym_declare_statement_token1] = ACTIONS(1590),
    [anon_sym_COMMA] = ACTIONS(1590),
    [aux_sym_set_statement_token1] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1590),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1590),
    [aux_sym_return_satement_token1] = ACTIONS(1590),
    [aux_sym_call_statement_token1] = ACTIONS(1590),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1590),
    [aux_sym_if_statement_token1] = ACTIONS(1590),
    [aux_sym_loop_statement_token1] = ACTIONS(1590),
    [aux_sym_repeat_statement_token1] = ACTIONS(1590),
    [aux_sym_while_statement_token1] = ACTIONS(1590),
    [aux_sym_break_statement_token1] = ACTIONS(1590),
    [aux_sym_leave_statement_token1] = ACTIONS(1590),
    [aux_sym_continue_statement_token1] = ACTIONS(1590),
    [aux_sym_iterate_statement_token1] = ACTIONS(1590),
    [aux_sym_raise_statement_token1] = ACTIONS(1590),
    [anon_sym_EQ] = ACTIONS(1590),
    [aux_sym_assert_statement_token1] = ACTIONS(1590),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1590),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1590),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1590),
    [anon_sym_LT] = ACTIONS(1592),
    [anon_sym_GT] = ACTIONS(1592),
    [aux_sym_set_operation_token1] = ACTIONS(1590),
    [aux_sym_set_operation_token3] = ACTIONS(1590),
    [aux_sym_set_operation_token4] = ACTIONS(1592),
    [aux_sym_select_token1] = ACTIONS(1590),
    [aux_sym_having_clause_token1] = ACTIONS(1590),
    [aux_sym_qualify_clause_token1] = ACTIONS(1590),
    [aux_sym_limit_clause_token1] = ACTIONS(1590),
    [aux_sym_group_by_clause_token1] = ACTIONS(1590),
    [aux_sym__direction_keywords_token1] = ACTIONS(1590),
    [aux_sym__direction_keywords_token2] = ACTIONS(1590),
    [aux_sym__nulls_preference_token1] = ACTIONS(1590),
    [aux_sym_order_by_clause_token1] = ACTIONS(1590),
    [aux_sym_insert_statement_token1] = ACTIONS(1590),
    [aux_sym_truncate_statement_token1] = ACTIONS(1590),
    [aux_sym_update_statement_token1] = ACTIONS(1590),
    [aux_sym_merge_statement_token1] = ACTIONS(1590),
    [aux_sym_grant_statement_token1] = ACTIONS(1590),
    [aux_sym_revoke_statement_token1] = ACTIONS(1590),
    [aux_sym_export_data_statement_token1] = ACTIONS(1590),
    [aux_sym_load_data_statement_token1] = ACTIONS(1590),
    [anon_sym_LBRACK] = ACTIONS(1590),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1590),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1592),
    [anon_sym_STAR] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(1592),
    [anon_sym_PIPE_PIPE] = ACTIONS(1590),
    [anon_sym_LT_EQ] = ACTIONS(1590),
    [anon_sym_LT_GT] = ACTIONS(1590),
    [anon_sym_GT_EQ] = ACTIONS(1590),
    [anon_sym_BANG_EQ] = ACTIONS(1590),
    [anon_sym_LT_LT] = ACTIONS(1590),
    [anon_sym_GT_GT] = ACTIONS(1590),
    [anon_sym_AMP] = ACTIONS(1590),
    [anon_sym_CARET] = ACTIONS(1590),
    [anon_sym_PIPE] = ACTIONS(1592),
  },
  [2651] = {
    [sym__keyword_between] = STATE(1742),
    [sym__keyword_is] = STATE(12053),
    [sym__keyword_in] = STATE(1576),
    [sym__keyword_not] = STATE(13192),
    [sym__keyword_and] = STATE(1595),
    [sym__keyword_or] = STATE(1596),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [ts_builtin_sym_end] = ACTIONS(1027),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1027),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(341),
    [aux_sym__keyword_alter_token1] = ACTIONS(1027),
    [aux_sym__keyword_delete_token1] = ACTIONS(1027),
    [aux_sym__keyword_begin_token1] = ACTIONS(1027),
    [aux_sym__keyword_between_token1] = ACTIONS(2960),
    [aux_sym__keyword_when_token1] = ACTIONS(1027),
    [aux_sym__keyword_is_token1] = ACTIONS(2962),
    [aux_sym__keyword_in_token1] = ACTIONS(2964),
    [aux_sym__keyword_and_token1] = ACTIONS(2966),
    [aux_sym__keyword_like_token1] = ACTIONS(1027),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1027),
    [aux_sym__keyword_window_token1] = ACTIONS(1027),
    [aux_sym__keyword_for_token1] = ACTIONS(1027),
    [anon_sym_SEMI] = ACTIONS(1027),
    [aux_sym_declare_statement_token1] = ACTIONS(1027),
    [aux_sym_set_statement_token1] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1027),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1027),
    [aux_sym_return_satement_token1] = ACTIONS(1027),
    [aux_sym_call_statement_token1] = ACTIONS(1027),
    [aux_sym_loop_statement_token1] = ACTIONS(1027),
    [aux_sym_while_statement_token1] = ACTIONS(1027),
    [aux_sym_break_statement_token1] = ACTIONS(1027),
    [aux_sym_leave_statement_token1] = ACTIONS(1027),
    [aux_sym_continue_statement_token1] = ACTIONS(1027),
    [aux_sym_iterate_statement_token1] = ACTIONS(1027),
    [aux_sym_raise_statement_token1] = ACTIONS(1027),
    [anon_sym_EQ] = ACTIONS(2968),
    [aux_sym_assert_statement_token1] = ACTIONS(1027),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1027),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1027),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1027),
    [anon_sym_LT] = ACTIONS(2964),
    [anon_sym_GT] = ACTIONS(2964),
    [aux_sym_set_operation_token1] = ACTIONS(1027),
    [aux_sym_set_operation_token3] = ACTIONS(1027),
    [aux_sym_set_operation_token4] = ACTIONS(1027),
    [aux_sym_select_token1] = ACTIONS(1027),
    [aux_sym_having_clause_token1] = ACTIONS(1027),
    [aux_sym_qualify_clause_token1] = ACTIONS(1027),
    [aux_sym_limit_clause_token1] = ACTIONS(1027),
    [aux_sym_group_by_clause_token1] = ACTIONS(1027),
    [aux_sym_order_by_clause_token1] = ACTIONS(1027),
    [aux_sym_insert_statement_token1] = ACTIONS(1027),
    [aux_sym_truncate_statement_token1] = ACTIONS(1027),
    [aux_sym_update_statement_token1] = ACTIONS(1027),
    [aux_sym_merge_statement_token1] = ACTIONS(1027),
    [aux_sym_grant_statement_token1] = ACTIONS(1027),
    [aux_sym_revoke_statement_token1] = ACTIONS(1027),
    [aux_sym_export_data_statement_token1] = ACTIONS(1027),
    [aux_sym_load_data_statement_token1] = ACTIONS(1027),
    [anon_sym_LBRACK] = ACTIONS(1027),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(2944),
    [anon_sym_DASH] = ACTIONS(2946),
    [anon_sym_STAR] = ACTIONS(2948),
    [anon_sym_SLASH] = ACTIONS(2950),
    [anon_sym_PIPE_PIPE] = ACTIONS(2948),
    [anon_sym_LT_EQ] = ACTIONS(2968),
    [anon_sym_LT_GT] = ACTIONS(2968),
    [anon_sym_GT_EQ] = ACTIONS(2968),
    [anon_sym_BANG_EQ] = ACTIONS(2968),
    [anon_sym_LT_LT] = ACTIONS(2952),
    [anon_sym_GT_GT] = ACTIONS(2952),
    [anon_sym_AMP] = ACTIONS(2954),
    [anon_sym_CARET] = ACTIONS(2956),
    [anon_sym_PIPE] = ACTIONS(2958),
  },
  [2652] = {
    [ts_builtin_sym_end] = ACTIONS(1540),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1540),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1540),
    [aux_sym_keyword_replace_token1] = ACTIONS(1542),
    [aux_sym__keyword_alter_token1] = ACTIONS(1540),
    [aux_sym__keyword_delete_token1] = ACTIONS(1540),
    [aux_sym__keyword_begin_token1] = ACTIONS(1540),
    [aux_sym__keyword_end_token1] = ACTIONS(1540),
    [aux_sym__keyword_between_token1] = ACTIONS(1540),
    [aux_sym__keyword_when_token1] = ACTIONS(1540),
    [aux_sym__keyword_else_token1] = ACTIONS(1542),
    [aux_sym__keyword_is_token1] = ACTIONS(1540),
    [aux_sym__keyword_in_token1] = ACTIONS(1542),
    [aux_sym__keyword_and_token1] = ACTIONS(1540),
    [aux_sym__keyword_like_token1] = ACTIONS(1540),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1540),
    [aux_sym__keyword_window_token1] = ACTIONS(1540),
    [aux_sym__keyword_for_token1] = ACTIONS(1540),
    [anon_sym_SEMI] = ACTIONS(1540),
    [aux_sym_declare_statement_token1] = ACTIONS(1540),
    [anon_sym_COMMA] = ACTIONS(1540),
    [aux_sym_set_statement_token1] = ACTIONS(1540),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1540),
    [aux_sym_return_satement_token1] = ACTIONS(1540),
    [aux_sym_call_statement_token1] = ACTIONS(1540),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1540),
    [aux_sym_if_statement_token1] = ACTIONS(1540),
    [aux_sym_loop_statement_token1] = ACTIONS(1540),
    [aux_sym_repeat_statement_token1] = ACTIONS(1540),
    [aux_sym_while_statement_token1] = ACTIONS(1540),
    [aux_sym_break_statement_token1] = ACTIONS(1540),
    [aux_sym_leave_statement_token1] = ACTIONS(1540),
    [aux_sym_continue_statement_token1] = ACTIONS(1540),
    [aux_sym_iterate_statement_token1] = ACTIONS(1540),
    [aux_sym_raise_statement_token1] = ACTIONS(1540),
    [anon_sym_EQ] = ACTIONS(1540),
    [aux_sym_assert_statement_token1] = ACTIONS(1540),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1540),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1540),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1540),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_GT] = ACTIONS(1542),
    [aux_sym_set_operation_token1] = ACTIONS(1540),
    [aux_sym_set_operation_token3] = ACTIONS(1540),
    [aux_sym_set_operation_token4] = ACTIONS(1542),
    [aux_sym_select_token1] = ACTIONS(1540),
    [aux_sym_having_clause_token1] = ACTIONS(1540),
    [aux_sym_qualify_clause_token1] = ACTIONS(1540),
    [aux_sym_limit_clause_token1] = ACTIONS(1540),
    [aux_sym_group_by_clause_token1] = ACTIONS(1540),
    [aux_sym__direction_keywords_token1] = ACTIONS(1540),
    [aux_sym__direction_keywords_token2] = ACTIONS(1540),
    [aux_sym__nulls_preference_token1] = ACTIONS(1540),
    [aux_sym_order_by_clause_token1] = ACTIONS(1540),
    [aux_sym_insert_statement_token1] = ACTIONS(1540),
    [aux_sym_truncate_statement_token1] = ACTIONS(1540),
    [aux_sym_update_statement_token1] = ACTIONS(1540),
    [aux_sym_merge_statement_token1] = ACTIONS(1540),
    [aux_sym_grant_statement_token1] = ACTIONS(1540),
    [aux_sym_revoke_statement_token1] = ACTIONS(1540),
    [aux_sym_export_data_statement_token1] = ACTIONS(1540),
    [aux_sym_load_data_statement_token1] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1540),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(1540),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(1542),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_LT_EQ] = ACTIONS(1540),
    [anon_sym_LT_GT] = ACTIONS(1540),
    [anon_sym_GT_EQ] = ACTIONS(1540),
    [anon_sym_BANG_EQ] = ACTIONS(1540),
    [anon_sym_LT_LT] = ACTIONS(1540),
    [anon_sym_GT_GT] = ACTIONS(1540),
    [anon_sym_AMP] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(1540),
    [anon_sym_PIPE] = ACTIONS(1542),
  },
  [2653] = {
    [ts_builtin_sym_end] = ACTIONS(1652),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1652),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1652),
    [aux_sym_keyword_replace_token1] = ACTIONS(1654),
    [aux_sym__keyword_alter_token1] = ACTIONS(1652),
    [aux_sym__keyword_delete_token1] = ACTIONS(1652),
    [aux_sym__keyword_begin_token1] = ACTIONS(1652),
    [aux_sym__keyword_end_token1] = ACTIONS(1652),
    [aux_sym__keyword_between_token1] = ACTIONS(1652),
    [aux_sym__keyword_when_token1] = ACTIONS(1652),
    [aux_sym__keyword_else_token1] = ACTIONS(1654),
    [aux_sym__keyword_is_token1] = ACTIONS(1652),
    [aux_sym__keyword_in_token1] = ACTIONS(1654),
    [aux_sym__keyword_and_token1] = ACTIONS(1652),
    [aux_sym__keyword_like_token1] = ACTIONS(1652),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1652),
    [aux_sym__keyword_window_token1] = ACTIONS(1652),
    [aux_sym__keyword_for_token1] = ACTIONS(1652),
    [anon_sym_SEMI] = ACTIONS(1652),
    [aux_sym_declare_statement_token1] = ACTIONS(1652),
    [anon_sym_COMMA] = ACTIONS(1652),
    [aux_sym_set_statement_token1] = ACTIONS(1652),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1652),
    [aux_sym_return_satement_token1] = ACTIONS(1652),
    [aux_sym_call_statement_token1] = ACTIONS(1652),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1652),
    [aux_sym_if_statement_token1] = ACTIONS(1652),
    [aux_sym_loop_statement_token1] = ACTIONS(1652),
    [aux_sym_repeat_statement_token1] = ACTIONS(1652),
    [aux_sym_while_statement_token1] = ACTIONS(1652),
    [aux_sym_break_statement_token1] = ACTIONS(1652),
    [aux_sym_leave_statement_token1] = ACTIONS(1652),
    [aux_sym_continue_statement_token1] = ACTIONS(1652),
    [aux_sym_iterate_statement_token1] = ACTIONS(1652),
    [aux_sym_raise_statement_token1] = ACTIONS(1652),
    [anon_sym_EQ] = ACTIONS(1652),
    [aux_sym_assert_statement_token1] = ACTIONS(1652),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1652),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1652),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1652),
    [anon_sym_LT] = ACTIONS(1654),
    [anon_sym_GT] = ACTIONS(1654),
    [aux_sym_set_operation_token1] = ACTIONS(1652),
    [aux_sym_set_operation_token3] = ACTIONS(1652),
    [aux_sym_set_operation_token4] = ACTIONS(1654),
    [aux_sym_select_token1] = ACTIONS(1652),
    [aux_sym_having_clause_token1] = ACTIONS(1652),
    [aux_sym_qualify_clause_token1] = ACTIONS(1652),
    [aux_sym_limit_clause_token1] = ACTIONS(1652),
    [aux_sym_group_by_clause_token1] = ACTIONS(1652),
    [aux_sym__direction_keywords_token1] = ACTIONS(1652),
    [aux_sym__direction_keywords_token2] = ACTIONS(1652),
    [aux_sym__nulls_preference_token1] = ACTIONS(1652),
    [aux_sym_order_by_clause_token1] = ACTIONS(1652),
    [aux_sym_insert_statement_token1] = ACTIONS(1652),
    [aux_sym_truncate_statement_token1] = ACTIONS(1652),
    [aux_sym_update_statement_token1] = ACTIONS(1652),
    [aux_sym_merge_statement_token1] = ACTIONS(1652),
    [aux_sym_grant_statement_token1] = ACTIONS(1652),
    [aux_sym_revoke_statement_token1] = ACTIONS(1652),
    [aux_sym_export_data_statement_token1] = ACTIONS(1652),
    [aux_sym_load_data_statement_token1] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1652),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1652),
    [anon_sym_PLUS] = ACTIONS(1652),
    [anon_sym_DASH] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(1652),
    [anon_sym_SLASH] = ACTIONS(1654),
    [anon_sym_PIPE_PIPE] = ACTIONS(1652),
    [anon_sym_LT_EQ] = ACTIONS(1652),
    [anon_sym_LT_GT] = ACTIONS(1652),
    [anon_sym_GT_EQ] = ACTIONS(1652),
    [anon_sym_BANG_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT] = ACTIONS(1652),
    [anon_sym_GT_GT] = ACTIONS(1652),
    [anon_sym_AMP] = ACTIONS(1652),
    [anon_sym_CARET] = ACTIONS(1652),
    [anon_sym_PIPE] = ACTIONS(1654),
  },
  [2654] = {
    [sym__keyword_as] = STATE(11547),
    [sym__keyword_date] = STATE(580),
    [sym__keyword_datetime] = STATE(580),
    [sym__keyword_time] = STATE(580),
    [sym__keyword_timestamp] = STATE(580),
    [sym_as_alias] = STATE(5263),
    [sym__type_chrono] = STATE(461),
    [sym__identifier] = STATE(2405),
    [sym__dotted_identifier] = STATE(13807),
    [sym_identifier] = STATE(607),
    [aux_sym_identifier_repeat1] = STATE(13807),
    [sym__unquoted_identifier] = ACTIONS(335),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(2970),
    [aux_sym__keyword_alter_token1] = ACTIONS(2970),
    [aux_sym__keyword_delete_token1] = ACTIONS(2970),
    [aux_sym__keyword_begin_token1] = ACTIONS(2970),
    [aux_sym__keyword_end_token1] = ACTIONS(2970),
    [aux_sym__keyword_when_token1] = ACTIONS(2970),
    [aux_sym__keyword_else_token1] = ACTIONS(2970),
    [aux_sym__keyword_repeat_token1] = ACTIONS(2970),
    [aux_sym__keyword_as_token1] = ACTIONS(2932),
    [aux_sym__keyword_window_token1] = ACTIONS(2970),
    [aux_sym__keyword_date_token1] = ACTIONS(209),
    [aux_sym__keyword_datetime_token1] = ACTIONS(209),
    [aux_sym__keyword_time_token1] = ACTIONS(209),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(209),
    [aux_sym__keyword_for_token1] = ACTIONS(2970),
    [anon_sym_SEMI] = ACTIONS(2972),
    [aux_sym_declare_statement_token1] = ACTIONS(2970),
    [anon_sym_COMMA] = ACTIONS(2972),
    [aux_sym_set_statement_token1] = ACTIONS(2970),
    [anon_sym_LPAREN] = ACTIONS(2972),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(2970),
    [aux_sym_using_clause_token1] = ACTIONS(2970),
    [aux_sym_return_satement_token1] = ACTIONS(2970),
    [aux_sym_call_statement_token1] = ACTIONS(2970),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(2970),
    [aux_sym_if_statement_token1] = ACTIONS(2970),
    [aux_sym_loop_statement_token1] = ACTIONS(2970),
    [aux_sym_repeat_statement_token1] = ACTIONS(2970),
    [aux_sym_while_statement_token1] = ACTIONS(2970),
    [aux_sym_break_statement_token1] = ACTIONS(2970),
    [aux_sym_leave_statement_token1] = ACTIONS(2970),
    [aux_sym_continue_statement_token1] = ACTIONS(2970),
    [aux_sym_iterate_statement_token1] = ACTIONS(2970),
    [aux_sym_raise_statement_token1] = ACTIONS(2970),
    [aux_sym_assert_statement_token1] = ACTIONS(2970),
    [aux_sym_create_schema_statement_token1] = ACTIONS(2970),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(2970),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2970),
    [aux_sym_set_operation_token1] = ACTIONS(2970),
    [aux_sym_set_operation_token3] = ACTIONS(2970),
    [aux_sym_set_operation_token4] = ACTIONS(2970),
    [aux_sym_select_token1] = ACTIONS(2970),
    [aux_sym_having_clause_token1] = ACTIONS(2970),
    [aux_sym_qualify_clause_token1] = ACTIONS(2970),
    [aux_sym_limit_clause_token1] = ACTIONS(2970),
    [aux_sym_group_by_clause_token1] = ACTIONS(2970),
    [aux_sym_order_by_clause_token1] = ACTIONS(2970),
    [aux_sym_where_clause_token1] = ACTIONS(2970),
    [aux_sym_pivot_operator_token1] = ACTIONS(2970),
    [aux_sym_unpivot_operator_token1] = ACTIONS(2970),
    [aux_sym_tablesample_operator_token1] = ACTIONS(2970),
    [aux_sym_join_type_token1] = ACTIONS(2970),
    [aux_sym_join_type_token2] = ACTIONS(2970),
    [aux_sym_join_type_token3] = ACTIONS(2970),
    [aux_sym_join_type_token4] = ACTIONS(2970),
    [aux_sym__cross_join_operation_token1] = ACTIONS(2970),
    [aux_sym__cross_join_operation_token2] = ACTIONS(2970),
    [aux_sym_join_condition_token1] = ACTIONS(2970),
    [aux_sym_insert_statement_token1] = ACTIONS(2970),
    [aux_sym_truncate_statement_token1] = ACTIONS(2970),
    [aux_sym_update_statement_token1] = ACTIONS(2970),
    [aux_sym_merge_statement_token1] = ACTIONS(2970),
    [aux_sym_grant_statement_token1] = ACTIONS(2970),
    [aux_sym_revoke_statement_token1] = ACTIONS(2970),
    [aux_sym_export_data_statement_token1] = ACTIONS(2970),
    [aux_sym_load_data_statement_token1] = ACTIONS(2970),
    [sym__quoted_identifier] = ACTIONS(363),
    [sym_comment] = ACTIONS(3),
  },
  [2655] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2656] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2657] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2658] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2659] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2660] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2661] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2662] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2663] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2664] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2665] = {
    [ts_builtin_sym_end] = ACTIONS(1768),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1768),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1768),
    [aux_sym_keyword_replace_token1] = ACTIONS(1770),
    [aux_sym__keyword_alter_token1] = ACTIONS(1768),
    [aux_sym__keyword_delete_token1] = ACTIONS(1768),
    [aux_sym__keyword_begin_token1] = ACTIONS(1768),
    [aux_sym__keyword_end_token1] = ACTIONS(1768),
    [aux_sym__keyword_between_token1] = ACTIONS(1768),
    [aux_sym__keyword_when_token1] = ACTIONS(1768),
    [aux_sym__keyword_else_token1] = ACTIONS(1770),
    [aux_sym__keyword_is_token1] = ACTIONS(1768),
    [aux_sym__keyword_in_token1] = ACTIONS(1770),
    [aux_sym__keyword_and_token1] = ACTIONS(1768),
    [aux_sym__keyword_like_token1] = ACTIONS(1768),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1768),
    [aux_sym__keyword_window_token1] = ACTIONS(1768),
    [aux_sym__keyword_for_token1] = ACTIONS(1768),
    [anon_sym_SEMI] = ACTIONS(1768),
    [aux_sym_declare_statement_token1] = ACTIONS(1768),
    [anon_sym_COMMA] = ACTIONS(1768),
    [aux_sym_set_statement_token1] = ACTIONS(1768),
    [anon_sym_LPAREN] = ACTIONS(1768),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1768),
    [aux_sym_return_satement_token1] = ACTIONS(1768),
    [aux_sym_call_statement_token1] = ACTIONS(1768),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1768),
    [aux_sym_if_statement_token1] = ACTIONS(1768),
    [aux_sym_loop_statement_token1] = ACTIONS(1768),
    [aux_sym_repeat_statement_token1] = ACTIONS(1768),
    [aux_sym_while_statement_token1] = ACTIONS(1768),
    [aux_sym_break_statement_token1] = ACTIONS(1768),
    [aux_sym_leave_statement_token1] = ACTIONS(1768),
    [aux_sym_continue_statement_token1] = ACTIONS(1768),
    [aux_sym_iterate_statement_token1] = ACTIONS(1768),
    [aux_sym_raise_statement_token1] = ACTIONS(1768),
    [anon_sym_EQ] = ACTIONS(1768),
    [aux_sym_assert_statement_token1] = ACTIONS(1768),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1768),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1768),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1768),
    [anon_sym_LT] = ACTIONS(1770),
    [anon_sym_GT] = ACTIONS(1770),
    [aux_sym_set_operation_token1] = ACTIONS(1768),
    [aux_sym_set_operation_token3] = ACTIONS(1768),
    [aux_sym_set_operation_token4] = ACTIONS(1770),
    [aux_sym_select_token1] = ACTIONS(1768),
    [aux_sym_having_clause_token1] = ACTIONS(1768),
    [aux_sym_qualify_clause_token1] = ACTIONS(1768),
    [aux_sym_limit_clause_token1] = ACTIONS(1768),
    [aux_sym_group_by_clause_token1] = ACTIONS(1768),
    [aux_sym__direction_keywords_token1] = ACTIONS(1768),
    [aux_sym__direction_keywords_token2] = ACTIONS(1768),
    [aux_sym__nulls_preference_token1] = ACTIONS(1768),
    [aux_sym_order_by_clause_token1] = ACTIONS(1768),
    [aux_sym_insert_statement_token1] = ACTIONS(1768),
    [aux_sym_truncate_statement_token1] = ACTIONS(1768),
    [aux_sym_update_statement_token1] = ACTIONS(1768),
    [aux_sym_merge_statement_token1] = ACTIONS(1768),
    [aux_sym_grant_statement_token1] = ACTIONS(1768),
    [aux_sym_revoke_statement_token1] = ACTIONS(1768),
    [aux_sym_export_data_statement_token1] = ACTIONS(1768),
    [aux_sym_load_data_statement_token1] = ACTIONS(1768),
    [anon_sym_LBRACK] = ACTIONS(1768),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1768),
    [anon_sym_PLUS] = ACTIONS(1768),
    [anon_sym_DASH] = ACTIONS(1770),
    [anon_sym_STAR] = ACTIONS(1768),
    [anon_sym_SLASH] = ACTIONS(1770),
    [anon_sym_PIPE_PIPE] = ACTIONS(1768),
    [anon_sym_LT_EQ] = ACTIONS(1768),
    [anon_sym_LT_GT] = ACTIONS(1768),
    [anon_sym_GT_EQ] = ACTIONS(1768),
    [anon_sym_BANG_EQ] = ACTIONS(1768),
    [anon_sym_LT_LT] = ACTIONS(1768),
    [anon_sym_GT_GT] = ACTIONS(1768),
    [anon_sym_AMP] = ACTIONS(1768),
    [anon_sym_CARET] = ACTIONS(1768),
    [anon_sym_PIPE] = ACTIONS(1770),
  },
  [2666] = {
    [ts_builtin_sym_end] = ACTIONS(1850),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1850),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1850),
    [aux_sym_keyword_replace_token1] = ACTIONS(1852),
    [aux_sym__keyword_alter_token1] = ACTIONS(1850),
    [aux_sym__keyword_delete_token1] = ACTIONS(1850),
    [aux_sym__keyword_begin_token1] = ACTIONS(1850),
    [aux_sym__keyword_end_token1] = ACTIONS(1850),
    [aux_sym__keyword_between_token1] = ACTIONS(1850),
    [aux_sym__keyword_when_token1] = ACTIONS(1850),
    [aux_sym__keyword_else_token1] = ACTIONS(1852),
    [aux_sym__keyword_is_token1] = ACTIONS(1850),
    [aux_sym__keyword_in_token1] = ACTIONS(1852),
    [aux_sym__keyword_and_token1] = ACTIONS(1850),
    [aux_sym__keyword_like_token1] = ACTIONS(1850),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1850),
    [aux_sym__keyword_window_token1] = ACTIONS(1850),
    [aux_sym__keyword_for_token1] = ACTIONS(1850),
    [anon_sym_SEMI] = ACTIONS(1850),
    [aux_sym_declare_statement_token1] = ACTIONS(1850),
    [anon_sym_COMMA] = ACTIONS(1850),
    [aux_sym_set_statement_token1] = ACTIONS(1850),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1850),
    [aux_sym_return_satement_token1] = ACTIONS(1850),
    [aux_sym_call_statement_token1] = ACTIONS(1850),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1850),
    [aux_sym_if_statement_token1] = ACTIONS(1850),
    [aux_sym_loop_statement_token1] = ACTIONS(1850),
    [aux_sym_repeat_statement_token1] = ACTIONS(1850),
    [aux_sym_while_statement_token1] = ACTIONS(1850),
    [aux_sym_break_statement_token1] = ACTIONS(1850),
    [aux_sym_leave_statement_token1] = ACTIONS(1850),
    [aux_sym_continue_statement_token1] = ACTIONS(1850),
    [aux_sym_iterate_statement_token1] = ACTIONS(1850),
    [aux_sym_raise_statement_token1] = ACTIONS(1850),
    [anon_sym_EQ] = ACTIONS(1850),
    [aux_sym_assert_statement_token1] = ACTIONS(1850),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1850),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1850),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1850),
    [anon_sym_LT] = ACTIONS(1852),
    [anon_sym_GT] = ACTIONS(1852),
    [aux_sym_set_operation_token1] = ACTIONS(1850),
    [aux_sym_set_operation_token3] = ACTIONS(1850),
    [aux_sym_set_operation_token4] = ACTIONS(1852),
    [aux_sym_select_token1] = ACTIONS(1850),
    [aux_sym_having_clause_token1] = ACTIONS(1850),
    [aux_sym_qualify_clause_token1] = ACTIONS(1850),
    [aux_sym_limit_clause_token1] = ACTIONS(1850),
    [aux_sym_group_by_clause_token1] = ACTIONS(1850),
    [aux_sym__direction_keywords_token1] = ACTIONS(1850),
    [aux_sym__direction_keywords_token2] = ACTIONS(1850),
    [aux_sym__nulls_preference_token1] = ACTIONS(1850),
    [aux_sym_order_by_clause_token1] = ACTIONS(1850),
    [aux_sym_insert_statement_token1] = ACTIONS(1850),
    [aux_sym_truncate_statement_token1] = ACTIONS(1850),
    [aux_sym_update_statement_token1] = ACTIONS(1850),
    [aux_sym_merge_statement_token1] = ACTIONS(1850),
    [aux_sym_grant_statement_token1] = ACTIONS(1850),
    [aux_sym_revoke_statement_token1] = ACTIONS(1850),
    [aux_sym_export_data_statement_token1] = ACTIONS(1850),
    [aux_sym_load_data_statement_token1] = ACTIONS(1850),
    [anon_sym_LBRACK] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1850),
    [anon_sym_PLUS] = ACTIONS(1850),
    [anon_sym_DASH] = ACTIONS(1852),
    [anon_sym_STAR] = ACTIONS(1850),
    [anon_sym_SLASH] = ACTIONS(1852),
    [anon_sym_PIPE_PIPE] = ACTIONS(1850),
    [anon_sym_LT_EQ] = ACTIONS(1850),
    [anon_sym_LT_GT] = ACTIONS(1850),
    [anon_sym_GT_EQ] = ACTIONS(1850),
    [anon_sym_BANG_EQ] = ACTIONS(1850),
    [anon_sym_LT_LT] = ACTIONS(1850),
    [anon_sym_GT_GT] = ACTIONS(1850),
    [anon_sym_AMP] = ACTIONS(1850),
    [anon_sym_CARET] = ACTIONS(1850),
    [anon_sym_PIPE] = ACTIONS(1852),
  },
  [2667] = {
    [ts_builtin_sym_end] = ACTIONS(1656),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1656),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1656),
    [aux_sym_keyword_replace_token1] = ACTIONS(1658),
    [aux_sym__keyword_alter_token1] = ACTIONS(1656),
    [aux_sym__keyword_delete_token1] = ACTIONS(1656),
    [aux_sym__keyword_begin_token1] = ACTIONS(1656),
    [aux_sym__keyword_end_token1] = ACTIONS(1656),
    [aux_sym__keyword_between_token1] = ACTIONS(1656),
    [aux_sym__keyword_when_token1] = ACTIONS(1656),
    [aux_sym__keyword_else_token1] = ACTIONS(1658),
    [aux_sym__keyword_is_token1] = ACTIONS(1656),
    [aux_sym__keyword_in_token1] = ACTIONS(1658),
    [aux_sym__keyword_and_token1] = ACTIONS(1656),
    [aux_sym__keyword_like_token1] = ACTIONS(1656),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1656),
    [aux_sym__keyword_window_token1] = ACTIONS(1656),
    [aux_sym__keyword_for_token1] = ACTIONS(1656),
    [anon_sym_SEMI] = ACTIONS(1656),
    [aux_sym_declare_statement_token1] = ACTIONS(1656),
    [anon_sym_COMMA] = ACTIONS(1656),
    [aux_sym_set_statement_token1] = ACTIONS(1656),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1656),
    [aux_sym_return_satement_token1] = ACTIONS(1656),
    [aux_sym_call_statement_token1] = ACTIONS(1656),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1656),
    [aux_sym_if_statement_token1] = ACTIONS(1656),
    [aux_sym_loop_statement_token1] = ACTIONS(1656),
    [aux_sym_repeat_statement_token1] = ACTIONS(1656),
    [aux_sym_while_statement_token1] = ACTIONS(1656),
    [aux_sym_break_statement_token1] = ACTIONS(1656),
    [aux_sym_leave_statement_token1] = ACTIONS(1656),
    [aux_sym_continue_statement_token1] = ACTIONS(1656),
    [aux_sym_iterate_statement_token1] = ACTIONS(1656),
    [aux_sym_raise_statement_token1] = ACTIONS(1656),
    [anon_sym_EQ] = ACTIONS(1656),
    [aux_sym_assert_statement_token1] = ACTIONS(1656),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1656),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1656),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1656),
    [anon_sym_LT] = ACTIONS(1658),
    [anon_sym_GT] = ACTIONS(1658),
    [aux_sym_set_operation_token1] = ACTIONS(1656),
    [aux_sym_set_operation_token3] = ACTIONS(1656),
    [aux_sym_set_operation_token4] = ACTIONS(1658),
    [aux_sym_select_token1] = ACTIONS(1656),
    [aux_sym_having_clause_token1] = ACTIONS(1656),
    [aux_sym_qualify_clause_token1] = ACTIONS(1656),
    [aux_sym_limit_clause_token1] = ACTIONS(1656),
    [aux_sym_group_by_clause_token1] = ACTIONS(1656),
    [aux_sym__direction_keywords_token1] = ACTIONS(1656),
    [aux_sym__direction_keywords_token2] = ACTIONS(1656),
    [aux_sym__nulls_preference_token1] = ACTIONS(1656),
    [aux_sym_order_by_clause_token1] = ACTIONS(1656),
    [aux_sym_insert_statement_token1] = ACTIONS(1656),
    [aux_sym_truncate_statement_token1] = ACTIONS(1656),
    [aux_sym_update_statement_token1] = ACTIONS(1656),
    [aux_sym_merge_statement_token1] = ACTIONS(1656),
    [aux_sym_grant_statement_token1] = ACTIONS(1656),
    [aux_sym_revoke_statement_token1] = ACTIONS(1656),
    [aux_sym_export_data_statement_token1] = ACTIONS(1656),
    [aux_sym_load_data_statement_token1] = ACTIONS(1656),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1656),
    [anon_sym_PLUS] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_STAR] = ACTIONS(1656),
    [anon_sym_SLASH] = ACTIONS(1658),
    [anon_sym_PIPE_PIPE] = ACTIONS(1656),
    [anon_sym_LT_EQ] = ACTIONS(1656),
    [anon_sym_LT_GT] = ACTIONS(1656),
    [anon_sym_GT_EQ] = ACTIONS(1656),
    [anon_sym_BANG_EQ] = ACTIONS(1656),
    [anon_sym_LT_LT] = ACTIONS(1656),
    [anon_sym_GT_GT] = ACTIONS(1656),
    [anon_sym_AMP] = ACTIONS(1656),
    [anon_sym_CARET] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1658),
  },
  [2668] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2669] = {
    [ts_builtin_sym_end] = ACTIONS(1822),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1822),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1822),
    [aux_sym_keyword_replace_token1] = ACTIONS(1824),
    [aux_sym__keyword_alter_token1] = ACTIONS(1822),
    [aux_sym__keyword_delete_token1] = ACTIONS(1822),
    [aux_sym__keyword_begin_token1] = ACTIONS(1822),
    [aux_sym__keyword_end_token1] = ACTIONS(1822),
    [aux_sym__keyword_between_token1] = ACTIONS(1822),
    [aux_sym__keyword_when_token1] = ACTIONS(1822),
    [aux_sym__keyword_else_token1] = ACTIONS(1824),
    [aux_sym__keyword_is_token1] = ACTIONS(1822),
    [aux_sym__keyword_in_token1] = ACTIONS(1824),
    [aux_sym__keyword_and_token1] = ACTIONS(1822),
    [aux_sym__keyword_like_token1] = ACTIONS(1822),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1822),
    [aux_sym__keyword_window_token1] = ACTIONS(1822),
    [aux_sym__keyword_for_token1] = ACTIONS(1822),
    [anon_sym_SEMI] = ACTIONS(1822),
    [aux_sym_declare_statement_token1] = ACTIONS(1822),
    [anon_sym_COMMA] = ACTIONS(1822),
    [aux_sym_set_statement_token1] = ACTIONS(1822),
    [anon_sym_LPAREN] = ACTIONS(1822),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1822),
    [aux_sym_return_satement_token1] = ACTIONS(1822),
    [aux_sym_call_statement_token1] = ACTIONS(1822),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1822),
    [aux_sym_if_statement_token1] = ACTIONS(1822),
    [aux_sym_loop_statement_token1] = ACTIONS(1822),
    [aux_sym_repeat_statement_token1] = ACTIONS(1822),
    [aux_sym_while_statement_token1] = ACTIONS(1822),
    [aux_sym_break_statement_token1] = ACTIONS(1822),
    [aux_sym_leave_statement_token1] = ACTIONS(1822),
    [aux_sym_continue_statement_token1] = ACTIONS(1822),
    [aux_sym_iterate_statement_token1] = ACTIONS(1822),
    [aux_sym_raise_statement_token1] = ACTIONS(1822),
    [anon_sym_EQ] = ACTIONS(1822),
    [aux_sym_assert_statement_token1] = ACTIONS(1822),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1822),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1822),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1822),
    [anon_sym_LT] = ACTIONS(1824),
    [anon_sym_GT] = ACTIONS(1824),
    [aux_sym_set_operation_token1] = ACTIONS(1822),
    [aux_sym_set_operation_token3] = ACTIONS(1822),
    [aux_sym_set_operation_token4] = ACTIONS(1824),
    [aux_sym_select_token1] = ACTIONS(1822),
    [aux_sym_having_clause_token1] = ACTIONS(1822),
    [aux_sym_qualify_clause_token1] = ACTIONS(1822),
    [aux_sym_limit_clause_token1] = ACTIONS(1822),
    [aux_sym_group_by_clause_token1] = ACTIONS(1822),
    [aux_sym__direction_keywords_token1] = ACTIONS(1822),
    [aux_sym__direction_keywords_token2] = ACTIONS(1822),
    [aux_sym__nulls_preference_token1] = ACTIONS(1822),
    [aux_sym_order_by_clause_token1] = ACTIONS(1822),
    [aux_sym_insert_statement_token1] = ACTIONS(1822),
    [aux_sym_truncate_statement_token1] = ACTIONS(1822),
    [aux_sym_update_statement_token1] = ACTIONS(1822),
    [aux_sym_merge_statement_token1] = ACTIONS(1822),
    [aux_sym_grant_statement_token1] = ACTIONS(1822),
    [aux_sym_revoke_statement_token1] = ACTIONS(1822),
    [aux_sym_export_data_statement_token1] = ACTIONS(1822),
    [aux_sym_load_data_statement_token1] = ACTIONS(1822),
    [anon_sym_LBRACK] = ACTIONS(1822),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1822),
    [anon_sym_PLUS] = ACTIONS(1822),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_STAR] = ACTIONS(1822),
    [anon_sym_SLASH] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE] = ACTIONS(1822),
    [anon_sym_LT_EQ] = ACTIONS(1822),
    [anon_sym_LT_GT] = ACTIONS(1822),
    [anon_sym_GT_EQ] = ACTIONS(1822),
    [anon_sym_BANG_EQ] = ACTIONS(1822),
    [anon_sym_LT_LT] = ACTIONS(1822),
    [anon_sym_GT_GT] = ACTIONS(1822),
    [anon_sym_AMP] = ACTIONS(1822),
    [anon_sym_CARET] = ACTIONS(1822),
    [anon_sym_PIPE] = ACTIONS(1824),
  },
  [2670] = {
    [ts_builtin_sym_end] = ACTIONS(1660),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1660),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1660),
    [aux_sym_keyword_replace_token1] = ACTIONS(1662),
    [aux_sym__keyword_alter_token1] = ACTIONS(1660),
    [aux_sym__keyword_delete_token1] = ACTIONS(1660),
    [aux_sym__keyword_begin_token1] = ACTIONS(1660),
    [aux_sym__keyword_end_token1] = ACTIONS(1660),
    [aux_sym__keyword_between_token1] = ACTIONS(1660),
    [aux_sym__keyword_when_token1] = ACTIONS(1660),
    [aux_sym__keyword_else_token1] = ACTIONS(1662),
    [aux_sym__keyword_is_token1] = ACTIONS(1660),
    [aux_sym__keyword_in_token1] = ACTIONS(1662),
    [aux_sym__keyword_and_token1] = ACTIONS(1660),
    [aux_sym__keyword_like_token1] = ACTIONS(1660),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1660),
    [aux_sym__keyword_window_token1] = ACTIONS(1660),
    [aux_sym__keyword_for_token1] = ACTIONS(1660),
    [anon_sym_SEMI] = ACTIONS(1660),
    [aux_sym_declare_statement_token1] = ACTIONS(1660),
    [anon_sym_COMMA] = ACTIONS(1660),
    [aux_sym_set_statement_token1] = ACTIONS(1660),
    [anon_sym_LPAREN] = ACTIONS(1660),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1660),
    [aux_sym_return_satement_token1] = ACTIONS(1660),
    [aux_sym_call_statement_token1] = ACTIONS(1660),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1660),
    [aux_sym_if_statement_token1] = ACTIONS(1660),
    [aux_sym_loop_statement_token1] = ACTIONS(1660),
    [aux_sym_repeat_statement_token1] = ACTIONS(1660),
    [aux_sym_while_statement_token1] = ACTIONS(1660),
    [aux_sym_break_statement_token1] = ACTIONS(1660),
    [aux_sym_leave_statement_token1] = ACTIONS(1660),
    [aux_sym_continue_statement_token1] = ACTIONS(1660),
    [aux_sym_iterate_statement_token1] = ACTIONS(1660),
    [aux_sym_raise_statement_token1] = ACTIONS(1660),
    [anon_sym_EQ] = ACTIONS(1660),
    [aux_sym_assert_statement_token1] = ACTIONS(1660),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1660),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1660),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1660),
    [anon_sym_LT] = ACTIONS(1662),
    [anon_sym_GT] = ACTIONS(1662),
    [aux_sym_set_operation_token1] = ACTIONS(1660),
    [aux_sym_set_operation_token3] = ACTIONS(1660),
    [aux_sym_set_operation_token4] = ACTIONS(1662),
    [aux_sym_select_token1] = ACTIONS(1660),
    [aux_sym_having_clause_token1] = ACTIONS(1660),
    [aux_sym_qualify_clause_token1] = ACTIONS(1660),
    [aux_sym_limit_clause_token1] = ACTIONS(1660),
    [aux_sym_group_by_clause_token1] = ACTIONS(1660),
    [aux_sym__direction_keywords_token1] = ACTIONS(1660),
    [aux_sym__direction_keywords_token2] = ACTIONS(1660),
    [aux_sym__nulls_preference_token1] = ACTIONS(1660),
    [aux_sym_order_by_clause_token1] = ACTIONS(1660),
    [aux_sym_insert_statement_token1] = ACTIONS(1660),
    [aux_sym_truncate_statement_token1] = ACTIONS(1660),
    [aux_sym_update_statement_token1] = ACTIONS(1660),
    [aux_sym_merge_statement_token1] = ACTIONS(1660),
    [aux_sym_grant_statement_token1] = ACTIONS(1660),
    [aux_sym_revoke_statement_token1] = ACTIONS(1660),
    [aux_sym_export_data_statement_token1] = ACTIONS(1660),
    [aux_sym_load_data_statement_token1] = ACTIONS(1660),
    [anon_sym_LBRACK] = ACTIONS(1660),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1660),
    [anon_sym_PLUS] = ACTIONS(1660),
    [anon_sym_DASH] = ACTIONS(1662),
    [anon_sym_STAR] = ACTIONS(1660),
    [anon_sym_SLASH] = ACTIONS(1662),
    [anon_sym_PIPE_PIPE] = ACTIONS(1660),
    [anon_sym_LT_EQ] = ACTIONS(1660),
    [anon_sym_LT_GT] = ACTIONS(1660),
    [anon_sym_GT_EQ] = ACTIONS(1660),
    [anon_sym_BANG_EQ] = ACTIONS(1660),
    [anon_sym_LT_LT] = ACTIONS(1660),
    [anon_sym_GT_GT] = ACTIONS(1660),
    [anon_sym_AMP] = ACTIONS(1660),
    [anon_sym_CARET] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1662),
  },
  [2671] = {
    [ts_builtin_sym_end] = ACTIONS(1664),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1664),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1664),
    [aux_sym_keyword_replace_token1] = ACTIONS(1666),
    [aux_sym__keyword_alter_token1] = ACTIONS(1664),
    [aux_sym__keyword_delete_token1] = ACTIONS(1664),
    [aux_sym__keyword_begin_token1] = ACTIONS(1664),
    [aux_sym__keyword_end_token1] = ACTIONS(1664),
    [aux_sym__keyword_between_token1] = ACTIONS(1664),
    [aux_sym__keyword_when_token1] = ACTIONS(1664),
    [aux_sym__keyword_else_token1] = ACTIONS(1666),
    [aux_sym__keyword_is_token1] = ACTIONS(1664),
    [aux_sym__keyword_in_token1] = ACTIONS(1666),
    [aux_sym__keyword_and_token1] = ACTIONS(1664),
    [aux_sym__keyword_like_token1] = ACTIONS(1664),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1664),
    [aux_sym__keyword_window_token1] = ACTIONS(1664),
    [aux_sym__keyword_for_token1] = ACTIONS(1664),
    [anon_sym_SEMI] = ACTIONS(1664),
    [aux_sym_declare_statement_token1] = ACTIONS(1664),
    [anon_sym_COMMA] = ACTIONS(1664),
    [aux_sym_set_statement_token1] = ACTIONS(1664),
    [anon_sym_LPAREN] = ACTIONS(1664),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1664),
    [aux_sym_return_satement_token1] = ACTIONS(1664),
    [aux_sym_call_statement_token1] = ACTIONS(1664),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1664),
    [aux_sym_if_statement_token1] = ACTIONS(1664),
    [aux_sym_loop_statement_token1] = ACTIONS(1664),
    [aux_sym_repeat_statement_token1] = ACTIONS(1664),
    [aux_sym_while_statement_token1] = ACTIONS(1664),
    [aux_sym_break_statement_token1] = ACTIONS(1664),
    [aux_sym_leave_statement_token1] = ACTIONS(1664),
    [aux_sym_continue_statement_token1] = ACTIONS(1664),
    [aux_sym_iterate_statement_token1] = ACTIONS(1664),
    [aux_sym_raise_statement_token1] = ACTIONS(1664),
    [anon_sym_EQ] = ACTIONS(1664),
    [aux_sym_assert_statement_token1] = ACTIONS(1664),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1664),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1664),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1664),
    [anon_sym_LT] = ACTIONS(1666),
    [anon_sym_GT] = ACTIONS(1666),
    [aux_sym_set_operation_token1] = ACTIONS(1664),
    [aux_sym_set_operation_token3] = ACTIONS(1664),
    [aux_sym_set_operation_token4] = ACTIONS(1666),
    [aux_sym_select_token1] = ACTIONS(1664),
    [aux_sym_having_clause_token1] = ACTIONS(1664),
    [aux_sym_qualify_clause_token1] = ACTIONS(1664),
    [aux_sym_limit_clause_token1] = ACTIONS(1664),
    [aux_sym_group_by_clause_token1] = ACTIONS(1664),
    [aux_sym__direction_keywords_token1] = ACTIONS(1664),
    [aux_sym__direction_keywords_token2] = ACTIONS(1664),
    [aux_sym__nulls_preference_token1] = ACTIONS(1664),
    [aux_sym_order_by_clause_token1] = ACTIONS(1664),
    [aux_sym_insert_statement_token1] = ACTIONS(1664),
    [aux_sym_truncate_statement_token1] = ACTIONS(1664),
    [aux_sym_update_statement_token1] = ACTIONS(1664),
    [aux_sym_merge_statement_token1] = ACTIONS(1664),
    [aux_sym_grant_statement_token1] = ACTIONS(1664),
    [aux_sym_revoke_statement_token1] = ACTIONS(1664),
    [aux_sym_export_data_statement_token1] = ACTIONS(1664),
    [aux_sym_load_data_statement_token1] = ACTIONS(1664),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1664),
    [anon_sym_PLUS] = ACTIONS(1664),
    [anon_sym_DASH] = ACTIONS(1666),
    [anon_sym_STAR] = ACTIONS(1664),
    [anon_sym_SLASH] = ACTIONS(1666),
    [anon_sym_PIPE_PIPE] = ACTIONS(1664),
    [anon_sym_LT_EQ] = ACTIONS(1664),
    [anon_sym_LT_GT] = ACTIONS(1664),
    [anon_sym_GT_EQ] = ACTIONS(1664),
    [anon_sym_BANG_EQ] = ACTIONS(1664),
    [anon_sym_LT_LT] = ACTIONS(1664),
    [anon_sym_GT_GT] = ACTIONS(1664),
    [anon_sym_AMP] = ACTIONS(1664),
    [anon_sym_CARET] = ACTIONS(1664),
    [anon_sym_PIPE] = ACTIONS(1666),
  },
  [2672] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2673] = {
    [ts_builtin_sym_end] = ACTIONS(1668),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1668),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1668),
    [aux_sym_keyword_replace_token1] = ACTIONS(1670),
    [aux_sym__keyword_alter_token1] = ACTIONS(1668),
    [aux_sym__keyword_delete_token1] = ACTIONS(1668),
    [aux_sym__keyword_begin_token1] = ACTIONS(1668),
    [aux_sym__keyword_end_token1] = ACTIONS(1668),
    [aux_sym__keyword_between_token1] = ACTIONS(1668),
    [aux_sym__keyword_when_token1] = ACTIONS(1668),
    [aux_sym__keyword_else_token1] = ACTIONS(1670),
    [aux_sym__keyword_is_token1] = ACTIONS(1668),
    [aux_sym__keyword_in_token1] = ACTIONS(1670),
    [aux_sym__keyword_and_token1] = ACTIONS(1668),
    [aux_sym__keyword_like_token1] = ACTIONS(1668),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1668),
    [aux_sym__keyword_window_token1] = ACTIONS(1668),
    [aux_sym__keyword_for_token1] = ACTIONS(1668),
    [anon_sym_SEMI] = ACTIONS(1668),
    [aux_sym_declare_statement_token1] = ACTIONS(1668),
    [anon_sym_COMMA] = ACTIONS(1668),
    [aux_sym_set_statement_token1] = ACTIONS(1668),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1668),
    [aux_sym_return_satement_token1] = ACTIONS(1668),
    [aux_sym_call_statement_token1] = ACTIONS(1668),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1668),
    [aux_sym_if_statement_token1] = ACTIONS(1668),
    [aux_sym_loop_statement_token1] = ACTIONS(1668),
    [aux_sym_repeat_statement_token1] = ACTIONS(1668),
    [aux_sym_while_statement_token1] = ACTIONS(1668),
    [aux_sym_break_statement_token1] = ACTIONS(1668),
    [aux_sym_leave_statement_token1] = ACTIONS(1668),
    [aux_sym_continue_statement_token1] = ACTIONS(1668),
    [aux_sym_iterate_statement_token1] = ACTIONS(1668),
    [aux_sym_raise_statement_token1] = ACTIONS(1668),
    [anon_sym_EQ] = ACTIONS(1668),
    [aux_sym_assert_statement_token1] = ACTIONS(1668),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1668),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1668),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1668),
    [anon_sym_LT] = ACTIONS(1670),
    [anon_sym_GT] = ACTIONS(1670),
    [aux_sym_set_operation_token1] = ACTIONS(1668),
    [aux_sym_set_operation_token3] = ACTIONS(1668),
    [aux_sym_set_operation_token4] = ACTIONS(1670),
    [aux_sym_select_token1] = ACTIONS(1668),
    [aux_sym_having_clause_token1] = ACTIONS(1668),
    [aux_sym_qualify_clause_token1] = ACTIONS(1668),
    [aux_sym_limit_clause_token1] = ACTIONS(1668),
    [aux_sym_group_by_clause_token1] = ACTIONS(1668),
    [aux_sym__direction_keywords_token1] = ACTIONS(1668),
    [aux_sym__direction_keywords_token2] = ACTIONS(1668),
    [aux_sym__nulls_preference_token1] = ACTIONS(1668),
    [aux_sym_order_by_clause_token1] = ACTIONS(1668),
    [aux_sym_insert_statement_token1] = ACTIONS(1668),
    [aux_sym_truncate_statement_token1] = ACTIONS(1668),
    [aux_sym_update_statement_token1] = ACTIONS(1668),
    [aux_sym_merge_statement_token1] = ACTIONS(1668),
    [aux_sym_grant_statement_token1] = ACTIONS(1668),
    [aux_sym_revoke_statement_token1] = ACTIONS(1668),
    [aux_sym_export_data_statement_token1] = ACTIONS(1668),
    [aux_sym_load_data_statement_token1] = ACTIONS(1668),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1668),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_STAR] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(1670),
    [anon_sym_PIPE_PIPE] = ACTIONS(1668),
    [anon_sym_LT_EQ] = ACTIONS(1668),
    [anon_sym_LT_GT] = ACTIONS(1668),
    [anon_sym_GT_EQ] = ACTIONS(1668),
    [anon_sym_BANG_EQ] = ACTIONS(1668),
    [anon_sym_LT_LT] = ACTIONS(1668),
    [anon_sym_GT_GT] = ACTIONS(1668),
    [anon_sym_AMP] = ACTIONS(1668),
    [anon_sym_CARET] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1670),
  },
  [2674] = {
    [ts_builtin_sym_end] = ACTIONS(1842),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1842),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1842),
    [aux_sym_keyword_replace_token1] = ACTIONS(1844),
    [aux_sym__keyword_alter_token1] = ACTIONS(1842),
    [aux_sym__keyword_delete_token1] = ACTIONS(1842),
    [aux_sym__keyword_begin_token1] = ACTIONS(1842),
    [aux_sym__keyword_end_token1] = ACTIONS(1842),
    [aux_sym__keyword_between_token1] = ACTIONS(1842),
    [aux_sym__keyword_when_token1] = ACTIONS(1842),
    [aux_sym__keyword_else_token1] = ACTIONS(1844),
    [aux_sym__keyword_is_token1] = ACTIONS(1842),
    [aux_sym__keyword_in_token1] = ACTIONS(1844),
    [aux_sym__keyword_and_token1] = ACTIONS(1842),
    [aux_sym__keyword_like_token1] = ACTIONS(1842),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1842),
    [aux_sym__keyword_window_token1] = ACTIONS(1842),
    [aux_sym__keyword_for_token1] = ACTIONS(1842),
    [anon_sym_SEMI] = ACTIONS(1842),
    [aux_sym_declare_statement_token1] = ACTIONS(1842),
    [anon_sym_COMMA] = ACTIONS(1842),
    [aux_sym_set_statement_token1] = ACTIONS(1842),
    [anon_sym_LPAREN] = ACTIONS(1842),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1842),
    [aux_sym_return_satement_token1] = ACTIONS(1842),
    [aux_sym_call_statement_token1] = ACTIONS(1842),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1842),
    [aux_sym_if_statement_token1] = ACTIONS(1842),
    [aux_sym_loop_statement_token1] = ACTIONS(1842),
    [aux_sym_repeat_statement_token1] = ACTIONS(1842),
    [aux_sym_while_statement_token1] = ACTIONS(1842),
    [aux_sym_break_statement_token1] = ACTIONS(1842),
    [aux_sym_leave_statement_token1] = ACTIONS(1842),
    [aux_sym_continue_statement_token1] = ACTIONS(1842),
    [aux_sym_iterate_statement_token1] = ACTIONS(1842),
    [aux_sym_raise_statement_token1] = ACTIONS(1842),
    [anon_sym_EQ] = ACTIONS(1842),
    [aux_sym_assert_statement_token1] = ACTIONS(1842),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1842),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1842),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1842),
    [anon_sym_LT] = ACTIONS(1844),
    [anon_sym_GT] = ACTIONS(1844),
    [aux_sym_set_operation_token1] = ACTIONS(1842),
    [aux_sym_set_operation_token3] = ACTIONS(1842),
    [aux_sym_set_operation_token4] = ACTIONS(1844),
    [aux_sym_select_token1] = ACTIONS(1842),
    [aux_sym_having_clause_token1] = ACTIONS(1842),
    [aux_sym_qualify_clause_token1] = ACTIONS(1842),
    [aux_sym_limit_clause_token1] = ACTIONS(1842),
    [aux_sym_group_by_clause_token1] = ACTIONS(1842),
    [aux_sym__direction_keywords_token1] = ACTIONS(1842),
    [aux_sym__direction_keywords_token2] = ACTIONS(1842),
    [aux_sym__nulls_preference_token1] = ACTIONS(1842),
    [aux_sym_order_by_clause_token1] = ACTIONS(1842),
    [aux_sym_insert_statement_token1] = ACTIONS(1842),
    [aux_sym_truncate_statement_token1] = ACTIONS(1842),
    [aux_sym_update_statement_token1] = ACTIONS(1842),
    [aux_sym_merge_statement_token1] = ACTIONS(1842),
    [aux_sym_grant_statement_token1] = ACTIONS(1842),
    [aux_sym_revoke_statement_token1] = ACTIONS(1842),
    [aux_sym_export_data_statement_token1] = ACTIONS(1842),
    [aux_sym_load_data_statement_token1] = ACTIONS(1842),
    [anon_sym_LBRACK] = ACTIONS(1842),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1842),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1844),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_SLASH] = ACTIONS(1844),
    [anon_sym_PIPE_PIPE] = ACTIONS(1842),
    [anon_sym_LT_EQ] = ACTIONS(1842),
    [anon_sym_LT_GT] = ACTIONS(1842),
    [anon_sym_GT_EQ] = ACTIONS(1842),
    [anon_sym_BANG_EQ] = ACTIONS(1842),
    [anon_sym_LT_LT] = ACTIONS(1842),
    [anon_sym_GT_GT] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym_CARET] = ACTIONS(1842),
    [anon_sym_PIPE] = ACTIONS(1844),
  },
  [2675] = {
    [ts_builtin_sym_end] = ACTIONS(1826),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1826),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1826),
    [aux_sym_keyword_replace_token1] = ACTIONS(1828),
    [aux_sym__keyword_alter_token1] = ACTIONS(1826),
    [aux_sym__keyword_delete_token1] = ACTIONS(1826),
    [aux_sym__keyword_begin_token1] = ACTIONS(1826),
    [aux_sym__keyword_end_token1] = ACTIONS(1826),
    [aux_sym__keyword_between_token1] = ACTIONS(1826),
    [aux_sym__keyword_when_token1] = ACTIONS(1826),
    [aux_sym__keyword_else_token1] = ACTIONS(1828),
    [aux_sym__keyword_is_token1] = ACTIONS(1826),
    [aux_sym__keyword_in_token1] = ACTIONS(1828),
    [aux_sym__keyword_and_token1] = ACTIONS(1826),
    [aux_sym__keyword_like_token1] = ACTIONS(1826),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1826),
    [aux_sym__keyword_window_token1] = ACTIONS(1826),
    [aux_sym__keyword_for_token1] = ACTIONS(1826),
    [anon_sym_SEMI] = ACTIONS(1826),
    [aux_sym_declare_statement_token1] = ACTIONS(1826),
    [anon_sym_COMMA] = ACTIONS(1826),
    [aux_sym_set_statement_token1] = ACTIONS(1826),
    [anon_sym_LPAREN] = ACTIONS(1826),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1826),
    [aux_sym_return_satement_token1] = ACTIONS(1826),
    [aux_sym_call_statement_token1] = ACTIONS(1826),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1826),
    [aux_sym_if_statement_token1] = ACTIONS(1826),
    [aux_sym_loop_statement_token1] = ACTIONS(1826),
    [aux_sym_repeat_statement_token1] = ACTIONS(1826),
    [aux_sym_while_statement_token1] = ACTIONS(1826),
    [aux_sym_break_statement_token1] = ACTIONS(1826),
    [aux_sym_leave_statement_token1] = ACTIONS(1826),
    [aux_sym_continue_statement_token1] = ACTIONS(1826),
    [aux_sym_iterate_statement_token1] = ACTIONS(1826),
    [aux_sym_raise_statement_token1] = ACTIONS(1826),
    [anon_sym_EQ] = ACTIONS(1826),
    [aux_sym_assert_statement_token1] = ACTIONS(1826),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1826),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1826),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1826),
    [anon_sym_LT] = ACTIONS(1828),
    [anon_sym_GT] = ACTIONS(1828),
    [aux_sym_set_operation_token1] = ACTIONS(1826),
    [aux_sym_set_operation_token3] = ACTIONS(1826),
    [aux_sym_set_operation_token4] = ACTIONS(1828),
    [aux_sym_select_token1] = ACTIONS(1826),
    [aux_sym_having_clause_token1] = ACTIONS(1826),
    [aux_sym_qualify_clause_token1] = ACTIONS(1826),
    [aux_sym_limit_clause_token1] = ACTIONS(1826),
    [aux_sym_group_by_clause_token1] = ACTIONS(1826),
    [aux_sym__direction_keywords_token1] = ACTIONS(1826),
    [aux_sym__direction_keywords_token2] = ACTIONS(1826),
    [aux_sym__nulls_preference_token1] = ACTIONS(1826),
    [aux_sym_order_by_clause_token1] = ACTIONS(1826),
    [aux_sym_insert_statement_token1] = ACTIONS(1826),
    [aux_sym_truncate_statement_token1] = ACTIONS(1826),
    [aux_sym_update_statement_token1] = ACTIONS(1826),
    [aux_sym_merge_statement_token1] = ACTIONS(1826),
    [aux_sym_grant_statement_token1] = ACTIONS(1826),
    [aux_sym_revoke_statement_token1] = ACTIONS(1826),
    [aux_sym_export_data_statement_token1] = ACTIONS(1826),
    [aux_sym_load_data_statement_token1] = ACTIONS(1826),
    [anon_sym_LBRACK] = ACTIONS(1826),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1826),
    [anon_sym_PLUS] = ACTIONS(1826),
    [anon_sym_DASH] = ACTIONS(1828),
    [anon_sym_STAR] = ACTIONS(1826),
    [anon_sym_SLASH] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE] = ACTIONS(1826),
    [anon_sym_LT_EQ] = ACTIONS(1826),
    [anon_sym_LT_GT] = ACTIONS(1826),
    [anon_sym_GT_EQ] = ACTIONS(1826),
    [anon_sym_BANG_EQ] = ACTIONS(1826),
    [anon_sym_LT_LT] = ACTIONS(1826),
    [anon_sym_GT_GT] = ACTIONS(1826),
    [anon_sym_AMP] = ACTIONS(1826),
    [anon_sym_CARET] = ACTIONS(1826),
    [anon_sym_PIPE] = ACTIONS(1828),
  },
  [2676] = {
    [ts_builtin_sym_end] = ACTIONS(1672),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1672),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1672),
    [aux_sym_keyword_replace_token1] = ACTIONS(1674),
    [aux_sym__keyword_alter_token1] = ACTIONS(1672),
    [aux_sym__keyword_delete_token1] = ACTIONS(1672),
    [aux_sym__keyword_begin_token1] = ACTIONS(1672),
    [aux_sym__keyword_end_token1] = ACTIONS(1672),
    [aux_sym__keyword_between_token1] = ACTIONS(1672),
    [aux_sym__keyword_when_token1] = ACTIONS(1672),
    [aux_sym__keyword_else_token1] = ACTIONS(1674),
    [aux_sym__keyword_is_token1] = ACTIONS(1672),
    [aux_sym__keyword_in_token1] = ACTIONS(1674),
    [aux_sym__keyword_and_token1] = ACTIONS(1672),
    [aux_sym__keyword_like_token1] = ACTIONS(1672),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1672),
    [aux_sym__keyword_window_token1] = ACTIONS(1672),
    [aux_sym__keyword_for_token1] = ACTIONS(1672),
    [anon_sym_SEMI] = ACTIONS(1672),
    [aux_sym_declare_statement_token1] = ACTIONS(1672),
    [anon_sym_COMMA] = ACTIONS(1672),
    [aux_sym_set_statement_token1] = ACTIONS(1672),
    [anon_sym_LPAREN] = ACTIONS(1672),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1672),
    [aux_sym_return_satement_token1] = ACTIONS(1672),
    [aux_sym_call_statement_token1] = ACTIONS(1672),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1672),
    [aux_sym_if_statement_token1] = ACTIONS(1672),
    [aux_sym_loop_statement_token1] = ACTIONS(1672),
    [aux_sym_repeat_statement_token1] = ACTIONS(1672),
    [aux_sym_while_statement_token1] = ACTIONS(1672),
    [aux_sym_break_statement_token1] = ACTIONS(1672),
    [aux_sym_leave_statement_token1] = ACTIONS(1672),
    [aux_sym_continue_statement_token1] = ACTIONS(1672),
    [aux_sym_iterate_statement_token1] = ACTIONS(1672),
    [aux_sym_raise_statement_token1] = ACTIONS(1672),
    [anon_sym_EQ] = ACTIONS(1672),
    [aux_sym_assert_statement_token1] = ACTIONS(1672),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1672),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1672),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1672),
    [anon_sym_LT] = ACTIONS(1674),
    [anon_sym_GT] = ACTIONS(1674),
    [aux_sym_set_operation_token1] = ACTIONS(1672),
    [aux_sym_set_operation_token3] = ACTIONS(1672),
    [aux_sym_set_operation_token4] = ACTIONS(1674),
    [aux_sym_select_token1] = ACTIONS(1672),
    [aux_sym_having_clause_token1] = ACTIONS(1672),
    [aux_sym_qualify_clause_token1] = ACTIONS(1672),
    [aux_sym_limit_clause_token1] = ACTIONS(1672),
    [aux_sym_group_by_clause_token1] = ACTIONS(1672),
    [aux_sym__direction_keywords_token1] = ACTIONS(1672),
    [aux_sym__direction_keywords_token2] = ACTIONS(1672),
    [aux_sym__nulls_preference_token1] = ACTIONS(1672),
    [aux_sym_order_by_clause_token1] = ACTIONS(1672),
    [aux_sym_insert_statement_token1] = ACTIONS(1672),
    [aux_sym_truncate_statement_token1] = ACTIONS(1672),
    [aux_sym_update_statement_token1] = ACTIONS(1672),
    [aux_sym_merge_statement_token1] = ACTIONS(1672),
    [aux_sym_grant_statement_token1] = ACTIONS(1672),
    [aux_sym_revoke_statement_token1] = ACTIONS(1672),
    [aux_sym_export_data_statement_token1] = ACTIONS(1672),
    [aux_sym_load_data_statement_token1] = ACTIONS(1672),
    [anon_sym_LBRACK] = ACTIONS(1672),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1672),
    [anon_sym_PLUS] = ACTIONS(1672),
    [anon_sym_DASH] = ACTIONS(1674),
    [anon_sym_STAR] = ACTIONS(1672),
    [anon_sym_SLASH] = ACTIONS(1674),
    [anon_sym_PIPE_PIPE] = ACTIONS(1672),
    [anon_sym_LT_EQ] = ACTIONS(1672),
    [anon_sym_LT_GT] = ACTIONS(1672),
    [anon_sym_GT_EQ] = ACTIONS(1672),
    [anon_sym_BANG_EQ] = ACTIONS(1672),
    [anon_sym_LT_LT] = ACTIONS(1672),
    [anon_sym_GT_GT] = ACTIONS(1672),
    [anon_sym_AMP] = ACTIONS(1672),
    [anon_sym_CARET] = ACTIONS(1672),
    [anon_sym_PIPE] = ACTIONS(1674),
  },
  [2677] = {
    [ts_builtin_sym_end] = ACTIONS(1676),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1676),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1676),
    [aux_sym_keyword_replace_token1] = ACTIONS(1678),
    [aux_sym__keyword_alter_token1] = ACTIONS(1676),
    [aux_sym__keyword_delete_token1] = ACTIONS(1676),
    [aux_sym__keyword_begin_token1] = ACTIONS(1676),
    [aux_sym__keyword_end_token1] = ACTIONS(1676),
    [aux_sym__keyword_between_token1] = ACTIONS(1676),
    [aux_sym__keyword_when_token1] = ACTIONS(1676),
    [aux_sym__keyword_else_token1] = ACTIONS(1678),
    [aux_sym__keyword_is_token1] = ACTIONS(1676),
    [aux_sym__keyword_in_token1] = ACTIONS(1678),
    [aux_sym__keyword_and_token1] = ACTIONS(1676),
    [aux_sym__keyword_like_token1] = ACTIONS(1676),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1676),
    [aux_sym__keyword_window_token1] = ACTIONS(1676),
    [aux_sym__keyword_for_token1] = ACTIONS(1676),
    [anon_sym_SEMI] = ACTIONS(1676),
    [aux_sym_declare_statement_token1] = ACTIONS(1676),
    [anon_sym_COMMA] = ACTIONS(1676),
    [aux_sym_set_statement_token1] = ACTIONS(1676),
    [anon_sym_LPAREN] = ACTIONS(1676),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1676),
    [aux_sym_return_satement_token1] = ACTIONS(1676),
    [aux_sym_call_statement_token1] = ACTIONS(1676),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1676),
    [aux_sym_if_statement_token1] = ACTIONS(1676),
    [aux_sym_loop_statement_token1] = ACTIONS(1676),
    [aux_sym_repeat_statement_token1] = ACTIONS(1676),
    [aux_sym_while_statement_token1] = ACTIONS(1676),
    [aux_sym_break_statement_token1] = ACTIONS(1676),
    [aux_sym_leave_statement_token1] = ACTIONS(1676),
    [aux_sym_continue_statement_token1] = ACTIONS(1676),
    [aux_sym_iterate_statement_token1] = ACTIONS(1676),
    [aux_sym_raise_statement_token1] = ACTIONS(1676),
    [anon_sym_EQ] = ACTIONS(1676),
    [aux_sym_assert_statement_token1] = ACTIONS(1676),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1676),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1676),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1676),
    [anon_sym_LT] = ACTIONS(1678),
    [anon_sym_GT] = ACTIONS(1678),
    [aux_sym_set_operation_token1] = ACTIONS(1676),
    [aux_sym_set_operation_token3] = ACTIONS(1676),
    [aux_sym_set_operation_token4] = ACTIONS(1678),
    [aux_sym_select_token1] = ACTIONS(1676),
    [aux_sym_having_clause_token1] = ACTIONS(1676),
    [aux_sym_qualify_clause_token1] = ACTIONS(1676),
    [aux_sym_limit_clause_token1] = ACTIONS(1676),
    [aux_sym_group_by_clause_token1] = ACTIONS(1676),
    [aux_sym__direction_keywords_token1] = ACTIONS(1676),
    [aux_sym__direction_keywords_token2] = ACTIONS(1676),
    [aux_sym__nulls_preference_token1] = ACTIONS(1676),
    [aux_sym_order_by_clause_token1] = ACTIONS(1676),
    [aux_sym_insert_statement_token1] = ACTIONS(1676),
    [aux_sym_truncate_statement_token1] = ACTIONS(1676),
    [aux_sym_update_statement_token1] = ACTIONS(1676),
    [aux_sym_merge_statement_token1] = ACTIONS(1676),
    [aux_sym_grant_statement_token1] = ACTIONS(1676),
    [aux_sym_revoke_statement_token1] = ACTIONS(1676),
    [aux_sym_export_data_statement_token1] = ACTIONS(1676),
    [aux_sym_load_data_statement_token1] = ACTIONS(1676),
    [anon_sym_LBRACK] = ACTIONS(1676),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1676),
    [anon_sym_PLUS] = ACTIONS(1676),
    [anon_sym_DASH] = ACTIONS(1678),
    [anon_sym_STAR] = ACTIONS(1676),
    [anon_sym_SLASH] = ACTIONS(1678),
    [anon_sym_PIPE_PIPE] = ACTIONS(1676),
    [anon_sym_LT_EQ] = ACTIONS(1676),
    [anon_sym_LT_GT] = ACTIONS(1676),
    [anon_sym_GT_EQ] = ACTIONS(1676),
    [anon_sym_BANG_EQ] = ACTIONS(1676),
    [anon_sym_LT_LT] = ACTIONS(1676),
    [anon_sym_GT_GT] = ACTIONS(1676),
    [anon_sym_AMP] = ACTIONS(1676),
    [anon_sym_CARET] = ACTIONS(1676),
    [anon_sym_PIPE] = ACTIONS(1678),
  },
  [2678] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2679] = {
    [ts_builtin_sym_end] = ACTIONS(1582),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1582),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1582),
    [aux_sym_keyword_replace_token1] = ACTIONS(1584),
    [aux_sym__keyword_alter_token1] = ACTIONS(1582),
    [aux_sym__keyword_delete_token1] = ACTIONS(1582),
    [aux_sym__keyword_begin_token1] = ACTIONS(1582),
    [aux_sym__keyword_end_token1] = ACTIONS(1582),
    [aux_sym__keyword_between_token1] = ACTIONS(1582),
    [aux_sym__keyword_when_token1] = ACTIONS(1582),
    [aux_sym__keyword_else_token1] = ACTIONS(1584),
    [aux_sym__keyword_is_token1] = ACTIONS(1582),
    [aux_sym__keyword_in_token1] = ACTIONS(1584),
    [aux_sym__keyword_and_token1] = ACTIONS(1582),
    [aux_sym__keyword_like_token1] = ACTIONS(1582),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1582),
    [aux_sym__keyword_window_token1] = ACTIONS(1582),
    [aux_sym__keyword_for_token1] = ACTIONS(1582),
    [anon_sym_SEMI] = ACTIONS(1582),
    [aux_sym_declare_statement_token1] = ACTIONS(1582),
    [anon_sym_COMMA] = ACTIONS(1582),
    [aux_sym_set_statement_token1] = ACTIONS(1582),
    [anon_sym_LPAREN] = ACTIONS(1582),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1582),
    [aux_sym_return_satement_token1] = ACTIONS(1582),
    [aux_sym_call_statement_token1] = ACTIONS(1582),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1582),
    [aux_sym_if_statement_token1] = ACTIONS(1582),
    [aux_sym_loop_statement_token1] = ACTIONS(1582),
    [aux_sym_repeat_statement_token1] = ACTIONS(1582),
    [aux_sym_while_statement_token1] = ACTIONS(1582),
    [aux_sym_break_statement_token1] = ACTIONS(1582),
    [aux_sym_leave_statement_token1] = ACTIONS(1582),
    [aux_sym_continue_statement_token1] = ACTIONS(1582),
    [aux_sym_iterate_statement_token1] = ACTIONS(1582),
    [aux_sym_raise_statement_token1] = ACTIONS(1582),
    [anon_sym_EQ] = ACTIONS(1582),
    [aux_sym_assert_statement_token1] = ACTIONS(1582),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1582),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1582),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1582),
    [anon_sym_LT] = ACTIONS(1584),
    [anon_sym_GT] = ACTIONS(1584),
    [aux_sym_set_operation_token1] = ACTIONS(1582),
    [aux_sym_set_operation_token3] = ACTIONS(1582),
    [aux_sym_set_operation_token4] = ACTIONS(1584),
    [aux_sym_select_token1] = ACTIONS(1582),
    [aux_sym_having_clause_token1] = ACTIONS(1582),
    [aux_sym_qualify_clause_token1] = ACTIONS(1582),
    [aux_sym_limit_clause_token1] = ACTIONS(1582),
    [aux_sym_group_by_clause_token1] = ACTIONS(1582),
    [aux_sym__direction_keywords_token1] = ACTIONS(1582),
    [aux_sym__direction_keywords_token2] = ACTIONS(1582),
    [aux_sym__nulls_preference_token1] = ACTIONS(1582),
    [aux_sym_order_by_clause_token1] = ACTIONS(1582),
    [aux_sym_insert_statement_token1] = ACTIONS(1582),
    [aux_sym_truncate_statement_token1] = ACTIONS(1582),
    [aux_sym_update_statement_token1] = ACTIONS(1582),
    [aux_sym_merge_statement_token1] = ACTIONS(1582),
    [aux_sym_grant_statement_token1] = ACTIONS(1582),
    [aux_sym_revoke_statement_token1] = ACTIONS(1582),
    [aux_sym_export_data_statement_token1] = ACTIONS(1582),
    [aux_sym_load_data_statement_token1] = ACTIONS(1582),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1582),
    [anon_sym_PLUS] = ACTIONS(1582),
    [anon_sym_DASH] = ACTIONS(1584),
    [anon_sym_STAR] = ACTIONS(1582),
    [anon_sym_SLASH] = ACTIONS(1584),
    [anon_sym_PIPE_PIPE] = ACTIONS(1582),
    [anon_sym_LT_EQ] = ACTIONS(1582),
    [anon_sym_LT_GT] = ACTIONS(1582),
    [anon_sym_GT_EQ] = ACTIONS(1582),
    [anon_sym_BANG_EQ] = ACTIONS(1582),
    [anon_sym_LT_LT] = ACTIONS(1582),
    [anon_sym_GT_GT] = ACTIONS(1582),
    [anon_sym_AMP] = ACTIONS(1582),
    [anon_sym_CARET] = ACTIONS(1582),
    [anon_sym_PIPE] = ACTIONS(1584),
  },
  [2680] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2681] = {
    [ts_builtin_sym_end] = ACTIONS(1680),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1680),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1680),
    [aux_sym_keyword_replace_token1] = ACTIONS(1682),
    [aux_sym__keyword_alter_token1] = ACTIONS(1680),
    [aux_sym__keyword_delete_token1] = ACTIONS(1680),
    [aux_sym__keyword_begin_token1] = ACTIONS(1680),
    [aux_sym__keyword_end_token1] = ACTIONS(1680),
    [aux_sym__keyword_between_token1] = ACTIONS(1680),
    [aux_sym__keyword_when_token1] = ACTIONS(1680),
    [aux_sym__keyword_else_token1] = ACTIONS(1682),
    [aux_sym__keyword_is_token1] = ACTIONS(1680),
    [aux_sym__keyword_in_token1] = ACTIONS(1682),
    [aux_sym__keyword_and_token1] = ACTIONS(1680),
    [aux_sym__keyword_like_token1] = ACTIONS(1680),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1680),
    [aux_sym__keyword_window_token1] = ACTIONS(1680),
    [aux_sym__keyword_for_token1] = ACTIONS(1680),
    [anon_sym_SEMI] = ACTIONS(1680),
    [aux_sym_declare_statement_token1] = ACTIONS(1680),
    [anon_sym_COMMA] = ACTIONS(1680),
    [aux_sym_set_statement_token1] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1680),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1680),
    [aux_sym_return_satement_token1] = ACTIONS(1680),
    [aux_sym_call_statement_token1] = ACTIONS(1680),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1680),
    [aux_sym_if_statement_token1] = ACTIONS(1680),
    [aux_sym_loop_statement_token1] = ACTIONS(1680),
    [aux_sym_repeat_statement_token1] = ACTIONS(1680),
    [aux_sym_while_statement_token1] = ACTIONS(1680),
    [aux_sym_break_statement_token1] = ACTIONS(1680),
    [aux_sym_leave_statement_token1] = ACTIONS(1680),
    [aux_sym_continue_statement_token1] = ACTIONS(1680),
    [aux_sym_iterate_statement_token1] = ACTIONS(1680),
    [aux_sym_raise_statement_token1] = ACTIONS(1680),
    [anon_sym_EQ] = ACTIONS(1680),
    [aux_sym_assert_statement_token1] = ACTIONS(1680),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1680),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1680),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1680),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_GT] = ACTIONS(1682),
    [aux_sym_set_operation_token1] = ACTIONS(1680),
    [aux_sym_set_operation_token3] = ACTIONS(1680),
    [aux_sym_set_operation_token4] = ACTIONS(1682),
    [aux_sym_select_token1] = ACTIONS(1680),
    [aux_sym_having_clause_token1] = ACTIONS(1680),
    [aux_sym_qualify_clause_token1] = ACTIONS(1680),
    [aux_sym_limit_clause_token1] = ACTIONS(1680),
    [aux_sym_group_by_clause_token1] = ACTIONS(1680),
    [aux_sym__direction_keywords_token1] = ACTIONS(1680),
    [aux_sym__direction_keywords_token2] = ACTIONS(1680),
    [aux_sym__nulls_preference_token1] = ACTIONS(1680),
    [aux_sym_order_by_clause_token1] = ACTIONS(1680),
    [aux_sym_insert_statement_token1] = ACTIONS(1680),
    [aux_sym_truncate_statement_token1] = ACTIONS(1680),
    [aux_sym_update_statement_token1] = ACTIONS(1680),
    [aux_sym_merge_statement_token1] = ACTIONS(1680),
    [aux_sym_grant_statement_token1] = ACTIONS(1680),
    [aux_sym_revoke_statement_token1] = ACTIONS(1680),
    [aux_sym_export_data_statement_token1] = ACTIONS(1680),
    [aux_sym_load_data_statement_token1] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1680),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(1680),
    [anon_sym_SLASH] = ACTIONS(1682),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_LT_GT] = ACTIONS(1680),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1680),
    [anon_sym_AMP] = ACTIONS(1680),
    [anon_sym_CARET] = ACTIONS(1680),
    [anon_sym_PIPE] = ACTIONS(1682),
  },
  [2682] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_window_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_having_clause_token1] = ACTIONS(1364),
    [aux_sym_qualify_clause_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym_group_by_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_order_by_clause_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2683] = {
    [sym__keyword_between] = STATE(1742),
    [sym__keyword_is] = STATE(12053),
    [sym__keyword_in] = STATE(1576),
    [sym__keyword_not] = STATE(13192),
    [sym__keyword_and] = STATE(1595),
    [sym__keyword_or] = STATE(1596),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(917),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_group_by_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(917),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PIPE_PIPE] = ACTIONS(917),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2684] = {
    [ts_builtin_sym_end] = ACTIONS(1386),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1386),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1386),
    [aux_sym_keyword_replace_token1] = ACTIONS(1388),
    [aux_sym__keyword_alter_token1] = ACTIONS(1386),
    [aux_sym__keyword_delete_token1] = ACTIONS(1386),
    [aux_sym__keyword_begin_token1] = ACTIONS(1386),
    [aux_sym__keyword_end_token1] = ACTIONS(1386),
    [aux_sym__keyword_between_token1] = ACTIONS(1386),
    [aux_sym__keyword_when_token1] = ACTIONS(1386),
    [aux_sym__keyword_else_token1] = ACTIONS(1388),
    [aux_sym__keyword_is_token1] = ACTIONS(1386),
    [aux_sym__keyword_in_token1] = ACTIONS(1388),
    [aux_sym__keyword_and_token1] = ACTIONS(1386),
    [aux_sym__keyword_like_token1] = ACTIONS(1386),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1386),
    [aux_sym__keyword_window_token1] = ACTIONS(1386),
    [aux_sym__keyword_for_token1] = ACTIONS(1386),
    [anon_sym_SEMI] = ACTIONS(1386),
    [aux_sym_declare_statement_token1] = ACTIONS(1386),
    [anon_sym_COMMA] = ACTIONS(1386),
    [aux_sym_set_statement_token1] = ACTIONS(1386),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1386),
    [aux_sym_return_satement_token1] = ACTIONS(1386),
    [aux_sym_call_statement_token1] = ACTIONS(1386),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1386),
    [aux_sym_if_statement_token1] = ACTIONS(1386),
    [aux_sym_loop_statement_token1] = ACTIONS(1386),
    [aux_sym_repeat_statement_token1] = ACTIONS(1386),
    [aux_sym_while_statement_token1] = ACTIONS(1386),
    [aux_sym_break_statement_token1] = ACTIONS(1386),
    [aux_sym_leave_statement_token1] = ACTIONS(1386),
    [aux_sym_continue_statement_token1] = ACTIONS(1386),
    [aux_sym_iterate_statement_token1] = ACTIONS(1386),
    [aux_sym_raise_statement_token1] = ACTIONS(1386),
    [anon_sym_EQ] = ACTIONS(1386),
    [aux_sym_assert_statement_token1] = ACTIONS(1386),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1386),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1386),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1386),
    [anon_sym_LT] = ACTIONS(1388),
    [anon_sym_GT] = ACTIONS(1388),
    [aux_sym_set_operation_token1] = ACTIONS(1386),
    [aux_sym_set_operation_token3] = ACTIONS(1386),
    [aux_sym_set_operation_token4] = ACTIONS(1388),
    [aux_sym_select_token1] = ACTIONS(1386),
    [aux_sym_having_clause_token1] = ACTIONS(1386),
    [aux_sym_qualify_clause_token1] = ACTIONS(1386),
    [aux_sym_limit_clause_token1] = ACTIONS(1386),
    [aux_sym_group_by_clause_token1] = ACTIONS(1386),
    [aux_sym__direction_keywords_token1] = ACTIONS(1386),
    [aux_sym__direction_keywords_token2] = ACTIONS(1386),
    [aux_sym__nulls_preference_token1] = ACTIONS(1386),
    [aux_sym_order_by_clause_token1] = ACTIONS(1386),
    [aux_sym_insert_statement_token1] = ACTIONS(1386),
    [aux_sym_truncate_statement_token1] = ACTIONS(1386),
    [aux_sym_update_statement_token1] = ACTIONS(1386),
    [aux_sym_merge_statement_token1] = ACTIONS(1386),
    [aux_sym_grant_statement_token1] = ACTIONS(1386),
    [aux_sym_revoke_statement_token1] = ACTIONS(1386),
    [aux_sym_export_data_statement_token1] = ACTIONS(1386),
    [aux_sym_load_data_statement_token1] = ACTIONS(1386),
    [anon_sym_LBRACK] = ACTIONS(1386),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1386),
    [anon_sym_DASH] = ACTIONS(1388),
    [anon_sym_STAR] = ACTIONS(1386),
    [anon_sym_SLASH] = ACTIONS(1388),
    [anon_sym_PIPE_PIPE] = ACTIONS(1386),
    [anon_sym_LT_EQ] = ACTIONS(1386),
    [anon_sym_LT_GT] = ACTIONS(1386),
    [anon_sym_GT_EQ] = ACTIONS(1386),
    [anon_sym_BANG_EQ] = ACTIONS(1386),
    [anon_sym_LT_LT] = ACTIONS(1386),
    [anon_sym_GT_GT] = ACTIONS(1386),
    [anon_sym_AMP] = ACTIONS(1386),
    [anon_sym_CARET] = ACTIONS(1386),
    [anon_sym_PIPE] = ACTIONS(1388),
  },
  [2685] = {
    [ts_builtin_sym_end] = ACTIONS(1610),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1610),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1610),
    [aux_sym_keyword_replace_token1] = ACTIONS(1612),
    [aux_sym__keyword_alter_token1] = ACTIONS(1610),
    [aux_sym__keyword_delete_token1] = ACTIONS(1610),
    [aux_sym__keyword_begin_token1] = ACTIONS(1610),
    [aux_sym__keyword_end_token1] = ACTIONS(1610),
    [aux_sym__keyword_between_token1] = ACTIONS(1610),
    [aux_sym__keyword_when_token1] = ACTIONS(1610),
    [aux_sym__keyword_else_token1] = ACTIONS(1612),
    [aux_sym__keyword_is_token1] = ACTIONS(1610),
    [aux_sym__keyword_in_token1] = ACTIONS(1612),
    [aux_sym__keyword_and_token1] = ACTIONS(1610),
    [aux_sym__keyword_like_token1] = ACTIONS(1610),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1610),
    [aux_sym__keyword_window_token1] = ACTIONS(1610),
    [aux_sym__keyword_for_token1] = ACTIONS(1610),
    [anon_sym_SEMI] = ACTIONS(1610),
    [aux_sym_declare_statement_token1] = ACTIONS(1610),
    [anon_sym_COMMA] = ACTIONS(1610),
    [aux_sym_set_statement_token1] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1610),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1610),
    [aux_sym_return_satement_token1] = ACTIONS(1610),
    [aux_sym_call_statement_token1] = ACTIONS(1610),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1610),
    [aux_sym_if_statement_token1] = ACTIONS(1610),
    [aux_sym_loop_statement_token1] = ACTIONS(1610),
    [aux_sym_repeat_statement_token1] = ACTIONS(1610),
    [aux_sym_while_statement_token1] = ACTIONS(1610),
    [aux_sym_break_statement_token1] = ACTIONS(1610),
    [aux_sym_leave_statement_token1] = ACTIONS(1610),
    [aux_sym_continue_statement_token1] = ACTIONS(1610),
    [aux_sym_iterate_statement_token1] = ACTIONS(1610),
    [aux_sym_raise_statement_token1] = ACTIONS(1610),
    [anon_sym_EQ] = ACTIONS(1610),
    [aux_sym_assert_statement_token1] = ACTIONS(1610),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1610),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1610),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1610),
    [anon_sym_LT] = ACTIONS(1612),
    [anon_sym_GT] = ACTIONS(1612),
    [aux_sym_set_operation_token1] = ACTIONS(1610),
    [aux_sym_set_operation_token3] = ACTIONS(1610),
    [aux_sym_set_operation_token4] = ACTIONS(1612),
    [aux_sym_select_token1] = ACTIONS(1610),
    [aux_sym_having_clause_token1] = ACTIONS(1610),
    [aux_sym_qualify_clause_token1] = ACTIONS(1610),
    [aux_sym_limit_clause_token1] = ACTIONS(1610),
    [aux_sym_group_by_clause_token1] = ACTIONS(1610),
    [aux_sym__direction_keywords_token1] = ACTIONS(1610),
    [aux_sym__direction_keywords_token2] = ACTIONS(1610),
    [aux_sym__nulls_preference_token1] = ACTIONS(1610),
    [aux_sym_order_by_clause_token1] = ACTIONS(1610),
    [aux_sym_insert_statement_token1] = ACTIONS(1610),
    [aux_sym_truncate_statement_token1] = ACTIONS(1610),
    [aux_sym_update_statement_token1] = ACTIONS(1610),
    [aux_sym_merge_statement_token1] = ACTIONS(1610),
    [aux_sym_grant_statement_token1] = ACTIONS(1610),
    [aux_sym_revoke_statement_token1] = ACTIONS(1610),
    [aux_sym_export_data_statement_token1] = ACTIONS(1610),
    [aux_sym_load_data_statement_token1] = ACTIONS(1610),
    [anon_sym_LBRACK] = ACTIONS(1610),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1610),
    [anon_sym_PLUS] = ACTIONS(1610),
    [anon_sym_DASH] = ACTIONS(1612),
    [anon_sym_STAR] = ACTIONS(1610),
    [anon_sym_SLASH] = ACTIONS(1612),
    [anon_sym_PIPE_PIPE] = ACTIONS(1610),
    [anon_sym_LT_EQ] = ACTIONS(1610),
    [anon_sym_LT_GT] = ACTIONS(1610),
    [anon_sym_GT_EQ] = ACTIONS(1610),
    [anon_sym_BANG_EQ] = ACTIONS(1610),
    [anon_sym_LT_LT] = ACTIONS(1610),
    [anon_sym_GT_GT] = ACTIONS(1610),
    [anon_sym_AMP] = ACTIONS(1610),
    [anon_sym_CARET] = ACTIONS(1610),
    [anon_sym_PIPE] = ACTIONS(1612),
  },
  [2686] = {
    [ts_builtin_sym_end] = ACTIONS(1688),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1688),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1688),
    [aux_sym_keyword_replace_token1] = ACTIONS(1690),
    [aux_sym__keyword_alter_token1] = ACTIONS(1688),
    [aux_sym__keyword_delete_token1] = ACTIONS(1688),
    [aux_sym__keyword_begin_token1] = ACTIONS(1688),
    [aux_sym__keyword_end_token1] = ACTIONS(1688),
    [aux_sym__keyword_between_token1] = ACTIONS(1688),
    [aux_sym__keyword_when_token1] = ACTIONS(1688),
    [aux_sym__keyword_else_token1] = ACTIONS(1690),
    [aux_sym__keyword_is_token1] = ACTIONS(1688),
    [aux_sym__keyword_in_token1] = ACTIONS(1690),
    [aux_sym__keyword_and_token1] = ACTIONS(1688),
    [aux_sym__keyword_like_token1] = ACTIONS(1688),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1688),
    [aux_sym__keyword_window_token1] = ACTIONS(1688),
    [aux_sym__keyword_for_token1] = ACTIONS(1688),
    [anon_sym_SEMI] = ACTIONS(1688),
    [aux_sym_declare_statement_token1] = ACTIONS(1688),
    [anon_sym_COMMA] = ACTIONS(1688),
    [aux_sym_set_statement_token1] = ACTIONS(1688),
    [anon_sym_LPAREN] = ACTIONS(1688),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1688),
    [aux_sym_return_satement_token1] = ACTIONS(1688),
    [aux_sym_call_statement_token1] = ACTIONS(1688),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1688),
    [aux_sym_if_statement_token1] = ACTIONS(1688),
    [aux_sym_loop_statement_token1] = ACTIONS(1688),
    [aux_sym_repeat_statement_token1] = ACTIONS(1688),
    [aux_sym_while_statement_token1] = ACTIONS(1688),
    [aux_sym_break_statement_token1] = ACTIONS(1688),
    [aux_sym_leave_statement_token1] = ACTIONS(1688),
    [aux_sym_continue_statement_token1] = ACTIONS(1688),
    [aux_sym_iterate_statement_token1] = ACTIONS(1688),
    [aux_sym_raise_statement_token1] = ACTIONS(1688),
    [anon_sym_EQ] = ACTIONS(1688),
    [aux_sym_assert_statement_token1] = ACTIONS(1688),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1688),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1688),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1688),
    [anon_sym_LT] = ACTIONS(1690),
    [anon_sym_GT] = ACTIONS(1690),
    [aux_sym_set_operation_token1] = ACTIONS(1688),
    [aux_sym_set_operation_token3] = ACTIONS(1688),
    [aux_sym_set_operation_token4] = ACTIONS(1690),
    [aux_sym_select_token1] = ACTIONS(1688),
    [aux_sym_having_clause_token1] = ACTIONS(1688),
    [aux_sym_qualify_clause_token1] = ACTIONS(1688),
    [aux_sym_limit_clause_token1] = ACTIONS(1688),
    [aux_sym_group_by_clause_token1] = ACTIONS(1688),
    [aux_sym__direction_keywords_token1] = ACTIONS(1688),
    [aux_sym__direction_keywords_token2] = ACTIONS(1688),
    [aux_sym__nulls_preference_token1] = ACTIONS(1688),
    [aux_sym_order_by_clause_token1] = ACTIONS(1688),
    [aux_sym_insert_statement_token1] = ACTIONS(1688),
    [aux_sym_truncate_statement_token1] = ACTIONS(1688),
    [aux_sym_update_statement_token1] = ACTIONS(1688),
    [aux_sym_merge_statement_token1] = ACTIONS(1688),
    [aux_sym_grant_statement_token1] = ACTIONS(1688),
    [aux_sym_revoke_statement_token1] = ACTIONS(1688),
    [aux_sym_export_data_statement_token1] = ACTIONS(1688),
    [aux_sym_load_data_statement_token1] = ACTIONS(1688),
    [anon_sym_LBRACK] = ACTIONS(1688),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1688),
    [anon_sym_PLUS] = ACTIONS(1688),
    [anon_sym_DASH] = ACTIONS(1690),
    [anon_sym_STAR] = ACTIONS(1688),
    [anon_sym_SLASH] = ACTIONS(1690),
    [anon_sym_PIPE_PIPE] = ACTIONS(1688),
    [anon_sym_LT_EQ] = ACTIONS(1688),
    [anon_sym_LT_GT] = ACTIONS(1688),
    [anon_sym_GT_EQ] = ACTIONS(1688),
    [anon_sym_BANG_EQ] = ACTIONS(1688),
    [anon_sym_LT_LT] = ACTIONS(1688),
    [anon_sym_GT_GT] = ACTIONS(1688),
    [anon_sym_AMP] = ACTIONS(1688),
    [anon_sym_CARET] = ACTIONS(1688),
    [anon_sym_PIPE] = ACTIONS(1690),
  },
  [2687] = {
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_window_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1360),
    [aux_sym_set_operation_token3] = ACTIONS(1360),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_having_clause_token1] = ACTIONS(1360),
    [aux_sym_qualify_clause_token1] = ACTIONS(1360),
    [aux_sym_limit_clause_token1] = ACTIONS(1360),
    [aux_sym_group_by_clause_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token2] = ACTIONS(1360),
    [aux_sym__nulls_preference_token1] = ACTIONS(1360),
    [aux_sym_order_by_clause_token1] = ACTIONS(1360),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [2688] = {
    [ts_builtin_sym_end] = ACTIONS(1692),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1692),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1692),
    [aux_sym_keyword_replace_token1] = ACTIONS(1694),
    [aux_sym__keyword_alter_token1] = ACTIONS(1692),
    [aux_sym__keyword_delete_token1] = ACTIONS(1692),
    [aux_sym__keyword_begin_token1] = ACTIONS(1692),
    [aux_sym__keyword_end_token1] = ACTIONS(1692),
    [aux_sym__keyword_between_token1] = ACTIONS(1692),
    [aux_sym__keyword_when_token1] = ACTIONS(1692),
    [aux_sym__keyword_else_token1] = ACTIONS(1694),
    [aux_sym__keyword_is_token1] = ACTIONS(1692),
    [aux_sym__keyword_in_token1] = ACTIONS(1694),
    [aux_sym__keyword_and_token1] = ACTIONS(1692),
    [aux_sym__keyword_like_token1] = ACTIONS(1692),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1692),
    [aux_sym__keyword_window_token1] = ACTIONS(1692),
    [aux_sym__keyword_for_token1] = ACTIONS(1692),
    [anon_sym_SEMI] = ACTIONS(1692),
    [aux_sym_declare_statement_token1] = ACTIONS(1692),
    [anon_sym_COMMA] = ACTIONS(1692),
    [aux_sym_set_statement_token1] = ACTIONS(1692),
    [anon_sym_LPAREN] = ACTIONS(1692),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1692),
    [aux_sym_return_satement_token1] = ACTIONS(1692),
    [aux_sym_call_statement_token1] = ACTIONS(1692),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1692),
    [aux_sym_if_statement_token1] = ACTIONS(1692),
    [aux_sym_loop_statement_token1] = ACTIONS(1692),
    [aux_sym_repeat_statement_token1] = ACTIONS(1692),
    [aux_sym_while_statement_token1] = ACTIONS(1692),
    [aux_sym_break_statement_token1] = ACTIONS(1692),
    [aux_sym_leave_statement_token1] = ACTIONS(1692),
    [aux_sym_continue_statement_token1] = ACTIONS(1692),
    [aux_sym_iterate_statement_token1] = ACTIONS(1692),
    [aux_sym_raise_statement_token1] = ACTIONS(1692),
    [anon_sym_EQ] = ACTIONS(1692),
    [aux_sym_assert_statement_token1] = ACTIONS(1692),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1692),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1692),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1692),
    [anon_sym_LT] = ACTIONS(1694),
    [anon_sym_GT] = ACTIONS(1694),
    [aux_sym_set_operation_token1] = ACTIONS(1692),
    [aux_sym_set_operation_token3] = ACTIONS(1692),
    [aux_sym_set_operation_token4] = ACTIONS(1694),
    [aux_sym_select_token1] = ACTIONS(1692),
    [aux_sym_having_clause_token1] = ACTIONS(1692),
    [aux_sym_qualify_clause_token1] = ACTIONS(1692),
    [aux_sym_limit_clause_token1] = ACTIONS(1692),
    [aux_sym_group_by_clause_token1] = ACTIONS(1692),
    [aux_sym__direction_keywords_token1] = ACTIONS(1692),
    [aux_sym__direction_keywords_token2] = ACTIONS(1692),
    [aux_sym__nulls_preference_token1] = ACTIONS(1692),
    [aux_sym_order_by_clause_token1] = ACTIONS(1692),
    [aux_sym_insert_statement_token1] = ACTIONS(1692),
    [aux_sym_truncate_statement_token1] = ACTIONS(1692),
    [aux_sym_update_statement_token1] = ACTIONS(1692),
    [aux_sym_merge_statement_token1] = ACTIONS(1692),
    [aux_sym_grant_statement_token1] = ACTIONS(1692),
    [aux_sym_revoke_statement_token1] = ACTIONS(1692),
    [aux_sym_export_data_statement_token1] = ACTIONS(1692),
    [aux_sym_load_data_statement_token1] = ACTIONS(1692),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1692),
    [anon_sym_PLUS] = ACTIONS(1692),
    [anon_sym_DASH] = ACTIONS(1694),
    [anon_sym_STAR] = ACTIONS(1692),
    [anon_sym_SLASH] = ACTIONS(1694),
    [anon_sym_PIPE_PIPE] = ACTIONS(1692),
    [anon_sym_LT_EQ] = ACTIONS(1692),
    [anon_sym_LT_GT] = ACTIONS(1692),
    [anon_sym_GT_EQ] = ACTIONS(1692),
    [anon_sym_BANG_EQ] = ACTIONS(1692),
    [anon_sym_LT_LT] = ACTIONS(1692),
    [anon_sym_GT_GT] = ACTIONS(1692),
    [anon_sym_AMP] = ACTIONS(1692),
    [anon_sym_CARET] = ACTIONS(1692),
    [anon_sym_PIPE] = ACTIONS(1694),
  },
  [2689] = {
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_group_by_clause_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token2] = ACTIONS(917),
    [aux_sym__nulls_preference_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(917),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PIPE_PIPE] = ACTIONS(917),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2690] = {
    [ts_builtin_sym_end] = ACTIONS(1696),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1696),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1696),
    [aux_sym_keyword_replace_token1] = ACTIONS(1698),
    [aux_sym__keyword_alter_token1] = ACTIONS(1696),
    [aux_sym__keyword_delete_token1] = ACTIONS(1696),
    [aux_sym__keyword_begin_token1] = ACTIONS(1696),
    [aux_sym__keyword_end_token1] = ACTIONS(1696),
    [aux_sym__keyword_between_token1] = ACTIONS(1696),
    [aux_sym__keyword_when_token1] = ACTIONS(1696),
    [aux_sym__keyword_else_token1] = ACTIONS(1698),
    [aux_sym__keyword_is_token1] = ACTIONS(1696),
    [aux_sym__keyword_in_token1] = ACTIONS(1698),
    [aux_sym__keyword_and_token1] = ACTIONS(1696),
    [aux_sym__keyword_like_token1] = ACTIONS(1696),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1696),
    [aux_sym__keyword_window_token1] = ACTIONS(1696),
    [aux_sym__keyword_for_token1] = ACTIONS(1696),
    [anon_sym_SEMI] = ACTIONS(1696),
    [aux_sym_declare_statement_token1] = ACTIONS(1696),
    [anon_sym_COMMA] = ACTIONS(1696),
    [aux_sym_set_statement_token1] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1696),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1696),
    [aux_sym_return_satement_token1] = ACTIONS(1696),
    [aux_sym_call_statement_token1] = ACTIONS(1696),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1696),
    [aux_sym_if_statement_token1] = ACTIONS(1696),
    [aux_sym_loop_statement_token1] = ACTIONS(1696),
    [aux_sym_repeat_statement_token1] = ACTIONS(1696),
    [aux_sym_while_statement_token1] = ACTIONS(1696),
    [aux_sym_break_statement_token1] = ACTIONS(1696),
    [aux_sym_leave_statement_token1] = ACTIONS(1696),
    [aux_sym_continue_statement_token1] = ACTIONS(1696),
    [aux_sym_iterate_statement_token1] = ACTIONS(1696),
    [aux_sym_raise_statement_token1] = ACTIONS(1696),
    [anon_sym_EQ] = ACTIONS(1696),
    [aux_sym_assert_statement_token1] = ACTIONS(1696),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1696),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1696),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1696),
    [anon_sym_LT] = ACTIONS(1698),
    [anon_sym_GT] = ACTIONS(1698),
    [aux_sym_set_operation_token1] = ACTIONS(1696),
    [aux_sym_set_operation_token3] = ACTIONS(1696),
    [aux_sym_set_operation_token4] = ACTIONS(1698),
    [aux_sym_select_token1] = ACTIONS(1696),
    [aux_sym_having_clause_token1] = ACTIONS(1696),
    [aux_sym_qualify_clause_token1] = ACTIONS(1696),
    [aux_sym_limit_clause_token1] = ACTIONS(1696),
    [aux_sym_group_by_clause_token1] = ACTIONS(1696),
    [aux_sym__direction_keywords_token1] = ACTIONS(1696),
    [aux_sym__direction_keywords_token2] = ACTIONS(1696),
    [aux_sym__nulls_preference_token1] = ACTIONS(1696),
    [aux_sym_order_by_clause_token1] = ACTIONS(1696),
    [aux_sym_insert_statement_token1] = ACTIONS(1696),
    [aux_sym_truncate_statement_token1] = ACTIONS(1696),
    [aux_sym_update_statement_token1] = ACTIONS(1696),
    [aux_sym_merge_statement_token1] = ACTIONS(1696),
    [aux_sym_grant_statement_token1] = ACTIONS(1696),
    [aux_sym_revoke_statement_token1] = ACTIONS(1696),
    [aux_sym_export_data_statement_token1] = ACTIONS(1696),
    [aux_sym_load_data_statement_token1] = ACTIONS(1696),
    [anon_sym_LBRACK] = ACTIONS(1696),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_STAR] = ACTIONS(1696),
    [anon_sym_SLASH] = ACTIONS(1698),
    [anon_sym_PIPE_PIPE] = ACTIONS(1696),
    [anon_sym_LT_EQ] = ACTIONS(1696),
    [anon_sym_LT_GT] = ACTIONS(1696),
    [anon_sym_GT_EQ] = ACTIONS(1696),
    [anon_sym_BANG_EQ] = ACTIONS(1696),
    [anon_sym_LT_LT] = ACTIONS(1696),
    [anon_sym_GT_GT] = ACTIONS(1696),
    [anon_sym_AMP] = ACTIONS(1696),
    [anon_sym_CARET] = ACTIONS(1696),
    [anon_sym_PIPE] = ACTIONS(1698),
  },
  [2691] = {
    [ts_builtin_sym_end] = ACTIONS(1700),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1700),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1700),
    [aux_sym_keyword_replace_token1] = ACTIONS(1702),
    [aux_sym__keyword_alter_token1] = ACTIONS(1700),
    [aux_sym__keyword_delete_token1] = ACTIONS(1700),
    [aux_sym__keyword_begin_token1] = ACTIONS(1700),
    [aux_sym__keyword_end_token1] = ACTIONS(1700),
    [aux_sym__keyword_between_token1] = ACTIONS(1700),
    [aux_sym__keyword_when_token1] = ACTIONS(1700),
    [aux_sym__keyword_else_token1] = ACTIONS(1702),
    [aux_sym__keyword_is_token1] = ACTIONS(1700),
    [aux_sym__keyword_in_token1] = ACTIONS(1702),
    [aux_sym__keyword_and_token1] = ACTIONS(1700),
    [aux_sym__keyword_like_token1] = ACTIONS(1700),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1700),
    [aux_sym__keyword_window_token1] = ACTIONS(1700),
    [aux_sym__keyword_for_token1] = ACTIONS(1700),
    [anon_sym_SEMI] = ACTIONS(1700),
    [aux_sym_declare_statement_token1] = ACTIONS(1700),
    [anon_sym_COMMA] = ACTIONS(1700),
    [aux_sym_set_statement_token1] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1700),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1700),
    [aux_sym_return_satement_token1] = ACTIONS(1700),
    [aux_sym_call_statement_token1] = ACTIONS(1700),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1700),
    [aux_sym_if_statement_token1] = ACTIONS(1700),
    [aux_sym_loop_statement_token1] = ACTIONS(1700),
    [aux_sym_repeat_statement_token1] = ACTIONS(1700),
    [aux_sym_while_statement_token1] = ACTIONS(1700),
    [aux_sym_break_statement_token1] = ACTIONS(1700),
    [aux_sym_leave_statement_token1] = ACTIONS(1700),
    [aux_sym_continue_statement_token1] = ACTIONS(1700),
    [aux_sym_iterate_statement_token1] = ACTIONS(1700),
    [aux_sym_raise_statement_token1] = ACTIONS(1700),
    [anon_sym_EQ] = ACTIONS(1700),
    [aux_sym_assert_statement_token1] = ACTIONS(1700),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1700),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1700),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1700),
    [anon_sym_LT] = ACTIONS(1702),
    [anon_sym_GT] = ACTIONS(1702),
    [aux_sym_set_operation_token1] = ACTIONS(1700),
    [aux_sym_set_operation_token3] = ACTIONS(1700),
    [aux_sym_set_operation_token4] = ACTIONS(1702),
    [aux_sym_select_token1] = ACTIONS(1700),
    [aux_sym_having_clause_token1] = ACTIONS(1700),
    [aux_sym_qualify_clause_token1] = ACTIONS(1700),
    [aux_sym_limit_clause_token1] = ACTIONS(1700),
    [aux_sym_group_by_clause_token1] = ACTIONS(1700),
    [aux_sym__direction_keywords_token1] = ACTIONS(1700),
    [aux_sym__direction_keywords_token2] = ACTIONS(1700),
    [aux_sym__nulls_preference_token1] = ACTIONS(1700),
    [aux_sym_order_by_clause_token1] = ACTIONS(1700),
    [aux_sym_insert_statement_token1] = ACTIONS(1700),
    [aux_sym_truncate_statement_token1] = ACTIONS(1700),
    [aux_sym_update_statement_token1] = ACTIONS(1700),
    [aux_sym_merge_statement_token1] = ACTIONS(1700),
    [aux_sym_grant_statement_token1] = ACTIONS(1700),
    [aux_sym_revoke_statement_token1] = ACTIONS(1700),
    [aux_sym_export_data_statement_token1] = ACTIONS(1700),
    [aux_sym_load_data_statement_token1] = ACTIONS(1700),
    [anon_sym_LBRACK] = ACTIONS(1700),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1700),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_DASH] = ACTIONS(1702),
    [anon_sym_STAR] = ACTIONS(1700),
    [anon_sym_SLASH] = ACTIONS(1702),
    [anon_sym_PIPE_PIPE] = ACTIONS(1700),
    [anon_sym_LT_EQ] = ACTIONS(1700),
    [anon_sym_LT_GT] = ACTIONS(1700),
    [anon_sym_GT_EQ] = ACTIONS(1700),
    [anon_sym_BANG_EQ] = ACTIONS(1700),
    [anon_sym_LT_LT] = ACTIONS(1700),
    [anon_sym_GT_GT] = ACTIONS(1700),
    [anon_sym_AMP] = ACTIONS(1700),
    [anon_sym_CARET] = ACTIONS(1700),
    [anon_sym_PIPE] = ACTIONS(1702),
  },
  [2692] = {
    [ts_builtin_sym_end] = ACTIONS(1704),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1704),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1704),
    [aux_sym_keyword_replace_token1] = ACTIONS(1706),
    [aux_sym__keyword_alter_token1] = ACTIONS(1704),
    [aux_sym__keyword_delete_token1] = ACTIONS(1704),
    [aux_sym__keyword_begin_token1] = ACTIONS(1704),
    [aux_sym__keyword_end_token1] = ACTIONS(1704),
    [aux_sym__keyword_between_token1] = ACTIONS(1704),
    [aux_sym__keyword_when_token1] = ACTIONS(1704),
    [aux_sym__keyword_else_token1] = ACTIONS(1706),
    [aux_sym__keyword_is_token1] = ACTIONS(1704),
    [aux_sym__keyword_in_token1] = ACTIONS(1706),
    [aux_sym__keyword_and_token1] = ACTIONS(1704),
    [aux_sym__keyword_like_token1] = ACTIONS(1704),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1704),
    [aux_sym__keyword_window_token1] = ACTIONS(1704),
    [aux_sym__keyword_for_token1] = ACTIONS(1704),
    [anon_sym_SEMI] = ACTIONS(1704),
    [aux_sym_declare_statement_token1] = ACTIONS(1704),
    [anon_sym_COMMA] = ACTIONS(1704),
    [aux_sym_set_statement_token1] = ACTIONS(1704),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1704),
    [aux_sym_return_satement_token1] = ACTIONS(1704),
    [aux_sym_call_statement_token1] = ACTIONS(1704),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1704),
    [aux_sym_if_statement_token1] = ACTIONS(1704),
    [aux_sym_loop_statement_token1] = ACTIONS(1704),
    [aux_sym_repeat_statement_token1] = ACTIONS(1704),
    [aux_sym_while_statement_token1] = ACTIONS(1704),
    [aux_sym_break_statement_token1] = ACTIONS(1704),
    [aux_sym_leave_statement_token1] = ACTIONS(1704),
    [aux_sym_continue_statement_token1] = ACTIONS(1704),
    [aux_sym_iterate_statement_token1] = ACTIONS(1704),
    [aux_sym_raise_statement_token1] = ACTIONS(1704),
    [anon_sym_EQ] = ACTIONS(1704),
    [aux_sym_assert_statement_token1] = ACTIONS(1704),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1704),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1704),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1704),
    [anon_sym_LT] = ACTIONS(1706),
    [anon_sym_GT] = ACTIONS(1706),
    [aux_sym_set_operation_token1] = ACTIONS(1704),
    [aux_sym_set_operation_token3] = ACTIONS(1704),
    [aux_sym_set_operation_token4] = ACTIONS(1706),
    [aux_sym_select_token1] = ACTIONS(1704),
    [aux_sym_having_clause_token1] = ACTIONS(1704),
    [aux_sym_qualify_clause_token1] = ACTIONS(1704),
    [aux_sym_limit_clause_token1] = ACTIONS(1704),
    [aux_sym_group_by_clause_token1] = ACTIONS(1704),
    [aux_sym__direction_keywords_token1] = ACTIONS(1704),
    [aux_sym__direction_keywords_token2] = ACTIONS(1704),
    [aux_sym__nulls_preference_token1] = ACTIONS(1704),
    [aux_sym_order_by_clause_token1] = ACTIONS(1704),
    [aux_sym_insert_statement_token1] = ACTIONS(1704),
    [aux_sym_truncate_statement_token1] = ACTIONS(1704),
    [aux_sym_update_statement_token1] = ACTIONS(1704),
    [aux_sym_merge_statement_token1] = ACTIONS(1704),
    [aux_sym_grant_statement_token1] = ACTIONS(1704),
    [aux_sym_revoke_statement_token1] = ACTIONS(1704),
    [aux_sym_export_data_statement_token1] = ACTIONS(1704),
    [aux_sym_load_data_statement_token1] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1704),
    [anon_sym_PLUS] = ACTIONS(1704),
    [anon_sym_DASH] = ACTIONS(1706),
    [anon_sym_STAR] = ACTIONS(1704),
    [anon_sym_SLASH] = ACTIONS(1706),
    [anon_sym_PIPE_PIPE] = ACTIONS(1704),
    [anon_sym_LT_EQ] = ACTIONS(1704),
    [anon_sym_LT_GT] = ACTIONS(1704),
    [anon_sym_GT_EQ] = ACTIONS(1704),
    [anon_sym_BANG_EQ] = ACTIONS(1704),
    [anon_sym_LT_LT] = ACTIONS(1704),
    [anon_sym_GT_GT] = ACTIONS(1704),
    [anon_sym_AMP] = ACTIONS(1704),
    [anon_sym_CARET] = ACTIONS(1704),
    [anon_sym_PIPE] = ACTIONS(1706),
  },
  [2693] = {
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_window_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1360),
    [aux_sym_set_operation_token3] = ACTIONS(1360),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_having_clause_token1] = ACTIONS(1360),
    [aux_sym_qualify_clause_token1] = ACTIONS(1360),
    [aux_sym_limit_clause_token1] = ACTIONS(1360),
    [aux_sym_group_by_clause_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token2] = ACTIONS(1360),
    [aux_sym__nulls_preference_token1] = ACTIONS(1360),
    [aux_sym_order_by_clause_token1] = ACTIONS(1360),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [2694] = {
    [ts_builtin_sym_end] = ACTIONS(1858),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1858),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1858),
    [aux_sym_keyword_replace_token1] = ACTIONS(1860),
    [aux_sym__keyword_alter_token1] = ACTIONS(1858),
    [aux_sym__keyword_delete_token1] = ACTIONS(1858),
    [aux_sym__keyword_begin_token1] = ACTIONS(1858),
    [aux_sym__keyword_end_token1] = ACTIONS(1858),
    [aux_sym__keyword_between_token1] = ACTIONS(1858),
    [aux_sym__keyword_when_token1] = ACTIONS(1858),
    [aux_sym__keyword_else_token1] = ACTIONS(1860),
    [aux_sym__keyword_is_token1] = ACTIONS(1858),
    [aux_sym__keyword_in_token1] = ACTIONS(1860),
    [aux_sym__keyword_and_token1] = ACTIONS(1858),
    [aux_sym__keyword_like_token1] = ACTIONS(1858),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1858),
    [aux_sym__keyword_window_token1] = ACTIONS(1858),
    [aux_sym__keyword_for_token1] = ACTIONS(1858),
    [anon_sym_SEMI] = ACTIONS(1858),
    [aux_sym_declare_statement_token1] = ACTIONS(1858),
    [anon_sym_COMMA] = ACTIONS(1858),
    [aux_sym_set_statement_token1] = ACTIONS(1858),
    [anon_sym_LPAREN] = ACTIONS(1858),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1858),
    [aux_sym_return_satement_token1] = ACTIONS(1858),
    [aux_sym_call_statement_token1] = ACTIONS(1858),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1858),
    [aux_sym_if_statement_token1] = ACTIONS(1858),
    [aux_sym_loop_statement_token1] = ACTIONS(1858),
    [aux_sym_repeat_statement_token1] = ACTIONS(1858),
    [aux_sym_while_statement_token1] = ACTIONS(1858),
    [aux_sym_break_statement_token1] = ACTIONS(1858),
    [aux_sym_leave_statement_token1] = ACTIONS(1858),
    [aux_sym_continue_statement_token1] = ACTIONS(1858),
    [aux_sym_iterate_statement_token1] = ACTIONS(1858),
    [aux_sym_raise_statement_token1] = ACTIONS(1858),
    [anon_sym_EQ] = ACTIONS(1858),
    [aux_sym_assert_statement_token1] = ACTIONS(1858),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1858),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1858),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1858),
    [anon_sym_LT] = ACTIONS(1860),
    [anon_sym_GT] = ACTIONS(1860),
    [aux_sym_set_operation_token1] = ACTIONS(1858),
    [aux_sym_set_operation_token3] = ACTIONS(1858),
    [aux_sym_set_operation_token4] = ACTIONS(1860),
    [aux_sym_select_token1] = ACTIONS(1858),
    [aux_sym_having_clause_token1] = ACTIONS(1858),
    [aux_sym_qualify_clause_token1] = ACTIONS(1858),
    [aux_sym_limit_clause_token1] = ACTIONS(1858),
    [aux_sym_group_by_clause_token1] = ACTIONS(1858),
    [aux_sym__direction_keywords_token1] = ACTIONS(1858),
    [aux_sym__direction_keywords_token2] = ACTIONS(1858),
    [aux_sym__nulls_preference_token1] = ACTIONS(1858),
    [aux_sym_order_by_clause_token1] = ACTIONS(1858),
    [aux_sym_insert_statement_token1] = ACTIONS(1858),
    [aux_sym_truncate_statement_token1] = ACTIONS(1858),
    [aux_sym_update_statement_token1] = ACTIONS(1858),
    [aux_sym_merge_statement_token1] = ACTIONS(1858),
    [aux_sym_grant_statement_token1] = ACTIONS(1858),
    [aux_sym_revoke_statement_token1] = ACTIONS(1858),
    [aux_sym_export_data_statement_token1] = ACTIONS(1858),
    [aux_sym_load_data_statement_token1] = ACTIONS(1858),
    [anon_sym_LBRACK] = ACTIONS(1858),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1858),
    [anon_sym_PLUS] = ACTIONS(1858),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_PIPE_PIPE] = ACTIONS(1858),
    [anon_sym_LT_EQ] = ACTIONS(1858),
    [anon_sym_LT_GT] = ACTIONS(1858),
    [anon_sym_GT_EQ] = ACTIONS(1858),
    [anon_sym_BANG_EQ] = ACTIONS(1858),
    [anon_sym_LT_LT] = ACTIONS(1858),
    [anon_sym_GT_GT] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym_CARET] = ACTIONS(1858),
    [anon_sym_PIPE] = ACTIONS(1860),
  },
  [2695] = {
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_window_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1360),
    [aux_sym_set_operation_token3] = ACTIONS(1360),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_having_clause_token1] = ACTIONS(1360),
    [aux_sym_qualify_clause_token1] = ACTIONS(1360),
    [aux_sym_limit_clause_token1] = ACTIONS(1360),
    [aux_sym_group_by_clause_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token2] = ACTIONS(1360),
    [aux_sym__nulls_preference_token1] = ACTIONS(1360),
    [aux_sym_order_by_clause_token1] = ACTIONS(1360),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [2696] = {
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_window_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1360),
    [aux_sym_set_operation_token3] = ACTIONS(1360),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_having_clause_token1] = ACTIONS(1360),
    [aux_sym_qualify_clause_token1] = ACTIONS(1360),
    [aux_sym_limit_clause_token1] = ACTIONS(1360),
    [aux_sym_group_by_clause_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token2] = ACTIONS(1360),
    [aux_sym__nulls_preference_token1] = ACTIONS(1360),
    [aux_sym_order_by_clause_token1] = ACTIONS(1360),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [2697] = {
    [ts_builtin_sym_end] = ACTIONS(1708),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1708),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1708),
    [aux_sym_keyword_replace_token1] = ACTIONS(1710),
    [aux_sym__keyword_alter_token1] = ACTIONS(1708),
    [aux_sym__keyword_delete_token1] = ACTIONS(1708),
    [aux_sym__keyword_begin_token1] = ACTIONS(1708),
    [aux_sym__keyword_end_token1] = ACTIONS(1708),
    [aux_sym__keyword_between_token1] = ACTIONS(1708),
    [aux_sym__keyword_when_token1] = ACTIONS(1708),
    [aux_sym__keyword_else_token1] = ACTIONS(1710),
    [aux_sym__keyword_is_token1] = ACTIONS(1708),
    [aux_sym__keyword_in_token1] = ACTIONS(1710),
    [aux_sym__keyword_and_token1] = ACTIONS(1708),
    [aux_sym__keyword_like_token1] = ACTIONS(1708),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1708),
    [aux_sym__keyword_window_token1] = ACTIONS(1708),
    [aux_sym__keyword_for_token1] = ACTIONS(1708),
    [anon_sym_SEMI] = ACTIONS(1708),
    [aux_sym_declare_statement_token1] = ACTIONS(1708),
    [anon_sym_COMMA] = ACTIONS(1708),
    [aux_sym_set_statement_token1] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1708),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1708),
    [aux_sym_return_satement_token1] = ACTIONS(1708),
    [aux_sym_call_statement_token1] = ACTIONS(1708),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1708),
    [aux_sym_if_statement_token1] = ACTIONS(1708),
    [aux_sym_loop_statement_token1] = ACTIONS(1708),
    [aux_sym_repeat_statement_token1] = ACTIONS(1708),
    [aux_sym_while_statement_token1] = ACTIONS(1708),
    [aux_sym_break_statement_token1] = ACTIONS(1708),
    [aux_sym_leave_statement_token1] = ACTIONS(1708),
    [aux_sym_continue_statement_token1] = ACTIONS(1708),
    [aux_sym_iterate_statement_token1] = ACTIONS(1708),
    [aux_sym_raise_statement_token1] = ACTIONS(1708),
    [anon_sym_EQ] = ACTIONS(1708),
    [aux_sym_assert_statement_token1] = ACTIONS(1708),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1708),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1708),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1708),
    [anon_sym_LT] = ACTIONS(1710),
    [anon_sym_GT] = ACTIONS(1710),
    [aux_sym_set_operation_token1] = ACTIONS(1708),
    [aux_sym_set_operation_token3] = ACTIONS(1708),
    [aux_sym_set_operation_token4] = ACTIONS(1710),
    [aux_sym_select_token1] = ACTIONS(1708),
    [aux_sym_having_clause_token1] = ACTIONS(1708),
    [aux_sym_qualify_clause_token1] = ACTIONS(1708),
    [aux_sym_limit_clause_token1] = ACTIONS(1708),
    [aux_sym_group_by_clause_token1] = ACTIONS(1708),
    [aux_sym__direction_keywords_token1] = ACTIONS(1708),
    [aux_sym__direction_keywords_token2] = ACTIONS(1708),
    [aux_sym__nulls_preference_token1] = ACTIONS(1708),
    [aux_sym_order_by_clause_token1] = ACTIONS(1708),
    [aux_sym_insert_statement_token1] = ACTIONS(1708),
    [aux_sym_truncate_statement_token1] = ACTIONS(1708),
    [aux_sym_update_statement_token1] = ACTIONS(1708),
    [aux_sym_merge_statement_token1] = ACTIONS(1708),
    [aux_sym_grant_statement_token1] = ACTIONS(1708),
    [aux_sym_revoke_statement_token1] = ACTIONS(1708),
    [aux_sym_export_data_statement_token1] = ACTIONS(1708),
    [aux_sym_load_data_statement_token1] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1708),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_DASH] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(1708),
    [anon_sym_SLASH] = ACTIONS(1710),
    [anon_sym_PIPE_PIPE] = ACTIONS(1708),
    [anon_sym_LT_EQ] = ACTIONS(1708),
    [anon_sym_LT_GT] = ACTIONS(1708),
    [anon_sym_GT_EQ] = ACTIONS(1708),
    [anon_sym_BANG_EQ] = ACTIONS(1708),
    [anon_sym_LT_LT] = ACTIONS(1708),
    [anon_sym_GT_GT] = ACTIONS(1708),
    [anon_sym_AMP] = ACTIONS(1708),
    [anon_sym_CARET] = ACTIONS(1708),
    [anon_sym_PIPE] = ACTIONS(1710),
  },
  [2698] = {
    [ts_builtin_sym_end] = ACTIONS(1712),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1712),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1712),
    [aux_sym_keyword_replace_token1] = ACTIONS(1714),
    [aux_sym__keyword_alter_token1] = ACTIONS(1712),
    [aux_sym__keyword_delete_token1] = ACTIONS(1712),
    [aux_sym__keyword_begin_token1] = ACTIONS(1712),
    [aux_sym__keyword_end_token1] = ACTIONS(1712),
    [aux_sym__keyword_between_token1] = ACTIONS(1712),
    [aux_sym__keyword_when_token1] = ACTIONS(1712),
    [aux_sym__keyword_else_token1] = ACTIONS(1714),
    [aux_sym__keyword_is_token1] = ACTIONS(1712),
    [aux_sym__keyword_in_token1] = ACTIONS(1714),
    [aux_sym__keyword_and_token1] = ACTIONS(1712),
    [aux_sym__keyword_like_token1] = ACTIONS(1712),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1712),
    [aux_sym__keyword_window_token1] = ACTIONS(1712),
    [aux_sym__keyword_for_token1] = ACTIONS(1712),
    [anon_sym_SEMI] = ACTIONS(1712),
    [aux_sym_declare_statement_token1] = ACTIONS(1712),
    [anon_sym_COMMA] = ACTIONS(1712),
    [aux_sym_set_statement_token1] = ACTIONS(1712),
    [anon_sym_LPAREN] = ACTIONS(1712),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1712),
    [aux_sym_return_satement_token1] = ACTIONS(1712),
    [aux_sym_call_statement_token1] = ACTIONS(1712),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1712),
    [aux_sym_if_statement_token1] = ACTIONS(1712),
    [aux_sym_loop_statement_token1] = ACTIONS(1712),
    [aux_sym_repeat_statement_token1] = ACTIONS(1712),
    [aux_sym_while_statement_token1] = ACTIONS(1712),
    [aux_sym_break_statement_token1] = ACTIONS(1712),
    [aux_sym_leave_statement_token1] = ACTIONS(1712),
    [aux_sym_continue_statement_token1] = ACTIONS(1712),
    [aux_sym_iterate_statement_token1] = ACTIONS(1712),
    [aux_sym_raise_statement_token1] = ACTIONS(1712),
    [anon_sym_EQ] = ACTIONS(1712),
    [aux_sym_assert_statement_token1] = ACTIONS(1712),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1712),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1712),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1712),
    [anon_sym_LT] = ACTIONS(1714),
    [anon_sym_GT] = ACTIONS(1714),
    [aux_sym_set_operation_token1] = ACTIONS(1712),
    [aux_sym_set_operation_token3] = ACTIONS(1712),
    [aux_sym_set_operation_token4] = ACTIONS(1714),
    [aux_sym_select_token1] = ACTIONS(1712),
    [aux_sym_having_clause_token1] = ACTIONS(1712),
    [aux_sym_qualify_clause_token1] = ACTIONS(1712),
    [aux_sym_limit_clause_token1] = ACTIONS(1712),
    [aux_sym_group_by_clause_token1] = ACTIONS(1712),
    [aux_sym__direction_keywords_token1] = ACTIONS(1712),
    [aux_sym__direction_keywords_token2] = ACTIONS(1712),
    [aux_sym__nulls_preference_token1] = ACTIONS(1712),
    [aux_sym_order_by_clause_token1] = ACTIONS(1712),
    [aux_sym_insert_statement_token1] = ACTIONS(1712),
    [aux_sym_truncate_statement_token1] = ACTIONS(1712),
    [aux_sym_update_statement_token1] = ACTIONS(1712),
    [aux_sym_merge_statement_token1] = ACTIONS(1712),
    [aux_sym_grant_statement_token1] = ACTIONS(1712),
    [aux_sym_revoke_statement_token1] = ACTIONS(1712),
    [aux_sym_export_data_statement_token1] = ACTIONS(1712),
    [aux_sym_load_data_statement_token1] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1712),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1712),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_DASH] = ACTIONS(1714),
    [anon_sym_STAR] = ACTIONS(1712),
    [anon_sym_SLASH] = ACTIONS(1714),
    [anon_sym_PIPE_PIPE] = ACTIONS(1712),
    [anon_sym_LT_EQ] = ACTIONS(1712),
    [anon_sym_LT_GT] = ACTIONS(1712),
    [anon_sym_GT_EQ] = ACTIONS(1712),
    [anon_sym_BANG_EQ] = ACTIONS(1712),
    [anon_sym_LT_LT] = ACTIONS(1712),
    [anon_sym_GT_GT] = ACTIONS(1712),
    [anon_sym_AMP] = ACTIONS(1712),
    [anon_sym_CARET] = ACTIONS(1712),
    [anon_sym_PIPE] = ACTIONS(1714),
  },
  [2699] = {
    [sym__keyword_between] = STATE(1742),
    [sym__keyword_is] = STATE(12053),
    [sym__keyword_in] = STATE(1576),
    [sym__keyword_not] = STATE(13192),
    [sym__keyword_and] = STATE(1595),
    [sym__keyword_or] = STATE(1596),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16190),
    [sym_quantitve_like_operator] = STATE(16184),
    [ts_builtin_sym_end] = ACTIONS(1023),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1023),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1023),
    [aux_sym_keyword_replace_token1] = ACTIONS(1025),
    [aux_sym__keyword_alter_token1] = ACTIONS(1023),
    [aux_sym__keyword_delete_token1] = ACTIONS(1023),
    [aux_sym__keyword_begin_token1] = ACTIONS(1023),
    [aux_sym__keyword_between_token1] = ACTIONS(1023),
    [aux_sym__keyword_when_token1] = ACTIONS(1023),
    [aux_sym__keyword_is_token1] = ACTIONS(1023),
    [aux_sym__keyword_in_token1] = ACTIONS(1025),
    [aux_sym__keyword_and_token1] = ACTIONS(1023),
    [aux_sym__keyword_like_token1] = ACTIONS(1023),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1023),
    [aux_sym__keyword_window_token1] = ACTIONS(1023),
    [aux_sym__keyword_for_token1] = ACTIONS(1023),
    [anon_sym_SEMI] = ACTIONS(1023),
    [aux_sym_declare_statement_token1] = ACTIONS(1023),
    [aux_sym_set_statement_token1] = ACTIONS(1023),
    [anon_sym_LPAREN] = ACTIONS(1023),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1023),
    [aux_sym_return_satement_token1] = ACTIONS(1023),
    [aux_sym_call_statement_token1] = ACTIONS(1023),
    [aux_sym_loop_statement_token1] = ACTIONS(1023),
    [aux_sym_while_statement_token1] = ACTIONS(1023),
    [aux_sym_break_statement_token1] = ACTIONS(1023),
    [aux_sym_leave_statement_token1] = ACTIONS(1023),
    [aux_sym_continue_statement_token1] = ACTIONS(1023),
    [aux_sym_iterate_statement_token1] = ACTIONS(1023),
    [aux_sym_raise_statement_token1] = ACTIONS(1023),
    [anon_sym_EQ] = ACTIONS(1023),
    [aux_sym_assert_statement_token1] = ACTIONS(1023),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1023),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1023),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1023),
    [anon_sym_LT] = ACTIONS(1025),
    [anon_sym_GT] = ACTIONS(1025),
    [aux_sym_set_operation_token1] = ACTIONS(1023),
    [aux_sym_set_operation_token3] = ACTIONS(1023),
    [aux_sym_set_operation_token4] = ACTIONS(1023),
    [aux_sym_select_token1] = ACTIONS(1023),
    [aux_sym_having_clause_token1] = ACTIONS(1023),
    [aux_sym_qualify_clause_token1] = ACTIONS(1023),
    [aux_sym_limit_clause_token1] = ACTIONS(1023),
    [aux_sym_group_by_clause_token1] = ACTIONS(1023),
    [aux_sym_order_by_clause_token1] = ACTIONS(1023),
    [aux_sym_insert_statement_token1] = ACTIONS(1023),
    [aux_sym_truncate_statement_token1] = ACTIONS(1023),
    [aux_sym_update_statement_token1] = ACTIONS(1023),
    [aux_sym_merge_statement_token1] = ACTIONS(1023),
    [aux_sym_grant_statement_token1] = ACTIONS(1023),
    [aux_sym_revoke_statement_token1] = ACTIONS(1023),
    [aux_sym_export_data_statement_token1] = ACTIONS(1023),
    [aux_sym_load_data_statement_token1] = ACTIONS(1023),
    [anon_sym_LBRACK] = ACTIONS(1023),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1023),
    [anon_sym_PLUS] = ACTIONS(2944),
    [anon_sym_DASH] = ACTIONS(2946),
    [anon_sym_STAR] = ACTIONS(2948),
    [anon_sym_SLASH] = ACTIONS(2950),
    [anon_sym_PIPE_PIPE] = ACTIONS(2948),
    [anon_sym_LT_EQ] = ACTIONS(1023),
    [anon_sym_LT_GT] = ACTIONS(1023),
    [anon_sym_GT_EQ] = ACTIONS(1023),
    [anon_sym_BANG_EQ] = ACTIONS(1023),
    [anon_sym_LT_LT] = ACTIONS(2952),
    [anon_sym_GT_GT] = ACTIONS(2952),
    [anon_sym_AMP] = ACTIONS(2954),
    [anon_sym_CARET] = ACTIONS(2956),
    [anon_sym_PIPE] = ACTIONS(2958),
  },
  [2700] = {
    [ts_builtin_sym_end] = ACTIONS(1492),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1492),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1492),
    [aux_sym_keyword_replace_token1] = ACTIONS(1494),
    [aux_sym__keyword_alter_token1] = ACTIONS(1492),
    [aux_sym__keyword_delete_token1] = ACTIONS(1492),
    [aux_sym__keyword_begin_token1] = ACTIONS(1492),
    [aux_sym__keyword_end_token1] = ACTIONS(1492),
    [aux_sym__keyword_between_token1] = ACTIONS(1492),
    [aux_sym__keyword_when_token1] = ACTIONS(1492),
    [aux_sym__keyword_else_token1] = ACTIONS(1494),
    [aux_sym__keyword_is_token1] = ACTIONS(1492),
    [aux_sym__keyword_in_token1] = ACTIONS(1494),
    [aux_sym__keyword_and_token1] = ACTIONS(1492),
    [aux_sym__keyword_like_token1] = ACTIONS(1492),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1492),
    [aux_sym__keyword_window_token1] = ACTIONS(1492),
    [aux_sym__keyword_for_token1] = ACTIONS(1492),
    [anon_sym_SEMI] = ACTIONS(1492),
    [aux_sym_declare_statement_token1] = ACTIONS(1492),
    [anon_sym_COMMA] = ACTIONS(1492),
    [aux_sym_set_statement_token1] = ACTIONS(1492),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1492),
    [aux_sym_return_satement_token1] = ACTIONS(1492),
    [aux_sym_call_statement_token1] = ACTIONS(1492),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1492),
    [aux_sym_if_statement_token1] = ACTIONS(1492),
    [aux_sym_loop_statement_token1] = ACTIONS(1492),
    [aux_sym_repeat_statement_token1] = ACTIONS(1492),
    [aux_sym_while_statement_token1] = ACTIONS(1492),
    [aux_sym_break_statement_token1] = ACTIONS(1492),
    [aux_sym_leave_statement_token1] = ACTIONS(1492),
    [aux_sym_continue_statement_token1] = ACTIONS(1492),
    [aux_sym_iterate_statement_token1] = ACTIONS(1492),
    [aux_sym_raise_statement_token1] = ACTIONS(1492),
    [anon_sym_EQ] = ACTIONS(1492),
    [aux_sym_assert_statement_token1] = ACTIONS(1492),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1492),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1492),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1492),
    [anon_sym_LT] = ACTIONS(1494),
    [anon_sym_GT] = ACTIONS(1494),
    [aux_sym_set_operation_token1] = ACTIONS(1492),
    [aux_sym_set_operation_token3] = ACTIONS(1492),
    [aux_sym_set_operation_token4] = ACTIONS(1494),
    [aux_sym_select_token1] = ACTIONS(1492),
    [aux_sym_having_clause_token1] = ACTIONS(1492),
    [aux_sym_qualify_clause_token1] = ACTIONS(1492),
    [aux_sym_limit_clause_token1] = ACTIONS(1492),
    [aux_sym_group_by_clause_token1] = ACTIONS(1492),
    [aux_sym__direction_keywords_token1] = ACTIONS(1492),
    [aux_sym__direction_keywords_token2] = ACTIONS(1492),
    [aux_sym__nulls_preference_token1] = ACTIONS(1492),
    [aux_sym_order_by_clause_token1] = ACTIONS(1492),
    [aux_sym_insert_statement_token1] = ACTIONS(1492),
    [aux_sym_truncate_statement_token1] = ACTIONS(1492),
    [aux_sym_update_statement_token1] = ACTIONS(1492),
    [aux_sym_merge_statement_token1] = ACTIONS(1492),
    [aux_sym_grant_statement_token1] = ACTIONS(1492),
    [aux_sym_revoke_statement_token1] = ACTIONS(1492),
    [aux_sym_export_data_statement_token1] = ACTIONS(1492),
    [aux_sym_load_data_statement_token1] = ACTIONS(1492),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_STAR] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1494),
    [anon_sym_PIPE_PIPE] = ACTIONS(1492),
    [anon_sym_LT_EQ] = ACTIONS(1492),
    [anon_sym_LT_GT] = ACTIONS(1492),
    [anon_sym_GT_EQ] = ACTIONS(1492),
    [anon_sym_BANG_EQ] = ACTIONS(1492),
    [anon_sym_LT_LT] = ACTIONS(1492),
    [anon_sym_GT_GT] = ACTIONS(1492),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_CARET] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1494),
  },
  [2701] = {
    [ts_builtin_sym_end] = ACTIONS(1716),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1716),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1716),
    [aux_sym_keyword_replace_token1] = ACTIONS(1718),
    [aux_sym__keyword_alter_token1] = ACTIONS(1716),
    [aux_sym__keyword_delete_token1] = ACTIONS(1716),
    [aux_sym__keyword_begin_token1] = ACTIONS(1716),
    [aux_sym__keyword_end_token1] = ACTIONS(1716),
    [aux_sym__keyword_between_token1] = ACTIONS(1716),
    [aux_sym__keyword_when_token1] = ACTIONS(1716),
    [aux_sym__keyword_else_token1] = ACTIONS(1718),
    [aux_sym__keyword_is_token1] = ACTIONS(1716),
    [aux_sym__keyword_in_token1] = ACTIONS(1718),
    [aux_sym__keyword_and_token1] = ACTIONS(1716),
    [aux_sym__keyword_like_token1] = ACTIONS(1716),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1716),
    [aux_sym__keyword_window_token1] = ACTIONS(1716),
    [aux_sym__keyword_for_token1] = ACTIONS(1716),
    [anon_sym_SEMI] = ACTIONS(1716),
    [aux_sym_declare_statement_token1] = ACTIONS(1716),
    [anon_sym_COMMA] = ACTIONS(1716),
    [aux_sym_set_statement_token1] = ACTIONS(1716),
    [anon_sym_LPAREN] = ACTIONS(1716),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1716),
    [aux_sym_return_satement_token1] = ACTIONS(1716),
    [aux_sym_call_statement_token1] = ACTIONS(1716),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1716),
    [aux_sym_if_statement_token1] = ACTIONS(1716),
    [aux_sym_loop_statement_token1] = ACTIONS(1716),
    [aux_sym_repeat_statement_token1] = ACTIONS(1716),
    [aux_sym_while_statement_token1] = ACTIONS(1716),
    [aux_sym_break_statement_token1] = ACTIONS(1716),
    [aux_sym_leave_statement_token1] = ACTIONS(1716),
    [aux_sym_continue_statement_token1] = ACTIONS(1716),
    [aux_sym_iterate_statement_token1] = ACTIONS(1716),
    [aux_sym_raise_statement_token1] = ACTIONS(1716),
    [anon_sym_EQ] = ACTIONS(1716),
    [aux_sym_assert_statement_token1] = ACTIONS(1716),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1716),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1716),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1716),
    [anon_sym_LT] = ACTIONS(1718),
    [anon_sym_GT] = ACTIONS(1718),
    [aux_sym_set_operation_token1] = ACTIONS(1716),
    [aux_sym_set_operation_token3] = ACTIONS(1716),
    [aux_sym_set_operation_token4] = ACTIONS(1718),
    [aux_sym_select_token1] = ACTIONS(1716),
    [aux_sym_having_clause_token1] = ACTIONS(1716),
    [aux_sym_qualify_clause_token1] = ACTIONS(1716),
    [aux_sym_limit_clause_token1] = ACTIONS(1716),
    [aux_sym_group_by_clause_token1] = ACTIONS(1716),
    [aux_sym__direction_keywords_token1] = ACTIONS(1716),
    [aux_sym__direction_keywords_token2] = ACTIONS(1716),
    [aux_sym__nulls_preference_token1] = ACTIONS(1716),
    [aux_sym_order_by_clause_token1] = ACTIONS(1716),
    [aux_sym_insert_statement_token1] = ACTIONS(1716),
    [aux_sym_truncate_statement_token1] = ACTIONS(1716),
    [aux_sym_update_statement_token1] = ACTIONS(1716),
    [aux_sym_merge_statement_token1] = ACTIONS(1716),
    [aux_sym_grant_statement_token1] = ACTIONS(1716),
    [aux_sym_revoke_statement_token1] = ACTIONS(1716),
    [aux_sym_export_data_statement_token1] = ACTIONS(1716),
    [aux_sym_load_data_statement_token1] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1716),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_DASH] = ACTIONS(1718),
    [anon_sym_STAR] = ACTIONS(1716),
    [anon_sym_SLASH] = ACTIONS(1718),
    [anon_sym_PIPE_PIPE] = ACTIONS(1716),
    [anon_sym_LT_EQ] = ACTIONS(1716),
    [anon_sym_LT_GT] = ACTIONS(1716),
    [anon_sym_GT_EQ] = ACTIONS(1716),
    [anon_sym_BANG_EQ] = ACTIONS(1716),
    [anon_sym_LT_LT] = ACTIONS(1716),
    [anon_sym_GT_GT] = ACTIONS(1716),
    [anon_sym_AMP] = ACTIONS(1716),
    [anon_sym_CARET] = ACTIONS(1716),
    [anon_sym_PIPE] = ACTIONS(1718),
  },
  [2702] = {
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_window_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1360),
    [aux_sym_set_operation_token3] = ACTIONS(1360),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_having_clause_token1] = ACTIONS(1360),
    [aux_sym_qualify_clause_token1] = ACTIONS(1360),
    [aux_sym_limit_clause_token1] = ACTIONS(1360),
    [aux_sym_group_by_clause_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token2] = ACTIONS(1360),
    [aux_sym__nulls_preference_token1] = ACTIONS(1360),
    [aux_sym_order_by_clause_token1] = ACTIONS(1360),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [2703] = {
    [sym__keyword_as] = STATE(11549),
    [sym__keyword_date] = STATE(2774),
    [sym__keyword_datetime] = STATE(2774),
    [sym__keyword_time] = STATE(2774),
    [sym__keyword_timestamp] = STATE(2774),
    [sym_as_alias] = STATE(4386),
    [sym_unnest_withoffset] = STATE(4394),
    [sym__type_chrono] = STATE(2771),
    [sym__identifier] = STATE(4215),
    [sym__dotted_identifier] = STATE(13794),
    [sym_identifier] = STATE(4403),
    [aux_sym_identifier_repeat1] = STATE(13794),
    [ts_builtin_sym_end] = ACTIONS(211),
    [sym__unquoted_identifier] = ACTIONS(2362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(205),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(205),
    [aux_sym_keyword_replace_token1] = ACTIONS(205),
    [aux_sym__keyword_alter_token1] = ACTIONS(205),
    [aux_sym__keyword_delete_token1] = ACTIONS(205),
    [aux_sym__keyword_begin_token1] = ACTIONS(205),
    [aux_sym__keyword_between_token1] = ACTIONS(205),
    [aux_sym__keyword_is_token1] = ACTIONS(205),
    [aux_sym__keyword_in_token1] = ACTIONS(205),
    [aux_sym__keyword_and_token1] = ACTIONS(205),
    [aux_sym__keyword_like_token1] = ACTIONS(205),
    [aux_sym__keyword_repeat_token1] = ACTIONS(205),
    [aux_sym__keyword_as_token1] = ACTIONS(2738),
    [aux_sym__keyword_date_token1] = ACTIONS(1328),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1328),
    [aux_sym__keyword_time_token1] = ACTIONS(1328),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1328),
    [aux_sym__keyword_for_token1] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(211),
    [aux_sym_declare_statement_token1] = ACTIONS(205),
    [aux_sym_set_statement_token1] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(211),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(205),
    [aux_sym_return_satement_token1] = ACTIONS(205),
    [aux_sym_call_statement_token1] = ACTIONS(205),
    [aux_sym_loop_statement_token1] = ACTIONS(205),
    [aux_sym_while_statement_token1] = ACTIONS(205),
    [aux_sym_break_statement_token1] = ACTIONS(205),
    [aux_sym_leave_statement_token1] = ACTIONS(205),
    [aux_sym_continue_statement_token1] = ACTIONS(205),
    [aux_sym_iterate_statement_token1] = ACTIONS(205),
    [aux_sym_raise_statement_token1] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(211),
    [aux_sym_assert_statement_token1] = ACTIONS(205),
    [aux_sym_create_schema_statement_token1] = ACTIONS(205),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(205),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2790),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [aux_sym_select_token1] = ACTIONS(205),
    [aux_sym_insert_statement_token1] = ACTIONS(205),
    [aux_sym_truncate_statement_token1] = ACTIONS(205),
    [aux_sym_update_statement_token1] = ACTIONS(205),
    [aux_sym_merge_statement_token1] = ACTIONS(205),
    [aux_sym_grant_statement_token1] = ACTIONS(205),
    [aux_sym_revoke_statement_token1] = ACTIONS(205),
    [aux_sym_export_data_statement_token1] = ACTIONS(205),
    [aux_sym_load_data_statement_token1] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(211),
    [sym__quoted_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(211),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(211),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(211),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_LT_GT] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(211),
    [anon_sym_GT_GT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_CARET] = ACTIONS(211),
    [anon_sym_PIPE] = ACTIONS(205),
  },
  [2704] = {
    [ts_builtin_sym_end] = ACTIONS(1496),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1496),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1496),
    [aux_sym_keyword_replace_token1] = ACTIONS(1498),
    [aux_sym__keyword_alter_token1] = ACTIONS(1496),
    [aux_sym__keyword_delete_token1] = ACTIONS(1496),
    [aux_sym__keyword_begin_token1] = ACTIONS(1496),
    [aux_sym__keyword_end_token1] = ACTIONS(1496),
    [aux_sym__keyword_between_token1] = ACTIONS(1496),
    [aux_sym__keyword_when_token1] = ACTIONS(1496),
    [aux_sym__keyword_else_token1] = ACTIONS(1498),
    [aux_sym__keyword_is_token1] = ACTIONS(1496),
    [aux_sym__keyword_in_token1] = ACTIONS(1498),
    [aux_sym__keyword_and_token1] = ACTIONS(1496),
    [aux_sym__keyword_like_token1] = ACTIONS(1496),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1496),
    [aux_sym__keyword_window_token1] = ACTIONS(1496),
    [aux_sym__keyword_for_token1] = ACTIONS(1496),
    [anon_sym_SEMI] = ACTIONS(1496),
    [aux_sym_declare_statement_token1] = ACTIONS(1496),
    [anon_sym_COMMA] = ACTIONS(1496),
    [aux_sym_set_statement_token1] = ACTIONS(1496),
    [anon_sym_LPAREN] = ACTIONS(1496),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1496),
    [aux_sym_return_satement_token1] = ACTIONS(1496),
    [aux_sym_call_statement_token1] = ACTIONS(1496),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1496),
    [aux_sym_if_statement_token1] = ACTIONS(1496),
    [aux_sym_loop_statement_token1] = ACTIONS(1496),
    [aux_sym_repeat_statement_token1] = ACTIONS(1496),
    [aux_sym_while_statement_token1] = ACTIONS(1496),
    [aux_sym_break_statement_token1] = ACTIONS(1496),
    [aux_sym_leave_statement_token1] = ACTIONS(1496),
    [aux_sym_continue_statement_token1] = ACTIONS(1496),
    [aux_sym_iterate_statement_token1] = ACTIONS(1496),
    [aux_sym_raise_statement_token1] = ACTIONS(1496),
    [anon_sym_EQ] = ACTIONS(1496),
    [aux_sym_assert_statement_token1] = ACTIONS(1496),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1496),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1496),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1496),
    [anon_sym_LT] = ACTIONS(1498),
    [anon_sym_GT] = ACTIONS(1498),
    [aux_sym_set_operation_token1] = ACTIONS(1496),
    [aux_sym_set_operation_token3] = ACTIONS(1496),
    [aux_sym_set_operation_token4] = ACTIONS(1498),
    [aux_sym_select_token1] = ACTIONS(1496),
    [aux_sym_having_clause_token1] = ACTIONS(1496),
    [aux_sym_qualify_clause_token1] = ACTIONS(1496),
    [aux_sym_limit_clause_token1] = ACTIONS(1496),
    [aux_sym_group_by_clause_token1] = ACTIONS(1496),
    [aux_sym__direction_keywords_token1] = ACTIONS(1496),
    [aux_sym__direction_keywords_token2] = ACTIONS(1496),
    [aux_sym__nulls_preference_token1] = ACTIONS(1496),
    [aux_sym_order_by_clause_token1] = ACTIONS(1496),
    [aux_sym_insert_statement_token1] = ACTIONS(1496),
    [aux_sym_truncate_statement_token1] = ACTIONS(1496),
    [aux_sym_update_statement_token1] = ACTIONS(1496),
    [aux_sym_merge_statement_token1] = ACTIONS(1496),
    [aux_sym_grant_statement_token1] = ACTIONS(1496),
    [aux_sym_revoke_statement_token1] = ACTIONS(1496),
    [aux_sym_export_data_statement_token1] = ACTIONS(1496),
    [aux_sym_load_data_statement_token1] = ACTIONS(1496),
    [anon_sym_LBRACK] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(1498),
    [anon_sym_PIPE_PIPE] = ACTIONS(1496),
    [anon_sym_LT_EQ] = ACTIONS(1496),
    [anon_sym_LT_GT] = ACTIONS(1496),
    [anon_sym_GT_EQ] = ACTIONS(1496),
    [anon_sym_BANG_EQ] = ACTIONS(1496),
    [anon_sym_LT_LT] = ACTIONS(1496),
    [anon_sym_GT_GT] = ACTIONS(1496),
    [anon_sym_AMP] = ACTIONS(1496),
    [anon_sym_CARET] = ACTIONS(1496),
    [anon_sym_PIPE] = ACTIONS(1498),
  },
  [2705] = {
    [ts_builtin_sym_end] = ACTIONS(1720),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1720),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1720),
    [aux_sym_keyword_replace_token1] = ACTIONS(1722),
    [aux_sym__keyword_alter_token1] = ACTIONS(1720),
    [aux_sym__keyword_delete_token1] = ACTIONS(1720),
    [aux_sym__keyword_begin_token1] = ACTIONS(1720),
    [aux_sym__keyword_end_token1] = ACTIONS(1720),
    [aux_sym__keyword_between_token1] = ACTIONS(1720),
    [aux_sym__keyword_when_token1] = ACTIONS(1720),
    [aux_sym__keyword_else_token1] = ACTIONS(1722),
    [aux_sym__keyword_is_token1] = ACTIONS(1720),
    [aux_sym__keyword_in_token1] = ACTIONS(1722),
    [aux_sym__keyword_and_token1] = ACTIONS(1720),
    [aux_sym__keyword_like_token1] = ACTIONS(1720),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1720),
    [aux_sym__keyword_window_token1] = ACTIONS(1720),
    [aux_sym__keyword_for_token1] = ACTIONS(1720),
    [anon_sym_SEMI] = ACTIONS(1720),
    [aux_sym_declare_statement_token1] = ACTIONS(1720),
    [anon_sym_COMMA] = ACTIONS(1720),
    [aux_sym_set_statement_token1] = ACTIONS(1720),
    [anon_sym_LPAREN] = ACTIONS(1720),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1720),
    [aux_sym_return_satement_token1] = ACTIONS(1720),
    [aux_sym_call_statement_token1] = ACTIONS(1720),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1720),
    [aux_sym_if_statement_token1] = ACTIONS(1720),
    [aux_sym_loop_statement_token1] = ACTIONS(1720),
    [aux_sym_repeat_statement_token1] = ACTIONS(1720),
    [aux_sym_while_statement_token1] = ACTIONS(1720),
    [aux_sym_break_statement_token1] = ACTIONS(1720),
    [aux_sym_leave_statement_token1] = ACTIONS(1720),
    [aux_sym_continue_statement_token1] = ACTIONS(1720),
    [aux_sym_iterate_statement_token1] = ACTIONS(1720),
    [aux_sym_raise_statement_token1] = ACTIONS(1720),
    [anon_sym_EQ] = ACTIONS(1720),
    [aux_sym_assert_statement_token1] = ACTIONS(1720),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1720),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1720),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1720),
    [anon_sym_LT] = ACTIONS(1722),
    [anon_sym_GT] = ACTIONS(1722),
    [aux_sym_set_operation_token1] = ACTIONS(1720),
    [aux_sym_set_operation_token3] = ACTIONS(1720),
    [aux_sym_set_operation_token4] = ACTIONS(1722),
    [aux_sym_select_token1] = ACTIONS(1720),
    [aux_sym_having_clause_token1] = ACTIONS(1720),
    [aux_sym_qualify_clause_token1] = ACTIONS(1720),
    [aux_sym_limit_clause_token1] = ACTIONS(1720),
    [aux_sym_group_by_clause_token1] = ACTIONS(1720),
    [aux_sym__direction_keywords_token1] = ACTIONS(1720),
    [aux_sym__direction_keywords_token2] = ACTIONS(1720),
    [aux_sym__nulls_preference_token1] = ACTIONS(1720),
    [aux_sym_order_by_clause_token1] = ACTIONS(1720),
    [aux_sym_insert_statement_token1] = ACTIONS(1720),
    [aux_sym_truncate_statement_token1] = ACTIONS(1720),
    [aux_sym_update_statement_token1] = ACTIONS(1720),
    [aux_sym_merge_statement_token1] = ACTIONS(1720),
    [aux_sym_grant_statement_token1] = ACTIONS(1720),
    [aux_sym_revoke_statement_token1] = ACTIONS(1720),
    [aux_sym_export_data_statement_token1] = ACTIONS(1720),
    [aux_sym_load_data_statement_token1] = ACTIONS(1720),
    [anon_sym_LBRACK] = ACTIONS(1720),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1720),
    [anon_sym_PLUS] = ACTIONS(1720),
    [anon_sym_DASH] = ACTIONS(1722),
    [anon_sym_STAR] = ACTIONS(1720),
    [anon_sym_SLASH] = ACTIONS(1722),
    [anon_sym_PIPE_PIPE] = ACTIONS(1720),
    [anon_sym_LT_EQ] = ACTIONS(1720),
    [anon_sym_LT_GT] = ACTIONS(1720),
    [anon_sym_GT_EQ] = ACTIONS(1720),
    [anon_sym_BANG_EQ] = ACTIONS(1720),
    [anon_sym_LT_LT] = ACTIONS(1720),
    [anon_sym_GT_GT] = ACTIONS(1720),
    [anon_sym_AMP] = ACTIONS(1720),
    [anon_sym_CARET] = ACTIONS(1720),
    [anon_sym_PIPE] = ACTIONS(1722),
  },
  [2706] = {
    [ts_builtin_sym_end] = ACTIONS(1500),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1500),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1500),
    [aux_sym_keyword_replace_token1] = ACTIONS(1502),
    [aux_sym__keyword_alter_token1] = ACTIONS(1500),
    [aux_sym__keyword_delete_token1] = ACTIONS(1500),
    [aux_sym__keyword_begin_token1] = ACTIONS(1500),
    [aux_sym__keyword_end_token1] = ACTIONS(1500),
    [aux_sym__keyword_between_token1] = ACTIONS(1500),
    [aux_sym__keyword_when_token1] = ACTIONS(1500),
    [aux_sym__keyword_else_token1] = ACTIONS(1502),
    [aux_sym__keyword_is_token1] = ACTIONS(1500),
    [aux_sym__keyword_in_token1] = ACTIONS(1502),
    [aux_sym__keyword_and_token1] = ACTIONS(1500),
    [aux_sym__keyword_like_token1] = ACTIONS(1500),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1500),
    [aux_sym__keyword_window_token1] = ACTIONS(1500),
    [aux_sym__keyword_for_token1] = ACTIONS(1500),
    [anon_sym_SEMI] = ACTIONS(1500),
    [aux_sym_declare_statement_token1] = ACTIONS(1500),
    [anon_sym_COMMA] = ACTIONS(1500),
    [aux_sym_set_statement_token1] = ACTIONS(1500),
    [anon_sym_LPAREN] = ACTIONS(1500),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1500),
    [aux_sym_return_satement_token1] = ACTIONS(1500),
    [aux_sym_call_statement_token1] = ACTIONS(1500),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1500),
    [aux_sym_if_statement_token1] = ACTIONS(1500),
    [aux_sym_loop_statement_token1] = ACTIONS(1500),
    [aux_sym_repeat_statement_token1] = ACTIONS(1500),
    [aux_sym_while_statement_token1] = ACTIONS(1500),
    [aux_sym_break_statement_token1] = ACTIONS(1500),
    [aux_sym_leave_statement_token1] = ACTIONS(1500),
    [aux_sym_continue_statement_token1] = ACTIONS(1500),
    [aux_sym_iterate_statement_token1] = ACTIONS(1500),
    [aux_sym_raise_statement_token1] = ACTIONS(1500),
    [anon_sym_EQ] = ACTIONS(1500),
    [aux_sym_assert_statement_token1] = ACTIONS(1500),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1500),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1500),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1500),
    [anon_sym_LT] = ACTIONS(1502),
    [anon_sym_GT] = ACTIONS(1502),
    [aux_sym_set_operation_token1] = ACTIONS(1500),
    [aux_sym_set_operation_token3] = ACTIONS(1500),
    [aux_sym_set_operation_token4] = ACTIONS(1502),
    [aux_sym_select_token1] = ACTIONS(1500),
    [aux_sym_having_clause_token1] = ACTIONS(1500),
    [aux_sym_qualify_clause_token1] = ACTIONS(1500),
    [aux_sym_limit_clause_token1] = ACTIONS(1500),
    [aux_sym_group_by_clause_token1] = ACTIONS(1500),
    [aux_sym__direction_keywords_token1] = ACTIONS(1500),
    [aux_sym__direction_keywords_token2] = ACTIONS(1500),
    [aux_sym__nulls_preference_token1] = ACTIONS(1500),
    [aux_sym_order_by_clause_token1] = ACTIONS(1500),
    [aux_sym_insert_statement_token1] = ACTIONS(1500),
    [aux_sym_truncate_statement_token1] = ACTIONS(1500),
    [aux_sym_update_statement_token1] = ACTIONS(1500),
    [aux_sym_merge_statement_token1] = ACTIONS(1500),
    [aux_sym_grant_statement_token1] = ACTIONS(1500),
    [aux_sym_revoke_statement_token1] = ACTIONS(1500),
    [aux_sym_export_data_statement_token1] = ACTIONS(1500),
    [aux_sym_load_data_statement_token1] = ACTIONS(1500),
    [anon_sym_LBRACK] = ACTIONS(1500),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_STAR] = ACTIONS(1500),
    [anon_sym_SLASH] = ACTIONS(1502),
    [anon_sym_PIPE_PIPE] = ACTIONS(1500),
    [anon_sym_LT_EQ] = ACTIONS(1500),
    [anon_sym_LT_GT] = ACTIONS(1500),
    [anon_sym_GT_EQ] = ACTIONS(1500),
    [anon_sym_BANG_EQ] = ACTIONS(1500),
    [anon_sym_LT_LT] = ACTIONS(1500),
    [anon_sym_GT_GT] = ACTIONS(1500),
    [anon_sym_AMP] = ACTIONS(1500),
    [anon_sym_CARET] = ACTIONS(1500),
    [anon_sym_PIPE] = ACTIONS(1502),
  },
  [2707] = {
    [ts_builtin_sym_end] = ACTIONS(1724),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1724),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1724),
    [aux_sym_keyword_replace_token1] = ACTIONS(1726),
    [aux_sym__keyword_alter_token1] = ACTIONS(1724),
    [aux_sym__keyword_delete_token1] = ACTIONS(1724),
    [aux_sym__keyword_begin_token1] = ACTIONS(1724),
    [aux_sym__keyword_end_token1] = ACTIONS(1724),
    [aux_sym__keyword_between_token1] = ACTIONS(1724),
    [aux_sym__keyword_when_token1] = ACTIONS(1724),
    [aux_sym__keyword_else_token1] = ACTIONS(1726),
    [aux_sym__keyword_is_token1] = ACTIONS(1724),
    [aux_sym__keyword_in_token1] = ACTIONS(1726),
    [aux_sym__keyword_and_token1] = ACTIONS(1724),
    [aux_sym__keyword_like_token1] = ACTIONS(1724),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1724),
    [aux_sym__keyword_window_token1] = ACTIONS(1724),
    [aux_sym__keyword_for_token1] = ACTIONS(1724),
    [anon_sym_SEMI] = ACTIONS(1724),
    [aux_sym_declare_statement_token1] = ACTIONS(1724),
    [anon_sym_COMMA] = ACTIONS(1724),
    [aux_sym_set_statement_token1] = ACTIONS(1724),
    [anon_sym_LPAREN] = ACTIONS(1724),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1724),
    [aux_sym_return_satement_token1] = ACTIONS(1724),
    [aux_sym_call_statement_token1] = ACTIONS(1724),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1724),
    [aux_sym_if_statement_token1] = ACTIONS(1724),
    [aux_sym_loop_statement_token1] = ACTIONS(1724),
    [aux_sym_repeat_statement_token1] = ACTIONS(1724),
    [aux_sym_while_statement_token1] = ACTIONS(1724),
    [aux_sym_break_statement_token1] = ACTIONS(1724),
    [aux_sym_leave_statement_token1] = ACTIONS(1724),
    [aux_sym_continue_statement_token1] = ACTIONS(1724),
    [aux_sym_iterate_statement_token1] = ACTIONS(1724),
    [aux_sym_raise_statement_token1] = ACTIONS(1724),
    [anon_sym_EQ] = ACTIONS(1724),
    [aux_sym_assert_statement_token1] = ACTIONS(1724),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1724),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1724),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1724),
    [anon_sym_LT] = ACTIONS(1726),
    [anon_sym_GT] = ACTIONS(1726),
    [aux_sym_set_operation_token1] = ACTIONS(1724),
    [aux_sym_set_operation_token3] = ACTIONS(1724),
    [aux_sym_set_operation_token4] = ACTIONS(1726),
    [aux_sym_select_token1] = ACTIONS(1724),
    [aux_sym_having_clause_token1] = ACTIONS(1724),
    [aux_sym_qualify_clause_token1] = ACTIONS(1724),
    [aux_sym_limit_clause_token1] = ACTIONS(1724),
    [aux_sym_group_by_clause_token1] = ACTIONS(1724),
    [aux_sym__direction_keywords_token1] = ACTIONS(1724),
    [aux_sym__direction_keywords_token2] = ACTIONS(1724),
    [aux_sym__nulls_preference_token1] = ACTIONS(1724),
    [aux_sym_order_by_clause_token1] = ACTIONS(1724),
    [aux_sym_insert_statement_token1] = ACTIONS(1724),
    [aux_sym_truncate_statement_token1] = ACTIONS(1724),
    [aux_sym_update_statement_token1] = ACTIONS(1724),
    [aux_sym_merge_statement_token1] = ACTIONS(1724),
    [aux_sym_grant_statement_token1] = ACTIONS(1724),
    [aux_sym_revoke_statement_token1] = ACTIONS(1724),
    [aux_sym_export_data_statement_token1] = ACTIONS(1724),
    [aux_sym_load_data_statement_token1] = ACTIONS(1724),
    [anon_sym_LBRACK] = ACTIONS(1724),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_DASH] = ACTIONS(1726),
    [anon_sym_STAR] = ACTIONS(1724),
    [anon_sym_SLASH] = ACTIONS(1726),
    [anon_sym_PIPE_PIPE] = ACTIONS(1724),
    [anon_sym_LT_EQ] = ACTIONS(1724),
    [anon_sym_LT_GT] = ACTIONS(1724),
    [anon_sym_GT_EQ] = ACTIONS(1724),
    [anon_sym_BANG_EQ] = ACTIONS(1724),
    [anon_sym_LT_LT] = ACTIONS(1724),
    [anon_sym_GT_GT] = ACTIONS(1724),
    [anon_sym_AMP] = ACTIONS(1724),
    [anon_sym_CARET] = ACTIONS(1724),
    [anon_sym_PIPE] = ACTIONS(1726),
  },
  [2708] = {
    [ts_builtin_sym_end] = ACTIONS(1504),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1504),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1504),
    [aux_sym_keyword_replace_token1] = ACTIONS(1506),
    [aux_sym__keyword_alter_token1] = ACTIONS(1504),
    [aux_sym__keyword_delete_token1] = ACTIONS(1504),
    [aux_sym__keyword_begin_token1] = ACTIONS(1504),
    [aux_sym__keyword_end_token1] = ACTIONS(1504),
    [aux_sym__keyword_between_token1] = ACTIONS(1504),
    [aux_sym__keyword_when_token1] = ACTIONS(1504),
    [aux_sym__keyword_else_token1] = ACTIONS(1506),
    [aux_sym__keyword_is_token1] = ACTIONS(1504),
    [aux_sym__keyword_in_token1] = ACTIONS(1506),
    [aux_sym__keyword_and_token1] = ACTIONS(1504),
    [aux_sym__keyword_like_token1] = ACTIONS(1504),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1504),
    [aux_sym__keyword_window_token1] = ACTIONS(1504),
    [aux_sym__keyword_for_token1] = ACTIONS(1504),
    [anon_sym_SEMI] = ACTIONS(1504),
    [aux_sym_declare_statement_token1] = ACTIONS(1504),
    [anon_sym_COMMA] = ACTIONS(1504),
    [aux_sym_set_statement_token1] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1504),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1504),
    [aux_sym_return_satement_token1] = ACTIONS(1504),
    [aux_sym_call_statement_token1] = ACTIONS(1504),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1504),
    [aux_sym_if_statement_token1] = ACTIONS(1504),
    [aux_sym_loop_statement_token1] = ACTIONS(1504),
    [aux_sym_repeat_statement_token1] = ACTIONS(1504),
    [aux_sym_while_statement_token1] = ACTIONS(1504),
    [aux_sym_break_statement_token1] = ACTIONS(1504),
    [aux_sym_leave_statement_token1] = ACTIONS(1504),
    [aux_sym_continue_statement_token1] = ACTIONS(1504),
    [aux_sym_iterate_statement_token1] = ACTIONS(1504),
    [aux_sym_raise_statement_token1] = ACTIONS(1504),
    [anon_sym_EQ] = ACTIONS(1504),
    [aux_sym_assert_statement_token1] = ACTIONS(1504),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1504),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1504),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1504),
    [anon_sym_LT] = ACTIONS(1506),
    [anon_sym_GT] = ACTIONS(1506),
    [aux_sym_set_operation_token1] = ACTIONS(1504),
    [aux_sym_set_operation_token3] = ACTIONS(1504),
    [aux_sym_set_operation_token4] = ACTIONS(1506),
    [aux_sym_select_token1] = ACTIONS(1504),
    [aux_sym_having_clause_token1] = ACTIONS(1504),
    [aux_sym_qualify_clause_token1] = ACTIONS(1504),
    [aux_sym_limit_clause_token1] = ACTIONS(1504),
    [aux_sym_group_by_clause_token1] = ACTIONS(1504),
    [aux_sym__direction_keywords_token1] = ACTIONS(1504),
    [aux_sym__direction_keywords_token2] = ACTIONS(1504),
    [aux_sym__nulls_preference_token1] = ACTIONS(1504),
    [aux_sym_order_by_clause_token1] = ACTIONS(1504),
    [aux_sym_insert_statement_token1] = ACTIONS(1504),
    [aux_sym_truncate_statement_token1] = ACTIONS(1504),
    [aux_sym_update_statement_token1] = ACTIONS(1504),
    [aux_sym_merge_statement_token1] = ACTIONS(1504),
    [aux_sym_grant_statement_token1] = ACTIONS(1504),
    [aux_sym_revoke_statement_token1] = ACTIONS(1504),
    [aux_sym_export_data_statement_token1] = ACTIONS(1504),
    [aux_sym_load_data_statement_token1] = ACTIONS(1504),
    [anon_sym_LBRACK] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1504),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1506),
    [anon_sym_STAR] = ACTIONS(1504),
    [anon_sym_SLASH] = ACTIONS(1506),
    [anon_sym_PIPE_PIPE] = ACTIONS(1504),
    [anon_sym_LT_EQ] = ACTIONS(1504),
    [anon_sym_LT_GT] = ACTIONS(1504),
    [anon_sym_GT_EQ] = ACTIONS(1504),
    [anon_sym_BANG_EQ] = ACTIONS(1504),
    [anon_sym_LT_LT] = ACTIONS(1504),
    [anon_sym_GT_GT] = ACTIONS(1504),
    [anon_sym_AMP] = ACTIONS(1504),
    [anon_sym_CARET] = ACTIONS(1504),
    [anon_sym_PIPE] = ACTIONS(1506),
  },
  [2709] = {
    [ts_builtin_sym_end] = ACTIONS(1586),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1586),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1586),
    [aux_sym_keyword_replace_token1] = ACTIONS(1588),
    [aux_sym__keyword_alter_token1] = ACTIONS(1586),
    [aux_sym__keyword_delete_token1] = ACTIONS(1586),
    [aux_sym__keyword_begin_token1] = ACTIONS(1586),
    [aux_sym__keyword_end_token1] = ACTIONS(1586),
    [aux_sym__keyword_between_token1] = ACTIONS(1586),
    [aux_sym__keyword_when_token1] = ACTIONS(1586),
    [aux_sym__keyword_else_token1] = ACTIONS(1588),
    [aux_sym__keyword_is_token1] = ACTIONS(1586),
    [aux_sym__keyword_in_token1] = ACTIONS(1588),
    [aux_sym__keyword_and_token1] = ACTIONS(1586),
    [aux_sym__keyword_like_token1] = ACTIONS(1586),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1586),
    [aux_sym__keyword_window_token1] = ACTIONS(1586),
    [aux_sym__keyword_for_token1] = ACTIONS(1586),
    [anon_sym_SEMI] = ACTIONS(1586),
    [aux_sym_declare_statement_token1] = ACTIONS(1586),
    [anon_sym_COMMA] = ACTIONS(1586),
    [aux_sym_set_statement_token1] = ACTIONS(1586),
    [anon_sym_LPAREN] = ACTIONS(1586),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1586),
    [aux_sym_return_satement_token1] = ACTIONS(1586),
    [aux_sym_call_statement_token1] = ACTIONS(1586),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1586),
    [aux_sym_if_statement_token1] = ACTIONS(1586),
    [aux_sym_loop_statement_token1] = ACTIONS(1586),
    [aux_sym_repeat_statement_token1] = ACTIONS(1586),
    [aux_sym_while_statement_token1] = ACTIONS(1586),
    [aux_sym_break_statement_token1] = ACTIONS(1586),
    [aux_sym_leave_statement_token1] = ACTIONS(1586),
    [aux_sym_continue_statement_token1] = ACTIONS(1586),
    [aux_sym_iterate_statement_token1] = ACTIONS(1586),
    [aux_sym_raise_statement_token1] = ACTIONS(1586),
    [anon_sym_EQ] = ACTIONS(1586),
    [aux_sym_assert_statement_token1] = ACTIONS(1586),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1586),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1586),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1586),
    [anon_sym_LT] = ACTIONS(1588),
    [anon_sym_GT] = ACTIONS(1588),
    [aux_sym_set_operation_token1] = ACTIONS(1586),
    [aux_sym_set_operation_token3] = ACTIONS(1586),
    [aux_sym_set_operation_token4] = ACTIONS(1588),
    [aux_sym_select_token1] = ACTIONS(1586),
    [aux_sym_having_clause_token1] = ACTIONS(1586),
    [aux_sym_qualify_clause_token1] = ACTIONS(1586),
    [aux_sym_limit_clause_token1] = ACTIONS(1586),
    [aux_sym_group_by_clause_token1] = ACTIONS(1586),
    [aux_sym__direction_keywords_token1] = ACTIONS(1586),
    [aux_sym__direction_keywords_token2] = ACTIONS(1586),
    [aux_sym__nulls_preference_token1] = ACTIONS(1586),
    [aux_sym_order_by_clause_token1] = ACTIONS(1586),
    [aux_sym_insert_statement_token1] = ACTIONS(1586),
    [aux_sym_truncate_statement_token1] = ACTIONS(1586),
    [aux_sym_update_statement_token1] = ACTIONS(1586),
    [aux_sym_merge_statement_token1] = ACTIONS(1586),
    [aux_sym_grant_statement_token1] = ACTIONS(1586),
    [aux_sym_revoke_statement_token1] = ACTIONS(1586),
    [aux_sym_export_data_statement_token1] = ACTIONS(1586),
    [aux_sym_load_data_statement_token1] = ACTIONS(1586),
    [anon_sym_LBRACK] = ACTIONS(1586),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1586),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_STAR] = ACTIONS(1586),
    [anon_sym_SLASH] = ACTIONS(1588),
    [anon_sym_PIPE_PIPE] = ACTIONS(1586),
    [anon_sym_LT_EQ] = ACTIONS(1586),
    [anon_sym_LT_GT] = ACTIONS(1586),
    [anon_sym_GT_EQ] = ACTIONS(1586),
    [anon_sym_BANG_EQ] = ACTIONS(1586),
    [anon_sym_LT_LT] = ACTIONS(1586),
    [anon_sym_GT_GT] = ACTIONS(1586),
    [anon_sym_AMP] = ACTIONS(1586),
    [anon_sym_CARET] = ACTIONS(1586),
    [anon_sym_PIPE] = ACTIONS(1588),
  },
  [2710] = {
    [ts_builtin_sym_end] = ACTIONS(1728),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1728),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1728),
    [aux_sym_keyword_replace_token1] = ACTIONS(1730),
    [aux_sym__keyword_alter_token1] = ACTIONS(1728),
    [aux_sym__keyword_delete_token1] = ACTIONS(1728),
    [aux_sym__keyword_begin_token1] = ACTIONS(1728),
    [aux_sym__keyword_end_token1] = ACTIONS(1728),
    [aux_sym__keyword_between_token1] = ACTIONS(1728),
    [aux_sym__keyword_when_token1] = ACTIONS(1728),
    [aux_sym__keyword_else_token1] = ACTIONS(1730),
    [aux_sym__keyword_is_token1] = ACTIONS(1728),
    [aux_sym__keyword_in_token1] = ACTIONS(1730),
    [aux_sym__keyword_and_token1] = ACTIONS(1728),
    [aux_sym__keyword_like_token1] = ACTIONS(1728),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1728),
    [aux_sym__keyword_window_token1] = ACTIONS(1728),
    [aux_sym__keyword_for_token1] = ACTIONS(1728),
    [anon_sym_SEMI] = ACTIONS(1728),
    [aux_sym_declare_statement_token1] = ACTIONS(1728),
    [anon_sym_COMMA] = ACTIONS(1728),
    [aux_sym_set_statement_token1] = ACTIONS(1728),
    [anon_sym_LPAREN] = ACTIONS(1728),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1728),
    [aux_sym_return_satement_token1] = ACTIONS(1728),
    [aux_sym_call_statement_token1] = ACTIONS(1728),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1728),
    [aux_sym_if_statement_token1] = ACTIONS(1728),
    [aux_sym_loop_statement_token1] = ACTIONS(1728),
    [aux_sym_repeat_statement_token1] = ACTIONS(1728),
    [aux_sym_while_statement_token1] = ACTIONS(1728),
    [aux_sym_break_statement_token1] = ACTIONS(1728),
    [aux_sym_leave_statement_token1] = ACTIONS(1728),
    [aux_sym_continue_statement_token1] = ACTIONS(1728),
    [aux_sym_iterate_statement_token1] = ACTIONS(1728),
    [aux_sym_raise_statement_token1] = ACTIONS(1728),
    [anon_sym_EQ] = ACTIONS(1728),
    [aux_sym_assert_statement_token1] = ACTIONS(1728),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1728),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1728),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1728),
    [anon_sym_LT] = ACTIONS(1730),
    [anon_sym_GT] = ACTIONS(1730),
    [aux_sym_set_operation_token1] = ACTIONS(1728),
    [aux_sym_set_operation_token3] = ACTIONS(1728),
    [aux_sym_set_operation_token4] = ACTIONS(1730),
    [aux_sym_select_token1] = ACTIONS(1728),
    [aux_sym_having_clause_token1] = ACTIONS(1728),
    [aux_sym_qualify_clause_token1] = ACTIONS(1728),
    [aux_sym_limit_clause_token1] = ACTIONS(1728),
    [aux_sym_group_by_clause_token1] = ACTIONS(1728),
    [aux_sym__direction_keywords_token1] = ACTIONS(1728),
    [aux_sym__direction_keywords_token2] = ACTIONS(1728),
    [aux_sym__nulls_preference_token1] = ACTIONS(1728),
    [aux_sym_order_by_clause_token1] = ACTIONS(1728),
    [aux_sym_insert_statement_token1] = ACTIONS(1728),
    [aux_sym_truncate_statement_token1] = ACTIONS(1728),
    [aux_sym_update_statement_token1] = ACTIONS(1728),
    [aux_sym_merge_statement_token1] = ACTIONS(1728),
    [aux_sym_grant_statement_token1] = ACTIONS(1728),
    [aux_sym_revoke_statement_token1] = ACTIONS(1728),
    [aux_sym_export_data_statement_token1] = ACTIONS(1728),
    [aux_sym_load_data_statement_token1] = ACTIONS(1728),
    [anon_sym_LBRACK] = ACTIONS(1728),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1728),
    [anon_sym_DASH] = ACTIONS(1730),
    [anon_sym_STAR] = ACTIONS(1728),
    [anon_sym_SLASH] = ACTIONS(1730),
    [anon_sym_PIPE_PIPE] = ACTIONS(1728),
    [anon_sym_LT_EQ] = ACTIONS(1728),
    [anon_sym_LT_GT] = ACTIONS(1728),
    [anon_sym_GT_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ] = ACTIONS(1728),
    [anon_sym_LT_LT] = ACTIONS(1728),
    [anon_sym_GT_GT] = ACTIONS(1728),
    [anon_sym_AMP] = ACTIONS(1728),
    [anon_sym_CARET] = ACTIONS(1728),
    [anon_sym_PIPE] = ACTIONS(1730),
  },
  [2711] = {
    [ts_builtin_sym_end] = ACTIONS(1732),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1732),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1732),
    [aux_sym_keyword_replace_token1] = ACTIONS(1734),
    [aux_sym__keyword_alter_token1] = ACTIONS(1732),
    [aux_sym__keyword_delete_token1] = ACTIONS(1732),
    [aux_sym__keyword_begin_token1] = ACTIONS(1732),
    [aux_sym__keyword_end_token1] = ACTIONS(1732),
    [aux_sym__keyword_between_token1] = ACTIONS(1732),
    [aux_sym__keyword_when_token1] = ACTIONS(1732),
    [aux_sym__keyword_else_token1] = ACTIONS(1734),
    [aux_sym__keyword_is_token1] = ACTIONS(1732),
    [aux_sym__keyword_in_token1] = ACTIONS(1734),
    [aux_sym__keyword_and_token1] = ACTIONS(1732),
    [aux_sym__keyword_like_token1] = ACTIONS(1732),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1732),
    [aux_sym__keyword_window_token1] = ACTIONS(1732),
    [aux_sym__keyword_for_token1] = ACTIONS(1732),
    [anon_sym_SEMI] = ACTIONS(1732),
    [aux_sym_declare_statement_token1] = ACTIONS(1732),
    [anon_sym_COMMA] = ACTIONS(1732),
    [aux_sym_set_statement_token1] = ACTIONS(1732),
    [anon_sym_LPAREN] = ACTIONS(1732),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1732),
    [aux_sym_return_satement_token1] = ACTIONS(1732),
    [aux_sym_call_statement_token1] = ACTIONS(1732),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1732),
    [aux_sym_if_statement_token1] = ACTIONS(1732),
    [aux_sym_loop_statement_token1] = ACTIONS(1732),
    [aux_sym_repeat_statement_token1] = ACTIONS(1732),
    [aux_sym_while_statement_token1] = ACTIONS(1732),
    [aux_sym_break_statement_token1] = ACTIONS(1732),
    [aux_sym_leave_statement_token1] = ACTIONS(1732),
    [aux_sym_continue_statement_token1] = ACTIONS(1732),
    [aux_sym_iterate_statement_token1] = ACTIONS(1732),
    [aux_sym_raise_statement_token1] = ACTIONS(1732),
    [anon_sym_EQ] = ACTIONS(1732),
    [aux_sym_assert_statement_token1] = ACTIONS(1732),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1732),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1732),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1732),
    [anon_sym_LT] = ACTIONS(1734),
    [anon_sym_GT] = ACTIONS(1734),
    [aux_sym_set_operation_token1] = ACTIONS(1732),
    [aux_sym_set_operation_token3] = ACTIONS(1732),
    [aux_sym_set_operation_token4] = ACTIONS(1734),
    [aux_sym_select_token1] = ACTIONS(1732),
    [aux_sym_having_clause_token1] = ACTIONS(1732),
    [aux_sym_qualify_clause_token1] = ACTIONS(1732),
    [aux_sym_limit_clause_token1] = ACTIONS(1732),
    [aux_sym_group_by_clause_token1] = ACTIONS(1732),
    [aux_sym__direction_keywords_token1] = ACTIONS(1732),
    [aux_sym__direction_keywords_token2] = ACTIONS(1732),
    [aux_sym__nulls_preference_token1] = ACTIONS(1732),
    [aux_sym_order_by_clause_token1] = ACTIONS(1732),
    [aux_sym_insert_statement_token1] = ACTIONS(1732),
    [aux_sym_truncate_statement_token1] = ACTIONS(1732),
    [aux_sym_update_statement_token1] = ACTIONS(1732),
    [aux_sym_merge_statement_token1] = ACTIONS(1732),
    [aux_sym_grant_statement_token1] = ACTIONS(1732),
    [aux_sym_revoke_statement_token1] = ACTIONS(1732),
    [aux_sym_export_data_statement_token1] = ACTIONS(1732),
    [aux_sym_load_data_statement_token1] = ACTIONS(1732),
    [anon_sym_LBRACK] = ACTIONS(1732),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1732),
    [anon_sym_PLUS] = ACTIONS(1732),
    [anon_sym_DASH] = ACTIONS(1734),
    [anon_sym_STAR] = ACTIONS(1732),
    [anon_sym_SLASH] = ACTIONS(1734),
    [anon_sym_PIPE_PIPE] = ACTIONS(1732),
    [anon_sym_LT_EQ] = ACTIONS(1732),
    [anon_sym_LT_GT] = ACTIONS(1732),
    [anon_sym_GT_EQ] = ACTIONS(1732),
    [anon_sym_BANG_EQ] = ACTIONS(1732),
    [anon_sym_LT_LT] = ACTIONS(1732),
    [anon_sym_GT_GT] = ACTIONS(1732),
    [anon_sym_AMP] = ACTIONS(1732),
    [anon_sym_CARET] = ACTIONS(1732),
    [anon_sym_PIPE] = ACTIONS(1734),
  },
  [2712] = {
    [ts_builtin_sym_end] = ACTIONS(1578),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1578),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1578),
    [aux_sym_keyword_replace_token1] = ACTIONS(1580),
    [aux_sym__keyword_alter_token1] = ACTIONS(1578),
    [aux_sym__keyword_delete_token1] = ACTIONS(1578),
    [aux_sym__keyword_begin_token1] = ACTIONS(1578),
    [aux_sym__keyword_end_token1] = ACTIONS(1578),
    [aux_sym__keyword_between_token1] = ACTIONS(1578),
    [aux_sym__keyword_when_token1] = ACTIONS(1578),
    [aux_sym__keyword_else_token1] = ACTIONS(1580),
    [aux_sym__keyword_is_token1] = ACTIONS(1578),
    [aux_sym__keyword_in_token1] = ACTIONS(1580),
    [aux_sym__keyword_and_token1] = ACTIONS(1578),
    [aux_sym__keyword_like_token1] = ACTIONS(1578),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1578),
    [aux_sym__keyword_window_token1] = ACTIONS(1578),
    [aux_sym__keyword_for_token1] = ACTIONS(1578),
    [anon_sym_SEMI] = ACTIONS(1578),
    [aux_sym_declare_statement_token1] = ACTIONS(1578),
    [anon_sym_COMMA] = ACTIONS(1578),
    [aux_sym_set_statement_token1] = ACTIONS(1578),
    [anon_sym_LPAREN] = ACTIONS(1578),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1578),
    [aux_sym_return_satement_token1] = ACTIONS(1578),
    [aux_sym_call_statement_token1] = ACTIONS(1578),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1578),
    [aux_sym_if_statement_token1] = ACTIONS(1578),
    [aux_sym_loop_statement_token1] = ACTIONS(1578),
    [aux_sym_repeat_statement_token1] = ACTIONS(1578),
    [aux_sym_while_statement_token1] = ACTIONS(1578),
    [aux_sym_break_statement_token1] = ACTIONS(1578),
    [aux_sym_leave_statement_token1] = ACTIONS(1578),
    [aux_sym_continue_statement_token1] = ACTIONS(1578),
    [aux_sym_iterate_statement_token1] = ACTIONS(1578),
    [aux_sym_raise_statement_token1] = ACTIONS(1578),
    [anon_sym_EQ] = ACTIONS(1578),
    [aux_sym_assert_statement_token1] = ACTIONS(1578),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1578),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1578),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1578),
    [anon_sym_LT] = ACTIONS(1580),
    [anon_sym_GT] = ACTIONS(1580),
    [aux_sym_set_operation_token1] = ACTIONS(1578),
    [aux_sym_set_operation_token3] = ACTIONS(1578),
    [aux_sym_set_operation_token4] = ACTIONS(1580),
    [aux_sym_select_token1] = ACTIONS(1578),
    [aux_sym_having_clause_token1] = ACTIONS(1578),
    [aux_sym_qualify_clause_token1] = ACTIONS(1578),
    [aux_sym_limit_clause_token1] = ACTIONS(1578),
    [aux_sym_group_by_clause_token1] = ACTIONS(1578),
    [aux_sym__direction_keywords_token1] = ACTIONS(1578),
    [aux_sym__direction_keywords_token2] = ACTIONS(1578),
    [aux_sym__nulls_preference_token1] = ACTIONS(1578),
    [aux_sym_order_by_clause_token1] = ACTIONS(1578),
    [aux_sym_insert_statement_token1] = ACTIONS(1578),
    [aux_sym_truncate_statement_token1] = ACTIONS(1578),
    [aux_sym_update_statement_token1] = ACTIONS(1578),
    [aux_sym_merge_statement_token1] = ACTIONS(1578),
    [aux_sym_grant_statement_token1] = ACTIONS(1578),
    [aux_sym_revoke_statement_token1] = ACTIONS(1578),
    [aux_sym_export_data_statement_token1] = ACTIONS(1578),
    [aux_sym_load_data_statement_token1] = ACTIONS(1578),
    [anon_sym_LBRACK] = ACTIONS(1578),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1578),
    [anon_sym_DASH] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(1578),
    [anon_sym_SLASH] = ACTIONS(1580),
    [anon_sym_PIPE_PIPE] = ACTIONS(1578),
    [anon_sym_LT_EQ] = ACTIONS(1578),
    [anon_sym_LT_GT] = ACTIONS(1578),
    [anon_sym_GT_EQ] = ACTIONS(1578),
    [anon_sym_BANG_EQ] = ACTIONS(1578),
    [anon_sym_LT_LT] = ACTIONS(1578),
    [anon_sym_GT_GT] = ACTIONS(1578),
    [anon_sym_AMP] = ACTIONS(1578),
    [anon_sym_CARET] = ACTIONS(1578),
    [anon_sym_PIPE] = ACTIONS(1580),
  },
  [2713] = {
    [sym__keyword_between] = STATE(1795),
    [sym__keyword_is] = STATE(12073),
    [sym__keyword_in] = STATE(1359),
    [sym__keyword_not] = STATE(13143),
    [sym__keyword_and] = STATE(839),
    [sym__keyword_or] = STATE(1367),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [ts_builtin_sym_end] = ACTIONS(2856),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(2856),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(341),
    [aux_sym__keyword_alter_token1] = ACTIONS(2856),
    [aux_sym__keyword_delete_token1] = ACTIONS(2856),
    [aux_sym__keyword_begin_token1] = ACTIONS(2856),
    [aux_sym__keyword_between_token1] = ACTIONS(2974),
    [aux_sym__keyword_when_token1] = ACTIONS(2856),
    [aux_sym__keyword_is_token1] = ACTIONS(2976),
    [aux_sym__keyword_in_token1] = ACTIONS(2978),
    [aux_sym__keyword_and_token1] = ACTIONS(2980),
    [aux_sym__keyword_like_token1] = ACTIONS(1007),
    [aux_sym__keyword_repeat_token1] = ACTIONS(2856),
    [aux_sym__keyword_window_token1] = ACTIONS(2856),
    [aux_sym__keyword_for_token1] = ACTIONS(2856),
    [anon_sym_SEMI] = ACTIONS(2856),
    [aux_sym_declare_statement_token1] = ACTIONS(2856),
    [anon_sym_COMMA] = ACTIONS(2856),
    [aux_sym_set_statement_token1] = ACTIONS(2856),
    [anon_sym_LPAREN] = ACTIONS(2856),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(2856),
    [aux_sym_return_satement_token1] = ACTIONS(2856),
    [aux_sym_call_statement_token1] = ACTIONS(2856),
    [aux_sym_loop_statement_token1] = ACTIONS(2856),
    [aux_sym_while_statement_token1] = ACTIONS(2856),
    [aux_sym_break_statement_token1] = ACTIONS(2856),
    [aux_sym_leave_statement_token1] = ACTIONS(2856),
    [aux_sym_continue_statement_token1] = ACTIONS(2856),
    [aux_sym_iterate_statement_token1] = ACTIONS(2856),
    [aux_sym_raise_statement_token1] = ACTIONS(2856),
    [anon_sym_EQ] = ACTIONS(2982),
    [aux_sym_assert_statement_token1] = ACTIONS(2856),
    [aux_sym_create_schema_statement_token1] = ACTIONS(2856),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(2856),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2856),
    [anon_sym_LT] = ACTIONS(2978),
    [anon_sym_GT] = ACTIONS(2978),
    [aux_sym_set_operation_token1] = ACTIONS(2856),
    [aux_sym_set_operation_token3] = ACTIONS(2856),
    [aux_sym_set_operation_token4] = ACTIONS(2856),
    [aux_sym_select_token1] = ACTIONS(2856),
    [aux_sym_having_clause_token1] = ACTIONS(2856),
    [aux_sym_qualify_clause_token1] = ACTIONS(2856),
    [aux_sym_limit_clause_token1] = ACTIONS(2856),
    [aux_sym_order_by_clause_token1] = ACTIONS(2856),
    [aux_sym_insert_statement_token1] = ACTIONS(2856),
    [aux_sym_truncate_statement_token1] = ACTIONS(2856),
    [aux_sym_update_statement_token1] = ACTIONS(2856),
    [aux_sym_merge_statement_token1] = ACTIONS(2856),
    [aux_sym_grant_statement_token1] = ACTIONS(2856),
    [aux_sym_revoke_statement_token1] = ACTIONS(2856),
    [aux_sym_export_data_statement_token1] = ACTIONS(2856),
    [aux_sym_load_data_statement_token1] = ACTIONS(2856),
    [anon_sym_LBRACK] = ACTIONS(781),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(783),
    [anon_sym_PLUS] = ACTIONS(2984),
    [anon_sym_DASH] = ACTIONS(2986),
    [anon_sym_STAR] = ACTIONS(2988),
    [anon_sym_SLASH] = ACTIONS(2990),
    [anon_sym_PIPE_PIPE] = ACTIONS(2988),
    [anon_sym_LT_EQ] = ACTIONS(2982),
    [anon_sym_LT_GT] = ACTIONS(2982),
    [anon_sym_GT_EQ] = ACTIONS(2982),
    [anon_sym_BANG_EQ] = ACTIONS(2982),
    [anon_sym_LT_LT] = ACTIONS(2992),
    [anon_sym_GT_GT] = ACTIONS(2992),
    [anon_sym_AMP] = ACTIONS(2994),
    [anon_sym_CARET] = ACTIONS(2996),
    [anon_sym_PIPE] = ACTIONS(2998),
  },
  [2714] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2715] = {
    [ts_builtin_sym_end] = ACTIONS(1736),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1736),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1736),
    [aux_sym_keyword_replace_token1] = ACTIONS(1738),
    [aux_sym__keyword_alter_token1] = ACTIONS(1736),
    [aux_sym__keyword_delete_token1] = ACTIONS(1736),
    [aux_sym__keyword_begin_token1] = ACTIONS(1736),
    [aux_sym__keyword_end_token1] = ACTIONS(1736),
    [aux_sym__keyword_between_token1] = ACTIONS(1736),
    [aux_sym__keyword_when_token1] = ACTIONS(1736),
    [aux_sym__keyword_else_token1] = ACTIONS(1738),
    [aux_sym__keyword_is_token1] = ACTIONS(1736),
    [aux_sym__keyword_in_token1] = ACTIONS(1738),
    [aux_sym__keyword_and_token1] = ACTIONS(1736),
    [aux_sym__keyword_like_token1] = ACTIONS(1736),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1736),
    [aux_sym__keyword_window_token1] = ACTIONS(1736),
    [aux_sym__keyword_for_token1] = ACTIONS(1736),
    [anon_sym_SEMI] = ACTIONS(1736),
    [aux_sym_declare_statement_token1] = ACTIONS(1736),
    [anon_sym_COMMA] = ACTIONS(1736),
    [aux_sym_set_statement_token1] = ACTIONS(1736),
    [anon_sym_LPAREN] = ACTIONS(1736),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1736),
    [aux_sym_return_satement_token1] = ACTIONS(1736),
    [aux_sym_call_statement_token1] = ACTIONS(1736),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1736),
    [aux_sym_if_statement_token1] = ACTIONS(1736),
    [aux_sym_loop_statement_token1] = ACTIONS(1736),
    [aux_sym_repeat_statement_token1] = ACTIONS(1736),
    [aux_sym_while_statement_token1] = ACTIONS(1736),
    [aux_sym_break_statement_token1] = ACTIONS(1736),
    [aux_sym_leave_statement_token1] = ACTIONS(1736),
    [aux_sym_continue_statement_token1] = ACTIONS(1736),
    [aux_sym_iterate_statement_token1] = ACTIONS(1736),
    [aux_sym_raise_statement_token1] = ACTIONS(1736),
    [anon_sym_EQ] = ACTIONS(1736),
    [aux_sym_assert_statement_token1] = ACTIONS(1736),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1736),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1736),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1736),
    [anon_sym_LT] = ACTIONS(1738),
    [anon_sym_GT] = ACTIONS(1738),
    [aux_sym_set_operation_token1] = ACTIONS(1736),
    [aux_sym_set_operation_token3] = ACTIONS(1736),
    [aux_sym_set_operation_token4] = ACTIONS(1738),
    [aux_sym_select_token1] = ACTIONS(1736),
    [aux_sym_having_clause_token1] = ACTIONS(1736),
    [aux_sym_qualify_clause_token1] = ACTIONS(1736),
    [aux_sym_limit_clause_token1] = ACTIONS(1736),
    [aux_sym_group_by_clause_token1] = ACTIONS(1736),
    [aux_sym__direction_keywords_token1] = ACTIONS(1736),
    [aux_sym__direction_keywords_token2] = ACTIONS(1736),
    [aux_sym__nulls_preference_token1] = ACTIONS(1736),
    [aux_sym_order_by_clause_token1] = ACTIONS(1736),
    [aux_sym_insert_statement_token1] = ACTIONS(1736),
    [aux_sym_truncate_statement_token1] = ACTIONS(1736),
    [aux_sym_update_statement_token1] = ACTIONS(1736),
    [aux_sym_merge_statement_token1] = ACTIONS(1736),
    [aux_sym_grant_statement_token1] = ACTIONS(1736),
    [aux_sym_revoke_statement_token1] = ACTIONS(1736),
    [aux_sym_export_data_statement_token1] = ACTIONS(1736),
    [aux_sym_load_data_statement_token1] = ACTIONS(1736),
    [anon_sym_LBRACK] = ACTIONS(1736),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1736),
    [anon_sym_PLUS] = ACTIONS(1736),
    [anon_sym_DASH] = ACTIONS(1738),
    [anon_sym_STAR] = ACTIONS(1736),
    [anon_sym_SLASH] = ACTIONS(1738),
    [anon_sym_PIPE_PIPE] = ACTIONS(1736),
    [anon_sym_LT_EQ] = ACTIONS(1736),
    [anon_sym_LT_GT] = ACTIONS(1736),
    [anon_sym_GT_EQ] = ACTIONS(1736),
    [anon_sym_BANG_EQ] = ACTIONS(1736),
    [anon_sym_LT_LT] = ACTIONS(1736),
    [anon_sym_GT_GT] = ACTIONS(1736),
    [anon_sym_AMP] = ACTIONS(1736),
    [anon_sym_CARET] = ACTIONS(1736),
    [anon_sym_PIPE] = ACTIONS(1738),
  },
  [2716] = {
    [ts_builtin_sym_end] = ACTIONS(1740),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1740),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1740),
    [aux_sym_keyword_replace_token1] = ACTIONS(1742),
    [aux_sym__keyword_alter_token1] = ACTIONS(1740),
    [aux_sym__keyword_delete_token1] = ACTIONS(1740),
    [aux_sym__keyword_begin_token1] = ACTIONS(1740),
    [aux_sym__keyword_end_token1] = ACTIONS(1740),
    [aux_sym__keyword_between_token1] = ACTIONS(1740),
    [aux_sym__keyword_when_token1] = ACTIONS(1740),
    [aux_sym__keyword_else_token1] = ACTIONS(1742),
    [aux_sym__keyword_is_token1] = ACTIONS(1740),
    [aux_sym__keyword_in_token1] = ACTIONS(1742),
    [aux_sym__keyword_and_token1] = ACTIONS(1740),
    [aux_sym__keyword_like_token1] = ACTIONS(1740),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1740),
    [aux_sym__keyword_window_token1] = ACTIONS(1740),
    [aux_sym__keyword_for_token1] = ACTIONS(1740),
    [anon_sym_SEMI] = ACTIONS(1740),
    [aux_sym_declare_statement_token1] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1740),
    [aux_sym_set_statement_token1] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1740),
    [aux_sym_return_satement_token1] = ACTIONS(1740),
    [aux_sym_call_statement_token1] = ACTIONS(1740),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1740),
    [aux_sym_if_statement_token1] = ACTIONS(1740),
    [aux_sym_loop_statement_token1] = ACTIONS(1740),
    [aux_sym_repeat_statement_token1] = ACTIONS(1740),
    [aux_sym_while_statement_token1] = ACTIONS(1740),
    [aux_sym_break_statement_token1] = ACTIONS(1740),
    [aux_sym_leave_statement_token1] = ACTIONS(1740),
    [aux_sym_continue_statement_token1] = ACTIONS(1740),
    [aux_sym_iterate_statement_token1] = ACTIONS(1740),
    [aux_sym_raise_statement_token1] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1740),
    [aux_sym_assert_statement_token1] = ACTIONS(1740),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1740),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1740),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1740),
    [anon_sym_LT] = ACTIONS(1742),
    [anon_sym_GT] = ACTIONS(1742),
    [aux_sym_set_operation_token1] = ACTIONS(1740),
    [aux_sym_set_operation_token3] = ACTIONS(1740),
    [aux_sym_set_operation_token4] = ACTIONS(1742),
    [aux_sym_select_token1] = ACTIONS(1740),
    [aux_sym_having_clause_token1] = ACTIONS(1740),
    [aux_sym_qualify_clause_token1] = ACTIONS(1740),
    [aux_sym_limit_clause_token1] = ACTIONS(1740),
    [aux_sym_group_by_clause_token1] = ACTIONS(1740),
    [aux_sym__direction_keywords_token1] = ACTIONS(1740),
    [aux_sym__direction_keywords_token2] = ACTIONS(1740),
    [aux_sym__nulls_preference_token1] = ACTIONS(1740),
    [aux_sym_order_by_clause_token1] = ACTIONS(1740),
    [aux_sym_insert_statement_token1] = ACTIONS(1740),
    [aux_sym_truncate_statement_token1] = ACTIONS(1740),
    [aux_sym_update_statement_token1] = ACTIONS(1740),
    [aux_sym_merge_statement_token1] = ACTIONS(1740),
    [aux_sym_grant_statement_token1] = ACTIONS(1740),
    [aux_sym_revoke_statement_token1] = ACTIONS(1740),
    [aux_sym_export_data_statement_token1] = ACTIONS(1740),
    [aux_sym_load_data_statement_token1] = ACTIONS(1740),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1740),
    [anon_sym_SLASH] = ACTIONS(1742),
    [anon_sym_PIPE_PIPE] = ACTIONS(1740),
    [anon_sym_LT_EQ] = ACTIONS(1740),
    [anon_sym_LT_GT] = ACTIONS(1740),
    [anon_sym_GT_EQ] = ACTIONS(1740),
    [anon_sym_BANG_EQ] = ACTIONS(1740),
    [anon_sym_LT_LT] = ACTIONS(1740),
    [anon_sym_GT_GT] = ACTIONS(1740),
    [anon_sym_AMP] = ACTIONS(1740),
    [anon_sym_CARET] = ACTIONS(1740),
    [anon_sym_PIPE] = ACTIONS(1742),
  },
  [2717] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2718] = {
    [ts_builtin_sym_end] = ACTIONS(1846),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1846),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1846),
    [aux_sym_keyword_replace_token1] = ACTIONS(1848),
    [aux_sym__keyword_alter_token1] = ACTIONS(1846),
    [aux_sym__keyword_delete_token1] = ACTIONS(1846),
    [aux_sym__keyword_begin_token1] = ACTIONS(1846),
    [aux_sym__keyword_end_token1] = ACTIONS(1846),
    [aux_sym__keyword_between_token1] = ACTIONS(1846),
    [aux_sym__keyword_when_token1] = ACTIONS(1846),
    [aux_sym__keyword_else_token1] = ACTIONS(1848),
    [aux_sym__keyword_is_token1] = ACTIONS(1846),
    [aux_sym__keyword_in_token1] = ACTIONS(1848),
    [aux_sym__keyword_and_token1] = ACTIONS(1846),
    [aux_sym__keyword_like_token1] = ACTIONS(1846),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1846),
    [aux_sym__keyword_window_token1] = ACTIONS(1846),
    [aux_sym__keyword_for_token1] = ACTIONS(1846),
    [anon_sym_SEMI] = ACTIONS(1846),
    [aux_sym_declare_statement_token1] = ACTIONS(1846),
    [anon_sym_COMMA] = ACTIONS(1846),
    [aux_sym_set_statement_token1] = ACTIONS(1846),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1846),
    [aux_sym_return_satement_token1] = ACTIONS(1846),
    [aux_sym_call_statement_token1] = ACTIONS(1846),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1846),
    [aux_sym_if_statement_token1] = ACTIONS(1846),
    [aux_sym_loop_statement_token1] = ACTIONS(1846),
    [aux_sym_repeat_statement_token1] = ACTIONS(1846),
    [aux_sym_while_statement_token1] = ACTIONS(1846),
    [aux_sym_break_statement_token1] = ACTIONS(1846),
    [aux_sym_leave_statement_token1] = ACTIONS(1846),
    [aux_sym_continue_statement_token1] = ACTIONS(1846),
    [aux_sym_iterate_statement_token1] = ACTIONS(1846),
    [aux_sym_raise_statement_token1] = ACTIONS(1846),
    [anon_sym_EQ] = ACTIONS(1846),
    [aux_sym_assert_statement_token1] = ACTIONS(1846),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1846),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1846),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1846),
    [anon_sym_LT] = ACTIONS(1848),
    [anon_sym_GT] = ACTIONS(1848),
    [aux_sym_set_operation_token1] = ACTIONS(1846),
    [aux_sym_set_operation_token3] = ACTIONS(1846),
    [aux_sym_set_operation_token4] = ACTIONS(1848),
    [aux_sym_select_token1] = ACTIONS(1846),
    [aux_sym_having_clause_token1] = ACTIONS(1846),
    [aux_sym_qualify_clause_token1] = ACTIONS(1846),
    [aux_sym_limit_clause_token1] = ACTIONS(1846),
    [aux_sym_group_by_clause_token1] = ACTIONS(1846),
    [aux_sym__direction_keywords_token1] = ACTIONS(1846),
    [aux_sym__direction_keywords_token2] = ACTIONS(1846),
    [aux_sym__nulls_preference_token1] = ACTIONS(1846),
    [aux_sym_order_by_clause_token1] = ACTIONS(1846),
    [aux_sym_insert_statement_token1] = ACTIONS(1846),
    [aux_sym_truncate_statement_token1] = ACTIONS(1846),
    [aux_sym_update_statement_token1] = ACTIONS(1846),
    [aux_sym_merge_statement_token1] = ACTIONS(1846),
    [aux_sym_grant_statement_token1] = ACTIONS(1846),
    [aux_sym_revoke_statement_token1] = ACTIONS(1846),
    [aux_sym_export_data_statement_token1] = ACTIONS(1846),
    [aux_sym_load_data_statement_token1] = ACTIONS(1846),
    [anon_sym_LBRACK] = ACTIONS(1846),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1846),
    [anon_sym_PLUS] = ACTIONS(1846),
    [anon_sym_DASH] = ACTIONS(1848),
    [anon_sym_STAR] = ACTIONS(1846),
    [anon_sym_SLASH] = ACTIONS(1848),
    [anon_sym_PIPE_PIPE] = ACTIONS(1846),
    [anon_sym_LT_EQ] = ACTIONS(1846),
    [anon_sym_LT_GT] = ACTIONS(1846),
    [anon_sym_GT_EQ] = ACTIONS(1846),
    [anon_sym_BANG_EQ] = ACTIONS(1846),
    [anon_sym_LT_LT] = ACTIONS(1846),
    [anon_sym_GT_GT] = ACTIONS(1846),
    [anon_sym_AMP] = ACTIONS(1846),
    [anon_sym_CARET] = ACTIONS(1846),
    [anon_sym_PIPE] = ACTIONS(1848),
  },
  [2719] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2720] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2721] = {
    [ts_builtin_sym_end] = ACTIONS(1854),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1854),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1854),
    [aux_sym_keyword_replace_token1] = ACTIONS(1856),
    [aux_sym__keyword_alter_token1] = ACTIONS(1854),
    [aux_sym__keyword_delete_token1] = ACTIONS(1854),
    [aux_sym__keyword_begin_token1] = ACTIONS(1854),
    [aux_sym__keyword_end_token1] = ACTIONS(1854),
    [aux_sym__keyword_between_token1] = ACTIONS(1854),
    [aux_sym__keyword_when_token1] = ACTIONS(1854),
    [aux_sym__keyword_else_token1] = ACTIONS(1856),
    [aux_sym__keyword_is_token1] = ACTIONS(1854),
    [aux_sym__keyword_in_token1] = ACTIONS(1856),
    [aux_sym__keyword_and_token1] = ACTIONS(1854),
    [aux_sym__keyword_like_token1] = ACTIONS(1854),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1854),
    [aux_sym__keyword_window_token1] = ACTIONS(1854),
    [aux_sym__keyword_for_token1] = ACTIONS(1854),
    [anon_sym_SEMI] = ACTIONS(1854),
    [aux_sym_declare_statement_token1] = ACTIONS(1854),
    [anon_sym_COMMA] = ACTIONS(1854),
    [aux_sym_set_statement_token1] = ACTIONS(1854),
    [anon_sym_LPAREN] = ACTIONS(1854),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1854),
    [aux_sym_return_satement_token1] = ACTIONS(1854),
    [aux_sym_call_statement_token1] = ACTIONS(1854),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1854),
    [aux_sym_if_statement_token1] = ACTIONS(1854),
    [aux_sym_loop_statement_token1] = ACTIONS(1854),
    [aux_sym_repeat_statement_token1] = ACTIONS(1854),
    [aux_sym_while_statement_token1] = ACTIONS(1854),
    [aux_sym_break_statement_token1] = ACTIONS(1854),
    [aux_sym_leave_statement_token1] = ACTIONS(1854),
    [aux_sym_continue_statement_token1] = ACTIONS(1854),
    [aux_sym_iterate_statement_token1] = ACTIONS(1854),
    [aux_sym_raise_statement_token1] = ACTIONS(1854),
    [anon_sym_EQ] = ACTIONS(1854),
    [aux_sym_assert_statement_token1] = ACTIONS(1854),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1854),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1854),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1854),
    [anon_sym_LT] = ACTIONS(1856),
    [anon_sym_GT] = ACTIONS(1856),
    [aux_sym_set_operation_token1] = ACTIONS(1854),
    [aux_sym_set_operation_token3] = ACTIONS(1854),
    [aux_sym_set_operation_token4] = ACTIONS(1856),
    [aux_sym_select_token1] = ACTIONS(1854),
    [aux_sym_having_clause_token1] = ACTIONS(1854),
    [aux_sym_qualify_clause_token1] = ACTIONS(1854),
    [aux_sym_limit_clause_token1] = ACTIONS(1854),
    [aux_sym_group_by_clause_token1] = ACTIONS(1854),
    [aux_sym__direction_keywords_token1] = ACTIONS(1854),
    [aux_sym__direction_keywords_token2] = ACTIONS(1854),
    [aux_sym__nulls_preference_token1] = ACTIONS(1854),
    [aux_sym_order_by_clause_token1] = ACTIONS(1854),
    [aux_sym_insert_statement_token1] = ACTIONS(1854),
    [aux_sym_truncate_statement_token1] = ACTIONS(1854),
    [aux_sym_update_statement_token1] = ACTIONS(1854),
    [aux_sym_merge_statement_token1] = ACTIONS(1854),
    [aux_sym_grant_statement_token1] = ACTIONS(1854),
    [aux_sym_revoke_statement_token1] = ACTIONS(1854),
    [aux_sym_export_data_statement_token1] = ACTIONS(1854),
    [aux_sym_load_data_statement_token1] = ACTIONS(1854),
    [anon_sym_LBRACK] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1854),
    [anon_sym_SLASH] = ACTIONS(1856),
    [anon_sym_PIPE_PIPE] = ACTIONS(1854),
    [anon_sym_LT_EQ] = ACTIONS(1854),
    [anon_sym_LT_GT] = ACTIONS(1854),
    [anon_sym_GT_EQ] = ACTIONS(1854),
    [anon_sym_BANG_EQ] = ACTIONS(1854),
    [anon_sym_LT_LT] = ACTIONS(1854),
    [anon_sym_GT_GT] = ACTIONS(1854),
    [anon_sym_AMP] = ACTIONS(1854),
    [anon_sym_CARET] = ACTIONS(1854),
    [anon_sym_PIPE] = ACTIONS(1856),
  },
  [2722] = {
    [ts_builtin_sym_end] = ACTIONS(1470),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1470),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1470),
    [aux_sym_keyword_replace_token1] = ACTIONS(1472),
    [aux_sym__keyword_alter_token1] = ACTIONS(1470),
    [aux_sym__keyword_delete_token1] = ACTIONS(1470),
    [aux_sym__keyword_begin_token1] = ACTIONS(1470),
    [aux_sym__keyword_end_token1] = ACTIONS(1470),
    [aux_sym__keyword_between_token1] = ACTIONS(1470),
    [aux_sym__keyword_when_token1] = ACTIONS(1470),
    [aux_sym__keyword_else_token1] = ACTIONS(1472),
    [aux_sym__keyword_is_token1] = ACTIONS(1470),
    [aux_sym__keyword_in_token1] = ACTIONS(1472),
    [aux_sym__keyword_and_token1] = ACTIONS(1470),
    [aux_sym__keyword_like_token1] = ACTIONS(1470),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1470),
    [aux_sym__keyword_window_token1] = ACTIONS(1470),
    [aux_sym__keyword_for_token1] = ACTIONS(1470),
    [anon_sym_SEMI] = ACTIONS(1470),
    [aux_sym_declare_statement_token1] = ACTIONS(1470),
    [anon_sym_COMMA] = ACTIONS(1470),
    [aux_sym_set_statement_token1] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1470),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1470),
    [aux_sym_return_satement_token1] = ACTIONS(1470),
    [aux_sym_call_statement_token1] = ACTIONS(1470),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1470),
    [aux_sym_if_statement_token1] = ACTIONS(1470),
    [aux_sym_loop_statement_token1] = ACTIONS(1470),
    [aux_sym_repeat_statement_token1] = ACTIONS(1470),
    [aux_sym_while_statement_token1] = ACTIONS(1470),
    [aux_sym_break_statement_token1] = ACTIONS(1470),
    [aux_sym_leave_statement_token1] = ACTIONS(1470),
    [aux_sym_continue_statement_token1] = ACTIONS(1470),
    [aux_sym_iterate_statement_token1] = ACTIONS(1470),
    [aux_sym_raise_statement_token1] = ACTIONS(1470),
    [anon_sym_EQ] = ACTIONS(1470),
    [aux_sym_assert_statement_token1] = ACTIONS(1470),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1470),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1470),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1470),
    [anon_sym_LT] = ACTIONS(1472),
    [anon_sym_GT] = ACTIONS(1472),
    [aux_sym_set_operation_token1] = ACTIONS(1470),
    [aux_sym_set_operation_token3] = ACTIONS(1470),
    [aux_sym_set_operation_token4] = ACTIONS(1472),
    [aux_sym_select_token1] = ACTIONS(1470),
    [aux_sym_having_clause_token1] = ACTIONS(1470),
    [aux_sym_qualify_clause_token1] = ACTIONS(1470),
    [aux_sym_limit_clause_token1] = ACTIONS(1470),
    [aux_sym_group_by_clause_token1] = ACTIONS(1470),
    [aux_sym__direction_keywords_token1] = ACTIONS(1470),
    [aux_sym__direction_keywords_token2] = ACTIONS(1470),
    [aux_sym__nulls_preference_token1] = ACTIONS(1470),
    [aux_sym_order_by_clause_token1] = ACTIONS(1470),
    [aux_sym_insert_statement_token1] = ACTIONS(1470),
    [aux_sym_truncate_statement_token1] = ACTIONS(1470),
    [aux_sym_update_statement_token1] = ACTIONS(1470),
    [aux_sym_merge_statement_token1] = ACTIONS(1470),
    [aux_sym_grant_statement_token1] = ACTIONS(1470),
    [aux_sym_revoke_statement_token1] = ACTIONS(1470),
    [aux_sym_export_data_statement_token1] = ACTIONS(1470),
    [aux_sym_load_data_statement_token1] = ACTIONS(1470),
    [anon_sym_LBRACK] = ACTIONS(1470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1470),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_STAR] = ACTIONS(1470),
    [anon_sym_SLASH] = ACTIONS(1472),
    [anon_sym_PIPE_PIPE] = ACTIONS(1470),
    [anon_sym_LT_EQ] = ACTIONS(1470),
    [anon_sym_LT_GT] = ACTIONS(1470),
    [anon_sym_GT_EQ] = ACTIONS(1470),
    [anon_sym_BANG_EQ] = ACTIONS(1470),
    [anon_sym_LT_LT] = ACTIONS(1470),
    [anon_sym_GT_GT] = ACTIONS(1470),
    [anon_sym_AMP] = ACTIONS(1470),
    [anon_sym_CARET] = ACTIONS(1470),
    [anon_sym_PIPE] = ACTIONS(1472),
  },
  [2723] = {
    [ts_builtin_sym_end] = ACTIONS(1466),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1466),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1466),
    [aux_sym_keyword_replace_token1] = ACTIONS(1468),
    [aux_sym__keyword_alter_token1] = ACTIONS(1466),
    [aux_sym__keyword_delete_token1] = ACTIONS(1466),
    [aux_sym__keyword_begin_token1] = ACTIONS(1466),
    [aux_sym__keyword_end_token1] = ACTIONS(1466),
    [aux_sym__keyword_between_token1] = ACTIONS(1466),
    [aux_sym__keyword_when_token1] = ACTIONS(1466),
    [aux_sym__keyword_else_token1] = ACTIONS(1468),
    [aux_sym__keyword_is_token1] = ACTIONS(1466),
    [aux_sym__keyword_in_token1] = ACTIONS(1468),
    [aux_sym__keyword_and_token1] = ACTIONS(1466),
    [aux_sym__keyword_like_token1] = ACTIONS(1466),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1466),
    [aux_sym__keyword_window_token1] = ACTIONS(1466),
    [aux_sym__keyword_for_token1] = ACTIONS(1466),
    [anon_sym_SEMI] = ACTIONS(1466),
    [aux_sym_declare_statement_token1] = ACTIONS(1466),
    [anon_sym_COMMA] = ACTIONS(1466),
    [aux_sym_set_statement_token1] = ACTIONS(1466),
    [anon_sym_LPAREN] = ACTIONS(1466),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1466),
    [aux_sym_return_satement_token1] = ACTIONS(1466),
    [aux_sym_call_statement_token1] = ACTIONS(1466),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1466),
    [aux_sym_if_statement_token1] = ACTIONS(1466),
    [aux_sym_loop_statement_token1] = ACTIONS(1466),
    [aux_sym_repeat_statement_token1] = ACTIONS(1466),
    [aux_sym_while_statement_token1] = ACTIONS(1466),
    [aux_sym_break_statement_token1] = ACTIONS(1466),
    [aux_sym_leave_statement_token1] = ACTIONS(1466),
    [aux_sym_continue_statement_token1] = ACTIONS(1466),
    [aux_sym_iterate_statement_token1] = ACTIONS(1466),
    [aux_sym_raise_statement_token1] = ACTIONS(1466),
    [anon_sym_EQ] = ACTIONS(1466),
    [aux_sym_assert_statement_token1] = ACTIONS(1466),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1466),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1466),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1466),
    [anon_sym_LT] = ACTIONS(1468),
    [anon_sym_GT] = ACTIONS(1468),
    [aux_sym_set_operation_token1] = ACTIONS(1466),
    [aux_sym_set_operation_token3] = ACTIONS(1466),
    [aux_sym_set_operation_token4] = ACTIONS(1468),
    [aux_sym_select_token1] = ACTIONS(1466),
    [aux_sym_having_clause_token1] = ACTIONS(1466),
    [aux_sym_qualify_clause_token1] = ACTIONS(1466),
    [aux_sym_limit_clause_token1] = ACTIONS(1466),
    [aux_sym_group_by_clause_token1] = ACTIONS(1466),
    [aux_sym__direction_keywords_token1] = ACTIONS(1466),
    [aux_sym__direction_keywords_token2] = ACTIONS(1466),
    [aux_sym__nulls_preference_token1] = ACTIONS(1466),
    [aux_sym_order_by_clause_token1] = ACTIONS(1466),
    [aux_sym_insert_statement_token1] = ACTIONS(1466),
    [aux_sym_truncate_statement_token1] = ACTIONS(1466),
    [aux_sym_update_statement_token1] = ACTIONS(1466),
    [aux_sym_merge_statement_token1] = ACTIONS(1466),
    [aux_sym_grant_statement_token1] = ACTIONS(1466),
    [aux_sym_revoke_statement_token1] = ACTIONS(1466),
    [aux_sym_export_data_statement_token1] = ACTIONS(1466),
    [aux_sym_load_data_statement_token1] = ACTIONS(1466),
    [anon_sym_LBRACK] = ACTIONS(1466),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_STAR] = ACTIONS(1466),
    [anon_sym_SLASH] = ACTIONS(1468),
    [anon_sym_PIPE_PIPE] = ACTIONS(1466),
    [anon_sym_LT_EQ] = ACTIONS(1466),
    [anon_sym_LT_GT] = ACTIONS(1466),
    [anon_sym_GT_EQ] = ACTIONS(1466),
    [anon_sym_BANG_EQ] = ACTIONS(1466),
    [anon_sym_LT_LT] = ACTIONS(1466),
    [anon_sym_GT_GT] = ACTIONS(1466),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_CARET] = ACTIONS(1466),
    [anon_sym_PIPE] = ACTIONS(1468),
  },
  [2724] = {
    [ts_builtin_sym_end] = ACTIONS(1454),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1454),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1454),
    [aux_sym_keyword_replace_token1] = ACTIONS(1456),
    [aux_sym__keyword_alter_token1] = ACTIONS(1454),
    [aux_sym__keyword_delete_token1] = ACTIONS(1454),
    [aux_sym__keyword_begin_token1] = ACTIONS(1454),
    [aux_sym__keyword_end_token1] = ACTIONS(1454),
    [aux_sym__keyword_between_token1] = ACTIONS(1454),
    [aux_sym__keyword_when_token1] = ACTIONS(1454),
    [aux_sym__keyword_else_token1] = ACTIONS(1456),
    [aux_sym__keyword_is_token1] = ACTIONS(1454),
    [aux_sym__keyword_in_token1] = ACTIONS(1456),
    [aux_sym__keyword_and_token1] = ACTIONS(1454),
    [aux_sym__keyword_like_token1] = ACTIONS(1454),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1454),
    [aux_sym__keyword_window_token1] = ACTIONS(1454),
    [aux_sym__keyword_for_token1] = ACTIONS(1454),
    [anon_sym_SEMI] = ACTIONS(1454),
    [aux_sym_declare_statement_token1] = ACTIONS(1454),
    [anon_sym_COMMA] = ACTIONS(1454),
    [aux_sym_set_statement_token1] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1454),
    [aux_sym_return_satement_token1] = ACTIONS(1454),
    [aux_sym_call_statement_token1] = ACTIONS(1454),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1454),
    [aux_sym_if_statement_token1] = ACTIONS(1454),
    [aux_sym_loop_statement_token1] = ACTIONS(1454),
    [aux_sym_repeat_statement_token1] = ACTIONS(1454),
    [aux_sym_while_statement_token1] = ACTIONS(1454),
    [aux_sym_break_statement_token1] = ACTIONS(1454),
    [aux_sym_leave_statement_token1] = ACTIONS(1454),
    [aux_sym_continue_statement_token1] = ACTIONS(1454),
    [aux_sym_iterate_statement_token1] = ACTIONS(1454),
    [aux_sym_raise_statement_token1] = ACTIONS(1454),
    [anon_sym_EQ] = ACTIONS(1454),
    [aux_sym_assert_statement_token1] = ACTIONS(1454),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1454),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1454),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1454),
    [anon_sym_LT] = ACTIONS(1456),
    [anon_sym_GT] = ACTIONS(1456),
    [aux_sym_set_operation_token1] = ACTIONS(1454),
    [aux_sym_set_operation_token3] = ACTIONS(1454),
    [aux_sym_set_operation_token4] = ACTIONS(1456),
    [aux_sym_select_token1] = ACTIONS(1454),
    [aux_sym_having_clause_token1] = ACTIONS(1454),
    [aux_sym_qualify_clause_token1] = ACTIONS(1454),
    [aux_sym_limit_clause_token1] = ACTIONS(1454),
    [aux_sym_group_by_clause_token1] = ACTIONS(1454),
    [aux_sym__direction_keywords_token1] = ACTIONS(1454),
    [aux_sym__direction_keywords_token2] = ACTIONS(1454),
    [aux_sym__nulls_preference_token1] = ACTIONS(1454),
    [aux_sym_order_by_clause_token1] = ACTIONS(1454),
    [aux_sym_insert_statement_token1] = ACTIONS(1454),
    [aux_sym_truncate_statement_token1] = ACTIONS(1454),
    [aux_sym_update_statement_token1] = ACTIONS(1454),
    [aux_sym_merge_statement_token1] = ACTIONS(1454),
    [aux_sym_grant_statement_token1] = ACTIONS(1454),
    [aux_sym_revoke_statement_token1] = ACTIONS(1454),
    [aux_sym_export_data_statement_token1] = ACTIONS(1454),
    [aux_sym_load_data_statement_token1] = ACTIONS(1454),
    [anon_sym_LBRACK] = ACTIONS(1454),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1454),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1454),
    [anon_sym_SLASH] = ACTIONS(1456),
    [anon_sym_PIPE_PIPE] = ACTIONS(1454),
    [anon_sym_LT_EQ] = ACTIONS(1454),
    [anon_sym_LT_GT] = ACTIONS(1454),
    [anon_sym_GT_EQ] = ACTIONS(1454),
    [anon_sym_BANG_EQ] = ACTIONS(1454),
    [anon_sym_LT_LT] = ACTIONS(1454),
    [anon_sym_GT_GT] = ACTIONS(1454),
    [anon_sym_AMP] = ACTIONS(1454),
    [anon_sym_CARET] = ACTIONS(1454),
    [anon_sym_PIPE] = ACTIONS(1456),
  },
  [2725] = {
    [ts_builtin_sym_end] = ACTIONS(1834),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1834),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1834),
    [aux_sym_keyword_replace_token1] = ACTIONS(1836),
    [aux_sym__keyword_alter_token1] = ACTIONS(1834),
    [aux_sym__keyword_delete_token1] = ACTIONS(1834),
    [aux_sym__keyword_begin_token1] = ACTIONS(1834),
    [aux_sym__keyword_end_token1] = ACTIONS(1834),
    [aux_sym__keyword_between_token1] = ACTIONS(1834),
    [aux_sym__keyword_when_token1] = ACTIONS(1834),
    [aux_sym__keyword_else_token1] = ACTIONS(1836),
    [aux_sym__keyword_is_token1] = ACTIONS(1834),
    [aux_sym__keyword_in_token1] = ACTIONS(1836),
    [aux_sym__keyword_and_token1] = ACTIONS(1834),
    [aux_sym__keyword_like_token1] = ACTIONS(1834),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1834),
    [aux_sym__keyword_window_token1] = ACTIONS(1834),
    [aux_sym__keyword_for_token1] = ACTIONS(1834),
    [anon_sym_SEMI] = ACTIONS(1834),
    [aux_sym_declare_statement_token1] = ACTIONS(1834),
    [anon_sym_COMMA] = ACTIONS(1834),
    [aux_sym_set_statement_token1] = ACTIONS(1834),
    [anon_sym_LPAREN] = ACTIONS(1834),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1834),
    [aux_sym_return_satement_token1] = ACTIONS(1834),
    [aux_sym_call_statement_token1] = ACTIONS(1834),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1834),
    [aux_sym_if_statement_token1] = ACTIONS(1834),
    [aux_sym_loop_statement_token1] = ACTIONS(1834),
    [aux_sym_repeat_statement_token1] = ACTIONS(1834),
    [aux_sym_while_statement_token1] = ACTIONS(1834),
    [aux_sym_break_statement_token1] = ACTIONS(1834),
    [aux_sym_leave_statement_token1] = ACTIONS(1834),
    [aux_sym_continue_statement_token1] = ACTIONS(1834),
    [aux_sym_iterate_statement_token1] = ACTIONS(1834),
    [aux_sym_raise_statement_token1] = ACTIONS(1834),
    [anon_sym_EQ] = ACTIONS(1834),
    [aux_sym_assert_statement_token1] = ACTIONS(1834),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1834),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1834),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1834),
    [anon_sym_LT] = ACTIONS(1836),
    [anon_sym_GT] = ACTIONS(1836),
    [aux_sym_set_operation_token1] = ACTIONS(1834),
    [aux_sym_set_operation_token3] = ACTIONS(1834),
    [aux_sym_set_operation_token4] = ACTIONS(1836),
    [aux_sym_select_token1] = ACTIONS(1834),
    [aux_sym_having_clause_token1] = ACTIONS(1834),
    [aux_sym_qualify_clause_token1] = ACTIONS(1834),
    [aux_sym_limit_clause_token1] = ACTIONS(1834),
    [aux_sym_group_by_clause_token1] = ACTIONS(1834),
    [aux_sym__direction_keywords_token1] = ACTIONS(1834),
    [aux_sym__direction_keywords_token2] = ACTIONS(1834),
    [aux_sym__nulls_preference_token1] = ACTIONS(1834),
    [aux_sym_order_by_clause_token1] = ACTIONS(1834),
    [aux_sym_insert_statement_token1] = ACTIONS(1834),
    [aux_sym_truncate_statement_token1] = ACTIONS(1834),
    [aux_sym_update_statement_token1] = ACTIONS(1834),
    [aux_sym_merge_statement_token1] = ACTIONS(1834),
    [aux_sym_grant_statement_token1] = ACTIONS(1834),
    [aux_sym_revoke_statement_token1] = ACTIONS(1834),
    [aux_sym_export_data_statement_token1] = ACTIONS(1834),
    [aux_sym_load_data_statement_token1] = ACTIONS(1834),
    [anon_sym_LBRACK] = ACTIONS(1834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1834),
    [anon_sym_PLUS] = ACTIONS(1834),
    [anon_sym_DASH] = ACTIONS(1836),
    [anon_sym_STAR] = ACTIONS(1834),
    [anon_sym_SLASH] = ACTIONS(1836),
    [anon_sym_PIPE_PIPE] = ACTIONS(1834),
    [anon_sym_LT_EQ] = ACTIONS(1834),
    [anon_sym_LT_GT] = ACTIONS(1834),
    [anon_sym_GT_EQ] = ACTIONS(1834),
    [anon_sym_BANG_EQ] = ACTIONS(1834),
    [anon_sym_LT_LT] = ACTIONS(1834),
    [anon_sym_GT_GT] = ACTIONS(1834),
    [anon_sym_AMP] = ACTIONS(1834),
    [anon_sym_CARET] = ACTIONS(1834),
    [anon_sym_PIPE] = ACTIONS(1836),
  },
  [2726] = {
    [ts_builtin_sym_end] = ACTIONS(1606),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1606),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1606),
    [aux_sym_keyword_replace_token1] = ACTIONS(1608),
    [aux_sym__keyword_alter_token1] = ACTIONS(1606),
    [aux_sym__keyword_delete_token1] = ACTIONS(1606),
    [aux_sym__keyword_begin_token1] = ACTIONS(1606),
    [aux_sym__keyword_end_token1] = ACTIONS(1606),
    [aux_sym__keyword_between_token1] = ACTIONS(1606),
    [aux_sym__keyword_when_token1] = ACTIONS(1606),
    [aux_sym__keyword_else_token1] = ACTIONS(1608),
    [aux_sym__keyword_is_token1] = ACTIONS(1606),
    [aux_sym__keyword_in_token1] = ACTIONS(1608),
    [aux_sym__keyword_and_token1] = ACTIONS(1606),
    [aux_sym__keyword_like_token1] = ACTIONS(1606),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1606),
    [aux_sym__keyword_window_token1] = ACTIONS(1606),
    [aux_sym__keyword_for_token1] = ACTIONS(1606),
    [anon_sym_SEMI] = ACTIONS(1606),
    [aux_sym_declare_statement_token1] = ACTIONS(1606),
    [anon_sym_COMMA] = ACTIONS(1606),
    [aux_sym_set_statement_token1] = ACTIONS(1606),
    [anon_sym_LPAREN] = ACTIONS(1606),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1606),
    [aux_sym_return_satement_token1] = ACTIONS(1606),
    [aux_sym_call_statement_token1] = ACTIONS(1606),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1606),
    [aux_sym_if_statement_token1] = ACTIONS(1606),
    [aux_sym_loop_statement_token1] = ACTIONS(1606),
    [aux_sym_repeat_statement_token1] = ACTIONS(1606),
    [aux_sym_while_statement_token1] = ACTIONS(1606),
    [aux_sym_break_statement_token1] = ACTIONS(1606),
    [aux_sym_leave_statement_token1] = ACTIONS(1606),
    [aux_sym_continue_statement_token1] = ACTIONS(1606),
    [aux_sym_iterate_statement_token1] = ACTIONS(1606),
    [aux_sym_raise_statement_token1] = ACTIONS(1606),
    [anon_sym_EQ] = ACTIONS(1606),
    [aux_sym_assert_statement_token1] = ACTIONS(1606),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1606),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1606),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1606),
    [anon_sym_LT] = ACTIONS(1608),
    [anon_sym_GT] = ACTIONS(1608),
    [aux_sym_set_operation_token1] = ACTIONS(1606),
    [aux_sym_set_operation_token3] = ACTIONS(1606),
    [aux_sym_set_operation_token4] = ACTIONS(1608),
    [aux_sym_select_token1] = ACTIONS(1606),
    [aux_sym_having_clause_token1] = ACTIONS(1606),
    [aux_sym_qualify_clause_token1] = ACTIONS(1606),
    [aux_sym_limit_clause_token1] = ACTIONS(1606),
    [aux_sym_group_by_clause_token1] = ACTIONS(1606),
    [aux_sym__direction_keywords_token1] = ACTIONS(1606),
    [aux_sym__direction_keywords_token2] = ACTIONS(1606),
    [aux_sym__nulls_preference_token1] = ACTIONS(1606),
    [aux_sym_order_by_clause_token1] = ACTIONS(1606),
    [aux_sym_insert_statement_token1] = ACTIONS(1606),
    [aux_sym_truncate_statement_token1] = ACTIONS(1606),
    [aux_sym_update_statement_token1] = ACTIONS(1606),
    [aux_sym_merge_statement_token1] = ACTIONS(1606),
    [aux_sym_grant_statement_token1] = ACTIONS(1606),
    [aux_sym_revoke_statement_token1] = ACTIONS(1606),
    [aux_sym_export_data_statement_token1] = ACTIONS(1606),
    [aux_sym_load_data_statement_token1] = ACTIONS(1606),
    [anon_sym_LBRACK] = ACTIONS(1606),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1606),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_STAR] = ACTIONS(1606),
    [anon_sym_SLASH] = ACTIONS(1608),
    [anon_sym_PIPE_PIPE] = ACTIONS(1606),
    [anon_sym_LT_EQ] = ACTIONS(1606),
    [anon_sym_LT_GT] = ACTIONS(1606),
    [anon_sym_GT_EQ] = ACTIONS(1606),
    [anon_sym_BANG_EQ] = ACTIONS(1606),
    [anon_sym_LT_LT] = ACTIONS(1606),
    [anon_sym_GT_GT] = ACTIONS(1606),
    [anon_sym_AMP] = ACTIONS(1606),
    [anon_sym_CARET] = ACTIONS(1606),
    [anon_sym_PIPE] = ACTIONS(1608),
  },
  [2727] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2728] = {
    [ts_builtin_sym_end] = ACTIONS(1622),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1622),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1622),
    [aux_sym_keyword_replace_token1] = ACTIONS(1624),
    [aux_sym__keyword_alter_token1] = ACTIONS(1622),
    [aux_sym__keyword_delete_token1] = ACTIONS(1622),
    [aux_sym__keyword_begin_token1] = ACTIONS(1622),
    [aux_sym__keyword_end_token1] = ACTIONS(1622),
    [aux_sym__keyword_between_token1] = ACTIONS(1622),
    [aux_sym__keyword_when_token1] = ACTIONS(1622),
    [aux_sym__keyword_else_token1] = ACTIONS(1624),
    [aux_sym__keyword_is_token1] = ACTIONS(1622),
    [aux_sym__keyword_in_token1] = ACTIONS(1624),
    [aux_sym__keyword_and_token1] = ACTIONS(1622),
    [aux_sym__keyword_like_token1] = ACTIONS(1622),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1622),
    [aux_sym__keyword_window_token1] = ACTIONS(1622),
    [aux_sym__keyword_for_token1] = ACTIONS(1622),
    [anon_sym_SEMI] = ACTIONS(1622),
    [aux_sym_declare_statement_token1] = ACTIONS(1622),
    [anon_sym_COMMA] = ACTIONS(1622),
    [aux_sym_set_statement_token1] = ACTIONS(1622),
    [anon_sym_LPAREN] = ACTIONS(3000),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1622),
    [aux_sym_return_satement_token1] = ACTIONS(1622),
    [aux_sym_call_statement_token1] = ACTIONS(1622),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1622),
    [aux_sym_if_statement_token1] = ACTIONS(1622),
    [aux_sym_loop_statement_token1] = ACTIONS(1622),
    [aux_sym_repeat_statement_token1] = ACTIONS(1622),
    [aux_sym_while_statement_token1] = ACTIONS(1622),
    [aux_sym_break_statement_token1] = ACTIONS(1622),
    [aux_sym_leave_statement_token1] = ACTIONS(1622),
    [aux_sym_continue_statement_token1] = ACTIONS(1622),
    [aux_sym_iterate_statement_token1] = ACTIONS(1622),
    [aux_sym_raise_statement_token1] = ACTIONS(1622),
    [anon_sym_EQ] = ACTIONS(1622),
    [aux_sym_assert_statement_token1] = ACTIONS(1622),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1622),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1622),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1622),
    [anon_sym_LT] = ACTIONS(1624),
    [anon_sym_GT] = ACTIONS(1624),
    [aux_sym_set_operation_token1] = ACTIONS(1622),
    [aux_sym_set_operation_token3] = ACTIONS(1622),
    [aux_sym_set_operation_token4] = ACTIONS(1624),
    [aux_sym_select_token1] = ACTIONS(1622),
    [aux_sym_having_clause_token1] = ACTIONS(1622),
    [aux_sym_qualify_clause_token1] = ACTIONS(1622),
    [aux_sym_limit_clause_token1] = ACTIONS(1622),
    [aux_sym_group_by_clause_token1] = ACTIONS(1622),
    [aux_sym__direction_keywords_token1] = ACTIONS(1622),
    [aux_sym__direction_keywords_token2] = ACTIONS(1622),
    [aux_sym__nulls_preference_token1] = ACTIONS(1622),
    [aux_sym_order_by_clause_token1] = ACTIONS(1622),
    [aux_sym_insert_statement_token1] = ACTIONS(1622),
    [aux_sym_truncate_statement_token1] = ACTIONS(1622),
    [aux_sym_update_statement_token1] = ACTIONS(1622),
    [aux_sym_merge_statement_token1] = ACTIONS(1622),
    [aux_sym_grant_statement_token1] = ACTIONS(1622),
    [aux_sym_revoke_statement_token1] = ACTIONS(1622),
    [aux_sym_export_data_statement_token1] = ACTIONS(1622),
    [aux_sym_load_data_statement_token1] = ACTIONS(1622),
    [anon_sym_LBRACK] = ACTIONS(1622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1622),
    [anon_sym_PLUS] = ACTIONS(1622),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_STAR] = ACTIONS(1622),
    [anon_sym_SLASH] = ACTIONS(1624),
    [anon_sym_PIPE_PIPE] = ACTIONS(1622),
    [anon_sym_LT_EQ] = ACTIONS(1622),
    [anon_sym_LT_GT] = ACTIONS(1622),
    [anon_sym_GT_EQ] = ACTIONS(1622),
    [anon_sym_BANG_EQ] = ACTIONS(1622),
    [anon_sym_LT_LT] = ACTIONS(1622),
    [anon_sym_GT_GT] = ACTIONS(1622),
    [anon_sym_AMP] = ACTIONS(1622),
    [anon_sym_CARET] = ACTIONS(1622),
    [anon_sym_PIPE] = ACTIONS(1624),
  },
  [2729] = {
    [ts_builtin_sym_end] = ACTIONS(1744),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1744),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1744),
    [aux_sym_keyword_replace_token1] = ACTIONS(1746),
    [aux_sym__keyword_alter_token1] = ACTIONS(1744),
    [aux_sym__keyword_delete_token1] = ACTIONS(1744),
    [aux_sym__keyword_begin_token1] = ACTIONS(1744),
    [aux_sym__keyword_end_token1] = ACTIONS(1744),
    [aux_sym__keyword_between_token1] = ACTIONS(1744),
    [aux_sym__keyword_when_token1] = ACTIONS(1744),
    [aux_sym__keyword_else_token1] = ACTIONS(1746),
    [aux_sym__keyword_is_token1] = ACTIONS(1744),
    [aux_sym__keyword_in_token1] = ACTIONS(1746),
    [aux_sym__keyword_and_token1] = ACTIONS(1744),
    [aux_sym__keyword_like_token1] = ACTIONS(1744),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1744),
    [aux_sym__keyword_window_token1] = ACTIONS(1744),
    [aux_sym__keyword_for_token1] = ACTIONS(1744),
    [anon_sym_SEMI] = ACTIONS(1744),
    [aux_sym_declare_statement_token1] = ACTIONS(1744),
    [anon_sym_COMMA] = ACTIONS(1744),
    [aux_sym_set_statement_token1] = ACTIONS(1744),
    [anon_sym_LPAREN] = ACTIONS(1744),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1744),
    [aux_sym_return_satement_token1] = ACTIONS(1744),
    [aux_sym_call_statement_token1] = ACTIONS(1744),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1744),
    [aux_sym_if_statement_token1] = ACTIONS(1744),
    [aux_sym_loop_statement_token1] = ACTIONS(1744),
    [aux_sym_repeat_statement_token1] = ACTIONS(1744),
    [aux_sym_while_statement_token1] = ACTIONS(1744),
    [aux_sym_break_statement_token1] = ACTIONS(1744),
    [aux_sym_leave_statement_token1] = ACTIONS(1744),
    [aux_sym_continue_statement_token1] = ACTIONS(1744),
    [aux_sym_iterate_statement_token1] = ACTIONS(1744),
    [aux_sym_raise_statement_token1] = ACTIONS(1744),
    [anon_sym_EQ] = ACTIONS(1744),
    [aux_sym_assert_statement_token1] = ACTIONS(1744),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1744),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1744),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1744),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1746),
    [aux_sym_set_operation_token1] = ACTIONS(1744),
    [aux_sym_set_operation_token3] = ACTIONS(1744),
    [aux_sym_set_operation_token4] = ACTIONS(1746),
    [aux_sym_select_token1] = ACTIONS(1744),
    [aux_sym_having_clause_token1] = ACTIONS(1744),
    [aux_sym_qualify_clause_token1] = ACTIONS(1744),
    [aux_sym_limit_clause_token1] = ACTIONS(1744),
    [aux_sym_group_by_clause_token1] = ACTIONS(1744),
    [aux_sym__direction_keywords_token1] = ACTIONS(1744),
    [aux_sym__direction_keywords_token2] = ACTIONS(1744),
    [aux_sym__nulls_preference_token1] = ACTIONS(1744),
    [aux_sym_order_by_clause_token1] = ACTIONS(1744),
    [aux_sym_insert_statement_token1] = ACTIONS(1744),
    [aux_sym_truncate_statement_token1] = ACTIONS(1744),
    [aux_sym_update_statement_token1] = ACTIONS(1744),
    [aux_sym_merge_statement_token1] = ACTIONS(1744),
    [aux_sym_grant_statement_token1] = ACTIONS(1744),
    [aux_sym_revoke_statement_token1] = ACTIONS(1744),
    [aux_sym_export_data_statement_token1] = ACTIONS(1744),
    [aux_sym_load_data_statement_token1] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(1744),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1744),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_STAR] = ACTIONS(1744),
    [anon_sym_SLASH] = ACTIONS(1746),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_LT_GT] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1744),
    [anon_sym_GT_GT] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1746),
  },
  [2730] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2731] = {
    [ts_builtin_sym_end] = ACTIONS(1838),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1838),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1838),
    [aux_sym_keyword_replace_token1] = ACTIONS(1840),
    [aux_sym__keyword_alter_token1] = ACTIONS(1838),
    [aux_sym__keyword_delete_token1] = ACTIONS(1838),
    [aux_sym__keyword_begin_token1] = ACTIONS(1838),
    [aux_sym__keyword_end_token1] = ACTIONS(1838),
    [aux_sym__keyword_between_token1] = ACTIONS(1838),
    [aux_sym__keyword_when_token1] = ACTIONS(1838),
    [aux_sym__keyword_else_token1] = ACTIONS(1840),
    [aux_sym__keyword_is_token1] = ACTIONS(1838),
    [aux_sym__keyword_in_token1] = ACTIONS(1840),
    [aux_sym__keyword_and_token1] = ACTIONS(1838),
    [aux_sym__keyword_like_token1] = ACTIONS(1838),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1838),
    [aux_sym__keyword_window_token1] = ACTIONS(1838),
    [aux_sym__keyword_for_token1] = ACTIONS(1838),
    [anon_sym_SEMI] = ACTIONS(1838),
    [aux_sym_declare_statement_token1] = ACTIONS(1838),
    [anon_sym_COMMA] = ACTIONS(1838),
    [aux_sym_set_statement_token1] = ACTIONS(1838),
    [anon_sym_LPAREN] = ACTIONS(1838),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1838),
    [aux_sym_return_satement_token1] = ACTIONS(1838),
    [aux_sym_call_statement_token1] = ACTIONS(1838),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1838),
    [aux_sym_if_statement_token1] = ACTIONS(1838),
    [aux_sym_loop_statement_token1] = ACTIONS(1838),
    [aux_sym_repeat_statement_token1] = ACTIONS(1838),
    [aux_sym_while_statement_token1] = ACTIONS(1838),
    [aux_sym_break_statement_token1] = ACTIONS(1838),
    [aux_sym_leave_statement_token1] = ACTIONS(1838),
    [aux_sym_continue_statement_token1] = ACTIONS(1838),
    [aux_sym_iterate_statement_token1] = ACTIONS(1838),
    [aux_sym_raise_statement_token1] = ACTIONS(1838),
    [anon_sym_EQ] = ACTIONS(1838),
    [aux_sym_assert_statement_token1] = ACTIONS(1838),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1838),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1838),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1838),
    [anon_sym_LT] = ACTIONS(1840),
    [anon_sym_GT] = ACTIONS(1840),
    [aux_sym_set_operation_token1] = ACTIONS(1838),
    [aux_sym_set_operation_token3] = ACTIONS(1838),
    [aux_sym_set_operation_token4] = ACTIONS(1840),
    [aux_sym_select_token1] = ACTIONS(1838),
    [aux_sym_having_clause_token1] = ACTIONS(1838),
    [aux_sym_qualify_clause_token1] = ACTIONS(1838),
    [aux_sym_limit_clause_token1] = ACTIONS(1838),
    [aux_sym_group_by_clause_token1] = ACTIONS(1838),
    [aux_sym__direction_keywords_token1] = ACTIONS(1838),
    [aux_sym__direction_keywords_token2] = ACTIONS(1838),
    [aux_sym__nulls_preference_token1] = ACTIONS(1838),
    [aux_sym_order_by_clause_token1] = ACTIONS(1838),
    [aux_sym_insert_statement_token1] = ACTIONS(1838),
    [aux_sym_truncate_statement_token1] = ACTIONS(1838),
    [aux_sym_update_statement_token1] = ACTIONS(1838),
    [aux_sym_merge_statement_token1] = ACTIONS(1838),
    [aux_sym_grant_statement_token1] = ACTIONS(1838),
    [aux_sym_revoke_statement_token1] = ACTIONS(1838),
    [aux_sym_export_data_statement_token1] = ACTIONS(1838),
    [aux_sym_load_data_statement_token1] = ACTIONS(1838),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1838),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1838),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE] = ACTIONS(1838),
    [anon_sym_LT_EQ] = ACTIONS(1838),
    [anon_sym_LT_GT] = ACTIONS(1838),
    [anon_sym_GT_EQ] = ACTIONS(1838),
    [anon_sym_BANG_EQ] = ACTIONS(1838),
    [anon_sym_LT_LT] = ACTIONS(1838),
    [anon_sym_GT_GT] = ACTIONS(1838),
    [anon_sym_AMP] = ACTIONS(1838),
    [anon_sym_CARET] = ACTIONS(1838),
    [anon_sym_PIPE] = ACTIONS(1840),
  },
  [2732] = {
    [ts_builtin_sym_end] = ACTIONS(1748),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1748),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1748),
    [aux_sym_keyword_replace_token1] = ACTIONS(1750),
    [aux_sym__keyword_alter_token1] = ACTIONS(1748),
    [aux_sym__keyword_delete_token1] = ACTIONS(1748),
    [aux_sym__keyword_begin_token1] = ACTIONS(1748),
    [aux_sym__keyword_end_token1] = ACTIONS(1748),
    [aux_sym__keyword_between_token1] = ACTIONS(1748),
    [aux_sym__keyword_when_token1] = ACTIONS(1748),
    [aux_sym__keyword_else_token1] = ACTIONS(1750),
    [aux_sym__keyword_is_token1] = ACTIONS(1748),
    [aux_sym__keyword_in_token1] = ACTIONS(1750),
    [aux_sym__keyword_and_token1] = ACTIONS(1748),
    [aux_sym__keyword_like_token1] = ACTIONS(1748),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1748),
    [aux_sym__keyword_window_token1] = ACTIONS(1748),
    [aux_sym__keyword_for_token1] = ACTIONS(1748),
    [anon_sym_SEMI] = ACTIONS(1748),
    [aux_sym_declare_statement_token1] = ACTIONS(1748),
    [anon_sym_COMMA] = ACTIONS(1748),
    [aux_sym_set_statement_token1] = ACTIONS(1748),
    [anon_sym_LPAREN] = ACTIONS(1748),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1748),
    [aux_sym_return_satement_token1] = ACTIONS(1748),
    [aux_sym_call_statement_token1] = ACTIONS(1748),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1748),
    [aux_sym_if_statement_token1] = ACTIONS(1748),
    [aux_sym_loop_statement_token1] = ACTIONS(1748),
    [aux_sym_repeat_statement_token1] = ACTIONS(1748),
    [aux_sym_while_statement_token1] = ACTIONS(1748),
    [aux_sym_break_statement_token1] = ACTIONS(1748),
    [aux_sym_leave_statement_token1] = ACTIONS(1748),
    [aux_sym_continue_statement_token1] = ACTIONS(1748),
    [aux_sym_iterate_statement_token1] = ACTIONS(1748),
    [aux_sym_raise_statement_token1] = ACTIONS(1748),
    [anon_sym_EQ] = ACTIONS(1748),
    [aux_sym_assert_statement_token1] = ACTIONS(1748),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1748),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1748),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1748),
    [anon_sym_LT] = ACTIONS(1750),
    [anon_sym_GT] = ACTIONS(1750),
    [aux_sym_set_operation_token1] = ACTIONS(1748),
    [aux_sym_set_operation_token3] = ACTIONS(1748),
    [aux_sym_set_operation_token4] = ACTIONS(1750),
    [aux_sym_select_token1] = ACTIONS(1748),
    [aux_sym_having_clause_token1] = ACTIONS(1748),
    [aux_sym_qualify_clause_token1] = ACTIONS(1748),
    [aux_sym_limit_clause_token1] = ACTIONS(1748),
    [aux_sym_group_by_clause_token1] = ACTIONS(1748),
    [aux_sym__direction_keywords_token1] = ACTIONS(1748),
    [aux_sym__direction_keywords_token2] = ACTIONS(1748),
    [aux_sym__nulls_preference_token1] = ACTIONS(1748),
    [aux_sym_order_by_clause_token1] = ACTIONS(1748),
    [aux_sym_insert_statement_token1] = ACTIONS(1748),
    [aux_sym_truncate_statement_token1] = ACTIONS(1748),
    [aux_sym_update_statement_token1] = ACTIONS(1748),
    [aux_sym_merge_statement_token1] = ACTIONS(1748),
    [aux_sym_grant_statement_token1] = ACTIONS(1748),
    [aux_sym_revoke_statement_token1] = ACTIONS(1748),
    [aux_sym_export_data_statement_token1] = ACTIONS(1748),
    [aux_sym_load_data_statement_token1] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(1748),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1748),
    [anon_sym_PLUS] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1750),
    [anon_sym_STAR] = ACTIONS(1748),
    [anon_sym_SLASH] = ACTIONS(1750),
    [anon_sym_PIPE_PIPE] = ACTIONS(1748),
    [anon_sym_LT_EQ] = ACTIONS(1748),
    [anon_sym_LT_GT] = ACTIONS(1748),
    [anon_sym_GT_EQ] = ACTIONS(1748),
    [anon_sym_BANG_EQ] = ACTIONS(1748),
    [anon_sym_LT_LT] = ACTIONS(1748),
    [anon_sym_GT_GT] = ACTIONS(1748),
    [anon_sym_AMP] = ACTIONS(1748),
    [anon_sym_CARET] = ACTIONS(1748),
    [anon_sym_PIPE] = ACTIONS(1750),
  },
  [2733] = {
    [sym__keyword_between] = STATE(1795),
    [sym__keyword_is] = STATE(12073),
    [sym__keyword_in] = STATE(1359),
    [sym__keyword_not] = STATE(13143),
    [sym__keyword_and] = STATE(839),
    [sym__keyword_or] = STATE(1367),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [ts_builtin_sym_end] = ACTIONS(1019),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1019),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1019),
    [aux_sym_keyword_replace_token1] = ACTIONS(1021),
    [aux_sym__keyword_alter_token1] = ACTIONS(1019),
    [aux_sym__keyword_delete_token1] = ACTIONS(1019),
    [aux_sym__keyword_begin_token1] = ACTIONS(1019),
    [aux_sym__keyword_between_token1] = ACTIONS(1019),
    [aux_sym__keyword_when_token1] = ACTIONS(1019),
    [aux_sym__keyword_is_token1] = ACTIONS(1019),
    [aux_sym__keyword_in_token1] = ACTIONS(1021),
    [aux_sym__keyword_and_token1] = ACTIONS(1019),
    [aux_sym__keyword_like_token1] = ACTIONS(1019),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1019),
    [aux_sym__keyword_window_token1] = ACTIONS(1019),
    [aux_sym__keyword_for_token1] = ACTIONS(1019),
    [anon_sym_SEMI] = ACTIONS(1019),
    [aux_sym_declare_statement_token1] = ACTIONS(1019),
    [anon_sym_COMMA] = ACTIONS(1019),
    [aux_sym_set_statement_token1] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1019),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1019),
    [aux_sym_return_satement_token1] = ACTIONS(1019),
    [aux_sym_call_statement_token1] = ACTIONS(1019),
    [aux_sym_loop_statement_token1] = ACTIONS(1019),
    [aux_sym_while_statement_token1] = ACTIONS(1019),
    [aux_sym_break_statement_token1] = ACTIONS(1019),
    [aux_sym_leave_statement_token1] = ACTIONS(1019),
    [aux_sym_continue_statement_token1] = ACTIONS(1019),
    [aux_sym_iterate_statement_token1] = ACTIONS(1019),
    [aux_sym_raise_statement_token1] = ACTIONS(1019),
    [anon_sym_EQ] = ACTIONS(1019),
    [aux_sym_assert_statement_token1] = ACTIONS(1019),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1019),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1019),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1019),
    [anon_sym_LT] = ACTIONS(1021),
    [anon_sym_GT] = ACTIONS(1021),
    [aux_sym_set_operation_token1] = ACTIONS(1019),
    [aux_sym_set_operation_token3] = ACTIONS(1019),
    [aux_sym_set_operation_token4] = ACTIONS(1019),
    [aux_sym_select_token1] = ACTIONS(1019),
    [aux_sym_having_clause_token1] = ACTIONS(1019),
    [aux_sym_qualify_clause_token1] = ACTIONS(1019),
    [aux_sym_limit_clause_token1] = ACTIONS(1019),
    [aux_sym_order_by_clause_token1] = ACTIONS(1019),
    [aux_sym_insert_statement_token1] = ACTIONS(1019),
    [aux_sym_truncate_statement_token1] = ACTIONS(1019),
    [aux_sym_update_statement_token1] = ACTIONS(1019),
    [aux_sym_merge_statement_token1] = ACTIONS(1019),
    [aux_sym_grant_statement_token1] = ACTIONS(1019),
    [aux_sym_revoke_statement_token1] = ACTIONS(1019),
    [aux_sym_export_data_statement_token1] = ACTIONS(1019),
    [aux_sym_load_data_statement_token1] = ACTIONS(1019),
    [anon_sym_LBRACK] = ACTIONS(1019),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1019),
    [anon_sym_PLUS] = ACTIONS(1019),
    [anon_sym_DASH] = ACTIONS(1021),
    [anon_sym_STAR] = ACTIONS(1019),
    [anon_sym_SLASH] = ACTIONS(1021),
    [anon_sym_PIPE_PIPE] = ACTIONS(1019),
    [anon_sym_LT_EQ] = ACTIONS(1019),
    [anon_sym_LT_GT] = ACTIONS(1019),
    [anon_sym_GT_EQ] = ACTIONS(1019),
    [anon_sym_BANG_EQ] = ACTIONS(1019),
    [anon_sym_LT_LT] = ACTIONS(1019),
    [anon_sym_GT_GT] = ACTIONS(1019),
    [anon_sym_AMP] = ACTIONS(1019),
    [anon_sym_CARET] = ACTIONS(1019),
    [anon_sym_PIPE] = ACTIONS(1021),
  },
  [2734] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2735] = {
    [sym__keyword_between] = STATE(1795),
    [sym__keyword_is] = STATE(12073),
    [sym__keyword_in] = STATE(1359),
    [sym__keyword_not] = STATE(13143),
    [sym__keyword_and] = STATE(839),
    [sym__keyword_or] = STATE(1367),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [ts_builtin_sym_end] = ACTIONS(1027),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1027),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(341),
    [aux_sym__keyword_alter_token1] = ACTIONS(1027),
    [aux_sym__keyword_delete_token1] = ACTIONS(1027),
    [aux_sym__keyword_begin_token1] = ACTIONS(1027),
    [aux_sym__keyword_between_token1] = ACTIONS(2974),
    [aux_sym__keyword_when_token1] = ACTIONS(1027),
    [aux_sym__keyword_is_token1] = ACTIONS(2976),
    [aux_sym__keyword_in_token1] = ACTIONS(2978),
    [aux_sym__keyword_and_token1] = ACTIONS(2980),
    [aux_sym__keyword_like_token1] = ACTIONS(1027),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1027),
    [aux_sym__keyword_window_token1] = ACTIONS(1027),
    [aux_sym__keyword_for_token1] = ACTIONS(1027),
    [anon_sym_SEMI] = ACTIONS(1027),
    [aux_sym_declare_statement_token1] = ACTIONS(1027),
    [anon_sym_COMMA] = ACTIONS(1027),
    [aux_sym_set_statement_token1] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1027),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1027),
    [aux_sym_return_satement_token1] = ACTIONS(1027),
    [aux_sym_call_statement_token1] = ACTIONS(1027),
    [aux_sym_loop_statement_token1] = ACTIONS(1027),
    [aux_sym_while_statement_token1] = ACTIONS(1027),
    [aux_sym_break_statement_token1] = ACTIONS(1027),
    [aux_sym_leave_statement_token1] = ACTIONS(1027),
    [aux_sym_continue_statement_token1] = ACTIONS(1027),
    [aux_sym_iterate_statement_token1] = ACTIONS(1027),
    [aux_sym_raise_statement_token1] = ACTIONS(1027),
    [anon_sym_EQ] = ACTIONS(2982),
    [aux_sym_assert_statement_token1] = ACTIONS(1027),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1027),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1027),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1027),
    [anon_sym_LT] = ACTIONS(2978),
    [anon_sym_GT] = ACTIONS(2978),
    [aux_sym_set_operation_token1] = ACTIONS(1027),
    [aux_sym_set_operation_token3] = ACTIONS(1027),
    [aux_sym_set_operation_token4] = ACTIONS(1027),
    [aux_sym_select_token1] = ACTIONS(1027),
    [aux_sym_having_clause_token1] = ACTIONS(1027),
    [aux_sym_qualify_clause_token1] = ACTIONS(1027),
    [aux_sym_limit_clause_token1] = ACTIONS(1027),
    [aux_sym_order_by_clause_token1] = ACTIONS(1027),
    [aux_sym_insert_statement_token1] = ACTIONS(1027),
    [aux_sym_truncate_statement_token1] = ACTIONS(1027),
    [aux_sym_update_statement_token1] = ACTIONS(1027),
    [aux_sym_merge_statement_token1] = ACTIONS(1027),
    [aux_sym_grant_statement_token1] = ACTIONS(1027),
    [aux_sym_revoke_statement_token1] = ACTIONS(1027),
    [aux_sym_export_data_statement_token1] = ACTIONS(1027),
    [aux_sym_load_data_statement_token1] = ACTIONS(1027),
    [anon_sym_LBRACK] = ACTIONS(1027),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(2984),
    [anon_sym_DASH] = ACTIONS(2986),
    [anon_sym_STAR] = ACTIONS(2988),
    [anon_sym_SLASH] = ACTIONS(2990),
    [anon_sym_PIPE_PIPE] = ACTIONS(2988),
    [anon_sym_LT_EQ] = ACTIONS(2982),
    [anon_sym_LT_GT] = ACTIONS(2982),
    [anon_sym_GT_EQ] = ACTIONS(2982),
    [anon_sym_BANG_EQ] = ACTIONS(2982),
    [anon_sym_LT_LT] = ACTIONS(2992),
    [anon_sym_GT_GT] = ACTIONS(2992),
    [anon_sym_AMP] = ACTIONS(2994),
    [anon_sym_CARET] = ACTIONS(2996),
    [anon_sym_PIPE] = ACTIONS(2998),
  },
  [2736] = {
    [ts_builtin_sym_end] = ACTIONS(1438),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1438),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1438),
    [aux_sym_keyword_replace_token1] = ACTIONS(1440),
    [aux_sym__keyword_alter_token1] = ACTIONS(1438),
    [aux_sym__keyword_delete_token1] = ACTIONS(1438),
    [aux_sym__keyword_begin_token1] = ACTIONS(1438),
    [aux_sym__keyword_end_token1] = ACTIONS(1438),
    [aux_sym__keyword_between_token1] = ACTIONS(1438),
    [aux_sym__keyword_when_token1] = ACTIONS(1438),
    [aux_sym__keyword_else_token1] = ACTIONS(1440),
    [aux_sym__keyword_is_token1] = ACTIONS(1438),
    [aux_sym__keyword_in_token1] = ACTIONS(1440),
    [aux_sym__keyword_and_token1] = ACTIONS(1438),
    [aux_sym__keyword_like_token1] = ACTIONS(1438),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1438),
    [aux_sym__keyword_window_token1] = ACTIONS(1438),
    [aux_sym__keyword_for_token1] = ACTIONS(1438),
    [anon_sym_SEMI] = ACTIONS(1438),
    [aux_sym_declare_statement_token1] = ACTIONS(1438),
    [anon_sym_COMMA] = ACTIONS(1438),
    [aux_sym_set_statement_token1] = ACTIONS(1438),
    [anon_sym_LPAREN] = ACTIONS(1438),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1438),
    [aux_sym_return_satement_token1] = ACTIONS(1438),
    [aux_sym_call_statement_token1] = ACTIONS(1438),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1438),
    [aux_sym_if_statement_token1] = ACTIONS(1438),
    [aux_sym_loop_statement_token1] = ACTIONS(1438),
    [aux_sym_repeat_statement_token1] = ACTIONS(1438),
    [aux_sym_while_statement_token1] = ACTIONS(1438),
    [aux_sym_break_statement_token1] = ACTIONS(1438),
    [aux_sym_leave_statement_token1] = ACTIONS(1438),
    [aux_sym_continue_statement_token1] = ACTIONS(1438),
    [aux_sym_iterate_statement_token1] = ACTIONS(1438),
    [aux_sym_raise_statement_token1] = ACTIONS(1438),
    [anon_sym_EQ] = ACTIONS(1438),
    [aux_sym_assert_statement_token1] = ACTIONS(1438),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1438),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1438),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1438),
    [anon_sym_LT] = ACTIONS(1440),
    [anon_sym_GT] = ACTIONS(1440),
    [aux_sym_set_operation_token1] = ACTIONS(1438),
    [aux_sym_set_operation_token3] = ACTIONS(1438),
    [aux_sym_set_operation_token4] = ACTIONS(1440),
    [aux_sym_select_token1] = ACTIONS(1438),
    [aux_sym_having_clause_token1] = ACTIONS(1438),
    [aux_sym_qualify_clause_token1] = ACTIONS(1438),
    [aux_sym_limit_clause_token1] = ACTIONS(1438),
    [aux_sym_group_by_clause_token1] = ACTIONS(1438),
    [aux_sym__direction_keywords_token1] = ACTIONS(1438),
    [aux_sym__direction_keywords_token2] = ACTIONS(1438),
    [aux_sym__nulls_preference_token1] = ACTIONS(1438),
    [aux_sym_order_by_clause_token1] = ACTIONS(1438),
    [aux_sym_insert_statement_token1] = ACTIONS(1438),
    [aux_sym_truncate_statement_token1] = ACTIONS(1438),
    [aux_sym_update_statement_token1] = ACTIONS(1438),
    [aux_sym_merge_statement_token1] = ACTIONS(1438),
    [aux_sym_grant_statement_token1] = ACTIONS(1438),
    [aux_sym_revoke_statement_token1] = ACTIONS(1438),
    [aux_sym_export_data_statement_token1] = ACTIONS(1438),
    [aux_sym_load_data_statement_token1] = ACTIONS(1438),
    [anon_sym_LBRACK] = ACTIONS(1438),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_STAR] = ACTIONS(1438),
    [anon_sym_SLASH] = ACTIONS(1440),
    [anon_sym_PIPE_PIPE] = ACTIONS(1438),
    [anon_sym_LT_EQ] = ACTIONS(1438),
    [anon_sym_LT_GT] = ACTIONS(1438),
    [anon_sym_GT_EQ] = ACTIONS(1438),
    [anon_sym_BANG_EQ] = ACTIONS(1438),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_AMP] = ACTIONS(1438),
    [anon_sym_CARET] = ACTIONS(1438),
    [anon_sym_PIPE] = ACTIONS(1440),
  },
  [2737] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2738] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_window_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_having_clause_token1] = ACTIONS(1370),
    [aux_sym_qualify_clause_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym_group_by_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_order_by_clause_token1] = ACTIONS(1370),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2739] = {
    [ts_builtin_sym_end] = ACTIONS(1434),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1434),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1434),
    [aux_sym_keyword_replace_token1] = ACTIONS(1436),
    [aux_sym__keyword_alter_token1] = ACTIONS(1434),
    [aux_sym__keyword_delete_token1] = ACTIONS(1434),
    [aux_sym__keyword_begin_token1] = ACTIONS(1434),
    [aux_sym__keyword_end_token1] = ACTIONS(1434),
    [aux_sym__keyword_between_token1] = ACTIONS(1434),
    [aux_sym__keyword_when_token1] = ACTIONS(1434),
    [aux_sym__keyword_else_token1] = ACTIONS(1436),
    [aux_sym__keyword_is_token1] = ACTIONS(1434),
    [aux_sym__keyword_in_token1] = ACTIONS(1436),
    [aux_sym__keyword_and_token1] = ACTIONS(1434),
    [aux_sym__keyword_like_token1] = ACTIONS(1434),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1434),
    [aux_sym__keyword_window_token1] = ACTIONS(1434),
    [aux_sym__keyword_for_token1] = ACTIONS(1434),
    [anon_sym_SEMI] = ACTIONS(1434),
    [aux_sym_declare_statement_token1] = ACTIONS(1434),
    [anon_sym_COMMA] = ACTIONS(1434),
    [aux_sym_set_statement_token1] = ACTIONS(1434),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1434),
    [aux_sym_return_satement_token1] = ACTIONS(1434),
    [aux_sym_call_statement_token1] = ACTIONS(1434),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1434),
    [aux_sym_if_statement_token1] = ACTIONS(1434),
    [aux_sym_loop_statement_token1] = ACTIONS(1434),
    [aux_sym_repeat_statement_token1] = ACTIONS(1434),
    [aux_sym_while_statement_token1] = ACTIONS(1434),
    [aux_sym_break_statement_token1] = ACTIONS(1434),
    [aux_sym_leave_statement_token1] = ACTIONS(1434),
    [aux_sym_continue_statement_token1] = ACTIONS(1434),
    [aux_sym_iterate_statement_token1] = ACTIONS(1434),
    [aux_sym_raise_statement_token1] = ACTIONS(1434),
    [anon_sym_EQ] = ACTIONS(1434),
    [aux_sym_assert_statement_token1] = ACTIONS(1434),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1434),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1434),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1434),
    [anon_sym_LT] = ACTIONS(1436),
    [anon_sym_GT] = ACTIONS(1436),
    [aux_sym_set_operation_token1] = ACTIONS(1434),
    [aux_sym_set_operation_token3] = ACTIONS(1434),
    [aux_sym_set_operation_token4] = ACTIONS(1436),
    [aux_sym_select_token1] = ACTIONS(1434),
    [aux_sym_having_clause_token1] = ACTIONS(1434),
    [aux_sym_qualify_clause_token1] = ACTIONS(1434),
    [aux_sym_limit_clause_token1] = ACTIONS(1434),
    [aux_sym_group_by_clause_token1] = ACTIONS(1434),
    [aux_sym__direction_keywords_token1] = ACTIONS(1434),
    [aux_sym__direction_keywords_token2] = ACTIONS(1434),
    [aux_sym__nulls_preference_token1] = ACTIONS(1434),
    [aux_sym_order_by_clause_token1] = ACTIONS(1434),
    [aux_sym_insert_statement_token1] = ACTIONS(1434),
    [aux_sym_truncate_statement_token1] = ACTIONS(1434),
    [aux_sym_update_statement_token1] = ACTIONS(1434),
    [aux_sym_merge_statement_token1] = ACTIONS(1434),
    [aux_sym_grant_statement_token1] = ACTIONS(1434),
    [aux_sym_revoke_statement_token1] = ACTIONS(1434),
    [aux_sym_export_data_statement_token1] = ACTIONS(1434),
    [aux_sym_load_data_statement_token1] = ACTIONS(1434),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_STAR] = ACTIONS(1434),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1434),
    [anon_sym_LT_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1434),
    [anon_sym_BANG_EQ] = ACTIONS(1434),
    [anon_sym_LT_LT] = ACTIONS(1434),
    [anon_sym_GT_GT] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1434),
    [anon_sym_PIPE] = ACTIONS(1436),
  },
  [2740] = {
    [ts_builtin_sym_end] = ACTIONS(1602),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1602),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1602),
    [aux_sym_keyword_replace_token1] = ACTIONS(1604),
    [aux_sym__keyword_alter_token1] = ACTIONS(1602),
    [aux_sym__keyword_delete_token1] = ACTIONS(1602),
    [aux_sym__keyword_begin_token1] = ACTIONS(1602),
    [aux_sym__keyword_end_token1] = ACTIONS(1602),
    [aux_sym__keyword_between_token1] = ACTIONS(1602),
    [aux_sym__keyword_when_token1] = ACTIONS(1602),
    [aux_sym__keyword_else_token1] = ACTIONS(1604),
    [aux_sym__keyword_is_token1] = ACTIONS(1602),
    [aux_sym__keyword_in_token1] = ACTIONS(1604),
    [aux_sym__keyword_and_token1] = ACTIONS(1602),
    [aux_sym__keyword_like_token1] = ACTIONS(1602),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1602),
    [aux_sym__keyword_window_token1] = ACTIONS(1602),
    [aux_sym__keyword_for_token1] = ACTIONS(1602),
    [anon_sym_SEMI] = ACTIONS(1602),
    [aux_sym_declare_statement_token1] = ACTIONS(1602),
    [anon_sym_COMMA] = ACTIONS(1602),
    [aux_sym_set_statement_token1] = ACTIONS(1602),
    [anon_sym_LPAREN] = ACTIONS(1602),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1602),
    [aux_sym_return_satement_token1] = ACTIONS(1602),
    [aux_sym_call_statement_token1] = ACTIONS(1602),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1602),
    [aux_sym_if_statement_token1] = ACTIONS(1602),
    [aux_sym_loop_statement_token1] = ACTIONS(1602),
    [aux_sym_repeat_statement_token1] = ACTIONS(1602),
    [aux_sym_while_statement_token1] = ACTIONS(1602),
    [aux_sym_break_statement_token1] = ACTIONS(1602),
    [aux_sym_leave_statement_token1] = ACTIONS(1602),
    [aux_sym_continue_statement_token1] = ACTIONS(1602),
    [aux_sym_iterate_statement_token1] = ACTIONS(1602),
    [aux_sym_raise_statement_token1] = ACTIONS(1602),
    [anon_sym_EQ] = ACTIONS(1602),
    [aux_sym_assert_statement_token1] = ACTIONS(1602),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1602),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1602),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1602),
    [anon_sym_LT] = ACTIONS(1604),
    [anon_sym_GT] = ACTIONS(1604),
    [aux_sym_set_operation_token1] = ACTIONS(1602),
    [aux_sym_set_operation_token3] = ACTIONS(1602),
    [aux_sym_set_operation_token4] = ACTIONS(1604),
    [aux_sym_select_token1] = ACTIONS(1602),
    [aux_sym_having_clause_token1] = ACTIONS(1602),
    [aux_sym_qualify_clause_token1] = ACTIONS(1602),
    [aux_sym_limit_clause_token1] = ACTIONS(1602),
    [aux_sym_group_by_clause_token1] = ACTIONS(1602),
    [aux_sym__direction_keywords_token1] = ACTIONS(1602),
    [aux_sym__direction_keywords_token2] = ACTIONS(1602),
    [aux_sym__nulls_preference_token1] = ACTIONS(1602),
    [aux_sym_order_by_clause_token1] = ACTIONS(1602),
    [aux_sym_insert_statement_token1] = ACTIONS(1602),
    [aux_sym_truncate_statement_token1] = ACTIONS(1602),
    [aux_sym_update_statement_token1] = ACTIONS(1602),
    [aux_sym_merge_statement_token1] = ACTIONS(1602),
    [aux_sym_grant_statement_token1] = ACTIONS(1602),
    [aux_sym_revoke_statement_token1] = ACTIONS(1602),
    [aux_sym_export_data_statement_token1] = ACTIONS(1602),
    [aux_sym_load_data_statement_token1] = ACTIONS(1602),
    [anon_sym_LBRACK] = ACTIONS(1602),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1602),
    [anon_sym_PLUS] = ACTIONS(1602),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_STAR] = ACTIONS(1602),
    [anon_sym_SLASH] = ACTIONS(1604),
    [anon_sym_PIPE_PIPE] = ACTIONS(1602),
    [anon_sym_LT_EQ] = ACTIONS(1602),
    [anon_sym_LT_GT] = ACTIONS(1602),
    [anon_sym_GT_EQ] = ACTIONS(1602),
    [anon_sym_BANG_EQ] = ACTIONS(1602),
    [anon_sym_LT_LT] = ACTIONS(1602),
    [anon_sym_GT_GT] = ACTIONS(1602),
    [anon_sym_AMP] = ACTIONS(1602),
    [anon_sym_CARET] = ACTIONS(1602),
    [anon_sym_PIPE] = ACTIONS(1604),
  },
  [2741] = {
    [ts_builtin_sym_end] = ACTIONS(1430),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1430),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1430),
    [aux_sym_keyword_replace_token1] = ACTIONS(1432),
    [aux_sym__keyword_alter_token1] = ACTIONS(1430),
    [aux_sym__keyword_delete_token1] = ACTIONS(1430),
    [aux_sym__keyword_begin_token1] = ACTIONS(1430),
    [aux_sym__keyword_end_token1] = ACTIONS(1430),
    [aux_sym__keyword_between_token1] = ACTIONS(1430),
    [aux_sym__keyword_when_token1] = ACTIONS(1430),
    [aux_sym__keyword_else_token1] = ACTIONS(1432),
    [aux_sym__keyword_is_token1] = ACTIONS(1430),
    [aux_sym__keyword_in_token1] = ACTIONS(1432),
    [aux_sym__keyword_and_token1] = ACTIONS(1430),
    [aux_sym__keyword_like_token1] = ACTIONS(1430),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1430),
    [aux_sym__keyword_window_token1] = ACTIONS(1430),
    [aux_sym__keyword_for_token1] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(1430),
    [aux_sym_declare_statement_token1] = ACTIONS(1430),
    [anon_sym_COMMA] = ACTIONS(1430),
    [aux_sym_set_statement_token1] = ACTIONS(1430),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1430),
    [aux_sym_return_satement_token1] = ACTIONS(1430),
    [aux_sym_call_statement_token1] = ACTIONS(1430),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1430),
    [aux_sym_if_statement_token1] = ACTIONS(1430),
    [aux_sym_loop_statement_token1] = ACTIONS(1430),
    [aux_sym_repeat_statement_token1] = ACTIONS(1430),
    [aux_sym_while_statement_token1] = ACTIONS(1430),
    [aux_sym_break_statement_token1] = ACTIONS(1430),
    [aux_sym_leave_statement_token1] = ACTIONS(1430),
    [aux_sym_continue_statement_token1] = ACTIONS(1430),
    [aux_sym_iterate_statement_token1] = ACTIONS(1430),
    [aux_sym_raise_statement_token1] = ACTIONS(1430),
    [anon_sym_EQ] = ACTIONS(1430),
    [aux_sym_assert_statement_token1] = ACTIONS(1430),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1430),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1430),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [aux_sym_set_operation_token1] = ACTIONS(1430),
    [aux_sym_set_operation_token3] = ACTIONS(1430),
    [aux_sym_set_operation_token4] = ACTIONS(1432),
    [aux_sym_select_token1] = ACTIONS(1430),
    [aux_sym_having_clause_token1] = ACTIONS(1430),
    [aux_sym_qualify_clause_token1] = ACTIONS(1430),
    [aux_sym_limit_clause_token1] = ACTIONS(1430),
    [aux_sym_group_by_clause_token1] = ACTIONS(1430),
    [aux_sym__direction_keywords_token1] = ACTIONS(1430),
    [aux_sym__direction_keywords_token2] = ACTIONS(1430),
    [aux_sym__nulls_preference_token1] = ACTIONS(1430),
    [aux_sym_order_by_clause_token1] = ACTIONS(1430),
    [aux_sym_insert_statement_token1] = ACTIONS(1430),
    [aux_sym_truncate_statement_token1] = ACTIONS(1430),
    [aux_sym_update_statement_token1] = ACTIONS(1430),
    [aux_sym_merge_statement_token1] = ACTIONS(1430),
    [aux_sym_grant_statement_token1] = ACTIONS(1430),
    [aux_sym_revoke_statement_token1] = ACTIONS(1430),
    [aux_sym_export_data_statement_token1] = ACTIONS(1430),
    [aux_sym_load_data_statement_token1] = ACTIONS(1430),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1432),
    [anon_sym_PIPE_PIPE] = ACTIONS(1430),
    [anon_sym_LT_EQ] = ACTIONS(1430),
    [anon_sym_LT_GT] = ACTIONS(1430),
    [anon_sym_GT_EQ] = ACTIONS(1430),
    [anon_sym_BANG_EQ] = ACTIONS(1430),
    [anon_sym_LT_LT] = ACTIONS(1430),
    [anon_sym_GT_GT] = ACTIONS(1430),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_PIPE] = ACTIONS(1432),
  },
  [2742] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1446),
    [aux_sym_keyword_replace_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1446),
    [aux_sym__keyword_delete_token1] = ACTIONS(1446),
    [aux_sym__keyword_begin_token1] = ACTIONS(1446),
    [aux_sym__keyword_end_token1] = ACTIONS(1446),
    [aux_sym__keyword_between_token1] = ACTIONS(1446),
    [aux_sym__keyword_when_token1] = ACTIONS(1446),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1446),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1446),
    [aux_sym__keyword_like_token1] = ACTIONS(1446),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1446),
    [aux_sym__keyword_window_token1] = ACTIONS(1446),
    [aux_sym__keyword_for_token1] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1446),
    [aux_sym_return_satement_token1] = ACTIONS(1446),
    [aux_sym_call_statement_token1] = ACTIONS(1446),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_loop_statement_token1] = ACTIONS(1446),
    [aux_sym_repeat_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [aux_sym_leave_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_iterate_statement_token1] = ACTIONS(1446),
    [aux_sym_raise_statement_token1] = ACTIONS(1446),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1446),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1446),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1446),
    [aux_sym_set_operation_token3] = ACTIONS(1446),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1446),
    [aux_sym_having_clause_token1] = ACTIONS(1446),
    [aux_sym_qualify_clause_token1] = ACTIONS(1446),
    [aux_sym_limit_clause_token1] = ACTIONS(1446),
    [aux_sym_group_by_clause_token1] = ACTIONS(1446),
    [aux_sym__direction_keywords_token1] = ACTIONS(1446),
    [aux_sym__direction_keywords_token2] = ACTIONS(1446),
    [aux_sym__nulls_preference_token1] = ACTIONS(1446),
    [aux_sym_order_by_clause_token1] = ACTIONS(1446),
    [aux_sym_insert_statement_token1] = ACTIONS(1446),
    [aux_sym_truncate_statement_token1] = ACTIONS(1446),
    [aux_sym_update_statement_token1] = ACTIONS(1446),
    [aux_sym_merge_statement_token1] = ACTIONS(1446),
    [aux_sym_grant_statement_token1] = ACTIONS(1446),
    [aux_sym_revoke_statement_token1] = ACTIONS(1446),
    [aux_sym_export_data_statement_token1] = ACTIONS(1446),
    [aux_sym_load_data_statement_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [2743] = {
    [ts_builtin_sym_end] = ACTIONS(1422),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1422),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1422),
    [aux_sym_keyword_replace_token1] = ACTIONS(1424),
    [aux_sym__keyword_alter_token1] = ACTIONS(1422),
    [aux_sym__keyword_delete_token1] = ACTIONS(1422),
    [aux_sym__keyword_begin_token1] = ACTIONS(1422),
    [aux_sym__keyword_end_token1] = ACTIONS(1422),
    [aux_sym__keyword_between_token1] = ACTIONS(1422),
    [aux_sym__keyword_when_token1] = ACTIONS(1422),
    [aux_sym__keyword_else_token1] = ACTIONS(1424),
    [aux_sym__keyword_is_token1] = ACTIONS(1422),
    [aux_sym__keyword_in_token1] = ACTIONS(1424),
    [aux_sym__keyword_and_token1] = ACTIONS(1422),
    [aux_sym__keyword_like_token1] = ACTIONS(1422),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1422),
    [aux_sym__keyword_window_token1] = ACTIONS(1422),
    [aux_sym__keyword_for_token1] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1422),
    [aux_sym_declare_statement_token1] = ACTIONS(1422),
    [anon_sym_COMMA] = ACTIONS(1422),
    [aux_sym_set_statement_token1] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1422),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1422),
    [aux_sym_return_satement_token1] = ACTIONS(1422),
    [aux_sym_call_statement_token1] = ACTIONS(1422),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1422),
    [aux_sym_if_statement_token1] = ACTIONS(1422),
    [aux_sym_loop_statement_token1] = ACTIONS(1422),
    [aux_sym_repeat_statement_token1] = ACTIONS(1422),
    [aux_sym_while_statement_token1] = ACTIONS(1422),
    [aux_sym_break_statement_token1] = ACTIONS(1422),
    [aux_sym_leave_statement_token1] = ACTIONS(1422),
    [aux_sym_continue_statement_token1] = ACTIONS(1422),
    [aux_sym_iterate_statement_token1] = ACTIONS(1422),
    [aux_sym_raise_statement_token1] = ACTIONS(1422),
    [anon_sym_EQ] = ACTIONS(1422),
    [aux_sym_assert_statement_token1] = ACTIONS(1422),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1422),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1422),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1422),
    [anon_sym_LT] = ACTIONS(1424),
    [anon_sym_GT] = ACTIONS(1424),
    [aux_sym_set_operation_token1] = ACTIONS(1422),
    [aux_sym_set_operation_token3] = ACTIONS(1422),
    [aux_sym_set_operation_token4] = ACTIONS(1424),
    [aux_sym_select_token1] = ACTIONS(1422),
    [aux_sym_having_clause_token1] = ACTIONS(1422),
    [aux_sym_qualify_clause_token1] = ACTIONS(1422),
    [aux_sym_limit_clause_token1] = ACTIONS(1422),
    [aux_sym_group_by_clause_token1] = ACTIONS(1422),
    [aux_sym__direction_keywords_token1] = ACTIONS(1422),
    [aux_sym__direction_keywords_token2] = ACTIONS(1422),
    [aux_sym__nulls_preference_token1] = ACTIONS(1422),
    [aux_sym_order_by_clause_token1] = ACTIONS(1422),
    [aux_sym_insert_statement_token1] = ACTIONS(1422),
    [aux_sym_truncate_statement_token1] = ACTIONS(1422),
    [aux_sym_update_statement_token1] = ACTIONS(1422),
    [aux_sym_merge_statement_token1] = ACTIONS(1422),
    [aux_sym_grant_statement_token1] = ACTIONS(1422),
    [aux_sym_revoke_statement_token1] = ACTIONS(1422),
    [aux_sym_export_data_statement_token1] = ACTIONS(1422),
    [aux_sym_load_data_statement_token1] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1422),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1424),
    [anon_sym_STAR] = ACTIONS(1422),
    [anon_sym_SLASH] = ACTIONS(1424),
    [anon_sym_PIPE_PIPE] = ACTIONS(1422),
    [anon_sym_LT_EQ] = ACTIONS(1422),
    [anon_sym_LT_GT] = ACTIONS(1422),
    [anon_sym_GT_EQ] = ACTIONS(1422),
    [anon_sym_BANG_EQ] = ACTIONS(1422),
    [anon_sym_LT_LT] = ACTIONS(1422),
    [anon_sym_GT_GT] = ACTIONS(1422),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_CARET] = ACTIONS(1422),
    [anon_sym_PIPE] = ACTIONS(1424),
  },
  [2744] = {
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_when_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_window_token1] = ACTIONS(1418),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1418),
    [aux_sym_set_operation_token3] = ACTIONS(1418),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_having_clause_token1] = ACTIONS(1418),
    [aux_sym_qualify_clause_token1] = ACTIONS(1418),
    [aux_sym_limit_clause_token1] = ACTIONS(1418),
    [aux_sym_group_by_clause_token1] = ACTIONS(1418),
    [aux_sym__direction_keywords_token1] = ACTIONS(1418),
    [aux_sym__direction_keywords_token2] = ACTIONS(1418),
    [aux_sym__nulls_preference_token1] = ACTIONS(1418),
    [aux_sym_order_by_clause_token1] = ACTIONS(1418),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [2745] = {
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_when_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_window_token1] = ACTIONS(1418),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1418),
    [aux_sym_set_operation_token3] = ACTIONS(1418),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_having_clause_token1] = ACTIONS(1418),
    [aux_sym_qualify_clause_token1] = ACTIONS(1418),
    [aux_sym_limit_clause_token1] = ACTIONS(1418),
    [aux_sym_group_by_clause_token1] = ACTIONS(1418),
    [aux_sym__direction_keywords_token1] = ACTIONS(1418),
    [aux_sym__direction_keywords_token2] = ACTIONS(1418),
    [aux_sym__nulls_preference_token1] = ACTIONS(1418),
    [aux_sym_order_by_clause_token1] = ACTIONS(1418),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [2746] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_window_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_having_clause_token1] = ACTIONS(1354),
    [aux_sym_qualify_clause_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym_group_by_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_order_by_clause_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2747] = {
    [sym__keyword_between] = STATE(1795),
    [sym__keyword_is] = STATE(12073),
    [sym__keyword_in] = STATE(1359),
    [sym__keyword_not] = STATE(13143),
    [sym__keyword_and] = STATE(839),
    [sym__keyword_or] = STATE(1367),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [ts_builtin_sym_end] = ACTIONS(1023),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1023),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1023),
    [aux_sym_keyword_replace_token1] = ACTIONS(1025),
    [aux_sym__keyword_alter_token1] = ACTIONS(1023),
    [aux_sym__keyword_delete_token1] = ACTIONS(1023),
    [aux_sym__keyword_begin_token1] = ACTIONS(1023),
    [aux_sym__keyword_between_token1] = ACTIONS(1023),
    [aux_sym__keyword_when_token1] = ACTIONS(1023),
    [aux_sym__keyword_is_token1] = ACTIONS(1023),
    [aux_sym__keyword_in_token1] = ACTIONS(1025),
    [aux_sym__keyword_and_token1] = ACTIONS(1023),
    [aux_sym__keyword_like_token1] = ACTIONS(1023),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1023),
    [aux_sym__keyword_window_token1] = ACTIONS(1023),
    [aux_sym__keyword_for_token1] = ACTIONS(1023),
    [anon_sym_SEMI] = ACTIONS(1023),
    [aux_sym_declare_statement_token1] = ACTIONS(1023),
    [anon_sym_COMMA] = ACTIONS(1023),
    [aux_sym_set_statement_token1] = ACTIONS(1023),
    [anon_sym_LPAREN] = ACTIONS(1023),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1023),
    [aux_sym_return_satement_token1] = ACTIONS(1023),
    [aux_sym_call_statement_token1] = ACTIONS(1023),
    [aux_sym_loop_statement_token1] = ACTIONS(1023),
    [aux_sym_while_statement_token1] = ACTIONS(1023),
    [aux_sym_break_statement_token1] = ACTIONS(1023),
    [aux_sym_leave_statement_token1] = ACTIONS(1023),
    [aux_sym_continue_statement_token1] = ACTIONS(1023),
    [aux_sym_iterate_statement_token1] = ACTIONS(1023),
    [aux_sym_raise_statement_token1] = ACTIONS(1023),
    [anon_sym_EQ] = ACTIONS(1023),
    [aux_sym_assert_statement_token1] = ACTIONS(1023),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1023),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1023),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1023),
    [anon_sym_LT] = ACTIONS(1025),
    [anon_sym_GT] = ACTIONS(1025),
    [aux_sym_set_operation_token1] = ACTIONS(1023),
    [aux_sym_set_operation_token3] = ACTIONS(1023),
    [aux_sym_set_operation_token4] = ACTIONS(1023),
    [aux_sym_select_token1] = ACTIONS(1023),
    [aux_sym_having_clause_token1] = ACTIONS(1023),
    [aux_sym_qualify_clause_token1] = ACTIONS(1023),
    [aux_sym_limit_clause_token1] = ACTIONS(1023),
    [aux_sym_order_by_clause_token1] = ACTIONS(1023),
    [aux_sym_insert_statement_token1] = ACTIONS(1023),
    [aux_sym_truncate_statement_token1] = ACTIONS(1023),
    [aux_sym_update_statement_token1] = ACTIONS(1023),
    [aux_sym_merge_statement_token1] = ACTIONS(1023),
    [aux_sym_grant_statement_token1] = ACTIONS(1023),
    [aux_sym_revoke_statement_token1] = ACTIONS(1023),
    [aux_sym_export_data_statement_token1] = ACTIONS(1023),
    [aux_sym_load_data_statement_token1] = ACTIONS(1023),
    [anon_sym_LBRACK] = ACTIONS(1023),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1023),
    [anon_sym_PLUS] = ACTIONS(2984),
    [anon_sym_DASH] = ACTIONS(2986),
    [anon_sym_STAR] = ACTIONS(2988),
    [anon_sym_SLASH] = ACTIONS(2990),
    [anon_sym_PIPE_PIPE] = ACTIONS(2988),
    [anon_sym_LT_EQ] = ACTIONS(1023),
    [anon_sym_LT_GT] = ACTIONS(1023),
    [anon_sym_GT_EQ] = ACTIONS(1023),
    [anon_sym_BANG_EQ] = ACTIONS(1023),
    [anon_sym_LT_LT] = ACTIONS(2992),
    [anon_sym_GT_GT] = ACTIONS(2992),
    [anon_sym_AMP] = ACTIONS(2994),
    [anon_sym_CARET] = ACTIONS(2996),
    [anon_sym_PIPE] = ACTIONS(2998),
  },
  [2748] = {
    [ts_builtin_sym_end] = ACTIONS(1614),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1614),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1614),
    [aux_sym_keyword_replace_token1] = ACTIONS(1616),
    [aux_sym__keyword_alter_token1] = ACTIONS(1614),
    [aux_sym__keyword_delete_token1] = ACTIONS(1614),
    [aux_sym__keyword_begin_token1] = ACTIONS(1614),
    [aux_sym__keyword_end_token1] = ACTIONS(1614),
    [aux_sym__keyword_between_token1] = ACTIONS(1614),
    [aux_sym__keyword_when_token1] = ACTIONS(1614),
    [aux_sym__keyword_else_token1] = ACTIONS(1616),
    [aux_sym__keyword_is_token1] = ACTIONS(1614),
    [aux_sym__keyword_in_token1] = ACTIONS(1616),
    [aux_sym__keyword_and_token1] = ACTIONS(1614),
    [aux_sym__keyword_like_token1] = ACTIONS(1614),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1614),
    [aux_sym__keyword_window_token1] = ACTIONS(1614),
    [aux_sym__keyword_for_token1] = ACTIONS(1614),
    [anon_sym_SEMI] = ACTIONS(1614),
    [aux_sym_declare_statement_token1] = ACTIONS(1614),
    [anon_sym_COMMA] = ACTIONS(1614),
    [aux_sym_set_statement_token1] = ACTIONS(1614),
    [anon_sym_LPAREN] = ACTIONS(1614),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1614),
    [aux_sym_return_satement_token1] = ACTIONS(1614),
    [aux_sym_call_statement_token1] = ACTIONS(1614),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1614),
    [aux_sym_if_statement_token1] = ACTIONS(1614),
    [aux_sym_loop_statement_token1] = ACTIONS(1614),
    [aux_sym_repeat_statement_token1] = ACTIONS(1614),
    [aux_sym_while_statement_token1] = ACTIONS(1614),
    [aux_sym_break_statement_token1] = ACTIONS(1614),
    [aux_sym_leave_statement_token1] = ACTIONS(1614),
    [aux_sym_continue_statement_token1] = ACTIONS(1614),
    [aux_sym_iterate_statement_token1] = ACTIONS(1614),
    [aux_sym_raise_statement_token1] = ACTIONS(1614),
    [anon_sym_EQ] = ACTIONS(1614),
    [aux_sym_assert_statement_token1] = ACTIONS(1614),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1614),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1614),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1614),
    [anon_sym_LT] = ACTIONS(1616),
    [anon_sym_GT] = ACTIONS(1616),
    [aux_sym_set_operation_token1] = ACTIONS(1614),
    [aux_sym_set_operation_token3] = ACTIONS(1614),
    [aux_sym_set_operation_token4] = ACTIONS(1616),
    [aux_sym_select_token1] = ACTIONS(1614),
    [aux_sym_having_clause_token1] = ACTIONS(1614),
    [aux_sym_qualify_clause_token1] = ACTIONS(1614),
    [aux_sym_limit_clause_token1] = ACTIONS(1614),
    [aux_sym_group_by_clause_token1] = ACTIONS(1614),
    [aux_sym__direction_keywords_token1] = ACTIONS(1614),
    [aux_sym__direction_keywords_token2] = ACTIONS(1614),
    [aux_sym__nulls_preference_token1] = ACTIONS(1614),
    [aux_sym_order_by_clause_token1] = ACTIONS(1614),
    [aux_sym_insert_statement_token1] = ACTIONS(1614),
    [aux_sym_truncate_statement_token1] = ACTIONS(1614),
    [aux_sym_update_statement_token1] = ACTIONS(1614),
    [aux_sym_merge_statement_token1] = ACTIONS(1614),
    [aux_sym_grant_statement_token1] = ACTIONS(1614),
    [aux_sym_revoke_statement_token1] = ACTIONS(1614),
    [aux_sym_export_data_statement_token1] = ACTIONS(1614),
    [aux_sym_load_data_statement_token1] = ACTIONS(1614),
    [anon_sym_LBRACK] = ACTIONS(1614),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1614),
    [anon_sym_PLUS] = ACTIONS(1614),
    [anon_sym_DASH] = ACTIONS(1616),
    [anon_sym_STAR] = ACTIONS(1614),
    [anon_sym_SLASH] = ACTIONS(1616),
    [anon_sym_PIPE_PIPE] = ACTIONS(1614),
    [anon_sym_LT_EQ] = ACTIONS(1614),
    [anon_sym_LT_GT] = ACTIONS(1614),
    [anon_sym_GT_EQ] = ACTIONS(1614),
    [anon_sym_BANG_EQ] = ACTIONS(1614),
    [anon_sym_LT_LT] = ACTIONS(1614),
    [anon_sym_GT_GT] = ACTIONS(1614),
    [anon_sym_AMP] = ACTIONS(1614),
    [anon_sym_CARET] = ACTIONS(1614),
    [anon_sym_PIPE] = ACTIONS(1616),
  },
  [2749] = {
    [ts_builtin_sym_end] = ACTIONS(1394),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1394),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1394),
    [aux_sym_keyword_replace_token1] = ACTIONS(1396),
    [aux_sym__keyword_alter_token1] = ACTIONS(1394),
    [aux_sym__keyword_delete_token1] = ACTIONS(1394),
    [aux_sym__keyword_begin_token1] = ACTIONS(1394),
    [aux_sym__keyword_end_token1] = ACTIONS(1394),
    [aux_sym__keyword_between_token1] = ACTIONS(1394),
    [aux_sym__keyword_when_token1] = ACTIONS(1394),
    [aux_sym__keyword_else_token1] = ACTIONS(1396),
    [aux_sym__keyword_is_token1] = ACTIONS(1394),
    [aux_sym__keyword_in_token1] = ACTIONS(1396),
    [aux_sym__keyword_and_token1] = ACTIONS(1394),
    [aux_sym__keyword_like_token1] = ACTIONS(1394),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1394),
    [aux_sym__keyword_window_token1] = ACTIONS(1394),
    [aux_sym__keyword_for_token1] = ACTIONS(1394),
    [anon_sym_SEMI] = ACTIONS(1394),
    [aux_sym_declare_statement_token1] = ACTIONS(1394),
    [anon_sym_COMMA] = ACTIONS(1394),
    [aux_sym_set_statement_token1] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(1394),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1394),
    [aux_sym_return_satement_token1] = ACTIONS(1394),
    [aux_sym_call_statement_token1] = ACTIONS(1394),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1394),
    [aux_sym_if_statement_token1] = ACTIONS(1394),
    [aux_sym_loop_statement_token1] = ACTIONS(1394),
    [aux_sym_repeat_statement_token1] = ACTIONS(1394),
    [aux_sym_while_statement_token1] = ACTIONS(1394),
    [aux_sym_break_statement_token1] = ACTIONS(1394),
    [aux_sym_leave_statement_token1] = ACTIONS(1394),
    [aux_sym_continue_statement_token1] = ACTIONS(1394),
    [aux_sym_iterate_statement_token1] = ACTIONS(1394),
    [aux_sym_raise_statement_token1] = ACTIONS(1394),
    [anon_sym_EQ] = ACTIONS(1394),
    [aux_sym_assert_statement_token1] = ACTIONS(1394),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1394),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1394),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1394),
    [anon_sym_LT] = ACTIONS(1396),
    [anon_sym_GT] = ACTIONS(1396),
    [aux_sym_set_operation_token1] = ACTIONS(1394),
    [aux_sym_set_operation_token3] = ACTIONS(1394),
    [aux_sym_set_operation_token4] = ACTIONS(1396),
    [aux_sym_select_token1] = ACTIONS(1394),
    [aux_sym_having_clause_token1] = ACTIONS(1394),
    [aux_sym_qualify_clause_token1] = ACTIONS(1394),
    [aux_sym_limit_clause_token1] = ACTIONS(1394),
    [aux_sym_group_by_clause_token1] = ACTIONS(1394),
    [aux_sym__direction_keywords_token1] = ACTIONS(1394),
    [aux_sym__direction_keywords_token2] = ACTIONS(1394),
    [aux_sym__nulls_preference_token1] = ACTIONS(1394),
    [aux_sym_order_by_clause_token1] = ACTIONS(1394),
    [aux_sym_insert_statement_token1] = ACTIONS(1394),
    [aux_sym_truncate_statement_token1] = ACTIONS(1394),
    [aux_sym_update_statement_token1] = ACTIONS(1394),
    [aux_sym_merge_statement_token1] = ACTIONS(1394),
    [aux_sym_grant_statement_token1] = ACTIONS(1394),
    [aux_sym_revoke_statement_token1] = ACTIONS(1394),
    [aux_sym_export_data_statement_token1] = ACTIONS(1394),
    [aux_sym_load_data_statement_token1] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(1394),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_STAR] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(1396),
    [anon_sym_PIPE_PIPE] = ACTIONS(1394),
    [anon_sym_LT_EQ] = ACTIONS(1394),
    [anon_sym_LT_GT] = ACTIONS(1394),
    [anon_sym_GT_EQ] = ACTIONS(1394),
    [anon_sym_BANG_EQ] = ACTIONS(1394),
    [anon_sym_LT_LT] = ACTIONS(1394),
    [anon_sym_GT_GT] = ACTIONS(1394),
    [anon_sym_AMP] = ACTIONS(1394),
    [anon_sym_CARET] = ACTIONS(1394),
    [anon_sym_PIPE] = ACTIONS(1396),
  },
  [2750] = {
    [sym__keyword_between] = STATE(1795),
    [sym__keyword_is] = STATE(12073),
    [sym__keyword_in] = STATE(1359),
    [sym__keyword_not] = STATE(13143),
    [sym__keyword_and] = STATE(839),
    [sym__keyword_or] = STATE(1367),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [ts_builtin_sym_end] = ACTIONS(947),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(947),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(947),
    [aux_sym_keyword_replace_token1] = ACTIONS(949),
    [aux_sym__keyword_alter_token1] = ACTIONS(947),
    [aux_sym__keyword_delete_token1] = ACTIONS(947),
    [aux_sym__keyword_begin_token1] = ACTIONS(947),
    [aux_sym__keyword_between_token1] = ACTIONS(947),
    [aux_sym__keyword_when_token1] = ACTIONS(947),
    [aux_sym__keyword_is_token1] = ACTIONS(947),
    [aux_sym__keyword_in_token1] = ACTIONS(949),
    [aux_sym__keyword_and_token1] = ACTIONS(947),
    [aux_sym__keyword_like_token1] = ACTIONS(947),
    [aux_sym__keyword_repeat_token1] = ACTIONS(947),
    [aux_sym__keyword_window_token1] = ACTIONS(947),
    [aux_sym__keyword_for_token1] = ACTIONS(947),
    [anon_sym_SEMI] = ACTIONS(947),
    [aux_sym_declare_statement_token1] = ACTIONS(947),
    [anon_sym_COMMA] = ACTIONS(947),
    [aux_sym_set_statement_token1] = ACTIONS(947),
    [anon_sym_LPAREN] = ACTIONS(947),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(947),
    [aux_sym_return_satement_token1] = ACTIONS(947),
    [aux_sym_call_statement_token1] = ACTIONS(947),
    [aux_sym_loop_statement_token1] = ACTIONS(947),
    [aux_sym_while_statement_token1] = ACTIONS(947),
    [aux_sym_break_statement_token1] = ACTIONS(947),
    [aux_sym_leave_statement_token1] = ACTIONS(947),
    [aux_sym_continue_statement_token1] = ACTIONS(947),
    [aux_sym_iterate_statement_token1] = ACTIONS(947),
    [aux_sym_raise_statement_token1] = ACTIONS(947),
    [anon_sym_EQ] = ACTIONS(947),
    [aux_sym_assert_statement_token1] = ACTIONS(947),
    [aux_sym_create_schema_statement_token1] = ACTIONS(947),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(947),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(949),
    [anon_sym_GT] = ACTIONS(949),
    [aux_sym_set_operation_token1] = ACTIONS(947),
    [aux_sym_set_operation_token3] = ACTIONS(947),
    [aux_sym_set_operation_token4] = ACTIONS(947),
    [aux_sym_select_token1] = ACTIONS(947),
    [aux_sym_having_clause_token1] = ACTIONS(947),
    [aux_sym_qualify_clause_token1] = ACTIONS(947),
    [aux_sym_limit_clause_token1] = ACTIONS(947),
    [aux_sym_order_by_clause_token1] = ACTIONS(947),
    [aux_sym_insert_statement_token1] = ACTIONS(947),
    [aux_sym_truncate_statement_token1] = ACTIONS(947),
    [aux_sym_update_statement_token1] = ACTIONS(947),
    [aux_sym_merge_statement_token1] = ACTIONS(947),
    [aux_sym_grant_statement_token1] = ACTIONS(947),
    [aux_sym_revoke_statement_token1] = ACTIONS(947),
    [aux_sym_export_data_statement_token1] = ACTIONS(947),
    [aux_sym_load_data_statement_token1] = ACTIONS(947),
    [anon_sym_LBRACK] = ACTIONS(947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(2984),
    [anon_sym_DASH] = ACTIONS(2986),
    [anon_sym_STAR] = ACTIONS(2988),
    [anon_sym_SLASH] = ACTIONS(2990),
    [anon_sym_PIPE_PIPE] = ACTIONS(2988),
    [anon_sym_LT_EQ] = ACTIONS(947),
    [anon_sym_LT_GT] = ACTIONS(947),
    [anon_sym_GT_EQ] = ACTIONS(947),
    [anon_sym_BANG_EQ] = ACTIONS(947),
    [anon_sym_LT_LT] = ACTIONS(2992),
    [anon_sym_GT_GT] = ACTIONS(2992),
    [anon_sym_AMP] = ACTIONS(2994),
    [anon_sym_CARET] = ACTIONS(2996),
    [anon_sym_PIPE] = ACTIONS(2998),
  },
  [2751] = {
    [sym__keyword_between] = STATE(1795),
    [sym__keyword_is] = STATE(12073),
    [sym__keyword_in] = STATE(1359),
    [sym__keyword_not] = STATE(13143),
    [sym__keyword_and] = STATE(839),
    [sym__keyword_or] = STATE(1367),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [ts_builtin_sym_end] = ACTIONS(1031),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1031),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1031),
    [aux_sym_keyword_replace_token1] = ACTIONS(1033),
    [aux_sym__keyword_alter_token1] = ACTIONS(1031),
    [aux_sym__keyword_delete_token1] = ACTIONS(1031),
    [aux_sym__keyword_begin_token1] = ACTIONS(1031),
    [aux_sym__keyword_between_token1] = ACTIONS(1031),
    [aux_sym__keyword_when_token1] = ACTIONS(1031),
    [aux_sym__keyword_is_token1] = ACTIONS(1031),
    [aux_sym__keyword_in_token1] = ACTIONS(1033),
    [aux_sym__keyword_and_token1] = ACTIONS(1031),
    [aux_sym__keyword_like_token1] = ACTIONS(1031),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1031),
    [aux_sym__keyword_window_token1] = ACTIONS(1031),
    [aux_sym__keyword_for_token1] = ACTIONS(1031),
    [anon_sym_SEMI] = ACTIONS(1031),
    [aux_sym_declare_statement_token1] = ACTIONS(1031),
    [anon_sym_COMMA] = ACTIONS(1031),
    [aux_sym_set_statement_token1] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1031),
    [aux_sym_return_satement_token1] = ACTIONS(1031),
    [aux_sym_call_statement_token1] = ACTIONS(1031),
    [aux_sym_loop_statement_token1] = ACTIONS(1031),
    [aux_sym_while_statement_token1] = ACTIONS(1031),
    [aux_sym_break_statement_token1] = ACTIONS(1031),
    [aux_sym_leave_statement_token1] = ACTIONS(1031),
    [aux_sym_continue_statement_token1] = ACTIONS(1031),
    [aux_sym_iterate_statement_token1] = ACTIONS(1031),
    [aux_sym_raise_statement_token1] = ACTIONS(1031),
    [anon_sym_EQ] = ACTIONS(1031),
    [aux_sym_assert_statement_token1] = ACTIONS(1031),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1031),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1031),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1031),
    [anon_sym_LT] = ACTIONS(1033),
    [anon_sym_GT] = ACTIONS(1033),
    [aux_sym_set_operation_token1] = ACTIONS(1031),
    [aux_sym_set_operation_token3] = ACTIONS(1031),
    [aux_sym_set_operation_token4] = ACTIONS(1031),
    [aux_sym_select_token1] = ACTIONS(1031),
    [aux_sym_having_clause_token1] = ACTIONS(1031),
    [aux_sym_qualify_clause_token1] = ACTIONS(1031),
    [aux_sym_limit_clause_token1] = ACTIONS(1031),
    [aux_sym_order_by_clause_token1] = ACTIONS(1031),
    [aux_sym_insert_statement_token1] = ACTIONS(1031),
    [aux_sym_truncate_statement_token1] = ACTIONS(1031),
    [aux_sym_update_statement_token1] = ACTIONS(1031),
    [aux_sym_merge_statement_token1] = ACTIONS(1031),
    [aux_sym_grant_statement_token1] = ACTIONS(1031),
    [aux_sym_revoke_statement_token1] = ACTIONS(1031),
    [aux_sym_export_data_statement_token1] = ACTIONS(1031),
    [aux_sym_load_data_statement_token1] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1031),
    [anon_sym_PLUS] = ACTIONS(2984),
    [anon_sym_DASH] = ACTIONS(2986),
    [anon_sym_STAR] = ACTIONS(2988),
    [anon_sym_SLASH] = ACTIONS(2990),
    [anon_sym_PIPE_PIPE] = ACTIONS(2988),
    [anon_sym_LT_EQ] = ACTIONS(1031),
    [anon_sym_LT_GT] = ACTIONS(1031),
    [anon_sym_GT_EQ] = ACTIONS(1031),
    [anon_sym_BANG_EQ] = ACTIONS(1031),
    [anon_sym_LT_LT] = ACTIONS(2992),
    [anon_sym_GT_GT] = ACTIONS(2992),
    [anon_sym_AMP] = ACTIONS(2994),
    [anon_sym_CARET] = ACTIONS(2996),
    [anon_sym_PIPE] = ACTIONS(2998),
  },
  [2752] = {
    [sym__keyword_between] = STATE(1795),
    [sym__keyword_is] = STATE(12073),
    [sym__keyword_in] = STATE(1359),
    [sym__keyword_not] = STATE(13143),
    [sym__keyword_and] = STATE(839),
    [sym__keyword_or] = STATE(1367),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [ts_builtin_sym_end] = ACTIONS(1035),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1035),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1035),
    [aux_sym_keyword_replace_token1] = ACTIONS(1037),
    [aux_sym__keyword_alter_token1] = ACTIONS(1035),
    [aux_sym__keyword_delete_token1] = ACTIONS(1035),
    [aux_sym__keyword_begin_token1] = ACTIONS(1035),
    [aux_sym__keyword_between_token1] = ACTIONS(1035),
    [aux_sym__keyword_when_token1] = ACTIONS(1035),
    [aux_sym__keyword_is_token1] = ACTIONS(1035),
    [aux_sym__keyword_in_token1] = ACTIONS(1037),
    [aux_sym__keyword_and_token1] = ACTIONS(1035),
    [aux_sym__keyword_like_token1] = ACTIONS(1035),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1035),
    [aux_sym__keyword_window_token1] = ACTIONS(1035),
    [aux_sym__keyword_for_token1] = ACTIONS(1035),
    [anon_sym_SEMI] = ACTIONS(1035),
    [aux_sym_declare_statement_token1] = ACTIONS(1035),
    [anon_sym_COMMA] = ACTIONS(1035),
    [aux_sym_set_statement_token1] = ACTIONS(1035),
    [anon_sym_LPAREN] = ACTIONS(1035),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1035),
    [aux_sym_return_satement_token1] = ACTIONS(1035),
    [aux_sym_call_statement_token1] = ACTIONS(1035),
    [aux_sym_loop_statement_token1] = ACTIONS(1035),
    [aux_sym_while_statement_token1] = ACTIONS(1035),
    [aux_sym_break_statement_token1] = ACTIONS(1035),
    [aux_sym_leave_statement_token1] = ACTIONS(1035),
    [aux_sym_continue_statement_token1] = ACTIONS(1035),
    [aux_sym_iterate_statement_token1] = ACTIONS(1035),
    [aux_sym_raise_statement_token1] = ACTIONS(1035),
    [anon_sym_EQ] = ACTIONS(1035),
    [aux_sym_assert_statement_token1] = ACTIONS(1035),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1035),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1035),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1035),
    [anon_sym_LT] = ACTIONS(1037),
    [anon_sym_GT] = ACTIONS(1037),
    [aux_sym_set_operation_token1] = ACTIONS(1035),
    [aux_sym_set_operation_token3] = ACTIONS(1035),
    [aux_sym_set_operation_token4] = ACTIONS(1035),
    [aux_sym_select_token1] = ACTIONS(1035),
    [aux_sym_having_clause_token1] = ACTIONS(1035),
    [aux_sym_qualify_clause_token1] = ACTIONS(1035),
    [aux_sym_limit_clause_token1] = ACTIONS(1035),
    [aux_sym_order_by_clause_token1] = ACTIONS(1035),
    [aux_sym_insert_statement_token1] = ACTIONS(1035),
    [aux_sym_truncate_statement_token1] = ACTIONS(1035),
    [aux_sym_update_statement_token1] = ACTIONS(1035),
    [aux_sym_merge_statement_token1] = ACTIONS(1035),
    [aux_sym_grant_statement_token1] = ACTIONS(1035),
    [aux_sym_revoke_statement_token1] = ACTIONS(1035),
    [aux_sym_export_data_statement_token1] = ACTIONS(1035),
    [aux_sym_load_data_statement_token1] = ACTIONS(1035),
    [anon_sym_LBRACK] = ACTIONS(1035),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1035),
    [anon_sym_PLUS] = ACTIONS(2984),
    [anon_sym_DASH] = ACTIONS(2986),
    [anon_sym_STAR] = ACTIONS(2988),
    [anon_sym_SLASH] = ACTIONS(2990),
    [anon_sym_PIPE_PIPE] = ACTIONS(2988),
    [anon_sym_LT_EQ] = ACTIONS(1035),
    [anon_sym_LT_GT] = ACTIONS(1035),
    [anon_sym_GT_EQ] = ACTIONS(1035),
    [anon_sym_BANG_EQ] = ACTIONS(1035),
    [anon_sym_LT_LT] = ACTIONS(2992),
    [anon_sym_GT_GT] = ACTIONS(2992),
    [anon_sym_AMP] = ACTIONS(2994),
    [anon_sym_CARET] = ACTIONS(2996),
    [anon_sym_PIPE] = ACTIONS(2998),
  },
  [2753] = {
    [ts_builtin_sym_end] = ACTIONS(1756),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1756),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1756),
    [aux_sym_keyword_replace_token1] = ACTIONS(1758),
    [aux_sym__keyword_alter_token1] = ACTIONS(1756),
    [aux_sym__keyword_delete_token1] = ACTIONS(1756),
    [aux_sym__keyword_begin_token1] = ACTIONS(1756),
    [aux_sym__keyword_end_token1] = ACTIONS(1756),
    [aux_sym__keyword_between_token1] = ACTIONS(1756),
    [aux_sym__keyword_when_token1] = ACTIONS(1756),
    [aux_sym__keyword_else_token1] = ACTIONS(1758),
    [aux_sym__keyword_is_token1] = ACTIONS(1756),
    [aux_sym__keyword_in_token1] = ACTIONS(1758),
    [aux_sym__keyword_and_token1] = ACTIONS(1756),
    [aux_sym__keyword_like_token1] = ACTIONS(1756),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1756),
    [aux_sym__keyword_window_token1] = ACTIONS(1756),
    [aux_sym__keyword_for_token1] = ACTIONS(1756),
    [anon_sym_SEMI] = ACTIONS(1756),
    [aux_sym_declare_statement_token1] = ACTIONS(1756),
    [anon_sym_COMMA] = ACTIONS(1756),
    [aux_sym_set_statement_token1] = ACTIONS(1756),
    [anon_sym_LPAREN] = ACTIONS(1756),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1756),
    [aux_sym_return_satement_token1] = ACTIONS(1756),
    [aux_sym_call_statement_token1] = ACTIONS(1756),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1756),
    [aux_sym_if_statement_token1] = ACTIONS(1756),
    [aux_sym_loop_statement_token1] = ACTIONS(1756),
    [aux_sym_repeat_statement_token1] = ACTIONS(1756),
    [aux_sym_while_statement_token1] = ACTIONS(1756),
    [aux_sym_break_statement_token1] = ACTIONS(1756),
    [aux_sym_leave_statement_token1] = ACTIONS(1756),
    [aux_sym_continue_statement_token1] = ACTIONS(1756),
    [aux_sym_iterate_statement_token1] = ACTIONS(1756),
    [aux_sym_raise_statement_token1] = ACTIONS(1756),
    [anon_sym_EQ] = ACTIONS(1756),
    [aux_sym_assert_statement_token1] = ACTIONS(1756),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1756),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1756),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1756),
    [anon_sym_LT] = ACTIONS(1758),
    [anon_sym_GT] = ACTIONS(1758),
    [aux_sym_set_operation_token1] = ACTIONS(1756),
    [aux_sym_set_operation_token3] = ACTIONS(1756),
    [aux_sym_set_operation_token4] = ACTIONS(1758),
    [aux_sym_select_token1] = ACTIONS(1756),
    [aux_sym_having_clause_token1] = ACTIONS(1756),
    [aux_sym_qualify_clause_token1] = ACTIONS(1756),
    [aux_sym_limit_clause_token1] = ACTIONS(1756),
    [aux_sym_group_by_clause_token1] = ACTIONS(1756),
    [aux_sym__direction_keywords_token1] = ACTIONS(1756),
    [aux_sym__direction_keywords_token2] = ACTIONS(1756),
    [aux_sym__nulls_preference_token1] = ACTIONS(1756),
    [aux_sym_order_by_clause_token1] = ACTIONS(1756),
    [aux_sym_insert_statement_token1] = ACTIONS(1756),
    [aux_sym_truncate_statement_token1] = ACTIONS(1756),
    [aux_sym_update_statement_token1] = ACTIONS(1756),
    [aux_sym_merge_statement_token1] = ACTIONS(1756),
    [aux_sym_grant_statement_token1] = ACTIONS(1756),
    [aux_sym_revoke_statement_token1] = ACTIONS(1756),
    [aux_sym_export_data_statement_token1] = ACTIONS(1756),
    [aux_sym_load_data_statement_token1] = ACTIONS(1756),
    [anon_sym_LBRACK] = ACTIONS(1756),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1756),
    [anon_sym_PLUS] = ACTIONS(1756),
    [anon_sym_DASH] = ACTIONS(1758),
    [anon_sym_STAR] = ACTIONS(1756),
    [anon_sym_SLASH] = ACTIONS(1758),
    [anon_sym_PIPE_PIPE] = ACTIONS(1756),
    [anon_sym_LT_EQ] = ACTIONS(1756),
    [anon_sym_LT_GT] = ACTIONS(1756),
    [anon_sym_GT_EQ] = ACTIONS(1756),
    [anon_sym_BANG_EQ] = ACTIONS(1756),
    [anon_sym_LT_LT] = ACTIONS(1756),
    [anon_sym_GT_GT] = ACTIONS(1756),
    [anon_sym_AMP] = ACTIONS(1756),
    [anon_sym_CARET] = ACTIONS(1756),
    [anon_sym_PIPE] = ACTIONS(1758),
  },
  [2754] = {
    [sym__keyword_between] = STATE(1795),
    [sym__keyword_is] = STATE(12073),
    [sym__keyword_in] = STATE(1359),
    [sym__keyword_not] = STATE(13143),
    [sym__keyword_and] = STATE(839),
    [sym__keyword_or] = STATE(1367),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(917),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2984),
    [anon_sym_DASH] = ACTIONS(2986),
    [anon_sym_STAR] = ACTIONS(2988),
    [anon_sym_SLASH] = ACTIONS(2990),
    [anon_sym_PIPE_PIPE] = ACTIONS(2988),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(2992),
    [anon_sym_GT_GT] = ACTIONS(2992),
    [anon_sym_AMP] = ACTIONS(2994),
    [anon_sym_CARET] = ACTIONS(2996),
    [anon_sym_PIPE] = ACTIONS(2998),
  },
  [2755] = {
    [sym__keyword_between] = STATE(1795),
    [sym__keyword_is] = STATE(12073),
    [sym__keyword_in] = STATE(1359),
    [sym__keyword_not] = STATE(13143),
    [sym__keyword_and] = STATE(839),
    [sym__keyword_or] = STATE(1367),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(917),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(2988),
    [anon_sym_SLASH] = ACTIONS(2990),
    [anon_sym_PIPE_PIPE] = ACTIONS(2988),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2756] = {
    [sym__keyword_between] = STATE(1795),
    [sym__keyword_is] = STATE(12073),
    [sym__keyword_in] = STATE(1359),
    [sym__keyword_not] = STATE(13143),
    [sym__keyword_and] = STATE(839),
    [sym__keyword_or] = STATE(1367),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(917),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(917),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PIPE_PIPE] = ACTIONS(917),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2757] = {
    [sym__keyword_between] = STATE(1795),
    [sym__keyword_is] = STATE(12073),
    [sym__keyword_in] = STATE(1359),
    [sym__keyword_not] = STATE(13143),
    [sym__keyword_and] = STATE(839),
    [sym__keyword_or] = STATE(1367),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(917),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2984),
    [anon_sym_DASH] = ACTIONS(2986),
    [anon_sym_STAR] = ACTIONS(2988),
    [anon_sym_SLASH] = ACTIONS(2990),
    [anon_sym_PIPE_PIPE] = ACTIONS(2988),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2758] = {
    [sym__keyword_between] = STATE(1795),
    [sym__keyword_is] = STATE(12073),
    [sym__keyword_in] = STATE(1359),
    [sym__keyword_not] = STATE(13143),
    [sym__keyword_and] = STATE(839),
    [sym__keyword_or] = STATE(1367),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(917),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2984),
    [anon_sym_DASH] = ACTIONS(2986),
    [anon_sym_STAR] = ACTIONS(2988),
    [anon_sym_SLASH] = ACTIONS(2990),
    [anon_sym_PIPE_PIPE] = ACTIONS(2988),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(2992),
    [anon_sym_GT_GT] = ACTIONS(2992),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2759] = {
    [sym__keyword_between] = STATE(1795),
    [sym__keyword_is] = STATE(12073),
    [sym__keyword_in] = STATE(1359),
    [sym__keyword_not] = STATE(13143),
    [sym__keyword_and] = STATE(839),
    [sym__keyword_or] = STATE(1367),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(917),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2984),
    [anon_sym_DASH] = ACTIONS(2986),
    [anon_sym_STAR] = ACTIONS(2988),
    [anon_sym_SLASH] = ACTIONS(2990),
    [anon_sym_PIPE_PIPE] = ACTIONS(2988),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(2992),
    [anon_sym_GT_GT] = ACTIONS(2992),
    [anon_sym_AMP] = ACTIONS(2994),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2760] = {
    [ts_builtin_sym_end] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1398),
    [aux_sym_keyword_replace_token1] = ACTIONS(1400),
    [aux_sym__keyword_alter_token1] = ACTIONS(1398),
    [aux_sym__keyword_delete_token1] = ACTIONS(1398),
    [aux_sym__keyword_begin_token1] = ACTIONS(1398),
    [aux_sym__keyword_end_token1] = ACTIONS(1398),
    [aux_sym__keyword_between_token1] = ACTIONS(1398),
    [aux_sym__keyword_when_token1] = ACTIONS(1398),
    [aux_sym__keyword_else_token1] = ACTIONS(1400),
    [aux_sym__keyword_is_token1] = ACTIONS(1398),
    [aux_sym__keyword_in_token1] = ACTIONS(1400),
    [aux_sym__keyword_and_token1] = ACTIONS(1398),
    [aux_sym__keyword_like_token1] = ACTIONS(1398),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1398),
    [aux_sym__keyword_window_token1] = ACTIONS(1398),
    [aux_sym__keyword_for_token1] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1398),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1398),
    [aux_sym_return_satement_token1] = ACTIONS(1398),
    [aux_sym_call_statement_token1] = ACTIONS(1398),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1398),
    [aux_sym_if_statement_token1] = ACTIONS(1398),
    [aux_sym_loop_statement_token1] = ACTIONS(1398),
    [aux_sym_repeat_statement_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token1] = ACTIONS(1398),
    [aux_sym_break_statement_token1] = ACTIONS(1398),
    [aux_sym_leave_statement_token1] = ACTIONS(1398),
    [aux_sym_continue_statement_token1] = ACTIONS(1398),
    [aux_sym_iterate_statement_token1] = ACTIONS(1398),
    [aux_sym_raise_statement_token1] = ACTIONS(1398),
    [anon_sym_EQ] = ACTIONS(1398),
    [aux_sym_assert_statement_token1] = ACTIONS(1398),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1398),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [aux_sym_set_operation_token1] = ACTIONS(1398),
    [aux_sym_set_operation_token3] = ACTIONS(1398),
    [aux_sym_set_operation_token4] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1398),
    [aux_sym_having_clause_token1] = ACTIONS(1398),
    [aux_sym_qualify_clause_token1] = ACTIONS(1398),
    [aux_sym_limit_clause_token1] = ACTIONS(1398),
    [aux_sym_group_by_clause_token1] = ACTIONS(1398),
    [aux_sym__direction_keywords_token1] = ACTIONS(1398),
    [aux_sym__direction_keywords_token2] = ACTIONS(1398),
    [aux_sym__nulls_preference_token1] = ACTIONS(1398),
    [aux_sym_order_by_clause_token1] = ACTIONS(1398),
    [aux_sym_insert_statement_token1] = ACTIONS(1398),
    [aux_sym_truncate_statement_token1] = ACTIONS(1398),
    [aux_sym_update_statement_token1] = ACTIONS(1398),
    [aux_sym_merge_statement_token1] = ACTIONS(1398),
    [aux_sym_grant_statement_token1] = ACTIONS(1398),
    [aux_sym_revoke_statement_token1] = ACTIONS(1398),
    [aux_sym_export_data_statement_token1] = ACTIONS(1398),
    [aux_sym_load_data_statement_token1] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_LT_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
  },
  [2761] = {
    [sym__keyword_between] = STATE(1795),
    [sym__keyword_is] = STATE(12073),
    [sym__keyword_in] = STATE(1359),
    [sym__keyword_not] = STATE(13143),
    [sym__keyword_and] = STATE(839),
    [sym__keyword_or] = STATE(1367),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(917),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2984),
    [anon_sym_DASH] = ACTIONS(2986),
    [anon_sym_STAR] = ACTIONS(2988),
    [anon_sym_SLASH] = ACTIONS(2990),
    [anon_sym_PIPE_PIPE] = ACTIONS(2988),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(2992),
    [anon_sym_GT_GT] = ACTIONS(2992),
    [anon_sym_AMP] = ACTIONS(2994),
    [anon_sym_CARET] = ACTIONS(2996),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2762] = {
    [ts_builtin_sym_end] = ACTIONS(1406),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1406),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1406),
    [aux_sym_keyword_replace_token1] = ACTIONS(1408),
    [aux_sym__keyword_alter_token1] = ACTIONS(1406),
    [aux_sym__keyword_delete_token1] = ACTIONS(1406),
    [aux_sym__keyword_begin_token1] = ACTIONS(1406),
    [aux_sym__keyword_end_token1] = ACTIONS(1406),
    [aux_sym__keyword_between_token1] = ACTIONS(1406),
    [aux_sym__keyword_when_token1] = ACTIONS(1406),
    [aux_sym__keyword_else_token1] = ACTIONS(1408),
    [aux_sym__keyword_is_token1] = ACTIONS(1406),
    [aux_sym__keyword_in_token1] = ACTIONS(1408),
    [aux_sym__keyword_and_token1] = ACTIONS(1406),
    [aux_sym__keyword_like_token1] = ACTIONS(1406),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1406),
    [aux_sym__keyword_window_token1] = ACTIONS(1406),
    [aux_sym__keyword_for_token1] = ACTIONS(1406),
    [anon_sym_SEMI] = ACTIONS(1406),
    [aux_sym_declare_statement_token1] = ACTIONS(1406),
    [anon_sym_COMMA] = ACTIONS(1406),
    [aux_sym_set_statement_token1] = ACTIONS(1406),
    [anon_sym_LPAREN] = ACTIONS(1406),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1406),
    [aux_sym_return_satement_token1] = ACTIONS(1406),
    [aux_sym_call_statement_token1] = ACTIONS(1406),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1406),
    [aux_sym_if_statement_token1] = ACTIONS(1406),
    [aux_sym_loop_statement_token1] = ACTIONS(1406),
    [aux_sym_repeat_statement_token1] = ACTIONS(1406),
    [aux_sym_while_statement_token1] = ACTIONS(1406),
    [aux_sym_break_statement_token1] = ACTIONS(1406),
    [aux_sym_leave_statement_token1] = ACTIONS(1406),
    [aux_sym_continue_statement_token1] = ACTIONS(1406),
    [aux_sym_iterate_statement_token1] = ACTIONS(1406),
    [aux_sym_raise_statement_token1] = ACTIONS(1406),
    [anon_sym_EQ] = ACTIONS(1406),
    [aux_sym_assert_statement_token1] = ACTIONS(1406),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1406),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1406),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1406),
    [anon_sym_LT] = ACTIONS(1408),
    [anon_sym_GT] = ACTIONS(1408),
    [aux_sym_set_operation_token1] = ACTIONS(1406),
    [aux_sym_set_operation_token3] = ACTIONS(1406),
    [aux_sym_set_operation_token4] = ACTIONS(1408),
    [aux_sym_select_token1] = ACTIONS(1406),
    [aux_sym_having_clause_token1] = ACTIONS(1406),
    [aux_sym_qualify_clause_token1] = ACTIONS(1406),
    [aux_sym_limit_clause_token1] = ACTIONS(1406),
    [aux_sym_group_by_clause_token1] = ACTIONS(1406),
    [aux_sym__direction_keywords_token1] = ACTIONS(1406),
    [aux_sym__direction_keywords_token2] = ACTIONS(1406),
    [aux_sym__nulls_preference_token1] = ACTIONS(1406),
    [aux_sym_order_by_clause_token1] = ACTIONS(1406),
    [aux_sym_insert_statement_token1] = ACTIONS(1406),
    [aux_sym_truncate_statement_token1] = ACTIONS(1406),
    [aux_sym_update_statement_token1] = ACTIONS(1406),
    [aux_sym_merge_statement_token1] = ACTIONS(1406),
    [aux_sym_grant_statement_token1] = ACTIONS(1406),
    [aux_sym_revoke_statement_token1] = ACTIONS(1406),
    [aux_sym_export_data_statement_token1] = ACTIONS(1406),
    [aux_sym_load_data_statement_token1] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_DASH] = ACTIONS(1408),
    [anon_sym_STAR] = ACTIONS(1406),
    [anon_sym_SLASH] = ACTIONS(1408),
    [anon_sym_PIPE_PIPE] = ACTIONS(1406),
    [anon_sym_LT_EQ] = ACTIONS(1406),
    [anon_sym_LT_GT] = ACTIONS(1406),
    [anon_sym_GT_EQ] = ACTIONS(1406),
    [anon_sym_BANG_EQ] = ACTIONS(1406),
    [anon_sym_LT_LT] = ACTIONS(1406),
    [anon_sym_GT_GT] = ACTIONS(1406),
    [anon_sym_AMP] = ACTIONS(1406),
    [anon_sym_CARET] = ACTIONS(1406),
    [anon_sym_PIPE] = ACTIONS(1408),
  },
  [2763] = {
    [sym__keyword_between] = STATE(1795),
    [sym__keyword_is] = STATE(12073),
    [sym__keyword_in] = STATE(1359),
    [sym__keyword_not] = STATE(13143),
    [sym__keyword_and] = STATE(839),
    [sym__keyword_or] = STATE(1367),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(2974),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(2976),
    [aux_sym__keyword_in_token1] = ACTIONS(2978),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(2982),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(2978),
    [anon_sym_GT] = ACTIONS(2978),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(917),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2984),
    [anon_sym_DASH] = ACTIONS(2986),
    [anon_sym_STAR] = ACTIONS(2988),
    [anon_sym_SLASH] = ACTIONS(2990),
    [anon_sym_PIPE_PIPE] = ACTIONS(2988),
    [anon_sym_LT_EQ] = ACTIONS(2982),
    [anon_sym_LT_GT] = ACTIONS(2982),
    [anon_sym_GT_EQ] = ACTIONS(2982),
    [anon_sym_BANG_EQ] = ACTIONS(2982),
    [anon_sym_LT_LT] = ACTIONS(2992),
    [anon_sym_GT_GT] = ACTIONS(2992),
    [anon_sym_AMP] = ACTIONS(2994),
    [anon_sym_CARET] = ACTIONS(2996),
    [anon_sym_PIPE] = ACTIONS(2998),
  },
  [2764] = {
    [ts_builtin_sym_end] = ACTIONS(1410),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1410),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1410),
    [aux_sym_keyword_replace_token1] = ACTIONS(1412),
    [aux_sym__keyword_alter_token1] = ACTIONS(1410),
    [aux_sym__keyword_delete_token1] = ACTIONS(1410),
    [aux_sym__keyword_begin_token1] = ACTIONS(1410),
    [aux_sym__keyword_end_token1] = ACTIONS(1410),
    [aux_sym__keyword_between_token1] = ACTIONS(1410),
    [aux_sym__keyword_when_token1] = ACTIONS(1410),
    [aux_sym__keyword_else_token1] = ACTIONS(1412),
    [aux_sym__keyword_is_token1] = ACTIONS(1410),
    [aux_sym__keyword_in_token1] = ACTIONS(1412),
    [aux_sym__keyword_and_token1] = ACTIONS(1410),
    [aux_sym__keyword_like_token1] = ACTIONS(1410),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1410),
    [aux_sym__keyword_window_token1] = ACTIONS(1410),
    [aux_sym__keyword_for_token1] = ACTIONS(1410),
    [anon_sym_SEMI] = ACTIONS(1410),
    [aux_sym_declare_statement_token1] = ACTIONS(1410),
    [anon_sym_COMMA] = ACTIONS(1410),
    [aux_sym_set_statement_token1] = ACTIONS(1410),
    [anon_sym_LPAREN] = ACTIONS(1410),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1410),
    [aux_sym_return_satement_token1] = ACTIONS(1410),
    [aux_sym_call_statement_token1] = ACTIONS(1410),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1410),
    [aux_sym_if_statement_token1] = ACTIONS(1410),
    [aux_sym_loop_statement_token1] = ACTIONS(1410),
    [aux_sym_repeat_statement_token1] = ACTIONS(1410),
    [aux_sym_while_statement_token1] = ACTIONS(1410),
    [aux_sym_break_statement_token1] = ACTIONS(1410),
    [aux_sym_leave_statement_token1] = ACTIONS(1410),
    [aux_sym_continue_statement_token1] = ACTIONS(1410),
    [aux_sym_iterate_statement_token1] = ACTIONS(1410),
    [aux_sym_raise_statement_token1] = ACTIONS(1410),
    [anon_sym_EQ] = ACTIONS(1410),
    [aux_sym_assert_statement_token1] = ACTIONS(1410),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1410),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1410),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1410),
    [anon_sym_LT] = ACTIONS(1412),
    [anon_sym_GT] = ACTIONS(1412),
    [aux_sym_set_operation_token1] = ACTIONS(1410),
    [aux_sym_set_operation_token3] = ACTIONS(1410),
    [aux_sym_set_operation_token4] = ACTIONS(1412),
    [aux_sym_select_token1] = ACTIONS(1410),
    [aux_sym_having_clause_token1] = ACTIONS(1410),
    [aux_sym_qualify_clause_token1] = ACTIONS(1410),
    [aux_sym_limit_clause_token1] = ACTIONS(1410),
    [aux_sym_group_by_clause_token1] = ACTIONS(1410),
    [aux_sym__direction_keywords_token1] = ACTIONS(1410),
    [aux_sym__direction_keywords_token2] = ACTIONS(1410),
    [aux_sym__nulls_preference_token1] = ACTIONS(1410),
    [aux_sym_order_by_clause_token1] = ACTIONS(1410),
    [aux_sym_insert_statement_token1] = ACTIONS(1410),
    [aux_sym_truncate_statement_token1] = ACTIONS(1410),
    [aux_sym_update_statement_token1] = ACTIONS(1410),
    [aux_sym_merge_statement_token1] = ACTIONS(1410),
    [aux_sym_grant_statement_token1] = ACTIONS(1410),
    [aux_sym_revoke_statement_token1] = ACTIONS(1410),
    [aux_sym_export_data_statement_token1] = ACTIONS(1410),
    [aux_sym_load_data_statement_token1] = ACTIONS(1410),
    [anon_sym_LBRACK] = ACTIONS(1410),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_STAR] = ACTIONS(1410),
    [anon_sym_SLASH] = ACTIONS(1412),
    [anon_sym_PIPE_PIPE] = ACTIONS(1410),
    [anon_sym_LT_EQ] = ACTIONS(1410),
    [anon_sym_LT_GT] = ACTIONS(1410),
    [anon_sym_GT_EQ] = ACTIONS(1410),
    [anon_sym_BANG_EQ] = ACTIONS(1410),
    [anon_sym_LT_LT] = ACTIONS(1410),
    [anon_sym_GT_GT] = ACTIONS(1410),
    [anon_sym_AMP] = ACTIONS(1410),
    [anon_sym_CARET] = ACTIONS(1410),
    [anon_sym_PIPE] = ACTIONS(1412),
  },
  [2765] = {
    [sym__keyword_between] = STATE(1795),
    [sym__keyword_is] = STATE(12073),
    [sym__keyword_in] = STATE(1359),
    [sym__keyword_not] = STATE(13143),
    [sym__keyword_and] = STATE(839),
    [sym__keyword_or] = STATE(1367),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(2974),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(2976),
    [aux_sym__keyword_in_token1] = ACTIONS(2978),
    [aux_sym__keyword_and_token1] = ACTIONS(2980),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_window_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(2982),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(2978),
    [anon_sym_GT] = ACTIONS(2978),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(917),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_having_clause_token1] = ACTIONS(917),
    [aux_sym_qualify_clause_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym_order_by_clause_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2984),
    [anon_sym_DASH] = ACTIONS(2986),
    [anon_sym_STAR] = ACTIONS(2988),
    [anon_sym_SLASH] = ACTIONS(2990),
    [anon_sym_PIPE_PIPE] = ACTIONS(2988),
    [anon_sym_LT_EQ] = ACTIONS(2982),
    [anon_sym_LT_GT] = ACTIONS(2982),
    [anon_sym_GT_EQ] = ACTIONS(2982),
    [anon_sym_BANG_EQ] = ACTIONS(2982),
    [anon_sym_LT_LT] = ACTIONS(2992),
    [anon_sym_GT_GT] = ACTIONS(2992),
    [anon_sym_AMP] = ACTIONS(2994),
    [anon_sym_CARET] = ACTIONS(2996),
    [anon_sym_PIPE] = ACTIONS(2998),
  },
  [2766] = {
    [ts_builtin_sym_end] = ACTIONS(1414),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1414),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1414),
    [aux_sym_keyword_replace_token1] = ACTIONS(1416),
    [aux_sym__keyword_alter_token1] = ACTIONS(1414),
    [aux_sym__keyword_delete_token1] = ACTIONS(1414),
    [aux_sym__keyword_begin_token1] = ACTIONS(1414),
    [aux_sym__keyword_end_token1] = ACTIONS(1414),
    [aux_sym__keyword_between_token1] = ACTIONS(1414),
    [aux_sym__keyword_when_token1] = ACTIONS(1414),
    [aux_sym__keyword_else_token1] = ACTIONS(1416),
    [aux_sym__keyword_is_token1] = ACTIONS(1414),
    [aux_sym__keyword_in_token1] = ACTIONS(1416),
    [aux_sym__keyword_and_token1] = ACTIONS(1414),
    [aux_sym__keyword_like_token1] = ACTIONS(1414),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1414),
    [aux_sym__keyword_window_token1] = ACTIONS(1414),
    [aux_sym__keyword_for_token1] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(1414),
    [aux_sym_declare_statement_token1] = ACTIONS(1414),
    [anon_sym_COMMA] = ACTIONS(1414),
    [aux_sym_set_statement_token1] = ACTIONS(1414),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1414),
    [aux_sym_return_satement_token1] = ACTIONS(1414),
    [aux_sym_call_statement_token1] = ACTIONS(1414),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1414),
    [aux_sym_if_statement_token1] = ACTIONS(1414),
    [aux_sym_loop_statement_token1] = ACTIONS(1414),
    [aux_sym_repeat_statement_token1] = ACTIONS(1414),
    [aux_sym_while_statement_token1] = ACTIONS(1414),
    [aux_sym_break_statement_token1] = ACTIONS(1414),
    [aux_sym_leave_statement_token1] = ACTIONS(1414),
    [aux_sym_continue_statement_token1] = ACTIONS(1414),
    [aux_sym_iterate_statement_token1] = ACTIONS(1414),
    [aux_sym_raise_statement_token1] = ACTIONS(1414),
    [anon_sym_EQ] = ACTIONS(1414),
    [aux_sym_assert_statement_token1] = ACTIONS(1414),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1414),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1414),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1414),
    [anon_sym_LT] = ACTIONS(1416),
    [anon_sym_GT] = ACTIONS(1416),
    [aux_sym_set_operation_token1] = ACTIONS(1414),
    [aux_sym_set_operation_token3] = ACTIONS(1414),
    [aux_sym_set_operation_token4] = ACTIONS(1416),
    [aux_sym_select_token1] = ACTIONS(1414),
    [aux_sym_having_clause_token1] = ACTIONS(1414),
    [aux_sym_qualify_clause_token1] = ACTIONS(1414),
    [aux_sym_limit_clause_token1] = ACTIONS(1414),
    [aux_sym_group_by_clause_token1] = ACTIONS(1414),
    [aux_sym__direction_keywords_token1] = ACTIONS(1414),
    [aux_sym__direction_keywords_token2] = ACTIONS(1414),
    [aux_sym__nulls_preference_token1] = ACTIONS(1414),
    [aux_sym_order_by_clause_token1] = ACTIONS(1414),
    [aux_sym_insert_statement_token1] = ACTIONS(1414),
    [aux_sym_truncate_statement_token1] = ACTIONS(1414),
    [aux_sym_update_statement_token1] = ACTIONS(1414),
    [aux_sym_merge_statement_token1] = ACTIONS(1414),
    [aux_sym_grant_statement_token1] = ACTIONS(1414),
    [aux_sym_revoke_statement_token1] = ACTIONS(1414),
    [aux_sym_export_data_statement_token1] = ACTIONS(1414),
    [aux_sym_load_data_statement_token1] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1414),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_SLASH] = ACTIONS(1416),
    [anon_sym_PIPE_PIPE] = ACTIONS(1414),
    [anon_sym_LT_EQ] = ACTIONS(1414),
    [anon_sym_LT_GT] = ACTIONS(1414),
    [anon_sym_GT_EQ] = ACTIONS(1414),
    [anon_sym_BANG_EQ] = ACTIONS(1414),
    [anon_sym_LT_LT] = ACTIONS(1414),
    [anon_sym_GT_GT] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_CARET] = ACTIONS(1414),
    [anon_sym_PIPE] = ACTIONS(1416),
  },
  [2767] = {
    [sym__keyword_between] = STATE(1795),
    [sym__keyword_is] = STATE(12073),
    [sym__keyword_in] = STATE(1359),
    [sym__keyword_not] = STATE(13143),
    [sym__keyword_and] = STATE(839),
    [sym__keyword_or] = STATE(1367),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [ts_builtin_sym_end] = ACTIONS(1039),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1039),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1039),
    [aux_sym_keyword_replace_token1] = ACTIONS(1041),
    [aux_sym__keyword_alter_token1] = ACTIONS(1039),
    [aux_sym__keyword_delete_token1] = ACTIONS(1039),
    [aux_sym__keyword_begin_token1] = ACTIONS(1039),
    [aux_sym__keyword_between_token1] = ACTIONS(1039),
    [aux_sym__keyword_when_token1] = ACTIONS(1039),
    [aux_sym__keyword_is_token1] = ACTIONS(1039),
    [aux_sym__keyword_in_token1] = ACTIONS(1041),
    [aux_sym__keyword_and_token1] = ACTIONS(1039),
    [aux_sym__keyword_like_token1] = ACTIONS(1039),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1039),
    [aux_sym__keyword_window_token1] = ACTIONS(1039),
    [aux_sym__keyword_for_token1] = ACTIONS(1039),
    [anon_sym_SEMI] = ACTIONS(1039),
    [aux_sym_declare_statement_token1] = ACTIONS(1039),
    [anon_sym_COMMA] = ACTIONS(1039),
    [aux_sym_set_statement_token1] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(1039),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1039),
    [aux_sym_return_satement_token1] = ACTIONS(1039),
    [aux_sym_call_statement_token1] = ACTIONS(1039),
    [aux_sym_loop_statement_token1] = ACTIONS(1039),
    [aux_sym_while_statement_token1] = ACTIONS(1039),
    [aux_sym_break_statement_token1] = ACTIONS(1039),
    [aux_sym_leave_statement_token1] = ACTIONS(1039),
    [aux_sym_continue_statement_token1] = ACTIONS(1039),
    [aux_sym_iterate_statement_token1] = ACTIONS(1039),
    [aux_sym_raise_statement_token1] = ACTIONS(1039),
    [anon_sym_EQ] = ACTIONS(1039),
    [aux_sym_assert_statement_token1] = ACTIONS(1039),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1039),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1039),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1039),
    [anon_sym_LT] = ACTIONS(1041),
    [anon_sym_GT] = ACTIONS(1041),
    [aux_sym_set_operation_token1] = ACTIONS(1039),
    [aux_sym_set_operation_token3] = ACTIONS(1039),
    [aux_sym_set_operation_token4] = ACTIONS(1039),
    [aux_sym_select_token1] = ACTIONS(1039),
    [aux_sym_having_clause_token1] = ACTIONS(1039),
    [aux_sym_qualify_clause_token1] = ACTIONS(1039),
    [aux_sym_limit_clause_token1] = ACTIONS(1039),
    [aux_sym_order_by_clause_token1] = ACTIONS(1039),
    [aux_sym_insert_statement_token1] = ACTIONS(1039),
    [aux_sym_truncate_statement_token1] = ACTIONS(1039),
    [aux_sym_update_statement_token1] = ACTIONS(1039),
    [aux_sym_merge_statement_token1] = ACTIONS(1039),
    [aux_sym_grant_statement_token1] = ACTIONS(1039),
    [aux_sym_revoke_statement_token1] = ACTIONS(1039),
    [aux_sym_export_data_statement_token1] = ACTIONS(1039),
    [aux_sym_load_data_statement_token1] = ACTIONS(1039),
    [anon_sym_LBRACK] = ACTIONS(1039),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1039),
    [anon_sym_PLUS] = ACTIONS(2984),
    [anon_sym_DASH] = ACTIONS(2986),
    [anon_sym_STAR] = ACTIONS(2988),
    [anon_sym_SLASH] = ACTIONS(2990),
    [anon_sym_PIPE_PIPE] = ACTIONS(2988),
    [anon_sym_LT_EQ] = ACTIONS(1039),
    [anon_sym_LT_GT] = ACTIONS(1039),
    [anon_sym_GT_EQ] = ACTIONS(1039),
    [anon_sym_BANG_EQ] = ACTIONS(1039),
    [anon_sym_LT_LT] = ACTIONS(2992),
    [anon_sym_GT_GT] = ACTIONS(2992),
    [anon_sym_AMP] = ACTIONS(2994),
    [anon_sym_CARET] = ACTIONS(2996),
    [anon_sym_PIPE] = ACTIONS(2998),
  },
  [2768] = {
    [ts_builtin_sym_end] = ACTIONS(1760),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1760),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1760),
    [aux_sym_keyword_replace_token1] = ACTIONS(1762),
    [aux_sym__keyword_alter_token1] = ACTIONS(1760),
    [aux_sym__keyword_delete_token1] = ACTIONS(1760),
    [aux_sym__keyword_begin_token1] = ACTIONS(1760),
    [aux_sym__keyword_end_token1] = ACTIONS(1760),
    [aux_sym__keyword_between_token1] = ACTIONS(1760),
    [aux_sym__keyword_when_token1] = ACTIONS(1760),
    [aux_sym__keyword_else_token1] = ACTIONS(1762),
    [aux_sym__keyword_is_token1] = ACTIONS(1760),
    [aux_sym__keyword_in_token1] = ACTIONS(1762),
    [aux_sym__keyword_and_token1] = ACTIONS(1760),
    [aux_sym__keyword_like_token1] = ACTIONS(1760),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1760),
    [aux_sym__keyword_window_token1] = ACTIONS(1760),
    [aux_sym__keyword_for_token1] = ACTIONS(1760),
    [anon_sym_SEMI] = ACTIONS(1760),
    [aux_sym_declare_statement_token1] = ACTIONS(1760),
    [anon_sym_COMMA] = ACTIONS(1760),
    [aux_sym_set_statement_token1] = ACTIONS(1760),
    [anon_sym_LPAREN] = ACTIONS(1760),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1760),
    [aux_sym_return_satement_token1] = ACTIONS(1760),
    [aux_sym_call_statement_token1] = ACTIONS(1760),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1760),
    [aux_sym_if_statement_token1] = ACTIONS(1760),
    [aux_sym_loop_statement_token1] = ACTIONS(1760),
    [aux_sym_repeat_statement_token1] = ACTIONS(1760),
    [aux_sym_while_statement_token1] = ACTIONS(1760),
    [aux_sym_break_statement_token1] = ACTIONS(1760),
    [aux_sym_leave_statement_token1] = ACTIONS(1760),
    [aux_sym_continue_statement_token1] = ACTIONS(1760),
    [aux_sym_iterate_statement_token1] = ACTIONS(1760),
    [aux_sym_raise_statement_token1] = ACTIONS(1760),
    [anon_sym_EQ] = ACTIONS(1760),
    [aux_sym_assert_statement_token1] = ACTIONS(1760),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1760),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1760),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1760),
    [anon_sym_LT] = ACTIONS(1762),
    [anon_sym_GT] = ACTIONS(1762),
    [aux_sym_set_operation_token1] = ACTIONS(1760),
    [aux_sym_set_operation_token3] = ACTIONS(1760),
    [aux_sym_set_operation_token4] = ACTIONS(1762),
    [aux_sym_select_token1] = ACTIONS(1760),
    [aux_sym_having_clause_token1] = ACTIONS(1760),
    [aux_sym_qualify_clause_token1] = ACTIONS(1760),
    [aux_sym_limit_clause_token1] = ACTIONS(1760),
    [aux_sym_group_by_clause_token1] = ACTIONS(1760),
    [aux_sym__direction_keywords_token1] = ACTIONS(1760),
    [aux_sym__direction_keywords_token2] = ACTIONS(1760),
    [aux_sym__nulls_preference_token1] = ACTIONS(1760),
    [aux_sym_order_by_clause_token1] = ACTIONS(1760),
    [aux_sym_insert_statement_token1] = ACTIONS(1760),
    [aux_sym_truncate_statement_token1] = ACTIONS(1760),
    [aux_sym_update_statement_token1] = ACTIONS(1760),
    [aux_sym_merge_statement_token1] = ACTIONS(1760),
    [aux_sym_grant_statement_token1] = ACTIONS(1760),
    [aux_sym_revoke_statement_token1] = ACTIONS(1760),
    [aux_sym_export_data_statement_token1] = ACTIONS(1760),
    [aux_sym_load_data_statement_token1] = ACTIONS(1760),
    [anon_sym_LBRACK] = ACTIONS(1760),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1760),
    [anon_sym_PLUS] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1762),
    [anon_sym_STAR] = ACTIONS(1760),
    [anon_sym_SLASH] = ACTIONS(1762),
    [anon_sym_PIPE_PIPE] = ACTIONS(1760),
    [anon_sym_LT_EQ] = ACTIONS(1760),
    [anon_sym_LT_GT] = ACTIONS(1760),
    [anon_sym_GT_EQ] = ACTIONS(1760),
    [anon_sym_BANG_EQ] = ACTIONS(1760),
    [anon_sym_LT_LT] = ACTIONS(1760),
    [anon_sym_GT_GT] = ACTIONS(1760),
    [anon_sym_AMP] = ACTIONS(1760),
    [anon_sym_CARET] = ACTIONS(1760),
    [anon_sym_PIPE] = ACTIONS(1762),
  },
  [2769] = {
    [sym__keyword_between] = STATE(1541),
    [sym__keyword_is] = STATE(12062),
    [sym__keyword_in] = STATE(1692),
    [sym__keyword_not] = STATE(13166),
    [sym__keyword_and] = STATE(1702),
    [sym__keyword_or] = STATE(1703),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16074),
    [sym_quantitve_like_operator] = STATE(16078),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(917),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token2] = ACTIONS(917),
    [aux_sym__nulls_preference_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2902),
    [anon_sym_DASH] = ACTIONS(2904),
    [anon_sym_STAR] = ACTIONS(2906),
    [anon_sym_SLASH] = ACTIONS(2908),
    [anon_sym_PIPE_PIPE] = ACTIONS(2906),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(2910),
    [anon_sym_GT_GT] = ACTIONS(2910),
    [anon_sym_AMP] = ACTIONS(2912),
    [anon_sym_CARET] = ACTIONS(2914),
    [anon_sym_PIPE] = ACTIONS(2916),
  },
  [2770] = {
    [sym__keyword_between] = STATE(1541),
    [sym__keyword_is] = STATE(12062),
    [sym__keyword_in] = STATE(1692),
    [sym__keyword_not] = STATE(13166),
    [sym__keyword_and] = STATE(1702),
    [sym__keyword_or] = STATE(1703),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16074),
    [sym_quantitve_like_operator] = STATE(16078),
    [ts_builtin_sym_end] = ACTIONS(1039),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1039),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1039),
    [aux_sym_keyword_replace_token1] = ACTIONS(1039),
    [aux_sym__keyword_alter_token1] = ACTIONS(1039),
    [aux_sym__keyword_delete_token1] = ACTIONS(1039),
    [aux_sym__keyword_begin_token1] = ACTIONS(1039),
    [aux_sym__keyword_between_token1] = ACTIONS(1039),
    [aux_sym__keyword_when_token1] = ACTIONS(1039),
    [aux_sym__keyword_is_token1] = ACTIONS(1039),
    [aux_sym__keyword_in_token1] = ACTIONS(1041),
    [aux_sym__keyword_and_token1] = ACTIONS(1039),
    [aux_sym__keyword_like_token1] = ACTIONS(1039),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1039),
    [aux_sym__keyword_for_token1] = ACTIONS(1039),
    [anon_sym_SEMI] = ACTIONS(1039),
    [aux_sym_declare_statement_token1] = ACTIONS(1039),
    [anon_sym_COMMA] = ACTIONS(1039),
    [aux_sym_set_statement_token1] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(1039),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1039),
    [aux_sym_return_satement_token1] = ACTIONS(1039),
    [aux_sym_call_statement_token1] = ACTIONS(1039),
    [aux_sym_loop_statement_token1] = ACTIONS(1039),
    [aux_sym_while_statement_token1] = ACTIONS(1039),
    [aux_sym_break_statement_token1] = ACTIONS(1039),
    [aux_sym_leave_statement_token1] = ACTIONS(1039),
    [aux_sym_continue_statement_token1] = ACTIONS(1039),
    [aux_sym_iterate_statement_token1] = ACTIONS(1039),
    [aux_sym_raise_statement_token1] = ACTIONS(1039),
    [anon_sym_EQ] = ACTIONS(1039),
    [aux_sym_assert_statement_token1] = ACTIONS(1039),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1039),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1039),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1039),
    [anon_sym_LT] = ACTIONS(1041),
    [anon_sym_GT] = ACTIONS(1041),
    [aux_sym_set_operation_token1] = ACTIONS(1039),
    [aux_sym_set_operation_token3] = ACTIONS(1039),
    [aux_sym_set_operation_token4] = ACTIONS(1039),
    [aux_sym_select_token1] = ACTIONS(1039),
    [aux_sym_limit_clause_token1] = ACTIONS(1039),
    [aux_sym__direction_keywords_token1] = ACTIONS(1039),
    [aux_sym__direction_keywords_token2] = ACTIONS(1039),
    [aux_sym__nulls_preference_token1] = ACTIONS(1039),
    [aux_sym_insert_statement_token1] = ACTIONS(1039),
    [aux_sym_truncate_statement_token1] = ACTIONS(1039),
    [aux_sym_update_statement_token1] = ACTIONS(1039),
    [aux_sym_merge_statement_token1] = ACTIONS(1039),
    [aux_sym_grant_statement_token1] = ACTIONS(1039),
    [aux_sym_revoke_statement_token1] = ACTIONS(1039),
    [aux_sym_export_data_statement_token1] = ACTIONS(1039),
    [aux_sym_load_data_statement_token1] = ACTIONS(1039),
    [anon_sym_LBRACK] = ACTIONS(1039),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1039),
    [anon_sym_PLUS] = ACTIONS(2902),
    [anon_sym_DASH] = ACTIONS(2904),
    [anon_sym_STAR] = ACTIONS(2906),
    [anon_sym_SLASH] = ACTIONS(2908),
    [anon_sym_PIPE_PIPE] = ACTIONS(2906),
    [anon_sym_LT_EQ] = ACTIONS(1039),
    [anon_sym_LT_GT] = ACTIONS(1039),
    [anon_sym_GT_EQ] = ACTIONS(1039),
    [anon_sym_BANG_EQ] = ACTIONS(1039),
    [anon_sym_LT_LT] = ACTIONS(2910),
    [anon_sym_GT_GT] = ACTIONS(2910),
    [anon_sym_AMP] = ACTIONS(2912),
    [anon_sym_CARET] = ACTIONS(2914),
    [anon_sym_PIPE] = ACTIONS(2916),
  },
  [2771] = {
    [ts_builtin_sym_end] = ACTIONS(1508),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1508),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1508),
    [aux_sym_keyword_replace_token1] = ACTIONS(1508),
    [aux_sym__keyword_alter_token1] = ACTIONS(1508),
    [aux_sym__keyword_delete_token1] = ACTIONS(1508),
    [aux_sym__keyword_begin_token1] = ACTIONS(1508),
    [aux_sym__keyword_end_token1] = ACTIONS(1508),
    [aux_sym__keyword_between_token1] = ACTIONS(1508),
    [aux_sym__keyword_when_token1] = ACTIONS(1508),
    [aux_sym__keyword_else_token1] = ACTIONS(1510),
    [aux_sym__keyword_is_token1] = ACTIONS(1508),
    [aux_sym__keyword_in_token1] = ACTIONS(1510),
    [aux_sym__keyword_and_token1] = ACTIONS(1508),
    [aux_sym__keyword_like_token1] = ACTIONS(1508),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1508),
    [aux_sym__keyword_as_token1] = ACTIONS(1510),
    [aux_sym__keyword_partition_by_token1] = ACTIONS(1508),
    [aux_sym__keyword_for_token1] = ACTIONS(1508),
    [anon_sym_SEMI] = ACTIONS(1508),
    [aux_sym_declare_statement_token1] = ACTIONS(1508),
    [anon_sym_COMMA] = ACTIONS(1508),
    [aux_sym_default_clause_token1] = ACTIONS(1508),
    [aux_sym_set_statement_token1] = ACTIONS(1508),
    [anon_sym_LPAREN] = ACTIONS(1508),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1508),
    [aux_sym_using_clause_token1] = ACTIONS(1508),
    [aux_sym_return_satement_token1] = ACTIONS(1508),
    [aux_sym_call_statement_token1] = ACTIONS(1508),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1508),
    [aux_sym_if_statement_token1] = ACTIONS(1508),
    [aux_sym_loop_statement_token1] = ACTIONS(1508),
    [aux_sym_repeat_statement_token1] = ACTIONS(1508),
    [aux_sym_while_statement_token1] = ACTIONS(1508),
    [aux_sym_break_statement_token1] = ACTIONS(1508),
    [aux_sym_leave_statement_token1] = ACTIONS(1508),
    [aux_sym_continue_statement_token1] = ACTIONS(1508),
    [aux_sym_iterate_statement_token1] = ACTIONS(1508),
    [aux_sym_raise_statement_token1] = ACTIONS(1508),
    [anon_sym_EQ] = ACTIONS(1508),
    [aux_sym_assert_statement_token1] = ACTIONS(1508),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1508),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1508),
    [aux_sym_drop_schema_option_token1] = ACTIONS(1508),
    [aux_sym_drop_schema_option_token2] = ACTIONS(1508),
    [aux_sym_clone_clause_token1] = ACTIONS(1508),
    [aux_sym_copy_clause_token1] = ACTIONS(1508),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1508),
    [aux_sym_option_clause_token1] = ACTIONS(1508),
    [anon_sym_LT] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1510),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1508),
    [aux_sym_transoform_clause_token1] = ACTIONS(1508),
    [aux_sym_select_token1] = ACTIONS(1508),
    [aux_sym_insert_statement_token1] = ACTIONS(1508),
    [aux_sym_truncate_statement_token1] = ACTIONS(1508),
    [aux_sym_update_statement_token1] = ACTIONS(1508),
    [aux_sym_merge_statement_token1] = ACTIONS(1508),
    [aux_sym_grant_statement_token1] = ACTIONS(1508),
    [aux_sym_revoke_statement_token1] = ACTIONS(1508),
    [aux_sym_export_data_statement_token1] = ACTIONS(1508),
    [aux_sym_load_data_statement_token1] = ACTIONS(1508),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1508),
    [anon_sym_PLUS] = ACTIONS(1508),
    [anon_sym_DASH] = ACTIONS(1510),
    [anon_sym_STAR] = ACTIONS(1508),
    [anon_sym_SLASH] = ACTIONS(1510),
    [anon_sym_PIPE_PIPE] = ACTIONS(1508),
    [anon_sym_LT_EQ] = ACTIONS(1508),
    [anon_sym_LT_GT] = ACTIONS(1508),
    [anon_sym_GT_EQ] = ACTIONS(1508),
    [anon_sym_BANG_EQ] = ACTIONS(1508),
    [anon_sym_LT_LT] = ACTIONS(1508),
    [anon_sym_GT_GT] = ACTIONS(1508),
    [anon_sym_AMP] = ACTIONS(1508),
    [anon_sym_CARET] = ACTIONS(1508),
    [anon_sym_PIPE] = ACTIONS(1510),
  },
  [2772] = {
    [sym__keyword_between] = STATE(1541),
    [sym__keyword_is] = STATE(12062),
    [sym__keyword_in] = STATE(1692),
    [sym__keyword_not] = STATE(13166),
    [sym__keyword_and] = STATE(1702),
    [sym__keyword_or] = STATE(1703),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16074),
    [sym_quantitve_like_operator] = STATE(16078),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(917),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token2] = ACTIONS(917),
    [aux_sym__nulls_preference_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2902),
    [anon_sym_DASH] = ACTIONS(2904),
    [anon_sym_STAR] = ACTIONS(2906),
    [anon_sym_SLASH] = ACTIONS(2908),
    [anon_sym_PIPE_PIPE] = ACTIONS(2906),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2773] = {
    [sym__keyword_between] = STATE(1541),
    [sym__keyword_is] = STATE(12062),
    [sym__keyword_in] = STATE(1692),
    [sym__keyword_not] = STATE(13166),
    [sym__keyword_and] = STATE(1702),
    [sym__keyword_or] = STATE(1703),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16074),
    [sym_quantitve_like_operator] = STATE(16078),
    [ts_builtin_sym_end] = ACTIONS(1035),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1035),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1035),
    [aux_sym_keyword_replace_token1] = ACTIONS(1035),
    [aux_sym__keyword_alter_token1] = ACTIONS(1035),
    [aux_sym__keyword_delete_token1] = ACTIONS(1035),
    [aux_sym__keyword_begin_token1] = ACTIONS(1035),
    [aux_sym__keyword_between_token1] = ACTIONS(1035),
    [aux_sym__keyword_when_token1] = ACTIONS(1035),
    [aux_sym__keyword_is_token1] = ACTIONS(1035),
    [aux_sym__keyword_in_token1] = ACTIONS(1037),
    [aux_sym__keyword_and_token1] = ACTIONS(1035),
    [aux_sym__keyword_like_token1] = ACTIONS(1035),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1035),
    [aux_sym__keyword_for_token1] = ACTIONS(1035),
    [anon_sym_SEMI] = ACTIONS(1035),
    [aux_sym_declare_statement_token1] = ACTIONS(1035),
    [anon_sym_COMMA] = ACTIONS(1035),
    [aux_sym_set_statement_token1] = ACTIONS(1035),
    [anon_sym_LPAREN] = ACTIONS(1035),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1035),
    [aux_sym_return_satement_token1] = ACTIONS(1035),
    [aux_sym_call_statement_token1] = ACTIONS(1035),
    [aux_sym_loop_statement_token1] = ACTIONS(1035),
    [aux_sym_while_statement_token1] = ACTIONS(1035),
    [aux_sym_break_statement_token1] = ACTIONS(1035),
    [aux_sym_leave_statement_token1] = ACTIONS(1035),
    [aux_sym_continue_statement_token1] = ACTIONS(1035),
    [aux_sym_iterate_statement_token1] = ACTIONS(1035),
    [aux_sym_raise_statement_token1] = ACTIONS(1035),
    [anon_sym_EQ] = ACTIONS(1035),
    [aux_sym_assert_statement_token1] = ACTIONS(1035),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1035),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1035),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1035),
    [anon_sym_LT] = ACTIONS(1037),
    [anon_sym_GT] = ACTIONS(1037),
    [aux_sym_set_operation_token1] = ACTIONS(1035),
    [aux_sym_set_operation_token3] = ACTIONS(1035),
    [aux_sym_set_operation_token4] = ACTIONS(1035),
    [aux_sym_select_token1] = ACTIONS(1035),
    [aux_sym_limit_clause_token1] = ACTIONS(1035),
    [aux_sym__direction_keywords_token1] = ACTIONS(1035),
    [aux_sym__direction_keywords_token2] = ACTIONS(1035),
    [aux_sym__nulls_preference_token1] = ACTIONS(1035),
    [aux_sym_insert_statement_token1] = ACTIONS(1035),
    [aux_sym_truncate_statement_token1] = ACTIONS(1035),
    [aux_sym_update_statement_token1] = ACTIONS(1035),
    [aux_sym_merge_statement_token1] = ACTIONS(1035),
    [aux_sym_grant_statement_token1] = ACTIONS(1035),
    [aux_sym_revoke_statement_token1] = ACTIONS(1035),
    [aux_sym_export_data_statement_token1] = ACTIONS(1035),
    [aux_sym_load_data_statement_token1] = ACTIONS(1035),
    [anon_sym_LBRACK] = ACTIONS(1035),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1035),
    [anon_sym_PLUS] = ACTIONS(2902),
    [anon_sym_DASH] = ACTIONS(2904),
    [anon_sym_STAR] = ACTIONS(2906),
    [anon_sym_SLASH] = ACTIONS(2908),
    [anon_sym_PIPE_PIPE] = ACTIONS(2906),
    [anon_sym_LT_EQ] = ACTIONS(1035),
    [anon_sym_LT_GT] = ACTIONS(1035),
    [anon_sym_GT_EQ] = ACTIONS(1035),
    [anon_sym_BANG_EQ] = ACTIONS(1035),
    [anon_sym_LT_LT] = ACTIONS(2910),
    [anon_sym_GT_GT] = ACTIONS(2910),
    [anon_sym_AMP] = ACTIONS(2912),
    [anon_sym_CARET] = ACTIONS(2914),
    [anon_sym_PIPE] = ACTIONS(2916),
  },
  [2774] = {
    [ts_builtin_sym_end] = ACTIONS(1516),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1516),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1516),
    [aux_sym_keyword_replace_token1] = ACTIONS(1516),
    [aux_sym__keyword_alter_token1] = ACTIONS(1516),
    [aux_sym__keyword_delete_token1] = ACTIONS(1516),
    [aux_sym__keyword_begin_token1] = ACTIONS(1516),
    [aux_sym__keyword_end_token1] = ACTIONS(1516),
    [aux_sym__keyword_between_token1] = ACTIONS(1516),
    [aux_sym__keyword_when_token1] = ACTIONS(1516),
    [aux_sym__keyword_else_token1] = ACTIONS(1518),
    [aux_sym__keyword_is_token1] = ACTIONS(1516),
    [aux_sym__keyword_in_token1] = ACTIONS(1518),
    [aux_sym__keyword_and_token1] = ACTIONS(1516),
    [aux_sym__keyword_like_token1] = ACTIONS(1516),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1516),
    [aux_sym__keyword_as_token1] = ACTIONS(1518),
    [aux_sym__keyword_partition_by_token1] = ACTIONS(1516),
    [aux_sym__keyword_for_token1] = ACTIONS(1516),
    [anon_sym_SEMI] = ACTIONS(1516),
    [aux_sym_declare_statement_token1] = ACTIONS(1516),
    [anon_sym_COMMA] = ACTIONS(1516),
    [aux_sym_default_clause_token1] = ACTIONS(1516),
    [aux_sym_set_statement_token1] = ACTIONS(1516),
    [anon_sym_LPAREN] = ACTIONS(1516),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1516),
    [aux_sym_using_clause_token1] = ACTIONS(1516),
    [aux_sym_return_satement_token1] = ACTIONS(1516),
    [aux_sym_call_statement_token1] = ACTIONS(1516),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1516),
    [aux_sym_if_statement_token1] = ACTIONS(1516),
    [aux_sym_loop_statement_token1] = ACTIONS(1516),
    [aux_sym_repeat_statement_token1] = ACTIONS(1516),
    [aux_sym_while_statement_token1] = ACTIONS(1516),
    [aux_sym_break_statement_token1] = ACTIONS(1516),
    [aux_sym_leave_statement_token1] = ACTIONS(1516),
    [aux_sym_continue_statement_token1] = ACTIONS(1516),
    [aux_sym_iterate_statement_token1] = ACTIONS(1516),
    [aux_sym_raise_statement_token1] = ACTIONS(1516),
    [anon_sym_EQ] = ACTIONS(1516),
    [aux_sym_assert_statement_token1] = ACTIONS(1516),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1516),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1516),
    [aux_sym_drop_schema_option_token1] = ACTIONS(1516),
    [aux_sym_drop_schema_option_token2] = ACTIONS(1516),
    [aux_sym_clone_clause_token1] = ACTIONS(1516),
    [aux_sym_copy_clause_token1] = ACTIONS(1516),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1516),
    [aux_sym_option_clause_token1] = ACTIONS(1516),
    [anon_sym_LT] = ACTIONS(1518),
    [anon_sym_GT] = ACTIONS(1518),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1516),
    [aux_sym_transoform_clause_token1] = ACTIONS(1516),
    [aux_sym_select_token1] = ACTIONS(1516),
    [aux_sym_insert_statement_token1] = ACTIONS(1516),
    [aux_sym_truncate_statement_token1] = ACTIONS(1516),
    [aux_sym_update_statement_token1] = ACTIONS(1516),
    [aux_sym_merge_statement_token1] = ACTIONS(1516),
    [aux_sym_grant_statement_token1] = ACTIONS(1516),
    [aux_sym_revoke_statement_token1] = ACTIONS(1516),
    [aux_sym_export_data_statement_token1] = ACTIONS(1516),
    [aux_sym_load_data_statement_token1] = ACTIONS(1516),
    [anon_sym_LBRACK] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1516),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1518),
    [anon_sym_STAR] = ACTIONS(1516),
    [anon_sym_SLASH] = ACTIONS(1518),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [anon_sym_LT_EQ] = ACTIONS(1516),
    [anon_sym_LT_GT] = ACTIONS(1516),
    [anon_sym_GT_EQ] = ACTIONS(1516),
    [anon_sym_BANG_EQ] = ACTIONS(1516),
    [anon_sym_LT_LT] = ACTIONS(1516),
    [anon_sym_GT_GT] = ACTIONS(1516),
    [anon_sym_AMP] = ACTIONS(1516),
    [anon_sym_CARET] = ACTIONS(1516),
    [anon_sym_PIPE] = ACTIONS(1518),
  },
  [2775] = {
    [sym__keyword_between] = STATE(1541),
    [sym__keyword_is] = STATE(12062),
    [sym__keyword_in] = STATE(1692),
    [sym__keyword_not] = STATE(13166),
    [sym__keyword_and] = STATE(1702),
    [sym__keyword_or] = STATE(1703),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16074),
    [sym_quantitve_like_operator] = STATE(16078),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(917),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token2] = ACTIONS(917),
    [aux_sym__nulls_preference_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(917),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PIPE_PIPE] = ACTIONS(917),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2776] = {
    [sym__keyword_between] = STATE(1541),
    [sym__keyword_is] = STATE(12062),
    [sym__keyword_in] = STATE(1692),
    [sym__keyword_not] = STATE(13166),
    [sym__keyword_and] = STATE(1702),
    [sym__keyword_or] = STATE(1703),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16074),
    [sym_quantitve_like_operator] = STATE(16078),
    [ts_builtin_sym_end] = ACTIONS(947),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(947),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(947),
    [aux_sym_keyword_replace_token1] = ACTIONS(947),
    [aux_sym__keyword_alter_token1] = ACTIONS(947),
    [aux_sym__keyword_delete_token1] = ACTIONS(947),
    [aux_sym__keyword_begin_token1] = ACTIONS(947),
    [aux_sym__keyword_between_token1] = ACTIONS(947),
    [aux_sym__keyword_when_token1] = ACTIONS(947),
    [aux_sym__keyword_is_token1] = ACTIONS(947),
    [aux_sym__keyword_in_token1] = ACTIONS(949),
    [aux_sym__keyword_and_token1] = ACTIONS(947),
    [aux_sym__keyword_like_token1] = ACTIONS(947),
    [aux_sym__keyword_repeat_token1] = ACTIONS(947),
    [aux_sym__keyword_for_token1] = ACTIONS(947),
    [anon_sym_SEMI] = ACTIONS(947),
    [aux_sym_declare_statement_token1] = ACTIONS(947),
    [anon_sym_COMMA] = ACTIONS(947),
    [aux_sym_set_statement_token1] = ACTIONS(947),
    [anon_sym_LPAREN] = ACTIONS(947),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(947),
    [aux_sym_return_satement_token1] = ACTIONS(947),
    [aux_sym_call_statement_token1] = ACTIONS(947),
    [aux_sym_loop_statement_token1] = ACTIONS(947),
    [aux_sym_while_statement_token1] = ACTIONS(947),
    [aux_sym_break_statement_token1] = ACTIONS(947),
    [aux_sym_leave_statement_token1] = ACTIONS(947),
    [aux_sym_continue_statement_token1] = ACTIONS(947),
    [aux_sym_iterate_statement_token1] = ACTIONS(947),
    [aux_sym_raise_statement_token1] = ACTIONS(947),
    [anon_sym_EQ] = ACTIONS(947),
    [aux_sym_assert_statement_token1] = ACTIONS(947),
    [aux_sym_create_schema_statement_token1] = ACTIONS(947),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(947),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(949),
    [anon_sym_GT] = ACTIONS(949),
    [aux_sym_set_operation_token1] = ACTIONS(947),
    [aux_sym_set_operation_token3] = ACTIONS(947),
    [aux_sym_set_operation_token4] = ACTIONS(947),
    [aux_sym_select_token1] = ACTIONS(947),
    [aux_sym_limit_clause_token1] = ACTIONS(947),
    [aux_sym__direction_keywords_token1] = ACTIONS(947),
    [aux_sym__direction_keywords_token2] = ACTIONS(947),
    [aux_sym__nulls_preference_token1] = ACTIONS(947),
    [aux_sym_insert_statement_token1] = ACTIONS(947),
    [aux_sym_truncate_statement_token1] = ACTIONS(947),
    [aux_sym_update_statement_token1] = ACTIONS(947),
    [aux_sym_merge_statement_token1] = ACTIONS(947),
    [aux_sym_grant_statement_token1] = ACTIONS(947),
    [aux_sym_revoke_statement_token1] = ACTIONS(947),
    [aux_sym_export_data_statement_token1] = ACTIONS(947),
    [aux_sym_load_data_statement_token1] = ACTIONS(947),
    [anon_sym_LBRACK] = ACTIONS(947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(2902),
    [anon_sym_DASH] = ACTIONS(2904),
    [anon_sym_STAR] = ACTIONS(2906),
    [anon_sym_SLASH] = ACTIONS(2908),
    [anon_sym_PIPE_PIPE] = ACTIONS(2906),
    [anon_sym_LT_EQ] = ACTIONS(947),
    [anon_sym_LT_GT] = ACTIONS(947),
    [anon_sym_GT_EQ] = ACTIONS(947),
    [anon_sym_BANG_EQ] = ACTIONS(947),
    [anon_sym_LT_LT] = ACTIONS(2910),
    [anon_sym_GT_GT] = ACTIONS(2910),
    [anon_sym_AMP] = ACTIONS(2912),
    [anon_sym_CARET] = ACTIONS(2914),
    [anon_sym_PIPE] = ACTIONS(2916),
  },
  [2777] = {
    [sym__keyword_between] = STATE(1541),
    [sym__keyword_is] = STATE(12062),
    [sym__keyword_in] = STATE(1692),
    [sym__keyword_not] = STATE(13166),
    [sym__keyword_and] = STATE(1702),
    [sym__keyword_or] = STATE(1703),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16074),
    [sym_quantitve_like_operator] = STATE(16078),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(2890),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(2892),
    [aux_sym__keyword_in_token1] = ACTIONS(2894),
    [aux_sym__keyword_and_token1] = ACTIONS(2896),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(2900),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(2894),
    [anon_sym_GT] = ACTIONS(2894),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(917),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token2] = ACTIONS(917),
    [aux_sym__nulls_preference_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2902),
    [anon_sym_DASH] = ACTIONS(2904),
    [anon_sym_STAR] = ACTIONS(2906),
    [anon_sym_SLASH] = ACTIONS(2908),
    [anon_sym_PIPE_PIPE] = ACTIONS(2906),
    [anon_sym_LT_EQ] = ACTIONS(2900),
    [anon_sym_LT_GT] = ACTIONS(2900),
    [anon_sym_GT_EQ] = ACTIONS(2900),
    [anon_sym_BANG_EQ] = ACTIONS(2900),
    [anon_sym_LT_LT] = ACTIONS(2910),
    [anon_sym_GT_GT] = ACTIONS(2910),
    [anon_sym_AMP] = ACTIONS(2912),
    [anon_sym_CARET] = ACTIONS(2914),
    [anon_sym_PIPE] = ACTIONS(2916),
  },
  [2778] = {
    [sym__keyword_between] = STATE(1541),
    [sym__keyword_is] = STATE(12062),
    [sym__keyword_in] = STATE(1692),
    [sym__keyword_not] = STATE(13166),
    [sym__keyword_and] = STATE(1702),
    [sym__keyword_or] = STATE(1703),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16074),
    [sym_quantitve_like_operator] = STATE(16078),
    [ts_builtin_sym_end] = ACTIONS(1023),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1023),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1023),
    [aux_sym_keyword_replace_token1] = ACTIONS(1023),
    [aux_sym__keyword_alter_token1] = ACTIONS(1023),
    [aux_sym__keyword_delete_token1] = ACTIONS(1023),
    [aux_sym__keyword_begin_token1] = ACTIONS(1023),
    [aux_sym__keyword_between_token1] = ACTIONS(1023),
    [aux_sym__keyword_when_token1] = ACTIONS(1023),
    [aux_sym__keyword_is_token1] = ACTIONS(1023),
    [aux_sym__keyword_in_token1] = ACTIONS(1025),
    [aux_sym__keyword_and_token1] = ACTIONS(1023),
    [aux_sym__keyword_like_token1] = ACTIONS(1023),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1023),
    [aux_sym__keyword_for_token1] = ACTIONS(1023),
    [anon_sym_SEMI] = ACTIONS(1023),
    [aux_sym_declare_statement_token1] = ACTIONS(1023),
    [anon_sym_COMMA] = ACTIONS(1023),
    [aux_sym_set_statement_token1] = ACTIONS(1023),
    [anon_sym_LPAREN] = ACTIONS(1023),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1023),
    [aux_sym_return_satement_token1] = ACTIONS(1023),
    [aux_sym_call_statement_token1] = ACTIONS(1023),
    [aux_sym_loop_statement_token1] = ACTIONS(1023),
    [aux_sym_while_statement_token1] = ACTIONS(1023),
    [aux_sym_break_statement_token1] = ACTIONS(1023),
    [aux_sym_leave_statement_token1] = ACTIONS(1023),
    [aux_sym_continue_statement_token1] = ACTIONS(1023),
    [aux_sym_iterate_statement_token1] = ACTIONS(1023),
    [aux_sym_raise_statement_token1] = ACTIONS(1023),
    [anon_sym_EQ] = ACTIONS(1023),
    [aux_sym_assert_statement_token1] = ACTIONS(1023),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1023),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1023),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1023),
    [anon_sym_LT] = ACTIONS(1025),
    [anon_sym_GT] = ACTIONS(1025),
    [aux_sym_set_operation_token1] = ACTIONS(1023),
    [aux_sym_set_operation_token3] = ACTIONS(1023),
    [aux_sym_set_operation_token4] = ACTIONS(1023),
    [aux_sym_select_token1] = ACTIONS(1023),
    [aux_sym_limit_clause_token1] = ACTIONS(1023),
    [aux_sym__direction_keywords_token1] = ACTIONS(1023),
    [aux_sym__direction_keywords_token2] = ACTIONS(1023),
    [aux_sym__nulls_preference_token1] = ACTIONS(1023),
    [aux_sym_insert_statement_token1] = ACTIONS(1023),
    [aux_sym_truncate_statement_token1] = ACTIONS(1023),
    [aux_sym_update_statement_token1] = ACTIONS(1023),
    [aux_sym_merge_statement_token1] = ACTIONS(1023),
    [aux_sym_grant_statement_token1] = ACTIONS(1023),
    [aux_sym_revoke_statement_token1] = ACTIONS(1023),
    [aux_sym_export_data_statement_token1] = ACTIONS(1023),
    [aux_sym_load_data_statement_token1] = ACTIONS(1023),
    [anon_sym_LBRACK] = ACTIONS(1023),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1023),
    [anon_sym_PLUS] = ACTIONS(2902),
    [anon_sym_DASH] = ACTIONS(2904),
    [anon_sym_STAR] = ACTIONS(2906),
    [anon_sym_SLASH] = ACTIONS(2908),
    [anon_sym_PIPE_PIPE] = ACTIONS(2906),
    [anon_sym_LT_EQ] = ACTIONS(1023),
    [anon_sym_LT_GT] = ACTIONS(1023),
    [anon_sym_GT_EQ] = ACTIONS(1023),
    [anon_sym_BANG_EQ] = ACTIONS(1023),
    [anon_sym_LT_LT] = ACTIONS(2910),
    [anon_sym_GT_GT] = ACTIONS(2910),
    [anon_sym_AMP] = ACTIONS(2912),
    [anon_sym_CARET] = ACTIONS(2914),
    [anon_sym_PIPE] = ACTIONS(2916),
  },
  [2779] = {
    [sym__keyword_between] = STATE(1541),
    [sym__keyword_is] = STATE(12062),
    [sym__keyword_in] = STATE(1692),
    [sym__keyword_not] = STATE(13166),
    [sym__keyword_and] = STATE(1702),
    [sym__keyword_or] = STATE(1703),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16074),
    [sym_quantitve_like_operator] = STATE(16078),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(2890),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(2892),
    [aux_sym__keyword_in_token1] = ACTIONS(2894),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(2900),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(2894),
    [anon_sym_GT] = ACTIONS(2894),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(917),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token2] = ACTIONS(917),
    [aux_sym__nulls_preference_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2902),
    [anon_sym_DASH] = ACTIONS(2904),
    [anon_sym_STAR] = ACTIONS(2906),
    [anon_sym_SLASH] = ACTIONS(2908),
    [anon_sym_PIPE_PIPE] = ACTIONS(2906),
    [anon_sym_LT_EQ] = ACTIONS(2900),
    [anon_sym_LT_GT] = ACTIONS(2900),
    [anon_sym_GT_EQ] = ACTIONS(2900),
    [anon_sym_BANG_EQ] = ACTIONS(2900),
    [anon_sym_LT_LT] = ACTIONS(2910),
    [anon_sym_GT_GT] = ACTIONS(2910),
    [anon_sym_AMP] = ACTIONS(2912),
    [anon_sym_CARET] = ACTIONS(2914),
    [anon_sym_PIPE] = ACTIONS(2916),
  },
  [2780] = {
    [sym__keyword_between] = STATE(1541),
    [sym__keyword_is] = STATE(12062),
    [sym__keyword_in] = STATE(1692),
    [sym__keyword_not] = STATE(13166),
    [sym__keyword_and] = STATE(1702),
    [sym__keyword_or] = STATE(1703),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16074),
    [sym_quantitve_like_operator] = STATE(16078),
    [ts_builtin_sym_end] = ACTIONS(1027),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1027),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(2744),
    [aux_sym__keyword_alter_token1] = ACTIONS(1027),
    [aux_sym__keyword_delete_token1] = ACTIONS(1027),
    [aux_sym__keyword_begin_token1] = ACTIONS(1027),
    [aux_sym__keyword_between_token1] = ACTIONS(2890),
    [aux_sym__keyword_when_token1] = ACTIONS(1027),
    [aux_sym__keyword_is_token1] = ACTIONS(2892),
    [aux_sym__keyword_in_token1] = ACTIONS(2894),
    [aux_sym__keyword_and_token1] = ACTIONS(2896),
    [aux_sym__keyword_like_token1] = ACTIONS(1027),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1027),
    [aux_sym__keyword_for_token1] = ACTIONS(1027),
    [anon_sym_SEMI] = ACTIONS(1027),
    [aux_sym_declare_statement_token1] = ACTIONS(1027),
    [anon_sym_COMMA] = ACTIONS(1027),
    [aux_sym_set_statement_token1] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1027),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1027),
    [aux_sym_return_satement_token1] = ACTIONS(1027),
    [aux_sym_call_statement_token1] = ACTIONS(1027),
    [aux_sym_loop_statement_token1] = ACTIONS(1027),
    [aux_sym_while_statement_token1] = ACTIONS(1027),
    [aux_sym_break_statement_token1] = ACTIONS(1027),
    [aux_sym_leave_statement_token1] = ACTIONS(1027),
    [aux_sym_continue_statement_token1] = ACTIONS(1027),
    [aux_sym_iterate_statement_token1] = ACTIONS(1027),
    [aux_sym_raise_statement_token1] = ACTIONS(1027),
    [anon_sym_EQ] = ACTIONS(2900),
    [aux_sym_assert_statement_token1] = ACTIONS(1027),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1027),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1027),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1027),
    [anon_sym_LT] = ACTIONS(2894),
    [anon_sym_GT] = ACTIONS(2894),
    [aux_sym_set_operation_token1] = ACTIONS(1027),
    [aux_sym_set_operation_token3] = ACTIONS(1027),
    [aux_sym_set_operation_token4] = ACTIONS(1027),
    [aux_sym_select_token1] = ACTIONS(1027),
    [aux_sym_limit_clause_token1] = ACTIONS(1027),
    [aux_sym__direction_keywords_token1] = ACTIONS(1027),
    [aux_sym__direction_keywords_token2] = ACTIONS(1027),
    [aux_sym__nulls_preference_token1] = ACTIONS(1027),
    [aux_sym_insert_statement_token1] = ACTIONS(1027),
    [aux_sym_truncate_statement_token1] = ACTIONS(1027),
    [aux_sym_update_statement_token1] = ACTIONS(1027),
    [aux_sym_merge_statement_token1] = ACTIONS(1027),
    [aux_sym_grant_statement_token1] = ACTIONS(1027),
    [aux_sym_revoke_statement_token1] = ACTIONS(1027),
    [aux_sym_export_data_statement_token1] = ACTIONS(1027),
    [aux_sym_load_data_statement_token1] = ACTIONS(1027),
    [anon_sym_LBRACK] = ACTIONS(1027),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(2902),
    [anon_sym_DASH] = ACTIONS(2904),
    [anon_sym_STAR] = ACTIONS(2906),
    [anon_sym_SLASH] = ACTIONS(2908),
    [anon_sym_PIPE_PIPE] = ACTIONS(2906),
    [anon_sym_LT_EQ] = ACTIONS(2900),
    [anon_sym_LT_GT] = ACTIONS(2900),
    [anon_sym_GT_EQ] = ACTIONS(2900),
    [anon_sym_BANG_EQ] = ACTIONS(2900),
    [anon_sym_LT_LT] = ACTIONS(2910),
    [anon_sym_GT_GT] = ACTIONS(2910),
    [anon_sym_AMP] = ACTIONS(2912),
    [anon_sym_CARET] = ACTIONS(2914),
    [anon_sym_PIPE] = ACTIONS(2916),
  },
  [2781] = {
    [sym__keyword_between] = STATE(1541),
    [sym__keyword_is] = STATE(12062),
    [sym__keyword_in] = STATE(1692),
    [sym__keyword_not] = STATE(13166),
    [sym__keyword_and] = STATE(1702),
    [sym__keyword_or] = STATE(1703),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16074),
    [sym_quantitve_like_operator] = STATE(16078),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(917),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token2] = ACTIONS(917),
    [aux_sym__nulls_preference_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2902),
    [anon_sym_DASH] = ACTIONS(2904),
    [anon_sym_STAR] = ACTIONS(2906),
    [anon_sym_SLASH] = ACTIONS(2908),
    [anon_sym_PIPE_PIPE] = ACTIONS(2906),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(2910),
    [anon_sym_GT_GT] = ACTIONS(2910),
    [anon_sym_AMP] = ACTIONS(2912),
    [anon_sym_CARET] = ACTIONS(2914),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2782] = {
    [sym__keyword_between] = STATE(1541),
    [sym__keyword_is] = STATE(12062),
    [sym__keyword_in] = STATE(1692),
    [sym__keyword_not] = STATE(13166),
    [sym__keyword_and] = STATE(1702),
    [sym__keyword_or] = STATE(1703),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16074),
    [sym_quantitve_like_operator] = STATE(16078),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(917),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token2] = ACTIONS(917),
    [aux_sym__nulls_preference_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2902),
    [anon_sym_DASH] = ACTIONS(2904),
    [anon_sym_STAR] = ACTIONS(2906),
    [anon_sym_SLASH] = ACTIONS(2908),
    [anon_sym_PIPE_PIPE] = ACTIONS(2906),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(2910),
    [anon_sym_GT_GT] = ACTIONS(2910),
    [anon_sym_AMP] = ACTIONS(2912),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2783] = {
    [sym__keyword_between] = STATE(1541),
    [sym__keyword_is] = STATE(12062),
    [sym__keyword_in] = STATE(1692),
    [sym__keyword_not] = STATE(13166),
    [sym__keyword_and] = STATE(1702),
    [sym__keyword_or] = STATE(1703),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16074),
    [sym_quantitve_like_operator] = STATE(16078),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(917),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token2] = ACTIONS(917),
    [aux_sym__nulls_preference_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(2902),
    [anon_sym_DASH] = ACTIONS(2904),
    [anon_sym_STAR] = ACTIONS(2906),
    [anon_sym_SLASH] = ACTIONS(2908),
    [anon_sym_PIPE_PIPE] = ACTIONS(2906),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(2910),
    [anon_sym_GT_GT] = ACTIONS(2910),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2784] = {
    [sym__keyword_between] = STATE(1541),
    [sym__keyword_is] = STATE(12062),
    [sym__keyword_in] = STATE(1692),
    [sym__keyword_not] = STATE(13166),
    [sym__keyword_and] = STATE(1702),
    [sym__keyword_or] = STATE(1703),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16074),
    [sym_quantitve_like_operator] = STATE(16078),
    [ts_builtin_sym_end] = ACTIONS(1019),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1019),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1019),
    [aux_sym_keyword_replace_token1] = ACTIONS(1019),
    [aux_sym__keyword_alter_token1] = ACTIONS(1019),
    [aux_sym__keyword_delete_token1] = ACTIONS(1019),
    [aux_sym__keyword_begin_token1] = ACTIONS(1019),
    [aux_sym__keyword_between_token1] = ACTIONS(1019),
    [aux_sym__keyword_when_token1] = ACTIONS(1019),
    [aux_sym__keyword_is_token1] = ACTIONS(1019),
    [aux_sym__keyword_in_token1] = ACTIONS(1021),
    [aux_sym__keyword_and_token1] = ACTIONS(1019),
    [aux_sym__keyword_like_token1] = ACTIONS(1019),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1019),
    [aux_sym__keyword_for_token1] = ACTIONS(1019),
    [anon_sym_SEMI] = ACTIONS(1019),
    [aux_sym_declare_statement_token1] = ACTIONS(1019),
    [anon_sym_COMMA] = ACTIONS(1019),
    [aux_sym_set_statement_token1] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1019),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1019),
    [aux_sym_return_satement_token1] = ACTIONS(1019),
    [aux_sym_call_statement_token1] = ACTIONS(1019),
    [aux_sym_loop_statement_token1] = ACTIONS(1019),
    [aux_sym_while_statement_token1] = ACTIONS(1019),
    [aux_sym_break_statement_token1] = ACTIONS(1019),
    [aux_sym_leave_statement_token1] = ACTIONS(1019),
    [aux_sym_continue_statement_token1] = ACTIONS(1019),
    [aux_sym_iterate_statement_token1] = ACTIONS(1019),
    [aux_sym_raise_statement_token1] = ACTIONS(1019),
    [anon_sym_EQ] = ACTIONS(1019),
    [aux_sym_assert_statement_token1] = ACTIONS(1019),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1019),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1019),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1019),
    [anon_sym_LT] = ACTIONS(1021),
    [anon_sym_GT] = ACTIONS(1021),
    [aux_sym_set_operation_token1] = ACTIONS(1019),
    [aux_sym_set_operation_token3] = ACTIONS(1019),
    [aux_sym_set_operation_token4] = ACTIONS(1019),
    [aux_sym_select_token1] = ACTIONS(1019),
    [aux_sym_limit_clause_token1] = ACTIONS(1019),
    [aux_sym__direction_keywords_token1] = ACTIONS(1019),
    [aux_sym__direction_keywords_token2] = ACTIONS(1019),
    [aux_sym__nulls_preference_token1] = ACTIONS(1019),
    [aux_sym_insert_statement_token1] = ACTIONS(1019),
    [aux_sym_truncate_statement_token1] = ACTIONS(1019),
    [aux_sym_update_statement_token1] = ACTIONS(1019),
    [aux_sym_merge_statement_token1] = ACTIONS(1019),
    [aux_sym_grant_statement_token1] = ACTIONS(1019),
    [aux_sym_revoke_statement_token1] = ACTIONS(1019),
    [aux_sym_export_data_statement_token1] = ACTIONS(1019),
    [aux_sym_load_data_statement_token1] = ACTIONS(1019),
    [anon_sym_LBRACK] = ACTIONS(1019),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1019),
    [anon_sym_PLUS] = ACTIONS(1019),
    [anon_sym_DASH] = ACTIONS(1021),
    [anon_sym_STAR] = ACTIONS(1019),
    [anon_sym_SLASH] = ACTIONS(1021),
    [anon_sym_PIPE_PIPE] = ACTIONS(1019),
    [anon_sym_LT_EQ] = ACTIONS(1019),
    [anon_sym_LT_GT] = ACTIONS(1019),
    [anon_sym_GT_EQ] = ACTIONS(1019),
    [anon_sym_BANG_EQ] = ACTIONS(1019),
    [anon_sym_LT_LT] = ACTIONS(1019),
    [anon_sym_GT_GT] = ACTIONS(1019),
    [anon_sym_AMP] = ACTIONS(1019),
    [anon_sym_CARET] = ACTIONS(1019),
    [anon_sym_PIPE] = ACTIONS(1021),
  },
  [2785] = {
    [sym__keyword_between] = STATE(1541),
    [sym__keyword_is] = STATE(12062),
    [sym__keyword_in] = STATE(1692),
    [sym__keyword_not] = STATE(13166),
    [sym__keyword_and] = STATE(1702),
    [sym__keyword_or] = STATE(1703),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16074),
    [sym_quantitve_like_operator] = STATE(16078),
    [ts_builtin_sym_end] = ACTIONS(1031),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1031),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1031),
    [aux_sym_keyword_replace_token1] = ACTIONS(1031),
    [aux_sym__keyword_alter_token1] = ACTIONS(1031),
    [aux_sym__keyword_delete_token1] = ACTIONS(1031),
    [aux_sym__keyword_begin_token1] = ACTIONS(1031),
    [aux_sym__keyword_between_token1] = ACTIONS(1031),
    [aux_sym__keyword_when_token1] = ACTIONS(1031),
    [aux_sym__keyword_is_token1] = ACTIONS(1031),
    [aux_sym__keyword_in_token1] = ACTIONS(1033),
    [aux_sym__keyword_and_token1] = ACTIONS(1031),
    [aux_sym__keyword_like_token1] = ACTIONS(1031),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1031),
    [aux_sym__keyword_for_token1] = ACTIONS(1031),
    [anon_sym_SEMI] = ACTIONS(1031),
    [aux_sym_declare_statement_token1] = ACTIONS(1031),
    [anon_sym_COMMA] = ACTIONS(1031),
    [aux_sym_set_statement_token1] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1031),
    [aux_sym_return_satement_token1] = ACTIONS(1031),
    [aux_sym_call_statement_token1] = ACTIONS(1031),
    [aux_sym_loop_statement_token1] = ACTIONS(1031),
    [aux_sym_while_statement_token1] = ACTIONS(1031),
    [aux_sym_break_statement_token1] = ACTIONS(1031),
    [aux_sym_leave_statement_token1] = ACTIONS(1031),
    [aux_sym_continue_statement_token1] = ACTIONS(1031),
    [aux_sym_iterate_statement_token1] = ACTIONS(1031),
    [aux_sym_raise_statement_token1] = ACTIONS(1031),
    [anon_sym_EQ] = ACTIONS(1031),
    [aux_sym_assert_statement_token1] = ACTIONS(1031),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1031),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1031),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1031),
    [anon_sym_LT] = ACTIONS(1033),
    [anon_sym_GT] = ACTIONS(1033),
    [aux_sym_set_operation_token1] = ACTIONS(1031),
    [aux_sym_set_operation_token3] = ACTIONS(1031),
    [aux_sym_set_operation_token4] = ACTIONS(1031),
    [aux_sym_select_token1] = ACTIONS(1031),
    [aux_sym_limit_clause_token1] = ACTIONS(1031),
    [aux_sym__direction_keywords_token1] = ACTIONS(1031),
    [aux_sym__direction_keywords_token2] = ACTIONS(1031),
    [aux_sym__nulls_preference_token1] = ACTIONS(1031),
    [aux_sym_insert_statement_token1] = ACTIONS(1031),
    [aux_sym_truncate_statement_token1] = ACTIONS(1031),
    [aux_sym_update_statement_token1] = ACTIONS(1031),
    [aux_sym_merge_statement_token1] = ACTIONS(1031),
    [aux_sym_grant_statement_token1] = ACTIONS(1031),
    [aux_sym_revoke_statement_token1] = ACTIONS(1031),
    [aux_sym_export_data_statement_token1] = ACTIONS(1031),
    [aux_sym_load_data_statement_token1] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1031),
    [anon_sym_PLUS] = ACTIONS(2902),
    [anon_sym_DASH] = ACTIONS(2904),
    [anon_sym_STAR] = ACTIONS(2906),
    [anon_sym_SLASH] = ACTIONS(2908),
    [anon_sym_PIPE_PIPE] = ACTIONS(2906),
    [anon_sym_LT_EQ] = ACTIONS(1031),
    [anon_sym_LT_GT] = ACTIONS(1031),
    [anon_sym_GT_EQ] = ACTIONS(1031),
    [anon_sym_BANG_EQ] = ACTIONS(1031),
    [anon_sym_LT_LT] = ACTIONS(2910),
    [anon_sym_GT_GT] = ACTIONS(2910),
    [anon_sym_AMP] = ACTIONS(2912),
    [anon_sym_CARET] = ACTIONS(2914),
    [anon_sym_PIPE] = ACTIONS(2916),
  },
  [2786] = {
    [sym__keyword_between] = STATE(1541),
    [sym__keyword_is] = STATE(12062),
    [sym__keyword_in] = STATE(1692),
    [sym__keyword_not] = STATE(13166),
    [sym__keyword_and] = STATE(1702),
    [sym__keyword_or] = STATE(1703),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16074),
    [sym_quantitve_like_operator] = STATE(16078),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(917),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token2] = ACTIONS(917),
    [aux_sym__nulls_preference_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(2906),
    [anon_sym_SLASH] = ACTIONS(2908),
    [anon_sym_PIPE_PIPE] = ACTIONS(2906),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2787] = {
    [sym__keyword_between] = STATE(1117),
    [sym__keyword_is] = STATE(12122),
    [sym__keyword_in] = STATE(1203),
    [sym__keyword_not] = STATE(13053),
    [sym__keyword_and] = STATE(1227),
    [sym__keyword_or] = STATE(1233),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16335),
    [sym_quantitve_like_operator] = STATE(16338),
    [ts_builtin_sym_end] = ACTIONS(917),
    [sym__unquoted_identifier] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(339),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(921),
    [aux_sym__keyword_delete_token1] = ACTIONS(921),
    [aux_sym__keyword_begin_token1] = ACTIONS(921),
    [aux_sym__keyword_between_token1] = ACTIONS(1792),
    [aux_sym__keyword_is_token1] = ACTIONS(1794),
    [aux_sym__keyword_in_token1] = ACTIONS(1796),
    [aux_sym__keyword_and_token1] = ACTIONS(921),
    [aux_sym__keyword_like_token1] = ACTIONS(921),
    [aux_sym__keyword_repeat_token1] = ACTIONS(921),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_date_token1] = ACTIONS(921),
    [aux_sym__keyword_datetime_token1] = ACTIONS(921),
    [aux_sym__keyword_time_token1] = ACTIONS(921),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(921),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(921),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(921),
    [aux_sym_return_satement_token1] = ACTIONS(921),
    [aux_sym_call_statement_token1] = ACTIONS(921),
    [aux_sym_loop_statement_token1] = ACTIONS(921),
    [aux_sym_while_statement_token1] = ACTIONS(921),
    [aux_sym_break_statement_token1] = ACTIONS(921),
    [aux_sym_leave_statement_token1] = ACTIONS(921),
    [aux_sym_continue_statement_token1] = ACTIONS(921),
    [aux_sym_iterate_statement_token1] = ACTIONS(921),
    [aux_sym_raise_statement_token1] = ACTIONS(921),
    [anon_sym_EQ] = ACTIONS(1800),
    [aux_sym_assert_statement_token1] = ACTIONS(921),
    [aux_sym_create_schema_statement_token1] = ACTIONS(921),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(921),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(1796),
    [anon_sym_GT] = ACTIONS(1796),
    [aux_sym_select_token1] = ACTIONS(921),
    [aux_sym_insert_statement_token1] = ACTIONS(921),
    [aux_sym_truncate_statement_token1] = ACTIONS(921),
    [aux_sym_update_statement_token1] = ACTIONS(921),
    [aux_sym_merge_statement_token1] = ACTIONS(921),
    [aux_sym_grant_statement_token1] = ACTIONS(921),
    [aux_sym_revoke_statement_token1] = ACTIONS(921),
    [aux_sym_export_data_statement_token1] = ACTIONS(921),
    [aux_sym_load_data_statement_token1] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym__quoted_identifier] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1808),
    [anon_sym_STAR] = ACTIONS(1810),
    [anon_sym_SLASH] = ACTIONS(1812),
    [anon_sym_PIPE_PIPE] = ACTIONS(1810),
    [anon_sym_LT_EQ] = ACTIONS(1800),
    [anon_sym_LT_GT] = ACTIONS(1800),
    [anon_sym_GT_EQ] = ACTIONS(1800),
    [anon_sym_BANG_EQ] = ACTIONS(1800),
    [anon_sym_LT_LT] = ACTIONS(1814),
    [anon_sym_GT_GT] = ACTIONS(1814),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_CARET] = ACTIONS(1818),
    [anon_sym_PIPE] = ACTIONS(1820),
  },
  [2788] = {
    [sym__keyword_between] = STATE(1795),
    [sym__keyword_is] = STATE(12073),
    [sym__keyword_in] = STATE(1359),
    [sym__keyword_not] = STATE(13143),
    [sym__keyword_and] = STATE(839),
    [sym__keyword_or] = STATE(1367),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [ts_builtin_sym_end] = ACTIONS(2918),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(2918),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(341),
    [aux_sym__keyword_alter_token1] = ACTIONS(2918),
    [aux_sym__keyword_delete_token1] = ACTIONS(2918),
    [aux_sym__keyword_begin_token1] = ACTIONS(2918),
    [aux_sym__keyword_between_token1] = ACTIONS(2974),
    [aux_sym__keyword_when_token1] = ACTIONS(2918),
    [aux_sym__keyword_is_token1] = ACTIONS(2976),
    [aux_sym__keyword_in_token1] = ACTIONS(2978),
    [aux_sym__keyword_and_token1] = ACTIONS(2980),
    [aux_sym__keyword_like_token1] = ACTIONS(1007),
    [aux_sym__keyword_repeat_token1] = ACTIONS(2918),
    [aux_sym__keyword_window_token1] = ACTIONS(2918),
    [aux_sym__keyword_for_token1] = ACTIONS(2918),
    [anon_sym_SEMI] = ACTIONS(2918),
    [aux_sym_declare_statement_token1] = ACTIONS(2918),
    [aux_sym_set_statement_token1] = ACTIONS(2918),
    [anon_sym_LPAREN] = ACTIONS(2918),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(2918),
    [aux_sym_return_satement_token1] = ACTIONS(2918),
    [aux_sym_call_statement_token1] = ACTIONS(2918),
    [aux_sym_loop_statement_token1] = ACTIONS(2918),
    [aux_sym_while_statement_token1] = ACTIONS(2918),
    [aux_sym_break_statement_token1] = ACTIONS(2918),
    [aux_sym_leave_statement_token1] = ACTIONS(2918),
    [aux_sym_continue_statement_token1] = ACTIONS(2918),
    [aux_sym_iterate_statement_token1] = ACTIONS(2918),
    [aux_sym_raise_statement_token1] = ACTIONS(2918),
    [anon_sym_EQ] = ACTIONS(2982),
    [aux_sym_assert_statement_token1] = ACTIONS(2918),
    [aux_sym_create_schema_statement_token1] = ACTIONS(2918),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(2918),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2918),
    [anon_sym_LT] = ACTIONS(2978),
    [anon_sym_GT] = ACTIONS(2978),
    [aux_sym_set_operation_token1] = ACTIONS(2918),
    [aux_sym_set_operation_token3] = ACTIONS(2918),
    [aux_sym_set_operation_token4] = ACTIONS(2918),
    [aux_sym_select_token1] = ACTIONS(2918),
    [aux_sym_qualify_clause_token1] = ACTIONS(2918),
    [aux_sym_limit_clause_token1] = ACTIONS(2918),
    [aux_sym_order_by_clause_token1] = ACTIONS(2918),
    [aux_sym_insert_statement_token1] = ACTIONS(2918),
    [aux_sym_truncate_statement_token1] = ACTIONS(2918),
    [aux_sym_update_statement_token1] = ACTIONS(2918),
    [aux_sym_merge_statement_token1] = ACTIONS(2918),
    [aux_sym_grant_statement_token1] = ACTIONS(2918),
    [aux_sym_revoke_statement_token1] = ACTIONS(2918),
    [aux_sym_export_data_statement_token1] = ACTIONS(2918),
    [aux_sym_load_data_statement_token1] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(781),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(783),
    [anon_sym_PLUS] = ACTIONS(2984),
    [anon_sym_DASH] = ACTIONS(2986),
    [anon_sym_STAR] = ACTIONS(2988),
    [anon_sym_SLASH] = ACTIONS(2990),
    [anon_sym_PIPE_PIPE] = ACTIONS(2988),
    [anon_sym_LT_EQ] = ACTIONS(2982),
    [anon_sym_LT_GT] = ACTIONS(2982),
    [anon_sym_GT_EQ] = ACTIONS(2982),
    [anon_sym_BANG_EQ] = ACTIONS(2982),
    [anon_sym_LT_LT] = ACTIONS(2992),
    [anon_sym_GT_GT] = ACTIONS(2992),
    [anon_sym_AMP] = ACTIONS(2994),
    [anon_sym_CARET] = ACTIONS(2996),
    [anon_sym_PIPE] = ACTIONS(2998),
  },
  [2789] = {
    [sym__keyword_between] = STATE(1117),
    [sym__keyword_is] = STATE(12122),
    [sym__keyword_in] = STATE(1203),
    [sym__keyword_not] = STATE(13053),
    [sym__keyword_and] = STATE(1227),
    [sym__keyword_or] = STATE(1233),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16335),
    [sym_quantitve_like_operator] = STATE(16338),
    [ts_builtin_sym_end] = ACTIONS(917),
    [sym__unquoted_identifier] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(921),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(921),
    [aux_sym__keyword_delete_token1] = ACTIONS(921),
    [aux_sym__keyword_begin_token1] = ACTIONS(921),
    [aux_sym__keyword_between_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(921),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(921),
    [aux_sym__keyword_like_token1] = ACTIONS(921),
    [aux_sym__keyword_repeat_token1] = ACTIONS(921),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_date_token1] = ACTIONS(921),
    [aux_sym__keyword_datetime_token1] = ACTIONS(921),
    [aux_sym__keyword_time_token1] = ACTIONS(921),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(921),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(921),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(921),
    [aux_sym_return_satement_token1] = ACTIONS(921),
    [aux_sym_call_statement_token1] = ACTIONS(921),
    [aux_sym_loop_statement_token1] = ACTIONS(921),
    [aux_sym_while_statement_token1] = ACTIONS(921),
    [aux_sym_break_statement_token1] = ACTIONS(921),
    [aux_sym_leave_statement_token1] = ACTIONS(921),
    [aux_sym_continue_statement_token1] = ACTIONS(921),
    [aux_sym_iterate_statement_token1] = ACTIONS(921),
    [aux_sym_raise_statement_token1] = ACTIONS(921),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(921),
    [aux_sym_create_schema_statement_token1] = ACTIONS(921),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(921),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(921),
    [aux_sym_insert_statement_token1] = ACTIONS(921),
    [aux_sym_truncate_statement_token1] = ACTIONS(921),
    [aux_sym_update_statement_token1] = ACTIONS(921),
    [aux_sym_merge_statement_token1] = ACTIONS(921),
    [aux_sym_grant_statement_token1] = ACTIONS(921),
    [aux_sym_revoke_statement_token1] = ACTIONS(921),
    [aux_sym_export_data_statement_token1] = ACTIONS(921),
    [aux_sym_load_data_statement_token1] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym__quoted_identifier] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1808),
    [anon_sym_STAR] = ACTIONS(1810),
    [anon_sym_SLASH] = ACTIONS(1812),
    [anon_sym_PIPE_PIPE] = ACTIONS(1810),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(1814),
    [anon_sym_GT_GT] = ACTIONS(1814),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2790] = {
    [sym__keyword_between] = STATE(1117),
    [sym__keyword_is] = STATE(12122),
    [sym__keyword_in] = STATE(1203),
    [sym__keyword_not] = STATE(13053),
    [sym__keyword_and] = STATE(1227),
    [sym__keyword_or] = STATE(1233),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16335),
    [sym_quantitve_like_operator] = STATE(16338),
    [ts_builtin_sym_end] = ACTIONS(1027),
    [sym__unquoted_identifier] = ACTIONS(1029),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1029),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(339),
    [aux_sym_keyword_replace_token1] = ACTIONS(341),
    [aux_sym__keyword_alter_token1] = ACTIONS(1029),
    [aux_sym__keyword_delete_token1] = ACTIONS(1029),
    [aux_sym__keyword_begin_token1] = ACTIONS(1029),
    [aux_sym__keyword_between_token1] = ACTIONS(1792),
    [aux_sym__keyword_is_token1] = ACTIONS(1794),
    [aux_sym__keyword_in_token1] = ACTIONS(1796),
    [aux_sym__keyword_and_token1] = ACTIONS(1798),
    [aux_sym__keyword_like_token1] = ACTIONS(1029),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1029),
    [aux_sym__keyword_as_token1] = ACTIONS(1029),
    [aux_sym__keyword_date_token1] = ACTIONS(1029),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1029),
    [aux_sym__keyword_time_token1] = ACTIONS(1029),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1029),
    [aux_sym__keyword_for_token1] = ACTIONS(1029),
    [anon_sym_SEMI] = ACTIONS(1027),
    [aux_sym_declare_statement_token1] = ACTIONS(1029),
    [anon_sym_COMMA] = ACTIONS(1027),
    [aux_sym_set_statement_token1] = ACTIONS(1029),
    [anon_sym_LPAREN] = ACTIONS(1027),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1029),
    [aux_sym_return_satement_token1] = ACTIONS(1029),
    [aux_sym_call_statement_token1] = ACTIONS(1029),
    [aux_sym_loop_statement_token1] = ACTIONS(1029),
    [aux_sym_while_statement_token1] = ACTIONS(1029),
    [aux_sym_break_statement_token1] = ACTIONS(1029),
    [aux_sym_leave_statement_token1] = ACTIONS(1029),
    [aux_sym_continue_statement_token1] = ACTIONS(1029),
    [aux_sym_iterate_statement_token1] = ACTIONS(1029),
    [aux_sym_raise_statement_token1] = ACTIONS(1029),
    [anon_sym_EQ] = ACTIONS(1800),
    [aux_sym_assert_statement_token1] = ACTIONS(1029),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1029),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1029),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1029),
    [anon_sym_LT] = ACTIONS(1796),
    [anon_sym_GT] = ACTIONS(1796),
    [aux_sym_select_token1] = ACTIONS(1029),
    [aux_sym_insert_statement_token1] = ACTIONS(1029),
    [aux_sym_truncate_statement_token1] = ACTIONS(1029),
    [aux_sym_update_statement_token1] = ACTIONS(1029),
    [aux_sym_merge_statement_token1] = ACTIONS(1029),
    [aux_sym_grant_statement_token1] = ACTIONS(1029),
    [aux_sym_revoke_statement_token1] = ACTIONS(1029),
    [aux_sym_export_data_statement_token1] = ACTIONS(1029),
    [aux_sym_load_data_statement_token1] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1027),
    [sym__quoted_identifier] = ACTIONS(1027),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1808),
    [anon_sym_STAR] = ACTIONS(1810),
    [anon_sym_SLASH] = ACTIONS(1812),
    [anon_sym_PIPE_PIPE] = ACTIONS(1810),
    [anon_sym_LT_EQ] = ACTIONS(1800),
    [anon_sym_LT_GT] = ACTIONS(1800),
    [anon_sym_GT_EQ] = ACTIONS(1800),
    [anon_sym_BANG_EQ] = ACTIONS(1800),
    [anon_sym_LT_LT] = ACTIONS(1814),
    [anon_sym_GT_GT] = ACTIONS(1814),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_CARET] = ACTIONS(1818),
    [anon_sym_PIPE] = ACTIONS(1820),
  },
  [2791] = {
    [sym__keyword_between] = STATE(1117),
    [sym__keyword_is] = STATE(12122),
    [sym__keyword_in] = STATE(1203),
    [sym__keyword_not] = STATE(13053),
    [sym__keyword_and] = STATE(1227),
    [sym__keyword_or] = STATE(1233),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16335),
    [sym_quantitve_like_operator] = STATE(16338),
    [ts_builtin_sym_end] = ACTIONS(917),
    [sym__unquoted_identifier] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(339),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(921),
    [aux_sym__keyword_delete_token1] = ACTIONS(921),
    [aux_sym__keyword_begin_token1] = ACTIONS(921),
    [aux_sym__keyword_between_token1] = ACTIONS(1792),
    [aux_sym__keyword_is_token1] = ACTIONS(1794),
    [aux_sym__keyword_in_token1] = ACTIONS(1796),
    [aux_sym__keyword_and_token1] = ACTIONS(1798),
    [aux_sym__keyword_like_token1] = ACTIONS(921),
    [aux_sym__keyword_repeat_token1] = ACTIONS(921),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_date_token1] = ACTIONS(921),
    [aux_sym__keyword_datetime_token1] = ACTIONS(921),
    [aux_sym__keyword_time_token1] = ACTIONS(921),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(921),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(921),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(921),
    [aux_sym_return_satement_token1] = ACTIONS(921),
    [aux_sym_call_statement_token1] = ACTIONS(921),
    [aux_sym_loop_statement_token1] = ACTIONS(921),
    [aux_sym_while_statement_token1] = ACTIONS(921),
    [aux_sym_break_statement_token1] = ACTIONS(921),
    [aux_sym_leave_statement_token1] = ACTIONS(921),
    [aux_sym_continue_statement_token1] = ACTIONS(921),
    [aux_sym_iterate_statement_token1] = ACTIONS(921),
    [aux_sym_raise_statement_token1] = ACTIONS(921),
    [anon_sym_EQ] = ACTIONS(1800),
    [aux_sym_assert_statement_token1] = ACTIONS(921),
    [aux_sym_create_schema_statement_token1] = ACTIONS(921),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(921),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(1796),
    [anon_sym_GT] = ACTIONS(1796),
    [aux_sym_select_token1] = ACTIONS(921),
    [aux_sym_insert_statement_token1] = ACTIONS(921),
    [aux_sym_truncate_statement_token1] = ACTIONS(921),
    [aux_sym_update_statement_token1] = ACTIONS(921),
    [aux_sym_merge_statement_token1] = ACTIONS(921),
    [aux_sym_grant_statement_token1] = ACTIONS(921),
    [aux_sym_revoke_statement_token1] = ACTIONS(921),
    [aux_sym_export_data_statement_token1] = ACTIONS(921),
    [aux_sym_load_data_statement_token1] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym__quoted_identifier] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1808),
    [anon_sym_STAR] = ACTIONS(1810),
    [anon_sym_SLASH] = ACTIONS(1812),
    [anon_sym_PIPE_PIPE] = ACTIONS(1810),
    [anon_sym_LT_EQ] = ACTIONS(1800),
    [anon_sym_LT_GT] = ACTIONS(1800),
    [anon_sym_GT_EQ] = ACTIONS(1800),
    [anon_sym_BANG_EQ] = ACTIONS(1800),
    [anon_sym_LT_LT] = ACTIONS(1814),
    [anon_sym_GT_GT] = ACTIONS(1814),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_CARET] = ACTIONS(1818),
    [anon_sym_PIPE] = ACTIONS(1820),
  },
  [2792] = {
    [sym__keyword_between] = STATE(1117),
    [sym__keyword_is] = STATE(12122),
    [sym__keyword_in] = STATE(1203),
    [sym__keyword_not] = STATE(13053),
    [sym__keyword_and] = STATE(1227),
    [sym__keyword_or] = STATE(1233),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16335),
    [sym_quantitve_like_operator] = STATE(16338),
    [ts_builtin_sym_end] = ACTIONS(1019),
    [sym__unquoted_identifier] = ACTIONS(1021),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1021),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1021),
    [aux_sym_keyword_replace_token1] = ACTIONS(1021),
    [aux_sym__keyword_alter_token1] = ACTIONS(1021),
    [aux_sym__keyword_delete_token1] = ACTIONS(1021),
    [aux_sym__keyword_begin_token1] = ACTIONS(1021),
    [aux_sym__keyword_between_token1] = ACTIONS(1021),
    [aux_sym__keyword_is_token1] = ACTIONS(1021),
    [aux_sym__keyword_in_token1] = ACTIONS(1021),
    [aux_sym__keyword_and_token1] = ACTIONS(1021),
    [aux_sym__keyword_like_token1] = ACTIONS(1021),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1021),
    [aux_sym__keyword_as_token1] = ACTIONS(1021),
    [aux_sym__keyword_date_token1] = ACTIONS(1021),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1021),
    [aux_sym__keyword_time_token1] = ACTIONS(1021),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1021),
    [aux_sym__keyword_for_token1] = ACTIONS(1021),
    [anon_sym_SEMI] = ACTIONS(1019),
    [aux_sym_declare_statement_token1] = ACTIONS(1021),
    [anon_sym_COMMA] = ACTIONS(1019),
    [aux_sym_set_statement_token1] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(1019),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1021),
    [aux_sym_return_satement_token1] = ACTIONS(1021),
    [aux_sym_call_statement_token1] = ACTIONS(1021),
    [aux_sym_loop_statement_token1] = ACTIONS(1021),
    [aux_sym_while_statement_token1] = ACTIONS(1021),
    [aux_sym_break_statement_token1] = ACTIONS(1021),
    [aux_sym_leave_statement_token1] = ACTIONS(1021),
    [aux_sym_continue_statement_token1] = ACTIONS(1021),
    [aux_sym_iterate_statement_token1] = ACTIONS(1021),
    [aux_sym_raise_statement_token1] = ACTIONS(1021),
    [anon_sym_EQ] = ACTIONS(1019),
    [aux_sym_assert_statement_token1] = ACTIONS(1021),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1021),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1021),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1021),
    [anon_sym_LT] = ACTIONS(1021),
    [anon_sym_GT] = ACTIONS(1021),
    [aux_sym_select_token1] = ACTIONS(1021),
    [aux_sym_insert_statement_token1] = ACTIONS(1021),
    [aux_sym_truncate_statement_token1] = ACTIONS(1021),
    [aux_sym_update_statement_token1] = ACTIONS(1021),
    [aux_sym_merge_statement_token1] = ACTIONS(1021),
    [aux_sym_grant_statement_token1] = ACTIONS(1021),
    [aux_sym_revoke_statement_token1] = ACTIONS(1021),
    [aux_sym_export_data_statement_token1] = ACTIONS(1021),
    [aux_sym_load_data_statement_token1] = ACTIONS(1021),
    [anon_sym_LBRACK] = ACTIONS(1019),
    [sym__quoted_identifier] = ACTIONS(1019),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1019),
    [anon_sym_PLUS] = ACTIONS(1019),
    [anon_sym_DASH] = ACTIONS(1021),
    [anon_sym_STAR] = ACTIONS(1019),
    [anon_sym_SLASH] = ACTIONS(1021),
    [anon_sym_PIPE_PIPE] = ACTIONS(1019),
    [anon_sym_LT_EQ] = ACTIONS(1019),
    [anon_sym_LT_GT] = ACTIONS(1019),
    [anon_sym_GT_EQ] = ACTIONS(1019),
    [anon_sym_BANG_EQ] = ACTIONS(1019),
    [anon_sym_LT_LT] = ACTIONS(1019),
    [anon_sym_GT_GT] = ACTIONS(1019),
    [anon_sym_AMP] = ACTIONS(1019),
    [anon_sym_CARET] = ACTIONS(1019),
    [anon_sym_PIPE] = ACTIONS(1021),
  },
  [2793] = {
    [sym__keyword_between] = STATE(1863),
    [sym__keyword_is] = STATE(12135),
    [sym__keyword_in] = STATE(1426),
    [sym__keyword_not] = STATE(13093),
    [sym__keyword_and] = STATE(1434),
    [sym__keyword_or] = STATE(1437),
    [sym__keyword_like] = STATE(14280),
    [sym_into_clause] = STATE(7831),
    [sym_using_clause] = STATE(8086),
    [sym_like_operator] = STATE(16082),
    [sym_quantitve_like_operator] = STATE(16084),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3002),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(2744),
    [aux_sym__keyword_alter_token1] = ACTIONS(3002),
    [aux_sym__keyword_delete_token1] = ACTIONS(3002),
    [aux_sym__keyword_begin_token1] = ACTIONS(3002),
    [aux_sym__keyword_end_token1] = ACTIONS(3002),
    [aux_sym__keyword_between_token1] = ACTIONS(3004),
    [aux_sym__keyword_else_token1] = ACTIONS(3006),
    [aux_sym__keyword_is_token1] = ACTIONS(3008),
    [aux_sym__keyword_in_token1] = ACTIONS(3010),
    [aux_sym__keyword_and_token1] = ACTIONS(3012),
    [aux_sym__keyword_like_token1] = ACTIONS(1007),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3002),
    [aux_sym__keyword_for_token1] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(3002),
    [aux_sym_declare_statement_token1] = ACTIONS(3002),
    [aux_sym_set_statement_token1] = ACTIONS(3002),
    [anon_sym_LPAREN] = ACTIONS(3002),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(3002),
    [aux_sym_into_clause_token1] = ACTIONS(3014),
    [aux_sym_using_clause_token1] = ACTIONS(3016),
    [aux_sym_return_satement_token1] = ACTIONS(3002),
    [aux_sym_call_statement_token1] = ACTIONS(3002),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(3002),
    [aux_sym_if_statement_token1] = ACTIONS(3002),
    [aux_sym_loop_statement_token1] = ACTIONS(3002),
    [aux_sym_repeat_statement_token1] = ACTIONS(3002),
    [aux_sym_while_statement_token1] = ACTIONS(3002),
    [aux_sym_break_statement_token1] = ACTIONS(3002),
    [aux_sym_leave_statement_token1] = ACTIONS(3002),
    [aux_sym_continue_statement_token1] = ACTIONS(3002),
    [aux_sym_iterate_statement_token1] = ACTIONS(3002),
    [aux_sym_raise_statement_token1] = ACTIONS(3002),
    [anon_sym_EQ] = ACTIONS(3018),
    [aux_sym_assert_statement_token1] = ACTIONS(3002),
    [aux_sym_create_schema_statement_token1] = ACTIONS(3002),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(3002),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3002),
    [anon_sym_LT] = ACTIONS(3010),
    [anon_sym_GT] = ACTIONS(3010),
    [aux_sym_select_token1] = ACTIONS(3002),
    [aux_sym_insert_statement_token1] = ACTIONS(3002),
    [aux_sym_truncate_statement_token1] = ACTIONS(3002),
    [aux_sym_update_statement_token1] = ACTIONS(3002),
    [aux_sym_merge_statement_token1] = ACTIONS(3002),
    [aux_sym_grant_statement_token1] = ACTIONS(3002),
    [aux_sym_revoke_statement_token1] = ACTIONS(3002),
    [aux_sym_export_data_statement_token1] = ACTIONS(3002),
    [aux_sym_load_data_statement_token1] = ACTIONS(3002),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(3022),
    [anon_sym_PLUS] = ACTIONS(3024),
    [anon_sym_DASH] = ACTIONS(3026),
    [anon_sym_STAR] = ACTIONS(3028),
    [anon_sym_SLASH] = ACTIONS(3030),
    [anon_sym_PIPE_PIPE] = ACTIONS(3028),
    [anon_sym_LT_EQ] = ACTIONS(3018),
    [anon_sym_LT_GT] = ACTIONS(3018),
    [anon_sym_GT_EQ] = ACTIONS(3018),
    [anon_sym_BANG_EQ] = ACTIONS(3018),
    [anon_sym_LT_LT] = ACTIONS(3032),
    [anon_sym_GT_GT] = ACTIONS(3032),
    [anon_sym_AMP] = ACTIONS(3034),
    [anon_sym_CARET] = ACTIONS(3036),
    [anon_sym_PIPE] = ACTIONS(3038),
  },
  [2794] = {
    [sym__keyword_between] = STATE(1117),
    [sym__keyword_is] = STATE(12122),
    [sym__keyword_in] = STATE(1203),
    [sym__keyword_not] = STATE(13053),
    [sym__keyword_and] = STATE(1227),
    [sym__keyword_or] = STATE(1233),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16335),
    [sym_quantitve_like_operator] = STATE(16338),
    [ts_builtin_sym_end] = ACTIONS(1039),
    [sym__unquoted_identifier] = ACTIONS(1041),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1041),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1041),
    [aux_sym_keyword_replace_token1] = ACTIONS(1041),
    [aux_sym__keyword_alter_token1] = ACTIONS(1041),
    [aux_sym__keyword_delete_token1] = ACTIONS(1041),
    [aux_sym__keyword_begin_token1] = ACTIONS(1041),
    [aux_sym__keyword_between_token1] = ACTIONS(1041),
    [aux_sym__keyword_is_token1] = ACTIONS(1041),
    [aux_sym__keyword_in_token1] = ACTIONS(1041),
    [aux_sym__keyword_and_token1] = ACTIONS(1041),
    [aux_sym__keyword_like_token1] = ACTIONS(1041),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1041),
    [aux_sym__keyword_as_token1] = ACTIONS(1041),
    [aux_sym__keyword_date_token1] = ACTIONS(1041),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1041),
    [aux_sym__keyword_time_token1] = ACTIONS(1041),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1041),
    [aux_sym__keyword_for_token1] = ACTIONS(1041),
    [anon_sym_SEMI] = ACTIONS(1039),
    [aux_sym_declare_statement_token1] = ACTIONS(1041),
    [anon_sym_COMMA] = ACTIONS(1039),
    [aux_sym_set_statement_token1] = ACTIONS(1041),
    [anon_sym_LPAREN] = ACTIONS(1039),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1041),
    [aux_sym_return_satement_token1] = ACTIONS(1041),
    [aux_sym_call_statement_token1] = ACTIONS(1041),
    [aux_sym_loop_statement_token1] = ACTIONS(1041),
    [aux_sym_while_statement_token1] = ACTIONS(1041),
    [aux_sym_break_statement_token1] = ACTIONS(1041),
    [aux_sym_leave_statement_token1] = ACTIONS(1041),
    [aux_sym_continue_statement_token1] = ACTIONS(1041),
    [aux_sym_iterate_statement_token1] = ACTIONS(1041),
    [aux_sym_raise_statement_token1] = ACTIONS(1041),
    [anon_sym_EQ] = ACTIONS(1039),
    [aux_sym_assert_statement_token1] = ACTIONS(1041),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1041),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1041),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1041),
    [anon_sym_LT] = ACTIONS(1041),
    [anon_sym_GT] = ACTIONS(1041),
    [aux_sym_select_token1] = ACTIONS(1041),
    [aux_sym_insert_statement_token1] = ACTIONS(1041),
    [aux_sym_truncate_statement_token1] = ACTIONS(1041),
    [aux_sym_update_statement_token1] = ACTIONS(1041),
    [aux_sym_merge_statement_token1] = ACTIONS(1041),
    [aux_sym_grant_statement_token1] = ACTIONS(1041),
    [aux_sym_revoke_statement_token1] = ACTIONS(1041),
    [aux_sym_export_data_statement_token1] = ACTIONS(1041),
    [aux_sym_load_data_statement_token1] = ACTIONS(1041),
    [anon_sym_LBRACK] = ACTIONS(1039),
    [sym__quoted_identifier] = ACTIONS(1039),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1039),
    [anon_sym_PLUS] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1808),
    [anon_sym_STAR] = ACTIONS(1810),
    [anon_sym_SLASH] = ACTIONS(1812),
    [anon_sym_PIPE_PIPE] = ACTIONS(1810),
    [anon_sym_LT_EQ] = ACTIONS(1039),
    [anon_sym_LT_GT] = ACTIONS(1039),
    [anon_sym_GT_EQ] = ACTIONS(1039),
    [anon_sym_BANG_EQ] = ACTIONS(1039),
    [anon_sym_LT_LT] = ACTIONS(1814),
    [anon_sym_GT_GT] = ACTIONS(1814),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_CARET] = ACTIONS(1818),
    [anon_sym_PIPE] = ACTIONS(1820),
  },
  [2795] = {
    [sym__keyword_between] = STATE(1117),
    [sym__keyword_is] = STATE(12122),
    [sym__keyword_in] = STATE(1203),
    [sym__keyword_not] = STATE(13053),
    [sym__keyword_and] = STATE(1227),
    [sym__keyword_or] = STATE(1233),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16335),
    [sym_quantitve_like_operator] = STATE(16338),
    [ts_builtin_sym_end] = ACTIONS(1035),
    [sym__unquoted_identifier] = ACTIONS(1037),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1037),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1037),
    [aux_sym_keyword_replace_token1] = ACTIONS(1037),
    [aux_sym__keyword_alter_token1] = ACTIONS(1037),
    [aux_sym__keyword_delete_token1] = ACTIONS(1037),
    [aux_sym__keyword_begin_token1] = ACTIONS(1037),
    [aux_sym__keyword_between_token1] = ACTIONS(1037),
    [aux_sym__keyword_is_token1] = ACTIONS(1037),
    [aux_sym__keyword_in_token1] = ACTIONS(1037),
    [aux_sym__keyword_and_token1] = ACTIONS(1037),
    [aux_sym__keyword_like_token1] = ACTIONS(1037),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1037),
    [aux_sym__keyword_as_token1] = ACTIONS(1037),
    [aux_sym__keyword_date_token1] = ACTIONS(1037),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1037),
    [aux_sym__keyword_time_token1] = ACTIONS(1037),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1037),
    [aux_sym__keyword_for_token1] = ACTIONS(1037),
    [anon_sym_SEMI] = ACTIONS(1035),
    [aux_sym_declare_statement_token1] = ACTIONS(1037),
    [anon_sym_COMMA] = ACTIONS(1035),
    [aux_sym_set_statement_token1] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(1035),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1037),
    [aux_sym_return_satement_token1] = ACTIONS(1037),
    [aux_sym_call_statement_token1] = ACTIONS(1037),
    [aux_sym_loop_statement_token1] = ACTIONS(1037),
    [aux_sym_while_statement_token1] = ACTIONS(1037),
    [aux_sym_break_statement_token1] = ACTIONS(1037),
    [aux_sym_leave_statement_token1] = ACTIONS(1037),
    [aux_sym_continue_statement_token1] = ACTIONS(1037),
    [aux_sym_iterate_statement_token1] = ACTIONS(1037),
    [aux_sym_raise_statement_token1] = ACTIONS(1037),
    [anon_sym_EQ] = ACTIONS(1035),
    [aux_sym_assert_statement_token1] = ACTIONS(1037),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1037),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1037),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1037),
    [anon_sym_LT] = ACTIONS(1037),
    [anon_sym_GT] = ACTIONS(1037),
    [aux_sym_select_token1] = ACTIONS(1037),
    [aux_sym_insert_statement_token1] = ACTIONS(1037),
    [aux_sym_truncate_statement_token1] = ACTIONS(1037),
    [aux_sym_update_statement_token1] = ACTIONS(1037),
    [aux_sym_merge_statement_token1] = ACTIONS(1037),
    [aux_sym_grant_statement_token1] = ACTIONS(1037),
    [aux_sym_revoke_statement_token1] = ACTIONS(1037),
    [aux_sym_export_data_statement_token1] = ACTIONS(1037),
    [aux_sym_load_data_statement_token1] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(1035),
    [sym__quoted_identifier] = ACTIONS(1035),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1035),
    [anon_sym_PLUS] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1808),
    [anon_sym_STAR] = ACTIONS(1810),
    [anon_sym_SLASH] = ACTIONS(1812),
    [anon_sym_PIPE_PIPE] = ACTIONS(1810),
    [anon_sym_LT_EQ] = ACTIONS(1035),
    [anon_sym_LT_GT] = ACTIONS(1035),
    [anon_sym_GT_EQ] = ACTIONS(1035),
    [anon_sym_BANG_EQ] = ACTIONS(1035),
    [anon_sym_LT_LT] = ACTIONS(1814),
    [anon_sym_GT_GT] = ACTIONS(1814),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_CARET] = ACTIONS(1818),
    [anon_sym_PIPE] = ACTIONS(1820),
  },
  [2796] = {
    [ts_builtin_sym_end] = ACTIONS(1083),
    [sym__unquoted_identifier] = ACTIONS(1081),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1081),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1081),
    [aux_sym_keyword_replace_token1] = ACTIONS(1081),
    [aux_sym__keyword_alter_token1] = ACTIONS(1081),
    [aux_sym__keyword_delete_token1] = ACTIONS(1081),
    [aux_sym__keyword_begin_token1] = ACTIONS(1081),
    [aux_sym__keyword_between_token1] = ACTIONS(1081),
    [aux_sym__keyword_when_token1] = ACTIONS(1081),
    [aux_sym__keyword_is_token1] = ACTIONS(1081),
    [aux_sym__keyword_in_token1] = ACTIONS(1081),
    [aux_sym__keyword_and_token1] = ACTIONS(1081),
    [aux_sym__keyword_like_token1] = ACTIONS(1081),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1081),
    [aux_sym__keyword_as_token1] = ACTIONS(1081),
    [aux_sym__keyword_window_token1] = ACTIONS(1081),
    [aux_sym__keyword_date_token1] = ACTIONS(1081),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1081),
    [aux_sym__keyword_time_token1] = ACTIONS(1081),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1081),
    [aux_sym__keyword_for_token1] = ACTIONS(1081),
    [anon_sym_SEMI] = ACTIONS(1083),
    [aux_sym_declare_statement_token1] = ACTIONS(1081),
    [anon_sym_COMMA] = ACTIONS(1083),
    [aux_sym_set_statement_token1] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1081),
    [aux_sym_return_satement_token1] = ACTIONS(1081),
    [aux_sym_call_statement_token1] = ACTIONS(1081),
    [aux_sym_loop_statement_token1] = ACTIONS(1081),
    [aux_sym_while_statement_token1] = ACTIONS(1081),
    [aux_sym_break_statement_token1] = ACTIONS(1081),
    [aux_sym_leave_statement_token1] = ACTIONS(1081),
    [aux_sym_continue_statement_token1] = ACTIONS(1081),
    [aux_sym_iterate_statement_token1] = ACTIONS(1081),
    [aux_sym_raise_statement_token1] = ACTIONS(1081),
    [anon_sym_EQ] = ACTIONS(1083),
    [aux_sym_assert_statement_token1] = ACTIONS(1081),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1081),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1081),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1081),
    [anon_sym_LT] = ACTIONS(1081),
    [anon_sym_GT] = ACTIONS(1081),
    [aux_sym_set_operation_token1] = ACTIONS(1081),
    [aux_sym_set_operation_token3] = ACTIONS(1081),
    [aux_sym_set_operation_token4] = ACTIONS(1081),
    [aux_sym_select_token1] = ACTIONS(1081),
    [aux_sym_having_clause_token1] = ACTIONS(1081),
    [aux_sym_qualify_clause_token1] = ACTIONS(1081),
    [aux_sym_limit_clause_token1] = ACTIONS(1081),
    [aux_sym_order_by_clause_token1] = ACTIONS(1081),
    [aux_sym_insert_statement_token1] = ACTIONS(1081),
    [aux_sym_truncate_statement_token1] = ACTIONS(1081),
    [aux_sym_update_statement_token1] = ACTIONS(1081),
    [aux_sym_merge_statement_token1] = ACTIONS(1081),
    [aux_sym_grant_statement_token1] = ACTIONS(1081),
    [aux_sym_revoke_statement_token1] = ACTIONS(1081),
    [aux_sym_export_data_statement_token1] = ACTIONS(1081),
    [aux_sym_load_data_statement_token1] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [sym__quoted_identifier] = ACTIONS(1083),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1083),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1081),
    [anon_sym_STAR] = ACTIONS(1083),
    [anon_sym_SLASH] = ACTIONS(1081),
    [anon_sym_PIPE_PIPE] = ACTIONS(1083),
    [anon_sym_LT_EQ] = ACTIONS(1083),
    [anon_sym_LT_GT] = ACTIONS(1083),
    [anon_sym_GT_EQ] = ACTIONS(1083),
    [anon_sym_BANG_EQ] = ACTIONS(1083),
    [anon_sym_LT_LT] = ACTIONS(1083),
    [anon_sym_GT_GT] = ACTIONS(1083),
    [anon_sym_AMP] = ACTIONS(1083),
    [anon_sym_CARET] = ACTIONS(1083),
    [anon_sym_PIPE] = ACTIONS(1081),
  },
  [2797] = {
    [sym__keyword_between] = STATE(1117),
    [sym__keyword_is] = STATE(12122),
    [sym__keyword_in] = STATE(1203),
    [sym__keyword_not] = STATE(13053),
    [sym__keyword_and] = STATE(1227),
    [sym__keyword_or] = STATE(1233),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16335),
    [sym_quantitve_like_operator] = STATE(16338),
    [ts_builtin_sym_end] = ACTIONS(917),
    [sym__unquoted_identifier] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(921),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(921),
    [aux_sym__keyword_delete_token1] = ACTIONS(921),
    [aux_sym__keyword_begin_token1] = ACTIONS(921),
    [aux_sym__keyword_between_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(921),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(921),
    [aux_sym__keyword_like_token1] = ACTIONS(921),
    [aux_sym__keyword_repeat_token1] = ACTIONS(921),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_date_token1] = ACTIONS(921),
    [aux_sym__keyword_datetime_token1] = ACTIONS(921),
    [aux_sym__keyword_time_token1] = ACTIONS(921),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(921),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(921),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(921),
    [aux_sym_return_satement_token1] = ACTIONS(921),
    [aux_sym_call_statement_token1] = ACTIONS(921),
    [aux_sym_loop_statement_token1] = ACTIONS(921),
    [aux_sym_while_statement_token1] = ACTIONS(921),
    [aux_sym_break_statement_token1] = ACTIONS(921),
    [aux_sym_leave_statement_token1] = ACTIONS(921),
    [aux_sym_continue_statement_token1] = ACTIONS(921),
    [aux_sym_iterate_statement_token1] = ACTIONS(921),
    [aux_sym_raise_statement_token1] = ACTIONS(921),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(921),
    [aux_sym_create_schema_statement_token1] = ACTIONS(921),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(921),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(921),
    [aux_sym_insert_statement_token1] = ACTIONS(921),
    [aux_sym_truncate_statement_token1] = ACTIONS(921),
    [aux_sym_update_statement_token1] = ACTIONS(921),
    [aux_sym_merge_statement_token1] = ACTIONS(921),
    [aux_sym_grant_statement_token1] = ACTIONS(921),
    [aux_sym_revoke_statement_token1] = ACTIONS(921),
    [aux_sym_export_data_statement_token1] = ACTIONS(921),
    [aux_sym_load_data_statement_token1] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym__quoted_identifier] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1808),
    [anon_sym_STAR] = ACTIONS(1810),
    [anon_sym_SLASH] = ACTIONS(1812),
    [anon_sym_PIPE_PIPE] = ACTIONS(1810),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(1814),
    [anon_sym_GT_GT] = ACTIONS(1814),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_CARET] = ACTIONS(1818),
    [anon_sym_PIPE] = ACTIONS(1820),
  },
  [2798] = {
    [sym__keyword_between] = STATE(1117),
    [sym__keyword_is] = STATE(12122),
    [sym__keyword_in] = STATE(1203),
    [sym__keyword_not] = STATE(13053),
    [sym__keyword_and] = STATE(1227),
    [sym__keyword_or] = STATE(1233),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16335),
    [sym_quantitve_like_operator] = STATE(16338),
    [ts_builtin_sym_end] = ACTIONS(917),
    [sym__unquoted_identifier] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(921),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(921),
    [aux_sym__keyword_delete_token1] = ACTIONS(921),
    [aux_sym__keyword_begin_token1] = ACTIONS(921),
    [aux_sym__keyword_between_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(921),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(921),
    [aux_sym__keyword_like_token1] = ACTIONS(921),
    [aux_sym__keyword_repeat_token1] = ACTIONS(921),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_date_token1] = ACTIONS(921),
    [aux_sym__keyword_datetime_token1] = ACTIONS(921),
    [aux_sym__keyword_time_token1] = ACTIONS(921),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(921),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(921),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(921),
    [aux_sym_return_satement_token1] = ACTIONS(921),
    [aux_sym_call_statement_token1] = ACTIONS(921),
    [aux_sym_loop_statement_token1] = ACTIONS(921),
    [aux_sym_while_statement_token1] = ACTIONS(921),
    [aux_sym_break_statement_token1] = ACTIONS(921),
    [aux_sym_leave_statement_token1] = ACTIONS(921),
    [aux_sym_continue_statement_token1] = ACTIONS(921),
    [aux_sym_iterate_statement_token1] = ACTIONS(921),
    [aux_sym_raise_statement_token1] = ACTIONS(921),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(921),
    [aux_sym_create_schema_statement_token1] = ACTIONS(921),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(921),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(921),
    [aux_sym_insert_statement_token1] = ACTIONS(921),
    [aux_sym_truncate_statement_token1] = ACTIONS(921),
    [aux_sym_update_statement_token1] = ACTIONS(921),
    [aux_sym_merge_statement_token1] = ACTIONS(921),
    [aux_sym_grant_statement_token1] = ACTIONS(921),
    [aux_sym_revoke_statement_token1] = ACTIONS(921),
    [aux_sym_export_data_statement_token1] = ACTIONS(921),
    [aux_sym_load_data_statement_token1] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym__quoted_identifier] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(917),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PIPE_PIPE] = ACTIONS(917),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2799] = {
    [sym__keyword_between] = STATE(1117),
    [sym__keyword_is] = STATE(12122),
    [sym__keyword_in] = STATE(1203),
    [sym__keyword_not] = STATE(13053),
    [sym__keyword_and] = STATE(1227),
    [sym__keyword_or] = STATE(1233),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16335),
    [sym_quantitve_like_operator] = STATE(16338),
    [ts_builtin_sym_end] = ACTIONS(1031),
    [sym__unquoted_identifier] = ACTIONS(1033),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1033),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1033),
    [aux_sym_keyword_replace_token1] = ACTIONS(1033),
    [aux_sym__keyword_alter_token1] = ACTIONS(1033),
    [aux_sym__keyword_delete_token1] = ACTIONS(1033),
    [aux_sym__keyword_begin_token1] = ACTIONS(1033),
    [aux_sym__keyword_between_token1] = ACTIONS(1033),
    [aux_sym__keyword_is_token1] = ACTIONS(1033),
    [aux_sym__keyword_in_token1] = ACTIONS(1033),
    [aux_sym__keyword_and_token1] = ACTIONS(1033),
    [aux_sym__keyword_like_token1] = ACTIONS(1033),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1033),
    [aux_sym__keyword_as_token1] = ACTIONS(1033),
    [aux_sym__keyword_date_token1] = ACTIONS(1033),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1033),
    [aux_sym__keyword_time_token1] = ACTIONS(1033),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1033),
    [aux_sym__keyword_for_token1] = ACTIONS(1033),
    [anon_sym_SEMI] = ACTIONS(1031),
    [aux_sym_declare_statement_token1] = ACTIONS(1033),
    [anon_sym_COMMA] = ACTIONS(1031),
    [aux_sym_set_statement_token1] = ACTIONS(1033),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1033),
    [aux_sym_return_satement_token1] = ACTIONS(1033),
    [aux_sym_call_statement_token1] = ACTIONS(1033),
    [aux_sym_loop_statement_token1] = ACTIONS(1033),
    [aux_sym_while_statement_token1] = ACTIONS(1033),
    [aux_sym_break_statement_token1] = ACTIONS(1033),
    [aux_sym_leave_statement_token1] = ACTIONS(1033),
    [aux_sym_continue_statement_token1] = ACTIONS(1033),
    [aux_sym_iterate_statement_token1] = ACTIONS(1033),
    [aux_sym_raise_statement_token1] = ACTIONS(1033),
    [anon_sym_EQ] = ACTIONS(1031),
    [aux_sym_assert_statement_token1] = ACTIONS(1033),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1033),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1033),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1033),
    [anon_sym_GT] = ACTIONS(1033),
    [aux_sym_select_token1] = ACTIONS(1033),
    [aux_sym_insert_statement_token1] = ACTIONS(1033),
    [aux_sym_truncate_statement_token1] = ACTIONS(1033),
    [aux_sym_update_statement_token1] = ACTIONS(1033),
    [aux_sym_merge_statement_token1] = ACTIONS(1033),
    [aux_sym_grant_statement_token1] = ACTIONS(1033),
    [aux_sym_revoke_statement_token1] = ACTIONS(1033),
    [aux_sym_export_data_statement_token1] = ACTIONS(1033),
    [aux_sym_load_data_statement_token1] = ACTIONS(1033),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [sym__quoted_identifier] = ACTIONS(1031),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1031),
    [anon_sym_PLUS] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1808),
    [anon_sym_STAR] = ACTIONS(1810),
    [anon_sym_SLASH] = ACTIONS(1812),
    [anon_sym_PIPE_PIPE] = ACTIONS(1810),
    [anon_sym_LT_EQ] = ACTIONS(1031),
    [anon_sym_LT_GT] = ACTIONS(1031),
    [anon_sym_GT_EQ] = ACTIONS(1031),
    [anon_sym_BANG_EQ] = ACTIONS(1031),
    [anon_sym_LT_LT] = ACTIONS(1814),
    [anon_sym_GT_GT] = ACTIONS(1814),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_CARET] = ACTIONS(1818),
    [anon_sym_PIPE] = ACTIONS(1820),
  },
  [2800] = {
    [sym__keyword_between] = STATE(1117),
    [sym__keyword_is] = STATE(12122),
    [sym__keyword_in] = STATE(1203),
    [sym__keyword_not] = STATE(13053),
    [sym__keyword_and] = STATE(1227),
    [sym__keyword_or] = STATE(1233),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16335),
    [sym_quantitve_like_operator] = STATE(16338),
    [ts_builtin_sym_end] = ACTIONS(947),
    [sym__unquoted_identifier] = ACTIONS(949),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(949),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(949),
    [aux_sym_keyword_replace_token1] = ACTIONS(949),
    [aux_sym__keyword_alter_token1] = ACTIONS(949),
    [aux_sym__keyword_delete_token1] = ACTIONS(949),
    [aux_sym__keyword_begin_token1] = ACTIONS(949),
    [aux_sym__keyword_between_token1] = ACTIONS(949),
    [aux_sym__keyword_is_token1] = ACTIONS(949),
    [aux_sym__keyword_in_token1] = ACTIONS(949),
    [aux_sym__keyword_and_token1] = ACTIONS(949),
    [aux_sym__keyword_like_token1] = ACTIONS(949),
    [aux_sym__keyword_repeat_token1] = ACTIONS(949),
    [aux_sym__keyword_as_token1] = ACTIONS(949),
    [aux_sym__keyword_date_token1] = ACTIONS(949),
    [aux_sym__keyword_datetime_token1] = ACTIONS(949),
    [aux_sym__keyword_time_token1] = ACTIONS(949),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(949),
    [aux_sym__keyword_for_token1] = ACTIONS(949),
    [anon_sym_SEMI] = ACTIONS(947),
    [aux_sym_declare_statement_token1] = ACTIONS(949),
    [anon_sym_COMMA] = ACTIONS(947),
    [aux_sym_set_statement_token1] = ACTIONS(949),
    [anon_sym_LPAREN] = ACTIONS(947),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(949),
    [aux_sym_return_satement_token1] = ACTIONS(949),
    [aux_sym_call_statement_token1] = ACTIONS(949),
    [aux_sym_loop_statement_token1] = ACTIONS(949),
    [aux_sym_while_statement_token1] = ACTIONS(949),
    [aux_sym_break_statement_token1] = ACTIONS(949),
    [aux_sym_leave_statement_token1] = ACTIONS(949),
    [aux_sym_continue_statement_token1] = ACTIONS(949),
    [aux_sym_iterate_statement_token1] = ACTIONS(949),
    [aux_sym_raise_statement_token1] = ACTIONS(949),
    [anon_sym_EQ] = ACTIONS(947),
    [aux_sym_assert_statement_token1] = ACTIONS(949),
    [aux_sym_create_schema_statement_token1] = ACTIONS(949),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(949),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(949),
    [anon_sym_GT] = ACTIONS(949),
    [aux_sym_select_token1] = ACTIONS(949),
    [aux_sym_insert_statement_token1] = ACTIONS(949),
    [aux_sym_truncate_statement_token1] = ACTIONS(949),
    [aux_sym_update_statement_token1] = ACTIONS(949),
    [aux_sym_merge_statement_token1] = ACTIONS(949),
    [aux_sym_grant_statement_token1] = ACTIONS(949),
    [aux_sym_revoke_statement_token1] = ACTIONS(949),
    [aux_sym_export_data_statement_token1] = ACTIONS(949),
    [aux_sym_load_data_statement_token1] = ACTIONS(949),
    [anon_sym_LBRACK] = ACTIONS(947),
    [sym__quoted_identifier] = ACTIONS(947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1808),
    [anon_sym_STAR] = ACTIONS(1810),
    [anon_sym_SLASH] = ACTIONS(1812),
    [anon_sym_PIPE_PIPE] = ACTIONS(1810),
    [anon_sym_LT_EQ] = ACTIONS(947),
    [anon_sym_LT_GT] = ACTIONS(947),
    [anon_sym_GT_EQ] = ACTIONS(947),
    [anon_sym_BANG_EQ] = ACTIONS(947),
    [anon_sym_LT_LT] = ACTIONS(1814),
    [anon_sym_GT_GT] = ACTIONS(1814),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_CARET] = ACTIONS(1818),
    [anon_sym_PIPE] = ACTIONS(1820),
  },
  [2801] = {
    [sym__keyword_between] = STATE(1117),
    [sym__keyword_is] = STATE(12122),
    [sym__keyword_in] = STATE(1203),
    [sym__keyword_not] = STATE(13053),
    [sym__keyword_and] = STATE(1227),
    [sym__keyword_or] = STATE(1233),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16335),
    [sym_quantitve_like_operator] = STATE(16338),
    [ts_builtin_sym_end] = ACTIONS(1023),
    [sym__unquoted_identifier] = ACTIONS(1025),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1025),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1025),
    [aux_sym_keyword_replace_token1] = ACTIONS(1025),
    [aux_sym__keyword_alter_token1] = ACTIONS(1025),
    [aux_sym__keyword_delete_token1] = ACTIONS(1025),
    [aux_sym__keyword_begin_token1] = ACTIONS(1025),
    [aux_sym__keyword_between_token1] = ACTIONS(1025),
    [aux_sym__keyword_is_token1] = ACTIONS(1025),
    [aux_sym__keyword_in_token1] = ACTIONS(1025),
    [aux_sym__keyword_and_token1] = ACTIONS(1025),
    [aux_sym__keyword_like_token1] = ACTIONS(1025),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1025),
    [aux_sym__keyword_as_token1] = ACTIONS(1025),
    [aux_sym__keyword_date_token1] = ACTIONS(1025),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1025),
    [aux_sym__keyword_time_token1] = ACTIONS(1025),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1025),
    [aux_sym__keyword_for_token1] = ACTIONS(1025),
    [anon_sym_SEMI] = ACTIONS(1023),
    [aux_sym_declare_statement_token1] = ACTIONS(1025),
    [anon_sym_COMMA] = ACTIONS(1023),
    [aux_sym_set_statement_token1] = ACTIONS(1025),
    [anon_sym_LPAREN] = ACTIONS(1023),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1025),
    [aux_sym_return_satement_token1] = ACTIONS(1025),
    [aux_sym_call_statement_token1] = ACTIONS(1025),
    [aux_sym_loop_statement_token1] = ACTIONS(1025),
    [aux_sym_while_statement_token1] = ACTIONS(1025),
    [aux_sym_break_statement_token1] = ACTIONS(1025),
    [aux_sym_leave_statement_token1] = ACTIONS(1025),
    [aux_sym_continue_statement_token1] = ACTIONS(1025),
    [aux_sym_iterate_statement_token1] = ACTIONS(1025),
    [aux_sym_raise_statement_token1] = ACTIONS(1025),
    [anon_sym_EQ] = ACTIONS(1023),
    [aux_sym_assert_statement_token1] = ACTIONS(1025),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1025),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1025),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1025),
    [anon_sym_LT] = ACTIONS(1025),
    [anon_sym_GT] = ACTIONS(1025),
    [aux_sym_select_token1] = ACTIONS(1025),
    [aux_sym_insert_statement_token1] = ACTIONS(1025),
    [aux_sym_truncate_statement_token1] = ACTIONS(1025),
    [aux_sym_update_statement_token1] = ACTIONS(1025),
    [aux_sym_merge_statement_token1] = ACTIONS(1025),
    [aux_sym_grant_statement_token1] = ACTIONS(1025),
    [aux_sym_revoke_statement_token1] = ACTIONS(1025),
    [aux_sym_export_data_statement_token1] = ACTIONS(1025),
    [aux_sym_load_data_statement_token1] = ACTIONS(1025),
    [anon_sym_LBRACK] = ACTIONS(1023),
    [sym__quoted_identifier] = ACTIONS(1023),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1023),
    [anon_sym_PLUS] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1808),
    [anon_sym_STAR] = ACTIONS(1810),
    [anon_sym_SLASH] = ACTIONS(1812),
    [anon_sym_PIPE_PIPE] = ACTIONS(1810),
    [anon_sym_LT_EQ] = ACTIONS(1023),
    [anon_sym_LT_GT] = ACTIONS(1023),
    [anon_sym_GT_EQ] = ACTIONS(1023),
    [anon_sym_BANG_EQ] = ACTIONS(1023),
    [anon_sym_LT_LT] = ACTIONS(1814),
    [anon_sym_GT_GT] = ACTIONS(1814),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_CARET] = ACTIONS(1818),
    [anon_sym_PIPE] = ACTIONS(1820),
  },
  [2802] = {
    [sym__keyword_between] = STATE(1117),
    [sym__keyword_is] = STATE(12122),
    [sym__keyword_in] = STATE(1203),
    [sym__keyword_not] = STATE(13053),
    [sym__keyword_and] = STATE(1227),
    [sym__keyword_or] = STATE(1233),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16335),
    [sym_quantitve_like_operator] = STATE(16338),
    [ts_builtin_sym_end] = ACTIONS(917),
    [sym__unquoted_identifier] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(921),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(921),
    [aux_sym__keyword_delete_token1] = ACTIONS(921),
    [aux_sym__keyword_begin_token1] = ACTIONS(921),
    [aux_sym__keyword_between_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(921),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(921),
    [aux_sym__keyword_like_token1] = ACTIONS(921),
    [aux_sym__keyword_repeat_token1] = ACTIONS(921),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_date_token1] = ACTIONS(921),
    [aux_sym__keyword_datetime_token1] = ACTIONS(921),
    [aux_sym__keyword_time_token1] = ACTIONS(921),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(921),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(921),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(921),
    [aux_sym_return_satement_token1] = ACTIONS(921),
    [aux_sym_call_statement_token1] = ACTIONS(921),
    [aux_sym_loop_statement_token1] = ACTIONS(921),
    [aux_sym_while_statement_token1] = ACTIONS(921),
    [aux_sym_break_statement_token1] = ACTIONS(921),
    [aux_sym_leave_statement_token1] = ACTIONS(921),
    [aux_sym_continue_statement_token1] = ACTIONS(921),
    [aux_sym_iterate_statement_token1] = ACTIONS(921),
    [aux_sym_raise_statement_token1] = ACTIONS(921),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(921),
    [aux_sym_create_schema_statement_token1] = ACTIONS(921),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(921),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(921),
    [aux_sym_insert_statement_token1] = ACTIONS(921),
    [aux_sym_truncate_statement_token1] = ACTIONS(921),
    [aux_sym_update_statement_token1] = ACTIONS(921),
    [aux_sym_merge_statement_token1] = ACTIONS(921),
    [aux_sym_grant_statement_token1] = ACTIONS(921),
    [aux_sym_revoke_statement_token1] = ACTIONS(921),
    [aux_sym_export_data_statement_token1] = ACTIONS(921),
    [aux_sym_load_data_statement_token1] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym__quoted_identifier] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1808),
    [anon_sym_STAR] = ACTIONS(1810),
    [anon_sym_SLASH] = ACTIONS(1812),
    [anon_sym_PIPE_PIPE] = ACTIONS(1810),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(1814),
    [anon_sym_GT_GT] = ACTIONS(1814),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_CARET] = ACTIONS(1818),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2803] = {
    [sym__keyword_between] = STATE(1244),
    [sym__keyword_is] = STATE(12133),
    [sym__keyword_in] = STATE(1140),
    [sym__keyword_not] = STATE(13072),
    [sym__keyword_and] = STATE(1164),
    [sym__keyword_or] = STATE(1168),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_set_statement_repeat1] = STATE(7279),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3040),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(2744),
    [aux_sym__keyword_alter_token1] = ACTIONS(3040),
    [aux_sym__keyword_delete_token1] = ACTIONS(3040),
    [aux_sym__keyword_begin_token1] = ACTIONS(3040),
    [aux_sym__keyword_end_token1] = ACTIONS(3040),
    [aux_sym__keyword_between_token1] = ACTIONS(3042),
    [aux_sym__keyword_else_token1] = ACTIONS(3044),
    [aux_sym__keyword_is_token1] = ACTIONS(3046),
    [aux_sym__keyword_in_token1] = ACTIONS(3048),
    [aux_sym__keyword_and_token1] = ACTIONS(3050),
    [aux_sym__keyword_like_token1] = ACTIONS(1007),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3040),
    [aux_sym__keyword_as_token1] = ACTIONS(3044),
    [aux_sym__keyword_for_token1] = ACTIONS(3040),
    [anon_sym_SEMI] = ACTIONS(3040),
    [aux_sym_declare_statement_token1] = ACTIONS(3040),
    [anon_sym_COMMA] = ACTIONS(3052),
    [aux_sym_set_statement_token1] = ACTIONS(3040),
    [anon_sym_LPAREN] = ACTIONS(3040),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(3040),
    [aux_sym_return_satement_token1] = ACTIONS(3040),
    [aux_sym_call_statement_token1] = ACTIONS(3040),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(3040),
    [aux_sym_if_statement_token1] = ACTIONS(3040),
    [aux_sym_loop_statement_token1] = ACTIONS(3040),
    [aux_sym_repeat_statement_token1] = ACTIONS(3040),
    [aux_sym_while_statement_token1] = ACTIONS(3040),
    [aux_sym_break_statement_token1] = ACTIONS(3040),
    [aux_sym_leave_statement_token1] = ACTIONS(3040),
    [aux_sym_continue_statement_token1] = ACTIONS(3040),
    [aux_sym_iterate_statement_token1] = ACTIONS(3040),
    [aux_sym_raise_statement_token1] = ACTIONS(3040),
    [anon_sym_EQ] = ACTIONS(3054),
    [aux_sym_assert_statement_token1] = ACTIONS(3040),
    [aux_sym_create_schema_statement_token1] = ACTIONS(3040),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(3040),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3040),
    [aux_sym_option_clause_token1] = ACTIONS(3040),
    [anon_sym_LT] = ACTIONS(3048),
    [anon_sym_GT] = ACTIONS(3048),
    [aux_sym_select_token1] = ACTIONS(3040),
    [aux_sym_insert_statement_token1] = ACTIONS(3040),
    [aux_sym_truncate_statement_token1] = ACTIONS(3040),
    [aux_sym_update_statement_token1] = ACTIONS(3040),
    [aux_sym_merge_statement_token1] = ACTIONS(3040),
    [aux_sym_grant_statement_token1] = ACTIONS(3040),
    [aux_sym_revoke_statement_token1] = ACTIONS(3040),
    [aux_sym_export_data_statement_token1] = ACTIONS(3040),
    [aux_sym_load_data_statement_token1] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(3056),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(3058),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_DASH] = ACTIONS(3062),
    [anon_sym_STAR] = ACTIONS(3064),
    [anon_sym_SLASH] = ACTIONS(3066),
    [anon_sym_PIPE_PIPE] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(3054),
    [anon_sym_LT_GT] = ACTIONS(3054),
    [anon_sym_GT_EQ] = ACTIONS(3054),
    [anon_sym_BANG_EQ] = ACTIONS(3054),
    [anon_sym_LT_LT] = ACTIONS(3068),
    [anon_sym_GT_GT] = ACTIONS(3068),
    [anon_sym_AMP] = ACTIONS(3070),
    [anon_sym_CARET] = ACTIONS(3072),
    [anon_sym_PIPE] = ACTIONS(3074),
  },
  [2804] = {
    [sym__keyword_as] = STATE(15392),
    [ts_builtin_sym_end] = ACTIONS(1474),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1474),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1474),
    [aux_sym_keyword_replace_token1] = ACTIONS(1476),
    [aux_sym__keyword_alter_token1] = ACTIONS(1474),
    [aux_sym__keyword_delete_token1] = ACTIONS(1474),
    [aux_sym__keyword_begin_token1] = ACTIONS(1474),
    [aux_sym__keyword_end_token1] = ACTIONS(1474),
    [aux_sym__keyword_between_token1] = ACTIONS(1474),
    [aux_sym__keyword_when_token1] = ACTIONS(1474),
    [aux_sym__keyword_else_token1] = ACTIONS(1476),
    [aux_sym__keyword_is_token1] = ACTIONS(1474),
    [aux_sym__keyword_in_token1] = ACTIONS(1476),
    [aux_sym__keyword_and_token1] = ACTIONS(1474),
    [aux_sym__keyword_like_token1] = ACTIONS(1474),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1474),
    [aux_sym__keyword_as_token1] = ACTIONS(3076),
    [aux_sym__keyword_window_token1] = ACTIONS(1474),
    [aux_sym__keyword_for_token1] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1474),
    [aux_sym_declare_statement_token1] = ACTIONS(1474),
    [aux_sym_set_statement_token1] = ACTIONS(1474),
    [anon_sym_LPAREN] = ACTIONS(1474),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1474),
    [aux_sym_return_satement_token1] = ACTIONS(1474),
    [aux_sym_call_statement_token1] = ACTIONS(1474),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1474),
    [aux_sym_if_statement_token1] = ACTIONS(1474),
    [aux_sym_loop_statement_token1] = ACTIONS(1474),
    [aux_sym_repeat_statement_token1] = ACTIONS(1474),
    [aux_sym_while_statement_token1] = ACTIONS(1474),
    [aux_sym_break_statement_token1] = ACTIONS(1474),
    [aux_sym_leave_statement_token1] = ACTIONS(1474),
    [aux_sym_continue_statement_token1] = ACTIONS(1474),
    [aux_sym_iterate_statement_token1] = ACTIONS(1474),
    [aux_sym_raise_statement_token1] = ACTIONS(1474),
    [anon_sym_EQ] = ACTIONS(1474),
    [aux_sym_assert_statement_token1] = ACTIONS(1474),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1474),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1474),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1474),
    [anon_sym_LT] = ACTIONS(1476),
    [anon_sym_GT] = ACTIONS(1476),
    [aux_sym_set_operation_token1] = ACTIONS(1474),
    [aux_sym_set_operation_token3] = ACTIONS(1474),
    [aux_sym_set_operation_token4] = ACTIONS(1476),
    [aux_sym_select_token1] = ACTIONS(1474),
    [aux_sym_having_clause_token1] = ACTIONS(1474),
    [aux_sym_qualify_clause_token1] = ACTIONS(1474),
    [aux_sym_limit_clause_token1] = ACTIONS(1474),
    [aux_sym_group_by_clause_token1] = ACTIONS(1474),
    [aux_sym_order_by_clause_token1] = ACTIONS(1474),
    [aux_sym_insert_statement_token1] = ACTIONS(1474),
    [aux_sym_truncate_statement_token1] = ACTIONS(1474),
    [aux_sym_update_statement_token1] = ACTIONS(1474),
    [aux_sym_merge_statement_token1] = ACTIONS(1474),
    [aux_sym_grant_statement_token1] = ACTIONS(1474),
    [aux_sym_revoke_statement_token1] = ACTIONS(1474),
    [aux_sym_export_data_statement_token1] = ACTIONS(1474),
    [aux_sym_load_data_statement_token1] = ACTIONS(1474),
    [anon_sym_LBRACK] = ACTIONS(1474),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1474),
    [anon_sym_PLUS] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1476),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_SLASH] = ACTIONS(1476),
    [anon_sym_PIPE_PIPE] = ACTIONS(1474),
    [anon_sym_LT_EQ] = ACTIONS(1474),
    [anon_sym_LT_GT] = ACTIONS(1474),
    [anon_sym_GT_EQ] = ACTIONS(1474),
    [anon_sym_BANG_EQ] = ACTIONS(1474),
    [anon_sym_LT_LT] = ACTIONS(1474),
    [anon_sym_GT_GT] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_CARET] = ACTIONS(1474),
    [anon_sym_PIPE] = ACTIONS(1476),
  },
  [2805] = {
    [sym__keyword_between] = STATE(1117),
    [sym__keyword_is] = STATE(12122),
    [sym__keyword_in] = STATE(1203),
    [sym__keyword_not] = STATE(13053),
    [sym__keyword_and] = STATE(1227),
    [sym__keyword_or] = STATE(1233),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16335),
    [sym_quantitve_like_operator] = STATE(16338),
    [ts_builtin_sym_end] = ACTIONS(917),
    [sym__unquoted_identifier] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(921),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(921),
    [aux_sym__keyword_delete_token1] = ACTIONS(921),
    [aux_sym__keyword_begin_token1] = ACTIONS(921),
    [aux_sym__keyword_between_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(921),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(921),
    [aux_sym__keyword_like_token1] = ACTIONS(921),
    [aux_sym__keyword_repeat_token1] = ACTIONS(921),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_date_token1] = ACTIONS(921),
    [aux_sym__keyword_datetime_token1] = ACTIONS(921),
    [aux_sym__keyword_time_token1] = ACTIONS(921),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(921),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(921),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(921),
    [aux_sym_return_satement_token1] = ACTIONS(921),
    [aux_sym_call_statement_token1] = ACTIONS(921),
    [aux_sym_loop_statement_token1] = ACTIONS(921),
    [aux_sym_while_statement_token1] = ACTIONS(921),
    [aux_sym_break_statement_token1] = ACTIONS(921),
    [aux_sym_leave_statement_token1] = ACTIONS(921),
    [aux_sym_continue_statement_token1] = ACTIONS(921),
    [aux_sym_iterate_statement_token1] = ACTIONS(921),
    [aux_sym_raise_statement_token1] = ACTIONS(921),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(921),
    [aux_sym_create_schema_statement_token1] = ACTIONS(921),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(921),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(921),
    [aux_sym_insert_statement_token1] = ACTIONS(921),
    [aux_sym_truncate_statement_token1] = ACTIONS(921),
    [aux_sym_update_statement_token1] = ACTIONS(921),
    [aux_sym_merge_statement_token1] = ACTIONS(921),
    [aux_sym_grant_statement_token1] = ACTIONS(921),
    [aux_sym_revoke_statement_token1] = ACTIONS(921),
    [aux_sym_export_data_statement_token1] = ACTIONS(921),
    [aux_sym_load_data_statement_token1] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym__quoted_identifier] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1808),
    [anon_sym_STAR] = ACTIONS(1810),
    [anon_sym_SLASH] = ACTIONS(1812),
    [anon_sym_PIPE_PIPE] = ACTIONS(1810),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(1814),
    [anon_sym_GT_GT] = ACTIONS(1814),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2806] = {
    [sym__keyword_as] = STATE(14625),
    [ts_builtin_sym_end] = ACTIONS(1474),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1474),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1474),
    [aux_sym_keyword_replace_token1] = ACTIONS(1476),
    [aux_sym__keyword_alter_token1] = ACTIONS(1474),
    [aux_sym__keyword_delete_token1] = ACTIONS(1474),
    [aux_sym__keyword_begin_token1] = ACTIONS(1474),
    [aux_sym__keyword_end_token1] = ACTIONS(1474),
    [aux_sym__keyword_between_token1] = ACTIONS(1474),
    [aux_sym__keyword_when_token1] = ACTIONS(1474),
    [aux_sym__keyword_else_token1] = ACTIONS(1476),
    [aux_sym__keyword_is_token1] = ACTIONS(1474),
    [aux_sym__keyword_in_token1] = ACTIONS(1476),
    [aux_sym__keyword_and_token1] = ACTIONS(1474),
    [aux_sym__keyword_like_token1] = ACTIONS(1474),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1474),
    [aux_sym__keyword_as_token1] = ACTIONS(3078),
    [aux_sym__keyword_window_token1] = ACTIONS(1474),
    [aux_sym__keyword_for_token1] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1474),
    [aux_sym_declare_statement_token1] = ACTIONS(1474),
    [anon_sym_COMMA] = ACTIONS(1474),
    [aux_sym_set_statement_token1] = ACTIONS(1474),
    [anon_sym_LPAREN] = ACTIONS(1474),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1474),
    [aux_sym_return_satement_token1] = ACTIONS(1474),
    [aux_sym_call_statement_token1] = ACTIONS(1474),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1474),
    [aux_sym_if_statement_token1] = ACTIONS(1474),
    [aux_sym_loop_statement_token1] = ACTIONS(1474),
    [aux_sym_repeat_statement_token1] = ACTIONS(1474),
    [aux_sym_while_statement_token1] = ACTIONS(1474),
    [aux_sym_break_statement_token1] = ACTIONS(1474),
    [aux_sym_leave_statement_token1] = ACTIONS(1474),
    [aux_sym_continue_statement_token1] = ACTIONS(1474),
    [aux_sym_iterate_statement_token1] = ACTIONS(1474),
    [aux_sym_raise_statement_token1] = ACTIONS(1474),
    [anon_sym_EQ] = ACTIONS(1474),
    [aux_sym_assert_statement_token1] = ACTIONS(1474),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1474),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1474),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1474),
    [anon_sym_LT] = ACTIONS(1476),
    [anon_sym_GT] = ACTIONS(1476),
    [aux_sym_set_operation_token1] = ACTIONS(1474),
    [aux_sym_set_operation_token3] = ACTIONS(1474),
    [aux_sym_set_operation_token4] = ACTIONS(1476),
    [aux_sym_select_token1] = ACTIONS(1474),
    [aux_sym_having_clause_token1] = ACTIONS(1474),
    [aux_sym_qualify_clause_token1] = ACTIONS(1474),
    [aux_sym_limit_clause_token1] = ACTIONS(1474),
    [aux_sym_order_by_clause_token1] = ACTIONS(1474),
    [aux_sym_insert_statement_token1] = ACTIONS(1474),
    [aux_sym_truncate_statement_token1] = ACTIONS(1474),
    [aux_sym_update_statement_token1] = ACTIONS(1474),
    [aux_sym_merge_statement_token1] = ACTIONS(1474),
    [aux_sym_grant_statement_token1] = ACTIONS(1474),
    [aux_sym_revoke_statement_token1] = ACTIONS(1474),
    [aux_sym_export_data_statement_token1] = ACTIONS(1474),
    [aux_sym_load_data_statement_token1] = ACTIONS(1474),
    [anon_sym_LBRACK] = ACTIONS(1474),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1474),
    [anon_sym_PLUS] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1476),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_SLASH] = ACTIONS(1476),
    [anon_sym_PIPE_PIPE] = ACTIONS(1474),
    [anon_sym_LT_EQ] = ACTIONS(1474),
    [anon_sym_LT_GT] = ACTIONS(1474),
    [anon_sym_GT_EQ] = ACTIONS(1474),
    [anon_sym_BANG_EQ] = ACTIONS(1474),
    [anon_sym_LT_LT] = ACTIONS(1474),
    [anon_sym_GT_GT] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_CARET] = ACTIONS(1474),
    [anon_sym_PIPE] = ACTIONS(1476),
  },
  [2807] = {
    [ts_builtin_sym_end] = ACTIONS(1083),
    [sym__unquoted_identifier] = ACTIONS(1081),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1081),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1081),
    [aux_sym_keyword_replace_token1] = ACTIONS(1081),
    [aux_sym__keyword_alter_token1] = ACTIONS(1081),
    [aux_sym__keyword_delete_token1] = ACTIONS(1081),
    [aux_sym__keyword_begin_token1] = ACTIONS(1081),
    [aux_sym__keyword_between_token1] = ACTIONS(1081),
    [aux_sym__keyword_when_token1] = ACTIONS(1081),
    [aux_sym__keyword_is_token1] = ACTIONS(1081),
    [aux_sym__keyword_in_token1] = ACTIONS(1081),
    [aux_sym__keyword_and_token1] = ACTIONS(1081),
    [aux_sym__keyword_like_token1] = ACTIONS(1081),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1081),
    [aux_sym__keyword_as_token1] = ACTIONS(1081),
    [aux_sym__keyword_date_token1] = ACTIONS(1081),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1081),
    [aux_sym__keyword_time_token1] = ACTIONS(1081),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1081),
    [aux_sym__keyword_for_token1] = ACTIONS(1081),
    [anon_sym_SEMI] = ACTIONS(1083),
    [aux_sym_declare_statement_token1] = ACTIONS(1081),
    [anon_sym_COMMA] = ACTIONS(1083),
    [aux_sym_set_statement_token1] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1081),
    [aux_sym_return_satement_token1] = ACTIONS(1081),
    [aux_sym_call_statement_token1] = ACTIONS(1081),
    [aux_sym_loop_statement_token1] = ACTIONS(1081),
    [aux_sym_while_statement_token1] = ACTIONS(1081),
    [aux_sym_break_statement_token1] = ACTIONS(1081),
    [aux_sym_leave_statement_token1] = ACTIONS(1081),
    [aux_sym_continue_statement_token1] = ACTIONS(1081),
    [aux_sym_iterate_statement_token1] = ACTIONS(1081),
    [aux_sym_raise_statement_token1] = ACTIONS(1081),
    [anon_sym_EQ] = ACTIONS(1083),
    [aux_sym_assert_statement_token1] = ACTIONS(1081),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1081),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1081),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1081),
    [anon_sym_LT] = ACTIONS(1081),
    [anon_sym_GT] = ACTIONS(1081),
    [aux_sym_set_operation_token1] = ACTIONS(1081),
    [aux_sym_set_operation_token3] = ACTIONS(1081),
    [aux_sym_set_operation_token4] = ACTIONS(1081),
    [aux_sym_select_token1] = ACTIONS(1081),
    [aux_sym_limit_clause_token1] = ACTIONS(1081),
    [aux_sym__direction_keywords_token1] = ACTIONS(1081),
    [aux_sym__direction_keywords_token2] = ACTIONS(1081),
    [aux_sym__nulls_preference_token1] = ACTIONS(1081),
    [aux_sym_order_by_clause_token1] = ACTIONS(1081),
    [aux_sym_insert_statement_token1] = ACTIONS(1081),
    [aux_sym_truncate_statement_token1] = ACTIONS(1081),
    [aux_sym_update_statement_token1] = ACTIONS(1081),
    [aux_sym_merge_statement_token1] = ACTIONS(1081),
    [aux_sym_grant_statement_token1] = ACTIONS(1081),
    [aux_sym_revoke_statement_token1] = ACTIONS(1081),
    [aux_sym_export_data_statement_token1] = ACTIONS(1081),
    [aux_sym_load_data_statement_token1] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [sym__quoted_identifier] = ACTIONS(1083),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1083),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1081),
    [anon_sym_STAR] = ACTIONS(1083),
    [anon_sym_SLASH] = ACTIONS(1081),
    [anon_sym_PIPE_PIPE] = ACTIONS(1083),
    [anon_sym_LT_EQ] = ACTIONS(1083),
    [anon_sym_LT_GT] = ACTIONS(1083),
    [anon_sym_GT_EQ] = ACTIONS(1083),
    [anon_sym_BANG_EQ] = ACTIONS(1083),
    [anon_sym_LT_LT] = ACTIONS(1083),
    [anon_sym_GT_GT] = ACTIONS(1083),
    [anon_sym_AMP] = ACTIONS(1083),
    [anon_sym_CARET] = ACTIONS(1083),
    [anon_sym_PIPE] = ACTIONS(1081),
  },
  [2808] = {
    [sym__keyword_as] = STATE(15392),
    [ts_builtin_sym_end] = ACTIONS(1474),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1474),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1474),
    [aux_sym_keyword_replace_token1] = ACTIONS(1476),
    [aux_sym__keyword_alter_token1] = ACTIONS(1474),
    [aux_sym__keyword_delete_token1] = ACTIONS(1474),
    [aux_sym__keyword_begin_token1] = ACTIONS(1474),
    [aux_sym__keyword_end_token1] = ACTIONS(1474),
    [aux_sym__keyword_between_token1] = ACTIONS(1474),
    [aux_sym__keyword_when_token1] = ACTIONS(1474),
    [aux_sym__keyword_else_token1] = ACTIONS(1476),
    [aux_sym__keyword_is_token1] = ACTIONS(1474),
    [aux_sym__keyword_in_token1] = ACTIONS(1476),
    [aux_sym__keyword_and_token1] = ACTIONS(1474),
    [aux_sym__keyword_like_token1] = ACTIONS(1474),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1474),
    [aux_sym__keyword_as_token1] = ACTIONS(3076),
    [aux_sym__keyword_for_token1] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1474),
    [aux_sym_declare_statement_token1] = ACTIONS(1474),
    [anon_sym_COMMA] = ACTIONS(1474),
    [aux_sym_set_statement_token1] = ACTIONS(1474),
    [anon_sym_LPAREN] = ACTIONS(1474),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1474),
    [aux_sym_return_satement_token1] = ACTIONS(1474),
    [aux_sym_call_statement_token1] = ACTIONS(1474),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1474),
    [aux_sym_if_statement_token1] = ACTIONS(1474),
    [aux_sym_loop_statement_token1] = ACTIONS(1474),
    [aux_sym_repeat_statement_token1] = ACTIONS(1474),
    [aux_sym_while_statement_token1] = ACTIONS(1474),
    [aux_sym_break_statement_token1] = ACTIONS(1474),
    [aux_sym_leave_statement_token1] = ACTIONS(1474),
    [aux_sym_continue_statement_token1] = ACTIONS(1474),
    [aux_sym_iterate_statement_token1] = ACTIONS(1474),
    [aux_sym_raise_statement_token1] = ACTIONS(1474),
    [anon_sym_EQ] = ACTIONS(1474),
    [aux_sym_assert_statement_token1] = ACTIONS(1474),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1474),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1474),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1474),
    [anon_sym_LT] = ACTIONS(1476),
    [anon_sym_GT] = ACTIONS(1476),
    [aux_sym_set_operation_token1] = ACTIONS(1474),
    [aux_sym_set_operation_token3] = ACTIONS(1474),
    [aux_sym_set_operation_token4] = ACTIONS(1476),
    [aux_sym_select_token1] = ACTIONS(1474),
    [aux_sym_limit_clause_token1] = ACTIONS(1474),
    [aux_sym__direction_keywords_token1] = ACTIONS(1474),
    [aux_sym__direction_keywords_token2] = ACTIONS(1474),
    [aux_sym__nulls_preference_token1] = ACTIONS(1474),
    [aux_sym_order_by_clause_token1] = ACTIONS(1474),
    [aux_sym_insert_statement_token1] = ACTIONS(1474),
    [aux_sym_truncate_statement_token1] = ACTIONS(1474),
    [aux_sym_update_statement_token1] = ACTIONS(1474),
    [aux_sym_merge_statement_token1] = ACTIONS(1474),
    [aux_sym_grant_statement_token1] = ACTIONS(1474),
    [aux_sym_revoke_statement_token1] = ACTIONS(1474),
    [aux_sym_export_data_statement_token1] = ACTIONS(1474),
    [aux_sym_load_data_statement_token1] = ACTIONS(1474),
    [anon_sym_LBRACK] = ACTIONS(1474),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1474),
    [anon_sym_PLUS] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1476),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_SLASH] = ACTIONS(1476),
    [anon_sym_PIPE_PIPE] = ACTIONS(1474),
    [anon_sym_LT_EQ] = ACTIONS(1474),
    [anon_sym_LT_GT] = ACTIONS(1474),
    [anon_sym_GT_EQ] = ACTIONS(1474),
    [anon_sym_BANG_EQ] = ACTIONS(1474),
    [anon_sym_LT_LT] = ACTIONS(1474),
    [anon_sym_GT_GT] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_CARET] = ACTIONS(1474),
    [anon_sym_PIPE] = ACTIONS(1476),
  },
  [2809] = {
    [sym__keyword_between] = STATE(1117),
    [sym__keyword_is] = STATE(12122),
    [sym__keyword_in] = STATE(1203),
    [sym__keyword_not] = STATE(13053),
    [sym__keyword_and] = STATE(1227),
    [sym__keyword_or] = STATE(1233),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16335),
    [sym_quantitve_like_operator] = STATE(16338),
    [ts_builtin_sym_end] = ACTIONS(917),
    [sym__unquoted_identifier] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(921),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(921),
    [aux_sym__keyword_delete_token1] = ACTIONS(921),
    [aux_sym__keyword_begin_token1] = ACTIONS(921),
    [aux_sym__keyword_between_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(921),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(921),
    [aux_sym__keyword_like_token1] = ACTIONS(921),
    [aux_sym__keyword_repeat_token1] = ACTIONS(921),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_date_token1] = ACTIONS(921),
    [aux_sym__keyword_datetime_token1] = ACTIONS(921),
    [aux_sym__keyword_time_token1] = ACTIONS(921),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(921),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(921),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(921),
    [aux_sym_return_satement_token1] = ACTIONS(921),
    [aux_sym_call_statement_token1] = ACTIONS(921),
    [aux_sym_loop_statement_token1] = ACTIONS(921),
    [aux_sym_while_statement_token1] = ACTIONS(921),
    [aux_sym_break_statement_token1] = ACTIONS(921),
    [aux_sym_leave_statement_token1] = ACTIONS(921),
    [aux_sym_continue_statement_token1] = ACTIONS(921),
    [aux_sym_iterate_statement_token1] = ACTIONS(921),
    [aux_sym_raise_statement_token1] = ACTIONS(921),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(921),
    [aux_sym_create_schema_statement_token1] = ACTIONS(921),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(921),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(921),
    [aux_sym_insert_statement_token1] = ACTIONS(921),
    [aux_sym_truncate_statement_token1] = ACTIONS(921),
    [aux_sym_update_statement_token1] = ACTIONS(921),
    [aux_sym_merge_statement_token1] = ACTIONS(921),
    [aux_sym_grant_statement_token1] = ACTIONS(921),
    [aux_sym_revoke_statement_token1] = ACTIONS(921),
    [aux_sym_export_data_statement_token1] = ACTIONS(921),
    [aux_sym_load_data_statement_token1] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym__quoted_identifier] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1808),
    [anon_sym_STAR] = ACTIONS(1810),
    [anon_sym_SLASH] = ACTIONS(1812),
    [anon_sym_PIPE_PIPE] = ACTIONS(1810),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2810] = {
    [sym__keyword_between] = STATE(1117),
    [sym__keyword_is] = STATE(12122),
    [sym__keyword_in] = STATE(1203),
    [sym__keyword_not] = STATE(13053),
    [sym__keyword_and] = STATE(1227),
    [sym__keyword_or] = STATE(1233),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16335),
    [sym_quantitve_like_operator] = STATE(16338),
    [ts_builtin_sym_end] = ACTIONS(917),
    [sym__unquoted_identifier] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(921),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(921),
    [aux_sym__keyword_delete_token1] = ACTIONS(921),
    [aux_sym__keyword_begin_token1] = ACTIONS(921),
    [aux_sym__keyword_between_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(921),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(921),
    [aux_sym__keyword_like_token1] = ACTIONS(921),
    [aux_sym__keyword_repeat_token1] = ACTIONS(921),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_date_token1] = ACTIONS(921),
    [aux_sym__keyword_datetime_token1] = ACTIONS(921),
    [aux_sym__keyword_time_token1] = ACTIONS(921),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(921),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(921),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(921),
    [aux_sym_return_satement_token1] = ACTIONS(921),
    [aux_sym_call_statement_token1] = ACTIONS(921),
    [aux_sym_loop_statement_token1] = ACTIONS(921),
    [aux_sym_while_statement_token1] = ACTIONS(921),
    [aux_sym_break_statement_token1] = ACTIONS(921),
    [aux_sym_leave_statement_token1] = ACTIONS(921),
    [aux_sym_continue_statement_token1] = ACTIONS(921),
    [aux_sym_iterate_statement_token1] = ACTIONS(921),
    [aux_sym_raise_statement_token1] = ACTIONS(921),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(921),
    [aux_sym_create_schema_statement_token1] = ACTIONS(921),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(921),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(921),
    [aux_sym_insert_statement_token1] = ACTIONS(921),
    [aux_sym_truncate_statement_token1] = ACTIONS(921),
    [aux_sym_update_statement_token1] = ACTIONS(921),
    [aux_sym_merge_statement_token1] = ACTIONS(921),
    [aux_sym_grant_statement_token1] = ACTIONS(921),
    [aux_sym_revoke_statement_token1] = ACTIONS(921),
    [aux_sym_export_data_statement_token1] = ACTIONS(921),
    [aux_sym_load_data_statement_token1] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym__quoted_identifier] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(1810),
    [anon_sym_SLASH] = ACTIONS(1812),
    [anon_sym_PIPE_PIPE] = ACTIONS(1810),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2811] = {
    [sym_analytics_clause] = STATE(3039),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1462),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1462),
    [aux_sym_set_operation_token3] = ACTIONS(1462),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_limit_clause_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token2] = ACTIONS(1462),
    [aux_sym__nulls_preference_token1] = ACTIONS(1462),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [2812] = {
    [sym_analytics_clause] = STATE(3083),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2813] = {
    [sym_analytics_clause] = STATE(3031),
    [ts_builtin_sym_end] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1446),
    [aux_sym_keyword_replace_token1] = ACTIONS(1446),
    [aux_sym__keyword_alter_token1] = ACTIONS(1446),
    [aux_sym__keyword_delete_token1] = ACTIONS(1446),
    [aux_sym__keyword_begin_token1] = ACTIONS(1446),
    [aux_sym__keyword_end_token1] = ACTIONS(1446),
    [aux_sym__keyword_between_token1] = ACTIONS(1446),
    [aux_sym__keyword_when_token1] = ACTIONS(1446),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1446),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1446),
    [aux_sym__keyword_like_token1] = ACTIONS(1446),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1446),
    [aux_sym__keyword_for_token1] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1446),
    [aux_sym_return_satement_token1] = ACTIONS(1446),
    [aux_sym_call_statement_token1] = ACTIONS(1446),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_loop_statement_token1] = ACTIONS(1446),
    [aux_sym_repeat_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [aux_sym_leave_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_iterate_statement_token1] = ACTIONS(1446),
    [aux_sym_raise_statement_token1] = ACTIONS(1446),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1446),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1446),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1446),
    [aux_sym_set_operation_token3] = ACTIONS(1446),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1446),
    [aux_sym_limit_clause_token1] = ACTIONS(1446),
    [aux_sym__direction_keywords_token1] = ACTIONS(1446),
    [aux_sym__direction_keywords_token2] = ACTIONS(1446),
    [aux_sym__nulls_preference_token1] = ACTIONS(1446),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1446),
    [aux_sym_truncate_statement_token1] = ACTIONS(1446),
    [aux_sym_update_statement_token1] = ACTIONS(1446),
    [aux_sym_merge_statement_token1] = ACTIONS(1446),
    [aux_sym_grant_statement_token1] = ACTIONS(1446),
    [aux_sym_revoke_statement_token1] = ACTIONS(1446),
    [aux_sym_export_data_statement_token1] = ACTIONS(1446),
    [aux_sym_load_data_statement_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [2814] = {
    [sym_analytics_clause] = STATE(3032),
    [ts_builtin_sym_end] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1446),
    [aux_sym_keyword_replace_token1] = ACTIONS(1446),
    [aux_sym__keyword_alter_token1] = ACTIONS(1446),
    [aux_sym__keyword_delete_token1] = ACTIONS(1446),
    [aux_sym__keyword_begin_token1] = ACTIONS(1446),
    [aux_sym__keyword_end_token1] = ACTIONS(1446),
    [aux_sym__keyword_between_token1] = ACTIONS(1446),
    [aux_sym__keyword_when_token1] = ACTIONS(1446),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1446),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1446),
    [aux_sym__keyword_like_token1] = ACTIONS(1446),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1446),
    [aux_sym__keyword_for_token1] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1446),
    [aux_sym_return_satement_token1] = ACTIONS(1446),
    [aux_sym_call_statement_token1] = ACTIONS(1446),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_loop_statement_token1] = ACTIONS(1446),
    [aux_sym_repeat_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [aux_sym_leave_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_iterate_statement_token1] = ACTIONS(1446),
    [aux_sym_raise_statement_token1] = ACTIONS(1446),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1446),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1446),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1446),
    [aux_sym_set_operation_token3] = ACTIONS(1446),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1446),
    [aux_sym_limit_clause_token1] = ACTIONS(1446),
    [aux_sym__direction_keywords_token1] = ACTIONS(1446),
    [aux_sym__direction_keywords_token2] = ACTIONS(1446),
    [aux_sym__nulls_preference_token1] = ACTIONS(1446),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1446),
    [aux_sym_truncate_statement_token1] = ACTIONS(1446),
    [aux_sym_update_statement_token1] = ACTIONS(1446),
    [aux_sym_merge_statement_token1] = ACTIONS(1446),
    [aux_sym_grant_statement_token1] = ACTIONS(1446),
    [aux_sym_revoke_statement_token1] = ACTIONS(1446),
    [aux_sym_export_data_statement_token1] = ACTIONS(1446),
    [aux_sym_load_data_statement_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [2815] = {
    [sym_analytics_clause] = STATE(3033),
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1442),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1442),
    [aux_sym_set_operation_token3] = ACTIONS(1442),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_limit_clause_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token2] = ACTIONS(1442),
    [aux_sym__nulls_preference_token1] = ACTIONS(1442),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [2816] = {
    [sym_analytics_clause] = STATE(3034),
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1442),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1442),
    [aux_sym_set_operation_token3] = ACTIONS(1442),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_limit_clause_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token2] = ACTIONS(1442),
    [aux_sym__nulls_preference_token1] = ACTIONS(1442),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [2817] = {
    [sym_analytics_clause] = STATE(3035),
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1442),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1442),
    [aux_sym_set_operation_token3] = ACTIONS(1442),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_limit_clause_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token2] = ACTIONS(1442),
    [aux_sym__nulls_preference_token1] = ACTIONS(1442),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [2818] = {
    [sym__keyword_between] = STATE(1244),
    [sym__keyword_is] = STATE(12133),
    [sym__keyword_in] = STATE(1140),
    [sym__keyword_not] = STATE(13072),
    [sym__keyword_and] = STATE(1164),
    [sym__keyword_or] = STATE(1168),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(947),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(947),
    [aux_sym_keyword_replace_token1] = ACTIONS(947),
    [aux_sym__keyword_alter_token1] = ACTIONS(947),
    [aux_sym__keyword_delete_token1] = ACTIONS(947),
    [aux_sym__keyword_begin_token1] = ACTIONS(947),
    [aux_sym__keyword_end_token1] = ACTIONS(947),
    [aux_sym__keyword_between_token1] = ACTIONS(947),
    [aux_sym__keyword_else_token1] = ACTIONS(949),
    [aux_sym__keyword_is_token1] = ACTIONS(947),
    [aux_sym__keyword_in_token1] = ACTIONS(949),
    [aux_sym__keyword_and_token1] = ACTIONS(947),
    [aux_sym__keyword_like_token1] = ACTIONS(947),
    [aux_sym__keyword_repeat_token1] = ACTIONS(947),
    [aux_sym__keyword_as_token1] = ACTIONS(949),
    [aux_sym__keyword_for_token1] = ACTIONS(947),
    [anon_sym_SEMI] = ACTIONS(947),
    [aux_sym_declare_statement_token1] = ACTIONS(947),
    [anon_sym_COMMA] = ACTIONS(947),
    [aux_sym_set_statement_token1] = ACTIONS(947),
    [anon_sym_LPAREN] = ACTIONS(947),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(947),
    [aux_sym_return_satement_token1] = ACTIONS(947),
    [aux_sym_call_statement_token1] = ACTIONS(947),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(947),
    [aux_sym_if_statement_token1] = ACTIONS(947),
    [aux_sym_loop_statement_token1] = ACTIONS(947),
    [aux_sym_repeat_statement_token1] = ACTIONS(947),
    [aux_sym_while_statement_token1] = ACTIONS(947),
    [aux_sym_break_statement_token1] = ACTIONS(947),
    [aux_sym_leave_statement_token1] = ACTIONS(947),
    [aux_sym_continue_statement_token1] = ACTIONS(947),
    [aux_sym_iterate_statement_token1] = ACTIONS(947),
    [aux_sym_raise_statement_token1] = ACTIONS(947),
    [anon_sym_EQ] = ACTIONS(947),
    [aux_sym_assert_statement_token1] = ACTIONS(947),
    [aux_sym_create_schema_statement_token1] = ACTIONS(947),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(947),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(947),
    [aux_sym_option_clause_token1] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(949),
    [anon_sym_GT] = ACTIONS(949),
    [aux_sym_select_token1] = ACTIONS(947),
    [aux_sym_insert_statement_token1] = ACTIONS(947),
    [aux_sym_truncate_statement_token1] = ACTIONS(947),
    [aux_sym_update_statement_token1] = ACTIONS(947),
    [aux_sym_merge_statement_token1] = ACTIONS(947),
    [aux_sym_grant_statement_token1] = ACTIONS(947),
    [aux_sym_revoke_statement_token1] = ACTIONS(947),
    [aux_sym_export_data_statement_token1] = ACTIONS(947),
    [aux_sym_load_data_statement_token1] = ACTIONS(947),
    [anon_sym_LBRACK] = ACTIONS(947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_DASH] = ACTIONS(3062),
    [anon_sym_STAR] = ACTIONS(3064),
    [anon_sym_SLASH] = ACTIONS(3066),
    [anon_sym_PIPE_PIPE] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(947),
    [anon_sym_LT_GT] = ACTIONS(947),
    [anon_sym_GT_EQ] = ACTIONS(947),
    [anon_sym_BANG_EQ] = ACTIONS(947),
    [anon_sym_LT_LT] = ACTIONS(3068),
    [anon_sym_GT_GT] = ACTIONS(3068),
    [anon_sym_AMP] = ACTIONS(3070),
    [anon_sym_CARET] = ACTIONS(3072),
    [anon_sym_PIPE] = ACTIONS(3074),
  },
  [2819] = {
    [sym_analytics_clause] = STATE(3036),
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1442),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1442),
    [aux_sym_set_operation_token3] = ACTIONS(1442),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_limit_clause_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token2] = ACTIONS(1442),
    [aux_sym__nulls_preference_token1] = ACTIONS(1442),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [2820] = {
    [sym_analytics_clause] = STATE(3037),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1462),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1462),
    [aux_sym_set_operation_token3] = ACTIONS(1462),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_limit_clause_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token2] = ACTIONS(1462),
    [aux_sym__nulls_preference_token1] = ACTIONS(1462),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [2821] = {
    [sym_analytics_clause] = STATE(3038),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1462),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1462),
    [aux_sym_set_operation_token3] = ACTIONS(1462),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_limit_clause_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token2] = ACTIONS(1462),
    [aux_sym__nulls_preference_token1] = ACTIONS(1462),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [2822] = {
    [sym_unnest_withoffset] = STATE(2679),
    [ts_builtin_sym_end] = ACTIONS(1540),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1540),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1540),
    [aux_sym_keyword_replace_token1] = ACTIONS(1542),
    [aux_sym__keyword_alter_token1] = ACTIONS(1540),
    [aux_sym__keyword_delete_token1] = ACTIONS(1540),
    [aux_sym__keyword_begin_token1] = ACTIONS(1540),
    [aux_sym__keyword_end_token1] = ACTIONS(1540),
    [aux_sym__keyword_between_token1] = ACTIONS(1540),
    [aux_sym__keyword_when_token1] = ACTIONS(1540),
    [aux_sym__keyword_else_token1] = ACTIONS(1542),
    [aux_sym__keyword_is_token1] = ACTIONS(1540),
    [aux_sym__keyword_in_token1] = ACTIONS(1542),
    [aux_sym__keyword_and_token1] = ACTIONS(1540),
    [aux_sym__keyword_like_token1] = ACTIONS(1540),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1540),
    [aux_sym__keyword_for_token1] = ACTIONS(1540),
    [anon_sym_SEMI] = ACTIONS(1540),
    [aux_sym_declare_statement_token1] = ACTIONS(1540),
    [anon_sym_COMMA] = ACTIONS(1540),
    [aux_sym_set_statement_token1] = ACTIONS(1540),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1540),
    [aux_sym_return_satement_token1] = ACTIONS(1540),
    [aux_sym_call_statement_token1] = ACTIONS(1540),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1540),
    [aux_sym_if_statement_token1] = ACTIONS(1540),
    [aux_sym_loop_statement_token1] = ACTIONS(1540),
    [aux_sym_repeat_statement_token1] = ACTIONS(1540),
    [aux_sym_while_statement_token1] = ACTIONS(1540),
    [aux_sym_break_statement_token1] = ACTIONS(1540),
    [aux_sym_leave_statement_token1] = ACTIONS(1540),
    [aux_sym_continue_statement_token1] = ACTIONS(1540),
    [aux_sym_iterate_statement_token1] = ACTIONS(1540),
    [aux_sym_raise_statement_token1] = ACTIONS(1540),
    [anon_sym_EQ] = ACTIONS(1540),
    [aux_sym_assert_statement_token1] = ACTIONS(1540),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1540),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1540),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3082),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_GT] = ACTIONS(1542),
    [aux_sym_set_operation_token1] = ACTIONS(1540),
    [aux_sym_set_operation_token3] = ACTIONS(1540),
    [aux_sym_set_operation_token4] = ACTIONS(1542),
    [aux_sym_select_token1] = ACTIONS(1540),
    [aux_sym_limit_clause_token1] = ACTIONS(1540),
    [aux_sym__direction_keywords_token1] = ACTIONS(1540),
    [aux_sym__direction_keywords_token2] = ACTIONS(1540),
    [aux_sym__nulls_preference_token1] = ACTIONS(1540),
    [aux_sym_order_by_clause_token1] = ACTIONS(1540),
    [aux_sym_insert_statement_token1] = ACTIONS(1540),
    [aux_sym_truncate_statement_token1] = ACTIONS(1540),
    [aux_sym_update_statement_token1] = ACTIONS(1540),
    [aux_sym_merge_statement_token1] = ACTIONS(1540),
    [aux_sym_grant_statement_token1] = ACTIONS(1540),
    [aux_sym_revoke_statement_token1] = ACTIONS(1540),
    [aux_sym_export_data_statement_token1] = ACTIONS(1540),
    [aux_sym_load_data_statement_token1] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1540),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(1540),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(1542),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_LT_EQ] = ACTIONS(1540),
    [anon_sym_LT_GT] = ACTIONS(1540),
    [anon_sym_GT_EQ] = ACTIONS(1540),
    [anon_sym_BANG_EQ] = ACTIONS(1540),
    [anon_sym_LT_LT] = ACTIONS(1540),
    [anon_sym_GT_GT] = ACTIONS(1540),
    [anon_sym_AMP] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(1540),
    [anon_sym_PIPE] = ACTIONS(1542),
  },
  [2823] = {
    [sym_analytics_clause] = STATE(3196),
    [ts_builtin_sym_end] = ACTIONS(1488),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1488),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1488),
    [aux_sym_keyword_replace_token1] = ACTIONS(1488),
    [aux_sym__keyword_alter_token1] = ACTIONS(1488),
    [aux_sym__keyword_delete_token1] = ACTIONS(1488),
    [aux_sym__keyword_begin_token1] = ACTIONS(1488),
    [aux_sym__keyword_end_token1] = ACTIONS(1488),
    [aux_sym__keyword_between_token1] = ACTIONS(1488),
    [aux_sym__keyword_when_token1] = ACTIONS(1488),
    [aux_sym__keyword_else_token1] = ACTIONS(1490),
    [aux_sym__keyword_is_token1] = ACTIONS(1488),
    [aux_sym__keyword_in_token1] = ACTIONS(1490),
    [aux_sym__keyword_and_token1] = ACTIONS(1488),
    [aux_sym__keyword_like_token1] = ACTIONS(1488),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1488),
    [aux_sym__keyword_for_token1] = ACTIONS(1488),
    [anon_sym_SEMI] = ACTIONS(1488),
    [aux_sym_declare_statement_token1] = ACTIONS(1488),
    [anon_sym_COMMA] = ACTIONS(1488),
    [aux_sym_set_statement_token1] = ACTIONS(1488),
    [anon_sym_LPAREN] = ACTIONS(1488),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1488),
    [aux_sym_return_satement_token1] = ACTIONS(1488),
    [aux_sym_call_statement_token1] = ACTIONS(1488),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1488),
    [aux_sym_if_statement_token1] = ACTIONS(1488),
    [aux_sym_loop_statement_token1] = ACTIONS(1488),
    [aux_sym_repeat_statement_token1] = ACTIONS(1488),
    [aux_sym_while_statement_token1] = ACTIONS(1488),
    [aux_sym_break_statement_token1] = ACTIONS(1488),
    [aux_sym_leave_statement_token1] = ACTIONS(1488),
    [aux_sym_continue_statement_token1] = ACTIONS(1488),
    [aux_sym_iterate_statement_token1] = ACTIONS(1488),
    [aux_sym_raise_statement_token1] = ACTIONS(1488),
    [anon_sym_EQ] = ACTIONS(1488),
    [aux_sym_assert_statement_token1] = ACTIONS(1488),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1488),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1488),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1488),
    [anon_sym_LT] = ACTIONS(1490),
    [anon_sym_GT] = ACTIONS(1490),
    [aux_sym_set_operation_token1] = ACTIONS(1488),
    [aux_sym_set_operation_token3] = ACTIONS(1488),
    [aux_sym_set_operation_token4] = ACTIONS(1490),
    [aux_sym_select_token1] = ACTIONS(1488),
    [aux_sym_limit_clause_token1] = ACTIONS(1488),
    [aux_sym__direction_keywords_token1] = ACTIONS(1488),
    [aux_sym__direction_keywords_token2] = ACTIONS(1488),
    [aux_sym__nulls_preference_token1] = ACTIONS(1488),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1488),
    [aux_sym_truncate_statement_token1] = ACTIONS(1488),
    [aux_sym_update_statement_token1] = ACTIONS(1488),
    [aux_sym_merge_statement_token1] = ACTIONS(1488),
    [aux_sym_grant_statement_token1] = ACTIONS(1488),
    [aux_sym_revoke_statement_token1] = ACTIONS(1488),
    [aux_sym_export_data_statement_token1] = ACTIONS(1488),
    [aux_sym_load_data_statement_token1] = ACTIONS(1488),
    [anon_sym_LBRACK] = ACTIONS(1488),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1488),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_STAR] = ACTIONS(1488),
    [anon_sym_SLASH] = ACTIONS(1490),
    [anon_sym_PIPE_PIPE] = ACTIONS(1488),
    [anon_sym_LT_EQ] = ACTIONS(1488),
    [anon_sym_LT_GT] = ACTIONS(1488),
    [anon_sym_GT_EQ] = ACTIONS(1488),
    [anon_sym_BANG_EQ] = ACTIONS(1488),
    [anon_sym_LT_LT] = ACTIONS(1488),
    [anon_sym_GT_GT] = ACTIONS(1488),
    [anon_sym_AMP] = ACTIONS(1488),
    [anon_sym_CARET] = ACTIONS(1488),
    [anon_sym_PIPE] = ACTIONS(1490),
  },
  [2824] = {
    [sym_analytics_clause] = STATE(3040),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1462),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1462),
    [aux_sym_set_operation_token3] = ACTIONS(1462),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_limit_clause_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token2] = ACTIONS(1462),
    [aux_sym__nulls_preference_token1] = ACTIONS(1462),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [2825] = {
    [sym_analytics_clause] = STATE(3178),
    [ts_builtin_sym_end] = ACTIONS(1470),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1470),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1470),
    [aux_sym_keyword_replace_token1] = ACTIONS(1470),
    [aux_sym__keyword_alter_token1] = ACTIONS(1470),
    [aux_sym__keyword_delete_token1] = ACTIONS(1470),
    [aux_sym__keyword_begin_token1] = ACTIONS(1470),
    [aux_sym__keyword_end_token1] = ACTIONS(1470),
    [aux_sym__keyword_between_token1] = ACTIONS(1470),
    [aux_sym__keyword_when_token1] = ACTIONS(1470),
    [aux_sym__keyword_else_token1] = ACTIONS(1472),
    [aux_sym__keyword_is_token1] = ACTIONS(1470),
    [aux_sym__keyword_in_token1] = ACTIONS(1472),
    [aux_sym__keyword_and_token1] = ACTIONS(1470),
    [aux_sym__keyword_like_token1] = ACTIONS(1470),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1470),
    [aux_sym__keyword_for_token1] = ACTIONS(1470),
    [anon_sym_SEMI] = ACTIONS(1470),
    [aux_sym_declare_statement_token1] = ACTIONS(1470),
    [anon_sym_COMMA] = ACTIONS(1470),
    [aux_sym_set_statement_token1] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1470),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1470),
    [aux_sym_return_satement_token1] = ACTIONS(1470),
    [aux_sym_call_statement_token1] = ACTIONS(1470),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1470),
    [aux_sym_if_statement_token1] = ACTIONS(1470),
    [aux_sym_loop_statement_token1] = ACTIONS(1470),
    [aux_sym_repeat_statement_token1] = ACTIONS(1470),
    [aux_sym_while_statement_token1] = ACTIONS(1470),
    [aux_sym_break_statement_token1] = ACTIONS(1470),
    [aux_sym_leave_statement_token1] = ACTIONS(1470),
    [aux_sym_continue_statement_token1] = ACTIONS(1470),
    [aux_sym_iterate_statement_token1] = ACTIONS(1470),
    [aux_sym_raise_statement_token1] = ACTIONS(1470),
    [anon_sym_EQ] = ACTIONS(1470),
    [aux_sym_assert_statement_token1] = ACTIONS(1470),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1470),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1470),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1470),
    [anon_sym_LT] = ACTIONS(1472),
    [anon_sym_GT] = ACTIONS(1472),
    [aux_sym_set_operation_token1] = ACTIONS(1470),
    [aux_sym_set_operation_token3] = ACTIONS(1470),
    [aux_sym_set_operation_token4] = ACTIONS(1472),
    [aux_sym_select_token1] = ACTIONS(1470),
    [aux_sym_limit_clause_token1] = ACTIONS(1470),
    [aux_sym__direction_keywords_token1] = ACTIONS(1470),
    [aux_sym__direction_keywords_token2] = ACTIONS(1470),
    [aux_sym__nulls_preference_token1] = ACTIONS(1470),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1470),
    [aux_sym_truncate_statement_token1] = ACTIONS(1470),
    [aux_sym_update_statement_token1] = ACTIONS(1470),
    [aux_sym_merge_statement_token1] = ACTIONS(1470),
    [aux_sym_grant_statement_token1] = ACTIONS(1470),
    [aux_sym_revoke_statement_token1] = ACTIONS(1470),
    [aux_sym_export_data_statement_token1] = ACTIONS(1470),
    [aux_sym_load_data_statement_token1] = ACTIONS(1470),
    [anon_sym_LBRACK] = ACTIONS(1470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1470),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_STAR] = ACTIONS(1470),
    [anon_sym_SLASH] = ACTIONS(1472),
    [anon_sym_PIPE_PIPE] = ACTIONS(1470),
    [anon_sym_LT_EQ] = ACTIONS(1470),
    [anon_sym_LT_GT] = ACTIONS(1470),
    [anon_sym_GT_EQ] = ACTIONS(1470),
    [anon_sym_BANG_EQ] = ACTIONS(1470),
    [anon_sym_LT_LT] = ACTIONS(1470),
    [anon_sym_GT_GT] = ACTIONS(1470),
    [anon_sym_AMP] = ACTIONS(1470),
    [anon_sym_CARET] = ACTIONS(1470),
    [anon_sym_PIPE] = ACTIONS(1472),
  },
  [2826] = {
    [sym_analytics_clause] = STATE(3041),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1462),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1462),
    [aux_sym_set_operation_token3] = ACTIONS(1462),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_limit_clause_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token2] = ACTIONS(1462),
    [aux_sym__nulls_preference_token1] = ACTIONS(1462),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [2827] = {
    [sym_analytics_clause] = STATE(3171),
    [ts_builtin_sym_end] = ACTIONS(1466),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1466),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1466),
    [aux_sym_keyword_replace_token1] = ACTIONS(1466),
    [aux_sym__keyword_alter_token1] = ACTIONS(1466),
    [aux_sym__keyword_delete_token1] = ACTIONS(1466),
    [aux_sym__keyword_begin_token1] = ACTIONS(1466),
    [aux_sym__keyword_end_token1] = ACTIONS(1466),
    [aux_sym__keyword_between_token1] = ACTIONS(1466),
    [aux_sym__keyword_when_token1] = ACTIONS(1466),
    [aux_sym__keyword_else_token1] = ACTIONS(1468),
    [aux_sym__keyword_is_token1] = ACTIONS(1466),
    [aux_sym__keyword_in_token1] = ACTIONS(1468),
    [aux_sym__keyword_and_token1] = ACTIONS(1466),
    [aux_sym__keyword_like_token1] = ACTIONS(1466),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1466),
    [aux_sym__keyword_for_token1] = ACTIONS(1466),
    [anon_sym_SEMI] = ACTIONS(1466),
    [aux_sym_declare_statement_token1] = ACTIONS(1466),
    [anon_sym_COMMA] = ACTIONS(1466),
    [aux_sym_set_statement_token1] = ACTIONS(1466),
    [anon_sym_LPAREN] = ACTIONS(1466),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1466),
    [aux_sym_return_satement_token1] = ACTIONS(1466),
    [aux_sym_call_statement_token1] = ACTIONS(1466),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1466),
    [aux_sym_if_statement_token1] = ACTIONS(1466),
    [aux_sym_loop_statement_token1] = ACTIONS(1466),
    [aux_sym_repeat_statement_token1] = ACTIONS(1466),
    [aux_sym_while_statement_token1] = ACTIONS(1466),
    [aux_sym_break_statement_token1] = ACTIONS(1466),
    [aux_sym_leave_statement_token1] = ACTIONS(1466),
    [aux_sym_continue_statement_token1] = ACTIONS(1466),
    [aux_sym_iterate_statement_token1] = ACTIONS(1466),
    [aux_sym_raise_statement_token1] = ACTIONS(1466),
    [anon_sym_EQ] = ACTIONS(1466),
    [aux_sym_assert_statement_token1] = ACTIONS(1466),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1466),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1466),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1466),
    [anon_sym_LT] = ACTIONS(1468),
    [anon_sym_GT] = ACTIONS(1468),
    [aux_sym_set_operation_token1] = ACTIONS(1466),
    [aux_sym_set_operation_token3] = ACTIONS(1466),
    [aux_sym_set_operation_token4] = ACTIONS(1468),
    [aux_sym_select_token1] = ACTIONS(1466),
    [aux_sym_limit_clause_token1] = ACTIONS(1466),
    [aux_sym__direction_keywords_token1] = ACTIONS(1466),
    [aux_sym__direction_keywords_token2] = ACTIONS(1466),
    [aux_sym__nulls_preference_token1] = ACTIONS(1466),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1466),
    [aux_sym_truncate_statement_token1] = ACTIONS(1466),
    [aux_sym_update_statement_token1] = ACTIONS(1466),
    [aux_sym_merge_statement_token1] = ACTIONS(1466),
    [aux_sym_grant_statement_token1] = ACTIONS(1466),
    [aux_sym_revoke_statement_token1] = ACTIONS(1466),
    [aux_sym_export_data_statement_token1] = ACTIONS(1466),
    [aux_sym_load_data_statement_token1] = ACTIONS(1466),
    [anon_sym_LBRACK] = ACTIONS(1466),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_STAR] = ACTIONS(1466),
    [anon_sym_SLASH] = ACTIONS(1468),
    [anon_sym_PIPE_PIPE] = ACTIONS(1466),
    [anon_sym_LT_EQ] = ACTIONS(1466),
    [anon_sym_LT_GT] = ACTIONS(1466),
    [anon_sym_GT_EQ] = ACTIONS(1466),
    [anon_sym_BANG_EQ] = ACTIONS(1466),
    [anon_sym_LT_LT] = ACTIONS(1466),
    [anon_sym_GT_GT] = ACTIONS(1466),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_CARET] = ACTIONS(1466),
    [anon_sym_PIPE] = ACTIONS(1468),
  },
  [2828] = {
    [sym_analytics_clause] = STATE(3042),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1462),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1462),
    [aux_sym_set_operation_token3] = ACTIONS(1462),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_limit_clause_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token2] = ACTIONS(1462),
    [aux_sym__nulls_preference_token1] = ACTIONS(1462),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [2829] = {
    [sym__keyword_between] = STATE(1244),
    [sym__keyword_is] = STATE(12133),
    [sym__keyword_in] = STATE(1140),
    [sym__keyword_not] = STATE(13072),
    [sym__keyword_and] = STATE(1164),
    [sym__keyword_or] = STATE(1168),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1031),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1031),
    [aux_sym_keyword_replace_token1] = ACTIONS(1031),
    [aux_sym__keyword_alter_token1] = ACTIONS(1031),
    [aux_sym__keyword_delete_token1] = ACTIONS(1031),
    [aux_sym__keyword_begin_token1] = ACTIONS(1031),
    [aux_sym__keyword_end_token1] = ACTIONS(1031),
    [aux_sym__keyword_between_token1] = ACTIONS(1031),
    [aux_sym__keyword_else_token1] = ACTIONS(1033),
    [aux_sym__keyword_is_token1] = ACTIONS(1031),
    [aux_sym__keyword_in_token1] = ACTIONS(1033),
    [aux_sym__keyword_and_token1] = ACTIONS(1031),
    [aux_sym__keyword_like_token1] = ACTIONS(1031),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1031),
    [aux_sym__keyword_as_token1] = ACTIONS(1033),
    [aux_sym__keyword_for_token1] = ACTIONS(1031),
    [anon_sym_SEMI] = ACTIONS(1031),
    [aux_sym_declare_statement_token1] = ACTIONS(1031),
    [anon_sym_COMMA] = ACTIONS(1031),
    [aux_sym_set_statement_token1] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1031),
    [aux_sym_return_satement_token1] = ACTIONS(1031),
    [aux_sym_call_statement_token1] = ACTIONS(1031),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1031),
    [aux_sym_if_statement_token1] = ACTIONS(1031),
    [aux_sym_loop_statement_token1] = ACTIONS(1031),
    [aux_sym_repeat_statement_token1] = ACTIONS(1031),
    [aux_sym_while_statement_token1] = ACTIONS(1031),
    [aux_sym_break_statement_token1] = ACTIONS(1031),
    [aux_sym_leave_statement_token1] = ACTIONS(1031),
    [aux_sym_continue_statement_token1] = ACTIONS(1031),
    [aux_sym_iterate_statement_token1] = ACTIONS(1031),
    [aux_sym_raise_statement_token1] = ACTIONS(1031),
    [anon_sym_EQ] = ACTIONS(1031),
    [aux_sym_assert_statement_token1] = ACTIONS(1031),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1031),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1031),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1031),
    [aux_sym_option_clause_token1] = ACTIONS(1031),
    [anon_sym_LT] = ACTIONS(1033),
    [anon_sym_GT] = ACTIONS(1033),
    [aux_sym_select_token1] = ACTIONS(1031),
    [aux_sym_insert_statement_token1] = ACTIONS(1031),
    [aux_sym_truncate_statement_token1] = ACTIONS(1031),
    [aux_sym_update_statement_token1] = ACTIONS(1031),
    [aux_sym_merge_statement_token1] = ACTIONS(1031),
    [aux_sym_grant_statement_token1] = ACTIONS(1031),
    [aux_sym_revoke_statement_token1] = ACTIONS(1031),
    [aux_sym_export_data_statement_token1] = ACTIONS(1031),
    [aux_sym_load_data_statement_token1] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1031),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_DASH] = ACTIONS(3062),
    [anon_sym_STAR] = ACTIONS(3064),
    [anon_sym_SLASH] = ACTIONS(3066),
    [anon_sym_PIPE_PIPE] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(1031),
    [anon_sym_LT_GT] = ACTIONS(1031),
    [anon_sym_GT_EQ] = ACTIONS(1031),
    [anon_sym_BANG_EQ] = ACTIONS(1031),
    [anon_sym_LT_LT] = ACTIONS(3068),
    [anon_sym_GT_GT] = ACTIONS(3068),
    [anon_sym_AMP] = ACTIONS(3070),
    [anon_sym_CARET] = ACTIONS(3072),
    [anon_sym_PIPE] = ACTIONS(3074),
  },
  [2830] = {
    [sym__keyword_between] = STATE(1244),
    [sym__keyword_is] = STATE(12133),
    [sym__keyword_in] = STATE(1140),
    [sym__keyword_not] = STATE(13072),
    [sym__keyword_and] = STATE(1164),
    [sym__keyword_or] = STATE(1168),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1035),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1035),
    [aux_sym_keyword_replace_token1] = ACTIONS(1035),
    [aux_sym__keyword_alter_token1] = ACTIONS(1035),
    [aux_sym__keyword_delete_token1] = ACTIONS(1035),
    [aux_sym__keyword_begin_token1] = ACTIONS(1035),
    [aux_sym__keyword_end_token1] = ACTIONS(1035),
    [aux_sym__keyword_between_token1] = ACTIONS(1035),
    [aux_sym__keyword_else_token1] = ACTIONS(1037),
    [aux_sym__keyword_is_token1] = ACTIONS(1035),
    [aux_sym__keyword_in_token1] = ACTIONS(1037),
    [aux_sym__keyword_and_token1] = ACTIONS(1035),
    [aux_sym__keyword_like_token1] = ACTIONS(1035),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1035),
    [aux_sym__keyword_as_token1] = ACTIONS(1037),
    [aux_sym__keyword_for_token1] = ACTIONS(1035),
    [anon_sym_SEMI] = ACTIONS(1035),
    [aux_sym_declare_statement_token1] = ACTIONS(1035),
    [anon_sym_COMMA] = ACTIONS(1035),
    [aux_sym_set_statement_token1] = ACTIONS(1035),
    [anon_sym_LPAREN] = ACTIONS(1035),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1035),
    [aux_sym_return_satement_token1] = ACTIONS(1035),
    [aux_sym_call_statement_token1] = ACTIONS(1035),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1035),
    [aux_sym_if_statement_token1] = ACTIONS(1035),
    [aux_sym_loop_statement_token1] = ACTIONS(1035),
    [aux_sym_repeat_statement_token1] = ACTIONS(1035),
    [aux_sym_while_statement_token1] = ACTIONS(1035),
    [aux_sym_break_statement_token1] = ACTIONS(1035),
    [aux_sym_leave_statement_token1] = ACTIONS(1035),
    [aux_sym_continue_statement_token1] = ACTIONS(1035),
    [aux_sym_iterate_statement_token1] = ACTIONS(1035),
    [aux_sym_raise_statement_token1] = ACTIONS(1035),
    [anon_sym_EQ] = ACTIONS(1035),
    [aux_sym_assert_statement_token1] = ACTIONS(1035),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1035),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1035),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1035),
    [aux_sym_option_clause_token1] = ACTIONS(1035),
    [anon_sym_LT] = ACTIONS(1037),
    [anon_sym_GT] = ACTIONS(1037),
    [aux_sym_select_token1] = ACTIONS(1035),
    [aux_sym_insert_statement_token1] = ACTIONS(1035),
    [aux_sym_truncate_statement_token1] = ACTIONS(1035),
    [aux_sym_update_statement_token1] = ACTIONS(1035),
    [aux_sym_merge_statement_token1] = ACTIONS(1035),
    [aux_sym_grant_statement_token1] = ACTIONS(1035),
    [aux_sym_revoke_statement_token1] = ACTIONS(1035),
    [aux_sym_export_data_statement_token1] = ACTIONS(1035),
    [aux_sym_load_data_statement_token1] = ACTIONS(1035),
    [anon_sym_LBRACK] = ACTIONS(1035),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1035),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_DASH] = ACTIONS(3062),
    [anon_sym_STAR] = ACTIONS(3064),
    [anon_sym_SLASH] = ACTIONS(3066),
    [anon_sym_PIPE_PIPE] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(1035),
    [anon_sym_LT_GT] = ACTIONS(1035),
    [anon_sym_GT_EQ] = ACTIONS(1035),
    [anon_sym_BANG_EQ] = ACTIONS(1035),
    [anon_sym_LT_LT] = ACTIONS(3068),
    [anon_sym_GT_GT] = ACTIONS(3068),
    [anon_sym_AMP] = ACTIONS(3070),
    [anon_sym_CARET] = ACTIONS(3072),
    [anon_sym_PIPE] = ACTIONS(3074),
  },
  [2831] = {
    [sym__keyword_between] = STATE(1244),
    [sym__keyword_is] = STATE(12133),
    [sym__keyword_in] = STATE(1140),
    [sym__keyword_not] = STATE(13072),
    [sym__keyword_and] = STATE(1164),
    [sym__keyword_or] = STATE(1168),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1039),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1039),
    [aux_sym_keyword_replace_token1] = ACTIONS(1039),
    [aux_sym__keyword_alter_token1] = ACTIONS(1039),
    [aux_sym__keyword_delete_token1] = ACTIONS(1039),
    [aux_sym__keyword_begin_token1] = ACTIONS(1039),
    [aux_sym__keyword_end_token1] = ACTIONS(1039),
    [aux_sym__keyword_between_token1] = ACTIONS(1039),
    [aux_sym__keyword_else_token1] = ACTIONS(1041),
    [aux_sym__keyword_is_token1] = ACTIONS(1039),
    [aux_sym__keyword_in_token1] = ACTIONS(1041),
    [aux_sym__keyword_and_token1] = ACTIONS(1039),
    [aux_sym__keyword_like_token1] = ACTIONS(1039),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1039),
    [aux_sym__keyword_as_token1] = ACTIONS(1041),
    [aux_sym__keyword_for_token1] = ACTIONS(1039),
    [anon_sym_SEMI] = ACTIONS(1039),
    [aux_sym_declare_statement_token1] = ACTIONS(1039),
    [anon_sym_COMMA] = ACTIONS(1039),
    [aux_sym_set_statement_token1] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(1039),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1039),
    [aux_sym_return_satement_token1] = ACTIONS(1039),
    [aux_sym_call_statement_token1] = ACTIONS(1039),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1039),
    [aux_sym_if_statement_token1] = ACTIONS(1039),
    [aux_sym_loop_statement_token1] = ACTIONS(1039),
    [aux_sym_repeat_statement_token1] = ACTIONS(1039),
    [aux_sym_while_statement_token1] = ACTIONS(1039),
    [aux_sym_break_statement_token1] = ACTIONS(1039),
    [aux_sym_leave_statement_token1] = ACTIONS(1039),
    [aux_sym_continue_statement_token1] = ACTIONS(1039),
    [aux_sym_iterate_statement_token1] = ACTIONS(1039),
    [aux_sym_raise_statement_token1] = ACTIONS(1039),
    [anon_sym_EQ] = ACTIONS(1039),
    [aux_sym_assert_statement_token1] = ACTIONS(1039),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1039),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1039),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1039),
    [aux_sym_option_clause_token1] = ACTIONS(1039),
    [anon_sym_LT] = ACTIONS(1041),
    [anon_sym_GT] = ACTIONS(1041),
    [aux_sym_select_token1] = ACTIONS(1039),
    [aux_sym_insert_statement_token1] = ACTIONS(1039),
    [aux_sym_truncate_statement_token1] = ACTIONS(1039),
    [aux_sym_update_statement_token1] = ACTIONS(1039),
    [aux_sym_merge_statement_token1] = ACTIONS(1039),
    [aux_sym_grant_statement_token1] = ACTIONS(1039),
    [aux_sym_revoke_statement_token1] = ACTIONS(1039),
    [aux_sym_export_data_statement_token1] = ACTIONS(1039),
    [aux_sym_load_data_statement_token1] = ACTIONS(1039),
    [anon_sym_LBRACK] = ACTIONS(1039),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1039),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_DASH] = ACTIONS(3062),
    [anon_sym_STAR] = ACTIONS(3064),
    [anon_sym_SLASH] = ACTIONS(3066),
    [anon_sym_PIPE_PIPE] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(1039),
    [anon_sym_LT_GT] = ACTIONS(1039),
    [anon_sym_GT_EQ] = ACTIONS(1039),
    [anon_sym_BANG_EQ] = ACTIONS(1039),
    [anon_sym_LT_LT] = ACTIONS(3068),
    [anon_sym_GT_GT] = ACTIONS(3068),
    [anon_sym_AMP] = ACTIONS(3070),
    [anon_sym_CARET] = ACTIONS(3072),
    [anon_sym_PIPE] = ACTIONS(3074),
  },
  [2832] = {
    [sym_analytics_clause] = STATE(3168),
    [ts_builtin_sym_end] = ACTIONS(1458),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1458),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1458),
    [aux_sym_keyword_replace_token1] = ACTIONS(1458),
    [aux_sym__keyword_alter_token1] = ACTIONS(1458),
    [aux_sym__keyword_delete_token1] = ACTIONS(1458),
    [aux_sym__keyword_begin_token1] = ACTIONS(1458),
    [aux_sym__keyword_end_token1] = ACTIONS(1458),
    [aux_sym__keyword_between_token1] = ACTIONS(1458),
    [aux_sym__keyword_when_token1] = ACTIONS(1458),
    [aux_sym__keyword_else_token1] = ACTIONS(1460),
    [aux_sym__keyword_is_token1] = ACTIONS(1458),
    [aux_sym__keyword_in_token1] = ACTIONS(1460),
    [aux_sym__keyword_and_token1] = ACTIONS(1458),
    [aux_sym__keyword_like_token1] = ACTIONS(1458),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1458),
    [aux_sym__keyword_for_token1] = ACTIONS(1458),
    [anon_sym_SEMI] = ACTIONS(1458),
    [aux_sym_declare_statement_token1] = ACTIONS(1458),
    [anon_sym_COMMA] = ACTIONS(1458),
    [aux_sym_set_statement_token1] = ACTIONS(1458),
    [anon_sym_LPAREN] = ACTIONS(1458),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1458),
    [aux_sym_return_satement_token1] = ACTIONS(1458),
    [aux_sym_call_statement_token1] = ACTIONS(1458),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1458),
    [aux_sym_if_statement_token1] = ACTIONS(1458),
    [aux_sym_loop_statement_token1] = ACTIONS(1458),
    [aux_sym_repeat_statement_token1] = ACTIONS(1458),
    [aux_sym_while_statement_token1] = ACTIONS(1458),
    [aux_sym_break_statement_token1] = ACTIONS(1458),
    [aux_sym_leave_statement_token1] = ACTIONS(1458),
    [aux_sym_continue_statement_token1] = ACTIONS(1458),
    [aux_sym_iterate_statement_token1] = ACTIONS(1458),
    [aux_sym_raise_statement_token1] = ACTIONS(1458),
    [anon_sym_EQ] = ACTIONS(1458),
    [aux_sym_assert_statement_token1] = ACTIONS(1458),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1458),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1458),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1458),
    [anon_sym_LT] = ACTIONS(1460),
    [anon_sym_GT] = ACTIONS(1460),
    [aux_sym_set_operation_token1] = ACTIONS(1458),
    [aux_sym_set_operation_token3] = ACTIONS(1458),
    [aux_sym_set_operation_token4] = ACTIONS(1460),
    [aux_sym_select_token1] = ACTIONS(1458),
    [aux_sym_limit_clause_token1] = ACTIONS(1458),
    [aux_sym__direction_keywords_token1] = ACTIONS(1458),
    [aux_sym__direction_keywords_token2] = ACTIONS(1458),
    [aux_sym__nulls_preference_token1] = ACTIONS(1458),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1458),
    [aux_sym_truncate_statement_token1] = ACTIONS(1458),
    [aux_sym_update_statement_token1] = ACTIONS(1458),
    [aux_sym_merge_statement_token1] = ACTIONS(1458),
    [aux_sym_grant_statement_token1] = ACTIONS(1458),
    [aux_sym_revoke_statement_token1] = ACTIONS(1458),
    [aux_sym_export_data_statement_token1] = ACTIONS(1458),
    [aux_sym_load_data_statement_token1] = ACTIONS(1458),
    [anon_sym_LBRACK] = ACTIONS(1458),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_STAR] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(1460),
    [anon_sym_PIPE_PIPE] = ACTIONS(1458),
    [anon_sym_LT_EQ] = ACTIONS(1458),
    [anon_sym_LT_GT] = ACTIONS(1458),
    [anon_sym_GT_EQ] = ACTIONS(1458),
    [anon_sym_BANG_EQ] = ACTIONS(1458),
    [anon_sym_LT_LT] = ACTIONS(1458),
    [anon_sym_GT_GT] = ACTIONS(1458),
    [anon_sym_AMP] = ACTIONS(1458),
    [anon_sym_CARET] = ACTIONS(1458),
    [anon_sym_PIPE] = ACTIONS(1460),
  },
  [2833] = {
    [sym_analytics_clause] = STATE(3167),
    [ts_builtin_sym_end] = ACTIONS(1454),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1454),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1454),
    [aux_sym_keyword_replace_token1] = ACTIONS(1454),
    [aux_sym__keyword_alter_token1] = ACTIONS(1454),
    [aux_sym__keyword_delete_token1] = ACTIONS(1454),
    [aux_sym__keyword_begin_token1] = ACTIONS(1454),
    [aux_sym__keyword_end_token1] = ACTIONS(1454),
    [aux_sym__keyword_between_token1] = ACTIONS(1454),
    [aux_sym__keyword_when_token1] = ACTIONS(1454),
    [aux_sym__keyword_else_token1] = ACTIONS(1456),
    [aux_sym__keyword_is_token1] = ACTIONS(1454),
    [aux_sym__keyword_in_token1] = ACTIONS(1456),
    [aux_sym__keyword_and_token1] = ACTIONS(1454),
    [aux_sym__keyword_like_token1] = ACTIONS(1454),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1454),
    [aux_sym__keyword_for_token1] = ACTIONS(1454),
    [anon_sym_SEMI] = ACTIONS(1454),
    [aux_sym_declare_statement_token1] = ACTIONS(1454),
    [anon_sym_COMMA] = ACTIONS(1454),
    [aux_sym_set_statement_token1] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1454),
    [aux_sym_return_satement_token1] = ACTIONS(1454),
    [aux_sym_call_statement_token1] = ACTIONS(1454),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1454),
    [aux_sym_if_statement_token1] = ACTIONS(1454),
    [aux_sym_loop_statement_token1] = ACTIONS(1454),
    [aux_sym_repeat_statement_token1] = ACTIONS(1454),
    [aux_sym_while_statement_token1] = ACTIONS(1454),
    [aux_sym_break_statement_token1] = ACTIONS(1454),
    [aux_sym_leave_statement_token1] = ACTIONS(1454),
    [aux_sym_continue_statement_token1] = ACTIONS(1454),
    [aux_sym_iterate_statement_token1] = ACTIONS(1454),
    [aux_sym_raise_statement_token1] = ACTIONS(1454),
    [anon_sym_EQ] = ACTIONS(1454),
    [aux_sym_assert_statement_token1] = ACTIONS(1454),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1454),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1454),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1454),
    [anon_sym_LT] = ACTIONS(1456),
    [anon_sym_GT] = ACTIONS(1456),
    [aux_sym_set_operation_token1] = ACTIONS(1454),
    [aux_sym_set_operation_token3] = ACTIONS(1454),
    [aux_sym_set_operation_token4] = ACTIONS(1456),
    [aux_sym_select_token1] = ACTIONS(1454),
    [aux_sym_limit_clause_token1] = ACTIONS(1454),
    [aux_sym__direction_keywords_token1] = ACTIONS(1454),
    [aux_sym__direction_keywords_token2] = ACTIONS(1454),
    [aux_sym__nulls_preference_token1] = ACTIONS(1454),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1454),
    [aux_sym_truncate_statement_token1] = ACTIONS(1454),
    [aux_sym_update_statement_token1] = ACTIONS(1454),
    [aux_sym_merge_statement_token1] = ACTIONS(1454),
    [aux_sym_grant_statement_token1] = ACTIONS(1454),
    [aux_sym_revoke_statement_token1] = ACTIONS(1454),
    [aux_sym_export_data_statement_token1] = ACTIONS(1454),
    [aux_sym_load_data_statement_token1] = ACTIONS(1454),
    [anon_sym_LBRACK] = ACTIONS(1454),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1454),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1454),
    [anon_sym_SLASH] = ACTIONS(1456),
    [anon_sym_PIPE_PIPE] = ACTIONS(1454),
    [anon_sym_LT_EQ] = ACTIONS(1454),
    [anon_sym_LT_GT] = ACTIONS(1454),
    [anon_sym_GT_EQ] = ACTIONS(1454),
    [anon_sym_BANG_EQ] = ACTIONS(1454),
    [anon_sym_LT_LT] = ACTIONS(1454),
    [anon_sym_GT_GT] = ACTIONS(1454),
    [anon_sym_AMP] = ACTIONS(1454),
    [anon_sym_CARET] = ACTIONS(1454),
    [anon_sym_PIPE] = ACTIONS(1456),
  },
  [2834] = {
    [sym__keyword_between] = STATE(1244),
    [sym__keyword_is] = STATE(12133),
    [sym__keyword_in] = STATE(1140),
    [sym__keyword_not] = STATE(13072),
    [sym__keyword_and] = STATE(1164),
    [sym__keyword_or] = STATE(1168),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(3042),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(3046),
    [aux_sym__keyword_in_token1] = ACTIONS(3048),
    [aux_sym__keyword_and_token1] = ACTIONS(3050),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(3054),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [aux_sym_option_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(3048),
    [anon_sym_GT] = ACTIONS(3048),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_DASH] = ACTIONS(3062),
    [anon_sym_STAR] = ACTIONS(3064),
    [anon_sym_SLASH] = ACTIONS(3066),
    [anon_sym_PIPE_PIPE] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(3054),
    [anon_sym_LT_GT] = ACTIONS(3054),
    [anon_sym_GT_EQ] = ACTIONS(3054),
    [anon_sym_BANG_EQ] = ACTIONS(3054),
    [anon_sym_LT_LT] = ACTIONS(3068),
    [anon_sym_GT_GT] = ACTIONS(3068),
    [anon_sym_AMP] = ACTIONS(3070),
    [anon_sym_CARET] = ACTIONS(3072),
    [anon_sym_PIPE] = ACTIONS(3074),
  },
  [2835] = {
    [sym_analytics_clause] = STATE(3166),
    [ts_builtin_sym_end] = ACTIONS(1450),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1450),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1450),
    [aux_sym_keyword_replace_token1] = ACTIONS(1450),
    [aux_sym__keyword_alter_token1] = ACTIONS(1450),
    [aux_sym__keyword_delete_token1] = ACTIONS(1450),
    [aux_sym__keyword_begin_token1] = ACTIONS(1450),
    [aux_sym__keyword_end_token1] = ACTIONS(1450),
    [aux_sym__keyword_between_token1] = ACTIONS(1450),
    [aux_sym__keyword_when_token1] = ACTIONS(1450),
    [aux_sym__keyword_else_token1] = ACTIONS(1452),
    [aux_sym__keyword_is_token1] = ACTIONS(1450),
    [aux_sym__keyword_in_token1] = ACTIONS(1452),
    [aux_sym__keyword_and_token1] = ACTIONS(1450),
    [aux_sym__keyword_like_token1] = ACTIONS(1450),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1450),
    [aux_sym__keyword_for_token1] = ACTIONS(1450),
    [anon_sym_SEMI] = ACTIONS(1450),
    [aux_sym_declare_statement_token1] = ACTIONS(1450),
    [anon_sym_COMMA] = ACTIONS(1450),
    [aux_sym_set_statement_token1] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1450),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1450),
    [aux_sym_return_satement_token1] = ACTIONS(1450),
    [aux_sym_call_statement_token1] = ACTIONS(1450),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1450),
    [aux_sym_if_statement_token1] = ACTIONS(1450),
    [aux_sym_loop_statement_token1] = ACTIONS(1450),
    [aux_sym_repeat_statement_token1] = ACTIONS(1450),
    [aux_sym_while_statement_token1] = ACTIONS(1450),
    [aux_sym_break_statement_token1] = ACTIONS(1450),
    [aux_sym_leave_statement_token1] = ACTIONS(1450),
    [aux_sym_continue_statement_token1] = ACTIONS(1450),
    [aux_sym_iterate_statement_token1] = ACTIONS(1450),
    [aux_sym_raise_statement_token1] = ACTIONS(1450),
    [anon_sym_EQ] = ACTIONS(1450),
    [aux_sym_assert_statement_token1] = ACTIONS(1450),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1450),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1450),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1450),
    [anon_sym_LT] = ACTIONS(1452),
    [anon_sym_GT] = ACTIONS(1452),
    [aux_sym_set_operation_token1] = ACTIONS(1450),
    [aux_sym_set_operation_token3] = ACTIONS(1450),
    [aux_sym_set_operation_token4] = ACTIONS(1452),
    [aux_sym_select_token1] = ACTIONS(1450),
    [aux_sym_limit_clause_token1] = ACTIONS(1450),
    [aux_sym__direction_keywords_token1] = ACTIONS(1450),
    [aux_sym__direction_keywords_token2] = ACTIONS(1450),
    [aux_sym__nulls_preference_token1] = ACTIONS(1450),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1450),
    [aux_sym_truncate_statement_token1] = ACTIONS(1450),
    [aux_sym_update_statement_token1] = ACTIONS(1450),
    [aux_sym_merge_statement_token1] = ACTIONS(1450),
    [aux_sym_grant_statement_token1] = ACTIONS(1450),
    [aux_sym_revoke_statement_token1] = ACTIONS(1450),
    [aux_sym_export_data_statement_token1] = ACTIONS(1450),
    [aux_sym_load_data_statement_token1] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1450),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_STAR] = ACTIONS(1450),
    [anon_sym_SLASH] = ACTIONS(1452),
    [anon_sym_PIPE_PIPE] = ACTIONS(1450),
    [anon_sym_LT_EQ] = ACTIONS(1450),
    [anon_sym_LT_GT] = ACTIONS(1450),
    [anon_sym_GT_EQ] = ACTIONS(1450),
    [anon_sym_BANG_EQ] = ACTIONS(1450),
    [anon_sym_LT_LT] = ACTIONS(1450),
    [anon_sym_GT_GT] = ACTIONS(1450),
    [anon_sym_AMP] = ACTIONS(1450),
    [anon_sym_CARET] = ACTIONS(1450),
    [anon_sym_PIPE] = ACTIONS(1452),
  },
  [2836] = {
    [sym__keyword_between] = STATE(1244),
    [sym__keyword_is] = STATE(12133),
    [sym__keyword_in] = STATE(1140),
    [sym__keyword_not] = STATE(13072),
    [sym__keyword_and] = STATE(1164),
    [sym__keyword_or] = STATE(1168),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(3042),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(3046),
    [aux_sym__keyword_in_token1] = ACTIONS(3048),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(3054),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [aux_sym_option_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(3048),
    [anon_sym_GT] = ACTIONS(3048),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_DASH] = ACTIONS(3062),
    [anon_sym_STAR] = ACTIONS(3064),
    [anon_sym_SLASH] = ACTIONS(3066),
    [anon_sym_PIPE_PIPE] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(3054),
    [anon_sym_LT_GT] = ACTIONS(3054),
    [anon_sym_GT_EQ] = ACTIONS(3054),
    [anon_sym_BANG_EQ] = ACTIONS(3054),
    [anon_sym_LT_LT] = ACTIONS(3068),
    [anon_sym_GT_GT] = ACTIONS(3068),
    [anon_sym_AMP] = ACTIONS(3070),
    [anon_sym_CARET] = ACTIONS(3072),
    [anon_sym_PIPE] = ACTIONS(3074),
  },
  [2837] = {
    [sym_analytics_clause] = STATE(3207),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1462),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1462),
    [aux_sym_set_operation_token3] = ACTIONS(1462),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_limit_clause_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token2] = ACTIONS(1462),
    [aux_sym__nulls_preference_token1] = ACTIONS(1462),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [2838] = {
    [sym_analytics_clause] = STATE(3044),
    [ts_builtin_sym_end] = ACTIONS(1374),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1374),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1374),
    [aux_sym_keyword_replace_token1] = ACTIONS(1374),
    [aux_sym__keyword_alter_token1] = ACTIONS(1374),
    [aux_sym__keyword_delete_token1] = ACTIONS(1374),
    [aux_sym__keyword_begin_token1] = ACTIONS(1374),
    [aux_sym__keyword_end_token1] = ACTIONS(1374),
    [aux_sym__keyword_between_token1] = ACTIONS(1374),
    [aux_sym__keyword_when_token1] = ACTIONS(1374),
    [aux_sym__keyword_else_token1] = ACTIONS(1376),
    [aux_sym__keyword_is_token1] = ACTIONS(1374),
    [aux_sym__keyword_in_token1] = ACTIONS(1376),
    [aux_sym__keyword_and_token1] = ACTIONS(1374),
    [aux_sym__keyword_like_token1] = ACTIONS(1374),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1374),
    [aux_sym__keyword_for_token1] = ACTIONS(1374),
    [anon_sym_SEMI] = ACTIONS(1374),
    [aux_sym_declare_statement_token1] = ACTIONS(1374),
    [anon_sym_COMMA] = ACTIONS(1374),
    [aux_sym_set_statement_token1] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1374),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1374),
    [aux_sym_return_satement_token1] = ACTIONS(1374),
    [aux_sym_call_statement_token1] = ACTIONS(1374),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1374),
    [aux_sym_if_statement_token1] = ACTIONS(1374),
    [aux_sym_loop_statement_token1] = ACTIONS(1374),
    [aux_sym_repeat_statement_token1] = ACTIONS(1374),
    [aux_sym_while_statement_token1] = ACTIONS(1374),
    [aux_sym_break_statement_token1] = ACTIONS(1374),
    [aux_sym_leave_statement_token1] = ACTIONS(1374),
    [aux_sym_continue_statement_token1] = ACTIONS(1374),
    [aux_sym_iterate_statement_token1] = ACTIONS(1374),
    [aux_sym_raise_statement_token1] = ACTIONS(1374),
    [anon_sym_EQ] = ACTIONS(1374),
    [aux_sym_assert_statement_token1] = ACTIONS(1374),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1374),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1374),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1374),
    [anon_sym_LT] = ACTIONS(1376),
    [anon_sym_GT] = ACTIONS(1376),
    [aux_sym_set_operation_token1] = ACTIONS(1374),
    [aux_sym_set_operation_token3] = ACTIONS(1374),
    [aux_sym_set_operation_token4] = ACTIONS(1376),
    [aux_sym_select_token1] = ACTIONS(1374),
    [aux_sym_limit_clause_token1] = ACTIONS(1374),
    [aux_sym__direction_keywords_token1] = ACTIONS(1374),
    [aux_sym__direction_keywords_token2] = ACTIONS(1374),
    [aux_sym__nulls_preference_token1] = ACTIONS(1374),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1374),
    [aux_sym_truncate_statement_token1] = ACTIONS(1374),
    [aux_sym_update_statement_token1] = ACTIONS(1374),
    [aux_sym_merge_statement_token1] = ACTIONS(1374),
    [aux_sym_grant_statement_token1] = ACTIONS(1374),
    [aux_sym_revoke_statement_token1] = ACTIONS(1374),
    [aux_sym_export_data_statement_token1] = ACTIONS(1374),
    [aux_sym_load_data_statement_token1] = ACTIONS(1374),
    [anon_sym_LBRACK] = ACTIONS(1374),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_SLASH] = ACTIONS(1376),
    [anon_sym_PIPE_PIPE] = ACTIONS(1374),
    [anon_sym_LT_EQ] = ACTIONS(1374),
    [anon_sym_LT_GT] = ACTIONS(1374),
    [anon_sym_GT_EQ] = ACTIONS(1374),
    [anon_sym_BANG_EQ] = ACTIONS(1374),
    [anon_sym_LT_LT] = ACTIONS(1374),
    [anon_sym_GT_GT] = ACTIONS(1374),
    [anon_sym_AMP] = ACTIONS(1374),
    [anon_sym_CARET] = ACTIONS(1374),
    [anon_sym_PIPE] = ACTIONS(1376),
  },
  [2839] = {
    [sym_analytics_clause] = STATE(3045),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2840] = {
    [sym_analytics_clause] = STATE(3046),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2841] = {
    [sym_analytics_clause] = STATE(3165),
    [ts_builtin_sym_end] = ACTIONS(1450),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1450),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1450),
    [aux_sym_keyword_replace_token1] = ACTIONS(1450),
    [aux_sym__keyword_alter_token1] = ACTIONS(1450),
    [aux_sym__keyword_delete_token1] = ACTIONS(1450),
    [aux_sym__keyword_begin_token1] = ACTIONS(1450),
    [aux_sym__keyword_end_token1] = ACTIONS(1450),
    [aux_sym__keyword_between_token1] = ACTIONS(1450),
    [aux_sym__keyword_when_token1] = ACTIONS(1450),
    [aux_sym__keyword_else_token1] = ACTIONS(1452),
    [aux_sym__keyword_is_token1] = ACTIONS(1450),
    [aux_sym__keyword_in_token1] = ACTIONS(1452),
    [aux_sym__keyword_and_token1] = ACTIONS(1450),
    [aux_sym__keyword_like_token1] = ACTIONS(1450),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1450),
    [aux_sym__keyword_for_token1] = ACTIONS(1450),
    [anon_sym_SEMI] = ACTIONS(1450),
    [aux_sym_declare_statement_token1] = ACTIONS(1450),
    [anon_sym_COMMA] = ACTIONS(1450),
    [aux_sym_set_statement_token1] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1450),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1450),
    [aux_sym_return_satement_token1] = ACTIONS(1450),
    [aux_sym_call_statement_token1] = ACTIONS(1450),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1450),
    [aux_sym_if_statement_token1] = ACTIONS(1450),
    [aux_sym_loop_statement_token1] = ACTIONS(1450),
    [aux_sym_repeat_statement_token1] = ACTIONS(1450),
    [aux_sym_while_statement_token1] = ACTIONS(1450),
    [aux_sym_break_statement_token1] = ACTIONS(1450),
    [aux_sym_leave_statement_token1] = ACTIONS(1450),
    [aux_sym_continue_statement_token1] = ACTIONS(1450),
    [aux_sym_iterate_statement_token1] = ACTIONS(1450),
    [aux_sym_raise_statement_token1] = ACTIONS(1450),
    [anon_sym_EQ] = ACTIONS(1450),
    [aux_sym_assert_statement_token1] = ACTIONS(1450),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1450),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1450),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1450),
    [anon_sym_LT] = ACTIONS(1452),
    [anon_sym_GT] = ACTIONS(1452),
    [aux_sym_set_operation_token1] = ACTIONS(1450),
    [aux_sym_set_operation_token3] = ACTIONS(1450),
    [aux_sym_set_operation_token4] = ACTIONS(1452),
    [aux_sym_select_token1] = ACTIONS(1450),
    [aux_sym_limit_clause_token1] = ACTIONS(1450),
    [aux_sym__direction_keywords_token1] = ACTIONS(1450),
    [aux_sym__direction_keywords_token2] = ACTIONS(1450),
    [aux_sym__nulls_preference_token1] = ACTIONS(1450),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1450),
    [aux_sym_truncate_statement_token1] = ACTIONS(1450),
    [aux_sym_update_statement_token1] = ACTIONS(1450),
    [aux_sym_merge_statement_token1] = ACTIONS(1450),
    [aux_sym_grant_statement_token1] = ACTIONS(1450),
    [aux_sym_revoke_statement_token1] = ACTIONS(1450),
    [aux_sym_export_data_statement_token1] = ACTIONS(1450),
    [aux_sym_load_data_statement_token1] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1450),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_STAR] = ACTIONS(1450),
    [anon_sym_SLASH] = ACTIONS(1452),
    [anon_sym_PIPE_PIPE] = ACTIONS(1450),
    [anon_sym_LT_EQ] = ACTIONS(1450),
    [anon_sym_LT_GT] = ACTIONS(1450),
    [anon_sym_GT_EQ] = ACTIONS(1450),
    [anon_sym_BANG_EQ] = ACTIONS(1450),
    [anon_sym_LT_LT] = ACTIONS(1450),
    [anon_sym_GT_GT] = ACTIONS(1450),
    [anon_sym_AMP] = ACTIONS(1450),
    [anon_sym_CARET] = ACTIONS(1450),
    [anon_sym_PIPE] = ACTIONS(1452),
  },
  [2842] = {
    [sym_analytics_clause] = STATE(3047),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2843] = {
    [sym__keyword_between] = STATE(1244),
    [sym__keyword_is] = STATE(12133),
    [sym__keyword_in] = STATE(1140),
    [sym__keyword_not] = STATE(13072),
    [sym__keyword_and] = STATE(1164),
    [sym__keyword_or] = STATE(1168),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [aux_sym_option_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_DASH] = ACTIONS(3062),
    [anon_sym_STAR] = ACTIONS(3064),
    [anon_sym_SLASH] = ACTIONS(3066),
    [anon_sym_PIPE_PIPE] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(3068),
    [anon_sym_GT_GT] = ACTIONS(3068),
    [anon_sym_AMP] = ACTIONS(3070),
    [anon_sym_CARET] = ACTIONS(3072),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2844] = {
    [sym_analytics_clause] = STATE(3048),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2845] = {
    [sym_analytics_clause] = STATE(3049),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2846] = {
    [sym_analytics_clause] = STATE(3050),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2847] = {
    [sym__keyword_between] = STATE(1244),
    [sym__keyword_is] = STATE(12133),
    [sym__keyword_in] = STATE(1140),
    [sym__keyword_not] = STATE(13072),
    [sym__keyword_and] = STATE(1164),
    [sym__keyword_or] = STATE(1168),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [aux_sym_option_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_DASH] = ACTIONS(3062),
    [anon_sym_STAR] = ACTIONS(3064),
    [anon_sym_SLASH] = ACTIONS(3066),
    [anon_sym_PIPE_PIPE] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(3068),
    [anon_sym_GT_GT] = ACTIONS(3068),
    [anon_sym_AMP] = ACTIONS(3070),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2848] = {
    [sym_analytics_clause] = STATE(3051),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2849] = {
    [sym_analytics_clause] = STATE(3052),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2850] = {
    [sym_analytics_clause] = STATE(3053),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2851] = {
    [sym_analytics_clause] = STATE(3054),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2852] = {
    [sym_analytics_clause] = STATE(3080),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2853] = {
    [sym__keyword_between] = STATE(1244),
    [sym__keyword_is] = STATE(12133),
    [sym__keyword_in] = STATE(1140),
    [sym__keyword_not] = STATE(13072),
    [sym__keyword_and] = STATE(1164),
    [sym__keyword_or] = STATE(1168),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [aux_sym_option_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_DASH] = ACTIONS(3062),
    [anon_sym_STAR] = ACTIONS(3064),
    [anon_sym_SLASH] = ACTIONS(3066),
    [anon_sym_PIPE_PIPE] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(3068),
    [anon_sym_GT_GT] = ACTIONS(3068),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2854] = {
    [sym__keyword_between] = STATE(1244),
    [sym__keyword_is] = STATE(12133),
    [sym__keyword_in] = STATE(1140),
    [sym__keyword_not] = STATE(13072),
    [sym__keyword_and] = STATE(1164),
    [sym__keyword_or] = STATE(1168),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [aux_sym_option_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_DASH] = ACTIONS(3062),
    [anon_sym_STAR] = ACTIONS(3064),
    [anon_sym_SLASH] = ACTIONS(3066),
    [anon_sym_PIPE_PIPE] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2855] = {
    [sym__keyword_between] = STATE(1244),
    [sym__keyword_is] = STATE(12133),
    [sym__keyword_in] = STATE(1140),
    [sym__keyword_not] = STATE(13072),
    [sym__keyword_and] = STATE(1164),
    [sym__keyword_or] = STATE(1168),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [aux_sym_option_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(917),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PIPE_PIPE] = ACTIONS(917),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2856] = {
    [sym_analytics_clause] = STATE(3055),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2857] = {
    [sym__keyword_between] = STATE(1244),
    [sym__keyword_is] = STATE(12133),
    [sym__keyword_in] = STATE(1140),
    [sym__keyword_not] = STATE(13072),
    [sym__keyword_and] = STATE(1164),
    [sym__keyword_or] = STATE(1168),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [aux_sym_option_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(3064),
    [anon_sym_SLASH] = ACTIONS(3066),
    [anon_sym_PIPE_PIPE] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2858] = {
    [sym__keyword_between] = STATE(1244),
    [sym__keyword_is] = STATE(12133),
    [sym__keyword_in] = STATE(1140),
    [sym__keyword_not] = STATE(13072),
    [sym__keyword_and] = STATE(1164),
    [sym__keyword_or] = STATE(1168),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [aux_sym_option_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_DASH] = ACTIONS(3062),
    [anon_sym_STAR] = ACTIONS(3064),
    [anon_sym_SLASH] = ACTIONS(3066),
    [anon_sym_PIPE_PIPE] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(3068),
    [anon_sym_GT_GT] = ACTIONS(3068),
    [anon_sym_AMP] = ACTIONS(3070),
    [anon_sym_CARET] = ACTIONS(3072),
    [anon_sym_PIPE] = ACTIONS(3074),
  },
  [2859] = {
    [sym_analytics_clause] = STATE(3056),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2860] = {
    [sym_analytics_clause] = STATE(3057),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [2861] = {
    [sym_analytics_clause] = STATE(3058),
    [ts_builtin_sym_end] = ACTIONS(1484),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1484),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1484),
    [aux_sym_keyword_replace_token1] = ACTIONS(1484),
    [aux_sym__keyword_alter_token1] = ACTIONS(1484),
    [aux_sym__keyword_delete_token1] = ACTIONS(1484),
    [aux_sym__keyword_begin_token1] = ACTIONS(1484),
    [aux_sym__keyword_end_token1] = ACTIONS(1484),
    [aux_sym__keyword_between_token1] = ACTIONS(1484),
    [aux_sym__keyword_when_token1] = ACTIONS(1484),
    [aux_sym__keyword_else_token1] = ACTIONS(1486),
    [aux_sym__keyword_is_token1] = ACTIONS(1484),
    [aux_sym__keyword_in_token1] = ACTIONS(1486),
    [aux_sym__keyword_and_token1] = ACTIONS(1484),
    [aux_sym__keyword_like_token1] = ACTIONS(1484),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1484),
    [aux_sym__keyword_for_token1] = ACTIONS(1484),
    [anon_sym_SEMI] = ACTIONS(1484),
    [aux_sym_declare_statement_token1] = ACTIONS(1484),
    [anon_sym_COMMA] = ACTIONS(1484),
    [aux_sym_set_statement_token1] = ACTIONS(1484),
    [anon_sym_LPAREN] = ACTIONS(1484),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1484),
    [aux_sym_return_satement_token1] = ACTIONS(1484),
    [aux_sym_call_statement_token1] = ACTIONS(1484),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1484),
    [aux_sym_if_statement_token1] = ACTIONS(1484),
    [aux_sym_loop_statement_token1] = ACTIONS(1484),
    [aux_sym_repeat_statement_token1] = ACTIONS(1484),
    [aux_sym_while_statement_token1] = ACTIONS(1484),
    [aux_sym_break_statement_token1] = ACTIONS(1484),
    [aux_sym_leave_statement_token1] = ACTIONS(1484),
    [aux_sym_continue_statement_token1] = ACTIONS(1484),
    [aux_sym_iterate_statement_token1] = ACTIONS(1484),
    [aux_sym_raise_statement_token1] = ACTIONS(1484),
    [anon_sym_EQ] = ACTIONS(1484),
    [aux_sym_assert_statement_token1] = ACTIONS(1484),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1484),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1484),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1484),
    [anon_sym_LT] = ACTIONS(1486),
    [anon_sym_GT] = ACTIONS(1486),
    [aux_sym_set_operation_token1] = ACTIONS(1484),
    [aux_sym_set_operation_token3] = ACTIONS(1484),
    [aux_sym_set_operation_token4] = ACTIONS(1486),
    [aux_sym_select_token1] = ACTIONS(1484),
    [aux_sym_limit_clause_token1] = ACTIONS(1484),
    [aux_sym__direction_keywords_token1] = ACTIONS(1484),
    [aux_sym__direction_keywords_token2] = ACTIONS(1484),
    [aux_sym__nulls_preference_token1] = ACTIONS(1484),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1484),
    [aux_sym_truncate_statement_token1] = ACTIONS(1484),
    [aux_sym_update_statement_token1] = ACTIONS(1484),
    [aux_sym_merge_statement_token1] = ACTIONS(1484),
    [aux_sym_grant_statement_token1] = ACTIONS(1484),
    [aux_sym_revoke_statement_token1] = ACTIONS(1484),
    [aux_sym_export_data_statement_token1] = ACTIONS(1484),
    [aux_sym_load_data_statement_token1] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_SLASH] = ACTIONS(1486),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [anon_sym_LT_EQ] = ACTIONS(1484),
    [anon_sym_LT_GT] = ACTIONS(1484),
    [anon_sym_GT_EQ] = ACTIONS(1484),
    [anon_sym_BANG_EQ] = ACTIONS(1484),
    [anon_sym_LT_LT] = ACTIONS(1484),
    [anon_sym_GT_GT] = ACTIONS(1484),
    [anon_sym_AMP] = ACTIONS(1484),
    [anon_sym_CARET] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1486),
  },
  [2862] = {
    [sym_analytics_clause] = STATE(3164),
    [ts_builtin_sym_end] = ACTIONS(1438),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1438),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1438),
    [aux_sym_keyword_replace_token1] = ACTIONS(1438),
    [aux_sym__keyword_alter_token1] = ACTIONS(1438),
    [aux_sym__keyword_delete_token1] = ACTIONS(1438),
    [aux_sym__keyword_begin_token1] = ACTIONS(1438),
    [aux_sym__keyword_end_token1] = ACTIONS(1438),
    [aux_sym__keyword_between_token1] = ACTIONS(1438),
    [aux_sym__keyword_when_token1] = ACTIONS(1438),
    [aux_sym__keyword_else_token1] = ACTIONS(1440),
    [aux_sym__keyword_is_token1] = ACTIONS(1438),
    [aux_sym__keyword_in_token1] = ACTIONS(1440),
    [aux_sym__keyword_and_token1] = ACTIONS(1438),
    [aux_sym__keyword_like_token1] = ACTIONS(1438),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1438),
    [aux_sym__keyword_for_token1] = ACTIONS(1438),
    [anon_sym_SEMI] = ACTIONS(1438),
    [aux_sym_declare_statement_token1] = ACTIONS(1438),
    [anon_sym_COMMA] = ACTIONS(1438),
    [aux_sym_set_statement_token1] = ACTIONS(1438),
    [anon_sym_LPAREN] = ACTIONS(1438),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1438),
    [aux_sym_return_satement_token1] = ACTIONS(1438),
    [aux_sym_call_statement_token1] = ACTIONS(1438),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1438),
    [aux_sym_if_statement_token1] = ACTIONS(1438),
    [aux_sym_loop_statement_token1] = ACTIONS(1438),
    [aux_sym_repeat_statement_token1] = ACTIONS(1438),
    [aux_sym_while_statement_token1] = ACTIONS(1438),
    [aux_sym_break_statement_token1] = ACTIONS(1438),
    [aux_sym_leave_statement_token1] = ACTIONS(1438),
    [aux_sym_continue_statement_token1] = ACTIONS(1438),
    [aux_sym_iterate_statement_token1] = ACTIONS(1438),
    [aux_sym_raise_statement_token1] = ACTIONS(1438),
    [anon_sym_EQ] = ACTIONS(1438),
    [aux_sym_assert_statement_token1] = ACTIONS(1438),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1438),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1438),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1438),
    [anon_sym_LT] = ACTIONS(1440),
    [anon_sym_GT] = ACTIONS(1440),
    [aux_sym_set_operation_token1] = ACTIONS(1438),
    [aux_sym_set_operation_token3] = ACTIONS(1438),
    [aux_sym_set_operation_token4] = ACTIONS(1440),
    [aux_sym_select_token1] = ACTIONS(1438),
    [aux_sym_limit_clause_token1] = ACTIONS(1438),
    [aux_sym__direction_keywords_token1] = ACTIONS(1438),
    [aux_sym__direction_keywords_token2] = ACTIONS(1438),
    [aux_sym__nulls_preference_token1] = ACTIONS(1438),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1438),
    [aux_sym_truncate_statement_token1] = ACTIONS(1438),
    [aux_sym_update_statement_token1] = ACTIONS(1438),
    [aux_sym_merge_statement_token1] = ACTIONS(1438),
    [aux_sym_grant_statement_token1] = ACTIONS(1438),
    [aux_sym_revoke_statement_token1] = ACTIONS(1438),
    [aux_sym_export_data_statement_token1] = ACTIONS(1438),
    [aux_sym_load_data_statement_token1] = ACTIONS(1438),
    [anon_sym_LBRACK] = ACTIONS(1438),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_STAR] = ACTIONS(1438),
    [anon_sym_SLASH] = ACTIONS(1440),
    [anon_sym_PIPE_PIPE] = ACTIONS(1438),
    [anon_sym_LT_EQ] = ACTIONS(1438),
    [anon_sym_LT_GT] = ACTIONS(1438),
    [anon_sym_GT_EQ] = ACTIONS(1438),
    [anon_sym_BANG_EQ] = ACTIONS(1438),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_AMP] = ACTIONS(1438),
    [anon_sym_CARET] = ACTIONS(1438),
    [anon_sym_PIPE] = ACTIONS(1440),
  },
  [2863] = {
    [sym_analytics_clause] = STATE(3163),
    [ts_builtin_sym_end] = ACTIONS(1434),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1434),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1434),
    [aux_sym_keyword_replace_token1] = ACTIONS(1434),
    [aux_sym__keyword_alter_token1] = ACTIONS(1434),
    [aux_sym__keyword_delete_token1] = ACTIONS(1434),
    [aux_sym__keyword_begin_token1] = ACTIONS(1434),
    [aux_sym__keyword_end_token1] = ACTIONS(1434),
    [aux_sym__keyword_between_token1] = ACTIONS(1434),
    [aux_sym__keyword_when_token1] = ACTIONS(1434),
    [aux_sym__keyword_else_token1] = ACTIONS(1436),
    [aux_sym__keyword_is_token1] = ACTIONS(1434),
    [aux_sym__keyword_in_token1] = ACTIONS(1436),
    [aux_sym__keyword_and_token1] = ACTIONS(1434),
    [aux_sym__keyword_like_token1] = ACTIONS(1434),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1434),
    [aux_sym__keyword_for_token1] = ACTIONS(1434),
    [anon_sym_SEMI] = ACTIONS(1434),
    [aux_sym_declare_statement_token1] = ACTIONS(1434),
    [anon_sym_COMMA] = ACTIONS(1434),
    [aux_sym_set_statement_token1] = ACTIONS(1434),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1434),
    [aux_sym_return_satement_token1] = ACTIONS(1434),
    [aux_sym_call_statement_token1] = ACTIONS(1434),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1434),
    [aux_sym_if_statement_token1] = ACTIONS(1434),
    [aux_sym_loop_statement_token1] = ACTIONS(1434),
    [aux_sym_repeat_statement_token1] = ACTIONS(1434),
    [aux_sym_while_statement_token1] = ACTIONS(1434),
    [aux_sym_break_statement_token1] = ACTIONS(1434),
    [aux_sym_leave_statement_token1] = ACTIONS(1434),
    [aux_sym_continue_statement_token1] = ACTIONS(1434),
    [aux_sym_iterate_statement_token1] = ACTIONS(1434),
    [aux_sym_raise_statement_token1] = ACTIONS(1434),
    [anon_sym_EQ] = ACTIONS(1434),
    [aux_sym_assert_statement_token1] = ACTIONS(1434),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1434),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1434),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1434),
    [anon_sym_LT] = ACTIONS(1436),
    [anon_sym_GT] = ACTIONS(1436),
    [aux_sym_set_operation_token1] = ACTIONS(1434),
    [aux_sym_set_operation_token3] = ACTIONS(1434),
    [aux_sym_set_operation_token4] = ACTIONS(1436),
    [aux_sym_select_token1] = ACTIONS(1434),
    [aux_sym_limit_clause_token1] = ACTIONS(1434),
    [aux_sym__direction_keywords_token1] = ACTIONS(1434),
    [aux_sym__direction_keywords_token2] = ACTIONS(1434),
    [aux_sym__nulls_preference_token1] = ACTIONS(1434),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1434),
    [aux_sym_truncate_statement_token1] = ACTIONS(1434),
    [aux_sym_update_statement_token1] = ACTIONS(1434),
    [aux_sym_merge_statement_token1] = ACTIONS(1434),
    [aux_sym_grant_statement_token1] = ACTIONS(1434),
    [aux_sym_revoke_statement_token1] = ACTIONS(1434),
    [aux_sym_export_data_statement_token1] = ACTIONS(1434),
    [aux_sym_load_data_statement_token1] = ACTIONS(1434),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_STAR] = ACTIONS(1434),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1434),
    [anon_sym_LT_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1434),
    [anon_sym_BANG_EQ] = ACTIONS(1434),
    [anon_sym_LT_LT] = ACTIONS(1434),
    [anon_sym_GT_GT] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1434),
    [anon_sym_PIPE] = ACTIONS(1436),
  },
  [2864] = {
    [sym_analytics_clause] = STATE(3162),
    [ts_builtin_sym_end] = ACTIONS(1430),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1430),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1430),
    [aux_sym_keyword_replace_token1] = ACTIONS(1430),
    [aux_sym__keyword_alter_token1] = ACTIONS(1430),
    [aux_sym__keyword_delete_token1] = ACTIONS(1430),
    [aux_sym__keyword_begin_token1] = ACTIONS(1430),
    [aux_sym__keyword_end_token1] = ACTIONS(1430),
    [aux_sym__keyword_between_token1] = ACTIONS(1430),
    [aux_sym__keyword_when_token1] = ACTIONS(1430),
    [aux_sym__keyword_else_token1] = ACTIONS(1432),
    [aux_sym__keyword_is_token1] = ACTIONS(1430),
    [aux_sym__keyword_in_token1] = ACTIONS(1432),
    [aux_sym__keyword_and_token1] = ACTIONS(1430),
    [aux_sym__keyword_like_token1] = ACTIONS(1430),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1430),
    [aux_sym__keyword_for_token1] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(1430),
    [aux_sym_declare_statement_token1] = ACTIONS(1430),
    [anon_sym_COMMA] = ACTIONS(1430),
    [aux_sym_set_statement_token1] = ACTIONS(1430),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1430),
    [aux_sym_return_satement_token1] = ACTIONS(1430),
    [aux_sym_call_statement_token1] = ACTIONS(1430),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1430),
    [aux_sym_if_statement_token1] = ACTIONS(1430),
    [aux_sym_loop_statement_token1] = ACTIONS(1430),
    [aux_sym_repeat_statement_token1] = ACTIONS(1430),
    [aux_sym_while_statement_token1] = ACTIONS(1430),
    [aux_sym_break_statement_token1] = ACTIONS(1430),
    [aux_sym_leave_statement_token1] = ACTIONS(1430),
    [aux_sym_continue_statement_token1] = ACTIONS(1430),
    [aux_sym_iterate_statement_token1] = ACTIONS(1430),
    [aux_sym_raise_statement_token1] = ACTIONS(1430),
    [anon_sym_EQ] = ACTIONS(1430),
    [aux_sym_assert_statement_token1] = ACTIONS(1430),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1430),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1430),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [aux_sym_set_operation_token1] = ACTIONS(1430),
    [aux_sym_set_operation_token3] = ACTIONS(1430),
    [aux_sym_set_operation_token4] = ACTIONS(1432),
    [aux_sym_select_token1] = ACTIONS(1430),
    [aux_sym_limit_clause_token1] = ACTIONS(1430),
    [aux_sym__direction_keywords_token1] = ACTIONS(1430),
    [aux_sym__direction_keywords_token2] = ACTIONS(1430),
    [aux_sym__nulls_preference_token1] = ACTIONS(1430),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1430),
    [aux_sym_truncate_statement_token1] = ACTIONS(1430),
    [aux_sym_update_statement_token1] = ACTIONS(1430),
    [aux_sym_merge_statement_token1] = ACTIONS(1430),
    [aux_sym_grant_statement_token1] = ACTIONS(1430),
    [aux_sym_revoke_statement_token1] = ACTIONS(1430),
    [aux_sym_export_data_statement_token1] = ACTIONS(1430),
    [aux_sym_load_data_statement_token1] = ACTIONS(1430),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1432),
    [anon_sym_PIPE_PIPE] = ACTIONS(1430),
    [anon_sym_LT_EQ] = ACTIONS(1430),
    [anon_sym_LT_GT] = ACTIONS(1430),
    [anon_sym_GT_EQ] = ACTIONS(1430),
    [anon_sym_BANG_EQ] = ACTIONS(1430),
    [anon_sym_LT_LT] = ACTIONS(1430),
    [anon_sym_GT_GT] = ACTIONS(1430),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_PIPE] = ACTIONS(1432),
  },
  [2865] = {
    [sym_analytics_clause] = STATE(3059),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token2] = ACTIONS(1378),
    [aux_sym__nulls_preference_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [2866] = {
    [sym_analytics_clause] = STATE(3060),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token2] = ACTIONS(1378),
    [aux_sym__nulls_preference_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [2867] = {
    [sym_analytics_clause] = STATE(3061),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token2] = ACTIONS(1378),
    [aux_sym__nulls_preference_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [2868] = {
    [sym_analytics_clause] = STATE(3183),
    [ts_builtin_sym_end] = ACTIONS(1492),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1492),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1492),
    [aux_sym_keyword_replace_token1] = ACTIONS(1492),
    [aux_sym__keyword_alter_token1] = ACTIONS(1492),
    [aux_sym__keyword_delete_token1] = ACTIONS(1492),
    [aux_sym__keyword_begin_token1] = ACTIONS(1492),
    [aux_sym__keyword_end_token1] = ACTIONS(1492),
    [aux_sym__keyword_between_token1] = ACTIONS(1492),
    [aux_sym__keyword_when_token1] = ACTIONS(1492),
    [aux_sym__keyword_else_token1] = ACTIONS(1494),
    [aux_sym__keyword_is_token1] = ACTIONS(1492),
    [aux_sym__keyword_in_token1] = ACTIONS(1494),
    [aux_sym__keyword_and_token1] = ACTIONS(1492),
    [aux_sym__keyword_like_token1] = ACTIONS(1492),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1492),
    [aux_sym__keyword_for_token1] = ACTIONS(1492),
    [anon_sym_SEMI] = ACTIONS(1492),
    [aux_sym_declare_statement_token1] = ACTIONS(1492),
    [anon_sym_COMMA] = ACTIONS(1492),
    [aux_sym_set_statement_token1] = ACTIONS(1492),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1492),
    [aux_sym_return_satement_token1] = ACTIONS(1492),
    [aux_sym_call_statement_token1] = ACTIONS(1492),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1492),
    [aux_sym_if_statement_token1] = ACTIONS(1492),
    [aux_sym_loop_statement_token1] = ACTIONS(1492),
    [aux_sym_repeat_statement_token1] = ACTIONS(1492),
    [aux_sym_while_statement_token1] = ACTIONS(1492),
    [aux_sym_break_statement_token1] = ACTIONS(1492),
    [aux_sym_leave_statement_token1] = ACTIONS(1492),
    [aux_sym_continue_statement_token1] = ACTIONS(1492),
    [aux_sym_iterate_statement_token1] = ACTIONS(1492),
    [aux_sym_raise_statement_token1] = ACTIONS(1492),
    [anon_sym_EQ] = ACTIONS(1492),
    [aux_sym_assert_statement_token1] = ACTIONS(1492),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1492),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1492),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1492),
    [anon_sym_LT] = ACTIONS(1494),
    [anon_sym_GT] = ACTIONS(1494),
    [aux_sym_set_operation_token1] = ACTIONS(1492),
    [aux_sym_set_operation_token3] = ACTIONS(1492),
    [aux_sym_set_operation_token4] = ACTIONS(1494),
    [aux_sym_select_token1] = ACTIONS(1492),
    [aux_sym_limit_clause_token1] = ACTIONS(1492),
    [aux_sym__direction_keywords_token1] = ACTIONS(1492),
    [aux_sym__direction_keywords_token2] = ACTIONS(1492),
    [aux_sym__nulls_preference_token1] = ACTIONS(1492),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1492),
    [aux_sym_truncate_statement_token1] = ACTIONS(1492),
    [aux_sym_update_statement_token1] = ACTIONS(1492),
    [aux_sym_merge_statement_token1] = ACTIONS(1492),
    [aux_sym_grant_statement_token1] = ACTIONS(1492),
    [aux_sym_revoke_statement_token1] = ACTIONS(1492),
    [aux_sym_export_data_statement_token1] = ACTIONS(1492),
    [aux_sym_load_data_statement_token1] = ACTIONS(1492),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_STAR] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1494),
    [anon_sym_PIPE_PIPE] = ACTIONS(1492),
    [anon_sym_LT_EQ] = ACTIONS(1492),
    [anon_sym_LT_GT] = ACTIONS(1492),
    [anon_sym_GT_EQ] = ACTIONS(1492),
    [anon_sym_BANG_EQ] = ACTIONS(1492),
    [anon_sym_LT_LT] = ACTIONS(1492),
    [anon_sym_GT_GT] = ACTIONS(1492),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_CARET] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1494),
  },
  [2869] = {
    [sym_analytics_clause] = STATE(3065),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token2] = ACTIONS(1378),
    [aux_sym__nulls_preference_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [2870] = {
    [sym_analytics_clause] = STATE(3066),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token2] = ACTIONS(1378),
    [aux_sym__nulls_preference_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [2871] = {
    [sym_analytics_clause] = STATE(3067),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token2] = ACTIONS(1378),
    [aux_sym__nulls_preference_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [2872] = {
    [sym_analytics_clause] = STATE(3088),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2873] = {
    [sym_analytics_clause] = STATE(3069),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token2] = ACTIONS(1378),
    [aux_sym__nulls_preference_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [2874] = {
    [sym_analytics_clause] = STATE(3070),
    [ts_builtin_sym_end] = ACTIONS(1390),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1390),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1390),
    [aux_sym_keyword_replace_token1] = ACTIONS(1390),
    [aux_sym__keyword_alter_token1] = ACTIONS(1390),
    [aux_sym__keyword_delete_token1] = ACTIONS(1390),
    [aux_sym__keyword_begin_token1] = ACTIONS(1390),
    [aux_sym__keyword_end_token1] = ACTIONS(1390),
    [aux_sym__keyword_between_token1] = ACTIONS(1390),
    [aux_sym__keyword_when_token1] = ACTIONS(1390),
    [aux_sym__keyword_else_token1] = ACTIONS(1392),
    [aux_sym__keyword_is_token1] = ACTIONS(1390),
    [aux_sym__keyword_in_token1] = ACTIONS(1392),
    [aux_sym__keyword_and_token1] = ACTIONS(1390),
    [aux_sym__keyword_like_token1] = ACTIONS(1390),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1390),
    [aux_sym__keyword_for_token1] = ACTIONS(1390),
    [anon_sym_SEMI] = ACTIONS(1390),
    [aux_sym_declare_statement_token1] = ACTIONS(1390),
    [anon_sym_COMMA] = ACTIONS(1390),
    [aux_sym_set_statement_token1] = ACTIONS(1390),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1390),
    [aux_sym_return_satement_token1] = ACTIONS(1390),
    [aux_sym_call_statement_token1] = ACTIONS(1390),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1390),
    [aux_sym_if_statement_token1] = ACTIONS(1390),
    [aux_sym_loop_statement_token1] = ACTIONS(1390),
    [aux_sym_repeat_statement_token1] = ACTIONS(1390),
    [aux_sym_while_statement_token1] = ACTIONS(1390),
    [aux_sym_break_statement_token1] = ACTIONS(1390),
    [aux_sym_leave_statement_token1] = ACTIONS(1390),
    [aux_sym_continue_statement_token1] = ACTIONS(1390),
    [aux_sym_iterate_statement_token1] = ACTIONS(1390),
    [aux_sym_raise_statement_token1] = ACTIONS(1390),
    [anon_sym_EQ] = ACTIONS(1390),
    [aux_sym_assert_statement_token1] = ACTIONS(1390),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1390),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1390),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1390),
    [anon_sym_LT] = ACTIONS(1392),
    [anon_sym_GT] = ACTIONS(1392),
    [aux_sym_set_operation_token1] = ACTIONS(1390),
    [aux_sym_set_operation_token3] = ACTIONS(1390),
    [aux_sym_set_operation_token4] = ACTIONS(1392),
    [aux_sym_select_token1] = ACTIONS(1390),
    [aux_sym_limit_clause_token1] = ACTIONS(1390),
    [aux_sym__direction_keywords_token1] = ACTIONS(1390),
    [aux_sym__direction_keywords_token2] = ACTIONS(1390),
    [aux_sym__nulls_preference_token1] = ACTIONS(1390),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1390),
    [aux_sym_truncate_statement_token1] = ACTIONS(1390),
    [aux_sym_update_statement_token1] = ACTIONS(1390),
    [aux_sym_merge_statement_token1] = ACTIONS(1390),
    [aux_sym_grant_statement_token1] = ACTIONS(1390),
    [aux_sym_revoke_statement_token1] = ACTIONS(1390),
    [aux_sym_export_data_statement_token1] = ACTIONS(1390),
    [aux_sym_load_data_statement_token1] = ACTIONS(1390),
    [anon_sym_LBRACK] = ACTIONS(1390),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_DASH] = ACTIONS(1392),
    [anon_sym_STAR] = ACTIONS(1390),
    [anon_sym_SLASH] = ACTIONS(1392),
    [anon_sym_PIPE_PIPE] = ACTIONS(1390),
    [anon_sym_LT_EQ] = ACTIONS(1390),
    [anon_sym_LT_GT] = ACTIONS(1390),
    [anon_sym_GT_EQ] = ACTIONS(1390),
    [anon_sym_BANG_EQ] = ACTIONS(1390),
    [anon_sym_LT_LT] = ACTIONS(1390),
    [anon_sym_GT_GT] = ACTIONS(1390),
    [anon_sym_AMP] = ACTIONS(1390),
    [anon_sym_CARET] = ACTIONS(1390),
    [anon_sym_PIPE] = ACTIONS(1392),
  },
  [2875] = {
    [sym_analytics_clause] = STATE(3071),
    [ts_builtin_sym_end] = ACTIONS(1382),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1382),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1382),
    [aux_sym_keyword_replace_token1] = ACTIONS(1382),
    [aux_sym__keyword_alter_token1] = ACTIONS(1382),
    [aux_sym__keyword_delete_token1] = ACTIONS(1382),
    [aux_sym__keyword_begin_token1] = ACTIONS(1382),
    [aux_sym__keyword_end_token1] = ACTIONS(1382),
    [aux_sym__keyword_between_token1] = ACTIONS(1382),
    [aux_sym__keyword_when_token1] = ACTIONS(1382),
    [aux_sym__keyword_else_token1] = ACTIONS(1384),
    [aux_sym__keyword_is_token1] = ACTIONS(1382),
    [aux_sym__keyword_in_token1] = ACTIONS(1384),
    [aux_sym__keyword_and_token1] = ACTIONS(1382),
    [aux_sym__keyword_like_token1] = ACTIONS(1382),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1382),
    [aux_sym__keyword_for_token1] = ACTIONS(1382),
    [anon_sym_SEMI] = ACTIONS(1382),
    [aux_sym_declare_statement_token1] = ACTIONS(1382),
    [anon_sym_COMMA] = ACTIONS(1382),
    [aux_sym_set_statement_token1] = ACTIONS(1382),
    [anon_sym_LPAREN] = ACTIONS(1382),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1382),
    [aux_sym_return_satement_token1] = ACTIONS(1382),
    [aux_sym_call_statement_token1] = ACTIONS(1382),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1382),
    [aux_sym_if_statement_token1] = ACTIONS(1382),
    [aux_sym_loop_statement_token1] = ACTIONS(1382),
    [aux_sym_repeat_statement_token1] = ACTIONS(1382),
    [aux_sym_while_statement_token1] = ACTIONS(1382),
    [aux_sym_break_statement_token1] = ACTIONS(1382),
    [aux_sym_leave_statement_token1] = ACTIONS(1382),
    [aux_sym_continue_statement_token1] = ACTIONS(1382),
    [aux_sym_iterate_statement_token1] = ACTIONS(1382),
    [aux_sym_raise_statement_token1] = ACTIONS(1382),
    [anon_sym_EQ] = ACTIONS(1382),
    [aux_sym_assert_statement_token1] = ACTIONS(1382),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1382),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1382),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1382),
    [anon_sym_LT] = ACTIONS(1384),
    [anon_sym_GT] = ACTIONS(1384),
    [aux_sym_set_operation_token1] = ACTIONS(1382),
    [aux_sym_set_operation_token3] = ACTIONS(1382),
    [aux_sym_set_operation_token4] = ACTIONS(1384),
    [aux_sym_select_token1] = ACTIONS(1382),
    [aux_sym_limit_clause_token1] = ACTIONS(1382),
    [aux_sym__direction_keywords_token1] = ACTIONS(1382),
    [aux_sym__direction_keywords_token2] = ACTIONS(1382),
    [aux_sym__nulls_preference_token1] = ACTIONS(1382),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1382),
    [aux_sym_truncate_statement_token1] = ACTIONS(1382),
    [aux_sym_update_statement_token1] = ACTIONS(1382),
    [aux_sym_merge_statement_token1] = ACTIONS(1382),
    [aux_sym_grant_statement_token1] = ACTIONS(1382),
    [aux_sym_revoke_statement_token1] = ACTIONS(1382),
    [aux_sym_export_data_statement_token1] = ACTIONS(1382),
    [aux_sym_load_data_statement_token1] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(1382),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1382),
    [anon_sym_PLUS] = ACTIONS(1382),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_STAR] = ACTIONS(1382),
    [anon_sym_SLASH] = ACTIONS(1384),
    [anon_sym_PIPE_PIPE] = ACTIONS(1382),
    [anon_sym_LT_EQ] = ACTIONS(1382),
    [anon_sym_LT_GT] = ACTIONS(1382),
    [anon_sym_GT_EQ] = ACTIONS(1382),
    [anon_sym_BANG_EQ] = ACTIONS(1382),
    [anon_sym_LT_LT] = ACTIONS(1382),
    [anon_sym_GT_GT] = ACTIONS(1382),
    [anon_sym_AMP] = ACTIONS(1382),
    [anon_sym_CARET] = ACTIONS(1382),
    [anon_sym_PIPE] = ACTIONS(1384),
  },
  [2876] = {
    [sym_analytics_clause] = STATE(3072),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2877] = {
    [sym_analytics_clause] = STATE(3161),
    [ts_builtin_sym_end] = ACTIONS(1426),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1426),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1426),
    [aux_sym_keyword_replace_token1] = ACTIONS(1426),
    [aux_sym__keyword_alter_token1] = ACTIONS(1426),
    [aux_sym__keyword_delete_token1] = ACTIONS(1426),
    [aux_sym__keyword_begin_token1] = ACTIONS(1426),
    [aux_sym__keyword_end_token1] = ACTIONS(1426),
    [aux_sym__keyword_between_token1] = ACTIONS(1426),
    [aux_sym__keyword_when_token1] = ACTIONS(1426),
    [aux_sym__keyword_else_token1] = ACTIONS(1428),
    [aux_sym__keyword_is_token1] = ACTIONS(1426),
    [aux_sym__keyword_in_token1] = ACTIONS(1428),
    [aux_sym__keyword_and_token1] = ACTIONS(1426),
    [aux_sym__keyword_like_token1] = ACTIONS(1426),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1426),
    [aux_sym__keyword_for_token1] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(1426),
    [aux_sym_declare_statement_token1] = ACTIONS(1426),
    [anon_sym_COMMA] = ACTIONS(1426),
    [aux_sym_set_statement_token1] = ACTIONS(1426),
    [anon_sym_LPAREN] = ACTIONS(1426),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1426),
    [aux_sym_return_satement_token1] = ACTIONS(1426),
    [aux_sym_call_statement_token1] = ACTIONS(1426),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1426),
    [aux_sym_if_statement_token1] = ACTIONS(1426),
    [aux_sym_loop_statement_token1] = ACTIONS(1426),
    [aux_sym_repeat_statement_token1] = ACTIONS(1426),
    [aux_sym_while_statement_token1] = ACTIONS(1426),
    [aux_sym_break_statement_token1] = ACTIONS(1426),
    [aux_sym_leave_statement_token1] = ACTIONS(1426),
    [aux_sym_continue_statement_token1] = ACTIONS(1426),
    [aux_sym_iterate_statement_token1] = ACTIONS(1426),
    [aux_sym_raise_statement_token1] = ACTIONS(1426),
    [anon_sym_EQ] = ACTIONS(1426),
    [aux_sym_assert_statement_token1] = ACTIONS(1426),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1426),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1426),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1426),
    [anon_sym_LT] = ACTIONS(1428),
    [anon_sym_GT] = ACTIONS(1428),
    [aux_sym_set_operation_token1] = ACTIONS(1426),
    [aux_sym_set_operation_token3] = ACTIONS(1426),
    [aux_sym_set_operation_token4] = ACTIONS(1428),
    [aux_sym_select_token1] = ACTIONS(1426),
    [aux_sym_limit_clause_token1] = ACTIONS(1426),
    [aux_sym__direction_keywords_token1] = ACTIONS(1426),
    [aux_sym__direction_keywords_token2] = ACTIONS(1426),
    [aux_sym__nulls_preference_token1] = ACTIONS(1426),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1426),
    [aux_sym_truncate_statement_token1] = ACTIONS(1426),
    [aux_sym_update_statement_token1] = ACTIONS(1426),
    [aux_sym_merge_statement_token1] = ACTIONS(1426),
    [aux_sym_grant_statement_token1] = ACTIONS(1426),
    [aux_sym_revoke_statement_token1] = ACTIONS(1426),
    [aux_sym_export_data_statement_token1] = ACTIONS(1426),
    [aux_sym_load_data_statement_token1] = ACTIONS(1426),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1426),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PIPE_PIPE] = ACTIONS(1426),
    [anon_sym_LT_EQ] = ACTIONS(1426),
    [anon_sym_LT_GT] = ACTIONS(1426),
    [anon_sym_GT_EQ] = ACTIONS(1426),
    [anon_sym_BANG_EQ] = ACTIONS(1426),
    [anon_sym_LT_LT] = ACTIONS(1426),
    [anon_sym_GT_GT] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_PIPE] = ACTIONS(1428),
  },
  [2878] = {
    [sym_analytics_clause] = STATE(3073),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2879] = {
    [sym_analytics_clause] = STATE(3074),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2880] = {
    [sym_analytics_clause] = STATE(3075),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2881] = {
    [sym_analytics_clause] = STATE(3076),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2882] = {
    [sym_analytics_clause] = STATE(3077),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2883] = {
    [sym_analytics_clause] = STATE(3078),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2884] = {
    [sym_analytics_clause] = STATE(3079),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2885] = {
    [sym_analytics_clause] = STATE(3159),
    [ts_builtin_sym_end] = ACTIONS(1422),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1422),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1422),
    [aux_sym_keyword_replace_token1] = ACTIONS(1422),
    [aux_sym__keyword_alter_token1] = ACTIONS(1422),
    [aux_sym__keyword_delete_token1] = ACTIONS(1422),
    [aux_sym__keyword_begin_token1] = ACTIONS(1422),
    [aux_sym__keyword_end_token1] = ACTIONS(1422),
    [aux_sym__keyword_between_token1] = ACTIONS(1422),
    [aux_sym__keyword_when_token1] = ACTIONS(1422),
    [aux_sym__keyword_else_token1] = ACTIONS(1424),
    [aux_sym__keyword_is_token1] = ACTIONS(1422),
    [aux_sym__keyword_in_token1] = ACTIONS(1424),
    [aux_sym__keyword_and_token1] = ACTIONS(1422),
    [aux_sym__keyword_like_token1] = ACTIONS(1422),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1422),
    [aux_sym__keyword_for_token1] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1422),
    [aux_sym_declare_statement_token1] = ACTIONS(1422),
    [anon_sym_COMMA] = ACTIONS(1422),
    [aux_sym_set_statement_token1] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1422),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1422),
    [aux_sym_return_satement_token1] = ACTIONS(1422),
    [aux_sym_call_statement_token1] = ACTIONS(1422),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1422),
    [aux_sym_if_statement_token1] = ACTIONS(1422),
    [aux_sym_loop_statement_token1] = ACTIONS(1422),
    [aux_sym_repeat_statement_token1] = ACTIONS(1422),
    [aux_sym_while_statement_token1] = ACTIONS(1422),
    [aux_sym_break_statement_token1] = ACTIONS(1422),
    [aux_sym_leave_statement_token1] = ACTIONS(1422),
    [aux_sym_continue_statement_token1] = ACTIONS(1422),
    [aux_sym_iterate_statement_token1] = ACTIONS(1422),
    [aux_sym_raise_statement_token1] = ACTIONS(1422),
    [anon_sym_EQ] = ACTIONS(1422),
    [aux_sym_assert_statement_token1] = ACTIONS(1422),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1422),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1422),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1422),
    [anon_sym_LT] = ACTIONS(1424),
    [anon_sym_GT] = ACTIONS(1424),
    [aux_sym_set_operation_token1] = ACTIONS(1422),
    [aux_sym_set_operation_token3] = ACTIONS(1422),
    [aux_sym_set_operation_token4] = ACTIONS(1424),
    [aux_sym_select_token1] = ACTIONS(1422),
    [aux_sym_limit_clause_token1] = ACTIONS(1422),
    [aux_sym__direction_keywords_token1] = ACTIONS(1422),
    [aux_sym__direction_keywords_token2] = ACTIONS(1422),
    [aux_sym__nulls_preference_token1] = ACTIONS(1422),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1422),
    [aux_sym_truncate_statement_token1] = ACTIONS(1422),
    [aux_sym_update_statement_token1] = ACTIONS(1422),
    [aux_sym_merge_statement_token1] = ACTIONS(1422),
    [aux_sym_grant_statement_token1] = ACTIONS(1422),
    [aux_sym_revoke_statement_token1] = ACTIONS(1422),
    [aux_sym_export_data_statement_token1] = ACTIONS(1422),
    [aux_sym_load_data_statement_token1] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1422),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1424),
    [anon_sym_STAR] = ACTIONS(1422),
    [anon_sym_SLASH] = ACTIONS(1424),
    [anon_sym_PIPE_PIPE] = ACTIONS(1422),
    [anon_sym_LT_EQ] = ACTIONS(1422),
    [anon_sym_LT_GT] = ACTIONS(1422),
    [anon_sym_GT_EQ] = ACTIONS(1422),
    [anon_sym_BANG_EQ] = ACTIONS(1422),
    [anon_sym_LT_LT] = ACTIONS(1422),
    [anon_sym_GT_GT] = ACTIONS(1422),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_CARET] = ACTIONS(1422),
    [anon_sym_PIPE] = ACTIONS(1424),
  },
  [2886] = {
    [sym_analytics_clause] = STATE(3134),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2887] = {
    [sym_analytics_clause] = STATE(3081),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2888] = {
    [sym_analytics_clause] = STATE(3068),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token2] = ACTIONS(1378),
    [aux_sym__nulls_preference_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [2889] = {
    [sym_analytics_clause] = STATE(3082),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2890] = {
    [sym__keyword_as] = STATE(15192),
    [ts_builtin_sym_end] = ACTIONS(1474),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1474),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1474),
    [aux_sym_keyword_replace_token1] = ACTIONS(1474),
    [aux_sym__keyword_alter_token1] = ACTIONS(1474),
    [aux_sym__keyword_delete_token1] = ACTIONS(1474),
    [aux_sym__keyword_begin_token1] = ACTIONS(1474),
    [aux_sym__keyword_end_token1] = ACTIONS(1474),
    [aux_sym__keyword_between_token1] = ACTIONS(1474),
    [aux_sym__keyword_when_token1] = ACTIONS(1474),
    [aux_sym__keyword_else_token1] = ACTIONS(1476),
    [aux_sym__keyword_is_token1] = ACTIONS(1474),
    [aux_sym__keyword_in_token1] = ACTIONS(1476),
    [aux_sym__keyword_and_token1] = ACTIONS(1474),
    [aux_sym__keyword_like_token1] = ACTIONS(1474),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1474),
    [aux_sym__keyword_as_token1] = ACTIONS(3084),
    [aux_sym__keyword_for_token1] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1474),
    [aux_sym_declare_statement_token1] = ACTIONS(1474),
    [anon_sym_COMMA] = ACTIONS(1474),
    [aux_sym_set_statement_token1] = ACTIONS(1474),
    [anon_sym_LPAREN] = ACTIONS(1474),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1474),
    [aux_sym_return_satement_token1] = ACTIONS(1474),
    [aux_sym_call_statement_token1] = ACTIONS(1474),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1474),
    [aux_sym_if_statement_token1] = ACTIONS(1474),
    [aux_sym_loop_statement_token1] = ACTIONS(1474),
    [aux_sym_repeat_statement_token1] = ACTIONS(1474),
    [aux_sym_while_statement_token1] = ACTIONS(1474),
    [aux_sym_break_statement_token1] = ACTIONS(1474),
    [aux_sym_leave_statement_token1] = ACTIONS(1474),
    [aux_sym_continue_statement_token1] = ACTIONS(1474),
    [aux_sym_iterate_statement_token1] = ACTIONS(1474),
    [aux_sym_raise_statement_token1] = ACTIONS(1474),
    [anon_sym_EQ] = ACTIONS(1474),
    [aux_sym_assert_statement_token1] = ACTIONS(1474),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1474),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1474),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1474),
    [anon_sym_LT] = ACTIONS(1476),
    [anon_sym_GT] = ACTIONS(1476),
    [aux_sym_set_operation_token1] = ACTIONS(1474),
    [aux_sym_set_operation_token3] = ACTIONS(1474),
    [aux_sym_set_operation_token4] = ACTIONS(1476),
    [aux_sym_select_token1] = ACTIONS(1474),
    [aux_sym_limit_clause_token1] = ACTIONS(1474),
    [aux_sym__direction_keywords_token1] = ACTIONS(1474),
    [aux_sym__direction_keywords_token2] = ACTIONS(1474),
    [aux_sym__nulls_preference_token1] = ACTIONS(1474),
    [aux_sym_insert_statement_token1] = ACTIONS(1474),
    [aux_sym_truncate_statement_token1] = ACTIONS(1474),
    [aux_sym_update_statement_token1] = ACTIONS(1474),
    [aux_sym_merge_statement_token1] = ACTIONS(1474),
    [aux_sym_grant_statement_token1] = ACTIONS(1474),
    [aux_sym_revoke_statement_token1] = ACTIONS(1474),
    [aux_sym_export_data_statement_token1] = ACTIONS(1474),
    [aux_sym_load_data_statement_token1] = ACTIONS(1474),
    [anon_sym_LBRACK] = ACTIONS(1474),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1474),
    [anon_sym_PLUS] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1476),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_SLASH] = ACTIONS(1476),
    [anon_sym_PIPE_PIPE] = ACTIONS(1474),
    [anon_sym_LT_EQ] = ACTIONS(1474),
    [anon_sym_LT_GT] = ACTIONS(1474),
    [anon_sym_GT_EQ] = ACTIONS(1474),
    [anon_sym_BANG_EQ] = ACTIONS(1474),
    [anon_sym_LT_LT] = ACTIONS(1474),
    [anon_sym_GT_GT] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_CARET] = ACTIONS(1474),
    [anon_sym_PIPE] = ACTIONS(1476),
  },
  [2891] = {
    [sym_analytics_clause] = STATE(3084),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2892] = {
    [sym_analytics_clause] = STATE(3085),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2893] = {
    [sym_analytics_clause] = STATE(3157),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1418),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_when_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1418),
    [aux_sym_set_operation_token3] = ACTIONS(1418),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_limit_clause_token1] = ACTIONS(1418),
    [aux_sym__direction_keywords_token1] = ACTIONS(1418),
    [aux_sym__direction_keywords_token2] = ACTIONS(1418),
    [aux_sym__nulls_preference_token1] = ACTIONS(1418),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [2894] = {
    [sym_analytics_clause] = STATE(3086),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2895] = {
    [sym_analytics_clause] = STATE(3087),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2896] = {
    [sym_analytics_clause] = STATE(3156),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1418),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_when_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1418),
    [aux_sym_set_operation_token3] = ACTIONS(1418),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_limit_clause_token1] = ACTIONS(1418),
    [aux_sym__direction_keywords_token1] = ACTIONS(1418),
    [aux_sym__direction_keywords_token2] = ACTIONS(1418),
    [aux_sym__nulls_preference_token1] = ACTIONS(1418),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [2897] = {
    [sym_analytics_clause] = STATE(3155),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1418),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_when_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1418),
    [aux_sym_set_operation_token3] = ACTIONS(1418),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_limit_clause_token1] = ACTIONS(1418),
    [aux_sym__direction_keywords_token1] = ACTIONS(1418),
    [aux_sym__direction_keywords_token2] = ACTIONS(1418),
    [aux_sym__nulls_preference_token1] = ACTIONS(1418),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [2898] = {
    [sym_analytics_clause] = STATE(3153),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1418),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_when_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1418),
    [aux_sym_set_operation_token3] = ACTIONS(1418),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_limit_clause_token1] = ACTIONS(1418),
    [aux_sym__direction_keywords_token1] = ACTIONS(1418),
    [aux_sym__direction_keywords_token2] = ACTIONS(1418),
    [aux_sym__nulls_preference_token1] = ACTIONS(1418),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [2899] = {
    [sym_analytics_clause] = STATE(3089),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2900] = {
    [sym_analytics_clause] = STATE(3152),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1418),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_when_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1418),
    [aux_sym_set_operation_token3] = ACTIONS(1418),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_limit_clause_token1] = ACTIONS(1418),
    [aux_sym__direction_keywords_token1] = ACTIONS(1418),
    [aux_sym__direction_keywords_token2] = ACTIONS(1418),
    [aux_sym__nulls_preference_token1] = ACTIONS(1418),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [2901] = {
    [sym_analytics_clause] = STATE(3151),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1418),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_when_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1418),
    [aux_sym_set_operation_token3] = ACTIONS(1418),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_limit_clause_token1] = ACTIONS(1418),
    [aux_sym__direction_keywords_token1] = ACTIONS(1418),
    [aux_sym__direction_keywords_token2] = ACTIONS(1418),
    [aux_sym__nulls_preference_token1] = ACTIONS(1418),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [2902] = {
    [sym_analytics_clause] = STATE(3090),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2903] = {
    [sym_analytics_clause] = STATE(3091),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2904] = {
    [sym_analytics_clause] = STATE(3092),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2905] = {
    [sym_analytics_clause] = STATE(3093),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [2906] = {
    [sym_analytics_clause] = STATE(3094),
    [ts_builtin_sym_end] = ACTIONS(1386),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1386),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1386),
    [aux_sym_keyword_replace_token1] = ACTIONS(1386),
    [aux_sym__keyword_alter_token1] = ACTIONS(1386),
    [aux_sym__keyword_delete_token1] = ACTIONS(1386),
    [aux_sym__keyword_begin_token1] = ACTIONS(1386),
    [aux_sym__keyword_end_token1] = ACTIONS(1386),
    [aux_sym__keyword_between_token1] = ACTIONS(1386),
    [aux_sym__keyword_when_token1] = ACTIONS(1386),
    [aux_sym__keyword_else_token1] = ACTIONS(1388),
    [aux_sym__keyword_is_token1] = ACTIONS(1386),
    [aux_sym__keyword_in_token1] = ACTIONS(1388),
    [aux_sym__keyword_and_token1] = ACTIONS(1386),
    [aux_sym__keyword_like_token1] = ACTIONS(1386),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1386),
    [aux_sym__keyword_for_token1] = ACTIONS(1386),
    [anon_sym_SEMI] = ACTIONS(1386),
    [aux_sym_declare_statement_token1] = ACTIONS(1386),
    [anon_sym_COMMA] = ACTIONS(1386),
    [aux_sym_set_statement_token1] = ACTIONS(1386),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1386),
    [aux_sym_return_satement_token1] = ACTIONS(1386),
    [aux_sym_call_statement_token1] = ACTIONS(1386),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1386),
    [aux_sym_if_statement_token1] = ACTIONS(1386),
    [aux_sym_loop_statement_token1] = ACTIONS(1386),
    [aux_sym_repeat_statement_token1] = ACTIONS(1386),
    [aux_sym_while_statement_token1] = ACTIONS(1386),
    [aux_sym_break_statement_token1] = ACTIONS(1386),
    [aux_sym_leave_statement_token1] = ACTIONS(1386),
    [aux_sym_continue_statement_token1] = ACTIONS(1386),
    [aux_sym_iterate_statement_token1] = ACTIONS(1386),
    [aux_sym_raise_statement_token1] = ACTIONS(1386),
    [anon_sym_EQ] = ACTIONS(1386),
    [aux_sym_assert_statement_token1] = ACTIONS(1386),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1386),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1386),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1386),
    [anon_sym_LT] = ACTIONS(1388),
    [anon_sym_GT] = ACTIONS(1388),
    [aux_sym_set_operation_token1] = ACTIONS(1386),
    [aux_sym_set_operation_token3] = ACTIONS(1386),
    [aux_sym_set_operation_token4] = ACTIONS(1388),
    [aux_sym_select_token1] = ACTIONS(1386),
    [aux_sym_limit_clause_token1] = ACTIONS(1386),
    [aux_sym__direction_keywords_token1] = ACTIONS(1386),
    [aux_sym__direction_keywords_token2] = ACTIONS(1386),
    [aux_sym__nulls_preference_token1] = ACTIONS(1386),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1386),
    [aux_sym_truncate_statement_token1] = ACTIONS(1386),
    [aux_sym_update_statement_token1] = ACTIONS(1386),
    [aux_sym_merge_statement_token1] = ACTIONS(1386),
    [aux_sym_grant_statement_token1] = ACTIONS(1386),
    [aux_sym_revoke_statement_token1] = ACTIONS(1386),
    [aux_sym_export_data_statement_token1] = ACTIONS(1386),
    [aux_sym_load_data_statement_token1] = ACTIONS(1386),
    [anon_sym_LBRACK] = ACTIONS(1386),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1386),
    [anon_sym_DASH] = ACTIONS(1388),
    [anon_sym_STAR] = ACTIONS(1386),
    [anon_sym_SLASH] = ACTIONS(1388),
    [anon_sym_PIPE_PIPE] = ACTIONS(1386),
    [anon_sym_LT_EQ] = ACTIONS(1386),
    [anon_sym_LT_GT] = ACTIONS(1386),
    [anon_sym_GT_EQ] = ACTIONS(1386),
    [anon_sym_BANG_EQ] = ACTIONS(1386),
    [anon_sym_LT_LT] = ACTIONS(1386),
    [anon_sym_GT_GT] = ACTIONS(1386),
    [anon_sym_AMP] = ACTIONS(1386),
    [anon_sym_CARET] = ACTIONS(1386),
    [anon_sym_PIPE] = ACTIONS(1388),
  },
  [2907] = {
    [sym_analytics_clause] = STATE(3095),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1360),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1360),
    [aux_sym_set_operation_token3] = ACTIONS(1360),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_limit_clause_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token2] = ACTIONS(1360),
    [aux_sym__nulls_preference_token1] = ACTIONS(1360),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [2908] = {
    [sym_analytics_clause] = STATE(3096),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1360),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1360),
    [aux_sym_set_operation_token3] = ACTIONS(1360),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_limit_clause_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token2] = ACTIONS(1360),
    [aux_sym__nulls_preference_token1] = ACTIONS(1360),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [2909] = {
    [sym_analytics_clause] = STATE(3097),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1360),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1360),
    [aux_sym_set_operation_token3] = ACTIONS(1360),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_limit_clause_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token2] = ACTIONS(1360),
    [aux_sym__nulls_preference_token1] = ACTIONS(1360),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [2910] = {
    [sym_analytics_clause] = STATE(3098),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1360),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1360),
    [aux_sym_set_operation_token3] = ACTIONS(1360),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_limit_clause_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token2] = ACTIONS(1360),
    [aux_sym__nulls_preference_token1] = ACTIONS(1360),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [2911] = {
    [sym_analytics_clause] = STATE(3150),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1418),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_when_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1418),
    [aux_sym_set_operation_token3] = ACTIONS(1418),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_limit_clause_token1] = ACTIONS(1418),
    [aux_sym__direction_keywords_token1] = ACTIONS(1418),
    [aux_sym__direction_keywords_token2] = ACTIONS(1418),
    [aux_sym__nulls_preference_token1] = ACTIONS(1418),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [2912] = {
    [sym__keyword_between] = STATE(1244),
    [sym__keyword_is] = STATE(12133),
    [sym__keyword_in] = STATE(1140),
    [sym__keyword_not] = STATE(13072),
    [sym__keyword_and] = STATE(1164),
    [sym__keyword_or] = STATE(1168),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1027),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(2744),
    [aux_sym__keyword_alter_token1] = ACTIONS(1027),
    [aux_sym__keyword_delete_token1] = ACTIONS(1027),
    [aux_sym__keyword_begin_token1] = ACTIONS(1027),
    [aux_sym__keyword_end_token1] = ACTIONS(1027),
    [aux_sym__keyword_between_token1] = ACTIONS(3042),
    [aux_sym__keyword_else_token1] = ACTIONS(1029),
    [aux_sym__keyword_is_token1] = ACTIONS(3046),
    [aux_sym__keyword_in_token1] = ACTIONS(3048),
    [aux_sym__keyword_and_token1] = ACTIONS(3050),
    [aux_sym__keyword_like_token1] = ACTIONS(1027),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1027),
    [aux_sym__keyword_as_token1] = ACTIONS(1029),
    [aux_sym__keyword_for_token1] = ACTIONS(1027),
    [anon_sym_SEMI] = ACTIONS(1027),
    [aux_sym_declare_statement_token1] = ACTIONS(1027),
    [anon_sym_COMMA] = ACTIONS(1027),
    [aux_sym_set_statement_token1] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1027),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1027),
    [aux_sym_return_satement_token1] = ACTIONS(1027),
    [aux_sym_call_statement_token1] = ACTIONS(1027),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1027),
    [aux_sym_if_statement_token1] = ACTIONS(1027),
    [aux_sym_loop_statement_token1] = ACTIONS(1027),
    [aux_sym_repeat_statement_token1] = ACTIONS(1027),
    [aux_sym_while_statement_token1] = ACTIONS(1027),
    [aux_sym_break_statement_token1] = ACTIONS(1027),
    [aux_sym_leave_statement_token1] = ACTIONS(1027),
    [aux_sym_continue_statement_token1] = ACTIONS(1027),
    [aux_sym_iterate_statement_token1] = ACTIONS(1027),
    [aux_sym_raise_statement_token1] = ACTIONS(1027),
    [anon_sym_EQ] = ACTIONS(3054),
    [aux_sym_assert_statement_token1] = ACTIONS(1027),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1027),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1027),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1027),
    [aux_sym_option_clause_token1] = ACTIONS(1027),
    [anon_sym_LT] = ACTIONS(3048),
    [anon_sym_GT] = ACTIONS(3048),
    [aux_sym_select_token1] = ACTIONS(1027),
    [aux_sym_insert_statement_token1] = ACTIONS(1027),
    [aux_sym_truncate_statement_token1] = ACTIONS(1027),
    [aux_sym_update_statement_token1] = ACTIONS(1027),
    [aux_sym_merge_statement_token1] = ACTIONS(1027),
    [aux_sym_grant_statement_token1] = ACTIONS(1027),
    [aux_sym_revoke_statement_token1] = ACTIONS(1027),
    [aux_sym_export_data_statement_token1] = ACTIONS(1027),
    [aux_sym_load_data_statement_token1] = ACTIONS(1027),
    [anon_sym_LBRACK] = ACTIONS(1027),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_DASH] = ACTIONS(3062),
    [anon_sym_STAR] = ACTIONS(3064),
    [anon_sym_SLASH] = ACTIONS(3066),
    [anon_sym_PIPE_PIPE] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(3054),
    [anon_sym_LT_GT] = ACTIONS(3054),
    [anon_sym_GT_EQ] = ACTIONS(3054),
    [anon_sym_BANG_EQ] = ACTIONS(3054),
    [anon_sym_LT_LT] = ACTIONS(3068),
    [anon_sym_GT_GT] = ACTIONS(3068),
    [anon_sym_AMP] = ACTIONS(3070),
    [anon_sym_CARET] = ACTIONS(3072),
    [anon_sym_PIPE] = ACTIONS(3074),
  },
  [2913] = {
    [sym_analytics_clause] = STATE(3099),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1360),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1360),
    [aux_sym_set_operation_token3] = ACTIONS(1360),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_limit_clause_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token2] = ACTIONS(1360),
    [aux_sym__nulls_preference_token1] = ACTIONS(1360),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [2914] = {
    [sym_analytics_clause] = STATE(3100),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1360),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1360),
    [aux_sym_set_operation_token3] = ACTIONS(1360),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_limit_clause_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token2] = ACTIONS(1360),
    [aux_sym__nulls_preference_token1] = ACTIONS(1360),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [2915] = {
    [sym_analytics_clause] = STATE(3149),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1418),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_when_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1418),
    [aux_sym_set_operation_token3] = ACTIONS(1418),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_limit_clause_token1] = ACTIONS(1418),
    [aux_sym__direction_keywords_token1] = ACTIONS(1418),
    [aux_sym__direction_keywords_token2] = ACTIONS(1418),
    [aux_sym__nulls_preference_token1] = ACTIONS(1418),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [2916] = {
    [sym__keyword_between] = STATE(1244),
    [sym__keyword_is] = STATE(12133),
    [sym__keyword_in] = STATE(1140),
    [sym__keyword_not] = STATE(13072),
    [sym__keyword_and] = STATE(1164),
    [sym__keyword_or] = STATE(1168),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1023),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1023),
    [aux_sym_keyword_replace_token1] = ACTIONS(1023),
    [aux_sym__keyword_alter_token1] = ACTIONS(1023),
    [aux_sym__keyword_delete_token1] = ACTIONS(1023),
    [aux_sym__keyword_begin_token1] = ACTIONS(1023),
    [aux_sym__keyword_end_token1] = ACTIONS(1023),
    [aux_sym__keyword_between_token1] = ACTIONS(1023),
    [aux_sym__keyword_else_token1] = ACTIONS(1025),
    [aux_sym__keyword_is_token1] = ACTIONS(1023),
    [aux_sym__keyword_in_token1] = ACTIONS(1025),
    [aux_sym__keyword_and_token1] = ACTIONS(1023),
    [aux_sym__keyword_like_token1] = ACTIONS(1023),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1023),
    [aux_sym__keyword_as_token1] = ACTIONS(1025),
    [aux_sym__keyword_for_token1] = ACTIONS(1023),
    [anon_sym_SEMI] = ACTIONS(1023),
    [aux_sym_declare_statement_token1] = ACTIONS(1023),
    [anon_sym_COMMA] = ACTIONS(1023),
    [aux_sym_set_statement_token1] = ACTIONS(1023),
    [anon_sym_LPAREN] = ACTIONS(1023),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1023),
    [aux_sym_return_satement_token1] = ACTIONS(1023),
    [aux_sym_call_statement_token1] = ACTIONS(1023),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1023),
    [aux_sym_if_statement_token1] = ACTIONS(1023),
    [aux_sym_loop_statement_token1] = ACTIONS(1023),
    [aux_sym_repeat_statement_token1] = ACTIONS(1023),
    [aux_sym_while_statement_token1] = ACTIONS(1023),
    [aux_sym_break_statement_token1] = ACTIONS(1023),
    [aux_sym_leave_statement_token1] = ACTIONS(1023),
    [aux_sym_continue_statement_token1] = ACTIONS(1023),
    [aux_sym_iterate_statement_token1] = ACTIONS(1023),
    [aux_sym_raise_statement_token1] = ACTIONS(1023),
    [anon_sym_EQ] = ACTIONS(1023),
    [aux_sym_assert_statement_token1] = ACTIONS(1023),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1023),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1023),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1023),
    [aux_sym_option_clause_token1] = ACTIONS(1023),
    [anon_sym_LT] = ACTIONS(1025),
    [anon_sym_GT] = ACTIONS(1025),
    [aux_sym_select_token1] = ACTIONS(1023),
    [aux_sym_insert_statement_token1] = ACTIONS(1023),
    [aux_sym_truncate_statement_token1] = ACTIONS(1023),
    [aux_sym_update_statement_token1] = ACTIONS(1023),
    [aux_sym_merge_statement_token1] = ACTIONS(1023),
    [aux_sym_grant_statement_token1] = ACTIONS(1023),
    [aux_sym_revoke_statement_token1] = ACTIONS(1023),
    [aux_sym_export_data_statement_token1] = ACTIONS(1023),
    [aux_sym_load_data_statement_token1] = ACTIONS(1023),
    [anon_sym_LBRACK] = ACTIONS(1023),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1023),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_DASH] = ACTIONS(3062),
    [anon_sym_STAR] = ACTIONS(3064),
    [anon_sym_SLASH] = ACTIONS(3066),
    [anon_sym_PIPE_PIPE] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(1023),
    [anon_sym_LT_GT] = ACTIONS(1023),
    [anon_sym_GT_EQ] = ACTIONS(1023),
    [anon_sym_BANG_EQ] = ACTIONS(1023),
    [anon_sym_LT_LT] = ACTIONS(3068),
    [anon_sym_GT_GT] = ACTIONS(3068),
    [anon_sym_AMP] = ACTIONS(3070),
    [anon_sym_CARET] = ACTIONS(3072),
    [anon_sym_PIPE] = ACTIONS(3074),
  },
  [2917] = {
    [sym_analytics_clause] = STATE(3101),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1360),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1360),
    [aux_sym_set_operation_token3] = ACTIONS(1360),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_limit_clause_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token2] = ACTIONS(1360),
    [aux_sym__nulls_preference_token1] = ACTIONS(1360),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [2918] = {
    [sym_analytics_clause] = STATE(3148),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1418),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_when_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1418),
    [aux_sym_set_operation_token3] = ACTIONS(1418),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_limit_clause_token1] = ACTIONS(1418),
    [aux_sym__direction_keywords_token1] = ACTIONS(1418),
    [aux_sym__direction_keywords_token2] = ACTIONS(1418),
    [aux_sym__nulls_preference_token1] = ACTIONS(1418),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [2919] = {
    [sym_analytics_clause] = STATE(3102),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1360),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1360),
    [aux_sym_set_operation_token3] = ACTIONS(1360),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_limit_clause_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token2] = ACTIONS(1360),
    [aux_sym__nulls_preference_token1] = ACTIONS(1360),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [2920] = {
    [sym_analytics_clause] = STATE(3103),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1360),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1360),
    [aux_sym_set_operation_token3] = ACTIONS(1360),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_limit_clause_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token2] = ACTIONS(1360),
    [aux_sym__nulls_preference_token1] = ACTIONS(1360),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [2921] = {
    [sym_analytics_clause] = STATE(3104),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1360),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1360),
    [aux_sym_set_operation_token3] = ACTIONS(1360),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_limit_clause_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token2] = ACTIONS(1360),
    [aux_sym__nulls_preference_token1] = ACTIONS(1360),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [2922] = {
    [sym_analytics_clause] = STATE(3105),
    [ts_builtin_sym_end] = ACTIONS(1496),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1496),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1496),
    [aux_sym_keyword_replace_token1] = ACTIONS(1496),
    [aux_sym__keyword_alter_token1] = ACTIONS(1496),
    [aux_sym__keyword_delete_token1] = ACTIONS(1496),
    [aux_sym__keyword_begin_token1] = ACTIONS(1496),
    [aux_sym__keyword_end_token1] = ACTIONS(1496),
    [aux_sym__keyword_between_token1] = ACTIONS(1496),
    [aux_sym__keyword_when_token1] = ACTIONS(1496),
    [aux_sym__keyword_else_token1] = ACTIONS(1498),
    [aux_sym__keyword_is_token1] = ACTIONS(1496),
    [aux_sym__keyword_in_token1] = ACTIONS(1498),
    [aux_sym__keyword_and_token1] = ACTIONS(1496),
    [aux_sym__keyword_like_token1] = ACTIONS(1496),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1496),
    [aux_sym__keyword_for_token1] = ACTIONS(1496),
    [anon_sym_SEMI] = ACTIONS(1496),
    [aux_sym_declare_statement_token1] = ACTIONS(1496),
    [anon_sym_COMMA] = ACTIONS(1496),
    [aux_sym_set_statement_token1] = ACTIONS(1496),
    [anon_sym_LPAREN] = ACTIONS(1496),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1496),
    [aux_sym_return_satement_token1] = ACTIONS(1496),
    [aux_sym_call_statement_token1] = ACTIONS(1496),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1496),
    [aux_sym_if_statement_token1] = ACTIONS(1496),
    [aux_sym_loop_statement_token1] = ACTIONS(1496),
    [aux_sym_repeat_statement_token1] = ACTIONS(1496),
    [aux_sym_while_statement_token1] = ACTIONS(1496),
    [aux_sym_break_statement_token1] = ACTIONS(1496),
    [aux_sym_leave_statement_token1] = ACTIONS(1496),
    [aux_sym_continue_statement_token1] = ACTIONS(1496),
    [aux_sym_iterate_statement_token1] = ACTIONS(1496),
    [aux_sym_raise_statement_token1] = ACTIONS(1496),
    [anon_sym_EQ] = ACTIONS(1496),
    [aux_sym_assert_statement_token1] = ACTIONS(1496),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1496),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1496),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1496),
    [anon_sym_LT] = ACTIONS(1498),
    [anon_sym_GT] = ACTIONS(1498),
    [aux_sym_set_operation_token1] = ACTIONS(1496),
    [aux_sym_set_operation_token3] = ACTIONS(1496),
    [aux_sym_set_operation_token4] = ACTIONS(1498),
    [aux_sym_select_token1] = ACTIONS(1496),
    [aux_sym_limit_clause_token1] = ACTIONS(1496),
    [aux_sym__direction_keywords_token1] = ACTIONS(1496),
    [aux_sym__direction_keywords_token2] = ACTIONS(1496),
    [aux_sym__nulls_preference_token1] = ACTIONS(1496),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1496),
    [aux_sym_truncate_statement_token1] = ACTIONS(1496),
    [aux_sym_update_statement_token1] = ACTIONS(1496),
    [aux_sym_merge_statement_token1] = ACTIONS(1496),
    [aux_sym_grant_statement_token1] = ACTIONS(1496),
    [aux_sym_revoke_statement_token1] = ACTIONS(1496),
    [aux_sym_export_data_statement_token1] = ACTIONS(1496),
    [aux_sym_load_data_statement_token1] = ACTIONS(1496),
    [anon_sym_LBRACK] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(1498),
    [anon_sym_PIPE_PIPE] = ACTIONS(1496),
    [anon_sym_LT_EQ] = ACTIONS(1496),
    [anon_sym_LT_GT] = ACTIONS(1496),
    [anon_sym_GT_EQ] = ACTIONS(1496),
    [anon_sym_BANG_EQ] = ACTIONS(1496),
    [anon_sym_LT_LT] = ACTIONS(1496),
    [anon_sym_GT_GT] = ACTIONS(1496),
    [anon_sym_AMP] = ACTIONS(1496),
    [anon_sym_CARET] = ACTIONS(1496),
    [anon_sym_PIPE] = ACTIONS(1498),
  },
  [2923] = {
    [sym_analytics_clause] = STATE(3106),
    [ts_builtin_sym_end] = ACTIONS(1500),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1500),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1500),
    [aux_sym_keyword_replace_token1] = ACTIONS(1500),
    [aux_sym__keyword_alter_token1] = ACTIONS(1500),
    [aux_sym__keyword_delete_token1] = ACTIONS(1500),
    [aux_sym__keyword_begin_token1] = ACTIONS(1500),
    [aux_sym__keyword_end_token1] = ACTIONS(1500),
    [aux_sym__keyword_between_token1] = ACTIONS(1500),
    [aux_sym__keyword_when_token1] = ACTIONS(1500),
    [aux_sym__keyword_else_token1] = ACTIONS(1502),
    [aux_sym__keyword_is_token1] = ACTIONS(1500),
    [aux_sym__keyword_in_token1] = ACTIONS(1502),
    [aux_sym__keyword_and_token1] = ACTIONS(1500),
    [aux_sym__keyword_like_token1] = ACTIONS(1500),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1500),
    [aux_sym__keyword_for_token1] = ACTIONS(1500),
    [anon_sym_SEMI] = ACTIONS(1500),
    [aux_sym_declare_statement_token1] = ACTIONS(1500),
    [anon_sym_COMMA] = ACTIONS(1500),
    [aux_sym_set_statement_token1] = ACTIONS(1500),
    [anon_sym_LPAREN] = ACTIONS(1500),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1500),
    [aux_sym_return_satement_token1] = ACTIONS(1500),
    [aux_sym_call_statement_token1] = ACTIONS(1500),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1500),
    [aux_sym_if_statement_token1] = ACTIONS(1500),
    [aux_sym_loop_statement_token1] = ACTIONS(1500),
    [aux_sym_repeat_statement_token1] = ACTIONS(1500),
    [aux_sym_while_statement_token1] = ACTIONS(1500),
    [aux_sym_break_statement_token1] = ACTIONS(1500),
    [aux_sym_leave_statement_token1] = ACTIONS(1500),
    [aux_sym_continue_statement_token1] = ACTIONS(1500),
    [aux_sym_iterate_statement_token1] = ACTIONS(1500),
    [aux_sym_raise_statement_token1] = ACTIONS(1500),
    [anon_sym_EQ] = ACTIONS(1500),
    [aux_sym_assert_statement_token1] = ACTIONS(1500),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1500),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1500),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1500),
    [anon_sym_LT] = ACTIONS(1502),
    [anon_sym_GT] = ACTIONS(1502),
    [aux_sym_set_operation_token1] = ACTIONS(1500),
    [aux_sym_set_operation_token3] = ACTIONS(1500),
    [aux_sym_set_operation_token4] = ACTIONS(1502),
    [aux_sym_select_token1] = ACTIONS(1500),
    [aux_sym_limit_clause_token1] = ACTIONS(1500),
    [aux_sym__direction_keywords_token1] = ACTIONS(1500),
    [aux_sym__direction_keywords_token2] = ACTIONS(1500),
    [aux_sym__nulls_preference_token1] = ACTIONS(1500),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1500),
    [aux_sym_truncate_statement_token1] = ACTIONS(1500),
    [aux_sym_update_statement_token1] = ACTIONS(1500),
    [aux_sym_merge_statement_token1] = ACTIONS(1500),
    [aux_sym_grant_statement_token1] = ACTIONS(1500),
    [aux_sym_revoke_statement_token1] = ACTIONS(1500),
    [aux_sym_export_data_statement_token1] = ACTIONS(1500),
    [aux_sym_load_data_statement_token1] = ACTIONS(1500),
    [anon_sym_LBRACK] = ACTIONS(1500),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_STAR] = ACTIONS(1500),
    [anon_sym_SLASH] = ACTIONS(1502),
    [anon_sym_PIPE_PIPE] = ACTIONS(1500),
    [anon_sym_LT_EQ] = ACTIONS(1500),
    [anon_sym_LT_GT] = ACTIONS(1500),
    [anon_sym_GT_EQ] = ACTIONS(1500),
    [anon_sym_BANG_EQ] = ACTIONS(1500),
    [anon_sym_LT_LT] = ACTIONS(1500),
    [anon_sym_GT_GT] = ACTIONS(1500),
    [anon_sym_AMP] = ACTIONS(1500),
    [anon_sym_CARET] = ACTIONS(1500),
    [anon_sym_PIPE] = ACTIONS(1502),
  },
  [2924] = {
    [sym_analytics_clause] = STATE(3107),
    [ts_builtin_sym_end] = ACTIONS(1504),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1504),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1504),
    [aux_sym_keyword_replace_token1] = ACTIONS(1504),
    [aux_sym__keyword_alter_token1] = ACTIONS(1504),
    [aux_sym__keyword_delete_token1] = ACTIONS(1504),
    [aux_sym__keyword_begin_token1] = ACTIONS(1504),
    [aux_sym__keyword_end_token1] = ACTIONS(1504),
    [aux_sym__keyword_between_token1] = ACTIONS(1504),
    [aux_sym__keyword_when_token1] = ACTIONS(1504),
    [aux_sym__keyword_else_token1] = ACTIONS(1506),
    [aux_sym__keyword_is_token1] = ACTIONS(1504),
    [aux_sym__keyword_in_token1] = ACTIONS(1506),
    [aux_sym__keyword_and_token1] = ACTIONS(1504),
    [aux_sym__keyword_like_token1] = ACTIONS(1504),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1504),
    [aux_sym__keyword_for_token1] = ACTIONS(1504),
    [anon_sym_SEMI] = ACTIONS(1504),
    [aux_sym_declare_statement_token1] = ACTIONS(1504),
    [anon_sym_COMMA] = ACTIONS(1504),
    [aux_sym_set_statement_token1] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1504),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1504),
    [aux_sym_return_satement_token1] = ACTIONS(1504),
    [aux_sym_call_statement_token1] = ACTIONS(1504),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1504),
    [aux_sym_if_statement_token1] = ACTIONS(1504),
    [aux_sym_loop_statement_token1] = ACTIONS(1504),
    [aux_sym_repeat_statement_token1] = ACTIONS(1504),
    [aux_sym_while_statement_token1] = ACTIONS(1504),
    [aux_sym_break_statement_token1] = ACTIONS(1504),
    [aux_sym_leave_statement_token1] = ACTIONS(1504),
    [aux_sym_continue_statement_token1] = ACTIONS(1504),
    [aux_sym_iterate_statement_token1] = ACTIONS(1504),
    [aux_sym_raise_statement_token1] = ACTIONS(1504),
    [anon_sym_EQ] = ACTIONS(1504),
    [aux_sym_assert_statement_token1] = ACTIONS(1504),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1504),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1504),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1504),
    [anon_sym_LT] = ACTIONS(1506),
    [anon_sym_GT] = ACTIONS(1506),
    [aux_sym_set_operation_token1] = ACTIONS(1504),
    [aux_sym_set_operation_token3] = ACTIONS(1504),
    [aux_sym_set_operation_token4] = ACTIONS(1506),
    [aux_sym_select_token1] = ACTIONS(1504),
    [aux_sym_limit_clause_token1] = ACTIONS(1504),
    [aux_sym__direction_keywords_token1] = ACTIONS(1504),
    [aux_sym__direction_keywords_token2] = ACTIONS(1504),
    [aux_sym__nulls_preference_token1] = ACTIONS(1504),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1504),
    [aux_sym_truncate_statement_token1] = ACTIONS(1504),
    [aux_sym_update_statement_token1] = ACTIONS(1504),
    [aux_sym_merge_statement_token1] = ACTIONS(1504),
    [aux_sym_grant_statement_token1] = ACTIONS(1504),
    [aux_sym_revoke_statement_token1] = ACTIONS(1504),
    [aux_sym_export_data_statement_token1] = ACTIONS(1504),
    [aux_sym_load_data_statement_token1] = ACTIONS(1504),
    [anon_sym_LBRACK] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1504),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1506),
    [anon_sym_STAR] = ACTIONS(1504),
    [anon_sym_SLASH] = ACTIONS(1506),
    [anon_sym_PIPE_PIPE] = ACTIONS(1504),
    [anon_sym_LT_EQ] = ACTIONS(1504),
    [anon_sym_LT_GT] = ACTIONS(1504),
    [anon_sym_GT_EQ] = ACTIONS(1504),
    [anon_sym_BANG_EQ] = ACTIONS(1504),
    [anon_sym_LT_LT] = ACTIONS(1504),
    [anon_sym_GT_GT] = ACTIONS(1504),
    [anon_sym_AMP] = ACTIONS(1504),
    [anon_sym_CARET] = ACTIONS(1504),
    [anon_sym_PIPE] = ACTIONS(1506),
  },
  [2925] = {
    [sym_analytics_clause] = STATE(3063),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token2] = ACTIONS(1378),
    [aux_sym__nulls_preference_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [2926] = {
    [sym_analytics_clause] = STATE(3108),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2927] = {
    [sym_analytics_clause] = STATE(3109),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2928] = {
    [sym_analytics_clause] = STATE(3110),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2929] = {
    [sym_analytics_clause] = STATE(3111),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2930] = {
    [sym_analytics_clause] = STATE(3112),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2931] = {
    [sym_analytics_clause] = STATE(3113),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2932] = {
    [sym_analytics_clause] = STATE(3114),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2933] = {
    [sym_analytics_clause] = STATE(3181),
    [ts_builtin_sym_end] = ACTIONS(1480),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1480),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1480),
    [aux_sym_keyword_replace_token1] = ACTIONS(1480),
    [aux_sym__keyword_alter_token1] = ACTIONS(1480),
    [aux_sym__keyword_delete_token1] = ACTIONS(1480),
    [aux_sym__keyword_begin_token1] = ACTIONS(1480),
    [aux_sym__keyword_end_token1] = ACTIONS(1480),
    [aux_sym__keyword_between_token1] = ACTIONS(1480),
    [aux_sym__keyword_when_token1] = ACTIONS(1480),
    [aux_sym__keyword_else_token1] = ACTIONS(1482),
    [aux_sym__keyword_is_token1] = ACTIONS(1480),
    [aux_sym__keyword_in_token1] = ACTIONS(1482),
    [aux_sym__keyword_and_token1] = ACTIONS(1480),
    [aux_sym__keyword_like_token1] = ACTIONS(1480),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1480),
    [aux_sym__keyword_for_token1] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1480),
    [aux_sym_declare_statement_token1] = ACTIONS(1480),
    [anon_sym_COMMA] = ACTIONS(1480),
    [aux_sym_set_statement_token1] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(1480),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1480),
    [aux_sym_return_satement_token1] = ACTIONS(1480),
    [aux_sym_call_statement_token1] = ACTIONS(1480),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1480),
    [aux_sym_if_statement_token1] = ACTIONS(1480),
    [aux_sym_loop_statement_token1] = ACTIONS(1480),
    [aux_sym_repeat_statement_token1] = ACTIONS(1480),
    [aux_sym_while_statement_token1] = ACTIONS(1480),
    [aux_sym_break_statement_token1] = ACTIONS(1480),
    [aux_sym_leave_statement_token1] = ACTIONS(1480),
    [aux_sym_continue_statement_token1] = ACTIONS(1480),
    [aux_sym_iterate_statement_token1] = ACTIONS(1480),
    [aux_sym_raise_statement_token1] = ACTIONS(1480),
    [anon_sym_EQ] = ACTIONS(1480),
    [aux_sym_assert_statement_token1] = ACTIONS(1480),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1480),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1480),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1480),
    [anon_sym_LT] = ACTIONS(1482),
    [anon_sym_GT] = ACTIONS(1482),
    [aux_sym_set_operation_token1] = ACTIONS(1480),
    [aux_sym_set_operation_token3] = ACTIONS(1480),
    [aux_sym_set_operation_token4] = ACTIONS(1482),
    [aux_sym_select_token1] = ACTIONS(1480),
    [aux_sym_limit_clause_token1] = ACTIONS(1480),
    [aux_sym__direction_keywords_token1] = ACTIONS(1480),
    [aux_sym__direction_keywords_token2] = ACTIONS(1480),
    [aux_sym__nulls_preference_token1] = ACTIONS(1480),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1480),
    [aux_sym_truncate_statement_token1] = ACTIONS(1480),
    [aux_sym_update_statement_token1] = ACTIONS(1480),
    [aux_sym_merge_statement_token1] = ACTIONS(1480),
    [aux_sym_grant_statement_token1] = ACTIONS(1480),
    [aux_sym_revoke_statement_token1] = ACTIONS(1480),
    [aux_sym_export_data_statement_token1] = ACTIONS(1480),
    [aux_sym_load_data_statement_token1] = ACTIONS(1480),
    [anon_sym_LBRACK] = ACTIONS(1480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_DASH] = ACTIONS(1482),
    [anon_sym_STAR] = ACTIONS(1480),
    [anon_sym_SLASH] = ACTIONS(1482),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [anon_sym_LT_EQ] = ACTIONS(1480),
    [anon_sym_LT_GT] = ACTIONS(1480),
    [anon_sym_GT_EQ] = ACTIONS(1480),
    [anon_sym_BANG_EQ] = ACTIONS(1480),
    [anon_sym_LT_LT] = ACTIONS(1480),
    [anon_sym_GT_GT] = ACTIONS(1480),
    [anon_sym_AMP] = ACTIONS(1480),
    [anon_sym_CARET] = ACTIONS(1480),
    [anon_sym_PIPE] = ACTIONS(1482),
  },
  [2934] = {
    [sym_analytics_clause] = STATE(3133),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2935] = {
    [sym_unnest_withoffset] = STATE(2679),
    [ts_builtin_sym_end] = ACTIONS(1540),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1540),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1540),
    [aux_sym_keyword_replace_token1] = ACTIONS(1542),
    [aux_sym__keyword_alter_token1] = ACTIONS(1540),
    [aux_sym__keyword_delete_token1] = ACTIONS(1540),
    [aux_sym__keyword_begin_token1] = ACTIONS(1540),
    [aux_sym__keyword_end_token1] = ACTIONS(1540),
    [aux_sym__keyword_between_token1] = ACTIONS(1540),
    [aux_sym__keyword_when_token1] = ACTIONS(1540),
    [aux_sym__keyword_else_token1] = ACTIONS(1542),
    [aux_sym__keyword_is_token1] = ACTIONS(1540),
    [aux_sym__keyword_in_token1] = ACTIONS(1542),
    [aux_sym__keyword_and_token1] = ACTIONS(1540),
    [aux_sym__keyword_like_token1] = ACTIONS(1540),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1540),
    [aux_sym__keyword_window_token1] = ACTIONS(1540),
    [aux_sym__keyword_for_token1] = ACTIONS(1540),
    [anon_sym_SEMI] = ACTIONS(1540),
    [aux_sym_declare_statement_token1] = ACTIONS(1540),
    [aux_sym_set_statement_token1] = ACTIONS(1540),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1540),
    [aux_sym_return_satement_token1] = ACTIONS(1540),
    [aux_sym_call_statement_token1] = ACTIONS(1540),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1540),
    [aux_sym_if_statement_token1] = ACTIONS(1540),
    [aux_sym_loop_statement_token1] = ACTIONS(1540),
    [aux_sym_repeat_statement_token1] = ACTIONS(1540),
    [aux_sym_while_statement_token1] = ACTIONS(1540),
    [aux_sym_break_statement_token1] = ACTIONS(1540),
    [aux_sym_leave_statement_token1] = ACTIONS(1540),
    [aux_sym_continue_statement_token1] = ACTIONS(1540),
    [aux_sym_iterate_statement_token1] = ACTIONS(1540),
    [aux_sym_raise_statement_token1] = ACTIONS(1540),
    [anon_sym_EQ] = ACTIONS(1540),
    [aux_sym_assert_statement_token1] = ACTIONS(1540),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1540),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1540),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3086),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_GT] = ACTIONS(1542),
    [aux_sym_set_operation_token1] = ACTIONS(1540),
    [aux_sym_set_operation_token3] = ACTIONS(1540),
    [aux_sym_set_operation_token4] = ACTIONS(1542),
    [aux_sym_select_token1] = ACTIONS(1540),
    [aux_sym_having_clause_token1] = ACTIONS(1540),
    [aux_sym_qualify_clause_token1] = ACTIONS(1540),
    [aux_sym_limit_clause_token1] = ACTIONS(1540),
    [aux_sym_group_by_clause_token1] = ACTIONS(1540),
    [aux_sym_order_by_clause_token1] = ACTIONS(1540),
    [aux_sym_insert_statement_token1] = ACTIONS(1540),
    [aux_sym_truncate_statement_token1] = ACTIONS(1540),
    [aux_sym_update_statement_token1] = ACTIONS(1540),
    [aux_sym_merge_statement_token1] = ACTIONS(1540),
    [aux_sym_grant_statement_token1] = ACTIONS(1540),
    [aux_sym_revoke_statement_token1] = ACTIONS(1540),
    [aux_sym_export_data_statement_token1] = ACTIONS(1540),
    [aux_sym_load_data_statement_token1] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1540),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(1540),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(1542),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_LT_EQ] = ACTIONS(1540),
    [anon_sym_LT_GT] = ACTIONS(1540),
    [anon_sym_GT_EQ] = ACTIONS(1540),
    [anon_sym_BANG_EQ] = ACTIONS(1540),
    [anon_sym_LT_LT] = ACTIONS(1540),
    [anon_sym_GT_GT] = ACTIONS(1540),
    [anon_sym_AMP] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(1540),
    [anon_sym_PIPE] = ACTIONS(1542),
  },
  [2936] = {
    [sym_analytics_clause] = STATE(3147),
    [ts_builtin_sym_end] = ACTIONS(1414),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1414),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1414),
    [aux_sym_keyword_replace_token1] = ACTIONS(1414),
    [aux_sym__keyword_alter_token1] = ACTIONS(1414),
    [aux_sym__keyword_delete_token1] = ACTIONS(1414),
    [aux_sym__keyword_begin_token1] = ACTIONS(1414),
    [aux_sym__keyword_end_token1] = ACTIONS(1414),
    [aux_sym__keyword_between_token1] = ACTIONS(1414),
    [aux_sym__keyword_when_token1] = ACTIONS(1414),
    [aux_sym__keyword_else_token1] = ACTIONS(1416),
    [aux_sym__keyword_is_token1] = ACTIONS(1414),
    [aux_sym__keyword_in_token1] = ACTIONS(1416),
    [aux_sym__keyword_and_token1] = ACTIONS(1414),
    [aux_sym__keyword_like_token1] = ACTIONS(1414),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1414),
    [aux_sym__keyword_for_token1] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(1414),
    [aux_sym_declare_statement_token1] = ACTIONS(1414),
    [anon_sym_COMMA] = ACTIONS(1414),
    [aux_sym_set_statement_token1] = ACTIONS(1414),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1414),
    [aux_sym_return_satement_token1] = ACTIONS(1414),
    [aux_sym_call_statement_token1] = ACTIONS(1414),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1414),
    [aux_sym_if_statement_token1] = ACTIONS(1414),
    [aux_sym_loop_statement_token1] = ACTIONS(1414),
    [aux_sym_repeat_statement_token1] = ACTIONS(1414),
    [aux_sym_while_statement_token1] = ACTIONS(1414),
    [aux_sym_break_statement_token1] = ACTIONS(1414),
    [aux_sym_leave_statement_token1] = ACTIONS(1414),
    [aux_sym_continue_statement_token1] = ACTIONS(1414),
    [aux_sym_iterate_statement_token1] = ACTIONS(1414),
    [aux_sym_raise_statement_token1] = ACTIONS(1414),
    [anon_sym_EQ] = ACTIONS(1414),
    [aux_sym_assert_statement_token1] = ACTIONS(1414),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1414),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1414),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1414),
    [anon_sym_LT] = ACTIONS(1416),
    [anon_sym_GT] = ACTIONS(1416),
    [aux_sym_set_operation_token1] = ACTIONS(1414),
    [aux_sym_set_operation_token3] = ACTIONS(1414),
    [aux_sym_set_operation_token4] = ACTIONS(1416),
    [aux_sym_select_token1] = ACTIONS(1414),
    [aux_sym_limit_clause_token1] = ACTIONS(1414),
    [aux_sym__direction_keywords_token1] = ACTIONS(1414),
    [aux_sym__direction_keywords_token2] = ACTIONS(1414),
    [aux_sym__nulls_preference_token1] = ACTIONS(1414),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1414),
    [aux_sym_truncate_statement_token1] = ACTIONS(1414),
    [aux_sym_update_statement_token1] = ACTIONS(1414),
    [aux_sym_merge_statement_token1] = ACTIONS(1414),
    [aux_sym_grant_statement_token1] = ACTIONS(1414),
    [aux_sym_revoke_statement_token1] = ACTIONS(1414),
    [aux_sym_export_data_statement_token1] = ACTIONS(1414),
    [aux_sym_load_data_statement_token1] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1414),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_SLASH] = ACTIONS(1416),
    [anon_sym_PIPE_PIPE] = ACTIONS(1414),
    [anon_sym_LT_EQ] = ACTIONS(1414),
    [anon_sym_LT_GT] = ACTIONS(1414),
    [anon_sym_GT_EQ] = ACTIONS(1414),
    [anon_sym_BANG_EQ] = ACTIONS(1414),
    [anon_sym_LT_LT] = ACTIONS(1414),
    [anon_sym_GT_GT] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_CARET] = ACTIONS(1414),
    [anon_sym_PIPE] = ACTIONS(1416),
  },
  [2937] = {
    [sym_analytics_clause] = STATE(3115),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2938] = {
    [sym_analytics_clause] = STATE(3145),
    [ts_builtin_sym_end] = ACTIONS(1410),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1410),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1410),
    [aux_sym_keyword_replace_token1] = ACTIONS(1410),
    [aux_sym__keyword_alter_token1] = ACTIONS(1410),
    [aux_sym__keyword_delete_token1] = ACTIONS(1410),
    [aux_sym__keyword_begin_token1] = ACTIONS(1410),
    [aux_sym__keyword_end_token1] = ACTIONS(1410),
    [aux_sym__keyword_between_token1] = ACTIONS(1410),
    [aux_sym__keyword_when_token1] = ACTIONS(1410),
    [aux_sym__keyword_else_token1] = ACTIONS(1412),
    [aux_sym__keyword_is_token1] = ACTIONS(1410),
    [aux_sym__keyword_in_token1] = ACTIONS(1412),
    [aux_sym__keyword_and_token1] = ACTIONS(1410),
    [aux_sym__keyword_like_token1] = ACTIONS(1410),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1410),
    [aux_sym__keyword_for_token1] = ACTIONS(1410),
    [anon_sym_SEMI] = ACTIONS(1410),
    [aux_sym_declare_statement_token1] = ACTIONS(1410),
    [anon_sym_COMMA] = ACTIONS(1410),
    [aux_sym_set_statement_token1] = ACTIONS(1410),
    [anon_sym_LPAREN] = ACTIONS(1410),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1410),
    [aux_sym_return_satement_token1] = ACTIONS(1410),
    [aux_sym_call_statement_token1] = ACTIONS(1410),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1410),
    [aux_sym_if_statement_token1] = ACTIONS(1410),
    [aux_sym_loop_statement_token1] = ACTIONS(1410),
    [aux_sym_repeat_statement_token1] = ACTIONS(1410),
    [aux_sym_while_statement_token1] = ACTIONS(1410),
    [aux_sym_break_statement_token1] = ACTIONS(1410),
    [aux_sym_leave_statement_token1] = ACTIONS(1410),
    [aux_sym_continue_statement_token1] = ACTIONS(1410),
    [aux_sym_iterate_statement_token1] = ACTIONS(1410),
    [aux_sym_raise_statement_token1] = ACTIONS(1410),
    [anon_sym_EQ] = ACTIONS(1410),
    [aux_sym_assert_statement_token1] = ACTIONS(1410),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1410),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1410),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1410),
    [anon_sym_LT] = ACTIONS(1412),
    [anon_sym_GT] = ACTIONS(1412),
    [aux_sym_set_operation_token1] = ACTIONS(1410),
    [aux_sym_set_operation_token3] = ACTIONS(1410),
    [aux_sym_set_operation_token4] = ACTIONS(1412),
    [aux_sym_select_token1] = ACTIONS(1410),
    [aux_sym_limit_clause_token1] = ACTIONS(1410),
    [aux_sym__direction_keywords_token1] = ACTIONS(1410),
    [aux_sym__direction_keywords_token2] = ACTIONS(1410),
    [aux_sym__nulls_preference_token1] = ACTIONS(1410),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1410),
    [aux_sym_truncate_statement_token1] = ACTIONS(1410),
    [aux_sym_update_statement_token1] = ACTIONS(1410),
    [aux_sym_merge_statement_token1] = ACTIONS(1410),
    [aux_sym_grant_statement_token1] = ACTIONS(1410),
    [aux_sym_revoke_statement_token1] = ACTIONS(1410),
    [aux_sym_export_data_statement_token1] = ACTIONS(1410),
    [aux_sym_load_data_statement_token1] = ACTIONS(1410),
    [anon_sym_LBRACK] = ACTIONS(1410),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_STAR] = ACTIONS(1410),
    [anon_sym_SLASH] = ACTIONS(1412),
    [anon_sym_PIPE_PIPE] = ACTIONS(1410),
    [anon_sym_LT_EQ] = ACTIONS(1410),
    [anon_sym_LT_GT] = ACTIONS(1410),
    [anon_sym_GT_EQ] = ACTIONS(1410),
    [anon_sym_BANG_EQ] = ACTIONS(1410),
    [anon_sym_LT_LT] = ACTIONS(1410),
    [anon_sym_GT_GT] = ACTIONS(1410),
    [anon_sym_AMP] = ACTIONS(1410),
    [anon_sym_CARET] = ACTIONS(1410),
    [anon_sym_PIPE] = ACTIONS(1412),
  },
  [2939] = {
    [sym_analytics_clause] = STATE(3144),
    [ts_builtin_sym_end] = ACTIONS(1406),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1406),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1406),
    [aux_sym_keyword_replace_token1] = ACTIONS(1406),
    [aux_sym__keyword_alter_token1] = ACTIONS(1406),
    [aux_sym__keyword_delete_token1] = ACTIONS(1406),
    [aux_sym__keyword_begin_token1] = ACTIONS(1406),
    [aux_sym__keyword_end_token1] = ACTIONS(1406),
    [aux_sym__keyword_between_token1] = ACTIONS(1406),
    [aux_sym__keyword_when_token1] = ACTIONS(1406),
    [aux_sym__keyword_else_token1] = ACTIONS(1408),
    [aux_sym__keyword_is_token1] = ACTIONS(1406),
    [aux_sym__keyword_in_token1] = ACTIONS(1408),
    [aux_sym__keyword_and_token1] = ACTIONS(1406),
    [aux_sym__keyword_like_token1] = ACTIONS(1406),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1406),
    [aux_sym__keyword_for_token1] = ACTIONS(1406),
    [anon_sym_SEMI] = ACTIONS(1406),
    [aux_sym_declare_statement_token1] = ACTIONS(1406),
    [anon_sym_COMMA] = ACTIONS(1406),
    [aux_sym_set_statement_token1] = ACTIONS(1406),
    [anon_sym_LPAREN] = ACTIONS(1406),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1406),
    [aux_sym_return_satement_token1] = ACTIONS(1406),
    [aux_sym_call_statement_token1] = ACTIONS(1406),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1406),
    [aux_sym_if_statement_token1] = ACTIONS(1406),
    [aux_sym_loop_statement_token1] = ACTIONS(1406),
    [aux_sym_repeat_statement_token1] = ACTIONS(1406),
    [aux_sym_while_statement_token1] = ACTIONS(1406),
    [aux_sym_break_statement_token1] = ACTIONS(1406),
    [aux_sym_leave_statement_token1] = ACTIONS(1406),
    [aux_sym_continue_statement_token1] = ACTIONS(1406),
    [aux_sym_iterate_statement_token1] = ACTIONS(1406),
    [aux_sym_raise_statement_token1] = ACTIONS(1406),
    [anon_sym_EQ] = ACTIONS(1406),
    [aux_sym_assert_statement_token1] = ACTIONS(1406),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1406),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1406),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1406),
    [anon_sym_LT] = ACTIONS(1408),
    [anon_sym_GT] = ACTIONS(1408),
    [aux_sym_set_operation_token1] = ACTIONS(1406),
    [aux_sym_set_operation_token3] = ACTIONS(1406),
    [aux_sym_set_operation_token4] = ACTIONS(1408),
    [aux_sym_select_token1] = ACTIONS(1406),
    [aux_sym_limit_clause_token1] = ACTIONS(1406),
    [aux_sym__direction_keywords_token1] = ACTIONS(1406),
    [aux_sym__direction_keywords_token2] = ACTIONS(1406),
    [aux_sym__nulls_preference_token1] = ACTIONS(1406),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1406),
    [aux_sym_truncate_statement_token1] = ACTIONS(1406),
    [aux_sym_update_statement_token1] = ACTIONS(1406),
    [aux_sym_merge_statement_token1] = ACTIONS(1406),
    [aux_sym_grant_statement_token1] = ACTIONS(1406),
    [aux_sym_revoke_statement_token1] = ACTIONS(1406),
    [aux_sym_export_data_statement_token1] = ACTIONS(1406),
    [aux_sym_load_data_statement_token1] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_DASH] = ACTIONS(1408),
    [anon_sym_STAR] = ACTIONS(1406),
    [anon_sym_SLASH] = ACTIONS(1408),
    [anon_sym_PIPE_PIPE] = ACTIONS(1406),
    [anon_sym_LT_EQ] = ACTIONS(1406),
    [anon_sym_LT_GT] = ACTIONS(1406),
    [anon_sym_GT_EQ] = ACTIONS(1406),
    [anon_sym_BANG_EQ] = ACTIONS(1406),
    [anon_sym_LT_LT] = ACTIONS(1406),
    [anon_sym_GT_GT] = ACTIONS(1406),
    [anon_sym_AMP] = ACTIONS(1406),
    [anon_sym_CARET] = ACTIONS(1406),
    [anon_sym_PIPE] = ACTIONS(1408),
  },
  [2940] = {
    [sym_analytics_clause] = STATE(3143),
    [ts_builtin_sym_end] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1398),
    [aux_sym_keyword_replace_token1] = ACTIONS(1398),
    [aux_sym__keyword_alter_token1] = ACTIONS(1398),
    [aux_sym__keyword_delete_token1] = ACTIONS(1398),
    [aux_sym__keyword_begin_token1] = ACTIONS(1398),
    [aux_sym__keyword_end_token1] = ACTIONS(1398),
    [aux_sym__keyword_between_token1] = ACTIONS(1398),
    [aux_sym__keyword_when_token1] = ACTIONS(1398),
    [aux_sym__keyword_else_token1] = ACTIONS(1400),
    [aux_sym__keyword_is_token1] = ACTIONS(1398),
    [aux_sym__keyword_in_token1] = ACTIONS(1400),
    [aux_sym__keyword_and_token1] = ACTIONS(1398),
    [aux_sym__keyword_like_token1] = ACTIONS(1398),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1398),
    [aux_sym__keyword_for_token1] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1398),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1398),
    [aux_sym_return_satement_token1] = ACTIONS(1398),
    [aux_sym_call_statement_token1] = ACTIONS(1398),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1398),
    [aux_sym_if_statement_token1] = ACTIONS(1398),
    [aux_sym_loop_statement_token1] = ACTIONS(1398),
    [aux_sym_repeat_statement_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token1] = ACTIONS(1398),
    [aux_sym_break_statement_token1] = ACTIONS(1398),
    [aux_sym_leave_statement_token1] = ACTIONS(1398),
    [aux_sym_continue_statement_token1] = ACTIONS(1398),
    [aux_sym_iterate_statement_token1] = ACTIONS(1398),
    [aux_sym_raise_statement_token1] = ACTIONS(1398),
    [anon_sym_EQ] = ACTIONS(1398),
    [aux_sym_assert_statement_token1] = ACTIONS(1398),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1398),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [aux_sym_set_operation_token1] = ACTIONS(1398),
    [aux_sym_set_operation_token3] = ACTIONS(1398),
    [aux_sym_set_operation_token4] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1398),
    [aux_sym_limit_clause_token1] = ACTIONS(1398),
    [aux_sym__direction_keywords_token1] = ACTIONS(1398),
    [aux_sym__direction_keywords_token2] = ACTIONS(1398),
    [aux_sym__nulls_preference_token1] = ACTIONS(1398),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1398),
    [aux_sym_truncate_statement_token1] = ACTIONS(1398),
    [aux_sym_update_statement_token1] = ACTIONS(1398),
    [aux_sym_merge_statement_token1] = ACTIONS(1398),
    [aux_sym_grant_statement_token1] = ACTIONS(1398),
    [aux_sym_revoke_statement_token1] = ACTIONS(1398),
    [aux_sym_export_data_statement_token1] = ACTIONS(1398),
    [aux_sym_load_data_statement_token1] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_LT_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
  },
  [2941] = {
    [sym_analytics_clause] = STATE(3116),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2942] = {
    [sym_analytics_clause] = STATE(3142),
    [ts_builtin_sym_end] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1398),
    [aux_sym_keyword_replace_token1] = ACTIONS(1398),
    [aux_sym__keyword_alter_token1] = ACTIONS(1398),
    [aux_sym__keyword_delete_token1] = ACTIONS(1398),
    [aux_sym__keyword_begin_token1] = ACTIONS(1398),
    [aux_sym__keyword_end_token1] = ACTIONS(1398),
    [aux_sym__keyword_between_token1] = ACTIONS(1398),
    [aux_sym__keyword_when_token1] = ACTIONS(1398),
    [aux_sym__keyword_else_token1] = ACTIONS(1400),
    [aux_sym__keyword_is_token1] = ACTIONS(1398),
    [aux_sym__keyword_in_token1] = ACTIONS(1400),
    [aux_sym__keyword_and_token1] = ACTIONS(1398),
    [aux_sym__keyword_like_token1] = ACTIONS(1398),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1398),
    [aux_sym__keyword_for_token1] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1398),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1398),
    [aux_sym_return_satement_token1] = ACTIONS(1398),
    [aux_sym_call_statement_token1] = ACTIONS(1398),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1398),
    [aux_sym_if_statement_token1] = ACTIONS(1398),
    [aux_sym_loop_statement_token1] = ACTIONS(1398),
    [aux_sym_repeat_statement_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token1] = ACTIONS(1398),
    [aux_sym_break_statement_token1] = ACTIONS(1398),
    [aux_sym_leave_statement_token1] = ACTIONS(1398),
    [aux_sym_continue_statement_token1] = ACTIONS(1398),
    [aux_sym_iterate_statement_token1] = ACTIONS(1398),
    [aux_sym_raise_statement_token1] = ACTIONS(1398),
    [anon_sym_EQ] = ACTIONS(1398),
    [aux_sym_assert_statement_token1] = ACTIONS(1398),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1398),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [aux_sym_set_operation_token1] = ACTIONS(1398),
    [aux_sym_set_operation_token3] = ACTIONS(1398),
    [aux_sym_set_operation_token4] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1398),
    [aux_sym_limit_clause_token1] = ACTIONS(1398),
    [aux_sym__direction_keywords_token1] = ACTIONS(1398),
    [aux_sym__direction_keywords_token2] = ACTIONS(1398),
    [aux_sym__nulls_preference_token1] = ACTIONS(1398),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1398),
    [aux_sym_truncate_statement_token1] = ACTIONS(1398),
    [aux_sym_update_statement_token1] = ACTIONS(1398),
    [aux_sym_merge_statement_token1] = ACTIONS(1398),
    [aux_sym_grant_statement_token1] = ACTIONS(1398),
    [aux_sym_revoke_statement_token1] = ACTIONS(1398),
    [aux_sym_export_data_statement_token1] = ACTIONS(1398),
    [aux_sym_load_data_statement_token1] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_LT_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
  },
  [2943] = {
    [sym_analytics_clause] = STATE(3141),
    [ts_builtin_sym_end] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1398),
    [aux_sym_keyword_replace_token1] = ACTIONS(1398),
    [aux_sym__keyword_alter_token1] = ACTIONS(1398),
    [aux_sym__keyword_delete_token1] = ACTIONS(1398),
    [aux_sym__keyword_begin_token1] = ACTIONS(1398),
    [aux_sym__keyword_end_token1] = ACTIONS(1398),
    [aux_sym__keyword_between_token1] = ACTIONS(1398),
    [aux_sym__keyword_when_token1] = ACTIONS(1398),
    [aux_sym__keyword_else_token1] = ACTIONS(1400),
    [aux_sym__keyword_is_token1] = ACTIONS(1398),
    [aux_sym__keyword_in_token1] = ACTIONS(1400),
    [aux_sym__keyword_and_token1] = ACTIONS(1398),
    [aux_sym__keyword_like_token1] = ACTIONS(1398),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1398),
    [aux_sym__keyword_for_token1] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1398),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1398),
    [aux_sym_return_satement_token1] = ACTIONS(1398),
    [aux_sym_call_statement_token1] = ACTIONS(1398),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1398),
    [aux_sym_if_statement_token1] = ACTIONS(1398),
    [aux_sym_loop_statement_token1] = ACTIONS(1398),
    [aux_sym_repeat_statement_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token1] = ACTIONS(1398),
    [aux_sym_break_statement_token1] = ACTIONS(1398),
    [aux_sym_leave_statement_token1] = ACTIONS(1398),
    [aux_sym_continue_statement_token1] = ACTIONS(1398),
    [aux_sym_iterate_statement_token1] = ACTIONS(1398),
    [aux_sym_raise_statement_token1] = ACTIONS(1398),
    [anon_sym_EQ] = ACTIONS(1398),
    [aux_sym_assert_statement_token1] = ACTIONS(1398),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1398),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [aux_sym_set_operation_token1] = ACTIONS(1398),
    [aux_sym_set_operation_token3] = ACTIONS(1398),
    [aux_sym_set_operation_token4] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1398),
    [aux_sym_limit_clause_token1] = ACTIONS(1398),
    [aux_sym__direction_keywords_token1] = ACTIONS(1398),
    [aux_sym__direction_keywords_token2] = ACTIONS(1398),
    [aux_sym__nulls_preference_token1] = ACTIONS(1398),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1398),
    [aux_sym_truncate_statement_token1] = ACTIONS(1398),
    [aux_sym_update_statement_token1] = ACTIONS(1398),
    [aux_sym_merge_statement_token1] = ACTIONS(1398),
    [aux_sym_grant_statement_token1] = ACTIONS(1398),
    [aux_sym_revoke_statement_token1] = ACTIONS(1398),
    [aux_sym_export_data_statement_token1] = ACTIONS(1398),
    [aux_sym_load_data_statement_token1] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_LT_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
  },
  [2944] = {
    [sym_analytics_clause] = STATE(3140),
    [ts_builtin_sym_end] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1398),
    [aux_sym_keyword_replace_token1] = ACTIONS(1398),
    [aux_sym__keyword_alter_token1] = ACTIONS(1398),
    [aux_sym__keyword_delete_token1] = ACTIONS(1398),
    [aux_sym__keyword_begin_token1] = ACTIONS(1398),
    [aux_sym__keyword_end_token1] = ACTIONS(1398),
    [aux_sym__keyword_between_token1] = ACTIONS(1398),
    [aux_sym__keyword_when_token1] = ACTIONS(1398),
    [aux_sym__keyword_else_token1] = ACTIONS(1400),
    [aux_sym__keyword_is_token1] = ACTIONS(1398),
    [aux_sym__keyword_in_token1] = ACTIONS(1400),
    [aux_sym__keyword_and_token1] = ACTIONS(1398),
    [aux_sym__keyword_like_token1] = ACTIONS(1398),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1398),
    [aux_sym__keyword_for_token1] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1398),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1398),
    [aux_sym_return_satement_token1] = ACTIONS(1398),
    [aux_sym_call_statement_token1] = ACTIONS(1398),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1398),
    [aux_sym_if_statement_token1] = ACTIONS(1398),
    [aux_sym_loop_statement_token1] = ACTIONS(1398),
    [aux_sym_repeat_statement_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token1] = ACTIONS(1398),
    [aux_sym_break_statement_token1] = ACTIONS(1398),
    [aux_sym_leave_statement_token1] = ACTIONS(1398),
    [aux_sym_continue_statement_token1] = ACTIONS(1398),
    [aux_sym_iterate_statement_token1] = ACTIONS(1398),
    [aux_sym_raise_statement_token1] = ACTIONS(1398),
    [anon_sym_EQ] = ACTIONS(1398),
    [aux_sym_assert_statement_token1] = ACTIONS(1398),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1398),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [aux_sym_set_operation_token1] = ACTIONS(1398),
    [aux_sym_set_operation_token3] = ACTIONS(1398),
    [aux_sym_set_operation_token4] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1398),
    [aux_sym_limit_clause_token1] = ACTIONS(1398),
    [aux_sym__direction_keywords_token1] = ACTIONS(1398),
    [aux_sym__direction_keywords_token2] = ACTIONS(1398),
    [aux_sym__nulls_preference_token1] = ACTIONS(1398),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1398),
    [aux_sym_truncate_statement_token1] = ACTIONS(1398),
    [aux_sym_update_statement_token1] = ACTIONS(1398),
    [aux_sym_merge_statement_token1] = ACTIONS(1398),
    [aux_sym_grant_statement_token1] = ACTIONS(1398),
    [aux_sym_revoke_statement_token1] = ACTIONS(1398),
    [aux_sym_export_data_statement_token1] = ACTIONS(1398),
    [aux_sym_load_data_statement_token1] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_LT_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
  },
  [2945] = {
    [sym_analytics_clause] = STATE(3117),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2946] = {
    [sym_analytics_clause] = STATE(3118),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2947] = {
    [sym_analytics_clause] = STATE(3119),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2948] = {
    [sym_analytics_clause] = STATE(3120),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2949] = {
    [sym_analytics_clause] = STATE(3121),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2950] = {
    [sym_analytics_clause] = STATE(3126),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2951] = {
    [sym__keyword_between] = STATE(1244),
    [sym__keyword_is] = STATE(12133),
    [sym__keyword_in] = STATE(1140),
    [sym__keyword_not] = STATE(13072),
    [sym__keyword_and] = STATE(1164),
    [sym__keyword_or] = STATE(1168),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3088),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(2744),
    [aux_sym__keyword_alter_token1] = ACTIONS(3088),
    [aux_sym__keyword_delete_token1] = ACTIONS(3088),
    [aux_sym__keyword_begin_token1] = ACTIONS(3088),
    [aux_sym__keyword_end_token1] = ACTIONS(3088),
    [aux_sym__keyword_between_token1] = ACTIONS(3042),
    [aux_sym__keyword_else_token1] = ACTIONS(3090),
    [aux_sym__keyword_is_token1] = ACTIONS(3046),
    [aux_sym__keyword_in_token1] = ACTIONS(3048),
    [aux_sym__keyword_and_token1] = ACTIONS(3050),
    [aux_sym__keyword_like_token1] = ACTIONS(1007),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3088),
    [aux_sym__keyword_as_token1] = ACTIONS(3090),
    [aux_sym__keyword_for_token1] = ACTIONS(3088),
    [anon_sym_SEMI] = ACTIONS(3088),
    [aux_sym_declare_statement_token1] = ACTIONS(3088),
    [anon_sym_COMMA] = ACTIONS(3088),
    [aux_sym_set_statement_token1] = ACTIONS(3088),
    [anon_sym_LPAREN] = ACTIONS(3088),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(3088),
    [aux_sym_return_satement_token1] = ACTIONS(3088),
    [aux_sym_call_statement_token1] = ACTIONS(3088),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(3088),
    [aux_sym_if_statement_token1] = ACTIONS(3088),
    [aux_sym_loop_statement_token1] = ACTIONS(3088),
    [aux_sym_repeat_statement_token1] = ACTIONS(3088),
    [aux_sym_while_statement_token1] = ACTIONS(3088),
    [aux_sym_break_statement_token1] = ACTIONS(3088),
    [aux_sym_leave_statement_token1] = ACTIONS(3088),
    [aux_sym_continue_statement_token1] = ACTIONS(3088),
    [aux_sym_iterate_statement_token1] = ACTIONS(3088),
    [aux_sym_raise_statement_token1] = ACTIONS(3088),
    [anon_sym_EQ] = ACTIONS(3054),
    [aux_sym_assert_statement_token1] = ACTIONS(3088),
    [aux_sym_create_schema_statement_token1] = ACTIONS(3088),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(3088),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3088),
    [aux_sym_option_clause_token1] = ACTIONS(3088),
    [anon_sym_LT] = ACTIONS(3048),
    [anon_sym_GT] = ACTIONS(3048),
    [aux_sym_select_token1] = ACTIONS(3088),
    [aux_sym_insert_statement_token1] = ACTIONS(3088),
    [aux_sym_truncate_statement_token1] = ACTIONS(3088),
    [aux_sym_update_statement_token1] = ACTIONS(3088),
    [aux_sym_merge_statement_token1] = ACTIONS(3088),
    [aux_sym_grant_statement_token1] = ACTIONS(3088),
    [aux_sym_revoke_statement_token1] = ACTIONS(3088),
    [aux_sym_export_data_statement_token1] = ACTIONS(3088),
    [aux_sym_load_data_statement_token1] = ACTIONS(3088),
    [anon_sym_LBRACK] = ACTIONS(3056),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(3058),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_DASH] = ACTIONS(3062),
    [anon_sym_STAR] = ACTIONS(3064),
    [anon_sym_SLASH] = ACTIONS(3066),
    [anon_sym_PIPE_PIPE] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(3054),
    [anon_sym_LT_GT] = ACTIONS(3054),
    [anon_sym_GT_EQ] = ACTIONS(3054),
    [anon_sym_BANG_EQ] = ACTIONS(3054),
    [anon_sym_LT_LT] = ACTIONS(3068),
    [anon_sym_GT_GT] = ACTIONS(3068),
    [anon_sym_AMP] = ACTIONS(3070),
    [anon_sym_CARET] = ACTIONS(3072),
    [anon_sym_PIPE] = ACTIONS(3074),
  },
  [2952] = {
    [sym_analytics_clause] = STATE(3139),
    [ts_builtin_sym_end] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1398),
    [aux_sym_keyword_replace_token1] = ACTIONS(1398),
    [aux_sym__keyword_alter_token1] = ACTIONS(1398),
    [aux_sym__keyword_delete_token1] = ACTIONS(1398),
    [aux_sym__keyword_begin_token1] = ACTIONS(1398),
    [aux_sym__keyword_end_token1] = ACTIONS(1398),
    [aux_sym__keyword_between_token1] = ACTIONS(1398),
    [aux_sym__keyword_when_token1] = ACTIONS(1398),
    [aux_sym__keyword_else_token1] = ACTIONS(1400),
    [aux_sym__keyword_is_token1] = ACTIONS(1398),
    [aux_sym__keyword_in_token1] = ACTIONS(1400),
    [aux_sym__keyword_and_token1] = ACTIONS(1398),
    [aux_sym__keyword_like_token1] = ACTIONS(1398),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1398),
    [aux_sym__keyword_for_token1] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1398),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1398),
    [aux_sym_return_satement_token1] = ACTIONS(1398),
    [aux_sym_call_statement_token1] = ACTIONS(1398),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1398),
    [aux_sym_if_statement_token1] = ACTIONS(1398),
    [aux_sym_loop_statement_token1] = ACTIONS(1398),
    [aux_sym_repeat_statement_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token1] = ACTIONS(1398),
    [aux_sym_break_statement_token1] = ACTIONS(1398),
    [aux_sym_leave_statement_token1] = ACTIONS(1398),
    [aux_sym_continue_statement_token1] = ACTIONS(1398),
    [aux_sym_iterate_statement_token1] = ACTIONS(1398),
    [aux_sym_raise_statement_token1] = ACTIONS(1398),
    [anon_sym_EQ] = ACTIONS(1398),
    [aux_sym_assert_statement_token1] = ACTIONS(1398),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1398),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [aux_sym_set_operation_token1] = ACTIONS(1398),
    [aux_sym_set_operation_token3] = ACTIONS(1398),
    [aux_sym_set_operation_token4] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1398),
    [aux_sym_limit_clause_token1] = ACTIONS(1398),
    [aux_sym__direction_keywords_token1] = ACTIONS(1398),
    [aux_sym__direction_keywords_token2] = ACTIONS(1398),
    [aux_sym__nulls_preference_token1] = ACTIONS(1398),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1398),
    [aux_sym_truncate_statement_token1] = ACTIONS(1398),
    [aux_sym_update_statement_token1] = ACTIONS(1398),
    [aux_sym_merge_statement_token1] = ACTIONS(1398),
    [aux_sym_grant_statement_token1] = ACTIONS(1398),
    [aux_sym_revoke_statement_token1] = ACTIONS(1398),
    [aux_sym_export_data_statement_token1] = ACTIONS(1398),
    [aux_sym_load_data_statement_token1] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_LT_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
  },
  [2953] = {
    [sym_analytics_clause] = STATE(3194),
    [ts_builtin_sym_end] = ACTIONS(1402),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1402),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1402),
    [aux_sym_keyword_replace_token1] = ACTIONS(1402),
    [aux_sym__keyword_alter_token1] = ACTIONS(1402),
    [aux_sym__keyword_delete_token1] = ACTIONS(1402),
    [aux_sym__keyword_begin_token1] = ACTIONS(1402),
    [aux_sym__keyword_end_token1] = ACTIONS(1402),
    [aux_sym__keyword_between_token1] = ACTIONS(1402),
    [aux_sym__keyword_when_token1] = ACTIONS(1402),
    [aux_sym__keyword_else_token1] = ACTIONS(1404),
    [aux_sym__keyword_is_token1] = ACTIONS(1402),
    [aux_sym__keyword_in_token1] = ACTIONS(1404),
    [aux_sym__keyword_and_token1] = ACTIONS(1402),
    [aux_sym__keyword_like_token1] = ACTIONS(1402),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1402),
    [aux_sym__keyword_for_token1] = ACTIONS(1402),
    [anon_sym_SEMI] = ACTIONS(1402),
    [aux_sym_declare_statement_token1] = ACTIONS(1402),
    [anon_sym_COMMA] = ACTIONS(1402),
    [aux_sym_set_statement_token1] = ACTIONS(1402),
    [anon_sym_LPAREN] = ACTIONS(1402),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1402),
    [aux_sym_return_satement_token1] = ACTIONS(1402),
    [aux_sym_call_statement_token1] = ACTIONS(1402),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1402),
    [aux_sym_if_statement_token1] = ACTIONS(1402),
    [aux_sym_loop_statement_token1] = ACTIONS(1402),
    [aux_sym_repeat_statement_token1] = ACTIONS(1402),
    [aux_sym_while_statement_token1] = ACTIONS(1402),
    [aux_sym_break_statement_token1] = ACTIONS(1402),
    [aux_sym_leave_statement_token1] = ACTIONS(1402),
    [aux_sym_continue_statement_token1] = ACTIONS(1402),
    [aux_sym_iterate_statement_token1] = ACTIONS(1402),
    [aux_sym_raise_statement_token1] = ACTIONS(1402),
    [anon_sym_EQ] = ACTIONS(1402),
    [aux_sym_assert_statement_token1] = ACTIONS(1402),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1402),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1402),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1402),
    [anon_sym_LT] = ACTIONS(1404),
    [anon_sym_GT] = ACTIONS(1404),
    [aux_sym_set_operation_token1] = ACTIONS(1402),
    [aux_sym_set_operation_token3] = ACTIONS(1402),
    [aux_sym_set_operation_token4] = ACTIONS(1404),
    [aux_sym_select_token1] = ACTIONS(1402),
    [aux_sym_limit_clause_token1] = ACTIONS(1402),
    [aux_sym__direction_keywords_token1] = ACTIONS(1402),
    [aux_sym__direction_keywords_token2] = ACTIONS(1402),
    [aux_sym__nulls_preference_token1] = ACTIONS(1402),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1402),
    [aux_sym_truncate_statement_token1] = ACTIONS(1402),
    [aux_sym_update_statement_token1] = ACTIONS(1402),
    [aux_sym_merge_statement_token1] = ACTIONS(1402),
    [aux_sym_grant_statement_token1] = ACTIONS(1402),
    [aux_sym_revoke_statement_token1] = ACTIONS(1402),
    [aux_sym_export_data_statement_token1] = ACTIONS(1402),
    [aux_sym_load_data_statement_token1] = ACTIONS(1402),
    [anon_sym_LBRACK] = ACTIONS(1402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1402),
    [anon_sym_DASH] = ACTIONS(1404),
    [anon_sym_STAR] = ACTIONS(1402),
    [anon_sym_SLASH] = ACTIONS(1404),
    [anon_sym_PIPE_PIPE] = ACTIONS(1402),
    [anon_sym_LT_EQ] = ACTIONS(1402),
    [anon_sym_LT_GT] = ACTIONS(1402),
    [anon_sym_GT_EQ] = ACTIONS(1402),
    [anon_sym_BANG_EQ] = ACTIONS(1402),
    [anon_sym_LT_LT] = ACTIONS(1402),
    [anon_sym_GT_GT] = ACTIONS(1402),
    [anon_sym_AMP] = ACTIONS(1402),
    [anon_sym_CARET] = ACTIONS(1402),
    [anon_sym_PIPE] = ACTIONS(1404),
  },
  [2954] = {
    [sym_analytics_clause] = STATE(3138),
    [ts_builtin_sym_end] = ACTIONS(1394),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1394),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1394),
    [aux_sym_keyword_replace_token1] = ACTIONS(1394),
    [aux_sym__keyword_alter_token1] = ACTIONS(1394),
    [aux_sym__keyword_delete_token1] = ACTIONS(1394),
    [aux_sym__keyword_begin_token1] = ACTIONS(1394),
    [aux_sym__keyword_end_token1] = ACTIONS(1394),
    [aux_sym__keyword_between_token1] = ACTIONS(1394),
    [aux_sym__keyword_when_token1] = ACTIONS(1394),
    [aux_sym__keyword_else_token1] = ACTIONS(1396),
    [aux_sym__keyword_is_token1] = ACTIONS(1394),
    [aux_sym__keyword_in_token1] = ACTIONS(1396),
    [aux_sym__keyword_and_token1] = ACTIONS(1394),
    [aux_sym__keyword_like_token1] = ACTIONS(1394),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1394),
    [aux_sym__keyword_for_token1] = ACTIONS(1394),
    [anon_sym_SEMI] = ACTIONS(1394),
    [aux_sym_declare_statement_token1] = ACTIONS(1394),
    [anon_sym_COMMA] = ACTIONS(1394),
    [aux_sym_set_statement_token1] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(1394),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1394),
    [aux_sym_return_satement_token1] = ACTIONS(1394),
    [aux_sym_call_statement_token1] = ACTIONS(1394),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1394),
    [aux_sym_if_statement_token1] = ACTIONS(1394),
    [aux_sym_loop_statement_token1] = ACTIONS(1394),
    [aux_sym_repeat_statement_token1] = ACTIONS(1394),
    [aux_sym_while_statement_token1] = ACTIONS(1394),
    [aux_sym_break_statement_token1] = ACTIONS(1394),
    [aux_sym_leave_statement_token1] = ACTIONS(1394),
    [aux_sym_continue_statement_token1] = ACTIONS(1394),
    [aux_sym_iterate_statement_token1] = ACTIONS(1394),
    [aux_sym_raise_statement_token1] = ACTIONS(1394),
    [anon_sym_EQ] = ACTIONS(1394),
    [aux_sym_assert_statement_token1] = ACTIONS(1394),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1394),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1394),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1394),
    [anon_sym_LT] = ACTIONS(1396),
    [anon_sym_GT] = ACTIONS(1396),
    [aux_sym_set_operation_token1] = ACTIONS(1394),
    [aux_sym_set_operation_token3] = ACTIONS(1394),
    [aux_sym_set_operation_token4] = ACTIONS(1396),
    [aux_sym_select_token1] = ACTIONS(1394),
    [aux_sym_limit_clause_token1] = ACTIONS(1394),
    [aux_sym__direction_keywords_token1] = ACTIONS(1394),
    [aux_sym__direction_keywords_token2] = ACTIONS(1394),
    [aux_sym__nulls_preference_token1] = ACTIONS(1394),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1394),
    [aux_sym_truncate_statement_token1] = ACTIONS(1394),
    [aux_sym_update_statement_token1] = ACTIONS(1394),
    [aux_sym_merge_statement_token1] = ACTIONS(1394),
    [aux_sym_grant_statement_token1] = ACTIONS(1394),
    [aux_sym_revoke_statement_token1] = ACTIONS(1394),
    [aux_sym_export_data_statement_token1] = ACTIONS(1394),
    [aux_sym_load_data_statement_token1] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(1394),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_STAR] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(1396),
    [anon_sym_PIPE_PIPE] = ACTIONS(1394),
    [anon_sym_LT_EQ] = ACTIONS(1394),
    [anon_sym_LT_GT] = ACTIONS(1394),
    [anon_sym_GT_EQ] = ACTIONS(1394),
    [anon_sym_BANG_EQ] = ACTIONS(1394),
    [anon_sym_LT_LT] = ACTIONS(1394),
    [anon_sym_GT_GT] = ACTIONS(1394),
    [anon_sym_AMP] = ACTIONS(1394),
    [anon_sym_CARET] = ACTIONS(1394),
    [anon_sym_PIPE] = ACTIONS(1396),
  },
  [2955] = {
    [sym_analytics_clause] = STATE(3043),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2956] = {
    [sym_unnest_withoffset] = STATE(2020),
    [ts_builtin_sym_end] = ACTIONS(1540),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1540),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1540),
    [aux_sym_keyword_replace_token1] = ACTIONS(1542),
    [aux_sym__keyword_alter_token1] = ACTIONS(1540),
    [aux_sym__keyword_delete_token1] = ACTIONS(1540),
    [aux_sym__keyword_begin_token1] = ACTIONS(1540),
    [aux_sym__keyword_end_token1] = ACTIONS(1540),
    [aux_sym__keyword_between_token1] = ACTIONS(1540),
    [aux_sym__keyword_when_token1] = ACTIONS(1540),
    [aux_sym__keyword_else_token1] = ACTIONS(1542),
    [aux_sym__keyword_is_token1] = ACTIONS(1540),
    [aux_sym__keyword_in_token1] = ACTIONS(1542),
    [aux_sym__keyword_and_token1] = ACTIONS(1540),
    [aux_sym__keyword_like_token1] = ACTIONS(1540),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1540),
    [aux_sym__keyword_window_token1] = ACTIONS(1540),
    [aux_sym__keyword_for_token1] = ACTIONS(1540),
    [anon_sym_SEMI] = ACTIONS(1540),
    [aux_sym_declare_statement_token1] = ACTIONS(1540),
    [anon_sym_COMMA] = ACTIONS(1540),
    [aux_sym_set_statement_token1] = ACTIONS(1540),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1540),
    [aux_sym_return_satement_token1] = ACTIONS(1540),
    [aux_sym_call_statement_token1] = ACTIONS(1540),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1540),
    [aux_sym_if_statement_token1] = ACTIONS(1540),
    [aux_sym_loop_statement_token1] = ACTIONS(1540),
    [aux_sym_repeat_statement_token1] = ACTIONS(1540),
    [aux_sym_while_statement_token1] = ACTIONS(1540),
    [aux_sym_break_statement_token1] = ACTIONS(1540),
    [aux_sym_leave_statement_token1] = ACTIONS(1540),
    [aux_sym_continue_statement_token1] = ACTIONS(1540),
    [aux_sym_iterate_statement_token1] = ACTIONS(1540),
    [aux_sym_raise_statement_token1] = ACTIONS(1540),
    [anon_sym_EQ] = ACTIONS(1540),
    [aux_sym_assert_statement_token1] = ACTIONS(1540),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1540),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1540),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3092),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_GT] = ACTIONS(1542),
    [aux_sym_set_operation_token1] = ACTIONS(1540),
    [aux_sym_set_operation_token3] = ACTIONS(1540),
    [aux_sym_set_operation_token4] = ACTIONS(1542),
    [aux_sym_select_token1] = ACTIONS(1540),
    [aux_sym_having_clause_token1] = ACTIONS(1540),
    [aux_sym_qualify_clause_token1] = ACTIONS(1540),
    [aux_sym_limit_clause_token1] = ACTIONS(1540),
    [aux_sym_order_by_clause_token1] = ACTIONS(1540),
    [aux_sym_insert_statement_token1] = ACTIONS(1540),
    [aux_sym_truncate_statement_token1] = ACTIONS(1540),
    [aux_sym_update_statement_token1] = ACTIONS(1540),
    [aux_sym_merge_statement_token1] = ACTIONS(1540),
    [aux_sym_grant_statement_token1] = ACTIONS(1540),
    [aux_sym_revoke_statement_token1] = ACTIONS(1540),
    [aux_sym_export_data_statement_token1] = ACTIONS(1540),
    [aux_sym_load_data_statement_token1] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1540),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(1540),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(1542),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_LT_EQ] = ACTIONS(1540),
    [anon_sym_LT_GT] = ACTIONS(1540),
    [anon_sym_GT_EQ] = ACTIONS(1540),
    [anon_sym_BANG_EQ] = ACTIONS(1540),
    [anon_sym_LT_LT] = ACTIONS(1540),
    [anon_sym_GT_GT] = ACTIONS(1540),
    [anon_sym_AMP] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(1540),
    [anon_sym_PIPE] = ACTIONS(1542),
  },
  [2957] = {
    [sym_string] = STATE(3249),
    [ts_builtin_sym_end] = ACTIONS(1508),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1508),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1508),
    [aux_sym_keyword_replace_token1] = ACTIONS(1508),
    [aux_sym__keyword_alter_token1] = ACTIONS(1508),
    [aux_sym__keyword_delete_token1] = ACTIONS(1508),
    [aux_sym__keyword_begin_token1] = ACTIONS(1508),
    [aux_sym__keyword_end_token1] = ACTIONS(1508),
    [aux_sym__keyword_between_token1] = ACTIONS(1508),
    [aux_sym__keyword_when_token1] = ACTIONS(1508),
    [aux_sym__keyword_else_token1] = ACTIONS(1510),
    [aux_sym__keyword_is_token1] = ACTIONS(1508),
    [aux_sym__keyword_in_token1] = ACTIONS(1510),
    [aux_sym__keyword_and_token1] = ACTIONS(1508),
    [aux_sym__keyword_like_token1] = ACTIONS(1508),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1508),
    [aux_sym__keyword_for_token1] = ACTIONS(1508),
    [anon_sym_SEMI] = ACTIONS(1508),
    [aux_sym_declare_statement_token1] = ACTIONS(1508),
    [anon_sym_COMMA] = ACTIONS(1508),
    [aux_sym_set_statement_token1] = ACTIONS(1508),
    [anon_sym_LPAREN] = ACTIONS(1508),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1508),
    [aux_sym_return_satement_token1] = ACTIONS(1508),
    [aux_sym_call_statement_token1] = ACTIONS(1508),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1508),
    [aux_sym_if_statement_token1] = ACTIONS(1508),
    [aux_sym_loop_statement_token1] = ACTIONS(1508),
    [aux_sym_repeat_statement_token1] = ACTIONS(1508),
    [aux_sym_while_statement_token1] = ACTIONS(1508),
    [aux_sym_break_statement_token1] = ACTIONS(1508),
    [aux_sym_leave_statement_token1] = ACTIONS(1508),
    [aux_sym_continue_statement_token1] = ACTIONS(1508),
    [aux_sym_iterate_statement_token1] = ACTIONS(1508),
    [aux_sym_raise_statement_token1] = ACTIONS(1508),
    [anon_sym_EQ] = ACTIONS(1508),
    [aux_sym_assert_statement_token1] = ACTIONS(1508),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1508),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1508),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1508),
    [anon_sym_LT] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1510),
    [aux_sym_set_operation_token1] = ACTIONS(1508),
    [aux_sym_set_operation_token3] = ACTIONS(1508),
    [aux_sym_set_operation_token4] = ACTIONS(1510),
    [aux_sym_select_token1] = ACTIONS(1508),
    [aux_sym_limit_clause_token1] = ACTIONS(1508),
    [aux_sym__direction_keywords_token1] = ACTIONS(1508),
    [aux_sym__direction_keywords_token2] = ACTIONS(1508),
    [aux_sym__nulls_preference_token1] = ACTIONS(1508),
    [aux_sym_insert_statement_token1] = ACTIONS(1508),
    [aux_sym_truncate_statement_token1] = ACTIONS(1508),
    [aux_sym_update_statement_token1] = ACTIONS(1508),
    [aux_sym_merge_statement_token1] = ACTIONS(1508),
    [aux_sym_grant_statement_token1] = ACTIONS(1508),
    [aux_sym_revoke_statement_token1] = ACTIONS(1508),
    [aux_sym_export_data_statement_token1] = ACTIONS(1508),
    [aux_sym_load_data_statement_token1] = ACTIONS(1508),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1508),
    [anon_sym_PLUS] = ACTIONS(1508),
    [anon_sym_DASH] = ACTIONS(1510),
    [anon_sym_STAR] = ACTIONS(1508),
    [anon_sym_SLASH] = ACTIONS(1510),
    [anon_sym_PIPE_PIPE] = ACTIONS(1508),
    [anon_sym_LT_EQ] = ACTIONS(1508),
    [anon_sym_LT_GT] = ACTIONS(1508),
    [anon_sym_GT_EQ] = ACTIONS(1508),
    [anon_sym_BANG_EQ] = ACTIONS(1508),
    [anon_sym_LT_LT] = ACTIONS(1508),
    [anon_sym_GT_GT] = ACTIONS(1508),
    [anon_sym_AMP] = ACTIONS(1508),
    [anon_sym_CARET] = ACTIONS(1508),
    [anon_sym_PIPE] = ACTIONS(1510),
    [sym__string_start] = ACTIONS(2146),
  },
  [2958] = {
    [sym_analytics_clause] = STATE(3137),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2959] = {
    [sym__keyword_as] = STATE(11547),
    [sym__keyword_date] = STATE(580),
    [sym__keyword_datetime] = STATE(580),
    [sym__keyword_time] = STATE(580),
    [sym__keyword_timestamp] = STATE(580),
    [sym_as_alias] = STATE(5259),
    [sym_unnest_withoffset] = STATE(403),
    [sym__type_chrono] = STATE(461),
    [sym__identifier] = STATE(2405),
    [sym__dotted_identifier] = STATE(13807),
    [sym_identifier] = STATE(607),
    [aux_sym_identifier_repeat1] = STATE(13807),
    [ts_builtin_sym_end] = ACTIONS(211),
    [sym__unquoted_identifier] = ACTIONS(335),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(205),
    [aux_sym__keyword_alter_token1] = ACTIONS(205),
    [aux_sym__keyword_delete_token1] = ACTIONS(205),
    [aux_sym__keyword_begin_token1] = ACTIONS(205),
    [aux_sym__keyword_when_token1] = ACTIONS(205),
    [aux_sym__keyword_repeat_token1] = ACTIONS(205),
    [aux_sym__keyword_as_token1] = ACTIONS(2932),
    [aux_sym__keyword_window_token1] = ACTIONS(205),
    [aux_sym__keyword_date_token1] = ACTIONS(209),
    [aux_sym__keyword_datetime_token1] = ACTIONS(209),
    [aux_sym__keyword_time_token1] = ACTIONS(209),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(209),
    [aux_sym__keyword_for_token1] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(211),
    [aux_sym_declare_statement_token1] = ACTIONS(205),
    [anon_sym_COMMA] = ACTIONS(211),
    [aux_sym_set_statement_token1] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(211),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(205),
    [aux_sym_using_clause_token1] = ACTIONS(205),
    [aux_sym_return_satement_token1] = ACTIONS(205),
    [aux_sym_call_statement_token1] = ACTIONS(205),
    [aux_sym_loop_statement_token1] = ACTIONS(205),
    [aux_sym_while_statement_token1] = ACTIONS(205),
    [aux_sym_break_statement_token1] = ACTIONS(205),
    [aux_sym_leave_statement_token1] = ACTIONS(205),
    [aux_sym_continue_statement_token1] = ACTIONS(205),
    [aux_sym_iterate_statement_token1] = ACTIONS(205),
    [aux_sym_raise_statement_token1] = ACTIONS(205),
    [aux_sym_assert_statement_token1] = ACTIONS(205),
    [aux_sym_create_schema_statement_token1] = ACTIONS(205),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(205),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2934),
    [aux_sym_set_operation_token1] = ACTIONS(205),
    [aux_sym_set_operation_token3] = ACTIONS(205),
    [aux_sym_set_operation_token4] = ACTIONS(205),
    [aux_sym_select_token1] = ACTIONS(205),
    [aux_sym_having_clause_token1] = ACTIONS(205),
    [aux_sym_qualify_clause_token1] = ACTIONS(205),
    [aux_sym_limit_clause_token1] = ACTIONS(205),
    [aux_sym_group_by_clause_token1] = ACTIONS(205),
    [aux_sym_order_by_clause_token1] = ACTIONS(205),
    [aux_sym_where_clause_token1] = ACTIONS(205),
    [aux_sym_pivot_operator_token1] = ACTIONS(205),
    [aux_sym_unpivot_operator_token1] = ACTIONS(205),
    [aux_sym_tablesample_operator_token1] = ACTIONS(205),
    [aux_sym_join_type_token1] = ACTIONS(205),
    [aux_sym_join_type_token2] = ACTIONS(205),
    [aux_sym_join_type_token3] = ACTIONS(205),
    [aux_sym_join_type_token4] = ACTIONS(205),
    [aux_sym__cross_join_operation_token1] = ACTIONS(205),
    [aux_sym__cross_join_operation_token2] = ACTIONS(205),
    [aux_sym_join_condition_token1] = ACTIONS(205),
    [aux_sym_insert_statement_token1] = ACTIONS(205),
    [aux_sym_truncate_statement_token1] = ACTIONS(205),
    [aux_sym_update_statement_token1] = ACTIONS(205),
    [aux_sym_merge_statement_token1] = ACTIONS(205),
    [aux_sym_grant_statement_token1] = ACTIONS(205),
    [aux_sym_revoke_statement_token1] = ACTIONS(205),
    [aux_sym_export_data_statement_token1] = ACTIONS(205),
    [aux_sym_load_data_statement_token1] = ACTIONS(205),
    [sym__quoted_identifier] = ACTIONS(363),
    [sym_comment] = ACTIONS(3),
  },
  [2960] = {
    [sym__keyword_between] = STATE(1795),
    [sym__keyword_is] = STATE(12073),
    [sym__keyword_in] = STATE(1359),
    [sym__keyword_not] = STATE(13143),
    [sym__keyword_and] = STATE(839),
    [sym__keyword_or] = STATE(1367),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16314),
    [sym_quantitve_like_operator] = STATE(16315),
    [ts_builtin_sym_end] = ACTIONS(2928),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(2928),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(341),
    [aux_sym__keyword_alter_token1] = ACTIONS(2928),
    [aux_sym__keyword_delete_token1] = ACTIONS(2928),
    [aux_sym__keyword_begin_token1] = ACTIONS(2928),
    [aux_sym__keyword_between_token1] = ACTIONS(2974),
    [aux_sym__keyword_when_token1] = ACTIONS(2928),
    [aux_sym__keyword_is_token1] = ACTIONS(2976),
    [aux_sym__keyword_in_token1] = ACTIONS(2978),
    [aux_sym__keyword_and_token1] = ACTIONS(2980),
    [aux_sym__keyword_like_token1] = ACTIONS(1007),
    [aux_sym__keyword_repeat_token1] = ACTIONS(2928),
    [aux_sym__keyword_window_token1] = ACTIONS(2928),
    [aux_sym__keyword_for_token1] = ACTIONS(2928),
    [anon_sym_SEMI] = ACTIONS(2928),
    [aux_sym_declare_statement_token1] = ACTIONS(2928),
    [aux_sym_set_statement_token1] = ACTIONS(2928),
    [anon_sym_LPAREN] = ACTIONS(2928),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(2928),
    [aux_sym_return_satement_token1] = ACTIONS(2928),
    [aux_sym_call_statement_token1] = ACTIONS(2928),
    [aux_sym_loop_statement_token1] = ACTIONS(2928),
    [aux_sym_while_statement_token1] = ACTIONS(2928),
    [aux_sym_break_statement_token1] = ACTIONS(2928),
    [aux_sym_leave_statement_token1] = ACTIONS(2928),
    [aux_sym_continue_statement_token1] = ACTIONS(2928),
    [aux_sym_iterate_statement_token1] = ACTIONS(2928),
    [aux_sym_raise_statement_token1] = ACTIONS(2928),
    [anon_sym_EQ] = ACTIONS(2982),
    [aux_sym_assert_statement_token1] = ACTIONS(2928),
    [aux_sym_create_schema_statement_token1] = ACTIONS(2928),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(2928),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2928),
    [anon_sym_LT] = ACTIONS(2978),
    [anon_sym_GT] = ACTIONS(2978),
    [aux_sym_set_operation_token1] = ACTIONS(2928),
    [aux_sym_set_operation_token3] = ACTIONS(2928),
    [aux_sym_set_operation_token4] = ACTIONS(2928),
    [aux_sym_select_token1] = ACTIONS(2928),
    [aux_sym_limit_clause_token1] = ACTIONS(2928),
    [aux_sym_order_by_clause_token1] = ACTIONS(2928),
    [aux_sym_insert_statement_token1] = ACTIONS(2928),
    [aux_sym_truncate_statement_token1] = ACTIONS(2928),
    [aux_sym_update_statement_token1] = ACTIONS(2928),
    [aux_sym_merge_statement_token1] = ACTIONS(2928),
    [aux_sym_grant_statement_token1] = ACTIONS(2928),
    [aux_sym_revoke_statement_token1] = ACTIONS(2928),
    [aux_sym_export_data_statement_token1] = ACTIONS(2928),
    [aux_sym_load_data_statement_token1] = ACTIONS(2928),
    [anon_sym_LBRACK] = ACTIONS(781),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(783),
    [anon_sym_PLUS] = ACTIONS(2984),
    [anon_sym_DASH] = ACTIONS(2986),
    [anon_sym_STAR] = ACTIONS(2988),
    [anon_sym_SLASH] = ACTIONS(2990),
    [anon_sym_PIPE_PIPE] = ACTIONS(2988),
    [anon_sym_LT_EQ] = ACTIONS(2982),
    [anon_sym_LT_GT] = ACTIONS(2982),
    [anon_sym_GT_EQ] = ACTIONS(2982),
    [anon_sym_BANG_EQ] = ACTIONS(2982),
    [anon_sym_LT_LT] = ACTIONS(2992),
    [anon_sym_GT_GT] = ACTIONS(2992),
    [anon_sym_AMP] = ACTIONS(2994),
    [anon_sym_CARET] = ACTIONS(2996),
    [anon_sym_PIPE] = ACTIONS(2998),
  },
  [2961] = {
    [sym_analytics_clause] = STATE(3158),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1418),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_when_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1418),
    [aux_sym_set_operation_token3] = ACTIONS(1418),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_limit_clause_token1] = ACTIONS(1418),
    [aux_sym__direction_keywords_token1] = ACTIONS(1418),
    [aux_sym__direction_keywords_token2] = ACTIONS(1418),
    [aux_sym__nulls_preference_token1] = ACTIONS(1418),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [2962] = {
    [sym__keyword_between] = STATE(1244),
    [sym__keyword_is] = STATE(12133),
    [sym__keyword_in] = STATE(1140),
    [sym__keyword_not] = STATE(13072),
    [sym__keyword_and] = STATE(1164),
    [sym__keyword_or] = STATE(1168),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1019),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1019),
    [aux_sym_keyword_replace_token1] = ACTIONS(1019),
    [aux_sym__keyword_alter_token1] = ACTIONS(1019),
    [aux_sym__keyword_delete_token1] = ACTIONS(1019),
    [aux_sym__keyword_begin_token1] = ACTIONS(1019),
    [aux_sym__keyword_end_token1] = ACTIONS(1019),
    [aux_sym__keyword_between_token1] = ACTIONS(1019),
    [aux_sym__keyword_else_token1] = ACTIONS(1021),
    [aux_sym__keyword_is_token1] = ACTIONS(1019),
    [aux_sym__keyword_in_token1] = ACTIONS(1021),
    [aux_sym__keyword_and_token1] = ACTIONS(1019),
    [aux_sym__keyword_like_token1] = ACTIONS(1019),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1019),
    [aux_sym__keyword_as_token1] = ACTIONS(1021),
    [aux_sym__keyword_for_token1] = ACTIONS(1019),
    [anon_sym_SEMI] = ACTIONS(1019),
    [aux_sym_declare_statement_token1] = ACTIONS(1019),
    [anon_sym_COMMA] = ACTIONS(1019),
    [aux_sym_set_statement_token1] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1019),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1019),
    [aux_sym_return_satement_token1] = ACTIONS(1019),
    [aux_sym_call_statement_token1] = ACTIONS(1019),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1019),
    [aux_sym_if_statement_token1] = ACTIONS(1019),
    [aux_sym_loop_statement_token1] = ACTIONS(1019),
    [aux_sym_repeat_statement_token1] = ACTIONS(1019),
    [aux_sym_while_statement_token1] = ACTIONS(1019),
    [aux_sym_break_statement_token1] = ACTIONS(1019),
    [aux_sym_leave_statement_token1] = ACTIONS(1019),
    [aux_sym_continue_statement_token1] = ACTIONS(1019),
    [aux_sym_iterate_statement_token1] = ACTIONS(1019),
    [aux_sym_raise_statement_token1] = ACTIONS(1019),
    [anon_sym_EQ] = ACTIONS(1019),
    [aux_sym_assert_statement_token1] = ACTIONS(1019),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1019),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1019),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1019),
    [aux_sym_option_clause_token1] = ACTIONS(1019),
    [anon_sym_LT] = ACTIONS(1021),
    [anon_sym_GT] = ACTIONS(1021),
    [aux_sym_select_token1] = ACTIONS(1019),
    [aux_sym_insert_statement_token1] = ACTIONS(1019),
    [aux_sym_truncate_statement_token1] = ACTIONS(1019),
    [aux_sym_update_statement_token1] = ACTIONS(1019),
    [aux_sym_merge_statement_token1] = ACTIONS(1019),
    [aux_sym_grant_statement_token1] = ACTIONS(1019),
    [aux_sym_revoke_statement_token1] = ACTIONS(1019),
    [aux_sym_export_data_statement_token1] = ACTIONS(1019),
    [aux_sym_load_data_statement_token1] = ACTIONS(1019),
    [anon_sym_LBRACK] = ACTIONS(1019),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1019),
    [anon_sym_PLUS] = ACTIONS(1019),
    [anon_sym_DASH] = ACTIONS(1021),
    [anon_sym_STAR] = ACTIONS(1019),
    [anon_sym_SLASH] = ACTIONS(1021),
    [anon_sym_PIPE_PIPE] = ACTIONS(1019),
    [anon_sym_LT_EQ] = ACTIONS(1019),
    [anon_sym_LT_GT] = ACTIONS(1019),
    [anon_sym_GT_EQ] = ACTIONS(1019),
    [anon_sym_BANG_EQ] = ACTIONS(1019),
    [anon_sym_LT_LT] = ACTIONS(1019),
    [anon_sym_GT_GT] = ACTIONS(1019),
    [anon_sym_AMP] = ACTIONS(1019),
    [anon_sym_CARET] = ACTIONS(1019),
    [anon_sym_PIPE] = ACTIONS(1021),
  },
  [2963] = {
    [sym_analytics_clause] = STATE(3064),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token2] = ACTIONS(1378),
    [aux_sym__nulls_preference_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [2964] = {
    [sym_analytics_clause] = STATE(3135),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2965] = {
    [sym_analytics_clause] = STATE(3182),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [2966] = {
    [ts_builtin_sym_end] = ACTIONS(1083),
    [sym__unquoted_identifier] = ACTIONS(1081),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1081),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1081),
    [aux_sym_keyword_replace_token1] = ACTIONS(1081),
    [aux_sym__keyword_alter_token1] = ACTIONS(1081),
    [aux_sym__keyword_delete_token1] = ACTIONS(1081),
    [aux_sym__keyword_begin_token1] = ACTIONS(1081),
    [aux_sym__keyword_between_token1] = ACTIONS(1081),
    [aux_sym__keyword_when_token1] = ACTIONS(1081),
    [aux_sym__keyword_is_token1] = ACTIONS(1081),
    [aux_sym__keyword_in_token1] = ACTIONS(1081),
    [aux_sym__keyword_and_token1] = ACTIONS(1081),
    [aux_sym__keyword_like_token1] = ACTIONS(1081),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1081),
    [aux_sym__keyword_as_token1] = ACTIONS(1081),
    [aux_sym__keyword_date_token1] = ACTIONS(1081),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1081),
    [aux_sym__keyword_time_token1] = ACTIONS(1081),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1081),
    [aux_sym__keyword_for_token1] = ACTIONS(1081),
    [anon_sym_SEMI] = ACTIONS(1083),
    [aux_sym_declare_statement_token1] = ACTIONS(1081),
    [anon_sym_COMMA] = ACTIONS(1083),
    [aux_sym_set_statement_token1] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1081),
    [aux_sym_return_satement_token1] = ACTIONS(1081),
    [aux_sym_call_statement_token1] = ACTIONS(1081),
    [aux_sym_loop_statement_token1] = ACTIONS(1081),
    [aux_sym_while_statement_token1] = ACTIONS(1081),
    [aux_sym_break_statement_token1] = ACTIONS(1081),
    [aux_sym_leave_statement_token1] = ACTIONS(1081),
    [aux_sym_continue_statement_token1] = ACTIONS(1081),
    [aux_sym_iterate_statement_token1] = ACTIONS(1081),
    [aux_sym_raise_statement_token1] = ACTIONS(1081),
    [anon_sym_EQ] = ACTIONS(1083),
    [aux_sym_assert_statement_token1] = ACTIONS(1081),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1081),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1081),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1081),
    [anon_sym_LT] = ACTIONS(1081),
    [anon_sym_GT] = ACTIONS(1081),
    [aux_sym_set_operation_token1] = ACTIONS(1081),
    [aux_sym_set_operation_token3] = ACTIONS(1081),
    [aux_sym_set_operation_token4] = ACTIONS(1081),
    [aux_sym_select_token1] = ACTIONS(1081),
    [aux_sym_limit_clause_token1] = ACTIONS(1081),
    [aux_sym__direction_keywords_token1] = ACTIONS(1081),
    [aux_sym__direction_keywords_token2] = ACTIONS(1081),
    [aux_sym__nulls_preference_token1] = ACTIONS(1081),
    [aux_sym_insert_statement_token1] = ACTIONS(1081),
    [aux_sym_truncate_statement_token1] = ACTIONS(1081),
    [aux_sym_update_statement_token1] = ACTIONS(1081),
    [aux_sym_merge_statement_token1] = ACTIONS(1081),
    [aux_sym_grant_statement_token1] = ACTIONS(1081),
    [aux_sym_revoke_statement_token1] = ACTIONS(1081),
    [aux_sym_export_data_statement_token1] = ACTIONS(1081),
    [aux_sym_load_data_statement_token1] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [sym__quoted_identifier] = ACTIONS(1083),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1083),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1081),
    [anon_sym_STAR] = ACTIONS(1083),
    [anon_sym_SLASH] = ACTIONS(1081),
    [anon_sym_PIPE_PIPE] = ACTIONS(1083),
    [anon_sym_LT_EQ] = ACTIONS(1083),
    [anon_sym_LT_GT] = ACTIONS(1083),
    [anon_sym_GT_EQ] = ACTIONS(1083),
    [anon_sym_BANG_EQ] = ACTIONS(1083),
    [anon_sym_LT_LT] = ACTIONS(1083),
    [anon_sym_GT_GT] = ACTIONS(1083),
    [anon_sym_AMP] = ACTIONS(1083),
    [anon_sym_CARET] = ACTIONS(1083),
    [anon_sym_PIPE] = ACTIONS(1081),
  },
  [2967] = {
    [sym_analytics_clause] = STATE(3062),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token2] = ACTIONS(1378),
    [aux_sym__nulls_preference_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(3080),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [2968] = {
    [ts_builtin_sym_end] = ACTIONS(1524),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1524),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1524),
    [aux_sym_keyword_replace_token1] = ACTIONS(1524),
    [aux_sym__keyword_alter_token1] = ACTIONS(1524),
    [aux_sym__keyword_delete_token1] = ACTIONS(1524),
    [aux_sym__keyword_begin_token1] = ACTIONS(1524),
    [aux_sym__keyword_end_token1] = ACTIONS(1524),
    [aux_sym__keyword_between_token1] = ACTIONS(1524),
    [aux_sym__keyword_when_token1] = ACTIONS(1524),
    [aux_sym__keyword_else_token1] = ACTIONS(1526),
    [aux_sym__keyword_is_token1] = ACTIONS(1524),
    [aux_sym__keyword_in_token1] = ACTIONS(1526),
    [aux_sym__keyword_and_token1] = ACTIONS(1524),
    [aux_sym__keyword_like_token1] = ACTIONS(1524),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1524),
    [aux_sym__keyword_for_token1] = ACTIONS(1524),
    [anon_sym_SEMI] = ACTIONS(1524),
    [aux_sym_declare_statement_token1] = ACTIONS(1524),
    [anon_sym_COMMA] = ACTIONS(1524),
    [aux_sym_set_statement_token1] = ACTIONS(1524),
    [anon_sym_LPAREN] = ACTIONS(1524),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1524),
    [aux_sym_return_satement_token1] = ACTIONS(1524),
    [aux_sym_call_statement_token1] = ACTIONS(1524),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1524),
    [aux_sym_if_statement_token1] = ACTIONS(1524),
    [aux_sym_loop_statement_token1] = ACTIONS(1524),
    [aux_sym_repeat_statement_token1] = ACTIONS(1524),
    [aux_sym_while_statement_token1] = ACTIONS(1524),
    [aux_sym_break_statement_token1] = ACTIONS(1524),
    [aux_sym_leave_statement_token1] = ACTIONS(1524),
    [aux_sym_continue_statement_token1] = ACTIONS(1524),
    [aux_sym_iterate_statement_token1] = ACTIONS(1524),
    [aux_sym_raise_statement_token1] = ACTIONS(1524),
    [anon_sym_EQ] = ACTIONS(1524),
    [aux_sym_assert_statement_token1] = ACTIONS(1524),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1524),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1524),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1524),
    [aux_sym_alter_table_rename_statement_token2] = ACTIONS(3094),
    [anon_sym_LT] = ACTIONS(1526),
    [anon_sym_GT] = ACTIONS(1526),
    [aux_sym_set_operation_token1] = ACTIONS(1524),
    [aux_sym_set_operation_token3] = ACTIONS(1524),
    [aux_sym_set_operation_token4] = ACTIONS(1526),
    [aux_sym_select_token1] = ACTIONS(1524),
    [aux_sym_limit_clause_token1] = ACTIONS(1524),
    [aux_sym__direction_keywords_token1] = ACTIONS(1524),
    [aux_sym__direction_keywords_token2] = ACTIONS(1524),
    [aux_sym__nulls_preference_token1] = ACTIONS(1524),
    [aux_sym_insert_statement_token1] = ACTIONS(1524),
    [aux_sym_truncate_statement_token1] = ACTIONS(1524),
    [aux_sym_update_statement_token1] = ACTIONS(1524),
    [aux_sym_merge_statement_token1] = ACTIONS(1524),
    [aux_sym_grant_statement_token1] = ACTIONS(1524),
    [aux_sym_revoke_statement_token1] = ACTIONS(1524),
    [aux_sym_export_data_statement_token1] = ACTIONS(1524),
    [aux_sym_load_data_statement_token1] = ACTIONS(1524),
    [anon_sym_LBRACK] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1524),
    [anon_sym_PLUS] = ACTIONS(1524),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_STAR] = ACTIONS(1524),
    [anon_sym_SLASH] = ACTIONS(1526),
    [anon_sym_PIPE_PIPE] = ACTIONS(1524),
    [anon_sym_LT_EQ] = ACTIONS(1524),
    [anon_sym_LT_GT] = ACTIONS(1524),
    [anon_sym_GT_EQ] = ACTIONS(1524),
    [anon_sym_BANG_EQ] = ACTIONS(1524),
    [anon_sym_LT_LT] = ACTIONS(1524),
    [anon_sym_GT_GT] = ACTIONS(1524),
    [anon_sym_AMP] = ACTIONS(1524),
    [anon_sym_CARET] = ACTIONS(1524),
    [anon_sym_PIPE] = ACTIONS(1526),
  },
  [2969] = {
    [ts_builtin_sym_end] = ACTIONS(1632),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1632),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1632),
    [aux_sym_keyword_replace_token1] = ACTIONS(1632),
    [aux_sym__keyword_alter_token1] = ACTIONS(1632),
    [aux_sym__keyword_delete_token1] = ACTIONS(1632),
    [aux_sym__keyword_begin_token1] = ACTIONS(1632),
    [aux_sym__keyword_end_token1] = ACTIONS(1632),
    [aux_sym__keyword_between_token1] = ACTIONS(1632),
    [aux_sym__keyword_when_token1] = ACTIONS(1632),
    [aux_sym__keyword_else_token1] = ACTIONS(1634),
    [aux_sym__keyword_is_token1] = ACTIONS(1632),
    [aux_sym__keyword_in_token1] = ACTIONS(1634),
    [aux_sym__keyword_and_token1] = ACTIONS(1632),
    [aux_sym__keyword_like_token1] = ACTIONS(1632),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1632),
    [aux_sym__keyword_as_token1] = ACTIONS(1634),
    [aux_sym__keyword_partition_by_token1] = ACTIONS(1632),
    [aux_sym__keyword_for_token1] = ACTIONS(1632),
    [anon_sym_SEMI] = ACTIONS(1632),
    [aux_sym_declare_statement_token1] = ACTIONS(1632),
    [anon_sym_COMMA] = ACTIONS(1632),
    [aux_sym_default_clause_token1] = ACTIONS(1632),
    [aux_sym_set_statement_token1] = ACTIONS(1632),
    [anon_sym_LPAREN] = ACTIONS(1632),
    [anon_sym_RPAREN] = ACTIONS(1632),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1632),
    [aux_sym_return_satement_token1] = ACTIONS(1632),
    [aux_sym_call_statement_token1] = ACTIONS(1632),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1632),
    [aux_sym_if_statement_token1] = ACTIONS(1632),
    [aux_sym_loop_statement_token1] = ACTIONS(1632),
    [aux_sym_repeat_statement_token1] = ACTIONS(1632),
    [aux_sym_while_statement_token1] = ACTIONS(1632),
    [aux_sym_break_statement_token1] = ACTIONS(1632),
    [aux_sym_leave_statement_token1] = ACTIONS(1632),
    [aux_sym_continue_statement_token1] = ACTIONS(1632),
    [aux_sym_iterate_statement_token1] = ACTIONS(1632),
    [aux_sym_raise_statement_token1] = ACTIONS(1632),
    [anon_sym_EQ] = ACTIONS(1632),
    [aux_sym_assert_statement_token1] = ACTIONS(1632),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1632),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1632),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1632),
    [aux_sym_primary_key_token1] = ACTIONS(1632),
    [aux_sym_foreign_key_references_token1] = ACTIONS(1632),
    [aux_sym_option_clause_token1] = ACTIONS(1632),
    [anon_sym_LT] = ACTIONS(1634),
    [anon_sym_GT] = ACTIONS(1634),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1632),
    [aux_sym_select_token1] = ACTIONS(1632),
    [aux_sym_insert_statement_token1] = ACTIONS(1632),
    [aux_sym_truncate_statement_token1] = ACTIONS(1632),
    [aux_sym_update_statement_token1] = ACTIONS(1632),
    [aux_sym_merge_statement_token1] = ACTIONS(1632),
    [aux_sym_grant_statement_token1] = ACTIONS(1632),
    [aux_sym_revoke_statement_token1] = ACTIONS(1632),
    [aux_sym_export_data_statement_token1] = ACTIONS(1632),
    [aux_sym_load_data_statement_token1] = ACTIONS(1632),
    [anon_sym_LBRACK] = ACTIONS(1632),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1632),
    [anon_sym_PLUS] = ACTIONS(1632),
    [anon_sym_DASH] = ACTIONS(1634),
    [anon_sym_STAR] = ACTIONS(1632),
    [anon_sym_SLASH] = ACTIONS(1634),
    [anon_sym_PIPE_PIPE] = ACTIONS(1632),
    [anon_sym_LT_EQ] = ACTIONS(1632),
    [anon_sym_LT_GT] = ACTIONS(1632),
    [anon_sym_GT_EQ] = ACTIONS(1632),
    [anon_sym_BANG_EQ] = ACTIONS(1632),
    [anon_sym_LT_LT] = ACTIONS(1632),
    [anon_sym_GT_GT] = ACTIONS(1632),
    [anon_sym_AMP] = ACTIONS(1632),
    [anon_sym_CARET] = ACTIONS(1632),
    [anon_sym_PIPE] = ACTIONS(1634),
  },
  [2970] = {
    [ts_builtin_sym_end] = ACTIONS(1656),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1656),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1656),
    [aux_sym_keyword_replace_token1] = ACTIONS(1656),
    [aux_sym__keyword_alter_token1] = ACTIONS(1656),
    [aux_sym__keyword_delete_token1] = ACTIONS(1656),
    [aux_sym__keyword_begin_token1] = ACTIONS(1656),
    [aux_sym__keyword_end_token1] = ACTIONS(1656),
    [aux_sym__keyword_between_token1] = ACTIONS(1656),
    [aux_sym__keyword_when_token1] = ACTIONS(1656),
    [aux_sym__keyword_else_token1] = ACTIONS(1658),
    [aux_sym__keyword_is_token1] = ACTIONS(1656),
    [aux_sym__keyword_in_token1] = ACTIONS(1658),
    [aux_sym__keyword_and_token1] = ACTIONS(1656),
    [aux_sym__keyword_like_token1] = ACTIONS(1656),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1656),
    [aux_sym__keyword_as_token1] = ACTIONS(1658),
    [aux_sym__keyword_partition_by_token1] = ACTIONS(1656),
    [aux_sym__keyword_for_token1] = ACTIONS(1656),
    [anon_sym_SEMI] = ACTIONS(1656),
    [aux_sym_declare_statement_token1] = ACTIONS(1656),
    [anon_sym_COMMA] = ACTIONS(1656),
    [aux_sym_default_clause_token1] = ACTIONS(1656),
    [aux_sym_set_statement_token1] = ACTIONS(1656),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_RPAREN] = ACTIONS(1656),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1656),
    [aux_sym_return_satement_token1] = ACTIONS(1656),
    [aux_sym_call_statement_token1] = ACTIONS(1656),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1656),
    [aux_sym_if_statement_token1] = ACTIONS(1656),
    [aux_sym_loop_statement_token1] = ACTIONS(1656),
    [aux_sym_repeat_statement_token1] = ACTIONS(1656),
    [aux_sym_while_statement_token1] = ACTIONS(1656),
    [aux_sym_break_statement_token1] = ACTIONS(1656),
    [aux_sym_leave_statement_token1] = ACTIONS(1656),
    [aux_sym_continue_statement_token1] = ACTIONS(1656),
    [aux_sym_iterate_statement_token1] = ACTIONS(1656),
    [aux_sym_raise_statement_token1] = ACTIONS(1656),
    [anon_sym_EQ] = ACTIONS(1656),
    [aux_sym_assert_statement_token1] = ACTIONS(1656),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1656),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1656),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1656),
    [aux_sym_primary_key_token1] = ACTIONS(1656),
    [aux_sym_foreign_key_references_token1] = ACTIONS(1656),
    [aux_sym_option_clause_token1] = ACTIONS(1656),
    [anon_sym_LT] = ACTIONS(1658),
    [anon_sym_GT] = ACTIONS(1658),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1656),
    [aux_sym_select_token1] = ACTIONS(1656),
    [aux_sym_insert_statement_token1] = ACTIONS(1656),
    [aux_sym_truncate_statement_token1] = ACTIONS(1656),
    [aux_sym_update_statement_token1] = ACTIONS(1656),
    [aux_sym_merge_statement_token1] = ACTIONS(1656),
    [aux_sym_grant_statement_token1] = ACTIONS(1656),
    [aux_sym_revoke_statement_token1] = ACTIONS(1656),
    [aux_sym_export_data_statement_token1] = ACTIONS(1656),
    [aux_sym_load_data_statement_token1] = ACTIONS(1656),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1656),
    [anon_sym_PLUS] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_STAR] = ACTIONS(1656),
    [anon_sym_SLASH] = ACTIONS(1658),
    [anon_sym_PIPE_PIPE] = ACTIONS(1656),
    [anon_sym_LT_EQ] = ACTIONS(1656),
    [anon_sym_LT_GT] = ACTIONS(1656),
    [anon_sym_GT_EQ] = ACTIONS(1656),
    [anon_sym_BANG_EQ] = ACTIONS(1656),
    [anon_sym_LT_LT] = ACTIONS(1656),
    [anon_sym_GT_GT] = ACTIONS(1656),
    [anon_sym_AMP] = ACTIONS(1656),
    [anon_sym_CARET] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1658),
  },
  [2971] = {
    [sym__keyword_between] = STATE(1478),
    [sym__keyword_is] = STATE(12106),
    [sym__keyword_in] = STATE(1682),
    [sym__keyword_not] = STATE(13114),
    [sym__keyword_and] = STATE(862),
    [sym__keyword_or] = STATE(863),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3098),
    [anon_sym_STAR] = ACTIONS(3100),
    [anon_sym_SLASH] = ACTIONS(3102),
    [anon_sym_PIPE_PIPE] = ACTIONS(3100),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2972] = {
    [sym__keyword_between] = STATE(1863),
    [sym__keyword_is] = STATE(12135),
    [sym__keyword_in] = STATE(1426),
    [sym__keyword_not] = STATE(13093),
    [sym__keyword_and] = STATE(1434),
    [sym__keyword_or] = STATE(1437),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16082),
    [sym_quantitve_like_operator] = STATE(16084),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_into_clause_token1] = ACTIONS(917),
    [aux_sym_using_clause_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(917),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PIPE_PIPE] = ACTIONS(917),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2973] = {
    [sym__keyword_between] = STATE(1138),
    [sym__keyword_is] = STATE(12151),
    [sym__keyword_in] = STATE(919),
    [sym__keyword_not] = STATE(13049),
    [sym__keyword_and] = STATE(929),
    [sym__keyword_or] = STATE(930),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3104),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(3104),
    [aux_sym_keyword_replace_token1] = ACTIONS(2744),
    [aux_sym__keyword_alter_token1] = ACTIONS(3104),
    [aux_sym__keyword_delete_token1] = ACTIONS(3104),
    [aux_sym__keyword_begin_token1] = ACTIONS(3104),
    [aux_sym__keyword_end_token1] = ACTIONS(3104),
    [aux_sym__keyword_between_token1] = ACTIONS(3106),
    [aux_sym__keyword_else_token1] = ACTIONS(3108),
    [aux_sym__keyword_is_token1] = ACTIONS(3110),
    [aux_sym__keyword_in_token1] = ACTIONS(3112),
    [aux_sym__keyword_and_token1] = ACTIONS(3114),
    [aux_sym__keyword_like_token1] = ACTIONS(1007),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3104),
    [aux_sym__keyword_for_token1] = ACTIONS(3104),
    [anon_sym_SEMI] = ACTIONS(3104),
    [aux_sym_declare_statement_token1] = ACTIONS(3104),
    [anon_sym_COMMA] = ACTIONS(3104),
    [aux_sym_set_statement_token1] = ACTIONS(3104),
    [anon_sym_LPAREN] = ACTIONS(3104),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(3104),
    [aux_sym_return_satement_token1] = ACTIONS(3104),
    [aux_sym_call_statement_token1] = ACTIONS(3104),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(3104),
    [aux_sym_if_statement_token1] = ACTIONS(3104),
    [aux_sym_loop_statement_token1] = ACTIONS(3104),
    [aux_sym_repeat_statement_token1] = ACTIONS(3104),
    [aux_sym_while_statement_token1] = ACTIONS(3104),
    [aux_sym_break_statement_token1] = ACTIONS(3104),
    [aux_sym_leave_statement_token1] = ACTIONS(3104),
    [aux_sym_continue_statement_token1] = ACTIONS(3104),
    [aux_sym_iterate_statement_token1] = ACTIONS(3104),
    [aux_sym_raise_statement_token1] = ACTIONS(3104),
    [anon_sym_EQ] = ACTIONS(3116),
    [aux_sym_assert_statement_token1] = ACTIONS(3104),
    [aux_sym_create_schema_statement_token1] = ACTIONS(3104),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(3104),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3104),
    [aux_sym_option_clause_token1] = ACTIONS(3104),
    [anon_sym_LT] = ACTIONS(3112),
    [anon_sym_GT] = ACTIONS(3112),
    [aux_sym_select_token1] = ACTIONS(3104),
    [aux_sym_insert_statement_token1] = ACTIONS(3104),
    [aux_sym_truncate_statement_token1] = ACTIONS(3104),
    [aux_sym_update_statement_token1] = ACTIONS(3104),
    [aux_sym_merge_statement_token1] = ACTIONS(3104),
    [aux_sym_grant_statement_token1] = ACTIONS(3104),
    [aux_sym_revoke_statement_token1] = ACTIONS(3104),
    [aux_sym_export_data_statement_token1] = ACTIONS(3104),
    [aux_sym_load_data_statement_token1] = ACTIONS(3104),
    [anon_sym_LBRACK] = ACTIONS(3056),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(3058),
    [anon_sym_PLUS] = ACTIONS(3118),
    [anon_sym_DASH] = ACTIONS(3120),
    [anon_sym_STAR] = ACTIONS(3122),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_PIPE_PIPE] = ACTIONS(3122),
    [anon_sym_LT_EQ] = ACTIONS(3116),
    [anon_sym_LT_GT] = ACTIONS(3116),
    [anon_sym_GT_EQ] = ACTIONS(3116),
    [anon_sym_BANG_EQ] = ACTIONS(3116),
    [anon_sym_LT_LT] = ACTIONS(3126),
    [anon_sym_GT_GT] = ACTIONS(3126),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_CARET] = ACTIONS(3130),
    [anon_sym_PIPE] = ACTIONS(3132),
  },
  [2974] = {
    [sym__keyword_between] = STATE(1863),
    [sym__keyword_is] = STATE(12135),
    [sym__keyword_in] = STATE(1426),
    [sym__keyword_not] = STATE(13093),
    [sym__keyword_and] = STATE(1434),
    [sym__keyword_or] = STATE(1437),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16082),
    [sym_quantitve_like_operator] = STATE(16084),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1023),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1023),
    [aux_sym_keyword_replace_token1] = ACTIONS(1023),
    [aux_sym__keyword_alter_token1] = ACTIONS(1023),
    [aux_sym__keyword_delete_token1] = ACTIONS(1023),
    [aux_sym__keyword_begin_token1] = ACTIONS(1023),
    [aux_sym__keyword_end_token1] = ACTIONS(1023),
    [aux_sym__keyword_between_token1] = ACTIONS(1023),
    [aux_sym__keyword_else_token1] = ACTIONS(1025),
    [aux_sym__keyword_is_token1] = ACTIONS(1023),
    [aux_sym__keyword_in_token1] = ACTIONS(1025),
    [aux_sym__keyword_and_token1] = ACTIONS(1023),
    [aux_sym__keyword_like_token1] = ACTIONS(1023),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1023),
    [aux_sym__keyword_for_token1] = ACTIONS(1023),
    [anon_sym_SEMI] = ACTIONS(1023),
    [aux_sym_declare_statement_token1] = ACTIONS(1023),
    [aux_sym_set_statement_token1] = ACTIONS(1023),
    [anon_sym_LPAREN] = ACTIONS(1023),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1023),
    [aux_sym_into_clause_token1] = ACTIONS(1023),
    [aux_sym_using_clause_token1] = ACTIONS(1023),
    [aux_sym_return_satement_token1] = ACTIONS(1023),
    [aux_sym_call_statement_token1] = ACTIONS(1023),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1023),
    [aux_sym_if_statement_token1] = ACTIONS(1023),
    [aux_sym_loop_statement_token1] = ACTIONS(1023),
    [aux_sym_repeat_statement_token1] = ACTIONS(1023),
    [aux_sym_while_statement_token1] = ACTIONS(1023),
    [aux_sym_break_statement_token1] = ACTIONS(1023),
    [aux_sym_leave_statement_token1] = ACTIONS(1023),
    [aux_sym_continue_statement_token1] = ACTIONS(1023),
    [aux_sym_iterate_statement_token1] = ACTIONS(1023),
    [aux_sym_raise_statement_token1] = ACTIONS(1023),
    [anon_sym_EQ] = ACTIONS(1023),
    [aux_sym_assert_statement_token1] = ACTIONS(1023),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1023),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1023),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1023),
    [anon_sym_LT] = ACTIONS(1025),
    [anon_sym_GT] = ACTIONS(1025),
    [aux_sym_select_token1] = ACTIONS(1023),
    [aux_sym_insert_statement_token1] = ACTIONS(1023),
    [aux_sym_truncate_statement_token1] = ACTIONS(1023),
    [aux_sym_update_statement_token1] = ACTIONS(1023),
    [aux_sym_merge_statement_token1] = ACTIONS(1023),
    [aux_sym_grant_statement_token1] = ACTIONS(1023),
    [aux_sym_revoke_statement_token1] = ACTIONS(1023),
    [aux_sym_export_data_statement_token1] = ACTIONS(1023),
    [aux_sym_load_data_statement_token1] = ACTIONS(1023),
    [anon_sym_LBRACK] = ACTIONS(1023),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1023),
    [anon_sym_PLUS] = ACTIONS(3024),
    [anon_sym_DASH] = ACTIONS(3026),
    [anon_sym_STAR] = ACTIONS(3028),
    [anon_sym_SLASH] = ACTIONS(3030),
    [anon_sym_PIPE_PIPE] = ACTIONS(3028),
    [anon_sym_LT_EQ] = ACTIONS(1023),
    [anon_sym_LT_GT] = ACTIONS(1023),
    [anon_sym_GT_EQ] = ACTIONS(1023),
    [anon_sym_BANG_EQ] = ACTIONS(1023),
    [anon_sym_LT_LT] = ACTIONS(3032),
    [anon_sym_GT_GT] = ACTIONS(3032),
    [anon_sym_AMP] = ACTIONS(3034),
    [anon_sym_CARET] = ACTIONS(3036),
    [anon_sym_PIPE] = ACTIONS(3038),
  },
  [2975] = {
    [sym__keyword_between] = STATE(1863),
    [sym__keyword_is] = STATE(12135),
    [sym__keyword_in] = STATE(1426),
    [sym__keyword_not] = STATE(13093),
    [sym__keyword_and] = STATE(1434),
    [sym__keyword_or] = STATE(1437),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16082),
    [sym_quantitve_like_operator] = STATE(16084),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(947),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(947),
    [aux_sym_keyword_replace_token1] = ACTIONS(947),
    [aux_sym__keyword_alter_token1] = ACTIONS(947),
    [aux_sym__keyword_delete_token1] = ACTIONS(947),
    [aux_sym__keyword_begin_token1] = ACTIONS(947),
    [aux_sym__keyword_end_token1] = ACTIONS(947),
    [aux_sym__keyword_between_token1] = ACTIONS(947),
    [aux_sym__keyword_else_token1] = ACTIONS(949),
    [aux_sym__keyword_is_token1] = ACTIONS(947),
    [aux_sym__keyword_in_token1] = ACTIONS(949),
    [aux_sym__keyword_and_token1] = ACTIONS(947),
    [aux_sym__keyword_like_token1] = ACTIONS(947),
    [aux_sym__keyword_repeat_token1] = ACTIONS(947),
    [aux_sym__keyword_for_token1] = ACTIONS(947),
    [anon_sym_SEMI] = ACTIONS(947),
    [aux_sym_declare_statement_token1] = ACTIONS(947),
    [aux_sym_set_statement_token1] = ACTIONS(947),
    [anon_sym_LPAREN] = ACTIONS(947),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(947),
    [aux_sym_into_clause_token1] = ACTIONS(947),
    [aux_sym_using_clause_token1] = ACTIONS(947),
    [aux_sym_return_satement_token1] = ACTIONS(947),
    [aux_sym_call_statement_token1] = ACTIONS(947),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(947),
    [aux_sym_if_statement_token1] = ACTIONS(947),
    [aux_sym_loop_statement_token1] = ACTIONS(947),
    [aux_sym_repeat_statement_token1] = ACTIONS(947),
    [aux_sym_while_statement_token1] = ACTIONS(947),
    [aux_sym_break_statement_token1] = ACTIONS(947),
    [aux_sym_leave_statement_token1] = ACTIONS(947),
    [aux_sym_continue_statement_token1] = ACTIONS(947),
    [aux_sym_iterate_statement_token1] = ACTIONS(947),
    [aux_sym_raise_statement_token1] = ACTIONS(947),
    [anon_sym_EQ] = ACTIONS(947),
    [aux_sym_assert_statement_token1] = ACTIONS(947),
    [aux_sym_create_schema_statement_token1] = ACTIONS(947),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(947),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(949),
    [anon_sym_GT] = ACTIONS(949),
    [aux_sym_select_token1] = ACTIONS(947),
    [aux_sym_insert_statement_token1] = ACTIONS(947),
    [aux_sym_truncate_statement_token1] = ACTIONS(947),
    [aux_sym_update_statement_token1] = ACTIONS(947),
    [aux_sym_merge_statement_token1] = ACTIONS(947),
    [aux_sym_grant_statement_token1] = ACTIONS(947),
    [aux_sym_revoke_statement_token1] = ACTIONS(947),
    [aux_sym_export_data_statement_token1] = ACTIONS(947),
    [aux_sym_load_data_statement_token1] = ACTIONS(947),
    [anon_sym_LBRACK] = ACTIONS(947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(3024),
    [anon_sym_DASH] = ACTIONS(3026),
    [anon_sym_STAR] = ACTIONS(3028),
    [anon_sym_SLASH] = ACTIONS(3030),
    [anon_sym_PIPE_PIPE] = ACTIONS(3028),
    [anon_sym_LT_EQ] = ACTIONS(947),
    [anon_sym_LT_GT] = ACTIONS(947),
    [anon_sym_GT_EQ] = ACTIONS(947),
    [anon_sym_BANG_EQ] = ACTIONS(947),
    [anon_sym_LT_LT] = ACTIONS(3032),
    [anon_sym_GT_GT] = ACTIONS(3032),
    [anon_sym_AMP] = ACTIONS(3034),
    [anon_sym_CARET] = ACTIONS(3036),
    [anon_sym_PIPE] = ACTIONS(3038),
  },
  [2976] = {
    [sym__keyword_between] = STATE(1863),
    [sym__keyword_is] = STATE(12135),
    [sym__keyword_in] = STATE(1426),
    [sym__keyword_not] = STATE(13093),
    [sym__keyword_and] = STATE(1434),
    [sym__keyword_or] = STATE(1437),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16082),
    [sym_quantitve_like_operator] = STATE(16084),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1031),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1031),
    [aux_sym_keyword_replace_token1] = ACTIONS(1031),
    [aux_sym__keyword_alter_token1] = ACTIONS(1031),
    [aux_sym__keyword_delete_token1] = ACTIONS(1031),
    [aux_sym__keyword_begin_token1] = ACTIONS(1031),
    [aux_sym__keyword_end_token1] = ACTIONS(1031),
    [aux_sym__keyword_between_token1] = ACTIONS(1031),
    [aux_sym__keyword_else_token1] = ACTIONS(1033),
    [aux_sym__keyword_is_token1] = ACTIONS(1031),
    [aux_sym__keyword_in_token1] = ACTIONS(1033),
    [aux_sym__keyword_and_token1] = ACTIONS(1031),
    [aux_sym__keyword_like_token1] = ACTIONS(1031),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1031),
    [aux_sym__keyword_for_token1] = ACTIONS(1031),
    [anon_sym_SEMI] = ACTIONS(1031),
    [aux_sym_declare_statement_token1] = ACTIONS(1031),
    [aux_sym_set_statement_token1] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1031),
    [aux_sym_into_clause_token1] = ACTIONS(1031),
    [aux_sym_using_clause_token1] = ACTIONS(1031),
    [aux_sym_return_satement_token1] = ACTIONS(1031),
    [aux_sym_call_statement_token1] = ACTIONS(1031),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1031),
    [aux_sym_if_statement_token1] = ACTIONS(1031),
    [aux_sym_loop_statement_token1] = ACTIONS(1031),
    [aux_sym_repeat_statement_token1] = ACTIONS(1031),
    [aux_sym_while_statement_token1] = ACTIONS(1031),
    [aux_sym_break_statement_token1] = ACTIONS(1031),
    [aux_sym_leave_statement_token1] = ACTIONS(1031),
    [aux_sym_continue_statement_token1] = ACTIONS(1031),
    [aux_sym_iterate_statement_token1] = ACTIONS(1031),
    [aux_sym_raise_statement_token1] = ACTIONS(1031),
    [anon_sym_EQ] = ACTIONS(1031),
    [aux_sym_assert_statement_token1] = ACTIONS(1031),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1031),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1031),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1031),
    [anon_sym_LT] = ACTIONS(1033),
    [anon_sym_GT] = ACTIONS(1033),
    [aux_sym_select_token1] = ACTIONS(1031),
    [aux_sym_insert_statement_token1] = ACTIONS(1031),
    [aux_sym_truncate_statement_token1] = ACTIONS(1031),
    [aux_sym_update_statement_token1] = ACTIONS(1031),
    [aux_sym_merge_statement_token1] = ACTIONS(1031),
    [aux_sym_grant_statement_token1] = ACTIONS(1031),
    [aux_sym_revoke_statement_token1] = ACTIONS(1031),
    [aux_sym_export_data_statement_token1] = ACTIONS(1031),
    [aux_sym_load_data_statement_token1] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1031),
    [anon_sym_PLUS] = ACTIONS(3024),
    [anon_sym_DASH] = ACTIONS(3026),
    [anon_sym_STAR] = ACTIONS(3028),
    [anon_sym_SLASH] = ACTIONS(3030),
    [anon_sym_PIPE_PIPE] = ACTIONS(3028),
    [anon_sym_LT_EQ] = ACTIONS(1031),
    [anon_sym_LT_GT] = ACTIONS(1031),
    [anon_sym_GT_EQ] = ACTIONS(1031),
    [anon_sym_BANG_EQ] = ACTIONS(1031),
    [anon_sym_LT_LT] = ACTIONS(3032),
    [anon_sym_GT_GT] = ACTIONS(3032),
    [anon_sym_AMP] = ACTIONS(3034),
    [anon_sym_CARET] = ACTIONS(3036),
    [anon_sym_PIPE] = ACTIONS(3038),
  },
  [2977] = {
    [sym__keyword_between] = STATE(1863),
    [sym__keyword_is] = STATE(12135),
    [sym__keyword_in] = STATE(1426),
    [sym__keyword_not] = STATE(13093),
    [sym__keyword_and] = STATE(1434),
    [sym__keyword_or] = STATE(1437),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16082),
    [sym_quantitve_like_operator] = STATE(16084),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1035),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1035),
    [aux_sym_keyword_replace_token1] = ACTIONS(1035),
    [aux_sym__keyword_alter_token1] = ACTIONS(1035),
    [aux_sym__keyword_delete_token1] = ACTIONS(1035),
    [aux_sym__keyword_begin_token1] = ACTIONS(1035),
    [aux_sym__keyword_end_token1] = ACTIONS(1035),
    [aux_sym__keyword_between_token1] = ACTIONS(1035),
    [aux_sym__keyword_else_token1] = ACTIONS(1037),
    [aux_sym__keyword_is_token1] = ACTIONS(1035),
    [aux_sym__keyword_in_token1] = ACTIONS(1037),
    [aux_sym__keyword_and_token1] = ACTIONS(1035),
    [aux_sym__keyword_like_token1] = ACTIONS(1035),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1035),
    [aux_sym__keyword_for_token1] = ACTIONS(1035),
    [anon_sym_SEMI] = ACTIONS(1035),
    [aux_sym_declare_statement_token1] = ACTIONS(1035),
    [aux_sym_set_statement_token1] = ACTIONS(1035),
    [anon_sym_LPAREN] = ACTIONS(1035),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1035),
    [aux_sym_into_clause_token1] = ACTIONS(1035),
    [aux_sym_using_clause_token1] = ACTIONS(1035),
    [aux_sym_return_satement_token1] = ACTIONS(1035),
    [aux_sym_call_statement_token1] = ACTIONS(1035),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1035),
    [aux_sym_if_statement_token1] = ACTIONS(1035),
    [aux_sym_loop_statement_token1] = ACTIONS(1035),
    [aux_sym_repeat_statement_token1] = ACTIONS(1035),
    [aux_sym_while_statement_token1] = ACTIONS(1035),
    [aux_sym_break_statement_token1] = ACTIONS(1035),
    [aux_sym_leave_statement_token1] = ACTIONS(1035),
    [aux_sym_continue_statement_token1] = ACTIONS(1035),
    [aux_sym_iterate_statement_token1] = ACTIONS(1035),
    [aux_sym_raise_statement_token1] = ACTIONS(1035),
    [anon_sym_EQ] = ACTIONS(1035),
    [aux_sym_assert_statement_token1] = ACTIONS(1035),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1035),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1035),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1035),
    [anon_sym_LT] = ACTIONS(1037),
    [anon_sym_GT] = ACTIONS(1037),
    [aux_sym_select_token1] = ACTIONS(1035),
    [aux_sym_insert_statement_token1] = ACTIONS(1035),
    [aux_sym_truncate_statement_token1] = ACTIONS(1035),
    [aux_sym_update_statement_token1] = ACTIONS(1035),
    [aux_sym_merge_statement_token1] = ACTIONS(1035),
    [aux_sym_grant_statement_token1] = ACTIONS(1035),
    [aux_sym_revoke_statement_token1] = ACTIONS(1035),
    [aux_sym_export_data_statement_token1] = ACTIONS(1035),
    [aux_sym_load_data_statement_token1] = ACTIONS(1035),
    [anon_sym_LBRACK] = ACTIONS(1035),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1035),
    [anon_sym_PLUS] = ACTIONS(3024),
    [anon_sym_DASH] = ACTIONS(3026),
    [anon_sym_STAR] = ACTIONS(3028),
    [anon_sym_SLASH] = ACTIONS(3030),
    [anon_sym_PIPE_PIPE] = ACTIONS(3028),
    [anon_sym_LT_EQ] = ACTIONS(1035),
    [anon_sym_LT_GT] = ACTIONS(1035),
    [anon_sym_GT_EQ] = ACTIONS(1035),
    [anon_sym_BANG_EQ] = ACTIONS(1035),
    [anon_sym_LT_LT] = ACTIONS(3032),
    [anon_sym_GT_GT] = ACTIONS(3032),
    [anon_sym_AMP] = ACTIONS(3034),
    [anon_sym_CARET] = ACTIONS(3036),
    [anon_sym_PIPE] = ACTIONS(3038),
  },
  [2978] = {
    [sym__keyword_between] = STATE(1863),
    [sym__keyword_is] = STATE(12135),
    [sym__keyword_in] = STATE(1426),
    [sym__keyword_not] = STATE(13093),
    [sym__keyword_and] = STATE(1434),
    [sym__keyword_or] = STATE(1437),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16082),
    [sym_quantitve_like_operator] = STATE(16084),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1039),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1039),
    [aux_sym_keyword_replace_token1] = ACTIONS(1039),
    [aux_sym__keyword_alter_token1] = ACTIONS(1039),
    [aux_sym__keyword_delete_token1] = ACTIONS(1039),
    [aux_sym__keyword_begin_token1] = ACTIONS(1039),
    [aux_sym__keyword_end_token1] = ACTIONS(1039),
    [aux_sym__keyword_between_token1] = ACTIONS(1039),
    [aux_sym__keyword_else_token1] = ACTIONS(1041),
    [aux_sym__keyword_is_token1] = ACTIONS(1039),
    [aux_sym__keyword_in_token1] = ACTIONS(1041),
    [aux_sym__keyword_and_token1] = ACTIONS(1039),
    [aux_sym__keyword_like_token1] = ACTIONS(1039),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1039),
    [aux_sym__keyword_for_token1] = ACTIONS(1039),
    [anon_sym_SEMI] = ACTIONS(1039),
    [aux_sym_declare_statement_token1] = ACTIONS(1039),
    [aux_sym_set_statement_token1] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(1039),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1039),
    [aux_sym_into_clause_token1] = ACTIONS(1039),
    [aux_sym_using_clause_token1] = ACTIONS(1039),
    [aux_sym_return_satement_token1] = ACTIONS(1039),
    [aux_sym_call_statement_token1] = ACTIONS(1039),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1039),
    [aux_sym_if_statement_token1] = ACTIONS(1039),
    [aux_sym_loop_statement_token1] = ACTIONS(1039),
    [aux_sym_repeat_statement_token1] = ACTIONS(1039),
    [aux_sym_while_statement_token1] = ACTIONS(1039),
    [aux_sym_break_statement_token1] = ACTIONS(1039),
    [aux_sym_leave_statement_token1] = ACTIONS(1039),
    [aux_sym_continue_statement_token1] = ACTIONS(1039),
    [aux_sym_iterate_statement_token1] = ACTIONS(1039),
    [aux_sym_raise_statement_token1] = ACTIONS(1039),
    [anon_sym_EQ] = ACTIONS(1039),
    [aux_sym_assert_statement_token1] = ACTIONS(1039),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1039),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1039),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1039),
    [anon_sym_LT] = ACTIONS(1041),
    [anon_sym_GT] = ACTIONS(1041),
    [aux_sym_select_token1] = ACTIONS(1039),
    [aux_sym_insert_statement_token1] = ACTIONS(1039),
    [aux_sym_truncate_statement_token1] = ACTIONS(1039),
    [aux_sym_update_statement_token1] = ACTIONS(1039),
    [aux_sym_merge_statement_token1] = ACTIONS(1039),
    [aux_sym_grant_statement_token1] = ACTIONS(1039),
    [aux_sym_revoke_statement_token1] = ACTIONS(1039),
    [aux_sym_export_data_statement_token1] = ACTIONS(1039),
    [aux_sym_load_data_statement_token1] = ACTIONS(1039),
    [anon_sym_LBRACK] = ACTIONS(1039),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1039),
    [anon_sym_PLUS] = ACTIONS(3024),
    [anon_sym_DASH] = ACTIONS(3026),
    [anon_sym_STAR] = ACTIONS(3028),
    [anon_sym_SLASH] = ACTIONS(3030),
    [anon_sym_PIPE_PIPE] = ACTIONS(3028),
    [anon_sym_LT_EQ] = ACTIONS(1039),
    [anon_sym_LT_GT] = ACTIONS(1039),
    [anon_sym_GT_EQ] = ACTIONS(1039),
    [anon_sym_BANG_EQ] = ACTIONS(1039),
    [anon_sym_LT_LT] = ACTIONS(3032),
    [anon_sym_GT_GT] = ACTIONS(3032),
    [anon_sym_AMP] = ACTIONS(3034),
    [anon_sym_CARET] = ACTIONS(3036),
    [anon_sym_PIPE] = ACTIONS(3038),
  },
  [2979] = {
    [sym__keyword_between] = STATE(1863),
    [sym__keyword_is] = STATE(12135),
    [sym__keyword_in] = STATE(1426),
    [sym__keyword_not] = STATE(13093),
    [sym__keyword_and] = STATE(1434),
    [sym__keyword_or] = STATE(1437),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16082),
    [sym_quantitve_like_operator] = STATE(16084),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(3004),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(3008),
    [aux_sym__keyword_in_token1] = ACTIONS(3010),
    [aux_sym__keyword_and_token1] = ACTIONS(3012),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_into_clause_token1] = ACTIONS(917),
    [aux_sym_using_clause_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(3018),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(3010),
    [anon_sym_GT] = ACTIONS(3010),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3024),
    [anon_sym_DASH] = ACTIONS(3026),
    [anon_sym_STAR] = ACTIONS(3028),
    [anon_sym_SLASH] = ACTIONS(3030),
    [anon_sym_PIPE_PIPE] = ACTIONS(3028),
    [anon_sym_LT_EQ] = ACTIONS(3018),
    [anon_sym_LT_GT] = ACTIONS(3018),
    [anon_sym_GT_EQ] = ACTIONS(3018),
    [anon_sym_BANG_EQ] = ACTIONS(3018),
    [anon_sym_LT_LT] = ACTIONS(3032),
    [anon_sym_GT_GT] = ACTIONS(3032),
    [anon_sym_AMP] = ACTIONS(3034),
    [anon_sym_CARET] = ACTIONS(3036),
    [anon_sym_PIPE] = ACTIONS(3038),
  },
  [2980] = {
    [sym__keyword_between] = STATE(1863),
    [sym__keyword_is] = STATE(12135),
    [sym__keyword_in] = STATE(1426),
    [sym__keyword_not] = STATE(13093),
    [sym__keyword_and] = STATE(1434),
    [sym__keyword_or] = STATE(1437),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16082),
    [sym_quantitve_like_operator] = STATE(16084),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(3004),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(3008),
    [aux_sym__keyword_in_token1] = ACTIONS(3010),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_into_clause_token1] = ACTIONS(917),
    [aux_sym_using_clause_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(3018),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(3010),
    [anon_sym_GT] = ACTIONS(3010),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3024),
    [anon_sym_DASH] = ACTIONS(3026),
    [anon_sym_STAR] = ACTIONS(3028),
    [anon_sym_SLASH] = ACTIONS(3030),
    [anon_sym_PIPE_PIPE] = ACTIONS(3028),
    [anon_sym_LT_EQ] = ACTIONS(3018),
    [anon_sym_LT_GT] = ACTIONS(3018),
    [anon_sym_GT_EQ] = ACTIONS(3018),
    [anon_sym_BANG_EQ] = ACTIONS(3018),
    [anon_sym_LT_LT] = ACTIONS(3032),
    [anon_sym_GT_GT] = ACTIONS(3032),
    [anon_sym_AMP] = ACTIONS(3034),
    [anon_sym_CARET] = ACTIONS(3036),
    [anon_sym_PIPE] = ACTIONS(3038),
  },
  [2981] = {
    [sym__keyword_between] = STATE(1863),
    [sym__keyword_is] = STATE(12135),
    [sym__keyword_in] = STATE(1426),
    [sym__keyword_not] = STATE(13093),
    [sym__keyword_and] = STATE(1434),
    [sym__keyword_or] = STATE(1437),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16082),
    [sym_quantitve_like_operator] = STATE(16084),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_into_clause_token1] = ACTIONS(917),
    [aux_sym_using_clause_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3024),
    [anon_sym_DASH] = ACTIONS(3026),
    [anon_sym_STAR] = ACTIONS(3028),
    [anon_sym_SLASH] = ACTIONS(3030),
    [anon_sym_PIPE_PIPE] = ACTIONS(3028),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(3032),
    [anon_sym_GT_GT] = ACTIONS(3032),
    [anon_sym_AMP] = ACTIONS(3034),
    [anon_sym_CARET] = ACTIONS(3036),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2982] = {
    [sym__keyword_between] = STATE(1863),
    [sym__keyword_is] = STATE(12135),
    [sym__keyword_in] = STATE(1426),
    [sym__keyword_not] = STATE(13093),
    [sym__keyword_and] = STATE(1434),
    [sym__keyword_or] = STATE(1437),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16082),
    [sym_quantitve_like_operator] = STATE(16084),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_into_clause_token1] = ACTIONS(917),
    [aux_sym_using_clause_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3024),
    [anon_sym_DASH] = ACTIONS(3026),
    [anon_sym_STAR] = ACTIONS(3028),
    [anon_sym_SLASH] = ACTIONS(3030),
    [anon_sym_PIPE_PIPE] = ACTIONS(3028),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(3032),
    [anon_sym_GT_GT] = ACTIONS(3032),
    [anon_sym_AMP] = ACTIONS(3034),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2983] = {
    [sym__keyword_between] = STATE(1863),
    [sym__keyword_is] = STATE(12135),
    [sym__keyword_in] = STATE(1426),
    [sym__keyword_not] = STATE(13093),
    [sym__keyword_and] = STATE(1434),
    [sym__keyword_or] = STATE(1437),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16082),
    [sym_quantitve_like_operator] = STATE(16084),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_into_clause_token1] = ACTIONS(917),
    [aux_sym_using_clause_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3024),
    [anon_sym_DASH] = ACTIONS(3026),
    [anon_sym_STAR] = ACTIONS(3028),
    [anon_sym_SLASH] = ACTIONS(3030),
    [anon_sym_PIPE_PIPE] = ACTIONS(3028),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(3032),
    [anon_sym_GT_GT] = ACTIONS(3032),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2984] = {
    [sym__keyword_between] = STATE(1863),
    [sym__keyword_is] = STATE(12135),
    [sym__keyword_in] = STATE(1426),
    [sym__keyword_not] = STATE(13093),
    [sym__keyword_and] = STATE(1434),
    [sym__keyword_or] = STATE(1437),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16082),
    [sym_quantitve_like_operator] = STATE(16084),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_into_clause_token1] = ACTIONS(917),
    [aux_sym_using_clause_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3024),
    [anon_sym_DASH] = ACTIONS(3026),
    [anon_sym_STAR] = ACTIONS(3028),
    [anon_sym_SLASH] = ACTIONS(3030),
    [anon_sym_PIPE_PIPE] = ACTIONS(3028),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2985] = {
    [sym__keyword_between] = STATE(1863),
    [sym__keyword_is] = STATE(12135),
    [sym__keyword_in] = STATE(1426),
    [sym__keyword_not] = STATE(13093),
    [sym__keyword_and] = STATE(1434),
    [sym__keyword_or] = STATE(1437),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16082),
    [sym_quantitve_like_operator] = STATE(16084),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_into_clause_token1] = ACTIONS(917),
    [aux_sym_using_clause_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(3028),
    [anon_sym_SLASH] = ACTIONS(3030),
    [anon_sym_PIPE_PIPE] = ACTIONS(3028),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2986] = {
    [sym__keyword_between] = STATE(1863),
    [sym__keyword_is] = STATE(12135),
    [sym__keyword_in] = STATE(1426),
    [sym__keyword_not] = STATE(13093),
    [sym__keyword_and] = STATE(1434),
    [sym__keyword_or] = STATE(1437),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16082),
    [sym_quantitve_like_operator] = STATE(16084),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_into_clause_token1] = ACTIONS(917),
    [aux_sym_using_clause_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3024),
    [anon_sym_DASH] = ACTIONS(3026),
    [anon_sym_STAR] = ACTIONS(3028),
    [anon_sym_SLASH] = ACTIONS(3030),
    [anon_sym_PIPE_PIPE] = ACTIONS(3028),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(3032),
    [anon_sym_GT_GT] = ACTIONS(3032),
    [anon_sym_AMP] = ACTIONS(3034),
    [anon_sym_CARET] = ACTIONS(3036),
    [anon_sym_PIPE] = ACTIONS(3038),
  },
  [2987] = {
    [sym__keyword_between] = STATE(1863),
    [sym__keyword_is] = STATE(12135),
    [sym__keyword_in] = STATE(1426),
    [sym__keyword_not] = STATE(13093),
    [sym__keyword_and] = STATE(1434),
    [sym__keyword_or] = STATE(1437),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16082),
    [sym_quantitve_like_operator] = STATE(16084),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1019),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1019),
    [aux_sym_keyword_replace_token1] = ACTIONS(1019),
    [aux_sym__keyword_alter_token1] = ACTIONS(1019),
    [aux_sym__keyword_delete_token1] = ACTIONS(1019),
    [aux_sym__keyword_begin_token1] = ACTIONS(1019),
    [aux_sym__keyword_end_token1] = ACTIONS(1019),
    [aux_sym__keyword_between_token1] = ACTIONS(1019),
    [aux_sym__keyword_else_token1] = ACTIONS(1021),
    [aux_sym__keyword_is_token1] = ACTIONS(1019),
    [aux_sym__keyword_in_token1] = ACTIONS(1021),
    [aux_sym__keyword_and_token1] = ACTIONS(1019),
    [aux_sym__keyword_like_token1] = ACTIONS(1019),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1019),
    [aux_sym__keyword_for_token1] = ACTIONS(1019),
    [anon_sym_SEMI] = ACTIONS(1019),
    [aux_sym_declare_statement_token1] = ACTIONS(1019),
    [aux_sym_set_statement_token1] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1019),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1019),
    [aux_sym_into_clause_token1] = ACTIONS(1019),
    [aux_sym_using_clause_token1] = ACTIONS(1019),
    [aux_sym_return_satement_token1] = ACTIONS(1019),
    [aux_sym_call_statement_token1] = ACTIONS(1019),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1019),
    [aux_sym_if_statement_token1] = ACTIONS(1019),
    [aux_sym_loop_statement_token1] = ACTIONS(1019),
    [aux_sym_repeat_statement_token1] = ACTIONS(1019),
    [aux_sym_while_statement_token1] = ACTIONS(1019),
    [aux_sym_break_statement_token1] = ACTIONS(1019),
    [aux_sym_leave_statement_token1] = ACTIONS(1019),
    [aux_sym_continue_statement_token1] = ACTIONS(1019),
    [aux_sym_iterate_statement_token1] = ACTIONS(1019),
    [aux_sym_raise_statement_token1] = ACTIONS(1019),
    [anon_sym_EQ] = ACTIONS(1019),
    [aux_sym_assert_statement_token1] = ACTIONS(1019),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1019),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1019),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1019),
    [anon_sym_LT] = ACTIONS(1021),
    [anon_sym_GT] = ACTIONS(1021),
    [aux_sym_select_token1] = ACTIONS(1019),
    [aux_sym_insert_statement_token1] = ACTIONS(1019),
    [aux_sym_truncate_statement_token1] = ACTIONS(1019),
    [aux_sym_update_statement_token1] = ACTIONS(1019),
    [aux_sym_merge_statement_token1] = ACTIONS(1019),
    [aux_sym_grant_statement_token1] = ACTIONS(1019),
    [aux_sym_revoke_statement_token1] = ACTIONS(1019),
    [aux_sym_export_data_statement_token1] = ACTIONS(1019),
    [aux_sym_load_data_statement_token1] = ACTIONS(1019),
    [anon_sym_LBRACK] = ACTIONS(1019),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1019),
    [anon_sym_PLUS] = ACTIONS(1019),
    [anon_sym_DASH] = ACTIONS(1021),
    [anon_sym_STAR] = ACTIONS(1019),
    [anon_sym_SLASH] = ACTIONS(1021),
    [anon_sym_PIPE_PIPE] = ACTIONS(1019),
    [anon_sym_LT_EQ] = ACTIONS(1019),
    [anon_sym_LT_GT] = ACTIONS(1019),
    [anon_sym_GT_EQ] = ACTIONS(1019),
    [anon_sym_BANG_EQ] = ACTIONS(1019),
    [anon_sym_LT_LT] = ACTIONS(1019),
    [anon_sym_GT_GT] = ACTIONS(1019),
    [anon_sym_AMP] = ACTIONS(1019),
    [anon_sym_CARET] = ACTIONS(1019),
    [anon_sym_PIPE] = ACTIONS(1021),
  },
  [2988] = {
    [sym__keyword_between] = STATE(1863),
    [sym__keyword_is] = STATE(12135),
    [sym__keyword_in] = STATE(1426),
    [sym__keyword_not] = STATE(13093),
    [sym__keyword_and] = STATE(1434),
    [sym__keyword_or] = STATE(1437),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16082),
    [sym_quantitve_like_operator] = STATE(16084),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1027),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(2744),
    [aux_sym__keyword_alter_token1] = ACTIONS(1027),
    [aux_sym__keyword_delete_token1] = ACTIONS(1027),
    [aux_sym__keyword_begin_token1] = ACTIONS(1027),
    [aux_sym__keyword_end_token1] = ACTIONS(1027),
    [aux_sym__keyword_between_token1] = ACTIONS(3004),
    [aux_sym__keyword_else_token1] = ACTIONS(1029),
    [aux_sym__keyword_is_token1] = ACTIONS(3008),
    [aux_sym__keyword_in_token1] = ACTIONS(3010),
    [aux_sym__keyword_and_token1] = ACTIONS(3012),
    [aux_sym__keyword_like_token1] = ACTIONS(1027),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1027),
    [aux_sym__keyword_for_token1] = ACTIONS(1027),
    [anon_sym_SEMI] = ACTIONS(1027),
    [aux_sym_declare_statement_token1] = ACTIONS(1027),
    [aux_sym_set_statement_token1] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1027),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1027),
    [aux_sym_into_clause_token1] = ACTIONS(1027),
    [aux_sym_using_clause_token1] = ACTIONS(1027),
    [aux_sym_return_satement_token1] = ACTIONS(1027),
    [aux_sym_call_statement_token1] = ACTIONS(1027),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1027),
    [aux_sym_if_statement_token1] = ACTIONS(1027),
    [aux_sym_loop_statement_token1] = ACTIONS(1027),
    [aux_sym_repeat_statement_token1] = ACTIONS(1027),
    [aux_sym_while_statement_token1] = ACTIONS(1027),
    [aux_sym_break_statement_token1] = ACTIONS(1027),
    [aux_sym_leave_statement_token1] = ACTIONS(1027),
    [aux_sym_continue_statement_token1] = ACTIONS(1027),
    [aux_sym_iterate_statement_token1] = ACTIONS(1027),
    [aux_sym_raise_statement_token1] = ACTIONS(1027),
    [anon_sym_EQ] = ACTIONS(3018),
    [aux_sym_assert_statement_token1] = ACTIONS(1027),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1027),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1027),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1027),
    [anon_sym_LT] = ACTIONS(3010),
    [anon_sym_GT] = ACTIONS(3010),
    [aux_sym_select_token1] = ACTIONS(1027),
    [aux_sym_insert_statement_token1] = ACTIONS(1027),
    [aux_sym_truncate_statement_token1] = ACTIONS(1027),
    [aux_sym_update_statement_token1] = ACTIONS(1027),
    [aux_sym_merge_statement_token1] = ACTIONS(1027),
    [aux_sym_grant_statement_token1] = ACTIONS(1027),
    [aux_sym_revoke_statement_token1] = ACTIONS(1027),
    [aux_sym_export_data_statement_token1] = ACTIONS(1027),
    [aux_sym_load_data_statement_token1] = ACTIONS(1027),
    [anon_sym_LBRACK] = ACTIONS(1027),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(3024),
    [anon_sym_DASH] = ACTIONS(3026),
    [anon_sym_STAR] = ACTIONS(3028),
    [anon_sym_SLASH] = ACTIONS(3030),
    [anon_sym_PIPE_PIPE] = ACTIONS(3028),
    [anon_sym_LT_EQ] = ACTIONS(3018),
    [anon_sym_LT_GT] = ACTIONS(3018),
    [anon_sym_GT_EQ] = ACTIONS(3018),
    [anon_sym_BANG_EQ] = ACTIONS(3018),
    [anon_sym_LT_LT] = ACTIONS(3032),
    [anon_sym_GT_GT] = ACTIONS(3032),
    [anon_sym_AMP] = ACTIONS(3034),
    [anon_sym_CARET] = ACTIONS(3036),
    [anon_sym_PIPE] = ACTIONS(3038),
  },
  [2989] = {
    [sym__keyword_between] = STATE(1478),
    [sym__keyword_is] = STATE(12106),
    [sym__keyword_in] = STATE(1682),
    [sym__keyword_not] = STATE(13114),
    [sym__keyword_and] = STATE(862),
    [sym__keyword_or] = STATE(863),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3134),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(2744),
    [aux_sym__keyword_alter_token1] = ACTIONS(3134),
    [aux_sym__keyword_delete_token1] = ACTIONS(3134),
    [aux_sym__keyword_begin_token1] = ACTIONS(3134),
    [aux_sym__keyword_end_token1] = ACTIONS(3134),
    [aux_sym__keyword_between_token1] = ACTIONS(3136),
    [aux_sym__keyword_when_token1] = ACTIONS(3134),
    [aux_sym__keyword_else_token1] = ACTIONS(3138),
    [aux_sym__keyword_is_token1] = ACTIONS(3140),
    [aux_sym__keyword_in_token1] = ACTIONS(3142),
    [aux_sym__keyword_and_token1] = ACTIONS(3144),
    [aux_sym__keyword_like_token1] = ACTIONS(1007),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3134),
    [aux_sym__keyword_for_token1] = ACTIONS(3134),
    [anon_sym_SEMI] = ACTIONS(3134),
    [aux_sym_declare_statement_token1] = ACTIONS(3134),
    [anon_sym_COMMA] = ACTIONS(3134),
    [aux_sym_set_statement_token1] = ACTIONS(3134),
    [anon_sym_LPAREN] = ACTIONS(3134),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(3134),
    [aux_sym_return_satement_token1] = ACTIONS(3134),
    [aux_sym_call_statement_token1] = ACTIONS(3134),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(3134),
    [aux_sym_if_statement_token1] = ACTIONS(3134),
    [aux_sym_loop_statement_token1] = ACTIONS(3134),
    [aux_sym_repeat_statement_token1] = ACTIONS(3134),
    [aux_sym_while_statement_token1] = ACTIONS(3134),
    [aux_sym_break_statement_token1] = ACTIONS(3134),
    [aux_sym_leave_statement_token1] = ACTIONS(3134),
    [aux_sym_continue_statement_token1] = ACTIONS(3134),
    [aux_sym_iterate_statement_token1] = ACTIONS(3134),
    [aux_sym_raise_statement_token1] = ACTIONS(3134),
    [anon_sym_EQ] = ACTIONS(3146),
    [aux_sym_assert_statement_token1] = ACTIONS(3134),
    [aux_sym_create_schema_statement_token1] = ACTIONS(3134),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(3134),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3134),
    [anon_sym_LT] = ACTIONS(3142),
    [anon_sym_GT] = ACTIONS(3142),
    [aux_sym_select_token1] = ACTIONS(3134),
    [aux_sym_insert_statement_token1] = ACTIONS(3134),
    [aux_sym_truncate_statement_token1] = ACTIONS(3134),
    [aux_sym_update_statement_token1] = ACTIONS(3134),
    [aux_sym_merge_statement_token1] = ACTIONS(3134),
    [aux_sym_grant_statement_token1] = ACTIONS(3134),
    [aux_sym_revoke_statement_token1] = ACTIONS(3134),
    [aux_sym_export_data_statement_token1] = ACTIONS(3134),
    [aux_sym_load_data_statement_token1] = ACTIONS(3134),
    [anon_sym_LBRACK] = ACTIONS(3056),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(3058),
    [anon_sym_PLUS] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3098),
    [anon_sym_STAR] = ACTIONS(3100),
    [anon_sym_SLASH] = ACTIONS(3102),
    [anon_sym_PIPE_PIPE] = ACTIONS(3100),
    [anon_sym_LT_EQ] = ACTIONS(3146),
    [anon_sym_LT_GT] = ACTIONS(3146),
    [anon_sym_GT_EQ] = ACTIONS(3146),
    [anon_sym_BANG_EQ] = ACTIONS(3146),
    [anon_sym_LT_LT] = ACTIONS(3148),
    [anon_sym_GT_GT] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym_CARET] = ACTIONS(3152),
    [anon_sym_PIPE] = ACTIONS(3154),
  },
  [2990] = {
    [ts_builtin_sym_end] = ACTIONS(1530),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1530),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1530),
    [aux_sym_keyword_replace_token1] = ACTIONS(1530),
    [aux_sym__keyword_alter_token1] = ACTIONS(1530),
    [aux_sym__keyword_delete_token1] = ACTIONS(1530),
    [aux_sym__keyword_begin_token1] = ACTIONS(1530),
    [aux_sym__keyword_end_token1] = ACTIONS(1530),
    [aux_sym__keyword_between_token1] = ACTIONS(1530),
    [aux_sym__keyword_when_token1] = ACTIONS(1530),
    [aux_sym__keyword_else_token1] = ACTIONS(1532),
    [aux_sym__keyword_is_token1] = ACTIONS(1530),
    [aux_sym__keyword_in_token1] = ACTIONS(1532),
    [aux_sym__keyword_and_token1] = ACTIONS(1530),
    [aux_sym__keyword_like_token1] = ACTIONS(1530),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1530),
    [aux_sym__keyword_for_token1] = ACTIONS(1530),
    [anon_sym_SEMI] = ACTIONS(1530),
    [aux_sym_declare_statement_token1] = ACTIONS(1530),
    [anon_sym_COMMA] = ACTIONS(1530),
    [aux_sym_set_statement_token1] = ACTIONS(1530),
    [anon_sym_LPAREN] = ACTIONS(1530),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1530),
    [aux_sym_return_satement_token1] = ACTIONS(1530),
    [aux_sym_call_statement_token1] = ACTIONS(1530),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1530),
    [aux_sym_if_statement_token1] = ACTIONS(1530),
    [aux_sym_loop_statement_token1] = ACTIONS(1530),
    [aux_sym_repeat_statement_token1] = ACTIONS(1530),
    [aux_sym_while_statement_token1] = ACTIONS(1530),
    [aux_sym_break_statement_token1] = ACTIONS(1530),
    [aux_sym_leave_statement_token1] = ACTIONS(1530),
    [aux_sym_continue_statement_token1] = ACTIONS(1530),
    [aux_sym_iterate_statement_token1] = ACTIONS(1530),
    [aux_sym_raise_statement_token1] = ACTIONS(1530),
    [anon_sym_EQ] = ACTIONS(1530),
    [aux_sym_assert_statement_token1] = ACTIONS(1530),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1530),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1530),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1530),
    [anon_sym_LT] = ACTIONS(1532),
    [anon_sym_GT] = ACTIONS(1532),
    [aux_sym_set_operation_token1] = ACTIONS(1530),
    [aux_sym_set_operation_token3] = ACTIONS(1530),
    [aux_sym_set_operation_token4] = ACTIONS(1532),
    [aux_sym_select_token1] = ACTIONS(1530),
    [aux_sym_limit_clause_token1] = ACTIONS(1530),
    [aux_sym__direction_keywords_token1] = ACTIONS(1530),
    [aux_sym__direction_keywords_token2] = ACTIONS(1530),
    [aux_sym__nulls_preference_token1] = ACTIONS(1530),
    [aux_sym_insert_statement_token1] = ACTIONS(1530),
    [aux_sym_truncate_statement_token1] = ACTIONS(1530),
    [aux_sym_update_statement_token1] = ACTIONS(1530),
    [aux_sym_merge_statement_token1] = ACTIONS(1530),
    [aux_sym_grant_statement_token1] = ACTIONS(1530),
    [aux_sym_revoke_statement_token1] = ACTIONS(1530),
    [aux_sym_export_data_statement_token1] = ACTIONS(1530),
    [aux_sym_load_data_statement_token1] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(1530),
    [anon_sym_DOT] = ACTIONS(1514),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1532),
    [anon_sym_PLUS] = ACTIONS(1530),
    [anon_sym_DASH] = ACTIONS(1532),
    [anon_sym_STAR] = ACTIONS(1530),
    [anon_sym_SLASH] = ACTIONS(1532),
    [anon_sym_PIPE_PIPE] = ACTIONS(1530),
    [anon_sym_LT_EQ] = ACTIONS(1530),
    [anon_sym_LT_GT] = ACTIONS(1530),
    [anon_sym_GT_EQ] = ACTIONS(1530),
    [anon_sym_BANG_EQ] = ACTIONS(1530),
    [anon_sym_LT_LT] = ACTIONS(1530),
    [anon_sym_GT_GT] = ACTIONS(1530),
    [anon_sym_AMP] = ACTIONS(1530),
    [anon_sym_CARET] = ACTIONS(1530),
    [anon_sym_PIPE] = ACTIONS(1532),
  },
  [2991] = {
    [sym_unnest_withoffset] = STATE(3275),
    [ts_builtin_sym_end] = ACTIONS(1540),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1540),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1540),
    [aux_sym_keyword_replace_token1] = ACTIONS(1540),
    [aux_sym__keyword_alter_token1] = ACTIONS(1540),
    [aux_sym__keyword_delete_token1] = ACTIONS(1540),
    [aux_sym__keyword_begin_token1] = ACTIONS(1540),
    [aux_sym__keyword_end_token1] = ACTIONS(1540),
    [aux_sym__keyword_between_token1] = ACTIONS(1540),
    [aux_sym__keyword_when_token1] = ACTIONS(1540),
    [aux_sym__keyword_else_token1] = ACTIONS(1542),
    [aux_sym__keyword_is_token1] = ACTIONS(1540),
    [aux_sym__keyword_in_token1] = ACTIONS(1542),
    [aux_sym__keyword_and_token1] = ACTIONS(1540),
    [aux_sym__keyword_like_token1] = ACTIONS(1540),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1540),
    [aux_sym__keyword_for_token1] = ACTIONS(1540),
    [anon_sym_SEMI] = ACTIONS(1540),
    [aux_sym_declare_statement_token1] = ACTIONS(1540),
    [anon_sym_COMMA] = ACTIONS(1540),
    [aux_sym_set_statement_token1] = ACTIONS(1540),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1540),
    [aux_sym_return_satement_token1] = ACTIONS(1540),
    [aux_sym_call_statement_token1] = ACTIONS(1540),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1540),
    [aux_sym_if_statement_token1] = ACTIONS(1540),
    [aux_sym_loop_statement_token1] = ACTIONS(1540),
    [aux_sym_repeat_statement_token1] = ACTIONS(1540),
    [aux_sym_while_statement_token1] = ACTIONS(1540),
    [aux_sym_break_statement_token1] = ACTIONS(1540),
    [aux_sym_leave_statement_token1] = ACTIONS(1540),
    [aux_sym_continue_statement_token1] = ACTIONS(1540),
    [aux_sym_iterate_statement_token1] = ACTIONS(1540),
    [aux_sym_raise_statement_token1] = ACTIONS(1540),
    [anon_sym_EQ] = ACTIONS(1540),
    [aux_sym_assert_statement_token1] = ACTIONS(1540),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1540),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1540),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3156),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_GT] = ACTIONS(1542),
    [aux_sym_set_operation_token1] = ACTIONS(1540),
    [aux_sym_set_operation_token3] = ACTIONS(1540),
    [aux_sym_set_operation_token4] = ACTIONS(1542),
    [aux_sym_select_token1] = ACTIONS(1540),
    [aux_sym_limit_clause_token1] = ACTIONS(1540),
    [aux_sym__direction_keywords_token1] = ACTIONS(1540),
    [aux_sym__direction_keywords_token2] = ACTIONS(1540),
    [aux_sym__nulls_preference_token1] = ACTIONS(1540),
    [aux_sym_insert_statement_token1] = ACTIONS(1540),
    [aux_sym_truncate_statement_token1] = ACTIONS(1540),
    [aux_sym_update_statement_token1] = ACTIONS(1540),
    [aux_sym_merge_statement_token1] = ACTIONS(1540),
    [aux_sym_grant_statement_token1] = ACTIONS(1540),
    [aux_sym_revoke_statement_token1] = ACTIONS(1540),
    [aux_sym_export_data_statement_token1] = ACTIONS(1540),
    [aux_sym_load_data_statement_token1] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1540),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(1540),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(1542),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_LT_EQ] = ACTIONS(1540),
    [anon_sym_LT_GT] = ACTIONS(1540),
    [anon_sym_GT_EQ] = ACTIONS(1540),
    [anon_sym_BANG_EQ] = ACTIONS(1540),
    [anon_sym_LT_LT] = ACTIONS(1540),
    [anon_sym_GT_GT] = ACTIONS(1540),
    [anon_sym_AMP] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(1540),
    [anon_sym_PIPE] = ACTIONS(1542),
  },
  [2992] = {
    [sym__keyword_between] = STATE(1478),
    [sym__keyword_is] = STATE(12106),
    [sym__keyword_in] = STATE(1682),
    [sym__keyword_not] = STATE(13114),
    [sym__keyword_and] = STATE(862),
    [sym__keyword_or] = STATE(863),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1023),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1023),
    [aux_sym_keyword_replace_token1] = ACTIONS(1023),
    [aux_sym__keyword_alter_token1] = ACTIONS(1023),
    [aux_sym__keyword_delete_token1] = ACTIONS(1023),
    [aux_sym__keyword_begin_token1] = ACTIONS(1023),
    [aux_sym__keyword_end_token1] = ACTIONS(1023),
    [aux_sym__keyword_between_token1] = ACTIONS(1023),
    [aux_sym__keyword_when_token1] = ACTIONS(1023),
    [aux_sym__keyword_else_token1] = ACTIONS(1025),
    [aux_sym__keyword_is_token1] = ACTIONS(1023),
    [aux_sym__keyword_in_token1] = ACTIONS(1025),
    [aux_sym__keyword_and_token1] = ACTIONS(1023),
    [aux_sym__keyword_like_token1] = ACTIONS(1023),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1023),
    [aux_sym__keyword_for_token1] = ACTIONS(1023),
    [anon_sym_SEMI] = ACTIONS(1023),
    [aux_sym_declare_statement_token1] = ACTIONS(1023),
    [anon_sym_COMMA] = ACTIONS(1023),
    [aux_sym_set_statement_token1] = ACTIONS(1023),
    [anon_sym_LPAREN] = ACTIONS(1023),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1023),
    [aux_sym_return_satement_token1] = ACTIONS(1023),
    [aux_sym_call_statement_token1] = ACTIONS(1023),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1023),
    [aux_sym_if_statement_token1] = ACTIONS(1023),
    [aux_sym_loop_statement_token1] = ACTIONS(1023),
    [aux_sym_repeat_statement_token1] = ACTIONS(1023),
    [aux_sym_while_statement_token1] = ACTIONS(1023),
    [aux_sym_break_statement_token1] = ACTIONS(1023),
    [aux_sym_leave_statement_token1] = ACTIONS(1023),
    [aux_sym_continue_statement_token1] = ACTIONS(1023),
    [aux_sym_iterate_statement_token1] = ACTIONS(1023),
    [aux_sym_raise_statement_token1] = ACTIONS(1023),
    [anon_sym_EQ] = ACTIONS(1023),
    [aux_sym_assert_statement_token1] = ACTIONS(1023),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1023),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1023),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1023),
    [anon_sym_LT] = ACTIONS(1025),
    [anon_sym_GT] = ACTIONS(1025),
    [aux_sym_select_token1] = ACTIONS(1023),
    [aux_sym_insert_statement_token1] = ACTIONS(1023),
    [aux_sym_truncate_statement_token1] = ACTIONS(1023),
    [aux_sym_update_statement_token1] = ACTIONS(1023),
    [aux_sym_merge_statement_token1] = ACTIONS(1023),
    [aux_sym_grant_statement_token1] = ACTIONS(1023),
    [aux_sym_revoke_statement_token1] = ACTIONS(1023),
    [aux_sym_export_data_statement_token1] = ACTIONS(1023),
    [aux_sym_load_data_statement_token1] = ACTIONS(1023),
    [anon_sym_LBRACK] = ACTIONS(1023),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1023),
    [anon_sym_PLUS] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3098),
    [anon_sym_STAR] = ACTIONS(3100),
    [anon_sym_SLASH] = ACTIONS(3102),
    [anon_sym_PIPE_PIPE] = ACTIONS(3100),
    [anon_sym_LT_EQ] = ACTIONS(1023),
    [anon_sym_LT_GT] = ACTIONS(1023),
    [anon_sym_GT_EQ] = ACTIONS(1023),
    [anon_sym_BANG_EQ] = ACTIONS(1023),
    [anon_sym_LT_LT] = ACTIONS(3148),
    [anon_sym_GT_GT] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym_CARET] = ACTIONS(3152),
    [anon_sym_PIPE] = ACTIONS(3154),
  },
  [2993] = {
    [ts_builtin_sym_end] = ACTIONS(1508),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1508),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1508),
    [aux_sym_keyword_replace_token1] = ACTIONS(1508),
    [aux_sym__keyword_alter_token1] = ACTIONS(1508),
    [aux_sym__keyword_delete_token1] = ACTIONS(1508),
    [aux_sym__keyword_begin_token1] = ACTIONS(1508),
    [aux_sym__keyword_end_token1] = ACTIONS(1508),
    [aux_sym__keyword_between_token1] = ACTIONS(1508),
    [aux_sym__keyword_when_token1] = ACTIONS(1508),
    [aux_sym__keyword_else_token1] = ACTIONS(1510),
    [aux_sym__keyword_is_token1] = ACTIONS(1508),
    [aux_sym__keyword_in_token1] = ACTIONS(1510),
    [aux_sym__keyword_and_token1] = ACTIONS(1508),
    [aux_sym__keyword_like_token1] = ACTIONS(1508),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1508),
    [aux_sym__keyword_for_token1] = ACTIONS(1508),
    [anon_sym_SEMI] = ACTIONS(1508),
    [aux_sym_declare_statement_token1] = ACTIONS(1508),
    [anon_sym_COMMA] = ACTIONS(1508),
    [aux_sym_set_statement_token1] = ACTIONS(1508),
    [anon_sym_LPAREN] = ACTIONS(1508),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1508),
    [aux_sym_return_satement_token1] = ACTIONS(1508),
    [aux_sym_call_statement_token1] = ACTIONS(1508),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1508),
    [aux_sym_if_statement_token1] = ACTIONS(1508),
    [aux_sym_loop_statement_token1] = ACTIONS(1508),
    [aux_sym_repeat_statement_token1] = ACTIONS(1508),
    [aux_sym_while_statement_token1] = ACTIONS(1508),
    [aux_sym_break_statement_token1] = ACTIONS(1508),
    [aux_sym_leave_statement_token1] = ACTIONS(1508),
    [aux_sym_continue_statement_token1] = ACTIONS(1508),
    [aux_sym_iterate_statement_token1] = ACTIONS(1508),
    [aux_sym_raise_statement_token1] = ACTIONS(1508),
    [anon_sym_EQ] = ACTIONS(1508),
    [aux_sym_assert_statement_token1] = ACTIONS(1508),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1508),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1508),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1508),
    [anon_sym_LT] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1510),
    [aux_sym_set_operation_token1] = ACTIONS(1508),
    [aux_sym_set_operation_token3] = ACTIONS(1508),
    [aux_sym_set_operation_token4] = ACTIONS(1510),
    [aux_sym_select_token1] = ACTIONS(1508),
    [aux_sym_limit_clause_token1] = ACTIONS(1508),
    [aux_sym__direction_keywords_token1] = ACTIONS(1508),
    [aux_sym__direction_keywords_token2] = ACTIONS(1508),
    [aux_sym__nulls_preference_token1] = ACTIONS(1508),
    [aux_sym_insert_statement_token1] = ACTIONS(1508),
    [aux_sym_truncate_statement_token1] = ACTIONS(1508),
    [aux_sym_update_statement_token1] = ACTIONS(1508),
    [aux_sym_merge_statement_token1] = ACTIONS(1508),
    [aux_sym_grant_statement_token1] = ACTIONS(1508),
    [aux_sym_revoke_statement_token1] = ACTIONS(1508),
    [aux_sym_export_data_statement_token1] = ACTIONS(1508),
    [aux_sym_load_data_statement_token1] = ACTIONS(1508),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DOT] = ACTIONS(1514),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1510),
    [anon_sym_PLUS] = ACTIONS(1508),
    [anon_sym_DASH] = ACTIONS(1510),
    [anon_sym_STAR] = ACTIONS(1508),
    [anon_sym_SLASH] = ACTIONS(1510),
    [anon_sym_PIPE_PIPE] = ACTIONS(1508),
    [anon_sym_LT_EQ] = ACTIONS(1508),
    [anon_sym_LT_GT] = ACTIONS(1508),
    [anon_sym_GT_EQ] = ACTIONS(1508),
    [anon_sym_BANG_EQ] = ACTIONS(1508),
    [anon_sym_LT_LT] = ACTIONS(1508),
    [anon_sym_GT_GT] = ACTIONS(1508),
    [anon_sym_AMP] = ACTIONS(1508),
    [anon_sym_CARET] = ACTIONS(1508),
    [anon_sym_PIPE] = ACTIONS(1510),
  },
  [2994] = {
    [sym__keyword_between] = STATE(1478),
    [sym__keyword_is] = STATE(12106),
    [sym__keyword_in] = STATE(1682),
    [sym__keyword_not] = STATE(13114),
    [sym__keyword_and] = STATE(862),
    [sym__keyword_or] = STATE(863),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3098),
    [anon_sym_STAR] = ACTIONS(3100),
    [anon_sym_SLASH] = ACTIONS(3102),
    [anon_sym_PIPE_PIPE] = ACTIONS(3100),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(3148),
    [anon_sym_GT_GT] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym_CARET] = ACTIONS(3152),
    [anon_sym_PIPE] = ACTIONS(3154),
  },
  [2995] = {
    [sym__keyword_between] = STATE(1478),
    [sym__keyword_is] = STATE(12106),
    [sym__keyword_in] = STATE(1682),
    [sym__keyword_not] = STATE(13114),
    [sym__keyword_and] = STATE(862),
    [sym__keyword_or] = STATE(863),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(3100),
    [anon_sym_SLASH] = ACTIONS(3102),
    [anon_sym_PIPE_PIPE] = ACTIONS(3100),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2996] = {
    [sym__keyword_between] = STATE(1478),
    [sym__keyword_is] = STATE(12106),
    [sym__keyword_in] = STATE(1682),
    [sym__keyword_not] = STATE(13114),
    [sym__keyword_and] = STATE(862),
    [sym__keyword_or] = STATE(863),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(917),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PIPE_PIPE] = ACTIONS(917),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2997] = {
    [sym__keyword_between] = STATE(1138),
    [sym__keyword_is] = STATE(12151),
    [sym__keyword_in] = STATE(919),
    [sym__keyword_not] = STATE(13049),
    [sym__keyword_and] = STATE(929),
    [sym__keyword_or] = STATE(930),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1027),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(2744),
    [aux_sym__keyword_alter_token1] = ACTIONS(1027),
    [aux_sym__keyword_delete_token1] = ACTIONS(1027),
    [aux_sym__keyword_begin_token1] = ACTIONS(1027),
    [aux_sym__keyword_end_token1] = ACTIONS(1027),
    [aux_sym__keyword_between_token1] = ACTIONS(3106),
    [aux_sym__keyword_else_token1] = ACTIONS(1029),
    [aux_sym__keyword_is_token1] = ACTIONS(3110),
    [aux_sym__keyword_in_token1] = ACTIONS(3112),
    [aux_sym__keyword_and_token1] = ACTIONS(3114),
    [aux_sym__keyword_like_token1] = ACTIONS(1027),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1027),
    [aux_sym__keyword_for_token1] = ACTIONS(1027),
    [anon_sym_SEMI] = ACTIONS(1027),
    [aux_sym_declare_statement_token1] = ACTIONS(1027),
    [anon_sym_COMMA] = ACTIONS(1027),
    [aux_sym_set_statement_token1] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1027),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1027),
    [aux_sym_return_satement_token1] = ACTIONS(1027),
    [aux_sym_call_statement_token1] = ACTIONS(1027),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1027),
    [aux_sym_if_statement_token1] = ACTIONS(1027),
    [aux_sym_loop_statement_token1] = ACTIONS(1027),
    [aux_sym_repeat_statement_token1] = ACTIONS(1027),
    [aux_sym_while_statement_token1] = ACTIONS(1027),
    [aux_sym_break_statement_token1] = ACTIONS(1027),
    [aux_sym_leave_statement_token1] = ACTIONS(1027),
    [aux_sym_continue_statement_token1] = ACTIONS(1027),
    [aux_sym_iterate_statement_token1] = ACTIONS(1027),
    [aux_sym_raise_statement_token1] = ACTIONS(1027),
    [anon_sym_EQ] = ACTIONS(3116),
    [aux_sym_assert_statement_token1] = ACTIONS(1027),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1027),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1027),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1027),
    [aux_sym_option_clause_token1] = ACTIONS(1027),
    [anon_sym_LT] = ACTIONS(3112),
    [anon_sym_GT] = ACTIONS(3112),
    [aux_sym_select_token1] = ACTIONS(1027),
    [aux_sym_insert_statement_token1] = ACTIONS(1027),
    [aux_sym_truncate_statement_token1] = ACTIONS(1027),
    [aux_sym_update_statement_token1] = ACTIONS(1027),
    [aux_sym_merge_statement_token1] = ACTIONS(1027),
    [aux_sym_grant_statement_token1] = ACTIONS(1027),
    [aux_sym_revoke_statement_token1] = ACTIONS(1027),
    [aux_sym_export_data_statement_token1] = ACTIONS(1027),
    [aux_sym_load_data_statement_token1] = ACTIONS(1027),
    [anon_sym_LBRACK] = ACTIONS(1027),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(3118),
    [anon_sym_DASH] = ACTIONS(3120),
    [anon_sym_STAR] = ACTIONS(3122),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_PIPE_PIPE] = ACTIONS(3122),
    [anon_sym_LT_EQ] = ACTIONS(3116),
    [anon_sym_LT_GT] = ACTIONS(3116),
    [anon_sym_GT_EQ] = ACTIONS(3116),
    [anon_sym_BANG_EQ] = ACTIONS(3116),
    [anon_sym_LT_LT] = ACTIONS(3126),
    [anon_sym_GT_GT] = ACTIONS(3126),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_CARET] = ACTIONS(3130),
    [anon_sym_PIPE] = ACTIONS(3132),
  },
  [2998] = {
    [sym__keyword_between] = STATE(1478),
    [sym__keyword_is] = STATE(12106),
    [sym__keyword_in] = STATE(1682),
    [sym__keyword_not] = STATE(13114),
    [sym__keyword_and] = STATE(862),
    [sym__keyword_or] = STATE(863),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3098),
    [anon_sym_STAR] = ACTIONS(3100),
    [anon_sym_SLASH] = ACTIONS(3102),
    [anon_sym_PIPE_PIPE] = ACTIONS(3100),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(3148),
    [anon_sym_GT_GT] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [2999] = {
    [sym__keyword_between] = STATE(1478),
    [sym__keyword_is] = STATE(12106),
    [sym__keyword_in] = STATE(1682),
    [sym__keyword_not] = STATE(13114),
    [sym__keyword_and] = STATE(862),
    [sym__keyword_or] = STATE(863),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3098),
    [anon_sym_STAR] = ACTIONS(3100),
    [anon_sym_SLASH] = ACTIONS(3102),
    [anon_sym_PIPE_PIPE] = ACTIONS(3100),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(3148),
    [anon_sym_GT_GT] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [3000] = {
    [sym__keyword_between] = STATE(1478),
    [sym__keyword_is] = STATE(12106),
    [sym__keyword_in] = STATE(1682),
    [sym__keyword_not] = STATE(13114),
    [sym__keyword_and] = STATE(862),
    [sym__keyword_or] = STATE(863),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3098),
    [anon_sym_STAR] = ACTIONS(3100),
    [anon_sym_SLASH] = ACTIONS(3102),
    [anon_sym_PIPE_PIPE] = ACTIONS(3100),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(3148),
    [anon_sym_GT_GT] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym_CARET] = ACTIONS(3152),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [3001] = {
    [sym__keyword_between] = STATE(1478),
    [sym__keyword_is] = STATE(12106),
    [sym__keyword_in] = STATE(1682),
    [sym__keyword_not] = STATE(13114),
    [sym__keyword_and] = STATE(862),
    [sym__keyword_or] = STATE(863),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(3136),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(3140),
    [aux_sym__keyword_in_token1] = ACTIONS(3142),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(3146),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(3142),
    [anon_sym_GT] = ACTIONS(3142),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3098),
    [anon_sym_STAR] = ACTIONS(3100),
    [anon_sym_SLASH] = ACTIONS(3102),
    [anon_sym_PIPE_PIPE] = ACTIONS(3100),
    [anon_sym_LT_EQ] = ACTIONS(3146),
    [anon_sym_LT_GT] = ACTIONS(3146),
    [anon_sym_GT_EQ] = ACTIONS(3146),
    [anon_sym_BANG_EQ] = ACTIONS(3146),
    [anon_sym_LT_LT] = ACTIONS(3148),
    [anon_sym_GT_GT] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym_CARET] = ACTIONS(3152),
    [anon_sym_PIPE] = ACTIONS(3154),
  },
  [3002] = {
    [sym__keyword_between] = STATE(1478),
    [sym__keyword_is] = STATE(12106),
    [sym__keyword_in] = STATE(1682),
    [sym__keyword_not] = STATE(13114),
    [sym__keyword_and] = STATE(862),
    [sym__keyword_or] = STATE(863),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(3136),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(3140),
    [aux_sym__keyword_in_token1] = ACTIONS(3142),
    [aux_sym__keyword_and_token1] = ACTIONS(3144),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(3146),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(3142),
    [anon_sym_GT] = ACTIONS(3142),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3098),
    [anon_sym_STAR] = ACTIONS(3100),
    [anon_sym_SLASH] = ACTIONS(3102),
    [anon_sym_PIPE_PIPE] = ACTIONS(3100),
    [anon_sym_LT_EQ] = ACTIONS(3146),
    [anon_sym_LT_GT] = ACTIONS(3146),
    [anon_sym_GT_EQ] = ACTIONS(3146),
    [anon_sym_BANG_EQ] = ACTIONS(3146),
    [anon_sym_LT_LT] = ACTIONS(3148),
    [anon_sym_GT_GT] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym_CARET] = ACTIONS(3152),
    [anon_sym_PIPE] = ACTIONS(3154),
  },
  [3003] = {
    [sym__keyword_between] = STATE(1478),
    [sym__keyword_is] = STATE(12106),
    [sym__keyword_in] = STATE(1682),
    [sym__keyword_not] = STATE(13114),
    [sym__keyword_and] = STATE(862),
    [sym__keyword_or] = STATE(863),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1039),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1039),
    [aux_sym_keyword_replace_token1] = ACTIONS(1039),
    [aux_sym__keyword_alter_token1] = ACTIONS(1039),
    [aux_sym__keyword_delete_token1] = ACTIONS(1039),
    [aux_sym__keyword_begin_token1] = ACTIONS(1039),
    [aux_sym__keyword_end_token1] = ACTIONS(1039),
    [aux_sym__keyword_between_token1] = ACTIONS(1039),
    [aux_sym__keyword_when_token1] = ACTIONS(1039),
    [aux_sym__keyword_else_token1] = ACTIONS(1041),
    [aux_sym__keyword_is_token1] = ACTIONS(1039),
    [aux_sym__keyword_in_token1] = ACTIONS(1041),
    [aux_sym__keyword_and_token1] = ACTIONS(1039),
    [aux_sym__keyword_like_token1] = ACTIONS(1039),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1039),
    [aux_sym__keyword_for_token1] = ACTIONS(1039),
    [anon_sym_SEMI] = ACTIONS(1039),
    [aux_sym_declare_statement_token1] = ACTIONS(1039),
    [anon_sym_COMMA] = ACTIONS(1039),
    [aux_sym_set_statement_token1] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(1039),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1039),
    [aux_sym_return_satement_token1] = ACTIONS(1039),
    [aux_sym_call_statement_token1] = ACTIONS(1039),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1039),
    [aux_sym_if_statement_token1] = ACTIONS(1039),
    [aux_sym_loop_statement_token1] = ACTIONS(1039),
    [aux_sym_repeat_statement_token1] = ACTIONS(1039),
    [aux_sym_while_statement_token1] = ACTIONS(1039),
    [aux_sym_break_statement_token1] = ACTIONS(1039),
    [aux_sym_leave_statement_token1] = ACTIONS(1039),
    [aux_sym_continue_statement_token1] = ACTIONS(1039),
    [aux_sym_iterate_statement_token1] = ACTIONS(1039),
    [aux_sym_raise_statement_token1] = ACTIONS(1039),
    [anon_sym_EQ] = ACTIONS(1039),
    [aux_sym_assert_statement_token1] = ACTIONS(1039),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1039),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1039),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1039),
    [anon_sym_LT] = ACTIONS(1041),
    [anon_sym_GT] = ACTIONS(1041),
    [aux_sym_select_token1] = ACTIONS(1039),
    [aux_sym_insert_statement_token1] = ACTIONS(1039),
    [aux_sym_truncate_statement_token1] = ACTIONS(1039),
    [aux_sym_update_statement_token1] = ACTIONS(1039),
    [aux_sym_merge_statement_token1] = ACTIONS(1039),
    [aux_sym_grant_statement_token1] = ACTIONS(1039),
    [aux_sym_revoke_statement_token1] = ACTIONS(1039),
    [aux_sym_export_data_statement_token1] = ACTIONS(1039),
    [aux_sym_load_data_statement_token1] = ACTIONS(1039),
    [anon_sym_LBRACK] = ACTIONS(1039),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1039),
    [anon_sym_PLUS] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3098),
    [anon_sym_STAR] = ACTIONS(3100),
    [anon_sym_SLASH] = ACTIONS(3102),
    [anon_sym_PIPE_PIPE] = ACTIONS(3100),
    [anon_sym_LT_EQ] = ACTIONS(1039),
    [anon_sym_LT_GT] = ACTIONS(1039),
    [anon_sym_GT_EQ] = ACTIONS(1039),
    [anon_sym_BANG_EQ] = ACTIONS(1039),
    [anon_sym_LT_LT] = ACTIONS(3148),
    [anon_sym_GT_GT] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym_CARET] = ACTIONS(3152),
    [anon_sym_PIPE] = ACTIONS(3154),
  },
  [3004] = {
    [sym__keyword_between] = STATE(1478),
    [sym__keyword_is] = STATE(12106),
    [sym__keyword_in] = STATE(1682),
    [sym__keyword_not] = STATE(13114),
    [sym__keyword_and] = STATE(862),
    [sym__keyword_or] = STATE(863),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1035),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1035),
    [aux_sym_keyword_replace_token1] = ACTIONS(1035),
    [aux_sym__keyword_alter_token1] = ACTIONS(1035),
    [aux_sym__keyword_delete_token1] = ACTIONS(1035),
    [aux_sym__keyword_begin_token1] = ACTIONS(1035),
    [aux_sym__keyword_end_token1] = ACTIONS(1035),
    [aux_sym__keyword_between_token1] = ACTIONS(1035),
    [aux_sym__keyword_when_token1] = ACTIONS(1035),
    [aux_sym__keyword_else_token1] = ACTIONS(1037),
    [aux_sym__keyword_is_token1] = ACTIONS(1035),
    [aux_sym__keyword_in_token1] = ACTIONS(1037),
    [aux_sym__keyword_and_token1] = ACTIONS(1035),
    [aux_sym__keyword_like_token1] = ACTIONS(1035),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1035),
    [aux_sym__keyword_for_token1] = ACTIONS(1035),
    [anon_sym_SEMI] = ACTIONS(1035),
    [aux_sym_declare_statement_token1] = ACTIONS(1035),
    [anon_sym_COMMA] = ACTIONS(1035),
    [aux_sym_set_statement_token1] = ACTIONS(1035),
    [anon_sym_LPAREN] = ACTIONS(1035),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1035),
    [aux_sym_return_satement_token1] = ACTIONS(1035),
    [aux_sym_call_statement_token1] = ACTIONS(1035),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1035),
    [aux_sym_if_statement_token1] = ACTIONS(1035),
    [aux_sym_loop_statement_token1] = ACTIONS(1035),
    [aux_sym_repeat_statement_token1] = ACTIONS(1035),
    [aux_sym_while_statement_token1] = ACTIONS(1035),
    [aux_sym_break_statement_token1] = ACTIONS(1035),
    [aux_sym_leave_statement_token1] = ACTIONS(1035),
    [aux_sym_continue_statement_token1] = ACTIONS(1035),
    [aux_sym_iterate_statement_token1] = ACTIONS(1035),
    [aux_sym_raise_statement_token1] = ACTIONS(1035),
    [anon_sym_EQ] = ACTIONS(1035),
    [aux_sym_assert_statement_token1] = ACTIONS(1035),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1035),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1035),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1035),
    [anon_sym_LT] = ACTIONS(1037),
    [anon_sym_GT] = ACTIONS(1037),
    [aux_sym_select_token1] = ACTIONS(1035),
    [aux_sym_insert_statement_token1] = ACTIONS(1035),
    [aux_sym_truncate_statement_token1] = ACTIONS(1035),
    [aux_sym_update_statement_token1] = ACTIONS(1035),
    [aux_sym_merge_statement_token1] = ACTIONS(1035),
    [aux_sym_grant_statement_token1] = ACTIONS(1035),
    [aux_sym_revoke_statement_token1] = ACTIONS(1035),
    [aux_sym_export_data_statement_token1] = ACTIONS(1035),
    [aux_sym_load_data_statement_token1] = ACTIONS(1035),
    [anon_sym_LBRACK] = ACTIONS(1035),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1035),
    [anon_sym_PLUS] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3098),
    [anon_sym_STAR] = ACTIONS(3100),
    [anon_sym_SLASH] = ACTIONS(3102),
    [anon_sym_PIPE_PIPE] = ACTIONS(3100),
    [anon_sym_LT_EQ] = ACTIONS(1035),
    [anon_sym_LT_GT] = ACTIONS(1035),
    [anon_sym_GT_EQ] = ACTIONS(1035),
    [anon_sym_BANG_EQ] = ACTIONS(1035),
    [anon_sym_LT_LT] = ACTIONS(3148),
    [anon_sym_GT_GT] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym_CARET] = ACTIONS(3152),
    [anon_sym_PIPE] = ACTIONS(3154),
  },
  [3005] = {
    [sym__keyword_between] = STATE(1478),
    [sym__keyword_is] = STATE(12106),
    [sym__keyword_in] = STATE(1682),
    [sym__keyword_not] = STATE(13114),
    [sym__keyword_and] = STATE(862),
    [sym__keyword_or] = STATE(863),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1031),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1031),
    [aux_sym_keyword_replace_token1] = ACTIONS(1031),
    [aux_sym__keyword_alter_token1] = ACTIONS(1031),
    [aux_sym__keyword_delete_token1] = ACTIONS(1031),
    [aux_sym__keyword_begin_token1] = ACTIONS(1031),
    [aux_sym__keyword_end_token1] = ACTIONS(1031),
    [aux_sym__keyword_between_token1] = ACTIONS(1031),
    [aux_sym__keyword_when_token1] = ACTIONS(1031),
    [aux_sym__keyword_else_token1] = ACTIONS(1033),
    [aux_sym__keyword_is_token1] = ACTIONS(1031),
    [aux_sym__keyword_in_token1] = ACTIONS(1033),
    [aux_sym__keyword_and_token1] = ACTIONS(1031),
    [aux_sym__keyword_like_token1] = ACTIONS(1031),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1031),
    [aux_sym__keyword_for_token1] = ACTIONS(1031),
    [anon_sym_SEMI] = ACTIONS(1031),
    [aux_sym_declare_statement_token1] = ACTIONS(1031),
    [anon_sym_COMMA] = ACTIONS(1031),
    [aux_sym_set_statement_token1] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1031),
    [aux_sym_return_satement_token1] = ACTIONS(1031),
    [aux_sym_call_statement_token1] = ACTIONS(1031),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1031),
    [aux_sym_if_statement_token1] = ACTIONS(1031),
    [aux_sym_loop_statement_token1] = ACTIONS(1031),
    [aux_sym_repeat_statement_token1] = ACTIONS(1031),
    [aux_sym_while_statement_token1] = ACTIONS(1031),
    [aux_sym_break_statement_token1] = ACTIONS(1031),
    [aux_sym_leave_statement_token1] = ACTIONS(1031),
    [aux_sym_continue_statement_token1] = ACTIONS(1031),
    [aux_sym_iterate_statement_token1] = ACTIONS(1031),
    [aux_sym_raise_statement_token1] = ACTIONS(1031),
    [anon_sym_EQ] = ACTIONS(1031),
    [aux_sym_assert_statement_token1] = ACTIONS(1031),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1031),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1031),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1031),
    [anon_sym_LT] = ACTIONS(1033),
    [anon_sym_GT] = ACTIONS(1033),
    [aux_sym_select_token1] = ACTIONS(1031),
    [aux_sym_insert_statement_token1] = ACTIONS(1031),
    [aux_sym_truncate_statement_token1] = ACTIONS(1031),
    [aux_sym_update_statement_token1] = ACTIONS(1031),
    [aux_sym_merge_statement_token1] = ACTIONS(1031),
    [aux_sym_grant_statement_token1] = ACTIONS(1031),
    [aux_sym_revoke_statement_token1] = ACTIONS(1031),
    [aux_sym_export_data_statement_token1] = ACTIONS(1031),
    [aux_sym_load_data_statement_token1] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1031),
    [anon_sym_PLUS] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3098),
    [anon_sym_STAR] = ACTIONS(3100),
    [anon_sym_SLASH] = ACTIONS(3102),
    [anon_sym_PIPE_PIPE] = ACTIONS(3100),
    [anon_sym_LT_EQ] = ACTIONS(1031),
    [anon_sym_LT_GT] = ACTIONS(1031),
    [anon_sym_GT_EQ] = ACTIONS(1031),
    [anon_sym_BANG_EQ] = ACTIONS(1031),
    [anon_sym_LT_LT] = ACTIONS(3148),
    [anon_sym_GT_GT] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym_CARET] = ACTIONS(3152),
    [anon_sym_PIPE] = ACTIONS(3154),
  },
  [3006] = {
    [sym__keyword_between] = STATE(1478),
    [sym__keyword_is] = STATE(12106),
    [sym__keyword_in] = STATE(1682),
    [sym__keyword_not] = STATE(13114),
    [sym__keyword_and] = STATE(862),
    [sym__keyword_or] = STATE(863),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(947),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(947),
    [aux_sym_keyword_replace_token1] = ACTIONS(947),
    [aux_sym__keyword_alter_token1] = ACTIONS(947),
    [aux_sym__keyword_delete_token1] = ACTIONS(947),
    [aux_sym__keyword_begin_token1] = ACTIONS(947),
    [aux_sym__keyword_end_token1] = ACTIONS(947),
    [aux_sym__keyword_between_token1] = ACTIONS(947),
    [aux_sym__keyword_when_token1] = ACTIONS(947),
    [aux_sym__keyword_else_token1] = ACTIONS(949),
    [aux_sym__keyword_is_token1] = ACTIONS(947),
    [aux_sym__keyword_in_token1] = ACTIONS(949),
    [aux_sym__keyword_and_token1] = ACTIONS(947),
    [aux_sym__keyword_like_token1] = ACTIONS(947),
    [aux_sym__keyword_repeat_token1] = ACTIONS(947),
    [aux_sym__keyword_for_token1] = ACTIONS(947),
    [anon_sym_SEMI] = ACTIONS(947),
    [aux_sym_declare_statement_token1] = ACTIONS(947),
    [anon_sym_COMMA] = ACTIONS(947),
    [aux_sym_set_statement_token1] = ACTIONS(947),
    [anon_sym_LPAREN] = ACTIONS(947),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(947),
    [aux_sym_return_satement_token1] = ACTIONS(947),
    [aux_sym_call_statement_token1] = ACTIONS(947),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(947),
    [aux_sym_if_statement_token1] = ACTIONS(947),
    [aux_sym_loop_statement_token1] = ACTIONS(947),
    [aux_sym_repeat_statement_token1] = ACTIONS(947),
    [aux_sym_while_statement_token1] = ACTIONS(947),
    [aux_sym_break_statement_token1] = ACTIONS(947),
    [aux_sym_leave_statement_token1] = ACTIONS(947),
    [aux_sym_continue_statement_token1] = ACTIONS(947),
    [aux_sym_iterate_statement_token1] = ACTIONS(947),
    [aux_sym_raise_statement_token1] = ACTIONS(947),
    [anon_sym_EQ] = ACTIONS(947),
    [aux_sym_assert_statement_token1] = ACTIONS(947),
    [aux_sym_create_schema_statement_token1] = ACTIONS(947),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(947),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(949),
    [anon_sym_GT] = ACTIONS(949),
    [aux_sym_select_token1] = ACTIONS(947),
    [aux_sym_insert_statement_token1] = ACTIONS(947),
    [aux_sym_truncate_statement_token1] = ACTIONS(947),
    [aux_sym_update_statement_token1] = ACTIONS(947),
    [aux_sym_merge_statement_token1] = ACTIONS(947),
    [aux_sym_grant_statement_token1] = ACTIONS(947),
    [aux_sym_revoke_statement_token1] = ACTIONS(947),
    [aux_sym_export_data_statement_token1] = ACTIONS(947),
    [aux_sym_load_data_statement_token1] = ACTIONS(947),
    [anon_sym_LBRACK] = ACTIONS(947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3098),
    [anon_sym_STAR] = ACTIONS(3100),
    [anon_sym_SLASH] = ACTIONS(3102),
    [anon_sym_PIPE_PIPE] = ACTIONS(3100),
    [anon_sym_LT_EQ] = ACTIONS(947),
    [anon_sym_LT_GT] = ACTIONS(947),
    [anon_sym_GT_EQ] = ACTIONS(947),
    [anon_sym_BANG_EQ] = ACTIONS(947),
    [anon_sym_LT_LT] = ACTIONS(3148),
    [anon_sym_GT_GT] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym_CARET] = ACTIONS(3152),
    [anon_sym_PIPE] = ACTIONS(3154),
  },
  [3007] = {
    [ts_builtin_sym_end] = ACTIONS(1516),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1516),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1516),
    [aux_sym_keyword_replace_token1] = ACTIONS(1516),
    [aux_sym__keyword_alter_token1] = ACTIONS(1516),
    [aux_sym__keyword_delete_token1] = ACTIONS(1516),
    [aux_sym__keyword_begin_token1] = ACTIONS(1516),
    [aux_sym__keyword_end_token1] = ACTIONS(1516),
    [aux_sym__keyword_between_token1] = ACTIONS(1516),
    [aux_sym__keyword_when_token1] = ACTIONS(1516),
    [aux_sym__keyword_else_token1] = ACTIONS(1518),
    [aux_sym__keyword_is_token1] = ACTIONS(1516),
    [aux_sym__keyword_in_token1] = ACTIONS(1518),
    [aux_sym__keyword_and_token1] = ACTIONS(1516),
    [aux_sym__keyword_like_token1] = ACTIONS(1516),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1516),
    [aux_sym__keyword_for_token1] = ACTIONS(1516),
    [anon_sym_SEMI] = ACTIONS(1516),
    [aux_sym_declare_statement_token1] = ACTIONS(1516),
    [anon_sym_COMMA] = ACTIONS(1516),
    [aux_sym_set_statement_token1] = ACTIONS(1516),
    [anon_sym_LPAREN] = ACTIONS(1516),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1516),
    [aux_sym_return_satement_token1] = ACTIONS(1516),
    [aux_sym_call_statement_token1] = ACTIONS(1516),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1516),
    [aux_sym_if_statement_token1] = ACTIONS(1516),
    [aux_sym_loop_statement_token1] = ACTIONS(1516),
    [aux_sym_repeat_statement_token1] = ACTIONS(1516),
    [aux_sym_while_statement_token1] = ACTIONS(1516),
    [aux_sym_break_statement_token1] = ACTIONS(1516),
    [aux_sym_leave_statement_token1] = ACTIONS(1516),
    [aux_sym_continue_statement_token1] = ACTIONS(1516),
    [aux_sym_iterate_statement_token1] = ACTIONS(1516),
    [aux_sym_raise_statement_token1] = ACTIONS(1516),
    [anon_sym_EQ] = ACTIONS(1516),
    [aux_sym_assert_statement_token1] = ACTIONS(1516),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1516),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1516),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1516),
    [anon_sym_LT] = ACTIONS(1518),
    [anon_sym_GT] = ACTIONS(1518),
    [aux_sym_set_operation_token1] = ACTIONS(1516),
    [aux_sym_set_operation_token3] = ACTIONS(1516),
    [aux_sym_set_operation_token4] = ACTIONS(1518),
    [aux_sym_select_token1] = ACTIONS(1516),
    [aux_sym_limit_clause_token1] = ACTIONS(1516),
    [aux_sym__direction_keywords_token1] = ACTIONS(1516),
    [aux_sym__direction_keywords_token2] = ACTIONS(1516),
    [aux_sym__nulls_preference_token1] = ACTIONS(1516),
    [aux_sym_insert_statement_token1] = ACTIONS(1516),
    [aux_sym_truncate_statement_token1] = ACTIONS(1516),
    [aux_sym_update_statement_token1] = ACTIONS(1516),
    [aux_sym_merge_statement_token1] = ACTIONS(1516),
    [aux_sym_grant_statement_token1] = ACTIONS(1516),
    [aux_sym_revoke_statement_token1] = ACTIONS(1516),
    [aux_sym_export_data_statement_token1] = ACTIONS(1516),
    [aux_sym_load_data_statement_token1] = ACTIONS(1516),
    [anon_sym_LBRACK] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1516),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1518),
    [anon_sym_STAR] = ACTIONS(1516),
    [anon_sym_SLASH] = ACTIONS(1518),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [anon_sym_LT_EQ] = ACTIONS(1516),
    [anon_sym_LT_GT] = ACTIONS(1516),
    [anon_sym_GT_EQ] = ACTIONS(1516),
    [anon_sym_BANG_EQ] = ACTIONS(1516),
    [anon_sym_LT_LT] = ACTIONS(1516),
    [anon_sym_GT_GT] = ACTIONS(1516),
    [anon_sym_AMP] = ACTIONS(1516),
    [anon_sym_CARET] = ACTIONS(1516),
    [anon_sym_PIPE] = ACTIONS(1518),
    [sym__string_start] = ACTIONS(1516),
  },
  [3008] = {
    [sym__keyword_between] = STATE(1138),
    [sym__keyword_is] = STATE(12151),
    [sym__keyword_in] = STATE(919),
    [sym__keyword_not] = STATE(13049),
    [sym__keyword_and] = STATE(929),
    [sym__keyword_or] = STATE(930),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [aux_sym_option_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3118),
    [anon_sym_DASH] = ACTIONS(3120),
    [anon_sym_STAR] = ACTIONS(3122),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_PIPE_PIPE] = ACTIONS(3122),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(3126),
    [anon_sym_GT_GT] = ACTIONS(3126),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_CARET] = ACTIONS(3130),
    [anon_sym_PIPE] = ACTIONS(3132),
  },
  [3009] = {
    [sym__keyword_between] = STATE(1138),
    [sym__keyword_is] = STATE(12151),
    [sym__keyword_in] = STATE(919),
    [sym__keyword_not] = STATE(13049),
    [sym__keyword_and] = STATE(929),
    [sym__keyword_or] = STATE(930),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [aux_sym_option_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(3122),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_PIPE_PIPE] = ACTIONS(3122),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [3010] = {
    [sym__keyword_between] = STATE(1138),
    [sym__keyword_is] = STATE(12151),
    [sym__keyword_in] = STATE(919),
    [sym__keyword_not] = STATE(13049),
    [sym__keyword_and] = STATE(929),
    [sym__keyword_or] = STATE(930),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [aux_sym_option_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(917),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PIPE_PIPE] = ACTIONS(917),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [3011] = {
    [sym__keyword_between] = STATE(1138),
    [sym__keyword_is] = STATE(12151),
    [sym__keyword_in] = STATE(919),
    [sym__keyword_not] = STATE(13049),
    [sym__keyword_and] = STATE(929),
    [sym__keyword_or] = STATE(930),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [aux_sym_option_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3118),
    [anon_sym_DASH] = ACTIONS(3120),
    [anon_sym_STAR] = ACTIONS(3122),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_PIPE_PIPE] = ACTIONS(3122),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [3012] = {
    [sym__keyword_between] = STATE(1138),
    [sym__keyword_is] = STATE(12151),
    [sym__keyword_in] = STATE(919),
    [sym__keyword_not] = STATE(13049),
    [sym__keyword_and] = STATE(929),
    [sym__keyword_or] = STATE(930),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [aux_sym_option_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3118),
    [anon_sym_DASH] = ACTIONS(3120),
    [anon_sym_STAR] = ACTIONS(3122),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_PIPE_PIPE] = ACTIONS(3122),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(3126),
    [anon_sym_GT_GT] = ACTIONS(3126),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [3013] = {
    [sym__keyword_between] = STATE(1138),
    [sym__keyword_is] = STATE(12151),
    [sym__keyword_in] = STATE(919),
    [sym__keyword_not] = STATE(13049),
    [sym__keyword_and] = STATE(929),
    [sym__keyword_or] = STATE(930),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [aux_sym_option_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3118),
    [anon_sym_DASH] = ACTIONS(3120),
    [anon_sym_STAR] = ACTIONS(3122),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_PIPE_PIPE] = ACTIONS(3122),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(3126),
    [anon_sym_GT_GT] = ACTIONS(3126),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [3014] = {
    [sym__keyword_between] = STATE(1138),
    [sym__keyword_is] = STATE(12151),
    [sym__keyword_in] = STATE(919),
    [sym__keyword_not] = STATE(13049),
    [sym__keyword_and] = STATE(929),
    [sym__keyword_or] = STATE(930),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [aux_sym_option_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3118),
    [anon_sym_DASH] = ACTIONS(3120),
    [anon_sym_STAR] = ACTIONS(3122),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_PIPE_PIPE] = ACTIONS(3122),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(3126),
    [anon_sym_GT_GT] = ACTIONS(3126),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_CARET] = ACTIONS(3130),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [3015] = {
    [sym__keyword_between] = STATE(1138),
    [sym__keyword_is] = STATE(12151),
    [sym__keyword_in] = STATE(919),
    [sym__keyword_not] = STATE(13049),
    [sym__keyword_and] = STATE(929),
    [sym__keyword_or] = STATE(930),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(3106),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(3110),
    [aux_sym__keyword_in_token1] = ACTIONS(3112),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(3116),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [aux_sym_option_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(3112),
    [anon_sym_GT] = ACTIONS(3112),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3118),
    [anon_sym_DASH] = ACTIONS(3120),
    [anon_sym_STAR] = ACTIONS(3122),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_PIPE_PIPE] = ACTIONS(3122),
    [anon_sym_LT_EQ] = ACTIONS(3116),
    [anon_sym_LT_GT] = ACTIONS(3116),
    [anon_sym_GT_EQ] = ACTIONS(3116),
    [anon_sym_BANG_EQ] = ACTIONS(3116),
    [anon_sym_LT_LT] = ACTIONS(3126),
    [anon_sym_GT_GT] = ACTIONS(3126),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_CARET] = ACTIONS(3130),
    [anon_sym_PIPE] = ACTIONS(3132),
  },
  [3016] = {
    [sym__keyword_between] = STATE(1138),
    [sym__keyword_is] = STATE(12151),
    [sym__keyword_in] = STATE(919),
    [sym__keyword_not] = STATE(13049),
    [sym__keyword_and] = STATE(929),
    [sym__keyword_or] = STATE(930),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(3106),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(3110),
    [aux_sym__keyword_in_token1] = ACTIONS(3112),
    [aux_sym__keyword_and_token1] = ACTIONS(3114),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(3116),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [aux_sym_option_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(3112),
    [anon_sym_GT] = ACTIONS(3112),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3118),
    [anon_sym_DASH] = ACTIONS(3120),
    [anon_sym_STAR] = ACTIONS(3122),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_PIPE_PIPE] = ACTIONS(3122),
    [anon_sym_LT_EQ] = ACTIONS(3116),
    [anon_sym_LT_GT] = ACTIONS(3116),
    [anon_sym_GT_EQ] = ACTIONS(3116),
    [anon_sym_BANG_EQ] = ACTIONS(3116),
    [anon_sym_LT_LT] = ACTIONS(3126),
    [anon_sym_GT_GT] = ACTIONS(3126),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_CARET] = ACTIONS(3130),
    [anon_sym_PIPE] = ACTIONS(3132),
  },
  [3017] = {
    [sym__keyword_between] = STATE(1138),
    [sym__keyword_is] = STATE(12151),
    [sym__keyword_in] = STATE(919),
    [sym__keyword_not] = STATE(13049),
    [sym__keyword_and] = STATE(929),
    [sym__keyword_or] = STATE(930),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1039),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1039),
    [aux_sym_keyword_replace_token1] = ACTIONS(1039),
    [aux_sym__keyword_alter_token1] = ACTIONS(1039),
    [aux_sym__keyword_delete_token1] = ACTIONS(1039),
    [aux_sym__keyword_begin_token1] = ACTIONS(1039),
    [aux_sym__keyword_end_token1] = ACTIONS(1039),
    [aux_sym__keyword_between_token1] = ACTIONS(1039),
    [aux_sym__keyword_else_token1] = ACTIONS(1041),
    [aux_sym__keyword_is_token1] = ACTIONS(1039),
    [aux_sym__keyword_in_token1] = ACTIONS(1041),
    [aux_sym__keyword_and_token1] = ACTIONS(1039),
    [aux_sym__keyword_like_token1] = ACTIONS(1039),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1039),
    [aux_sym__keyword_for_token1] = ACTIONS(1039),
    [anon_sym_SEMI] = ACTIONS(1039),
    [aux_sym_declare_statement_token1] = ACTIONS(1039),
    [anon_sym_COMMA] = ACTIONS(1039),
    [aux_sym_set_statement_token1] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(1039),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1039),
    [aux_sym_return_satement_token1] = ACTIONS(1039),
    [aux_sym_call_statement_token1] = ACTIONS(1039),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1039),
    [aux_sym_if_statement_token1] = ACTIONS(1039),
    [aux_sym_loop_statement_token1] = ACTIONS(1039),
    [aux_sym_repeat_statement_token1] = ACTIONS(1039),
    [aux_sym_while_statement_token1] = ACTIONS(1039),
    [aux_sym_break_statement_token1] = ACTIONS(1039),
    [aux_sym_leave_statement_token1] = ACTIONS(1039),
    [aux_sym_continue_statement_token1] = ACTIONS(1039),
    [aux_sym_iterate_statement_token1] = ACTIONS(1039),
    [aux_sym_raise_statement_token1] = ACTIONS(1039),
    [anon_sym_EQ] = ACTIONS(1039),
    [aux_sym_assert_statement_token1] = ACTIONS(1039),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1039),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1039),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1039),
    [aux_sym_option_clause_token1] = ACTIONS(1039),
    [anon_sym_LT] = ACTIONS(1041),
    [anon_sym_GT] = ACTIONS(1041),
    [aux_sym_select_token1] = ACTIONS(1039),
    [aux_sym_insert_statement_token1] = ACTIONS(1039),
    [aux_sym_truncate_statement_token1] = ACTIONS(1039),
    [aux_sym_update_statement_token1] = ACTIONS(1039),
    [aux_sym_merge_statement_token1] = ACTIONS(1039),
    [aux_sym_grant_statement_token1] = ACTIONS(1039),
    [aux_sym_revoke_statement_token1] = ACTIONS(1039),
    [aux_sym_export_data_statement_token1] = ACTIONS(1039),
    [aux_sym_load_data_statement_token1] = ACTIONS(1039),
    [anon_sym_LBRACK] = ACTIONS(1039),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1039),
    [anon_sym_PLUS] = ACTIONS(3118),
    [anon_sym_DASH] = ACTIONS(3120),
    [anon_sym_STAR] = ACTIONS(3122),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_PIPE_PIPE] = ACTIONS(3122),
    [anon_sym_LT_EQ] = ACTIONS(1039),
    [anon_sym_LT_GT] = ACTIONS(1039),
    [anon_sym_GT_EQ] = ACTIONS(1039),
    [anon_sym_BANG_EQ] = ACTIONS(1039),
    [anon_sym_LT_LT] = ACTIONS(3126),
    [anon_sym_GT_GT] = ACTIONS(3126),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_CARET] = ACTIONS(3130),
    [anon_sym_PIPE] = ACTIONS(3132),
  },
  [3018] = {
    [sym__keyword_between] = STATE(1470),
    [sym__keyword_is] = STATE(12082),
    [sym__keyword_in] = STATE(1302),
    [sym__keyword_not] = STATE(13145),
    [sym__keyword_and] = STATE(1309),
    [sym__keyword_or] = STATE(1310),
    [sym__keyword_like] = STATE(14280),
    [sym__keyword_as] = STATE(16134),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3158),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(2744),
    [aux_sym__keyword_alter_token1] = ACTIONS(3158),
    [aux_sym__keyword_delete_token1] = ACTIONS(3158),
    [aux_sym__keyword_begin_token1] = ACTIONS(3158),
    [aux_sym__keyword_end_token1] = ACTIONS(3158),
    [aux_sym__keyword_between_token1] = ACTIONS(3160),
    [aux_sym__keyword_else_token1] = ACTIONS(3162),
    [aux_sym__keyword_is_token1] = ACTIONS(3164),
    [aux_sym__keyword_in_token1] = ACTIONS(3166),
    [aux_sym__keyword_and_token1] = ACTIONS(3168),
    [aux_sym__keyword_like_token1] = ACTIONS(1007),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3158),
    [aux_sym__keyword_as_token1] = ACTIONS(3170),
    [aux_sym__keyword_for_token1] = ACTIONS(3158),
    [anon_sym_SEMI] = ACTIONS(3158),
    [aux_sym_declare_statement_token1] = ACTIONS(3158),
    [aux_sym_set_statement_token1] = ACTIONS(3158),
    [anon_sym_LPAREN] = ACTIONS(3158),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(3158),
    [aux_sym_return_satement_token1] = ACTIONS(3158),
    [aux_sym_call_statement_token1] = ACTIONS(3158),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(3158),
    [aux_sym_if_statement_token1] = ACTIONS(3158),
    [aux_sym_loop_statement_token1] = ACTIONS(3158),
    [aux_sym_repeat_statement_token1] = ACTIONS(3158),
    [aux_sym_while_statement_token1] = ACTIONS(3158),
    [aux_sym_break_statement_token1] = ACTIONS(3158),
    [aux_sym_leave_statement_token1] = ACTIONS(3158),
    [aux_sym_continue_statement_token1] = ACTIONS(3158),
    [aux_sym_iterate_statement_token1] = ACTIONS(3158),
    [aux_sym_raise_statement_token1] = ACTIONS(3158),
    [anon_sym_EQ] = ACTIONS(3172),
    [aux_sym_assert_statement_token1] = ACTIONS(3158),
    [aux_sym_create_schema_statement_token1] = ACTIONS(3158),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(3158),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3158),
    [anon_sym_LT] = ACTIONS(3166),
    [anon_sym_GT] = ACTIONS(3166),
    [aux_sym_select_token1] = ACTIONS(3158),
    [aux_sym_insert_statement_token1] = ACTIONS(3158),
    [aux_sym_truncate_statement_token1] = ACTIONS(3158),
    [aux_sym_update_statement_token1] = ACTIONS(3158),
    [aux_sym_merge_statement_token1] = ACTIONS(3158),
    [aux_sym_grant_statement_token1] = ACTIONS(3158),
    [aux_sym_revoke_statement_token1] = ACTIONS(3158),
    [aux_sym_export_data_statement_token1] = ACTIONS(3158),
    [aux_sym_load_data_statement_token1] = ACTIONS(3158),
    [anon_sym_LBRACK] = ACTIONS(3056),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(3058),
    [anon_sym_PLUS] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_STAR] = ACTIONS(3178),
    [anon_sym_SLASH] = ACTIONS(3180),
    [anon_sym_PIPE_PIPE] = ACTIONS(3178),
    [anon_sym_LT_EQ] = ACTIONS(3172),
    [anon_sym_LT_GT] = ACTIONS(3172),
    [anon_sym_GT_EQ] = ACTIONS(3172),
    [anon_sym_BANG_EQ] = ACTIONS(3172),
    [anon_sym_LT_LT] = ACTIONS(3182),
    [anon_sym_GT_GT] = ACTIONS(3182),
    [anon_sym_AMP] = ACTIONS(3184),
    [anon_sym_CARET] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(3188),
  },
  [3019] = {
    [sym__keyword_between] = STATE(1138),
    [sym__keyword_is] = STATE(12151),
    [sym__keyword_in] = STATE(919),
    [sym__keyword_not] = STATE(13049),
    [sym__keyword_and] = STATE(929),
    [sym__keyword_or] = STATE(930),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1035),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1035),
    [aux_sym_keyword_replace_token1] = ACTIONS(1035),
    [aux_sym__keyword_alter_token1] = ACTIONS(1035),
    [aux_sym__keyword_delete_token1] = ACTIONS(1035),
    [aux_sym__keyword_begin_token1] = ACTIONS(1035),
    [aux_sym__keyword_end_token1] = ACTIONS(1035),
    [aux_sym__keyword_between_token1] = ACTIONS(1035),
    [aux_sym__keyword_else_token1] = ACTIONS(1037),
    [aux_sym__keyword_is_token1] = ACTIONS(1035),
    [aux_sym__keyword_in_token1] = ACTIONS(1037),
    [aux_sym__keyword_and_token1] = ACTIONS(1035),
    [aux_sym__keyword_like_token1] = ACTIONS(1035),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1035),
    [aux_sym__keyword_for_token1] = ACTIONS(1035),
    [anon_sym_SEMI] = ACTIONS(1035),
    [aux_sym_declare_statement_token1] = ACTIONS(1035),
    [anon_sym_COMMA] = ACTIONS(1035),
    [aux_sym_set_statement_token1] = ACTIONS(1035),
    [anon_sym_LPAREN] = ACTIONS(1035),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1035),
    [aux_sym_return_satement_token1] = ACTIONS(1035),
    [aux_sym_call_statement_token1] = ACTIONS(1035),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1035),
    [aux_sym_if_statement_token1] = ACTIONS(1035),
    [aux_sym_loop_statement_token1] = ACTIONS(1035),
    [aux_sym_repeat_statement_token1] = ACTIONS(1035),
    [aux_sym_while_statement_token1] = ACTIONS(1035),
    [aux_sym_break_statement_token1] = ACTIONS(1035),
    [aux_sym_leave_statement_token1] = ACTIONS(1035),
    [aux_sym_continue_statement_token1] = ACTIONS(1035),
    [aux_sym_iterate_statement_token1] = ACTIONS(1035),
    [aux_sym_raise_statement_token1] = ACTIONS(1035),
    [anon_sym_EQ] = ACTIONS(1035),
    [aux_sym_assert_statement_token1] = ACTIONS(1035),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1035),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1035),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1035),
    [aux_sym_option_clause_token1] = ACTIONS(1035),
    [anon_sym_LT] = ACTIONS(1037),
    [anon_sym_GT] = ACTIONS(1037),
    [aux_sym_select_token1] = ACTIONS(1035),
    [aux_sym_insert_statement_token1] = ACTIONS(1035),
    [aux_sym_truncate_statement_token1] = ACTIONS(1035),
    [aux_sym_update_statement_token1] = ACTIONS(1035),
    [aux_sym_merge_statement_token1] = ACTIONS(1035),
    [aux_sym_grant_statement_token1] = ACTIONS(1035),
    [aux_sym_revoke_statement_token1] = ACTIONS(1035),
    [aux_sym_export_data_statement_token1] = ACTIONS(1035),
    [aux_sym_load_data_statement_token1] = ACTIONS(1035),
    [anon_sym_LBRACK] = ACTIONS(1035),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1035),
    [anon_sym_PLUS] = ACTIONS(3118),
    [anon_sym_DASH] = ACTIONS(3120),
    [anon_sym_STAR] = ACTIONS(3122),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_PIPE_PIPE] = ACTIONS(3122),
    [anon_sym_LT_EQ] = ACTIONS(1035),
    [anon_sym_LT_GT] = ACTIONS(1035),
    [anon_sym_GT_EQ] = ACTIONS(1035),
    [anon_sym_BANG_EQ] = ACTIONS(1035),
    [anon_sym_LT_LT] = ACTIONS(3126),
    [anon_sym_GT_GT] = ACTIONS(3126),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_CARET] = ACTIONS(3130),
    [anon_sym_PIPE] = ACTIONS(3132),
  },
  [3020] = {
    [sym__keyword_between] = STATE(1138),
    [sym__keyword_is] = STATE(12151),
    [sym__keyword_in] = STATE(919),
    [sym__keyword_not] = STATE(13049),
    [sym__keyword_and] = STATE(929),
    [sym__keyword_or] = STATE(930),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1031),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1031),
    [aux_sym_keyword_replace_token1] = ACTIONS(1031),
    [aux_sym__keyword_alter_token1] = ACTIONS(1031),
    [aux_sym__keyword_delete_token1] = ACTIONS(1031),
    [aux_sym__keyword_begin_token1] = ACTIONS(1031),
    [aux_sym__keyword_end_token1] = ACTIONS(1031),
    [aux_sym__keyword_between_token1] = ACTIONS(1031),
    [aux_sym__keyword_else_token1] = ACTIONS(1033),
    [aux_sym__keyword_is_token1] = ACTIONS(1031),
    [aux_sym__keyword_in_token1] = ACTIONS(1033),
    [aux_sym__keyword_and_token1] = ACTIONS(1031),
    [aux_sym__keyword_like_token1] = ACTIONS(1031),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1031),
    [aux_sym__keyword_for_token1] = ACTIONS(1031),
    [anon_sym_SEMI] = ACTIONS(1031),
    [aux_sym_declare_statement_token1] = ACTIONS(1031),
    [anon_sym_COMMA] = ACTIONS(1031),
    [aux_sym_set_statement_token1] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1031),
    [aux_sym_return_satement_token1] = ACTIONS(1031),
    [aux_sym_call_statement_token1] = ACTIONS(1031),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1031),
    [aux_sym_if_statement_token1] = ACTIONS(1031),
    [aux_sym_loop_statement_token1] = ACTIONS(1031),
    [aux_sym_repeat_statement_token1] = ACTIONS(1031),
    [aux_sym_while_statement_token1] = ACTIONS(1031),
    [aux_sym_break_statement_token1] = ACTIONS(1031),
    [aux_sym_leave_statement_token1] = ACTIONS(1031),
    [aux_sym_continue_statement_token1] = ACTIONS(1031),
    [aux_sym_iterate_statement_token1] = ACTIONS(1031),
    [aux_sym_raise_statement_token1] = ACTIONS(1031),
    [anon_sym_EQ] = ACTIONS(1031),
    [aux_sym_assert_statement_token1] = ACTIONS(1031),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1031),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1031),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1031),
    [aux_sym_option_clause_token1] = ACTIONS(1031),
    [anon_sym_LT] = ACTIONS(1033),
    [anon_sym_GT] = ACTIONS(1033),
    [aux_sym_select_token1] = ACTIONS(1031),
    [aux_sym_insert_statement_token1] = ACTIONS(1031),
    [aux_sym_truncate_statement_token1] = ACTIONS(1031),
    [aux_sym_update_statement_token1] = ACTIONS(1031),
    [aux_sym_merge_statement_token1] = ACTIONS(1031),
    [aux_sym_grant_statement_token1] = ACTIONS(1031),
    [aux_sym_revoke_statement_token1] = ACTIONS(1031),
    [aux_sym_export_data_statement_token1] = ACTIONS(1031),
    [aux_sym_load_data_statement_token1] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1031),
    [anon_sym_PLUS] = ACTIONS(3118),
    [anon_sym_DASH] = ACTIONS(3120),
    [anon_sym_STAR] = ACTIONS(3122),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_PIPE_PIPE] = ACTIONS(3122),
    [anon_sym_LT_EQ] = ACTIONS(1031),
    [anon_sym_LT_GT] = ACTIONS(1031),
    [anon_sym_GT_EQ] = ACTIONS(1031),
    [anon_sym_BANG_EQ] = ACTIONS(1031),
    [anon_sym_LT_LT] = ACTIONS(3126),
    [anon_sym_GT_GT] = ACTIONS(3126),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_CARET] = ACTIONS(3130),
    [anon_sym_PIPE] = ACTIONS(3132),
  },
  [3021] = {
    [sym__keyword_between] = STATE(1138),
    [sym__keyword_is] = STATE(12151),
    [sym__keyword_in] = STATE(919),
    [sym__keyword_not] = STATE(13049),
    [sym__keyword_and] = STATE(929),
    [sym__keyword_or] = STATE(930),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(947),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(947),
    [aux_sym_keyword_replace_token1] = ACTIONS(947),
    [aux_sym__keyword_alter_token1] = ACTIONS(947),
    [aux_sym__keyword_delete_token1] = ACTIONS(947),
    [aux_sym__keyword_begin_token1] = ACTIONS(947),
    [aux_sym__keyword_end_token1] = ACTIONS(947),
    [aux_sym__keyword_between_token1] = ACTIONS(947),
    [aux_sym__keyword_else_token1] = ACTIONS(949),
    [aux_sym__keyword_is_token1] = ACTIONS(947),
    [aux_sym__keyword_in_token1] = ACTIONS(949),
    [aux_sym__keyword_and_token1] = ACTIONS(947),
    [aux_sym__keyword_like_token1] = ACTIONS(947),
    [aux_sym__keyword_repeat_token1] = ACTIONS(947),
    [aux_sym__keyword_for_token1] = ACTIONS(947),
    [anon_sym_SEMI] = ACTIONS(947),
    [aux_sym_declare_statement_token1] = ACTIONS(947),
    [anon_sym_COMMA] = ACTIONS(947),
    [aux_sym_set_statement_token1] = ACTIONS(947),
    [anon_sym_LPAREN] = ACTIONS(947),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(947),
    [aux_sym_return_satement_token1] = ACTIONS(947),
    [aux_sym_call_statement_token1] = ACTIONS(947),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(947),
    [aux_sym_if_statement_token1] = ACTIONS(947),
    [aux_sym_loop_statement_token1] = ACTIONS(947),
    [aux_sym_repeat_statement_token1] = ACTIONS(947),
    [aux_sym_while_statement_token1] = ACTIONS(947),
    [aux_sym_break_statement_token1] = ACTIONS(947),
    [aux_sym_leave_statement_token1] = ACTIONS(947),
    [aux_sym_continue_statement_token1] = ACTIONS(947),
    [aux_sym_iterate_statement_token1] = ACTIONS(947),
    [aux_sym_raise_statement_token1] = ACTIONS(947),
    [anon_sym_EQ] = ACTIONS(947),
    [aux_sym_assert_statement_token1] = ACTIONS(947),
    [aux_sym_create_schema_statement_token1] = ACTIONS(947),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(947),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(947),
    [aux_sym_option_clause_token1] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(949),
    [anon_sym_GT] = ACTIONS(949),
    [aux_sym_select_token1] = ACTIONS(947),
    [aux_sym_insert_statement_token1] = ACTIONS(947),
    [aux_sym_truncate_statement_token1] = ACTIONS(947),
    [aux_sym_update_statement_token1] = ACTIONS(947),
    [aux_sym_merge_statement_token1] = ACTIONS(947),
    [aux_sym_grant_statement_token1] = ACTIONS(947),
    [aux_sym_revoke_statement_token1] = ACTIONS(947),
    [aux_sym_export_data_statement_token1] = ACTIONS(947),
    [aux_sym_load_data_statement_token1] = ACTIONS(947),
    [anon_sym_LBRACK] = ACTIONS(947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(3118),
    [anon_sym_DASH] = ACTIONS(3120),
    [anon_sym_STAR] = ACTIONS(3122),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_PIPE_PIPE] = ACTIONS(3122),
    [anon_sym_LT_EQ] = ACTIONS(947),
    [anon_sym_LT_GT] = ACTIONS(947),
    [anon_sym_GT_EQ] = ACTIONS(947),
    [anon_sym_BANG_EQ] = ACTIONS(947),
    [anon_sym_LT_LT] = ACTIONS(3126),
    [anon_sym_GT_GT] = ACTIONS(3126),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_CARET] = ACTIONS(3130),
    [anon_sym_PIPE] = ACTIONS(3132),
  },
  [3022] = {
    [sym__keyword_between] = STATE(1138),
    [sym__keyword_is] = STATE(12151),
    [sym__keyword_in] = STATE(919),
    [sym__keyword_not] = STATE(13049),
    [sym__keyword_and] = STATE(929),
    [sym__keyword_or] = STATE(930),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1023),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1023),
    [aux_sym_keyword_replace_token1] = ACTIONS(1023),
    [aux_sym__keyword_alter_token1] = ACTIONS(1023),
    [aux_sym__keyword_delete_token1] = ACTIONS(1023),
    [aux_sym__keyword_begin_token1] = ACTIONS(1023),
    [aux_sym__keyword_end_token1] = ACTIONS(1023),
    [aux_sym__keyword_between_token1] = ACTIONS(1023),
    [aux_sym__keyword_else_token1] = ACTIONS(1025),
    [aux_sym__keyword_is_token1] = ACTIONS(1023),
    [aux_sym__keyword_in_token1] = ACTIONS(1025),
    [aux_sym__keyword_and_token1] = ACTIONS(1023),
    [aux_sym__keyword_like_token1] = ACTIONS(1023),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1023),
    [aux_sym__keyword_for_token1] = ACTIONS(1023),
    [anon_sym_SEMI] = ACTIONS(1023),
    [aux_sym_declare_statement_token1] = ACTIONS(1023),
    [anon_sym_COMMA] = ACTIONS(1023),
    [aux_sym_set_statement_token1] = ACTIONS(1023),
    [anon_sym_LPAREN] = ACTIONS(1023),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1023),
    [aux_sym_return_satement_token1] = ACTIONS(1023),
    [aux_sym_call_statement_token1] = ACTIONS(1023),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1023),
    [aux_sym_if_statement_token1] = ACTIONS(1023),
    [aux_sym_loop_statement_token1] = ACTIONS(1023),
    [aux_sym_repeat_statement_token1] = ACTIONS(1023),
    [aux_sym_while_statement_token1] = ACTIONS(1023),
    [aux_sym_break_statement_token1] = ACTIONS(1023),
    [aux_sym_leave_statement_token1] = ACTIONS(1023),
    [aux_sym_continue_statement_token1] = ACTIONS(1023),
    [aux_sym_iterate_statement_token1] = ACTIONS(1023),
    [aux_sym_raise_statement_token1] = ACTIONS(1023),
    [anon_sym_EQ] = ACTIONS(1023),
    [aux_sym_assert_statement_token1] = ACTIONS(1023),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1023),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1023),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1023),
    [aux_sym_option_clause_token1] = ACTIONS(1023),
    [anon_sym_LT] = ACTIONS(1025),
    [anon_sym_GT] = ACTIONS(1025),
    [aux_sym_select_token1] = ACTIONS(1023),
    [aux_sym_insert_statement_token1] = ACTIONS(1023),
    [aux_sym_truncate_statement_token1] = ACTIONS(1023),
    [aux_sym_update_statement_token1] = ACTIONS(1023),
    [aux_sym_merge_statement_token1] = ACTIONS(1023),
    [aux_sym_grant_statement_token1] = ACTIONS(1023),
    [aux_sym_revoke_statement_token1] = ACTIONS(1023),
    [aux_sym_export_data_statement_token1] = ACTIONS(1023),
    [aux_sym_load_data_statement_token1] = ACTIONS(1023),
    [anon_sym_LBRACK] = ACTIONS(1023),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1023),
    [anon_sym_PLUS] = ACTIONS(3118),
    [anon_sym_DASH] = ACTIONS(3120),
    [anon_sym_STAR] = ACTIONS(3122),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_PIPE_PIPE] = ACTIONS(3122),
    [anon_sym_LT_EQ] = ACTIONS(1023),
    [anon_sym_LT_GT] = ACTIONS(1023),
    [anon_sym_GT_EQ] = ACTIONS(1023),
    [anon_sym_BANG_EQ] = ACTIONS(1023),
    [anon_sym_LT_LT] = ACTIONS(3126),
    [anon_sym_GT_GT] = ACTIONS(3126),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_CARET] = ACTIONS(3130),
    [anon_sym_PIPE] = ACTIONS(3132),
  },
  [3023] = {
    [sym__keyword_between] = STATE(1478),
    [sym__keyword_is] = STATE(12106),
    [sym__keyword_in] = STATE(1682),
    [sym__keyword_not] = STATE(13114),
    [sym__keyword_and] = STATE(862),
    [sym__keyword_or] = STATE(863),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1027),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(2744),
    [aux_sym__keyword_alter_token1] = ACTIONS(1027),
    [aux_sym__keyword_delete_token1] = ACTIONS(1027),
    [aux_sym__keyword_begin_token1] = ACTIONS(1027),
    [aux_sym__keyword_end_token1] = ACTIONS(1027),
    [aux_sym__keyword_between_token1] = ACTIONS(3136),
    [aux_sym__keyword_when_token1] = ACTIONS(1027),
    [aux_sym__keyword_else_token1] = ACTIONS(1029),
    [aux_sym__keyword_is_token1] = ACTIONS(3140),
    [aux_sym__keyword_in_token1] = ACTIONS(3142),
    [aux_sym__keyword_and_token1] = ACTIONS(3144),
    [aux_sym__keyword_like_token1] = ACTIONS(1027),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1027),
    [aux_sym__keyword_for_token1] = ACTIONS(1027),
    [anon_sym_SEMI] = ACTIONS(1027),
    [aux_sym_declare_statement_token1] = ACTIONS(1027),
    [anon_sym_COMMA] = ACTIONS(1027),
    [aux_sym_set_statement_token1] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1027),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1027),
    [aux_sym_return_satement_token1] = ACTIONS(1027),
    [aux_sym_call_statement_token1] = ACTIONS(1027),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1027),
    [aux_sym_if_statement_token1] = ACTIONS(1027),
    [aux_sym_loop_statement_token1] = ACTIONS(1027),
    [aux_sym_repeat_statement_token1] = ACTIONS(1027),
    [aux_sym_while_statement_token1] = ACTIONS(1027),
    [aux_sym_break_statement_token1] = ACTIONS(1027),
    [aux_sym_leave_statement_token1] = ACTIONS(1027),
    [aux_sym_continue_statement_token1] = ACTIONS(1027),
    [aux_sym_iterate_statement_token1] = ACTIONS(1027),
    [aux_sym_raise_statement_token1] = ACTIONS(1027),
    [anon_sym_EQ] = ACTIONS(3146),
    [aux_sym_assert_statement_token1] = ACTIONS(1027),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1027),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1027),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1027),
    [anon_sym_LT] = ACTIONS(3142),
    [anon_sym_GT] = ACTIONS(3142),
    [aux_sym_select_token1] = ACTIONS(1027),
    [aux_sym_insert_statement_token1] = ACTIONS(1027),
    [aux_sym_truncate_statement_token1] = ACTIONS(1027),
    [aux_sym_update_statement_token1] = ACTIONS(1027),
    [aux_sym_merge_statement_token1] = ACTIONS(1027),
    [aux_sym_grant_statement_token1] = ACTIONS(1027),
    [aux_sym_revoke_statement_token1] = ACTIONS(1027),
    [aux_sym_export_data_statement_token1] = ACTIONS(1027),
    [aux_sym_load_data_statement_token1] = ACTIONS(1027),
    [anon_sym_LBRACK] = ACTIONS(1027),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3098),
    [anon_sym_STAR] = ACTIONS(3100),
    [anon_sym_SLASH] = ACTIONS(3102),
    [anon_sym_PIPE_PIPE] = ACTIONS(3100),
    [anon_sym_LT_EQ] = ACTIONS(3146),
    [anon_sym_LT_GT] = ACTIONS(3146),
    [anon_sym_GT_EQ] = ACTIONS(3146),
    [anon_sym_BANG_EQ] = ACTIONS(3146),
    [anon_sym_LT_LT] = ACTIONS(3148),
    [anon_sym_GT_GT] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym_CARET] = ACTIONS(3152),
    [anon_sym_PIPE] = ACTIONS(3154),
  },
  [3024] = {
    [sym__keyword_between] = STATE(1478),
    [sym__keyword_is] = STATE(12106),
    [sym__keyword_in] = STATE(1682),
    [sym__keyword_not] = STATE(13114),
    [sym__keyword_and] = STATE(862),
    [sym__keyword_or] = STATE(863),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1019),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1019),
    [aux_sym_keyword_replace_token1] = ACTIONS(1019),
    [aux_sym__keyword_alter_token1] = ACTIONS(1019),
    [aux_sym__keyword_delete_token1] = ACTIONS(1019),
    [aux_sym__keyword_begin_token1] = ACTIONS(1019),
    [aux_sym__keyword_end_token1] = ACTIONS(1019),
    [aux_sym__keyword_between_token1] = ACTIONS(1019),
    [aux_sym__keyword_when_token1] = ACTIONS(1019),
    [aux_sym__keyword_else_token1] = ACTIONS(1021),
    [aux_sym__keyword_is_token1] = ACTIONS(1019),
    [aux_sym__keyword_in_token1] = ACTIONS(1021),
    [aux_sym__keyword_and_token1] = ACTIONS(1019),
    [aux_sym__keyword_like_token1] = ACTIONS(1019),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1019),
    [aux_sym__keyword_for_token1] = ACTIONS(1019),
    [anon_sym_SEMI] = ACTIONS(1019),
    [aux_sym_declare_statement_token1] = ACTIONS(1019),
    [anon_sym_COMMA] = ACTIONS(1019),
    [aux_sym_set_statement_token1] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1019),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1019),
    [aux_sym_return_satement_token1] = ACTIONS(1019),
    [aux_sym_call_statement_token1] = ACTIONS(1019),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1019),
    [aux_sym_if_statement_token1] = ACTIONS(1019),
    [aux_sym_loop_statement_token1] = ACTIONS(1019),
    [aux_sym_repeat_statement_token1] = ACTIONS(1019),
    [aux_sym_while_statement_token1] = ACTIONS(1019),
    [aux_sym_break_statement_token1] = ACTIONS(1019),
    [aux_sym_leave_statement_token1] = ACTIONS(1019),
    [aux_sym_continue_statement_token1] = ACTIONS(1019),
    [aux_sym_iterate_statement_token1] = ACTIONS(1019),
    [aux_sym_raise_statement_token1] = ACTIONS(1019),
    [anon_sym_EQ] = ACTIONS(1019),
    [aux_sym_assert_statement_token1] = ACTIONS(1019),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1019),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1019),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1019),
    [anon_sym_LT] = ACTIONS(1021),
    [anon_sym_GT] = ACTIONS(1021),
    [aux_sym_select_token1] = ACTIONS(1019),
    [aux_sym_insert_statement_token1] = ACTIONS(1019),
    [aux_sym_truncate_statement_token1] = ACTIONS(1019),
    [aux_sym_update_statement_token1] = ACTIONS(1019),
    [aux_sym_merge_statement_token1] = ACTIONS(1019),
    [aux_sym_grant_statement_token1] = ACTIONS(1019),
    [aux_sym_revoke_statement_token1] = ACTIONS(1019),
    [aux_sym_export_data_statement_token1] = ACTIONS(1019),
    [aux_sym_load_data_statement_token1] = ACTIONS(1019),
    [anon_sym_LBRACK] = ACTIONS(1019),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1019),
    [anon_sym_PLUS] = ACTIONS(1019),
    [anon_sym_DASH] = ACTIONS(1021),
    [anon_sym_STAR] = ACTIONS(1019),
    [anon_sym_SLASH] = ACTIONS(1021),
    [anon_sym_PIPE_PIPE] = ACTIONS(1019),
    [anon_sym_LT_EQ] = ACTIONS(1019),
    [anon_sym_LT_GT] = ACTIONS(1019),
    [anon_sym_GT_EQ] = ACTIONS(1019),
    [anon_sym_BANG_EQ] = ACTIONS(1019),
    [anon_sym_LT_LT] = ACTIONS(1019),
    [anon_sym_GT_GT] = ACTIONS(1019),
    [anon_sym_AMP] = ACTIONS(1019),
    [anon_sym_CARET] = ACTIONS(1019),
    [anon_sym_PIPE] = ACTIONS(1021),
  },
  [3025] = {
    [sym__keyword_as] = STATE(11547),
    [sym__keyword_date] = STATE(580),
    [sym__keyword_datetime] = STATE(580),
    [sym__keyword_time] = STATE(580),
    [sym__keyword_timestamp] = STATE(580),
    [sym_as_alias] = STATE(5268),
    [sym__type_chrono] = STATE(461),
    [sym__identifier] = STATE(2405),
    [sym__dotted_identifier] = STATE(13807),
    [sym_identifier] = STATE(607),
    [aux_sym_identifier_repeat1] = STATE(13807),
    [ts_builtin_sym_end] = ACTIONS(2940),
    [sym__unquoted_identifier] = ACTIONS(335),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(2938),
    [aux_sym__keyword_alter_token1] = ACTIONS(2938),
    [aux_sym__keyword_delete_token1] = ACTIONS(2938),
    [aux_sym__keyword_begin_token1] = ACTIONS(2938),
    [aux_sym__keyword_when_token1] = ACTIONS(2938),
    [aux_sym__keyword_repeat_token1] = ACTIONS(2938),
    [aux_sym__keyword_as_token1] = ACTIONS(2932),
    [aux_sym__keyword_window_token1] = ACTIONS(2938),
    [aux_sym__keyword_date_token1] = ACTIONS(209),
    [aux_sym__keyword_datetime_token1] = ACTIONS(209),
    [aux_sym__keyword_time_token1] = ACTIONS(209),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(209),
    [aux_sym__keyword_for_token1] = ACTIONS(2938),
    [anon_sym_SEMI] = ACTIONS(2940),
    [aux_sym_declare_statement_token1] = ACTIONS(2938),
    [anon_sym_COMMA] = ACTIONS(2940),
    [aux_sym_set_statement_token1] = ACTIONS(2938),
    [anon_sym_LPAREN] = ACTIONS(3190),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(2938),
    [aux_sym_using_clause_token1] = ACTIONS(2938),
    [aux_sym_return_satement_token1] = ACTIONS(2938),
    [aux_sym_call_statement_token1] = ACTIONS(2938),
    [aux_sym_loop_statement_token1] = ACTIONS(2938),
    [aux_sym_while_statement_token1] = ACTIONS(2938),
    [aux_sym_break_statement_token1] = ACTIONS(2938),
    [aux_sym_leave_statement_token1] = ACTIONS(2938),
    [aux_sym_continue_statement_token1] = ACTIONS(2938),
    [aux_sym_iterate_statement_token1] = ACTIONS(2938),
    [aux_sym_raise_statement_token1] = ACTIONS(2938),
    [aux_sym_assert_statement_token1] = ACTIONS(2938),
    [aux_sym_create_schema_statement_token1] = ACTIONS(2938),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(2938),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2938),
    [aux_sym_set_operation_token1] = ACTIONS(2938),
    [aux_sym_set_operation_token3] = ACTIONS(2938),
    [aux_sym_set_operation_token4] = ACTIONS(2938),
    [aux_sym_select_token1] = ACTIONS(2938),
    [aux_sym_having_clause_token1] = ACTIONS(2938),
    [aux_sym_qualify_clause_token1] = ACTIONS(2938),
    [aux_sym_limit_clause_token1] = ACTIONS(2938),
    [aux_sym_group_by_clause_token1] = ACTIONS(2938),
    [aux_sym_order_by_clause_token1] = ACTIONS(2938),
    [aux_sym_where_clause_token1] = ACTIONS(2938),
    [aux_sym_pivot_operator_token1] = ACTIONS(2938),
    [aux_sym_unpivot_operator_token1] = ACTIONS(2938),
    [aux_sym_tablesample_operator_token1] = ACTIONS(2938),
    [aux_sym_join_type_token1] = ACTIONS(2938),
    [aux_sym_join_type_token2] = ACTIONS(2938),
    [aux_sym_join_type_token3] = ACTIONS(2938),
    [aux_sym_join_type_token4] = ACTIONS(2938),
    [aux_sym__cross_join_operation_token1] = ACTIONS(2938),
    [aux_sym__cross_join_operation_token2] = ACTIONS(2938),
    [aux_sym_join_condition_token1] = ACTIONS(2938),
    [aux_sym_insert_statement_token1] = ACTIONS(2938),
    [aux_sym_truncate_statement_token1] = ACTIONS(2938),
    [aux_sym_update_statement_token1] = ACTIONS(2938),
    [aux_sym_merge_statement_token1] = ACTIONS(2938),
    [aux_sym_grant_statement_token1] = ACTIONS(2938),
    [aux_sym_revoke_statement_token1] = ACTIONS(2938),
    [aux_sym_export_data_statement_token1] = ACTIONS(2938),
    [aux_sym_load_data_statement_token1] = ACTIONS(2938),
    [sym__quoted_identifier] = ACTIONS(363),
    [sym_comment] = ACTIONS(3),
  },
  [3026] = {
    [sym__keyword_as] = STATE(11547),
    [sym__keyword_date] = STATE(580),
    [sym__keyword_datetime] = STATE(580),
    [sym__keyword_time] = STATE(580),
    [sym__keyword_timestamp] = STATE(580),
    [sym_as_alias] = STATE(5263),
    [sym__type_chrono] = STATE(461),
    [sym__identifier] = STATE(2405),
    [sym__dotted_identifier] = STATE(13807),
    [sym_identifier] = STATE(607),
    [aux_sym_identifier_repeat1] = STATE(13807),
    [ts_builtin_sym_end] = ACTIONS(2972),
    [sym__unquoted_identifier] = ACTIONS(335),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(2970),
    [aux_sym__keyword_alter_token1] = ACTIONS(2970),
    [aux_sym__keyword_delete_token1] = ACTIONS(2970),
    [aux_sym__keyword_begin_token1] = ACTIONS(2970),
    [aux_sym__keyword_when_token1] = ACTIONS(2970),
    [aux_sym__keyword_repeat_token1] = ACTIONS(2970),
    [aux_sym__keyword_as_token1] = ACTIONS(2932),
    [aux_sym__keyword_window_token1] = ACTIONS(2970),
    [aux_sym__keyword_date_token1] = ACTIONS(209),
    [aux_sym__keyword_datetime_token1] = ACTIONS(209),
    [aux_sym__keyword_time_token1] = ACTIONS(209),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(209),
    [aux_sym__keyword_for_token1] = ACTIONS(2970),
    [anon_sym_SEMI] = ACTIONS(2972),
    [aux_sym_declare_statement_token1] = ACTIONS(2970),
    [anon_sym_COMMA] = ACTIONS(2972),
    [aux_sym_set_statement_token1] = ACTIONS(2970),
    [anon_sym_LPAREN] = ACTIONS(2972),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(2970),
    [aux_sym_using_clause_token1] = ACTIONS(2970),
    [aux_sym_return_satement_token1] = ACTIONS(2970),
    [aux_sym_call_statement_token1] = ACTIONS(2970),
    [aux_sym_loop_statement_token1] = ACTIONS(2970),
    [aux_sym_while_statement_token1] = ACTIONS(2970),
    [aux_sym_break_statement_token1] = ACTIONS(2970),
    [aux_sym_leave_statement_token1] = ACTIONS(2970),
    [aux_sym_continue_statement_token1] = ACTIONS(2970),
    [aux_sym_iterate_statement_token1] = ACTIONS(2970),
    [aux_sym_raise_statement_token1] = ACTIONS(2970),
    [aux_sym_assert_statement_token1] = ACTIONS(2970),
    [aux_sym_create_schema_statement_token1] = ACTIONS(2970),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(2970),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2970),
    [aux_sym_set_operation_token1] = ACTIONS(2970),
    [aux_sym_set_operation_token3] = ACTIONS(2970),
    [aux_sym_set_operation_token4] = ACTIONS(2970),
    [aux_sym_select_token1] = ACTIONS(2970),
    [aux_sym_having_clause_token1] = ACTIONS(2970),
    [aux_sym_qualify_clause_token1] = ACTIONS(2970),
    [aux_sym_limit_clause_token1] = ACTIONS(2970),
    [aux_sym_group_by_clause_token1] = ACTIONS(2970),
    [aux_sym_order_by_clause_token1] = ACTIONS(2970),
    [aux_sym_where_clause_token1] = ACTIONS(2970),
    [aux_sym_pivot_operator_token1] = ACTIONS(2970),
    [aux_sym_unpivot_operator_token1] = ACTIONS(2970),
    [aux_sym_tablesample_operator_token1] = ACTIONS(2970),
    [aux_sym_join_type_token1] = ACTIONS(2970),
    [aux_sym_join_type_token2] = ACTIONS(2970),
    [aux_sym_join_type_token3] = ACTIONS(2970),
    [aux_sym_join_type_token4] = ACTIONS(2970),
    [aux_sym__cross_join_operation_token1] = ACTIONS(2970),
    [aux_sym__cross_join_operation_token2] = ACTIONS(2970),
    [aux_sym_join_condition_token1] = ACTIONS(2970),
    [aux_sym_insert_statement_token1] = ACTIONS(2970),
    [aux_sym_truncate_statement_token1] = ACTIONS(2970),
    [aux_sym_update_statement_token1] = ACTIONS(2970),
    [aux_sym_merge_statement_token1] = ACTIONS(2970),
    [aux_sym_grant_statement_token1] = ACTIONS(2970),
    [aux_sym_revoke_statement_token1] = ACTIONS(2970),
    [aux_sym_export_data_statement_token1] = ACTIONS(2970),
    [aux_sym_load_data_statement_token1] = ACTIONS(2970),
    [sym__quoted_identifier] = ACTIONS(363),
    [sym_comment] = ACTIONS(3),
  },
  [3027] = {
    [sym__keyword_between] = STATE(1138),
    [sym__keyword_is] = STATE(12151),
    [sym__keyword_in] = STATE(919),
    [sym__keyword_not] = STATE(13049),
    [sym__keyword_and] = STATE(929),
    [sym__keyword_or] = STATE(930),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1019),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1019),
    [aux_sym_keyword_replace_token1] = ACTIONS(1019),
    [aux_sym__keyword_alter_token1] = ACTIONS(1019),
    [aux_sym__keyword_delete_token1] = ACTIONS(1019),
    [aux_sym__keyword_begin_token1] = ACTIONS(1019),
    [aux_sym__keyword_end_token1] = ACTIONS(1019),
    [aux_sym__keyword_between_token1] = ACTIONS(1019),
    [aux_sym__keyword_else_token1] = ACTIONS(1021),
    [aux_sym__keyword_is_token1] = ACTIONS(1019),
    [aux_sym__keyword_in_token1] = ACTIONS(1021),
    [aux_sym__keyword_and_token1] = ACTIONS(1019),
    [aux_sym__keyword_like_token1] = ACTIONS(1019),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1019),
    [aux_sym__keyword_for_token1] = ACTIONS(1019),
    [anon_sym_SEMI] = ACTIONS(1019),
    [aux_sym_declare_statement_token1] = ACTIONS(1019),
    [anon_sym_COMMA] = ACTIONS(1019),
    [aux_sym_set_statement_token1] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1019),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1019),
    [aux_sym_return_satement_token1] = ACTIONS(1019),
    [aux_sym_call_statement_token1] = ACTIONS(1019),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1019),
    [aux_sym_if_statement_token1] = ACTIONS(1019),
    [aux_sym_loop_statement_token1] = ACTIONS(1019),
    [aux_sym_repeat_statement_token1] = ACTIONS(1019),
    [aux_sym_while_statement_token1] = ACTIONS(1019),
    [aux_sym_break_statement_token1] = ACTIONS(1019),
    [aux_sym_leave_statement_token1] = ACTIONS(1019),
    [aux_sym_continue_statement_token1] = ACTIONS(1019),
    [aux_sym_iterate_statement_token1] = ACTIONS(1019),
    [aux_sym_raise_statement_token1] = ACTIONS(1019),
    [anon_sym_EQ] = ACTIONS(1019),
    [aux_sym_assert_statement_token1] = ACTIONS(1019),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1019),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1019),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1019),
    [aux_sym_option_clause_token1] = ACTIONS(1019),
    [anon_sym_LT] = ACTIONS(1021),
    [anon_sym_GT] = ACTIONS(1021),
    [aux_sym_select_token1] = ACTIONS(1019),
    [aux_sym_insert_statement_token1] = ACTIONS(1019),
    [aux_sym_truncate_statement_token1] = ACTIONS(1019),
    [aux_sym_update_statement_token1] = ACTIONS(1019),
    [aux_sym_merge_statement_token1] = ACTIONS(1019),
    [aux_sym_grant_statement_token1] = ACTIONS(1019),
    [aux_sym_revoke_statement_token1] = ACTIONS(1019),
    [aux_sym_export_data_statement_token1] = ACTIONS(1019),
    [aux_sym_load_data_statement_token1] = ACTIONS(1019),
    [anon_sym_LBRACK] = ACTIONS(1019),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1019),
    [anon_sym_PLUS] = ACTIONS(1019),
    [anon_sym_DASH] = ACTIONS(1021),
    [anon_sym_STAR] = ACTIONS(1019),
    [anon_sym_SLASH] = ACTIONS(1021),
    [anon_sym_PIPE_PIPE] = ACTIONS(1019),
    [anon_sym_LT_EQ] = ACTIONS(1019),
    [anon_sym_LT_GT] = ACTIONS(1019),
    [anon_sym_GT_EQ] = ACTIONS(1019),
    [anon_sym_BANG_EQ] = ACTIONS(1019),
    [anon_sym_LT_LT] = ACTIONS(1019),
    [anon_sym_GT_GT] = ACTIONS(1019),
    [anon_sym_AMP] = ACTIONS(1019),
    [anon_sym_CARET] = ACTIONS(1019),
    [anon_sym_PIPE] = ACTIONS(1021),
  },
  [3028] = {
    [ts_builtin_sym_end] = ACTIONS(1586),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1586),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1586),
    [aux_sym_keyword_replace_token1] = ACTIONS(1586),
    [aux_sym__keyword_alter_token1] = ACTIONS(1586),
    [aux_sym__keyword_delete_token1] = ACTIONS(1586),
    [aux_sym__keyword_begin_token1] = ACTIONS(1586),
    [aux_sym__keyword_end_token1] = ACTIONS(1586),
    [aux_sym__keyword_between_token1] = ACTIONS(1586),
    [aux_sym__keyword_when_token1] = ACTIONS(1586),
    [aux_sym__keyword_else_token1] = ACTIONS(1588),
    [aux_sym__keyword_is_token1] = ACTIONS(1586),
    [aux_sym__keyword_in_token1] = ACTIONS(1588),
    [aux_sym__keyword_and_token1] = ACTIONS(1586),
    [aux_sym__keyword_like_token1] = ACTIONS(1586),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1586),
    [aux_sym__keyword_for_token1] = ACTIONS(1586),
    [anon_sym_SEMI] = ACTIONS(1586),
    [aux_sym_declare_statement_token1] = ACTIONS(1586),
    [anon_sym_COMMA] = ACTIONS(1586),
    [aux_sym_set_statement_token1] = ACTIONS(1586),
    [anon_sym_LPAREN] = ACTIONS(1586),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1586),
    [aux_sym_return_satement_token1] = ACTIONS(1586),
    [aux_sym_call_statement_token1] = ACTIONS(1586),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1586),
    [aux_sym_if_statement_token1] = ACTIONS(1586),
    [aux_sym_loop_statement_token1] = ACTIONS(1586),
    [aux_sym_repeat_statement_token1] = ACTIONS(1586),
    [aux_sym_while_statement_token1] = ACTIONS(1586),
    [aux_sym_break_statement_token1] = ACTIONS(1586),
    [aux_sym_leave_statement_token1] = ACTIONS(1586),
    [aux_sym_continue_statement_token1] = ACTIONS(1586),
    [aux_sym_iterate_statement_token1] = ACTIONS(1586),
    [aux_sym_raise_statement_token1] = ACTIONS(1586),
    [anon_sym_EQ] = ACTIONS(1586),
    [aux_sym_assert_statement_token1] = ACTIONS(1586),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1586),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1586),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1586),
    [anon_sym_LT] = ACTIONS(1588),
    [anon_sym_GT] = ACTIONS(1588),
    [aux_sym_set_operation_token1] = ACTIONS(1586),
    [aux_sym_set_operation_token3] = ACTIONS(1586),
    [aux_sym_set_operation_token4] = ACTIONS(1588),
    [aux_sym_select_token1] = ACTIONS(1586),
    [aux_sym_limit_clause_token1] = ACTIONS(1586),
    [aux_sym__direction_keywords_token1] = ACTIONS(1586),
    [aux_sym__direction_keywords_token2] = ACTIONS(1586),
    [aux_sym__nulls_preference_token1] = ACTIONS(1586),
    [aux_sym_insert_statement_token1] = ACTIONS(1586),
    [aux_sym_truncate_statement_token1] = ACTIONS(1586),
    [aux_sym_update_statement_token1] = ACTIONS(1586),
    [aux_sym_merge_statement_token1] = ACTIONS(1586),
    [aux_sym_grant_statement_token1] = ACTIONS(1586),
    [aux_sym_revoke_statement_token1] = ACTIONS(1586),
    [aux_sym_export_data_statement_token1] = ACTIONS(1586),
    [aux_sym_load_data_statement_token1] = ACTIONS(1586),
    [anon_sym_LBRACK] = ACTIONS(1586),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1586),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_STAR] = ACTIONS(1586),
    [anon_sym_SLASH] = ACTIONS(1588),
    [anon_sym_PIPE_PIPE] = ACTIONS(1586),
    [anon_sym_LT_EQ] = ACTIONS(1586),
    [anon_sym_LT_GT] = ACTIONS(1586),
    [anon_sym_GT_EQ] = ACTIONS(1586),
    [anon_sym_BANG_EQ] = ACTIONS(1586),
    [anon_sym_LT_LT] = ACTIONS(1586),
    [anon_sym_GT_GT] = ACTIONS(1586),
    [anon_sym_AMP] = ACTIONS(1586),
    [anon_sym_CARET] = ACTIONS(1586),
    [anon_sym_PIPE] = ACTIONS(1588),
  },
  [3029] = {
    [ts_builtin_sym_end] = ACTIONS(1768),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1768),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1768),
    [aux_sym_keyword_replace_token1] = ACTIONS(1768),
    [aux_sym__keyword_alter_token1] = ACTIONS(1768),
    [aux_sym__keyword_delete_token1] = ACTIONS(1768),
    [aux_sym__keyword_begin_token1] = ACTIONS(1768),
    [aux_sym__keyword_end_token1] = ACTIONS(1768),
    [aux_sym__keyword_between_token1] = ACTIONS(1768),
    [aux_sym__keyword_when_token1] = ACTIONS(1768),
    [aux_sym__keyword_else_token1] = ACTIONS(1770),
    [aux_sym__keyword_is_token1] = ACTIONS(1768),
    [aux_sym__keyword_in_token1] = ACTIONS(1770),
    [aux_sym__keyword_and_token1] = ACTIONS(1768),
    [aux_sym__keyword_like_token1] = ACTIONS(1768),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1768),
    [aux_sym__keyword_for_token1] = ACTIONS(1768),
    [anon_sym_SEMI] = ACTIONS(1768),
    [aux_sym_declare_statement_token1] = ACTIONS(1768),
    [anon_sym_COMMA] = ACTIONS(1768),
    [aux_sym_set_statement_token1] = ACTIONS(1768),
    [anon_sym_LPAREN] = ACTIONS(1768),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1768),
    [aux_sym_return_satement_token1] = ACTIONS(1768),
    [aux_sym_call_statement_token1] = ACTIONS(1768),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1768),
    [aux_sym_if_statement_token1] = ACTIONS(1768),
    [aux_sym_loop_statement_token1] = ACTIONS(1768),
    [aux_sym_repeat_statement_token1] = ACTIONS(1768),
    [aux_sym_while_statement_token1] = ACTIONS(1768),
    [aux_sym_break_statement_token1] = ACTIONS(1768),
    [aux_sym_leave_statement_token1] = ACTIONS(1768),
    [aux_sym_continue_statement_token1] = ACTIONS(1768),
    [aux_sym_iterate_statement_token1] = ACTIONS(1768),
    [aux_sym_raise_statement_token1] = ACTIONS(1768),
    [anon_sym_EQ] = ACTIONS(1768),
    [aux_sym_assert_statement_token1] = ACTIONS(1768),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1768),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1768),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1768),
    [anon_sym_LT] = ACTIONS(1770),
    [anon_sym_GT] = ACTIONS(1770),
    [aux_sym_set_operation_token1] = ACTIONS(1768),
    [aux_sym_set_operation_token3] = ACTIONS(1768),
    [aux_sym_set_operation_token4] = ACTIONS(1770),
    [aux_sym_select_token1] = ACTIONS(1768),
    [aux_sym_limit_clause_token1] = ACTIONS(1768),
    [aux_sym__direction_keywords_token1] = ACTIONS(1768),
    [aux_sym__direction_keywords_token2] = ACTIONS(1768),
    [aux_sym__nulls_preference_token1] = ACTIONS(1768),
    [aux_sym_insert_statement_token1] = ACTIONS(1768),
    [aux_sym_truncate_statement_token1] = ACTIONS(1768),
    [aux_sym_update_statement_token1] = ACTIONS(1768),
    [aux_sym_merge_statement_token1] = ACTIONS(1768),
    [aux_sym_grant_statement_token1] = ACTIONS(1768),
    [aux_sym_revoke_statement_token1] = ACTIONS(1768),
    [aux_sym_export_data_statement_token1] = ACTIONS(1768),
    [aux_sym_load_data_statement_token1] = ACTIONS(1768),
    [anon_sym_LBRACK] = ACTIONS(1768),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1768),
    [anon_sym_PLUS] = ACTIONS(1768),
    [anon_sym_DASH] = ACTIONS(1770),
    [anon_sym_STAR] = ACTIONS(1768),
    [anon_sym_SLASH] = ACTIONS(1770),
    [anon_sym_PIPE_PIPE] = ACTIONS(1768),
    [anon_sym_LT_EQ] = ACTIONS(1768),
    [anon_sym_LT_GT] = ACTIONS(1768),
    [anon_sym_GT_EQ] = ACTIONS(1768),
    [anon_sym_BANG_EQ] = ACTIONS(1768),
    [anon_sym_LT_LT] = ACTIONS(1768),
    [anon_sym_GT_GT] = ACTIONS(1768),
    [anon_sym_AMP] = ACTIONS(1768),
    [anon_sym_CARET] = ACTIONS(1768),
    [anon_sym_PIPE] = ACTIONS(1770),
  },
  [3030] = {
    [ts_builtin_sym_end] = ACTIONS(1622),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1622),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1622),
    [aux_sym_keyword_replace_token1] = ACTIONS(1622),
    [aux_sym__keyword_alter_token1] = ACTIONS(1622),
    [aux_sym__keyword_delete_token1] = ACTIONS(1622),
    [aux_sym__keyword_begin_token1] = ACTIONS(1622),
    [aux_sym__keyword_end_token1] = ACTIONS(1622),
    [aux_sym__keyword_between_token1] = ACTIONS(1622),
    [aux_sym__keyword_when_token1] = ACTIONS(1622),
    [aux_sym__keyword_else_token1] = ACTIONS(1624),
    [aux_sym__keyword_is_token1] = ACTIONS(1622),
    [aux_sym__keyword_in_token1] = ACTIONS(1624),
    [aux_sym__keyword_and_token1] = ACTIONS(1622),
    [aux_sym__keyword_like_token1] = ACTIONS(1622),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1622),
    [aux_sym__keyword_for_token1] = ACTIONS(1622),
    [anon_sym_SEMI] = ACTIONS(1622),
    [aux_sym_declare_statement_token1] = ACTIONS(1622),
    [anon_sym_COMMA] = ACTIONS(1622),
    [aux_sym_set_statement_token1] = ACTIONS(1622),
    [anon_sym_LPAREN] = ACTIONS(3192),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1622),
    [aux_sym_return_satement_token1] = ACTIONS(1622),
    [aux_sym_call_statement_token1] = ACTIONS(1622),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1622),
    [aux_sym_if_statement_token1] = ACTIONS(1622),
    [aux_sym_loop_statement_token1] = ACTIONS(1622),
    [aux_sym_repeat_statement_token1] = ACTIONS(1622),
    [aux_sym_while_statement_token1] = ACTIONS(1622),
    [aux_sym_break_statement_token1] = ACTIONS(1622),
    [aux_sym_leave_statement_token1] = ACTIONS(1622),
    [aux_sym_continue_statement_token1] = ACTIONS(1622),
    [aux_sym_iterate_statement_token1] = ACTIONS(1622),
    [aux_sym_raise_statement_token1] = ACTIONS(1622),
    [anon_sym_EQ] = ACTIONS(1622),
    [aux_sym_assert_statement_token1] = ACTIONS(1622),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1622),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1622),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1622),
    [anon_sym_LT] = ACTIONS(1624),
    [anon_sym_GT] = ACTIONS(1624),
    [aux_sym_set_operation_token1] = ACTIONS(1622),
    [aux_sym_set_operation_token3] = ACTIONS(1622),
    [aux_sym_set_operation_token4] = ACTIONS(1624),
    [aux_sym_select_token1] = ACTIONS(1622),
    [aux_sym_limit_clause_token1] = ACTIONS(1622),
    [aux_sym__direction_keywords_token1] = ACTIONS(1622),
    [aux_sym__direction_keywords_token2] = ACTIONS(1622),
    [aux_sym__nulls_preference_token1] = ACTIONS(1622),
    [aux_sym_insert_statement_token1] = ACTIONS(1622),
    [aux_sym_truncate_statement_token1] = ACTIONS(1622),
    [aux_sym_update_statement_token1] = ACTIONS(1622),
    [aux_sym_merge_statement_token1] = ACTIONS(1622),
    [aux_sym_grant_statement_token1] = ACTIONS(1622),
    [aux_sym_revoke_statement_token1] = ACTIONS(1622),
    [aux_sym_export_data_statement_token1] = ACTIONS(1622),
    [aux_sym_load_data_statement_token1] = ACTIONS(1622),
    [anon_sym_LBRACK] = ACTIONS(1622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1622),
    [anon_sym_PLUS] = ACTIONS(1622),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_STAR] = ACTIONS(1622),
    [anon_sym_SLASH] = ACTIONS(1624),
    [anon_sym_PIPE_PIPE] = ACTIONS(1622),
    [anon_sym_LT_EQ] = ACTIONS(1622),
    [anon_sym_LT_GT] = ACTIONS(1622),
    [anon_sym_GT_EQ] = ACTIONS(1622),
    [anon_sym_BANG_EQ] = ACTIONS(1622),
    [anon_sym_LT_LT] = ACTIONS(1622),
    [anon_sym_GT_GT] = ACTIONS(1622),
    [anon_sym_AMP] = ACTIONS(1622),
    [anon_sym_CARET] = ACTIONS(1622),
    [anon_sym_PIPE] = ACTIONS(1624),
  },
  [3031] = {
    [ts_builtin_sym_end] = ACTIONS(1780),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1780),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1780),
    [aux_sym_keyword_replace_token1] = ACTIONS(1780),
    [aux_sym__keyword_alter_token1] = ACTIONS(1780),
    [aux_sym__keyword_delete_token1] = ACTIONS(1780),
    [aux_sym__keyword_begin_token1] = ACTIONS(1780),
    [aux_sym__keyword_end_token1] = ACTIONS(1780),
    [aux_sym__keyword_between_token1] = ACTIONS(1780),
    [aux_sym__keyword_when_token1] = ACTIONS(1780),
    [aux_sym__keyword_else_token1] = ACTIONS(1782),
    [aux_sym__keyword_is_token1] = ACTIONS(1780),
    [aux_sym__keyword_in_token1] = ACTIONS(1782),
    [aux_sym__keyword_and_token1] = ACTIONS(1780),
    [aux_sym__keyword_like_token1] = ACTIONS(1780),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1780),
    [aux_sym__keyword_for_token1] = ACTIONS(1780),
    [anon_sym_SEMI] = ACTIONS(1780),
    [aux_sym_declare_statement_token1] = ACTIONS(1780),
    [anon_sym_COMMA] = ACTIONS(1780),
    [aux_sym_set_statement_token1] = ACTIONS(1780),
    [anon_sym_LPAREN] = ACTIONS(1780),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1780),
    [aux_sym_return_satement_token1] = ACTIONS(1780),
    [aux_sym_call_statement_token1] = ACTIONS(1780),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1780),
    [aux_sym_if_statement_token1] = ACTIONS(1780),
    [aux_sym_loop_statement_token1] = ACTIONS(1780),
    [aux_sym_repeat_statement_token1] = ACTIONS(1780),
    [aux_sym_while_statement_token1] = ACTIONS(1780),
    [aux_sym_break_statement_token1] = ACTIONS(1780),
    [aux_sym_leave_statement_token1] = ACTIONS(1780),
    [aux_sym_continue_statement_token1] = ACTIONS(1780),
    [aux_sym_iterate_statement_token1] = ACTIONS(1780),
    [aux_sym_raise_statement_token1] = ACTIONS(1780),
    [anon_sym_EQ] = ACTIONS(1780),
    [aux_sym_assert_statement_token1] = ACTIONS(1780),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1780),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1780),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1780),
    [anon_sym_LT] = ACTIONS(1782),
    [anon_sym_GT] = ACTIONS(1782),
    [aux_sym_set_operation_token1] = ACTIONS(1780),
    [aux_sym_set_operation_token3] = ACTIONS(1780),
    [aux_sym_set_operation_token4] = ACTIONS(1782),
    [aux_sym_select_token1] = ACTIONS(1780),
    [aux_sym_limit_clause_token1] = ACTIONS(1780),
    [aux_sym__direction_keywords_token1] = ACTIONS(1780),
    [aux_sym__direction_keywords_token2] = ACTIONS(1780),
    [aux_sym__nulls_preference_token1] = ACTIONS(1780),
    [aux_sym_insert_statement_token1] = ACTIONS(1780),
    [aux_sym_truncate_statement_token1] = ACTIONS(1780),
    [aux_sym_update_statement_token1] = ACTIONS(1780),
    [aux_sym_merge_statement_token1] = ACTIONS(1780),
    [aux_sym_grant_statement_token1] = ACTIONS(1780),
    [aux_sym_revoke_statement_token1] = ACTIONS(1780),
    [aux_sym_export_data_statement_token1] = ACTIONS(1780),
    [aux_sym_load_data_statement_token1] = ACTIONS(1780),
    [anon_sym_LBRACK] = ACTIONS(1780),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_DASH] = ACTIONS(1782),
    [anon_sym_STAR] = ACTIONS(1780),
    [anon_sym_SLASH] = ACTIONS(1782),
    [anon_sym_PIPE_PIPE] = ACTIONS(1780),
    [anon_sym_LT_EQ] = ACTIONS(1780),
    [anon_sym_LT_GT] = ACTIONS(1780),
    [anon_sym_GT_EQ] = ACTIONS(1780),
    [anon_sym_BANG_EQ] = ACTIONS(1780),
    [anon_sym_LT_LT] = ACTIONS(1780),
    [anon_sym_GT_GT] = ACTIONS(1780),
    [anon_sym_AMP] = ACTIONS(1780),
    [anon_sym_CARET] = ACTIONS(1780),
    [anon_sym_PIPE] = ACTIONS(1782),
  },
  [3032] = {
    [ts_builtin_sym_end] = ACTIONS(1780),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1780),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1780),
    [aux_sym_keyword_replace_token1] = ACTIONS(1780),
    [aux_sym__keyword_alter_token1] = ACTIONS(1780),
    [aux_sym__keyword_delete_token1] = ACTIONS(1780),
    [aux_sym__keyword_begin_token1] = ACTIONS(1780),
    [aux_sym__keyword_end_token1] = ACTIONS(1780),
    [aux_sym__keyword_between_token1] = ACTIONS(1780),
    [aux_sym__keyword_when_token1] = ACTIONS(1780),
    [aux_sym__keyword_else_token1] = ACTIONS(1782),
    [aux_sym__keyword_is_token1] = ACTIONS(1780),
    [aux_sym__keyword_in_token1] = ACTIONS(1782),
    [aux_sym__keyword_and_token1] = ACTIONS(1780),
    [aux_sym__keyword_like_token1] = ACTIONS(1780),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1780),
    [aux_sym__keyword_for_token1] = ACTIONS(1780),
    [anon_sym_SEMI] = ACTIONS(1780),
    [aux_sym_declare_statement_token1] = ACTIONS(1780),
    [anon_sym_COMMA] = ACTIONS(1780),
    [aux_sym_set_statement_token1] = ACTIONS(1780),
    [anon_sym_LPAREN] = ACTIONS(1780),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1780),
    [aux_sym_return_satement_token1] = ACTIONS(1780),
    [aux_sym_call_statement_token1] = ACTIONS(1780),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1780),
    [aux_sym_if_statement_token1] = ACTIONS(1780),
    [aux_sym_loop_statement_token1] = ACTIONS(1780),
    [aux_sym_repeat_statement_token1] = ACTIONS(1780),
    [aux_sym_while_statement_token1] = ACTIONS(1780),
    [aux_sym_break_statement_token1] = ACTIONS(1780),
    [aux_sym_leave_statement_token1] = ACTIONS(1780),
    [aux_sym_continue_statement_token1] = ACTIONS(1780),
    [aux_sym_iterate_statement_token1] = ACTIONS(1780),
    [aux_sym_raise_statement_token1] = ACTIONS(1780),
    [anon_sym_EQ] = ACTIONS(1780),
    [aux_sym_assert_statement_token1] = ACTIONS(1780),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1780),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1780),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1780),
    [anon_sym_LT] = ACTIONS(1782),
    [anon_sym_GT] = ACTIONS(1782),
    [aux_sym_set_operation_token1] = ACTIONS(1780),
    [aux_sym_set_operation_token3] = ACTIONS(1780),
    [aux_sym_set_operation_token4] = ACTIONS(1782),
    [aux_sym_select_token1] = ACTIONS(1780),
    [aux_sym_limit_clause_token1] = ACTIONS(1780),
    [aux_sym__direction_keywords_token1] = ACTIONS(1780),
    [aux_sym__direction_keywords_token2] = ACTIONS(1780),
    [aux_sym__nulls_preference_token1] = ACTIONS(1780),
    [aux_sym_insert_statement_token1] = ACTIONS(1780),
    [aux_sym_truncate_statement_token1] = ACTIONS(1780),
    [aux_sym_update_statement_token1] = ACTIONS(1780),
    [aux_sym_merge_statement_token1] = ACTIONS(1780),
    [aux_sym_grant_statement_token1] = ACTIONS(1780),
    [aux_sym_revoke_statement_token1] = ACTIONS(1780),
    [aux_sym_export_data_statement_token1] = ACTIONS(1780),
    [aux_sym_load_data_statement_token1] = ACTIONS(1780),
    [anon_sym_LBRACK] = ACTIONS(1780),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_DASH] = ACTIONS(1782),
    [anon_sym_STAR] = ACTIONS(1780),
    [anon_sym_SLASH] = ACTIONS(1782),
    [anon_sym_PIPE_PIPE] = ACTIONS(1780),
    [anon_sym_LT_EQ] = ACTIONS(1780),
    [anon_sym_LT_GT] = ACTIONS(1780),
    [anon_sym_GT_EQ] = ACTIONS(1780),
    [anon_sym_BANG_EQ] = ACTIONS(1780),
    [anon_sym_LT_LT] = ACTIONS(1780),
    [anon_sym_GT_GT] = ACTIONS(1780),
    [anon_sym_AMP] = ACTIONS(1780),
    [anon_sym_CARET] = ACTIONS(1780),
    [anon_sym_PIPE] = ACTIONS(1782),
  },
  [3033] = {
    [ts_builtin_sym_end] = ACTIONS(1776),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1776),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1776),
    [aux_sym_keyword_replace_token1] = ACTIONS(1776),
    [aux_sym__keyword_alter_token1] = ACTIONS(1776),
    [aux_sym__keyword_delete_token1] = ACTIONS(1776),
    [aux_sym__keyword_begin_token1] = ACTIONS(1776),
    [aux_sym__keyword_end_token1] = ACTIONS(1776),
    [aux_sym__keyword_between_token1] = ACTIONS(1776),
    [aux_sym__keyword_when_token1] = ACTIONS(1776),
    [aux_sym__keyword_else_token1] = ACTIONS(1778),
    [aux_sym__keyword_is_token1] = ACTIONS(1776),
    [aux_sym__keyword_in_token1] = ACTIONS(1778),
    [aux_sym__keyword_and_token1] = ACTIONS(1776),
    [aux_sym__keyword_like_token1] = ACTIONS(1776),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1776),
    [aux_sym__keyword_for_token1] = ACTIONS(1776),
    [anon_sym_SEMI] = ACTIONS(1776),
    [aux_sym_declare_statement_token1] = ACTIONS(1776),
    [anon_sym_COMMA] = ACTIONS(1776),
    [aux_sym_set_statement_token1] = ACTIONS(1776),
    [anon_sym_LPAREN] = ACTIONS(1776),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1776),
    [aux_sym_return_satement_token1] = ACTIONS(1776),
    [aux_sym_call_statement_token1] = ACTIONS(1776),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1776),
    [aux_sym_if_statement_token1] = ACTIONS(1776),
    [aux_sym_loop_statement_token1] = ACTIONS(1776),
    [aux_sym_repeat_statement_token1] = ACTIONS(1776),
    [aux_sym_while_statement_token1] = ACTIONS(1776),
    [aux_sym_break_statement_token1] = ACTIONS(1776),
    [aux_sym_leave_statement_token1] = ACTIONS(1776),
    [aux_sym_continue_statement_token1] = ACTIONS(1776),
    [aux_sym_iterate_statement_token1] = ACTIONS(1776),
    [aux_sym_raise_statement_token1] = ACTIONS(1776),
    [anon_sym_EQ] = ACTIONS(1776),
    [aux_sym_assert_statement_token1] = ACTIONS(1776),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1776),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1776),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1776),
    [anon_sym_LT] = ACTIONS(1778),
    [anon_sym_GT] = ACTIONS(1778),
    [aux_sym_set_operation_token1] = ACTIONS(1776),
    [aux_sym_set_operation_token3] = ACTIONS(1776),
    [aux_sym_set_operation_token4] = ACTIONS(1778),
    [aux_sym_select_token1] = ACTIONS(1776),
    [aux_sym_limit_clause_token1] = ACTIONS(1776),
    [aux_sym__direction_keywords_token1] = ACTIONS(1776),
    [aux_sym__direction_keywords_token2] = ACTIONS(1776),
    [aux_sym__nulls_preference_token1] = ACTIONS(1776),
    [aux_sym_insert_statement_token1] = ACTIONS(1776),
    [aux_sym_truncate_statement_token1] = ACTIONS(1776),
    [aux_sym_update_statement_token1] = ACTIONS(1776),
    [aux_sym_merge_statement_token1] = ACTIONS(1776),
    [aux_sym_grant_statement_token1] = ACTIONS(1776),
    [aux_sym_revoke_statement_token1] = ACTIONS(1776),
    [aux_sym_export_data_statement_token1] = ACTIONS(1776),
    [aux_sym_load_data_statement_token1] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1776),
    [anon_sym_PLUS] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1778),
    [anon_sym_STAR] = ACTIONS(1776),
    [anon_sym_SLASH] = ACTIONS(1778),
    [anon_sym_PIPE_PIPE] = ACTIONS(1776),
    [anon_sym_LT_EQ] = ACTIONS(1776),
    [anon_sym_LT_GT] = ACTIONS(1776),
    [anon_sym_GT_EQ] = ACTIONS(1776),
    [anon_sym_BANG_EQ] = ACTIONS(1776),
    [anon_sym_LT_LT] = ACTIONS(1776),
    [anon_sym_GT_GT] = ACTIONS(1776),
    [anon_sym_AMP] = ACTIONS(1776),
    [anon_sym_CARET] = ACTIONS(1776),
    [anon_sym_PIPE] = ACTIONS(1778),
  },
  [3034] = {
    [ts_builtin_sym_end] = ACTIONS(1776),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1776),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1776),
    [aux_sym_keyword_replace_token1] = ACTIONS(1776),
    [aux_sym__keyword_alter_token1] = ACTIONS(1776),
    [aux_sym__keyword_delete_token1] = ACTIONS(1776),
    [aux_sym__keyword_begin_token1] = ACTIONS(1776),
    [aux_sym__keyword_end_token1] = ACTIONS(1776),
    [aux_sym__keyword_between_token1] = ACTIONS(1776),
    [aux_sym__keyword_when_token1] = ACTIONS(1776),
    [aux_sym__keyword_else_token1] = ACTIONS(1778),
    [aux_sym__keyword_is_token1] = ACTIONS(1776),
    [aux_sym__keyword_in_token1] = ACTIONS(1778),
    [aux_sym__keyword_and_token1] = ACTIONS(1776),
    [aux_sym__keyword_like_token1] = ACTIONS(1776),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1776),
    [aux_sym__keyword_for_token1] = ACTIONS(1776),
    [anon_sym_SEMI] = ACTIONS(1776),
    [aux_sym_declare_statement_token1] = ACTIONS(1776),
    [anon_sym_COMMA] = ACTIONS(1776),
    [aux_sym_set_statement_token1] = ACTIONS(1776),
    [anon_sym_LPAREN] = ACTIONS(1776),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1776),
    [aux_sym_return_satement_token1] = ACTIONS(1776),
    [aux_sym_call_statement_token1] = ACTIONS(1776),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1776),
    [aux_sym_if_statement_token1] = ACTIONS(1776),
    [aux_sym_loop_statement_token1] = ACTIONS(1776),
    [aux_sym_repeat_statement_token1] = ACTIONS(1776),
    [aux_sym_while_statement_token1] = ACTIONS(1776),
    [aux_sym_break_statement_token1] = ACTIONS(1776),
    [aux_sym_leave_statement_token1] = ACTIONS(1776),
    [aux_sym_continue_statement_token1] = ACTIONS(1776),
    [aux_sym_iterate_statement_token1] = ACTIONS(1776),
    [aux_sym_raise_statement_token1] = ACTIONS(1776),
    [anon_sym_EQ] = ACTIONS(1776),
    [aux_sym_assert_statement_token1] = ACTIONS(1776),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1776),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1776),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1776),
    [anon_sym_LT] = ACTIONS(1778),
    [anon_sym_GT] = ACTIONS(1778),
    [aux_sym_set_operation_token1] = ACTIONS(1776),
    [aux_sym_set_operation_token3] = ACTIONS(1776),
    [aux_sym_set_operation_token4] = ACTIONS(1778),
    [aux_sym_select_token1] = ACTIONS(1776),
    [aux_sym_limit_clause_token1] = ACTIONS(1776),
    [aux_sym__direction_keywords_token1] = ACTIONS(1776),
    [aux_sym__direction_keywords_token2] = ACTIONS(1776),
    [aux_sym__nulls_preference_token1] = ACTIONS(1776),
    [aux_sym_insert_statement_token1] = ACTIONS(1776),
    [aux_sym_truncate_statement_token1] = ACTIONS(1776),
    [aux_sym_update_statement_token1] = ACTIONS(1776),
    [aux_sym_merge_statement_token1] = ACTIONS(1776),
    [aux_sym_grant_statement_token1] = ACTIONS(1776),
    [aux_sym_revoke_statement_token1] = ACTIONS(1776),
    [aux_sym_export_data_statement_token1] = ACTIONS(1776),
    [aux_sym_load_data_statement_token1] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1776),
    [anon_sym_PLUS] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1778),
    [anon_sym_STAR] = ACTIONS(1776),
    [anon_sym_SLASH] = ACTIONS(1778),
    [anon_sym_PIPE_PIPE] = ACTIONS(1776),
    [anon_sym_LT_EQ] = ACTIONS(1776),
    [anon_sym_LT_GT] = ACTIONS(1776),
    [anon_sym_GT_EQ] = ACTIONS(1776),
    [anon_sym_BANG_EQ] = ACTIONS(1776),
    [anon_sym_LT_LT] = ACTIONS(1776),
    [anon_sym_GT_GT] = ACTIONS(1776),
    [anon_sym_AMP] = ACTIONS(1776),
    [anon_sym_CARET] = ACTIONS(1776),
    [anon_sym_PIPE] = ACTIONS(1778),
  },
  [3035] = {
    [ts_builtin_sym_end] = ACTIONS(1776),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1776),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1776),
    [aux_sym_keyword_replace_token1] = ACTIONS(1776),
    [aux_sym__keyword_alter_token1] = ACTIONS(1776),
    [aux_sym__keyword_delete_token1] = ACTIONS(1776),
    [aux_sym__keyword_begin_token1] = ACTIONS(1776),
    [aux_sym__keyword_end_token1] = ACTIONS(1776),
    [aux_sym__keyword_between_token1] = ACTIONS(1776),
    [aux_sym__keyword_when_token1] = ACTIONS(1776),
    [aux_sym__keyword_else_token1] = ACTIONS(1778),
    [aux_sym__keyword_is_token1] = ACTIONS(1776),
    [aux_sym__keyword_in_token1] = ACTIONS(1778),
    [aux_sym__keyword_and_token1] = ACTIONS(1776),
    [aux_sym__keyword_like_token1] = ACTIONS(1776),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1776),
    [aux_sym__keyword_for_token1] = ACTIONS(1776),
    [anon_sym_SEMI] = ACTIONS(1776),
    [aux_sym_declare_statement_token1] = ACTIONS(1776),
    [anon_sym_COMMA] = ACTIONS(1776),
    [aux_sym_set_statement_token1] = ACTIONS(1776),
    [anon_sym_LPAREN] = ACTIONS(1776),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1776),
    [aux_sym_return_satement_token1] = ACTIONS(1776),
    [aux_sym_call_statement_token1] = ACTIONS(1776),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1776),
    [aux_sym_if_statement_token1] = ACTIONS(1776),
    [aux_sym_loop_statement_token1] = ACTIONS(1776),
    [aux_sym_repeat_statement_token1] = ACTIONS(1776),
    [aux_sym_while_statement_token1] = ACTIONS(1776),
    [aux_sym_break_statement_token1] = ACTIONS(1776),
    [aux_sym_leave_statement_token1] = ACTIONS(1776),
    [aux_sym_continue_statement_token1] = ACTIONS(1776),
    [aux_sym_iterate_statement_token1] = ACTIONS(1776),
    [aux_sym_raise_statement_token1] = ACTIONS(1776),
    [anon_sym_EQ] = ACTIONS(1776),
    [aux_sym_assert_statement_token1] = ACTIONS(1776),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1776),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1776),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1776),
    [anon_sym_LT] = ACTIONS(1778),
    [anon_sym_GT] = ACTIONS(1778),
    [aux_sym_set_operation_token1] = ACTIONS(1776),
    [aux_sym_set_operation_token3] = ACTIONS(1776),
    [aux_sym_set_operation_token4] = ACTIONS(1778),
    [aux_sym_select_token1] = ACTIONS(1776),
    [aux_sym_limit_clause_token1] = ACTIONS(1776),
    [aux_sym__direction_keywords_token1] = ACTIONS(1776),
    [aux_sym__direction_keywords_token2] = ACTIONS(1776),
    [aux_sym__nulls_preference_token1] = ACTIONS(1776),
    [aux_sym_insert_statement_token1] = ACTIONS(1776),
    [aux_sym_truncate_statement_token1] = ACTIONS(1776),
    [aux_sym_update_statement_token1] = ACTIONS(1776),
    [aux_sym_merge_statement_token1] = ACTIONS(1776),
    [aux_sym_grant_statement_token1] = ACTIONS(1776),
    [aux_sym_revoke_statement_token1] = ACTIONS(1776),
    [aux_sym_export_data_statement_token1] = ACTIONS(1776),
    [aux_sym_load_data_statement_token1] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1776),
    [anon_sym_PLUS] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1778),
    [anon_sym_STAR] = ACTIONS(1776),
    [anon_sym_SLASH] = ACTIONS(1778),
    [anon_sym_PIPE_PIPE] = ACTIONS(1776),
    [anon_sym_LT_EQ] = ACTIONS(1776),
    [anon_sym_LT_GT] = ACTIONS(1776),
    [anon_sym_GT_EQ] = ACTIONS(1776),
    [anon_sym_BANG_EQ] = ACTIONS(1776),
    [anon_sym_LT_LT] = ACTIONS(1776),
    [anon_sym_GT_GT] = ACTIONS(1776),
    [anon_sym_AMP] = ACTIONS(1776),
    [anon_sym_CARET] = ACTIONS(1776),
    [anon_sym_PIPE] = ACTIONS(1778),
  },
  [3036] = {
    [ts_builtin_sym_end] = ACTIONS(1776),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1776),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1776),
    [aux_sym_keyword_replace_token1] = ACTIONS(1776),
    [aux_sym__keyword_alter_token1] = ACTIONS(1776),
    [aux_sym__keyword_delete_token1] = ACTIONS(1776),
    [aux_sym__keyword_begin_token1] = ACTIONS(1776),
    [aux_sym__keyword_end_token1] = ACTIONS(1776),
    [aux_sym__keyword_between_token1] = ACTIONS(1776),
    [aux_sym__keyword_when_token1] = ACTIONS(1776),
    [aux_sym__keyword_else_token1] = ACTIONS(1778),
    [aux_sym__keyword_is_token1] = ACTIONS(1776),
    [aux_sym__keyword_in_token1] = ACTIONS(1778),
    [aux_sym__keyword_and_token1] = ACTIONS(1776),
    [aux_sym__keyword_like_token1] = ACTIONS(1776),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1776),
    [aux_sym__keyword_for_token1] = ACTIONS(1776),
    [anon_sym_SEMI] = ACTIONS(1776),
    [aux_sym_declare_statement_token1] = ACTIONS(1776),
    [anon_sym_COMMA] = ACTIONS(1776),
    [aux_sym_set_statement_token1] = ACTIONS(1776),
    [anon_sym_LPAREN] = ACTIONS(1776),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1776),
    [aux_sym_return_satement_token1] = ACTIONS(1776),
    [aux_sym_call_statement_token1] = ACTIONS(1776),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1776),
    [aux_sym_if_statement_token1] = ACTIONS(1776),
    [aux_sym_loop_statement_token1] = ACTIONS(1776),
    [aux_sym_repeat_statement_token1] = ACTIONS(1776),
    [aux_sym_while_statement_token1] = ACTIONS(1776),
    [aux_sym_break_statement_token1] = ACTIONS(1776),
    [aux_sym_leave_statement_token1] = ACTIONS(1776),
    [aux_sym_continue_statement_token1] = ACTIONS(1776),
    [aux_sym_iterate_statement_token1] = ACTIONS(1776),
    [aux_sym_raise_statement_token1] = ACTIONS(1776),
    [anon_sym_EQ] = ACTIONS(1776),
    [aux_sym_assert_statement_token1] = ACTIONS(1776),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1776),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1776),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1776),
    [anon_sym_LT] = ACTIONS(1778),
    [anon_sym_GT] = ACTIONS(1778),
    [aux_sym_set_operation_token1] = ACTIONS(1776),
    [aux_sym_set_operation_token3] = ACTIONS(1776),
    [aux_sym_set_operation_token4] = ACTIONS(1778),
    [aux_sym_select_token1] = ACTIONS(1776),
    [aux_sym_limit_clause_token1] = ACTIONS(1776),
    [aux_sym__direction_keywords_token1] = ACTIONS(1776),
    [aux_sym__direction_keywords_token2] = ACTIONS(1776),
    [aux_sym__nulls_preference_token1] = ACTIONS(1776),
    [aux_sym_insert_statement_token1] = ACTIONS(1776),
    [aux_sym_truncate_statement_token1] = ACTIONS(1776),
    [aux_sym_update_statement_token1] = ACTIONS(1776),
    [aux_sym_merge_statement_token1] = ACTIONS(1776),
    [aux_sym_grant_statement_token1] = ACTIONS(1776),
    [aux_sym_revoke_statement_token1] = ACTIONS(1776),
    [aux_sym_export_data_statement_token1] = ACTIONS(1776),
    [aux_sym_load_data_statement_token1] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1776),
    [anon_sym_PLUS] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1778),
    [anon_sym_STAR] = ACTIONS(1776),
    [anon_sym_SLASH] = ACTIONS(1778),
    [anon_sym_PIPE_PIPE] = ACTIONS(1776),
    [anon_sym_LT_EQ] = ACTIONS(1776),
    [anon_sym_LT_GT] = ACTIONS(1776),
    [anon_sym_GT_EQ] = ACTIONS(1776),
    [anon_sym_BANG_EQ] = ACTIONS(1776),
    [anon_sym_LT_LT] = ACTIONS(1776),
    [anon_sym_GT_GT] = ACTIONS(1776),
    [anon_sym_AMP] = ACTIONS(1776),
    [anon_sym_CARET] = ACTIONS(1776),
    [anon_sym_PIPE] = ACTIONS(1778),
  },
  [3037] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1446),
    [aux_sym_keyword_replace_token1] = ACTIONS(1446),
    [aux_sym__keyword_alter_token1] = ACTIONS(1446),
    [aux_sym__keyword_delete_token1] = ACTIONS(1446),
    [aux_sym__keyword_begin_token1] = ACTIONS(1446),
    [aux_sym__keyword_end_token1] = ACTIONS(1446),
    [aux_sym__keyword_between_token1] = ACTIONS(1446),
    [aux_sym__keyword_when_token1] = ACTIONS(1446),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1446),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1446),
    [aux_sym__keyword_like_token1] = ACTIONS(1446),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1446),
    [aux_sym__keyword_for_token1] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1446),
    [aux_sym_return_satement_token1] = ACTIONS(1446),
    [aux_sym_call_statement_token1] = ACTIONS(1446),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_loop_statement_token1] = ACTIONS(1446),
    [aux_sym_repeat_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [aux_sym_leave_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_iterate_statement_token1] = ACTIONS(1446),
    [aux_sym_raise_statement_token1] = ACTIONS(1446),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1446),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1446),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1446),
    [aux_sym_set_operation_token3] = ACTIONS(1446),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1446),
    [aux_sym_limit_clause_token1] = ACTIONS(1446),
    [aux_sym__direction_keywords_token1] = ACTIONS(1446),
    [aux_sym__direction_keywords_token2] = ACTIONS(1446),
    [aux_sym__nulls_preference_token1] = ACTIONS(1446),
    [aux_sym_insert_statement_token1] = ACTIONS(1446),
    [aux_sym_truncate_statement_token1] = ACTIONS(1446),
    [aux_sym_update_statement_token1] = ACTIONS(1446),
    [aux_sym_merge_statement_token1] = ACTIONS(1446),
    [aux_sym_grant_statement_token1] = ACTIONS(1446),
    [aux_sym_revoke_statement_token1] = ACTIONS(1446),
    [aux_sym_export_data_statement_token1] = ACTIONS(1446),
    [aux_sym_load_data_statement_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [3038] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1446),
    [aux_sym_keyword_replace_token1] = ACTIONS(1446),
    [aux_sym__keyword_alter_token1] = ACTIONS(1446),
    [aux_sym__keyword_delete_token1] = ACTIONS(1446),
    [aux_sym__keyword_begin_token1] = ACTIONS(1446),
    [aux_sym__keyword_end_token1] = ACTIONS(1446),
    [aux_sym__keyword_between_token1] = ACTIONS(1446),
    [aux_sym__keyword_when_token1] = ACTIONS(1446),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1446),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1446),
    [aux_sym__keyword_like_token1] = ACTIONS(1446),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1446),
    [aux_sym__keyword_for_token1] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1446),
    [aux_sym_return_satement_token1] = ACTIONS(1446),
    [aux_sym_call_statement_token1] = ACTIONS(1446),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_loop_statement_token1] = ACTIONS(1446),
    [aux_sym_repeat_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [aux_sym_leave_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_iterate_statement_token1] = ACTIONS(1446),
    [aux_sym_raise_statement_token1] = ACTIONS(1446),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1446),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1446),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1446),
    [aux_sym_set_operation_token3] = ACTIONS(1446),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1446),
    [aux_sym_limit_clause_token1] = ACTIONS(1446),
    [aux_sym__direction_keywords_token1] = ACTIONS(1446),
    [aux_sym__direction_keywords_token2] = ACTIONS(1446),
    [aux_sym__nulls_preference_token1] = ACTIONS(1446),
    [aux_sym_insert_statement_token1] = ACTIONS(1446),
    [aux_sym_truncate_statement_token1] = ACTIONS(1446),
    [aux_sym_update_statement_token1] = ACTIONS(1446),
    [aux_sym_merge_statement_token1] = ACTIONS(1446),
    [aux_sym_grant_statement_token1] = ACTIONS(1446),
    [aux_sym_revoke_statement_token1] = ACTIONS(1446),
    [aux_sym_export_data_statement_token1] = ACTIONS(1446),
    [aux_sym_load_data_statement_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [3039] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1446),
    [aux_sym_keyword_replace_token1] = ACTIONS(1446),
    [aux_sym__keyword_alter_token1] = ACTIONS(1446),
    [aux_sym__keyword_delete_token1] = ACTIONS(1446),
    [aux_sym__keyword_begin_token1] = ACTIONS(1446),
    [aux_sym__keyword_end_token1] = ACTIONS(1446),
    [aux_sym__keyword_between_token1] = ACTIONS(1446),
    [aux_sym__keyword_when_token1] = ACTIONS(1446),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1446),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1446),
    [aux_sym__keyword_like_token1] = ACTIONS(1446),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1446),
    [aux_sym__keyword_for_token1] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1446),
    [aux_sym_return_satement_token1] = ACTIONS(1446),
    [aux_sym_call_statement_token1] = ACTIONS(1446),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_loop_statement_token1] = ACTIONS(1446),
    [aux_sym_repeat_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [aux_sym_leave_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_iterate_statement_token1] = ACTIONS(1446),
    [aux_sym_raise_statement_token1] = ACTIONS(1446),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1446),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1446),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1446),
    [aux_sym_set_operation_token3] = ACTIONS(1446),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1446),
    [aux_sym_limit_clause_token1] = ACTIONS(1446),
    [aux_sym__direction_keywords_token1] = ACTIONS(1446),
    [aux_sym__direction_keywords_token2] = ACTIONS(1446),
    [aux_sym__nulls_preference_token1] = ACTIONS(1446),
    [aux_sym_insert_statement_token1] = ACTIONS(1446),
    [aux_sym_truncate_statement_token1] = ACTIONS(1446),
    [aux_sym_update_statement_token1] = ACTIONS(1446),
    [aux_sym_merge_statement_token1] = ACTIONS(1446),
    [aux_sym_grant_statement_token1] = ACTIONS(1446),
    [aux_sym_revoke_statement_token1] = ACTIONS(1446),
    [aux_sym_export_data_statement_token1] = ACTIONS(1446),
    [aux_sym_load_data_statement_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [3040] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1446),
    [aux_sym_keyword_replace_token1] = ACTIONS(1446),
    [aux_sym__keyword_alter_token1] = ACTIONS(1446),
    [aux_sym__keyword_delete_token1] = ACTIONS(1446),
    [aux_sym__keyword_begin_token1] = ACTIONS(1446),
    [aux_sym__keyword_end_token1] = ACTIONS(1446),
    [aux_sym__keyword_between_token1] = ACTIONS(1446),
    [aux_sym__keyword_when_token1] = ACTIONS(1446),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1446),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1446),
    [aux_sym__keyword_like_token1] = ACTIONS(1446),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1446),
    [aux_sym__keyword_for_token1] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1446),
    [aux_sym_return_satement_token1] = ACTIONS(1446),
    [aux_sym_call_statement_token1] = ACTIONS(1446),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_loop_statement_token1] = ACTIONS(1446),
    [aux_sym_repeat_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [aux_sym_leave_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_iterate_statement_token1] = ACTIONS(1446),
    [aux_sym_raise_statement_token1] = ACTIONS(1446),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1446),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1446),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1446),
    [aux_sym_set_operation_token3] = ACTIONS(1446),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1446),
    [aux_sym_limit_clause_token1] = ACTIONS(1446),
    [aux_sym__direction_keywords_token1] = ACTIONS(1446),
    [aux_sym__direction_keywords_token2] = ACTIONS(1446),
    [aux_sym__nulls_preference_token1] = ACTIONS(1446),
    [aux_sym_insert_statement_token1] = ACTIONS(1446),
    [aux_sym_truncate_statement_token1] = ACTIONS(1446),
    [aux_sym_update_statement_token1] = ACTIONS(1446),
    [aux_sym_merge_statement_token1] = ACTIONS(1446),
    [aux_sym_grant_statement_token1] = ACTIONS(1446),
    [aux_sym_revoke_statement_token1] = ACTIONS(1446),
    [aux_sym_export_data_statement_token1] = ACTIONS(1446),
    [aux_sym_load_data_statement_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [3041] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1446),
    [aux_sym_keyword_replace_token1] = ACTIONS(1446),
    [aux_sym__keyword_alter_token1] = ACTIONS(1446),
    [aux_sym__keyword_delete_token1] = ACTIONS(1446),
    [aux_sym__keyword_begin_token1] = ACTIONS(1446),
    [aux_sym__keyword_end_token1] = ACTIONS(1446),
    [aux_sym__keyword_between_token1] = ACTIONS(1446),
    [aux_sym__keyword_when_token1] = ACTIONS(1446),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1446),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1446),
    [aux_sym__keyword_like_token1] = ACTIONS(1446),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1446),
    [aux_sym__keyword_for_token1] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1446),
    [aux_sym_return_satement_token1] = ACTIONS(1446),
    [aux_sym_call_statement_token1] = ACTIONS(1446),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_loop_statement_token1] = ACTIONS(1446),
    [aux_sym_repeat_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [aux_sym_leave_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_iterate_statement_token1] = ACTIONS(1446),
    [aux_sym_raise_statement_token1] = ACTIONS(1446),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1446),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1446),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1446),
    [aux_sym_set_operation_token3] = ACTIONS(1446),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1446),
    [aux_sym_limit_clause_token1] = ACTIONS(1446),
    [aux_sym__direction_keywords_token1] = ACTIONS(1446),
    [aux_sym__direction_keywords_token2] = ACTIONS(1446),
    [aux_sym__nulls_preference_token1] = ACTIONS(1446),
    [aux_sym_insert_statement_token1] = ACTIONS(1446),
    [aux_sym_truncate_statement_token1] = ACTIONS(1446),
    [aux_sym_update_statement_token1] = ACTIONS(1446),
    [aux_sym_merge_statement_token1] = ACTIONS(1446),
    [aux_sym_grant_statement_token1] = ACTIONS(1446),
    [aux_sym_revoke_statement_token1] = ACTIONS(1446),
    [aux_sym_export_data_statement_token1] = ACTIONS(1446),
    [aux_sym_load_data_statement_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [3042] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1446),
    [aux_sym_keyword_replace_token1] = ACTIONS(1446),
    [aux_sym__keyword_alter_token1] = ACTIONS(1446),
    [aux_sym__keyword_delete_token1] = ACTIONS(1446),
    [aux_sym__keyword_begin_token1] = ACTIONS(1446),
    [aux_sym__keyword_end_token1] = ACTIONS(1446),
    [aux_sym__keyword_between_token1] = ACTIONS(1446),
    [aux_sym__keyword_when_token1] = ACTIONS(1446),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1446),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1446),
    [aux_sym__keyword_like_token1] = ACTIONS(1446),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1446),
    [aux_sym__keyword_for_token1] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1446),
    [aux_sym_return_satement_token1] = ACTIONS(1446),
    [aux_sym_call_statement_token1] = ACTIONS(1446),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_loop_statement_token1] = ACTIONS(1446),
    [aux_sym_repeat_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [aux_sym_leave_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_iterate_statement_token1] = ACTIONS(1446),
    [aux_sym_raise_statement_token1] = ACTIONS(1446),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1446),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1446),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1446),
    [aux_sym_set_operation_token3] = ACTIONS(1446),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1446),
    [aux_sym_limit_clause_token1] = ACTIONS(1446),
    [aux_sym__direction_keywords_token1] = ACTIONS(1446),
    [aux_sym__direction_keywords_token2] = ACTIONS(1446),
    [aux_sym__nulls_preference_token1] = ACTIONS(1446),
    [aux_sym_insert_statement_token1] = ACTIONS(1446),
    [aux_sym_truncate_statement_token1] = ACTIONS(1446),
    [aux_sym_update_statement_token1] = ACTIONS(1446),
    [aux_sym_merge_statement_token1] = ACTIONS(1446),
    [aux_sym_grant_statement_token1] = ACTIONS(1446),
    [aux_sym_revoke_statement_token1] = ACTIONS(1446),
    [aux_sym_export_data_statement_token1] = ACTIONS(1446),
    [aux_sym_load_data_statement_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [3043] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3044] = {
    [ts_builtin_sym_end] = ACTIONS(1772),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1772),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1772),
    [aux_sym_keyword_replace_token1] = ACTIONS(1772),
    [aux_sym__keyword_alter_token1] = ACTIONS(1772),
    [aux_sym__keyword_delete_token1] = ACTIONS(1772),
    [aux_sym__keyword_begin_token1] = ACTIONS(1772),
    [aux_sym__keyword_end_token1] = ACTIONS(1772),
    [aux_sym__keyword_between_token1] = ACTIONS(1772),
    [aux_sym__keyword_when_token1] = ACTIONS(1772),
    [aux_sym__keyword_else_token1] = ACTIONS(1774),
    [aux_sym__keyword_is_token1] = ACTIONS(1772),
    [aux_sym__keyword_in_token1] = ACTIONS(1774),
    [aux_sym__keyword_and_token1] = ACTIONS(1772),
    [aux_sym__keyword_like_token1] = ACTIONS(1772),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1772),
    [aux_sym__keyword_for_token1] = ACTIONS(1772),
    [anon_sym_SEMI] = ACTIONS(1772),
    [aux_sym_declare_statement_token1] = ACTIONS(1772),
    [anon_sym_COMMA] = ACTIONS(1772),
    [aux_sym_set_statement_token1] = ACTIONS(1772),
    [anon_sym_LPAREN] = ACTIONS(1772),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1772),
    [aux_sym_return_satement_token1] = ACTIONS(1772),
    [aux_sym_call_statement_token1] = ACTIONS(1772),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1772),
    [aux_sym_if_statement_token1] = ACTIONS(1772),
    [aux_sym_loop_statement_token1] = ACTIONS(1772),
    [aux_sym_repeat_statement_token1] = ACTIONS(1772),
    [aux_sym_while_statement_token1] = ACTIONS(1772),
    [aux_sym_break_statement_token1] = ACTIONS(1772),
    [aux_sym_leave_statement_token1] = ACTIONS(1772),
    [aux_sym_continue_statement_token1] = ACTIONS(1772),
    [aux_sym_iterate_statement_token1] = ACTIONS(1772),
    [aux_sym_raise_statement_token1] = ACTIONS(1772),
    [anon_sym_EQ] = ACTIONS(1772),
    [aux_sym_assert_statement_token1] = ACTIONS(1772),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1772),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1772),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1772),
    [anon_sym_LT] = ACTIONS(1774),
    [anon_sym_GT] = ACTIONS(1774),
    [aux_sym_set_operation_token1] = ACTIONS(1772),
    [aux_sym_set_operation_token3] = ACTIONS(1772),
    [aux_sym_set_operation_token4] = ACTIONS(1774),
    [aux_sym_select_token1] = ACTIONS(1772),
    [aux_sym_limit_clause_token1] = ACTIONS(1772),
    [aux_sym__direction_keywords_token1] = ACTIONS(1772),
    [aux_sym__direction_keywords_token2] = ACTIONS(1772),
    [aux_sym__nulls_preference_token1] = ACTIONS(1772),
    [aux_sym_insert_statement_token1] = ACTIONS(1772),
    [aux_sym_truncate_statement_token1] = ACTIONS(1772),
    [aux_sym_update_statement_token1] = ACTIONS(1772),
    [aux_sym_merge_statement_token1] = ACTIONS(1772),
    [aux_sym_grant_statement_token1] = ACTIONS(1772),
    [aux_sym_revoke_statement_token1] = ACTIONS(1772),
    [aux_sym_export_data_statement_token1] = ACTIONS(1772),
    [aux_sym_load_data_statement_token1] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1772),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1772),
    [anon_sym_PLUS] = ACTIONS(1772),
    [anon_sym_DASH] = ACTIONS(1774),
    [anon_sym_STAR] = ACTIONS(1772),
    [anon_sym_SLASH] = ACTIONS(1774),
    [anon_sym_PIPE_PIPE] = ACTIONS(1772),
    [anon_sym_LT_EQ] = ACTIONS(1772),
    [anon_sym_LT_GT] = ACTIONS(1772),
    [anon_sym_GT_EQ] = ACTIONS(1772),
    [anon_sym_BANG_EQ] = ACTIONS(1772),
    [anon_sym_LT_LT] = ACTIONS(1772),
    [anon_sym_GT_GT] = ACTIONS(1772),
    [anon_sym_AMP] = ACTIONS(1772),
    [anon_sym_CARET] = ACTIONS(1772),
    [anon_sym_PIPE] = ACTIONS(1774),
  },
  [3045] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1442),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1442),
    [aux_sym_set_operation_token3] = ACTIONS(1442),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_limit_clause_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token2] = ACTIONS(1442),
    [aux_sym__nulls_preference_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [3046] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1442),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1442),
    [aux_sym_set_operation_token3] = ACTIONS(1442),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_limit_clause_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token2] = ACTIONS(1442),
    [aux_sym__nulls_preference_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [3047] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1442),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1442),
    [aux_sym_set_operation_token3] = ACTIONS(1442),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_limit_clause_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token2] = ACTIONS(1442),
    [aux_sym__nulls_preference_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [3048] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1442),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1442),
    [aux_sym_set_operation_token3] = ACTIONS(1442),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_limit_clause_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token2] = ACTIONS(1442),
    [aux_sym__nulls_preference_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [3049] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1442),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1442),
    [aux_sym_set_operation_token3] = ACTIONS(1442),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_limit_clause_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token2] = ACTIONS(1442),
    [aux_sym__nulls_preference_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [3050] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1442),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1442),
    [aux_sym_set_operation_token3] = ACTIONS(1442),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_limit_clause_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token2] = ACTIONS(1442),
    [aux_sym__nulls_preference_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [3051] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1442),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1442),
    [aux_sym_set_operation_token3] = ACTIONS(1442),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_limit_clause_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token2] = ACTIONS(1442),
    [aux_sym__nulls_preference_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [3052] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1442),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1442),
    [aux_sym_set_operation_token3] = ACTIONS(1442),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_limit_clause_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token2] = ACTIONS(1442),
    [aux_sym__nulls_preference_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [3053] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1442),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1442),
    [aux_sym_set_operation_token3] = ACTIONS(1442),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_limit_clause_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token2] = ACTIONS(1442),
    [aux_sym__nulls_preference_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [3054] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1442),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1442),
    [aux_sym_set_operation_token3] = ACTIONS(1442),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_limit_clause_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token2] = ACTIONS(1442),
    [aux_sym__nulls_preference_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [3055] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1442),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1442),
    [aux_sym_set_operation_token3] = ACTIONS(1442),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_limit_clause_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token2] = ACTIONS(1442),
    [aux_sym__nulls_preference_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [3056] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1442),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1442),
    [aux_sym_set_operation_token3] = ACTIONS(1442),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_limit_clause_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token2] = ACTIONS(1442),
    [aux_sym__nulls_preference_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [3057] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1442),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1442),
    [aux_sym_set_operation_token3] = ACTIONS(1442),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_limit_clause_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token2] = ACTIONS(1442),
    [aux_sym__nulls_preference_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [3058] = {
    [ts_builtin_sym_end] = ACTIONS(1752),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1752),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1752),
    [aux_sym_keyword_replace_token1] = ACTIONS(1752),
    [aux_sym__keyword_alter_token1] = ACTIONS(1752),
    [aux_sym__keyword_delete_token1] = ACTIONS(1752),
    [aux_sym__keyword_begin_token1] = ACTIONS(1752),
    [aux_sym__keyword_end_token1] = ACTIONS(1752),
    [aux_sym__keyword_between_token1] = ACTIONS(1752),
    [aux_sym__keyword_when_token1] = ACTIONS(1752),
    [aux_sym__keyword_else_token1] = ACTIONS(1754),
    [aux_sym__keyword_is_token1] = ACTIONS(1752),
    [aux_sym__keyword_in_token1] = ACTIONS(1754),
    [aux_sym__keyword_and_token1] = ACTIONS(1752),
    [aux_sym__keyword_like_token1] = ACTIONS(1752),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1752),
    [aux_sym__keyword_for_token1] = ACTIONS(1752),
    [anon_sym_SEMI] = ACTIONS(1752),
    [aux_sym_declare_statement_token1] = ACTIONS(1752),
    [anon_sym_COMMA] = ACTIONS(1752),
    [aux_sym_set_statement_token1] = ACTIONS(1752),
    [anon_sym_LPAREN] = ACTIONS(1752),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1752),
    [aux_sym_return_satement_token1] = ACTIONS(1752),
    [aux_sym_call_statement_token1] = ACTIONS(1752),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1752),
    [aux_sym_if_statement_token1] = ACTIONS(1752),
    [aux_sym_loop_statement_token1] = ACTIONS(1752),
    [aux_sym_repeat_statement_token1] = ACTIONS(1752),
    [aux_sym_while_statement_token1] = ACTIONS(1752),
    [aux_sym_break_statement_token1] = ACTIONS(1752),
    [aux_sym_leave_statement_token1] = ACTIONS(1752),
    [aux_sym_continue_statement_token1] = ACTIONS(1752),
    [aux_sym_iterate_statement_token1] = ACTIONS(1752),
    [aux_sym_raise_statement_token1] = ACTIONS(1752),
    [anon_sym_EQ] = ACTIONS(1752),
    [aux_sym_assert_statement_token1] = ACTIONS(1752),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1752),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1752),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1752),
    [anon_sym_LT] = ACTIONS(1754),
    [anon_sym_GT] = ACTIONS(1754),
    [aux_sym_set_operation_token1] = ACTIONS(1752),
    [aux_sym_set_operation_token3] = ACTIONS(1752),
    [aux_sym_set_operation_token4] = ACTIONS(1754),
    [aux_sym_select_token1] = ACTIONS(1752),
    [aux_sym_limit_clause_token1] = ACTIONS(1752),
    [aux_sym__direction_keywords_token1] = ACTIONS(1752),
    [aux_sym__direction_keywords_token2] = ACTIONS(1752),
    [aux_sym__nulls_preference_token1] = ACTIONS(1752),
    [aux_sym_insert_statement_token1] = ACTIONS(1752),
    [aux_sym_truncate_statement_token1] = ACTIONS(1752),
    [aux_sym_update_statement_token1] = ACTIONS(1752),
    [aux_sym_merge_statement_token1] = ACTIONS(1752),
    [aux_sym_grant_statement_token1] = ACTIONS(1752),
    [aux_sym_revoke_statement_token1] = ACTIONS(1752),
    [aux_sym_export_data_statement_token1] = ACTIONS(1752),
    [aux_sym_load_data_statement_token1] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(1752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_DASH] = ACTIONS(1754),
    [anon_sym_STAR] = ACTIONS(1752),
    [anon_sym_SLASH] = ACTIONS(1754),
    [anon_sym_PIPE_PIPE] = ACTIONS(1752),
    [anon_sym_LT_EQ] = ACTIONS(1752),
    [anon_sym_LT_GT] = ACTIONS(1752),
    [anon_sym_GT_EQ] = ACTIONS(1752),
    [anon_sym_BANG_EQ] = ACTIONS(1752),
    [anon_sym_LT_LT] = ACTIONS(1752),
    [anon_sym_GT_GT] = ACTIONS(1752),
    [anon_sym_AMP] = ACTIONS(1752),
    [anon_sym_CARET] = ACTIONS(1752),
    [anon_sym_PIPE] = ACTIONS(1754),
  },
  [3059] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1462),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1462),
    [aux_sym_set_operation_token3] = ACTIONS(1462),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_limit_clause_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token2] = ACTIONS(1462),
    [aux_sym__nulls_preference_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [3060] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1462),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1462),
    [aux_sym_set_operation_token3] = ACTIONS(1462),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_limit_clause_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token2] = ACTIONS(1462),
    [aux_sym__nulls_preference_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [3061] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1462),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1462),
    [aux_sym_set_operation_token3] = ACTIONS(1462),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_limit_clause_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token2] = ACTIONS(1462),
    [aux_sym__nulls_preference_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [3062] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1462),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1462),
    [aux_sym_set_operation_token3] = ACTIONS(1462),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_limit_clause_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token2] = ACTIONS(1462),
    [aux_sym__nulls_preference_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [3063] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1462),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1462),
    [aux_sym_set_operation_token3] = ACTIONS(1462),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_limit_clause_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token2] = ACTIONS(1462),
    [aux_sym__nulls_preference_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [3064] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1462),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1462),
    [aux_sym_set_operation_token3] = ACTIONS(1462),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_limit_clause_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token2] = ACTIONS(1462),
    [aux_sym__nulls_preference_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [3065] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1462),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1462),
    [aux_sym_set_operation_token3] = ACTIONS(1462),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_limit_clause_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token2] = ACTIONS(1462),
    [aux_sym__nulls_preference_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [3066] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1462),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1462),
    [aux_sym_set_operation_token3] = ACTIONS(1462),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_limit_clause_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token2] = ACTIONS(1462),
    [aux_sym__nulls_preference_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [3067] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1462),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1462),
    [aux_sym_set_operation_token3] = ACTIONS(1462),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_limit_clause_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token2] = ACTIONS(1462),
    [aux_sym__nulls_preference_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [3068] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1462),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1462),
    [aux_sym_set_operation_token3] = ACTIONS(1462),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_limit_clause_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token2] = ACTIONS(1462),
    [aux_sym__nulls_preference_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [3069] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1462),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1462),
    [aux_sym_set_operation_token3] = ACTIONS(1462),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_limit_clause_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token1] = ACTIONS(1462),
    [aux_sym__direction_keywords_token2] = ACTIONS(1462),
    [aux_sym__nulls_preference_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [3070] = {
    [ts_builtin_sym_end] = ACTIONS(1374),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1374),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1374),
    [aux_sym_keyword_replace_token1] = ACTIONS(1374),
    [aux_sym__keyword_alter_token1] = ACTIONS(1374),
    [aux_sym__keyword_delete_token1] = ACTIONS(1374),
    [aux_sym__keyword_begin_token1] = ACTIONS(1374),
    [aux_sym__keyword_end_token1] = ACTIONS(1374),
    [aux_sym__keyword_between_token1] = ACTIONS(1374),
    [aux_sym__keyword_when_token1] = ACTIONS(1374),
    [aux_sym__keyword_else_token1] = ACTIONS(1376),
    [aux_sym__keyword_is_token1] = ACTIONS(1374),
    [aux_sym__keyword_in_token1] = ACTIONS(1376),
    [aux_sym__keyword_and_token1] = ACTIONS(1374),
    [aux_sym__keyword_like_token1] = ACTIONS(1374),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1374),
    [aux_sym__keyword_for_token1] = ACTIONS(1374),
    [anon_sym_SEMI] = ACTIONS(1374),
    [aux_sym_declare_statement_token1] = ACTIONS(1374),
    [anon_sym_COMMA] = ACTIONS(1374),
    [aux_sym_set_statement_token1] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1374),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1374),
    [aux_sym_return_satement_token1] = ACTIONS(1374),
    [aux_sym_call_statement_token1] = ACTIONS(1374),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1374),
    [aux_sym_if_statement_token1] = ACTIONS(1374),
    [aux_sym_loop_statement_token1] = ACTIONS(1374),
    [aux_sym_repeat_statement_token1] = ACTIONS(1374),
    [aux_sym_while_statement_token1] = ACTIONS(1374),
    [aux_sym_break_statement_token1] = ACTIONS(1374),
    [aux_sym_leave_statement_token1] = ACTIONS(1374),
    [aux_sym_continue_statement_token1] = ACTIONS(1374),
    [aux_sym_iterate_statement_token1] = ACTIONS(1374),
    [aux_sym_raise_statement_token1] = ACTIONS(1374),
    [anon_sym_EQ] = ACTIONS(1374),
    [aux_sym_assert_statement_token1] = ACTIONS(1374),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1374),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1374),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1374),
    [anon_sym_LT] = ACTIONS(1376),
    [anon_sym_GT] = ACTIONS(1376),
    [aux_sym_set_operation_token1] = ACTIONS(1374),
    [aux_sym_set_operation_token3] = ACTIONS(1374),
    [aux_sym_set_operation_token4] = ACTIONS(1376),
    [aux_sym_select_token1] = ACTIONS(1374),
    [aux_sym_limit_clause_token1] = ACTIONS(1374),
    [aux_sym__direction_keywords_token1] = ACTIONS(1374),
    [aux_sym__direction_keywords_token2] = ACTIONS(1374),
    [aux_sym__nulls_preference_token1] = ACTIONS(1374),
    [aux_sym_insert_statement_token1] = ACTIONS(1374),
    [aux_sym_truncate_statement_token1] = ACTIONS(1374),
    [aux_sym_update_statement_token1] = ACTIONS(1374),
    [aux_sym_merge_statement_token1] = ACTIONS(1374),
    [aux_sym_grant_statement_token1] = ACTIONS(1374),
    [aux_sym_revoke_statement_token1] = ACTIONS(1374),
    [aux_sym_export_data_statement_token1] = ACTIONS(1374),
    [aux_sym_load_data_statement_token1] = ACTIONS(1374),
    [anon_sym_LBRACK] = ACTIONS(1374),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_SLASH] = ACTIONS(1376),
    [anon_sym_PIPE_PIPE] = ACTIONS(1374),
    [anon_sym_LT_EQ] = ACTIONS(1374),
    [anon_sym_LT_GT] = ACTIONS(1374),
    [anon_sym_GT_EQ] = ACTIONS(1374),
    [anon_sym_BANG_EQ] = ACTIONS(1374),
    [anon_sym_LT_LT] = ACTIONS(1374),
    [anon_sym_GT_GT] = ACTIONS(1374),
    [anon_sym_AMP] = ACTIONS(1374),
    [anon_sym_CARET] = ACTIONS(1374),
    [anon_sym_PIPE] = ACTIONS(1376),
  },
  [3071] = {
    [ts_builtin_sym_end] = ACTIONS(1684),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1684),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1684),
    [aux_sym_keyword_replace_token1] = ACTIONS(1684),
    [aux_sym__keyword_alter_token1] = ACTIONS(1684),
    [aux_sym__keyword_delete_token1] = ACTIONS(1684),
    [aux_sym__keyword_begin_token1] = ACTIONS(1684),
    [aux_sym__keyword_end_token1] = ACTIONS(1684),
    [aux_sym__keyword_between_token1] = ACTIONS(1684),
    [aux_sym__keyword_when_token1] = ACTIONS(1684),
    [aux_sym__keyword_else_token1] = ACTIONS(1686),
    [aux_sym__keyword_is_token1] = ACTIONS(1684),
    [aux_sym__keyword_in_token1] = ACTIONS(1686),
    [aux_sym__keyword_and_token1] = ACTIONS(1684),
    [aux_sym__keyword_like_token1] = ACTIONS(1684),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1684),
    [aux_sym__keyword_for_token1] = ACTIONS(1684),
    [anon_sym_SEMI] = ACTIONS(1684),
    [aux_sym_declare_statement_token1] = ACTIONS(1684),
    [anon_sym_COMMA] = ACTIONS(1684),
    [aux_sym_set_statement_token1] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1684),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1684),
    [aux_sym_return_satement_token1] = ACTIONS(1684),
    [aux_sym_call_statement_token1] = ACTIONS(1684),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1684),
    [aux_sym_if_statement_token1] = ACTIONS(1684),
    [aux_sym_loop_statement_token1] = ACTIONS(1684),
    [aux_sym_repeat_statement_token1] = ACTIONS(1684),
    [aux_sym_while_statement_token1] = ACTIONS(1684),
    [aux_sym_break_statement_token1] = ACTIONS(1684),
    [aux_sym_leave_statement_token1] = ACTIONS(1684),
    [aux_sym_continue_statement_token1] = ACTIONS(1684),
    [aux_sym_iterate_statement_token1] = ACTIONS(1684),
    [aux_sym_raise_statement_token1] = ACTIONS(1684),
    [anon_sym_EQ] = ACTIONS(1684),
    [aux_sym_assert_statement_token1] = ACTIONS(1684),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1684),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1684),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1684),
    [anon_sym_LT] = ACTIONS(1686),
    [anon_sym_GT] = ACTIONS(1686),
    [aux_sym_set_operation_token1] = ACTIONS(1684),
    [aux_sym_set_operation_token3] = ACTIONS(1684),
    [aux_sym_set_operation_token4] = ACTIONS(1686),
    [aux_sym_select_token1] = ACTIONS(1684),
    [aux_sym_limit_clause_token1] = ACTIONS(1684),
    [aux_sym__direction_keywords_token1] = ACTIONS(1684),
    [aux_sym__direction_keywords_token2] = ACTIONS(1684),
    [aux_sym__nulls_preference_token1] = ACTIONS(1684),
    [aux_sym_insert_statement_token1] = ACTIONS(1684),
    [aux_sym_truncate_statement_token1] = ACTIONS(1684),
    [aux_sym_update_statement_token1] = ACTIONS(1684),
    [aux_sym_merge_statement_token1] = ACTIONS(1684),
    [aux_sym_grant_statement_token1] = ACTIONS(1684),
    [aux_sym_revoke_statement_token1] = ACTIONS(1684),
    [aux_sym_export_data_statement_token1] = ACTIONS(1684),
    [aux_sym_load_data_statement_token1] = ACTIONS(1684),
    [anon_sym_LBRACK] = ACTIONS(1684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1684),
    [anon_sym_PLUS] = ACTIONS(1684),
    [anon_sym_DASH] = ACTIONS(1686),
    [anon_sym_STAR] = ACTIONS(1684),
    [anon_sym_SLASH] = ACTIONS(1686),
    [anon_sym_PIPE_PIPE] = ACTIONS(1684),
    [anon_sym_LT_EQ] = ACTIONS(1684),
    [anon_sym_LT_GT] = ACTIONS(1684),
    [anon_sym_GT_EQ] = ACTIONS(1684),
    [anon_sym_BANG_EQ] = ACTIONS(1684),
    [anon_sym_LT_LT] = ACTIONS(1684),
    [anon_sym_GT_GT] = ACTIONS(1684),
    [anon_sym_AMP] = ACTIONS(1684),
    [anon_sym_CARET] = ACTIONS(1684),
    [anon_sym_PIPE] = ACTIONS(1686),
  },
  [3072] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3073] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3074] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3075] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3076] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3077] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3078] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3079] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3080] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1442),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1442),
    [aux_sym_set_operation_token3] = ACTIONS(1442),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_limit_clause_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token1] = ACTIONS(1442),
    [aux_sym__direction_keywords_token2] = ACTIONS(1442),
    [aux_sym__nulls_preference_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [3081] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3082] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3083] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3084] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3085] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3086] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3087] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3088] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3089] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3090] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3091] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3092] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3093] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3094] = {
    [ts_builtin_sym_end] = ACTIONS(1484),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1484),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1484),
    [aux_sym_keyword_replace_token1] = ACTIONS(1484),
    [aux_sym__keyword_alter_token1] = ACTIONS(1484),
    [aux_sym__keyword_delete_token1] = ACTIONS(1484),
    [aux_sym__keyword_begin_token1] = ACTIONS(1484),
    [aux_sym__keyword_end_token1] = ACTIONS(1484),
    [aux_sym__keyword_between_token1] = ACTIONS(1484),
    [aux_sym__keyword_when_token1] = ACTIONS(1484),
    [aux_sym__keyword_else_token1] = ACTIONS(1486),
    [aux_sym__keyword_is_token1] = ACTIONS(1484),
    [aux_sym__keyword_in_token1] = ACTIONS(1486),
    [aux_sym__keyword_and_token1] = ACTIONS(1484),
    [aux_sym__keyword_like_token1] = ACTIONS(1484),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1484),
    [aux_sym__keyword_for_token1] = ACTIONS(1484),
    [anon_sym_SEMI] = ACTIONS(1484),
    [aux_sym_declare_statement_token1] = ACTIONS(1484),
    [anon_sym_COMMA] = ACTIONS(1484),
    [aux_sym_set_statement_token1] = ACTIONS(1484),
    [anon_sym_LPAREN] = ACTIONS(1484),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1484),
    [aux_sym_return_satement_token1] = ACTIONS(1484),
    [aux_sym_call_statement_token1] = ACTIONS(1484),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1484),
    [aux_sym_if_statement_token1] = ACTIONS(1484),
    [aux_sym_loop_statement_token1] = ACTIONS(1484),
    [aux_sym_repeat_statement_token1] = ACTIONS(1484),
    [aux_sym_while_statement_token1] = ACTIONS(1484),
    [aux_sym_break_statement_token1] = ACTIONS(1484),
    [aux_sym_leave_statement_token1] = ACTIONS(1484),
    [aux_sym_continue_statement_token1] = ACTIONS(1484),
    [aux_sym_iterate_statement_token1] = ACTIONS(1484),
    [aux_sym_raise_statement_token1] = ACTIONS(1484),
    [anon_sym_EQ] = ACTIONS(1484),
    [aux_sym_assert_statement_token1] = ACTIONS(1484),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1484),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1484),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1484),
    [anon_sym_LT] = ACTIONS(1486),
    [anon_sym_GT] = ACTIONS(1486),
    [aux_sym_set_operation_token1] = ACTIONS(1484),
    [aux_sym_set_operation_token3] = ACTIONS(1484),
    [aux_sym_set_operation_token4] = ACTIONS(1486),
    [aux_sym_select_token1] = ACTIONS(1484),
    [aux_sym_limit_clause_token1] = ACTIONS(1484),
    [aux_sym__direction_keywords_token1] = ACTIONS(1484),
    [aux_sym__direction_keywords_token2] = ACTIONS(1484),
    [aux_sym__nulls_preference_token1] = ACTIONS(1484),
    [aux_sym_insert_statement_token1] = ACTIONS(1484),
    [aux_sym_truncate_statement_token1] = ACTIONS(1484),
    [aux_sym_update_statement_token1] = ACTIONS(1484),
    [aux_sym_merge_statement_token1] = ACTIONS(1484),
    [aux_sym_grant_statement_token1] = ACTIONS(1484),
    [aux_sym_revoke_statement_token1] = ACTIONS(1484),
    [aux_sym_export_data_statement_token1] = ACTIONS(1484),
    [aux_sym_load_data_statement_token1] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_SLASH] = ACTIONS(1486),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [anon_sym_LT_EQ] = ACTIONS(1484),
    [anon_sym_LT_GT] = ACTIONS(1484),
    [anon_sym_GT_EQ] = ACTIONS(1484),
    [anon_sym_BANG_EQ] = ACTIONS(1484),
    [anon_sym_LT_LT] = ACTIONS(1484),
    [anon_sym_GT_GT] = ACTIONS(1484),
    [anon_sym_AMP] = ACTIONS(1484),
    [anon_sym_CARET] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1486),
  },
  [3095] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token2] = ACTIONS(1378),
    [aux_sym__nulls_preference_token1] = ACTIONS(1378),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [3096] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token2] = ACTIONS(1378),
    [aux_sym__nulls_preference_token1] = ACTIONS(1378),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [3097] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token2] = ACTIONS(1378),
    [aux_sym__nulls_preference_token1] = ACTIONS(1378),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [3098] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token2] = ACTIONS(1378),
    [aux_sym__nulls_preference_token1] = ACTIONS(1378),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [3099] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token2] = ACTIONS(1378),
    [aux_sym__nulls_preference_token1] = ACTIONS(1378),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [3100] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token2] = ACTIONS(1378),
    [aux_sym__nulls_preference_token1] = ACTIONS(1378),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [3101] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token2] = ACTIONS(1378),
    [aux_sym__nulls_preference_token1] = ACTIONS(1378),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [3102] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token2] = ACTIONS(1378),
    [aux_sym__nulls_preference_token1] = ACTIONS(1378),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [3103] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token2] = ACTIONS(1378),
    [aux_sym__nulls_preference_token1] = ACTIONS(1378),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [3104] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1378),
    [aux_sym_set_operation_token3] = ACTIONS(1378),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_limit_clause_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token1] = ACTIONS(1378),
    [aux_sym__direction_keywords_token2] = ACTIONS(1378),
    [aux_sym__nulls_preference_token1] = ACTIONS(1378),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [3105] = {
    [ts_builtin_sym_end] = ACTIONS(1390),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1390),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1390),
    [aux_sym_keyword_replace_token1] = ACTIONS(1390),
    [aux_sym__keyword_alter_token1] = ACTIONS(1390),
    [aux_sym__keyword_delete_token1] = ACTIONS(1390),
    [aux_sym__keyword_begin_token1] = ACTIONS(1390),
    [aux_sym__keyword_end_token1] = ACTIONS(1390),
    [aux_sym__keyword_between_token1] = ACTIONS(1390),
    [aux_sym__keyword_when_token1] = ACTIONS(1390),
    [aux_sym__keyword_else_token1] = ACTIONS(1392),
    [aux_sym__keyword_is_token1] = ACTIONS(1390),
    [aux_sym__keyword_in_token1] = ACTIONS(1392),
    [aux_sym__keyword_and_token1] = ACTIONS(1390),
    [aux_sym__keyword_like_token1] = ACTIONS(1390),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1390),
    [aux_sym__keyword_for_token1] = ACTIONS(1390),
    [anon_sym_SEMI] = ACTIONS(1390),
    [aux_sym_declare_statement_token1] = ACTIONS(1390),
    [anon_sym_COMMA] = ACTIONS(1390),
    [aux_sym_set_statement_token1] = ACTIONS(1390),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1390),
    [aux_sym_return_satement_token1] = ACTIONS(1390),
    [aux_sym_call_statement_token1] = ACTIONS(1390),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1390),
    [aux_sym_if_statement_token1] = ACTIONS(1390),
    [aux_sym_loop_statement_token1] = ACTIONS(1390),
    [aux_sym_repeat_statement_token1] = ACTIONS(1390),
    [aux_sym_while_statement_token1] = ACTIONS(1390),
    [aux_sym_break_statement_token1] = ACTIONS(1390),
    [aux_sym_leave_statement_token1] = ACTIONS(1390),
    [aux_sym_continue_statement_token1] = ACTIONS(1390),
    [aux_sym_iterate_statement_token1] = ACTIONS(1390),
    [aux_sym_raise_statement_token1] = ACTIONS(1390),
    [anon_sym_EQ] = ACTIONS(1390),
    [aux_sym_assert_statement_token1] = ACTIONS(1390),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1390),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1390),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1390),
    [anon_sym_LT] = ACTIONS(1392),
    [anon_sym_GT] = ACTIONS(1392),
    [aux_sym_set_operation_token1] = ACTIONS(1390),
    [aux_sym_set_operation_token3] = ACTIONS(1390),
    [aux_sym_set_operation_token4] = ACTIONS(1392),
    [aux_sym_select_token1] = ACTIONS(1390),
    [aux_sym_limit_clause_token1] = ACTIONS(1390),
    [aux_sym__direction_keywords_token1] = ACTIONS(1390),
    [aux_sym__direction_keywords_token2] = ACTIONS(1390),
    [aux_sym__nulls_preference_token1] = ACTIONS(1390),
    [aux_sym_insert_statement_token1] = ACTIONS(1390),
    [aux_sym_truncate_statement_token1] = ACTIONS(1390),
    [aux_sym_update_statement_token1] = ACTIONS(1390),
    [aux_sym_merge_statement_token1] = ACTIONS(1390),
    [aux_sym_grant_statement_token1] = ACTIONS(1390),
    [aux_sym_revoke_statement_token1] = ACTIONS(1390),
    [aux_sym_export_data_statement_token1] = ACTIONS(1390),
    [aux_sym_load_data_statement_token1] = ACTIONS(1390),
    [anon_sym_LBRACK] = ACTIONS(1390),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_DASH] = ACTIONS(1392),
    [anon_sym_STAR] = ACTIONS(1390),
    [anon_sym_SLASH] = ACTIONS(1392),
    [anon_sym_PIPE_PIPE] = ACTIONS(1390),
    [anon_sym_LT_EQ] = ACTIONS(1390),
    [anon_sym_LT_GT] = ACTIONS(1390),
    [anon_sym_GT_EQ] = ACTIONS(1390),
    [anon_sym_BANG_EQ] = ACTIONS(1390),
    [anon_sym_LT_LT] = ACTIONS(1390),
    [anon_sym_GT_GT] = ACTIONS(1390),
    [anon_sym_AMP] = ACTIONS(1390),
    [anon_sym_CARET] = ACTIONS(1390),
    [anon_sym_PIPE] = ACTIONS(1392),
  },
  [3106] = {
    [ts_builtin_sym_end] = ACTIONS(1382),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1382),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1382),
    [aux_sym_keyword_replace_token1] = ACTIONS(1382),
    [aux_sym__keyword_alter_token1] = ACTIONS(1382),
    [aux_sym__keyword_delete_token1] = ACTIONS(1382),
    [aux_sym__keyword_begin_token1] = ACTIONS(1382),
    [aux_sym__keyword_end_token1] = ACTIONS(1382),
    [aux_sym__keyword_between_token1] = ACTIONS(1382),
    [aux_sym__keyword_when_token1] = ACTIONS(1382),
    [aux_sym__keyword_else_token1] = ACTIONS(1384),
    [aux_sym__keyword_is_token1] = ACTIONS(1382),
    [aux_sym__keyword_in_token1] = ACTIONS(1384),
    [aux_sym__keyword_and_token1] = ACTIONS(1382),
    [aux_sym__keyword_like_token1] = ACTIONS(1382),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1382),
    [aux_sym__keyword_for_token1] = ACTIONS(1382),
    [anon_sym_SEMI] = ACTIONS(1382),
    [aux_sym_declare_statement_token1] = ACTIONS(1382),
    [anon_sym_COMMA] = ACTIONS(1382),
    [aux_sym_set_statement_token1] = ACTIONS(1382),
    [anon_sym_LPAREN] = ACTIONS(1382),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1382),
    [aux_sym_return_satement_token1] = ACTIONS(1382),
    [aux_sym_call_statement_token1] = ACTIONS(1382),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1382),
    [aux_sym_if_statement_token1] = ACTIONS(1382),
    [aux_sym_loop_statement_token1] = ACTIONS(1382),
    [aux_sym_repeat_statement_token1] = ACTIONS(1382),
    [aux_sym_while_statement_token1] = ACTIONS(1382),
    [aux_sym_break_statement_token1] = ACTIONS(1382),
    [aux_sym_leave_statement_token1] = ACTIONS(1382),
    [aux_sym_continue_statement_token1] = ACTIONS(1382),
    [aux_sym_iterate_statement_token1] = ACTIONS(1382),
    [aux_sym_raise_statement_token1] = ACTIONS(1382),
    [anon_sym_EQ] = ACTIONS(1382),
    [aux_sym_assert_statement_token1] = ACTIONS(1382),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1382),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1382),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1382),
    [anon_sym_LT] = ACTIONS(1384),
    [anon_sym_GT] = ACTIONS(1384),
    [aux_sym_set_operation_token1] = ACTIONS(1382),
    [aux_sym_set_operation_token3] = ACTIONS(1382),
    [aux_sym_set_operation_token4] = ACTIONS(1384),
    [aux_sym_select_token1] = ACTIONS(1382),
    [aux_sym_limit_clause_token1] = ACTIONS(1382),
    [aux_sym__direction_keywords_token1] = ACTIONS(1382),
    [aux_sym__direction_keywords_token2] = ACTIONS(1382),
    [aux_sym__nulls_preference_token1] = ACTIONS(1382),
    [aux_sym_insert_statement_token1] = ACTIONS(1382),
    [aux_sym_truncate_statement_token1] = ACTIONS(1382),
    [aux_sym_update_statement_token1] = ACTIONS(1382),
    [aux_sym_merge_statement_token1] = ACTIONS(1382),
    [aux_sym_grant_statement_token1] = ACTIONS(1382),
    [aux_sym_revoke_statement_token1] = ACTIONS(1382),
    [aux_sym_export_data_statement_token1] = ACTIONS(1382),
    [aux_sym_load_data_statement_token1] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(1382),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1382),
    [anon_sym_PLUS] = ACTIONS(1382),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_STAR] = ACTIONS(1382),
    [anon_sym_SLASH] = ACTIONS(1384),
    [anon_sym_PIPE_PIPE] = ACTIONS(1382),
    [anon_sym_LT_EQ] = ACTIONS(1382),
    [anon_sym_LT_GT] = ACTIONS(1382),
    [anon_sym_GT_EQ] = ACTIONS(1382),
    [anon_sym_BANG_EQ] = ACTIONS(1382),
    [anon_sym_LT_LT] = ACTIONS(1382),
    [anon_sym_GT_GT] = ACTIONS(1382),
    [anon_sym_AMP] = ACTIONS(1382),
    [anon_sym_CARET] = ACTIONS(1382),
    [anon_sym_PIPE] = ACTIONS(1384),
  },
  [3107] = {
    [ts_builtin_sym_end] = ACTIONS(1598),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1598),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1598),
    [aux_sym_keyword_replace_token1] = ACTIONS(1598),
    [aux_sym__keyword_alter_token1] = ACTIONS(1598),
    [aux_sym__keyword_delete_token1] = ACTIONS(1598),
    [aux_sym__keyword_begin_token1] = ACTIONS(1598),
    [aux_sym__keyword_end_token1] = ACTIONS(1598),
    [aux_sym__keyword_between_token1] = ACTIONS(1598),
    [aux_sym__keyword_when_token1] = ACTIONS(1598),
    [aux_sym__keyword_else_token1] = ACTIONS(1600),
    [aux_sym__keyword_is_token1] = ACTIONS(1598),
    [aux_sym__keyword_in_token1] = ACTIONS(1600),
    [aux_sym__keyword_and_token1] = ACTIONS(1598),
    [aux_sym__keyword_like_token1] = ACTIONS(1598),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1598),
    [aux_sym__keyword_for_token1] = ACTIONS(1598),
    [anon_sym_SEMI] = ACTIONS(1598),
    [aux_sym_declare_statement_token1] = ACTIONS(1598),
    [anon_sym_COMMA] = ACTIONS(1598),
    [aux_sym_set_statement_token1] = ACTIONS(1598),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1598),
    [aux_sym_return_satement_token1] = ACTIONS(1598),
    [aux_sym_call_statement_token1] = ACTIONS(1598),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1598),
    [aux_sym_if_statement_token1] = ACTIONS(1598),
    [aux_sym_loop_statement_token1] = ACTIONS(1598),
    [aux_sym_repeat_statement_token1] = ACTIONS(1598),
    [aux_sym_while_statement_token1] = ACTIONS(1598),
    [aux_sym_break_statement_token1] = ACTIONS(1598),
    [aux_sym_leave_statement_token1] = ACTIONS(1598),
    [aux_sym_continue_statement_token1] = ACTIONS(1598),
    [aux_sym_iterate_statement_token1] = ACTIONS(1598),
    [aux_sym_raise_statement_token1] = ACTIONS(1598),
    [anon_sym_EQ] = ACTIONS(1598),
    [aux_sym_assert_statement_token1] = ACTIONS(1598),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1598),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1598),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1598),
    [anon_sym_LT] = ACTIONS(1600),
    [anon_sym_GT] = ACTIONS(1600),
    [aux_sym_set_operation_token1] = ACTIONS(1598),
    [aux_sym_set_operation_token3] = ACTIONS(1598),
    [aux_sym_set_operation_token4] = ACTIONS(1600),
    [aux_sym_select_token1] = ACTIONS(1598),
    [aux_sym_limit_clause_token1] = ACTIONS(1598),
    [aux_sym__direction_keywords_token1] = ACTIONS(1598),
    [aux_sym__direction_keywords_token2] = ACTIONS(1598),
    [aux_sym__nulls_preference_token1] = ACTIONS(1598),
    [aux_sym_insert_statement_token1] = ACTIONS(1598),
    [aux_sym_truncate_statement_token1] = ACTIONS(1598),
    [aux_sym_update_statement_token1] = ACTIONS(1598),
    [aux_sym_merge_statement_token1] = ACTIONS(1598),
    [aux_sym_grant_statement_token1] = ACTIONS(1598),
    [aux_sym_revoke_statement_token1] = ACTIONS(1598),
    [aux_sym_export_data_statement_token1] = ACTIONS(1598),
    [aux_sym_load_data_statement_token1] = ACTIONS(1598),
    [anon_sym_LBRACK] = ACTIONS(1598),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1598),
    [anon_sym_PLUS] = ACTIONS(1598),
    [anon_sym_DASH] = ACTIONS(1600),
    [anon_sym_STAR] = ACTIONS(1598),
    [anon_sym_SLASH] = ACTIONS(1600),
    [anon_sym_PIPE_PIPE] = ACTIONS(1598),
    [anon_sym_LT_EQ] = ACTIONS(1598),
    [anon_sym_LT_GT] = ACTIONS(1598),
    [anon_sym_GT_EQ] = ACTIONS(1598),
    [anon_sym_BANG_EQ] = ACTIONS(1598),
    [anon_sym_LT_LT] = ACTIONS(1598),
    [anon_sym_GT_GT] = ACTIONS(1598),
    [anon_sym_AMP] = ACTIONS(1598),
    [anon_sym_CARET] = ACTIONS(1598),
    [anon_sym_PIPE] = ACTIONS(1600),
  },
  [3108] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3109] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3110] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3111] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3112] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3113] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3114] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3115] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3116] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3117] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3118] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3119] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3120] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3121] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3122] = {
    [sym_string] = STATE(3570),
    [sym__unquoted_identifier] = ACTIONS(1510),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1510),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1510),
    [aux_sym_keyword_replace_token1] = ACTIONS(1510),
    [aux_sym__keyword_alter_token1] = ACTIONS(1510),
    [aux_sym__keyword_delete_token1] = ACTIONS(1510),
    [aux_sym__keyword_begin_token1] = ACTIONS(1510),
    [aux_sym__keyword_end_token1] = ACTIONS(1510),
    [aux_sym__keyword_between_token1] = ACTIONS(1510),
    [aux_sym__keyword_else_token1] = ACTIONS(1510),
    [aux_sym__keyword_is_token1] = ACTIONS(1510),
    [aux_sym__keyword_in_token1] = ACTIONS(1510),
    [aux_sym__keyword_and_token1] = ACTIONS(1510),
    [aux_sym__keyword_like_token1] = ACTIONS(1510),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1510),
    [aux_sym__keyword_as_token1] = ACTIONS(1510),
    [aux_sym__keyword_date_token1] = ACTIONS(1510),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1510),
    [aux_sym__keyword_time_token1] = ACTIONS(1510),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1510),
    [aux_sym__keyword_for_token1] = ACTIONS(1510),
    [anon_sym_SEMI] = ACTIONS(1508),
    [aux_sym_declare_statement_token1] = ACTIONS(1510),
    [anon_sym_COMMA] = ACTIONS(1508),
    [aux_sym_set_statement_token1] = ACTIONS(1510),
    [anon_sym_LPAREN] = ACTIONS(1508),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1510),
    [aux_sym_return_satement_token1] = ACTIONS(1510),
    [aux_sym_call_statement_token1] = ACTIONS(1510),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1510),
    [aux_sym_if_statement_token1] = ACTIONS(1510),
    [aux_sym_loop_statement_token1] = ACTIONS(1510),
    [aux_sym_repeat_statement_token1] = ACTIONS(1510),
    [aux_sym_while_statement_token1] = ACTIONS(1510),
    [aux_sym_break_statement_token1] = ACTIONS(1510),
    [aux_sym_leave_statement_token1] = ACTIONS(1510),
    [aux_sym_continue_statement_token1] = ACTIONS(1510),
    [aux_sym_iterate_statement_token1] = ACTIONS(1510),
    [aux_sym_raise_statement_token1] = ACTIONS(1510),
    [anon_sym_EQ] = ACTIONS(1508),
    [aux_sym_assert_statement_token1] = ACTIONS(1510),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1510),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1510),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1510),
    [anon_sym_LT] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1510),
    [aux_sym_select_token1] = ACTIONS(1510),
    [aux_sym_insert_statement_token1] = ACTIONS(1510),
    [aux_sym_truncate_statement_token1] = ACTIONS(1510),
    [aux_sym_update_statement_token1] = ACTIONS(1510),
    [aux_sym_merge_statement_token1] = ACTIONS(1510),
    [aux_sym_grant_statement_token1] = ACTIONS(1510),
    [aux_sym_revoke_statement_token1] = ACTIONS(1510),
    [aux_sym_export_data_statement_token1] = ACTIONS(1510),
    [aux_sym_load_data_statement_token1] = ACTIONS(1510),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [sym__quoted_identifier] = ACTIONS(1508),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1508),
    [anon_sym_PLUS] = ACTIONS(1508),
    [anon_sym_DASH] = ACTIONS(1510),
    [anon_sym_STAR] = ACTIONS(1508),
    [anon_sym_SLASH] = ACTIONS(1510),
    [anon_sym_PIPE_PIPE] = ACTIONS(1508),
    [anon_sym_LT_EQ] = ACTIONS(1508),
    [anon_sym_LT_GT] = ACTIONS(1508),
    [anon_sym_GT_EQ] = ACTIONS(1508),
    [anon_sym_BANG_EQ] = ACTIONS(1508),
    [anon_sym_LT_LT] = ACTIONS(1508),
    [anon_sym_GT_GT] = ACTIONS(1508),
    [anon_sym_AMP] = ACTIONS(1508),
    [anon_sym_CARET] = ACTIONS(1508),
    [anon_sym_PIPE] = ACTIONS(1510),
    [sym__string_start] = ACTIONS(1978),
  },
  [3123] = {
    [sym__keyword_between] = STATE(1478),
    [sym__keyword_is] = STATE(12106),
    [sym__keyword_in] = STATE(1682),
    [sym__keyword_not] = STATE(13114),
    [sym__keyword_and] = STATE(862),
    [sym__keyword_or] = STATE(863),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3194),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(2744),
    [aux_sym__keyword_alter_token1] = ACTIONS(3194),
    [aux_sym__keyword_delete_token1] = ACTIONS(3194),
    [aux_sym__keyword_begin_token1] = ACTIONS(3194),
    [aux_sym__keyword_end_token1] = ACTIONS(3194),
    [aux_sym__keyword_between_token1] = ACTIONS(3136),
    [aux_sym__keyword_else_token1] = ACTIONS(3196),
    [aux_sym__keyword_is_token1] = ACTIONS(3140),
    [aux_sym__keyword_in_token1] = ACTIONS(3142),
    [aux_sym__keyword_and_token1] = ACTIONS(3144),
    [aux_sym__keyword_like_token1] = ACTIONS(1007),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3194),
    [aux_sym__keyword_for_token1] = ACTIONS(3194),
    [anon_sym_SEMI] = ACTIONS(3194),
    [aux_sym_declare_statement_token1] = ACTIONS(3194),
    [anon_sym_COMMA] = ACTIONS(3194),
    [aux_sym_set_statement_token1] = ACTIONS(3194),
    [anon_sym_LPAREN] = ACTIONS(3194),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(3194),
    [aux_sym_return_satement_token1] = ACTIONS(3194),
    [aux_sym_call_statement_token1] = ACTIONS(3194),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(3194),
    [aux_sym_if_statement_token1] = ACTIONS(3194),
    [aux_sym_loop_statement_token1] = ACTIONS(3194),
    [aux_sym_repeat_statement_token1] = ACTIONS(3194),
    [aux_sym_while_statement_token1] = ACTIONS(3194),
    [aux_sym_break_statement_token1] = ACTIONS(3194),
    [aux_sym_leave_statement_token1] = ACTIONS(3194),
    [aux_sym_continue_statement_token1] = ACTIONS(3194),
    [aux_sym_iterate_statement_token1] = ACTIONS(3194),
    [aux_sym_raise_statement_token1] = ACTIONS(3194),
    [anon_sym_EQ] = ACTIONS(3146),
    [aux_sym_assert_statement_token1] = ACTIONS(3194),
    [aux_sym_create_schema_statement_token1] = ACTIONS(3194),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(3194),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3194),
    [anon_sym_LT] = ACTIONS(3142),
    [anon_sym_GT] = ACTIONS(3142),
    [aux_sym_select_token1] = ACTIONS(3194),
    [aux_sym_insert_statement_token1] = ACTIONS(3194),
    [aux_sym_truncate_statement_token1] = ACTIONS(3194),
    [aux_sym_update_statement_token1] = ACTIONS(3194),
    [aux_sym_merge_statement_token1] = ACTIONS(3194),
    [aux_sym_grant_statement_token1] = ACTIONS(3194),
    [aux_sym_revoke_statement_token1] = ACTIONS(3194),
    [aux_sym_export_data_statement_token1] = ACTIONS(3194),
    [aux_sym_load_data_statement_token1] = ACTIONS(3194),
    [anon_sym_LBRACK] = ACTIONS(3056),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(3058),
    [anon_sym_PLUS] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3098),
    [anon_sym_STAR] = ACTIONS(3100),
    [anon_sym_SLASH] = ACTIONS(3102),
    [anon_sym_PIPE_PIPE] = ACTIONS(3100),
    [anon_sym_LT_EQ] = ACTIONS(3146),
    [anon_sym_LT_GT] = ACTIONS(3146),
    [anon_sym_GT_EQ] = ACTIONS(3146),
    [anon_sym_BANG_EQ] = ACTIONS(3146),
    [anon_sym_LT_LT] = ACTIONS(3148),
    [anon_sym_GT_GT] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym_CARET] = ACTIONS(3152),
    [anon_sym_PIPE] = ACTIONS(3154),
  },
  [3124] = {
    [sym__keyword_between] = STATE(1470),
    [sym__keyword_is] = STATE(12082),
    [sym__keyword_in] = STATE(1302),
    [sym__keyword_not] = STATE(13145),
    [sym__keyword_and] = STATE(1309),
    [sym__keyword_or] = STATE(1310),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1019),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1019),
    [aux_sym_keyword_replace_token1] = ACTIONS(1019),
    [aux_sym__keyword_alter_token1] = ACTIONS(1019),
    [aux_sym__keyword_delete_token1] = ACTIONS(1019),
    [aux_sym__keyword_begin_token1] = ACTIONS(1019),
    [aux_sym__keyword_end_token1] = ACTIONS(1019),
    [aux_sym__keyword_between_token1] = ACTIONS(1019),
    [aux_sym__keyword_else_token1] = ACTIONS(1021),
    [aux_sym__keyword_is_token1] = ACTIONS(1019),
    [aux_sym__keyword_in_token1] = ACTIONS(1021),
    [aux_sym__keyword_and_token1] = ACTIONS(1019),
    [aux_sym__keyword_like_token1] = ACTIONS(1019),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1019),
    [aux_sym__keyword_as_token1] = ACTIONS(1021),
    [aux_sym__keyword_for_token1] = ACTIONS(1019),
    [anon_sym_SEMI] = ACTIONS(1019),
    [aux_sym_declare_statement_token1] = ACTIONS(1019),
    [aux_sym_set_statement_token1] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1019),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1019),
    [aux_sym_return_satement_token1] = ACTIONS(1019),
    [aux_sym_call_statement_token1] = ACTIONS(1019),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1019),
    [aux_sym_if_statement_token1] = ACTIONS(1019),
    [aux_sym_loop_statement_token1] = ACTIONS(1019),
    [aux_sym_repeat_statement_token1] = ACTIONS(1019),
    [aux_sym_while_statement_token1] = ACTIONS(1019),
    [aux_sym_break_statement_token1] = ACTIONS(1019),
    [aux_sym_leave_statement_token1] = ACTIONS(1019),
    [aux_sym_continue_statement_token1] = ACTIONS(1019),
    [aux_sym_iterate_statement_token1] = ACTIONS(1019),
    [aux_sym_raise_statement_token1] = ACTIONS(1019),
    [anon_sym_EQ] = ACTIONS(1019),
    [aux_sym_assert_statement_token1] = ACTIONS(1019),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1019),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1019),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1019),
    [anon_sym_LT] = ACTIONS(1021),
    [anon_sym_GT] = ACTIONS(1021),
    [aux_sym_select_token1] = ACTIONS(1019),
    [aux_sym_insert_statement_token1] = ACTIONS(1019),
    [aux_sym_truncate_statement_token1] = ACTIONS(1019),
    [aux_sym_update_statement_token1] = ACTIONS(1019),
    [aux_sym_merge_statement_token1] = ACTIONS(1019),
    [aux_sym_grant_statement_token1] = ACTIONS(1019),
    [aux_sym_revoke_statement_token1] = ACTIONS(1019),
    [aux_sym_export_data_statement_token1] = ACTIONS(1019),
    [aux_sym_load_data_statement_token1] = ACTIONS(1019),
    [anon_sym_LBRACK] = ACTIONS(1019),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1019),
    [anon_sym_PLUS] = ACTIONS(1019),
    [anon_sym_DASH] = ACTIONS(1021),
    [anon_sym_STAR] = ACTIONS(1019),
    [anon_sym_SLASH] = ACTIONS(1021),
    [anon_sym_PIPE_PIPE] = ACTIONS(1019),
    [anon_sym_LT_EQ] = ACTIONS(1019),
    [anon_sym_LT_GT] = ACTIONS(1019),
    [anon_sym_GT_EQ] = ACTIONS(1019),
    [anon_sym_BANG_EQ] = ACTIONS(1019),
    [anon_sym_LT_LT] = ACTIONS(1019),
    [anon_sym_GT_GT] = ACTIONS(1019),
    [anon_sym_AMP] = ACTIONS(1019),
    [anon_sym_CARET] = ACTIONS(1019),
    [anon_sym_PIPE] = ACTIONS(1021),
  },
  [3125] = {
    [sym__keyword_between] = STATE(1470),
    [sym__keyword_is] = STATE(12082),
    [sym__keyword_in] = STATE(1302),
    [sym__keyword_not] = STATE(13145),
    [sym__keyword_and] = STATE(1309),
    [sym__keyword_or] = STATE(1310),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1027),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(2744),
    [aux_sym__keyword_alter_token1] = ACTIONS(1027),
    [aux_sym__keyword_delete_token1] = ACTIONS(1027),
    [aux_sym__keyword_begin_token1] = ACTIONS(1027),
    [aux_sym__keyword_end_token1] = ACTIONS(1027),
    [aux_sym__keyword_between_token1] = ACTIONS(3160),
    [aux_sym__keyword_else_token1] = ACTIONS(1029),
    [aux_sym__keyword_is_token1] = ACTIONS(3164),
    [aux_sym__keyword_in_token1] = ACTIONS(3166),
    [aux_sym__keyword_and_token1] = ACTIONS(3168),
    [aux_sym__keyword_like_token1] = ACTIONS(1027),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1027),
    [aux_sym__keyword_as_token1] = ACTIONS(1029),
    [aux_sym__keyword_for_token1] = ACTIONS(1027),
    [anon_sym_SEMI] = ACTIONS(1027),
    [aux_sym_declare_statement_token1] = ACTIONS(1027),
    [aux_sym_set_statement_token1] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1027),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1027),
    [aux_sym_return_satement_token1] = ACTIONS(1027),
    [aux_sym_call_statement_token1] = ACTIONS(1027),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1027),
    [aux_sym_if_statement_token1] = ACTIONS(1027),
    [aux_sym_loop_statement_token1] = ACTIONS(1027),
    [aux_sym_repeat_statement_token1] = ACTIONS(1027),
    [aux_sym_while_statement_token1] = ACTIONS(1027),
    [aux_sym_break_statement_token1] = ACTIONS(1027),
    [aux_sym_leave_statement_token1] = ACTIONS(1027),
    [aux_sym_continue_statement_token1] = ACTIONS(1027),
    [aux_sym_iterate_statement_token1] = ACTIONS(1027),
    [aux_sym_raise_statement_token1] = ACTIONS(1027),
    [anon_sym_EQ] = ACTIONS(3172),
    [aux_sym_assert_statement_token1] = ACTIONS(1027),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1027),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1027),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1027),
    [anon_sym_LT] = ACTIONS(3166),
    [anon_sym_GT] = ACTIONS(3166),
    [aux_sym_select_token1] = ACTIONS(1027),
    [aux_sym_insert_statement_token1] = ACTIONS(1027),
    [aux_sym_truncate_statement_token1] = ACTIONS(1027),
    [aux_sym_update_statement_token1] = ACTIONS(1027),
    [aux_sym_merge_statement_token1] = ACTIONS(1027),
    [aux_sym_grant_statement_token1] = ACTIONS(1027),
    [aux_sym_revoke_statement_token1] = ACTIONS(1027),
    [aux_sym_export_data_statement_token1] = ACTIONS(1027),
    [aux_sym_load_data_statement_token1] = ACTIONS(1027),
    [anon_sym_LBRACK] = ACTIONS(1027),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_STAR] = ACTIONS(3178),
    [anon_sym_SLASH] = ACTIONS(3180),
    [anon_sym_PIPE_PIPE] = ACTIONS(3178),
    [anon_sym_LT_EQ] = ACTIONS(3172),
    [anon_sym_LT_GT] = ACTIONS(3172),
    [anon_sym_GT_EQ] = ACTIONS(3172),
    [anon_sym_BANG_EQ] = ACTIONS(3172),
    [anon_sym_LT_LT] = ACTIONS(3182),
    [anon_sym_GT_GT] = ACTIONS(3182),
    [anon_sym_AMP] = ACTIONS(3184),
    [anon_sym_CARET] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(3188),
  },
  [3126] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3127] = {
    [ts_builtin_sym_end] = ACTIONS(1842),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1842),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1842),
    [aux_sym_keyword_replace_token1] = ACTIONS(1842),
    [aux_sym__keyword_alter_token1] = ACTIONS(1842),
    [aux_sym__keyword_delete_token1] = ACTIONS(1842),
    [aux_sym__keyword_begin_token1] = ACTIONS(1842),
    [aux_sym__keyword_end_token1] = ACTIONS(1842),
    [aux_sym__keyword_between_token1] = ACTIONS(1842),
    [aux_sym__keyword_when_token1] = ACTIONS(1842),
    [aux_sym__keyword_else_token1] = ACTIONS(1844),
    [aux_sym__keyword_is_token1] = ACTIONS(1842),
    [aux_sym__keyword_in_token1] = ACTIONS(1844),
    [aux_sym__keyword_and_token1] = ACTIONS(1842),
    [aux_sym__keyword_like_token1] = ACTIONS(1842),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1842),
    [aux_sym__keyword_for_token1] = ACTIONS(1842),
    [anon_sym_SEMI] = ACTIONS(1842),
    [aux_sym_declare_statement_token1] = ACTIONS(1842),
    [anon_sym_COMMA] = ACTIONS(1842),
    [aux_sym_set_statement_token1] = ACTIONS(1842),
    [anon_sym_LPAREN] = ACTIONS(1842),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1842),
    [aux_sym_return_satement_token1] = ACTIONS(1842),
    [aux_sym_call_statement_token1] = ACTIONS(1842),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1842),
    [aux_sym_if_statement_token1] = ACTIONS(1842),
    [aux_sym_loop_statement_token1] = ACTIONS(1842),
    [aux_sym_repeat_statement_token1] = ACTIONS(1842),
    [aux_sym_while_statement_token1] = ACTIONS(1842),
    [aux_sym_break_statement_token1] = ACTIONS(1842),
    [aux_sym_leave_statement_token1] = ACTIONS(1842),
    [aux_sym_continue_statement_token1] = ACTIONS(1842),
    [aux_sym_iterate_statement_token1] = ACTIONS(1842),
    [aux_sym_raise_statement_token1] = ACTIONS(1842),
    [anon_sym_EQ] = ACTIONS(1842),
    [aux_sym_assert_statement_token1] = ACTIONS(1842),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1842),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1842),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1842),
    [anon_sym_LT] = ACTIONS(1844),
    [anon_sym_GT] = ACTIONS(1844),
    [aux_sym_set_operation_token1] = ACTIONS(1842),
    [aux_sym_set_operation_token3] = ACTIONS(1842),
    [aux_sym_set_operation_token4] = ACTIONS(1844),
    [aux_sym_select_token1] = ACTIONS(1842),
    [aux_sym_limit_clause_token1] = ACTIONS(1842),
    [aux_sym__direction_keywords_token1] = ACTIONS(1842),
    [aux_sym__direction_keywords_token2] = ACTIONS(1842),
    [aux_sym__nulls_preference_token1] = ACTIONS(1842),
    [aux_sym_insert_statement_token1] = ACTIONS(1842),
    [aux_sym_truncate_statement_token1] = ACTIONS(1842),
    [aux_sym_update_statement_token1] = ACTIONS(1842),
    [aux_sym_merge_statement_token1] = ACTIONS(1842),
    [aux_sym_grant_statement_token1] = ACTIONS(1842),
    [aux_sym_revoke_statement_token1] = ACTIONS(1842),
    [aux_sym_export_data_statement_token1] = ACTIONS(1842),
    [aux_sym_load_data_statement_token1] = ACTIONS(1842),
    [anon_sym_LBRACK] = ACTIONS(1842),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1842),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1844),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_SLASH] = ACTIONS(1844),
    [anon_sym_PIPE_PIPE] = ACTIONS(1842),
    [anon_sym_LT_EQ] = ACTIONS(1842),
    [anon_sym_LT_GT] = ACTIONS(1842),
    [anon_sym_GT_EQ] = ACTIONS(1842),
    [anon_sym_BANG_EQ] = ACTIONS(1842),
    [anon_sym_LT_LT] = ACTIONS(1842),
    [anon_sym_GT_GT] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym_CARET] = ACTIONS(1842),
    [anon_sym_PIPE] = ACTIONS(1844),
  },
  [3128] = {
    [sym_analytics_clause] = STATE(3507),
    [sym__unquoted_identifier] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1448),
    [aux_sym_keyword_replace_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1448),
    [aux_sym__keyword_delete_token1] = ACTIONS(1448),
    [aux_sym__keyword_begin_token1] = ACTIONS(1448),
    [aux_sym__keyword_end_token1] = ACTIONS(1448),
    [aux_sym__keyword_between_token1] = ACTIONS(1448),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1448),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1448),
    [aux_sym__keyword_like_token1] = ACTIONS(1448),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1448),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_date_token1] = ACTIONS(1448),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1448),
    [aux_sym__keyword_time_token1] = ACTIONS(1448),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1448),
    [aux_sym_return_satement_token1] = ACTIONS(1448),
    [aux_sym_call_statement_token1] = ACTIONS(1448),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1448),
    [aux_sym_if_statement_token1] = ACTIONS(1448),
    [aux_sym_loop_statement_token1] = ACTIONS(1448),
    [aux_sym_repeat_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [aux_sym_leave_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_iterate_statement_token1] = ACTIONS(1448),
    [aux_sym_raise_statement_token1] = ACTIONS(1448),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1448),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1448),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1448),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1448),
    [aux_sym_truncate_statement_token1] = ACTIONS(1448),
    [aux_sym_update_statement_token1] = ACTIONS(1448),
    [aux_sym_merge_statement_token1] = ACTIONS(1448),
    [aux_sym_grant_statement_token1] = ACTIONS(1448),
    [aux_sym_revoke_statement_token1] = ACTIONS(1448),
    [aux_sym_export_data_statement_token1] = ACTIONS(1448),
    [aux_sym_load_data_statement_token1] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym__quoted_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [3129] = {
    [sym_analytics_clause] = STATE(3594),
    [sym__unquoted_identifier] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1448),
    [aux_sym_keyword_replace_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1448),
    [aux_sym__keyword_delete_token1] = ACTIONS(1448),
    [aux_sym__keyword_begin_token1] = ACTIONS(1448),
    [aux_sym__keyword_end_token1] = ACTIONS(1448),
    [aux_sym__keyword_between_token1] = ACTIONS(1448),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1448),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1448),
    [aux_sym__keyword_like_token1] = ACTIONS(1448),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1448),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_date_token1] = ACTIONS(1448),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1448),
    [aux_sym__keyword_time_token1] = ACTIONS(1448),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1448),
    [aux_sym_return_satement_token1] = ACTIONS(1448),
    [aux_sym_call_statement_token1] = ACTIONS(1448),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1448),
    [aux_sym_if_statement_token1] = ACTIONS(1448),
    [aux_sym_loop_statement_token1] = ACTIONS(1448),
    [aux_sym_repeat_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [aux_sym_leave_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_iterate_statement_token1] = ACTIONS(1448),
    [aux_sym_raise_statement_token1] = ACTIONS(1448),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1448),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1448),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1448),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1448),
    [aux_sym_truncate_statement_token1] = ACTIONS(1448),
    [aux_sym_update_statement_token1] = ACTIONS(1448),
    [aux_sym_merge_statement_token1] = ACTIONS(1448),
    [aux_sym_grant_statement_token1] = ACTIONS(1448),
    [aux_sym_revoke_statement_token1] = ACTIONS(1448),
    [aux_sym_export_data_statement_token1] = ACTIONS(1448),
    [aux_sym_load_data_statement_token1] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym__quoted_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [3130] = {
    [sym_analytics_clause] = STATE(3591),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [3131] = {
    [sym_analytics_clause] = STATE(3586),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [3132] = {
    [sym_analytics_clause] = STATE(3548),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [3133] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3134] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1354),
    [aux_sym_set_operation_token3] = ACTIONS(1354),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_limit_clause_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token1] = ACTIONS(1354),
    [aux_sym__direction_keywords_token2] = ACTIONS(1354),
    [aux_sym__nulls_preference_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3135] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3136] = {
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(917),
    [aux_sym_set_operation_token3] = ACTIONS(917),
    [aux_sym_set_operation_token4] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_limit_clause_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token1] = ACTIONS(917),
    [aux_sym__direction_keywords_token2] = ACTIONS(917),
    [aux_sym__nulls_preference_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(917),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PIPE_PIPE] = ACTIONS(917),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [3137] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3138] = {
    [ts_builtin_sym_end] = ACTIONS(1386),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1386),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1386),
    [aux_sym_keyword_replace_token1] = ACTIONS(1386),
    [aux_sym__keyword_alter_token1] = ACTIONS(1386),
    [aux_sym__keyword_delete_token1] = ACTIONS(1386),
    [aux_sym__keyword_begin_token1] = ACTIONS(1386),
    [aux_sym__keyword_end_token1] = ACTIONS(1386),
    [aux_sym__keyword_between_token1] = ACTIONS(1386),
    [aux_sym__keyword_when_token1] = ACTIONS(1386),
    [aux_sym__keyword_else_token1] = ACTIONS(1388),
    [aux_sym__keyword_is_token1] = ACTIONS(1386),
    [aux_sym__keyword_in_token1] = ACTIONS(1388),
    [aux_sym__keyword_and_token1] = ACTIONS(1386),
    [aux_sym__keyword_like_token1] = ACTIONS(1386),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1386),
    [aux_sym__keyword_for_token1] = ACTIONS(1386),
    [anon_sym_SEMI] = ACTIONS(1386),
    [aux_sym_declare_statement_token1] = ACTIONS(1386),
    [anon_sym_COMMA] = ACTIONS(1386),
    [aux_sym_set_statement_token1] = ACTIONS(1386),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1386),
    [aux_sym_return_satement_token1] = ACTIONS(1386),
    [aux_sym_call_statement_token1] = ACTIONS(1386),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1386),
    [aux_sym_if_statement_token1] = ACTIONS(1386),
    [aux_sym_loop_statement_token1] = ACTIONS(1386),
    [aux_sym_repeat_statement_token1] = ACTIONS(1386),
    [aux_sym_while_statement_token1] = ACTIONS(1386),
    [aux_sym_break_statement_token1] = ACTIONS(1386),
    [aux_sym_leave_statement_token1] = ACTIONS(1386),
    [aux_sym_continue_statement_token1] = ACTIONS(1386),
    [aux_sym_iterate_statement_token1] = ACTIONS(1386),
    [aux_sym_raise_statement_token1] = ACTIONS(1386),
    [anon_sym_EQ] = ACTIONS(1386),
    [aux_sym_assert_statement_token1] = ACTIONS(1386),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1386),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1386),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1386),
    [anon_sym_LT] = ACTIONS(1388),
    [anon_sym_GT] = ACTIONS(1388),
    [aux_sym_set_operation_token1] = ACTIONS(1386),
    [aux_sym_set_operation_token3] = ACTIONS(1386),
    [aux_sym_set_operation_token4] = ACTIONS(1388),
    [aux_sym_select_token1] = ACTIONS(1386),
    [aux_sym_limit_clause_token1] = ACTIONS(1386),
    [aux_sym__direction_keywords_token1] = ACTIONS(1386),
    [aux_sym__direction_keywords_token2] = ACTIONS(1386),
    [aux_sym__nulls_preference_token1] = ACTIONS(1386),
    [aux_sym_insert_statement_token1] = ACTIONS(1386),
    [aux_sym_truncate_statement_token1] = ACTIONS(1386),
    [aux_sym_update_statement_token1] = ACTIONS(1386),
    [aux_sym_merge_statement_token1] = ACTIONS(1386),
    [aux_sym_grant_statement_token1] = ACTIONS(1386),
    [aux_sym_revoke_statement_token1] = ACTIONS(1386),
    [aux_sym_export_data_statement_token1] = ACTIONS(1386),
    [aux_sym_load_data_statement_token1] = ACTIONS(1386),
    [anon_sym_LBRACK] = ACTIONS(1386),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1386),
    [anon_sym_DASH] = ACTIONS(1388),
    [anon_sym_STAR] = ACTIONS(1386),
    [anon_sym_SLASH] = ACTIONS(1388),
    [anon_sym_PIPE_PIPE] = ACTIONS(1386),
    [anon_sym_LT_EQ] = ACTIONS(1386),
    [anon_sym_LT_GT] = ACTIONS(1386),
    [anon_sym_GT_EQ] = ACTIONS(1386),
    [anon_sym_BANG_EQ] = ACTIONS(1386),
    [anon_sym_LT_LT] = ACTIONS(1386),
    [anon_sym_GT_GT] = ACTIONS(1386),
    [anon_sym_AMP] = ACTIONS(1386),
    [anon_sym_CARET] = ACTIONS(1386),
    [anon_sym_PIPE] = ACTIONS(1388),
  },
  [3139] = {
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1360),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1360),
    [aux_sym_set_operation_token3] = ACTIONS(1360),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_limit_clause_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token2] = ACTIONS(1360),
    [aux_sym__nulls_preference_token1] = ACTIONS(1360),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [3140] = {
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1360),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1360),
    [aux_sym_set_operation_token3] = ACTIONS(1360),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_limit_clause_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token2] = ACTIONS(1360),
    [aux_sym__nulls_preference_token1] = ACTIONS(1360),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [3141] = {
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1360),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1360),
    [aux_sym_set_operation_token3] = ACTIONS(1360),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_limit_clause_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token2] = ACTIONS(1360),
    [aux_sym__nulls_preference_token1] = ACTIONS(1360),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [3142] = {
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1360),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1360),
    [aux_sym_set_operation_token3] = ACTIONS(1360),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_limit_clause_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token2] = ACTIONS(1360),
    [aux_sym__nulls_preference_token1] = ACTIONS(1360),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [3143] = {
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1360),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1360),
    [aux_sym_set_operation_token3] = ACTIONS(1360),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_limit_clause_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token1] = ACTIONS(1360),
    [aux_sym__direction_keywords_token2] = ACTIONS(1360),
    [aux_sym__nulls_preference_token1] = ACTIONS(1360),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [3144] = {
    [ts_builtin_sym_end] = ACTIONS(1496),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1496),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1496),
    [aux_sym_keyword_replace_token1] = ACTIONS(1496),
    [aux_sym__keyword_alter_token1] = ACTIONS(1496),
    [aux_sym__keyword_delete_token1] = ACTIONS(1496),
    [aux_sym__keyword_begin_token1] = ACTIONS(1496),
    [aux_sym__keyword_end_token1] = ACTIONS(1496),
    [aux_sym__keyword_between_token1] = ACTIONS(1496),
    [aux_sym__keyword_when_token1] = ACTIONS(1496),
    [aux_sym__keyword_else_token1] = ACTIONS(1498),
    [aux_sym__keyword_is_token1] = ACTIONS(1496),
    [aux_sym__keyword_in_token1] = ACTIONS(1498),
    [aux_sym__keyword_and_token1] = ACTIONS(1496),
    [aux_sym__keyword_like_token1] = ACTIONS(1496),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1496),
    [aux_sym__keyword_for_token1] = ACTIONS(1496),
    [anon_sym_SEMI] = ACTIONS(1496),
    [aux_sym_declare_statement_token1] = ACTIONS(1496),
    [anon_sym_COMMA] = ACTIONS(1496),
    [aux_sym_set_statement_token1] = ACTIONS(1496),
    [anon_sym_LPAREN] = ACTIONS(1496),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1496),
    [aux_sym_return_satement_token1] = ACTIONS(1496),
    [aux_sym_call_statement_token1] = ACTIONS(1496),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1496),
    [aux_sym_if_statement_token1] = ACTIONS(1496),
    [aux_sym_loop_statement_token1] = ACTIONS(1496),
    [aux_sym_repeat_statement_token1] = ACTIONS(1496),
    [aux_sym_while_statement_token1] = ACTIONS(1496),
    [aux_sym_break_statement_token1] = ACTIONS(1496),
    [aux_sym_leave_statement_token1] = ACTIONS(1496),
    [aux_sym_continue_statement_token1] = ACTIONS(1496),
    [aux_sym_iterate_statement_token1] = ACTIONS(1496),
    [aux_sym_raise_statement_token1] = ACTIONS(1496),
    [anon_sym_EQ] = ACTIONS(1496),
    [aux_sym_assert_statement_token1] = ACTIONS(1496),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1496),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1496),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1496),
    [anon_sym_LT] = ACTIONS(1498),
    [anon_sym_GT] = ACTIONS(1498),
    [aux_sym_set_operation_token1] = ACTIONS(1496),
    [aux_sym_set_operation_token3] = ACTIONS(1496),
    [aux_sym_set_operation_token4] = ACTIONS(1498),
    [aux_sym_select_token1] = ACTIONS(1496),
    [aux_sym_limit_clause_token1] = ACTIONS(1496),
    [aux_sym__direction_keywords_token1] = ACTIONS(1496),
    [aux_sym__direction_keywords_token2] = ACTIONS(1496),
    [aux_sym__nulls_preference_token1] = ACTIONS(1496),
    [aux_sym_insert_statement_token1] = ACTIONS(1496),
    [aux_sym_truncate_statement_token1] = ACTIONS(1496),
    [aux_sym_update_statement_token1] = ACTIONS(1496),
    [aux_sym_merge_statement_token1] = ACTIONS(1496),
    [aux_sym_grant_statement_token1] = ACTIONS(1496),
    [aux_sym_revoke_statement_token1] = ACTIONS(1496),
    [aux_sym_export_data_statement_token1] = ACTIONS(1496),
    [aux_sym_load_data_statement_token1] = ACTIONS(1496),
    [anon_sym_LBRACK] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(1498),
    [anon_sym_PIPE_PIPE] = ACTIONS(1496),
    [anon_sym_LT_EQ] = ACTIONS(1496),
    [anon_sym_LT_GT] = ACTIONS(1496),
    [anon_sym_GT_EQ] = ACTIONS(1496),
    [anon_sym_BANG_EQ] = ACTIONS(1496),
    [anon_sym_LT_LT] = ACTIONS(1496),
    [anon_sym_GT_GT] = ACTIONS(1496),
    [anon_sym_AMP] = ACTIONS(1496),
    [anon_sym_CARET] = ACTIONS(1496),
    [anon_sym_PIPE] = ACTIONS(1498),
  },
  [3145] = {
    [ts_builtin_sym_end] = ACTIONS(1500),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1500),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1500),
    [aux_sym_keyword_replace_token1] = ACTIONS(1500),
    [aux_sym__keyword_alter_token1] = ACTIONS(1500),
    [aux_sym__keyword_delete_token1] = ACTIONS(1500),
    [aux_sym__keyword_begin_token1] = ACTIONS(1500),
    [aux_sym__keyword_end_token1] = ACTIONS(1500),
    [aux_sym__keyword_between_token1] = ACTIONS(1500),
    [aux_sym__keyword_when_token1] = ACTIONS(1500),
    [aux_sym__keyword_else_token1] = ACTIONS(1502),
    [aux_sym__keyword_is_token1] = ACTIONS(1500),
    [aux_sym__keyword_in_token1] = ACTIONS(1502),
    [aux_sym__keyword_and_token1] = ACTIONS(1500),
    [aux_sym__keyword_like_token1] = ACTIONS(1500),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1500),
    [aux_sym__keyword_for_token1] = ACTIONS(1500),
    [anon_sym_SEMI] = ACTIONS(1500),
    [aux_sym_declare_statement_token1] = ACTIONS(1500),
    [anon_sym_COMMA] = ACTIONS(1500),
    [aux_sym_set_statement_token1] = ACTIONS(1500),
    [anon_sym_LPAREN] = ACTIONS(1500),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1500),
    [aux_sym_return_satement_token1] = ACTIONS(1500),
    [aux_sym_call_statement_token1] = ACTIONS(1500),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1500),
    [aux_sym_if_statement_token1] = ACTIONS(1500),
    [aux_sym_loop_statement_token1] = ACTIONS(1500),
    [aux_sym_repeat_statement_token1] = ACTIONS(1500),
    [aux_sym_while_statement_token1] = ACTIONS(1500),
    [aux_sym_break_statement_token1] = ACTIONS(1500),
    [aux_sym_leave_statement_token1] = ACTIONS(1500),
    [aux_sym_continue_statement_token1] = ACTIONS(1500),
    [aux_sym_iterate_statement_token1] = ACTIONS(1500),
    [aux_sym_raise_statement_token1] = ACTIONS(1500),
    [anon_sym_EQ] = ACTIONS(1500),
    [aux_sym_assert_statement_token1] = ACTIONS(1500),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1500),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1500),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1500),
    [anon_sym_LT] = ACTIONS(1502),
    [anon_sym_GT] = ACTIONS(1502),
    [aux_sym_set_operation_token1] = ACTIONS(1500),
    [aux_sym_set_operation_token3] = ACTIONS(1500),
    [aux_sym_set_operation_token4] = ACTIONS(1502),
    [aux_sym_select_token1] = ACTIONS(1500),
    [aux_sym_limit_clause_token1] = ACTIONS(1500),
    [aux_sym__direction_keywords_token1] = ACTIONS(1500),
    [aux_sym__direction_keywords_token2] = ACTIONS(1500),
    [aux_sym__nulls_preference_token1] = ACTIONS(1500),
    [aux_sym_insert_statement_token1] = ACTIONS(1500),
    [aux_sym_truncate_statement_token1] = ACTIONS(1500),
    [aux_sym_update_statement_token1] = ACTIONS(1500),
    [aux_sym_merge_statement_token1] = ACTIONS(1500),
    [aux_sym_grant_statement_token1] = ACTIONS(1500),
    [aux_sym_revoke_statement_token1] = ACTIONS(1500),
    [aux_sym_export_data_statement_token1] = ACTIONS(1500),
    [aux_sym_load_data_statement_token1] = ACTIONS(1500),
    [anon_sym_LBRACK] = ACTIONS(1500),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_STAR] = ACTIONS(1500),
    [anon_sym_SLASH] = ACTIONS(1502),
    [anon_sym_PIPE_PIPE] = ACTIONS(1500),
    [anon_sym_LT_EQ] = ACTIONS(1500),
    [anon_sym_LT_GT] = ACTIONS(1500),
    [anon_sym_GT_EQ] = ACTIONS(1500),
    [anon_sym_BANG_EQ] = ACTIONS(1500),
    [anon_sym_LT_LT] = ACTIONS(1500),
    [anon_sym_GT_GT] = ACTIONS(1500),
    [anon_sym_AMP] = ACTIONS(1500),
    [anon_sym_CARET] = ACTIONS(1500),
    [anon_sym_PIPE] = ACTIONS(1502),
  },
  [3146] = {
    [sym__keyword_between] = STATE(1138),
    [sym__keyword_is] = STATE(12151),
    [sym__keyword_in] = STATE(919),
    [sym__keyword_not] = STATE(13049),
    [sym__keyword_and] = STATE(929),
    [sym__keyword_or] = STATE(930),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3200),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(2744),
    [aux_sym__keyword_alter_token1] = ACTIONS(3200),
    [aux_sym__keyword_delete_token1] = ACTIONS(3200),
    [aux_sym__keyword_begin_token1] = ACTIONS(3200),
    [aux_sym__keyword_end_token1] = ACTIONS(3200),
    [aux_sym__keyword_between_token1] = ACTIONS(3106),
    [aux_sym__keyword_else_token1] = ACTIONS(3202),
    [aux_sym__keyword_is_token1] = ACTIONS(3110),
    [aux_sym__keyword_in_token1] = ACTIONS(3112),
    [aux_sym__keyword_and_token1] = ACTIONS(3114),
    [aux_sym__keyword_like_token1] = ACTIONS(1007),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3200),
    [aux_sym__keyword_for_token1] = ACTIONS(3200),
    [anon_sym_SEMI] = ACTIONS(3200),
    [aux_sym_declare_statement_token1] = ACTIONS(3200),
    [aux_sym_set_statement_token1] = ACTIONS(3200),
    [anon_sym_LPAREN] = ACTIONS(3200),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(3200),
    [aux_sym_return_satement_token1] = ACTIONS(3200),
    [aux_sym_call_statement_token1] = ACTIONS(3200),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(3200),
    [aux_sym_if_statement_token1] = ACTIONS(3200),
    [aux_sym_loop_statement_token1] = ACTIONS(3200),
    [aux_sym_repeat_statement_token1] = ACTIONS(3200),
    [aux_sym_while_statement_token1] = ACTIONS(3200),
    [aux_sym_break_statement_token1] = ACTIONS(3200),
    [aux_sym_leave_statement_token1] = ACTIONS(3200),
    [aux_sym_continue_statement_token1] = ACTIONS(3200),
    [aux_sym_iterate_statement_token1] = ACTIONS(3200),
    [aux_sym_raise_statement_token1] = ACTIONS(3200),
    [anon_sym_EQ] = ACTIONS(3116),
    [aux_sym_assert_statement_token1] = ACTIONS(3200),
    [aux_sym_create_schema_statement_token1] = ACTIONS(3200),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(3200),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3200),
    [aux_sym_option_clause_token1] = ACTIONS(3200),
    [anon_sym_LT] = ACTIONS(3112),
    [anon_sym_GT] = ACTIONS(3112),
    [aux_sym_select_token1] = ACTIONS(3200),
    [aux_sym_insert_statement_token1] = ACTIONS(3200),
    [aux_sym_truncate_statement_token1] = ACTIONS(3200),
    [aux_sym_update_statement_token1] = ACTIONS(3200),
    [aux_sym_merge_statement_token1] = ACTIONS(3200),
    [aux_sym_grant_statement_token1] = ACTIONS(3200),
    [aux_sym_revoke_statement_token1] = ACTIONS(3200),
    [aux_sym_export_data_statement_token1] = ACTIONS(3200),
    [aux_sym_load_data_statement_token1] = ACTIONS(3200),
    [anon_sym_LBRACK] = ACTIONS(3056),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(3058),
    [anon_sym_PLUS] = ACTIONS(3118),
    [anon_sym_DASH] = ACTIONS(3120),
    [anon_sym_STAR] = ACTIONS(3122),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_PIPE_PIPE] = ACTIONS(3122),
    [anon_sym_LT_EQ] = ACTIONS(3116),
    [anon_sym_LT_GT] = ACTIONS(3116),
    [anon_sym_GT_EQ] = ACTIONS(3116),
    [anon_sym_BANG_EQ] = ACTIONS(3116),
    [anon_sym_LT_LT] = ACTIONS(3126),
    [anon_sym_GT_GT] = ACTIONS(3126),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_CARET] = ACTIONS(3130),
    [anon_sym_PIPE] = ACTIONS(3132),
  },
  [3147] = {
    [ts_builtin_sym_end] = ACTIONS(1504),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1504),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1504),
    [aux_sym_keyword_replace_token1] = ACTIONS(1504),
    [aux_sym__keyword_alter_token1] = ACTIONS(1504),
    [aux_sym__keyword_delete_token1] = ACTIONS(1504),
    [aux_sym__keyword_begin_token1] = ACTIONS(1504),
    [aux_sym__keyword_end_token1] = ACTIONS(1504),
    [aux_sym__keyword_between_token1] = ACTIONS(1504),
    [aux_sym__keyword_when_token1] = ACTIONS(1504),
    [aux_sym__keyword_else_token1] = ACTIONS(1506),
    [aux_sym__keyword_is_token1] = ACTIONS(1504),
    [aux_sym__keyword_in_token1] = ACTIONS(1506),
    [aux_sym__keyword_and_token1] = ACTIONS(1504),
    [aux_sym__keyword_like_token1] = ACTIONS(1504),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1504),
    [aux_sym__keyword_for_token1] = ACTIONS(1504),
    [anon_sym_SEMI] = ACTIONS(1504),
    [aux_sym_declare_statement_token1] = ACTIONS(1504),
    [anon_sym_COMMA] = ACTIONS(1504),
    [aux_sym_set_statement_token1] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1504),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1504),
    [aux_sym_return_satement_token1] = ACTIONS(1504),
    [aux_sym_call_statement_token1] = ACTIONS(1504),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1504),
    [aux_sym_if_statement_token1] = ACTIONS(1504),
    [aux_sym_loop_statement_token1] = ACTIONS(1504),
    [aux_sym_repeat_statement_token1] = ACTIONS(1504),
    [aux_sym_while_statement_token1] = ACTIONS(1504),
    [aux_sym_break_statement_token1] = ACTIONS(1504),
    [aux_sym_leave_statement_token1] = ACTIONS(1504),
    [aux_sym_continue_statement_token1] = ACTIONS(1504),
    [aux_sym_iterate_statement_token1] = ACTIONS(1504),
    [aux_sym_raise_statement_token1] = ACTIONS(1504),
    [anon_sym_EQ] = ACTIONS(1504),
    [aux_sym_assert_statement_token1] = ACTIONS(1504),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1504),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1504),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1504),
    [anon_sym_LT] = ACTIONS(1506),
    [anon_sym_GT] = ACTIONS(1506),
    [aux_sym_set_operation_token1] = ACTIONS(1504),
    [aux_sym_set_operation_token3] = ACTIONS(1504),
    [aux_sym_set_operation_token4] = ACTIONS(1506),
    [aux_sym_select_token1] = ACTIONS(1504),
    [aux_sym_limit_clause_token1] = ACTIONS(1504),
    [aux_sym__direction_keywords_token1] = ACTIONS(1504),
    [aux_sym__direction_keywords_token2] = ACTIONS(1504),
    [aux_sym__nulls_preference_token1] = ACTIONS(1504),
    [aux_sym_insert_statement_token1] = ACTIONS(1504),
    [aux_sym_truncate_statement_token1] = ACTIONS(1504),
    [aux_sym_update_statement_token1] = ACTIONS(1504),
    [aux_sym_merge_statement_token1] = ACTIONS(1504),
    [aux_sym_grant_statement_token1] = ACTIONS(1504),
    [aux_sym_revoke_statement_token1] = ACTIONS(1504),
    [aux_sym_export_data_statement_token1] = ACTIONS(1504),
    [aux_sym_load_data_statement_token1] = ACTIONS(1504),
    [anon_sym_LBRACK] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1504),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1506),
    [anon_sym_STAR] = ACTIONS(1504),
    [anon_sym_SLASH] = ACTIONS(1506),
    [anon_sym_PIPE_PIPE] = ACTIONS(1504),
    [anon_sym_LT_EQ] = ACTIONS(1504),
    [anon_sym_LT_GT] = ACTIONS(1504),
    [anon_sym_GT_EQ] = ACTIONS(1504),
    [anon_sym_BANG_EQ] = ACTIONS(1504),
    [anon_sym_LT_LT] = ACTIONS(1504),
    [anon_sym_GT_GT] = ACTIONS(1504),
    [anon_sym_AMP] = ACTIONS(1504),
    [anon_sym_CARET] = ACTIONS(1504),
    [anon_sym_PIPE] = ACTIONS(1506),
  },
  [3148] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3149] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3150] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3151] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3152] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3153] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3154] = {
    [sym_analytics_clause] = STATE(3394),
    [sym__unquoted_identifier] = ACTIONS(1404),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1404),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1404),
    [aux_sym_keyword_replace_token1] = ACTIONS(1404),
    [aux_sym__keyword_alter_token1] = ACTIONS(1404),
    [aux_sym__keyword_delete_token1] = ACTIONS(1404),
    [aux_sym__keyword_begin_token1] = ACTIONS(1404),
    [aux_sym__keyword_end_token1] = ACTIONS(1404),
    [aux_sym__keyword_between_token1] = ACTIONS(1404),
    [aux_sym__keyword_else_token1] = ACTIONS(1404),
    [aux_sym__keyword_is_token1] = ACTIONS(1404),
    [aux_sym__keyword_in_token1] = ACTIONS(1404),
    [aux_sym__keyword_and_token1] = ACTIONS(1404),
    [aux_sym__keyword_like_token1] = ACTIONS(1404),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1404),
    [aux_sym__keyword_as_token1] = ACTIONS(1404),
    [aux_sym__keyword_date_token1] = ACTIONS(1404),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1404),
    [aux_sym__keyword_time_token1] = ACTIONS(1404),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1404),
    [aux_sym__keyword_for_token1] = ACTIONS(1404),
    [anon_sym_SEMI] = ACTIONS(1402),
    [aux_sym_declare_statement_token1] = ACTIONS(1404),
    [anon_sym_COMMA] = ACTIONS(1402),
    [aux_sym_set_statement_token1] = ACTIONS(1404),
    [anon_sym_LPAREN] = ACTIONS(1402),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1404),
    [aux_sym_return_satement_token1] = ACTIONS(1404),
    [aux_sym_call_statement_token1] = ACTIONS(1404),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1404),
    [aux_sym_if_statement_token1] = ACTIONS(1404),
    [aux_sym_loop_statement_token1] = ACTIONS(1404),
    [aux_sym_repeat_statement_token1] = ACTIONS(1404),
    [aux_sym_while_statement_token1] = ACTIONS(1404),
    [aux_sym_break_statement_token1] = ACTIONS(1404),
    [aux_sym_leave_statement_token1] = ACTIONS(1404),
    [aux_sym_continue_statement_token1] = ACTIONS(1404),
    [aux_sym_iterate_statement_token1] = ACTIONS(1404),
    [aux_sym_raise_statement_token1] = ACTIONS(1404),
    [anon_sym_EQ] = ACTIONS(1402),
    [aux_sym_assert_statement_token1] = ACTIONS(1404),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1404),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1404),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1404),
    [anon_sym_LT] = ACTIONS(1404),
    [anon_sym_GT] = ACTIONS(1404),
    [aux_sym_select_token1] = ACTIONS(1404),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1404),
    [aux_sym_truncate_statement_token1] = ACTIONS(1404),
    [aux_sym_update_statement_token1] = ACTIONS(1404),
    [aux_sym_merge_statement_token1] = ACTIONS(1404),
    [aux_sym_grant_statement_token1] = ACTIONS(1404),
    [aux_sym_revoke_statement_token1] = ACTIONS(1404),
    [aux_sym_export_data_statement_token1] = ACTIONS(1404),
    [aux_sym_load_data_statement_token1] = ACTIONS(1404),
    [anon_sym_LBRACK] = ACTIONS(1402),
    [sym__quoted_identifier] = ACTIONS(1402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1402),
    [anon_sym_DASH] = ACTIONS(1404),
    [anon_sym_STAR] = ACTIONS(1402),
    [anon_sym_SLASH] = ACTIONS(1404),
    [anon_sym_PIPE_PIPE] = ACTIONS(1402),
    [anon_sym_LT_EQ] = ACTIONS(1402),
    [anon_sym_LT_GT] = ACTIONS(1402),
    [anon_sym_GT_EQ] = ACTIONS(1402),
    [anon_sym_BANG_EQ] = ACTIONS(1402),
    [anon_sym_LT_LT] = ACTIONS(1402),
    [anon_sym_GT_GT] = ACTIONS(1402),
    [anon_sym_AMP] = ACTIONS(1402),
    [anon_sym_CARET] = ACTIONS(1402),
    [anon_sym_PIPE] = ACTIONS(1404),
  },
  [3155] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3156] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3157] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3158] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1370),
    [aux_sym_set_operation_token3] = ACTIONS(1370),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_limit_clause_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token1] = ACTIONS(1370),
    [aux_sym__direction_keywords_token2] = ACTIONS(1370),
    [aux_sym__nulls_preference_token1] = ACTIONS(1370),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3159] = {
    [ts_builtin_sym_end] = ACTIONS(1394),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1394),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1394),
    [aux_sym_keyword_replace_token1] = ACTIONS(1394),
    [aux_sym__keyword_alter_token1] = ACTIONS(1394),
    [aux_sym__keyword_delete_token1] = ACTIONS(1394),
    [aux_sym__keyword_begin_token1] = ACTIONS(1394),
    [aux_sym__keyword_end_token1] = ACTIONS(1394),
    [aux_sym__keyword_between_token1] = ACTIONS(1394),
    [aux_sym__keyword_when_token1] = ACTIONS(1394),
    [aux_sym__keyword_else_token1] = ACTIONS(1396),
    [aux_sym__keyword_is_token1] = ACTIONS(1394),
    [aux_sym__keyword_in_token1] = ACTIONS(1396),
    [aux_sym__keyword_and_token1] = ACTIONS(1394),
    [aux_sym__keyword_like_token1] = ACTIONS(1394),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1394),
    [aux_sym__keyword_for_token1] = ACTIONS(1394),
    [anon_sym_SEMI] = ACTIONS(1394),
    [aux_sym_declare_statement_token1] = ACTIONS(1394),
    [anon_sym_COMMA] = ACTIONS(1394),
    [aux_sym_set_statement_token1] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(1394),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1394),
    [aux_sym_return_satement_token1] = ACTIONS(1394),
    [aux_sym_call_statement_token1] = ACTIONS(1394),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1394),
    [aux_sym_if_statement_token1] = ACTIONS(1394),
    [aux_sym_loop_statement_token1] = ACTIONS(1394),
    [aux_sym_repeat_statement_token1] = ACTIONS(1394),
    [aux_sym_while_statement_token1] = ACTIONS(1394),
    [aux_sym_break_statement_token1] = ACTIONS(1394),
    [aux_sym_leave_statement_token1] = ACTIONS(1394),
    [aux_sym_continue_statement_token1] = ACTIONS(1394),
    [aux_sym_iterate_statement_token1] = ACTIONS(1394),
    [aux_sym_raise_statement_token1] = ACTIONS(1394),
    [anon_sym_EQ] = ACTIONS(1394),
    [aux_sym_assert_statement_token1] = ACTIONS(1394),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1394),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1394),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1394),
    [anon_sym_LT] = ACTIONS(1396),
    [anon_sym_GT] = ACTIONS(1396),
    [aux_sym_set_operation_token1] = ACTIONS(1394),
    [aux_sym_set_operation_token3] = ACTIONS(1394),
    [aux_sym_set_operation_token4] = ACTIONS(1396),
    [aux_sym_select_token1] = ACTIONS(1394),
    [aux_sym_limit_clause_token1] = ACTIONS(1394),
    [aux_sym__direction_keywords_token1] = ACTIONS(1394),
    [aux_sym__direction_keywords_token2] = ACTIONS(1394),
    [aux_sym__nulls_preference_token1] = ACTIONS(1394),
    [aux_sym_insert_statement_token1] = ACTIONS(1394),
    [aux_sym_truncate_statement_token1] = ACTIONS(1394),
    [aux_sym_update_statement_token1] = ACTIONS(1394),
    [aux_sym_merge_statement_token1] = ACTIONS(1394),
    [aux_sym_grant_statement_token1] = ACTIONS(1394),
    [aux_sym_revoke_statement_token1] = ACTIONS(1394),
    [aux_sym_export_data_statement_token1] = ACTIONS(1394),
    [aux_sym_load_data_statement_token1] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(1394),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_STAR] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(1396),
    [anon_sym_PIPE_PIPE] = ACTIONS(1394),
    [anon_sym_LT_EQ] = ACTIONS(1394),
    [anon_sym_LT_GT] = ACTIONS(1394),
    [anon_sym_GT_EQ] = ACTIONS(1394),
    [anon_sym_BANG_EQ] = ACTIONS(1394),
    [anon_sym_LT_LT] = ACTIONS(1394),
    [anon_sym_GT_GT] = ACTIONS(1394),
    [anon_sym_AMP] = ACTIONS(1394),
    [anon_sym_CARET] = ACTIONS(1394),
    [anon_sym_PIPE] = ACTIONS(1396),
  },
  [3160] = {
    [ts_builtin_sym_end] = ACTIONS(1850),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1850),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1850),
    [aux_sym_keyword_replace_token1] = ACTIONS(1850),
    [aux_sym__keyword_alter_token1] = ACTIONS(1850),
    [aux_sym__keyword_delete_token1] = ACTIONS(1850),
    [aux_sym__keyword_begin_token1] = ACTIONS(1850),
    [aux_sym__keyword_end_token1] = ACTIONS(1850),
    [aux_sym__keyword_between_token1] = ACTIONS(1850),
    [aux_sym__keyword_when_token1] = ACTIONS(1850),
    [aux_sym__keyword_else_token1] = ACTIONS(1852),
    [aux_sym__keyword_is_token1] = ACTIONS(1850),
    [aux_sym__keyword_in_token1] = ACTIONS(1852),
    [aux_sym__keyword_and_token1] = ACTIONS(1850),
    [aux_sym__keyword_like_token1] = ACTIONS(1850),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1850),
    [aux_sym__keyword_for_token1] = ACTIONS(1850),
    [anon_sym_SEMI] = ACTIONS(1850),
    [aux_sym_declare_statement_token1] = ACTIONS(1850),
    [anon_sym_COMMA] = ACTIONS(1850),
    [aux_sym_set_statement_token1] = ACTIONS(1850),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1850),
    [aux_sym_return_satement_token1] = ACTIONS(1850),
    [aux_sym_call_statement_token1] = ACTIONS(1850),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1850),
    [aux_sym_if_statement_token1] = ACTIONS(1850),
    [aux_sym_loop_statement_token1] = ACTIONS(1850),
    [aux_sym_repeat_statement_token1] = ACTIONS(1850),
    [aux_sym_while_statement_token1] = ACTIONS(1850),
    [aux_sym_break_statement_token1] = ACTIONS(1850),
    [aux_sym_leave_statement_token1] = ACTIONS(1850),
    [aux_sym_continue_statement_token1] = ACTIONS(1850),
    [aux_sym_iterate_statement_token1] = ACTIONS(1850),
    [aux_sym_raise_statement_token1] = ACTIONS(1850),
    [anon_sym_EQ] = ACTIONS(1850),
    [aux_sym_assert_statement_token1] = ACTIONS(1850),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1850),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1850),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1850),
    [anon_sym_LT] = ACTIONS(1852),
    [anon_sym_GT] = ACTIONS(1852),
    [aux_sym_set_operation_token1] = ACTIONS(1850),
    [aux_sym_set_operation_token3] = ACTIONS(1850),
    [aux_sym_set_operation_token4] = ACTIONS(1852),
    [aux_sym_select_token1] = ACTIONS(1850),
    [aux_sym_limit_clause_token1] = ACTIONS(1850),
    [aux_sym__direction_keywords_token1] = ACTIONS(1850),
    [aux_sym__direction_keywords_token2] = ACTIONS(1850),
    [aux_sym__nulls_preference_token1] = ACTIONS(1850),
    [aux_sym_insert_statement_token1] = ACTIONS(1850),
    [aux_sym_truncate_statement_token1] = ACTIONS(1850),
    [aux_sym_update_statement_token1] = ACTIONS(1850),
    [aux_sym_merge_statement_token1] = ACTIONS(1850),
    [aux_sym_grant_statement_token1] = ACTIONS(1850),
    [aux_sym_revoke_statement_token1] = ACTIONS(1850),
    [aux_sym_export_data_statement_token1] = ACTIONS(1850),
    [aux_sym_load_data_statement_token1] = ACTIONS(1850),
    [anon_sym_LBRACK] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1850),
    [anon_sym_PLUS] = ACTIONS(1850),
    [anon_sym_DASH] = ACTIONS(1852),
    [anon_sym_STAR] = ACTIONS(1850),
    [anon_sym_SLASH] = ACTIONS(1852),
    [anon_sym_PIPE_PIPE] = ACTIONS(1850),
    [anon_sym_LT_EQ] = ACTIONS(1850),
    [anon_sym_LT_GT] = ACTIONS(1850),
    [anon_sym_GT_EQ] = ACTIONS(1850),
    [anon_sym_BANG_EQ] = ACTIONS(1850),
    [anon_sym_LT_LT] = ACTIONS(1850),
    [anon_sym_GT_GT] = ACTIONS(1850),
    [anon_sym_AMP] = ACTIONS(1850),
    [anon_sym_CARET] = ACTIONS(1850),
    [anon_sym_PIPE] = ACTIONS(1852),
  },
  [3161] = {
    [ts_builtin_sym_end] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1398),
    [aux_sym_keyword_replace_token1] = ACTIONS(1398),
    [aux_sym__keyword_alter_token1] = ACTIONS(1398),
    [aux_sym__keyword_delete_token1] = ACTIONS(1398),
    [aux_sym__keyword_begin_token1] = ACTIONS(1398),
    [aux_sym__keyword_end_token1] = ACTIONS(1398),
    [aux_sym__keyword_between_token1] = ACTIONS(1398),
    [aux_sym__keyword_when_token1] = ACTIONS(1398),
    [aux_sym__keyword_else_token1] = ACTIONS(1400),
    [aux_sym__keyword_is_token1] = ACTIONS(1398),
    [aux_sym__keyword_in_token1] = ACTIONS(1400),
    [aux_sym__keyword_and_token1] = ACTIONS(1398),
    [aux_sym__keyword_like_token1] = ACTIONS(1398),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1398),
    [aux_sym__keyword_for_token1] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1398),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1398),
    [aux_sym_return_satement_token1] = ACTIONS(1398),
    [aux_sym_call_statement_token1] = ACTIONS(1398),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1398),
    [aux_sym_if_statement_token1] = ACTIONS(1398),
    [aux_sym_loop_statement_token1] = ACTIONS(1398),
    [aux_sym_repeat_statement_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token1] = ACTIONS(1398),
    [aux_sym_break_statement_token1] = ACTIONS(1398),
    [aux_sym_leave_statement_token1] = ACTIONS(1398),
    [aux_sym_continue_statement_token1] = ACTIONS(1398),
    [aux_sym_iterate_statement_token1] = ACTIONS(1398),
    [aux_sym_raise_statement_token1] = ACTIONS(1398),
    [anon_sym_EQ] = ACTIONS(1398),
    [aux_sym_assert_statement_token1] = ACTIONS(1398),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1398),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [aux_sym_set_operation_token1] = ACTIONS(1398),
    [aux_sym_set_operation_token3] = ACTIONS(1398),
    [aux_sym_set_operation_token4] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1398),
    [aux_sym_limit_clause_token1] = ACTIONS(1398),
    [aux_sym__direction_keywords_token1] = ACTIONS(1398),
    [aux_sym__direction_keywords_token2] = ACTIONS(1398),
    [aux_sym__nulls_preference_token1] = ACTIONS(1398),
    [aux_sym_insert_statement_token1] = ACTIONS(1398),
    [aux_sym_truncate_statement_token1] = ACTIONS(1398),
    [aux_sym_update_statement_token1] = ACTIONS(1398),
    [aux_sym_merge_statement_token1] = ACTIONS(1398),
    [aux_sym_grant_statement_token1] = ACTIONS(1398),
    [aux_sym_revoke_statement_token1] = ACTIONS(1398),
    [aux_sym_export_data_statement_token1] = ACTIONS(1398),
    [aux_sym_load_data_statement_token1] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_LT_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
  },
  [3162] = {
    [ts_builtin_sym_end] = ACTIONS(1406),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1406),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1406),
    [aux_sym_keyword_replace_token1] = ACTIONS(1406),
    [aux_sym__keyword_alter_token1] = ACTIONS(1406),
    [aux_sym__keyword_delete_token1] = ACTIONS(1406),
    [aux_sym__keyword_begin_token1] = ACTIONS(1406),
    [aux_sym__keyword_end_token1] = ACTIONS(1406),
    [aux_sym__keyword_between_token1] = ACTIONS(1406),
    [aux_sym__keyword_when_token1] = ACTIONS(1406),
    [aux_sym__keyword_else_token1] = ACTIONS(1408),
    [aux_sym__keyword_is_token1] = ACTIONS(1406),
    [aux_sym__keyword_in_token1] = ACTIONS(1408),
    [aux_sym__keyword_and_token1] = ACTIONS(1406),
    [aux_sym__keyword_like_token1] = ACTIONS(1406),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1406),
    [aux_sym__keyword_for_token1] = ACTIONS(1406),
    [anon_sym_SEMI] = ACTIONS(1406),
    [aux_sym_declare_statement_token1] = ACTIONS(1406),
    [anon_sym_COMMA] = ACTIONS(1406),
    [aux_sym_set_statement_token1] = ACTIONS(1406),
    [anon_sym_LPAREN] = ACTIONS(1406),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1406),
    [aux_sym_return_satement_token1] = ACTIONS(1406),
    [aux_sym_call_statement_token1] = ACTIONS(1406),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1406),
    [aux_sym_if_statement_token1] = ACTIONS(1406),
    [aux_sym_loop_statement_token1] = ACTIONS(1406),
    [aux_sym_repeat_statement_token1] = ACTIONS(1406),
    [aux_sym_while_statement_token1] = ACTIONS(1406),
    [aux_sym_break_statement_token1] = ACTIONS(1406),
    [aux_sym_leave_statement_token1] = ACTIONS(1406),
    [aux_sym_continue_statement_token1] = ACTIONS(1406),
    [aux_sym_iterate_statement_token1] = ACTIONS(1406),
    [aux_sym_raise_statement_token1] = ACTIONS(1406),
    [anon_sym_EQ] = ACTIONS(1406),
    [aux_sym_assert_statement_token1] = ACTIONS(1406),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1406),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1406),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1406),
    [anon_sym_LT] = ACTIONS(1408),
    [anon_sym_GT] = ACTIONS(1408),
    [aux_sym_set_operation_token1] = ACTIONS(1406),
    [aux_sym_set_operation_token3] = ACTIONS(1406),
    [aux_sym_set_operation_token4] = ACTIONS(1408),
    [aux_sym_select_token1] = ACTIONS(1406),
    [aux_sym_limit_clause_token1] = ACTIONS(1406),
    [aux_sym__direction_keywords_token1] = ACTIONS(1406),
    [aux_sym__direction_keywords_token2] = ACTIONS(1406),
    [aux_sym__nulls_preference_token1] = ACTIONS(1406),
    [aux_sym_insert_statement_token1] = ACTIONS(1406),
    [aux_sym_truncate_statement_token1] = ACTIONS(1406),
    [aux_sym_update_statement_token1] = ACTIONS(1406),
    [aux_sym_merge_statement_token1] = ACTIONS(1406),
    [aux_sym_grant_statement_token1] = ACTIONS(1406),
    [aux_sym_revoke_statement_token1] = ACTIONS(1406),
    [aux_sym_export_data_statement_token1] = ACTIONS(1406),
    [aux_sym_load_data_statement_token1] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_DASH] = ACTIONS(1408),
    [anon_sym_STAR] = ACTIONS(1406),
    [anon_sym_SLASH] = ACTIONS(1408),
    [anon_sym_PIPE_PIPE] = ACTIONS(1406),
    [anon_sym_LT_EQ] = ACTIONS(1406),
    [anon_sym_LT_GT] = ACTIONS(1406),
    [anon_sym_GT_EQ] = ACTIONS(1406),
    [anon_sym_BANG_EQ] = ACTIONS(1406),
    [anon_sym_LT_LT] = ACTIONS(1406),
    [anon_sym_GT_GT] = ACTIONS(1406),
    [anon_sym_AMP] = ACTIONS(1406),
    [anon_sym_CARET] = ACTIONS(1406),
    [anon_sym_PIPE] = ACTIONS(1408),
  },
  [3163] = {
    [ts_builtin_sym_end] = ACTIONS(1410),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1410),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1410),
    [aux_sym_keyword_replace_token1] = ACTIONS(1410),
    [aux_sym__keyword_alter_token1] = ACTIONS(1410),
    [aux_sym__keyword_delete_token1] = ACTIONS(1410),
    [aux_sym__keyword_begin_token1] = ACTIONS(1410),
    [aux_sym__keyword_end_token1] = ACTIONS(1410),
    [aux_sym__keyword_between_token1] = ACTIONS(1410),
    [aux_sym__keyword_when_token1] = ACTIONS(1410),
    [aux_sym__keyword_else_token1] = ACTIONS(1412),
    [aux_sym__keyword_is_token1] = ACTIONS(1410),
    [aux_sym__keyword_in_token1] = ACTIONS(1412),
    [aux_sym__keyword_and_token1] = ACTIONS(1410),
    [aux_sym__keyword_like_token1] = ACTIONS(1410),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1410),
    [aux_sym__keyword_for_token1] = ACTIONS(1410),
    [anon_sym_SEMI] = ACTIONS(1410),
    [aux_sym_declare_statement_token1] = ACTIONS(1410),
    [anon_sym_COMMA] = ACTIONS(1410),
    [aux_sym_set_statement_token1] = ACTIONS(1410),
    [anon_sym_LPAREN] = ACTIONS(1410),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1410),
    [aux_sym_return_satement_token1] = ACTIONS(1410),
    [aux_sym_call_statement_token1] = ACTIONS(1410),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1410),
    [aux_sym_if_statement_token1] = ACTIONS(1410),
    [aux_sym_loop_statement_token1] = ACTIONS(1410),
    [aux_sym_repeat_statement_token1] = ACTIONS(1410),
    [aux_sym_while_statement_token1] = ACTIONS(1410),
    [aux_sym_break_statement_token1] = ACTIONS(1410),
    [aux_sym_leave_statement_token1] = ACTIONS(1410),
    [aux_sym_continue_statement_token1] = ACTIONS(1410),
    [aux_sym_iterate_statement_token1] = ACTIONS(1410),
    [aux_sym_raise_statement_token1] = ACTIONS(1410),
    [anon_sym_EQ] = ACTIONS(1410),
    [aux_sym_assert_statement_token1] = ACTIONS(1410),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1410),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1410),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1410),
    [anon_sym_LT] = ACTIONS(1412),
    [anon_sym_GT] = ACTIONS(1412),
    [aux_sym_set_operation_token1] = ACTIONS(1410),
    [aux_sym_set_operation_token3] = ACTIONS(1410),
    [aux_sym_set_operation_token4] = ACTIONS(1412),
    [aux_sym_select_token1] = ACTIONS(1410),
    [aux_sym_limit_clause_token1] = ACTIONS(1410),
    [aux_sym__direction_keywords_token1] = ACTIONS(1410),
    [aux_sym__direction_keywords_token2] = ACTIONS(1410),
    [aux_sym__nulls_preference_token1] = ACTIONS(1410),
    [aux_sym_insert_statement_token1] = ACTIONS(1410),
    [aux_sym_truncate_statement_token1] = ACTIONS(1410),
    [aux_sym_update_statement_token1] = ACTIONS(1410),
    [aux_sym_merge_statement_token1] = ACTIONS(1410),
    [aux_sym_grant_statement_token1] = ACTIONS(1410),
    [aux_sym_revoke_statement_token1] = ACTIONS(1410),
    [aux_sym_export_data_statement_token1] = ACTIONS(1410),
    [aux_sym_load_data_statement_token1] = ACTIONS(1410),
    [anon_sym_LBRACK] = ACTIONS(1410),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_STAR] = ACTIONS(1410),
    [anon_sym_SLASH] = ACTIONS(1412),
    [anon_sym_PIPE_PIPE] = ACTIONS(1410),
    [anon_sym_LT_EQ] = ACTIONS(1410),
    [anon_sym_LT_GT] = ACTIONS(1410),
    [anon_sym_GT_EQ] = ACTIONS(1410),
    [anon_sym_BANG_EQ] = ACTIONS(1410),
    [anon_sym_LT_LT] = ACTIONS(1410),
    [anon_sym_GT_GT] = ACTIONS(1410),
    [anon_sym_AMP] = ACTIONS(1410),
    [anon_sym_CARET] = ACTIONS(1410),
    [anon_sym_PIPE] = ACTIONS(1412),
  },
  [3164] = {
    [ts_builtin_sym_end] = ACTIONS(1414),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1414),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1414),
    [aux_sym_keyword_replace_token1] = ACTIONS(1414),
    [aux_sym__keyword_alter_token1] = ACTIONS(1414),
    [aux_sym__keyword_delete_token1] = ACTIONS(1414),
    [aux_sym__keyword_begin_token1] = ACTIONS(1414),
    [aux_sym__keyword_end_token1] = ACTIONS(1414),
    [aux_sym__keyword_between_token1] = ACTIONS(1414),
    [aux_sym__keyword_when_token1] = ACTIONS(1414),
    [aux_sym__keyword_else_token1] = ACTIONS(1416),
    [aux_sym__keyword_is_token1] = ACTIONS(1414),
    [aux_sym__keyword_in_token1] = ACTIONS(1416),
    [aux_sym__keyword_and_token1] = ACTIONS(1414),
    [aux_sym__keyword_like_token1] = ACTIONS(1414),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1414),
    [aux_sym__keyword_for_token1] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(1414),
    [aux_sym_declare_statement_token1] = ACTIONS(1414),
    [anon_sym_COMMA] = ACTIONS(1414),
    [aux_sym_set_statement_token1] = ACTIONS(1414),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1414),
    [aux_sym_return_satement_token1] = ACTIONS(1414),
    [aux_sym_call_statement_token1] = ACTIONS(1414),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1414),
    [aux_sym_if_statement_token1] = ACTIONS(1414),
    [aux_sym_loop_statement_token1] = ACTIONS(1414),
    [aux_sym_repeat_statement_token1] = ACTIONS(1414),
    [aux_sym_while_statement_token1] = ACTIONS(1414),
    [aux_sym_break_statement_token1] = ACTIONS(1414),
    [aux_sym_leave_statement_token1] = ACTIONS(1414),
    [aux_sym_continue_statement_token1] = ACTIONS(1414),
    [aux_sym_iterate_statement_token1] = ACTIONS(1414),
    [aux_sym_raise_statement_token1] = ACTIONS(1414),
    [anon_sym_EQ] = ACTIONS(1414),
    [aux_sym_assert_statement_token1] = ACTIONS(1414),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1414),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1414),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1414),
    [anon_sym_LT] = ACTIONS(1416),
    [anon_sym_GT] = ACTIONS(1416),
    [aux_sym_set_operation_token1] = ACTIONS(1414),
    [aux_sym_set_operation_token3] = ACTIONS(1414),
    [aux_sym_set_operation_token4] = ACTIONS(1416),
    [aux_sym_select_token1] = ACTIONS(1414),
    [aux_sym_limit_clause_token1] = ACTIONS(1414),
    [aux_sym__direction_keywords_token1] = ACTIONS(1414),
    [aux_sym__direction_keywords_token2] = ACTIONS(1414),
    [aux_sym__nulls_preference_token1] = ACTIONS(1414),
    [aux_sym_insert_statement_token1] = ACTIONS(1414),
    [aux_sym_truncate_statement_token1] = ACTIONS(1414),
    [aux_sym_update_statement_token1] = ACTIONS(1414),
    [aux_sym_merge_statement_token1] = ACTIONS(1414),
    [aux_sym_grant_statement_token1] = ACTIONS(1414),
    [aux_sym_revoke_statement_token1] = ACTIONS(1414),
    [aux_sym_export_data_statement_token1] = ACTIONS(1414),
    [aux_sym_load_data_statement_token1] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1414),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_SLASH] = ACTIONS(1416),
    [anon_sym_PIPE_PIPE] = ACTIONS(1414),
    [anon_sym_LT_EQ] = ACTIONS(1414),
    [anon_sym_LT_GT] = ACTIONS(1414),
    [anon_sym_GT_EQ] = ACTIONS(1414),
    [anon_sym_BANG_EQ] = ACTIONS(1414),
    [anon_sym_LT_LT] = ACTIONS(1414),
    [anon_sym_GT_GT] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_CARET] = ACTIONS(1414),
    [anon_sym_PIPE] = ACTIONS(1416),
  },
  [3165] = {
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1418),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_when_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1418),
    [aux_sym_set_operation_token3] = ACTIONS(1418),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_limit_clause_token1] = ACTIONS(1418),
    [aux_sym__direction_keywords_token1] = ACTIONS(1418),
    [aux_sym__direction_keywords_token2] = ACTIONS(1418),
    [aux_sym__nulls_preference_token1] = ACTIONS(1418),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [3166] = {
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1418),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_when_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1418),
    [aux_sym_set_operation_token3] = ACTIONS(1418),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_limit_clause_token1] = ACTIONS(1418),
    [aux_sym__direction_keywords_token1] = ACTIONS(1418),
    [aux_sym__direction_keywords_token2] = ACTIONS(1418),
    [aux_sym__nulls_preference_token1] = ACTIONS(1418),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [3167] = {
    [ts_builtin_sym_end] = ACTIONS(1422),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1422),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1422),
    [aux_sym_keyword_replace_token1] = ACTIONS(1422),
    [aux_sym__keyword_alter_token1] = ACTIONS(1422),
    [aux_sym__keyword_delete_token1] = ACTIONS(1422),
    [aux_sym__keyword_begin_token1] = ACTIONS(1422),
    [aux_sym__keyword_end_token1] = ACTIONS(1422),
    [aux_sym__keyword_between_token1] = ACTIONS(1422),
    [aux_sym__keyword_when_token1] = ACTIONS(1422),
    [aux_sym__keyword_else_token1] = ACTIONS(1424),
    [aux_sym__keyword_is_token1] = ACTIONS(1422),
    [aux_sym__keyword_in_token1] = ACTIONS(1424),
    [aux_sym__keyword_and_token1] = ACTIONS(1422),
    [aux_sym__keyword_like_token1] = ACTIONS(1422),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1422),
    [aux_sym__keyword_for_token1] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1422),
    [aux_sym_declare_statement_token1] = ACTIONS(1422),
    [anon_sym_COMMA] = ACTIONS(1422),
    [aux_sym_set_statement_token1] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1422),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1422),
    [aux_sym_return_satement_token1] = ACTIONS(1422),
    [aux_sym_call_statement_token1] = ACTIONS(1422),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1422),
    [aux_sym_if_statement_token1] = ACTIONS(1422),
    [aux_sym_loop_statement_token1] = ACTIONS(1422),
    [aux_sym_repeat_statement_token1] = ACTIONS(1422),
    [aux_sym_while_statement_token1] = ACTIONS(1422),
    [aux_sym_break_statement_token1] = ACTIONS(1422),
    [aux_sym_leave_statement_token1] = ACTIONS(1422),
    [aux_sym_continue_statement_token1] = ACTIONS(1422),
    [aux_sym_iterate_statement_token1] = ACTIONS(1422),
    [aux_sym_raise_statement_token1] = ACTIONS(1422),
    [anon_sym_EQ] = ACTIONS(1422),
    [aux_sym_assert_statement_token1] = ACTIONS(1422),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1422),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1422),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1422),
    [anon_sym_LT] = ACTIONS(1424),
    [anon_sym_GT] = ACTIONS(1424),
    [aux_sym_set_operation_token1] = ACTIONS(1422),
    [aux_sym_set_operation_token3] = ACTIONS(1422),
    [aux_sym_set_operation_token4] = ACTIONS(1424),
    [aux_sym_select_token1] = ACTIONS(1422),
    [aux_sym_limit_clause_token1] = ACTIONS(1422),
    [aux_sym__direction_keywords_token1] = ACTIONS(1422),
    [aux_sym__direction_keywords_token2] = ACTIONS(1422),
    [aux_sym__nulls_preference_token1] = ACTIONS(1422),
    [aux_sym_insert_statement_token1] = ACTIONS(1422),
    [aux_sym_truncate_statement_token1] = ACTIONS(1422),
    [aux_sym_update_statement_token1] = ACTIONS(1422),
    [aux_sym_merge_statement_token1] = ACTIONS(1422),
    [aux_sym_grant_statement_token1] = ACTIONS(1422),
    [aux_sym_revoke_statement_token1] = ACTIONS(1422),
    [aux_sym_export_data_statement_token1] = ACTIONS(1422),
    [aux_sym_load_data_statement_token1] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1422),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1424),
    [anon_sym_STAR] = ACTIONS(1422),
    [anon_sym_SLASH] = ACTIONS(1424),
    [anon_sym_PIPE_PIPE] = ACTIONS(1422),
    [anon_sym_LT_EQ] = ACTIONS(1422),
    [anon_sym_LT_GT] = ACTIONS(1422),
    [anon_sym_GT_EQ] = ACTIONS(1422),
    [anon_sym_BANG_EQ] = ACTIONS(1422),
    [anon_sym_LT_LT] = ACTIONS(1422),
    [anon_sym_GT_GT] = ACTIONS(1422),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_CARET] = ACTIONS(1422),
    [anon_sym_PIPE] = ACTIONS(1424),
  },
  [3168] = {
    [ts_builtin_sym_end] = ACTIONS(1430),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1430),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1430),
    [aux_sym_keyword_replace_token1] = ACTIONS(1430),
    [aux_sym__keyword_alter_token1] = ACTIONS(1430),
    [aux_sym__keyword_delete_token1] = ACTIONS(1430),
    [aux_sym__keyword_begin_token1] = ACTIONS(1430),
    [aux_sym__keyword_end_token1] = ACTIONS(1430),
    [aux_sym__keyword_between_token1] = ACTIONS(1430),
    [aux_sym__keyword_when_token1] = ACTIONS(1430),
    [aux_sym__keyword_else_token1] = ACTIONS(1432),
    [aux_sym__keyword_is_token1] = ACTIONS(1430),
    [aux_sym__keyword_in_token1] = ACTIONS(1432),
    [aux_sym__keyword_and_token1] = ACTIONS(1430),
    [aux_sym__keyword_like_token1] = ACTIONS(1430),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1430),
    [aux_sym__keyword_for_token1] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(1430),
    [aux_sym_declare_statement_token1] = ACTIONS(1430),
    [anon_sym_COMMA] = ACTIONS(1430),
    [aux_sym_set_statement_token1] = ACTIONS(1430),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1430),
    [aux_sym_return_satement_token1] = ACTIONS(1430),
    [aux_sym_call_statement_token1] = ACTIONS(1430),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1430),
    [aux_sym_if_statement_token1] = ACTIONS(1430),
    [aux_sym_loop_statement_token1] = ACTIONS(1430),
    [aux_sym_repeat_statement_token1] = ACTIONS(1430),
    [aux_sym_while_statement_token1] = ACTIONS(1430),
    [aux_sym_break_statement_token1] = ACTIONS(1430),
    [aux_sym_leave_statement_token1] = ACTIONS(1430),
    [aux_sym_continue_statement_token1] = ACTIONS(1430),
    [aux_sym_iterate_statement_token1] = ACTIONS(1430),
    [aux_sym_raise_statement_token1] = ACTIONS(1430),
    [anon_sym_EQ] = ACTIONS(1430),
    [aux_sym_assert_statement_token1] = ACTIONS(1430),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1430),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1430),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [aux_sym_set_operation_token1] = ACTIONS(1430),
    [aux_sym_set_operation_token3] = ACTIONS(1430),
    [aux_sym_set_operation_token4] = ACTIONS(1432),
    [aux_sym_select_token1] = ACTIONS(1430),
    [aux_sym_limit_clause_token1] = ACTIONS(1430),
    [aux_sym__direction_keywords_token1] = ACTIONS(1430),
    [aux_sym__direction_keywords_token2] = ACTIONS(1430),
    [aux_sym__nulls_preference_token1] = ACTIONS(1430),
    [aux_sym_insert_statement_token1] = ACTIONS(1430),
    [aux_sym_truncate_statement_token1] = ACTIONS(1430),
    [aux_sym_update_statement_token1] = ACTIONS(1430),
    [aux_sym_merge_statement_token1] = ACTIONS(1430),
    [aux_sym_grant_statement_token1] = ACTIONS(1430),
    [aux_sym_revoke_statement_token1] = ACTIONS(1430),
    [aux_sym_export_data_statement_token1] = ACTIONS(1430),
    [aux_sym_load_data_statement_token1] = ACTIONS(1430),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1432),
    [anon_sym_PIPE_PIPE] = ACTIONS(1430),
    [anon_sym_LT_EQ] = ACTIONS(1430),
    [anon_sym_LT_GT] = ACTIONS(1430),
    [anon_sym_GT_EQ] = ACTIONS(1430),
    [anon_sym_BANG_EQ] = ACTIONS(1430),
    [anon_sym_LT_LT] = ACTIONS(1430),
    [anon_sym_GT_GT] = ACTIONS(1430),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_PIPE] = ACTIONS(1432),
  },
  [3169] = {
    [sym__keyword_between] = STATE(1470),
    [sym__keyword_is] = STATE(12082),
    [sym__keyword_in] = STATE(1302),
    [sym__keyword_not] = STATE(13145),
    [sym__keyword_and] = STATE(1309),
    [sym__keyword_or] = STATE(1310),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1023),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1023),
    [aux_sym_keyword_replace_token1] = ACTIONS(1023),
    [aux_sym__keyword_alter_token1] = ACTIONS(1023),
    [aux_sym__keyword_delete_token1] = ACTIONS(1023),
    [aux_sym__keyword_begin_token1] = ACTIONS(1023),
    [aux_sym__keyword_end_token1] = ACTIONS(1023),
    [aux_sym__keyword_between_token1] = ACTIONS(1023),
    [aux_sym__keyword_else_token1] = ACTIONS(1025),
    [aux_sym__keyword_is_token1] = ACTIONS(1023),
    [aux_sym__keyword_in_token1] = ACTIONS(1025),
    [aux_sym__keyword_and_token1] = ACTIONS(1023),
    [aux_sym__keyword_like_token1] = ACTIONS(1023),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1023),
    [aux_sym__keyword_as_token1] = ACTIONS(1025),
    [aux_sym__keyword_for_token1] = ACTIONS(1023),
    [anon_sym_SEMI] = ACTIONS(1023),
    [aux_sym_declare_statement_token1] = ACTIONS(1023),
    [aux_sym_set_statement_token1] = ACTIONS(1023),
    [anon_sym_LPAREN] = ACTIONS(1023),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1023),
    [aux_sym_return_satement_token1] = ACTIONS(1023),
    [aux_sym_call_statement_token1] = ACTIONS(1023),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1023),
    [aux_sym_if_statement_token1] = ACTIONS(1023),
    [aux_sym_loop_statement_token1] = ACTIONS(1023),
    [aux_sym_repeat_statement_token1] = ACTIONS(1023),
    [aux_sym_while_statement_token1] = ACTIONS(1023),
    [aux_sym_break_statement_token1] = ACTIONS(1023),
    [aux_sym_leave_statement_token1] = ACTIONS(1023),
    [aux_sym_continue_statement_token1] = ACTIONS(1023),
    [aux_sym_iterate_statement_token1] = ACTIONS(1023),
    [aux_sym_raise_statement_token1] = ACTIONS(1023),
    [anon_sym_EQ] = ACTIONS(1023),
    [aux_sym_assert_statement_token1] = ACTIONS(1023),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1023),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1023),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1023),
    [anon_sym_LT] = ACTIONS(1025),
    [anon_sym_GT] = ACTIONS(1025),
    [aux_sym_select_token1] = ACTIONS(1023),
    [aux_sym_insert_statement_token1] = ACTIONS(1023),
    [aux_sym_truncate_statement_token1] = ACTIONS(1023),
    [aux_sym_update_statement_token1] = ACTIONS(1023),
    [aux_sym_merge_statement_token1] = ACTIONS(1023),
    [aux_sym_grant_statement_token1] = ACTIONS(1023),
    [aux_sym_revoke_statement_token1] = ACTIONS(1023),
    [aux_sym_export_data_statement_token1] = ACTIONS(1023),
    [aux_sym_load_data_statement_token1] = ACTIONS(1023),
    [anon_sym_LBRACK] = ACTIONS(1023),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1023),
    [anon_sym_PLUS] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_STAR] = ACTIONS(3178),
    [anon_sym_SLASH] = ACTIONS(3180),
    [anon_sym_PIPE_PIPE] = ACTIONS(3178),
    [anon_sym_LT_EQ] = ACTIONS(1023),
    [anon_sym_LT_GT] = ACTIONS(1023),
    [anon_sym_GT_EQ] = ACTIONS(1023),
    [anon_sym_BANG_EQ] = ACTIONS(1023),
    [anon_sym_LT_LT] = ACTIONS(3182),
    [anon_sym_GT_GT] = ACTIONS(3182),
    [anon_sym_AMP] = ACTIONS(3184),
    [anon_sym_CARET] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(3188),
  },
  [3170] = {
    [sym__keyword_between] = STATE(1470),
    [sym__keyword_is] = STATE(12082),
    [sym__keyword_in] = STATE(1302),
    [sym__keyword_not] = STATE(13145),
    [sym__keyword_and] = STATE(1309),
    [sym__keyword_or] = STATE(1310),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(947),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(947),
    [aux_sym_keyword_replace_token1] = ACTIONS(947),
    [aux_sym__keyword_alter_token1] = ACTIONS(947),
    [aux_sym__keyword_delete_token1] = ACTIONS(947),
    [aux_sym__keyword_begin_token1] = ACTIONS(947),
    [aux_sym__keyword_end_token1] = ACTIONS(947),
    [aux_sym__keyword_between_token1] = ACTIONS(947),
    [aux_sym__keyword_else_token1] = ACTIONS(949),
    [aux_sym__keyword_is_token1] = ACTIONS(947),
    [aux_sym__keyword_in_token1] = ACTIONS(949),
    [aux_sym__keyword_and_token1] = ACTIONS(947),
    [aux_sym__keyword_like_token1] = ACTIONS(947),
    [aux_sym__keyword_repeat_token1] = ACTIONS(947),
    [aux_sym__keyword_as_token1] = ACTIONS(949),
    [aux_sym__keyword_for_token1] = ACTIONS(947),
    [anon_sym_SEMI] = ACTIONS(947),
    [aux_sym_declare_statement_token1] = ACTIONS(947),
    [aux_sym_set_statement_token1] = ACTIONS(947),
    [anon_sym_LPAREN] = ACTIONS(947),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(947),
    [aux_sym_return_satement_token1] = ACTIONS(947),
    [aux_sym_call_statement_token1] = ACTIONS(947),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(947),
    [aux_sym_if_statement_token1] = ACTIONS(947),
    [aux_sym_loop_statement_token1] = ACTIONS(947),
    [aux_sym_repeat_statement_token1] = ACTIONS(947),
    [aux_sym_while_statement_token1] = ACTIONS(947),
    [aux_sym_break_statement_token1] = ACTIONS(947),
    [aux_sym_leave_statement_token1] = ACTIONS(947),
    [aux_sym_continue_statement_token1] = ACTIONS(947),
    [aux_sym_iterate_statement_token1] = ACTIONS(947),
    [aux_sym_raise_statement_token1] = ACTIONS(947),
    [anon_sym_EQ] = ACTIONS(947),
    [aux_sym_assert_statement_token1] = ACTIONS(947),
    [aux_sym_create_schema_statement_token1] = ACTIONS(947),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(947),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(949),
    [anon_sym_GT] = ACTIONS(949),
    [aux_sym_select_token1] = ACTIONS(947),
    [aux_sym_insert_statement_token1] = ACTIONS(947),
    [aux_sym_truncate_statement_token1] = ACTIONS(947),
    [aux_sym_update_statement_token1] = ACTIONS(947),
    [aux_sym_merge_statement_token1] = ACTIONS(947),
    [aux_sym_grant_statement_token1] = ACTIONS(947),
    [aux_sym_revoke_statement_token1] = ACTIONS(947),
    [aux_sym_export_data_statement_token1] = ACTIONS(947),
    [aux_sym_load_data_statement_token1] = ACTIONS(947),
    [anon_sym_LBRACK] = ACTIONS(947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_STAR] = ACTIONS(3178),
    [anon_sym_SLASH] = ACTIONS(3180),
    [anon_sym_PIPE_PIPE] = ACTIONS(3178),
    [anon_sym_LT_EQ] = ACTIONS(947),
    [anon_sym_LT_GT] = ACTIONS(947),
    [anon_sym_GT_EQ] = ACTIONS(947),
    [anon_sym_BANG_EQ] = ACTIONS(947),
    [anon_sym_LT_LT] = ACTIONS(3182),
    [anon_sym_GT_GT] = ACTIONS(3182),
    [anon_sym_AMP] = ACTIONS(3184),
    [anon_sym_CARET] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(3188),
  },
  [3171] = {
    [ts_builtin_sym_end] = ACTIONS(1434),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1434),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1434),
    [aux_sym_keyword_replace_token1] = ACTIONS(1434),
    [aux_sym__keyword_alter_token1] = ACTIONS(1434),
    [aux_sym__keyword_delete_token1] = ACTIONS(1434),
    [aux_sym__keyword_begin_token1] = ACTIONS(1434),
    [aux_sym__keyword_end_token1] = ACTIONS(1434),
    [aux_sym__keyword_between_token1] = ACTIONS(1434),
    [aux_sym__keyword_when_token1] = ACTIONS(1434),
    [aux_sym__keyword_else_token1] = ACTIONS(1436),
    [aux_sym__keyword_is_token1] = ACTIONS(1434),
    [aux_sym__keyword_in_token1] = ACTIONS(1436),
    [aux_sym__keyword_and_token1] = ACTIONS(1434),
    [aux_sym__keyword_like_token1] = ACTIONS(1434),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1434),
    [aux_sym__keyword_for_token1] = ACTIONS(1434),
    [anon_sym_SEMI] = ACTIONS(1434),
    [aux_sym_declare_statement_token1] = ACTIONS(1434),
    [anon_sym_COMMA] = ACTIONS(1434),
    [aux_sym_set_statement_token1] = ACTIONS(1434),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1434),
    [aux_sym_return_satement_token1] = ACTIONS(1434),
    [aux_sym_call_statement_token1] = ACTIONS(1434),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1434),
    [aux_sym_if_statement_token1] = ACTIONS(1434),
    [aux_sym_loop_statement_token1] = ACTIONS(1434),
    [aux_sym_repeat_statement_token1] = ACTIONS(1434),
    [aux_sym_while_statement_token1] = ACTIONS(1434),
    [aux_sym_break_statement_token1] = ACTIONS(1434),
    [aux_sym_leave_statement_token1] = ACTIONS(1434),
    [aux_sym_continue_statement_token1] = ACTIONS(1434),
    [aux_sym_iterate_statement_token1] = ACTIONS(1434),
    [aux_sym_raise_statement_token1] = ACTIONS(1434),
    [anon_sym_EQ] = ACTIONS(1434),
    [aux_sym_assert_statement_token1] = ACTIONS(1434),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1434),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1434),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1434),
    [anon_sym_LT] = ACTIONS(1436),
    [anon_sym_GT] = ACTIONS(1436),
    [aux_sym_set_operation_token1] = ACTIONS(1434),
    [aux_sym_set_operation_token3] = ACTIONS(1434),
    [aux_sym_set_operation_token4] = ACTIONS(1436),
    [aux_sym_select_token1] = ACTIONS(1434),
    [aux_sym_limit_clause_token1] = ACTIONS(1434),
    [aux_sym__direction_keywords_token1] = ACTIONS(1434),
    [aux_sym__direction_keywords_token2] = ACTIONS(1434),
    [aux_sym__nulls_preference_token1] = ACTIONS(1434),
    [aux_sym_insert_statement_token1] = ACTIONS(1434),
    [aux_sym_truncate_statement_token1] = ACTIONS(1434),
    [aux_sym_update_statement_token1] = ACTIONS(1434),
    [aux_sym_merge_statement_token1] = ACTIONS(1434),
    [aux_sym_grant_statement_token1] = ACTIONS(1434),
    [aux_sym_revoke_statement_token1] = ACTIONS(1434),
    [aux_sym_export_data_statement_token1] = ACTIONS(1434),
    [aux_sym_load_data_statement_token1] = ACTIONS(1434),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_STAR] = ACTIONS(1434),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1434),
    [anon_sym_LT_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1434),
    [anon_sym_BANG_EQ] = ACTIONS(1434),
    [anon_sym_LT_LT] = ACTIONS(1434),
    [anon_sym_GT_GT] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1434),
    [anon_sym_PIPE] = ACTIONS(1436),
  },
  [3172] = {
    [sym__keyword_between] = STATE(1470),
    [sym__keyword_is] = STATE(12082),
    [sym__keyword_in] = STATE(1302),
    [sym__keyword_not] = STATE(13145),
    [sym__keyword_and] = STATE(1309),
    [sym__keyword_or] = STATE(1310),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1031),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1031),
    [aux_sym_keyword_replace_token1] = ACTIONS(1031),
    [aux_sym__keyword_alter_token1] = ACTIONS(1031),
    [aux_sym__keyword_delete_token1] = ACTIONS(1031),
    [aux_sym__keyword_begin_token1] = ACTIONS(1031),
    [aux_sym__keyword_end_token1] = ACTIONS(1031),
    [aux_sym__keyword_between_token1] = ACTIONS(1031),
    [aux_sym__keyword_else_token1] = ACTIONS(1033),
    [aux_sym__keyword_is_token1] = ACTIONS(1031),
    [aux_sym__keyword_in_token1] = ACTIONS(1033),
    [aux_sym__keyword_and_token1] = ACTIONS(1031),
    [aux_sym__keyword_like_token1] = ACTIONS(1031),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1031),
    [aux_sym__keyword_as_token1] = ACTIONS(1033),
    [aux_sym__keyword_for_token1] = ACTIONS(1031),
    [anon_sym_SEMI] = ACTIONS(1031),
    [aux_sym_declare_statement_token1] = ACTIONS(1031),
    [aux_sym_set_statement_token1] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1031),
    [aux_sym_return_satement_token1] = ACTIONS(1031),
    [aux_sym_call_statement_token1] = ACTIONS(1031),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1031),
    [aux_sym_if_statement_token1] = ACTIONS(1031),
    [aux_sym_loop_statement_token1] = ACTIONS(1031),
    [aux_sym_repeat_statement_token1] = ACTIONS(1031),
    [aux_sym_while_statement_token1] = ACTIONS(1031),
    [aux_sym_break_statement_token1] = ACTIONS(1031),
    [aux_sym_leave_statement_token1] = ACTIONS(1031),
    [aux_sym_continue_statement_token1] = ACTIONS(1031),
    [aux_sym_iterate_statement_token1] = ACTIONS(1031),
    [aux_sym_raise_statement_token1] = ACTIONS(1031),
    [anon_sym_EQ] = ACTIONS(1031),
    [aux_sym_assert_statement_token1] = ACTIONS(1031),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1031),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1031),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1031),
    [anon_sym_LT] = ACTIONS(1033),
    [anon_sym_GT] = ACTIONS(1033),
    [aux_sym_select_token1] = ACTIONS(1031),
    [aux_sym_insert_statement_token1] = ACTIONS(1031),
    [aux_sym_truncate_statement_token1] = ACTIONS(1031),
    [aux_sym_update_statement_token1] = ACTIONS(1031),
    [aux_sym_merge_statement_token1] = ACTIONS(1031),
    [aux_sym_grant_statement_token1] = ACTIONS(1031),
    [aux_sym_revoke_statement_token1] = ACTIONS(1031),
    [aux_sym_export_data_statement_token1] = ACTIONS(1031),
    [aux_sym_load_data_statement_token1] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1031),
    [anon_sym_PLUS] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_STAR] = ACTIONS(3178),
    [anon_sym_SLASH] = ACTIONS(3180),
    [anon_sym_PIPE_PIPE] = ACTIONS(3178),
    [anon_sym_LT_EQ] = ACTIONS(1031),
    [anon_sym_LT_GT] = ACTIONS(1031),
    [anon_sym_GT_EQ] = ACTIONS(1031),
    [anon_sym_BANG_EQ] = ACTIONS(1031),
    [anon_sym_LT_LT] = ACTIONS(3182),
    [anon_sym_GT_GT] = ACTIONS(3182),
    [anon_sym_AMP] = ACTIONS(3184),
    [anon_sym_CARET] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(3188),
  },
  [3173] = {
    [sym__keyword_between] = STATE(1470),
    [sym__keyword_is] = STATE(12082),
    [sym__keyword_in] = STATE(1302),
    [sym__keyword_not] = STATE(13145),
    [sym__keyword_and] = STATE(1309),
    [sym__keyword_or] = STATE(1310),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1035),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1035),
    [aux_sym_keyword_replace_token1] = ACTIONS(1035),
    [aux_sym__keyword_alter_token1] = ACTIONS(1035),
    [aux_sym__keyword_delete_token1] = ACTIONS(1035),
    [aux_sym__keyword_begin_token1] = ACTIONS(1035),
    [aux_sym__keyword_end_token1] = ACTIONS(1035),
    [aux_sym__keyword_between_token1] = ACTIONS(1035),
    [aux_sym__keyword_else_token1] = ACTIONS(1037),
    [aux_sym__keyword_is_token1] = ACTIONS(1035),
    [aux_sym__keyword_in_token1] = ACTIONS(1037),
    [aux_sym__keyword_and_token1] = ACTIONS(1035),
    [aux_sym__keyword_like_token1] = ACTIONS(1035),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1035),
    [aux_sym__keyword_as_token1] = ACTIONS(1037),
    [aux_sym__keyword_for_token1] = ACTIONS(1035),
    [anon_sym_SEMI] = ACTIONS(1035),
    [aux_sym_declare_statement_token1] = ACTIONS(1035),
    [aux_sym_set_statement_token1] = ACTIONS(1035),
    [anon_sym_LPAREN] = ACTIONS(1035),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1035),
    [aux_sym_return_satement_token1] = ACTIONS(1035),
    [aux_sym_call_statement_token1] = ACTIONS(1035),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1035),
    [aux_sym_if_statement_token1] = ACTIONS(1035),
    [aux_sym_loop_statement_token1] = ACTIONS(1035),
    [aux_sym_repeat_statement_token1] = ACTIONS(1035),
    [aux_sym_while_statement_token1] = ACTIONS(1035),
    [aux_sym_break_statement_token1] = ACTIONS(1035),
    [aux_sym_leave_statement_token1] = ACTIONS(1035),
    [aux_sym_continue_statement_token1] = ACTIONS(1035),
    [aux_sym_iterate_statement_token1] = ACTIONS(1035),
    [aux_sym_raise_statement_token1] = ACTIONS(1035),
    [anon_sym_EQ] = ACTIONS(1035),
    [aux_sym_assert_statement_token1] = ACTIONS(1035),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1035),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1035),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1035),
    [anon_sym_LT] = ACTIONS(1037),
    [anon_sym_GT] = ACTIONS(1037),
    [aux_sym_select_token1] = ACTIONS(1035),
    [aux_sym_insert_statement_token1] = ACTIONS(1035),
    [aux_sym_truncate_statement_token1] = ACTIONS(1035),
    [aux_sym_update_statement_token1] = ACTIONS(1035),
    [aux_sym_merge_statement_token1] = ACTIONS(1035),
    [aux_sym_grant_statement_token1] = ACTIONS(1035),
    [aux_sym_revoke_statement_token1] = ACTIONS(1035),
    [aux_sym_export_data_statement_token1] = ACTIONS(1035),
    [aux_sym_load_data_statement_token1] = ACTIONS(1035),
    [anon_sym_LBRACK] = ACTIONS(1035),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1035),
    [anon_sym_PLUS] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_STAR] = ACTIONS(3178),
    [anon_sym_SLASH] = ACTIONS(3180),
    [anon_sym_PIPE_PIPE] = ACTIONS(3178),
    [anon_sym_LT_EQ] = ACTIONS(1035),
    [anon_sym_LT_GT] = ACTIONS(1035),
    [anon_sym_GT_EQ] = ACTIONS(1035),
    [anon_sym_BANG_EQ] = ACTIONS(1035),
    [anon_sym_LT_LT] = ACTIONS(3182),
    [anon_sym_GT_GT] = ACTIONS(3182),
    [anon_sym_AMP] = ACTIONS(3184),
    [anon_sym_CARET] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(3188),
  },
  [3174] = {
    [sym__keyword_between] = STATE(1470),
    [sym__keyword_is] = STATE(12082),
    [sym__keyword_in] = STATE(1302),
    [sym__keyword_not] = STATE(13145),
    [sym__keyword_and] = STATE(1309),
    [sym__keyword_or] = STATE(1310),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1039),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1039),
    [aux_sym_keyword_replace_token1] = ACTIONS(1039),
    [aux_sym__keyword_alter_token1] = ACTIONS(1039),
    [aux_sym__keyword_delete_token1] = ACTIONS(1039),
    [aux_sym__keyword_begin_token1] = ACTIONS(1039),
    [aux_sym__keyword_end_token1] = ACTIONS(1039),
    [aux_sym__keyword_between_token1] = ACTIONS(1039),
    [aux_sym__keyword_else_token1] = ACTIONS(1041),
    [aux_sym__keyword_is_token1] = ACTIONS(1039),
    [aux_sym__keyword_in_token1] = ACTIONS(1041),
    [aux_sym__keyword_and_token1] = ACTIONS(1039),
    [aux_sym__keyword_like_token1] = ACTIONS(1039),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1039),
    [aux_sym__keyword_as_token1] = ACTIONS(1041),
    [aux_sym__keyword_for_token1] = ACTIONS(1039),
    [anon_sym_SEMI] = ACTIONS(1039),
    [aux_sym_declare_statement_token1] = ACTIONS(1039),
    [aux_sym_set_statement_token1] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(1039),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1039),
    [aux_sym_return_satement_token1] = ACTIONS(1039),
    [aux_sym_call_statement_token1] = ACTIONS(1039),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1039),
    [aux_sym_if_statement_token1] = ACTIONS(1039),
    [aux_sym_loop_statement_token1] = ACTIONS(1039),
    [aux_sym_repeat_statement_token1] = ACTIONS(1039),
    [aux_sym_while_statement_token1] = ACTIONS(1039),
    [aux_sym_break_statement_token1] = ACTIONS(1039),
    [aux_sym_leave_statement_token1] = ACTIONS(1039),
    [aux_sym_continue_statement_token1] = ACTIONS(1039),
    [aux_sym_iterate_statement_token1] = ACTIONS(1039),
    [aux_sym_raise_statement_token1] = ACTIONS(1039),
    [anon_sym_EQ] = ACTIONS(1039),
    [aux_sym_assert_statement_token1] = ACTIONS(1039),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1039),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1039),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1039),
    [anon_sym_LT] = ACTIONS(1041),
    [anon_sym_GT] = ACTIONS(1041),
    [aux_sym_select_token1] = ACTIONS(1039),
    [aux_sym_insert_statement_token1] = ACTIONS(1039),
    [aux_sym_truncate_statement_token1] = ACTIONS(1039),
    [aux_sym_update_statement_token1] = ACTIONS(1039),
    [aux_sym_merge_statement_token1] = ACTIONS(1039),
    [aux_sym_grant_statement_token1] = ACTIONS(1039),
    [aux_sym_revoke_statement_token1] = ACTIONS(1039),
    [aux_sym_export_data_statement_token1] = ACTIONS(1039),
    [aux_sym_load_data_statement_token1] = ACTIONS(1039),
    [anon_sym_LBRACK] = ACTIONS(1039),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1039),
    [anon_sym_PLUS] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_STAR] = ACTIONS(3178),
    [anon_sym_SLASH] = ACTIONS(3180),
    [anon_sym_PIPE_PIPE] = ACTIONS(3178),
    [anon_sym_LT_EQ] = ACTIONS(1039),
    [anon_sym_LT_GT] = ACTIONS(1039),
    [anon_sym_GT_EQ] = ACTIONS(1039),
    [anon_sym_BANG_EQ] = ACTIONS(1039),
    [anon_sym_LT_LT] = ACTIONS(3182),
    [anon_sym_GT_GT] = ACTIONS(3182),
    [anon_sym_AMP] = ACTIONS(3184),
    [anon_sym_CARET] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(3188),
  },
  [3175] = {
    [sym_analytics_clause] = STATE(3547),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [3176] = {
    [sym__keyword_between] = STATE(1470),
    [sym__keyword_is] = STATE(12082),
    [sym__keyword_in] = STATE(1302),
    [sym__keyword_not] = STATE(13145),
    [sym__keyword_and] = STATE(1309),
    [sym__keyword_or] = STATE(1310),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(3160),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(3164),
    [aux_sym__keyword_in_token1] = ACTIONS(3166),
    [aux_sym__keyword_and_token1] = ACTIONS(3168),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(3172),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(3166),
    [anon_sym_GT] = ACTIONS(3166),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_STAR] = ACTIONS(3178),
    [anon_sym_SLASH] = ACTIONS(3180),
    [anon_sym_PIPE_PIPE] = ACTIONS(3178),
    [anon_sym_LT_EQ] = ACTIONS(3172),
    [anon_sym_LT_GT] = ACTIONS(3172),
    [anon_sym_GT_EQ] = ACTIONS(3172),
    [anon_sym_BANG_EQ] = ACTIONS(3172),
    [anon_sym_LT_LT] = ACTIONS(3182),
    [anon_sym_GT_GT] = ACTIONS(3182),
    [anon_sym_AMP] = ACTIONS(3184),
    [anon_sym_CARET] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(3188),
  },
  [3177] = {
    [sym__keyword_between] = STATE(1470),
    [sym__keyword_is] = STATE(12082),
    [sym__keyword_in] = STATE(1302),
    [sym__keyword_not] = STATE(13145),
    [sym__keyword_and] = STATE(1309),
    [sym__keyword_or] = STATE(1310),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(3160),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(3164),
    [aux_sym__keyword_in_token1] = ACTIONS(3166),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(3172),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(3166),
    [anon_sym_GT] = ACTIONS(3166),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_STAR] = ACTIONS(3178),
    [anon_sym_SLASH] = ACTIONS(3180),
    [anon_sym_PIPE_PIPE] = ACTIONS(3178),
    [anon_sym_LT_EQ] = ACTIONS(3172),
    [anon_sym_LT_GT] = ACTIONS(3172),
    [anon_sym_GT_EQ] = ACTIONS(3172),
    [anon_sym_BANG_EQ] = ACTIONS(3172),
    [anon_sym_LT_LT] = ACTIONS(3182),
    [anon_sym_GT_GT] = ACTIONS(3182),
    [anon_sym_AMP] = ACTIONS(3184),
    [anon_sym_CARET] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(3188),
  },
  [3178] = {
    [ts_builtin_sym_end] = ACTIONS(1438),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1438),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1438),
    [aux_sym_keyword_replace_token1] = ACTIONS(1438),
    [aux_sym__keyword_alter_token1] = ACTIONS(1438),
    [aux_sym__keyword_delete_token1] = ACTIONS(1438),
    [aux_sym__keyword_begin_token1] = ACTIONS(1438),
    [aux_sym__keyword_end_token1] = ACTIONS(1438),
    [aux_sym__keyword_between_token1] = ACTIONS(1438),
    [aux_sym__keyword_when_token1] = ACTIONS(1438),
    [aux_sym__keyword_else_token1] = ACTIONS(1440),
    [aux_sym__keyword_is_token1] = ACTIONS(1438),
    [aux_sym__keyword_in_token1] = ACTIONS(1440),
    [aux_sym__keyword_and_token1] = ACTIONS(1438),
    [aux_sym__keyword_like_token1] = ACTIONS(1438),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1438),
    [aux_sym__keyword_for_token1] = ACTIONS(1438),
    [anon_sym_SEMI] = ACTIONS(1438),
    [aux_sym_declare_statement_token1] = ACTIONS(1438),
    [anon_sym_COMMA] = ACTIONS(1438),
    [aux_sym_set_statement_token1] = ACTIONS(1438),
    [anon_sym_LPAREN] = ACTIONS(1438),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1438),
    [aux_sym_return_satement_token1] = ACTIONS(1438),
    [aux_sym_call_statement_token1] = ACTIONS(1438),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1438),
    [aux_sym_if_statement_token1] = ACTIONS(1438),
    [aux_sym_loop_statement_token1] = ACTIONS(1438),
    [aux_sym_repeat_statement_token1] = ACTIONS(1438),
    [aux_sym_while_statement_token1] = ACTIONS(1438),
    [aux_sym_break_statement_token1] = ACTIONS(1438),
    [aux_sym_leave_statement_token1] = ACTIONS(1438),
    [aux_sym_continue_statement_token1] = ACTIONS(1438),
    [aux_sym_iterate_statement_token1] = ACTIONS(1438),
    [aux_sym_raise_statement_token1] = ACTIONS(1438),
    [anon_sym_EQ] = ACTIONS(1438),
    [aux_sym_assert_statement_token1] = ACTIONS(1438),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1438),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1438),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1438),
    [anon_sym_LT] = ACTIONS(1440),
    [anon_sym_GT] = ACTIONS(1440),
    [aux_sym_set_operation_token1] = ACTIONS(1438),
    [aux_sym_set_operation_token3] = ACTIONS(1438),
    [aux_sym_set_operation_token4] = ACTIONS(1440),
    [aux_sym_select_token1] = ACTIONS(1438),
    [aux_sym_limit_clause_token1] = ACTIONS(1438),
    [aux_sym__direction_keywords_token1] = ACTIONS(1438),
    [aux_sym__direction_keywords_token2] = ACTIONS(1438),
    [aux_sym__nulls_preference_token1] = ACTIONS(1438),
    [aux_sym_insert_statement_token1] = ACTIONS(1438),
    [aux_sym_truncate_statement_token1] = ACTIONS(1438),
    [aux_sym_update_statement_token1] = ACTIONS(1438),
    [aux_sym_merge_statement_token1] = ACTIONS(1438),
    [aux_sym_grant_statement_token1] = ACTIONS(1438),
    [aux_sym_revoke_statement_token1] = ACTIONS(1438),
    [aux_sym_export_data_statement_token1] = ACTIONS(1438),
    [aux_sym_load_data_statement_token1] = ACTIONS(1438),
    [anon_sym_LBRACK] = ACTIONS(1438),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_STAR] = ACTIONS(1438),
    [anon_sym_SLASH] = ACTIONS(1440),
    [anon_sym_PIPE_PIPE] = ACTIONS(1438),
    [anon_sym_LT_EQ] = ACTIONS(1438),
    [anon_sym_LT_GT] = ACTIONS(1438),
    [anon_sym_GT_EQ] = ACTIONS(1438),
    [anon_sym_BANG_EQ] = ACTIONS(1438),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_AMP] = ACTIONS(1438),
    [anon_sym_CARET] = ACTIONS(1438),
    [anon_sym_PIPE] = ACTIONS(1440),
  },
  [3179] = {
    [ts_builtin_sym_end] = ACTIONS(1838),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1838),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1838),
    [aux_sym_keyword_replace_token1] = ACTIONS(1838),
    [aux_sym__keyword_alter_token1] = ACTIONS(1838),
    [aux_sym__keyword_delete_token1] = ACTIONS(1838),
    [aux_sym__keyword_begin_token1] = ACTIONS(1838),
    [aux_sym__keyword_end_token1] = ACTIONS(1838),
    [aux_sym__keyword_between_token1] = ACTIONS(1838),
    [aux_sym__keyword_when_token1] = ACTIONS(1838),
    [aux_sym__keyword_else_token1] = ACTIONS(1840),
    [aux_sym__keyword_is_token1] = ACTIONS(1838),
    [aux_sym__keyword_in_token1] = ACTIONS(1840),
    [aux_sym__keyword_and_token1] = ACTIONS(1838),
    [aux_sym__keyword_like_token1] = ACTIONS(1838),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1838),
    [aux_sym__keyword_for_token1] = ACTIONS(1838),
    [anon_sym_SEMI] = ACTIONS(1838),
    [aux_sym_declare_statement_token1] = ACTIONS(1838),
    [anon_sym_COMMA] = ACTIONS(1838),
    [aux_sym_set_statement_token1] = ACTIONS(1838),
    [anon_sym_LPAREN] = ACTIONS(1838),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1838),
    [aux_sym_return_satement_token1] = ACTIONS(1838),
    [aux_sym_call_statement_token1] = ACTIONS(1838),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1838),
    [aux_sym_if_statement_token1] = ACTIONS(1838),
    [aux_sym_loop_statement_token1] = ACTIONS(1838),
    [aux_sym_repeat_statement_token1] = ACTIONS(1838),
    [aux_sym_while_statement_token1] = ACTIONS(1838),
    [aux_sym_break_statement_token1] = ACTIONS(1838),
    [aux_sym_leave_statement_token1] = ACTIONS(1838),
    [aux_sym_continue_statement_token1] = ACTIONS(1838),
    [aux_sym_iterate_statement_token1] = ACTIONS(1838),
    [aux_sym_raise_statement_token1] = ACTIONS(1838),
    [anon_sym_EQ] = ACTIONS(1838),
    [aux_sym_assert_statement_token1] = ACTIONS(1838),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1838),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1838),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1838),
    [anon_sym_LT] = ACTIONS(1840),
    [anon_sym_GT] = ACTIONS(1840),
    [aux_sym_set_operation_token1] = ACTIONS(1838),
    [aux_sym_set_operation_token3] = ACTIONS(1838),
    [aux_sym_set_operation_token4] = ACTIONS(1840),
    [aux_sym_select_token1] = ACTIONS(1838),
    [aux_sym_limit_clause_token1] = ACTIONS(1838),
    [aux_sym__direction_keywords_token1] = ACTIONS(1838),
    [aux_sym__direction_keywords_token2] = ACTIONS(1838),
    [aux_sym__nulls_preference_token1] = ACTIONS(1838),
    [aux_sym_insert_statement_token1] = ACTIONS(1838),
    [aux_sym_truncate_statement_token1] = ACTIONS(1838),
    [aux_sym_update_statement_token1] = ACTIONS(1838),
    [aux_sym_merge_statement_token1] = ACTIONS(1838),
    [aux_sym_grant_statement_token1] = ACTIONS(1838),
    [aux_sym_revoke_statement_token1] = ACTIONS(1838),
    [aux_sym_export_data_statement_token1] = ACTIONS(1838),
    [aux_sym_load_data_statement_token1] = ACTIONS(1838),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1838),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1838),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE] = ACTIONS(1838),
    [anon_sym_LT_EQ] = ACTIONS(1838),
    [anon_sym_LT_GT] = ACTIONS(1838),
    [anon_sym_GT_EQ] = ACTIONS(1838),
    [anon_sym_BANG_EQ] = ACTIONS(1838),
    [anon_sym_LT_LT] = ACTIONS(1838),
    [anon_sym_GT_GT] = ACTIONS(1838),
    [anon_sym_AMP] = ACTIONS(1838),
    [anon_sym_CARET] = ACTIONS(1838),
    [anon_sym_PIPE] = ACTIONS(1840),
  },
  [3180] = {
    [ts_builtin_sym_end] = ACTIONS(1834),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1834),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1834),
    [aux_sym_keyword_replace_token1] = ACTIONS(1834),
    [aux_sym__keyword_alter_token1] = ACTIONS(1834),
    [aux_sym__keyword_delete_token1] = ACTIONS(1834),
    [aux_sym__keyword_begin_token1] = ACTIONS(1834),
    [aux_sym__keyword_end_token1] = ACTIONS(1834),
    [aux_sym__keyword_between_token1] = ACTIONS(1834),
    [aux_sym__keyword_when_token1] = ACTIONS(1834),
    [aux_sym__keyword_else_token1] = ACTIONS(1836),
    [aux_sym__keyword_is_token1] = ACTIONS(1834),
    [aux_sym__keyword_in_token1] = ACTIONS(1836),
    [aux_sym__keyword_and_token1] = ACTIONS(1834),
    [aux_sym__keyword_like_token1] = ACTIONS(1834),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1834),
    [aux_sym__keyword_for_token1] = ACTIONS(1834),
    [anon_sym_SEMI] = ACTIONS(1834),
    [aux_sym_declare_statement_token1] = ACTIONS(1834),
    [anon_sym_COMMA] = ACTIONS(1834),
    [aux_sym_set_statement_token1] = ACTIONS(1834),
    [anon_sym_LPAREN] = ACTIONS(1834),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1834),
    [aux_sym_return_satement_token1] = ACTIONS(1834),
    [aux_sym_call_statement_token1] = ACTIONS(1834),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1834),
    [aux_sym_if_statement_token1] = ACTIONS(1834),
    [aux_sym_loop_statement_token1] = ACTIONS(1834),
    [aux_sym_repeat_statement_token1] = ACTIONS(1834),
    [aux_sym_while_statement_token1] = ACTIONS(1834),
    [aux_sym_break_statement_token1] = ACTIONS(1834),
    [aux_sym_leave_statement_token1] = ACTIONS(1834),
    [aux_sym_continue_statement_token1] = ACTIONS(1834),
    [aux_sym_iterate_statement_token1] = ACTIONS(1834),
    [aux_sym_raise_statement_token1] = ACTIONS(1834),
    [anon_sym_EQ] = ACTIONS(1834),
    [aux_sym_assert_statement_token1] = ACTIONS(1834),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1834),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1834),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1834),
    [anon_sym_LT] = ACTIONS(1836),
    [anon_sym_GT] = ACTIONS(1836),
    [aux_sym_set_operation_token1] = ACTIONS(1834),
    [aux_sym_set_operation_token3] = ACTIONS(1834),
    [aux_sym_set_operation_token4] = ACTIONS(1836),
    [aux_sym_select_token1] = ACTIONS(1834),
    [aux_sym_limit_clause_token1] = ACTIONS(1834),
    [aux_sym__direction_keywords_token1] = ACTIONS(1834),
    [aux_sym__direction_keywords_token2] = ACTIONS(1834),
    [aux_sym__nulls_preference_token1] = ACTIONS(1834),
    [aux_sym_insert_statement_token1] = ACTIONS(1834),
    [aux_sym_truncate_statement_token1] = ACTIONS(1834),
    [aux_sym_update_statement_token1] = ACTIONS(1834),
    [aux_sym_merge_statement_token1] = ACTIONS(1834),
    [aux_sym_grant_statement_token1] = ACTIONS(1834),
    [aux_sym_revoke_statement_token1] = ACTIONS(1834),
    [aux_sym_export_data_statement_token1] = ACTIONS(1834),
    [aux_sym_load_data_statement_token1] = ACTIONS(1834),
    [anon_sym_LBRACK] = ACTIONS(1834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1834),
    [anon_sym_PLUS] = ACTIONS(1834),
    [anon_sym_DASH] = ACTIONS(1836),
    [anon_sym_STAR] = ACTIONS(1834),
    [anon_sym_SLASH] = ACTIONS(1836),
    [anon_sym_PIPE_PIPE] = ACTIONS(1834),
    [anon_sym_LT_EQ] = ACTIONS(1834),
    [anon_sym_LT_GT] = ACTIONS(1834),
    [anon_sym_GT_EQ] = ACTIONS(1834),
    [anon_sym_BANG_EQ] = ACTIONS(1834),
    [anon_sym_LT_LT] = ACTIONS(1834),
    [anon_sym_GT_GT] = ACTIONS(1834),
    [anon_sym_AMP] = ACTIONS(1834),
    [anon_sym_CARET] = ACTIONS(1834),
    [anon_sym_PIPE] = ACTIONS(1836),
  },
  [3181] = {
    [ts_builtin_sym_end] = ACTIONS(1454),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1454),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1454),
    [aux_sym_keyword_replace_token1] = ACTIONS(1454),
    [aux_sym__keyword_alter_token1] = ACTIONS(1454),
    [aux_sym__keyword_delete_token1] = ACTIONS(1454),
    [aux_sym__keyword_begin_token1] = ACTIONS(1454),
    [aux_sym__keyword_end_token1] = ACTIONS(1454),
    [aux_sym__keyword_between_token1] = ACTIONS(1454),
    [aux_sym__keyword_when_token1] = ACTIONS(1454),
    [aux_sym__keyword_else_token1] = ACTIONS(1456),
    [aux_sym__keyword_is_token1] = ACTIONS(1454),
    [aux_sym__keyword_in_token1] = ACTIONS(1456),
    [aux_sym__keyword_and_token1] = ACTIONS(1454),
    [aux_sym__keyword_like_token1] = ACTIONS(1454),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1454),
    [aux_sym__keyword_for_token1] = ACTIONS(1454),
    [anon_sym_SEMI] = ACTIONS(1454),
    [aux_sym_declare_statement_token1] = ACTIONS(1454),
    [anon_sym_COMMA] = ACTIONS(1454),
    [aux_sym_set_statement_token1] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1454),
    [aux_sym_return_satement_token1] = ACTIONS(1454),
    [aux_sym_call_statement_token1] = ACTIONS(1454),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1454),
    [aux_sym_if_statement_token1] = ACTIONS(1454),
    [aux_sym_loop_statement_token1] = ACTIONS(1454),
    [aux_sym_repeat_statement_token1] = ACTIONS(1454),
    [aux_sym_while_statement_token1] = ACTIONS(1454),
    [aux_sym_break_statement_token1] = ACTIONS(1454),
    [aux_sym_leave_statement_token1] = ACTIONS(1454),
    [aux_sym_continue_statement_token1] = ACTIONS(1454),
    [aux_sym_iterate_statement_token1] = ACTIONS(1454),
    [aux_sym_raise_statement_token1] = ACTIONS(1454),
    [anon_sym_EQ] = ACTIONS(1454),
    [aux_sym_assert_statement_token1] = ACTIONS(1454),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1454),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1454),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1454),
    [anon_sym_LT] = ACTIONS(1456),
    [anon_sym_GT] = ACTIONS(1456),
    [aux_sym_set_operation_token1] = ACTIONS(1454),
    [aux_sym_set_operation_token3] = ACTIONS(1454),
    [aux_sym_set_operation_token4] = ACTIONS(1456),
    [aux_sym_select_token1] = ACTIONS(1454),
    [aux_sym_limit_clause_token1] = ACTIONS(1454),
    [aux_sym__direction_keywords_token1] = ACTIONS(1454),
    [aux_sym__direction_keywords_token2] = ACTIONS(1454),
    [aux_sym__nulls_preference_token1] = ACTIONS(1454),
    [aux_sym_insert_statement_token1] = ACTIONS(1454),
    [aux_sym_truncate_statement_token1] = ACTIONS(1454),
    [aux_sym_update_statement_token1] = ACTIONS(1454),
    [aux_sym_merge_statement_token1] = ACTIONS(1454),
    [aux_sym_grant_statement_token1] = ACTIONS(1454),
    [aux_sym_revoke_statement_token1] = ACTIONS(1454),
    [aux_sym_export_data_statement_token1] = ACTIONS(1454),
    [aux_sym_load_data_statement_token1] = ACTIONS(1454),
    [anon_sym_LBRACK] = ACTIONS(1454),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1454),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1454),
    [anon_sym_SLASH] = ACTIONS(1456),
    [anon_sym_PIPE_PIPE] = ACTIONS(1454),
    [anon_sym_LT_EQ] = ACTIONS(1454),
    [anon_sym_LT_GT] = ACTIONS(1454),
    [anon_sym_GT_EQ] = ACTIONS(1454),
    [anon_sym_BANG_EQ] = ACTIONS(1454),
    [anon_sym_LT_LT] = ACTIONS(1454),
    [anon_sym_GT_GT] = ACTIONS(1454),
    [anon_sym_AMP] = ACTIONS(1454),
    [anon_sym_CARET] = ACTIONS(1454),
    [anon_sym_PIPE] = ACTIONS(1456),
  },
  [3182] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1364),
    [aux_sym_set_operation_token3] = ACTIONS(1364),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_limit_clause_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token1] = ACTIONS(1364),
    [aux_sym__direction_keywords_token2] = ACTIONS(1364),
    [aux_sym__nulls_preference_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3183] = {
    [ts_builtin_sym_end] = ACTIONS(1470),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1470),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1470),
    [aux_sym_keyword_replace_token1] = ACTIONS(1470),
    [aux_sym__keyword_alter_token1] = ACTIONS(1470),
    [aux_sym__keyword_delete_token1] = ACTIONS(1470),
    [aux_sym__keyword_begin_token1] = ACTIONS(1470),
    [aux_sym__keyword_end_token1] = ACTIONS(1470),
    [aux_sym__keyword_between_token1] = ACTIONS(1470),
    [aux_sym__keyword_when_token1] = ACTIONS(1470),
    [aux_sym__keyword_else_token1] = ACTIONS(1472),
    [aux_sym__keyword_is_token1] = ACTIONS(1470),
    [aux_sym__keyword_in_token1] = ACTIONS(1472),
    [aux_sym__keyword_and_token1] = ACTIONS(1470),
    [aux_sym__keyword_like_token1] = ACTIONS(1470),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1470),
    [aux_sym__keyword_for_token1] = ACTIONS(1470),
    [anon_sym_SEMI] = ACTIONS(1470),
    [aux_sym_declare_statement_token1] = ACTIONS(1470),
    [anon_sym_COMMA] = ACTIONS(1470),
    [aux_sym_set_statement_token1] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1470),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1470),
    [aux_sym_return_satement_token1] = ACTIONS(1470),
    [aux_sym_call_statement_token1] = ACTIONS(1470),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1470),
    [aux_sym_if_statement_token1] = ACTIONS(1470),
    [aux_sym_loop_statement_token1] = ACTIONS(1470),
    [aux_sym_repeat_statement_token1] = ACTIONS(1470),
    [aux_sym_while_statement_token1] = ACTIONS(1470),
    [aux_sym_break_statement_token1] = ACTIONS(1470),
    [aux_sym_leave_statement_token1] = ACTIONS(1470),
    [aux_sym_continue_statement_token1] = ACTIONS(1470),
    [aux_sym_iterate_statement_token1] = ACTIONS(1470),
    [aux_sym_raise_statement_token1] = ACTIONS(1470),
    [anon_sym_EQ] = ACTIONS(1470),
    [aux_sym_assert_statement_token1] = ACTIONS(1470),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1470),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1470),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1470),
    [anon_sym_LT] = ACTIONS(1472),
    [anon_sym_GT] = ACTIONS(1472),
    [aux_sym_set_operation_token1] = ACTIONS(1470),
    [aux_sym_set_operation_token3] = ACTIONS(1470),
    [aux_sym_set_operation_token4] = ACTIONS(1472),
    [aux_sym_select_token1] = ACTIONS(1470),
    [aux_sym_limit_clause_token1] = ACTIONS(1470),
    [aux_sym__direction_keywords_token1] = ACTIONS(1470),
    [aux_sym__direction_keywords_token2] = ACTIONS(1470),
    [aux_sym__nulls_preference_token1] = ACTIONS(1470),
    [aux_sym_insert_statement_token1] = ACTIONS(1470),
    [aux_sym_truncate_statement_token1] = ACTIONS(1470),
    [aux_sym_update_statement_token1] = ACTIONS(1470),
    [aux_sym_merge_statement_token1] = ACTIONS(1470),
    [aux_sym_grant_statement_token1] = ACTIONS(1470),
    [aux_sym_revoke_statement_token1] = ACTIONS(1470),
    [aux_sym_export_data_statement_token1] = ACTIONS(1470),
    [aux_sym_load_data_statement_token1] = ACTIONS(1470),
    [anon_sym_LBRACK] = ACTIONS(1470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1470),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_STAR] = ACTIONS(1470),
    [anon_sym_SLASH] = ACTIONS(1472),
    [anon_sym_PIPE_PIPE] = ACTIONS(1470),
    [anon_sym_LT_EQ] = ACTIONS(1470),
    [anon_sym_LT_GT] = ACTIONS(1470),
    [anon_sym_GT_EQ] = ACTIONS(1470),
    [anon_sym_BANG_EQ] = ACTIONS(1470),
    [anon_sym_LT_LT] = ACTIONS(1470),
    [anon_sym_GT_GT] = ACTIONS(1470),
    [anon_sym_AMP] = ACTIONS(1470),
    [anon_sym_CARET] = ACTIONS(1470),
    [anon_sym_PIPE] = ACTIONS(1472),
  },
  [3184] = {
    [ts_builtin_sym_end] = ACTIONS(1854),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1854),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1854),
    [aux_sym_keyword_replace_token1] = ACTIONS(1854),
    [aux_sym__keyword_alter_token1] = ACTIONS(1854),
    [aux_sym__keyword_delete_token1] = ACTIONS(1854),
    [aux_sym__keyword_begin_token1] = ACTIONS(1854),
    [aux_sym__keyword_end_token1] = ACTIONS(1854),
    [aux_sym__keyword_between_token1] = ACTIONS(1854),
    [aux_sym__keyword_when_token1] = ACTIONS(1854),
    [aux_sym__keyword_else_token1] = ACTIONS(1856),
    [aux_sym__keyword_is_token1] = ACTIONS(1854),
    [aux_sym__keyword_in_token1] = ACTIONS(1856),
    [aux_sym__keyword_and_token1] = ACTIONS(1854),
    [aux_sym__keyword_like_token1] = ACTIONS(1854),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1854),
    [aux_sym__keyword_for_token1] = ACTIONS(1854),
    [anon_sym_SEMI] = ACTIONS(1854),
    [aux_sym_declare_statement_token1] = ACTIONS(1854),
    [anon_sym_COMMA] = ACTIONS(1854),
    [aux_sym_set_statement_token1] = ACTIONS(1854),
    [anon_sym_LPAREN] = ACTIONS(1854),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1854),
    [aux_sym_return_satement_token1] = ACTIONS(1854),
    [aux_sym_call_statement_token1] = ACTIONS(1854),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1854),
    [aux_sym_if_statement_token1] = ACTIONS(1854),
    [aux_sym_loop_statement_token1] = ACTIONS(1854),
    [aux_sym_repeat_statement_token1] = ACTIONS(1854),
    [aux_sym_while_statement_token1] = ACTIONS(1854),
    [aux_sym_break_statement_token1] = ACTIONS(1854),
    [aux_sym_leave_statement_token1] = ACTIONS(1854),
    [aux_sym_continue_statement_token1] = ACTIONS(1854),
    [aux_sym_iterate_statement_token1] = ACTIONS(1854),
    [aux_sym_raise_statement_token1] = ACTIONS(1854),
    [anon_sym_EQ] = ACTIONS(1854),
    [aux_sym_assert_statement_token1] = ACTIONS(1854),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1854),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1854),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1854),
    [anon_sym_LT] = ACTIONS(1856),
    [anon_sym_GT] = ACTIONS(1856),
    [aux_sym_set_operation_token1] = ACTIONS(1854),
    [aux_sym_set_operation_token3] = ACTIONS(1854),
    [aux_sym_set_operation_token4] = ACTIONS(1856),
    [aux_sym_select_token1] = ACTIONS(1854),
    [aux_sym_limit_clause_token1] = ACTIONS(1854),
    [aux_sym__direction_keywords_token1] = ACTIONS(1854),
    [aux_sym__direction_keywords_token2] = ACTIONS(1854),
    [aux_sym__nulls_preference_token1] = ACTIONS(1854),
    [aux_sym_insert_statement_token1] = ACTIONS(1854),
    [aux_sym_truncate_statement_token1] = ACTIONS(1854),
    [aux_sym_update_statement_token1] = ACTIONS(1854),
    [aux_sym_merge_statement_token1] = ACTIONS(1854),
    [aux_sym_grant_statement_token1] = ACTIONS(1854),
    [aux_sym_revoke_statement_token1] = ACTIONS(1854),
    [aux_sym_export_data_statement_token1] = ACTIONS(1854),
    [aux_sym_load_data_statement_token1] = ACTIONS(1854),
    [anon_sym_LBRACK] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1854),
    [anon_sym_SLASH] = ACTIONS(1856),
    [anon_sym_PIPE_PIPE] = ACTIONS(1854),
    [anon_sym_LT_EQ] = ACTIONS(1854),
    [anon_sym_LT_GT] = ACTIONS(1854),
    [anon_sym_GT_EQ] = ACTIONS(1854),
    [anon_sym_BANG_EQ] = ACTIONS(1854),
    [anon_sym_LT_LT] = ACTIONS(1854),
    [anon_sym_GT_GT] = ACTIONS(1854),
    [anon_sym_AMP] = ACTIONS(1854),
    [anon_sym_CARET] = ACTIONS(1854),
    [anon_sym_PIPE] = ACTIONS(1856),
  },
  [3185] = {
    [ts_builtin_sym_end] = ACTIONS(1846),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1846),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1846),
    [aux_sym_keyword_replace_token1] = ACTIONS(1846),
    [aux_sym__keyword_alter_token1] = ACTIONS(1846),
    [aux_sym__keyword_delete_token1] = ACTIONS(1846),
    [aux_sym__keyword_begin_token1] = ACTIONS(1846),
    [aux_sym__keyword_end_token1] = ACTIONS(1846),
    [aux_sym__keyword_between_token1] = ACTIONS(1846),
    [aux_sym__keyword_when_token1] = ACTIONS(1846),
    [aux_sym__keyword_else_token1] = ACTIONS(1848),
    [aux_sym__keyword_is_token1] = ACTIONS(1846),
    [aux_sym__keyword_in_token1] = ACTIONS(1848),
    [aux_sym__keyword_and_token1] = ACTIONS(1846),
    [aux_sym__keyword_like_token1] = ACTIONS(1846),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1846),
    [aux_sym__keyword_for_token1] = ACTIONS(1846),
    [anon_sym_SEMI] = ACTIONS(1846),
    [aux_sym_declare_statement_token1] = ACTIONS(1846),
    [anon_sym_COMMA] = ACTIONS(1846),
    [aux_sym_set_statement_token1] = ACTIONS(1846),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1846),
    [aux_sym_return_satement_token1] = ACTIONS(1846),
    [aux_sym_call_statement_token1] = ACTIONS(1846),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1846),
    [aux_sym_if_statement_token1] = ACTIONS(1846),
    [aux_sym_loop_statement_token1] = ACTIONS(1846),
    [aux_sym_repeat_statement_token1] = ACTIONS(1846),
    [aux_sym_while_statement_token1] = ACTIONS(1846),
    [aux_sym_break_statement_token1] = ACTIONS(1846),
    [aux_sym_leave_statement_token1] = ACTIONS(1846),
    [aux_sym_continue_statement_token1] = ACTIONS(1846),
    [aux_sym_iterate_statement_token1] = ACTIONS(1846),
    [aux_sym_raise_statement_token1] = ACTIONS(1846),
    [anon_sym_EQ] = ACTIONS(1846),
    [aux_sym_assert_statement_token1] = ACTIONS(1846),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1846),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1846),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1846),
    [anon_sym_LT] = ACTIONS(1848),
    [anon_sym_GT] = ACTIONS(1848),
    [aux_sym_set_operation_token1] = ACTIONS(1846),
    [aux_sym_set_operation_token3] = ACTIONS(1846),
    [aux_sym_set_operation_token4] = ACTIONS(1848),
    [aux_sym_select_token1] = ACTIONS(1846),
    [aux_sym_limit_clause_token1] = ACTIONS(1846),
    [aux_sym__direction_keywords_token1] = ACTIONS(1846),
    [aux_sym__direction_keywords_token2] = ACTIONS(1846),
    [aux_sym__nulls_preference_token1] = ACTIONS(1846),
    [aux_sym_insert_statement_token1] = ACTIONS(1846),
    [aux_sym_truncate_statement_token1] = ACTIONS(1846),
    [aux_sym_update_statement_token1] = ACTIONS(1846),
    [aux_sym_merge_statement_token1] = ACTIONS(1846),
    [aux_sym_grant_statement_token1] = ACTIONS(1846),
    [aux_sym_revoke_statement_token1] = ACTIONS(1846),
    [aux_sym_export_data_statement_token1] = ACTIONS(1846),
    [aux_sym_load_data_statement_token1] = ACTIONS(1846),
    [anon_sym_LBRACK] = ACTIONS(1846),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1846),
    [anon_sym_PLUS] = ACTIONS(1846),
    [anon_sym_DASH] = ACTIONS(1848),
    [anon_sym_STAR] = ACTIONS(1846),
    [anon_sym_SLASH] = ACTIONS(1848),
    [anon_sym_PIPE_PIPE] = ACTIONS(1846),
    [anon_sym_LT_EQ] = ACTIONS(1846),
    [anon_sym_LT_GT] = ACTIONS(1846),
    [anon_sym_GT_EQ] = ACTIONS(1846),
    [anon_sym_BANG_EQ] = ACTIONS(1846),
    [anon_sym_LT_LT] = ACTIONS(1846),
    [anon_sym_GT_GT] = ACTIONS(1846),
    [anon_sym_AMP] = ACTIONS(1846),
    [anon_sym_CARET] = ACTIONS(1846),
    [anon_sym_PIPE] = ACTIONS(1848),
  },
  [3186] = {
    [sym__keyword_between] = STATE(1470),
    [sym__keyword_is] = STATE(12082),
    [sym__keyword_in] = STATE(1302),
    [sym__keyword_not] = STATE(13145),
    [sym__keyword_and] = STATE(1309),
    [sym__keyword_or] = STATE(1310),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_STAR] = ACTIONS(3178),
    [anon_sym_SLASH] = ACTIONS(3180),
    [anon_sym_PIPE_PIPE] = ACTIONS(3178),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(3182),
    [anon_sym_GT_GT] = ACTIONS(3182),
    [anon_sym_AMP] = ACTIONS(3184),
    [anon_sym_CARET] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [3187] = {
    [sym__keyword_between] = STATE(1470),
    [sym__keyword_is] = STATE(12082),
    [sym__keyword_in] = STATE(1302),
    [sym__keyword_not] = STATE(13145),
    [sym__keyword_and] = STATE(1309),
    [sym__keyword_or] = STATE(1310),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_STAR] = ACTIONS(3178),
    [anon_sym_SLASH] = ACTIONS(3180),
    [anon_sym_PIPE_PIPE] = ACTIONS(3178),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(3182),
    [anon_sym_GT_GT] = ACTIONS(3182),
    [anon_sym_AMP] = ACTIONS(3184),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [3188] = {
    [sym__keyword_between] = STATE(1470),
    [sym__keyword_is] = STATE(12082),
    [sym__keyword_in] = STATE(1302),
    [sym__keyword_not] = STATE(13145),
    [sym__keyword_and] = STATE(1309),
    [sym__keyword_or] = STATE(1310),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_STAR] = ACTIONS(3178),
    [anon_sym_SLASH] = ACTIONS(3180),
    [anon_sym_PIPE_PIPE] = ACTIONS(3178),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(3182),
    [anon_sym_GT_GT] = ACTIONS(3182),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [3189] = {
    [ts_builtin_sym_end] = ACTIONS(1578),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1578),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1578),
    [aux_sym_keyword_replace_token1] = ACTIONS(1578),
    [aux_sym__keyword_alter_token1] = ACTIONS(1578),
    [aux_sym__keyword_delete_token1] = ACTIONS(1578),
    [aux_sym__keyword_begin_token1] = ACTIONS(1578),
    [aux_sym__keyword_end_token1] = ACTIONS(1578),
    [aux_sym__keyword_between_token1] = ACTIONS(1578),
    [aux_sym__keyword_when_token1] = ACTIONS(1578),
    [aux_sym__keyword_else_token1] = ACTIONS(1580),
    [aux_sym__keyword_is_token1] = ACTIONS(1578),
    [aux_sym__keyword_in_token1] = ACTIONS(1580),
    [aux_sym__keyword_and_token1] = ACTIONS(1578),
    [aux_sym__keyword_like_token1] = ACTIONS(1578),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1578),
    [aux_sym__keyword_for_token1] = ACTIONS(1578),
    [anon_sym_SEMI] = ACTIONS(1578),
    [aux_sym_declare_statement_token1] = ACTIONS(1578),
    [anon_sym_COMMA] = ACTIONS(1578),
    [aux_sym_set_statement_token1] = ACTIONS(1578),
    [anon_sym_LPAREN] = ACTIONS(1578),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1578),
    [aux_sym_return_satement_token1] = ACTIONS(1578),
    [aux_sym_call_statement_token1] = ACTIONS(1578),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1578),
    [aux_sym_if_statement_token1] = ACTIONS(1578),
    [aux_sym_loop_statement_token1] = ACTIONS(1578),
    [aux_sym_repeat_statement_token1] = ACTIONS(1578),
    [aux_sym_while_statement_token1] = ACTIONS(1578),
    [aux_sym_break_statement_token1] = ACTIONS(1578),
    [aux_sym_leave_statement_token1] = ACTIONS(1578),
    [aux_sym_continue_statement_token1] = ACTIONS(1578),
    [aux_sym_iterate_statement_token1] = ACTIONS(1578),
    [aux_sym_raise_statement_token1] = ACTIONS(1578),
    [anon_sym_EQ] = ACTIONS(1578),
    [aux_sym_assert_statement_token1] = ACTIONS(1578),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1578),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1578),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1578),
    [anon_sym_LT] = ACTIONS(1580),
    [anon_sym_GT] = ACTIONS(1580),
    [aux_sym_set_operation_token1] = ACTIONS(1578),
    [aux_sym_set_operation_token3] = ACTIONS(1578),
    [aux_sym_set_operation_token4] = ACTIONS(1580),
    [aux_sym_select_token1] = ACTIONS(1578),
    [aux_sym_limit_clause_token1] = ACTIONS(1578),
    [aux_sym__direction_keywords_token1] = ACTIONS(1578),
    [aux_sym__direction_keywords_token2] = ACTIONS(1578),
    [aux_sym__nulls_preference_token1] = ACTIONS(1578),
    [aux_sym_insert_statement_token1] = ACTIONS(1578),
    [aux_sym_truncate_statement_token1] = ACTIONS(1578),
    [aux_sym_update_statement_token1] = ACTIONS(1578),
    [aux_sym_merge_statement_token1] = ACTIONS(1578),
    [aux_sym_grant_statement_token1] = ACTIONS(1578),
    [aux_sym_revoke_statement_token1] = ACTIONS(1578),
    [aux_sym_export_data_statement_token1] = ACTIONS(1578),
    [aux_sym_load_data_statement_token1] = ACTIONS(1578),
    [anon_sym_LBRACK] = ACTIONS(1578),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1578),
    [anon_sym_DASH] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(1578),
    [anon_sym_SLASH] = ACTIONS(1580),
    [anon_sym_PIPE_PIPE] = ACTIONS(1578),
    [anon_sym_LT_EQ] = ACTIONS(1578),
    [anon_sym_LT_GT] = ACTIONS(1578),
    [anon_sym_GT_EQ] = ACTIONS(1578),
    [anon_sym_BANG_EQ] = ACTIONS(1578),
    [anon_sym_LT_LT] = ACTIONS(1578),
    [anon_sym_GT_GT] = ACTIONS(1578),
    [anon_sym_AMP] = ACTIONS(1578),
    [anon_sym_CARET] = ACTIONS(1578),
    [anon_sym_PIPE] = ACTIONS(1580),
  },
  [3190] = {
    [sym__keyword_between] = STATE(1470),
    [sym__keyword_is] = STATE(12082),
    [sym__keyword_in] = STATE(1302),
    [sym__keyword_not] = STATE(13145),
    [sym__keyword_and] = STATE(1309),
    [sym__keyword_or] = STATE(1310),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_STAR] = ACTIONS(3178),
    [anon_sym_SLASH] = ACTIONS(3180),
    [anon_sym_PIPE_PIPE] = ACTIONS(3178),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [3191] = {
    [sym__keyword_between] = STATE(1470),
    [sym__keyword_is] = STATE(12082),
    [sym__keyword_in] = STATE(1302),
    [sym__keyword_not] = STATE(13145),
    [sym__keyword_and] = STATE(1309),
    [sym__keyword_or] = STATE(1310),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(917),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PIPE_PIPE] = ACTIONS(917),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [3192] = {
    [sym__keyword_between] = STATE(1470),
    [sym__keyword_is] = STATE(12082),
    [sym__keyword_in] = STATE(1302),
    [sym__keyword_not] = STATE(13145),
    [sym__keyword_and] = STATE(1309),
    [sym__keyword_or] = STATE(1310),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(3178),
    [anon_sym_SLASH] = ACTIONS(3180),
    [anon_sym_PIPE_PIPE] = ACTIONS(3178),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [3193] = {
    [sym__keyword_between] = STATE(1470),
    [sym__keyword_is] = STATE(12082),
    [sym__keyword_in] = STATE(1302),
    [sym__keyword_not] = STATE(13145),
    [sym__keyword_and] = STATE(1309),
    [sym__keyword_or] = STATE(1310),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_STAR] = ACTIONS(3178),
    [anon_sym_SLASH] = ACTIONS(3180),
    [anon_sym_PIPE_PIPE] = ACTIONS(3178),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(3182),
    [anon_sym_GT_GT] = ACTIONS(3182),
    [anon_sym_AMP] = ACTIONS(3184),
    [anon_sym_CARET] = ACTIONS(3186),
    [anon_sym_PIPE] = ACTIONS(3188),
  },
  [3194] = {
    [ts_builtin_sym_end] = ACTIONS(1492),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1492),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1492),
    [aux_sym_keyword_replace_token1] = ACTIONS(1492),
    [aux_sym__keyword_alter_token1] = ACTIONS(1492),
    [aux_sym__keyword_delete_token1] = ACTIONS(1492),
    [aux_sym__keyword_begin_token1] = ACTIONS(1492),
    [aux_sym__keyword_end_token1] = ACTIONS(1492),
    [aux_sym__keyword_between_token1] = ACTIONS(1492),
    [aux_sym__keyword_when_token1] = ACTIONS(1492),
    [aux_sym__keyword_else_token1] = ACTIONS(1494),
    [aux_sym__keyword_is_token1] = ACTIONS(1492),
    [aux_sym__keyword_in_token1] = ACTIONS(1494),
    [aux_sym__keyword_and_token1] = ACTIONS(1492),
    [aux_sym__keyword_like_token1] = ACTIONS(1492),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1492),
    [aux_sym__keyword_for_token1] = ACTIONS(1492),
    [anon_sym_SEMI] = ACTIONS(1492),
    [aux_sym_declare_statement_token1] = ACTIONS(1492),
    [anon_sym_COMMA] = ACTIONS(1492),
    [aux_sym_set_statement_token1] = ACTIONS(1492),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1492),
    [aux_sym_return_satement_token1] = ACTIONS(1492),
    [aux_sym_call_statement_token1] = ACTIONS(1492),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1492),
    [aux_sym_if_statement_token1] = ACTIONS(1492),
    [aux_sym_loop_statement_token1] = ACTIONS(1492),
    [aux_sym_repeat_statement_token1] = ACTIONS(1492),
    [aux_sym_while_statement_token1] = ACTIONS(1492),
    [aux_sym_break_statement_token1] = ACTIONS(1492),
    [aux_sym_leave_statement_token1] = ACTIONS(1492),
    [aux_sym_continue_statement_token1] = ACTIONS(1492),
    [aux_sym_iterate_statement_token1] = ACTIONS(1492),
    [aux_sym_raise_statement_token1] = ACTIONS(1492),
    [anon_sym_EQ] = ACTIONS(1492),
    [aux_sym_assert_statement_token1] = ACTIONS(1492),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1492),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1492),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1492),
    [anon_sym_LT] = ACTIONS(1494),
    [anon_sym_GT] = ACTIONS(1494),
    [aux_sym_set_operation_token1] = ACTIONS(1492),
    [aux_sym_set_operation_token3] = ACTIONS(1492),
    [aux_sym_set_operation_token4] = ACTIONS(1494),
    [aux_sym_select_token1] = ACTIONS(1492),
    [aux_sym_limit_clause_token1] = ACTIONS(1492),
    [aux_sym__direction_keywords_token1] = ACTIONS(1492),
    [aux_sym__direction_keywords_token2] = ACTIONS(1492),
    [aux_sym__nulls_preference_token1] = ACTIONS(1492),
    [aux_sym_insert_statement_token1] = ACTIONS(1492),
    [aux_sym_truncate_statement_token1] = ACTIONS(1492),
    [aux_sym_update_statement_token1] = ACTIONS(1492),
    [aux_sym_merge_statement_token1] = ACTIONS(1492),
    [aux_sym_grant_statement_token1] = ACTIONS(1492),
    [aux_sym_revoke_statement_token1] = ACTIONS(1492),
    [aux_sym_export_data_statement_token1] = ACTIONS(1492),
    [aux_sym_load_data_statement_token1] = ACTIONS(1492),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_STAR] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1494),
    [anon_sym_PIPE_PIPE] = ACTIONS(1492),
    [anon_sym_LT_EQ] = ACTIONS(1492),
    [anon_sym_LT_GT] = ACTIONS(1492),
    [anon_sym_GT_EQ] = ACTIONS(1492),
    [anon_sym_BANG_EQ] = ACTIONS(1492),
    [anon_sym_LT_LT] = ACTIONS(1492),
    [anon_sym_GT_GT] = ACTIONS(1492),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_CARET] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1494),
  },
  [3195] = {
    [ts_builtin_sym_end] = ACTIONS(1858),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1858),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1858),
    [aux_sym_keyword_replace_token1] = ACTIONS(1858),
    [aux_sym__keyword_alter_token1] = ACTIONS(1858),
    [aux_sym__keyword_delete_token1] = ACTIONS(1858),
    [aux_sym__keyword_begin_token1] = ACTIONS(1858),
    [aux_sym__keyword_end_token1] = ACTIONS(1858),
    [aux_sym__keyword_between_token1] = ACTIONS(1858),
    [aux_sym__keyword_when_token1] = ACTIONS(1858),
    [aux_sym__keyword_else_token1] = ACTIONS(1860),
    [aux_sym__keyword_is_token1] = ACTIONS(1858),
    [aux_sym__keyword_in_token1] = ACTIONS(1860),
    [aux_sym__keyword_and_token1] = ACTIONS(1858),
    [aux_sym__keyword_like_token1] = ACTIONS(1858),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1858),
    [aux_sym__keyword_for_token1] = ACTIONS(1858),
    [anon_sym_SEMI] = ACTIONS(1858),
    [aux_sym_declare_statement_token1] = ACTIONS(1858),
    [anon_sym_COMMA] = ACTIONS(1858),
    [aux_sym_set_statement_token1] = ACTIONS(1858),
    [anon_sym_LPAREN] = ACTIONS(1858),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1858),
    [aux_sym_return_satement_token1] = ACTIONS(1858),
    [aux_sym_call_statement_token1] = ACTIONS(1858),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1858),
    [aux_sym_if_statement_token1] = ACTIONS(1858),
    [aux_sym_loop_statement_token1] = ACTIONS(1858),
    [aux_sym_repeat_statement_token1] = ACTIONS(1858),
    [aux_sym_while_statement_token1] = ACTIONS(1858),
    [aux_sym_break_statement_token1] = ACTIONS(1858),
    [aux_sym_leave_statement_token1] = ACTIONS(1858),
    [aux_sym_continue_statement_token1] = ACTIONS(1858),
    [aux_sym_iterate_statement_token1] = ACTIONS(1858),
    [aux_sym_raise_statement_token1] = ACTIONS(1858),
    [anon_sym_EQ] = ACTIONS(1858),
    [aux_sym_assert_statement_token1] = ACTIONS(1858),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1858),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1858),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1858),
    [anon_sym_LT] = ACTIONS(1860),
    [anon_sym_GT] = ACTIONS(1860),
    [aux_sym_set_operation_token1] = ACTIONS(1858),
    [aux_sym_set_operation_token3] = ACTIONS(1858),
    [aux_sym_set_operation_token4] = ACTIONS(1860),
    [aux_sym_select_token1] = ACTIONS(1858),
    [aux_sym_limit_clause_token1] = ACTIONS(1858),
    [aux_sym__direction_keywords_token1] = ACTIONS(1858),
    [aux_sym__direction_keywords_token2] = ACTIONS(1858),
    [aux_sym__nulls_preference_token1] = ACTIONS(1858),
    [aux_sym_insert_statement_token1] = ACTIONS(1858),
    [aux_sym_truncate_statement_token1] = ACTIONS(1858),
    [aux_sym_update_statement_token1] = ACTIONS(1858),
    [aux_sym_merge_statement_token1] = ACTIONS(1858),
    [aux_sym_grant_statement_token1] = ACTIONS(1858),
    [aux_sym_revoke_statement_token1] = ACTIONS(1858),
    [aux_sym_export_data_statement_token1] = ACTIONS(1858),
    [aux_sym_load_data_statement_token1] = ACTIONS(1858),
    [anon_sym_LBRACK] = ACTIONS(1858),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1858),
    [anon_sym_PLUS] = ACTIONS(1858),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_PIPE_PIPE] = ACTIONS(1858),
    [anon_sym_LT_EQ] = ACTIONS(1858),
    [anon_sym_LT_GT] = ACTIONS(1858),
    [anon_sym_GT_EQ] = ACTIONS(1858),
    [anon_sym_BANG_EQ] = ACTIONS(1858),
    [anon_sym_LT_LT] = ACTIONS(1858),
    [anon_sym_GT_GT] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym_CARET] = ACTIONS(1858),
    [anon_sym_PIPE] = ACTIONS(1860),
  },
  [3196] = {
    [ts_builtin_sym_end] = ACTIONS(1466),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1466),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1466),
    [aux_sym_keyword_replace_token1] = ACTIONS(1466),
    [aux_sym__keyword_alter_token1] = ACTIONS(1466),
    [aux_sym__keyword_delete_token1] = ACTIONS(1466),
    [aux_sym__keyword_begin_token1] = ACTIONS(1466),
    [aux_sym__keyword_end_token1] = ACTIONS(1466),
    [aux_sym__keyword_between_token1] = ACTIONS(1466),
    [aux_sym__keyword_when_token1] = ACTIONS(1466),
    [aux_sym__keyword_else_token1] = ACTIONS(1468),
    [aux_sym__keyword_is_token1] = ACTIONS(1466),
    [aux_sym__keyword_in_token1] = ACTIONS(1468),
    [aux_sym__keyword_and_token1] = ACTIONS(1466),
    [aux_sym__keyword_like_token1] = ACTIONS(1466),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1466),
    [aux_sym__keyword_for_token1] = ACTIONS(1466),
    [anon_sym_SEMI] = ACTIONS(1466),
    [aux_sym_declare_statement_token1] = ACTIONS(1466),
    [anon_sym_COMMA] = ACTIONS(1466),
    [aux_sym_set_statement_token1] = ACTIONS(1466),
    [anon_sym_LPAREN] = ACTIONS(1466),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1466),
    [aux_sym_return_satement_token1] = ACTIONS(1466),
    [aux_sym_call_statement_token1] = ACTIONS(1466),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1466),
    [aux_sym_if_statement_token1] = ACTIONS(1466),
    [aux_sym_loop_statement_token1] = ACTIONS(1466),
    [aux_sym_repeat_statement_token1] = ACTIONS(1466),
    [aux_sym_while_statement_token1] = ACTIONS(1466),
    [aux_sym_break_statement_token1] = ACTIONS(1466),
    [aux_sym_leave_statement_token1] = ACTIONS(1466),
    [aux_sym_continue_statement_token1] = ACTIONS(1466),
    [aux_sym_iterate_statement_token1] = ACTIONS(1466),
    [aux_sym_raise_statement_token1] = ACTIONS(1466),
    [anon_sym_EQ] = ACTIONS(1466),
    [aux_sym_assert_statement_token1] = ACTIONS(1466),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1466),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1466),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1466),
    [anon_sym_LT] = ACTIONS(1468),
    [anon_sym_GT] = ACTIONS(1468),
    [aux_sym_set_operation_token1] = ACTIONS(1466),
    [aux_sym_set_operation_token3] = ACTIONS(1466),
    [aux_sym_set_operation_token4] = ACTIONS(1468),
    [aux_sym_select_token1] = ACTIONS(1466),
    [aux_sym_limit_clause_token1] = ACTIONS(1466),
    [aux_sym__direction_keywords_token1] = ACTIONS(1466),
    [aux_sym__direction_keywords_token2] = ACTIONS(1466),
    [aux_sym__nulls_preference_token1] = ACTIONS(1466),
    [aux_sym_insert_statement_token1] = ACTIONS(1466),
    [aux_sym_truncate_statement_token1] = ACTIONS(1466),
    [aux_sym_update_statement_token1] = ACTIONS(1466),
    [aux_sym_merge_statement_token1] = ACTIONS(1466),
    [aux_sym_grant_statement_token1] = ACTIONS(1466),
    [aux_sym_revoke_statement_token1] = ACTIONS(1466),
    [aux_sym_export_data_statement_token1] = ACTIONS(1466),
    [aux_sym_load_data_statement_token1] = ACTIONS(1466),
    [anon_sym_LBRACK] = ACTIONS(1466),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_STAR] = ACTIONS(1466),
    [anon_sym_SLASH] = ACTIONS(1468),
    [anon_sym_PIPE_PIPE] = ACTIONS(1466),
    [anon_sym_LT_EQ] = ACTIONS(1466),
    [anon_sym_LT_GT] = ACTIONS(1466),
    [anon_sym_GT_EQ] = ACTIONS(1466),
    [anon_sym_BANG_EQ] = ACTIONS(1466),
    [anon_sym_LT_LT] = ACTIONS(1466),
    [anon_sym_GT_GT] = ACTIONS(1466),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_CARET] = ACTIONS(1466),
    [anon_sym_PIPE] = ACTIONS(1468),
  },
  [3197] = {
    [ts_builtin_sym_end] = ACTIONS(1826),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1826),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1826),
    [aux_sym_keyword_replace_token1] = ACTIONS(1826),
    [aux_sym__keyword_alter_token1] = ACTIONS(1826),
    [aux_sym__keyword_delete_token1] = ACTIONS(1826),
    [aux_sym__keyword_begin_token1] = ACTIONS(1826),
    [aux_sym__keyword_end_token1] = ACTIONS(1826),
    [aux_sym__keyword_between_token1] = ACTIONS(1826),
    [aux_sym__keyword_when_token1] = ACTIONS(1826),
    [aux_sym__keyword_else_token1] = ACTIONS(1828),
    [aux_sym__keyword_is_token1] = ACTIONS(1826),
    [aux_sym__keyword_in_token1] = ACTIONS(1828),
    [aux_sym__keyword_and_token1] = ACTIONS(1826),
    [aux_sym__keyword_like_token1] = ACTIONS(1826),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1826),
    [aux_sym__keyword_for_token1] = ACTIONS(1826),
    [anon_sym_SEMI] = ACTIONS(1826),
    [aux_sym_declare_statement_token1] = ACTIONS(1826),
    [anon_sym_COMMA] = ACTIONS(1826),
    [aux_sym_set_statement_token1] = ACTIONS(1826),
    [anon_sym_LPAREN] = ACTIONS(1826),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1826),
    [aux_sym_return_satement_token1] = ACTIONS(1826),
    [aux_sym_call_statement_token1] = ACTIONS(1826),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1826),
    [aux_sym_if_statement_token1] = ACTIONS(1826),
    [aux_sym_loop_statement_token1] = ACTIONS(1826),
    [aux_sym_repeat_statement_token1] = ACTIONS(1826),
    [aux_sym_while_statement_token1] = ACTIONS(1826),
    [aux_sym_break_statement_token1] = ACTIONS(1826),
    [aux_sym_leave_statement_token1] = ACTIONS(1826),
    [aux_sym_continue_statement_token1] = ACTIONS(1826),
    [aux_sym_iterate_statement_token1] = ACTIONS(1826),
    [aux_sym_raise_statement_token1] = ACTIONS(1826),
    [anon_sym_EQ] = ACTIONS(1826),
    [aux_sym_assert_statement_token1] = ACTIONS(1826),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1826),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1826),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1826),
    [anon_sym_LT] = ACTIONS(1828),
    [anon_sym_GT] = ACTIONS(1828),
    [aux_sym_set_operation_token1] = ACTIONS(1826),
    [aux_sym_set_operation_token3] = ACTIONS(1826),
    [aux_sym_set_operation_token4] = ACTIONS(1828),
    [aux_sym_select_token1] = ACTIONS(1826),
    [aux_sym_limit_clause_token1] = ACTIONS(1826),
    [aux_sym__direction_keywords_token1] = ACTIONS(1826),
    [aux_sym__direction_keywords_token2] = ACTIONS(1826),
    [aux_sym__nulls_preference_token1] = ACTIONS(1826),
    [aux_sym_insert_statement_token1] = ACTIONS(1826),
    [aux_sym_truncate_statement_token1] = ACTIONS(1826),
    [aux_sym_update_statement_token1] = ACTIONS(1826),
    [aux_sym_merge_statement_token1] = ACTIONS(1826),
    [aux_sym_grant_statement_token1] = ACTIONS(1826),
    [aux_sym_revoke_statement_token1] = ACTIONS(1826),
    [aux_sym_export_data_statement_token1] = ACTIONS(1826),
    [aux_sym_load_data_statement_token1] = ACTIONS(1826),
    [anon_sym_LBRACK] = ACTIONS(1826),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1826),
    [anon_sym_PLUS] = ACTIONS(1826),
    [anon_sym_DASH] = ACTIONS(1828),
    [anon_sym_STAR] = ACTIONS(1826),
    [anon_sym_SLASH] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE] = ACTIONS(1826),
    [anon_sym_LT_EQ] = ACTIONS(1826),
    [anon_sym_LT_GT] = ACTIONS(1826),
    [anon_sym_GT_EQ] = ACTIONS(1826),
    [anon_sym_BANG_EQ] = ACTIONS(1826),
    [anon_sym_LT_LT] = ACTIONS(1826),
    [anon_sym_GT_GT] = ACTIONS(1826),
    [anon_sym_AMP] = ACTIONS(1826),
    [anon_sym_CARET] = ACTIONS(1826),
    [anon_sym_PIPE] = ACTIONS(1828),
  },
  [3198] = {
    [ts_builtin_sym_end] = ACTIONS(1822),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1822),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1822),
    [aux_sym_keyword_replace_token1] = ACTIONS(1822),
    [aux_sym__keyword_alter_token1] = ACTIONS(1822),
    [aux_sym__keyword_delete_token1] = ACTIONS(1822),
    [aux_sym__keyword_begin_token1] = ACTIONS(1822),
    [aux_sym__keyword_end_token1] = ACTIONS(1822),
    [aux_sym__keyword_between_token1] = ACTIONS(1822),
    [aux_sym__keyword_when_token1] = ACTIONS(1822),
    [aux_sym__keyword_else_token1] = ACTIONS(1824),
    [aux_sym__keyword_is_token1] = ACTIONS(1822),
    [aux_sym__keyword_in_token1] = ACTIONS(1824),
    [aux_sym__keyword_and_token1] = ACTIONS(1822),
    [aux_sym__keyword_like_token1] = ACTIONS(1822),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1822),
    [aux_sym__keyword_for_token1] = ACTIONS(1822),
    [anon_sym_SEMI] = ACTIONS(1822),
    [aux_sym_declare_statement_token1] = ACTIONS(1822),
    [anon_sym_COMMA] = ACTIONS(1822),
    [aux_sym_set_statement_token1] = ACTIONS(1822),
    [anon_sym_LPAREN] = ACTIONS(1822),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1822),
    [aux_sym_return_satement_token1] = ACTIONS(1822),
    [aux_sym_call_statement_token1] = ACTIONS(1822),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1822),
    [aux_sym_if_statement_token1] = ACTIONS(1822),
    [aux_sym_loop_statement_token1] = ACTIONS(1822),
    [aux_sym_repeat_statement_token1] = ACTIONS(1822),
    [aux_sym_while_statement_token1] = ACTIONS(1822),
    [aux_sym_break_statement_token1] = ACTIONS(1822),
    [aux_sym_leave_statement_token1] = ACTIONS(1822),
    [aux_sym_continue_statement_token1] = ACTIONS(1822),
    [aux_sym_iterate_statement_token1] = ACTIONS(1822),
    [aux_sym_raise_statement_token1] = ACTIONS(1822),
    [anon_sym_EQ] = ACTIONS(1822),
    [aux_sym_assert_statement_token1] = ACTIONS(1822),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1822),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1822),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1822),
    [anon_sym_LT] = ACTIONS(1824),
    [anon_sym_GT] = ACTIONS(1824),
    [aux_sym_set_operation_token1] = ACTIONS(1822),
    [aux_sym_set_operation_token3] = ACTIONS(1822),
    [aux_sym_set_operation_token4] = ACTIONS(1824),
    [aux_sym_select_token1] = ACTIONS(1822),
    [aux_sym_limit_clause_token1] = ACTIONS(1822),
    [aux_sym__direction_keywords_token1] = ACTIONS(1822),
    [aux_sym__direction_keywords_token2] = ACTIONS(1822),
    [aux_sym__nulls_preference_token1] = ACTIONS(1822),
    [aux_sym_insert_statement_token1] = ACTIONS(1822),
    [aux_sym_truncate_statement_token1] = ACTIONS(1822),
    [aux_sym_update_statement_token1] = ACTIONS(1822),
    [aux_sym_merge_statement_token1] = ACTIONS(1822),
    [aux_sym_grant_statement_token1] = ACTIONS(1822),
    [aux_sym_revoke_statement_token1] = ACTIONS(1822),
    [aux_sym_export_data_statement_token1] = ACTIONS(1822),
    [aux_sym_load_data_statement_token1] = ACTIONS(1822),
    [anon_sym_LBRACK] = ACTIONS(1822),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1822),
    [anon_sym_PLUS] = ACTIONS(1822),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_STAR] = ACTIONS(1822),
    [anon_sym_SLASH] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE] = ACTIONS(1822),
    [anon_sym_LT_EQ] = ACTIONS(1822),
    [anon_sym_LT_GT] = ACTIONS(1822),
    [anon_sym_GT_EQ] = ACTIONS(1822),
    [anon_sym_BANG_EQ] = ACTIONS(1822),
    [anon_sym_LT_LT] = ACTIONS(1822),
    [anon_sym_GT_GT] = ACTIONS(1822),
    [anon_sym_AMP] = ACTIONS(1822),
    [anon_sym_CARET] = ACTIONS(1822),
    [anon_sym_PIPE] = ACTIONS(1824),
  },
  [3199] = {
    [ts_builtin_sym_end] = ACTIONS(1540),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1540),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1540),
    [aux_sym_keyword_replace_token1] = ACTIONS(1540),
    [aux_sym__keyword_alter_token1] = ACTIONS(1540),
    [aux_sym__keyword_delete_token1] = ACTIONS(1540),
    [aux_sym__keyword_begin_token1] = ACTIONS(1540),
    [aux_sym__keyword_end_token1] = ACTIONS(1540),
    [aux_sym__keyword_between_token1] = ACTIONS(1540),
    [aux_sym__keyword_when_token1] = ACTIONS(1540),
    [aux_sym__keyword_else_token1] = ACTIONS(1542),
    [aux_sym__keyword_is_token1] = ACTIONS(1540),
    [aux_sym__keyword_in_token1] = ACTIONS(1542),
    [aux_sym__keyword_and_token1] = ACTIONS(1540),
    [aux_sym__keyword_like_token1] = ACTIONS(1540),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1540),
    [aux_sym__keyword_for_token1] = ACTIONS(1540),
    [anon_sym_SEMI] = ACTIONS(1540),
    [aux_sym_declare_statement_token1] = ACTIONS(1540),
    [anon_sym_COMMA] = ACTIONS(1540),
    [aux_sym_set_statement_token1] = ACTIONS(1540),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1540),
    [aux_sym_return_satement_token1] = ACTIONS(1540),
    [aux_sym_call_statement_token1] = ACTIONS(1540),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1540),
    [aux_sym_if_statement_token1] = ACTIONS(1540),
    [aux_sym_loop_statement_token1] = ACTIONS(1540),
    [aux_sym_repeat_statement_token1] = ACTIONS(1540),
    [aux_sym_while_statement_token1] = ACTIONS(1540),
    [aux_sym_break_statement_token1] = ACTIONS(1540),
    [aux_sym_leave_statement_token1] = ACTIONS(1540),
    [aux_sym_continue_statement_token1] = ACTIONS(1540),
    [aux_sym_iterate_statement_token1] = ACTIONS(1540),
    [aux_sym_raise_statement_token1] = ACTIONS(1540),
    [anon_sym_EQ] = ACTIONS(1540),
    [aux_sym_assert_statement_token1] = ACTIONS(1540),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1540),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1540),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1540),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_GT] = ACTIONS(1542),
    [aux_sym_set_operation_token1] = ACTIONS(1540),
    [aux_sym_set_operation_token3] = ACTIONS(1540),
    [aux_sym_set_operation_token4] = ACTIONS(1542),
    [aux_sym_select_token1] = ACTIONS(1540),
    [aux_sym_limit_clause_token1] = ACTIONS(1540),
    [aux_sym__direction_keywords_token1] = ACTIONS(1540),
    [aux_sym__direction_keywords_token2] = ACTIONS(1540),
    [aux_sym__nulls_preference_token1] = ACTIONS(1540),
    [aux_sym_insert_statement_token1] = ACTIONS(1540),
    [aux_sym_truncate_statement_token1] = ACTIONS(1540),
    [aux_sym_update_statement_token1] = ACTIONS(1540),
    [aux_sym_merge_statement_token1] = ACTIONS(1540),
    [aux_sym_grant_statement_token1] = ACTIONS(1540),
    [aux_sym_revoke_statement_token1] = ACTIONS(1540),
    [aux_sym_export_data_statement_token1] = ACTIONS(1540),
    [aux_sym_load_data_statement_token1] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1540),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(1540),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(1542),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_LT_EQ] = ACTIONS(1540),
    [anon_sym_LT_GT] = ACTIONS(1540),
    [anon_sym_GT_EQ] = ACTIONS(1540),
    [anon_sym_BANG_EQ] = ACTIONS(1540),
    [anon_sym_LT_LT] = ACTIONS(1540),
    [anon_sym_GT_GT] = ACTIONS(1540),
    [anon_sym_AMP] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(1540),
    [anon_sym_PIPE] = ACTIONS(1542),
  },
  [3200] = {
    [sym_analytics_clause] = STATE(3546),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [3201] = {
    [sym_analytics_clause] = STATE(3536),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [3202] = {
    [ts_builtin_sym_end] = ACTIONS(1784),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1784),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1784),
    [aux_sym_keyword_replace_token1] = ACTIONS(1784),
    [aux_sym__keyword_alter_token1] = ACTIONS(1784),
    [aux_sym__keyword_delete_token1] = ACTIONS(1784),
    [aux_sym__keyword_begin_token1] = ACTIONS(1784),
    [aux_sym__keyword_end_token1] = ACTIONS(1784),
    [aux_sym__keyword_between_token1] = ACTIONS(1784),
    [aux_sym__keyword_when_token1] = ACTIONS(1784),
    [aux_sym__keyword_else_token1] = ACTIONS(1786),
    [aux_sym__keyword_is_token1] = ACTIONS(1784),
    [aux_sym__keyword_in_token1] = ACTIONS(1786),
    [aux_sym__keyword_and_token1] = ACTIONS(1784),
    [aux_sym__keyword_like_token1] = ACTIONS(1784),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1784),
    [aux_sym__keyword_for_token1] = ACTIONS(1784),
    [anon_sym_SEMI] = ACTIONS(1784),
    [aux_sym_declare_statement_token1] = ACTIONS(1784),
    [anon_sym_COMMA] = ACTIONS(1784),
    [aux_sym_set_statement_token1] = ACTIONS(1784),
    [anon_sym_LPAREN] = ACTIONS(1784),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1784),
    [aux_sym_return_satement_token1] = ACTIONS(1784),
    [aux_sym_call_statement_token1] = ACTIONS(1784),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1784),
    [aux_sym_if_statement_token1] = ACTIONS(1784),
    [aux_sym_loop_statement_token1] = ACTIONS(1784),
    [aux_sym_repeat_statement_token1] = ACTIONS(1784),
    [aux_sym_while_statement_token1] = ACTIONS(1784),
    [aux_sym_break_statement_token1] = ACTIONS(1784),
    [aux_sym_leave_statement_token1] = ACTIONS(1784),
    [aux_sym_continue_statement_token1] = ACTIONS(1784),
    [aux_sym_iterate_statement_token1] = ACTIONS(1784),
    [aux_sym_raise_statement_token1] = ACTIONS(1784),
    [anon_sym_EQ] = ACTIONS(1784),
    [aux_sym_assert_statement_token1] = ACTIONS(1784),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1784),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1784),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1784),
    [anon_sym_LT] = ACTIONS(1786),
    [anon_sym_GT] = ACTIONS(1786),
    [aux_sym_set_operation_token1] = ACTIONS(1784),
    [aux_sym_set_operation_token3] = ACTIONS(1784),
    [aux_sym_set_operation_token4] = ACTIONS(1786),
    [aux_sym_select_token1] = ACTIONS(1784),
    [aux_sym_limit_clause_token1] = ACTIONS(1784),
    [aux_sym__direction_keywords_token1] = ACTIONS(1784),
    [aux_sym__direction_keywords_token2] = ACTIONS(1784),
    [aux_sym__nulls_preference_token1] = ACTIONS(1784),
    [aux_sym_insert_statement_token1] = ACTIONS(1784),
    [aux_sym_truncate_statement_token1] = ACTIONS(1784),
    [aux_sym_update_statement_token1] = ACTIONS(1784),
    [aux_sym_merge_statement_token1] = ACTIONS(1784),
    [aux_sym_grant_statement_token1] = ACTIONS(1784),
    [aux_sym_revoke_statement_token1] = ACTIONS(1784),
    [aux_sym_export_data_statement_token1] = ACTIONS(1784),
    [aux_sym_load_data_statement_token1] = ACTIONS(1784),
    [anon_sym_LBRACK] = ACTIONS(1784),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1784),
    [anon_sym_PLUS] = ACTIONS(1784),
    [anon_sym_DASH] = ACTIONS(1786),
    [anon_sym_STAR] = ACTIONS(1784),
    [anon_sym_SLASH] = ACTIONS(1786),
    [anon_sym_PIPE_PIPE] = ACTIONS(1784),
    [anon_sym_LT_EQ] = ACTIONS(1784),
    [anon_sym_LT_GT] = ACTIONS(1784),
    [anon_sym_GT_EQ] = ACTIONS(1784),
    [anon_sym_BANG_EQ] = ACTIONS(1784),
    [anon_sym_LT_LT] = ACTIONS(1784),
    [anon_sym_GT_GT] = ACTIONS(1784),
    [anon_sym_AMP] = ACTIONS(1784),
    [anon_sym_CARET] = ACTIONS(1784),
    [anon_sym_PIPE] = ACTIONS(1786),
  },
  [3203] = {
    [ts_builtin_sym_end] = ACTIONS(1508),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1508),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1508),
    [aux_sym_keyword_replace_token1] = ACTIONS(1508),
    [aux_sym__keyword_alter_token1] = ACTIONS(1508),
    [aux_sym__keyword_delete_token1] = ACTIONS(1508),
    [aux_sym__keyword_begin_token1] = ACTIONS(1508),
    [aux_sym__keyword_end_token1] = ACTIONS(1508),
    [aux_sym__keyword_between_token1] = ACTIONS(1508),
    [aux_sym__keyword_when_token1] = ACTIONS(1508),
    [aux_sym__keyword_else_token1] = ACTIONS(1510),
    [aux_sym__keyword_is_token1] = ACTIONS(1508),
    [aux_sym__keyword_in_token1] = ACTIONS(1510),
    [aux_sym__keyword_and_token1] = ACTIONS(1508),
    [aux_sym__keyword_like_token1] = ACTIONS(1508),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1508),
    [aux_sym__keyword_for_token1] = ACTIONS(1508),
    [anon_sym_SEMI] = ACTIONS(1508),
    [aux_sym_declare_statement_token1] = ACTIONS(1508),
    [anon_sym_COMMA] = ACTIONS(1508),
    [aux_sym_set_statement_token1] = ACTIONS(1508),
    [anon_sym_LPAREN] = ACTIONS(1508),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1508),
    [aux_sym_return_satement_token1] = ACTIONS(1508),
    [aux_sym_call_statement_token1] = ACTIONS(1508),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1508),
    [aux_sym_if_statement_token1] = ACTIONS(1508),
    [aux_sym_loop_statement_token1] = ACTIONS(1508),
    [aux_sym_repeat_statement_token1] = ACTIONS(1508),
    [aux_sym_while_statement_token1] = ACTIONS(1508),
    [aux_sym_break_statement_token1] = ACTIONS(1508),
    [aux_sym_leave_statement_token1] = ACTIONS(1508),
    [aux_sym_continue_statement_token1] = ACTIONS(1508),
    [aux_sym_iterate_statement_token1] = ACTIONS(1508),
    [aux_sym_raise_statement_token1] = ACTIONS(1508),
    [anon_sym_EQ] = ACTIONS(1508),
    [aux_sym_assert_statement_token1] = ACTIONS(1508),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1508),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1508),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1508),
    [anon_sym_LT] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1510),
    [aux_sym_set_operation_token1] = ACTIONS(1508),
    [aux_sym_set_operation_token3] = ACTIONS(1508),
    [aux_sym_set_operation_token4] = ACTIONS(1510),
    [aux_sym_select_token1] = ACTIONS(1508),
    [aux_sym_limit_clause_token1] = ACTIONS(1508),
    [aux_sym__direction_keywords_token1] = ACTIONS(1508),
    [aux_sym__direction_keywords_token2] = ACTIONS(1508),
    [aux_sym__nulls_preference_token1] = ACTIONS(1508),
    [aux_sym_insert_statement_token1] = ACTIONS(1508),
    [aux_sym_truncate_statement_token1] = ACTIONS(1508),
    [aux_sym_update_statement_token1] = ACTIONS(1508),
    [aux_sym_merge_statement_token1] = ACTIONS(1508),
    [aux_sym_grant_statement_token1] = ACTIONS(1508),
    [aux_sym_revoke_statement_token1] = ACTIONS(1508),
    [aux_sym_export_data_statement_token1] = ACTIONS(1508),
    [aux_sym_load_data_statement_token1] = ACTIONS(1508),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1508),
    [anon_sym_PLUS] = ACTIONS(1508),
    [anon_sym_DASH] = ACTIONS(1510),
    [anon_sym_STAR] = ACTIONS(1508),
    [anon_sym_SLASH] = ACTIONS(1510),
    [anon_sym_PIPE_PIPE] = ACTIONS(1508),
    [anon_sym_LT_EQ] = ACTIONS(1508),
    [anon_sym_LT_GT] = ACTIONS(1508),
    [anon_sym_GT_EQ] = ACTIONS(1508),
    [anon_sym_BANG_EQ] = ACTIONS(1508),
    [anon_sym_LT_LT] = ACTIONS(1508),
    [anon_sym_GT_GT] = ACTIONS(1508),
    [anon_sym_AMP] = ACTIONS(1508),
    [anon_sym_CARET] = ACTIONS(1508),
    [anon_sym_PIPE] = ACTIONS(1510),
  },
  [3204] = {
    [ts_builtin_sym_end] = ACTIONS(1764),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1764),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1764),
    [aux_sym_keyword_replace_token1] = ACTIONS(1764),
    [aux_sym__keyword_alter_token1] = ACTIONS(1764),
    [aux_sym__keyword_delete_token1] = ACTIONS(1764),
    [aux_sym__keyword_begin_token1] = ACTIONS(1764),
    [aux_sym__keyword_end_token1] = ACTIONS(1764),
    [aux_sym__keyword_between_token1] = ACTIONS(1764),
    [aux_sym__keyword_when_token1] = ACTIONS(1764),
    [aux_sym__keyword_else_token1] = ACTIONS(1766),
    [aux_sym__keyword_is_token1] = ACTIONS(1764),
    [aux_sym__keyword_in_token1] = ACTIONS(1766),
    [aux_sym__keyword_and_token1] = ACTIONS(1764),
    [aux_sym__keyword_like_token1] = ACTIONS(1764),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1764),
    [aux_sym__keyword_for_token1] = ACTIONS(1764),
    [anon_sym_SEMI] = ACTIONS(1764),
    [aux_sym_declare_statement_token1] = ACTIONS(1764),
    [anon_sym_COMMA] = ACTIONS(1764),
    [aux_sym_set_statement_token1] = ACTIONS(1764),
    [anon_sym_LPAREN] = ACTIONS(1764),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1764),
    [aux_sym_return_satement_token1] = ACTIONS(1764),
    [aux_sym_call_statement_token1] = ACTIONS(1764),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1764),
    [aux_sym_if_statement_token1] = ACTIONS(1764),
    [aux_sym_loop_statement_token1] = ACTIONS(1764),
    [aux_sym_repeat_statement_token1] = ACTIONS(1764),
    [aux_sym_while_statement_token1] = ACTIONS(1764),
    [aux_sym_break_statement_token1] = ACTIONS(1764),
    [aux_sym_leave_statement_token1] = ACTIONS(1764),
    [aux_sym_continue_statement_token1] = ACTIONS(1764),
    [aux_sym_iterate_statement_token1] = ACTIONS(1764),
    [aux_sym_raise_statement_token1] = ACTIONS(1764),
    [anon_sym_EQ] = ACTIONS(1764),
    [aux_sym_assert_statement_token1] = ACTIONS(1764),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1764),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1764),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1764),
    [anon_sym_LT] = ACTIONS(1766),
    [anon_sym_GT] = ACTIONS(1766),
    [aux_sym_set_operation_token1] = ACTIONS(1764),
    [aux_sym_set_operation_token3] = ACTIONS(1764),
    [aux_sym_set_operation_token4] = ACTIONS(1766),
    [aux_sym_select_token1] = ACTIONS(1764),
    [aux_sym_limit_clause_token1] = ACTIONS(1764),
    [aux_sym__direction_keywords_token1] = ACTIONS(1764),
    [aux_sym__direction_keywords_token2] = ACTIONS(1764),
    [aux_sym__nulls_preference_token1] = ACTIONS(1764),
    [aux_sym_insert_statement_token1] = ACTIONS(1764),
    [aux_sym_truncate_statement_token1] = ACTIONS(1764),
    [aux_sym_update_statement_token1] = ACTIONS(1764),
    [aux_sym_merge_statement_token1] = ACTIONS(1764),
    [aux_sym_grant_statement_token1] = ACTIONS(1764),
    [aux_sym_revoke_statement_token1] = ACTIONS(1764),
    [aux_sym_export_data_statement_token1] = ACTIONS(1764),
    [aux_sym_load_data_statement_token1] = ACTIONS(1764),
    [anon_sym_LBRACK] = ACTIONS(1764),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_DASH] = ACTIONS(1766),
    [anon_sym_STAR] = ACTIONS(1764),
    [anon_sym_SLASH] = ACTIONS(1766),
    [anon_sym_PIPE_PIPE] = ACTIONS(1764),
    [anon_sym_LT_EQ] = ACTIONS(1764),
    [anon_sym_LT_GT] = ACTIONS(1764),
    [anon_sym_GT_EQ] = ACTIONS(1764),
    [anon_sym_BANG_EQ] = ACTIONS(1764),
    [anon_sym_LT_LT] = ACTIONS(1764),
    [anon_sym_GT_GT] = ACTIONS(1764),
    [anon_sym_AMP] = ACTIONS(1764),
    [anon_sym_CARET] = ACTIONS(1764),
    [anon_sym_PIPE] = ACTIONS(1766),
  },
  [3205] = {
    [ts_builtin_sym_end] = ACTIONS(1760),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1760),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1760),
    [aux_sym_keyword_replace_token1] = ACTIONS(1760),
    [aux_sym__keyword_alter_token1] = ACTIONS(1760),
    [aux_sym__keyword_delete_token1] = ACTIONS(1760),
    [aux_sym__keyword_begin_token1] = ACTIONS(1760),
    [aux_sym__keyword_end_token1] = ACTIONS(1760),
    [aux_sym__keyword_between_token1] = ACTIONS(1760),
    [aux_sym__keyword_when_token1] = ACTIONS(1760),
    [aux_sym__keyword_else_token1] = ACTIONS(1762),
    [aux_sym__keyword_is_token1] = ACTIONS(1760),
    [aux_sym__keyword_in_token1] = ACTIONS(1762),
    [aux_sym__keyword_and_token1] = ACTIONS(1760),
    [aux_sym__keyword_like_token1] = ACTIONS(1760),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1760),
    [aux_sym__keyword_for_token1] = ACTIONS(1760),
    [anon_sym_SEMI] = ACTIONS(1760),
    [aux_sym_declare_statement_token1] = ACTIONS(1760),
    [anon_sym_COMMA] = ACTIONS(1760),
    [aux_sym_set_statement_token1] = ACTIONS(1760),
    [anon_sym_LPAREN] = ACTIONS(1760),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1760),
    [aux_sym_return_satement_token1] = ACTIONS(1760),
    [aux_sym_call_statement_token1] = ACTIONS(1760),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1760),
    [aux_sym_if_statement_token1] = ACTIONS(1760),
    [aux_sym_loop_statement_token1] = ACTIONS(1760),
    [aux_sym_repeat_statement_token1] = ACTIONS(1760),
    [aux_sym_while_statement_token1] = ACTIONS(1760),
    [aux_sym_break_statement_token1] = ACTIONS(1760),
    [aux_sym_leave_statement_token1] = ACTIONS(1760),
    [aux_sym_continue_statement_token1] = ACTIONS(1760),
    [aux_sym_iterate_statement_token1] = ACTIONS(1760),
    [aux_sym_raise_statement_token1] = ACTIONS(1760),
    [anon_sym_EQ] = ACTIONS(1760),
    [aux_sym_assert_statement_token1] = ACTIONS(1760),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1760),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1760),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1760),
    [anon_sym_LT] = ACTIONS(1762),
    [anon_sym_GT] = ACTIONS(1762),
    [aux_sym_set_operation_token1] = ACTIONS(1760),
    [aux_sym_set_operation_token3] = ACTIONS(1760),
    [aux_sym_set_operation_token4] = ACTIONS(1762),
    [aux_sym_select_token1] = ACTIONS(1760),
    [aux_sym_limit_clause_token1] = ACTIONS(1760),
    [aux_sym__direction_keywords_token1] = ACTIONS(1760),
    [aux_sym__direction_keywords_token2] = ACTIONS(1760),
    [aux_sym__nulls_preference_token1] = ACTIONS(1760),
    [aux_sym_insert_statement_token1] = ACTIONS(1760),
    [aux_sym_truncate_statement_token1] = ACTIONS(1760),
    [aux_sym_update_statement_token1] = ACTIONS(1760),
    [aux_sym_merge_statement_token1] = ACTIONS(1760),
    [aux_sym_grant_statement_token1] = ACTIONS(1760),
    [aux_sym_revoke_statement_token1] = ACTIONS(1760),
    [aux_sym_export_data_statement_token1] = ACTIONS(1760),
    [aux_sym_load_data_statement_token1] = ACTIONS(1760),
    [anon_sym_LBRACK] = ACTIONS(1760),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1760),
    [anon_sym_PLUS] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1762),
    [anon_sym_STAR] = ACTIONS(1760),
    [anon_sym_SLASH] = ACTIONS(1762),
    [anon_sym_PIPE_PIPE] = ACTIONS(1760),
    [anon_sym_LT_EQ] = ACTIONS(1760),
    [anon_sym_LT_GT] = ACTIONS(1760),
    [anon_sym_GT_EQ] = ACTIONS(1760),
    [anon_sym_BANG_EQ] = ACTIONS(1760),
    [anon_sym_LT_LT] = ACTIONS(1760),
    [anon_sym_GT_GT] = ACTIONS(1760),
    [anon_sym_AMP] = ACTIONS(1760),
    [anon_sym_CARET] = ACTIONS(1760),
    [anon_sym_PIPE] = ACTIONS(1762),
  },
  [3206] = {
    [ts_builtin_sym_end] = ACTIONS(1756),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1756),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1756),
    [aux_sym_keyword_replace_token1] = ACTIONS(1756),
    [aux_sym__keyword_alter_token1] = ACTIONS(1756),
    [aux_sym__keyword_delete_token1] = ACTIONS(1756),
    [aux_sym__keyword_begin_token1] = ACTIONS(1756),
    [aux_sym__keyword_end_token1] = ACTIONS(1756),
    [aux_sym__keyword_between_token1] = ACTIONS(1756),
    [aux_sym__keyword_when_token1] = ACTIONS(1756),
    [aux_sym__keyword_else_token1] = ACTIONS(1758),
    [aux_sym__keyword_is_token1] = ACTIONS(1756),
    [aux_sym__keyword_in_token1] = ACTIONS(1758),
    [aux_sym__keyword_and_token1] = ACTIONS(1756),
    [aux_sym__keyword_like_token1] = ACTIONS(1756),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1756),
    [aux_sym__keyword_for_token1] = ACTIONS(1756),
    [anon_sym_SEMI] = ACTIONS(1756),
    [aux_sym_declare_statement_token1] = ACTIONS(1756),
    [anon_sym_COMMA] = ACTIONS(1756),
    [aux_sym_set_statement_token1] = ACTIONS(1756),
    [anon_sym_LPAREN] = ACTIONS(1756),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1756),
    [aux_sym_return_satement_token1] = ACTIONS(1756),
    [aux_sym_call_statement_token1] = ACTIONS(1756),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1756),
    [aux_sym_if_statement_token1] = ACTIONS(1756),
    [aux_sym_loop_statement_token1] = ACTIONS(1756),
    [aux_sym_repeat_statement_token1] = ACTIONS(1756),
    [aux_sym_while_statement_token1] = ACTIONS(1756),
    [aux_sym_break_statement_token1] = ACTIONS(1756),
    [aux_sym_leave_statement_token1] = ACTIONS(1756),
    [aux_sym_continue_statement_token1] = ACTIONS(1756),
    [aux_sym_iterate_statement_token1] = ACTIONS(1756),
    [aux_sym_raise_statement_token1] = ACTIONS(1756),
    [anon_sym_EQ] = ACTIONS(1756),
    [aux_sym_assert_statement_token1] = ACTIONS(1756),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1756),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1756),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1756),
    [anon_sym_LT] = ACTIONS(1758),
    [anon_sym_GT] = ACTIONS(1758),
    [aux_sym_set_operation_token1] = ACTIONS(1756),
    [aux_sym_set_operation_token3] = ACTIONS(1756),
    [aux_sym_set_operation_token4] = ACTIONS(1758),
    [aux_sym_select_token1] = ACTIONS(1756),
    [aux_sym_limit_clause_token1] = ACTIONS(1756),
    [aux_sym__direction_keywords_token1] = ACTIONS(1756),
    [aux_sym__direction_keywords_token2] = ACTIONS(1756),
    [aux_sym__nulls_preference_token1] = ACTIONS(1756),
    [aux_sym_insert_statement_token1] = ACTIONS(1756),
    [aux_sym_truncate_statement_token1] = ACTIONS(1756),
    [aux_sym_update_statement_token1] = ACTIONS(1756),
    [aux_sym_merge_statement_token1] = ACTIONS(1756),
    [aux_sym_grant_statement_token1] = ACTIONS(1756),
    [aux_sym_revoke_statement_token1] = ACTIONS(1756),
    [aux_sym_export_data_statement_token1] = ACTIONS(1756),
    [aux_sym_load_data_statement_token1] = ACTIONS(1756),
    [anon_sym_LBRACK] = ACTIONS(1756),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1756),
    [anon_sym_PLUS] = ACTIONS(1756),
    [anon_sym_DASH] = ACTIONS(1758),
    [anon_sym_STAR] = ACTIONS(1756),
    [anon_sym_SLASH] = ACTIONS(1758),
    [anon_sym_PIPE_PIPE] = ACTIONS(1756),
    [anon_sym_LT_EQ] = ACTIONS(1756),
    [anon_sym_LT_GT] = ACTIONS(1756),
    [anon_sym_GT_EQ] = ACTIONS(1756),
    [anon_sym_BANG_EQ] = ACTIONS(1756),
    [anon_sym_LT_LT] = ACTIONS(1756),
    [anon_sym_GT_GT] = ACTIONS(1756),
    [anon_sym_AMP] = ACTIONS(1756),
    [anon_sym_CARET] = ACTIONS(1756),
    [anon_sym_PIPE] = ACTIONS(1758),
  },
  [3207] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1446),
    [aux_sym_keyword_replace_token1] = ACTIONS(1446),
    [aux_sym__keyword_alter_token1] = ACTIONS(1446),
    [aux_sym__keyword_delete_token1] = ACTIONS(1446),
    [aux_sym__keyword_begin_token1] = ACTIONS(1446),
    [aux_sym__keyword_end_token1] = ACTIONS(1446),
    [aux_sym__keyword_between_token1] = ACTIONS(1446),
    [aux_sym__keyword_when_token1] = ACTIONS(1446),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1446),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1446),
    [aux_sym__keyword_like_token1] = ACTIONS(1446),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1446),
    [aux_sym__keyword_for_token1] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1446),
    [aux_sym_return_satement_token1] = ACTIONS(1446),
    [aux_sym_call_statement_token1] = ACTIONS(1446),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_loop_statement_token1] = ACTIONS(1446),
    [aux_sym_repeat_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [aux_sym_leave_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_iterate_statement_token1] = ACTIONS(1446),
    [aux_sym_raise_statement_token1] = ACTIONS(1446),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1446),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1446),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1446),
    [aux_sym_set_operation_token3] = ACTIONS(1446),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1446),
    [aux_sym_limit_clause_token1] = ACTIONS(1446),
    [aux_sym__direction_keywords_token1] = ACTIONS(1446),
    [aux_sym__direction_keywords_token2] = ACTIONS(1446),
    [aux_sym__nulls_preference_token1] = ACTIONS(1446),
    [aux_sym_insert_statement_token1] = ACTIONS(1446),
    [aux_sym_truncate_statement_token1] = ACTIONS(1446),
    [aux_sym_update_statement_token1] = ACTIONS(1446),
    [aux_sym_merge_statement_token1] = ACTIONS(1446),
    [aux_sym_grant_statement_token1] = ACTIONS(1446),
    [aux_sym_revoke_statement_token1] = ACTIONS(1446),
    [aux_sym_export_data_statement_token1] = ACTIONS(1446),
    [aux_sym_load_data_statement_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [3208] = {
    [ts_builtin_sym_end] = ACTIONS(1748),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1748),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1748),
    [aux_sym_keyword_replace_token1] = ACTIONS(1748),
    [aux_sym__keyword_alter_token1] = ACTIONS(1748),
    [aux_sym__keyword_delete_token1] = ACTIONS(1748),
    [aux_sym__keyword_begin_token1] = ACTIONS(1748),
    [aux_sym__keyword_end_token1] = ACTIONS(1748),
    [aux_sym__keyword_between_token1] = ACTIONS(1748),
    [aux_sym__keyword_when_token1] = ACTIONS(1748),
    [aux_sym__keyword_else_token1] = ACTIONS(1750),
    [aux_sym__keyword_is_token1] = ACTIONS(1748),
    [aux_sym__keyword_in_token1] = ACTIONS(1750),
    [aux_sym__keyword_and_token1] = ACTIONS(1748),
    [aux_sym__keyword_like_token1] = ACTIONS(1748),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1748),
    [aux_sym__keyword_for_token1] = ACTIONS(1748),
    [anon_sym_SEMI] = ACTIONS(1748),
    [aux_sym_declare_statement_token1] = ACTIONS(1748),
    [anon_sym_COMMA] = ACTIONS(1748),
    [aux_sym_set_statement_token1] = ACTIONS(1748),
    [anon_sym_LPAREN] = ACTIONS(1748),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1748),
    [aux_sym_return_satement_token1] = ACTIONS(1748),
    [aux_sym_call_statement_token1] = ACTIONS(1748),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1748),
    [aux_sym_if_statement_token1] = ACTIONS(1748),
    [aux_sym_loop_statement_token1] = ACTIONS(1748),
    [aux_sym_repeat_statement_token1] = ACTIONS(1748),
    [aux_sym_while_statement_token1] = ACTIONS(1748),
    [aux_sym_break_statement_token1] = ACTIONS(1748),
    [aux_sym_leave_statement_token1] = ACTIONS(1748),
    [aux_sym_continue_statement_token1] = ACTIONS(1748),
    [aux_sym_iterate_statement_token1] = ACTIONS(1748),
    [aux_sym_raise_statement_token1] = ACTIONS(1748),
    [anon_sym_EQ] = ACTIONS(1748),
    [aux_sym_assert_statement_token1] = ACTIONS(1748),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1748),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1748),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1748),
    [anon_sym_LT] = ACTIONS(1750),
    [anon_sym_GT] = ACTIONS(1750),
    [aux_sym_set_operation_token1] = ACTIONS(1748),
    [aux_sym_set_operation_token3] = ACTIONS(1748),
    [aux_sym_set_operation_token4] = ACTIONS(1750),
    [aux_sym_select_token1] = ACTIONS(1748),
    [aux_sym_limit_clause_token1] = ACTIONS(1748),
    [aux_sym__direction_keywords_token1] = ACTIONS(1748),
    [aux_sym__direction_keywords_token2] = ACTIONS(1748),
    [aux_sym__nulls_preference_token1] = ACTIONS(1748),
    [aux_sym_insert_statement_token1] = ACTIONS(1748),
    [aux_sym_truncate_statement_token1] = ACTIONS(1748),
    [aux_sym_update_statement_token1] = ACTIONS(1748),
    [aux_sym_merge_statement_token1] = ACTIONS(1748),
    [aux_sym_grant_statement_token1] = ACTIONS(1748),
    [aux_sym_revoke_statement_token1] = ACTIONS(1748),
    [aux_sym_export_data_statement_token1] = ACTIONS(1748),
    [aux_sym_load_data_statement_token1] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(1748),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1748),
    [anon_sym_PLUS] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1750),
    [anon_sym_STAR] = ACTIONS(1748),
    [anon_sym_SLASH] = ACTIONS(1750),
    [anon_sym_PIPE_PIPE] = ACTIONS(1748),
    [anon_sym_LT_EQ] = ACTIONS(1748),
    [anon_sym_LT_GT] = ACTIONS(1748),
    [anon_sym_GT_EQ] = ACTIONS(1748),
    [anon_sym_BANG_EQ] = ACTIONS(1748),
    [anon_sym_LT_LT] = ACTIONS(1748),
    [anon_sym_GT_GT] = ACTIONS(1748),
    [anon_sym_AMP] = ACTIONS(1748),
    [anon_sym_CARET] = ACTIONS(1748),
    [anon_sym_PIPE] = ACTIONS(1750),
  },
  [3209] = {
    [ts_builtin_sym_end] = ACTIONS(1744),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1744),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1744),
    [aux_sym_keyword_replace_token1] = ACTIONS(1744),
    [aux_sym__keyword_alter_token1] = ACTIONS(1744),
    [aux_sym__keyword_delete_token1] = ACTIONS(1744),
    [aux_sym__keyword_begin_token1] = ACTIONS(1744),
    [aux_sym__keyword_end_token1] = ACTIONS(1744),
    [aux_sym__keyword_between_token1] = ACTIONS(1744),
    [aux_sym__keyword_when_token1] = ACTIONS(1744),
    [aux_sym__keyword_else_token1] = ACTIONS(1746),
    [aux_sym__keyword_is_token1] = ACTIONS(1744),
    [aux_sym__keyword_in_token1] = ACTIONS(1746),
    [aux_sym__keyword_and_token1] = ACTIONS(1744),
    [aux_sym__keyword_like_token1] = ACTIONS(1744),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1744),
    [aux_sym__keyword_for_token1] = ACTIONS(1744),
    [anon_sym_SEMI] = ACTIONS(1744),
    [aux_sym_declare_statement_token1] = ACTIONS(1744),
    [anon_sym_COMMA] = ACTIONS(1744),
    [aux_sym_set_statement_token1] = ACTIONS(1744),
    [anon_sym_LPAREN] = ACTIONS(1744),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1744),
    [aux_sym_return_satement_token1] = ACTIONS(1744),
    [aux_sym_call_statement_token1] = ACTIONS(1744),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1744),
    [aux_sym_if_statement_token1] = ACTIONS(1744),
    [aux_sym_loop_statement_token1] = ACTIONS(1744),
    [aux_sym_repeat_statement_token1] = ACTIONS(1744),
    [aux_sym_while_statement_token1] = ACTIONS(1744),
    [aux_sym_break_statement_token1] = ACTIONS(1744),
    [aux_sym_leave_statement_token1] = ACTIONS(1744),
    [aux_sym_continue_statement_token1] = ACTIONS(1744),
    [aux_sym_iterate_statement_token1] = ACTIONS(1744),
    [aux_sym_raise_statement_token1] = ACTIONS(1744),
    [anon_sym_EQ] = ACTIONS(1744),
    [aux_sym_assert_statement_token1] = ACTIONS(1744),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1744),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1744),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1744),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1746),
    [aux_sym_set_operation_token1] = ACTIONS(1744),
    [aux_sym_set_operation_token3] = ACTIONS(1744),
    [aux_sym_set_operation_token4] = ACTIONS(1746),
    [aux_sym_select_token1] = ACTIONS(1744),
    [aux_sym_limit_clause_token1] = ACTIONS(1744),
    [aux_sym__direction_keywords_token1] = ACTIONS(1744),
    [aux_sym__direction_keywords_token2] = ACTIONS(1744),
    [aux_sym__nulls_preference_token1] = ACTIONS(1744),
    [aux_sym_insert_statement_token1] = ACTIONS(1744),
    [aux_sym_truncate_statement_token1] = ACTIONS(1744),
    [aux_sym_update_statement_token1] = ACTIONS(1744),
    [aux_sym_merge_statement_token1] = ACTIONS(1744),
    [aux_sym_grant_statement_token1] = ACTIONS(1744),
    [aux_sym_revoke_statement_token1] = ACTIONS(1744),
    [aux_sym_export_data_statement_token1] = ACTIONS(1744),
    [aux_sym_load_data_statement_token1] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(1744),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1744),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_STAR] = ACTIONS(1744),
    [anon_sym_SLASH] = ACTIONS(1746),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_LT_GT] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1744),
    [anon_sym_GT_GT] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1746),
  },
  [3210] = {
    [ts_builtin_sym_end] = ACTIONS(1740),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1740),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1740),
    [aux_sym_keyword_replace_token1] = ACTIONS(1740),
    [aux_sym__keyword_alter_token1] = ACTIONS(1740),
    [aux_sym__keyword_delete_token1] = ACTIONS(1740),
    [aux_sym__keyword_begin_token1] = ACTIONS(1740),
    [aux_sym__keyword_end_token1] = ACTIONS(1740),
    [aux_sym__keyword_between_token1] = ACTIONS(1740),
    [aux_sym__keyword_when_token1] = ACTIONS(1740),
    [aux_sym__keyword_else_token1] = ACTIONS(1742),
    [aux_sym__keyword_is_token1] = ACTIONS(1740),
    [aux_sym__keyword_in_token1] = ACTIONS(1742),
    [aux_sym__keyword_and_token1] = ACTIONS(1740),
    [aux_sym__keyword_like_token1] = ACTIONS(1740),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1740),
    [aux_sym__keyword_for_token1] = ACTIONS(1740),
    [anon_sym_SEMI] = ACTIONS(1740),
    [aux_sym_declare_statement_token1] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1740),
    [aux_sym_set_statement_token1] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1740),
    [aux_sym_return_satement_token1] = ACTIONS(1740),
    [aux_sym_call_statement_token1] = ACTIONS(1740),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1740),
    [aux_sym_if_statement_token1] = ACTIONS(1740),
    [aux_sym_loop_statement_token1] = ACTIONS(1740),
    [aux_sym_repeat_statement_token1] = ACTIONS(1740),
    [aux_sym_while_statement_token1] = ACTIONS(1740),
    [aux_sym_break_statement_token1] = ACTIONS(1740),
    [aux_sym_leave_statement_token1] = ACTIONS(1740),
    [aux_sym_continue_statement_token1] = ACTIONS(1740),
    [aux_sym_iterate_statement_token1] = ACTIONS(1740),
    [aux_sym_raise_statement_token1] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1740),
    [aux_sym_assert_statement_token1] = ACTIONS(1740),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1740),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1740),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1740),
    [anon_sym_LT] = ACTIONS(1742),
    [anon_sym_GT] = ACTIONS(1742),
    [aux_sym_set_operation_token1] = ACTIONS(1740),
    [aux_sym_set_operation_token3] = ACTIONS(1740),
    [aux_sym_set_operation_token4] = ACTIONS(1742),
    [aux_sym_select_token1] = ACTIONS(1740),
    [aux_sym_limit_clause_token1] = ACTIONS(1740),
    [aux_sym__direction_keywords_token1] = ACTIONS(1740),
    [aux_sym__direction_keywords_token2] = ACTIONS(1740),
    [aux_sym__nulls_preference_token1] = ACTIONS(1740),
    [aux_sym_insert_statement_token1] = ACTIONS(1740),
    [aux_sym_truncate_statement_token1] = ACTIONS(1740),
    [aux_sym_update_statement_token1] = ACTIONS(1740),
    [aux_sym_merge_statement_token1] = ACTIONS(1740),
    [aux_sym_grant_statement_token1] = ACTIONS(1740),
    [aux_sym_revoke_statement_token1] = ACTIONS(1740),
    [aux_sym_export_data_statement_token1] = ACTIONS(1740),
    [aux_sym_load_data_statement_token1] = ACTIONS(1740),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1740),
    [anon_sym_SLASH] = ACTIONS(1742),
    [anon_sym_PIPE_PIPE] = ACTIONS(1740),
    [anon_sym_LT_EQ] = ACTIONS(1740),
    [anon_sym_LT_GT] = ACTIONS(1740),
    [anon_sym_GT_EQ] = ACTIONS(1740),
    [anon_sym_BANG_EQ] = ACTIONS(1740),
    [anon_sym_LT_LT] = ACTIONS(1740),
    [anon_sym_GT_GT] = ACTIONS(1740),
    [anon_sym_AMP] = ACTIONS(1740),
    [anon_sym_CARET] = ACTIONS(1740),
    [anon_sym_PIPE] = ACTIONS(1742),
  },
  [3211] = {
    [ts_builtin_sym_end] = ACTIONS(1736),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1736),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1736),
    [aux_sym_keyword_replace_token1] = ACTIONS(1736),
    [aux_sym__keyword_alter_token1] = ACTIONS(1736),
    [aux_sym__keyword_delete_token1] = ACTIONS(1736),
    [aux_sym__keyword_begin_token1] = ACTIONS(1736),
    [aux_sym__keyword_end_token1] = ACTIONS(1736),
    [aux_sym__keyword_between_token1] = ACTIONS(1736),
    [aux_sym__keyword_when_token1] = ACTIONS(1736),
    [aux_sym__keyword_else_token1] = ACTIONS(1738),
    [aux_sym__keyword_is_token1] = ACTIONS(1736),
    [aux_sym__keyword_in_token1] = ACTIONS(1738),
    [aux_sym__keyword_and_token1] = ACTIONS(1736),
    [aux_sym__keyword_like_token1] = ACTIONS(1736),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1736),
    [aux_sym__keyword_for_token1] = ACTIONS(1736),
    [anon_sym_SEMI] = ACTIONS(1736),
    [aux_sym_declare_statement_token1] = ACTIONS(1736),
    [anon_sym_COMMA] = ACTIONS(1736),
    [aux_sym_set_statement_token1] = ACTIONS(1736),
    [anon_sym_LPAREN] = ACTIONS(1736),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1736),
    [aux_sym_return_satement_token1] = ACTIONS(1736),
    [aux_sym_call_statement_token1] = ACTIONS(1736),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1736),
    [aux_sym_if_statement_token1] = ACTIONS(1736),
    [aux_sym_loop_statement_token1] = ACTIONS(1736),
    [aux_sym_repeat_statement_token1] = ACTIONS(1736),
    [aux_sym_while_statement_token1] = ACTIONS(1736),
    [aux_sym_break_statement_token1] = ACTIONS(1736),
    [aux_sym_leave_statement_token1] = ACTIONS(1736),
    [aux_sym_continue_statement_token1] = ACTIONS(1736),
    [aux_sym_iterate_statement_token1] = ACTIONS(1736),
    [aux_sym_raise_statement_token1] = ACTIONS(1736),
    [anon_sym_EQ] = ACTIONS(1736),
    [aux_sym_assert_statement_token1] = ACTIONS(1736),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1736),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1736),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1736),
    [anon_sym_LT] = ACTIONS(1738),
    [anon_sym_GT] = ACTIONS(1738),
    [aux_sym_set_operation_token1] = ACTIONS(1736),
    [aux_sym_set_operation_token3] = ACTIONS(1736),
    [aux_sym_set_operation_token4] = ACTIONS(1738),
    [aux_sym_select_token1] = ACTIONS(1736),
    [aux_sym_limit_clause_token1] = ACTIONS(1736),
    [aux_sym__direction_keywords_token1] = ACTIONS(1736),
    [aux_sym__direction_keywords_token2] = ACTIONS(1736),
    [aux_sym__nulls_preference_token1] = ACTIONS(1736),
    [aux_sym_insert_statement_token1] = ACTIONS(1736),
    [aux_sym_truncate_statement_token1] = ACTIONS(1736),
    [aux_sym_update_statement_token1] = ACTIONS(1736),
    [aux_sym_merge_statement_token1] = ACTIONS(1736),
    [aux_sym_grant_statement_token1] = ACTIONS(1736),
    [aux_sym_revoke_statement_token1] = ACTIONS(1736),
    [aux_sym_export_data_statement_token1] = ACTIONS(1736),
    [aux_sym_load_data_statement_token1] = ACTIONS(1736),
    [anon_sym_LBRACK] = ACTIONS(1736),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1736),
    [anon_sym_PLUS] = ACTIONS(1736),
    [anon_sym_DASH] = ACTIONS(1738),
    [anon_sym_STAR] = ACTIONS(1736),
    [anon_sym_SLASH] = ACTIONS(1738),
    [anon_sym_PIPE_PIPE] = ACTIONS(1736),
    [anon_sym_LT_EQ] = ACTIONS(1736),
    [anon_sym_LT_GT] = ACTIONS(1736),
    [anon_sym_GT_EQ] = ACTIONS(1736),
    [anon_sym_BANG_EQ] = ACTIONS(1736),
    [anon_sym_LT_LT] = ACTIONS(1736),
    [anon_sym_GT_GT] = ACTIONS(1736),
    [anon_sym_AMP] = ACTIONS(1736),
    [anon_sym_CARET] = ACTIONS(1736),
    [anon_sym_PIPE] = ACTIONS(1738),
  },
  [3212] = {
    [ts_builtin_sym_end] = ACTIONS(1732),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1732),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1732),
    [aux_sym_keyword_replace_token1] = ACTIONS(1732),
    [aux_sym__keyword_alter_token1] = ACTIONS(1732),
    [aux_sym__keyword_delete_token1] = ACTIONS(1732),
    [aux_sym__keyword_begin_token1] = ACTIONS(1732),
    [aux_sym__keyword_end_token1] = ACTIONS(1732),
    [aux_sym__keyword_between_token1] = ACTIONS(1732),
    [aux_sym__keyword_when_token1] = ACTIONS(1732),
    [aux_sym__keyword_else_token1] = ACTIONS(1734),
    [aux_sym__keyword_is_token1] = ACTIONS(1732),
    [aux_sym__keyword_in_token1] = ACTIONS(1734),
    [aux_sym__keyword_and_token1] = ACTIONS(1732),
    [aux_sym__keyword_like_token1] = ACTIONS(1732),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1732),
    [aux_sym__keyword_for_token1] = ACTIONS(1732),
    [anon_sym_SEMI] = ACTIONS(1732),
    [aux_sym_declare_statement_token1] = ACTIONS(1732),
    [anon_sym_COMMA] = ACTIONS(1732),
    [aux_sym_set_statement_token1] = ACTIONS(1732),
    [anon_sym_LPAREN] = ACTIONS(1732),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1732),
    [aux_sym_return_satement_token1] = ACTIONS(1732),
    [aux_sym_call_statement_token1] = ACTIONS(1732),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1732),
    [aux_sym_if_statement_token1] = ACTIONS(1732),
    [aux_sym_loop_statement_token1] = ACTIONS(1732),
    [aux_sym_repeat_statement_token1] = ACTIONS(1732),
    [aux_sym_while_statement_token1] = ACTIONS(1732),
    [aux_sym_break_statement_token1] = ACTIONS(1732),
    [aux_sym_leave_statement_token1] = ACTIONS(1732),
    [aux_sym_continue_statement_token1] = ACTIONS(1732),
    [aux_sym_iterate_statement_token1] = ACTIONS(1732),
    [aux_sym_raise_statement_token1] = ACTIONS(1732),
    [anon_sym_EQ] = ACTIONS(1732),
    [aux_sym_assert_statement_token1] = ACTIONS(1732),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1732),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1732),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1732),
    [anon_sym_LT] = ACTIONS(1734),
    [anon_sym_GT] = ACTIONS(1734),
    [aux_sym_set_operation_token1] = ACTIONS(1732),
    [aux_sym_set_operation_token3] = ACTIONS(1732),
    [aux_sym_set_operation_token4] = ACTIONS(1734),
    [aux_sym_select_token1] = ACTIONS(1732),
    [aux_sym_limit_clause_token1] = ACTIONS(1732),
    [aux_sym__direction_keywords_token1] = ACTIONS(1732),
    [aux_sym__direction_keywords_token2] = ACTIONS(1732),
    [aux_sym__nulls_preference_token1] = ACTIONS(1732),
    [aux_sym_insert_statement_token1] = ACTIONS(1732),
    [aux_sym_truncate_statement_token1] = ACTIONS(1732),
    [aux_sym_update_statement_token1] = ACTIONS(1732),
    [aux_sym_merge_statement_token1] = ACTIONS(1732),
    [aux_sym_grant_statement_token1] = ACTIONS(1732),
    [aux_sym_revoke_statement_token1] = ACTIONS(1732),
    [aux_sym_export_data_statement_token1] = ACTIONS(1732),
    [aux_sym_load_data_statement_token1] = ACTIONS(1732),
    [anon_sym_LBRACK] = ACTIONS(1732),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1732),
    [anon_sym_PLUS] = ACTIONS(1732),
    [anon_sym_DASH] = ACTIONS(1734),
    [anon_sym_STAR] = ACTIONS(1732),
    [anon_sym_SLASH] = ACTIONS(1734),
    [anon_sym_PIPE_PIPE] = ACTIONS(1732),
    [anon_sym_LT_EQ] = ACTIONS(1732),
    [anon_sym_LT_GT] = ACTIONS(1732),
    [anon_sym_GT_EQ] = ACTIONS(1732),
    [anon_sym_BANG_EQ] = ACTIONS(1732),
    [anon_sym_LT_LT] = ACTIONS(1732),
    [anon_sym_GT_GT] = ACTIONS(1732),
    [anon_sym_AMP] = ACTIONS(1732),
    [anon_sym_CARET] = ACTIONS(1732),
    [anon_sym_PIPE] = ACTIONS(1734),
  },
  [3213] = {
    [ts_builtin_sym_end] = ACTIONS(1728),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1728),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1728),
    [aux_sym_keyword_replace_token1] = ACTIONS(1728),
    [aux_sym__keyword_alter_token1] = ACTIONS(1728),
    [aux_sym__keyword_delete_token1] = ACTIONS(1728),
    [aux_sym__keyword_begin_token1] = ACTIONS(1728),
    [aux_sym__keyword_end_token1] = ACTIONS(1728),
    [aux_sym__keyword_between_token1] = ACTIONS(1728),
    [aux_sym__keyword_when_token1] = ACTIONS(1728),
    [aux_sym__keyword_else_token1] = ACTIONS(1730),
    [aux_sym__keyword_is_token1] = ACTIONS(1728),
    [aux_sym__keyword_in_token1] = ACTIONS(1730),
    [aux_sym__keyword_and_token1] = ACTIONS(1728),
    [aux_sym__keyword_like_token1] = ACTIONS(1728),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1728),
    [aux_sym__keyword_for_token1] = ACTIONS(1728),
    [anon_sym_SEMI] = ACTIONS(1728),
    [aux_sym_declare_statement_token1] = ACTIONS(1728),
    [anon_sym_COMMA] = ACTIONS(1728),
    [aux_sym_set_statement_token1] = ACTIONS(1728),
    [anon_sym_LPAREN] = ACTIONS(1728),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1728),
    [aux_sym_return_satement_token1] = ACTIONS(1728),
    [aux_sym_call_statement_token1] = ACTIONS(1728),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1728),
    [aux_sym_if_statement_token1] = ACTIONS(1728),
    [aux_sym_loop_statement_token1] = ACTIONS(1728),
    [aux_sym_repeat_statement_token1] = ACTIONS(1728),
    [aux_sym_while_statement_token1] = ACTIONS(1728),
    [aux_sym_break_statement_token1] = ACTIONS(1728),
    [aux_sym_leave_statement_token1] = ACTIONS(1728),
    [aux_sym_continue_statement_token1] = ACTIONS(1728),
    [aux_sym_iterate_statement_token1] = ACTIONS(1728),
    [aux_sym_raise_statement_token1] = ACTIONS(1728),
    [anon_sym_EQ] = ACTIONS(1728),
    [aux_sym_assert_statement_token1] = ACTIONS(1728),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1728),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1728),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1728),
    [anon_sym_LT] = ACTIONS(1730),
    [anon_sym_GT] = ACTIONS(1730),
    [aux_sym_set_operation_token1] = ACTIONS(1728),
    [aux_sym_set_operation_token3] = ACTIONS(1728),
    [aux_sym_set_operation_token4] = ACTIONS(1730),
    [aux_sym_select_token1] = ACTIONS(1728),
    [aux_sym_limit_clause_token1] = ACTIONS(1728),
    [aux_sym__direction_keywords_token1] = ACTIONS(1728),
    [aux_sym__direction_keywords_token2] = ACTIONS(1728),
    [aux_sym__nulls_preference_token1] = ACTIONS(1728),
    [aux_sym_insert_statement_token1] = ACTIONS(1728),
    [aux_sym_truncate_statement_token1] = ACTIONS(1728),
    [aux_sym_update_statement_token1] = ACTIONS(1728),
    [aux_sym_merge_statement_token1] = ACTIONS(1728),
    [aux_sym_grant_statement_token1] = ACTIONS(1728),
    [aux_sym_revoke_statement_token1] = ACTIONS(1728),
    [aux_sym_export_data_statement_token1] = ACTIONS(1728),
    [aux_sym_load_data_statement_token1] = ACTIONS(1728),
    [anon_sym_LBRACK] = ACTIONS(1728),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1728),
    [anon_sym_DASH] = ACTIONS(1730),
    [anon_sym_STAR] = ACTIONS(1728),
    [anon_sym_SLASH] = ACTIONS(1730),
    [anon_sym_PIPE_PIPE] = ACTIONS(1728),
    [anon_sym_LT_EQ] = ACTIONS(1728),
    [anon_sym_LT_GT] = ACTIONS(1728),
    [anon_sym_GT_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ] = ACTIONS(1728),
    [anon_sym_LT_LT] = ACTIONS(1728),
    [anon_sym_GT_GT] = ACTIONS(1728),
    [anon_sym_AMP] = ACTIONS(1728),
    [anon_sym_CARET] = ACTIONS(1728),
    [anon_sym_PIPE] = ACTIONS(1730),
  },
  [3214] = {
    [ts_builtin_sym_end] = ACTIONS(1724),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1724),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1724),
    [aux_sym_keyword_replace_token1] = ACTIONS(1724),
    [aux_sym__keyword_alter_token1] = ACTIONS(1724),
    [aux_sym__keyword_delete_token1] = ACTIONS(1724),
    [aux_sym__keyword_begin_token1] = ACTIONS(1724),
    [aux_sym__keyword_end_token1] = ACTIONS(1724),
    [aux_sym__keyword_between_token1] = ACTIONS(1724),
    [aux_sym__keyword_when_token1] = ACTIONS(1724),
    [aux_sym__keyword_else_token1] = ACTIONS(1726),
    [aux_sym__keyword_is_token1] = ACTIONS(1724),
    [aux_sym__keyword_in_token1] = ACTIONS(1726),
    [aux_sym__keyword_and_token1] = ACTIONS(1724),
    [aux_sym__keyword_like_token1] = ACTIONS(1724),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1724),
    [aux_sym__keyword_for_token1] = ACTIONS(1724),
    [anon_sym_SEMI] = ACTIONS(1724),
    [aux_sym_declare_statement_token1] = ACTIONS(1724),
    [anon_sym_COMMA] = ACTIONS(1724),
    [aux_sym_set_statement_token1] = ACTIONS(1724),
    [anon_sym_LPAREN] = ACTIONS(1724),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1724),
    [aux_sym_return_satement_token1] = ACTIONS(1724),
    [aux_sym_call_statement_token1] = ACTIONS(1724),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1724),
    [aux_sym_if_statement_token1] = ACTIONS(1724),
    [aux_sym_loop_statement_token1] = ACTIONS(1724),
    [aux_sym_repeat_statement_token1] = ACTIONS(1724),
    [aux_sym_while_statement_token1] = ACTIONS(1724),
    [aux_sym_break_statement_token1] = ACTIONS(1724),
    [aux_sym_leave_statement_token1] = ACTIONS(1724),
    [aux_sym_continue_statement_token1] = ACTIONS(1724),
    [aux_sym_iterate_statement_token1] = ACTIONS(1724),
    [aux_sym_raise_statement_token1] = ACTIONS(1724),
    [anon_sym_EQ] = ACTIONS(1724),
    [aux_sym_assert_statement_token1] = ACTIONS(1724),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1724),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1724),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1724),
    [anon_sym_LT] = ACTIONS(1726),
    [anon_sym_GT] = ACTIONS(1726),
    [aux_sym_set_operation_token1] = ACTIONS(1724),
    [aux_sym_set_operation_token3] = ACTIONS(1724),
    [aux_sym_set_operation_token4] = ACTIONS(1726),
    [aux_sym_select_token1] = ACTIONS(1724),
    [aux_sym_limit_clause_token1] = ACTIONS(1724),
    [aux_sym__direction_keywords_token1] = ACTIONS(1724),
    [aux_sym__direction_keywords_token2] = ACTIONS(1724),
    [aux_sym__nulls_preference_token1] = ACTIONS(1724),
    [aux_sym_insert_statement_token1] = ACTIONS(1724),
    [aux_sym_truncate_statement_token1] = ACTIONS(1724),
    [aux_sym_update_statement_token1] = ACTIONS(1724),
    [aux_sym_merge_statement_token1] = ACTIONS(1724),
    [aux_sym_grant_statement_token1] = ACTIONS(1724),
    [aux_sym_revoke_statement_token1] = ACTIONS(1724),
    [aux_sym_export_data_statement_token1] = ACTIONS(1724),
    [aux_sym_load_data_statement_token1] = ACTIONS(1724),
    [anon_sym_LBRACK] = ACTIONS(1724),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_DASH] = ACTIONS(1726),
    [anon_sym_STAR] = ACTIONS(1724),
    [anon_sym_SLASH] = ACTIONS(1726),
    [anon_sym_PIPE_PIPE] = ACTIONS(1724),
    [anon_sym_LT_EQ] = ACTIONS(1724),
    [anon_sym_LT_GT] = ACTIONS(1724),
    [anon_sym_GT_EQ] = ACTIONS(1724),
    [anon_sym_BANG_EQ] = ACTIONS(1724),
    [anon_sym_LT_LT] = ACTIONS(1724),
    [anon_sym_GT_GT] = ACTIONS(1724),
    [anon_sym_AMP] = ACTIONS(1724),
    [anon_sym_CARET] = ACTIONS(1724),
    [anon_sym_PIPE] = ACTIONS(1726),
  },
  [3215] = {
    [ts_builtin_sym_end] = ACTIONS(1720),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1720),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1720),
    [aux_sym_keyword_replace_token1] = ACTIONS(1720),
    [aux_sym__keyword_alter_token1] = ACTIONS(1720),
    [aux_sym__keyword_delete_token1] = ACTIONS(1720),
    [aux_sym__keyword_begin_token1] = ACTIONS(1720),
    [aux_sym__keyword_end_token1] = ACTIONS(1720),
    [aux_sym__keyword_between_token1] = ACTIONS(1720),
    [aux_sym__keyword_when_token1] = ACTIONS(1720),
    [aux_sym__keyword_else_token1] = ACTIONS(1722),
    [aux_sym__keyword_is_token1] = ACTIONS(1720),
    [aux_sym__keyword_in_token1] = ACTIONS(1722),
    [aux_sym__keyword_and_token1] = ACTIONS(1720),
    [aux_sym__keyword_like_token1] = ACTIONS(1720),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1720),
    [aux_sym__keyword_for_token1] = ACTIONS(1720),
    [anon_sym_SEMI] = ACTIONS(1720),
    [aux_sym_declare_statement_token1] = ACTIONS(1720),
    [anon_sym_COMMA] = ACTIONS(1720),
    [aux_sym_set_statement_token1] = ACTIONS(1720),
    [anon_sym_LPAREN] = ACTIONS(1720),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1720),
    [aux_sym_return_satement_token1] = ACTIONS(1720),
    [aux_sym_call_statement_token1] = ACTIONS(1720),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1720),
    [aux_sym_if_statement_token1] = ACTIONS(1720),
    [aux_sym_loop_statement_token1] = ACTIONS(1720),
    [aux_sym_repeat_statement_token1] = ACTIONS(1720),
    [aux_sym_while_statement_token1] = ACTIONS(1720),
    [aux_sym_break_statement_token1] = ACTIONS(1720),
    [aux_sym_leave_statement_token1] = ACTIONS(1720),
    [aux_sym_continue_statement_token1] = ACTIONS(1720),
    [aux_sym_iterate_statement_token1] = ACTIONS(1720),
    [aux_sym_raise_statement_token1] = ACTIONS(1720),
    [anon_sym_EQ] = ACTIONS(1720),
    [aux_sym_assert_statement_token1] = ACTIONS(1720),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1720),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1720),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1720),
    [anon_sym_LT] = ACTIONS(1722),
    [anon_sym_GT] = ACTIONS(1722),
    [aux_sym_set_operation_token1] = ACTIONS(1720),
    [aux_sym_set_operation_token3] = ACTIONS(1720),
    [aux_sym_set_operation_token4] = ACTIONS(1722),
    [aux_sym_select_token1] = ACTIONS(1720),
    [aux_sym_limit_clause_token1] = ACTIONS(1720),
    [aux_sym__direction_keywords_token1] = ACTIONS(1720),
    [aux_sym__direction_keywords_token2] = ACTIONS(1720),
    [aux_sym__nulls_preference_token1] = ACTIONS(1720),
    [aux_sym_insert_statement_token1] = ACTIONS(1720),
    [aux_sym_truncate_statement_token1] = ACTIONS(1720),
    [aux_sym_update_statement_token1] = ACTIONS(1720),
    [aux_sym_merge_statement_token1] = ACTIONS(1720),
    [aux_sym_grant_statement_token1] = ACTIONS(1720),
    [aux_sym_revoke_statement_token1] = ACTIONS(1720),
    [aux_sym_export_data_statement_token1] = ACTIONS(1720),
    [aux_sym_load_data_statement_token1] = ACTIONS(1720),
    [anon_sym_LBRACK] = ACTIONS(1720),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1720),
    [anon_sym_PLUS] = ACTIONS(1720),
    [anon_sym_DASH] = ACTIONS(1722),
    [anon_sym_STAR] = ACTIONS(1720),
    [anon_sym_SLASH] = ACTIONS(1722),
    [anon_sym_PIPE_PIPE] = ACTIONS(1720),
    [anon_sym_LT_EQ] = ACTIONS(1720),
    [anon_sym_LT_GT] = ACTIONS(1720),
    [anon_sym_GT_EQ] = ACTIONS(1720),
    [anon_sym_BANG_EQ] = ACTIONS(1720),
    [anon_sym_LT_LT] = ACTIONS(1720),
    [anon_sym_GT_GT] = ACTIONS(1720),
    [anon_sym_AMP] = ACTIONS(1720),
    [anon_sym_CARET] = ACTIONS(1720),
    [anon_sym_PIPE] = ACTIONS(1722),
  },
  [3216] = {
    [ts_builtin_sym_end] = ACTIONS(1716),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1716),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1716),
    [aux_sym_keyword_replace_token1] = ACTIONS(1716),
    [aux_sym__keyword_alter_token1] = ACTIONS(1716),
    [aux_sym__keyword_delete_token1] = ACTIONS(1716),
    [aux_sym__keyword_begin_token1] = ACTIONS(1716),
    [aux_sym__keyword_end_token1] = ACTIONS(1716),
    [aux_sym__keyword_between_token1] = ACTIONS(1716),
    [aux_sym__keyword_when_token1] = ACTIONS(1716),
    [aux_sym__keyword_else_token1] = ACTIONS(1718),
    [aux_sym__keyword_is_token1] = ACTIONS(1716),
    [aux_sym__keyword_in_token1] = ACTIONS(1718),
    [aux_sym__keyword_and_token1] = ACTIONS(1716),
    [aux_sym__keyword_like_token1] = ACTIONS(1716),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1716),
    [aux_sym__keyword_for_token1] = ACTIONS(1716),
    [anon_sym_SEMI] = ACTIONS(1716),
    [aux_sym_declare_statement_token1] = ACTIONS(1716),
    [anon_sym_COMMA] = ACTIONS(1716),
    [aux_sym_set_statement_token1] = ACTIONS(1716),
    [anon_sym_LPAREN] = ACTIONS(1716),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1716),
    [aux_sym_return_satement_token1] = ACTIONS(1716),
    [aux_sym_call_statement_token1] = ACTIONS(1716),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1716),
    [aux_sym_if_statement_token1] = ACTIONS(1716),
    [aux_sym_loop_statement_token1] = ACTIONS(1716),
    [aux_sym_repeat_statement_token1] = ACTIONS(1716),
    [aux_sym_while_statement_token1] = ACTIONS(1716),
    [aux_sym_break_statement_token1] = ACTIONS(1716),
    [aux_sym_leave_statement_token1] = ACTIONS(1716),
    [aux_sym_continue_statement_token1] = ACTIONS(1716),
    [aux_sym_iterate_statement_token1] = ACTIONS(1716),
    [aux_sym_raise_statement_token1] = ACTIONS(1716),
    [anon_sym_EQ] = ACTIONS(1716),
    [aux_sym_assert_statement_token1] = ACTIONS(1716),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1716),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1716),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1716),
    [anon_sym_LT] = ACTIONS(1718),
    [anon_sym_GT] = ACTIONS(1718),
    [aux_sym_set_operation_token1] = ACTIONS(1716),
    [aux_sym_set_operation_token3] = ACTIONS(1716),
    [aux_sym_set_operation_token4] = ACTIONS(1718),
    [aux_sym_select_token1] = ACTIONS(1716),
    [aux_sym_limit_clause_token1] = ACTIONS(1716),
    [aux_sym__direction_keywords_token1] = ACTIONS(1716),
    [aux_sym__direction_keywords_token2] = ACTIONS(1716),
    [aux_sym__nulls_preference_token1] = ACTIONS(1716),
    [aux_sym_insert_statement_token1] = ACTIONS(1716),
    [aux_sym_truncate_statement_token1] = ACTIONS(1716),
    [aux_sym_update_statement_token1] = ACTIONS(1716),
    [aux_sym_merge_statement_token1] = ACTIONS(1716),
    [aux_sym_grant_statement_token1] = ACTIONS(1716),
    [aux_sym_revoke_statement_token1] = ACTIONS(1716),
    [aux_sym_export_data_statement_token1] = ACTIONS(1716),
    [aux_sym_load_data_statement_token1] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1716),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_DASH] = ACTIONS(1718),
    [anon_sym_STAR] = ACTIONS(1716),
    [anon_sym_SLASH] = ACTIONS(1718),
    [anon_sym_PIPE_PIPE] = ACTIONS(1716),
    [anon_sym_LT_EQ] = ACTIONS(1716),
    [anon_sym_LT_GT] = ACTIONS(1716),
    [anon_sym_GT_EQ] = ACTIONS(1716),
    [anon_sym_BANG_EQ] = ACTIONS(1716),
    [anon_sym_LT_LT] = ACTIONS(1716),
    [anon_sym_GT_GT] = ACTIONS(1716),
    [anon_sym_AMP] = ACTIONS(1716),
    [anon_sym_CARET] = ACTIONS(1716),
    [anon_sym_PIPE] = ACTIONS(1718),
  },
  [3217] = {
    [sym_analytics_clause] = STATE(3417),
    [sym__unquoted_identifier] = ACTIONS(1436),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1436),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1436),
    [aux_sym_keyword_replace_token1] = ACTIONS(1436),
    [aux_sym__keyword_alter_token1] = ACTIONS(1436),
    [aux_sym__keyword_delete_token1] = ACTIONS(1436),
    [aux_sym__keyword_begin_token1] = ACTIONS(1436),
    [aux_sym__keyword_end_token1] = ACTIONS(1436),
    [aux_sym__keyword_between_token1] = ACTIONS(1436),
    [aux_sym__keyword_else_token1] = ACTIONS(1436),
    [aux_sym__keyword_is_token1] = ACTIONS(1436),
    [aux_sym__keyword_in_token1] = ACTIONS(1436),
    [aux_sym__keyword_and_token1] = ACTIONS(1436),
    [aux_sym__keyword_like_token1] = ACTIONS(1436),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1436),
    [aux_sym__keyword_as_token1] = ACTIONS(1436),
    [aux_sym__keyword_date_token1] = ACTIONS(1436),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1436),
    [aux_sym__keyword_time_token1] = ACTIONS(1436),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1436),
    [aux_sym__keyword_for_token1] = ACTIONS(1436),
    [anon_sym_SEMI] = ACTIONS(1434),
    [aux_sym_declare_statement_token1] = ACTIONS(1436),
    [anon_sym_COMMA] = ACTIONS(1434),
    [aux_sym_set_statement_token1] = ACTIONS(1436),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1436),
    [aux_sym_return_satement_token1] = ACTIONS(1436),
    [aux_sym_call_statement_token1] = ACTIONS(1436),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1436),
    [aux_sym_if_statement_token1] = ACTIONS(1436),
    [aux_sym_loop_statement_token1] = ACTIONS(1436),
    [aux_sym_repeat_statement_token1] = ACTIONS(1436),
    [aux_sym_while_statement_token1] = ACTIONS(1436),
    [aux_sym_break_statement_token1] = ACTIONS(1436),
    [aux_sym_leave_statement_token1] = ACTIONS(1436),
    [aux_sym_continue_statement_token1] = ACTIONS(1436),
    [aux_sym_iterate_statement_token1] = ACTIONS(1436),
    [aux_sym_raise_statement_token1] = ACTIONS(1436),
    [anon_sym_EQ] = ACTIONS(1434),
    [aux_sym_assert_statement_token1] = ACTIONS(1436),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1436),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1436),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(1436),
    [anon_sym_GT] = ACTIONS(1436),
    [aux_sym_select_token1] = ACTIONS(1436),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1436),
    [aux_sym_truncate_statement_token1] = ACTIONS(1436),
    [aux_sym_update_statement_token1] = ACTIONS(1436),
    [aux_sym_merge_statement_token1] = ACTIONS(1436),
    [aux_sym_grant_statement_token1] = ACTIONS(1436),
    [aux_sym_revoke_statement_token1] = ACTIONS(1436),
    [aux_sym_export_data_statement_token1] = ACTIONS(1436),
    [aux_sym_load_data_statement_token1] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [sym__quoted_identifier] = ACTIONS(1434),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_STAR] = ACTIONS(1434),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1434),
    [anon_sym_LT_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1434),
    [anon_sym_BANG_EQ] = ACTIONS(1434),
    [anon_sym_LT_LT] = ACTIONS(1434),
    [anon_sym_GT_GT] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1434),
    [anon_sym_PIPE] = ACTIONS(1436),
  },
  [3218] = {
    [ts_builtin_sym_end] = ACTIONS(1712),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1712),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1712),
    [aux_sym_keyword_replace_token1] = ACTIONS(1712),
    [aux_sym__keyword_alter_token1] = ACTIONS(1712),
    [aux_sym__keyword_delete_token1] = ACTIONS(1712),
    [aux_sym__keyword_begin_token1] = ACTIONS(1712),
    [aux_sym__keyword_end_token1] = ACTIONS(1712),
    [aux_sym__keyword_between_token1] = ACTIONS(1712),
    [aux_sym__keyword_when_token1] = ACTIONS(1712),
    [aux_sym__keyword_else_token1] = ACTIONS(1714),
    [aux_sym__keyword_is_token1] = ACTIONS(1712),
    [aux_sym__keyword_in_token1] = ACTIONS(1714),
    [aux_sym__keyword_and_token1] = ACTIONS(1712),
    [aux_sym__keyword_like_token1] = ACTIONS(1712),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1712),
    [aux_sym__keyword_for_token1] = ACTIONS(1712),
    [anon_sym_SEMI] = ACTIONS(1712),
    [aux_sym_declare_statement_token1] = ACTIONS(1712),
    [anon_sym_COMMA] = ACTIONS(1712),
    [aux_sym_set_statement_token1] = ACTIONS(1712),
    [anon_sym_LPAREN] = ACTIONS(1712),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1712),
    [aux_sym_return_satement_token1] = ACTIONS(1712),
    [aux_sym_call_statement_token1] = ACTIONS(1712),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1712),
    [aux_sym_if_statement_token1] = ACTIONS(1712),
    [aux_sym_loop_statement_token1] = ACTIONS(1712),
    [aux_sym_repeat_statement_token1] = ACTIONS(1712),
    [aux_sym_while_statement_token1] = ACTIONS(1712),
    [aux_sym_break_statement_token1] = ACTIONS(1712),
    [aux_sym_leave_statement_token1] = ACTIONS(1712),
    [aux_sym_continue_statement_token1] = ACTIONS(1712),
    [aux_sym_iterate_statement_token1] = ACTIONS(1712),
    [aux_sym_raise_statement_token1] = ACTIONS(1712),
    [anon_sym_EQ] = ACTIONS(1712),
    [aux_sym_assert_statement_token1] = ACTIONS(1712),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1712),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1712),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1712),
    [anon_sym_LT] = ACTIONS(1714),
    [anon_sym_GT] = ACTIONS(1714),
    [aux_sym_set_operation_token1] = ACTIONS(1712),
    [aux_sym_set_operation_token3] = ACTIONS(1712),
    [aux_sym_set_operation_token4] = ACTIONS(1714),
    [aux_sym_select_token1] = ACTIONS(1712),
    [aux_sym_limit_clause_token1] = ACTIONS(1712),
    [aux_sym__direction_keywords_token1] = ACTIONS(1712),
    [aux_sym__direction_keywords_token2] = ACTIONS(1712),
    [aux_sym__nulls_preference_token1] = ACTIONS(1712),
    [aux_sym_insert_statement_token1] = ACTIONS(1712),
    [aux_sym_truncate_statement_token1] = ACTIONS(1712),
    [aux_sym_update_statement_token1] = ACTIONS(1712),
    [aux_sym_merge_statement_token1] = ACTIONS(1712),
    [aux_sym_grant_statement_token1] = ACTIONS(1712),
    [aux_sym_revoke_statement_token1] = ACTIONS(1712),
    [aux_sym_export_data_statement_token1] = ACTIONS(1712),
    [aux_sym_load_data_statement_token1] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1712),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1712),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_DASH] = ACTIONS(1714),
    [anon_sym_STAR] = ACTIONS(1712),
    [anon_sym_SLASH] = ACTIONS(1714),
    [anon_sym_PIPE_PIPE] = ACTIONS(1712),
    [anon_sym_LT_EQ] = ACTIONS(1712),
    [anon_sym_LT_GT] = ACTIONS(1712),
    [anon_sym_GT_EQ] = ACTIONS(1712),
    [anon_sym_BANG_EQ] = ACTIONS(1712),
    [anon_sym_LT_LT] = ACTIONS(1712),
    [anon_sym_GT_GT] = ACTIONS(1712),
    [anon_sym_AMP] = ACTIONS(1712),
    [anon_sym_CARET] = ACTIONS(1712),
    [anon_sym_PIPE] = ACTIONS(1714),
  },
  [3219] = {
    [ts_builtin_sym_end] = ACTIONS(1708),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1708),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1708),
    [aux_sym_keyword_replace_token1] = ACTIONS(1708),
    [aux_sym__keyword_alter_token1] = ACTIONS(1708),
    [aux_sym__keyword_delete_token1] = ACTIONS(1708),
    [aux_sym__keyword_begin_token1] = ACTIONS(1708),
    [aux_sym__keyword_end_token1] = ACTIONS(1708),
    [aux_sym__keyword_between_token1] = ACTIONS(1708),
    [aux_sym__keyword_when_token1] = ACTIONS(1708),
    [aux_sym__keyword_else_token1] = ACTIONS(1710),
    [aux_sym__keyword_is_token1] = ACTIONS(1708),
    [aux_sym__keyword_in_token1] = ACTIONS(1710),
    [aux_sym__keyword_and_token1] = ACTIONS(1708),
    [aux_sym__keyword_like_token1] = ACTIONS(1708),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1708),
    [aux_sym__keyword_for_token1] = ACTIONS(1708),
    [anon_sym_SEMI] = ACTIONS(1708),
    [aux_sym_declare_statement_token1] = ACTIONS(1708),
    [anon_sym_COMMA] = ACTIONS(1708),
    [aux_sym_set_statement_token1] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1708),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1708),
    [aux_sym_return_satement_token1] = ACTIONS(1708),
    [aux_sym_call_statement_token1] = ACTIONS(1708),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1708),
    [aux_sym_if_statement_token1] = ACTIONS(1708),
    [aux_sym_loop_statement_token1] = ACTIONS(1708),
    [aux_sym_repeat_statement_token1] = ACTIONS(1708),
    [aux_sym_while_statement_token1] = ACTIONS(1708),
    [aux_sym_break_statement_token1] = ACTIONS(1708),
    [aux_sym_leave_statement_token1] = ACTIONS(1708),
    [aux_sym_continue_statement_token1] = ACTIONS(1708),
    [aux_sym_iterate_statement_token1] = ACTIONS(1708),
    [aux_sym_raise_statement_token1] = ACTIONS(1708),
    [anon_sym_EQ] = ACTIONS(1708),
    [aux_sym_assert_statement_token1] = ACTIONS(1708),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1708),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1708),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1708),
    [anon_sym_LT] = ACTIONS(1710),
    [anon_sym_GT] = ACTIONS(1710),
    [aux_sym_set_operation_token1] = ACTIONS(1708),
    [aux_sym_set_operation_token3] = ACTIONS(1708),
    [aux_sym_set_operation_token4] = ACTIONS(1710),
    [aux_sym_select_token1] = ACTIONS(1708),
    [aux_sym_limit_clause_token1] = ACTIONS(1708),
    [aux_sym__direction_keywords_token1] = ACTIONS(1708),
    [aux_sym__direction_keywords_token2] = ACTIONS(1708),
    [aux_sym__nulls_preference_token1] = ACTIONS(1708),
    [aux_sym_insert_statement_token1] = ACTIONS(1708),
    [aux_sym_truncate_statement_token1] = ACTIONS(1708),
    [aux_sym_update_statement_token1] = ACTIONS(1708),
    [aux_sym_merge_statement_token1] = ACTIONS(1708),
    [aux_sym_grant_statement_token1] = ACTIONS(1708),
    [aux_sym_revoke_statement_token1] = ACTIONS(1708),
    [aux_sym_export_data_statement_token1] = ACTIONS(1708),
    [aux_sym_load_data_statement_token1] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1708),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_DASH] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(1708),
    [anon_sym_SLASH] = ACTIONS(1710),
    [anon_sym_PIPE_PIPE] = ACTIONS(1708),
    [anon_sym_LT_EQ] = ACTIONS(1708),
    [anon_sym_LT_GT] = ACTIONS(1708),
    [anon_sym_GT_EQ] = ACTIONS(1708),
    [anon_sym_BANG_EQ] = ACTIONS(1708),
    [anon_sym_LT_LT] = ACTIONS(1708),
    [anon_sym_GT_GT] = ACTIONS(1708),
    [anon_sym_AMP] = ACTIONS(1708),
    [anon_sym_CARET] = ACTIONS(1708),
    [anon_sym_PIPE] = ACTIONS(1710),
  },
  [3220] = {
    [ts_builtin_sym_end] = ACTIONS(1704),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1704),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1704),
    [aux_sym_keyword_replace_token1] = ACTIONS(1704),
    [aux_sym__keyword_alter_token1] = ACTIONS(1704),
    [aux_sym__keyword_delete_token1] = ACTIONS(1704),
    [aux_sym__keyword_begin_token1] = ACTIONS(1704),
    [aux_sym__keyword_end_token1] = ACTIONS(1704),
    [aux_sym__keyword_between_token1] = ACTIONS(1704),
    [aux_sym__keyword_when_token1] = ACTIONS(1704),
    [aux_sym__keyword_else_token1] = ACTIONS(1706),
    [aux_sym__keyword_is_token1] = ACTIONS(1704),
    [aux_sym__keyword_in_token1] = ACTIONS(1706),
    [aux_sym__keyword_and_token1] = ACTIONS(1704),
    [aux_sym__keyword_like_token1] = ACTIONS(1704),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1704),
    [aux_sym__keyword_for_token1] = ACTIONS(1704),
    [anon_sym_SEMI] = ACTIONS(1704),
    [aux_sym_declare_statement_token1] = ACTIONS(1704),
    [anon_sym_COMMA] = ACTIONS(1704),
    [aux_sym_set_statement_token1] = ACTIONS(1704),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1704),
    [aux_sym_return_satement_token1] = ACTIONS(1704),
    [aux_sym_call_statement_token1] = ACTIONS(1704),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1704),
    [aux_sym_if_statement_token1] = ACTIONS(1704),
    [aux_sym_loop_statement_token1] = ACTIONS(1704),
    [aux_sym_repeat_statement_token1] = ACTIONS(1704),
    [aux_sym_while_statement_token1] = ACTIONS(1704),
    [aux_sym_break_statement_token1] = ACTIONS(1704),
    [aux_sym_leave_statement_token1] = ACTIONS(1704),
    [aux_sym_continue_statement_token1] = ACTIONS(1704),
    [aux_sym_iterate_statement_token1] = ACTIONS(1704),
    [aux_sym_raise_statement_token1] = ACTIONS(1704),
    [anon_sym_EQ] = ACTIONS(1704),
    [aux_sym_assert_statement_token1] = ACTIONS(1704),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1704),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1704),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1704),
    [anon_sym_LT] = ACTIONS(1706),
    [anon_sym_GT] = ACTIONS(1706),
    [aux_sym_set_operation_token1] = ACTIONS(1704),
    [aux_sym_set_operation_token3] = ACTIONS(1704),
    [aux_sym_set_operation_token4] = ACTIONS(1706),
    [aux_sym_select_token1] = ACTIONS(1704),
    [aux_sym_limit_clause_token1] = ACTIONS(1704),
    [aux_sym__direction_keywords_token1] = ACTIONS(1704),
    [aux_sym__direction_keywords_token2] = ACTIONS(1704),
    [aux_sym__nulls_preference_token1] = ACTIONS(1704),
    [aux_sym_insert_statement_token1] = ACTIONS(1704),
    [aux_sym_truncate_statement_token1] = ACTIONS(1704),
    [aux_sym_update_statement_token1] = ACTIONS(1704),
    [aux_sym_merge_statement_token1] = ACTIONS(1704),
    [aux_sym_grant_statement_token1] = ACTIONS(1704),
    [aux_sym_revoke_statement_token1] = ACTIONS(1704),
    [aux_sym_export_data_statement_token1] = ACTIONS(1704),
    [aux_sym_load_data_statement_token1] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1704),
    [anon_sym_PLUS] = ACTIONS(1704),
    [anon_sym_DASH] = ACTIONS(1706),
    [anon_sym_STAR] = ACTIONS(1704),
    [anon_sym_SLASH] = ACTIONS(1706),
    [anon_sym_PIPE_PIPE] = ACTIONS(1704),
    [anon_sym_LT_EQ] = ACTIONS(1704),
    [anon_sym_LT_GT] = ACTIONS(1704),
    [anon_sym_GT_EQ] = ACTIONS(1704),
    [anon_sym_BANG_EQ] = ACTIONS(1704),
    [anon_sym_LT_LT] = ACTIONS(1704),
    [anon_sym_GT_GT] = ACTIONS(1704),
    [anon_sym_AMP] = ACTIONS(1704),
    [anon_sym_CARET] = ACTIONS(1704),
    [anon_sym_PIPE] = ACTIONS(1706),
  },
  [3221] = {
    [ts_builtin_sym_end] = ACTIONS(1700),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1700),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1700),
    [aux_sym_keyword_replace_token1] = ACTIONS(1700),
    [aux_sym__keyword_alter_token1] = ACTIONS(1700),
    [aux_sym__keyword_delete_token1] = ACTIONS(1700),
    [aux_sym__keyword_begin_token1] = ACTIONS(1700),
    [aux_sym__keyword_end_token1] = ACTIONS(1700),
    [aux_sym__keyword_between_token1] = ACTIONS(1700),
    [aux_sym__keyword_when_token1] = ACTIONS(1700),
    [aux_sym__keyword_else_token1] = ACTIONS(1702),
    [aux_sym__keyword_is_token1] = ACTIONS(1700),
    [aux_sym__keyword_in_token1] = ACTIONS(1702),
    [aux_sym__keyword_and_token1] = ACTIONS(1700),
    [aux_sym__keyword_like_token1] = ACTIONS(1700),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1700),
    [aux_sym__keyword_for_token1] = ACTIONS(1700),
    [anon_sym_SEMI] = ACTIONS(1700),
    [aux_sym_declare_statement_token1] = ACTIONS(1700),
    [anon_sym_COMMA] = ACTIONS(1700),
    [aux_sym_set_statement_token1] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1700),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1700),
    [aux_sym_return_satement_token1] = ACTIONS(1700),
    [aux_sym_call_statement_token1] = ACTIONS(1700),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1700),
    [aux_sym_if_statement_token1] = ACTIONS(1700),
    [aux_sym_loop_statement_token1] = ACTIONS(1700),
    [aux_sym_repeat_statement_token1] = ACTIONS(1700),
    [aux_sym_while_statement_token1] = ACTIONS(1700),
    [aux_sym_break_statement_token1] = ACTIONS(1700),
    [aux_sym_leave_statement_token1] = ACTIONS(1700),
    [aux_sym_continue_statement_token1] = ACTIONS(1700),
    [aux_sym_iterate_statement_token1] = ACTIONS(1700),
    [aux_sym_raise_statement_token1] = ACTIONS(1700),
    [anon_sym_EQ] = ACTIONS(1700),
    [aux_sym_assert_statement_token1] = ACTIONS(1700),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1700),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1700),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1700),
    [anon_sym_LT] = ACTIONS(1702),
    [anon_sym_GT] = ACTIONS(1702),
    [aux_sym_set_operation_token1] = ACTIONS(1700),
    [aux_sym_set_operation_token3] = ACTIONS(1700),
    [aux_sym_set_operation_token4] = ACTIONS(1702),
    [aux_sym_select_token1] = ACTIONS(1700),
    [aux_sym_limit_clause_token1] = ACTIONS(1700),
    [aux_sym__direction_keywords_token1] = ACTIONS(1700),
    [aux_sym__direction_keywords_token2] = ACTIONS(1700),
    [aux_sym__nulls_preference_token1] = ACTIONS(1700),
    [aux_sym_insert_statement_token1] = ACTIONS(1700),
    [aux_sym_truncate_statement_token1] = ACTIONS(1700),
    [aux_sym_update_statement_token1] = ACTIONS(1700),
    [aux_sym_merge_statement_token1] = ACTIONS(1700),
    [aux_sym_grant_statement_token1] = ACTIONS(1700),
    [aux_sym_revoke_statement_token1] = ACTIONS(1700),
    [aux_sym_export_data_statement_token1] = ACTIONS(1700),
    [aux_sym_load_data_statement_token1] = ACTIONS(1700),
    [anon_sym_LBRACK] = ACTIONS(1700),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1700),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_DASH] = ACTIONS(1702),
    [anon_sym_STAR] = ACTIONS(1700),
    [anon_sym_SLASH] = ACTIONS(1702),
    [anon_sym_PIPE_PIPE] = ACTIONS(1700),
    [anon_sym_LT_EQ] = ACTIONS(1700),
    [anon_sym_LT_GT] = ACTIONS(1700),
    [anon_sym_GT_EQ] = ACTIONS(1700),
    [anon_sym_BANG_EQ] = ACTIONS(1700),
    [anon_sym_LT_LT] = ACTIONS(1700),
    [anon_sym_GT_GT] = ACTIONS(1700),
    [anon_sym_AMP] = ACTIONS(1700),
    [anon_sym_CARET] = ACTIONS(1700),
    [anon_sym_PIPE] = ACTIONS(1702),
  },
  [3222] = {
    [sym_analytics_clause] = STATE(3535),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [3223] = {
    [ts_builtin_sym_end] = ACTIONS(1696),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1696),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1696),
    [aux_sym_keyword_replace_token1] = ACTIONS(1696),
    [aux_sym__keyword_alter_token1] = ACTIONS(1696),
    [aux_sym__keyword_delete_token1] = ACTIONS(1696),
    [aux_sym__keyword_begin_token1] = ACTIONS(1696),
    [aux_sym__keyword_end_token1] = ACTIONS(1696),
    [aux_sym__keyword_between_token1] = ACTIONS(1696),
    [aux_sym__keyword_when_token1] = ACTIONS(1696),
    [aux_sym__keyword_else_token1] = ACTIONS(1698),
    [aux_sym__keyword_is_token1] = ACTIONS(1696),
    [aux_sym__keyword_in_token1] = ACTIONS(1698),
    [aux_sym__keyword_and_token1] = ACTIONS(1696),
    [aux_sym__keyword_like_token1] = ACTIONS(1696),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1696),
    [aux_sym__keyword_for_token1] = ACTIONS(1696),
    [anon_sym_SEMI] = ACTIONS(1696),
    [aux_sym_declare_statement_token1] = ACTIONS(1696),
    [anon_sym_COMMA] = ACTIONS(1696),
    [aux_sym_set_statement_token1] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1696),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1696),
    [aux_sym_return_satement_token1] = ACTIONS(1696),
    [aux_sym_call_statement_token1] = ACTIONS(1696),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1696),
    [aux_sym_if_statement_token1] = ACTIONS(1696),
    [aux_sym_loop_statement_token1] = ACTIONS(1696),
    [aux_sym_repeat_statement_token1] = ACTIONS(1696),
    [aux_sym_while_statement_token1] = ACTIONS(1696),
    [aux_sym_break_statement_token1] = ACTIONS(1696),
    [aux_sym_leave_statement_token1] = ACTIONS(1696),
    [aux_sym_continue_statement_token1] = ACTIONS(1696),
    [aux_sym_iterate_statement_token1] = ACTIONS(1696),
    [aux_sym_raise_statement_token1] = ACTIONS(1696),
    [anon_sym_EQ] = ACTIONS(1696),
    [aux_sym_assert_statement_token1] = ACTIONS(1696),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1696),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1696),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1696),
    [anon_sym_LT] = ACTIONS(1698),
    [anon_sym_GT] = ACTIONS(1698),
    [aux_sym_set_operation_token1] = ACTIONS(1696),
    [aux_sym_set_operation_token3] = ACTIONS(1696),
    [aux_sym_set_operation_token4] = ACTIONS(1698),
    [aux_sym_select_token1] = ACTIONS(1696),
    [aux_sym_limit_clause_token1] = ACTIONS(1696),
    [aux_sym__direction_keywords_token1] = ACTIONS(1696),
    [aux_sym__direction_keywords_token2] = ACTIONS(1696),
    [aux_sym__nulls_preference_token1] = ACTIONS(1696),
    [aux_sym_insert_statement_token1] = ACTIONS(1696),
    [aux_sym_truncate_statement_token1] = ACTIONS(1696),
    [aux_sym_update_statement_token1] = ACTIONS(1696),
    [aux_sym_merge_statement_token1] = ACTIONS(1696),
    [aux_sym_grant_statement_token1] = ACTIONS(1696),
    [aux_sym_revoke_statement_token1] = ACTIONS(1696),
    [aux_sym_export_data_statement_token1] = ACTIONS(1696),
    [aux_sym_load_data_statement_token1] = ACTIONS(1696),
    [anon_sym_LBRACK] = ACTIONS(1696),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_STAR] = ACTIONS(1696),
    [anon_sym_SLASH] = ACTIONS(1698),
    [anon_sym_PIPE_PIPE] = ACTIONS(1696),
    [anon_sym_LT_EQ] = ACTIONS(1696),
    [anon_sym_LT_GT] = ACTIONS(1696),
    [anon_sym_GT_EQ] = ACTIONS(1696),
    [anon_sym_BANG_EQ] = ACTIONS(1696),
    [anon_sym_LT_LT] = ACTIONS(1696),
    [anon_sym_GT_GT] = ACTIONS(1696),
    [anon_sym_AMP] = ACTIONS(1696),
    [anon_sym_CARET] = ACTIONS(1696),
    [anon_sym_PIPE] = ACTIONS(1698),
  },
  [3224] = {
    [ts_builtin_sym_end] = ACTIONS(1648),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1648),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1648),
    [aux_sym_keyword_replace_token1] = ACTIONS(1648),
    [aux_sym__keyword_alter_token1] = ACTIONS(1648),
    [aux_sym__keyword_delete_token1] = ACTIONS(1648),
    [aux_sym__keyword_begin_token1] = ACTIONS(1648),
    [aux_sym__keyword_end_token1] = ACTIONS(1648),
    [aux_sym__keyword_between_token1] = ACTIONS(1648),
    [aux_sym__keyword_when_token1] = ACTIONS(1648),
    [aux_sym__keyword_else_token1] = ACTIONS(1650),
    [aux_sym__keyword_is_token1] = ACTIONS(1648),
    [aux_sym__keyword_in_token1] = ACTIONS(1650),
    [aux_sym__keyword_and_token1] = ACTIONS(1648),
    [aux_sym__keyword_like_token1] = ACTIONS(1648),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1648),
    [aux_sym__keyword_for_token1] = ACTIONS(1648),
    [anon_sym_SEMI] = ACTIONS(1648),
    [aux_sym_declare_statement_token1] = ACTIONS(1648),
    [anon_sym_COMMA] = ACTIONS(1648),
    [aux_sym_set_statement_token1] = ACTIONS(1648),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1648),
    [aux_sym_return_satement_token1] = ACTIONS(1648),
    [aux_sym_call_statement_token1] = ACTIONS(1648),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1648),
    [aux_sym_if_statement_token1] = ACTIONS(1648),
    [aux_sym_loop_statement_token1] = ACTIONS(1648),
    [aux_sym_repeat_statement_token1] = ACTIONS(1648),
    [aux_sym_while_statement_token1] = ACTIONS(1648),
    [aux_sym_break_statement_token1] = ACTIONS(1648),
    [aux_sym_leave_statement_token1] = ACTIONS(1648),
    [aux_sym_continue_statement_token1] = ACTIONS(1648),
    [aux_sym_iterate_statement_token1] = ACTIONS(1648),
    [aux_sym_raise_statement_token1] = ACTIONS(1648),
    [anon_sym_EQ] = ACTIONS(1648),
    [aux_sym_assert_statement_token1] = ACTIONS(1648),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1648),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1648),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1648),
    [anon_sym_LT] = ACTIONS(1650),
    [anon_sym_GT] = ACTIONS(1650),
    [aux_sym_set_operation_token1] = ACTIONS(1648),
    [aux_sym_set_operation_token3] = ACTIONS(1648),
    [aux_sym_set_operation_token4] = ACTIONS(1650),
    [aux_sym_select_token1] = ACTIONS(1648),
    [aux_sym_limit_clause_token1] = ACTIONS(1648),
    [aux_sym__direction_keywords_token1] = ACTIONS(1648),
    [aux_sym__direction_keywords_token2] = ACTIONS(1648),
    [aux_sym__nulls_preference_token1] = ACTIONS(1648),
    [aux_sym_insert_statement_token1] = ACTIONS(1648),
    [aux_sym_truncate_statement_token1] = ACTIONS(1648),
    [aux_sym_update_statement_token1] = ACTIONS(1648),
    [aux_sym_merge_statement_token1] = ACTIONS(1648),
    [aux_sym_grant_statement_token1] = ACTIONS(1648),
    [aux_sym_revoke_statement_token1] = ACTIONS(1648),
    [aux_sym_export_data_statement_token1] = ACTIONS(1648),
    [aux_sym_load_data_statement_token1] = ACTIONS(1648),
    [anon_sym_LBRACK] = ACTIONS(1648),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1648),
    [anon_sym_PLUS] = ACTIONS(1648),
    [anon_sym_DASH] = ACTIONS(1650),
    [anon_sym_STAR] = ACTIONS(1648),
    [anon_sym_SLASH] = ACTIONS(1650),
    [anon_sym_PIPE_PIPE] = ACTIONS(1648),
    [anon_sym_LT_EQ] = ACTIONS(1648),
    [anon_sym_LT_GT] = ACTIONS(1648),
    [anon_sym_GT_EQ] = ACTIONS(1648),
    [anon_sym_BANG_EQ] = ACTIONS(1648),
    [anon_sym_LT_LT] = ACTIONS(1648),
    [anon_sym_GT_GT] = ACTIONS(1648),
    [anon_sym_AMP] = ACTIONS(1648),
    [anon_sym_CARET] = ACTIONS(1648),
    [anon_sym_PIPE] = ACTIONS(1650),
  },
  [3225] = {
    [ts_builtin_sym_end] = ACTIONS(1692),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1692),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1692),
    [aux_sym_keyword_replace_token1] = ACTIONS(1692),
    [aux_sym__keyword_alter_token1] = ACTIONS(1692),
    [aux_sym__keyword_delete_token1] = ACTIONS(1692),
    [aux_sym__keyword_begin_token1] = ACTIONS(1692),
    [aux_sym__keyword_end_token1] = ACTIONS(1692),
    [aux_sym__keyword_between_token1] = ACTIONS(1692),
    [aux_sym__keyword_when_token1] = ACTIONS(1692),
    [aux_sym__keyword_else_token1] = ACTIONS(1694),
    [aux_sym__keyword_is_token1] = ACTIONS(1692),
    [aux_sym__keyword_in_token1] = ACTIONS(1694),
    [aux_sym__keyword_and_token1] = ACTIONS(1692),
    [aux_sym__keyword_like_token1] = ACTIONS(1692),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1692),
    [aux_sym__keyword_for_token1] = ACTIONS(1692),
    [anon_sym_SEMI] = ACTIONS(1692),
    [aux_sym_declare_statement_token1] = ACTIONS(1692),
    [anon_sym_COMMA] = ACTIONS(1692),
    [aux_sym_set_statement_token1] = ACTIONS(1692),
    [anon_sym_LPAREN] = ACTIONS(1692),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1692),
    [aux_sym_return_satement_token1] = ACTIONS(1692),
    [aux_sym_call_statement_token1] = ACTIONS(1692),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1692),
    [aux_sym_if_statement_token1] = ACTIONS(1692),
    [aux_sym_loop_statement_token1] = ACTIONS(1692),
    [aux_sym_repeat_statement_token1] = ACTIONS(1692),
    [aux_sym_while_statement_token1] = ACTIONS(1692),
    [aux_sym_break_statement_token1] = ACTIONS(1692),
    [aux_sym_leave_statement_token1] = ACTIONS(1692),
    [aux_sym_continue_statement_token1] = ACTIONS(1692),
    [aux_sym_iterate_statement_token1] = ACTIONS(1692),
    [aux_sym_raise_statement_token1] = ACTIONS(1692),
    [anon_sym_EQ] = ACTIONS(1692),
    [aux_sym_assert_statement_token1] = ACTIONS(1692),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1692),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1692),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1692),
    [anon_sym_LT] = ACTIONS(1694),
    [anon_sym_GT] = ACTIONS(1694),
    [aux_sym_set_operation_token1] = ACTIONS(1692),
    [aux_sym_set_operation_token3] = ACTIONS(1692),
    [aux_sym_set_operation_token4] = ACTIONS(1694),
    [aux_sym_select_token1] = ACTIONS(1692),
    [aux_sym_limit_clause_token1] = ACTIONS(1692),
    [aux_sym__direction_keywords_token1] = ACTIONS(1692),
    [aux_sym__direction_keywords_token2] = ACTIONS(1692),
    [aux_sym__nulls_preference_token1] = ACTIONS(1692),
    [aux_sym_insert_statement_token1] = ACTIONS(1692),
    [aux_sym_truncate_statement_token1] = ACTIONS(1692),
    [aux_sym_update_statement_token1] = ACTIONS(1692),
    [aux_sym_merge_statement_token1] = ACTIONS(1692),
    [aux_sym_grant_statement_token1] = ACTIONS(1692),
    [aux_sym_revoke_statement_token1] = ACTIONS(1692),
    [aux_sym_export_data_statement_token1] = ACTIONS(1692),
    [aux_sym_load_data_statement_token1] = ACTIONS(1692),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1692),
    [anon_sym_PLUS] = ACTIONS(1692),
    [anon_sym_DASH] = ACTIONS(1694),
    [anon_sym_STAR] = ACTIONS(1692),
    [anon_sym_SLASH] = ACTIONS(1694),
    [anon_sym_PIPE_PIPE] = ACTIONS(1692),
    [anon_sym_LT_EQ] = ACTIONS(1692),
    [anon_sym_LT_GT] = ACTIONS(1692),
    [anon_sym_GT_EQ] = ACTIONS(1692),
    [anon_sym_BANG_EQ] = ACTIONS(1692),
    [anon_sym_LT_LT] = ACTIONS(1692),
    [anon_sym_GT_GT] = ACTIONS(1692),
    [anon_sym_AMP] = ACTIONS(1692),
    [anon_sym_CARET] = ACTIONS(1692),
    [anon_sym_PIPE] = ACTIONS(1694),
  },
  [3226] = {
    [ts_builtin_sym_end] = ACTIONS(1688),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1688),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1688),
    [aux_sym_keyword_replace_token1] = ACTIONS(1688),
    [aux_sym__keyword_alter_token1] = ACTIONS(1688),
    [aux_sym__keyword_delete_token1] = ACTIONS(1688),
    [aux_sym__keyword_begin_token1] = ACTIONS(1688),
    [aux_sym__keyword_end_token1] = ACTIONS(1688),
    [aux_sym__keyword_between_token1] = ACTIONS(1688),
    [aux_sym__keyword_when_token1] = ACTIONS(1688),
    [aux_sym__keyword_else_token1] = ACTIONS(1690),
    [aux_sym__keyword_is_token1] = ACTIONS(1688),
    [aux_sym__keyword_in_token1] = ACTIONS(1690),
    [aux_sym__keyword_and_token1] = ACTIONS(1688),
    [aux_sym__keyword_like_token1] = ACTIONS(1688),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1688),
    [aux_sym__keyword_for_token1] = ACTIONS(1688),
    [anon_sym_SEMI] = ACTIONS(1688),
    [aux_sym_declare_statement_token1] = ACTIONS(1688),
    [anon_sym_COMMA] = ACTIONS(1688),
    [aux_sym_set_statement_token1] = ACTIONS(1688),
    [anon_sym_LPAREN] = ACTIONS(1688),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1688),
    [aux_sym_return_satement_token1] = ACTIONS(1688),
    [aux_sym_call_statement_token1] = ACTIONS(1688),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1688),
    [aux_sym_if_statement_token1] = ACTIONS(1688),
    [aux_sym_loop_statement_token1] = ACTIONS(1688),
    [aux_sym_repeat_statement_token1] = ACTIONS(1688),
    [aux_sym_while_statement_token1] = ACTIONS(1688),
    [aux_sym_break_statement_token1] = ACTIONS(1688),
    [aux_sym_leave_statement_token1] = ACTIONS(1688),
    [aux_sym_continue_statement_token1] = ACTIONS(1688),
    [aux_sym_iterate_statement_token1] = ACTIONS(1688),
    [aux_sym_raise_statement_token1] = ACTIONS(1688),
    [anon_sym_EQ] = ACTIONS(1688),
    [aux_sym_assert_statement_token1] = ACTIONS(1688),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1688),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1688),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1688),
    [anon_sym_LT] = ACTIONS(1690),
    [anon_sym_GT] = ACTIONS(1690),
    [aux_sym_set_operation_token1] = ACTIONS(1688),
    [aux_sym_set_operation_token3] = ACTIONS(1688),
    [aux_sym_set_operation_token4] = ACTIONS(1690),
    [aux_sym_select_token1] = ACTIONS(1688),
    [aux_sym_limit_clause_token1] = ACTIONS(1688),
    [aux_sym__direction_keywords_token1] = ACTIONS(1688),
    [aux_sym__direction_keywords_token2] = ACTIONS(1688),
    [aux_sym__nulls_preference_token1] = ACTIONS(1688),
    [aux_sym_insert_statement_token1] = ACTIONS(1688),
    [aux_sym_truncate_statement_token1] = ACTIONS(1688),
    [aux_sym_update_statement_token1] = ACTIONS(1688),
    [aux_sym_merge_statement_token1] = ACTIONS(1688),
    [aux_sym_grant_statement_token1] = ACTIONS(1688),
    [aux_sym_revoke_statement_token1] = ACTIONS(1688),
    [aux_sym_export_data_statement_token1] = ACTIONS(1688),
    [aux_sym_load_data_statement_token1] = ACTIONS(1688),
    [anon_sym_LBRACK] = ACTIONS(1688),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1688),
    [anon_sym_PLUS] = ACTIONS(1688),
    [anon_sym_DASH] = ACTIONS(1690),
    [anon_sym_STAR] = ACTIONS(1688),
    [anon_sym_SLASH] = ACTIONS(1690),
    [anon_sym_PIPE_PIPE] = ACTIONS(1688),
    [anon_sym_LT_EQ] = ACTIONS(1688),
    [anon_sym_LT_GT] = ACTIONS(1688),
    [anon_sym_GT_EQ] = ACTIONS(1688),
    [anon_sym_BANG_EQ] = ACTIONS(1688),
    [anon_sym_LT_LT] = ACTIONS(1688),
    [anon_sym_GT_GT] = ACTIONS(1688),
    [anon_sym_AMP] = ACTIONS(1688),
    [anon_sym_CARET] = ACTIONS(1688),
    [anon_sym_PIPE] = ACTIONS(1690),
  },
  [3227] = {
    [ts_builtin_sym_end] = ACTIONS(1680),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1680),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1680),
    [aux_sym_keyword_replace_token1] = ACTIONS(1680),
    [aux_sym__keyword_alter_token1] = ACTIONS(1680),
    [aux_sym__keyword_delete_token1] = ACTIONS(1680),
    [aux_sym__keyword_begin_token1] = ACTIONS(1680),
    [aux_sym__keyword_end_token1] = ACTIONS(1680),
    [aux_sym__keyword_between_token1] = ACTIONS(1680),
    [aux_sym__keyword_when_token1] = ACTIONS(1680),
    [aux_sym__keyword_else_token1] = ACTIONS(1682),
    [aux_sym__keyword_is_token1] = ACTIONS(1680),
    [aux_sym__keyword_in_token1] = ACTIONS(1682),
    [aux_sym__keyword_and_token1] = ACTIONS(1680),
    [aux_sym__keyword_like_token1] = ACTIONS(1680),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1680),
    [aux_sym__keyword_for_token1] = ACTIONS(1680),
    [anon_sym_SEMI] = ACTIONS(1680),
    [aux_sym_declare_statement_token1] = ACTIONS(1680),
    [anon_sym_COMMA] = ACTIONS(1680),
    [aux_sym_set_statement_token1] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1680),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1680),
    [aux_sym_return_satement_token1] = ACTIONS(1680),
    [aux_sym_call_statement_token1] = ACTIONS(1680),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1680),
    [aux_sym_if_statement_token1] = ACTIONS(1680),
    [aux_sym_loop_statement_token1] = ACTIONS(1680),
    [aux_sym_repeat_statement_token1] = ACTIONS(1680),
    [aux_sym_while_statement_token1] = ACTIONS(1680),
    [aux_sym_break_statement_token1] = ACTIONS(1680),
    [aux_sym_leave_statement_token1] = ACTIONS(1680),
    [aux_sym_continue_statement_token1] = ACTIONS(1680),
    [aux_sym_iterate_statement_token1] = ACTIONS(1680),
    [aux_sym_raise_statement_token1] = ACTIONS(1680),
    [anon_sym_EQ] = ACTIONS(1680),
    [aux_sym_assert_statement_token1] = ACTIONS(1680),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1680),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1680),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1680),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_GT] = ACTIONS(1682),
    [aux_sym_set_operation_token1] = ACTIONS(1680),
    [aux_sym_set_operation_token3] = ACTIONS(1680),
    [aux_sym_set_operation_token4] = ACTIONS(1682),
    [aux_sym_select_token1] = ACTIONS(1680),
    [aux_sym_limit_clause_token1] = ACTIONS(1680),
    [aux_sym__direction_keywords_token1] = ACTIONS(1680),
    [aux_sym__direction_keywords_token2] = ACTIONS(1680),
    [aux_sym__nulls_preference_token1] = ACTIONS(1680),
    [aux_sym_insert_statement_token1] = ACTIONS(1680),
    [aux_sym_truncate_statement_token1] = ACTIONS(1680),
    [aux_sym_update_statement_token1] = ACTIONS(1680),
    [aux_sym_merge_statement_token1] = ACTIONS(1680),
    [aux_sym_grant_statement_token1] = ACTIONS(1680),
    [aux_sym_revoke_statement_token1] = ACTIONS(1680),
    [aux_sym_export_data_statement_token1] = ACTIONS(1680),
    [aux_sym_load_data_statement_token1] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1680),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(1680),
    [anon_sym_SLASH] = ACTIONS(1682),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_LT_GT] = ACTIONS(1680),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1680),
    [anon_sym_AMP] = ACTIONS(1680),
    [anon_sym_CARET] = ACTIONS(1680),
    [anon_sym_PIPE] = ACTIONS(1682),
  },
  [3228] = {
    [ts_builtin_sym_end] = ACTIONS(1830),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1830),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1830),
    [aux_sym_keyword_replace_token1] = ACTIONS(1830),
    [aux_sym__keyword_alter_token1] = ACTIONS(1830),
    [aux_sym__keyword_delete_token1] = ACTIONS(1830),
    [aux_sym__keyword_begin_token1] = ACTIONS(1830),
    [aux_sym__keyword_end_token1] = ACTIONS(1830),
    [aux_sym__keyword_between_token1] = ACTIONS(1830),
    [aux_sym__keyword_when_token1] = ACTIONS(1830),
    [aux_sym__keyword_else_token1] = ACTIONS(1832),
    [aux_sym__keyword_is_token1] = ACTIONS(1830),
    [aux_sym__keyword_in_token1] = ACTIONS(1832),
    [aux_sym__keyword_and_token1] = ACTIONS(1830),
    [aux_sym__keyword_like_token1] = ACTIONS(1830),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1830),
    [aux_sym__keyword_for_token1] = ACTIONS(1830),
    [anon_sym_SEMI] = ACTIONS(1830),
    [aux_sym_declare_statement_token1] = ACTIONS(1830),
    [anon_sym_COMMA] = ACTIONS(1830),
    [aux_sym_set_statement_token1] = ACTIONS(1830),
    [anon_sym_LPAREN] = ACTIONS(1830),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1830),
    [aux_sym_return_satement_token1] = ACTIONS(1830),
    [aux_sym_call_statement_token1] = ACTIONS(1830),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1830),
    [aux_sym_if_statement_token1] = ACTIONS(1830),
    [aux_sym_loop_statement_token1] = ACTIONS(1830),
    [aux_sym_repeat_statement_token1] = ACTIONS(1830),
    [aux_sym_while_statement_token1] = ACTIONS(1830),
    [aux_sym_break_statement_token1] = ACTIONS(1830),
    [aux_sym_leave_statement_token1] = ACTIONS(1830),
    [aux_sym_continue_statement_token1] = ACTIONS(1830),
    [aux_sym_iterate_statement_token1] = ACTIONS(1830),
    [aux_sym_raise_statement_token1] = ACTIONS(1830),
    [anon_sym_EQ] = ACTIONS(1830),
    [aux_sym_assert_statement_token1] = ACTIONS(1830),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1830),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1830),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1830),
    [anon_sym_LT] = ACTIONS(1832),
    [anon_sym_GT] = ACTIONS(1832),
    [aux_sym_set_operation_token1] = ACTIONS(1830),
    [aux_sym_set_operation_token3] = ACTIONS(1830),
    [aux_sym_set_operation_token4] = ACTIONS(1832),
    [aux_sym_select_token1] = ACTIONS(1830),
    [aux_sym_limit_clause_token1] = ACTIONS(1830),
    [aux_sym__direction_keywords_token1] = ACTIONS(1830),
    [aux_sym__direction_keywords_token2] = ACTIONS(1830),
    [aux_sym__nulls_preference_token1] = ACTIONS(1830),
    [aux_sym_insert_statement_token1] = ACTIONS(1830),
    [aux_sym_truncate_statement_token1] = ACTIONS(1830),
    [aux_sym_update_statement_token1] = ACTIONS(1830),
    [aux_sym_merge_statement_token1] = ACTIONS(1830),
    [aux_sym_grant_statement_token1] = ACTIONS(1830),
    [aux_sym_revoke_statement_token1] = ACTIONS(1830),
    [aux_sym_export_data_statement_token1] = ACTIONS(1830),
    [aux_sym_load_data_statement_token1] = ACTIONS(1830),
    [anon_sym_LBRACK] = ACTIONS(1830),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1830),
    [anon_sym_PLUS] = ACTIONS(1830),
    [anon_sym_DASH] = ACTIONS(1832),
    [anon_sym_STAR] = ACTIONS(1830),
    [anon_sym_SLASH] = ACTIONS(1832),
    [anon_sym_PIPE_PIPE] = ACTIONS(1830),
    [anon_sym_LT_EQ] = ACTIONS(1830),
    [anon_sym_LT_GT] = ACTIONS(1830),
    [anon_sym_GT_EQ] = ACTIONS(1830),
    [anon_sym_BANG_EQ] = ACTIONS(1830),
    [anon_sym_LT_LT] = ACTIONS(1830),
    [anon_sym_GT_GT] = ACTIONS(1830),
    [anon_sym_AMP] = ACTIONS(1830),
    [anon_sym_CARET] = ACTIONS(1830),
    [anon_sym_PIPE] = ACTIONS(1832),
  },
  [3229] = {
    [ts_builtin_sym_end] = ACTIONS(1676),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1676),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1676),
    [aux_sym_keyword_replace_token1] = ACTIONS(1676),
    [aux_sym__keyword_alter_token1] = ACTIONS(1676),
    [aux_sym__keyword_delete_token1] = ACTIONS(1676),
    [aux_sym__keyword_begin_token1] = ACTIONS(1676),
    [aux_sym__keyword_end_token1] = ACTIONS(1676),
    [aux_sym__keyword_between_token1] = ACTIONS(1676),
    [aux_sym__keyword_when_token1] = ACTIONS(1676),
    [aux_sym__keyword_else_token1] = ACTIONS(1678),
    [aux_sym__keyword_is_token1] = ACTIONS(1676),
    [aux_sym__keyword_in_token1] = ACTIONS(1678),
    [aux_sym__keyword_and_token1] = ACTIONS(1676),
    [aux_sym__keyword_like_token1] = ACTIONS(1676),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1676),
    [aux_sym__keyword_for_token1] = ACTIONS(1676),
    [anon_sym_SEMI] = ACTIONS(1676),
    [aux_sym_declare_statement_token1] = ACTIONS(1676),
    [anon_sym_COMMA] = ACTIONS(1676),
    [aux_sym_set_statement_token1] = ACTIONS(1676),
    [anon_sym_LPAREN] = ACTIONS(1676),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1676),
    [aux_sym_return_satement_token1] = ACTIONS(1676),
    [aux_sym_call_statement_token1] = ACTIONS(1676),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1676),
    [aux_sym_if_statement_token1] = ACTIONS(1676),
    [aux_sym_loop_statement_token1] = ACTIONS(1676),
    [aux_sym_repeat_statement_token1] = ACTIONS(1676),
    [aux_sym_while_statement_token1] = ACTIONS(1676),
    [aux_sym_break_statement_token1] = ACTIONS(1676),
    [aux_sym_leave_statement_token1] = ACTIONS(1676),
    [aux_sym_continue_statement_token1] = ACTIONS(1676),
    [aux_sym_iterate_statement_token1] = ACTIONS(1676),
    [aux_sym_raise_statement_token1] = ACTIONS(1676),
    [anon_sym_EQ] = ACTIONS(1676),
    [aux_sym_assert_statement_token1] = ACTIONS(1676),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1676),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1676),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1676),
    [anon_sym_LT] = ACTIONS(1678),
    [anon_sym_GT] = ACTIONS(1678),
    [aux_sym_set_operation_token1] = ACTIONS(1676),
    [aux_sym_set_operation_token3] = ACTIONS(1676),
    [aux_sym_set_operation_token4] = ACTIONS(1678),
    [aux_sym_select_token1] = ACTIONS(1676),
    [aux_sym_limit_clause_token1] = ACTIONS(1676),
    [aux_sym__direction_keywords_token1] = ACTIONS(1676),
    [aux_sym__direction_keywords_token2] = ACTIONS(1676),
    [aux_sym__nulls_preference_token1] = ACTIONS(1676),
    [aux_sym_insert_statement_token1] = ACTIONS(1676),
    [aux_sym_truncate_statement_token1] = ACTIONS(1676),
    [aux_sym_update_statement_token1] = ACTIONS(1676),
    [aux_sym_merge_statement_token1] = ACTIONS(1676),
    [aux_sym_grant_statement_token1] = ACTIONS(1676),
    [aux_sym_revoke_statement_token1] = ACTIONS(1676),
    [aux_sym_export_data_statement_token1] = ACTIONS(1676),
    [aux_sym_load_data_statement_token1] = ACTIONS(1676),
    [anon_sym_LBRACK] = ACTIONS(1676),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1676),
    [anon_sym_PLUS] = ACTIONS(1676),
    [anon_sym_DASH] = ACTIONS(1678),
    [anon_sym_STAR] = ACTIONS(1676),
    [anon_sym_SLASH] = ACTIONS(1678),
    [anon_sym_PIPE_PIPE] = ACTIONS(1676),
    [anon_sym_LT_EQ] = ACTIONS(1676),
    [anon_sym_LT_GT] = ACTIONS(1676),
    [anon_sym_GT_EQ] = ACTIONS(1676),
    [anon_sym_BANG_EQ] = ACTIONS(1676),
    [anon_sym_LT_LT] = ACTIONS(1676),
    [anon_sym_GT_GT] = ACTIONS(1676),
    [anon_sym_AMP] = ACTIONS(1676),
    [anon_sym_CARET] = ACTIONS(1676),
    [anon_sym_PIPE] = ACTIONS(1678),
  },
  [3230] = {
    [ts_builtin_sym_end] = ACTIONS(1672),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1672),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1672),
    [aux_sym_keyword_replace_token1] = ACTIONS(1672),
    [aux_sym__keyword_alter_token1] = ACTIONS(1672),
    [aux_sym__keyword_delete_token1] = ACTIONS(1672),
    [aux_sym__keyword_begin_token1] = ACTIONS(1672),
    [aux_sym__keyword_end_token1] = ACTIONS(1672),
    [aux_sym__keyword_between_token1] = ACTIONS(1672),
    [aux_sym__keyword_when_token1] = ACTIONS(1672),
    [aux_sym__keyword_else_token1] = ACTIONS(1674),
    [aux_sym__keyword_is_token1] = ACTIONS(1672),
    [aux_sym__keyword_in_token1] = ACTIONS(1674),
    [aux_sym__keyword_and_token1] = ACTIONS(1672),
    [aux_sym__keyword_like_token1] = ACTIONS(1672),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1672),
    [aux_sym__keyword_for_token1] = ACTIONS(1672),
    [anon_sym_SEMI] = ACTIONS(1672),
    [aux_sym_declare_statement_token1] = ACTIONS(1672),
    [anon_sym_COMMA] = ACTIONS(1672),
    [aux_sym_set_statement_token1] = ACTIONS(1672),
    [anon_sym_LPAREN] = ACTIONS(1672),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1672),
    [aux_sym_return_satement_token1] = ACTIONS(1672),
    [aux_sym_call_statement_token1] = ACTIONS(1672),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1672),
    [aux_sym_if_statement_token1] = ACTIONS(1672),
    [aux_sym_loop_statement_token1] = ACTIONS(1672),
    [aux_sym_repeat_statement_token1] = ACTIONS(1672),
    [aux_sym_while_statement_token1] = ACTIONS(1672),
    [aux_sym_break_statement_token1] = ACTIONS(1672),
    [aux_sym_leave_statement_token1] = ACTIONS(1672),
    [aux_sym_continue_statement_token1] = ACTIONS(1672),
    [aux_sym_iterate_statement_token1] = ACTIONS(1672),
    [aux_sym_raise_statement_token1] = ACTIONS(1672),
    [anon_sym_EQ] = ACTIONS(1672),
    [aux_sym_assert_statement_token1] = ACTIONS(1672),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1672),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1672),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1672),
    [anon_sym_LT] = ACTIONS(1674),
    [anon_sym_GT] = ACTIONS(1674),
    [aux_sym_set_operation_token1] = ACTIONS(1672),
    [aux_sym_set_operation_token3] = ACTIONS(1672),
    [aux_sym_set_operation_token4] = ACTIONS(1674),
    [aux_sym_select_token1] = ACTIONS(1672),
    [aux_sym_limit_clause_token1] = ACTIONS(1672),
    [aux_sym__direction_keywords_token1] = ACTIONS(1672),
    [aux_sym__direction_keywords_token2] = ACTIONS(1672),
    [aux_sym__nulls_preference_token1] = ACTIONS(1672),
    [aux_sym_insert_statement_token1] = ACTIONS(1672),
    [aux_sym_truncate_statement_token1] = ACTIONS(1672),
    [aux_sym_update_statement_token1] = ACTIONS(1672),
    [aux_sym_merge_statement_token1] = ACTIONS(1672),
    [aux_sym_grant_statement_token1] = ACTIONS(1672),
    [aux_sym_revoke_statement_token1] = ACTIONS(1672),
    [aux_sym_export_data_statement_token1] = ACTIONS(1672),
    [aux_sym_load_data_statement_token1] = ACTIONS(1672),
    [anon_sym_LBRACK] = ACTIONS(1672),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1672),
    [anon_sym_PLUS] = ACTIONS(1672),
    [anon_sym_DASH] = ACTIONS(1674),
    [anon_sym_STAR] = ACTIONS(1672),
    [anon_sym_SLASH] = ACTIONS(1674),
    [anon_sym_PIPE_PIPE] = ACTIONS(1672),
    [anon_sym_LT_EQ] = ACTIONS(1672),
    [anon_sym_LT_GT] = ACTIONS(1672),
    [anon_sym_GT_EQ] = ACTIONS(1672),
    [anon_sym_BANG_EQ] = ACTIONS(1672),
    [anon_sym_LT_LT] = ACTIONS(1672),
    [anon_sym_GT_GT] = ACTIONS(1672),
    [anon_sym_AMP] = ACTIONS(1672),
    [anon_sym_CARET] = ACTIONS(1672),
    [anon_sym_PIPE] = ACTIONS(1674),
  },
  [3231] = {
    [ts_builtin_sym_end] = ACTIONS(1668),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1668),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1668),
    [aux_sym_keyword_replace_token1] = ACTIONS(1668),
    [aux_sym__keyword_alter_token1] = ACTIONS(1668),
    [aux_sym__keyword_delete_token1] = ACTIONS(1668),
    [aux_sym__keyword_begin_token1] = ACTIONS(1668),
    [aux_sym__keyword_end_token1] = ACTIONS(1668),
    [aux_sym__keyword_between_token1] = ACTIONS(1668),
    [aux_sym__keyword_when_token1] = ACTIONS(1668),
    [aux_sym__keyword_else_token1] = ACTIONS(1670),
    [aux_sym__keyword_is_token1] = ACTIONS(1668),
    [aux_sym__keyword_in_token1] = ACTIONS(1670),
    [aux_sym__keyword_and_token1] = ACTIONS(1668),
    [aux_sym__keyword_like_token1] = ACTIONS(1668),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1668),
    [aux_sym__keyword_for_token1] = ACTIONS(1668),
    [anon_sym_SEMI] = ACTIONS(1668),
    [aux_sym_declare_statement_token1] = ACTIONS(1668),
    [anon_sym_COMMA] = ACTIONS(1668),
    [aux_sym_set_statement_token1] = ACTIONS(1668),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1668),
    [aux_sym_return_satement_token1] = ACTIONS(1668),
    [aux_sym_call_statement_token1] = ACTIONS(1668),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1668),
    [aux_sym_if_statement_token1] = ACTIONS(1668),
    [aux_sym_loop_statement_token1] = ACTIONS(1668),
    [aux_sym_repeat_statement_token1] = ACTIONS(1668),
    [aux_sym_while_statement_token1] = ACTIONS(1668),
    [aux_sym_break_statement_token1] = ACTIONS(1668),
    [aux_sym_leave_statement_token1] = ACTIONS(1668),
    [aux_sym_continue_statement_token1] = ACTIONS(1668),
    [aux_sym_iterate_statement_token1] = ACTIONS(1668),
    [aux_sym_raise_statement_token1] = ACTIONS(1668),
    [anon_sym_EQ] = ACTIONS(1668),
    [aux_sym_assert_statement_token1] = ACTIONS(1668),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1668),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1668),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1668),
    [anon_sym_LT] = ACTIONS(1670),
    [anon_sym_GT] = ACTIONS(1670),
    [aux_sym_set_operation_token1] = ACTIONS(1668),
    [aux_sym_set_operation_token3] = ACTIONS(1668),
    [aux_sym_set_operation_token4] = ACTIONS(1670),
    [aux_sym_select_token1] = ACTIONS(1668),
    [aux_sym_limit_clause_token1] = ACTIONS(1668),
    [aux_sym__direction_keywords_token1] = ACTIONS(1668),
    [aux_sym__direction_keywords_token2] = ACTIONS(1668),
    [aux_sym__nulls_preference_token1] = ACTIONS(1668),
    [aux_sym_insert_statement_token1] = ACTIONS(1668),
    [aux_sym_truncate_statement_token1] = ACTIONS(1668),
    [aux_sym_update_statement_token1] = ACTIONS(1668),
    [aux_sym_merge_statement_token1] = ACTIONS(1668),
    [aux_sym_grant_statement_token1] = ACTIONS(1668),
    [aux_sym_revoke_statement_token1] = ACTIONS(1668),
    [aux_sym_export_data_statement_token1] = ACTIONS(1668),
    [aux_sym_load_data_statement_token1] = ACTIONS(1668),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1668),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_STAR] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(1670),
    [anon_sym_PIPE_PIPE] = ACTIONS(1668),
    [anon_sym_LT_EQ] = ACTIONS(1668),
    [anon_sym_LT_GT] = ACTIONS(1668),
    [anon_sym_GT_EQ] = ACTIONS(1668),
    [anon_sym_BANG_EQ] = ACTIONS(1668),
    [anon_sym_LT_LT] = ACTIONS(1668),
    [anon_sym_GT_GT] = ACTIONS(1668),
    [anon_sym_AMP] = ACTIONS(1668),
    [anon_sym_CARET] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1670),
  },
  [3232] = {
    [ts_builtin_sym_end] = ACTIONS(1664),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1664),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1664),
    [aux_sym_keyword_replace_token1] = ACTIONS(1664),
    [aux_sym__keyword_alter_token1] = ACTIONS(1664),
    [aux_sym__keyword_delete_token1] = ACTIONS(1664),
    [aux_sym__keyword_begin_token1] = ACTIONS(1664),
    [aux_sym__keyword_end_token1] = ACTIONS(1664),
    [aux_sym__keyword_between_token1] = ACTIONS(1664),
    [aux_sym__keyword_when_token1] = ACTIONS(1664),
    [aux_sym__keyword_else_token1] = ACTIONS(1666),
    [aux_sym__keyword_is_token1] = ACTIONS(1664),
    [aux_sym__keyword_in_token1] = ACTIONS(1666),
    [aux_sym__keyword_and_token1] = ACTIONS(1664),
    [aux_sym__keyword_like_token1] = ACTIONS(1664),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1664),
    [aux_sym__keyword_for_token1] = ACTIONS(1664),
    [anon_sym_SEMI] = ACTIONS(1664),
    [aux_sym_declare_statement_token1] = ACTIONS(1664),
    [anon_sym_COMMA] = ACTIONS(1664),
    [aux_sym_set_statement_token1] = ACTIONS(1664),
    [anon_sym_LPAREN] = ACTIONS(1664),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1664),
    [aux_sym_return_satement_token1] = ACTIONS(1664),
    [aux_sym_call_statement_token1] = ACTIONS(1664),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1664),
    [aux_sym_if_statement_token1] = ACTIONS(1664),
    [aux_sym_loop_statement_token1] = ACTIONS(1664),
    [aux_sym_repeat_statement_token1] = ACTIONS(1664),
    [aux_sym_while_statement_token1] = ACTIONS(1664),
    [aux_sym_break_statement_token1] = ACTIONS(1664),
    [aux_sym_leave_statement_token1] = ACTIONS(1664),
    [aux_sym_continue_statement_token1] = ACTIONS(1664),
    [aux_sym_iterate_statement_token1] = ACTIONS(1664),
    [aux_sym_raise_statement_token1] = ACTIONS(1664),
    [anon_sym_EQ] = ACTIONS(1664),
    [aux_sym_assert_statement_token1] = ACTIONS(1664),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1664),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1664),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1664),
    [anon_sym_LT] = ACTIONS(1666),
    [anon_sym_GT] = ACTIONS(1666),
    [aux_sym_set_operation_token1] = ACTIONS(1664),
    [aux_sym_set_operation_token3] = ACTIONS(1664),
    [aux_sym_set_operation_token4] = ACTIONS(1666),
    [aux_sym_select_token1] = ACTIONS(1664),
    [aux_sym_limit_clause_token1] = ACTIONS(1664),
    [aux_sym__direction_keywords_token1] = ACTIONS(1664),
    [aux_sym__direction_keywords_token2] = ACTIONS(1664),
    [aux_sym__nulls_preference_token1] = ACTIONS(1664),
    [aux_sym_insert_statement_token1] = ACTIONS(1664),
    [aux_sym_truncate_statement_token1] = ACTIONS(1664),
    [aux_sym_update_statement_token1] = ACTIONS(1664),
    [aux_sym_merge_statement_token1] = ACTIONS(1664),
    [aux_sym_grant_statement_token1] = ACTIONS(1664),
    [aux_sym_revoke_statement_token1] = ACTIONS(1664),
    [aux_sym_export_data_statement_token1] = ACTIONS(1664),
    [aux_sym_load_data_statement_token1] = ACTIONS(1664),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1664),
    [anon_sym_PLUS] = ACTIONS(1664),
    [anon_sym_DASH] = ACTIONS(1666),
    [anon_sym_STAR] = ACTIONS(1664),
    [anon_sym_SLASH] = ACTIONS(1666),
    [anon_sym_PIPE_PIPE] = ACTIONS(1664),
    [anon_sym_LT_EQ] = ACTIONS(1664),
    [anon_sym_LT_GT] = ACTIONS(1664),
    [anon_sym_GT_EQ] = ACTIONS(1664),
    [anon_sym_BANG_EQ] = ACTIONS(1664),
    [anon_sym_LT_LT] = ACTIONS(1664),
    [anon_sym_GT_GT] = ACTIONS(1664),
    [anon_sym_AMP] = ACTIONS(1664),
    [anon_sym_CARET] = ACTIONS(1664),
    [anon_sym_PIPE] = ACTIONS(1666),
  },
  [3233] = {
    [sym_analytics_clause] = STATE(3533),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [3234] = {
    [ts_builtin_sym_end] = ACTIONS(1660),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1660),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1660),
    [aux_sym_keyword_replace_token1] = ACTIONS(1660),
    [aux_sym__keyword_alter_token1] = ACTIONS(1660),
    [aux_sym__keyword_delete_token1] = ACTIONS(1660),
    [aux_sym__keyword_begin_token1] = ACTIONS(1660),
    [aux_sym__keyword_end_token1] = ACTIONS(1660),
    [aux_sym__keyword_between_token1] = ACTIONS(1660),
    [aux_sym__keyword_when_token1] = ACTIONS(1660),
    [aux_sym__keyword_else_token1] = ACTIONS(1662),
    [aux_sym__keyword_is_token1] = ACTIONS(1660),
    [aux_sym__keyword_in_token1] = ACTIONS(1662),
    [aux_sym__keyword_and_token1] = ACTIONS(1660),
    [aux_sym__keyword_like_token1] = ACTIONS(1660),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1660),
    [aux_sym__keyword_for_token1] = ACTIONS(1660),
    [anon_sym_SEMI] = ACTIONS(1660),
    [aux_sym_declare_statement_token1] = ACTIONS(1660),
    [anon_sym_COMMA] = ACTIONS(1660),
    [aux_sym_set_statement_token1] = ACTIONS(1660),
    [anon_sym_LPAREN] = ACTIONS(1660),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1660),
    [aux_sym_return_satement_token1] = ACTIONS(1660),
    [aux_sym_call_statement_token1] = ACTIONS(1660),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1660),
    [aux_sym_if_statement_token1] = ACTIONS(1660),
    [aux_sym_loop_statement_token1] = ACTIONS(1660),
    [aux_sym_repeat_statement_token1] = ACTIONS(1660),
    [aux_sym_while_statement_token1] = ACTIONS(1660),
    [aux_sym_break_statement_token1] = ACTIONS(1660),
    [aux_sym_leave_statement_token1] = ACTIONS(1660),
    [aux_sym_continue_statement_token1] = ACTIONS(1660),
    [aux_sym_iterate_statement_token1] = ACTIONS(1660),
    [aux_sym_raise_statement_token1] = ACTIONS(1660),
    [anon_sym_EQ] = ACTIONS(1660),
    [aux_sym_assert_statement_token1] = ACTIONS(1660),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1660),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1660),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1660),
    [anon_sym_LT] = ACTIONS(1662),
    [anon_sym_GT] = ACTIONS(1662),
    [aux_sym_set_operation_token1] = ACTIONS(1660),
    [aux_sym_set_operation_token3] = ACTIONS(1660),
    [aux_sym_set_operation_token4] = ACTIONS(1662),
    [aux_sym_select_token1] = ACTIONS(1660),
    [aux_sym_limit_clause_token1] = ACTIONS(1660),
    [aux_sym__direction_keywords_token1] = ACTIONS(1660),
    [aux_sym__direction_keywords_token2] = ACTIONS(1660),
    [aux_sym__nulls_preference_token1] = ACTIONS(1660),
    [aux_sym_insert_statement_token1] = ACTIONS(1660),
    [aux_sym_truncate_statement_token1] = ACTIONS(1660),
    [aux_sym_update_statement_token1] = ACTIONS(1660),
    [aux_sym_merge_statement_token1] = ACTIONS(1660),
    [aux_sym_grant_statement_token1] = ACTIONS(1660),
    [aux_sym_revoke_statement_token1] = ACTIONS(1660),
    [aux_sym_export_data_statement_token1] = ACTIONS(1660),
    [aux_sym_load_data_statement_token1] = ACTIONS(1660),
    [anon_sym_LBRACK] = ACTIONS(1660),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1660),
    [anon_sym_PLUS] = ACTIONS(1660),
    [anon_sym_DASH] = ACTIONS(1662),
    [anon_sym_STAR] = ACTIONS(1660),
    [anon_sym_SLASH] = ACTIONS(1662),
    [anon_sym_PIPE_PIPE] = ACTIONS(1660),
    [anon_sym_LT_EQ] = ACTIONS(1660),
    [anon_sym_LT_GT] = ACTIONS(1660),
    [anon_sym_GT_EQ] = ACTIONS(1660),
    [anon_sym_BANG_EQ] = ACTIONS(1660),
    [anon_sym_LT_LT] = ACTIONS(1660),
    [anon_sym_GT_GT] = ACTIONS(1660),
    [anon_sym_AMP] = ACTIONS(1660),
    [anon_sym_CARET] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1662),
  },
  [3235] = {
    [ts_builtin_sym_end] = ACTIONS(1590),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1590),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1590),
    [aux_sym_keyword_replace_token1] = ACTIONS(1590),
    [aux_sym__keyword_alter_token1] = ACTIONS(1590),
    [aux_sym__keyword_delete_token1] = ACTIONS(1590),
    [aux_sym__keyword_begin_token1] = ACTIONS(1590),
    [aux_sym__keyword_end_token1] = ACTIONS(1590),
    [aux_sym__keyword_between_token1] = ACTIONS(1590),
    [aux_sym__keyword_when_token1] = ACTIONS(1590),
    [aux_sym__keyword_else_token1] = ACTIONS(1592),
    [aux_sym__keyword_is_token1] = ACTIONS(1590),
    [aux_sym__keyword_in_token1] = ACTIONS(1592),
    [aux_sym__keyword_and_token1] = ACTIONS(1590),
    [aux_sym__keyword_like_token1] = ACTIONS(1590),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1590),
    [aux_sym__keyword_for_token1] = ACTIONS(1590),
    [anon_sym_SEMI] = ACTIONS(1590),
    [aux_sym_declare_statement_token1] = ACTIONS(1590),
    [anon_sym_COMMA] = ACTIONS(1590),
    [aux_sym_set_statement_token1] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1590),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1590),
    [aux_sym_return_satement_token1] = ACTIONS(1590),
    [aux_sym_call_statement_token1] = ACTIONS(1590),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1590),
    [aux_sym_if_statement_token1] = ACTIONS(1590),
    [aux_sym_loop_statement_token1] = ACTIONS(1590),
    [aux_sym_repeat_statement_token1] = ACTIONS(1590),
    [aux_sym_while_statement_token1] = ACTIONS(1590),
    [aux_sym_break_statement_token1] = ACTIONS(1590),
    [aux_sym_leave_statement_token1] = ACTIONS(1590),
    [aux_sym_continue_statement_token1] = ACTIONS(1590),
    [aux_sym_iterate_statement_token1] = ACTIONS(1590),
    [aux_sym_raise_statement_token1] = ACTIONS(1590),
    [anon_sym_EQ] = ACTIONS(1590),
    [aux_sym_assert_statement_token1] = ACTIONS(1590),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1590),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1590),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1590),
    [anon_sym_LT] = ACTIONS(1592),
    [anon_sym_GT] = ACTIONS(1592),
    [aux_sym_set_operation_token1] = ACTIONS(1590),
    [aux_sym_set_operation_token3] = ACTIONS(1590),
    [aux_sym_set_operation_token4] = ACTIONS(1592),
    [aux_sym_select_token1] = ACTIONS(1590),
    [aux_sym_limit_clause_token1] = ACTIONS(1590),
    [aux_sym__direction_keywords_token1] = ACTIONS(1590),
    [aux_sym__direction_keywords_token2] = ACTIONS(1590),
    [aux_sym__nulls_preference_token1] = ACTIONS(1590),
    [aux_sym_insert_statement_token1] = ACTIONS(1590),
    [aux_sym_truncate_statement_token1] = ACTIONS(1590),
    [aux_sym_update_statement_token1] = ACTIONS(1590),
    [aux_sym_merge_statement_token1] = ACTIONS(1590),
    [aux_sym_grant_statement_token1] = ACTIONS(1590),
    [aux_sym_revoke_statement_token1] = ACTIONS(1590),
    [aux_sym_export_data_statement_token1] = ACTIONS(1590),
    [aux_sym_load_data_statement_token1] = ACTIONS(1590),
    [anon_sym_LBRACK] = ACTIONS(1590),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1590),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1592),
    [anon_sym_STAR] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(1592),
    [anon_sym_PIPE_PIPE] = ACTIONS(1590),
    [anon_sym_LT_EQ] = ACTIONS(1590),
    [anon_sym_LT_GT] = ACTIONS(1590),
    [anon_sym_GT_EQ] = ACTIONS(1590),
    [anon_sym_BANG_EQ] = ACTIONS(1590),
    [anon_sym_LT_LT] = ACTIONS(1590),
    [anon_sym_GT_GT] = ACTIONS(1590),
    [anon_sym_AMP] = ACTIONS(1590),
    [anon_sym_CARET] = ACTIONS(1590),
    [anon_sym_PIPE] = ACTIONS(1592),
  },
  [3236] = {
    [ts_builtin_sym_end] = ACTIONS(1656),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1656),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1656),
    [aux_sym_keyword_replace_token1] = ACTIONS(1656),
    [aux_sym__keyword_alter_token1] = ACTIONS(1656),
    [aux_sym__keyword_delete_token1] = ACTIONS(1656),
    [aux_sym__keyword_begin_token1] = ACTIONS(1656),
    [aux_sym__keyword_end_token1] = ACTIONS(1656),
    [aux_sym__keyword_between_token1] = ACTIONS(1656),
    [aux_sym__keyword_when_token1] = ACTIONS(1656),
    [aux_sym__keyword_else_token1] = ACTIONS(1658),
    [aux_sym__keyword_is_token1] = ACTIONS(1656),
    [aux_sym__keyword_in_token1] = ACTIONS(1658),
    [aux_sym__keyword_and_token1] = ACTIONS(1656),
    [aux_sym__keyword_like_token1] = ACTIONS(1656),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1656),
    [aux_sym__keyword_for_token1] = ACTIONS(1656),
    [anon_sym_SEMI] = ACTIONS(1656),
    [aux_sym_declare_statement_token1] = ACTIONS(1656),
    [anon_sym_COMMA] = ACTIONS(1656),
    [aux_sym_set_statement_token1] = ACTIONS(1656),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1656),
    [aux_sym_return_satement_token1] = ACTIONS(1656),
    [aux_sym_call_statement_token1] = ACTIONS(1656),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1656),
    [aux_sym_if_statement_token1] = ACTIONS(1656),
    [aux_sym_loop_statement_token1] = ACTIONS(1656),
    [aux_sym_repeat_statement_token1] = ACTIONS(1656),
    [aux_sym_while_statement_token1] = ACTIONS(1656),
    [aux_sym_break_statement_token1] = ACTIONS(1656),
    [aux_sym_leave_statement_token1] = ACTIONS(1656),
    [aux_sym_continue_statement_token1] = ACTIONS(1656),
    [aux_sym_iterate_statement_token1] = ACTIONS(1656),
    [aux_sym_raise_statement_token1] = ACTIONS(1656),
    [anon_sym_EQ] = ACTIONS(1656),
    [aux_sym_assert_statement_token1] = ACTIONS(1656),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1656),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1656),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1656),
    [anon_sym_LT] = ACTIONS(1658),
    [anon_sym_GT] = ACTIONS(1658),
    [aux_sym_set_operation_token1] = ACTIONS(1656),
    [aux_sym_set_operation_token3] = ACTIONS(1656),
    [aux_sym_set_operation_token4] = ACTIONS(1658),
    [aux_sym_select_token1] = ACTIONS(1656),
    [aux_sym_limit_clause_token1] = ACTIONS(1656),
    [aux_sym__direction_keywords_token1] = ACTIONS(1656),
    [aux_sym__direction_keywords_token2] = ACTIONS(1656),
    [aux_sym__nulls_preference_token1] = ACTIONS(1656),
    [aux_sym_insert_statement_token1] = ACTIONS(1656),
    [aux_sym_truncate_statement_token1] = ACTIONS(1656),
    [aux_sym_update_statement_token1] = ACTIONS(1656),
    [aux_sym_merge_statement_token1] = ACTIONS(1656),
    [aux_sym_grant_statement_token1] = ACTIONS(1656),
    [aux_sym_revoke_statement_token1] = ACTIONS(1656),
    [aux_sym_export_data_statement_token1] = ACTIONS(1656),
    [aux_sym_load_data_statement_token1] = ACTIONS(1656),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1656),
    [anon_sym_PLUS] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_STAR] = ACTIONS(1656),
    [anon_sym_SLASH] = ACTIONS(1658),
    [anon_sym_PIPE_PIPE] = ACTIONS(1656),
    [anon_sym_LT_EQ] = ACTIONS(1656),
    [anon_sym_LT_GT] = ACTIONS(1656),
    [anon_sym_GT_EQ] = ACTIONS(1656),
    [anon_sym_BANG_EQ] = ACTIONS(1656),
    [anon_sym_LT_LT] = ACTIONS(1656),
    [anon_sym_GT_GT] = ACTIONS(1656),
    [anon_sym_AMP] = ACTIONS(1656),
    [anon_sym_CARET] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1658),
  },
  [3237] = {
    [sym_analytics_clause] = STATE(3532),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [3238] = {
    [sym_analytics_clause] = STATE(3531),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [3239] = {
    [sym_analytics_clause] = STATE(3390),
    [sym__unquoted_identifier] = ACTIONS(1494),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1494),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1494),
    [aux_sym_keyword_replace_token1] = ACTIONS(1494),
    [aux_sym__keyword_alter_token1] = ACTIONS(1494),
    [aux_sym__keyword_delete_token1] = ACTIONS(1494),
    [aux_sym__keyword_begin_token1] = ACTIONS(1494),
    [aux_sym__keyword_end_token1] = ACTIONS(1494),
    [aux_sym__keyword_between_token1] = ACTIONS(1494),
    [aux_sym__keyword_else_token1] = ACTIONS(1494),
    [aux_sym__keyword_is_token1] = ACTIONS(1494),
    [aux_sym__keyword_in_token1] = ACTIONS(1494),
    [aux_sym__keyword_and_token1] = ACTIONS(1494),
    [aux_sym__keyword_like_token1] = ACTIONS(1494),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1494),
    [aux_sym__keyword_as_token1] = ACTIONS(1494),
    [aux_sym__keyword_date_token1] = ACTIONS(1494),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1494),
    [aux_sym__keyword_time_token1] = ACTIONS(1494),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1494),
    [aux_sym__keyword_for_token1] = ACTIONS(1494),
    [anon_sym_SEMI] = ACTIONS(1492),
    [aux_sym_declare_statement_token1] = ACTIONS(1494),
    [anon_sym_COMMA] = ACTIONS(1492),
    [aux_sym_set_statement_token1] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1494),
    [aux_sym_return_satement_token1] = ACTIONS(1494),
    [aux_sym_call_statement_token1] = ACTIONS(1494),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1494),
    [aux_sym_if_statement_token1] = ACTIONS(1494),
    [aux_sym_loop_statement_token1] = ACTIONS(1494),
    [aux_sym_repeat_statement_token1] = ACTIONS(1494),
    [aux_sym_while_statement_token1] = ACTIONS(1494),
    [aux_sym_break_statement_token1] = ACTIONS(1494),
    [aux_sym_leave_statement_token1] = ACTIONS(1494),
    [aux_sym_continue_statement_token1] = ACTIONS(1494),
    [aux_sym_iterate_statement_token1] = ACTIONS(1494),
    [aux_sym_raise_statement_token1] = ACTIONS(1494),
    [anon_sym_EQ] = ACTIONS(1492),
    [aux_sym_assert_statement_token1] = ACTIONS(1494),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1494),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1494),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1494),
    [anon_sym_LT] = ACTIONS(1494),
    [anon_sym_GT] = ACTIONS(1494),
    [aux_sym_select_token1] = ACTIONS(1494),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1494),
    [aux_sym_truncate_statement_token1] = ACTIONS(1494),
    [aux_sym_update_statement_token1] = ACTIONS(1494),
    [aux_sym_merge_statement_token1] = ACTIONS(1494),
    [aux_sym_grant_statement_token1] = ACTIONS(1494),
    [aux_sym_revoke_statement_token1] = ACTIONS(1494),
    [aux_sym_export_data_statement_token1] = ACTIONS(1494),
    [aux_sym_load_data_statement_token1] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [sym__quoted_identifier] = ACTIONS(1492),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_STAR] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1494),
    [anon_sym_PIPE_PIPE] = ACTIONS(1492),
    [anon_sym_LT_EQ] = ACTIONS(1492),
    [anon_sym_LT_GT] = ACTIONS(1492),
    [anon_sym_GT_EQ] = ACTIONS(1492),
    [anon_sym_BANG_EQ] = ACTIONS(1492),
    [anon_sym_LT_LT] = ACTIONS(1492),
    [anon_sym_GT_GT] = ACTIONS(1492),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_CARET] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1494),
  },
  [3240] = {
    [sym_analytics_clause] = STATE(3524),
    [sym__unquoted_identifier] = ACTIONS(1490),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1490),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1490),
    [aux_sym_keyword_replace_token1] = ACTIONS(1490),
    [aux_sym__keyword_alter_token1] = ACTIONS(1490),
    [aux_sym__keyword_delete_token1] = ACTIONS(1490),
    [aux_sym__keyword_begin_token1] = ACTIONS(1490),
    [aux_sym__keyword_end_token1] = ACTIONS(1490),
    [aux_sym__keyword_between_token1] = ACTIONS(1490),
    [aux_sym__keyword_else_token1] = ACTIONS(1490),
    [aux_sym__keyword_is_token1] = ACTIONS(1490),
    [aux_sym__keyword_in_token1] = ACTIONS(1490),
    [aux_sym__keyword_and_token1] = ACTIONS(1490),
    [aux_sym__keyword_like_token1] = ACTIONS(1490),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1490),
    [aux_sym__keyword_as_token1] = ACTIONS(1490),
    [aux_sym__keyword_date_token1] = ACTIONS(1490),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1490),
    [aux_sym__keyword_time_token1] = ACTIONS(1490),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1490),
    [aux_sym__keyword_for_token1] = ACTIONS(1490),
    [anon_sym_SEMI] = ACTIONS(1488),
    [aux_sym_declare_statement_token1] = ACTIONS(1490),
    [anon_sym_COMMA] = ACTIONS(1488),
    [aux_sym_set_statement_token1] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1488),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1490),
    [aux_sym_return_satement_token1] = ACTIONS(1490),
    [aux_sym_call_statement_token1] = ACTIONS(1490),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1490),
    [aux_sym_if_statement_token1] = ACTIONS(1490),
    [aux_sym_loop_statement_token1] = ACTIONS(1490),
    [aux_sym_repeat_statement_token1] = ACTIONS(1490),
    [aux_sym_while_statement_token1] = ACTIONS(1490),
    [aux_sym_break_statement_token1] = ACTIONS(1490),
    [aux_sym_leave_statement_token1] = ACTIONS(1490),
    [aux_sym_continue_statement_token1] = ACTIONS(1490),
    [aux_sym_iterate_statement_token1] = ACTIONS(1490),
    [aux_sym_raise_statement_token1] = ACTIONS(1490),
    [anon_sym_EQ] = ACTIONS(1488),
    [aux_sym_assert_statement_token1] = ACTIONS(1490),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1490),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1490),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1490),
    [anon_sym_LT] = ACTIONS(1490),
    [anon_sym_GT] = ACTIONS(1490),
    [aux_sym_select_token1] = ACTIONS(1490),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1490),
    [aux_sym_truncate_statement_token1] = ACTIONS(1490),
    [aux_sym_update_statement_token1] = ACTIONS(1490),
    [aux_sym_merge_statement_token1] = ACTIONS(1490),
    [aux_sym_grant_statement_token1] = ACTIONS(1490),
    [aux_sym_revoke_statement_token1] = ACTIONS(1490),
    [aux_sym_export_data_statement_token1] = ACTIONS(1490),
    [aux_sym_load_data_statement_token1] = ACTIONS(1490),
    [anon_sym_LBRACK] = ACTIONS(1488),
    [sym__quoted_identifier] = ACTIONS(1488),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1488),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_STAR] = ACTIONS(1488),
    [anon_sym_SLASH] = ACTIONS(1490),
    [anon_sym_PIPE_PIPE] = ACTIONS(1488),
    [anon_sym_LT_EQ] = ACTIONS(1488),
    [anon_sym_LT_GT] = ACTIONS(1488),
    [anon_sym_GT_EQ] = ACTIONS(1488),
    [anon_sym_BANG_EQ] = ACTIONS(1488),
    [anon_sym_LT_LT] = ACTIONS(1488),
    [anon_sym_GT_GT] = ACTIONS(1488),
    [anon_sym_AMP] = ACTIONS(1488),
    [anon_sym_CARET] = ACTIONS(1488),
    [anon_sym_PIPE] = ACTIONS(1490),
  },
  [3241] = {
    [sym_analytics_clause] = STATE(3404),
    [sym__unquoted_identifier] = ACTIONS(1482),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1482),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1482),
    [aux_sym_keyword_replace_token1] = ACTIONS(1482),
    [aux_sym__keyword_alter_token1] = ACTIONS(1482),
    [aux_sym__keyword_delete_token1] = ACTIONS(1482),
    [aux_sym__keyword_begin_token1] = ACTIONS(1482),
    [aux_sym__keyword_end_token1] = ACTIONS(1482),
    [aux_sym__keyword_between_token1] = ACTIONS(1482),
    [aux_sym__keyword_else_token1] = ACTIONS(1482),
    [aux_sym__keyword_is_token1] = ACTIONS(1482),
    [aux_sym__keyword_in_token1] = ACTIONS(1482),
    [aux_sym__keyword_and_token1] = ACTIONS(1482),
    [aux_sym__keyword_like_token1] = ACTIONS(1482),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1482),
    [aux_sym__keyword_as_token1] = ACTIONS(1482),
    [aux_sym__keyword_date_token1] = ACTIONS(1482),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1482),
    [aux_sym__keyword_time_token1] = ACTIONS(1482),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1482),
    [aux_sym__keyword_for_token1] = ACTIONS(1482),
    [anon_sym_SEMI] = ACTIONS(1480),
    [aux_sym_declare_statement_token1] = ACTIONS(1482),
    [anon_sym_COMMA] = ACTIONS(1480),
    [aux_sym_set_statement_token1] = ACTIONS(1482),
    [anon_sym_LPAREN] = ACTIONS(1480),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1482),
    [aux_sym_return_satement_token1] = ACTIONS(1482),
    [aux_sym_call_statement_token1] = ACTIONS(1482),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1482),
    [aux_sym_if_statement_token1] = ACTIONS(1482),
    [aux_sym_loop_statement_token1] = ACTIONS(1482),
    [aux_sym_repeat_statement_token1] = ACTIONS(1482),
    [aux_sym_while_statement_token1] = ACTIONS(1482),
    [aux_sym_break_statement_token1] = ACTIONS(1482),
    [aux_sym_leave_statement_token1] = ACTIONS(1482),
    [aux_sym_continue_statement_token1] = ACTIONS(1482),
    [aux_sym_iterate_statement_token1] = ACTIONS(1482),
    [aux_sym_raise_statement_token1] = ACTIONS(1482),
    [anon_sym_EQ] = ACTIONS(1480),
    [aux_sym_assert_statement_token1] = ACTIONS(1482),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1482),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1482),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1482),
    [anon_sym_LT] = ACTIONS(1482),
    [anon_sym_GT] = ACTIONS(1482),
    [aux_sym_select_token1] = ACTIONS(1482),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1482),
    [aux_sym_truncate_statement_token1] = ACTIONS(1482),
    [aux_sym_update_statement_token1] = ACTIONS(1482),
    [aux_sym_merge_statement_token1] = ACTIONS(1482),
    [aux_sym_grant_statement_token1] = ACTIONS(1482),
    [aux_sym_revoke_statement_token1] = ACTIONS(1482),
    [aux_sym_export_data_statement_token1] = ACTIONS(1482),
    [aux_sym_load_data_statement_token1] = ACTIONS(1482),
    [anon_sym_LBRACK] = ACTIONS(1480),
    [sym__quoted_identifier] = ACTIONS(1480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_DASH] = ACTIONS(1482),
    [anon_sym_STAR] = ACTIONS(1480),
    [anon_sym_SLASH] = ACTIONS(1482),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [anon_sym_LT_EQ] = ACTIONS(1480),
    [anon_sym_LT_GT] = ACTIONS(1480),
    [anon_sym_GT_EQ] = ACTIONS(1480),
    [anon_sym_BANG_EQ] = ACTIONS(1480),
    [anon_sym_LT_LT] = ACTIONS(1480),
    [anon_sym_GT_GT] = ACTIONS(1480),
    [anon_sym_AMP] = ACTIONS(1480),
    [anon_sym_CARET] = ACTIONS(1480),
    [anon_sym_PIPE] = ACTIONS(1482),
  },
  [3242] = {
    [sym_analytics_clause] = STATE(3409),
    [sym__unquoted_identifier] = ACTIONS(1472),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1472),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1472),
    [aux_sym_keyword_replace_token1] = ACTIONS(1472),
    [aux_sym__keyword_alter_token1] = ACTIONS(1472),
    [aux_sym__keyword_delete_token1] = ACTIONS(1472),
    [aux_sym__keyword_begin_token1] = ACTIONS(1472),
    [aux_sym__keyword_end_token1] = ACTIONS(1472),
    [aux_sym__keyword_between_token1] = ACTIONS(1472),
    [aux_sym__keyword_else_token1] = ACTIONS(1472),
    [aux_sym__keyword_is_token1] = ACTIONS(1472),
    [aux_sym__keyword_in_token1] = ACTIONS(1472),
    [aux_sym__keyword_and_token1] = ACTIONS(1472),
    [aux_sym__keyword_like_token1] = ACTIONS(1472),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1472),
    [aux_sym__keyword_as_token1] = ACTIONS(1472),
    [aux_sym__keyword_date_token1] = ACTIONS(1472),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1472),
    [aux_sym__keyword_time_token1] = ACTIONS(1472),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1472),
    [aux_sym__keyword_for_token1] = ACTIONS(1472),
    [anon_sym_SEMI] = ACTIONS(1470),
    [aux_sym_declare_statement_token1] = ACTIONS(1472),
    [anon_sym_COMMA] = ACTIONS(1470),
    [aux_sym_set_statement_token1] = ACTIONS(1472),
    [anon_sym_LPAREN] = ACTIONS(1470),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1472),
    [aux_sym_return_satement_token1] = ACTIONS(1472),
    [aux_sym_call_statement_token1] = ACTIONS(1472),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1472),
    [aux_sym_if_statement_token1] = ACTIONS(1472),
    [aux_sym_loop_statement_token1] = ACTIONS(1472),
    [aux_sym_repeat_statement_token1] = ACTIONS(1472),
    [aux_sym_while_statement_token1] = ACTIONS(1472),
    [aux_sym_break_statement_token1] = ACTIONS(1472),
    [aux_sym_leave_statement_token1] = ACTIONS(1472),
    [aux_sym_continue_statement_token1] = ACTIONS(1472),
    [aux_sym_iterate_statement_token1] = ACTIONS(1472),
    [aux_sym_raise_statement_token1] = ACTIONS(1472),
    [anon_sym_EQ] = ACTIONS(1470),
    [aux_sym_assert_statement_token1] = ACTIONS(1472),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1472),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1472),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1472),
    [anon_sym_LT] = ACTIONS(1472),
    [anon_sym_GT] = ACTIONS(1472),
    [aux_sym_select_token1] = ACTIONS(1472),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1472),
    [aux_sym_truncate_statement_token1] = ACTIONS(1472),
    [aux_sym_update_statement_token1] = ACTIONS(1472),
    [aux_sym_merge_statement_token1] = ACTIONS(1472),
    [aux_sym_grant_statement_token1] = ACTIONS(1472),
    [aux_sym_revoke_statement_token1] = ACTIONS(1472),
    [aux_sym_export_data_statement_token1] = ACTIONS(1472),
    [aux_sym_load_data_statement_token1] = ACTIONS(1472),
    [anon_sym_LBRACK] = ACTIONS(1470),
    [sym__quoted_identifier] = ACTIONS(1470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1470),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_STAR] = ACTIONS(1470),
    [anon_sym_SLASH] = ACTIONS(1472),
    [anon_sym_PIPE_PIPE] = ACTIONS(1470),
    [anon_sym_LT_EQ] = ACTIONS(1470),
    [anon_sym_LT_GT] = ACTIONS(1470),
    [anon_sym_GT_EQ] = ACTIONS(1470),
    [anon_sym_BANG_EQ] = ACTIONS(1470),
    [anon_sym_LT_LT] = ACTIONS(1470),
    [anon_sym_GT_GT] = ACTIONS(1470),
    [anon_sym_AMP] = ACTIONS(1470),
    [anon_sym_CARET] = ACTIONS(1470),
    [anon_sym_PIPE] = ACTIONS(1472),
  },
  [3243] = {
    [sym_analytics_clause] = STATE(3410),
    [sym__unquoted_identifier] = ACTIONS(1468),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1468),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1468),
    [aux_sym_keyword_replace_token1] = ACTIONS(1468),
    [aux_sym__keyword_alter_token1] = ACTIONS(1468),
    [aux_sym__keyword_delete_token1] = ACTIONS(1468),
    [aux_sym__keyword_begin_token1] = ACTIONS(1468),
    [aux_sym__keyword_end_token1] = ACTIONS(1468),
    [aux_sym__keyword_between_token1] = ACTIONS(1468),
    [aux_sym__keyword_else_token1] = ACTIONS(1468),
    [aux_sym__keyword_is_token1] = ACTIONS(1468),
    [aux_sym__keyword_in_token1] = ACTIONS(1468),
    [aux_sym__keyword_and_token1] = ACTIONS(1468),
    [aux_sym__keyword_like_token1] = ACTIONS(1468),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1468),
    [aux_sym__keyword_as_token1] = ACTIONS(1468),
    [aux_sym__keyword_date_token1] = ACTIONS(1468),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1468),
    [aux_sym__keyword_time_token1] = ACTIONS(1468),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1468),
    [aux_sym__keyword_for_token1] = ACTIONS(1468),
    [anon_sym_SEMI] = ACTIONS(1466),
    [aux_sym_declare_statement_token1] = ACTIONS(1468),
    [anon_sym_COMMA] = ACTIONS(1466),
    [aux_sym_set_statement_token1] = ACTIONS(1468),
    [anon_sym_LPAREN] = ACTIONS(1466),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1468),
    [aux_sym_return_satement_token1] = ACTIONS(1468),
    [aux_sym_call_statement_token1] = ACTIONS(1468),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1468),
    [aux_sym_if_statement_token1] = ACTIONS(1468),
    [aux_sym_loop_statement_token1] = ACTIONS(1468),
    [aux_sym_repeat_statement_token1] = ACTIONS(1468),
    [aux_sym_while_statement_token1] = ACTIONS(1468),
    [aux_sym_break_statement_token1] = ACTIONS(1468),
    [aux_sym_leave_statement_token1] = ACTIONS(1468),
    [aux_sym_continue_statement_token1] = ACTIONS(1468),
    [aux_sym_iterate_statement_token1] = ACTIONS(1468),
    [aux_sym_raise_statement_token1] = ACTIONS(1468),
    [anon_sym_EQ] = ACTIONS(1466),
    [aux_sym_assert_statement_token1] = ACTIONS(1468),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1468),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1468),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1468),
    [anon_sym_LT] = ACTIONS(1468),
    [anon_sym_GT] = ACTIONS(1468),
    [aux_sym_select_token1] = ACTIONS(1468),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1468),
    [aux_sym_truncate_statement_token1] = ACTIONS(1468),
    [aux_sym_update_statement_token1] = ACTIONS(1468),
    [aux_sym_merge_statement_token1] = ACTIONS(1468),
    [aux_sym_grant_statement_token1] = ACTIONS(1468),
    [aux_sym_revoke_statement_token1] = ACTIONS(1468),
    [aux_sym_export_data_statement_token1] = ACTIONS(1468),
    [aux_sym_load_data_statement_token1] = ACTIONS(1468),
    [anon_sym_LBRACK] = ACTIONS(1466),
    [sym__quoted_identifier] = ACTIONS(1466),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_STAR] = ACTIONS(1466),
    [anon_sym_SLASH] = ACTIONS(1468),
    [anon_sym_PIPE_PIPE] = ACTIONS(1466),
    [anon_sym_LT_EQ] = ACTIONS(1466),
    [anon_sym_LT_GT] = ACTIONS(1466),
    [anon_sym_GT_EQ] = ACTIONS(1466),
    [anon_sym_BANG_EQ] = ACTIONS(1466),
    [anon_sym_LT_LT] = ACTIONS(1466),
    [anon_sym_GT_GT] = ACTIONS(1466),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_CARET] = ACTIONS(1466),
    [anon_sym_PIPE] = ACTIONS(1468),
  },
  [3244] = {
    [sym_analytics_clause] = STATE(3411),
    [sym__unquoted_identifier] = ACTIONS(1460),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1460),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1460),
    [aux_sym_keyword_replace_token1] = ACTIONS(1460),
    [aux_sym__keyword_alter_token1] = ACTIONS(1460),
    [aux_sym__keyword_delete_token1] = ACTIONS(1460),
    [aux_sym__keyword_begin_token1] = ACTIONS(1460),
    [aux_sym__keyword_end_token1] = ACTIONS(1460),
    [aux_sym__keyword_between_token1] = ACTIONS(1460),
    [aux_sym__keyword_else_token1] = ACTIONS(1460),
    [aux_sym__keyword_is_token1] = ACTIONS(1460),
    [aux_sym__keyword_in_token1] = ACTIONS(1460),
    [aux_sym__keyword_and_token1] = ACTIONS(1460),
    [aux_sym__keyword_like_token1] = ACTIONS(1460),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1460),
    [aux_sym__keyword_as_token1] = ACTIONS(1460),
    [aux_sym__keyword_date_token1] = ACTIONS(1460),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1460),
    [aux_sym__keyword_time_token1] = ACTIONS(1460),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1460),
    [aux_sym__keyword_for_token1] = ACTIONS(1460),
    [anon_sym_SEMI] = ACTIONS(1458),
    [aux_sym_declare_statement_token1] = ACTIONS(1460),
    [anon_sym_COMMA] = ACTIONS(1458),
    [aux_sym_set_statement_token1] = ACTIONS(1460),
    [anon_sym_LPAREN] = ACTIONS(1458),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1460),
    [aux_sym_return_satement_token1] = ACTIONS(1460),
    [aux_sym_call_statement_token1] = ACTIONS(1460),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1460),
    [aux_sym_if_statement_token1] = ACTIONS(1460),
    [aux_sym_loop_statement_token1] = ACTIONS(1460),
    [aux_sym_repeat_statement_token1] = ACTIONS(1460),
    [aux_sym_while_statement_token1] = ACTIONS(1460),
    [aux_sym_break_statement_token1] = ACTIONS(1460),
    [aux_sym_leave_statement_token1] = ACTIONS(1460),
    [aux_sym_continue_statement_token1] = ACTIONS(1460),
    [aux_sym_iterate_statement_token1] = ACTIONS(1460),
    [aux_sym_raise_statement_token1] = ACTIONS(1460),
    [anon_sym_EQ] = ACTIONS(1458),
    [aux_sym_assert_statement_token1] = ACTIONS(1460),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1460),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1460),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1460),
    [anon_sym_LT] = ACTIONS(1460),
    [anon_sym_GT] = ACTIONS(1460),
    [aux_sym_select_token1] = ACTIONS(1460),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1460),
    [aux_sym_truncate_statement_token1] = ACTIONS(1460),
    [aux_sym_update_statement_token1] = ACTIONS(1460),
    [aux_sym_merge_statement_token1] = ACTIONS(1460),
    [aux_sym_grant_statement_token1] = ACTIONS(1460),
    [aux_sym_revoke_statement_token1] = ACTIONS(1460),
    [aux_sym_export_data_statement_token1] = ACTIONS(1460),
    [aux_sym_load_data_statement_token1] = ACTIONS(1460),
    [anon_sym_LBRACK] = ACTIONS(1458),
    [sym__quoted_identifier] = ACTIONS(1458),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_STAR] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(1460),
    [anon_sym_PIPE_PIPE] = ACTIONS(1458),
    [anon_sym_LT_EQ] = ACTIONS(1458),
    [anon_sym_LT_GT] = ACTIONS(1458),
    [anon_sym_GT_EQ] = ACTIONS(1458),
    [anon_sym_BANG_EQ] = ACTIONS(1458),
    [anon_sym_LT_LT] = ACTIONS(1458),
    [anon_sym_GT_GT] = ACTIONS(1458),
    [anon_sym_AMP] = ACTIONS(1458),
    [anon_sym_CARET] = ACTIONS(1458),
    [anon_sym_PIPE] = ACTIONS(1460),
  },
  [3245] = {
    [sym_analytics_clause] = STATE(3412),
    [sym__unquoted_identifier] = ACTIONS(1456),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1456),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1456),
    [aux_sym_keyword_replace_token1] = ACTIONS(1456),
    [aux_sym__keyword_alter_token1] = ACTIONS(1456),
    [aux_sym__keyword_delete_token1] = ACTIONS(1456),
    [aux_sym__keyword_begin_token1] = ACTIONS(1456),
    [aux_sym__keyword_end_token1] = ACTIONS(1456),
    [aux_sym__keyword_between_token1] = ACTIONS(1456),
    [aux_sym__keyword_else_token1] = ACTIONS(1456),
    [aux_sym__keyword_is_token1] = ACTIONS(1456),
    [aux_sym__keyword_in_token1] = ACTIONS(1456),
    [aux_sym__keyword_and_token1] = ACTIONS(1456),
    [aux_sym__keyword_like_token1] = ACTIONS(1456),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1456),
    [aux_sym__keyword_as_token1] = ACTIONS(1456),
    [aux_sym__keyword_date_token1] = ACTIONS(1456),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1456),
    [aux_sym__keyword_time_token1] = ACTIONS(1456),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1456),
    [aux_sym__keyword_for_token1] = ACTIONS(1456),
    [anon_sym_SEMI] = ACTIONS(1454),
    [aux_sym_declare_statement_token1] = ACTIONS(1456),
    [anon_sym_COMMA] = ACTIONS(1454),
    [aux_sym_set_statement_token1] = ACTIONS(1456),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1456),
    [aux_sym_return_satement_token1] = ACTIONS(1456),
    [aux_sym_call_statement_token1] = ACTIONS(1456),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1456),
    [aux_sym_if_statement_token1] = ACTIONS(1456),
    [aux_sym_loop_statement_token1] = ACTIONS(1456),
    [aux_sym_repeat_statement_token1] = ACTIONS(1456),
    [aux_sym_while_statement_token1] = ACTIONS(1456),
    [aux_sym_break_statement_token1] = ACTIONS(1456),
    [aux_sym_leave_statement_token1] = ACTIONS(1456),
    [aux_sym_continue_statement_token1] = ACTIONS(1456),
    [aux_sym_iterate_statement_token1] = ACTIONS(1456),
    [aux_sym_raise_statement_token1] = ACTIONS(1456),
    [anon_sym_EQ] = ACTIONS(1454),
    [aux_sym_assert_statement_token1] = ACTIONS(1456),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1456),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1456),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1456),
    [anon_sym_LT] = ACTIONS(1456),
    [anon_sym_GT] = ACTIONS(1456),
    [aux_sym_select_token1] = ACTIONS(1456),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1456),
    [aux_sym_truncate_statement_token1] = ACTIONS(1456),
    [aux_sym_update_statement_token1] = ACTIONS(1456),
    [aux_sym_merge_statement_token1] = ACTIONS(1456),
    [aux_sym_grant_statement_token1] = ACTIONS(1456),
    [aux_sym_revoke_statement_token1] = ACTIONS(1456),
    [aux_sym_export_data_statement_token1] = ACTIONS(1456),
    [aux_sym_load_data_statement_token1] = ACTIONS(1456),
    [anon_sym_LBRACK] = ACTIONS(1454),
    [sym__quoted_identifier] = ACTIONS(1454),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1454),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1454),
    [anon_sym_SLASH] = ACTIONS(1456),
    [anon_sym_PIPE_PIPE] = ACTIONS(1454),
    [anon_sym_LT_EQ] = ACTIONS(1454),
    [anon_sym_LT_GT] = ACTIONS(1454),
    [anon_sym_GT_EQ] = ACTIONS(1454),
    [anon_sym_BANG_EQ] = ACTIONS(1454),
    [anon_sym_LT_LT] = ACTIONS(1454),
    [anon_sym_GT_GT] = ACTIONS(1454),
    [anon_sym_AMP] = ACTIONS(1454),
    [anon_sym_CARET] = ACTIONS(1454),
    [anon_sym_PIPE] = ACTIONS(1456),
  },
  [3246] = {
    [sym_analytics_clause] = STATE(3413),
    [sym__unquoted_identifier] = ACTIONS(1452),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1452),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1452),
    [aux_sym_keyword_replace_token1] = ACTIONS(1452),
    [aux_sym__keyword_alter_token1] = ACTIONS(1452),
    [aux_sym__keyword_delete_token1] = ACTIONS(1452),
    [aux_sym__keyword_begin_token1] = ACTIONS(1452),
    [aux_sym__keyword_end_token1] = ACTIONS(1452),
    [aux_sym__keyword_between_token1] = ACTIONS(1452),
    [aux_sym__keyword_else_token1] = ACTIONS(1452),
    [aux_sym__keyword_is_token1] = ACTIONS(1452),
    [aux_sym__keyword_in_token1] = ACTIONS(1452),
    [aux_sym__keyword_and_token1] = ACTIONS(1452),
    [aux_sym__keyword_like_token1] = ACTIONS(1452),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1452),
    [aux_sym__keyword_as_token1] = ACTIONS(1452),
    [aux_sym__keyword_date_token1] = ACTIONS(1452),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1452),
    [aux_sym__keyword_time_token1] = ACTIONS(1452),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1452),
    [aux_sym__keyword_for_token1] = ACTIONS(1452),
    [anon_sym_SEMI] = ACTIONS(1450),
    [aux_sym_declare_statement_token1] = ACTIONS(1452),
    [anon_sym_COMMA] = ACTIONS(1450),
    [aux_sym_set_statement_token1] = ACTIONS(1452),
    [anon_sym_LPAREN] = ACTIONS(1450),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1452),
    [aux_sym_return_satement_token1] = ACTIONS(1452),
    [aux_sym_call_statement_token1] = ACTIONS(1452),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1452),
    [aux_sym_if_statement_token1] = ACTIONS(1452),
    [aux_sym_loop_statement_token1] = ACTIONS(1452),
    [aux_sym_repeat_statement_token1] = ACTIONS(1452),
    [aux_sym_while_statement_token1] = ACTIONS(1452),
    [aux_sym_break_statement_token1] = ACTIONS(1452),
    [aux_sym_leave_statement_token1] = ACTIONS(1452),
    [aux_sym_continue_statement_token1] = ACTIONS(1452),
    [aux_sym_iterate_statement_token1] = ACTIONS(1452),
    [aux_sym_raise_statement_token1] = ACTIONS(1452),
    [anon_sym_EQ] = ACTIONS(1450),
    [aux_sym_assert_statement_token1] = ACTIONS(1452),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1452),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1452),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1452),
    [anon_sym_LT] = ACTIONS(1452),
    [anon_sym_GT] = ACTIONS(1452),
    [aux_sym_select_token1] = ACTIONS(1452),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1452),
    [aux_sym_truncate_statement_token1] = ACTIONS(1452),
    [aux_sym_update_statement_token1] = ACTIONS(1452),
    [aux_sym_merge_statement_token1] = ACTIONS(1452),
    [aux_sym_grant_statement_token1] = ACTIONS(1452),
    [aux_sym_revoke_statement_token1] = ACTIONS(1452),
    [aux_sym_export_data_statement_token1] = ACTIONS(1452),
    [aux_sym_load_data_statement_token1] = ACTIONS(1452),
    [anon_sym_LBRACK] = ACTIONS(1450),
    [sym__quoted_identifier] = ACTIONS(1450),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_STAR] = ACTIONS(1450),
    [anon_sym_SLASH] = ACTIONS(1452),
    [anon_sym_PIPE_PIPE] = ACTIONS(1450),
    [anon_sym_LT_EQ] = ACTIONS(1450),
    [anon_sym_LT_GT] = ACTIONS(1450),
    [anon_sym_GT_EQ] = ACTIONS(1450),
    [anon_sym_BANG_EQ] = ACTIONS(1450),
    [anon_sym_LT_LT] = ACTIONS(1450),
    [anon_sym_GT_GT] = ACTIONS(1450),
    [anon_sym_AMP] = ACTIONS(1450),
    [anon_sym_CARET] = ACTIONS(1450),
    [anon_sym_PIPE] = ACTIONS(1452),
  },
  [3247] = {
    [sym_analytics_clause] = STATE(3414),
    [sym__unquoted_identifier] = ACTIONS(1452),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1452),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1452),
    [aux_sym_keyword_replace_token1] = ACTIONS(1452),
    [aux_sym__keyword_alter_token1] = ACTIONS(1452),
    [aux_sym__keyword_delete_token1] = ACTIONS(1452),
    [aux_sym__keyword_begin_token1] = ACTIONS(1452),
    [aux_sym__keyword_end_token1] = ACTIONS(1452),
    [aux_sym__keyword_between_token1] = ACTIONS(1452),
    [aux_sym__keyword_else_token1] = ACTIONS(1452),
    [aux_sym__keyword_is_token1] = ACTIONS(1452),
    [aux_sym__keyword_in_token1] = ACTIONS(1452),
    [aux_sym__keyword_and_token1] = ACTIONS(1452),
    [aux_sym__keyword_like_token1] = ACTIONS(1452),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1452),
    [aux_sym__keyword_as_token1] = ACTIONS(1452),
    [aux_sym__keyword_date_token1] = ACTIONS(1452),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1452),
    [aux_sym__keyword_time_token1] = ACTIONS(1452),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1452),
    [aux_sym__keyword_for_token1] = ACTIONS(1452),
    [anon_sym_SEMI] = ACTIONS(1450),
    [aux_sym_declare_statement_token1] = ACTIONS(1452),
    [anon_sym_COMMA] = ACTIONS(1450),
    [aux_sym_set_statement_token1] = ACTIONS(1452),
    [anon_sym_LPAREN] = ACTIONS(1450),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1452),
    [aux_sym_return_satement_token1] = ACTIONS(1452),
    [aux_sym_call_statement_token1] = ACTIONS(1452),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1452),
    [aux_sym_if_statement_token1] = ACTIONS(1452),
    [aux_sym_loop_statement_token1] = ACTIONS(1452),
    [aux_sym_repeat_statement_token1] = ACTIONS(1452),
    [aux_sym_while_statement_token1] = ACTIONS(1452),
    [aux_sym_break_statement_token1] = ACTIONS(1452),
    [aux_sym_leave_statement_token1] = ACTIONS(1452),
    [aux_sym_continue_statement_token1] = ACTIONS(1452),
    [aux_sym_iterate_statement_token1] = ACTIONS(1452),
    [aux_sym_raise_statement_token1] = ACTIONS(1452),
    [anon_sym_EQ] = ACTIONS(1450),
    [aux_sym_assert_statement_token1] = ACTIONS(1452),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1452),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1452),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1452),
    [anon_sym_LT] = ACTIONS(1452),
    [anon_sym_GT] = ACTIONS(1452),
    [aux_sym_select_token1] = ACTIONS(1452),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1452),
    [aux_sym_truncate_statement_token1] = ACTIONS(1452),
    [aux_sym_update_statement_token1] = ACTIONS(1452),
    [aux_sym_merge_statement_token1] = ACTIONS(1452),
    [aux_sym_grant_statement_token1] = ACTIONS(1452),
    [aux_sym_revoke_statement_token1] = ACTIONS(1452),
    [aux_sym_export_data_statement_token1] = ACTIONS(1452),
    [aux_sym_load_data_statement_token1] = ACTIONS(1452),
    [anon_sym_LBRACK] = ACTIONS(1450),
    [sym__quoted_identifier] = ACTIONS(1450),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_STAR] = ACTIONS(1450),
    [anon_sym_SLASH] = ACTIONS(1452),
    [anon_sym_PIPE_PIPE] = ACTIONS(1450),
    [anon_sym_LT_EQ] = ACTIONS(1450),
    [anon_sym_LT_GT] = ACTIONS(1450),
    [anon_sym_GT_EQ] = ACTIONS(1450),
    [anon_sym_BANG_EQ] = ACTIONS(1450),
    [anon_sym_LT_LT] = ACTIONS(1450),
    [anon_sym_GT_GT] = ACTIONS(1450),
    [anon_sym_AMP] = ACTIONS(1450),
    [anon_sym_CARET] = ACTIONS(1450),
    [anon_sym_PIPE] = ACTIONS(1452),
  },
  [3248] = {
    [sym_analytics_clause] = STATE(3416),
    [sym__unquoted_identifier] = ACTIONS(1440),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1440),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1440),
    [aux_sym_keyword_replace_token1] = ACTIONS(1440),
    [aux_sym__keyword_alter_token1] = ACTIONS(1440),
    [aux_sym__keyword_delete_token1] = ACTIONS(1440),
    [aux_sym__keyword_begin_token1] = ACTIONS(1440),
    [aux_sym__keyword_end_token1] = ACTIONS(1440),
    [aux_sym__keyword_between_token1] = ACTIONS(1440),
    [aux_sym__keyword_else_token1] = ACTIONS(1440),
    [aux_sym__keyword_is_token1] = ACTIONS(1440),
    [aux_sym__keyword_in_token1] = ACTIONS(1440),
    [aux_sym__keyword_and_token1] = ACTIONS(1440),
    [aux_sym__keyword_like_token1] = ACTIONS(1440),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1440),
    [aux_sym__keyword_as_token1] = ACTIONS(1440),
    [aux_sym__keyword_date_token1] = ACTIONS(1440),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1440),
    [aux_sym__keyword_time_token1] = ACTIONS(1440),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1440),
    [aux_sym__keyword_for_token1] = ACTIONS(1440),
    [anon_sym_SEMI] = ACTIONS(1438),
    [aux_sym_declare_statement_token1] = ACTIONS(1440),
    [anon_sym_COMMA] = ACTIONS(1438),
    [aux_sym_set_statement_token1] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1438),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1440),
    [aux_sym_return_satement_token1] = ACTIONS(1440),
    [aux_sym_call_statement_token1] = ACTIONS(1440),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1440),
    [aux_sym_if_statement_token1] = ACTIONS(1440),
    [aux_sym_loop_statement_token1] = ACTIONS(1440),
    [aux_sym_repeat_statement_token1] = ACTIONS(1440),
    [aux_sym_while_statement_token1] = ACTIONS(1440),
    [aux_sym_break_statement_token1] = ACTIONS(1440),
    [aux_sym_leave_statement_token1] = ACTIONS(1440),
    [aux_sym_continue_statement_token1] = ACTIONS(1440),
    [aux_sym_iterate_statement_token1] = ACTIONS(1440),
    [aux_sym_raise_statement_token1] = ACTIONS(1440),
    [anon_sym_EQ] = ACTIONS(1438),
    [aux_sym_assert_statement_token1] = ACTIONS(1440),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1440),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1440),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1440),
    [anon_sym_LT] = ACTIONS(1440),
    [anon_sym_GT] = ACTIONS(1440),
    [aux_sym_select_token1] = ACTIONS(1440),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1440),
    [aux_sym_truncate_statement_token1] = ACTIONS(1440),
    [aux_sym_update_statement_token1] = ACTIONS(1440),
    [aux_sym_merge_statement_token1] = ACTIONS(1440),
    [aux_sym_grant_statement_token1] = ACTIONS(1440),
    [aux_sym_revoke_statement_token1] = ACTIONS(1440),
    [aux_sym_export_data_statement_token1] = ACTIONS(1440),
    [aux_sym_load_data_statement_token1] = ACTIONS(1440),
    [anon_sym_LBRACK] = ACTIONS(1438),
    [sym__quoted_identifier] = ACTIONS(1438),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_STAR] = ACTIONS(1438),
    [anon_sym_SLASH] = ACTIONS(1440),
    [anon_sym_PIPE_PIPE] = ACTIONS(1438),
    [anon_sym_LT_EQ] = ACTIONS(1438),
    [anon_sym_LT_GT] = ACTIONS(1438),
    [anon_sym_GT_EQ] = ACTIONS(1438),
    [anon_sym_BANG_EQ] = ACTIONS(1438),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_AMP] = ACTIONS(1438),
    [anon_sym_CARET] = ACTIONS(1438),
    [anon_sym_PIPE] = ACTIONS(1440),
  },
  [3249] = {
    [ts_builtin_sym_end] = ACTIONS(1652),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1652),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1652),
    [aux_sym_keyword_replace_token1] = ACTIONS(1652),
    [aux_sym__keyword_alter_token1] = ACTIONS(1652),
    [aux_sym__keyword_delete_token1] = ACTIONS(1652),
    [aux_sym__keyword_begin_token1] = ACTIONS(1652),
    [aux_sym__keyword_end_token1] = ACTIONS(1652),
    [aux_sym__keyword_between_token1] = ACTIONS(1652),
    [aux_sym__keyword_when_token1] = ACTIONS(1652),
    [aux_sym__keyword_else_token1] = ACTIONS(1654),
    [aux_sym__keyword_is_token1] = ACTIONS(1652),
    [aux_sym__keyword_in_token1] = ACTIONS(1654),
    [aux_sym__keyword_and_token1] = ACTIONS(1652),
    [aux_sym__keyword_like_token1] = ACTIONS(1652),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1652),
    [aux_sym__keyword_for_token1] = ACTIONS(1652),
    [anon_sym_SEMI] = ACTIONS(1652),
    [aux_sym_declare_statement_token1] = ACTIONS(1652),
    [anon_sym_COMMA] = ACTIONS(1652),
    [aux_sym_set_statement_token1] = ACTIONS(1652),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1652),
    [aux_sym_return_satement_token1] = ACTIONS(1652),
    [aux_sym_call_statement_token1] = ACTIONS(1652),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1652),
    [aux_sym_if_statement_token1] = ACTIONS(1652),
    [aux_sym_loop_statement_token1] = ACTIONS(1652),
    [aux_sym_repeat_statement_token1] = ACTIONS(1652),
    [aux_sym_while_statement_token1] = ACTIONS(1652),
    [aux_sym_break_statement_token1] = ACTIONS(1652),
    [aux_sym_leave_statement_token1] = ACTIONS(1652),
    [aux_sym_continue_statement_token1] = ACTIONS(1652),
    [aux_sym_iterate_statement_token1] = ACTIONS(1652),
    [aux_sym_raise_statement_token1] = ACTIONS(1652),
    [anon_sym_EQ] = ACTIONS(1652),
    [aux_sym_assert_statement_token1] = ACTIONS(1652),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1652),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1652),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1652),
    [anon_sym_LT] = ACTIONS(1654),
    [anon_sym_GT] = ACTIONS(1654),
    [aux_sym_set_operation_token1] = ACTIONS(1652),
    [aux_sym_set_operation_token3] = ACTIONS(1652),
    [aux_sym_set_operation_token4] = ACTIONS(1654),
    [aux_sym_select_token1] = ACTIONS(1652),
    [aux_sym_limit_clause_token1] = ACTIONS(1652),
    [aux_sym__direction_keywords_token1] = ACTIONS(1652),
    [aux_sym__direction_keywords_token2] = ACTIONS(1652),
    [aux_sym__nulls_preference_token1] = ACTIONS(1652),
    [aux_sym_insert_statement_token1] = ACTIONS(1652),
    [aux_sym_truncate_statement_token1] = ACTIONS(1652),
    [aux_sym_update_statement_token1] = ACTIONS(1652),
    [aux_sym_merge_statement_token1] = ACTIONS(1652),
    [aux_sym_grant_statement_token1] = ACTIONS(1652),
    [aux_sym_revoke_statement_token1] = ACTIONS(1652),
    [aux_sym_export_data_statement_token1] = ACTIONS(1652),
    [aux_sym_load_data_statement_token1] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1652),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1652),
    [anon_sym_PLUS] = ACTIONS(1652),
    [anon_sym_DASH] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(1652),
    [anon_sym_SLASH] = ACTIONS(1654),
    [anon_sym_PIPE_PIPE] = ACTIONS(1652),
    [anon_sym_LT_EQ] = ACTIONS(1652),
    [anon_sym_LT_GT] = ACTIONS(1652),
    [anon_sym_GT_EQ] = ACTIONS(1652),
    [anon_sym_BANG_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT] = ACTIONS(1652),
    [anon_sym_GT_GT] = ACTIONS(1652),
    [anon_sym_AMP] = ACTIONS(1652),
    [anon_sym_CARET] = ACTIONS(1652),
    [anon_sym_PIPE] = ACTIONS(1654),
  },
  [3250] = {
    [sym_analytics_clause] = STATE(3418),
    [sym__unquoted_identifier] = ACTIONS(1432),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1432),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1432),
    [aux_sym_keyword_replace_token1] = ACTIONS(1432),
    [aux_sym__keyword_alter_token1] = ACTIONS(1432),
    [aux_sym__keyword_delete_token1] = ACTIONS(1432),
    [aux_sym__keyword_begin_token1] = ACTIONS(1432),
    [aux_sym__keyword_end_token1] = ACTIONS(1432),
    [aux_sym__keyword_between_token1] = ACTIONS(1432),
    [aux_sym__keyword_else_token1] = ACTIONS(1432),
    [aux_sym__keyword_is_token1] = ACTIONS(1432),
    [aux_sym__keyword_in_token1] = ACTIONS(1432),
    [aux_sym__keyword_and_token1] = ACTIONS(1432),
    [aux_sym__keyword_like_token1] = ACTIONS(1432),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1432),
    [aux_sym__keyword_as_token1] = ACTIONS(1432),
    [aux_sym__keyword_date_token1] = ACTIONS(1432),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1432),
    [aux_sym__keyword_time_token1] = ACTIONS(1432),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1432),
    [aux_sym__keyword_for_token1] = ACTIONS(1432),
    [anon_sym_SEMI] = ACTIONS(1430),
    [aux_sym_declare_statement_token1] = ACTIONS(1432),
    [anon_sym_COMMA] = ACTIONS(1430),
    [aux_sym_set_statement_token1] = ACTIONS(1432),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1432),
    [aux_sym_return_satement_token1] = ACTIONS(1432),
    [aux_sym_call_statement_token1] = ACTIONS(1432),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1432),
    [aux_sym_if_statement_token1] = ACTIONS(1432),
    [aux_sym_loop_statement_token1] = ACTIONS(1432),
    [aux_sym_repeat_statement_token1] = ACTIONS(1432),
    [aux_sym_while_statement_token1] = ACTIONS(1432),
    [aux_sym_break_statement_token1] = ACTIONS(1432),
    [aux_sym_leave_statement_token1] = ACTIONS(1432),
    [aux_sym_continue_statement_token1] = ACTIONS(1432),
    [aux_sym_iterate_statement_token1] = ACTIONS(1432),
    [aux_sym_raise_statement_token1] = ACTIONS(1432),
    [anon_sym_EQ] = ACTIONS(1430),
    [aux_sym_assert_statement_token1] = ACTIONS(1432),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1432),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1432),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [aux_sym_select_token1] = ACTIONS(1432),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1432),
    [aux_sym_truncate_statement_token1] = ACTIONS(1432),
    [aux_sym_update_statement_token1] = ACTIONS(1432),
    [aux_sym_merge_statement_token1] = ACTIONS(1432),
    [aux_sym_grant_statement_token1] = ACTIONS(1432),
    [aux_sym_revoke_statement_token1] = ACTIONS(1432),
    [aux_sym_export_data_statement_token1] = ACTIONS(1432),
    [aux_sym_load_data_statement_token1] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [sym__quoted_identifier] = ACTIONS(1430),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1432),
    [anon_sym_PIPE_PIPE] = ACTIONS(1430),
    [anon_sym_LT_EQ] = ACTIONS(1430),
    [anon_sym_LT_GT] = ACTIONS(1430),
    [anon_sym_GT_EQ] = ACTIONS(1430),
    [anon_sym_BANG_EQ] = ACTIONS(1430),
    [anon_sym_LT_LT] = ACTIONS(1430),
    [anon_sym_GT_GT] = ACTIONS(1430),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_PIPE] = ACTIONS(1432),
  },
  [3251] = {
    [sym_analytics_clause] = STATE(3419),
    [sym__unquoted_identifier] = ACTIONS(1428),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1428),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1428),
    [aux_sym_keyword_replace_token1] = ACTIONS(1428),
    [aux_sym__keyword_alter_token1] = ACTIONS(1428),
    [aux_sym__keyword_delete_token1] = ACTIONS(1428),
    [aux_sym__keyword_begin_token1] = ACTIONS(1428),
    [aux_sym__keyword_end_token1] = ACTIONS(1428),
    [aux_sym__keyword_between_token1] = ACTIONS(1428),
    [aux_sym__keyword_else_token1] = ACTIONS(1428),
    [aux_sym__keyword_is_token1] = ACTIONS(1428),
    [aux_sym__keyword_in_token1] = ACTIONS(1428),
    [aux_sym__keyword_and_token1] = ACTIONS(1428),
    [aux_sym__keyword_like_token1] = ACTIONS(1428),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1428),
    [aux_sym__keyword_as_token1] = ACTIONS(1428),
    [aux_sym__keyword_date_token1] = ACTIONS(1428),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1428),
    [aux_sym__keyword_time_token1] = ACTIONS(1428),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1428),
    [aux_sym__keyword_for_token1] = ACTIONS(1428),
    [anon_sym_SEMI] = ACTIONS(1426),
    [aux_sym_declare_statement_token1] = ACTIONS(1428),
    [anon_sym_COMMA] = ACTIONS(1426),
    [aux_sym_set_statement_token1] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(1426),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1428),
    [aux_sym_return_satement_token1] = ACTIONS(1428),
    [aux_sym_call_statement_token1] = ACTIONS(1428),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1428),
    [aux_sym_if_statement_token1] = ACTIONS(1428),
    [aux_sym_loop_statement_token1] = ACTIONS(1428),
    [aux_sym_repeat_statement_token1] = ACTIONS(1428),
    [aux_sym_while_statement_token1] = ACTIONS(1428),
    [aux_sym_break_statement_token1] = ACTIONS(1428),
    [aux_sym_leave_statement_token1] = ACTIONS(1428),
    [aux_sym_continue_statement_token1] = ACTIONS(1428),
    [aux_sym_iterate_statement_token1] = ACTIONS(1428),
    [aux_sym_raise_statement_token1] = ACTIONS(1428),
    [anon_sym_EQ] = ACTIONS(1426),
    [aux_sym_assert_statement_token1] = ACTIONS(1428),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1428),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1428),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1428),
    [anon_sym_LT] = ACTIONS(1428),
    [anon_sym_GT] = ACTIONS(1428),
    [aux_sym_select_token1] = ACTIONS(1428),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1428),
    [aux_sym_truncate_statement_token1] = ACTIONS(1428),
    [aux_sym_update_statement_token1] = ACTIONS(1428),
    [aux_sym_merge_statement_token1] = ACTIONS(1428),
    [aux_sym_grant_statement_token1] = ACTIONS(1428),
    [aux_sym_revoke_statement_token1] = ACTIONS(1428),
    [aux_sym_export_data_statement_token1] = ACTIONS(1428),
    [aux_sym_load_data_statement_token1] = ACTIONS(1428),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym__quoted_identifier] = ACTIONS(1426),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1426),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PIPE_PIPE] = ACTIONS(1426),
    [anon_sym_LT_EQ] = ACTIONS(1426),
    [anon_sym_LT_GT] = ACTIONS(1426),
    [anon_sym_GT_EQ] = ACTIONS(1426),
    [anon_sym_BANG_EQ] = ACTIONS(1426),
    [anon_sym_LT_LT] = ACTIONS(1426),
    [anon_sym_GT_GT] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_PIPE] = ACTIONS(1428),
  },
  [3252] = {
    [sym_analytics_clause] = STATE(3420),
    [sym__unquoted_identifier] = ACTIONS(1424),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1424),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1424),
    [aux_sym_keyword_replace_token1] = ACTIONS(1424),
    [aux_sym__keyword_alter_token1] = ACTIONS(1424),
    [aux_sym__keyword_delete_token1] = ACTIONS(1424),
    [aux_sym__keyword_begin_token1] = ACTIONS(1424),
    [aux_sym__keyword_end_token1] = ACTIONS(1424),
    [aux_sym__keyword_between_token1] = ACTIONS(1424),
    [aux_sym__keyword_else_token1] = ACTIONS(1424),
    [aux_sym__keyword_is_token1] = ACTIONS(1424),
    [aux_sym__keyword_in_token1] = ACTIONS(1424),
    [aux_sym__keyword_and_token1] = ACTIONS(1424),
    [aux_sym__keyword_like_token1] = ACTIONS(1424),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1424),
    [aux_sym__keyword_as_token1] = ACTIONS(1424),
    [aux_sym__keyword_date_token1] = ACTIONS(1424),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1424),
    [aux_sym__keyword_time_token1] = ACTIONS(1424),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1424),
    [aux_sym__keyword_for_token1] = ACTIONS(1424),
    [anon_sym_SEMI] = ACTIONS(1422),
    [aux_sym_declare_statement_token1] = ACTIONS(1424),
    [anon_sym_COMMA] = ACTIONS(1422),
    [aux_sym_set_statement_token1] = ACTIONS(1424),
    [anon_sym_LPAREN] = ACTIONS(1422),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1424),
    [aux_sym_return_satement_token1] = ACTIONS(1424),
    [aux_sym_call_statement_token1] = ACTIONS(1424),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1424),
    [aux_sym_if_statement_token1] = ACTIONS(1424),
    [aux_sym_loop_statement_token1] = ACTIONS(1424),
    [aux_sym_repeat_statement_token1] = ACTIONS(1424),
    [aux_sym_while_statement_token1] = ACTIONS(1424),
    [aux_sym_break_statement_token1] = ACTIONS(1424),
    [aux_sym_leave_statement_token1] = ACTIONS(1424),
    [aux_sym_continue_statement_token1] = ACTIONS(1424),
    [aux_sym_iterate_statement_token1] = ACTIONS(1424),
    [aux_sym_raise_statement_token1] = ACTIONS(1424),
    [anon_sym_EQ] = ACTIONS(1422),
    [aux_sym_assert_statement_token1] = ACTIONS(1424),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1424),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1424),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1424),
    [anon_sym_LT] = ACTIONS(1424),
    [anon_sym_GT] = ACTIONS(1424),
    [aux_sym_select_token1] = ACTIONS(1424),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1424),
    [aux_sym_truncate_statement_token1] = ACTIONS(1424),
    [aux_sym_update_statement_token1] = ACTIONS(1424),
    [aux_sym_merge_statement_token1] = ACTIONS(1424),
    [aux_sym_grant_statement_token1] = ACTIONS(1424),
    [aux_sym_revoke_statement_token1] = ACTIONS(1424),
    [aux_sym_export_data_statement_token1] = ACTIONS(1424),
    [aux_sym_load_data_statement_token1] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1422),
    [sym__quoted_identifier] = ACTIONS(1422),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1424),
    [anon_sym_STAR] = ACTIONS(1422),
    [anon_sym_SLASH] = ACTIONS(1424),
    [anon_sym_PIPE_PIPE] = ACTIONS(1422),
    [anon_sym_LT_EQ] = ACTIONS(1422),
    [anon_sym_LT_GT] = ACTIONS(1422),
    [anon_sym_GT_EQ] = ACTIONS(1422),
    [anon_sym_BANG_EQ] = ACTIONS(1422),
    [anon_sym_LT_LT] = ACTIONS(1422),
    [anon_sym_GT_GT] = ACTIONS(1422),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_CARET] = ACTIONS(1422),
    [anon_sym_PIPE] = ACTIONS(1424),
  },
  [3253] = {
    [sym_analytics_clause] = STATE(3421),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1420),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_end_token1] = ACTIONS(1420),
    [aux_sym__keyword_between_token1] = ACTIONS(1420),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1420),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1420),
    [aux_sym__keyword_like_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_repeat_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [3254] = {
    [sym_analytics_clause] = STATE(3422),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1420),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_end_token1] = ACTIONS(1420),
    [aux_sym__keyword_between_token1] = ACTIONS(1420),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1420),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1420),
    [aux_sym__keyword_like_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_repeat_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [3255] = {
    [sym_analytics_clause] = STATE(3423),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1420),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_end_token1] = ACTIONS(1420),
    [aux_sym__keyword_between_token1] = ACTIONS(1420),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1420),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1420),
    [aux_sym__keyword_like_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_repeat_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [3256] = {
    [sym_analytics_clause] = STATE(3424),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1420),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_end_token1] = ACTIONS(1420),
    [aux_sym__keyword_between_token1] = ACTIONS(1420),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1420),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1420),
    [aux_sym__keyword_like_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_repeat_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [3257] = {
    [sym_analytics_clause] = STATE(3426),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1420),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_end_token1] = ACTIONS(1420),
    [aux_sym__keyword_between_token1] = ACTIONS(1420),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1420),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1420),
    [aux_sym__keyword_like_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_repeat_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [3258] = {
    [sym_analytics_clause] = STATE(3427),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1420),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_end_token1] = ACTIONS(1420),
    [aux_sym__keyword_between_token1] = ACTIONS(1420),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1420),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1420),
    [aux_sym__keyword_like_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_repeat_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [3259] = {
    [ts_builtin_sym_end] = ACTIONS(1788),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1788),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1788),
    [aux_sym_keyword_replace_token1] = ACTIONS(1788),
    [aux_sym__keyword_alter_token1] = ACTIONS(1788),
    [aux_sym__keyword_delete_token1] = ACTIONS(1788),
    [aux_sym__keyword_begin_token1] = ACTIONS(1788),
    [aux_sym__keyword_end_token1] = ACTIONS(1788),
    [aux_sym__keyword_between_token1] = ACTIONS(1788),
    [aux_sym__keyword_when_token1] = ACTIONS(1788),
    [aux_sym__keyword_else_token1] = ACTIONS(1790),
    [aux_sym__keyword_is_token1] = ACTIONS(1788),
    [aux_sym__keyword_in_token1] = ACTIONS(1790),
    [aux_sym__keyword_and_token1] = ACTIONS(1788),
    [aux_sym__keyword_like_token1] = ACTIONS(1788),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1788),
    [aux_sym__keyword_for_token1] = ACTIONS(1788),
    [anon_sym_SEMI] = ACTIONS(1788),
    [aux_sym_declare_statement_token1] = ACTIONS(1788),
    [anon_sym_COMMA] = ACTIONS(1788),
    [aux_sym_set_statement_token1] = ACTIONS(1788),
    [anon_sym_LPAREN] = ACTIONS(1788),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1788),
    [aux_sym_return_satement_token1] = ACTIONS(1788),
    [aux_sym_call_statement_token1] = ACTIONS(1788),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1788),
    [aux_sym_if_statement_token1] = ACTIONS(1788),
    [aux_sym_loop_statement_token1] = ACTIONS(1788),
    [aux_sym_repeat_statement_token1] = ACTIONS(1788),
    [aux_sym_while_statement_token1] = ACTIONS(1788),
    [aux_sym_break_statement_token1] = ACTIONS(1788),
    [aux_sym_leave_statement_token1] = ACTIONS(1788),
    [aux_sym_continue_statement_token1] = ACTIONS(1788),
    [aux_sym_iterate_statement_token1] = ACTIONS(1788),
    [aux_sym_raise_statement_token1] = ACTIONS(1788),
    [anon_sym_EQ] = ACTIONS(1788),
    [aux_sym_assert_statement_token1] = ACTIONS(1788),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1788),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1788),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1788),
    [anon_sym_LT] = ACTIONS(1790),
    [anon_sym_GT] = ACTIONS(1790),
    [aux_sym_set_operation_token1] = ACTIONS(1788),
    [aux_sym_set_operation_token3] = ACTIONS(1788),
    [aux_sym_set_operation_token4] = ACTIONS(1790),
    [aux_sym_select_token1] = ACTIONS(1788),
    [aux_sym_limit_clause_token1] = ACTIONS(1788),
    [aux_sym__direction_keywords_token1] = ACTIONS(1788),
    [aux_sym__direction_keywords_token2] = ACTIONS(1788),
    [aux_sym__nulls_preference_token1] = ACTIONS(1788),
    [aux_sym_insert_statement_token1] = ACTIONS(1788),
    [aux_sym_truncate_statement_token1] = ACTIONS(1788),
    [aux_sym_update_statement_token1] = ACTIONS(1788),
    [aux_sym_merge_statement_token1] = ACTIONS(1788),
    [aux_sym_grant_statement_token1] = ACTIONS(1788),
    [aux_sym_revoke_statement_token1] = ACTIONS(1788),
    [aux_sym_export_data_statement_token1] = ACTIONS(1788),
    [aux_sym_load_data_statement_token1] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1788),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1788),
    [anon_sym_PLUS] = ACTIONS(1788),
    [anon_sym_DASH] = ACTIONS(1790),
    [anon_sym_STAR] = ACTIONS(1788),
    [anon_sym_SLASH] = ACTIONS(1790),
    [anon_sym_PIPE_PIPE] = ACTIONS(1788),
    [anon_sym_LT_EQ] = ACTIONS(1788),
    [anon_sym_LT_GT] = ACTIONS(1788),
    [anon_sym_GT_EQ] = ACTIONS(1788),
    [anon_sym_BANG_EQ] = ACTIONS(1788),
    [anon_sym_LT_LT] = ACTIONS(1788),
    [anon_sym_GT_GT] = ACTIONS(1788),
    [anon_sym_AMP] = ACTIONS(1788),
    [anon_sym_CARET] = ACTIONS(1788),
    [anon_sym_PIPE] = ACTIONS(1790),
  },
  [3260] = {
    [sym_analytics_clause] = STATE(3469),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [3261] = {
    [ts_builtin_sym_end] = ACTIONS(1636),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1636),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1636),
    [aux_sym_keyword_replace_token1] = ACTIONS(1636),
    [aux_sym__keyword_alter_token1] = ACTIONS(1636),
    [aux_sym__keyword_delete_token1] = ACTIONS(1636),
    [aux_sym__keyword_begin_token1] = ACTIONS(1636),
    [aux_sym__keyword_end_token1] = ACTIONS(1636),
    [aux_sym__keyword_between_token1] = ACTIONS(1636),
    [aux_sym__keyword_when_token1] = ACTIONS(1636),
    [aux_sym__keyword_else_token1] = ACTIONS(1638),
    [aux_sym__keyword_is_token1] = ACTIONS(1636),
    [aux_sym__keyword_in_token1] = ACTIONS(1638),
    [aux_sym__keyword_and_token1] = ACTIONS(1636),
    [aux_sym__keyword_like_token1] = ACTIONS(1636),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1636),
    [aux_sym__keyword_for_token1] = ACTIONS(1636),
    [anon_sym_SEMI] = ACTIONS(1636),
    [aux_sym_declare_statement_token1] = ACTIONS(1636),
    [anon_sym_COMMA] = ACTIONS(1636),
    [aux_sym_set_statement_token1] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1636),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1636),
    [aux_sym_return_satement_token1] = ACTIONS(1636),
    [aux_sym_call_statement_token1] = ACTIONS(1636),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1636),
    [aux_sym_if_statement_token1] = ACTIONS(1636),
    [aux_sym_loop_statement_token1] = ACTIONS(1636),
    [aux_sym_repeat_statement_token1] = ACTIONS(1636),
    [aux_sym_while_statement_token1] = ACTIONS(1636),
    [aux_sym_break_statement_token1] = ACTIONS(1636),
    [aux_sym_leave_statement_token1] = ACTIONS(1636),
    [aux_sym_continue_statement_token1] = ACTIONS(1636),
    [aux_sym_iterate_statement_token1] = ACTIONS(1636),
    [aux_sym_raise_statement_token1] = ACTIONS(1636),
    [anon_sym_EQ] = ACTIONS(1636),
    [aux_sym_assert_statement_token1] = ACTIONS(1636),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1636),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1636),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1636),
    [anon_sym_LT] = ACTIONS(1638),
    [anon_sym_GT] = ACTIONS(1638),
    [aux_sym_set_operation_token1] = ACTIONS(1636),
    [aux_sym_set_operation_token3] = ACTIONS(1636),
    [aux_sym_set_operation_token4] = ACTIONS(1638),
    [aux_sym_select_token1] = ACTIONS(1636),
    [aux_sym_limit_clause_token1] = ACTIONS(1636),
    [aux_sym__direction_keywords_token1] = ACTIONS(1636),
    [aux_sym__direction_keywords_token2] = ACTIONS(1636),
    [aux_sym__nulls_preference_token1] = ACTIONS(1636),
    [aux_sym_insert_statement_token1] = ACTIONS(1636),
    [aux_sym_truncate_statement_token1] = ACTIONS(1636),
    [aux_sym_update_statement_token1] = ACTIONS(1636),
    [aux_sym_merge_statement_token1] = ACTIONS(1636),
    [aux_sym_grant_statement_token1] = ACTIONS(1636),
    [aux_sym_revoke_statement_token1] = ACTIONS(1636),
    [aux_sym_export_data_statement_token1] = ACTIONS(1636),
    [aux_sym_load_data_statement_token1] = ACTIONS(1636),
    [anon_sym_LBRACK] = ACTIONS(1636),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1636),
    [anon_sym_PLUS] = ACTIONS(1636),
    [anon_sym_DASH] = ACTIONS(1638),
    [anon_sym_STAR] = ACTIONS(1636),
    [anon_sym_SLASH] = ACTIONS(1638),
    [anon_sym_PIPE_PIPE] = ACTIONS(1636),
    [anon_sym_LT_EQ] = ACTIONS(1636),
    [anon_sym_LT_GT] = ACTIONS(1636),
    [anon_sym_GT_EQ] = ACTIONS(1636),
    [anon_sym_BANG_EQ] = ACTIONS(1636),
    [anon_sym_LT_LT] = ACTIONS(1636),
    [anon_sym_GT_GT] = ACTIONS(1636),
    [anon_sym_AMP] = ACTIONS(1636),
    [anon_sym_CARET] = ACTIONS(1636),
    [anon_sym_PIPE] = ACTIONS(1638),
  },
  [3262] = {
    [ts_builtin_sym_end] = ACTIONS(1644),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1644),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1644),
    [aux_sym_keyword_replace_token1] = ACTIONS(1644),
    [aux_sym__keyword_alter_token1] = ACTIONS(1644),
    [aux_sym__keyword_delete_token1] = ACTIONS(1644),
    [aux_sym__keyword_begin_token1] = ACTIONS(1644),
    [aux_sym__keyword_end_token1] = ACTIONS(1644),
    [aux_sym__keyword_between_token1] = ACTIONS(1644),
    [aux_sym__keyword_when_token1] = ACTIONS(1644),
    [aux_sym__keyword_else_token1] = ACTIONS(1646),
    [aux_sym__keyword_is_token1] = ACTIONS(1644),
    [aux_sym__keyword_in_token1] = ACTIONS(1646),
    [aux_sym__keyword_and_token1] = ACTIONS(1644),
    [aux_sym__keyword_like_token1] = ACTIONS(1644),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1644),
    [aux_sym__keyword_for_token1] = ACTIONS(1644),
    [anon_sym_SEMI] = ACTIONS(1644),
    [aux_sym_declare_statement_token1] = ACTIONS(1644),
    [anon_sym_COMMA] = ACTIONS(1644),
    [aux_sym_set_statement_token1] = ACTIONS(1644),
    [anon_sym_LPAREN] = ACTIONS(1644),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1644),
    [aux_sym_return_satement_token1] = ACTIONS(1644),
    [aux_sym_call_statement_token1] = ACTIONS(1644),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1644),
    [aux_sym_if_statement_token1] = ACTIONS(1644),
    [aux_sym_loop_statement_token1] = ACTIONS(1644),
    [aux_sym_repeat_statement_token1] = ACTIONS(1644),
    [aux_sym_while_statement_token1] = ACTIONS(1644),
    [aux_sym_break_statement_token1] = ACTIONS(1644),
    [aux_sym_leave_statement_token1] = ACTIONS(1644),
    [aux_sym_continue_statement_token1] = ACTIONS(1644),
    [aux_sym_iterate_statement_token1] = ACTIONS(1644),
    [aux_sym_raise_statement_token1] = ACTIONS(1644),
    [anon_sym_EQ] = ACTIONS(1644),
    [aux_sym_assert_statement_token1] = ACTIONS(1644),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1644),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1644),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1644),
    [anon_sym_LT] = ACTIONS(1646),
    [anon_sym_GT] = ACTIONS(1646),
    [aux_sym_set_operation_token1] = ACTIONS(1644),
    [aux_sym_set_operation_token3] = ACTIONS(1644),
    [aux_sym_set_operation_token4] = ACTIONS(1646),
    [aux_sym_select_token1] = ACTIONS(1644),
    [aux_sym_limit_clause_token1] = ACTIONS(1644),
    [aux_sym__direction_keywords_token1] = ACTIONS(1644),
    [aux_sym__direction_keywords_token2] = ACTIONS(1644),
    [aux_sym__nulls_preference_token1] = ACTIONS(1644),
    [aux_sym_insert_statement_token1] = ACTIONS(1644),
    [aux_sym_truncate_statement_token1] = ACTIONS(1644),
    [aux_sym_update_statement_token1] = ACTIONS(1644),
    [aux_sym_merge_statement_token1] = ACTIONS(1644),
    [aux_sym_grant_statement_token1] = ACTIONS(1644),
    [aux_sym_revoke_statement_token1] = ACTIONS(1644),
    [aux_sym_export_data_statement_token1] = ACTIONS(1644),
    [aux_sym_load_data_statement_token1] = ACTIONS(1644),
    [anon_sym_LBRACK] = ACTIONS(1644),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1644),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1646),
    [anon_sym_STAR] = ACTIONS(1644),
    [anon_sym_SLASH] = ACTIONS(1646),
    [anon_sym_PIPE_PIPE] = ACTIONS(1644),
    [anon_sym_LT_EQ] = ACTIONS(1644),
    [anon_sym_LT_GT] = ACTIONS(1644),
    [anon_sym_GT_EQ] = ACTIONS(1644),
    [anon_sym_BANG_EQ] = ACTIONS(1644),
    [anon_sym_LT_LT] = ACTIONS(1644),
    [anon_sym_GT_GT] = ACTIONS(1644),
    [anon_sym_AMP] = ACTIONS(1644),
    [anon_sym_CARET] = ACTIONS(1644),
    [anon_sym_PIPE] = ACTIONS(1646),
  },
  [3263] = {
    [ts_builtin_sym_end] = ACTIONS(1640),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1640),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1640),
    [aux_sym_keyword_replace_token1] = ACTIONS(1640),
    [aux_sym__keyword_alter_token1] = ACTIONS(1640),
    [aux_sym__keyword_delete_token1] = ACTIONS(1640),
    [aux_sym__keyword_begin_token1] = ACTIONS(1640),
    [aux_sym__keyword_end_token1] = ACTIONS(1640),
    [aux_sym__keyword_between_token1] = ACTIONS(1640),
    [aux_sym__keyword_when_token1] = ACTIONS(1640),
    [aux_sym__keyword_else_token1] = ACTIONS(1642),
    [aux_sym__keyword_is_token1] = ACTIONS(1640),
    [aux_sym__keyword_in_token1] = ACTIONS(1642),
    [aux_sym__keyword_and_token1] = ACTIONS(1640),
    [aux_sym__keyword_like_token1] = ACTIONS(1640),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1640),
    [aux_sym__keyword_for_token1] = ACTIONS(1640),
    [anon_sym_SEMI] = ACTIONS(1640),
    [aux_sym_declare_statement_token1] = ACTIONS(1640),
    [anon_sym_COMMA] = ACTIONS(1640),
    [aux_sym_set_statement_token1] = ACTIONS(1640),
    [anon_sym_LPAREN] = ACTIONS(1640),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1640),
    [aux_sym_return_satement_token1] = ACTIONS(1640),
    [aux_sym_call_statement_token1] = ACTIONS(1640),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1640),
    [aux_sym_if_statement_token1] = ACTIONS(1640),
    [aux_sym_loop_statement_token1] = ACTIONS(1640),
    [aux_sym_repeat_statement_token1] = ACTIONS(1640),
    [aux_sym_while_statement_token1] = ACTIONS(1640),
    [aux_sym_break_statement_token1] = ACTIONS(1640),
    [aux_sym_leave_statement_token1] = ACTIONS(1640),
    [aux_sym_continue_statement_token1] = ACTIONS(1640),
    [aux_sym_iterate_statement_token1] = ACTIONS(1640),
    [aux_sym_raise_statement_token1] = ACTIONS(1640),
    [anon_sym_EQ] = ACTIONS(1640),
    [aux_sym_assert_statement_token1] = ACTIONS(1640),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1640),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1640),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1640),
    [anon_sym_LT] = ACTIONS(1642),
    [anon_sym_GT] = ACTIONS(1642),
    [aux_sym_set_operation_token1] = ACTIONS(1640),
    [aux_sym_set_operation_token3] = ACTIONS(1640),
    [aux_sym_set_operation_token4] = ACTIONS(1642),
    [aux_sym_select_token1] = ACTIONS(1640),
    [aux_sym_limit_clause_token1] = ACTIONS(1640),
    [aux_sym__direction_keywords_token1] = ACTIONS(1640),
    [aux_sym__direction_keywords_token2] = ACTIONS(1640),
    [aux_sym__nulls_preference_token1] = ACTIONS(1640),
    [aux_sym_insert_statement_token1] = ACTIONS(1640),
    [aux_sym_truncate_statement_token1] = ACTIONS(1640),
    [aux_sym_update_statement_token1] = ACTIONS(1640),
    [aux_sym_merge_statement_token1] = ACTIONS(1640),
    [aux_sym_grant_statement_token1] = ACTIONS(1640),
    [aux_sym_revoke_statement_token1] = ACTIONS(1640),
    [aux_sym_export_data_statement_token1] = ACTIONS(1640),
    [aux_sym_load_data_statement_token1] = ACTIONS(1640),
    [anon_sym_LBRACK] = ACTIONS(1640),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1640),
    [anon_sym_PLUS] = ACTIONS(1640),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1640),
    [anon_sym_SLASH] = ACTIONS(1642),
    [anon_sym_PIPE_PIPE] = ACTIONS(1640),
    [anon_sym_LT_EQ] = ACTIONS(1640),
    [anon_sym_LT_GT] = ACTIONS(1640),
    [anon_sym_GT_EQ] = ACTIONS(1640),
    [anon_sym_BANG_EQ] = ACTIONS(1640),
    [anon_sym_LT_LT] = ACTIONS(1640),
    [anon_sym_GT_GT] = ACTIONS(1640),
    [anon_sym_AMP] = ACTIONS(1640),
    [anon_sym_CARET] = ACTIONS(1640),
    [anon_sym_PIPE] = ACTIONS(1642),
  },
  [3264] = {
    [sym_analytics_clause] = STATE(3428),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1420),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_end_token1] = ACTIONS(1420),
    [aux_sym__keyword_between_token1] = ACTIONS(1420),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1420),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1420),
    [aux_sym__keyword_like_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_repeat_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [3265] = {
    [sym_analytics_clause] = STATE(3429),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1420),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_end_token1] = ACTIONS(1420),
    [aux_sym__keyword_between_token1] = ACTIONS(1420),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1420),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1420),
    [aux_sym__keyword_like_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_repeat_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [3266] = {
    [sym_analytics_clause] = STATE(3430),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1420),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_end_token1] = ACTIONS(1420),
    [aux_sym__keyword_between_token1] = ACTIONS(1420),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1420),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1420),
    [aux_sym__keyword_like_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_repeat_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [3267] = {
    [sym_analytics_clause] = STATE(3431),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1420),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_end_token1] = ACTIONS(1420),
    [aux_sym__keyword_between_token1] = ACTIONS(1420),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1420),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1420),
    [aux_sym__keyword_like_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_repeat_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [3268] = {
    [sym_analytics_clause] = STATE(3432),
    [sym__unquoted_identifier] = ACTIONS(1416),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1416),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1416),
    [aux_sym_keyword_replace_token1] = ACTIONS(1416),
    [aux_sym__keyword_alter_token1] = ACTIONS(1416),
    [aux_sym__keyword_delete_token1] = ACTIONS(1416),
    [aux_sym__keyword_begin_token1] = ACTIONS(1416),
    [aux_sym__keyword_end_token1] = ACTIONS(1416),
    [aux_sym__keyword_between_token1] = ACTIONS(1416),
    [aux_sym__keyword_else_token1] = ACTIONS(1416),
    [aux_sym__keyword_is_token1] = ACTIONS(1416),
    [aux_sym__keyword_in_token1] = ACTIONS(1416),
    [aux_sym__keyword_and_token1] = ACTIONS(1416),
    [aux_sym__keyword_like_token1] = ACTIONS(1416),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1416),
    [aux_sym__keyword_as_token1] = ACTIONS(1416),
    [aux_sym__keyword_date_token1] = ACTIONS(1416),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1416),
    [aux_sym__keyword_time_token1] = ACTIONS(1416),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1416),
    [aux_sym__keyword_for_token1] = ACTIONS(1416),
    [anon_sym_SEMI] = ACTIONS(1414),
    [aux_sym_declare_statement_token1] = ACTIONS(1416),
    [anon_sym_COMMA] = ACTIONS(1414),
    [aux_sym_set_statement_token1] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1416),
    [aux_sym_return_satement_token1] = ACTIONS(1416),
    [aux_sym_call_statement_token1] = ACTIONS(1416),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1416),
    [aux_sym_if_statement_token1] = ACTIONS(1416),
    [aux_sym_loop_statement_token1] = ACTIONS(1416),
    [aux_sym_repeat_statement_token1] = ACTIONS(1416),
    [aux_sym_while_statement_token1] = ACTIONS(1416),
    [aux_sym_break_statement_token1] = ACTIONS(1416),
    [aux_sym_leave_statement_token1] = ACTIONS(1416),
    [aux_sym_continue_statement_token1] = ACTIONS(1416),
    [aux_sym_iterate_statement_token1] = ACTIONS(1416),
    [aux_sym_raise_statement_token1] = ACTIONS(1416),
    [anon_sym_EQ] = ACTIONS(1414),
    [aux_sym_assert_statement_token1] = ACTIONS(1416),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1416),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1416),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1416),
    [anon_sym_LT] = ACTIONS(1416),
    [anon_sym_GT] = ACTIONS(1416),
    [aux_sym_select_token1] = ACTIONS(1416),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1416),
    [aux_sym_truncate_statement_token1] = ACTIONS(1416),
    [aux_sym_update_statement_token1] = ACTIONS(1416),
    [aux_sym_merge_statement_token1] = ACTIONS(1416),
    [aux_sym_grant_statement_token1] = ACTIONS(1416),
    [aux_sym_revoke_statement_token1] = ACTIONS(1416),
    [aux_sym_export_data_statement_token1] = ACTIONS(1416),
    [aux_sym_load_data_statement_token1] = ACTIONS(1416),
    [anon_sym_LBRACK] = ACTIONS(1414),
    [sym__quoted_identifier] = ACTIONS(1414),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_SLASH] = ACTIONS(1416),
    [anon_sym_PIPE_PIPE] = ACTIONS(1414),
    [anon_sym_LT_EQ] = ACTIONS(1414),
    [anon_sym_LT_GT] = ACTIONS(1414),
    [anon_sym_GT_EQ] = ACTIONS(1414),
    [anon_sym_BANG_EQ] = ACTIONS(1414),
    [anon_sym_LT_LT] = ACTIONS(1414),
    [anon_sym_GT_GT] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_CARET] = ACTIONS(1414),
    [anon_sym_PIPE] = ACTIONS(1416),
  },
  [3269] = {
    [sym_analytics_clause] = STATE(3433),
    [sym__unquoted_identifier] = ACTIONS(1412),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1412),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1412),
    [aux_sym_keyword_replace_token1] = ACTIONS(1412),
    [aux_sym__keyword_alter_token1] = ACTIONS(1412),
    [aux_sym__keyword_delete_token1] = ACTIONS(1412),
    [aux_sym__keyword_begin_token1] = ACTIONS(1412),
    [aux_sym__keyword_end_token1] = ACTIONS(1412),
    [aux_sym__keyword_between_token1] = ACTIONS(1412),
    [aux_sym__keyword_else_token1] = ACTIONS(1412),
    [aux_sym__keyword_is_token1] = ACTIONS(1412),
    [aux_sym__keyword_in_token1] = ACTIONS(1412),
    [aux_sym__keyword_and_token1] = ACTIONS(1412),
    [aux_sym__keyword_like_token1] = ACTIONS(1412),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1412),
    [aux_sym__keyword_as_token1] = ACTIONS(1412),
    [aux_sym__keyword_date_token1] = ACTIONS(1412),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1412),
    [aux_sym__keyword_time_token1] = ACTIONS(1412),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1412),
    [aux_sym__keyword_for_token1] = ACTIONS(1412),
    [anon_sym_SEMI] = ACTIONS(1410),
    [aux_sym_declare_statement_token1] = ACTIONS(1412),
    [anon_sym_COMMA] = ACTIONS(1410),
    [aux_sym_set_statement_token1] = ACTIONS(1412),
    [anon_sym_LPAREN] = ACTIONS(1410),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1412),
    [aux_sym_return_satement_token1] = ACTIONS(1412),
    [aux_sym_call_statement_token1] = ACTIONS(1412),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1412),
    [aux_sym_if_statement_token1] = ACTIONS(1412),
    [aux_sym_loop_statement_token1] = ACTIONS(1412),
    [aux_sym_repeat_statement_token1] = ACTIONS(1412),
    [aux_sym_while_statement_token1] = ACTIONS(1412),
    [aux_sym_break_statement_token1] = ACTIONS(1412),
    [aux_sym_leave_statement_token1] = ACTIONS(1412),
    [aux_sym_continue_statement_token1] = ACTIONS(1412),
    [aux_sym_iterate_statement_token1] = ACTIONS(1412),
    [aux_sym_raise_statement_token1] = ACTIONS(1412),
    [anon_sym_EQ] = ACTIONS(1410),
    [aux_sym_assert_statement_token1] = ACTIONS(1412),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1412),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1412),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1412),
    [anon_sym_LT] = ACTIONS(1412),
    [anon_sym_GT] = ACTIONS(1412),
    [aux_sym_select_token1] = ACTIONS(1412),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1412),
    [aux_sym_truncate_statement_token1] = ACTIONS(1412),
    [aux_sym_update_statement_token1] = ACTIONS(1412),
    [aux_sym_merge_statement_token1] = ACTIONS(1412),
    [aux_sym_grant_statement_token1] = ACTIONS(1412),
    [aux_sym_revoke_statement_token1] = ACTIONS(1412),
    [aux_sym_export_data_statement_token1] = ACTIONS(1412),
    [aux_sym_load_data_statement_token1] = ACTIONS(1412),
    [anon_sym_LBRACK] = ACTIONS(1410),
    [sym__quoted_identifier] = ACTIONS(1410),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_STAR] = ACTIONS(1410),
    [anon_sym_SLASH] = ACTIONS(1412),
    [anon_sym_PIPE_PIPE] = ACTIONS(1410),
    [anon_sym_LT_EQ] = ACTIONS(1410),
    [anon_sym_LT_GT] = ACTIONS(1410),
    [anon_sym_GT_EQ] = ACTIONS(1410),
    [anon_sym_BANG_EQ] = ACTIONS(1410),
    [anon_sym_LT_LT] = ACTIONS(1410),
    [anon_sym_GT_GT] = ACTIONS(1410),
    [anon_sym_AMP] = ACTIONS(1410),
    [anon_sym_CARET] = ACTIONS(1410),
    [anon_sym_PIPE] = ACTIONS(1412),
  },
  [3270] = {
    [sym_analytics_clause] = STATE(3434),
    [sym__unquoted_identifier] = ACTIONS(1408),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1408),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1408),
    [aux_sym_keyword_replace_token1] = ACTIONS(1408),
    [aux_sym__keyword_alter_token1] = ACTIONS(1408),
    [aux_sym__keyword_delete_token1] = ACTIONS(1408),
    [aux_sym__keyword_begin_token1] = ACTIONS(1408),
    [aux_sym__keyword_end_token1] = ACTIONS(1408),
    [aux_sym__keyword_between_token1] = ACTIONS(1408),
    [aux_sym__keyword_else_token1] = ACTIONS(1408),
    [aux_sym__keyword_is_token1] = ACTIONS(1408),
    [aux_sym__keyword_in_token1] = ACTIONS(1408),
    [aux_sym__keyword_and_token1] = ACTIONS(1408),
    [aux_sym__keyword_like_token1] = ACTIONS(1408),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1408),
    [aux_sym__keyword_as_token1] = ACTIONS(1408),
    [aux_sym__keyword_date_token1] = ACTIONS(1408),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1408),
    [aux_sym__keyword_time_token1] = ACTIONS(1408),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1408),
    [aux_sym__keyword_for_token1] = ACTIONS(1408),
    [anon_sym_SEMI] = ACTIONS(1406),
    [aux_sym_declare_statement_token1] = ACTIONS(1408),
    [anon_sym_COMMA] = ACTIONS(1406),
    [aux_sym_set_statement_token1] = ACTIONS(1408),
    [anon_sym_LPAREN] = ACTIONS(1406),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1408),
    [aux_sym_return_satement_token1] = ACTIONS(1408),
    [aux_sym_call_statement_token1] = ACTIONS(1408),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1408),
    [aux_sym_if_statement_token1] = ACTIONS(1408),
    [aux_sym_loop_statement_token1] = ACTIONS(1408),
    [aux_sym_repeat_statement_token1] = ACTIONS(1408),
    [aux_sym_while_statement_token1] = ACTIONS(1408),
    [aux_sym_break_statement_token1] = ACTIONS(1408),
    [aux_sym_leave_statement_token1] = ACTIONS(1408),
    [aux_sym_continue_statement_token1] = ACTIONS(1408),
    [aux_sym_iterate_statement_token1] = ACTIONS(1408),
    [aux_sym_raise_statement_token1] = ACTIONS(1408),
    [anon_sym_EQ] = ACTIONS(1406),
    [aux_sym_assert_statement_token1] = ACTIONS(1408),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1408),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1408),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1408),
    [anon_sym_LT] = ACTIONS(1408),
    [anon_sym_GT] = ACTIONS(1408),
    [aux_sym_select_token1] = ACTIONS(1408),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1408),
    [aux_sym_truncate_statement_token1] = ACTIONS(1408),
    [aux_sym_update_statement_token1] = ACTIONS(1408),
    [aux_sym_merge_statement_token1] = ACTIONS(1408),
    [aux_sym_grant_statement_token1] = ACTIONS(1408),
    [aux_sym_revoke_statement_token1] = ACTIONS(1408),
    [aux_sym_export_data_statement_token1] = ACTIONS(1408),
    [aux_sym_load_data_statement_token1] = ACTIONS(1408),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym__quoted_identifier] = ACTIONS(1406),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_DASH] = ACTIONS(1408),
    [anon_sym_STAR] = ACTIONS(1406),
    [anon_sym_SLASH] = ACTIONS(1408),
    [anon_sym_PIPE_PIPE] = ACTIONS(1406),
    [anon_sym_LT_EQ] = ACTIONS(1406),
    [anon_sym_LT_GT] = ACTIONS(1406),
    [anon_sym_GT_EQ] = ACTIONS(1406),
    [anon_sym_BANG_EQ] = ACTIONS(1406),
    [anon_sym_LT_LT] = ACTIONS(1406),
    [anon_sym_GT_GT] = ACTIONS(1406),
    [anon_sym_AMP] = ACTIONS(1406),
    [anon_sym_CARET] = ACTIONS(1406),
    [anon_sym_PIPE] = ACTIONS(1408),
  },
  [3271] = {
    [sym_analytics_clause] = STATE(3435),
    [sym__unquoted_identifier] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1400),
    [aux_sym_keyword_replace_token1] = ACTIONS(1400),
    [aux_sym__keyword_alter_token1] = ACTIONS(1400),
    [aux_sym__keyword_delete_token1] = ACTIONS(1400),
    [aux_sym__keyword_begin_token1] = ACTIONS(1400),
    [aux_sym__keyword_end_token1] = ACTIONS(1400),
    [aux_sym__keyword_between_token1] = ACTIONS(1400),
    [aux_sym__keyword_else_token1] = ACTIONS(1400),
    [aux_sym__keyword_is_token1] = ACTIONS(1400),
    [aux_sym__keyword_in_token1] = ACTIONS(1400),
    [aux_sym__keyword_and_token1] = ACTIONS(1400),
    [aux_sym__keyword_like_token1] = ACTIONS(1400),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1400),
    [aux_sym__keyword_as_token1] = ACTIONS(1400),
    [aux_sym__keyword_date_token1] = ACTIONS(1400),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1400),
    [aux_sym__keyword_time_token1] = ACTIONS(1400),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1400),
    [aux_sym__keyword_for_token1] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1400),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1400),
    [aux_sym_return_satement_token1] = ACTIONS(1400),
    [aux_sym_call_statement_token1] = ACTIONS(1400),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1400),
    [aux_sym_if_statement_token1] = ACTIONS(1400),
    [aux_sym_loop_statement_token1] = ACTIONS(1400),
    [aux_sym_repeat_statement_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token1] = ACTIONS(1400),
    [aux_sym_break_statement_token1] = ACTIONS(1400),
    [aux_sym_leave_statement_token1] = ACTIONS(1400),
    [aux_sym_continue_statement_token1] = ACTIONS(1400),
    [aux_sym_iterate_statement_token1] = ACTIONS(1400),
    [aux_sym_raise_statement_token1] = ACTIONS(1400),
    [anon_sym_EQ] = ACTIONS(1398),
    [aux_sym_assert_statement_token1] = ACTIONS(1400),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1400),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1400),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1400),
    [aux_sym_truncate_statement_token1] = ACTIONS(1400),
    [aux_sym_update_statement_token1] = ACTIONS(1400),
    [aux_sym_merge_statement_token1] = ACTIONS(1400),
    [aux_sym_grant_statement_token1] = ACTIONS(1400),
    [aux_sym_revoke_statement_token1] = ACTIONS(1400),
    [aux_sym_export_data_statement_token1] = ACTIONS(1400),
    [aux_sym_load_data_statement_token1] = ACTIONS(1400),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym__quoted_identifier] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_LT_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
  },
  [3272] = {
    [sym_analytics_clause] = STATE(3436),
    [sym__unquoted_identifier] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1400),
    [aux_sym_keyword_replace_token1] = ACTIONS(1400),
    [aux_sym__keyword_alter_token1] = ACTIONS(1400),
    [aux_sym__keyword_delete_token1] = ACTIONS(1400),
    [aux_sym__keyword_begin_token1] = ACTIONS(1400),
    [aux_sym__keyword_end_token1] = ACTIONS(1400),
    [aux_sym__keyword_between_token1] = ACTIONS(1400),
    [aux_sym__keyword_else_token1] = ACTIONS(1400),
    [aux_sym__keyword_is_token1] = ACTIONS(1400),
    [aux_sym__keyword_in_token1] = ACTIONS(1400),
    [aux_sym__keyword_and_token1] = ACTIONS(1400),
    [aux_sym__keyword_like_token1] = ACTIONS(1400),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1400),
    [aux_sym__keyword_as_token1] = ACTIONS(1400),
    [aux_sym__keyword_date_token1] = ACTIONS(1400),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1400),
    [aux_sym__keyword_time_token1] = ACTIONS(1400),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1400),
    [aux_sym__keyword_for_token1] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1400),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1400),
    [aux_sym_return_satement_token1] = ACTIONS(1400),
    [aux_sym_call_statement_token1] = ACTIONS(1400),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1400),
    [aux_sym_if_statement_token1] = ACTIONS(1400),
    [aux_sym_loop_statement_token1] = ACTIONS(1400),
    [aux_sym_repeat_statement_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token1] = ACTIONS(1400),
    [aux_sym_break_statement_token1] = ACTIONS(1400),
    [aux_sym_leave_statement_token1] = ACTIONS(1400),
    [aux_sym_continue_statement_token1] = ACTIONS(1400),
    [aux_sym_iterate_statement_token1] = ACTIONS(1400),
    [aux_sym_raise_statement_token1] = ACTIONS(1400),
    [anon_sym_EQ] = ACTIONS(1398),
    [aux_sym_assert_statement_token1] = ACTIONS(1400),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1400),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1400),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1400),
    [aux_sym_truncate_statement_token1] = ACTIONS(1400),
    [aux_sym_update_statement_token1] = ACTIONS(1400),
    [aux_sym_merge_statement_token1] = ACTIONS(1400),
    [aux_sym_grant_statement_token1] = ACTIONS(1400),
    [aux_sym_revoke_statement_token1] = ACTIONS(1400),
    [aux_sym_export_data_statement_token1] = ACTIONS(1400),
    [aux_sym_load_data_statement_token1] = ACTIONS(1400),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym__quoted_identifier] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_LT_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
  },
  [3273] = {
    [sym_analytics_clause] = STATE(3437),
    [sym__unquoted_identifier] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1400),
    [aux_sym_keyword_replace_token1] = ACTIONS(1400),
    [aux_sym__keyword_alter_token1] = ACTIONS(1400),
    [aux_sym__keyword_delete_token1] = ACTIONS(1400),
    [aux_sym__keyword_begin_token1] = ACTIONS(1400),
    [aux_sym__keyword_end_token1] = ACTIONS(1400),
    [aux_sym__keyword_between_token1] = ACTIONS(1400),
    [aux_sym__keyword_else_token1] = ACTIONS(1400),
    [aux_sym__keyword_is_token1] = ACTIONS(1400),
    [aux_sym__keyword_in_token1] = ACTIONS(1400),
    [aux_sym__keyword_and_token1] = ACTIONS(1400),
    [aux_sym__keyword_like_token1] = ACTIONS(1400),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1400),
    [aux_sym__keyword_as_token1] = ACTIONS(1400),
    [aux_sym__keyword_date_token1] = ACTIONS(1400),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1400),
    [aux_sym__keyword_time_token1] = ACTIONS(1400),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1400),
    [aux_sym__keyword_for_token1] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1400),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1400),
    [aux_sym_return_satement_token1] = ACTIONS(1400),
    [aux_sym_call_statement_token1] = ACTIONS(1400),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1400),
    [aux_sym_if_statement_token1] = ACTIONS(1400),
    [aux_sym_loop_statement_token1] = ACTIONS(1400),
    [aux_sym_repeat_statement_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token1] = ACTIONS(1400),
    [aux_sym_break_statement_token1] = ACTIONS(1400),
    [aux_sym_leave_statement_token1] = ACTIONS(1400),
    [aux_sym_continue_statement_token1] = ACTIONS(1400),
    [aux_sym_iterate_statement_token1] = ACTIONS(1400),
    [aux_sym_raise_statement_token1] = ACTIONS(1400),
    [anon_sym_EQ] = ACTIONS(1398),
    [aux_sym_assert_statement_token1] = ACTIONS(1400),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1400),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1400),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1400),
    [aux_sym_truncate_statement_token1] = ACTIONS(1400),
    [aux_sym_update_statement_token1] = ACTIONS(1400),
    [aux_sym_merge_statement_token1] = ACTIONS(1400),
    [aux_sym_grant_statement_token1] = ACTIONS(1400),
    [aux_sym_revoke_statement_token1] = ACTIONS(1400),
    [aux_sym_export_data_statement_token1] = ACTIONS(1400),
    [aux_sym_load_data_statement_token1] = ACTIONS(1400),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym__quoted_identifier] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_LT_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
  },
  [3274] = {
    [sym_analytics_clause] = STATE(3438),
    [sym__unquoted_identifier] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1400),
    [aux_sym_keyword_replace_token1] = ACTIONS(1400),
    [aux_sym__keyword_alter_token1] = ACTIONS(1400),
    [aux_sym__keyword_delete_token1] = ACTIONS(1400),
    [aux_sym__keyword_begin_token1] = ACTIONS(1400),
    [aux_sym__keyword_end_token1] = ACTIONS(1400),
    [aux_sym__keyword_between_token1] = ACTIONS(1400),
    [aux_sym__keyword_else_token1] = ACTIONS(1400),
    [aux_sym__keyword_is_token1] = ACTIONS(1400),
    [aux_sym__keyword_in_token1] = ACTIONS(1400),
    [aux_sym__keyword_and_token1] = ACTIONS(1400),
    [aux_sym__keyword_like_token1] = ACTIONS(1400),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1400),
    [aux_sym__keyword_as_token1] = ACTIONS(1400),
    [aux_sym__keyword_date_token1] = ACTIONS(1400),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1400),
    [aux_sym__keyword_time_token1] = ACTIONS(1400),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1400),
    [aux_sym__keyword_for_token1] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1400),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1400),
    [aux_sym_return_satement_token1] = ACTIONS(1400),
    [aux_sym_call_statement_token1] = ACTIONS(1400),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1400),
    [aux_sym_if_statement_token1] = ACTIONS(1400),
    [aux_sym_loop_statement_token1] = ACTIONS(1400),
    [aux_sym_repeat_statement_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token1] = ACTIONS(1400),
    [aux_sym_break_statement_token1] = ACTIONS(1400),
    [aux_sym_leave_statement_token1] = ACTIONS(1400),
    [aux_sym_continue_statement_token1] = ACTIONS(1400),
    [aux_sym_iterate_statement_token1] = ACTIONS(1400),
    [aux_sym_raise_statement_token1] = ACTIONS(1400),
    [anon_sym_EQ] = ACTIONS(1398),
    [aux_sym_assert_statement_token1] = ACTIONS(1400),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1400),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1400),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1400),
    [aux_sym_truncate_statement_token1] = ACTIONS(1400),
    [aux_sym_update_statement_token1] = ACTIONS(1400),
    [aux_sym_merge_statement_token1] = ACTIONS(1400),
    [aux_sym_grant_statement_token1] = ACTIONS(1400),
    [aux_sym_revoke_statement_token1] = ACTIONS(1400),
    [aux_sym_export_data_statement_token1] = ACTIONS(1400),
    [aux_sym_load_data_statement_token1] = ACTIONS(1400),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym__quoted_identifier] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_LT_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
  },
  [3275] = {
    [ts_builtin_sym_end] = ACTIONS(1582),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1582),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1582),
    [aux_sym_keyword_replace_token1] = ACTIONS(1582),
    [aux_sym__keyword_alter_token1] = ACTIONS(1582),
    [aux_sym__keyword_delete_token1] = ACTIONS(1582),
    [aux_sym__keyword_begin_token1] = ACTIONS(1582),
    [aux_sym__keyword_end_token1] = ACTIONS(1582),
    [aux_sym__keyword_between_token1] = ACTIONS(1582),
    [aux_sym__keyword_when_token1] = ACTIONS(1582),
    [aux_sym__keyword_else_token1] = ACTIONS(1584),
    [aux_sym__keyword_is_token1] = ACTIONS(1582),
    [aux_sym__keyword_in_token1] = ACTIONS(1584),
    [aux_sym__keyword_and_token1] = ACTIONS(1582),
    [aux_sym__keyword_like_token1] = ACTIONS(1582),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1582),
    [aux_sym__keyword_for_token1] = ACTIONS(1582),
    [anon_sym_SEMI] = ACTIONS(1582),
    [aux_sym_declare_statement_token1] = ACTIONS(1582),
    [anon_sym_COMMA] = ACTIONS(1582),
    [aux_sym_set_statement_token1] = ACTIONS(1582),
    [anon_sym_LPAREN] = ACTIONS(1582),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1582),
    [aux_sym_return_satement_token1] = ACTIONS(1582),
    [aux_sym_call_statement_token1] = ACTIONS(1582),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1582),
    [aux_sym_if_statement_token1] = ACTIONS(1582),
    [aux_sym_loop_statement_token1] = ACTIONS(1582),
    [aux_sym_repeat_statement_token1] = ACTIONS(1582),
    [aux_sym_while_statement_token1] = ACTIONS(1582),
    [aux_sym_break_statement_token1] = ACTIONS(1582),
    [aux_sym_leave_statement_token1] = ACTIONS(1582),
    [aux_sym_continue_statement_token1] = ACTIONS(1582),
    [aux_sym_iterate_statement_token1] = ACTIONS(1582),
    [aux_sym_raise_statement_token1] = ACTIONS(1582),
    [anon_sym_EQ] = ACTIONS(1582),
    [aux_sym_assert_statement_token1] = ACTIONS(1582),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1582),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1582),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1582),
    [anon_sym_LT] = ACTIONS(1584),
    [anon_sym_GT] = ACTIONS(1584),
    [aux_sym_set_operation_token1] = ACTIONS(1582),
    [aux_sym_set_operation_token3] = ACTIONS(1582),
    [aux_sym_set_operation_token4] = ACTIONS(1584),
    [aux_sym_select_token1] = ACTIONS(1582),
    [aux_sym_limit_clause_token1] = ACTIONS(1582),
    [aux_sym__direction_keywords_token1] = ACTIONS(1582),
    [aux_sym__direction_keywords_token2] = ACTIONS(1582),
    [aux_sym__nulls_preference_token1] = ACTIONS(1582),
    [aux_sym_insert_statement_token1] = ACTIONS(1582),
    [aux_sym_truncate_statement_token1] = ACTIONS(1582),
    [aux_sym_update_statement_token1] = ACTIONS(1582),
    [aux_sym_merge_statement_token1] = ACTIONS(1582),
    [aux_sym_grant_statement_token1] = ACTIONS(1582),
    [aux_sym_revoke_statement_token1] = ACTIONS(1582),
    [aux_sym_export_data_statement_token1] = ACTIONS(1582),
    [aux_sym_load_data_statement_token1] = ACTIONS(1582),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1582),
    [anon_sym_PLUS] = ACTIONS(1582),
    [anon_sym_DASH] = ACTIONS(1584),
    [anon_sym_STAR] = ACTIONS(1582),
    [anon_sym_SLASH] = ACTIONS(1584),
    [anon_sym_PIPE_PIPE] = ACTIONS(1582),
    [anon_sym_LT_EQ] = ACTIONS(1582),
    [anon_sym_LT_GT] = ACTIONS(1582),
    [anon_sym_GT_EQ] = ACTIONS(1582),
    [anon_sym_BANG_EQ] = ACTIONS(1582),
    [anon_sym_LT_LT] = ACTIONS(1582),
    [anon_sym_GT_GT] = ACTIONS(1582),
    [anon_sym_AMP] = ACTIONS(1582),
    [anon_sym_CARET] = ACTIONS(1582),
    [anon_sym_PIPE] = ACTIONS(1584),
  },
  [3276] = {
    [sym_analytics_clause] = STATE(3439),
    [sym__unquoted_identifier] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1400),
    [aux_sym_keyword_replace_token1] = ACTIONS(1400),
    [aux_sym__keyword_alter_token1] = ACTIONS(1400),
    [aux_sym__keyword_delete_token1] = ACTIONS(1400),
    [aux_sym__keyword_begin_token1] = ACTIONS(1400),
    [aux_sym__keyword_end_token1] = ACTIONS(1400),
    [aux_sym__keyword_between_token1] = ACTIONS(1400),
    [aux_sym__keyword_else_token1] = ACTIONS(1400),
    [aux_sym__keyword_is_token1] = ACTIONS(1400),
    [aux_sym__keyword_in_token1] = ACTIONS(1400),
    [aux_sym__keyword_and_token1] = ACTIONS(1400),
    [aux_sym__keyword_like_token1] = ACTIONS(1400),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1400),
    [aux_sym__keyword_as_token1] = ACTIONS(1400),
    [aux_sym__keyword_date_token1] = ACTIONS(1400),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1400),
    [aux_sym__keyword_time_token1] = ACTIONS(1400),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1400),
    [aux_sym__keyword_for_token1] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1400),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1400),
    [aux_sym_return_satement_token1] = ACTIONS(1400),
    [aux_sym_call_statement_token1] = ACTIONS(1400),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1400),
    [aux_sym_if_statement_token1] = ACTIONS(1400),
    [aux_sym_loop_statement_token1] = ACTIONS(1400),
    [aux_sym_repeat_statement_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token1] = ACTIONS(1400),
    [aux_sym_break_statement_token1] = ACTIONS(1400),
    [aux_sym_leave_statement_token1] = ACTIONS(1400),
    [aux_sym_continue_statement_token1] = ACTIONS(1400),
    [aux_sym_iterate_statement_token1] = ACTIONS(1400),
    [aux_sym_raise_statement_token1] = ACTIONS(1400),
    [anon_sym_EQ] = ACTIONS(1398),
    [aux_sym_assert_statement_token1] = ACTIONS(1400),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1400),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1400),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1400),
    [aux_sym_truncate_statement_token1] = ACTIONS(1400),
    [aux_sym_update_statement_token1] = ACTIONS(1400),
    [aux_sym_merge_statement_token1] = ACTIONS(1400),
    [aux_sym_grant_statement_token1] = ACTIONS(1400),
    [aux_sym_revoke_statement_token1] = ACTIONS(1400),
    [aux_sym_export_data_statement_token1] = ACTIONS(1400),
    [aux_sym_load_data_statement_token1] = ACTIONS(1400),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym__quoted_identifier] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_LT_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
  },
  [3277] = {
    [ts_builtin_sym_end] = ACTIONS(1632),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1632),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1632),
    [aux_sym_keyword_replace_token1] = ACTIONS(1632),
    [aux_sym__keyword_alter_token1] = ACTIONS(1632),
    [aux_sym__keyword_delete_token1] = ACTIONS(1632),
    [aux_sym__keyword_begin_token1] = ACTIONS(1632),
    [aux_sym__keyword_end_token1] = ACTIONS(1632),
    [aux_sym__keyword_between_token1] = ACTIONS(1632),
    [aux_sym__keyword_when_token1] = ACTIONS(1632),
    [aux_sym__keyword_else_token1] = ACTIONS(1634),
    [aux_sym__keyword_is_token1] = ACTIONS(1632),
    [aux_sym__keyword_in_token1] = ACTIONS(1634),
    [aux_sym__keyword_and_token1] = ACTIONS(1632),
    [aux_sym__keyword_like_token1] = ACTIONS(1632),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1632),
    [aux_sym__keyword_for_token1] = ACTIONS(1632),
    [anon_sym_SEMI] = ACTIONS(1632),
    [aux_sym_declare_statement_token1] = ACTIONS(1632),
    [anon_sym_COMMA] = ACTIONS(1632),
    [aux_sym_set_statement_token1] = ACTIONS(1632),
    [anon_sym_LPAREN] = ACTIONS(1632),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1632),
    [aux_sym_return_satement_token1] = ACTIONS(1632),
    [aux_sym_call_statement_token1] = ACTIONS(1632),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1632),
    [aux_sym_if_statement_token1] = ACTIONS(1632),
    [aux_sym_loop_statement_token1] = ACTIONS(1632),
    [aux_sym_repeat_statement_token1] = ACTIONS(1632),
    [aux_sym_while_statement_token1] = ACTIONS(1632),
    [aux_sym_break_statement_token1] = ACTIONS(1632),
    [aux_sym_leave_statement_token1] = ACTIONS(1632),
    [aux_sym_continue_statement_token1] = ACTIONS(1632),
    [aux_sym_iterate_statement_token1] = ACTIONS(1632),
    [aux_sym_raise_statement_token1] = ACTIONS(1632),
    [anon_sym_EQ] = ACTIONS(1632),
    [aux_sym_assert_statement_token1] = ACTIONS(1632),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1632),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1632),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1632),
    [anon_sym_LT] = ACTIONS(1634),
    [anon_sym_GT] = ACTIONS(1634),
    [aux_sym_set_operation_token1] = ACTIONS(1632),
    [aux_sym_set_operation_token3] = ACTIONS(1632),
    [aux_sym_set_operation_token4] = ACTIONS(1634),
    [aux_sym_select_token1] = ACTIONS(1632),
    [aux_sym_limit_clause_token1] = ACTIONS(1632),
    [aux_sym__direction_keywords_token1] = ACTIONS(1632),
    [aux_sym__direction_keywords_token2] = ACTIONS(1632),
    [aux_sym__nulls_preference_token1] = ACTIONS(1632),
    [aux_sym_insert_statement_token1] = ACTIONS(1632),
    [aux_sym_truncate_statement_token1] = ACTIONS(1632),
    [aux_sym_update_statement_token1] = ACTIONS(1632),
    [aux_sym_merge_statement_token1] = ACTIONS(1632),
    [aux_sym_grant_statement_token1] = ACTIONS(1632),
    [aux_sym_revoke_statement_token1] = ACTIONS(1632),
    [aux_sym_export_data_statement_token1] = ACTIONS(1632),
    [aux_sym_load_data_statement_token1] = ACTIONS(1632),
    [anon_sym_LBRACK] = ACTIONS(1632),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1632),
    [anon_sym_PLUS] = ACTIONS(1632),
    [anon_sym_DASH] = ACTIONS(1634),
    [anon_sym_STAR] = ACTIONS(1632),
    [anon_sym_SLASH] = ACTIONS(1634),
    [anon_sym_PIPE_PIPE] = ACTIONS(1632),
    [anon_sym_LT_EQ] = ACTIONS(1632),
    [anon_sym_LT_GT] = ACTIONS(1632),
    [anon_sym_GT_EQ] = ACTIONS(1632),
    [anon_sym_BANG_EQ] = ACTIONS(1632),
    [anon_sym_LT_LT] = ACTIONS(1632),
    [anon_sym_GT_GT] = ACTIONS(1632),
    [anon_sym_AMP] = ACTIONS(1632),
    [anon_sym_CARET] = ACTIONS(1632),
    [anon_sym_PIPE] = ACTIONS(1634),
  },
  [3278] = {
    [sym_analytics_clause] = STATE(3440),
    [sym__unquoted_identifier] = ACTIONS(1396),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1396),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1396),
    [aux_sym_keyword_replace_token1] = ACTIONS(1396),
    [aux_sym__keyword_alter_token1] = ACTIONS(1396),
    [aux_sym__keyword_delete_token1] = ACTIONS(1396),
    [aux_sym__keyword_begin_token1] = ACTIONS(1396),
    [aux_sym__keyword_end_token1] = ACTIONS(1396),
    [aux_sym__keyword_between_token1] = ACTIONS(1396),
    [aux_sym__keyword_else_token1] = ACTIONS(1396),
    [aux_sym__keyword_is_token1] = ACTIONS(1396),
    [aux_sym__keyword_in_token1] = ACTIONS(1396),
    [aux_sym__keyword_and_token1] = ACTIONS(1396),
    [aux_sym__keyword_like_token1] = ACTIONS(1396),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1396),
    [aux_sym__keyword_as_token1] = ACTIONS(1396),
    [aux_sym__keyword_date_token1] = ACTIONS(1396),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1396),
    [aux_sym__keyword_time_token1] = ACTIONS(1396),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1396),
    [aux_sym__keyword_for_token1] = ACTIONS(1396),
    [anon_sym_SEMI] = ACTIONS(1394),
    [aux_sym_declare_statement_token1] = ACTIONS(1396),
    [anon_sym_COMMA] = ACTIONS(1394),
    [aux_sym_set_statement_token1] = ACTIONS(1396),
    [anon_sym_LPAREN] = ACTIONS(1394),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1396),
    [aux_sym_return_satement_token1] = ACTIONS(1396),
    [aux_sym_call_statement_token1] = ACTIONS(1396),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1396),
    [aux_sym_if_statement_token1] = ACTIONS(1396),
    [aux_sym_loop_statement_token1] = ACTIONS(1396),
    [aux_sym_repeat_statement_token1] = ACTIONS(1396),
    [aux_sym_while_statement_token1] = ACTIONS(1396),
    [aux_sym_break_statement_token1] = ACTIONS(1396),
    [aux_sym_leave_statement_token1] = ACTIONS(1396),
    [aux_sym_continue_statement_token1] = ACTIONS(1396),
    [aux_sym_iterate_statement_token1] = ACTIONS(1396),
    [aux_sym_raise_statement_token1] = ACTIONS(1396),
    [anon_sym_EQ] = ACTIONS(1394),
    [aux_sym_assert_statement_token1] = ACTIONS(1396),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1396),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1396),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1396),
    [anon_sym_LT] = ACTIONS(1396),
    [anon_sym_GT] = ACTIONS(1396),
    [aux_sym_select_token1] = ACTIONS(1396),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1396),
    [aux_sym_truncate_statement_token1] = ACTIONS(1396),
    [aux_sym_update_statement_token1] = ACTIONS(1396),
    [aux_sym_merge_statement_token1] = ACTIONS(1396),
    [aux_sym_grant_statement_token1] = ACTIONS(1396),
    [aux_sym_revoke_statement_token1] = ACTIONS(1396),
    [aux_sym_export_data_statement_token1] = ACTIONS(1396),
    [aux_sym_load_data_statement_token1] = ACTIONS(1396),
    [anon_sym_LBRACK] = ACTIONS(1394),
    [sym__quoted_identifier] = ACTIONS(1394),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_STAR] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(1396),
    [anon_sym_PIPE_PIPE] = ACTIONS(1394),
    [anon_sym_LT_EQ] = ACTIONS(1394),
    [anon_sym_LT_GT] = ACTIONS(1394),
    [anon_sym_GT_EQ] = ACTIONS(1394),
    [anon_sym_BANG_EQ] = ACTIONS(1394),
    [anon_sym_LT_LT] = ACTIONS(1394),
    [anon_sym_GT_GT] = ACTIONS(1394),
    [anon_sym_AMP] = ACTIONS(1394),
    [anon_sym_CARET] = ACTIONS(1394),
    [anon_sym_PIPE] = ACTIONS(1396),
  },
  [3279] = {
    [sym_analytics_clause] = STATE(3441),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3280] = {
    [sym_analytics_clause] = STATE(3442),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3281] = {
    [sym_analytics_clause] = STATE(3443),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3282] = {
    [ts_builtin_sym_end] = ACTIONS(1626),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1626),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1626),
    [aux_sym_keyword_replace_token1] = ACTIONS(1626),
    [aux_sym__keyword_alter_token1] = ACTIONS(1626),
    [aux_sym__keyword_delete_token1] = ACTIONS(1626),
    [aux_sym__keyword_begin_token1] = ACTIONS(1626),
    [aux_sym__keyword_end_token1] = ACTIONS(1626),
    [aux_sym__keyword_between_token1] = ACTIONS(1626),
    [aux_sym__keyword_when_token1] = ACTIONS(1626),
    [aux_sym__keyword_else_token1] = ACTIONS(1628),
    [aux_sym__keyword_is_token1] = ACTIONS(1626),
    [aux_sym__keyword_in_token1] = ACTIONS(1628),
    [aux_sym__keyword_and_token1] = ACTIONS(1626),
    [aux_sym__keyword_like_token1] = ACTIONS(1626),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1626),
    [aux_sym__keyword_for_token1] = ACTIONS(1626),
    [anon_sym_SEMI] = ACTIONS(1626),
    [aux_sym_declare_statement_token1] = ACTIONS(1626),
    [anon_sym_COMMA] = ACTIONS(1626),
    [aux_sym_set_statement_token1] = ACTIONS(1626),
    [anon_sym_LPAREN] = ACTIONS(1626),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1626),
    [aux_sym_return_satement_token1] = ACTIONS(1626),
    [aux_sym_call_statement_token1] = ACTIONS(1626),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1626),
    [aux_sym_if_statement_token1] = ACTIONS(1626),
    [aux_sym_loop_statement_token1] = ACTIONS(1626),
    [aux_sym_repeat_statement_token1] = ACTIONS(1626),
    [aux_sym_while_statement_token1] = ACTIONS(1626),
    [aux_sym_break_statement_token1] = ACTIONS(1626),
    [aux_sym_leave_statement_token1] = ACTIONS(1626),
    [aux_sym_continue_statement_token1] = ACTIONS(1626),
    [aux_sym_iterate_statement_token1] = ACTIONS(1626),
    [aux_sym_raise_statement_token1] = ACTIONS(1626),
    [anon_sym_EQ] = ACTIONS(1626),
    [aux_sym_assert_statement_token1] = ACTIONS(1626),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1626),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1626),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1626),
    [anon_sym_LT] = ACTIONS(1628),
    [anon_sym_GT] = ACTIONS(1628),
    [aux_sym_set_operation_token1] = ACTIONS(1626),
    [aux_sym_set_operation_token3] = ACTIONS(1626),
    [aux_sym_set_operation_token4] = ACTIONS(1628),
    [aux_sym_select_token1] = ACTIONS(1626),
    [aux_sym_limit_clause_token1] = ACTIONS(1626),
    [aux_sym__direction_keywords_token1] = ACTIONS(1626),
    [aux_sym__direction_keywords_token2] = ACTIONS(1626),
    [aux_sym__nulls_preference_token1] = ACTIONS(1626),
    [aux_sym_insert_statement_token1] = ACTIONS(1626),
    [aux_sym_truncate_statement_token1] = ACTIONS(1626),
    [aux_sym_update_statement_token1] = ACTIONS(1626),
    [aux_sym_merge_statement_token1] = ACTIONS(1626),
    [aux_sym_grant_statement_token1] = ACTIONS(1626),
    [aux_sym_revoke_statement_token1] = ACTIONS(1626),
    [aux_sym_export_data_statement_token1] = ACTIONS(1626),
    [aux_sym_load_data_statement_token1] = ACTIONS(1626),
    [anon_sym_LBRACK] = ACTIONS(1626),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1626),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1628),
    [anon_sym_STAR] = ACTIONS(1626),
    [anon_sym_SLASH] = ACTIONS(1628),
    [anon_sym_PIPE_PIPE] = ACTIONS(1626),
    [anon_sym_LT_EQ] = ACTIONS(1626),
    [anon_sym_LT_GT] = ACTIONS(1626),
    [anon_sym_GT_EQ] = ACTIONS(1626),
    [anon_sym_BANG_EQ] = ACTIONS(1626),
    [anon_sym_LT_LT] = ACTIONS(1626),
    [anon_sym_GT_GT] = ACTIONS(1626),
    [anon_sym_AMP] = ACTIONS(1626),
    [anon_sym_CARET] = ACTIONS(1626),
    [anon_sym_PIPE] = ACTIONS(1628),
  },
  [3283] = {
    [ts_builtin_sym_end] = ACTIONS(1622),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1622),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1622),
    [aux_sym_keyword_replace_token1] = ACTIONS(1622),
    [aux_sym__keyword_alter_token1] = ACTIONS(1622),
    [aux_sym__keyword_delete_token1] = ACTIONS(1622),
    [aux_sym__keyword_begin_token1] = ACTIONS(1622),
    [aux_sym__keyword_end_token1] = ACTIONS(1622),
    [aux_sym__keyword_between_token1] = ACTIONS(1622),
    [aux_sym__keyword_when_token1] = ACTIONS(1622),
    [aux_sym__keyword_else_token1] = ACTIONS(1624),
    [aux_sym__keyword_is_token1] = ACTIONS(1622),
    [aux_sym__keyword_in_token1] = ACTIONS(1624),
    [aux_sym__keyword_and_token1] = ACTIONS(1622),
    [aux_sym__keyword_like_token1] = ACTIONS(1622),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1622),
    [aux_sym__keyword_for_token1] = ACTIONS(1622),
    [anon_sym_SEMI] = ACTIONS(1622),
    [aux_sym_declare_statement_token1] = ACTIONS(1622),
    [anon_sym_COMMA] = ACTIONS(1622),
    [aux_sym_set_statement_token1] = ACTIONS(1622),
    [anon_sym_LPAREN] = ACTIONS(1622),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1622),
    [aux_sym_return_satement_token1] = ACTIONS(1622),
    [aux_sym_call_statement_token1] = ACTIONS(1622),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1622),
    [aux_sym_if_statement_token1] = ACTIONS(1622),
    [aux_sym_loop_statement_token1] = ACTIONS(1622),
    [aux_sym_repeat_statement_token1] = ACTIONS(1622),
    [aux_sym_while_statement_token1] = ACTIONS(1622),
    [aux_sym_break_statement_token1] = ACTIONS(1622),
    [aux_sym_leave_statement_token1] = ACTIONS(1622),
    [aux_sym_continue_statement_token1] = ACTIONS(1622),
    [aux_sym_iterate_statement_token1] = ACTIONS(1622),
    [aux_sym_raise_statement_token1] = ACTIONS(1622),
    [anon_sym_EQ] = ACTIONS(1622),
    [aux_sym_assert_statement_token1] = ACTIONS(1622),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1622),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1622),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1622),
    [anon_sym_LT] = ACTIONS(1624),
    [anon_sym_GT] = ACTIONS(1624),
    [aux_sym_set_operation_token1] = ACTIONS(1622),
    [aux_sym_set_operation_token3] = ACTIONS(1622),
    [aux_sym_set_operation_token4] = ACTIONS(1624),
    [aux_sym_select_token1] = ACTIONS(1622),
    [aux_sym_limit_clause_token1] = ACTIONS(1622),
    [aux_sym__direction_keywords_token1] = ACTIONS(1622),
    [aux_sym__direction_keywords_token2] = ACTIONS(1622),
    [aux_sym__nulls_preference_token1] = ACTIONS(1622),
    [aux_sym_insert_statement_token1] = ACTIONS(1622),
    [aux_sym_truncate_statement_token1] = ACTIONS(1622),
    [aux_sym_update_statement_token1] = ACTIONS(1622),
    [aux_sym_merge_statement_token1] = ACTIONS(1622),
    [aux_sym_grant_statement_token1] = ACTIONS(1622),
    [aux_sym_revoke_statement_token1] = ACTIONS(1622),
    [aux_sym_export_data_statement_token1] = ACTIONS(1622),
    [aux_sym_load_data_statement_token1] = ACTIONS(1622),
    [anon_sym_LBRACK] = ACTIONS(1622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1622),
    [anon_sym_PLUS] = ACTIONS(1622),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_STAR] = ACTIONS(1622),
    [anon_sym_SLASH] = ACTIONS(1624),
    [anon_sym_PIPE_PIPE] = ACTIONS(1622),
    [anon_sym_LT_EQ] = ACTIONS(1622),
    [anon_sym_LT_GT] = ACTIONS(1622),
    [anon_sym_GT_EQ] = ACTIONS(1622),
    [anon_sym_BANG_EQ] = ACTIONS(1622),
    [anon_sym_LT_LT] = ACTIONS(1622),
    [anon_sym_GT_GT] = ACTIONS(1622),
    [anon_sym_AMP] = ACTIONS(1622),
    [anon_sym_CARET] = ACTIONS(1622),
    [anon_sym_PIPE] = ACTIONS(1624),
  },
  [3284] = {
    [ts_builtin_sym_end] = ACTIONS(1618),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1618),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1618),
    [aux_sym_keyword_replace_token1] = ACTIONS(1618),
    [aux_sym__keyword_alter_token1] = ACTIONS(1618),
    [aux_sym__keyword_delete_token1] = ACTIONS(1618),
    [aux_sym__keyword_begin_token1] = ACTIONS(1618),
    [aux_sym__keyword_end_token1] = ACTIONS(1618),
    [aux_sym__keyword_between_token1] = ACTIONS(1618),
    [aux_sym__keyword_when_token1] = ACTIONS(1618),
    [aux_sym__keyword_else_token1] = ACTIONS(1620),
    [aux_sym__keyword_is_token1] = ACTIONS(1618),
    [aux_sym__keyword_in_token1] = ACTIONS(1620),
    [aux_sym__keyword_and_token1] = ACTIONS(1618),
    [aux_sym__keyword_like_token1] = ACTIONS(1618),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1618),
    [aux_sym__keyword_for_token1] = ACTIONS(1618),
    [anon_sym_SEMI] = ACTIONS(1618),
    [aux_sym_declare_statement_token1] = ACTIONS(1618),
    [anon_sym_COMMA] = ACTIONS(1618),
    [aux_sym_set_statement_token1] = ACTIONS(1618),
    [anon_sym_LPAREN] = ACTIONS(1618),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1618),
    [aux_sym_return_satement_token1] = ACTIONS(1618),
    [aux_sym_call_statement_token1] = ACTIONS(1618),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1618),
    [aux_sym_if_statement_token1] = ACTIONS(1618),
    [aux_sym_loop_statement_token1] = ACTIONS(1618),
    [aux_sym_repeat_statement_token1] = ACTIONS(1618),
    [aux_sym_while_statement_token1] = ACTIONS(1618),
    [aux_sym_break_statement_token1] = ACTIONS(1618),
    [aux_sym_leave_statement_token1] = ACTIONS(1618),
    [aux_sym_continue_statement_token1] = ACTIONS(1618),
    [aux_sym_iterate_statement_token1] = ACTIONS(1618),
    [aux_sym_raise_statement_token1] = ACTIONS(1618),
    [anon_sym_EQ] = ACTIONS(1618),
    [aux_sym_assert_statement_token1] = ACTIONS(1618),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1618),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1618),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1618),
    [anon_sym_LT] = ACTIONS(1620),
    [anon_sym_GT] = ACTIONS(1620),
    [aux_sym_set_operation_token1] = ACTIONS(1618),
    [aux_sym_set_operation_token3] = ACTIONS(1618),
    [aux_sym_set_operation_token4] = ACTIONS(1620),
    [aux_sym_select_token1] = ACTIONS(1618),
    [aux_sym_limit_clause_token1] = ACTIONS(1618),
    [aux_sym__direction_keywords_token1] = ACTIONS(1618),
    [aux_sym__direction_keywords_token2] = ACTIONS(1618),
    [aux_sym__nulls_preference_token1] = ACTIONS(1618),
    [aux_sym_insert_statement_token1] = ACTIONS(1618),
    [aux_sym_truncate_statement_token1] = ACTIONS(1618),
    [aux_sym_update_statement_token1] = ACTIONS(1618),
    [aux_sym_merge_statement_token1] = ACTIONS(1618),
    [aux_sym_grant_statement_token1] = ACTIONS(1618),
    [aux_sym_revoke_statement_token1] = ACTIONS(1618),
    [aux_sym_export_data_statement_token1] = ACTIONS(1618),
    [aux_sym_load_data_statement_token1] = ACTIONS(1618),
    [anon_sym_LBRACK] = ACTIONS(1618),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1618),
    [anon_sym_PLUS] = ACTIONS(1618),
    [anon_sym_DASH] = ACTIONS(1620),
    [anon_sym_STAR] = ACTIONS(1618),
    [anon_sym_SLASH] = ACTIONS(1620),
    [anon_sym_PIPE_PIPE] = ACTIONS(1618),
    [anon_sym_LT_EQ] = ACTIONS(1618),
    [anon_sym_LT_GT] = ACTIONS(1618),
    [anon_sym_GT_EQ] = ACTIONS(1618),
    [anon_sym_BANG_EQ] = ACTIONS(1618),
    [anon_sym_LT_LT] = ACTIONS(1618),
    [anon_sym_GT_GT] = ACTIONS(1618),
    [anon_sym_AMP] = ACTIONS(1618),
    [anon_sym_CARET] = ACTIONS(1618),
    [anon_sym_PIPE] = ACTIONS(1620),
  },
  [3285] = {
    [sym_analytics_clause] = STATE(3415),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3286] = {
    [sym_analytics_clause] = STATE(3444),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3287] = {
    [sym_analytics_clause] = STATE(3445),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3288] = {
    [sym_analytics_clause] = STATE(3447),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3289] = {
    [sym_analytics_clause] = STATE(3448),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3290] = {
    [sym_analytics_clause] = STATE(3449),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3291] = {
    [sym_analytics_clause] = STATE(3450),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3292] = {
    [sym_analytics_clause] = STATE(3451),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3293] = {
    [sym_analytics_clause] = STATE(3452),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3294] = {
    [sym_analytics_clause] = STATE(3453),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3295] = {
    [sym_analytics_clause] = STATE(3454),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3296] = {
    [sym_analytics_clause] = STATE(3455),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3297] = {
    [sym_analytics_clause] = STATE(3456),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3298] = {
    [sym_analytics_clause] = STATE(3457),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3299] = {
    [sym_analytics_clause] = STATE(3458),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3300] = {
    [sym_analytics_clause] = STATE(3459),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3301] = {
    [sym_analytics_clause] = STATE(3460),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3302] = {
    [sym_analytics_clause] = STATE(3461),
    [sym__unquoted_identifier] = ACTIONS(1506),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1506),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1506),
    [aux_sym_keyword_replace_token1] = ACTIONS(1506),
    [aux_sym__keyword_alter_token1] = ACTIONS(1506),
    [aux_sym__keyword_delete_token1] = ACTIONS(1506),
    [aux_sym__keyword_begin_token1] = ACTIONS(1506),
    [aux_sym__keyword_end_token1] = ACTIONS(1506),
    [aux_sym__keyword_between_token1] = ACTIONS(1506),
    [aux_sym__keyword_else_token1] = ACTIONS(1506),
    [aux_sym__keyword_is_token1] = ACTIONS(1506),
    [aux_sym__keyword_in_token1] = ACTIONS(1506),
    [aux_sym__keyword_and_token1] = ACTIONS(1506),
    [aux_sym__keyword_like_token1] = ACTIONS(1506),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1506),
    [aux_sym__keyword_as_token1] = ACTIONS(1506),
    [aux_sym__keyword_date_token1] = ACTIONS(1506),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1506),
    [aux_sym__keyword_time_token1] = ACTIONS(1506),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1506),
    [aux_sym__keyword_for_token1] = ACTIONS(1506),
    [anon_sym_SEMI] = ACTIONS(1504),
    [aux_sym_declare_statement_token1] = ACTIONS(1506),
    [anon_sym_COMMA] = ACTIONS(1504),
    [aux_sym_set_statement_token1] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1504),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1506),
    [aux_sym_return_satement_token1] = ACTIONS(1506),
    [aux_sym_call_statement_token1] = ACTIONS(1506),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1506),
    [aux_sym_if_statement_token1] = ACTIONS(1506),
    [aux_sym_loop_statement_token1] = ACTIONS(1506),
    [aux_sym_repeat_statement_token1] = ACTIONS(1506),
    [aux_sym_while_statement_token1] = ACTIONS(1506),
    [aux_sym_break_statement_token1] = ACTIONS(1506),
    [aux_sym_leave_statement_token1] = ACTIONS(1506),
    [aux_sym_continue_statement_token1] = ACTIONS(1506),
    [aux_sym_iterate_statement_token1] = ACTIONS(1506),
    [aux_sym_raise_statement_token1] = ACTIONS(1506),
    [anon_sym_EQ] = ACTIONS(1504),
    [aux_sym_assert_statement_token1] = ACTIONS(1506),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1506),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1506),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1506),
    [anon_sym_LT] = ACTIONS(1506),
    [anon_sym_GT] = ACTIONS(1506),
    [aux_sym_select_token1] = ACTIONS(1506),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1506),
    [aux_sym_truncate_statement_token1] = ACTIONS(1506),
    [aux_sym_update_statement_token1] = ACTIONS(1506),
    [aux_sym_merge_statement_token1] = ACTIONS(1506),
    [aux_sym_grant_statement_token1] = ACTIONS(1506),
    [aux_sym_revoke_statement_token1] = ACTIONS(1506),
    [aux_sym_export_data_statement_token1] = ACTIONS(1506),
    [aux_sym_load_data_statement_token1] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1504),
    [sym__quoted_identifier] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1504),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1506),
    [anon_sym_STAR] = ACTIONS(1504),
    [anon_sym_SLASH] = ACTIONS(1506),
    [anon_sym_PIPE_PIPE] = ACTIONS(1504),
    [anon_sym_LT_EQ] = ACTIONS(1504),
    [anon_sym_LT_GT] = ACTIONS(1504),
    [anon_sym_GT_EQ] = ACTIONS(1504),
    [anon_sym_BANG_EQ] = ACTIONS(1504),
    [anon_sym_LT_LT] = ACTIONS(1504),
    [anon_sym_GT_GT] = ACTIONS(1504),
    [anon_sym_AMP] = ACTIONS(1504),
    [anon_sym_CARET] = ACTIONS(1504),
    [anon_sym_PIPE] = ACTIONS(1506),
  },
  [3303] = {
    [sym_analytics_clause] = STATE(3462),
    [sym__unquoted_identifier] = ACTIONS(1502),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1502),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1502),
    [aux_sym_keyword_replace_token1] = ACTIONS(1502),
    [aux_sym__keyword_alter_token1] = ACTIONS(1502),
    [aux_sym__keyword_delete_token1] = ACTIONS(1502),
    [aux_sym__keyword_begin_token1] = ACTIONS(1502),
    [aux_sym__keyword_end_token1] = ACTIONS(1502),
    [aux_sym__keyword_between_token1] = ACTIONS(1502),
    [aux_sym__keyword_else_token1] = ACTIONS(1502),
    [aux_sym__keyword_is_token1] = ACTIONS(1502),
    [aux_sym__keyword_in_token1] = ACTIONS(1502),
    [aux_sym__keyword_and_token1] = ACTIONS(1502),
    [aux_sym__keyword_like_token1] = ACTIONS(1502),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1502),
    [aux_sym__keyword_as_token1] = ACTIONS(1502),
    [aux_sym__keyword_date_token1] = ACTIONS(1502),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1502),
    [aux_sym__keyword_time_token1] = ACTIONS(1502),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1502),
    [aux_sym__keyword_for_token1] = ACTIONS(1502),
    [anon_sym_SEMI] = ACTIONS(1500),
    [aux_sym_declare_statement_token1] = ACTIONS(1502),
    [anon_sym_COMMA] = ACTIONS(1500),
    [aux_sym_set_statement_token1] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1500),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1502),
    [aux_sym_return_satement_token1] = ACTIONS(1502),
    [aux_sym_call_statement_token1] = ACTIONS(1502),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1502),
    [aux_sym_if_statement_token1] = ACTIONS(1502),
    [aux_sym_loop_statement_token1] = ACTIONS(1502),
    [aux_sym_repeat_statement_token1] = ACTIONS(1502),
    [aux_sym_while_statement_token1] = ACTIONS(1502),
    [aux_sym_break_statement_token1] = ACTIONS(1502),
    [aux_sym_leave_statement_token1] = ACTIONS(1502),
    [aux_sym_continue_statement_token1] = ACTIONS(1502),
    [aux_sym_iterate_statement_token1] = ACTIONS(1502),
    [aux_sym_raise_statement_token1] = ACTIONS(1502),
    [anon_sym_EQ] = ACTIONS(1500),
    [aux_sym_assert_statement_token1] = ACTIONS(1502),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1502),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1502),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1502),
    [anon_sym_LT] = ACTIONS(1502),
    [anon_sym_GT] = ACTIONS(1502),
    [aux_sym_select_token1] = ACTIONS(1502),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1502),
    [aux_sym_truncate_statement_token1] = ACTIONS(1502),
    [aux_sym_update_statement_token1] = ACTIONS(1502),
    [aux_sym_merge_statement_token1] = ACTIONS(1502),
    [aux_sym_grant_statement_token1] = ACTIONS(1502),
    [aux_sym_revoke_statement_token1] = ACTIONS(1502),
    [aux_sym_export_data_statement_token1] = ACTIONS(1502),
    [aux_sym_load_data_statement_token1] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1500),
    [sym__quoted_identifier] = ACTIONS(1500),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_STAR] = ACTIONS(1500),
    [anon_sym_SLASH] = ACTIONS(1502),
    [anon_sym_PIPE_PIPE] = ACTIONS(1500),
    [anon_sym_LT_EQ] = ACTIONS(1500),
    [anon_sym_LT_GT] = ACTIONS(1500),
    [anon_sym_GT_EQ] = ACTIONS(1500),
    [anon_sym_BANG_EQ] = ACTIONS(1500),
    [anon_sym_LT_LT] = ACTIONS(1500),
    [anon_sym_GT_GT] = ACTIONS(1500),
    [anon_sym_AMP] = ACTIONS(1500),
    [anon_sym_CARET] = ACTIONS(1500),
    [anon_sym_PIPE] = ACTIONS(1502),
  },
  [3304] = {
    [sym_analytics_clause] = STATE(3463),
    [sym__unquoted_identifier] = ACTIONS(1498),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1498),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1498),
    [aux_sym_keyword_replace_token1] = ACTIONS(1498),
    [aux_sym__keyword_alter_token1] = ACTIONS(1498),
    [aux_sym__keyword_delete_token1] = ACTIONS(1498),
    [aux_sym__keyword_begin_token1] = ACTIONS(1498),
    [aux_sym__keyword_end_token1] = ACTIONS(1498),
    [aux_sym__keyword_between_token1] = ACTIONS(1498),
    [aux_sym__keyword_else_token1] = ACTIONS(1498),
    [aux_sym__keyword_is_token1] = ACTIONS(1498),
    [aux_sym__keyword_in_token1] = ACTIONS(1498),
    [aux_sym__keyword_and_token1] = ACTIONS(1498),
    [aux_sym__keyword_like_token1] = ACTIONS(1498),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1498),
    [aux_sym__keyword_as_token1] = ACTIONS(1498),
    [aux_sym__keyword_date_token1] = ACTIONS(1498),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1498),
    [aux_sym__keyword_time_token1] = ACTIONS(1498),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1498),
    [aux_sym__keyword_for_token1] = ACTIONS(1498),
    [anon_sym_SEMI] = ACTIONS(1496),
    [aux_sym_declare_statement_token1] = ACTIONS(1498),
    [anon_sym_COMMA] = ACTIONS(1496),
    [aux_sym_set_statement_token1] = ACTIONS(1498),
    [anon_sym_LPAREN] = ACTIONS(1496),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1498),
    [aux_sym_return_satement_token1] = ACTIONS(1498),
    [aux_sym_call_statement_token1] = ACTIONS(1498),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1498),
    [aux_sym_if_statement_token1] = ACTIONS(1498),
    [aux_sym_loop_statement_token1] = ACTIONS(1498),
    [aux_sym_repeat_statement_token1] = ACTIONS(1498),
    [aux_sym_while_statement_token1] = ACTIONS(1498),
    [aux_sym_break_statement_token1] = ACTIONS(1498),
    [aux_sym_leave_statement_token1] = ACTIONS(1498),
    [aux_sym_continue_statement_token1] = ACTIONS(1498),
    [aux_sym_iterate_statement_token1] = ACTIONS(1498),
    [aux_sym_raise_statement_token1] = ACTIONS(1498),
    [anon_sym_EQ] = ACTIONS(1496),
    [aux_sym_assert_statement_token1] = ACTIONS(1498),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1498),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1498),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1498),
    [anon_sym_LT] = ACTIONS(1498),
    [anon_sym_GT] = ACTIONS(1498),
    [aux_sym_select_token1] = ACTIONS(1498),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1498),
    [aux_sym_truncate_statement_token1] = ACTIONS(1498),
    [aux_sym_update_statement_token1] = ACTIONS(1498),
    [aux_sym_merge_statement_token1] = ACTIONS(1498),
    [aux_sym_grant_statement_token1] = ACTIONS(1498),
    [aux_sym_revoke_statement_token1] = ACTIONS(1498),
    [aux_sym_export_data_statement_token1] = ACTIONS(1498),
    [aux_sym_load_data_statement_token1] = ACTIONS(1498),
    [anon_sym_LBRACK] = ACTIONS(1496),
    [sym__quoted_identifier] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(1498),
    [anon_sym_PIPE_PIPE] = ACTIONS(1496),
    [anon_sym_LT_EQ] = ACTIONS(1496),
    [anon_sym_LT_GT] = ACTIONS(1496),
    [anon_sym_GT_EQ] = ACTIONS(1496),
    [anon_sym_BANG_EQ] = ACTIONS(1496),
    [anon_sym_LT_LT] = ACTIONS(1496),
    [anon_sym_GT_GT] = ACTIONS(1496),
    [anon_sym_AMP] = ACTIONS(1496),
    [anon_sym_CARET] = ACTIONS(1496),
    [anon_sym_PIPE] = ACTIONS(1498),
  },
  [3305] = {
    [sym_analytics_clause] = STATE(3464),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [3306] = {
    [sym_analytics_clause] = STATE(3465),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [3307] = {
    [sym_analytics_clause] = STATE(3466),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [3308] = {
    [sym_analytics_clause] = STATE(3467),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [3309] = {
    [ts_builtin_sym_end] = ACTIONS(1614),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1614),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1614),
    [aux_sym_keyword_replace_token1] = ACTIONS(1614),
    [aux_sym__keyword_alter_token1] = ACTIONS(1614),
    [aux_sym__keyword_delete_token1] = ACTIONS(1614),
    [aux_sym__keyword_begin_token1] = ACTIONS(1614),
    [aux_sym__keyword_end_token1] = ACTIONS(1614),
    [aux_sym__keyword_between_token1] = ACTIONS(1614),
    [aux_sym__keyword_when_token1] = ACTIONS(1614),
    [aux_sym__keyword_else_token1] = ACTIONS(1616),
    [aux_sym__keyword_is_token1] = ACTIONS(1614),
    [aux_sym__keyword_in_token1] = ACTIONS(1616),
    [aux_sym__keyword_and_token1] = ACTIONS(1614),
    [aux_sym__keyword_like_token1] = ACTIONS(1614),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1614),
    [aux_sym__keyword_for_token1] = ACTIONS(1614),
    [anon_sym_SEMI] = ACTIONS(1614),
    [aux_sym_declare_statement_token1] = ACTIONS(1614),
    [anon_sym_COMMA] = ACTIONS(1614),
    [aux_sym_set_statement_token1] = ACTIONS(1614),
    [anon_sym_LPAREN] = ACTIONS(1614),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1614),
    [aux_sym_return_satement_token1] = ACTIONS(1614),
    [aux_sym_call_statement_token1] = ACTIONS(1614),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1614),
    [aux_sym_if_statement_token1] = ACTIONS(1614),
    [aux_sym_loop_statement_token1] = ACTIONS(1614),
    [aux_sym_repeat_statement_token1] = ACTIONS(1614),
    [aux_sym_while_statement_token1] = ACTIONS(1614),
    [aux_sym_break_statement_token1] = ACTIONS(1614),
    [aux_sym_leave_statement_token1] = ACTIONS(1614),
    [aux_sym_continue_statement_token1] = ACTIONS(1614),
    [aux_sym_iterate_statement_token1] = ACTIONS(1614),
    [aux_sym_raise_statement_token1] = ACTIONS(1614),
    [anon_sym_EQ] = ACTIONS(1614),
    [aux_sym_assert_statement_token1] = ACTIONS(1614),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1614),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1614),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1614),
    [anon_sym_LT] = ACTIONS(1616),
    [anon_sym_GT] = ACTIONS(1616),
    [aux_sym_set_operation_token1] = ACTIONS(1614),
    [aux_sym_set_operation_token3] = ACTIONS(1614),
    [aux_sym_set_operation_token4] = ACTIONS(1616),
    [aux_sym_select_token1] = ACTIONS(1614),
    [aux_sym_limit_clause_token1] = ACTIONS(1614),
    [aux_sym__direction_keywords_token1] = ACTIONS(1614),
    [aux_sym__direction_keywords_token2] = ACTIONS(1614),
    [aux_sym__nulls_preference_token1] = ACTIONS(1614),
    [aux_sym_insert_statement_token1] = ACTIONS(1614),
    [aux_sym_truncate_statement_token1] = ACTIONS(1614),
    [aux_sym_update_statement_token1] = ACTIONS(1614),
    [aux_sym_merge_statement_token1] = ACTIONS(1614),
    [aux_sym_grant_statement_token1] = ACTIONS(1614),
    [aux_sym_revoke_statement_token1] = ACTIONS(1614),
    [aux_sym_export_data_statement_token1] = ACTIONS(1614),
    [aux_sym_load_data_statement_token1] = ACTIONS(1614),
    [anon_sym_LBRACK] = ACTIONS(1614),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1614),
    [anon_sym_PLUS] = ACTIONS(1614),
    [anon_sym_DASH] = ACTIONS(1616),
    [anon_sym_STAR] = ACTIONS(1614),
    [anon_sym_SLASH] = ACTIONS(1616),
    [anon_sym_PIPE_PIPE] = ACTIONS(1614),
    [anon_sym_LT_EQ] = ACTIONS(1614),
    [anon_sym_LT_GT] = ACTIONS(1614),
    [anon_sym_GT_EQ] = ACTIONS(1614),
    [anon_sym_BANG_EQ] = ACTIONS(1614),
    [anon_sym_LT_LT] = ACTIONS(1614),
    [anon_sym_GT_GT] = ACTIONS(1614),
    [anon_sym_AMP] = ACTIONS(1614),
    [anon_sym_CARET] = ACTIONS(1614),
    [anon_sym_PIPE] = ACTIONS(1616),
  },
  [3310] = {
    [ts_builtin_sym_end] = ACTIONS(1594),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1594),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1594),
    [aux_sym_keyword_replace_token1] = ACTIONS(1594),
    [aux_sym__keyword_alter_token1] = ACTIONS(1594),
    [aux_sym__keyword_delete_token1] = ACTIONS(1594),
    [aux_sym__keyword_begin_token1] = ACTIONS(1594),
    [aux_sym__keyword_end_token1] = ACTIONS(1594),
    [aux_sym__keyword_between_token1] = ACTIONS(1594),
    [aux_sym__keyword_when_token1] = ACTIONS(1594),
    [aux_sym__keyword_else_token1] = ACTIONS(1596),
    [aux_sym__keyword_is_token1] = ACTIONS(1594),
    [aux_sym__keyword_in_token1] = ACTIONS(1596),
    [aux_sym__keyword_and_token1] = ACTIONS(1594),
    [aux_sym__keyword_like_token1] = ACTIONS(1594),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1594),
    [aux_sym__keyword_for_token1] = ACTIONS(1594),
    [anon_sym_SEMI] = ACTIONS(1594),
    [aux_sym_declare_statement_token1] = ACTIONS(1594),
    [anon_sym_COMMA] = ACTIONS(1594),
    [aux_sym_set_statement_token1] = ACTIONS(1594),
    [anon_sym_LPAREN] = ACTIONS(1594),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1594),
    [aux_sym_return_satement_token1] = ACTIONS(1594),
    [aux_sym_call_statement_token1] = ACTIONS(1594),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1594),
    [aux_sym_if_statement_token1] = ACTIONS(1594),
    [aux_sym_loop_statement_token1] = ACTIONS(1594),
    [aux_sym_repeat_statement_token1] = ACTIONS(1594),
    [aux_sym_while_statement_token1] = ACTIONS(1594),
    [aux_sym_break_statement_token1] = ACTIONS(1594),
    [aux_sym_leave_statement_token1] = ACTIONS(1594),
    [aux_sym_continue_statement_token1] = ACTIONS(1594),
    [aux_sym_iterate_statement_token1] = ACTIONS(1594),
    [aux_sym_raise_statement_token1] = ACTIONS(1594),
    [anon_sym_EQ] = ACTIONS(1594),
    [aux_sym_assert_statement_token1] = ACTIONS(1594),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1594),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1594),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1594),
    [anon_sym_LT] = ACTIONS(1596),
    [anon_sym_GT] = ACTIONS(1596),
    [aux_sym_set_operation_token1] = ACTIONS(1594),
    [aux_sym_set_operation_token3] = ACTIONS(1594),
    [aux_sym_set_operation_token4] = ACTIONS(1596),
    [aux_sym_select_token1] = ACTIONS(1594),
    [aux_sym_limit_clause_token1] = ACTIONS(1594),
    [aux_sym__direction_keywords_token1] = ACTIONS(1594),
    [aux_sym__direction_keywords_token2] = ACTIONS(1594),
    [aux_sym__nulls_preference_token1] = ACTIONS(1594),
    [aux_sym_insert_statement_token1] = ACTIONS(1594),
    [aux_sym_truncate_statement_token1] = ACTIONS(1594),
    [aux_sym_update_statement_token1] = ACTIONS(1594),
    [aux_sym_merge_statement_token1] = ACTIONS(1594),
    [aux_sym_grant_statement_token1] = ACTIONS(1594),
    [aux_sym_revoke_statement_token1] = ACTIONS(1594),
    [aux_sym_export_data_statement_token1] = ACTIONS(1594),
    [aux_sym_load_data_statement_token1] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1594),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1594),
    [anon_sym_PLUS] = ACTIONS(1594),
    [anon_sym_DASH] = ACTIONS(1596),
    [anon_sym_STAR] = ACTIONS(1594),
    [anon_sym_SLASH] = ACTIONS(1596),
    [anon_sym_PIPE_PIPE] = ACTIONS(1594),
    [anon_sym_LT_EQ] = ACTIONS(1594),
    [anon_sym_LT_GT] = ACTIONS(1594),
    [anon_sym_GT_EQ] = ACTIONS(1594),
    [anon_sym_BANG_EQ] = ACTIONS(1594),
    [anon_sym_LT_LT] = ACTIONS(1594),
    [anon_sym_GT_GT] = ACTIONS(1594),
    [anon_sym_AMP] = ACTIONS(1594),
    [anon_sym_CARET] = ACTIONS(1594),
    [anon_sym_PIPE] = ACTIONS(1596),
  },
  [3311] = {
    [sym_analytics_clause] = STATE(3468),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [3312] = {
    [sym_analytics_clause] = STATE(3534),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [3313] = {
    [sym_analytics_clause] = STATE(3470),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [3314] = {
    [sym_analytics_clause] = STATE(3388),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [3315] = {
    [sym_analytics_clause] = STATE(3471),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [3316] = {
    [sym_analytics_clause] = STATE(3472),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [3317] = {
    [sym_analytics_clause] = STATE(3528),
    [sym__unquoted_identifier] = ACTIONS(1376),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1376),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1376),
    [aux_sym_keyword_replace_token1] = ACTIONS(1376),
    [aux_sym__keyword_alter_token1] = ACTIONS(1376),
    [aux_sym__keyword_delete_token1] = ACTIONS(1376),
    [aux_sym__keyword_begin_token1] = ACTIONS(1376),
    [aux_sym__keyword_end_token1] = ACTIONS(1376),
    [aux_sym__keyword_between_token1] = ACTIONS(1376),
    [aux_sym__keyword_else_token1] = ACTIONS(1376),
    [aux_sym__keyword_is_token1] = ACTIONS(1376),
    [aux_sym__keyword_in_token1] = ACTIONS(1376),
    [aux_sym__keyword_and_token1] = ACTIONS(1376),
    [aux_sym__keyword_like_token1] = ACTIONS(1376),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1376),
    [aux_sym__keyword_as_token1] = ACTIONS(1376),
    [aux_sym__keyword_date_token1] = ACTIONS(1376),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1376),
    [aux_sym__keyword_time_token1] = ACTIONS(1376),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1376),
    [aux_sym__keyword_for_token1] = ACTIONS(1376),
    [anon_sym_SEMI] = ACTIONS(1374),
    [aux_sym_declare_statement_token1] = ACTIONS(1376),
    [anon_sym_COMMA] = ACTIONS(1374),
    [aux_sym_set_statement_token1] = ACTIONS(1376),
    [anon_sym_LPAREN] = ACTIONS(1374),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1376),
    [aux_sym_return_satement_token1] = ACTIONS(1376),
    [aux_sym_call_statement_token1] = ACTIONS(1376),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1376),
    [aux_sym_if_statement_token1] = ACTIONS(1376),
    [aux_sym_loop_statement_token1] = ACTIONS(1376),
    [aux_sym_repeat_statement_token1] = ACTIONS(1376),
    [aux_sym_while_statement_token1] = ACTIONS(1376),
    [aux_sym_break_statement_token1] = ACTIONS(1376),
    [aux_sym_leave_statement_token1] = ACTIONS(1376),
    [aux_sym_continue_statement_token1] = ACTIONS(1376),
    [aux_sym_iterate_statement_token1] = ACTIONS(1376),
    [aux_sym_raise_statement_token1] = ACTIONS(1376),
    [anon_sym_EQ] = ACTIONS(1374),
    [aux_sym_assert_statement_token1] = ACTIONS(1376),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1376),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1376),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1376),
    [anon_sym_LT] = ACTIONS(1376),
    [anon_sym_GT] = ACTIONS(1376),
    [aux_sym_select_token1] = ACTIONS(1376),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1376),
    [aux_sym_truncate_statement_token1] = ACTIONS(1376),
    [aux_sym_update_statement_token1] = ACTIONS(1376),
    [aux_sym_merge_statement_token1] = ACTIONS(1376),
    [aux_sym_grant_statement_token1] = ACTIONS(1376),
    [aux_sym_revoke_statement_token1] = ACTIONS(1376),
    [aux_sym_export_data_statement_token1] = ACTIONS(1376),
    [aux_sym_load_data_statement_token1] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(1374),
    [sym__quoted_identifier] = ACTIONS(1374),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_SLASH] = ACTIONS(1376),
    [anon_sym_PIPE_PIPE] = ACTIONS(1374),
    [anon_sym_LT_EQ] = ACTIONS(1374),
    [anon_sym_LT_GT] = ACTIONS(1374),
    [anon_sym_GT_EQ] = ACTIONS(1374),
    [anon_sym_BANG_EQ] = ACTIONS(1374),
    [anon_sym_LT_LT] = ACTIONS(1374),
    [anon_sym_GT_GT] = ACTIONS(1374),
    [anon_sym_AMP] = ACTIONS(1374),
    [anon_sym_CARET] = ACTIONS(1374),
    [anon_sym_PIPE] = ACTIONS(1376),
  },
  [3318] = {
    [sym_analytics_clause] = STATE(3473),
    [sym__unquoted_identifier] = ACTIONS(1388),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1388),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1388),
    [aux_sym_keyword_replace_token1] = ACTIONS(1388),
    [aux_sym__keyword_alter_token1] = ACTIONS(1388),
    [aux_sym__keyword_delete_token1] = ACTIONS(1388),
    [aux_sym__keyword_begin_token1] = ACTIONS(1388),
    [aux_sym__keyword_end_token1] = ACTIONS(1388),
    [aux_sym__keyword_between_token1] = ACTIONS(1388),
    [aux_sym__keyword_else_token1] = ACTIONS(1388),
    [aux_sym__keyword_is_token1] = ACTIONS(1388),
    [aux_sym__keyword_in_token1] = ACTIONS(1388),
    [aux_sym__keyword_and_token1] = ACTIONS(1388),
    [aux_sym__keyword_like_token1] = ACTIONS(1388),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1388),
    [aux_sym__keyword_as_token1] = ACTIONS(1388),
    [aux_sym__keyword_date_token1] = ACTIONS(1388),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1388),
    [aux_sym__keyword_time_token1] = ACTIONS(1388),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1388),
    [aux_sym__keyword_for_token1] = ACTIONS(1388),
    [anon_sym_SEMI] = ACTIONS(1386),
    [aux_sym_declare_statement_token1] = ACTIONS(1388),
    [anon_sym_COMMA] = ACTIONS(1386),
    [aux_sym_set_statement_token1] = ACTIONS(1388),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1388),
    [aux_sym_return_satement_token1] = ACTIONS(1388),
    [aux_sym_call_statement_token1] = ACTIONS(1388),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1388),
    [aux_sym_if_statement_token1] = ACTIONS(1388),
    [aux_sym_loop_statement_token1] = ACTIONS(1388),
    [aux_sym_repeat_statement_token1] = ACTIONS(1388),
    [aux_sym_while_statement_token1] = ACTIONS(1388),
    [aux_sym_break_statement_token1] = ACTIONS(1388),
    [aux_sym_leave_statement_token1] = ACTIONS(1388),
    [aux_sym_continue_statement_token1] = ACTIONS(1388),
    [aux_sym_iterate_statement_token1] = ACTIONS(1388),
    [aux_sym_raise_statement_token1] = ACTIONS(1388),
    [anon_sym_EQ] = ACTIONS(1386),
    [aux_sym_assert_statement_token1] = ACTIONS(1388),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1388),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1388),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1388),
    [anon_sym_LT] = ACTIONS(1388),
    [anon_sym_GT] = ACTIONS(1388),
    [aux_sym_select_token1] = ACTIONS(1388),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1388),
    [aux_sym_truncate_statement_token1] = ACTIONS(1388),
    [aux_sym_update_statement_token1] = ACTIONS(1388),
    [aux_sym_merge_statement_token1] = ACTIONS(1388),
    [aux_sym_grant_statement_token1] = ACTIONS(1388),
    [aux_sym_revoke_statement_token1] = ACTIONS(1388),
    [aux_sym_export_data_statement_token1] = ACTIONS(1388),
    [aux_sym_load_data_statement_token1] = ACTIONS(1388),
    [anon_sym_LBRACK] = ACTIONS(1386),
    [sym__quoted_identifier] = ACTIONS(1386),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1386),
    [anon_sym_DASH] = ACTIONS(1388),
    [anon_sym_STAR] = ACTIONS(1386),
    [anon_sym_SLASH] = ACTIONS(1388),
    [anon_sym_PIPE_PIPE] = ACTIONS(1386),
    [anon_sym_LT_EQ] = ACTIONS(1386),
    [anon_sym_LT_GT] = ACTIONS(1386),
    [anon_sym_GT_EQ] = ACTIONS(1386),
    [anon_sym_BANG_EQ] = ACTIONS(1386),
    [anon_sym_LT_LT] = ACTIONS(1386),
    [anon_sym_GT_GT] = ACTIONS(1386),
    [anon_sym_AMP] = ACTIONS(1386),
    [anon_sym_CARET] = ACTIONS(1386),
    [anon_sym_PIPE] = ACTIONS(1388),
  },
  [3319] = {
    [sym_analytics_clause] = STATE(3474),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3320] = {
    [ts_builtin_sym_end] = ACTIONS(1516),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1516),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1516),
    [aux_sym_keyword_replace_token1] = ACTIONS(1516),
    [aux_sym__keyword_alter_token1] = ACTIONS(1516),
    [aux_sym__keyword_delete_token1] = ACTIONS(1516),
    [aux_sym__keyword_begin_token1] = ACTIONS(1516),
    [aux_sym__keyword_end_token1] = ACTIONS(1516),
    [aux_sym__keyword_between_token1] = ACTIONS(1516),
    [aux_sym__keyword_when_token1] = ACTIONS(1516),
    [aux_sym__keyword_else_token1] = ACTIONS(1518),
    [aux_sym__keyword_is_token1] = ACTIONS(1516),
    [aux_sym__keyword_in_token1] = ACTIONS(1518),
    [aux_sym__keyword_and_token1] = ACTIONS(1516),
    [aux_sym__keyword_like_token1] = ACTIONS(1516),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1516),
    [aux_sym__keyword_for_token1] = ACTIONS(1516),
    [anon_sym_SEMI] = ACTIONS(1516),
    [aux_sym_declare_statement_token1] = ACTIONS(1516),
    [anon_sym_COMMA] = ACTIONS(1516),
    [aux_sym_set_statement_token1] = ACTIONS(1516),
    [anon_sym_LPAREN] = ACTIONS(1516),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1516),
    [aux_sym_return_satement_token1] = ACTIONS(1516),
    [aux_sym_call_statement_token1] = ACTIONS(1516),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1516),
    [aux_sym_if_statement_token1] = ACTIONS(1516),
    [aux_sym_loop_statement_token1] = ACTIONS(1516),
    [aux_sym_repeat_statement_token1] = ACTIONS(1516),
    [aux_sym_while_statement_token1] = ACTIONS(1516),
    [aux_sym_break_statement_token1] = ACTIONS(1516),
    [aux_sym_leave_statement_token1] = ACTIONS(1516),
    [aux_sym_continue_statement_token1] = ACTIONS(1516),
    [aux_sym_iterate_statement_token1] = ACTIONS(1516),
    [aux_sym_raise_statement_token1] = ACTIONS(1516),
    [anon_sym_EQ] = ACTIONS(1516),
    [aux_sym_assert_statement_token1] = ACTIONS(1516),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1516),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1516),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1516),
    [anon_sym_LT] = ACTIONS(1518),
    [anon_sym_GT] = ACTIONS(1518),
    [aux_sym_set_operation_token1] = ACTIONS(1516),
    [aux_sym_set_operation_token3] = ACTIONS(1516),
    [aux_sym_set_operation_token4] = ACTIONS(1518),
    [aux_sym_select_token1] = ACTIONS(1516),
    [aux_sym_limit_clause_token1] = ACTIONS(1516),
    [aux_sym__direction_keywords_token1] = ACTIONS(1516),
    [aux_sym__direction_keywords_token2] = ACTIONS(1516),
    [aux_sym__nulls_preference_token1] = ACTIONS(1516),
    [aux_sym_insert_statement_token1] = ACTIONS(1516),
    [aux_sym_truncate_statement_token1] = ACTIONS(1516),
    [aux_sym_update_statement_token1] = ACTIONS(1516),
    [aux_sym_merge_statement_token1] = ACTIONS(1516),
    [aux_sym_grant_statement_token1] = ACTIONS(1516),
    [aux_sym_revoke_statement_token1] = ACTIONS(1516),
    [aux_sym_export_data_statement_token1] = ACTIONS(1516),
    [aux_sym_load_data_statement_token1] = ACTIONS(1516),
    [anon_sym_LBRACK] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1516),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1518),
    [anon_sym_STAR] = ACTIONS(1516),
    [anon_sym_SLASH] = ACTIONS(1518),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [anon_sym_LT_EQ] = ACTIONS(1516),
    [anon_sym_LT_GT] = ACTIONS(1516),
    [anon_sym_GT_EQ] = ACTIONS(1516),
    [anon_sym_BANG_EQ] = ACTIONS(1516),
    [anon_sym_LT_LT] = ACTIONS(1516),
    [anon_sym_GT_GT] = ACTIONS(1516),
    [anon_sym_AMP] = ACTIONS(1516),
    [anon_sym_CARET] = ACTIONS(1516),
    [anon_sym_PIPE] = ACTIONS(1518),
  },
  [3321] = {
    [ts_builtin_sym_end] = ACTIONS(1610),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1610),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1610),
    [aux_sym_keyword_replace_token1] = ACTIONS(1610),
    [aux_sym__keyword_alter_token1] = ACTIONS(1610),
    [aux_sym__keyword_delete_token1] = ACTIONS(1610),
    [aux_sym__keyword_begin_token1] = ACTIONS(1610),
    [aux_sym__keyword_end_token1] = ACTIONS(1610),
    [aux_sym__keyword_between_token1] = ACTIONS(1610),
    [aux_sym__keyword_when_token1] = ACTIONS(1610),
    [aux_sym__keyword_else_token1] = ACTIONS(1612),
    [aux_sym__keyword_is_token1] = ACTIONS(1610),
    [aux_sym__keyword_in_token1] = ACTIONS(1612),
    [aux_sym__keyword_and_token1] = ACTIONS(1610),
    [aux_sym__keyword_like_token1] = ACTIONS(1610),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1610),
    [aux_sym__keyword_for_token1] = ACTIONS(1610),
    [anon_sym_SEMI] = ACTIONS(1610),
    [aux_sym_declare_statement_token1] = ACTIONS(1610),
    [anon_sym_COMMA] = ACTIONS(1610),
    [aux_sym_set_statement_token1] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1610),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1610),
    [aux_sym_return_satement_token1] = ACTIONS(1610),
    [aux_sym_call_statement_token1] = ACTIONS(1610),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1610),
    [aux_sym_if_statement_token1] = ACTIONS(1610),
    [aux_sym_loop_statement_token1] = ACTIONS(1610),
    [aux_sym_repeat_statement_token1] = ACTIONS(1610),
    [aux_sym_while_statement_token1] = ACTIONS(1610),
    [aux_sym_break_statement_token1] = ACTIONS(1610),
    [aux_sym_leave_statement_token1] = ACTIONS(1610),
    [aux_sym_continue_statement_token1] = ACTIONS(1610),
    [aux_sym_iterate_statement_token1] = ACTIONS(1610),
    [aux_sym_raise_statement_token1] = ACTIONS(1610),
    [anon_sym_EQ] = ACTIONS(1610),
    [aux_sym_assert_statement_token1] = ACTIONS(1610),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1610),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1610),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1610),
    [anon_sym_LT] = ACTIONS(1612),
    [anon_sym_GT] = ACTIONS(1612),
    [aux_sym_set_operation_token1] = ACTIONS(1610),
    [aux_sym_set_operation_token3] = ACTIONS(1610),
    [aux_sym_set_operation_token4] = ACTIONS(1612),
    [aux_sym_select_token1] = ACTIONS(1610),
    [aux_sym_limit_clause_token1] = ACTIONS(1610),
    [aux_sym__direction_keywords_token1] = ACTIONS(1610),
    [aux_sym__direction_keywords_token2] = ACTIONS(1610),
    [aux_sym__nulls_preference_token1] = ACTIONS(1610),
    [aux_sym_insert_statement_token1] = ACTIONS(1610),
    [aux_sym_truncate_statement_token1] = ACTIONS(1610),
    [aux_sym_update_statement_token1] = ACTIONS(1610),
    [aux_sym_merge_statement_token1] = ACTIONS(1610),
    [aux_sym_grant_statement_token1] = ACTIONS(1610),
    [aux_sym_revoke_statement_token1] = ACTIONS(1610),
    [aux_sym_export_data_statement_token1] = ACTIONS(1610),
    [aux_sym_load_data_statement_token1] = ACTIONS(1610),
    [anon_sym_LBRACK] = ACTIONS(1610),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1610),
    [anon_sym_PLUS] = ACTIONS(1610),
    [anon_sym_DASH] = ACTIONS(1612),
    [anon_sym_STAR] = ACTIONS(1610),
    [anon_sym_SLASH] = ACTIONS(1612),
    [anon_sym_PIPE_PIPE] = ACTIONS(1610),
    [anon_sym_LT_EQ] = ACTIONS(1610),
    [anon_sym_LT_GT] = ACTIONS(1610),
    [anon_sym_GT_EQ] = ACTIONS(1610),
    [anon_sym_BANG_EQ] = ACTIONS(1610),
    [anon_sym_LT_LT] = ACTIONS(1610),
    [anon_sym_GT_GT] = ACTIONS(1610),
    [anon_sym_AMP] = ACTIONS(1610),
    [anon_sym_CARET] = ACTIONS(1610),
    [anon_sym_PIPE] = ACTIONS(1612),
  },
  [3322] = {
    [ts_builtin_sym_end] = ACTIONS(1606),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1606),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1606),
    [aux_sym_keyword_replace_token1] = ACTIONS(1606),
    [aux_sym__keyword_alter_token1] = ACTIONS(1606),
    [aux_sym__keyword_delete_token1] = ACTIONS(1606),
    [aux_sym__keyword_begin_token1] = ACTIONS(1606),
    [aux_sym__keyword_end_token1] = ACTIONS(1606),
    [aux_sym__keyword_between_token1] = ACTIONS(1606),
    [aux_sym__keyword_when_token1] = ACTIONS(1606),
    [aux_sym__keyword_else_token1] = ACTIONS(1608),
    [aux_sym__keyword_is_token1] = ACTIONS(1606),
    [aux_sym__keyword_in_token1] = ACTIONS(1608),
    [aux_sym__keyword_and_token1] = ACTIONS(1606),
    [aux_sym__keyword_like_token1] = ACTIONS(1606),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1606),
    [aux_sym__keyword_for_token1] = ACTIONS(1606),
    [anon_sym_SEMI] = ACTIONS(1606),
    [aux_sym_declare_statement_token1] = ACTIONS(1606),
    [anon_sym_COMMA] = ACTIONS(1606),
    [aux_sym_set_statement_token1] = ACTIONS(1606),
    [anon_sym_LPAREN] = ACTIONS(1606),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1606),
    [aux_sym_return_satement_token1] = ACTIONS(1606),
    [aux_sym_call_statement_token1] = ACTIONS(1606),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1606),
    [aux_sym_if_statement_token1] = ACTIONS(1606),
    [aux_sym_loop_statement_token1] = ACTIONS(1606),
    [aux_sym_repeat_statement_token1] = ACTIONS(1606),
    [aux_sym_while_statement_token1] = ACTIONS(1606),
    [aux_sym_break_statement_token1] = ACTIONS(1606),
    [aux_sym_leave_statement_token1] = ACTIONS(1606),
    [aux_sym_continue_statement_token1] = ACTIONS(1606),
    [aux_sym_iterate_statement_token1] = ACTIONS(1606),
    [aux_sym_raise_statement_token1] = ACTIONS(1606),
    [anon_sym_EQ] = ACTIONS(1606),
    [aux_sym_assert_statement_token1] = ACTIONS(1606),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1606),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1606),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1606),
    [anon_sym_LT] = ACTIONS(1608),
    [anon_sym_GT] = ACTIONS(1608),
    [aux_sym_set_operation_token1] = ACTIONS(1606),
    [aux_sym_set_operation_token3] = ACTIONS(1606),
    [aux_sym_set_operation_token4] = ACTIONS(1608),
    [aux_sym_select_token1] = ACTIONS(1606),
    [aux_sym_limit_clause_token1] = ACTIONS(1606),
    [aux_sym__direction_keywords_token1] = ACTIONS(1606),
    [aux_sym__direction_keywords_token2] = ACTIONS(1606),
    [aux_sym__nulls_preference_token1] = ACTIONS(1606),
    [aux_sym_insert_statement_token1] = ACTIONS(1606),
    [aux_sym_truncate_statement_token1] = ACTIONS(1606),
    [aux_sym_update_statement_token1] = ACTIONS(1606),
    [aux_sym_merge_statement_token1] = ACTIONS(1606),
    [aux_sym_grant_statement_token1] = ACTIONS(1606),
    [aux_sym_revoke_statement_token1] = ACTIONS(1606),
    [aux_sym_export_data_statement_token1] = ACTIONS(1606),
    [aux_sym_load_data_statement_token1] = ACTIONS(1606),
    [anon_sym_LBRACK] = ACTIONS(1606),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1606),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_STAR] = ACTIONS(1606),
    [anon_sym_SLASH] = ACTIONS(1608),
    [anon_sym_PIPE_PIPE] = ACTIONS(1606),
    [anon_sym_LT_EQ] = ACTIONS(1606),
    [anon_sym_LT_GT] = ACTIONS(1606),
    [anon_sym_GT_EQ] = ACTIONS(1606),
    [anon_sym_BANG_EQ] = ACTIONS(1606),
    [anon_sym_LT_LT] = ACTIONS(1606),
    [anon_sym_GT_GT] = ACTIONS(1606),
    [anon_sym_AMP] = ACTIONS(1606),
    [anon_sym_CARET] = ACTIONS(1606),
    [anon_sym_PIPE] = ACTIONS(1608),
  },
  [3323] = {
    [sym_analytics_clause] = STATE(3475),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3324] = {
    [sym_analytics_clause] = STATE(3476),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3325] = {
    [ts_builtin_sym_end] = ACTIONS(1602),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1602),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1602),
    [aux_sym_keyword_replace_token1] = ACTIONS(1602),
    [aux_sym__keyword_alter_token1] = ACTIONS(1602),
    [aux_sym__keyword_delete_token1] = ACTIONS(1602),
    [aux_sym__keyword_begin_token1] = ACTIONS(1602),
    [aux_sym__keyword_end_token1] = ACTIONS(1602),
    [aux_sym__keyword_between_token1] = ACTIONS(1602),
    [aux_sym__keyword_when_token1] = ACTIONS(1602),
    [aux_sym__keyword_else_token1] = ACTIONS(1604),
    [aux_sym__keyword_is_token1] = ACTIONS(1602),
    [aux_sym__keyword_in_token1] = ACTIONS(1604),
    [aux_sym__keyword_and_token1] = ACTIONS(1602),
    [aux_sym__keyword_like_token1] = ACTIONS(1602),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1602),
    [aux_sym__keyword_for_token1] = ACTIONS(1602),
    [anon_sym_SEMI] = ACTIONS(1602),
    [aux_sym_declare_statement_token1] = ACTIONS(1602),
    [anon_sym_COMMA] = ACTIONS(1602),
    [aux_sym_set_statement_token1] = ACTIONS(1602),
    [anon_sym_LPAREN] = ACTIONS(1602),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1602),
    [aux_sym_return_satement_token1] = ACTIONS(1602),
    [aux_sym_call_statement_token1] = ACTIONS(1602),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1602),
    [aux_sym_if_statement_token1] = ACTIONS(1602),
    [aux_sym_loop_statement_token1] = ACTIONS(1602),
    [aux_sym_repeat_statement_token1] = ACTIONS(1602),
    [aux_sym_while_statement_token1] = ACTIONS(1602),
    [aux_sym_break_statement_token1] = ACTIONS(1602),
    [aux_sym_leave_statement_token1] = ACTIONS(1602),
    [aux_sym_continue_statement_token1] = ACTIONS(1602),
    [aux_sym_iterate_statement_token1] = ACTIONS(1602),
    [aux_sym_raise_statement_token1] = ACTIONS(1602),
    [anon_sym_EQ] = ACTIONS(1602),
    [aux_sym_assert_statement_token1] = ACTIONS(1602),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1602),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1602),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1602),
    [anon_sym_LT] = ACTIONS(1604),
    [anon_sym_GT] = ACTIONS(1604),
    [aux_sym_set_operation_token1] = ACTIONS(1602),
    [aux_sym_set_operation_token3] = ACTIONS(1602),
    [aux_sym_set_operation_token4] = ACTIONS(1604),
    [aux_sym_select_token1] = ACTIONS(1602),
    [aux_sym_limit_clause_token1] = ACTIONS(1602),
    [aux_sym__direction_keywords_token1] = ACTIONS(1602),
    [aux_sym__direction_keywords_token2] = ACTIONS(1602),
    [aux_sym__nulls_preference_token1] = ACTIONS(1602),
    [aux_sym_insert_statement_token1] = ACTIONS(1602),
    [aux_sym_truncate_statement_token1] = ACTIONS(1602),
    [aux_sym_update_statement_token1] = ACTIONS(1602),
    [aux_sym_merge_statement_token1] = ACTIONS(1602),
    [aux_sym_grant_statement_token1] = ACTIONS(1602),
    [aux_sym_revoke_statement_token1] = ACTIONS(1602),
    [aux_sym_export_data_statement_token1] = ACTIONS(1602),
    [aux_sym_load_data_statement_token1] = ACTIONS(1602),
    [anon_sym_LBRACK] = ACTIONS(1602),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1602),
    [anon_sym_PLUS] = ACTIONS(1602),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_STAR] = ACTIONS(1602),
    [anon_sym_SLASH] = ACTIONS(1604),
    [anon_sym_PIPE_PIPE] = ACTIONS(1602),
    [anon_sym_LT_EQ] = ACTIONS(1602),
    [anon_sym_LT_GT] = ACTIONS(1602),
    [anon_sym_GT_EQ] = ACTIONS(1602),
    [anon_sym_BANG_EQ] = ACTIONS(1602),
    [anon_sym_LT_LT] = ACTIONS(1602),
    [anon_sym_GT_GT] = ACTIONS(1602),
    [anon_sym_AMP] = ACTIONS(1602),
    [anon_sym_CARET] = ACTIONS(1602),
    [anon_sym_PIPE] = ACTIONS(1604),
  },
  [3326] = {
    [sym_analytics_clause] = STATE(3477),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3327] = {
    [sym_analytics_clause] = STATE(3478),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3328] = {
    [sym_analytics_clause] = STATE(3479),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3329] = {
    [sym_analytics_clause] = STATE(3480),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3330] = {
    [sym_analytics_clause] = STATE(3481),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3331] = {
    [sym_analytics_clause] = STATE(3482),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3332] = {
    [sym_analytics_clause] = STATE(3483),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3333] = {
    [sym_analytics_clause] = STATE(3484),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3334] = {
    [sym_analytics_clause] = STATE(3485),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3335] = {
    [sym_analytics_clause] = STATE(3486),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3336] = {
    [sym_analytics_clause] = STATE(3487),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3337] = {
    [sym_analytics_clause] = STATE(3488),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3338] = {
    [sym_analytics_clause] = STATE(3489),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3339] = {
    [sym_analytics_clause] = STATE(3490),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3340] = {
    [sym_analytics_clause] = STATE(3491),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3341] = {
    [sym_analytics_clause] = STATE(3492),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3342] = {
    [sym_analytics_clause] = STATE(3493),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3343] = {
    [sym_analytics_clause] = STATE(3494),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3344] = {
    [sym_analytics_clause] = STATE(3495),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3345] = {
    [sym_analytics_clause] = STATE(3496),
    [sym__unquoted_identifier] = ACTIONS(1384),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1384),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1384),
    [aux_sym_keyword_replace_token1] = ACTIONS(1384),
    [aux_sym__keyword_alter_token1] = ACTIONS(1384),
    [aux_sym__keyword_delete_token1] = ACTIONS(1384),
    [aux_sym__keyword_begin_token1] = ACTIONS(1384),
    [aux_sym__keyword_end_token1] = ACTIONS(1384),
    [aux_sym__keyword_between_token1] = ACTIONS(1384),
    [aux_sym__keyword_else_token1] = ACTIONS(1384),
    [aux_sym__keyword_is_token1] = ACTIONS(1384),
    [aux_sym__keyword_in_token1] = ACTIONS(1384),
    [aux_sym__keyword_and_token1] = ACTIONS(1384),
    [aux_sym__keyword_like_token1] = ACTIONS(1384),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1384),
    [aux_sym__keyword_as_token1] = ACTIONS(1384),
    [aux_sym__keyword_date_token1] = ACTIONS(1384),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1384),
    [aux_sym__keyword_time_token1] = ACTIONS(1384),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1384),
    [aux_sym__keyword_for_token1] = ACTIONS(1384),
    [anon_sym_SEMI] = ACTIONS(1382),
    [aux_sym_declare_statement_token1] = ACTIONS(1384),
    [anon_sym_COMMA] = ACTIONS(1382),
    [aux_sym_set_statement_token1] = ACTIONS(1384),
    [anon_sym_LPAREN] = ACTIONS(1382),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1384),
    [aux_sym_return_satement_token1] = ACTIONS(1384),
    [aux_sym_call_statement_token1] = ACTIONS(1384),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1384),
    [aux_sym_if_statement_token1] = ACTIONS(1384),
    [aux_sym_loop_statement_token1] = ACTIONS(1384),
    [aux_sym_repeat_statement_token1] = ACTIONS(1384),
    [aux_sym_while_statement_token1] = ACTIONS(1384),
    [aux_sym_break_statement_token1] = ACTIONS(1384),
    [aux_sym_leave_statement_token1] = ACTIONS(1384),
    [aux_sym_continue_statement_token1] = ACTIONS(1384),
    [aux_sym_iterate_statement_token1] = ACTIONS(1384),
    [aux_sym_raise_statement_token1] = ACTIONS(1384),
    [anon_sym_EQ] = ACTIONS(1382),
    [aux_sym_assert_statement_token1] = ACTIONS(1384),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1384),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1384),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1384),
    [anon_sym_LT] = ACTIONS(1384),
    [anon_sym_GT] = ACTIONS(1384),
    [aux_sym_select_token1] = ACTIONS(1384),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1384),
    [aux_sym_truncate_statement_token1] = ACTIONS(1384),
    [aux_sym_update_statement_token1] = ACTIONS(1384),
    [aux_sym_merge_statement_token1] = ACTIONS(1384),
    [aux_sym_grant_statement_token1] = ACTIONS(1384),
    [aux_sym_revoke_statement_token1] = ACTIONS(1384),
    [aux_sym_export_data_statement_token1] = ACTIONS(1384),
    [aux_sym_load_data_statement_token1] = ACTIONS(1384),
    [anon_sym_LBRACK] = ACTIONS(1382),
    [sym__quoted_identifier] = ACTIONS(1382),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1382),
    [anon_sym_PLUS] = ACTIONS(1382),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_STAR] = ACTIONS(1382),
    [anon_sym_SLASH] = ACTIONS(1384),
    [anon_sym_PIPE_PIPE] = ACTIONS(1382),
    [anon_sym_LT_EQ] = ACTIONS(1382),
    [anon_sym_LT_GT] = ACTIONS(1382),
    [anon_sym_GT_EQ] = ACTIONS(1382),
    [anon_sym_BANG_EQ] = ACTIONS(1382),
    [anon_sym_LT_LT] = ACTIONS(1382),
    [anon_sym_GT_GT] = ACTIONS(1382),
    [anon_sym_AMP] = ACTIONS(1382),
    [anon_sym_CARET] = ACTIONS(1382),
    [anon_sym_PIPE] = ACTIONS(1384),
  },
  [3346] = {
    [sym_analytics_clause] = STATE(3497),
    [sym__unquoted_identifier] = ACTIONS(1392),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1392),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1392),
    [aux_sym_keyword_replace_token1] = ACTIONS(1392),
    [aux_sym__keyword_alter_token1] = ACTIONS(1392),
    [aux_sym__keyword_delete_token1] = ACTIONS(1392),
    [aux_sym__keyword_begin_token1] = ACTIONS(1392),
    [aux_sym__keyword_end_token1] = ACTIONS(1392),
    [aux_sym__keyword_between_token1] = ACTIONS(1392),
    [aux_sym__keyword_else_token1] = ACTIONS(1392),
    [aux_sym__keyword_is_token1] = ACTIONS(1392),
    [aux_sym__keyword_in_token1] = ACTIONS(1392),
    [aux_sym__keyword_and_token1] = ACTIONS(1392),
    [aux_sym__keyword_like_token1] = ACTIONS(1392),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1392),
    [aux_sym__keyword_as_token1] = ACTIONS(1392),
    [aux_sym__keyword_date_token1] = ACTIONS(1392),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1392),
    [aux_sym__keyword_time_token1] = ACTIONS(1392),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1392),
    [aux_sym__keyword_for_token1] = ACTIONS(1392),
    [anon_sym_SEMI] = ACTIONS(1390),
    [aux_sym_declare_statement_token1] = ACTIONS(1392),
    [anon_sym_COMMA] = ACTIONS(1390),
    [aux_sym_set_statement_token1] = ACTIONS(1392),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1392),
    [aux_sym_return_satement_token1] = ACTIONS(1392),
    [aux_sym_call_statement_token1] = ACTIONS(1392),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1392),
    [aux_sym_if_statement_token1] = ACTIONS(1392),
    [aux_sym_loop_statement_token1] = ACTIONS(1392),
    [aux_sym_repeat_statement_token1] = ACTIONS(1392),
    [aux_sym_while_statement_token1] = ACTIONS(1392),
    [aux_sym_break_statement_token1] = ACTIONS(1392),
    [aux_sym_leave_statement_token1] = ACTIONS(1392),
    [aux_sym_continue_statement_token1] = ACTIONS(1392),
    [aux_sym_iterate_statement_token1] = ACTIONS(1392),
    [aux_sym_raise_statement_token1] = ACTIONS(1392),
    [anon_sym_EQ] = ACTIONS(1390),
    [aux_sym_assert_statement_token1] = ACTIONS(1392),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1392),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1392),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1392),
    [anon_sym_LT] = ACTIONS(1392),
    [anon_sym_GT] = ACTIONS(1392),
    [aux_sym_select_token1] = ACTIONS(1392),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1392),
    [aux_sym_truncate_statement_token1] = ACTIONS(1392),
    [aux_sym_update_statement_token1] = ACTIONS(1392),
    [aux_sym_merge_statement_token1] = ACTIONS(1392),
    [aux_sym_grant_statement_token1] = ACTIONS(1392),
    [aux_sym_revoke_statement_token1] = ACTIONS(1392),
    [aux_sym_export_data_statement_token1] = ACTIONS(1392),
    [aux_sym_load_data_statement_token1] = ACTIONS(1392),
    [anon_sym_LBRACK] = ACTIONS(1390),
    [sym__quoted_identifier] = ACTIONS(1390),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_DASH] = ACTIONS(1392),
    [anon_sym_STAR] = ACTIONS(1390),
    [anon_sym_SLASH] = ACTIONS(1392),
    [anon_sym_PIPE_PIPE] = ACTIONS(1390),
    [anon_sym_LT_EQ] = ACTIONS(1390),
    [anon_sym_LT_GT] = ACTIONS(1390),
    [anon_sym_GT_EQ] = ACTIONS(1390),
    [anon_sym_BANG_EQ] = ACTIONS(1390),
    [anon_sym_LT_LT] = ACTIONS(1390),
    [anon_sym_GT_GT] = ACTIONS(1390),
    [anon_sym_AMP] = ACTIONS(1390),
    [anon_sym_CARET] = ACTIONS(1390),
    [anon_sym_PIPE] = ACTIONS(1392),
  },
  [3347] = {
    [sym_analytics_clause] = STATE(3498),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [3348] = {
    [sym_analytics_clause] = STATE(3499),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [3349] = {
    [sym_analytics_clause] = STATE(3500),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [3350] = {
    [sym_analytics_clause] = STATE(3501),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [3351] = {
    [sym_analytics_clause] = STATE(3502),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [3352] = {
    [sym_analytics_clause] = STATE(3503),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [3353] = {
    [sym_analytics_clause] = STATE(3504),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [3354] = {
    [sym_analytics_clause] = STATE(3505),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [3355] = {
    [sym_analytics_clause] = STATE(3506),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [3356] = {
    [sym_analytics_clause] = STATE(3508),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [3357] = {
    [sym_analytics_clause] = STATE(3509),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [3358] = {
    [sym_analytics_clause] = STATE(3510),
    [sym__unquoted_identifier] = ACTIONS(1486),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1486),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1486),
    [aux_sym_keyword_replace_token1] = ACTIONS(1486),
    [aux_sym__keyword_alter_token1] = ACTIONS(1486),
    [aux_sym__keyword_delete_token1] = ACTIONS(1486),
    [aux_sym__keyword_begin_token1] = ACTIONS(1486),
    [aux_sym__keyword_end_token1] = ACTIONS(1486),
    [aux_sym__keyword_between_token1] = ACTIONS(1486),
    [aux_sym__keyword_else_token1] = ACTIONS(1486),
    [aux_sym__keyword_is_token1] = ACTIONS(1486),
    [aux_sym__keyword_in_token1] = ACTIONS(1486),
    [aux_sym__keyword_and_token1] = ACTIONS(1486),
    [aux_sym__keyword_like_token1] = ACTIONS(1486),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1486),
    [aux_sym__keyword_as_token1] = ACTIONS(1486),
    [aux_sym__keyword_date_token1] = ACTIONS(1486),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1486),
    [aux_sym__keyword_time_token1] = ACTIONS(1486),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1486),
    [aux_sym__keyword_for_token1] = ACTIONS(1486),
    [anon_sym_SEMI] = ACTIONS(1484),
    [aux_sym_declare_statement_token1] = ACTIONS(1486),
    [anon_sym_COMMA] = ACTIONS(1484),
    [aux_sym_set_statement_token1] = ACTIONS(1486),
    [anon_sym_LPAREN] = ACTIONS(1484),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1486),
    [aux_sym_return_satement_token1] = ACTIONS(1486),
    [aux_sym_call_statement_token1] = ACTIONS(1486),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1486),
    [aux_sym_if_statement_token1] = ACTIONS(1486),
    [aux_sym_loop_statement_token1] = ACTIONS(1486),
    [aux_sym_repeat_statement_token1] = ACTIONS(1486),
    [aux_sym_while_statement_token1] = ACTIONS(1486),
    [aux_sym_break_statement_token1] = ACTIONS(1486),
    [aux_sym_leave_statement_token1] = ACTIONS(1486),
    [aux_sym_continue_statement_token1] = ACTIONS(1486),
    [aux_sym_iterate_statement_token1] = ACTIONS(1486),
    [aux_sym_raise_statement_token1] = ACTIONS(1486),
    [anon_sym_EQ] = ACTIONS(1484),
    [aux_sym_assert_statement_token1] = ACTIONS(1486),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1486),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1486),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1486),
    [anon_sym_LT] = ACTIONS(1486),
    [anon_sym_GT] = ACTIONS(1486),
    [aux_sym_select_token1] = ACTIONS(1486),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1486),
    [aux_sym_truncate_statement_token1] = ACTIONS(1486),
    [aux_sym_update_statement_token1] = ACTIONS(1486),
    [aux_sym_merge_statement_token1] = ACTIONS(1486),
    [aux_sym_grant_statement_token1] = ACTIONS(1486),
    [aux_sym_revoke_statement_token1] = ACTIONS(1486),
    [aux_sym_export_data_statement_token1] = ACTIONS(1486),
    [aux_sym_load_data_statement_token1] = ACTIONS(1486),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym__quoted_identifier] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_SLASH] = ACTIONS(1486),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [anon_sym_LT_EQ] = ACTIONS(1484),
    [anon_sym_LT_GT] = ACTIONS(1484),
    [anon_sym_GT_EQ] = ACTIONS(1484),
    [anon_sym_BANG_EQ] = ACTIONS(1484),
    [anon_sym_LT_LT] = ACTIONS(1484),
    [anon_sym_GT_GT] = ACTIONS(1484),
    [anon_sym_AMP] = ACTIONS(1484),
    [anon_sym_CARET] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1486),
  },
  [3359] = {
    [sym_analytics_clause] = STATE(3513),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3360] = {
    [sym_analytics_clause] = STATE(3514),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3361] = {
    [sym_analytics_clause] = STATE(3515),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3362] = {
    [sym_analytics_clause] = STATE(3516),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3363] = {
    [sym_analytics_clause] = STATE(3517),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3364] = {
    [sym_analytics_clause] = STATE(3518),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3365] = {
    [sym_analytics_clause] = STATE(3519),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3366] = {
    [sym_analytics_clause] = STATE(3520),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3367] = {
    [sym_analytics_clause] = STATE(3521),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3368] = {
    [sym_analytics_clause] = STATE(3522),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3369] = {
    [sym_analytics_clause] = STATE(3523),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3370] = {
    [sym_analytics_clause] = STATE(3525),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3371] = {
    [sym_analytics_clause] = STATE(3526),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3372] = {
    [sym_analytics_clause] = STATE(3527),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3198),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3373] = {
    [sym__unquoted_identifier] = ACTIONS(1518),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1518),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1518),
    [aux_sym_keyword_replace_token1] = ACTIONS(1518),
    [aux_sym__keyword_alter_token1] = ACTIONS(1518),
    [aux_sym__keyword_delete_token1] = ACTIONS(1518),
    [aux_sym__keyword_begin_token1] = ACTIONS(1518),
    [aux_sym__keyword_end_token1] = ACTIONS(1518),
    [aux_sym__keyword_between_token1] = ACTIONS(1518),
    [aux_sym__keyword_else_token1] = ACTIONS(1518),
    [aux_sym__keyword_is_token1] = ACTIONS(1518),
    [aux_sym__keyword_in_token1] = ACTIONS(1518),
    [aux_sym__keyword_and_token1] = ACTIONS(1518),
    [aux_sym__keyword_like_token1] = ACTIONS(1518),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1518),
    [aux_sym__keyword_as_token1] = ACTIONS(1518),
    [aux_sym__keyword_date_token1] = ACTIONS(1518),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1518),
    [aux_sym__keyword_time_token1] = ACTIONS(1518),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1518),
    [aux_sym__keyword_for_token1] = ACTIONS(1518),
    [anon_sym_SEMI] = ACTIONS(1516),
    [aux_sym_declare_statement_token1] = ACTIONS(1518),
    [anon_sym_COMMA] = ACTIONS(1516),
    [aux_sym_set_statement_token1] = ACTIONS(1518),
    [anon_sym_LPAREN] = ACTIONS(1516),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1518),
    [aux_sym_return_satement_token1] = ACTIONS(1518),
    [aux_sym_call_statement_token1] = ACTIONS(1518),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1518),
    [aux_sym_if_statement_token1] = ACTIONS(1518),
    [aux_sym_loop_statement_token1] = ACTIONS(1518),
    [aux_sym_repeat_statement_token1] = ACTIONS(1518),
    [aux_sym_while_statement_token1] = ACTIONS(1518),
    [aux_sym_break_statement_token1] = ACTIONS(1518),
    [aux_sym_leave_statement_token1] = ACTIONS(1518),
    [aux_sym_continue_statement_token1] = ACTIONS(1518),
    [aux_sym_iterate_statement_token1] = ACTIONS(1518),
    [aux_sym_raise_statement_token1] = ACTIONS(1518),
    [anon_sym_EQ] = ACTIONS(1516),
    [aux_sym_assert_statement_token1] = ACTIONS(1518),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1518),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1518),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1518),
    [anon_sym_LT] = ACTIONS(1518),
    [anon_sym_GT] = ACTIONS(1518),
    [aux_sym_select_token1] = ACTIONS(1518),
    [aux_sym_insert_statement_token1] = ACTIONS(1518),
    [aux_sym_truncate_statement_token1] = ACTIONS(1518),
    [aux_sym_update_statement_token1] = ACTIONS(1518),
    [aux_sym_merge_statement_token1] = ACTIONS(1518),
    [aux_sym_grant_statement_token1] = ACTIONS(1518),
    [aux_sym_revoke_statement_token1] = ACTIONS(1518),
    [aux_sym_export_data_statement_token1] = ACTIONS(1518),
    [aux_sym_load_data_statement_token1] = ACTIONS(1518),
    [anon_sym_LBRACK] = ACTIONS(1516),
    [sym__quoted_identifier] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1516),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1518),
    [anon_sym_STAR] = ACTIONS(1516),
    [anon_sym_SLASH] = ACTIONS(1518),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [anon_sym_LT_EQ] = ACTIONS(1516),
    [anon_sym_LT_GT] = ACTIONS(1516),
    [anon_sym_GT_EQ] = ACTIONS(1516),
    [anon_sym_BANG_EQ] = ACTIONS(1516),
    [anon_sym_LT_LT] = ACTIONS(1516),
    [anon_sym_GT_GT] = ACTIONS(1516),
    [anon_sym_AMP] = ACTIONS(1516),
    [anon_sym_CARET] = ACTIONS(1516),
    [anon_sym_PIPE] = ACTIONS(1518),
    [sym__string_start] = ACTIONS(1516),
  },
  [3374] = {
    [sym__keyword_between] = STATE(1478),
    [sym__keyword_is] = STATE(12106),
    [sym__keyword_in] = STATE(1682),
    [sym__keyword_not] = STATE(13114),
    [sym__keyword_and] = STATE(862),
    [sym__keyword_or] = STATE(863),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3104),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(2744),
    [aux_sym__keyword_alter_token1] = ACTIONS(3104),
    [aux_sym__keyword_delete_token1] = ACTIONS(3104),
    [aux_sym__keyword_begin_token1] = ACTIONS(3104),
    [aux_sym__keyword_end_token1] = ACTIONS(3104),
    [aux_sym__keyword_between_token1] = ACTIONS(3136),
    [aux_sym__keyword_else_token1] = ACTIONS(3108),
    [aux_sym__keyword_is_token1] = ACTIONS(3140),
    [aux_sym__keyword_in_token1] = ACTIONS(3142),
    [aux_sym__keyword_and_token1] = ACTIONS(3144),
    [aux_sym__keyword_like_token1] = ACTIONS(1007),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3104),
    [aux_sym__keyword_for_token1] = ACTIONS(3104),
    [anon_sym_SEMI] = ACTIONS(3104),
    [aux_sym_declare_statement_token1] = ACTIONS(3104),
    [aux_sym_set_statement_token1] = ACTIONS(3104),
    [anon_sym_LPAREN] = ACTIONS(3104),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(3104),
    [aux_sym_return_satement_token1] = ACTIONS(3104),
    [aux_sym_call_statement_token1] = ACTIONS(3104),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(3104),
    [aux_sym_if_statement_token1] = ACTIONS(3104),
    [aux_sym_loop_statement_token1] = ACTIONS(3104),
    [aux_sym_repeat_statement_token1] = ACTIONS(3104),
    [aux_sym_while_statement_token1] = ACTIONS(3104),
    [aux_sym_break_statement_token1] = ACTIONS(3104),
    [aux_sym_leave_statement_token1] = ACTIONS(3104),
    [aux_sym_continue_statement_token1] = ACTIONS(3104),
    [aux_sym_iterate_statement_token1] = ACTIONS(3104),
    [aux_sym_raise_statement_token1] = ACTIONS(3104),
    [anon_sym_EQ] = ACTIONS(3146),
    [aux_sym_assert_statement_token1] = ACTIONS(3104),
    [aux_sym_create_schema_statement_token1] = ACTIONS(3104),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(3104),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3104),
    [anon_sym_LT] = ACTIONS(3142),
    [anon_sym_GT] = ACTIONS(3142),
    [aux_sym_select_token1] = ACTIONS(3104),
    [aux_sym_insert_statement_token1] = ACTIONS(3104),
    [aux_sym_truncate_statement_token1] = ACTIONS(3104),
    [aux_sym_update_statement_token1] = ACTIONS(3104),
    [aux_sym_merge_statement_token1] = ACTIONS(3104),
    [aux_sym_grant_statement_token1] = ACTIONS(3104),
    [aux_sym_revoke_statement_token1] = ACTIONS(3104),
    [aux_sym_export_data_statement_token1] = ACTIONS(3104),
    [aux_sym_load_data_statement_token1] = ACTIONS(3104),
    [anon_sym_LBRACK] = ACTIONS(3056),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(3058),
    [anon_sym_PLUS] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3098),
    [anon_sym_STAR] = ACTIONS(3100),
    [anon_sym_SLASH] = ACTIONS(3102),
    [anon_sym_PIPE_PIPE] = ACTIONS(3100),
    [anon_sym_LT_EQ] = ACTIONS(3146),
    [anon_sym_LT_GT] = ACTIONS(3146),
    [anon_sym_GT_EQ] = ACTIONS(3146),
    [anon_sym_BANG_EQ] = ACTIONS(3146),
    [anon_sym_LT_LT] = ACTIONS(3148),
    [anon_sym_GT_GT] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym_CARET] = ACTIONS(3152),
    [anon_sym_PIPE] = ACTIONS(3154),
  },
  [3375] = {
    [sym__keyword_as] = STATE(14751),
    [sym__unquoted_identifier] = ACTIONS(1476),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1476),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1476),
    [aux_sym_keyword_replace_token1] = ACTIONS(1476),
    [aux_sym__keyword_alter_token1] = ACTIONS(1476),
    [aux_sym__keyword_delete_token1] = ACTIONS(1476),
    [aux_sym__keyword_begin_token1] = ACTIONS(1476),
    [aux_sym__keyword_end_token1] = ACTIONS(1476),
    [aux_sym__keyword_between_token1] = ACTIONS(1476),
    [aux_sym__keyword_else_token1] = ACTIONS(1476),
    [aux_sym__keyword_is_token1] = ACTIONS(1476),
    [aux_sym__keyword_in_token1] = ACTIONS(1476),
    [aux_sym__keyword_and_token1] = ACTIONS(1476),
    [aux_sym__keyword_like_token1] = ACTIONS(1476),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1476),
    [aux_sym__keyword_as_token1] = ACTIONS(1476),
    [aux_sym__keyword_date_token1] = ACTIONS(1476),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1476),
    [aux_sym__keyword_time_token1] = ACTIONS(1476),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1476),
    [aux_sym__keyword_for_token1] = ACTIONS(1476),
    [anon_sym_SEMI] = ACTIONS(1474),
    [aux_sym_declare_statement_token1] = ACTIONS(1476),
    [anon_sym_COMMA] = ACTIONS(1474),
    [aux_sym_set_statement_token1] = ACTIONS(1476),
    [anon_sym_LPAREN] = ACTIONS(1474),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1476),
    [aux_sym_return_satement_token1] = ACTIONS(1476),
    [aux_sym_call_statement_token1] = ACTIONS(1476),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1476),
    [aux_sym_if_statement_token1] = ACTIONS(1476),
    [aux_sym_loop_statement_token1] = ACTIONS(1476),
    [aux_sym_repeat_statement_token1] = ACTIONS(1476),
    [aux_sym_while_statement_token1] = ACTIONS(1476),
    [aux_sym_break_statement_token1] = ACTIONS(1476),
    [aux_sym_leave_statement_token1] = ACTIONS(1476),
    [aux_sym_continue_statement_token1] = ACTIONS(1476),
    [aux_sym_iterate_statement_token1] = ACTIONS(1476),
    [aux_sym_raise_statement_token1] = ACTIONS(1476),
    [anon_sym_EQ] = ACTIONS(1474),
    [aux_sym_assert_statement_token1] = ACTIONS(1476),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1476),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1476),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1476),
    [anon_sym_LT] = ACTIONS(1476),
    [anon_sym_GT] = ACTIONS(1476),
    [aux_sym_select_token1] = ACTIONS(1476),
    [aux_sym_insert_statement_token1] = ACTIONS(1476),
    [aux_sym_truncate_statement_token1] = ACTIONS(1476),
    [aux_sym_update_statement_token1] = ACTIONS(1476),
    [aux_sym_merge_statement_token1] = ACTIONS(1476),
    [aux_sym_grant_statement_token1] = ACTIONS(1476),
    [aux_sym_revoke_statement_token1] = ACTIONS(1476),
    [aux_sym_export_data_statement_token1] = ACTIONS(1476),
    [aux_sym_load_data_statement_token1] = ACTIONS(1476),
    [anon_sym_LBRACK] = ACTIONS(1474),
    [sym__quoted_identifier] = ACTIONS(1474),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1474),
    [anon_sym_PLUS] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1476),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_SLASH] = ACTIONS(1476),
    [anon_sym_PIPE_PIPE] = ACTIONS(1474),
    [anon_sym_LT_EQ] = ACTIONS(1474),
    [anon_sym_LT_GT] = ACTIONS(1474),
    [anon_sym_GT_EQ] = ACTIONS(1474),
    [anon_sym_BANG_EQ] = ACTIONS(1474),
    [anon_sym_LT_LT] = ACTIONS(1474),
    [anon_sym_GT_GT] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_CARET] = ACTIONS(1474),
    [anon_sym_PIPE] = ACTIONS(1476),
  },
  [3376] = {
    [sym__keyword_between] = STATE(1478),
    [sym__keyword_is] = STATE(12106),
    [sym__keyword_in] = STATE(1682),
    [sym__keyword_not] = STATE(13114),
    [sym__keyword_and] = STATE(862),
    [sym__keyword_or] = STATE(863),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3204),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(2744),
    [aux_sym__keyword_alter_token1] = ACTIONS(3204),
    [aux_sym__keyword_delete_token1] = ACTIONS(3204),
    [aux_sym__keyword_begin_token1] = ACTIONS(3204),
    [aux_sym__keyword_end_token1] = ACTIONS(3204),
    [aux_sym__keyword_between_token1] = ACTIONS(3136),
    [aux_sym__keyword_else_token1] = ACTIONS(3206),
    [aux_sym__keyword_is_token1] = ACTIONS(3140),
    [aux_sym__keyword_in_token1] = ACTIONS(3142),
    [aux_sym__keyword_and_token1] = ACTIONS(3144),
    [aux_sym__keyword_like_token1] = ACTIONS(1007),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3204),
    [aux_sym__keyword_for_token1] = ACTIONS(3204),
    [anon_sym_SEMI] = ACTIONS(3204),
    [aux_sym_declare_statement_token1] = ACTIONS(3204),
    [aux_sym_set_statement_token1] = ACTIONS(3204),
    [anon_sym_LPAREN] = ACTIONS(3204),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(3204),
    [aux_sym_return_satement_token1] = ACTIONS(3204),
    [aux_sym_call_statement_token1] = ACTIONS(3204),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(3204),
    [aux_sym_if_statement_token1] = ACTIONS(3204),
    [aux_sym_loop_statement_token1] = ACTIONS(3204),
    [aux_sym_repeat_statement_token1] = ACTIONS(3204),
    [aux_sym_while_statement_token1] = ACTIONS(3204),
    [aux_sym_break_statement_token1] = ACTIONS(3204),
    [aux_sym_leave_statement_token1] = ACTIONS(3204),
    [aux_sym_continue_statement_token1] = ACTIONS(3204),
    [aux_sym_iterate_statement_token1] = ACTIONS(3204),
    [aux_sym_raise_statement_token1] = ACTIONS(3204),
    [anon_sym_EQ] = ACTIONS(3146),
    [aux_sym_assert_statement_token1] = ACTIONS(3204),
    [aux_sym_create_schema_statement_token1] = ACTIONS(3204),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(3204),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3204),
    [anon_sym_LT] = ACTIONS(3142),
    [anon_sym_GT] = ACTIONS(3142),
    [aux_sym_select_token1] = ACTIONS(3204),
    [aux_sym_insert_statement_token1] = ACTIONS(3204),
    [aux_sym_truncate_statement_token1] = ACTIONS(3204),
    [aux_sym_update_statement_token1] = ACTIONS(3204),
    [aux_sym_merge_statement_token1] = ACTIONS(3204),
    [aux_sym_grant_statement_token1] = ACTIONS(3204),
    [aux_sym_revoke_statement_token1] = ACTIONS(3204),
    [aux_sym_export_data_statement_token1] = ACTIONS(3204),
    [aux_sym_load_data_statement_token1] = ACTIONS(3204),
    [anon_sym_LBRACK] = ACTIONS(3056),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(3058),
    [anon_sym_PLUS] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3098),
    [anon_sym_STAR] = ACTIONS(3100),
    [anon_sym_SLASH] = ACTIONS(3102),
    [anon_sym_PIPE_PIPE] = ACTIONS(3100),
    [anon_sym_LT_EQ] = ACTIONS(3146),
    [anon_sym_LT_GT] = ACTIONS(3146),
    [anon_sym_GT_EQ] = ACTIONS(3146),
    [anon_sym_BANG_EQ] = ACTIONS(3146),
    [anon_sym_LT_LT] = ACTIONS(3148),
    [anon_sym_GT_GT] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym_CARET] = ACTIONS(3152),
    [anon_sym_PIPE] = ACTIONS(3154),
  },
  [3377] = {
    [sym__keyword_between] = STATE(1715),
    [sym__keyword_is] = STATE(12049),
    [sym__keyword_in] = STATE(1507),
    [sym__keyword_not] = STATE(13030),
    [sym__keyword_and] = STATE(1487),
    [sym__keyword_or] = STATE(1484),
    [sym__keyword_like] = STATE(14280),
    [sym_into_clause] = STATE(9705),
    [sym_using_clause] = STATE(8086),
    [sym_like_operator] = STATE(16082),
    [sym_quantitve_like_operator] = STATE(16084),
    [ts_builtin_sym_end] = ACTIONS(3002),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3002),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(2744),
    [aux_sym__keyword_alter_token1] = ACTIONS(3002),
    [aux_sym__keyword_delete_token1] = ACTIONS(3002),
    [aux_sym__keyword_begin_token1] = ACTIONS(3002),
    [aux_sym__keyword_between_token1] = ACTIONS(3208),
    [aux_sym__keyword_is_token1] = ACTIONS(3210),
    [aux_sym__keyword_in_token1] = ACTIONS(3212),
    [aux_sym__keyword_and_token1] = ACTIONS(3214),
    [aux_sym__keyword_like_token1] = ACTIONS(1007),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3002),
    [aux_sym__keyword_for_token1] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(3002),
    [aux_sym_declare_statement_token1] = ACTIONS(3002),
    [aux_sym_set_statement_token1] = ACTIONS(3002),
    [anon_sym_LPAREN] = ACTIONS(3002),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(3002),
    [aux_sym_into_clause_token1] = ACTIONS(3216),
    [aux_sym_using_clause_token1] = ACTIONS(3218),
    [aux_sym_return_satement_token1] = ACTIONS(3002),
    [aux_sym_call_statement_token1] = ACTIONS(3002),
    [aux_sym_loop_statement_token1] = ACTIONS(3002),
    [aux_sym_while_statement_token1] = ACTIONS(3002),
    [aux_sym_break_statement_token1] = ACTIONS(3002),
    [aux_sym_leave_statement_token1] = ACTIONS(3002),
    [aux_sym_continue_statement_token1] = ACTIONS(3002),
    [aux_sym_iterate_statement_token1] = ACTIONS(3002),
    [aux_sym_raise_statement_token1] = ACTIONS(3002),
    [anon_sym_EQ] = ACTIONS(3220),
    [aux_sym_assert_statement_token1] = ACTIONS(3002),
    [aux_sym_create_schema_statement_token1] = ACTIONS(3002),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(3002),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3002),
    [anon_sym_LT] = ACTIONS(3212),
    [anon_sym_GT] = ACTIONS(3212),
    [aux_sym_select_token1] = ACTIONS(3002),
    [aux_sym_insert_statement_token1] = ACTIONS(3002),
    [aux_sym_truncate_statement_token1] = ACTIONS(3002),
    [aux_sym_update_statement_token1] = ACTIONS(3002),
    [aux_sym_merge_statement_token1] = ACTIONS(3002),
    [aux_sym_grant_statement_token1] = ACTIONS(3002),
    [aux_sym_revoke_statement_token1] = ACTIONS(3002),
    [aux_sym_export_data_statement_token1] = ACTIONS(3002),
    [aux_sym_load_data_statement_token1] = ACTIONS(3002),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(3022),
    [anon_sym_PLUS] = ACTIONS(3222),
    [anon_sym_DASH] = ACTIONS(3224),
    [anon_sym_STAR] = ACTIONS(3226),
    [anon_sym_SLASH] = ACTIONS(3228),
    [anon_sym_PIPE_PIPE] = ACTIONS(3226),
    [anon_sym_LT_EQ] = ACTIONS(3220),
    [anon_sym_LT_GT] = ACTIONS(3220),
    [anon_sym_GT_EQ] = ACTIONS(3220),
    [anon_sym_BANG_EQ] = ACTIONS(3220),
    [anon_sym_LT_LT] = ACTIONS(3230),
    [anon_sym_GT_GT] = ACTIONS(3230),
    [anon_sym_AMP] = ACTIONS(3232),
    [anon_sym_CARET] = ACTIONS(3234),
    [anon_sym_PIPE] = ACTIONS(3236),
  },
  [3378] = {
    [sym__unquoted_identifier] = ACTIONS(1081),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1081),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1081),
    [aux_sym_keyword_replace_token1] = ACTIONS(1081),
    [aux_sym__keyword_alter_token1] = ACTIONS(1081),
    [aux_sym__keyword_delete_token1] = ACTIONS(1081),
    [aux_sym__keyword_begin_token1] = ACTIONS(1081),
    [aux_sym__keyword_end_token1] = ACTIONS(1081),
    [aux_sym__keyword_between_token1] = ACTIONS(1081),
    [aux_sym__keyword_else_token1] = ACTIONS(1081),
    [aux_sym__keyword_is_token1] = ACTIONS(1081),
    [aux_sym__keyword_in_token1] = ACTIONS(1081),
    [aux_sym__keyword_and_token1] = ACTIONS(1081),
    [aux_sym__keyword_like_token1] = ACTIONS(1081),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1081),
    [aux_sym__keyword_as_token1] = ACTIONS(1081),
    [aux_sym__keyword_date_token1] = ACTIONS(1081),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1081),
    [aux_sym__keyword_time_token1] = ACTIONS(1081),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1081),
    [aux_sym__keyword_for_token1] = ACTIONS(1081),
    [anon_sym_SEMI] = ACTIONS(1083),
    [aux_sym_declare_statement_token1] = ACTIONS(1081),
    [aux_sym_set_statement_token1] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1081),
    [aux_sym_into_clause_token1] = ACTIONS(1081),
    [aux_sym_using_clause_token1] = ACTIONS(1081),
    [aux_sym_return_satement_token1] = ACTIONS(1081),
    [aux_sym_call_statement_token1] = ACTIONS(1081),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1081),
    [aux_sym_if_statement_token1] = ACTIONS(1081),
    [aux_sym_loop_statement_token1] = ACTIONS(1081),
    [aux_sym_repeat_statement_token1] = ACTIONS(1081),
    [aux_sym_while_statement_token1] = ACTIONS(1081),
    [aux_sym_break_statement_token1] = ACTIONS(1081),
    [aux_sym_leave_statement_token1] = ACTIONS(1081),
    [aux_sym_continue_statement_token1] = ACTIONS(1081),
    [aux_sym_iterate_statement_token1] = ACTIONS(1081),
    [aux_sym_raise_statement_token1] = ACTIONS(1081),
    [anon_sym_EQ] = ACTIONS(1083),
    [aux_sym_assert_statement_token1] = ACTIONS(1081),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1081),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1081),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1081),
    [anon_sym_LT] = ACTIONS(1081),
    [anon_sym_GT] = ACTIONS(1081),
    [aux_sym_select_token1] = ACTIONS(1081),
    [aux_sym_insert_statement_token1] = ACTIONS(1081),
    [aux_sym_truncate_statement_token1] = ACTIONS(1081),
    [aux_sym_update_statement_token1] = ACTIONS(1081),
    [aux_sym_merge_statement_token1] = ACTIONS(1081),
    [aux_sym_grant_statement_token1] = ACTIONS(1081),
    [aux_sym_revoke_statement_token1] = ACTIONS(1081),
    [aux_sym_export_data_statement_token1] = ACTIONS(1081),
    [aux_sym_load_data_statement_token1] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [sym__quoted_identifier] = ACTIONS(1083),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1083),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1081),
    [anon_sym_STAR] = ACTIONS(1083),
    [anon_sym_SLASH] = ACTIONS(1081),
    [anon_sym_PIPE_PIPE] = ACTIONS(1083),
    [anon_sym_LT_EQ] = ACTIONS(1083),
    [anon_sym_LT_GT] = ACTIONS(1083),
    [anon_sym_GT_EQ] = ACTIONS(1083),
    [anon_sym_BANG_EQ] = ACTIONS(1083),
    [anon_sym_LT_LT] = ACTIONS(1083),
    [anon_sym_GT_GT] = ACTIONS(1083),
    [anon_sym_AMP] = ACTIONS(1083),
    [anon_sym_CARET] = ACTIONS(1083),
    [anon_sym_PIPE] = ACTIONS(1081),
  },
  [3379] = {
    [sym__unquoted_identifier] = ACTIONS(1081),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1081),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1081),
    [aux_sym_keyword_replace_token1] = ACTIONS(1081),
    [aux_sym__keyword_alter_token1] = ACTIONS(1081),
    [aux_sym__keyword_delete_token1] = ACTIONS(1081),
    [aux_sym__keyword_begin_token1] = ACTIONS(1081),
    [aux_sym__keyword_end_token1] = ACTIONS(1081),
    [aux_sym__keyword_between_token1] = ACTIONS(1081),
    [aux_sym__keyword_else_token1] = ACTIONS(1081),
    [aux_sym__keyword_is_token1] = ACTIONS(1081),
    [aux_sym__keyword_in_token1] = ACTIONS(1081),
    [aux_sym__keyword_and_token1] = ACTIONS(1081),
    [aux_sym__keyword_like_token1] = ACTIONS(1081),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1081),
    [aux_sym__keyword_as_token1] = ACTIONS(1081),
    [aux_sym__keyword_date_token1] = ACTIONS(1081),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1081),
    [aux_sym__keyword_time_token1] = ACTIONS(1081),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1081),
    [aux_sym__keyword_for_token1] = ACTIONS(1081),
    [anon_sym_SEMI] = ACTIONS(1083),
    [aux_sym_declare_statement_token1] = ACTIONS(1081),
    [anon_sym_COMMA] = ACTIONS(1083),
    [aux_sym_set_statement_token1] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1081),
    [aux_sym_return_satement_token1] = ACTIONS(1081),
    [aux_sym_call_statement_token1] = ACTIONS(1081),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1081),
    [aux_sym_if_statement_token1] = ACTIONS(1081),
    [aux_sym_loop_statement_token1] = ACTIONS(1081),
    [aux_sym_repeat_statement_token1] = ACTIONS(1081),
    [aux_sym_while_statement_token1] = ACTIONS(1081),
    [aux_sym_break_statement_token1] = ACTIONS(1081),
    [aux_sym_leave_statement_token1] = ACTIONS(1081),
    [aux_sym_continue_statement_token1] = ACTIONS(1081),
    [aux_sym_iterate_statement_token1] = ACTIONS(1081),
    [aux_sym_raise_statement_token1] = ACTIONS(1081),
    [anon_sym_EQ] = ACTIONS(1083),
    [aux_sym_assert_statement_token1] = ACTIONS(1081),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1081),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1081),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1081),
    [aux_sym_option_clause_token1] = ACTIONS(1081),
    [anon_sym_LT] = ACTIONS(1081),
    [anon_sym_GT] = ACTIONS(1081),
    [aux_sym_select_token1] = ACTIONS(1081),
    [aux_sym_insert_statement_token1] = ACTIONS(1081),
    [aux_sym_truncate_statement_token1] = ACTIONS(1081),
    [aux_sym_update_statement_token1] = ACTIONS(1081),
    [aux_sym_merge_statement_token1] = ACTIONS(1081),
    [aux_sym_grant_statement_token1] = ACTIONS(1081),
    [aux_sym_revoke_statement_token1] = ACTIONS(1081),
    [aux_sym_export_data_statement_token1] = ACTIONS(1081),
    [aux_sym_load_data_statement_token1] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [sym__quoted_identifier] = ACTIONS(1083),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1083),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1081),
    [anon_sym_STAR] = ACTIONS(1083),
    [anon_sym_SLASH] = ACTIONS(1081),
    [anon_sym_PIPE_PIPE] = ACTIONS(1083),
    [anon_sym_LT_EQ] = ACTIONS(1083),
    [anon_sym_LT_GT] = ACTIONS(1083),
    [anon_sym_GT_EQ] = ACTIONS(1083),
    [anon_sym_BANG_EQ] = ACTIONS(1083),
    [anon_sym_LT_LT] = ACTIONS(1083),
    [anon_sym_GT_GT] = ACTIONS(1083),
    [anon_sym_AMP] = ACTIONS(1083),
    [anon_sym_CARET] = ACTIONS(1083),
    [anon_sym_PIPE] = ACTIONS(1081),
  },
  [3380] = {
    [sym__keyword_between] = STATE(1690),
    [sym__keyword_is] = STATE(12154),
    [sym__keyword_in] = STATE(1787),
    [sym__keyword_not] = STATE(13069),
    [sym__keyword_and] = STATE(1804),
    [sym__keyword_or] = STATE(1805),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_set_statement_repeat1] = STATE(8804),
    [ts_builtin_sym_end] = ACTIONS(3040),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3040),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(2744),
    [aux_sym__keyword_alter_token1] = ACTIONS(3040),
    [aux_sym__keyword_delete_token1] = ACTIONS(3040),
    [aux_sym__keyword_begin_token1] = ACTIONS(3040),
    [aux_sym__keyword_between_token1] = ACTIONS(3238),
    [aux_sym__keyword_is_token1] = ACTIONS(3240),
    [aux_sym__keyword_in_token1] = ACTIONS(3242),
    [aux_sym__keyword_and_token1] = ACTIONS(3244),
    [aux_sym__keyword_like_token1] = ACTIONS(1007),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3040),
    [aux_sym__keyword_as_token1] = ACTIONS(3044),
    [aux_sym__keyword_for_token1] = ACTIONS(3040),
    [anon_sym_SEMI] = ACTIONS(3040),
    [aux_sym_declare_statement_token1] = ACTIONS(3040),
    [anon_sym_COMMA] = ACTIONS(3246),
    [aux_sym_set_statement_token1] = ACTIONS(3040),
    [anon_sym_LPAREN] = ACTIONS(3040),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(3040),
    [aux_sym_return_satement_token1] = ACTIONS(3040),
    [aux_sym_call_statement_token1] = ACTIONS(3040),
    [aux_sym_loop_statement_token1] = ACTIONS(3040),
    [aux_sym_while_statement_token1] = ACTIONS(3040),
    [aux_sym_break_statement_token1] = ACTIONS(3040),
    [aux_sym_leave_statement_token1] = ACTIONS(3040),
    [aux_sym_continue_statement_token1] = ACTIONS(3040),
    [aux_sym_iterate_statement_token1] = ACTIONS(3040),
    [aux_sym_raise_statement_token1] = ACTIONS(3040),
    [anon_sym_EQ] = ACTIONS(3248),
    [aux_sym_assert_statement_token1] = ACTIONS(3040),
    [aux_sym_create_schema_statement_token1] = ACTIONS(3040),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(3040),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3040),
    [aux_sym_option_clause_token1] = ACTIONS(3040),
    [anon_sym_LT] = ACTIONS(3242),
    [anon_sym_GT] = ACTIONS(3242),
    [aux_sym_select_token1] = ACTIONS(3040),
    [aux_sym_insert_statement_token1] = ACTIONS(3040),
    [aux_sym_truncate_statement_token1] = ACTIONS(3040),
    [aux_sym_update_statement_token1] = ACTIONS(3040),
    [aux_sym_merge_statement_token1] = ACTIONS(3040),
    [aux_sym_grant_statement_token1] = ACTIONS(3040),
    [aux_sym_revoke_statement_token1] = ACTIONS(3040),
    [aux_sym_export_data_statement_token1] = ACTIONS(3040),
    [aux_sym_load_data_statement_token1] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(3056),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(3058),
    [anon_sym_PLUS] = ACTIONS(3250),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_STAR] = ACTIONS(3254),
    [anon_sym_SLASH] = ACTIONS(3256),
    [anon_sym_PIPE_PIPE] = ACTIONS(3254),
    [anon_sym_LT_EQ] = ACTIONS(3248),
    [anon_sym_LT_GT] = ACTIONS(3248),
    [anon_sym_GT_EQ] = ACTIONS(3248),
    [anon_sym_BANG_EQ] = ACTIONS(3248),
    [anon_sym_LT_LT] = ACTIONS(3258),
    [anon_sym_GT_GT] = ACTIONS(3258),
    [anon_sym_AMP] = ACTIONS(3260),
    [anon_sym_CARET] = ACTIONS(3262),
    [anon_sym_PIPE] = ACTIONS(3264),
  },
  [3381] = {
    [sym__keyword_between] = STATE(1478),
    [sym__keyword_is] = STATE(12106),
    [sym__keyword_in] = STATE(1682),
    [sym__keyword_not] = STATE(13114),
    [sym__keyword_and] = STATE(862),
    [sym__keyword_or] = STATE(863),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(2832),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(2744),
    [aux_sym__keyword_alter_token1] = ACTIONS(2832),
    [aux_sym__keyword_delete_token1] = ACTIONS(2832),
    [aux_sym__keyword_begin_token1] = ACTIONS(2832),
    [aux_sym__keyword_end_token1] = ACTIONS(2832),
    [aux_sym__keyword_between_token1] = ACTIONS(3136),
    [aux_sym__keyword_else_token1] = ACTIONS(2836),
    [aux_sym__keyword_is_token1] = ACTIONS(3140),
    [aux_sym__keyword_in_token1] = ACTIONS(3142),
    [aux_sym__keyword_and_token1] = ACTIONS(3144),
    [aux_sym__keyword_like_token1] = ACTIONS(1007),
    [aux_sym__keyword_repeat_token1] = ACTIONS(2832),
    [aux_sym__keyword_for_token1] = ACTIONS(2832),
    [anon_sym_SEMI] = ACTIONS(2832),
    [aux_sym_declare_statement_token1] = ACTIONS(2832),
    [aux_sym_set_statement_token1] = ACTIONS(2832),
    [anon_sym_LPAREN] = ACTIONS(2832),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(2832),
    [aux_sym_return_satement_token1] = ACTIONS(2832),
    [aux_sym_call_statement_token1] = ACTIONS(2832),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(2832),
    [aux_sym_if_statement_token1] = ACTIONS(2832),
    [aux_sym_loop_statement_token1] = ACTIONS(2832),
    [aux_sym_repeat_statement_token1] = ACTIONS(2832),
    [aux_sym_while_statement_token1] = ACTIONS(2832),
    [aux_sym_break_statement_token1] = ACTIONS(2832),
    [aux_sym_leave_statement_token1] = ACTIONS(2832),
    [aux_sym_continue_statement_token1] = ACTIONS(2832),
    [aux_sym_iterate_statement_token1] = ACTIONS(2832),
    [aux_sym_raise_statement_token1] = ACTIONS(2832),
    [anon_sym_EQ] = ACTIONS(3146),
    [aux_sym_assert_statement_token1] = ACTIONS(2832),
    [aux_sym_create_schema_statement_token1] = ACTIONS(2832),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(2832),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2832),
    [anon_sym_LT] = ACTIONS(3142),
    [anon_sym_GT] = ACTIONS(3142),
    [aux_sym_select_token1] = ACTIONS(2832),
    [aux_sym_insert_statement_token1] = ACTIONS(2832),
    [aux_sym_truncate_statement_token1] = ACTIONS(2832),
    [aux_sym_update_statement_token1] = ACTIONS(2832),
    [aux_sym_merge_statement_token1] = ACTIONS(2832),
    [aux_sym_grant_statement_token1] = ACTIONS(2832),
    [aux_sym_revoke_statement_token1] = ACTIONS(2832),
    [aux_sym_export_data_statement_token1] = ACTIONS(2832),
    [aux_sym_load_data_statement_token1] = ACTIONS(2832),
    [anon_sym_LBRACK] = ACTIONS(3056),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(3058),
    [anon_sym_PLUS] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3098),
    [anon_sym_STAR] = ACTIONS(3100),
    [anon_sym_SLASH] = ACTIONS(3102),
    [anon_sym_PIPE_PIPE] = ACTIONS(3100),
    [anon_sym_LT_EQ] = ACTIONS(3146),
    [anon_sym_LT_GT] = ACTIONS(3146),
    [anon_sym_GT_EQ] = ACTIONS(3146),
    [anon_sym_BANG_EQ] = ACTIONS(3146),
    [anon_sym_LT_LT] = ACTIONS(3148),
    [anon_sym_GT_GT] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym_CARET] = ACTIONS(3152),
    [anon_sym_PIPE] = ACTIONS(3154),
  },
  [3382] = {
    [sym__unquoted_identifier] = ACTIONS(1532),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1532),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1532),
    [aux_sym_keyword_replace_token1] = ACTIONS(1532),
    [aux_sym__keyword_alter_token1] = ACTIONS(1532),
    [aux_sym__keyword_delete_token1] = ACTIONS(1532),
    [aux_sym__keyword_begin_token1] = ACTIONS(1532),
    [aux_sym__keyword_end_token1] = ACTIONS(1532),
    [aux_sym__keyword_between_token1] = ACTIONS(1532),
    [aux_sym__keyword_else_token1] = ACTIONS(1532),
    [aux_sym__keyword_is_token1] = ACTIONS(1532),
    [aux_sym__keyword_in_token1] = ACTIONS(1532),
    [aux_sym__keyword_and_token1] = ACTIONS(1532),
    [aux_sym__keyword_like_token1] = ACTIONS(1532),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1532),
    [aux_sym__keyword_as_token1] = ACTIONS(1532),
    [aux_sym__keyword_date_token1] = ACTIONS(1532),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1532),
    [aux_sym__keyword_time_token1] = ACTIONS(1532),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1532),
    [aux_sym__keyword_for_token1] = ACTIONS(1532),
    [anon_sym_SEMI] = ACTIONS(1530),
    [aux_sym_declare_statement_token1] = ACTIONS(1532),
    [anon_sym_COMMA] = ACTIONS(1530),
    [aux_sym_set_statement_token1] = ACTIONS(1532),
    [anon_sym_LPAREN] = ACTIONS(1530),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1532),
    [aux_sym_return_satement_token1] = ACTIONS(1532),
    [aux_sym_call_statement_token1] = ACTIONS(1532),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1532),
    [aux_sym_if_statement_token1] = ACTIONS(1532),
    [aux_sym_loop_statement_token1] = ACTIONS(1532),
    [aux_sym_repeat_statement_token1] = ACTIONS(1532),
    [aux_sym_while_statement_token1] = ACTIONS(1532),
    [aux_sym_break_statement_token1] = ACTIONS(1532),
    [aux_sym_leave_statement_token1] = ACTIONS(1532),
    [aux_sym_continue_statement_token1] = ACTIONS(1532),
    [aux_sym_iterate_statement_token1] = ACTIONS(1532),
    [aux_sym_raise_statement_token1] = ACTIONS(1532),
    [anon_sym_EQ] = ACTIONS(1530),
    [aux_sym_assert_statement_token1] = ACTIONS(1532),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1532),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1532),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1532),
    [anon_sym_LT] = ACTIONS(1532),
    [anon_sym_GT] = ACTIONS(1532),
    [aux_sym_select_token1] = ACTIONS(1532),
    [aux_sym_insert_statement_token1] = ACTIONS(1532),
    [aux_sym_truncate_statement_token1] = ACTIONS(1532),
    [aux_sym_update_statement_token1] = ACTIONS(1532),
    [aux_sym_merge_statement_token1] = ACTIONS(1532),
    [aux_sym_grant_statement_token1] = ACTIONS(1532),
    [aux_sym_revoke_statement_token1] = ACTIONS(1532),
    [aux_sym_export_data_statement_token1] = ACTIONS(1532),
    [aux_sym_load_data_statement_token1] = ACTIONS(1532),
    [anon_sym_LBRACK] = ACTIONS(1530),
    [sym__quoted_identifier] = ACTIONS(1530),
    [anon_sym_DOT] = ACTIONS(1514),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1532),
    [anon_sym_PLUS] = ACTIONS(1530),
    [anon_sym_DASH] = ACTIONS(1532),
    [anon_sym_STAR] = ACTIONS(1530),
    [anon_sym_SLASH] = ACTIONS(1532),
    [anon_sym_PIPE_PIPE] = ACTIONS(1530),
    [anon_sym_LT_EQ] = ACTIONS(1530),
    [anon_sym_LT_GT] = ACTIONS(1530),
    [anon_sym_GT_EQ] = ACTIONS(1530),
    [anon_sym_BANG_EQ] = ACTIONS(1530),
    [anon_sym_LT_LT] = ACTIONS(1530),
    [anon_sym_GT_GT] = ACTIONS(1530),
    [anon_sym_AMP] = ACTIONS(1530),
    [anon_sym_CARET] = ACTIONS(1530),
    [anon_sym_PIPE] = ACTIONS(1532),
  },
  [3383] = {
    [sym_unnest_withoffset] = STATE(3425),
    [sym__unquoted_identifier] = ACTIONS(1542),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1542),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1542),
    [aux_sym_keyword_replace_token1] = ACTIONS(1542),
    [aux_sym__keyword_alter_token1] = ACTIONS(1542),
    [aux_sym__keyword_delete_token1] = ACTIONS(1542),
    [aux_sym__keyword_begin_token1] = ACTIONS(1542),
    [aux_sym__keyword_end_token1] = ACTIONS(1542),
    [aux_sym__keyword_between_token1] = ACTIONS(1542),
    [aux_sym__keyword_else_token1] = ACTIONS(1542),
    [aux_sym__keyword_is_token1] = ACTIONS(1542),
    [aux_sym__keyword_in_token1] = ACTIONS(1542),
    [aux_sym__keyword_and_token1] = ACTIONS(1542),
    [aux_sym__keyword_like_token1] = ACTIONS(1542),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1542),
    [aux_sym__keyword_as_token1] = ACTIONS(1542),
    [aux_sym__keyword_date_token1] = ACTIONS(1542),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1542),
    [aux_sym__keyword_time_token1] = ACTIONS(1542),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1542),
    [aux_sym__keyword_for_token1] = ACTIONS(1542),
    [anon_sym_SEMI] = ACTIONS(1540),
    [aux_sym_declare_statement_token1] = ACTIONS(1542),
    [anon_sym_COMMA] = ACTIONS(1540),
    [aux_sym_set_statement_token1] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1542),
    [aux_sym_return_satement_token1] = ACTIONS(1542),
    [aux_sym_call_statement_token1] = ACTIONS(1542),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1542),
    [aux_sym_if_statement_token1] = ACTIONS(1542),
    [aux_sym_loop_statement_token1] = ACTIONS(1542),
    [aux_sym_repeat_statement_token1] = ACTIONS(1542),
    [aux_sym_while_statement_token1] = ACTIONS(1542),
    [aux_sym_break_statement_token1] = ACTIONS(1542),
    [aux_sym_leave_statement_token1] = ACTIONS(1542),
    [aux_sym_continue_statement_token1] = ACTIONS(1542),
    [aux_sym_iterate_statement_token1] = ACTIONS(1542),
    [aux_sym_raise_statement_token1] = ACTIONS(1542),
    [anon_sym_EQ] = ACTIONS(1540),
    [aux_sym_assert_statement_token1] = ACTIONS(1542),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1542),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1542),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2796),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_GT] = ACTIONS(1542),
    [aux_sym_select_token1] = ACTIONS(1542),
    [aux_sym_insert_statement_token1] = ACTIONS(1542),
    [aux_sym_truncate_statement_token1] = ACTIONS(1542),
    [aux_sym_update_statement_token1] = ACTIONS(1542),
    [aux_sym_merge_statement_token1] = ACTIONS(1542),
    [aux_sym_grant_statement_token1] = ACTIONS(1542),
    [aux_sym_revoke_statement_token1] = ACTIONS(1542),
    [aux_sym_export_data_statement_token1] = ACTIONS(1542),
    [aux_sym_load_data_statement_token1] = ACTIONS(1542),
    [anon_sym_LBRACK] = ACTIONS(1540),
    [sym__quoted_identifier] = ACTIONS(1540),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(1540),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(1542),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_LT_EQ] = ACTIONS(1540),
    [anon_sym_LT_GT] = ACTIONS(1540),
    [anon_sym_GT_EQ] = ACTIONS(1540),
    [anon_sym_BANG_EQ] = ACTIONS(1540),
    [anon_sym_LT_LT] = ACTIONS(1540),
    [anon_sym_GT_GT] = ACTIONS(1540),
    [anon_sym_AMP] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(1540),
    [anon_sym_PIPE] = ACTIONS(1542),
  },
  [3384] = {
    [sym__unquoted_identifier] = ACTIONS(1510),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1510),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1510),
    [aux_sym_keyword_replace_token1] = ACTIONS(1510),
    [aux_sym__keyword_alter_token1] = ACTIONS(1510),
    [aux_sym__keyword_delete_token1] = ACTIONS(1510),
    [aux_sym__keyword_begin_token1] = ACTIONS(1510),
    [aux_sym__keyword_end_token1] = ACTIONS(1510),
    [aux_sym__keyword_between_token1] = ACTIONS(1510),
    [aux_sym__keyword_else_token1] = ACTIONS(1510),
    [aux_sym__keyword_is_token1] = ACTIONS(1510),
    [aux_sym__keyword_in_token1] = ACTIONS(1510),
    [aux_sym__keyword_and_token1] = ACTIONS(1510),
    [aux_sym__keyword_like_token1] = ACTIONS(1510),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1510),
    [aux_sym__keyword_as_token1] = ACTIONS(1510),
    [aux_sym__keyword_date_token1] = ACTIONS(1510),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1510),
    [aux_sym__keyword_time_token1] = ACTIONS(1510),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1510),
    [aux_sym__keyword_for_token1] = ACTIONS(1510),
    [anon_sym_SEMI] = ACTIONS(1508),
    [aux_sym_declare_statement_token1] = ACTIONS(1510),
    [anon_sym_COMMA] = ACTIONS(1508),
    [aux_sym_set_statement_token1] = ACTIONS(1510),
    [anon_sym_LPAREN] = ACTIONS(1508),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1510),
    [aux_sym_return_satement_token1] = ACTIONS(1510),
    [aux_sym_call_statement_token1] = ACTIONS(1510),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1510),
    [aux_sym_if_statement_token1] = ACTIONS(1510),
    [aux_sym_loop_statement_token1] = ACTIONS(1510),
    [aux_sym_repeat_statement_token1] = ACTIONS(1510),
    [aux_sym_while_statement_token1] = ACTIONS(1510),
    [aux_sym_break_statement_token1] = ACTIONS(1510),
    [aux_sym_leave_statement_token1] = ACTIONS(1510),
    [aux_sym_continue_statement_token1] = ACTIONS(1510),
    [aux_sym_iterate_statement_token1] = ACTIONS(1510),
    [aux_sym_raise_statement_token1] = ACTIONS(1510),
    [anon_sym_EQ] = ACTIONS(1508),
    [aux_sym_assert_statement_token1] = ACTIONS(1510),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1510),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1510),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1510),
    [anon_sym_LT] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1510),
    [aux_sym_select_token1] = ACTIONS(1510),
    [aux_sym_insert_statement_token1] = ACTIONS(1510),
    [aux_sym_truncate_statement_token1] = ACTIONS(1510),
    [aux_sym_update_statement_token1] = ACTIONS(1510),
    [aux_sym_merge_statement_token1] = ACTIONS(1510),
    [aux_sym_grant_statement_token1] = ACTIONS(1510),
    [aux_sym_revoke_statement_token1] = ACTIONS(1510),
    [aux_sym_export_data_statement_token1] = ACTIONS(1510),
    [aux_sym_load_data_statement_token1] = ACTIONS(1510),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [sym__quoted_identifier] = ACTIONS(1508),
    [anon_sym_DOT] = ACTIONS(1514),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1510),
    [anon_sym_PLUS] = ACTIONS(1508),
    [anon_sym_DASH] = ACTIONS(1510),
    [anon_sym_STAR] = ACTIONS(1508),
    [anon_sym_SLASH] = ACTIONS(1510),
    [anon_sym_PIPE_PIPE] = ACTIONS(1508),
    [anon_sym_LT_EQ] = ACTIONS(1508),
    [anon_sym_LT_GT] = ACTIONS(1508),
    [anon_sym_GT_EQ] = ACTIONS(1508),
    [anon_sym_BANG_EQ] = ACTIONS(1508),
    [anon_sym_LT_LT] = ACTIONS(1508),
    [anon_sym_GT_GT] = ACTIONS(1508),
    [anon_sym_AMP] = ACTIONS(1508),
    [anon_sym_CARET] = ACTIONS(1508),
    [anon_sym_PIPE] = ACTIONS(1510),
  },
  [3385] = {
    [sym__unquoted_identifier] = ACTIONS(1081),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1081),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1081),
    [aux_sym_keyword_replace_token1] = ACTIONS(1081),
    [aux_sym__keyword_alter_token1] = ACTIONS(1081),
    [aux_sym__keyword_delete_token1] = ACTIONS(1081),
    [aux_sym__keyword_begin_token1] = ACTIONS(1081),
    [aux_sym__keyword_end_token1] = ACTIONS(1081),
    [aux_sym__keyword_between_token1] = ACTIONS(1081),
    [aux_sym__keyword_when_token1] = ACTIONS(1081),
    [aux_sym__keyword_else_token1] = ACTIONS(1081),
    [aux_sym__keyword_is_token1] = ACTIONS(1081),
    [aux_sym__keyword_in_token1] = ACTIONS(1081),
    [aux_sym__keyword_and_token1] = ACTIONS(1081),
    [aux_sym__keyword_like_token1] = ACTIONS(1081),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1081),
    [aux_sym__keyword_as_token1] = ACTIONS(1081),
    [aux_sym__keyword_date_token1] = ACTIONS(1081),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1081),
    [aux_sym__keyword_time_token1] = ACTIONS(1081),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1081),
    [aux_sym__keyword_for_token1] = ACTIONS(1081),
    [anon_sym_SEMI] = ACTIONS(1083),
    [aux_sym_declare_statement_token1] = ACTIONS(1081),
    [anon_sym_COMMA] = ACTIONS(1083),
    [aux_sym_set_statement_token1] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1081),
    [aux_sym_return_satement_token1] = ACTIONS(1081),
    [aux_sym_call_statement_token1] = ACTIONS(1081),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1081),
    [aux_sym_if_statement_token1] = ACTIONS(1081),
    [aux_sym_loop_statement_token1] = ACTIONS(1081),
    [aux_sym_repeat_statement_token1] = ACTIONS(1081),
    [aux_sym_while_statement_token1] = ACTIONS(1081),
    [aux_sym_break_statement_token1] = ACTIONS(1081),
    [aux_sym_leave_statement_token1] = ACTIONS(1081),
    [aux_sym_continue_statement_token1] = ACTIONS(1081),
    [aux_sym_iterate_statement_token1] = ACTIONS(1081),
    [aux_sym_raise_statement_token1] = ACTIONS(1081),
    [anon_sym_EQ] = ACTIONS(1083),
    [aux_sym_assert_statement_token1] = ACTIONS(1081),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1081),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1081),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1081),
    [anon_sym_LT] = ACTIONS(1081),
    [anon_sym_GT] = ACTIONS(1081),
    [aux_sym_select_token1] = ACTIONS(1081),
    [aux_sym_insert_statement_token1] = ACTIONS(1081),
    [aux_sym_truncate_statement_token1] = ACTIONS(1081),
    [aux_sym_update_statement_token1] = ACTIONS(1081),
    [aux_sym_merge_statement_token1] = ACTIONS(1081),
    [aux_sym_grant_statement_token1] = ACTIONS(1081),
    [aux_sym_revoke_statement_token1] = ACTIONS(1081),
    [aux_sym_export_data_statement_token1] = ACTIONS(1081),
    [aux_sym_load_data_statement_token1] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [sym__quoted_identifier] = ACTIONS(1083),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1083),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1081),
    [anon_sym_STAR] = ACTIONS(1083),
    [anon_sym_SLASH] = ACTIONS(1081),
    [anon_sym_PIPE_PIPE] = ACTIONS(1083),
    [anon_sym_LT_EQ] = ACTIONS(1083),
    [anon_sym_LT_GT] = ACTIONS(1083),
    [anon_sym_GT_EQ] = ACTIONS(1083),
    [anon_sym_BANG_EQ] = ACTIONS(1083),
    [anon_sym_LT_LT] = ACTIONS(1083),
    [anon_sym_GT_GT] = ACTIONS(1083),
    [anon_sym_AMP] = ACTIONS(1083),
    [anon_sym_CARET] = ACTIONS(1083),
    [anon_sym_PIPE] = ACTIONS(1081),
  },
  [3386] = {
    [sym__unquoted_identifier] = ACTIONS(1526),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1526),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1526),
    [aux_sym_keyword_replace_token1] = ACTIONS(1526),
    [aux_sym__keyword_alter_token1] = ACTIONS(1526),
    [aux_sym__keyword_delete_token1] = ACTIONS(1526),
    [aux_sym__keyword_begin_token1] = ACTIONS(1526),
    [aux_sym__keyword_end_token1] = ACTIONS(1526),
    [aux_sym__keyword_between_token1] = ACTIONS(1526),
    [aux_sym__keyword_else_token1] = ACTIONS(1526),
    [aux_sym__keyword_is_token1] = ACTIONS(1526),
    [aux_sym__keyword_in_token1] = ACTIONS(1526),
    [aux_sym__keyword_and_token1] = ACTIONS(1526),
    [aux_sym__keyword_like_token1] = ACTIONS(1526),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1526),
    [aux_sym__keyword_as_token1] = ACTIONS(1526),
    [aux_sym__keyword_date_token1] = ACTIONS(1526),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1526),
    [aux_sym__keyword_time_token1] = ACTIONS(1526),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1526),
    [aux_sym__keyword_for_token1] = ACTIONS(1526),
    [anon_sym_SEMI] = ACTIONS(1524),
    [aux_sym_declare_statement_token1] = ACTIONS(1526),
    [anon_sym_COMMA] = ACTIONS(1524),
    [aux_sym_set_statement_token1] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(1524),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1526),
    [aux_sym_return_satement_token1] = ACTIONS(1526),
    [aux_sym_call_statement_token1] = ACTIONS(1526),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1526),
    [aux_sym_if_statement_token1] = ACTIONS(1526),
    [aux_sym_loop_statement_token1] = ACTIONS(1526),
    [aux_sym_repeat_statement_token1] = ACTIONS(1526),
    [aux_sym_while_statement_token1] = ACTIONS(1526),
    [aux_sym_break_statement_token1] = ACTIONS(1526),
    [aux_sym_leave_statement_token1] = ACTIONS(1526),
    [aux_sym_continue_statement_token1] = ACTIONS(1526),
    [aux_sym_iterate_statement_token1] = ACTIONS(1526),
    [aux_sym_raise_statement_token1] = ACTIONS(1526),
    [anon_sym_EQ] = ACTIONS(1524),
    [aux_sym_assert_statement_token1] = ACTIONS(1526),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1526),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1526),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1526),
    [aux_sym_alter_table_rename_statement_token2] = ACTIONS(3266),
    [anon_sym_LT] = ACTIONS(1526),
    [anon_sym_GT] = ACTIONS(1526),
    [aux_sym_select_token1] = ACTIONS(1526),
    [aux_sym_insert_statement_token1] = ACTIONS(1526),
    [aux_sym_truncate_statement_token1] = ACTIONS(1526),
    [aux_sym_update_statement_token1] = ACTIONS(1526),
    [aux_sym_merge_statement_token1] = ACTIONS(1526),
    [aux_sym_grant_statement_token1] = ACTIONS(1526),
    [aux_sym_revoke_statement_token1] = ACTIONS(1526),
    [aux_sym_export_data_statement_token1] = ACTIONS(1526),
    [aux_sym_load_data_statement_token1] = ACTIONS(1526),
    [anon_sym_LBRACK] = ACTIONS(1524),
    [sym__quoted_identifier] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1524),
    [anon_sym_PLUS] = ACTIONS(1524),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_STAR] = ACTIONS(1524),
    [anon_sym_SLASH] = ACTIONS(1526),
    [anon_sym_PIPE_PIPE] = ACTIONS(1524),
    [anon_sym_LT_EQ] = ACTIONS(1524),
    [anon_sym_LT_GT] = ACTIONS(1524),
    [anon_sym_GT_EQ] = ACTIONS(1524),
    [anon_sym_BANG_EQ] = ACTIONS(1524),
    [anon_sym_LT_LT] = ACTIONS(1524),
    [anon_sym_GT_GT] = ACTIONS(1524),
    [anon_sym_AMP] = ACTIONS(1524),
    [anon_sym_CARET] = ACTIONS(1524),
    [anon_sym_PIPE] = ACTIONS(1526),
  },
  [3387] = {
    [sym__keyword_between] = STATE(1478),
    [sym__keyword_is] = STATE(12106),
    [sym__keyword_in] = STATE(1682),
    [sym__keyword_not] = STATE(13114),
    [sym__keyword_and] = STATE(862),
    [sym__keyword_or] = STATE(863),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3268),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(2744),
    [aux_sym__keyword_alter_token1] = ACTIONS(3268),
    [aux_sym__keyword_delete_token1] = ACTIONS(3268),
    [aux_sym__keyword_begin_token1] = ACTIONS(3268),
    [aux_sym__keyword_end_token1] = ACTIONS(3268),
    [aux_sym__keyword_between_token1] = ACTIONS(3136),
    [aux_sym__keyword_else_token1] = ACTIONS(3270),
    [aux_sym__keyword_is_token1] = ACTIONS(3140),
    [aux_sym__keyword_in_token1] = ACTIONS(3142),
    [aux_sym__keyword_and_token1] = ACTIONS(3144),
    [aux_sym__keyword_like_token1] = ACTIONS(1007),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3268),
    [aux_sym__keyword_for_token1] = ACTIONS(3268),
    [anon_sym_SEMI] = ACTIONS(3268),
    [aux_sym_declare_statement_token1] = ACTIONS(3268),
    [aux_sym_set_statement_token1] = ACTIONS(3268),
    [anon_sym_LPAREN] = ACTIONS(3268),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(3268),
    [aux_sym_return_satement_token1] = ACTIONS(3268),
    [aux_sym_call_statement_token1] = ACTIONS(3268),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(3268),
    [aux_sym_if_statement_token1] = ACTIONS(3268),
    [aux_sym_loop_statement_token1] = ACTIONS(3268),
    [aux_sym_repeat_statement_token1] = ACTIONS(3268),
    [aux_sym_while_statement_token1] = ACTIONS(3268),
    [aux_sym_break_statement_token1] = ACTIONS(3268),
    [aux_sym_leave_statement_token1] = ACTIONS(3268),
    [aux_sym_continue_statement_token1] = ACTIONS(3268),
    [aux_sym_iterate_statement_token1] = ACTIONS(3268),
    [aux_sym_raise_statement_token1] = ACTIONS(3268),
    [anon_sym_EQ] = ACTIONS(3146),
    [aux_sym_assert_statement_token1] = ACTIONS(3268),
    [aux_sym_create_schema_statement_token1] = ACTIONS(3268),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(3268),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3268),
    [anon_sym_LT] = ACTIONS(3142),
    [anon_sym_GT] = ACTIONS(3142),
    [aux_sym_select_token1] = ACTIONS(3268),
    [aux_sym_insert_statement_token1] = ACTIONS(3268),
    [aux_sym_truncate_statement_token1] = ACTIONS(3268),
    [aux_sym_update_statement_token1] = ACTIONS(3268),
    [aux_sym_merge_statement_token1] = ACTIONS(3268),
    [aux_sym_grant_statement_token1] = ACTIONS(3268),
    [aux_sym_revoke_statement_token1] = ACTIONS(3268),
    [aux_sym_export_data_statement_token1] = ACTIONS(3268),
    [aux_sym_load_data_statement_token1] = ACTIONS(3268),
    [anon_sym_LBRACK] = ACTIONS(3056),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(3058),
    [anon_sym_PLUS] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3098),
    [anon_sym_STAR] = ACTIONS(3100),
    [anon_sym_SLASH] = ACTIONS(3102),
    [anon_sym_PIPE_PIPE] = ACTIONS(3100),
    [anon_sym_LT_EQ] = ACTIONS(3146),
    [anon_sym_LT_GT] = ACTIONS(3146),
    [anon_sym_GT_EQ] = ACTIONS(3146),
    [anon_sym_BANG_EQ] = ACTIONS(3146),
    [anon_sym_LT_LT] = ACTIONS(3148),
    [anon_sym_GT_GT] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym_CARET] = ACTIONS(3152),
    [anon_sym_PIPE] = ACTIONS(3154),
  },
  [3388] = {
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [3389] = {
    [sym__keyword_between] = STATE(1690),
    [sym__keyword_is] = STATE(12154),
    [sym__keyword_in] = STATE(1787),
    [sym__keyword_not] = STATE(13069),
    [sym__keyword_and] = STATE(1804),
    [sym__keyword_or] = STATE(1805),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(1027),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1027),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(2744),
    [aux_sym__keyword_alter_token1] = ACTIONS(1027),
    [aux_sym__keyword_delete_token1] = ACTIONS(1027),
    [aux_sym__keyword_begin_token1] = ACTIONS(1027),
    [aux_sym__keyword_between_token1] = ACTIONS(3238),
    [aux_sym__keyword_is_token1] = ACTIONS(3240),
    [aux_sym__keyword_in_token1] = ACTIONS(3242),
    [aux_sym__keyword_and_token1] = ACTIONS(3244),
    [aux_sym__keyword_like_token1] = ACTIONS(1027),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1027),
    [aux_sym__keyword_as_token1] = ACTIONS(1029),
    [aux_sym__keyword_for_token1] = ACTIONS(1027),
    [anon_sym_SEMI] = ACTIONS(1027),
    [aux_sym_declare_statement_token1] = ACTIONS(1027),
    [anon_sym_COMMA] = ACTIONS(1027),
    [aux_sym_set_statement_token1] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1027),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1027),
    [aux_sym_return_satement_token1] = ACTIONS(1027),
    [aux_sym_call_statement_token1] = ACTIONS(1027),
    [aux_sym_loop_statement_token1] = ACTIONS(1027),
    [aux_sym_while_statement_token1] = ACTIONS(1027),
    [aux_sym_break_statement_token1] = ACTIONS(1027),
    [aux_sym_leave_statement_token1] = ACTIONS(1027),
    [aux_sym_continue_statement_token1] = ACTIONS(1027),
    [aux_sym_iterate_statement_token1] = ACTIONS(1027),
    [aux_sym_raise_statement_token1] = ACTIONS(1027),
    [anon_sym_EQ] = ACTIONS(3248),
    [aux_sym_assert_statement_token1] = ACTIONS(1027),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1027),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1027),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1027),
    [aux_sym_option_clause_token1] = ACTIONS(1027),
    [anon_sym_LT] = ACTIONS(3242),
    [anon_sym_GT] = ACTIONS(3242),
    [aux_sym_select_token1] = ACTIONS(1027),
    [aux_sym_insert_statement_token1] = ACTIONS(1027),
    [aux_sym_truncate_statement_token1] = ACTIONS(1027),
    [aux_sym_update_statement_token1] = ACTIONS(1027),
    [aux_sym_merge_statement_token1] = ACTIONS(1027),
    [aux_sym_grant_statement_token1] = ACTIONS(1027),
    [aux_sym_revoke_statement_token1] = ACTIONS(1027),
    [aux_sym_export_data_statement_token1] = ACTIONS(1027),
    [aux_sym_load_data_statement_token1] = ACTIONS(1027),
    [anon_sym_LBRACK] = ACTIONS(1027),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(3250),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_STAR] = ACTIONS(3254),
    [anon_sym_SLASH] = ACTIONS(3256),
    [anon_sym_PIPE_PIPE] = ACTIONS(3254),
    [anon_sym_LT_EQ] = ACTIONS(3248),
    [anon_sym_LT_GT] = ACTIONS(3248),
    [anon_sym_GT_EQ] = ACTIONS(3248),
    [anon_sym_BANG_EQ] = ACTIONS(3248),
    [anon_sym_LT_LT] = ACTIONS(3258),
    [anon_sym_GT_GT] = ACTIONS(3258),
    [anon_sym_AMP] = ACTIONS(3260),
    [anon_sym_CARET] = ACTIONS(3262),
    [anon_sym_PIPE] = ACTIONS(3264),
  },
  [3390] = {
    [sym__unquoted_identifier] = ACTIONS(1472),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1472),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1472),
    [aux_sym_keyword_replace_token1] = ACTIONS(1472),
    [aux_sym__keyword_alter_token1] = ACTIONS(1472),
    [aux_sym__keyword_delete_token1] = ACTIONS(1472),
    [aux_sym__keyword_begin_token1] = ACTIONS(1472),
    [aux_sym__keyword_end_token1] = ACTIONS(1472),
    [aux_sym__keyword_between_token1] = ACTIONS(1472),
    [aux_sym__keyword_else_token1] = ACTIONS(1472),
    [aux_sym__keyword_is_token1] = ACTIONS(1472),
    [aux_sym__keyword_in_token1] = ACTIONS(1472),
    [aux_sym__keyword_and_token1] = ACTIONS(1472),
    [aux_sym__keyword_like_token1] = ACTIONS(1472),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1472),
    [aux_sym__keyword_as_token1] = ACTIONS(1472),
    [aux_sym__keyword_date_token1] = ACTIONS(1472),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1472),
    [aux_sym__keyword_time_token1] = ACTIONS(1472),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1472),
    [aux_sym__keyword_for_token1] = ACTIONS(1472),
    [anon_sym_SEMI] = ACTIONS(1470),
    [aux_sym_declare_statement_token1] = ACTIONS(1472),
    [anon_sym_COMMA] = ACTIONS(1470),
    [aux_sym_set_statement_token1] = ACTIONS(1472),
    [anon_sym_LPAREN] = ACTIONS(1470),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1472),
    [aux_sym_return_satement_token1] = ACTIONS(1472),
    [aux_sym_call_statement_token1] = ACTIONS(1472),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1472),
    [aux_sym_if_statement_token1] = ACTIONS(1472),
    [aux_sym_loop_statement_token1] = ACTIONS(1472),
    [aux_sym_repeat_statement_token1] = ACTIONS(1472),
    [aux_sym_while_statement_token1] = ACTIONS(1472),
    [aux_sym_break_statement_token1] = ACTIONS(1472),
    [aux_sym_leave_statement_token1] = ACTIONS(1472),
    [aux_sym_continue_statement_token1] = ACTIONS(1472),
    [aux_sym_iterate_statement_token1] = ACTIONS(1472),
    [aux_sym_raise_statement_token1] = ACTIONS(1472),
    [anon_sym_EQ] = ACTIONS(1470),
    [aux_sym_assert_statement_token1] = ACTIONS(1472),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1472),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1472),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1472),
    [anon_sym_LT] = ACTIONS(1472),
    [anon_sym_GT] = ACTIONS(1472),
    [aux_sym_select_token1] = ACTIONS(1472),
    [aux_sym_insert_statement_token1] = ACTIONS(1472),
    [aux_sym_truncate_statement_token1] = ACTIONS(1472),
    [aux_sym_update_statement_token1] = ACTIONS(1472),
    [aux_sym_merge_statement_token1] = ACTIONS(1472),
    [aux_sym_grant_statement_token1] = ACTIONS(1472),
    [aux_sym_revoke_statement_token1] = ACTIONS(1472),
    [aux_sym_export_data_statement_token1] = ACTIONS(1472),
    [aux_sym_load_data_statement_token1] = ACTIONS(1472),
    [anon_sym_LBRACK] = ACTIONS(1470),
    [sym__quoted_identifier] = ACTIONS(1470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1470),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_STAR] = ACTIONS(1470),
    [anon_sym_SLASH] = ACTIONS(1472),
    [anon_sym_PIPE_PIPE] = ACTIONS(1470),
    [anon_sym_LT_EQ] = ACTIONS(1470),
    [anon_sym_LT_GT] = ACTIONS(1470),
    [anon_sym_GT_EQ] = ACTIONS(1470),
    [anon_sym_BANG_EQ] = ACTIONS(1470),
    [anon_sym_LT_LT] = ACTIONS(1470),
    [anon_sym_GT_GT] = ACTIONS(1470),
    [anon_sym_AMP] = ACTIONS(1470),
    [anon_sym_CARET] = ACTIONS(1470),
    [anon_sym_PIPE] = ACTIONS(1472),
  },
  [3391] = {
    [sym__unquoted_identifier] = ACTIONS(1856),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1856),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1856),
    [aux_sym_keyword_replace_token1] = ACTIONS(1856),
    [aux_sym__keyword_alter_token1] = ACTIONS(1856),
    [aux_sym__keyword_delete_token1] = ACTIONS(1856),
    [aux_sym__keyword_begin_token1] = ACTIONS(1856),
    [aux_sym__keyword_end_token1] = ACTIONS(1856),
    [aux_sym__keyword_between_token1] = ACTIONS(1856),
    [aux_sym__keyword_else_token1] = ACTIONS(1856),
    [aux_sym__keyword_is_token1] = ACTIONS(1856),
    [aux_sym__keyword_in_token1] = ACTIONS(1856),
    [aux_sym__keyword_and_token1] = ACTIONS(1856),
    [aux_sym__keyword_like_token1] = ACTIONS(1856),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1856),
    [aux_sym__keyword_as_token1] = ACTIONS(1856),
    [aux_sym__keyword_date_token1] = ACTIONS(1856),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1856),
    [aux_sym__keyword_time_token1] = ACTIONS(1856),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1856),
    [aux_sym__keyword_for_token1] = ACTIONS(1856),
    [anon_sym_SEMI] = ACTIONS(1854),
    [aux_sym_declare_statement_token1] = ACTIONS(1856),
    [anon_sym_COMMA] = ACTIONS(1854),
    [aux_sym_set_statement_token1] = ACTIONS(1856),
    [anon_sym_LPAREN] = ACTIONS(1854),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1856),
    [aux_sym_return_satement_token1] = ACTIONS(1856),
    [aux_sym_call_statement_token1] = ACTIONS(1856),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1856),
    [aux_sym_if_statement_token1] = ACTIONS(1856),
    [aux_sym_loop_statement_token1] = ACTIONS(1856),
    [aux_sym_repeat_statement_token1] = ACTIONS(1856),
    [aux_sym_while_statement_token1] = ACTIONS(1856),
    [aux_sym_break_statement_token1] = ACTIONS(1856),
    [aux_sym_leave_statement_token1] = ACTIONS(1856),
    [aux_sym_continue_statement_token1] = ACTIONS(1856),
    [aux_sym_iterate_statement_token1] = ACTIONS(1856),
    [aux_sym_raise_statement_token1] = ACTIONS(1856),
    [anon_sym_EQ] = ACTIONS(1854),
    [aux_sym_assert_statement_token1] = ACTIONS(1856),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1856),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1856),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1856),
    [anon_sym_LT] = ACTIONS(1856),
    [anon_sym_GT] = ACTIONS(1856),
    [aux_sym_select_token1] = ACTIONS(1856),
    [aux_sym_insert_statement_token1] = ACTIONS(1856),
    [aux_sym_truncate_statement_token1] = ACTIONS(1856),
    [aux_sym_update_statement_token1] = ACTIONS(1856),
    [aux_sym_merge_statement_token1] = ACTIONS(1856),
    [aux_sym_grant_statement_token1] = ACTIONS(1856),
    [aux_sym_revoke_statement_token1] = ACTIONS(1856),
    [aux_sym_export_data_statement_token1] = ACTIONS(1856),
    [aux_sym_load_data_statement_token1] = ACTIONS(1856),
    [anon_sym_LBRACK] = ACTIONS(1854),
    [sym__quoted_identifier] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1854),
    [anon_sym_SLASH] = ACTIONS(1856),
    [anon_sym_PIPE_PIPE] = ACTIONS(1854),
    [anon_sym_LT_EQ] = ACTIONS(1854),
    [anon_sym_LT_GT] = ACTIONS(1854),
    [anon_sym_GT_EQ] = ACTIONS(1854),
    [anon_sym_BANG_EQ] = ACTIONS(1854),
    [anon_sym_LT_LT] = ACTIONS(1854),
    [anon_sym_GT_GT] = ACTIONS(1854),
    [anon_sym_AMP] = ACTIONS(1854),
    [anon_sym_CARET] = ACTIONS(1854),
    [anon_sym_PIPE] = ACTIONS(1856),
  },
  [3392] = {
    [sym__unquoted_identifier] = ACTIONS(1848),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1848),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1848),
    [aux_sym_keyword_replace_token1] = ACTIONS(1848),
    [aux_sym__keyword_alter_token1] = ACTIONS(1848),
    [aux_sym__keyword_delete_token1] = ACTIONS(1848),
    [aux_sym__keyword_begin_token1] = ACTIONS(1848),
    [aux_sym__keyword_end_token1] = ACTIONS(1848),
    [aux_sym__keyword_between_token1] = ACTIONS(1848),
    [aux_sym__keyword_else_token1] = ACTIONS(1848),
    [aux_sym__keyword_is_token1] = ACTIONS(1848),
    [aux_sym__keyword_in_token1] = ACTIONS(1848),
    [aux_sym__keyword_and_token1] = ACTIONS(1848),
    [aux_sym__keyword_like_token1] = ACTIONS(1848),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1848),
    [aux_sym__keyword_as_token1] = ACTIONS(1848),
    [aux_sym__keyword_date_token1] = ACTIONS(1848),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1848),
    [aux_sym__keyword_time_token1] = ACTIONS(1848),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1848),
    [aux_sym__keyword_for_token1] = ACTIONS(1848),
    [anon_sym_SEMI] = ACTIONS(1846),
    [aux_sym_declare_statement_token1] = ACTIONS(1848),
    [anon_sym_COMMA] = ACTIONS(1846),
    [aux_sym_set_statement_token1] = ACTIONS(1848),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1848),
    [aux_sym_return_satement_token1] = ACTIONS(1848),
    [aux_sym_call_statement_token1] = ACTIONS(1848),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1848),
    [aux_sym_if_statement_token1] = ACTIONS(1848),
    [aux_sym_loop_statement_token1] = ACTIONS(1848),
    [aux_sym_repeat_statement_token1] = ACTIONS(1848),
    [aux_sym_while_statement_token1] = ACTIONS(1848),
    [aux_sym_break_statement_token1] = ACTIONS(1848),
    [aux_sym_leave_statement_token1] = ACTIONS(1848),
    [aux_sym_continue_statement_token1] = ACTIONS(1848),
    [aux_sym_iterate_statement_token1] = ACTIONS(1848),
    [aux_sym_raise_statement_token1] = ACTIONS(1848),
    [anon_sym_EQ] = ACTIONS(1846),
    [aux_sym_assert_statement_token1] = ACTIONS(1848),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1848),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1848),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1848),
    [anon_sym_LT] = ACTIONS(1848),
    [anon_sym_GT] = ACTIONS(1848),
    [aux_sym_select_token1] = ACTIONS(1848),
    [aux_sym_insert_statement_token1] = ACTIONS(1848),
    [aux_sym_truncate_statement_token1] = ACTIONS(1848),
    [aux_sym_update_statement_token1] = ACTIONS(1848),
    [aux_sym_merge_statement_token1] = ACTIONS(1848),
    [aux_sym_grant_statement_token1] = ACTIONS(1848),
    [aux_sym_revoke_statement_token1] = ACTIONS(1848),
    [aux_sym_export_data_statement_token1] = ACTIONS(1848),
    [aux_sym_load_data_statement_token1] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1846),
    [sym__quoted_identifier] = ACTIONS(1846),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1846),
    [anon_sym_PLUS] = ACTIONS(1846),
    [anon_sym_DASH] = ACTIONS(1848),
    [anon_sym_STAR] = ACTIONS(1846),
    [anon_sym_SLASH] = ACTIONS(1848),
    [anon_sym_PIPE_PIPE] = ACTIONS(1846),
    [anon_sym_LT_EQ] = ACTIONS(1846),
    [anon_sym_LT_GT] = ACTIONS(1846),
    [anon_sym_GT_EQ] = ACTIONS(1846),
    [anon_sym_BANG_EQ] = ACTIONS(1846),
    [anon_sym_LT_LT] = ACTIONS(1846),
    [anon_sym_GT_GT] = ACTIONS(1846),
    [anon_sym_AMP] = ACTIONS(1846),
    [anon_sym_CARET] = ACTIONS(1846),
    [anon_sym_PIPE] = ACTIONS(1848),
  },
  [3393] = {
    [sym__unquoted_identifier] = ACTIONS(1588),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1588),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1588),
    [aux_sym_keyword_replace_token1] = ACTIONS(1588),
    [aux_sym__keyword_alter_token1] = ACTIONS(1588),
    [aux_sym__keyword_delete_token1] = ACTIONS(1588),
    [aux_sym__keyword_begin_token1] = ACTIONS(1588),
    [aux_sym__keyword_end_token1] = ACTIONS(1588),
    [aux_sym__keyword_between_token1] = ACTIONS(1588),
    [aux_sym__keyword_else_token1] = ACTIONS(1588),
    [aux_sym__keyword_is_token1] = ACTIONS(1588),
    [aux_sym__keyword_in_token1] = ACTIONS(1588),
    [aux_sym__keyword_and_token1] = ACTIONS(1588),
    [aux_sym__keyword_like_token1] = ACTIONS(1588),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1588),
    [aux_sym__keyword_as_token1] = ACTIONS(1588),
    [aux_sym__keyword_date_token1] = ACTIONS(1588),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1588),
    [aux_sym__keyword_time_token1] = ACTIONS(1588),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1588),
    [aux_sym__keyword_for_token1] = ACTIONS(1588),
    [anon_sym_SEMI] = ACTIONS(1586),
    [aux_sym_declare_statement_token1] = ACTIONS(1588),
    [anon_sym_COMMA] = ACTIONS(1586),
    [aux_sym_set_statement_token1] = ACTIONS(1588),
    [anon_sym_LPAREN] = ACTIONS(1586),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1588),
    [aux_sym_return_satement_token1] = ACTIONS(1588),
    [aux_sym_call_statement_token1] = ACTIONS(1588),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1588),
    [aux_sym_if_statement_token1] = ACTIONS(1588),
    [aux_sym_loop_statement_token1] = ACTIONS(1588),
    [aux_sym_repeat_statement_token1] = ACTIONS(1588),
    [aux_sym_while_statement_token1] = ACTIONS(1588),
    [aux_sym_break_statement_token1] = ACTIONS(1588),
    [aux_sym_leave_statement_token1] = ACTIONS(1588),
    [aux_sym_continue_statement_token1] = ACTIONS(1588),
    [aux_sym_iterate_statement_token1] = ACTIONS(1588),
    [aux_sym_raise_statement_token1] = ACTIONS(1588),
    [anon_sym_EQ] = ACTIONS(1586),
    [aux_sym_assert_statement_token1] = ACTIONS(1588),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1588),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1588),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1588),
    [anon_sym_LT] = ACTIONS(1588),
    [anon_sym_GT] = ACTIONS(1588),
    [aux_sym_select_token1] = ACTIONS(1588),
    [aux_sym_insert_statement_token1] = ACTIONS(1588),
    [aux_sym_truncate_statement_token1] = ACTIONS(1588),
    [aux_sym_update_statement_token1] = ACTIONS(1588),
    [aux_sym_merge_statement_token1] = ACTIONS(1588),
    [aux_sym_grant_statement_token1] = ACTIONS(1588),
    [aux_sym_revoke_statement_token1] = ACTIONS(1588),
    [aux_sym_export_data_statement_token1] = ACTIONS(1588),
    [aux_sym_load_data_statement_token1] = ACTIONS(1588),
    [anon_sym_LBRACK] = ACTIONS(1586),
    [sym__quoted_identifier] = ACTIONS(1586),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1586),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_STAR] = ACTIONS(1586),
    [anon_sym_SLASH] = ACTIONS(1588),
    [anon_sym_PIPE_PIPE] = ACTIONS(1586),
    [anon_sym_LT_EQ] = ACTIONS(1586),
    [anon_sym_LT_GT] = ACTIONS(1586),
    [anon_sym_GT_EQ] = ACTIONS(1586),
    [anon_sym_BANG_EQ] = ACTIONS(1586),
    [anon_sym_LT_LT] = ACTIONS(1586),
    [anon_sym_GT_GT] = ACTIONS(1586),
    [anon_sym_AMP] = ACTIONS(1586),
    [anon_sym_CARET] = ACTIONS(1586),
    [anon_sym_PIPE] = ACTIONS(1588),
  },
  [3394] = {
    [sym__unquoted_identifier] = ACTIONS(1494),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1494),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1494),
    [aux_sym_keyword_replace_token1] = ACTIONS(1494),
    [aux_sym__keyword_alter_token1] = ACTIONS(1494),
    [aux_sym__keyword_delete_token1] = ACTIONS(1494),
    [aux_sym__keyword_begin_token1] = ACTIONS(1494),
    [aux_sym__keyword_end_token1] = ACTIONS(1494),
    [aux_sym__keyword_between_token1] = ACTIONS(1494),
    [aux_sym__keyword_else_token1] = ACTIONS(1494),
    [aux_sym__keyword_is_token1] = ACTIONS(1494),
    [aux_sym__keyword_in_token1] = ACTIONS(1494),
    [aux_sym__keyword_and_token1] = ACTIONS(1494),
    [aux_sym__keyword_like_token1] = ACTIONS(1494),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1494),
    [aux_sym__keyword_as_token1] = ACTIONS(1494),
    [aux_sym__keyword_date_token1] = ACTIONS(1494),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1494),
    [aux_sym__keyword_time_token1] = ACTIONS(1494),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1494),
    [aux_sym__keyword_for_token1] = ACTIONS(1494),
    [anon_sym_SEMI] = ACTIONS(1492),
    [aux_sym_declare_statement_token1] = ACTIONS(1494),
    [anon_sym_COMMA] = ACTIONS(1492),
    [aux_sym_set_statement_token1] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1494),
    [aux_sym_return_satement_token1] = ACTIONS(1494),
    [aux_sym_call_statement_token1] = ACTIONS(1494),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1494),
    [aux_sym_if_statement_token1] = ACTIONS(1494),
    [aux_sym_loop_statement_token1] = ACTIONS(1494),
    [aux_sym_repeat_statement_token1] = ACTIONS(1494),
    [aux_sym_while_statement_token1] = ACTIONS(1494),
    [aux_sym_break_statement_token1] = ACTIONS(1494),
    [aux_sym_leave_statement_token1] = ACTIONS(1494),
    [aux_sym_continue_statement_token1] = ACTIONS(1494),
    [aux_sym_iterate_statement_token1] = ACTIONS(1494),
    [aux_sym_raise_statement_token1] = ACTIONS(1494),
    [anon_sym_EQ] = ACTIONS(1492),
    [aux_sym_assert_statement_token1] = ACTIONS(1494),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1494),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1494),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1494),
    [anon_sym_LT] = ACTIONS(1494),
    [anon_sym_GT] = ACTIONS(1494),
    [aux_sym_select_token1] = ACTIONS(1494),
    [aux_sym_insert_statement_token1] = ACTIONS(1494),
    [aux_sym_truncate_statement_token1] = ACTIONS(1494),
    [aux_sym_update_statement_token1] = ACTIONS(1494),
    [aux_sym_merge_statement_token1] = ACTIONS(1494),
    [aux_sym_grant_statement_token1] = ACTIONS(1494),
    [aux_sym_revoke_statement_token1] = ACTIONS(1494),
    [aux_sym_export_data_statement_token1] = ACTIONS(1494),
    [aux_sym_load_data_statement_token1] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [sym__quoted_identifier] = ACTIONS(1492),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_STAR] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1494),
    [anon_sym_PIPE_PIPE] = ACTIONS(1492),
    [anon_sym_LT_EQ] = ACTIONS(1492),
    [anon_sym_LT_GT] = ACTIONS(1492),
    [anon_sym_GT_EQ] = ACTIONS(1492),
    [anon_sym_BANG_EQ] = ACTIONS(1492),
    [anon_sym_LT_LT] = ACTIONS(1492),
    [anon_sym_GT_GT] = ACTIONS(1492),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_CARET] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1494),
  },
  [3395] = {
    [sym__unquoted_identifier] = ACTIONS(1860),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1860),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1860),
    [aux_sym_keyword_replace_token1] = ACTIONS(1860),
    [aux_sym__keyword_alter_token1] = ACTIONS(1860),
    [aux_sym__keyword_delete_token1] = ACTIONS(1860),
    [aux_sym__keyword_begin_token1] = ACTIONS(1860),
    [aux_sym__keyword_end_token1] = ACTIONS(1860),
    [aux_sym__keyword_between_token1] = ACTIONS(1860),
    [aux_sym__keyword_else_token1] = ACTIONS(1860),
    [aux_sym__keyword_is_token1] = ACTIONS(1860),
    [aux_sym__keyword_in_token1] = ACTIONS(1860),
    [aux_sym__keyword_and_token1] = ACTIONS(1860),
    [aux_sym__keyword_like_token1] = ACTIONS(1860),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1860),
    [aux_sym__keyword_as_token1] = ACTIONS(1860),
    [aux_sym__keyword_date_token1] = ACTIONS(1860),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1860),
    [aux_sym__keyword_time_token1] = ACTIONS(1860),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1860),
    [aux_sym__keyword_for_token1] = ACTIONS(1860),
    [anon_sym_SEMI] = ACTIONS(1858),
    [aux_sym_declare_statement_token1] = ACTIONS(1860),
    [anon_sym_COMMA] = ACTIONS(1858),
    [aux_sym_set_statement_token1] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(1858),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1860),
    [aux_sym_return_satement_token1] = ACTIONS(1860),
    [aux_sym_call_statement_token1] = ACTIONS(1860),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1860),
    [aux_sym_if_statement_token1] = ACTIONS(1860),
    [aux_sym_loop_statement_token1] = ACTIONS(1860),
    [aux_sym_repeat_statement_token1] = ACTIONS(1860),
    [aux_sym_while_statement_token1] = ACTIONS(1860),
    [aux_sym_break_statement_token1] = ACTIONS(1860),
    [aux_sym_leave_statement_token1] = ACTIONS(1860),
    [aux_sym_continue_statement_token1] = ACTIONS(1860),
    [aux_sym_iterate_statement_token1] = ACTIONS(1860),
    [aux_sym_raise_statement_token1] = ACTIONS(1860),
    [anon_sym_EQ] = ACTIONS(1858),
    [aux_sym_assert_statement_token1] = ACTIONS(1860),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1860),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1860),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1860),
    [anon_sym_LT] = ACTIONS(1860),
    [anon_sym_GT] = ACTIONS(1860),
    [aux_sym_select_token1] = ACTIONS(1860),
    [aux_sym_insert_statement_token1] = ACTIONS(1860),
    [aux_sym_truncate_statement_token1] = ACTIONS(1860),
    [aux_sym_update_statement_token1] = ACTIONS(1860),
    [aux_sym_merge_statement_token1] = ACTIONS(1860),
    [aux_sym_grant_statement_token1] = ACTIONS(1860),
    [aux_sym_revoke_statement_token1] = ACTIONS(1860),
    [aux_sym_export_data_statement_token1] = ACTIONS(1860),
    [aux_sym_load_data_statement_token1] = ACTIONS(1860),
    [anon_sym_LBRACK] = ACTIONS(1858),
    [sym__quoted_identifier] = ACTIONS(1858),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1858),
    [anon_sym_PLUS] = ACTIONS(1858),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_PIPE_PIPE] = ACTIONS(1858),
    [anon_sym_LT_EQ] = ACTIONS(1858),
    [anon_sym_LT_GT] = ACTIONS(1858),
    [anon_sym_GT_EQ] = ACTIONS(1858),
    [anon_sym_BANG_EQ] = ACTIONS(1858),
    [anon_sym_LT_LT] = ACTIONS(1858),
    [anon_sym_GT_GT] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym_CARET] = ACTIONS(1858),
    [anon_sym_PIPE] = ACTIONS(1860),
  },
  [3396] = {
    [sym__unquoted_identifier] = ACTIONS(1828),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1828),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1828),
    [aux_sym_keyword_replace_token1] = ACTIONS(1828),
    [aux_sym__keyword_alter_token1] = ACTIONS(1828),
    [aux_sym__keyword_delete_token1] = ACTIONS(1828),
    [aux_sym__keyword_begin_token1] = ACTIONS(1828),
    [aux_sym__keyword_end_token1] = ACTIONS(1828),
    [aux_sym__keyword_between_token1] = ACTIONS(1828),
    [aux_sym__keyword_else_token1] = ACTIONS(1828),
    [aux_sym__keyword_is_token1] = ACTIONS(1828),
    [aux_sym__keyword_in_token1] = ACTIONS(1828),
    [aux_sym__keyword_and_token1] = ACTIONS(1828),
    [aux_sym__keyword_like_token1] = ACTIONS(1828),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1828),
    [aux_sym__keyword_as_token1] = ACTIONS(1828),
    [aux_sym__keyword_date_token1] = ACTIONS(1828),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1828),
    [aux_sym__keyword_time_token1] = ACTIONS(1828),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1828),
    [aux_sym__keyword_for_token1] = ACTIONS(1828),
    [anon_sym_SEMI] = ACTIONS(1826),
    [aux_sym_declare_statement_token1] = ACTIONS(1828),
    [anon_sym_COMMA] = ACTIONS(1826),
    [aux_sym_set_statement_token1] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1826),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1828),
    [aux_sym_return_satement_token1] = ACTIONS(1828),
    [aux_sym_call_statement_token1] = ACTIONS(1828),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1828),
    [aux_sym_if_statement_token1] = ACTIONS(1828),
    [aux_sym_loop_statement_token1] = ACTIONS(1828),
    [aux_sym_repeat_statement_token1] = ACTIONS(1828),
    [aux_sym_while_statement_token1] = ACTIONS(1828),
    [aux_sym_break_statement_token1] = ACTIONS(1828),
    [aux_sym_leave_statement_token1] = ACTIONS(1828),
    [aux_sym_continue_statement_token1] = ACTIONS(1828),
    [aux_sym_iterate_statement_token1] = ACTIONS(1828),
    [aux_sym_raise_statement_token1] = ACTIONS(1828),
    [anon_sym_EQ] = ACTIONS(1826),
    [aux_sym_assert_statement_token1] = ACTIONS(1828),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1828),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1828),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1828),
    [anon_sym_LT] = ACTIONS(1828),
    [anon_sym_GT] = ACTIONS(1828),
    [aux_sym_select_token1] = ACTIONS(1828),
    [aux_sym_insert_statement_token1] = ACTIONS(1828),
    [aux_sym_truncate_statement_token1] = ACTIONS(1828),
    [aux_sym_update_statement_token1] = ACTIONS(1828),
    [aux_sym_merge_statement_token1] = ACTIONS(1828),
    [aux_sym_grant_statement_token1] = ACTIONS(1828),
    [aux_sym_revoke_statement_token1] = ACTIONS(1828),
    [aux_sym_export_data_statement_token1] = ACTIONS(1828),
    [aux_sym_load_data_statement_token1] = ACTIONS(1828),
    [anon_sym_LBRACK] = ACTIONS(1826),
    [sym__quoted_identifier] = ACTIONS(1826),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1826),
    [anon_sym_PLUS] = ACTIONS(1826),
    [anon_sym_DASH] = ACTIONS(1828),
    [anon_sym_STAR] = ACTIONS(1826),
    [anon_sym_SLASH] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE] = ACTIONS(1826),
    [anon_sym_LT_EQ] = ACTIONS(1826),
    [anon_sym_LT_GT] = ACTIONS(1826),
    [anon_sym_GT_EQ] = ACTIONS(1826),
    [anon_sym_BANG_EQ] = ACTIONS(1826),
    [anon_sym_LT_LT] = ACTIONS(1826),
    [anon_sym_GT_GT] = ACTIONS(1826),
    [anon_sym_AMP] = ACTIONS(1826),
    [anon_sym_CARET] = ACTIONS(1826),
    [anon_sym_PIPE] = ACTIONS(1828),
  },
  [3397] = {
    [sym__unquoted_identifier] = ACTIONS(1824),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1824),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1824),
    [aux_sym_keyword_replace_token1] = ACTIONS(1824),
    [aux_sym__keyword_alter_token1] = ACTIONS(1824),
    [aux_sym__keyword_delete_token1] = ACTIONS(1824),
    [aux_sym__keyword_begin_token1] = ACTIONS(1824),
    [aux_sym__keyword_end_token1] = ACTIONS(1824),
    [aux_sym__keyword_between_token1] = ACTIONS(1824),
    [aux_sym__keyword_else_token1] = ACTIONS(1824),
    [aux_sym__keyword_is_token1] = ACTIONS(1824),
    [aux_sym__keyword_in_token1] = ACTIONS(1824),
    [aux_sym__keyword_and_token1] = ACTIONS(1824),
    [aux_sym__keyword_like_token1] = ACTIONS(1824),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1824),
    [aux_sym__keyword_as_token1] = ACTIONS(1824),
    [aux_sym__keyword_date_token1] = ACTIONS(1824),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1824),
    [aux_sym__keyword_time_token1] = ACTIONS(1824),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1824),
    [aux_sym__keyword_for_token1] = ACTIONS(1824),
    [anon_sym_SEMI] = ACTIONS(1822),
    [aux_sym_declare_statement_token1] = ACTIONS(1824),
    [anon_sym_COMMA] = ACTIONS(1822),
    [aux_sym_set_statement_token1] = ACTIONS(1824),
    [anon_sym_LPAREN] = ACTIONS(1822),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1824),
    [aux_sym_return_satement_token1] = ACTIONS(1824),
    [aux_sym_call_statement_token1] = ACTIONS(1824),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1824),
    [aux_sym_if_statement_token1] = ACTIONS(1824),
    [aux_sym_loop_statement_token1] = ACTIONS(1824),
    [aux_sym_repeat_statement_token1] = ACTIONS(1824),
    [aux_sym_while_statement_token1] = ACTIONS(1824),
    [aux_sym_break_statement_token1] = ACTIONS(1824),
    [aux_sym_leave_statement_token1] = ACTIONS(1824),
    [aux_sym_continue_statement_token1] = ACTIONS(1824),
    [aux_sym_iterate_statement_token1] = ACTIONS(1824),
    [aux_sym_raise_statement_token1] = ACTIONS(1824),
    [anon_sym_EQ] = ACTIONS(1822),
    [aux_sym_assert_statement_token1] = ACTIONS(1824),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1824),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1824),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1824),
    [anon_sym_LT] = ACTIONS(1824),
    [anon_sym_GT] = ACTIONS(1824),
    [aux_sym_select_token1] = ACTIONS(1824),
    [aux_sym_insert_statement_token1] = ACTIONS(1824),
    [aux_sym_truncate_statement_token1] = ACTIONS(1824),
    [aux_sym_update_statement_token1] = ACTIONS(1824),
    [aux_sym_merge_statement_token1] = ACTIONS(1824),
    [aux_sym_grant_statement_token1] = ACTIONS(1824),
    [aux_sym_revoke_statement_token1] = ACTIONS(1824),
    [aux_sym_export_data_statement_token1] = ACTIONS(1824),
    [aux_sym_load_data_statement_token1] = ACTIONS(1824),
    [anon_sym_LBRACK] = ACTIONS(1822),
    [sym__quoted_identifier] = ACTIONS(1822),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1822),
    [anon_sym_PLUS] = ACTIONS(1822),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_STAR] = ACTIONS(1822),
    [anon_sym_SLASH] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE] = ACTIONS(1822),
    [anon_sym_LT_EQ] = ACTIONS(1822),
    [anon_sym_LT_GT] = ACTIONS(1822),
    [anon_sym_GT_EQ] = ACTIONS(1822),
    [anon_sym_BANG_EQ] = ACTIONS(1822),
    [anon_sym_LT_LT] = ACTIONS(1822),
    [anon_sym_GT_GT] = ACTIONS(1822),
    [anon_sym_AMP] = ACTIONS(1822),
    [anon_sym_CARET] = ACTIONS(1822),
    [anon_sym_PIPE] = ACTIONS(1824),
  },
  [3398] = {
    [sym__unquoted_identifier] = ACTIONS(1786),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1786),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1786),
    [aux_sym_keyword_replace_token1] = ACTIONS(1786),
    [aux_sym__keyword_alter_token1] = ACTIONS(1786),
    [aux_sym__keyword_delete_token1] = ACTIONS(1786),
    [aux_sym__keyword_begin_token1] = ACTIONS(1786),
    [aux_sym__keyword_end_token1] = ACTIONS(1786),
    [aux_sym__keyword_between_token1] = ACTIONS(1786),
    [aux_sym__keyword_else_token1] = ACTIONS(1786),
    [aux_sym__keyword_is_token1] = ACTIONS(1786),
    [aux_sym__keyword_in_token1] = ACTIONS(1786),
    [aux_sym__keyword_and_token1] = ACTIONS(1786),
    [aux_sym__keyword_like_token1] = ACTIONS(1786),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1786),
    [aux_sym__keyword_as_token1] = ACTIONS(1786),
    [aux_sym__keyword_date_token1] = ACTIONS(1786),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1786),
    [aux_sym__keyword_time_token1] = ACTIONS(1786),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1786),
    [aux_sym__keyword_for_token1] = ACTIONS(1786),
    [anon_sym_SEMI] = ACTIONS(1784),
    [aux_sym_declare_statement_token1] = ACTIONS(1786),
    [anon_sym_COMMA] = ACTIONS(1784),
    [aux_sym_set_statement_token1] = ACTIONS(1786),
    [anon_sym_LPAREN] = ACTIONS(1784),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1786),
    [aux_sym_return_satement_token1] = ACTIONS(1786),
    [aux_sym_call_statement_token1] = ACTIONS(1786),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1786),
    [aux_sym_if_statement_token1] = ACTIONS(1786),
    [aux_sym_loop_statement_token1] = ACTIONS(1786),
    [aux_sym_repeat_statement_token1] = ACTIONS(1786),
    [aux_sym_while_statement_token1] = ACTIONS(1786),
    [aux_sym_break_statement_token1] = ACTIONS(1786),
    [aux_sym_leave_statement_token1] = ACTIONS(1786),
    [aux_sym_continue_statement_token1] = ACTIONS(1786),
    [aux_sym_iterate_statement_token1] = ACTIONS(1786),
    [aux_sym_raise_statement_token1] = ACTIONS(1786),
    [anon_sym_EQ] = ACTIONS(1784),
    [aux_sym_assert_statement_token1] = ACTIONS(1786),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1786),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1786),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1786),
    [anon_sym_LT] = ACTIONS(1786),
    [anon_sym_GT] = ACTIONS(1786),
    [aux_sym_select_token1] = ACTIONS(1786),
    [aux_sym_insert_statement_token1] = ACTIONS(1786),
    [aux_sym_truncate_statement_token1] = ACTIONS(1786),
    [aux_sym_update_statement_token1] = ACTIONS(1786),
    [aux_sym_merge_statement_token1] = ACTIONS(1786),
    [aux_sym_grant_statement_token1] = ACTIONS(1786),
    [aux_sym_revoke_statement_token1] = ACTIONS(1786),
    [aux_sym_export_data_statement_token1] = ACTIONS(1786),
    [aux_sym_load_data_statement_token1] = ACTIONS(1786),
    [anon_sym_LBRACK] = ACTIONS(1784),
    [sym__quoted_identifier] = ACTIONS(1784),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1784),
    [anon_sym_PLUS] = ACTIONS(1784),
    [anon_sym_DASH] = ACTIONS(1786),
    [anon_sym_STAR] = ACTIONS(1784),
    [anon_sym_SLASH] = ACTIONS(1786),
    [anon_sym_PIPE_PIPE] = ACTIONS(1784),
    [anon_sym_LT_EQ] = ACTIONS(1784),
    [anon_sym_LT_GT] = ACTIONS(1784),
    [anon_sym_GT_EQ] = ACTIONS(1784),
    [anon_sym_BANG_EQ] = ACTIONS(1784),
    [anon_sym_LT_LT] = ACTIONS(1784),
    [anon_sym_GT_GT] = ACTIONS(1784),
    [anon_sym_AMP] = ACTIONS(1784),
    [anon_sym_CARET] = ACTIONS(1784),
    [anon_sym_PIPE] = ACTIONS(1786),
  },
  [3399] = {
    [sym__unquoted_identifier] = ACTIONS(1596),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1596),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1596),
    [aux_sym_keyword_replace_token1] = ACTIONS(1596),
    [aux_sym__keyword_alter_token1] = ACTIONS(1596),
    [aux_sym__keyword_delete_token1] = ACTIONS(1596),
    [aux_sym__keyword_begin_token1] = ACTIONS(1596),
    [aux_sym__keyword_end_token1] = ACTIONS(1596),
    [aux_sym__keyword_between_token1] = ACTIONS(1596),
    [aux_sym__keyword_else_token1] = ACTIONS(1596),
    [aux_sym__keyword_is_token1] = ACTIONS(1596),
    [aux_sym__keyword_in_token1] = ACTIONS(1596),
    [aux_sym__keyword_and_token1] = ACTIONS(1596),
    [aux_sym__keyword_like_token1] = ACTIONS(1596),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1596),
    [aux_sym__keyword_as_token1] = ACTIONS(1596),
    [aux_sym__keyword_date_token1] = ACTIONS(1596),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1596),
    [aux_sym__keyword_time_token1] = ACTIONS(1596),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1596),
    [aux_sym__keyword_for_token1] = ACTIONS(1596),
    [anon_sym_SEMI] = ACTIONS(1594),
    [aux_sym_declare_statement_token1] = ACTIONS(1596),
    [anon_sym_COMMA] = ACTIONS(1594),
    [aux_sym_set_statement_token1] = ACTIONS(1596),
    [anon_sym_LPAREN] = ACTIONS(1594),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1596),
    [aux_sym_return_satement_token1] = ACTIONS(1596),
    [aux_sym_call_statement_token1] = ACTIONS(1596),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1596),
    [aux_sym_if_statement_token1] = ACTIONS(1596),
    [aux_sym_loop_statement_token1] = ACTIONS(1596),
    [aux_sym_repeat_statement_token1] = ACTIONS(1596),
    [aux_sym_while_statement_token1] = ACTIONS(1596),
    [aux_sym_break_statement_token1] = ACTIONS(1596),
    [aux_sym_leave_statement_token1] = ACTIONS(1596),
    [aux_sym_continue_statement_token1] = ACTIONS(1596),
    [aux_sym_iterate_statement_token1] = ACTIONS(1596),
    [aux_sym_raise_statement_token1] = ACTIONS(1596),
    [anon_sym_EQ] = ACTIONS(1594),
    [aux_sym_assert_statement_token1] = ACTIONS(1596),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1596),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1596),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1596),
    [anon_sym_LT] = ACTIONS(1596),
    [anon_sym_GT] = ACTIONS(1596),
    [aux_sym_select_token1] = ACTIONS(1596),
    [aux_sym_insert_statement_token1] = ACTIONS(1596),
    [aux_sym_truncate_statement_token1] = ACTIONS(1596),
    [aux_sym_update_statement_token1] = ACTIONS(1596),
    [aux_sym_merge_statement_token1] = ACTIONS(1596),
    [aux_sym_grant_statement_token1] = ACTIONS(1596),
    [aux_sym_revoke_statement_token1] = ACTIONS(1596),
    [aux_sym_export_data_statement_token1] = ACTIONS(1596),
    [aux_sym_load_data_statement_token1] = ACTIONS(1596),
    [anon_sym_LBRACK] = ACTIONS(1594),
    [sym__quoted_identifier] = ACTIONS(1594),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1594),
    [anon_sym_PLUS] = ACTIONS(1594),
    [anon_sym_DASH] = ACTIONS(1596),
    [anon_sym_STAR] = ACTIONS(1594),
    [anon_sym_SLASH] = ACTIONS(1596),
    [anon_sym_PIPE_PIPE] = ACTIONS(1594),
    [anon_sym_LT_EQ] = ACTIONS(1594),
    [anon_sym_LT_GT] = ACTIONS(1594),
    [anon_sym_GT_EQ] = ACTIONS(1594),
    [anon_sym_BANG_EQ] = ACTIONS(1594),
    [anon_sym_LT_LT] = ACTIONS(1594),
    [anon_sym_GT_GT] = ACTIONS(1594),
    [anon_sym_AMP] = ACTIONS(1594),
    [anon_sym_CARET] = ACTIONS(1594),
    [anon_sym_PIPE] = ACTIONS(1596),
  },
  [3400] = {
    [sym__unquoted_identifier] = ACTIONS(1592),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1592),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1592),
    [aux_sym_keyword_replace_token1] = ACTIONS(1592),
    [aux_sym__keyword_alter_token1] = ACTIONS(1592),
    [aux_sym__keyword_delete_token1] = ACTIONS(1592),
    [aux_sym__keyword_begin_token1] = ACTIONS(1592),
    [aux_sym__keyword_end_token1] = ACTIONS(1592),
    [aux_sym__keyword_between_token1] = ACTIONS(1592),
    [aux_sym__keyword_else_token1] = ACTIONS(1592),
    [aux_sym__keyword_is_token1] = ACTIONS(1592),
    [aux_sym__keyword_in_token1] = ACTIONS(1592),
    [aux_sym__keyword_and_token1] = ACTIONS(1592),
    [aux_sym__keyword_like_token1] = ACTIONS(1592),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1592),
    [aux_sym__keyword_as_token1] = ACTIONS(1592),
    [aux_sym__keyword_date_token1] = ACTIONS(1592),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1592),
    [aux_sym__keyword_time_token1] = ACTIONS(1592),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1592),
    [aux_sym__keyword_for_token1] = ACTIONS(1592),
    [anon_sym_SEMI] = ACTIONS(1590),
    [aux_sym_declare_statement_token1] = ACTIONS(1592),
    [anon_sym_COMMA] = ACTIONS(1590),
    [aux_sym_set_statement_token1] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1590),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1592),
    [aux_sym_return_satement_token1] = ACTIONS(1592),
    [aux_sym_call_statement_token1] = ACTIONS(1592),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1592),
    [aux_sym_if_statement_token1] = ACTIONS(1592),
    [aux_sym_loop_statement_token1] = ACTIONS(1592),
    [aux_sym_repeat_statement_token1] = ACTIONS(1592),
    [aux_sym_while_statement_token1] = ACTIONS(1592),
    [aux_sym_break_statement_token1] = ACTIONS(1592),
    [aux_sym_leave_statement_token1] = ACTIONS(1592),
    [aux_sym_continue_statement_token1] = ACTIONS(1592),
    [aux_sym_iterate_statement_token1] = ACTIONS(1592),
    [aux_sym_raise_statement_token1] = ACTIONS(1592),
    [anon_sym_EQ] = ACTIONS(1590),
    [aux_sym_assert_statement_token1] = ACTIONS(1592),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1592),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1592),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1592),
    [anon_sym_LT] = ACTIONS(1592),
    [anon_sym_GT] = ACTIONS(1592),
    [aux_sym_select_token1] = ACTIONS(1592),
    [aux_sym_insert_statement_token1] = ACTIONS(1592),
    [aux_sym_truncate_statement_token1] = ACTIONS(1592),
    [aux_sym_update_statement_token1] = ACTIONS(1592),
    [aux_sym_merge_statement_token1] = ACTIONS(1592),
    [aux_sym_grant_statement_token1] = ACTIONS(1592),
    [aux_sym_revoke_statement_token1] = ACTIONS(1592),
    [aux_sym_export_data_statement_token1] = ACTIONS(1592),
    [aux_sym_load_data_statement_token1] = ACTIONS(1592),
    [anon_sym_LBRACK] = ACTIONS(1590),
    [sym__quoted_identifier] = ACTIONS(1590),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1590),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1592),
    [anon_sym_STAR] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(1592),
    [anon_sym_PIPE_PIPE] = ACTIONS(1590),
    [anon_sym_LT_EQ] = ACTIONS(1590),
    [anon_sym_LT_GT] = ACTIONS(1590),
    [anon_sym_GT_EQ] = ACTIONS(1590),
    [anon_sym_BANG_EQ] = ACTIONS(1590),
    [anon_sym_LT_LT] = ACTIONS(1590),
    [anon_sym_GT_GT] = ACTIONS(1590),
    [anon_sym_AMP] = ACTIONS(1590),
    [anon_sym_CARET] = ACTIONS(1590),
    [anon_sym_PIPE] = ACTIONS(1592),
  },
  [3401] = {
    [sym__unquoted_identifier] = ACTIONS(1770),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1770),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1770),
    [aux_sym_keyword_replace_token1] = ACTIONS(1770),
    [aux_sym__keyword_alter_token1] = ACTIONS(1770),
    [aux_sym__keyword_delete_token1] = ACTIONS(1770),
    [aux_sym__keyword_begin_token1] = ACTIONS(1770),
    [aux_sym__keyword_end_token1] = ACTIONS(1770),
    [aux_sym__keyword_between_token1] = ACTIONS(1770),
    [aux_sym__keyword_else_token1] = ACTIONS(1770),
    [aux_sym__keyword_is_token1] = ACTIONS(1770),
    [aux_sym__keyword_in_token1] = ACTIONS(1770),
    [aux_sym__keyword_and_token1] = ACTIONS(1770),
    [aux_sym__keyword_like_token1] = ACTIONS(1770),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1770),
    [aux_sym__keyword_as_token1] = ACTIONS(1770),
    [aux_sym__keyword_date_token1] = ACTIONS(1770),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1770),
    [aux_sym__keyword_time_token1] = ACTIONS(1770),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1770),
    [aux_sym__keyword_for_token1] = ACTIONS(1770),
    [anon_sym_SEMI] = ACTIONS(1768),
    [aux_sym_declare_statement_token1] = ACTIONS(1770),
    [anon_sym_COMMA] = ACTIONS(1768),
    [aux_sym_set_statement_token1] = ACTIONS(1770),
    [anon_sym_LPAREN] = ACTIONS(1768),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1770),
    [aux_sym_return_satement_token1] = ACTIONS(1770),
    [aux_sym_call_statement_token1] = ACTIONS(1770),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1770),
    [aux_sym_if_statement_token1] = ACTIONS(1770),
    [aux_sym_loop_statement_token1] = ACTIONS(1770),
    [aux_sym_repeat_statement_token1] = ACTIONS(1770),
    [aux_sym_while_statement_token1] = ACTIONS(1770),
    [aux_sym_break_statement_token1] = ACTIONS(1770),
    [aux_sym_leave_statement_token1] = ACTIONS(1770),
    [aux_sym_continue_statement_token1] = ACTIONS(1770),
    [aux_sym_iterate_statement_token1] = ACTIONS(1770),
    [aux_sym_raise_statement_token1] = ACTIONS(1770),
    [anon_sym_EQ] = ACTIONS(1768),
    [aux_sym_assert_statement_token1] = ACTIONS(1770),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1770),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1770),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1770),
    [anon_sym_LT] = ACTIONS(1770),
    [anon_sym_GT] = ACTIONS(1770),
    [aux_sym_select_token1] = ACTIONS(1770),
    [aux_sym_insert_statement_token1] = ACTIONS(1770),
    [aux_sym_truncate_statement_token1] = ACTIONS(1770),
    [aux_sym_update_statement_token1] = ACTIONS(1770),
    [aux_sym_merge_statement_token1] = ACTIONS(1770),
    [aux_sym_grant_statement_token1] = ACTIONS(1770),
    [aux_sym_revoke_statement_token1] = ACTIONS(1770),
    [aux_sym_export_data_statement_token1] = ACTIONS(1770),
    [aux_sym_load_data_statement_token1] = ACTIONS(1770),
    [anon_sym_LBRACK] = ACTIONS(1768),
    [sym__quoted_identifier] = ACTIONS(1768),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1768),
    [anon_sym_PLUS] = ACTIONS(1768),
    [anon_sym_DASH] = ACTIONS(1770),
    [anon_sym_STAR] = ACTIONS(1768),
    [anon_sym_SLASH] = ACTIONS(1770),
    [anon_sym_PIPE_PIPE] = ACTIONS(1768),
    [anon_sym_LT_EQ] = ACTIONS(1768),
    [anon_sym_LT_GT] = ACTIONS(1768),
    [anon_sym_GT_EQ] = ACTIONS(1768),
    [anon_sym_BANG_EQ] = ACTIONS(1768),
    [anon_sym_LT_LT] = ACTIONS(1768),
    [anon_sym_GT_GT] = ACTIONS(1768),
    [anon_sym_AMP] = ACTIONS(1768),
    [anon_sym_CARET] = ACTIONS(1768),
    [anon_sym_PIPE] = ACTIONS(1770),
  },
  [3402] = {
    [sym__unquoted_identifier] = ACTIONS(1852),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1852),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1852),
    [aux_sym_keyword_replace_token1] = ACTIONS(1852),
    [aux_sym__keyword_alter_token1] = ACTIONS(1852),
    [aux_sym__keyword_delete_token1] = ACTIONS(1852),
    [aux_sym__keyword_begin_token1] = ACTIONS(1852),
    [aux_sym__keyword_end_token1] = ACTIONS(1852),
    [aux_sym__keyword_between_token1] = ACTIONS(1852),
    [aux_sym__keyword_else_token1] = ACTIONS(1852),
    [aux_sym__keyword_is_token1] = ACTIONS(1852),
    [aux_sym__keyword_in_token1] = ACTIONS(1852),
    [aux_sym__keyword_and_token1] = ACTIONS(1852),
    [aux_sym__keyword_like_token1] = ACTIONS(1852),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1852),
    [aux_sym__keyword_as_token1] = ACTIONS(1852),
    [aux_sym__keyword_date_token1] = ACTIONS(1852),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1852),
    [aux_sym__keyword_time_token1] = ACTIONS(1852),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1852),
    [aux_sym__keyword_for_token1] = ACTIONS(1852),
    [anon_sym_SEMI] = ACTIONS(1850),
    [aux_sym_declare_statement_token1] = ACTIONS(1852),
    [anon_sym_COMMA] = ACTIONS(1850),
    [aux_sym_set_statement_token1] = ACTIONS(1852),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1852),
    [aux_sym_return_satement_token1] = ACTIONS(1852),
    [aux_sym_call_statement_token1] = ACTIONS(1852),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1852),
    [aux_sym_if_statement_token1] = ACTIONS(1852),
    [aux_sym_loop_statement_token1] = ACTIONS(1852),
    [aux_sym_repeat_statement_token1] = ACTIONS(1852),
    [aux_sym_while_statement_token1] = ACTIONS(1852),
    [aux_sym_break_statement_token1] = ACTIONS(1852),
    [aux_sym_leave_statement_token1] = ACTIONS(1852),
    [aux_sym_continue_statement_token1] = ACTIONS(1852),
    [aux_sym_iterate_statement_token1] = ACTIONS(1852),
    [aux_sym_raise_statement_token1] = ACTIONS(1852),
    [anon_sym_EQ] = ACTIONS(1850),
    [aux_sym_assert_statement_token1] = ACTIONS(1852),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1852),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1852),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1852),
    [anon_sym_LT] = ACTIONS(1852),
    [anon_sym_GT] = ACTIONS(1852),
    [aux_sym_select_token1] = ACTIONS(1852),
    [aux_sym_insert_statement_token1] = ACTIONS(1852),
    [aux_sym_truncate_statement_token1] = ACTIONS(1852),
    [aux_sym_update_statement_token1] = ACTIONS(1852),
    [aux_sym_merge_statement_token1] = ACTIONS(1852),
    [aux_sym_grant_statement_token1] = ACTIONS(1852),
    [aux_sym_revoke_statement_token1] = ACTIONS(1852),
    [aux_sym_export_data_statement_token1] = ACTIONS(1852),
    [aux_sym_load_data_statement_token1] = ACTIONS(1852),
    [anon_sym_LBRACK] = ACTIONS(1850),
    [sym__quoted_identifier] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1850),
    [anon_sym_PLUS] = ACTIONS(1850),
    [anon_sym_DASH] = ACTIONS(1852),
    [anon_sym_STAR] = ACTIONS(1850),
    [anon_sym_SLASH] = ACTIONS(1852),
    [anon_sym_PIPE_PIPE] = ACTIONS(1850),
    [anon_sym_LT_EQ] = ACTIONS(1850),
    [anon_sym_LT_GT] = ACTIONS(1850),
    [anon_sym_GT_EQ] = ACTIONS(1850),
    [anon_sym_BANG_EQ] = ACTIONS(1850),
    [anon_sym_LT_LT] = ACTIONS(1850),
    [anon_sym_GT_GT] = ACTIONS(1850),
    [anon_sym_AMP] = ACTIONS(1850),
    [anon_sym_CARET] = ACTIONS(1850),
    [anon_sym_PIPE] = ACTIONS(1852),
  },
  [3403] = {
    [sym__unquoted_identifier] = ACTIONS(1844),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1844),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1844),
    [aux_sym_keyword_replace_token1] = ACTIONS(1844),
    [aux_sym__keyword_alter_token1] = ACTIONS(1844),
    [aux_sym__keyword_delete_token1] = ACTIONS(1844),
    [aux_sym__keyword_begin_token1] = ACTIONS(1844),
    [aux_sym__keyword_end_token1] = ACTIONS(1844),
    [aux_sym__keyword_between_token1] = ACTIONS(1844),
    [aux_sym__keyword_else_token1] = ACTIONS(1844),
    [aux_sym__keyword_is_token1] = ACTIONS(1844),
    [aux_sym__keyword_in_token1] = ACTIONS(1844),
    [aux_sym__keyword_and_token1] = ACTIONS(1844),
    [aux_sym__keyword_like_token1] = ACTIONS(1844),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1844),
    [aux_sym__keyword_as_token1] = ACTIONS(1844),
    [aux_sym__keyword_date_token1] = ACTIONS(1844),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1844),
    [aux_sym__keyword_time_token1] = ACTIONS(1844),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1844),
    [aux_sym__keyword_for_token1] = ACTIONS(1844),
    [anon_sym_SEMI] = ACTIONS(1842),
    [aux_sym_declare_statement_token1] = ACTIONS(1844),
    [anon_sym_COMMA] = ACTIONS(1842),
    [aux_sym_set_statement_token1] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1842),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1844),
    [aux_sym_return_satement_token1] = ACTIONS(1844),
    [aux_sym_call_statement_token1] = ACTIONS(1844),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1844),
    [aux_sym_if_statement_token1] = ACTIONS(1844),
    [aux_sym_loop_statement_token1] = ACTIONS(1844),
    [aux_sym_repeat_statement_token1] = ACTIONS(1844),
    [aux_sym_while_statement_token1] = ACTIONS(1844),
    [aux_sym_break_statement_token1] = ACTIONS(1844),
    [aux_sym_leave_statement_token1] = ACTIONS(1844),
    [aux_sym_continue_statement_token1] = ACTIONS(1844),
    [aux_sym_iterate_statement_token1] = ACTIONS(1844),
    [aux_sym_raise_statement_token1] = ACTIONS(1844),
    [anon_sym_EQ] = ACTIONS(1842),
    [aux_sym_assert_statement_token1] = ACTIONS(1844),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1844),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1844),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1844),
    [anon_sym_LT] = ACTIONS(1844),
    [anon_sym_GT] = ACTIONS(1844),
    [aux_sym_select_token1] = ACTIONS(1844),
    [aux_sym_insert_statement_token1] = ACTIONS(1844),
    [aux_sym_truncate_statement_token1] = ACTIONS(1844),
    [aux_sym_update_statement_token1] = ACTIONS(1844),
    [aux_sym_merge_statement_token1] = ACTIONS(1844),
    [aux_sym_grant_statement_token1] = ACTIONS(1844),
    [aux_sym_revoke_statement_token1] = ACTIONS(1844),
    [aux_sym_export_data_statement_token1] = ACTIONS(1844),
    [aux_sym_load_data_statement_token1] = ACTIONS(1844),
    [anon_sym_LBRACK] = ACTIONS(1842),
    [sym__quoted_identifier] = ACTIONS(1842),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1842),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1844),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_SLASH] = ACTIONS(1844),
    [anon_sym_PIPE_PIPE] = ACTIONS(1842),
    [anon_sym_LT_EQ] = ACTIONS(1842),
    [anon_sym_LT_GT] = ACTIONS(1842),
    [anon_sym_GT_EQ] = ACTIONS(1842),
    [anon_sym_BANG_EQ] = ACTIONS(1842),
    [anon_sym_LT_LT] = ACTIONS(1842),
    [anon_sym_GT_GT] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym_CARET] = ACTIONS(1842),
    [anon_sym_PIPE] = ACTIONS(1844),
  },
  [3404] = {
    [sym__unquoted_identifier] = ACTIONS(1456),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1456),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1456),
    [aux_sym_keyword_replace_token1] = ACTIONS(1456),
    [aux_sym__keyword_alter_token1] = ACTIONS(1456),
    [aux_sym__keyword_delete_token1] = ACTIONS(1456),
    [aux_sym__keyword_begin_token1] = ACTIONS(1456),
    [aux_sym__keyword_end_token1] = ACTIONS(1456),
    [aux_sym__keyword_between_token1] = ACTIONS(1456),
    [aux_sym__keyword_else_token1] = ACTIONS(1456),
    [aux_sym__keyword_is_token1] = ACTIONS(1456),
    [aux_sym__keyword_in_token1] = ACTIONS(1456),
    [aux_sym__keyword_and_token1] = ACTIONS(1456),
    [aux_sym__keyword_like_token1] = ACTIONS(1456),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1456),
    [aux_sym__keyword_as_token1] = ACTIONS(1456),
    [aux_sym__keyword_date_token1] = ACTIONS(1456),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1456),
    [aux_sym__keyword_time_token1] = ACTIONS(1456),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1456),
    [aux_sym__keyword_for_token1] = ACTIONS(1456),
    [anon_sym_SEMI] = ACTIONS(1454),
    [aux_sym_declare_statement_token1] = ACTIONS(1456),
    [anon_sym_COMMA] = ACTIONS(1454),
    [aux_sym_set_statement_token1] = ACTIONS(1456),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1456),
    [aux_sym_return_satement_token1] = ACTIONS(1456),
    [aux_sym_call_statement_token1] = ACTIONS(1456),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1456),
    [aux_sym_if_statement_token1] = ACTIONS(1456),
    [aux_sym_loop_statement_token1] = ACTIONS(1456),
    [aux_sym_repeat_statement_token1] = ACTIONS(1456),
    [aux_sym_while_statement_token1] = ACTIONS(1456),
    [aux_sym_break_statement_token1] = ACTIONS(1456),
    [aux_sym_leave_statement_token1] = ACTIONS(1456),
    [aux_sym_continue_statement_token1] = ACTIONS(1456),
    [aux_sym_iterate_statement_token1] = ACTIONS(1456),
    [aux_sym_raise_statement_token1] = ACTIONS(1456),
    [anon_sym_EQ] = ACTIONS(1454),
    [aux_sym_assert_statement_token1] = ACTIONS(1456),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1456),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1456),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1456),
    [anon_sym_LT] = ACTIONS(1456),
    [anon_sym_GT] = ACTIONS(1456),
    [aux_sym_select_token1] = ACTIONS(1456),
    [aux_sym_insert_statement_token1] = ACTIONS(1456),
    [aux_sym_truncate_statement_token1] = ACTIONS(1456),
    [aux_sym_update_statement_token1] = ACTIONS(1456),
    [aux_sym_merge_statement_token1] = ACTIONS(1456),
    [aux_sym_grant_statement_token1] = ACTIONS(1456),
    [aux_sym_revoke_statement_token1] = ACTIONS(1456),
    [aux_sym_export_data_statement_token1] = ACTIONS(1456),
    [aux_sym_load_data_statement_token1] = ACTIONS(1456),
    [anon_sym_LBRACK] = ACTIONS(1454),
    [sym__quoted_identifier] = ACTIONS(1454),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1454),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1454),
    [anon_sym_SLASH] = ACTIONS(1456),
    [anon_sym_PIPE_PIPE] = ACTIONS(1454),
    [anon_sym_LT_EQ] = ACTIONS(1454),
    [anon_sym_LT_GT] = ACTIONS(1454),
    [anon_sym_GT_EQ] = ACTIONS(1454),
    [anon_sym_BANG_EQ] = ACTIONS(1454),
    [anon_sym_LT_LT] = ACTIONS(1454),
    [anon_sym_GT_GT] = ACTIONS(1454),
    [anon_sym_AMP] = ACTIONS(1454),
    [anon_sym_CARET] = ACTIONS(1454),
    [anon_sym_PIPE] = ACTIONS(1456),
  },
  [3405] = {
    [sym__unquoted_identifier] = ACTIONS(1580),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1580),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1580),
    [aux_sym_keyword_replace_token1] = ACTIONS(1580),
    [aux_sym__keyword_alter_token1] = ACTIONS(1580),
    [aux_sym__keyword_delete_token1] = ACTIONS(1580),
    [aux_sym__keyword_begin_token1] = ACTIONS(1580),
    [aux_sym__keyword_end_token1] = ACTIONS(1580),
    [aux_sym__keyword_between_token1] = ACTIONS(1580),
    [aux_sym__keyword_else_token1] = ACTIONS(1580),
    [aux_sym__keyword_is_token1] = ACTIONS(1580),
    [aux_sym__keyword_in_token1] = ACTIONS(1580),
    [aux_sym__keyword_and_token1] = ACTIONS(1580),
    [aux_sym__keyword_like_token1] = ACTIONS(1580),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1580),
    [aux_sym__keyword_as_token1] = ACTIONS(1580),
    [aux_sym__keyword_date_token1] = ACTIONS(1580),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1580),
    [aux_sym__keyword_time_token1] = ACTIONS(1580),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1580),
    [aux_sym__keyword_for_token1] = ACTIONS(1580),
    [anon_sym_SEMI] = ACTIONS(1578),
    [aux_sym_declare_statement_token1] = ACTIONS(1580),
    [anon_sym_COMMA] = ACTIONS(1578),
    [aux_sym_set_statement_token1] = ACTIONS(1580),
    [anon_sym_LPAREN] = ACTIONS(1578),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1580),
    [aux_sym_return_satement_token1] = ACTIONS(1580),
    [aux_sym_call_statement_token1] = ACTIONS(1580),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1580),
    [aux_sym_if_statement_token1] = ACTIONS(1580),
    [aux_sym_loop_statement_token1] = ACTIONS(1580),
    [aux_sym_repeat_statement_token1] = ACTIONS(1580),
    [aux_sym_while_statement_token1] = ACTIONS(1580),
    [aux_sym_break_statement_token1] = ACTIONS(1580),
    [aux_sym_leave_statement_token1] = ACTIONS(1580),
    [aux_sym_continue_statement_token1] = ACTIONS(1580),
    [aux_sym_iterate_statement_token1] = ACTIONS(1580),
    [aux_sym_raise_statement_token1] = ACTIONS(1580),
    [anon_sym_EQ] = ACTIONS(1578),
    [aux_sym_assert_statement_token1] = ACTIONS(1580),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1580),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1580),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1580),
    [anon_sym_LT] = ACTIONS(1580),
    [anon_sym_GT] = ACTIONS(1580),
    [aux_sym_select_token1] = ACTIONS(1580),
    [aux_sym_insert_statement_token1] = ACTIONS(1580),
    [aux_sym_truncate_statement_token1] = ACTIONS(1580),
    [aux_sym_update_statement_token1] = ACTIONS(1580),
    [aux_sym_merge_statement_token1] = ACTIONS(1580),
    [aux_sym_grant_statement_token1] = ACTIONS(1580),
    [aux_sym_revoke_statement_token1] = ACTIONS(1580),
    [aux_sym_export_data_statement_token1] = ACTIONS(1580),
    [aux_sym_load_data_statement_token1] = ACTIONS(1580),
    [anon_sym_LBRACK] = ACTIONS(1578),
    [sym__quoted_identifier] = ACTIONS(1578),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1578),
    [anon_sym_DASH] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(1578),
    [anon_sym_SLASH] = ACTIONS(1580),
    [anon_sym_PIPE_PIPE] = ACTIONS(1578),
    [anon_sym_LT_EQ] = ACTIONS(1578),
    [anon_sym_LT_GT] = ACTIONS(1578),
    [anon_sym_GT_EQ] = ACTIONS(1578),
    [anon_sym_BANG_EQ] = ACTIONS(1578),
    [anon_sym_LT_LT] = ACTIONS(1578),
    [anon_sym_GT_GT] = ACTIONS(1578),
    [anon_sym_AMP] = ACTIONS(1578),
    [anon_sym_CARET] = ACTIONS(1578),
    [anon_sym_PIPE] = ACTIONS(1580),
  },
  [3406] = {
    [sym__unquoted_identifier] = ACTIONS(1542),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1542),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1542),
    [aux_sym_keyword_replace_token1] = ACTIONS(1542),
    [aux_sym__keyword_alter_token1] = ACTIONS(1542),
    [aux_sym__keyword_delete_token1] = ACTIONS(1542),
    [aux_sym__keyword_begin_token1] = ACTIONS(1542),
    [aux_sym__keyword_end_token1] = ACTIONS(1542),
    [aux_sym__keyword_between_token1] = ACTIONS(1542),
    [aux_sym__keyword_else_token1] = ACTIONS(1542),
    [aux_sym__keyword_is_token1] = ACTIONS(1542),
    [aux_sym__keyword_in_token1] = ACTIONS(1542),
    [aux_sym__keyword_and_token1] = ACTIONS(1542),
    [aux_sym__keyword_like_token1] = ACTIONS(1542),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1542),
    [aux_sym__keyword_as_token1] = ACTIONS(1542),
    [aux_sym__keyword_date_token1] = ACTIONS(1542),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1542),
    [aux_sym__keyword_time_token1] = ACTIONS(1542),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1542),
    [aux_sym__keyword_for_token1] = ACTIONS(1542),
    [anon_sym_SEMI] = ACTIONS(1540),
    [aux_sym_declare_statement_token1] = ACTIONS(1542),
    [anon_sym_COMMA] = ACTIONS(1540),
    [aux_sym_set_statement_token1] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1542),
    [aux_sym_return_satement_token1] = ACTIONS(1542),
    [aux_sym_call_statement_token1] = ACTIONS(1542),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1542),
    [aux_sym_if_statement_token1] = ACTIONS(1542),
    [aux_sym_loop_statement_token1] = ACTIONS(1542),
    [aux_sym_repeat_statement_token1] = ACTIONS(1542),
    [aux_sym_while_statement_token1] = ACTIONS(1542),
    [aux_sym_break_statement_token1] = ACTIONS(1542),
    [aux_sym_leave_statement_token1] = ACTIONS(1542),
    [aux_sym_continue_statement_token1] = ACTIONS(1542),
    [aux_sym_iterate_statement_token1] = ACTIONS(1542),
    [aux_sym_raise_statement_token1] = ACTIONS(1542),
    [anon_sym_EQ] = ACTIONS(1540),
    [aux_sym_assert_statement_token1] = ACTIONS(1542),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1542),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1542),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1542),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_GT] = ACTIONS(1542),
    [aux_sym_select_token1] = ACTIONS(1542),
    [aux_sym_insert_statement_token1] = ACTIONS(1542),
    [aux_sym_truncate_statement_token1] = ACTIONS(1542),
    [aux_sym_update_statement_token1] = ACTIONS(1542),
    [aux_sym_merge_statement_token1] = ACTIONS(1542),
    [aux_sym_grant_statement_token1] = ACTIONS(1542),
    [aux_sym_revoke_statement_token1] = ACTIONS(1542),
    [aux_sym_export_data_statement_token1] = ACTIONS(1542),
    [aux_sym_load_data_statement_token1] = ACTIONS(1542),
    [anon_sym_LBRACK] = ACTIONS(1540),
    [sym__quoted_identifier] = ACTIONS(1540),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(1540),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(1542),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_LT_EQ] = ACTIONS(1540),
    [anon_sym_LT_GT] = ACTIONS(1540),
    [anon_sym_GT_EQ] = ACTIONS(1540),
    [anon_sym_BANG_EQ] = ACTIONS(1540),
    [anon_sym_LT_LT] = ACTIONS(1540),
    [anon_sym_GT_GT] = ACTIONS(1540),
    [anon_sym_AMP] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(1540),
    [anon_sym_PIPE] = ACTIONS(1542),
  },
  [3407] = {
    [sym__unquoted_identifier] = ACTIONS(1836),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1836),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1836),
    [aux_sym_keyword_replace_token1] = ACTIONS(1836),
    [aux_sym__keyword_alter_token1] = ACTIONS(1836),
    [aux_sym__keyword_delete_token1] = ACTIONS(1836),
    [aux_sym__keyword_begin_token1] = ACTIONS(1836),
    [aux_sym__keyword_end_token1] = ACTIONS(1836),
    [aux_sym__keyword_between_token1] = ACTIONS(1836),
    [aux_sym__keyword_else_token1] = ACTIONS(1836),
    [aux_sym__keyword_is_token1] = ACTIONS(1836),
    [aux_sym__keyword_in_token1] = ACTIONS(1836),
    [aux_sym__keyword_and_token1] = ACTIONS(1836),
    [aux_sym__keyword_like_token1] = ACTIONS(1836),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1836),
    [aux_sym__keyword_as_token1] = ACTIONS(1836),
    [aux_sym__keyword_date_token1] = ACTIONS(1836),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1836),
    [aux_sym__keyword_time_token1] = ACTIONS(1836),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1836),
    [aux_sym__keyword_for_token1] = ACTIONS(1836),
    [anon_sym_SEMI] = ACTIONS(1834),
    [aux_sym_declare_statement_token1] = ACTIONS(1836),
    [anon_sym_COMMA] = ACTIONS(1834),
    [aux_sym_set_statement_token1] = ACTIONS(1836),
    [anon_sym_LPAREN] = ACTIONS(1834),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1836),
    [aux_sym_return_satement_token1] = ACTIONS(1836),
    [aux_sym_call_statement_token1] = ACTIONS(1836),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1836),
    [aux_sym_if_statement_token1] = ACTIONS(1836),
    [aux_sym_loop_statement_token1] = ACTIONS(1836),
    [aux_sym_repeat_statement_token1] = ACTIONS(1836),
    [aux_sym_while_statement_token1] = ACTIONS(1836),
    [aux_sym_break_statement_token1] = ACTIONS(1836),
    [aux_sym_leave_statement_token1] = ACTIONS(1836),
    [aux_sym_continue_statement_token1] = ACTIONS(1836),
    [aux_sym_iterate_statement_token1] = ACTIONS(1836),
    [aux_sym_raise_statement_token1] = ACTIONS(1836),
    [anon_sym_EQ] = ACTIONS(1834),
    [aux_sym_assert_statement_token1] = ACTIONS(1836),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1836),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1836),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1836),
    [anon_sym_LT] = ACTIONS(1836),
    [anon_sym_GT] = ACTIONS(1836),
    [aux_sym_select_token1] = ACTIONS(1836),
    [aux_sym_insert_statement_token1] = ACTIONS(1836),
    [aux_sym_truncate_statement_token1] = ACTIONS(1836),
    [aux_sym_update_statement_token1] = ACTIONS(1836),
    [aux_sym_merge_statement_token1] = ACTIONS(1836),
    [aux_sym_grant_statement_token1] = ACTIONS(1836),
    [aux_sym_revoke_statement_token1] = ACTIONS(1836),
    [aux_sym_export_data_statement_token1] = ACTIONS(1836),
    [aux_sym_load_data_statement_token1] = ACTIONS(1836),
    [anon_sym_LBRACK] = ACTIONS(1834),
    [sym__quoted_identifier] = ACTIONS(1834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1834),
    [anon_sym_PLUS] = ACTIONS(1834),
    [anon_sym_DASH] = ACTIONS(1836),
    [anon_sym_STAR] = ACTIONS(1834),
    [anon_sym_SLASH] = ACTIONS(1836),
    [anon_sym_PIPE_PIPE] = ACTIONS(1834),
    [anon_sym_LT_EQ] = ACTIONS(1834),
    [anon_sym_LT_GT] = ACTIONS(1834),
    [anon_sym_GT_EQ] = ACTIONS(1834),
    [anon_sym_BANG_EQ] = ACTIONS(1834),
    [anon_sym_LT_LT] = ACTIONS(1834),
    [anon_sym_GT_GT] = ACTIONS(1834),
    [anon_sym_AMP] = ACTIONS(1834),
    [anon_sym_CARET] = ACTIONS(1834),
    [anon_sym_PIPE] = ACTIONS(1836),
  },
  [3408] = {
    [sym__unquoted_identifier] = ACTIONS(1840),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1840),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1840),
    [aux_sym_keyword_replace_token1] = ACTIONS(1840),
    [aux_sym__keyword_alter_token1] = ACTIONS(1840),
    [aux_sym__keyword_delete_token1] = ACTIONS(1840),
    [aux_sym__keyword_begin_token1] = ACTIONS(1840),
    [aux_sym__keyword_end_token1] = ACTIONS(1840),
    [aux_sym__keyword_between_token1] = ACTIONS(1840),
    [aux_sym__keyword_else_token1] = ACTIONS(1840),
    [aux_sym__keyword_is_token1] = ACTIONS(1840),
    [aux_sym__keyword_in_token1] = ACTIONS(1840),
    [aux_sym__keyword_and_token1] = ACTIONS(1840),
    [aux_sym__keyword_like_token1] = ACTIONS(1840),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1840),
    [aux_sym__keyword_as_token1] = ACTIONS(1840),
    [aux_sym__keyword_date_token1] = ACTIONS(1840),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1840),
    [aux_sym__keyword_time_token1] = ACTIONS(1840),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1840),
    [aux_sym__keyword_for_token1] = ACTIONS(1840),
    [anon_sym_SEMI] = ACTIONS(1838),
    [aux_sym_declare_statement_token1] = ACTIONS(1840),
    [anon_sym_COMMA] = ACTIONS(1838),
    [aux_sym_set_statement_token1] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1838),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1840),
    [aux_sym_return_satement_token1] = ACTIONS(1840),
    [aux_sym_call_statement_token1] = ACTIONS(1840),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1840),
    [aux_sym_if_statement_token1] = ACTIONS(1840),
    [aux_sym_loop_statement_token1] = ACTIONS(1840),
    [aux_sym_repeat_statement_token1] = ACTIONS(1840),
    [aux_sym_while_statement_token1] = ACTIONS(1840),
    [aux_sym_break_statement_token1] = ACTIONS(1840),
    [aux_sym_leave_statement_token1] = ACTIONS(1840),
    [aux_sym_continue_statement_token1] = ACTIONS(1840),
    [aux_sym_iterate_statement_token1] = ACTIONS(1840),
    [aux_sym_raise_statement_token1] = ACTIONS(1840),
    [anon_sym_EQ] = ACTIONS(1838),
    [aux_sym_assert_statement_token1] = ACTIONS(1840),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1840),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1840),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1840),
    [anon_sym_LT] = ACTIONS(1840),
    [anon_sym_GT] = ACTIONS(1840),
    [aux_sym_select_token1] = ACTIONS(1840),
    [aux_sym_insert_statement_token1] = ACTIONS(1840),
    [aux_sym_truncate_statement_token1] = ACTIONS(1840),
    [aux_sym_update_statement_token1] = ACTIONS(1840),
    [aux_sym_merge_statement_token1] = ACTIONS(1840),
    [aux_sym_grant_statement_token1] = ACTIONS(1840),
    [aux_sym_revoke_statement_token1] = ACTIONS(1840),
    [aux_sym_export_data_statement_token1] = ACTIONS(1840),
    [aux_sym_load_data_statement_token1] = ACTIONS(1840),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [sym__quoted_identifier] = ACTIONS(1838),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1838),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1838),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE] = ACTIONS(1838),
    [anon_sym_LT_EQ] = ACTIONS(1838),
    [anon_sym_LT_GT] = ACTIONS(1838),
    [anon_sym_GT_EQ] = ACTIONS(1838),
    [anon_sym_BANG_EQ] = ACTIONS(1838),
    [anon_sym_LT_LT] = ACTIONS(1838),
    [anon_sym_GT_GT] = ACTIONS(1838),
    [anon_sym_AMP] = ACTIONS(1838),
    [anon_sym_CARET] = ACTIONS(1838),
    [anon_sym_PIPE] = ACTIONS(1840),
  },
  [3409] = {
    [sym__unquoted_identifier] = ACTIONS(1440),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1440),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1440),
    [aux_sym_keyword_replace_token1] = ACTIONS(1440),
    [aux_sym__keyword_alter_token1] = ACTIONS(1440),
    [aux_sym__keyword_delete_token1] = ACTIONS(1440),
    [aux_sym__keyword_begin_token1] = ACTIONS(1440),
    [aux_sym__keyword_end_token1] = ACTIONS(1440),
    [aux_sym__keyword_between_token1] = ACTIONS(1440),
    [aux_sym__keyword_else_token1] = ACTIONS(1440),
    [aux_sym__keyword_is_token1] = ACTIONS(1440),
    [aux_sym__keyword_in_token1] = ACTIONS(1440),
    [aux_sym__keyword_and_token1] = ACTIONS(1440),
    [aux_sym__keyword_like_token1] = ACTIONS(1440),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1440),
    [aux_sym__keyword_as_token1] = ACTIONS(1440),
    [aux_sym__keyword_date_token1] = ACTIONS(1440),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1440),
    [aux_sym__keyword_time_token1] = ACTIONS(1440),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1440),
    [aux_sym__keyword_for_token1] = ACTIONS(1440),
    [anon_sym_SEMI] = ACTIONS(1438),
    [aux_sym_declare_statement_token1] = ACTIONS(1440),
    [anon_sym_COMMA] = ACTIONS(1438),
    [aux_sym_set_statement_token1] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1438),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1440),
    [aux_sym_return_satement_token1] = ACTIONS(1440),
    [aux_sym_call_statement_token1] = ACTIONS(1440),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1440),
    [aux_sym_if_statement_token1] = ACTIONS(1440),
    [aux_sym_loop_statement_token1] = ACTIONS(1440),
    [aux_sym_repeat_statement_token1] = ACTIONS(1440),
    [aux_sym_while_statement_token1] = ACTIONS(1440),
    [aux_sym_break_statement_token1] = ACTIONS(1440),
    [aux_sym_leave_statement_token1] = ACTIONS(1440),
    [aux_sym_continue_statement_token1] = ACTIONS(1440),
    [aux_sym_iterate_statement_token1] = ACTIONS(1440),
    [aux_sym_raise_statement_token1] = ACTIONS(1440),
    [anon_sym_EQ] = ACTIONS(1438),
    [aux_sym_assert_statement_token1] = ACTIONS(1440),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1440),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1440),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1440),
    [anon_sym_LT] = ACTIONS(1440),
    [anon_sym_GT] = ACTIONS(1440),
    [aux_sym_select_token1] = ACTIONS(1440),
    [aux_sym_insert_statement_token1] = ACTIONS(1440),
    [aux_sym_truncate_statement_token1] = ACTIONS(1440),
    [aux_sym_update_statement_token1] = ACTIONS(1440),
    [aux_sym_merge_statement_token1] = ACTIONS(1440),
    [aux_sym_grant_statement_token1] = ACTIONS(1440),
    [aux_sym_revoke_statement_token1] = ACTIONS(1440),
    [aux_sym_export_data_statement_token1] = ACTIONS(1440),
    [aux_sym_load_data_statement_token1] = ACTIONS(1440),
    [anon_sym_LBRACK] = ACTIONS(1438),
    [sym__quoted_identifier] = ACTIONS(1438),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_STAR] = ACTIONS(1438),
    [anon_sym_SLASH] = ACTIONS(1440),
    [anon_sym_PIPE_PIPE] = ACTIONS(1438),
    [anon_sym_LT_EQ] = ACTIONS(1438),
    [anon_sym_LT_GT] = ACTIONS(1438),
    [anon_sym_GT_EQ] = ACTIONS(1438),
    [anon_sym_BANG_EQ] = ACTIONS(1438),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_AMP] = ACTIONS(1438),
    [anon_sym_CARET] = ACTIONS(1438),
    [anon_sym_PIPE] = ACTIONS(1440),
  },
  [3410] = {
    [sym__unquoted_identifier] = ACTIONS(1436),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1436),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1436),
    [aux_sym_keyword_replace_token1] = ACTIONS(1436),
    [aux_sym__keyword_alter_token1] = ACTIONS(1436),
    [aux_sym__keyword_delete_token1] = ACTIONS(1436),
    [aux_sym__keyword_begin_token1] = ACTIONS(1436),
    [aux_sym__keyword_end_token1] = ACTIONS(1436),
    [aux_sym__keyword_between_token1] = ACTIONS(1436),
    [aux_sym__keyword_else_token1] = ACTIONS(1436),
    [aux_sym__keyword_is_token1] = ACTIONS(1436),
    [aux_sym__keyword_in_token1] = ACTIONS(1436),
    [aux_sym__keyword_and_token1] = ACTIONS(1436),
    [aux_sym__keyword_like_token1] = ACTIONS(1436),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1436),
    [aux_sym__keyword_as_token1] = ACTIONS(1436),
    [aux_sym__keyword_date_token1] = ACTIONS(1436),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1436),
    [aux_sym__keyword_time_token1] = ACTIONS(1436),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1436),
    [aux_sym__keyword_for_token1] = ACTIONS(1436),
    [anon_sym_SEMI] = ACTIONS(1434),
    [aux_sym_declare_statement_token1] = ACTIONS(1436),
    [anon_sym_COMMA] = ACTIONS(1434),
    [aux_sym_set_statement_token1] = ACTIONS(1436),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1436),
    [aux_sym_return_satement_token1] = ACTIONS(1436),
    [aux_sym_call_statement_token1] = ACTIONS(1436),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1436),
    [aux_sym_if_statement_token1] = ACTIONS(1436),
    [aux_sym_loop_statement_token1] = ACTIONS(1436),
    [aux_sym_repeat_statement_token1] = ACTIONS(1436),
    [aux_sym_while_statement_token1] = ACTIONS(1436),
    [aux_sym_break_statement_token1] = ACTIONS(1436),
    [aux_sym_leave_statement_token1] = ACTIONS(1436),
    [aux_sym_continue_statement_token1] = ACTIONS(1436),
    [aux_sym_iterate_statement_token1] = ACTIONS(1436),
    [aux_sym_raise_statement_token1] = ACTIONS(1436),
    [anon_sym_EQ] = ACTIONS(1434),
    [aux_sym_assert_statement_token1] = ACTIONS(1436),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1436),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1436),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(1436),
    [anon_sym_GT] = ACTIONS(1436),
    [aux_sym_select_token1] = ACTIONS(1436),
    [aux_sym_insert_statement_token1] = ACTIONS(1436),
    [aux_sym_truncate_statement_token1] = ACTIONS(1436),
    [aux_sym_update_statement_token1] = ACTIONS(1436),
    [aux_sym_merge_statement_token1] = ACTIONS(1436),
    [aux_sym_grant_statement_token1] = ACTIONS(1436),
    [aux_sym_revoke_statement_token1] = ACTIONS(1436),
    [aux_sym_export_data_statement_token1] = ACTIONS(1436),
    [aux_sym_load_data_statement_token1] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [sym__quoted_identifier] = ACTIONS(1434),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_STAR] = ACTIONS(1434),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1434),
    [anon_sym_LT_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1434),
    [anon_sym_BANG_EQ] = ACTIONS(1434),
    [anon_sym_LT_LT] = ACTIONS(1434),
    [anon_sym_GT_GT] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1434),
    [anon_sym_PIPE] = ACTIONS(1436),
  },
  [3411] = {
    [sym__unquoted_identifier] = ACTIONS(1432),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1432),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1432),
    [aux_sym_keyword_replace_token1] = ACTIONS(1432),
    [aux_sym__keyword_alter_token1] = ACTIONS(1432),
    [aux_sym__keyword_delete_token1] = ACTIONS(1432),
    [aux_sym__keyword_begin_token1] = ACTIONS(1432),
    [aux_sym__keyword_end_token1] = ACTIONS(1432),
    [aux_sym__keyword_between_token1] = ACTIONS(1432),
    [aux_sym__keyword_else_token1] = ACTIONS(1432),
    [aux_sym__keyword_is_token1] = ACTIONS(1432),
    [aux_sym__keyword_in_token1] = ACTIONS(1432),
    [aux_sym__keyword_and_token1] = ACTIONS(1432),
    [aux_sym__keyword_like_token1] = ACTIONS(1432),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1432),
    [aux_sym__keyword_as_token1] = ACTIONS(1432),
    [aux_sym__keyword_date_token1] = ACTIONS(1432),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1432),
    [aux_sym__keyword_time_token1] = ACTIONS(1432),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1432),
    [aux_sym__keyword_for_token1] = ACTIONS(1432),
    [anon_sym_SEMI] = ACTIONS(1430),
    [aux_sym_declare_statement_token1] = ACTIONS(1432),
    [anon_sym_COMMA] = ACTIONS(1430),
    [aux_sym_set_statement_token1] = ACTIONS(1432),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1432),
    [aux_sym_return_satement_token1] = ACTIONS(1432),
    [aux_sym_call_statement_token1] = ACTIONS(1432),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1432),
    [aux_sym_if_statement_token1] = ACTIONS(1432),
    [aux_sym_loop_statement_token1] = ACTIONS(1432),
    [aux_sym_repeat_statement_token1] = ACTIONS(1432),
    [aux_sym_while_statement_token1] = ACTIONS(1432),
    [aux_sym_break_statement_token1] = ACTIONS(1432),
    [aux_sym_leave_statement_token1] = ACTIONS(1432),
    [aux_sym_continue_statement_token1] = ACTIONS(1432),
    [aux_sym_iterate_statement_token1] = ACTIONS(1432),
    [aux_sym_raise_statement_token1] = ACTIONS(1432),
    [anon_sym_EQ] = ACTIONS(1430),
    [aux_sym_assert_statement_token1] = ACTIONS(1432),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1432),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1432),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [aux_sym_select_token1] = ACTIONS(1432),
    [aux_sym_insert_statement_token1] = ACTIONS(1432),
    [aux_sym_truncate_statement_token1] = ACTIONS(1432),
    [aux_sym_update_statement_token1] = ACTIONS(1432),
    [aux_sym_merge_statement_token1] = ACTIONS(1432),
    [aux_sym_grant_statement_token1] = ACTIONS(1432),
    [aux_sym_revoke_statement_token1] = ACTIONS(1432),
    [aux_sym_export_data_statement_token1] = ACTIONS(1432),
    [aux_sym_load_data_statement_token1] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [sym__quoted_identifier] = ACTIONS(1430),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1432),
    [anon_sym_PIPE_PIPE] = ACTIONS(1430),
    [anon_sym_LT_EQ] = ACTIONS(1430),
    [anon_sym_LT_GT] = ACTIONS(1430),
    [anon_sym_GT_EQ] = ACTIONS(1430),
    [anon_sym_BANG_EQ] = ACTIONS(1430),
    [anon_sym_LT_LT] = ACTIONS(1430),
    [anon_sym_GT_GT] = ACTIONS(1430),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_PIPE] = ACTIONS(1432),
  },
  [3412] = {
    [sym__unquoted_identifier] = ACTIONS(1424),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1424),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1424),
    [aux_sym_keyword_replace_token1] = ACTIONS(1424),
    [aux_sym__keyword_alter_token1] = ACTIONS(1424),
    [aux_sym__keyword_delete_token1] = ACTIONS(1424),
    [aux_sym__keyword_begin_token1] = ACTIONS(1424),
    [aux_sym__keyword_end_token1] = ACTIONS(1424),
    [aux_sym__keyword_between_token1] = ACTIONS(1424),
    [aux_sym__keyword_else_token1] = ACTIONS(1424),
    [aux_sym__keyword_is_token1] = ACTIONS(1424),
    [aux_sym__keyword_in_token1] = ACTIONS(1424),
    [aux_sym__keyword_and_token1] = ACTIONS(1424),
    [aux_sym__keyword_like_token1] = ACTIONS(1424),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1424),
    [aux_sym__keyword_as_token1] = ACTIONS(1424),
    [aux_sym__keyword_date_token1] = ACTIONS(1424),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1424),
    [aux_sym__keyword_time_token1] = ACTIONS(1424),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1424),
    [aux_sym__keyword_for_token1] = ACTIONS(1424),
    [anon_sym_SEMI] = ACTIONS(1422),
    [aux_sym_declare_statement_token1] = ACTIONS(1424),
    [anon_sym_COMMA] = ACTIONS(1422),
    [aux_sym_set_statement_token1] = ACTIONS(1424),
    [anon_sym_LPAREN] = ACTIONS(1422),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1424),
    [aux_sym_return_satement_token1] = ACTIONS(1424),
    [aux_sym_call_statement_token1] = ACTIONS(1424),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1424),
    [aux_sym_if_statement_token1] = ACTIONS(1424),
    [aux_sym_loop_statement_token1] = ACTIONS(1424),
    [aux_sym_repeat_statement_token1] = ACTIONS(1424),
    [aux_sym_while_statement_token1] = ACTIONS(1424),
    [aux_sym_break_statement_token1] = ACTIONS(1424),
    [aux_sym_leave_statement_token1] = ACTIONS(1424),
    [aux_sym_continue_statement_token1] = ACTIONS(1424),
    [aux_sym_iterate_statement_token1] = ACTIONS(1424),
    [aux_sym_raise_statement_token1] = ACTIONS(1424),
    [anon_sym_EQ] = ACTIONS(1422),
    [aux_sym_assert_statement_token1] = ACTIONS(1424),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1424),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1424),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1424),
    [anon_sym_LT] = ACTIONS(1424),
    [anon_sym_GT] = ACTIONS(1424),
    [aux_sym_select_token1] = ACTIONS(1424),
    [aux_sym_insert_statement_token1] = ACTIONS(1424),
    [aux_sym_truncate_statement_token1] = ACTIONS(1424),
    [aux_sym_update_statement_token1] = ACTIONS(1424),
    [aux_sym_merge_statement_token1] = ACTIONS(1424),
    [aux_sym_grant_statement_token1] = ACTIONS(1424),
    [aux_sym_revoke_statement_token1] = ACTIONS(1424),
    [aux_sym_export_data_statement_token1] = ACTIONS(1424),
    [aux_sym_load_data_statement_token1] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1422),
    [sym__quoted_identifier] = ACTIONS(1422),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1424),
    [anon_sym_STAR] = ACTIONS(1422),
    [anon_sym_SLASH] = ACTIONS(1424),
    [anon_sym_PIPE_PIPE] = ACTIONS(1422),
    [anon_sym_LT_EQ] = ACTIONS(1422),
    [anon_sym_LT_GT] = ACTIONS(1422),
    [anon_sym_GT_EQ] = ACTIONS(1422),
    [anon_sym_BANG_EQ] = ACTIONS(1422),
    [anon_sym_LT_LT] = ACTIONS(1422),
    [anon_sym_GT_GT] = ACTIONS(1422),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_CARET] = ACTIONS(1422),
    [anon_sym_PIPE] = ACTIONS(1424),
  },
  [3413] = {
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1420),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_end_token1] = ACTIONS(1420),
    [aux_sym__keyword_between_token1] = ACTIONS(1420),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1420),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1420),
    [aux_sym__keyword_like_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_repeat_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [3414] = {
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1420),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_end_token1] = ACTIONS(1420),
    [aux_sym__keyword_between_token1] = ACTIONS(1420),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1420),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1420),
    [aux_sym__keyword_like_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_repeat_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [3415] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3416] = {
    [sym__unquoted_identifier] = ACTIONS(1416),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1416),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1416),
    [aux_sym_keyword_replace_token1] = ACTIONS(1416),
    [aux_sym__keyword_alter_token1] = ACTIONS(1416),
    [aux_sym__keyword_delete_token1] = ACTIONS(1416),
    [aux_sym__keyword_begin_token1] = ACTIONS(1416),
    [aux_sym__keyword_end_token1] = ACTIONS(1416),
    [aux_sym__keyword_between_token1] = ACTIONS(1416),
    [aux_sym__keyword_else_token1] = ACTIONS(1416),
    [aux_sym__keyword_is_token1] = ACTIONS(1416),
    [aux_sym__keyword_in_token1] = ACTIONS(1416),
    [aux_sym__keyword_and_token1] = ACTIONS(1416),
    [aux_sym__keyword_like_token1] = ACTIONS(1416),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1416),
    [aux_sym__keyword_as_token1] = ACTIONS(1416),
    [aux_sym__keyword_date_token1] = ACTIONS(1416),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1416),
    [aux_sym__keyword_time_token1] = ACTIONS(1416),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1416),
    [aux_sym__keyword_for_token1] = ACTIONS(1416),
    [anon_sym_SEMI] = ACTIONS(1414),
    [aux_sym_declare_statement_token1] = ACTIONS(1416),
    [anon_sym_COMMA] = ACTIONS(1414),
    [aux_sym_set_statement_token1] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1416),
    [aux_sym_return_satement_token1] = ACTIONS(1416),
    [aux_sym_call_statement_token1] = ACTIONS(1416),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1416),
    [aux_sym_if_statement_token1] = ACTIONS(1416),
    [aux_sym_loop_statement_token1] = ACTIONS(1416),
    [aux_sym_repeat_statement_token1] = ACTIONS(1416),
    [aux_sym_while_statement_token1] = ACTIONS(1416),
    [aux_sym_break_statement_token1] = ACTIONS(1416),
    [aux_sym_leave_statement_token1] = ACTIONS(1416),
    [aux_sym_continue_statement_token1] = ACTIONS(1416),
    [aux_sym_iterate_statement_token1] = ACTIONS(1416),
    [aux_sym_raise_statement_token1] = ACTIONS(1416),
    [anon_sym_EQ] = ACTIONS(1414),
    [aux_sym_assert_statement_token1] = ACTIONS(1416),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1416),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1416),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1416),
    [anon_sym_LT] = ACTIONS(1416),
    [anon_sym_GT] = ACTIONS(1416),
    [aux_sym_select_token1] = ACTIONS(1416),
    [aux_sym_insert_statement_token1] = ACTIONS(1416),
    [aux_sym_truncate_statement_token1] = ACTIONS(1416),
    [aux_sym_update_statement_token1] = ACTIONS(1416),
    [aux_sym_merge_statement_token1] = ACTIONS(1416),
    [aux_sym_grant_statement_token1] = ACTIONS(1416),
    [aux_sym_revoke_statement_token1] = ACTIONS(1416),
    [aux_sym_export_data_statement_token1] = ACTIONS(1416),
    [aux_sym_load_data_statement_token1] = ACTIONS(1416),
    [anon_sym_LBRACK] = ACTIONS(1414),
    [sym__quoted_identifier] = ACTIONS(1414),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_SLASH] = ACTIONS(1416),
    [anon_sym_PIPE_PIPE] = ACTIONS(1414),
    [anon_sym_LT_EQ] = ACTIONS(1414),
    [anon_sym_LT_GT] = ACTIONS(1414),
    [anon_sym_GT_EQ] = ACTIONS(1414),
    [anon_sym_BANG_EQ] = ACTIONS(1414),
    [anon_sym_LT_LT] = ACTIONS(1414),
    [anon_sym_GT_GT] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_CARET] = ACTIONS(1414),
    [anon_sym_PIPE] = ACTIONS(1416),
  },
  [3417] = {
    [sym__unquoted_identifier] = ACTIONS(1412),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1412),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1412),
    [aux_sym_keyword_replace_token1] = ACTIONS(1412),
    [aux_sym__keyword_alter_token1] = ACTIONS(1412),
    [aux_sym__keyword_delete_token1] = ACTIONS(1412),
    [aux_sym__keyword_begin_token1] = ACTIONS(1412),
    [aux_sym__keyword_end_token1] = ACTIONS(1412),
    [aux_sym__keyword_between_token1] = ACTIONS(1412),
    [aux_sym__keyword_else_token1] = ACTIONS(1412),
    [aux_sym__keyword_is_token1] = ACTIONS(1412),
    [aux_sym__keyword_in_token1] = ACTIONS(1412),
    [aux_sym__keyword_and_token1] = ACTIONS(1412),
    [aux_sym__keyword_like_token1] = ACTIONS(1412),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1412),
    [aux_sym__keyword_as_token1] = ACTIONS(1412),
    [aux_sym__keyword_date_token1] = ACTIONS(1412),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1412),
    [aux_sym__keyword_time_token1] = ACTIONS(1412),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1412),
    [aux_sym__keyword_for_token1] = ACTIONS(1412),
    [anon_sym_SEMI] = ACTIONS(1410),
    [aux_sym_declare_statement_token1] = ACTIONS(1412),
    [anon_sym_COMMA] = ACTIONS(1410),
    [aux_sym_set_statement_token1] = ACTIONS(1412),
    [anon_sym_LPAREN] = ACTIONS(1410),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1412),
    [aux_sym_return_satement_token1] = ACTIONS(1412),
    [aux_sym_call_statement_token1] = ACTIONS(1412),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1412),
    [aux_sym_if_statement_token1] = ACTIONS(1412),
    [aux_sym_loop_statement_token1] = ACTIONS(1412),
    [aux_sym_repeat_statement_token1] = ACTIONS(1412),
    [aux_sym_while_statement_token1] = ACTIONS(1412),
    [aux_sym_break_statement_token1] = ACTIONS(1412),
    [aux_sym_leave_statement_token1] = ACTIONS(1412),
    [aux_sym_continue_statement_token1] = ACTIONS(1412),
    [aux_sym_iterate_statement_token1] = ACTIONS(1412),
    [aux_sym_raise_statement_token1] = ACTIONS(1412),
    [anon_sym_EQ] = ACTIONS(1410),
    [aux_sym_assert_statement_token1] = ACTIONS(1412),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1412),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1412),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1412),
    [anon_sym_LT] = ACTIONS(1412),
    [anon_sym_GT] = ACTIONS(1412),
    [aux_sym_select_token1] = ACTIONS(1412),
    [aux_sym_insert_statement_token1] = ACTIONS(1412),
    [aux_sym_truncate_statement_token1] = ACTIONS(1412),
    [aux_sym_update_statement_token1] = ACTIONS(1412),
    [aux_sym_merge_statement_token1] = ACTIONS(1412),
    [aux_sym_grant_statement_token1] = ACTIONS(1412),
    [aux_sym_revoke_statement_token1] = ACTIONS(1412),
    [aux_sym_export_data_statement_token1] = ACTIONS(1412),
    [aux_sym_load_data_statement_token1] = ACTIONS(1412),
    [anon_sym_LBRACK] = ACTIONS(1410),
    [sym__quoted_identifier] = ACTIONS(1410),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_STAR] = ACTIONS(1410),
    [anon_sym_SLASH] = ACTIONS(1412),
    [anon_sym_PIPE_PIPE] = ACTIONS(1410),
    [anon_sym_LT_EQ] = ACTIONS(1410),
    [anon_sym_LT_GT] = ACTIONS(1410),
    [anon_sym_GT_EQ] = ACTIONS(1410),
    [anon_sym_BANG_EQ] = ACTIONS(1410),
    [anon_sym_LT_LT] = ACTIONS(1410),
    [anon_sym_GT_GT] = ACTIONS(1410),
    [anon_sym_AMP] = ACTIONS(1410),
    [anon_sym_CARET] = ACTIONS(1410),
    [anon_sym_PIPE] = ACTIONS(1412),
  },
  [3418] = {
    [sym__unquoted_identifier] = ACTIONS(1408),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1408),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1408),
    [aux_sym_keyword_replace_token1] = ACTIONS(1408),
    [aux_sym__keyword_alter_token1] = ACTIONS(1408),
    [aux_sym__keyword_delete_token1] = ACTIONS(1408),
    [aux_sym__keyword_begin_token1] = ACTIONS(1408),
    [aux_sym__keyword_end_token1] = ACTIONS(1408),
    [aux_sym__keyword_between_token1] = ACTIONS(1408),
    [aux_sym__keyword_else_token1] = ACTIONS(1408),
    [aux_sym__keyword_is_token1] = ACTIONS(1408),
    [aux_sym__keyword_in_token1] = ACTIONS(1408),
    [aux_sym__keyword_and_token1] = ACTIONS(1408),
    [aux_sym__keyword_like_token1] = ACTIONS(1408),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1408),
    [aux_sym__keyword_as_token1] = ACTIONS(1408),
    [aux_sym__keyword_date_token1] = ACTIONS(1408),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1408),
    [aux_sym__keyword_time_token1] = ACTIONS(1408),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1408),
    [aux_sym__keyword_for_token1] = ACTIONS(1408),
    [anon_sym_SEMI] = ACTIONS(1406),
    [aux_sym_declare_statement_token1] = ACTIONS(1408),
    [anon_sym_COMMA] = ACTIONS(1406),
    [aux_sym_set_statement_token1] = ACTIONS(1408),
    [anon_sym_LPAREN] = ACTIONS(1406),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1408),
    [aux_sym_return_satement_token1] = ACTIONS(1408),
    [aux_sym_call_statement_token1] = ACTIONS(1408),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1408),
    [aux_sym_if_statement_token1] = ACTIONS(1408),
    [aux_sym_loop_statement_token1] = ACTIONS(1408),
    [aux_sym_repeat_statement_token1] = ACTIONS(1408),
    [aux_sym_while_statement_token1] = ACTIONS(1408),
    [aux_sym_break_statement_token1] = ACTIONS(1408),
    [aux_sym_leave_statement_token1] = ACTIONS(1408),
    [aux_sym_continue_statement_token1] = ACTIONS(1408),
    [aux_sym_iterate_statement_token1] = ACTIONS(1408),
    [aux_sym_raise_statement_token1] = ACTIONS(1408),
    [anon_sym_EQ] = ACTIONS(1406),
    [aux_sym_assert_statement_token1] = ACTIONS(1408),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1408),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1408),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1408),
    [anon_sym_LT] = ACTIONS(1408),
    [anon_sym_GT] = ACTIONS(1408),
    [aux_sym_select_token1] = ACTIONS(1408),
    [aux_sym_insert_statement_token1] = ACTIONS(1408),
    [aux_sym_truncate_statement_token1] = ACTIONS(1408),
    [aux_sym_update_statement_token1] = ACTIONS(1408),
    [aux_sym_merge_statement_token1] = ACTIONS(1408),
    [aux_sym_grant_statement_token1] = ACTIONS(1408),
    [aux_sym_revoke_statement_token1] = ACTIONS(1408),
    [aux_sym_export_data_statement_token1] = ACTIONS(1408),
    [aux_sym_load_data_statement_token1] = ACTIONS(1408),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym__quoted_identifier] = ACTIONS(1406),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_DASH] = ACTIONS(1408),
    [anon_sym_STAR] = ACTIONS(1406),
    [anon_sym_SLASH] = ACTIONS(1408),
    [anon_sym_PIPE_PIPE] = ACTIONS(1406),
    [anon_sym_LT_EQ] = ACTIONS(1406),
    [anon_sym_LT_GT] = ACTIONS(1406),
    [anon_sym_GT_EQ] = ACTIONS(1406),
    [anon_sym_BANG_EQ] = ACTIONS(1406),
    [anon_sym_LT_LT] = ACTIONS(1406),
    [anon_sym_GT_GT] = ACTIONS(1406),
    [anon_sym_AMP] = ACTIONS(1406),
    [anon_sym_CARET] = ACTIONS(1406),
    [anon_sym_PIPE] = ACTIONS(1408),
  },
  [3419] = {
    [sym__unquoted_identifier] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1400),
    [aux_sym_keyword_replace_token1] = ACTIONS(1400),
    [aux_sym__keyword_alter_token1] = ACTIONS(1400),
    [aux_sym__keyword_delete_token1] = ACTIONS(1400),
    [aux_sym__keyword_begin_token1] = ACTIONS(1400),
    [aux_sym__keyword_end_token1] = ACTIONS(1400),
    [aux_sym__keyword_between_token1] = ACTIONS(1400),
    [aux_sym__keyword_else_token1] = ACTIONS(1400),
    [aux_sym__keyword_is_token1] = ACTIONS(1400),
    [aux_sym__keyword_in_token1] = ACTIONS(1400),
    [aux_sym__keyword_and_token1] = ACTIONS(1400),
    [aux_sym__keyword_like_token1] = ACTIONS(1400),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1400),
    [aux_sym__keyword_as_token1] = ACTIONS(1400),
    [aux_sym__keyword_date_token1] = ACTIONS(1400),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1400),
    [aux_sym__keyword_time_token1] = ACTIONS(1400),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1400),
    [aux_sym__keyword_for_token1] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1400),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1400),
    [aux_sym_return_satement_token1] = ACTIONS(1400),
    [aux_sym_call_statement_token1] = ACTIONS(1400),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1400),
    [aux_sym_if_statement_token1] = ACTIONS(1400),
    [aux_sym_loop_statement_token1] = ACTIONS(1400),
    [aux_sym_repeat_statement_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token1] = ACTIONS(1400),
    [aux_sym_break_statement_token1] = ACTIONS(1400),
    [aux_sym_leave_statement_token1] = ACTIONS(1400),
    [aux_sym_continue_statement_token1] = ACTIONS(1400),
    [aux_sym_iterate_statement_token1] = ACTIONS(1400),
    [aux_sym_raise_statement_token1] = ACTIONS(1400),
    [anon_sym_EQ] = ACTIONS(1398),
    [aux_sym_assert_statement_token1] = ACTIONS(1400),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1400),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1400),
    [aux_sym_insert_statement_token1] = ACTIONS(1400),
    [aux_sym_truncate_statement_token1] = ACTIONS(1400),
    [aux_sym_update_statement_token1] = ACTIONS(1400),
    [aux_sym_merge_statement_token1] = ACTIONS(1400),
    [aux_sym_grant_statement_token1] = ACTIONS(1400),
    [aux_sym_revoke_statement_token1] = ACTIONS(1400),
    [aux_sym_export_data_statement_token1] = ACTIONS(1400),
    [aux_sym_load_data_statement_token1] = ACTIONS(1400),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym__quoted_identifier] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_LT_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
  },
  [3420] = {
    [sym__unquoted_identifier] = ACTIONS(1396),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1396),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1396),
    [aux_sym_keyword_replace_token1] = ACTIONS(1396),
    [aux_sym__keyword_alter_token1] = ACTIONS(1396),
    [aux_sym__keyword_delete_token1] = ACTIONS(1396),
    [aux_sym__keyword_begin_token1] = ACTIONS(1396),
    [aux_sym__keyword_end_token1] = ACTIONS(1396),
    [aux_sym__keyword_between_token1] = ACTIONS(1396),
    [aux_sym__keyword_else_token1] = ACTIONS(1396),
    [aux_sym__keyword_is_token1] = ACTIONS(1396),
    [aux_sym__keyword_in_token1] = ACTIONS(1396),
    [aux_sym__keyword_and_token1] = ACTIONS(1396),
    [aux_sym__keyword_like_token1] = ACTIONS(1396),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1396),
    [aux_sym__keyword_as_token1] = ACTIONS(1396),
    [aux_sym__keyword_date_token1] = ACTIONS(1396),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1396),
    [aux_sym__keyword_time_token1] = ACTIONS(1396),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1396),
    [aux_sym__keyword_for_token1] = ACTIONS(1396),
    [anon_sym_SEMI] = ACTIONS(1394),
    [aux_sym_declare_statement_token1] = ACTIONS(1396),
    [anon_sym_COMMA] = ACTIONS(1394),
    [aux_sym_set_statement_token1] = ACTIONS(1396),
    [anon_sym_LPAREN] = ACTIONS(1394),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1396),
    [aux_sym_return_satement_token1] = ACTIONS(1396),
    [aux_sym_call_statement_token1] = ACTIONS(1396),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1396),
    [aux_sym_if_statement_token1] = ACTIONS(1396),
    [aux_sym_loop_statement_token1] = ACTIONS(1396),
    [aux_sym_repeat_statement_token1] = ACTIONS(1396),
    [aux_sym_while_statement_token1] = ACTIONS(1396),
    [aux_sym_break_statement_token1] = ACTIONS(1396),
    [aux_sym_leave_statement_token1] = ACTIONS(1396),
    [aux_sym_continue_statement_token1] = ACTIONS(1396),
    [aux_sym_iterate_statement_token1] = ACTIONS(1396),
    [aux_sym_raise_statement_token1] = ACTIONS(1396),
    [anon_sym_EQ] = ACTIONS(1394),
    [aux_sym_assert_statement_token1] = ACTIONS(1396),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1396),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1396),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1396),
    [anon_sym_LT] = ACTIONS(1396),
    [anon_sym_GT] = ACTIONS(1396),
    [aux_sym_select_token1] = ACTIONS(1396),
    [aux_sym_insert_statement_token1] = ACTIONS(1396),
    [aux_sym_truncate_statement_token1] = ACTIONS(1396),
    [aux_sym_update_statement_token1] = ACTIONS(1396),
    [aux_sym_merge_statement_token1] = ACTIONS(1396),
    [aux_sym_grant_statement_token1] = ACTIONS(1396),
    [aux_sym_revoke_statement_token1] = ACTIONS(1396),
    [aux_sym_export_data_statement_token1] = ACTIONS(1396),
    [aux_sym_load_data_statement_token1] = ACTIONS(1396),
    [anon_sym_LBRACK] = ACTIONS(1394),
    [sym__quoted_identifier] = ACTIONS(1394),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_STAR] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(1396),
    [anon_sym_PIPE_PIPE] = ACTIONS(1394),
    [anon_sym_LT_EQ] = ACTIONS(1394),
    [anon_sym_LT_GT] = ACTIONS(1394),
    [anon_sym_GT_EQ] = ACTIONS(1394),
    [anon_sym_BANG_EQ] = ACTIONS(1394),
    [anon_sym_LT_LT] = ACTIONS(1394),
    [anon_sym_GT_GT] = ACTIONS(1394),
    [anon_sym_AMP] = ACTIONS(1394),
    [anon_sym_CARET] = ACTIONS(1394),
    [anon_sym_PIPE] = ACTIONS(1396),
  },
  [3421] = {
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3422] = {
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3423] = {
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3424] = {
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3425] = {
    [sym__unquoted_identifier] = ACTIONS(1584),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1584),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1584),
    [aux_sym_keyword_replace_token1] = ACTIONS(1584),
    [aux_sym__keyword_alter_token1] = ACTIONS(1584),
    [aux_sym__keyword_delete_token1] = ACTIONS(1584),
    [aux_sym__keyword_begin_token1] = ACTIONS(1584),
    [aux_sym__keyword_end_token1] = ACTIONS(1584),
    [aux_sym__keyword_between_token1] = ACTIONS(1584),
    [aux_sym__keyword_else_token1] = ACTIONS(1584),
    [aux_sym__keyword_is_token1] = ACTIONS(1584),
    [aux_sym__keyword_in_token1] = ACTIONS(1584),
    [aux_sym__keyword_and_token1] = ACTIONS(1584),
    [aux_sym__keyword_like_token1] = ACTIONS(1584),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1584),
    [aux_sym__keyword_as_token1] = ACTIONS(1584),
    [aux_sym__keyword_date_token1] = ACTIONS(1584),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1584),
    [aux_sym__keyword_time_token1] = ACTIONS(1584),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1584),
    [aux_sym__keyword_for_token1] = ACTIONS(1584),
    [anon_sym_SEMI] = ACTIONS(1582),
    [aux_sym_declare_statement_token1] = ACTIONS(1584),
    [anon_sym_COMMA] = ACTIONS(1582),
    [aux_sym_set_statement_token1] = ACTIONS(1584),
    [anon_sym_LPAREN] = ACTIONS(1582),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1584),
    [aux_sym_return_satement_token1] = ACTIONS(1584),
    [aux_sym_call_statement_token1] = ACTIONS(1584),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1584),
    [aux_sym_if_statement_token1] = ACTIONS(1584),
    [aux_sym_loop_statement_token1] = ACTIONS(1584),
    [aux_sym_repeat_statement_token1] = ACTIONS(1584),
    [aux_sym_while_statement_token1] = ACTIONS(1584),
    [aux_sym_break_statement_token1] = ACTIONS(1584),
    [aux_sym_leave_statement_token1] = ACTIONS(1584),
    [aux_sym_continue_statement_token1] = ACTIONS(1584),
    [aux_sym_iterate_statement_token1] = ACTIONS(1584),
    [aux_sym_raise_statement_token1] = ACTIONS(1584),
    [anon_sym_EQ] = ACTIONS(1582),
    [aux_sym_assert_statement_token1] = ACTIONS(1584),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1584),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1584),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1584),
    [anon_sym_LT] = ACTIONS(1584),
    [anon_sym_GT] = ACTIONS(1584),
    [aux_sym_select_token1] = ACTIONS(1584),
    [aux_sym_insert_statement_token1] = ACTIONS(1584),
    [aux_sym_truncate_statement_token1] = ACTIONS(1584),
    [aux_sym_update_statement_token1] = ACTIONS(1584),
    [aux_sym_merge_statement_token1] = ACTIONS(1584),
    [aux_sym_grant_statement_token1] = ACTIONS(1584),
    [aux_sym_revoke_statement_token1] = ACTIONS(1584),
    [aux_sym_export_data_statement_token1] = ACTIONS(1584),
    [aux_sym_load_data_statement_token1] = ACTIONS(1584),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [sym__quoted_identifier] = ACTIONS(1582),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1582),
    [anon_sym_PLUS] = ACTIONS(1582),
    [anon_sym_DASH] = ACTIONS(1584),
    [anon_sym_STAR] = ACTIONS(1582),
    [anon_sym_SLASH] = ACTIONS(1584),
    [anon_sym_PIPE_PIPE] = ACTIONS(1582),
    [anon_sym_LT_EQ] = ACTIONS(1582),
    [anon_sym_LT_GT] = ACTIONS(1582),
    [anon_sym_GT_EQ] = ACTIONS(1582),
    [anon_sym_BANG_EQ] = ACTIONS(1582),
    [anon_sym_LT_LT] = ACTIONS(1582),
    [anon_sym_GT_GT] = ACTIONS(1582),
    [anon_sym_AMP] = ACTIONS(1582),
    [anon_sym_CARET] = ACTIONS(1582),
    [anon_sym_PIPE] = ACTIONS(1584),
  },
  [3426] = {
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3427] = {
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3428] = {
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3429] = {
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3430] = {
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3431] = {
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3432] = {
    [sym__unquoted_identifier] = ACTIONS(1506),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1506),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1506),
    [aux_sym_keyword_replace_token1] = ACTIONS(1506),
    [aux_sym__keyword_alter_token1] = ACTIONS(1506),
    [aux_sym__keyword_delete_token1] = ACTIONS(1506),
    [aux_sym__keyword_begin_token1] = ACTIONS(1506),
    [aux_sym__keyword_end_token1] = ACTIONS(1506),
    [aux_sym__keyword_between_token1] = ACTIONS(1506),
    [aux_sym__keyword_else_token1] = ACTIONS(1506),
    [aux_sym__keyword_is_token1] = ACTIONS(1506),
    [aux_sym__keyword_in_token1] = ACTIONS(1506),
    [aux_sym__keyword_and_token1] = ACTIONS(1506),
    [aux_sym__keyword_like_token1] = ACTIONS(1506),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1506),
    [aux_sym__keyword_as_token1] = ACTIONS(1506),
    [aux_sym__keyword_date_token1] = ACTIONS(1506),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1506),
    [aux_sym__keyword_time_token1] = ACTIONS(1506),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1506),
    [aux_sym__keyword_for_token1] = ACTIONS(1506),
    [anon_sym_SEMI] = ACTIONS(1504),
    [aux_sym_declare_statement_token1] = ACTIONS(1506),
    [anon_sym_COMMA] = ACTIONS(1504),
    [aux_sym_set_statement_token1] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1504),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1506),
    [aux_sym_return_satement_token1] = ACTIONS(1506),
    [aux_sym_call_statement_token1] = ACTIONS(1506),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1506),
    [aux_sym_if_statement_token1] = ACTIONS(1506),
    [aux_sym_loop_statement_token1] = ACTIONS(1506),
    [aux_sym_repeat_statement_token1] = ACTIONS(1506),
    [aux_sym_while_statement_token1] = ACTIONS(1506),
    [aux_sym_break_statement_token1] = ACTIONS(1506),
    [aux_sym_leave_statement_token1] = ACTIONS(1506),
    [aux_sym_continue_statement_token1] = ACTIONS(1506),
    [aux_sym_iterate_statement_token1] = ACTIONS(1506),
    [aux_sym_raise_statement_token1] = ACTIONS(1506),
    [anon_sym_EQ] = ACTIONS(1504),
    [aux_sym_assert_statement_token1] = ACTIONS(1506),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1506),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1506),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1506),
    [anon_sym_LT] = ACTIONS(1506),
    [anon_sym_GT] = ACTIONS(1506),
    [aux_sym_select_token1] = ACTIONS(1506),
    [aux_sym_insert_statement_token1] = ACTIONS(1506),
    [aux_sym_truncate_statement_token1] = ACTIONS(1506),
    [aux_sym_update_statement_token1] = ACTIONS(1506),
    [aux_sym_merge_statement_token1] = ACTIONS(1506),
    [aux_sym_grant_statement_token1] = ACTIONS(1506),
    [aux_sym_revoke_statement_token1] = ACTIONS(1506),
    [aux_sym_export_data_statement_token1] = ACTIONS(1506),
    [aux_sym_load_data_statement_token1] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1504),
    [sym__quoted_identifier] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1504),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1506),
    [anon_sym_STAR] = ACTIONS(1504),
    [anon_sym_SLASH] = ACTIONS(1506),
    [anon_sym_PIPE_PIPE] = ACTIONS(1504),
    [anon_sym_LT_EQ] = ACTIONS(1504),
    [anon_sym_LT_GT] = ACTIONS(1504),
    [anon_sym_GT_EQ] = ACTIONS(1504),
    [anon_sym_BANG_EQ] = ACTIONS(1504),
    [anon_sym_LT_LT] = ACTIONS(1504),
    [anon_sym_GT_GT] = ACTIONS(1504),
    [anon_sym_AMP] = ACTIONS(1504),
    [anon_sym_CARET] = ACTIONS(1504),
    [anon_sym_PIPE] = ACTIONS(1506),
  },
  [3433] = {
    [sym__unquoted_identifier] = ACTIONS(1502),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1502),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1502),
    [aux_sym_keyword_replace_token1] = ACTIONS(1502),
    [aux_sym__keyword_alter_token1] = ACTIONS(1502),
    [aux_sym__keyword_delete_token1] = ACTIONS(1502),
    [aux_sym__keyword_begin_token1] = ACTIONS(1502),
    [aux_sym__keyword_end_token1] = ACTIONS(1502),
    [aux_sym__keyword_between_token1] = ACTIONS(1502),
    [aux_sym__keyword_else_token1] = ACTIONS(1502),
    [aux_sym__keyword_is_token1] = ACTIONS(1502),
    [aux_sym__keyword_in_token1] = ACTIONS(1502),
    [aux_sym__keyword_and_token1] = ACTIONS(1502),
    [aux_sym__keyword_like_token1] = ACTIONS(1502),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1502),
    [aux_sym__keyword_as_token1] = ACTIONS(1502),
    [aux_sym__keyword_date_token1] = ACTIONS(1502),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1502),
    [aux_sym__keyword_time_token1] = ACTIONS(1502),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1502),
    [aux_sym__keyword_for_token1] = ACTIONS(1502),
    [anon_sym_SEMI] = ACTIONS(1500),
    [aux_sym_declare_statement_token1] = ACTIONS(1502),
    [anon_sym_COMMA] = ACTIONS(1500),
    [aux_sym_set_statement_token1] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1500),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1502),
    [aux_sym_return_satement_token1] = ACTIONS(1502),
    [aux_sym_call_statement_token1] = ACTIONS(1502),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1502),
    [aux_sym_if_statement_token1] = ACTIONS(1502),
    [aux_sym_loop_statement_token1] = ACTIONS(1502),
    [aux_sym_repeat_statement_token1] = ACTIONS(1502),
    [aux_sym_while_statement_token1] = ACTIONS(1502),
    [aux_sym_break_statement_token1] = ACTIONS(1502),
    [aux_sym_leave_statement_token1] = ACTIONS(1502),
    [aux_sym_continue_statement_token1] = ACTIONS(1502),
    [aux_sym_iterate_statement_token1] = ACTIONS(1502),
    [aux_sym_raise_statement_token1] = ACTIONS(1502),
    [anon_sym_EQ] = ACTIONS(1500),
    [aux_sym_assert_statement_token1] = ACTIONS(1502),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1502),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1502),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1502),
    [anon_sym_LT] = ACTIONS(1502),
    [anon_sym_GT] = ACTIONS(1502),
    [aux_sym_select_token1] = ACTIONS(1502),
    [aux_sym_insert_statement_token1] = ACTIONS(1502),
    [aux_sym_truncate_statement_token1] = ACTIONS(1502),
    [aux_sym_update_statement_token1] = ACTIONS(1502),
    [aux_sym_merge_statement_token1] = ACTIONS(1502),
    [aux_sym_grant_statement_token1] = ACTIONS(1502),
    [aux_sym_revoke_statement_token1] = ACTIONS(1502),
    [aux_sym_export_data_statement_token1] = ACTIONS(1502),
    [aux_sym_load_data_statement_token1] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1500),
    [sym__quoted_identifier] = ACTIONS(1500),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_STAR] = ACTIONS(1500),
    [anon_sym_SLASH] = ACTIONS(1502),
    [anon_sym_PIPE_PIPE] = ACTIONS(1500),
    [anon_sym_LT_EQ] = ACTIONS(1500),
    [anon_sym_LT_GT] = ACTIONS(1500),
    [anon_sym_GT_EQ] = ACTIONS(1500),
    [anon_sym_BANG_EQ] = ACTIONS(1500),
    [anon_sym_LT_LT] = ACTIONS(1500),
    [anon_sym_GT_GT] = ACTIONS(1500),
    [anon_sym_AMP] = ACTIONS(1500),
    [anon_sym_CARET] = ACTIONS(1500),
    [anon_sym_PIPE] = ACTIONS(1502),
  },
  [3434] = {
    [sym__unquoted_identifier] = ACTIONS(1498),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1498),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1498),
    [aux_sym_keyword_replace_token1] = ACTIONS(1498),
    [aux_sym__keyword_alter_token1] = ACTIONS(1498),
    [aux_sym__keyword_delete_token1] = ACTIONS(1498),
    [aux_sym__keyword_begin_token1] = ACTIONS(1498),
    [aux_sym__keyword_end_token1] = ACTIONS(1498),
    [aux_sym__keyword_between_token1] = ACTIONS(1498),
    [aux_sym__keyword_else_token1] = ACTIONS(1498),
    [aux_sym__keyword_is_token1] = ACTIONS(1498),
    [aux_sym__keyword_in_token1] = ACTIONS(1498),
    [aux_sym__keyword_and_token1] = ACTIONS(1498),
    [aux_sym__keyword_like_token1] = ACTIONS(1498),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1498),
    [aux_sym__keyword_as_token1] = ACTIONS(1498),
    [aux_sym__keyword_date_token1] = ACTIONS(1498),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1498),
    [aux_sym__keyword_time_token1] = ACTIONS(1498),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1498),
    [aux_sym__keyword_for_token1] = ACTIONS(1498),
    [anon_sym_SEMI] = ACTIONS(1496),
    [aux_sym_declare_statement_token1] = ACTIONS(1498),
    [anon_sym_COMMA] = ACTIONS(1496),
    [aux_sym_set_statement_token1] = ACTIONS(1498),
    [anon_sym_LPAREN] = ACTIONS(1496),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1498),
    [aux_sym_return_satement_token1] = ACTIONS(1498),
    [aux_sym_call_statement_token1] = ACTIONS(1498),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1498),
    [aux_sym_if_statement_token1] = ACTIONS(1498),
    [aux_sym_loop_statement_token1] = ACTIONS(1498),
    [aux_sym_repeat_statement_token1] = ACTIONS(1498),
    [aux_sym_while_statement_token1] = ACTIONS(1498),
    [aux_sym_break_statement_token1] = ACTIONS(1498),
    [aux_sym_leave_statement_token1] = ACTIONS(1498),
    [aux_sym_continue_statement_token1] = ACTIONS(1498),
    [aux_sym_iterate_statement_token1] = ACTIONS(1498),
    [aux_sym_raise_statement_token1] = ACTIONS(1498),
    [anon_sym_EQ] = ACTIONS(1496),
    [aux_sym_assert_statement_token1] = ACTIONS(1498),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1498),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1498),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1498),
    [anon_sym_LT] = ACTIONS(1498),
    [anon_sym_GT] = ACTIONS(1498),
    [aux_sym_select_token1] = ACTIONS(1498),
    [aux_sym_insert_statement_token1] = ACTIONS(1498),
    [aux_sym_truncate_statement_token1] = ACTIONS(1498),
    [aux_sym_update_statement_token1] = ACTIONS(1498),
    [aux_sym_merge_statement_token1] = ACTIONS(1498),
    [aux_sym_grant_statement_token1] = ACTIONS(1498),
    [aux_sym_revoke_statement_token1] = ACTIONS(1498),
    [aux_sym_export_data_statement_token1] = ACTIONS(1498),
    [aux_sym_load_data_statement_token1] = ACTIONS(1498),
    [anon_sym_LBRACK] = ACTIONS(1496),
    [sym__quoted_identifier] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(1498),
    [anon_sym_PIPE_PIPE] = ACTIONS(1496),
    [anon_sym_LT_EQ] = ACTIONS(1496),
    [anon_sym_LT_GT] = ACTIONS(1496),
    [anon_sym_GT_EQ] = ACTIONS(1496),
    [anon_sym_BANG_EQ] = ACTIONS(1496),
    [anon_sym_LT_LT] = ACTIONS(1496),
    [anon_sym_GT_GT] = ACTIONS(1496),
    [anon_sym_AMP] = ACTIONS(1496),
    [anon_sym_CARET] = ACTIONS(1496),
    [anon_sym_PIPE] = ACTIONS(1498),
  },
  [3435] = {
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [3436] = {
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [3437] = {
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [3438] = {
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [3439] = {
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [3440] = {
    [sym__unquoted_identifier] = ACTIONS(1388),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1388),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1388),
    [aux_sym_keyword_replace_token1] = ACTIONS(1388),
    [aux_sym__keyword_alter_token1] = ACTIONS(1388),
    [aux_sym__keyword_delete_token1] = ACTIONS(1388),
    [aux_sym__keyword_begin_token1] = ACTIONS(1388),
    [aux_sym__keyword_end_token1] = ACTIONS(1388),
    [aux_sym__keyword_between_token1] = ACTIONS(1388),
    [aux_sym__keyword_else_token1] = ACTIONS(1388),
    [aux_sym__keyword_is_token1] = ACTIONS(1388),
    [aux_sym__keyword_in_token1] = ACTIONS(1388),
    [aux_sym__keyword_and_token1] = ACTIONS(1388),
    [aux_sym__keyword_like_token1] = ACTIONS(1388),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1388),
    [aux_sym__keyword_as_token1] = ACTIONS(1388),
    [aux_sym__keyword_date_token1] = ACTIONS(1388),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1388),
    [aux_sym__keyword_time_token1] = ACTIONS(1388),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1388),
    [aux_sym__keyword_for_token1] = ACTIONS(1388),
    [anon_sym_SEMI] = ACTIONS(1386),
    [aux_sym_declare_statement_token1] = ACTIONS(1388),
    [anon_sym_COMMA] = ACTIONS(1386),
    [aux_sym_set_statement_token1] = ACTIONS(1388),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1388),
    [aux_sym_return_satement_token1] = ACTIONS(1388),
    [aux_sym_call_statement_token1] = ACTIONS(1388),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1388),
    [aux_sym_if_statement_token1] = ACTIONS(1388),
    [aux_sym_loop_statement_token1] = ACTIONS(1388),
    [aux_sym_repeat_statement_token1] = ACTIONS(1388),
    [aux_sym_while_statement_token1] = ACTIONS(1388),
    [aux_sym_break_statement_token1] = ACTIONS(1388),
    [aux_sym_leave_statement_token1] = ACTIONS(1388),
    [aux_sym_continue_statement_token1] = ACTIONS(1388),
    [aux_sym_iterate_statement_token1] = ACTIONS(1388),
    [aux_sym_raise_statement_token1] = ACTIONS(1388),
    [anon_sym_EQ] = ACTIONS(1386),
    [aux_sym_assert_statement_token1] = ACTIONS(1388),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1388),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1388),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1388),
    [anon_sym_LT] = ACTIONS(1388),
    [anon_sym_GT] = ACTIONS(1388),
    [aux_sym_select_token1] = ACTIONS(1388),
    [aux_sym_insert_statement_token1] = ACTIONS(1388),
    [aux_sym_truncate_statement_token1] = ACTIONS(1388),
    [aux_sym_update_statement_token1] = ACTIONS(1388),
    [aux_sym_merge_statement_token1] = ACTIONS(1388),
    [aux_sym_grant_statement_token1] = ACTIONS(1388),
    [aux_sym_revoke_statement_token1] = ACTIONS(1388),
    [aux_sym_export_data_statement_token1] = ACTIONS(1388),
    [aux_sym_load_data_statement_token1] = ACTIONS(1388),
    [anon_sym_LBRACK] = ACTIONS(1386),
    [sym__quoted_identifier] = ACTIONS(1386),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1386),
    [anon_sym_DASH] = ACTIONS(1388),
    [anon_sym_STAR] = ACTIONS(1386),
    [anon_sym_SLASH] = ACTIONS(1388),
    [anon_sym_PIPE_PIPE] = ACTIONS(1386),
    [anon_sym_LT_EQ] = ACTIONS(1386),
    [anon_sym_LT_GT] = ACTIONS(1386),
    [anon_sym_GT_EQ] = ACTIONS(1386),
    [anon_sym_BANG_EQ] = ACTIONS(1386),
    [anon_sym_LT_LT] = ACTIONS(1386),
    [anon_sym_GT_GT] = ACTIONS(1386),
    [anon_sym_AMP] = ACTIONS(1386),
    [anon_sym_CARET] = ACTIONS(1386),
    [anon_sym_PIPE] = ACTIONS(1388),
  },
  [3441] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3442] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3443] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3444] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3445] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3446] = {
    [sym__unquoted_identifier] = ACTIONS(1766),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1766),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1766),
    [aux_sym_keyword_replace_token1] = ACTIONS(1766),
    [aux_sym__keyword_alter_token1] = ACTIONS(1766),
    [aux_sym__keyword_delete_token1] = ACTIONS(1766),
    [aux_sym__keyword_begin_token1] = ACTIONS(1766),
    [aux_sym__keyword_end_token1] = ACTIONS(1766),
    [aux_sym__keyword_between_token1] = ACTIONS(1766),
    [aux_sym__keyword_else_token1] = ACTIONS(1766),
    [aux_sym__keyword_is_token1] = ACTIONS(1766),
    [aux_sym__keyword_in_token1] = ACTIONS(1766),
    [aux_sym__keyword_and_token1] = ACTIONS(1766),
    [aux_sym__keyword_like_token1] = ACTIONS(1766),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1766),
    [aux_sym__keyword_as_token1] = ACTIONS(1766),
    [aux_sym__keyword_date_token1] = ACTIONS(1766),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1766),
    [aux_sym__keyword_time_token1] = ACTIONS(1766),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1766),
    [aux_sym__keyword_for_token1] = ACTIONS(1766),
    [anon_sym_SEMI] = ACTIONS(1764),
    [aux_sym_declare_statement_token1] = ACTIONS(1766),
    [anon_sym_COMMA] = ACTIONS(1764),
    [aux_sym_set_statement_token1] = ACTIONS(1766),
    [anon_sym_LPAREN] = ACTIONS(1764),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1766),
    [aux_sym_return_satement_token1] = ACTIONS(1766),
    [aux_sym_call_statement_token1] = ACTIONS(1766),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1766),
    [aux_sym_if_statement_token1] = ACTIONS(1766),
    [aux_sym_loop_statement_token1] = ACTIONS(1766),
    [aux_sym_repeat_statement_token1] = ACTIONS(1766),
    [aux_sym_while_statement_token1] = ACTIONS(1766),
    [aux_sym_break_statement_token1] = ACTIONS(1766),
    [aux_sym_leave_statement_token1] = ACTIONS(1766),
    [aux_sym_continue_statement_token1] = ACTIONS(1766),
    [aux_sym_iterate_statement_token1] = ACTIONS(1766),
    [aux_sym_raise_statement_token1] = ACTIONS(1766),
    [anon_sym_EQ] = ACTIONS(1764),
    [aux_sym_assert_statement_token1] = ACTIONS(1766),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1766),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1766),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1766),
    [anon_sym_LT] = ACTIONS(1766),
    [anon_sym_GT] = ACTIONS(1766),
    [aux_sym_select_token1] = ACTIONS(1766),
    [aux_sym_insert_statement_token1] = ACTIONS(1766),
    [aux_sym_truncate_statement_token1] = ACTIONS(1766),
    [aux_sym_update_statement_token1] = ACTIONS(1766),
    [aux_sym_merge_statement_token1] = ACTIONS(1766),
    [aux_sym_grant_statement_token1] = ACTIONS(1766),
    [aux_sym_revoke_statement_token1] = ACTIONS(1766),
    [aux_sym_export_data_statement_token1] = ACTIONS(1766),
    [aux_sym_load_data_statement_token1] = ACTIONS(1766),
    [anon_sym_LBRACK] = ACTIONS(1764),
    [sym__quoted_identifier] = ACTIONS(1764),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_DASH] = ACTIONS(1766),
    [anon_sym_STAR] = ACTIONS(1764),
    [anon_sym_SLASH] = ACTIONS(1766),
    [anon_sym_PIPE_PIPE] = ACTIONS(1764),
    [anon_sym_LT_EQ] = ACTIONS(1764),
    [anon_sym_LT_GT] = ACTIONS(1764),
    [anon_sym_GT_EQ] = ACTIONS(1764),
    [anon_sym_BANG_EQ] = ACTIONS(1764),
    [anon_sym_LT_LT] = ACTIONS(1764),
    [anon_sym_GT_GT] = ACTIONS(1764),
    [anon_sym_AMP] = ACTIONS(1764),
    [anon_sym_CARET] = ACTIONS(1764),
    [anon_sym_PIPE] = ACTIONS(1766),
  },
  [3447] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3448] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3449] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3450] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3451] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3452] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3453] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3454] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3455] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3456] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3457] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3458] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3459] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3460] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3461] = {
    [sym__unquoted_identifier] = ACTIONS(1600),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1600),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1600),
    [aux_sym_keyword_replace_token1] = ACTIONS(1600),
    [aux_sym__keyword_alter_token1] = ACTIONS(1600),
    [aux_sym__keyword_delete_token1] = ACTIONS(1600),
    [aux_sym__keyword_begin_token1] = ACTIONS(1600),
    [aux_sym__keyword_end_token1] = ACTIONS(1600),
    [aux_sym__keyword_between_token1] = ACTIONS(1600),
    [aux_sym__keyword_else_token1] = ACTIONS(1600),
    [aux_sym__keyword_is_token1] = ACTIONS(1600),
    [aux_sym__keyword_in_token1] = ACTIONS(1600),
    [aux_sym__keyword_and_token1] = ACTIONS(1600),
    [aux_sym__keyword_like_token1] = ACTIONS(1600),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1600),
    [aux_sym__keyword_as_token1] = ACTIONS(1600),
    [aux_sym__keyword_date_token1] = ACTIONS(1600),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1600),
    [aux_sym__keyword_time_token1] = ACTIONS(1600),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1600),
    [aux_sym__keyword_for_token1] = ACTIONS(1600),
    [anon_sym_SEMI] = ACTIONS(1598),
    [aux_sym_declare_statement_token1] = ACTIONS(1600),
    [anon_sym_COMMA] = ACTIONS(1598),
    [aux_sym_set_statement_token1] = ACTIONS(1600),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1600),
    [aux_sym_return_satement_token1] = ACTIONS(1600),
    [aux_sym_call_statement_token1] = ACTIONS(1600),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1600),
    [aux_sym_if_statement_token1] = ACTIONS(1600),
    [aux_sym_loop_statement_token1] = ACTIONS(1600),
    [aux_sym_repeat_statement_token1] = ACTIONS(1600),
    [aux_sym_while_statement_token1] = ACTIONS(1600),
    [aux_sym_break_statement_token1] = ACTIONS(1600),
    [aux_sym_leave_statement_token1] = ACTIONS(1600),
    [aux_sym_continue_statement_token1] = ACTIONS(1600),
    [aux_sym_iterate_statement_token1] = ACTIONS(1600),
    [aux_sym_raise_statement_token1] = ACTIONS(1600),
    [anon_sym_EQ] = ACTIONS(1598),
    [aux_sym_assert_statement_token1] = ACTIONS(1600),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1600),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1600),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1600),
    [anon_sym_LT] = ACTIONS(1600),
    [anon_sym_GT] = ACTIONS(1600),
    [aux_sym_select_token1] = ACTIONS(1600),
    [aux_sym_insert_statement_token1] = ACTIONS(1600),
    [aux_sym_truncate_statement_token1] = ACTIONS(1600),
    [aux_sym_update_statement_token1] = ACTIONS(1600),
    [aux_sym_merge_statement_token1] = ACTIONS(1600),
    [aux_sym_grant_statement_token1] = ACTIONS(1600),
    [aux_sym_revoke_statement_token1] = ACTIONS(1600),
    [aux_sym_export_data_statement_token1] = ACTIONS(1600),
    [aux_sym_load_data_statement_token1] = ACTIONS(1600),
    [anon_sym_LBRACK] = ACTIONS(1598),
    [sym__quoted_identifier] = ACTIONS(1598),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1598),
    [anon_sym_PLUS] = ACTIONS(1598),
    [anon_sym_DASH] = ACTIONS(1600),
    [anon_sym_STAR] = ACTIONS(1598),
    [anon_sym_SLASH] = ACTIONS(1600),
    [anon_sym_PIPE_PIPE] = ACTIONS(1598),
    [anon_sym_LT_EQ] = ACTIONS(1598),
    [anon_sym_LT_GT] = ACTIONS(1598),
    [anon_sym_GT_EQ] = ACTIONS(1598),
    [anon_sym_BANG_EQ] = ACTIONS(1598),
    [anon_sym_LT_LT] = ACTIONS(1598),
    [anon_sym_GT_GT] = ACTIONS(1598),
    [anon_sym_AMP] = ACTIONS(1598),
    [anon_sym_CARET] = ACTIONS(1598),
    [anon_sym_PIPE] = ACTIONS(1600),
  },
  [3462] = {
    [sym__unquoted_identifier] = ACTIONS(1384),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1384),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1384),
    [aux_sym_keyword_replace_token1] = ACTIONS(1384),
    [aux_sym__keyword_alter_token1] = ACTIONS(1384),
    [aux_sym__keyword_delete_token1] = ACTIONS(1384),
    [aux_sym__keyword_begin_token1] = ACTIONS(1384),
    [aux_sym__keyword_end_token1] = ACTIONS(1384),
    [aux_sym__keyword_between_token1] = ACTIONS(1384),
    [aux_sym__keyword_else_token1] = ACTIONS(1384),
    [aux_sym__keyword_is_token1] = ACTIONS(1384),
    [aux_sym__keyword_in_token1] = ACTIONS(1384),
    [aux_sym__keyword_and_token1] = ACTIONS(1384),
    [aux_sym__keyword_like_token1] = ACTIONS(1384),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1384),
    [aux_sym__keyword_as_token1] = ACTIONS(1384),
    [aux_sym__keyword_date_token1] = ACTIONS(1384),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1384),
    [aux_sym__keyword_time_token1] = ACTIONS(1384),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1384),
    [aux_sym__keyword_for_token1] = ACTIONS(1384),
    [anon_sym_SEMI] = ACTIONS(1382),
    [aux_sym_declare_statement_token1] = ACTIONS(1384),
    [anon_sym_COMMA] = ACTIONS(1382),
    [aux_sym_set_statement_token1] = ACTIONS(1384),
    [anon_sym_LPAREN] = ACTIONS(1382),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1384),
    [aux_sym_return_satement_token1] = ACTIONS(1384),
    [aux_sym_call_statement_token1] = ACTIONS(1384),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1384),
    [aux_sym_if_statement_token1] = ACTIONS(1384),
    [aux_sym_loop_statement_token1] = ACTIONS(1384),
    [aux_sym_repeat_statement_token1] = ACTIONS(1384),
    [aux_sym_while_statement_token1] = ACTIONS(1384),
    [aux_sym_break_statement_token1] = ACTIONS(1384),
    [aux_sym_leave_statement_token1] = ACTIONS(1384),
    [aux_sym_continue_statement_token1] = ACTIONS(1384),
    [aux_sym_iterate_statement_token1] = ACTIONS(1384),
    [aux_sym_raise_statement_token1] = ACTIONS(1384),
    [anon_sym_EQ] = ACTIONS(1382),
    [aux_sym_assert_statement_token1] = ACTIONS(1384),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1384),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1384),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1384),
    [anon_sym_LT] = ACTIONS(1384),
    [anon_sym_GT] = ACTIONS(1384),
    [aux_sym_select_token1] = ACTIONS(1384),
    [aux_sym_insert_statement_token1] = ACTIONS(1384),
    [aux_sym_truncate_statement_token1] = ACTIONS(1384),
    [aux_sym_update_statement_token1] = ACTIONS(1384),
    [aux_sym_merge_statement_token1] = ACTIONS(1384),
    [aux_sym_grant_statement_token1] = ACTIONS(1384),
    [aux_sym_revoke_statement_token1] = ACTIONS(1384),
    [aux_sym_export_data_statement_token1] = ACTIONS(1384),
    [aux_sym_load_data_statement_token1] = ACTIONS(1384),
    [anon_sym_LBRACK] = ACTIONS(1382),
    [sym__quoted_identifier] = ACTIONS(1382),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1382),
    [anon_sym_PLUS] = ACTIONS(1382),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_STAR] = ACTIONS(1382),
    [anon_sym_SLASH] = ACTIONS(1384),
    [anon_sym_PIPE_PIPE] = ACTIONS(1382),
    [anon_sym_LT_EQ] = ACTIONS(1382),
    [anon_sym_LT_GT] = ACTIONS(1382),
    [anon_sym_GT_EQ] = ACTIONS(1382),
    [anon_sym_BANG_EQ] = ACTIONS(1382),
    [anon_sym_LT_LT] = ACTIONS(1382),
    [anon_sym_GT_GT] = ACTIONS(1382),
    [anon_sym_AMP] = ACTIONS(1382),
    [anon_sym_CARET] = ACTIONS(1382),
    [anon_sym_PIPE] = ACTIONS(1384),
  },
  [3463] = {
    [sym__unquoted_identifier] = ACTIONS(1392),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1392),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1392),
    [aux_sym_keyword_replace_token1] = ACTIONS(1392),
    [aux_sym__keyword_alter_token1] = ACTIONS(1392),
    [aux_sym__keyword_delete_token1] = ACTIONS(1392),
    [aux_sym__keyword_begin_token1] = ACTIONS(1392),
    [aux_sym__keyword_end_token1] = ACTIONS(1392),
    [aux_sym__keyword_between_token1] = ACTIONS(1392),
    [aux_sym__keyword_else_token1] = ACTIONS(1392),
    [aux_sym__keyword_is_token1] = ACTIONS(1392),
    [aux_sym__keyword_in_token1] = ACTIONS(1392),
    [aux_sym__keyword_and_token1] = ACTIONS(1392),
    [aux_sym__keyword_like_token1] = ACTIONS(1392),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1392),
    [aux_sym__keyword_as_token1] = ACTIONS(1392),
    [aux_sym__keyword_date_token1] = ACTIONS(1392),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1392),
    [aux_sym__keyword_time_token1] = ACTIONS(1392),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1392),
    [aux_sym__keyword_for_token1] = ACTIONS(1392),
    [anon_sym_SEMI] = ACTIONS(1390),
    [aux_sym_declare_statement_token1] = ACTIONS(1392),
    [anon_sym_COMMA] = ACTIONS(1390),
    [aux_sym_set_statement_token1] = ACTIONS(1392),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1392),
    [aux_sym_return_satement_token1] = ACTIONS(1392),
    [aux_sym_call_statement_token1] = ACTIONS(1392),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1392),
    [aux_sym_if_statement_token1] = ACTIONS(1392),
    [aux_sym_loop_statement_token1] = ACTIONS(1392),
    [aux_sym_repeat_statement_token1] = ACTIONS(1392),
    [aux_sym_while_statement_token1] = ACTIONS(1392),
    [aux_sym_break_statement_token1] = ACTIONS(1392),
    [aux_sym_leave_statement_token1] = ACTIONS(1392),
    [aux_sym_continue_statement_token1] = ACTIONS(1392),
    [aux_sym_iterate_statement_token1] = ACTIONS(1392),
    [aux_sym_raise_statement_token1] = ACTIONS(1392),
    [anon_sym_EQ] = ACTIONS(1390),
    [aux_sym_assert_statement_token1] = ACTIONS(1392),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1392),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1392),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1392),
    [anon_sym_LT] = ACTIONS(1392),
    [anon_sym_GT] = ACTIONS(1392),
    [aux_sym_select_token1] = ACTIONS(1392),
    [aux_sym_insert_statement_token1] = ACTIONS(1392),
    [aux_sym_truncate_statement_token1] = ACTIONS(1392),
    [aux_sym_update_statement_token1] = ACTIONS(1392),
    [aux_sym_merge_statement_token1] = ACTIONS(1392),
    [aux_sym_grant_statement_token1] = ACTIONS(1392),
    [aux_sym_revoke_statement_token1] = ACTIONS(1392),
    [aux_sym_export_data_statement_token1] = ACTIONS(1392),
    [aux_sym_load_data_statement_token1] = ACTIONS(1392),
    [anon_sym_LBRACK] = ACTIONS(1390),
    [sym__quoted_identifier] = ACTIONS(1390),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_DASH] = ACTIONS(1392),
    [anon_sym_STAR] = ACTIONS(1390),
    [anon_sym_SLASH] = ACTIONS(1392),
    [anon_sym_PIPE_PIPE] = ACTIONS(1390),
    [anon_sym_LT_EQ] = ACTIONS(1390),
    [anon_sym_LT_GT] = ACTIONS(1390),
    [anon_sym_GT_EQ] = ACTIONS(1390),
    [anon_sym_BANG_EQ] = ACTIONS(1390),
    [anon_sym_LT_LT] = ACTIONS(1390),
    [anon_sym_GT_GT] = ACTIONS(1390),
    [anon_sym_AMP] = ACTIONS(1390),
    [anon_sym_CARET] = ACTIONS(1390),
    [anon_sym_PIPE] = ACTIONS(1392),
  },
  [3464] = {
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [3465] = {
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [3466] = {
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [3467] = {
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [3468] = {
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [3469] = {
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [3470] = {
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [3471] = {
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [3472] = {
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [3473] = {
    [sym__unquoted_identifier] = ACTIONS(1486),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1486),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1486),
    [aux_sym_keyword_replace_token1] = ACTIONS(1486),
    [aux_sym__keyword_alter_token1] = ACTIONS(1486),
    [aux_sym__keyword_delete_token1] = ACTIONS(1486),
    [aux_sym__keyword_begin_token1] = ACTIONS(1486),
    [aux_sym__keyword_end_token1] = ACTIONS(1486),
    [aux_sym__keyword_between_token1] = ACTIONS(1486),
    [aux_sym__keyword_else_token1] = ACTIONS(1486),
    [aux_sym__keyword_is_token1] = ACTIONS(1486),
    [aux_sym__keyword_in_token1] = ACTIONS(1486),
    [aux_sym__keyword_and_token1] = ACTIONS(1486),
    [aux_sym__keyword_like_token1] = ACTIONS(1486),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1486),
    [aux_sym__keyword_as_token1] = ACTIONS(1486),
    [aux_sym__keyword_date_token1] = ACTIONS(1486),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1486),
    [aux_sym__keyword_time_token1] = ACTIONS(1486),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1486),
    [aux_sym__keyword_for_token1] = ACTIONS(1486),
    [anon_sym_SEMI] = ACTIONS(1484),
    [aux_sym_declare_statement_token1] = ACTIONS(1486),
    [anon_sym_COMMA] = ACTIONS(1484),
    [aux_sym_set_statement_token1] = ACTIONS(1486),
    [anon_sym_LPAREN] = ACTIONS(1484),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1486),
    [aux_sym_return_satement_token1] = ACTIONS(1486),
    [aux_sym_call_statement_token1] = ACTIONS(1486),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1486),
    [aux_sym_if_statement_token1] = ACTIONS(1486),
    [aux_sym_loop_statement_token1] = ACTIONS(1486),
    [aux_sym_repeat_statement_token1] = ACTIONS(1486),
    [aux_sym_while_statement_token1] = ACTIONS(1486),
    [aux_sym_break_statement_token1] = ACTIONS(1486),
    [aux_sym_leave_statement_token1] = ACTIONS(1486),
    [aux_sym_continue_statement_token1] = ACTIONS(1486),
    [aux_sym_iterate_statement_token1] = ACTIONS(1486),
    [aux_sym_raise_statement_token1] = ACTIONS(1486),
    [anon_sym_EQ] = ACTIONS(1484),
    [aux_sym_assert_statement_token1] = ACTIONS(1486),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1486),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1486),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1486),
    [anon_sym_LT] = ACTIONS(1486),
    [anon_sym_GT] = ACTIONS(1486),
    [aux_sym_select_token1] = ACTIONS(1486),
    [aux_sym_insert_statement_token1] = ACTIONS(1486),
    [aux_sym_truncate_statement_token1] = ACTIONS(1486),
    [aux_sym_update_statement_token1] = ACTIONS(1486),
    [aux_sym_merge_statement_token1] = ACTIONS(1486),
    [aux_sym_grant_statement_token1] = ACTIONS(1486),
    [aux_sym_revoke_statement_token1] = ACTIONS(1486),
    [aux_sym_export_data_statement_token1] = ACTIONS(1486),
    [aux_sym_load_data_statement_token1] = ACTIONS(1486),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym__quoted_identifier] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_SLASH] = ACTIONS(1486),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [anon_sym_LT_EQ] = ACTIONS(1484),
    [anon_sym_LT_GT] = ACTIONS(1484),
    [anon_sym_GT_EQ] = ACTIONS(1484),
    [anon_sym_BANG_EQ] = ACTIONS(1484),
    [anon_sym_LT_LT] = ACTIONS(1484),
    [anon_sym_GT_GT] = ACTIONS(1484),
    [anon_sym_AMP] = ACTIONS(1484),
    [anon_sym_CARET] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1486),
  },
  [3474] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3475] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3476] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3477] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3478] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3479] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3480] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3481] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3482] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3483] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3484] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3485] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3486] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3487] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3488] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3489] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3490] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3491] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3492] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3493] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3494] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3495] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3496] = {
    [sym__unquoted_identifier] = ACTIONS(1686),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1686),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1686),
    [aux_sym_keyword_replace_token1] = ACTIONS(1686),
    [aux_sym__keyword_alter_token1] = ACTIONS(1686),
    [aux_sym__keyword_delete_token1] = ACTIONS(1686),
    [aux_sym__keyword_begin_token1] = ACTIONS(1686),
    [aux_sym__keyword_end_token1] = ACTIONS(1686),
    [aux_sym__keyword_between_token1] = ACTIONS(1686),
    [aux_sym__keyword_else_token1] = ACTIONS(1686),
    [aux_sym__keyword_is_token1] = ACTIONS(1686),
    [aux_sym__keyword_in_token1] = ACTIONS(1686),
    [aux_sym__keyword_and_token1] = ACTIONS(1686),
    [aux_sym__keyword_like_token1] = ACTIONS(1686),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1686),
    [aux_sym__keyword_as_token1] = ACTIONS(1686),
    [aux_sym__keyword_date_token1] = ACTIONS(1686),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1686),
    [aux_sym__keyword_time_token1] = ACTIONS(1686),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1686),
    [aux_sym__keyword_for_token1] = ACTIONS(1686),
    [anon_sym_SEMI] = ACTIONS(1684),
    [aux_sym_declare_statement_token1] = ACTIONS(1686),
    [anon_sym_COMMA] = ACTIONS(1684),
    [aux_sym_set_statement_token1] = ACTIONS(1686),
    [anon_sym_LPAREN] = ACTIONS(1684),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1686),
    [aux_sym_return_satement_token1] = ACTIONS(1686),
    [aux_sym_call_statement_token1] = ACTIONS(1686),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1686),
    [aux_sym_if_statement_token1] = ACTIONS(1686),
    [aux_sym_loop_statement_token1] = ACTIONS(1686),
    [aux_sym_repeat_statement_token1] = ACTIONS(1686),
    [aux_sym_while_statement_token1] = ACTIONS(1686),
    [aux_sym_break_statement_token1] = ACTIONS(1686),
    [aux_sym_leave_statement_token1] = ACTIONS(1686),
    [aux_sym_continue_statement_token1] = ACTIONS(1686),
    [aux_sym_iterate_statement_token1] = ACTIONS(1686),
    [aux_sym_raise_statement_token1] = ACTIONS(1686),
    [anon_sym_EQ] = ACTIONS(1684),
    [aux_sym_assert_statement_token1] = ACTIONS(1686),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1686),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1686),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1686),
    [anon_sym_LT] = ACTIONS(1686),
    [anon_sym_GT] = ACTIONS(1686),
    [aux_sym_select_token1] = ACTIONS(1686),
    [aux_sym_insert_statement_token1] = ACTIONS(1686),
    [aux_sym_truncate_statement_token1] = ACTIONS(1686),
    [aux_sym_update_statement_token1] = ACTIONS(1686),
    [aux_sym_merge_statement_token1] = ACTIONS(1686),
    [aux_sym_grant_statement_token1] = ACTIONS(1686),
    [aux_sym_revoke_statement_token1] = ACTIONS(1686),
    [aux_sym_export_data_statement_token1] = ACTIONS(1686),
    [aux_sym_load_data_statement_token1] = ACTIONS(1686),
    [anon_sym_LBRACK] = ACTIONS(1684),
    [sym__quoted_identifier] = ACTIONS(1684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1684),
    [anon_sym_PLUS] = ACTIONS(1684),
    [anon_sym_DASH] = ACTIONS(1686),
    [anon_sym_STAR] = ACTIONS(1684),
    [anon_sym_SLASH] = ACTIONS(1686),
    [anon_sym_PIPE_PIPE] = ACTIONS(1684),
    [anon_sym_LT_EQ] = ACTIONS(1684),
    [anon_sym_LT_GT] = ACTIONS(1684),
    [anon_sym_GT_EQ] = ACTIONS(1684),
    [anon_sym_BANG_EQ] = ACTIONS(1684),
    [anon_sym_LT_LT] = ACTIONS(1684),
    [anon_sym_GT_GT] = ACTIONS(1684),
    [anon_sym_AMP] = ACTIONS(1684),
    [anon_sym_CARET] = ACTIONS(1684),
    [anon_sym_PIPE] = ACTIONS(1686),
  },
  [3497] = {
    [sym__unquoted_identifier] = ACTIONS(1376),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1376),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1376),
    [aux_sym_keyword_replace_token1] = ACTIONS(1376),
    [aux_sym__keyword_alter_token1] = ACTIONS(1376),
    [aux_sym__keyword_delete_token1] = ACTIONS(1376),
    [aux_sym__keyword_begin_token1] = ACTIONS(1376),
    [aux_sym__keyword_end_token1] = ACTIONS(1376),
    [aux_sym__keyword_between_token1] = ACTIONS(1376),
    [aux_sym__keyword_else_token1] = ACTIONS(1376),
    [aux_sym__keyword_is_token1] = ACTIONS(1376),
    [aux_sym__keyword_in_token1] = ACTIONS(1376),
    [aux_sym__keyword_and_token1] = ACTIONS(1376),
    [aux_sym__keyword_like_token1] = ACTIONS(1376),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1376),
    [aux_sym__keyword_as_token1] = ACTIONS(1376),
    [aux_sym__keyword_date_token1] = ACTIONS(1376),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1376),
    [aux_sym__keyword_time_token1] = ACTIONS(1376),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1376),
    [aux_sym__keyword_for_token1] = ACTIONS(1376),
    [anon_sym_SEMI] = ACTIONS(1374),
    [aux_sym_declare_statement_token1] = ACTIONS(1376),
    [anon_sym_COMMA] = ACTIONS(1374),
    [aux_sym_set_statement_token1] = ACTIONS(1376),
    [anon_sym_LPAREN] = ACTIONS(1374),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1376),
    [aux_sym_return_satement_token1] = ACTIONS(1376),
    [aux_sym_call_statement_token1] = ACTIONS(1376),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1376),
    [aux_sym_if_statement_token1] = ACTIONS(1376),
    [aux_sym_loop_statement_token1] = ACTIONS(1376),
    [aux_sym_repeat_statement_token1] = ACTIONS(1376),
    [aux_sym_while_statement_token1] = ACTIONS(1376),
    [aux_sym_break_statement_token1] = ACTIONS(1376),
    [aux_sym_leave_statement_token1] = ACTIONS(1376),
    [aux_sym_continue_statement_token1] = ACTIONS(1376),
    [aux_sym_iterate_statement_token1] = ACTIONS(1376),
    [aux_sym_raise_statement_token1] = ACTIONS(1376),
    [anon_sym_EQ] = ACTIONS(1374),
    [aux_sym_assert_statement_token1] = ACTIONS(1376),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1376),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1376),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1376),
    [anon_sym_LT] = ACTIONS(1376),
    [anon_sym_GT] = ACTIONS(1376),
    [aux_sym_select_token1] = ACTIONS(1376),
    [aux_sym_insert_statement_token1] = ACTIONS(1376),
    [aux_sym_truncate_statement_token1] = ACTIONS(1376),
    [aux_sym_update_statement_token1] = ACTIONS(1376),
    [aux_sym_merge_statement_token1] = ACTIONS(1376),
    [aux_sym_grant_statement_token1] = ACTIONS(1376),
    [aux_sym_revoke_statement_token1] = ACTIONS(1376),
    [aux_sym_export_data_statement_token1] = ACTIONS(1376),
    [aux_sym_load_data_statement_token1] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(1374),
    [sym__quoted_identifier] = ACTIONS(1374),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_SLASH] = ACTIONS(1376),
    [anon_sym_PIPE_PIPE] = ACTIONS(1374),
    [anon_sym_LT_EQ] = ACTIONS(1374),
    [anon_sym_LT_GT] = ACTIONS(1374),
    [anon_sym_GT_EQ] = ACTIONS(1374),
    [anon_sym_BANG_EQ] = ACTIONS(1374),
    [anon_sym_LT_LT] = ACTIONS(1374),
    [anon_sym_GT_GT] = ACTIONS(1374),
    [anon_sym_AMP] = ACTIONS(1374),
    [anon_sym_CARET] = ACTIONS(1374),
    [anon_sym_PIPE] = ACTIONS(1376),
  },
  [3498] = {
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [3499] = {
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [3500] = {
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [3501] = {
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [3502] = {
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [3503] = {
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [3504] = {
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [3505] = {
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [3506] = {
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [3507] = {
    [sym__unquoted_identifier] = ACTIONS(1782),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1782),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1782),
    [aux_sym_keyword_replace_token1] = ACTIONS(1782),
    [aux_sym__keyword_alter_token1] = ACTIONS(1782),
    [aux_sym__keyword_delete_token1] = ACTIONS(1782),
    [aux_sym__keyword_begin_token1] = ACTIONS(1782),
    [aux_sym__keyword_end_token1] = ACTIONS(1782),
    [aux_sym__keyword_between_token1] = ACTIONS(1782),
    [aux_sym__keyword_else_token1] = ACTIONS(1782),
    [aux_sym__keyword_is_token1] = ACTIONS(1782),
    [aux_sym__keyword_in_token1] = ACTIONS(1782),
    [aux_sym__keyword_and_token1] = ACTIONS(1782),
    [aux_sym__keyword_like_token1] = ACTIONS(1782),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1782),
    [aux_sym__keyword_as_token1] = ACTIONS(1782),
    [aux_sym__keyword_date_token1] = ACTIONS(1782),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1782),
    [aux_sym__keyword_time_token1] = ACTIONS(1782),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1782),
    [aux_sym__keyword_for_token1] = ACTIONS(1782),
    [anon_sym_SEMI] = ACTIONS(1780),
    [aux_sym_declare_statement_token1] = ACTIONS(1782),
    [anon_sym_COMMA] = ACTIONS(1780),
    [aux_sym_set_statement_token1] = ACTIONS(1782),
    [anon_sym_LPAREN] = ACTIONS(1780),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1782),
    [aux_sym_return_satement_token1] = ACTIONS(1782),
    [aux_sym_call_statement_token1] = ACTIONS(1782),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1782),
    [aux_sym_if_statement_token1] = ACTIONS(1782),
    [aux_sym_loop_statement_token1] = ACTIONS(1782),
    [aux_sym_repeat_statement_token1] = ACTIONS(1782),
    [aux_sym_while_statement_token1] = ACTIONS(1782),
    [aux_sym_break_statement_token1] = ACTIONS(1782),
    [aux_sym_leave_statement_token1] = ACTIONS(1782),
    [aux_sym_continue_statement_token1] = ACTIONS(1782),
    [aux_sym_iterate_statement_token1] = ACTIONS(1782),
    [aux_sym_raise_statement_token1] = ACTIONS(1782),
    [anon_sym_EQ] = ACTIONS(1780),
    [aux_sym_assert_statement_token1] = ACTIONS(1782),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1782),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1782),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1782),
    [anon_sym_LT] = ACTIONS(1782),
    [anon_sym_GT] = ACTIONS(1782),
    [aux_sym_select_token1] = ACTIONS(1782),
    [aux_sym_insert_statement_token1] = ACTIONS(1782),
    [aux_sym_truncate_statement_token1] = ACTIONS(1782),
    [aux_sym_update_statement_token1] = ACTIONS(1782),
    [aux_sym_merge_statement_token1] = ACTIONS(1782),
    [aux_sym_grant_statement_token1] = ACTIONS(1782),
    [aux_sym_revoke_statement_token1] = ACTIONS(1782),
    [aux_sym_export_data_statement_token1] = ACTIONS(1782),
    [aux_sym_load_data_statement_token1] = ACTIONS(1782),
    [anon_sym_LBRACK] = ACTIONS(1780),
    [sym__quoted_identifier] = ACTIONS(1780),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_DASH] = ACTIONS(1782),
    [anon_sym_STAR] = ACTIONS(1780),
    [anon_sym_SLASH] = ACTIONS(1782),
    [anon_sym_PIPE_PIPE] = ACTIONS(1780),
    [anon_sym_LT_EQ] = ACTIONS(1780),
    [anon_sym_LT_GT] = ACTIONS(1780),
    [anon_sym_GT_EQ] = ACTIONS(1780),
    [anon_sym_BANG_EQ] = ACTIONS(1780),
    [anon_sym_LT_LT] = ACTIONS(1780),
    [anon_sym_GT_GT] = ACTIONS(1780),
    [anon_sym_AMP] = ACTIONS(1780),
    [anon_sym_CARET] = ACTIONS(1780),
    [anon_sym_PIPE] = ACTIONS(1782),
  },
  [3508] = {
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [3509] = {
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [3510] = {
    [sym__unquoted_identifier] = ACTIONS(1754),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1754),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1754),
    [aux_sym_keyword_replace_token1] = ACTIONS(1754),
    [aux_sym__keyword_alter_token1] = ACTIONS(1754),
    [aux_sym__keyword_delete_token1] = ACTIONS(1754),
    [aux_sym__keyword_begin_token1] = ACTIONS(1754),
    [aux_sym__keyword_end_token1] = ACTIONS(1754),
    [aux_sym__keyword_between_token1] = ACTIONS(1754),
    [aux_sym__keyword_else_token1] = ACTIONS(1754),
    [aux_sym__keyword_is_token1] = ACTIONS(1754),
    [aux_sym__keyword_in_token1] = ACTIONS(1754),
    [aux_sym__keyword_and_token1] = ACTIONS(1754),
    [aux_sym__keyword_like_token1] = ACTIONS(1754),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1754),
    [aux_sym__keyword_as_token1] = ACTIONS(1754),
    [aux_sym__keyword_date_token1] = ACTIONS(1754),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1754),
    [aux_sym__keyword_time_token1] = ACTIONS(1754),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1754),
    [aux_sym__keyword_for_token1] = ACTIONS(1754),
    [anon_sym_SEMI] = ACTIONS(1752),
    [aux_sym_declare_statement_token1] = ACTIONS(1754),
    [anon_sym_COMMA] = ACTIONS(1752),
    [aux_sym_set_statement_token1] = ACTIONS(1754),
    [anon_sym_LPAREN] = ACTIONS(1752),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1754),
    [aux_sym_return_satement_token1] = ACTIONS(1754),
    [aux_sym_call_statement_token1] = ACTIONS(1754),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1754),
    [aux_sym_if_statement_token1] = ACTIONS(1754),
    [aux_sym_loop_statement_token1] = ACTIONS(1754),
    [aux_sym_repeat_statement_token1] = ACTIONS(1754),
    [aux_sym_while_statement_token1] = ACTIONS(1754),
    [aux_sym_break_statement_token1] = ACTIONS(1754),
    [aux_sym_leave_statement_token1] = ACTIONS(1754),
    [aux_sym_continue_statement_token1] = ACTIONS(1754),
    [aux_sym_iterate_statement_token1] = ACTIONS(1754),
    [aux_sym_raise_statement_token1] = ACTIONS(1754),
    [anon_sym_EQ] = ACTIONS(1752),
    [aux_sym_assert_statement_token1] = ACTIONS(1754),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1754),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1754),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1754),
    [anon_sym_LT] = ACTIONS(1754),
    [anon_sym_GT] = ACTIONS(1754),
    [aux_sym_select_token1] = ACTIONS(1754),
    [aux_sym_insert_statement_token1] = ACTIONS(1754),
    [aux_sym_truncate_statement_token1] = ACTIONS(1754),
    [aux_sym_update_statement_token1] = ACTIONS(1754),
    [aux_sym_merge_statement_token1] = ACTIONS(1754),
    [aux_sym_grant_statement_token1] = ACTIONS(1754),
    [aux_sym_revoke_statement_token1] = ACTIONS(1754),
    [aux_sym_export_data_statement_token1] = ACTIONS(1754),
    [aux_sym_load_data_statement_token1] = ACTIONS(1754),
    [anon_sym_LBRACK] = ACTIONS(1752),
    [sym__quoted_identifier] = ACTIONS(1752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_DASH] = ACTIONS(1754),
    [anon_sym_STAR] = ACTIONS(1752),
    [anon_sym_SLASH] = ACTIONS(1754),
    [anon_sym_PIPE_PIPE] = ACTIONS(1752),
    [anon_sym_LT_EQ] = ACTIONS(1752),
    [anon_sym_LT_GT] = ACTIONS(1752),
    [anon_sym_GT_EQ] = ACTIONS(1752),
    [anon_sym_BANG_EQ] = ACTIONS(1752),
    [anon_sym_LT_LT] = ACTIONS(1752),
    [anon_sym_GT_GT] = ACTIONS(1752),
    [anon_sym_AMP] = ACTIONS(1752),
    [anon_sym_CARET] = ACTIONS(1752),
    [anon_sym_PIPE] = ACTIONS(1754),
  },
  [3511] = {
    [sym__unquoted_identifier] = ACTIONS(1762),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1762),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1762),
    [aux_sym_keyword_replace_token1] = ACTIONS(1762),
    [aux_sym__keyword_alter_token1] = ACTIONS(1762),
    [aux_sym__keyword_delete_token1] = ACTIONS(1762),
    [aux_sym__keyword_begin_token1] = ACTIONS(1762),
    [aux_sym__keyword_end_token1] = ACTIONS(1762),
    [aux_sym__keyword_between_token1] = ACTIONS(1762),
    [aux_sym__keyword_else_token1] = ACTIONS(1762),
    [aux_sym__keyword_is_token1] = ACTIONS(1762),
    [aux_sym__keyword_in_token1] = ACTIONS(1762),
    [aux_sym__keyword_and_token1] = ACTIONS(1762),
    [aux_sym__keyword_like_token1] = ACTIONS(1762),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1762),
    [aux_sym__keyword_as_token1] = ACTIONS(1762),
    [aux_sym__keyword_date_token1] = ACTIONS(1762),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1762),
    [aux_sym__keyword_time_token1] = ACTIONS(1762),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1762),
    [aux_sym__keyword_for_token1] = ACTIONS(1762),
    [anon_sym_SEMI] = ACTIONS(1760),
    [aux_sym_declare_statement_token1] = ACTIONS(1762),
    [anon_sym_COMMA] = ACTIONS(1760),
    [aux_sym_set_statement_token1] = ACTIONS(1762),
    [anon_sym_LPAREN] = ACTIONS(1760),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1762),
    [aux_sym_return_satement_token1] = ACTIONS(1762),
    [aux_sym_call_statement_token1] = ACTIONS(1762),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1762),
    [aux_sym_if_statement_token1] = ACTIONS(1762),
    [aux_sym_loop_statement_token1] = ACTIONS(1762),
    [aux_sym_repeat_statement_token1] = ACTIONS(1762),
    [aux_sym_while_statement_token1] = ACTIONS(1762),
    [aux_sym_break_statement_token1] = ACTIONS(1762),
    [aux_sym_leave_statement_token1] = ACTIONS(1762),
    [aux_sym_continue_statement_token1] = ACTIONS(1762),
    [aux_sym_iterate_statement_token1] = ACTIONS(1762),
    [aux_sym_raise_statement_token1] = ACTIONS(1762),
    [anon_sym_EQ] = ACTIONS(1760),
    [aux_sym_assert_statement_token1] = ACTIONS(1762),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1762),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1762),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1762),
    [anon_sym_LT] = ACTIONS(1762),
    [anon_sym_GT] = ACTIONS(1762),
    [aux_sym_select_token1] = ACTIONS(1762),
    [aux_sym_insert_statement_token1] = ACTIONS(1762),
    [aux_sym_truncate_statement_token1] = ACTIONS(1762),
    [aux_sym_update_statement_token1] = ACTIONS(1762),
    [aux_sym_merge_statement_token1] = ACTIONS(1762),
    [aux_sym_grant_statement_token1] = ACTIONS(1762),
    [aux_sym_revoke_statement_token1] = ACTIONS(1762),
    [aux_sym_export_data_statement_token1] = ACTIONS(1762),
    [aux_sym_load_data_statement_token1] = ACTIONS(1762),
    [anon_sym_LBRACK] = ACTIONS(1760),
    [sym__quoted_identifier] = ACTIONS(1760),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1760),
    [anon_sym_PLUS] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1762),
    [anon_sym_STAR] = ACTIONS(1760),
    [anon_sym_SLASH] = ACTIONS(1762),
    [anon_sym_PIPE_PIPE] = ACTIONS(1760),
    [anon_sym_LT_EQ] = ACTIONS(1760),
    [anon_sym_LT_GT] = ACTIONS(1760),
    [anon_sym_GT_EQ] = ACTIONS(1760),
    [anon_sym_BANG_EQ] = ACTIONS(1760),
    [anon_sym_LT_LT] = ACTIONS(1760),
    [anon_sym_GT_GT] = ACTIONS(1760),
    [anon_sym_AMP] = ACTIONS(1760),
    [anon_sym_CARET] = ACTIONS(1760),
    [anon_sym_PIPE] = ACTIONS(1762),
  },
  [3512] = {
    [sym__unquoted_identifier] = ACTIONS(1758),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1758),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1758),
    [aux_sym_keyword_replace_token1] = ACTIONS(1758),
    [aux_sym__keyword_alter_token1] = ACTIONS(1758),
    [aux_sym__keyword_delete_token1] = ACTIONS(1758),
    [aux_sym__keyword_begin_token1] = ACTIONS(1758),
    [aux_sym__keyword_end_token1] = ACTIONS(1758),
    [aux_sym__keyword_between_token1] = ACTIONS(1758),
    [aux_sym__keyword_else_token1] = ACTIONS(1758),
    [aux_sym__keyword_is_token1] = ACTIONS(1758),
    [aux_sym__keyword_in_token1] = ACTIONS(1758),
    [aux_sym__keyword_and_token1] = ACTIONS(1758),
    [aux_sym__keyword_like_token1] = ACTIONS(1758),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1758),
    [aux_sym__keyword_as_token1] = ACTIONS(1758),
    [aux_sym__keyword_date_token1] = ACTIONS(1758),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1758),
    [aux_sym__keyword_time_token1] = ACTIONS(1758),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1758),
    [aux_sym__keyword_for_token1] = ACTIONS(1758),
    [anon_sym_SEMI] = ACTIONS(1756),
    [aux_sym_declare_statement_token1] = ACTIONS(1758),
    [anon_sym_COMMA] = ACTIONS(1756),
    [aux_sym_set_statement_token1] = ACTIONS(1758),
    [anon_sym_LPAREN] = ACTIONS(1756),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1758),
    [aux_sym_return_satement_token1] = ACTIONS(1758),
    [aux_sym_call_statement_token1] = ACTIONS(1758),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1758),
    [aux_sym_if_statement_token1] = ACTIONS(1758),
    [aux_sym_loop_statement_token1] = ACTIONS(1758),
    [aux_sym_repeat_statement_token1] = ACTIONS(1758),
    [aux_sym_while_statement_token1] = ACTIONS(1758),
    [aux_sym_break_statement_token1] = ACTIONS(1758),
    [aux_sym_leave_statement_token1] = ACTIONS(1758),
    [aux_sym_continue_statement_token1] = ACTIONS(1758),
    [aux_sym_iterate_statement_token1] = ACTIONS(1758),
    [aux_sym_raise_statement_token1] = ACTIONS(1758),
    [anon_sym_EQ] = ACTIONS(1756),
    [aux_sym_assert_statement_token1] = ACTIONS(1758),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1758),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1758),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1758),
    [anon_sym_LT] = ACTIONS(1758),
    [anon_sym_GT] = ACTIONS(1758),
    [aux_sym_select_token1] = ACTIONS(1758),
    [aux_sym_insert_statement_token1] = ACTIONS(1758),
    [aux_sym_truncate_statement_token1] = ACTIONS(1758),
    [aux_sym_update_statement_token1] = ACTIONS(1758),
    [aux_sym_merge_statement_token1] = ACTIONS(1758),
    [aux_sym_grant_statement_token1] = ACTIONS(1758),
    [aux_sym_revoke_statement_token1] = ACTIONS(1758),
    [aux_sym_export_data_statement_token1] = ACTIONS(1758),
    [aux_sym_load_data_statement_token1] = ACTIONS(1758),
    [anon_sym_LBRACK] = ACTIONS(1756),
    [sym__quoted_identifier] = ACTIONS(1756),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1756),
    [anon_sym_PLUS] = ACTIONS(1756),
    [anon_sym_DASH] = ACTIONS(1758),
    [anon_sym_STAR] = ACTIONS(1756),
    [anon_sym_SLASH] = ACTIONS(1758),
    [anon_sym_PIPE_PIPE] = ACTIONS(1756),
    [anon_sym_LT_EQ] = ACTIONS(1756),
    [anon_sym_LT_GT] = ACTIONS(1756),
    [anon_sym_GT_EQ] = ACTIONS(1756),
    [anon_sym_BANG_EQ] = ACTIONS(1756),
    [anon_sym_LT_LT] = ACTIONS(1756),
    [anon_sym_GT_GT] = ACTIONS(1756),
    [anon_sym_AMP] = ACTIONS(1756),
    [anon_sym_CARET] = ACTIONS(1756),
    [anon_sym_PIPE] = ACTIONS(1758),
  },
  [3513] = {
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [3514] = {
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [3515] = {
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [3516] = {
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [3517] = {
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [3518] = {
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [3519] = {
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [3520] = {
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [3521] = {
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [3522] = {
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [3523] = {
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [3524] = {
    [sym__unquoted_identifier] = ACTIONS(1468),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1468),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1468),
    [aux_sym_keyword_replace_token1] = ACTIONS(1468),
    [aux_sym__keyword_alter_token1] = ACTIONS(1468),
    [aux_sym__keyword_delete_token1] = ACTIONS(1468),
    [aux_sym__keyword_begin_token1] = ACTIONS(1468),
    [aux_sym__keyword_end_token1] = ACTIONS(1468),
    [aux_sym__keyword_between_token1] = ACTIONS(1468),
    [aux_sym__keyword_else_token1] = ACTIONS(1468),
    [aux_sym__keyword_is_token1] = ACTIONS(1468),
    [aux_sym__keyword_in_token1] = ACTIONS(1468),
    [aux_sym__keyword_and_token1] = ACTIONS(1468),
    [aux_sym__keyword_like_token1] = ACTIONS(1468),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1468),
    [aux_sym__keyword_as_token1] = ACTIONS(1468),
    [aux_sym__keyword_date_token1] = ACTIONS(1468),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1468),
    [aux_sym__keyword_time_token1] = ACTIONS(1468),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1468),
    [aux_sym__keyword_for_token1] = ACTIONS(1468),
    [anon_sym_SEMI] = ACTIONS(1466),
    [aux_sym_declare_statement_token1] = ACTIONS(1468),
    [anon_sym_COMMA] = ACTIONS(1466),
    [aux_sym_set_statement_token1] = ACTIONS(1468),
    [anon_sym_LPAREN] = ACTIONS(1466),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1468),
    [aux_sym_return_satement_token1] = ACTIONS(1468),
    [aux_sym_call_statement_token1] = ACTIONS(1468),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1468),
    [aux_sym_if_statement_token1] = ACTIONS(1468),
    [aux_sym_loop_statement_token1] = ACTIONS(1468),
    [aux_sym_repeat_statement_token1] = ACTIONS(1468),
    [aux_sym_while_statement_token1] = ACTIONS(1468),
    [aux_sym_break_statement_token1] = ACTIONS(1468),
    [aux_sym_leave_statement_token1] = ACTIONS(1468),
    [aux_sym_continue_statement_token1] = ACTIONS(1468),
    [aux_sym_iterate_statement_token1] = ACTIONS(1468),
    [aux_sym_raise_statement_token1] = ACTIONS(1468),
    [anon_sym_EQ] = ACTIONS(1466),
    [aux_sym_assert_statement_token1] = ACTIONS(1468),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1468),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1468),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1468),
    [anon_sym_LT] = ACTIONS(1468),
    [anon_sym_GT] = ACTIONS(1468),
    [aux_sym_select_token1] = ACTIONS(1468),
    [aux_sym_insert_statement_token1] = ACTIONS(1468),
    [aux_sym_truncate_statement_token1] = ACTIONS(1468),
    [aux_sym_update_statement_token1] = ACTIONS(1468),
    [aux_sym_merge_statement_token1] = ACTIONS(1468),
    [aux_sym_grant_statement_token1] = ACTIONS(1468),
    [aux_sym_revoke_statement_token1] = ACTIONS(1468),
    [aux_sym_export_data_statement_token1] = ACTIONS(1468),
    [aux_sym_load_data_statement_token1] = ACTIONS(1468),
    [anon_sym_LBRACK] = ACTIONS(1466),
    [sym__quoted_identifier] = ACTIONS(1466),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_STAR] = ACTIONS(1466),
    [anon_sym_SLASH] = ACTIONS(1468),
    [anon_sym_PIPE_PIPE] = ACTIONS(1466),
    [anon_sym_LT_EQ] = ACTIONS(1466),
    [anon_sym_LT_GT] = ACTIONS(1466),
    [anon_sym_GT_EQ] = ACTIONS(1466),
    [anon_sym_BANG_EQ] = ACTIONS(1466),
    [anon_sym_LT_LT] = ACTIONS(1466),
    [anon_sym_GT_GT] = ACTIONS(1466),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_CARET] = ACTIONS(1466),
    [anon_sym_PIPE] = ACTIONS(1468),
  },
  [3525] = {
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [3526] = {
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [3527] = {
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [3528] = {
    [sym__unquoted_identifier] = ACTIONS(1774),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1774),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1774),
    [aux_sym_keyword_replace_token1] = ACTIONS(1774),
    [aux_sym__keyword_alter_token1] = ACTIONS(1774),
    [aux_sym__keyword_delete_token1] = ACTIONS(1774),
    [aux_sym__keyword_begin_token1] = ACTIONS(1774),
    [aux_sym__keyword_end_token1] = ACTIONS(1774),
    [aux_sym__keyword_between_token1] = ACTIONS(1774),
    [aux_sym__keyword_else_token1] = ACTIONS(1774),
    [aux_sym__keyword_is_token1] = ACTIONS(1774),
    [aux_sym__keyword_in_token1] = ACTIONS(1774),
    [aux_sym__keyword_and_token1] = ACTIONS(1774),
    [aux_sym__keyword_like_token1] = ACTIONS(1774),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1774),
    [aux_sym__keyword_as_token1] = ACTIONS(1774),
    [aux_sym__keyword_date_token1] = ACTIONS(1774),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1774),
    [aux_sym__keyword_time_token1] = ACTIONS(1774),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1774),
    [aux_sym__keyword_for_token1] = ACTIONS(1774),
    [anon_sym_SEMI] = ACTIONS(1772),
    [aux_sym_declare_statement_token1] = ACTIONS(1774),
    [anon_sym_COMMA] = ACTIONS(1772),
    [aux_sym_set_statement_token1] = ACTIONS(1774),
    [anon_sym_LPAREN] = ACTIONS(1772),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1774),
    [aux_sym_return_satement_token1] = ACTIONS(1774),
    [aux_sym_call_statement_token1] = ACTIONS(1774),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1774),
    [aux_sym_if_statement_token1] = ACTIONS(1774),
    [aux_sym_loop_statement_token1] = ACTIONS(1774),
    [aux_sym_repeat_statement_token1] = ACTIONS(1774),
    [aux_sym_while_statement_token1] = ACTIONS(1774),
    [aux_sym_break_statement_token1] = ACTIONS(1774),
    [aux_sym_leave_statement_token1] = ACTIONS(1774),
    [aux_sym_continue_statement_token1] = ACTIONS(1774),
    [aux_sym_iterate_statement_token1] = ACTIONS(1774),
    [aux_sym_raise_statement_token1] = ACTIONS(1774),
    [anon_sym_EQ] = ACTIONS(1772),
    [aux_sym_assert_statement_token1] = ACTIONS(1774),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1774),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1774),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1774),
    [anon_sym_LT] = ACTIONS(1774),
    [anon_sym_GT] = ACTIONS(1774),
    [aux_sym_select_token1] = ACTIONS(1774),
    [aux_sym_insert_statement_token1] = ACTIONS(1774),
    [aux_sym_truncate_statement_token1] = ACTIONS(1774),
    [aux_sym_update_statement_token1] = ACTIONS(1774),
    [aux_sym_merge_statement_token1] = ACTIONS(1774),
    [aux_sym_grant_statement_token1] = ACTIONS(1774),
    [aux_sym_revoke_statement_token1] = ACTIONS(1774),
    [aux_sym_export_data_statement_token1] = ACTIONS(1774),
    [aux_sym_load_data_statement_token1] = ACTIONS(1774),
    [anon_sym_LBRACK] = ACTIONS(1772),
    [sym__quoted_identifier] = ACTIONS(1772),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1772),
    [anon_sym_PLUS] = ACTIONS(1772),
    [anon_sym_DASH] = ACTIONS(1774),
    [anon_sym_STAR] = ACTIONS(1772),
    [anon_sym_SLASH] = ACTIONS(1774),
    [anon_sym_PIPE_PIPE] = ACTIONS(1772),
    [anon_sym_LT_EQ] = ACTIONS(1772),
    [anon_sym_LT_GT] = ACTIONS(1772),
    [anon_sym_GT_EQ] = ACTIONS(1772),
    [anon_sym_BANG_EQ] = ACTIONS(1772),
    [anon_sym_LT_LT] = ACTIONS(1772),
    [anon_sym_GT_GT] = ACTIONS(1772),
    [anon_sym_AMP] = ACTIONS(1772),
    [anon_sym_CARET] = ACTIONS(1772),
    [anon_sym_PIPE] = ACTIONS(1774),
  },
  [3529] = {
    [sym__unquoted_identifier] = ACTIONS(1750),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1750),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1750),
    [aux_sym_keyword_replace_token1] = ACTIONS(1750),
    [aux_sym__keyword_alter_token1] = ACTIONS(1750),
    [aux_sym__keyword_delete_token1] = ACTIONS(1750),
    [aux_sym__keyword_begin_token1] = ACTIONS(1750),
    [aux_sym__keyword_end_token1] = ACTIONS(1750),
    [aux_sym__keyword_between_token1] = ACTIONS(1750),
    [aux_sym__keyword_else_token1] = ACTIONS(1750),
    [aux_sym__keyword_is_token1] = ACTIONS(1750),
    [aux_sym__keyword_in_token1] = ACTIONS(1750),
    [aux_sym__keyword_and_token1] = ACTIONS(1750),
    [aux_sym__keyword_like_token1] = ACTIONS(1750),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1750),
    [aux_sym__keyword_as_token1] = ACTIONS(1750),
    [aux_sym__keyword_date_token1] = ACTIONS(1750),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1750),
    [aux_sym__keyword_time_token1] = ACTIONS(1750),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1750),
    [aux_sym__keyword_for_token1] = ACTIONS(1750),
    [anon_sym_SEMI] = ACTIONS(1748),
    [aux_sym_declare_statement_token1] = ACTIONS(1750),
    [anon_sym_COMMA] = ACTIONS(1748),
    [aux_sym_set_statement_token1] = ACTIONS(1750),
    [anon_sym_LPAREN] = ACTIONS(1748),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1750),
    [aux_sym_return_satement_token1] = ACTIONS(1750),
    [aux_sym_call_statement_token1] = ACTIONS(1750),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1750),
    [aux_sym_if_statement_token1] = ACTIONS(1750),
    [aux_sym_loop_statement_token1] = ACTIONS(1750),
    [aux_sym_repeat_statement_token1] = ACTIONS(1750),
    [aux_sym_while_statement_token1] = ACTIONS(1750),
    [aux_sym_break_statement_token1] = ACTIONS(1750),
    [aux_sym_leave_statement_token1] = ACTIONS(1750),
    [aux_sym_continue_statement_token1] = ACTIONS(1750),
    [aux_sym_iterate_statement_token1] = ACTIONS(1750),
    [aux_sym_raise_statement_token1] = ACTIONS(1750),
    [anon_sym_EQ] = ACTIONS(1748),
    [aux_sym_assert_statement_token1] = ACTIONS(1750),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1750),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1750),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1750),
    [anon_sym_LT] = ACTIONS(1750),
    [anon_sym_GT] = ACTIONS(1750),
    [aux_sym_select_token1] = ACTIONS(1750),
    [aux_sym_insert_statement_token1] = ACTIONS(1750),
    [aux_sym_truncate_statement_token1] = ACTIONS(1750),
    [aux_sym_update_statement_token1] = ACTIONS(1750),
    [aux_sym_merge_statement_token1] = ACTIONS(1750),
    [aux_sym_grant_statement_token1] = ACTIONS(1750),
    [aux_sym_revoke_statement_token1] = ACTIONS(1750),
    [aux_sym_export_data_statement_token1] = ACTIONS(1750),
    [aux_sym_load_data_statement_token1] = ACTIONS(1750),
    [anon_sym_LBRACK] = ACTIONS(1748),
    [sym__quoted_identifier] = ACTIONS(1748),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1748),
    [anon_sym_PLUS] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1750),
    [anon_sym_STAR] = ACTIONS(1748),
    [anon_sym_SLASH] = ACTIONS(1750),
    [anon_sym_PIPE_PIPE] = ACTIONS(1748),
    [anon_sym_LT_EQ] = ACTIONS(1748),
    [anon_sym_LT_GT] = ACTIONS(1748),
    [anon_sym_GT_EQ] = ACTIONS(1748),
    [anon_sym_BANG_EQ] = ACTIONS(1748),
    [anon_sym_LT_LT] = ACTIONS(1748),
    [anon_sym_GT_GT] = ACTIONS(1748),
    [anon_sym_AMP] = ACTIONS(1748),
    [anon_sym_CARET] = ACTIONS(1748),
    [anon_sym_PIPE] = ACTIONS(1750),
  },
  [3530] = {
    [sym__unquoted_identifier] = ACTIONS(1746),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1746),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1746),
    [aux_sym_keyword_replace_token1] = ACTIONS(1746),
    [aux_sym__keyword_alter_token1] = ACTIONS(1746),
    [aux_sym__keyword_delete_token1] = ACTIONS(1746),
    [aux_sym__keyword_begin_token1] = ACTIONS(1746),
    [aux_sym__keyword_end_token1] = ACTIONS(1746),
    [aux_sym__keyword_between_token1] = ACTIONS(1746),
    [aux_sym__keyword_else_token1] = ACTIONS(1746),
    [aux_sym__keyword_is_token1] = ACTIONS(1746),
    [aux_sym__keyword_in_token1] = ACTIONS(1746),
    [aux_sym__keyword_and_token1] = ACTIONS(1746),
    [aux_sym__keyword_like_token1] = ACTIONS(1746),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1746),
    [aux_sym__keyword_as_token1] = ACTIONS(1746),
    [aux_sym__keyword_date_token1] = ACTIONS(1746),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1746),
    [aux_sym__keyword_time_token1] = ACTIONS(1746),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1746),
    [aux_sym__keyword_for_token1] = ACTIONS(1746),
    [anon_sym_SEMI] = ACTIONS(1744),
    [aux_sym_declare_statement_token1] = ACTIONS(1746),
    [anon_sym_COMMA] = ACTIONS(1744),
    [aux_sym_set_statement_token1] = ACTIONS(1746),
    [anon_sym_LPAREN] = ACTIONS(1744),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1746),
    [aux_sym_return_satement_token1] = ACTIONS(1746),
    [aux_sym_call_statement_token1] = ACTIONS(1746),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1746),
    [aux_sym_if_statement_token1] = ACTIONS(1746),
    [aux_sym_loop_statement_token1] = ACTIONS(1746),
    [aux_sym_repeat_statement_token1] = ACTIONS(1746),
    [aux_sym_while_statement_token1] = ACTIONS(1746),
    [aux_sym_break_statement_token1] = ACTIONS(1746),
    [aux_sym_leave_statement_token1] = ACTIONS(1746),
    [aux_sym_continue_statement_token1] = ACTIONS(1746),
    [aux_sym_iterate_statement_token1] = ACTIONS(1746),
    [aux_sym_raise_statement_token1] = ACTIONS(1746),
    [anon_sym_EQ] = ACTIONS(1744),
    [aux_sym_assert_statement_token1] = ACTIONS(1746),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1746),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1746),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1746),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1746),
    [aux_sym_select_token1] = ACTIONS(1746),
    [aux_sym_insert_statement_token1] = ACTIONS(1746),
    [aux_sym_truncate_statement_token1] = ACTIONS(1746),
    [aux_sym_update_statement_token1] = ACTIONS(1746),
    [aux_sym_merge_statement_token1] = ACTIONS(1746),
    [aux_sym_grant_statement_token1] = ACTIONS(1746),
    [aux_sym_revoke_statement_token1] = ACTIONS(1746),
    [aux_sym_export_data_statement_token1] = ACTIONS(1746),
    [aux_sym_load_data_statement_token1] = ACTIONS(1746),
    [anon_sym_LBRACK] = ACTIONS(1744),
    [sym__quoted_identifier] = ACTIONS(1744),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1744),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_STAR] = ACTIONS(1744),
    [anon_sym_SLASH] = ACTIONS(1746),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_LT_GT] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1744),
    [anon_sym_GT_GT] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1746),
  },
  [3531] = {
    [sym__unquoted_identifier] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1448),
    [aux_sym_keyword_replace_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1448),
    [aux_sym__keyword_delete_token1] = ACTIONS(1448),
    [aux_sym__keyword_begin_token1] = ACTIONS(1448),
    [aux_sym__keyword_end_token1] = ACTIONS(1448),
    [aux_sym__keyword_between_token1] = ACTIONS(1448),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1448),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1448),
    [aux_sym__keyword_like_token1] = ACTIONS(1448),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1448),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_date_token1] = ACTIONS(1448),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1448),
    [aux_sym__keyword_time_token1] = ACTIONS(1448),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1448),
    [aux_sym_return_satement_token1] = ACTIONS(1448),
    [aux_sym_call_statement_token1] = ACTIONS(1448),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1448),
    [aux_sym_if_statement_token1] = ACTIONS(1448),
    [aux_sym_loop_statement_token1] = ACTIONS(1448),
    [aux_sym_repeat_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [aux_sym_leave_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_iterate_statement_token1] = ACTIONS(1448),
    [aux_sym_raise_statement_token1] = ACTIONS(1448),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1448),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1448),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1448),
    [aux_sym_insert_statement_token1] = ACTIONS(1448),
    [aux_sym_truncate_statement_token1] = ACTIONS(1448),
    [aux_sym_update_statement_token1] = ACTIONS(1448),
    [aux_sym_merge_statement_token1] = ACTIONS(1448),
    [aux_sym_grant_statement_token1] = ACTIONS(1448),
    [aux_sym_revoke_statement_token1] = ACTIONS(1448),
    [aux_sym_export_data_statement_token1] = ACTIONS(1448),
    [aux_sym_load_data_statement_token1] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym__quoted_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [3532] = {
    [sym__unquoted_identifier] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1448),
    [aux_sym_keyword_replace_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1448),
    [aux_sym__keyword_delete_token1] = ACTIONS(1448),
    [aux_sym__keyword_begin_token1] = ACTIONS(1448),
    [aux_sym__keyword_end_token1] = ACTIONS(1448),
    [aux_sym__keyword_between_token1] = ACTIONS(1448),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1448),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1448),
    [aux_sym__keyword_like_token1] = ACTIONS(1448),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1448),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_date_token1] = ACTIONS(1448),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1448),
    [aux_sym__keyword_time_token1] = ACTIONS(1448),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1448),
    [aux_sym_return_satement_token1] = ACTIONS(1448),
    [aux_sym_call_statement_token1] = ACTIONS(1448),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1448),
    [aux_sym_if_statement_token1] = ACTIONS(1448),
    [aux_sym_loop_statement_token1] = ACTIONS(1448),
    [aux_sym_repeat_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [aux_sym_leave_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_iterate_statement_token1] = ACTIONS(1448),
    [aux_sym_raise_statement_token1] = ACTIONS(1448),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1448),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1448),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1448),
    [aux_sym_insert_statement_token1] = ACTIONS(1448),
    [aux_sym_truncate_statement_token1] = ACTIONS(1448),
    [aux_sym_update_statement_token1] = ACTIONS(1448),
    [aux_sym_merge_statement_token1] = ACTIONS(1448),
    [aux_sym_grant_statement_token1] = ACTIONS(1448),
    [aux_sym_revoke_statement_token1] = ACTIONS(1448),
    [aux_sym_export_data_statement_token1] = ACTIONS(1448),
    [aux_sym_load_data_statement_token1] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym__quoted_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [3533] = {
    [sym__unquoted_identifier] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1448),
    [aux_sym_keyword_replace_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1448),
    [aux_sym__keyword_delete_token1] = ACTIONS(1448),
    [aux_sym__keyword_begin_token1] = ACTIONS(1448),
    [aux_sym__keyword_end_token1] = ACTIONS(1448),
    [aux_sym__keyword_between_token1] = ACTIONS(1448),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1448),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1448),
    [aux_sym__keyword_like_token1] = ACTIONS(1448),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1448),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_date_token1] = ACTIONS(1448),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1448),
    [aux_sym__keyword_time_token1] = ACTIONS(1448),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1448),
    [aux_sym_return_satement_token1] = ACTIONS(1448),
    [aux_sym_call_statement_token1] = ACTIONS(1448),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1448),
    [aux_sym_if_statement_token1] = ACTIONS(1448),
    [aux_sym_loop_statement_token1] = ACTIONS(1448),
    [aux_sym_repeat_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [aux_sym_leave_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_iterate_statement_token1] = ACTIONS(1448),
    [aux_sym_raise_statement_token1] = ACTIONS(1448),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1448),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1448),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1448),
    [aux_sym_insert_statement_token1] = ACTIONS(1448),
    [aux_sym_truncate_statement_token1] = ACTIONS(1448),
    [aux_sym_update_statement_token1] = ACTIONS(1448),
    [aux_sym_merge_statement_token1] = ACTIONS(1448),
    [aux_sym_grant_statement_token1] = ACTIONS(1448),
    [aux_sym_revoke_statement_token1] = ACTIONS(1448),
    [aux_sym_export_data_statement_token1] = ACTIONS(1448),
    [aux_sym_load_data_statement_token1] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym__quoted_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [3534] = {
    [sym__unquoted_identifier] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1448),
    [aux_sym_keyword_replace_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1448),
    [aux_sym__keyword_delete_token1] = ACTIONS(1448),
    [aux_sym__keyword_begin_token1] = ACTIONS(1448),
    [aux_sym__keyword_end_token1] = ACTIONS(1448),
    [aux_sym__keyword_between_token1] = ACTIONS(1448),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1448),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1448),
    [aux_sym__keyword_like_token1] = ACTIONS(1448),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1448),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_date_token1] = ACTIONS(1448),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1448),
    [aux_sym__keyword_time_token1] = ACTIONS(1448),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1448),
    [aux_sym_return_satement_token1] = ACTIONS(1448),
    [aux_sym_call_statement_token1] = ACTIONS(1448),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1448),
    [aux_sym_if_statement_token1] = ACTIONS(1448),
    [aux_sym_loop_statement_token1] = ACTIONS(1448),
    [aux_sym_repeat_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [aux_sym_leave_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_iterate_statement_token1] = ACTIONS(1448),
    [aux_sym_raise_statement_token1] = ACTIONS(1448),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1448),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1448),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1448),
    [aux_sym_insert_statement_token1] = ACTIONS(1448),
    [aux_sym_truncate_statement_token1] = ACTIONS(1448),
    [aux_sym_update_statement_token1] = ACTIONS(1448),
    [aux_sym_merge_statement_token1] = ACTIONS(1448),
    [aux_sym_grant_statement_token1] = ACTIONS(1448),
    [aux_sym_revoke_statement_token1] = ACTIONS(1448),
    [aux_sym_export_data_statement_token1] = ACTIONS(1448),
    [aux_sym_load_data_statement_token1] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym__quoted_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [3535] = {
    [sym__unquoted_identifier] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1448),
    [aux_sym_keyword_replace_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1448),
    [aux_sym__keyword_delete_token1] = ACTIONS(1448),
    [aux_sym__keyword_begin_token1] = ACTIONS(1448),
    [aux_sym__keyword_end_token1] = ACTIONS(1448),
    [aux_sym__keyword_between_token1] = ACTIONS(1448),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1448),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1448),
    [aux_sym__keyword_like_token1] = ACTIONS(1448),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1448),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_date_token1] = ACTIONS(1448),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1448),
    [aux_sym__keyword_time_token1] = ACTIONS(1448),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1448),
    [aux_sym_return_satement_token1] = ACTIONS(1448),
    [aux_sym_call_statement_token1] = ACTIONS(1448),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1448),
    [aux_sym_if_statement_token1] = ACTIONS(1448),
    [aux_sym_loop_statement_token1] = ACTIONS(1448),
    [aux_sym_repeat_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [aux_sym_leave_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_iterate_statement_token1] = ACTIONS(1448),
    [aux_sym_raise_statement_token1] = ACTIONS(1448),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1448),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1448),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1448),
    [aux_sym_insert_statement_token1] = ACTIONS(1448),
    [aux_sym_truncate_statement_token1] = ACTIONS(1448),
    [aux_sym_update_statement_token1] = ACTIONS(1448),
    [aux_sym_merge_statement_token1] = ACTIONS(1448),
    [aux_sym_grant_statement_token1] = ACTIONS(1448),
    [aux_sym_revoke_statement_token1] = ACTIONS(1448),
    [aux_sym_export_data_statement_token1] = ACTIONS(1448),
    [aux_sym_load_data_statement_token1] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym__quoted_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [3536] = {
    [sym__unquoted_identifier] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1448),
    [aux_sym_keyword_replace_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1448),
    [aux_sym__keyword_delete_token1] = ACTIONS(1448),
    [aux_sym__keyword_begin_token1] = ACTIONS(1448),
    [aux_sym__keyword_end_token1] = ACTIONS(1448),
    [aux_sym__keyword_between_token1] = ACTIONS(1448),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1448),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1448),
    [aux_sym__keyword_like_token1] = ACTIONS(1448),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1448),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_date_token1] = ACTIONS(1448),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1448),
    [aux_sym__keyword_time_token1] = ACTIONS(1448),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1448),
    [aux_sym_return_satement_token1] = ACTIONS(1448),
    [aux_sym_call_statement_token1] = ACTIONS(1448),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1448),
    [aux_sym_if_statement_token1] = ACTIONS(1448),
    [aux_sym_loop_statement_token1] = ACTIONS(1448),
    [aux_sym_repeat_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [aux_sym_leave_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_iterate_statement_token1] = ACTIONS(1448),
    [aux_sym_raise_statement_token1] = ACTIONS(1448),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1448),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1448),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1448),
    [aux_sym_insert_statement_token1] = ACTIONS(1448),
    [aux_sym_truncate_statement_token1] = ACTIONS(1448),
    [aux_sym_update_statement_token1] = ACTIONS(1448),
    [aux_sym_merge_statement_token1] = ACTIONS(1448),
    [aux_sym_grant_statement_token1] = ACTIONS(1448),
    [aux_sym_revoke_statement_token1] = ACTIONS(1448),
    [aux_sym_export_data_statement_token1] = ACTIONS(1448),
    [aux_sym_load_data_statement_token1] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym__quoted_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [3537] = {
    [sym__keyword_between] = STATE(1690),
    [sym__keyword_is] = STATE(12154),
    [sym__keyword_in] = STATE(1787),
    [sym__keyword_not] = STATE(13069),
    [sym__keyword_and] = STATE(1804),
    [sym__keyword_or] = STATE(1805),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [aux_sym_option_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3250),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_STAR] = ACTIONS(3254),
    [anon_sym_SLASH] = ACTIONS(3256),
    [anon_sym_PIPE_PIPE] = ACTIONS(3254),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(3258),
    [anon_sym_GT_GT] = ACTIONS(3258),
    [anon_sym_AMP] = ACTIONS(3260),
    [anon_sym_CARET] = ACTIONS(3262),
    [anon_sym_PIPE] = ACTIONS(3264),
  },
  [3538] = {
    [sym__unquoted_identifier] = ACTIONS(1742),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1742),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1742),
    [aux_sym_keyword_replace_token1] = ACTIONS(1742),
    [aux_sym__keyword_alter_token1] = ACTIONS(1742),
    [aux_sym__keyword_delete_token1] = ACTIONS(1742),
    [aux_sym__keyword_begin_token1] = ACTIONS(1742),
    [aux_sym__keyword_end_token1] = ACTIONS(1742),
    [aux_sym__keyword_between_token1] = ACTIONS(1742),
    [aux_sym__keyword_else_token1] = ACTIONS(1742),
    [aux_sym__keyword_is_token1] = ACTIONS(1742),
    [aux_sym__keyword_in_token1] = ACTIONS(1742),
    [aux_sym__keyword_and_token1] = ACTIONS(1742),
    [aux_sym__keyword_like_token1] = ACTIONS(1742),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1742),
    [aux_sym__keyword_as_token1] = ACTIONS(1742),
    [aux_sym__keyword_date_token1] = ACTIONS(1742),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1742),
    [aux_sym__keyword_time_token1] = ACTIONS(1742),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1742),
    [aux_sym__keyword_for_token1] = ACTIONS(1742),
    [anon_sym_SEMI] = ACTIONS(1740),
    [aux_sym_declare_statement_token1] = ACTIONS(1742),
    [anon_sym_COMMA] = ACTIONS(1740),
    [aux_sym_set_statement_token1] = ACTIONS(1742),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1742),
    [aux_sym_return_satement_token1] = ACTIONS(1742),
    [aux_sym_call_statement_token1] = ACTIONS(1742),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1742),
    [aux_sym_if_statement_token1] = ACTIONS(1742),
    [aux_sym_loop_statement_token1] = ACTIONS(1742),
    [aux_sym_repeat_statement_token1] = ACTIONS(1742),
    [aux_sym_while_statement_token1] = ACTIONS(1742),
    [aux_sym_break_statement_token1] = ACTIONS(1742),
    [aux_sym_leave_statement_token1] = ACTIONS(1742),
    [aux_sym_continue_statement_token1] = ACTIONS(1742),
    [aux_sym_iterate_statement_token1] = ACTIONS(1742),
    [aux_sym_raise_statement_token1] = ACTIONS(1742),
    [anon_sym_EQ] = ACTIONS(1740),
    [aux_sym_assert_statement_token1] = ACTIONS(1742),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1742),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1742),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1742),
    [anon_sym_LT] = ACTIONS(1742),
    [anon_sym_GT] = ACTIONS(1742),
    [aux_sym_select_token1] = ACTIONS(1742),
    [aux_sym_insert_statement_token1] = ACTIONS(1742),
    [aux_sym_truncate_statement_token1] = ACTIONS(1742),
    [aux_sym_update_statement_token1] = ACTIONS(1742),
    [aux_sym_merge_statement_token1] = ACTIONS(1742),
    [aux_sym_grant_statement_token1] = ACTIONS(1742),
    [aux_sym_revoke_statement_token1] = ACTIONS(1742),
    [aux_sym_export_data_statement_token1] = ACTIONS(1742),
    [aux_sym_load_data_statement_token1] = ACTIONS(1742),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [sym__quoted_identifier] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1740),
    [anon_sym_SLASH] = ACTIONS(1742),
    [anon_sym_PIPE_PIPE] = ACTIONS(1740),
    [anon_sym_LT_EQ] = ACTIONS(1740),
    [anon_sym_LT_GT] = ACTIONS(1740),
    [anon_sym_GT_EQ] = ACTIONS(1740),
    [anon_sym_BANG_EQ] = ACTIONS(1740),
    [anon_sym_LT_LT] = ACTIONS(1740),
    [anon_sym_GT_GT] = ACTIONS(1740),
    [anon_sym_AMP] = ACTIONS(1740),
    [anon_sym_CARET] = ACTIONS(1740),
    [anon_sym_PIPE] = ACTIONS(1742),
  },
  [3539] = {
    [sym__unquoted_identifier] = ACTIONS(1738),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1738),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1738),
    [aux_sym_keyword_replace_token1] = ACTIONS(1738),
    [aux_sym__keyword_alter_token1] = ACTIONS(1738),
    [aux_sym__keyword_delete_token1] = ACTIONS(1738),
    [aux_sym__keyword_begin_token1] = ACTIONS(1738),
    [aux_sym__keyword_end_token1] = ACTIONS(1738),
    [aux_sym__keyword_between_token1] = ACTIONS(1738),
    [aux_sym__keyword_else_token1] = ACTIONS(1738),
    [aux_sym__keyword_is_token1] = ACTIONS(1738),
    [aux_sym__keyword_in_token1] = ACTIONS(1738),
    [aux_sym__keyword_and_token1] = ACTIONS(1738),
    [aux_sym__keyword_like_token1] = ACTIONS(1738),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1738),
    [aux_sym__keyword_as_token1] = ACTIONS(1738),
    [aux_sym__keyword_date_token1] = ACTIONS(1738),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1738),
    [aux_sym__keyword_time_token1] = ACTIONS(1738),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1738),
    [aux_sym__keyword_for_token1] = ACTIONS(1738),
    [anon_sym_SEMI] = ACTIONS(1736),
    [aux_sym_declare_statement_token1] = ACTIONS(1738),
    [anon_sym_COMMA] = ACTIONS(1736),
    [aux_sym_set_statement_token1] = ACTIONS(1738),
    [anon_sym_LPAREN] = ACTIONS(1736),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1738),
    [aux_sym_return_satement_token1] = ACTIONS(1738),
    [aux_sym_call_statement_token1] = ACTIONS(1738),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1738),
    [aux_sym_if_statement_token1] = ACTIONS(1738),
    [aux_sym_loop_statement_token1] = ACTIONS(1738),
    [aux_sym_repeat_statement_token1] = ACTIONS(1738),
    [aux_sym_while_statement_token1] = ACTIONS(1738),
    [aux_sym_break_statement_token1] = ACTIONS(1738),
    [aux_sym_leave_statement_token1] = ACTIONS(1738),
    [aux_sym_continue_statement_token1] = ACTIONS(1738),
    [aux_sym_iterate_statement_token1] = ACTIONS(1738),
    [aux_sym_raise_statement_token1] = ACTIONS(1738),
    [anon_sym_EQ] = ACTIONS(1736),
    [aux_sym_assert_statement_token1] = ACTIONS(1738),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1738),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1738),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1738),
    [anon_sym_LT] = ACTIONS(1738),
    [anon_sym_GT] = ACTIONS(1738),
    [aux_sym_select_token1] = ACTIONS(1738),
    [aux_sym_insert_statement_token1] = ACTIONS(1738),
    [aux_sym_truncate_statement_token1] = ACTIONS(1738),
    [aux_sym_update_statement_token1] = ACTIONS(1738),
    [aux_sym_merge_statement_token1] = ACTIONS(1738),
    [aux_sym_grant_statement_token1] = ACTIONS(1738),
    [aux_sym_revoke_statement_token1] = ACTIONS(1738),
    [aux_sym_export_data_statement_token1] = ACTIONS(1738),
    [aux_sym_load_data_statement_token1] = ACTIONS(1738),
    [anon_sym_LBRACK] = ACTIONS(1736),
    [sym__quoted_identifier] = ACTIONS(1736),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1736),
    [anon_sym_PLUS] = ACTIONS(1736),
    [anon_sym_DASH] = ACTIONS(1738),
    [anon_sym_STAR] = ACTIONS(1736),
    [anon_sym_SLASH] = ACTIONS(1738),
    [anon_sym_PIPE_PIPE] = ACTIONS(1736),
    [anon_sym_LT_EQ] = ACTIONS(1736),
    [anon_sym_LT_GT] = ACTIONS(1736),
    [anon_sym_GT_EQ] = ACTIONS(1736),
    [anon_sym_BANG_EQ] = ACTIONS(1736),
    [anon_sym_LT_LT] = ACTIONS(1736),
    [anon_sym_GT_GT] = ACTIONS(1736),
    [anon_sym_AMP] = ACTIONS(1736),
    [anon_sym_CARET] = ACTIONS(1736),
    [anon_sym_PIPE] = ACTIONS(1738),
  },
  [3540] = {
    [sym__unquoted_identifier] = ACTIONS(1734),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1734),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1734),
    [aux_sym_keyword_replace_token1] = ACTIONS(1734),
    [aux_sym__keyword_alter_token1] = ACTIONS(1734),
    [aux_sym__keyword_delete_token1] = ACTIONS(1734),
    [aux_sym__keyword_begin_token1] = ACTIONS(1734),
    [aux_sym__keyword_end_token1] = ACTIONS(1734),
    [aux_sym__keyword_between_token1] = ACTIONS(1734),
    [aux_sym__keyword_else_token1] = ACTIONS(1734),
    [aux_sym__keyword_is_token1] = ACTIONS(1734),
    [aux_sym__keyword_in_token1] = ACTIONS(1734),
    [aux_sym__keyword_and_token1] = ACTIONS(1734),
    [aux_sym__keyword_like_token1] = ACTIONS(1734),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1734),
    [aux_sym__keyword_as_token1] = ACTIONS(1734),
    [aux_sym__keyword_date_token1] = ACTIONS(1734),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1734),
    [aux_sym__keyword_time_token1] = ACTIONS(1734),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1734),
    [aux_sym__keyword_for_token1] = ACTIONS(1734),
    [anon_sym_SEMI] = ACTIONS(1732),
    [aux_sym_declare_statement_token1] = ACTIONS(1734),
    [anon_sym_COMMA] = ACTIONS(1732),
    [aux_sym_set_statement_token1] = ACTIONS(1734),
    [anon_sym_LPAREN] = ACTIONS(1732),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1734),
    [aux_sym_return_satement_token1] = ACTIONS(1734),
    [aux_sym_call_statement_token1] = ACTIONS(1734),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1734),
    [aux_sym_if_statement_token1] = ACTIONS(1734),
    [aux_sym_loop_statement_token1] = ACTIONS(1734),
    [aux_sym_repeat_statement_token1] = ACTIONS(1734),
    [aux_sym_while_statement_token1] = ACTIONS(1734),
    [aux_sym_break_statement_token1] = ACTIONS(1734),
    [aux_sym_leave_statement_token1] = ACTIONS(1734),
    [aux_sym_continue_statement_token1] = ACTIONS(1734),
    [aux_sym_iterate_statement_token1] = ACTIONS(1734),
    [aux_sym_raise_statement_token1] = ACTIONS(1734),
    [anon_sym_EQ] = ACTIONS(1732),
    [aux_sym_assert_statement_token1] = ACTIONS(1734),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1734),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1734),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1734),
    [anon_sym_LT] = ACTIONS(1734),
    [anon_sym_GT] = ACTIONS(1734),
    [aux_sym_select_token1] = ACTIONS(1734),
    [aux_sym_insert_statement_token1] = ACTIONS(1734),
    [aux_sym_truncate_statement_token1] = ACTIONS(1734),
    [aux_sym_update_statement_token1] = ACTIONS(1734),
    [aux_sym_merge_statement_token1] = ACTIONS(1734),
    [aux_sym_grant_statement_token1] = ACTIONS(1734),
    [aux_sym_revoke_statement_token1] = ACTIONS(1734),
    [aux_sym_export_data_statement_token1] = ACTIONS(1734),
    [aux_sym_load_data_statement_token1] = ACTIONS(1734),
    [anon_sym_LBRACK] = ACTIONS(1732),
    [sym__quoted_identifier] = ACTIONS(1732),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1732),
    [anon_sym_PLUS] = ACTIONS(1732),
    [anon_sym_DASH] = ACTIONS(1734),
    [anon_sym_STAR] = ACTIONS(1732),
    [anon_sym_SLASH] = ACTIONS(1734),
    [anon_sym_PIPE_PIPE] = ACTIONS(1732),
    [anon_sym_LT_EQ] = ACTIONS(1732),
    [anon_sym_LT_GT] = ACTIONS(1732),
    [anon_sym_GT_EQ] = ACTIONS(1732),
    [anon_sym_BANG_EQ] = ACTIONS(1732),
    [anon_sym_LT_LT] = ACTIONS(1732),
    [anon_sym_GT_GT] = ACTIONS(1732),
    [anon_sym_AMP] = ACTIONS(1732),
    [anon_sym_CARET] = ACTIONS(1732),
    [anon_sym_PIPE] = ACTIONS(1734),
  },
  [3541] = {
    [sym__unquoted_identifier] = ACTIONS(1730),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1730),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1730),
    [aux_sym_keyword_replace_token1] = ACTIONS(1730),
    [aux_sym__keyword_alter_token1] = ACTIONS(1730),
    [aux_sym__keyword_delete_token1] = ACTIONS(1730),
    [aux_sym__keyword_begin_token1] = ACTIONS(1730),
    [aux_sym__keyword_end_token1] = ACTIONS(1730),
    [aux_sym__keyword_between_token1] = ACTIONS(1730),
    [aux_sym__keyword_else_token1] = ACTIONS(1730),
    [aux_sym__keyword_is_token1] = ACTIONS(1730),
    [aux_sym__keyword_in_token1] = ACTIONS(1730),
    [aux_sym__keyword_and_token1] = ACTIONS(1730),
    [aux_sym__keyword_like_token1] = ACTIONS(1730),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1730),
    [aux_sym__keyword_as_token1] = ACTIONS(1730),
    [aux_sym__keyword_date_token1] = ACTIONS(1730),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1730),
    [aux_sym__keyword_time_token1] = ACTIONS(1730),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1730),
    [aux_sym__keyword_for_token1] = ACTIONS(1730),
    [anon_sym_SEMI] = ACTIONS(1728),
    [aux_sym_declare_statement_token1] = ACTIONS(1730),
    [anon_sym_COMMA] = ACTIONS(1728),
    [aux_sym_set_statement_token1] = ACTIONS(1730),
    [anon_sym_LPAREN] = ACTIONS(1728),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1730),
    [aux_sym_return_satement_token1] = ACTIONS(1730),
    [aux_sym_call_statement_token1] = ACTIONS(1730),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1730),
    [aux_sym_if_statement_token1] = ACTIONS(1730),
    [aux_sym_loop_statement_token1] = ACTIONS(1730),
    [aux_sym_repeat_statement_token1] = ACTIONS(1730),
    [aux_sym_while_statement_token1] = ACTIONS(1730),
    [aux_sym_break_statement_token1] = ACTIONS(1730),
    [aux_sym_leave_statement_token1] = ACTIONS(1730),
    [aux_sym_continue_statement_token1] = ACTIONS(1730),
    [aux_sym_iterate_statement_token1] = ACTIONS(1730),
    [aux_sym_raise_statement_token1] = ACTIONS(1730),
    [anon_sym_EQ] = ACTIONS(1728),
    [aux_sym_assert_statement_token1] = ACTIONS(1730),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1730),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1730),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1730),
    [anon_sym_LT] = ACTIONS(1730),
    [anon_sym_GT] = ACTIONS(1730),
    [aux_sym_select_token1] = ACTIONS(1730),
    [aux_sym_insert_statement_token1] = ACTIONS(1730),
    [aux_sym_truncate_statement_token1] = ACTIONS(1730),
    [aux_sym_update_statement_token1] = ACTIONS(1730),
    [aux_sym_merge_statement_token1] = ACTIONS(1730),
    [aux_sym_grant_statement_token1] = ACTIONS(1730),
    [aux_sym_revoke_statement_token1] = ACTIONS(1730),
    [aux_sym_export_data_statement_token1] = ACTIONS(1730),
    [aux_sym_load_data_statement_token1] = ACTIONS(1730),
    [anon_sym_LBRACK] = ACTIONS(1728),
    [sym__quoted_identifier] = ACTIONS(1728),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1728),
    [anon_sym_DASH] = ACTIONS(1730),
    [anon_sym_STAR] = ACTIONS(1728),
    [anon_sym_SLASH] = ACTIONS(1730),
    [anon_sym_PIPE_PIPE] = ACTIONS(1728),
    [anon_sym_LT_EQ] = ACTIONS(1728),
    [anon_sym_LT_GT] = ACTIONS(1728),
    [anon_sym_GT_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ] = ACTIONS(1728),
    [anon_sym_LT_LT] = ACTIONS(1728),
    [anon_sym_GT_GT] = ACTIONS(1728),
    [anon_sym_AMP] = ACTIONS(1728),
    [anon_sym_CARET] = ACTIONS(1728),
    [anon_sym_PIPE] = ACTIONS(1730),
  },
  [3542] = {
    [sym__keyword_between] = STATE(1690),
    [sym__keyword_is] = STATE(12154),
    [sym__keyword_in] = STATE(1787),
    [sym__keyword_not] = STATE(13069),
    [sym__keyword_and] = STATE(1804),
    [sym__keyword_or] = STATE(1805),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [aux_sym_option_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(3254),
    [anon_sym_SLASH] = ACTIONS(3256),
    [anon_sym_PIPE_PIPE] = ACTIONS(3254),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [3543] = {
    [sym__unquoted_identifier] = ACTIONS(1726),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1726),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1726),
    [aux_sym_keyword_replace_token1] = ACTIONS(1726),
    [aux_sym__keyword_alter_token1] = ACTIONS(1726),
    [aux_sym__keyword_delete_token1] = ACTIONS(1726),
    [aux_sym__keyword_begin_token1] = ACTIONS(1726),
    [aux_sym__keyword_end_token1] = ACTIONS(1726),
    [aux_sym__keyword_between_token1] = ACTIONS(1726),
    [aux_sym__keyword_else_token1] = ACTIONS(1726),
    [aux_sym__keyword_is_token1] = ACTIONS(1726),
    [aux_sym__keyword_in_token1] = ACTIONS(1726),
    [aux_sym__keyword_and_token1] = ACTIONS(1726),
    [aux_sym__keyword_like_token1] = ACTIONS(1726),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1726),
    [aux_sym__keyword_as_token1] = ACTIONS(1726),
    [aux_sym__keyword_date_token1] = ACTIONS(1726),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1726),
    [aux_sym__keyword_time_token1] = ACTIONS(1726),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1726),
    [aux_sym__keyword_for_token1] = ACTIONS(1726),
    [anon_sym_SEMI] = ACTIONS(1724),
    [aux_sym_declare_statement_token1] = ACTIONS(1726),
    [anon_sym_COMMA] = ACTIONS(1724),
    [aux_sym_set_statement_token1] = ACTIONS(1726),
    [anon_sym_LPAREN] = ACTIONS(1724),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1726),
    [aux_sym_return_satement_token1] = ACTIONS(1726),
    [aux_sym_call_statement_token1] = ACTIONS(1726),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1726),
    [aux_sym_if_statement_token1] = ACTIONS(1726),
    [aux_sym_loop_statement_token1] = ACTIONS(1726),
    [aux_sym_repeat_statement_token1] = ACTIONS(1726),
    [aux_sym_while_statement_token1] = ACTIONS(1726),
    [aux_sym_break_statement_token1] = ACTIONS(1726),
    [aux_sym_leave_statement_token1] = ACTIONS(1726),
    [aux_sym_continue_statement_token1] = ACTIONS(1726),
    [aux_sym_iterate_statement_token1] = ACTIONS(1726),
    [aux_sym_raise_statement_token1] = ACTIONS(1726),
    [anon_sym_EQ] = ACTIONS(1724),
    [aux_sym_assert_statement_token1] = ACTIONS(1726),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1726),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1726),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1726),
    [anon_sym_LT] = ACTIONS(1726),
    [anon_sym_GT] = ACTIONS(1726),
    [aux_sym_select_token1] = ACTIONS(1726),
    [aux_sym_insert_statement_token1] = ACTIONS(1726),
    [aux_sym_truncate_statement_token1] = ACTIONS(1726),
    [aux_sym_update_statement_token1] = ACTIONS(1726),
    [aux_sym_merge_statement_token1] = ACTIONS(1726),
    [aux_sym_grant_statement_token1] = ACTIONS(1726),
    [aux_sym_revoke_statement_token1] = ACTIONS(1726),
    [aux_sym_export_data_statement_token1] = ACTIONS(1726),
    [aux_sym_load_data_statement_token1] = ACTIONS(1726),
    [anon_sym_LBRACK] = ACTIONS(1724),
    [sym__quoted_identifier] = ACTIONS(1724),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_DASH] = ACTIONS(1726),
    [anon_sym_STAR] = ACTIONS(1724),
    [anon_sym_SLASH] = ACTIONS(1726),
    [anon_sym_PIPE_PIPE] = ACTIONS(1724),
    [anon_sym_LT_EQ] = ACTIONS(1724),
    [anon_sym_LT_GT] = ACTIONS(1724),
    [anon_sym_GT_EQ] = ACTIONS(1724),
    [anon_sym_BANG_EQ] = ACTIONS(1724),
    [anon_sym_LT_LT] = ACTIONS(1724),
    [anon_sym_GT_GT] = ACTIONS(1724),
    [anon_sym_AMP] = ACTIONS(1724),
    [anon_sym_CARET] = ACTIONS(1724),
    [anon_sym_PIPE] = ACTIONS(1726),
  },
  [3544] = {
    [sym__unquoted_identifier] = ACTIONS(1722),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1722),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1722),
    [aux_sym_keyword_replace_token1] = ACTIONS(1722),
    [aux_sym__keyword_alter_token1] = ACTIONS(1722),
    [aux_sym__keyword_delete_token1] = ACTIONS(1722),
    [aux_sym__keyword_begin_token1] = ACTIONS(1722),
    [aux_sym__keyword_end_token1] = ACTIONS(1722),
    [aux_sym__keyword_between_token1] = ACTIONS(1722),
    [aux_sym__keyword_else_token1] = ACTIONS(1722),
    [aux_sym__keyword_is_token1] = ACTIONS(1722),
    [aux_sym__keyword_in_token1] = ACTIONS(1722),
    [aux_sym__keyword_and_token1] = ACTIONS(1722),
    [aux_sym__keyword_like_token1] = ACTIONS(1722),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1722),
    [aux_sym__keyword_as_token1] = ACTIONS(1722),
    [aux_sym__keyword_date_token1] = ACTIONS(1722),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1722),
    [aux_sym__keyword_time_token1] = ACTIONS(1722),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1722),
    [aux_sym__keyword_for_token1] = ACTIONS(1722),
    [anon_sym_SEMI] = ACTIONS(1720),
    [aux_sym_declare_statement_token1] = ACTIONS(1722),
    [anon_sym_COMMA] = ACTIONS(1720),
    [aux_sym_set_statement_token1] = ACTIONS(1722),
    [anon_sym_LPAREN] = ACTIONS(1720),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1722),
    [aux_sym_return_satement_token1] = ACTIONS(1722),
    [aux_sym_call_statement_token1] = ACTIONS(1722),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1722),
    [aux_sym_if_statement_token1] = ACTIONS(1722),
    [aux_sym_loop_statement_token1] = ACTIONS(1722),
    [aux_sym_repeat_statement_token1] = ACTIONS(1722),
    [aux_sym_while_statement_token1] = ACTIONS(1722),
    [aux_sym_break_statement_token1] = ACTIONS(1722),
    [aux_sym_leave_statement_token1] = ACTIONS(1722),
    [aux_sym_continue_statement_token1] = ACTIONS(1722),
    [aux_sym_iterate_statement_token1] = ACTIONS(1722),
    [aux_sym_raise_statement_token1] = ACTIONS(1722),
    [anon_sym_EQ] = ACTIONS(1720),
    [aux_sym_assert_statement_token1] = ACTIONS(1722),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1722),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1722),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1722),
    [anon_sym_LT] = ACTIONS(1722),
    [anon_sym_GT] = ACTIONS(1722),
    [aux_sym_select_token1] = ACTIONS(1722),
    [aux_sym_insert_statement_token1] = ACTIONS(1722),
    [aux_sym_truncate_statement_token1] = ACTIONS(1722),
    [aux_sym_update_statement_token1] = ACTIONS(1722),
    [aux_sym_merge_statement_token1] = ACTIONS(1722),
    [aux_sym_grant_statement_token1] = ACTIONS(1722),
    [aux_sym_revoke_statement_token1] = ACTIONS(1722),
    [aux_sym_export_data_statement_token1] = ACTIONS(1722),
    [aux_sym_load_data_statement_token1] = ACTIONS(1722),
    [anon_sym_LBRACK] = ACTIONS(1720),
    [sym__quoted_identifier] = ACTIONS(1720),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1720),
    [anon_sym_PLUS] = ACTIONS(1720),
    [anon_sym_DASH] = ACTIONS(1722),
    [anon_sym_STAR] = ACTIONS(1720),
    [anon_sym_SLASH] = ACTIONS(1722),
    [anon_sym_PIPE_PIPE] = ACTIONS(1720),
    [anon_sym_LT_EQ] = ACTIONS(1720),
    [anon_sym_LT_GT] = ACTIONS(1720),
    [anon_sym_GT_EQ] = ACTIONS(1720),
    [anon_sym_BANG_EQ] = ACTIONS(1720),
    [anon_sym_LT_LT] = ACTIONS(1720),
    [anon_sym_GT_GT] = ACTIONS(1720),
    [anon_sym_AMP] = ACTIONS(1720),
    [anon_sym_CARET] = ACTIONS(1720),
    [anon_sym_PIPE] = ACTIONS(1722),
  },
  [3545] = {
    [sym__unquoted_identifier] = ACTIONS(1718),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1718),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1718),
    [aux_sym_keyword_replace_token1] = ACTIONS(1718),
    [aux_sym__keyword_alter_token1] = ACTIONS(1718),
    [aux_sym__keyword_delete_token1] = ACTIONS(1718),
    [aux_sym__keyword_begin_token1] = ACTIONS(1718),
    [aux_sym__keyword_end_token1] = ACTIONS(1718),
    [aux_sym__keyword_between_token1] = ACTIONS(1718),
    [aux_sym__keyword_else_token1] = ACTIONS(1718),
    [aux_sym__keyword_is_token1] = ACTIONS(1718),
    [aux_sym__keyword_in_token1] = ACTIONS(1718),
    [aux_sym__keyword_and_token1] = ACTIONS(1718),
    [aux_sym__keyword_like_token1] = ACTIONS(1718),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1718),
    [aux_sym__keyword_as_token1] = ACTIONS(1718),
    [aux_sym__keyword_date_token1] = ACTIONS(1718),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1718),
    [aux_sym__keyword_time_token1] = ACTIONS(1718),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1718),
    [aux_sym__keyword_for_token1] = ACTIONS(1718),
    [anon_sym_SEMI] = ACTIONS(1716),
    [aux_sym_declare_statement_token1] = ACTIONS(1718),
    [anon_sym_COMMA] = ACTIONS(1716),
    [aux_sym_set_statement_token1] = ACTIONS(1718),
    [anon_sym_LPAREN] = ACTIONS(1716),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1718),
    [aux_sym_return_satement_token1] = ACTIONS(1718),
    [aux_sym_call_statement_token1] = ACTIONS(1718),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1718),
    [aux_sym_if_statement_token1] = ACTIONS(1718),
    [aux_sym_loop_statement_token1] = ACTIONS(1718),
    [aux_sym_repeat_statement_token1] = ACTIONS(1718),
    [aux_sym_while_statement_token1] = ACTIONS(1718),
    [aux_sym_break_statement_token1] = ACTIONS(1718),
    [aux_sym_leave_statement_token1] = ACTIONS(1718),
    [aux_sym_continue_statement_token1] = ACTIONS(1718),
    [aux_sym_iterate_statement_token1] = ACTIONS(1718),
    [aux_sym_raise_statement_token1] = ACTIONS(1718),
    [anon_sym_EQ] = ACTIONS(1716),
    [aux_sym_assert_statement_token1] = ACTIONS(1718),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1718),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1718),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1718),
    [anon_sym_LT] = ACTIONS(1718),
    [anon_sym_GT] = ACTIONS(1718),
    [aux_sym_select_token1] = ACTIONS(1718),
    [aux_sym_insert_statement_token1] = ACTIONS(1718),
    [aux_sym_truncate_statement_token1] = ACTIONS(1718),
    [aux_sym_update_statement_token1] = ACTIONS(1718),
    [aux_sym_merge_statement_token1] = ACTIONS(1718),
    [aux_sym_grant_statement_token1] = ACTIONS(1718),
    [aux_sym_revoke_statement_token1] = ACTIONS(1718),
    [aux_sym_export_data_statement_token1] = ACTIONS(1718),
    [aux_sym_load_data_statement_token1] = ACTIONS(1718),
    [anon_sym_LBRACK] = ACTIONS(1716),
    [sym__quoted_identifier] = ACTIONS(1716),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_DASH] = ACTIONS(1718),
    [anon_sym_STAR] = ACTIONS(1716),
    [anon_sym_SLASH] = ACTIONS(1718),
    [anon_sym_PIPE_PIPE] = ACTIONS(1716),
    [anon_sym_LT_EQ] = ACTIONS(1716),
    [anon_sym_LT_GT] = ACTIONS(1716),
    [anon_sym_GT_EQ] = ACTIONS(1716),
    [anon_sym_BANG_EQ] = ACTIONS(1716),
    [anon_sym_LT_LT] = ACTIONS(1716),
    [anon_sym_GT_GT] = ACTIONS(1716),
    [anon_sym_AMP] = ACTIONS(1716),
    [anon_sym_CARET] = ACTIONS(1716),
    [anon_sym_PIPE] = ACTIONS(1718),
  },
  [3546] = {
    [sym__unquoted_identifier] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1448),
    [aux_sym_keyword_replace_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1448),
    [aux_sym__keyword_delete_token1] = ACTIONS(1448),
    [aux_sym__keyword_begin_token1] = ACTIONS(1448),
    [aux_sym__keyword_end_token1] = ACTIONS(1448),
    [aux_sym__keyword_between_token1] = ACTIONS(1448),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1448),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1448),
    [aux_sym__keyword_like_token1] = ACTIONS(1448),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1448),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_date_token1] = ACTIONS(1448),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1448),
    [aux_sym__keyword_time_token1] = ACTIONS(1448),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1448),
    [aux_sym_return_satement_token1] = ACTIONS(1448),
    [aux_sym_call_statement_token1] = ACTIONS(1448),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1448),
    [aux_sym_if_statement_token1] = ACTIONS(1448),
    [aux_sym_loop_statement_token1] = ACTIONS(1448),
    [aux_sym_repeat_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [aux_sym_leave_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_iterate_statement_token1] = ACTIONS(1448),
    [aux_sym_raise_statement_token1] = ACTIONS(1448),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1448),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1448),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1448),
    [aux_sym_insert_statement_token1] = ACTIONS(1448),
    [aux_sym_truncate_statement_token1] = ACTIONS(1448),
    [aux_sym_update_statement_token1] = ACTIONS(1448),
    [aux_sym_merge_statement_token1] = ACTIONS(1448),
    [aux_sym_grant_statement_token1] = ACTIONS(1448),
    [aux_sym_revoke_statement_token1] = ACTIONS(1448),
    [aux_sym_export_data_statement_token1] = ACTIONS(1448),
    [aux_sym_load_data_statement_token1] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym__quoted_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [3547] = {
    [sym__unquoted_identifier] = ACTIONS(1778),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1778),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1778),
    [aux_sym_keyword_replace_token1] = ACTIONS(1778),
    [aux_sym__keyword_alter_token1] = ACTIONS(1778),
    [aux_sym__keyword_delete_token1] = ACTIONS(1778),
    [aux_sym__keyword_begin_token1] = ACTIONS(1778),
    [aux_sym__keyword_end_token1] = ACTIONS(1778),
    [aux_sym__keyword_between_token1] = ACTIONS(1778),
    [aux_sym__keyword_else_token1] = ACTIONS(1778),
    [aux_sym__keyword_is_token1] = ACTIONS(1778),
    [aux_sym__keyword_in_token1] = ACTIONS(1778),
    [aux_sym__keyword_and_token1] = ACTIONS(1778),
    [aux_sym__keyword_like_token1] = ACTIONS(1778),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1778),
    [aux_sym__keyword_as_token1] = ACTIONS(1778),
    [aux_sym__keyword_date_token1] = ACTIONS(1778),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1778),
    [aux_sym__keyword_time_token1] = ACTIONS(1778),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1778),
    [aux_sym__keyword_for_token1] = ACTIONS(1778),
    [anon_sym_SEMI] = ACTIONS(1776),
    [aux_sym_declare_statement_token1] = ACTIONS(1778),
    [anon_sym_COMMA] = ACTIONS(1776),
    [aux_sym_set_statement_token1] = ACTIONS(1778),
    [anon_sym_LPAREN] = ACTIONS(1776),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1778),
    [aux_sym_return_satement_token1] = ACTIONS(1778),
    [aux_sym_call_statement_token1] = ACTIONS(1778),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1778),
    [aux_sym_if_statement_token1] = ACTIONS(1778),
    [aux_sym_loop_statement_token1] = ACTIONS(1778),
    [aux_sym_repeat_statement_token1] = ACTIONS(1778),
    [aux_sym_while_statement_token1] = ACTIONS(1778),
    [aux_sym_break_statement_token1] = ACTIONS(1778),
    [aux_sym_leave_statement_token1] = ACTIONS(1778),
    [aux_sym_continue_statement_token1] = ACTIONS(1778),
    [aux_sym_iterate_statement_token1] = ACTIONS(1778),
    [aux_sym_raise_statement_token1] = ACTIONS(1778),
    [anon_sym_EQ] = ACTIONS(1776),
    [aux_sym_assert_statement_token1] = ACTIONS(1778),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1778),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1778),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1778),
    [anon_sym_LT] = ACTIONS(1778),
    [anon_sym_GT] = ACTIONS(1778),
    [aux_sym_select_token1] = ACTIONS(1778),
    [aux_sym_insert_statement_token1] = ACTIONS(1778),
    [aux_sym_truncate_statement_token1] = ACTIONS(1778),
    [aux_sym_update_statement_token1] = ACTIONS(1778),
    [aux_sym_merge_statement_token1] = ACTIONS(1778),
    [aux_sym_grant_statement_token1] = ACTIONS(1778),
    [aux_sym_revoke_statement_token1] = ACTIONS(1778),
    [aux_sym_export_data_statement_token1] = ACTIONS(1778),
    [aux_sym_load_data_statement_token1] = ACTIONS(1778),
    [anon_sym_LBRACK] = ACTIONS(1776),
    [sym__quoted_identifier] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1776),
    [anon_sym_PLUS] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1778),
    [anon_sym_STAR] = ACTIONS(1776),
    [anon_sym_SLASH] = ACTIONS(1778),
    [anon_sym_PIPE_PIPE] = ACTIONS(1776),
    [anon_sym_LT_EQ] = ACTIONS(1776),
    [anon_sym_LT_GT] = ACTIONS(1776),
    [anon_sym_GT_EQ] = ACTIONS(1776),
    [anon_sym_BANG_EQ] = ACTIONS(1776),
    [anon_sym_LT_LT] = ACTIONS(1776),
    [anon_sym_GT_GT] = ACTIONS(1776),
    [anon_sym_AMP] = ACTIONS(1776),
    [anon_sym_CARET] = ACTIONS(1776),
    [anon_sym_PIPE] = ACTIONS(1778),
  },
  [3548] = {
    [sym__unquoted_identifier] = ACTIONS(1778),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1778),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1778),
    [aux_sym_keyword_replace_token1] = ACTIONS(1778),
    [aux_sym__keyword_alter_token1] = ACTIONS(1778),
    [aux_sym__keyword_delete_token1] = ACTIONS(1778),
    [aux_sym__keyword_begin_token1] = ACTIONS(1778),
    [aux_sym__keyword_end_token1] = ACTIONS(1778),
    [aux_sym__keyword_between_token1] = ACTIONS(1778),
    [aux_sym__keyword_else_token1] = ACTIONS(1778),
    [aux_sym__keyword_is_token1] = ACTIONS(1778),
    [aux_sym__keyword_in_token1] = ACTIONS(1778),
    [aux_sym__keyword_and_token1] = ACTIONS(1778),
    [aux_sym__keyword_like_token1] = ACTIONS(1778),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1778),
    [aux_sym__keyword_as_token1] = ACTIONS(1778),
    [aux_sym__keyword_date_token1] = ACTIONS(1778),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1778),
    [aux_sym__keyword_time_token1] = ACTIONS(1778),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1778),
    [aux_sym__keyword_for_token1] = ACTIONS(1778),
    [anon_sym_SEMI] = ACTIONS(1776),
    [aux_sym_declare_statement_token1] = ACTIONS(1778),
    [anon_sym_COMMA] = ACTIONS(1776),
    [aux_sym_set_statement_token1] = ACTIONS(1778),
    [anon_sym_LPAREN] = ACTIONS(1776),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1778),
    [aux_sym_return_satement_token1] = ACTIONS(1778),
    [aux_sym_call_statement_token1] = ACTIONS(1778),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1778),
    [aux_sym_if_statement_token1] = ACTIONS(1778),
    [aux_sym_loop_statement_token1] = ACTIONS(1778),
    [aux_sym_repeat_statement_token1] = ACTIONS(1778),
    [aux_sym_while_statement_token1] = ACTIONS(1778),
    [aux_sym_break_statement_token1] = ACTIONS(1778),
    [aux_sym_leave_statement_token1] = ACTIONS(1778),
    [aux_sym_continue_statement_token1] = ACTIONS(1778),
    [aux_sym_iterate_statement_token1] = ACTIONS(1778),
    [aux_sym_raise_statement_token1] = ACTIONS(1778),
    [anon_sym_EQ] = ACTIONS(1776),
    [aux_sym_assert_statement_token1] = ACTIONS(1778),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1778),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1778),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1778),
    [anon_sym_LT] = ACTIONS(1778),
    [anon_sym_GT] = ACTIONS(1778),
    [aux_sym_select_token1] = ACTIONS(1778),
    [aux_sym_insert_statement_token1] = ACTIONS(1778),
    [aux_sym_truncate_statement_token1] = ACTIONS(1778),
    [aux_sym_update_statement_token1] = ACTIONS(1778),
    [aux_sym_merge_statement_token1] = ACTIONS(1778),
    [aux_sym_grant_statement_token1] = ACTIONS(1778),
    [aux_sym_revoke_statement_token1] = ACTIONS(1778),
    [aux_sym_export_data_statement_token1] = ACTIONS(1778),
    [aux_sym_load_data_statement_token1] = ACTIONS(1778),
    [anon_sym_LBRACK] = ACTIONS(1776),
    [sym__quoted_identifier] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1776),
    [anon_sym_PLUS] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1778),
    [anon_sym_STAR] = ACTIONS(1776),
    [anon_sym_SLASH] = ACTIONS(1778),
    [anon_sym_PIPE_PIPE] = ACTIONS(1776),
    [anon_sym_LT_EQ] = ACTIONS(1776),
    [anon_sym_LT_GT] = ACTIONS(1776),
    [anon_sym_GT_EQ] = ACTIONS(1776),
    [anon_sym_BANG_EQ] = ACTIONS(1776),
    [anon_sym_LT_LT] = ACTIONS(1776),
    [anon_sym_GT_GT] = ACTIONS(1776),
    [anon_sym_AMP] = ACTIONS(1776),
    [anon_sym_CARET] = ACTIONS(1776),
    [anon_sym_PIPE] = ACTIONS(1778),
  },
  [3549] = {
    [sym__keyword_between] = STATE(1690),
    [sym__keyword_is] = STATE(12154),
    [sym__keyword_in] = STATE(1787),
    [sym__keyword_not] = STATE(13069),
    [sym__keyword_and] = STATE(1804),
    [sym__keyword_or] = STATE(1805),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [aux_sym_option_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(917),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PIPE_PIPE] = ACTIONS(917),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [3550] = {
    [sym__unquoted_identifier] = ACTIONS(1714),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1714),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1714),
    [aux_sym_keyword_replace_token1] = ACTIONS(1714),
    [aux_sym__keyword_alter_token1] = ACTIONS(1714),
    [aux_sym__keyword_delete_token1] = ACTIONS(1714),
    [aux_sym__keyword_begin_token1] = ACTIONS(1714),
    [aux_sym__keyword_end_token1] = ACTIONS(1714),
    [aux_sym__keyword_between_token1] = ACTIONS(1714),
    [aux_sym__keyword_else_token1] = ACTIONS(1714),
    [aux_sym__keyword_is_token1] = ACTIONS(1714),
    [aux_sym__keyword_in_token1] = ACTIONS(1714),
    [aux_sym__keyword_and_token1] = ACTIONS(1714),
    [aux_sym__keyword_like_token1] = ACTIONS(1714),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1714),
    [aux_sym__keyword_as_token1] = ACTIONS(1714),
    [aux_sym__keyword_date_token1] = ACTIONS(1714),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1714),
    [aux_sym__keyword_time_token1] = ACTIONS(1714),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1714),
    [aux_sym__keyword_for_token1] = ACTIONS(1714),
    [anon_sym_SEMI] = ACTIONS(1712),
    [aux_sym_declare_statement_token1] = ACTIONS(1714),
    [anon_sym_COMMA] = ACTIONS(1712),
    [aux_sym_set_statement_token1] = ACTIONS(1714),
    [anon_sym_LPAREN] = ACTIONS(1712),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1714),
    [aux_sym_return_satement_token1] = ACTIONS(1714),
    [aux_sym_call_statement_token1] = ACTIONS(1714),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1714),
    [aux_sym_if_statement_token1] = ACTIONS(1714),
    [aux_sym_loop_statement_token1] = ACTIONS(1714),
    [aux_sym_repeat_statement_token1] = ACTIONS(1714),
    [aux_sym_while_statement_token1] = ACTIONS(1714),
    [aux_sym_break_statement_token1] = ACTIONS(1714),
    [aux_sym_leave_statement_token1] = ACTIONS(1714),
    [aux_sym_continue_statement_token1] = ACTIONS(1714),
    [aux_sym_iterate_statement_token1] = ACTIONS(1714),
    [aux_sym_raise_statement_token1] = ACTIONS(1714),
    [anon_sym_EQ] = ACTIONS(1712),
    [aux_sym_assert_statement_token1] = ACTIONS(1714),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1714),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1714),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1714),
    [anon_sym_LT] = ACTIONS(1714),
    [anon_sym_GT] = ACTIONS(1714),
    [aux_sym_select_token1] = ACTIONS(1714),
    [aux_sym_insert_statement_token1] = ACTIONS(1714),
    [aux_sym_truncate_statement_token1] = ACTIONS(1714),
    [aux_sym_update_statement_token1] = ACTIONS(1714),
    [aux_sym_merge_statement_token1] = ACTIONS(1714),
    [aux_sym_grant_statement_token1] = ACTIONS(1714),
    [aux_sym_revoke_statement_token1] = ACTIONS(1714),
    [aux_sym_export_data_statement_token1] = ACTIONS(1714),
    [aux_sym_load_data_statement_token1] = ACTIONS(1714),
    [anon_sym_LBRACK] = ACTIONS(1712),
    [sym__quoted_identifier] = ACTIONS(1712),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1712),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_DASH] = ACTIONS(1714),
    [anon_sym_STAR] = ACTIONS(1712),
    [anon_sym_SLASH] = ACTIONS(1714),
    [anon_sym_PIPE_PIPE] = ACTIONS(1712),
    [anon_sym_LT_EQ] = ACTIONS(1712),
    [anon_sym_LT_GT] = ACTIONS(1712),
    [anon_sym_GT_EQ] = ACTIONS(1712),
    [anon_sym_BANG_EQ] = ACTIONS(1712),
    [anon_sym_LT_LT] = ACTIONS(1712),
    [anon_sym_GT_GT] = ACTIONS(1712),
    [anon_sym_AMP] = ACTIONS(1712),
    [anon_sym_CARET] = ACTIONS(1712),
    [anon_sym_PIPE] = ACTIONS(1714),
  },
  [3551] = {
    [sym__unquoted_identifier] = ACTIONS(1710),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1710),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1710),
    [aux_sym_keyword_replace_token1] = ACTIONS(1710),
    [aux_sym__keyword_alter_token1] = ACTIONS(1710),
    [aux_sym__keyword_delete_token1] = ACTIONS(1710),
    [aux_sym__keyword_begin_token1] = ACTIONS(1710),
    [aux_sym__keyword_end_token1] = ACTIONS(1710),
    [aux_sym__keyword_between_token1] = ACTIONS(1710),
    [aux_sym__keyword_else_token1] = ACTIONS(1710),
    [aux_sym__keyword_is_token1] = ACTIONS(1710),
    [aux_sym__keyword_in_token1] = ACTIONS(1710),
    [aux_sym__keyword_and_token1] = ACTIONS(1710),
    [aux_sym__keyword_like_token1] = ACTIONS(1710),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1710),
    [aux_sym__keyword_as_token1] = ACTIONS(1710),
    [aux_sym__keyword_date_token1] = ACTIONS(1710),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1710),
    [aux_sym__keyword_time_token1] = ACTIONS(1710),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1710),
    [aux_sym__keyword_for_token1] = ACTIONS(1710),
    [anon_sym_SEMI] = ACTIONS(1708),
    [aux_sym_declare_statement_token1] = ACTIONS(1710),
    [anon_sym_COMMA] = ACTIONS(1708),
    [aux_sym_set_statement_token1] = ACTIONS(1710),
    [anon_sym_LPAREN] = ACTIONS(1708),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1710),
    [aux_sym_return_satement_token1] = ACTIONS(1710),
    [aux_sym_call_statement_token1] = ACTIONS(1710),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1710),
    [aux_sym_if_statement_token1] = ACTIONS(1710),
    [aux_sym_loop_statement_token1] = ACTIONS(1710),
    [aux_sym_repeat_statement_token1] = ACTIONS(1710),
    [aux_sym_while_statement_token1] = ACTIONS(1710),
    [aux_sym_break_statement_token1] = ACTIONS(1710),
    [aux_sym_leave_statement_token1] = ACTIONS(1710),
    [aux_sym_continue_statement_token1] = ACTIONS(1710),
    [aux_sym_iterate_statement_token1] = ACTIONS(1710),
    [aux_sym_raise_statement_token1] = ACTIONS(1710),
    [anon_sym_EQ] = ACTIONS(1708),
    [aux_sym_assert_statement_token1] = ACTIONS(1710),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1710),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1710),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1710),
    [anon_sym_LT] = ACTIONS(1710),
    [anon_sym_GT] = ACTIONS(1710),
    [aux_sym_select_token1] = ACTIONS(1710),
    [aux_sym_insert_statement_token1] = ACTIONS(1710),
    [aux_sym_truncate_statement_token1] = ACTIONS(1710),
    [aux_sym_update_statement_token1] = ACTIONS(1710),
    [aux_sym_merge_statement_token1] = ACTIONS(1710),
    [aux_sym_grant_statement_token1] = ACTIONS(1710),
    [aux_sym_revoke_statement_token1] = ACTIONS(1710),
    [aux_sym_export_data_statement_token1] = ACTIONS(1710),
    [aux_sym_load_data_statement_token1] = ACTIONS(1710),
    [anon_sym_LBRACK] = ACTIONS(1708),
    [sym__quoted_identifier] = ACTIONS(1708),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_DASH] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(1708),
    [anon_sym_SLASH] = ACTIONS(1710),
    [anon_sym_PIPE_PIPE] = ACTIONS(1708),
    [anon_sym_LT_EQ] = ACTIONS(1708),
    [anon_sym_LT_GT] = ACTIONS(1708),
    [anon_sym_GT_EQ] = ACTIONS(1708),
    [anon_sym_BANG_EQ] = ACTIONS(1708),
    [anon_sym_LT_LT] = ACTIONS(1708),
    [anon_sym_GT_GT] = ACTIONS(1708),
    [anon_sym_AMP] = ACTIONS(1708),
    [anon_sym_CARET] = ACTIONS(1708),
    [anon_sym_PIPE] = ACTIONS(1710),
  },
  [3552] = {
    [sym__keyword_between] = STATE(1690),
    [sym__keyword_is] = STATE(12154),
    [sym__keyword_in] = STATE(1787),
    [sym__keyword_not] = STATE(13069),
    [sym__keyword_and] = STATE(1804),
    [sym__keyword_or] = STATE(1805),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [aux_sym_option_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3250),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_STAR] = ACTIONS(3254),
    [anon_sym_SLASH] = ACTIONS(3256),
    [anon_sym_PIPE_PIPE] = ACTIONS(3254),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [3553] = {
    [sym__unquoted_identifier] = ACTIONS(1706),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1706),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1706),
    [aux_sym_keyword_replace_token1] = ACTIONS(1706),
    [aux_sym__keyword_alter_token1] = ACTIONS(1706),
    [aux_sym__keyword_delete_token1] = ACTIONS(1706),
    [aux_sym__keyword_begin_token1] = ACTIONS(1706),
    [aux_sym__keyword_end_token1] = ACTIONS(1706),
    [aux_sym__keyword_between_token1] = ACTIONS(1706),
    [aux_sym__keyword_else_token1] = ACTIONS(1706),
    [aux_sym__keyword_is_token1] = ACTIONS(1706),
    [aux_sym__keyword_in_token1] = ACTIONS(1706),
    [aux_sym__keyword_and_token1] = ACTIONS(1706),
    [aux_sym__keyword_like_token1] = ACTIONS(1706),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1706),
    [aux_sym__keyword_as_token1] = ACTIONS(1706),
    [aux_sym__keyword_date_token1] = ACTIONS(1706),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1706),
    [aux_sym__keyword_time_token1] = ACTIONS(1706),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1706),
    [aux_sym__keyword_for_token1] = ACTIONS(1706),
    [anon_sym_SEMI] = ACTIONS(1704),
    [aux_sym_declare_statement_token1] = ACTIONS(1706),
    [anon_sym_COMMA] = ACTIONS(1704),
    [aux_sym_set_statement_token1] = ACTIONS(1706),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1706),
    [aux_sym_return_satement_token1] = ACTIONS(1706),
    [aux_sym_call_statement_token1] = ACTIONS(1706),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1706),
    [aux_sym_if_statement_token1] = ACTIONS(1706),
    [aux_sym_loop_statement_token1] = ACTIONS(1706),
    [aux_sym_repeat_statement_token1] = ACTIONS(1706),
    [aux_sym_while_statement_token1] = ACTIONS(1706),
    [aux_sym_break_statement_token1] = ACTIONS(1706),
    [aux_sym_leave_statement_token1] = ACTIONS(1706),
    [aux_sym_continue_statement_token1] = ACTIONS(1706),
    [aux_sym_iterate_statement_token1] = ACTIONS(1706),
    [aux_sym_raise_statement_token1] = ACTIONS(1706),
    [anon_sym_EQ] = ACTIONS(1704),
    [aux_sym_assert_statement_token1] = ACTIONS(1706),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1706),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1706),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1706),
    [anon_sym_LT] = ACTIONS(1706),
    [anon_sym_GT] = ACTIONS(1706),
    [aux_sym_select_token1] = ACTIONS(1706),
    [aux_sym_insert_statement_token1] = ACTIONS(1706),
    [aux_sym_truncate_statement_token1] = ACTIONS(1706),
    [aux_sym_update_statement_token1] = ACTIONS(1706),
    [aux_sym_merge_statement_token1] = ACTIONS(1706),
    [aux_sym_grant_statement_token1] = ACTIONS(1706),
    [aux_sym_revoke_statement_token1] = ACTIONS(1706),
    [aux_sym_export_data_statement_token1] = ACTIONS(1706),
    [aux_sym_load_data_statement_token1] = ACTIONS(1706),
    [anon_sym_LBRACK] = ACTIONS(1704),
    [sym__quoted_identifier] = ACTIONS(1704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1704),
    [anon_sym_PLUS] = ACTIONS(1704),
    [anon_sym_DASH] = ACTIONS(1706),
    [anon_sym_STAR] = ACTIONS(1704),
    [anon_sym_SLASH] = ACTIONS(1706),
    [anon_sym_PIPE_PIPE] = ACTIONS(1704),
    [anon_sym_LT_EQ] = ACTIONS(1704),
    [anon_sym_LT_GT] = ACTIONS(1704),
    [anon_sym_GT_EQ] = ACTIONS(1704),
    [anon_sym_BANG_EQ] = ACTIONS(1704),
    [anon_sym_LT_LT] = ACTIONS(1704),
    [anon_sym_GT_GT] = ACTIONS(1704),
    [anon_sym_AMP] = ACTIONS(1704),
    [anon_sym_CARET] = ACTIONS(1704),
    [anon_sym_PIPE] = ACTIONS(1706),
  },
  [3554] = {
    [sym__unquoted_identifier] = ACTIONS(1702),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1702),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1702),
    [aux_sym_keyword_replace_token1] = ACTIONS(1702),
    [aux_sym__keyword_alter_token1] = ACTIONS(1702),
    [aux_sym__keyword_delete_token1] = ACTIONS(1702),
    [aux_sym__keyword_begin_token1] = ACTIONS(1702),
    [aux_sym__keyword_end_token1] = ACTIONS(1702),
    [aux_sym__keyword_between_token1] = ACTIONS(1702),
    [aux_sym__keyword_else_token1] = ACTIONS(1702),
    [aux_sym__keyword_is_token1] = ACTIONS(1702),
    [aux_sym__keyword_in_token1] = ACTIONS(1702),
    [aux_sym__keyword_and_token1] = ACTIONS(1702),
    [aux_sym__keyword_like_token1] = ACTIONS(1702),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1702),
    [aux_sym__keyword_as_token1] = ACTIONS(1702),
    [aux_sym__keyword_date_token1] = ACTIONS(1702),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1702),
    [aux_sym__keyword_time_token1] = ACTIONS(1702),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1702),
    [aux_sym__keyword_for_token1] = ACTIONS(1702),
    [anon_sym_SEMI] = ACTIONS(1700),
    [aux_sym_declare_statement_token1] = ACTIONS(1702),
    [anon_sym_COMMA] = ACTIONS(1700),
    [aux_sym_set_statement_token1] = ACTIONS(1702),
    [anon_sym_LPAREN] = ACTIONS(1700),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1702),
    [aux_sym_return_satement_token1] = ACTIONS(1702),
    [aux_sym_call_statement_token1] = ACTIONS(1702),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1702),
    [aux_sym_if_statement_token1] = ACTIONS(1702),
    [aux_sym_loop_statement_token1] = ACTIONS(1702),
    [aux_sym_repeat_statement_token1] = ACTIONS(1702),
    [aux_sym_while_statement_token1] = ACTIONS(1702),
    [aux_sym_break_statement_token1] = ACTIONS(1702),
    [aux_sym_leave_statement_token1] = ACTIONS(1702),
    [aux_sym_continue_statement_token1] = ACTIONS(1702),
    [aux_sym_iterate_statement_token1] = ACTIONS(1702),
    [aux_sym_raise_statement_token1] = ACTIONS(1702),
    [anon_sym_EQ] = ACTIONS(1700),
    [aux_sym_assert_statement_token1] = ACTIONS(1702),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1702),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1702),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1702),
    [anon_sym_LT] = ACTIONS(1702),
    [anon_sym_GT] = ACTIONS(1702),
    [aux_sym_select_token1] = ACTIONS(1702),
    [aux_sym_insert_statement_token1] = ACTIONS(1702),
    [aux_sym_truncate_statement_token1] = ACTIONS(1702),
    [aux_sym_update_statement_token1] = ACTIONS(1702),
    [aux_sym_merge_statement_token1] = ACTIONS(1702),
    [aux_sym_grant_statement_token1] = ACTIONS(1702),
    [aux_sym_revoke_statement_token1] = ACTIONS(1702),
    [aux_sym_export_data_statement_token1] = ACTIONS(1702),
    [aux_sym_load_data_statement_token1] = ACTIONS(1702),
    [anon_sym_LBRACK] = ACTIONS(1700),
    [sym__quoted_identifier] = ACTIONS(1700),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1700),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_DASH] = ACTIONS(1702),
    [anon_sym_STAR] = ACTIONS(1700),
    [anon_sym_SLASH] = ACTIONS(1702),
    [anon_sym_PIPE_PIPE] = ACTIONS(1700),
    [anon_sym_LT_EQ] = ACTIONS(1700),
    [anon_sym_LT_GT] = ACTIONS(1700),
    [anon_sym_GT_EQ] = ACTIONS(1700),
    [anon_sym_BANG_EQ] = ACTIONS(1700),
    [anon_sym_LT_LT] = ACTIONS(1700),
    [anon_sym_GT_GT] = ACTIONS(1700),
    [anon_sym_AMP] = ACTIONS(1700),
    [anon_sym_CARET] = ACTIONS(1700),
    [anon_sym_PIPE] = ACTIONS(1702),
  },
  [3555] = {
    [sym__unquoted_identifier] = ACTIONS(1698),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1698),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1698),
    [aux_sym_keyword_replace_token1] = ACTIONS(1698),
    [aux_sym__keyword_alter_token1] = ACTIONS(1698),
    [aux_sym__keyword_delete_token1] = ACTIONS(1698),
    [aux_sym__keyword_begin_token1] = ACTIONS(1698),
    [aux_sym__keyword_end_token1] = ACTIONS(1698),
    [aux_sym__keyword_between_token1] = ACTIONS(1698),
    [aux_sym__keyword_else_token1] = ACTIONS(1698),
    [aux_sym__keyword_is_token1] = ACTIONS(1698),
    [aux_sym__keyword_in_token1] = ACTIONS(1698),
    [aux_sym__keyword_and_token1] = ACTIONS(1698),
    [aux_sym__keyword_like_token1] = ACTIONS(1698),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1698),
    [aux_sym__keyword_as_token1] = ACTIONS(1698),
    [aux_sym__keyword_date_token1] = ACTIONS(1698),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1698),
    [aux_sym__keyword_time_token1] = ACTIONS(1698),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1698),
    [aux_sym__keyword_for_token1] = ACTIONS(1698),
    [anon_sym_SEMI] = ACTIONS(1696),
    [aux_sym_declare_statement_token1] = ACTIONS(1698),
    [anon_sym_COMMA] = ACTIONS(1696),
    [aux_sym_set_statement_token1] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1696),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1698),
    [aux_sym_return_satement_token1] = ACTIONS(1698),
    [aux_sym_call_statement_token1] = ACTIONS(1698),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1698),
    [aux_sym_if_statement_token1] = ACTIONS(1698),
    [aux_sym_loop_statement_token1] = ACTIONS(1698),
    [aux_sym_repeat_statement_token1] = ACTIONS(1698),
    [aux_sym_while_statement_token1] = ACTIONS(1698),
    [aux_sym_break_statement_token1] = ACTIONS(1698),
    [aux_sym_leave_statement_token1] = ACTIONS(1698),
    [aux_sym_continue_statement_token1] = ACTIONS(1698),
    [aux_sym_iterate_statement_token1] = ACTIONS(1698),
    [aux_sym_raise_statement_token1] = ACTIONS(1698),
    [anon_sym_EQ] = ACTIONS(1696),
    [aux_sym_assert_statement_token1] = ACTIONS(1698),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1698),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1698),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1698),
    [anon_sym_LT] = ACTIONS(1698),
    [anon_sym_GT] = ACTIONS(1698),
    [aux_sym_select_token1] = ACTIONS(1698),
    [aux_sym_insert_statement_token1] = ACTIONS(1698),
    [aux_sym_truncate_statement_token1] = ACTIONS(1698),
    [aux_sym_update_statement_token1] = ACTIONS(1698),
    [aux_sym_merge_statement_token1] = ACTIONS(1698),
    [aux_sym_grant_statement_token1] = ACTIONS(1698),
    [aux_sym_revoke_statement_token1] = ACTIONS(1698),
    [aux_sym_export_data_statement_token1] = ACTIONS(1698),
    [aux_sym_load_data_statement_token1] = ACTIONS(1698),
    [anon_sym_LBRACK] = ACTIONS(1696),
    [sym__quoted_identifier] = ACTIONS(1696),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_STAR] = ACTIONS(1696),
    [anon_sym_SLASH] = ACTIONS(1698),
    [anon_sym_PIPE_PIPE] = ACTIONS(1696),
    [anon_sym_LT_EQ] = ACTIONS(1696),
    [anon_sym_LT_GT] = ACTIONS(1696),
    [anon_sym_GT_EQ] = ACTIONS(1696),
    [anon_sym_BANG_EQ] = ACTIONS(1696),
    [anon_sym_LT_LT] = ACTIONS(1696),
    [anon_sym_GT_GT] = ACTIONS(1696),
    [anon_sym_AMP] = ACTIONS(1696),
    [anon_sym_CARET] = ACTIONS(1696),
    [anon_sym_PIPE] = ACTIONS(1698),
  },
  [3556] = {
    [sym__unquoted_identifier] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(921),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(921),
    [aux_sym__keyword_delete_token1] = ACTIONS(921),
    [aux_sym__keyword_begin_token1] = ACTIONS(921),
    [aux_sym__keyword_end_token1] = ACTIONS(921),
    [aux_sym__keyword_between_token1] = ACTIONS(921),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(921),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(921),
    [aux_sym__keyword_like_token1] = ACTIONS(921),
    [aux_sym__keyword_repeat_token1] = ACTIONS(921),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_date_token1] = ACTIONS(921),
    [aux_sym__keyword_datetime_token1] = ACTIONS(921),
    [aux_sym__keyword_time_token1] = ACTIONS(921),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(921),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(921),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(921),
    [aux_sym_return_satement_token1] = ACTIONS(921),
    [aux_sym_call_statement_token1] = ACTIONS(921),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(921),
    [aux_sym_if_statement_token1] = ACTIONS(921),
    [aux_sym_loop_statement_token1] = ACTIONS(921),
    [aux_sym_repeat_statement_token1] = ACTIONS(921),
    [aux_sym_while_statement_token1] = ACTIONS(921),
    [aux_sym_break_statement_token1] = ACTIONS(921),
    [aux_sym_leave_statement_token1] = ACTIONS(921),
    [aux_sym_continue_statement_token1] = ACTIONS(921),
    [aux_sym_iterate_statement_token1] = ACTIONS(921),
    [aux_sym_raise_statement_token1] = ACTIONS(921),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(921),
    [aux_sym_create_schema_statement_token1] = ACTIONS(921),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(921),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(921),
    [aux_sym_insert_statement_token1] = ACTIONS(921),
    [aux_sym_truncate_statement_token1] = ACTIONS(921),
    [aux_sym_update_statement_token1] = ACTIONS(921),
    [aux_sym_merge_statement_token1] = ACTIONS(921),
    [aux_sym_grant_statement_token1] = ACTIONS(921),
    [aux_sym_revoke_statement_token1] = ACTIONS(921),
    [aux_sym_export_data_statement_token1] = ACTIONS(921),
    [aux_sym_load_data_statement_token1] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym__quoted_identifier] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(917),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PIPE_PIPE] = ACTIONS(917),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [3557] = {
    [sym__unquoted_identifier] = ACTIONS(1694),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1694),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1694),
    [aux_sym_keyword_replace_token1] = ACTIONS(1694),
    [aux_sym__keyword_alter_token1] = ACTIONS(1694),
    [aux_sym__keyword_delete_token1] = ACTIONS(1694),
    [aux_sym__keyword_begin_token1] = ACTIONS(1694),
    [aux_sym__keyword_end_token1] = ACTIONS(1694),
    [aux_sym__keyword_between_token1] = ACTIONS(1694),
    [aux_sym__keyword_else_token1] = ACTIONS(1694),
    [aux_sym__keyword_is_token1] = ACTIONS(1694),
    [aux_sym__keyword_in_token1] = ACTIONS(1694),
    [aux_sym__keyword_and_token1] = ACTIONS(1694),
    [aux_sym__keyword_like_token1] = ACTIONS(1694),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1694),
    [aux_sym__keyword_as_token1] = ACTIONS(1694),
    [aux_sym__keyword_date_token1] = ACTIONS(1694),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1694),
    [aux_sym__keyword_time_token1] = ACTIONS(1694),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1694),
    [aux_sym__keyword_for_token1] = ACTIONS(1694),
    [anon_sym_SEMI] = ACTIONS(1692),
    [aux_sym_declare_statement_token1] = ACTIONS(1694),
    [anon_sym_COMMA] = ACTIONS(1692),
    [aux_sym_set_statement_token1] = ACTIONS(1694),
    [anon_sym_LPAREN] = ACTIONS(1692),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1694),
    [aux_sym_return_satement_token1] = ACTIONS(1694),
    [aux_sym_call_statement_token1] = ACTIONS(1694),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1694),
    [aux_sym_if_statement_token1] = ACTIONS(1694),
    [aux_sym_loop_statement_token1] = ACTIONS(1694),
    [aux_sym_repeat_statement_token1] = ACTIONS(1694),
    [aux_sym_while_statement_token1] = ACTIONS(1694),
    [aux_sym_break_statement_token1] = ACTIONS(1694),
    [aux_sym_leave_statement_token1] = ACTIONS(1694),
    [aux_sym_continue_statement_token1] = ACTIONS(1694),
    [aux_sym_iterate_statement_token1] = ACTIONS(1694),
    [aux_sym_raise_statement_token1] = ACTIONS(1694),
    [anon_sym_EQ] = ACTIONS(1692),
    [aux_sym_assert_statement_token1] = ACTIONS(1694),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1694),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1694),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1694),
    [anon_sym_LT] = ACTIONS(1694),
    [anon_sym_GT] = ACTIONS(1694),
    [aux_sym_select_token1] = ACTIONS(1694),
    [aux_sym_insert_statement_token1] = ACTIONS(1694),
    [aux_sym_truncate_statement_token1] = ACTIONS(1694),
    [aux_sym_update_statement_token1] = ACTIONS(1694),
    [aux_sym_merge_statement_token1] = ACTIONS(1694),
    [aux_sym_grant_statement_token1] = ACTIONS(1694),
    [aux_sym_revoke_statement_token1] = ACTIONS(1694),
    [aux_sym_export_data_statement_token1] = ACTIONS(1694),
    [aux_sym_load_data_statement_token1] = ACTIONS(1694),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [sym__quoted_identifier] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1692),
    [anon_sym_PLUS] = ACTIONS(1692),
    [anon_sym_DASH] = ACTIONS(1694),
    [anon_sym_STAR] = ACTIONS(1692),
    [anon_sym_SLASH] = ACTIONS(1694),
    [anon_sym_PIPE_PIPE] = ACTIONS(1692),
    [anon_sym_LT_EQ] = ACTIONS(1692),
    [anon_sym_LT_GT] = ACTIONS(1692),
    [anon_sym_GT_EQ] = ACTIONS(1692),
    [anon_sym_BANG_EQ] = ACTIONS(1692),
    [anon_sym_LT_LT] = ACTIONS(1692),
    [anon_sym_GT_GT] = ACTIONS(1692),
    [anon_sym_AMP] = ACTIONS(1692),
    [anon_sym_CARET] = ACTIONS(1692),
    [anon_sym_PIPE] = ACTIONS(1694),
  },
  [3558] = {
    [sym__unquoted_identifier] = ACTIONS(1690),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1690),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1690),
    [aux_sym_keyword_replace_token1] = ACTIONS(1690),
    [aux_sym__keyword_alter_token1] = ACTIONS(1690),
    [aux_sym__keyword_delete_token1] = ACTIONS(1690),
    [aux_sym__keyword_begin_token1] = ACTIONS(1690),
    [aux_sym__keyword_end_token1] = ACTIONS(1690),
    [aux_sym__keyword_between_token1] = ACTIONS(1690),
    [aux_sym__keyword_else_token1] = ACTIONS(1690),
    [aux_sym__keyword_is_token1] = ACTIONS(1690),
    [aux_sym__keyword_in_token1] = ACTIONS(1690),
    [aux_sym__keyword_and_token1] = ACTIONS(1690),
    [aux_sym__keyword_like_token1] = ACTIONS(1690),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1690),
    [aux_sym__keyword_as_token1] = ACTIONS(1690),
    [aux_sym__keyword_date_token1] = ACTIONS(1690),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1690),
    [aux_sym__keyword_time_token1] = ACTIONS(1690),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1690),
    [aux_sym__keyword_for_token1] = ACTIONS(1690),
    [anon_sym_SEMI] = ACTIONS(1688),
    [aux_sym_declare_statement_token1] = ACTIONS(1690),
    [anon_sym_COMMA] = ACTIONS(1688),
    [aux_sym_set_statement_token1] = ACTIONS(1690),
    [anon_sym_LPAREN] = ACTIONS(1688),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1690),
    [aux_sym_return_satement_token1] = ACTIONS(1690),
    [aux_sym_call_statement_token1] = ACTIONS(1690),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1690),
    [aux_sym_if_statement_token1] = ACTIONS(1690),
    [aux_sym_loop_statement_token1] = ACTIONS(1690),
    [aux_sym_repeat_statement_token1] = ACTIONS(1690),
    [aux_sym_while_statement_token1] = ACTIONS(1690),
    [aux_sym_break_statement_token1] = ACTIONS(1690),
    [aux_sym_leave_statement_token1] = ACTIONS(1690),
    [aux_sym_continue_statement_token1] = ACTIONS(1690),
    [aux_sym_iterate_statement_token1] = ACTIONS(1690),
    [aux_sym_raise_statement_token1] = ACTIONS(1690),
    [anon_sym_EQ] = ACTIONS(1688),
    [aux_sym_assert_statement_token1] = ACTIONS(1690),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1690),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1690),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1690),
    [anon_sym_LT] = ACTIONS(1690),
    [anon_sym_GT] = ACTIONS(1690),
    [aux_sym_select_token1] = ACTIONS(1690),
    [aux_sym_insert_statement_token1] = ACTIONS(1690),
    [aux_sym_truncate_statement_token1] = ACTIONS(1690),
    [aux_sym_update_statement_token1] = ACTIONS(1690),
    [aux_sym_merge_statement_token1] = ACTIONS(1690),
    [aux_sym_grant_statement_token1] = ACTIONS(1690),
    [aux_sym_revoke_statement_token1] = ACTIONS(1690),
    [aux_sym_export_data_statement_token1] = ACTIONS(1690),
    [aux_sym_load_data_statement_token1] = ACTIONS(1690),
    [anon_sym_LBRACK] = ACTIONS(1688),
    [sym__quoted_identifier] = ACTIONS(1688),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1688),
    [anon_sym_PLUS] = ACTIONS(1688),
    [anon_sym_DASH] = ACTIONS(1690),
    [anon_sym_STAR] = ACTIONS(1688),
    [anon_sym_SLASH] = ACTIONS(1690),
    [anon_sym_PIPE_PIPE] = ACTIONS(1688),
    [anon_sym_LT_EQ] = ACTIONS(1688),
    [anon_sym_LT_GT] = ACTIONS(1688),
    [anon_sym_GT_EQ] = ACTIONS(1688),
    [anon_sym_BANG_EQ] = ACTIONS(1688),
    [anon_sym_LT_LT] = ACTIONS(1688),
    [anon_sym_GT_GT] = ACTIONS(1688),
    [anon_sym_AMP] = ACTIONS(1688),
    [anon_sym_CARET] = ACTIONS(1688),
    [anon_sym_PIPE] = ACTIONS(1690),
  },
  [3559] = {
    [sym__unquoted_identifier] = ACTIONS(1682),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1682),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1682),
    [aux_sym_keyword_replace_token1] = ACTIONS(1682),
    [aux_sym__keyword_alter_token1] = ACTIONS(1682),
    [aux_sym__keyword_delete_token1] = ACTIONS(1682),
    [aux_sym__keyword_begin_token1] = ACTIONS(1682),
    [aux_sym__keyword_end_token1] = ACTIONS(1682),
    [aux_sym__keyword_between_token1] = ACTIONS(1682),
    [aux_sym__keyword_else_token1] = ACTIONS(1682),
    [aux_sym__keyword_is_token1] = ACTIONS(1682),
    [aux_sym__keyword_in_token1] = ACTIONS(1682),
    [aux_sym__keyword_and_token1] = ACTIONS(1682),
    [aux_sym__keyword_like_token1] = ACTIONS(1682),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1682),
    [aux_sym__keyword_as_token1] = ACTIONS(1682),
    [aux_sym__keyword_date_token1] = ACTIONS(1682),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1682),
    [aux_sym__keyword_time_token1] = ACTIONS(1682),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1682),
    [aux_sym__keyword_for_token1] = ACTIONS(1682),
    [anon_sym_SEMI] = ACTIONS(1680),
    [aux_sym_declare_statement_token1] = ACTIONS(1682),
    [anon_sym_COMMA] = ACTIONS(1680),
    [aux_sym_set_statement_token1] = ACTIONS(1682),
    [anon_sym_LPAREN] = ACTIONS(1680),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1682),
    [aux_sym_return_satement_token1] = ACTIONS(1682),
    [aux_sym_call_statement_token1] = ACTIONS(1682),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1682),
    [aux_sym_if_statement_token1] = ACTIONS(1682),
    [aux_sym_loop_statement_token1] = ACTIONS(1682),
    [aux_sym_repeat_statement_token1] = ACTIONS(1682),
    [aux_sym_while_statement_token1] = ACTIONS(1682),
    [aux_sym_break_statement_token1] = ACTIONS(1682),
    [aux_sym_leave_statement_token1] = ACTIONS(1682),
    [aux_sym_continue_statement_token1] = ACTIONS(1682),
    [aux_sym_iterate_statement_token1] = ACTIONS(1682),
    [aux_sym_raise_statement_token1] = ACTIONS(1682),
    [anon_sym_EQ] = ACTIONS(1680),
    [aux_sym_assert_statement_token1] = ACTIONS(1682),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1682),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1682),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1682),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_GT] = ACTIONS(1682),
    [aux_sym_select_token1] = ACTIONS(1682),
    [aux_sym_insert_statement_token1] = ACTIONS(1682),
    [aux_sym_truncate_statement_token1] = ACTIONS(1682),
    [aux_sym_update_statement_token1] = ACTIONS(1682),
    [aux_sym_merge_statement_token1] = ACTIONS(1682),
    [aux_sym_grant_statement_token1] = ACTIONS(1682),
    [aux_sym_revoke_statement_token1] = ACTIONS(1682),
    [aux_sym_export_data_statement_token1] = ACTIONS(1682),
    [aux_sym_load_data_statement_token1] = ACTIONS(1682),
    [anon_sym_LBRACK] = ACTIONS(1680),
    [sym__quoted_identifier] = ACTIONS(1680),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(1680),
    [anon_sym_SLASH] = ACTIONS(1682),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_LT_GT] = ACTIONS(1680),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1680),
    [anon_sym_AMP] = ACTIONS(1680),
    [anon_sym_CARET] = ACTIONS(1680),
    [anon_sym_PIPE] = ACTIONS(1682),
  },
  [3560] = {
    [sym__keyword_between] = STATE(1690),
    [sym__keyword_is] = STATE(12154),
    [sym__keyword_in] = STATE(1787),
    [sym__keyword_not] = STATE(13069),
    [sym__keyword_and] = STATE(1804),
    [sym__keyword_or] = STATE(1805),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [aux_sym_option_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3250),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_STAR] = ACTIONS(3254),
    [anon_sym_SLASH] = ACTIONS(3256),
    [anon_sym_PIPE_PIPE] = ACTIONS(3254),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(3258),
    [anon_sym_GT_GT] = ACTIONS(3258),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [3561] = {
    [sym__unquoted_identifier] = ACTIONS(1832),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1832),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1832),
    [aux_sym_keyword_replace_token1] = ACTIONS(1832),
    [aux_sym__keyword_alter_token1] = ACTIONS(1832),
    [aux_sym__keyword_delete_token1] = ACTIONS(1832),
    [aux_sym__keyword_begin_token1] = ACTIONS(1832),
    [aux_sym__keyword_end_token1] = ACTIONS(1832),
    [aux_sym__keyword_between_token1] = ACTIONS(1832),
    [aux_sym__keyword_else_token1] = ACTIONS(1832),
    [aux_sym__keyword_is_token1] = ACTIONS(1832),
    [aux_sym__keyword_in_token1] = ACTIONS(1832),
    [aux_sym__keyword_and_token1] = ACTIONS(1832),
    [aux_sym__keyword_like_token1] = ACTIONS(1832),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1832),
    [aux_sym__keyword_as_token1] = ACTIONS(1832),
    [aux_sym__keyword_date_token1] = ACTIONS(1832),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1832),
    [aux_sym__keyword_time_token1] = ACTIONS(1832),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1832),
    [aux_sym__keyword_for_token1] = ACTIONS(1832),
    [anon_sym_SEMI] = ACTIONS(1830),
    [aux_sym_declare_statement_token1] = ACTIONS(1832),
    [anon_sym_COMMA] = ACTIONS(1830),
    [aux_sym_set_statement_token1] = ACTIONS(1832),
    [anon_sym_LPAREN] = ACTIONS(1830),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1832),
    [aux_sym_return_satement_token1] = ACTIONS(1832),
    [aux_sym_call_statement_token1] = ACTIONS(1832),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1832),
    [aux_sym_if_statement_token1] = ACTIONS(1832),
    [aux_sym_loop_statement_token1] = ACTIONS(1832),
    [aux_sym_repeat_statement_token1] = ACTIONS(1832),
    [aux_sym_while_statement_token1] = ACTIONS(1832),
    [aux_sym_break_statement_token1] = ACTIONS(1832),
    [aux_sym_leave_statement_token1] = ACTIONS(1832),
    [aux_sym_continue_statement_token1] = ACTIONS(1832),
    [aux_sym_iterate_statement_token1] = ACTIONS(1832),
    [aux_sym_raise_statement_token1] = ACTIONS(1832),
    [anon_sym_EQ] = ACTIONS(1830),
    [aux_sym_assert_statement_token1] = ACTIONS(1832),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1832),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1832),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1832),
    [anon_sym_LT] = ACTIONS(1832),
    [anon_sym_GT] = ACTIONS(1832),
    [aux_sym_select_token1] = ACTIONS(1832),
    [aux_sym_insert_statement_token1] = ACTIONS(1832),
    [aux_sym_truncate_statement_token1] = ACTIONS(1832),
    [aux_sym_update_statement_token1] = ACTIONS(1832),
    [aux_sym_merge_statement_token1] = ACTIONS(1832),
    [aux_sym_grant_statement_token1] = ACTIONS(1832),
    [aux_sym_revoke_statement_token1] = ACTIONS(1832),
    [aux_sym_export_data_statement_token1] = ACTIONS(1832),
    [aux_sym_load_data_statement_token1] = ACTIONS(1832),
    [anon_sym_LBRACK] = ACTIONS(1830),
    [sym__quoted_identifier] = ACTIONS(1830),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1830),
    [anon_sym_PLUS] = ACTIONS(1830),
    [anon_sym_DASH] = ACTIONS(1832),
    [anon_sym_STAR] = ACTIONS(1830),
    [anon_sym_SLASH] = ACTIONS(1832),
    [anon_sym_PIPE_PIPE] = ACTIONS(1830),
    [anon_sym_LT_EQ] = ACTIONS(1830),
    [anon_sym_LT_GT] = ACTIONS(1830),
    [anon_sym_GT_EQ] = ACTIONS(1830),
    [anon_sym_BANG_EQ] = ACTIONS(1830),
    [anon_sym_LT_LT] = ACTIONS(1830),
    [anon_sym_GT_GT] = ACTIONS(1830),
    [anon_sym_AMP] = ACTIONS(1830),
    [anon_sym_CARET] = ACTIONS(1830),
    [anon_sym_PIPE] = ACTIONS(1832),
  },
  [3562] = {
    [sym__unquoted_identifier] = ACTIONS(1678),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1678),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1678),
    [aux_sym_keyword_replace_token1] = ACTIONS(1678),
    [aux_sym__keyword_alter_token1] = ACTIONS(1678),
    [aux_sym__keyword_delete_token1] = ACTIONS(1678),
    [aux_sym__keyword_begin_token1] = ACTIONS(1678),
    [aux_sym__keyword_end_token1] = ACTIONS(1678),
    [aux_sym__keyword_between_token1] = ACTIONS(1678),
    [aux_sym__keyword_else_token1] = ACTIONS(1678),
    [aux_sym__keyword_is_token1] = ACTIONS(1678),
    [aux_sym__keyword_in_token1] = ACTIONS(1678),
    [aux_sym__keyword_and_token1] = ACTIONS(1678),
    [aux_sym__keyword_like_token1] = ACTIONS(1678),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1678),
    [aux_sym__keyword_as_token1] = ACTIONS(1678),
    [aux_sym__keyword_date_token1] = ACTIONS(1678),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1678),
    [aux_sym__keyword_time_token1] = ACTIONS(1678),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1678),
    [aux_sym__keyword_for_token1] = ACTIONS(1678),
    [anon_sym_SEMI] = ACTIONS(1676),
    [aux_sym_declare_statement_token1] = ACTIONS(1678),
    [anon_sym_COMMA] = ACTIONS(1676),
    [aux_sym_set_statement_token1] = ACTIONS(1678),
    [anon_sym_LPAREN] = ACTIONS(1676),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1678),
    [aux_sym_return_satement_token1] = ACTIONS(1678),
    [aux_sym_call_statement_token1] = ACTIONS(1678),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1678),
    [aux_sym_if_statement_token1] = ACTIONS(1678),
    [aux_sym_loop_statement_token1] = ACTIONS(1678),
    [aux_sym_repeat_statement_token1] = ACTIONS(1678),
    [aux_sym_while_statement_token1] = ACTIONS(1678),
    [aux_sym_break_statement_token1] = ACTIONS(1678),
    [aux_sym_leave_statement_token1] = ACTIONS(1678),
    [aux_sym_continue_statement_token1] = ACTIONS(1678),
    [aux_sym_iterate_statement_token1] = ACTIONS(1678),
    [aux_sym_raise_statement_token1] = ACTIONS(1678),
    [anon_sym_EQ] = ACTIONS(1676),
    [aux_sym_assert_statement_token1] = ACTIONS(1678),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1678),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1678),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1678),
    [anon_sym_LT] = ACTIONS(1678),
    [anon_sym_GT] = ACTIONS(1678),
    [aux_sym_select_token1] = ACTIONS(1678),
    [aux_sym_insert_statement_token1] = ACTIONS(1678),
    [aux_sym_truncate_statement_token1] = ACTIONS(1678),
    [aux_sym_update_statement_token1] = ACTIONS(1678),
    [aux_sym_merge_statement_token1] = ACTIONS(1678),
    [aux_sym_grant_statement_token1] = ACTIONS(1678),
    [aux_sym_revoke_statement_token1] = ACTIONS(1678),
    [aux_sym_export_data_statement_token1] = ACTIONS(1678),
    [aux_sym_load_data_statement_token1] = ACTIONS(1678),
    [anon_sym_LBRACK] = ACTIONS(1676),
    [sym__quoted_identifier] = ACTIONS(1676),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1676),
    [anon_sym_PLUS] = ACTIONS(1676),
    [anon_sym_DASH] = ACTIONS(1678),
    [anon_sym_STAR] = ACTIONS(1676),
    [anon_sym_SLASH] = ACTIONS(1678),
    [anon_sym_PIPE_PIPE] = ACTIONS(1676),
    [anon_sym_LT_EQ] = ACTIONS(1676),
    [anon_sym_LT_GT] = ACTIONS(1676),
    [anon_sym_GT_EQ] = ACTIONS(1676),
    [anon_sym_BANG_EQ] = ACTIONS(1676),
    [anon_sym_LT_LT] = ACTIONS(1676),
    [anon_sym_GT_GT] = ACTIONS(1676),
    [anon_sym_AMP] = ACTIONS(1676),
    [anon_sym_CARET] = ACTIONS(1676),
    [anon_sym_PIPE] = ACTIONS(1678),
  },
  [3563] = {
    [sym__unquoted_identifier] = ACTIONS(1674),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1674),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1674),
    [aux_sym_keyword_replace_token1] = ACTIONS(1674),
    [aux_sym__keyword_alter_token1] = ACTIONS(1674),
    [aux_sym__keyword_delete_token1] = ACTIONS(1674),
    [aux_sym__keyword_begin_token1] = ACTIONS(1674),
    [aux_sym__keyword_end_token1] = ACTIONS(1674),
    [aux_sym__keyword_between_token1] = ACTIONS(1674),
    [aux_sym__keyword_else_token1] = ACTIONS(1674),
    [aux_sym__keyword_is_token1] = ACTIONS(1674),
    [aux_sym__keyword_in_token1] = ACTIONS(1674),
    [aux_sym__keyword_and_token1] = ACTIONS(1674),
    [aux_sym__keyword_like_token1] = ACTIONS(1674),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1674),
    [aux_sym__keyword_as_token1] = ACTIONS(1674),
    [aux_sym__keyword_date_token1] = ACTIONS(1674),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1674),
    [aux_sym__keyword_time_token1] = ACTIONS(1674),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1674),
    [aux_sym__keyword_for_token1] = ACTIONS(1674),
    [anon_sym_SEMI] = ACTIONS(1672),
    [aux_sym_declare_statement_token1] = ACTIONS(1674),
    [anon_sym_COMMA] = ACTIONS(1672),
    [aux_sym_set_statement_token1] = ACTIONS(1674),
    [anon_sym_LPAREN] = ACTIONS(1672),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1674),
    [aux_sym_return_satement_token1] = ACTIONS(1674),
    [aux_sym_call_statement_token1] = ACTIONS(1674),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1674),
    [aux_sym_if_statement_token1] = ACTIONS(1674),
    [aux_sym_loop_statement_token1] = ACTIONS(1674),
    [aux_sym_repeat_statement_token1] = ACTIONS(1674),
    [aux_sym_while_statement_token1] = ACTIONS(1674),
    [aux_sym_break_statement_token1] = ACTIONS(1674),
    [aux_sym_leave_statement_token1] = ACTIONS(1674),
    [aux_sym_continue_statement_token1] = ACTIONS(1674),
    [aux_sym_iterate_statement_token1] = ACTIONS(1674),
    [aux_sym_raise_statement_token1] = ACTIONS(1674),
    [anon_sym_EQ] = ACTIONS(1672),
    [aux_sym_assert_statement_token1] = ACTIONS(1674),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1674),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1674),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1674),
    [anon_sym_LT] = ACTIONS(1674),
    [anon_sym_GT] = ACTIONS(1674),
    [aux_sym_select_token1] = ACTIONS(1674),
    [aux_sym_insert_statement_token1] = ACTIONS(1674),
    [aux_sym_truncate_statement_token1] = ACTIONS(1674),
    [aux_sym_update_statement_token1] = ACTIONS(1674),
    [aux_sym_merge_statement_token1] = ACTIONS(1674),
    [aux_sym_grant_statement_token1] = ACTIONS(1674),
    [aux_sym_revoke_statement_token1] = ACTIONS(1674),
    [aux_sym_export_data_statement_token1] = ACTIONS(1674),
    [aux_sym_load_data_statement_token1] = ACTIONS(1674),
    [anon_sym_LBRACK] = ACTIONS(1672),
    [sym__quoted_identifier] = ACTIONS(1672),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1672),
    [anon_sym_PLUS] = ACTIONS(1672),
    [anon_sym_DASH] = ACTIONS(1674),
    [anon_sym_STAR] = ACTIONS(1672),
    [anon_sym_SLASH] = ACTIONS(1674),
    [anon_sym_PIPE_PIPE] = ACTIONS(1672),
    [anon_sym_LT_EQ] = ACTIONS(1672),
    [anon_sym_LT_GT] = ACTIONS(1672),
    [anon_sym_GT_EQ] = ACTIONS(1672),
    [anon_sym_BANG_EQ] = ACTIONS(1672),
    [anon_sym_LT_LT] = ACTIONS(1672),
    [anon_sym_GT_GT] = ACTIONS(1672),
    [anon_sym_AMP] = ACTIONS(1672),
    [anon_sym_CARET] = ACTIONS(1672),
    [anon_sym_PIPE] = ACTIONS(1674),
  },
  [3564] = {
    [sym__keyword_between] = STATE(1690),
    [sym__keyword_is] = STATE(12154),
    [sym__keyword_in] = STATE(1787),
    [sym__keyword_not] = STATE(13069),
    [sym__keyword_and] = STATE(1804),
    [sym__keyword_or] = STATE(1805),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [aux_sym_option_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3250),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_STAR] = ACTIONS(3254),
    [anon_sym_SLASH] = ACTIONS(3256),
    [anon_sym_PIPE_PIPE] = ACTIONS(3254),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(3258),
    [anon_sym_GT_GT] = ACTIONS(3258),
    [anon_sym_AMP] = ACTIONS(3260),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [3565] = {
    [sym__unquoted_identifier] = ACTIONS(1670),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1670),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1670),
    [aux_sym_keyword_replace_token1] = ACTIONS(1670),
    [aux_sym__keyword_alter_token1] = ACTIONS(1670),
    [aux_sym__keyword_delete_token1] = ACTIONS(1670),
    [aux_sym__keyword_begin_token1] = ACTIONS(1670),
    [aux_sym__keyword_end_token1] = ACTIONS(1670),
    [aux_sym__keyword_between_token1] = ACTIONS(1670),
    [aux_sym__keyword_else_token1] = ACTIONS(1670),
    [aux_sym__keyword_is_token1] = ACTIONS(1670),
    [aux_sym__keyword_in_token1] = ACTIONS(1670),
    [aux_sym__keyword_and_token1] = ACTIONS(1670),
    [aux_sym__keyword_like_token1] = ACTIONS(1670),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1670),
    [aux_sym__keyword_as_token1] = ACTIONS(1670),
    [aux_sym__keyword_date_token1] = ACTIONS(1670),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1670),
    [aux_sym__keyword_time_token1] = ACTIONS(1670),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1670),
    [aux_sym__keyword_for_token1] = ACTIONS(1670),
    [anon_sym_SEMI] = ACTIONS(1668),
    [aux_sym_declare_statement_token1] = ACTIONS(1670),
    [anon_sym_COMMA] = ACTIONS(1668),
    [aux_sym_set_statement_token1] = ACTIONS(1670),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1670),
    [aux_sym_return_satement_token1] = ACTIONS(1670),
    [aux_sym_call_statement_token1] = ACTIONS(1670),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1670),
    [aux_sym_if_statement_token1] = ACTIONS(1670),
    [aux_sym_loop_statement_token1] = ACTIONS(1670),
    [aux_sym_repeat_statement_token1] = ACTIONS(1670),
    [aux_sym_while_statement_token1] = ACTIONS(1670),
    [aux_sym_break_statement_token1] = ACTIONS(1670),
    [aux_sym_leave_statement_token1] = ACTIONS(1670),
    [aux_sym_continue_statement_token1] = ACTIONS(1670),
    [aux_sym_iterate_statement_token1] = ACTIONS(1670),
    [aux_sym_raise_statement_token1] = ACTIONS(1670),
    [anon_sym_EQ] = ACTIONS(1668),
    [aux_sym_assert_statement_token1] = ACTIONS(1670),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1670),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1670),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1670),
    [anon_sym_LT] = ACTIONS(1670),
    [anon_sym_GT] = ACTIONS(1670),
    [aux_sym_select_token1] = ACTIONS(1670),
    [aux_sym_insert_statement_token1] = ACTIONS(1670),
    [aux_sym_truncate_statement_token1] = ACTIONS(1670),
    [aux_sym_update_statement_token1] = ACTIONS(1670),
    [aux_sym_merge_statement_token1] = ACTIONS(1670),
    [aux_sym_grant_statement_token1] = ACTIONS(1670),
    [aux_sym_revoke_statement_token1] = ACTIONS(1670),
    [aux_sym_export_data_statement_token1] = ACTIONS(1670),
    [aux_sym_load_data_statement_token1] = ACTIONS(1670),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [sym__quoted_identifier] = ACTIONS(1668),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1668),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_STAR] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(1670),
    [anon_sym_PIPE_PIPE] = ACTIONS(1668),
    [anon_sym_LT_EQ] = ACTIONS(1668),
    [anon_sym_LT_GT] = ACTIONS(1668),
    [anon_sym_GT_EQ] = ACTIONS(1668),
    [anon_sym_BANG_EQ] = ACTIONS(1668),
    [anon_sym_LT_LT] = ACTIONS(1668),
    [anon_sym_GT_GT] = ACTIONS(1668),
    [anon_sym_AMP] = ACTIONS(1668),
    [anon_sym_CARET] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1670),
  },
  [3566] = {
    [sym__unquoted_identifier] = ACTIONS(1666),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1666),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1666),
    [aux_sym_keyword_replace_token1] = ACTIONS(1666),
    [aux_sym__keyword_alter_token1] = ACTIONS(1666),
    [aux_sym__keyword_delete_token1] = ACTIONS(1666),
    [aux_sym__keyword_begin_token1] = ACTIONS(1666),
    [aux_sym__keyword_end_token1] = ACTIONS(1666),
    [aux_sym__keyword_between_token1] = ACTIONS(1666),
    [aux_sym__keyword_else_token1] = ACTIONS(1666),
    [aux_sym__keyword_is_token1] = ACTIONS(1666),
    [aux_sym__keyword_in_token1] = ACTIONS(1666),
    [aux_sym__keyword_and_token1] = ACTIONS(1666),
    [aux_sym__keyword_like_token1] = ACTIONS(1666),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1666),
    [aux_sym__keyword_as_token1] = ACTIONS(1666),
    [aux_sym__keyword_date_token1] = ACTIONS(1666),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1666),
    [aux_sym__keyword_time_token1] = ACTIONS(1666),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1666),
    [aux_sym__keyword_for_token1] = ACTIONS(1666),
    [anon_sym_SEMI] = ACTIONS(1664),
    [aux_sym_declare_statement_token1] = ACTIONS(1666),
    [anon_sym_COMMA] = ACTIONS(1664),
    [aux_sym_set_statement_token1] = ACTIONS(1666),
    [anon_sym_LPAREN] = ACTIONS(1664),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1666),
    [aux_sym_return_satement_token1] = ACTIONS(1666),
    [aux_sym_call_statement_token1] = ACTIONS(1666),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1666),
    [aux_sym_if_statement_token1] = ACTIONS(1666),
    [aux_sym_loop_statement_token1] = ACTIONS(1666),
    [aux_sym_repeat_statement_token1] = ACTIONS(1666),
    [aux_sym_while_statement_token1] = ACTIONS(1666),
    [aux_sym_break_statement_token1] = ACTIONS(1666),
    [aux_sym_leave_statement_token1] = ACTIONS(1666),
    [aux_sym_continue_statement_token1] = ACTIONS(1666),
    [aux_sym_iterate_statement_token1] = ACTIONS(1666),
    [aux_sym_raise_statement_token1] = ACTIONS(1666),
    [anon_sym_EQ] = ACTIONS(1664),
    [aux_sym_assert_statement_token1] = ACTIONS(1666),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1666),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1666),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1666),
    [anon_sym_LT] = ACTIONS(1666),
    [anon_sym_GT] = ACTIONS(1666),
    [aux_sym_select_token1] = ACTIONS(1666),
    [aux_sym_insert_statement_token1] = ACTIONS(1666),
    [aux_sym_truncate_statement_token1] = ACTIONS(1666),
    [aux_sym_update_statement_token1] = ACTIONS(1666),
    [aux_sym_merge_statement_token1] = ACTIONS(1666),
    [aux_sym_grant_statement_token1] = ACTIONS(1666),
    [aux_sym_revoke_statement_token1] = ACTIONS(1666),
    [aux_sym_export_data_statement_token1] = ACTIONS(1666),
    [aux_sym_load_data_statement_token1] = ACTIONS(1666),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [sym__quoted_identifier] = ACTIONS(1664),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1664),
    [anon_sym_PLUS] = ACTIONS(1664),
    [anon_sym_DASH] = ACTIONS(1666),
    [anon_sym_STAR] = ACTIONS(1664),
    [anon_sym_SLASH] = ACTIONS(1666),
    [anon_sym_PIPE_PIPE] = ACTIONS(1664),
    [anon_sym_LT_EQ] = ACTIONS(1664),
    [anon_sym_LT_GT] = ACTIONS(1664),
    [anon_sym_GT_EQ] = ACTIONS(1664),
    [anon_sym_BANG_EQ] = ACTIONS(1664),
    [anon_sym_LT_LT] = ACTIONS(1664),
    [anon_sym_GT_GT] = ACTIONS(1664),
    [anon_sym_AMP] = ACTIONS(1664),
    [anon_sym_CARET] = ACTIONS(1664),
    [anon_sym_PIPE] = ACTIONS(1666),
  },
  [3567] = {
    [sym__unquoted_identifier] = ACTIONS(1662),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1662),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1662),
    [aux_sym_keyword_replace_token1] = ACTIONS(1662),
    [aux_sym__keyword_alter_token1] = ACTIONS(1662),
    [aux_sym__keyword_delete_token1] = ACTIONS(1662),
    [aux_sym__keyword_begin_token1] = ACTIONS(1662),
    [aux_sym__keyword_end_token1] = ACTIONS(1662),
    [aux_sym__keyword_between_token1] = ACTIONS(1662),
    [aux_sym__keyword_else_token1] = ACTIONS(1662),
    [aux_sym__keyword_is_token1] = ACTIONS(1662),
    [aux_sym__keyword_in_token1] = ACTIONS(1662),
    [aux_sym__keyword_and_token1] = ACTIONS(1662),
    [aux_sym__keyword_like_token1] = ACTIONS(1662),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1662),
    [aux_sym__keyword_as_token1] = ACTIONS(1662),
    [aux_sym__keyword_date_token1] = ACTIONS(1662),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1662),
    [aux_sym__keyword_time_token1] = ACTIONS(1662),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1662),
    [aux_sym__keyword_for_token1] = ACTIONS(1662),
    [anon_sym_SEMI] = ACTIONS(1660),
    [aux_sym_declare_statement_token1] = ACTIONS(1662),
    [anon_sym_COMMA] = ACTIONS(1660),
    [aux_sym_set_statement_token1] = ACTIONS(1662),
    [anon_sym_LPAREN] = ACTIONS(1660),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1662),
    [aux_sym_return_satement_token1] = ACTIONS(1662),
    [aux_sym_call_statement_token1] = ACTIONS(1662),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1662),
    [aux_sym_if_statement_token1] = ACTIONS(1662),
    [aux_sym_loop_statement_token1] = ACTIONS(1662),
    [aux_sym_repeat_statement_token1] = ACTIONS(1662),
    [aux_sym_while_statement_token1] = ACTIONS(1662),
    [aux_sym_break_statement_token1] = ACTIONS(1662),
    [aux_sym_leave_statement_token1] = ACTIONS(1662),
    [aux_sym_continue_statement_token1] = ACTIONS(1662),
    [aux_sym_iterate_statement_token1] = ACTIONS(1662),
    [aux_sym_raise_statement_token1] = ACTIONS(1662),
    [anon_sym_EQ] = ACTIONS(1660),
    [aux_sym_assert_statement_token1] = ACTIONS(1662),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1662),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1662),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1662),
    [anon_sym_LT] = ACTIONS(1662),
    [anon_sym_GT] = ACTIONS(1662),
    [aux_sym_select_token1] = ACTIONS(1662),
    [aux_sym_insert_statement_token1] = ACTIONS(1662),
    [aux_sym_truncate_statement_token1] = ACTIONS(1662),
    [aux_sym_update_statement_token1] = ACTIONS(1662),
    [aux_sym_merge_statement_token1] = ACTIONS(1662),
    [aux_sym_grant_statement_token1] = ACTIONS(1662),
    [aux_sym_revoke_statement_token1] = ACTIONS(1662),
    [aux_sym_export_data_statement_token1] = ACTIONS(1662),
    [aux_sym_load_data_statement_token1] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1660),
    [sym__quoted_identifier] = ACTIONS(1660),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1660),
    [anon_sym_PLUS] = ACTIONS(1660),
    [anon_sym_DASH] = ACTIONS(1662),
    [anon_sym_STAR] = ACTIONS(1660),
    [anon_sym_SLASH] = ACTIONS(1662),
    [anon_sym_PIPE_PIPE] = ACTIONS(1660),
    [anon_sym_LT_EQ] = ACTIONS(1660),
    [anon_sym_LT_GT] = ACTIONS(1660),
    [anon_sym_GT_EQ] = ACTIONS(1660),
    [anon_sym_BANG_EQ] = ACTIONS(1660),
    [anon_sym_LT_LT] = ACTIONS(1660),
    [anon_sym_GT_GT] = ACTIONS(1660),
    [anon_sym_AMP] = ACTIONS(1660),
    [anon_sym_CARET] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1662),
  },
  [3568] = {
    [sym__keyword_between] = STATE(1690),
    [sym__keyword_is] = STATE(12154),
    [sym__keyword_in] = STATE(1787),
    [sym__keyword_not] = STATE(13069),
    [sym__keyword_and] = STATE(1804),
    [sym__keyword_or] = STATE(1805),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [aux_sym_option_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3250),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_STAR] = ACTIONS(3254),
    [anon_sym_SLASH] = ACTIONS(3256),
    [anon_sym_PIPE_PIPE] = ACTIONS(3254),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(3258),
    [anon_sym_GT_GT] = ACTIONS(3258),
    [anon_sym_AMP] = ACTIONS(3260),
    [anon_sym_CARET] = ACTIONS(3262),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [3569] = {
    [sym__unquoted_identifier] = ACTIONS(1658),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1658),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1658),
    [aux_sym_keyword_replace_token1] = ACTIONS(1658),
    [aux_sym__keyword_alter_token1] = ACTIONS(1658),
    [aux_sym__keyword_delete_token1] = ACTIONS(1658),
    [aux_sym__keyword_begin_token1] = ACTIONS(1658),
    [aux_sym__keyword_end_token1] = ACTIONS(1658),
    [aux_sym__keyword_between_token1] = ACTIONS(1658),
    [aux_sym__keyword_else_token1] = ACTIONS(1658),
    [aux_sym__keyword_is_token1] = ACTIONS(1658),
    [aux_sym__keyword_in_token1] = ACTIONS(1658),
    [aux_sym__keyword_and_token1] = ACTIONS(1658),
    [aux_sym__keyword_like_token1] = ACTIONS(1658),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1658),
    [aux_sym__keyword_as_token1] = ACTIONS(1658),
    [aux_sym__keyword_date_token1] = ACTIONS(1658),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1658),
    [aux_sym__keyword_time_token1] = ACTIONS(1658),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1658),
    [aux_sym__keyword_for_token1] = ACTIONS(1658),
    [anon_sym_SEMI] = ACTIONS(1656),
    [aux_sym_declare_statement_token1] = ACTIONS(1658),
    [anon_sym_COMMA] = ACTIONS(1656),
    [aux_sym_set_statement_token1] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1658),
    [aux_sym_return_satement_token1] = ACTIONS(1658),
    [aux_sym_call_statement_token1] = ACTIONS(1658),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1658),
    [aux_sym_if_statement_token1] = ACTIONS(1658),
    [aux_sym_loop_statement_token1] = ACTIONS(1658),
    [aux_sym_repeat_statement_token1] = ACTIONS(1658),
    [aux_sym_while_statement_token1] = ACTIONS(1658),
    [aux_sym_break_statement_token1] = ACTIONS(1658),
    [aux_sym_leave_statement_token1] = ACTIONS(1658),
    [aux_sym_continue_statement_token1] = ACTIONS(1658),
    [aux_sym_iterate_statement_token1] = ACTIONS(1658),
    [aux_sym_raise_statement_token1] = ACTIONS(1658),
    [anon_sym_EQ] = ACTIONS(1656),
    [aux_sym_assert_statement_token1] = ACTIONS(1658),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1658),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1658),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1658),
    [anon_sym_LT] = ACTIONS(1658),
    [anon_sym_GT] = ACTIONS(1658),
    [aux_sym_select_token1] = ACTIONS(1658),
    [aux_sym_insert_statement_token1] = ACTIONS(1658),
    [aux_sym_truncate_statement_token1] = ACTIONS(1658),
    [aux_sym_update_statement_token1] = ACTIONS(1658),
    [aux_sym_merge_statement_token1] = ACTIONS(1658),
    [aux_sym_grant_statement_token1] = ACTIONS(1658),
    [aux_sym_revoke_statement_token1] = ACTIONS(1658),
    [aux_sym_export_data_statement_token1] = ACTIONS(1658),
    [aux_sym_load_data_statement_token1] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [sym__quoted_identifier] = ACTIONS(1656),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1656),
    [anon_sym_PLUS] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_STAR] = ACTIONS(1656),
    [anon_sym_SLASH] = ACTIONS(1658),
    [anon_sym_PIPE_PIPE] = ACTIONS(1656),
    [anon_sym_LT_EQ] = ACTIONS(1656),
    [anon_sym_LT_GT] = ACTIONS(1656),
    [anon_sym_GT_EQ] = ACTIONS(1656),
    [anon_sym_BANG_EQ] = ACTIONS(1656),
    [anon_sym_LT_LT] = ACTIONS(1656),
    [anon_sym_GT_GT] = ACTIONS(1656),
    [anon_sym_AMP] = ACTIONS(1656),
    [anon_sym_CARET] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1658),
  },
  [3570] = {
    [sym__unquoted_identifier] = ACTIONS(1654),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1654),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1654),
    [aux_sym_keyword_replace_token1] = ACTIONS(1654),
    [aux_sym__keyword_alter_token1] = ACTIONS(1654),
    [aux_sym__keyword_delete_token1] = ACTIONS(1654),
    [aux_sym__keyword_begin_token1] = ACTIONS(1654),
    [aux_sym__keyword_end_token1] = ACTIONS(1654),
    [aux_sym__keyword_between_token1] = ACTIONS(1654),
    [aux_sym__keyword_else_token1] = ACTIONS(1654),
    [aux_sym__keyword_is_token1] = ACTIONS(1654),
    [aux_sym__keyword_in_token1] = ACTIONS(1654),
    [aux_sym__keyword_and_token1] = ACTIONS(1654),
    [aux_sym__keyword_like_token1] = ACTIONS(1654),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1654),
    [aux_sym__keyword_as_token1] = ACTIONS(1654),
    [aux_sym__keyword_date_token1] = ACTIONS(1654),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1654),
    [aux_sym__keyword_time_token1] = ACTIONS(1654),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1654),
    [aux_sym__keyword_for_token1] = ACTIONS(1654),
    [anon_sym_SEMI] = ACTIONS(1652),
    [aux_sym_declare_statement_token1] = ACTIONS(1654),
    [anon_sym_COMMA] = ACTIONS(1652),
    [aux_sym_set_statement_token1] = ACTIONS(1654),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1654),
    [aux_sym_return_satement_token1] = ACTIONS(1654),
    [aux_sym_call_statement_token1] = ACTIONS(1654),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1654),
    [aux_sym_if_statement_token1] = ACTIONS(1654),
    [aux_sym_loop_statement_token1] = ACTIONS(1654),
    [aux_sym_repeat_statement_token1] = ACTIONS(1654),
    [aux_sym_while_statement_token1] = ACTIONS(1654),
    [aux_sym_break_statement_token1] = ACTIONS(1654),
    [aux_sym_leave_statement_token1] = ACTIONS(1654),
    [aux_sym_continue_statement_token1] = ACTIONS(1654),
    [aux_sym_iterate_statement_token1] = ACTIONS(1654),
    [aux_sym_raise_statement_token1] = ACTIONS(1654),
    [anon_sym_EQ] = ACTIONS(1652),
    [aux_sym_assert_statement_token1] = ACTIONS(1654),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1654),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1654),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1654),
    [anon_sym_LT] = ACTIONS(1654),
    [anon_sym_GT] = ACTIONS(1654),
    [aux_sym_select_token1] = ACTIONS(1654),
    [aux_sym_insert_statement_token1] = ACTIONS(1654),
    [aux_sym_truncate_statement_token1] = ACTIONS(1654),
    [aux_sym_update_statement_token1] = ACTIONS(1654),
    [aux_sym_merge_statement_token1] = ACTIONS(1654),
    [aux_sym_grant_statement_token1] = ACTIONS(1654),
    [aux_sym_revoke_statement_token1] = ACTIONS(1654),
    [aux_sym_export_data_statement_token1] = ACTIONS(1654),
    [aux_sym_load_data_statement_token1] = ACTIONS(1654),
    [anon_sym_LBRACK] = ACTIONS(1652),
    [sym__quoted_identifier] = ACTIONS(1652),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1652),
    [anon_sym_PLUS] = ACTIONS(1652),
    [anon_sym_DASH] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(1652),
    [anon_sym_SLASH] = ACTIONS(1654),
    [anon_sym_PIPE_PIPE] = ACTIONS(1652),
    [anon_sym_LT_EQ] = ACTIONS(1652),
    [anon_sym_LT_GT] = ACTIONS(1652),
    [anon_sym_GT_EQ] = ACTIONS(1652),
    [anon_sym_BANG_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT] = ACTIONS(1652),
    [anon_sym_GT_GT] = ACTIONS(1652),
    [anon_sym_AMP] = ACTIONS(1652),
    [anon_sym_CARET] = ACTIONS(1652),
    [anon_sym_PIPE] = ACTIONS(1654),
  },
  [3571] = {
    [sym__unquoted_identifier] = ACTIONS(1790),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1790),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1790),
    [aux_sym_keyword_replace_token1] = ACTIONS(1790),
    [aux_sym__keyword_alter_token1] = ACTIONS(1790),
    [aux_sym__keyword_delete_token1] = ACTIONS(1790),
    [aux_sym__keyword_begin_token1] = ACTIONS(1790),
    [aux_sym__keyword_end_token1] = ACTIONS(1790),
    [aux_sym__keyword_between_token1] = ACTIONS(1790),
    [aux_sym__keyword_else_token1] = ACTIONS(1790),
    [aux_sym__keyword_is_token1] = ACTIONS(1790),
    [aux_sym__keyword_in_token1] = ACTIONS(1790),
    [aux_sym__keyword_and_token1] = ACTIONS(1790),
    [aux_sym__keyword_like_token1] = ACTIONS(1790),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1790),
    [aux_sym__keyword_as_token1] = ACTIONS(1790),
    [aux_sym__keyword_date_token1] = ACTIONS(1790),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1790),
    [aux_sym__keyword_time_token1] = ACTIONS(1790),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1790),
    [aux_sym__keyword_for_token1] = ACTIONS(1790),
    [anon_sym_SEMI] = ACTIONS(1788),
    [aux_sym_declare_statement_token1] = ACTIONS(1790),
    [anon_sym_COMMA] = ACTIONS(1788),
    [aux_sym_set_statement_token1] = ACTIONS(1790),
    [anon_sym_LPAREN] = ACTIONS(1788),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1790),
    [aux_sym_return_satement_token1] = ACTIONS(1790),
    [aux_sym_call_statement_token1] = ACTIONS(1790),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1790),
    [aux_sym_if_statement_token1] = ACTIONS(1790),
    [aux_sym_loop_statement_token1] = ACTIONS(1790),
    [aux_sym_repeat_statement_token1] = ACTIONS(1790),
    [aux_sym_while_statement_token1] = ACTIONS(1790),
    [aux_sym_break_statement_token1] = ACTIONS(1790),
    [aux_sym_leave_statement_token1] = ACTIONS(1790),
    [aux_sym_continue_statement_token1] = ACTIONS(1790),
    [aux_sym_iterate_statement_token1] = ACTIONS(1790),
    [aux_sym_raise_statement_token1] = ACTIONS(1790),
    [anon_sym_EQ] = ACTIONS(1788),
    [aux_sym_assert_statement_token1] = ACTIONS(1790),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1790),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1790),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1790),
    [anon_sym_LT] = ACTIONS(1790),
    [anon_sym_GT] = ACTIONS(1790),
    [aux_sym_select_token1] = ACTIONS(1790),
    [aux_sym_insert_statement_token1] = ACTIONS(1790),
    [aux_sym_truncate_statement_token1] = ACTIONS(1790),
    [aux_sym_update_statement_token1] = ACTIONS(1790),
    [aux_sym_merge_statement_token1] = ACTIONS(1790),
    [aux_sym_grant_statement_token1] = ACTIONS(1790),
    [aux_sym_revoke_statement_token1] = ACTIONS(1790),
    [aux_sym_export_data_statement_token1] = ACTIONS(1790),
    [aux_sym_load_data_statement_token1] = ACTIONS(1790),
    [anon_sym_LBRACK] = ACTIONS(1788),
    [sym__quoted_identifier] = ACTIONS(1788),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1788),
    [anon_sym_PLUS] = ACTIONS(1788),
    [anon_sym_DASH] = ACTIONS(1790),
    [anon_sym_STAR] = ACTIONS(1788),
    [anon_sym_SLASH] = ACTIONS(1790),
    [anon_sym_PIPE_PIPE] = ACTIONS(1788),
    [anon_sym_LT_EQ] = ACTIONS(1788),
    [anon_sym_LT_GT] = ACTIONS(1788),
    [anon_sym_GT_EQ] = ACTIONS(1788),
    [anon_sym_BANG_EQ] = ACTIONS(1788),
    [anon_sym_LT_LT] = ACTIONS(1788),
    [anon_sym_GT_GT] = ACTIONS(1788),
    [anon_sym_AMP] = ACTIONS(1788),
    [anon_sym_CARET] = ACTIONS(1788),
    [anon_sym_PIPE] = ACTIONS(1790),
  },
  [3572] = {
    [sym__unquoted_identifier] = ACTIONS(1650),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1650),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1650),
    [aux_sym_keyword_replace_token1] = ACTIONS(1650),
    [aux_sym__keyword_alter_token1] = ACTIONS(1650),
    [aux_sym__keyword_delete_token1] = ACTIONS(1650),
    [aux_sym__keyword_begin_token1] = ACTIONS(1650),
    [aux_sym__keyword_end_token1] = ACTIONS(1650),
    [aux_sym__keyword_between_token1] = ACTIONS(1650),
    [aux_sym__keyword_else_token1] = ACTIONS(1650),
    [aux_sym__keyword_is_token1] = ACTIONS(1650),
    [aux_sym__keyword_in_token1] = ACTIONS(1650),
    [aux_sym__keyword_and_token1] = ACTIONS(1650),
    [aux_sym__keyword_like_token1] = ACTIONS(1650),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1650),
    [aux_sym__keyword_as_token1] = ACTIONS(1650),
    [aux_sym__keyword_date_token1] = ACTIONS(1650),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1650),
    [aux_sym__keyword_time_token1] = ACTIONS(1650),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1650),
    [aux_sym__keyword_for_token1] = ACTIONS(1650),
    [anon_sym_SEMI] = ACTIONS(1648),
    [aux_sym_declare_statement_token1] = ACTIONS(1650),
    [anon_sym_COMMA] = ACTIONS(1648),
    [aux_sym_set_statement_token1] = ACTIONS(1650),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1650),
    [aux_sym_return_satement_token1] = ACTIONS(1650),
    [aux_sym_call_statement_token1] = ACTIONS(1650),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1650),
    [aux_sym_if_statement_token1] = ACTIONS(1650),
    [aux_sym_loop_statement_token1] = ACTIONS(1650),
    [aux_sym_repeat_statement_token1] = ACTIONS(1650),
    [aux_sym_while_statement_token1] = ACTIONS(1650),
    [aux_sym_break_statement_token1] = ACTIONS(1650),
    [aux_sym_leave_statement_token1] = ACTIONS(1650),
    [aux_sym_continue_statement_token1] = ACTIONS(1650),
    [aux_sym_iterate_statement_token1] = ACTIONS(1650),
    [aux_sym_raise_statement_token1] = ACTIONS(1650),
    [anon_sym_EQ] = ACTIONS(1648),
    [aux_sym_assert_statement_token1] = ACTIONS(1650),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1650),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1650),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1650),
    [anon_sym_LT] = ACTIONS(1650),
    [anon_sym_GT] = ACTIONS(1650),
    [aux_sym_select_token1] = ACTIONS(1650),
    [aux_sym_insert_statement_token1] = ACTIONS(1650),
    [aux_sym_truncate_statement_token1] = ACTIONS(1650),
    [aux_sym_update_statement_token1] = ACTIONS(1650),
    [aux_sym_merge_statement_token1] = ACTIONS(1650),
    [aux_sym_grant_statement_token1] = ACTIONS(1650),
    [aux_sym_revoke_statement_token1] = ACTIONS(1650),
    [aux_sym_export_data_statement_token1] = ACTIONS(1650),
    [aux_sym_load_data_statement_token1] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1648),
    [sym__quoted_identifier] = ACTIONS(1648),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1648),
    [anon_sym_PLUS] = ACTIONS(1648),
    [anon_sym_DASH] = ACTIONS(1650),
    [anon_sym_STAR] = ACTIONS(1648),
    [anon_sym_SLASH] = ACTIONS(1650),
    [anon_sym_PIPE_PIPE] = ACTIONS(1648),
    [anon_sym_LT_EQ] = ACTIONS(1648),
    [anon_sym_LT_GT] = ACTIONS(1648),
    [anon_sym_GT_EQ] = ACTIONS(1648),
    [anon_sym_BANG_EQ] = ACTIONS(1648),
    [anon_sym_LT_LT] = ACTIONS(1648),
    [anon_sym_GT_GT] = ACTIONS(1648),
    [anon_sym_AMP] = ACTIONS(1648),
    [anon_sym_CARET] = ACTIONS(1648),
    [anon_sym_PIPE] = ACTIONS(1650),
  },
  [3573] = {
    [sym__unquoted_identifier] = ACTIONS(1646),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1646),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1646),
    [aux_sym_keyword_replace_token1] = ACTIONS(1646),
    [aux_sym__keyword_alter_token1] = ACTIONS(1646),
    [aux_sym__keyword_delete_token1] = ACTIONS(1646),
    [aux_sym__keyword_begin_token1] = ACTIONS(1646),
    [aux_sym__keyword_end_token1] = ACTIONS(1646),
    [aux_sym__keyword_between_token1] = ACTIONS(1646),
    [aux_sym__keyword_else_token1] = ACTIONS(1646),
    [aux_sym__keyword_is_token1] = ACTIONS(1646),
    [aux_sym__keyword_in_token1] = ACTIONS(1646),
    [aux_sym__keyword_and_token1] = ACTIONS(1646),
    [aux_sym__keyword_like_token1] = ACTIONS(1646),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1646),
    [aux_sym__keyword_as_token1] = ACTIONS(1646),
    [aux_sym__keyword_date_token1] = ACTIONS(1646),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1646),
    [aux_sym__keyword_time_token1] = ACTIONS(1646),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1646),
    [aux_sym__keyword_for_token1] = ACTIONS(1646),
    [anon_sym_SEMI] = ACTIONS(1644),
    [aux_sym_declare_statement_token1] = ACTIONS(1646),
    [anon_sym_COMMA] = ACTIONS(1644),
    [aux_sym_set_statement_token1] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1644),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1646),
    [aux_sym_return_satement_token1] = ACTIONS(1646),
    [aux_sym_call_statement_token1] = ACTIONS(1646),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1646),
    [aux_sym_if_statement_token1] = ACTIONS(1646),
    [aux_sym_loop_statement_token1] = ACTIONS(1646),
    [aux_sym_repeat_statement_token1] = ACTIONS(1646),
    [aux_sym_while_statement_token1] = ACTIONS(1646),
    [aux_sym_break_statement_token1] = ACTIONS(1646),
    [aux_sym_leave_statement_token1] = ACTIONS(1646),
    [aux_sym_continue_statement_token1] = ACTIONS(1646),
    [aux_sym_iterate_statement_token1] = ACTIONS(1646),
    [aux_sym_raise_statement_token1] = ACTIONS(1646),
    [anon_sym_EQ] = ACTIONS(1644),
    [aux_sym_assert_statement_token1] = ACTIONS(1646),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1646),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1646),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1646),
    [anon_sym_LT] = ACTIONS(1646),
    [anon_sym_GT] = ACTIONS(1646),
    [aux_sym_select_token1] = ACTIONS(1646),
    [aux_sym_insert_statement_token1] = ACTIONS(1646),
    [aux_sym_truncate_statement_token1] = ACTIONS(1646),
    [aux_sym_update_statement_token1] = ACTIONS(1646),
    [aux_sym_merge_statement_token1] = ACTIONS(1646),
    [aux_sym_grant_statement_token1] = ACTIONS(1646),
    [aux_sym_revoke_statement_token1] = ACTIONS(1646),
    [aux_sym_export_data_statement_token1] = ACTIONS(1646),
    [aux_sym_load_data_statement_token1] = ACTIONS(1646),
    [anon_sym_LBRACK] = ACTIONS(1644),
    [sym__quoted_identifier] = ACTIONS(1644),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1644),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1646),
    [anon_sym_STAR] = ACTIONS(1644),
    [anon_sym_SLASH] = ACTIONS(1646),
    [anon_sym_PIPE_PIPE] = ACTIONS(1644),
    [anon_sym_LT_EQ] = ACTIONS(1644),
    [anon_sym_LT_GT] = ACTIONS(1644),
    [anon_sym_GT_EQ] = ACTIONS(1644),
    [anon_sym_BANG_EQ] = ACTIONS(1644),
    [anon_sym_LT_LT] = ACTIONS(1644),
    [anon_sym_GT_GT] = ACTIONS(1644),
    [anon_sym_AMP] = ACTIONS(1644),
    [anon_sym_CARET] = ACTIONS(1644),
    [anon_sym_PIPE] = ACTIONS(1646),
  },
  [3574] = {
    [sym__unquoted_identifier] = ACTIONS(1642),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1642),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1642),
    [aux_sym_keyword_replace_token1] = ACTIONS(1642),
    [aux_sym__keyword_alter_token1] = ACTIONS(1642),
    [aux_sym__keyword_delete_token1] = ACTIONS(1642),
    [aux_sym__keyword_begin_token1] = ACTIONS(1642),
    [aux_sym__keyword_end_token1] = ACTIONS(1642),
    [aux_sym__keyword_between_token1] = ACTIONS(1642),
    [aux_sym__keyword_else_token1] = ACTIONS(1642),
    [aux_sym__keyword_is_token1] = ACTIONS(1642),
    [aux_sym__keyword_in_token1] = ACTIONS(1642),
    [aux_sym__keyword_and_token1] = ACTIONS(1642),
    [aux_sym__keyword_like_token1] = ACTIONS(1642),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1642),
    [aux_sym__keyword_as_token1] = ACTIONS(1642),
    [aux_sym__keyword_date_token1] = ACTIONS(1642),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1642),
    [aux_sym__keyword_time_token1] = ACTIONS(1642),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1642),
    [aux_sym__keyword_for_token1] = ACTIONS(1642),
    [anon_sym_SEMI] = ACTIONS(1640),
    [aux_sym_declare_statement_token1] = ACTIONS(1642),
    [anon_sym_COMMA] = ACTIONS(1640),
    [aux_sym_set_statement_token1] = ACTIONS(1642),
    [anon_sym_LPAREN] = ACTIONS(1640),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1642),
    [aux_sym_return_satement_token1] = ACTIONS(1642),
    [aux_sym_call_statement_token1] = ACTIONS(1642),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1642),
    [aux_sym_if_statement_token1] = ACTIONS(1642),
    [aux_sym_loop_statement_token1] = ACTIONS(1642),
    [aux_sym_repeat_statement_token1] = ACTIONS(1642),
    [aux_sym_while_statement_token1] = ACTIONS(1642),
    [aux_sym_break_statement_token1] = ACTIONS(1642),
    [aux_sym_leave_statement_token1] = ACTIONS(1642),
    [aux_sym_continue_statement_token1] = ACTIONS(1642),
    [aux_sym_iterate_statement_token1] = ACTIONS(1642),
    [aux_sym_raise_statement_token1] = ACTIONS(1642),
    [anon_sym_EQ] = ACTIONS(1640),
    [aux_sym_assert_statement_token1] = ACTIONS(1642),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1642),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1642),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1642),
    [anon_sym_LT] = ACTIONS(1642),
    [anon_sym_GT] = ACTIONS(1642),
    [aux_sym_select_token1] = ACTIONS(1642),
    [aux_sym_insert_statement_token1] = ACTIONS(1642),
    [aux_sym_truncate_statement_token1] = ACTIONS(1642),
    [aux_sym_update_statement_token1] = ACTIONS(1642),
    [aux_sym_merge_statement_token1] = ACTIONS(1642),
    [aux_sym_grant_statement_token1] = ACTIONS(1642),
    [aux_sym_revoke_statement_token1] = ACTIONS(1642),
    [aux_sym_export_data_statement_token1] = ACTIONS(1642),
    [aux_sym_load_data_statement_token1] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(1640),
    [sym__quoted_identifier] = ACTIONS(1640),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1640),
    [anon_sym_PLUS] = ACTIONS(1640),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1640),
    [anon_sym_SLASH] = ACTIONS(1642),
    [anon_sym_PIPE_PIPE] = ACTIONS(1640),
    [anon_sym_LT_EQ] = ACTIONS(1640),
    [anon_sym_LT_GT] = ACTIONS(1640),
    [anon_sym_GT_EQ] = ACTIONS(1640),
    [anon_sym_BANG_EQ] = ACTIONS(1640),
    [anon_sym_LT_LT] = ACTIONS(1640),
    [anon_sym_GT_GT] = ACTIONS(1640),
    [anon_sym_AMP] = ACTIONS(1640),
    [anon_sym_CARET] = ACTIONS(1640),
    [anon_sym_PIPE] = ACTIONS(1642),
  },
  [3575] = {
    [sym__unquoted_identifier] = ACTIONS(1638),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1638),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1638),
    [aux_sym_keyword_replace_token1] = ACTIONS(1638),
    [aux_sym__keyword_alter_token1] = ACTIONS(1638),
    [aux_sym__keyword_delete_token1] = ACTIONS(1638),
    [aux_sym__keyword_begin_token1] = ACTIONS(1638),
    [aux_sym__keyword_end_token1] = ACTIONS(1638),
    [aux_sym__keyword_between_token1] = ACTIONS(1638),
    [aux_sym__keyword_else_token1] = ACTIONS(1638),
    [aux_sym__keyword_is_token1] = ACTIONS(1638),
    [aux_sym__keyword_in_token1] = ACTIONS(1638),
    [aux_sym__keyword_and_token1] = ACTIONS(1638),
    [aux_sym__keyword_like_token1] = ACTIONS(1638),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1638),
    [aux_sym__keyword_as_token1] = ACTIONS(1638),
    [aux_sym__keyword_date_token1] = ACTIONS(1638),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1638),
    [aux_sym__keyword_time_token1] = ACTIONS(1638),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1638),
    [aux_sym__keyword_for_token1] = ACTIONS(1638),
    [anon_sym_SEMI] = ACTIONS(1636),
    [aux_sym_declare_statement_token1] = ACTIONS(1638),
    [anon_sym_COMMA] = ACTIONS(1636),
    [aux_sym_set_statement_token1] = ACTIONS(1638),
    [anon_sym_LPAREN] = ACTIONS(1636),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1638),
    [aux_sym_return_satement_token1] = ACTIONS(1638),
    [aux_sym_call_statement_token1] = ACTIONS(1638),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1638),
    [aux_sym_if_statement_token1] = ACTIONS(1638),
    [aux_sym_loop_statement_token1] = ACTIONS(1638),
    [aux_sym_repeat_statement_token1] = ACTIONS(1638),
    [aux_sym_while_statement_token1] = ACTIONS(1638),
    [aux_sym_break_statement_token1] = ACTIONS(1638),
    [aux_sym_leave_statement_token1] = ACTIONS(1638),
    [aux_sym_continue_statement_token1] = ACTIONS(1638),
    [aux_sym_iterate_statement_token1] = ACTIONS(1638),
    [aux_sym_raise_statement_token1] = ACTIONS(1638),
    [anon_sym_EQ] = ACTIONS(1636),
    [aux_sym_assert_statement_token1] = ACTIONS(1638),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1638),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1638),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1638),
    [anon_sym_LT] = ACTIONS(1638),
    [anon_sym_GT] = ACTIONS(1638),
    [aux_sym_select_token1] = ACTIONS(1638),
    [aux_sym_insert_statement_token1] = ACTIONS(1638),
    [aux_sym_truncate_statement_token1] = ACTIONS(1638),
    [aux_sym_update_statement_token1] = ACTIONS(1638),
    [aux_sym_merge_statement_token1] = ACTIONS(1638),
    [aux_sym_grant_statement_token1] = ACTIONS(1638),
    [aux_sym_revoke_statement_token1] = ACTIONS(1638),
    [aux_sym_export_data_statement_token1] = ACTIONS(1638),
    [aux_sym_load_data_statement_token1] = ACTIONS(1638),
    [anon_sym_LBRACK] = ACTIONS(1636),
    [sym__quoted_identifier] = ACTIONS(1636),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1636),
    [anon_sym_PLUS] = ACTIONS(1636),
    [anon_sym_DASH] = ACTIONS(1638),
    [anon_sym_STAR] = ACTIONS(1636),
    [anon_sym_SLASH] = ACTIONS(1638),
    [anon_sym_PIPE_PIPE] = ACTIONS(1636),
    [anon_sym_LT_EQ] = ACTIONS(1636),
    [anon_sym_LT_GT] = ACTIONS(1636),
    [anon_sym_GT_EQ] = ACTIONS(1636),
    [anon_sym_BANG_EQ] = ACTIONS(1636),
    [anon_sym_LT_LT] = ACTIONS(1636),
    [anon_sym_GT_GT] = ACTIONS(1636),
    [anon_sym_AMP] = ACTIONS(1636),
    [anon_sym_CARET] = ACTIONS(1636),
    [anon_sym_PIPE] = ACTIONS(1638),
  },
  [3576] = {
    [sym__unquoted_identifier] = ACTIONS(1634),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1634),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1634),
    [aux_sym_keyword_replace_token1] = ACTIONS(1634),
    [aux_sym__keyword_alter_token1] = ACTIONS(1634),
    [aux_sym__keyword_delete_token1] = ACTIONS(1634),
    [aux_sym__keyword_begin_token1] = ACTIONS(1634),
    [aux_sym__keyword_end_token1] = ACTIONS(1634),
    [aux_sym__keyword_between_token1] = ACTIONS(1634),
    [aux_sym__keyword_else_token1] = ACTIONS(1634),
    [aux_sym__keyword_is_token1] = ACTIONS(1634),
    [aux_sym__keyword_in_token1] = ACTIONS(1634),
    [aux_sym__keyword_and_token1] = ACTIONS(1634),
    [aux_sym__keyword_like_token1] = ACTIONS(1634),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1634),
    [aux_sym__keyword_as_token1] = ACTIONS(1634),
    [aux_sym__keyword_date_token1] = ACTIONS(1634),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1634),
    [aux_sym__keyword_time_token1] = ACTIONS(1634),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1634),
    [aux_sym__keyword_for_token1] = ACTIONS(1634),
    [anon_sym_SEMI] = ACTIONS(1632),
    [aux_sym_declare_statement_token1] = ACTIONS(1634),
    [anon_sym_COMMA] = ACTIONS(1632),
    [aux_sym_set_statement_token1] = ACTIONS(1634),
    [anon_sym_LPAREN] = ACTIONS(1632),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1634),
    [aux_sym_return_satement_token1] = ACTIONS(1634),
    [aux_sym_call_statement_token1] = ACTIONS(1634),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1634),
    [aux_sym_if_statement_token1] = ACTIONS(1634),
    [aux_sym_loop_statement_token1] = ACTIONS(1634),
    [aux_sym_repeat_statement_token1] = ACTIONS(1634),
    [aux_sym_while_statement_token1] = ACTIONS(1634),
    [aux_sym_break_statement_token1] = ACTIONS(1634),
    [aux_sym_leave_statement_token1] = ACTIONS(1634),
    [aux_sym_continue_statement_token1] = ACTIONS(1634),
    [aux_sym_iterate_statement_token1] = ACTIONS(1634),
    [aux_sym_raise_statement_token1] = ACTIONS(1634),
    [anon_sym_EQ] = ACTIONS(1632),
    [aux_sym_assert_statement_token1] = ACTIONS(1634),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1634),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1634),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1634),
    [anon_sym_LT] = ACTIONS(1634),
    [anon_sym_GT] = ACTIONS(1634),
    [aux_sym_select_token1] = ACTIONS(1634),
    [aux_sym_insert_statement_token1] = ACTIONS(1634),
    [aux_sym_truncate_statement_token1] = ACTIONS(1634),
    [aux_sym_update_statement_token1] = ACTIONS(1634),
    [aux_sym_merge_statement_token1] = ACTIONS(1634),
    [aux_sym_grant_statement_token1] = ACTIONS(1634),
    [aux_sym_revoke_statement_token1] = ACTIONS(1634),
    [aux_sym_export_data_statement_token1] = ACTIONS(1634),
    [aux_sym_load_data_statement_token1] = ACTIONS(1634),
    [anon_sym_LBRACK] = ACTIONS(1632),
    [sym__quoted_identifier] = ACTIONS(1632),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1632),
    [anon_sym_PLUS] = ACTIONS(1632),
    [anon_sym_DASH] = ACTIONS(1634),
    [anon_sym_STAR] = ACTIONS(1632),
    [anon_sym_SLASH] = ACTIONS(1634),
    [anon_sym_PIPE_PIPE] = ACTIONS(1632),
    [anon_sym_LT_EQ] = ACTIONS(1632),
    [anon_sym_LT_GT] = ACTIONS(1632),
    [anon_sym_GT_EQ] = ACTIONS(1632),
    [anon_sym_BANG_EQ] = ACTIONS(1632),
    [anon_sym_LT_LT] = ACTIONS(1632),
    [anon_sym_GT_GT] = ACTIONS(1632),
    [anon_sym_AMP] = ACTIONS(1632),
    [anon_sym_CARET] = ACTIONS(1632),
    [anon_sym_PIPE] = ACTIONS(1634),
  },
  [3577] = {
    [sym__unquoted_identifier] = ACTIONS(1624),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1624),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1624),
    [aux_sym_keyword_replace_token1] = ACTIONS(1624),
    [aux_sym__keyword_alter_token1] = ACTIONS(1624),
    [aux_sym__keyword_delete_token1] = ACTIONS(1624),
    [aux_sym__keyword_begin_token1] = ACTIONS(1624),
    [aux_sym__keyword_end_token1] = ACTIONS(1624),
    [aux_sym__keyword_between_token1] = ACTIONS(1624),
    [aux_sym__keyword_else_token1] = ACTIONS(1624),
    [aux_sym__keyword_is_token1] = ACTIONS(1624),
    [aux_sym__keyword_in_token1] = ACTIONS(1624),
    [aux_sym__keyword_and_token1] = ACTIONS(1624),
    [aux_sym__keyword_like_token1] = ACTIONS(1624),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1624),
    [aux_sym__keyword_as_token1] = ACTIONS(1624),
    [aux_sym__keyword_date_token1] = ACTIONS(1624),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1624),
    [aux_sym__keyword_time_token1] = ACTIONS(1624),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1624),
    [aux_sym__keyword_for_token1] = ACTIONS(1624),
    [anon_sym_SEMI] = ACTIONS(1622),
    [aux_sym_declare_statement_token1] = ACTIONS(1624),
    [anon_sym_COMMA] = ACTIONS(1622),
    [aux_sym_set_statement_token1] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(3272),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1624),
    [aux_sym_return_satement_token1] = ACTIONS(1624),
    [aux_sym_call_statement_token1] = ACTIONS(1624),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1624),
    [aux_sym_if_statement_token1] = ACTIONS(1624),
    [aux_sym_loop_statement_token1] = ACTIONS(1624),
    [aux_sym_repeat_statement_token1] = ACTIONS(1624),
    [aux_sym_while_statement_token1] = ACTIONS(1624),
    [aux_sym_break_statement_token1] = ACTIONS(1624),
    [aux_sym_leave_statement_token1] = ACTIONS(1624),
    [aux_sym_continue_statement_token1] = ACTIONS(1624),
    [aux_sym_iterate_statement_token1] = ACTIONS(1624),
    [aux_sym_raise_statement_token1] = ACTIONS(1624),
    [anon_sym_EQ] = ACTIONS(1622),
    [aux_sym_assert_statement_token1] = ACTIONS(1624),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1624),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1624),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1624),
    [anon_sym_LT] = ACTIONS(1624),
    [anon_sym_GT] = ACTIONS(1624),
    [aux_sym_select_token1] = ACTIONS(1624),
    [aux_sym_insert_statement_token1] = ACTIONS(1624),
    [aux_sym_truncate_statement_token1] = ACTIONS(1624),
    [aux_sym_update_statement_token1] = ACTIONS(1624),
    [aux_sym_merge_statement_token1] = ACTIONS(1624),
    [aux_sym_grant_statement_token1] = ACTIONS(1624),
    [aux_sym_revoke_statement_token1] = ACTIONS(1624),
    [aux_sym_export_data_statement_token1] = ACTIONS(1624),
    [aux_sym_load_data_statement_token1] = ACTIONS(1624),
    [anon_sym_LBRACK] = ACTIONS(1622),
    [sym__quoted_identifier] = ACTIONS(1622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1622),
    [anon_sym_PLUS] = ACTIONS(1622),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_STAR] = ACTIONS(1622),
    [anon_sym_SLASH] = ACTIONS(1624),
    [anon_sym_PIPE_PIPE] = ACTIONS(1622),
    [anon_sym_LT_EQ] = ACTIONS(1622),
    [anon_sym_LT_GT] = ACTIONS(1622),
    [anon_sym_GT_EQ] = ACTIONS(1622),
    [anon_sym_BANG_EQ] = ACTIONS(1622),
    [anon_sym_LT_LT] = ACTIONS(1622),
    [anon_sym_GT_GT] = ACTIONS(1622),
    [anon_sym_AMP] = ACTIONS(1622),
    [anon_sym_CARET] = ACTIONS(1622),
    [anon_sym_PIPE] = ACTIONS(1624),
  },
  [3578] = {
    [sym__unquoted_identifier] = ACTIONS(1628),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1628),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1628),
    [aux_sym_keyword_replace_token1] = ACTIONS(1628),
    [aux_sym__keyword_alter_token1] = ACTIONS(1628),
    [aux_sym__keyword_delete_token1] = ACTIONS(1628),
    [aux_sym__keyword_begin_token1] = ACTIONS(1628),
    [aux_sym__keyword_end_token1] = ACTIONS(1628),
    [aux_sym__keyword_between_token1] = ACTIONS(1628),
    [aux_sym__keyword_else_token1] = ACTIONS(1628),
    [aux_sym__keyword_is_token1] = ACTIONS(1628),
    [aux_sym__keyword_in_token1] = ACTIONS(1628),
    [aux_sym__keyword_and_token1] = ACTIONS(1628),
    [aux_sym__keyword_like_token1] = ACTIONS(1628),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1628),
    [aux_sym__keyword_as_token1] = ACTIONS(1628),
    [aux_sym__keyword_date_token1] = ACTIONS(1628),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1628),
    [aux_sym__keyword_time_token1] = ACTIONS(1628),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1628),
    [aux_sym__keyword_for_token1] = ACTIONS(1628),
    [anon_sym_SEMI] = ACTIONS(1626),
    [aux_sym_declare_statement_token1] = ACTIONS(1628),
    [anon_sym_COMMA] = ACTIONS(1626),
    [aux_sym_set_statement_token1] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1626),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1628),
    [aux_sym_return_satement_token1] = ACTIONS(1628),
    [aux_sym_call_statement_token1] = ACTIONS(1628),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1628),
    [aux_sym_if_statement_token1] = ACTIONS(1628),
    [aux_sym_loop_statement_token1] = ACTIONS(1628),
    [aux_sym_repeat_statement_token1] = ACTIONS(1628),
    [aux_sym_while_statement_token1] = ACTIONS(1628),
    [aux_sym_break_statement_token1] = ACTIONS(1628),
    [aux_sym_leave_statement_token1] = ACTIONS(1628),
    [aux_sym_continue_statement_token1] = ACTIONS(1628),
    [aux_sym_iterate_statement_token1] = ACTIONS(1628),
    [aux_sym_raise_statement_token1] = ACTIONS(1628),
    [anon_sym_EQ] = ACTIONS(1626),
    [aux_sym_assert_statement_token1] = ACTIONS(1628),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1628),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1628),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1628),
    [anon_sym_LT] = ACTIONS(1628),
    [anon_sym_GT] = ACTIONS(1628),
    [aux_sym_select_token1] = ACTIONS(1628),
    [aux_sym_insert_statement_token1] = ACTIONS(1628),
    [aux_sym_truncate_statement_token1] = ACTIONS(1628),
    [aux_sym_update_statement_token1] = ACTIONS(1628),
    [aux_sym_merge_statement_token1] = ACTIONS(1628),
    [aux_sym_grant_statement_token1] = ACTIONS(1628),
    [aux_sym_revoke_statement_token1] = ACTIONS(1628),
    [aux_sym_export_data_statement_token1] = ACTIONS(1628),
    [aux_sym_load_data_statement_token1] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1626),
    [sym__quoted_identifier] = ACTIONS(1626),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1626),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1628),
    [anon_sym_STAR] = ACTIONS(1626),
    [anon_sym_SLASH] = ACTIONS(1628),
    [anon_sym_PIPE_PIPE] = ACTIONS(1626),
    [anon_sym_LT_EQ] = ACTIONS(1626),
    [anon_sym_LT_GT] = ACTIONS(1626),
    [anon_sym_GT_EQ] = ACTIONS(1626),
    [anon_sym_BANG_EQ] = ACTIONS(1626),
    [anon_sym_LT_LT] = ACTIONS(1626),
    [anon_sym_GT_GT] = ACTIONS(1626),
    [anon_sym_AMP] = ACTIONS(1626),
    [anon_sym_CARET] = ACTIONS(1626),
    [anon_sym_PIPE] = ACTIONS(1628),
  },
  [3579] = {
    [sym__unquoted_identifier] = ACTIONS(1624),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1624),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1624),
    [aux_sym_keyword_replace_token1] = ACTIONS(1624),
    [aux_sym__keyword_alter_token1] = ACTIONS(1624),
    [aux_sym__keyword_delete_token1] = ACTIONS(1624),
    [aux_sym__keyword_begin_token1] = ACTIONS(1624),
    [aux_sym__keyword_end_token1] = ACTIONS(1624),
    [aux_sym__keyword_between_token1] = ACTIONS(1624),
    [aux_sym__keyword_else_token1] = ACTIONS(1624),
    [aux_sym__keyword_is_token1] = ACTIONS(1624),
    [aux_sym__keyword_in_token1] = ACTIONS(1624),
    [aux_sym__keyword_and_token1] = ACTIONS(1624),
    [aux_sym__keyword_like_token1] = ACTIONS(1624),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1624),
    [aux_sym__keyword_as_token1] = ACTIONS(1624),
    [aux_sym__keyword_date_token1] = ACTIONS(1624),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1624),
    [aux_sym__keyword_time_token1] = ACTIONS(1624),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1624),
    [aux_sym__keyword_for_token1] = ACTIONS(1624),
    [anon_sym_SEMI] = ACTIONS(1622),
    [aux_sym_declare_statement_token1] = ACTIONS(1624),
    [anon_sym_COMMA] = ACTIONS(1622),
    [aux_sym_set_statement_token1] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1622),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1624),
    [aux_sym_return_satement_token1] = ACTIONS(1624),
    [aux_sym_call_statement_token1] = ACTIONS(1624),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1624),
    [aux_sym_if_statement_token1] = ACTIONS(1624),
    [aux_sym_loop_statement_token1] = ACTIONS(1624),
    [aux_sym_repeat_statement_token1] = ACTIONS(1624),
    [aux_sym_while_statement_token1] = ACTIONS(1624),
    [aux_sym_break_statement_token1] = ACTIONS(1624),
    [aux_sym_leave_statement_token1] = ACTIONS(1624),
    [aux_sym_continue_statement_token1] = ACTIONS(1624),
    [aux_sym_iterate_statement_token1] = ACTIONS(1624),
    [aux_sym_raise_statement_token1] = ACTIONS(1624),
    [anon_sym_EQ] = ACTIONS(1622),
    [aux_sym_assert_statement_token1] = ACTIONS(1624),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1624),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1624),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1624),
    [anon_sym_LT] = ACTIONS(1624),
    [anon_sym_GT] = ACTIONS(1624),
    [aux_sym_select_token1] = ACTIONS(1624),
    [aux_sym_insert_statement_token1] = ACTIONS(1624),
    [aux_sym_truncate_statement_token1] = ACTIONS(1624),
    [aux_sym_update_statement_token1] = ACTIONS(1624),
    [aux_sym_merge_statement_token1] = ACTIONS(1624),
    [aux_sym_grant_statement_token1] = ACTIONS(1624),
    [aux_sym_revoke_statement_token1] = ACTIONS(1624),
    [aux_sym_export_data_statement_token1] = ACTIONS(1624),
    [aux_sym_load_data_statement_token1] = ACTIONS(1624),
    [anon_sym_LBRACK] = ACTIONS(1622),
    [sym__quoted_identifier] = ACTIONS(1622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1622),
    [anon_sym_PLUS] = ACTIONS(1622),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_STAR] = ACTIONS(1622),
    [anon_sym_SLASH] = ACTIONS(1624),
    [anon_sym_PIPE_PIPE] = ACTIONS(1622),
    [anon_sym_LT_EQ] = ACTIONS(1622),
    [anon_sym_LT_GT] = ACTIONS(1622),
    [anon_sym_GT_EQ] = ACTIONS(1622),
    [anon_sym_BANG_EQ] = ACTIONS(1622),
    [anon_sym_LT_LT] = ACTIONS(1622),
    [anon_sym_GT_GT] = ACTIONS(1622),
    [anon_sym_AMP] = ACTIONS(1622),
    [anon_sym_CARET] = ACTIONS(1622),
    [anon_sym_PIPE] = ACTIONS(1624),
  },
  [3580] = {
    [sym__unquoted_identifier] = ACTIONS(1620),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1620),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1620),
    [aux_sym_keyword_replace_token1] = ACTIONS(1620),
    [aux_sym__keyword_alter_token1] = ACTIONS(1620),
    [aux_sym__keyword_delete_token1] = ACTIONS(1620),
    [aux_sym__keyword_begin_token1] = ACTIONS(1620),
    [aux_sym__keyword_end_token1] = ACTIONS(1620),
    [aux_sym__keyword_between_token1] = ACTIONS(1620),
    [aux_sym__keyword_else_token1] = ACTIONS(1620),
    [aux_sym__keyword_is_token1] = ACTIONS(1620),
    [aux_sym__keyword_in_token1] = ACTIONS(1620),
    [aux_sym__keyword_and_token1] = ACTIONS(1620),
    [aux_sym__keyword_like_token1] = ACTIONS(1620),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1620),
    [aux_sym__keyword_as_token1] = ACTIONS(1620),
    [aux_sym__keyword_date_token1] = ACTIONS(1620),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1620),
    [aux_sym__keyword_time_token1] = ACTIONS(1620),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1620),
    [aux_sym__keyword_for_token1] = ACTIONS(1620),
    [anon_sym_SEMI] = ACTIONS(1618),
    [aux_sym_declare_statement_token1] = ACTIONS(1620),
    [anon_sym_COMMA] = ACTIONS(1618),
    [aux_sym_set_statement_token1] = ACTIONS(1620),
    [anon_sym_LPAREN] = ACTIONS(1618),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1620),
    [aux_sym_return_satement_token1] = ACTIONS(1620),
    [aux_sym_call_statement_token1] = ACTIONS(1620),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1620),
    [aux_sym_if_statement_token1] = ACTIONS(1620),
    [aux_sym_loop_statement_token1] = ACTIONS(1620),
    [aux_sym_repeat_statement_token1] = ACTIONS(1620),
    [aux_sym_while_statement_token1] = ACTIONS(1620),
    [aux_sym_break_statement_token1] = ACTIONS(1620),
    [aux_sym_leave_statement_token1] = ACTIONS(1620),
    [aux_sym_continue_statement_token1] = ACTIONS(1620),
    [aux_sym_iterate_statement_token1] = ACTIONS(1620),
    [aux_sym_raise_statement_token1] = ACTIONS(1620),
    [anon_sym_EQ] = ACTIONS(1618),
    [aux_sym_assert_statement_token1] = ACTIONS(1620),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1620),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1620),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1620),
    [anon_sym_LT] = ACTIONS(1620),
    [anon_sym_GT] = ACTIONS(1620),
    [aux_sym_select_token1] = ACTIONS(1620),
    [aux_sym_insert_statement_token1] = ACTIONS(1620),
    [aux_sym_truncate_statement_token1] = ACTIONS(1620),
    [aux_sym_update_statement_token1] = ACTIONS(1620),
    [aux_sym_merge_statement_token1] = ACTIONS(1620),
    [aux_sym_grant_statement_token1] = ACTIONS(1620),
    [aux_sym_revoke_statement_token1] = ACTIONS(1620),
    [aux_sym_export_data_statement_token1] = ACTIONS(1620),
    [aux_sym_load_data_statement_token1] = ACTIONS(1620),
    [anon_sym_LBRACK] = ACTIONS(1618),
    [sym__quoted_identifier] = ACTIONS(1618),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1618),
    [anon_sym_PLUS] = ACTIONS(1618),
    [anon_sym_DASH] = ACTIONS(1620),
    [anon_sym_STAR] = ACTIONS(1618),
    [anon_sym_SLASH] = ACTIONS(1620),
    [anon_sym_PIPE_PIPE] = ACTIONS(1618),
    [anon_sym_LT_EQ] = ACTIONS(1618),
    [anon_sym_LT_GT] = ACTIONS(1618),
    [anon_sym_GT_EQ] = ACTIONS(1618),
    [anon_sym_BANG_EQ] = ACTIONS(1618),
    [anon_sym_LT_LT] = ACTIONS(1618),
    [anon_sym_GT_GT] = ACTIONS(1618),
    [anon_sym_AMP] = ACTIONS(1618),
    [anon_sym_CARET] = ACTIONS(1618),
    [anon_sym_PIPE] = ACTIONS(1620),
  },
  [3581] = {
    [sym__unquoted_identifier] = ACTIONS(1616),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1616),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1616),
    [aux_sym_keyword_replace_token1] = ACTIONS(1616),
    [aux_sym__keyword_alter_token1] = ACTIONS(1616),
    [aux_sym__keyword_delete_token1] = ACTIONS(1616),
    [aux_sym__keyword_begin_token1] = ACTIONS(1616),
    [aux_sym__keyword_end_token1] = ACTIONS(1616),
    [aux_sym__keyword_between_token1] = ACTIONS(1616),
    [aux_sym__keyword_else_token1] = ACTIONS(1616),
    [aux_sym__keyword_is_token1] = ACTIONS(1616),
    [aux_sym__keyword_in_token1] = ACTIONS(1616),
    [aux_sym__keyword_and_token1] = ACTIONS(1616),
    [aux_sym__keyword_like_token1] = ACTIONS(1616),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1616),
    [aux_sym__keyword_as_token1] = ACTIONS(1616),
    [aux_sym__keyword_date_token1] = ACTIONS(1616),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1616),
    [aux_sym__keyword_time_token1] = ACTIONS(1616),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1616),
    [aux_sym__keyword_for_token1] = ACTIONS(1616),
    [anon_sym_SEMI] = ACTIONS(1614),
    [aux_sym_declare_statement_token1] = ACTIONS(1616),
    [anon_sym_COMMA] = ACTIONS(1614),
    [aux_sym_set_statement_token1] = ACTIONS(1616),
    [anon_sym_LPAREN] = ACTIONS(1614),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1616),
    [aux_sym_return_satement_token1] = ACTIONS(1616),
    [aux_sym_call_statement_token1] = ACTIONS(1616),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1616),
    [aux_sym_if_statement_token1] = ACTIONS(1616),
    [aux_sym_loop_statement_token1] = ACTIONS(1616),
    [aux_sym_repeat_statement_token1] = ACTIONS(1616),
    [aux_sym_while_statement_token1] = ACTIONS(1616),
    [aux_sym_break_statement_token1] = ACTIONS(1616),
    [aux_sym_leave_statement_token1] = ACTIONS(1616),
    [aux_sym_continue_statement_token1] = ACTIONS(1616),
    [aux_sym_iterate_statement_token1] = ACTIONS(1616),
    [aux_sym_raise_statement_token1] = ACTIONS(1616),
    [anon_sym_EQ] = ACTIONS(1614),
    [aux_sym_assert_statement_token1] = ACTIONS(1616),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1616),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1616),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1616),
    [anon_sym_LT] = ACTIONS(1616),
    [anon_sym_GT] = ACTIONS(1616),
    [aux_sym_select_token1] = ACTIONS(1616),
    [aux_sym_insert_statement_token1] = ACTIONS(1616),
    [aux_sym_truncate_statement_token1] = ACTIONS(1616),
    [aux_sym_update_statement_token1] = ACTIONS(1616),
    [aux_sym_merge_statement_token1] = ACTIONS(1616),
    [aux_sym_grant_statement_token1] = ACTIONS(1616),
    [aux_sym_revoke_statement_token1] = ACTIONS(1616),
    [aux_sym_export_data_statement_token1] = ACTIONS(1616),
    [aux_sym_load_data_statement_token1] = ACTIONS(1616),
    [anon_sym_LBRACK] = ACTIONS(1614),
    [sym__quoted_identifier] = ACTIONS(1614),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1614),
    [anon_sym_PLUS] = ACTIONS(1614),
    [anon_sym_DASH] = ACTIONS(1616),
    [anon_sym_STAR] = ACTIONS(1614),
    [anon_sym_SLASH] = ACTIONS(1616),
    [anon_sym_PIPE_PIPE] = ACTIONS(1614),
    [anon_sym_LT_EQ] = ACTIONS(1614),
    [anon_sym_LT_GT] = ACTIONS(1614),
    [anon_sym_GT_EQ] = ACTIONS(1614),
    [anon_sym_BANG_EQ] = ACTIONS(1614),
    [anon_sym_LT_LT] = ACTIONS(1614),
    [anon_sym_GT_GT] = ACTIONS(1614),
    [anon_sym_AMP] = ACTIONS(1614),
    [anon_sym_CARET] = ACTIONS(1614),
    [anon_sym_PIPE] = ACTIONS(1616),
  },
  [3582] = {
    [sym__unquoted_identifier] = ACTIONS(1612),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1612),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1612),
    [aux_sym_keyword_replace_token1] = ACTIONS(1612),
    [aux_sym__keyword_alter_token1] = ACTIONS(1612),
    [aux_sym__keyword_delete_token1] = ACTIONS(1612),
    [aux_sym__keyword_begin_token1] = ACTIONS(1612),
    [aux_sym__keyword_end_token1] = ACTIONS(1612),
    [aux_sym__keyword_between_token1] = ACTIONS(1612),
    [aux_sym__keyword_else_token1] = ACTIONS(1612),
    [aux_sym__keyword_is_token1] = ACTIONS(1612),
    [aux_sym__keyword_in_token1] = ACTIONS(1612),
    [aux_sym__keyword_and_token1] = ACTIONS(1612),
    [aux_sym__keyword_like_token1] = ACTIONS(1612),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1612),
    [aux_sym__keyword_as_token1] = ACTIONS(1612),
    [aux_sym__keyword_date_token1] = ACTIONS(1612),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1612),
    [aux_sym__keyword_time_token1] = ACTIONS(1612),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1612),
    [aux_sym__keyword_for_token1] = ACTIONS(1612),
    [anon_sym_SEMI] = ACTIONS(1610),
    [aux_sym_declare_statement_token1] = ACTIONS(1612),
    [anon_sym_COMMA] = ACTIONS(1610),
    [aux_sym_set_statement_token1] = ACTIONS(1612),
    [anon_sym_LPAREN] = ACTIONS(1610),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1612),
    [aux_sym_return_satement_token1] = ACTIONS(1612),
    [aux_sym_call_statement_token1] = ACTIONS(1612),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1612),
    [aux_sym_if_statement_token1] = ACTIONS(1612),
    [aux_sym_loop_statement_token1] = ACTIONS(1612),
    [aux_sym_repeat_statement_token1] = ACTIONS(1612),
    [aux_sym_while_statement_token1] = ACTIONS(1612),
    [aux_sym_break_statement_token1] = ACTIONS(1612),
    [aux_sym_leave_statement_token1] = ACTIONS(1612),
    [aux_sym_continue_statement_token1] = ACTIONS(1612),
    [aux_sym_iterate_statement_token1] = ACTIONS(1612),
    [aux_sym_raise_statement_token1] = ACTIONS(1612),
    [anon_sym_EQ] = ACTIONS(1610),
    [aux_sym_assert_statement_token1] = ACTIONS(1612),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1612),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1612),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1612),
    [anon_sym_LT] = ACTIONS(1612),
    [anon_sym_GT] = ACTIONS(1612),
    [aux_sym_select_token1] = ACTIONS(1612),
    [aux_sym_insert_statement_token1] = ACTIONS(1612),
    [aux_sym_truncate_statement_token1] = ACTIONS(1612),
    [aux_sym_update_statement_token1] = ACTIONS(1612),
    [aux_sym_merge_statement_token1] = ACTIONS(1612),
    [aux_sym_grant_statement_token1] = ACTIONS(1612),
    [aux_sym_revoke_statement_token1] = ACTIONS(1612),
    [aux_sym_export_data_statement_token1] = ACTIONS(1612),
    [aux_sym_load_data_statement_token1] = ACTIONS(1612),
    [anon_sym_LBRACK] = ACTIONS(1610),
    [sym__quoted_identifier] = ACTIONS(1610),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1610),
    [anon_sym_PLUS] = ACTIONS(1610),
    [anon_sym_DASH] = ACTIONS(1612),
    [anon_sym_STAR] = ACTIONS(1610),
    [anon_sym_SLASH] = ACTIONS(1612),
    [anon_sym_PIPE_PIPE] = ACTIONS(1610),
    [anon_sym_LT_EQ] = ACTIONS(1610),
    [anon_sym_LT_GT] = ACTIONS(1610),
    [anon_sym_GT_EQ] = ACTIONS(1610),
    [anon_sym_BANG_EQ] = ACTIONS(1610),
    [anon_sym_LT_LT] = ACTIONS(1610),
    [anon_sym_GT_GT] = ACTIONS(1610),
    [anon_sym_AMP] = ACTIONS(1610),
    [anon_sym_CARET] = ACTIONS(1610),
    [anon_sym_PIPE] = ACTIONS(1612),
  },
  [3583] = {
    [sym__unquoted_identifier] = ACTIONS(1608),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1608),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1608),
    [aux_sym_keyword_replace_token1] = ACTIONS(1608),
    [aux_sym__keyword_alter_token1] = ACTIONS(1608),
    [aux_sym__keyword_delete_token1] = ACTIONS(1608),
    [aux_sym__keyword_begin_token1] = ACTIONS(1608),
    [aux_sym__keyword_end_token1] = ACTIONS(1608),
    [aux_sym__keyword_between_token1] = ACTIONS(1608),
    [aux_sym__keyword_else_token1] = ACTIONS(1608),
    [aux_sym__keyword_is_token1] = ACTIONS(1608),
    [aux_sym__keyword_in_token1] = ACTIONS(1608),
    [aux_sym__keyword_and_token1] = ACTIONS(1608),
    [aux_sym__keyword_like_token1] = ACTIONS(1608),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1608),
    [aux_sym__keyword_as_token1] = ACTIONS(1608),
    [aux_sym__keyword_date_token1] = ACTIONS(1608),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1608),
    [aux_sym__keyword_time_token1] = ACTIONS(1608),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1608),
    [aux_sym__keyword_for_token1] = ACTIONS(1608),
    [anon_sym_SEMI] = ACTIONS(1606),
    [aux_sym_declare_statement_token1] = ACTIONS(1608),
    [anon_sym_COMMA] = ACTIONS(1606),
    [aux_sym_set_statement_token1] = ACTIONS(1608),
    [anon_sym_LPAREN] = ACTIONS(1606),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1608),
    [aux_sym_return_satement_token1] = ACTIONS(1608),
    [aux_sym_call_statement_token1] = ACTIONS(1608),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1608),
    [aux_sym_if_statement_token1] = ACTIONS(1608),
    [aux_sym_loop_statement_token1] = ACTIONS(1608),
    [aux_sym_repeat_statement_token1] = ACTIONS(1608),
    [aux_sym_while_statement_token1] = ACTIONS(1608),
    [aux_sym_break_statement_token1] = ACTIONS(1608),
    [aux_sym_leave_statement_token1] = ACTIONS(1608),
    [aux_sym_continue_statement_token1] = ACTIONS(1608),
    [aux_sym_iterate_statement_token1] = ACTIONS(1608),
    [aux_sym_raise_statement_token1] = ACTIONS(1608),
    [anon_sym_EQ] = ACTIONS(1606),
    [aux_sym_assert_statement_token1] = ACTIONS(1608),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1608),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1608),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1608),
    [anon_sym_LT] = ACTIONS(1608),
    [anon_sym_GT] = ACTIONS(1608),
    [aux_sym_select_token1] = ACTIONS(1608),
    [aux_sym_insert_statement_token1] = ACTIONS(1608),
    [aux_sym_truncate_statement_token1] = ACTIONS(1608),
    [aux_sym_update_statement_token1] = ACTIONS(1608),
    [aux_sym_merge_statement_token1] = ACTIONS(1608),
    [aux_sym_grant_statement_token1] = ACTIONS(1608),
    [aux_sym_revoke_statement_token1] = ACTIONS(1608),
    [aux_sym_export_data_statement_token1] = ACTIONS(1608),
    [aux_sym_load_data_statement_token1] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(1606),
    [sym__quoted_identifier] = ACTIONS(1606),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1606),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_STAR] = ACTIONS(1606),
    [anon_sym_SLASH] = ACTIONS(1608),
    [anon_sym_PIPE_PIPE] = ACTIONS(1606),
    [anon_sym_LT_EQ] = ACTIONS(1606),
    [anon_sym_LT_GT] = ACTIONS(1606),
    [anon_sym_GT_EQ] = ACTIONS(1606),
    [anon_sym_BANG_EQ] = ACTIONS(1606),
    [anon_sym_LT_LT] = ACTIONS(1606),
    [anon_sym_GT_GT] = ACTIONS(1606),
    [anon_sym_AMP] = ACTIONS(1606),
    [anon_sym_CARET] = ACTIONS(1606),
    [anon_sym_PIPE] = ACTIONS(1608),
  },
  [3584] = {
    [sym__unquoted_identifier] = ACTIONS(1604),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1604),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1604),
    [aux_sym_keyword_replace_token1] = ACTIONS(1604),
    [aux_sym__keyword_alter_token1] = ACTIONS(1604),
    [aux_sym__keyword_delete_token1] = ACTIONS(1604),
    [aux_sym__keyword_begin_token1] = ACTIONS(1604),
    [aux_sym__keyword_end_token1] = ACTIONS(1604),
    [aux_sym__keyword_between_token1] = ACTIONS(1604),
    [aux_sym__keyword_else_token1] = ACTIONS(1604),
    [aux_sym__keyword_is_token1] = ACTIONS(1604),
    [aux_sym__keyword_in_token1] = ACTIONS(1604),
    [aux_sym__keyword_and_token1] = ACTIONS(1604),
    [aux_sym__keyword_like_token1] = ACTIONS(1604),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1604),
    [aux_sym__keyword_as_token1] = ACTIONS(1604),
    [aux_sym__keyword_date_token1] = ACTIONS(1604),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1604),
    [aux_sym__keyword_time_token1] = ACTIONS(1604),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1604),
    [aux_sym__keyword_for_token1] = ACTIONS(1604),
    [anon_sym_SEMI] = ACTIONS(1602),
    [aux_sym_declare_statement_token1] = ACTIONS(1604),
    [anon_sym_COMMA] = ACTIONS(1602),
    [aux_sym_set_statement_token1] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(1602),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1604),
    [aux_sym_return_satement_token1] = ACTIONS(1604),
    [aux_sym_call_statement_token1] = ACTIONS(1604),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1604),
    [aux_sym_if_statement_token1] = ACTIONS(1604),
    [aux_sym_loop_statement_token1] = ACTIONS(1604),
    [aux_sym_repeat_statement_token1] = ACTIONS(1604),
    [aux_sym_while_statement_token1] = ACTIONS(1604),
    [aux_sym_break_statement_token1] = ACTIONS(1604),
    [aux_sym_leave_statement_token1] = ACTIONS(1604),
    [aux_sym_continue_statement_token1] = ACTIONS(1604),
    [aux_sym_iterate_statement_token1] = ACTIONS(1604),
    [aux_sym_raise_statement_token1] = ACTIONS(1604),
    [anon_sym_EQ] = ACTIONS(1602),
    [aux_sym_assert_statement_token1] = ACTIONS(1604),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1604),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1604),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1604),
    [anon_sym_LT] = ACTIONS(1604),
    [anon_sym_GT] = ACTIONS(1604),
    [aux_sym_select_token1] = ACTIONS(1604),
    [aux_sym_insert_statement_token1] = ACTIONS(1604),
    [aux_sym_truncate_statement_token1] = ACTIONS(1604),
    [aux_sym_update_statement_token1] = ACTIONS(1604),
    [aux_sym_merge_statement_token1] = ACTIONS(1604),
    [aux_sym_grant_statement_token1] = ACTIONS(1604),
    [aux_sym_revoke_statement_token1] = ACTIONS(1604),
    [aux_sym_export_data_statement_token1] = ACTIONS(1604),
    [aux_sym_load_data_statement_token1] = ACTIONS(1604),
    [anon_sym_LBRACK] = ACTIONS(1602),
    [sym__quoted_identifier] = ACTIONS(1602),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1602),
    [anon_sym_PLUS] = ACTIONS(1602),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_STAR] = ACTIONS(1602),
    [anon_sym_SLASH] = ACTIONS(1604),
    [anon_sym_PIPE_PIPE] = ACTIONS(1602),
    [anon_sym_LT_EQ] = ACTIONS(1602),
    [anon_sym_LT_GT] = ACTIONS(1602),
    [anon_sym_GT_EQ] = ACTIONS(1602),
    [anon_sym_BANG_EQ] = ACTIONS(1602),
    [anon_sym_LT_LT] = ACTIONS(1602),
    [anon_sym_GT_GT] = ACTIONS(1602),
    [anon_sym_AMP] = ACTIONS(1602),
    [anon_sym_CARET] = ACTIONS(1602),
    [anon_sym_PIPE] = ACTIONS(1604),
  },
  [3585] = {
    [sym__keyword_between] = STATE(1690),
    [sym__keyword_is] = STATE(12154),
    [sym__keyword_in] = STATE(1787),
    [sym__keyword_not] = STATE(13069),
    [sym__keyword_and] = STATE(1804),
    [sym__keyword_or] = STATE(1805),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(3238),
    [aux_sym__keyword_is_token1] = ACTIONS(3240),
    [aux_sym__keyword_in_token1] = ACTIONS(3242),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(3248),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [aux_sym_option_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(3242),
    [anon_sym_GT] = ACTIONS(3242),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3250),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_STAR] = ACTIONS(3254),
    [anon_sym_SLASH] = ACTIONS(3256),
    [anon_sym_PIPE_PIPE] = ACTIONS(3254),
    [anon_sym_LT_EQ] = ACTIONS(3248),
    [anon_sym_LT_GT] = ACTIONS(3248),
    [anon_sym_GT_EQ] = ACTIONS(3248),
    [anon_sym_BANG_EQ] = ACTIONS(3248),
    [anon_sym_LT_LT] = ACTIONS(3258),
    [anon_sym_GT_GT] = ACTIONS(3258),
    [anon_sym_AMP] = ACTIONS(3260),
    [anon_sym_CARET] = ACTIONS(3262),
    [anon_sym_PIPE] = ACTIONS(3264),
  },
  [3586] = {
    [sym__unquoted_identifier] = ACTIONS(1778),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1778),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1778),
    [aux_sym_keyword_replace_token1] = ACTIONS(1778),
    [aux_sym__keyword_alter_token1] = ACTIONS(1778),
    [aux_sym__keyword_delete_token1] = ACTIONS(1778),
    [aux_sym__keyword_begin_token1] = ACTIONS(1778),
    [aux_sym__keyword_end_token1] = ACTIONS(1778),
    [aux_sym__keyword_between_token1] = ACTIONS(1778),
    [aux_sym__keyword_else_token1] = ACTIONS(1778),
    [aux_sym__keyword_is_token1] = ACTIONS(1778),
    [aux_sym__keyword_in_token1] = ACTIONS(1778),
    [aux_sym__keyword_and_token1] = ACTIONS(1778),
    [aux_sym__keyword_like_token1] = ACTIONS(1778),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1778),
    [aux_sym__keyword_as_token1] = ACTIONS(1778),
    [aux_sym__keyword_date_token1] = ACTIONS(1778),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1778),
    [aux_sym__keyword_time_token1] = ACTIONS(1778),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1778),
    [aux_sym__keyword_for_token1] = ACTIONS(1778),
    [anon_sym_SEMI] = ACTIONS(1776),
    [aux_sym_declare_statement_token1] = ACTIONS(1778),
    [anon_sym_COMMA] = ACTIONS(1776),
    [aux_sym_set_statement_token1] = ACTIONS(1778),
    [anon_sym_LPAREN] = ACTIONS(1776),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1778),
    [aux_sym_return_satement_token1] = ACTIONS(1778),
    [aux_sym_call_statement_token1] = ACTIONS(1778),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1778),
    [aux_sym_if_statement_token1] = ACTIONS(1778),
    [aux_sym_loop_statement_token1] = ACTIONS(1778),
    [aux_sym_repeat_statement_token1] = ACTIONS(1778),
    [aux_sym_while_statement_token1] = ACTIONS(1778),
    [aux_sym_break_statement_token1] = ACTIONS(1778),
    [aux_sym_leave_statement_token1] = ACTIONS(1778),
    [aux_sym_continue_statement_token1] = ACTIONS(1778),
    [aux_sym_iterate_statement_token1] = ACTIONS(1778),
    [aux_sym_raise_statement_token1] = ACTIONS(1778),
    [anon_sym_EQ] = ACTIONS(1776),
    [aux_sym_assert_statement_token1] = ACTIONS(1778),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1778),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1778),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1778),
    [anon_sym_LT] = ACTIONS(1778),
    [anon_sym_GT] = ACTIONS(1778),
    [aux_sym_select_token1] = ACTIONS(1778),
    [aux_sym_insert_statement_token1] = ACTIONS(1778),
    [aux_sym_truncate_statement_token1] = ACTIONS(1778),
    [aux_sym_update_statement_token1] = ACTIONS(1778),
    [aux_sym_merge_statement_token1] = ACTIONS(1778),
    [aux_sym_grant_statement_token1] = ACTIONS(1778),
    [aux_sym_revoke_statement_token1] = ACTIONS(1778),
    [aux_sym_export_data_statement_token1] = ACTIONS(1778),
    [aux_sym_load_data_statement_token1] = ACTIONS(1778),
    [anon_sym_LBRACK] = ACTIONS(1776),
    [sym__quoted_identifier] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1776),
    [anon_sym_PLUS] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1778),
    [anon_sym_STAR] = ACTIONS(1776),
    [anon_sym_SLASH] = ACTIONS(1778),
    [anon_sym_PIPE_PIPE] = ACTIONS(1776),
    [anon_sym_LT_EQ] = ACTIONS(1776),
    [anon_sym_LT_GT] = ACTIONS(1776),
    [anon_sym_GT_EQ] = ACTIONS(1776),
    [anon_sym_BANG_EQ] = ACTIONS(1776),
    [anon_sym_LT_LT] = ACTIONS(1776),
    [anon_sym_GT_GT] = ACTIONS(1776),
    [anon_sym_AMP] = ACTIONS(1776),
    [anon_sym_CARET] = ACTIONS(1776),
    [anon_sym_PIPE] = ACTIONS(1778),
  },
  [3587] = {
    [sym__keyword_between] = STATE(1690),
    [sym__keyword_is] = STATE(12154),
    [sym__keyword_in] = STATE(1787),
    [sym__keyword_not] = STATE(13069),
    [sym__keyword_and] = STATE(1804),
    [sym__keyword_or] = STATE(1805),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(1039),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1039),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1039),
    [aux_sym_keyword_replace_token1] = ACTIONS(1039),
    [aux_sym__keyword_alter_token1] = ACTIONS(1039),
    [aux_sym__keyword_delete_token1] = ACTIONS(1039),
    [aux_sym__keyword_begin_token1] = ACTIONS(1039),
    [aux_sym__keyword_between_token1] = ACTIONS(1039),
    [aux_sym__keyword_is_token1] = ACTIONS(1039),
    [aux_sym__keyword_in_token1] = ACTIONS(1041),
    [aux_sym__keyword_and_token1] = ACTIONS(1039),
    [aux_sym__keyword_like_token1] = ACTIONS(1039),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1039),
    [aux_sym__keyword_as_token1] = ACTIONS(1041),
    [aux_sym__keyword_for_token1] = ACTIONS(1039),
    [anon_sym_SEMI] = ACTIONS(1039),
    [aux_sym_declare_statement_token1] = ACTIONS(1039),
    [anon_sym_COMMA] = ACTIONS(1039),
    [aux_sym_set_statement_token1] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(1039),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1039),
    [aux_sym_return_satement_token1] = ACTIONS(1039),
    [aux_sym_call_statement_token1] = ACTIONS(1039),
    [aux_sym_loop_statement_token1] = ACTIONS(1039),
    [aux_sym_while_statement_token1] = ACTIONS(1039),
    [aux_sym_break_statement_token1] = ACTIONS(1039),
    [aux_sym_leave_statement_token1] = ACTIONS(1039),
    [aux_sym_continue_statement_token1] = ACTIONS(1039),
    [aux_sym_iterate_statement_token1] = ACTIONS(1039),
    [aux_sym_raise_statement_token1] = ACTIONS(1039),
    [anon_sym_EQ] = ACTIONS(1039),
    [aux_sym_assert_statement_token1] = ACTIONS(1039),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1039),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1039),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1039),
    [aux_sym_option_clause_token1] = ACTIONS(1039),
    [anon_sym_LT] = ACTIONS(1041),
    [anon_sym_GT] = ACTIONS(1041),
    [aux_sym_select_token1] = ACTIONS(1039),
    [aux_sym_insert_statement_token1] = ACTIONS(1039),
    [aux_sym_truncate_statement_token1] = ACTIONS(1039),
    [aux_sym_update_statement_token1] = ACTIONS(1039),
    [aux_sym_merge_statement_token1] = ACTIONS(1039),
    [aux_sym_grant_statement_token1] = ACTIONS(1039),
    [aux_sym_revoke_statement_token1] = ACTIONS(1039),
    [aux_sym_export_data_statement_token1] = ACTIONS(1039),
    [aux_sym_load_data_statement_token1] = ACTIONS(1039),
    [anon_sym_LBRACK] = ACTIONS(1039),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1039),
    [anon_sym_PLUS] = ACTIONS(3250),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_STAR] = ACTIONS(3254),
    [anon_sym_SLASH] = ACTIONS(3256),
    [anon_sym_PIPE_PIPE] = ACTIONS(3254),
    [anon_sym_LT_EQ] = ACTIONS(1039),
    [anon_sym_LT_GT] = ACTIONS(1039),
    [anon_sym_GT_EQ] = ACTIONS(1039),
    [anon_sym_BANG_EQ] = ACTIONS(1039),
    [anon_sym_LT_LT] = ACTIONS(3258),
    [anon_sym_GT_GT] = ACTIONS(3258),
    [anon_sym_AMP] = ACTIONS(3260),
    [anon_sym_CARET] = ACTIONS(3262),
    [anon_sym_PIPE] = ACTIONS(3264),
  },
  [3588] = {
    [sym__keyword_between] = STATE(1690),
    [sym__keyword_is] = STATE(12154),
    [sym__keyword_in] = STATE(1787),
    [sym__keyword_not] = STATE(13069),
    [sym__keyword_and] = STATE(1804),
    [sym__keyword_or] = STATE(1805),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(1035),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1035),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1035),
    [aux_sym_keyword_replace_token1] = ACTIONS(1035),
    [aux_sym__keyword_alter_token1] = ACTIONS(1035),
    [aux_sym__keyword_delete_token1] = ACTIONS(1035),
    [aux_sym__keyword_begin_token1] = ACTIONS(1035),
    [aux_sym__keyword_between_token1] = ACTIONS(1035),
    [aux_sym__keyword_is_token1] = ACTIONS(1035),
    [aux_sym__keyword_in_token1] = ACTIONS(1037),
    [aux_sym__keyword_and_token1] = ACTIONS(1035),
    [aux_sym__keyword_like_token1] = ACTIONS(1035),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1035),
    [aux_sym__keyword_as_token1] = ACTIONS(1037),
    [aux_sym__keyword_for_token1] = ACTIONS(1035),
    [anon_sym_SEMI] = ACTIONS(1035),
    [aux_sym_declare_statement_token1] = ACTIONS(1035),
    [anon_sym_COMMA] = ACTIONS(1035),
    [aux_sym_set_statement_token1] = ACTIONS(1035),
    [anon_sym_LPAREN] = ACTIONS(1035),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1035),
    [aux_sym_return_satement_token1] = ACTIONS(1035),
    [aux_sym_call_statement_token1] = ACTIONS(1035),
    [aux_sym_loop_statement_token1] = ACTIONS(1035),
    [aux_sym_while_statement_token1] = ACTIONS(1035),
    [aux_sym_break_statement_token1] = ACTIONS(1035),
    [aux_sym_leave_statement_token1] = ACTIONS(1035),
    [aux_sym_continue_statement_token1] = ACTIONS(1035),
    [aux_sym_iterate_statement_token1] = ACTIONS(1035),
    [aux_sym_raise_statement_token1] = ACTIONS(1035),
    [anon_sym_EQ] = ACTIONS(1035),
    [aux_sym_assert_statement_token1] = ACTIONS(1035),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1035),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1035),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1035),
    [aux_sym_option_clause_token1] = ACTIONS(1035),
    [anon_sym_LT] = ACTIONS(1037),
    [anon_sym_GT] = ACTIONS(1037),
    [aux_sym_select_token1] = ACTIONS(1035),
    [aux_sym_insert_statement_token1] = ACTIONS(1035),
    [aux_sym_truncate_statement_token1] = ACTIONS(1035),
    [aux_sym_update_statement_token1] = ACTIONS(1035),
    [aux_sym_merge_statement_token1] = ACTIONS(1035),
    [aux_sym_grant_statement_token1] = ACTIONS(1035),
    [aux_sym_revoke_statement_token1] = ACTIONS(1035),
    [aux_sym_export_data_statement_token1] = ACTIONS(1035),
    [aux_sym_load_data_statement_token1] = ACTIONS(1035),
    [anon_sym_LBRACK] = ACTIONS(1035),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1035),
    [anon_sym_PLUS] = ACTIONS(3250),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_STAR] = ACTIONS(3254),
    [anon_sym_SLASH] = ACTIONS(3256),
    [anon_sym_PIPE_PIPE] = ACTIONS(3254),
    [anon_sym_LT_EQ] = ACTIONS(1035),
    [anon_sym_LT_GT] = ACTIONS(1035),
    [anon_sym_GT_EQ] = ACTIONS(1035),
    [anon_sym_BANG_EQ] = ACTIONS(1035),
    [anon_sym_LT_LT] = ACTIONS(3258),
    [anon_sym_GT_GT] = ACTIONS(3258),
    [anon_sym_AMP] = ACTIONS(3260),
    [anon_sym_CARET] = ACTIONS(3262),
    [anon_sym_PIPE] = ACTIONS(3264),
  },
  [3589] = {
    [sym__keyword_between] = STATE(1690),
    [sym__keyword_is] = STATE(12154),
    [sym__keyword_in] = STATE(1787),
    [sym__keyword_not] = STATE(13069),
    [sym__keyword_and] = STATE(1804),
    [sym__keyword_or] = STATE(1805),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(3238),
    [aux_sym__keyword_is_token1] = ACTIONS(3240),
    [aux_sym__keyword_in_token1] = ACTIONS(3242),
    [aux_sym__keyword_and_token1] = ACTIONS(3244),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(3248),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [aux_sym_option_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(3242),
    [anon_sym_GT] = ACTIONS(3242),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3250),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_STAR] = ACTIONS(3254),
    [anon_sym_SLASH] = ACTIONS(3256),
    [anon_sym_PIPE_PIPE] = ACTIONS(3254),
    [anon_sym_LT_EQ] = ACTIONS(3248),
    [anon_sym_LT_GT] = ACTIONS(3248),
    [anon_sym_GT_EQ] = ACTIONS(3248),
    [anon_sym_BANG_EQ] = ACTIONS(3248),
    [anon_sym_LT_LT] = ACTIONS(3258),
    [anon_sym_GT_GT] = ACTIONS(3258),
    [anon_sym_AMP] = ACTIONS(3260),
    [anon_sym_CARET] = ACTIONS(3262),
    [anon_sym_PIPE] = ACTIONS(3264),
  },
  [3590] = {
    [sym__unquoted_identifier] = ACTIONS(1510),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1510),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1510),
    [aux_sym_keyword_replace_token1] = ACTIONS(1510),
    [aux_sym__keyword_alter_token1] = ACTIONS(1510),
    [aux_sym__keyword_delete_token1] = ACTIONS(1510),
    [aux_sym__keyword_begin_token1] = ACTIONS(1510),
    [aux_sym__keyword_end_token1] = ACTIONS(1510),
    [aux_sym__keyword_between_token1] = ACTIONS(1510),
    [aux_sym__keyword_else_token1] = ACTIONS(1510),
    [aux_sym__keyword_is_token1] = ACTIONS(1510),
    [aux_sym__keyword_in_token1] = ACTIONS(1510),
    [aux_sym__keyword_and_token1] = ACTIONS(1510),
    [aux_sym__keyword_like_token1] = ACTIONS(1510),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1510),
    [aux_sym__keyword_as_token1] = ACTIONS(1510),
    [aux_sym__keyword_date_token1] = ACTIONS(1510),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1510),
    [aux_sym__keyword_time_token1] = ACTIONS(1510),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1510),
    [aux_sym__keyword_for_token1] = ACTIONS(1510),
    [anon_sym_SEMI] = ACTIONS(1508),
    [aux_sym_declare_statement_token1] = ACTIONS(1510),
    [anon_sym_COMMA] = ACTIONS(1508),
    [aux_sym_set_statement_token1] = ACTIONS(1510),
    [anon_sym_LPAREN] = ACTIONS(1508),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1510),
    [aux_sym_return_satement_token1] = ACTIONS(1510),
    [aux_sym_call_statement_token1] = ACTIONS(1510),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1510),
    [aux_sym_if_statement_token1] = ACTIONS(1510),
    [aux_sym_loop_statement_token1] = ACTIONS(1510),
    [aux_sym_repeat_statement_token1] = ACTIONS(1510),
    [aux_sym_while_statement_token1] = ACTIONS(1510),
    [aux_sym_break_statement_token1] = ACTIONS(1510),
    [aux_sym_leave_statement_token1] = ACTIONS(1510),
    [aux_sym_continue_statement_token1] = ACTIONS(1510),
    [aux_sym_iterate_statement_token1] = ACTIONS(1510),
    [aux_sym_raise_statement_token1] = ACTIONS(1510),
    [anon_sym_EQ] = ACTIONS(1508),
    [aux_sym_assert_statement_token1] = ACTIONS(1510),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1510),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1510),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1510),
    [anon_sym_LT] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1510),
    [aux_sym_select_token1] = ACTIONS(1510),
    [aux_sym_insert_statement_token1] = ACTIONS(1510),
    [aux_sym_truncate_statement_token1] = ACTIONS(1510),
    [aux_sym_update_statement_token1] = ACTIONS(1510),
    [aux_sym_merge_statement_token1] = ACTIONS(1510),
    [aux_sym_grant_statement_token1] = ACTIONS(1510),
    [aux_sym_revoke_statement_token1] = ACTIONS(1510),
    [aux_sym_export_data_statement_token1] = ACTIONS(1510),
    [aux_sym_load_data_statement_token1] = ACTIONS(1510),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [sym__quoted_identifier] = ACTIONS(1508),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1508),
    [anon_sym_PLUS] = ACTIONS(1508),
    [anon_sym_DASH] = ACTIONS(1510),
    [anon_sym_STAR] = ACTIONS(1508),
    [anon_sym_SLASH] = ACTIONS(1510),
    [anon_sym_PIPE_PIPE] = ACTIONS(1508),
    [anon_sym_LT_EQ] = ACTIONS(1508),
    [anon_sym_LT_GT] = ACTIONS(1508),
    [anon_sym_GT_EQ] = ACTIONS(1508),
    [anon_sym_BANG_EQ] = ACTIONS(1508),
    [anon_sym_LT_LT] = ACTIONS(1508),
    [anon_sym_GT_GT] = ACTIONS(1508),
    [anon_sym_AMP] = ACTIONS(1508),
    [anon_sym_CARET] = ACTIONS(1508),
    [anon_sym_PIPE] = ACTIONS(1510),
  },
  [3591] = {
    [sym__unquoted_identifier] = ACTIONS(1778),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1778),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1778),
    [aux_sym_keyword_replace_token1] = ACTIONS(1778),
    [aux_sym__keyword_alter_token1] = ACTIONS(1778),
    [aux_sym__keyword_delete_token1] = ACTIONS(1778),
    [aux_sym__keyword_begin_token1] = ACTIONS(1778),
    [aux_sym__keyword_end_token1] = ACTIONS(1778),
    [aux_sym__keyword_between_token1] = ACTIONS(1778),
    [aux_sym__keyword_else_token1] = ACTIONS(1778),
    [aux_sym__keyword_is_token1] = ACTIONS(1778),
    [aux_sym__keyword_in_token1] = ACTIONS(1778),
    [aux_sym__keyword_and_token1] = ACTIONS(1778),
    [aux_sym__keyword_like_token1] = ACTIONS(1778),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1778),
    [aux_sym__keyword_as_token1] = ACTIONS(1778),
    [aux_sym__keyword_date_token1] = ACTIONS(1778),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1778),
    [aux_sym__keyword_time_token1] = ACTIONS(1778),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1778),
    [aux_sym__keyword_for_token1] = ACTIONS(1778),
    [anon_sym_SEMI] = ACTIONS(1776),
    [aux_sym_declare_statement_token1] = ACTIONS(1778),
    [anon_sym_COMMA] = ACTIONS(1776),
    [aux_sym_set_statement_token1] = ACTIONS(1778),
    [anon_sym_LPAREN] = ACTIONS(1776),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1778),
    [aux_sym_return_satement_token1] = ACTIONS(1778),
    [aux_sym_call_statement_token1] = ACTIONS(1778),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1778),
    [aux_sym_if_statement_token1] = ACTIONS(1778),
    [aux_sym_loop_statement_token1] = ACTIONS(1778),
    [aux_sym_repeat_statement_token1] = ACTIONS(1778),
    [aux_sym_while_statement_token1] = ACTIONS(1778),
    [aux_sym_break_statement_token1] = ACTIONS(1778),
    [aux_sym_leave_statement_token1] = ACTIONS(1778),
    [aux_sym_continue_statement_token1] = ACTIONS(1778),
    [aux_sym_iterate_statement_token1] = ACTIONS(1778),
    [aux_sym_raise_statement_token1] = ACTIONS(1778),
    [anon_sym_EQ] = ACTIONS(1776),
    [aux_sym_assert_statement_token1] = ACTIONS(1778),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1778),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1778),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1778),
    [anon_sym_LT] = ACTIONS(1778),
    [anon_sym_GT] = ACTIONS(1778),
    [aux_sym_select_token1] = ACTIONS(1778),
    [aux_sym_insert_statement_token1] = ACTIONS(1778),
    [aux_sym_truncate_statement_token1] = ACTIONS(1778),
    [aux_sym_update_statement_token1] = ACTIONS(1778),
    [aux_sym_merge_statement_token1] = ACTIONS(1778),
    [aux_sym_grant_statement_token1] = ACTIONS(1778),
    [aux_sym_revoke_statement_token1] = ACTIONS(1778),
    [aux_sym_export_data_statement_token1] = ACTIONS(1778),
    [aux_sym_load_data_statement_token1] = ACTIONS(1778),
    [anon_sym_LBRACK] = ACTIONS(1776),
    [sym__quoted_identifier] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1776),
    [anon_sym_PLUS] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1778),
    [anon_sym_STAR] = ACTIONS(1776),
    [anon_sym_SLASH] = ACTIONS(1778),
    [anon_sym_PIPE_PIPE] = ACTIONS(1776),
    [anon_sym_LT_EQ] = ACTIONS(1776),
    [anon_sym_LT_GT] = ACTIONS(1776),
    [anon_sym_GT_EQ] = ACTIONS(1776),
    [anon_sym_BANG_EQ] = ACTIONS(1776),
    [anon_sym_LT_LT] = ACTIONS(1776),
    [anon_sym_GT_GT] = ACTIONS(1776),
    [anon_sym_AMP] = ACTIONS(1776),
    [anon_sym_CARET] = ACTIONS(1776),
    [anon_sym_PIPE] = ACTIONS(1778),
  },
  [3592] = {
    [sym__keyword_between] = STATE(1690),
    [sym__keyword_is] = STATE(12154),
    [sym__keyword_in] = STATE(1787),
    [sym__keyword_not] = STATE(13069),
    [sym__keyword_and] = STATE(1804),
    [sym__keyword_or] = STATE(1805),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(947),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(947),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(947),
    [aux_sym_keyword_replace_token1] = ACTIONS(947),
    [aux_sym__keyword_alter_token1] = ACTIONS(947),
    [aux_sym__keyword_delete_token1] = ACTIONS(947),
    [aux_sym__keyword_begin_token1] = ACTIONS(947),
    [aux_sym__keyword_between_token1] = ACTIONS(947),
    [aux_sym__keyword_is_token1] = ACTIONS(947),
    [aux_sym__keyword_in_token1] = ACTIONS(949),
    [aux_sym__keyword_and_token1] = ACTIONS(947),
    [aux_sym__keyword_like_token1] = ACTIONS(947),
    [aux_sym__keyword_repeat_token1] = ACTIONS(947),
    [aux_sym__keyword_as_token1] = ACTIONS(949),
    [aux_sym__keyword_for_token1] = ACTIONS(947),
    [anon_sym_SEMI] = ACTIONS(947),
    [aux_sym_declare_statement_token1] = ACTIONS(947),
    [anon_sym_COMMA] = ACTIONS(947),
    [aux_sym_set_statement_token1] = ACTIONS(947),
    [anon_sym_LPAREN] = ACTIONS(947),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(947),
    [aux_sym_return_satement_token1] = ACTIONS(947),
    [aux_sym_call_statement_token1] = ACTIONS(947),
    [aux_sym_loop_statement_token1] = ACTIONS(947),
    [aux_sym_while_statement_token1] = ACTIONS(947),
    [aux_sym_break_statement_token1] = ACTIONS(947),
    [aux_sym_leave_statement_token1] = ACTIONS(947),
    [aux_sym_continue_statement_token1] = ACTIONS(947),
    [aux_sym_iterate_statement_token1] = ACTIONS(947),
    [aux_sym_raise_statement_token1] = ACTIONS(947),
    [anon_sym_EQ] = ACTIONS(947),
    [aux_sym_assert_statement_token1] = ACTIONS(947),
    [aux_sym_create_schema_statement_token1] = ACTIONS(947),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(947),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(947),
    [aux_sym_option_clause_token1] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(949),
    [anon_sym_GT] = ACTIONS(949),
    [aux_sym_select_token1] = ACTIONS(947),
    [aux_sym_insert_statement_token1] = ACTIONS(947),
    [aux_sym_truncate_statement_token1] = ACTIONS(947),
    [aux_sym_update_statement_token1] = ACTIONS(947),
    [aux_sym_merge_statement_token1] = ACTIONS(947),
    [aux_sym_grant_statement_token1] = ACTIONS(947),
    [aux_sym_revoke_statement_token1] = ACTIONS(947),
    [aux_sym_export_data_statement_token1] = ACTIONS(947),
    [aux_sym_load_data_statement_token1] = ACTIONS(947),
    [anon_sym_LBRACK] = ACTIONS(947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(3250),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_STAR] = ACTIONS(3254),
    [anon_sym_SLASH] = ACTIONS(3256),
    [anon_sym_PIPE_PIPE] = ACTIONS(3254),
    [anon_sym_LT_EQ] = ACTIONS(947),
    [anon_sym_LT_GT] = ACTIONS(947),
    [anon_sym_GT_EQ] = ACTIONS(947),
    [anon_sym_BANG_EQ] = ACTIONS(947),
    [anon_sym_LT_LT] = ACTIONS(3258),
    [anon_sym_GT_GT] = ACTIONS(3258),
    [anon_sym_AMP] = ACTIONS(3260),
    [anon_sym_CARET] = ACTIONS(3262),
    [anon_sym_PIPE] = ACTIONS(3264),
  },
  [3593] = {
    [sym__keyword_between] = STATE(1690),
    [sym__keyword_is] = STATE(12154),
    [sym__keyword_in] = STATE(1787),
    [sym__keyword_not] = STATE(13069),
    [sym__keyword_and] = STATE(1804),
    [sym__keyword_or] = STATE(1805),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(1023),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1023),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1023),
    [aux_sym_keyword_replace_token1] = ACTIONS(1023),
    [aux_sym__keyword_alter_token1] = ACTIONS(1023),
    [aux_sym__keyword_delete_token1] = ACTIONS(1023),
    [aux_sym__keyword_begin_token1] = ACTIONS(1023),
    [aux_sym__keyword_between_token1] = ACTIONS(1023),
    [aux_sym__keyword_is_token1] = ACTIONS(1023),
    [aux_sym__keyword_in_token1] = ACTIONS(1025),
    [aux_sym__keyword_and_token1] = ACTIONS(1023),
    [aux_sym__keyword_like_token1] = ACTIONS(1023),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1023),
    [aux_sym__keyword_as_token1] = ACTIONS(1025),
    [aux_sym__keyword_for_token1] = ACTIONS(1023),
    [anon_sym_SEMI] = ACTIONS(1023),
    [aux_sym_declare_statement_token1] = ACTIONS(1023),
    [anon_sym_COMMA] = ACTIONS(1023),
    [aux_sym_set_statement_token1] = ACTIONS(1023),
    [anon_sym_LPAREN] = ACTIONS(1023),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1023),
    [aux_sym_return_satement_token1] = ACTIONS(1023),
    [aux_sym_call_statement_token1] = ACTIONS(1023),
    [aux_sym_loop_statement_token1] = ACTIONS(1023),
    [aux_sym_while_statement_token1] = ACTIONS(1023),
    [aux_sym_break_statement_token1] = ACTIONS(1023),
    [aux_sym_leave_statement_token1] = ACTIONS(1023),
    [aux_sym_continue_statement_token1] = ACTIONS(1023),
    [aux_sym_iterate_statement_token1] = ACTIONS(1023),
    [aux_sym_raise_statement_token1] = ACTIONS(1023),
    [anon_sym_EQ] = ACTIONS(1023),
    [aux_sym_assert_statement_token1] = ACTIONS(1023),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1023),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1023),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1023),
    [aux_sym_option_clause_token1] = ACTIONS(1023),
    [anon_sym_LT] = ACTIONS(1025),
    [anon_sym_GT] = ACTIONS(1025),
    [aux_sym_select_token1] = ACTIONS(1023),
    [aux_sym_insert_statement_token1] = ACTIONS(1023),
    [aux_sym_truncate_statement_token1] = ACTIONS(1023),
    [aux_sym_update_statement_token1] = ACTIONS(1023),
    [aux_sym_merge_statement_token1] = ACTIONS(1023),
    [aux_sym_grant_statement_token1] = ACTIONS(1023),
    [aux_sym_revoke_statement_token1] = ACTIONS(1023),
    [aux_sym_export_data_statement_token1] = ACTIONS(1023),
    [aux_sym_load_data_statement_token1] = ACTIONS(1023),
    [anon_sym_LBRACK] = ACTIONS(1023),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1023),
    [anon_sym_PLUS] = ACTIONS(3250),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_STAR] = ACTIONS(3254),
    [anon_sym_SLASH] = ACTIONS(3256),
    [anon_sym_PIPE_PIPE] = ACTIONS(3254),
    [anon_sym_LT_EQ] = ACTIONS(1023),
    [anon_sym_LT_GT] = ACTIONS(1023),
    [anon_sym_GT_EQ] = ACTIONS(1023),
    [anon_sym_BANG_EQ] = ACTIONS(1023),
    [anon_sym_LT_LT] = ACTIONS(3258),
    [anon_sym_GT_GT] = ACTIONS(3258),
    [anon_sym_AMP] = ACTIONS(3260),
    [anon_sym_CARET] = ACTIONS(3262),
    [anon_sym_PIPE] = ACTIONS(3264),
  },
  [3594] = {
    [sym__unquoted_identifier] = ACTIONS(1782),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1782),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1782),
    [aux_sym_keyword_replace_token1] = ACTIONS(1782),
    [aux_sym__keyword_alter_token1] = ACTIONS(1782),
    [aux_sym__keyword_delete_token1] = ACTIONS(1782),
    [aux_sym__keyword_begin_token1] = ACTIONS(1782),
    [aux_sym__keyword_end_token1] = ACTIONS(1782),
    [aux_sym__keyword_between_token1] = ACTIONS(1782),
    [aux_sym__keyword_else_token1] = ACTIONS(1782),
    [aux_sym__keyword_is_token1] = ACTIONS(1782),
    [aux_sym__keyword_in_token1] = ACTIONS(1782),
    [aux_sym__keyword_and_token1] = ACTIONS(1782),
    [aux_sym__keyword_like_token1] = ACTIONS(1782),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1782),
    [aux_sym__keyword_as_token1] = ACTIONS(1782),
    [aux_sym__keyword_date_token1] = ACTIONS(1782),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1782),
    [aux_sym__keyword_time_token1] = ACTIONS(1782),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1782),
    [aux_sym__keyword_for_token1] = ACTIONS(1782),
    [anon_sym_SEMI] = ACTIONS(1780),
    [aux_sym_declare_statement_token1] = ACTIONS(1782),
    [anon_sym_COMMA] = ACTIONS(1780),
    [aux_sym_set_statement_token1] = ACTIONS(1782),
    [anon_sym_LPAREN] = ACTIONS(1780),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1782),
    [aux_sym_return_satement_token1] = ACTIONS(1782),
    [aux_sym_call_statement_token1] = ACTIONS(1782),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1782),
    [aux_sym_if_statement_token1] = ACTIONS(1782),
    [aux_sym_loop_statement_token1] = ACTIONS(1782),
    [aux_sym_repeat_statement_token1] = ACTIONS(1782),
    [aux_sym_while_statement_token1] = ACTIONS(1782),
    [aux_sym_break_statement_token1] = ACTIONS(1782),
    [aux_sym_leave_statement_token1] = ACTIONS(1782),
    [aux_sym_continue_statement_token1] = ACTIONS(1782),
    [aux_sym_iterate_statement_token1] = ACTIONS(1782),
    [aux_sym_raise_statement_token1] = ACTIONS(1782),
    [anon_sym_EQ] = ACTIONS(1780),
    [aux_sym_assert_statement_token1] = ACTIONS(1782),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1782),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1782),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1782),
    [anon_sym_LT] = ACTIONS(1782),
    [anon_sym_GT] = ACTIONS(1782),
    [aux_sym_select_token1] = ACTIONS(1782),
    [aux_sym_insert_statement_token1] = ACTIONS(1782),
    [aux_sym_truncate_statement_token1] = ACTIONS(1782),
    [aux_sym_update_statement_token1] = ACTIONS(1782),
    [aux_sym_merge_statement_token1] = ACTIONS(1782),
    [aux_sym_grant_statement_token1] = ACTIONS(1782),
    [aux_sym_revoke_statement_token1] = ACTIONS(1782),
    [aux_sym_export_data_statement_token1] = ACTIONS(1782),
    [aux_sym_load_data_statement_token1] = ACTIONS(1782),
    [anon_sym_LBRACK] = ACTIONS(1780),
    [sym__quoted_identifier] = ACTIONS(1780),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_DASH] = ACTIONS(1782),
    [anon_sym_STAR] = ACTIONS(1780),
    [anon_sym_SLASH] = ACTIONS(1782),
    [anon_sym_PIPE_PIPE] = ACTIONS(1780),
    [anon_sym_LT_EQ] = ACTIONS(1780),
    [anon_sym_LT_GT] = ACTIONS(1780),
    [anon_sym_GT_EQ] = ACTIONS(1780),
    [anon_sym_BANG_EQ] = ACTIONS(1780),
    [anon_sym_LT_LT] = ACTIONS(1780),
    [anon_sym_GT_GT] = ACTIONS(1780),
    [anon_sym_AMP] = ACTIONS(1780),
    [anon_sym_CARET] = ACTIONS(1780),
    [anon_sym_PIPE] = ACTIONS(1782),
  },
  [3595] = {
    [sym__keyword_between] = STATE(1690),
    [sym__keyword_is] = STATE(12154),
    [sym__keyword_in] = STATE(1787),
    [sym__keyword_not] = STATE(13069),
    [sym__keyword_and] = STATE(1804),
    [sym__keyword_or] = STATE(1805),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(1031),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1031),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1031),
    [aux_sym_keyword_replace_token1] = ACTIONS(1031),
    [aux_sym__keyword_alter_token1] = ACTIONS(1031),
    [aux_sym__keyword_delete_token1] = ACTIONS(1031),
    [aux_sym__keyword_begin_token1] = ACTIONS(1031),
    [aux_sym__keyword_between_token1] = ACTIONS(1031),
    [aux_sym__keyword_is_token1] = ACTIONS(1031),
    [aux_sym__keyword_in_token1] = ACTIONS(1033),
    [aux_sym__keyword_and_token1] = ACTIONS(1031),
    [aux_sym__keyword_like_token1] = ACTIONS(1031),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1031),
    [aux_sym__keyword_as_token1] = ACTIONS(1033),
    [aux_sym__keyword_for_token1] = ACTIONS(1031),
    [anon_sym_SEMI] = ACTIONS(1031),
    [aux_sym_declare_statement_token1] = ACTIONS(1031),
    [anon_sym_COMMA] = ACTIONS(1031),
    [aux_sym_set_statement_token1] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1031),
    [aux_sym_return_satement_token1] = ACTIONS(1031),
    [aux_sym_call_statement_token1] = ACTIONS(1031),
    [aux_sym_loop_statement_token1] = ACTIONS(1031),
    [aux_sym_while_statement_token1] = ACTIONS(1031),
    [aux_sym_break_statement_token1] = ACTIONS(1031),
    [aux_sym_leave_statement_token1] = ACTIONS(1031),
    [aux_sym_continue_statement_token1] = ACTIONS(1031),
    [aux_sym_iterate_statement_token1] = ACTIONS(1031),
    [aux_sym_raise_statement_token1] = ACTIONS(1031),
    [anon_sym_EQ] = ACTIONS(1031),
    [aux_sym_assert_statement_token1] = ACTIONS(1031),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1031),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1031),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1031),
    [aux_sym_option_clause_token1] = ACTIONS(1031),
    [anon_sym_LT] = ACTIONS(1033),
    [anon_sym_GT] = ACTIONS(1033),
    [aux_sym_select_token1] = ACTIONS(1031),
    [aux_sym_insert_statement_token1] = ACTIONS(1031),
    [aux_sym_truncate_statement_token1] = ACTIONS(1031),
    [aux_sym_update_statement_token1] = ACTIONS(1031),
    [aux_sym_merge_statement_token1] = ACTIONS(1031),
    [aux_sym_grant_statement_token1] = ACTIONS(1031),
    [aux_sym_revoke_statement_token1] = ACTIONS(1031),
    [aux_sym_export_data_statement_token1] = ACTIONS(1031),
    [aux_sym_load_data_statement_token1] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1031),
    [anon_sym_PLUS] = ACTIONS(3250),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_STAR] = ACTIONS(3254),
    [anon_sym_SLASH] = ACTIONS(3256),
    [anon_sym_PIPE_PIPE] = ACTIONS(3254),
    [anon_sym_LT_EQ] = ACTIONS(1031),
    [anon_sym_LT_GT] = ACTIONS(1031),
    [anon_sym_GT_EQ] = ACTIONS(1031),
    [anon_sym_BANG_EQ] = ACTIONS(1031),
    [anon_sym_LT_LT] = ACTIONS(3258),
    [anon_sym_GT_GT] = ACTIONS(3258),
    [anon_sym_AMP] = ACTIONS(3260),
    [anon_sym_CARET] = ACTIONS(3262),
    [anon_sym_PIPE] = ACTIONS(3264),
  },
  [3596] = {
    [sym__keyword_between] = STATE(1690),
    [sym__keyword_is] = STATE(12154),
    [sym__keyword_in] = STATE(1787),
    [sym__keyword_not] = STATE(13069),
    [sym__keyword_and] = STATE(1804),
    [sym__keyword_or] = STATE(1805),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(3088),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3088),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(2744),
    [aux_sym__keyword_alter_token1] = ACTIONS(3088),
    [aux_sym__keyword_delete_token1] = ACTIONS(3088),
    [aux_sym__keyword_begin_token1] = ACTIONS(3088),
    [aux_sym__keyword_between_token1] = ACTIONS(3238),
    [aux_sym__keyword_is_token1] = ACTIONS(3240),
    [aux_sym__keyword_in_token1] = ACTIONS(3242),
    [aux_sym__keyword_and_token1] = ACTIONS(3244),
    [aux_sym__keyword_like_token1] = ACTIONS(1007),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3088),
    [aux_sym__keyword_as_token1] = ACTIONS(3090),
    [aux_sym__keyword_for_token1] = ACTIONS(3088),
    [anon_sym_SEMI] = ACTIONS(3088),
    [aux_sym_declare_statement_token1] = ACTIONS(3088),
    [anon_sym_COMMA] = ACTIONS(3088),
    [aux_sym_set_statement_token1] = ACTIONS(3088),
    [anon_sym_LPAREN] = ACTIONS(3088),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(3088),
    [aux_sym_return_satement_token1] = ACTIONS(3088),
    [aux_sym_call_statement_token1] = ACTIONS(3088),
    [aux_sym_loop_statement_token1] = ACTIONS(3088),
    [aux_sym_while_statement_token1] = ACTIONS(3088),
    [aux_sym_break_statement_token1] = ACTIONS(3088),
    [aux_sym_leave_statement_token1] = ACTIONS(3088),
    [aux_sym_continue_statement_token1] = ACTIONS(3088),
    [aux_sym_iterate_statement_token1] = ACTIONS(3088),
    [aux_sym_raise_statement_token1] = ACTIONS(3088),
    [anon_sym_EQ] = ACTIONS(3248),
    [aux_sym_assert_statement_token1] = ACTIONS(3088),
    [aux_sym_create_schema_statement_token1] = ACTIONS(3088),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(3088),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3088),
    [aux_sym_option_clause_token1] = ACTIONS(3088),
    [anon_sym_LT] = ACTIONS(3242),
    [anon_sym_GT] = ACTIONS(3242),
    [aux_sym_select_token1] = ACTIONS(3088),
    [aux_sym_insert_statement_token1] = ACTIONS(3088),
    [aux_sym_truncate_statement_token1] = ACTIONS(3088),
    [aux_sym_update_statement_token1] = ACTIONS(3088),
    [aux_sym_merge_statement_token1] = ACTIONS(3088),
    [aux_sym_grant_statement_token1] = ACTIONS(3088),
    [aux_sym_revoke_statement_token1] = ACTIONS(3088),
    [aux_sym_export_data_statement_token1] = ACTIONS(3088),
    [aux_sym_load_data_statement_token1] = ACTIONS(3088),
    [anon_sym_LBRACK] = ACTIONS(3056),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(3058),
    [anon_sym_PLUS] = ACTIONS(3250),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_STAR] = ACTIONS(3254),
    [anon_sym_SLASH] = ACTIONS(3256),
    [anon_sym_PIPE_PIPE] = ACTIONS(3254),
    [anon_sym_LT_EQ] = ACTIONS(3248),
    [anon_sym_LT_GT] = ACTIONS(3248),
    [anon_sym_GT_EQ] = ACTIONS(3248),
    [anon_sym_BANG_EQ] = ACTIONS(3248),
    [anon_sym_LT_LT] = ACTIONS(3258),
    [anon_sym_GT_GT] = ACTIONS(3258),
    [anon_sym_AMP] = ACTIONS(3260),
    [anon_sym_CARET] = ACTIONS(3262),
    [anon_sym_PIPE] = ACTIONS(3264),
  },
  [3597] = {
    [sym__unquoted_identifier] = ACTIONS(1518),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1518),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1518),
    [aux_sym_keyword_replace_token1] = ACTIONS(1518),
    [aux_sym__keyword_alter_token1] = ACTIONS(1518),
    [aux_sym__keyword_delete_token1] = ACTIONS(1518),
    [aux_sym__keyword_begin_token1] = ACTIONS(1518),
    [aux_sym__keyword_end_token1] = ACTIONS(1518),
    [aux_sym__keyword_between_token1] = ACTIONS(1518),
    [aux_sym__keyword_else_token1] = ACTIONS(1518),
    [aux_sym__keyword_is_token1] = ACTIONS(1518),
    [aux_sym__keyword_in_token1] = ACTIONS(1518),
    [aux_sym__keyword_and_token1] = ACTIONS(1518),
    [aux_sym__keyword_like_token1] = ACTIONS(1518),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1518),
    [aux_sym__keyword_as_token1] = ACTIONS(1518),
    [aux_sym__keyword_date_token1] = ACTIONS(1518),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1518),
    [aux_sym__keyword_time_token1] = ACTIONS(1518),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1518),
    [aux_sym__keyword_for_token1] = ACTIONS(1518),
    [anon_sym_SEMI] = ACTIONS(1516),
    [aux_sym_declare_statement_token1] = ACTIONS(1518),
    [anon_sym_COMMA] = ACTIONS(1516),
    [aux_sym_set_statement_token1] = ACTIONS(1518),
    [anon_sym_LPAREN] = ACTIONS(1516),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1518),
    [aux_sym_return_satement_token1] = ACTIONS(1518),
    [aux_sym_call_statement_token1] = ACTIONS(1518),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1518),
    [aux_sym_if_statement_token1] = ACTIONS(1518),
    [aux_sym_loop_statement_token1] = ACTIONS(1518),
    [aux_sym_repeat_statement_token1] = ACTIONS(1518),
    [aux_sym_while_statement_token1] = ACTIONS(1518),
    [aux_sym_break_statement_token1] = ACTIONS(1518),
    [aux_sym_leave_statement_token1] = ACTIONS(1518),
    [aux_sym_continue_statement_token1] = ACTIONS(1518),
    [aux_sym_iterate_statement_token1] = ACTIONS(1518),
    [aux_sym_raise_statement_token1] = ACTIONS(1518),
    [anon_sym_EQ] = ACTIONS(1516),
    [aux_sym_assert_statement_token1] = ACTIONS(1518),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1518),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1518),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1518),
    [anon_sym_LT] = ACTIONS(1518),
    [anon_sym_GT] = ACTIONS(1518),
    [aux_sym_select_token1] = ACTIONS(1518),
    [aux_sym_insert_statement_token1] = ACTIONS(1518),
    [aux_sym_truncate_statement_token1] = ACTIONS(1518),
    [aux_sym_update_statement_token1] = ACTIONS(1518),
    [aux_sym_merge_statement_token1] = ACTIONS(1518),
    [aux_sym_grant_statement_token1] = ACTIONS(1518),
    [aux_sym_revoke_statement_token1] = ACTIONS(1518),
    [aux_sym_export_data_statement_token1] = ACTIONS(1518),
    [aux_sym_load_data_statement_token1] = ACTIONS(1518),
    [anon_sym_LBRACK] = ACTIONS(1516),
    [sym__quoted_identifier] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1516),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1518),
    [anon_sym_STAR] = ACTIONS(1516),
    [anon_sym_SLASH] = ACTIONS(1518),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [anon_sym_LT_EQ] = ACTIONS(1516),
    [anon_sym_LT_GT] = ACTIONS(1516),
    [anon_sym_GT_EQ] = ACTIONS(1516),
    [anon_sym_BANG_EQ] = ACTIONS(1516),
    [anon_sym_LT_LT] = ACTIONS(1516),
    [anon_sym_GT_GT] = ACTIONS(1516),
    [anon_sym_AMP] = ACTIONS(1516),
    [anon_sym_CARET] = ACTIONS(1516),
    [anon_sym_PIPE] = ACTIONS(1518),
  },
  [3598] = {
    [sym__keyword_between] = STATE(1690),
    [sym__keyword_is] = STATE(12154),
    [sym__keyword_in] = STATE(1787),
    [sym__keyword_not] = STATE(13069),
    [sym__keyword_and] = STATE(1804),
    [sym__keyword_or] = STATE(1805),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(1019),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1019),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1019),
    [aux_sym_keyword_replace_token1] = ACTIONS(1019),
    [aux_sym__keyword_alter_token1] = ACTIONS(1019),
    [aux_sym__keyword_delete_token1] = ACTIONS(1019),
    [aux_sym__keyword_begin_token1] = ACTIONS(1019),
    [aux_sym__keyword_between_token1] = ACTIONS(1019),
    [aux_sym__keyword_is_token1] = ACTIONS(1019),
    [aux_sym__keyword_in_token1] = ACTIONS(1021),
    [aux_sym__keyword_and_token1] = ACTIONS(1019),
    [aux_sym__keyword_like_token1] = ACTIONS(1019),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1019),
    [aux_sym__keyword_as_token1] = ACTIONS(1021),
    [aux_sym__keyword_for_token1] = ACTIONS(1019),
    [anon_sym_SEMI] = ACTIONS(1019),
    [aux_sym_declare_statement_token1] = ACTIONS(1019),
    [anon_sym_COMMA] = ACTIONS(1019),
    [aux_sym_set_statement_token1] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1019),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1019),
    [aux_sym_return_satement_token1] = ACTIONS(1019),
    [aux_sym_call_statement_token1] = ACTIONS(1019),
    [aux_sym_loop_statement_token1] = ACTIONS(1019),
    [aux_sym_while_statement_token1] = ACTIONS(1019),
    [aux_sym_break_statement_token1] = ACTIONS(1019),
    [aux_sym_leave_statement_token1] = ACTIONS(1019),
    [aux_sym_continue_statement_token1] = ACTIONS(1019),
    [aux_sym_iterate_statement_token1] = ACTIONS(1019),
    [aux_sym_raise_statement_token1] = ACTIONS(1019),
    [anon_sym_EQ] = ACTIONS(1019),
    [aux_sym_assert_statement_token1] = ACTIONS(1019),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1019),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1019),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1019),
    [aux_sym_option_clause_token1] = ACTIONS(1019),
    [anon_sym_LT] = ACTIONS(1021),
    [anon_sym_GT] = ACTIONS(1021),
    [aux_sym_select_token1] = ACTIONS(1019),
    [aux_sym_insert_statement_token1] = ACTIONS(1019),
    [aux_sym_truncate_statement_token1] = ACTIONS(1019),
    [aux_sym_update_statement_token1] = ACTIONS(1019),
    [aux_sym_merge_statement_token1] = ACTIONS(1019),
    [aux_sym_grant_statement_token1] = ACTIONS(1019),
    [aux_sym_revoke_statement_token1] = ACTIONS(1019),
    [aux_sym_export_data_statement_token1] = ACTIONS(1019),
    [aux_sym_load_data_statement_token1] = ACTIONS(1019),
    [anon_sym_LBRACK] = ACTIONS(1019),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1019),
    [anon_sym_PLUS] = ACTIONS(1019),
    [anon_sym_DASH] = ACTIONS(1021),
    [anon_sym_STAR] = ACTIONS(1019),
    [anon_sym_SLASH] = ACTIONS(1021),
    [anon_sym_PIPE_PIPE] = ACTIONS(1019),
    [anon_sym_LT_EQ] = ACTIONS(1019),
    [anon_sym_LT_GT] = ACTIONS(1019),
    [anon_sym_GT_EQ] = ACTIONS(1019),
    [anon_sym_BANG_EQ] = ACTIONS(1019),
    [anon_sym_LT_LT] = ACTIONS(1019),
    [anon_sym_GT_GT] = ACTIONS(1019),
    [anon_sym_AMP] = ACTIONS(1019),
    [anon_sym_CARET] = ACTIONS(1019),
    [anon_sym_PIPE] = ACTIONS(1021),
  },
  [3599] = {
    [sym_analytics_clause] = STATE(3844),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [aux_sym_option_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3600] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_from_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [aux_sym_option_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1364),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3601] = {
    [sym_analytics_clause] = STATE(3761),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [aux_sym_option_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3602] = {
    [sym_analytics_clause] = STATE(3760),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [aux_sym_option_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3603] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_from_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [aux_sym_option_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1370),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3604] = {
    [sym_analytics_clause] = STATE(3759),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [aux_sym_option_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3605] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_from_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [aux_sym_option_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1370),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3606] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_from_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [aux_sym_option_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1370),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3607] = {
    [sym_analytics_clause] = STATE(3754),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [aux_sym_option_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3608] = {
    [sym_analytics_clause] = STATE(3751),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [aux_sym_option_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3609] = {
    [sym_analytics_clause] = STATE(3748),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [aux_sym_option_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3610] = {
    [sym_analytics_clause] = STATE(3746),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [aux_sym_option_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3611] = {
    [sym_analytics_clause] = STATE(3745),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [aux_sym_option_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3612] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_from_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [aux_sym_option_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1370),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3613] = {
    [sym_analytics_clause] = STATE(3743),
    [ts_builtin_sym_end] = ACTIONS(1394),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1394),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1394),
    [aux_sym_keyword_replace_token1] = ACTIONS(1394),
    [aux_sym__keyword_alter_token1] = ACTIONS(1394),
    [aux_sym__keyword_delete_token1] = ACTIONS(1394),
    [aux_sym__keyword_begin_token1] = ACTIONS(1394),
    [aux_sym__keyword_end_token1] = ACTIONS(1394),
    [aux_sym__keyword_between_token1] = ACTIONS(1394),
    [aux_sym__keyword_when_token1] = ACTIONS(1394),
    [aux_sym__keyword_else_token1] = ACTIONS(1396),
    [aux_sym__keyword_is_token1] = ACTIONS(1394),
    [aux_sym__keyword_in_token1] = ACTIONS(1396),
    [aux_sym__keyword_and_token1] = ACTIONS(1394),
    [aux_sym__keyword_like_token1] = ACTIONS(1394),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1394),
    [aux_sym__keyword_as_token1] = ACTIONS(1396),
    [aux_sym__keyword_for_token1] = ACTIONS(1394),
    [anon_sym_SEMI] = ACTIONS(1394),
    [aux_sym_declare_statement_token1] = ACTIONS(1394),
    [anon_sym_COMMA] = ACTIONS(1394),
    [aux_sym_set_statement_token1] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(1394),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1394),
    [aux_sym_return_satement_token1] = ACTIONS(1394),
    [aux_sym_call_statement_token1] = ACTIONS(1394),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1394),
    [aux_sym_if_statement_token1] = ACTIONS(1394),
    [aux_sym_loop_statement_token1] = ACTIONS(1394),
    [aux_sym_repeat_statement_token1] = ACTIONS(1394),
    [aux_sym_while_statement_token1] = ACTIONS(1394),
    [aux_sym_break_statement_token1] = ACTIONS(1394),
    [aux_sym_leave_statement_token1] = ACTIONS(1394),
    [aux_sym_continue_statement_token1] = ACTIONS(1394),
    [aux_sym_iterate_statement_token1] = ACTIONS(1394),
    [aux_sym_raise_statement_token1] = ACTIONS(1394),
    [anon_sym_EQ] = ACTIONS(1394),
    [aux_sym_assert_statement_token1] = ACTIONS(1394),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1394),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1394),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1394),
    [aux_sym_option_clause_token1] = ACTIONS(1394),
    [anon_sym_LT] = ACTIONS(1396),
    [anon_sym_GT] = ACTIONS(1396),
    [aux_sym_select_token1] = ACTIONS(1394),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1394),
    [aux_sym_truncate_statement_token1] = ACTIONS(1394),
    [aux_sym_update_statement_token1] = ACTIONS(1394),
    [aux_sym_merge_statement_token1] = ACTIONS(1394),
    [aux_sym_grant_statement_token1] = ACTIONS(1394),
    [aux_sym_revoke_statement_token1] = ACTIONS(1394),
    [aux_sym_export_data_statement_token1] = ACTIONS(1394),
    [aux_sym_load_data_statement_token1] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(1394),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_STAR] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(1396),
    [anon_sym_PIPE_PIPE] = ACTIONS(1394),
    [anon_sym_LT_EQ] = ACTIONS(1394),
    [anon_sym_LT_GT] = ACTIONS(1394),
    [anon_sym_GT_EQ] = ACTIONS(1394),
    [anon_sym_BANG_EQ] = ACTIONS(1394),
    [anon_sym_LT_LT] = ACTIONS(1394),
    [anon_sym_GT_GT] = ACTIONS(1394),
    [anon_sym_AMP] = ACTIONS(1394),
    [anon_sym_CARET] = ACTIONS(1394),
    [anon_sym_PIPE] = ACTIONS(1396),
  },
  [3614] = {
    [ts_builtin_sym_end] = ACTIONS(1394),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1394),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1394),
    [aux_sym_keyword_replace_token1] = ACTIONS(1394),
    [aux_sym__keyword_alter_token1] = ACTIONS(1394),
    [aux_sym__keyword_from_token1] = ACTIONS(1394),
    [aux_sym__keyword_delete_token1] = ACTIONS(1394),
    [aux_sym__keyword_begin_token1] = ACTIONS(1394),
    [aux_sym__keyword_end_token1] = ACTIONS(1394),
    [aux_sym__keyword_between_token1] = ACTIONS(1394),
    [aux_sym__keyword_when_token1] = ACTIONS(1394),
    [aux_sym__keyword_else_token1] = ACTIONS(1396),
    [aux_sym__keyword_is_token1] = ACTIONS(1394),
    [aux_sym__keyword_in_token1] = ACTIONS(1396),
    [aux_sym__keyword_and_token1] = ACTIONS(1394),
    [aux_sym__keyword_like_token1] = ACTIONS(1394),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1394),
    [aux_sym__keyword_as_token1] = ACTIONS(1396),
    [aux_sym__keyword_for_token1] = ACTIONS(1394),
    [anon_sym_SEMI] = ACTIONS(1394),
    [aux_sym_declare_statement_token1] = ACTIONS(1394),
    [anon_sym_COMMA] = ACTIONS(1394),
    [aux_sym_set_statement_token1] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(1394),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1394),
    [aux_sym_return_satement_token1] = ACTIONS(1394),
    [aux_sym_call_statement_token1] = ACTIONS(1394),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1394),
    [aux_sym_if_statement_token1] = ACTIONS(1394),
    [aux_sym_loop_statement_token1] = ACTIONS(1394),
    [aux_sym_repeat_statement_token1] = ACTIONS(1394),
    [aux_sym_while_statement_token1] = ACTIONS(1394),
    [aux_sym_break_statement_token1] = ACTIONS(1394),
    [aux_sym_leave_statement_token1] = ACTIONS(1394),
    [aux_sym_continue_statement_token1] = ACTIONS(1394),
    [aux_sym_iterate_statement_token1] = ACTIONS(1394),
    [aux_sym_raise_statement_token1] = ACTIONS(1394),
    [anon_sym_EQ] = ACTIONS(1394),
    [aux_sym_assert_statement_token1] = ACTIONS(1394),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1394),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1394),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1394),
    [aux_sym_option_clause_token1] = ACTIONS(1394),
    [anon_sym_LT] = ACTIONS(1396),
    [anon_sym_GT] = ACTIONS(1396),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1394),
    [aux_sym_select_token1] = ACTIONS(1394),
    [aux_sym_insert_statement_token1] = ACTIONS(1394),
    [aux_sym_truncate_statement_token1] = ACTIONS(1394),
    [aux_sym_update_statement_token1] = ACTIONS(1394),
    [aux_sym_merge_statement_token1] = ACTIONS(1394),
    [aux_sym_grant_statement_token1] = ACTIONS(1394),
    [aux_sym_revoke_statement_token1] = ACTIONS(1394),
    [aux_sym_export_data_statement_token1] = ACTIONS(1394),
    [aux_sym_load_data_statement_token1] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(1394),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_STAR] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(1396),
    [anon_sym_PIPE_PIPE] = ACTIONS(1394),
    [anon_sym_LT_EQ] = ACTIONS(1394),
    [anon_sym_LT_GT] = ACTIONS(1394),
    [anon_sym_GT_EQ] = ACTIONS(1394),
    [anon_sym_BANG_EQ] = ACTIONS(1394),
    [anon_sym_LT_LT] = ACTIONS(1394),
    [anon_sym_GT_GT] = ACTIONS(1394),
    [anon_sym_AMP] = ACTIONS(1394),
    [anon_sym_CARET] = ACTIONS(1394),
    [anon_sym_PIPE] = ACTIONS(1396),
  },
  [3615] = {
    [sym_analytics_clause] = STATE(3740),
    [ts_builtin_sym_end] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1398),
    [aux_sym_keyword_replace_token1] = ACTIONS(1398),
    [aux_sym__keyword_alter_token1] = ACTIONS(1398),
    [aux_sym__keyword_delete_token1] = ACTIONS(1398),
    [aux_sym__keyword_begin_token1] = ACTIONS(1398),
    [aux_sym__keyword_end_token1] = ACTIONS(1398),
    [aux_sym__keyword_between_token1] = ACTIONS(1398),
    [aux_sym__keyword_when_token1] = ACTIONS(1398),
    [aux_sym__keyword_else_token1] = ACTIONS(1400),
    [aux_sym__keyword_is_token1] = ACTIONS(1398),
    [aux_sym__keyword_in_token1] = ACTIONS(1400),
    [aux_sym__keyword_and_token1] = ACTIONS(1398),
    [aux_sym__keyword_like_token1] = ACTIONS(1398),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1398),
    [aux_sym__keyword_as_token1] = ACTIONS(1400),
    [aux_sym__keyword_for_token1] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1398),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1398),
    [aux_sym_return_satement_token1] = ACTIONS(1398),
    [aux_sym_call_statement_token1] = ACTIONS(1398),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1398),
    [aux_sym_if_statement_token1] = ACTIONS(1398),
    [aux_sym_loop_statement_token1] = ACTIONS(1398),
    [aux_sym_repeat_statement_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token1] = ACTIONS(1398),
    [aux_sym_break_statement_token1] = ACTIONS(1398),
    [aux_sym_leave_statement_token1] = ACTIONS(1398),
    [aux_sym_continue_statement_token1] = ACTIONS(1398),
    [aux_sym_iterate_statement_token1] = ACTIONS(1398),
    [aux_sym_raise_statement_token1] = ACTIONS(1398),
    [anon_sym_EQ] = ACTIONS(1398),
    [aux_sym_assert_statement_token1] = ACTIONS(1398),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1398),
    [aux_sym_option_clause_token1] = ACTIONS(1398),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1398),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1398),
    [aux_sym_truncate_statement_token1] = ACTIONS(1398),
    [aux_sym_update_statement_token1] = ACTIONS(1398),
    [aux_sym_merge_statement_token1] = ACTIONS(1398),
    [aux_sym_grant_statement_token1] = ACTIONS(1398),
    [aux_sym_revoke_statement_token1] = ACTIONS(1398),
    [aux_sym_export_data_statement_token1] = ACTIONS(1398),
    [aux_sym_load_data_statement_token1] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_LT_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
  },
  [3616] = {
    [sym_analytics_clause] = STATE(3737),
    [ts_builtin_sym_end] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1398),
    [aux_sym_keyword_replace_token1] = ACTIONS(1398),
    [aux_sym__keyword_alter_token1] = ACTIONS(1398),
    [aux_sym__keyword_delete_token1] = ACTIONS(1398),
    [aux_sym__keyword_begin_token1] = ACTIONS(1398),
    [aux_sym__keyword_end_token1] = ACTIONS(1398),
    [aux_sym__keyword_between_token1] = ACTIONS(1398),
    [aux_sym__keyword_when_token1] = ACTIONS(1398),
    [aux_sym__keyword_else_token1] = ACTIONS(1400),
    [aux_sym__keyword_is_token1] = ACTIONS(1398),
    [aux_sym__keyword_in_token1] = ACTIONS(1400),
    [aux_sym__keyword_and_token1] = ACTIONS(1398),
    [aux_sym__keyword_like_token1] = ACTIONS(1398),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1398),
    [aux_sym__keyword_as_token1] = ACTIONS(1400),
    [aux_sym__keyword_for_token1] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1398),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1398),
    [aux_sym_return_satement_token1] = ACTIONS(1398),
    [aux_sym_call_statement_token1] = ACTIONS(1398),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1398),
    [aux_sym_if_statement_token1] = ACTIONS(1398),
    [aux_sym_loop_statement_token1] = ACTIONS(1398),
    [aux_sym_repeat_statement_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token1] = ACTIONS(1398),
    [aux_sym_break_statement_token1] = ACTIONS(1398),
    [aux_sym_leave_statement_token1] = ACTIONS(1398),
    [aux_sym_continue_statement_token1] = ACTIONS(1398),
    [aux_sym_iterate_statement_token1] = ACTIONS(1398),
    [aux_sym_raise_statement_token1] = ACTIONS(1398),
    [anon_sym_EQ] = ACTIONS(1398),
    [aux_sym_assert_statement_token1] = ACTIONS(1398),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1398),
    [aux_sym_option_clause_token1] = ACTIONS(1398),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1398),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1398),
    [aux_sym_truncate_statement_token1] = ACTIONS(1398),
    [aux_sym_update_statement_token1] = ACTIONS(1398),
    [aux_sym_merge_statement_token1] = ACTIONS(1398),
    [aux_sym_grant_statement_token1] = ACTIONS(1398),
    [aux_sym_revoke_statement_token1] = ACTIONS(1398),
    [aux_sym_export_data_statement_token1] = ACTIONS(1398),
    [aux_sym_load_data_statement_token1] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_LT_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
  },
  [3617] = {
    [sym_analytics_clause] = STATE(3735),
    [ts_builtin_sym_end] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1398),
    [aux_sym_keyword_replace_token1] = ACTIONS(1398),
    [aux_sym__keyword_alter_token1] = ACTIONS(1398),
    [aux_sym__keyword_delete_token1] = ACTIONS(1398),
    [aux_sym__keyword_begin_token1] = ACTIONS(1398),
    [aux_sym__keyword_end_token1] = ACTIONS(1398),
    [aux_sym__keyword_between_token1] = ACTIONS(1398),
    [aux_sym__keyword_when_token1] = ACTIONS(1398),
    [aux_sym__keyword_else_token1] = ACTIONS(1400),
    [aux_sym__keyword_is_token1] = ACTIONS(1398),
    [aux_sym__keyword_in_token1] = ACTIONS(1400),
    [aux_sym__keyword_and_token1] = ACTIONS(1398),
    [aux_sym__keyword_like_token1] = ACTIONS(1398),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1398),
    [aux_sym__keyword_as_token1] = ACTIONS(1400),
    [aux_sym__keyword_for_token1] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1398),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1398),
    [aux_sym_return_satement_token1] = ACTIONS(1398),
    [aux_sym_call_statement_token1] = ACTIONS(1398),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1398),
    [aux_sym_if_statement_token1] = ACTIONS(1398),
    [aux_sym_loop_statement_token1] = ACTIONS(1398),
    [aux_sym_repeat_statement_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token1] = ACTIONS(1398),
    [aux_sym_break_statement_token1] = ACTIONS(1398),
    [aux_sym_leave_statement_token1] = ACTIONS(1398),
    [aux_sym_continue_statement_token1] = ACTIONS(1398),
    [aux_sym_iterate_statement_token1] = ACTIONS(1398),
    [aux_sym_raise_statement_token1] = ACTIONS(1398),
    [anon_sym_EQ] = ACTIONS(1398),
    [aux_sym_assert_statement_token1] = ACTIONS(1398),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1398),
    [aux_sym_option_clause_token1] = ACTIONS(1398),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1398),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1398),
    [aux_sym_truncate_statement_token1] = ACTIONS(1398),
    [aux_sym_update_statement_token1] = ACTIONS(1398),
    [aux_sym_merge_statement_token1] = ACTIONS(1398),
    [aux_sym_grant_statement_token1] = ACTIONS(1398),
    [aux_sym_revoke_statement_token1] = ACTIONS(1398),
    [aux_sym_export_data_statement_token1] = ACTIONS(1398),
    [aux_sym_load_data_statement_token1] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_LT_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
  },
  [3618] = {
    [sym_analytics_clause] = STATE(3734),
    [ts_builtin_sym_end] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1398),
    [aux_sym_keyword_replace_token1] = ACTIONS(1398),
    [aux_sym__keyword_alter_token1] = ACTIONS(1398),
    [aux_sym__keyword_delete_token1] = ACTIONS(1398),
    [aux_sym__keyword_begin_token1] = ACTIONS(1398),
    [aux_sym__keyword_end_token1] = ACTIONS(1398),
    [aux_sym__keyword_between_token1] = ACTIONS(1398),
    [aux_sym__keyword_when_token1] = ACTIONS(1398),
    [aux_sym__keyword_else_token1] = ACTIONS(1400),
    [aux_sym__keyword_is_token1] = ACTIONS(1398),
    [aux_sym__keyword_in_token1] = ACTIONS(1400),
    [aux_sym__keyword_and_token1] = ACTIONS(1398),
    [aux_sym__keyword_like_token1] = ACTIONS(1398),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1398),
    [aux_sym__keyword_as_token1] = ACTIONS(1400),
    [aux_sym__keyword_for_token1] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1398),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1398),
    [aux_sym_return_satement_token1] = ACTIONS(1398),
    [aux_sym_call_statement_token1] = ACTIONS(1398),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1398),
    [aux_sym_if_statement_token1] = ACTIONS(1398),
    [aux_sym_loop_statement_token1] = ACTIONS(1398),
    [aux_sym_repeat_statement_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token1] = ACTIONS(1398),
    [aux_sym_break_statement_token1] = ACTIONS(1398),
    [aux_sym_leave_statement_token1] = ACTIONS(1398),
    [aux_sym_continue_statement_token1] = ACTIONS(1398),
    [aux_sym_iterate_statement_token1] = ACTIONS(1398),
    [aux_sym_raise_statement_token1] = ACTIONS(1398),
    [anon_sym_EQ] = ACTIONS(1398),
    [aux_sym_assert_statement_token1] = ACTIONS(1398),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1398),
    [aux_sym_option_clause_token1] = ACTIONS(1398),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1398),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1398),
    [aux_sym_truncate_statement_token1] = ACTIONS(1398),
    [aux_sym_update_statement_token1] = ACTIONS(1398),
    [aux_sym_merge_statement_token1] = ACTIONS(1398),
    [aux_sym_grant_statement_token1] = ACTIONS(1398),
    [aux_sym_revoke_statement_token1] = ACTIONS(1398),
    [aux_sym_export_data_statement_token1] = ACTIONS(1398),
    [aux_sym_load_data_statement_token1] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_LT_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
  },
  [3619] = {
    [sym_analytics_clause] = STATE(3728),
    [ts_builtin_sym_end] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1398),
    [aux_sym_keyword_replace_token1] = ACTIONS(1398),
    [aux_sym__keyword_alter_token1] = ACTIONS(1398),
    [aux_sym__keyword_delete_token1] = ACTIONS(1398),
    [aux_sym__keyword_begin_token1] = ACTIONS(1398),
    [aux_sym__keyword_end_token1] = ACTIONS(1398),
    [aux_sym__keyword_between_token1] = ACTIONS(1398),
    [aux_sym__keyword_when_token1] = ACTIONS(1398),
    [aux_sym__keyword_else_token1] = ACTIONS(1400),
    [aux_sym__keyword_is_token1] = ACTIONS(1398),
    [aux_sym__keyword_in_token1] = ACTIONS(1400),
    [aux_sym__keyword_and_token1] = ACTIONS(1398),
    [aux_sym__keyword_like_token1] = ACTIONS(1398),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1398),
    [aux_sym__keyword_as_token1] = ACTIONS(1400),
    [aux_sym__keyword_for_token1] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1398),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1398),
    [aux_sym_return_satement_token1] = ACTIONS(1398),
    [aux_sym_call_statement_token1] = ACTIONS(1398),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1398),
    [aux_sym_if_statement_token1] = ACTIONS(1398),
    [aux_sym_loop_statement_token1] = ACTIONS(1398),
    [aux_sym_repeat_statement_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token1] = ACTIONS(1398),
    [aux_sym_break_statement_token1] = ACTIONS(1398),
    [aux_sym_leave_statement_token1] = ACTIONS(1398),
    [aux_sym_continue_statement_token1] = ACTIONS(1398),
    [aux_sym_iterate_statement_token1] = ACTIONS(1398),
    [aux_sym_raise_statement_token1] = ACTIONS(1398),
    [anon_sym_EQ] = ACTIONS(1398),
    [aux_sym_assert_statement_token1] = ACTIONS(1398),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1398),
    [aux_sym_option_clause_token1] = ACTIONS(1398),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1398),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1398),
    [aux_sym_truncate_statement_token1] = ACTIONS(1398),
    [aux_sym_update_statement_token1] = ACTIONS(1398),
    [aux_sym_merge_statement_token1] = ACTIONS(1398),
    [aux_sym_grant_statement_token1] = ACTIONS(1398),
    [aux_sym_revoke_statement_token1] = ACTIONS(1398),
    [aux_sym_export_data_statement_token1] = ACTIONS(1398),
    [aux_sym_load_data_statement_token1] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_LT_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
  },
  [3620] = {
    [ts_builtin_sym_end] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1398),
    [aux_sym_keyword_replace_token1] = ACTIONS(1398),
    [aux_sym__keyword_alter_token1] = ACTIONS(1398),
    [aux_sym__keyword_from_token1] = ACTIONS(1398),
    [aux_sym__keyword_delete_token1] = ACTIONS(1398),
    [aux_sym__keyword_begin_token1] = ACTIONS(1398),
    [aux_sym__keyword_end_token1] = ACTIONS(1398),
    [aux_sym__keyword_between_token1] = ACTIONS(1398),
    [aux_sym__keyword_when_token1] = ACTIONS(1398),
    [aux_sym__keyword_else_token1] = ACTIONS(1400),
    [aux_sym__keyword_is_token1] = ACTIONS(1398),
    [aux_sym__keyword_in_token1] = ACTIONS(1400),
    [aux_sym__keyword_and_token1] = ACTIONS(1398),
    [aux_sym__keyword_like_token1] = ACTIONS(1398),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1398),
    [aux_sym__keyword_as_token1] = ACTIONS(1400),
    [aux_sym__keyword_for_token1] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1398),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1398),
    [aux_sym_return_satement_token1] = ACTIONS(1398),
    [aux_sym_call_statement_token1] = ACTIONS(1398),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1398),
    [aux_sym_if_statement_token1] = ACTIONS(1398),
    [aux_sym_loop_statement_token1] = ACTIONS(1398),
    [aux_sym_repeat_statement_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token1] = ACTIONS(1398),
    [aux_sym_break_statement_token1] = ACTIONS(1398),
    [aux_sym_leave_statement_token1] = ACTIONS(1398),
    [aux_sym_continue_statement_token1] = ACTIONS(1398),
    [aux_sym_iterate_statement_token1] = ACTIONS(1398),
    [aux_sym_raise_statement_token1] = ACTIONS(1398),
    [anon_sym_EQ] = ACTIONS(1398),
    [aux_sym_assert_statement_token1] = ACTIONS(1398),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1398),
    [aux_sym_option_clause_token1] = ACTIONS(1398),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1398),
    [aux_sym_select_token1] = ACTIONS(1398),
    [aux_sym_insert_statement_token1] = ACTIONS(1398),
    [aux_sym_truncate_statement_token1] = ACTIONS(1398),
    [aux_sym_update_statement_token1] = ACTIONS(1398),
    [aux_sym_merge_statement_token1] = ACTIONS(1398),
    [aux_sym_grant_statement_token1] = ACTIONS(1398),
    [aux_sym_revoke_statement_token1] = ACTIONS(1398),
    [aux_sym_export_data_statement_token1] = ACTIONS(1398),
    [aux_sym_load_data_statement_token1] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_LT_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
  },
  [3621] = {
    [sym_analytics_clause] = STATE(3726),
    [ts_builtin_sym_end] = ACTIONS(1406),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1406),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1406),
    [aux_sym_keyword_replace_token1] = ACTIONS(1406),
    [aux_sym__keyword_alter_token1] = ACTIONS(1406),
    [aux_sym__keyword_delete_token1] = ACTIONS(1406),
    [aux_sym__keyword_begin_token1] = ACTIONS(1406),
    [aux_sym__keyword_end_token1] = ACTIONS(1406),
    [aux_sym__keyword_between_token1] = ACTIONS(1406),
    [aux_sym__keyword_when_token1] = ACTIONS(1406),
    [aux_sym__keyword_else_token1] = ACTIONS(1408),
    [aux_sym__keyword_is_token1] = ACTIONS(1406),
    [aux_sym__keyword_in_token1] = ACTIONS(1408),
    [aux_sym__keyword_and_token1] = ACTIONS(1406),
    [aux_sym__keyword_like_token1] = ACTIONS(1406),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1406),
    [aux_sym__keyword_as_token1] = ACTIONS(1408),
    [aux_sym__keyword_for_token1] = ACTIONS(1406),
    [anon_sym_SEMI] = ACTIONS(1406),
    [aux_sym_declare_statement_token1] = ACTIONS(1406),
    [anon_sym_COMMA] = ACTIONS(1406),
    [aux_sym_set_statement_token1] = ACTIONS(1406),
    [anon_sym_LPAREN] = ACTIONS(1406),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1406),
    [aux_sym_return_satement_token1] = ACTIONS(1406),
    [aux_sym_call_statement_token1] = ACTIONS(1406),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1406),
    [aux_sym_if_statement_token1] = ACTIONS(1406),
    [aux_sym_loop_statement_token1] = ACTIONS(1406),
    [aux_sym_repeat_statement_token1] = ACTIONS(1406),
    [aux_sym_while_statement_token1] = ACTIONS(1406),
    [aux_sym_break_statement_token1] = ACTIONS(1406),
    [aux_sym_leave_statement_token1] = ACTIONS(1406),
    [aux_sym_continue_statement_token1] = ACTIONS(1406),
    [aux_sym_iterate_statement_token1] = ACTIONS(1406),
    [aux_sym_raise_statement_token1] = ACTIONS(1406),
    [anon_sym_EQ] = ACTIONS(1406),
    [aux_sym_assert_statement_token1] = ACTIONS(1406),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1406),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1406),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1406),
    [aux_sym_option_clause_token1] = ACTIONS(1406),
    [anon_sym_LT] = ACTIONS(1408),
    [anon_sym_GT] = ACTIONS(1408),
    [aux_sym_select_token1] = ACTIONS(1406),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1406),
    [aux_sym_truncate_statement_token1] = ACTIONS(1406),
    [aux_sym_update_statement_token1] = ACTIONS(1406),
    [aux_sym_merge_statement_token1] = ACTIONS(1406),
    [aux_sym_grant_statement_token1] = ACTIONS(1406),
    [aux_sym_revoke_statement_token1] = ACTIONS(1406),
    [aux_sym_export_data_statement_token1] = ACTIONS(1406),
    [aux_sym_load_data_statement_token1] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_DASH] = ACTIONS(1408),
    [anon_sym_STAR] = ACTIONS(1406),
    [anon_sym_SLASH] = ACTIONS(1408),
    [anon_sym_PIPE_PIPE] = ACTIONS(1406),
    [anon_sym_LT_EQ] = ACTIONS(1406),
    [anon_sym_LT_GT] = ACTIONS(1406),
    [anon_sym_GT_EQ] = ACTIONS(1406),
    [anon_sym_BANG_EQ] = ACTIONS(1406),
    [anon_sym_LT_LT] = ACTIONS(1406),
    [anon_sym_GT_GT] = ACTIONS(1406),
    [anon_sym_AMP] = ACTIONS(1406),
    [anon_sym_CARET] = ACTIONS(1406),
    [anon_sym_PIPE] = ACTIONS(1408),
  },
  [3622] = {
    [ts_builtin_sym_end] = ACTIONS(1406),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1406),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1406),
    [aux_sym_keyword_replace_token1] = ACTIONS(1406),
    [aux_sym__keyword_alter_token1] = ACTIONS(1406),
    [aux_sym__keyword_from_token1] = ACTIONS(1406),
    [aux_sym__keyword_delete_token1] = ACTIONS(1406),
    [aux_sym__keyword_begin_token1] = ACTIONS(1406),
    [aux_sym__keyword_end_token1] = ACTIONS(1406),
    [aux_sym__keyword_between_token1] = ACTIONS(1406),
    [aux_sym__keyword_when_token1] = ACTIONS(1406),
    [aux_sym__keyword_else_token1] = ACTIONS(1408),
    [aux_sym__keyword_is_token1] = ACTIONS(1406),
    [aux_sym__keyword_in_token1] = ACTIONS(1408),
    [aux_sym__keyword_and_token1] = ACTIONS(1406),
    [aux_sym__keyword_like_token1] = ACTIONS(1406),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1406),
    [aux_sym__keyword_as_token1] = ACTIONS(1408),
    [aux_sym__keyword_for_token1] = ACTIONS(1406),
    [anon_sym_SEMI] = ACTIONS(1406),
    [aux_sym_declare_statement_token1] = ACTIONS(1406),
    [anon_sym_COMMA] = ACTIONS(1406),
    [aux_sym_set_statement_token1] = ACTIONS(1406),
    [anon_sym_LPAREN] = ACTIONS(1406),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1406),
    [aux_sym_return_satement_token1] = ACTIONS(1406),
    [aux_sym_call_statement_token1] = ACTIONS(1406),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1406),
    [aux_sym_if_statement_token1] = ACTIONS(1406),
    [aux_sym_loop_statement_token1] = ACTIONS(1406),
    [aux_sym_repeat_statement_token1] = ACTIONS(1406),
    [aux_sym_while_statement_token1] = ACTIONS(1406),
    [aux_sym_break_statement_token1] = ACTIONS(1406),
    [aux_sym_leave_statement_token1] = ACTIONS(1406),
    [aux_sym_continue_statement_token1] = ACTIONS(1406),
    [aux_sym_iterate_statement_token1] = ACTIONS(1406),
    [aux_sym_raise_statement_token1] = ACTIONS(1406),
    [anon_sym_EQ] = ACTIONS(1406),
    [aux_sym_assert_statement_token1] = ACTIONS(1406),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1406),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1406),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1406),
    [aux_sym_option_clause_token1] = ACTIONS(1406),
    [anon_sym_LT] = ACTIONS(1408),
    [anon_sym_GT] = ACTIONS(1408),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1406),
    [aux_sym_select_token1] = ACTIONS(1406),
    [aux_sym_insert_statement_token1] = ACTIONS(1406),
    [aux_sym_truncate_statement_token1] = ACTIONS(1406),
    [aux_sym_update_statement_token1] = ACTIONS(1406),
    [aux_sym_merge_statement_token1] = ACTIONS(1406),
    [aux_sym_grant_statement_token1] = ACTIONS(1406),
    [aux_sym_revoke_statement_token1] = ACTIONS(1406),
    [aux_sym_export_data_statement_token1] = ACTIONS(1406),
    [aux_sym_load_data_statement_token1] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_DASH] = ACTIONS(1408),
    [anon_sym_STAR] = ACTIONS(1406),
    [anon_sym_SLASH] = ACTIONS(1408),
    [anon_sym_PIPE_PIPE] = ACTIONS(1406),
    [anon_sym_LT_EQ] = ACTIONS(1406),
    [anon_sym_LT_GT] = ACTIONS(1406),
    [anon_sym_GT_EQ] = ACTIONS(1406),
    [anon_sym_BANG_EQ] = ACTIONS(1406),
    [anon_sym_LT_LT] = ACTIONS(1406),
    [anon_sym_GT_GT] = ACTIONS(1406),
    [anon_sym_AMP] = ACTIONS(1406),
    [anon_sym_CARET] = ACTIONS(1406),
    [anon_sym_PIPE] = ACTIONS(1408),
  },
  [3623] = {
    [sym_analytics_clause] = STATE(3724),
    [ts_builtin_sym_end] = ACTIONS(1410),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1410),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1410),
    [aux_sym_keyword_replace_token1] = ACTIONS(1410),
    [aux_sym__keyword_alter_token1] = ACTIONS(1410),
    [aux_sym__keyword_delete_token1] = ACTIONS(1410),
    [aux_sym__keyword_begin_token1] = ACTIONS(1410),
    [aux_sym__keyword_end_token1] = ACTIONS(1410),
    [aux_sym__keyword_between_token1] = ACTIONS(1410),
    [aux_sym__keyword_when_token1] = ACTIONS(1410),
    [aux_sym__keyword_else_token1] = ACTIONS(1412),
    [aux_sym__keyword_is_token1] = ACTIONS(1410),
    [aux_sym__keyword_in_token1] = ACTIONS(1412),
    [aux_sym__keyword_and_token1] = ACTIONS(1410),
    [aux_sym__keyword_like_token1] = ACTIONS(1410),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1410),
    [aux_sym__keyword_as_token1] = ACTIONS(1412),
    [aux_sym__keyword_for_token1] = ACTIONS(1410),
    [anon_sym_SEMI] = ACTIONS(1410),
    [aux_sym_declare_statement_token1] = ACTIONS(1410),
    [anon_sym_COMMA] = ACTIONS(1410),
    [aux_sym_set_statement_token1] = ACTIONS(1410),
    [anon_sym_LPAREN] = ACTIONS(1410),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1410),
    [aux_sym_return_satement_token1] = ACTIONS(1410),
    [aux_sym_call_statement_token1] = ACTIONS(1410),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1410),
    [aux_sym_if_statement_token1] = ACTIONS(1410),
    [aux_sym_loop_statement_token1] = ACTIONS(1410),
    [aux_sym_repeat_statement_token1] = ACTIONS(1410),
    [aux_sym_while_statement_token1] = ACTIONS(1410),
    [aux_sym_break_statement_token1] = ACTIONS(1410),
    [aux_sym_leave_statement_token1] = ACTIONS(1410),
    [aux_sym_continue_statement_token1] = ACTIONS(1410),
    [aux_sym_iterate_statement_token1] = ACTIONS(1410),
    [aux_sym_raise_statement_token1] = ACTIONS(1410),
    [anon_sym_EQ] = ACTIONS(1410),
    [aux_sym_assert_statement_token1] = ACTIONS(1410),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1410),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1410),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1410),
    [aux_sym_option_clause_token1] = ACTIONS(1410),
    [anon_sym_LT] = ACTIONS(1412),
    [anon_sym_GT] = ACTIONS(1412),
    [aux_sym_select_token1] = ACTIONS(1410),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1410),
    [aux_sym_truncate_statement_token1] = ACTIONS(1410),
    [aux_sym_update_statement_token1] = ACTIONS(1410),
    [aux_sym_merge_statement_token1] = ACTIONS(1410),
    [aux_sym_grant_statement_token1] = ACTIONS(1410),
    [aux_sym_revoke_statement_token1] = ACTIONS(1410),
    [aux_sym_export_data_statement_token1] = ACTIONS(1410),
    [aux_sym_load_data_statement_token1] = ACTIONS(1410),
    [anon_sym_LBRACK] = ACTIONS(1410),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_STAR] = ACTIONS(1410),
    [anon_sym_SLASH] = ACTIONS(1412),
    [anon_sym_PIPE_PIPE] = ACTIONS(1410),
    [anon_sym_LT_EQ] = ACTIONS(1410),
    [anon_sym_LT_GT] = ACTIONS(1410),
    [anon_sym_GT_EQ] = ACTIONS(1410),
    [anon_sym_BANG_EQ] = ACTIONS(1410),
    [anon_sym_LT_LT] = ACTIONS(1410),
    [anon_sym_GT_GT] = ACTIONS(1410),
    [anon_sym_AMP] = ACTIONS(1410),
    [anon_sym_CARET] = ACTIONS(1410),
    [anon_sym_PIPE] = ACTIONS(1412),
  },
  [3624] = {
    [ts_builtin_sym_end] = ACTIONS(1410),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1410),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1410),
    [aux_sym_keyword_replace_token1] = ACTIONS(1410),
    [aux_sym__keyword_alter_token1] = ACTIONS(1410),
    [aux_sym__keyword_from_token1] = ACTIONS(1410),
    [aux_sym__keyword_delete_token1] = ACTIONS(1410),
    [aux_sym__keyword_begin_token1] = ACTIONS(1410),
    [aux_sym__keyword_end_token1] = ACTIONS(1410),
    [aux_sym__keyword_between_token1] = ACTIONS(1410),
    [aux_sym__keyword_when_token1] = ACTIONS(1410),
    [aux_sym__keyword_else_token1] = ACTIONS(1412),
    [aux_sym__keyword_is_token1] = ACTIONS(1410),
    [aux_sym__keyword_in_token1] = ACTIONS(1412),
    [aux_sym__keyword_and_token1] = ACTIONS(1410),
    [aux_sym__keyword_like_token1] = ACTIONS(1410),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1410),
    [aux_sym__keyword_as_token1] = ACTIONS(1412),
    [aux_sym__keyword_for_token1] = ACTIONS(1410),
    [anon_sym_SEMI] = ACTIONS(1410),
    [aux_sym_declare_statement_token1] = ACTIONS(1410),
    [anon_sym_COMMA] = ACTIONS(1410),
    [aux_sym_set_statement_token1] = ACTIONS(1410),
    [anon_sym_LPAREN] = ACTIONS(1410),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1410),
    [aux_sym_return_satement_token1] = ACTIONS(1410),
    [aux_sym_call_statement_token1] = ACTIONS(1410),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1410),
    [aux_sym_if_statement_token1] = ACTIONS(1410),
    [aux_sym_loop_statement_token1] = ACTIONS(1410),
    [aux_sym_repeat_statement_token1] = ACTIONS(1410),
    [aux_sym_while_statement_token1] = ACTIONS(1410),
    [aux_sym_break_statement_token1] = ACTIONS(1410),
    [aux_sym_leave_statement_token1] = ACTIONS(1410),
    [aux_sym_continue_statement_token1] = ACTIONS(1410),
    [aux_sym_iterate_statement_token1] = ACTIONS(1410),
    [aux_sym_raise_statement_token1] = ACTIONS(1410),
    [anon_sym_EQ] = ACTIONS(1410),
    [aux_sym_assert_statement_token1] = ACTIONS(1410),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1410),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1410),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1410),
    [aux_sym_option_clause_token1] = ACTIONS(1410),
    [anon_sym_LT] = ACTIONS(1412),
    [anon_sym_GT] = ACTIONS(1412),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1410),
    [aux_sym_select_token1] = ACTIONS(1410),
    [aux_sym_insert_statement_token1] = ACTIONS(1410),
    [aux_sym_truncate_statement_token1] = ACTIONS(1410),
    [aux_sym_update_statement_token1] = ACTIONS(1410),
    [aux_sym_merge_statement_token1] = ACTIONS(1410),
    [aux_sym_grant_statement_token1] = ACTIONS(1410),
    [aux_sym_revoke_statement_token1] = ACTIONS(1410),
    [aux_sym_export_data_statement_token1] = ACTIONS(1410),
    [aux_sym_load_data_statement_token1] = ACTIONS(1410),
    [anon_sym_LBRACK] = ACTIONS(1410),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_STAR] = ACTIONS(1410),
    [anon_sym_SLASH] = ACTIONS(1412),
    [anon_sym_PIPE_PIPE] = ACTIONS(1410),
    [anon_sym_LT_EQ] = ACTIONS(1410),
    [anon_sym_LT_GT] = ACTIONS(1410),
    [anon_sym_GT_EQ] = ACTIONS(1410),
    [anon_sym_BANG_EQ] = ACTIONS(1410),
    [anon_sym_LT_LT] = ACTIONS(1410),
    [anon_sym_GT_GT] = ACTIONS(1410),
    [anon_sym_AMP] = ACTIONS(1410),
    [anon_sym_CARET] = ACTIONS(1410),
    [anon_sym_PIPE] = ACTIONS(1412),
  },
  [3625] = {
    [sym_analytics_clause] = STATE(3722),
    [ts_builtin_sym_end] = ACTIONS(1414),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1414),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1414),
    [aux_sym_keyword_replace_token1] = ACTIONS(1414),
    [aux_sym__keyword_alter_token1] = ACTIONS(1414),
    [aux_sym__keyword_delete_token1] = ACTIONS(1414),
    [aux_sym__keyword_begin_token1] = ACTIONS(1414),
    [aux_sym__keyword_end_token1] = ACTIONS(1414),
    [aux_sym__keyword_between_token1] = ACTIONS(1414),
    [aux_sym__keyword_when_token1] = ACTIONS(1414),
    [aux_sym__keyword_else_token1] = ACTIONS(1416),
    [aux_sym__keyword_is_token1] = ACTIONS(1414),
    [aux_sym__keyword_in_token1] = ACTIONS(1416),
    [aux_sym__keyword_and_token1] = ACTIONS(1414),
    [aux_sym__keyword_like_token1] = ACTIONS(1414),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1414),
    [aux_sym__keyword_as_token1] = ACTIONS(1416),
    [aux_sym__keyword_for_token1] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(1414),
    [aux_sym_declare_statement_token1] = ACTIONS(1414),
    [anon_sym_COMMA] = ACTIONS(1414),
    [aux_sym_set_statement_token1] = ACTIONS(1414),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1414),
    [aux_sym_return_satement_token1] = ACTIONS(1414),
    [aux_sym_call_statement_token1] = ACTIONS(1414),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1414),
    [aux_sym_if_statement_token1] = ACTIONS(1414),
    [aux_sym_loop_statement_token1] = ACTIONS(1414),
    [aux_sym_repeat_statement_token1] = ACTIONS(1414),
    [aux_sym_while_statement_token1] = ACTIONS(1414),
    [aux_sym_break_statement_token1] = ACTIONS(1414),
    [aux_sym_leave_statement_token1] = ACTIONS(1414),
    [aux_sym_continue_statement_token1] = ACTIONS(1414),
    [aux_sym_iterate_statement_token1] = ACTIONS(1414),
    [aux_sym_raise_statement_token1] = ACTIONS(1414),
    [anon_sym_EQ] = ACTIONS(1414),
    [aux_sym_assert_statement_token1] = ACTIONS(1414),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1414),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1414),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1414),
    [aux_sym_option_clause_token1] = ACTIONS(1414),
    [anon_sym_LT] = ACTIONS(1416),
    [anon_sym_GT] = ACTIONS(1416),
    [aux_sym_select_token1] = ACTIONS(1414),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1414),
    [aux_sym_truncate_statement_token1] = ACTIONS(1414),
    [aux_sym_update_statement_token1] = ACTIONS(1414),
    [aux_sym_merge_statement_token1] = ACTIONS(1414),
    [aux_sym_grant_statement_token1] = ACTIONS(1414),
    [aux_sym_revoke_statement_token1] = ACTIONS(1414),
    [aux_sym_export_data_statement_token1] = ACTIONS(1414),
    [aux_sym_load_data_statement_token1] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1414),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_SLASH] = ACTIONS(1416),
    [anon_sym_PIPE_PIPE] = ACTIONS(1414),
    [anon_sym_LT_EQ] = ACTIONS(1414),
    [anon_sym_LT_GT] = ACTIONS(1414),
    [anon_sym_GT_EQ] = ACTIONS(1414),
    [anon_sym_BANG_EQ] = ACTIONS(1414),
    [anon_sym_LT_LT] = ACTIONS(1414),
    [anon_sym_GT_GT] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_CARET] = ACTIONS(1414),
    [anon_sym_PIPE] = ACTIONS(1416),
  },
  [3626] = {
    [ts_builtin_sym_end] = ACTIONS(1414),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1414),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1414),
    [aux_sym_keyword_replace_token1] = ACTIONS(1414),
    [aux_sym__keyword_alter_token1] = ACTIONS(1414),
    [aux_sym__keyword_from_token1] = ACTIONS(1414),
    [aux_sym__keyword_delete_token1] = ACTIONS(1414),
    [aux_sym__keyword_begin_token1] = ACTIONS(1414),
    [aux_sym__keyword_end_token1] = ACTIONS(1414),
    [aux_sym__keyword_between_token1] = ACTIONS(1414),
    [aux_sym__keyword_when_token1] = ACTIONS(1414),
    [aux_sym__keyword_else_token1] = ACTIONS(1416),
    [aux_sym__keyword_is_token1] = ACTIONS(1414),
    [aux_sym__keyword_in_token1] = ACTIONS(1416),
    [aux_sym__keyword_and_token1] = ACTIONS(1414),
    [aux_sym__keyword_like_token1] = ACTIONS(1414),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1414),
    [aux_sym__keyword_as_token1] = ACTIONS(1416),
    [aux_sym__keyword_for_token1] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(1414),
    [aux_sym_declare_statement_token1] = ACTIONS(1414),
    [anon_sym_COMMA] = ACTIONS(1414),
    [aux_sym_set_statement_token1] = ACTIONS(1414),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1414),
    [aux_sym_return_satement_token1] = ACTIONS(1414),
    [aux_sym_call_statement_token1] = ACTIONS(1414),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1414),
    [aux_sym_if_statement_token1] = ACTIONS(1414),
    [aux_sym_loop_statement_token1] = ACTIONS(1414),
    [aux_sym_repeat_statement_token1] = ACTIONS(1414),
    [aux_sym_while_statement_token1] = ACTIONS(1414),
    [aux_sym_break_statement_token1] = ACTIONS(1414),
    [aux_sym_leave_statement_token1] = ACTIONS(1414),
    [aux_sym_continue_statement_token1] = ACTIONS(1414),
    [aux_sym_iterate_statement_token1] = ACTIONS(1414),
    [aux_sym_raise_statement_token1] = ACTIONS(1414),
    [anon_sym_EQ] = ACTIONS(1414),
    [aux_sym_assert_statement_token1] = ACTIONS(1414),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1414),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1414),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1414),
    [aux_sym_option_clause_token1] = ACTIONS(1414),
    [anon_sym_LT] = ACTIONS(1416),
    [anon_sym_GT] = ACTIONS(1416),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1414),
    [aux_sym_select_token1] = ACTIONS(1414),
    [aux_sym_insert_statement_token1] = ACTIONS(1414),
    [aux_sym_truncate_statement_token1] = ACTIONS(1414),
    [aux_sym_update_statement_token1] = ACTIONS(1414),
    [aux_sym_merge_statement_token1] = ACTIONS(1414),
    [aux_sym_grant_statement_token1] = ACTIONS(1414),
    [aux_sym_revoke_statement_token1] = ACTIONS(1414),
    [aux_sym_export_data_statement_token1] = ACTIONS(1414),
    [aux_sym_load_data_statement_token1] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1414),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_SLASH] = ACTIONS(1416),
    [anon_sym_PIPE_PIPE] = ACTIONS(1414),
    [anon_sym_LT_EQ] = ACTIONS(1414),
    [anon_sym_LT_GT] = ACTIONS(1414),
    [anon_sym_GT_EQ] = ACTIONS(1414),
    [anon_sym_BANG_EQ] = ACTIONS(1414),
    [anon_sym_LT_LT] = ACTIONS(1414),
    [anon_sym_GT_GT] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_CARET] = ACTIONS(1414),
    [anon_sym_PIPE] = ACTIONS(1416),
  },
  [3627] = {
    [sym__keyword_between] = STATE(1451),
    [sym__keyword_is] = STATE(12153),
    [sym__keyword_in] = STATE(876),
    [sym__keyword_not] = STATE(13044),
    [sym__keyword_and] = STATE(885),
    [sym__keyword_or] = STATE(887),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(1027),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1027),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(2744),
    [aux_sym__keyword_alter_token1] = ACTIONS(1027),
    [aux_sym__keyword_delete_token1] = ACTIONS(1027),
    [aux_sym__keyword_begin_token1] = ACTIONS(1027),
    [aux_sym__keyword_between_token1] = ACTIONS(3276),
    [aux_sym__keyword_is_token1] = ACTIONS(3278),
    [aux_sym__keyword_in_token1] = ACTIONS(3280),
    [aux_sym__keyword_and_token1] = ACTIONS(3282),
    [aux_sym__keyword_like_token1] = ACTIONS(1027),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1027),
    [aux_sym__keyword_for_token1] = ACTIONS(1027),
    [anon_sym_SEMI] = ACTIONS(1027),
    [aux_sym_declare_statement_token1] = ACTIONS(1027),
    [anon_sym_COMMA] = ACTIONS(1027),
    [aux_sym_set_statement_token1] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1027),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1027),
    [aux_sym_return_satement_token1] = ACTIONS(1027),
    [aux_sym_call_statement_token1] = ACTIONS(1027),
    [aux_sym_loop_statement_token1] = ACTIONS(1027),
    [aux_sym_while_statement_token1] = ACTIONS(1027),
    [aux_sym_break_statement_token1] = ACTIONS(1027),
    [aux_sym_leave_statement_token1] = ACTIONS(1027),
    [aux_sym_continue_statement_token1] = ACTIONS(1027),
    [aux_sym_iterate_statement_token1] = ACTIONS(1027),
    [aux_sym_raise_statement_token1] = ACTIONS(1027),
    [anon_sym_EQ] = ACTIONS(3284),
    [aux_sym_assert_statement_token1] = ACTIONS(1027),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1027),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1027),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1027),
    [aux_sym_option_clause_token1] = ACTIONS(1027),
    [anon_sym_LT] = ACTIONS(3280),
    [anon_sym_GT] = ACTIONS(3280),
    [aux_sym_select_token1] = ACTIONS(1027),
    [aux_sym_insert_statement_token1] = ACTIONS(1027),
    [aux_sym_truncate_statement_token1] = ACTIONS(1027),
    [aux_sym_update_statement_token1] = ACTIONS(1027),
    [aux_sym_merge_statement_token1] = ACTIONS(1027),
    [aux_sym_grant_statement_token1] = ACTIONS(1027),
    [aux_sym_revoke_statement_token1] = ACTIONS(1027),
    [aux_sym_export_data_statement_token1] = ACTIONS(1027),
    [aux_sym_load_data_statement_token1] = ACTIONS(1027),
    [anon_sym_LBRACK] = ACTIONS(1027),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(3286),
    [anon_sym_DASH] = ACTIONS(3288),
    [anon_sym_STAR] = ACTIONS(3290),
    [anon_sym_SLASH] = ACTIONS(3292),
    [anon_sym_PIPE_PIPE] = ACTIONS(3290),
    [anon_sym_LT_EQ] = ACTIONS(3284),
    [anon_sym_LT_GT] = ACTIONS(3284),
    [anon_sym_GT_EQ] = ACTIONS(3284),
    [anon_sym_BANG_EQ] = ACTIONS(3284),
    [anon_sym_LT_LT] = ACTIONS(3294),
    [anon_sym_GT_GT] = ACTIONS(3294),
    [anon_sym_AMP] = ACTIONS(3296),
    [anon_sym_CARET] = ACTIONS(3298),
    [anon_sym_PIPE] = ACTIONS(3300),
  },
  [3628] = {
    [sym__keyword_between] = STATE(1451),
    [sym__keyword_is] = STATE(12153),
    [sym__keyword_in] = STATE(876),
    [sym__keyword_not] = STATE(13044),
    [sym__keyword_and] = STATE(885),
    [sym__keyword_or] = STATE(887),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(1019),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1019),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1019),
    [aux_sym_keyword_replace_token1] = ACTIONS(1019),
    [aux_sym__keyword_alter_token1] = ACTIONS(1019),
    [aux_sym__keyword_delete_token1] = ACTIONS(1019),
    [aux_sym__keyword_begin_token1] = ACTIONS(1019),
    [aux_sym__keyword_between_token1] = ACTIONS(1019),
    [aux_sym__keyword_is_token1] = ACTIONS(1019),
    [aux_sym__keyword_in_token1] = ACTIONS(1021),
    [aux_sym__keyword_and_token1] = ACTIONS(1019),
    [aux_sym__keyword_like_token1] = ACTIONS(1019),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1019),
    [aux_sym__keyword_for_token1] = ACTIONS(1019),
    [anon_sym_SEMI] = ACTIONS(1019),
    [aux_sym_declare_statement_token1] = ACTIONS(1019),
    [anon_sym_COMMA] = ACTIONS(1019),
    [aux_sym_set_statement_token1] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1019),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1019),
    [aux_sym_return_satement_token1] = ACTIONS(1019),
    [aux_sym_call_statement_token1] = ACTIONS(1019),
    [aux_sym_loop_statement_token1] = ACTIONS(1019),
    [aux_sym_while_statement_token1] = ACTIONS(1019),
    [aux_sym_break_statement_token1] = ACTIONS(1019),
    [aux_sym_leave_statement_token1] = ACTIONS(1019),
    [aux_sym_continue_statement_token1] = ACTIONS(1019),
    [aux_sym_iterate_statement_token1] = ACTIONS(1019),
    [aux_sym_raise_statement_token1] = ACTIONS(1019),
    [anon_sym_EQ] = ACTIONS(1019),
    [aux_sym_assert_statement_token1] = ACTIONS(1019),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1019),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1019),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1019),
    [aux_sym_option_clause_token1] = ACTIONS(1019),
    [anon_sym_LT] = ACTIONS(1021),
    [anon_sym_GT] = ACTIONS(1021),
    [aux_sym_select_token1] = ACTIONS(1019),
    [aux_sym_insert_statement_token1] = ACTIONS(1019),
    [aux_sym_truncate_statement_token1] = ACTIONS(1019),
    [aux_sym_update_statement_token1] = ACTIONS(1019),
    [aux_sym_merge_statement_token1] = ACTIONS(1019),
    [aux_sym_grant_statement_token1] = ACTIONS(1019),
    [aux_sym_revoke_statement_token1] = ACTIONS(1019),
    [aux_sym_export_data_statement_token1] = ACTIONS(1019),
    [aux_sym_load_data_statement_token1] = ACTIONS(1019),
    [anon_sym_LBRACK] = ACTIONS(1019),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1019),
    [anon_sym_PLUS] = ACTIONS(1019),
    [anon_sym_DASH] = ACTIONS(1021),
    [anon_sym_STAR] = ACTIONS(1019),
    [anon_sym_SLASH] = ACTIONS(1021),
    [anon_sym_PIPE_PIPE] = ACTIONS(1019),
    [anon_sym_LT_EQ] = ACTIONS(1019),
    [anon_sym_LT_GT] = ACTIONS(1019),
    [anon_sym_GT_EQ] = ACTIONS(1019),
    [anon_sym_BANG_EQ] = ACTIONS(1019),
    [anon_sym_LT_LT] = ACTIONS(1019),
    [anon_sym_GT_GT] = ACTIONS(1019),
    [anon_sym_AMP] = ACTIONS(1019),
    [anon_sym_CARET] = ACTIONS(1019),
    [anon_sym_PIPE] = ACTIONS(1021),
  },
  [3629] = {
    [sym_analytics_clause] = STATE(3718),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1418),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_when_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [aux_sym_option_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [3630] = {
    [sym_analytics_clause] = STATE(3715),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1418),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_when_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [aux_sym_option_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [3631] = {
    [sym_analytics_clause] = STATE(3713),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1418),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_when_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [aux_sym_option_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [3632] = {
    [sym_analytics_clause] = STATE(3712),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1418),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_when_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [aux_sym_option_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [3633] = {
    [sym_analytics_clause] = STATE(3705),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1418),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_when_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [aux_sym_option_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [3634] = {
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1418),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_from_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_when_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [aux_sym_option_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1418),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [3635] = {
    [sym_analytics_clause] = STATE(3764),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1418),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_when_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [aux_sym_option_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [3636] = {
    [sym_analytics_clause] = STATE(3603),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1418),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_when_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [aux_sym_option_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [3637] = {
    [sym_analytics_clause] = STATE(3605),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1418),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_when_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [aux_sym_option_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [3638] = {
    [sym_analytics_clause] = STATE(3606),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1418),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_when_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [aux_sym_option_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [3639] = {
    [sym_analytics_clause] = STATE(3612),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1418),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_when_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [aux_sym_option_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [3640] = {
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1418),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_from_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_when_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [aux_sym_option_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1418),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [3641] = {
    [sym_analytics_clause] = STATE(3614),
    [ts_builtin_sym_end] = ACTIONS(1422),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1422),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1422),
    [aux_sym_keyword_replace_token1] = ACTIONS(1422),
    [aux_sym__keyword_alter_token1] = ACTIONS(1422),
    [aux_sym__keyword_delete_token1] = ACTIONS(1422),
    [aux_sym__keyword_begin_token1] = ACTIONS(1422),
    [aux_sym__keyword_end_token1] = ACTIONS(1422),
    [aux_sym__keyword_between_token1] = ACTIONS(1422),
    [aux_sym__keyword_when_token1] = ACTIONS(1422),
    [aux_sym__keyword_else_token1] = ACTIONS(1424),
    [aux_sym__keyword_is_token1] = ACTIONS(1422),
    [aux_sym__keyword_in_token1] = ACTIONS(1424),
    [aux_sym__keyword_and_token1] = ACTIONS(1422),
    [aux_sym__keyword_like_token1] = ACTIONS(1422),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1422),
    [aux_sym__keyword_as_token1] = ACTIONS(1424),
    [aux_sym__keyword_for_token1] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1422),
    [aux_sym_declare_statement_token1] = ACTIONS(1422),
    [anon_sym_COMMA] = ACTIONS(1422),
    [aux_sym_set_statement_token1] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1422),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1422),
    [aux_sym_return_satement_token1] = ACTIONS(1422),
    [aux_sym_call_statement_token1] = ACTIONS(1422),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1422),
    [aux_sym_if_statement_token1] = ACTIONS(1422),
    [aux_sym_loop_statement_token1] = ACTIONS(1422),
    [aux_sym_repeat_statement_token1] = ACTIONS(1422),
    [aux_sym_while_statement_token1] = ACTIONS(1422),
    [aux_sym_break_statement_token1] = ACTIONS(1422),
    [aux_sym_leave_statement_token1] = ACTIONS(1422),
    [aux_sym_continue_statement_token1] = ACTIONS(1422),
    [aux_sym_iterate_statement_token1] = ACTIONS(1422),
    [aux_sym_raise_statement_token1] = ACTIONS(1422),
    [anon_sym_EQ] = ACTIONS(1422),
    [aux_sym_assert_statement_token1] = ACTIONS(1422),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1422),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1422),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1422),
    [aux_sym_option_clause_token1] = ACTIONS(1422),
    [anon_sym_LT] = ACTIONS(1424),
    [anon_sym_GT] = ACTIONS(1424),
    [aux_sym_select_token1] = ACTIONS(1422),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1422),
    [aux_sym_truncate_statement_token1] = ACTIONS(1422),
    [aux_sym_update_statement_token1] = ACTIONS(1422),
    [aux_sym_merge_statement_token1] = ACTIONS(1422),
    [aux_sym_grant_statement_token1] = ACTIONS(1422),
    [aux_sym_revoke_statement_token1] = ACTIONS(1422),
    [aux_sym_export_data_statement_token1] = ACTIONS(1422),
    [aux_sym_load_data_statement_token1] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1422),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1424),
    [anon_sym_STAR] = ACTIONS(1422),
    [anon_sym_SLASH] = ACTIONS(1424),
    [anon_sym_PIPE_PIPE] = ACTIONS(1422),
    [anon_sym_LT_EQ] = ACTIONS(1422),
    [anon_sym_LT_GT] = ACTIONS(1422),
    [anon_sym_GT_EQ] = ACTIONS(1422),
    [anon_sym_BANG_EQ] = ACTIONS(1422),
    [anon_sym_LT_LT] = ACTIONS(1422),
    [anon_sym_GT_GT] = ACTIONS(1422),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_CARET] = ACTIONS(1422),
    [anon_sym_PIPE] = ACTIONS(1424),
  },
  [3642] = {
    [ts_builtin_sym_end] = ACTIONS(1422),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1422),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1422),
    [aux_sym_keyword_replace_token1] = ACTIONS(1422),
    [aux_sym__keyword_alter_token1] = ACTIONS(1422),
    [aux_sym__keyword_from_token1] = ACTIONS(1422),
    [aux_sym__keyword_delete_token1] = ACTIONS(1422),
    [aux_sym__keyword_begin_token1] = ACTIONS(1422),
    [aux_sym__keyword_end_token1] = ACTIONS(1422),
    [aux_sym__keyword_between_token1] = ACTIONS(1422),
    [aux_sym__keyword_when_token1] = ACTIONS(1422),
    [aux_sym__keyword_else_token1] = ACTIONS(1424),
    [aux_sym__keyword_is_token1] = ACTIONS(1422),
    [aux_sym__keyword_in_token1] = ACTIONS(1424),
    [aux_sym__keyword_and_token1] = ACTIONS(1422),
    [aux_sym__keyword_like_token1] = ACTIONS(1422),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1422),
    [aux_sym__keyword_as_token1] = ACTIONS(1424),
    [aux_sym__keyword_for_token1] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1422),
    [aux_sym_declare_statement_token1] = ACTIONS(1422),
    [anon_sym_COMMA] = ACTIONS(1422),
    [aux_sym_set_statement_token1] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1422),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1422),
    [aux_sym_return_satement_token1] = ACTIONS(1422),
    [aux_sym_call_statement_token1] = ACTIONS(1422),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1422),
    [aux_sym_if_statement_token1] = ACTIONS(1422),
    [aux_sym_loop_statement_token1] = ACTIONS(1422),
    [aux_sym_repeat_statement_token1] = ACTIONS(1422),
    [aux_sym_while_statement_token1] = ACTIONS(1422),
    [aux_sym_break_statement_token1] = ACTIONS(1422),
    [aux_sym_leave_statement_token1] = ACTIONS(1422),
    [aux_sym_continue_statement_token1] = ACTIONS(1422),
    [aux_sym_iterate_statement_token1] = ACTIONS(1422),
    [aux_sym_raise_statement_token1] = ACTIONS(1422),
    [anon_sym_EQ] = ACTIONS(1422),
    [aux_sym_assert_statement_token1] = ACTIONS(1422),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1422),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1422),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1422),
    [aux_sym_option_clause_token1] = ACTIONS(1422),
    [anon_sym_LT] = ACTIONS(1424),
    [anon_sym_GT] = ACTIONS(1424),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1422),
    [aux_sym_select_token1] = ACTIONS(1422),
    [aux_sym_insert_statement_token1] = ACTIONS(1422),
    [aux_sym_truncate_statement_token1] = ACTIONS(1422),
    [aux_sym_update_statement_token1] = ACTIONS(1422),
    [aux_sym_merge_statement_token1] = ACTIONS(1422),
    [aux_sym_grant_statement_token1] = ACTIONS(1422),
    [aux_sym_revoke_statement_token1] = ACTIONS(1422),
    [aux_sym_export_data_statement_token1] = ACTIONS(1422),
    [aux_sym_load_data_statement_token1] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1422),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1424),
    [anon_sym_STAR] = ACTIONS(1422),
    [anon_sym_SLASH] = ACTIONS(1424),
    [anon_sym_PIPE_PIPE] = ACTIONS(1422),
    [anon_sym_LT_EQ] = ACTIONS(1422),
    [anon_sym_LT_GT] = ACTIONS(1422),
    [anon_sym_GT_EQ] = ACTIONS(1422),
    [anon_sym_BANG_EQ] = ACTIONS(1422),
    [anon_sym_LT_LT] = ACTIONS(1422),
    [anon_sym_GT_GT] = ACTIONS(1422),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_CARET] = ACTIONS(1422),
    [anon_sym_PIPE] = ACTIONS(1424),
  },
  [3643] = {
    [sym_analytics_clause] = STATE(3620),
    [ts_builtin_sym_end] = ACTIONS(1426),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1426),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1426),
    [aux_sym_keyword_replace_token1] = ACTIONS(1426),
    [aux_sym__keyword_alter_token1] = ACTIONS(1426),
    [aux_sym__keyword_delete_token1] = ACTIONS(1426),
    [aux_sym__keyword_begin_token1] = ACTIONS(1426),
    [aux_sym__keyword_end_token1] = ACTIONS(1426),
    [aux_sym__keyword_between_token1] = ACTIONS(1426),
    [aux_sym__keyword_when_token1] = ACTIONS(1426),
    [aux_sym__keyword_else_token1] = ACTIONS(1428),
    [aux_sym__keyword_is_token1] = ACTIONS(1426),
    [aux_sym__keyword_in_token1] = ACTIONS(1428),
    [aux_sym__keyword_and_token1] = ACTIONS(1426),
    [aux_sym__keyword_like_token1] = ACTIONS(1426),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1426),
    [aux_sym__keyword_as_token1] = ACTIONS(1428),
    [aux_sym__keyword_for_token1] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(1426),
    [aux_sym_declare_statement_token1] = ACTIONS(1426),
    [anon_sym_COMMA] = ACTIONS(1426),
    [aux_sym_set_statement_token1] = ACTIONS(1426),
    [anon_sym_LPAREN] = ACTIONS(1426),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1426),
    [aux_sym_return_satement_token1] = ACTIONS(1426),
    [aux_sym_call_statement_token1] = ACTIONS(1426),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1426),
    [aux_sym_if_statement_token1] = ACTIONS(1426),
    [aux_sym_loop_statement_token1] = ACTIONS(1426),
    [aux_sym_repeat_statement_token1] = ACTIONS(1426),
    [aux_sym_while_statement_token1] = ACTIONS(1426),
    [aux_sym_break_statement_token1] = ACTIONS(1426),
    [aux_sym_leave_statement_token1] = ACTIONS(1426),
    [aux_sym_continue_statement_token1] = ACTIONS(1426),
    [aux_sym_iterate_statement_token1] = ACTIONS(1426),
    [aux_sym_raise_statement_token1] = ACTIONS(1426),
    [anon_sym_EQ] = ACTIONS(1426),
    [aux_sym_assert_statement_token1] = ACTIONS(1426),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1426),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1426),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1426),
    [aux_sym_option_clause_token1] = ACTIONS(1426),
    [anon_sym_LT] = ACTIONS(1428),
    [anon_sym_GT] = ACTIONS(1428),
    [aux_sym_select_token1] = ACTIONS(1426),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1426),
    [aux_sym_truncate_statement_token1] = ACTIONS(1426),
    [aux_sym_update_statement_token1] = ACTIONS(1426),
    [aux_sym_merge_statement_token1] = ACTIONS(1426),
    [aux_sym_grant_statement_token1] = ACTIONS(1426),
    [aux_sym_revoke_statement_token1] = ACTIONS(1426),
    [aux_sym_export_data_statement_token1] = ACTIONS(1426),
    [aux_sym_load_data_statement_token1] = ACTIONS(1426),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1426),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PIPE_PIPE] = ACTIONS(1426),
    [anon_sym_LT_EQ] = ACTIONS(1426),
    [anon_sym_LT_GT] = ACTIONS(1426),
    [anon_sym_GT_EQ] = ACTIONS(1426),
    [anon_sym_BANG_EQ] = ACTIONS(1426),
    [anon_sym_LT_LT] = ACTIONS(1426),
    [anon_sym_GT_GT] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_PIPE] = ACTIONS(1428),
  },
  [3644] = {
    [sym_analytics_clause] = STATE(3622),
    [ts_builtin_sym_end] = ACTIONS(1430),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1430),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1430),
    [aux_sym_keyword_replace_token1] = ACTIONS(1430),
    [aux_sym__keyword_alter_token1] = ACTIONS(1430),
    [aux_sym__keyword_delete_token1] = ACTIONS(1430),
    [aux_sym__keyword_begin_token1] = ACTIONS(1430),
    [aux_sym__keyword_end_token1] = ACTIONS(1430),
    [aux_sym__keyword_between_token1] = ACTIONS(1430),
    [aux_sym__keyword_when_token1] = ACTIONS(1430),
    [aux_sym__keyword_else_token1] = ACTIONS(1432),
    [aux_sym__keyword_is_token1] = ACTIONS(1430),
    [aux_sym__keyword_in_token1] = ACTIONS(1432),
    [aux_sym__keyword_and_token1] = ACTIONS(1430),
    [aux_sym__keyword_like_token1] = ACTIONS(1430),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1430),
    [aux_sym__keyword_as_token1] = ACTIONS(1432),
    [aux_sym__keyword_for_token1] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(1430),
    [aux_sym_declare_statement_token1] = ACTIONS(1430),
    [anon_sym_COMMA] = ACTIONS(1430),
    [aux_sym_set_statement_token1] = ACTIONS(1430),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1430),
    [aux_sym_return_satement_token1] = ACTIONS(1430),
    [aux_sym_call_statement_token1] = ACTIONS(1430),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1430),
    [aux_sym_if_statement_token1] = ACTIONS(1430),
    [aux_sym_loop_statement_token1] = ACTIONS(1430),
    [aux_sym_repeat_statement_token1] = ACTIONS(1430),
    [aux_sym_while_statement_token1] = ACTIONS(1430),
    [aux_sym_break_statement_token1] = ACTIONS(1430),
    [aux_sym_leave_statement_token1] = ACTIONS(1430),
    [aux_sym_continue_statement_token1] = ACTIONS(1430),
    [aux_sym_iterate_statement_token1] = ACTIONS(1430),
    [aux_sym_raise_statement_token1] = ACTIONS(1430),
    [anon_sym_EQ] = ACTIONS(1430),
    [aux_sym_assert_statement_token1] = ACTIONS(1430),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1430),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1430),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1430),
    [aux_sym_option_clause_token1] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [aux_sym_select_token1] = ACTIONS(1430),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1430),
    [aux_sym_truncate_statement_token1] = ACTIONS(1430),
    [aux_sym_update_statement_token1] = ACTIONS(1430),
    [aux_sym_merge_statement_token1] = ACTIONS(1430),
    [aux_sym_grant_statement_token1] = ACTIONS(1430),
    [aux_sym_revoke_statement_token1] = ACTIONS(1430),
    [aux_sym_export_data_statement_token1] = ACTIONS(1430),
    [aux_sym_load_data_statement_token1] = ACTIONS(1430),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1432),
    [anon_sym_PIPE_PIPE] = ACTIONS(1430),
    [anon_sym_LT_EQ] = ACTIONS(1430),
    [anon_sym_LT_GT] = ACTIONS(1430),
    [anon_sym_GT_EQ] = ACTIONS(1430),
    [anon_sym_BANG_EQ] = ACTIONS(1430),
    [anon_sym_LT_LT] = ACTIONS(1430),
    [anon_sym_GT_GT] = ACTIONS(1430),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_PIPE] = ACTIONS(1432),
  },
  [3645] = {
    [ts_builtin_sym_end] = ACTIONS(1430),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1430),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1430),
    [aux_sym_keyword_replace_token1] = ACTIONS(1430),
    [aux_sym__keyword_alter_token1] = ACTIONS(1430),
    [aux_sym__keyword_from_token1] = ACTIONS(1430),
    [aux_sym__keyword_delete_token1] = ACTIONS(1430),
    [aux_sym__keyword_begin_token1] = ACTIONS(1430),
    [aux_sym__keyword_end_token1] = ACTIONS(1430),
    [aux_sym__keyword_between_token1] = ACTIONS(1430),
    [aux_sym__keyword_when_token1] = ACTIONS(1430),
    [aux_sym__keyword_else_token1] = ACTIONS(1432),
    [aux_sym__keyword_is_token1] = ACTIONS(1430),
    [aux_sym__keyword_in_token1] = ACTIONS(1432),
    [aux_sym__keyword_and_token1] = ACTIONS(1430),
    [aux_sym__keyword_like_token1] = ACTIONS(1430),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1430),
    [aux_sym__keyword_as_token1] = ACTIONS(1432),
    [aux_sym__keyword_for_token1] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(1430),
    [aux_sym_declare_statement_token1] = ACTIONS(1430),
    [anon_sym_COMMA] = ACTIONS(1430),
    [aux_sym_set_statement_token1] = ACTIONS(1430),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1430),
    [aux_sym_return_satement_token1] = ACTIONS(1430),
    [aux_sym_call_statement_token1] = ACTIONS(1430),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1430),
    [aux_sym_if_statement_token1] = ACTIONS(1430),
    [aux_sym_loop_statement_token1] = ACTIONS(1430),
    [aux_sym_repeat_statement_token1] = ACTIONS(1430),
    [aux_sym_while_statement_token1] = ACTIONS(1430),
    [aux_sym_break_statement_token1] = ACTIONS(1430),
    [aux_sym_leave_statement_token1] = ACTIONS(1430),
    [aux_sym_continue_statement_token1] = ACTIONS(1430),
    [aux_sym_iterate_statement_token1] = ACTIONS(1430),
    [aux_sym_raise_statement_token1] = ACTIONS(1430),
    [anon_sym_EQ] = ACTIONS(1430),
    [aux_sym_assert_statement_token1] = ACTIONS(1430),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1430),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1430),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1430),
    [aux_sym_option_clause_token1] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1430),
    [aux_sym_select_token1] = ACTIONS(1430),
    [aux_sym_insert_statement_token1] = ACTIONS(1430),
    [aux_sym_truncate_statement_token1] = ACTIONS(1430),
    [aux_sym_update_statement_token1] = ACTIONS(1430),
    [aux_sym_merge_statement_token1] = ACTIONS(1430),
    [aux_sym_grant_statement_token1] = ACTIONS(1430),
    [aux_sym_revoke_statement_token1] = ACTIONS(1430),
    [aux_sym_export_data_statement_token1] = ACTIONS(1430),
    [aux_sym_load_data_statement_token1] = ACTIONS(1430),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1432),
    [anon_sym_PIPE_PIPE] = ACTIONS(1430),
    [anon_sym_LT_EQ] = ACTIONS(1430),
    [anon_sym_LT_GT] = ACTIONS(1430),
    [anon_sym_GT_EQ] = ACTIONS(1430),
    [anon_sym_BANG_EQ] = ACTIONS(1430),
    [anon_sym_LT_LT] = ACTIONS(1430),
    [anon_sym_GT_GT] = ACTIONS(1430),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_PIPE] = ACTIONS(1432),
  },
  [3646] = {
    [sym_analytics_clause] = STATE(3624),
    [ts_builtin_sym_end] = ACTIONS(1434),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1434),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1434),
    [aux_sym_keyword_replace_token1] = ACTIONS(1434),
    [aux_sym__keyword_alter_token1] = ACTIONS(1434),
    [aux_sym__keyword_delete_token1] = ACTIONS(1434),
    [aux_sym__keyword_begin_token1] = ACTIONS(1434),
    [aux_sym__keyword_end_token1] = ACTIONS(1434),
    [aux_sym__keyword_between_token1] = ACTIONS(1434),
    [aux_sym__keyword_when_token1] = ACTIONS(1434),
    [aux_sym__keyword_else_token1] = ACTIONS(1436),
    [aux_sym__keyword_is_token1] = ACTIONS(1434),
    [aux_sym__keyword_in_token1] = ACTIONS(1436),
    [aux_sym__keyword_and_token1] = ACTIONS(1434),
    [aux_sym__keyword_like_token1] = ACTIONS(1434),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1434),
    [aux_sym__keyword_as_token1] = ACTIONS(1436),
    [aux_sym__keyword_for_token1] = ACTIONS(1434),
    [anon_sym_SEMI] = ACTIONS(1434),
    [aux_sym_declare_statement_token1] = ACTIONS(1434),
    [anon_sym_COMMA] = ACTIONS(1434),
    [aux_sym_set_statement_token1] = ACTIONS(1434),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1434),
    [aux_sym_return_satement_token1] = ACTIONS(1434),
    [aux_sym_call_statement_token1] = ACTIONS(1434),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1434),
    [aux_sym_if_statement_token1] = ACTIONS(1434),
    [aux_sym_loop_statement_token1] = ACTIONS(1434),
    [aux_sym_repeat_statement_token1] = ACTIONS(1434),
    [aux_sym_while_statement_token1] = ACTIONS(1434),
    [aux_sym_break_statement_token1] = ACTIONS(1434),
    [aux_sym_leave_statement_token1] = ACTIONS(1434),
    [aux_sym_continue_statement_token1] = ACTIONS(1434),
    [aux_sym_iterate_statement_token1] = ACTIONS(1434),
    [aux_sym_raise_statement_token1] = ACTIONS(1434),
    [anon_sym_EQ] = ACTIONS(1434),
    [aux_sym_assert_statement_token1] = ACTIONS(1434),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1434),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1434),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1434),
    [aux_sym_option_clause_token1] = ACTIONS(1434),
    [anon_sym_LT] = ACTIONS(1436),
    [anon_sym_GT] = ACTIONS(1436),
    [aux_sym_select_token1] = ACTIONS(1434),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1434),
    [aux_sym_truncate_statement_token1] = ACTIONS(1434),
    [aux_sym_update_statement_token1] = ACTIONS(1434),
    [aux_sym_merge_statement_token1] = ACTIONS(1434),
    [aux_sym_grant_statement_token1] = ACTIONS(1434),
    [aux_sym_revoke_statement_token1] = ACTIONS(1434),
    [aux_sym_export_data_statement_token1] = ACTIONS(1434),
    [aux_sym_load_data_statement_token1] = ACTIONS(1434),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_STAR] = ACTIONS(1434),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1434),
    [anon_sym_LT_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1434),
    [anon_sym_BANG_EQ] = ACTIONS(1434),
    [anon_sym_LT_LT] = ACTIONS(1434),
    [anon_sym_GT_GT] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1434),
    [anon_sym_PIPE] = ACTIONS(1436),
  },
  [3647] = {
    [ts_builtin_sym_end] = ACTIONS(1434),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1434),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1434),
    [aux_sym_keyword_replace_token1] = ACTIONS(1434),
    [aux_sym__keyword_alter_token1] = ACTIONS(1434),
    [aux_sym__keyword_from_token1] = ACTIONS(1434),
    [aux_sym__keyword_delete_token1] = ACTIONS(1434),
    [aux_sym__keyword_begin_token1] = ACTIONS(1434),
    [aux_sym__keyword_end_token1] = ACTIONS(1434),
    [aux_sym__keyword_between_token1] = ACTIONS(1434),
    [aux_sym__keyword_when_token1] = ACTIONS(1434),
    [aux_sym__keyword_else_token1] = ACTIONS(1436),
    [aux_sym__keyword_is_token1] = ACTIONS(1434),
    [aux_sym__keyword_in_token1] = ACTIONS(1436),
    [aux_sym__keyword_and_token1] = ACTIONS(1434),
    [aux_sym__keyword_like_token1] = ACTIONS(1434),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1434),
    [aux_sym__keyword_as_token1] = ACTIONS(1436),
    [aux_sym__keyword_for_token1] = ACTIONS(1434),
    [anon_sym_SEMI] = ACTIONS(1434),
    [aux_sym_declare_statement_token1] = ACTIONS(1434),
    [anon_sym_COMMA] = ACTIONS(1434),
    [aux_sym_set_statement_token1] = ACTIONS(1434),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1434),
    [aux_sym_return_satement_token1] = ACTIONS(1434),
    [aux_sym_call_statement_token1] = ACTIONS(1434),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1434),
    [aux_sym_if_statement_token1] = ACTIONS(1434),
    [aux_sym_loop_statement_token1] = ACTIONS(1434),
    [aux_sym_repeat_statement_token1] = ACTIONS(1434),
    [aux_sym_while_statement_token1] = ACTIONS(1434),
    [aux_sym_break_statement_token1] = ACTIONS(1434),
    [aux_sym_leave_statement_token1] = ACTIONS(1434),
    [aux_sym_continue_statement_token1] = ACTIONS(1434),
    [aux_sym_iterate_statement_token1] = ACTIONS(1434),
    [aux_sym_raise_statement_token1] = ACTIONS(1434),
    [anon_sym_EQ] = ACTIONS(1434),
    [aux_sym_assert_statement_token1] = ACTIONS(1434),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1434),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1434),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1434),
    [aux_sym_option_clause_token1] = ACTIONS(1434),
    [anon_sym_LT] = ACTIONS(1436),
    [anon_sym_GT] = ACTIONS(1436),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1434),
    [aux_sym_select_token1] = ACTIONS(1434),
    [aux_sym_insert_statement_token1] = ACTIONS(1434),
    [aux_sym_truncate_statement_token1] = ACTIONS(1434),
    [aux_sym_update_statement_token1] = ACTIONS(1434),
    [aux_sym_merge_statement_token1] = ACTIONS(1434),
    [aux_sym_grant_statement_token1] = ACTIONS(1434),
    [aux_sym_revoke_statement_token1] = ACTIONS(1434),
    [aux_sym_export_data_statement_token1] = ACTIONS(1434),
    [aux_sym_load_data_statement_token1] = ACTIONS(1434),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_STAR] = ACTIONS(1434),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1434),
    [anon_sym_LT_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1434),
    [anon_sym_BANG_EQ] = ACTIONS(1434),
    [anon_sym_LT_LT] = ACTIONS(1434),
    [anon_sym_GT_GT] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1434),
    [anon_sym_PIPE] = ACTIONS(1436),
  },
  [3648] = {
    [sym_analytics_clause] = STATE(3626),
    [ts_builtin_sym_end] = ACTIONS(1438),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1438),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1438),
    [aux_sym_keyword_replace_token1] = ACTIONS(1438),
    [aux_sym__keyword_alter_token1] = ACTIONS(1438),
    [aux_sym__keyword_delete_token1] = ACTIONS(1438),
    [aux_sym__keyword_begin_token1] = ACTIONS(1438),
    [aux_sym__keyword_end_token1] = ACTIONS(1438),
    [aux_sym__keyword_between_token1] = ACTIONS(1438),
    [aux_sym__keyword_when_token1] = ACTIONS(1438),
    [aux_sym__keyword_else_token1] = ACTIONS(1440),
    [aux_sym__keyword_is_token1] = ACTIONS(1438),
    [aux_sym__keyword_in_token1] = ACTIONS(1440),
    [aux_sym__keyword_and_token1] = ACTIONS(1438),
    [aux_sym__keyword_like_token1] = ACTIONS(1438),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1438),
    [aux_sym__keyword_as_token1] = ACTIONS(1440),
    [aux_sym__keyword_for_token1] = ACTIONS(1438),
    [anon_sym_SEMI] = ACTIONS(1438),
    [aux_sym_declare_statement_token1] = ACTIONS(1438),
    [anon_sym_COMMA] = ACTIONS(1438),
    [aux_sym_set_statement_token1] = ACTIONS(1438),
    [anon_sym_LPAREN] = ACTIONS(1438),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1438),
    [aux_sym_return_satement_token1] = ACTIONS(1438),
    [aux_sym_call_statement_token1] = ACTIONS(1438),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1438),
    [aux_sym_if_statement_token1] = ACTIONS(1438),
    [aux_sym_loop_statement_token1] = ACTIONS(1438),
    [aux_sym_repeat_statement_token1] = ACTIONS(1438),
    [aux_sym_while_statement_token1] = ACTIONS(1438),
    [aux_sym_break_statement_token1] = ACTIONS(1438),
    [aux_sym_leave_statement_token1] = ACTIONS(1438),
    [aux_sym_continue_statement_token1] = ACTIONS(1438),
    [aux_sym_iterate_statement_token1] = ACTIONS(1438),
    [aux_sym_raise_statement_token1] = ACTIONS(1438),
    [anon_sym_EQ] = ACTIONS(1438),
    [aux_sym_assert_statement_token1] = ACTIONS(1438),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1438),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1438),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1438),
    [aux_sym_option_clause_token1] = ACTIONS(1438),
    [anon_sym_LT] = ACTIONS(1440),
    [anon_sym_GT] = ACTIONS(1440),
    [aux_sym_select_token1] = ACTIONS(1438),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1438),
    [aux_sym_truncate_statement_token1] = ACTIONS(1438),
    [aux_sym_update_statement_token1] = ACTIONS(1438),
    [aux_sym_merge_statement_token1] = ACTIONS(1438),
    [aux_sym_grant_statement_token1] = ACTIONS(1438),
    [aux_sym_revoke_statement_token1] = ACTIONS(1438),
    [aux_sym_export_data_statement_token1] = ACTIONS(1438),
    [aux_sym_load_data_statement_token1] = ACTIONS(1438),
    [anon_sym_LBRACK] = ACTIONS(1438),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_STAR] = ACTIONS(1438),
    [anon_sym_SLASH] = ACTIONS(1440),
    [anon_sym_PIPE_PIPE] = ACTIONS(1438),
    [anon_sym_LT_EQ] = ACTIONS(1438),
    [anon_sym_LT_GT] = ACTIONS(1438),
    [anon_sym_GT_EQ] = ACTIONS(1438),
    [anon_sym_BANG_EQ] = ACTIONS(1438),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_AMP] = ACTIONS(1438),
    [anon_sym_CARET] = ACTIONS(1438),
    [anon_sym_PIPE] = ACTIONS(1440),
  },
  [3649] = {
    [ts_builtin_sym_end] = ACTIONS(1438),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1438),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1438),
    [aux_sym_keyword_replace_token1] = ACTIONS(1438),
    [aux_sym__keyword_alter_token1] = ACTIONS(1438),
    [aux_sym__keyword_from_token1] = ACTIONS(1438),
    [aux_sym__keyword_delete_token1] = ACTIONS(1438),
    [aux_sym__keyword_begin_token1] = ACTIONS(1438),
    [aux_sym__keyword_end_token1] = ACTIONS(1438),
    [aux_sym__keyword_between_token1] = ACTIONS(1438),
    [aux_sym__keyword_when_token1] = ACTIONS(1438),
    [aux_sym__keyword_else_token1] = ACTIONS(1440),
    [aux_sym__keyword_is_token1] = ACTIONS(1438),
    [aux_sym__keyword_in_token1] = ACTIONS(1440),
    [aux_sym__keyword_and_token1] = ACTIONS(1438),
    [aux_sym__keyword_like_token1] = ACTIONS(1438),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1438),
    [aux_sym__keyword_as_token1] = ACTIONS(1440),
    [aux_sym__keyword_for_token1] = ACTIONS(1438),
    [anon_sym_SEMI] = ACTIONS(1438),
    [aux_sym_declare_statement_token1] = ACTIONS(1438),
    [anon_sym_COMMA] = ACTIONS(1438),
    [aux_sym_set_statement_token1] = ACTIONS(1438),
    [anon_sym_LPAREN] = ACTIONS(1438),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1438),
    [aux_sym_return_satement_token1] = ACTIONS(1438),
    [aux_sym_call_statement_token1] = ACTIONS(1438),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1438),
    [aux_sym_if_statement_token1] = ACTIONS(1438),
    [aux_sym_loop_statement_token1] = ACTIONS(1438),
    [aux_sym_repeat_statement_token1] = ACTIONS(1438),
    [aux_sym_while_statement_token1] = ACTIONS(1438),
    [aux_sym_break_statement_token1] = ACTIONS(1438),
    [aux_sym_leave_statement_token1] = ACTIONS(1438),
    [aux_sym_continue_statement_token1] = ACTIONS(1438),
    [aux_sym_iterate_statement_token1] = ACTIONS(1438),
    [aux_sym_raise_statement_token1] = ACTIONS(1438),
    [anon_sym_EQ] = ACTIONS(1438),
    [aux_sym_assert_statement_token1] = ACTIONS(1438),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1438),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1438),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1438),
    [aux_sym_option_clause_token1] = ACTIONS(1438),
    [anon_sym_LT] = ACTIONS(1440),
    [anon_sym_GT] = ACTIONS(1440),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1438),
    [aux_sym_select_token1] = ACTIONS(1438),
    [aux_sym_insert_statement_token1] = ACTIONS(1438),
    [aux_sym_truncate_statement_token1] = ACTIONS(1438),
    [aux_sym_update_statement_token1] = ACTIONS(1438),
    [aux_sym_merge_statement_token1] = ACTIONS(1438),
    [aux_sym_grant_statement_token1] = ACTIONS(1438),
    [aux_sym_revoke_statement_token1] = ACTIONS(1438),
    [aux_sym_export_data_statement_token1] = ACTIONS(1438),
    [aux_sym_load_data_statement_token1] = ACTIONS(1438),
    [anon_sym_LBRACK] = ACTIONS(1438),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_STAR] = ACTIONS(1438),
    [anon_sym_SLASH] = ACTIONS(1440),
    [anon_sym_PIPE_PIPE] = ACTIONS(1438),
    [anon_sym_LT_EQ] = ACTIONS(1438),
    [anon_sym_LT_GT] = ACTIONS(1438),
    [anon_sym_GT_EQ] = ACTIONS(1438),
    [anon_sym_BANG_EQ] = ACTIONS(1438),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_AMP] = ACTIONS(1438),
    [anon_sym_CARET] = ACTIONS(1438),
    [anon_sym_PIPE] = ACTIONS(1440),
  },
  [3650] = {
    [ts_builtin_sym_end] = ACTIONS(1842),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1842),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1842),
    [aux_sym_keyword_replace_token1] = ACTIONS(1842),
    [aux_sym__keyword_alter_token1] = ACTIONS(1842),
    [aux_sym__keyword_from_token1] = ACTIONS(1842),
    [aux_sym__keyword_delete_token1] = ACTIONS(1842),
    [aux_sym__keyword_begin_token1] = ACTIONS(1842),
    [aux_sym__keyword_end_token1] = ACTIONS(1842),
    [aux_sym__keyword_between_token1] = ACTIONS(1842),
    [aux_sym__keyword_when_token1] = ACTIONS(1842),
    [aux_sym__keyword_else_token1] = ACTIONS(1844),
    [aux_sym__keyword_is_token1] = ACTIONS(1842),
    [aux_sym__keyword_in_token1] = ACTIONS(1844),
    [aux_sym__keyword_and_token1] = ACTIONS(1842),
    [aux_sym__keyword_like_token1] = ACTIONS(1842),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1842),
    [aux_sym__keyword_as_token1] = ACTIONS(1844),
    [aux_sym__keyword_for_token1] = ACTIONS(1842),
    [anon_sym_SEMI] = ACTIONS(1842),
    [aux_sym_declare_statement_token1] = ACTIONS(1842),
    [anon_sym_COMMA] = ACTIONS(1842),
    [aux_sym_set_statement_token1] = ACTIONS(1842),
    [anon_sym_LPAREN] = ACTIONS(1842),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1842),
    [aux_sym_return_satement_token1] = ACTIONS(1842),
    [aux_sym_call_statement_token1] = ACTIONS(1842),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1842),
    [aux_sym_if_statement_token1] = ACTIONS(1842),
    [aux_sym_loop_statement_token1] = ACTIONS(1842),
    [aux_sym_repeat_statement_token1] = ACTIONS(1842),
    [aux_sym_while_statement_token1] = ACTIONS(1842),
    [aux_sym_break_statement_token1] = ACTIONS(1842),
    [aux_sym_leave_statement_token1] = ACTIONS(1842),
    [aux_sym_continue_statement_token1] = ACTIONS(1842),
    [aux_sym_iterate_statement_token1] = ACTIONS(1842),
    [aux_sym_raise_statement_token1] = ACTIONS(1842),
    [anon_sym_EQ] = ACTIONS(1842),
    [aux_sym_assert_statement_token1] = ACTIONS(1842),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1842),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1842),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1842),
    [aux_sym_option_clause_token1] = ACTIONS(1842),
    [anon_sym_LT] = ACTIONS(1844),
    [anon_sym_GT] = ACTIONS(1844),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1842),
    [aux_sym_select_token1] = ACTIONS(1842),
    [aux_sym_insert_statement_token1] = ACTIONS(1842),
    [aux_sym_truncate_statement_token1] = ACTIONS(1842),
    [aux_sym_update_statement_token1] = ACTIONS(1842),
    [aux_sym_merge_statement_token1] = ACTIONS(1842),
    [aux_sym_grant_statement_token1] = ACTIONS(1842),
    [aux_sym_revoke_statement_token1] = ACTIONS(1842),
    [aux_sym_export_data_statement_token1] = ACTIONS(1842),
    [aux_sym_load_data_statement_token1] = ACTIONS(1842),
    [anon_sym_LBRACK] = ACTIONS(1842),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1842),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1844),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_SLASH] = ACTIONS(1844),
    [anon_sym_PIPE_PIPE] = ACTIONS(1842),
    [anon_sym_LT_EQ] = ACTIONS(1842),
    [anon_sym_LT_GT] = ACTIONS(1842),
    [anon_sym_GT_EQ] = ACTIONS(1842),
    [anon_sym_BANG_EQ] = ACTIONS(1842),
    [anon_sym_LT_LT] = ACTIONS(1842),
    [anon_sym_GT_GT] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym_CARET] = ACTIONS(1842),
    [anon_sym_PIPE] = ACTIONS(1844),
  },
  [3651] = {
    [ts_builtin_sym_end] = ACTIONS(1838),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1838),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1838),
    [aux_sym_keyword_replace_token1] = ACTIONS(1838),
    [aux_sym__keyword_alter_token1] = ACTIONS(1838),
    [aux_sym__keyword_from_token1] = ACTIONS(1838),
    [aux_sym__keyword_delete_token1] = ACTIONS(1838),
    [aux_sym__keyword_begin_token1] = ACTIONS(1838),
    [aux_sym__keyword_end_token1] = ACTIONS(1838),
    [aux_sym__keyword_between_token1] = ACTIONS(1838),
    [aux_sym__keyword_when_token1] = ACTIONS(1838),
    [aux_sym__keyword_else_token1] = ACTIONS(1840),
    [aux_sym__keyword_is_token1] = ACTIONS(1838),
    [aux_sym__keyword_in_token1] = ACTIONS(1840),
    [aux_sym__keyword_and_token1] = ACTIONS(1838),
    [aux_sym__keyword_like_token1] = ACTIONS(1838),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1838),
    [aux_sym__keyword_as_token1] = ACTIONS(1840),
    [aux_sym__keyword_for_token1] = ACTIONS(1838),
    [anon_sym_SEMI] = ACTIONS(1838),
    [aux_sym_declare_statement_token1] = ACTIONS(1838),
    [anon_sym_COMMA] = ACTIONS(1838),
    [aux_sym_set_statement_token1] = ACTIONS(1838),
    [anon_sym_LPAREN] = ACTIONS(1838),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1838),
    [aux_sym_return_satement_token1] = ACTIONS(1838),
    [aux_sym_call_statement_token1] = ACTIONS(1838),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1838),
    [aux_sym_if_statement_token1] = ACTIONS(1838),
    [aux_sym_loop_statement_token1] = ACTIONS(1838),
    [aux_sym_repeat_statement_token1] = ACTIONS(1838),
    [aux_sym_while_statement_token1] = ACTIONS(1838),
    [aux_sym_break_statement_token1] = ACTIONS(1838),
    [aux_sym_leave_statement_token1] = ACTIONS(1838),
    [aux_sym_continue_statement_token1] = ACTIONS(1838),
    [aux_sym_iterate_statement_token1] = ACTIONS(1838),
    [aux_sym_raise_statement_token1] = ACTIONS(1838),
    [anon_sym_EQ] = ACTIONS(1838),
    [aux_sym_assert_statement_token1] = ACTIONS(1838),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1838),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1838),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1838),
    [aux_sym_option_clause_token1] = ACTIONS(1838),
    [anon_sym_LT] = ACTIONS(1840),
    [anon_sym_GT] = ACTIONS(1840),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1838),
    [aux_sym_select_token1] = ACTIONS(1838),
    [aux_sym_insert_statement_token1] = ACTIONS(1838),
    [aux_sym_truncate_statement_token1] = ACTIONS(1838),
    [aux_sym_update_statement_token1] = ACTIONS(1838),
    [aux_sym_merge_statement_token1] = ACTIONS(1838),
    [aux_sym_grant_statement_token1] = ACTIONS(1838),
    [aux_sym_revoke_statement_token1] = ACTIONS(1838),
    [aux_sym_export_data_statement_token1] = ACTIONS(1838),
    [aux_sym_load_data_statement_token1] = ACTIONS(1838),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1838),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1838),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE] = ACTIONS(1838),
    [anon_sym_LT_EQ] = ACTIONS(1838),
    [anon_sym_LT_GT] = ACTIONS(1838),
    [anon_sym_GT_EQ] = ACTIONS(1838),
    [anon_sym_BANG_EQ] = ACTIONS(1838),
    [anon_sym_LT_LT] = ACTIONS(1838),
    [anon_sym_GT_GT] = ACTIONS(1838),
    [anon_sym_AMP] = ACTIONS(1838),
    [anon_sym_CARET] = ACTIONS(1838),
    [anon_sym_PIPE] = ACTIONS(1840),
  },
  [3652] = {
    [sym__keyword_between] = STATE(1819),
    [sym__keyword_is] = STATE(12068),
    [sym__keyword_in] = STATE(1558),
    [sym__keyword_not] = STATE(13100),
    [sym__keyword_and] = STATE(1533),
    [sym__keyword_or] = STATE(1532),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(3134),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3134),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(2744),
    [aux_sym__keyword_alter_token1] = ACTIONS(3134),
    [aux_sym__keyword_delete_token1] = ACTIONS(3134),
    [aux_sym__keyword_begin_token1] = ACTIONS(3134),
    [aux_sym__keyword_between_token1] = ACTIONS(3302),
    [aux_sym__keyword_when_token1] = ACTIONS(3134),
    [aux_sym__keyword_is_token1] = ACTIONS(3304),
    [aux_sym__keyword_in_token1] = ACTIONS(3306),
    [aux_sym__keyword_and_token1] = ACTIONS(3308),
    [aux_sym__keyword_like_token1] = ACTIONS(1007),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3134),
    [aux_sym__keyword_for_token1] = ACTIONS(3134),
    [anon_sym_SEMI] = ACTIONS(3134),
    [aux_sym_declare_statement_token1] = ACTIONS(3134),
    [anon_sym_COMMA] = ACTIONS(3134),
    [aux_sym_set_statement_token1] = ACTIONS(3134),
    [anon_sym_LPAREN] = ACTIONS(3134),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(3134),
    [aux_sym_return_satement_token1] = ACTIONS(3134),
    [aux_sym_call_statement_token1] = ACTIONS(3134),
    [aux_sym_loop_statement_token1] = ACTIONS(3134),
    [aux_sym_while_statement_token1] = ACTIONS(3134),
    [aux_sym_break_statement_token1] = ACTIONS(3134),
    [aux_sym_leave_statement_token1] = ACTIONS(3134),
    [aux_sym_continue_statement_token1] = ACTIONS(3134),
    [aux_sym_iterate_statement_token1] = ACTIONS(3134),
    [aux_sym_raise_statement_token1] = ACTIONS(3134),
    [anon_sym_EQ] = ACTIONS(3310),
    [aux_sym_assert_statement_token1] = ACTIONS(3134),
    [aux_sym_create_schema_statement_token1] = ACTIONS(3134),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(3134),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3134),
    [anon_sym_LT] = ACTIONS(3306),
    [anon_sym_GT] = ACTIONS(3306),
    [aux_sym_select_token1] = ACTIONS(3134),
    [aux_sym_insert_statement_token1] = ACTIONS(3134),
    [aux_sym_truncate_statement_token1] = ACTIONS(3134),
    [aux_sym_update_statement_token1] = ACTIONS(3134),
    [aux_sym_merge_statement_token1] = ACTIONS(3134),
    [aux_sym_grant_statement_token1] = ACTIONS(3134),
    [aux_sym_revoke_statement_token1] = ACTIONS(3134),
    [aux_sym_export_data_statement_token1] = ACTIONS(3134),
    [aux_sym_load_data_statement_token1] = ACTIONS(3134),
    [anon_sym_LBRACK] = ACTIONS(3056),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(3058),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_DASH] = ACTIONS(3314),
    [anon_sym_STAR] = ACTIONS(3316),
    [anon_sym_SLASH] = ACTIONS(3318),
    [anon_sym_PIPE_PIPE] = ACTIONS(3316),
    [anon_sym_LT_EQ] = ACTIONS(3310),
    [anon_sym_LT_GT] = ACTIONS(3310),
    [anon_sym_GT_EQ] = ACTIONS(3310),
    [anon_sym_BANG_EQ] = ACTIONS(3310),
    [anon_sym_LT_LT] = ACTIONS(3320),
    [anon_sym_GT_GT] = ACTIONS(3320),
    [anon_sym_AMP] = ACTIONS(3322),
    [anon_sym_CARET] = ACTIONS(3324),
    [anon_sym_PIPE] = ACTIONS(3326),
  },
  [3653] = {
    [sym_analytics_clause] = STATE(3600),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [aux_sym_option_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3654] = {
    [sym_analytics_clause] = STATE(3763),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [aux_sym_option_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3655] = {
    [sym_analytics_clause] = STATE(3634),
    [ts_builtin_sym_end] = ACTIONS(1450),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1450),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1450),
    [aux_sym_keyword_replace_token1] = ACTIONS(1450),
    [aux_sym__keyword_alter_token1] = ACTIONS(1450),
    [aux_sym__keyword_delete_token1] = ACTIONS(1450),
    [aux_sym__keyword_begin_token1] = ACTIONS(1450),
    [aux_sym__keyword_end_token1] = ACTIONS(1450),
    [aux_sym__keyword_between_token1] = ACTIONS(1450),
    [aux_sym__keyword_when_token1] = ACTIONS(1450),
    [aux_sym__keyword_else_token1] = ACTIONS(1452),
    [aux_sym__keyword_is_token1] = ACTIONS(1450),
    [aux_sym__keyword_in_token1] = ACTIONS(1452),
    [aux_sym__keyword_and_token1] = ACTIONS(1450),
    [aux_sym__keyword_like_token1] = ACTIONS(1450),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1450),
    [aux_sym__keyword_as_token1] = ACTIONS(1452),
    [aux_sym__keyword_for_token1] = ACTIONS(1450),
    [anon_sym_SEMI] = ACTIONS(1450),
    [aux_sym_declare_statement_token1] = ACTIONS(1450),
    [anon_sym_COMMA] = ACTIONS(1450),
    [aux_sym_set_statement_token1] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1450),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1450),
    [aux_sym_return_satement_token1] = ACTIONS(1450),
    [aux_sym_call_statement_token1] = ACTIONS(1450),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1450),
    [aux_sym_if_statement_token1] = ACTIONS(1450),
    [aux_sym_loop_statement_token1] = ACTIONS(1450),
    [aux_sym_repeat_statement_token1] = ACTIONS(1450),
    [aux_sym_while_statement_token1] = ACTIONS(1450),
    [aux_sym_break_statement_token1] = ACTIONS(1450),
    [aux_sym_leave_statement_token1] = ACTIONS(1450),
    [aux_sym_continue_statement_token1] = ACTIONS(1450),
    [aux_sym_iterate_statement_token1] = ACTIONS(1450),
    [aux_sym_raise_statement_token1] = ACTIONS(1450),
    [anon_sym_EQ] = ACTIONS(1450),
    [aux_sym_assert_statement_token1] = ACTIONS(1450),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1450),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1450),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1450),
    [aux_sym_option_clause_token1] = ACTIONS(1450),
    [anon_sym_LT] = ACTIONS(1452),
    [anon_sym_GT] = ACTIONS(1452),
    [aux_sym_select_token1] = ACTIONS(1450),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1450),
    [aux_sym_truncate_statement_token1] = ACTIONS(1450),
    [aux_sym_update_statement_token1] = ACTIONS(1450),
    [aux_sym_merge_statement_token1] = ACTIONS(1450),
    [aux_sym_grant_statement_token1] = ACTIONS(1450),
    [aux_sym_revoke_statement_token1] = ACTIONS(1450),
    [aux_sym_export_data_statement_token1] = ACTIONS(1450),
    [aux_sym_load_data_statement_token1] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1450),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_STAR] = ACTIONS(1450),
    [anon_sym_SLASH] = ACTIONS(1452),
    [anon_sym_PIPE_PIPE] = ACTIONS(1450),
    [anon_sym_LT_EQ] = ACTIONS(1450),
    [anon_sym_LT_GT] = ACTIONS(1450),
    [anon_sym_GT_EQ] = ACTIONS(1450),
    [anon_sym_BANG_EQ] = ACTIONS(1450),
    [anon_sym_LT_LT] = ACTIONS(1450),
    [anon_sym_GT_GT] = ACTIONS(1450),
    [anon_sym_AMP] = ACTIONS(1450),
    [anon_sym_CARET] = ACTIONS(1450),
    [anon_sym_PIPE] = ACTIONS(1452),
  },
  [3656] = {
    [ts_builtin_sym_end] = ACTIONS(1834),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1834),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1834),
    [aux_sym_keyword_replace_token1] = ACTIONS(1834),
    [aux_sym__keyword_alter_token1] = ACTIONS(1834),
    [aux_sym__keyword_from_token1] = ACTIONS(1834),
    [aux_sym__keyword_delete_token1] = ACTIONS(1834),
    [aux_sym__keyword_begin_token1] = ACTIONS(1834),
    [aux_sym__keyword_end_token1] = ACTIONS(1834),
    [aux_sym__keyword_between_token1] = ACTIONS(1834),
    [aux_sym__keyword_when_token1] = ACTIONS(1834),
    [aux_sym__keyword_else_token1] = ACTIONS(1836),
    [aux_sym__keyword_is_token1] = ACTIONS(1834),
    [aux_sym__keyword_in_token1] = ACTIONS(1836),
    [aux_sym__keyword_and_token1] = ACTIONS(1834),
    [aux_sym__keyword_like_token1] = ACTIONS(1834),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1834),
    [aux_sym__keyword_as_token1] = ACTIONS(1836),
    [aux_sym__keyword_for_token1] = ACTIONS(1834),
    [anon_sym_SEMI] = ACTIONS(1834),
    [aux_sym_declare_statement_token1] = ACTIONS(1834),
    [anon_sym_COMMA] = ACTIONS(1834),
    [aux_sym_set_statement_token1] = ACTIONS(1834),
    [anon_sym_LPAREN] = ACTIONS(1834),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1834),
    [aux_sym_return_satement_token1] = ACTIONS(1834),
    [aux_sym_call_statement_token1] = ACTIONS(1834),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1834),
    [aux_sym_if_statement_token1] = ACTIONS(1834),
    [aux_sym_loop_statement_token1] = ACTIONS(1834),
    [aux_sym_repeat_statement_token1] = ACTIONS(1834),
    [aux_sym_while_statement_token1] = ACTIONS(1834),
    [aux_sym_break_statement_token1] = ACTIONS(1834),
    [aux_sym_leave_statement_token1] = ACTIONS(1834),
    [aux_sym_continue_statement_token1] = ACTIONS(1834),
    [aux_sym_iterate_statement_token1] = ACTIONS(1834),
    [aux_sym_raise_statement_token1] = ACTIONS(1834),
    [anon_sym_EQ] = ACTIONS(1834),
    [aux_sym_assert_statement_token1] = ACTIONS(1834),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1834),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1834),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1834),
    [aux_sym_option_clause_token1] = ACTIONS(1834),
    [anon_sym_LT] = ACTIONS(1836),
    [anon_sym_GT] = ACTIONS(1836),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1834),
    [aux_sym_select_token1] = ACTIONS(1834),
    [aux_sym_insert_statement_token1] = ACTIONS(1834),
    [aux_sym_truncate_statement_token1] = ACTIONS(1834),
    [aux_sym_update_statement_token1] = ACTIONS(1834),
    [aux_sym_merge_statement_token1] = ACTIONS(1834),
    [aux_sym_grant_statement_token1] = ACTIONS(1834),
    [aux_sym_revoke_statement_token1] = ACTIONS(1834),
    [aux_sym_export_data_statement_token1] = ACTIONS(1834),
    [aux_sym_load_data_statement_token1] = ACTIONS(1834),
    [anon_sym_LBRACK] = ACTIONS(1834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1834),
    [anon_sym_PLUS] = ACTIONS(1834),
    [anon_sym_DASH] = ACTIONS(1836),
    [anon_sym_STAR] = ACTIONS(1834),
    [anon_sym_SLASH] = ACTIONS(1836),
    [anon_sym_PIPE_PIPE] = ACTIONS(1834),
    [anon_sym_LT_EQ] = ACTIONS(1834),
    [anon_sym_LT_GT] = ACTIONS(1834),
    [anon_sym_GT_EQ] = ACTIONS(1834),
    [anon_sym_BANG_EQ] = ACTIONS(1834),
    [anon_sym_LT_LT] = ACTIONS(1834),
    [anon_sym_GT_GT] = ACTIONS(1834),
    [anon_sym_AMP] = ACTIONS(1834),
    [anon_sym_CARET] = ACTIONS(1834),
    [anon_sym_PIPE] = ACTIONS(1836),
  },
  [3657] = {
    [sym_analytics_clause] = STATE(3640),
    [ts_builtin_sym_end] = ACTIONS(1450),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1450),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1450),
    [aux_sym_keyword_replace_token1] = ACTIONS(1450),
    [aux_sym__keyword_alter_token1] = ACTIONS(1450),
    [aux_sym__keyword_delete_token1] = ACTIONS(1450),
    [aux_sym__keyword_begin_token1] = ACTIONS(1450),
    [aux_sym__keyword_end_token1] = ACTIONS(1450),
    [aux_sym__keyword_between_token1] = ACTIONS(1450),
    [aux_sym__keyword_when_token1] = ACTIONS(1450),
    [aux_sym__keyword_else_token1] = ACTIONS(1452),
    [aux_sym__keyword_is_token1] = ACTIONS(1450),
    [aux_sym__keyword_in_token1] = ACTIONS(1452),
    [aux_sym__keyword_and_token1] = ACTIONS(1450),
    [aux_sym__keyword_like_token1] = ACTIONS(1450),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1450),
    [aux_sym__keyword_as_token1] = ACTIONS(1452),
    [aux_sym__keyword_for_token1] = ACTIONS(1450),
    [anon_sym_SEMI] = ACTIONS(1450),
    [aux_sym_declare_statement_token1] = ACTIONS(1450),
    [anon_sym_COMMA] = ACTIONS(1450),
    [aux_sym_set_statement_token1] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1450),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1450),
    [aux_sym_return_satement_token1] = ACTIONS(1450),
    [aux_sym_call_statement_token1] = ACTIONS(1450),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1450),
    [aux_sym_if_statement_token1] = ACTIONS(1450),
    [aux_sym_loop_statement_token1] = ACTIONS(1450),
    [aux_sym_repeat_statement_token1] = ACTIONS(1450),
    [aux_sym_while_statement_token1] = ACTIONS(1450),
    [aux_sym_break_statement_token1] = ACTIONS(1450),
    [aux_sym_leave_statement_token1] = ACTIONS(1450),
    [aux_sym_continue_statement_token1] = ACTIONS(1450),
    [aux_sym_iterate_statement_token1] = ACTIONS(1450),
    [aux_sym_raise_statement_token1] = ACTIONS(1450),
    [anon_sym_EQ] = ACTIONS(1450),
    [aux_sym_assert_statement_token1] = ACTIONS(1450),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1450),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1450),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1450),
    [aux_sym_option_clause_token1] = ACTIONS(1450),
    [anon_sym_LT] = ACTIONS(1452),
    [anon_sym_GT] = ACTIONS(1452),
    [aux_sym_select_token1] = ACTIONS(1450),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1450),
    [aux_sym_truncate_statement_token1] = ACTIONS(1450),
    [aux_sym_update_statement_token1] = ACTIONS(1450),
    [aux_sym_merge_statement_token1] = ACTIONS(1450),
    [aux_sym_grant_statement_token1] = ACTIONS(1450),
    [aux_sym_revoke_statement_token1] = ACTIONS(1450),
    [aux_sym_export_data_statement_token1] = ACTIONS(1450),
    [aux_sym_load_data_statement_token1] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1450),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_STAR] = ACTIONS(1450),
    [anon_sym_SLASH] = ACTIONS(1452),
    [anon_sym_PIPE_PIPE] = ACTIONS(1450),
    [anon_sym_LT_EQ] = ACTIONS(1450),
    [anon_sym_LT_GT] = ACTIONS(1450),
    [anon_sym_GT_EQ] = ACTIONS(1450),
    [anon_sym_BANG_EQ] = ACTIONS(1450),
    [anon_sym_LT_LT] = ACTIONS(1450),
    [anon_sym_GT_GT] = ACTIONS(1450),
    [anon_sym_AMP] = ACTIONS(1450),
    [anon_sym_CARET] = ACTIONS(1450),
    [anon_sym_PIPE] = ACTIONS(1452),
  },
  [3658] = {
    [sym_analytics_clause] = STATE(3642),
    [ts_builtin_sym_end] = ACTIONS(1454),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1454),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1454),
    [aux_sym_keyword_replace_token1] = ACTIONS(1454),
    [aux_sym__keyword_alter_token1] = ACTIONS(1454),
    [aux_sym__keyword_delete_token1] = ACTIONS(1454),
    [aux_sym__keyword_begin_token1] = ACTIONS(1454),
    [aux_sym__keyword_end_token1] = ACTIONS(1454),
    [aux_sym__keyword_between_token1] = ACTIONS(1454),
    [aux_sym__keyword_when_token1] = ACTIONS(1454),
    [aux_sym__keyword_else_token1] = ACTIONS(1456),
    [aux_sym__keyword_is_token1] = ACTIONS(1454),
    [aux_sym__keyword_in_token1] = ACTIONS(1456),
    [aux_sym__keyword_and_token1] = ACTIONS(1454),
    [aux_sym__keyword_like_token1] = ACTIONS(1454),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1454),
    [aux_sym__keyword_as_token1] = ACTIONS(1456),
    [aux_sym__keyword_for_token1] = ACTIONS(1454),
    [anon_sym_SEMI] = ACTIONS(1454),
    [aux_sym_declare_statement_token1] = ACTIONS(1454),
    [anon_sym_COMMA] = ACTIONS(1454),
    [aux_sym_set_statement_token1] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1454),
    [aux_sym_return_satement_token1] = ACTIONS(1454),
    [aux_sym_call_statement_token1] = ACTIONS(1454),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1454),
    [aux_sym_if_statement_token1] = ACTIONS(1454),
    [aux_sym_loop_statement_token1] = ACTIONS(1454),
    [aux_sym_repeat_statement_token1] = ACTIONS(1454),
    [aux_sym_while_statement_token1] = ACTIONS(1454),
    [aux_sym_break_statement_token1] = ACTIONS(1454),
    [aux_sym_leave_statement_token1] = ACTIONS(1454),
    [aux_sym_continue_statement_token1] = ACTIONS(1454),
    [aux_sym_iterate_statement_token1] = ACTIONS(1454),
    [aux_sym_raise_statement_token1] = ACTIONS(1454),
    [anon_sym_EQ] = ACTIONS(1454),
    [aux_sym_assert_statement_token1] = ACTIONS(1454),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1454),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1454),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1454),
    [aux_sym_option_clause_token1] = ACTIONS(1454),
    [anon_sym_LT] = ACTIONS(1456),
    [anon_sym_GT] = ACTIONS(1456),
    [aux_sym_select_token1] = ACTIONS(1454),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1454),
    [aux_sym_truncate_statement_token1] = ACTIONS(1454),
    [aux_sym_update_statement_token1] = ACTIONS(1454),
    [aux_sym_merge_statement_token1] = ACTIONS(1454),
    [aux_sym_grant_statement_token1] = ACTIONS(1454),
    [aux_sym_revoke_statement_token1] = ACTIONS(1454),
    [aux_sym_export_data_statement_token1] = ACTIONS(1454),
    [aux_sym_load_data_statement_token1] = ACTIONS(1454),
    [anon_sym_LBRACK] = ACTIONS(1454),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1454),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1454),
    [anon_sym_SLASH] = ACTIONS(1456),
    [anon_sym_PIPE_PIPE] = ACTIONS(1454),
    [anon_sym_LT_EQ] = ACTIONS(1454),
    [anon_sym_LT_GT] = ACTIONS(1454),
    [anon_sym_GT_EQ] = ACTIONS(1454),
    [anon_sym_BANG_EQ] = ACTIONS(1454),
    [anon_sym_LT_LT] = ACTIONS(1454),
    [anon_sym_GT_GT] = ACTIONS(1454),
    [anon_sym_AMP] = ACTIONS(1454),
    [anon_sym_CARET] = ACTIONS(1454),
    [anon_sym_PIPE] = ACTIONS(1456),
  },
  [3659] = {
    [ts_builtin_sym_end] = ACTIONS(1454),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1454),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1454),
    [aux_sym_keyword_replace_token1] = ACTIONS(1454),
    [aux_sym__keyword_alter_token1] = ACTIONS(1454),
    [aux_sym__keyword_from_token1] = ACTIONS(1454),
    [aux_sym__keyword_delete_token1] = ACTIONS(1454),
    [aux_sym__keyword_begin_token1] = ACTIONS(1454),
    [aux_sym__keyword_end_token1] = ACTIONS(1454),
    [aux_sym__keyword_between_token1] = ACTIONS(1454),
    [aux_sym__keyword_when_token1] = ACTIONS(1454),
    [aux_sym__keyword_else_token1] = ACTIONS(1456),
    [aux_sym__keyword_is_token1] = ACTIONS(1454),
    [aux_sym__keyword_in_token1] = ACTIONS(1456),
    [aux_sym__keyword_and_token1] = ACTIONS(1454),
    [aux_sym__keyword_like_token1] = ACTIONS(1454),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1454),
    [aux_sym__keyword_as_token1] = ACTIONS(1456),
    [aux_sym__keyword_for_token1] = ACTIONS(1454),
    [anon_sym_SEMI] = ACTIONS(1454),
    [aux_sym_declare_statement_token1] = ACTIONS(1454),
    [anon_sym_COMMA] = ACTIONS(1454),
    [aux_sym_set_statement_token1] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1454),
    [aux_sym_return_satement_token1] = ACTIONS(1454),
    [aux_sym_call_statement_token1] = ACTIONS(1454),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1454),
    [aux_sym_if_statement_token1] = ACTIONS(1454),
    [aux_sym_loop_statement_token1] = ACTIONS(1454),
    [aux_sym_repeat_statement_token1] = ACTIONS(1454),
    [aux_sym_while_statement_token1] = ACTIONS(1454),
    [aux_sym_break_statement_token1] = ACTIONS(1454),
    [aux_sym_leave_statement_token1] = ACTIONS(1454),
    [aux_sym_continue_statement_token1] = ACTIONS(1454),
    [aux_sym_iterate_statement_token1] = ACTIONS(1454),
    [aux_sym_raise_statement_token1] = ACTIONS(1454),
    [anon_sym_EQ] = ACTIONS(1454),
    [aux_sym_assert_statement_token1] = ACTIONS(1454),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1454),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1454),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1454),
    [aux_sym_option_clause_token1] = ACTIONS(1454),
    [anon_sym_LT] = ACTIONS(1456),
    [anon_sym_GT] = ACTIONS(1456),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1454),
    [aux_sym_select_token1] = ACTIONS(1454),
    [aux_sym_insert_statement_token1] = ACTIONS(1454),
    [aux_sym_truncate_statement_token1] = ACTIONS(1454),
    [aux_sym_update_statement_token1] = ACTIONS(1454),
    [aux_sym_merge_statement_token1] = ACTIONS(1454),
    [aux_sym_grant_statement_token1] = ACTIONS(1454),
    [aux_sym_revoke_statement_token1] = ACTIONS(1454),
    [aux_sym_export_data_statement_token1] = ACTIONS(1454),
    [aux_sym_load_data_statement_token1] = ACTIONS(1454),
    [anon_sym_LBRACK] = ACTIONS(1454),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1454),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1454),
    [anon_sym_SLASH] = ACTIONS(1456),
    [anon_sym_PIPE_PIPE] = ACTIONS(1454),
    [anon_sym_LT_EQ] = ACTIONS(1454),
    [anon_sym_LT_GT] = ACTIONS(1454),
    [anon_sym_GT_EQ] = ACTIONS(1454),
    [anon_sym_BANG_EQ] = ACTIONS(1454),
    [anon_sym_LT_LT] = ACTIONS(1454),
    [anon_sym_GT_GT] = ACTIONS(1454),
    [anon_sym_AMP] = ACTIONS(1454),
    [anon_sym_CARET] = ACTIONS(1454),
    [anon_sym_PIPE] = ACTIONS(1456),
  },
  [3660] = {
    [sym_analytics_clause] = STATE(3645),
    [ts_builtin_sym_end] = ACTIONS(1458),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1458),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1458),
    [aux_sym_keyword_replace_token1] = ACTIONS(1458),
    [aux_sym__keyword_alter_token1] = ACTIONS(1458),
    [aux_sym__keyword_delete_token1] = ACTIONS(1458),
    [aux_sym__keyword_begin_token1] = ACTIONS(1458),
    [aux_sym__keyword_end_token1] = ACTIONS(1458),
    [aux_sym__keyword_between_token1] = ACTIONS(1458),
    [aux_sym__keyword_when_token1] = ACTIONS(1458),
    [aux_sym__keyword_else_token1] = ACTIONS(1460),
    [aux_sym__keyword_is_token1] = ACTIONS(1458),
    [aux_sym__keyword_in_token1] = ACTIONS(1460),
    [aux_sym__keyword_and_token1] = ACTIONS(1458),
    [aux_sym__keyword_like_token1] = ACTIONS(1458),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1458),
    [aux_sym__keyword_as_token1] = ACTIONS(1460),
    [aux_sym__keyword_for_token1] = ACTIONS(1458),
    [anon_sym_SEMI] = ACTIONS(1458),
    [aux_sym_declare_statement_token1] = ACTIONS(1458),
    [anon_sym_COMMA] = ACTIONS(1458),
    [aux_sym_set_statement_token1] = ACTIONS(1458),
    [anon_sym_LPAREN] = ACTIONS(1458),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1458),
    [aux_sym_return_satement_token1] = ACTIONS(1458),
    [aux_sym_call_statement_token1] = ACTIONS(1458),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1458),
    [aux_sym_if_statement_token1] = ACTIONS(1458),
    [aux_sym_loop_statement_token1] = ACTIONS(1458),
    [aux_sym_repeat_statement_token1] = ACTIONS(1458),
    [aux_sym_while_statement_token1] = ACTIONS(1458),
    [aux_sym_break_statement_token1] = ACTIONS(1458),
    [aux_sym_leave_statement_token1] = ACTIONS(1458),
    [aux_sym_continue_statement_token1] = ACTIONS(1458),
    [aux_sym_iterate_statement_token1] = ACTIONS(1458),
    [aux_sym_raise_statement_token1] = ACTIONS(1458),
    [anon_sym_EQ] = ACTIONS(1458),
    [aux_sym_assert_statement_token1] = ACTIONS(1458),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1458),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1458),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1458),
    [aux_sym_option_clause_token1] = ACTIONS(1458),
    [anon_sym_LT] = ACTIONS(1460),
    [anon_sym_GT] = ACTIONS(1460),
    [aux_sym_select_token1] = ACTIONS(1458),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1458),
    [aux_sym_truncate_statement_token1] = ACTIONS(1458),
    [aux_sym_update_statement_token1] = ACTIONS(1458),
    [aux_sym_merge_statement_token1] = ACTIONS(1458),
    [aux_sym_grant_statement_token1] = ACTIONS(1458),
    [aux_sym_revoke_statement_token1] = ACTIONS(1458),
    [aux_sym_export_data_statement_token1] = ACTIONS(1458),
    [aux_sym_load_data_statement_token1] = ACTIONS(1458),
    [anon_sym_LBRACK] = ACTIONS(1458),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_STAR] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(1460),
    [anon_sym_PIPE_PIPE] = ACTIONS(1458),
    [anon_sym_LT_EQ] = ACTIONS(1458),
    [anon_sym_LT_GT] = ACTIONS(1458),
    [anon_sym_GT_EQ] = ACTIONS(1458),
    [anon_sym_BANG_EQ] = ACTIONS(1458),
    [anon_sym_LT_LT] = ACTIONS(1458),
    [anon_sym_GT_GT] = ACTIONS(1458),
    [anon_sym_AMP] = ACTIONS(1458),
    [anon_sym_CARET] = ACTIONS(1458),
    [anon_sym_PIPE] = ACTIONS(1460),
  },
  [3661] = {
    [sym_analytics_clause] = STATE(3647),
    [ts_builtin_sym_end] = ACTIONS(1466),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1466),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1466),
    [aux_sym_keyword_replace_token1] = ACTIONS(1466),
    [aux_sym__keyword_alter_token1] = ACTIONS(1466),
    [aux_sym__keyword_delete_token1] = ACTIONS(1466),
    [aux_sym__keyword_begin_token1] = ACTIONS(1466),
    [aux_sym__keyword_end_token1] = ACTIONS(1466),
    [aux_sym__keyword_between_token1] = ACTIONS(1466),
    [aux_sym__keyword_when_token1] = ACTIONS(1466),
    [aux_sym__keyword_else_token1] = ACTIONS(1468),
    [aux_sym__keyword_is_token1] = ACTIONS(1466),
    [aux_sym__keyword_in_token1] = ACTIONS(1468),
    [aux_sym__keyword_and_token1] = ACTIONS(1466),
    [aux_sym__keyword_like_token1] = ACTIONS(1466),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1466),
    [aux_sym__keyword_as_token1] = ACTIONS(1468),
    [aux_sym__keyword_for_token1] = ACTIONS(1466),
    [anon_sym_SEMI] = ACTIONS(1466),
    [aux_sym_declare_statement_token1] = ACTIONS(1466),
    [anon_sym_COMMA] = ACTIONS(1466),
    [aux_sym_set_statement_token1] = ACTIONS(1466),
    [anon_sym_LPAREN] = ACTIONS(1466),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1466),
    [aux_sym_return_satement_token1] = ACTIONS(1466),
    [aux_sym_call_statement_token1] = ACTIONS(1466),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1466),
    [aux_sym_if_statement_token1] = ACTIONS(1466),
    [aux_sym_loop_statement_token1] = ACTIONS(1466),
    [aux_sym_repeat_statement_token1] = ACTIONS(1466),
    [aux_sym_while_statement_token1] = ACTIONS(1466),
    [aux_sym_break_statement_token1] = ACTIONS(1466),
    [aux_sym_leave_statement_token1] = ACTIONS(1466),
    [aux_sym_continue_statement_token1] = ACTIONS(1466),
    [aux_sym_iterate_statement_token1] = ACTIONS(1466),
    [aux_sym_raise_statement_token1] = ACTIONS(1466),
    [anon_sym_EQ] = ACTIONS(1466),
    [aux_sym_assert_statement_token1] = ACTIONS(1466),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1466),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1466),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1466),
    [aux_sym_option_clause_token1] = ACTIONS(1466),
    [anon_sym_LT] = ACTIONS(1468),
    [anon_sym_GT] = ACTIONS(1468),
    [aux_sym_select_token1] = ACTIONS(1466),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1466),
    [aux_sym_truncate_statement_token1] = ACTIONS(1466),
    [aux_sym_update_statement_token1] = ACTIONS(1466),
    [aux_sym_merge_statement_token1] = ACTIONS(1466),
    [aux_sym_grant_statement_token1] = ACTIONS(1466),
    [aux_sym_revoke_statement_token1] = ACTIONS(1466),
    [aux_sym_export_data_statement_token1] = ACTIONS(1466),
    [aux_sym_load_data_statement_token1] = ACTIONS(1466),
    [anon_sym_LBRACK] = ACTIONS(1466),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_STAR] = ACTIONS(1466),
    [anon_sym_SLASH] = ACTIONS(1468),
    [anon_sym_PIPE_PIPE] = ACTIONS(1466),
    [anon_sym_LT_EQ] = ACTIONS(1466),
    [anon_sym_LT_GT] = ACTIONS(1466),
    [anon_sym_GT_EQ] = ACTIONS(1466),
    [anon_sym_BANG_EQ] = ACTIONS(1466),
    [anon_sym_LT_LT] = ACTIONS(1466),
    [anon_sym_GT_GT] = ACTIONS(1466),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_CARET] = ACTIONS(1466),
    [anon_sym_PIPE] = ACTIONS(1468),
  },
  [3662] = {
    [ts_builtin_sym_end] = ACTIONS(1466),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1466),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1466),
    [aux_sym_keyword_replace_token1] = ACTIONS(1466),
    [aux_sym__keyword_alter_token1] = ACTIONS(1466),
    [aux_sym__keyword_from_token1] = ACTIONS(1466),
    [aux_sym__keyword_delete_token1] = ACTIONS(1466),
    [aux_sym__keyword_begin_token1] = ACTIONS(1466),
    [aux_sym__keyword_end_token1] = ACTIONS(1466),
    [aux_sym__keyword_between_token1] = ACTIONS(1466),
    [aux_sym__keyword_when_token1] = ACTIONS(1466),
    [aux_sym__keyword_else_token1] = ACTIONS(1468),
    [aux_sym__keyword_is_token1] = ACTIONS(1466),
    [aux_sym__keyword_in_token1] = ACTIONS(1468),
    [aux_sym__keyword_and_token1] = ACTIONS(1466),
    [aux_sym__keyword_like_token1] = ACTIONS(1466),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1466),
    [aux_sym__keyword_as_token1] = ACTIONS(1468),
    [aux_sym__keyword_for_token1] = ACTIONS(1466),
    [anon_sym_SEMI] = ACTIONS(1466),
    [aux_sym_declare_statement_token1] = ACTIONS(1466),
    [anon_sym_COMMA] = ACTIONS(1466),
    [aux_sym_set_statement_token1] = ACTIONS(1466),
    [anon_sym_LPAREN] = ACTIONS(1466),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1466),
    [aux_sym_return_satement_token1] = ACTIONS(1466),
    [aux_sym_call_statement_token1] = ACTIONS(1466),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1466),
    [aux_sym_if_statement_token1] = ACTIONS(1466),
    [aux_sym_loop_statement_token1] = ACTIONS(1466),
    [aux_sym_repeat_statement_token1] = ACTIONS(1466),
    [aux_sym_while_statement_token1] = ACTIONS(1466),
    [aux_sym_break_statement_token1] = ACTIONS(1466),
    [aux_sym_leave_statement_token1] = ACTIONS(1466),
    [aux_sym_continue_statement_token1] = ACTIONS(1466),
    [aux_sym_iterate_statement_token1] = ACTIONS(1466),
    [aux_sym_raise_statement_token1] = ACTIONS(1466),
    [anon_sym_EQ] = ACTIONS(1466),
    [aux_sym_assert_statement_token1] = ACTIONS(1466),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1466),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1466),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1466),
    [aux_sym_option_clause_token1] = ACTIONS(1466),
    [anon_sym_LT] = ACTIONS(1468),
    [anon_sym_GT] = ACTIONS(1468),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1466),
    [aux_sym_select_token1] = ACTIONS(1466),
    [aux_sym_insert_statement_token1] = ACTIONS(1466),
    [aux_sym_truncate_statement_token1] = ACTIONS(1466),
    [aux_sym_update_statement_token1] = ACTIONS(1466),
    [aux_sym_merge_statement_token1] = ACTIONS(1466),
    [aux_sym_grant_statement_token1] = ACTIONS(1466),
    [aux_sym_revoke_statement_token1] = ACTIONS(1466),
    [aux_sym_export_data_statement_token1] = ACTIONS(1466),
    [aux_sym_load_data_statement_token1] = ACTIONS(1466),
    [anon_sym_LBRACK] = ACTIONS(1466),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_STAR] = ACTIONS(1466),
    [anon_sym_SLASH] = ACTIONS(1468),
    [anon_sym_PIPE_PIPE] = ACTIONS(1466),
    [anon_sym_LT_EQ] = ACTIONS(1466),
    [anon_sym_LT_GT] = ACTIONS(1466),
    [anon_sym_GT_EQ] = ACTIONS(1466),
    [anon_sym_BANG_EQ] = ACTIONS(1466),
    [anon_sym_LT_LT] = ACTIONS(1466),
    [anon_sym_GT_GT] = ACTIONS(1466),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_CARET] = ACTIONS(1466),
    [anon_sym_PIPE] = ACTIONS(1468),
  },
  [3663] = {
    [sym_analytics_clause] = STATE(3649),
    [ts_builtin_sym_end] = ACTIONS(1470),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1470),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1470),
    [aux_sym_keyword_replace_token1] = ACTIONS(1470),
    [aux_sym__keyword_alter_token1] = ACTIONS(1470),
    [aux_sym__keyword_delete_token1] = ACTIONS(1470),
    [aux_sym__keyword_begin_token1] = ACTIONS(1470),
    [aux_sym__keyword_end_token1] = ACTIONS(1470),
    [aux_sym__keyword_between_token1] = ACTIONS(1470),
    [aux_sym__keyword_when_token1] = ACTIONS(1470),
    [aux_sym__keyword_else_token1] = ACTIONS(1472),
    [aux_sym__keyword_is_token1] = ACTIONS(1470),
    [aux_sym__keyword_in_token1] = ACTIONS(1472),
    [aux_sym__keyword_and_token1] = ACTIONS(1470),
    [aux_sym__keyword_like_token1] = ACTIONS(1470),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1470),
    [aux_sym__keyword_as_token1] = ACTIONS(1472),
    [aux_sym__keyword_for_token1] = ACTIONS(1470),
    [anon_sym_SEMI] = ACTIONS(1470),
    [aux_sym_declare_statement_token1] = ACTIONS(1470),
    [anon_sym_COMMA] = ACTIONS(1470),
    [aux_sym_set_statement_token1] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1470),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1470),
    [aux_sym_return_satement_token1] = ACTIONS(1470),
    [aux_sym_call_statement_token1] = ACTIONS(1470),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1470),
    [aux_sym_if_statement_token1] = ACTIONS(1470),
    [aux_sym_loop_statement_token1] = ACTIONS(1470),
    [aux_sym_repeat_statement_token1] = ACTIONS(1470),
    [aux_sym_while_statement_token1] = ACTIONS(1470),
    [aux_sym_break_statement_token1] = ACTIONS(1470),
    [aux_sym_leave_statement_token1] = ACTIONS(1470),
    [aux_sym_continue_statement_token1] = ACTIONS(1470),
    [aux_sym_iterate_statement_token1] = ACTIONS(1470),
    [aux_sym_raise_statement_token1] = ACTIONS(1470),
    [anon_sym_EQ] = ACTIONS(1470),
    [aux_sym_assert_statement_token1] = ACTIONS(1470),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1470),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1470),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1470),
    [aux_sym_option_clause_token1] = ACTIONS(1470),
    [anon_sym_LT] = ACTIONS(1472),
    [anon_sym_GT] = ACTIONS(1472),
    [aux_sym_select_token1] = ACTIONS(1470),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1470),
    [aux_sym_truncate_statement_token1] = ACTIONS(1470),
    [aux_sym_update_statement_token1] = ACTIONS(1470),
    [aux_sym_merge_statement_token1] = ACTIONS(1470),
    [aux_sym_grant_statement_token1] = ACTIONS(1470),
    [aux_sym_revoke_statement_token1] = ACTIONS(1470),
    [aux_sym_export_data_statement_token1] = ACTIONS(1470),
    [aux_sym_load_data_statement_token1] = ACTIONS(1470),
    [anon_sym_LBRACK] = ACTIONS(1470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1470),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_STAR] = ACTIONS(1470),
    [anon_sym_SLASH] = ACTIONS(1472),
    [anon_sym_PIPE_PIPE] = ACTIONS(1470),
    [anon_sym_LT_EQ] = ACTIONS(1470),
    [anon_sym_LT_GT] = ACTIONS(1470),
    [anon_sym_GT_EQ] = ACTIONS(1470),
    [anon_sym_BANG_EQ] = ACTIONS(1470),
    [anon_sym_LT_LT] = ACTIONS(1470),
    [anon_sym_GT_GT] = ACTIONS(1470),
    [anon_sym_AMP] = ACTIONS(1470),
    [anon_sym_CARET] = ACTIONS(1470),
    [anon_sym_PIPE] = ACTIONS(1472),
  },
  [3664] = {
    [ts_builtin_sym_end] = ACTIONS(1470),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1470),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1470),
    [aux_sym_keyword_replace_token1] = ACTIONS(1470),
    [aux_sym__keyword_alter_token1] = ACTIONS(1470),
    [aux_sym__keyword_from_token1] = ACTIONS(1470),
    [aux_sym__keyword_delete_token1] = ACTIONS(1470),
    [aux_sym__keyword_begin_token1] = ACTIONS(1470),
    [aux_sym__keyword_end_token1] = ACTIONS(1470),
    [aux_sym__keyword_between_token1] = ACTIONS(1470),
    [aux_sym__keyword_when_token1] = ACTIONS(1470),
    [aux_sym__keyword_else_token1] = ACTIONS(1472),
    [aux_sym__keyword_is_token1] = ACTIONS(1470),
    [aux_sym__keyword_in_token1] = ACTIONS(1472),
    [aux_sym__keyword_and_token1] = ACTIONS(1470),
    [aux_sym__keyword_like_token1] = ACTIONS(1470),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1470),
    [aux_sym__keyword_as_token1] = ACTIONS(1472),
    [aux_sym__keyword_for_token1] = ACTIONS(1470),
    [anon_sym_SEMI] = ACTIONS(1470),
    [aux_sym_declare_statement_token1] = ACTIONS(1470),
    [anon_sym_COMMA] = ACTIONS(1470),
    [aux_sym_set_statement_token1] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1470),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1470),
    [aux_sym_return_satement_token1] = ACTIONS(1470),
    [aux_sym_call_statement_token1] = ACTIONS(1470),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1470),
    [aux_sym_if_statement_token1] = ACTIONS(1470),
    [aux_sym_loop_statement_token1] = ACTIONS(1470),
    [aux_sym_repeat_statement_token1] = ACTIONS(1470),
    [aux_sym_while_statement_token1] = ACTIONS(1470),
    [aux_sym_break_statement_token1] = ACTIONS(1470),
    [aux_sym_leave_statement_token1] = ACTIONS(1470),
    [aux_sym_continue_statement_token1] = ACTIONS(1470),
    [aux_sym_iterate_statement_token1] = ACTIONS(1470),
    [aux_sym_raise_statement_token1] = ACTIONS(1470),
    [anon_sym_EQ] = ACTIONS(1470),
    [aux_sym_assert_statement_token1] = ACTIONS(1470),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1470),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1470),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1470),
    [aux_sym_option_clause_token1] = ACTIONS(1470),
    [anon_sym_LT] = ACTIONS(1472),
    [anon_sym_GT] = ACTIONS(1472),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1470),
    [aux_sym_select_token1] = ACTIONS(1470),
    [aux_sym_insert_statement_token1] = ACTIONS(1470),
    [aux_sym_truncate_statement_token1] = ACTIONS(1470),
    [aux_sym_update_statement_token1] = ACTIONS(1470),
    [aux_sym_merge_statement_token1] = ACTIONS(1470),
    [aux_sym_grant_statement_token1] = ACTIONS(1470),
    [aux_sym_revoke_statement_token1] = ACTIONS(1470),
    [aux_sym_export_data_statement_token1] = ACTIONS(1470),
    [aux_sym_load_data_statement_token1] = ACTIONS(1470),
    [anon_sym_LBRACK] = ACTIONS(1470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1470),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_STAR] = ACTIONS(1470),
    [anon_sym_SLASH] = ACTIONS(1472),
    [anon_sym_PIPE_PIPE] = ACTIONS(1470),
    [anon_sym_LT_EQ] = ACTIONS(1470),
    [anon_sym_LT_GT] = ACTIONS(1470),
    [anon_sym_GT_EQ] = ACTIONS(1470),
    [anon_sym_BANG_EQ] = ACTIONS(1470),
    [anon_sym_LT_LT] = ACTIONS(1470),
    [anon_sym_GT_GT] = ACTIONS(1470),
    [anon_sym_AMP] = ACTIONS(1470),
    [anon_sym_CARET] = ACTIONS(1470),
    [anon_sym_PIPE] = ACTIONS(1472),
  },
  [3665] = {
    [ts_builtin_sym_end] = ACTIONS(1854),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1854),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1854),
    [aux_sym_keyword_replace_token1] = ACTIONS(1854),
    [aux_sym__keyword_alter_token1] = ACTIONS(1854),
    [aux_sym__keyword_from_token1] = ACTIONS(1854),
    [aux_sym__keyword_delete_token1] = ACTIONS(1854),
    [aux_sym__keyword_begin_token1] = ACTIONS(1854),
    [aux_sym__keyword_end_token1] = ACTIONS(1854),
    [aux_sym__keyword_between_token1] = ACTIONS(1854),
    [aux_sym__keyword_when_token1] = ACTIONS(1854),
    [aux_sym__keyword_else_token1] = ACTIONS(1856),
    [aux_sym__keyword_is_token1] = ACTIONS(1854),
    [aux_sym__keyword_in_token1] = ACTIONS(1856),
    [aux_sym__keyword_and_token1] = ACTIONS(1854),
    [aux_sym__keyword_like_token1] = ACTIONS(1854),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1854),
    [aux_sym__keyword_as_token1] = ACTIONS(1856),
    [aux_sym__keyword_for_token1] = ACTIONS(1854),
    [anon_sym_SEMI] = ACTIONS(1854),
    [aux_sym_declare_statement_token1] = ACTIONS(1854),
    [anon_sym_COMMA] = ACTIONS(1854),
    [aux_sym_set_statement_token1] = ACTIONS(1854),
    [anon_sym_LPAREN] = ACTIONS(1854),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1854),
    [aux_sym_return_satement_token1] = ACTIONS(1854),
    [aux_sym_call_statement_token1] = ACTIONS(1854),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1854),
    [aux_sym_if_statement_token1] = ACTIONS(1854),
    [aux_sym_loop_statement_token1] = ACTIONS(1854),
    [aux_sym_repeat_statement_token1] = ACTIONS(1854),
    [aux_sym_while_statement_token1] = ACTIONS(1854),
    [aux_sym_break_statement_token1] = ACTIONS(1854),
    [aux_sym_leave_statement_token1] = ACTIONS(1854),
    [aux_sym_continue_statement_token1] = ACTIONS(1854),
    [aux_sym_iterate_statement_token1] = ACTIONS(1854),
    [aux_sym_raise_statement_token1] = ACTIONS(1854),
    [anon_sym_EQ] = ACTIONS(1854),
    [aux_sym_assert_statement_token1] = ACTIONS(1854),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1854),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1854),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1854),
    [aux_sym_option_clause_token1] = ACTIONS(1854),
    [anon_sym_LT] = ACTIONS(1856),
    [anon_sym_GT] = ACTIONS(1856),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1854),
    [aux_sym_select_token1] = ACTIONS(1854),
    [aux_sym_insert_statement_token1] = ACTIONS(1854),
    [aux_sym_truncate_statement_token1] = ACTIONS(1854),
    [aux_sym_update_statement_token1] = ACTIONS(1854),
    [aux_sym_merge_statement_token1] = ACTIONS(1854),
    [aux_sym_grant_statement_token1] = ACTIONS(1854),
    [aux_sym_revoke_statement_token1] = ACTIONS(1854),
    [aux_sym_export_data_statement_token1] = ACTIONS(1854),
    [aux_sym_load_data_statement_token1] = ACTIONS(1854),
    [anon_sym_LBRACK] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1854),
    [anon_sym_SLASH] = ACTIONS(1856),
    [anon_sym_PIPE_PIPE] = ACTIONS(1854),
    [anon_sym_LT_EQ] = ACTIONS(1854),
    [anon_sym_LT_GT] = ACTIONS(1854),
    [anon_sym_GT_EQ] = ACTIONS(1854),
    [anon_sym_BANG_EQ] = ACTIONS(1854),
    [anon_sym_LT_LT] = ACTIONS(1854),
    [anon_sym_GT_GT] = ACTIONS(1854),
    [anon_sym_AMP] = ACTIONS(1854),
    [anon_sym_CARET] = ACTIONS(1854),
    [anon_sym_PIPE] = ACTIONS(1856),
  },
  [3666] = {
    [ts_builtin_sym_end] = ACTIONS(1846),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1846),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1846),
    [aux_sym_keyword_replace_token1] = ACTIONS(1846),
    [aux_sym__keyword_alter_token1] = ACTIONS(1846),
    [aux_sym__keyword_from_token1] = ACTIONS(1846),
    [aux_sym__keyword_delete_token1] = ACTIONS(1846),
    [aux_sym__keyword_begin_token1] = ACTIONS(1846),
    [aux_sym__keyword_end_token1] = ACTIONS(1846),
    [aux_sym__keyword_between_token1] = ACTIONS(1846),
    [aux_sym__keyword_when_token1] = ACTIONS(1846),
    [aux_sym__keyword_else_token1] = ACTIONS(1848),
    [aux_sym__keyword_is_token1] = ACTIONS(1846),
    [aux_sym__keyword_in_token1] = ACTIONS(1848),
    [aux_sym__keyword_and_token1] = ACTIONS(1846),
    [aux_sym__keyword_like_token1] = ACTIONS(1846),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1846),
    [aux_sym__keyword_as_token1] = ACTIONS(1848),
    [aux_sym__keyword_for_token1] = ACTIONS(1846),
    [anon_sym_SEMI] = ACTIONS(1846),
    [aux_sym_declare_statement_token1] = ACTIONS(1846),
    [anon_sym_COMMA] = ACTIONS(1846),
    [aux_sym_set_statement_token1] = ACTIONS(1846),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1846),
    [aux_sym_return_satement_token1] = ACTIONS(1846),
    [aux_sym_call_statement_token1] = ACTIONS(1846),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1846),
    [aux_sym_if_statement_token1] = ACTIONS(1846),
    [aux_sym_loop_statement_token1] = ACTIONS(1846),
    [aux_sym_repeat_statement_token1] = ACTIONS(1846),
    [aux_sym_while_statement_token1] = ACTIONS(1846),
    [aux_sym_break_statement_token1] = ACTIONS(1846),
    [aux_sym_leave_statement_token1] = ACTIONS(1846),
    [aux_sym_continue_statement_token1] = ACTIONS(1846),
    [aux_sym_iterate_statement_token1] = ACTIONS(1846),
    [aux_sym_raise_statement_token1] = ACTIONS(1846),
    [anon_sym_EQ] = ACTIONS(1846),
    [aux_sym_assert_statement_token1] = ACTIONS(1846),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1846),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1846),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1846),
    [aux_sym_option_clause_token1] = ACTIONS(1846),
    [anon_sym_LT] = ACTIONS(1848),
    [anon_sym_GT] = ACTIONS(1848),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1846),
    [aux_sym_select_token1] = ACTIONS(1846),
    [aux_sym_insert_statement_token1] = ACTIONS(1846),
    [aux_sym_truncate_statement_token1] = ACTIONS(1846),
    [aux_sym_update_statement_token1] = ACTIONS(1846),
    [aux_sym_merge_statement_token1] = ACTIONS(1846),
    [aux_sym_grant_statement_token1] = ACTIONS(1846),
    [aux_sym_revoke_statement_token1] = ACTIONS(1846),
    [aux_sym_export_data_statement_token1] = ACTIONS(1846),
    [aux_sym_load_data_statement_token1] = ACTIONS(1846),
    [anon_sym_LBRACK] = ACTIONS(1846),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1846),
    [anon_sym_PLUS] = ACTIONS(1846),
    [anon_sym_DASH] = ACTIONS(1848),
    [anon_sym_STAR] = ACTIONS(1846),
    [anon_sym_SLASH] = ACTIONS(1848),
    [anon_sym_PIPE_PIPE] = ACTIONS(1846),
    [anon_sym_LT_EQ] = ACTIONS(1846),
    [anon_sym_LT_GT] = ACTIONS(1846),
    [anon_sym_GT_EQ] = ACTIONS(1846),
    [anon_sym_BANG_EQ] = ACTIONS(1846),
    [anon_sym_LT_LT] = ACTIONS(1846),
    [anon_sym_GT_GT] = ACTIONS(1846),
    [anon_sym_AMP] = ACTIONS(1846),
    [anon_sym_CARET] = ACTIONS(1846),
    [anon_sym_PIPE] = ACTIONS(1848),
  },
  [3667] = {
    [ts_builtin_sym_end] = ACTIONS(1586),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1586),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1586),
    [aux_sym_keyword_replace_token1] = ACTIONS(1586),
    [aux_sym__keyword_alter_token1] = ACTIONS(1586),
    [aux_sym__keyword_from_token1] = ACTIONS(1586),
    [aux_sym__keyword_delete_token1] = ACTIONS(1586),
    [aux_sym__keyword_begin_token1] = ACTIONS(1586),
    [aux_sym__keyword_end_token1] = ACTIONS(1586),
    [aux_sym__keyword_between_token1] = ACTIONS(1586),
    [aux_sym__keyword_when_token1] = ACTIONS(1586),
    [aux_sym__keyword_else_token1] = ACTIONS(1588),
    [aux_sym__keyword_is_token1] = ACTIONS(1586),
    [aux_sym__keyword_in_token1] = ACTIONS(1588),
    [aux_sym__keyword_and_token1] = ACTIONS(1586),
    [aux_sym__keyword_like_token1] = ACTIONS(1586),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1586),
    [aux_sym__keyword_as_token1] = ACTIONS(1588),
    [aux_sym__keyword_for_token1] = ACTIONS(1586),
    [anon_sym_SEMI] = ACTIONS(1586),
    [aux_sym_declare_statement_token1] = ACTIONS(1586),
    [anon_sym_COMMA] = ACTIONS(1586),
    [aux_sym_set_statement_token1] = ACTIONS(1586),
    [anon_sym_LPAREN] = ACTIONS(1586),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1586),
    [aux_sym_return_satement_token1] = ACTIONS(1586),
    [aux_sym_call_statement_token1] = ACTIONS(1586),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1586),
    [aux_sym_if_statement_token1] = ACTIONS(1586),
    [aux_sym_loop_statement_token1] = ACTIONS(1586),
    [aux_sym_repeat_statement_token1] = ACTIONS(1586),
    [aux_sym_while_statement_token1] = ACTIONS(1586),
    [aux_sym_break_statement_token1] = ACTIONS(1586),
    [aux_sym_leave_statement_token1] = ACTIONS(1586),
    [aux_sym_continue_statement_token1] = ACTIONS(1586),
    [aux_sym_iterate_statement_token1] = ACTIONS(1586),
    [aux_sym_raise_statement_token1] = ACTIONS(1586),
    [anon_sym_EQ] = ACTIONS(1586),
    [aux_sym_assert_statement_token1] = ACTIONS(1586),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1586),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1586),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1586),
    [aux_sym_option_clause_token1] = ACTIONS(1586),
    [anon_sym_LT] = ACTIONS(1588),
    [anon_sym_GT] = ACTIONS(1588),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1586),
    [aux_sym_select_token1] = ACTIONS(1586),
    [aux_sym_insert_statement_token1] = ACTIONS(1586),
    [aux_sym_truncate_statement_token1] = ACTIONS(1586),
    [aux_sym_update_statement_token1] = ACTIONS(1586),
    [aux_sym_merge_statement_token1] = ACTIONS(1586),
    [aux_sym_grant_statement_token1] = ACTIONS(1586),
    [aux_sym_revoke_statement_token1] = ACTIONS(1586),
    [aux_sym_export_data_statement_token1] = ACTIONS(1586),
    [aux_sym_load_data_statement_token1] = ACTIONS(1586),
    [anon_sym_LBRACK] = ACTIONS(1586),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1586),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_STAR] = ACTIONS(1586),
    [anon_sym_SLASH] = ACTIONS(1588),
    [anon_sym_PIPE_PIPE] = ACTIONS(1586),
    [anon_sym_LT_EQ] = ACTIONS(1586),
    [anon_sym_LT_GT] = ACTIONS(1586),
    [anon_sym_GT_EQ] = ACTIONS(1586),
    [anon_sym_BANG_EQ] = ACTIONS(1586),
    [anon_sym_LT_LT] = ACTIONS(1586),
    [anon_sym_GT_GT] = ACTIONS(1586),
    [anon_sym_AMP] = ACTIONS(1586),
    [anon_sym_CARET] = ACTIONS(1586),
    [anon_sym_PIPE] = ACTIONS(1588),
  },
  [3668] = {
    [sym__keyword_between] = STATE(1451),
    [sym__keyword_is] = STATE(12153),
    [sym__keyword_in] = STATE(876),
    [sym__keyword_not] = STATE(13044),
    [sym__keyword_and] = STATE(885),
    [sym__keyword_or] = STATE(887),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(947),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(947),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(947),
    [aux_sym_keyword_replace_token1] = ACTIONS(947),
    [aux_sym__keyword_alter_token1] = ACTIONS(947),
    [aux_sym__keyword_delete_token1] = ACTIONS(947),
    [aux_sym__keyword_begin_token1] = ACTIONS(947),
    [aux_sym__keyword_between_token1] = ACTIONS(947),
    [aux_sym__keyword_is_token1] = ACTIONS(947),
    [aux_sym__keyword_in_token1] = ACTIONS(949),
    [aux_sym__keyword_and_token1] = ACTIONS(947),
    [aux_sym__keyword_like_token1] = ACTIONS(947),
    [aux_sym__keyword_repeat_token1] = ACTIONS(947),
    [aux_sym__keyword_for_token1] = ACTIONS(947),
    [anon_sym_SEMI] = ACTIONS(947),
    [aux_sym_declare_statement_token1] = ACTIONS(947),
    [anon_sym_COMMA] = ACTIONS(947),
    [aux_sym_set_statement_token1] = ACTIONS(947),
    [anon_sym_LPAREN] = ACTIONS(947),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(947),
    [aux_sym_return_satement_token1] = ACTIONS(947),
    [aux_sym_call_statement_token1] = ACTIONS(947),
    [aux_sym_loop_statement_token1] = ACTIONS(947),
    [aux_sym_while_statement_token1] = ACTIONS(947),
    [aux_sym_break_statement_token1] = ACTIONS(947),
    [aux_sym_leave_statement_token1] = ACTIONS(947),
    [aux_sym_continue_statement_token1] = ACTIONS(947),
    [aux_sym_iterate_statement_token1] = ACTIONS(947),
    [aux_sym_raise_statement_token1] = ACTIONS(947),
    [anon_sym_EQ] = ACTIONS(947),
    [aux_sym_assert_statement_token1] = ACTIONS(947),
    [aux_sym_create_schema_statement_token1] = ACTIONS(947),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(947),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(947),
    [aux_sym_option_clause_token1] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(949),
    [anon_sym_GT] = ACTIONS(949),
    [aux_sym_select_token1] = ACTIONS(947),
    [aux_sym_insert_statement_token1] = ACTIONS(947),
    [aux_sym_truncate_statement_token1] = ACTIONS(947),
    [aux_sym_update_statement_token1] = ACTIONS(947),
    [aux_sym_merge_statement_token1] = ACTIONS(947),
    [aux_sym_grant_statement_token1] = ACTIONS(947),
    [aux_sym_revoke_statement_token1] = ACTIONS(947),
    [aux_sym_export_data_statement_token1] = ACTIONS(947),
    [aux_sym_load_data_statement_token1] = ACTIONS(947),
    [anon_sym_LBRACK] = ACTIONS(947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(3286),
    [anon_sym_DASH] = ACTIONS(3288),
    [anon_sym_STAR] = ACTIONS(3290),
    [anon_sym_SLASH] = ACTIONS(3292),
    [anon_sym_PIPE_PIPE] = ACTIONS(3290),
    [anon_sym_LT_EQ] = ACTIONS(947),
    [anon_sym_LT_GT] = ACTIONS(947),
    [anon_sym_GT_EQ] = ACTIONS(947),
    [anon_sym_BANG_EQ] = ACTIONS(947),
    [anon_sym_LT_LT] = ACTIONS(3294),
    [anon_sym_GT_GT] = ACTIONS(3294),
    [anon_sym_AMP] = ACTIONS(3296),
    [anon_sym_CARET] = ACTIONS(3298),
    [anon_sym_PIPE] = ACTIONS(3300),
  },
  [3669] = {
    [sym_analytics_clause] = STATE(3659),
    [ts_builtin_sym_end] = ACTIONS(1480),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1480),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1480),
    [aux_sym_keyword_replace_token1] = ACTIONS(1480),
    [aux_sym__keyword_alter_token1] = ACTIONS(1480),
    [aux_sym__keyword_delete_token1] = ACTIONS(1480),
    [aux_sym__keyword_begin_token1] = ACTIONS(1480),
    [aux_sym__keyword_end_token1] = ACTIONS(1480),
    [aux_sym__keyword_between_token1] = ACTIONS(1480),
    [aux_sym__keyword_when_token1] = ACTIONS(1480),
    [aux_sym__keyword_else_token1] = ACTIONS(1482),
    [aux_sym__keyword_is_token1] = ACTIONS(1480),
    [aux_sym__keyword_in_token1] = ACTIONS(1482),
    [aux_sym__keyword_and_token1] = ACTIONS(1480),
    [aux_sym__keyword_like_token1] = ACTIONS(1480),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1480),
    [aux_sym__keyword_as_token1] = ACTIONS(1482),
    [aux_sym__keyword_for_token1] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1480),
    [aux_sym_declare_statement_token1] = ACTIONS(1480),
    [anon_sym_COMMA] = ACTIONS(1480),
    [aux_sym_set_statement_token1] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(1480),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1480),
    [aux_sym_return_satement_token1] = ACTIONS(1480),
    [aux_sym_call_statement_token1] = ACTIONS(1480),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1480),
    [aux_sym_if_statement_token1] = ACTIONS(1480),
    [aux_sym_loop_statement_token1] = ACTIONS(1480),
    [aux_sym_repeat_statement_token1] = ACTIONS(1480),
    [aux_sym_while_statement_token1] = ACTIONS(1480),
    [aux_sym_break_statement_token1] = ACTIONS(1480),
    [aux_sym_leave_statement_token1] = ACTIONS(1480),
    [aux_sym_continue_statement_token1] = ACTIONS(1480),
    [aux_sym_iterate_statement_token1] = ACTIONS(1480),
    [aux_sym_raise_statement_token1] = ACTIONS(1480),
    [anon_sym_EQ] = ACTIONS(1480),
    [aux_sym_assert_statement_token1] = ACTIONS(1480),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1480),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1480),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1480),
    [aux_sym_option_clause_token1] = ACTIONS(1480),
    [anon_sym_LT] = ACTIONS(1482),
    [anon_sym_GT] = ACTIONS(1482),
    [aux_sym_select_token1] = ACTIONS(1480),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1480),
    [aux_sym_truncate_statement_token1] = ACTIONS(1480),
    [aux_sym_update_statement_token1] = ACTIONS(1480),
    [aux_sym_merge_statement_token1] = ACTIONS(1480),
    [aux_sym_grant_statement_token1] = ACTIONS(1480),
    [aux_sym_revoke_statement_token1] = ACTIONS(1480),
    [aux_sym_export_data_statement_token1] = ACTIONS(1480),
    [aux_sym_load_data_statement_token1] = ACTIONS(1480),
    [anon_sym_LBRACK] = ACTIONS(1480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_DASH] = ACTIONS(1482),
    [anon_sym_STAR] = ACTIONS(1480),
    [anon_sym_SLASH] = ACTIONS(1482),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [anon_sym_LT_EQ] = ACTIONS(1480),
    [anon_sym_LT_GT] = ACTIONS(1480),
    [anon_sym_GT_EQ] = ACTIONS(1480),
    [anon_sym_BANG_EQ] = ACTIONS(1480),
    [anon_sym_LT_LT] = ACTIONS(1480),
    [anon_sym_GT_GT] = ACTIONS(1480),
    [anon_sym_AMP] = ACTIONS(1480),
    [anon_sym_CARET] = ACTIONS(1480),
    [anon_sym_PIPE] = ACTIONS(1482),
  },
  [3670] = {
    [sym_analytics_clause] = STATE(3662),
    [ts_builtin_sym_end] = ACTIONS(1488),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1488),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1488),
    [aux_sym_keyword_replace_token1] = ACTIONS(1488),
    [aux_sym__keyword_alter_token1] = ACTIONS(1488),
    [aux_sym__keyword_delete_token1] = ACTIONS(1488),
    [aux_sym__keyword_begin_token1] = ACTIONS(1488),
    [aux_sym__keyword_end_token1] = ACTIONS(1488),
    [aux_sym__keyword_between_token1] = ACTIONS(1488),
    [aux_sym__keyword_when_token1] = ACTIONS(1488),
    [aux_sym__keyword_else_token1] = ACTIONS(1490),
    [aux_sym__keyword_is_token1] = ACTIONS(1488),
    [aux_sym__keyword_in_token1] = ACTIONS(1490),
    [aux_sym__keyword_and_token1] = ACTIONS(1488),
    [aux_sym__keyword_like_token1] = ACTIONS(1488),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1488),
    [aux_sym__keyword_as_token1] = ACTIONS(1490),
    [aux_sym__keyword_for_token1] = ACTIONS(1488),
    [anon_sym_SEMI] = ACTIONS(1488),
    [aux_sym_declare_statement_token1] = ACTIONS(1488),
    [anon_sym_COMMA] = ACTIONS(1488),
    [aux_sym_set_statement_token1] = ACTIONS(1488),
    [anon_sym_LPAREN] = ACTIONS(1488),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1488),
    [aux_sym_return_satement_token1] = ACTIONS(1488),
    [aux_sym_call_statement_token1] = ACTIONS(1488),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1488),
    [aux_sym_if_statement_token1] = ACTIONS(1488),
    [aux_sym_loop_statement_token1] = ACTIONS(1488),
    [aux_sym_repeat_statement_token1] = ACTIONS(1488),
    [aux_sym_while_statement_token1] = ACTIONS(1488),
    [aux_sym_break_statement_token1] = ACTIONS(1488),
    [aux_sym_leave_statement_token1] = ACTIONS(1488),
    [aux_sym_continue_statement_token1] = ACTIONS(1488),
    [aux_sym_iterate_statement_token1] = ACTIONS(1488),
    [aux_sym_raise_statement_token1] = ACTIONS(1488),
    [anon_sym_EQ] = ACTIONS(1488),
    [aux_sym_assert_statement_token1] = ACTIONS(1488),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1488),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1488),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1488),
    [aux_sym_option_clause_token1] = ACTIONS(1488),
    [anon_sym_LT] = ACTIONS(1490),
    [anon_sym_GT] = ACTIONS(1490),
    [aux_sym_select_token1] = ACTIONS(1488),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1488),
    [aux_sym_truncate_statement_token1] = ACTIONS(1488),
    [aux_sym_update_statement_token1] = ACTIONS(1488),
    [aux_sym_merge_statement_token1] = ACTIONS(1488),
    [aux_sym_grant_statement_token1] = ACTIONS(1488),
    [aux_sym_revoke_statement_token1] = ACTIONS(1488),
    [aux_sym_export_data_statement_token1] = ACTIONS(1488),
    [aux_sym_load_data_statement_token1] = ACTIONS(1488),
    [anon_sym_LBRACK] = ACTIONS(1488),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1488),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_STAR] = ACTIONS(1488),
    [anon_sym_SLASH] = ACTIONS(1490),
    [anon_sym_PIPE_PIPE] = ACTIONS(1488),
    [anon_sym_LT_EQ] = ACTIONS(1488),
    [anon_sym_LT_GT] = ACTIONS(1488),
    [anon_sym_GT_EQ] = ACTIONS(1488),
    [anon_sym_BANG_EQ] = ACTIONS(1488),
    [anon_sym_LT_LT] = ACTIONS(1488),
    [anon_sym_GT_GT] = ACTIONS(1488),
    [anon_sym_AMP] = ACTIONS(1488),
    [anon_sym_CARET] = ACTIONS(1488),
    [anon_sym_PIPE] = ACTIONS(1490),
  },
  [3671] = {
    [sym_analytics_clause] = STATE(3664),
    [ts_builtin_sym_end] = ACTIONS(1492),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1492),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1492),
    [aux_sym_keyword_replace_token1] = ACTIONS(1492),
    [aux_sym__keyword_alter_token1] = ACTIONS(1492),
    [aux_sym__keyword_delete_token1] = ACTIONS(1492),
    [aux_sym__keyword_begin_token1] = ACTIONS(1492),
    [aux_sym__keyword_end_token1] = ACTIONS(1492),
    [aux_sym__keyword_between_token1] = ACTIONS(1492),
    [aux_sym__keyword_when_token1] = ACTIONS(1492),
    [aux_sym__keyword_else_token1] = ACTIONS(1494),
    [aux_sym__keyword_is_token1] = ACTIONS(1492),
    [aux_sym__keyword_in_token1] = ACTIONS(1494),
    [aux_sym__keyword_and_token1] = ACTIONS(1492),
    [aux_sym__keyword_like_token1] = ACTIONS(1492),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1492),
    [aux_sym__keyword_as_token1] = ACTIONS(1494),
    [aux_sym__keyword_for_token1] = ACTIONS(1492),
    [anon_sym_SEMI] = ACTIONS(1492),
    [aux_sym_declare_statement_token1] = ACTIONS(1492),
    [anon_sym_COMMA] = ACTIONS(1492),
    [aux_sym_set_statement_token1] = ACTIONS(1492),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1492),
    [aux_sym_return_satement_token1] = ACTIONS(1492),
    [aux_sym_call_statement_token1] = ACTIONS(1492),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1492),
    [aux_sym_if_statement_token1] = ACTIONS(1492),
    [aux_sym_loop_statement_token1] = ACTIONS(1492),
    [aux_sym_repeat_statement_token1] = ACTIONS(1492),
    [aux_sym_while_statement_token1] = ACTIONS(1492),
    [aux_sym_break_statement_token1] = ACTIONS(1492),
    [aux_sym_leave_statement_token1] = ACTIONS(1492),
    [aux_sym_continue_statement_token1] = ACTIONS(1492),
    [aux_sym_iterate_statement_token1] = ACTIONS(1492),
    [aux_sym_raise_statement_token1] = ACTIONS(1492),
    [anon_sym_EQ] = ACTIONS(1492),
    [aux_sym_assert_statement_token1] = ACTIONS(1492),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1492),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1492),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1492),
    [aux_sym_option_clause_token1] = ACTIONS(1492),
    [anon_sym_LT] = ACTIONS(1494),
    [anon_sym_GT] = ACTIONS(1494),
    [aux_sym_select_token1] = ACTIONS(1492),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1492),
    [aux_sym_truncate_statement_token1] = ACTIONS(1492),
    [aux_sym_update_statement_token1] = ACTIONS(1492),
    [aux_sym_merge_statement_token1] = ACTIONS(1492),
    [aux_sym_grant_statement_token1] = ACTIONS(1492),
    [aux_sym_revoke_statement_token1] = ACTIONS(1492),
    [aux_sym_export_data_statement_token1] = ACTIONS(1492),
    [aux_sym_load_data_statement_token1] = ACTIONS(1492),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_STAR] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1494),
    [anon_sym_PIPE_PIPE] = ACTIONS(1492),
    [anon_sym_LT_EQ] = ACTIONS(1492),
    [anon_sym_LT_GT] = ACTIONS(1492),
    [anon_sym_GT_EQ] = ACTIONS(1492),
    [anon_sym_BANG_EQ] = ACTIONS(1492),
    [anon_sym_LT_LT] = ACTIONS(1492),
    [anon_sym_GT_GT] = ACTIONS(1492),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_CARET] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1494),
  },
  [3672] = {
    [ts_builtin_sym_end] = ACTIONS(1492),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1492),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1492),
    [aux_sym_keyword_replace_token1] = ACTIONS(1492),
    [aux_sym__keyword_alter_token1] = ACTIONS(1492),
    [aux_sym__keyword_from_token1] = ACTIONS(1492),
    [aux_sym__keyword_delete_token1] = ACTIONS(1492),
    [aux_sym__keyword_begin_token1] = ACTIONS(1492),
    [aux_sym__keyword_end_token1] = ACTIONS(1492),
    [aux_sym__keyword_between_token1] = ACTIONS(1492),
    [aux_sym__keyword_when_token1] = ACTIONS(1492),
    [aux_sym__keyword_else_token1] = ACTIONS(1494),
    [aux_sym__keyword_is_token1] = ACTIONS(1492),
    [aux_sym__keyword_in_token1] = ACTIONS(1494),
    [aux_sym__keyword_and_token1] = ACTIONS(1492),
    [aux_sym__keyword_like_token1] = ACTIONS(1492),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1492),
    [aux_sym__keyword_as_token1] = ACTIONS(1494),
    [aux_sym__keyword_for_token1] = ACTIONS(1492),
    [anon_sym_SEMI] = ACTIONS(1492),
    [aux_sym_declare_statement_token1] = ACTIONS(1492),
    [anon_sym_COMMA] = ACTIONS(1492),
    [aux_sym_set_statement_token1] = ACTIONS(1492),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1492),
    [aux_sym_return_satement_token1] = ACTIONS(1492),
    [aux_sym_call_statement_token1] = ACTIONS(1492),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1492),
    [aux_sym_if_statement_token1] = ACTIONS(1492),
    [aux_sym_loop_statement_token1] = ACTIONS(1492),
    [aux_sym_repeat_statement_token1] = ACTIONS(1492),
    [aux_sym_while_statement_token1] = ACTIONS(1492),
    [aux_sym_break_statement_token1] = ACTIONS(1492),
    [aux_sym_leave_statement_token1] = ACTIONS(1492),
    [aux_sym_continue_statement_token1] = ACTIONS(1492),
    [aux_sym_iterate_statement_token1] = ACTIONS(1492),
    [aux_sym_raise_statement_token1] = ACTIONS(1492),
    [anon_sym_EQ] = ACTIONS(1492),
    [aux_sym_assert_statement_token1] = ACTIONS(1492),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1492),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1492),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1492),
    [aux_sym_option_clause_token1] = ACTIONS(1492),
    [anon_sym_LT] = ACTIONS(1494),
    [anon_sym_GT] = ACTIONS(1494),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1492),
    [aux_sym_select_token1] = ACTIONS(1492),
    [aux_sym_insert_statement_token1] = ACTIONS(1492),
    [aux_sym_truncate_statement_token1] = ACTIONS(1492),
    [aux_sym_update_statement_token1] = ACTIONS(1492),
    [aux_sym_merge_statement_token1] = ACTIONS(1492),
    [aux_sym_grant_statement_token1] = ACTIONS(1492),
    [aux_sym_revoke_statement_token1] = ACTIONS(1492),
    [aux_sym_export_data_statement_token1] = ACTIONS(1492),
    [aux_sym_load_data_statement_token1] = ACTIONS(1492),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_STAR] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1494),
    [anon_sym_PIPE_PIPE] = ACTIONS(1492),
    [anon_sym_LT_EQ] = ACTIONS(1492),
    [anon_sym_LT_GT] = ACTIONS(1492),
    [anon_sym_GT_EQ] = ACTIONS(1492),
    [anon_sym_BANG_EQ] = ACTIONS(1492),
    [anon_sym_LT_LT] = ACTIONS(1492),
    [anon_sym_GT_GT] = ACTIONS(1492),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_CARET] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1494),
  },
  [3673] = {
    [ts_builtin_sym_end] = ACTIONS(1858),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1858),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1858),
    [aux_sym_keyword_replace_token1] = ACTIONS(1858),
    [aux_sym__keyword_alter_token1] = ACTIONS(1858),
    [aux_sym__keyword_from_token1] = ACTIONS(1858),
    [aux_sym__keyword_delete_token1] = ACTIONS(1858),
    [aux_sym__keyword_begin_token1] = ACTIONS(1858),
    [aux_sym__keyword_end_token1] = ACTIONS(1858),
    [aux_sym__keyword_between_token1] = ACTIONS(1858),
    [aux_sym__keyword_when_token1] = ACTIONS(1858),
    [aux_sym__keyword_else_token1] = ACTIONS(1860),
    [aux_sym__keyword_is_token1] = ACTIONS(1858),
    [aux_sym__keyword_in_token1] = ACTIONS(1860),
    [aux_sym__keyword_and_token1] = ACTIONS(1858),
    [aux_sym__keyword_like_token1] = ACTIONS(1858),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1858),
    [aux_sym__keyword_as_token1] = ACTIONS(1860),
    [aux_sym__keyword_for_token1] = ACTIONS(1858),
    [anon_sym_SEMI] = ACTIONS(1858),
    [aux_sym_declare_statement_token1] = ACTIONS(1858),
    [anon_sym_COMMA] = ACTIONS(1858),
    [aux_sym_set_statement_token1] = ACTIONS(1858),
    [anon_sym_LPAREN] = ACTIONS(1858),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1858),
    [aux_sym_return_satement_token1] = ACTIONS(1858),
    [aux_sym_call_statement_token1] = ACTIONS(1858),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1858),
    [aux_sym_if_statement_token1] = ACTIONS(1858),
    [aux_sym_loop_statement_token1] = ACTIONS(1858),
    [aux_sym_repeat_statement_token1] = ACTIONS(1858),
    [aux_sym_while_statement_token1] = ACTIONS(1858),
    [aux_sym_break_statement_token1] = ACTIONS(1858),
    [aux_sym_leave_statement_token1] = ACTIONS(1858),
    [aux_sym_continue_statement_token1] = ACTIONS(1858),
    [aux_sym_iterate_statement_token1] = ACTIONS(1858),
    [aux_sym_raise_statement_token1] = ACTIONS(1858),
    [anon_sym_EQ] = ACTIONS(1858),
    [aux_sym_assert_statement_token1] = ACTIONS(1858),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1858),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1858),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1858),
    [aux_sym_option_clause_token1] = ACTIONS(1858),
    [anon_sym_LT] = ACTIONS(1860),
    [anon_sym_GT] = ACTIONS(1860),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1858),
    [aux_sym_select_token1] = ACTIONS(1858),
    [aux_sym_insert_statement_token1] = ACTIONS(1858),
    [aux_sym_truncate_statement_token1] = ACTIONS(1858),
    [aux_sym_update_statement_token1] = ACTIONS(1858),
    [aux_sym_merge_statement_token1] = ACTIONS(1858),
    [aux_sym_grant_statement_token1] = ACTIONS(1858),
    [aux_sym_revoke_statement_token1] = ACTIONS(1858),
    [aux_sym_export_data_statement_token1] = ACTIONS(1858),
    [aux_sym_load_data_statement_token1] = ACTIONS(1858),
    [anon_sym_LBRACK] = ACTIONS(1858),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1858),
    [anon_sym_PLUS] = ACTIONS(1858),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_PIPE_PIPE] = ACTIONS(1858),
    [anon_sym_LT_EQ] = ACTIONS(1858),
    [anon_sym_LT_GT] = ACTIONS(1858),
    [anon_sym_GT_EQ] = ACTIONS(1858),
    [anon_sym_BANG_EQ] = ACTIONS(1858),
    [anon_sym_LT_LT] = ACTIONS(1858),
    [anon_sym_GT_GT] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym_CARET] = ACTIONS(1858),
    [anon_sym_PIPE] = ACTIONS(1860),
  },
  [3674] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_from_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [aux_sym_option_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1364),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3675] = {
    [sym__keyword_between] = STATE(1451),
    [sym__keyword_is] = STATE(12153),
    [sym__keyword_in] = STATE(876),
    [sym__keyword_not] = STATE(13044),
    [sym__keyword_and] = STATE(885),
    [sym__keyword_or] = STATE(887),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(1031),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1031),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1031),
    [aux_sym_keyword_replace_token1] = ACTIONS(1031),
    [aux_sym__keyword_alter_token1] = ACTIONS(1031),
    [aux_sym__keyword_delete_token1] = ACTIONS(1031),
    [aux_sym__keyword_begin_token1] = ACTIONS(1031),
    [aux_sym__keyword_between_token1] = ACTIONS(1031),
    [aux_sym__keyword_is_token1] = ACTIONS(1031),
    [aux_sym__keyword_in_token1] = ACTIONS(1033),
    [aux_sym__keyword_and_token1] = ACTIONS(1031),
    [aux_sym__keyword_like_token1] = ACTIONS(1031),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1031),
    [aux_sym__keyword_for_token1] = ACTIONS(1031),
    [anon_sym_SEMI] = ACTIONS(1031),
    [aux_sym_declare_statement_token1] = ACTIONS(1031),
    [anon_sym_COMMA] = ACTIONS(1031),
    [aux_sym_set_statement_token1] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1031),
    [aux_sym_return_satement_token1] = ACTIONS(1031),
    [aux_sym_call_statement_token1] = ACTIONS(1031),
    [aux_sym_loop_statement_token1] = ACTIONS(1031),
    [aux_sym_while_statement_token1] = ACTIONS(1031),
    [aux_sym_break_statement_token1] = ACTIONS(1031),
    [aux_sym_leave_statement_token1] = ACTIONS(1031),
    [aux_sym_continue_statement_token1] = ACTIONS(1031),
    [aux_sym_iterate_statement_token1] = ACTIONS(1031),
    [aux_sym_raise_statement_token1] = ACTIONS(1031),
    [anon_sym_EQ] = ACTIONS(1031),
    [aux_sym_assert_statement_token1] = ACTIONS(1031),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1031),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1031),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1031),
    [aux_sym_option_clause_token1] = ACTIONS(1031),
    [anon_sym_LT] = ACTIONS(1033),
    [anon_sym_GT] = ACTIONS(1033),
    [aux_sym_select_token1] = ACTIONS(1031),
    [aux_sym_insert_statement_token1] = ACTIONS(1031),
    [aux_sym_truncate_statement_token1] = ACTIONS(1031),
    [aux_sym_update_statement_token1] = ACTIONS(1031),
    [aux_sym_merge_statement_token1] = ACTIONS(1031),
    [aux_sym_grant_statement_token1] = ACTIONS(1031),
    [aux_sym_revoke_statement_token1] = ACTIONS(1031),
    [aux_sym_export_data_statement_token1] = ACTIONS(1031),
    [aux_sym_load_data_statement_token1] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1031),
    [anon_sym_PLUS] = ACTIONS(3286),
    [anon_sym_DASH] = ACTIONS(3288),
    [anon_sym_STAR] = ACTIONS(3290),
    [anon_sym_SLASH] = ACTIONS(3292),
    [anon_sym_PIPE_PIPE] = ACTIONS(3290),
    [anon_sym_LT_EQ] = ACTIONS(1031),
    [anon_sym_LT_GT] = ACTIONS(1031),
    [anon_sym_GT_EQ] = ACTIONS(1031),
    [anon_sym_BANG_EQ] = ACTIONS(1031),
    [anon_sym_LT_LT] = ACTIONS(3294),
    [anon_sym_GT_GT] = ACTIONS(3294),
    [anon_sym_AMP] = ACTIONS(3296),
    [anon_sym_CARET] = ACTIONS(3298),
    [anon_sym_PIPE] = ACTIONS(3300),
  },
  [3676] = {
    [sym__keyword_between] = STATE(1451),
    [sym__keyword_is] = STATE(12153),
    [sym__keyword_in] = STATE(876),
    [sym__keyword_not] = STATE(13044),
    [sym__keyword_and] = STATE(885),
    [sym__keyword_or] = STATE(887),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(1035),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1035),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1035),
    [aux_sym_keyword_replace_token1] = ACTIONS(1035),
    [aux_sym__keyword_alter_token1] = ACTIONS(1035),
    [aux_sym__keyword_delete_token1] = ACTIONS(1035),
    [aux_sym__keyword_begin_token1] = ACTIONS(1035),
    [aux_sym__keyword_between_token1] = ACTIONS(1035),
    [aux_sym__keyword_is_token1] = ACTIONS(1035),
    [aux_sym__keyword_in_token1] = ACTIONS(1037),
    [aux_sym__keyword_and_token1] = ACTIONS(1035),
    [aux_sym__keyword_like_token1] = ACTIONS(1035),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1035),
    [aux_sym__keyword_for_token1] = ACTIONS(1035),
    [anon_sym_SEMI] = ACTIONS(1035),
    [aux_sym_declare_statement_token1] = ACTIONS(1035),
    [anon_sym_COMMA] = ACTIONS(1035),
    [aux_sym_set_statement_token1] = ACTIONS(1035),
    [anon_sym_LPAREN] = ACTIONS(1035),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1035),
    [aux_sym_return_satement_token1] = ACTIONS(1035),
    [aux_sym_call_statement_token1] = ACTIONS(1035),
    [aux_sym_loop_statement_token1] = ACTIONS(1035),
    [aux_sym_while_statement_token1] = ACTIONS(1035),
    [aux_sym_break_statement_token1] = ACTIONS(1035),
    [aux_sym_leave_statement_token1] = ACTIONS(1035),
    [aux_sym_continue_statement_token1] = ACTIONS(1035),
    [aux_sym_iterate_statement_token1] = ACTIONS(1035),
    [aux_sym_raise_statement_token1] = ACTIONS(1035),
    [anon_sym_EQ] = ACTIONS(1035),
    [aux_sym_assert_statement_token1] = ACTIONS(1035),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1035),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1035),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1035),
    [aux_sym_option_clause_token1] = ACTIONS(1035),
    [anon_sym_LT] = ACTIONS(1037),
    [anon_sym_GT] = ACTIONS(1037),
    [aux_sym_select_token1] = ACTIONS(1035),
    [aux_sym_insert_statement_token1] = ACTIONS(1035),
    [aux_sym_truncate_statement_token1] = ACTIONS(1035),
    [aux_sym_update_statement_token1] = ACTIONS(1035),
    [aux_sym_merge_statement_token1] = ACTIONS(1035),
    [aux_sym_grant_statement_token1] = ACTIONS(1035),
    [aux_sym_revoke_statement_token1] = ACTIONS(1035),
    [aux_sym_export_data_statement_token1] = ACTIONS(1035),
    [aux_sym_load_data_statement_token1] = ACTIONS(1035),
    [anon_sym_LBRACK] = ACTIONS(1035),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1035),
    [anon_sym_PLUS] = ACTIONS(3286),
    [anon_sym_DASH] = ACTIONS(3288),
    [anon_sym_STAR] = ACTIONS(3290),
    [anon_sym_SLASH] = ACTIONS(3292),
    [anon_sym_PIPE_PIPE] = ACTIONS(3290),
    [anon_sym_LT_EQ] = ACTIONS(1035),
    [anon_sym_LT_GT] = ACTIONS(1035),
    [anon_sym_GT_EQ] = ACTIONS(1035),
    [anon_sym_BANG_EQ] = ACTIONS(1035),
    [anon_sym_LT_LT] = ACTIONS(3294),
    [anon_sym_GT_GT] = ACTIONS(3294),
    [anon_sym_AMP] = ACTIONS(3296),
    [anon_sym_CARET] = ACTIONS(3298),
    [anon_sym_PIPE] = ACTIONS(3300),
  },
  [3677] = {
    [sym__keyword_between] = STATE(1451),
    [sym__keyword_is] = STATE(12153),
    [sym__keyword_in] = STATE(876),
    [sym__keyword_not] = STATE(13044),
    [sym__keyword_and] = STATE(885),
    [sym__keyword_or] = STATE(887),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(1039),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1039),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1039),
    [aux_sym_keyword_replace_token1] = ACTIONS(1039),
    [aux_sym__keyword_alter_token1] = ACTIONS(1039),
    [aux_sym__keyword_delete_token1] = ACTIONS(1039),
    [aux_sym__keyword_begin_token1] = ACTIONS(1039),
    [aux_sym__keyword_between_token1] = ACTIONS(1039),
    [aux_sym__keyword_is_token1] = ACTIONS(1039),
    [aux_sym__keyword_in_token1] = ACTIONS(1041),
    [aux_sym__keyword_and_token1] = ACTIONS(1039),
    [aux_sym__keyword_like_token1] = ACTIONS(1039),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1039),
    [aux_sym__keyword_for_token1] = ACTIONS(1039),
    [anon_sym_SEMI] = ACTIONS(1039),
    [aux_sym_declare_statement_token1] = ACTIONS(1039),
    [anon_sym_COMMA] = ACTIONS(1039),
    [aux_sym_set_statement_token1] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(1039),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1039),
    [aux_sym_return_satement_token1] = ACTIONS(1039),
    [aux_sym_call_statement_token1] = ACTIONS(1039),
    [aux_sym_loop_statement_token1] = ACTIONS(1039),
    [aux_sym_while_statement_token1] = ACTIONS(1039),
    [aux_sym_break_statement_token1] = ACTIONS(1039),
    [aux_sym_leave_statement_token1] = ACTIONS(1039),
    [aux_sym_continue_statement_token1] = ACTIONS(1039),
    [aux_sym_iterate_statement_token1] = ACTIONS(1039),
    [aux_sym_raise_statement_token1] = ACTIONS(1039),
    [anon_sym_EQ] = ACTIONS(1039),
    [aux_sym_assert_statement_token1] = ACTIONS(1039),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1039),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1039),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1039),
    [aux_sym_option_clause_token1] = ACTIONS(1039),
    [anon_sym_LT] = ACTIONS(1041),
    [anon_sym_GT] = ACTIONS(1041),
    [aux_sym_select_token1] = ACTIONS(1039),
    [aux_sym_insert_statement_token1] = ACTIONS(1039),
    [aux_sym_truncate_statement_token1] = ACTIONS(1039),
    [aux_sym_update_statement_token1] = ACTIONS(1039),
    [aux_sym_merge_statement_token1] = ACTIONS(1039),
    [aux_sym_grant_statement_token1] = ACTIONS(1039),
    [aux_sym_revoke_statement_token1] = ACTIONS(1039),
    [aux_sym_export_data_statement_token1] = ACTIONS(1039),
    [aux_sym_load_data_statement_token1] = ACTIONS(1039),
    [anon_sym_LBRACK] = ACTIONS(1039),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1039),
    [anon_sym_PLUS] = ACTIONS(3286),
    [anon_sym_DASH] = ACTIONS(3288),
    [anon_sym_STAR] = ACTIONS(3290),
    [anon_sym_SLASH] = ACTIONS(3292),
    [anon_sym_PIPE_PIPE] = ACTIONS(3290),
    [anon_sym_LT_EQ] = ACTIONS(1039),
    [anon_sym_LT_GT] = ACTIONS(1039),
    [anon_sym_GT_EQ] = ACTIONS(1039),
    [anon_sym_BANG_EQ] = ACTIONS(1039),
    [anon_sym_LT_LT] = ACTIONS(3294),
    [anon_sym_GT_GT] = ACTIONS(3294),
    [anon_sym_AMP] = ACTIONS(3296),
    [anon_sym_CARET] = ACTIONS(3298),
    [anon_sym_PIPE] = ACTIONS(3300),
  },
  [3678] = {
    [sym__keyword_between] = STATE(1451),
    [sym__keyword_is] = STATE(12153),
    [sym__keyword_in] = STATE(876),
    [sym__keyword_not] = STATE(13044),
    [sym__keyword_and] = STATE(885),
    [sym__keyword_or] = STATE(887),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(3276),
    [aux_sym__keyword_is_token1] = ACTIONS(3278),
    [aux_sym__keyword_in_token1] = ACTIONS(3280),
    [aux_sym__keyword_and_token1] = ACTIONS(3282),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(3284),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [aux_sym_option_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(3280),
    [anon_sym_GT] = ACTIONS(3280),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3286),
    [anon_sym_DASH] = ACTIONS(3288),
    [anon_sym_STAR] = ACTIONS(3290),
    [anon_sym_SLASH] = ACTIONS(3292),
    [anon_sym_PIPE_PIPE] = ACTIONS(3290),
    [anon_sym_LT_EQ] = ACTIONS(3284),
    [anon_sym_LT_GT] = ACTIONS(3284),
    [anon_sym_GT_EQ] = ACTIONS(3284),
    [anon_sym_BANG_EQ] = ACTIONS(3284),
    [anon_sym_LT_LT] = ACTIONS(3294),
    [anon_sym_GT_GT] = ACTIONS(3294),
    [anon_sym_AMP] = ACTIONS(3296),
    [anon_sym_CARET] = ACTIONS(3298),
    [anon_sym_PIPE] = ACTIONS(3300),
  },
  [3679] = {
    [sym__keyword_between] = STATE(1715),
    [sym__keyword_is] = STATE(12049),
    [sym__keyword_in] = STATE(1507),
    [sym__keyword_not] = STATE(13030),
    [sym__keyword_and] = STATE(1487),
    [sym__keyword_or] = STATE(1484),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16082),
    [sym_quantitve_like_operator] = STATE(16084),
    [ts_builtin_sym_end] = ACTIONS(1031),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1031),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1031),
    [aux_sym_keyword_replace_token1] = ACTIONS(1031),
    [aux_sym__keyword_alter_token1] = ACTIONS(1031),
    [aux_sym__keyword_delete_token1] = ACTIONS(1031),
    [aux_sym__keyword_begin_token1] = ACTIONS(1031),
    [aux_sym__keyword_between_token1] = ACTIONS(1031),
    [aux_sym__keyword_is_token1] = ACTIONS(1031),
    [aux_sym__keyword_in_token1] = ACTIONS(1033),
    [aux_sym__keyword_and_token1] = ACTIONS(1031),
    [aux_sym__keyword_like_token1] = ACTIONS(1031),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1031),
    [aux_sym__keyword_for_token1] = ACTIONS(1031),
    [anon_sym_SEMI] = ACTIONS(1031),
    [aux_sym_declare_statement_token1] = ACTIONS(1031),
    [aux_sym_set_statement_token1] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1031),
    [aux_sym_into_clause_token1] = ACTIONS(1031),
    [aux_sym_using_clause_token1] = ACTIONS(1031),
    [aux_sym_return_satement_token1] = ACTIONS(1031),
    [aux_sym_call_statement_token1] = ACTIONS(1031),
    [aux_sym_loop_statement_token1] = ACTIONS(1031),
    [aux_sym_while_statement_token1] = ACTIONS(1031),
    [aux_sym_break_statement_token1] = ACTIONS(1031),
    [aux_sym_leave_statement_token1] = ACTIONS(1031),
    [aux_sym_continue_statement_token1] = ACTIONS(1031),
    [aux_sym_iterate_statement_token1] = ACTIONS(1031),
    [aux_sym_raise_statement_token1] = ACTIONS(1031),
    [anon_sym_EQ] = ACTIONS(1031),
    [aux_sym_assert_statement_token1] = ACTIONS(1031),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1031),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1031),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1031),
    [anon_sym_LT] = ACTIONS(1033),
    [anon_sym_GT] = ACTIONS(1033),
    [aux_sym_select_token1] = ACTIONS(1031),
    [aux_sym_insert_statement_token1] = ACTIONS(1031),
    [aux_sym_truncate_statement_token1] = ACTIONS(1031),
    [aux_sym_update_statement_token1] = ACTIONS(1031),
    [aux_sym_merge_statement_token1] = ACTIONS(1031),
    [aux_sym_grant_statement_token1] = ACTIONS(1031),
    [aux_sym_revoke_statement_token1] = ACTIONS(1031),
    [aux_sym_export_data_statement_token1] = ACTIONS(1031),
    [aux_sym_load_data_statement_token1] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1031),
    [anon_sym_PLUS] = ACTIONS(3222),
    [anon_sym_DASH] = ACTIONS(3224),
    [anon_sym_STAR] = ACTIONS(3226),
    [anon_sym_SLASH] = ACTIONS(3228),
    [anon_sym_PIPE_PIPE] = ACTIONS(3226),
    [anon_sym_LT_EQ] = ACTIONS(1031),
    [anon_sym_LT_GT] = ACTIONS(1031),
    [anon_sym_GT_EQ] = ACTIONS(1031),
    [anon_sym_BANG_EQ] = ACTIONS(1031),
    [anon_sym_LT_LT] = ACTIONS(3230),
    [anon_sym_GT_GT] = ACTIONS(3230),
    [anon_sym_AMP] = ACTIONS(3232),
    [anon_sym_CARET] = ACTIONS(3234),
    [anon_sym_PIPE] = ACTIONS(3236),
  },
  [3680] = {
    [sym__keyword_between] = STATE(1451),
    [sym__keyword_is] = STATE(12153),
    [sym__keyword_in] = STATE(876),
    [sym__keyword_not] = STATE(13044),
    [sym__keyword_and] = STATE(885),
    [sym__keyword_or] = STATE(887),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(3276),
    [aux_sym__keyword_is_token1] = ACTIONS(3278),
    [aux_sym__keyword_in_token1] = ACTIONS(3280),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(3284),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [aux_sym_option_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(3280),
    [anon_sym_GT] = ACTIONS(3280),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3286),
    [anon_sym_DASH] = ACTIONS(3288),
    [anon_sym_STAR] = ACTIONS(3290),
    [anon_sym_SLASH] = ACTIONS(3292),
    [anon_sym_PIPE_PIPE] = ACTIONS(3290),
    [anon_sym_LT_EQ] = ACTIONS(3284),
    [anon_sym_LT_GT] = ACTIONS(3284),
    [anon_sym_GT_EQ] = ACTIONS(3284),
    [anon_sym_BANG_EQ] = ACTIONS(3284),
    [anon_sym_LT_LT] = ACTIONS(3294),
    [anon_sym_GT_GT] = ACTIONS(3294),
    [anon_sym_AMP] = ACTIONS(3296),
    [anon_sym_CARET] = ACTIONS(3298),
    [anon_sym_PIPE] = ACTIONS(3300),
  },
  [3681] = {
    [sym__keyword_between] = STATE(1451),
    [sym__keyword_is] = STATE(12153),
    [sym__keyword_in] = STATE(876),
    [sym__keyword_not] = STATE(13044),
    [sym__keyword_and] = STATE(885),
    [sym__keyword_or] = STATE(887),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [aux_sym_option_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3286),
    [anon_sym_DASH] = ACTIONS(3288),
    [anon_sym_STAR] = ACTIONS(3290),
    [anon_sym_SLASH] = ACTIONS(3292),
    [anon_sym_PIPE_PIPE] = ACTIONS(3290),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(3294),
    [anon_sym_GT_GT] = ACTIONS(3294),
    [anon_sym_AMP] = ACTIONS(3296),
    [anon_sym_CARET] = ACTIONS(3298),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [3682] = {
    [sym__keyword_between] = STATE(1451),
    [sym__keyword_is] = STATE(12153),
    [sym__keyword_in] = STATE(876),
    [sym__keyword_not] = STATE(13044),
    [sym__keyword_and] = STATE(885),
    [sym__keyword_or] = STATE(887),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [aux_sym_option_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3286),
    [anon_sym_DASH] = ACTIONS(3288),
    [anon_sym_STAR] = ACTIONS(3290),
    [anon_sym_SLASH] = ACTIONS(3292),
    [anon_sym_PIPE_PIPE] = ACTIONS(3290),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(3294),
    [anon_sym_GT_GT] = ACTIONS(3294),
    [anon_sym_AMP] = ACTIONS(3296),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [3683] = {
    [sym__keyword_between] = STATE(1451),
    [sym__keyword_is] = STATE(12153),
    [sym__keyword_in] = STATE(876),
    [sym__keyword_not] = STATE(13044),
    [sym__keyword_and] = STATE(885),
    [sym__keyword_or] = STATE(887),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(1023),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1023),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1023),
    [aux_sym_keyword_replace_token1] = ACTIONS(1023),
    [aux_sym__keyword_alter_token1] = ACTIONS(1023),
    [aux_sym__keyword_delete_token1] = ACTIONS(1023),
    [aux_sym__keyword_begin_token1] = ACTIONS(1023),
    [aux_sym__keyword_between_token1] = ACTIONS(1023),
    [aux_sym__keyword_is_token1] = ACTIONS(1023),
    [aux_sym__keyword_in_token1] = ACTIONS(1025),
    [aux_sym__keyword_and_token1] = ACTIONS(1023),
    [aux_sym__keyword_like_token1] = ACTIONS(1023),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1023),
    [aux_sym__keyword_for_token1] = ACTIONS(1023),
    [anon_sym_SEMI] = ACTIONS(1023),
    [aux_sym_declare_statement_token1] = ACTIONS(1023),
    [anon_sym_COMMA] = ACTIONS(1023),
    [aux_sym_set_statement_token1] = ACTIONS(1023),
    [anon_sym_LPAREN] = ACTIONS(1023),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1023),
    [aux_sym_return_satement_token1] = ACTIONS(1023),
    [aux_sym_call_statement_token1] = ACTIONS(1023),
    [aux_sym_loop_statement_token1] = ACTIONS(1023),
    [aux_sym_while_statement_token1] = ACTIONS(1023),
    [aux_sym_break_statement_token1] = ACTIONS(1023),
    [aux_sym_leave_statement_token1] = ACTIONS(1023),
    [aux_sym_continue_statement_token1] = ACTIONS(1023),
    [aux_sym_iterate_statement_token1] = ACTIONS(1023),
    [aux_sym_raise_statement_token1] = ACTIONS(1023),
    [anon_sym_EQ] = ACTIONS(1023),
    [aux_sym_assert_statement_token1] = ACTIONS(1023),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1023),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1023),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1023),
    [aux_sym_option_clause_token1] = ACTIONS(1023),
    [anon_sym_LT] = ACTIONS(1025),
    [anon_sym_GT] = ACTIONS(1025),
    [aux_sym_select_token1] = ACTIONS(1023),
    [aux_sym_insert_statement_token1] = ACTIONS(1023),
    [aux_sym_truncate_statement_token1] = ACTIONS(1023),
    [aux_sym_update_statement_token1] = ACTIONS(1023),
    [aux_sym_merge_statement_token1] = ACTIONS(1023),
    [aux_sym_grant_statement_token1] = ACTIONS(1023),
    [aux_sym_revoke_statement_token1] = ACTIONS(1023),
    [aux_sym_export_data_statement_token1] = ACTIONS(1023),
    [aux_sym_load_data_statement_token1] = ACTIONS(1023),
    [anon_sym_LBRACK] = ACTIONS(1023),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1023),
    [anon_sym_PLUS] = ACTIONS(3286),
    [anon_sym_DASH] = ACTIONS(3288),
    [anon_sym_STAR] = ACTIONS(3290),
    [anon_sym_SLASH] = ACTIONS(3292),
    [anon_sym_PIPE_PIPE] = ACTIONS(3290),
    [anon_sym_LT_EQ] = ACTIONS(1023),
    [anon_sym_LT_GT] = ACTIONS(1023),
    [anon_sym_GT_EQ] = ACTIONS(1023),
    [anon_sym_BANG_EQ] = ACTIONS(1023),
    [anon_sym_LT_LT] = ACTIONS(3294),
    [anon_sym_GT_GT] = ACTIONS(3294),
    [anon_sym_AMP] = ACTIONS(3296),
    [anon_sym_CARET] = ACTIONS(3298),
    [anon_sym_PIPE] = ACTIONS(3300),
  },
  [3684] = {
    [sym_analytics_clause] = STATE(3672),
    [ts_builtin_sym_end] = ACTIONS(1402),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1402),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1402),
    [aux_sym_keyword_replace_token1] = ACTIONS(1402),
    [aux_sym__keyword_alter_token1] = ACTIONS(1402),
    [aux_sym__keyword_delete_token1] = ACTIONS(1402),
    [aux_sym__keyword_begin_token1] = ACTIONS(1402),
    [aux_sym__keyword_end_token1] = ACTIONS(1402),
    [aux_sym__keyword_between_token1] = ACTIONS(1402),
    [aux_sym__keyword_when_token1] = ACTIONS(1402),
    [aux_sym__keyword_else_token1] = ACTIONS(1404),
    [aux_sym__keyword_is_token1] = ACTIONS(1402),
    [aux_sym__keyword_in_token1] = ACTIONS(1404),
    [aux_sym__keyword_and_token1] = ACTIONS(1402),
    [aux_sym__keyword_like_token1] = ACTIONS(1402),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1402),
    [aux_sym__keyword_as_token1] = ACTIONS(1404),
    [aux_sym__keyword_for_token1] = ACTIONS(1402),
    [anon_sym_SEMI] = ACTIONS(1402),
    [aux_sym_declare_statement_token1] = ACTIONS(1402),
    [anon_sym_COMMA] = ACTIONS(1402),
    [aux_sym_set_statement_token1] = ACTIONS(1402),
    [anon_sym_LPAREN] = ACTIONS(1402),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1402),
    [aux_sym_return_satement_token1] = ACTIONS(1402),
    [aux_sym_call_statement_token1] = ACTIONS(1402),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1402),
    [aux_sym_if_statement_token1] = ACTIONS(1402),
    [aux_sym_loop_statement_token1] = ACTIONS(1402),
    [aux_sym_repeat_statement_token1] = ACTIONS(1402),
    [aux_sym_while_statement_token1] = ACTIONS(1402),
    [aux_sym_break_statement_token1] = ACTIONS(1402),
    [aux_sym_leave_statement_token1] = ACTIONS(1402),
    [aux_sym_continue_statement_token1] = ACTIONS(1402),
    [aux_sym_iterate_statement_token1] = ACTIONS(1402),
    [aux_sym_raise_statement_token1] = ACTIONS(1402),
    [anon_sym_EQ] = ACTIONS(1402),
    [aux_sym_assert_statement_token1] = ACTIONS(1402),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1402),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1402),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1402),
    [aux_sym_option_clause_token1] = ACTIONS(1402),
    [anon_sym_LT] = ACTIONS(1404),
    [anon_sym_GT] = ACTIONS(1404),
    [aux_sym_select_token1] = ACTIONS(1402),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1402),
    [aux_sym_truncate_statement_token1] = ACTIONS(1402),
    [aux_sym_update_statement_token1] = ACTIONS(1402),
    [aux_sym_merge_statement_token1] = ACTIONS(1402),
    [aux_sym_grant_statement_token1] = ACTIONS(1402),
    [aux_sym_revoke_statement_token1] = ACTIONS(1402),
    [aux_sym_export_data_statement_token1] = ACTIONS(1402),
    [aux_sym_load_data_statement_token1] = ACTIONS(1402),
    [anon_sym_LBRACK] = ACTIONS(1402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1402),
    [anon_sym_DASH] = ACTIONS(1404),
    [anon_sym_STAR] = ACTIONS(1402),
    [anon_sym_SLASH] = ACTIONS(1404),
    [anon_sym_PIPE_PIPE] = ACTIONS(1402),
    [anon_sym_LT_EQ] = ACTIONS(1402),
    [anon_sym_LT_GT] = ACTIONS(1402),
    [anon_sym_GT_EQ] = ACTIONS(1402),
    [anon_sym_BANG_EQ] = ACTIONS(1402),
    [anon_sym_LT_LT] = ACTIONS(1402),
    [anon_sym_GT_GT] = ACTIONS(1402),
    [anon_sym_AMP] = ACTIONS(1402),
    [anon_sym_CARET] = ACTIONS(1402),
    [anon_sym_PIPE] = ACTIONS(1404),
  },
  [3685] = {
    [sym__keyword_between] = STATE(1715),
    [sym__keyword_is] = STATE(12049),
    [sym__keyword_in] = STATE(1507),
    [sym__keyword_not] = STATE(13030),
    [sym__keyword_and] = STATE(1487),
    [sym__keyword_or] = STATE(1484),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16082),
    [sym_quantitve_like_operator] = STATE(16084),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_into_clause_token1] = ACTIONS(917),
    [aux_sym_using_clause_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3222),
    [anon_sym_DASH] = ACTIONS(3224),
    [anon_sym_STAR] = ACTIONS(3226),
    [anon_sym_SLASH] = ACTIONS(3228),
    [anon_sym_PIPE_PIPE] = ACTIONS(3226),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(3230),
    [anon_sym_GT_GT] = ACTIONS(3230),
    [anon_sym_AMP] = ACTIONS(3232),
    [anon_sym_CARET] = ACTIONS(3234),
    [anon_sym_PIPE] = ACTIONS(3236),
  },
  [3686] = {
    [ts_builtin_sym_end] = ACTIONS(1826),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1826),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1826),
    [aux_sym_keyword_replace_token1] = ACTIONS(1826),
    [aux_sym__keyword_alter_token1] = ACTIONS(1826),
    [aux_sym__keyword_from_token1] = ACTIONS(1826),
    [aux_sym__keyword_delete_token1] = ACTIONS(1826),
    [aux_sym__keyword_begin_token1] = ACTIONS(1826),
    [aux_sym__keyword_end_token1] = ACTIONS(1826),
    [aux_sym__keyword_between_token1] = ACTIONS(1826),
    [aux_sym__keyword_when_token1] = ACTIONS(1826),
    [aux_sym__keyword_else_token1] = ACTIONS(1828),
    [aux_sym__keyword_is_token1] = ACTIONS(1826),
    [aux_sym__keyword_in_token1] = ACTIONS(1828),
    [aux_sym__keyword_and_token1] = ACTIONS(1826),
    [aux_sym__keyword_like_token1] = ACTIONS(1826),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1826),
    [aux_sym__keyword_as_token1] = ACTIONS(1828),
    [aux_sym__keyword_for_token1] = ACTIONS(1826),
    [anon_sym_SEMI] = ACTIONS(1826),
    [aux_sym_declare_statement_token1] = ACTIONS(1826),
    [anon_sym_COMMA] = ACTIONS(1826),
    [aux_sym_set_statement_token1] = ACTIONS(1826),
    [anon_sym_LPAREN] = ACTIONS(1826),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1826),
    [aux_sym_return_satement_token1] = ACTIONS(1826),
    [aux_sym_call_statement_token1] = ACTIONS(1826),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1826),
    [aux_sym_if_statement_token1] = ACTIONS(1826),
    [aux_sym_loop_statement_token1] = ACTIONS(1826),
    [aux_sym_repeat_statement_token1] = ACTIONS(1826),
    [aux_sym_while_statement_token1] = ACTIONS(1826),
    [aux_sym_break_statement_token1] = ACTIONS(1826),
    [aux_sym_leave_statement_token1] = ACTIONS(1826),
    [aux_sym_continue_statement_token1] = ACTIONS(1826),
    [aux_sym_iterate_statement_token1] = ACTIONS(1826),
    [aux_sym_raise_statement_token1] = ACTIONS(1826),
    [anon_sym_EQ] = ACTIONS(1826),
    [aux_sym_assert_statement_token1] = ACTIONS(1826),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1826),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1826),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1826),
    [aux_sym_option_clause_token1] = ACTIONS(1826),
    [anon_sym_LT] = ACTIONS(1828),
    [anon_sym_GT] = ACTIONS(1828),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1826),
    [aux_sym_select_token1] = ACTIONS(1826),
    [aux_sym_insert_statement_token1] = ACTIONS(1826),
    [aux_sym_truncate_statement_token1] = ACTIONS(1826),
    [aux_sym_update_statement_token1] = ACTIONS(1826),
    [aux_sym_merge_statement_token1] = ACTIONS(1826),
    [aux_sym_grant_statement_token1] = ACTIONS(1826),
    [aux_sym_revoke_statement_token1] = ACTIONS(1826),
    [aux_sym_export_data_statement_token1] = ACTIONS(1826),
    [aux_sym_load_data_statement_token1] = ACTIONS(1826),
    [anon_sym_LBRACK] = ACTIONS(1826),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1826),
    [anon_sym_PLUS] = ACTIONS(1826),
    [anon_sym_DASH] = ACTIONS(1828),
    [anon_sym_STAR] = ACTIONS(1826),
    [anon_sym_SLASH] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE] = ACTIONS(1826),
    [anon_sym_LT_EQ] = ACTIONS(1826),
    [anon_sym_LT_GT] = ACTIONS(1826),
    [anon_sym_GT_EQ] = ACTIONS(1826),
    [anon_sym_BANG_EQ] = ACTIONS(1826),
    [anon_sym_LT_LT] = ACTIONS(1826),
    [anon_sym_GT_GT] = ACTIONS(1826),
    [anon_sym_AMP] = ACTIONS(1826),
    [anon_sym_CARET] = ACTIONS(1826),
    [anon_sym_PIPE] = ACTIONS(1828),
  },
  [3687] = {
    [sym__keyword_between] = STATE(1715),
    [sym__keyword_is] = STATE(12049),
    [sym__keyword_in] = STATE(1507),
    [sym__keyword_not] = STATE(13030),
    [sym__keyword_and] = STATE(1487),
    [sym__keyword_or] = STATE(1484),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16082),
    [sym_quantitve_like_operator] = STATE(16084),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_into_clause_token1] = ACTIONS(917),
    [aux_sym_using_clause_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(3226),
    [anon_sym_SLASH] = ACTIONS(3228),
    [anon_sym_PIPE_PIPE] = ACTIONS(3226),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [3688] = {
    [sym__keyword_between] = STATE(1451),
    [sym__keyword_is] = STATE(12153),
    [sym__keyword_in] = STATE(876),
    [sym__keyword_not] = STATE(13044),
    [sym__keyword_and] = STATE(885),
    [sym__keyword_or] = STATE(887),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [aux_sym_option_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3286),
    [anon_sym_DASH] = ACTIONS(3288),
    [anon_sym_STAR] = ACTIONS(3290),
    [anon_sym_SLASH] = ACTIONS(3292),
    [anon_sym_PIPE_PIPE] = ACTIONS(3290),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [3689] = {
    [sym__keyword_between] = STATE(1715),
    [sym__keyword_is] = STATE(12049),
    [sym__keyword_in] = STATE(1507),
    [sym__keyword_not] = STATE(13030),
    [sym__keyword_and] = STATE(1487),
    [sym__keyword_or] = STATE(1484),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16082),
    [sym_quantitve_like_operator] = STATE(16084),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_into_clause_token1] = ACTIONS(917),
    [aux_sym_using_clause_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3222),
    [anon_sym_DASH] = ACTIONS(3224),
    [anon_sym_STAR] = ACTIONS(3226),
    [anon_sym_SLASH] = ACTIONS(3228),
    [anon_sym_PIPE_PIPE] = ACTIONS(3226),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [3690] = {
    [ts_builtin_sym_end] = ACTIONS(1822),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1822),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1822),
    [aux_sym_keyword_replace_token1] = ACTIONS(1822),
    [aux_sym__keyword_alter_token1] = ACTIONS(1822),
    [aux_sym__keyword_from_token1] = ACTIONS(1822),
    [aux_sym__keyword_delete_token1] = ACTIONS(1822),
    [aux_sym__keyword_begin_token1] = ACTIONS(1822),
    [aux_sym__keyword_end_token1] = ACTIONS(1822),
    [aux_sym__keyword_between_token1] = ACTIONS(1822),
    [aux_sym__keyword_when_token1] = ACTIONS(1822),
    [aux_sym__keyword_else_token1] = ACTIONS(1824),
    [aux_sym__keyword_is_token1] = ACTIONS(1822),
    [aux_sym__keyword_in_token1] = ACTIONS(1824),
    [aux_sym__keyword_and_token1] = ACTIONS(1822),
    [aux_sym__keyword_like_token1] = ACTIONS(1822),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1822),
    [aux_sym__keyword_as_token1] = ACTIONS(1824),
    [aux_sym__keyword_for_token1] = ACTIONS(1822),
    [anon_sym_SEMI] = ACTIONS(1822),
    [aux_sym_declare_statement_token1] = ACTIONS(1822),
    [anon_sym_COMMA] = ACTIONS(1822),
    [aux_sym_set_statement_token1] = ACTIONS(1822),
    [anon_sym_LPAREN] = ACTIONS(1822),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1822),
    [aux_sym_return_satement_token1] = ACTIONS(1822),
    [aux_sym_call_statement_token1] = ACTIONS(1822),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1822),
    [aux_sym_if_statement_token1] = ACTIONS(1822),
    [aux_sym_loop_statement_token1] = ACTIONS(1822),
    [aux_sym_repeat_statement_token1] = ACTIONS(1822),
    [aux_sym_while_statement_token1] = ACTIONS(1822),
    [aux_sym_break_statement_token1] = ACTIONS(1822),
    [aux_sym_leave_statement_token1] = ACTIONS(1822),
    [aux_sym_continue_statement_token1] = ACTIONS(1822),
    [aux_sym_iterate_statement_token1] = ACTIONS(1822),
    [aux_sym_raise_statement_token1] = ACTIONS(1822),
    [anon_sym_EQ] = ACTIONS(1822),
    [aux_sym_assert_statement_token1] = ACTIONS(1822),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1822),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1822),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1822),
    [aux_sym_option_clause_token1] = ACTIONS(1822),
    [anon_sym_LT] = ACTIONS(1824),
    [anon_sym_GT] = ACTIONS(1824),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1822),
    [aux_sym_select_token1] = ACTIONS(1822),
    [aux_sym_insert_statement_token1] = ACTIONS(1822),
    [aux_sym_truncate_statement_token1] = ACTIONS(1822),
    [aux_sym_update_statement_token1] = ACTIONS(1822),
    [aux_sym_merge_statement_token1] = ACTIONS(1822),
    [aux_sym_grant_statement_token1] = ACTIONS(1822),
    [aux_sym_revoke_statement_token1] = ACTIONS(1822),
    [aux_sym_export_data_statement_token1] = ACTIONS(1822),
    [aux_sym_load_data_statement_token1] = ACTIONS(1822),
    [anon_sym_LBRACK] = ACTIONS(1822),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1822),
    [anon_sym_PLUS] = ACTIONS(1822),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_STAR] = ACTIONS(1822),
    [anon_sym_SLASH] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE] = ACTIONS(1822),
    [anon_sym_LT_EQ] = ACTIONS(1822),
    [anon_sym_LT_GT] = ACTIONS(1822),
    [anon_sym_GT_EQ] = ACTIONS(1822),
    [anon_sym_BANG_EQ] = ACTIONS(1822),
    [anon_sym_LT_LT] = ACTIONS(1822),
    [anon_sym_GT_GT] = ACTIONS(1822),
    [anon_sym_AMP] = ACTIONS(1822),
    [anon_sym_CARET] = ACTIONS(1822),
    [anon_sym_PIPE] = ACTIONS(1824),
  },
  [3691] = {
    [sym__keyword_between] = STATE(1715),
    [sym__keyword_is] = STATE(12049),
    [sym__keyword_in] = STATE(1507),
    [sym__keyword_not] = STATE(13030),
    [sym__keyword_and] = STATE(1487),
    [sym__keyword_or] = STATE(1484),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16082),
    [sym_quantitve_like_operator] = STATE(16084),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_into_clause_token1] = ACTIONS(917),
    [aux_sym_using_clause_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3222),
    [anon_sym_DASH] = ACTIONS(3224),
    [anon_sym_STAR] = ACTIONS(3226),
    [anon_sym_SLASH] = ACTIONS(3228),
    [anon_sym_PIPE_PIPE] = ACTIONS(3226),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(3230),
    [anon_sym_GT_GT] = ACTIONS(3230),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [3692] = {
    [sym__keyword_between] = STATE(1715),
    [sym__keyword_is] = STATE(12049),
    [sym__keyword_in] = STATE(1507),
    [sym__keyword_not] = STATE(13030),
    [sym__keyword_and] = STATE(1487),
    [sym__keyword_or] = STATE(1484),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16082),
    [sym_quantitve_like_operator] = STATE(16084),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_into_clause_token1] = ACTIONS(917),
    [aux_sym_using_clause_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3222),
    [anon_sym_DASH] = ACTIONS(3224),
    [anon_sym_STAR] = ACTIONS(3226),
    [anon_sym_SLASH] = ACTIONS(3228),
    [anon_sym_PIPE_PIPE] = ACTIONS(3226),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(3230),
    [anon_sym_GT_GT] = ACTIONS(3230),
    [anon_sym_AMP] = ACTIONS(3232),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [3693] = {
    [sym__keyword_between] = STATE(1715),
    [sym__keyword_is] = STATE(12049),
    [sym__keyword_in] = STATE(1507),
    [sym__keyword_not] = STATE(13030),
    [sym__keyword_and] = STATE(1487),
    [sym__keyword_or] = STATE(1484),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16082),
    [sym_quantitve_like_operator] = STATE(16084),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_into_clause_token1] = ACTIONS(917),
    [aux_sym_using_clause_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3222),
    [anon_sym_DASH] = ACTIONS(3224),
    [anon_sym_STAR] = ACTIONS(3226),
    [anon_sym_SLASH] = ACTIONS(3228),
    [anon_sym_PIPE_PIPE] = ACTIONS(3226),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(3230),
    [anon_sym_GT_GT] = ACTIONS(3230),
    [anon_sym_AMP] = ACTIONS(3232),
    [anon_sym_CARET] = ACTIONS(3234),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [3694] = {
    [sym__keyword_between] = STATE(1715),
    [sym__keyword_is] = STATE(12049),
    [sym__keyword_in] = STATE(1507),
    [sym__keyword_not] = STATE(13030),
    [sym__keyword_and] = STATE(1487),
    [sym__keyword_or] = STATE(1484),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16082),
    [sym_quantitve_like_operator] = STATE(16084),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(3208),
    [aux_sym__keyword_is_token1] = ACTIONS(3210),
    [aux_sym__keyword_in_token1] = ACTIONS(3212),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_into_clause_token1] = ACTIONS(917),
    [aux_sym_using_clause_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(3220),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(3212),
    [anon_sym_GT] = ACTIONS(3212),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3222),
    [anon_sym_DASH] = ACTIONS(3224),
    [anon_sym_STAR] = ACTIONS(3226),
    [anon_sym_SLASH] = ACTIONS(3228),
    [anon_sym_PIPE_PIPE] = ACTIONS(3226),
    [anon_sym_LT_EQ] = ACTIONS(3220),
    [anon_sym_LT_GT] = ACTIONS(3220),
    [anon_sym_GT_EQ] = ACTIONS(3220),
    [anon_sym_BANG_EQ] = ACTIONS(3220),
    [anon_sym_LT_LT] = ACTIONS(3230),
    [anon_sym_GT_GT] = ACTIONS(3230),
    [anon_sym_AMP] = ACTIONS(3232),
    [anon_sym_CARET] = ACTIONS(3234),
    [anon_sym_PIPE] = ACTIONS(3236),
  },
  [3695] = {
    [sym__keyword_between] = STATE(1715),
    [sym__keyword_is] = STATE(12049),
    [sym__keyword_in] = STATE(1507),
    [sym__keyword_not] = STATE(13030),
    [sym__keyword_and] = STATE(1487),
    [sym__keyword_or] = STATE(1484),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16082),
    [sym_quantitve_like_operator] = STATE(16084),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(3208),
    [aux_sym__keyword_is_token1] = ACTIONS(3210),
    [aux_sym__keyword_in_token1] = ACTIONS(3212),
    [aux_sym__keyword_and_token1] = ACTIONS(3214),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_into_clause_token1] = ACTIONS(917),
    [aux_sym_using_clause_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(3220),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(3212),
    [anon_sym_GT] = ACTIONS(3212),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3222),
    [anon_sym_DASH] = ACTIONS(3224),
    [anon_sym_STAR] = ACTIONS(3226),
    [anon_sym_SLASH] = ACTIONS(3228),
    [anon_sym_PIPE_PIPE] = ACTIONS(3226),
    [anon_sym_LT_EQ] = ACTIONS(3220),
    [anon_sym_LT_GT] = ACTIONS(3220),
    [anon_sym_GT_EQ] = ACTIONS(3220),
    [anon_sym_BANG_EQ] = ACTIONS(3220),
    [anon_sym_LT_LT] = ACTIONS(3230),
    [anon_sym_GT_GT] = ACTIONS(3230),
    [anon_sym_AMP] = ACTIONS(3232),
    [anon_sym_CARET] = ACTIONS(3234),
    [anon_sym_PIPE] = ACTIONS(3236),
  },
  [3696] = {
    [sym__keyword_between] = STATE(1451),
    [sym__keyword_is] = STATE(12153),
    [sym__keyword_in] = STATE(876),
    [sym__keyword_not] = STATE(13044),
    [sym__keyword_and] = STATE(885),
    [sym__keyword_or] = STATE(887),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [aux_sym_option_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(917),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PIPE_PIPE] = ACTIONS(917),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [3697] = {
    [sym__keyword_between] = STATE(1451),
    [sym__keyword_is] = STATE(12153),
    [sym__keyword_in] = STATE(876),
    [sym__keyword_not] = STATE(13044),
    [sym__keyword_and] = STATE(885),
    [sym__keyword_or] = STATE(887),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [aux_sym_option_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(3290),
    [anon_sym_SLASH] = ACTIONS(3292),
    [anon_sym_PIPE_PIPE] = ACTIONS(3290),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [3698] = {
    [ts_builtin_sym_end] = ACTIONS(1784),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1784),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1784),
    [aux_sym_keyword_replace_token1] = ACTIONS(1784),
    [aux_sym__keyword_alter_token1] = ACTIONS(1784),
    [aux_sym__keyword_from_token1] = ACTIONS(1784),
    [aux_sym__keyword_delete_token1] = ACTIONS(1784),
    [aux_sym__keyword_begin_token1] = ACTIONS(1784),
    [aux_sym__keyword_end_token1] = ACTIONS(1784),
    [aux_sym__keyword_between_token1] = ACTIONS(1784),
    [aux_sym__keyword_when_token1] = ACTIONS(1784),
    [aux_sym__keyword_else_token1] = ACTIONS(1786),
    [aux_sym__keyword_is_token1] = ACTIONS(1784),
    [aux_sym__keyword_in_token1] = ACTIONS(1786),
    [aux_sym__keyword_and_token1] = ACTIONS(1784),
    [aux_sym__keyword_like_token1] = ACTIONS(1784),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1784),
    [aux_sym__keyword_as_token1] = ACTIONS(1786),
    [aux_sym__keyword_for_token1] = ACTIONS(1784),
    [anon_sym_SEMI] = ACTIONS(1784),
    [aux_sym_declare_statement_token1] = ACTIONS(1784),
    [anon_sym_COMMA] = ACTIONS(1784),
    [aux_sym_set_statement_token1] = ACTIONS(1784),
    [anon_sym_LPAREN] = ACTIONS(1784),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1784),
    [aux_sym_return_satement_token1] = ACTIONS(1784),
    [aux_sym_call_statement_token1] = ACTIONS(1784),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1784),
    [aux_sym_if_statement_token1] = ACTIONS(1784),
    [aux_sym_loop_statement_token1] = ACTIONS(1784),
    [aux_sym_repeat_statement_token1] = ACTIONS(1784),
    [aux_sym_while_statement_token1] = ACTIONS(1784),
    [aux_sym_break_statement_token1] = ACTIONS(1784),
    [aux_sym_leave_statement_token1] = ACTIONS(1784),
    [aux_sym_continue_statement_token1] = ACTIONS(1784),
    [aux_sym_iterate_statement_token1] = ACTIONS(1784),
    [aux_sym_raise_statement_token1] = ACTIONS(1784),
    [anon_sym_EQ] = ACTIONS(1784),
    [aux_sym_assert_statement_token1] = ACTIONS(1784),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1784),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1784),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1784),
    [aux_sym_option_clause_token1] = ACTIONS(1784),
    [anon_sym_LT] = ACTIONS(1786),
    [anon_sym_GT] = ACTIONS(1786),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1784),
    [aux_sym_select_token1] = ACTIONS(1784),
    [aux_sym_insert_statement_token1] = ACTIONS(1784),
    [aux_sym_truncate_statement_token1] = ACTIONS(1784),
    [aux_sym_update_statement_token1] = ACTIONS(1784),
    [aux_sym_merge_statement_token1] = ACTIONS(1784),
    [aux_sym_grant_statement_token1] = ACTIONS(1784),
    [aux_sym_revoke_statement_token1] = ACTIONS(1784),
    [aux_sym_export_data_statement_token1] = ACTIONS(1784),
    [aux_sym_load_data_statement_token1] = ACTIONS(1784),
    [anon_sym_LBRACK] = ACTIONS(1784),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1784),
    [anon_sym_PLUS] = ACTIONS(1784),
    [anon_sym_DASH] = ACTIONS(1786),
    [anon_sym_STAR] = ACTIONS(1784),
    [anon_sym_SLASH] = ACTIONS(1786),
    [anon_sym_PIPE_PIPE] = ACTIONS(1784),
    [anon_sym_LT_EQ] = ACTIONS(1784),
    [anon_sym_LT_GT] = ACTIONS(1784),
    [anon_sym_GT_EQ] = ACTIONS(1784),
    [anon_sym_BANG_EQ] = ACTIONS(1784),
    [anon_sym_LT_LT] = ACTIONS(1784),
    [anon_sym_GT_GT] = ACTIONS(1784),
    [anon_sym_AMP] = ACTIONS(1784),
    [anon_sym_CARET] = ACTIONS(1784),
    [anon_sym_PIPE] = ACTIONS(1786),
  },
  [3699] = {
    [sym_string] = STATE(4407),
    [ts_builtin_sym_end] = ACTIONS(1508),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1508),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1508),
    [aux_sym_keyword_replace_token1] = ACTIONS(1508),
    [aux_sym__keyword_alter_token1] = ACTIONS(1508),
    [aux_sym__keyword_delete_token1] = ACTIONS(1508),
    [aux_sym__keyword_begin_token1] = ACTIONS(1508),
    [aux_sym__keyword_end_token1] = ACTIONS(1508),
    [aux_sym__keyword_between_token1] = ACTIONS(1508),
    [aux_sym__keyword_when_token1] = ACTIONS(1508),
    [aux_sym__keyword_else_token1] = ACTIONS(1510),
    [aux_sym__keyword_is_token1] = ACTIONS(1508),
    [aux_sym__keyword_in_token1] = ACTIONS(1510),
    [aux_sym__keyword_and_token1] = ACTIONS(1508),
    [aux_sym__keyword_like_token1] = ACTIONS(1508),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1508),
    [aux_sym__keyword_as_token1] = ACTIONS(1510),
    [aux_sym__keyword_for_token1] = ACTIONS(1508),
    [anon_sym_SEMI] = ACTIONS(1508),
    [aux_sym_declare_statement_token1] = ACTIONS(1508),
    [anon_sym_COMMA] = ACTIONS(1508),
    [aux_sym_set_statement_token1] = ACTIONS(1508),
    [anon_sym_LPAREN] = ACTIONS(1508),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1508),
    [aux_sym_return_satement_token1] = ACTIONS(1508),
    [aux_sym_call_statement_token1] = ACTIONS(1508),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1508),
    [aux_sym_if_statement_token1] = ACTIONS(1508),
    [aux_sym_loop_statement_token1] = ACTIONS(1508),
    [aux_sym_repeat_statement_token1] = ACTIONS(1508),
    [aux_sym_while_statement_token1] = ACTIONS(1508),
    [aux_sym_break_statement_token1] = ACTIONS(1508),
    [aux_sym_leave_statement_token1] = ACTIONS(1508),
    [aux_sym_continue_statement_token1] = ACTIONS(1508),
    [aux_sym_iterate_statement_token1] = ACTIONS(1508),
    [aux_sym_raise_statement_token1] = ACTIONS(1508),
    [anon_sym_EQ] = ACTIONS(1508),
    [aux_sym_assert_statement_token1] = ACTIONS(1508),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1508),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1508),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1508),
    [aux_sym_option_clause_token1] = ACTIONS(1508),
    [anon_sym_LT] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1510),
    [aux_sym_select_token1] = ACTIONS(1508),
    [aux_sym_insert_statement_token1] = ACTIONS(1508),
    [aux_sym_truncate_statement_token1] = ACTIONS(1508),
    [aux_sym_update_statement_token1] = ACTIONS(1508),
    [aux_sym_merge_statement_token1] = ACTIONS(1508),
    [aux_sym_grant_statement_token1] = ACTIONS(1508),
    [aux_sym_revoke_statement_token1] = ACTIONS(1508),
    [aux_sym_export_data_statement_token1] = ACTIONS(1508),
    [aux_sym_load_data_statement_token1] = ACTIONS(1508),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1508),
    [anon_sym_PLUS] = ACTIONS(1508),
    [anon_sym_DASH] = ACTIONS(1510),
    [anon_sym_STAR] = ACTIONS(1508),
    [anon_sym_SLASH] = ACTIONS(1510),
    [anon_sym_PIPE_PIPE] = ACTIONS(1508),
    [anon_sym_LT_EQ] = ACTIONS(1508),
    [anon_sym_LT_GT] = ACTIONS(1508),
    [anon_sym_GT_EQ] = ACTIONS(1508),
    [anon_sym_BANG_EQ] = ACTIONS(1508),
    [anon_sym_LT_LT] = ACTIONS(1508),
    [anon_sym_GT_GT] = ACTIONS(1508),
    [anon_sym_AMP] = ACTIONS(1508),
    [anon_sym_CARET] = ACTIONS(1508),
    [anon_sym_PIPE] = ACTIONS(1510),
    [sym__string_start] = ACTIONS(2412),
  },
  [3700] = {
    [sym__keyword_between] = STATE(1715),
    [sym__keyword_is] = STATE(12049),
    [sym__keyword_in] = STATE(1507),
    [sym__keyword_not] = STATE(13030),
    [sym__keyword_and] = STATE(1487),
    [sym__keyword_or] = STATE(1484),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16082),
    [sym_quantitve_like_operator] = STATE(16084),
    [ts_builtin_sym_end] = ACTIONS(1039),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1039),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1039),
    [aux_sym_keyword_replace_token1] = ACTIONS(1039),
    [aux_sym__keyword_alter_token1] = ACTIONS(1039),
    [aux_sym__keyword_delete_token1] = ACTIONS(1039),
    [aux_sym__keyword_begin_token1] = ACTIONS(1039),
    [aux_sym__keyword_between_token1] = ACTIONS(1039),
    [aux_sym__keyword_is_token1] = ACTIONS(1039),
    [aux_sym__keyword_in_token1] = ACTIONS(1041),
    [aux_sym__keyword_and_token1] = ACTIONS(1039),
    [aux_sym__keyword_like_token1] = ACTIONS(1039),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1039),
    [aux_sym__keyword_for_token1] = ACTIONS(1039),
    [anon_sym_SEMI] = ACTIONS(1039),
    [aux_sym_declare_statement_token1] = ACTIONS(1039),
    [aux_sym_set_statement_token1] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(1039),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1039),
    [aux_sym_into_clause_token1] = ACTIONS(1039),
    [aux_sym_using_clause_token1] = ACTIONS(1039),
    [aux_sym_return_satement_token1] = ACTIONS(1039),
    [aux_sym_call_statement_token1] = ACTIONS(1039),
    [aux_sym_loop_statement_token1] = ACTIONS(1039),
    [aux_sym_while_statement_token1] = ACTIONS(1039),
    [aux_sym_break_statement_token1] = ACTIONS(1039),
    [aux_sym_leave_statement_token1] = ACTIONS(1039),
    [aux_sym_continue_statement_token1] = ACTIONS(1039),
    [aux_sym_iterate_statement_token1] = ACTIONS(1039),
    [aux_sym_raise_statement_token1] = ACTIONS(1039),
    [anon_sym_EQ] = ACTIONS(1039),
    [aux_sym_assert_statement_token1] = ACTIONS(1039),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1039),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1039),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1039),
    [anon_sym_LT] = ACTIONS(1041),
    [anon_sym_GT] = ACTIONS(1041),
    [aux_sym_select_token1] = ACTIONS(1039),
    [aux_sym_insert_statement_token1] = ACTIONS(1039),
    [aux_sym_truncate_statement_token1] = ACTIONS(1039),
    [aux_sym_update_statement_token1] = ACTIONS(1039),
    [aux_sym_merge_statement_token1] = ACTIONS(1039),
    [aux_sym_grant_statement_token1] = ACTIONS(1039),
    [aux_sym_revoke_statement_token1] = ACTIONS(1039),
    [aux_sym_export_data_statement_token1] = ACTIONS(1039),
    [aux_sym_load_data_statement_token1] = ACTIONS(1039),
    [anon_sym_LBRACK] = ACTIONS(1039),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1039),
    [anon_sym_PLUS] = ACTIONS(3222),
    [anon_sym_DASH] = ACTIONS(3224),
    [anon_sym_STAR] = ACTIONS(3226),
    [anon_sym_SLASH] = ACTIONS(3228),
    [anon_sym_PIPE_PIPE] = ACTIONS(3226),
    [anon_sym_LT_EQ] = ACTIONS(1039),
    [anon_sym_LT_GT] = ACTIONS(1039),
    [anon_sym_GT_EQ] = ACTIONS(1039),
    [anon_sym_BANG_EQ] = ACTIONS(1039),
    [anon_sym_LT_LT] = ACTIONS(3230),
    [anon_sym_GT_GT] = ACTIONS(3230),
    [anon_sym_AMP] = ACTIONS(3232),
    [anon_sym_CARET] = ACTIONS(3234),
    [anon_sym_PIPE] = ACTIONS(3236),
  },
  [3701] = {
    [sym__keyword_between] = STATE(1715),
    [sym__keyword_is] = STATE(12049),
    [sym__keyword_in] = STATE(1507),
    [sym__keyword_not] = STATE(13030),
    [sym__keyword_and] = STATE(1487),
    [sym__keyword_or] = STATE(1484),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16082),
    [sym_quantitve_like_operator] = STATE(16084),
    [ts_builtin_sym_end] = ACTIONS(1035),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1035),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1035),
    [aux_sym_keyword_replace_token1] = ACTIONS(1035),
    [aux_sym__keyword_alter_token1] = ACTIONS(1035),
    [aux_sym__keyword_delete_token1] = ACTIONS(1035),
    [aux_sym__keyword_begin_token1] = ACTIONS(1035),
    [aux_sym__keyword_between_token1] = ACTIONS(1035),
    [aux_sym__keyword_is_token1] = ACTIONS(1035),
    [aux_sym__keyword_in_token1] = ACTIONS(1037),
    [aux_sym__keyword_and_token1] = ACTIONS(1035),
    [aux_sym__keyword_like_token1] = ACTIONS(1035),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1035),
    [aux_sym__keyword_for_token1] = ACTIONS(1035),
    [anon_sym_SEMI] = ACTIONS(1035),
    [aux_sym_declare_statement_token1] = ACTIONS(1035),
    [aux_sym_set_statement_token1] = ACTIONS(1035),
    [anon_sym_LPAREN] = ACTIONS(1035),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1035),
    [aux_sym_into_clause_token1] = ACTIONS(1035),
    [aux_sym_using_clause_token1] = ACTIONS(1035),
    [aux_sym_return_satement_token1] = ACTIONS(1035),
    [aux_sym_call_statement_token1] = ACTIONS(1035),
    [aux_sym_loop_statement_token1] = ACTIONS(1035),
    [aux_sym_while_statement_token1] = ACTIONS(1035),
    [aux_sym_break_statement_token1] = ACTIONS(1035),
    [aux_sym_leave_statement_token1] = ACTIONS(1035),
    [aux_sym_continue_statement_token1] = ACTIONS(1035),
    [aux_sym_iterate_statement_token1] = ACTIONS(1035),
    [aux_sym_raise_statement_token1] = ACTIONS(1035),
    [anon_sym_EQ] = ACTIONS(1035),
    [aux_sym_assert_statement_token1] = ACTIONS(1035),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1035),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1035),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1035),
    [anon_sym_LT] = ACTIONS(1037),
    [anon_sym_GT] = ACTIONS(1037),
    [aux_sym_select_token1] = ACTIONS(1035),
    [aux_sym_insert_statement_token1] = ACTIONS(1035),
    [aux_sym_truncate_statement_token1] = ACTIONS(1035),
    [aux_sym_update_statement_token1] = ACTIONS(1035),
    [aux_sym_merge_statement_token1] = ACTIONS(1035),
    [aux_sym_grant_statement_token1] = ACTIONS(1035),
    [aux_sym_revoke_statement_token1] = ACTIONS(1035),
    [aux_sym_export_data_statement_token1] = ACTIONS(1035),
    [aux_sym_load_data_statement_token1] = ACTIONS(1035),
    [anon_sym_LBRACK] = ACTIONS(1035),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1035),
    [anon_sym_PLUS] = ACTIONS(3222),
    [anon_sym_DASH] = ACTIONS(3224),
    [anon_sym_STAR] = ACTIONS(3226),
    [anon_sym_SLASH] = ACTIONS(3228),
    [anon_sym_PIPE_PIPE] = ACTIONS(3226),
    [anon_sym_LT_EQ] = ACTIONS(1035),
    [anon_sym_LT_GT] = ACTIONS(1035),
    [anon_sym_GT_EQ] = ACTIONS(1035),
    [anon_sym_BANG_EQ] = ACTIONS(1035),
    [anon_sym_LT_LT] = ACTIONS(3230),
    [anon_sym_GT_GT] = ACTIONS(3230),
    [anon_sym_AMP] = ACTIONS(3232),
    [anon_sym_CARET] = ACTIONS(3234),
    [anon_sym_PIPE] = ACTIONS(3236),
  },
  [3702] = {
    [sym__keyword_between] = STATE(1715),
    [sym__keyword_is] = STATE(12049),
    [sym__keyword_in] = STATE(1507),
    [sym__keyword_not] = STATE(13030),
    [sym__keyword_and] = STATE(1487),
    [sym__keyword_or] = STATE(1484),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16082),
    [sym_quantitve_like_operator] = STATE(16084),
    [ts_builtin_sym_end] = ACTIONS(1023),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1023),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1023),
    [aux_sym_keyword_replace_token1] = ACTIONS(1023),
    [aux_sym__keyword_alter_token1] = ACTIONS(1023),
    [aux_sym__keyword_delete_token1] = ACTIONS(1023),
    [aux_sym__keyword_begin_token1] = ACTIONS(1023),
    [aux_sym__keyword_between_token1] = ACTIONS(1023),
    [aux_sym__keyword_is_token1] = ACTIONS(1023),
    [aux_sym__keyword_in_token1] = ACTIONS(1025),
    [aux_sym__keyword_and_token1] = ACTIONS(1023),
    [aux_sym__keyword_like_token1] = ACTIONS(1023),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1023),
    [aux_sym__keyword_for_token1] = ACTIONS(1023),
    [anon_sym_SEMI] = ACTIONS(1023),
    [aux_sym_declare_statement_token1] = ACTIONS(1023),
    [aux_sym_set_statement_token1] = ACTIONS(1023),
    [anon_sym_LPAREN] = ACTIONS(1023),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1023),
    [aux_sym_into_clause_token1] = ACTIONS(1023),
    [aux_sym_using_clause_token1] = ACTIONS(1023),
    [aux_sym_return_satement_token1] = ACTIONS(1023),
    [aux_sym_call_statement_token1] = ACTIONS(1023),
    [aux_sym_loop_statement_token1] = ACTIONS(1023),
    [aux_sym_while_statement_token1] = ACTIONS(1023),
    [aux_sym_break_statement_token1] = ACTIONS(1023),
    [aux_sym_leave_statement_token1] = ACTIONS(1023),
    [aux_sym_continue_statement_token1] = ACTIONS(1023),
    [aux_sym_iterate_statement_token1] = ACTIONS(1023),
    [aux_sym_raise_statement_token1] = ACTIONS(1023),
    [anon_sym_EQ] = ACTIONS(1023),
    [aux_sym_assert_statement_token1] = ACTIONS(1023),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1023),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1023),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1023),
    [anon_sym_LT] = ACTIONS(1025),
    [anon_sym_GT] = ACTIONS(1025),
    [aux_sym_select_token1] = ACTIONS(1023),
    [aux_sym_insert_statement_token1] = ACTIONS(1023),
    [aux_sym_truncate_statement_token1] = ACTIONS(1023),
    [aux_sym_update_statement_token1] = ACTIONS(1023),
    [aux_sym_merge_statement_token1] = ACTIONS(1023),
    [aux_sym_grant_statement_token1] = ACTIONS(1023),
    [aux_sym_revoke_statement_token1] = ACTIONS(1023),
    [aux_sym_export_data_statement_token1] = ACTIONS(1023),
    [aux_sym_load_data_statement_token1] = ACTIONS(1023),
    [anon_sym_LBRACK] = ACTIONS(1023),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1023),
    [anon_sym_PLUS] = ACTIONS(3222),
    [anon_sym_DASH] = ACTIONS(3224),
    [anon_sym_STAR] = ACTIONS(3226),
    [anon_sym_SLASH] = ACTIONS(3228),
    [anon_sym_PIPE_PIPE] = ACTIONS(3226),
    [anon_sym_LT_EQ] = ACTIONS(1023),
    [anon_sym_LT_GT] = ACTIONS(1023),
    [anon_sym_GT_EQ] = ACTIONS(1023),
    [anon_sym_BANG_EQ] = ACTIONS(1023),
    [anon_sym_LT_LT] = ACTIONS(3230),
    [anon_sym_GT_GT] = ACTIONS(3230),
    [anon_sym_AMP] = ACTIONS(3232),
    [anon_sym_CARET] = ACTIONS(3234),
    [anon_sym_PIPE] = ACTIONS(3236),
  },
  [3703] = {
    [sym__keyword_between] = STATE(1715),
    [sym__keyword_is] = STATE(12049),
    [sym__keyword_in] = STATE(1507),
    [sym__keyword_not] = STATE(13030),
    [sym__keyword_and] = STATE(1487),
    [sym__keyword_or] = STATE(1484),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16082),
    [sym_quantitve_like_operator] = STATE(16084),
    [ts_builtin_sym_end] = ACTIONS(947),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(947),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(947),
    [aux_sym_keyword_replace_token1] = ACTIONS(947),
    [aux_sym__keyword_alter_token1] = ACTIONS(947),
    [aux_sym__keyword_delete_token1] = ACTIONS(947),
    [aux_sym__keyword_begin_token1] = ACTIONS(947),
    [aux_sym__keyword_between_token1] = ACTIONS(947),
    [aux_sym__keyword_is_token1] = ACTIONS(947),
    [aux_sym__keyword_in_token1] = ACTIONS(949),
    [aux_sym__keyword_and_token1] = ACTIONS(947),
    [aux_sym__keyword_like_token1] = ACTIONS(947),
    [aux_sym__keyword_repeat_token1] = ACTIONS(947),
    [aux_sym__keyword_for_token1] = ACTIONS(947),
    [anon_sym_SEMI] = ACTIONS(947),
    [aux_sym_declare_statement_token1] = ACTIONS(947),
    [aux_sym_set_statement_token1] = ACTIONS(947),
    [anon_sym_LPAREN] = ACTIONS(947),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(947),
    [aux_sym_into_clause_token1] = ACTIONS(947),
    [aux_sym_using_clause_token1] = ACTIONS(947),
    [aux_sym_return_satement_token1] = ACTIONS(947),
    [aux_sym_call_statement_token1] = ACTIONS(947),
    [aux_sym_loop_statement_token1] = ACTIONS(947),
    [aux_sym_while_statement_token1] = ACTIONS(947),
    [aux_sym_break_statement_token1] = ACTIONS(947),
    [aux_sym_leave_statement_token1] = ACTIONS(947),
    [aux_sym_continue_statement_token1] = ACTIONS(947),
    [aux_sym_iterate_statement_token1] = ACTIONS(947),
    [aux_sym_raise_statement_token1] = ACTIONS(947),
    [anon_sym_EQ] = ACTIONS(947),
    [aux_sym_assert_statement_token1] = ACTIONS(947),
    [aux_sym_create_schema_statement_token1] = ACTIONS(947),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(947),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(949),
    [anon_sym_GT] = ACTIONS(949),
    [aux_sym_select_token1] = ACTIONS(947),
    [aux_sym_insert_statement_token1] = ACTIONS(947),
    [aux_sym_truncate_statement_token1] = ACTIONS(947),
    [aux_sym_update_statement_token1] = ACTIONS(947),
    [aux_sym_merge_statement_token1] = ACTIONS(947),
    [aux_sym_grant_statement_token1] = ACTIONS(947),
    [aux_sym_revoke_statement_token1] = ACTIONS(947),
    [aux_sym_export_data_statement_token1] = ACTIONS(947),
    [aux_sym_load_data_statement_token1] = ACTIONS(947),
    [anon_sym_LBRACK] = ACTIONS(947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(3222),
    [anon_sym_DASH] = ACTIONS(3224),
    [anon_sym_STAR] = ACTIONS(3226),
    [anon_sym_SLASH] = ACTIONS(3228),
    [anon_sym_PIPE_PIPE] = ACTIONS(3226),
    [anon_sym_LT_EQ] = ACTIONS(947),
    [anon_sym_LT_GT] = ACTIONS(947),
    [anon_sym_GT_EQ] = ACTIONS(947),
    [anon_sym_BANG_EQ] = ACTIONS(947),
    [anon_sym_LT_LT] = ACTIONS(3230),
    [anon_sym_GT_GT] = ACTIONS(3230),
    [anon_sym_AMP] = ACTIONS(3232),
    [anon_sym_CARET] = ACTIONS(3234),
    [anon_sym_PIPE] = ACTIONS(3236),
  },
  [3704] = {
    [sym__keyword_between] = STATE(1451),
    [sym__keyword_is] = STATE(12153),
    [sym__keyword_in] = STATE(876),
    [sym__keyword_not] = STATE(13044),
    [sym__keyword_and] = STATE(885),
    [sym__keyword_or] = STATE(887),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [aux_sym_option_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3286),
    [anon_sym_DASH] = ACTIONS(3288),
    [anon_sym_STAR] = ACTIONS(3290),
    [anon_sym_SLASH] = ACTIONS(3292),
    [anon_sym_PIPE_PIPE] = ACTIONS(3290),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(3294),
    [anon_sym_GT_GT] = ACTIONS(3294),
    [anon_sym_AMP] = ACTIONS(3296),
    [anon_sym_CARET] = ACTIONS(3298),
    [anon_sym_PIPE] = ACTIONS(3300),
  },
  [3705] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_from_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [aux_sym_option_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1370),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3706] = {
    [sym__keyword_between] = STATE(1451),
    [sym__keyword_is] = STATE(12153),
    [sym__keyword_in] = STATE(876),
    [sym__keyword_not] = STATE(13044),
    [sym__keyword_and] = STATE(885),
    [sym__keyword_or] = STATE(887),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [aux_sym_option_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3286),
    [anon_sym_DASH] = ACTIONS(3288),
    [anon_sym_STAR] = ACTIONS(3290),
    [anon_sym_SLASH] = ACTIONS(3292),
    [anon_sym_PIPE_PIPE] = ACTIONS(3290),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(3294),
    [anon_sym_GT_GT] = ACTIONS(3294),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [3707] = {
    [sym_analytics_clause] = STATE(3766),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [aux_sym_option_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3708] = {
    [sym_analytics_clause] = STATE(3767),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [aux_sym_option_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3709] = {
    [sym_analytics_clause] = STATE(3769),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [aux_sym_option_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3710] = {
    [sym_analytics_clause] = STATE(3772),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [aux_sym_option_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3711] = {
    [sym_analytics_clause] = STATE(3775),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [aux_sym_option_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3712] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_from_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [aux_sym_option_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1370),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3713] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_from_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [aux_sym_option_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1370),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3714] = {
    [sym_analytics_clause] = STATE(3779),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [aux_sym_option_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3715] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_from_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [aux_sym_option_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1370),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3716] = {
    [sym_analytics_clause] = STATE(3780),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [aux_sym_option_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3717] = {
    [sym_analytics_clause] = STATE(3781),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [aux_sym_option_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3718] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_from_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [aux_sym_option_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1370),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3719] = {
    [sym_analytics_clause] = STATE(3674),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [aux_sym_option_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3720] = {
    [sym_analytics_clause] = STATE(3784),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [aux_sym_option_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3721] = {
    [ts_builtin_sym_end] = ACTIONS(1768),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1768),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1768),
    [aux_sym_keyword_replace_token1] = ACTIONS(1768),
    [aux_sym__keyword_alter_token1] = ACTIONS(1768),
    [aux_sym__keyword_from_token1] = ACTIONS(1768),
    [aux_sym__keyword_delete_token1] = ACTIONS(1768),
    [aux_sym__keyword_begin_token1] = ACTIONS(1768),
    [aux_sym__keyword_end_token1] = ACTIONS(1768),
    [aux_sym__keyword_between_token1] = ACTIONS(1768),
    [aux_sym__keyword_when_token1] = ACTIONS(1768),
    [aux_sym__keyword_else_token1] = ACTIONS(1770),
    [aux_sym__keyword_is_token1] = ACTIONS(1768),
    [aux_sym__keyword_in_token1] = ACTIONS(1770),
    [aux_sym__keyword_and_token1] = ACTIONS(1768),
    [aux_sym__keyword_like_token1] = ACTIONS(1768),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1768),
    [aux_sym__keyword_as_token1] = ACTIONS(1770),
    [aux_sym__keyword_for_token1] = ACTIONS(1768),
    [anon_sym_SEMI] = ACTIONS(1768),
    [aux_sym_declare_statement_token1] = ACTIONS(1768),
    [anon_sym_COMMA] = ACTIONS(1768),
    [aux_sym_set_statement_token1] = ACTIONS(1768),
    [anon_sym_LPAREN] = ACTIONS(1768),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1768),
    [aux_sym_return_satement_token1] = ACTIONS(1768),
    [aux_sym_call_statement_token1] = ACTIONS(1768),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1768),
    [aux_sym_if_statement_token1] = ACTIONS(1768),
    [aux_sym_loop_statement_token1] = ACTIONS(1768),
    [aux_sym_repeat_statement_token1] = ACTIONS(1768),
    [aux_sym_while_statement_token1] = ACTIONS(1768),
    [aux_sym_break_statement_token1] = ACTIONS(1768),
    [aux_sym_leave_statement_token1] = ACTIONS(1768),
    [aux_sym_continue_statement_token1] = ACTIONS(1768),
    [aux_sym_iterate_statement_token1] = ACTIONS(1768),
    [aux_sym_raise_statement_token1] = ACTIONS(1768),
    [anon_sym_EQ] = ACTIONS(1768),
    [aux_sym_assert_statement_token1] = ACTIONS(1768),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1768),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1768),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1768),
    [aux_sym_option_clause_token1] = ACTIONS(1768),
    [anon_sym_LT] = ACTIONS(1770),
    [anon_sym_GT] = ACTIONS(1770),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1768),
    [aux_sym_select_token1] = ACTIONS(1768),
    [aux_sym_insert_statement_token1] = ACTIONS(1768),
    [aux_sym_truncate_statement_token1] = ACTIONS(1768),
    [aux_sym_update_statement_token1] = ACTIONS(1768),
    [aux_sym_merge_statement_token1] = ACTIONS(1768),
    [aux_sym_grant_statement_token1] = ACTIONS(1768),
    [aux_sym_revoke_statement_token1] = ACTIONS(1768),
    [aux_sym_export_data_statement_token1] = ACTIONS(1768),
    [aux_sym_load_data_statement_token1] = ACTIONS(1768),
    [anon_sym_LBRACK] = ACTIONS(1768),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1768),
    [anon_sym_PLUS] = ACTIONS(1768),
    [anon_sym_DASH] = ACTIONS(1770),
    [anon_sym_STAR] = ACTIONS(1768),
    [anon_sym_SLASH] = ACTIONS(1770),
    [anon_sym_PIPE_PIPE] = ACTIONS(1768),
    [anon_sym_LT_EQ] = ACTIONS(1768),
    [anon_sym_LT_GT] = ACTIONS(1768),
    [anon_sym_GT_EQ] = ACTIONS(1768),
    [anon_sym_BANG_EQ] = ACTIONS(1768),
    [anon_sym_LT_LT] = ACTIONS(1768),
    [anon_sym_GT_GT] = ACTIONS(1768),
    [anon_sym_AMP] = ACTIONS(1768),
    [anon_sym_CARET] = ACTIONS(1768),
    [anon_sym_PIPE] = ACTIONS(1770),
  },
  [3722] = {
    [ts_builtin_sym_end] = ACTIONS(1504),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1504),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1504),
    [aux_sym_keyword_replace_token1] = ACTIONS(1504),
    [aux_sym__keyword_alter_token1] = ACTIONS(1504),
    [aux_sym__keyword_from_token1] = ACTIONS(1504),
    [aux_sym__keyword_delete_token1] = ACTIONS(1504),
    [aux_sym__keyword_begin_token1] = ACTIONS(1504),
    [aux_sym__keyword_end_token1] = ACTIONS(1504),
    [aux_sym__keyword_between_token1] = ACTIONS(1504),
    [aux_sym__keyword_when_token1] = ACTIONS(1504),
    [aux_sym__keyword_else_token1] = ACTIONS(1506),
    [aux_sym__keyword_is_token1] = ACTIONS(1504),
    [aux_sym__keyword_in_token1] = ACTIONS(1506),
    [aux_sym__keyword_and_token1] = ACTIONS(1504),
    [aux_sym__keyword_like_token1] = ACTIONS(1504),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1504),
    [aux_sym__keyword_as_token1] = ACTIONS(1506),
    [aux_sym__keyword_for_token1] = ACTIONS(1504),
    [anon_sym_SEMI] = ACTIONS(1504),
    [aux_sym_declare_statement_token1] = ACTIONS(1504),
    [anon_sym_COMMA] = ACTIONS(1504),
    [aux_sym_set_statement_token1] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1504),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1504),
    [aux_sym_return_satement_token1] = ACTIONS(1504),
    [aux_sym_call_statement_token1] = ACTIONS(1504),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1504),
    [aux_sym_if_statement_token1] = ACTIONS(1504),
    [aux_sym_loop_statement_token1] = ACTIONS(1504),
    [aux_sym_repeat_statement_token1] = ACTIONS(1504),
    [aux_sym_while_statement_token1] = ACTIONS(1504),
    [aux_sym_break_statement_token1] = ACTIONS(1504),
    [aux_sym_leave_statement_token1] = ACTIONS(1504),
    [aux_sym_continue_statement_token1] = ACTIONS(1504),
    [aux_sym_iterate_statement_token1] = ACTIONS(1504),
    [aux_sym_raise_statement_token1] = ACTIONS(1504),
    [anon_sym_EQ] = ACTIONS(1504),
    [aux_sym_assert_statement_token1] = ACTIONS(1504),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1504),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1504),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1504),
    [aux_sym_option_clause_token1] = ACTIONS(1504),
    [anon_sym_LT] = ACTIONS(1506),
    [anon_sym_GT] = ACTIONS(1506),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1504),
    [aux_sym_select_token1] = ACTIONS(1504),
    [aux_sym_insert_statement_token1] = ACTIONS(1504),
    [aux_sym_truncate_statement_token1] = ACTIONS(1504),
    [aux_sym_update_statement_token1] = ACTIONS(1504),
    [aux_sym_merge_statement_token1] = ACTIONS(1504),
    [aux_sym_grant_statement_token1] = ACTIONS(1504),
    [aux_sym_revoke_statement_token1] = ACTIONS(1504),
    [aux_sym_export_data_statement_token1] = ACTIONS(1504),
    [aux_sym_load_data_statement_token1] = ACTIONS(1504),
    [anon_sym_LBRACK] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1504),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1506),
    [anon_sym_STAR] = ACTIONS(1504),
    [anon_sym_SLASH] = ACTIONS(1506),
    [anon_sym_PIPE_PIPE] = ACTIONS(1504),
    [anon_sym_LT_EQ] = ACTIONS(1504),
    [anon_sym_LT_GT] = ACTIONS(1504),
    [anon_sym_GT_EQ] = ACTIONS(1504),
    [anon_sym_BANG_EQ] = ACTIONS(1504),
    [anon_sym_LT_LT] = ACTIONS(1504),
    [anon_sym_GT_GT] = ACTIONS(1504),
    [anon_sym_AMP] = ACTIONS(1504),
    [anon_sym_CARET] = ACTIONS(1504),
    [anon_sym_PIPE] = ACTIONS(1506),
  },
  [3723] = {
    [sym_analytics_clause] = STATE(3787),
    [ts_builtin_sym_end] = ACTIONS(1504),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1504),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1504),
    [aux_sym_keyword_replace_token1] = ACTIONS(1504),
    [aux_sym__keyword_alter_token1] = ACTIONS(1504),
    [aux_sym__keyword_delete_token1] = ACTIONS(1504),
    [aux_sym__keyword_begin_token1] = ACTIONS(1504),
    [aux_sym__keyword_end_token1] = ACTIONS(1504),
    [aux_sym__keyword_between_token1] = ACTIONS(1504),
    [aux_sym__keyword_when_token1] = ACTIONS(1504),
    [aux_sym__keyword_else_token1] = ACTIONS(1506),
    [aux_sym__keyword_is_token1] = ACTIONS(1504),
    [aux_sym__keyword_in_token1] = ACTIONS(1506),
    [aux_sym__keyword_and_token1] = ACTIONS(1504),
    [aux_sym__keyword_like_token1] = ACTIONS(1504),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1504),
    [aux_sym__keyword_as_token1] = ACTIONS(1506),
    [aux_sym__keyword_for_token1] = ACTIONS(1504),
    [anon_sym_SEMI] = ACTIONS(1504),
    [aux_sym_declare_statement_token1] = ACTIONS(1504),
    [anon_sym_COMMA] = ACTIONS(1504),
    [aux_sym_set_statement_token1] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1504),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1504),
    [aux_sym_return_satement_token1] = ACTIONS(1504),
    [aux_sym_call_statement_token1] = ACTIONS(1504),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1504),
    [aux_sym_if_statement_token1] = ACTIONS(1504),
    [aux_sym_loop_statement_token1] = ACTIONS(1504),
    [aux_sym_repeat_statement_token1] = ACTIONS(1504),
    [aux_sym_while_statement_token1] = ACTIONS(1504),
    [aux_sym_break_statement_token1] = ACTIONS(1504),
    [aux_sym_leave_statement_token1] = ACTIONS(1504),
    [aux_sym_continue_statement_token1] = ACTIONS(1504),
    [aux_sym_iterate_statement_token1] = ACTIONS(1504),
    [aux_sym_raise_statement_token1] = ACTIONS(1504),
    [anon_sym_EQ] = ACTIONS(1504),
    [aux_sym_assert_statement_token1] = ACTIONS(1504),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1504),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1504),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1504),
    [aux_sym_option_clause_token1] = ACTIONS(1504),
    [anon_sym_LT] = ACTIONS(1506),
    [anon_sym_GT] = ACTIONS(1506),
    [aux_sym_select_token1] = ACTIONS(1504),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1504),
    [aux_sym_truncate_statement_token1] = ACTIONS(1504),
    [aux_sym_update_statement_token1] = ACTIONS(1504),
    [aux_sym_merge_statement_token1] = ACTIONS(1504),
    [aux_sym_grant_statement_token1] = ACTIONS(1504),
    [aux_sym_revoke_statement_token1] = ACTIONS(1504),
    [aux_sym_export_data_statement_token1] = ACTIONS(1504),
    [aux_sym_load_data_statement_token1] = ACTIONS(1504),
    [anon_sym_LBRACK] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1504),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1506),
    [anon_sym_STAR] = ACTIONS(1504),
    [anon_sym_SLASH] = ACTIONS(1506),
    [anon_sym_PIPE_PIPE] = ACTIONS(1504),
    [anon_sym_LT_EQ] = ACTIONS(1504),
    [anon_sym_LT_GT] = ACTIONS(1504),
    [anon_sym_GT_EQ] = ACTIONS(1504),
    [anon_sym_BANG_EQ] = ACTIONS(1504),
    [anon_sym_LT_LT] = ACTIONS(1504),
    [anon_sym_GT_GT] = ACTIONS(1504),
    [anon_sym_AMP] = ACTIONS(1504),
    [anon_sym_CARET] = ACTIONS(1504),
    [anon_sym_PIPE] = ACTIONS(1506),
  },
  [3724] = {
    [ts_builtin_sym_end] = ACTIONS(1500),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1500),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1500),
    [aux_sym_keyword_replace_token1] = ACTIONS(1500),
    [aux_sym__keyword_alter_token1] = ACTIONS(1500),
    [aux_sym__keyword_from_token1] = ACTIONS(1500),
    [aux_sym__keyword_delete_token1] = ACTIONS(1500),
    [aux_sym__keyword_begin_token1] = ACTIONS(1500),
    [aux_sym__keyword_end_token1] = ACTIONS(1500),
    [aux_sym__keyword_between_token1] = ACTIONS(1500),
    [aux_sym__keyword_when_token1] = ACTIONS(1500),
    [aux_sym__keyword_else_token1] = ACTIONS(1502),
    [aux_sym__keyword_is_token1] = ACTIONS(1500),
    [aux_sym__keyword_in_token1] = ACTIONS(1502),
    [aux_sym__keyword_and_token1] = ACTIONS(1500),
    [aux_sym__keyword_like_token1] = ACTIONS(1500),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1500),
    [aux_sym__keyword_as_token1] = ACTIONS(1502),
    [aux_sym__keyword_for_token1] = ACTIONS(1500),
    [anon_sym_SEMI] = ACTIONS(1500),
    [aux_sym_declare_statement_token1] = ACTIONS(1500),
    [anon_sym_COMMA] = ACTIONS(1500),
    [aux_sym_set_statement_token1] = ACTIONS(1500),
    [anon_sym_LPAREN] = ACTIONS(1500),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1500),
    [aux_sym_return_satement_token1] = ACTIONS(1500),
    [aux_sym_call_statement_token1] = ACTIONS(1500),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1500),
    [aux_sym_if_statement_token1] = ACTIONS(1500),
    [aux_sym_loop_statement_token1] = ACTIONS(1500),
    [aux_sym_repeat_statement_token1] = ACTIONS(1500),
    [aux_sym_while_statement_token1] = ACTIONS(1500),
    [aux_sym_break_statement_token1] = ACTIONS(1500),
    [aux_sym_leave_statement_token1] = ACTIONS(1500),
    [aux_sym_continue_statement_token1] = ACTIONS(1500),
    [aux_sym_iterate_statement_token1] = ACTIONS(1500),
    [aux_sym_raise_statement_token1] = ACTIONS(1500),
    [anon_sym_EQ] = ACTIONS(1500),
    [aux_sym_assert_statement_token1] = ACTIONS(1500),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1500),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1500),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1500),
    [aux_sym_option_clause_token1] = ACTIONS(1500),
    [anon_sym_LT] = ACTIONS(1502),
    [anon_sym_GT] = ACTIONS(1502),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1500),
    [aux_sym_select_token1] = ACTIONS(1500),
    [aux_sym_insert_statement_token1] = ACTIONS(1500),
    [aux_sym_truncate_statement_token1] = ACTIONS(1500),
    [aux_sym_update_statement_token1] = ACTIONS(1500),
    [aux_sym_merge_statement_token1] = ACTIONS(1500),
    [aux_sym_grant_statement_token1] = ACTIONS(1500),
    [aux_sym_revoke_statement_token1] = ACTIONS(1500),
    [aux_sym_export_data_statement_token1] = ACTIONS(1500),
    [aux_sym_load_data_statement_token1] = ACTIONS(1500),
    [anon_sym_LBRACK] = ACTIONS(1500),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_STAR] = ACTIONS(1500),
    [anon_sym_SLASH] = ACTIONS(1502),
    [anon_sym_PIPE_PIPE] = ACTIONS(1500),
    [anon_sym_LT_EQ] = ACTIONS(1500),
    [anon_sym_LT_GT] = ACTIONS(1500),
    [anon_sym_GT_EQ] = ACTIONS(1500),
    [anon_sym_BANG_EQ] = ACTIONS(1500),
    [anon_sym_LT_LT] = ACTIONS(1500),
    [anon_sym_GT_GT] = ACTIONS(1500),
    [anon_sym_AMP] = ACTIONS(1500),
    [anon_sym_CARET] = ACTIONS(1500),
    [anon_sym_PIPE] = ACTIONS(1502),
  },
  [3725] = {
    [ts_builtin_sym_end] = ACTIONS(1850),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1850),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1850),
    [aux_sym_keyword_replace_token1] = ACTIONS(1850),
    [aux_sym__keyword_alter_token1] = ACTIONS(1850),
    [aux_sym__keyword_from_token1] = ACTIONS(1850),
    [aux_sym__keyword_delete_token1] = ACTIONS(1850),
    [aux_sym__keyword_begin_token1] = ACTIONS(1850),
    [aux_sym__keyword_end_token1] = ACTIONS(1850),
    [aux_sym__keyword_between_token1] = ACTIONS(1850),
    [aux_sym__keyword_when_token1] = ACTIONS(1850),
    [aux_sym__keyword_else_token1] = ACTIONS(1852),
    [aux_sym__keyword_is_token1] = ACTIONS(1850),
    [aux_sym__keyword_in_token1] = ACTIONS(1852),
    [aux_sym__keyword_and_token1] = ACTIONS(1850),
    [aux_sym__keyword_like_token1] = ACTIONS(1850),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1850),
    [aux_sym__keyword_as_token1] = ACTIONS(1852),
    [aux_sym__keyword_for_token1] = ACTIONS(1850),
    [anon_sym_SEMI] = ACTIONS(1850),
    [aux_sym_declare_statement_token1] = ACTIONS(1850),
    [anon_sym_COMMA] = ACTIONS(1850),
    [aux_sym_set_statement_token1] = ACTIONS(1850),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1850),
    [aux_sym_return_satement_token1] = ACTIONS(1850),
    [aux_sym_call_statement_token1] = ACTIONS(1850),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1850),
    [aux_sym_if_statement_token1] = ACTIONS(1850),
    [aux_sym_loop_statement_token1] = ACTIONS(1850),
    [aux_sym_repeat_statement_token1] = ACTIONS(1850),
    [aux_sym_while_statement_token1] = ACTIONS(1850),
    [aux_sym_break_statement_token1] = ACTIONS(1850),
    [aux_sym_leave_statement_token1] = ACTIONS(1850),
    [aux_sym_continue_statement_token1] = ACTIONS(1850),
    [aux_sym_iterate_statement_token1] = ACTIONS(1850),
    [aux_sym_raise_statement_token1] = ACTIONS(1850),
    [anon_sym_EQ] = ACTIONS(1850),
    [aux_sym_assert_statement_token1] = ACTIONS(1850),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1850),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1850),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1850),
    [aux_sym_option_clause_token1] = ACTIONS(1850),
    [anon_sym_LT] = ACTIONS(1852),
    [anon_sym_GT] = ACTIONS(1852),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1850),
    [aux_sym_select_token1] = ACTIONS(1850),
    [aux_sym_insert_statement_token1] = ACTIONS(1850),
    [aux_sym_truncate_statement_token1] = ACTIONS(1850),
    [aux_sym_update_statement_token1] = ACTIONS(1850),
    [aux_sym_merge_statement_token1] = ACTIONS(1850),
    [aux_sym_grant_statement_token1] = ACTIONS(1850),
    [aux_sym_revoke_statement_token1] = ACTIONS(1850),
    [aux_sym_export_data_statement_token1] = ACTIONS(1850),
    [aux_sym_load_data_statement_token1] = ACTIONS(1850),
    [anon_sym_LBRACK] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1850),
    [anon_sym_PLUS] = ACTIONS(1850),
    [anon_sym_DASH] = ACTIONS(1852),
    [anon_sym_STAR] = ACTIONS(1850),
    [anon_sym_SLASH] = ACTIONS(1852),
    [anon_sym_PIPE_PIPE] = ACTIONS(1850),
    [anon_sym_LT_EQ] = ACTIONS(1850),
    [anon_sym_LT_GT] = ACTIONS(1850),
    [anon_sym_GT_EQ] = ACTIONS(1850),
    [anon_sym_BANG_EQ] = ACTIONS(1850),
    [anon_sym_LT_LT] = ACTIONS(1850),
    [anon_sym_GT_GT] = ACTIONS(1850),
    [anon_sym_AMP] = ACTIONS(1850),
    [anon_sym_CARET] = ACTIONS(1850),
    [anon_sym_PIPE] = ACTIONS(1852),
  },
  [3726] = {
    [ts_builtin_sym_end] = ACTIONS(1496),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1496),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1496),
    [aux_sym_keyword_replace_token1] = ACTIONS(1496),
    [aux_sym__keyword_alter_token1] = ACTIONS(1496),
    [aux_sym__keyword_from_token1] = ACTIONS(1496),
    [aux_sym__keyword_delete_token1] = ACTIONS(1496),
    [aux_sym__keyword_begin_token1] = ACTIONS(1496),
    [aux_sym__keyword_end_token1] = ACTIONS(1496),
    [aux_sym__keyword_between_token1] = ACTIONS(1496),
    [aux_sym__keyword_when_token1] = ACTIONS(1496),
    [aux_sym__keyword_else_token1] = ACTIONS(1498),
    [aux_sym__keyword_is_token1] = ACTIONS(1496),
    [aux_sym__keyword_in_token1] = ACTIONS(1498),
    [aux_sym__keyword_and_token1] = ACTIONS(1496),
    [aux_sym__keyword_like_token1] = ACTIONS(1496),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1496),
    [aux_sym__keyword_as_token1] = ACTIONS(1498),
    [aux_sym__keyword_for_token1] = ACTIONS(1496),
    [anon_sym_SEMI] = ACTIONS(1496),
    [aux_sym_declare_statement_token1] = ACTIONS(1496),
    [anon_sym_COMMA] = ACTIONS(1496),
    [aux_sym_set_statement_token1] = ACTIONS(1496),
    [anon_sym_LPAREN] = ACTIONS(1496),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1496),
    [aux_sym_return_satement_token1] = ACTIONS(1496),
    [aux_sym_call_statement_token1] = ACTIONS(1496),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1496),
    [aux_sym_if_statement_token1] = ACTIONS(1496),
    [aux_sym_loop_statement_token1] = ACTIONS(1496),
    [aux_sym_repeat_statement_token1] = ACTIONS(1496),
    [aux_sym_while_statement_token1] = ACTIONS(1496),
    [aux_sym_break_statement_token1] = ACTIONS(1496),
    [aux_sym_leave_statement_token1] = ACTIONS(1496),
    [aux_sym_continue_statement_token1] = ACTIONS(1496),
    [aux_sym_iterate_statement_token1] = ACTIONS(1496),
    [aux_sym_raise_statement_token1] = ACTIONS(1496),
    [anon_sym_EQ] = ACTIONS(1496),
    [aux_sym_assert_statement_token1] = ACTIONS(1496),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1496),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1496),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1496),
    [aux_sym_option_clause_token1] = ACTIONS(1496),
    [anon_sym_LT] = ACTIONS(1498),
    [anon_sym_GT] = ACTIONS(1498),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1496),
    [aux_sym_select_token1] = ACTIONS(1496),
    [aux_sym_insert_statement_token1] = ACTIONS(1496),
    [aux_sym_truncate_statement_token1] = ACTIONS(1496),
    [aux_sym_update_statement_token1] = ACTIONS(1496),
    [aux_sym_merge_statement_token1] = ACTIONS(1496),
    [aux_sym_grant_statement_token1] = ACTIONS(1496),
    [aux_sym_revoke_statement_token1] = ACTIONS(1496),
    [aux_sym_export_data_statement_token1] = ACTIONS(1496),
    [aux_sym_load_data_statement_token1] = ACTIONS(1496),
    [anon_sym_LBRACK] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(1498),
    [anon_sym_PIPE_PIPE] = ACTIONS(1496),
    [anon_sym_LT_EQ] = ACTIONS(1496),
    [anon_sym_LT_GT] = ACTIONS(1496),
    [anon_sym_GT_EQ] = ACTIONS(1496),
    [anon_sym_BANG_EQ] = ACTIONS(1496),
    [anon_sym_LT_LT] = ACTIONS(1496),
    [anon_sym_GT_GT] = ACTIONS(1496),
    [anon_sym_AMP] = ACTIONS(1496),
    [anon_sym_CARET] = ACTIONS(1496),
    [anon_sym_PIPE] = ACTIONS(1498),
  },
  [3727] = {
    [sym_analytics_clause] = STATE(3790),
    [ts_builtin_sym_end] = ACTIONS(1496),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1496),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1496),
    [aux_sym_keyword_replace_token1] = ACTIONS(1496),
    [aux_sym__keyword_alter_token1] = ACTIONS(1496),
    [aux_sym__keyword_delete_token1] = ACTIONS(1496),
    [aux_sym__keyword_begin_token1] = ACTIONS(1496),
    [aux_sym__keyword_end_token1] = ACTIONS(1496),
    [aux_sym__keyword_between_token1] = ACTIONS(1496),
    [aux_sym__keyword_when_token1] = ACTIONS(1496),
    [aux_sym__keyword_else_token1] = ACTIONS(1498),
    [aux_sym__keyword_is_token1] = ACTIONS(1496),
    [aux_sym__keyword_in_token1] = ACTIONS(1498),
    [aux_sym__keyword_and_token1] = ACTIONS(1496),
    [aux_sym__keyword_like_token1] = ACTIONS(1496),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1496),
    [aux_sym__keyword_as_token1] = ACTIONS(1498),
    [aux_sym__keyword_for_token1] = ACTIONS(1496),
    [anon_sym_SEMI] = ACTIONS(1496),
    [aux_sym_declare_statement_token1] = ACTIONS(1496),
    [anon_sym_COMMA] = ACTIONS(1496),
    [aux_sym_set_statement_token1] = ACTIONS(1496),
    [anon_sym_LPAREN] = ACTIONS(1496),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1496),
    [aux_sym_return_satement_token1] = ACTIONS(1496),
    [aux_sym_call_statement_token1] = ACTIONS(1496),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1496),
    [aux_sym_if_statement_token1] = ACTIONS(1496),
    [aux_sym_loop_statement_token1] = ACTIONS(1496),
    [aux_sym_repeat_statement_token1] = ACTIONS(1496),
    [aux_sym_while_statement_token1] = ACTIONS(1496),
    [aux_sym_break_statement_token1] = ACTIONS(1496),
    [aux_sym_leave_statement_token1] = ACTIONS(1496),
    [aux_sym_continue_statement_token1] = ACTIONS(1496),
    [aux_sym_iterate_statement_token1] = ACTIONS(1496),
    [aux_sym_raise_statement_token1] = ACTIONS(1496),
    [anon_sym_EQ] = ACTIONS(1496),
    [aux_sym_assert_statement_token1] = ACTIONS(1496),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1496),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1496),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1496),
    [aux_sym_option_clause_token1] = ACTIONS(1496),
    [anon_sym_LT] = ACTIONS(1498),
    [anon_sym_GT] = ACTIONS(1498),
    [aux_sym_select_token1] = ACTIONS(1496),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1496),
    [aux_sym_truncate_statement_token1] = ACTIONS(1496),
    [aux_sym_update_statement_token1] = ACTIONS(1496),
    [aux_sym_merge_statement_token1] = ACTIONS(1496),
    [aux_sym_grant_statement_token1] = ACTIONS(1496),
    [aux_sym_revoke_statement_token1] = ACTIONS(1496),
    [aux_sym_export_data_statement_token1] = ACTIONS(1496),
    [aux_sym_load_data_statement_token1] = ACTIONS(1496),
    [anon_sym_LBRACK] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(1498),
    [anon_sym_PIPE_PIPE] = ACTIONS(1496),
    [anon_sym_LT_EQ] = ACTIONS(1496),
    [anon_sym_LT_GT] = ACTIONS(1496),
    [anon_sym_GT_EQ] = ACTIONS(1496),
    [anon_sym_BANG_EQ] = ACTIONS(1496),
    [anon_sym_LT_LT] = ACTIONS(1496),
    [anon_sym_GT_GT] = ACTIONS(1496),
    [anon_sym_AMP] = ACTIONS(1496),
    [anon_sym_CARET] = ACTIONS(1496),
    [anon_sym_PIPE] = ACTIONS(1498),
  },
  [3728] = {
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1360),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_from_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [aux_sym_option_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1360),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [3729] = {
    [sym_analytics_clause] = STATE(3792),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1360),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [aux_sym_option_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [3730] = {
    [sym_analytics_clause] = STATE(3853),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1360),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [aux_sym_option_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [3731] = {
    [sym_analytics_clause] = STATE(3795),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1360),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [aux_sym_option_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [3732] = {
    [sym_analytics_clause] = STATE(3798),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1360),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [aux_sym_option_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [3733] = {
    [sym_analytics_clause] = STATE(3783),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1360),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [aux_sym_option_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [3734] = {
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1360),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_from_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [aux_sym_option_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1360),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [3735] = {
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1360),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_from_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [aux_sym_option_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1360),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [3736] = {
    [sym_analytics_clause] = STATE(3807),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1360),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [aux_sym_option_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [3737] = {
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1360),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_from_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [aux_sym_option_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1360),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [3738] = {
    [sym_analytics_clause] = STATE(3808),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1360),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [aux_sym_option_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [3739] = {
    [sym_analytics_clause] = STATE(3809),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1360),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [aux_sym_option_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [3740] = {
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1360),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_from_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [aux_sym_option_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1360),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [3741] = {
    [sym_analytics_clause] = STATE(3811),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1360),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [aux_sym_option_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [3742] = {
    [sym_analytics_clause] = STATE(3812),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1360),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_when_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [aux_sym_option_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [3743] = {
    [ts_builtin_sym_end] = ACTIONS(1386),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1386),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1386),
    [aux_sym_keyword_replace_token1] = ACTIONS(1386),
    [aux_sym__keyword_alter_token1] = ACTIONS(1386),
    [aux_sym__keyword_from_token1] = ACTIONS(1386),
    [aux_sym__keyword_delete_token1] = ACTIONS(1386),
    [aux_sym__keyword_begin_token1] = ACTIONS(1386),
    [aux_sym__keyword_end_token1] = ACTIONS(1386),
    [aux_sym__keyword_between_token1] = ACTIONS(1386),
    [aux_sym__keyword_when_token1] = ACTIONS(1386),
    [aux_sym__keyword_else_token1] = ACTIONS(1388),
    [aux_sym__keyword_is_token1] = ACTIONS(1386),
    [aux_sym__keyword_in_token1] = ACTIONS(1388),
    [aux_sym__keyword_and_token1] = ACTIONS(1386),
    [aux_sym__keyword_like_token1] = ACTIONS(1386),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1386),
    [aux_sym__keyword_as_token1] = ACTIONS(1388),
    [aux_sym__keyword_for_token1] = ACTIONS(1386),
    [anon_sym_SEMI] = ACTIONS(1386),
    [aux_sym_declare_statement_token1] = ACTIONS(1386),
    [anon_sym_COMMA] = ACTIONS(1386),
    [aux_sym_set_statement_token1] = ACTIONS(1386),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1386),
    [aux_sym_return_satement_token1] = ACTIONS(1386),
    [aux_sym_call_statement_token1] = ACTIONS(1386),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1386),
    [aux_sym_if_statement_token1] = ACTIONS(1386),
    [aux_sym_loop_statement_token1] = ACTIONS(1386),
    [aux_sym_repeat_statement_token1] = ACTIONS(1386),
    [aux_sym_while_statement_token1] = ACTIONS(1386),
    [aux_sym_break_statement_token1] = ACTIONS(1386),
    [aux_sym_leave_statement_token1] = ACTIONS(1386),
    [aux_sym_continue_statement_token1] = ACTIONS(1386),
    [aux_sym_iterate_statement_token1] = ACTIONS(1386),
    [aux_sym_raise_statement_token1] = ACTIONS(1386),
    [anon_sym_EQ] = ACTIONS(1386),
    [aux_sym_assert_statement_token1] = ACTIONS(1386),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1386),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1386),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1386),
    [aux_sym_option_clause_token1] = ACTIONS(1386),
    [anon_sym_LT] = ACTIONS(1388),
    [anon_sym_GT] = ACTIONS(1388),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1386),
    [aux_sym_select_token1] = ACTIONS(1386),
    [aux_sym_insert_statement_token1] = ACTIONS(1386),
    [aux_sym_truncate_statement_token1] = ACTIONS(1386),
    [aux_sym_update_statement_token1] = ACTIONS(1386),
    [aux_sym_merge_statement_token1] = ACTIONS(1386),
    [aux_sym_grant_statement_token1] = ACTIONS(1386),
    [aux_sym_revoke_statement_token1] = ACTIONS(1386),
    [aux_sym_export_data_statement_token1] = ACTIONS(1386),
    [aux_sym_load_data_statement_token1] = ACTIONS(1386),
    [anon_sym_LBRACK] = ACTIONS(1386),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1386),
    [anon_sym_DASH] = ACTIONS(1388),
    [anon_sym_STAR] = ACTIONS(1386),
    [anon_sym_SLASH] = ACTIONS(1388),
    [anon_sym_PIPE_PIPE] = ACTIONS(1386),
    [anon_sym_LT_EQ] = ACTIONS(1386),
    [anon_sym_LT_GT] = ACTIONS(1386),
    [anon_sym_GT_EQ] = ACTIONS(1386),
    [anon_sym_BANG_EQ] = ACTIONS(1386),
    [anon_sym_LT_LT] = ACTIONS(1386),
    [anon_sym_GT_GT] = ACTIONS(1386),
    [anon_sym_AMP] = ACTIONS(1386),
    [anon_sym_CARET] = ACTIONS(1386),
    [anon_sym_PIPE] = ACTIONS(1388),
  },
  [3744] = {
    [sym_analytics_clause] = STATE(3814),
    [ts_builtin_sym_end] = ACTIONS(1386),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1386),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1386),
    [aux_sym_keyword_replace_token1] = ACTIONS(1386),
    [aux_sym__keyword_alter_token1] = ACTIONS(1386),
    [aux_sym__keyword_delete_token1] = ACTIONS(1386),
    [aux_sym__keyword_begin_token1] = ACTIONS(1386),
    [aux_sym__keyword_end_token1] = ACTIONS(1386),
    [aux_sym__keyword_between_token1] = ACTIONS(1386),
    [aux_sym__keyword_when_token1] = ACTIONS(1386),
    [aux_sym__keyword_else_token1] = ACTIONS(1388),
    [aux_sym__keyword_is_token1] = ACTIONS(1386),
    [aux_sym__keyword_in_token1] = ACTIONS(1388),
    [aux_sym__keyword_and_token1] = ACTIONS(1386),
    [aux_sym__keyword_like_token1] = ACTIONS(1386),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1386),
    [aux_sym__keyword_as_token1] = ACTIONS(1388),
    [aux_sym__keyword_for_token1] = ACTIONS(1386),
    [anon_sym_SEMI] = ACTIONS(1386),
    [aux_sym_declare_statement_token1] = ACTIONS(1386),
    [anon_sym_COMMA] = ACTIONS(1386),
    [aux_sym_set_statement_token1] = ACTIONS(1386),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1386),
    [aux_sym_return_satement_token1] = ACTIONS(1386),
    [aux_sym_call_statement_token1] = ACTIONS(1386),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1386),
    [aux_sym_if_statement_token1] = ACTIONS(1386),
    [aux_sym_loop_statement_token1] = ACTIONS(1386),
    [aux_sym_repeat_statement_token1] = ACTIONS(1386),
    [aux_sym_while_statement_token1] = ACTIONS(1386),
    [aux_sym_break_statement_token1] = ACTIONS(1386),
    [aux_sym_leave_statement_token1] = ACTIONS(1386),
    [aux_sym_continue_statement_token1] = ACTIONS(1386),
    [aux_sym_iterate_statement_token1] = ACTIONS(1386),
    [aux_sym_raise_statement_token1] = ACTIONS(1386),
    [anon_sym_EQ] = ACTIONS(1386),
    [aux_sym_assert_statement_token1] = ACTIONS(1386),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1386),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1386),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1386),
    [aux_sym_option_clause_token1] = ACTIONS(1386),
    [anon_sym_LT] = ACTIONS(1388),
    [anon_sym_GT] = ACTIONS(1388),
    [aux_sym_select_token1] = ACTIONS(1386),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1386),
    [aux_sym_truncate_statement_token1] = ACTIONS(1386),
    [aux_sym_update_statement_token1] = ACTIONS(1386),
    [aux_sym_merge_statement_token1] = ACTIONS(1386),
    [aux_sym_grant_statement_token1] = ACTIONS(1386),
    [aux_sym_revoke_statement_token1] = ACTIONS(1386),
    [aux_sym_export_data_statement_token1] = ACTIONS(1386),
    [aux_sym_load_data_statement_token1] = ACTIONS(1386),
    [anon_sym_LBRACK] = ACTIONS(1386),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1386),
    [anon_sym_DASH] = ACTIONS(1388),
    [anon_sym_STAR] = ACTIONS(1386),
    [anon_sym_SLASH] = ACTIONS(1388),
    [anon_sym_PIPE_PIPE] = ACTIONS(1386),
    [anon_sym_LT_EQ] = ACTIONS(1386),
    [anon_sym_LT_GT] = ACTIONS(1386),
    [anon_sym_GT_EQ] = ACTIONS(1386),
    [anon_sym_BANG_EQ] = ACTIONS(1386),
    [anon_sym_LT_LT] = ACTIONS(1386),
    [anon_sym_GT_GT] = ACTIONS(1386),
    [anon_sym_AMP] = ACTIONS(1386),
    [anon_sym_CARET] = ACTIONS(1386),
    [anon_sym_PIPE] = ACTIONS(1388),
  },
  [3745] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_from_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [aux_sym_option_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1364),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3746] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_from_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [aux_sym_option_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1364),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3747] = {
    [sym_analytics_clause] = STATE(3816),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [aux_sym_option_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3748] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_from_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [aux_sym_option_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1364),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3749] = {
    [sym_analytics_clause] = STATE(3817),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [aux_sym_option_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3750] = {
    [sym_analytics_clause] = STATE(3818),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [aux_sym_option_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3751] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_from_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [aux_sym_option_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1364),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3752] = {
    [sym_analytics_clause] = STATE(3820),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [aux_sym_option_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3753] = {
    [sym_analytics_clause] = STATE(3821),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [aux_sym_option_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3754] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_from_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [aux_sym_option_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1364),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3755] = {
    [sym_analytics_clause] = STATE(3823),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [aux_sym_option_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3756] = {
    [sym_analytics_clause] = STATE(3824),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [aux_sym_option_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3757] = {
    [sym_analytics_clause] = STATE(3826),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [aux_sym_option_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3758] = {
    [sym_analytics_clause] = STATE(3829),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [aux_sym_option_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3759] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_from_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [aux_sym_option_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1364),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3760] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_from_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [aux_sym_option_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1364),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3761] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_from_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [aux_sym_option_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1364),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3762] = {
    [sym_analytics_clause] = STATE(3832),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [aux_sym_option_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3763] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_from_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [aux_sym_option_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1364),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3764] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_from_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_when_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [aux_sym_option_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1370),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3765] = {
    [sym_analytics_clause] = STATE(3833),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [aux_sym_option_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3766] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_from_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [aux_sym_option_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1364),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3767] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_from_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [aux_sym_option_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1364),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3768] = {
    [sym_analytics_clause] = STATE(3834),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [aux_sym_option_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3769] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_from_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [aux_sym_option_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1364),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3770] = {
    [sym_analytics_clause] = STATE(3835),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [aux_sym_option_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3771] = {
    [sym_analytics_clause] = STATE(3836),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [aux_sym_option_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3772] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_from_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [aux_sym_option_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1364),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3773] = {
    [sym_analytics_clause] = STATE(3838),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [aux_sym_option_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3774] = {
    [sym_analytics_clause] = STATE(3839),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [aux_sym_option_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3775] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_from_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [aux_sym_option_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1364),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3776] = {
    [sym_analytics_clause] = STATE(3841),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [aux_sym_option_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3777] = {
    [sym_analytics_clause] = STATE(3842),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [aux_sym_option_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3778] = {
    [sym_analytics_clause] = STATE(3847),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [aux_sym_option_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3779] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_from_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [aux_sym_option_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1364),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3780] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_from_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [aux_sym_option_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1364),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3781] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_from_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [aux_sym_option_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1364),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3782] = {
    [sym_analytics_clause] = STATE(3850),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [aux_sym_option_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3783] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_from_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [aux_sym_option_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1378),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [3784] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_from_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [aux_sym_option_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1364),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3785] = {
    [sym_analytics_clause] = STATE(3851),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_when_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [aux_sym_option_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [3786] = {
    [ts_builtin_sym_end] = ACTIONS(1590),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1590),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1590),
    [aux_sym_keyword_replace_token1] = ACTIONS(1590),
    [aux_sym__keyword_alter_token1] = ACTIONS(1590),
    [aux_sym__keyword_from_token1] = ACTIONS(1590),
    [aux_sym__keyword_delete_token1] = ACTIONS(1590),
    [aux_sym__keyword_begin_token1] = ACTIONS(1590),
    [aux_sym__keyword_end_token1] = ACTIONS(1590),
    [aux_sym__keyword_between_token1] = ACTIONS(1590),
    [aux_sym__keyword_when_token1] = ACTIONS(1590),
    [aux_sym__keyword_else_token1] = ACTIONS(1592),
    [aux_sym__keyword_is_token1] = ACTIONS(1590),
    [aux_sym__keyword_in_token1] = ACTIONS(1592),
    [aux_sym__keyword_and_token1] = ACTIONS(1590),
    [aux_sym__keyword_like_token1] = ACTIONS(1590),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1590),
    [aux_sym__keyword_as_token1] = ACTIONS(1592),
    [aux_sym__keyword_for_token1] = ACTIONS(1590),
    [anon_sym_SEMI] = ACTIONS(1590),
    [aux_sym_declare_statement_token1] = ACTIONS(1590),
    [anon_sym_COMMA] = ACTIONS(1590),
    [aux_sym_set_statement_token1] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1590),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1590),
    [aux_sym_return_satement_token1] = ACTIONS(1590),
    [aux_sym_call_statement_token1] = ACTIONS(1590),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1590),
    [aux_sym_if_statement_token1] = ACTIONS(1590),
    [aux_sym_loop_statement_token1] = ACTIONS(1590),
    [aux_sym_repeat_statement_token1] = ACTIONS(1590),
    [aux_sym_while_statement_token1] = ACTIONS(1590),
    [aux_sym_break_statement_token1] = ACTIONS(1590),
    [aux_sym_leave_statement_token1] = ACTIONS(1590),
    [aux_sym_continue_statement_token1] = ACTIONS(1590),
    [aux_sym_iterate_statement_token1] = ACTIONS(1590),
    [aux_sym_raise_statement_token1] = ACTIONS(1590),
    [anon_sym_EQ] = ACTIONS(1590),
    [aux_sym_assert_statement_token1] = ACTIONS(1590),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1590),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1590),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1590),
    [aux_sym_option_clause_token1] = ACTIONS(1590),
    [anon_sym_LT] = ACTIONS(1592),
    [anon_sym_GT] = ACTIONS(1592),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1590),
    [aux_sym_select_token1] = ACTIONS(1590),
    [aux_sym_insert_statement_token1] = ACTIONS(1590),
    [aux_sym_truncate_statement_token1] = ACTIONS(1590),
    [aux_sym_update_statement_token1] = ACTIONS(1590),
    [aux_sym_merge_statement_token1] = ACTIONS(1590),
    [aux_sym_grant_statement_token1] = ACTIONS(1590),
    [aux_sym_revoke_statement_token1] = ACTIONS(1590),
    [aux_sym_export_data_statement_token1] = ACTIONS(1590),
    [aux_sym_load_data_statement_token1] = ACTIONS(1590),
    [anon_sym_LBRACK] = ACTIONS(1590),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1590),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1592),
    [anon_sym_STAR] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(1592),
    [anon_sym_PIPE_PIPE] = ACTIONS(1590),
    [anon_sym_LT_EQ] = ACTIONS(1590),
    [anon_sym_LT_GT] = ACTIONS(1590),
    [anon_sym_GT_EQ] = ACTIONS(1590),
    [anon_sym_BANG_EQ] = ACTIONS(1590),
    [anon_sym_LT_LT] = ACTIONS(1590),
    [anon_sym_GT_GT] = ACTIONS(1590),
    [anon_sym_AMP] = ACTIONS(1590),
    [anon_sym_CARET] = ACTIONS(1590),
    [anon_sym_PIPE] = ACTIONS(1592),
  },
  [3787] = {
    [ts_builtin_sym_end] = ACTIONS(1598),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1598),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1598),
    [aux_sym_keyword_replace_token1] = ACTIONS(1598),
    [aux_sym__keyword_alter_token1] = ACTIONS(1598),
    [aux_sym__keyword_from_token1] = ACTIONS(1598),
    [aux_sym__keyword_delete_token1] = ACTIONS(1598),
    [aux_sym__keyword_begin_token1] = ACTIONS(1598),
    [aux_sym__keyword_end_token1] = ACTIONS(1598),
    [aux_sym__keyword_between_token1] = ACTIONS(1598),
    [aux_sym__keyword_when_token1] = ACTIONS(1598),
    [aux_sym__keyword_else_token1] = ACTIONS(1600),
    [aux_sym__keyword_is_token1] = ACTIONS(1598),
    [aux_sym__keyword_in_token1] = ACTIONS(1600),
    [aux_sym__keyword_and_token1] = ACTIONS(1598),
    [aux_sym__keyword_like_token1] = ACTIONS(1598),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1598),
    [aux_sym__keyword_as_token1] = ACTIONS(1600),
    [aux_sym__keyword_for_token1] = ACTIONS(1598),
    [anon_sym_SEMI] = ACTIONS(1598),
    [aux_sym_declare_statement_token1] = ACTIONS(1598),
    [anon_sym_COMMA] = ACTIONS(1598),
    [aux_sym_set_statement_token1] = ACTIONS(1598),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1598),
    [aux_sym_return_satement_token1] = ACTIONS(1598),
    [aux_sym_call_statement_token1] = ACTIONS(1598),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1598),
    [aux_sym_if_statement_token1] = ACTIONS(1598),
    [aux_sym_loop_statement_token1] = ACTIONS(1598),
    [aux_sym_repeat_statement_token1] = ACTIONS(1598),
    [aux_sym_while_statement_token1] = ACTIONS(1598),
    [aux_sym_break_statement_token1] = ACTIONS(1598),
    [aux_sym_leave_statement_token1] = ACTIONS(1598),
    [aux_sym_continue_statement_token1] = ACTIONS(1598),
    [aux_sym_iterate_statement_token1] = ACTIONS(1598),
    [aux_sym_raise_statement_token1] = ACTIONS(1598),
    [anon_sym_EQ] = ACTIONS(1598),
    [aux_sym_assert_statement_token1] = ACTIONS(1598),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1598),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1598),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1598),
    [aux_sym_option_clause_token1] = ACTIONS(1598),
    [anon_sym_LT] = ACTIONS(1600),
    [anon_sym_GT] = ACTIONS(1600),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1598),
    [aux_sym_select_token1] = ACTIONS(1598),
    [aux_sym_insert_statement_token1] = ACTIONS(1598),
    [aux_sym_truncate_statement_token1] = ACTIONS(1598),
    [aux_sym_update_statement_token1] = ACTIONS(1598),
    [aux_sym_merge_statement_token1] = ACTIONS(1598),
    [aux_sym_grant_statement_token1] = ACTIONS(1598),
    [aux_sym_revoke_statement_token1] = ACTIONS(1598),
    [aux_sym_export_data_statement_token1] = ACTIONS(1598),
    [aux_sym_load_data_statement_token1] = ACTIONS(1598),
    [anon_sym_LBRACK] = ACTIONS(1598),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1598),
    [anon_sym_PLUS] = ACTIONS(1598),
    [anon_sym_DASH] = ACTIONS(1600),
    [anon_sym_STAR] = ACTIONS(1598),
    [anon_sym_SLASH] = ACTIONS(1600),
    [anon_sym_PIPE_PIPE] = ACTIONS(1598),
    [anon_sym_LT_EQ] = ACTIONS(1598),
    [anon_sym_LT_GT] = ACTIONS(1598),
    [anon_sym_GT_EQ] = ACTIONS(1598),
    [anon_sym_BANG_EQ] = ACTIONS(1598),
    [anon_sym_LT_LT] = ACTIONS(1598),
    [anon_sym_GT_GT] = ACTIONS(1598),
    [anon_sym_AMP] = ACTIONS(1598),
    [anon_sym_CARET] = ACTIONS(1598),
    [anon_sym_PIPE] = ACTIONS(1600),
  },
  [3788] = {
    [ts_builtin_sym_end] = ACTIONS(1382),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1382),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1382),
    [aux_sym_keyword_replace_token1] = ACTIONS(1382),
    [aux_sym__keyword_alter_token1] = ACTIONS(1382),
    [aux_sym__keyword_from_token1] = ACTIONS(1382),
    [aux_sym__keyword_delete_token1] = ACTIONS(1382),
    [aux_sym__keyword_begin_token1] = ACTIONS(1382),
    [aux_sym__keyword_end_token1] = ACTIONS(1382),
    [aux_sym__keyword_between_token1] = ACTIONS(1382),
    [aux_sym__keyword_when_token1] = ACTIONS(1382),
    [aux_sym__keyword_else_token1] = ACTIONS(1384),
    [aux_sym__keyword_is_token1] = ACTIONS(1382),
    [aux_sym__keyword_in_token1] = ACTIONS(1384),
    [aux_sym__keyword_and_token1] = ACTIONS(1382),
    [aux_sym__keyword_like_token1] = ACTIONS(1382),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1382),
    [aux_sym__keyword_as_token1] = ACTIONS(1384),
    [aux_sym__keyword_for_token1] = ACTIONS(1382),
    [anon_sym_SEMI] = ACTIONS(1382),
    [aux_sym_declare_statement_token1] = ACTIONS(1382),
    [anon_sym_COMMA] = ACTIONS(1382),
    [aux_sym_set_statement_token1] = ACTIONS(1382),
    [anon_sym_LPAREN] = ACTIONS(1382),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1382),
    [aux_sym_return_satement_token1] = ACTIONS(1382),
    [aux_sym_call_statement_token1] = ACTIONS(1382),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1382),
    [aux_sym_if_statement_token1] = ACTIONS(1382),
    [aux_sym_loop_statement_token1] = ACTIONS(1382),
    [aux_sym_repeat_statement_token1] = ACTIONS(1382),
    [aux_sym_while_statement_token1] = ACTIONS(1382),
    [aux_sym_break_statement_token1] = ACTIONS(1382),
    [aux_sym_leave_statement_token1] = ACTIONS(1382),
    [aux_sym_continue_statement_token1] = ACTIONS(1382),
    [aux_sym_iterate_statement_token1] = ACTIONS(1382),
    [aux_sym_raise_statement_token1] = ACTIONS(1382),
    [anon_sym_EQ] = ACTIONS(1382),
    [aux_sym_assert_statement_token1] = ACTIONS(1382),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1382),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1382),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1382),
    [aux_sym_option_clause_token1] = ACTIONS(1382),
    [anon_sym_LT] = ACTIONS(1384),
    [anon_sym_GT] = ACTIONS(1384),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1382),
    [aux_sym_select_token1] = ACTIONS(1382),
    [aux_sym_insert_statement_token1] = ACTIONS(1382),
    [aux_sym_truncate_statement_token1] = ACTIONS(1382),
    [aux_sym_update_statement_token1] = ACTIONS(1382),
    [aux_sym_merge_statement_token1] = ACTIONS(1382),
    [aux_sym_grant_statement_token1] = ACTIONS(1382),
    [aux_sym_revoke_statement_token1] = ACTIONS(1382),
    [aux_sym_export_data_statement_token1] = ACTIONS(1382),
    [aux_sym_load_data_statement_token1] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(1382),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1382),
    [anon_sym_PLUS] = ACTIONS(1382),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_STAR] = ACTIONS(1382),
    [anon_sym_SLASH] = ACTIONS(1384),
    [anon_sym_PIPE_PIPE] = ACTIONS(1382),
    [anon_sym_LT_EQ] = ACTIONS(1382),
    [anon_sym_LT_GT] = ACTIONS(1382),
    [anon_sym_GT_EQ] = ACTIONS(1382),
    [anon_sym_BANG_EQ] = ACTIONS(1382),
    [anon_sym_LT_LT] = ACTIONS(1382),
    [anon_sym_GT_GT] = ACTIONS(1382),
    [anon_sym_AMP] = ACTIONS(1382),
    [anon_sym_CARET] = ACTIONS(1382),
    [anon_sym_PIPE] = ACTIONS(1384),
  },
  [3789] = {
    [sym_analytics_clause] = STATE(3926),
    [ts_builtin_sym_end] = ACTIONS(1382),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1382),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1382),
    [aux_sym_keyword_replace_token1] = ACTIONS(1382),
    [aux_sym__keyword_alter_token1] = ACTIONS(1382),
    [aux_sym__keyword_delete_token1] = ACTIONS(1382),
    [aux_sym__keyword_begin_token1] = ACTIONS(1382),
    [aux_sym__keyword_end_token1] = ACTIONS(1382),
    [aux_sym__keyword_between_token1] = ACTIONS(1382),
    [aux_sym__keyword_when_token1] = ACTIONS(1382),
    [aux_sym__keyword_else_token1] = ACTIONS(1384),
    [aux_sym__keyword_is_token1] = ACTIONS(1382),
    [aux_sym__keyword_in_token1] = ACTIONS(1384),
    [aux_sym__keyword_and_token1] = ACTIONS(1382),
    [aux_sym__keyword_like_token1] = ACTIONS(1382),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1382),
    [aux_sym__keyword_as_token1] = ACTIONS(1384),
    [aux_sym__keyword_for_token1] = ACTIONS(1382),
    [anon_sym_SEMI] = ACTIONS(1382),
    [aux_sym_declare_statement_token1] = ACTIONS(1382),
    [anon_sym_COMMA] = ACTIONS(1382),
    [aux_sym_set_statement_token1] = ACTIONS(1382),
    [anon_sym_LPAREN] = ACTIONS(1382),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1382),
    [aux_sym_return_satement_token1] = ACTIONS(1382),
    [aux_sym_call_statement_token1] = ACTIONS(1382),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1382),
    [aux_sym_if_statement_token1] = ACTIONS(1382),
    [aux_sym_loop_statement_token1] = ACTIONS(1382),
    [aux_sym_repeat_statement_token1] = ACTIONS(1382),
    [aux_sym_while_statement_token1] = ACTIONS(1382),
    [aux_sym_break_statement_token1] = ACTIONS(1382),
    [aux_sym_leave_statement_token1] = ACTIONS(1382),
    [aux_sym_continue_statement_token1] = ACTIONS(1382),
    [aux_sym_iterate_statement_token1] = ACTIONS(1382),
    [aux_sym_raise_statement_token1] = ACTIONS(1382),
    [anon_sym_EQ] = ACTIONS(1382),
    [aux_sym_assert_statement_token1] = ACTIONS(1382),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1382),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1382),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1382),
    [aux_sym_option_clause_token1] = ACTIONS(1382),
    [anon_sym_LT] = ACTIONS(1384),
    [anon_sym_GT] = ACTIONS(1384),
    [aux_sym_select_token1] = ACTIONS(1382),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1382),
    [aux_sym_truncate_statement_token1] = ACTIONS(1382),
    [aux_sym_update_statement_token1] = ACTIONS(1382),
    [aux_sym_merge_statement_token1] = ACTIONS(1382),
    [aux_sym_grant_statement_token1] = ACTIONS(1382),
    [aux_sym_revoke_statement_token1] = ACTIONS(1382),
    [aux_sym_export_data_statement_token1] = ACTIONS(1382),
    [aux_sym_load_data_statement_token1] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(1382),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1382),
    [anon_sym_PLUS] = ACTIONS(1382),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_STAR] = ACTIONS(1382),
    [anon_sym_SLASH] = ACTIONS(1384),
    [anon_sym_PIPE_PIPE] = ACTIONS(1382),
    [anon_sym_LT_EQ] = ACTIONS(1382),
    [anon_sym_LT_GT] = ACTIONS(1382),
    [anon_sym_GT_EQ] = ACTIONS(1382),
    [anon_sym_BANG_EQ] = ACTIONS(1382),
    [anon_sym_LT_LT] = ACTIONS(1382),
    [anon_sym_GT_GT] = ACTIONS(1382),
    [anon_sym_AMP] = ACTIONS(1382),
    [anon_sym_CARET] = ACTIONS(1382),
    [anon_sym_PIPE] = ACTIONS(1384),
  },
  [3790] = {
    [ts_builtin_sym_end] = ACTIONS(1390),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1390),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1390),
    [aux_sym_keyword_replace_token1] = ACTIONS(1390),
    [aux_sym__keyword_alter_token1] = ACTIONS(1390),
    [aux_sym__keyword_from_token1] = ACTIONS(1390),
    [aux_sym__keyword_delete_token1] = ACTIONS(1390),
    [aux_sym__keyword_begin_token1] = ACTIONS(1390),
    [aux_sym__keyword_end_token1] = ACTIONS(1390),
    [aux_sym__keyword_between_token1] = ACTIONS(1390),
    [aux_sym__keyword_when_token1] = ACTIONS(1390),
    [aux_sym__keyword_else_token1] = ACTIONS(1392),
    [aux_sym__keyword_is_token1] = ACTIONS(1390),
    [aux_sym__keyword_in_token1] = ACTIONS(1392),
    [aux_sym__keyword_and_token1] = ACTIONS(1390),
    [aux_sym__keyword_like_token1] = ACTIONS(1390),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1390),
    [aux_sym__keyword_as_token1] = ACTIONS(1392),
    [aux_sym__keyword_for_token1] = ACTIONS(1390),
    [anon_sym_SEMI] = ACTIONS(1390),
    [aux_sym_declare_statement_token1] = ACTIONS(1390),
    [anon_sym_COMMA] = ACTIONS(1390),
    [aux_sym_set_statement_token1] = ACTIONS(1390),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1390),
    [aux_sym_return_satement_token1] = ACTIONS(1390),
    [aux_sym_call_statement_token1] = ACTIONS(1390),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1390),
    [aux_sym_if_statement_token1] = ACTIONS(1390),
    [aux_sym_loop_statement_token1] = ACTIONS(1390),
    [aux_sym_repeat_statement_token1] = ACTIONS(1390),
    [aux_sym_while_statement_token1] = ACTIONS(1390),
    [aux_sym_break_statement_token1] = ACTIONS(1390),
    [aux_sym_leave_statement_token1] = ACTIONS(1390),
    [aux_sym_continue_statement_token1] = ACTIONS(1390),
    [aux_sym_iterate_statement_token1] = ACTIONS(1390),
    [aux_sym_raise_statement_token1] = ACTIONS(1390),
    [anon_sym_EQ] = ACTIONS(1390),
    [aux_sym_assert_statement_token1] = ACTIONS(1390),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1390),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1390),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1390),
    [aux_sym_option_clause_token1] = ACTIONS(1390),
    [anon_sym_LT] = ACTIONS(1392),
    [anon_sym_GT] = ACTIONS(1392),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1390),
    [aux_sym_select_token1] = ACTIONS(1390),
    [aux_sym_insert_statement_token1] = ACTIONS(1390),
    [aux_sym_truncate_statement_token1] = ACTIONS(1390),
    [aux_sym_update_statement_token1] = ACTIONS(1390),
    [aux_sym_merge_statement_token1] = ACTIONS(1390),
    [aux_sym_grant_statement_token1] = ACTIONS(1390),
    [aux_sym_revoke_statement_token1] = ACTIONS(1390),
    [aux_sym_export_data_statement_token1] = ACTIONS(1390),
    [aux_sym_load_data_statement_token1] = ACTIONS(1390),
    [anon_sym_LBRACK] = ACTIONS(1390),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_DASH] = ACTIONS(1392),
    [anon_sym_STAR] = ACTIONS(1390),
    [anon_sym_SLASH] = ACTIONS(1392),
    [anon_sym_PIPE_PIPE] = ACTIONS(1390),
    [anon_sym_LT_EQ] = ACTIONS(1390),
    [anon_sym_LT_GT] = ACTIONS(1390),
    [anon_sym_GT_EQ] = ACTIONS(1390),
    [anon_sym_BANG_EQ] = ACTIONS(1390),
    [anon_sym_LT_LT] = ACTIONS(1390),
    [anon_sym_GT_GT] = ACTIONS(1390),
    [anon_sym_AMP] = ACTIONS(1390),
    [anon_sym_CARET] = ACTIONS(1390),
    [anon_sym_PIPE] = ACTIONS(1392),
  },
  [3791] = {
    [sym_analytics_clause] = STATE(3854),
    [ts_builtin_sym_end] = ACTIONS(1390),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1390),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1390),
    [aux_sym_keyword_replace_token1] = ACTIONS(1390),
    [aux_sym__keyword_alter_token1] = ACTIONS(1390),
    [aux_sym__keyword_delete_token1] = ACTIONS(1390),
    [aux_sym__keyword_begin_token1] = ACTIONS(1390),
    [aux_sym__keyword_end_token1] = ACTIONS(1390),
    [aux_sym__keyword_between_token1] = ACTIONS(1390),
    [aux_sym__keyword_when_token1] = ACTIONS(1390),
    [aux_sym__keyword_else_token1] = ACTIONS(1392),
    [aux_sym__keyword_is_token1] = ACTIONS(1390),
    [aux_sym__keyword_in_token1] = ACTIONS(1392),
    [aux_sym__keyword_and_token1] = ACTIONS(1390),
    [aux_sym__keyword_like_token1] = ACTIONS(1390),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1390),
    [aux_sym__keyword_as_token1] = ACTIONS(1392),
    [aux_sym__keyword_for_token1] = ACTIONS(1390),
    [anon_sym_SEMI] = ACTIONS(1390),
    [aux_sym_declare_statement_token1] = ACTIONS(1390),
    [anon_sym_COMMA] = ACTIONS(1390),
    [aux_sym_set_statement_token1] = ACTIONS(1390),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1390),
    [aux_sym_return_satement_token1] = ACTIONS(1390),
    [aux_sym_call_statement_token1] = ACTIONS(1390),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1390),
    [aux_sym_if_statement_token1] = ACTIONS(1390),
    [aux_sym_loop_statement_token1] = ACTIONS(1390),
    [aux_sym_repeat_statement_token1] = ACTIONS(1390),
    [aux_sym_while_statement_token1] = ACTIONS(1390),
    [aux_sym_break_statement_token1] = ACTIONS(1390),
    [aux_sym_leave_statement_token1] = ACTIONS(1390),
    [aux_sym_continue_statement_token1] = ACTIONS(1390),
    [aux_sym_iterate_statement_token1] = ACTIONS(1390),
    [aux_sym_raise_statement_token1] = ACTIONS(1390),
    [anon_sym_EQ] = ACTIONS(1390),
    [aux_sym_assert_statement_token1] = ACTIONS(1390),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1390),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1390),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1390),
    [aux_sym_option_clause_token1] = ACTIONS(1390),
    [anon_sym_LT] = ACTIONS(1392),
    [anon_sym_GT] = ACTIONS(1392),
    [aux_sym_select_token1] = ACTIONS(1390),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1390),
    [aux_sym_truncate_statement_token1] = ACTIONS(1390),
    [aux_sym_update_statement_token1] = ACTIONS(1390),
    [aux_sym_merge_statement_token1] = ACTIONS(1390),
    [aux_sym_grant_statement_token1] = ACTIONS(1390),
    [aux_sym_revoke_statement_token1] = ACTIONS(1390),
    [aux_sym_export_data_statement_token1] = ACTIONS(1390),
    [aux_sym_load_data_statement_token1] = ACTIONS(1390),
    [anon_sym_LBRACK] = ACTIONS(1390),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_DASH] = ACTIONS(1392),
    [anon_sym_STAR] = ACTIONS(1390),
    [anon_sym_SLASH] = ACTIONS(1392),
    [anon_sym_PIPE_PIPE] = ACTIONS(1390),
    [anon_sym_LT_EQ] = ACTIONS(1390),
    [anon_sym_LT_GT] = ACTIONS(1390),
    [anon_sym_GT_EQ] = ACTIONS(1390),
    [anon_sym_BANG_EQ] = ACTIONS(1390),
    [anon_sym_LT_LT] = ACTIONS(1390),
    [anon_sym_GT_GT] = ACTIONS(1390),
    [anon_sym_AMP] = ACTIONS(1390),
    [anon_sym_CARET] = ACTIONS(1390),
    [anon_sym_PIPE] = ACTIONS(1392),
  },
  [3792] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_from_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [aux_sym_option_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1378),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [3793] = {
    [sym_analytics_clause] = STATE(3788),
    [ts_builtin_sym_end] = ACTIONS(1500),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1500),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1500),
    [aux_sym_keyword_replace_token1] = ACTIONS(1500),
    [aux_sym__keyword_alter_token1] = ACTIONS(1500),
    [aux_sym__keyword_delete_token1] = ACTIONS(1500),
    [aux_sym__keyword_begin_token1] = ACTIONS(1500),
    [aux_sym__keyword_end_token1] = ACTIONS(1500),
    [aux_sym__keyword_between_token1] = ACTIONS(1500),
    [aux_sym__keyword_when_token1] = ACTIONS(1500),
    [aux_sym__keyword_else_token1] = ACTIONS(1502),
    [aux_sym__keyword_is_token1] = ACTIONS(1500),
    [aux_sym__keyword_in_token1] = ACTIONS(1502),
    [aux_sym__keyword_and_token1] = ACTIONS(1500),
    [aux_sym__keyword_like_token1] = ACTIONS(1500),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1500),
    [aux_sym__keyword_as_token1] = ACTIONS(1502),
    [aux_sym__keyword_for_token1] = ACTIONS(1500),
    [anon_sym_SEMI] = ACTIONS(1500),
    [aux_sym_declare_statement_token1] = ACTIONS(1500),
    [anon_sym_COMMA] = ACTIONS(1500),
    [aux_sym_set_statement_token1] = ACTIONS(1500),
    [anon_sym_LPAREN] = ACTIONS(1500),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1500),
    [aux_sym_return_satement_token1] = ACTIONS(1500),
    [aux_sym_call_statement_token1] = ACTIONS(1500),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1500),
    [aux_sym_if_statement_token1] = ACTIONS(1500),
    [aux_sym_loop_statement_token1] = ACTIONS(1500),
    [aux_sym_repeat_statement_token1] = ACTIONS(1500),
    [aux_sym_while_statement_token1] = ACTIONS(1500),
    [aux_sym_break_statement_token1] = ACTIONS(1500),
    [aux_sym_leave_statement_token1] = ACTIONS(1500),
    [aux_sym_continue_statement_token1] = ACTIONS(1500),
    [aux_sym_iterate_statement_token1] = ACTIONS(1500),
    [aux_sym_raise_statement_token1] = ACTIONS(1500),
    [anon_sym_EQ] = ACTIONS(1500),
    [aux_sym_assert_statement_token1] = ACTIONS(1500),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1500),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1500),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1500),
    [aux_sym_option_clause_token1] = ACTIONS(1500),
    [anon_sym_LT] = ACTIONS(1502),
    [anon_sym_GT] = ACTIONS(1502),
    [aux_sym_select_token1] = ACTIONS(1500),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1500),
    [aux_sym_truncate_statement_token1] = ACTIONS(1500),
    [aux_sym_update_statement_token1] = ACTIONS(1500),
    [aux_sym_merge_statement_token1] = ACTIONS(1500),
    [aux_sym_grant_statement_token1] = ACTIONS(1500),
    [aux_sym_revoke_statement_token1] = ACTIONS(1500),
    [aux_sym_export_data_statement_token1] = ACTIONS(1500),
    [aux_sym_load_data_statement_token1] = ACTIONS(1500),
    [anon_sym_LBRACK] = ACTIONS(1500),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_STAR] = ACTIONS(1500),
    [anon_sym_SLASH] = ACTIONS(1502),
    [anon_sym_PIPE_PIPE] = ACTIONS(1500),
    [anon_sym_LT_EQ] = ACTIONS(1500),
    [anon_sym_LT_GT] = ACTIONS(1500),
    [anon_sym_GT_EQ] = ACTIONS(1500),
    [anon_sym_BANG_EQ] = ACTIONS(1500),
    [anon_sym_LT_LT] = ACTIONS(1500),
    [anon_sym_GT_GT] = ACTIONS(1500),
    [anon_sym_AMP] = ACTIONS(1500),
    [anon_sym_CARET] = ACTIONS(1500),
    [anon_sym_PIPE] = ACTIONS(1502),
  },
  [3794] = {
    [sym_analytics_clause] = STATE(3856),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [aux_sym_option_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [3795] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_from_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [aux_sym_option_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1378),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [3796] = {
    [sym_analytics_clause] = STATE(3857),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [aux_sym_option_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [3797] = {
    [sym_analytics_clause] = STATE(3858),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [aux_sym_option_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [3798] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_from_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [aux_sym_option_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1378),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [3799] = {
    [sym_analytics_clause] = STATE(3860),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [aux_sym_option_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [3800] = {
    [sym_analytics_clause] = STATE(3861),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [aux_sym_option_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [3801] = {
    [sym__keyword_between] = STATE(1819),
    [sym__keyword_is] = STATE(12068),
    [sym__keyword_in] = STATE(1558),
    [sym__keyword_not] = STATE(13100),
    [sym__keyword_and] = STATE(1533),
    [sym__keyword_or] = STATE(1532),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(1027),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1027),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(2744),
    [aux_sym__keyword_alter_token1] = ACTIONS(1027),
    [aux_sym__keyword_delete_token1] = ACTIONS(1027),
    [aux_sym__keyword_begin_token1] = ACTIONS(1027),
    [aux_sym__keyword_between_token1] = ACTIONS(3302),
    [aux_sym__keyword_when_token1] = ACTIONS(1027),
    [aux_sym__keyword_is_token1] = ACTIONS(3304),
    [aux_sym__keyword_in_token1] = ACTIONS(3306),
    [aux_sym__keyword_and_token1] = ACTIONS(3308),
    [aux_sym__keyword_like_token1] = ACTIONS(1027),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1027),
    [aux_sym__keyword_for_token1] = ACTIONS(1027),
    [anon_sym_SEMI] = ACTIONS(1027),
    [aux_sym_declare_statement_token1] = ACTIONS(1027),
    [anon_sym_COMMA] = ACTIONS(1027),
    [aux_sym_set_statement_token1] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1027),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1027),
    [aux_sym_return_satement_token1] = ACTIONS(1027),
    [aux_sym_call_statement_token1] = ACTIONS(1027),
    [aux_sym_loop_statement_token1] = ACTIONS(1027),
    [aux_sym_while_statement_token1] = ACTIONS(1027),
    [aux_sym_break_statement_token1] = ACTIONS(1027),
    [aux_sym_leave_statement_token1] = ACTIONS(1027),
    [aux_sym_continue_statement_token1] = ACTIONS(1027),
    [aux_sym_iterate_statement_token1] = ACTIONS(1027),
    [aux_sym_raise_statement_token1] = ACTIONS(1027),
    [anon_sym_EQ] = ACTIONS(3310),
    [aux_sym_assert_statement_token1] = ACTIONS(1027),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1027),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1027),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1027),
    [anon_sym_LT] = ACTIONS(3306),
    [anon_sym_GT] = ACTIONS(3306),
    [aux_sym_select_token1] = ACTIONS(1027),
    [aux_sym_insert_statement_token1] = ACTIONS(1027),
    [aux_sym_truncate_statement_token1] = ACTIONS(1027),
    [aux_sym_update_statement_token1] = ACTIONS(1027),
    [aux_sym_merge_statement_token1] = ACTIONS(1027),
    [aux_sym_grant_statement_token1] = ACTIONS(1027),
    [aux_sym_revoke_statement_token1] = ACTIONS(1027),
    [aux_sym_export_data_statement_token1] = ACTIONS(1027),
    [aux_sym_load_data_statement_token1] = ACTIONS(1027),
    [anon_sym_LBRACK] = ACTIONS(1027),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_DASH] = ACTIONS(3314),
    [anon_sym_STAR] = ACTIONS(3316),
    [anon_sym_SLASH] = ACTIONS(3318),
    [anon_sym_PIPE_PIPE] = ACTIONS(3316),
    [anon_sym_LT_EQ] = ACTIONS(3310),
    [anon_sym_LT_GT] = ACTIONS(3310),
    [anon_sym_GT_EQ] = ACTIONS(3310),
    [anon_sym_BANG_EQ] = ACTIONS(3310),
    [anon_sym_LT_LT] = ACTIONS(3320),
    [anon_sym_GT_GT] = ACTIONS(3320),
    [anon_sym_AMP] = ACTIONS(3322),
    [anon_sym_CARET] = ACTIONS(3324),
    [anon_sym_PIPE] = ACTIONS(3326),
  },
  [3802] = {
    [sym_analytics_clause] = STATE(3863),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [aux_sym_option_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [3803] = {
    [sym__keyword_between] = STATE(1451),
    [sym__keyword_is] = STATE(12153),
    [sym__keyword_in] = STATE(876),
    [sym__keyword_not] = STATE(13044),
    [sym__keyword_and] = STATE(885),
    [sym__keyword_or] = STATE(887),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(3104),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3104),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(3104),
    [aux_sym_keyword_replace_token1] = ACTIONS(2744),
    [aux_sym__keyword_alter_token1] = ACTIONS(3104),
    [aux_sym__keyword_delete_token1] = ACTIONS(3104),
    [aux_sym__keyword_begin_token1] = ACTIONS(3104),
    [aux_sym__keyword_between_token1] = ACTIONS(3276),
    [aux_sym__keyword_is_token1] = ACTIONS(3278),
    [aux_sym__keyword_in_token1] = ACTIONS(3280),
    [aux_sym__keyword_and_token1] = ACTIONS(3282),
    [aux_sym__keyword_like_token1] = ACTIONS(1007),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3104),
    [aux_sym__keyword_for_token1] = ACTIONS(3104),
    [anon_sym_SEMI] = ACTIONS(3104),
    [aux_sym_declare_statement_token1] = ACTIONS(3104),
    [anon_sym_COMMA] = ACTIONS(3104),
    [aux_sym_set_statement_token1] = ACTIONS(3104),
    [anon_sym_LPAREN] = ACTIONS(3104),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(3104),
    [aux_sym_return_satement_token1] = ACTIONS(3104),
    [aux_sym_call_statement_token1] = ACTIONS(3104),
    [aux_sym_loop_statement_token1] = ACTIONS(3104),
    [aux_sym_while_statement_token1] = ACTIONS(3104),
    [aux_sym_break_statement_token1] = ACTIONS(3104),
    [aux_sym_leave_statement_token1] = ACTIONS(3104),
    [aux_sym_continue_statement_token1] = ACTIONS(3104),
    [aux_sym_iterate_statement_token1] = ACTIONS(3104),
    [aux_sym_raise_statement_token1] = ACTIONS(3104),
    [anon_sym_EQ] = ACTIONS(3284),
    [aux_sym_assert_statement_token1] = ACTIONS(3104),
    [aux_sym_create_schema_statement_token1] = ACTIONS(3104),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(3104),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3104),
    [aux_sym_option_clause_token1] = ACTIONS(3104),
    [anon_sym_LT] = ACTIONS(3280),
    [anon_sym_GT] = ACTIONS(3280),
    [aux_sym_select_token1] = ACTIONS(3104),
    [aux_sym_insert_statement_token1] = ACTIONS(3104),
    [aux_sym_truncate_statement_token1] = ACTIONS(3104),
    [aux_sym_update_statement_token1] = ACTIONS(3104),
    [aux_sym_merge_statement_token1] = ACTIONS(3104),
    [aux_sym_grant_statement_token1] = ACTIONS(3104),
    [aux_sym_revoke_statement_token1] = ACTIONS(3104),
    [aux_sym_export_data_statement_token1] = ACTIONS(3104),
    [aux_sym_load_data_statement_token1] = ACTIONS(3104),
    [anon_sym_LBRACK] = ACTIONS(3056),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(3058),
    [anon_sym_PLUS] = ACTIONS(3286),
    [anon_sym_DASH] = ACTIONS(3288),
    [anon_sym_STAR] = ACTIONS(3290),
    [anon_sym_SLASH] = ACTIONS(3292),
    [anon_sym_PIPE_PIPE] = ACTIONS(3290),
    [anon_sym_LT_EQ] = ACTIONS(3284),
    [anon_sym_LT_GT] = ACTIONS(3284),
    [anon_sym_GT_EQ] = ACTIONS(3284),
    [anon_sym_BANG_EQ] = ACTIONS(3284),
    [anon_sym_LT_LT] = ACTIONS(3294),
    [anon_sym_GT_GT] = ACTIONS(3294),
    [anon_sym_AMP] = ACTIONS(3296),
    [anon_sym_CARET] = ACTIONS(3298),
    [anon_sym_PIPE] = ACTIONS(3300),
  },
  [3804] = {
    [sym_analytics_clause] = STATE(3864),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [aux_sym_option_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [3805] = {
    [sym_analytics_clause] = STATE(3866),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [aux_sym_option_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [3806] = {
    [sym_analytics_clause] = STATE(3869),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [aux_sym_option_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [3807] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_from_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [aux_sym_option_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1378),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [3808] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_from_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [aux_sym_option_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1378),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [3809] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_from_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [aux_sym_option_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1378),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [3810] = {
    [sym_analytics_clause] = STATE(3872),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [aux_sym_option_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [3811] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_from_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [aux_sym_option_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1378),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [3812] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_from_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [aux_sym_option_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1378),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [3813] = {
    [sym_analytics_clause] = STATE(3873),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [aux_sym_option_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [3814] = {
    [ts_builtin_sym_end] = ACTIONS(1484),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1484),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1484),
    [aux_sym_keyword_replace_token1] = ACTIONS(1484),
    [aux_sym__keyword_alter_token1] = ACTIONS(1484),
    [aux_sym__keyword_from_token1] = ACTIONS(1484),
    [aux_sym__keyword_delete_token1] = ACTIONS(1484),
    [aux_sym__keyword_begin_token1] = ACTIONS(1484),
    [aux_sym__keyword_end_token1] = ACTIONS(1484),
    [aux_sym__keyword_between_token1] = ACTIONS(1484),
    [aux_sym__keyword_when_token1] = ACTIONS(1484),
    [aux_sym__keyword_else_token1] = ACTIONS(1486),
    [aux_sym__keyword_is_token1] = ACTIONS(1484),
    [aux_sym__keyword_in_token1] = ACTIONS(1486),
    [aux_sym__keyword_and_token1] = ACTIONS(1484),
    [aux_sym__keyword_like_token1] = ACTIONS(1484),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1484),
    [aux_sym__keyword_as_token1] = ACTIONS(1486),
    [aux_sym__keyword_for_token1] = ACTIONS(1484),
    [anon_sym_SEMI] = ACTIONS(1484),
    [aux_sym_declare_statement_token1] = ACTIONS(1484),
    [anon_sym_COMMA] = ACTIONS(1484),
    [aux_sym_set_statement_token1] = ACTIONS(1484),
    [anon_sym_LPAREN] = ACTIONS(1484),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1484),
    [aux_sym_return_satement_token1] = ACTIONS(1484),
    [aux_sym_call_statement_token1] = ACTIONS(1484),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1484),
    [aux_sym_if_statement_token1] = ACTIONS(1484),
    [aux_sym_loop_statement_token1] = ACTIONS(1484),
    [aux_sym_repeat_statement_token1] = ACTIONS(1484),
    [aux_sym_while_statement_token1] = ACTIONS(1484),
    [aux_sym_break_statement_token1] = ACTIONS(1484),
    [aux_sym_leave_statement_token1] = ACTIONS(1484),
    [aux_sym_continue_statement_token1] = ACTIONS(1484),
    [aux_sym_iterate_statement_token1] = ACTIONS(1484),
    [aux_sym_raise_statement_token1] = ACTIONS(1484),
    [anon_sym_EQ] = ACTIONS(1484),
    [aux_sym_assert_statement_token1] = ACTIONS(1484),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1484),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1484),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1484),
    [aux_sym_option_clause_token1] = ACTIONS(1484),
    [anon_sym_LT] = ACTIONS(1486),
    [anon_sym_GT] = ACTIONS(1486),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1484),
    [aux_sym_select_token1] = ACTIONS(1484),
    [aux_sym_insert_statement_token1] = ACTIONS(1484),
    [aux_sym_truncate_statement_token1] = ACTIONS(1484),
    [aux_sym_update_statement_token1] = ACTIONS(1484),
    [aux_sym_merge_statement_token1] = ACTIONS(1484),
    [aux_sym_grant_statement_token1] = ACTIONS(1484),
    [aux_sym_revoke_statement_token1] = ACTIONS(1484),
    [aux_sym_export_data_statement_token1] = ACTIONS(1484),
    [aux_sym_load_data_statement_token1] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_SLASH] = ACTIONS(1486),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [anon_sym_LT_EQ] = ACTIONS(1484),
    [anon_sym_LT_GT] = ACTIONS(1484),
    [anon_sym_GT_EQ] = ACTIONS(1484),
    [anon_sym_BANG_EQ] = ACTIONS(1484),
    [anon_sym_LT_LT] = ACTIONS(1484),
    [anon_sym_GT_GT] = ACTIONS(1484),
    [anon_sym_AMP] = ACTIONS(1484),
    [anon_sym_CARET] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1486),
  },
  [3815] = {
    [sym_analytics_clause] = STATE(3874),
    [ts_builtin_sym_end] = ACTIONS(1484),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1484),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1484),
    [aux_sym_keyword_replace_token1] = ACTIONS(1484),
    [aux_sym__keyword_alter_token1] = ACTIONS(1484),
    [aux_sym__keyword_delete_token1] = ACTIONS(1484),
    [aux_sym__keyword_begin_token1] = ACTIONS(1484),
    [aux_sym__keyword_end_token1] = ACTIONS(1484),
    [aux_sym__keyword_between_token1] = ACTIONS(1484),
    [aux_sym__keyword_when_token1] = ACTIONS(1484),
    [aux_sym__keyword_else_token1] = ACTIONS(1486),
    [aux_sym__keyword_is_token1] = ACTIONS(1484),
    [aux_sym__keyword_in_token1] = ACTIONS(1486),
    [aux_sym__keyword_and_token1] = ACTIONS(1484),
    [aux_sym__keyword_like_token1] = ACTIONS(1484),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1484),
    [aux_sym__keyword_as_token1] = ACTIONS(1486),
    [aux_sym__keyword_for_token1] = ACTIONS(1484),
    [anon_sym_SEMI] = ACTIONS(1484),
    [aux_sym_declare_statement_token1] = ACTIONS(1484),
    [anon_sym_COMMA] = ACTIONS(1484),
    [aux_sym_set_statement_token1] = ACTIONS(1484),
    [anon_sym_LPAREN] = ACTIONS(1484),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1484),
    [aux_sym_return_satement_token1] = ACTIONS(1484),
    [aux_sym_call_statement_token1] = ACTIONS(1484),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1484),
    [aux_sym_if_statement_token1] = ACTIONS(1484),
    [aux_sym_loop_statement_token1] = ACTIONS(1484),
    [aux_sym_repeat_statement_token1] = ACTIONS(1484),
    [aux_sym_while_statement_token1] = ACTIONS(1484),
    [aux_sym_break_statement_token1] = ACTIONS(1484),
    [aux_sym_leave_statement_token1] = ACTIONS(1484),
    [aux_sym_continue_statement_token1] = ACTIONS(1484),
    [aux_sym_iterate_statement_token1] = ACTIONS(1484),
    [aux_sym_raise_statement_token1] = ACTIONS(1484),
    [anon_sym_EQ] = ACTIONS(1484),
    [aux_sym_assert_statement_token1] = ACTIONS(1484),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1484),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1484),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1484),
    [aux_sym_option_clause_token1] = ACTIONS(1484),
    [anon_sym_LT] = ACTIONS(1486),
    [anon_sym_GT] = ACTIONS(1486),
    [aux_sym_select_token1] = ACTIONS(1484),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1484),
    [aux_sym_truncate_statement_token1] = ACTIONS(1484),
    [aux_sym_update_statement_token1] = ACTIONS(1484),
    [aux_sym_merge_statement_token1] = ACTIONS(1484),
    [aux_sym_grant_statement_token1] = ACTIONS(1484),
    [aux_sym_revoke_statement_token1] = ACTIONS(1484),
    [aux_sym_export_data_statement_token1] = ACTIONS(1484),
    [aux_sym_load_data_statement_token1] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_SLASH] = ACTIONS(1486),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [anon_sym_LT_EQ] = ACTIONS(1484),
    [anon_sym_LT_GT] = ACTIONS(1484),
    [anon_sym_GT_EQ] = ACTIONS(1484),
    [anon_sym_BANG_EQ] = ACTIONS(1484),
    [anon_sym_LT_LT] = ACTIONS(1484),
    [anon_sym_GT_GT] = ACTIONS(1484),
    [anon_sym_AMP] = ACTIONS(1484),
    [anon_sym_CARET] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1486),
  },
  [3816] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_from_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [aux_sym_option_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1354),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3817] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_from_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [aux_sym_option_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1354),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3818] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_from_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [aux_sym_option_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1354),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3819] = {
    [sym_analytics_clause] = STATE(3875),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [aux_sym_option_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3820] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_from_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [aux_sym_option_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1354),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3821] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_from_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [aux_sym_option_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1354),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3822] = {
    [sym_analytics_clause] = STATE(3876),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [aux_sym_option_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3823] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_from_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [aux_sym_option_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1354),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3824] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_from_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [aux_sym_option_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1354),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3825] = {
    [sym_analytics_clause] = STATE(3879),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [aux_sym_option_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3826] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_from_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [aux_sym_option_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1354),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3827] = {
    [sym_analytics_clause] = STATE(3880),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [aux_sym_option_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3828] = {
    [sym_analytics_clause] = STATE(3881),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [aux_sym_option_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3829] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_from_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [aux_sym_option_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1354),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3830] = {
    [sym_analytics_clause] = STATE(3883),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [aux_sym_option_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3831] = {
    [sym_analytics_clause] = STATE(3884),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [aux_sym_option_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3832] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_from_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [aux_sym_option_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1354),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3833] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_from_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [aux_sym_option_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1354),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3834] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_from_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [aux_sym_option_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1354),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3835] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_from_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [aux_sym_option_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1354),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3836] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_from_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [aux_sym_option_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1354),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3837] = {
    [sym_analytics_clause] = STATE(3886),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [aux_sym_option_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3838] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_from_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [aux_sym_option_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1354),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3839] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_from_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [aux_sym_option_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1354),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3840] = {
    [sym_analytics_clause] = STATE(3887),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [aux_sym_option_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3841] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_from_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [aux_sym_option_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1354),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3842] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_from_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [aux_sym_option_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1354),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3843] = {
    [sym_analytics_clause] = STATE(3888),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [aux_sym_option_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3844] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_from_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [aux_sym_option_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1354),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3845] = {
    [sym_analytics_clause] = STATE(3890),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [aux_sym_option_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3846] = {
    [sym_analytics_clause] = STATE(3891),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [aux_sym_option_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3847] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_from_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [aux_sym_option_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1354),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3848] = {
    [sym_analytics_clause] = STATE(3893),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [aux_sym_option_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3849] = {
    [sym_analytics_clause] = STATE(3894),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [aux_sym_option_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3850] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_from_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [aux_sym_option_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1354),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3851] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_from_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_when_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [aux_sym_option_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1354),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [3852] = {
    [ts_builtin_sym_end] = ACTIONS(1594),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1594),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1594),
    [aux_sym_keyword_replace_token1] = ACTIONS(1594),
    [aux_sym__keyword_alter_token1] = ACTIONS(1594),
    [aux_sym__keyword_from_token1] = ACTIONS(1594),
    [aux_sym__keyword_delete_token1] = ACTIONS(1594),
    [aux_sym__keyword_begin_token1] = ACTIONS(1594),
    [aux_sym__keyword_end_token1] = ACTIONS(1594),
    [aux_sym__keyword_between_token1] = ACTIONS(1594),
    [aux_sym__keyword_when_token1] = ACTIONS(1594),
    [aux_sym__keyword_else_token1] = ACTIONS(1596),
    [aux_sym__keyword_is_token1] = ACTIONS(1594),
    [aux_sym__keyword_in_token1] = ACTIONS(1596),
    [aux_sym__keyword_and_token1] = ACTIONS(1594),
    [aux_sym__keyword_like_token1] = ACTIONS(1594),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1594),
    [aux_sym__keyword_as_token1] = ACTIONS(1596),
    [aux_sym__keyword_for_token1] = ACTIONS(1594),
    [anon_sym_SEMI] = ACTIONS(1594),
    [aux_sym_declare_statement_token1] = ACTIONS(1594),
    [anon_sym_COMMA] = ACTIONS(1594),
    [aux_sym_set_statement_token1] = ACTIONS(1594),
    [anon_sym_LPAREN] = ACTIONS(1594),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1594),
    [aux_sym_return_satement_token1] = ACTIONS(1594),
    [aux_sym_call_statement_token1] = ACTIONS(1594),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1594),
    [aux_sym_if_statement_token1] = ACTIONS(1594),
    [aux_sym_loop_statement_token1] = ACTIONS(1594),
    [aux_sym_repeat_statement_token1] = ACTIONS(1594),
    [aux_sym_while_statement_token1] = ACTIONS(1594),
    [aux_sym_break_statement_token1] = ACTIONS(1594),
    [aux_sym_leave_statement_token1] = ACTIONS(1594),
    [aux_sym_continue_statement_token1] = ACTIONS(1594),
    [aux_sym_iterate_statement_token1] = ACTIONS(1594),
    [aux_sym_raise_statement_token1] = ACTIONS(1594),
    [anon_sym_EQ] = ACTIONS(1594),
    [aux_sym_assert_statement_token1] = ACTIONS(1594),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1594),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1594),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1594),
    [aux_sym_option_clause_token1] = ACTIONS(1594),
    [anon_sym_LT] = ACTIONS(1596),
    [anon_sym_GT] = ACTIONS(1596),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1594),
    [aux_sym_select_token1] = ACTIONS(1594),
    [aux_sym_insert_statement_token1] = ACTIONS(1594),
    [aux_sym_truncate_statement_token1] = ACTIONS(1594),
    [aux_sym_update_statement_token1] = ACTIONS(1594),
    [aux_sym_merge_statement_token1] = ACTIONS(1594),
    [aux_sym_grant_statement_token1] = ACTIONS(1594),
    [aux_sym_revoke_statement_token1] = ACTIONS(1594),
    [aux_sym_export_data_statement_token1] = ACTIONS(1594),
    [aux_sym_load_data_statement_token1] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1594),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1594),
    [anon_sym_PLUS] = ACTIONS(1594),
    [anon_sym_DASH] = ACTIONS(1596),
    [anon_sym_STAR] = ACTIONS(1594),
    [anon_sym_SLASH] = ACTIONS(1596),
    [anon_sym_PIPE_PIPE] = ACTIONS(1594),
    [anon_sym_LT_EQ] = ACTIONS(1594),
    [anon_sym_LT_GT] = ACTIONS(1594),
    [anon_sym_GT_EQ] = ACTIONS(1594),
    [anon_sym_BANG_EQ] = ACTIONS(1594),
    [anon_sym_LT_LT] = ACTIONS(1594),
    [anon_sym_GT_GT] = ACTIONS(1594),
    [anon_sym_AMP] = ACTIONS(1594),
    [anon_sym_CARET] = ACTIONS(1594),
    [anon_sym_PIPE] = ACTIONS(1596),
  },
  [3853] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_from_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_when_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [aux_sym_option_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1378),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [3854] = {
    [ts_builtin_sym_end] = ACTIONS(1374),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1374),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1374),
    [aux_sym_keyword_replace_token1] = ACTIONS(1374),
    [aux_sym__keyword_alter_token1] = ACTIONS(1374),
    [aux_sym__keyword_from_token1] = ACTIONS(1374),
    [aux_sym__keyword_delete_token1] = ACTIONS(1374),
    [aux_sym__keyword_begin_token1] = ACTIONS(1374),
    [aux_sym__keyword_end_token1] = ACTIONS(1374),
    [aux_sym__keyword_between_token1] = ACTIONS(1374),
    [aux_sym__keyword_when_token1] = ACTIONS(1374),
    [aux_sym__keyword_else_token1] = ACTIONS(1376),
    [aux_sym__keyword_is_token1] = ACTIONS(1374),
    [aux_sym__keyword_in_token1] = ACTIONS(1376),
    [aux_sym__keyword_and_token1] = ACTIONS(1374),
    [aux_sym__keyword_like_token1] = ACTIONS(1374),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1374),
    [aux_sym__keyword_as_token1] = ACTIONS(1376),
    [aux_sym__keyword_for_token1] = ACTIONS(1374),
    [anon_sym_SEMI] = ACTIONS(1374),
    [aux_sym_declare_statement_token1] = ACTIONS(1374),
    [anon_sym_COMMA] = ACTIONS(1374),
    [aux_sym_set_statement_token1] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1374),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1374),
    [aux_sym_return_satement_token1] = ACTIONS(1374),
    [aux_sym_call_statement_token1] = ACTIONS(1374),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1374),
    [aux_sym_if_statement_token1] = ACTIONS(1374),
    [aux_sym_loop_statement_token1] = ACTIONS(1374),
    [aux_sym_repeat_statement_token1] = ACTIONS(1374),
    [aux_sym_while_statement_token1] = ACTIONS(1374),
    [aux_sym_break_statement_token1] = ACTIONS(1374),
    [aux_sym_leave_statement_token1] = ACTIONS(1374),
    [aux_sym_continue_statement_token1] = ACTIONS(1374),
    [aux_sym_iterate_statement_token1] = ACTIONS(1374),
    [aux_sym_raise_statement_token1] = ACTIONS(1374),
    [anon_sym_EQ] = ACTIONS(1374),
    [aux_sym_assert_statement_token1] = ACTIONS(1374),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1374),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1374),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1374),
    [aux_sym_option_clause_token1] = ACTIONS(1374),
    [anon_sym_LT] = ACTIONS(1376),
    [anon_sym_GT] = ACTIONS(1376),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1374),
    [aux_sym_select_token1] = ACTIONS(1374),
    [aux_sym_insert_statement_token1] = ACTIONS(1374),
    [aux_sym_truncate_statement_token1] = ACTIONS(1374),
    [aux_sym_update_statement_token1] = ACTIONS(1374),
    [aux_sym_merge_statement_token1] = ACTIONS(1374),
    [aux_sym_grant_statement_token1] = ACTIONS(1374),
    [aux_sym_revoke_statement_token1] = ACTIONS(1374),
    [aux_sym_export_data_statement_token1] = ACTIONS(1374),
    [aux_sym_load_data_statement_token1] = ACTIONS(1374),
    [anon_sym_LBRACK] = ACTIONS(1374),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_SLASH] = ACTIONS(1376),
    [anon_sym_PIPE_PIPE] = ACTIONS(1374),
    [anon_sym_LT_EQ] = ACTIONS(1374),
    [anon_sym_LT_GT] = ACTIONS(1374),
    [anon_sym_GT_EQ] = ACTIONS(1374),
    [anon_sym_BANG_EQ] = ACTIONS(1374),
    [anon_sym_LT_LT] = ACTIONS(1374),
    [anon_sym_GT_GT] = ACTIONS(1374),
    [anon_sym_AMP] = ACTIONS(1374),
    [anon_sym_CARET] = ACTIONS(1374),
    [anon_sym_PIPE] = ACTIONS(1376),
  },
  [3855] = {
    [sym_analytics_clause] = STATE(3896),
    [ts_builtin_sym_end] = ACTIONS(1374),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1374),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1374),
    [aux_sym_keyword_replace_token1] = ACTIONS(1374),
    [aux_sym__keyword_alter_token1] = ACTIONS(1374),
    [aux_sym__keyword_delete_token1] = ACTIONS(1374),
    [aux_sym__keyword_begin_token1] = ACTIONS(1374),
    [aux_sym__keyword_end_token1] = ACTIONS(1374),
    [aux_sym__keyword_between_token1] = ACTIONS(1374),
    [aux_sym__keyword_when_token1] = ACTIONS(1374),
    [aux_sym__keyword_else_token1] = ACTIONS(1376),
    [aux_sym__keyword_is_token1] = ACTIONS(1374),
    [aux_sym__keyword_in_token1] = ACTIONS(1376),
    [aux_sym__keyword_and_token1] = ACTIONS(1374),
    [aux_sym__keyword_like_token1] = ACTIONS(1374),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1374),
    [aux_sym__keyword_as_token1] = ACTIONS(1376),
    [aux_sym__keyword_for_token1] = ACTIONS(1374),
    [anon_sym_SEMI] = ACTIONS(1374),
    [aux_sym_declare_statement_token1] = ACTIONS(1374),
    [anon_sym_COMMA] = ACTIONS(1374),
    [aux_sym_set_statement_token1] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1374),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1374),
    [aux_sym_return_satement_token1] = ACTIONS(1374),
    [aux_sym_call_statement_token1] = ACTIONS(1374),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1374),
    [aux_sym_if_statement_token1] = ACTIONS(1374),
    [aux_sym_loop_statement_token1] = ACTIONS(1374),
    [aux_sym_repeat_statement_token1] = ACTIONS(1374),
    [aux_sym_while_statement_token1] = ACTIONS(1374),
    [aux_sym_break_statement_token1] = ACTIONS(1374),
    [aux_sym_leave_statement_token1] = ACTIONS(1374),
    [aux_sym_continue_statement_token1] = ACTIONS(1374),
    [aux_sym_iterate_statement_token1] = ACTIONS(1374),
    [aux_sym_raise_statement_token1] = ACTIONS(1374),
    [anon_sym_EQ] = ACTIONS(1374),
    [aux_sym_assert_statement_token1] = ACTIONS(1374),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1374),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1374),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1374),
    [aux_sym_option_clause_token1] = ACTIONS(1374),
    [anon_sym_LT] = ACTIONS(1376),
    [anon_sym_GT] = ACTIONS(1376),
    [aux_sym_select_token1] = ACTIONS(1374),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1374),
    [aux_sym_truncate_statement_token1] = ACTIONS(1374),
    [aux_sym_update_statement_token1] = ACTIONS(1374),
    [aux_sym_merge_statement_token1] = ACTIONS(1374),
    [aux_sym_grant_statement_token1] = ACTIONS(1374),
    [aux_sym_revoke_statement_token1] = ACTIONS(1374),
    [aux_sym_export_data_statement_token1] = ACTIONS(1374),
    [aux_sym_load_data_statement_token1] = ACTIONS(1374),
    [anon_sym_LBRACK] = ACTIONS(1374),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_SLASH] = ACTIONS(1376),
    [anon_sym_PIPE_PIPE] = ACTIONS(1374),
    [anon_sym_LT_EQ] = ACTIONS(1374),
    [anon_sym_LT_GT] = ACTIONS(1374),
    [anon_sym_GT_EQ] = ACTIONS(1374),
    [anon_sym_BANG_EQ] = ACTIONS(1374),
    [anon_sym_LT_LT] = ACTIONS(1374),
    [anon_sym_GT_GT] = ACTIONS(1374),
    [anon_sym_AMP] = ACTIONS(1374),
    [anon_sym_CARET] = ACTIONS(1374),
    [anon_sym_PIPE] = ACTIONS(1376),
  },
  [3856] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1462),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_from_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [aux_sym_option_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1462),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [3857] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1462),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_from_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [aux_sym_option_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1462),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [3858] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1462),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_from_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [aux_sym_option_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1462),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [3859] = {
    [sym_analytics_clause] = STATE(3897),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1462),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [aux_sym_option_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [3860] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1462),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_from_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [aux_sym_option_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1462),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [3861] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1462),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_from_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [aux_sym_option_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1462),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [3862] = {
    [sym_analytics_clause] = STATE(3903),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1462),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [aux_sym_option_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [3863] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1462),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_from_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [aux_sym_option_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1462),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [3864] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1462),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_from_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [aux_sym_option_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1462),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [3865] = {
    [sym_analytics_clause] = STATE(3906),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1462),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [aux_sym_option_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [3866] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1462),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_from_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [aux_sym_option_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1462),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [3867] = {
    [sym_analytics_clause] = STATE(3914),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1462),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [aux_sym_option_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [3868] = {
    [sym_analytics_clause] = STATE(3915),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1462),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [aux_sym_option_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [3869] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1462),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_from_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [aux_sym_option_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1462),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [3870] = {
    [sym_analytics_clause] = STATE(3917),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1462),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [aux_sym_option_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [3871] = {
    [sym_analytics_clause] = STATE(3918),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1462),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [aux_sym_option_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [3872] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1462),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_from_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [aux_sym_option_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1462),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [3873] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1462),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_from_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_when_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [aux_sym_option_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1462),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [3874] = {
    [ts_builtin_sym_end] = ACTIONS(1752),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1752),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1752),
    [aux_sym_keyword_replace_token1] = ACTIONS(1752),
    [aux_sym__keyword_alter_token1] = ACTIONS(1752),
    [aux_sym__keyword_from_token1] = ACTIONS(1752),
    [aux_sym__keyword_delete_token1] = ACTIONS(1752),
    [aux_sym__keyword_begin_token1] = ACTIONS(1752),
    [aux_sym__keyword_end_token1] = ACTIONS(1752),
    [aux_sym__keyword_between_token1] = ACTIONS(1752),
    [aux_sym__keyword_when_token1] = ACTIONS(1752),
    [aux_sym__keyword_else_token1] = ACTIONS(1754),
    [aux_sym__keyword_is_token1] = ACTIONS(1752),
    [aux_sym__keyword_in_token1] = ACTIONS(1754),
    [aux_sym__keyword_and_token1] = ACTIONS(1752),
    [aux_sym__keyword_like_token1] = ACTIONS(1752),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1752),
    [aux_sym__keyword_as_token1] = ACTIONS(1754),
    [aux_sym__keyword_for_token1] = ACTIONS(1752),
    [anon_sym_SEMI] = ACTIONS(1752),
    [aux_sym_declare_statement_token1] = ACTIONS(1752),
    [anon_sym_COMMA] = ACTIONS(1752),
    [aux_sym_set_statement_token1] = ACTIONS(1752),
    [anon_sym_LPAREN] = ACTIONS(1752),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1752),
    [aux_sym_return_satement_token1] = ACTIONS(1752),
    [aux_sym_call_statement_token1] = ACTIONS(1752),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1752),
    [aux_sym_if_statement_token1] = ACTIONS(1752),
    [aux_sym_loop_statement_token1] = ACTIONS(1752),
    [aux_sym_repeat_statement_token1] = ACTIONS(1752),
    [aux_sym_while_statement_token1] = ACTIONS(1752),
    [aux_sym_break_statement_token1] = ACTIONS(1752),
    [aux_sym_leave_statement_token1] = ACTIONS(1752),
    [aux_sym_continue_statement_token1] = ACTIONS(1752),
    [aux_sym_iterate_statement_token1] = ACTIONS(1752),
    [aux_sym_raise_statement_token1] = ACTIONS(1752),
    [anon_sym_EQ] = ACTIONS(1752),
    [aux_sym_assert_statement_token1] = ACTIONS(1752),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1752),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1752),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1752),
    [aux_sym_option_clause_token1] = ACTIONS(1752),
    [anon_sym_LT] = ACTIONS(1754),
    [anon_sym_GT] = ACTIONS(1754),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1752),
    [aux_sym_select_token1] = ACTIONS(1752),
    [aux_sym_insert_statement_token1] = ACTIONS(1752),
    [aux_sym_truncate_statement_token1] = ACTIONS(1752),
    [aux_sym_update_statement_token1] = ACTIONS(1752),
    [aux_sym_merge_statement_token1] = ACTIONS(1752),
    [aux_sym_grant_statement_token1] = ACTIONS(1752),
    [aux_sym_revoke_statement_token1] = ACTIONS(1752),
    [aux_sym_export_data_statement_token1] = ACTIONS(1752),
    [aux_sym_load_data_statement_token1] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(1752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_DASH] = ACTIONS(1754),
    [anon_sym_STAR] = ACTIONS(1752),
    [anon_sym_SLASH] = ACTIONS(1754),
    [anon_sym_PIPE_PIPE] = ACTIONS(1752),
    [anon_sym_LT_EQ] = ACTIONS(1752),
    [anon_sym_LT_GT] = ACTIONS(1752),
    [anon_sym_GT_EQ] = ACTIONS(1752),
    [anon_sym_BANG_EQ] = ACTIONS(1752),
    [anon_sym_LT_LT] = ACTIONS(1752),
    [anon_sym_GT_GT] = ACTIONS(1752),
    [anon_sym_AMP] = ACTIONS(1752),
    [anon_sym_CARET] = ACTIONS(1752),
    [anon_sym_PIPE] = ACTIONS(1754),
  },
  [3875] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1442),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_from_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [aux_sym_option_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1442),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [3876] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1442),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_from_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [aux_sym_option_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1442),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [3877] = {
    [sym__keyword_between] = STATE(1715),
    [sym__keyword_is] = STATE(12049),
    [sym__keyword_in] = STATE(1507),
    [sym__keyword_not] = STATE(13030),
    [sym__keyword_and] = STATE(1487),
    [sym__keyword_or] = STATE(1484),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16082),
    [sym_quantitve_like_operator] = STATE(16084),
    [ts_builtin_sym_end] = ACTIONS(1019),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1019),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1019),
    [aux_sym_keyword_replace_token1] = ACTIONS(1019),
    [aux_sym__keyword_alter_token1] = ACTIONS(1019),
    [aux_sym__keyword_delete_token1] = ACTIONS(1019),
    [aux_sym__keyword_begin_token1] = ACTIONS(1019),
    [aux_sym__keyword_between_token1] = ACTIONS(1019),
    [aux_sym__keyword_is_token1] = ACTIONS(1019),
    [aux_sym__keyword_in_token1] = ACTIONS(1021),
    [aux_sym__keyword_and_token1] = ACTIONS(1019),
    [aux_sym__keyword_like_token1] = ACTIONS(1019),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1019),
    [aux_sym__keyword_for_token1] = ACTIONS(1019),
    [anon_sym_SEMI] = ACTIONS(1019),
    [aux_sym_declare_statement_token1] = ACTIONS(1019),
    [aux_sym_set_statement_token1] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1019),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1019),
    [aux_sym_into_clause_token1] = ACTIONS(1019),
    [aux_sym_using_clause_token1] = ACTIONS(1019),
    [aux_sym_return_satement_token1] = ACTIONS(1019),
    [aux_sym_call_statement_token1] = ACTIONS(1019),
    [aux_sym_loop_statement_token1] = ACTIONS(1019),
    [aux_sym_while_statement_token1] = ACTIONS(1019),
    [aux_sym_break_statement_token1] = ACTIONS(1019),
    [aux_sym_leave_statement_token1] = ACTIONS(1019),
    [aux_sym_continue_statement_token1] = ACTIONS(1019),
    [aux_sym_iterate_statement_token1] = ACTIONS(1019),
    [aux_sym_raise_statement_token1] = ACTIONS(1019),
    [anon_sym_EQ] = ACTIONS(1019),
    [aux_sym_assert_statement_token1] = ACTIONS(1019),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1019),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1019),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1019),
    [anon_sym_LT] = ACTIONS(1021),
    [anon_sym_GT] = ACTIONS(1021),
    [aux_sym_select_token1] = ACTIONS(1019),
    [aux_sym_insert_statement_token1] = ACTIONS(1019),
    [aux_sym_truncate_statement_token1] = ACTIONS(1019),
    [aux_sym_update_statement_token1] = ACTIONS(1019),
    [aux_sym_merge_statement_token1] = ACTIONS(1019),
    [aux_sym_grant_statement_token1] = ACTIONS(1019),
    [aux_sym_revoke_statement_token1] = ACTIONS(1019),
    [aux_sym_export_data_statement_token1] = ACTIONS(1019),
    [aux_sym_load_data_statement_token1] = ACTIONS(1019),
    [anon_sym_LBRACK] = ACTIONS(1019),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1019),
    [anon_sym_PLUS] = ACTIONS(1019),
    [anon_sym_DASH] = ACTIONS(1021),
    [anon_sym_STAR] = ACTIONS(1019),
    [anon_sym_SLASH] = ACTIONS(1021),
    [anon_sym_PIPE_PIPE] = ACTIONS(1019),
    [anon_sym_LT_EQ] = ACTIONS(1019),
    [anon_sym_LT_GT] = ACTIONS(1019),
    [anon_sym_GT_EQ] = ACTIONS(1019),
    [anon_sym_BANG_EQ] = ACTIONS(1019),
    [anon_sym_LT_LT] = ACTIONS(1019),
    [anon_sym_GT_GT] = ACTIONS(1019),
    [anon_sym_AMP] = ACTIONS(1019),
    [anon_sym_CARET] = ACTIONS(1019),
    [anon_sym_PIPE] = ACTIONS(1021),
  },
  [3878] = {
    [sym__keyword_between] = STATE(1715),
    [sym__keyword_is] = STATE(12049),
    [sym__keyword_in] = STATE(1507),
    [sym__keyword_not] = STATE(13030),
    [sym__keyword_and] = STATE(1487),
    [sym__keyword_or] = STATE(1484),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16082),
    [sym_quantitve_like_operator] = STATE(16084),
    [ts_builtin_sym_end] = ACTIONS(1027),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1027),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(2744),
    [aux_sym__keyword_alter_token1] = ACTIONS(1027),
    [aux_sym__keyword_delete_token1] = ACTIONS(1027),
    [aux_sym__keyword_begin_token1] = ACTIONS(1027),
    [aux_sym__keyword_between_token1] = ACTIONS(3208),
    [aux_sym__keyword_is_token1] = ACTIONS(3210),
    [aux_sym__keyword_in_token1] = ACTIONS(3212),
    [aux_sym__keyword_and_token1] = ACTIONS(3214),
    [aux_sym__keyword_like_token1] = ACTIONS(1027),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1027),
    [aux_sym__keyword_for_token1] = ACTIONS(1027),
    [anon_sym_SEMI] = ACTIONS(1027),
    [aux_sym_declare_statement_token1] = ACTIONS(1027),
    [aux_sym_set_statement_token1] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1027),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1027),
    [aux_sym_into_clause_token1] = ACTIONS(1027),
    [aux_sym_using_clause_token1] = ACTIONS(1027),
    [aux_sym_return_satement_token1] = ACTIONS(1027),
    [aux_sym_call_statement_token1] = ACTIONS(1027),
    [aux_sym_loop_statement_token1] = ACTIONS(1027),
    [aux_sym_while_statement_token1] = ACTIONS(1027),
    [aux_sym_break_statement_token1] = ACTIONS(1027),
    [aux_sym_leave_statement_token1] = ACTIONS(1027),
    [aux_sym_continue_statement_token1] = ACTIONS(1027),
    [aux_sym_iterate_statement_token1] = ACTIONS(1027),
    [aux_sym_raise_statement_token1] = ACTIONS(1027),
    [anon_sym_EQ] = ACTIONS(3220),
    [aux_sym_assert_statement_token1] = ACTIONS(1027),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1027),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1027),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1027),
    [anon_sym_LT] = ACTIONS(3212),
    [anon_sym_GT] = ACTIONS(3212),
    [aux_sym_select_token1] = ACTIONS(1027),
    [aux_sym_insert_statement_token1] = ACTIONS(1027),
    [aux_sym_truncate_statement_token1] = ACTIONS(1027),
    [aux_sym_update_statement_token1] = ACTIONS(1027),
    [aux_sym_merge_statement_token1] = ACTIONS(1027),
    [aux_sym_grant_statement_token1] = ACTIONS(1027),
    [aux_sym_revoke_statement_token1] = ACTIONS(1027),
    [aux_sym_export_data_statement_token1] = ACTIONS(1027),
    [aux_sym_load_data_statement_token1] = ACTIONS(1027),
    [anon_sym_LBRACK] = ACTIONS(1027),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(3222),
    [anon_sym_DASH] = ACTIONS(3224),
    [anon_sym_STAR] = ACTIONS(3226),
    [anon_sym_SLASH] = ACTIONS(3228),
    [anon_sym_PIPE_PIPE] = ACTIONS(3226),
    [anon_sym_LT_EQ] = ACTIONS(3220),
    [anon_sym_LT_GT] = ACTIONS(3220),
    [anon_sym_GT_EQ] = ACTIONS(3220),
    [anon_sym_BANG_EQ] = ACTIONS(3220),
    [anon_sym_LT_LT] = ACTIONS(3230),
    [anon_sym_GT_GT] = ACTIONS(3230),
    [anon_sym_AMP] = ACTIONS(3232),
    [anon_sym_CARET] = ACTIONS(3234),
    [anon_sym_PIPE] = ACTIONS(3236),
  },
  [3879] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1442),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_from_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [aux_sym_option_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1442),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [3880] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1442),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_from_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [aux_sym_option_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1442),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [3881] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1442),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_from_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [aux_sym_option_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1442),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [3882] = {
    [sym_analytics_clause] = STATE(3920),
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1442),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [aux_sym_option_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [3883] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1442),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_from_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [aux_sym_option_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1442),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [3884] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1442),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_from_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [aux_sym_option_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1442),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [3885] = {
    [sym_analytics_clause] = STATE(3921),
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1442),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [aux_sym_option_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [3886] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1442),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_from_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [aux_sym_option_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1442),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [3887] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1442),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_from_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [aux_sym_option_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1442),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [3888] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1442),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_from_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [aux_sym_option_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1442),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [3889] = {
    [sym__keyword_between] = STATE(1715),
    [sym__keyword_is] = STATE(12049),
    [sym__keyword_in] = STATE(1507),
    [sym__keyword_not] = STATE(13030),
    [sym__keyword_and] = STATE(1487),
    [sym__keyword_or] = STATE(1484),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16082),
    [sym_quantitve_like_operator] = STATE(16084),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_into_clause_token1] = ACTIONS(917),
    [aux_sym_using_clause_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(917),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PIPE_PIPE] = ACTIONS(917),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [3890] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1442),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_from_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [aux_sym_option_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1442),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [3891] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1442),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_from_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [aux_sym_option_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1442),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [3892] = {
    [sym_analytics_clause] = STATE(3922),
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1442),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [aux_sym_option_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [3893] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1442),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_from_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [aux_sym_option_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1442),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [3894] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1442),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_from_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [aux_sym_option_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1442),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [3895] = {
    [sym_analytics_clause] = STATE(3923),
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1442),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_when_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [aux_sym_option_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [3896] = {
    [ts_builtin_sym_end] = ACTIONS(1772),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1772),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1772),
    [aux_sym_keyword_replace_token1] = ACTIONS(1772),
    [aux_sym__keyword_alter_token1] = ACTIONS(1772),
    [aux_sym__keyword_from_token1] = ACTIONS(1772),
    [aux_sym__keyword_delete_token1] = ACTIONS(1772),
    [aux_sym__keyword_begin_token1] = ACTIONS(1772),
    [aux_sym__keyword_end_token1] = ACTIONS(1772),
    [aux_sym__keyword_between_token1] = ACTIONS(1772),
    [aux_sym__keyword_when_token1] = ACTIONS(1772),
    [aux_sym__keyword_else_token1] = ACTIONS(1774),
    [aux_sym__keyword_is_token1] = ACTIONS(1772),
    [aux_sym__keyword_in_token1] = ACTIONS(1774),
    [aux_sym__keyword_and_token1] = ACTIONS(1772),
    [aux_sym__keyword_like_token1] = ACTIONS(1772),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1772),
    [aux_sym__keyword_as_token1] = ACTIONS(1774),
    [aux_sym__keyword_for_token1] = ACTIONS(1772),
    [anon_sym_SEMI] = ACTIONS(1772),
    [aux_sym_declare_statement_token1] = ACTIONS(1772),
    [anon_sym_COMMA] = ACTIONS(1772),
    [aux_sym_set_statement_token1] = ACTIONS(1772),
    [anon_sym_LPAREN] = ACTIONS(1772),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1772),
    [aux_sym_return_satement_token1] = ACTIONS(1772),
    [aux_sym_call_statement_token1] = ACTIONS(1772),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1772),
    [aux_sym_if_statement_token1] = ACTIONS(1772),
    [aux_sym_loop_statement_token1] = ACTIONS(1772),
    [aux_sym_repeat_statement_token1] = ACTIONS(1772),
    [aux_sym_while_statement_token1] = ACTIONS(1772),
    [aux_sym_break_statement_token1] = ACTIONS(1772),
    [aux_sym_leave_statement_token1] = ACTIONS(1772),
    [aux_sym_continue_statement_token1] = ACTIONS(1772),
    [aux_sym_iterate_statement_token1] = ACTIONS(1772),
    [aux_sym_raise_statement_token1] = ACTIONS(1772),
    [anon_sym_EQ] = ACTIONS(1772),
    [aux_sym_assert_statement_token1] = ACTIONS(1772),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1772),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1772),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1772),
    [aux_sym_option_clause_token1] = ACTIONS(1772),
    [anon_sym_LT] = ACTIONS(1774),
    [anon_sym_GT] = ACTIONS(1774),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1772),
    [aux_sym_select_token1] = ACTIONS(1772),
    [aux_sym_insert_statement_token1] = ACTIONS(1772),
    [aux_sym_truncate_statement_token1] = ACTIONS(1772),
    [aux_sym_update_statement_token1] = ACTIONS(1772),
    [aux_sym_merge_statement_token1] = ACTIONS(1772),
    [aux_sym_grant_statement_token1] = ACTIONS(1772),
    [aux_sym_revoke_statement_token1] = ACTIONS(1772),
    [aux_sym_export_data_statement_token1] = ACTIONS(1772),
    [aux_sym_load_data_statement_token1] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1772),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1772),
    [anon_sym_PLUS] = ACTIONS(1772),
    [anon_sym_DASH] = ACTIONS(1774),
    [anon_sym_STAR] = ACTIONS(1772),
    [anon_sym_SLASH] = ACTIONS(1774),
    [anon_sym_PIPE_PIPE] = ACTIONS(1772),
    [anon_sym_LT_EQ] = ACTIONS(1772),
    [anon_sym_LT_GT] = ACTIONS(1772),
    [anon_sym_GT_EQ] = ACTIONS(1772),
    [anon_sym_BANG_EQ] = ACTIONS(1772),
    [anon_sym_LT_LT] = ACTIONS(1772),
    [anon_sym_GT_GT] = ACTIONS(1772),
    [anon_sym_AMP] = ACTIONS(1772),
    [anon_sym_CARET] = ACTIONS(1772),
    [anon_sym_PIPE] = ACTIONS(1774),
  },
  [3897] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1446),
    [aux_sym_keyword_replace_token1] = ACTIONS(1446),
    [aux_sym__keyword_alter_token1] = ACTIONS(1446),
    [aux_sym__keyword_from_token1] = ACTIONS(1446),
    [aux_sym__keyword_delete_token1] = ACTIONS(1446),
    [aux_sym__keyword_begin_token1] = ACTIONS(1446),
    [aux_sym__keyword_end_token1] = ACTIONS(1446),
    [aux_sym__keyword_between_token1] = ACTIONS(1446),
    [aux_sym__keyword_when_token1] = ACTIONS(1446),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1446),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1446),
    [aux_sym__keyword_like_token1] = ACTIONS(1446),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1446),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1446),
    [aux_sym_return_satement_token1] = ACTIONS(1446),
    [aux_sym_call_statement_token1] = ACTIONS(1446),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_loop_statement_token1] = ACTIONS(1446),
    [aux_sym_repeat_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [aux_sym_leave_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_iterate_statement_token1] = ACTIONS(1446),
    [aux_sym_raise_statement_token1] = ACTIONS(1446),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1446),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1446),
    [aux_sym_option_clause_token1] = ACTIONS(1446),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1446),
    [aux_sym_select_token1] = ACTIONS(1446),
    [aux_sym_insert_statement_token1] = ACTIONS(1446),
    [aux_sym_truncate_statement_token1] = ACTIONS(1446),
    [aux_sym_update_statement_token1] = ACTIONS(1446),
    [aux_sym_merge_statement_token1] = ACTIONS(1446),
    [aux_sym_grant_statement_token1] = ACTIONS(1446),
    [aux_sym_revoke_statement_token1] = ACTIONS(1446),
    [aux_sym_export_data_statement_token1] = ACTIONS(1446),
    [aux_sym_load_data_statement_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [3898] = {
    [sym__keyword_between] = STATE(1819),
    [sym__keyword_is] = STATE(12068),
    [sym__keyword_in] = STATE(1558),
    [sym__keyword_not] = STATE(13100),
    [sym__keyword_and] = STATE(1533),
    [sym__keyword_or] = STATE(1532),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_DASH] = ACTIONS(3314),
    [anon_sym_STAR] = ACTIONS(3316),
    [anon_sym_SLASH] = ACTIONS(3318),
    [anon_sym_PIPE_PIPE] = ACTIONS(3316),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(3320),
    [anon_sym_GT_GT] = ACTIONS(3320),
    [anon_sym_AMP] = ACTIONS(3322),
    [anon_sym_CARET] = ACTIONS(3324),
    [anon_sym_PIPE] = ACTIONS(3326),
  },
  [3899] = {
    [sym__keyword_between] = STATE(1819),
    [sym__keyword_is] = STATE(12068),
    [sym__keyword_in] = STATE(1558),
    [sym__keyword_not] = STATE(13100),
    [sym__keyword_and] = STATE(1533),
    [sym__keyword_or] = STATE(1532),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(3316),
    [anon_sym_SLASH] = ACTIONS(3318),
    [anon_sym_PIPE_PIPE] = ACTIONS(3316),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [3900] = {
    [sym__keyword_between] = STATE(1819),
    [sym__keyword_is] = STATE(12068),
    [sym__keyword_in] = STATE(1558),
    [sym__keyword_not] = STATE(13100),
    [sym__keyword_and] = STATE(1533),
    [sym__keyword_or] = STATE(1532),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(917),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PIPE_PIPE] = ACTIONS(917),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [3901] = {
    [sym__keyword_between] = STATE(1819),
    [sym__keyword_is] = STATE(12068),
    [sym__keyword_in] = STATE(1558),
    [sym__keyword_not] = STATE(13100),
    [sym__keyword_and] = STATE(1533),
    [sym__keyword_or] = STATE(1532),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_DASH] = ACTIONS(3314),
    [anon_sym_STAR] = ACTIONS(3316),
    [anon_sym_SLASH] = ACTIONS(3318),
    [anon_sym_PIPE_PIPE] = ACTIONS(3316),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [3902] = {
    [sym__keyword_between] = STATE(1819),
    [sym__keyword_is] = STATE(12068),
    [sym__keyword_in] = STATE(1558),
    [sym__keyword_not] = STATE(13100),
    [sym__keyword_and] = STATE(1533),
    [sym__keyword_or] = STATE(1532),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_DASH] = ACTIONS(3314),
    [anon_sym_STAR] = ACTIONS(3316),
    [anon_sym_SLASH] = ACTIONS(3318),
    [anon_sym_PIPE_PIPE] = ACTIONS(3316),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(3320),
    [anon_sym_GT_GT] = ACTIONS(3320),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [3903] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1446),
    [aux_sym_keyword_replace_token1] = ACTIONS(1446),
    [aux_sym__keyword_alter_token1] = ACTIONS(1446),
    [aux_sym__keyword_from_token1] = ACTIONS(1446),
    [aux_sym__keyword_delete_token1] = ACTIONS(1446),
    [aux_sym__keyword_begin_token1] = ACTIONS(1446),
    [aux_sym__keyword_end_token1] = ACTIONS(1446),
    [aux_sym__keyword_between_token1] = ACTIONS(1446),
    [aux_sym__keyword_when_token1] = ACTIONS(1446),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1446),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1446),
    [aux_sym__keyword_like_token1] = ACTIONS(1446),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1446),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1446),
    [aux_sym_return_satement_token1] = ACTIONS(1446),
    [aux_sym_call_statement_token1] = ACTIONS(1446),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_loop_statement_token1] = ACTIONS(1446),
    [aux_sym_repeat_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [aux_sym_leave_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_iterate_statement_token1] = ACTIONS(1446),
    [aux_sym_raise_statement_token1] = ACTIONS(1446),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1446),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1446),
    [aux_sym_option_clause_token1] = ACTIONS(1446),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1446),
    [aux_sym_select_token1] = ACTIONS(1446),
    [aux_sym_insert_statement_token1] = ACTIONS(1446),
    [aux_sym_truncate_statement_token1] = ACTIONS(1446),
    [aux_sym_update_statement_token1] = ACTIONS(1446),
    [aux_sym_merge_statement_token1] = ACTIONS(1446),
    [aux_sym_grant_statement_token1] = ACTIONS(1446),
    [aux_sym_revoke_statement_token1] = ACTIONS(1446),
    [aux_sym_export_data_statement_token1] = ACTIONS(1446),
    [aux_sym_load_data_statement_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [3904] = {
    [sym__keyword_between] = STATE(1819),
    [sym__keyword_is] = STATE(12068),
    [sym__keyword_in] = STATE(1558),
    [sym__keyword_not] = STATE(13100),
    [sym__keyword_and] = STATE(1533),
    [sym__keyword_or] = STATE(1532),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_DASH] = ACTIONS(3314),
    [anon_sym_STAR] = ACTIONS(3316),
    [anon_sym_SLASH] = ACTIONS(3318),
    [anon_sym_PIPE_PIPE] = ACTIONS(3316),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(3320),
    [anon_sym_GT_GT] = ACTIONS(3320),
    [anon_sym_AMP] = ACTIONS(3322),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [3905] = {
    [sym__keyword_between] = STATE(1819),
    [sym__keyword_is] = STATE(12068),
    [sym__keyword_in] = STATE(1558),
    [sym__keyword_not] = STATE(13100),
    [sym__keyword_and] = STATE(1533),
    [sym__keyword_or] = STATE(1532),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_DASH] = ACTIONS(3314),
    [anon_sym_STAR] = ACTIONS(3316),
    [anon_sym_SLASH] = ACTIONS(3318),
    [anon_sym_PIPE_PIPE] = ACTIONS(3316),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(3320),
    [anon_sym_GT_GT] = ACTIONS(3320),
    [anon_sym_AMP] = ACTIONS(3322),
    [anon_sym_CARET] = ACTIONS(3324),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [3906] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1446),
    [aux_sym_keyword_replace_token1] = ACTIONS(1446),
    [aux_sym__keyword_alter_token1] = ACTIONS(1446),
    [aux_sym__keyword_from_token1] = ACTIONS(1446),
    [aux_sym__keyword_delete_token1] = ACTIONS(1446),
    [aux_sym__keyword_begin_token1] = ACTIONS(1446),
    [aux_sym__keyword_end_token1] = ACTIONS(1446),
    [aux_sym__keyword_between_token1] = ACTIONS(1446),
    [aux_sym__keyword_when_token1] = ACTIONS(1446),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1446),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1446),
    [aux_sym__keyword_like_token1] = ACTIONS(1446),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1446),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1446),
    [aux_sym_return_satement_token1] = ACTIONS(1446),
    [aux_sym_call_statement_token1] = ACTIONS(1446),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_loop_statement_token1] = ACTIONS(1446),
    [aux_sym_repeat_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [aux_sym_leave_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_iterate_statement_token1] = ACTIONS(1446),
    [aux_sym_raise_statement_token1] = ACTIONS(1446),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1446),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1446),
    [aux_sym_option_clause_token1] = ACTIONS(1446),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1446),
    [aux_sym_select_token1] = ACTIONS(1446),
    [aux_sym_insert_statement_token1] = ACTIONS(1446),
    [aux_sym_truncate_statement_token1] = ACTIONS(1446),
    [aux_sym_update_statement_token1] = ACTIONS(1446),
    [aux_sym_merge_statement_token1] = ACTIONS(1446),
    [aux_sym_grant_statement_token1] = ACTIONS(1446),
    [aux_sym_revoke_statement_token1] = ACTIONS(1446),
    [aux_sym_export_data_statement_token1] = ACTIONS(1446),
    [aux_sym_load_data_statement_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [3907] = {
    [sym__keyword_between] = STATE(1819),
    [sym__keyword_is] = STATE(12068),
    [sym__keyword_in] = STATE(1558),
    [sym__keyword_not] = STATE(13100),
    [sym__keyword_and] = STATE(1533),
    [sym__keyword_or] = STATE(1532),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(3302),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(3304),
    [aux_sym__keyword_in_token1] = ACTIONS(3306),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(3310),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(3306),
    [anon_sym_GT] = ACTIONS(3306),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_DASH] = ACTIONS(3314),
    [anon_sym_STAR] = ACTIONS(3316),
    [anon_sym_SLASH] = ACTIONS(3318),
    [anon_sym_PIPE_PIPE] = ACTIONS(3316),
    [anon_sym_LT_EQ] = ACTIONS(3310),
    [anon_sym_LT_GT] = ACTIONS(3310),
    [anon_sym_GT_EQ] = ACTIONS(3310),
    [anon_sym_BANG_EQ] = ACTIONS(3310),
    [anon_sym_LT_LT] = ACTIONS(3320),
    [anon_sym_GT_GT] = ACTIONS(3320),
    [anon_sym_AMP] = ACTIONS(3322),
    [anon_sym_CARET] = ACTIONS(3324),
    [anon_sym_PIPE] = ACTIONS(3326),
  },
  [3908] = {
    [sym__keyword_between] = STATE(1819),
    [sym__keyword_is] = STATE(12068),
    [sym__keyword_in] = STATE(1558),
    [sym__keyword_not] = STATE(13100),
    [sym__keyword_and] = STATE(1533),
    [sym__keyword_or] = STATE(1532),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(3302),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(3304),
    [aux_sym__keyword_in_token1] = ACTIONS(3306),
    [aux_sym__keyword_and_token1] = ACTIONS(3308),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(3310),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(3306),
    [anon_sym_GT] = ACTIONS(3306),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_DASH] = ACTIONS(3314),
    [anon_sym_STAR] = ACTIONS(3316),
    [anon_sym_SLASH] = ACTIONS(3318),
    [anon_sym_PIPE_PIPE] = ACTIONS(3316),
    [anon_sym_LT_EQ] = ACTIONS(3310),
    [anon_sym_LT_GT] = ACTIONS(3310),
    [anon_sym_GT_EQ] = ACTIONS(3310),
    [anon_sym_BANG_EQ] = ACTIONS(3310),
    [anon_sym_LT_LT] = ACTIONS(3320),
    [anon_sym_GT_GT] = ACTIONS(3320),
    [anon_sym_AMP] = ACTIONS(3322),
    [anon_sym_CARET] = ACTIONS(3324),
    [anon_sym_PIPE] = ACTIONS(3326),
  },
  [3909] = {
    [sym__keyword_between] = STATE(1819),
    [sym__keyword_is] = STATE(12068),
    [sym__keyword_in] = STATE(1558),
    [sym__keyword_not] = STATE(13100),
    [sym__keyword_and] = STATE(1533),
    [sym__keyword_or] = STATE(1532),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(1039),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1039),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1039),
    [aux_sym_keyword_replace_token1] = ACTIONS(1039),
    [aux_sym__keyword_alter_token1] = ACTIONS(1039),
    [aux_sym__keyword_delete_token1] = ACTIONS(1039),
    [aux_sym__keyword_begin_token1] = ACTIONS(1039),
    [aux_sym__keyword_between_token1] = ACTIONS(1039),
    [aux_sym__keyword_when_token1] = ACTIONS(1039),
    [aux_sym__keyword_is_token1] = ACTIONS(1039),
    [aux_sym__keyword_in_token1] = ACTIONS(1041),
    [aux_sym__keyword_and_token1] = ACTIONS(1039),
    [aux_sym__keyword_like_token1] = ACTIONS(1039),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1039),
    [aux_sym__keyword_for_token1] = ACTIONS(1039),
    [anon_sym_SEMI] = ACTIONS(1039),
    [aux_sym_declare_statement_token1] = ACTIONS(1039),
    [anon_sym_COMMA] = ACTIONS(1039),
    [aux_sym_set_statement_token1] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(1039),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1039),
    [aux_sym_return_satement_token1] = ACTIONS(1039),
    [aux_sym_call_statement_token1] = ACTIONS(1039),
    [aux_sym_loop_statement_token1] = ACTIONS(1039),
    [aux_sym_while_statement_token1] = ACTIONS(1039),
    [aux_sym_break_statement_token1] = ACTIONS(1039),
    [aux_sym_leave_statement_token1] = ACTIONS(1039),
    [aux_sym_continue_statement_token1] = ACTIONS(1039),
    [aux_sym_iterate_statement_token1] = ACTIONS(1039),
    [aux_sym_raise_statement_token1] = ACTIONS(1039),
    [anon_sym_EQ] = ACTIONS(1039),
    [aux_sym_assert_statement_token1] = ACTIONS(1039),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1039),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1039),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1039),
    [anon_sym_LT] = ACTIONS(1041),
    [anon_sym_GT] = ACTIONS(1041),
    [aux_sym_select_token1] = ACTIONS(1039),
    [aux_sym_insert_statement_token1] = ACTIONS(1039),
    [aux_sym_truncate_statement_token1] = ACTIONS(1039),
    [aux_sym_update_statement_token1] = ACTIONS(1039),
    [aux_sym_merge_statement_token1] = ACTIONS(1039),
    [aux_sym_grant_statement_token1] = ACTIONS(1039),
    [aux_sym_revoke_statement_token1] = ACTIONS(1039),
    [aux_sym_export_data_statement_token1] = ACTIONS(1039),
    [aux_sym_load_data_statement_token1] = ACTIONS(1039),
    [anon_sym_LBRACK] = ACTIONS(1039),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1039),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_DASH] = ACTIONS(3314),
    [anon_sym_STAR] = ACTIONS(3316),
    [anon_sym_SLASH] = ACTIONS(3318),
    [anon_sym_PIPE_PIPE] = ACTIONS(3316),
    [anon_sym_LT_EQ] = ACTIONS(1039),
    [anon_sym_LT_GT] = ACTIONS(1039),
    [anon_sym_GT_EQ] = ACTIONS(1039),
    [anon_sym_BANG_EQ] = ACTIONS(1039),
    [anon_sym_LT_LT] = ACTIONS(3320),
    [anon_sym_GT_GT] = ACTIONS(3320),
    [anon_sym_AMP] = ACTIONS(3322),
    [anon_sym_CARET] = ACTIONS(3324),
    [anon_sym_PIPE] = ACTIONS(3326),
  },
  [3910] = {
    [sym__keyword_between] = STATE(1819),
    [sym__keyword_is] = STATE(12068),
    [sym__keyword_in] = STATE(1558),
    [sym__keyword_not] = STATE(13100),
    [sym__keyword_and] = STATE(1533),
    [sym__keyword_or] = STATE(1532),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(1035),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1035),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1035),
    [aux_sym_keyword_replace_token1] = ACTIONS(1035),
    [aux_sym__keyword_alter_token1] = ACTIONS(1035),
    [aux_sym__keyword_delete_token1] = ACTIONS(1035),
    [aux_sym__keyword_begin_token1] = ACTIONS(1035),
    [aux_sym__keyword_between_token1] = ACTIONS(1035),
    [aux_sym__keyword_when_token1] = ACTIONS(1035),
    [aux_sym__keyword_is_token1] = ACTIONS(1035),
    [aux_sym__keyword_in_token1] = ACTIONS(1037),
    [aux_sym__keyword_and_token1] = ACTIONS(1035),
    [aux_sym__keyword_like_token1] = ACTIONS(1035),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1035),
    [aux_sym__keyword_for_token1] = ACTIONS(1035),
    [anon_sym_SEMI] = ACTIONS(1035),
    [aux_sym_declare_statement_token1] = ACTIONS(1035),
    [anon_sym_COMMA] = ACTIONS(1035),
    [aux_sym_set_statement_token1] = ACTIONS(1035),
    [anon_sym_LPAREN] = ACTIONS(1035),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1035),
    [aux_sym_return_satement_token1] = ACTIONS(1035),
    [aux_sym_call_statement_token1] = ACTIONS(1035),
    [aux_sym_loop_statement_token1] = ACTIONS(1035),
    [aux_sym_while_statement_token1] = ACTIONS(1035),
    [aux_sym_break_statement_token1] = ACTIONS(1035),
    [aux_sym_leave_statement_token1] = ACTIONS(1035),
    [aux_sym_continue_statement_token1] = ACTIONS(1035),
    [aux_sym_iterate_statement_token1] = ACTIONS(1035),
    [aux_sym_raise_statement_token1] = ACTIONS(1035),
    [anon_sym_EQ] = ACTIONS(1035),
    [aux_sym_assert_statement_token1] = ACTIONS(1035),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1035),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1035),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1035),
    [anon_sym_LT] = ACTIONS(1037),
    [anon_sym_GT] = ACTIONS(1037),
    [aux_sym_select_token1] = ACTIONS(1035),
    [aux_sym_insert_statement_token1] = ACTIONS(1035),
    [aux_sym_truncate_statement_token1] = ACTIONS(1035),
    [aux_sym_update_statement_token1] = ACTIONS(1035),
    [aux_sym_merge_statement_token1] = ACTIONS(1035),
    [aux_sym_grant_statement_token1] = ACTIONS(1035),
    [aux_sym_revoke_statement_token1] = ACTIONS(1035),
    [aux_sym_export_data_statement_token1] = ACTIONS(1035),
    [aux_sym_load_data_statement_token1] = ACTIONS(1035),
    [anon_sym_LBRACK] = ACTIONS(1035),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1035),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_DASH] = ACTIONS(3314),
    [anon_sym_STAR] = ACTIONS(3316),
    [anon_sym_SLASH] = ACTIONS(3318),
    [anon_sym_PIPE_PIPE] = ACTIONS(3316),
    [anon_sym_LT_EQ] = ACTIONS(1035),
    [anon_sym_LT_GT] = ACTIONS(1035),
    [anon_sym_GT_EQ] = ACTIONS(1035),
    [anon_sym_BANG_EQ] = ACTIONS(1035),
    [anon_sym_LT_LT] = ACTIONS(3320),
    [anon_sym_GT_GT] = ACTIONS(3320),
    [anon_sym_AMP] = ACTIONS(3322),
    [anon_sym_CARET] = ACTIONS(3324),
    [anon_sym_PIPE] = ACTIONS(3326),
  },
  [3911] = {
    [sym__keyword_between] = STATE(1819),
    [sym__keyword_is] = STATE(12068),
    [sym__keyword_in] = STATE(1558),
    [sym__keyword_not] = STATE(13100),
    [sym__keyword_and] = STATE(1533),
    [sym__keyword_or] = STATE(1532),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(1031),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1031),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1031),
    [aux_sym_keyword_replace_token1] = ACTIONS(1031),
    [aux_sym__keyword_alter_token1] = ACTIONS(1031),
    [aux_sym__keyword_delete_token1] = ACTIONS(1031),
    [aux_sym__keyword_begin_token1] = ACTIONS(1031),
    [aux_sym__keyword_between_token1] = ACTIONS(1031),
    [aux_sym__keyword_when_token1] = ACTIONS(1031),
    [aux_sym__keyword_is_token1] = ACTIONS(1031),
    [aux_sym__keyword_in_token1] = ACTIONS(1033),
    [aux_sym__keyword_and_token1] = ACTIONS(1031),
    [aux_sym__keyword_like_token1] = ACTIONS(1031),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1031),
    [aux_sym__keyword_for_token1] = ACTIONS(1031),
    [anon_sym_SEMI] = ACTIONS(1031),
    [aux_sym_declare_statement_token1] = ACTIONS(1031),
    [anon_sym_COMMA] = ACTIONS(1031),
    [aux_sym_set_statement_token1] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1031),
    [aux_sym_return_satement_token1] = ACTIONS(1031),
    [aux_sym_call_statement_token1] = ACTIONS(1031),
    [aux_sym_loop_statement_token1] = ACTIONS(1031),
    [aux_sym_while_statement_token1] = ACTIONS(1031),
    [aux_sym_break_statement_token1] = ACTIONS(1031),
    [aux_sym_leave_statement_token1] = ACTIONS(1031),
    [aux_sym_continue_statement_token1] = ACTIONS(1031),
    [aux_sym_iterate_statement_token1] = ACTIONS(1031),
    [aux_sym_raise_statement_token1] = ACTIONS(1031),
    [anon_sym_EQ] = ACTIONS(1031),
    [aux_sym_assert_statement_token1] = ACTIONS(1031),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1031),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1031),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1031),
    [anon_sym_LT] = ACTIONS(1033),
    [anon_sym_GT] = ACTIONS(1033),
    [aux_sym_select_token1] = ACTIONS(1031),
    [aux_sym_insert_statement_token1] = ACTIONS(1031),
    [aux_sym_truncate_statement_token1] = ACTIONS(1031),
    [aux_sym_update_statement_token1] = ACTIONS(1031),
    [aux_sym_merge_statement_token1] = ACTIONS(1031),
    [aux_sym_grant_statement_token1] = ACTIONS(1031),
    [aux_sym_revoke_statement_token1] = ACTIONS(1031),
    [aux_sym_export_data_statement_token1] = ACTIONS(1031),
    [aux_sym_load_data_statement_token1] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1031),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_DASH] = ACTIONS(3314),
    [anon_sym_STAR] = ACTIONS(3316),
    [anon_sym_SLASH] = ACTIONS(3318),
    [anon_sym_PIPE_PIPE] = ACTIONS(3316),
    [anon_sym_LT_EQ] = ACTIONS(1031),
    [anon_sym_LT_GT] = ACTIONS(1031),
    [anon_sym_GT_EQ] = ACTIONS(1031),
    [anon_sym_BANG_EQ] = ACTIONS(1031),
    [anon_sym_LT_LT] = ACTIONS(3320),
    [anon_sym_GT_GT] = ACTIONS(3320),
    [anon_sym_AMP] = ACTIONS(3322),
    [anon_sym_CARET] = ACTIONS(3324),
    [anon_sym_PIPE] = ACTIONS(3326),
  },
  [3912] = {
    [sym__keyword_between] = STATE(1819),
    [sym__keyword_is] = STATE(12068),
    [sym__keyword_in] = STATE(1558),
    [sym__keyword_not] = STATE(13100),
    [sym__keyword_and] = STATE(1533),
    [sym__keyword_or] = STATE(1532),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(947),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(947),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(947),
    [aux_sym_keyword_replace_token1] = ACTIONS(947),
    [aux_sym__keyword_alter_token1] = ACTIONS(947),
    [aux_sym__keyword_delete_token1] = ACTIONS(947),
    [aux_sym__keyword_begin_token1] = ACTIONS(947),
    [aux_sym__keyword_between_token1] = ACTIONS(947),
    [aux_sym__keyword_when_token1] = ACTIONS(947),
    [aux_sym__keyword_is_token1] = ACTIONS(947),
    [aux_sym__keyword_in_token1] = ACTIONS(949),
    [aux_sym__keyword_and_token1] = ACTIONS(947),
    [aux_sym__keyword_like_token1] = ACTIONS(947),
    [aux_sym__keyword_repeat_token1] = ACTIONS(947),
    [aux_sym__keyword_for_token1] = ACTIONS(947),
    [anon_sym_SEMI] = ACTIONS(947),
    [aux_sym_declare_statement_token1] = ACTIONS(947),
    [anon_sym_COMMA] = ACTIONS(947),
    [aux_sym_set_statement_token1] = ACTIONS(947),
    [anon_sym_LPAREN] = ACTIONS(947),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(947),
    [aux_sym_return_satement_token1] = ACTIONS(947),
    [aux_sym_call_statement_token1] = ACTIONS(947),
    [aux_sym_loop_statement_token1] = ACTIONS(947),
    [aux_sym_while_statement_token1] = ACTIONS(947),
    [aux_sym_break_statement_token1] = ACTIONS(947),
    [aux_sym_leave_statement_token1] = ACTIONS(947),
    [aux_sym_continue_statement_token1] = ACTIONS(947),
    [aux_sym_iterate_statement_token1] = ACTIONS(947),
    [aux_sym_raise_statement_token1] = ACTIONS(947),
    [anon_sym_EQ] = ACTIONS(947),
    [aux_sym_assert_statement_token1] = ACTIONS(947),
    [aux_sym_create_schema_statement_token1] = ACTIONS(947),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(947),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(949),
    [anon_sym_GT] = ACTIONS(949),
    [aux_sym_select_token1] = ACTIONS(947),
    [aux_sym_insert_statement_token1] = ACTIONS(947),
    [aux_sym_truncate_statement_token1] = ACTIONS(947),
    [aux_sym_update_statement_token1] = ACTIONS(947),
    [aux_sym_merge_statement_token1] = ACTIONS(947),
    [aux_sym_grant_statement_token1] = ACTIONS(947),
    [aux_sym_revoke_statement_token1] = ACTIONS(947),
    [aux_sym_export_data_statement_token1] = ACTIONS(947),
    [aux_sym_load_data_statement_token1] = ACTIONS(947),
    [anon_sym_LBRACK] = ACTIONS(947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_DASH] = ACTIONS(3314),
    [anon_sym_STAR] = ACTIONS(3316),
    [anon_sym_SLASH] = ACTIONS(3318),
    [anon_sym_PIPE_PIPE] = ACTIONS(3316),
    [anon_sym_LT_EQ] = ACTIONS(947),
    [anon_sym_LT_GT] = ACTIONS(947),
    [anon_sym_GT_EQ] = ACTIONS(947),
    [anon_sym_BANG_EQ] = ACTIONS(947),
    [anon_sym_LT_LT] = ACTIONS(3320),
    [anon_sym_GT_GT] = ACTIONS(3320),
    [anon_sym_AMP] = ACTIONS(3322),
    [anon_sym_CARET] = ACTIONS(3324),
    [anon_sym_PIPE] = ACTIONS(3326),
  },
  [3913] = {
    [sym__keyword_between] = STATE(1819),
    [sym__keyword_is] = STATE(12068),
    [sym__keyword_in] = STATE(1558),
    [sym__keyword_not] = STATE(13100),
    [sym__keyword_and] = STATE(1533),
    [sym__keyword_or] = STATE(1532),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(1023),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1023),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1023),
    [aux_sym_keyword_replace_token1] = ACTIONS(1023),
    [aux_sym__keyword_alter_token1] = ACTIONS(1023),
    [aux_sym__keyword_delete_token1] = ACTIONS(1023),
    [aux_sym__keyword_begin_token1] = ACTIONS(1023),
    [aux_sym__keyword_between_token1] = ACTIONS(1023),
    [aux_sym__keyword_when_token1] = ACTIONS(1023),
    [aux_sym__keyword_is_token1] = ACTIONS(1023),
    [aux_sym__keyword_in_token1] = ACTIONS(1025),
    [aux_sym__keyword_and_token1] = ACTIONS(1023),
    [aux_sym__keyword_like_token1] = ACTIONS(1023),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1023),
    [aux_sym__keyword_for_token1] = ACTIONS(1023),
    [anon_sym_SEMI] = ACTIONS(1023),
    [aux_sym_declare_statement_token1] = ACTIONS(1023),
    [anon_sym_COMMA] = ACTIONS(1023),
    [aux_sym_set_statement_token1] = ACTIONS(1023),
    [anon_sym_LPAREN] = ACTIONS(1023),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1023),
    [aux_sym_return_satement_token1] = ACTIONS(1023),
    [aux_sym_call_statement_token1] = ACTIONS(1023),
    [aux_sym_loop_statement_token1] = ACTIONS(1023),
    [aux_sym_while_statement_token1] = ACTIONS(1023),
    [aux_sym_break_statement_token1] = ACTIONS(1023),
    [aux_sym_leave_statement_token1] = ACTIONS(1023),
    [aux_sym_continue_statement_token1] = ACTIONS(1023),
    [aux_sym_iterate_statement_token1] = ACTIONS(1023),
    [aux_sym_raise_statement_token1] = ACTIONS(1023),
    [anon_sym_EQ] = ACTIONS(1023),
    [aux_sym_assert_statement_token1] = ACTIONS(1023),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1023),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1023),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1023),
    [anon_sym_LT] = ACTIONS(1025),
    [anon_sym_GT] = ACTIONS(1025),
    [aux_sym_select_token1] = ACTIONS(1023),
    [aux_sym_insert_statement_token1] = ACTIONS(1023),
    [aux_sym_truncate_statement_token1] = ACTIONS(1023),
    [aux_sym_update_statement_token1] = ACTIONS(1023),
    [aux_sym_merge_statement_token1] = ACTIONS(1023),
    [aux_sym_grant_statement_token1] = ACTIONS(1023),
    [aux_sym_revoke_statement_token1] = ACTIONS(1023),
    [aux_sym_export_data_statement_token1] = ACTIONS(1023),
    [aux_sym_load_data_statement_token1] = ACTIONS(1023),
    [anon_sym_LBRACK] = ACTIONS(1023),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1023),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_DASH] = ACTIONS(3314),
    [anon_sym_STAR] = ACTIONS(3316),
    [anon_sym_SLASH] = ACTIONS(3318),
    [anon_sym_PIPE_PIPE] = ACTIONS(3316),
    [anon_sym_LT_EQ] = ACTIONS(1023),
    [anon_sym_LT_GT] = ACTIONS(1023),
    [anon_sym_GT_EQ] = ACTIONS(1023),
    [anon_sym_BANG_EQ] = ACTIONS(1023),
    [anon_sym_LT_LT] = ACTIONS(3320),
    [anon_sym_GT_GT] = ACTIONS(3320),
    [anon_sym_AMP] = ACTIONS(3322),
    [anon_sym_CARET] = ACTIONS(3324),
    [anon_sym_PIPE] = ACTIONS(3326),
  },
  [3914] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1446),
    [aux_sym_keyword_replace_token1] = ACTIONS(1446),
    [aux_sym__keyword_alter_token1] = ACTIONS(1446),
    [aux_sym__keyword_from_token1] = ACTIONS(1446),
    [aux_sym__keyword_delete_token1] = ACTIONS(1446),
    [aux_sym__keyword_begin_token1] = ACTIONS(1446),
    [aux_sym__keyword_end_token1] = ACTIONS(1446),
    [aux_sym__keyword_between_token1] = ACTIONS(1446),
    [aux_sym__keyword_when_token1] = ACTIONS(1446),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1446),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1446),
    [aux_sym__keyword_like_token1] = ACTIONS(1446),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1446),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1446),
    [aux_sym_return_satement_token1] = ACTIONS(1446),
    [aux_sym_call_statement_token1] = ACTIONS(1446),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_loop_statement_token1] = ACTIONS(1446),
    [aux_sym_repeat_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [aux_sym_leave_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_iterate_statement_token1] = ACTIONS(1446),
    [aux_sym_raise_statement_token1] = ACTIONS(1446),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1446),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1446),
    [aux_sym_option_clause_token1] = ACTIONS(1446),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1446),
    [aux_sym_select_token1] = ACTIONS(1446),
    [aux_sym_insert_statement_token1] = ACTIONS(1446),
    [aux_sym_truncate_statement_token1] = ACTIONS(1446),
    [aux_sym_update_statement_token1] = ACTIONS(1446),
    [aux_sym_merge_statement_token1] = ACTIONS(1446),
    [aux_sym_grant_statement_token1] = ACTIONS(1446),
    [aux_sym_revoke_statement_token1] = ACTIONS(1446),
    [aux_sym_export_data_statement_token1] = ACTIONS(1446),
    [aux_sym_load_data_statement_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [3915] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1446),
    [aux_sym_keyword_replace_token1] = ACTIONS(1446),
    [aux_sym__keyword_alter_token1] = ACTIONS(1446),
    [aux_sym__keyword_from_token1] = ACTIONS(1446),
    [aux_sym__keyword_delete_token1] = ACTIONS(1446),
    [aux_sym__keyword_begin_token1] = ACTIONS(1446),
    [aux_sym__keyword_end_token1] = ACTIONS(1446),
    [aux_sym__keyword_between_token1] = ACTIONS(1446),
    [aux_sym__keyword_when_token1] = ACTIONS(1446),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1446),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1446),
    [aux_sym__keyword_like_token1] = ACTIONS(1446),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1446),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1446),
    [aux_sym_return_satement_token1] = ACTIONS(1446),
    [aux_sym_call_statement_token1] = ACTIONS(1446),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_loop_statement_token1] = ACTIONS(1446),
    [aux_sym_repeat_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [aux_sym_leave_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_iterate_statement_token1] = ACTIONS(1446),
    [aux_sym_raise_statement_token1] = ACTIONS(1446),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1446),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1446),
    [aux_sym_option_clause_token1] = ACTIONS(1446),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1446),
    [aux_sym_select_token1] = ACTIONS(1446),
    [aux_sym_insert_statement_token1] = ACTIONS(1446),
    [aux_sym_truncate_statement_token1] = ACTIONS(1446),
    [aux_sym_update_statement_token1] = ACTIONS(1446),
    [aux_sym_merge_statement_token1] = ACTIONS(1446),
    [aux_sym_grant_statement_token1] = ACTIONS(1446),
    [aux_sym_revoke_statement_token1] = ACTIONS(1446),
    [aux_sym_export_data_statement_token1] = ACTIONS(1446),
    [aux_sym_load_data_statement_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [3916] = {
    [sym_analytics_clause] = STATE(3924),
    [ts_builtin_sym_end] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1446),
    [aux_sym_keyword_replace_token1] = ACTIONS(1446),
    [aux_sym__keyword_alter_token1] = ACTIONS(1446),
    [aux_sym__keyword_delete_token1] = ACTIONS(1446),
    [aux_sym__keyword_begin_token1] = ACTIONS(1446),
    [aux_sym__keyword_end_token1] = ACTIONS(1446),
    [aux_sym__keyword_between_token1] = ACTIONS(1446),
    [aux_sym__keyword_when_token1] = ACTIONS(1446),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1446),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1446),
    [aux_sym__keyword_like_token1] = ACTIONS(1446),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1446),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1446),
    [aux_sym_return_satement_token1] = ACTIONS(1446),
    [aux_sym_call_statement_token1] = ACTIONS(1446),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_loop_statement_token1] = ACTIONS(1446),
    [aux_sym_repeat_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [aux_sym_leave_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_iterate_statement_token1] = ACTIONS(1446),
    [aux_sym_raise_statement_token1] = ACTIONS(1446),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1446),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1446),
    [aux_sym_option_clause_token1] = ACTIONS(1446),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1446),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1446),
    [aux_sym_truncate_statement_token1] = ACTIONS(1446),
    [aux_sym_update_statement_token1] = ACTIONS(1446),
    [aux_sym_merge_statement_token1] = ACTIONS(1446),
    [aux_sym_grant_statement_token1] = ACTIONS(1446),
    [aux_sym_revoke_statement_token1] = ACTIONS(1446),
    [aux_sym_export_data_statement_token1] = ACTIONS(1446),
    [aux_sym_load_data_statement_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [3917] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1446),
    [aux_sym_keyword_replace_token1] = ACTIONS(1446),
    [aux_sym__keyword_alter_token1] = ACTIONS(1446),
    [aux_sym__keyword_from_token1] = ACTIONS(1446),
    [aux_sym__keyword_delete_token1] = ACTIONS(1446),
    [aux_sym__keyword_begin_token1] = ACTIONS(1446),
    [aux_sym__keyword_end_token1] = ACTIONS(1446),
    [aux_sym__keyword_between_token1] = ACTIONS(1446),
    [aux_sym__keyword_when_token1] = ACTIONS(1446),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1446),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1446),
    [aux_sym__keyword_like_token1] = ACTIONS(1446),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1446),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1446),
    [aux_sym_return_satement_token1] = ACTIONS(1446),
    [aux_sym_call_statement_token1] = ACTIONS(1446),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_loop_statement_token1] = ACTIONS(1446),
    [aux_sym_repeat_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [aux_sym_leave_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_iterate_statement_token1] = ACTIONS(1446),
    [aux_sym_raise_statement_token1] = ACTIONS(1446),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1446),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1446),
    [aux_sym_option_clause_token1] = ACTIONS(1446),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1446),
    [aux_sym_select_token1] = ACTIONS(1446),
    [aux_sym_insert_statement_token1] = ACTIONS(1446),
    [aux_sym_truncate_statement_token1] = ACTIONS(1446),
    [aux_sym_update_statement_token1] = ACTIONS(1446),
    [aux_sym_merge_statement_token1] = ACTIONS(1446),
    [aux_sym_grant_statement_token1] = ACTIONS(1446),
    [aux_sym_revoke_statement_token1] = ACTIONS(1446),
    [aux_sym_export_data_statement_token1] = ACTIONS(1446),
    [aux_sym_load_data_statement_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [3918] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1446),
    [aux_sym_keyword_replace_token1] = ACTIONS(1446),
    [aux_sym__keyword_alter_token1] = ACTIONS(1446),
    [aux_sym__keyword_from_token1] = ACTIONS(1446),
    [aux_sym__keyword_delete_token1] = ACTIONS(1446),
    [aux_sym__keyword_begin_token1] = ACTIONS(1446),
    [aux_sym__keyword_end_token1] = ACTIONS(1446),
    [aux_sym__keyword_between_token1] = ACTIONS(1446),
    [aux_sym__keyword_when_token1] = ACTIONS(1446),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1446),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1446),
    [aux_sym__keyword_like_token1] = ACTIONS(1446),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1446),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1446),
    [aux_sym_return_satement_token1] = ACTIONS(1446),
    [aux_sym_call_statement_token1] = ACTIONS(1446),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_loop_statement_token1] = ACTIONS(1446),
    [aux_sym_repeat_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [aux_sym_leave_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_iterate_statement_token1] = ACTIONS(1446),
    [aux_sym_raise_statement_token1] = ACTIONS(1446),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1446),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1446),
    [aux_sym_option_clause_token1] = ACTIONS(1446),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1446),
    [aux_sym_select_token1] = ACTIONS(1446),
    [aux_sym_insert_statement_token1] = ACTIONS(1446),
    [aux_sym_truncate_statement_token1] = ACTIONS(1446),
    [aux_sym_update_statement_token1] = ACTIONS(1446),
    [aux_sym_merge_statement_token1] = ACTIONS(1446),
    [aux_sym_grant_statement_token1] = ACTIONS(1446),
    [aux_sym_revoke_statement_token1] = ACTIONS(1446),
    [aux_sym_export_data_statement_token1] = ACTIONS(1446),
    [aux_sym_load_data_statement_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [3919] = {
    [sym_analytics_clause] = STATE(3925),
    [ts_builtin_sym_end] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1446),
    [aux_sym_keyword_replace_token1] = ACTIONS(1446),
    [aux_sym__keyword_alter_token1] = ACTIONS(1446),
    [aux_sym__keyword_delete_token1] = ACTIONS(1446),
    [aux_sym__keyword_begin_token1] = ACTIONS(1446),
    [aux_sym__keyword_end_token1] = ACTIONS(1446),
    [aux_sym__keyword_between_token1] = ACTIONS(1446),
    [aux_sym__keyword_when_token1] = ACTIONS(1446),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1446),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1446),
    [aux_sym__keyword_like_token1] = ACTIONS(1446),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1446),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1446),
    [aux_sym_return_satement_token1] = ACTIONS(1446),
    [aux_sym_call_statement_token1] = ACTIONS(1446),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_loop_statement_token1] = ACTIONS(1446),
    [aux_sym_repeat_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [aux_sym_leave_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_iterate_statement_token1] = ACTIONS(1446),
    [aux_sym_raise_statement_token1] = ACTIONS(1446),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1446),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1446),
    [aux_sym_option_clause_token1] = ACTIONS(1446),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1446),
    [aux_sym_analytics_clause_token1] = ACTIONS(3274),
    [aux_sym_insert_statement_token1] = ACTIONS(1446),
    [aux_sym_truncate_statement_token1] = ACTIONS(1446),
    [aux_sym_update_statement_token1] = ACTIONS(1446),
    [aux_sym_merge_statement_token1] = ACTIONS(1446),
    [aux_sym_grant_statement_token1] = ACTIONS(1446),
    [aux_sym_revoke_statement_token1] = ACTIONS(1446),
    [aux_sym_export_data_statement_token1] = ACTIONS(1446),
    [aux_sym_load_data_statement_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [3920] = {
    [ts_builtin_sym_end] = ACTIONS(1776),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1776),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1776),
    [aux_sym_keyword_replace_token1] = ACTIONS(1776),
    [aux_sym__keyword_alter_token1] = ACTIONS(1776),
    [aux_sym__keyword_from_token1] = ACTIONS(1776),
    [aux_sym__keyword_delete_token1] = ACTIONS(1776),
    [aux_sym__keyword_begin_token1] = ACTIONS(1776),
    [aux_sym__keyword_end_token1] = ACTIONS(1776),
    [aux_sym__keyword_between_token1] = ACTIONS(1776),
    [aux_sym__keyword_when_token1] = ACTIONS(1776),
    [aux_sym__keyword_else_token1] = ACTIONS(1778),
    [aux_sym__keyword_is_token1] = ACTIONS(1776),
    [aux_sym__keyword_in_token1] = ACTIONS(1778),
    [aux_sym__keyword_and_token1] = ACTIONS(1776),
    [aux_sym__keyword_like_token1] = ACTIONS(1776),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1776),
    [aux_sym__keyword_as_token1] = ACTIONS(1778),
    [aux_sym__keyword_for_token1] = ACTIONS(1776),
    [anon_sym_SEMI] = ACTIONS(1776),
    [aux_sym_declare_statement_token1] = ACTIONS(1776),
    [anon_sym_COMMA] = ACTIONS(1776),
    [aux_sym_set_statement_token1] = ACTIONS(1776),
    [anon_sym_LPAREN] = ACTIONS(1776),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1776),
    [aux_sym_return_satement_token1] = ACTIONS(1776),
    [aux_sym_call_statement_token1] = ACTIONS(1776),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1776),
    [aux_sym_if_statement_token1] = ACTIONS(1776),
    [aux_sym_loop_statement_token1] = ACTIONS(1776),
    [aux_sym_repeat_statement_token1] = ACTIONS(1776),
    [aux_sym_while_statement_token1] = ACTIONS(1776),
    [aux_sym_break_statement_token1] = ACTIONS(1776),
    [aux_sym_leave_statement_token1] = ACTIONS(1776),
    [aux_sym_continue_statement_token1] = ACTIONS(1776),
    [aux_sym_iterate_statement_token1] = ACTIONS(1776),
    [aux_sym_raise_statement_token1] = ACTIONS(1776),
    [anon_sym_EQ] = ACTIONS(1776),
    [aux_sym_assert_statement_token1] = ACTIONS(1776),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1776),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1776),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1776),
    [aux_sym_option_clause_token1] = ACTIONS(1776),
    [anon_sym_LT] = ACTIONS(1778),
    [anon_sym_GT] = ACTIONS(1778),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1776),
    [aux_sym_select_token1] = ACTIONS(1776),
    [aux_sym_insert_statement_token1] = ACTIONS(1776),
    [aux_sym_truncate_statement_token1] = ACTIONS(1776),
    [aux_sym_update_statement_token1] = ACTIONS(1776),
    [aux_sym_merge_statement_token1] = ACTIONS(1776),
    [aux_sym_grant_statement_token1] = ACTIONS(1776),
    [aux_sym_revoke_statement_token1] = ACTIONS(1776),
    [aux_sym_export_data_statement_token1] = ACTIONS(1776),
    [aux_sym_load_data_statement_token1] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1776),
    [anon_sym_PLUS] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1778),
    [anon_sym_STAR] = ACTIONS(1776),
    [anon_sym_SLASH] = ACTIONS(1778),
    [anon_sym_PIPE_PIPE] = ACTIONS(1776),
    [anon_sym_LT_EQ] = ACTIONS(1776),
    [anon_sym_LT_GT] = ACTIONS(1776),
    [anon_sym_GT_EQ] = ACTIONS(1776),
    [anon_sym_BANG_EQ] = ACTIONS(1776),
    [anon_sym_LT_LT] = ACTIONS(1776),
    [anon_sym_GT_GT] = ACTIONS(1776),
    [anon_sym_AMP] = ACTIONS(1776),
    [anon_sym_CARET] = ACTIONS(1776),
    [anon_sym_PIPE] = ACTIONS(1778),
  },
  [3921] = {
    [ts_builtin_sym_end] = ACTIONS(1776),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1776),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1776),
    [aux_sym_keyword_replace_token1] = ACTIONS(1776),
    [aux_sym__keyword_alter_token1] = ACTIONS(1776),
    [aux_sym__keyword_from_token1] = ACTIONS(1776),
    [aux_sym__keyword_delete_token1] = ACTIONS(1776),
    [aux_sym__keyword_begin_token1] = ACTIONS(1776),
    [aux_sym__keyword_end_token1] = ACTIONS(1776),
    [aux_sym__keyword_between_token1] = ACTIONS(1776),
    [aux_sym__keyword_when_token1] = ACTIONS(1776),
    [aux_sym__keyword_else_token1] = ACTIONS(1778),
    [aux_sym__keyword_is_token1] = ACTIONS(1776),
    [aux_sym__keyword_in_token1] = ACTIONS(1778),
    [aux_sym__keyword_and_token1] = ACTIONS(1776),
    [aux_sym__keyword_like_token1] = ACTIONS(1776),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1776),
    [aux_sym__keyword_as_token1] = ACTIONS(1778),
    [aux_sym__keyword_for_token1] = ACTIONS(1776),
    [anon_sym_SEMI] = ACTIONS(1776),
    [aux_sym_declare_statement_token1] = ACTIONS(1776),
    [anon_sym_COMMA] = ACTIONS(1776),
    [aux_sym_set_statement_token1] = ACTIONS(1776),
    [anon_sym_LPAREN] = ACTIONS(1776),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1776),
    [aux_sym_return_satement_token1] = ACTIONS(1776),
    [aux_sym_call_statement_token1] = ACTIONS(1776),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1776),
    [aux_sym_if_statement_token1] = ACTIONS(1776),
    [aux_sym_loop_statement_token1] = ACTIONS(1776),
    [aux_sym_repeat_statement_token1] = ACTIONS(1776),
    [aux_sym_while_statement_token1] = ACTIONS(1776),
    [aux_sym_break_statement_token1] = ACTIONS(1776),
    [aux_sym_leave_statement_token1] = ACTIONS(1776),
    [aux_sym_continue_statement_token1] = ACTIONS(1776),
    [aux_sym_iterate_statement_token1] = ACTIONS(1776),
    [aux_sym_raise_statement_token1] = ACTIONS(1776),
    [anon_sym_EQ] = ACTIONS(1776),
    [aux_sym_assert_statement_token1] = ACTIONS(1776),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1776),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1776),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1776),
    [aux_sym_option_clause_token1] = ACTIONS(1776),
    [anon_sym_LT] = ACTIONS(1778),
    [anon_sym_GT] = ACTIONS(1778),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1776),
    [aux_sym_select_token1] = ACTIONS(1776),
    [aux_sym_insert_statement_token1] = ACTIONS(1776),
    [aux_sym_truncate_statement_token1] = ACTIONS(1776),
    [aux_sym_update_statement_token1] = ACTIONS(1776),
    [aux_sym_merge_statement_token1] = ACTIONS(1776),
    [aux_sym_grant_statement_token1] = ACTIONS(1776),
    [aux_sym_revoke_statement_token1] = ACTIONS(1776),
    [aux_sym_export_data_statement_token1] = ACTIONS(1776),
    [aux_sym_load_data_statement_token1] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1776),
    [anon_sym_PLUS] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1778),
    [anon_sym_STAR] = ACTIONS(1776),
    [anon_sym_SLASH] = ACTIONS(1778),
    [anon_sym_PIPE_PIPE] = ACTIONS(1776),
    [anon_sym_LT_EQ] = ACTIONS(1776),
    [anon_sym_LT_GT] = ACTIONS(1776),
    [anon_sym_GT_EQ] = ACTIONS(1776),
    [anon_sym_BANG_EQ] = ACTIONS(1776),
    [anon_sym_LT_LT] = ACTIONS(1776),
    [anon_sym_GT_GT] = ACTIONS(1776),
    [anon_sym_AMP] = ACTIONS(1776),
    [anon_sym_CARET] = ACTIONS(1776),
    [anon_sym_PIPE] = ACTIONS(1778),
  },
  [3922] = {
    [ts_builtin_sym_end] = ACTIONS(1776),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1776),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1776),
    [aux_sym_keyword_replace_token1] = ACTIONS(1776),
    [aux_sym__keyword_alter_token1] = ACTIONS(1776),
    [aux_sym__keyword_from_token1] = ACTIONS(1776),
    [aux_sym__keyword_delete_token1] = ACTIONS(1776),
    [aux_sym__keyword_begin_token1] = ACTIONS(1776),
    [aux_sym__keyword_end_token1] = ACTIONS(1776),
    [aux_sym__keyword_between_token1] = ACTIONS(1776),
    [aux_sym__keyword_when_token1] = ACTIONS(1776),
    [aux_sym__keyword_else_token1] = ACTIONS(1778),
    [aux_sym__keyword_is_token1] = ACTIONS(1776),
    [aux_sym__keyword_in_token1] = ACTIONS(1778),
    [aux_sym__keyword_and_token1] = ACTIONS(1776),
    [aux_sym__keyword_like_token1] = ACTIONS(1776),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1776),
    [aux_sym__keyword_as_token1] = ACTIONS(1778),
    [aux_sym__keyword_for_token1] = ACTIONS(1776),
    [anon_sym_SEMI] = ACTIONS(1776),
    [aux_sym_declare_statement_token1] = ACTIONS(1776),
    [anon_sym_COMMA] = ACTIONS(1776),
    [aux_sym_set_statement_token1] = ACTIONS(1776),
    [anon_sym_LPAREN] = ACTIONS(1776),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1776),
    [aux_sym_return_satement_token1] = ACTIONS(1776),
    [aux_sym_call_statement_token1] = ACTIONS(1776),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1776),
    [aux_sym_if_statement_token1] = ACTIONS(1776),
    [aux_sym_loop_statement_token1] = ACTIONS(1776),
    [aux_sym_repeat_statement_token1] = ACTIONS(1776),
    [aux_sym_while_statement_token1] = ACTIONS(1776),
    [aux_sym_break_statement_token1] = ACTIONS(1776),
    [aux_sym_leave_statement_token1] = ACTIONS(1776),
    [aux_sym_continue_statement_token1] = ACTIONS(1776),
    [aux_sym_iterate_statement_token1] = ACTIONS(1776),
    [aux_sym_raise_statement_token1] = ACTIONS(1776),
    [anon_sym_EQ] = ACTIONS(1776),
    [aux_sym_assert_statement_token1] = ACTIONS(1776),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1776),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1776),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1776),
    [aux_sym_option_clause_token1] = ACTIONS(1776),
    [anon_sym_LT] = ACTIONS(1778),
    [anon_sym_GT] = ACTIONS(1778),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1776),
    [aux_sym_select_token1] = ACTIONS(1776),
    [aux_sym_insert_statement_token1] = ACTIONS(1776),
    [aux_sym_truncate_statement_token1] = ACTIONS(1776),
    [aux_sym_update_statement_token1] = ACTIONS(1776),
    [aux_sym_merge_statement_token1] = ACTIONS(1776),
    [aux_sym_grant_statement_token1] = ACTIONS(1776),
    [aux_sym_revoke_statement_token1] = ACTIONS(1776),
    [aux_sym_export_data_statement_token1] = ACTIONS(1776),
    [aux_sym_load_data_statement_token1] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1776),
    [anon_sym_PLUS] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1778),
    [anon_sym_STAR] = ACTIONS(1776),
    [anon_sym_SLASH] = ACTIONS(1778),
    [anon_sym_PIPE_PIPE] = ACTIONS(1776),
    [anon_sym_LT_EQ] = ACTIONS(1776),
    [anon_sym_LT_GT] = ACTIONS(1776),
    [anon_sym_GT_EQ] = ACTIONS(1776),
    [anon_sym_BANG_EQ] = ACTIONS(1776),
    [anon_sym_LT_LT] = ACTIONS(1776),
    [anon_sym_GT_GT] = ACTIONS(1776),
    [anon_sym_AMP] = ACTIONS(1776),
    [anon_sym_CARET] = ACTIONS(1776),
    [anon_sym_PIPE] = ACTIONS(1778),
  },
  [3923] = {
    [ts_builtin_sym_end] = ACTIONS(1776),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1776),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1776),
    [aux_sym_keyword_replace_token1] = ACTIONS(1776),
    [aux_sym__keyword_alter_token1] = ACTIONS(1776),
    [aux_sym__keyword_from_token1] = ACTIONS(1776),
    [aux_sym__keyword_delete_token1] = ACTIONS(1776),
    [aux_sym__keyword_begin_token1] = ACTIONS(1776),
    [aux_sym__keyword_end_token1] = ACTIONS(1776),
    [aux_sym__keyword_between_token1] = ACTIONS(1776),
    [aux_sym__keyword_when_token1] = ACTIONS(1776),
    [aux_sym__keyword_else_token1] = ACTIONS(1778),
    [aux_sym__keyword_is_token1] = ACTIONS(1776),
    [aux_sym__keyword_in_token1] = ACTIONS(1778),
    [aux_sym__keyword_and_token1] = ACTIONS(1776),
    [aux_sym__keyword_like_token1] = ACTIONS(1776),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1776),
    [aux_sym__keyword_as_token1] = ACTIONS(1778),
    [aux_sym__keyword_for_token1] = ACTIONS(1776),
    [anon_sym_SEMI] = ACTIONS(1776),
    [aux_sym_declare_statement_token1] = ACTIONS(1776),
    [anon_sym_COMMA] = ACTIONS(1776),
    [aux_sym_set_statement_token1] = ACTIONS(1776),
    [anon_sym_LPAREN] = ACTIONS(1776),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1776),
    [aux_sym_return_satement_token1] = ACTIONS(1776),
    [aux_sym_call_statement_token1] = ACTIONS(1776),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1776),
    [aux_sym_if_statement_token1] = ACTIONS(1776),
    [aux_sym_loop_statement_token1] = ACTIONS(1776),
    [aux_sym_repeat_statement_token1] = ACTIONS(1776),
    [aux_sym_while_statement_token1] = ACTIONS(1776),
    [aux_sym_break_statement_token1] = ACTIONS(1776),
    [aux_sym_leave_statement_token1] = ACTIONS(1776),
    [aux_sym_continue_statement_token1] = ACTIONS(1776),
    [aux_sym_iterate_statement_token1] = ACTIONS(1776),
    [aux_sym_raise_statement_token1] = ACTIONS(1776),
    [anon_sym_EQ] = ACTIONS(1776),
    [aux_sym_assert_statement_token1] = ACTIONS(1776),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1776),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1776),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1776),
    [aux_sym_option_clause_token1] = ACTIONS(1776),
    [anon_sym_LT] = ACTIONS(1778),
    [anon_sym_GT] = ACTIONS(1778),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1776),
    [aux_sym_select_token1] = ACTIONS(1776),
    [aux_sym_insert_statement_token1] = ACTIONS(1776),
    [aux_sym_truncate_statement_token1] = ACTIONS(1776),
    [aux_sym_update_statement_token1] = ACTIONS(1776),
    [aux_sym_merge_statement_token1] = ACTIONS(1776),
    [aux_sym_grant_statement_token1] = ACTIONS(1776),
    [aux_sym_revoke_statement_token1] = ACTIONS(1776),
    [aux_sym_export_data_statement_token1] = ACTIONS(1776),
    [aux_sym_load_data_statement_token1] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1776),
    [anon_sym_PLUS] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1778),
    [anon_sym_STAR] = ACTIONS(1776),
    [anon_sym_SLASH] = ACTIONS(1778),
    [anon_sym_PIPE_PIPE] = ACTIONS(1776),
    [anon_sym_LT_EQ] = ACTIONS(1776),
    [anon_sym_LT_GT] = ACTIONS(1776),
    [anon_sym_GT_EQ] = ACTIONS(1776),
    [anon_sym_BANG_EQ] = ACTIONS(1776),
    [anon_sym_LT_LT] = ACTIONS(1776),
    [anon_sym_GT_GT] = ACTIONS(1776),
    [anon_sym_AMP] = ACTIONS(1776),
    [anon_sym_CARET] = ACTIONS(1776),
    [anon_sym_PIPE] = ACTIONS(1778),
  },
  [3924] = {
    [ts_builtin_sym_end] = ACTIONS(1780),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1780),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1780),
    [aux_sym_keyword_replace_token1] = ACTIONS(1780),
    [aux_sym__keyword_alter_token1] = ACTIONS(1780),
    [aux_sym__keyword_from_token1] = ACTIONS(1780),
    [aux_sym__keyword_delete_token1] = ACTIONS(1780),
    [aux_sym__keyword_begin_token1] = ACTIONS(1780),
    [aux_sym__keyword_end_token1] = ACTIONS(1780),
    [aux_sym__keyword_between_token1] = ACTIONS(1780),
    [aux_sym__keyword_when_token1] = ACTIONS(1780),
    [aux_sym__keyword_else_token1] = ACTIONS(1782),
    [aux_sym__keyword_is_token1] = ACTIONS(1780),
    [aux_sym__keyword_in_token1] = ACTIONS(1782),
    [aux_sym__keyword_and_token1] = ACTIONS(1780),
    [aux_sym__keyword_like_token1] = ACTIONS(1780),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1780),
    [aux_sym__keyword_as_token1] = ACTIONS(1782),
    [aux_sym__keyword_for_token1] = ACTIONS(1780),
    [anon_sym_SEMI] = ACTIONS(1780),
    [aux_sym_declare_statement_token1] = ACTIONS(1780),
    [anon_sym_COMMA] = ACTIONS(1780),
    [aux_sym_set_statement_token1] = ACTIONS(1780),
    [anon_sym_LPAREN] = ACTIONS(1780),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1780),
    [aux_sym_return_satement_token1] = ACTIONS(1780),
    [aux_sym_call_statement_token1] = ACTIONS(1780),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1780),
    [aux_sym_if_statement_token1] = ACTIONS(1780),
    [aux_sym_loop_statement_token1] = ACTIONS(1780),
    [aux_sym_repeat_statement_token1] = ACTIONS(1780),
    [aux_sym_while_statement_token1] = ACTIONS(1780),
    [aux_sym_break_statement_token1] = ACTIONS(1780),
    [aux_sym_leave_statement_token1] = ACTIONS(1780),
    [aux_sym_continue_statement_token1] = ACTIONS(1780),
    [aux_sym_iterate_statement_token1] = ACTIONS(1780),
    [aux_sym_raise_statement_token1] = ACTIONS(1780),
    [anon_sym_EQ] = ACTIONS(1780),
    [aux_sym_assert_statement_token1] = ACTIONS(1780),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1780),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1780),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1780),
    [aux_sym_option_clause_token1] = ACTIONS(1780),
    [anon_sym_LT] = ACTIONS(1782),
    [anon_sym_GT] = ACTIONS(1782),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1780),
    [aux_sym_select_token1] = ACTIONS(1780),
    [aux_sym_insert_statement_token1] = ACTIONS(1780),
    [aux_sym_truncate_statement_token1] = ACTIONS(1780),
    [aux_sym_update_statement_token1] = ACTIONS(1780),
    [aux_sym_merge_statement_token1] = ACTIONS(1780),
    [aux_sym_grant_statement_token1] = ACTIONS(1780),
    [aux_sym_revoke_statement_token1] = ACTIONS(1780),
    [aux_sym_export_data_statement_token1] = ACTIONS(1780),
    [aux_sym_load_data_statement_token1] = ACTIONS(1780),
    [anon_sym_LBRACK] = ACTIONS(1780),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_DASH] = ACTIONS(1782),
    [anon_sym_STAR] = ACTIONS(1780),
    [anon_sym_SLASH] = ACTIONS(1782),
    [anon_sym_PIPE_PIPE] = ACTIONS(1780),
    [anon_sym_LT_EQ] = ACTIONS(1780),
    [anon_sym_LT_GT] = ACTIONS(1780),
    [anon_sym_GT_EQ] = ACTIONS(1780),
    [anon_sym_BANG_EQ] = ACTIONS(1780),
    [anon_sym_LT_LT] = ACTIONS(1780),
    [anon_sym_GT_GT] = ACTIONS(1780),
    [anon_sym_AMP] = ACTIONS(1780),
    [anon_sym_CARET] = ACTIONS(1780),
    [anon_sym_PIPE] = ACTIONS(1782),
  },
  [3925] = {
    [ts_builtin_sym_end] = ACTIONS(1780),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1780),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1780),
    [aux_sym_keyword_replace_token1] = ACTIONS(1780),
    [aux_sym__keyword_alter_token1] = ACTIONS(1780),
    [aux_sym__keyword_from_token1] = ACTIONS(1780),
    [aux_sym__keyword_delete_token1] = ACTIONS(1780),
    [aux_sym__keyword_begin_token1] = ACTIONS(1780),
    [aux_sym__keyword_end_token1] = ACTIONS(1780),
    [aux_sym__keyword_between_token1] = ACTIONS(1780),
    [aux_sym__keyword_when_token1] = ACTIONS(1780),
    [aux_sym__keyword_else_token1] = ACTIONS(1782),
    [aux_sym__keyword_is_token1] = ACTIONS(1780),
    [aux_sym__keyword_in_token1] = ACTIONS(1782),
    [aux_sym__keyword_and_token1] = ACTIONS(1780),
    [aux_sym__keyword_like_token1] = ACTIONS(1780),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1780),
    [aux_sym__keyword_as_token1] = ACTIONS(1782),
    [aux_sym__keyword_for_token1] = ACTIONS(1780),
    [anon_sym_SEMI] = ACTIONS(1780),
    [aux_sym_declare_statement_token1] = ACTIONS(1780),
    [anon_sym_COMMA] = ACTIONS(1780),
    [aux_sym_set_statement_token1] = ACTIONS(1780),
    [anon_sym_LPAREN] = ACTIONS(1780),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1780),
    [aux_sym_return_satement_token1] = ACTIONS(1780),
    [aux_sym_call_statement_token1] = ACTIONS(1780),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1780),
    [aux_sym_if_statement_token1] = ACTIONS(1780),
    [aux_sym_loop_statement_token1] = ACTIONS(1780),
    [aux_sym_repeat_statement_token1] = ACTIONS(1780),
    [aux_sym_while_statement_token1] = ACTIONS(1780),
    [aux_sym_break_statement_token1] = ACTIONS(1780),
    [aux_sym_leave_statement_token1] = ACTIONS(1780),
    [aux_sym_continue_statement_token1] = ACTIONS(1780),
    [aux_sym_iterate_statement_token1] = ACTIONS(1780),
    [aux_sym_raise_statement_token1] = ACTIONS(1780),
    [anon_sym_EQ] = ACTIONS(1780),
    [aux_sym_assert_statement_token1] = ACTIONS(1780),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1780),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1780),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1780),
    [aux_sym_option_clause_token1] = ACTIONS(1780),
    [anon_sym_LT] = ACTIONS(1782),
    [anon_sym_GT] = ACTIONS(1782),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1780),
    [aux_sym_select_token1] = ACTIONS(1780),
    [aux_sym_insert_statement_token1] = ACTIONS(1780),
    [aux_sym_truncate_statement_token1] = ACTIONS(1780),
    [aux_sym_update_statement_token1] = ACTIONS(1780),
    [aux_sym_merge_statement_token1] = ACTIONS(1780),
    [aux_sym_grant_statement_token1] = ACTIONS(1780),
    [aux_sym_revoke_statement_token1] = ACTIONS(1780),
    [aux_sym_export_data_statement_token1] = ACTIONS(1780),
    [aux_sym_load_data_statement_token1] = ACTIONS(1780),
    [anon_sym_LBRACK] = ACTIONS(1780),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_DASH] = ACTIONS(1782),
    [anon_sym_STAR] = ACTIONS(1780),
    [anon_sym_SLASH] = ACTIONS(1782),
    [anon_sym_PIPE_PIPE] = ACTIONS(1780),
    [anon_sym_LT_EQ] = ACTIONS(1780),
    [anon_sym_LT_GT] = ACTIONS(1780),
    [anon_sym_GT_EQ] = ACTIONS(1780),
    [anon_sym_BANG_EQ] = ACTIONS(1780),
    [anon_sym_LT_LT] = ACTIONS(1780),
    [anon_sym_GT_GT] = ACTIONS(1780),
    [anon_sym_AMP] = ACTIONS(1780),
    [anon_sym_CARET] = ACTIONS(1780),
    [anon_sym_PIPE] = ACTIONS(1782),
  },
  [3926] = {
    [ts_builtin_sym_end] = ACTIONS(1684),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1684),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1684),
    [aux_sym_keyword_replace_token1] = ACTIONS(1684),
    [aux_sym__keyword_alter_token1] = ACTIONS(1684),
    [aux_sym__keyword_from_token1] = ACTIONS(1684),
    [aux_sym__keyword_delete_token1] = ACTIONS(1684),
    [aux_sym__keyword_begin_token1] = ACTIONS(1684),
    [aux_sym__keyword_end_token1] = ACTIONS(1684),
    [aux_sym__keyword_between_token1] = ACTIONS(1684),
    [aux_sym__keyword_when_token1] = ACTIONS(1684),
    [aux_sym__keyword_else_token1] = ACTIONS(1686),
    [aux_sym__keyword_is_token1] = ACTIONS(1684),
    [aux_sym__keyword_in_token1] = ACTIONS(1686),
    [aux_sym__keyword_and_token1] = ACTIONS(1684),
    [aux_sym__keyword_like_token1] = ACTIONS(1684),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1684),
    [aux_sym__keyword_as_token1] = ACTIONS(1686),
    [aux_sym__keyword_for_token1] = ACTIONS(1684),
    [anon_sym_SEMI] = ACTIONS(1684),
    [aux_sym_declare_statement_token1] = ACTIONS(1684),
    [anon_sym_COMMA] = ACTIONS(1684),
    [aux_sym_set_statement_token1] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1684),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1684),
    [aux_sym_return_satement_token1] = ACTIONS(1684),
    [aux_sym_call_statement_token1] = ACTIONS(1684),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1684),
    [aux_sym_if_statement_token1] = ACTIONS(1684),
    [aux_sym_loop_statement_token1] = ACTIONS(1684),
    [aux_sym_repeat_statement_token1] = ACTIONS(1684),
    [aux_sym_while_statement_token1] = ACTIONS(1684),
    [aux_sym_break_statement_token1] = ACTIONS(1684),
    [aux_sym_leave_statement_token1] = ACTIONS(1684),
    [aux_sym_continue_statement_token1] = ACTIONS(1684),
    [aux_sym_iterate_statement_token1] = ACTIONS(1684),
    [aux_sym_raise_statement_token1] = ACTIONS(1684),
    [anon_sym_EQ] = ACTIONS(1684),
    [aux_sym_assert_statement_token1] = ACTIONS(1684),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1684),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1684),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1684),
    [aux_sym_option_clause_token1] = ACTIONS(1684),
    [anon_sym_LT] = ACTIONS(1686),
    [anon_sym_GT] = ACTIONS(1686),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1684),
    [aux_sym_select_token1] = ACTIONS(1684),
    [aux_sym_insert_statement_token1] = ACTIONS(1684),
    [aux_sym_truncate_statement_token1] = ACTIONS(1684),
    [aux_sym_update_statement_token1] = ACTIONS(1684),
    [aux_sym_merge_statement_token1] = ACTIONS(1684),
    [aux_sym_grant_statement_token1] = ACTIONS(1684),
    [aux_sym_revoke_statement_token1] = ACTIONS(1684),
    [aux_sym_export_data_statement_token1] = ACTIONS(1684),
    [aux_sym_load_data_statement_token1] = ACTIONS(1684),
    [anon_sym_LBRACK] = ACTIONS(1684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1684),
    [anon_sym_PLUS] = ACTIONS(1684),
    [anon_sym_DASH] = ACTIONS(1686),
    [anon_sym_STAR] = ACTIONS(1684),
    [anon_sym_SLASH] = ACTIONS(1686),
    [anon_sym_PIPE_PIPE] = ACTIONS(1684),
    [anon_sym_LT_EQ] = ACTIONS(1684),
    [anon_sym_LT_GT] = ACTIONS(1684),
    [anon_sym_GT_EQ] = ACTIONS(1684),
    [anon_sym_BANG_EQ] = ACTIONS(1684),
    [anon_sym_LT_LT] = ACTIONS(1684),
    [anon_sym_GT_GT] = ACTIONS(1684),
    [anon_sym_AMP] = ACTIONS(1684),
    [anon_sym_CARET] = ACTIONS(1684),
    [anon_sym_PIPE] = ACTIONS(1686),
  },
  [3927] = {
    [sym__keyword_between] = STATE(1087),
    [sym__keyword_is] = STATE(12139),
    [sym__keyword_in] = STATE(1373),
    [sym__keyword_not] = STATE(13070),
    [sym__keyword_and] = STATE(1433),
    [sym__keyword_or] = STATE(1436),
    [sym__keyword_like] = STATE(14280),
    [sym__keyword_as] = STATE(16134),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(3158),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3158),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(2744),
    [aux_sym__keyword_alter_token1] = ACTIONS(3158),
    [aux_sym__keyword_delete_token1] = ACTIONS(3158),
    [aux_sym__keyword_begin_token1] = ACTIONS(3158),
    [aux_sym__keyword_between_token1] = ACTIONS(3328),
    [aux_sym__keyword_is_token1] = ACTIONS(3330),
    [aux_sym__keyword_in_token1] = ACTIONS(3332),
    [aux_sym__keyword_and_token1] = ACTIONS(3334),
    [aux_sym__keyword_like_token1] = ACTIONS(1007),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3158),
    [aux_sym__keyword_as_token1] = ACTIONS(3170),
    [aux_sym__keyword_for_token1] = ACTIONS(3158),
    [anon_sym_SEMI] = ACTIONS(3158),
    [aux_sym_declare_statement_token1] = ACTIONS(3158),
    [aux_sym_set_statement_token1] = ACTIONS(3158),
    [anon_sym_LPAREN] = ACTIONS(3158),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(3158),
    [aux_sym_return_satement_token1] = ACTIONS(3158),
    [aux_sym_call_statement_token1] = ACTIONS(3158),
    [aux_sym_loop_statement_token1] = ACTIONS(3158),
    [aux_sym_while_statement_token1] = ACTIONS(3158),
    [aux_sym_break_statement_token1] = ACTIONS(3158),
    [aux_sym_leave_statement_token1] = ACTIONS(3158),
    [aux_sym_continue_statement_token1] = ACTIONS(3158),
    [aux_sym_iterate_statement_token1] = ACTIONS(3158),
    [aux_sym_raise_statement_token1] = ACTIONS(3158),
    [anon_sym_EQ] = ACTIONS(3336),
    [aux_sym_assert_statement_token1] = ACTIONS(3158),
    [aux_sym_create_schema_statement_token1] = ACTIONS(3158),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(3158),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3158),
    [anon_sym_LT] = ACTIONS(3332),
    [anon_sym_GT] = ACTIONS(3332),
    [aux_sym_select_token1] = ACTIONS(3158),
    [aux_sym_insert_statement_token1] = ACTIONS(3158),
    [aux_sym_truncate_statement_token1] = ACTIONS(3158),
    [aux_sym_update_statement_token1] = ACTIONS(3158),
    [aux_sym_merge_statement_token1] = ACTIONS(3158),
    [aux_sym_grant_statement_token1] = ACTIONS(3158),
    [aux_sym_revoke_statement_token1] = ACTIONS(3158),
    [aux_sym_export_data_statement_token1] = ACTIONS(3158),
    [aux_sym_load_data_statement_token1] = ACTIONS(3158),
    [anon_sym_LBRACK] = ACTIONS(3056),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(3058),
    [anon_sym_PLUS] = ACTIONS(3338),
    [anon_sym_DASH] = ACTIONS(3340),
    [anon_sym_STAR] = ACTIONS(3342),
    [anon_sym_SLASH] = ACTIONS(3344),
    [anon_sym_PIPE_PIPE] = ACTIONS(3342),
    [anon_sym_LT_EQ] = ACTIONS(3336),
    [anon_sym_LT_GT] = ACTIONS(3336),
    [anon_sym_GT_EQ] = ACTIONS(3336),
    [anon_sym_BANG_EQ] = ACTIONS(3336),
    [anon_sym_LT_LT] = ACTIONS(3346),
    [anon_sym_GT_GT] = ACTIONS(3346),
    [anon_sym_AMP] = ACTIONS(3348),
    [anon_sym_CARET] = ACTIONS(3350),
    [anon_sym_PIPE] = ACTIONS(3352),
  },
  [3928] = {
    [sym__keyword_between] = STATE(1819),
    [sym__keyword_is] = STATE(12068),
    [sym__keyword_in] = STATE(1558),
    [sym__keyword_not] = STATE(13100),
    [sym__keyword_and] = STATE(1533),
    [sym__keyword_or] = STATE(1532),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(1019),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1019),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1019),
    [aux_sym_keyword_replace_token1] = ACTIONS(1019),
    [aux_sym__keyword_alter_token1] = ACTIONS(1019),
    [aux_sym__keyword_delete_token1] = ACTIONS(1019),
    [aux_sym__keyword_begin_token1] = ACTIONS(1019),
    [aux_sym__keyword_between_token1] = ACTIONS(1019),
    [aux_sym__keyword_when_token1] = ACTIONS(1019),
    [aux_sym__keyword_is_token1] = ACTIONS(1019),
    [aux_sym__keyword_in_token1] = ACTIONS(1021),
    [aux_sym__keyword_and_token1] = ACTIONS(1019),
    [aux_sym__keyword_like_token1] = ACTIONS(1019),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1019),
    [aux_sym__keyword_for_token1] = ACTIONS(1019),
    [anon_sym_SEMI] = ACTIONS(1019),
    [aux_sym_declare_statement_token1] = ACTIONS(1019),
    [anon_sym_COMMA] = ACTIONS(1019),
    [aux_sym_set_statement_token1] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1019),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1019),
    [aux_sym_return_satement_token1] = ACTIONS(1019),
    [aux_sym_call_statement_token1] = ACTIONS(1019),
    [aux_sym_loop_statement_token1] = ACTIONS(1019),
    [aux_sym_while_statement_token1] = ACTIONS(1019),
    [aux_sym_break_statement_token1] = ACTIONS(1019),
    [aux_sym_leave_statement_token1] = ACTIONS(1019),
    [aux_sym_continue_statement_token1] = ACTIONS(1019),
    [aux_sym_iterate_statement_token1] = ACTIONS(1019),
    [aux_sym_raise_statement_token1] = ACTIONS(1019),
    [anon_sym_EQ] = ACTIONS(1019),
    [aux_sym_assert_statement_token1] = ACTIONS(1019),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1019),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1019),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1019),
    [anon_sym_LT] = ACTIONS(1021),
    [anon_sym_GT] = ACTIONS(1021),
    [aux_sym_select_token1] = ACTIONS(1019),
    [aux_sym_insert_statement_token1] = ACTIONS(1019),
    [aux_sym_truncate_statement_token1] = ACTIONS(1019),
    [aux_sym_update_statement_token1] = ACTIONS(1019),
    [aux_sym_merge_statement_token1] = ACTIONS(1019),
    [aux_sym_grant_statement_token1] = ACTIONS(1019),
    [aux_sym_revoke_statement_token1] = ACTIONS(1019),
    [aux_sym_export_data_statement_token1] = ACTIONS(1019),
    [aux_sym_load_data_statement_token1] = ACTIONS(1019),
    [anon_sym_LBRACK] = ACTIONS(1019),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1019),
    [anon_sym_PLUS] = ACTIONS(1019),
    [anon_sym_DASH] = ACTIONS(1021),
    [anon_sym_STAR] = ACTIONS(1019),
    [anon_sym_SLASH] = ACTIONS(1021),
    [anon_sym_PIPE_PIPE] = ACTIONS(1019),
    [anon_sym_LT_EQ] = ACTIONS(1019),
    [anon_sym_LT_GT] = ACTIONS(1019),
    [anon_sym_GT_EQ] = ACTIONS(1019),
    [anon_sym_BANG_EQ] = ACTIONS(1019),
    [anon_sym_LT_LT] = ACTIONS(1019),
    [anon_sym_GT_GT] = ACTIONS(1019),
    [anon_sym_AMP] = ACTIONS(1019),
    [anon_sym_CARET] = ACTIONS(1019),
    [anon_sym_PIPE] = ACTIONS(1021),
  },
  [3929] = {
    [sym_analytics_clause] = STATE(4594),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [3930] = {
    [sym_analytics_clause] = STATE(4448),
    [ts_builtin_sym_end] = ACTIONS(1492),
    [sym__unquoted_identifier] = ACTIONS(1494),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1494),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1494),
    [aux_sym_keyword_replace_token1] = ACTIONS(1494),
    [aux_sym__keyword_alter_token1] = ACTIONS(1494),
    [aux_sym__keyword_delete_token1] = ACTIONS(1494),
    [aux_sym__keyword_begin_token1] = ACTIONS(1494),
    [aux_sym__keyword_between_token1] = ACTIONS(1494),
    [aux_sym__keyword_is_token1] = ACTIONS(1494),
    [aux_sym__keyword_in_token1] = ACTIONS(1494),
    [aux_sym__keyword_and_token1] = ACTIONS(1494),
    [aux_sym__keyword_like_token1] = ACTIONS(1494),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1494),
    [aux_sym__keyword_as_token1] = ACTIONS(1494),
    [aux_sym__keyword_date_token1] = ACTIONS(1494),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1494),
    [aux_sym__keyword_time_token1] = ACTIONS(1494),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1494),
    [aux_sym__keyword_for_token1] = ACTIONS(1494),
    [anon_sym_SEMI] = ACTIONS(1492),
    [aux_sym_declare_statement_token1] = ACTIONS(1494),
    [anon_sym_COMMA] = ACTIONS(1492),
    [aux_sym_set_statement_token1] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1494),
    [aux_sym_return_satement_token1] = ACTIONS(1494),
    [aux_sym_call_statement_token1] = ACTIONS(1494),
    [aux_sym_loop_statement_token1] = ACTIONS(1494),
    [aux_sym_while_statement_token1] = ACTIONS(1494),
    [aux_sym_break_statement_token1] = ACTIONS(1494),
    [aux_sym_leave_statement_token1] = ACTIONS(1494),
    [aux_sym_continue_statement_token1] = ACTIONS(1494),
    [aux_sym_iterate_statement_token1] = ACTIONS(1494),
    [aux_sym_raise_statement_token1] = ACTIONS(1494),
    [anon_sym_EQ] = ACTIONS(1492),
    [aux_sym_assert_statement_token1] = ACTIONS(1494),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1494),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1494),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1494),
    [anon_sym_LT] = ACTIONS(1494),
    [anon_sym_GT] = ACTIONS(1494),
    [aux_sym_select_token1] = ACTIONS(1494),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1494),
    [aux_sym_truncate_statement_token1] = ACTIONS(1494),
    [aux_sym_update_statement_token1] = ACTIONS(1494),
    [aux_sym_merge_statement_token1] = ACTIONS(1494),
    [aux_sym_grant_statement_token1] = ACTIONS(1494),
    [aux_sym_revoke_statement_token1] = ACTIONS(1494),
    [aux_sym_export_data_statement_token1] = ACTIONS(1494),
    [aux_sym_load_data_statement_token1] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [sym__quoted_identifier] = ACTIONS(1492),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_STAR] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1494),
    [anon_sym_PIPE_PIPE] = ACTIONS(1492),
    [anon_sym_LT_EQ] = ACTIONS(1492),
    [anon_sym_LT_GT] = ACTIONS(1492),
    [anon_sym_GT_EQ] = ACTIONS(1492),
    [anon_sym_BANG_EQ] = ACTIONS(1492),
    [anon_sym_LT_LT] = ACTIONS(1492),
    [anon_sym_GT_GT] = ACTIONS(1492),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_CARET] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1494),
  },
  [3931] = {
    [sym_analytics_clause] = STATE(4447),
    [ts_builtin_sym_end] = ACTIONS(1488),
    [sym__unquoted_identifier] = ACTIONS(1490),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1490),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1490),
    [aux_sym_keyword_replace_token1] = ACTIONS(1490),
    [aux_sym__keyword_alter_token1] = ACTIONS(1490),
    [aux_sym__keyword_delete_token1] = ACTIONS(1490),
    [aux_sym__keyword_begin_token1] = ACTIONS(1490),
    [aux_sym__keyword_between_token1] = ACTIONS(1490),
    [aux_sym__keyword_is_token1] = ACTIONS(1490),
    [aux_sym__keyword_in_token1] = ACTIONS(1490),
    [aux_sym__keyword_and_token1] = ACTIONS(1490),
    [aux_sym__keyword_like_token1] = ACTIONS(1490),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1490),
    [aux_sym__keyword_as_token1] = ACTIONS(1490),
    [aux_sym__keyword_date_token1] = ACTIONS(1490),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1490),
    [aux_sym__keyword_time_token1] = ACTIONS(1490),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1490),
    [aux_sym__keyword_for_token1] = ACTIONS(1490),
    [anon_sym_SEMI] = ACTIONS(1488),
    [aux_sym_declare_statement_token1] = ACTIONS(1490),
    [anon_sym_COMMA] = ACTIONS(1488),
    [aux_sym_set_statement_token1] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1488),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1490),
    [aux_sym_return_satement_token1] = ACTIONS(1490),
    [aux_sym_call_statement_token1] = ACTIONS(1490),
    [aux_sym_loop_statement_token1] = ACTIONS(1490),
    [aux_sym_while_statement_token1] = ACTIONS(1490),
    [aux_sym_break_statement_token1] = ACTIONS(1490),
    [aux_sym_leave_statement_token1] = ACTIONS(1490),
    [aux_sym_continue_statement_token1] = ACTIONS(1490),
    [aux_sym_iterate_statement_token1] = ACTIONS(1490),
    [aux_sym_raise_statement_token1] = ACTIONS(1490),
    [anon_sym_EQ] = ACTIONS(1488),
    [aux_sym_assert_statement_token1] = ACTIONS(1490),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1490),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1490),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1490),
    [anon_sym_LT] = ACTIONS(1490),
    [anon_sym_GT] = ACTIONS(1490),
    [aux_sym_select_token1] = ACTIONS(1490),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1490),
    [aux_sym_truncate_statement_token1] = ACTIONS(1490),
    [aux_sym_update_statement_token1] = ACTIONS(1490),
    [aux_sym_merge_statement_token1] = ACTIONS(1490),
    [aux_sym_grant_statement_token1] = ACTIONS(1490),
    [aux_sym_revoke_statement_token1] = ACTIONS(1490),
    [aux_sym_export_data_statement_token1] = ACTIONS(1490),
    [aux_sym_load_data_statement_token1] = ACTIONS(1490),
    [anon_sym_LBRACK] = ACTIONS(1488),
    [sym__quoted_identifier] = ACTIONS(1488),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1488),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_STAR] = ACTIONS(1488),
    [anon_sym_SLASH] = ACTIONS(1490),
    [anon_sym_PIPE_PIPE] = ACTIONS(1488),
    [anon_sym_LT_EQ] = ACTIONS(1488),
    [anon_sym_LT_GT] = ACTIONS(1488),
    [anon_sym_GT_EQ] = ACTIONS(1488),
    [anon_sym_BANG_EQ] = ACTIONS(1488),
    [anon_sym_LT_LT] = ACTIONS(1488),
    [anon_sym_GT_GT] = ACTIONS(1488),
    [anon_sym_AMP] = ACTIONS(1488),
    [anon_sym_CARET] = ACTIONS(1488),
    [anon_sym_PIPE] = ACTIONS(1490),
  },
  [3932] = {
    [sym_analytics_clause] = STATE(4446),
    [ts_builtin_sym_end] = ACTIONS(1480),
    [sym__unquoted_identifier] = ACTIONS(1482),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1482),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1482),
    [aux_sym_keyword_replace_token1] = ACTIONS(1482),
    [aux_sym__keyword_alter_token1] = ACTIONS(1482),
    [aux_sym__keyword_delete_token1] = ACTIONS(1482),
    [aux_sym__keyword_begin_token1] = ACTIONS(1482),
    [aux_sym__keyword_between_token1] = ACTIONS(1482),
    [aux_sym__keyword_is_token1] = ACTIONS(1482),
    [aux_sym__keyword_in_token1] = ACTIONS(1482),
    [aux_sym__keyword_and_token1] = ACTIONS(1482),
    [aux_sym__keyword_like_token1] = ACTIONS(1482),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1482),
    [aux_sym__keyword_as_token1] = ACTIONS(1482),
    [aux_sym__keyword_date_token1] = ACTIONS(1482),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1482),
    [aux_sym__keyword_time_token1] = ACTIONS(1482),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1482),
    [aux_sym__keyword_for_token1] = ACTIONS(1482),
    [anon_sym_SEMI] = ACTIONS(1480),
    [aux_sym_declare_statement_token1] = ACTIONS(1482),
    [anon_sym_COMMA] = ACTIONS(1480),
    [aux_sym_set_statement_token1] = ACTIONS(1482),
    [anon_sym_LPAREN] = ACTIONS(1480),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1482),
    [aux_sym_return_satement_token1] = ACTIONS(1482),
    [aux_sym_call_statement_token1] = ACTIONS(1482),
    [aux_sym_loop_statement_token1] = ACTIONS(1482),
    [aux_sym_while_statement_token1] = ACTIONS(1482),
    [aux_sym_break_statement_token1] = ACTIONS(1482),
    [aux_sym_leave_statement_token1] = ACTIONS(1482),
    [aux_sym_continue_statement_token1] = ACTIONS(1482),
    [aux_sym_iterate_statement_token1] = ACTIONS(1482),
    [aux_sym_raise_statement_token1] = ACTIONS(1482),
    [anon_sym_EQ] = ACTIONS(1480),
    [aux_sym_assert_statement_token1] = ACTIONS(1482),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1482),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1482),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1482),
    [anon_sym_LT] = ACTIONS(1482),
    [anon_sym_GT] = ACTIONS(1482),
    [aux_sym_select_token1] = ACTIONS(1482),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1482),
    [aux_sym_truncate_statement_token1] = ACTIONS(1482),
    [aux_sym_update_statement_token1] = ACTIONS(1482),
    [aux_sym_merge_statement_token1] = ACTIONS(1482),
    [aux_sym_grant_statement_token1] = ACTIONS(1482),
    [aux_sym_revoke_statement_token1] = ACTIONS(1482),
    [aux_sym_export_data_statement_token1] = ACTIONS(1482),
    [aux_sym_load_data_statement_token1] = ACTIONS(1482),
    [anon_sym_LBRACK] = ACTIONS(1480),
    [sym__quoted_identifier] = ACTIONS(1480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_DASH] = ACTIONS(1482),
    [anon_sym_STAR] = ACTIONS(1480),
    [anon_sym_SLASH] = ACTIONS(1482),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [anon_sym_LT_EQ] = ACTIONS(1480),
    [anon_sym_LT_GT] = ACTIONS(1480),
    [anon_sym_GT_EQ] = ACTIONS(1480),
    [anon_sym_BANG_EQ] = ACTIONS(1480),
    [anon_sym_LT_LT] = ACTIONS(1480),
    [anon_sym_GT_GT] = ACTIONS(1480),
    [anon_sym_AMP] = ACTIONS(1480),
    [anon_sym_CARET] = ACTIONS(1480),
    [anon_sym_PIPE] = ACTIONS(1482),
  },
  [3933] = {
    [sym_analytics_clause] = STATE(4443),
    [ts_builtin_sym_end] = ACTIONS(1470),
    [sym__unquoted_identifier] = ACTIONS(1472),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1472),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1472),
    [aux_sym_keyword_replace_token1] = ACTIONS(1472),
    [aux_sym__keyword_alter_token1] = ACTIONS(1472),
    [aux_sym__keyword_delete_token1] = ACTIONS(1472),
    [aux_sym__keyword_begin_token1] = ACTIONS(1472),
    [aux_sym__keyword_between_token1] = ACTIONS(1472),
    [aux_sym__keyword_is_token1] = ACTIONS(1472),
    [aux_sym__keyword_in_token1] = ACTIONS(1472),
    [aux_sym__keyword_and_token1] = ACTIONS(1472),
    [aux_sym__keyword_like_token1] = ACTIONS(1472),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1472),
    [aux_sym__keyword_as_token1] = ACTIONS(1472),
    [aux_sym__keyword_date_token1] = ACTIONS(1472),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1472),
    [aux_sym__keyword_time_token1] = ACTIONS(1472),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1472),
    [aux_sym__keyword_for_token1] = ACTIONS(1472),
    [anon_sym_SEMI] = ACTIONS(1470),
    [aux_sym_declare_statement_token1] = ACTIONS(1472),
    [anon_sym_COMMA] = ACTIONS(1470),
    [aux_sym_set_statement_token1] = ACTIONS(1472),
    [anon_sym_LPAREN] = ACTIONS(1470),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1472),
    [aux_sym_return_satement_token1] = ACTIONS(1472),
    [aux_sym_call_statement_token1] = ACTIONS(1472),
    [aux_sym_loop_statement_token1] = ACTIONS(1472),
    [aux_sym_while_statement_token1] = ACTIONS(1472),
    [aux_sym_break_statement_token1] = ACTIONS(1472),
    [aux_sym_leave_statement_token1] = ACTIONS(1472),
    [aux_sym_continue_statement_token1] = ACTIONS(1472),
    [aux_sym_iterate_statement_token1] = ACTIONS(1472),
    [aux_sym_raise_statement_token1] = ACTIONS(1472),
    [anon_sym_EQ] = ACTIONS(1470),
    [aux_sym_assert_statement_token1] = ACTIONS(1472),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1472),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1472),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1472),
    [anon_sym_LT] = ACTIONS(1472),
    [anon_sym_GT] = ACTIONS(1472),
    [aux_sym_select_token1] = ACTIONS(1472),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1472),
    [aux_sym_truncate_statement_token1] = ACTIONS(1472),
    [aux_sym_update_statement_token1] = ACTIONS(1472),
    [aux_sym_merge_statement_token1] = ACTIONS(1472),
    [aux_sym_grant_statement_token1] = ACTIONS(1472),
    [aux_sym_revoke_statement_token1] = ACTIONS(1472),
    [aux_sym_export_data_statement_token1] = ACTIONS(1472),
    [aux_sym_load_data_statement_token1] = ACTIONS(1472),
    [anon_sym_LBRACK] = ACTIONS(1470),
    [sym__quoted_identifier] = ACTIONS(1470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1470),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_STAR] = ACTIONS(1470),
    [anon_sym_SLASH] = ACTIONS(1472),
    [anon_sym_PIPE_PIPE] = ACTIONS(1470),
    [anon_sym_LT_EQ] = ACTIONS(1470),
    [anon_sym_LT_GT] = ACTIONS(1470),
    [anon_sym_GT_EQ] = ACTIONS(1470),
    [anon_sym_BANG_EQ] = ACTIONS(1470),
    [anon_sym_LT_LT] = ACTIONS(1470),
    [anon_sym_GT_GT] = ACTIONS(1470),
    [anon_sym_AMP] = ACTIONS(1470),
    [anon_sym_CARET] = ACTIONS(1470),
    [anon_sym_PIPE] = ACTIONS(1472),
  },
  [3934] = {
    [sym_analytics_clause] = STATE(4453),
    [ts_builtin_sym_end] = ACTIONS(1402),
    [sym__unquoted_identifier] = ACTIONS(1404),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1404),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1404),
    [aux_sym_keyword_replace_token1] = ACTIONS(1404),
    [aux_sym__keyword_alter_token1] = ACTIONS(1404),
    [aux_sym__keyword_delete_token1] = ACTIONS(1404),
    [aux_sym__keyword_begin_token1] = ACTIONS(1404),
    [aux_sym__keyword_between_token1] = ACTIONS(1404),
    [aux_sym__keyword_is_token1] = ACTIONS(1404),
    [aux_sym__keyword_in_token1] = ACTIONS(1404),
    [aux_sym__keyword_and_token1] = ACTIONS(1404),
    [aux_sym__keyword_like_token1] = ACTIONS(1404),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1404),
    [aux_sym__keyword_as_token1] = ACTIONS(1404),
    [aux_sym__keyword_date_token1] = ACTIONS(1404),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1404),
    [aux_sym__keyword_time_token1] = ACTIONS(1404),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1404),
    [aux_sym__keyword_for_token1] = ACTIONS(1404),
    [anon_sym_SEMI] = ACTIONS(1402),
    [aux_sym_declare_statement_token1] = ACTIONS(1404),
    [anon_sym_COMMA] = ACTIONS(1402),
    [aux_sym_set_statement_token1] = ACTIONS(1404),
    [anon_sym_LPAREN] = ACTIONS(1402),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1404),
    [aux_sym_return_satement_token1] = ACTIONS(1404),
    [aux_sym_call_statement_token1] = ACTIONS(1404),
    [aux_sym_loop_statement_token1] = ACTIONS(1404),
    [aux_sym_while_statement_token1] = ACTIONS(1404),
    [aux_sym_break_statement_token1] = ACTIONS(1404),
    [aux_sym_leave_statement_token1] = ACTIONS(1404),
    [aux_sym_continue_statement_token1] = ACTIONS(1404),
    [aux_sym_iterate_statement_token1] = ACTIONS(1404),
    [aux_sym_raise_statement_token1] = ACTIONS(1404),
    [anon_sym_EQ] = ACTIONS(1402),
    [aux_sym_assert_statement_token1] = ACTIONS(1404),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1404),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1404),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1404),
    [anon_sym_LT] = ACTIONS(1404),
    [anon_sym_GT] = ACTIONS(1404),
    [aux_sym_select_token1] = ACTIONS(1404),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1404),
    [aux_sym_truncate_statement_token1] = ACTIONS(1404),
    [aux_sym_update_statement_token1] = ACTIONS(1404),
    [aux_sym_merge_statement_token1] = ACTIONS(1404),
    [aux_sym_grant_statement_token1] = ACTIONS(1404),
    [aux_sym_revoke_statement_token1] = ACTIONS(1404),
    [aux_sym_export_data_statement_token1] = ACTIONS(1404),
    [aux_sym_load_data_statement_token1] = ACTIONS(1404),
    [anon_sym_LBRACK] = ACTIONS(1402),
    [sym__quoted_identifier] = ACTIONS(1402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1402),
    [anon_sym_DASH] = ACTIONS(1404),
    [anon_sym_STAR] = ACTIONS(1402),
    [anon_sym_SLASH] = ACTIONS(1404),
    [anon_sym_PIPE_PIPE] = ACTIONS(1402),
    [anon_sym_LT_EQ] = ACTIONS(1402),
    [anon_sym_LT_GT] = ACTIONS(1402),
    [anon_sym_GT_EQ] = ACTIONS(1402),
    [anon_sym_BANG_EQ] = ACTIONS(1402),
    [anon_sym_LT_LT] = ACTIONS(1402),
    [anon_sym_GT_GT] = ACTIONS(1402),
    [anon_sym_AMP] = ACTIONS(1402),
    [anon_sym_CARET] = ACTIONS(1402),
    [anon_sym_PIPE] = ACTIONS(1404),
  },
  [3935] = {
    [sym_analytics_clause] = STATE(4442),
    [ts_builtin_sym_end] = ACTIONS(1466),
    [sym__unquoted_identifier] = ACTIONS(1468),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1468),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1468),
    [aux_sym_keyword_replace_token1] = ACTIONS(1468),
    [aux_sym__keyword_alter_token1] = ACTIONS(1468),
    [aux_sym__keyword_delete_token1] = ACTIONS(1468),
    [aux_sym__keyword_begin_token1] = ACTIONS(1468),
    [aux_sym__keyword_between_token1] = ACTIONS(1468),
    [aux_sym__keyword_is_token1] = ACTIONS(1468),
    [aux_sym__keyword_in_token1] = ACTIONS(1468),
    [aux_sym__keyword_and_token1] = ACTIONS(1468),
    [aux_sym__keyword_like_token1] = ACTIONS(1468),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1468),
    [aux_sym__keyword_as_token1] = ACTIONS(1468),
    [aux_sym__keyword_date_token1] = ACTIONS(1468),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1468),
    [aux_sym__keyword_time_token1] = ACTIONS(1468),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1468),
    [aux_sym__keyword_for_token1] = ACTIONS(1468),
    [anon_sym_SEMI] = ACTIONS(1466),
    [aux_sym_declare_statement_token1] = ACTIONS(1468),
    [anon_sym_COMMA] = ACTIONS(1466),
    [aux_sym_set_statement_token1] = ACTIONS(1468),
    [anon_sym_LPAREN] = ACTIONS(1466),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1468),
    [aux_sym_return_satement_token1] = ACTIONS(1468),
    [aux_sym_call_statement_token1] = ACTIONS(1468),
    [aux_sym_loop_statement_token1] = ACTIONS(1468),
    [aux_sym_while_statement_token1] = ACTIONS(1468),
    [aux_sym_break_statement_token1] = ACTIONS(1468),
    [aux_sym_leave_statement_token1] = ACTIONS(1468),
    [aux_sym_continue_statement_token1] = ACTIONS(1468),
    [aux_sym_iterate_statement_token1] = ACTIONS(1468),
    [aux_sym_raise_statement_token1] = ACTIONS(1468),
    [anon_sym_EQ] = ACTIONS(1466),
    [aux_sym_assert_statement_token1] = ACTIONS(1468),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1468),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1468),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1468),
    [anon_sym_LT] = ACTIONS(1468),
    [anon_sym_GT] = ACTIONS(1468),
    [aux_sym_select_token1] = ACTIONS(1468),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1468),
    [aux_sym_truncate_statement_token1] = ACTIONS(1468),
    [aux_sym_update_statement_token1] = ACTIONS(1468),
    [aux_sym_merge_statement_token1] = ACTIONS(1468),
    [aux_sym_grant_statement_token1] = ACTIONS(1468),
    [aux_sym_revoke_statement_token1] = ACTIONS(1468),
    [aux_sym_export_data_statement_token1] = ACTIONS(1468),
    [aux_sym_load_data_statement_token1] = ACTIONS(1468),
    [anon_sym_LBRACK] = ACTIONS(1466),
    [sym__quoted_identifier] = ACTIONS(1466),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_STAR] = ACTIONS(1466),
    [anon_sym_SLASH] = ACTIONS(1468),
    [anon_sym_PIPE_PIPE] = ACTIONS(1466),
    [anon_sym_LT_EQ] = ACTIONS(1466),
    [anon_sym_LT_GT] = ACTIONS(1466),
    [anon_sym_GT_EQ] = ACTIONS(1466),
    [anon_sym_BANG_EQ] = ACTIONS(1466),
    [anon_sym_LT_LT] = ACTIONS(1466),
    [anon_sym_GT_GT] = ACTIONS(1466),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_CARET] = ACTIONS(1466),
    [anon_sym_PIPE] = ACTIONS(1468),
  },
  [3936] = {
    [sym_analytics_clause] = STATE(4441),
    [ts_builtin_sym_end] = ACTIONS(1458),
    [sym__unquoted_identifier] = ACTIONS(1460),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1460),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1460),
    [aux_sym_keyword_replace_token1] = ACTIONS(1460),
    [aux_sym__keyword_alter_token1] = ACTIONS(1460),
    [aux_sym__keyword_delete_token1] = ACTIONS(1460),
    [aux_sym__keyword_begin_token1] = ACTIONS(1460),
    [aux_sym__keyword_between_token1] = ACTIONS(1460),
    [aux_sym__keyword_is_token1] = ACTIONS(1460),
    [aux_sym__keyword_in_token1] = ACTIONS(1460),
    [aux_sym__keyword_and_token1] = ACTIONS(1460),
    [aux_sym__keyword_like_token1] = ACTIONS(1460),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1460),
    [aux_sym__keyword_as_token1] = ACTIONS(1460),
    [aux_sym__keyword_date_token1] = ACTIONS(1460),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1460),
    [aux_sym__keyword_time_token1] = ACTIONS(1460),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1460),
    [aux_sym__keyword_for_token1] = ACTIONS(1460),
    [anon_sym_SEMI] = ACTIONS(1458),
    [aux_sym_declare_statement_token1] = ACTIONS(1460),
    [anon_sym_COMMA] = ACTIONS(1458),
    [aux_sym_set_statement_token1] = ACTIONS(1460),
    [anon_sym_LPAREN] = ACTIONS(1458),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1460),
    [aux_sym_return_satement_token1] = ACTIONS(1460),
    [aux_sym_call_statement_token1] = ACTIONS(1460),
    [aux_sym_loop_statement_token1] = ACTIONS(1460),
    [aux_sym_while_statement_token1] = ACTIONS(1460),
    [aux_sym_break_statement_token1] = ACTIONS(1460),
    [aux_sym_leave_statement_token1] = ACTIONS(1460),
    [aux_sym_continue_statement_token1] = ACTIONS(1460),
    [aux_sym_iterate_statement_token1] = ACTIONS(1460),
    [aux_sym_raise_statement_token1] = ACTIONS(1460),
    [anon_sym_EQ] = ACTIONS(1458),
    [aux_sym_assert_statement_token1] = ACTIONS(1460),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1460),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1460),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1460),
    [anon_sym_LT] = ACTIONS(1460),
    [anon_sym_GT] = ACTIONS(1460),
    [aux_sym_select_token1] = ACTIONS(1460),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1460),
    [aux_sym_truncate_statement_token1] = ACTIONS(1460),
    [aux_sym_update_statement_token1] = ACTIONS(1460),
    [aux_sym_merge_statement_token1] = ACTIONS(1460),
    [aux_sym_grant_statement_token1] = ACTIONS(1460),
    [aux_sym_revoke_statement_token1] = ACTIONS(1460),
    [aux_sym_export_data_statement_token1] = ACTIONS(1460),
    [aux_sym_load_data_statement_token1] = ACTIONS(1460),
    [anon_sym_LBRACK] = ACTIONS(1458),
    [sym__quoted_identifier] = ACTIONS(1458),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_STAR] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(1460),
    [anon_sym_PIPE_PIPE] = ACTIONS(1458),
    [anon_sym_LT_EQ] = ACTIONS(1458),
    [anon_sym_LT_GT] = ACTIONS(1458),
    [anon_sym_GT_EQ] = ACTIONS(1458),
    [anon_sym_BANG_EQ] = ACTIONS(1458),
    [anon_sym_LT_LT] = ACTIONS(1458),
    [anon_sym_GT_GT] = ACTIONS(1458),
    [anon_sym_AMP] = ACTIONS(1458),
    [anon_sym_CARET] = ACTIONS(1458),
    [anon_sym_PIPE] = ACTIONS(1460),
  },
  [3937] = {
    [sym_analytics_clause] = STATE(4425),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1420),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_between_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1420),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1420),
    [aux_sym__keyword_like_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [3938] = {
    [sym_analytics_clause] = STATE(4440),
    [ts_builtin_sym_end] = ACTIONS(1454),
    [sym__unquoted_identifier] = ACTIONS(1456),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1456),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1456),
    [aux_sym_keyword_replace_token1] = ACTIONS(1456),
    [aux_sym__keyword_alter_token1] = ACTIONS(1456),
    [aux_sym__keyword_delete_token1] = ACTIONS(1456),
    [aux_sym__keyword_begin_token1] = ACTIONS(1456),
    [aux_sym__keyword_between_token1] = ACTIONS(1456),
    [aux_sym__keyword_is_token1] = ACTIONS(1456),
    [aux_sym__keyword_in_token1] = ACTIONS(1456),
    [aux_sym__keyword_and_token1] = ACTIONS(1456),
    [aux_sym__keyword_like_token1] = ACTIONS(1456),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1456),
    [aux_sym__keyword_as_token1] = ACTIONS(1456),
    [aux_sym__keyword_date_token1] = ACTIONS(1456),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1456),
    [aux_sym__keyword_time_token1] = ACTIONS(1456),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1456),
    [aux_sym__keyword_for_token1] = ACTIONS(1456),
    [anon_sym_SEMI] = ACTIONS(1454),
    [aux_sym_declare_statement_token1] = ACTIONS(1456),
    [anon_sym_COMMA] = ACTIONS(1454),
    [aux_sym_set_statement_token1] = ACTIONS(1456),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1456),
    [aux_sym_return_satement_token1] = ACTIONS(1456),
    [aux_sym_call_statement_token1] = ACTIONS(1456),
    [aux_sym_loop_statement_token1] = ACTIONS(1456),
    [aux_sym_while_statement_token1] = ACTIONS(1456),
    [aux_sym_break_statement_token1] = ACTIONS(1456),
    [aux_sym_leave_statement_token1] = ACTIONS(1456),
    [aux_sym_continue_statement_token1] = ACTIONS(1456),
    [aux_sym_iterate_statement_token1] = ACTIONS(1456),
    [aux_sym_raise_statement_token1] = ACTIONS(1456),
    [anon_sym_EQ] = ACTIONS(1454),
    [aux_sym_assert_statement_token1] = ACTIONS(1456),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1456),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1456),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1456),
    [anon_sym_LT] = ACTIONS(1456),
    [anon_sym_GT] = ACTIONS(1456),
    [aux_sym_select_token1] = ACTIONS(1456),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1456),
    [aux_sym_truncate_statement_token1] = ACTIONS(1456),
    [aux_sym_update_statement_token1] = ACTIONS(1456),
    [aux_sym_merge_statement_token1] = ACTIONS(1456),
    [aux_sym_grant_statement_token1] = ACTIONS(1456),
    [aux_sym_revoke_statement_token1] = ACTIONS(1456),
    [aux_sym_export_data_statement_token1] = ACTIONS(1456),
    [aux_sym_load_data_statement_token1] = ACTIONS(1456),
    [anon_sym_LBRACK] = ACTIONS(1454),
    [sym__quoted_identifier] = ACTIONS(1454),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1454),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1454),
    [anon_sym_SLASH] = ACTIONS(1456),
    [anon_sym_PIPE_PIPE] = ACTIONS(1454),
    [anon_sym_LT_EQ] = ACTIONS(1454),
    [anon_sym_LT_GT] = ACTIONS(1454),
    [anon_sym_GT_EQ] = ACTIONS(1454),
    [anon_sym_BANG_EQ] = ACTIONS(1454),
    [anon_sym_LT_LT] = ACTIONS(1454),
    [anon_sym_GT_GT] = ACTIONS(1454),
    [anon_sym_AMP] = ACTIONS(1454),
    [anon_sym_CARET] = ACTIONS(1454),
    [anon_sym_PIPE] = ACTIONS(1456),
  },
  [3939] = {
    [sym_analytics_clause] = STATE(4439),
    [ts_builtin_sym_end] = ACTIONS(1450),
    [sym__unquoted_identifier] = ACTIONS(1452),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1452),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1452),
    [aux_sym_keyword_replace_token1] = ACTIONS(1452),
    [aux_sym__keyword_alter_token1] = ACTIONS(1452),
    [aux_sym__keyword_delete_token1] = ACTIONS(1452),
    [aux_sym__keyword_begin_token1] = ACTIONS(1452),
    [aux_sym__keyword_between_token1] = ACTIONS(1452),
    [aux_sym__keyword_is_token1] = ACTIONS(1452),
    [aux_sym__keyword_in_token1] = ACTIONS(1452),
    [aux_sym__keyword_and_token1] = ACTIONS(1452),
    [aux_sym__keyword_like_token1] = ACTIONS(1452),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1452),
    [aux_sym__keyword_as_token1] = ACTIONS(1452),
    [aux_sym__keyword_date_token1] = ACTIONS(1452),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1452),
    [aux_sym__keyword_time_token1] = ACTIONS(1452),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1452),
    [aux_sym__keyword_for_token1] = ACTIONS(1452),
    [anon_sym_SEMI] = ACTIONS(1450),
    [aux_sym_declare_statement_token1] = ACTIONS(1452),
    [anon_sym_COMMA] = ACTIONS(1450),
    [aux_sym_set_statement_token1] = ACTIONS(1452),
    [anon_sym_LPAREN] = ACTIONS(1450),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1452),
    [aux_sym_return_satement_token1] = ACTIONS(1452),
    [aux_sym_call_statement_token1] = ACTIONS(1452),
    [aux_sym_loop_statement_token1] = ACTIONS(1452),
    [aux_sym_while_statement_token1] = ACTIONS(1452),
    [aux_sym_break_statement_token1] = ACTIONS(1452),
    [aux_sym_leave_statement_token1] = ACTIONS(1452),
    [aux_sym_continue_statement_token1] = ACTIONS(1452),
    [aux_sym_iterate_statement_token1] = ACTIONS(1452),
    [aux_sym_raise_statement_token1] = ACTIONS(1452),
    [anon_sym_EQ] = ACTIONS(1450),
    [aux_sym_assert_statement_token1] = ACTIONS(1452),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1452),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1452),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1452),
    [anon_sym_LT] = ACTIONS(1452),
    [anon_sym_GT] = ACTIONS(1452),
    [aux_sym_select_token1] = ACTIONS(1452),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1452),
    [aux_sym_truncate_statement_token1] = ACTIONS(1452),
    [aux_sym_update_statement_token1] = ACTIONS(1452),
    [aux_sym_merge_statement_token1] = ACTIONS(1452),
    [aux_sym_grant_statement_token1] = ACTIONS(1452),
    [aux_sym_revoke_statement_token1] = ACTIONS(1452),
    [aux_sym_export_data_statement_token1] = ACTIONS(1452),
    [aux_sym_load_data_statement_token1] = ACTIONS(1452),
    [anon_sym_LBRACK] = ACTIONS(1450),
    [sym__quoted_identifier] = ACTIONS(1450),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_STAR] = ACTIONS(1450),
    [anon_sym_SLASH] = ACTIONS(1452),
    [anon_sym_PIPE_PIPE] = ACTIONS(1450),
    [anon_sym_LT_EQ] = ACTIONS(1450),
    [anon_sym_LT_GT] = ACTIONS(1450),
    [anon_sym_GT_EQ] = ACTIONS(1450),
    [anon_sym_BANG_EQ] = ACTIONS(1450),
    [anon_sym_LT_LT] = ACTIONS(1450),
    [anon_sym_GT_GT] = ACTIONS(1450),
    [anon_sym_AMP] = ACTIONS(1450),
    [anon_sym_CARET] = ACTIONS(1450),
    [anon_sym_PIPE] = ACTIONS(1452),
  },
  [3940] = {
    [sym_analytics_clause] = STATE(4617),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_using_clause_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_pivot_operator_token1] = ACTIONS(1464),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1464),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1464),
    [aux_sym_join_type_token1] = ACTIONS(1464),
    [aux_sym_join_type_token2] = ACTIONS(1464),
    [aux_sym_join_type_token3] = ACTIONS(1464),
    [aux_sym_join_type_token4] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1464),
    [aux_sym_join_condition_token1] = ACTIONS(1464),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
  },
  [3941] = {
    [sym_analytics_clause] = STATE(4438),
    [ts_builtin_sym_end] = ACTIONS(1450),
    [sym__unquoted_identifier] = ACTIONS(1452),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1452),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1452),
    [aux_sym_keyword_replace_token1] = ACTIONS(1452),
    [aux_sym__keyword_alter_token1] = ACTIONS(1452),
    [aux_sym__keyword_delete_token1] = ACTIONS(1452),
    [aux_sym__keyword_begin_token1] = ACTIONS(1452),
    [aux_sym__keyword_between_token1] = ACTIONS(1452),
    [aux_sym__keyword_is_token1] = ACTIONS(1452),
    [aux_sym__keyword_in_token1] = ACTIONS(1452),
    [aux_sym__keyword_and_token1] = ACTIONS(1452),
    [aux_sym__keyword_like_token1] = ACTIONS(1452),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1452),
    [aux_sym__keyword_as_token1] = ACTIONS(1452),
    [aux_sym__keyword_date_token1] = ACTIONS(1452),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1452),
    [aux_sym__keyword_time_token1] = ACTIONS(1452),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1452),
    [aux_sym__keyword_for_token1] = ACTIONS(1452),
    [anon_sym_SEMI] = ACTIONS(1450),
    [aux_sym_declare_statement_token1] = ACTIONS(1452),
    [anon_sym_COMMA] = ACTIONS(1450),
    [aux_sym_set_statement_token1] = ACTIONS(1452),
    [anon_sym_LPAREN] = ACTIONS(1450),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1452),
    [aux_sym_return_satement_token1] = ACTIONS(1452),
    [aux_sym_call_statement_token1] = ACTIONS(1452),
    [aux_sym_loop_statement_token1] = ACTIONS(1452),
    [aux_sym_while_statement_token1] = ACTIONS(1452),
    [aux_sym_break_statement_token1] = ACTIONS(1452),
    [aux_sym_leave_statement_token1] = ACTIONS(1452),
    [aux_sym_continue_statement_token1] = ACTIONS(1452),
    [aux_sym_iterate_statement_token1] = ACTIONS(1452),
    [aux_sym_raise_statement_token1] = ACTIONS(1452),
    [anon_sym_EQ] = ACTIONS(1450),
    [aux_sym_assert_statement_token1] = ACTIONS(1452),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1452),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1452),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1452),
    [anon_sym_LT] = ACTIONS(1452),
    [anon_sym_GT] = ACTIONS(1452),
    [aux_sym_select_token1] = ACTIONS(1452),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1452),
    [aux_sym_truncate_statement_token1] = ACTIONS(1452),
    [aux_sym_update_statement_token1] = ACTIONS(1452),
    [aux_sym_merge_statement_token1] = ACTIONS(1452),
    [aux_sym_grant_statement_token1] = ACTIONS(1452),
    [aux_sym_revoke_statement_token1] = ACTIONS(1452),
    [aux_sym_export_data_statement_token1] = ACTIONS(1452),
    [aux_sym_load_data_statement_token1] = ACTIONS(1452),
    [anon_sym_LBRACK] = ACTIONS(1450),
    [sym__quoted_identifier] = ACTIONS(1450),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_STAR] = ACTIONS(1450),
    [anon_sym_SLASH] = ACTIONS(1452),
    [anon_sym_PIPE_PIPE] = ACTIONS(1450),
    [anon_sym_LT_EQ] = ACTIONS(1450),
    [anon_sym_LT_GT] = ACTIONS(1450),
    [anon_sym_GT_EQ] = ACTIONS(1450),
    [anon_sym_BANG_EQ] = ACTIONS(1450),
    [anon_sym_LT_LT] = ACTIONS(1450),
    [anon_sym_GT_GT] = ACTIONS(1450),
    [anon_sym_AMP] = ACTIONS(1450),
    [anon_sym_CARET] = ACTIONS(1450),
    [anon_sym_PIPE] = ACTIONS(1452),
  },
  [3942] = {
    [sym_analytics_clause] = STATE(4602),
    [sym__unquoted_identifier] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1448),
    [aux_sym__keyword_delete_token1] = ACTIONS(1448),
    [aux_sym__keyword_begin_token1] = ACTIONS(1448),
    [aux_sym__keyword_end_token1] = ACTIONS(1448),
    [aux_sym__keyword_when_token1] = ACTIONS(1448),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1448),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_window_token1] = ACTIONS(1448),
    [aux_sym__keyword_date_token1] = ACTIONS(1448),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1448),
    [aux_sym__keyword_time_token1] = ACTIONS(1448),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1448),
    [aux_sym_using_clause_token1] = ACTIONS(1448),
    [aux_sym_return_satement_token1] = ACTIONS(1448),
    [aux_sym_call_statement_token1] = ACTIONS(1448),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1448),
    [aux_sym_if_statement_token1] = ACTIONS(1448),
    [aux_sym_loop_statement_token1] = ACTIONS(1448),
    [aux_sym_repeat_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [aux_sym_leave_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_iterate_statement_token1] = ACTIONS(1448),
    [aux_sym_raise_statement_token1] = ACTIONS(1448),
    [aux_sym_assert_statement_token1] = ACTIONS(1448),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1448),
    [aux_sym_set_operation_token3] = ACTIONS(1448),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1448),
    [aux_sym_having_clause_token1] = ACTIONS(1448),
    [aux_sym_qualify_clause_token1] = ACTIONS(1448),
    [aux_sym_limit_clause_token1] = ACTIONS(1448),
    [aux_sym_group_by_clause_token1] = ACTIONS(1448),
    [aux_sym_order_by_clause_token1] = ACTIONS(1448),
    [aux_sym_where_clause_token1] = ACTIONS(1448),
    [aux_sym_pivot_operator_token1] = ACTIONS(1448),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1448),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1448),
    [aux_sym_join_type_token1] = ACTIONS(1448),
    [aux_sym_join_type_token2] = ACTIONS(1448),
    [aux_sym_join_type_token3] = ACTIONS(1448),
    [aux_sym_join_type_token4] = ACTIONS(1448),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1448),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1448),
    [aux_sym_join_condition_token1] = ACTIONS(1448),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1448),
    [aux_sym_truncate_statement_token1] = ACTIONS(1448),
    [aux_sym_update_statement_token1] = ACTIONS(1448),
    [aux_sym_merge_statement_token1] = ACTIONS(1448),
    [aux_sym_grant_statement_token1] = ACTIONS(1448),
    [aux_sym_revoke_statement_token1] = ACTIONS(1448),
    [aux_sym_export_data_statement_token1] = ACTIONS(1448),
    [aux_sym_load_data_statement_token1] = ACTIONS(1448),
    [sym__quoted_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
  },
  [3943] = {
    [sym_analytics_clause] = STATE(4603),
    [sym__unquoted_identifier] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1448),
    [aux_sym__keyword_delete_token1] = ACTIONS(1448),
    [aux_sym__keyword_begin_token1] = ACTIONS(1448),
    [aux_sym__keyword_end_token1] = ACTIONS(1448),
    [aux_sym__keyword_when_token1] = ACTIONS(1448),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1448),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_window_token1] = ACTIONS(1448),
    [aux_sym__keyword_date_token1] = ACTIONS(1448),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1448),
    [aux_sym__keyword_time_token1] = ACTIONS(1448),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1448),
    [aux_sym_using_clause_token1] = ACTIONS(1448),
    [aux_sym_return_satement_token1] = ACTIONS(1448),
    [aux_sym_call_statement_token1] = ACTIONS(1448),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1448),
    [aux_sym_if_statement_token1] = ACTIONS(1448),
    [aux_sym_loop_statement_token1] = ACTIONS(1448),
    [aux_sym_repeat_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [aux_sym_leave_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_iterate_statement_token1] = ACTIONS(1448),
    [aux_sym_raise_statement_token1] = ACTIONS(1448),
    [aux_sym_assert_statement_token1] = ACTIONS(1448),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1448),
    [aux_sym_set_operation_token3] = ACTIONS(1448),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1448),
    [aux_sym_having_clause_token1] = ACTIONS(1448),
    [aux_sym_qualify_clause_token1] = ACTIONS(1448),
    [aux_sym_limit_clause_token1] = ACTIONS(1448),
    [aux_sym_group_by_clause_token1] = ACTIONS(1448),
    [aux_sym_order_by_clause_token1] = ACTIONS(1448),
    [aux_sym_where_clause_token1] = ACTIONS(1448),
    [aux_sym_pivot_operator_token1] = ACTIONS(1448),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1448),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1448),
    [aux_sym_join_type_token1] = ACTIONS(1448),
    [aux_sym_join_type_token2] = ACTIONS(1448),
    [aux_sym_join_type_token3] = ACTIONS(1448),
    [aux_sym_join_type_token4] = ACTIONS(1448),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1448),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1448),
    [aux_sym_join_condition_token1] = ACTIONS(1448),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1448),
    [aux_sym_truncate_statement_token1] = ACTIONS(1448),
    [aux_sym_update_statement_token1] = ACTIONS(1448),
    [aux_sym_merge_statement_token1] = ACTIONS(1448),
    [aux_sym_grant_statement_token1] = ACTIONS(1448),
    [aux_sym_revoke_statement_token1] = ACTIONS(1448),
    [aux_sym_export_data_statement_token1] = ACTIONS(1448),
    [aux_sym_load_data_statement_token1] = ACTIONS(1448),
    [sym__quoted_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
  },
  [3944] = {
    [sym_analytics_clause] = STATE(4437),
    [ts_builtin_sym_end] = ACTIONS(1438),
    [sym__unquoted_identifier] = ACTIONS(1440),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1440),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1440),
    [aux_sym_keyword_replace_token1] = ACTIONS(1440),
    [aux_sym__keyword_alter_token1] = ACTIONS(1440),
    [aux_sym__keyword_delete_token1] = ACTIONS(1440),
    [aux_sym__keyword_begin_token1] = ACTIONS(1440),
    [aux_sym__keyword_between_token1] = ACTIONS(1440),
    [aux_sym__keyword_is_token1] = ACTIONS(1440),
    [aux_sym__keyword_in_token1] = ACTIONS(1440),
    [aux_sym__keyword_and_token1] = ACTIONS(1440),
    [aux_sym__keyword_like_token1] = ACTIONS(1440),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1440),
    [aux_sym__keyword_as_token1] = ACTIONS(1440),
    [aux_sym__keyword_date_token1] = ACTIONS(1440),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1440),
    [aux_sym__keyword_time_token1] = ACTIONS(1440),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1440),
    [aux_sym__keyword_for_token1] = ACTIONS(1440),
    [anon_sym_SEMI] = ACTIONS(1438),
    [aux_sym_declare_statement_token1] = ACTIONS(1440),
    [anon_sym_COMMA] = ACTIONS(1438),
    [aux_sym_set_statement_token1] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1438),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1440),
    [aux_sym_return_satement_token1] = ACTIONS(1440),
    [aux_sym_call_statement_token1] = ACTIONS(1440),
    [aux_sym_loop_statement_token1] = ACTIONS(1440),
    [aux_sym_while_statement_token1] = ACTIONS(1440),
    [aux_sym_break_statement_token1] = ACTIONS(1440),
    [aux_sym_leave_statement_token1] = ACTIONS(1440),
    [aux_sym_continue_statement_token1] = ACTIONS(1440),
    [aux_sym_iterate_statement_token1] = ACTIONS(1440),
    [aux_sym_raise_statement_token1] = ACTIONS(1440),
    [anon_sym_EQ] = ACTIONS(1438),
    [aux_sym_assert_statement_token1] = ACTIONS(1440),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1440),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1440),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1440),
    [anon_sym_LT] = ACTIONS(1440),
    [anon_sym_GT] = ACTIONS(1440),
    [aux_sym_select_token1] = ACTIONS(1440),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1440),
    [aux_sym_truncate_statement_token1] = ACTIONS(1440),
    [aux_sym_update_statement_token1] = ACTIONS(1440),
    [aux_sym_merge_statement_token1] = ACTIONS(1440),
    [aux_sym_grant_statement_token1] = ACTIONS(1440),
    [aux_sym_revoke_statement_token1] = ACTIONS(1440),
    [aux_sym_export_data_statement_token1] = ACTIONS(1440),
    [aux_sym_load_data_statement_token1] = ACTIONS(1440),
    [anon_sym_LBRACK] = ACTIONS(1438),
    [sym__quoted_identifier] = ACTIONS(1438),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_STAR] = ACTIONS(1438),
    [anon_sym_SLASH] = ACTIONS(1440),
    [anon_sym_PIPE_PIPE] = ACTIONS(1438),
    [anon_sym_LT_EQ] = ACTIONS(1438),
    [anon_sym_LT_GT] = ACTIONS(1438),
    [anon_sym_GT_EQ] = ACTIONS(1438),
    [anon_sym_BANG_EQ] = ACTIONS(1438),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_AMP] = ACTIONS(1438),
    [anon_sym_CARET] = ACTIONS(1438),
    [anon_sym_PIPE] = ACTIONS(1440),
  },
  [3945] = {
    [sym_analytics_clause] = STATE(4606),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_using_clause_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_pivot_operator_token1] = ACTIONS(1444),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1444),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1444),
    [aux_sym_join_type_token1] = ACTIONS(1444),
    [aux_sym_join_type_token2] = ACTIONS(1444),
    [aux_sym_join_type_token3] = ACTIONS(1444),
    [aux_sym_join_type_token4] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1444),
    [aux_sym_join_condition_token1] = ACTIONS(1444),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
  },
  [3946] = {
    [sym_analytics_clause] = STATE(4436),
    [ts_builtin_sym_end] = ACTIONS(1434),
    [sym__unquoted_identifier] = ACTIONS(1436),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1436),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1436),
    [aux_sym_keyword_replace_token1] = ACTIONS(1436),
    [aux_sym__keyword_alter_token1] = ACTIONS(1436),
    [aux_sym__keyword_delete_token1] = ACTIONS(1436),
    [aux_sym__keyword_begin_token1] = ACTIONS(1436),
    [aux_sym__keyword_between_token1] = ACTIONS(1436),
    [aux_sym__keyword_is_token1] = ACTIONS(1436),
    [aux_sym__keyword_in_token1] = ACTIONS(1436),
    [aux_sym__keyword_and_token1] = ACTIONS(1436),
    [aux_sym__keyword_like_token1] = ACTIONS(1436),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1436),
    [aux_sym__keyword_as_token1] = ACTIONS(1436),
    [aux_sym__keyword_date_token1] = ACTIONS(1436),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1436),
    [aux_sym__keyword_time_token1] = ACTIONS(1436),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1436),
    [aux_sym__keyword_for_token1] = ACTIONS(1436),
    [anon_sym_SEMI] = ACTIONS(1434),
    [aux_sym_declare_statement_token1] = ACTIONS(1436),
    [anon_sym_COMMA] = ACTIONS(1434),
    [aux_sym_set_statement_token1] = ACTIONS(1436),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1436),
    [aux_sym_return_satement_token1] = ACTIONS(1436),
    [aux_sym_call_statement_token1] = ACTIONS(1436),
    [aux_sym_loop_statement_token1] = ACTIONS(1436),
    [aux_sym_while_statement_token1] = ACTIONS(1436),
    [aux_sym_break_statement_token1] = ACTIONS(1436),
    [aux_sym_leave_statement_token1] = ACTIONS(1436),
    [aux_sym_continue_statement_token1] = ACTIONS(1436),
    [aux_sym_iterate_statement_token1] = ACTIONS(1436),
    [aux_sym_raise_statement_token1] = ACTIONS(1436),
    [anon_sym_EQ] = ACTIONS(1434),
    [aux_sym_assert_statement_token1] = ACTIONS(1436),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1436),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1436),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(1436),
    [anon_sym_GT] = ACTIONS(1436),
    [aux_sym_select_token1] = ACTIONS(1436),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1436),
    [aux_sym_truncate_statement_token1] = ACTIONS(1436),
    [aux_sym_update_statement_token1] = ACTIONS(1436),
    [aux_sym_merge_statement_token1] = ACTIONS(1436),
    [aux_sym_grant_statement_token1] = ACTIONS(1436),
    [aux_sym_revoke_statement_token1] = ACTIONS(1436),
    [aux_sym_export_data_statement_token1] = ACTIONS(1436),
    [aux_sym_load_data_statement_token1] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [sym__quoted_identifier] = ACTIONS(1434),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_STAR] = ACTIONS(1434),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1434),
    [anon_sym_LT_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1434),
    [anon_sym_BANG_EQ] = ACTIONS(1434),
    [anon_sym_LT_LT] = ACTIONS(1434),
    [anon_sym_GT_GT] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1434),
    [anon_sym_PIPE] = ACTIONS(1436),
  },
  [3947] = {
    [sym_analytics_clause] = STATE(4608),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_using_clause_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_pivot_operator_token1] = ACTIONS(1444),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1444),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1444),
    [aux_sym_join_type_token1] = ACTIONS(1444),
    [aux_sym_join_type_token2] = ACTIONS(1444),
    [aux_sym_join_type_token3] = ACTIONS(1444),
    [aux_sym_join_type_token4] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1444),
    [aux_sym_join_condition_token1] = ACTIONS(1444),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
  },
  [3948] = {
    [sym_analytics_clause] = STATE(4435),
    [ts_builtin_sym_end] = ACTIONS(1430),
    [sym__unquoted_identifier] = ACTIONS(1432),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1432),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1432),
    [aux_sym_keyword_replace_token1] = ACTIONS(1432),
    [aux_sym__keyword_alter_token1] = ACTIONS(1432),
    [aux_sym__keyword_delete_token1] = ACTIONS(1432),
    [aux_sym__keyword_begin_token1] = ACTIONS(1432),
    [aux_sym__keyword_between_token1] = ACTIONS(1432),
    [aux_sym__keyword_is_token1] = ACTIONS(1432),
    [aux_sym__keyword_in_token1] = ACTIONS(1432),
    [aux_sym__keyword_and_token1] = ACTIONS(1432),
    [aux_sym__keyword_like_token1] = ACTIONS(1432),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1432),
    [aux_sym__keyword_as_token1] = ACTIONS(1432),
    [aux_sym__keyword_date_token1] = ACTIONS(1432),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1432),
    [aux_sym__keyword_time_token1] = ACTIONS(1432),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1432),
    [aux_sym__keyword_for_token1] = ACTIONS(1432),
    [anon_sym_SEMI] = ACTIONS(1430),
    [aux_sym_declare_statement_token1] = ACTIONS(1432),
    [anon_sym_COMMA] = ACTIONS(1430),
    [aux_sym_set_statement_token1] = ACTIONS(1432),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1432),
    [aux_sym_return_satement_token1] = ACTIONS(1432),
    [aux_sym_call_statement_token1] = ACTIONS(1432),
    [aux_sym_loop_statement_token1] = ACTIONS(1432),
    [aux_sym_while_statement_token1] = ACTIONS(1432),
    [aux_sym_break_statement_token1] = ACTIONS(1432),
    [aux_sym_leave_statement_token1] = ACTIONS(1432),
    [aux_sym_continue_statement_token1] = ACTIONS(1432),
    [aux_sym_iterate_statement_token1] = ACTIONS(1432),
    [aux_sym_raise_statement_token1] = ACTIONS(1432),
    [anon_sym_EQ] = ACTIONS(1430),
    [aux_sym_assert_statement_token1] = ACTIONS(1432),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1432),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1432),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [aux_sym_select_token1] = ACTIONS(1432),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1432),
    [aux_sym_truncate_statement_token1] = ACTIONS(1432),
    [aux_sym_update_statement_token1] = ACTIONS(1432),
    [aux_sym_merge_statement_token1] = ACTIONS(1432),
    [aux_sym_grant_statement_token1] = ACTIONS(1432),
    [aux_sym_revoke_statement_token1] = ACTIONS(1432),
    [aux_sym_export_data_statement_token1] = ACTIONS(1432),
    [aux_sym_load_data_statement_token1] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [sym__quoted_identifier] = ACTIONS(1430),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1432),
    [anon_sym_PIPE_PIPE] = ACTIONS(1430),
    [anon_sym_LT_EQ] = ACTIONS(1430),
    [anon_sym_LT_GT] = ACTIONS(1430),
    [anon_sym_GT_EQ] = ACTIONS(1430),
    [anon_sym_BANG_EQ] = ACTIONS(1430),
    [anon_sym_LT_LT] = ACTIONS(1430),
    [anon_sym_GT_GT] = ACTIONS(1430),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_PIPE] = ACTIONS(1432),
  },
  [3949] = {
    [sym_analytics_clause] = STATE(4434),
    [ts_builtin_sym_end] = ACTIONS(1426),
    [sym__unquoted_identifier] = ACTIONS(1428),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1428),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1428),
    [aux_sym_keyword_replace_token1] = ACTIONS(1428),
    [aux_sym__keyword_alter_token1] = ACTIONS(1428),
    [aux_sym__keyword_delete_token1] = ACTIONS(1428),
    [aux_sym__keyword_begin_token1] = ACTIONS(1428),
    [aux_sym__keyword_between_token1] = ACTIONS(1428),
    [aux_sym__keyword_is_token1] = ACTIONS(1428),
    [aux_sym__keyword_in_token1] = ACTIONS(1428),
    [aux_sym__keyword_and_token1] = ACTIONS(1428),
    [aux_sym__keyword_like_token1] = ACTIONS(1428),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1428),
    [aux_sym__keyword_as_token1] = ACTIONS(1428),
    [aux_sym__keyword_date_token1] = ACTIONS(1428),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1428),
    [aux_sym__keyword_time_token1] = ACTIONS(1428),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1428),
    [aux_sym__keyword_for_token1] = ACTIONS(1428),
    [anon_sym_SEMI] = ACTIONS(1426),
    [aux_sym_declare_statement_token1] = ACTIONS(1428),
    [anon_sym_COMMA] = ACTIONS(1426),
    [aux_sym_set_statement_token1] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(1426),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1428),
    [aux_sym_return_satement_token1] = ACTIONS(1428),
    [aux_sym_call_statement_token1] = ACTIONS(1428),
    [aux_sym_loop_statement_token1] = ACTIONS(1428),
    [aux_sym_while_statement_token1] = ACTIONS(1428),
    [aux_sym_break_statement_token1] = ACTIONS(1428),
    [aux_sym_leave_statement_token1] = ACTIONS(1428),
    [aux_sym_continue_statement_token1] = ACTIONS(1428),
    [aux_sym_iterate_statement_token1] = ACTIONS(1428),
    [aux_sym_raise_statement_token1] = ACTIONS(1428),
    [anon_sym_EQ] = ACTIONS(1426),
    [aux_sym_assert_statement_token1] = ACTIONS(1428),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1428),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1428),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1428),
    [anon_sym_LT] = ACTIONS(1428),
    [anon_sym_GT] = ACTIONS(1428),
    [aux_sym_select_token1] = ACTIONS(1428),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1428),
    [aux_sym_truncate_statement_token1] = ACTIONS(1428),
    [aux_sym_update_statement_token1] = ACTIONS(1428),
    [aux_sym_merge_statement_token1] = ACTIONS(1428),
    [aux_sym_grant_statement_token1] = ACTIONS(1428),
    [aux_sym_revoke_statement_token1] = ACTIONS(1428),
    [aux_sym_export_data_statement_token1] = ACTIONS(1428),
    [aux_sym_load_data_statement_token1] = ACTIONS(1428),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym__quoted_identifier] = ACTIONS(1426),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1426),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PIPE_PIPE] = ACTIONS(1426),
    [anon_sym_LT_EQ] = ACTIONS(1426),
    [anon_sym_LT_GT] = ACTIONS(1426),
    [anon_sym_GT_EQ] = ACTIONS(1426),
    [anon_sym_BANG_EQ] = ACTIONS(1426),
    [anon_sym_LT_LT] = ACTIONS(1426),
    [anon_sym_GT_GT] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_PIPE] = ACTIONS(1428),
  },
  [3950] = {
    [sym_analytics_clause] = STATE(4609),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_using_clause_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_pivot_operator_token1] = ACTIONS(1444),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1444),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1444),
    [aux_sym_join_type_token1] = ACTIONS(1444),
    [aux_sym_join_type_token2] = ACTIONS(1444),
    [aux_sym_join_type_token3] = ACTIONS(1444),
    [aux_sym_join_type_token4] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1444),
    [aux_sym_join_condition_token1] = ACTIONS(1444),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
  },
  [3951] = {
    [sym_analytics_clause] = STATE(4433),
    [ts_builtin_sym_end] = ACTIONS(1422),
    [sym__unquoted_identifier] = ACTIONS(1424),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1424),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1424),
    [aux_sym_keyword_replace_token1] = ACTIONS(1424),
    [aux_sym__keyword_alter_token1] = ACTIONS(1424),
    [aux_sym__keyword_delete_token1] = ACTIONS(1424),
    [aux_sym__keyword_begin_token1] = ACTIONS(1424),
    [aux_sym__keyword_between_token1] = ACTIONS(1424),
    [aux_sym__keyword_is_token1] = ACTIONS(1424),
    [aux_sym__keyword_in_token1] = ACTIONS(1424),
    [aux_sym__keyword_and_token1] = ACTIONS(1424),
    [aux_sym__keyword_like_token1] = ACTIONS(1424),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1424),
    [aux_sym__keyword_as_token1] = ACTIONS(1424),
    [aux_sym__keyword_date_token1] = ACTIONS(1424),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1424),
    [aux_sym__keyword_time_token1] = ACTIONS(1424),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1424),
    [aux_sym__keyword_for_token1] = ACTIONS(1424),
    [anon_sym_SEMI] = ACTIONS(1422),
    [aux_sym_declare_statement_token1] = ACTIONS(1424),
    [anon_sym_COMMA] = ACTIONS(1422),
    [aux_sym_set_statement_token1] = ACTIONS(1424),
    [anon_sym_LPAREN] = ACTIONS(1422),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1424),
    [aux_sym_return_satement_token1] = ACTIONS(1424),
    [aux_sym_call_statement_token1] = ACTIONS(1424),
    [aux_sym_loop_statement_token1] = ACTIONS(1424),
    [aux_sym_while_statement_token1] = ACTIONS(1424),
    [aux_sym_break_statement_token1] = ACTIONS(1424),
    [aux_sym_leave_statement_token1] = ACTIONS(1424),
    [aux_sym_continue_statement_token1] = ACTIONS(1424),
    [aux_sym_iterate_statement_token1] = ACTIONS(1424),
    [aux_sym_raise_statement_token1] = ACTIONS(1424),
    [anon_sym_EQ] = ACTIONS(1422),
    [aux_sym_assert_statement_token1] = ACTIONS(1424),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1424),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1424),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1424),
    [anon_sym_LT] = ACTIONS(1424),
    [anon_sym_GT] = ACTIONS(1424),
    [aux_sym_select_token1] = ACTIONS(1424),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1424),
    [aux_sym_truncate_statement_token1] = ACTIONS(1424),
    [aux_sym_update_statement_token1] = ACTIONS(1424),
    [aux_sym_merge_statement_token1] = ACTIONS(1424),
    [aux_sym_grant_statement_token1] = ACTIONS(1424),
    [aux_sym_revoke_statement_token1] = ACTIONS(1424),
    [aux_sym_export_data_statement_token1] = ACTIONS(1424),
    [aux_sym_load_data_statement_token1] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1422),
    [sym__quoted_identifier] = ACTIONS(1422),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1424),
    [anon_sym_STAR] = ACTIONS(1422),
    [anon_sym_SLASH] = ACTIONS(1424),
    [anon_sym_PIPE_PIPE] = ACTIONS(1422),
    [anon_sym_LT_EQ] = ACTIONS(1422),
    [anon_sym_LT_GT] = ACTIONS(1422),
    [anon_sym_GT_EQ] = ACTIONS(1422),
    [anon_sym_BANG_EQ] = ACTIONS(1422),
    [anon_sym_LT_LT] = ACTIONS(1422),
    [anon_sym_GT_GT] = ACTIONS(1422),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_CARET] = ACTIONS(1422),
    [anon_sym_PIPE] = ACTIONS(1424),
  },
  [3952] = {
    [sym_analytics_clause] = STATE(4611),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_using_clause_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_pivot_operator_token1] = ACTIONS(1444),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1444),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1444),
    [aux_sym_join_type_token1] = ACTIONS(1444),
    [aux_sym_join_type_token2] = ACTIONS(1444),
    [aux_sym_join_type_token3] = ACTIONS(1444),
    [aux_sym_join_type_token4] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1444),
    [aux_sym_join_condition_token1] = ACTIONS(1444),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
  },
  [3953] = {
    [sym_analytics_clause] = STATE(4432),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1420),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_between_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1420),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1420),
    [aux_sym__keyword_like_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [3954] = {
    [sym_analytics_clause] = STATE(4430),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1420),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_between_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1420),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1420),
    [aux_sym__keyword_like_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [3955] = {
    [sym_analytics_clause] = STATE(4429),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1420),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_between_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1420),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1420),
    [aux_sym__keyword_like_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [3956] = {
    [sym_analytics_clause] = STATE(4428),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1420),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_between_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1420),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1420),
    [aux_sym__keyword_like_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [3957] = {
    [sym_analytics_clause] = STATE(4427),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1420),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_between_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1420),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1420),
    [aux_sym__keyword_like_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [3958] = {
    [sym_analytics_clause] = STATE(4614),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_using_clause_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_pivot_operator_token1] = ACTIONS(1464),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1464),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1464),
    [aux_sym_join_type_token1] = ACTIONS(1464),
    [aux_sym_join_type_token2] = ACTIONS(1464),
    [aux_sym_join_type_token3] = ACTIONS(1464),
    [aux_sym_join_type_token4] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1464),
    [aux_sym_join_condition_token1] = ACTIONS(1464),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
  },
  [3959] = {
    [sym_analytics_clause] = STATE(4426),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1420),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_between_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1420),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1420),
    [aux_sym__keyword_like_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [3960] = {
    [sym_analytics_clause] = STATE(4615),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_using_clause_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_pivot_operator_token1] = ACTIONS(1464),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1464),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1464),
    [aux_sym_join_type_token1] = ACTIONS(1464),
    [aux_sym_join_type_token2] = ACTIONS(1464),
    [aux_sym_join_type_token3] = ACTIONS(1464),
    [aux_sym_join_type_token4] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1464),
    [aux_sym_join_condition_token1] = ACTIONS(1464),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
  },
  [3961] = {
    [sym_analytics_clause] = STATE(4764),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [3962] = {
    [sym_analytics_clause] = STATE(4424),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1420),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_between_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1420),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1420),
    [aux_sym__keyword_like_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [3963] = {
    [sym_analytics_clause] = STATE(4423),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1420),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_between_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1420),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1420),
    [aux_sym__keyword_like_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [3964] = {
    [sym_analytics_clause] = STATE(4422),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1420),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_between_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1420),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1420),
    [aux_sym__keyword_like_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [3965] = {
    [sym_analytics_clause] = STATE(4618),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_using_clause_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_pivot_operator_token1] = ACTIONS(1464),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1464),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1464),
    [aux_sym_join_type_token1] = ACTIONS(1464),
    [aux_sym_join_type_token2] = ACTIONS(1464),
    [aux_sym_join_type_token3] = ACTIONS(1464),
    [aux_sym_join_type_token4] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1464),
    [aux_sym_join_condition_token1] = ACTIONS(1464),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
  },
  [3966] = {
    [sym_analytics_clause] = STATE(4420),
    [ts_builtin_sym_end] = ACTIONS(1414),
    [sym__unquoted_identifier] = ACTIONS(1416),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1416),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1416),
    [aux_sym_keyword_replace_token1] = ACTIONS(1416),
    [aux_sym__keyword_alter_token1] = ACTIONS(1416),
    [aux_sym__keyword_delete_token1] = ACTIONS(1416),
    [aux_sym__keyword_begin_token1] = ACTIONS(1416),
    [aux_sym__keyword_between_token1] = ACTIONS(1416),
    [aux_sym__keyword_is_token1] = ACTIONS(1416),
    [aux_sym__keyword_in_token1] = ACTIONS(1416),
    [aux_sym__keyword_and_token1] = ACTIONS(1416),
    [aux_sym__keyword_like_token1] = ACTIONS(1416),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1416),
    [aux_sym__keyword_as_token1] = ACTIONS(1416),
    [aux_sym__keyword_date_token1] = ACTIONS(1416),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1416),
    [aux_sym__keyword_time_token1] = ACTIONS(1416),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1416),
    [aux_sym__keyword_for_token1] = ACTIONS(1416),
    [anon_sym_SEMI] = ACTIONS(1414),
    [aux_sym_declare_statement_token1] = ACTIONS(1416),
    [anon_sym_COMMA] = ACTIONS(1414),
    [aux_sym_set_statement_token1] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1416),
    [aux_sym_return_satement_token1] = ACTIONS(1416),
    [aux_sym_call_statement_token1] = ACTIONS(1416),
    [aux_sym_loop_statement_token1] = ACTIONS(1416),
    [aux_sym_while_statement_token1] = ACTIONS(1416),
    [aux_sym_break_statement_token1] = ACTIONS(1416),
    [aux_sym_leave_statement_token1] = ACTIONS(1416),
    [aux_sym_continue_statement_token1] = ACTIONS(1416),
    [aux_sym_iterate_statement_token1] = ACTIONS(1416),
    [aux_sym_raise_statement_token1] = ACTIONS(1416),
    [anon_sym_EQ] = ACTIONS(1414),
    [aux_sym_assert_statement_token1] = ACTIONS(1416),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1416),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1416),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1416),
    [anon_sym_LT] = ACTIONS(1416),
    [anon_sym_GT] = ACTIONS(1416),
    [aux_sym_select_token1] = ACTIONS(1416),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1416),
    [aux_sym_truncate_statement_token1] = ACTIONS(1416),
    [aux_sym_update_statement_token1] = ACTIONS(1416),
    [aux_sym_merge_statement_token1] = ACTIONS(1416),
    [aux_sym_grant_statement_token1] = ACTIONS(1416),
    [aux_sym_revoke_statement_token1] = ACTIONS(1416),
    [aux_sym_export_data_statement_token1] = ACTIONS(1416),
    [aux_sym_load_data_statement_token1] = ACTIONS(1416),
    [anon_sym_LBRACK] = ACTIONS(1414),
    [sym__quoted_identifier] = ACTIONS(1414),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_SLASH] = ACTIONS(1416),
    [anon_sym_PIPE_PIPE] = ACTIONS(1414),
    [anon_sym_LT_EQ] = ACTIONS(1414),
    [anon_sym_LT_GT] = ACTIONS(1414),
    [anon_sym_GT_EQ] = ACTIONS(1414),
    [anon_sym_BANG_EQ] = ACTIONS(1414),
    [anon_sym_LT_LT] = ACTIONS(1414),
    [anon_sym_GT_GT] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_CARET] = ACTIONS(1414),
    [anon_sym_PIPE] = ACTIONS(1416),
  },
  [3967] = {
    [sym_analytics_clause] = STATE(4621),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_using_clause_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_pivot_operator_token1] = ACTIONS(1464),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1464),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1464),
    [aux_sym_join_type_token1] = ACTIONS(1464),
    [aux_sym_join_type_token2] = ACTIONS(1464),
    [aux_sym_join_type_token3] = ACTIONS(1464),
    [aux_sym_join_type_token4] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1464),
    [aux_sym_join_condition_token1] = ACTIONS(1464),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
  },
  [3968] = {
    [sym_analytics_clause] = STATE(4418),
    [ts_builtin_sym_end] = ACTIONS(1410),
    [sym__unquoted_identifier] = ACTIONS(1412),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1412),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1412),
    [aux_sym_keyword_replace_token1] = ACTIONS(1412),
    [aux_sym__keyword_alter_token1] = ACTIONS(1412),
    [aux_sym__keyword_delete_token1] = ACTIONS(1412),
    [aux_sym__keyword_begin_token1] = ACTIONS(1412),
    [aux_sym__keyword_between_token1] = ACTIONS(1412),
    [aux_sym__keyword_is_token1] = ACTIONS(1412),
    [aux_sym__keyword_in_token1] = ACTIONS(1412),
    [aux_sym__keyword_and_token1] = ACTIONS(1412),
    [aux_sym__keyword_like_token1] = ACTIONS(1412),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1412),
    [aux_sym__keyword_as_token1] = ACTIONS(1412),
    [aux_sym__keyword_date_token1] = ACTIONS(1412),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1412),
    [aux_sym__keyword_time_token1] = ACTIONS(1412),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1412),
    [aux_sym__keyword_for_token1] = ACTIONS(1412),
    [anon_sym_SEMI] = ACTIONS(1410),
    [aux_sym_declare_statement_token1] = ACTIONS(1412),
    [anon_sym_COMMA] = ACTIONS(1410),
    [aux_sym_set_statement_token1] = ACTIONS(1412),
    [anon_sym_LPAREN] = ACTIONS(1410),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1412),
    [aux_sym_return_satement_token1] = ACTIONS(1412),
    [aux_sym_call_statement_token1] = ACTIONS(1412),
    [aux_sym_loop_statement_token1] = ACTIONS(1412),
    [aux_sym_while_statement_token1] = ACTIONS(1412),
    [aux_sym_break_statement_token1] = ACTIONS(1412),
    [aux_sym_leave_statement_token1] = ACTIONS(1412),
    [aux_sym_continue_statement_token1] = ACTIONS(1412),
    [aux_sym_iterate_statement_token1] = ACTIONS(1412),
    [aux_sym_raise_statement_token1] = ACTIONS(1412),
    [anon_sym_EQ] = ACTIONS(1410),
    [aux_sym_assert_statement_token1] = ACTIONS(1412),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1412),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1412),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1412),
    [anon_sym_LT] = ACTIONS(1412),
    [anon_sym_GT] = ACTIONS(1412),
    [aux_sym_select_token1] = ACTIONS(1412),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1412),
    [aux_sym_truncate_statement_token1] = ACTIONS(1412),
    [aux_sym_update_statement_token1] = ACTIONS(1412),
    [aux_sym_merge_statement_token1] = ACTIONS(1412),
    [aux_sym_grant_statement_token1] = ACTIONS(1412),
    [aux_sym_revoke_statement_token1] = ACTIONS(1412),
    [aux_sym_export_data_statement_token1] = ACTIONS(1412),
    [aux_sym_load_data_statement_token1] = ACTIONS(1412),
    [anon_sym_LBRACK] = ACTIONS(1410),
    [sym__quoted_identifier] = ACTIONS(1410),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_STAR] = ACTIONS(1410),
    [anon_sym_SLASH] = ACTIONS(1412),
    [anon_sym_PIPE_PIPE] = ACTIONS(1410),
    [anon_sym_LT_EQ] = ACTIONS(1410),
    [anon_sym_LT_GT] = ACTIONS(1410),
    [anon_sym_GT_EQ] = ACTIONS(1410),
    [anon_sym_BANG_EQ] = ACTIONS(1410),
    [anon_sym_LT_LT] = ACTIONS(1410),
    [anon_sym_GT_GT] = ACTIONS(1410),
    [anon_sym_AMP] = ACTIONS(1410),
    [anon_sym_CARET] = ACTIONS(1410),
    [anon_sym_PIPE] = ACTIONS(1412),
  },
  [3969] = {
    [sym_analytics_clause] = STATE(4623),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_using_clause_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_pivot_operator_token1] = ACTIONS(1464),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1464),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1464),
    [aux_sym_join_type_token1] = ACTIONS(1464),
    [aux_sym_join_type_token2] = ACTIONS(1464),
    [aux_sym_join_type_token3] = ACTIONS(1464),
    [aux_sym_join_type_token4] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1464),
    [aux_sym_join_condition_token1] = ACTIONS(1464),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
  },
  [3970] = {
    [sym_analytics_clause] = STATE(4414),
    [ts_builtin_sym_end] = ACTIONS(1406),
    [sym__unquoted_identifier] = ACTIONS(1408),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1408),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1408),
    [aux_sym_keyword_replace_token1] = ACTIONS(1408),
    [aux_sym__keyword_alter_token1] = ACTIONS(1408),
    [aux_sym__keyword_delete_token1] = ACTIONS(1408),
    [aux_sym__keyword_begin_token1] = ACTIONS(1408),
    [aux_sym__keyword_between_token1] = ACTIONS(1408),
    [aux_sym__keyword_is_token1] = ACTIONS(1408),
    [aux_sym__keyword_in_token1] = ACTIONS(1408),
    [aux_sym__keyword_and_token1] = ACTIONS(1408),
    [aux_sym__keyword_like_token1] = ACTIONS(1408),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1408),
    [aux_sym__keyword_as_token1] = ACTIONS(1408),
    [aux_sym__keyword_date_token1] = ACTIONS(1408),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1408),
    [aux_sym__keyword_time_token1] = ACTIONS(1408),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1408),
    [aux_sym__keyword_for_token1] = ACTIONS(1408),
    [anon_sym_SEMI] = ACTIONS(1406),
    [aux_sym_declare_statement_token1] = ACTIONS(1408),
    [anon_sym_COMMA] = ACTIONS(1406),
    [aux_sym_set_statement_token1] = ACTIONS(1408),
    [anon_sym_LPAREN] = ACTIONS(1406),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1408),
    [aux_sym_return_satement_token1] = ACTIONS(1408),
    [aux_sym_call_statement_token1] = ACTIONS(1408),
    [aux_sym_loop_statement_token1] = ACTIONS(1408),
    [aux_sym_while_statement_token1] = ACTIONS(1408),
    [aux_sym_break_statement_token1] = ACTIONS(1408),
    [aux_sym_leave_statement_token1] = ACTIONS(1408),
    [aux_sym_continue_statement_token1] = ACTIONS(1408),
    [aux_sym_iterate_statement_token1] = ACTIONS(1408),
    [aux_sym_raise_statement_token1] = ACTIONS(1408),
    [anon_sym_EQ] = ACTIONS(1406),
    [aux_sym_assert_statement_token1] = ACTIONS(1408),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1408),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1408),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1408),
    [anon_sym_LT] = ACTIONS(1408),
    [anon_sym_GT] = ACTIONS(1408),
    [aux_sym_select_token1] = ACTIONS(1408),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1408),
    [aux_sym_truncate_statement_token1] = ACTIONS(1408),
    [aux_sym_update_statement_token1] = ACTIONS(1408),
    [aux_sym_merge_statement_token1] = ACTIONS(1408),
    [aux_sym_grant_statement_token1] = ACTIONS(1408),
    [aux_sym_revoke_statement_token1] = ACTIONS(1408),
    [aux_sym_export_data_statement_token1] = ACTIONS(1408),
    [aux_sym_load_data_statement_token1] = ACTIONS(1408),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym__quoted_identifier] = ACTIONS(1406),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_DASH] = ACTIONS(1408),
    [anon_sym_STAR] = ACTIONS(1406),
    [anon_sym_SLASH] = ACTIONS(1408),
    [anon_sym_PIPE_PIPE] = ACTIONS(1406),
    [anon_sym_LT_EQ] = ACTIONS(1406),
    [anon_sym_LT_GT] = ACTIONS(1406),
    [anon_sym_GT_EQ] = ACTIONS(1406),
    [anon_sym_BANG_EQ] = ACTIONS(1406),
    [anon_sym_LT_LT] = ACTIONS(1406),
    [anon_sym_GT_GT] = ACTIONS(1406),
    [anon_sym_AMP] = ACTIONS(1406),
    [anon_sym_CARET] = ACTIONS(1406),
    [anon_sym_PIPE] = ACTIONS(1408),
  },
  [3971] = {
    [sym_analytics_clause] = STATE(4624),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_using_clause_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_pivot_operator_token1] = ACTIONS(1464),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1464),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1464),
    [aux_sym_join_type_token1] = ACTIONS(1464),
    [aux_sym_join_type_token2] = ACTIONS(1464),
    [aux_sym_join_type_token3] = ACTIONS(1464),
    [aux_sym_join_type_token4] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1464),
    [aux_sym_join_condition_token1] = ACTIONS(1464),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
  },
  [3972] = {
    [sym_analytics_clause] = STATE(4591),
    [ts_builtin_sym_end] = ACTIONS(1398),
    [sym__unquoted_identifier] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1400),
    [aux_sym_keyword_replace_token1] = ACTIONS(1400),
    [aux_sym__keyword_alter_token1] = ACTIONS(1400),
    [aux_sym__keyword_delete_token1] = ACTIONS(1400),
    [aux_sym__keyword_begin_token1] = ACTIONS(1400),
    [aux_sym__keyword_between_token1] = ACTIONS(1400),
    [aux_sym__keyword_is_token1] = ACTIONS(1400),
    [aux_sym__keyword_in_token1] = ACTIONS(1400),
    [aux_sym__keyword_and_token1] = ACTIONS(1400),
    [aux_sym__keyword_like_token1] = ACTIONS(1400),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1400),
    [aux_sym__keyword_as_token1] = ACTIONS(1400),
    [aux_sym__keyword_date_token1] = ACTIONS(1400),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1400),
    [aux_sym__keyword_time_token1] = ACTIONS(1400),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1400),
    [aux_sym__keyword_for_token1] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1400),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1400),
    [aux_sym_return_satement_token1] = ACTIONS(1400),
    [aux_sym_call_statement_token1] = ACTIONS(1400),
    [aux_sym_loop_statement_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token1] = ACTIONS(1400),
    [aux_sym_break_statement_token1] = ACTIONS(1400),
    [aux_sym_leave_statement_token1] = ACTIONS(1400),
    [aux_sym_continue_statement_token1] = ACTIONS(1400),
    [aux_sym_iterate_statement_token1] = ACTIONS(1400),
    [aux_sym_raise_statement_token1] = ACTIONS(1400),
    [anon_sym_EQ] = ACTIONS(1398),
    [aux_sym_assert_statement_token1] = ACTIONS(1400),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1400),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1400),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1400),
    [aux_sym_truncate_statement_token1] = ACTIONS(1400),
    [aux_sym_update_statement_token1] = ACTIONS(1400),
    [aux_sym_merge_statement_token1] = ACTIONS(1400),
    [aux_sym_grant_statement_token1] = ACTIONS(1400),
    [aux_sym_revoke_statement_token1] = ACTIONS(1400),
    [aux_sym_export_data_statement_token1] = ACTIONS(1400),
    [aux_sym_load_data_statement_token1] = ACTIONS(1400),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym__quoted_identifier] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_LT_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
  },
  [3973] = {
    [sym_analytics_clause] = STATE(4483),
    [ts_builtin_sym_end] = ACTIONS(1398),
    [sym__unquoted_identifier] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1400),
    [aux_sym_keyword_replace_token1] = ACTIONS(1400),
    [aux_sym__keyword_alter_token1] = ACTIONS(1400),
    [aux_sym__keyword_delete_token1] = ACTIONS(1400),
    [aux_sym__keyword_begin_token1] = ACTIONS(1400),
    [aux_sym__keyword_between_token1] = ACTIONS(1400),
    [aux_sym__keyword_is_token1] = ACTIONS(1400),
    [aux_sym__keyword_in_token1] = ACTIONS(1400),
    [aux_sym__keyword_and_token1] = ACTIONS(1400),
    [aux_sym__keyword_like_token1] = ACTIONS(1400),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1400),
    [aux_sym__keyword_as_token1] = ACTIONS(1400),
    [aux_sym__keyword_date_token1] = ACTIONS(1400),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1400),
    [aux_sym__keyword_time_token1] = ACTIONS(1400),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1400),
    [aux_sym__keyword_for_token1] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1400),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1400),
    [aux_sym_return_satement_token1] = ACTIONS(1400),
    [aux_sym_call_statement_token1] = ACTIONS(1400),
    [aux_sym_loop_statement_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token1] = ACTIONS(1400),
    [aux_sym_break_statement_token1] = ACTIONS(1400),
    [aux_sym_leave_statement_token1] = ACTIONS(1400),
    [aux_sym_continue_statement_token1] = ACTIONS(1400),
    [aux_sym_iterate_statement_token1] = ACTIONS(1400),
    [aux_sym_raise_statement_token1] = ACTIONS(1400),
    [anon_sym_EQ] = ACTIONS(1398),
    [aux_sym_assert_statement_token1] = ACTIONS(1400),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1400),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1400),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1400),
    [aux_sym_truncate_statement_token1] = ACTIONS(1400),
    [aux_sym_update_statement_token1] = ACTIONS(1400),
    [aux_sym_merge_statement_token1] = ACTIONS(1400),
    [aux_sym_grant_statement_token1] = ACTIONS(1400),
    [aux_sym_revoke_statement_token1] = ACTIONS(1400),
    [aux_sym_export_data_statement_token1] = ACTIONS(1400),
    [aux_sym_load_data_statement_token1] = ACTIONS(1400),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym__quoted_identifier] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_LT_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
  },
  [3974] = {
    [sym_analytics_clause] = STATE(4484),
    [ts_builtin_sym_end] = ACTIONS(1398),
    [sym__unquoted_identifier] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1400),
    [aux_sym_keyword_replace_token1] = ACTIONS(1400),
    [aux_sym__keyword_alter_token1] = ACTIONS(1400),
    [aux_sym__keyword_delete_token1] = ACTIONS(1400),
    [aux_sym__keyword_begin_token1] = ACTIONS(1400),
    [aux_sym__keyword_between_token1] = ACTIONS(1400),
    [aux_sym__keyword_is_token1] = ACTIONS(1400),
    [aux_sym__keyword_in_token1] = ACTIONS(1400),
    [aux_sym__keyword_and_token1] = ACTIONS(1400),
    [aux_sym__keyword_like_token1] = ACTIONS(1400),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1400),
    [aux_sym__keyword_as_token1] = ACTIONS(1400),
    [aux_sym__keyword_date_token1] = ACTIONS(1400),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1400),
    [aux_sym__keyword_time_token1] = ACTIONS(1400),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1400),
    [aux_sym__keyword_for_token1] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1400),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1400),
    [aux_sym_return_satement_token1] = ACTIONS(1400),
    [aux_sym_call_statement_token1] = ACTIONS(1400),
    [aux_sym_loop_statement_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token1] = ACTIONS(1400),
    [aux_sym_break_statement_token1] = ACTIONS(1400),
    [aux_sym_leave_statement_token1] = ACTIONS(1400),
    [aux_sym_continue_statement_token1] = ACTIONS(1400),
    [aux_sym_iterate_statement_token1] = ACTIONS(1400),
    [aux_sym_raise_statement_token1] = ACTIONS(1400),
    [anon_sym_EQ] = ACTIONS(1398),
    [aux_sym_assert_statement_token1] = ACTIONS(1400),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1400),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1400),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1400),
    [aux_sym_truncate_statement_token1] = ACTIONS(1400),
    [aux_sym_update_statement_token1] = ACTIONS(1400),
    [aux_sym_merge_statement_token1] = ACTIONS(1400),
    [aux_sym_grant_statement_token1] = ACTIONS(1400),
    [aux_sym_revoke_statement_token1] = ACTIONS(1400),
    [aux_sym_export_data_statement_token1] = ACTIONS(1400),
    [aux_sym_load_data_statement_token1] = ACTIONS(1400),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym__quoted_identifier] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_LT_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
  },
  [3975] = {
    [sym_analytics_clause] = STATE(4486),
    [ts_builtin_sym_end] = ACTIONS(1398),
    [sym__unquoted_identifier] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1400),
    [aux_sym_keyword_replace_token1] = ACTIONS(1400),
    [aux_sym__keyword_alter_token1] = ACTIONS(1400),
    [aux_sym__keyword_delete_token1] = ACTIONS(1400),
    [aux_sym__keyword_begin_token1] = ACTIONS(1400),
    [aux_sym__keyword_between_token1] = ACTIONS(1400),
    [aux_sym__keyword_is_token1] = ACTIONS(1400),
    [aux_sym__keyword_in_token1] = ACTIONS(1400),
    [aux_sym__keyword_and_token1] = ACTIONS(1400),
    [aux_sym__keyword_like_token1] = ACTIONS(1400),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1400),
    [aux_sym__keyword_as_token1] = ACTIONS(1400),
    [aux_sym__keyword_date_token1] = ACTIONS(1400),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1400),
    [aux_sym__keyword_time_token1] = ACTIONS(1400),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1400),
    [aux_sym__keyword_for_token1] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1400),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1400),
    [aux_sym_return_satement_token1] = ACTIONS(1400),
    [aux_sym_call_statement_token1] = ACTIONS(1400),
    [aux_sym_loop_statement_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token1] = ACTIONS(1400),
    [aux_sym_break_statement_token1] = ACTIONS(1400),
    [aux_sym_leave_statement_token1] = ACTIONS(1400),
    [aux_sym_continue_statement_token1] = ACTIONS(1400),
    [aux_sym_iterate_statement_token1] = ACTIONS(1400),
    [aux_sym_raise_statement_token1] = ACTIONS(1400),
    [anon_sym_EQ] = ACTIONS(1398),
    [aux_sym_assert_statement_token1] = ACTIONS(1400),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1400),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1400),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1400),
    [aux_sym_truncate_statement_token1] = ACTIONS(1400),
    [aux_sym_update_statement_token1] = ACTIONS(1400),
    [aux_sym_merge_statement_token1] = ACTIONS(1400),
    [aux_sym_grant_statement_token1] = ACTIONS(1400),
    [aux_sym_revoke_statement_token1] = ACTIONS(1400),
    [aux_sym_export_data_statement_token1] = ACTIONS(1400),
    [aux_sym_load_data_statement_token1] = ACTIONS(1400),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym__quoted_identifier] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_LT_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
  },
  [3976] = {
    [sym_analytics_clause] = STATE(4480),
    [ts_builtin_sym_end] = ACTIONS(1398),
    [sym__unquoted_identifier] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1400),
    [aux_sym_keyword_replace_token1] = ACTIONS(1400),
    [aux_sym__keyword_alter_token1] = ACTIONS(1400),
    [aux_sym__keyword_delete_token1] = ACTIONS(1400),
    [aux_sym__keyword_begin_token1] = ACTIONS(1400),
    [aux_sym__keyword_between_token1] = ACTIONS(1400),
    [aux_sym__keyword_is_token1] = ACTIONS(1400),
    [aux_sym__keyword_in_token1] = ACTIONS(1400),
    [aux_sym__keyword_and_token1] = ACTIONS(1400),
    [aux_sym__keyword_like_token1] = ACTIONS(1400),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1400),
    [aux_sym__keyword_as_token1] = ACTIONS(1400),
    [aux_sym__keyword_date_token1] = ACTIONS(1400),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1400),
    [aux_sym__keyword_time_token1] = ACTIONS(1400),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1400),
    [aux_sym__keyword_for_token1] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1400),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1400),
    [aux_sym_return_satement_token1] = ACTIONS(1400),
    [aux_sym_call_statement_token1] = ACTIONS(1400),
    [aux_sym_loop_statement_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token1] = ACTIONS(1400),
    [aux_sym_break_statement_token1] = ACTIONS(1400),
    [aux_sym_leave_statement_token1] = ACTIONS(1400),
    [aux_sym_continue_statement_token1] = ACTIONS(1400),
    [aux_sym_iterate_statement_token1] = ACTIONS(1400),
    [aux_sym_raise_statement_token1] = ACTIONS(1400),
    [anon_sym_EQ] = ACTIONS(1398),
    [aux_sym_assert_statement_token1] = ACTIONS(1400),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1400),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1400),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1400),
    [aux_sym_truncate_statement_token1] = ACTIONS(1400),
    [aux_sym_update_statement_token1] = ACTIONS(1400),
    [aux_sym_merge_statement_token1] = ACTIONS(1400),
    [aux_sym_grant_statement_token1] = ACTIONS(1400),
    [aux_sym_revoke_statement_token1] = ACTIONS(1400),
    [aux_sym_export_data_statement_token1] = ACTIONS(1400),
    [aux_sym_load_data_statement_token1] = ACTIONS(1400),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym__quoted_identifier] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_LT_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
  },
  [3977] = {
    [sym_analytics_clause] = STATE(4626),
    [sym__unquoted_identifier] = ACTIONS(1376),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1376),
    [aux_sym__keyword_alter_token1] = ACTIONS(1376),
    [aux_sym__keyword_delete_token1] = ACTIONS(1376),
    [aux_sym__keyword_begin_token1] = ACTIONS(1376),
    [aux_sym__keyword_end_token1] = ACTIONS(1376),
    [aux_sym__keyword_when_token1] = ACTIONS(1376),
    [aux_sym__keyword_else_token1] = ACTIONS(1376),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1376),
    [aux_sym__keyword_as_token1] = ACTIONS(1376),
    [aux_sym__keyword_window_token1] = ACTIONS(1376),
    [aux_sym__keyword_date_token1] = ACTIONS(1376),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1376),
    [aux_sym__keyword_time_token1] = ACTIONS(1376),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1376),
    [aux_sym__keyword_for_token1] = ACTIONS(1376),
    [anon_sym_SEMI] = ACTIONS(1374),
    [aux_sym_declare_statement_token1] = ACTIONS(1376),
    [anon_sym_COMMA] = ACTIONS(1374),
    [aux_sym_set_statement_token1] = ACTIONS(1376),
    [anon_sym_LPAREN] = ACTIONS(1374),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1376),
    [aux_sym_using_clause_token1] = ACTIONS(1376),
    [aux_sym_return_satement_token1] = ACTIONS(1376),
    [aux_sym_call_statement_token1] = ACTIONS(1376),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1376),
    [aux_sym_if_statement_token1] = ACTIONS(1376),
    [aux_sym_loop_statement_token1] = ACTIONS(1376),
    [aux_sym_repeat_statement_token1] = ACTIONS(1376),
    [aux_sym_while_statement_token1] = ACTIONS(1376),
    [aux_sym_break_statement_token1] = ACTIONS(1376),
    [aux_sym_leave_statement_token1] = ACTIONS(1376),
    [aux_sym_continue_statement_token1] = ACTIONS(1376),
    [aux_sym_iterate_statement_token1] = ACTIONS(1376),
    [aux_sym_raise_statement_token1] = ACTIONS(1376),
    [aux_sym_assert_statement_token1] = ACTIONS(1376),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1376),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1376),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1376),
    [aux_sym_set_operation_token1] = ACTIONS(1376),
    [aux_sym_set_operation_token3] = ACTIONS(1376),
    [aux_sym_set_operation_token4] = ACTIONS(1376),
    [aux_sym_select_token1] = ACTIONS(1376),
    [aux_sym_having_clause_token1] = ACTIONS(1376),
    [aux_sym_qualify_clause_token1] = ACTIONS(1376),
    [aux_sym_limit_clause_token1] = ACTIONS(1376),
    [aux_sym_group_by_clause_token1] = ACTIONS(1376),
    [aux_sym_order_by_clause_token1] = ACTIONS(1376),
    [aux_sym_where_clause_token1] = ACTIONS(1376),
    [aux_sym_pivot_operator_token1] = ACTIONS(1376),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1376),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1376),
    [aux_sym_join_type_token1] = ACTIONS(1376),
    [aux_sym_join_type_token2] = ACTIONS(1376),
    [aux_sym_join_type_token3] = ACTIONS(1376),
    [aux_sym_join_type_token4] = ACTIONS(1376),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1376),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1376),
    [aux_sym_join_condition_token1] = ACTIONS(1376),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1376),
    [aux_sym_truncate_statement_token1] = ACTIONS(1376),
    [aux_sym_update_statement_token1] = ACTIONS(1376),
    [aux_sym_merge_statement_token1] = ACTIONS(1376),
    [aux_sym_grant_statement_token1] = ACTIONS(1376),
    [aux_sym_revoke_statement_token1] = ACTIONS(1376),
    [aux_sym_export_data_statement_token1] = ACTIONS(1376),
    [aux_sym_load_data_statement_token1] = ACTIONS(1376),
    [sym__quoted_identifier] = ACTIONS(1374),
    [sym_comment] = ACTIONS(3),
  },
  [3978] = {
    [sym_analytics_clause] = STATE(4488),
    [ts_builtin_sym_end] = ACTIONS(1394),
    [sym__unquoted_identifier] = ACTIONS(1396),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1396),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1396),
    [aux_sym_keyword_replace_token1] = ACTIONS(1396),
    [aux_sym__keyword_alter_token1] = ACTIONS(1396),
    [aux_sym__keyword_delete_token1] = ACTIONS(1396),
    [aux_sym__keyword_begin_token1] = ACTIONS(1396),
    [aux_sym__keyword_between_token1] = ACTIONS(1396),
    [aux_sym__keyword_is_token1] = ACTIONS(1396),
    [aux_sym__keyword_in_token1] = ACTIONS(1396),
    [aux_sym__keyword_and_token1] = ACTIONS(1396),
    [aux_sym__keyword_like_token1] = ACTIONS(1396),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1396),
    [aux_sym__keyword_as_token1] = ACTIONS(1396),
    [aux_sym__keyword_date_token1] = ACTIONS(1396),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1396),
    [aux_sym__keyword_time_token1] = ACTIONS(1396),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1396),
    [aux_sym__keyword_for_token1] = ACTIONS(1396),
    [anon_sym_SEMI] = ACTIONS(1394),
    [aux_sym_declare_statement_token1] = ACTIONS(1396),
    [anon_sym_COMMA] = ACTIONS(1394),
    [aux_sym_set_statement_token1] = ACTIONS(1396),
    [anon_sym_LPAREN] = ACTIONS(1394),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1396),
    [aux_sym_return_satement_token1] = ACTIONS(1396),
    [aux_sym_call_statement_token1] = ACTIONS(1396),
    [aux_sym_loop_statement_token1] = ACTIONS(1396),
    [aux_sym_while_statement_token1] = ACTIONS(1396),
    [aux_sym_break_statement_token1] = ACTIONS(1396),
    [aux_sym_leave_statement_token1] = ACTIONS(1396),
    [aux_sym_continue_statement_token1] = ACTIONS(1396),
    [aux_sym_iterate_statement_token1] = ACTIONS(1396),
    [aux_sym_raise_statement_token1] = ACTIONS(1396),
    [anon_sym_EQ] = ACTIONS(1394),
    [aux_sym_assert_statement_token1] = ACTIONS(1396),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1396),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1396),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1396),
    [anon_sym_LT] = ACTIONS(1396),
    [anon_sym_GT] = ACTIONS(1396),
    [aux_sym_select_token1] = ACTIONS(1396),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1396),
    [aux_sym_truncate_statement_token1] = ACTIONS(1396),
    [aux_sym_update_statement_token1] = ACTIONS(1396),
    [aux_sym_merge_statement_token1] = ACTIONS(1396),
    [aux_sym_grant_statement_token1] = ACTIONS(1396),
    [aux_sym_revoke_statement_token1] = ACTIONS(1396),
    [aux_sym_export_data_statement_token1] = ACTIONS(1396),
    [aux_sym_load_data_statement_token1] = ACTIONS(1396),
    [anon_sym_LBRACK] = ACTIONS(1394),
    [sym__quoted_identifier] = ACTIONS(1394),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_STAR] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(1396),
    [anon_sym_PIPE_PIPE] = ACTIONS(1394),
    [anon_sym_LT_EQ] = ACTIONS(1394),
    [anon_sym_LT_GT] = ACTIONS(1394),
    [anon_sym_GT_EQ] = ACTIONS(1394),
    [anon_sym_BANG_EQ] = ACTIONS(1394),
    [anon_sym_LT_LT] = ACTIONS(1394),
    [anon_sym_GT_GT] = ACTIONS(1394),
    [anon_sym_AMP] = ACTIONS(1394),
    [anon_sym_CARET] = ACTIONS(1394),
    [anon_sym_PIPE] = ACTIONS(1396),
  },
  [3979] = {
    [sym_analytics_clause] = STATE(4630),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [3980] = {
    [sym_analytics_clause] = STATE(4489),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3981] = {
    [sym_analytics_clause] = STATE(4495),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3982] = {
    [sym_analytics_clause] = STATE(4497),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3983] = {
    [sym_analytics_clause] = STATE(4500),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3984] = {
    [sym_analytics_clause] = STATE(4502),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3985] = {
    [sym_analytics_clause] = STATE(4632),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [3986] = {
    [sym_analytics_clause] = STATE(4636),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [3987] = {
    [sym_analytics_clause] = STATE(4504),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3988] = {
    [sym_analytics_clause] = STATE(4637),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [3989] = {
    [sym_analytics_clause] = STATE(4638),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [3990] = {
    [sym_analytics_clause] = STATE(4639),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [3991] = {
    [sym_analytics_clause] = STATE(4508),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3992] = {
    [sym_analytics_clause] = STATE(4509),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3993] = {
    [sym_analytics_clause] = STATE(4640),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [3994] = {
    [sym_analytics_clause] = STATE(4510),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3995] = {
    [sym_analytics_clause] = STATE(4512),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3996] = {
    [sym_analytics_clause] = STATE(4646),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [3997] = {
    [sym_analytics_clause] = STATE(4513),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3998] = {
    [sym_analytics_clause] = STATE(4514),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [3999] = {
    [sym_analytics_clause] = STATE(4517),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [4000] = {
    [sym_analytics_clause] = STATE(4519),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [4001] = {
    [sym_analytics_clause] = STATE(4521),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [4002] = {
    [sym_analytics_clause] = STATE(4649),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [4003] = {
    [sym_analytics_clause] = STATE(4651),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [4004] = {
    [sym_analytics_clause] = STATE(4522),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [4005] = {
    [sym_analytics_clause] = STATE(4654),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [4006] = {
    [sym_analytics_clause] = STATE(4527),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [4007] = {
    [sym_analytics_clause] = STATE(4529),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [4008] = {
    [sym_analytics_clause] = STATE(4656),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [4009] = {
    [sym_analytics_clause] = STATE(4530),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [4010] = {
    [sym_analytics_clause] = STATE(4531),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [4011] = {
    [sym_analytics_clause] = STATE(4657),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [4012] = {
    [sym_analytics_clause] = STATE(4532),
    [ts_builtin_sym_end] = ACTIONS(1504),
    [sym__unquoted_identifier] = ACTIONS(1506),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1506),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1506),
    [aux_sym_keyword_replace_token1] = ACTIONS(1506),
    [aux_sym__keyword_alter_token1] = ACTIONS(1506),
    [aux_sym__keyword_delete_token1] = ACTIONS(1506),
    [aux_sym__keyword_begin_token1] = ACTIONS(1506),
    [aux_sym__keyword_between_token1] = ACTIONS(1506),
    [aux_sym__keyword_is_token1] = ACTIONS(1506),
    [aux_sym__keyword_in_token1] = ACTIONS(1506),
    [aux_sym__keyword_and_token1] = ACTIONS(1506),
    [aux_sym__keyword_like_token1] = ACTIONS(1506),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1506),
    [aux_sym__keyword_as_token1] = ACTIONS(1506),
    [aux_sym__keyword_date_token1] = ACTIONS(1506),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1506),
    [aux_sym__keyword_time_token1] = ACTIONS(1506),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1506),
    [aux_sym__keyword_for_token1] = ACTIONS(1506),
    [anon_sym_SEMI] = ACTIONS(1504),
    [aux_sym_declare_statement_token1] = ACTIONS(1506),
    [anon_sym_COMMA] = ACTIONS(1504),
    [aux_sym_set_statement_token1] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1504),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1506),
    [aux_sym_return_satement_token1] = ACTIONS(1506),
    [aux_sym_call_statement_token1] = ACTIONS(1506),
    [aux_sym_loop_statement_token1] = ACTIONS(1506),
    [aux_sym_while_statement_token1] = ACTIONS(1506),
    [aux_sym_break_statement_token1] = ACTIONS(1506),
    [aux_sym_leave_statement_token1] = ACTIONS(1506),
    [aux_sym_continue_statement_token1] = ACTIONS(1506),
    [aux_sym_iterate_statement_token1] = ACTIONS(1506),
    [aux_sym_raise_statement_token1] = ACTIONS(1506),
    [anon_sym_EQ] = ACTIONS(1504),
    [aux_sym_assert_statement_token1] = ACTIONS(1506),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1506),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1506),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1506),
    [anon_sym_LT] = ACTIONS(1506),
    [anon_sym_GT] = ACTIONS(1506),
    [aux_sym_select_token1] = ACTIONS(1506),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1506),
    [aux_sym_truncate_statement_token1] = ACTIONS(1506),
    [aux_sym_update_statement_token1] = ACTIONS(1506),
    [aux_sym_merge_statement_token1] = ACTIONS(1506),
    [aux_sym_grant_statement_token1] = ACTIONS(1506),
    [aux_sym_revoke_statement_token1] = ACTIONS(1506),
    [aux_sym_export_data_statement_token1] = ACTIONS(1506),
    [aux_sym_load_data_statement_token1] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1504),
    [sym__quoted_identifier] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1504),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1506),
    [anon_sym_STAR] = ACTIONS(1504),
    [anon_sym_SLASH] = ACTIONS(1506),
    [anon_sym_PIPE_PIPE] = ACTIONS(1504),
    [anon_sym_LT_EQ] = ACTIONS(1504),
    [anon_sym_LT_GT] = ACTIONS(1504),
    [anon_sym_GT_EQ] = ACTIONS(1504),
    [anon_sym_BANG_EQ] = ACTIONS(1504),
    [anon_sym_LT_LT] = ACTIONS(1504),
    [anon_sym_GT_GT] = ACTIONS(1504),
    [anon_sym_AMP] = ACTIONS(1504),
    [anon_sym_CARET] = ACTIONS(1504),
    [anon_sym_PIPE] = ACTIONS(1506),
  },
  [4013] = {
    [sym_analytics_clause] = STATE(4659),
    [sym__unquoted_identifier] = ACTIONS(1486),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1486),
    [aux_sym__keyword_alter_token1] = ACTIONS(1486),
    [aux_sym__keyword_delete_token1] = ACTIONS(1486),
    [aux_sym__keyword_begin_token1] = ACTIONS(1486),
    [aux_sym__keyword_end_token1] = ACTIONS(1486),
    [aux_sym__keyword_when_token1] = ACTIONS(1486),
    [aux_sym__keyword_else_token1] = ACTIONS(1486),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1486),
    [aux_sym__keyword_as_token1] = ACTIONS(1486),
    [aux_sym__keyword_window_token1] = ACTIONS(1486),
    [aux_sym__keyword_date_token1] = ACTIONS(1486),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1486),
    [aux_sym__keyword_time_token1] = ACTIONS(1486),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1486),
    [aux_sym__keyword_for_token1] = ACTIONS(1486),
    [anon_sym_SEMI] = ACTIONS(1484),
    [aux_sym_declare_statement_token1] = ACTIONS(1486),
    [anon_sym_COMMA] = ACTIONS(1484),
    [aux_sym_set_statement_token1] = ACTIONS(1486),
    [anon_sym_LPAREN] = ACTIONS(1484),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1486),
    [aux_sym_using_clause_token1] = ACTIONS(1486),
    [aux_sym_return_satement_token1] = ACTIONS(1486),
    [aux_sym_call_statement_token1] = ACTIONS(1486),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1486),
    [aux_sym_if_statement_token1] = ACTIONS(1486),
    [aux_sym_loop_statement_token1] = ACTIONS(1486),
    [aux_sym_repeat_statement_token1] = ACTIONS(1486),
    [aux_sym_while_statement_token1] = ACTIONS(1486),
    [aux_sym_break_statement_token1] = ACTIONS(1486),
    [aux_sym_leave_statement_token1] = ACTIONS(1486),
    [aux_sym_continue_statement_token1] = ACTIONS(1486),
    [aux_sym_iterate_statement_token1] = ACTIONS(1486),
    [aux_sym_raise_statement_token1] = ACTIONS(1486),
    [aux_sym_assert_statement_token1] = ACTIONS(1486),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1486),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1486),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1486),
    [aux_sym_set_operation_token1] = ACTIONS(1486),
    [aux_sym_set_operation_token3] = ACTIONS(1486),
    [aux_sym_set_operation_token4] = ACTIONS(1486),
    [aux_sym_select_token1] = ACTIONS(1486),
    [aux_sym_having_clause_token1] = ACTIONS(1486),
    [aux_sym_qualify_clause_token1] = ACTIONS(1486),
    [aux_sym_limit_clause_token1] = ACTIONS(1486),
    [aux_sym_group_by_clause_token1] = ACTIONS(1486),
    [aux_sym_order_by_clause_token1] = ACTIONS(1486),
    [aux_sym_where_clause_token1] = ACTIONS(1486),
    [aux_sym_pivot_operator_token1] = ACTIONS(1486),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1486),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1486),
    [aux_sym_join_type_token1] = ACTIONS(1486),
    [aux_sym_join_type_token2] = ACTIONS(1486),
    [aux_sym_join_type_token3] = ACTIONS(1486),
    [aux_sym_join_type_token4] = ACTIONS(1486),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1486),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1486),
    [aux_sym_join_condition_token1] = ACTIONS(1486),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1486),
    [aux_sym_truncate_statement_token1] = ACTIONS(1486),
    [aux_sym_update_statement_token1] = ACTIONS(1486),
    [aux_sym_merge_statement_token1] = ACTIONS(1486),
    [aux_sym_grant_statement_token1] = ACTIONS(1486),
    [aux_sym_revoke_statement_token1] = ACTIONS(1486),
    [aux_sym_export_data_statement_token1] = ACTIONS(1486),
    [aux_sym_load_data_statement_token1] = ACTIONS(1486),
    [sym__quoted_identifier] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [4014] = {
    [sym_analytics_clause] = STATE(4534),
    [ts_builtin_sym_end] = ACTIONS(1500),
    [sym__unquoted_identifier] = ACTIONS(1502),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1502),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1502),
    [aux_sym_keyword_replace_token1] = ACTIONS(1502),
    [aux_sym__keyword_alter_token1] = ACTIONS(1502),
    [aux_sym__keyword_delete_token1] = ACTIONS(1502),
    [aux_sym__keyword_begin_token1] = ACTIONS(1502),
    [aux_sym__keyword_between_token1] = ACTIONS(1502),
    [aux_sym__keyword_is_token1] = ACTIONS(1502),
    [aux_sym__keyword_in_token1] = ACTIONS(1502),
    [aux_sym__keyword_and_token1] = ACTIONS(1502),
    [aux_sym__keyword_like_token1] = ACTIONS(1502),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1502),
    [aux_sym__keyword_as_token1] = ACTIONS(1502),
    [aux_sym__keyword_date_token1] = ACTIONS(1502),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1502),
    [aux_sym__keyword_time_token1] = ACTIONS(1502),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1502),
    [aux_sym__keyword_for_token1] = ACTIONS(1502),
    [anon_sym_SEMI] = ACTIONS(1500),
    [aux_sym_declare_statement_token1] = ACTIONS(1502),
    [anon_sym_COMMA] = ACTIONS(1500),
    [aux_sym_set_statement_token1] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1500),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1502),
    [aux_sym_return_satement_token1] = ACTIONS(1502),
    [aux_sym_call_statement_token1] = ACTIONS(1502),
    [aux_sym_loop_statement_token1] = ACTIONS(1502),
    [aux_sym_while_statement_token1] = ACTIONS(1502),
    [aux_sym_break_statement_token1] = ACTIONS(1502),
    [aux_sym_leave_statement_token1] = ACTIONS(1502),
    [aux_sym_continue_statement_token1] = ACTIONS(1502),
    [aux_sym_iterate_statement_token1] = ACTIONS(1502),
    [aux_sym_raise_statement_token1] = ACTIONS(1502),
    [anon_sym_EQ] = ACTIONS(1500),
    [aux_sym_assert_statement_token1] = ACTIONS(1502),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1502),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1502),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1502),
    [anon_sym_LT] = ACTIONS(1502),
    [anon_sym_GT] = ACTIONS(1502),
    [aux_sym_select_token1] = ACTIONS(1502),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1502),
    [aux_sym_truncate_statement_token1] = ACTIONS(1502),
    [aux_sym_update_statement_token1] = ACTIONS(1502),
    [aux_sym_merge_statement_token1] = ACTIONS(1502),
    [aux_sym_grant_statement_token1] = ACTIONS(1502),
    [aux_sym_revoke_statement_token1] = ACTIONS(1502),
    [aux_sym_export_data_statement_token1] = ACTIONS(1502),
    [aux_sym_load_data_statement_token1] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1500),
    [sym__quoted_identifier] = ACTIONS(1500),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_STAR] = ACTIONS(1500),
    [anon_sym_SLASH] = ACTIONS(1502),
    [anon_sym_PIPE_PIPE] = ACTIONS(1500),
    [anon_sym_LT_EQ] = ACTIONS(1500),
    [anon_sym_LT_GT] = ACTIONS(1500),
    [anon_sym_GT_EQ] = ACTIONS(1500),
    [anon_sym_BANG_EQ] = ACTIONS(1500),
    [anon_sym_LT_LT] = ACTIONS(1500),
    [anon_sym_GT_GT] = ACTIONS(1500),
    [anon_sym_AMP] = ACTIONS(1500),
    [anon_sym_CARET] = ACTIONS(1500),
    [anon_sym_PIPE] = ACTIONS(1502),
  },
  [4015] = {
    [sym_analytics_clause] = STATE(4660),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_using_clause_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_pivot_operator_token1] = ACTIONS(1380),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1380),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1380),
    [aux_sym_join_type_token1] = ACTIONS(1380),
    [aux_sym_join_type_token2] = ACTIONS(1380),
    [aux_sym_join_type_token3] = ACTIONS(1380),
    [aux_sym_join_type_token4] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1380),
    [aux_sym_join_condition_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [4016] = {
    [sym_analytics_clause] = STATE(4535),
    [ts_builtin_sym_end] = ACTIONS(1496),
    [sym__unquoted_identifier] = ACTIONS(1498),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1498),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1498),
    [aux_sym_keyword_replace_token1] = ACTIONS(1498),
    [aux_sym__keyword_alter_token1] = ACTIONS(1498),
    [aux_sym__keyword_delete_token1] = ACTIONS(1498),
    [aux_sym__keyword_begin_token1] = ACTIONS(1498),
    [aux_sym__keyword_between_token1] = ACTIONS(1498),
    [aux_sym__keyword_is_token1] = ACTIONS(1498),
    [aux_sym__keyword_in_token1] = ACTIONS(1498),
    [aux_sym__keyword_and_token1] = ACTIONS(1498),
    [aux_sym__keyword_like_token1] = ACTIONS(1498),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1498),
    [aux_sym__keyword_as_token1] = ACTIONS(1498),
    [aux_sym__keyword_date_token1] = ACTIONS(1498),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1498),
    [aux_sym__keyword_time_token1] = ACTIONS(1498),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1498),
    [aux_sym__keyword_for_token1] = ACTIONS(1498),
    [anon_sym_SEMI] = ACTIONS(1496),
    [aux_sym_declare_statement_token1] = ACTIONS(1498),
    [anon_sym_COMMA] = ACTIONS(1496),
    [aux_sym_set_statement_token1] = ACTIONS(1498),
    [anon_sym_LPAREN] = ACTIONS(1496),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1498),
    [aux_sym_return_satement_token1] = ACTIONS(1498),
    [aux_sym_call_statement_token1] = ACTIONS(1498),
    [aux_sym_loop_statement_token1] = ACTIONS(1498),
    [aux_sym_while_statement_token1] = ACTIONS(1498),
    [aux_sym_break_statement_token1] = ACTIONS(1498),
    [aux_sym_leave_statement_token1] = ACTIONS(1498),
    [aux_sym_continue_statement_token1] = ACTIONS(1498),
    [aux_sym_iterate_statement_token1] = ACTIONS(1498),
    [aux_sym_raise_statement_token1] = ACTIONS(1498),
    [anon_sym_EQ] = ACTIONS(1496),
    [aux_sym_assert_statement_token1] = ACTIONS(1498),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1498),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1498),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1498),
    [anon_sym_LT] = ACTIONS(1498),
    [anon_sym_GT] = ACTIONS(1498),
    [aux_sym_select_token1] = ACTIONS(1498),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1498),
    [aux_sym_truncate_statement_token1] = ACTIONS(1498),
    [aux_sym_update_statement_token1] = ACTIONS(1498),
    [aux_sym_merge_statement_token1] = ACTIONS(1498),
    [aux_sym_grant_statement_token1] = ACTIONS(1498),
    [aux_sym_revoke_statement_token1] = ACTIONS(1498),
    [aux_sym_export_data_statement_token1] = ACTIONS(1498),
    [aux_sym_load_data_statement_token1] = ACTIONS(1498),
    [anon_sym_LBRACK] = ACTIONS(1496),
    [sym__quoted_identifier] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(1498),
    [anon_sym_PIPE_PIPE] = ACTIONS(1496),
    [anon_sym_LT_EQ] = ACTIONS(1496),
    [anon_sym_LT_GT] = ACTIONS(1496),
    [anon_sym_GT_EQ] = ACTIONS(1496),
    [anon_sym_BANG_EQ] = ACTIONS(1496),
    [anon_sym_LT_LT] = ACTIONS(1496),
    [anon_sym_GT_GT] = ACTIONS(1496),
    [anon_sym_AMP] = ACTIONS(1496),
    [anon_sym_CARET] = ACTIONS(1496),
    [anon_sym_PIPE] = ACTIONS(1498),
  },
  [4017] = {
    [sym_analytics_clause] = STATE(4662),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_using_clause_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_pivot_operator_token1] = ACTIONS(1380),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1380),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1380),
    [aux_sym_join_type_token1] = ACTIONS(1380),
    [aux_sym_join_type_token2] = ACTIONS(1380),
    [aux_sym_join_type_token3] = ACTIONS(1380),
    [aux_sym_join_type_token4] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1380),
    [aux_sym_join_condition_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [4018] = {
    [sym_analytics_clause] = STATE(4536),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [4019] = {
    [sym_analytics_clause] = STATE(4537),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [4020] = {
    [sym_analytics_clause] = STATE(4538),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [4021] = {
    [sym_analytics_clause] = STATE(4540),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [4022] = {
    [sym_analytics_clause] = STATE(4542),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [4023] = {
    [sym_analytics_clause] = STATE(4665),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_using_clause_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_pivot_operator_token1] = ACTIONS(1380),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1380),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1380),
    [aux_sym_join_type_token1] = ACTIONS(1380),
    [aux_sym_join_type_token2] = ACTIONS(1380),
    [aux_sym_join_type_token3] = ACTIONS(1380),
    [aux_sym_join_type_token4] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1380),
    [aux_sym_join_condition_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [4024] = {
    [sym_analytics_clause] = STATE(4675),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_using_clause_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_pivot_operator_token1] = ACTIONS(1380),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1380),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1380),
    [aux_sym_join_type_token1] = ACTIONS(1380),
    [aux_sym_join_type_token2] = ACTIONS(1380),
    [aux_sym_join_type_token3] = ACTIONS(1380),
    [aux_sym_join_type_token4] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1380),
    [aux_sym_join_condition_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [4025] = {
    [sym_analytics_clause] = STATE(4553),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [4026] = {
    [sym_analytics_clause] = STATE(4678),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_using_clause_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_pivot_operator_token1] = ACTIONS(1380),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1380),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1380),
    [aux_sym_join_type_token1] = ACTIONS(1380),
    [aux_sym_join_type_token2] = ACTIONS(1380),
    [aux_sym_join_type_token3] = ACTIONS(1380),
    [aux_sym_join_type_token4] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1380),
    [aux_sym_join_condition_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [4027] = {
    [sym_analytics_clause] = STATE(4554),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [4028] = {
    [sym_analytics_clause] = STATE(4556),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [4029] = {
    [sym_analytics_clause] = STATE(4680),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_using_clause_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_pivot_operator_token1] = ACTIONS(1380),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1380),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1380),
    [aux_sym_join_type_token1] = ACTIONS(1380),
    [aux_sym_join_type_token2] = ACTIONS(1380),
    [aux_sym_join_type_token3] = ACTIONS(1380),
    [aux_sym_join_type_token4] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1380),
    [aux_sym_join_condition_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [4030] = {
    [sym_analytics_clause] = STATE(4557),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [4031] = {
    [sym_analytics_clause] = STATE(4558),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [4032] = {
    [sym_analytics_clause] = STATE(4683),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_using_clause_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_pivot_operator_token1] = ACTIONS(1380),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1380),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1380),
    [aux_sym_join_type_token1] = ACTIONS(1380),
    [aux_sym_join_type_token2] = ACTIONS(1380),
    [aux_sym_join_type_token3] = ACTIONS(1380),
    [aux_sym_join_type_token4] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1380),
    [aux_sym_join_condition_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [4033] = {
    [sym_analytics_clause] = STATE(4560),
    [ts_builtin_sym_end] = ACTIONS(1386),
    [sym__unquoted_identifier] = ACTIONS(1388),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1388),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1388),
    [aux_sym_keyword_replace_token1] = ACTIONS(1388),
    [aux_sym__keyword_alter_token1] = ACTIONS(1388),
    [aux_sym__keyword_delete_token1] = ACTIONS(1388),
    [aux_sym__keyword_begin_token1] = ACTIONS(1388),
    [aux_sym__keyword_between_token1] = ACTIONS(1388),
    [aux_sym__keyword_is_token1] = ACTIONS(1388),
    [aux_sym__keyword_in_token1] = ACTIONS(1388),
    [aux_sym__keyword_and_token1] = ACTIONS(1388),
    [aux_sym__keyword_like_token1] = ACTIONS(1388),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1388),
    [aux_sym__keyword_as_token1] = ACTIONS(1388),
    [aux_sym__keyword_date_token1] = ACTIONS(1388),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1388),
    [aux_sym__keyword_time_token1] = ACTIONS(1388),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1388),
    [aux_sym__keyword_for_token1] = ACTIONS(1388),
    [anon_sym_SEMI] = ACTIONS(1386),
    [aux_sym_declare_statement_token1] = ACTIONS(1388),
    [anon_sym_COMMA] = ACTIONS(1386),
    [aux_sym_set_statement_token1] = ACTIONS(1388),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1388),
    [aux_sym_return_satement_token1] = ACTIONS(1388),
    [aux_sym_call_statement_token1] = ACTIONS(1388),
    [aux_sym_loop_statement_token1] = ACTIONS(1388),
    [aux_sym_while_statement_token1] = ACTIONS(1388),
    [aux_sym_break_statement_token1] = ACTIONS(1388),
    [aux_sym_leave_statement_token1] = ACTIONS(1388),
    [aux_sym_continue_statement_token1] = ACTIONS(1388),
    [aux_sym_iterate_statement_token1] = ACTIONS(1388),
    [aux_sym_raise_statement_token1] = ACTIONS(1388),
    [anon_sym_EQ] = ACTIONS(1386),
    [aux_sym_assert_statement_token1] = ACTIONS(1388),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1388),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1388),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1388),
    [anon_sym_LT] = ACTIONS(1388),
    [anon_sym_GT] = ACTIONS(1388),
    [aux_sym_select_token1] = ACTIONS(1388),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1388),
    [aux_sym_truncate_statement_token1] = ACTIONS(1388),
    [aux_sym_update_statement_token1] = ACTIONS(1388),
    [aux_sym_merge_statement_token1] = ACTIONS(1388),
    [aux_sym_grant_statement_token1] = ACTIONS(1388),
    [aux_sym_revoke_statement_token1] = ACTIONS(1388),
    [aux_sym_export_data_statement_token1] = ACTIONS(1388),
    [aux_sym_load_data_statement_token1] = ACTIONS(1388),
    [anon_sym_LBRACK] = ACTIONS(1386),
    [sym__quoted_identifier] = ACTIONS(1386),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1386),
    [anon_sym_DASH] = ACTIONS(1388),
    [anon_sym_STAR] = ACTIONS(1386),
    [anon_sym_SLASH] = ACTIONS(1388),
    [anon_sym_PIPE_PIPE] = ACTIONS(1386),
    [anon_sym_LT_EQ] = ACTIONS(1386),
    [anon_sym_LT_GT] = ACTIONS(1386),
    [anon_sym_GT_EQ] = ACTIONS(1386),
    [anon_sym_BANG_EQ] = ACTIONS(1386),
    [anon_sym_LT_LT] = ACTIONS(1386),
    [anon_sym_GT_GT] = ACTIONS(1386),
    [anon_sym_AMP] = ACTIONS(1386),
    [anon_sym_CARET] = ACTIONS(1386),
    [anon_sym_PIPE] = ACTIONS(1388),
  },
  [4034] = {
    [sym_analytics_clause] = STATE(4684),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_using_clause_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_pivot_operator_token1] = ACTIONS(1380),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1380),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1380),
    [aux_sym_join_type_token1] = ACTIONS(1380),
    [aux_sym_join_type_token2] = ACTIONS(1380),
    [aux_sym_join_type_token3] = ACTIONS(1380),
    [aux_sym_join_type_token4] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1380),
    [aux_sym_join_condition_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [4035] = {
    [sym_analytics_clause] = STATE(4686),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_using_clause_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_pivot_operator_token1] = ACTIONS(1380),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1380),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1380),
    [aux_sym_join_type_token1] = ACTIONS(1380),
    [aux_sym_join_type_token2] = ACTIONS(1380),
    [aux_sym_join_type_token3] = ACTIONS(1380),
    [aux_sym_join_type_token4] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1380),
    [aux_sym_join_condition_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [4036] = {
    [sym_analytics_clause] = STATE(4562),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4037] = {
    [sym_analytics_clause] = STATE(4690),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_using_clause_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_pivot_operator_token1] = ACTIONS(1380),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1380),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1380),
    [aux_sym_join_type_token1] = ACTIONS(1380),
    [aux_sym_join_type_token2] = ACTIONS(1380),
    [aux_sym_join_type_token3] = ACTIONS(1380),
    [aux_sym_join_type_token4] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1380),
    [aux_sym_join_condition_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [4038] = {
    [sym_analytics_clause] = STATE(4565),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4039] = {
    [sym_analytics_clause] = STATE(4567),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4040] = {
    [sym_analytics_clause] = STATE(4634),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [4041] = {
    [sym_analytics_clause] = STATE(4571),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4042] = {
    [sym_analytics_clause] = STATE(4576),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4043] = {
    [sym_analytics_clause] = STATE(4693),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_using_clause_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_pivot_operator_token1] = ACTIONS(1380),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1380),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1380),
    [aux_sym_join_type_token1] = ACTIONS(1380),
    [aux_sym_join_type_token2] = ACTIONS(1380),
    [aux_sym_join_type_token3] = ACTIONS(1380),
    [aux_sym_join_type_token4] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1380),
    [aux_sym_join_condition_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [4044] = {
    [sym_analytics_clause] = STATE(4582),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4045] = {
    [sym_analytics_clause] = STATE(4583),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4046] = {
    [sym_analytics_clause] = STATE(4584),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4047] = {
    [sym_analytics_clause] = STATE(4588),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4048] = {
    [sym_analytics_clause] = STATE(4700),
    [sym__unquoted_identifier] = ACTIONS(1392),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1392),
    [aux_sym__keyword_alter_token1] = ACTIONS(1392),
    [aux_sym__keyword_delete_token1] = ACTIONS(1392),
    [aux_sym__keyword_begin_token1] = ACTIONS(1392),
    [aux_sym__keyword_end_token1] = ACTIONS(1392),
    [aux_sym__keyword_when_token1] = ACTIONS(1392),
    [aux_sym__keyword_else_token1] = ACTIONS(1392),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1392),
    [aux_sym__keyword_as_token1] = ACTIONS(1392),
    [aux_sym__keyword_window_token1] = ACTIONS(1392),
    [aux_sym__keyword_date_token1] = ACTIONS(1392),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1392),
    [aux_sym__keyword_time_token1] = ACTIONS(1392),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1392),
    [aux_sym__keyword_for_token1] = ACTIONS(1392),
    [anon_sym_SEMI] = ACTIONS(1390),
    [aux_sym_declare_statement_token1] = ACTIONS(1392),
    [anon_sym_COMMA] = ACTIONS(1390),
    [aux_sym_set_statement_token1] = ACTIONS(1392),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1392),
    [aux_sym_using_clause_token1] = ACTIONS(1392),
    [aux_sym_return_satement_token1] = ACTIONS(1392),
    [aux_sym_call_statement_token1] = ACTIONS(1392),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1392),
    [aux_sym_if_statement_token1] = ACTIONS(1392),
    [aux_sym_loop_statement_token1] = ACTIONS(1392),
    [aux_sym_repeat_statement_token1] = ACTIONS(1392),
    [aux_sym_while_statement_token1] = ACTIONS(1392),
    [aux_sym_break_statement_token1] = ACTIONS(1392),
    [aux_sym_leave_statement_token1] = ACTIONS(1392),
    [aux_sym_continue_statement_token1] = ACTIONS(1392),
    [aux_sym_iterate_statement_token1] = ACTIONS(1392),
    [aux_sym_raise_statement_token1] = ACTIONS(1392),
    [aux_sym_assert_statement_token1] = ACTIONS(1392),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1392),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1392),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1392),
    [aux_sym_set_operation_token1] = ACTIONS(1392),
    [aux_sym_set_operation_token3] = ACTIONS(1392),
    [aux_sym_set_operation_token4] = ACTIONS(1392),
    [aux_sym_select_token1] = ACTIONS(1392),
    [aux_sym_having_clause_token1] = ACTIONS(1392),
    [aux_sym_qualify_clause_token1] = ACTIONS(1392),
    [aux_sym_limit_clause_token1] = ACTIONS(1392),
    [aux_sym_group_by_clause_token1] = ACTIONS(1392),
    [aux_sym_order_by_clause_token1] = ACTIONS(1392),
    [aux_sym_where_clause_token1] = ACTIONS(1392),
    [aux_sym_pivot_operator_token1] = ACTIONS(1392),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1392),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1392),
    [aux_sym_join_type_token1] = ACTIONS(1392),
    [aux_sym_join_type_token2] = ACTIONS(1392),
    [aux_sym_join_type_token3] = ACTIONS(1392),
    [aux_sym_join_type_token4] = ACTIONS(1392),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1392),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1392),
    [aux_sym_join_condition_token1] = ACTIONS(1392),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1392),
    [aux_sym_truncate_statement_token1] = ACTIONS(1392),
    [aux_sym_update_statement_token1] = ACTIONS(1392),
    [aux_sym_merge_statement_token1] = ACTIONS(1392),
    [aux_sym_grant_statement_token1] = ACTIONS(1392),
    [aux_sym_revoke_statement_token1] = ACTIONS(1392),
    [aux_sym_export_data_statement_token1] = ACTIONS(1392),
    [aux_sym_load_data_statement_token1] = ACTIONS(1392),
    [sym__quoted_identifier] = ACTIONS(1390),
    [sym_comment] = ACTIONS(3),
  },
  [4049] = {
    [sym_analytics_clause] = STATE(4703),
    [sym__unquoted_identifier] = ACTIONS(1384),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1384),
    [aux_sym__keyword_alter_token1] = ACTIONS(1384),
    [aux_sym__keyword_delete_token1] = ACTIONS(1384),
    [aux_sym__keyword_begin_token1] = ACTIONS(1384),
    [aux_sym__keyword_end_token1] = ACTIONS(1384),
    [aux_sym__keyword_when_token1] = ACTIONS(1384),
    [aux_sym__keyword_else_token1] = ACTIONS(1384),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1384),
    [aux_sym__keyword_as_token1] = ACTIONS(1384),
    [aux_sym__keyword_window_token1] = ACTIONS(1384),
    [aux_sym__keyword_date_token1] = ACTIONS(1384),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1384),
    [aux_sym__keyword_time_token1] = ACTIONS(1384),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1384),
    [aux_sym__keyword_for_token1] = ACTIONS(1384),
    [anon_sym_SEMI] = ACTIONS(1382),
    [aux_sym_declare_statement_token1] = ACTIONS(1384),
    [anon_sym_COMMA] = ACTIONS(1382),
    [aux_sym_set_statement_token1] = ACTIONS(1384),
    [anon_sym_LPAREN] = ACTIONS(1382),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1384),
    [aux_sym_using_clause_token1] = ACTIONS(1384),
    [aux_sym_return_satement_token1] = ACTIONS(1384),
    [aux_sym_call_statement_token1] = ACTIONS(1384),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1384),
    [aux_sym_if_statement_token1] = ACTIONS(1384),
    [aux_sym_loop_statement_token1] = ACTIONS(1384),
    [aux_sym_repeat_statement_token1] = ACTIONS(1384),
    [aux_sym_while_statement_token1] = ACTIONS(1384),
    [aux_sym_break_statement_token1] = ACTIONS(1384),
    [aux_sym_leave_statement_token1] = ACTIONS(1384),
    [aux_sym_continue_statement_token1] = ACTIONS(1384),
    [aux_sym_iterate_statement_token1] = ACTIONS(1384),
    [aux_sym_raise_statement_token1] = ACTIONS(1384),
    [aux_sym_assert_statement_token1] = ACTIONS(1384),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1384),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1384),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1384),
    [aux_sym_set_operation_token1] = ACTIONS(1384),
    [aux_sym_set_operation_token3] = ACTIONS(1384),
    [aux_sym_set_operation_token4] = ACTIONS(1384),
    [aux_sym_select_token1] = ACTIONS(1384),
    [aux_sym_having_clause_token1] = ACTIONS(1384),
    [aux_sym_qualify_clause_token1] = ACTIONS(1384),
    [aux_sym_limit_clause_token1] = ACTIONS(1384),
    [aux_sym_group_by_clause_token1] = ACTIONS(1384),
    [aux_sym_order_by_clause_token1] = ACTIONS(1384),
    [aux_sym_where_clause_token1] = ACTIONS(1384),
    [aux_sym_pivot_operator_token1] = ACTIONS(1384),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1384),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1384),
    [aux_sym_join_type_token1] = ACTIONS(1384),
    [aux_sym_join_type_token2] = ACTIONS(1384),
    [aux_sym_join_type_token3] = ACTIONS(1384),
    [aux_sym_join_type_token4] = ACTIONS(1384),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1384),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1384),
    [aux_sym_join_condition_token1] = ACTIONS(1384),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1384),
    [aux_sym_truncate_statement_token1] = ACTIONS(1384),
    [aux_sym_update_statement_token1] = ACTIONS(1384),
    [aux_sym_merge_statement_token1] = ACTIONS(1384),
    [aux_sym_grant_statement_token1] = ACTIONS(1384),
    [aux_sym_revoke_statement_token1] = ACTIONS(1384),
    [aux_sym_export_data_statement_token1] = ACTIONS(1384),
    [aux_sym_load_data_statement_token1] = ACTIONS(1384),
    [sym__quoted_identifier] = ACTIONS(1382),
    [sym_comment] = ACTIONS(3),
  },
  [4050] = {
    [sym_analytics_clause] = STATE(4705),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [4051] = {
    [sym_analytics_clause] = STATE(4596),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4052] = {
    [sym_analytics_clause] = STATE(4706),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [4053] = {
    [sym_analytics_clause] = STATE(4711),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [4054] = {
    [sym_analytics_clause] = STATE(4598),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4055] = {
    [sym_analytics_clause] = STATE(4714),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [4056] = {
    [sym_analytics_clause] = STATE(4721),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [4057] = {
    [sym_analytics_clause] = STATE(4604),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4058] = {
    [sym_analytics_clause] = STATE(4723),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [4059] = {
    [sym_analytics_clause] = STATE(4605),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4060] = {
    [sym_analytics_clause] = STATE(4487),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4061] = {
    [sym_analytics_clause] = STATE(4730),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [4062] = {
    [sym_analytics_clause] = STATE(4610),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4063] = {
    [sym_analytics_clause] = STATE(4612),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4064] = {
    [sym_analytics_clause] = STATE(4733),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [4065] = {
    [sym_analytics_clause] = STATE(4613),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4066] = {
    [sym_analytics_clause] = STATE(4616),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4067] = {
    [sym_analytics_clause] = STATE(4619),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4068] = {
    [sym_analytics_clause] = STATE(4620),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4069] = {
    [sym_analytics_clause] = STATE(4736),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [4070] = {
    [sym_analytics_clause] = STATE(4738),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [4071] = {
    [sym_analytics_clause] = STATE(4739),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [4072] = {
    [sym_analytics_clause] = STATE(4622),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4073] = {
    [sym_analytics_clause] = STATE(4745),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [4074] = {
    [sym_analytics_clause] = STATE(4748),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [4075] = {
    [sym_analytics_clause] = STATE(4625),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4076] = {
    [sym__keyword_between] = STATE(1451),
    [sym__keyword_is] = STATE(12153),
    [sym__keyword_in] = STATE(876),
    [sym__keyword_not] = STATE(13044),
    [sym__keyword_and] = STATE(885),
    [sym__keyword_or] = STATE(887),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(3200),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3200),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(2744),
    [aux_sym__keyword_alter_token1] = ACTIONS(3200),
    [aux_sym__keyword_delete_token1] = ACTIONS(3200),
    [aux_sym__keyword_begin_token1] = ACTIONS(3200),
    [aux_sym__keyword_between_token1] = ACTIONS(3276),
    [aux_sym__keyword_is_token1] = ACTIONS(3278),
    [aux_sym__keyword_in_token1] = ACTIONS(3280),
    [aux_sym__keyword_and_token1] = ACTIONS(3282),
    [aux_sym__keyword_like_token1] = ACTIONS(1007),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3200),
    [aux_sym__keyword_for_token1] = ACTIONS(3200),
    [anon_sym_SEMI] = ACTIONS(3200),
    [aux_sym_declare_statement_token1] = ACTIONS(3200),
    [aux_sym_set_statement_token1] = ACTIONS(3200),
    [anon_sym_LPAREN] = ACTIONS(3200),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(3200),
    [aux_sym_return_satement_token1] = ACTIONS(3200),
    [aux_sym_call_statement_token1] = ACTIONS(3200),
    [aux_sym_loop_statement_token1] = ACTIONS(3200),
    [aux_sym_while_statement_token1] = ACTIONS(3200),
    [aux_sym_break_statement_token1] = ACTIONS(3200),
    [aux_sym_leave_statement_token1] = ACTIONS(3200),
    [aux_sym_continue_statement_token1] = ACTIONS(3200),
    [aux_sym_iterate_statement_token1] = ACTIONS(3200),
    [aux_sym_raise_statement_token1] = ACTIONS(3200),
    [anon_sym_EQ] = ACTIONS(3284),
    [aux_sym_assert_statement_token1] = ACTIONS(3200),
    [aux_sym_create_schema_statement_token1] = ACTIONS(3200),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(3200),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3200),
    [aux_sym_option_clause_token1] = ACTIONS(3200),
    [anon_sym_LT] = ACTIONS(3280),
    [anon_sym_GT] = ACTIONS(3280),
    [aux_sym_select_token1] = ACTIONS(3200),
    [aux_sym_insert_statement_token1] = ACTIONS(3200),
    [aux_sym_truncate_statement_token1] = ACTIONS(3200),
    [aux_sym_update_statement_token1] = ACTIONS(3200),
    [aux_sym_merge_statement_token1] = ACTIONS(3200),
    [aux_sym_grant_statement_token1] = ACTIONS(3200),
    [aux_sym_revoke_statement_token1] = ACTIONS(3200),
    [aux_sym_export_data_statement_token1] = ACTIONS(3200),
    [aux_sym_load_data_statement_token1] = ACTIONS(3200),
    [anon_sym_LBRACK] = ACTIONS(3056),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(3058),
    [anon_sym_PLUS] = ACTIONS(3286),
    [anon_sym_DASH] = ACTIONS(3288),
    [anon_sym_STAR] = ACTIONS(3290),
    [anon_sym_SLASH] = ACTIONS(3292),
    [anon_sym_PIPE_PIPE] = ACTIONS(3290),
    [anon_sym_LT_EQ] = ACTIONS(3284),
    [anon_sym_LT_GT] = ACTIONS(3284),
    [anon_sym_GT_EQ] = ACTIONS(3284),
    [anon_sym_BANG_EQ] = ACTIONS(3284),
    [anon_sym_LT_LT] = ACTIONS(3294),
    [anon_sym_GT_GT] = ACTIONS(3294),
    [anon_sym_AMP] = ACTIONS(3296),
    [anon_sym_CARET] = ACTIONS(3298),
    [anon_sym_PIPE] = ACTIONS(3300),
  },
  [4077] = {
    [sym_analytics_clause] = STATE(4754),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [4078] = {
    [sym_analytics_clause] = STATE(4763),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [4079] = {
    [sym_analytics_clause] = STATE(4627),
    [ts_builtin_sym_end] = ACTIONS(1382),
    [sym__unquoted_identifier] = ACTIONS(1384),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1384),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1384),
    [aux_sym_keyword_replace_token1] = ACTIONS(1384),
    [aux_sym__keyword_alter_token1] = ACTIONS(1384),
    [aux_sym__keyword_delete_token1] = ACTIONS(1384),
    [aux_sym__keyword_begin_token1] = ACTIONS(1384),
    [aux_sym__keyword_between_token1] = ACTIONS(1384),
    [aux_sym__keyword_is_token1] = ACTIONS(1384),
    [aux_sym__keyword_in_token1] = ACTIONS(1384),
    [aux_sym__keyword_and_token1] = ACTIONS(1384),
    [aux_sym__keyword_like_token1] = ACTIONS(1384),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1384),
    [aux_sym__keyword_as_token1] = ACTIONS(1384),
    [aux_sym__keyword_date_token1] = ACTIONS(1384),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1384),
    [aux_sym__keyword_time_token1] = ACTIONS(1384),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1384),
    [aux_sym__keyword_for_token1] = ACTIONS(1384),
    [anon_sym_SEMI] = ACTIONS(1382),
    [aux_sym_declare_statement_token1] = ACTIONS(1384),
    [anon_sym_COMMA] = ACTIONS(1382),
    [aux_sym_set_statement_token1] = ACTIONS(1384),
    [anon_sym_LPAREN] = ACTIONS(1382),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1384),
    [aux_sym_return_satement_token1] = ACTIONS(1384),
    [aux_sym_call_statement_token1] = ACTIONS(1384),
    [aux_sym_loop_statement_token1] = ACTIONS(1384),
    [aux_sym_while_statement_token1] = ACTIONS(1384),
    [aux_sym_break_statement_token1] = ACTIONS(1384),
    [aux_sym_leave_statement_token1] = ACTIONS(1384),
    [aux_sym_continue_statement_token1] = ACTIONS(1384),
    [aux_sym_iterate_statement_token1] = ACTIONS(1384),
    [aux_sym_raise_statement_token1] = ACTIONS(1384),
    [anon_sym_EQ] = ACTIONS(1382),
    [aux_sym_assert_statement_token1] = ACTIONS(1384),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1384),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1384),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1384),
    [anon_sym_LT] = ACTIONS(1384),
    [anon_sym_GT] = ACTIONS(1384),
    [aux_sym_select_token1] = ACTIONS(1384),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1384),
    [aux_sym_truncate_statement_token1] = ACTIONS(1384),
    [aux_sym_update_statement_token1] = ACTIONS(1384),
    [aux_sym_merge_statement_token1] = ACTIONS(1384),
    [aux_sym_grant_statement_token1] = ACTIONS(1384),
    [aux_sym_revoke_statement_token1] = ACTIONS(1384),
    [aux_sym_export_data_statement_token1] = ACTIONS(1384),
    [aux_sym_load_data_statement_token1] = ACTIONS(1384),
    [anon_sym_LBRACK] = ACTIONS(1382),
    [sym__quoted_identifier] = ACTIONS(1382),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1382),
    [anon_sym_PLUS] = ACTIONS(1382),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_STAR] = ACTIONS(1382),
    [anon_sym_SLASH] = ACTIONS(1384),
    [anon_sym_PIPE_PIPE] = ACTIONS(1382),
    [anon_sym_LT_EQ] = ACTIONS(1382),
    [anon_sym_LT_GT] = ACTIONS(1382),
    [anon_sym_GT_EQ] = ACTIONS(1382),
    [anon_sym_BANG_EQ] = ACTIONS(1382),
    [anon_sym_LT_LT] = ACTIONS(1382),
    [anon_sym_GT_GT] = ACTIONS(1382),
    [anon_sym_AMP] = ACTIONS(1382),
    [anon_sym_CARET] = ACTIONS(1382),
    [anon_sym_PIPE] = ACTIONS(1384),
  },
  [4080] = {
    [sym_analytics_clause] = STATE(4765),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [4081] = {
    [sym_analytics_clause] = STATE(4628),
    [ts_builtin_sym_end] = ACTIONS(1390),
    [sym__unquoted_identifier] = ACTIONS(1392),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1392),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1392),
    [aux_sym_keyword_replace_token1] = ACTIONS(1392),
    [aux_sym__keyword_alter_token1] = ACTIONS(1392),
    [aux_sym__keyword_delete_token1] = ACTIONS(1392),
    [aux_sym__keyword_begin_token1] = ACTIONS(1392),
    [aux_sym__keyword_between_token1] = ACTIONS(1392),
    [aux_sym__keyword_is_token1] = ACTIONS(1392),
    [aux_sym__keyword_in_token1] = ACTIONS(1392),
    [aux_sym__keyword_and_token1] = ACTIONS(1392),
    [aux_sym__keyword_like_token1] = ACTIONS(1392),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1392),
    [aux_sym__keyword_as_token1] = ACTIONS(1392),
    [aux_sym__keyword_date_token1] = ACTIONS(1392),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1392),
    [aux_sym__keyword_time_token1] = ACTIONS(1392),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1392),
    [aux_sym__keyword_for_token1] = ACTIONS(1392),
    [anon_sym_SEMI] = ACTIONS(1390),
    [aux_sym_declare_statement_token1] = ACTIONS(1392),
    [anon_sym_COMMA] = ACTIONS(1390),
    [aux_sym_set_statement_token1] = ACTIONS(1392),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1392),
    [aux_sym_return_satement_token1] = ACTIONS(1392),
    [aux_sym_call_statement_token1] = ACTIONS(1392),
    [aux_sym_loop_statement_token1] = ACTIONS(1392),
    [aux_sym_while_statement_token1] = ACTIONS(1392),
    [aux_sym_break_statement_token1] = ACTIONS(1392),
    [aux_sym_leave_statement_token1] = ACTIONS(1392),
    [aux_sym_continue_statement_token1] = ACTIONS(1392),
    [aux_sym_iterate_statement_token1] = ACTIONS(1392),
    [aux_sym_raise_statement_token1] = ACTIONS(1392),
    [anon_sym_EQ] = ACTIONS(1390),
    [aux_sym_assert_statement_token1] = ACTIONS(1392),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1392),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1392),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1392),
    [anon_sym_LT] = ACTIONS(1392),
    [anon_sym_GT] = ACTIONS(1392),
    [aux_sym_select_token1] = ACTIONS(1392),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1392),
    [aux_sym_truncate_statement_token1] = ACTIONS(1392),
    [aux_sym_update_statement_token1] = ACTIONS(1392),
    [aux_sym_merge_statement_token1] = ACTIONS(1392),
    [aux_sym_grant_statement_token1] = ACTIONS(1392),
    [aux_sym_revoke_statement_token1] = ACTIONS(1392),
    [aux_sym_export_data_statement_token1] = ACTIONS(1392),
    [aux_sym_load_data_statement_token1] = ACTIONS(1392),
    [anon_sym_LBRACK] = ACTIONS(1390),
    [sym__quoted_identifier] = ACTIONS(1390),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_DASH] = ACTIONS(1392),
    [anon_sym_STAR] = ACTIONS(1390),
    [anon_sym_SLASH] = ACTIONS(1392),
    [anon_sym_PIPE_PIPE] = ACTIONS(1390),
    [anon_sym_LT_EQ] = ACTIONS(1390),
    [anon_sym_LT_GT] = ACTIONS(1390),
    [anon_sym_GT_EQ] = ACTIONS(1390),
    [anon_sym_BANG_EQ] = ACTIONS(1390),
    [anon_sym_LT_LT] = ACTIONS(1390),
    [anon_sym_GT_GT] = ACTIONS(1390),
    [anon_sym_AMP] = ACTIONS(1390),
    [anon_sym_CARET] = ACTIONS(1390),
    [anon_sym_PIPE] = ACTIONS(1392),
  },
  [4082] = {
    [sym_analytics_clause] = STATE(4768),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [4083] = {
    [sym_analytics_clause] = STATE(4767),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [4084] = {
    [sym_analytics_clause] = STATE(4629),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [4085] = {
    [sym_analytics_clause] = STATE(4766),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [4086] = {
    [sym_analytics_clause] = STATE(4631),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [4087] = {
    [sym_analytics_clause] = STATE(4633),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [4088] = {
    [sym_analytics_clause] = STATE(4416),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [4089] = {
    [sym_analytics_clause] = STATE(4688),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [4090] = {
    [sym_analytics_clause] = STATE(4641),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [4091] = {
    [sym_analytics_clause] = STATE(4417),
    [sym__unquoted_identifier] = ACTIONS(1436),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1436),
    [aux_sym__keyword_alter_token1] = ACTIONS(1436),
    [aux_sym__keyword_delete_token1] = ACTIONS(1436),
    [aux_sym__keyword_begin_token1] = ACTIONS(1436),
    [aux_sym__keyword_end_token1] = ACTIONS(1436),
    [aux_sym__keyword_when_token1] = ACTIONS(1436),
    [aux_sym__keyword_else_token1] = ACTIONS(1436),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1436),
    [aux_sym__keyword_as_token1] = ACTIONS(1436),
    [aux_sym__keyword_window_token1] = ACTIONS(1436),
    [aux_sym__keyword_date_token1] = ACTIONS(1436),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1436),
    [aux_sym__keyword_time_token1] = ACTIONS(1436),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1436),
    [aux_sym__keyword_for_token1] = ACTIONS(1436),
    [anon_sym_SEMI] = ACTIONS(1434),
    [aux_sym_declare_statement_token1] = ACTIONS(1436),
    [anon_sym_COMMA] = ACTIONS(1434),
    [aux_sym_set_statement_token1] = ACTIONS(1436),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1436),
    [aux_sym_using_clause_token1] = ACTIONS(1436),
    [aux_sym_return_satement_token1] = ACTIONS(1436),
    [aux_sym_call_statement_token1] = ACTIONS(1436),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1436),
    [aux_sym_if_statement_token1] = ACTIONS(1436),
    [aux_sym_loop_statement_token1] = ACTIONS(1436),
    [aux_sym_repeat_statement_token1] = ACTIONS(1436),
    [aux_sym_while_statement_token1] = ACTIONS(1436),
    [aux_sym_break_statement_token1] = ACTIONS(1436),
    [aux_sym_leave_statement_token1] = ACTIONS(1436),
    [aux_sym_continue_statement_token1] = ACTIONS(1436),
    [aux_sym_iterate_statement_token1] = ACTIONS(1436),
    [aux_sym_raise_statement_token1] = ACTIONS(1436),
    [aux_sym_assert_statement_token1] = ACTIONS(1436),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1436),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1436),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1436),
    [aux_sym_set_operation_token1] = ACTIONS(1436),
    [aux_sym_set_operation_token3] = ACTIONS(1436),
    [aux_sym_set_operation_token4] = ACTIONS(1436),
    [aux_sym_select_token1] = ACTIONS(1436),
    [aux_sym_having_clause_token1] = ACTIONS(1436),
    [aux_sym_qualify_clause_token1] = ACTIONS(1436),
    [aux_sym_limit_clause_token1] = ACTIONS(1436),
    [aux_sym_group_by_clause_token1] = ACTIONS(1436),
    [aux_sym_order_by_clause_token1] = ACTIONS(1436),
    [aux_sym_where_clause_token1] = ACTIONS(1436),
    [aux_sym_pivot_operator_token1] = ACTIONS(1436),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1436),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1436),
    [aux_sym_join_type_token1] = ACTIONS(1436),
    [aux_sym_join_type_token2] = ACTIONS(1436),
    [aux_sym_join_type_token3] = ACTIONS(1436),
    [aux_sym_join_type_token4] = ACTIONS(1436),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1436),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1436),
    [aux_sym_join_condition_token1] = ACTIONS(1436),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1436),
    [aux_sym_truncate_statement_token1] = ACTIONS(1436),
    [aux_sym_update_statement_token1] = ACTIONS(1436),
    [aux_sym_merge_statement_token1] = ACTIONS(1436),
    [aux_sym_grant_statement_token1] = ACTIONS(1436),
    [aux_sym_revoke_statement_token1] = ACTIONS(1436),
    [aux_sym_export_data_statement_token1] = ACTIONS(1436),
    [aux_sym_load_data_statement_token1] = ACTIONS(1436),
    [sym__quoted_identifier] = ACTIONS(1434),
    [sym_comment] = ACTIONS(3),
  },
  [4092] = {
    [sym_analytics_clause] = STATE(4642),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [4093] = {
    [sym_analytics_clause] = STATE(4643),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [4094] = {
    [sym_analytics_clause] = STATE(4644),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [4095] = {
    [sym_analytics_clause] = STATE(4647),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [4096] = {
    [sym_analytics_clause] = STATE(4645),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [4097] = {
    [sym_analytics_clause] = STATE(4761),
    [sym__unquoted_identifier] = ACTIONS(1388),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1388),
    [aux_sym__keyword_alter_token1] = ACTIONS(1388),
    [aux_sym__keyword_delete_token1] = ACTIONS(1388),
    [aux_sym__keyword_begin_token1] = ACTIONS(1388),
    [aux_sym__keyword_end_token1] = ACTIONS(1388),
    [aux_sym__keyword_when_token1] = ACTIONS(1388),
    [aux_sym__keyword_else_token1] = ACTIONS(1388),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1388),
    [aux_sym__keyword_as_token1] = ACTIONS(1388),
    [aux_sym__keyword_window_token1] = ACTIONS(1388),
    [aux_sym__keyword_date_token1] = ACTIONS(1388),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1388),
    [aux_sym__keyword_time_token1] = ACTIONS(1388),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1388),
    [aux_sym__keyword_for_token1] = ACTIONS(1388),
    [anon_sym_SEMI] = ACTIONS(1386),
    [aux_sym_declare_statement_token1] = ACTIONS(1388),
    [anon_sym_COMMA] = ACTIONS(1386),
    [aux_sym_set_statement_token1] = ACTIONS(1388),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1388),
    [aux_sym_using_clause_token1] = ACTIONS(1388),
    [aux_sym_return_satement_token1] = ACTIONS(1388),
    [aux_sym_call_statement_token1] = ACTIONS(1388),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1388),
    [aux_sym_if_statement_token1] = ACTIONS(1388),
    [aux_sym_loop_statement_token1] = ACTIONS(1388),
    [aux_sym_repeat_statement_token1] = ACTIONS(1388),
    [aux_sym_while_statement_token1] = ACTIONS(1388),
    [aux_sym_break_statement_token1] = ACTIONS(1388),
    [aux_sym_leave_statement_token1] = ACTIONS(1388),
    [aux_sym_continue_statement_token1] = ACTIONS(1388),
    [aux_sym_iterate_statement_token1] = ACTIONS(1388),
    [aux_sym_raise_statement_token1] = ACTIONS(1388),
    [aux_sym_assert_statement_token1] = ACTIONS(1388),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1388),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1388),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1388),
    [aux_sym_set_operation_token1] = ACTIONS(1388),
    [aux_sym_set_operation_token3] = ACTIONS(1388),
    [aux_sym_set_operation_token4] = ACTIONS(1388),
    [aux_sym_select_token1] = ACTIONS(1388),
    [aux_sym_having_clause_token1] = ACTIONS(1388),
    [aux_sym_qualify_clause_token1] = ACTIONS(1388),
    [aux_sym_limit_clause_token1] = ACTIONS(1388),
    [aux_sym_group_by_clause_token1] = ACTIONS(1388),
    [aux_sym_order_by_clause_token1] = ACTIONS(1388),
    [aux_sym_where_clause_token1] = ACTIONS(1388),
    [aux_sym_pivot_operator_token1] = ACTIONS(1388),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1388),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1388),
    [aux_sym_join_type_token1] = ACTIONS(1388),
    [aux_sym_join_type_token2] = ACTIONS(1388),
    [aux_sym_join_type_token3] = ACTIONS(1388),
    [aux_sym_join_type_token4] = ACTIONS(1388),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1388),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1388),
    [aux_sym_join_condition_token1] = ACTIONS(1388),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1388),
    [aux_sym_truncate_statement_token1] = ACTIONS(1388),
    [aux_sym_update_statement_token1] = ACTIONS(1388),
    [aux_sym_merge_statement_token1] = ACTIONS(1388),
    [aux_sym_grant_statement_token1] = ACTIONS(1388),
    [aux_sym_revoke_statement_token1] = ACTIONS(1388),
    [aux_sym_export_data_statement_token1] = ACTIONS(1388),
    [aux_sym_load_data_statement_token1] = ACTIONS(1388),
    [sym__quoted_identifier] = ACTIONS(1386),
    [sym_comment] = ACTIONS(3),
  },
  [4098] = {
    [sym_analytics_clause] = STATE(4648),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [4099] = {
    [sym_analytics_clause] = STATE(4760),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_using_clause_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_pivot_operator_token1] = ACTIONS(1362),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1362),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1362),
    [aux_sym_join_type_token1] = ACTIONS(1362),
    [aux_sym_join_type_token2] = ACTIONS(1362),
    [aux_sym_join_type_token3] = ACTIONS(1362),
    [aux_sym_join_type_token4] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1362),
    [aux_sym_join_condition_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [4100] = {
    [sym_analytics_clause] = STATE(4759),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_using_clause_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_pivot_operator_token1] = ACTIONS(1362),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1362),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1362),
    [aux_sym_join_type_token1] = ACTIONS(1362),
    [aux_sym_join_type_token2] = ACTIONS(1362),
    [aux_sym_join_type_token3] = ACTIONS(1362),
    [aux_sym_join_type_token4] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1362),
    [aux_sym_join_condition_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [4101] = {
    [sym_analytics_clause] = STATE(4650),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [4102] = {
    [sym_analytics_clause] = STATE(4758),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_using_clause_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_pivot_operator_token1] = ACTIONS(1362),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1362),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1362),
    [aux_sym_join_type_token1] = ACTIONS(1362),
    [aux_sym_join_type_token2] = ACTIONS(1362),
    [aux_sym_join_type_token3] = ACTIONS(1362),
    [aux_sym_join_type_token4] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1362),
    [aux_sym_join_condition_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [4103] = {
    [sym_analytics_clause] = STATE(4652),
    [ts_builtin_sym_end] = ACTIONS(1484),
    [sym__unquoted_identifier] = ACTIONS(1486),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1486),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1486),
    [aux_sym_keyword_replace_token1] = ACTIONS(1486),
    [aux_sym__keyword_alter_token1] = ACTIONS(1486),
    [aux_sym__keyword_delete_token1] = ACTIONS(1486),
    [aux_sym__keyword_begin_token1] = ACTIONS(1486),
    [aux_sym__keyword_between_token1] = ACTIONS(1486),
    [aux_sym__keyword_is_token1] = ACTIONS(1486),
    [aux_sym__keyword_in_token1] = ACTIONS(1486),
    [aux_sym__keyword_and_token1] = ACTIONS(1486),
    [aux_sym__keyword_like_token1] = ACTIONS(1486),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1486),
    [aux_sym__keyword_as_token1] = ACTIONS(1486),
    [aux_sym__keyword_date_token1] = ACTIONS(1486),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1486),
    [aux_sym__keyword_time_token1] = ACTIONS(1486),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1486),
    [aux_sym__keyword_for_token1] = ACTIONS(1486),
    [anon_sym_SEMI] = ACTIONS(1484),
    [aux_sym_declare_statement_token1] = ACTIONS(1486),
    [anon_sym_COMMA] = ACTIONS(1484),
    [aux_sym_set_statement_token1] = ACTIONS(1486),
    [anon_sym_LPAREN] = ACTIONS(1484),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1486),
    [aux_sym_return_satement_token1] = ACTIONS(1486),
    [aux_sym_call_statement_token1] = ACTIONS(1486),
    [aux_sym_loop_statement_token1] = ACTIONS(1486),
    [aux_sym_while_statement_token1] = ACTIONS(1486),
    [aux_sym_break_statement_token1] = ACTIONS(1486),
    [aux_sym_leave_statement_token1] = ACTIONS(1486),
    [aux_sym_continue_statement_token1] = ACTIONS(1486),
    [aux_sym_iterate_statement_token1] = ACTIONS(1486),
    [aux_sym_raise_statement_token1] = ACTIONS(1486),
    [anon_sym_EQ] = ACTIONS(1484),
    [aux_sym_assert_statement_token1] = ACTIONS(1486),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1486),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1486),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1486),
    [anon_sym_LT] = ACTIONS(1486),
    [anon_sym_GT] = ACTIONS(1486),
    [aux_sym_select_token1] = ACTIONS(1486),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1486),
    [aux_sym_truncate_statement_token1] = ACTIONS(1486),
    [aux_sym_update_statement_token1] = ACTIONS(1486),
    [aux_sym_merge_statement_token1] = ACTIONS(1486),
    [aux_sym_grant_statement_token1] = ACTIONS(1486),
    [aux_sym_revoke_statement_token1] = ACTIONS(1486),
    [aux_sym_export_data_statement_token1] = ACTIONS(1486),
    [aux_sym_load_data_statement_token1] = ACTIONS(1486),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym__quoted_identifier] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_SLASH] = ACTIONS(1486),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [anon_sym_LT_EQ] = ACTIONS(1484),
    [anon_sym_LT_GT] = ACTIONS(1484),
    [anon_sym_GT_EQ] = ACTIONS(1484),
    [anon_sym_BANG_EQ] = ACTIONS(1484),
    [anon_sym_LT_LT] = ACTIONS(1484),
    [anon_sym_GT_GT] = ACTIONS(1484),
    [anon_sym_AMP] = ACTIONS(1484),
    [anon_sym_CARET] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1486),
  },
  [4104] = {
    [sym_analytics_clause] = STATE(4757),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_using_clause_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_pivot_operator_token1] = ACTIONS(1362),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1362),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1362),
    [aux_sym_join_type_token1] = ACTIONS(1362),
    [aux_sym_join_type_token2] = ACTIONS(1362),
    [aux_sym_join_type_token3] = ACTIONS(1362),
    [aux_sym_join_type_token4] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1362),
    [aux_sym_join_condition_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [4105] = {
    [sym_analytics_clause] = STATE(4756),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_using_clause_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_pivot_operator_token1] = ACTIONS(1362),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1362),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1362),
    [aux_sym_join_type_token1] = ACTIONS(1362),
    [aux_sym_join_type_token2] = ACTIONS(1362),
    [aux_sym_join_type_token3] = ACTIONS(1362),
    [aux_sym_join_type_token4] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1362),
    [aux_sym_join_condition_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [4106] = {
    [sym_analytics_clause] = STATE(4753),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_using_clause_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_pivot_operator_token1] = ACTIONS(1362),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1362),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1362),
    [aux_sym_join_type_token1] = ACTIONS(1362),
    [aux_sym_join_type_token2] = ACTIONS(1362),
    [aux_sym_join_type_token3] = ACTIONS(1362),
    [aux_sym_join_type_token4] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1362),
    [aux_sym_join_condition_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [4107] = {
    [sym_analytics_clause] = STATE(4653),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4108] = {
    [sym_analytics_clause] = STATE(4752),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_using_clause_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_pivot_operator_token1] = ACTIONS(1362),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1362),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1362),
    [aux_sym_join_type_token1] = ACTIONS(1362),
    [aux_sym_join_type_token2] = ACTIONS(1362),
    [aux_sym_join_type_token3] = ACTIONS(1362),
    [aux_sym_join_type_token4] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1362),
    [aux_sym_join_condition_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [4109] = {
    [sym_analytics_clause] = STATE(4751),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_using_clause_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_pivot_operator_token1] = ACTIONS(1362),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1362),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1362),
    [aux_sym_join_type_token1] = ACTIONS(1362),
    [aux_sym_join_type_token2] = ACTIONS(1362),
    [aux_sym_join_type_token3] = ACTIONS(1362),
    [aux_sym_join_type_token4] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1362),
    [aux_sym_join_condition_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [4110] = {
    [sym_analytics_clause] = STATE(4655),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4111] = {
    [sym_analytics_clause] = STATE(4750),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_using_clause_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_pivot_operator_token1] = ACTIONS(1362),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1362),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1362),
    [aux_sym_join_type_token1] = ACTIONS(1362),
    [aux_sym_join_type_token2] = ACTIONS(1362),
    [aux_sym_join_type_token3] = ACTIONS(1362),
    [aux_sym_join_type_token4] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1362),
    [aux_sym_join_condition_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [4112] = {
    [sym_analytics_clause] = STATE(4749),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_using_clause_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_pivot_operator_token1] = ACTIONS(1362),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1362),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1362),
    [aux_sym_join_type_token1] = ACTIONS(1362),
    [aux_sym_join_type_token2] = ACTIONS(1362),
    [aux_sym_join_type_token3] = ACTIONS(1362),
    [aux_sym_join_type_token4] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1362),
    [aux_sym_join_condition_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [4113] = {
    [sym_analytics_clause] = STATE(4658),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4114] = {
    [sym_analytics_clause] = STATE(4746),
    [sym__unquoted_identifier] = ACTIONS(1498),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1498),
    [aux_sym__keyword_alter_token1] = ACTIONS(1498),
    [aux_sym__keyword_delete_token1] = ACTIONS(1498),
    [aux_sym__keyword_begin_token1] = ACTIONS(1498),
    [aux_sym__keyword_end_token1] = ACTIONS(1498),
    [aux_sym__keyword_when_token1] = ACTIONS(1498),
    [aux_sym__keyword_else_token1] = ACTIONS(1498),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1498),
    [aux_sym__keyword_as_token1] = ACTIONS(1498),
    [aux_sym__keyword_window_token1] = ACTIONS(1498),
    [aux_sym__keyword_date_token1] = ACTIONS(1498),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1498),
    [aux_sym__keyword_time_token1] = ACTIONS(1498),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1498),
    [aux_sym__keyword_for_token1] = ACTIONS(1498),
    [anon_sym_SEMI] = ACTIONS(1496),
    [aux_sym_declare_statement_token1] = ACTIONS(1498),
    [anon_sym_COMMA] = ACTIONS(1496),
    [aux_sym_set_statement_token1] = ACTIONS(1498),
    [anon_sym_LPAREN] = ACTIONS(1496),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1498),
    [aux_sym_using_clause_token1] = ACTIONS(1498),
    [aux_sym_return_satement_token1] = ACTIONS(1498),
    [aux_sym_call_statement_token1] = ACTIONS(1498),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1498),
    [aux_sym_if_statement_token1] = ACTIONS(1498),
    [aux_sym_loop_statement_token1] = ACTIONS(1498),
    [aux_sym_repeat_statement_token1] = ACTIONS(1498),
    [aux_sym_while_statement_token1] = ACTIONS(1498),
    [aux_sym_break_statement_token1] = ACTIONS(1498),
    [aux_sym_leave_statement_token1] = ACTIONS(1498),
    [aux_sym_continue_statement_token1] = ACTIONS(1498),
    [aux_sym_iterate_statement_token1] = ACTIONS(1498),
    [aux_sym_raise_statement_token1] = ACTIONS(1498),
    [aux_sym_assert_statement_token1] = ACTIONS(1498),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1498),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1498),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1498),
    [aux_sym_set_operation_token1] = ACTIONS(1498),
    [aux_sym_set_operation_token3] = ACTIONS(1498),
    [aux_sym_set_operation_token4] = ACTIONS(1498),
    [aux_sym_select_token1] = ACTIONS(1498),
    [aux_sym_having_clause_token1] = ACTIONS(1498),
    [aux_sym_qualify_clause_token1] = ACTIONS(1498),
    [aux_sym_limit_clause_token1] = ACTIONS(1498),
    [aux_sym_group_by_clause_token1] = ACTIONS(1498),
    [aux_sym_order_by_clause_token1] = ACTIONS(1498),
    [aux_sym_where_clause_token1] = ACTIONS(1498),
    [aux_sym_pivot_operator_token1] = ACTIONS(1498),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1498),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1498),
    [aux_sym_join_type_token1] = ACTIONS(1498),
    [aux_sym_join_type_token2] = ACTIONS(1498),
    [aux_sym_join_type_token3] = ACTIONS(1498),
    [aux_sym_join_type_token4] = ACTIONS(1498),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1498),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1498),
    [aux_sym_join_condition_token1] = ACTIONS(1498),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1498),
    [aux_sym_truncate_statement_token1] = ACTIONS(1498),
    [aux_sym_update_statement_token1] = ACTIONS(1498),
    [aux_sym_merge_statement_token1] = ACTIONS(1498),
    [aux_sym_grant_statement_token1] = ACTIONS(1498),
    [aux_sym_revoke_statement_token1] = ACTIONS(1498),
    [aux_sym_export_data_statement_token1] = ACTIONS(1498),
    [aux_sym_load_data_statement_token1] = ACTIONS(1498),
    [sym__quoted_identifier] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
  },
  [4115] = {
    [sym_analytics_clause] = STATE(4661),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4116] = {
    [sym_analytics_clause] = STATE(4663),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4117] = {
    [sym_analytics_clause] = STATE(4744),
    [sym__unquoted_identifier] = ACTIONS(1502),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1502),
    [aux_sym__keyword_alter_token1] = ACTIONS(1502),
    [aux_sym__keyword_delete_token1] = ACTIONS(1502),
    [aux_sym__keyword_begin_token1] = ACTIONS(1502),
    [aux_sym__keyword_end_token1] = ACTIONS(1502),
    [aux_sym__keyword_when_token1] = ACTIONS(1502),
    [aux_sym__keyword_else_token1] = ACTIONS(1502),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1502),
    [aux_sym__keyword_as_token1] = ACTIONS(1502),
    [aux_sym__keyword_window_token1] = ACTIONS(1502),
    [aux_sym__keyword_date_token1] = ACTIONS(1502),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1502),
    [aux_sym__keyword_time_token1] = ACTIONS(1502),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1502),
    [aux_sym__keyword_for_token1] = ACTIONS(1502),
    [anon_sym_SEMI] = ACTIONS(1500),
    [aux_sym_declare_statement_token1] = ACTIONS(1502),
    [anon_sym_COMMA] = ACTIONS(1500),
    [aux_sym_set_statement_token1] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1500),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1502),
    [aux_sym_using_clause_token1] = ACTIONS(1502),
    [aux_sym_return_satement_token1] = ACTIONS(1502),
    [aux_sym_call_statement_token1] = ACTIONS(1502),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1502),
    [aux_sym_if_statement_token1] = ACTIONS(1502),
    [aux_sym_loop_statement_token1] = ACTIONS(1502),
    [aux_sym_repeat_statement_token1] = ACTIONS(1502),
    [aux_sym_while_statement_token1] = ACTIONS(1502),
    [aux_sym_break_statement_token1] = ACTIONS(1502),
    [aux_sym_leave_statement_token1] = ACTIONS(1502),
    [aux_sym_continue_statement_token1] = ACTIONS(1502),
    [aux_sym_iterate_statement_token1] = ACTIONS(1502),
    [aux_sym_raise_statement_token1] = ACTIONS(1502),
    [aux_sym_assert_statement_token1] = ACTIONS(1502),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1502),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1502),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1502),
    [aux_sym_set_operation_token1] = ACTIONS(1502),
    [aux_sym_set_operation_token3] = ACTIONS(1502),
    [aux_sym_set_operation_token4] = ACTIONS(1502),
    [aux_sym_select_token1] = ACTIONS(1502),
    [aux_sym_having_clause_token1] = ACTIONS(1502),
    [aux_sym_qualify_clause_token1] = ACTIONS(1502),
    [aux_sym_limit_clause_token1] = ACTIONS(1502),
    [aux_sym_group_by_clause_token1] = ACTIONS(1502),
    [aux_sym_order_by_clause_token1] = ACTIONS(1502),
    [aux_sym_where_clause_token1] = ACTIONS(1502),
    [aux_sym_pivot_operator_token1] = ACTIONS(1502),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1502),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1502),
    [aux_sym_join_type_token1] = ACTIONS(1502),
    [aux_sym_join_type_token2] = ACTIONS(1502),
    [aux_sym_join_type_token3] = ACTIONS(1502),
    [aux_sym_join_type_token4] = ACTIONS(1502),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1502),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1502),
    [aux_sym_join_condition_token1] = ACTIONS(1502),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1502),
    [aux_sym_truncate_statement_token1] = ACTIONS(1502),
    [aux_sym_update_statement_token1] = ACTIONS(1502),
    [aux_sym_merge_statement_token1] = ACTIONS(1502),
    [aux_sym_grant_statement_token1] = ACTIONS(1502),
    [aux_sym_revoke_statement_token1] = ACTIONS(1502),
    [aux_sym_export_data_statement_token1] = ACTIONS(1502),
    [aux_sym_load_data_statement_token1] = ACTIONS(1502),
    [sym__quoted_identifier] = ACTIONS(1500),
    [sym_comment] = ACTIONS(3),
  },
  [4118] = {
    [sym_analytics_clause] = STATE(4664),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4119] = {
    [sym_analytics_clause] = STATE(4667),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4120] = {
    [sym_analytics_clause] = STATE(4743),
    [sym__unquoted_identifier] = ACTIONS(1506),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1506),
    [aux_sym__keyword_alter_token1] = ACTIONS(1506),
    [aux_sym__keyword_delete_token1] = ACTIONS(1506),
    [aux_sym__keyword_begin_token1] = ACTIONS(1506),
    [aux_sym__keyword_end_token1] = ACTIONS(1506),
    [aux_sym__keyword_when_token1] = ACTIONS(1506),
    [aux_sym__keyword_else_token1] = ACTIONS(1506),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1506),
    [aux_sym__keyword_as_token1] = ACTIONS(1506),
    [aux_sym__keyword_window_token1] = ACTIONS(1506),
    [aux_sym__keyword_date_token1] = ACTIONS(1506),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1506),
    [aux_sym__keyword_time_token1] = ACTIONS(1506),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1506),
    [aux_sym__keyword_for_token1] = ACTIONS(1506),
    [anon_sym_SEMI] = ACTIONS(1504),
    [aux_sym_declare_statement_token1] = ACTIONS(1506),
    [anon_sym_COMMA] = ACTIONS(1504),
    [aux_sym_set_statement_token1] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1504),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1506),
    [aux_sym_using_clause_token1] = ACTIONS(1506),
    [aux_sym_return_satement_token1] = ACTIONS(1506),
    [aux_sym_call_statement_token1] = ACTIONS(1506),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1506),
    [aux_sym_if_statement_token1] = ACTIONS(1506),
    [aux_sym_loop_statement_token1] = ACTIONS(1506),
    [aux_sym_repeat_statement_token1] = ACTIONS(1506),
    [aux_sym_while_statement_token1] = ACTIONS(1506),
    [aux_sym_break_statement_token1] = ACTIONS(1506),
    [aux_sym_leave_statement_token1] = ACTIONS(1506),
    [aux_sym_continue_statement_token1] = ACTIONS(1506),
    [aux_sym_iterate_statement_token1] = ACTIONS(1506),
    [aux_sym_raise_statement_token1] = ACTIONS(1506),
    [aux_sym_assert_statement_token1] = ACTIONS(1506),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1506),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1506),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1506),
    [aux_sym_set_operation_token1] = ACTIONS(1506),
    [aux_sym_set_operation_token3] = ACTIONS(1506),
    [aux_sym_set_operation_token4] = ACTIONS(1506),
    [aux_sym_select_token1] = ACTIONS(1506),
    [aux_sym_having_clause_token1] = ACTIONS(1506),
    [aux_sym_qualify_clause_token1] = ACTIONS(1506),
    [aux_sym_limit_clause_token1] = ACTIONS(1506),
    [aux_sym_group_by_clause_token1] = ACTIONS(1506),
    [aux_sym_order_by_clause_token1] = ACTIONS(1506),
    [aux_sym_where_clause_token1] = ACTIONS(1506),
    [aux_sym_pivot_operator_token1] = ACTIONS(1506),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1506),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1506),
    [aux_sym_join_type_token1] = ACTIONS(1506),
    [aux_sym_join_type_token2] = ACTIONS(1506),
    [aux_sym_join_type_token3] = ACTIONS(1506),
    [aux_sym_join_type_token4] = ACTIONS(1506),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1506),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1506),
    [aux_sym_join_condition_token1] = ACTIONS(1506),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1506),
    [aux_sym_truncate_statement_token1] = ACTIONS(1506),
    [aux_sym_update_statement_token1] = ACTIONS(1506),
    [aux_sym_merge_statement_token1] = ACTIONS(1506),
    [aux_sym_grant_statement_token1] = ACTIONS(1506),
    [aux_sym_revoke_statement_token1] = ACTIONS(1506),
    [aux_sym_export_data_statement_token1] = ACTIONS(1506),
    [aux_sym_load_data_statement_token1] = ACTIONS(1506),
    [sym__quoted_identifier] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
  },
  [4121] = {
    [sym_analytics_clause] = STATE(4742),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [4122] = {
    [sym_analytics_clause] = STATE(4741),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [4123] = {
    [sym_analytics_clause] = STATE(4740),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [4124] = {
    [sym_analytics_clause] = STATE(4737),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [4125] = {
    [sym_analytics_clause] = STATE(4668),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4126] = {
    [sym_analytics_clause] = STATE(4735),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [4127] = {
    [sym_analytics_clause] = STATE(4732),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [4128] = {
    [sym_analytics_clause] = STATE(4669),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4129] = {
    [sym_analytics_clause] = STATE(4727),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [4130] = {
    [sym_analytics_clause] = STATE(4719),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [4131] = {
    [sym_analytics_clause] = STATE(4670),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4132] = {
    [sym_analytics_clause] = STATE(4716),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [4133] = {
    [sym_analytics_clause] = STATE(4671),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4134] = {
    [sym_analytics_clause] = STATE(4672),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4135] = {
    [sym_analytics_clause] = STATE(4713),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [4136] = {
    [sym_analytics_clause] = STATE(4673),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4137] = {
    [sym_analytics_clause] = STATE(4676),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4138] = {
    [sym_analytics_clause] = STATE(4708),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [4139] = {
    [sym_analytics_clause] = STATE(4698),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [4140] = {
    [sym_analytics_clause] = STATE(4674),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [4141] = {
    [sym_analytics_clause] = STATE(4666),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [4142] = {
    [sym_analytics_clause] = STATE(4677),
    [ts_builtin_sym_end] = ACTIONS(1374),
    [sym__unquoted_identifier] = ACTIONS(1376),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1376),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1376),
    [aux_sym_keyword_replace_token1] = ACTIONS(1376),
    [aux_sym__keyword_alter_token1] = ACTIONS(1376),
    [aux_sym__keyword_delete_token1] = ACTIONS(1376),
    [aux_sym__keyword_begin_token1] = ACTIONS(1376),
    [aux_sym__keyword_between_token1] = ACTIONS(1376),
    [aux_sym__keyword_is_token1] = ACTIONS(1376),
    [aux_sym__keyword_in_token1] = ACTIONS(1376),
    [aux_sym__keyword_and_token1] = ACTIONS(1376),
    [aux_sym__keyword_like_token1] = ACTIONS(1376),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1376),
    [aux_sym__keyword_as_token1] = ACTIONS(1376),
    [aux_sym__keyword_date_token1] = ACTIONS(1376),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1376),
    [aux_sym__keyword_time_token1] = ACTIONS(1376),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1376),
    [aux_sym__keyword_for_token1] = ACTIONS(1376),
    [anon_sym_SEMI] = ACTIONS(1374),
    [aux_sym_declare_statement_token1] = ACTIONS(1376),
    [anon_sym_COMMA] = ACTIONS(1374),
    [aux_sym_set_statement_token1] = ACTIONS(1376),
    [anon_sym_LPAREN] = ACTIONS(1374),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1376),
    [aux_sym_return_satement_token1] = ACTIONS(1376),
    [aux_sym_call_statement_token1] = ACTIONS(1376),
    [aux_sym_loop_statement_token1] = ACTIONS(1376),
    [aux_sym_while_statement_token1] = ACTIONS(1376),
    [aux_sym_break_statement_token1] = ACTIONS(1376),
    [aux_sym_leave_statement_token1] = ACTIONS(1376),
    [aux_sym_continue_statement_token1] = ACTIONS(1376),
    [aux_sym_iterate_statement_token1] = ACTIONS(1376),
    [aux_sym_raise_statement_token1] = ACTIONS(1376),
    [anon_sym_EQ] = ACTIONS(1374),
    [aux_sym_assert_statement_token1] = ACTIONS(1376),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1376),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1376),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1376),
    [anon_sym_LT] = ACTIONS(1376),
    [anon_sym_GT] = ACTIONS(1376),
    [aux_sym_select_token1] = ACTIONS(1376),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1376),
    [aux_sym_truncate_statement_token1] = ACTIONS(1376),
    [aux_sym_update_statement_token1] = ACTIONS(1376),
    [aux_sym_merge_statement_token1] = ACTIONS(1376),
    [aux_sym_grant_statement_token1] = ACTIONS(1376),
    [aux_sym_revoke_statement_token1] = ACTIONS(1376),
    [aux_sym_export_data_statement_token1] = ACTIONS(1376),
    [aux_sym_load_data_statement_token1] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(1374),
    [sym__quoted_identifier] = ACTIONS(1374),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_SLASH] = ACTIONS(1376),
    [anon_sym_PIPE_PIPE] = ACTIONS(1374),
    [anon_sym_LT_EQ] = ACTIONS(1374),
    [anon_sym_LT_GT] = ACTIONS(1374),
    [anon_sym_GT_EQ] = ACTIONS(1374),
    [anon_sym_BANG_EQ] = ACTIONS(1374),
    [anon_sym_LT_LT] = ACTIONS(1374),
    [anon_sym_GT_GT] = ACTIONS(1374),
    [anon_sym_AMP] = ACTIONS(1374),
    [anon_sym_CARET] = ACTIONS(1374),
    [anon_sym_PIPE] = ACTIONS(1376),
  },
  [4143] = {
    [sym_analytics_clause] = STATE(4635),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [4144] = {
    [sym_analytics_clause] = STATE(4581),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [4145] = {
    [sym_analytics_clause] = STATE(4555),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [4146] = {
    [sym_analytics_clause] = STATE(4679),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [4147] = {
    [sym_analytics_clause] = STATE(4548),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [4148] = {
    [sym_analytics_clause] = STATE(4762),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [4149] = {
    [sym_analytics_clause] = STATE(4681),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [4150] = {
    [sym_analytics_clause] = STATE(4539),
    [sym__unquoted_identifier] = ACTIONS(1396),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1396),
    [aux_sym__keyword_alter_token1] = ACTIONS(1396),
    [aux_sym__keyword_delete_token1] = ACTIONS(1396),
    [aux_sym__keyword_begin_token1] = ACTIONS(1396),
    [aux_sym__keyword_end_token1] = ACTIONS(1396),
    [aux_sym__keyword_when_token1] = ACTIONS(1396),
    [aux_sym__keyword_else_token1] = ACTIONS(1396),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1396),
    [aux_sym__keyword_as_token1] = ACTIONS(1396),
    [aux_sym__keyword_window_token1] = ACTIONS(1396),
    [aux_sym__keyword_date_token1] = ACTIONS(1396),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1396),
    [aux_sym__keyword_time_token1] = ACTIONS(1396),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1396),
    [aux_sym__keyword_for_token1] = ACTIONS(1396),
    [anon_sym_SEMI] = ACTIONS(1394),
    [aux_sym_declare_statement_token1] = ACTIONS(1396),
    [anon_sym_COMMA] = ACTIONS(1394),
    [aux_sym_set_statement_token1] = ACTIONS(1396),
    [anon_sym_LPAREN] = ACTIONS(1394),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1396),
    [aux_sym_using_clause_token1] = ACTIONS(1396),
    [aux_sym_return_satement_token1] = ACTIONS(1396),
    [aux_sym_call_statement_token1] = ACTIONS(1396),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1396),
    [aux_sym_if_statement_token1] = ACTIONS(1396),
    [aux_sym_loop_statement_token1] = ACTIONS(1396),
    [aux_sym_repeat_statement_token1] = ACTIONS(1396),
    [aux_sym_while_statement_token1] = ACTIONS(1396),
    [aux_sym_break_statement_token1] = ACTIONS(1396),
    [aux_sym_leave_statement_token1] = ACTIONS(1396),
    [aux_sym_continue_statement_token1] = ACTIONS(1396),
    [aux_sym_iterate_statement_token1] = ACTIONS(1396),
    [aux_sym_raise_statement_token1] = ACTIONS(1396),
    [aux_sym_assert_statement_token1] = ACTIONS(1396),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1396),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1396),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1396),
    [aux_sym_set_operation_token1] = ACTIONS(1396),
    [aux_sym_set_operation_token3] = ACTIONS(1396),
    [aux_sym_set_operation_token4] = ACTIONS(1396),
    [aux_sym_select_token1] = ACTIONS(1396),
    [aux_sym_having_clause_token1] = ACTIONS(1396),
    [aux_sym_qualify_clause_token1] = ACTIONS(1396),
    [aux_sym_limit_clause_token1] = ACTIONS(1396),
    [aux_sym_group_by_clause_token1] = ACTIONS(1396),
    [aux_sym_order_by_clause_token1] = ACTIONS(1396),
    [aux_sym_where_clause_token1] = ACTIONS(1396),
    [aux_sym_pivot_operator_token1] = ACTIONS(1396),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1396),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1396),
    [aux_sym_join_type_token1] = ACTIONS(1396),
    [aux_sym_join_type_token2] = ACTIONS(1396),
    [aux_sym_join_type_token3] = ACTIONS(1396),
    [aux_sym_join_type_token4] = ACTIONS(1396),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1396),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1396),
    [aux_sym_join_condition_token1] = ACTIONS(1396),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1396),
    [aux_sym_truncate_statement_token1] = ACTIONS(1396),
    [aux_sym_update_statement_token1] = ACTIONS(1396),
    [aux_sym_merge_statement_token1] = ACTIONS(1396),
    [aux_sym_grant_statement_token1] = ACTIONS(1396),
    [aux_sym_revoke_statement_token1] = ACTIONS(1396),
    [aux_sym_export_data_statement_token1] = ACTIONS(1396),
    [aux_sym_load_data_statement_token1] = ACTIONS(1396),
    [sym__quoted_identifier] = ACTIONS(1394),
    [sym_comment] = ACTIONS(3),
  },
  [4151] = {
    [sym_analytics_clause] = STATE(4533),
    [sym__unquoted_identifier] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1400),
    [aux_sym__keyword_alter_token1] = ACTIONS(1400),
    [aux_sym__keyword_delete_token1] = ACTIONS(1400),
    [aux_sym__keyword_begin_token1] = ACTIONS(1400),
    [aux_sym__keyword_end_token1] = ACTIONS(1400),
    [aux_sym__keyword_when_token1] = ACTIONS(1400),
    [aux_sym__keyword_else_token1] = ACTIONS(1400),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1400),
    [aux_sym__keyword_as_token1] = ACTIONS(1400),
    [aux_sym__keyword_window_token1] = ACTIONS(1400),
    [aux_sym__keyword_date_token1] = ACTIONS(1400),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1400),
    [aux_sym__keyword_time_token1] = ACTIONS(1400),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1400),
    [aux_sym__keyword_for_token1] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1400),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1400),
    [aux_sym_using_clause_token1] = ACTIONS(1400),
    [aux_sym_return_satement_token1] = ACTIONS(1400),
    [aux_sym_call_statement_token1] = ACTIONS(1400),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1400),
    [aux_sym_if_statement_token1] = ACTIONS(1400),
    [aux_sym_loop_statement_token1] = ACTIONS(1400),
    [aux_sym_repeat_statement_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token1] = ACTIONS(1400),
    [aux_sym_break_statement_token1] = ACTIONS(1400),
    [aux_sym_leave_statement_token1] = ACTIONS(1400),
    [aux_sym_continue_statement_token1] = ACTIONS(1400),
    [aux_sym_iterate_statement_token1] = ACTIONS(1400),
    [aux_sym_raise_statement_token1] = ACTIONS(1400),
    [aux_sym_assert_statement_token1] = ACTIONS(1400),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1400),
    [aux_sym_set_operation_token1] = ACTIONS(1400),
    [aux_sym_set_operation_token3] = ACTIONS(1400),
    [aux_sym_set_operation_token4] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1400),
    [aux_sym_having_clause_token1] = ACTIONS(1400),
    [aux_sym_qualify_clause_token1] = ACTIONS(1400),
    [aux_sym_limit_clause_token1] = ACTIONS(1400),
    [aux_sym_group_by_clause_token1] = ACTIONS(1400),
    [aux_sym_order_by_clause_token1] = ACTIONS(1400),
    [aux_sym_where_clause_token1] = ACTIONS(1400),
    [aux_sym_pivot_operator_token1] = ACTIONS(1400),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1400),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1400),
    [aux_sym_join_type_token1] = ACTIONS(1400),
    [aux_sym_join_type_token2] = ACTIONS(1400),
    [aux_sym_join_type_token3] = ACTIONS(1400),
    [aux_sym_join_type_token4] = ACTIONS(1400),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1400),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1400),
    [aux_sym_join_condition_token1] = ACTIONS(1400),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1400),
    [aux_sym_truncate_statement_token1] = ACTIONS(1400),
    [aux_sym_update_statement_token1] = ACTIONS(1400),
    [aux_sym_merge_statement_token1] = ACTIONS(1400),
    [aux_sym_grant_statement_token1] = ACTIONS(1400),
    [aux_sym_revoke_statement_token1] = ACTIONS(1400),
    [aux_sym_export_data_statement_token1] = ACTIONS(1400),
    [aux_sym_load_data_statement_token1] = ACTIONS(1400),
    [sym__quoted_identifier] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
  },
  [4152] = {
    [sym_analytics_clause] = STATE(4682),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [4153] = {
    [sym_analytics_clause] = STATE(4526),
    [sym__unquoted_identifier] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1400),
    [aux_sym__keyword_alter_token1] = ACTIONS(1400),
    [aux_sym__keyword_delete_token1] = ACTIONS(1400),
    [aux_sym__keyword_begin_token1] = ACTIONS(1400),
    [aux_sym__keyword_end_token1] = ACTIONS(1400),
    [aux_sym__keyword_when_token1] = ACTIONS(1400),
    [aux_sym__keyword_else_token1] = ACTIONS(1400),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1400),
    [aux_sym__keyword_as_token1] = ACTIONS(1400),
    [aux_sym__keyword_window_token1] = ACTIONS(1400),
    [aux_sym__keyword_date_token1] = ACTIONS(1400),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1400),
    [aux_sym__keyword_time_token1] = ACTIONS(1400),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1400),
    [aux_sym__keyword_for_token1] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1400),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1400),
    [aux_sym_using_clause_token1] = ACTIONS(1400),
    [aux_sym_return_satement_token1] = ACTIONS(1400),
    [aux_sym_call_statement_token1] = ACTIONS(1400),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1400),
    [aux_sym_if_statement_token1] = ACTIONS(1400),
    [aux_sym_loop_statement_token1] = ACTIONS(1400),
    [aux_sym_repeat_statement_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token1] = ACTIONS(1400),
    [aux_sym_break_statement_token1] = ACTIONS(1400),
    [aux_sym_leave_statement_token1] = ACTIONS(1400),
    [aux_sym_continue_statement_token1] = ACTIONS(1400),
    [aux_sym_iterate_statement_token1] = ACTIONS(1400),
    [aux_sym_raise_statement_token1] = ACTIONS(1400),
    [aux_sym_assert_statement_token1] = ACTIONS(1400),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1400),
    [aux_sym_set_operation_token1] = ACTIONS(1400),
    [aux_sym_set_operation_token3] = ACTIONS(1400),
    [aux_sym_set_operation_token4] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1400),
    [aux_sym_having_clause_token1] = ACTIONS(1400),
    [aux_sym_qualify_clause_token1] = ACTIONS(1400),
    [aux_sym_limit_clause_token1] = ACTIONS(1400),
    [aux_sym_group_by_clause_token1] = ACTIONS(1400),
    [aux_sym_order_by_clause_token1] = ACTIONS(1400),
    [aux_sym_where_clause_token1] = ACTIONS(1400),
    [aux_sym_pivot_operator_token1] = ACTIONS(1400),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1400),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1400),
    [aux_sym_join_type_token1] = ACTIONS(1400),
    [aux_sym_join_type_token2] = ACTIONS(1400),
    [aux_sym_join_type_token3] = ACTIONS(1400),
    [aux_sym_join_type_token4] = ACTIONS(1400),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1400),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1400),
    [aux_sym_join_condition_token1] = ACTIONS(1400),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1400),
    [aux_sym_truncate_statement_token1] = ACTIONS(1400),
    [aux_sym_update_statement_token1] = ACTIONS(1400),
    [aux_sym_merge_statement_token1] = ACTIONS(1400),
    [aux_sym_grant_statement_token1] = ACTIONS(1400),
    [aux_sym_revoke_statement_token1] = ACTIONS(1400),
    [aux_sym_export_data_statement_token1] = ACTIONS(1400),
    [aux_sym_load_data_statement_token1] = ACTIONS(1400),
    [sym__quoted_identifier] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
  },
  [4154] = {
    [sym_analytics_clause] = STATE(4685),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [4155] = {
    [sym_analytics_clause] = STATE(4687),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [4156] = {
    [sym_analytics_clause] = STATE(4520),
    [sym__unquoted_identifier] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1400),
    [aux_sym__keyword_alter_token1] = ACTIONS(1400),
    [aux_sym__keyword_delete_token1] = ACTIONS(1400),
    [aux_sym__keyword_begin_token1] = ACTIONS(1400),
    [aux_sym__keyword_end_token1] = ACTIONS(1400),
    [aux_sym__keyword_when_token1] = ACTIONS(1400),
    [aux_sym__keyword_else_token1] = ACTIONS(1400),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1400),
    [aux_sym__keyword_as_token1] = ACTIONS(1400),
    [aux_sym__keyword_window_token1] = ACTIONS(1400),
    [aux_sym__keyword_date_token1] = ACTIONS(1400),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1400),
    [aux_sym__keyword_time_token1] = ACTIONS(1400),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1400),
    [aux_sym__keyword_for_token1] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1400),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1400),
    [aux_sym_using_clause_token1] = ACTIONS(1400),
    [aux_sym_return_satement_token1] = ACTIONS(1400),
    [aux_sym_call_statement_token1] = ACTIONS(1400),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1400),
    [aux_sym_if_statement_token1] = ACTIONS(1400),
    [aux_sym_loop_statement_token1] = ACTIONS(1400),
    [aux_sym_repeat_statement_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token1] = ACTIONS(1400),
    [aux_sym_break_statement_token1] = ACTIONS(1400),
    [aux_sym_leave_statement_token1] = ACTIONS(1400),
    [aux_sym_continue_statement_token1] = ACTIONS(1400),
    [aux_sym_iterate_statement_token1] = ACTIONS(1400),
    [aux_sym_raise_statement_token1] = ACTIONS(1400),
    [aux_sym_assert_statement_token1] = ACTIONS(1400),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1400),
    [aux_sym_set_operation_token1] = ACTIONS(1400),
    [aux_sym_set_operation_token3] = ACTIONS(1400),
    [aux_sym_set_operation_token4] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1400),
    [aux_sym_having_clause_token1] = ACTIONS(1400),
    [aux_sym_qualify_clause_token1] = ACTIONS(1400),
    [aux_sym_limit_clause_token1] = ACTIONS(1400),
    [aux_sym_group_by_clause_token1] = ACTIONS(1400),
    [aux_sym_order_by_clause_token1] = ACTIONS(1400),
    [aux_sym_where_clause_token1] = ACTIONS(1400),
    [aux_sym_pivot_operator_token1] = ACTIONS(1400),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1400),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1400),
    [aux_sym_join_type_token1] = ACTIONS(1400),
    [aux_sym_join_type_token2] = ACTIONS(1400),
    [aux_sym_join_type_token3] = ACTIONS(1400),
    [aux_sym_join_type_token4] = ACTIONS(1400),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1400),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1400),
    [aux_sym_join_condition_token1] = ACTIONS(1400),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1400),
    [aux_sym_truncate_statement_token1] = ACTIONS(1400),
    [aux_sym_update_statement_token1] = ACTIONS(1400),
    [aux_sym_merge_statement_token1] = ACTIONS(1400),
    [aux_sym_grant_statement_token1] = ACTIONS(1400),
    [aux_sym_revoke_statement_token1] = ACTIONS(1400),
    [aux_sym_export_data_statement_token1] = ACTIONS(1400),
    [aux_sym_load_data_statement_token1] = ACTIONS(1400),
    [sym__quoted_identifier] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
  },
  [4157] = {
    [sym_analytics_clause] = STATE(4518),
    [sym__unquoted_identifier] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1400),
    [aux_sym__keyword_alter_token1] = ACTIONS(1400),
    [aux_sym__keyword_delete_token1] = ACTIONS(1400),
    [aux_sym__keyword_begin_token1] = ACTIONS(1400),
    [aux_sym__keyword_end_token1] = ACTIONS(1400),
    [aux_sym__keyword_when_token1] = ACTIONS(1400),
    [aux_sym__keyword_else_token1] = ACTIONS(1400),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1400),
    [aux_sym__keyword_as_token1] = ACTIONS(1400),
    [aux_sym__keyword_window_token1] = ACTIONS(1400),
    [aux_sym__keyword_date_token1] = ACTIONS(1400),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1400),
    [aux_sym__keyword_time_token1] = ACTIONS(1400),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1400),
    [aux_sym__keyword_for_token1] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1400),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1400),
    [aux_sym_using_clause_token1] = ACTIONS(1400),
    [aux_sym_return_satement_token1] = ACTIONS(1400),
    [aux_sym_call_statement_token1] = ACTIONS(1400),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1400),
    [aux_sym_if_statement_token1] = ACTIONS(1400),
    [aux_sym_loop_statement_token1] = ACTIONS(1400),
    [aux_sym_repeat_statement_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token1] = ACTIONS(1400),
    [aux_sym_break_statement_token1] = ACTIONS(1400),
    [aux_sym_leave_statement_token1] = ACTIONS(1400),
    [aux_sym_continue_statement_token1] = ACTIONS(1400),
    [aux_sym_iterate_statement_token1] = ACTIONS(1400),
    [aux_sym_raise_statement_token1] = ACTIONS(1400),
    [aux_sym_assert_statement_token1] = ACTIONS(1400),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1400),
    [aux_sym_set_operation_token1] = ACTIONS(1400),
    [aux_sym_set_operation_token3] = ACTIONS(1400),
    [aux_sym_set_operation_token4] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1400),
    [aux_sym_having_clause_token1] = ACTIONS(1400),
    [aux_sym_qualify_clause_token1] = ACTIONS(1400),
    [aux_sym_limit_clause_token1] = ACTIONS(1400),
    [aux_sym_group_by_clause_token1] = ACTIONS(1400),
    [aux_sym_order_by_clause_token1] = ACTIONS(1400),
    [aux_sym_where_clause_token1] = ACTIONS(1400),
    [aux_sym_pivot_operator_token1] = ACTIONS(1400),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1400),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1400),
    [aux_sym_join_type_token1] = ACTIONS(1400),
    [aux_sym_join_type_token2] = ACTIONS(1400),
    [aux_sym_join_type_token3] = ACTIONS(1400),
    [aux_sym_join_type_token4] = ACTIONS(1400),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1400),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1400),
    [aux_sym_join_condition_token1] = ACTIONS(1400),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1400),
    [aux_sym_truncate_statement_token1] = ACTIONS(1400),
    [aux_sym_update_statement_token1] = ACTIONS(1400),
    [aux_sym_merge_statement_token1] = ACTIONS(1400),
    [aux_sym_grant_statement_token1] = ACTIONS(1400),
    [aux_sym_revoke_statement_token1] = ACTIONS(1400),
    [aux_sym_export_data_statement_token1] = ACTIONS(1400),
    [aux_sym_load_data_statement_token1] = ACTIONS(1400),
    [sym__quoted_identifier] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
  },
  [4158] = {
    [sym_analytics_clause] = STATE(4689),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [4159] = {
    [sym_analytics_clause] = STATE(4496),
    [sym__unquoted_identifier] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1400),
    [aux_sym__keyword_alter_token1] = ACTIONS(1400),
    [aux_sym__keyword_delete_token1] = ACTIONS(1400),
    [aux_sym__keyword_begin_token1] = ACTIONS(1400),
    [aux_sym__keyword_end_token1] = ACTIONS(1400),
    [aux_sym__keyword_when_token1] = ACTIONS(1400),
    [aux_sym__keyword_else_token1] = ACTIONS(1400),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1400),
    [aux_sym__keyword_as_token1] = ACTIONS(1400),
    [aux_sym__keyword_window_token1] = ACTIONS(1400),
    [aux_sym__keyword_date_token1] = ACTIONS(1400),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1400),
    [aux_sym__keyword_time_token1] = ACTIONS(1400),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1400),
    [aux_sym__keyword_for_token1] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1400),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1400),
    [aux_sym_using_clause_token1] = ACTIONS(1400),
    [aux_sym_return_satement_token1] = ACTIONS(1400),
    [aux_sym_call_statement_token1] = ACTIONS(1400),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1400),
    [aux_sym_if_statement_token1] = ACTIONS(1400),
    [aux_sym_loop_statement_token1] = ACTIONS(1400),
    [aux_sym_repeat_statement_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token1] = ACTIONS(1400),
    [aux_sym_break_statement_token1] = ACTIONS(1400),
    [aux_sym_leave_statement_token1] = ACTIONS(1400),
    [aux_sym_continue_statement_token1] = ACTIONS(1400),
    [aux_sym_iterate_statement_token1] = ACTIONS(1400),
    [aux_sym_raise_statement_token1] = ACTIONS(1400),
    [aux_sym_assert_statement_token1] = ACTIONS(1400),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1400),
    [aux_sym_set_operation_token1] = ACTIONS(1400),
    [aux_sym_set_operation_token3] = ACTIONS(1400),
    [aux_sym_set_operation_token4] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1400),
    [aux_sym_having_clause_token1] = ACTIONS(1400),
    [aux_sym_qualify_clause_token1] = ACTIONS(1400),
    [aux_sym_limit_clause_token1] = ACTIONS(1400),
    [aux_sym_group_by_clause_token1] = ACTIONS(1400),
    [aux_sym_order_by_clause_token1] = ACTIONS(1400),
    [aux_sym_where_clause_token1] = ACTIONS(1400),
    [aux_sym_pivot_operator_token1] = ACTIONS(1400),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1400),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1400),
    [aux_sym_join_type_token1] = ACTIONS(1400),
    [aux_sym_join_type_token2] = ACTIONS(1400),
    [aux_sym_join_type_token3] = ACTIONS(1400),
    [aux_sym_join_type_token4] = ACTIONS(1400),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1400),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1400),
    [aux_sym_join_condition_token1] = ACTIONS(1400),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1400),
    [aux_sym_truncate_statement_token1] = ACTIONS(1400),
    [aux_sym_update_statement_token1] = ACTIONS(1400),
    [aux_sym_merge_statement_token1] = ACTIONS(1400),
    [aux_sym_grant_statement_token1] = ACTIONS(1400),
    [aux_sym_revoke_statement_token1] = ACTIONS(1400),
    [aux_sym_export_data_statement_token1] = ACTIONS(1400),
    [aux_sym_load_data_statement_token1] = ACTIONS(1400),
    [sym__quoted_identifier] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
  },
  [4160] = {
    [sym_analytics_clause] = STATE(4481),
    [sym__unquoted_identifier] = ACTIONS(1408),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1408),
    [aux_sym__keyword_alter_token1] = ACTIONS(1408),
    [aux_sym__keyword_delete_token1] = ACTIONS(1408),
    [aux_sym__keyword_begin_token1] = ACTIONS(1408),
    [aux_sym__keyword_end_token1] = ACTIONS(1408),
    [aux_sym__keyword_when_token1] = ACTIONS(1408),
    [aux_sym__keyword_else_token1] = ACTIONS(1408),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1408),
    [aux_sym__keyword_as_token1] = ACTIONS(1408),
    [aux_sym__keyword_window_token1] = ACTIONS(1408),
    [aux_sym__keyword_date_token1] = ACTIONS(1408),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1408),
    [aux_sym__keyword_time_token1] = ACTIONS(1408),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1408),
    [aux_sym__keyword_for_token1] = ACTIONS(1408),
    [anon_sym_SEMI] = ACTIONS(1406),
    [aux_sym_declare_statement_token1] = ACTIONS(1408),
    [anon_sym_COMMA] = ACTIONS(1406),
    [aux_sym_set_statement_token1] = ACTIONS(1408),
    [anon_sym_LPAREN] = ACTIONS(1406),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1408),
    [aux_sym_using_clause_token1] = ACTIONS(1408),
    [aux_sym_return_satement_token1] = ACTIONS(1408),
    [aux_sym_call_statement_token1] = ACTIONS(1408),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1408),
    [aux_sym_if_statement_token1] = ACTIONS(1408),
    [aux_sym_loop_statement_token1] = ACTIONS(1408),
    [aux_sym_repeat_statement_token1] = ACTIONS(1408),
    [aux_sym_while_statement_token1] = ACTIONS(1408),
    [aux_sym_break_statement_token1] = ACTIONS(1408),
    [aux_sym_leave_statement_token1] = ACTIONS(1408),
    [aux_sym_continue_statement_token1] = ACTIONS(1408),
    [aux_sym_iterate_statement_token1] = ACTIONS(1408),
    [aux_sym_raise_statement_token1] = ACTIONS(1408),
    [aux_sym_assert_statement_token1] = ACTIONS(1408),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1408),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1408),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1408),
    [aux_sym_set_operation_token1] = ACTIONS(1408),
    [aux_sym_set_operation_token3] = ACTIONS(1408),
    [aux_sym_set_operation_token4] = ACTIONS(1408),
    [aux_sym_select_token1] = ACTIONS(1408),
    [aux_sym_having_clause_token1] = ACTIONS(1408),
    [aux_sym_qualify_clause_token1] = ACTIONS(1408),
    [aux_sym_limit_clause_token1] = ACTIONS(1408),
    [aux_sym_group_by_clause_token1] = ACTIONS(1408),
    [aux_sym_order_by_clause_token1] = ACTIONS(1408),
    [aux_sym_where_clause_token1] = ACTIONS(1408),
    [aux_sym_pivot_operator_token1] = ACTIONS(1408),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1408),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1408),
    [aux_sym_join_type_token1] = ACTIONS(1408),
    [aux_sym_join_type_token2] = ACTIONS(1408),
    [aux_sym_join_type_token3] = ACTIONS(1408),
    [aux_sym_join_type_token4] = ACTIONS(1408),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1408),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1408),
    [aux_sym_join_condition_token1] = ACTIONS(1408),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1408),
    [aux_sym_truncate_statement_token1] = ACTIONS(1408),
    [aux_sym_update_statement_token1] = ACTIONS(1408),
    [aux_sym_merge_statement_token1] = ACTIONS(1408),
    [aux_sym_grant_statement_token1] = ACTIONS(1408),
    [aux_sym_revoke_statement_token1] = ACTIONS(1408),
    [aux_sym_export_data_statement_token1] = ACTIONS(1408),
    [aux_sym_load_data_statement_token1] = ACTIONS(1408),
    [sym__quoted_identifier] = ACTIONS(1406),
    [sym_comment] = ACTIONS(3),
  },
  [4161] = {
    [sym_analytics_clause] = STATE(4472),
    [sym__unquoted_identifier] = ACTIONS(1412),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1412),
    [aux_sym__keyword_alter_token1] = ACTIONS(1412),
    [aux_sym__keyword_delete_token1] = ACTIONS(1412),
    [aux_sym__keyword_begin_token1] = ACTIONS(1412),
    [aux_sym__keyword_end_token1] = ACTIONS(1412),
    [aux_sym__keyword_when_token1] = ACTIONS(1412),
    [aux_sym__keyword_else_token1] = ACTIONS(1412),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1412),
    [aux_sym__keyword_as_token1] = ACTIONS(1412),
    [aux_sym__keyword_window_token1] = ACTIONS(1412),
    [aux_sym__keyword_date_token1] = ACTIONS(1412),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1412),
    [aux_sym__keyword_time_token1] = ACTIONS(1412),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1412),
    [aux_sym__keyword_for_token1] = ACTIONS(1412),
    [anon_sym_SEMI] = ACTIONS(1410),
    [aux_sym_declare_statement_token1] = ACTIONS(1412),
    [anon_sym_COMMA] = ACTIONS(1410),
    [aux_sym_set_statement_token1] = ACTIONS(1412),
    [anon_sym_LPAREN] = ACTIONS(1410),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1412),
    [aux_sym_using_clause_token1] = ACTIONS(1412),
    [aux_sym_return_satement_token1] = ACTIONS(1412),
    [aux_sym_call_statement_token1] = ACTIONS(1412),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1412),
    [aux_sym_if_statement_token1] = ACTIONS(1412),
    [aux_sym_loop_statement_token1] = ACTIONS(1412),
    [aux_sym_repeat_statement_token1] = ACTIONS(1412),
    [aux_sym_while_statement_token1] = ACTIONS(1412),
    [aux_sym_break_statement_token1] = ACTIONS(1412),
    [aux_sym_leave_statement_token1] = ACTIONS(1412),
    [aux_sym_continue_statement_token1] = ACTIONS(1412),
    [aux_sym_iterate_statement_token1] = ACTIONS(1412),
    [aux_sym_raise_statement_token1] = ACTIONS(1412),
    [aux_sym_assert_statement_token1] = ACTIONS(1412),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1412),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1412),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1412),
    [aux_sym_set_operation_token1] = ACTIONS(1412),
    [aux_sym_set_operation_token3] = ACTIONS(1412),
    [aux_sym_set_operation_token4] = ACTIONS(1412),
    [aux_sym_select_token1] = ACTIONS(1412),
    [aux_sym_having_clause_token1] = ACTIONS(1412),
    [aux_sym_qualify_clause_token1] = ACTIONS(1412),
    [aux_sym_limit_clause_token1] = ACTIONS(1412),
    [aux_sym_group_by_clause_token1] = ACTIONS(1412),
    [aux_sym_order_by_clause_token1] = ACTIONS(1412),
    [aux_sym_where_clause_token1] = ACTIONS(1412),
    [aux_sym_pivot_operator_token1] = ACTIONS(1412),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1412),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1412),
    [aux_sym_join_type_token1] = ACTIONS(1412),
    [aux_sym_join_type_token2] = ACTIONS(1412),
    [aux_sym_join_type_token3] = ACTIONS(1412),
    [aux_sym_join_type_token4] = ACTIONS(1412),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1412),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1412),
    [aux_sym_join_condition_token1] = ACTIONS(1412),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1412),
    [aux_sym_truncate_statement_token1] = ACTIONS(1412),
    [aux_sym_update_statement_token1] = ACTIONS(1412),
    [aux_sym_merge_statement_token1] = ACTIONS(1412),
    [aux_sym_grant_statement_token1] = ACTIONS(1412),
    [aux_sym_revoke_statement_token1] = ACTIONS(1412),
    [aux_sym_export_data_statement_token1] = ACTIONS(1412),
    [aux_sym_load_data_statement_token1] = ACTIONS(1412),
    [sym__quoted_identifier] = ACTIONS(1410),
    [sym_comment] = ACTIONS(3),
  },
  [4162] = {
    [sym_analytics_clause] = STATE(4471),
    [sym__unquoted_identifier] = ACTIONS(1416),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1416),
    [aux_sym__keyword_alter_token1] = ACTIONS(1416),
    [aux_sym__keyword_delete_token1] = ACTIONS(1416),
    [aux_sym__keyword_begin_token1] = ACTIONS(1416),
    [aux_sym__keyword_end_token1] = ACTIONS(1416),
    [aux_sym__keyword_when_token1] = ACTIONS(1416),
    [aux_sym__keyword_else_token1] = ACTIONS(1416),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1416),
    [aux_sym__keyword_as_token1] = ACTIONS(1416),
    [aux_sym__keyword_window_token1] = ACTIONS(1416),
    [aux_sym__keyword_date_token1] = ACTIONS(1416),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1416),
    [aux_sym__keyword_time_token1] = ACTIONS(1416),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1416),
    [aux_sym__keyword_for_token1] = ACTIONS(1416),
    [anon_sym_SEMI] = ACTIONS(1414),
    [aux_sym_declare_statement_token1] = ACTIONS(1416),
    [anon_sym_COMMA] = ACTIONS(1414),
    [aux_sym_set_statement_token1] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1416),
    [aux_sym_using_clause_token1] = ACTIONS(1416),
    [aux_sym_return_satement_token1] = ACTIONS(1416),
    [aux_sym_call_statement_token1] = ACTIONS(1416),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1416),
    [aux_sym_if_statement_token1] = ACTIONS(1416),
    [aux_sym_loop_statement_token1] = ACTIONS(1416),
    [aux_sym_repeat_statement_token1] = ACTIONS(1416),
    [aux_sym_while_statement_token1] = ACTIONS(1416),
    [aux_sym_break_statement_token1] = ACTIONS(1416),
    [aux_sym_leave_statement_token1] = ACTIONS(1416),
    [aux_sym_continue_statement_token1] = ACTIONS(1416),
    [aux_sym_iterate_statement_token1] = ACTIONS(1416),
    [aux_sym_raise_statement_token1] = ACTIONS(1416),
    [aux_sym_assert_statement_token1] = ACTIONS(1416),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1416),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1416),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1416),
    [aux_sym_set_operation_token1] = ACTIONS(1416),
    [aux_sym_set_operation_token3] = ACTIONS(1416),
    [aux_sym_set_operation_token4] = ACTIONS(1416),
    [aux_sym_select_token1] = ACTIONS(1416),
    [aux_sym_having_clause_token1] = ACTIONS(1416),
    [aux_sym_qualify_clause_token1] = ACTIONS(1416),
    [aux_sym_limit_clause_token1] = ACTIONS(1416),
    [aux_sym_group_by_clause_token1] = ACTIONS(1416),
    [aux_sym_order_by_clause_token1] = ACTIONS(1416),
    [aux_sym_where_clause_token1] = ACTIONS(1416),
    [aux_sym_pivot_operator_token1] = ACTIONS(1416),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1416),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1416),
    [aux_sym_join_type_token1] = ACTIONS(1416),
    [aux_sym_join_type_token2] = ACTIONS(1416),
    [aux_sym_join_type_token3] = ACTIONS(1416),
    [aux_sym_join_type_token4] = ACTIONS(1416),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1416),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1416),
    [aux_sym_join_condition_token1] = ACTIONS(1416),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1416),
    [aux_sym_truncate_statement_token1] = ACTIONS(1416),
    [aux_sym_update_statement_token1] = ACTIONS(1416),
    [aux_sym_merge_statement_token1] = ACTIONS(1416),
    [aux_sym_grant_statement_token1] = ACTIONS(1416),
    [aux_sym_revoke_statement_token1] = ACTIONS(1416),
    [aux_sym_export_data_statement_token1] = ACTIONS(1416),
    [aux_sym_load_data_statement_token1] = ACTIONS(1416),
    [sym__quoted_identifier] = ACTIONS(1414),
    [sym_comment] = ACTIONS(3),
  },
  [4163] = {
    [sym_analytics_clause] = STATE(4470),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_end_token1] = ACTIONS(1420),
    [aux_sym__keyword_when_token1] = ACTIONS(1420),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_window_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_using_clause_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_repeat_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token3] = ACTIONS(1420),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_having_clause_token1] = ACTIONS(1420),
    [aux_sym_qualify_clause_token1] = ACTIONS(1420),
    [aux_sym_limit_clause_token1] = ACTIONS(1420),
    [aux_sym_group_by_clause_token1] = ACTIONS(1420),
    [aux_sym_order_by_clause_token1] = ACTIONS(1420),
    [aux_sym_where_clause_token1] = ACTIONS(1420),
    [aux_sym_pivot_operator_token1] = ACTIONS(1420),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1420),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1420),
    [aux_sym_join_type_token1] = ACTIONS(1420),
    [aux_sym_join_type_token2] = ACTIONS(1420),
    [aux_sym_join_type_token3] = ACTIONS(1420),
    [aux_sym_join_type_token4] = ACTIONS(1420),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1420),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1420),
    [aux_sym_join_condition_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
  },
  [4164] = {
    [sym_analytics_clause] = STATE(4468),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_end_token1] = ACTIONS(1420),
    [aux_sym__keyword_when_token1] = ACTIONS(1420),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_window_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_using_clause_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_repeat_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token3] = ACTIONS(1420),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_having_clause_token1] = ACTIONS(1420),
    [aux_sym_qualify_clause_token1] = ACTIONS(1420),
    [aux_sym_limit_clause_token1] = ACTIONS(1420),
    [aux_sym_group_by_clause_token1] = ACTIONS(1420),
    [aux_sym_order_by_clause_token1] = ACTIONS(1420),
    [aux_sym_where_clause_token1] = ACTIONS(1420),
    [aux_sym_pivot_operator_token1] = ACTIONS(1420),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1420),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1420),
    [aux_sym_join_type_token1] = ACTIONS(1420),
    [aux_sym_join_type_token2] = ACTIONS(1420),
    [aux_sym_join_type_token3] = ACTIONS(1420),
    [aux_sym_join_type_token4] = ACTIONS(1420),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1420),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1420),
    [aux_sym_join_condition_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
  },
  [4165] = {
    [sym_analytics_clause] = STATE(4467),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_end_token1] = ACTIONS(1420),
    [aux_sym__keyword_when_token1] = ACTIONS(1420),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_window_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_using_clause_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_repeat_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token3] = ACTIONS(1420),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_having_clause_token1] = ACTIONS(1420),
    [aux_sym_qualify_clause_token1] = ACTIONS(1420),
    [aux_sym_limit_clause_token1] = ACTIONS(1420),
    [aux_sym_group_by_clause_token1] = ACTIONS(1420),
    [aux_sym_order_by_clause_token1] = ACTIONS(1420),
    [aux_sym_where_clause_token1] = ACTIONS(1420),
    [aux_sym_pivot_operator_token1] = ACTIONS(1420),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1420),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1420),
    [aux_sym_join_type_token1] = ACTIONS(1420),
    [aux_sym_join_type_token2] = ACTIONS(1420),
    [aux_sym_join_type_token3] = ACTIONS(1420),
    [aux_sym_join_type_token4] = ACTIONS(1420),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1420),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1420),
    [aux_sym_join_condition_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
  },
  [4166] = {
    [sym_analytics_clause] = STATE(4466),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_end_token1] = ACTIONS(1420),
    [aux_sym__keyword_when_token1] = ACTIONS(1420),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_window_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_using_clause_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_repeat_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token3] = ACTIONS(1420),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_having_clause_token1] = ACTIONS(1420),
    [aux_sym_qualify_clause_token1] = ACTIONS(1420),
    [aux_sym_limit_clause_token1] = ACTIONS(1420),
    [aux_sym_group_by_clause_token1] = ACTIONS(1420),
    [aux_sym_order_by_clause_token1] = ACTIONS(1420),
    [aux_sym_where_clause_token1] = ACTIONS(1420),
    [aux_sym_pivot_operator_token1] = ACTIONS(1420),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1420),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1420),
    [aux_sym_join_type_token1] = ACTIONS(1420),
    [aux_sym_join_type_token2] = ACTIONS(1420),
    [aux_sym_join_type_token3] = ACTIONS(1420),
    [aux_sym_join_type_token4] = ACTIONS(1420),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1420),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1420),
    [aux_sym_join_condition_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
  },
  [4167] = {
    [sym_analytics_clause] = STATE(4691),
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [4168] = {
    [sym_analytics_clause] = STATE(4464),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_end_token1] = ACTIONS(1420),
    [aux_sym__keyword_when_token1] = ACTIONS(1420),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_window_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_using_clause_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_repeat_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token3] = ACTIONS(1420),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_having_clause_token1] = ACTIONS(1420),
    [aux_sym_qualify_clause_token1] = ACTIONS(1420),
    [aux_sym_limit_clause_token1] = ACTIONS(1420),
    [aux_sym_group_by_clause_token1] = ACTIONS(1420),
    [aux_sym_order_by_clause_token1] = ACTIONS(1420),
    [aux_sym_where_clause_token1] = ACTIONS(1420),
    [aux_sym_pivot_operator_token1] = ACTIONS(1420),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1420),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1420),
    [aux_sym_join_type_token1] = ACTIONS(1420),
    [aux_sym_join_type_token2] = ACTIONS(1420),
    [aux_sym_join_type_token3] = ACTIONS(1420),
    [aux_sym_join_type_token4] = ACTIONS(1420),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1420),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1420),
    [aux_sym_join_condition_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
  },
  [4169] = {
    [sym_analytics_clause] = STATE(4462),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_end_token1] = ACTIONS(1420),
    [aux_sym__keyword_when_token1] = ACTIONS(1420),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_window_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_using_clause_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_repeat_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token3] = ACTIONS(1420),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_having_clause_token1] = ACTIONS(1420),
    [aux_sym_qualify_clause_token1] = ACTIONS(1420),
    [aux_sym_limit_clause_token1] = ACTIONS(1420),
    [aux_sym_group_by_clause_token1] = ACTIONS(1420),
    [aux_sym_order_by_clause_token1] = ACTIONS(1420),
    [aux_sym_where_clause_token1] = ACTIONS(1420),
    [aux_sym_pivot_operator_token1] = ACTIONS(1420),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1420),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1420),
    [aux_sym_join_type_token1] = ACTIONS(1420),
    [aux_sym_join_type_token2] = ACTIONS(1420),
    [aux_sym_join_type_token3] = ACTIONS(1420),
    [aux_sym_join_type_token4] = ACTIONS(1420),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1420),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1420),
    [aux_sym_join_condition_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
  },
  [4170] = {
    [sym_analytics_clause] = STATE(4692),
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [4171] = {
    [sym_analytics_clause] = STATE(4461),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_end_token1] = ACTIONS(1420),
    [aux_sym__keyword_when_token1] = ACTIONS(1420),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_window_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_using_clause_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_repeat_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token3] = ACTIONS(1420),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_having_clause_token1] = ACTIONS(1420),
    [aux_sym_qualify_clause_token1] = ACTIONS(1420),
    [aux_sym_limit_clause_token1] = ACTIONS(1420),
    [aux_sym_group_by_clause_token1] = ACTIONS(1420),
    [aux_sym_order_by_clause_token1] = ACTIONS(1420),
    [aux_sym_where_clause_token1] = ACTIONS(1420),
    [aux_sym_pivot_operator_token1] = ACTIONS(1420),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1420),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1420),
    [aux_sym_join_type_token1] = ACTIONS(1420),
    [aux_sym_join_type_token2] = ACTIONS(1420),
    [aux_sym_join_type_token3] = ACTIONS(1420),
    [aux_sym_join_type_token4] = ACTIONS(1420),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1420),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1420),
    [aux_sym_join_condition_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
  },
  [4172] = {
    [sym_analytics_clause] = STATE(4459),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_end_token1] = ACTIONS(1420),
    [aux_sym__keyword_when_token1] = ACTIONS(1420),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_window_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_using_clause_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_repeat_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token3] = ACTIONS(1420),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_having_clause_token1] = ACTIONS(1420),
    [aux_sym_qualify_clause_token1] = ACTIONS(1420),
    [aux_sym_limit_clause_token1] = ACTIONS(1420),
    [aux_sym_group_by_clause_token1] = ACTIONS(1420),
    [aux_sym_order_by_clause_token1] = ACTIONS(1420),
    [aux_sym_where_clause_token1] = ACTIONS(1420),
    [aux_sym_pivot_operator_token1] = ACTIONS(1420),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1420),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1420),
    [aux_sym_join_type_token1] = ACTIONS(1420),
    [aux_sym_join_type_token2] = ACTIONS(1420),
    [aux_sym_join_type_token3] = ACTIONS(1420),
    [aux_sym_join_type_token4] = ACTIONS(1420),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1420),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1420),
    [aux_sym_join_condition_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
  },
  [4173] = {
    [sym_analytics_clause] = STATE(4458),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_end_token1] = ACTIONS(1420),
    [aux_sym__keyword_when_token1] = ACTIONS(1420),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_window_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_using_clause_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_repeat_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token3] = ACTIONS(1420),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_having_clause_token1] = ACTIONS(1420),
    [aux_sym_qualify_clause_token1] = ACTIONS(1420),
    [aux_sym_limit_clause_token1] = ACTIONS(1420),
    [aux_sym_group_by_clause_token1] = ACTIONS(1420),
    [aux_sym_order_by_clause_token1] = ACTIONS(1420),
    [aux_sym_where_clause_token1] = ACTIONS(1420),
    [aux_sym_pivot_operator_token1] = ACTIONS(1420),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1420),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1420),
    [aux_sym_join_type_token1] = ACTIONS(1420),
    [aux_sym_join_type_token2] = ACTIONS(1420),
    [aux_sym_join_type_token3] = ACTIONS(1420),
    [aux_sym_join_type_token4] = ACTIONS(1420),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1420),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1420),
    [aux_sym_join_condition_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
  },
  [4174] = {
    [sym_analytics_clause] = STATE(4452),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_end_token1] = ACTIONS(1420),
    [aux_sym__keyword_when_token1] = ACTIONS(1420),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_window_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_using_clause_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_repeat_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token3] = ACTIONS(1420),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_having_clause_token1] = ACTIONS(1420),
    [aux_sym_qualify_clause_token1] = ACTIONS(1420),
    [aux_sym_limit_clause_token1] = ACTIONS(1420),
    [aux_sym_group_by_clause_token1] = ACTIONS(1420),
    [aux_sym_order_by_clause_token1] = ACTIONS(1420),
    [aux_sym_where_clause_token1] = ACTIONS(1420),
    [aux_sym_pivot_operator_token1] = ACTIONS(1420),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1420),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1420),
    [aux_sym_join_type_token1] = ACTIONS(1420),
    [aux_sym_join_type_token2] = ACTIONS(1420),
    [aux_sym_join_type_token3] = ACTIONS(1420),
    [aux_sym_join_type_token4] = ACTIONS(1420),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1420),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1420),
    [aux_sym_join_condition_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
  },
  [4175] = {
    [sym_analytics_clause] = STATE(4431),
    [sym__unquoted_identifier] = ACTIONS(1424),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1424),
    [aux_sym__keyword_alter_token1] = ACTIONS(1424),
    [aux_sym__keyword_delete_token1] = ACTIONS(1424),
    [aux_sym__keyword_begin_token1] = ACTIONS(1424),
    [aux_sym__keyword_end_token1] = ACTIONS(1424),
    [aux_sym__keyword_when_token1] = ACTIONS(1424),
    [aux_sym__keyword_else_token1] = ACTIONS(1424),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1424),
    [aux_sym__keyword_as_token1] = ACTIONS(1424),
    [aux_sym__keyword_window_token1] = ACTIONS(1424),
    [aux_sym__keyword_date_token1] = ACTIONS(1424),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1424),
    [aux_sym__keyword_time_token1] = ACTIONS(1424),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1424),
    [aux_sym__keyword_for_token1] = ACTIONS(1424),
    [anon_sym_SEMI] = ACTIONS(1422),
    [aux_sym_declare_statement_token1] = ACTIONS(1424),
    [anon_sym_COMMA] = ACTIONS(1422),
    [aux_sym_set_statement_token1] = ACTIONS(1424),
    [anon_sym_LPAREN] = ACTIONS(1422),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1424),
    [aux_sym_using_clause_token1] = ACTIONS(1424),
    [aux_sym_return_satement_token1] = ACTIONS(1424),
    [aux_sym_call_statement_token1] = ACTIONS(1424),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1424),
    [aux_sym_if_statement_token1] = ACTIONS(1424),
    [aux_sym_loop_statement_token1] = ACTIONS(1424),
    [aux_sym_repeat_statement_token1] = ACTIONS(1424),
    [aux_sym_while_statement_token1] = ACTIONS(1424),
    [aux_sym_break_statement_token1] = ACTIONS(1424),
    [aux_sym_leave_statement_token1] = ACTIONS(1424),
    [aux_sym_continue_statement_token1] = ACTIONS(1424),
    [aux_sym_iterate_statement_token1] = ACTIONS(1424),
    [aux_sym_raise_statement_token1] = ACTIONS(1424),
    [aux_sym_assert_statement_token1] = ACTIONS(1424),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1424),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1424),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1424),
    [aux_sym_set_operation_token1] = ACTIONS(1424),
    [aux_sym_set_operation_token3] = ACTIONS(1424),
    [aux_sym_set_operation_token4] = ACTIONS(1424),
    [aux_sym_select_token1] = ACTIONS(1424),
    [aux_sym_having_clause_token1] = ACTIONS(1424),
    [aux_sym_qualify_clause_token1] = ACTIONS(1424),
    [aux_sym_limit_clause_token1] = ACTIONS(1424),
    [aux_sym_group_by_clause_token1] = ACTIONS(1424),
    [aux_sym_order_by_clause_token1] = ACTIONS(1424),
    [aux_sym_where_clause_token1] = ACTIONS(1424),
    [aux_sym_pivot_operator_token1] = ACTIONS(1424),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1424),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1424),
    [aux_sym_join_type_token1] = ACTIONS(1424),
    [aux_sym_join_type_token2] = ACTIONS(1424),
    [aux_sym_join_type_token3] = ACTIONS(1424),
    [aux_sym_join_type_token4] = ACTIONS(1424),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1424),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1424),
    [aux_sym_join_condition_token1] = ACTIONS(1424),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1424),
    [aux_sym_truncate_statement_token1] = ACTIONS(1424),
    [aux_sym_update_statement_token1] = ACTIONS(1424),
    [aux_sym_merge_statement_token1] = ACTIONS(1424),
    [aux_sym_grant_statement_token1] = ACTIONS(1424),
    [aux_sym_revoke_statement_token1] = ACTIONS(1424),
    [aux_sym_export_data_statement_token1] = ACTIONS(1424),
    [aux_sym_load_data_statement_token1] = ACTIONS(1424),
    [sym__quoted_identifier] = ACTIONS(1422),
    [sym_comment] = ACTIONS(3),
  },
  [4176] = {
    [sym_analytics_clause] = STATE(4694),
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [4177] = {
    [sym_analytics_clause] = STATE(4421),
    [sym__unquoted_identifier] = ACTIONS(1428),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1428),
    [aux_sym__keyword_alter_token1] = ACTIONS(1428),
    [aux_sym__keyword_delete_token1] = ACTIONS(1428),
    [aux_sym__keyword_begin_token1] = ACTIONS(1428),
    [aux_sym__keyword_end_token1] = ACTIONS(1428),
    [aux_sym__keyword_when_token1] = ACTIONS(1428),
    [aux_sym__keyword_else_token1] = ACTIONS(1428),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1428),
    [aux_sym__keyword_as_token1] = ACTIONS(1428),
    [aux_sym__keyword_window_token1] = ACTIONS(1428),
    [aux_sym__keyword_date_token1] = ACTIONS(1428),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1428),
    [aux_sym__keyword_time_token1] = ACTIONS(1428),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1428),
    [aux_sym__keyword_for_token1] = ACTIONS(1428),
    [anon_sym_SEMI] = ACTIONS(1426),
    [aux_sym_declare_statement_token1] = ACTIONS(1428),
    [anon_sym_COMMA] = ACTIONS(1426),
    [aux_sym_set_statement_token1] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(1426),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1428),
    [aux_sym_using_clause_token1] = ACTIONS(1428),
    [aux_sym_return_satement_token1] = ACTIONS(1428),
    [aux_sym_call_statement_token1] = ACTIONS(1428),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1428),
    [aux_sym_if_statement_token1] = ACTIONS(1428),
    [aux_sym_loop_statement_token1] = ACTIONS(1428),
    [aux_sym_repeat_statement_token1] = ACTIONS(1428),
    [aux_sym_while_statement_token1] = ACTIONS(1428),
    [aux_sym_break_statement_token1] = ACTIONS(1428),
    [aux_sym_leave_statement_token1] = ACTIONS(1428),
    [aux_sym_continue_statement_token1] = ACTIONS(1428),
    [aux_sym_iterate_statement_token1] = ACTIONS(1428),
    [aux_sym_raise_statement_token1] = ACTIONS(1428),
    [aux_sym_assert_statement_token1] = ACTIONS(1428),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1428),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1428),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1428),
    [aux_sym_set_operation_token1] = ACTIONS(1428),
    [aux_sym_set_operation_token3] = ACTIONS(1428),
    [aux_sym_set_operation_token4] = ACTIONS(1428),
    [aux_sym_select_token1] = ACTIONS(1428),
    [aux_sym_having_clause_token1] = ACTIONS(1428),
    [aux_sym_qualify_clause_token1] = ACTIONS(1428),
    [aux_sym_limit_clause_token1] = ACTIONS(1428),
    [aux_sym_group_by_clause_token1] = ACTIONS(1428),
    [aux_sym_order_by_clause_token1] = ACTIONS(1428),
    [aux_sym_where_clause_token1] = ACTIONS(1428),
    [aux_sym_pivot_operator_token1] = ACTIONS(1428),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1428),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1428),
    [aux_sym_join_type_token1] = ACTIONS(1428),
    [aux_sym_join_type_token2] = ACTIONS(1428),
    [aux_sym_join_type_token3] = ACTIONS(1428),
    [aux_sym_join_type_token4] = ACTIONS(1428),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1428),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1428),
    [aux_sym_join_condition_token1] = ACTIONS(1428),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1428),
    [aux_sym_truncate_statement_token1] = ACTIONS(1428),
    [aux_sym_update_statement_token1] = ACTIONS(1428),
    [aux_sym_merge_statement_token1] = ACTIONS(1428),
    [aux_sym_grant_statement_token1] = ACTIONS(1428),
    [aux_sym_revoke_statement_token1] = ACTIONS(1428),
    [aux_sym_export_data_statement_token1] = ACTIONS(1428),
    [aux_sym_load_data_statement_token1] = ACTIONS(1428),
    [sym__quoted_identifier] = ACTIONS(1426),
    [sym_comment] = ACTIONS(3),
  },
  [4178] = {
    [sym_analytics_clause] = STATE(4419),
    [sym__unquoted_identifier] = ACTIONS(1432),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1432),
    [aux_sym__keyword_alter_token1] = ACTIONS(1432),
    [aux_sym__keyword_delete_token1] = ACTIONS(1432),
    [aux_sym__keyword_begin_token1] = ACTIONS(1432),
    [aux_sym__keyword_end_token1] = ACTIONS(1432),
    [aux_sym__keyword_when_token1] = ACTIONS(1432),
    [aux_sym__keyword_else_token1] = ACTIONS(1432),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1432),
    [aux_sym__keyword_as_token1] = ACTIONS(1432),
    [aux_sym__keyword_window_token1] = ACTIONS(1432),
    [aux_sym__keyword_date_token1] = ACTIONS(1432),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1432),
    [aux_sym__keyword_time_token1] = ACTIONS(1432),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1432),
    [aux_sym__keyword_for_token1] = ACTIONS(1432),
    [anon_sym_SEMI] = ACTIONS(1430),
    [aux_sym_declare_statement_token1] = ACTIONS(1432),
    [anon_sym_COMMA] = ACTIONS(1430),
    [aux_sym_set_statement_token1] = ACTIONS(1432),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1432),
    [aux_sym_using_clause_token1] = ACTIONS(1432),
    [aux_sym_return_satement_token1] = ACTIONS(1432),
    [aux_sym_call_statement_token1] = ACTIONS(1432),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1432),
    [aux_sym_if_statement_token1] = ACTIONS(1432),
    [aux_sym_loop_statement_token1] = ACTIONS(1432),
    [aux_sym_repeat_statement_token1] = ACTIONS(1432),
    [aux_sym_while_statement_token1] = ACTIONS(1432),
    [aux_sym_break_statement_token1] = ACTIONS(1432),
    [aux_sym_leave_statement_token1] = ACTIONS(1432),
    [aux_sym_continue_statement_token1] = ACTIONS(1432),
    [aux_sym_iterate_statement_token1] = ACTIONS(1432),
    [aux_sym_raise_statement_token1] = ACTIONS(1432),
    [aux_sym_assert_statement_token1] = ACTIONS(1432),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1432),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1432),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1432),
    [aux_sym_set_operation_token1] = ACTIONS(1432),
    [aux_sym_set_operation_token3] = ACTIONS(1432),
    [aux_sym_set_operation_token4] = ACTIONS(1432),
    [aux_sym_select_token1] = ACTIONS(1432),
    [aux_sym_having_clause_token1] = ACTIONS(1432),
    [aux_sym_qualify_clause_token1] = ACTIONS(1432),
    [aux_sym_limit_clause_token1] = ACTIONS(1432),
    [aux_sym_group_by_clause_token1] = ACTIONS(1432),
    [aux_sym_order_by_clause_token1] = ACTIONS(1432),
    [aux_sym_where_clause_token1] = ACTIONS(1432),
    [aux_sym_pivot_operator_token1] = ACTIONS(1432),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1432),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1432),
    [aux_sym_join_type_token1] = ACTIONS(1432),
    [aux_sym_join_type_token2] = ACTIONS(1432),
    [aux_sym_join_type_token3] = ACTIONS(1432),
    [aux_sym_join_type_token4] = ACTIONS(1432),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1432),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1432),
    [aux_sym_join_condition_token1] = ACTIONS(1432),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1432),
    [aux_sym_truncate_statement_token1] = ACTIONS(1432),
    [aux_sym_update_statement_token1] = ACTIONS(1432),
    [aux_sym_merge_statement_token1] = ACTIONS(1432),
    [aux_sym_grant_statement_token1] = ACTIONS(1432),
    [aux_sym_revoke_statement_token1] = ACTIONS(1432),
    [aux_sym_export_data_statement_token1] = ACTIONS(1432),
    [aux_sym_load_data_statement_token1] = ACTIONS(1432),
    [sym__quoted_identifier] = ACTIONS(1430),
    [sym_comment] = ACTIONS(3),
  },
  [4179] = {
    [sym_analytics_clause] = STATE(4695),
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [4180] = {
    [sym__keyword_between] = STATE(1087),
    [sym__keyword_is] = STATE(12139),
    [sym__keyword_in] = STATE(1373),
    [sym__keyword_not] = STATE(13070),
    [sym__keyword_and] = STATE(1433),
    [sym__keyword_or] = STATE(1436),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(1031),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1031),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1031),
    [aux_sym_keyword_replace_token1] = ACTIONS(1031),
    [aux_sym__keyword_alter_token1] = ACTIONS(1031),
    [aux_sym__keyword_delete_token1] = ACTIONS(1031),
    [aux_sym__keyword_begin_token1] = ACTIONS(1031),
    [aux_sym__keyword_between_token1] = ACTIONS(1031),
    [aux_sym__keyword_is_token1] = ACTIONS(1031),
    [aux_sym__keyword_in_token1] = ACTIONS(1033),
    [aux_sym__keyword_and_token1] = ACTIONS(1031),
    [aux_sym__keyword_like_token1] = ACTIONS(1031),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1031),
    [aux_sym__keyword_as_token1] = ACTIONS(1033),
    [aux_sym__keyword_for_token1] = ACTIONS(1031),
    [anon_sym_SEMI] = ACTIONS(1031),
    [aux_sym_declare_statement_token1] = ACTIONS(1031),
    [aux_sym_set_statement_token1] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1031),
    [aux_sym_return_satement_token1] = ACTIONS(1031),
    [aux_sym_call_statement_token1] = ACTIONS(1031),
    [aux_sym_loop_statement_token1] = ACTIONS(1031),
    [aux_sym_while_statement_token1] = ACTIONS(1031),
    [aux_sym_break_statement_token1] = ACTIONS(1031),
    [aux_sym_leave_statement_token1] = ACTIONS(1031),
    [aux_sym_continue_statement_token1] = ACTIONS(1031),
    [aux_sym_iterate_statement_token1] = ACTIONS(1031),
    [aux_sym_raise_statement_token1] = ACTIONS(1031),
    [anon_sym_EQ] = ACTIONS(1031),
    [aux_sym_assert_statement_token1] = ACTIONS(1031),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1031),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1031),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1031),
    [anon_sym_LT] = ACTIONS(1033),
    [anon_sym_GT] = ACTIONS(1033),
    [aux_sym_select_token1] = ACTIONS(1031),
    [aux_sym_insert_statement_token1] = ACTIONS(1031),
    [aux_sym_truncate_statement_token1] = ACTIONS(1031),
    [aux_sym_update_statement_token1] = ACTIONS(1031),
    [aux_sym_merge_statement_token1] = ACTIONS(1031),
    [aux_sym_grant_statement_token1] = ACTIONS(1031),
    [aux_sym_revoke_statement_token1] = ACTIONS(1031),
    [aux_sym_export_data_statement_token1] = ACTIONS(1031),
    [aux_sym_load_data_statement_token1] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1031),
    [anon_sym_PLUS] = ACTIONS(3338),
    [anon_sym_DASH] = ACTIONS(3340),
    [anon_sym_STAR] = ACTIONS(3342),
    [anon_sym_SLASH] = ACTIONS(3344),
    [anon_sym_PIPE_PIPE] = ACTIONS(3342),
    [anon_sym_LT_EQ] = ACTIONS(1031),
    [anon_sym_LT_GT] = ACTIONS(1031),
    [anon_sym_GT_EQ] = ACTIONS(1031),
    [anon_sym_BANG_EQ] = ACTIONS(1031),
    [anon_sym_LT_LT] = ACTIONS(3346),
    [anon_sym_GT_GT] = ACTIONS(3346),
    [anon_sym_AMP] = ACTIONS(3348),
    [anon_sym_CARET] = ACTIONS(3350),
    [anon_sym_PIPE] = ACTIONS(3352),
  },
  [4181] = {
    [sym_analytics_clause] = STATE(4477),
    [sym__unquoted_identifier] = ACTIONS(1440),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1440),
    [aux_sym__keyword_alter_token1] = ACTIONS(1440),
    [aux_sym__keyword_delete_token1] = ACTIONS(1440),
    [aux_sym__keyword_begin_token1] = ACTIONS(1440),
    [aux_sym__keyword_end_token1] = ACTIONS(1440),
    [aux_sym__keyword_when_token1] = ACTIONS(1440),
    [aux_sym__keyword_else_token1] = ACTIONS(1440),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1440),
    [aux_sym__keyword_as_token1] = ACTIONS(1440),
    [aux_sym__keyword_window_token1] = ACTIONS(1440),
    [aux_sym__keyword_date_token1] = ACTIONS(1440),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1440),
    [aux_sym__keyword_time_token1] = ACTIONS(1440),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1440),
    [aux_sym__keyword_for_token1] = ACTIONS(1440),
    [anon_sym_SEMI] = ACTIONS(1438),
    [aux_sym_declare_statement_token1] = ACTIONS(1440),
    [anon_sym_COMMA] = ACTIONS(1438),
    [aux_sym_set_statement_token1] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1438),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1440),
    [aux_sym_using_clause_token1] = ACTIONS(1440),
    [aux_sym_return_satement_token1] = ACTIONS(1440),
    [aux_sym_call_statement_token1] = ACTIONS(1440),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1440),
    [aux_sym_if_statement_token1] = ACTIONS(1440),
    [aux_sym_loop_statement_token1] = ACTIONS(1440),
    [aux_sym_repeat_statement_token1] = ACTIONS(1440),
    [aux_sym_while_statement_token1] = ACTIONS(1440),
    [aux_sym_break_statement_token1] = ACTIONS(1440),
    [aux_sym_leave_statement_token1] = ACTIONS(1440),
    [aux_sym_continue_statement_token1] = ACTIONS(1440),
    [aux_sym_iterate_statement_token1] = ACTIONS(1440),
    [aux_sym_raise_statement_token1] = ACTIONS(1440),
    [aux_sym_assert_statement_token1] = ACTIONS(1440),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1440),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1440),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1440),
    [aux_sym_set_operation_token1] = ACTIONS(1440),
    [aux_sym_set_operation_token3] = ACTIONS(1440),
    [aux_sym_set_operation_token4] = ACTIONS(1440),
    [aux_sym_select_token1] = ACTIONS(1440),
    [aux_sym_having_clause_token1] = ACTIONS(1440),
    [aux_sym_qualify_clause_token1] = ACTIONS(1440),
    [aux_sym_limit_clause_token1] = ACTIONS(1440),
    [aux_sym_group_by_clause_token1] = ACTIONS(1440),
    [aux_sym_order_by_clause_token1] = ACTIONS(1440),
    [aux_sym_where_clause_token1] = ACTIONS(1440),
    [aux_sym_pivot_operator_token1] = ACTIONS(1440),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1440),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1440),
    [aux_sym_join_type_token1] = ACTIONS(1440),
    [aux_sym_join_type_token2] = ACTIONS(1440),
    [aux_sym_join_type_token3] = ACTIONS(1440),
    [aux_sym_join_type_token4] = ACTIONS(1440),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1440),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1440),
    [aux_sym_join_condition_token1] = ACTIONS(1440),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1440),
    [aux_sym_truncate_statement_token1] = ACTIONS(1440),
    [aux_sym_update_statement_token1] = ACTIONS(1440),
    [aux_sym_merge_statement_token1] = ACTIONS(1440),
    [aux_sym_grant_statement_token1] = ACTIONS(1440),
    [aux_sym_revoke_statement_token1] = ACTIONS(1440),
    [aux_sym_export_data_statement_token1] = ACTIONS(1440),
    [aux_sym_load_data_statement_token1] = ACTIONS(1440),
    [sym__quoted_identifier] = ACTIONS(1438),
    [sym_comment] = ACTIONS(3),
  },
  [4182] = {
    [sym_analytics_clause] = STATE(4482),
    [sym__unquoted_identifier] = ACTIONS(1452),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1452),
    [aux_sym__keyword_alter_token1] = ACTIONS(1452),
    [aux_sym__keyword_delete_token1] = ACTIONS(1452),
    [aux_sym__keyword_begin_token1] = ACTIONS(1452),
    [aux_sym__keyword_end_token1] = ACTIONS(1452),
    [aux_sym__keyword_when_token1] = ACTIONS(1452),
    [aux_sym__keyword_else_token1] = ACTIONS(1452),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1452),
    [aux_sym__keyword_as_token1] = ACTIONS(1452),
    [aux_sym__keyword_window_token1] = ACTIONS(1452),
    [aux_sym__keyword_date_token1] = ACTIONS(1452),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1452),
    [aux_sym__keyword_time_token1] = ACTIONS(1452),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1452),
    [aux_sym__keyword_for_token1] = ACTIONS(1452),
    [anon_sym_SEMI] = ACTIONS(1450),
    [aux_sym_declare_statement_token1] = ACTIONS(1452),
    [anon_sym_COMMA] = ACTIONS(1450),
    [aux_sym_set_statement_token1] = ACTIONS(1452),
    [anon_sym_LPAREN] = ACTIONS(1450),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1452),
    [aux_sym_using_clause_token1] = ACTIONS(1452),
    [aux_sym_return_satement_token1] = ACTIONS(1452),
    [aux_sym_call_statement_token1] = ACTIONS(1452),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1452),
    [aux_sym_if_statement_token1] = ACTIONS(1452),
    [aux_sym_loop_statement_token1] = ACTIONS(1452),
    [aux_sym_repeat_statement_token1] = ACTIONS(1452),
    [aux_sym_while_statement_token1] = ACTIONS(1452),
    [aux_sym_break_statement_token1] = ACTIONS(1452),
    [aux_sym_leave_statement_token1] = ACTIONS(1452),
    [aux_sym_continue_statement_token1] = ACTIONS(1452),
    [aux_sym_iterate_statement_token1] = ACTIONS(1452),
    [aux_sym_raise_statement_token1] = ACTIONS(1452),
    [aux_sym_assert_statement_token1] = ACTIONS(1452),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1452),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1452),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1452),
    [aux_sym_set_operation_token1] = ACTIONS(1452),
    [aux_sym_set_operation_token3] = ACTIONS(1452),
    [aux_sym_set_operation_token4] = ACTIONS(1452),
    [aux_sym_select_token1] = ACTIONS(1452),
    [aux_sym_having_clause_token1] = ACTIONS(1452),
    [aux_sym_qualify_clause_token1] = ACTIONS(1452),
    [aux_sym_limit_clause_token1] = ACTIONS(1452),
    [aux_sym_group_by_clause_token1] = ACTIONS(1452),
    [aux_sym_order_by_clause_token1] = ACTIONS(1452),
    [aux_sym_where_clause_token1] = ACTIONS(1452),
    [aux_sym_pivot_operator_token1] = ACTIONS(1452),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1452),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1452),
    [aux_sym_join_type_token1] = ACTIONS(1452),
    [aux_sym_join_type_token2] = ACTIONS(1452),
    [aux_sym_join_type_token3] = ACTIONS(1452),
    [aux_sym_join_type_token4] = ACTIONS(1452),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1452),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1452),
    [aux_sym_join_condition_token1] = ACTIONS(1452),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1452),
    [aux_sym_truncate_statement_token1] = ACTIONS(1452),
    [aux_sym_update_statement_token1] = ACTIONS(1452),
    [aux_sym_merge_statement_token1] = ACTIONS(1452),
    [aux_sym_grant_statement_token1] = ACTIONS(1452),
    [aux_sym_revoke_statement_token1] = ACTIONS(1452),
    [aux_sym_export_data_statement_token1] = ACTIONS(1452),
    [aux_sym_load_data_statement_token1] = ACTIONS(1452),
    [sym__quoted_identifier] = ACTIONS(1450),
    [sym_comment] = ACTIONS(3),
  },
  [4183] = {
    [sym_analytics_clause] = STATE(4494),
    [sym__unquoted_identifier] = ACTIONS(1452),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1452),
    [aux_sym__keyword_alter_token1] = ACTIONS(1452),
    [aux_sym__keyword_delete_token1] = ACTIONS(1452),
    [aux_sym__keyword_begin_token1] = ACTIONS(1452),
    [aux_sym__keyword_end_token1] = ACTIONS(1452),
    [aux_sym__keyword_when_token1] = ACTIONS(1452),
    [aux_sym__keyword_else_token1] = ACTIONS(1452),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1452),
    [aux_sym__keyword_as_token1] = ACTIONS(1452),
    [aux_sym__keyword_window_token1] = ACTIONS(1452),
    [aux_sym__keyword_date_token1] = ACTIONS(1452),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1452),
    [aux_sym__keyword_time_token1] = ACTIONS(1452),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1452),
    [aux_sym__keyword_for_token1] = ACTIONS(1452),
    [anon_sym_SEMI] = ACTIONS(1450),
    [aux_sym_declare_statement_token1] = ACTIONS(1452),
    [anon_sym_COMMA] = ACTIONS(1450),
    [aux_sym_set_statement_token1] = ACTIONS(1452),
    [anon_sym_LPAREN] = ACTIONS(1450),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1452),
    [aux_sym_using_clause_token1] = ACTIONS(1452),
    [aux_sym_return_satement_token1] = ACTIONS(1452),
    [aux_sym_call_statement_token1] = ACTIONS(1452),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1452),
    [aux_sym_if_statement_token1] = ACTIONS(1452),
    [aux_sym_loop_statement_token1] = ACTIONS(1452),
    [aux_sym_repeat_statement_token1] = ACTIONS(1452),
    [aux_sym_while_statement_token1] = ACTIONS(1452),
    [aux_sym_break_statement_token1] = ACTIONS(1452),
    [aux_sym_leave_statement_token1] = ACTIONS(1452),
    [aux_sym_continue_statement_token1] = ACTIONS(1452),
    [aux_sym_iterate_statement_token1] = ACTIONS(1452),
    [aux_sym_raise_statement_token1] = ACTIONS(1452),
    [aux_sym_assert_statement_token1] = ACTIONS(1452),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1452),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1452),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1452),
    [aux_sym_set_operation_token1] = ACTIONS(1452),
    [aux_sym_set_operation_token3] = ACTIONS(1452),
    [aux_sym_set_operation_token4] = ACTIONS(1452),
    [aux_sym_select_token1] = ACTIONS(1452),
    [aux_sym_having_clause_token1] = ACTIONS(1452),
    [aux_sym_qualify_clause_token1] = ACTIONS(1452),
    [aux_sym_limit_clause_token1] = ACTIONS(1452),
    [aux_sym_group_by_clause_token1] = ACTIONS(1452),
    [aux_sym_order_by_clause_token1] = ACTIONS(1452),
    [aux_sym_where_clause_token1] = ACTIONS(1452),
    [aux_sym_pivot_operator_token1] = ACTIONS(1452),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1452),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1452),
    [aux_sym_join_type_token1] = ACTIONS(1452),
    [aux_sym_join_type_token2] = ACTIONS(1452),
    [aux_sym_join_type_token3] = ACTIONS(1452),
    [aux_sym_join_type_token4] = ACTIONS(1452),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1452),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1452),
    [aux_sym_join_condition_token1] = ACTIONS(1452),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1452),
    [aux_sym_truncate_statement_token1] = ACTIONS(1452),
    [aux_sym_update_statement_token1] = ACTIONS(1452),
    [aux_sym_merge_statement_token1] = ACTIONS(1452),
    [aux_sym_grant_statement_token1] = ACTIONS(1452),
    [aux_sym_revoke_statement_token1] = ACTIONS(1452),
    [aux_sym_export_data_statement_token1] = ACTIONS(1452),
    [aux_sym_load_data_statement_token1] = ACTIONS(1452),
    [sym__quoted_identifier] = ACTIONS(1450),
    [sym_comment] = ACTIONS(3),
  },
  [4184] = {
    [sym_analytics_clause] = STATE(4498),
    [sym__unquoted_identifier] = ACTIONS(1456),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1456),
    [aux_sym__keyword_alter_token1] = ACTIONS(1456),
    [aux_sym__keyword_delete_token1] = ACTIONS(1456),
    [aux_sym__keyword_begin_token1] = ACTIONS(1456),
    [aux_sym__keyword_end_token1] = ACTIONS(1456),
    [aux_sym__keyword_when_token1] = ACTIONS(1456),
    [aux_sym__keyword_else_token1] = ACTIONS(1456),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1456),
    [aux_sym__keyword_as_token1] = ACTIONS(1456),
    [aux_sym__keyword_window_token1] = ACTIONS(1456),
    [aux_sym__keyword_date_token1] = ACTIONS(1456),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1456),
    [aux_sym__keyword_time_token1] = ACTIONS(1456),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1456),
    [aux_sym__keyword_for_token1] = ACTIONS(1456),
    [anon_sym_SEMI] = ACTIONS(1454),
    [aux_sym_declare_statement_token1] = ACTIONS(1456),
    [anon_sym_COMMA] = ACTIONS(1454),
    [aux_sym_set_statement_token1] = ACTIONS(1456),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1456),
    [aux_sym_using_clause_token1] = ACTIONS(1456),
    [aux_sym_return_satement_token1] = ACTIONS(1456),
    [aux_sym_call_statement_token1] = ACTIONS(1456),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1456),
    [aux_sym_if_statement_token1] = ACTIONS(1456),
    [aux_sym_loop_statement_token1] = ACTIONS(1456),
    [aux_sym_repeat_statement_token1] = ACTIONS(1456),
    [aux_sym_while_statement_token1] = ACTIONS(1456),
    [aux_sym_break_statement_token1] = ACTIONS(1456),
    [aux_sym_leave_statement_token1] = ACTIONS(1456),
    [aux_sym_continue_statement_token1] = ACTIONS(1456),
    [aux_sym_iterate_statement_token1] = ACTIONS(1456),
    [aux_sym_raise_statement_token1] = ACTIONS(1456),
    [aux_sym_assert_statement_token1] = ACTIONS(1456),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1456),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1456),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1456),
    [aux_sym_set_operation_token1] = ACTIONS(1456),
    [aux_sym_set_operation_token3] = ACTIONS(1456),
    [aux_sym_set_operation_token4] = ACTIONS(1456),
    [aux_sym_select_token1] = ACTIONS(1456),
    [aux_sym_having_clause_token1] = ACTIONS(1456),
    [aux_sym_qualify_clause_token1] = ACTIONS(1456),
    [aux_sym_limit_clause_token1] = ACTIONS(1456),
    [aux_sym_group_by_clause_token1] = ACTIONS(1456),
    [aux_sym_order_by_clause_token1] = ACTIONS(1456),
    [aux_sym_where_clause_token1] = ACTIONS(1456),
    [aux_sym_pivot_operator_token1] = ACTIONS(1456),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1456),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1456),
    [aux_sym_join_type_token1] = ACTIONS(1456),
    [aux_sym_join_type_token2] = ACTIONS(1456),
    [aux_sym_join_type_token3] = ACTIONS(1456),
    [aux_sym_join_type_token4] = ACTIONS(1456),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1456),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1456),
    [aux_sym_join_condition_token1] = ACTIONS(1456),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1456),
    [aux_sym_truncate_statement_token1] = ACTIONS(1456),
    [aux_sym_update_statement_token1] = ACTIONS(1456),
    [aux_sym_merge_statement_token1] = ACTIONS(1456),
    [aux_sym_grant_statement_token1] = ACTIONS(1456),
    [aux_sym_revoke_statement_token1] = ACTIONS(1456),
    [aux_sym_export_data_statement_token1] = ACTIONS(1456),
    [aux_sym_load_data_statement_token1] = ACTIONS(1456),
    [sym__quoted_identifier] = ACTIONS(1454),
    [sym_comment] = ACTIONS(3),
  },
  [4185] = {
    [sym_analytics_clause] = STATE(4499),
    [sym__unquoted_identifier] = ACTIONS(1460),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1460),
    [aux_sym__keyword_alter_token1] = ACTIONS(1460),
    [aux_sym__keyword_delete_token1] = ACTIONS(1460),
    [aux_sym__keyword_begin_token1] = ACTIONS(1460),
    [aux_sym__keyword_end_token1] = ACTIONS(1460),
    [aux_sym__keyword_when_token1] = ACTIONS(1460),
    [aux_sym__keyword_else_token1] = ACTIONS(1460),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1460),
    [aux_sym__keyword_as_token1] = ACTIONS(1460),
    [aux_sym__keyword_window_token1] = ACTIONS(1460),
    [aux_sym__keyword_date_token1] = ACTIONS(1460),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1460),
    [aux_sym__keyword_time_token1] = ACTIONS(1460),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1460),
    [aux_sym__keyword_for_token1] = ACTIONS(1460),
    [anon_sym_SEMI] = ACTIONS(1458),
    [aux_sym_declare_statement_token1] = ACTIONS(1460),
    [anon_sym_COMMA] = ACTIONS(1458),
    [aux_sym_set_statement_token1] = ACTIONS(1460),
    [anon_sym_LPAREN] = ACTIONS(1458),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1460),
    [aux_sym_using_clause_token1] = ACTIONS(1460),
    [aux_sym_return_satement_token1] = ACTIONS(1460),
    [aux_sym_call_statement_token1] = ACTIONS(1460),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1460),
    [aux_sym_if_statement_token1] = ACTIONS(1460),
    [aux_sym_loop_statement_token1] = ACTIONS(1460),
    [aux_sym_repeat_statement_token1] = ACTIONS(1460),
    [aux_sym_while_statement_token1] = ACTIONS(1460),
    [aux_sym_break_statement_token1] = ACTIONS(1460),
    [aux_sym_leave_statement_token1] = ACTIONS(1460),
    [aux_sym_continue_statement_token1] = ACTIONS(1460),
    [aux_sym_iterate_statement_token1] = ACTIONS(1460),
    [aux_sym_raise_statement_token1] = ACTIONS(1460),
    [aux_sym_assert_statement_token1] = ACTIONS(1460),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1460),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1460),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1460),
    [aux_sym_set_operation_token1] = ACTIONS(1460),
    [aux_sym_set_operation_token3] = ACTIONS(1460),
    [aux_sym_set_operation_token4] = ACTIONS(1460),
    [aux_sym_select_token1] = ACTIONS(1460),
    [aux_sym_having_clause_token1] = ACTIONS(1460),
    [aux_sym_qualify_clause_token1] = ACTIONS(1460),
    [aux_sym_limit_clause_token1] = ACTIONS(1460),
    [aux_sym_group_by_clause_token1] = ACTIONS(1460),
    [aux_sym_order_by_clause_token1] = ACTIONS(1460),
    [aux_sym_where_clause_token1] = ACTIONS(1460),
    [aux_sym_pivot_operator_token1] = ACTIONS(1460),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1460),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1460),
    [aux_sym_join_type_token1] = ACTIONS(1460),
    [aux_sym_join_type_token2] = ACTIONS(1460),
    [aux_sym_join_type_token3] = ACTIONS(1460),
    [aux_sym_join_type_token4] = ACTIONS(1460),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1460),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1460),
    [aux_sym_join_condition_token1] = ACTIONS(1460),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1460),
    [aux_sym_truncate_statement_token1] = ACTIONS(1460),
    [aux_sym_update_statement_token1] = ACTIONS(1460),
    [aux_sym_merge_statement_token1] = ACTIONS(1460),
    [aux_sym_grant_statement_token1] = ACTIONS(1460),
    [aux_sym_revoke_statement_token1] = ACTIONS(1460),
    [aux_sym_export_data_statement_token1] = ACTIONS(1460),
    [aux_sym_load_data_statement_token1] = ACTIONS(1460),
    [sym__quoted_identifier] = ACTIONS(1458),
    [sym_comment] = ACTIONS(3),
  },
  [4186] = {
    [sym_analytics_clause] = STATE(4696),
    [ts_builtin_sym_end] = ACTIONS(1446),
    [sym__unquoted_identifier] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1448),
    [aux_sym_keyword_replace_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1448),
    [aux_sym__keyword_delete_token1] = ACTIONS(1448),
    [aux_sym__keyword_begin_token1] = ACTIONS(1448),
    [aux_sym__keyword_between_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1448),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1448),
    [aux_sym__keyword_like_token1] = ACTIONS(1448),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1448),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_date_token1] = ACTIONS(1448),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1448),
    [aux_sym__keyword_time_token1] = ACTIONS(1448),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1448),
    [aux_sym_return_satement_token1] = ACTIONS(1448),
    [aux_sym_call_statement_token1] = ACTIONS(1448),
    [aux_sym_loop_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [aux_sym_leave_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_iterate_statement_token1] = ACTIONS(1448),
    [aux_sym_raise_statement_token1] = ACTIONS(1448),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1448),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1448),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1448),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1448),
    [aux_sym_truncate_statement_token1] = ACTIONS(1448),
    [aux_sym_update_statement_token1] = ACTIONS(1448),
    [aux_sym_merge_statement_token1] = ACTIONS(1448),
    [aux_sym_grant_statement_token1] = ACTIONS(1448),
    [aux_sym_revoke_statement_token1] = ACTIONS(1448),
    [aux_sym_export_data_statement_token1] = ACTIONS(1448),
    [aux_sym_load_data_statement_token1] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym__quoted_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [4187] = {
    [sym_analytics_clause] = STATE(4573),
    [sym__unquoted_identifier] = ACTIONS(1468),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1468),
    [aux_sym__keyword_alter_token1] = ACTIONS(1468),
    [aux_sym__keyword_delete_token1] = ACTIONS(1468),
    [aux_sym__keyword_begin_token1] = ACTIONS(1468),
    [aux_sym__keyword_end_token1] = ACTIONS(1468),
    [aux_sym__keyword_when_token1] = ACTIONS(1468),
    [aux_sym__keyword_else_token1] = ACTIONS(1468),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1468),
    [aux_sym__keyword_as_token1] = ACTIONS(1468),
    [aux_sym__keyword_window_token1] = ACTIONS(1468),
    [aux_sym__keyword_date_token1] = ACTIONS(1468),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1468),
    [aux_sym__keyword_time_token1] = ACTIONS(1468),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1468),
    [aux_sym__keyword_for_token1] = ACTIONS(1468),
    [anon_sym_SEMI] = ACTIONS(1466),
    [aux_sym_declare_statement_token1] = ACTIONS(1468),
    [anon_sym_COMMA] = ACTIONS(1466),
    [aux_sym_set_statement_token1] = ACTIONS(1468),
    [anon_sym_LPAREN] = ACTIONS(1466),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1468),
    [aux_sym_using_clause_token1] = ACTIONS(1468),
    [aux_sym_return_satement_token1] = ACTIONS(1468),
    [aux_sym_call_statement_token1] = ACTIONS(1468),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1468),
    [aux_sym_if_statement_token1] = ACTIONS(1468),
    [aux_sym_loop_statement_token1] = ACTIONS(1468),
    [aux_sym_repeat_statement_token1] = ACTIONS(1468),
    [aux_sym_while_statement_token1] = ACTIONS(1468),
    [aux_sym_break_statement_token1] = ACTIONS(1468),
    [aux_sym_leave_statement_token1] = ACTIONS(1468),
    [aux_sym_continue_statement_token1] = ACTIONS(1468),
    [aux_sym_iterate_statement_token1] = ACTIONS(1468),
    [aux_sym_raise_statement_token1] = ACTIONS(1468),
    [aux_sym_assert_statement_token1] = ACTIONS(1468),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1468),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1468),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1468),
    [aux_sym_set_operation_token1] = ACTIONS(1468),
    [aux_sym_set_operation_token3] = ACTIONS(1468),
    [aux_sym_set_operation_token4] = ACTIONS(1468),
    [aux_sym_select_token1] = ACTIONS(1468),
    [aux_sym_having_clause_token1] = ACTIONS(1468),
    [aux_sym_qualify_clause_token1] = ACTIONS(1468),
    [aux_sym_limit_clause_token1] = ACTIONS(1468),
    [aux_sym_group_by_clause_token1] = ACTIONS(1468),
    [aux_sym_order_by_clause_token1] = ACTIONS(1468),
    [aux_sym_where_clause_token1] = ACTIONS(1468),
    [aux_sym_pivot_operator_token1] = ACTIONS(1468),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1468),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1468),
    [aux_sym_join_type_token1] = ACTIONS(1468),
    [aux_sym_join_type_token2] = ACTIONS(1468),
    [aux_sym_join_type_token3] = ACTIONS(1468),
    [aux_sym_join_type_token4] = ACTIONS(1468),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1468),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1468),
    [aux_sym_join_condition_token1] = ACTIONS(1468),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1468),
    [aux_sym_truncate_statement_token1] = ACTIONS(1468),
    [aux_sym_update_statement_token1] = ACTIONS(1468),
    [aux_sym_merge_statement_token1] = ACTIONS(1468),
    [aux_sym_grant_statement_token1] = ACTIONS(1468),
    [aux_sym_revoke_statement_token1] = ACTIONS(1468),
    [aux_sym_export_data_statement_token1] = ACTIONS(1468),
    [aux_sym_load_data_statement_token1] = ACTIONS(1468),
    [sym__quoted_identifier] = ACTIONS(1466),
    [sym_comment] = ACTIONS(3),
  },
  [4188] = {
    [sym_analytics_clause] = STATE(4586),
    [sym__unquoted_identifier] = ACTIONS(1472),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1472),
    [aux_sym__keyword_alter_token1] = ACTIONS(1472),
    [aux_sym__keyword_delete_token1] = ACTIONS(1472),
    [aux_sym__keyword_begin_token1] = ACTIONS(1472),
    [aux_sym__keyword_end_token1] = ACTIONS(1472),
    [aux_sym__keyword_when_token1] = ACTIONS(1472),
    [aux_sym__keyword_else_token1] = ACTIONS(1472),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1472),
    [aux_sym__keyword_as_token1] = ACTIONS(1472),
    [aux_sym__keyword_window_token1] = ACTIONS(1472),
    [aux_sym__keyword_date_token1] = ACTIONS(1472),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1472),
    [aux_sym__keyword_time_token1] = ACTIONS(1472),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1472),
    [aux_sym__keyword_for_token1] = ACTIONS(1472),
    [anon_sym_SEMI] = ACTIONS(1470),
    [aux_sym_declare_statement_token1] = ACTIONS(1472),
    [anon_sym_COMMA] = ACTIONS(1470),
    [aux_sym_set_statement_token1] = ACTIONS(1472),
    [anon_sym_LPAREN] = ACTIONS(1470),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1472),
    [aux_sym_using_clause_token1] = ACTIONS(1472),
    [aux_sym_return_satement_token1] = ACTIONS(1472),
    [aux_sym_call_statement_token1] = ACTIONS(1472),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1472),
    [aux_sym_if_statement_token1] = ACTIONS(1472),
    [aux_sym_loop_statement_token1] = ACTIONS(1472),
    [aux_sym_repeat_statement_token1] = ACTIONS(1472),
    [aux_sym_while_statement_token1] = ACTIONS(1472),
    [aux_sym_break_statement_token1] = ACTIONS(1472),
    [aux_sym_leave_statement_token1] = ACTIONS(1472),
    [aux_sym_continue_statement_token1] = ACTIONS(1472),
    [aux_sym_iterate_statement_token1] = ACTIONS(1472),
    [aux_sym_raise_statement_token1] = ACTIONS(1472),
    [aux_sym_assert_statement_token1] = ACTIONS(1472),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1472),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1472),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1472),
    [aux_sym_set_operation_token1] = ACTIONS(1472),
    [aux_sym_set_operation_token3] = ACTIONS(1472),
    [aux_sym_set_operation_token4] = ACTIONS(1472),
    [aux_sym_select_token1] = ACTIONS(1472),
    [aux_sym_having_clause_token1] = ACTIONS(1472),
    [aux_sym_qualify_clause_token1] = ACTIONS(1472),
    [aux_sym_limit_clause_token1] = ACTIONS(1472),
    [aux_sym_group_by_clause_token1] = ACTIONS(1472),
    [aux_sym_order_by_clause_token1] = ACTIONS(1472),
    [aux_sym_where_clause_token1] = ACTIONS(1472),
    [aux_sym_pivot_operator_token1] = ACTIONS(1472),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1472),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1472),
    [aux_sym_join_type_token1] = ACTIONS(1472),
    [aux_sym_join_type_token2] = ACTIONS(1472),
    [aux_sym_join_type_token3] = ACTIONS(1472),
    [aux_sym_join_type_token4] = ACTIONS(1472),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1472),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1472),
    [aux_sym_join_condition_token1] = ACTIONS(1472),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1472),
    [aux_sym_truncate_statement_token1] = ACTIONS(1472),
    [aux_sym_update_statement_token1] = ACTIONS(1472),
    [aux_sym_merge_statement_token1] = ACTIONS(1472),
    [aux_sym_grant_statement_token1] = ACTIONS(1472),
    [aux_sym_revoke_statement_token1] = ACTIONS(1472),
    [aux_sym_export_data_statement_token1] = ACTIONS(1472),
    [aux_sym_load_data_statement_token1] = ACTIONS(1472),
    [sym__quoted_identifier] = ACTIONS(1470),
    [sym_comment] = ACTIONS(3),
  },
  [4189] = {
    [sym_analytics_clause] = STATE(4697),
    [ts_builtin_sym_end] = ACTIONS(1446),
    [sym__unquoted_identifier] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1448),
    [aux_sym_keyword_replace_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1448),
    [aux_sym__keyword_delete_token1] = ACTIONS(1448),
    [aux_sym__keyword_begin_token1] = ACTIONS(1448),
    [aux_sym__keyword_between_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1448),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1448),
    [aux_sym__keyword_like_token1] = ACTIONS(1448),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1448),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_date_token1] = ACTIONS(1448),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1448),
    [aux_sym__keyword_time_token1] = ACTIONS(1448),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1448),
    [aux_sym_return_satement_token1] = ACTIONS(1448),
    [aux_sym_call_statement_token1] = ACTIONS(1448),
    [aux_sym_loop_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [aux_sym_leave_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_iterate_statement_token1] = ACTIONS(1448),
    [aux_sym_raise_statement_token1] = ACTIONS(1448),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1448),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1448),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1448),
    [aux_sym_analytics_clause_token1] = ACTIONS(3356),
    [aux_sym_insert_statement_token1] = ACTIONS(1448),
    [aux_sym_truncate_statement_token1] = ACTIONS(1448),
    [aux_sym_update_statement_token1] = ACTIONS(1448),
    [aux_sym_merge_statement_token1] = ACTIONS(1448),
    [aux_sym_grant_statement_token1] = ACTIONS(1448),
    [aux_sym_revoke_statement_token1] = ACTIONS(1448),
    [aux_sym_export_data_statement_token1] = ACTIONS(1448),
    [aux_sym_load_data_statement_token1] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym__quoted_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [4190] = {
    [sym_analytics_clause] = STATE(4701),
    [sym__unquoted_identifier] = ACTIONS(1482),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1482),
    [aux_sym__keyword_alter_token1] = ACTIONS(1482),
    [aux_sym__keyword_delete_token1] = ACTIONS(1482),
    [aux_sym__keyword_begin_token1] = ACTIONS(1482),
    [aux_sym__keyword_end_token1] = ACTIONS(1482),
    [aux_sym__keyword_when_token1] = ACTIONS(1482),
    [aux_sym__keyword_else_token1] = ACTIONS(1482),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1482),
    [aux_sym__keyword_as_token1] = ACTIONS(1482),
    [aux_sym__keyword_window_token1] = ACTIONS(1482),
    [aux_sym__keyword_date_token1] = ACTIONS(1482),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1482),
    [aux_sym__keyword_time_token1] = ACTIONS(1482),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1482),
    [aux_sym__keyword_for_token1] = ACTIONS(1482),
    [anon_sym_SEMI] = ACTIONS(1480),
    [aux_sym_declare_statement_token1] = ACTIONS(1482),
    [anon_sym_COMMA] = ACTIONS(1480),
    [aux_sym_set_statement_token1] = ACTIONS(1482),
    [anon_sym_LPAREN] = ACTIONS(1480),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1482),
    [aux_sym_using_clause_token1] = ACTIONS(1482),
    [aux_sym_return_satement_token1] = ACTIONS(1482),
    [aux_sym_call_statement_token1] = ACTIONS(1482),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1482),
    [aux_sym_if_statement_token1] = ACTIONS(1482),
    [aux_sym_loop_statement_token1] = ACTIONS(1482),
    [aux_sym_repeat_statement_token1] = ACTIONS(1482),
    [aux_sym_while_statement_token1] = ACTIONS(1482),
    [aux_sym_break_statement_token1] = ACTIONS(1482),
    [aux_sym_leave_statement_token1] = ACTIONS(1482),
    [aux_sym_continue_statement_token1] = ACTIONS(1482),
    [aux_sym_iterate_statement_token1] = ACTIONS(1482),
    [aux_sym_raise_statement_token1] = ACTIONS(1482),
    [aux_sym_assert_statement_token1] = ACTIONS(1482),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1482),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1482),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1482),
    [aux_sym_set_operation_token1] = ACTIONS(1482),
    [aux_sym_set_operation_token3] = ACTIONS(1482),
    [aux_sym_set_operation_token4] = ACTIONS(1482),
    [aux_sym_select_token1] = ACTIONS(1482),
    [aux_sym_having_clause_token1] = ACTIONS(1482),
    [aux_sym_qualify_clause_token1] = ACTIONS(1482),
    [aux_sym_limit_clause_token1] = ACTIONS(1482),
    [aux_sym_group_by_clause_token1] = ACTIONS(1482),
    [aux_sym_order_by_clause_token1] = ACTIONS(1482),
    [aux_sym_where_clause_token1] = ACTIONS(1482),
    [aux_sym_pivot_operator_token1] = ACTIONS(1482),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1482),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1482),
    [aux_sym_join_type_token1] = ACTIONS(1482),
    [aux_sym_join_type_token2] = ACTIONS(1482),
    [aux_sym_join_type_token3] = ACTIONS(1482),
    [aux_sym_join_type_token4] = ACTIONS(1482),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1482),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1482),
    [aux_sym_join_condition_token1] = ACTIONS(1482),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1482),
    [aux_sym_truncate_statement_token1] = ACTIONS(1482),
    [aux_sym_update_statement_token1] = ACTIONS(1482),
    [aux_sym_merge_statement_token1] = ACTIONS(1482),
    [aux_sym_grant_statement_token1] = ACTIONS(1482),
    [aux_sym_revoke_statement_token1] = ACTIONS(1482),
    [aux_sym_export_data_statement_token1] = ACTIONS(1482),
    [aux_sym_load_data_statement_token1] = ACTIONS(1482),
    [sym__quoted_identifier] = ACTIONS(1480),
    [sym_comment] = ACTIONS(3),
  },
  [4191] = {
    [sym_analytics_clause] = STATE(4702),
    [sym__unquoted_identifier] = ACTIONS(1490),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1490),
    [aux_sym__keyword_alter_token1] = ACTIONS(1490),
    [aux_sym__keyword_delete_token1] = ACTIONS(1490),
    [aux_sym__keyword_begin_token1] = ACTIONS(1490),
    [aux_sym__keyword_end_token1] = ACTIONS(1490),
    [aux_sym__keyword_when_token1] = ACTIONS(1490),
    [aux_sym__keyword_else_token1] = ACTIONS(1490),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1490),
    [aux_sym__keyword_as_token1] = ACTIONS(1490),
    [aux_sym__keyword_window_token1] = ACTIONS(1490),
    [aux_sym__keyword_date_token1] = ACTIONS(1490),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1490),
    [aux_sym__keyword_time_token1] = ACTIONS(1490),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1490),
    [aux_sym__keyword_for_token1] = ACTIONS(1490),
    [anon_sym_SEMI] = ACTIONS(1488),
    [aux_sym_declare_statement_token1] = ACTIONS(1490),
    [anon_sym_COMMA] = ACTIONS(1488),
    [aux_sym_set_statement_token1] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1488),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1490),
    [aux_sym_using_clause_token1] = ACTIONS(1490),
    [aux_sym_return_satement_token1] = ACTIONS(1490),
    [aux_sym_call_statement_token1] = ACTIONS(1490),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1490),
    [aux_sym_if_statement_token1] = ACTIONS(1490),
    [aux_sym_loop_statement_token1] = ACTIONS(1490),
    [aux_sym_repeat_statement_token1] = ACTIONS(1490),
    [aux_sym_while_statement_token1] = ACTIONS(1490),
    [aux_sym_break_statement_token1] = ACTIONS(1490),
    [aux_sym_leave_statement_token1] = ACTIONS(1490),
    [aux_sym_continue_statement_token1] = ACTIONS(1490),
    [aux_sym_iterate_statement_token1] = ACTIONS(1490),
    [aux_sym_raise_statement_token1] = ACTIONS(1490),
    [aux_sym_assert_statement_token1] = ACTIONS(1490),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1490),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1490),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1490),
    [aux_sym_set_operation_token1] = ACTIONS(1490),
    [aux_sym_set_operation_token3] = ACTIONS(1490),
    [aux_sym_set_operation_token4] = ACTIONS(1490),
    [aux_sym_select_token1] = ACTIONS(1490),
    [aux_sym_having_clause_token1] = ACTIONS(1490),
    [aux_sym_qualify_clause_token1] = ACTIONS(1490),
    [aux_sym_limit_clause_token1] = ACTIONS(1490),
    [aux_sym_group_by_clause_token1] = ACTIONS(1490),
    [aux_sym_order_by_clause_token1] = ACTIONS(1490),
    [aux_sym_where_clause_token1] = ACTIONS(1490),
    [aux_sym_pivot_operator_token1] = ACTIONS(1490),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1490),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1490),
    [aux_sym_join_type_token1] = ACTIONS(1490),
    [aux_sym_join_type_token2] = ACTIONS(1490),
    [aux_sym_join_type_token3] = ACTIONS(1490),
    [aux_sym_join_type_token4] = ACTIONS(1490),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1490),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1490),
    [aux_sym_join_condition_token1] = ACTIONS(1490),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1490),
    [aux_sym_truncate_statement_token1] = ACTIONS(1490),
    [aux_sym_update_statement_token1] = ACTIONS(1490),
    [aux_sym_merge_statement_token1] = ACTIONS(1490),
    [aux_sym_grant_statement_token1] = ACTIONS(1490),
    [aux_sym_revoke_statement_token1] = ACTIONS(1490),
    [aux_sym_export_data_statement_token1] = ACTIONS(1490),
    [aux_sym_load_data_statement_token1] = ACTIONS(1490),
    [sym__quoted_identifier] = ACTIONS(1488),
    [sym_comment] = ACTIONS(3),
  },
  [4192] = {
    [sym_analytics_clause] = STATE(4704),
    [sym__unquoted_identifier] = ACTIONS(1494),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1494),
    [aux_sym__keyword_alter_token1] = ACTIONS(1494),
    [aux_sym__keyword_delete_token1] = ACTIONS(1494),
    [aux_sym__keyword_begin_token1] = ACTIONS(1494),
    [aux_sym__keyword_end_token1] = ACTIONS(1494),
    [aux_sym__keyword_when_token1] = ACTIONS(1494),
    [aux_sym__keyword_else_token1] = ACTIONS(1494),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1494),
    [aux_sym__keyword_as_token1] = ACTIONS(1494),
    [aux_sym__keyword_window_token1] = ACTIONS(1494),
    [aux_sym__keyword_date_token1] = ACTIONS(1494),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1494),
    [aux_sym__keyword_time_token1] = ACTIONS(1494),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1494),
    [aux_sym__keyword_for_token1] = ACTIONS(1494),
    [anon_sym_SEMI] = ACTIONS(1492),
    [aux_sym_declare_statement_token1] = ACTIONS(1494),
    [anon_sym_COMMA] = ACTIONS(1492),
    [aux_sym_set_statement_token1] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1494),
    [aux_sym_using_clause_token1] = ACTIONS(1494),
    [aux_sym_return_satement_token1] = ACTIONS(1494),
    [aux_sym_call_statement_token1] = ACTIONS(1494),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1494),
    [aux_sym_if_statement_token1] = ACTIONS(1494),
    [aux_sym_loop_statement_token1] = ACTIONS(1494),
    [aux_sym_repeat_statement_token1] = ACTIONS(1494),
    [aux_sym_while_statement_token1] = ACTIONS(1494),
    [aux_sym_break_statement_token1] = ACTIONS(1494),
    [aux_sym_leave_statement_token1] = ACTIONS(1494),
    [aux_sym_continue_statement_token1] = ACTIONS(1494),
    [aux_sym_iterate_statement_token1] = ACTIONS(1494),
    [aux_sym_raise_statement_token1] = ACTIONS(1494),
    [aux_sym_assert_statement_token1] = ACTIONS(1494),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1494),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1494),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1494),
    [aux_sym_set_operation_token1] = ACTIONS(1494),
    [aux_sym_set_operation_token3] = ACTIONS(1494),
    [aux_sym_set_operation_token4] = ACTIONS(1494),
    [aux_sym_select_token1] = ACTIONS(1494),
    [aux_sym_having_clause_token1] = ACTIONS(1494),
    [aux_sym_qualify_clause_token1] = ACTIONS(1494),
    [aux_sym_limit_clause_token1] = ACTIONS(1494),
    [aux_sym_group_by_clause_token1] = ACTIONS(1494),
    [aux_sym_order_by_clause_token1] = ACTIONS(1494),
    [aux_sym_where_clause_token1] = ACTIONS(1494),
    [aux_sym_pivot_operator_token1] = ACTIONS(1494),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1494),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1494),
    [aux_sym_join_type_token1] = ACTIONS(1494),
    [aux_sym_join_type_token2] = ACTIONS(1494),
    [aux_sym_join_type_token3] = ACTIONS(1494),
    [aux_sym_join_type_token4] = ACTIONS(1494),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1494),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1494),
    [aux_sym_join_condition_token1] = ACTIONS(1494),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1494),
    [aux_sym_truncate_statement_token1] = ACTIONS(1494),
    [aux_sym_update_statement_token1] = ACTIONS(1494),
    [aux_sym_merge_statement_token1] = ACTIONS(1494),
    [aux_sym_grant_statement_token1] = ACTIONS(1494),
    [aux_sym_revoke_statement_token1] = ACTIONS(1494),
    [aux_sym_export_data_statement_token1] = ACTIONS(1494),
    [aux_sym_load_data_statement_token1] = ACTIONS(1494),
    [sym__quoted_identifier] = ACTIONS(1492),
    [sym_comment] = ACTIONS(3),
  },
  [4193] = {
    [sym_analytics_clause] = STATE(4545),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [4194] = {
    [sym_string] = STATE(4577),
    [ts_builtin_sym_end] = ACTIONS(1508),
    [sym__unquoted_identifier] = ACTIONS(1510),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1510),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1510),
    [aux_sym_keyword_replace_token1] = ACTIONS(1510),
    [aux_sym__keyword_alter_token1] = ACTIONS(1510),
    [aux_sym__keyword_delete_token1] = ACTIONS(1510),
    [aux_sym__keyword_begin_token1] = ACTIONS(1510),
    [aux_sym__keyword_between_token1] = ACTIONS(1510),
    [aux_sym__keyword_is_token1] = ACTIONS(1510),
    [aux_sym__keyword_in_token1] = ACTIONS(1510),
    [aux_sym__keyword_and_token1] = ACTIONS(1510),
    [aux_sym__keyword_like_token1] = ACTIONS(1510),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1510),
    [aux_sym__keyword_as_token1] = ACTIONS(1510),
    [aux_sym__keyword_date_token1] = ACTIONS(1510),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1510),
    [aux_sym__keyword_time_token1] = ACTIONS(1510),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1510),
    [aux_sym__keyword_for_token1] = ACTIONS(1510),
    [anon_sym_SEMI] = ACTIONS(1508),
    [aux_sym_declare_statement_token1] = ACTIONS(1510),
    [anon_sym_COMMA] = ACTIONS(1508),
    [aux_sym_set_statement_token1] = ACTIONS(1510),
    [anon_sym_LPAREN] = ACTIONS(1508),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1510),
    [aux_sym_return_satement_token1] = ACTIONS(1510),
    [aux_sym_call_statement_token1] = ACTIONS(1510),
    [aux_sym_loop_statement_token1] = ACTIONS(1510),
    [aux_sym_while_statement_token1] = ACTIONS(1510),
    [aux_sym_break_statement_token1] = ACTIONS(1510),
    [aux_sym_leave_statement_token1] = ACTIONS(1510),
    [aux_sym_continue_statement_token1] = ACTIONS(1510),
    [aux_sym_iterate_statement_token1] = ACTIONS(1510),
    [aux_sym_raise_statement_token1] = ACTIONS(1510),
    [anon_sym_EQ] = ACTIONS(1508),
    [aux_sym_assert_statement_token1] = ACTIONS(1510),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1510),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1510),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1510),
    [anon_sym_LT] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1510),
    [aux_sym_select_token1] = ACTIONS(1510),
    [aux_sym_insert_statement_token1] = ACTIONS(1510),
    [aux_sym_truncate_statement_token1] = ACTIONS(1510),
    [aux_sym_update_statement_token1] = ACTIONS(1510),
    [aux_sym_merge_statement_token1] = ACTIONS(1510),
    [aux_sym_grant_statement_token1] = ACTIONS(1510),
    [aux_sym_revoke_statement_token1] = ACTIONS(1510),
    [aux_sym_export_data_statement_token1] = ACTIONS(1510),
    [aux_sym_load_data_statement_token1] = ACTIONS(1510),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [sym__quoted_identifier] = ACTIONS(1508),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1508),
    [anon_sym_PLUS] = ACTIONS(1508),
    [anon_sym_DASH] = ACTIONS(1510),
    [anon_sym_STAR] = ACTIONS(1508),
    [anon_sym_SLASH] = ACTIONS(1510),
    [anon_sym_PIPE_PIPE] = ACTIONS(1508),
    [anon_sym_LT_EQ] = ACTIONS(1508),
    [anon_sym_LT_GT] = ACTIONS(1508),
    [anon_sym_GT_EQ] = ACTIONS(1508),
    [anon_sym_BANG_EQ] = ACTIONS(1508),
    [anon_sym_LT_LT] = ACTIONS(1508),
    [anon_sym_GT_GT] = ACTIONS(1508),
    [anon_sym_AMP] = ACTIONS(1508),
    [anon_sym_CARET] = ACTIONS(1508),
    [anon_sym_PIPE] = ACTIONS(1510),
    [sym__string_start] = ACTIONS(2036),
  },
  [4195] = {
    [sym_analytics_clause] = STATE(4712),
    [sym__unquoted_identifier] = ACTIONS(1404),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1404),
    [aux_sym__keyword_alter_token1] = ACTIONS(1404),
    [aux_sym__keyword_delete_token1] = ACTIONS(1404),
    [aux_sym__keyword_begin_token1] = ACTIONS(1404),
    [aux_sym__keyword_end_token1] = ACTIONS(1404),
    [aux_sym__keyword_when_token1] = ACTIONS(1404),
    [aux_sym__keyword_else_token1] = ACTIONS(1404),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1404),
    [aux_sym__keyword_as_token1] = ACTIONS(1404),
    [aux_sym__keyword_window_token1] = ACTIONS(1404),
    [aux_sym__keyword_date_token1] = ACTIONS(1404),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1404),
    [aux_sym__keyword_time_token1] = ACTIONS(1404),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1404),
    [aux_sym__keyword_for_token1] = ACTIONS(1404),
    [anon_sym_SEMI] = ACTIONS(1402),
    [aux_sym_declare_statement_token1] = ACTIONS(1404),
    [anon_sym_COMMA] = ACTIONS(1402),
    [aux_sym_set_statement_token1] = ACTIONS(1404),
    [anon_sym_LPAREN] = ACTIONS(1402),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1404),
    [aux_sym_using_clause_token1] = ACTIONS(1404),
    [aux_sym_return_satement_token1] = ACTIONS(1404),
    [aux_sym_call_statement_token1] = ACTIONS(1404),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1404),
    [aux_sym_if_statement_token1] = ACTIONS(1404),
    [aux_sym_loop_statement_token1] = ACTIONS(1404),
    [aux_sym_repeat_statement_token1] = ACTIONS(1404),
    [aux_sym_while_statement_token1] = ACTIONS(1404),
    [aux_sym_break_statement_token1] = ACTIONS(1404),
    [aux_sym_leave_statement_token1] = ACTIONS(1404),
    [aux_sym_continue_statement_token1] = ACTIONS(1404),
    [aux_sym_iterate_statement_token1] = ACTIONS(1404),
    [aux_sym_raise_statement_token1] = ACTIONS(1404),
    [aux_sym_assert_statement_token1] = ACTIONS(1404),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1404),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1404),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1404),
    [aux_sym_set_operation_token1] = ACTIONS(1404),
    [aux_sym_set_operation_token3] = ACTIONS(1404),
    [aux_sym_set_operation_token4] = ACTIONS(1404),
    [aux_sym_select_token1] = ACTIONS(1404),
    [aux_sym_having_clause_token1] = ACTIONS(1404),
    [aux_sym_qualify_clause_token1] = ACTIONS(1404),
    [aux_sym_limit_clause_token1] = ACTIONS(1404),
    [aux_sym_group_by_clause_token1] = ACTIONS(1404),
    [aux_sym_order_by_clause_token1] = ACTIONS(1404),
    [aux_sym_where_clause_token1] = ACTIONS(1404),
    [aux_sym_pivot_operator_token1] = ACTIONS(1404),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1404),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1404),
    [aux_sym_join_type_token1] = ACTIONS(1404),
    [aux_sym_join_type_token2] = ACTIONS(1404),
    [aux_sym_join_type_token3] = ACTIONS(1404),
    [aux_sym_join_type_token4] = ACTIONS(1404),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1404),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1404),
    [aux_sym_join_condition_token1] = ACTIONS(1404),
    [aux_sym_analytics_clause_token1] = ACTIONS(3354),
    [aux_sym_insert_statement_token1] = ACTIONS(1404),
    [aux_sym_truncate_statement_token1] = ACTIONS(1404),
    [aux_sym_update_statement_token1] = ACTIONS(1404),
    [aux_sym_merge_statement_token1] = ACTIONS(1404),
    [aux_sym_grant_statement_token1] = ACTIONS(1404),
    [aux_sym_revoke_statement_token1] = ACTIONS(1404),
    [aux_sym_export_data_statement_token1] = ACTIONS(1404),
    [aux_sym_load_data_statement_token1] = ACTIONS(1404),
    [sym__quoted_identifier] = ACTIONS(1402),
    [sym_comment] = ACTIONS(3),
  },
  [4196] = {
    [sym__keyword_as] = STATE(15022),
    [ts_builtin_sym_end] = ACTIONS(1474),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1474),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1474),
    [aux_sym_keyword_replace_token1] = ACTIONS(1474),
    [aux_sym__keyword_alter_token1] = ACTIONS(1474),
    [aux_sym__keyword_delete_token1] = ACTIONS(1474),
    [aux_sym__keyword_begin_token1] = ACTIONS(1474),
    [aux_sym__keyword_end_token1] = ACTIONS(1474),
    [aux_sym__keyword_between_token1] = ACTIONS(1474),
    [aux_sym__keyword_when_token1] = ACTIONS(1474),
    [aux_sym__keyword_else_token1] = ACTIONS(1476),
    [aux_sym__keyword_is_token1] = ACTIONS(1474),
    [aux_sym__keyword_in_token1] = ACTIONS(1476),
    [aux_sym__keyword_and_token1] = ACTIONS(1474),
    [aux_sym__keyword_like_token1] = ACTIONS(1474),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1474),
    [aux_sym__keyword_as_token1] = ACTIONS(3358),
    [aux_sym__keyword_for_token1] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1474),
    [aux_sym_declare_statement_token1] = ACTIONS(1474),
    [anon_sym_COMMA] = ACTIONS(1474),
    [aux_sym_set_statement_token1] = ACTIONS(1474),
    [anon_sym_LPAREN] = ACTIONS(1474),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1474),
    [aux_sym_return_satement_token1] = ACTIONS(1474),
    [aux_sym_call_statement_token1] = ACTIONS(1474),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1474),
    [aux_sym_if_statement_token1] = ACTIONS(1474),
    [aux_sym_loop_statement_token1] = ACTIONS(1474),
    [aux_sym_repeat_statement_token1] = ACTIONS(1474),
    [aux_sym_while_statement_token1] = ACTIONS(1474),
    [aux_sym_break_statement_token1] = ACTIONS(1474),
    [aux_sym_leave_statement_token1] = ACTIONS(1474),
    [aux_sym_continue_statement_token1] = ACTIONS(1474),
    [aux_sym_iterate_statement_token1] = ACTIONS(1474),
    [aux_sym_raise_statement_token1] = ACTIONS(1474),
    [anon_sym_EQ] = ACTIONS(1474),
    [aux_sym_assert_statement_token1] = ACTIONS(1474),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1474),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1474),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1474),
    [aux_sym_option_clause_token1] = ACTIONS(1474),
    [anon_sym_LT] = ACTIONS(1476),
    [anon_sym_GT] = ACTIONS(1476),
    [aux_sym_select_token1] = ACTIONS(1474),
    [aux_sym_insert_statement_token1] = ACTIONS(1474),
    [aux_sym_truncate_statement_token1] = ACTIONS(1474),
    [aux_sym_update_statement_token1] = ACTIONS(1474),
    [aux_sym_merge_statement_token1] = ACTIONS(1474),
    [aux_sym_grant_statement_token1] = ACTIONS(1474),
    [aux_sym_revoke_statement_token1] = ACTIONS(1474),
    [aux_sym_export_data_statement_token1] = ACTIONS(1474),
    [aux_sym_load_data_statement_token1] = ACTIONS(1474),
    [anon_sym_LBRACK] = ACTIONS(1474),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1474),
    [anon_sym_PLUS] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1476),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_SLASH] = ACTIONS(1476),
    [anon_sym_PIPE_PIPE] = ACTIONS(1474),
    [anon_sym_LT_EQ] = ACTIONS(1474),
    [anon_sym_LT_GT] = ACTIONS(1474),
    [anon_sym_GT_EQ] = ACTIONS(1474),
    [anon_sym_BANG_EQ] = ACTIONS(1474),
    [anon_sym_LT_LT] = ACTIONS(1474),
    [anon_sym_GT_GT] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_CARET] = ACTIONS(1474),
    [anon_sym_PIPE] = ACTIONS(1476),
  },
  [4197] = {
    [sym__keyword_between] = STATE(1819),
    [sym__keyword_is] = STATE(12068),
    [sym__keyword_in] = STATE(1558),
    [sym__keyword_not] = STATE(13100),
    [sym__keyword_and] = STATE(1533),
    [sym__keyword_or] = STATE(1532),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(3194),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3194),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(2744),
    [aux_sym__keyword_alter_token1] = ACTIONS(3194),
    [aux_sym__keyword_delete_token1] = ACTIONS(3194),
    [aux_sym__keyword_begin_token1] = ACTIONS(3194),
    [aux_sym__keyword_between_token1] = ACTIONS(3302),
    [aux_sym__keyword_is_token1] = ACTIONS(3304),
    [aux_sym__keyword_in_token1] = ACTIONS(3306),
    [aux_sym__keyword_and_token1] = ACTIONS(3308),
    [aux_sym__keyword_like_token1] = ACTIONS(1007),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3194),
    [aux_sym__keyword_for_token1] = ACTIONS(3194),
    [anon_sym_SEMI] = ACTIONS(3194),
    [aux_sym_declare_statement_token1] = ACTIONS(3194),
    [anon_sym_COMMA] = ACTIONS(3194),
    [aux_sym_set_statement_token1] = ACTIONS(3194),
    [anon_sym_LPAREN] = ACTIONS(3194),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(3194),
    [aux_sym_return_satement_token1] = ACTIONS(3194),
    [aux_sym_call_statement_token1] = ACTIONS(3194),
    [aux_sym_loop_statement_token1] = ACTIONS(3194),
    [aux_sym_while_statement_token1] = ACTIONS(3194),
    [aux_sym_break_statement_token1] = ACTIONS(3194),
    [aux_sym_leave_statement_token1] = ACTIONS(3194),
    [aux_sym_continue_statement_token1] = ACTIONS(3194),
    [aux_sym_iterate_statement_token1] = ACTIONS(3194),
    [aux_sym_raise_statement_token1] = ACTIONS(3194),
    [anon_sym_EQ] = ACTIONS(3310),
    [aux_sym_assert_statement_token1] = ACTIONS(3194),
    [aux_sym_create_schema_statement_token1] = ACTIONS(3194),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(3194),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3194),
    [anon_sym_LT] = ACTIONS(3306),
    [anon_sym_GT] = ACTIONS(3306),
    [aux_sym_select_token1] = ACTIONS(3194),
    [aux_sym_insert_statement_token1] = ACTIONS(3194),
    [aux_sym_truncate_statement_token1] = ACTIONS(3194),
    [aux_sym_update_statement_token1] = ACTIONS(3194),
    [aux_sym_merge_statement_token1] = ACTIONS(3194),
    [aux_sym_grant_statement_token1] = ACTIONS(3194),
    [aux_sym_revoke_statement_token1] = ACTIONS(3194),
    [aux_sym_export_data_statement_token1] = ACTIONS(3194),
    [aux_sym_load_data_statement_token1] = ACTIONS(3194),
    [anon_sym_LBRACK] = ACTIONS(3056),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(3058),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_DASH] = ACTIONS(3314),
    [anon_sym_STAR] = ACTIONS(3316),
    [anon_sym_SLASH] = ACTIONS(3318),
    [anon_sym_PIPE_PIPE] = ACTIONS(3316),
    [anon_sym_LT_EQ] = ACTIONS(3310),
    [anon_sym_LT_GT] = ACTIONS(3310),
    [anon_sym_GT_EQ] = ACTIONS(3310),
    [anon_sym_BANG_EQ] = ACTIONS(3310),
    [anon_sym_LT_LT] = ACTIONS(3320),
    [anon_sym_GT_GT] = ACTIONS(3320),
    [anon_sym_AMP] = ACTIONS(3322),
    [anon_sym_CARET] = ACTIONS(3324),
    [anon_sym_PIPE] = ACTIONS(3326),
  },
  [4198] = {
    [sym__keyword_between] = STATE(1087),
    [sym__keyword_is] = STATE(12139),
    [sym__keyword_in] = STATE(1373),
    [sym__keyword_not] = STATE(13070),
    [sym__keyword_and] = STATE(1433),
    [sym__keyword_or] = STATE(1436),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(1019),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1019),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1019),
    [aux_sym_keyword_replace_token1] = ACTIONS(1019),
    [aux_sym__keyword_alter_token1] = ACTIONS(1019),
    [aux_sym__keyword_delete_token1] = ACTIONS(1019),
    [aux_sym__keyword_begin_token1] = ACTIONS(1019),
    [aux_sym__keyword_between_token1] = ACTIONS(1019),
    [aux_sym__keyword_is_token1] = ACTIONS(1019),
    [aux_sym__keyword_in_token1] = ACTIONS(1021),
    [aux_sym__keyword_and_token1] = ACTIONS(1019),
    [aux_sym__keyword_like_token1] = ACTIONS(1019),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1019),
    [aux_sym__keyword_as_token1] = ACTIONS(1021),
    [aux_sym__keyword_for_token1] = ACTIONS(1019),
    [anon_sym_SEMI] = ACTIONS(1019),
    [aux_sym_declare_statement_token1] = ACTIONS(1019),
    [aux_sym_set_statement_token1] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1019),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1019),
    [aux_sym_return_satement_token1] = ACTIONS(1019),
    [aux_sym_call_statement_token1] = ACTIONS(1019),
    [aux_sym_loop_statement_token1] = ACTIONS(1019),
    [aux_sym_while_statement_token1] = ACTIONS(1019),
    [aux_sym_break_statement_token1] = ACTIONS(1019),
    [aux_sym_leave_statement_token1] = ACTIONS(1019),
    [aux_sym_continue_statement_token1] = ACTIONS(1019),
    [aux_sym_iterate_statement_token1] = ACTIONS(1019),
    [aux_sym_raise_statement_token1] = ACTIONS(1019),
    [anon_sym_EQ] = ACTIONS(1019),
    [aux_sym_assert_statement_token1] = ACTIONS(1019),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1019),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1019),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1019),
    [anon_sym_LT] = ACTIONS(1021),
    [anon_sym_GT] = ACTIONS(1021),
    [aux_sym_select_token1] = ACTIONS(1019),
    [aux_sym_insert_statement_token1] = ACTIONS(1019),
    [aux_sym_truncate_statement_token1] = ACTIONS(1019),
    [aux_sym_update_statement_token1] = ACTIONS(1019),
    [aux_sym_merge_statement_token1] = ACTIONS(1019),
    [aux_sym_grant_statement_token1] = ACTIONS(1019),
    [aux_sym_revoke_statement_token1] = ACTIONS(1019),
    [aux_sym_export_data_statement_token1] = ACTIONS(1019),
    [aux_sym_load_data_statement_token1] = ACTIONS(1019),
    [anon_sym_LBRACK] = ACTIONS(1019),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1019),
    [anon_sym_PLUS] = ACTIONS(1019),
    [anon_sym_DASH] = ACTIONS(1021),
    [anon_sym_STAR] = ACTIONS(1019),
    [anon_sym_SLASH] = ACTIONS(1021),
    [anon_sym_PIPE_PIPE] = ACTIONS(1019),
    [anon_sym_LT_EQ] = ACTIONS(1019),
    [anon_sym_LT_GT] = ACTIONS(1019),
    [anon_sym_GT_EQ] = ACTIONS(1019),
    [anon_sym_BANG_EQ] = ACTIONS(1019),
    [anon_sym_LT_LT] = ACTIONS(1019),
    [anon_sym_GT_GT] = ACTIONS(1019),
    [anon_sym_AMP] = ACTIONS(1019),
    [anon_sym_CARET] = ACTIONS(1019),
    [anon_sym_PIPE] = ACTIONS(1021),
  },
  [4199] = {
    [sym__keyword_between] = STATE(1087),
    [sym__keyword_is] = STATE(12139),
    [sym__keyword_in] = STATE(1373),
    [sym__keyword_not] = STATE(13070),
    [sym__keyword_and] = STATE(1433),
    [sym__keyword_or] = STATE(1436),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(1027),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1027),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(2744),
    [aux_sym__keyword_alter_token1] = ACTIONS(1027),
    [aux_sym__keyword_delete_token1] = ACTIONS(1027),
    [aux_sym__keyword_begin_token1] = ACTIONS(1027),
    [aux_sym__keyword_between_token1] = ACTIONS(3328),
    [aux_sym__keyword_is_token1] = ACTIONS(3330),
    [aux_sym__keyword_in_token1] = ACTIONS(3332),
    [aux_sym__keyword_and_token1] = ACTIONS(3334),
    [aux_sym__keyword_like_token1] = ACTIONS(1027),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1027),
    [aux_sym__keyword_as_token1] = ACTIONS(1029),
    [aux_sym__keyword_for_token1] = ACTIONS(1027),
    [anon_sym_SEMI] = ACTIONS(1027),
    [aux_sym_declare_statement_token1] = ACTIONS(1027),
    [aux_sym_set_statement_token1] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1027),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1027),
    [aux_sym_return_satement_token1] = ACTIONS(1027),
    [aux_sym_call_statement_token1] = ACTIONS(1027),
    [aux_sym_loop_statement_token1] = ACTIONS(1027),
    [aux_sym_while_statement_token1] = ACTIONS(1027),
    [aux_sym_break_statement_token1] = ACTIONS(1027),
    [aux_sym_leave_statement_token1] = ACTIONS(1027),
    [aux_sym_continue_statement_token1] = ACTIONS(1027),
    [aux_sym_iterate_statement_token1] = ACTIONS(1027),
    [aux_sym_raise_statement_token1] = ACTIONS(1027),
    [anon_sym_EQ] = ACTIONS(3336),
    [aux_sym_assert_statement_token1] = ACTIONS(1027),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1027),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1027),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1027),
    [anon_sym_LT] = ACTIONS(3332),
    [anon_sym_GT] = ACTIONS(3332),
    [aux_sym_select_token1] = ACTIONS(1027),
    [aux_sym_insert_statement_token1] = ACTIONS(1027),
    [aux_sym_truncate_statement_token1] = ACTIONS(1027),
    [aux_sym_update_statement_token1] = ACTIONS(1027),
    [aux_sym_merge_statement_token1] = ACTIONS(1027),
    [aux_sym_grant_statement_token1] = ACTIONS(1027),
    [aux_sym_revoke_statement_token1] = ACTIONS(1027),
    [aux_sym_export_data_statement_token1] = ACTIONS(1027),
    [aux_sym_load_data_statement_token1] = ACTIONS(1027),
    [anon_sym_LBRACK] = ACTIONS(1027),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(3338),
    [anon_sym_DASH] = ACTIONS(3340),
    [anon_sym_STAR] = ACTIONS(3342),
    [anon_sym_SLASH] = ACTIONS(3344),
    [anon_sym_PIPE_PIPE] = ACTIONS(3342),
    [anon_sym_LT_EQ] = ACTIONS(3336),
    [anon_sym_LT_GT] = ACTIONS(3336),
    [anon_sym_GT_EQ] = ACTIONS(3336),
    [anon_sym_BANG_EQ] = ACTIONS(3336),
    [anon_sym_LT_LT] = ACTIONS(3346),
    [anon_sym_GT_GT] = ACTIONS(3346),
    [anon_sym_AMP] = ACTIONS(3348),
    [anon_sym_CARET] = ACTIONS(3350),
    [anon_sym_PIPE] = ACTIONS(3352),
  },
  [4200] = {
    [ts_builtin_sym_end] = ACTIONS(1524),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1524),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1524),
    [aux_sym_keyword_replace_token1] = ACTIONS(1524),
    [aux_sym__keyword_alter_token1] = ACTIONS(1524),
    [aux_sym__keyword_delete_token1] = ACTIONS(1524),
    [aux_sym__keyword_begin_token1] = ACTIONS(1524),
    [aux_sym__keyword_end_token1] = ACTIONS(1524),
    [aux_sym__keyword_between_token1] = ACTIONS(1524),
    [aux_sym__keyword_when_token1] = ACTIONS(1524),
    [aux_sym__keyword_else_token1] = ACTIONS(1526),
    [aux_sym__keyword_is_token1] = ACTIONS(1524),
    [aux_sym__keyword_in_token1] = ACTIONS(1526),
    [aux_sym__keyword_and_token1] = ACTIONS(1524),
    [aux_sym__keyword_like_token1] = ACTIONS(1524),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1524),
    [aux_sym__keyword_as_token1] = ACTIONS(1526),
    [aux_sym__keyword_for_token1] = ACTIONS(1524),
    [anon_sym_SEMI] = ACTIONS(1524),
    [aux_sym_declare_statement_token1] = ACTIONS(1524),
    [anon_sym_COMMA] = ACTIONS(1524),
    [aux_sym_set_statement_token1] = ACTIONS(1524),
    [anon_sym_LPAREN] = ACTIONS(1524),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1524),
    [aux_sym_return_satement_token1] = ACTIONS(1524),
    [aux_sym_call_statement_token1] = ACTIONS(1524),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1524),
    [aux_sym_if_statement_token1] = ACTIONS(1524),
    [aux_sym_loop_statement_token1] = ACTIONS(1524),
    [aux_sym_repeat_statement_token1] = ACTIONS(1524),
    [aux_sym_while_statement_token1] = ACTIONS(1524),
    [aux_sym_break_statement_token1] = ACTIONS(1524),
    [aux_sym_leave_statement_token1] = ACTIONS(1524),
    [aux_sym_continue_statement_token1] = ACTIONS(1524),
    [aux_sym_iterate_statement_token1] = ACTIONS(1524),
    [aux_sym_raise_statement_token1] = ACTIONS(1524),
    [anon_sym_EQ] = ACTIONS(1524),
    [aux_sym_assert_statement_token1] = ACTIONS(1524),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1524),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1524),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1524),
    [aux_sym_alter_table_rename_statement_token2] = ACTIONS(3360),
    [aux_sym_option_clause_token1] = ACTIONS(1524),
    [anon_sym_LT] = ACTIONS(1526),
    [anon_sym_GT] = ACTIONS(1526),
    [aux_sym_select_token1] = ACTIONS(1524),
    [aux_sym_insert_statement_token1] = ACTIONS(1524),
    [aux_sym_truncate_statement_token1] = ACTIONS(1524),
    [aux_sym_update_statement_token1] = ACTIONS(1524),
    [aux_sym_merge_statement_token1] = ACTIONS(1524),
    [aux_sym_grant_statement_token1] = ACTIONS(1524),
    [aux_sym_revoke_statement_token1] = ACTIONS(1524),
    [aux_sym_export_data_statement_token1] = ACTIONS(1524),
    [aux_sym_load_data_statement_token1] = ACTIONS(1524),
    [anon_sym_LBRACK] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1524),
    [anon_sym_PLUS] = ACTIONS(1524),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_STAR] = ACTIONS(1524),
    [anon_sym_SLASH] = ACTIONS(1526),
    [anon_sym_PIPE_PIPE] = ACTIONS(1524),
    [anon_sym_LT_EQ] = ACTIONS(1524),
    [anon_sym_LT_GT] = ACTIONS(1524),
    [anon_sym_GT_EQ] = ACTIONS(1524),
    [anon_sym_BANG_EQ] = ACTIONS(1524),
    [anon_sym_LT_LT] = ACTIONS(1524),
    [anon_sym_GT_GT] = ACTIONS(1524),
    [anon_sym_AMP] = ACTIONS(1524),
    [anon_sym_CARET] = ACTIONS(1524),
    [anon_sym_PIPE] = ACTIONS(1526),
  },
  [4201] = {
    [sym__keyword_between] = STATE(1087),
    [sym__keyword_is] = STATE(12139),
    [sym__keyword_in] = STATE(1373),
    [sym__keyword_not] = STATE(13070),
    [sym__keyword_and] = STATE(1433),
    [sym__keyword_or] = STATE(1436),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3338),
    [anon_sym_DASH] = ACTIONS(3340),
    [anon_sym_STAR] = ACTIONS(3342),
    [anon_sym_SLASH] = ACTIONS(3344),
    [anon_sym_PIPE_PIPE] = ACTIONS(3342),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(3346),
    [anon_sym_GT_GT] = ACTIONS(3346),
    [anon_sym_AMP] = ACTIONS(3348),
    [anon_sym_CARET] = ACTIONS(3350),
    [anon_sym_PIPE] = ACTIONS(3352),
  },
  [4202] = {
    [sym__keyword_between] = STATE(1087),
    [sym__keyword_is] = STATE(12139),
    [sym__keyword_in] = STATE(1373),
    [sym__keyword_not] = STATE(13070),
    [sym__keyword_and] = STATE(1433),
    [sym__keyword_or] = STATE(1436),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(3342),
    [anon_sym_SLASH] = ACTIONS(3344),
    [anon_sym_PIPE_PIPE] = ACTIONS(3342),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [4203] = {
    [sym__keyword_between] = STATE(1087),
    [sym__keyword_is] = STATE(12139),
    [sym__keyword_in] = STATE(1373),
    [sym__keyword_not] = STATE(13070),
    [sym__keyword_and] = STATE(1433),
    [sym__keyword_or] = STATE(1436),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(917),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PIPE_PIPE] = ACTIONS(917),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [4204] = {
    [sym__keyword_between] = STATE(1087),
    [sym__keyword_is] = STATE(12139),
    [sym__keyword_in] = STATE(1373),
    [sym__keyword_not] = STATE(13070),
    [sym__keyword_and] = STATE(1433),
    [sym__keyword_or] = STATE(1436),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3338),
    [anon_sym_DASH] = ACTIONS(3340),
    [anon_sym_STAR] = ACTIONS(3342),
    [anon_sym_SLASH] = ACTIONS(3344),
    [anon_sym_PIPE_PIPE] = ACTIONS(3342),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [4205] = {
    [sym__keyword_between] = STATE(1087),
    [sym__keyword_is] = STATE(12139),
    [sym__keyword_in] = STATE(1373),
    [sym__keyword_not] = STATE(13070),
    [sym__keyword_and] = STATE(1433),
    [sym__keyword_or] = STATE(1436),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3338),
    [anon_sym_DASH] = ACTIONS(3340),
    [anon_sym_STAR] = ACTIONS(3342),
    [anon_sym_SLASH] = ACTIONS(3344),
    [anon_sym_PIPE_PIPE] = ACTIONS(3342),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(3346),
    [anon_sym_GT_GT] = ACTIONS(3346),
    [anon_sym_AMP] = ACTIONS(3348),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [4206] = {
    [sym__keyword_between] = STATE(1087),
    [sym__keyword_is] = STATE(12139),
    [sym__keyword_in] = STATE(1373),
    [sym__keyword_not] = STATE(13070),
    [sym__keyword_and] = STATE(1433),
    [sym__keyword_or] = STATE(1436),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3338),
    [anon_sym_DASH] = ACTIONS(3340),
    [anon_sym_STAR] = ACTIONS(3342),
    [anon_sym_SLASH] = ACTIONS(3344),
    [anon_sym_PIPE_PIPE] = ACTIONS(3342),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(3346),
    [anon_sym_GT_GT] = ACTIONS(3346),
    [anon_sym_AMP] = ACTIONS(3348),
    [anon_sym_CARET] = ACTIONS(3350),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [4207] = {
    [sym__keyword_between] = STATE(1087),
    [sym__keyword_is] = STATE(12139),
    [sym__keyword_in] = STATE(1373),
    [sym__keyword_not] = STATE(13070),
    [sym__keyword_and] = STATE(1433),
    [sym__keyword_or] = STATE(1436),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(3328),
    [aux_sym__keyword_is_token1] = ACTIONS(3330),
    [aux_sym__keyword_in_token1] = ACTIONS(3332),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(3336),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(3332),
    [anon_sym_GT] = ACTIONS(3332),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3338),
    [anon_sym_DASH] = ACTIONS(3340),
    [anon_sym_STAR] = ACTIONS(3342),
    [anon_sym_SLASH] = ACTIONS(3344),
    [anon_sym_PIPE_PIPE] = ACTIONS(3342),
    [anon_sym_LT_EQ] = ACTIONS(3336),
    [anon_sym_LT_GT] = ACTIONS(3336),
    [anon_sym_GT_EQ] = ACTIONS(3336),
    [anon_sym_BANG_EQ] = ACTIONS(3336),
    [anon_sym_LT_LT] = ACTIONS(3346),
    [anon_sym_GT_GT] = ACTIONS(3346),
    [anon_sym_AMP] = ACTIONS(3348),
    [anon_sym_CARET] = ACTIONS(3350),
    [anon_sym_PIPE] = ACTIONS(3352),
  },
  [4208] = {
    [sym__keyword_between] = STATE(1087),
    [sym__keyword_is] = STATE(12139),
    [sym__keyword_in] = STATE(1373),
    [sym__keyword_not] = STATE(13070),
    [sym__keyword_and] = STATE(1433),
    [sym__keyword_or] = STATE(1436),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(3328),
    [aux_sym__keyword_is_token1] = ACTIONS(3330),
    [aux_sym__keyword_in_token1] = ACTIONS(3332),
    [aux_sym__keyword_and_token1] = ACTIONS(3334),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(3336),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(3332),
    [anon_sym_GT] = ACTIONS(3332),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3338),
    [anon_sym_DASH] = ACTIONS(3340),
    [anon_sym_STAR] = ACTIONS(3342),
    [anon_sym_SLASH] = ACTIONS(3344),
    [anon_sym_PIPE_PIPE] = ACTIONS(3342),
    [anon_sym_LT_EQ] = ACTIONS(3336),
    [anon_sym_LT_GT] = ACTIONS(3336),
    [anon_sym_GT_EQ] = ACTIONS(3336),
    [anon_sym_BANG_EQ] = ACTIONS(3336),
    [anon_sym_LT_LT] = ACTIONS(3346),
    [anon_sym_GT_GT] = ACTIONS(3346),
    [anon_sym_AMP] = ACTIONS(3348),
    [anon_sym_CARET] = ACTIONS(3350),
    [anon_sym_PIPE] = ACTIONS(3352),
  },
  [4209] = {
    [sym__keyword_between] = STATE(1087),
    [sym__keyword_is] = STATE(12139),
    [sym__keyword_in] = STATE(1373),
    [sym__keyword_not] = STATE(13070),
    [sym__keyword_and] = STATE(1433),
    [sym__keyword_or] = STATE(1436),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(1039),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1039),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1039),
    [aux_sym_keyword_replace_token1] = ACTIONS(1039),
    [aux_sym__keyword_alter_token1] = ACTIONS(1039),
    [aux_sym__keyword_delete_token1] = ACTIONS(1039),
    [aux_sym__keyword_begin_token1] = ACTIONS(1039),
    [aux_sym__keyword_between_token1] = ACTIONS(1039),
    [aux_sym__keyword_is_token1] = ACTIONS(1039),
    [aux_sym__keyword_in_token1] = ACTIONS(1041),
    [aux_sym__keyword_and_token1] = ACTIONS(1039),
    [aux_sym__keyword_like_token1] = ACTIONS(1039),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1039),
    [aux_sym__keyword_as_token1] = ACTIONS(1041),
    [aux_sym__keyword_for_token1] = ACTIONS(1039),
    [anon_sym_SEMI] = ACTIONS(1039),
    [aux_sym_declare_statement_token1] = ACTIONS(1039),
    [aux_sym_set_statement_token1] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(1039),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1039),
    [aux_sym_return_satement_token1] = ACTIONS(1039),
    [aux_sym_call_statement_token1] = ACTIONS(1039),
    [aux_sym_loop_statement_token1] = ACTIONS(1039),
    [aux_sym_while_statement_token1] = ACTIONS(1039),
    [aux_sym_break_statement_token1] = ACTIONS(1039),
    [aux_sym_leave_statement_token1] = ACTIONS(1039),
    [aux_sym_continue_statement_token1] = ACTIONS(1039),
    [aux_sym_iterate_statement_token1] = ACTIONS(1039),
    [aux_sym_raise_statement_token1] = ACTIONS(1039),
    [anon_sym_EQ] = ACTIONS(1039),
    [aux_sym_assert_statement_token1] = ACTIONS(1039),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1039),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1039),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1039),
    [anon_sym_LT] = ACTIONS(1041),
    [anon_sym_GT] = ACTIONS(1041),
    [aux_sym_select_token1] = ACTIONS(1039),
    [aux_sym_insert_statement_token1] = ACTIONS(1039),
    [aux_sym_truncate_statement_token1] = ACTIONS(1039),
    [aux_sym_update_statement_token1] = ACTIONS(1039),
    [aux_sym_merge_statement_token1] = ACTIONS(1039),
    [aux_sym_grant_statement_token1] = ACTIONS(1039),
    [aux_sym_revoke_statement_token1] = ACTIONS(1039),
    [aux_sym_export_data_statement_token1] = ACTIONS(1039),
    [aux_sym_load_data_statement_token1] = ACTIONS(1039),
    [anon_sym_LBRACK] = ACTIONS(1039),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1039),
    [anon_sym_PLUS] = ACTIONS(3338),
    [anon_sym_DASH] = ACTIONS(3340),
    [anon_sym_STAR] = ACTIONS(3342),
    [anon_sym_SLASH] = ACTIONS(3344),
    [anon_sym_PIPE_PIPE] = ACTIONS(3342),
    [anon_sym_LT_EQ] = ACTIONS(1039),
    [anon_sym_LT_GT] = ACTIONS(1039),
    [anon_sym_GT_EQ] = ACTIONS(1039),
    [anon_sym_BANG_EQ] = ACTIONS(1039),
    [anon_sym_LT_LT] = ACTIONS(3346),
    [anon_sym_GT_GT] = ACTIONS(3346),
    [anon_sym_AMP] = ACTIONS(3348),
    [anon_sym_CARET] = ACTIONS(3350),
    [anon_sym_PIPE] = ACTIONS(3352),
  },
  [4210] = {
    [sym__keyword_between] = STATE(1087),
    [sym__keyword_is] = STATE(12139),
    [sym__keyword_in] = STATE(1373),
    [sym__keyword_not] = STATE(13070),
    [sym__keyword_and] = STATE(1433),
    [sym__keyword_or] = STATE(1436),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(1035),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1035),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1035),
    [aux_sym_keyword_replace_token1] = ACTIONS(1035),
    [aux_sym__keyword_alter_token1] = ACTIONS(1035),
    [aux_sym__keyword_delete_token1] = ACTIONS(1035),
    [aux_sym__keyword_begin_token1] = ACTIONS(1035),
    [aux_sym__keyword_between_token1] = ACTIONS(1035),
    [aux_sym__keyword_is_token1] = ACTIONS(1035),
    [aux_sym__keyword_in_token1] = ACTIONS(1037),
    [aux_sym__keyword_and_token1] = ACTIONS(1035),
    [aux_sym__keyword_like_token1] = ACTIONS(1035),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1035),
    [aux_sym__keyword_as_token1] = ACTIONS(1037),
    [aux_sym__keyword_for_token1] = ACTIONS(1035),
    [anon_sym_SEMI] = ACTIONS(1035),
    [aux_sym_declare_statement_token1] = ACTIONS(1035),
    [aux_sym_set_statement_token1] = ACTIONS(1035),
    [anon_sym_LPAREN] = ACTIONS(1035),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1035),
    [aux_sym_return_satement_token1] = ACTIONS(1035),
    [aux_sym_call_statement_token1] = ACTIONS(1035),
    [aux_sym_loop_statement_token1] = ACTIONS(1035),
    [aux_sym_while_statement_token1] = ACTIONS(1035),
    [aux_sym_break_statement_token1] = ACTIONS(1035),
    [aux_sym_leave_statement_token1] = ACTIONS(1035),
    [aux_sym_continue_statement_token1] = ACTIONS(1035),
    [aux_sym_iterate_statement_token1] = ACTIONS(1035),
    [aux_sym_raise_statement_token1] = ACTIONS(1035),
    [anon_sym_EQ] = ACTIONS(1035),
    [aux_sym_assert_statement_token1] = ACTIONS(1035),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1035),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1035),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1035),
    [anon_sym_LT] = ACTIONS(1037),
    [anon_sym_GT] = ACTIONS(1037),
    [aux_sym_select_token1] = ACTIONS(1035),
    [aux_sym_insert_statement_token1] = ACTIONS(1035),
    [aux_sym_truncate_statement_token1] = ACTIONS(1035),
    [aux_sym_update_statement_token1] = ACTIONS(1035),
    [aux_sym_merge_statement_token1] = ACTIONS(1035),
    [aux_sym_grant_statement_token1] = ACTIONS(1035),
    [aux_sym_revoke_statement_token1] = ACTIONS(1035),
    [aux_sym_export_data_statement_token1] = ACTIONS(1035),
    [aux_sym_load_data_statement_token1] = ACTIONS(1035),
    [anon_sym_LBRACK] = ACTIONS(1035),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1035),
    [anon_sym_PLUS] = ACTIONS(3338),
    [anon_sym_DASH] = ACTIONS(3340),
    [anon_sym_STAR] = ACTIONS(3342),
    [anon_sym_SLASH] = ACTIONS(3344),
    [anon_sym_PIPE_PIPE] = ACTIONS(3342),
    [anon_sym_LT_EQ] = ACTIONS(1035),
    [anon_sym_LT_GT] = ACTIONS(1035),
    [anon_sym_GT_EQ] = ACTIONS(1035),
    [anon_sym_BANG_EQ] = ACTIONS(1035),
    [anon_sym_LT_LT] = ACTIONS(3346),
    [anon_sym_GT_GT] = ACTIONS(3346),
    [anon_sym_AMP] = ACTIONS(3348),
    [anon_sym_CARET] = ACTIONS(3350),
    [anon_sym_PIPE] = ACTIONS(3352),
  },
  [4211] = {
    [sym__keyword_between] = STATE(1087),
    [sym__keyword_is] = STATE(12139),
    [sym__keyword_in] = STATE(1373),
    [sym__keyword_not] = STATE(13070),
    [sym__keyword_and] = STATE(1433),
    [sym__keyword_or] = STATE(1436),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(3338),
    [anon_sym_DASH] = ACTIONS(3340),
    [anon_sym_STAR] = ACTIONS(3342),
    [anon_sym_SLASH] = ACTIONS(3344),
    [anon_sym_PIPE_PIPE] = ACTIONS(3342),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(3346),
    [anon_sym_GT_GT] = ACTIONS(3346),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [4212] = {
    [sym__keyword_between] = STATE(1087),
    [sym__keyword_is] = STATE(12139),
    [sym__keyword_in] = STATE(1373),
    [sym__keyword_not] = STATE(13070),
    [sym__keyword_and] = STATE(1433),
    [sym__keyword_or] = STATE(1436),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(947),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(947),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(947),
    [aux_sym_keyword_replace_token1] = ACTIONS(947),
    [aux_sym__keyword_alter_token1] = ACTIONS(947),
    [aux_sym__keyword_delete_token1] = ACTIONS(947),
    [aux_sym__keyword_begin_token1] = ACTIONS(947),
    [aux_sym__keyword_between_token1] = ACTIONS(947),
    [aux_sym__keyword_is_token1] = ACTIONS(947),
    [aux_sym__keyword_in_token1] = ACTIONS(949),
    [aux_sym__keyword_and_token1] = ACTIONS(947),
    [aux_sym__keyword_like_token1] = ACTIONS(947),
    [aux_sym__keyword_repeat_token1] = ACTIONS(947),
    [aux_sym__keyword_as_token1] = ACTIONS(949),
    [aux_sym__keyword_for_token1] = ACTIONS(947),
    [anon_sym_SEMI] = ACTIONS(947),
    [aux_sym_declare_statement_token1] = ACTIONS(947),
    [aux_sym_set_statement_token1] = ACTIONS(947),
    [anon_sym_LPAREN] = ACTIONS(947),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(947),
    [aux_sym_return_satement_token1] = ACTIONS(947),
    [aux_sym_call_statement_token1] = ACTIONS(947),
    [aux_sym_loop_statement_token1] = ACTIONS(947),
    [aux_sym_while_statement_token1] = ACTIONS(947),
    [aux_sym_break_statement_token1] = ACTIONS(947),
    [aux_sym_leave_statement_token1] = ACTIONS(947),
    [aux_sym_continue_statement_token1] = ACTIONS(947),
    [aux_sym_iterate_statement_token1] = ACTIONS(947),
    [aux_sym_raise_statement_token1] = ACTIONS(947),
    [anon_sym_EQ] = ACTIONS(947),
    [aux_sym_assert_statement_token1] = ACTIONS(947),
    [aux_sym_create_schema_statement_token1] = ACTIONS(947),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(947),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(949),
    [anon_sym_GT] = ACTIONS(949),
    [aux_sym_select_token1] = ACTIONS(947),
    [aux_sym_insert_statement_token1] = ACTIONS(947),
    [aux_sym_truncate_statement_token1] = ACTIONS(947),
    [aux_sym_update_statement_token1] = ACTIONS(947),
    [aux_sym_merge_statement_token1] = ACTIONS(947),
    [aux_sym_grant_statement_token1] = ACTIONS(947),
    [aux_sym_revoke_statement_token1] = ACTIONS(947),
    [aux_sym_export_data_statement_token1] = ACTIONS(947),
    [aux_sym_load_data_statement_token1] = ACTIONS(947),
    [anon_sym_LBRACK] = ACTIONS(947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(3338),
    [anon_sym_DASH] = ACTIONS(3340),
    [anon_sym_STAR] = ACTIONS(3342),
    [anon_sym_SLASH] = ACTIONS(3344),
    [anon_sym_PIPE_PIPE] = ACTIONS(3342),
    [anon_sym_LT_EQ] = ACTIONS(947),
    [anon_sym_LT_GT] = ACTIONS(947),
    [anon_sym_GT_EQ] = ACTIONS(947),
    [anon_sym_BANG_EQ] = ACTIONS(947),
    [anon_sym_LT_LT] = ACTIONS(3346),
    [anon_sym_GT_GT] = ACTIONS(3346),
    [anon_sym_AMP] = ACTIONS(3348),
    [anon_sym_CARET] = ACTIONS(3350),
    [anon_sym_PIPE] = ACTIONS(3352),
  },
  [4213] = {
    [sym__keyword_between] = STATE(1087),
    [sym__keyword_is] = STATE(12139),
    [sym__keyword_in] = STATE(1373),
    [sym__keyword_not] = STATE(13070),
    [sym__keyword_and] = STATE(1433),
    [sym__keyword_or] = STATE(1436),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(1023),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1023),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1023),
    [aux_sym_keyword_replace_token1] = ACTIONS(1023),
    [aux_sym__keyword_alter_token1] = ACTIONS(1023),
    [aux_sym__keyword_delete_token1] = ACTIONS(1023),
    [aux_sym__keyword_begin_token1] = ACTIONS(1023),
    [aux_sym__keyword_between_token1] = ACTIONS(1023),
    [aux_sym__keyword_is_token1] = ACTIONS(1023),
    [aux_sym__keyword_in_token1] = ACTIONS(1025),
    [aux_sym__keyword_and_token1] = ACTIONS(1023),
    [aux_sym__keyword_like_token1] = ACTIONS(1023),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1023),
    [aux_sym__keyword_as_token1] = ACTIONS(1025),
    [aux_sym__keyword_for_token1] = ACTIONS(1023),
    [anon_sym_SEMI] = ACTIONS(1023),
    [aux_sym_declare_statement_token1] = ACTIONS(1023),
    [aux_sym_set_statement_token1] = ACTIONS(1023),
    [anon_sym_LPAREN] = ACTIONS(1023),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1023),
    [aux_sym_return_satement_token1] = ACTIONS(1023),
    [aux_sym_call_statement_token1] = ACTIONS(1023),
    [aux_sym_loop_statement_token1] = ACTIONS(1023),
    [aux_sym_while_statement_token1] = ACTIONS(1023),
    [aux_sym_break_statement_token1] = ACTIONS(1023),
    [aux_sym_leave_statement_token1] = ACTIONS(1023),
    [aux_sym_continue_statement_token1] = ACTIONS(1023),
    [aux_sym_iterate_statement_token1] = ACTIONS(1023),
    [aux_sym_raise_statement_token1] = ACTIONS(1023),
    [anon_sym_EQ] = ACTIONS(1023),
    [aux_sym_assert_statement_token1] = ACTIONS(1023),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1023),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1023),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1023),
    [anon_sym_LT] = ACTIONS(1025),
    [anon_sym_GT] = ACTIONS(1025),
    [aux_sym_select_token1] = ACTIONS(1023),
    [aux_sym_insert_statement_token1] = ACTIONS(1023),
    [aux_sym_truncate_statement_token1] = ACTIONS(1023),
    [aux_sym_update_statement_token1] = ACTIONS(1023),
    [aux_sym_merge_statement_token1] = ACTIONS(1023),
    [aux_sym_grant_statement_token1] = ACTIONS(1023),
    [aux_sym_revoke_statement_token1] = ACTIONS(1023),
    [aux_sym_export_data_statement_token1] = ACTIONS(1023),
    [aux_sym_load_data_statement_token1] = ACTIONS(1023),
    [anon_sym_LBRACK] = ACTIONS(1023),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1023),
    [anon_sym_PLUS] = ACTIONS(3338),
    [anon_sym_DASH] = ACTIONS(3340),
    [anon_sym_STAR] = ACTIONS(3342),
    [anon_sym_SLASH] = ACTIONS(3344),
    [anon_sym_PIPE_PIPE] = ACTIONS(3342),
    [anon_sym_LT_EQ] = ACTIONS(1023),
    [anon_sym_LT_GT] = ACTIONS(1023),
    [anon_sym_GT_EQ] = ACTIONS(1023),
    [anon_sym_BANG_EQ] = ACTIONS(1023),
    [anon_sym_LT_LT] = ACTIONS(3346),
    [anon_sym_GT_GT] = ACTIONS(3346),
    [anon_sym_AMP] = ACTIONS(3348),
    [anon_sym_CARET] = ACTIONS(3350),
    [anon_sym_PIPE] = ACTIONS(3352),
  },
  [4214] = {
    [ts_builtin_sym_end] = ACTIONS(1530),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1530),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1530),
    [aux_sym_keyword_replace_token1] = ACTIONS(1530),
    [aux_sym__keyword_alter_token1] = ACTIONS(1530),
    [aux_sym__keyword_delete_token1] = ACTIONS(1530),
    [aux_sym__keyword_begin_token1] = ACTIONS(1530),
    [aux_sym__keyword_end_token1] = ACTIONS(1530),
    [aux_sym__keyword_between_token1] = ACTIONS(1530),
    [aux_sym__keyword_when_token1] = ACTIONS(1530),
    [aux_sym__keyword_else_token1] = ACTIONS(1532),
    [aux_sym__keyword_is_token1] = ACTIONS(1530),
    [aux_sym__keyword_in_token1] = ACTIONS(1532),
    [aux_sym__keyword_and_token1] = ACTIONS(1530),
    [aux_sym__keyword_like_token1] = ACTIONS(1530),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1530),
    [aux_sym__keyword_as_token1] = ACTIONS(1532),
    [aux_sym__keyword_for_token1] = ACTIONS(1530),
    [anon_sym_SEMI] = ACTIONS(1530),
    [aux_sym_declare_statement_token1] = ACTIONS(1530),
    [anon_sym_COMMA] = ACTIONS(1530),
    [aux_sym_set_statement_token1] = ACTIONS(1530),
    [anon_sym_LPAREN] = ACTIONS(1530),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1530),
    [aux_sym_return_satement_token1] = ACTIONS(1530),
    [aux_sym_call_statement_token1] = ACTIONS(1530),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1530),
    [aux_sym_if_statement_token1] = ACTIONS(1530),
    [aux_sym_loop_statement_token1] = ACTIONS(1530),
    [aux_sym_repeat_statement_token1] = ACTIONS(1530),
    [aux_sym_while_statement_token1] = ACTIONS(1530),
    [aux_sym_break_statement_token1] = ACTIONS(1530),
    [aux_sym_leave_statement_token1] = ACTIONS(1530),
    [aux_sym_continue_statement_token1] = ACTIONS(1530),
    [aux_sym_iterate_statement_token1] = ACTIONS(1530),
    [aux_sym_raise_statement_token1] = ACTIONS(1530),
    [anon_sym_EQ] = ACTIONS(1530),
    [aux_sym_assert_statement_token1] = ACTIONS(1530),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1530),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1530),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1530),
    [aux_sym_option_clause_token1] = ACTIONS(1530),
    [anon_sym_LT] = ACTIONS(1532),
    [anon_sym_GT] = ACTIONS(1532),
    [aux_sym_select_token1] = ACTIONS(1530),
    [aux_sym_insert_statement_token1] = ACTIONS(1530),
    [aux_sym_truncate_statement_token1] = ACTIONS(1530),
    [aux_sym_update_statement_token1] = ACTIONS(1530),
    [aux_sym_merge_statement_token1] = ACTIONS(1530),
    [aux_sym_grant_statement_token1] = ACTIONS(1530),
    [aux_sym_revoke_statement_token1] = ACTIONS(1530),
    [aux_sym_export_data_statement_token1] = ACTIONS(1530),
    [aux_sym_load_data_statement_token1] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(1530),
    [anon_sym_DOT] = ACTIONS(1514),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1532),
    [anon_sym_PLUS] = ACTIONS(1530),
    [anon_sym_DASH] = ACTIONS(1532),
    [anon_sym_STAR] = ACTIONS(1530),
    [anon_sym_SLASH] = ACTIONS(1532),
    [anon_sym_PIPE_PIPE] = ACTIONS(1530),
    [anon_sym_LT_EQ] = ACTIONS(1530),
    [anon_sym_LT_GT] = ACTIONS(1530),
    [anon_sym_GT_EQ] = ACTIONS(1530),
    [anon_sym_BANG_EQ] = ACTIONS(1530),
    [anon_sym_LT_LT] = ACTIONS(1530),
    [anon_sym_GT_GT] = ACTIONS(1530),
    [anon_sym_AMP] = ACTIONS(1530),
    [anon_sym_CARET] = ACTIONS(1530),
    [anon_sym_PIPE] = ACTIONS(1532),
  },
  [4215] = {
    [ts_builtin_sym_end] = ACTIONS(1508),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1508),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1508),
    [aux_sym_keyword_replace_token1] = ACTIONS(1508),
    [aux_sym__keyword_alter_token1] = ACTIONS(1508),
    [aux_sym__keyword_delete_token1] = ACTIONS(1508),
    [aux_sym__keyword_begin_token1] = ACTIONS(1508),
    [aux_sym__keyword_end_token1] = ACTIONS(1508),
    [aux_sym__keyword_between_token1] = ACTIONS(1508),
    [aux_sym__keyword_when_token1] = ACTIONS(1508),
    [aux_sym__keyword_else_token1] = ACTIONS(1510),
    [aux_sym__keyword_is_token1] = ACTIONS(1508),
    [aux_sym__keyword_in_token1] = ACTIONS(1510),
    [aux_sym__keyword_and_token1] = ACTIONS(1508),
    [aux_sym__keyword_like_token1] = ACTIONS(1508),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1508),
    [aux_sym__keyword_as_token1] = ACTIONS(1510),
    [aux_sym__keyword_for_token1] = ACTIONS(1508),
    [anon_sym_SEMI] = ACTIONS(1508),
    [aux_sym_declare_statement_token1] = ACTIONS(1508),
    [anon_sym_COMMA] = ACTIONS(1508),
    [aux_sym_set_statement_token1] = ACTIONS(1508),
    [anon_sym_LPAREN] = ACTIONS(1508),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1508),
    [aux_sym_return_satement_token1] = ACTIONS(1508),
    [aux_sym_call_statement_token1] = ACTIONS(1508),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1508),
    [aux_sym_if_statement_token1] = ACTIONS(1508),
    [aux_sym_loop_statement_token1] = ACTIONS(1508),
    [aux_sym_repeat_statement_token1] = ACTIONS(1508),
    [aux_sym_while_statement_token1] = ACTIONS(1508),
    [aux_sym_break_statement_token1] = ACTIONS(1508),
    [aux_sym_leave_statement_token1] = ACTIONS(1508),
    [aux_sym_continue_statement_token1] = ACTIONS(1508),
    [aux_sym_iterate_statement_token1] = ACTIONS(1508),
    [aux_sym_raise_statement_token1] = ACTIONS(1508),
    [anon_sym_EQ] = ACTIONS(1508),
    [aux_sym_assert_statement_token1] = ACTIONS(1508),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1508),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1508),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1508),
    [aux_sym_option_clause_token1] = ACTIONS(1508),
    [anon_sym_LT] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1510),
    [aux_sym_select_token1] = ACTIONS(1508),
    [aux_sym_insert_statement_token1] = ACTIONS(1508),
    [aux_sym_truncate_statement_token1] = ACTIONS(1508),
    [aux_sym_update_statement_token1] = ACTIONS(1508),
    [aux_sym_merge_statement_token1] = ACTIONS(1508),
    [aux_sym_grant_statement_token1] = ACTIONS(1508),
    [aux_sym_revoke_statement_token1] = ACTIONS(1508),
    [aux_sym_export_data_statement_token1] = ACTIONS(1508),
    [aux_sym_load_data_statement_token1] = ACTIONS(1508),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DOT] = ACTIONS(1514),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1510),
    [anon_sym_PLUS] = ACTIONS(1508),
    [anon_sym_DASH] = ACTIONS(1510),
    [anon_sym_STAR] = ACTIONS(1508),
    [anon_sym_SLASH] = ACTIONS(1510),
    [anon_sym_PIPE_PIPE] = ACTIONS(1508),
    [anon_sym_LT_EQ] = ACTIONS(1508),
    [anon_sym_LT_GT] = ACTIONS(1508),
    [anon_sym_GT_EQ] = ACTIONS(1508),
    [anon_sym_BANG_EQ] = ACTIONS(1508),
    [anon_sym_LT_LT] = ACTIONS(1508),
    [anon_sym_GT_GT] = ACTIONS(1508),
    [anon_sym_AMP] = ACTIONS(1508),
    [anon_sym_CARET] = ACTIONS(1508),
    [anon_sym_PIPE] = ACTIONS(1510),
  },
  [4216] = {
    [ts_builtin_sym_end] = ACTIONS(1516),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1516),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1516),
    [aux_sym_keyword_replace_token1] = ACTIONS(1516),
    [aux_sym__keyword_alter_token1] = ACTIONS(1516),
    [aux_sym__keyword_delete_token1] = ACTIONS(1516),
    [aux_sym__keyword_begin_token1] = ACTIONS(1516),
    [aux_sym__keyword_end_token1] = ACTIONS(1516),
    [aux_sym__keyword_between_token1] = ACTIONS(1516),
    [aux_sym__keyword_when_token1] = ACTIONS(1516),
    [aux_sym__keyword_else_token1] = ACTIONS(1518),
    [aux_sym__keyword_is_token1] = ACTIONS(1516),
    [aux_sym__keyword_in_token1] = ACTIONS(1518),
    [aux_sym__keyword_and_token1] = ACTIONS(1516),
    [aux_sym__keyword_like_token1] = ACTIONS(1516),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1516),
    [aux_sym__keyword_as_token1] = ACTIONS(1518),
    [aux_sym__keyword_for_token1] = ACTIONS(1516),
    [anon_sym_SEMI] = ACTIONS(1516),
    [aux_sym_declare_statement_token1] = ACTIONS(1516),
    [anon_sym_COMMA] = ACTIONS(1516),
    [aux_sym_set_statement_token1] = ACTIONS(1516),
    [anon_sym_LPAREN] = ACTIONS(1516),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1516),
    [aux_sym_return_satement_token1] = ACTIONS(1516),
    [aux_sym_call_statement_token1] = ACTIONS(1516),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1516),
    [aux_sym_if_statement_token1] = ACTIONS(1516),
    [aux_sym_loop_statement_token1] = ACTIONS(1516),
    [aux_sym_repeat_statement_token1] = ACTIONS(1516),
    [aux_sym_while_statement_token1] = ACTIONS(1516),
    [aux_sym_break_statement_token1] = ACTIONS(1516),
    [aux_sym_leave_statement_token1] = ACTIONS(1516),
    [aux_sym_continue_statement_token1] = ACTIONS(1516),
    [aux_sym_iterate_statement_token1] = ACTIONS(1516),
    [aux_sym_raise_statement_token1] = ACTIONS(1516),
    [anon_sym_EQ] = ACTIONS(1516),
    [aux_sym_assert_statement_token1] = ACTIONS(1516),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1516),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1516),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1516),
    [aux_sym_option_clause_token1] = ACTIONS(1516),
    [anon_sym_LT] = ACTIONS(1518),
    [anon_sym_GT] = ACTIONS(1518),
    [aux_sym_select_token1] = ACTIONS(1516),
    [aux_sym_insert_statement_token1] = ACTIONS(1516),
    [aux_sym_truncate_statement_token1] = ACTIONS(1516),
    [aux_sym_update_statement_token1] = ACTIONS(1516),
    [aux_sym_merge_statement_token1] = ACTIONS(1516),
    [aux_sym_grant_statement_token1] = ACTIONS(1516),
    [aux_sym_revoke_statement_token1] = ACTIONS(1516),
    [aux_sym_export_data_statement_token1] = ACTIONS(1516),
    [aux_sym_load_data_statement_token1] = ACTIONS(1516),
    [anon_sym_LBRACK] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1516),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1518),
    [anon_sym_STAR] = ACTIONS(1516),
    [anon_sym_SLASH] = ACTIONS(1518),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [anon_sym_LT_EQ] = ACTIONS(1516),
    [anon_sym_LT_GT] = ACTIONS(1516),
    [anon_sym_GT_EQ] = ACTIONS(1516),
    [anon_sym_BANG_EQ] = ACTIONS(1516),
    [anon_sym_LT_LT] = ACTIONS(1516),
    [anon_sym_GT_GT] = ACTIONS(1516),
    [anon_sym_AMP] = ACTIONS(1516),
    [anon_sym_CARET] = ACTIONS(1516),
    [anon_sym_PIPE] = ACTIONS(1518),
    [sym__string_start] = ACTIONS(1516),
  },
  [4217] = {
    [sym_analytics_clause] = STATE(4904),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1418),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_into_clause_token1] = ACTIONS(1418),
    [aux_sym_using_clause_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [4218] = {
    [ts_builtin_sym_end] = ACTIONS(1744),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1744),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1744),
    [aux_sym_keyword_replace_token1] = ACTIONS(1744),
    [aux_sym__keyword_alter_token1] = ACTIONS(1744),
    [aux_sym__keyword_delete_token1] = ACTIONS(1744),
    [aux_sym__keyword_begin_token1] = ACTIONS(1744),
    [aux_sym__keyword_end_token1] = ACTIONS(1744),
    [aux_sym__keyword_between_token1] = ACTIONS(1744),
    [aux_sym__keyword_when_token1] = ACTIONS(1744),
    [aux_sym__keyword_else_token1] = ACTIONS(1746),
    [aux_sym__keyword_is_token1] = ACTIONS(1744),
    [aux_sym__keyword_in_token1] = ACTIONS(1746),
    [aux_sym__keyword_and_token1] = ACTIONS(1744),
    [aux_sym__keyword_like_token1] = ACTIONS(1744),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1744),
    [aux_sym__keyword_as_token1] = ACTIONS(1746),
    [aux_sym__keyword_for_token1] = ACTIONS(1744),
    [anon_sym_SEMI] = ACTIONS(1744),
    [aux_sym_declare_statement_token1] = ACTIONS(1744),
    [anon_sym_COMMA] = ACTIONS(1744),
    [aux_sym_set_statement_token1] = ACTIONS(1744),
    [anon_sym_LPAREN] = ACTIONS(1744),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1744),
    [aux_sym_return_satement_token1] = ACTIONS(1744),
    [aux_sym_call_statement_token1] = ACTIONS(1744),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1744),
    [aux_sym_if_statement_token1] = ACTIONS(1744),
    [aux_sym_loop_statement_token1] = ACTIONS(1744),
    [aux_sym_repeat_statement_token1] = ACTIONS(1744),
    [aux_sym_while_statement_token1] = ACTIONS(1744),
    [aux_sym_break_statement_token1] = ACTIONS(1744),
    [aux_sym_leave_statement_token1] = ACTIONS(1744),
    [aux_sym_continue_statement_token1] = ACTIONS(1744),
    [aux_sym_iterate_statement_token1] = ACTIONS(1744),
    [aux_sym_raise_statement_token1] = ACTIONS(1744),
    [anon_sym_EQ] = ACTIONS(1744),
    [aux_sym_assert_statement_token1] = ACTIONS(1744),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1744),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1744),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1744),
    [aux_sym_option_clause_token1] = ACTIONS(1744),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1746),
    [aux_sym_select_token1] = ACTIONS(1744),
    [aux_sym_insert_statement_token1] = ACTIONS(1744),
    [aux_sym_truncate_statement_token1] = ACTIONS(1744),
    [aux_sym_update_statement_token1] = ACTIONS(1744),
    [aux_sym_merge_statement_token1] = ACTIONS(1744),
    [aux_sym_grant_statement_token1] = ACTIONS(1744),
    [aux_sym_revoke_statement_token1] = ACTIONS(1744),
    [aux_sym_export_data_statement_token1] = ACTIONS(1744),
    [aux_sym_load_data_statement_token1] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(1744),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1744),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_STAR] = ACTIONS(1744),
    [anon_sym_SLASH] = ACTIONS(1746),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_LT_GT] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1744),
    [anon_sym_GT_GT] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1746),
  },
  [4219] = {
    [sym__keyword_as] = STATE(11635),
    [sym__keyword_date] = STATE(5589),
    [sym__keyword_datetime] = STATE(5589),
    [sym__keyword_time] = STATE(5589),
    [sym__keyword_timestamp] = STATE(5589),
    [sym_as_alias] = STATE(5458),
    [sym_unnest_withoffset] = STATE(5607),
    [sym__type_chrono] = STATE(5587),
    [sym__identifier] = STATE(5400),
    [sym__dotted_identifier] = STATE(13676),
    [sym_identifier] = STATE(5578),
    [aux_sym_identifier_repeat1] = STATE(13676),
    [sym__unquoted_identifier] = ACTIONS(2498),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(205),
    [aux_sym_keyword_replace_token1] = ACTIONS(205),
    [aux_sym__keyword_between_token1] = ACTIONS(205),
    [aux_sym__keyword_is_token1] = ACTIONS(205),
    [aux_sym__keyword_in_token1] = ACTIONS(205),
    [aux_sym__keyword_and_token1] = ACTIONS(205),
    [aux_sym__keyword_like_token1] = ACTIONS(205),
    [aux_sym__keyword_as_token1] = ACTIONS(3364),
    [aux_sym__keyword_window_token1] = ACTIONS(205),
    [aux_sym__keyword_date_token1] = ACTIONS(3366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(3366),
    [aux_sym__keyword_time_token1] = ACTIONS(3366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(3366),
    [anon_sym_COMMA] = ACTIONS(211),
    [anon_sym_RPAREN] = ACTIONS(211),
    [aux_sym_using_clause_token1] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3368),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [aux_sym_set_operation_token1] = ACTIONS(205),
    [aux_sym_set_operation_token3] = ACTIONS(205),
    [aux_sym_set_operation_token4] = ACTIONS(205),
    [aux_sym_having_clause_token1] = ACTIONS(205),
    [aux_sym_qualify_clause_token1] = ACTIONS(205),
    [aux_sym_limit_clause_token1] = ACTIONS(205),
    [aux_sym_group_by_clause_token1] = ACTIONS(205),
    [aux_sym_order_by_clause_token1] = ACTIONS(205),
    [aux_sym_where_clause_token1] = ACTIONS(205),
    [aux_sym_pivot_operator_token1] = ACTIONS(205),
    [aux_sym_unpivot_operator_token1] = ACTIONS(205),
    [aux_sym_tablesample_operator_token1] = ACTIONS(205),
    [aux_sym_join_type_token1] = ACTIONS(205),
    [aux_sym_join_type_token2] = ACTIONS(205),
    [aux_sym_join_type_token3] = ACTIONS(205),
    [aux_sym_join_type_token4] = ACTIONS(205),
    [aux_sym__cross_join_operation_token1] = ACTIONS(205),
    [aux_sym__cross_join_operation_token2] = ACTIONS(205),
    [aux_sym_join_condition_token1] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(211),
    [sym__quoted_identifier] = ACTIONS(2540),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(211),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(211),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(211),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_LT_GT] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(211),
    [anon_sym_GT_GT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_CARET] = ACTIONS(211),
    [anon_sym_PIPE] = ACTIONS(205),
  },
  [4220] = {
    [ts_builtin_sym_end] = ACTIONS(1083),
    [sym__unquoted_identifier] = ACTIONS(1081),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1081),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1081),
    [aux_sym_keyword_replace_token1] = ACTIONS(1081),
    [aux_sym__keyword_alter_token1] = ACTIONS(1081),
    [aux_sym__keyword_delete_token1] = ACTIONS(1081),
    [aux_sym__keyword_begin_token1] = ACTIONS(1081),
    [aux_sym__keyword_between_token1] = ACTIONS(1081),
    [aux_sym__keyword_is_token1] = ACTIONS(1081),
    [aux_sym__keyword_in_token1] = ACTIONS(1081),
    [aux_sym__keyword_and_token1] = ACTIONS(1081),
    [aux_sym__keyword_like_token1] = ACTIONS(1081),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1081),
    [aux_sym__keyword_as_token1] = ACTIONS(1081),
    [aux_sym__keyword_date_token1] = ACTIONS(1081),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1081),
    [aux_sym__keyword_time_token1] = ACTIONS(1081),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1081),
    [aux_sym__keyword_for_token1] = ACTIONS(1081),
    [anon_sym_SEMI] = ACTIONS(1083),
    [aux_sym_declare_statement_token1] = ACTIONS(1081),
    [aux_sym_set_statement_token1] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1081),
    [aux_sym_into_clause_token1] = ACTIONS(1081),
    [aux_sym_using_clause_token1] = ACTIONS(1081),
    [aux_sym_return_satement_token1] = ACTIONS(1081),
    [aux_sym_call_statement_token1] = ACTIONS(1081),
    [aux_sym_loop_statement_token1] = ACTIONS(1081),
    [aux_sym_while_statement_token1] = ACTIONS(1081),
    [aux_sym_break_statement_token1] = ACTIONS(1081),
    [aux_sym_leave_statement_token1] = ACTIONS(1081),
    [aux_sym_continue_statement_token1] = ACTIONS(1081),
    [aux_sym_iterate_statement_token1] = ACTIONS(1081),
    [aux_sym_raise_statement_token1] = ACTIONS(1081),
    [anon_sym_EQ] = ACTIONS(1083),
    [aux_sym_assert_statement_token1] = ACTIONS(1081),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1081),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1081),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1081),
    [anon_sym_LT] = ACTIONS(1081),
    [anon_sym_GT] = ACTIONS(1081),
    [aux_sym_select_token1] = ACTIONS(1081),
    [aux_sym_insert_statement_token1] = ACTIONS(1081),
    [aux_sym_truncate_statement_token1] = ACTIONS(1081),
    [aux_sym_update_statement_token1] = ACTIONS(1081),
    [aux_sym_merge_statement_token1] = ACTIONS(1081),
    [aux_sym_grant_statement_token1] = ACTIONS(1081),
    [aux_sym_revoke_statement_token1] = ACTIONS(1081),
    [aux_sym_export_data_statement_token1] = ACTIONS(1081),
    [aux_sym_load_data_statement_token1] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [sym__quoted_identifier] = ACTIONS(1083),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1083),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1081),
    [anon_sym_STAR] = ACTIONS(1083),
    [anon_sym_SLASH] = ACTIONS(1081),
    [anon_sym_PIPE_PIPE] = ACTIONS(1083),
    [anon_sym_LT_EQ] = ACTIONS(1083),
    [anon_sym_LT_GT] = ACTIONS(1083),
    [anon_sym_GT_EQ] = ACTIONS(1083),
    [anon_sym_BANG_EQ] = ACTIONS(1083),
    [anon_sym_LT_LT] = ACTIONS(1083),
    [anon_sym_GT_GT] = ACTIONS(1083),
    [anon_sym_AMP] = ACTIONS(1083),
    [anon_sym_CARET] = ACTIONS(1083),
    [anon_sym_PIPE] = ACTIONS(1081),
  },
  [4221] = {
    [sym_analytics_clause] = STATE(4844),
    [ts_builtin_sym_end] = ACTIONS(1492),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1492),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1492),
    [aux_sym_keyword_replace_token1] = ACTIONS(1492),
    [aux_sym__keyword_alter_token1] = ACTIONS(1492),
    [aux_sym__keyword_delete_token1] = ACTIONS(1492),
    [aux_sym__keyword_begin_token1] = ACTIONS(1492),
    [aux_sym__keyword_end_token1] = ACTIONS(1492),
    [aux_sym__keyword_between_token1] = ACTIONS(1492),
    [aux_sym__keyword_else_token1] = ACTIONS(1494),
    [aux_sym__keyword_is_token1] = ACTIONS(1492),
    [aux_sym__keyword_in_token1] = ACTIONS(1494),
    [aux_sym__keyword_and_token1] = ACTIONS(1492),
    [aux_sym__keyword_like_token1] = ACTIONS(1492),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1492),
    [aux_sym__keyword_for_token1] = ACTIONS(1492),
    [anon_sym_SEMI] = ACTIONS(1492),
    [aux_sym_declare_statement_token1] = ACTIONS(1492),
    [aux_sym_set_statement_token1] = ACTIONS(1492),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1492),
    [aux_sym_into_clause_token1] = ACTIONS(1492),
    [aux_sym_using_clause_token1] = ACTIONS(1492),
    [aux_sym_return_satement_token1] = ACTIONS(1492),
    [aux_sym_call_statement_token1] = ACTIONS(1492),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1492),
    [aux_sym_if_statement_token1] = ACTIONS(1492),
    [aux_sym_loop_statement_token1] = ACTIONS(1492),
    [aux_sym_repeat_statement_token1] = ACTIONS(1492),
    [aux_sym_while_statement_token1] = ACTIONS(1492),
    [aux_sym_break_statement_token1] = ACTIONS(1492),
    [aux_sym_leave_statement_token1] = ACTIONS(1492),
    [aux_sym_continue_statement_token1] = ACTIONS(1492),
    [aux_sym_iterate_statement_token1] = ACTIONS(1492),
    [aux_sym_raise_statement_token1] = ACTIONS(1492),
    [anon_sym_EQ] = ACTIONS(1492),
    [aux_sym_assert_statement_token1] = ACTIONS(1492),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1492),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1492),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1492),
    [anon_sym_LT] = ACTIONS(1494),
    [anon_sym_GT] = ACTIONS(1494),
    [aux_sym_select_token1] = ACTIONS(1492),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1492),
    [aux_sym_truncate_statement_token1] = ACTIONS(1492),
    [aux_sym_update_statement_token1] = ACTIONS(1492),
    [aux_sym_merge_statement_token1] = ACTIONS(1492),
    [aux_sym_grant_statement_token1] = ACTIONS(1492),
    [aux_sym_revoke_statement_token1] = ACTIONS(1492),
    [aux_sym_export_data_statement_token1] = ACTIONS(1492),
    [aux_sym_load_data_statement_token1] = ACTIONS(1492),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_STAR] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1494),
    [anon_sym_PIPE_PIPE] = ACTIONS(1492),
    [anon_sym_LT_EQ] = ACTIONS(1492),
    [anon_sym_LT_GT] = ACTIONS(1492),
    [anon_sym_GT_EQ] = ACTIONS(1492),
    [anon_sym_BANG_EQ] = ACTIONS(1492),
    [anon_sym_LT_LT] = ACTIONS(1492),
    [anon_sym_GT_GT] = ACTIONS(1492),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_CARET] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1494),
  },
  [4222] = {
    [sym_analytics_clause] = STATE(4845),
    [ts_builtin_sym_end] = ACTIONS(1488),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1488),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1488),
    [aux_sym_keyword_replace_token1] = ACTIONS(1488),
    [aux_sym__keyword_alter_token1] = ACTIONS(1488),
    [aux_sym__keyword_delete_token1] = ACTIONS(1488),
    [aux_sym__keyword_begin_token1] = ACTIONS(1488),
    [aux_sym__keyword_end_token1] = ACTIONS(1488),
    [aux_sym__keyword_between_token1] = ACTIONS(1488),
    [aux_sym__keyword_else_token1] = ACTIONS(1490),
    [aux_sym__keyword_is_token1] = ACTIONS(1488),
    [aux_sym__keyword_in_token1] = ACTIONS(1490),
    [aux_sym__keyword_and_token1] = ACTIONS(1488),
    [aux_sym__keyword_like_token1] = ACTIONS(1488),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1488),
    [aux_sym__keyword_for_token1] = ACTIONS(1488),
    [anon_sym_SEMI] = ACTIONS(1488),
    [aux_sym_declare_statement_token1] = ACTIONS(1488),
    [aux_sym_set_statement_token1] = ACTIONS(1488),
    [anon_sym_LPAREN] = ACTIONS(1488),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1488),
    [aux_sym_into_clause_token1] = ACTIONS(1488),
    [aux_sym_using_clause_token1] = ACTIONS(1488),
    [aux_sym_return_satement_token1] = ACTIONS(1488),
    [aux_sym_call_statement_token1] = ACTIONS(1488),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1488),
    [aux_sym_if_statement_token1] = ACTIONS(1488),
    [aux_sym_loop_statement_token1] = ACTIONS(1488),
    [aux_sym_repeat_statement_token1] = ACTIONS(1488),
    [aux_sym_while_statement_token1] = ACTIONS(1488),
    [aux_sym_break_statement_token1] = ACTIONS(1488),
    [aux_sym_leave_statement_token1] = ACTIONS(1488),
    [aux_sym_continue_statement_token1] = ACTIONS(1488),
    [aux_sym_iterate_statement_token1] = ACTIONS(1488),
    [aux_sym_raise_statement_token1] = ACTIONS(1488),
    [anon_sym_EQ] = ACTIONS(1488),
    [aux_sym_assert_statement_token1] = ACTIONS(1488),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1488),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1488),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1488),
    [anon_sym_LT] = ACTIONS(1490),
    [anon_sym_GT] = ACTIONS(1490),
    [aux_sym_select_token1] = ACTIONS(1488),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1488),
    [aux_sym_truncate_statement_token1] = ACTIONS(1488),
    [aux_sym_update_statement_token1] = ACTIONS(1488),
    [aux_sym_merge_statement_token1] = ACTIONS(1488),
    [aux_sym_grant_statement_token1] = ACTIONS(1488),
    [aux_sym_revoke_statement_token1] = ACTIONS(1488),
    [aux_sym_export_data_statement_token1] = ACTIONS(1488),
    [aux_sym_load_data_statement_token1] = ACTIONS(1488),
    [anon_sym_LBRACK] = ACTIONS(1488),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1488),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_STAR] = ACTIONS(1488),
    [anon_sym_SLASH] = ACTIONS(1490),
    [anon_sym_PIPE_PIPE] = ACTIONS(1488),
    [anon_sym_LT_EQ] = ACTIONS(1488),
    [anon_sym_LT_GT] = ACTIONS(1488),
    [anon_sym_GT_EQ] = ACTIONS(1488),
    [anon_sym_BANG_EQ] = ACTIONS(1488),
    [anon_sym_LT_LT] = ACTIONS(1488),
    [anon_sym_GT_GT] = ACTIONS(1488),
    [anon_sym_AMP] = ACTIONS(1488),
    [anon_sym_CARET] = ACTIONS(1488),
    [anon_sym_PIPE] = ACTIONS(1490),
  },
  [4223] = {
    [sym_analytics_clause] = STATE(4849),
    [ts_builtin_sym_end] = ACTIONS(1480),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1480),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1480),
    [aux_sym_keyword_replace_token1] = ACTIONS(1480),
    [aux_sym__keyword_alter_token1] = ACTIONS(1480),
    [aux_sym__keyword_delete_token1] = ACTIONS(1480),
    [aux_sym__keyword_begin_token1] = ACTIONS(1480),
    [aux_sym__keyword_end_token1] = ACTIONS(1480),
    [aux_sym__keyword_between_token1] = ACTIONS(1480),
    [aux_sym__keyword_else_token1] = ACTIONS(1482),
    [aux_sym__keyword_is_token1] = ACTIONS(1480),
    [aux_sym__keyword_in_token1] = ACTIONS(1482),
    [aux_sym__keyword_and_token1] = ACTIONS(1480),
    [aux_sym__keyword_like_token1] = ACTIONS(1480),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1480),
    [aux_sym__keyword_for_token1] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1480),
    [aux_sym_declare_statement_token1] = ACTIONS(1480),
    [aux_sym_set_statement_token1] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(1480),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1480),
    [aux_sym_into_clause_token1] = ACTIONS(1480),
    [aux_sym_using_clause_token1] = ACTIONS(1480),
    [aux_sym_return_satement_token1] = ACTIONS(1480),
    [aux_sym_call_statement_token1] = ACTIONS(1480),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1480),
    [aux_sym_if_statement_token1] = ACTIONS(1480),
    [aux_sym_loop_statement_token1] = ACTIONS(1480),
    [aux_sym_repeat_statement_token1] = ACTIONS(1480),
    [aux_sym_while_statement_token1] = ACTIONS(1480),
    [aux_sym_break_statement_token1] = ACTIONS(1480),
    [aux_sym_leave_statement_token1] = ACTIONS(1480),
    [aux_sym_continue_statement_token1] = ACTIONS(1480),
    [aux_sym_iterate_statement_token1] = ACTIONS(1480),
    [aux_sym_raise_statement_token1] = ACTIONS(1480),
    [anon_sym_EQ] = ACTIONS(1480),
    [aux_sym_assert_statement_token1] = ACTIONS(1480),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1480),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1480),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1480),
    [anon_sym_LT] = ACTIONS(1482),
    [anon_sym_GT] = ACTIONS(1482),
    [aux_sym_select_token1] = ACTIONS(1480),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1480),
    [aux_sym_truncate_statement_token1] = ACTIONS(1480),
    [aux_sym_update_statement_token1] = ACTIONS(1480),
    [aux_sym_merge_statement_token1] = ACTIONS(1480),
    [aux_sym_grant_statement_token1] = ACTIONS(1480),
    [aux_sym_revoke_statement_token1] = ACTIONS(1480),
    [aux_sym_export_data_statement_token1] = ACTIONS(1480),
    [aux_sym_load_data_statement_token1] = ACTIONS(1480),
    [anon_sym_LBRACK] = ACTIONS(1480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_DASH] = ACTIONS(1482),
    [anon_sym_STAR] = ACTIONS(1480),
    [anon_sym_SLASH] = ACTIONS(1482),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [anon_sym_LT_EQ] = ACTIONS(1480),
    [anon_sym_LT_GT] = ACTIONS(1480),
    [anon_sym_GT_EQ] = ACTIONS(1480),
    [anon_sym_BANG_EQ] = ACTIONS(1480),
    [anon_sym_LT_LT] = ACTIONS(1480),
    [anon_sym_GT_GT] = ACTIONS(1480),
    [anon_sym_AMP] = ACTIONS(1480),
    [anon_sym_CARET] = ACTIONS(1480),
    [anon_sym_PIPE] = ACTIONS(1482),
  },
  [4224] = {
    [sym_analytics_clause] = STATE(4867),
    [ts_builtin_sym_end] = ACTIONS(1470),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1470),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1470),
    [aux_sym_keyword_replace_token1] = ACTIONS(1470),
    [aux_sym__keyword_alter_token1] = ACTIONS(1470),
    [aux_sym__keyword_delete_token1] = ACTIONS(1470),
    [aux_sym__keyword_begin_token1] = ACTIONS(1470),
    [aux_sym__keyword_end_token1] = ACTIONS(1470),
    [aux_sym__keyword_between_token1] = ACTIONS(1470),
    [aux_sym__keyword_else_token1] = ACTIONS(1472),
    [aux_sym__keyword_is_token1] = ACTIONS(1470),
    [aux_sym__keyword_in_token1] = ACTIONS(1472),
    [aux_sym__keyword_and_token1] = ACTIONS(1470),
    [aux_sym__keyword_like_token1] = ACTIONS(1470),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1470),
    [aux_sym__keyword_for_token1] = ACTIONS(1470),
    [anon_sym_SEMI] = ACTIONS(1470),
    [aux_sym_declare_statement_token1] = ACTIONS(1470),
    [aux_sym_set_statement_token1] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1470),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1470),
    [aux_sym_into_clause_token1] = ACTIONS(1470),
    [aux_sym_using_clause_token1] = ACTIONS(1470),
    [aux_sym_return_satement_token1] = ACTIONS(1470),
    [aux_sym_call_statement_token1] = ACTIONS(1470),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1470),
    [aux_sym_if_statement_token1] = ACTIONS(1470),
    [aux_sym_loop_statement_token1] = ACTIONS(1470),
    [aux_sym_repeat_statement_token1] = ACTIONS(1470),
    [aux_sym_while_statement_token1] = ACTIONS(1470),
    [aux_sym_break_statement_token1] = ACTIONS(1470),
    [aux_sym_leave_statement_token1] = ACTIONS(1470),
    [aux_sym_continue_statement_token1] = ACTIONS(1470),
    [aux_sym_iterate_statement_token1] = ACTIONS(1470),
    [aux_sym_raise_statement_token1] = ACTIONS(1470),
    [anon_sym_EQ] = ACTIONS(1470),
    [aux_sym_assert_statement_token1] = ACTIONS(1470),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1470),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1470),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1470),
    [anon_sym_LT] = ACTIONS(1472),
    [anon_sym_GT] = ACTIONS(1472),
    [aux_sym_select_token1] = ACTIONS(1470),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1470),
    [aux_sym_truncate_statement_token1] = ACTIONS(1470),
    [aux_sym_update_statement_token1] = ACTIONS(1470),
    [aux_sym_merge_statement_token1] = ACTIONS(1470),
    [aux_sym_grant_statement_token1] = ACTIONS(1470),
    [aux_sym_revoke_statement_token1] = ACTIONS(1470),
    [aux_sym_export_data_statement_token1] = ACTIONS(1470),
    [aux_sym_load_data_statement_token1] = ACTIONS(1470),
    [anon_sym_LBRACK] = ACTIONS(1470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1470),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_STAR] = ACTIONS(1470),
    [anon_sym_SLASH] = ACTIONS(1472),
    [anon_sym_PIPE_PIPE] = ACTIONS(1470),
    [anon_sym_LT_EQ] = ACTIONS(1470),
    [anon_sym_LT_GT] = ACTIONS(1470),
    [anon_sym_GT_EQ] = ACTIONS(1470),
    [anon_sym_BANG_EQ] = ACTIONS(1470),
    [anon_sym_LT_LT] = ACTIONS(1470),
    [anon_sym_GT_GT] = ACTIONS(1470),
    [anon_sym_AMP] = ACTIONS(1470),
    [anon_sym_CARET] = ACTIONS(1470),
    [anon_sym_PIPE] = ACTIONS(1472),
  },
  [4225] = {
    [sym_analytics_clause] = STATE(4868),
    [ts_builtin_sym_end] = ACTIONS(1466),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1466),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1466),
    [aux_sym_keyword_replace_token1] = ACTIONS(1466),
    [aux_sym__keyword_alter_token1] = ACTIONS(1466),
    [aux_sym__keyword_delete_token1] = ACTIONS(1466),
    [aux_sym__keyword_begin_token1] = ACTIONS(1466),
    [aux_sym__keyword_end_token1] = ACTIONS(1466),
    [aux_sym__keyword_between_token1] = ACTIONS(1466),
    [aux_sym__keyword_else_token1] = ACTIONS(1468),
    [aux_sym__keyword_is_token1] = ACTIONS(1466),
    [aux_sym__keyword_in_token1] = ACTIONS(1468),
    [aux_sym__keyword_and_token1] = ACTIONS(1466),
    [aux_sym__keyword_like_token1] = ACTIONS(1466),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1466),
    [aux_sym__keyword_for_token1] = ACTIONS(1466),
    [anon_sym_SEMI] = ACTIONS(1466),
    [aux_sym_declare_statement_token1] = ACTIONS(1466),
    [aux_sym_set_statement_token1] = ACTIONS(1466),
    [anon_sym_LPAREN] = ACTIONS(1466),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1466),
    [aux_sym_into_clause_token1] = ACTIONS(1466),
    [aux_sym_using_clause_token1] = ACTIONS(1466),
    [aux_sym_return_satement_token1] = ACTIONS(1466),
    [aux_sym_call_statement_token1] = ACTIONS(1466),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1466),
    [aux_sym_if_statement_token1] = ACTIONS(1466),
    [aux_sym_loop_statement_token1] = ACTIONS(1466),
    [aux_sym_repeat_statement_token1] = ACTIONS(1466),
    [aux_sym_while_statement_token1] = ACTIONS(1466),
    [aux_sym_break_statement_token1] = ACTIONS(1466),
    [aux_sym_leave_statement_token1] = ACTIONS(1466),
    [aux_sym_continue_statement_token1] = ACTIONS(1466),
    [aux_sym_iterate_statement_token1] = ACTIONS(1466),
    [aux_sym_raise_statement_token1] = ACTIONS(1466),
    [anon_sym_EQ] = ACTIONS(1466),
    [aux_sym_assert_statement_token1] = ACTIONS(1466),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1466),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1466),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1466),
    [anon_sym_LT] = ACTIONS(1468),
    [anon_sym_GT] = ACTIONS(1468),
    [aux_sym_select_token1] = ACTIONS(1466),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1466),
    [aux_sym_truncate_statement_token1] = ACTIONS(1466),
    [aux_sym_update_statement_token1] = ACTIONS(1466),
    [aux_sym_merge_statement_token1] = ACTIONS(1466),
    [aux_sym_grant_statement_token1] = ACTIONS(1466),
    [aux_sym_revoke_statement_token1] = ACTIONS(1466),
    [aux_sym_export_data_statement_token1] = ACTIONS(1466),
    [aux_sym_load_data_statement_token1] = ACTIONS(1466),
    [anon_sym_LBRACK] = ACTIONS(1466),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_STAR] = ACTIONS(1466),
    [anon_sym_SLASH] = ACTIONS(1468),
    [anon_sym_PIPE_PIPE] = ACTIONS(1466),
    [anon_sym_LT_EQ] = ACTIONS(1466),
    [anon_sym_LT_GT] = ACTIONS(1466),
    [anon_sym_GT_EQ] = ACTIONS(1466),
    [anon_sym_BANG_EQ] = ACTIONS(1466),
    [anon_sym_LT_LT] = ACTIONS(1466),
    [anon_sym_GT_GT] = ACTIONS(1466),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_CARET] = ACTIONS(1466),
    [anon_sym_PIPE] = ACTIONS(1468),
  },
  [4226] = {
    [sym_analytics_clause] = STATE(4869),
    [ts_builtin_sym_end] = ACTIONS(1458),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1458),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1458),
    [aux_sym_keyword_replace_token1] = ACTIONS(1458),
    [aux_sym__keyword_alter_token1] = ACTIONS(1458),
    [aux_sym__keyword_delete_token1] = ACTIONS(1458),
    [aux_sym__keyword_begin_token1] = ACTIONS(1458),
    [aux_sym__keyword_end_token1] = ACTIONS(1458),
    [aux_sym__keyword_between_token1] = ACTIONS(1458),
    [aux_sym__keyword_else_token1] = ACTIONS(1460),
    [aux_sym__keyword_is_token1] = ACTIONS(1458),
    [aux_sym__keyword_in_token1] = ACTIONS(1460),
    [aux_sym__keyword_and_token1] = ACTIONS(1458),
    [aux_sym__keyword_like_token1] = ACTIONS(1458),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1458),
    [aux_sym__keyword_for_token1] = ACTIONS(1458),
    [anon_sym_SEMI] = ACTIONS(1458),
    [aux_sym_declare_statement_token1] = ACTIONS(1458),
    [aux_sym_set_statement_token1] = ACTIONS(1458),
    [anon_sym_LPAREN] = ACTIONS(1458),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1458),
    [aux_sym_into_clause_token1] = ACTIONS(1458),
    [aux_sym_using_clause_token1] = ACTIONS(1458),
    [aux_sym_return_satement_token1] = ACTIONS(1458),
    [aux_sym_call_statement_token1] = ACTIONS(1458),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1458),
    [aux_sym_if_statement_token1] = ACTIONS(1458),
    [aux_sym_loop_statement_token1] = ACTIONS(1458),
    [aux_sym_repeat_statement_token1] = ACTIONS(1458),
    [aux_sym_while_statement_token1] = ACTIONS(1458),
    [aux_sym_break_statement_token1] = ACTIONS(1458),
    [aux_sym_leave_statement_token1] = ACTIONS(1458),
    [aux_sym_continue_statement_token1] = ACTIONS(1458),
    [aux_sym_iterate_statement_token1] = ACTIONS(1458),
    [aux_sym_raise_statement_token1] = ACTIONS(1458),
    [anon_sym_EQ] = ACTIONS(1458),
    [aux_sym_assert_statement_token1] = ACTIONS(1458),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1458),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1458),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1458),
    [anon_sym_LT] = ACTIONS(1460),
    [anon_sym_GT] = ACTIONS(1460),
    [aux_sym_select_token1] = ACTIONS(1458),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1458),
    [aux_sym_truncate_statement_token1] = ACTIONS(1458),
    [aux_sym_update_statement_token1] = ACTIONS(1458),
    [aux_sym_merge_statement_token1] = ACTIONS(1458),
    [aux_sym_grant_statement_token1] = ACTIONS(1458),
    [aux_sym_revoke_statement_token1] = ACTIONS(1458),
    [aux_sym_export_data_statement_token1] = ACTIONS(1458),
    [aux_sym_load_data_statement_token1] = ACTIONS(1458),
    [anon_sym_LBRACK] = ACTIONS(1458),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_STAR] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(1460),
    [anon_sym_PIPE_PIPE] = ACTIONS(1458),
    [anon_sym_LT_EQ] = ACTIONS(1458),
    [anon_sym_LT_GT] = ACTIONS(1458),
    [anon_sym_GT_EQ] = ACTIONS(1458),
    [anon_sym_BANG_EQ] = ACTIONS(1458),
    [anon_sym_LT_LT] = ACTIONS(1458),
    [anon_sym_GT_GT] = ACTIONS(1458),
    [anon_sym_AMP] = ACTIONS(1458),
    [anon_sym_CARET] = ACTIONS(1458),
    [anon_sym_PIPE] = ACTIONS(1460),
  },
  [4227] = {
    [ts_builtin_sym_end] = ACTIONS(1516),
    [sym__unquoted_identifier] = ACTIONS(1518),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1518),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1518),
    [aux_sym_keyword_replace_token1] = ACTIONS(1518),
    [aux_sym__keyword_alter_token1] = ACTIONS(1518),
    [aux_sym__keyword_delete_token1] = ACTIONS(1518),
    [aux_sym__keyword_begin_token1] = ACTIONS(1518),
    [aux_sym__keyword_between_token1] = ACTIONS(1518),
    [aux_sym__keyword_is_token1] = ACTIONS(1518),
    [aux_sym__keyword_in_token1] = ACTIONS(1518),
    [aux_sym__keyword_and_token1] = ACTIONS(1518),
    [aux_sym__keyword_like_token1] = ACTIONS(1518),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1518),
    [aux_sym__keyword_as_token1] = ACTIONS(1518),
    [aux_sym__keyword_date_token1] = ACTIONS(1518),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1518),
    [aux_sym__keyword_time_token1] = ACTIONS(1518),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1518),
    [aux_sym__keyword_for_token1] = ACTIONS(1518),
    [anon_sym_SEMI] = ACTIONS(1516),
    [aux_sym_declare_statement_token1] = ACTIONS(1518),
    [anon_sym_COMMA] = ACTIONS(1516),
    [aux_sym_set_statement_token1] = ACTIONS(1518),
    [anon_sym_LPAREN] = ACTIONS(1516),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1518),
    [aux_sym_return_satement_token1] = ACTIONS(1518),
    [aux_sym_call_statement_token1] = ACTIONS(1518),
    [aux_sym_loop_statement_token1] = ACTIONS(1518),
    [aux_sym_while_statement_token1] = ACTIONS(1518),
    [aux_sym_break_statement_token1] = ACTIONS(1518),
    [aux_sym_leave_statement_token1] = ACTIONS(1518),
    [aux_sym_continue_statement_token1] = ACTIONS(1518),
    [aux_sym_iterate_statement_token1] = ACTIONS(1518),
    [aux_sym_raise_statement_token1] = ACTIONS(1518),
    [anon_sym_EQ] = ACTIONS(1516),
    [aux_sym_assert_statement_token1] = ACTIONS(1518),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1518),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1518),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1518),
    [anon_sym_LT] = ACTIONS(1518),
    [anon_sym_GT] = ACTIONS(1518),
    [aux_sym_select_token1] = ACTIONS(1518),
    [aux_sym_insert_statement_token1] = ACTIONS(1518),
    [aux_sym_truncate_statement_token1] = ACTIONS(1518),
    [aux_sym_update_statement_token1] = ACTIONS(1518),
    [aux_sym_merge_statement_token1] = ACTIONS(1518),
    [aux_sym_grant_statement_token1] = ACTIONS(1518),
    [aux_sym_revoke_statement_token1] = ACTIONS(1518),
    [aux_sym_export_data_statement_token1] = ACTIONS(1518),
    [aux_sym_load_data_statement_token1] = ACTIONS(1518),
    [anon_sym_LBRACK] = ACTIONS(1516),
    [sym__quoted_identifier] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1516),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1518),
    [anon_sym_STAR] = ACTIONS(1516),
    [anon_sym_SLASH] = ACTIONS(1518),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [anon_sym_LT_EQ] = ACTIONS(1516),
    [anon_sym_LT_GT] = ACTIONS(1516),
    [anon_sym_GT_EQ] = ACTIONS(1516),
    [anon_sym_BANG_EQ] = ACTIONS(1516),
    [anon_sym_LT_LT] = ACTIONS(1516),
    [anon_sym_GT_GT] = ACTIONS(1516),
    [anon_sym_AMP] = ACTIONS(1516),
    [anon_sym_CARET] = ACTIONS(1516),
    [anon_sym_PIPE] = ACTIONS(1518),
    [sym__string_start] = ACTIONS(1516),
  },
  [4228] = {
    [sym_analytics_clause] = STATE(4872),
    [ts_builtin_sym_end] = ACTIONS(1454),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1454),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1454),
    [aux_sym_keyword_replace_token1] = ACTIONS(1454),
    [aux_sym__keyword_alter_token1] = ACTIONS(1454),
    [aux_sym__keyword_delete_token1] = ACTIONS(1454),
    [aux_sym__keyword_begin_token1] = ACTIONS(1454),
    [aux_sym__keyword_end_token1] = ACTIONS(1454),
    [aux_sym__keyword_between_token1] = ACTIONS(1454),
    [aux_sym__keyword_else_token1] = ACTIONS(1456),
    [aux_sym__keyword_is_token1] = ACTIONS(1454),
    [aux_sym__keyword_in_token1] = ACTIONS(1456),
    [aux_sym__keyword_and_token1] = ACTIONS(1454),
    [aux_sym__keyword_like_token1] = ACTIONS(1454),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1454),
    [aux_sym__keyword_for_token1] = ACTIONS(1454),
    [anon_sym_SEMI] = ACTIONS(1454),
    [aux_sym_declare_statement_token1] = ACTIONS(1454),
    [aux_sym_set_statement_token1] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1454),
    [aux_sym_into_clause_token1] = ACTIONS(1454),
    [aux_sym_using_clause_token1] = ACTIONS(1454),
    [aux_sym_return_satement_token1] = ACTIONS(1454),
    [aux_sym_call_statement_token1] = ACTIONS(1454),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1454),
    [aux_sym_if_statement_token1] = ACTIONS(1454),
    [aux_sym_loop_statement_token1] = ACTIONS(1454),
    [aux_sym_repeat_statement_token1] = ACTIONS(1454),
    [aux_sym_while_statement_token1] = ACTIONS(1454),
    [aux_sym_break_statement_token1] = ACTIONS(1454),
    [aux_sym_leave_statement_token1] = ACTIONS(1454),
    [aux_sym_continue_statement_token1] = ACTIONS(1454),
    [aux_sym_iterate_statement_token1] = ACTIONS(1454),
    [aux_sym_raise_statement_token1] = ACTIONS(1454),
    [anon_sym_EQ] = ACTIONS(1454),
    [aux_sym_assert_statement_token1] = ACTIONS(1454),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1454),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1454),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1454),
    [anon_sym_LT] = ACTIONS(1456),
    [anon_sym_GT] = ACTIONS(1456),
    [aux_sym_select_token1] = ACTIONS(1454),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1454),
    [aux_sym_truncate_statement_token1] = ACTIONS(1454),
    [aux_sym_update_statement_token1] = ACTIONS(1454),
    [aux_sym_merge_statement_token1] = ACTIONS(1454),
    [aux_sym_grant_statement_token1] = ACTIONS(1454),
    [aux_sym_revoke_statement_token1] = ACTIONS(1454),
    [aux_sym_export_data_statement_token1] = ACTIONS(1454),
    [aux_sym_load_data_statement_token1] = ACTIONS(1454),
    [anon_sym_LBRACK] = ACTIONS(1454),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1454),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1454),
    [anon_sym_SLASH] = ACTIONS(1456),
    [anon_sym_PIPE_PIPE] = ACTIONS(1454),
    [anon_sym_LT_EQ] = ACTIONS(1454),
    [anon_sym_LT_GT] = ACTIONS(1454),
    [anon_sym_GT_EQ] = ACTIONS(1454),
    [anon_sym_BANG_EQ] = ACTIONS(1454),
    [anon_sym_LT_LT] = ACTIONS(1454),
    [anon_sym_GT_GT] = ACTIONS(1454),
    [anon_sym_AMP] = ACTIONS(1454),
    [anon_sym_CARET] = ACTIONS(1454),
    [anon_sym_PIPE] = ACTIONS(1456),
  },
  [4229] = {
    [sym__keyword_between] = STATE(1819),
    [sym__keyword_is] = STATE(12068),
    [sym__keyword_in] = STATE(1558),
    [sym__keyword_not] = STATE(13100),
    [sym__keyword_and] = STATE(1533),
    [sym__keyword_or] = STATE(1532),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(3268),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3268),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(2744),
    [aux_sym__keyword_alter_token1] = ACTIONS(3268),
    [aux_sym__keyword_delete_token1] = ACTIONS(3268),
    [aux_sym__keyword_begin_token1] = ACTIONS(3268),
    [aux_sym__keyword_between_token1] = ACTIONS(3302),
    [aux_sym__keyword_is_token1] = ACTIONS(3304),
    [aux_sym__keyword_in_token1] = ACTIONS(3306),
    [aux_sym__keyword_and_token1] = ACTIONS(3308),
    [aux_sym__keyword_like_token1] = ACTIONS(1007),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3268),
    [aux_sym__keyword_for_token1] = ACTIONS(3268),
    [anon_sym_SEMI] = ACTIONS(3268),
    [aux_sym_declare_statement_token1] = ACTIONS(3268),
    [aux_sym_set_statement_token1] = ACTIONS(3268),
    [anon_sym_LPAREN] = ACTIONS(3268),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(3268),
    [aux_sym_return_satement_token1] = ACTIONS(3268),
    [aux_sym_call_statement_token1] = ACTIONS(3268),
    [aux_sym_loop_statement_token1] = ACTIONS(3268),
    [aux_sym_while_statement_token1] = ACTIONS(3268),
    [aux_sym_break_statement_token1] = ACTIONS(3268),
    [aux_sym_leave_statement_token1] = ACTIONS(3268),
    [aux_sym_continue_statement_token1] = ACTIONS(3268),
    [aux_sym_iterate_statement_token1] = ACTIONS(3268),
    [aux_sym_raise_statement_token1] = ACTIONS(3268),
    [anon_sym_EQ] = ACTIONS(3310),
    [aux_sym_assert_statement_token1] = ACTIONS(3268),
    [aux_sym_create_schema_statement_token1] = ACTIONS(3268),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(3268),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3268),
    [anon_sym_LT] = ACTIONS(3306),
    [anon_sym_GT] = ACTIONS(3306),
    [aux_sym_select_token1] = ACTIONS(3268),
    [aux_sym_insert_statement_token1] = ACTIONS(3268),
    [aux_sym_truncate_statement_token1] = ACTIONS(3268),
    [aux_sym_update_statement_token1] = ACTIONS(3268),
    [aux_sym_merge_statement_token1] = ACTIONS(3268),
    [aux_sym_grant_statement_token1] = ACTIONS(3268),
    [aux_sym_revoke_statement_token1] = ACTIONS(3268),
    [aux_sym_export_data_statement_token1] = ACTIONS(3268),
    [aux_sym_load_data_statement_token1] = ACTIONS(3268),
    [anon_sym_LBRACK] = ACTIONS(3056),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(3058),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_DASH] = ACTIONS(3314),
    [anon_sym_STAR] = ACTIONS(3316),
    [anon_sym_SLASH] = ACTIONS(3318),
    [anon_sym_PIPE_PIPE] = ACTIONS(3316),
    [anon_sym_LT_EQ] = ACTIONS(3310),
    [anon_sym_LT_GT] = ACTIONS(3310),
    [anon_sym_GT_EQ] = ACTIONS(3310),
    [anon_sym_BANG_EQ] = ACTIONS(3310),
    [anon_sym_LT_LT] = ACTIONS(3320),
    [anon_sym_GT_GT] = ACTIONS(3320),
    [anon_sym_AMP] = ACTIONS(3322),
    [anon_sym_CARET] = ACTIONS(3324),
    [anon_sym_PIPE] = ACTIONS(3326),
  },
  [4230] = {
    [sym_analytics_clause] = STATE(4893),
    [ts_builtin_sym_end] = ACTIONS(1450),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1450),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1450),
    [aux_sym_keyword_replace_token1] = ACTIONS(1450),
    [aux_sym__keyword_alter_token1] = ACTIONS(1450),
    [aux_sym__keyword_delete_token1] = ACTIONS(1450),
    [aux_sym__keyword_begin_token1] = ACTIONS(1450),
    [aux_sym__keyword_end_token1] = ACTIONS(1450),
    [aux_sym__keyword_between_token1] = ACTIONS(1450),
    [aux_sym__keyword_else_token1] = ACTIONS(1452),
    [aux_sym__keyword_is_token1] = ACTIONS(1450),
    [aux_sym__keyword_in_token1] = ACTIONS(1452),
    [aux_sym__keyword_and_token1] = ACTIONS(1450),
    [aux_sym__keyword_like_token1] = ACTIONS(1450),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1450),
    [aux_sym__keyword_for_token1] = ACTIONS(1450),
    [anon_sym_SEMI] = ACTIONS(1450),
    [aux_sym_declare_statement_token1] = ACTIONS(1450),
    [aux_sym_set_statement_token1] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1450),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1450),
    [aux_sym_into_clause_token1] = ACTIONS(1450),
    [aux_sym_using_clause_token1] = ACTIONS(1450),
    [aux_sym_return_satement_token1] = ACTIONS(1450),
    [aux_sym_call_statement_token1] = ACTIONS(1450),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1450),
    [aux_sym_if_statement_token1] = ACTIONS(1450),
    [aux_sym_loop_statement_token1] = ACTIONS(1450),
    [aux_sym_repeat_statement_token1] = ACTIONS(1450),
    [aux_sym_while_statement_token1] = ACTIONS(1450),
    [aux_sym_break_statement_token1] = ACTIONS(1450),
    [aux_sym_leave_statement_token1] = ACTIONS(1450),
    [aux_sym_continue_statement_token1] = ACTIONS(1450),
    [aux_sym_iterate_statement_token1] = ACTIONS(1450),
    [aux_sym_raise_statement_token1] = ACTIONS(1450),
    [anon_sym_EQ] = ACTIONS(1450),
    [aux_sym_assert_statement_token1] = ACTIONS(1450),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1450),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1450),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1450),
    [anon_sym_LT] = ACTIONS(1452),
    [anon_sym_GT] = ACTIONS(1452),
    [aux_sym_select_token1] = ACTIONS(1450),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1450),
    [aux_sym_truncate_statement_token1] = ACTIONS(1450),
    [aux_sym_update_statement_token1] = ACTIONS(1450),
    [aux_sym_merge_statement_token1] = ACTIONS(1450),
    [aux_sym_grant_statement_token1] = ACTIONS(1450),
    [aux_sym_revoke_statement_token1] = ACTIONS(1450),
    [aux_sym_export_data_statement_token1] = ACTIONS(1450),
    [aux_sym_load_data_statement_token1] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1450),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_STAR] = ACTIONS(1450),
    [anon_sym_SLASH] = ACTIONS(1452),
    [anon_sym_PIPE_PIPE] = ACTIONS(1450),
    [anon_sym_LT_EQ] = ACTIONS(1450),
    [anon_sym_LT_GT] = ACTIONS(1450),
    [anon_sym_GT_EQ] = ACTIONS(1450),
    [anon_sym_BANG_EQ] = ACTIONS(1450),
    [anon_sym_LT_LT] = ACTIONS(1450),
    [anon_sym_GT_GT] = ACTIONS(1450),
    [anon_sym_AMP] = ACTIONS(1450),
    [anon_sym_CARET] = ACTIONS(1450),
    [anon_sym_PIPE] = ACTIONS(1452),
  },
  [4231] = {
    [sym_analytics_clause] = STATE(4874),
    [ts_builtin_sym_end] = ACTIONS(1450),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1450),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1450),
    [aux_sym_keyword_replace_token1] = ACTIONS(1450),
    [aux_sym__keyword_alter_token1] = ACTIONS(1450),
    [aux_sym__keyword_delete_token1] = ACTIONS(1450),
    [aux_sym__keyword_begin_token1] = ACTIONS(1450),
    [aux_sym__keyword_end_token1] = ACTIONS(1450),
    [aux_sym__keyword_between_token1] = ACTIONS(1450),
    [aux_sym__keyword_else_token1] = ACTIONS(1452),
    [aux_sym__keyword_is_token1] = ACTIONS(1450),
    [aux_sym__keyword_in_token1] = ACTIONS(1452),
    [aux_sym__keyword_and_token1] = ACTIONS(1450),
    [aux_sym__keyword_like_token1] = ACTIONS(1450),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1450),
    [aux_sym__keyword_for_token1] = ACTIONS(1450),
    [anon_sym_SEMI] = ACTIONS(1450),
    [aux_sym_declare_statement_token1] = ACTIONS(1450),
    [aux_sym_set_statement_token1] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1450),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1450),
    [aux_sym_into_clause_token1] = ACTIONS(1450),
    [aux_sym_using_clause_token1] = ACTIONS(1450),
    [aux_sym_return_satement_token1] = ACTIONS(1450),
    [aux_sym_call_statement_token1] = ACTIONS(1450),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1450),
    [aux_sym_if_statement_token1] = ACTIONS(1450),
    [aux_sym_loop_statement_token1] = ACTIONS(1450),
    [aux_sym_repeat_statement_token1] = ACTIONS(1450),
    [aux_sym_while_statement_token1] = ACTIONS(1450),
    [aux_sym_break_statement_token1] = ACTIONS(1450),
    [aux_sym_leave_statement_token1] = ACTIONS(1450),
    [aux_sym_continue_statement_token1] = ACTIONS(1450),
    [aux_sym_iterate_statement_token1] = ACTIONS(1450),
    [aux_sym_raise_statement_token1] = ACTIONS(1450),
    [anon_sym_EQ] = ACTIONS(1450),
    [aux_sym_assert_statement_token1] = ACTIONS(1450),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1450),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1450),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1450),
    [anon_sym_LT] = ACTIONS(1452),
    [anon_sym_GT] = ACTIONS(1452),
    [aux_sym_select_token1] = ACTIONS(1450),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1450),
    [aux_sym_truncate_statement_token1] = ACTIONS(1450),
    [aux_sym_update_statement_token1] = ACTIONS(1450),
    [aux_sym_merge_statement_token1] = ACTIONS(1450),
    [aux_sym_grant_statement_token1] = ACTIONS(1450),
    [aux_sym_revoke_statement_token1] = ACTIONS(1450),
    [aux_sym_export_data_statement_token1] = ACTIONS(1450),
    [aux_sym_load_data_statement_token1] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1450),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_STAR] = ACTIONS(1450),
    [anon_sym_SLASH] = ACTIONS(1452),
    [anon_sym_PIPE_PIPE] = ACTIONS(1450),
    [anon_sym_LT_EQ] = ACTIONS(1450),
    [anon_sym_LT_GT] = ACTIONS(1450),
    [anon_sym_GT_EQ] = ACTIONS(1450),
    [anon_sym_BANG_EQ] = ACTIONS(1450),
    [anon_sym_LT_LT] = ACTIONS(1450),
    [anon_sym_GT_GT] = ACTIONS(1450),
    [anon_sym_AMP] = ACTIONS(1450),
    [anon_sym_CARET] = ACTIONS(1450),
    [anon_sym_PIPE] = ACTIONS(1452),
  },
  [4232] = {
    [sym_analytics_clause] = STATE(4882),
    [ts_builtin_sym_end] = ACTIONS(1438),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1438),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1438),
    [aux_sym_keyword_replace_token1] = ACTIONS(1438),
    [aux_sym__keyword_alter_token1] = ACTIONS(1438),
    [aux_sym__keyword_delete_token1] = ACTIONS(1438),
    [aux_sym__keyword_begin_token1] = ACTIONS(1438),
    [aux_sym__keyword_end_token1] = ACTIONS(1438),
    [aux_sym__keyword_between_token1] = ACTIONS(1438),
    [aux_sym__keyword_else_token1] = ACTIONS(1440),
    [aux_sym__keyword_is_token1] = ACTIONS(1438),
    [aux_sym__keyword_in_token1] = ACTIONS(1440),
    [aux_sym__keyword_and_token1] = ACTIONS(1438),
    [aux_sym__keyword_like_token1] = ACTIONS(1438),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1438),
    [aux_sym__keyword_for_token1] = ACTIONS(1438),
    [anon_sym_SEMI] = ACTIONS(1438),
    [aux_sym_declare_statement_token1] = ACTIONS(1438),
    [aux_sym_set_statement_token1] = ACTIONS(1438),
    [anon_sym_LPAREN] = ACTIONS(1438),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1438),
    [aux_sym_into_clause_token1] = ACTIONS(1438),
    [aux_sym_using_clause_token1] = ACTIONS(1438),
    [aux_sym_return_satement_token1] = ACTIONS(1438),
    [aux_sym_call_statement_token1] = ACTIONS(1438),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1438),
    [aux_sym_if_statement_token1] = ACTIONS(1438),
    [aux_sym_loop_statement_token1] = ACTIONS(1438),
    [aux_sym_repeat_statement_token1] = ACTIONS(1438),
    [aux_sym_while_statement_token1] = ACTIONS(1438),
    [aux_sym_break_statement_token1] = ACTIONS(1438),
    [aux_sym_leave_statement_token1] = ACTIONS(1438),
    [aux_sym_continue_statement_token1] = ACTIONS(1438),
    [aux_sym_iterate_statement_token1] = ACTIONS(1438),
    [aux_sym_raise_statement_token1] = ACTIONS(1438),
    [anon_sym_EQ] = ACTIONS(1438),
    [aux_sym_assert_statement_token1] = ACTIONS(1438),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1438),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1438),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1438),
    [anon_sym_LT] = ACTIONS(1440),
    [anon_sym_GT] = ACTIONS(1440),
    [aux_sym_select_token1] = ACTIONS(1438),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1438),
    [aux_sym_truncate_statement_token1] = ACTIONS(1438),
    [aux_sym_update_statement_token1] = ACTIONS(1438),
    [aux_sym_merge_statement_token1] = ACTIONS(1438),
    [aux_sym_grant_statement_token1] = ACTIONS(1438),
    [aux_sym_revoke_statement_token1] = ACTIONS(1438),
    [aux_sym_export_data_statement_token1] = ACTIONS(1438),
    [aux_sym_load_data_statement_token1] = ACTIONS(1438),
    [anon_sym_LBRACK] = ACTIONS(1438),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_STAR] = ACTIONS(1438),
    [anon_sym_SLASH] = ACTIONS(1440),
    [anon_sym_PIPE_PIPE] = ACTIONS(1438),
    [anon_sym_LT_EQ] = ACTIONS(1438),
    [anon_sym_LT_GT] = ACTIONS(1438),
    [anon_sym_GT_EQ] = ACTIONS(1438),
    [anon_sym_BANG_EQ] = ACTIONS(1438),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_AMP] = ACTIONS(1438),
    [anon_sym_CARET] = ACTIONS(1438),
    [anon_sym_PIPE] = ACTIONS(1440),
  },
  [4233] = {
    [sym_analytics_clause] = STATE(4885),
    [ts_builtin_sym_end] = ACTIONS(1434),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1434),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1434),
    [aux_sym_keyword_replace_token1] = ACTIONS(1434),
    [aux_sym__keyword_alter_token1] = ACTIONS(1434),
    [aux_sym__keyword_delete_token1] = ACTIONS(1434),
    [aux_sym__keyword_begin_token1] = ACTIONS(1434),
    [aux_sym__keyword_end_token1] = ACTIONS(1434),
    [aux_sym__keyword_between_token1] = ACTIONS(1434),
    [aux_sym__keyword_else_token1] = ACTIONS(1436),
    [aux_sym__keyword_is_token1] = ACTIONS(1434),
    [aux_sym__keyword_in_token1] = ACTIONS(1436),
    [aux_sym__keyword_and_token1] = ACTIONS(1434),
    [aux_sym__keyword_like_token1] = ACTIONS(1434),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1434),
    [aux_sym__keyword_for_token1] = ACTIONS(1434),
    [anon_sym_SEMI] = ACTIONS(1434),
    [aux_sym_declare_statement_token1] = ACTIONS(1434),
    [aux_sym_set_statement_token1] = ACTIONS(1434),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1434),
    [aux_sym_into_clause_token1] = ACTIONS(1434),
    [aux_sym_using_clause_token1] = ACTIONS(1434),
    [aux_sym_return_satement_token1] = ACTIONS(1434),
    [aux_sym_call_statement_token1] = ACTIONS(1434),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1434),
    [aux_sym_if_statement_token1] = ACTIONS(1434),
    [aux_sym_loop_statement_token1] = ACTIONS(1434),
    [aux_sym_repeat_statement_token1] = ACTIONS(1434),
    [aux_sym_while_statement_token1] = ACTIONS(1434),
    [aux_sym_break_statement_token1] = ACTIONS(1434),
    [aux_sym_leave_statement_token1] = ACTIONS(1434),
    [aux_sym_continue_statement_token1] = ACTIONS(1434),
    [aux_sym_iterate_statement_token1] = ACTIONS(1434),
    [aux_sym_raise_statement_token1] = ACTIONS(1434),
    [anon_sym_EQ] = ACTIONS(1434),
    [aux_sym_assert_statement_token1] = ACTIONS(1434),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1434),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1434),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1434),
    [anon_sym_LT] = ACTIONS(1436),
    [anon_sym_GT] = ACTIONS(1436),
    [aux_sym_select_token1] = ACTIONS(1434),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1434),
    [aux_sym_truncate_statement_token1] = ACTIONS(1434),
    [aux_sym_update_statement_token1] = ACTIONS(1434),
    [aux_sym_merge_statement_token1] = ACTIONS(1434),
    [aux_sym_grant_statement_token1] = ACTIONS(1434),
    [aux_sym_revoke_statement_token1] = ACTIONS(1434),
    [aux_sym_export_data_statement_token1] = ACTIONS(1434),
    [aux_sym_load_data_statement_token1] = ACTIONS(1434),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_STAR] = ACTIONS(1434),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1434),
    [anon_sym_LT_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1434),
    [anon_sym_BANG_EQ] = ACTIONS(1434),
    [anon_sym_LT_LT] = ACTIONS(1434),
    [anon_sym_GT_GT] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1434),
    [anon_sym_PIPE] = ACTIONS(1436),
  },
  [4234] = {
    [sym_analytics_clause] = STATE(4887),
    [ts_builtin_sym_end] = ACTIONS(1430),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1430),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1430),
    [aux_sym_keyword_replace_token1] = ACTIONS(1430),
    [aux_sym__keyword_alter_token1] = ACTIONS(1430),
    [aux_sym__keyword_delete_token1] = ACTIONS(1430),
    [aux_sym__keyword_begin_token1] = ACTIONS(1430),
    [aux_sym__keyword_end_token1] = ACTIONS(1430),
    [aux_sym__keyword_between_token1] = ACTIONS(1430),
    [aux_sym__keyword_else_token1] = ACTIONS(1432),
    [aux_sym__keyword_is_token1] = ACTIONS(1430),
    [aux_sym__keyword_in_token1] = ACTIONS(1432),
    [aux_sym__keyword_and_token1] = ACTIONS(1430),
    [aux_sym__keyword_like_token1] = ACTIONS(1430),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1430),
    [aux_sym__keyword_for_token1] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(1430),
    [aux_sym_declare_statement_token1] = ACTIONS(1430),
    [aux_sym_set_statement_token1] = ACTIONS(1430),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1430),
    [aux_sym_into_clause_token1] = ACTIONS(1430),
    [aux_sym_using_clause_token1] = ACTIONS(1430),
    [aux_sym_return_satement_token1] = ACTIONS(1430),
    [aux_sym_call_statement_token1] = ACTIONS(1430),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1430),
    [aux_sym_if_statement_token1] = ACTIONS(1430),
    [aux_sym_loop_statement_token1] = ACTIONS(1430),
    [aux_sym_repeat_statement_token1] = ACTIONS(1430),
    [aux_sym_while_statement_token1] = ACTIONS(1430),
    [aux_sym_break_statement_token1] = ACTIONS(1430),
    [aux_sym_leave_statement_token1] = ACTIONS(1430),
    [aux_sym_continue_statement_token1] = ACTIONS(1430),
    [aux_sym_iterate_statement_token1] = ACTIONS(1430),
    [aux_sym_raise_statement_token1] = ACTIONS(1430),
    [anon_sym_EQ] = ACTIONS(1430),
    [aux_sym_assert_statement_token1] = ACTIONS(1430),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1430),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1430),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [aux_sym_select_token1] = ACTIONS(1430),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1430),
    [aux_sym_truncate_statement_token1] = ACTIONS(1430),
    [aux_sym_update_statement_token1] = ACTIONS(1430),
    [aux_sym_merge_statement_token1] = ACTIONS(1430),
    [aux_sym_grant_statement_token1] = ACTIONS(1430),
    [aux_sym_revoke_statement_token1] = ACTIONS(1430),
    [aux_sym_export_data_statement_token1] = ACTIONS(1430),
    [aux_sym_load_data_statement_token1] = ACTIONS(1430),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1432),
    [anon_sym_PIPE_PIPE] = ACTIONS(1430),
    [anon_sym_LT_EQ] = ACTIONS(1430),
    [anon_sym_LT_GT] = ACTIONS(1430),
    [anon_sym_GT_EQ] = ACTIONS(1430),
    [anon_sym_BANG_EQ] = ACTIONS(1430),
    [anon_sym_LT_LT] = ACTIONS(1430),
    [anon_sym_GT_GT] = ACTIONS(1430),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_PIPE] = ACTIONS(1432),
  },
  [4235] = {
    [sym_analytics_clause] = STATE(4888),
    [ts_builtin_sym_end] = ACTIONS(1426),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1426),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1426),
    [aux_sym_keyword_replace_token1] = ACTIONS(1426),
    [aux_sym__keyword_alter_token1] = ACTIONS(1426),
    [aux_sym__keyword_delete_token1] = ACTIONS(1426),
    [aux_sym__keyword_begin_token1] = ACTIONS(1426),
    [aux_sym__keyword_end_token1] = ACTIONS(1426),
    [aux_sym__keyword_between_token1] = ACTIONS(1426),
    [aux_sym__keyword_else_token1] = ACTIONS(1428),
    [aux_sym__keyword_is_token1] = ACTIONS(1426),
    [aux_sym__keyword_in_token1] = ACTIONS(1428),
    [aux_sym__keyword_and_token1] = ACTIONS(1426),
    [aux_sym__keyword_like_token1] = ACTIONS(1426),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1426),
    [aux_sym__keyword_for_token1] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(1426),
    [aux_sym_declare_statement_token1] = ACTIONS(1426),
    [aux_sym_set_statement_token1] = ACTIONS(1426),
    [anon_sym_LPAREN] = ACTIONS(1426),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1426),
    [aux_sym_into_clause_token1] = ACTIONS(1426),
    [aux_sym_using_clause_token1] = ACTIONS(1426),
    [aux_sym_return_satement_token1] = ACTIONS(1426),
    [aux_sym_call_statement_token1] = ACTIONS(1426),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1426),
    [aux_sym_if_statement_token1] = ACTIONS(1426),
    [aux_sym_loop_statement_token1] = ACTIONS(1426),
    [aux_sym_repeat_statement_token1] = ACTIONS(1426),
    [aux_sym_while_statement_token1] = ACTIONS(1426),
    [aux_sym_break_statement_token1] = ACTIONS(1426),
    [aux_sym_leave_statement_token1] = ACTIONS(1426),
    [aux_sym_continue_statement_token1] = ACTIONS(1426),
    [aux_sym_iterate_statement_token1] = ACTIONS(1426),
    [aux_sym_raise_statement_token1] = ACTIONS(1426),
    [anon_sym_EQ] = ACTIONS(1426),
    [aux_sym_assert_statement_token1] = ACTIONS(1426),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1426),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1426),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1426),
    [anon_sym_LT] = ACTIONS(1428),
    [anon_sym_GT] = ACTIONS(1428),
    [aux_sym_select_token1] = ACTIONS(1426),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1426),
    [aux_sym_truncate_statement_token1] = ACTIONS(1426),
    [aux_sym_update_statement_token1] = ACTIONS(1426),
    [aux_sym_merge_statement_token1] = ACTIONS(1426),
    [aux_sym_grant_statement_token1] = ACTIONS(1426),
    [aux_sym_revoke_statement_token1] = ACTIONS(1426),
    [aux_sym_export_data_statement_token1] = ACTIONS(1426),
    [aux_sym_load_data_statement_token1] = ACTIONS(1426),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1426),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PIPE_PIPE] = ACTIONS(1426),
    [anon_sym_LT_EQ] = ACTIONS(1426),
    [anon_sym_LT_GT] = ACTIONS(1426),
    [anon_sym_GT_EQ] = ACTIONS(1426),
    [anon_sym_BANG_EQ] = ACTIONS(1426),
    [anon_sym_LT_LT] = ACTIONS(1426),
    [anon_sym_GT_GT] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_PIPE] = ACTIONS(1428),
  },
  [4236] = {
    [sym_analytics_clause] = STATE(4890),
    [ts_builtin_sym_end] = ACTIONS(1422),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1422),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1422),
    [aux_sym_keyword_replace_token1] = ACTIONS(1422),
    [aux_sym__keyword_alter_token1] = ACTIONS(1422),
    [aux_sym__keyword_delete_token1] = ACTIONS(1422),
    [aux_sym__keyword_begin_token1] = ACTIONS(1422),
    [aux_sym__keyword_end_token1] = ACTIONS(1422),
    [aux_sym__keyword_between_token1] = ACTIONS(1422),
    [aux_sym__keyword_else_token1] = ACTIONS(1424),
    [aux_sym__keyword_is_token1] = ACTIONS(1422),
    [aux_sym__keyword_in_token1] = ACTIONS(1424),
    [aux_sym__keyword_and_token1] = ACTIONS(1422),
    [aux_sym__keyword_like_token1] = ACTIONS(1422),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1422),
    [aux_sym__keyword_for_token1] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1422),
    [aux_sym_declare_statement_token1] = ACTIONS(1422),
    [aux_sym_set_statement_token1] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1422),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1422),
    [aux_sym_into_clause_token1] = ACTIONS(1422),
    [aux_sym_using_clause_token1] = ACTIONS(1422),
    [aux_sym_return_satement_token1] = ACTIONS(1422),
    [aux_sym_call_statement_token1] = ACTIONS(1422),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1422),
    [aux_sym_if_statement_token1] = ACTIONS(1422),
    [aux_sym_loop_statement_token1] = ACTIONS(1422),
    [aux_sym_repeat_statement_token1] = ACTIONS(1422),
    [aux_sym_while_statement_token1] = ACTIONS(1422),
    [aux_sym_break_statement_token1] = ACTIONS(1422),
    [aux_sym_leave_statement_token1] = ACTIONS(1422),
    [aux_sym_continue_statement_token1] = ACTIONS(1422),
    [aux_sym_iterate_statement_token1] = ACTIONS(1422),
    [aux_sym_raise_statement_token1] = ACTIONS(1422),
    [anon_sym_EQ] = ACTIONS(1422),
    [aux_sym_assert_statement_token1] = ACTIONS(1422),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1422),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1422),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1422),
    [anon_sym_LT] = ACTIONS(1424),
    [anon_sym_GT] = ACTIONS(1424),
    [aux_sym_select_token1] = ACTIONS(1422),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1422),
    [aux_sym_truncate_statement_token1] = ACTIONS(1422),
    [aux_sym_update_statement_token1] = ACTIONS(1422),
    [aux_sym_merge_statement_token1] = ACTIONS(1422),
    [aux_sym_grant_statement_token1] = ACTIONS(1422),
    [aux_sym_revoke_statement_token1] = ACTIONS(1422),
    [aux_sym_export_data_statement_token1] = ACTIONS(1422),
    [aux_sym_load_data_statement_token1] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1422),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1424),
    [anon_sym_STAR] = ACTIONS(1422),
    [anon_sym_SLASH] = ACTIONS(1424),
    [anon_sym_PIPE_PIPE] = ACTIONS(1422),
    [anon_sym_LT_EQ] = ACTIONS(1422),
    [anon_sym_LT_GT] = ACTIONS(1422),
    [anon_sym_GT_EQ] = ACTIONS(1422),
    [anon_sym_BANG_EQ] = ACTIONS(1422),
    [anon_sym_LT_LT] = ACTIONS(1422),
    [anon_sym_GT_GT] = ACTIONS(1422),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_CARET] = ACTIONS(1422),
    [anon_sym_PIPE] = ACTIONS(1424),
  },
  [4237] = {
    [sym_analytics_clause] = STATE(4892),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1418),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_into_clause_token1] = ACTIONS(1418),
    [aux_sym_using_clause_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [4238] = {
    [sym_analytics_clause] = STATE(4925),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1418),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_into_clause_token1] = ACTIONS(1418),
    [aux_sym_using_clause_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [4239] = {
    [sym_analytics_clause] = STATE(4894),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1418),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_into_clause_token1] = ACTIONS(1418),
    [aux_sym_using_clause_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [4240] = {
    [sym_analytics_clause] = STATE(4895),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1418),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_into_clause_token1] = ACTIONS(1418),
    [aux_sym_using_clause_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [4241] = {
    [sym_analytics_clause] = STATE(4770),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1418),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_into_clause_token1] = ACTIONS(1418),
    [aux_sym_using_clause_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [4242] = {
    [sym_analytics_clause] = STATE(4899),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1418),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_into_clause_token1] = ACTIONS(1418),
    [aux_sym_using_clause_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [4243] = {
    [sym_analytics_clause] = STATE(4901),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1418),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_into_clause_token1] = ACTIONS(1418),
    [aux_sym_using_clause_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [4244] = {
    [sym_analytics_clause] = STATE(4902),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1418),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_into_clause_token1] = ACTIONS(1418),
    [aux_sym_using_clause_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [4245] = {
    [sym_analytics_clause] = STATE(4903),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1418),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_into_clause_token1] = ACTIONS(1418),
    [aux_sym_using_clause_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [4246] = {
    [ts_builtin_sym_end] = ACTIONS(1083),
    [sym__unquoted_identifier] = ACTIONS(1081),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1081),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1081),
    [aux_sym_keyword_replace_token1] = ACTIONS(1081),
    [aux_sym__keyword_alter_token1] = ACTIONS(1081),
    [aux_sym__keyword_delete_token1] = ACTIONS(1081),
    [aux_sym__keyword_begin_token1] = ACTIONS(1081),
    [aux_sym__keyword_between_token1] = ACTIONS(1081),
    [aux_sym__keyword_is_token1] = ACTIONS(1081),
    [aux_sym__keyword_in_token1] = ACTIONS(1081),
    [aux_sym__keyword_and_token1] = ACTIONS(1081),
    [aux_sym__keyword_like_token1] = ACTIONS(1081),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1081),
    [aux_sym__keyword_as_token1] = ACTIONS(1081),
    [aux_sym__keyword_date_token1] = ACTIONS(1081),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1081),
    [aux_sym__keyword_time_token1] = ACTIONS(1081),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1081),
    [aux_sym__keyword_for_token1] = ACTIONS(1081),
    [anon_sym_SEMI] = ACTIONS(1083),
    [aux_sym_declare_statement_token1] = ACTIONS(1081),
    [anon_sym_COMMA] = ACTIONS(1083),
    [aux_sym_set_statement_token1] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1081),
    [aux_sym_return_satement_token1] = ACTIONS(1081),
    [aux_sym_call_statement_token1] = ACTIONS(1081),
    [aux_sym_loop_statement_token1] = ACTIONS(1081),
    [aux_sym_while_statement_token1] = ACTIONS(1081),
    [aux_sym_break_statement_token1] = ACTIONS(1081),
    [aux_sym_leave_statement_token1] = ACTIONS(1081),
    [aux_sym_continue_statement_token1] = ACTIONS(1081),
    [aux_sym_iterate_statement_token1] = ACTIONS(1081),
    [aux_sym_raise_statement_token1] = ACTIONS(1081),
    [anon_sym_EQ] = ACTIONS(1083),
    [aux_sym_assert_statement_token1] = ACTIONS(1081),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1081),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1081),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1081),
    [aux_sym_option_clause_token1] = ACTIONS(1081),
    [anon_sym_LT] = ACTIONS(1081),
    [anon_sym_GT] = ACTIONS(1081),
    [aux_sym_select_token1] = ACTIONS(1081),
    [aux_sym_insert_statement_token1] = ACTIONS(1081),
    [aux_sym_truncate_statement_token1] = ACTIONS(1081),
    [aux_sym_update_statement_token1] = ACTIONS(1081),
    [aux_sym_merge_statement_token1] = ACTIONS(1081),
    [aux_sym_grant_statement_token1] = ACTIONS(1081),
    [aux_sym_revoke_statement_token1] = ACTIONS(1081),
    [aux_sym_export_data_statement_token1] = ACTIONS(1081),
    [aux_sym_load_data_statement_token1] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [sym__quoted_identifier] = ACTIONS(1083),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1083),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1081),
    [anon_sym_STAR] = ACTIONS(1083),
    [anon_sym_SLASH] = ACTIONS(1081),
    [anon_sym_PIPE_PIPE] = ACTIONS(1083),
    [anon_sym_LT_EQ] = ACTIONS(1083),
    [anon_sym_LT_GT] = ACTIONS(1083),
    [anon_sym_GT_EQ] = ACTIONS(1083),
    [anon_sym_BANG_EQ] = ACTIONS(1083),
    [anon_sym_LT_LT] = ACTIONS(1083),
    [anon_sym_GT_GT] = ACTIONS(1083),
    [anon_sym_AMP] = ACTIONS(1083),
    [anon_sym_CARET] = ACTIONS(1083),
    [anon_sym_PIPE] = ACTIONS(1081),
  },
  [4247] = {
    [sym_analytics_clause] = STATE(4907),
    [ts_builtin_sym_end] = ACTIONS(1414),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1414),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1414),
    [aux_sym_keyword_replace_token1] = ACTIONS(1414),
    [aux_sym__keyword_alter_token1] = ACTIONS(1414),
    [aux_sym__keyword_delete_token1] = ACTIONS(1414),
    [aux_sym__keyword_begin_token1] = ACTIONS(1414),
    [aux_sym__keyword_end_token1] = ACTIONS(1414),
    [aux_sym__keyword_between_token1] = ACTIONS(1414),
    [aux_sym__keyword_else_token1] = ACTIONS(1416),
    [aux_sym__keyword_is_token1] = ACTIONS(1414),
    [aux_sym__keyword_in_token1] = ACTIONS(1416),
    [aux_sym__keyword_and_token1] = ACTIONS(1414),
    [aux_sym__keyword_like_token1] = ACTIONS(1414),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1414),
    [aux_sym__keyword_for_token1] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(1414),
    [aux_sym_declare_statement_token1] = ACTIONS(1414),
    [aux_sym_set_statement_token1] = ACTIONS(1414),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1414),
    [aux_sym_into_clause_token1] = ACTIONS(1414),
    [aux_sym_using_clause_token1] = ACTIONS(1414),
    [aux_sym_return_satement_token1] = ACTIONS(1414),
    [aux_sym_call_statement_token1] = ACTIONS(1414),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1414),
    [aux_sym_if_statement_token1] = ACTIONS(1414),
    [aux_sym_loop_statement_token1] = ACTIONS(1414),
    [aux_sym_repeat_statement_token1] = ACTIONS(1414),
    [aux_sym_while_statement_token1] = ACTIONS(1414),
    [aux_sym_break_statement_token1] = ACTIONS(1414),
    [aux_sym_leave_statement_token1] = ACTIONS(1414),
    [aux_sym_continue_statement_token1] = ACTIONS(1414),
    [aux_sym_iterate_statement_token1] = ACTIONS(1414),
    [aux_sym_raise_statement_token1] = ACTIONS(1414),
    [anon_sym_EQ] = ACTIONS(1414),
    [aux_sym_assert_statement_token1] = ACTIONS(1414),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1414),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1414),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1414),
    [anon_sym_LT] = ACTIONS(1416),
    [anon_sym_GT] = ACTIONS(1416),
    [aux_sym_select_token1] = ACTIONS(1414),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1414),
    [aux_sym_truncate_statement_token1] = ACTIONS(1414),
    [aux_sym_update_statement_token1] = ACTIONS(1414),
    [aux_sym_merge_statement_token1] = ACTIONS(1414),
    [aux_sym_grant_statement_token1] = ACTIONS(1414),
    [aux_sym_revoke_statement_token1] = ACTIONS(1414),
    [aux_sym_export_data_statement_token1] = ACTIONS(1414),
    [aux_sym_load_data_statement_token1] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1414),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_SLASH] = ACTIONS(1416),
    [anon_sym_PIPE_PIPE] = ACTIONS(1414),
    [anon_sym_LT_EQ] = ACTIONS(1414),
    [anon_sym_LT_GT] = ACTIONS(1414),
    [anon_sym_GT_EQ] = ACTIONS(1414),
    [anon_sym_BANG_EQ] = ACTIONS(1414),
    [anon_sym_LT_LT] = ACTIONS(1414),
    [anon_sym_GT_GT] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_CARET] = ACTIONS(1414),
    [anon_sym_PIPE] = ACTIONS(1416),
  },
  [4248] = {
    [sym_analytics_clause] = STATE(4911),
    [ts_builtin_sym_end] = ACTIONS(1410),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1410),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1410),
    [aux_sym_keyword_replace_token1] = ACTIONS(1410),
    [aux_sym__keyword_alter_token1] = ACTIONS(1410),
    [aux_sym__keyword_delete_token1] = ACTIONS(1410),
    [aux_sym__keyword_begin_token1] = ACTIONS(1410),
    [aux_sym__keyword_end_token1] = ACTIONS(1410),
    [aux_sym__keyword_between_token1] = ACTIONS(1410),
    [aux_sym__keyword_else_token1] = ACTIONS(1412),
    [aux_sym__keyword_is_token1] = ACTIONS(1410),
    [aux_sym__keyword_in_token1] = ACTIONS(1412),
    [aux_sym__keyword_and_token1] = ACTIONS(1410),
    [aux_sym__keyword_like_token1] = ACTIONS(1410),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1410),
    [aux_sym__keyword_for_token1] = ACTIONS(1410),
    [anon_sym_SEMI] = ACTIONS(1410),
    [aux_sym_declare_statement_token1] = ACTIONS(1410),
    [aux_sym_set_statement_token1] = ACTIONS(1410),
    [anon_sym_LPAREN] = ACTIONS(1410),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1410),
    [aux_sym_into_clause_token1] = ACTIONS(1410),
    [aux_sym_using_clause_token1] = ACTIONS(1410),
    [aux_sym_return_satement_token1] = ACTIONS(1410),
    [aux_sym_call_statement_token1] = ACTIONS(1410),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1410),
    [aux_sym_if_statement_token1] = ACTIONS(1410),
    [aux_sym_loop_statement_token1] = ACTIONS(1410),
    [aux_sym_repeat_statement_token1] = ACTIONS(1410),
    [aux_sym_while_statement_token1] = ACTIONS(1410),
    [aux_sym_break_statement_token1] = ACTIONS(1410),
    [aux_sym_leave_statement_token1] = ACTIONS(1410),
    [aux_sym_continue_statement_token1] = ACTIONS(1410),
    [aux_sym_iterate_statement_token1] = ACTIONS(1410),
    [aux_sym_raise_statement_token1] = ACTIONS(1410),
    [anon_sym_EQ] = ACTIONS(1410),
    [aux_sym_assert_statement_token1] = ACTIONS(1410),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1410),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1410),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1410),
    [anon_sym_LT] = ACTIONS(1412),
    [anon_sym_GT] = ACTIONS(1412),
    [aux_sym_select_token1] = ACTIONS(1410),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1410),
    [aux_sym_truncate_statement_token1] = ACTIONS(1410),
    [aux_sym_update_statement_token1] = ACTIONS(1410),
    [aux_sym_merge_statement_token1] = ACTIONS(1410),
    [aux_sym_grant_statement_token1] = ACTIONS(1410),
    [aux_sym_revoke_statement_token1] = ACTIONS(1410),
    [aux_sym_export_data_statement_token1] = ACTIONS(1410),
    [aux_sym_load_data_statement_token1] = ACTIONS(1410),
    [anon_sym_LBRACK] = ACTIONS(1410),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_STAR] = ACTIONS(1410),
    [anon_sym_SLASH] = ACTIONS(1412),
    [anon_sym_PIPE_PIPE] = ACTIONS(1410),
    [anon_sym_LT_EQ] = ACTIONS(1410),
    [anon_sym_LT_GT] = ACTIONS(1410),
    [anon_sym_GT_EQ] = ACTIONS(1410),
    [anon_sym_BANG_EQ] = ACTIONS(1410),
    [anon_sym_LT_LT] = ACTIONS(1410),
    [anon_sym_GT_GT] = ACTIONS(1410),
    [anon_sym_AMP] = ACTIONS(1410),
    [anon_sym_CARET] = ACTIONS(1410),
    [anon_sym_PIPE] = ACTIONS(1412),
  },
  [4249] = {
    [sym_analytics_clause] = STATE(4916),
    [ts_builtin_sym_end] = ACTIONS(1406),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1406),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1406),
    [aux_sym_keyword_replace_token1] = ACTIONS(1406),
    [aux_sym__keyword_alter_token1] = ACTIONS(1406),
    [aux_sym__keyword_delete_token1] = ACTIONS(1406),
    [aux_sym__keyword_begin_token1] = ACTIONS(1406),
    [aux_sym__keyword_end_token1] = ACTIONS(1406),
    [aux_sym__keyword_between_token1] = ACTIONS(1406),
    [aux_sym__keyword_else_token1] = ACTIONS(1408),
    [aux_sym__keyword_is_token1] = ACTIONS(1406),
    [aux_sym__keyword_in_token1] = ACTIONS(1408),
    [aux_sym__keyword_and_token1] = ACTIONS(1406),
    [aux_sym__keyword_like_token1] = ACTIONS(1406),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1406),
    [aux_sym__keyword_for_token1] = ACTIONS(1406),
    [anon_sym_SEMI] = ACTIONS(1406),
    [aux_sym_declare_statement_token1] = ACTIONS(1406),
    [aux_sym_set_statement_token1] = ACTIONS(1406),
    [anon_sym_LPAREN] = ACTIONS(1406),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1406),
    [aux_sym_into_clause_token1] = ACTIONS(1406),
    [aux_sym_using_clause_token1] = ACTIONS(1406),
    [aux_sym_return_satement_token1] = ACTIONS(1406),
    [aux_sym_call_statement_token1] = ACTIONS(1406),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1406),
    [aux_sym_if_statement_token1] = ACTIONS(1406),
    [aux_sym_loop_statement_token1] = ACTIONS(1406),
    [aux_sym_repeat_statement_token1] = ACTIONS(1406),
    [aux_sym_while_statement_token1] = ACTIONS(1406),
    [aux_sym_break_statement_token1] = ACTIONS(1406),
    [aux_sym_leave_statement_token1] = ACTIONS(1406),
    [aux_sym_continue_statement_token1] = ACTIONS(1406),
    [aux_sym_iterate_statement_token1] = ACTIONS(1406),
    [aux_sym_raise_statement_token1] = ACTIONS(1406),
    [anon_sym_EQ] = ACTIONS(1406),
    [aux_sym_assert_statement_token1] = ACTIONS(1406),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1406),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1406),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1406),
    [anon_sym_LT] = ACTIONS(1408),
    [anon_sym_GT] = ACTIONS(1408),
    [aux_sym_select_token1] = ACTIONS(1406),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1406),
    [aux_sym_truncate_statement_token1] = ACTIONS(1406),
    [aux_sym_update_statement_token1] = ACTIONS(1406),
    [aux_sym_merge_statement_token1] = ACTIONS(1406),
    [aux_sym_grant_statement_token1] = ACTIONS(1406),
    [aux_sym_revoke_statement_token1] = ACTIONS(1406),
    [aux_sym_export_data_statement_token1] = ACTIONS(1406),
    [aux_sym_load_data_statement_token1] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_DASH] = ACTIONS(1408),
    [anon_sym_STAR] = ACTIONS(1406),
    [anon_sym_SLASH] = ACTIONS(1408),
    [anon_sym_PIPE_PIPE] = ACTIONS(1406),
    [anon_sym_LT_EQ] = ACTIONS(1406),
    [anon_sym_LT_GT] = ACTIONS(1406),
    [anon_sym_GT_EQ] = ACTIONS(1406),
    [anon_sym_BANG_EQ] = ACTIONS(1406),
    [anon_sym_LT_LT] = ACTIONS(1406),
    [anon_sym_GT_GT] = ACTIONS(1406),
    [anon_sym_AMP] = ACTIONS(1406),
    [anon_sym_CARET] = ACTIONS(1406),
    [anon_sym_PIPE] = ACTIONS(1408),
  },
  [4250] = {
    [sym__unquoted_identifier] = ACTIONS(1532),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1532),
    [aux_sym__keyword_alter_token1] = ACTIONS(1532),
    [aux_sym__keyword_delete_token1] = ACTIONS(1532),
    [aux_sym__keyword_begin_token1] = ACTIONS(1532),
    [aux_sym__keyword_end_token1] = ACTIONS(1532),
    [aux_sym__keyword_when_token1] = ACTIONS(1532),
    [aux_sym__keyword_else_token1] = ACTIONS(1532),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1532),
    [aux_sym__keyword_as_token1] = ACTIONS(1532),
    [aux_sym__keyword_window_token1] = ACTIONS(1532),
    [aux_sym__keyword_date_token1] = ACTIONS(1532),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1532),
    [aux_sym__keyword_time_token1] = ACTIONS(1532),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1532),
    [aux_sym__keyword_for_token1] = ACTIONS(1532),
    [anon_sym_SEMI] = ACTIONS(1530),
    [aux_sym_declare_statement_token1] = ACTIONS(1532),
    [anon_sym_COMMA] = ACTIONS(1530),
    [aux_sym_set_statement_token1] = ACTIONS(1532),
    [anon_sym_LPAREN] = ACTIONS(1530),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1532),
    [aux_sym_using_clause_token1] = ACTIONS(1532),
    [aux_sym_return_satement_token1] = ACTIONS(1532),
    [aux_sym_call_statement_token1] = ACTIONS(1532),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1532),
    [aux_sym_if_statement_token1] = ACTIONS(1532),
    [aux_sym_loop_statement_token1] = ACTIONS(1532),
    [aux_sym_repeat_statement_token1] = ACTIONS(1532),
    [aux_sym_while_statement_token1] = ACTIONS(1532),
    [aux_sym_break_statement_token1] = ACTIONS(1532),
    [aux_sym_leave_statement_token1] = ACTIONS(1532),
    [aux_sym_continue_statement_token1] = ACTIONS(1532),
    [aux_sym_iterate_statement_token1] = ACTIONS(1532),
    [aux_sym_raise_statement_token1] = ACTIONS(1532),
    [aux_sym_assert_statement_token1] = ACTIONS(1532),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1532),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1532),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1532),
    [aux_sym_set_operation_token1] = ACTIONS(1532),
    [aux_sym_set_operation_token3] = ACTIONS(1532),
    [aux_sym_set_operation_token4] = ACTIONS(1532),
    [aux_sym_select_token1] = ACTIONS(1532),
    [aux_sym_having_clause_token1] = ACTIONS(1532),
    [aux_sym_qualify_clause_token1] = ACTIONS(1532),
    [aux_sym_limit_clause_token1] = ACTIONS(1532),
    [aux_sym_group_by_clause_token1] = ACTIONS(1532),
    [aux_sym_order_by_clause_token1] = ACTIONS(1532),
    [aux_sym_where_clause_token1] = ACTIONS(1532),
    [aux_sym_pivot_operator_token1] = ACTIONS(1532),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1532),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1532),
    [aux_sym_join_type_token1] = ACTIONS(1532),
    [aux_sym_join_type_token2] = ACTIONS(1532),
    [aux_sym_join_type_token3] = ACTIONS(1532),
    [aux_sym_join_type_token4] = ACTIONS(1532),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1532),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1532),
    [aux_sym_join_condition_token1] = ACTIONS(1532),
    [aux_sym_insert_statement_token1] = ACTIONS(1532),
    [aux_sym_truncate_statement_token1] = ACTIONS(1532),
    [aux_sym_update_statement_token1] = ACTIONS(1532),
    [aux_sym_merge_statement_token1] = ACTIONS(1532),
    [aux_sym_grant_statement_token1] = ACTIONS(1532),
    [aux_sym_revoke_statement_token1] = ACTIONS(1532),
    [aux_sym_export_data_statement_token1] = ACTIONS(1532),
    [aux_sym_load_data_statement_token1] = ACTIONS(1532),
    [sym__quoted_identifier] = ACTIONS(1530),
    [anon_sym_DOT] = ACTIONS(1514),
    [sym_comment] = ACTIONS(3),
  },
  [4251] = {
    [sym_analytics_clause] = STATE(4918),
    [ts_builtin_sym_end] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1398),
    [aux_sym_keyword_replace_token1] = ACTIONS(1398),
    [aux_sym__keyword_alter_token1] = ACTIONS(1398),
    [aux_sym__keyword_delete_token1] = ACTIONS(1398),
    [aux_sym__keyword_begin_token1] = ACTIONS(1398),
    [aux_sym__keyword_end_token1] = ACTIONS(1398),
    [aux_sym__keyword_between_token1] = ACTIONS(1398),
    [aux_sym__keyword_else_token1] = ACTIONS(1400),
    [aux_sym__keyword_is_token1] = ACTIONS(1398),
    [aux_sym__keyword_in_token1] = ACTIONS(1400),
    [aux_sym__keyword_and_token1] = ACTIONS(1398),
    [aux_sym__keyword_like_token1] = ACTIONS(1398),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1398),
    [aux_sym__keyword_for_token1] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1398),
    [aux_sym_into_clause_token1] = ACTIONS(1398),
    [aux_sym_using_clause_token1] = ACTIONS(1398),
    [aux_sym_return_satement_token1] = ACTIONS(1398),
    [aux_sym_call_statement_token1] = ACTIONS(1398),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1398),
    [aux_sym_if_statement_token1] = ACTIONS(1398),
    [aux_sym_loop_statement_token1] = ACTIONS(1398),
    [aux_sym_repeat_statement_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token1] = ACTIONS(1398),
    [aux_sym_break_statement_token1] = ACTIONS(1398),
    [aux_sym_leave_statement_token1] = ACTIONS(1398),
    [aux_sym_continue_statement_token1] = ACTIONS(1398),
    [aux_sym_iterate_statement_token1] = ACTIONS(1398),
    [aux_sym_raise_statement_token1] = ACTIONS(1398),
    [anon_sym_EQ] = ACTIONS(1398),
    [aux_sym_assert_statement_token1] = ACTIONS(1398),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1398),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1398),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1398),
    [aux_sym_truncate_statement_token1] = ACTIONS(1398),
    [aux_sym_update_statement_token1] = ACTIONS(1398),
    [aux_sym_merge_statement_token1] = ACTIONS(1398),
    [aux_sym_grant_statement_token1] = ACTIONS(1398),
    [aux_sym_revoke_statement_token1] = ACTIONS(1398),
    [aux_sym_export_data_statement_token1] = ACTIONS(1398),
    [aux_sym_load_data_statement_token1] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_LT_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
  },
  [4252] = {
    [sym_analytics_clause] = STATE(4919),
    [ts_builtin_sym_end] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1398),
    [aux_sym_keyword_replace_token1] = ACTIONS(1398),
    [aux_sym__keyword_alter_token1] = ACTIONS(1398),
    [aux_sym__keyword_delete_token1] = ACTIONS(1398),
    [aux_sym__keyword_begin_token1] = ACTIONS(1398),
    [aux_sym__keyword_end_token1] = ACTIONS(1398),
    [aux_sym__keyword_between_token1] = ACTIONS(1398),
    [aux_sym__keyword_else_token1] = ACTIONS(1400),
    [aux_sym__keyword_is_token1] = ACTIONS(1398),
    [aux_sym__keyword_in_token1] = ACTIONS(1400),
    [aux_sym__keyword_and_token1] = ACTIONS(1398),
    [aux_sym__keyword_like_token1] = ACTIONS(1398),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1398),
    [aux_sym__keyword_for_token1] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1398),
    [aux_sym_into_clause_token1] = ACTIONS(1398),
    [aux_sym_using_clause_token1] = ACTIONS(1398),
    [aux_sym_return_satement_token1] = ACTIONS(1398),
    [aux_sym_call_statement_token1] = ACTIONS(1398),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1398),
    [aux_sym_if_statement_token1] = ACTIONS(1398),
    [aux_sym_loop_statement_token1] = ACTIONS(1398),
    [aux_sym_repeat_statement_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token1] = ACTIONS(1398),
    [aux_sym_break_statement_token1] = ACTIONS(1398),
    [aux_sym_leave_statement_token1] = ACTIONS(1398),
    [aux_sym_continue_statement_token1] = ACTIONS(1398),
    [aux_sym_iterate_statement_token1] = ACTIONS(1398),
    [aux_sym_raise_statement_token1] = ACTIONS(1398),
    [anon_sym_EQ] = ACTIONS(1398),
    [aux_sym_assert_statement_token1] = ACTIONS(1398),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1398),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1398),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1398),
    [aux_sym_truncate_statement_token1] = ACTIONS(1398),
    [aux_sym_update_statement_token1] = ACTIONS(1398),
    [aux_sym_merge_statement_token1] = ACTIONS(1398),
    [aux_sym_grant_statement_token1] = ACTIONS(1398),
    [aux_sym_revoke_statement_token1] = ACTIONS(1398),
    [aux_sym_export_data_statement_token1] = ACTIONS(1398),
    [aux_sym_load_data_statement_token1] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_LT_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
  },
  [4253] = {
    [sym_analytics_clause] = STATE(4920),
    [ts_builtin_sym_end] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1398),
    [aux_sym_keyword_replace_token1] = ACTIONS(1398),
    [aux_sym__keyword_alter_token1] = ACTIONS(1398),
    [aux_sym__keyword_delete_token1] = ACTIONS(1398),
    [aux_sym__keyword_begin_token1] = ACTIONS(1398),
    [aux_sym__keyword_end_token1] = ACTIONS(1398),
    [aux_sym__keyword_between_token1] = ACTIONS(1398),
    [aux_sym__keyword_else_token1] = ACTIONS(1400),
    [aux_sym__keyword_is_token1] = ACTIONS(1398),
    [aux_sym__keyword_in_token1] = ACTIONS(1400),
    [aux_sym__keyword_and_token1] = ACTIONS(1398),
    [aux_sym__keyword_like_token1] = ACTIONS(1398),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1398),
    [aux_sym__keyword_for_token1] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1398),
    [aux_sym_into_clause_token1] = ACTIONS(1398),
    [aux_sym_using_clause_token1] = ACTIONS(1398),
    [aux_sym_return_satement_token1] = ACTIONS(1398),
    [aux_sym_call_statement_token1] = ACTIONS(1398),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1398),
    [aux_sym_if_statement_token1] = ACTIONS(1398),
    [aux_sym_loop_statement_token1] = ACTIONS(1398),
    [aux_sym_repeat_statement_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token1] = ACTIONS(1398),
    [aux_sym_break_statement_token1] = ACTIONS(1398),
    [aux_sym_leave_statement_token1] = ACTIONS(1398),
    [aux_sym_continue_statement_token1] = ACTIONS(1398),
    [aux_sym_iterate_statement_token1] = ACTIONS(1398),
    [aux_sym_raise_statement_token1] = ACTIONS(1398),
    [anon_sym_EQ] = ACTIONS(1398),
    [aux_sym_assert_statement_token1] = ACTIONS(1398),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1398),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1398),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1398),
    [aux_sym_truncate_statement_token1] = ACTIONS(1398),
    [aux_sym_update_statement_token1] = ACTIONS(1398),
    [aux_sym_merge_statement_token1] = ACTIONS(1398),
    [aux_sym_grant_statement_token1] = ACTIONS(1398),
    [aux_sym_revoke_statement_token1] = ACTIONS(1398),
    [aux_sym_export_data_statement_token1] = ACTIONS(1398),
    [aux_sym_load_data_statement_token1] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_LT_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
  },
  [4254] = {
    [sym_analytics_clause] = STATE(4922),
    [ts_builtin_sym_end] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1398),
    [aux_sym_keyword_replace_token1] = ACTIONS(1398),
    [aux_sym__keyword_alter_token1] = ACTIONS(1398),
    [aux_sym__keyword_delete_token1] = ACTIONS(1398),
    [aux_sym__keyword_begin_token1] = ACTIONS(1398),
    [aux_sym__keyword_end_token1] = ACTIONS(1398),
    [aux_sym__keyword_between_token1] = ACTIONS(1398),
    [aux_sym__keyword_else_token1] = ACTIONS(1400),
    [aux_sym__keyword_is_token1] = ACTIONS(1398),
    [aux_sym__keyword_in_token1] = ACTIONS(1400),
    [aux_sym__keyword_and_token1] = ACTIONS(1398),
    [aux_sym__keyword_like_token1] = ACTIONS(1398),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1398),
    [aux_sym__keyword_for_token1] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1398),
    [aux_sym_into_clause_token1] = ACTIONS(1398),
    [aux_sym_using_clause_token1] = ACTIONS(1398),
    [aux_sym_return_satement_token1] = ACTIONS(1398),
    [aux_sym_call_statement_token1] = ACTIONS(1398),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1398),
    [aux_sym_if_statement_token1] = ACTIONS(1398),
    [aux_sym_loop_statement_token1] = ACTIONS(1398),
    [aux_sym_repeat_statement_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token1] = ACTIONS(1398),
    [aux_sym_break_statement_token1] = ACTIONS(1398),
    [aux_sym_leave_statement_token1] = ACTIONS(1398),
    [aux_sym_continue_statement_token1] = ACTIONS(1398),
    [aux_sym_iterate_statement_token1] = ACTIONS(1398),
    [aux_sym_raise_statement_token1] = ACTIONS(1398),
    [anon_sym_EQ] = ACTIONS(1398),
    [aux_sym_assert_statement_token1] = ACTIONS(1398),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1398),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1398),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1398),
    [aux_sym_truncate_statement_token1] = ACTIONS(1398),
    [aux_sym_update_statement_token1] = ACTIONS(1398),
    [aux_sym_merge_statement_token1] = ACTIONS(1398),
    [aux_sym_grant_statement_token1] = ACTIONS(1398),
    [aux_sym_revoke_statement_token1] = ACTIONS(1398),
    [aux_sym_export_data_statement_token1] = ACTIONS(1398),
    [aux_sym_load_data_statement_token1] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_LT_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
  },
  [4255] = {
    [sym_analytics_clause] = STATE(4923),
    [ts_builtin_sym_end] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1398),
    [aux_sym_keyword_replace_token1] = ACTIONS(1398),
    [aux_sym__keyword_alter_token1] = ACTIONS(1398),
    [aux_sym__keyword_delete_token1] = ACTIONS(1398),
    [aux_sym__keyword_begin_token1] = ACTIONS(1398),
    [aux_sym__keyword_end_token1] = ACTIONS(1398),
    [aux_sym__keyword_between_token1] = ACTIONS(1398),
    [aux_sym__keyword_else_token1] = ACTIONS(1400),
    [aux_sym__keyword_is_token1] = ACTIONS(1398),
    [aux_sym__keyword_in_token1] = ACTIONS(1400),
    [aux_sym__keyword_and_token1] = ACTIONS(1398),
    [aux_sym__keyword_like_token1] = ACTIONS(1398),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1398),
    [aux_sym__keyword_for_token1] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1398),
    [aux_sym_into_clause_token1] = ACTIONS(1398),
    [aux_sym_using_clause_token1] = ACTIONS(1398),
    [aux_sym_return_satement_token1] = ACTIONS(1398),
    [aux_sym_call_statement_token1] = ACTIONS(1398),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1398),
    [aux_sym_if_statement_token1] = ACTIONS(1398),
    [aux_sym_loop_statement_token1] = ACTIONS(1398),
    [aux_sym_repeat_statement_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token1] = ACTIONS(1398),
    [aux_sym_break_statement_token1] = ACTIONS(1398),
    [aux_sym_leave_statement_token1] = ACTIONS(1398),
    [aux_sym_continue_statement_token1] = ACTIONS(1398),
    [aux_sym_iterate_statement_token1] = ACTIONS(1398),
    [aux_sym_raise_statement_token1] = ACTIONS(1398),
    [anon_sym_EQ] = ACTIONS(1398),
    [aux_sym_assert_statement_token1] = ACTIONS(1398),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1398),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1398),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1398),
    [aux_sym_truncate_statement_token1] = ACTIONS(1398),
    [aux_sym_update_statement_token1] = ACTIONS(1398),
    [aux_sym_merge_statement_token1] = ACTIONS(1398),
    [aux_sym_grant_statement_token1] = ACTIONS(1398),
    [aux_sym_revoke_statement_token1] = ACTIONS(1398),
    [aux_sym_export_data_statement_token1] = ACTIONS(1398),
    [aux_sym_load_data_statement_token1] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_LT_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
  },
  [4256] = {
    [sym_analytics_clause] = STATE(4930),
    [ts_builtin_sym_end] = ACTIONS(1394),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1394),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1394),
    [aux_sym_keyword_replace_token1] = ACTIONS(1394),
    [aux_sym__keyword_alter_token1] = ACTIONS(1394),
    [aux_sym__keyword_delete_token1] = ACTIONS(1394),
    [aux_sym__keyword_begin_token1] = ACTIONS(1394),
    [aux_sym__keyword_end_token1] = ACTIONS(1394),
    [aux_sym__keyword_between_token1] = ACTIONS(1394),
    [aux_sym__keyword_else_token1] = ACTIONS(1396),
    [aux_sym__keyword_is_token1] = ACTIONS(1394),
    [aux_sym__keyword_in_token1] = ACTIONS(1396),
    [aux_sym__keyword_and_token1] = ACTIONS(1394),
    [aux_sym__keyword_like_token1] = ACTIONS(1394),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1394),
    [aux_sym__keyword_for_token1] = ACTIONS(1394),
    [anon_sym_SEMI] = ACTIONS(1394),
    [aux_sym_declare_statement_token1] = ACTIONS(1394),
    [aux_sym_set_statement_token1] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(1394),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1394),
    [aux_sym_into_clause_token1] = ACTIONS(1394),
    [aux_sym_using_clause_token1] = ACTIONS(1394),
    [aux_sym_return_satement_token1] = ACTIONS(1394),
    [aux_sym_call_statement_token1] = ACTIONS(1394),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1394),
    [aux_sym_if_statement_token1] = ACTIONS(1394),
    [aux_sym_loop_statement_token1] = ACTIONS(1394),
    [aux_sym_repeat_statement_token1] = ACTIONS(1394),
    [aux_sym_while_statement_token1] = ACTIONS(1394),
    [aux_sym_break_statement_token1] = ACTIONS(1394),
    [aux_sym_leave_statement_token1] = ACTIONS(1394),
    [aux_sym_continue_statement_token1] = ACTIONS(1394),
    [aux_sym_iterate_statement_token1] = ACTIONS(1394),
    [aux_sym_raise_statement_token1] = ACTIONS(1394),
    [anon_sym_EQ] = ACTIONS(1394),
    [aux_sym_assert_statement_token1] = ACTIONS(1394),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1394),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1394),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1394),
    [anon_sym_LT] = ACTIONS(1396),
    [anon_sym_GT] = ACTIONS(1396),
    [aux_sym_select_token1] = ACTIONS(1394),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1394),
    [aux_sym_truncate_statement_token1] = ACTIONS(1394),
    [aux_sym_update_statement_token1] = ACTIONS(1394),
    [aux_sym_merge_statement_token1] = ACTIONS(1394),
    [aux_sym_grant_statement_token1] = ACTIONS(1394),
    [aux_sym_revoke_statement_token1] = ACTIONS(1394),
    [aux_sym_export_data_statement_token1] = ACTIONS(1394),
    [aux_sym_load_data_statement_token1] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(1394),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_STAR] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(1396),
    [anon_sym_PIPE_PIPE] = ACTIONS(1394),
    [anon_sym_LT_EQ] = ACTIONS(1394),
    [anon_sym_LT_GT] = ACTIONS(1394),
    [anon_sym_GT_EQ] = ACTIONS(1394),
    [anon_sym_BANG_EQ] = ACTIONS(1394),
    [anon_sym_LT_LT] = ACTIONS(1394),
    [anon_sym_GT_GT] = ACTIONS(1394),
    [anon_sym_AMP] = ACTIONS(1394),
    [anon_sym_CARET] = ACTIONS(1394),
    [anon_sym_PIPE] = ACTIONS(1396),
  },
  [4257] = {
    [sym_analytics_clause] = STATE(4931),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_into_clause_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [4258] = {
    [sym_analytics_clause] = STATE(4933),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_into_clause_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [4259] = {
    [sym_analytics_clause] = STATE(4934),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_into_clause_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [4260] = {
    [sym_analytics_clause] = STATE(4940),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_into_clause_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [4261] = {
    [sym_analytics_clause] = STATE(4945),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_into_clause_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [4262] = {
    [sym__unquoted_identifier] = ACTIONS(1510),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1510),
    [aux_sym__keyword_alter_token1] = ACTIONS(1510),
    [aux_sym__keyword_delete_token1] = ACTIONS(1510),
    [aux_sym__keyword_begin_token1] = ACTIONS(1510),
    [aux_sym__keyword_end_token1] = ACTIONS(1510),
    [aux_sym__keyword_when_token1] = ACTIONS(1510),
    [aux_sym__keyword_else_token1] = ACTIONS(1510),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1510),
    [aux_sym__keyword_as_token1] = ACTIONS(1510),
    [aux_sym__keyword_window_token1] = ACTIONS(1510),
    [aux_sym__keyword_date_token1] = ACTIONS(1510),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1510),
    [aux_sym__keyword_time_token1] = ACTIONS(1510),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1510),
    [aux_sym__keyword_for_token1] = ACTIONS(1510),
    [anon_sym_SEMI] = ACTIONS(1508),
    [aux_sym_declare_statement_token1] = ACTIONS(1510),
    [anon_sym_COMMA] = ACTIONS(1508),
    [aux_sym_set_statement_token1] = ACTIONS(1510),
    [anon_sym_LPAREN] = ACTIONS(1508),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1510),
    [aux_sym_using_clause_token1] = ACTIONS(1510),
    [aux_sym_return_satement_token1] = ACTIONS(1510),
    [aux_sym_call_statement_token1] = ACTIONS(1510),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1510),
    [aux_sym_if_statement_token1] = ACTIONS(1510),
    [aux_sym_loop_statement_token1] = ACTIONS(1510),
    [aux_sym_repeat_statement_token1] = ACTIONS(1510),
    [aux_sym_while_statement_token1] = ACTIONS(1510),
    [aux_sym_break_statement_token1] = ACTIONS(1510),
    [aux_sym_leave_statement_token1] = ACTIONS(1510),
    [aux_sym_continue_statement_token1] = ACTIONS(1510),
    [aux_sym_iterate_statement_token1] = ACTIONS(1510),
    [aux_sym_raise_statement_token1] = ACTIONS(1510),
    [aux_sym_assert_statement_token1] = ACTIONS(1510),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1510),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1510),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1510),
    [aux_sym_set_operation_token1] = ACTIONS(1510),
    [aux_sym_set_operation_token3] = ACTIONS(1510),
    [aux_sym_set_operation_token4] = ACTIONS(1510),
    [aux_sym_select_token1] = ACTIONS(1510),
    [aux_sym_having_clause_token1] = ACTIONS(1510),
    [aux_sym_qualify_clause_token1] = ACTIONS(1510),
    [aux_sym_limit_clause_token1] = ACTIONS(1510),
    [aux_sym_group_by_clause_token1] = ACTIONS(1510),
    [aux_sym_order_by_clause_token1] = ACTIONS(1510),
    [aux_sym_where_clause_token1] = ACTIONS(1510),
    [aux_sym_pivot_operator_token1] = ACTIONS(1510),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1510),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1510),
    [aux_sym_join_type_token1] = ACTIONS(1510),
    [aux_sym_join_type_token2] = ACTIONS(1510),
    [aux_sym_join_type_token3] = ACTIONS(1510),
    [aux_sym_join_type_token4] = ACTIONS(1510),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1510),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1510),
    [aux_sym_join_condition_token1] = ACTIONS(1510),
    [aux_sym_insert_statement_token1] = ACTIONS(1510),
    [aux_sym_truncate_statement_token1] = ACTIONS(1510),
    [aux_sym_update_statement_token1] = ACTIONS(1510),
    [aux_sym_merge_statement_token1] = ACTIONS(1510),
    [aux_sym_grant_statement_token1] = ACTIONS(1510),
    [aux_sym_revoke_statement_token1] = ACTIONS(1510),
    [aux_sym_export_data_statement_token1] = ACTIONS(1510),
    [aux_sym_load_data_statement_token1] = ACTIONS(1510),
    [sym__quoted_identifier] = ACTIONS(1508),
    [anon_sym_DOT] = ACTIONS(1514),
    [sym_comment] = ACTIONS(3),
  },
  [4263] = {
    [sym_analytics_clause] = STATE(4947),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_into_clause_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [4264] = {
    [sym_analytics_clause] = STATE(4949),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_into_clause_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [4265] = {
    [sym_analytics_clause] = STATE(4950),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_into_clause_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [4266] = {
    [sym_analytics_clause] = STATE(4954),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_into_clause_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [4267] = {
    [sym_analytics_clause] = STATE(4958),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_into_clause_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [4268] = {
    [sym_analytics_clause] = STATE(4960),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_into_clause_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [4269] = {
    [sym_analytics_clause] = STATE(4963),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_into_clause_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [4270] = {
    [sym_analytics_clause] = STATE(4964),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_into_clause_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [4271] = {
    [sym_analytics_clause] = STATE(4961),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_into_clause_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [4272] = {
    [sym_analytics_clause] = STATE(4959),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_into_clause_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [4273] = {
    [sym_analytics_clause] = STATE(4957),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_into_clause_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [4274] = {
    [sym_analytics_clause] = STATE(4956),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_into_clause_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [4275] = {
    [sym_analytics_clause] = STATE(4955),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_into_clause_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [4276] = {
    [sym_analytics_clause] = STATE(4953),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_into_clause_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [4277] = {
    [sym_analytics_clause] = STATE(4951),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_into_clause_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [4278] = {
    [sym_analytics_clause] = STATE(4942),
    [ts_builtin_sym_end] = ACTIONS(1504),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1504),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1504),
    [aux_sym_keyword_replace_token1] = ACTIONS(1504),
    [aux_sym__keyword_alter_token1] = ACTIONS(1504),
    [aux_sym__keyword_delete_token1] = ACTIONS(1504),
    [aux_sym__keyword_begin_token1] = ACTIONS(1504),
    [aux_sym__keyword_end_token1] = ACTIONS(1504),
    [aux_sym__keyword_between_token1] = ACTIONS(1504),
    [aux_sym__keyword_else_token1] = ACTIONS(1506),
    [aux_sym__keyword_is_token1] = ACTIONS(1504),
    [aux_sym__keyword_in_token1] = ACTIONS(1506),
    [aux_sym__keyword_and_token1] = ACTIONS(1504),
    [aux_sym__keyword_like_token1] = ACTIONS(1504),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1504),
    [aux_sym__keyword_for_token1] = ACTIONS(1504),
    [anon_sym_SEMI] = ACTIONS(1504),
    [aux_sym_declare_statement_token1] = ACTIONS(1504),
    [aux_sym_set_statement_token1] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1504),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1504),
    [aux_sym_into_clause_token1] = ACTIONS(1504),
    [aux_sym_using_clause_token1] = ACTIONS(1504),
    [aux_sym_return_satement_token1] = ACTIONS(1504),
    [aux_sym_call_statement_token1] = ACTIONS(1504),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1504),
    [aux_sym_if_statement_token1] = ACTIONS(1504),
    [aux_sym_loop_statement_token1] = ACTIONS(1504),
    [aux_sym_repeat_statement_token1] = ACTIONS(1504),
    [aux_sym_while_statement_token1] = ACTIONS(1504),
    [aux_sym_break_statement_token1] = ACTIONS(1504),
    [aux_sym_leave_statement_token1] = ACTIONS(1504),
    [aux_sym_continue_statement_token1] = ACTIONS(1504),
    [aux_sym_iterate_statement_token1] = ACTIONS(1504),
    [aux_sym_raise_statement_token1] = ACTIONS(1504),
    [anon_sym_EQ] = ACTIONS(1504),
    [aux_sym_assert_statement_token1] = ACTIONS(1504),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1504),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1504),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1504),
    [anon_sym_LT] = ACTIONS(1506),
    [anon_sym_GT] = ACTIONS(1506),
    [aux_sym_select_token1] = ACTIONS(1504),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1504),
    [aux_sym_truncate_statement_token1] = ACTIONS(1504),
    [aux_sym_update_statement_token1] = ACTIONS(1504),
    [aux_sym_merge_statement_token1] = ACTIONS(1504),
    [aux_sym_grant_statement_token1] = ACTIONS(1504),
    [aux_sym_revoke_statement_token1] = ACTIONS(1504),
    [aux_sym_export_data_statement_token1] = ACTIONS(1504),
    [aux_sym_load_data_statement_token1] = ACTIONS(1504),
    [anon_sym_LBRACK] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1504),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1506),
    [anon_sym_STAR] = ACTIONS(1504),
    [anon_sym_SLASH] = ACTIONS(1506),
    [anon_sym_PIPE_PIPE] = ACTIONS(1504),
    [anon_sym_LT_EQ] = ACTIONS(1504),
    [anon_sym_LT_GT] = ACTIONS(1504),
    [anon_sym_GT_EQ] = ACTIONS(1504),
    [anon_sym_BANG_EQ] = ACTIONS(1504),
    [anon_sym_LT_LT] = ACTIONS(1504),
    [anon_sym_GT_GT] = ACTIONS(1504),
    [anon_sym_AMP] = ACTIONS(1504),
    [anon_sym_CARET] = ACTIONS(1504),
    [anon_sym_PIPE] = ACTIONS(1506),
  },
  [4279] = {
    [sym_analytics_clause] = STATE(4941),
    [ts_builtin_sym_end] = ACTIONS(1500),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1500),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1500),
    [aux_sym_keyword_replace_token1] = ACTIONS(1500),
    [aux_sym__keyword_alter_token1] = ACTIONS(1500),
    [aux_sym__keyword_delete_token1] = ACTIONS(1500),
    [aux_sym__keyword_begin_token1] = ACTIONS(1500),
    [aux_sym__keyword_end_token1] = ACTIONS(1500),
    [aux_sym__keyword_between_token1] = ACTIONS(1500),
    [aux_sym__keyword_else_token1] = ACTIONS(1502),
    [aux_sym__keyword_is_token1] = ACTIONS(1500),
    [aux_sym__keyword_in_token1] = ACTIONS(1502),
    [aux_sym__keyword_and_token1] = ACTIONS(1500),
    [aux_sym__keyword_like_token1] = ACTIONS(1500),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1500),
    [aux_sym__keyword_for_token1] = ACTIONS(1500),
    [anon_sym_SEMI] = ACTIONS(1500),
    [aux_sym_declare_statement_token1] = ACTIONS(1500),
    [aux_sym_set_statement_token1] = ACTIONS(1500),
    [anon_sym_LPAREN] = ACTIONS(1500),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1500),
    [aux_sym_into_clause_token1] = ACTIONS(1500),
    [aux_sym_using_clause_token1] = ACTIONS(1500),
    [aux_sym_return_satement_token1] = ACTIONS(1500),
    [aux_sym_call_statement_token1] = ACTIONS(1500),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1500),
    [aux_sym_if_statement_token1] = ACTIONS(1500),
    [aux_sym_loop_statement_token1] = ACTIONS(1500),
    [aux_sym_repeat_statement_token1] = ACTIONS(1500),
    [aux_sym_while_statement_token1] = ACTIONS(1500),
    [aux_sym_break_statement_token1] = ACTIONS(1500),
    [aux_sym_leave_statement_token1] = ACTIONS(1500),
    [aux_sym_continue_statement_token1] = ACTIONS(1500),
    [aux_sym_iterate_statement_token1] = ACTIONS(1500),
    [aux_sym_raise_statement_token1] = ACTIONS(1500),
    [anon_sym_EQ] = ACTIONS(1500),
    [aux_sym_assert_statement_token1] = ACTIONS(1500),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1500),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1500),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1500),
    [anon_sym_LT] = ACTIONS(1502),
    [anon_sym_GT] = ACTIONS(1502),
    [aux_sym_select_token1] = ACTIONS(1500),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1500),
    [aux_sym_truncate_statement_token1] = ACTIONS(1500),
    [aux_sym_update_statement_token1] = ACTIONS(1500),
    [aux_sym_merge_statement_token1] = ACTIONS(1500),
    [aux_sym_grant_statement_token1] = ACTIONS(1500),
    [aux_sym_revoke_statement_token1] = ACTIONS(1500),
    [aux_sym_export_data_statement_token1] = ACTIONS(1500),
    [aux_sym_load_data_statement_token1] = ACTIONS(1500),
    [anon_sym_LBRACK] = ACTIONS(1500),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_STAR] = ACTIONS(1500),
    [anon_sym_SLASH] = ACTIONS(1502),
    [anon_sym_PIPE_PIPE] = ACTIONS(1500),
    [anon_sym_LT_EQ] = ACTIONS(1500),
    [anon_sym_LT_GT] = ACTIONS(1500),
    [anon_sym_GT_EQ] = ACTIONS(1500),
    [anon_sym_BANG_EQ] = ACTIONS(1500),
    [anon_sym_LT_LT] = ACTIONS(1500),
    [anon_sym_GT_GT] = ACTIONS(1500),
    [anon_sym_AMP] = ACTIONS(1500),
    [anon_sym_CARET] = ACTIONS(1500),
    [anon_sym_PIPE] = ACTIONS(1502),
  },
  [4280] = {
    [sym_analytics_clause] = STATE(4939),
    [ts_builtin_sym_end] = ACTIONS(1496),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1496),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1496),
    [aux_sym_keyword_replace_token1] = ACTIONS(1496),
    [aux_sym__keyword_alter_token1] = ACTIONS(1496),
    [aux_sym__keyword_delete_token1] = ACTIONS(1496),
    [aux_sym__keyword_begin_token1] = ACTIONS(1496),
    [aux_sym__keyword_end_token1] = ACTIONS(1496),
    [aux_sym__keyword_between_token1] = ACTIONS(1496),
    [aux_sym__keyword_else_token1] = ACTIONS(1498),
    [aux_sym__keyword_is_token1] = ACTIONS(1496),
    [aux_sym__keyword_in_token1] = ACTIONS(1498),
    [aux_sym__keyword_and_token1] = ACTIONS(1496),
    [aux_sym__keyword_like_token1] = ACTIONS(1496),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1496),
    [aux_sym__keyword_for_token1] = ACTIONS(1496),
    [anon_sym_SEMI] = ACTIONS(1496),
    [aux_sym_declare_statement_token1] = ACTIONS(1496),
    [aux_sym_set_statement_token1] = ACTIONS(1496),
    [anon_sym_LPAREN] = ACTIONS(1496),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1496),
    [aux_sym_into_clause_token1] = ACTIONS(1496),
    [aux_sym_using_clause_token1] = ACTIONS(1496),
    [aux_sym_return_satement_token1] = ACTIONS(1496),
    [aux_sym_call_statement_token1] = ACTIONS(1496),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1496),
    [aux_sym_if_statement_token1] = ACTIONS(1496),
    [aux_sym_loop_statement_token1] = ACTIONS(1496),
    [aux_sym_repeat_statement_token1] = ACTIONS(1496),
    [aux_sym_while_statement_token1] = ACTIONS(1496),
    [aux_sym_break_statement_token1] = ACTIONS(1496),
    [aux_sym_leave_statement_token1] = ACTIONS(1496),
    [aux_sym_continue_statement_token1] = ACTIONS(1496),
    [aux_sym_iterate_statement_token1] = ACTIONS(1496),
    [aux_sym_raise_statement_token1] = ACTIONS(1496),
    [anon_sym_EQ] = ACTIONS(1496),
    [aux_sym_assert_statement_token1] = ACTIONS(1496),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1496),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1496),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1496),
    [anon_sym_LT] = ACTIONS(1498),
    [anon_sym_GT] = ACTIONS(1498),
    [aux_sym_select_token1] = ACTIONS(1496),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1496),
    [aux_sym_truncate_statement_token1] = ACTIONS(1496),
    [aux_sym_update_statement_token1] = ACTIONS(1496),
    [aux_sym_merge_statement_token1] = ACTIONS(1496),
    [aux_sym_grant_statement_token1] = ACTIONS(1496),
    [aux_sym_revoke_statement_token1] = ACTIONS(1496),
    [aux_sym_export_data_statement_token1] = ACTIONS(1496),
    [aux_sym_load_data_statement_token1] = ACTIONS(1496),
    [anon_sym_LBRACK] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(1498),
    [anon_sym_PIPE_PIPE] = ACTIONS(1496),
    [anon_sym_LT_EQ] = ACTIONS(1496),
    [anon_sym_LT_GT] = ACTIONS(1496),
    [anon_sym_GT_EQ] = ACTIONS(1496),
    [anon_sym_BANG_EQ] = ACTIONS(1496),
    [anon_sym_LT_LT] = ACTIONS(1496),
    [anon_sym_GT_GT] = ACTIONS(1496),
    [anon_sym_AMP] = ACTIONS(1496),
    [anon_sym_CARET] = ACTIONS(1496),
    [anon_sym_PIPE] = ACTIONS(1498),
  },
  [4281] = {
    [sym_analytics_clause] = STATE(4938),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1360),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_into_clause_token1] = ACTIONS(1360),
    [aux_sym_using_clause_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [4282] = {
    [sym_analytics_clause] = STATE(4937),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1360),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_into_clause_token1] = ACTIONS(1360),
    [aux_sym_using_clause_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [4283] = {
    [sym_analytics_clause] = STATE(4936),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1360),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_into_clause_token1] = ACTIONS(1360),
    [aux_sym_using_clause_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [4284] = {
    [sym_analytics_clause] = STATE(4935),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1360),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_into_clause_token1] = ACTIONS(1360),
    [aux_sym_using_clause_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [4285] = {
    [sym_analytics_clause] = STATE(4932),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1360),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_into_clause_token1] = ACTIONS(1360),
    [aux_sym_using_clause_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [4286] = {
    [sym_analytics_clause] = STATE(4928),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1360),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_into_clause_token1] = ACTIONS(1360),
    [aux_sym_using_clause_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [4287] = {
    [sym_analytics_clause] = STATE(4927),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1360),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_into_clause_token1] = ACTIONS(1360),
    [aux_sym_using_clause_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [4288] = {
    [sym_analytics_clause] = STATE(4926),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1360),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_into_clause_token1] = ACTIONS(1360),
    [aux_sym_using_clause_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [4289] = {
    [sym_analytics_clause] = STATE(4915),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1360),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_into_clause_token1] = ACTIONS(1360),
    [aux_sym_using_clause_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [4290] = {
    [sym_analytics_clause] = STATE(4914),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1360),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_into_clause_token1] = ACTIONS(1360),
    [aux_sym_using_clause_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [4291] = {
    [sym_analytics_clause] = STATE(4913),
    [ts_builtin_sym_end] = ACTIONS(1386),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1386),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1386),
    [aux_sym_keyword_replace_token1] = ACTIONS(1386),
    [aux_sym__keyword_alter_token1] = ACTIONS(1386),
    [aux_sym__keyword_delete_token1] = ACTIONS(1386),
    [aux_sym__keyword_begin_token1] = ACTIONS(1386),
    [aux_sym__keyword_end_token1] = ACTIONS(1386),
    [aux_sym__keyword_between_token1] = ACTIONS(1386),
    [aux_sym__keyword_else_token1] = ACTIONS(1388),
    [aux_sym__keyword_is_token1] = ACTIONS(1386),
    [aux_sym__keyword_in_token1] = ACTIONS(1388),
    [aux_sym__keyword_and_token1] = ACTIONS(1386),
    [aux_sym__keyword_like_token1] = ACTIONS(1386),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1386),
    [aux_sym__keyword_for_token1] = ACTIONS(1386),
    [anon_sym_SEMI] = ACTIONS(1386),
    [aux_sym_declare_statement_token1] = ACTIONS(1386),
    [aux_sym_set_statement_token1] = ACTIONS(1386),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1386),
    [aux_sym_into_clause_token1] = ACTIONS(1386),
    [aux_sym_using_clause_token1] = ACTIONS(1386),
    [aux_sym_return_satement_token1] = ACTIONS(1386),
    [aux_sym_call_statement_token1] = ACTIONS(1386),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1386),
    [aux_sym_if_statement_token1] = ACTIONS(1386),
    [aux_sym_loop_statement_token1] = ACTIONS(1386),
    [aux_sym_repeat_statement_token1] = ACTIONS(1386),
    [aux_sym_while_statement_token1] = ACTIONS(1386),
    [aux_sym_break_statement_token1] = ACTIONS(1386),
    [aux_sym_leave_statement_token1] = ACTIONS(1386),
    [aux_sym_continue_statement_token1] = ACTIONS(1386),
    [aux_sym_iterate_statement_token1] = ACTIONS(1386),
    [aux_sym_raise_statement_token1] = ACTIONS(1386),
    [anon_sym_EQ] = ACTIONS(1386),
    [aux_sym_assert_statement_token1] = ACTIONS(1386),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1386),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1386),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1386),
    [anon_sym_LT] = ACTIONS(1388),
    [anon_sym_GT] = ACTIONS(1388),
    [aux_sym_select_token1] = ACTIONS(1386),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1386),
    [aux_sym_truncate_statement_token1] = ACTIONS(1386),
    [aux_sym_update_statement_token1] = ACTIONS(1386),
    [aux_sym_merge_statement_token1] = ACTIONS(1386),
    [aux_sym_grant_statement_token1] = ACTIONS(1386),
    [aux_sym_revoke_statement_token1] = ACTIONS(1386),
    [aux_sym_export_data_statement_token1] = ACTIONS(1386),
    [aux_sym_load_data_statement_token1] = ACTIONS(1386),
    [anon_sym_LBRACK] = ACTIONS(1386),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1386),
    [anon_sym_DASH] = ACTIONS(1388),
    [anon_sym_STAR] = ACTIONS(1386),
    [anon_sym_SLASH] = ACTIONS(1388),
    [anon_sym_PIPE_PIPE] = ACTIONS(1386),
    [anon_sym_LT_EQ] = ACTIONS(1386),
    [anon_sym_LT_GT] = ACTIONS(1386),
    [anon_sym_GT_EQ] = ACTIONS(1386),
    [anon_sym_BANG_EQ] = ACTIONS(1386),
    [anon_sym_LT_LT] = ACTIONS(1386),
    [anon_sym_GT_GT] = ACTIONS(1386),
    [anon_sym_AMP] = ACTIONS(1386),
    [anon_sym_CARET] = ACTIONS(1386),
    [anon_sym_PIPE] = ACTIONS(1388),
  },
  [4292] = {
    [sym_analytics_clause] = STATE(4912),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_into_clause_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4293] = {
    [sym_analytics_clause] = STATE(4910),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_into_clause_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4294] = {
    [sym_analytics_clause] = STATE(4909),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_into_clause_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4295] = {
    [sym_analytics_clause] = STATE(4905),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_into_clause_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4296] = {
    [sym_analytics_clause] = STATE(4891),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_into_clause_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4297] = {
    [sym_analytics_clause] = STATE(4791),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_into_clause_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4298] = {
    [sym_analytics_clause] = STATE(4889),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_into_clause_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4299] = {
    [sym_analytics_clause] = STATE(4886),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_into_clause_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4300] = {
    [sym_analytics_clause] = STATE(4879),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_into_clause_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4301] = {
    [sym_analytics_clause] = STATE(4875),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_into_clause_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4302] = {
    [sym_analytics_clause] = STATE(4870),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_into_clause_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4303] = {
    [sym_analytics_clause] = STATE(4866),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_into_clause_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4304] = {
    [sym_analytics_clause] = STATE(4863),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_into_clause_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4305] = {
    [ts_builtin_sym_end] = ACTIONS(1524),
    [sym__unquoted_identifier] = ACTIONS(1526),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1526),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1526),
    [aux_sym_keyword_replace_token1] = ACTIONS(1526),
    [aux_sym__keyword_alter_token1] = ACTIONS(1526),
    [aux_sym__keyword_delete_token1] = ACTIONS(1526),
    [aux_sym__keyword_begin_token1] = ACTIONS(1526),
    [aux_sym__keyword_between_token1] = ACTIONS(1526),
    [aux_sym__keyword_is_token1] = ACTIONS(1526),
    [aux_sym__keyword_in_token1] = ACTIONS(1526),
    [aux_sym__keyword_and_token1] = ACTIONS(1526),
    [aux_sym__keyword_like_token1] = ACTIONS(1526),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1526),
    [aux_sym__keyword_as_token1] = ACTIONS(1526),
    [aux_sym__keyword_date_token1] = ACTIONS(1526),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1526),
    [aux_sym__keyword_time_token1] = ACTIONS(1526),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1526),
    [aux_sym__keyword_for_token1] = ACTIONS(1526),
    [anon_sym_SEMI] = ACTIONS(1524),
    [aux_sym_declare_statement_token1] = ACTIONS(1526),
    [anon_sym_COMMA] = ACTIONS(1524),
    [aux_sym_set_statement_token1] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(1524),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1526),
    [aux_sym_return_satement_token1] = ACTIONS(1526),
    [aux_sym_call_statement_token1] = ACTIONS(1526),
    [aux_sym_loop_statement_token1] = ACTIONS(1526),
    [aux_sym_while_statement_token1] = ACTIONS(1526),
    [aux_sym_break_statement_token1] = ACTIONS(1526),
    [aux_sym_leave_statement_token1] = ACTIONS(1526),
    [aux_sym_continue_statement_token1] = ACTIONS(1526),
    [aux_sym_iterate_statement_token1] = ACTIONS(1526),
    [aux_sym_raise_statement_token1] = ACTIONS(1526),
    [anon_sym_EQ] = ACTIONS(1524),
    [aux_sym_assert_statement_token1] = ACTIONS(1526),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1526),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1526),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1526),
    [aux_sym_alter_table_rename_statement_token2] = ACTIONS(3370),
    [anon_sym_LT] = ACTIONS(1526),
    [anon_sym_GT] = ACTIONS(1526),
    [aux_sym_select_token1] = ACTIONS(1526),
    [aux_sym_insert_statement_token1] = ACTIONS(1526),
    [aux_sym_truncate_statement_token1] = ACTIONS(1526),
    [aux_sym_update_statement_token1] = ACTIONS(1526),
    [aux_sym_merge_statement_token1] = ACTIONS(1526),
    [aux_sym_grant_statement_token1] = ACTIONS(1526),
    [aux_sym_revoke_statement_token1] = ACTIONS(1526),
    [aux_sym_export_data_statement_token1] = ACTIONS(1526),
    [aux_sym_load_data_statement_token1] = ACTIONS(1526),
    [anon_sym_LBRACK] = ACTIONS(1524),
    [sym__quoted_identifier] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1524),
    [anon_sym_PLUS] = ACTIONS(1524),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_STAR] = ACTIONS(1524),
    [anon_sym_SLASH] = ACTIONS(1526),
    [anon_sym_PIPE_PIPE] = ACTIONS(1524),
    [anon_sym_LT_EQ] = ACTIONS(1524),
    [anon_sym_LT_GT] = ACTIONS(1524),
    [anon_sym_GT_EQ] = ACTIONS(1524),
    [anon_sym_BANG_EQ] = ACTIONS(1524),
    [anon_sym_LT_LT] = ACTIONS(1524),
    [anon_sym_GT_GT] = ACTIONS(1524),
    [anon_sym_AMP] = ACTIONS(1524),
    [anon_sym_CARET] = ACTIONS(1524),
    [anon_sym_PIPE] = ACTIONS(1526),
  },
  [4306] = {
    [sym_analytics_clause] = STATE(4860),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_into_clause_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4307] = {
    [sym_analytics_clause] = STATE(4858),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_into_clause_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4308] = {
    [sym_analytics_clause] = STATE(4855),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_into_clause_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4309] = {
    [sym_analytics_clause] = STATE(4853),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_into_clause_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4310] = {
    [sym_analytics_clause] = STATE(4851),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_into_clause_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4311] = {
    [sym_analytics_clause] = STATE(4848),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_into_clause_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4312] = {
    [sym_analytics_clause] = STATE(4838),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_into_clause_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4313] = {
    [sym_analytics_clause] = STATE(4827),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_into_clause_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4314] = {
    [sym_analytics_clause] = STATE(4823),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_into_clause_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4315] = {
    [sym_analytics_clause] = STATE(4820),
    [ts_builtin_sym_end] = ACTIONS(1382),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1382),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1382),
    [aux_sym_keyword_replace_token1] = ACTIONS(1382),
    [aux_sym__keyword_alter_token1] = ACTIONS(1382),
    [aux_sym__keyword_delete_token1] = ACTIONS(1382),
    [aux_sym__keyword_begin_token1] = ACTIONS(1382),
    [aux_sym__keyword_end_token1] = ACTIONS(1382),
    [aux_sym__keyword_between_token1] = ACTIONS(1382),
    [aux_sym__keyword_else_token1] = ACTIONS(1384),
    [aux_sym__keyword_is_token1] = ACTIONS(1382),
    [aux_sym__keyword_in_token1] = ACTIONS(1384),
    [aux_sym__keyword_and_token1] = ACTIONS(1382),
    [aux_sym__keyword_like_token1] = ACTIONS(1382),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1382),
    [aux_sym__keyword_for_token1] = ACTIONS(1382),
    [anon_sym_SEMI] = ACTIONS(1382),
    [aux_sym_declare_statement_token1] = ACTIONS(1382),
    [aux_sym_set_statement_token1] = ACTIONS(1382),
    [anon_sym_LPAREN] = ACTIONS(1382),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1382),
    [aux_sym_into_clause_token1] = ACTIONS(1382),
    [aux_sym_using_clause_token1] = ACTIONS(1382),
    [aux_sym_return_satement_token1] = ACTIONS(1382),
    [aux_sym_call_statement_token1] = ACTIONS(1382),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1382),
    [aux_sym_if_statement_token1] = ACTIONS(1382),
    [aux_sym_loop_statement_token1] = ACTIONS(1382),
    [aux_sym_repeat_statement_token1] = ACTIONS(1382),
    [aux_sym_while_statement_token1] = ACTIONS(1382),
    [aux_sym_break_statement_token1] = ACTIONS(1382),
    [aux_sym_leave_statement_token1] = ACTIONS(1382),
    [aux_sym_continue_statement_token1] = ACTIONS(1382),
    [aux_sym_iterate_statement_token1] = ACTIONS(1382),
    [aux_sym_raise_statement_token1] = ACTIONS(1382),
    [anon_sym_EQ] = ACTIONS(1382),
    [aux_sym_assert_statement_token1] = ACTIONS(1382),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1382),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1382),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1382),
    [anon_sym_LT] = ACTIONS(1384),
    [anon_sym_GT] = ACTIONS(1384),
    [aux_sym_select_token1] = ACTIONS(1382),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1382),
    [aux_sym_truncate_statement_token1] = ACTIONS(1382),
    [aux_sym_update_statement_token1] = ACTIONS(1382),
    [aux_sym_merge_statement_token1] = ACTIONS(1382),
    [aux_sym_grant_statement_token1] = ACTIONS(1382),
    [aux_sym_revoke_statement_token1] = ACTIONS(1382),
    [aux_sym_export_data_statement_token1] = ACTIONS(1382),
    [aux_sym_load_data_statement_token1] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(1382),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1382),
    [anon_sym_PLUS] = ACTIONS(1382),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_STAR] = ACTIONS(1382),
    [anon_sym_SLASH] = ACTIONS(1384),
    [anon_sym_PIPE_PIPE] = ACTIONS(1382),
    [anon_sym_LT_EQ] = ACTIONS(1382),
    [anon_sym_LT_GT] = ACTIONS(1382),
    [anon_sym_GT_EQ] = ACTIONS(1382),
    [anon_sym_BANG_EQ] = ACTIONS(1382),
    [anon_sym_LT_LT] = ACTIONS(1382),
    [anon_sym_GT_GT] = ACTIONS(1382),
    [anon_sym_AMP] = ACTIONS(1382),
    [anon_sym_CARET] = ACTIONS(1382),
    [anon_sym_PIPE] = ACTIONS(1384),
  },
  [4316] = {
    [sym_analytics_clause] = STATE(4807),
    [ts_builtin_sym_end] = ACTIONS(1390),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1390),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1390),
    [aux_sym_keyword_replace_token1] = ACTIONS(1390),
    [aux_sym__keyword_alter_token1] = ACTIONS(1390),
    [aux_sym__keyword_delete_token1] = ACTIONS(1390),
    [aux_sym__keyword_begin_token1] = ACTIONS(1390),
    [aux_sym__keyword_end_token1] = ACTIONS(1390),
    [aux_sym__keyword_between_token1] = ACTIONS(1390),
    [aux_sym__keyword_else_token1] = ACTIONS(1392),
    [aux_sym__keyword_is_token1] = ACTIONS(1390),
    [aux_sym__keyword_in_token1] = ACTIONS(1392),
    [aux_sym__keyword_and_token1] = ACTIONS(1390),
    [aux_sym__keyword_like_token1] = ACTIONS(1390),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1390),
    [aux_sym__keyword_for_token1] = ACTIONS(1390),
    [anon_sym_SEMI] = ACTIONS(1390),
    [aux_sym_declare_statement_token1] = ACTIONS(1390),
    [aux_sym_set_statement_token1] = ACTIONS(1390),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1390),
    [aux_sym_into_clause_token1] = ACTIONS(1390),
    [aux_sym_using_clause_token1] = ACTIONS(1390),
    [aux_sym_return_satement_token1] = ACTIONS(1390),
    [aux_sym_call_statement_token1] = ACTIONS(1390),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1390),
    [aux_sym_if_statement_token1] = ACTIONS(1390),
    [aux_sym_loop_statement_token1] = ACTIONS(1390),
    [aux_sym_repeat_statement_token1] = ACTIONS(1390),
    [aux_sym_while_statement_token1] = ACTIONS(1390),
    [aux_sym_break_statement_token1] = ACTIONS(1390),
    [aux_sym_leave_statement_token1] = ACTIONS(1390),
    [aux_sym_continue_statement_token1] = ACTIONS(1390),
    [aux_sym_iterate_statement_token1] = ACTIONS(1390),
    [aux_sym_raise_statement_token1] = ACTIONS(1390),
    [anon_sym_EQ] = ACTIONS(1390),
    [aux_sym_assert_statement_token1] = ACTIONS(1390),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1390),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1390),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1390),
    [anon_sym_LT] = ACTIONS(1392),
    [anon_sym_GT] = ACTIONS(1392),
    [aux_sym_select_token1] = ACTIONS(1390),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1390),
    [aux_sym_truncate_statement_token1] = ACTIONS(1390),
    [aux_sym_update_statement_token1] = ACTIONS(1390),
    [aux_sym_merge_statement_token1] = ACTIONS(1390),
    [aux_sym_grant_statement_token1] = ACTIONS(1390),
    [aux_sym_revoke_statement_token1] = ACTIONS(1390),
    [aux_sym_export_data_statement_token1] = ACTIONS(1390),
    [aux_sym_load_data_statement_token1] = ACTIONS(1390),
    [anon_sym_LBRACK] = ACTIONS(1390),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_DASH] = ACTIONS(1392),
    [anon_sym_STAR] = ACTIONS(1390),
    [anon_sym_SLASH] = ACTIONS(1392),
    [anon_sym_PIPE_PIPE] = ACTIONS(1390),
    [anon_sym_LT_EQ] = ACTIONS(1390),
    [anon_sym_LT_GT] = ACTIONS(1390),
    [anon_sym_GT_EQ] = ACTIONS(1390),
    [anon_sym_BANG_EQ] = ACTIONS(1390),
    [anon_sym_LT_LT] = ACTIONS(1390),
    [anon_sym_GT_GT] = ACTIONS(1390),
    [anon_sym_AMP] = ACTIONS(1390),
    [anon_sym_CARET] = ACTIONS(1390),
    [anon_sym_PIPE] = ACTIONS(1392),
  },
  [4317] = {
    [sym_analytics_clause] = STATE(4797),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_into_clause_token1] = ACTIONS(1378),
    [aux_sym_using_clause_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [4318] = {
    [sym_analytics_clause] = STATE(4826),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_into_clause_token1] = ACTIONS(1378),
    [aux_sym_using_clause_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [4319] = {
    [sym_analytics_clause] = STATE(4771),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_into_clause_token1] = ACTIONS(1378),
    [aux_sym_using_clause_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [4320] = {
    [sym_analytics_clause] = STATE(4773),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_into_clause_token1] = ACTIONS(1378),
    [aux_sym_using_clause_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [4321] = {
    [sym_analytics_clause] = STATE(4774),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_into_clause_token1] = ACTIONS(1378),
    [aux_sym_using_clause_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [4322] = {
    [sym_analytics_clause] = STATE(4775),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_into_clause_token1] = ACTIONS(1378),
    [aux_sym_using_clause_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [4323] = {
    [sym_analytics_clause] = STATE(4776),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_into_clause_token1] = ACTIONS(1378),
    [aux_sym_using_clause_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [4324] = {
    [sym_analytics_clause] = STATE(4777),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_into_clause_token1] = ACTIONS(1378),
    [aux_sym_using_clause_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [4325] = {
    [sym_analytics_clause] = STATE(4779),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_into_clause_token1] = ACTIONS(1378),
    [aux_sym_using_clause_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [4326] = {
    [sym_analytics_clause] = STATE(4781),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_into_clause_token1] = ACTIONS(1378),
    [aux_sym_using_clause_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [4327] = {
    [sym_analytics_clause] = STATE(4782),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_into_clause_token1] = ACTIONS(1378),
    [aux_sym_using_clause_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [4328] = {
    [sym_analytics_clause] = STATE(4783),
    [ts_builtin_sym_end] = ACTIONS(1484),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1484),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1484),
    [aux_sym_keyword_replace_token1] = ACTIONS(1484),
    [aux_sym__keyword_alter_token1] = ACTIONS(1484),
    [aux_sym__keyword_delete_token1] = ACTIONS(1484),
    [aux_sym__keyword_begin_token1] = ACTIONS(1484),
    [aux_sym__keyword_end_token1] = ACTIONS(1484),
    [aux_sym__keyword_between_token1] = ACTIONS(1484),
    [aux_sym__keyword_else_token1] = ACTIONS(1486),
    [aux_sym__keyword_is_token1] = ACTIONS(1484),
    [aux_sym__keyword_in_token1] = ACTIONS(1486),
    [aux_sym__keyword_and_token1] = ACTIONS(1484),
    [aux_sym__keyword_like_token1] = ACTIONS(1484),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1484),
    [aux_sym__keyword_for_token1] = ACTIONS(1484),
    [anon_sym_SEMI] = ACTIONS(1484),
    [aux_sym_declare_statement_token1] = ACTIONS(1484),
    [aux_sym_set_statement_token1] = ACTIONS(1484),
    [anon_sym_LPAREN] = ACTIONS(1484),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1484),
    [aux_sym_into_clause_token1] = ACTIONS(1484),
    [aux_sym_using_clause_token1] = ACTIONS(1484),
    [aux_sym_return_satement_token1] = ACTIONS(1484),
    [aux_sym_call_statement_token1] = ACTIONS(1484),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1484),
    [aux_sym_if_statement_token1] = ACTIONS(1484),
    [aux_sym_loop_statement_token1] = ACTIONS(1484),
    [aux_sym_repeat_statement_token1] = ACTIONS(1484),
    [aux_sym_while_statement_token1] = ACTIONS(1484),
    [aux_sym_break_statement_token1] = ACTIONS(1484),
    [aux_sym_leave_statement_token1] = ACTIONS(1484),
    [aux_sym_continue_statement_token1] = ACTIONS(1484),
    [aux_sym_iterate_statement_token1] = ACTIONS(1484),
    [aux_sym_raise_statement_token1] = ACTIONS(1484),
    [anon_sym_EQ] = ACTIONS(1484),
    [aux_sym_assert_statement_token1] = ACTIONS(1484),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1484),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1484),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1484),
    [anon_sym_LT] = ACTIONS(1486),
    [anon_sym_GT] = ACTIONS(1486),
    [aux_sym_select_token1] = ACTIONS(1484),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1484),
    [aux_sym_truncate_statement_token1] = ACTIONS(1484),
    [aux_sym_update_statement_token1] = ACTIONS(1484),
    [aux_sym_merge_statement_token1] = ACTIONS(1484),
    [aux_sym_grant_statement_token1] = ACTIONS(1484),
    [aux_sym_revoke_statement_token1] = ACTIONS(1484),
    [aux_sym_export_data_statement_token1] = ACTIONS(1484),
    [aux_sym_load_data_statement_token1] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_SLASH] = ACTIONS(1486),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [anon_sym_LT_EQ] = ACTIONS(1484),
    [anon_sym_LT_GT] = ACTIONS(1484),
    [anon_sym_GT_EQ] = ACTIONS(1484),
    [anon_sym_BANG_EQ] = ACTIONS(1484),
    [anon_sym_LT_LT] = ACTIONS(1484),
    [anon_sym_GT_GT] = ACTIONS(1484),
    [anon_sym_AMP] = ACTIONS(1484),
    [anon_sym_CARET] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1486),
  },
  [4329] = {
    [sym_analytics_clause] = STATE(4784),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_into_clause_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4330] = {
    [sym_analytics_clause] = STATE(4785),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_into_clause_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4331] = {
    [sym_analytics_clause] = STATE(4786),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_into_clause_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4332] = {
    [sym_analytics_clause] = STATE(4787),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_into_clause_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4333] = {
    [sym_analytics_clause] = STATE(4788),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_into_clause_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4334] = {
    [sym_analytics_clause] = STATE(4789),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_into_clause_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4335] = {
    [sym_analytics_clause] = STATE(4790),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_into_clause_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4336] = {
    [sym_analytics_clause] = STATE(4792),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_into_clause_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4337] = {
    [sym_analytics_clause] = STATE(4793),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_into_clause_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4338] = {
    [sym_analytics_clause] = STATE(4794),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_into_clause_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4339] = {
    [sym_analytics_clause] = STATE(4830),
    [ts_builtin_sym_end] = ACTIONS(1402),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1402),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1402),
    [aux_sym_keyword_replace_token1] = ACTIONS(1402),
    [aux_sym__keyword_alter_token1] = ACTIONS(1402),
    [aux_sym__keyword_delete_token1] = ACTIONS(1402),
    [aux_sym__keyword_begin_token1] = ACTIONS(1402),
    [aux_sym__keyword_end_token1] = ACTIONS(1402),
    [aux_sym__keyword_between_token1] = ACTIONS(1402),
    [aux_sym__keyword_else_token1] = ACTIONS(1404),
    [aux_sym__keyword_is_token1] = ACTIONS(1402),
    [aux_sym__keyword_in_token1] = ACTIONS(1404),
    [aux_sym__keyword_and_token1] = ACTIONS(1402),
    [aux_sym__keyword_like_token1] = ACTIONS(1402),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1402),
    [aux_sym__keyword_for_token1] = ACTIONS(1402),
    [anon_sym_SEMI] = ACTIONS(1402),
    [aux_sym_declare_statement_token1] = ACTIONS(1402),
    [aux_sym_set_statement_token1] = ACTIONS(1402),
    [anon_sym_LPAREN] = ACTIONS(1402),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1402),
    [aux_sym_into_clause_token1] = ACTIONS(1402),
    [aux_sym_using_clause_token1] = ACTIONS(1402),
    [aux_sym_return_satement_token1] = ACTIONS(1402),
    [aux_sym_call_statement_token1] = ACTIONS(1402),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1402),
    [aux_sym_if_statement_token1] = ACTIONS(1402),
    [aux_sym_loop_statement_token1] = ACTIONS(1402),
    [aux_sym_repeat_statement_token1] = ACTIONS(1402),
    [aux_sym_while_statement_token1] = ACTIONS(1402),
    [aux_sym_break_statement_token1] = ACTIONS(1402),
    [aux_sym_leave_statement_token1] = ACTIONS(1402),
    [aux_sym_continue_statement_token1] = ACTIONS(1402),
    [aux_sym_iterate_statement_token1] = ACTIONS(1402),
    [aux_sym_raise_statement_token1] = ACTIONS(1402),
    [anon_sym_EQ] = ACTIONS(1402),
    [aux_sym_assert_statement_token1] = ACTIONS(1402),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1402),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1402),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1402),
    [anon_sym_LT] = ACTIONS(1404),
    [anon_sym_GT] = ACTIONS(1404),
    [aux_sym_select_token1] = ACTIONS(1402),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1402),
    [aux_sym_truncate_statement_token1] = ACTIONS(1402),
    [aux_sym_update_statement_token1] = ACTIONS(1402),
    [aux_sym_merge_statement_token1] = ACTIONS(1402),
    [aux_sym_grant_statement_token1] = ACTIONS(1402),
    [aux_sym_revoke_statement_token1] = ACTIONS(1402),
    [aux_sym_export_data_statement_token1] = ACTIONS(1402),
    [aux_sym_load_data_statement_token1] = ACTIONS(1402),
    [anon_sym_LBRACK] = ACTIONS(1402),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1402),
    [anon_sym_DASH] = ACTIONS(1404),
    [anon_sym_STAR] = ACTIONS(1402),
    [anon_sym_SLASH] = ACTIONS(1404),
    [anon_sym_PIPE_PIPE] = ACTIONS(1402),
    [anon_sym_LT_EQ] = ACTIONS(1402),
    [anon_sym_LT_GT] = ACTIONS(1402),
    [anon_sym_GT_EQ] = ACTIONS(1402),
    [anon_sym_BANG_EQ] = ACTIONS(1402),
    [anon_sym_LT_LT] = ACTIONS(1402),
    [anon_sym_GT_GT] = ACTIONS(1402),
    [anon_sym_AMP] = ACTIONS(1402),
    [anon_sym_CARET] = ACTIONS(1402),
    [anon_sym_PIPE] = ACTIONS(1404),
  },
  [4340] = {
    [sym_analytics_clause] = STATE(4795),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_into_clause_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4341] = {
    [ts_builtin_sym_end] = ACTIONS(1508),
    [sym__unquoted_identifier] = ACTIONS(1510),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1510),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1510),
    [aux_sym_keyword_replace_token1] = ACTIONS(1510),
    [aux_sym__keyword_alter_token1] = ACTIONS(1510),
    [aux_sym__keyword_delete_token1] = ACTIONS(1510),
    [aux_sym__keyword_begin_token1] = ACTIONS(1510),
    [aux_sym__keyword_between_token1] = ACTIONS(1510),
    [aux_sym__keyword_is_token1] = ACTIONS(1510),
    [aux_sym__keyword_in_token1] = ACTIONS(1510),
    [aux_sym__keyword_and_token1] = ACTIONS(1510),
    [aux_sym__keyword_like_token1] = ACTIONS(1510),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1510),
    [aux_sym__keyword_as_token1] = ACTIONS(1510),
    [aux_sym__keyword_date_token1] = ACTIONS(1510),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1510),
    [aux_sym__keyword_time_token1] = ACTIONS(1510),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1510),
    [aux_sym__keyword_for_token1] = ACTIONS(1510),
    [anon_sym_SEMI] = ACTIONS(1508),
    [aux_sym_declare_statement_token1] = ACTIONS(1510),
    [anon_sym_COMMA] = ACTIONS(1508),
    [aux_sym_set_statement_token1] = ACTIONS(1510),
    [anon_sym_LPAREN] = ACTIONS(1508),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1510),
    [aux_sym_return_satement_token1] = ACTIONS(1510),
    [aux_sym_call_statement_token1] = ACTIONS(1510),
    [aux_sym_loop_statement_token1] = ACTIONS(1510),
    [aux_sym_while_statement_token1] = ACTIONS(1510),
    [aux_sym_break_statement_token1] = ACTIONS(1510),
    [aux_sym_leave_statement_token1] = ACTIONS(1510),
    [aux_sym_continue_statement_token1] = ACTIONS(1510),
    [aux_sym_iterate_statement_token1] = ACTIONS(1510),
    [aux_sym_raise_statement_token1] = ACTIONS(1510),
    [anon_sym_EQ] = ACTIONS(1508),
    [aux_sym_assert_statement_token1] = ACTIONS(1510),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1510),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1510),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1510),
    [anon_sym_LT] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1510),
    [aux_sym_select_token1] = ACTIONS(1510),
    [aux_sym_insert_statement_token1] = ACTIONS(1510),
    [aux_sym_truncate_statement_token1] = ACTIONS(1510),
    [aux_sym_update_statement_token1] = ACTIONS(1510),
    [aux_sym_merge_statement_token1] = ACTIONS(1510),
    [aux_sym_grant_statement_token1] = ACTIONS(1510),
    [aux_sym_revoke_statement_token1] = ACTIONS(1510),
    [aux_sym_export_data_statement_token1] = ACTIONS(1510),
    [aux_sym_load_data_statement_token1] = ACTIONS(1510),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [sym__quoted_identifier] = ACTIONS(1508),
    [anon_sym_DOT] = ACTIONS(1514),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1510),
    [anon_sym_PLUS] = ACTIONS(1508),
    [anon_sym_DASH] = ACTIONS(1510),
    [anon_sym_STAR] = ACTIONS(1508),
    [anon_sym_SLASH] = ACTIONS(1510),
    [anon_sym_PIPE_PIPE] = ACTIONS(1508),
    [anon_sym_LT_EQ] = ACTIONS(1508),
    [anon_sym_LT_GT] = ACTIONS(1508),
    [anon_sym_GT_EQ] = ACTIONS(1508),
    [anon_sym_BANG_EQ] = ACTIONS(1508),
    [anon_sym_LT_LT] = ACTIONS(1508),
    [anon_sym_GT_GT] = ACTIONS(1508),
    [anon_sym_AMP] = ACTIONS(1508),
    [anon_sym_CARET] = ACTIONS(1508),
    [anon_sym_PIPE] = ACTIONS(1510),
  },
  [4342] = {
    [sym_analytics_clause] = STATE(4796),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_into_clause_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4343] = {
    [sym_analytics_clause] = STATE(4798),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_into_clause_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4344] = {
    [sym_analytics_clause] = STATE(4799),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_into_clause_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4345] = {
    [sym_analytics_clause] = STATE(4801),
    [ts_builtin_sym_end] = ACTIONS(1374),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1374),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1374),
    [aux_sym_keyword_replace_token1] = ACTIONS(1374),
    [aux_sym__keyword_alter_token1] = ACTIONS(1374),
    [aux_sym__keyword_delete_token1] = ACTIONS(1374),
    [aux_sym__keyword_begin_token1] = ACTIONS(1374),
    [aux_sym__keyword_end_token1] = ACTIONS(1374),
    [aux_sym__keyword_between_token1] = ACTIONS(1374),
    [aux_sym__keyword_else_token1] = ACTIONS(1376),
    [aux_sym__keyword_is_token1] = ACTIONS(1374),
    [aux_sym__keyword_in_token1] = ACTIONS(1376),
    [aux_sym__keyword_and_token1] = ACTIONS(1374),
    [aux_sym__keyword_like_token1] = ACTIONS(1374),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1374),
    [aux_sym__keyword_for_token1] = ACTIONS(1374),
    [anon_sym_SEMI] = ACTIONS(1374),
    [aux_sym_declare_statement_token1] = ACTIONS(1374),
    [aux_sym_set_statement_token1] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1374),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1374),
    [aux_sym_into_clause_token1] = ACTIONS(1374),
    [aux_sym_using_clause_token1] = ACTIONS(1374),
    [aux_sym_return_satement_token1] = ACTIONS(1374),
    [aux_sym_call_statement_token1] = ACTIONS(1374),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1374),
    [aux_sym_if_statement_token1] = ACTIONS(1374),
    [aux_sym_loop_statement_token1] = ACTIONS(1374),
    [aux_sym_repeat_statement_token1] = ACTIONS(1374),
    [aux_sym_while_statement_token1] = ACTIONS(1374),
    [aux_sym_break_statement_token1] = ACTIONS(1374),
    [aux_sym_leave_statement_token1] = ACTIONS(1374),
    [aux_sym_continue_statement_token1] = ACTIONS(1374),
    [aux_sym_iterate_statement_token1] = ACTIONS(1374),
    [aux_sym_raise_statement_token1] = ACTIONS(1374),
    [anon_sym_EQ] = ACTIONS(1374),
    [aux_sym_assert_statement_token1] = ACTIONS(1374),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1374),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1374),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1374),
    [anon_sym_LT] = ACTIONS(1376),
    [anon_sym_GT] = ACTIONS(1376),
    [aux_sym_select_token1] = ACTIONS(1374),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1374),
    [aux_sym_truncate_statement_token1] = ACTIONS(1374),
    [aux_sym_update_statement_token1] = ACTIONS(1374),
    [aux_sym_merge_statement_token1] = ACTIONS(1374),
    [aux_sym_grant_statement_token1] = ACTIONS(1374),
    [aux_sym_revoke_statement_token1] = ACTIONS(1374),
    [aux_sym_export_data_statement_token1] = ACTIONS(1374),
    [aux_sym_load_data_statement_token1] = ACTIONS(1374),
    [anon_sym_LBRACK] = ACTIONS(1374),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_SLASH] = ACTIONS(1376),
    [anon_sym_PIPE_PIPE] = ACTIONS(1374),
    [anon_sym_LT_EQ] = ACTIONS(1374),
    [anon_sym_LT_GT] = ACTIONS(1374),
    [anon_sym_GT_EQ] = ACTIONS(1374),
    [anon_sym_BANG_EQ] = ACTIONS(1374),
    [anon_sym_LT_LT] = ACTIONS(1374),
    [anon_sym_GT_GT] = ACTIONS(1374),
    [anon_sym_AMP] = ACTIONS(1374),
    [anon_sym_CARET] = ACTIONS(1374),
    [anon_sym_PIPE] = ACTIONS(1376),
  },
  [4346] = {
    [ts_builtin_sym_end] = ACTIONS(1764),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1764),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1764),
    [aux_sym_keyword_replace_token1] = ACTIONS(1764),
    [aux_sym__keyword_alter_token1] = ACTIONS(1764),
    [aux_sym__keyword_delete_token1] = ACTIONS(1764),
    [aux_sym__keyword_begin_token1] = ACTIONS(1764),
    [aux_sym__keyword_end_token1] = ACTIONS(1764),
    [aux_sym__keyword_between_token1] = ACTIONS(1764),
    [aux_sym__keyword_when_token1] = ACTIONS(1764),
    [aux_sym__keyword_else_token1] = ACTIONS(1766),
    [aux_sym__keyword_is_token1] = ACTIONS(1764),
    [aux_sym__keyword_in_token1] = ACTIONS(1766),
    [aux_sym__keyword_and_token1] = ACTIONS(1764),
    [aux_sym__keyword_like_token1] = ACTIONS(1764),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1764),
    [aux_sym__keyword_as_token1] = ACTIONS(1766),
    [aux_sym__keyword_for_token1] = ACTIONS(1764),
    [anon_sym_SEMI] = ACTIONS(1764),
    [aux_sym_declare_statement_token1] = ACTIONS(1764),
    [anon_sym_COMMA] = ACTIONS(1764),
    [aux_sym_set_statement_token1] = ACTIONS(1764),
    [anon_sym_LPAREN] = ACTIONS(1764),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1764),
    [aux_sym_return_satement_token1] = ACTIONS(1764),
    [aux_sym_call_statement_token1] = ACTIONS(1764),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1764),
    [aux_sym_if_statement_token1] = ACTIONS(1764),
    [aux_sym_loop_statement_token1] = ACTIONS(1764),
    [aux_sym_repeat_statement_token1] = ACTIONS(1764),
    [aux_sym_while_statement_token1] = ACTIONS(1764),
    [aux_sym_break_statement_token1] = ACTIONS(1764),
    [aux_sym_leave_statement_token1] = ACTIONS(1764),
    [aux_sym_continue_statement_token1] = ACTIONS(1764),
    [aux_sym_iterate_statement_token1] = ACTIONS(1764),
    [aux_sym_raise_statement_token1] = ACTIONS(1764),
    [anon_sym_EQ] = ACTIONS(1764),
    [aux_sym_assert_statement_token1] = ACTIONS(1764),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1764),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1764),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1764),
    [aux_sym_option_clause_token1] = ACTIONS(1764),
    [anon_sym_LT] = ACTIONS(1766),
    [anon_sym_GT] = ACTIONS(1766),
    [aux_sym_select_token1] = ACTIONS(1764),
    [aux_sym_insert_statement_token1] = ACTIONS(1764),
    [aux_sym_truncate_statement_token1] = ACTIONS(1764),
    [aux_sym_update_statement_token1] = ACTIONS(1764),
    [aux_sym_merge_statement_token1] = ACTIONS(1764),
    [aux_sym_grant_statement_token1] = ACTIONS(1764),
    [aux_sym_revoke_statement_token1] = ACTIONS(1764),
    [aux_sym_export_data_statement_token1] = ACTIONS(1764),
    [aux_sym_load_data_statement_token1] = ACTIONS(1764),
    [anon_sym_LBRACK] = ACTIONS(1764),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_DASH] = ACTIONS(1766),
    [anon_sym_STAR] = ACTIONS(1764),
    [anon_sym_SLASH] = ACTIONS(1766),
    [anon_sym_PIPE_PIPE] = ACTIONS(1764),
    [anon_sym_LT_EQ] = ACTIONS(1764),
    [anon_sym_LT_GT] = ACTIONS(1764),
    [anon_sym_GT_EQ] = ACTIONS(1764),
    [anon_sym_BANG_EQ] = ACTIONS(1764),
    [anon_sym_LT_LT] = ACTIONS(1764),
    [anon_sym_GT_GT] = ACTIONS(1764),
    [anon_sym_AMP] = ACTIONS(1764),
    [anon_sym_CARET] = ACTIONS(1764),
    [anon_sym_PIPE] = ACTIONS(1766),
  },
  [4347] = {
    [sym_analytics_clause] = STATE(4802),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1462),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_into_clause_token1] = ACTIONS(1462),
    [aux_sym_using_clause_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [4348] = {
    [sym_unnest_withoffset] = STATE(4479),
    [ts_builtin_sym_end] = ACTIONS(1540),
    [sym__unquoted_identifier] = ACTIONS(1542),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1542),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1542),
    [aux_sym_keyword_replace_token1] = ACTIONS(1542),
    [aux_sym__keyword_alter_token1] = ACTIONS(1542),
    [aux_sym__keyword_delete_token1] = ACTIONS(1542),
    [aux_sym__keyword_begin_token1] = ACTIONS(1542),
    [aux_sym__keyword_between_token1] = ACTIONS(1542),
    [aux_sym__keyword_is_token1] = ACTIONS(1542),
    [aux_sym__keyword_in_token1] = ACTIONS(1542),
    [aux_sym__keyword_and_token1] = ACTIONS(1542),
    [aux_sym__keyword_like_token1] = ACTIONS(1542),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1542),
    [aux_sym__keyword_as_token1] = ACTIONS(1542),
    [aux_sym__keyword_date_token1] = ACTIONS(1542),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1542),
    [aux_sym__keyword_time_token1] = ACTIONS(1542),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1542),
    [aux_sym__keyword_for_token1] = ACTIONS(1542),
    [anon_sym_SEMI] = ACTIONS(1540),
    [aux_sym_declare_statement_token1] = ACTIONS(1542),
    [anon_sym_COMMA] = ACTIONS(1540),
    [aux_sym_set_statement_token1] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1542),
    [aux_sym_return_satement_token1] = ACTIONS(1542),
    [aux_sym_call_statement_token1] = ACTIONS(1542),
    [aux_sym_loop_statement_token1] = ACTIONS(1542),
    [aux_sym_while_statement_token1] = ACTIONS(1542),
    [aux_sym_break_statement_token1] = ACTIONS(1542),
    [aux_sym_leave_statement_token1] = ACTIONS(1542),
    [aux_sym_continue_statement_token1] = ACTIONS(1542),
    [aux_sym_iterate_statement_token1] = ACTIONS(1542),
    [aux_sym_raise_statement_token1] = ACTIONS(1542),
    [anon_sym_EQ] = ACTIONS(1540),
    [aux_sym_assert_statement_token1] = ACTIONS(1542),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1542),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1542),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2926),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_GT] = ACTIONS(1542),
    [aux_sym_select_token1] = ACTIONS(1542),
    [aux_sym_insert_statement_token1] = ACTIONS(1542),
    [aux_sym_truncate_statement_token1] = ACTIONS(1542),
    [aux_sym_update_statement_token1] = ACTIONS(1542),
    [aux_sym_merge_statement_token1] = ACTIONS(1542),
    [aux_sym_grant_statement_token1] = ACTIONS(1542),
    [aux_sym_revoke_statement_token1] = ACTIONS(1542),
    [aux_sym_export_data_statement_token1] = ACTIONS(1542),
    [aux_sym_load_data_statement_token1] = ACTIONS(1542),
    [anon_sym_LBRACK] = ACTIONS(1540),
    [sym__quoted_identifier] = ACTIONS(1540),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(1540),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(1542),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_LT_EQ] = ACTIONS(1540),
    [anon_sym_LT_GT] = ACTIONS(1540),
    [anon_sym_GT_EQ] = ACTIONS(1540),
    [anon_sym_BANG_EQ] = ACTIONS(1540),
    [anon_sym_LT_LT] = ACTIONS(1540),
    [anon_sym_GT_GT] = ACTIONS(1540),
    [anon_sym_AMP] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(1540),
    [anon_sym_PIPE] = ACTIONS(1542),
  },
  [4349] = {
    [ts_builtin_sym_end] = ACTIONS(1760),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1760),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1760),
    [aux_sym_keyword_replace_token1] = ACTIONS(1760),
    [aux_sym__keyword_alter_token1] = ACTIONS(1760),
    [aux_sym__keyword_delete_token1] = ACTIONS(1760),
    [aux_sym__keyword_begin_token1] = ACTIONS(1760),
    [aux_sym__keyword_end_token1] = ACTIONS(1760),
    [aux_sym__keyword_between_token1] = ACTIONS(1760),
    [aux_sym__keyword_when_token1] = ACTIONS(1760),
    [aux_sym__keyword_else_token1] = ACTIONS(1762),
    [aux_sym__keyword_is_token1] = ACTIONS(1760),
    [aux_sym__keyword_in_token1] = ACTIONS(1762),
    [aux_sym__keyword_and_token1] = ACTIONS(1760),
    [aux_sym__keyword_like_token1] = ACTIONS(1760),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1760),
    [aux_sym__keyword_as_token1] = ACTIONS(1762),
    [aux_sym__keyword_for_token1] = ACTIONS(1760),
    [anon_sym_SEMI] = ACTIONS(1760),
    [aux_sym_declare_statement_token1] = ACTIONS(1760),
    [anon_sym_COMMA] = ACTIONS(1760),
    [aux_sym_set_statement_token1] = ACTIONS(1760),
    [anon_sym_LPAREN] = ACTIONS(1760),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1760),
    [aux_sym_return_satement_token1] = ACTIONS(1760),
    [aux_sym_call_statement_token1] = ACTIONS(1760),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1760),
    [aux_sym_if_statement_token1] = ACTIONS(1760),
    [aux_sym_loop_statement_token1] = ACTIONS(1760),
    [aux_sym_repeat_statement_token1] = ACTIONS(1760),
    [aux_sym_while_statement_token1] = ACTIONS(1760),
    [aux_sym_break_statement_token1] = ACTIONS(1760),
    [aux_sym_leave_statement_token1] = ACTIONS(1760),
    [aux_sym_continue_statement_token1] = ACTIONS(1760),
    [aux_sym_iterate_statement_token1] = ACTIONS(1760),
    [aux_sym_raise_statement_token1] = ACTIONS(1760),
    [anon_sym_EQ] = ACTIONS(1760),
    [aux_sym_assert_statement_token1] = ACTIONS(1760),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1760),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1760),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1760),
    [aux_sym_option_clause_token1] = ACTIONS(1760),
    [anon_sym_LT] = ACTIONS(1762),
    [anon_sym_GT] = ACTIONS(1762),
    [aux_sym_select_token1] = ACTIONS(1760),
    [aux_sym_insert_statement_token1] = ACTIONS(1760),
    [aux_sym_truncate_statement_token1] = ACTIONS(1760),
    [aux_sym_update_statement_token1] = ACTIONS(1760),
    [aux_sym_merge_statement_token1] = ACTIONS(1760),
    [aux_sym_grant_statement_token1] = ACTIONS(1760),
    [aux_sym_revoke_statement_token1] = ACTIONS(1760),
    [aux_sym_export_data_statement_token1] = ACTIONS(1760),
    [aux_sym_load_data_statement_token1] = ACTIONS(1760),
    [anon_sym_LBRACK] = ACTIONS(1760),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1760),
    [anon_sym_PLUS] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1762),
    [anon_sym_STAR] = ACTIONS(1760),
    [anon_sym_SLASH] = ACTIONS(1762),
    [anon_sym_PIPE_PIPE] = ACTIONS(1760),
    [anon_sym_LT_EQ] = ACTIONS(1760),
    [anon_sym_LT_GT] = ACTIONS(1760),
    [anon_sym_GT_EQ] = ACTIONS(1760),
    [anon_sym_BANG_EQ] = ACTIONS(1760),
    [anon_sym_LT_LT] = ACTIONS(1760),
    [anon_sym_GT_GT] = ACTIONS(1760),
    [anon_sym_AMP] = ACTIONS(1760),
    [anon_sym_CARET] = ACTIONS(1760),
    [anon_sym_PIPE] = ACTIONS(1762),
  },
  [4350] = {
    [ts_builtin_sym_end] = ACTIONS(1530),
    [sym__unquoted_identifier] = ACTIONS(1532),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1532),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1532),
    [aux_sym_keyword_replace_token1] = ACTIONS(1532),
    [aux_sym__keyword_alter_token1] = ACTIONS(1532),
    [aux_sym__keyword_delete_token1] = ACTIONS(1532),
    [aux_sym__keyword_begin_token1] = ACTIONS(1532),
    [aux_sym__keyword_between_token1] = ACTIONS(1532),
    [aux_sym__keyword_is_token1] = ACTIONS(1532),
    [aux_sym__keyword_in_token1] = ACTIONS(1532),
    [aux_sym__keyword_and_token1] = ACTIONS(1532),
    [aux_sym__keyword_like_token1] = ACTIONS(1532),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1532),
    [aux_sym__keyword_as_token1] = ACTIONS(1532),
    [aux_sym__keyword_date_token1] = ACTIONS(1532),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1532),
    [aux_sym__keyword_time_token1] = ACTIONS(1532),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1532),
    [aux_sym__keyword_for_token1] = ACTIONS(1532),
    [anon_sym_SEMI] = ACTIONS(1530),
    [aux_sym_declare_statement_token1] = ACTIONS(1532),
    [anon_sym_COMMA] = ACTIONS(1530),
    [aux_sym_set_statement_token1] = ACTIONS(1532),
    [anon_sym_LPAREN] = ACTIONS(1530),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1532),
    [aux_sym_return_satement_token1] = ACTIONS(1532),
    [aux_sym_call_statement_token1] = ACTIONS(1532),
    [aux_sym_loop_statement_token1] = ACTIONS(1532),
    [aux_sym_while_statement_token1] = ACTIONS(1532),
    [aux_sym_break_statement_token1] = ACTIONS(1532),
    [aux_sym_leave_statement_token1] = ACTIONS(1532),
    [aux_sym_continue_statement_token1] = ACTIONS(1532),
    [aux_sym_iterate_statement_token1] = ACTIONS(1532),
    [aux_sym_raise_statement_token1] = ACTIONS(1532),
    [anon_sym_EQ] = ACTIONS(1530),
    [aux_sym_assert_statement_token1] = ACTIONS(1532),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1532),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1532),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1532),
    [anon_sym_LT] = ACTIONS(1532),
    [anon_sym_GT] = ACTIONS(1532),
    [aux_sym_select_token1] = ACTIONS(1532),
    [aux_sym_insert_statement_token1] = ACTIONS(1532),
    [aux_sym_truncate_statement_token1] = ACTIONS(1532),
    [aux_sym_update_statement_token1] = ACTIONS(1532),
    [aux_sym_merge_statement_token1] = ACTIONS(1532),
    [aux_sym_grant_statement_token1] = ACTIONS(1532),
    [aux_sym_revoke_statement_token1] = ACTIONS(1532),
    [aux_sym_export_data_statement_token1] = ACTIONS(1532),
    [aux_sym_load_data_statement_token1] = ACTIONS(1532),
    [anon_sym_LBRACK] = ACTIONS(1530),
    [sym__quoted_identifier] = ACTIONS(1530),
    [anon_sym_DOT] = ACTIONS(1514),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1532),
    [anon_sym_PLUS] = ACTIONS(1530),
    [anon_sym_DASH] = ACTIONS(1532),
    [anon_sym_STAR] = ACTIONS(1530),
    [anon_sym_SLASH] = ACTIONS(1532),
    [anon_sym_PIPE_PIPE] = ACTIONS(1530),
    [anon_sym_LT_EQ] = ACTIONS(1530),
    [anon_sym_LT_GT] = ACTIONS(1530),
    [anon_sym_GT_EQ] = ACTIONS(1530),
    [anon_sym_BANG_EQ] = ACTIONS(1530),
    [anon_sym_LT_LT] = ACTIONS(1530),
    [anon_sym_GT_GT] = ACTIONS(1530),
    [anon_sym_AMP] = ACTIONS(1530),
    [anon_sym_CARET] = ACTIONS(1530),
    [anon_sym_PIPE] = ACTIONS(1532),
  },
  [4351] = {
    [sym_analytics_clause] = STATE(4803),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1462),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_into_clause_token1] = ACTIONS(1462),
    [aux_sym_using_clause_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [4352] = {
    [sym_analytics_clause] = STATE(4804),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1462),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_into_clause_token1] = ACTIONS(1462),
    [aux_sym_using_clause_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [4353] = {
    [sym_analytics_clause] = STATE(4805),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1462),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_into_clause_token1] = ACTIONS(1462),
    [aux_sym_using_clause_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [4354] = {
    [ts_builtin_sym_end] = ACTIONS(1756),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1756),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1756),
    [aux_sym_keyword_replace_token1] = ACTIONS(1756),
    [aux_sym__keyword_alter_token1] = ACTIONS(1756),
    [aux_sym__keyword_delete_token1] = ACTIONS(1756),
    [aux_sym__keyword_begin_token1] = ACTIONS(1756),
    [aux_sym__keyword_end_token1] = ACTIONS(1756),
    [aux_sym__keyword_between_token1] = ACTIONS(1756),
    [aux_sym__keyword_when_token1] = ACTIONS(1756),
    [aux_sym__keyword_else_token1] = ACTIONS(1758),
    [aux_sym__keyword_is_token1] = ACTIONS(1756),
    [aux_sym__keyword_in_token1] = ACTIONS(1758),
    [aux_sym__keyword_and_token1] = ACTIONS(1756),
    [aux_sym__keyword_like_token1] = ACTIONS(1756),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1756),
    [aux_sym__keyword_as_token1] = ACTIONS(1758),
    [aux_sym__keyword_for_token1] = ACTIONS(1756),
    [anon_sym_SEMI] = ACTIONS(1756),
    [aux_sym_declare_statement_token1] = ACTIONS(1756),
    [anon_sym_COMMA] = ACTIONS(1756),
    [aux_sym_set_statement_token1] = ACTIONS(1756),
    [anon_sym_LPAREN] = ACTIONS(1756),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1756),
    [aux_sym_return_satement_token1] = ACTIONS(1756),
    [aux_sym_call_statement_token1] = ACTIONS(1756),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1756),
    [aux_sym_if_statement_token1] = ACTIONS(1756),
    [aux_sym_loop_statement_token1] = ACTIONS(1756),
    [aux_sym_repeat_statement_token1] = ACTIONS(1756),
    [aux_sym_while_statement_token1] = ACTIONS(1756),
    [aux_sym_break_statement_token1] = ACTIONS(1756),
    [aux_sym_leave_statement_token1] = ACTIONS(1756),
    [aux_sym_continue_statement_token1] = ACTIONS(1756),
    [aux_sym_iterate_statement_token1] = ACTIONS(1756),
    [aux_sym_raise_statement_token1] = ACTIONS(1756),
    [anon_sym_EQ] = ACTIONS(1756),
    [aux_sym_assert_statement_token1] = ACTIONS(1756),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1756),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1756),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1756),
    [aux_sym_option_clause_token1] = ACTIONS(1756),
    [anon_sym_LT] = ACTIONS(1758),
    [anon_sym_GT] = ACTIONS(1758),
    [aux_sym_select_token1] = ACTIONS(1756),
    [aux_sym_insert_statement_token1] = ACTIONS(1756),
    [aux_sym_truncate_statement_token1] = ACTIONS(1756),
    [aux_sym_update_statement_token1] = ACTIONS(1756),
    [aux_sym_merge_statement_token1] = ACTIONS(1756),
    [aux_sym_grant_statement_token1] = ACTIONS(1756),
    [aux_sym_revoke_statement_token1] = ACTIONS(1756),
    [aux_sym_export_data_statement_token1] = ACTIONS(1756),
    [aux_sym_load_data_statement_token1] = ACTIONS(1756),
    [anon_sym_LBRACK] = ACTIONS(1756),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1756),
    [anon_sym_PLUS] = ACTIONS(1756),
    [anon_sym_DASH] = ACTIONS(1758),
    [anon_sym_STAR] = ACTIONS(1756),
    [anon_sym_SLASH] = ACTIONS(1758),
    [anon_sym_PIPE_PIPE] = ACTIONS(1756),
    [anon_sym_LT_EQ] = ACTIONS(1756),
    [anon_sym_LT_GT] = ACTIONS(1756),
    [anon_sym_GT_EQ] = ACTIONS(1756),
    [anon_sym_BANG_EQ] = ACTIONS(1756),
    [anon_sym_LT_LT] = ACTIONS(1756),
    [anon_sym_GT_GT] = ACTIONS(1756),
    [anon_sym_AMP] = ACTIONS(1756),
    [anon_sym_CARET] = ACTIONS(1756),
    [anon_sym_PIPE] = ACTIONS(1758),
  },
  [4355] = {
    [ts_builtin_sym_end] = ACTIONS(1672),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1672),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1672),
    [aux_sym_keyword_replace_token1] = ACTIONS(1672),
    [aux_sym__keyword_alter_token1] = ACTIONS(1672),
    [aux_sym__keyword_delete_token1] = ACTIONS(1672),
    [aux_sym__keyword_begin_token1] = ACTIONS(1672),
    [aux_sym__keyword_end_token1] = ACTIONS(1672),
    [aux_sym__keyword_between_token1] = ACTIONS(1672),
    [aux_sym__keyword_when_token1] = ACTIONS(1672),
    [aux_sym__keyword_else_token1] = ACTIONS(1674),
    [aux_sym__keyword_is_token1] = ACTIONS(1672),
    [aux_sym__keyword_in_token1] = ACTIONS(1674),
    [aux_sym__keyword_and_token1] = ACTIONS(1672),
    [aux_sym__keyword_like_token1] = ACTIONS(1672),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1672),
    [aux_sym__keyword_as_token1] = ACTIONS(1674),
    [aux_sym__keyword_for_token1] = ACTIONS(1672),
    [anon_sym_SEMI] = ACTIONS(1672),
    [aux_sym_declare_statement_token1] = ACTIONS(1672),
    [anon_sym_COMMA] = ACTIONS(1672),
    [aux_sym_set_statement_token1] = ACTIONS(1672),
    [anon_sym_LPAREN] = ACTIONS(1672),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1672),
    [aux_sym_return_satement_token1] = ACTIONS(1672),
    [aux_sym_call_statement_token1] = ACTIONS(1672),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1672),
    [aux_sym_if_statement_token1] = ACTIONS(1672),
    [aux_sym_loop_statement_token1] = ACTIONS(1672),
    [aux_sym_repeat_statement_token1] = ACTIONS(1672),
    [aux_sym_while_statement_token1] = ACTIONS(1672),
    [aux_sym_break_statement_token1] = ACTIONS(1672),
    [aux_sym_leave_statement_token1] = ACTIONS(1672),
    [aux_sym_continue_statement_token1] = ACTIONS(1672),
    [aux_sym_iterate_statement_token1] = ACTIONS(1672),
    [aux_sym_raise_statement_token1] = ACTIONS(1672),
    [anon_sym_EQ] = ACTIONS(1672),
    [aux_sym_assert_statement_token1] = ACTIONS(1672),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1672),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1672),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1672),
    [aux_sym_option_clause_token1] = ACTIONS(1672),
    [anon_sym_LT] = ACTIONS(1674),
    [anon_sym_GT] = ACTIONS(1674),
    [aux_sym_select_token1] = ACTIONS(1672),
    [aux_sym_insert_statement_token1] = ACTIONS(1672),
    [aux_sym_truncate_statement_token1] = ACTIONS(1672),
    [aux_sym_update_statement_token1] = ACTIONS(1672),
    [aux_sym_merge_statement_token1] = ACTIONS(1672),
    [aux_sym_grant_statement_token1] = ACTIONS(1672),
    [aux_sym_revoke_statement_token1] = ACTIONS(1672),
    [aux_sym_export_data_statement_token1] = ACTIONS(1672),
    [aux_sym_load_data_statement_token1] = ACTIONS(1672),
    [anon_sym_LBRACK] = ACTIONS(1672),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1672),
    [anon_sym_PLUS] = ACTIONS(1672),
    [anon_sym_DASH] = ACTIONS(1674),
    [anon_sym_STAR] = ACTIONS(1672),
    [anon_sym_SLASH] = ACTIONS(1674),
    [anon_sym_PIPE_PIPE] = ACTIONS(1672),
    [anon_sym_LT_EQ] = ACTIONS(1672),
    [anon_sym_LT_GT] = ACTIONS(1672),
    [anon_sym_GT_EQ] = ACTIONS(1672),
    [anon_sym_BANG_EQ] = ACTIONS(1672),
    [anon_sym_LT_LT] = ACTIONS(1672),
    [anon_sym_GT_GT] = ACTIONS(1672),
    [anon_sym_AMP] = ACTIONS(1672),
    [anon_sym_CARET] = ACTIONS(1672),
    [anon_sym_PIPE] = ACTIONS(1674),
  },
  [4356] = {
    [ts_builtin_sym_end] = ACTIONS(1676),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1676),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1676),
    [aux_sym_keyword_replace_token1] = ACTIONS(1676),
    [aux_sym__keyword_alter_token1] = ACTIONS(1676),
    [aux_sym__keyword_delete_token1] = ACTIONS(1676),
    [aux_sym__keyword_begin_token1] = ACTIONS(1676),
    [aux_sym__keyword_end_token1] = ACTIONS(1676),
    [aux_sym__keyword_between_token1] = ACTIONS(1676),
    [aux_sym__keyword_when_token1] = ACTIONS(1676),
    [aux_sym__keyword_else_token1] = ACTIONS(1678),
    [aux_sym__keyword_is_token1] = ACTIONS(1676),
    [aux_sym__keyword_in_token1] = ACTIONS(1678),
    [aux_sym__keyword_and_token1] = ACTIONS(1676),
    [aux_sym__keyword_like_token1] = ACTIONS(1676),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1676),
    [aux_sym__keyword_as_token1] = ACTIONS(1678),
    [aux_sym__keyword_for_token1] = ACTIONS(1676),
    [anon_sym_SEMI] = ACTIONS(1676),
    [aux_sym_declare_statement_token1] = ACTIONS(1676),
    [anon_sym_COMMA] = ACTIONS(1676),
    [aux_sym_set_statement_token1] = ACTIONS(1676),
    [anon_sym_LPAREN] = ACTIONS(1676),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1676),
    [aux_sym_return_satement_token1] = ACTIONS(1676),
    [aux_sym_call_statement_token1] = ACTIONS(1676),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1676),
    [aux_sym_if_statement_token1] = ACTIONS(1676),
    [aux_sym_loop_statement_token1] = ACTIONS(1676),
    [aux_sym_repeat_statement_token1] = ACTIONS(1676),
    [aux_sym_while_statement_token1] = ACTIONS(1676),
    [aux_sym_break_statement_token1] = ACTIONS(1676),
    [aux_sym_leave_statement_token1] = ACTIONS(1676),
    [aux_sym_continue_statement_token1] = ACTIONS(1676),
    [aux_sym_iterate_statement_token1] = ACTIONS(1676),
    [aux_sym_raise_statement_token1] = ACTIONS(1676),
    [anon_sym_EQ] = ACTIONS(1676),
    [aux_sym_assert_statement_token1] = ACTIONS(1676),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1676),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1676),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1676),
    [aux_sym_option_clause_token1] = ACTIONS(1676),
    [anon_sym_LT] = ACTIONS(1678),
    [anon_sym_GT] = ACTIONS(1678),
    [aux_sym_select_token1] = ACTIONS(1676),
    [aux_sym_insert_statement_token1] = ACTIONS(1676),
    [aux_sym_truncate_statement_token1] = ACTIONS(1676),
    [aux_sym_update_statement_token1] = ACTIONS(1676),
    [aux_sym_merge_statement_token1] = ACTIONS(1676),
    [aux_sym_grant_statement_token1] = ACTIONS(1676),
    [aux_sym_revoke_statement_token1] = ACTIONS(1676),
    [aux_sym_export_data_statement_token1] = ACTIONS(1676),
    [aux_sym_load_data_statement_token1] = ACTIONS(1676),
    [anon_sym_LBRACK] = ACTIONS(1676),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1676),
    [anon_sym_PLUS] = ACTIONS(1676),
    [anon_sym_DASH] = ACTIONS(1678),
    [anon_sym_STAR] = ACTIONS(1676),
    [anon_sym_SLASH] = ACTIONS(1678),
    [anon_sym_PIPE_PIPE] = ACTIONS(1676),
    [anon_sym_LT_EQ] = ACTIONS(1676),
    [anon_sym_LT_GT] = ACTIONS(1676),
    [anon_sym_GT_EQ] = ACTIONS(1676),
    [anon_sym_BANG_EQ] = ACTIONS(1676),
    [anon_sym_LT_LT] = ACTIONS(1676),
    [anon_sym_GT_GT] = ACTIONS(1676),
    [anon_sym_AMP] = ACTIONS(1676),
    [anon_sym_CARET] = ACTIONS(1676),
    [anon_sym_PIPE] = ACTIONS(1678),
  },
  [4357] = {
    [sym__keyword_as] = STATE(15022),
    [ts_builtin_sym_end] = ACTIONS(1474),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1474),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1474),
    [aux_sym_keyword_replace_token1] = ACTIONS(1474),
    [aux_sym__keyword_alter_token1] = ACTIONS(1474),
    [aux_sym__keyword_delete_token1] = ACTIONS(1474),
    [aux_sym__keyword_begin_token1] = ACTIONS(1474),
    [aux_sym__keyword_end_token1] = ACTIONS(1474),
    [aux_sym__keyword_between_token1] = ACTIONS(1474),
    [aux_sym__keyword_else_token1] = ACTIONS(1476),
    [aux_sym__keyword_is_token1] = ACTIONS(1474),
    [aux_sym__keyword_in_token1] = ACTIONS(1476),
    [aux_sym__keyword_and_token1] = ACTIONS(1474),
    [aux_sym__keyword_like_token1] = ACTIONS(1474),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1474),
    [aux_sym__keyword_as_token1] = ACTIONS(1476),
    [aux_sym__keyword_for_token1] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1474),
    [aux_sym_declare_statement_token1] = ACTIONS(1474),
    [anon_sym_COMMA] = ACTIONS(1474),
    [aux_sym_set_statement_token1] = ACTIONS(1474),
    [anon_sym_LPAREN] = ACTIONS(1474),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1474),
    [aux_sym_return_satement_token1] = ACTIONS(1474),
    [aux_sym_call_statement_token1] = ACTIONS(1474),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1474),
    [aux_sym_if_statement_token1] = ACTIONS(1474),
    [aux_sym_loop_statement_token1] = ACTIONS(1474),
    [aux_sym_repeat_statement_token1] = ACTIONS(1474),
    [aux_sym_while_statement_token1] = ACTIONS(1474),
    [aux_sym_break_statement_token1] = ACTIONS(1474),
    [aux_sym_leave_statement_token1] = ACTIONS(1474),
    [aux_sym_continue_statement_token1] = ACTIONS(1474),
    [aux_sym_iterate_statement_token1] = ACTIONS(1474),
    [aux_sym_raise_statement_token1] = ACTIONS(1474),
    [anon_sym_EQ] = ACTIONS(1474),
    [aux_sym_assert_statement_token1] = ACTIONS(1474),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1474),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1474),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1474),
    [aux_sym_option_clause_token1] = ACTIONS(1474),
    [anon_sym_LT] = ACTIONS(1476),
    [anon_sym_GT] = ACTIONS(1476),
    [aux_sym_select_token1] = ACTIONS(1474),
    [aux_sym_insert_statement_token1] = ACTIONS(1474),
    [aux_sym_truncate_statement_token1] = ACTIONS(1474),
    [aux_sym_update_statement_token1] = ACTIONS(1474),
    [aux_sym_merge_statement_token1] = ACTIONS(1474),
    [aux_sym_grant_statement_token1] = ACTIONS(1474),
    [aux_sym_revoke_statement_token1] = ACTIONS(1474),
    [aux_sym_export_data_statement_token1] = ACTIONS(1474),
    [aux_sym_load_data_statement_token1] = ACTIONS(1474),
    [anon_sym_LBRACK] = ACTIONS(1474),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1474),
    [anon_sym_PLUS] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1476),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_SLASH] = ACTIONS(1476),
    [anon_sym_PIPE_PIPE] = ACTIONS(1474),
    [anon_sym_LT_EQ] = ACTIONS(1474),
    [anon_sym_LT_GT] = ACTIONS(1474),
    [anon_sym_GT_EQ] = ACTIONS(1474),
    [anon_sym_BANG_EQ] = ACTIONS(1474),
    [anon_sym_LT_LT] = ACTIONS(1474),
    [anon_sym_GT_GT] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_CARET] = ACTIONS(1474),
    [anon_sym_PIPE] = ACTIONS(1476),
  },
  [4358] = {
    [sym_analytics_clause] = STATE(4814),
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1442),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_into_clause_token1] = ACTIONS(1442),
    [aux_sym_using_clause_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [4359] = {
    [ts_builtin_sym_end] = ACTIONS(1830),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1830),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1830),
    [aux_sym_keyword_replace_token1] = ACTIONS(1830),
    [aux_sym__keyword_alter_token1] = ACTIONS(1830),
    [aux_sym__keyword_delete_token1] = ACTIONS(1830),
    [aux_sym__keyword_begin_token1] = ACTIONS(1830),
    [aux_sym__keyword_end_token1] = ACTIONS(1830),
    [aux_sym__keyword_between_token1] = ACTIONS(1830),
    [aux_sym__keyword_when_token1] = ACTIONS(1830),
    [aux_sym__keyword_else_token1] = ACTIONS(1832),
    [aux_sym__keyword_is_token1] = ACTIONS(1830),
    [aux_sym__keyword_in_token1] = ACTIONS(1832),
    [aux_sym__keyword_and_token1] = ACTIONS(1830),
    [aux_sym__keyword_like_token1] = ACTIONS(1830),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1830),
    [aux_sym__keyword_as_token1] = ACTIONS(1832),
    [aux_sym__keyword_for_token1] = ACTIONS(1830),
    [anon_sym_SEMI] = ACTIONS(1830),
    [aux_sym_declare_statement_token1] = ACTIONS(1830),
    [anon_sym_COMMA] = ACTIONS(1830),
    [aux_sym_set_statement_token1] = ACTIONS(1830),
    [anon_sym_LPAREN] = ACTIONS(1830),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1830),
    [aux_sym_return_satement_token1] = ACTIONS(1830),
    [aux_sym_call_statement_token1] = ACTIONS(1830),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1830),
    [aux_sym_if_statement_token1] = ACTIONS(1830),
    [aux_sym_loop_statement_token1] = ACTIONS(1830),
    [aux_sym_repeat_statement_token1] = ACTIONS(1830),
    [aux_sym_while_statement_token1] = ACTIONS(1830),
    [aux_sym_break_statement_token1] = ACTIONS(1830),
    [aux_sym_leave_statement_token1] = ACTIONS(1830),
    [aux_sym_continue_statement_token1] = ACTIONS(1830),
    [aux_sym_iterate_statement_token1] = ACTIONS(1830),
    [aux_sym_raise_statement_token1] = ACTIONS(1830),
    [anon_sym_EQ] = ACTIONS(1830),
    [aux_sym_assert_statement_token1] = ACTIONS(1830),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1830),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1830),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1830),
    [aux_sym_option_clause_token1] = ACTIONS(1830),
    [anon_sym_LT] = ACTIONS(1832),
    [anon_sym_GT] = ACTIONS(1832),
    [aux_sym_select_token1] = ACTIONS(1830),
    [aux_sym_insert_statement_token1] = ACTIONS(1830),
    [aux_sym_truncate_statement_token1] = ACTIONS(1830),
    [aux_sym_update_statement_token1] = ACTIONS(1830),
    [aux_sym_merge_statement_token1] = ACTIONS(1830),
    [aux_sym_grant_statement_token1] = ACTIONS(1830),
    [aux_sym_revoke_statement_token1] = ACTIONS(1830),
    [aux_sym_export_data_statement_token1] = ACTIONS(1830),
    [aux_sym_load_data_statement_token1] = ACTIONS(1830),
    [anon_sym_LBRACK] = ACTIONS(1830),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1830),
    [anon_sym_PLUS] = ACTIONS(1830),
    [anon_sym_DASH] = ACTIONS(1832),
    [anon_sym_STAR] = ACTIONS(1830),
    [anon_sym_SLASH] = ACTIONS(1832),
    [anon_sym_PIPE_PIPE] = ACTIONS(1830),
    [anon_sym_LT_EQ] = ACTIONS(1830),
    [anon_sym_LT_GT] = ACTIONS(1830),
    [anon_sym_GT_EQ] = ACTIONS(1830),
    [anon_sym_BANG_EQ] = ACTIONS(1830),
    [anon_sym_LT_LT] = ACTIONS(1830),
    [anon_sym_GT_GT] = ACTIONS(1830),
    [anon_sym_AMP] = ACTIONS(1830),
    [anon_sym_CARET] = ACTIONS(1830),
    [anon_sym_PIPE] = ACTIONS(1832),
  },
  [4360] = {
    [sym__keyword_as] = STATE(15615),
    [ts_builtin_sym_end] = ACTIONS(1474),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1474),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1474),
    [aux_sym_keyword_replace_token1] = ACTIONS(1474),
    [aux_sym__keyword_alter_token1] = ACTIONS(1474),
    [aux_sym__keyword_delete_token1] = ACTIONS(1474),
    [aux_sym__keyword_begin_token1] = ACTIONS(1474),
    [aux_sym__keyword_end_token1] = ACTIONS(1474),
    [aux_sym__keyword_between_token1] = ACTIONS(1474),
    [aux_sym__keyword_else_token1] = ACTIONS(1476),
    [aux_sym__keyword_is_token1] = ACTIONS(1474),
    [aux_sym__keyword_in_token1] = ACTIONS(1476),
    [aux_sym__keyword_and_token1] = ACTIONS(1474),
    [aux_sym__keyword_like_token1] = ACTIONS(1474),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1474),
    [aux_sym__keyword_as_token1] = ACTIONS(3372),
    [aux_sym__keyword_for_token1] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1474),
    [aux_sym_declare_statement_token1] = ACTIONS(1474),
    [aux_sym_set_statement_token1] = ACTIONS(1474),
    [anon_sym_LPAREN] = ACTIONS(1474),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1474),
    [aux_sym_into_clause_token1] = ACTIONS(1474),
    [aux_sym_using_clause_token1] = ACTIONS(1474),
    [aux_sym_return_satement_token1] = ACTIONS(1474),
    [aux_sym_call_statement_token1] = ACTIONS(1474),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1474),
    [aux_sym_if_statement_token1] = ACTIONS(1474),
    [aux_sym_loop_statement_token1] = ACTIONS(1474),
    [aux_sym_repeat_statement_token1] = ACTIONS(1474),
    [aux_sym_while_statement_token1] = ACTIONS(1474),
    [aux_sym_break_statement_token1] = ACTIONS(1474),
    [aux_sym_leave_statement_token1] = ACTIONS(1474),
    [aux_sym_continue_statement_token1] = ACTIONS(1474),
    [aux_sym_iterate_statement_token1] = ACTIONS(1474),
    [aux_sym_raise_statement_token1] = ACTIONS(1474),
    [anon_sym_EQ] = ACTIONS(1474),
    [aux_sym_assert_statement_token1] = ACTIONS(1474),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1474),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1474),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1474),
    [anon_sym_LT] = ACTIONS(1476),
    [anon_sym_GT] = ACTIONS(1476),
    [aux_sym_select_token1] = ACTIONS(1474),
    [aux_sym_insert_statement_token1] = ACTIONS(1474),
    [aux_sym_truncate_statement_token1] = ACTIONS(1474),
    [aux_sym_update_statement_token1] = ACTIONS(1474),
    [aux_sym_merge_statement_token1] = ACTIONS(1474),
    [aux_sym_grant_statement_token1] = ACTIONS(1474),
    [aux_sym_revoke_statement_token1] = ACTIONS(1474),
    [aux_sym_export_data_statement_token1] = ACTIONS(1474),
    [aux_sym_load_data_statement_token1] = ACTIONS(1474),
    [anon_sym_LBRACK] = ACTIONS(1474),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1474),
    [anon_sym_PLUS] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1476),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_SLASH] = ACTIONS(1476),
    [anon_sym_PIPE_PIPE] = ACTIONS(1474),
    [anon_sym_LT_EQ] = ACTIONS(1474),
    [anon_sym_LT_GT] = ACTIONS(1474),
    [anon_sym_GT_EQ] = ACTIONS(1474),
    [anon_sym_BANG_EQ] = ACTIONS(1474),
    [anon_sym_LT_LT] = ACTIONS(1474),
    [anon_sym_GT_GT] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_CARET] = ACTIONS(1474),
    [anon_sym_PIPE] = ACTIONS(1476),
  },
  [4361] = {
    [ts_builtin_sym_end] = ACTIONS(1602),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1602),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1602),
    [aux_sym_keyword_replace_token1] = ACTIONS(1602),
    [aux_sym__keyword_alter_token1] = ACTIONS(1602),
    [aux_sym__keyword_delete_token1] = ACTIONS(1602),
    [aux_sym__keyword_begin_token1] = ACTIONS(1602),
    [aux_sym__keyword_end_token1] = ACTIONS(1602),
    [aux_sym__keyword_between_token1] = ACTIONS(1602),
    [aux_sym__keyword_when_token1] = ACTIONS(1602),
    [aux_sym__keyword_else_token1] = ACTIONS(1604),
    [aux_sym__keyword_is_token1] = ACTIONS(1602),
    [aux_sym__keyword_in_token1] = ACTIONS(1604),
    [aux_sym__keyword_and_token1] = ACTIONS(1602),
    [aux_sym__keyword_like_token1] = ACTIONS(1602),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1602),
    [aux_sym__keyword_as_token1] = ACTIONS(1604),
    [aux_sym__keyword_for_token1] = ACTIONS(1602),
    [anon_sym_SEMI] = ACTIONS(1602),
    [aux_sym_declare_statement_token1] = ACTIONS(1602),
    [anon_sym_COMMA] = ACTIONS(1602),
    [aux_sym_set_statement_token1] = ACTIONS(1602),
    [anon_sym_LPAREN] = ACTIONS(1602),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1602),
    [aux_sym_return_satement_token1] = ACTIONS(1602),
    [aux_sym_call_statement_token1] = ACTIONS(1602),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1602),
    [aux_sym_if_statement_token1] = ACTIONS(1602),
    [aux_sym_loop_statement_token1] = ACTIONS(1602),
    [aux_sym_repeat_statement_token1] = ACTIONS(1602),
    [aux_sym_while_statement_token1] = ACTIONS(1602),
    [aux_sym_break_statement_token1] = ACTIONS(1602),
    [aux_sym_leave_statement_token1] = ACTIONS(1602),
    [aux_sym_continue_statement_token1] = ACTIONS(1602),
    [aux_sym_iterate_statement_token1] = ACTIONS(1602),
    [aux_sym_raise_statement_token1] = ACTIONS(1602),
    [anon_sym_EQ] = ACTIONS(1602),
    [aux_sym_assert_statement_token1] = ACTIONS(1602),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1602),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1602),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1602),
    [aux_sym_option_clause_token1] = ACTIONS(1602),
    [anon_sym_LT] = ACTIONS(1604),
    [anon_sym_GT] = ACTIONS(1604),
    [aux_sym_select_token1] = ACTIONS(1602),
    [aux_sym_insert_statement_token1] = ACTIONS(1602),
    [aux_sym_truncate_statement_token1] = ACTIONS(1602),
    [aux_sym_update_statement_token1] = ACTIONS(1602),
    [aux_sym_merge_statement_token1] = ACTIONS(1602),
    [aux_sym_grant_statement_token1] = ACTIONS(1602),
    [aux_sym_revoke_statement_token1] = ACTIONS(1602),
    [aux_sym_export_data_statement_token1] = ACTIONS(1602),
    [aux_sym_load_data_statement_token1] = ACTIONS(1602),
    [anon_sym_LBRACK] = ACTIONS(1602),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1602),
    [anon_sym_PLUS] = ACTIONS(1602),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_STAR] = ACTIONS(1602),
    [anon_sym_SLASH] = ACTIONS(1604),
    [anon_sym_PIPE_PIPE] = ACTIONS(1602),
    [anon_sym_LT_EQ] = ACTIONS(1602),
    [anon_sym_LT_GT] = ACTIONS(1602),
    [anon_sym_GT_EQ] = ACTIONS(1602),
    [anon_sym_BANG_EQ] = ACTIONS(1602),
    [anon_sym_LT_LT] = ACTIONS(1602),
    [anon_sym_GT_GT] = ACTIONS(1602),
    [anon_sym_AMP] = ACTIONS(1602),
    [anon_sym_CARET] = ACTIONS(1602),
    [anon_sym_PIPE] = ACTIONS(1604),
  },
  [4362] = {
    [ts_builtin_sym_end] = ACTIONS(1582),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1582),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1582),
    [aux_sym_keyword_replace_token1] = ACTIONS(1582),
    [aux_sym__keyword_alter_token1] = ACTIONS(1582),
    [aux_sym__keyword_delete_token1] = ACTIONS(1582),
    [aux_sym__keyword_begin_token1] = ACTIONS(1582),
    [aux_sym__keyword_end_token1] = ACTIONS(1582),
    [aux_sym__keyword_between_token1] = ACTIONS(1582),
    [aux_sym__keyword_when_token1] = ACTIONS(1582),
    [aux_sym__keyword_else_token1] = ACTIONS(1584),
    [aux_sym__keyword_is_token1] = ACTIONS(1582),
    [aux_sym__keyword_in_token1] = ACTIONS(1584),
    [aux_sym__keyword_and_token1] = ACTIONS(1582),
    [aux_sym__keyword_like_token1] = ACTIONS(1582),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1582),
    [aux_sym__keyword_as_token1] = ACTIONS(1584),
    [aux_sym__keyword_for_token1] = ACTIONS(1582),
    [anon_sym_SEMI] = ACTIONS(1582),
    [aux_sym_declare_statement_token1] = ACTIONS(1582),
    [anon_sym_COMMA] = ACTIONS(1582),
    [aux_sym_set_statement_token1] = ACTIONS(1582),
    [anon_sym_LPAREN] = ACTIONS(1582),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1582),
    [aux_sym_return_satement_token1] = ACTIONS(1582),
    [aux_sym_call_statement_token1] = ACTIONS(1582),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1582),
    [aux_sym_if_statement_token1] = ACTIONS(1582),
    [aux_sym_loop_statement_token1] = ACTIONS(1582),
    [aux_sym_repeat_statement_token1] = ACTIONS(1582),
    [aux_sym_while_statement_token1] = ACTIONS(1582),
    [aux_sym_break_statement_token1] = ACTIONS(1582),
    [aux_sym_leave_statement_token1] = ACTIONS(1582),
    [aux_sym_continue_statement_token1] = ACTIONS(1582),
    [aux_sym_iterate_statement_token1] = ACTIONS(1582),
    [aux_sym_raise_statement_token1] = ACTIONS(1582),
    [anon_sym_EQ] = ACTIONS(1582),
    [aux_sym_assert_statement_token1] = ACTIONS(1582),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1582),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1582),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1582),
    [aux_sym_option_clause_token1] = ACTIONS(1582),
    [anon_sym_LT] = ACTIONS(1584),
    [anon_sym_GT] = ACTIONS(1584),
    [aux_sym_select_token1] = ACTIONS(1582),
    [aux_sym_insert_statement_token1] = ACTIONS(1582),
    [aux_sym_truncate_statement_token1] = ACTIONS(1582),
    [aux_sym_update_statement_token1] = ACTIONS(1582),
    [aux_sym_merge_statement_token1] = ACTIONS(1582),
    [aux_sym_grant_statement_token1] = ACTIONS(1582),
    [aux_sym_revoke_statement_token1] = ACTIONS(1582),
    [aux_sym_export_data_statement_token1] = ACTIONS(1582),
    [aux_sym_load_data_statement_token1] = ACTIONS(1582),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1582),
    [anon_sym_PLUS] = ACTIONS(1582),
    [anon_sym_DASH] = ACTIONS(1584),
    [anon_sym_STAR] = ACTIONS(1582),
    [anon_sym_SLASH] = ACTIONS(1584),
    [anon_sym_PIPE_PIPE] = ACTIONS(1582),
    [anon_sym_LT_EQ] = ACTIONS(1582),
    [anon_sym_LT_GT] = ACTIONS(1582),
    [anon_sym_GT_EQ] = ACTIONS(1582),
    [anon_sym_BANG_EQ] = ACTIONS(1582),
    [anon_sym_LT_LT] = ACTIONS(1582),
    [anon_sym_GT_GT] = ACTIONS(1582),
    [anon_sym_AMP] = ACTIONS(1582),
    [anon_sym_CARET] = ACTIONS(1582),
    [anon_sym_PIPE] = ACTIONS(1584),
  },
  [4363] = {
    [ts_builtin_sym_end] = ACTIONS(1606),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1606),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1606),
    [aux_sym_keyword_replace_token1] = ACTIONS(1606),
    [aux_sym__keyword_alter_token1] = ACTIONS(1606),
    [aux_sym__keyword_delete_token1] = ACTIONS(1606),
    [aux_sym__keyword_begin_token1] = ACTIONS(1606),
    [aux_sym__keyword_end_token1] = ACTIONS(1606),
    [aux_sym__keyword_between_token1] = ACTIONS(1606),
    [aux_sym__keyword_when_token1] = ACTIONS(1606),
    [aux_sym__keyword_else_token1] = ACTIONS(1608),
    [aux_sym__keyword_is_token1] = ACTIONS(1606),
    [aux_sym__keyword_in_token1] = ACTIONS(1608),
    [aux_sym__keyword_and_token1] = ACTIONS(1606),
    [aux_sym__keyword_like_token1] = ACTIONS(1606),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1606),
    [aux_sym__keyword_as_token1] = ACTIONS(1608),
    [aux_sym__keyword_for_token1] = ACTIONS(1606),
    [anon_sym_SEMI] = ACTIONS(1606),
    [aux_sym_declare_statement_token1] = ACTIONS(1606),
    [anon_sym_COMMA] = ACTIONS(1606),
    [aux_sym_set_statement_token1] = ACTIONS(1606),
    [anon_sym_LPAREN] = ACTIONS(1606),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1606),
    [aux_sym_return_satement_token1] = ACTIONS(1606),
    [aux_sym_call_statement_token1] = ACTIONS(1606),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1606),
    [aux_sym_if_statement_token1] = ACTIONS(1606),
    [aux_sym_loop_statement_token1] = ACTIONS(1606),
    [aux_sym_repeat_statement_token1] = ACTIONS(1606),
    [aux_sym_while_statement_token1] = ACTIONS(1606),
    [aux_sym_break_statement_token1] = ACTIONS(1606),
    [aux_sym_leave_statement_token1] = ACTIONS(1606),
    [aux_sym_continue_statement_token1] = ACTIONS(1606),
    [aux_sym_iterate_statement_token1] = ACTIONS(1606),
    [aux_sym_raise_statement_token1] = ACTIONS(1606),
    [anon_sym_EQ] = ACTIONS(1606),
    [aux_sym_assert_statement_token1] = ACTIONS(1606),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1606),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1606),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1606),
    [aux_sym_option_clause_token1] = ACTIONS(1606),
    [anon_sym_LT] = ACTIONS(1608),
    [anon_sym_GT] = ACTIONS(1608),
    [aux_sym_select_token1] = ACTIONS(1606),
    [aux_sym_insert_statement_token1] = ACTIONS(1606),
    [aux_sym_truncate_statement_token1] = ACTIONS(1606),
    [aux_sym_update_statement_token1] = ACTIONS(1606),
    [aux_sym_merge_statement_token1] = ACTIONS(1606),
    [aux_sym_grant_statement_token1] = ACTIONS(1606),
    [aux_sym_revoke_statement_token1] = ACTIONS(1606),
    [aux_sym_export_data_statement_token1] = ACTIONS(1606),
    [aux_sym_load_data_statement_token1] = ACTIONS(1606),
    [anon_sym_LBRACK] = ACTIONS(1606),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1606),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_STAR] = ACTIONS(1606),
    [anon_sym_SLASH] = ACTIONS(1608),
    [anon_sym_PIPE_PIPE] = ACTIONS(1606),
    [anon_sym_LT_EQ] = ACTIONS(1606),
    [anon_sym_LT_GT] = ACTIONS(1606),
    [anon_sym_GT_EQ] = ACTIONS(1606),
    [anon_sym_BANG_EQ] = ACTIONS(1606),
    [anon_sym_LT_LT] = ACTIONS(1606),
    [anon_sym_GT_GT] = ACTIONS(1606),
    [anon_sym_AMP] = ACTIONS(1606),
    [anon_sym_CARET] = ACTIONS(1606),
    [anon_sym_PIPE] = ACTIONS(1608),
  },
  [4364] = {
    [ts_builtin_sym_end] = ACTIONS(1680),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1680),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1680),
    [aux_sym_keyword_replace_token1] = ACTIONS(1680),
    [aux_sym__keyword_alter_token1] = ACTIONS(1680),
    [aux_sym__keyword_delete_token1] = ACTIONS(1680),
    [aux_sym__keyword_begin_token1] = ACTIONS(1680),
    [aux_sym__keyword_end_token1] = ACTIONS(1680),
    [aux_sym__keyword_between_token1] = ACTIONS(1680),
    [aux_sym__keyword_when_token1] = ACTIONS(1680),
    [aux_sym__keyword_else_token1] = ACTIONS(1682),
    [aux_sym__keyword_is_token1] = ACTIONS(1680),
    [aux_sym__keyword_in_token1] = ACTIONS(1682),
    [aux_sym__keyword_and_token1] = ACTIONS(1680),
    [aux_sym__keyword_like_token1] = ACTIONS(1680),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1680),
    [aux_sym__keyword_as_token1] = ACTIONS(1682),
    [aux_sym__keyword_for_token1] = ACTIONS(1680),
    [anon_sym_SEMI] = ACTIONS(1680),
    [aux_sym_declare_statement_token1] = ACTIONS(1680),
    [anon_sym_COMMA] = ACTIONS(1680),
    [aux_sym_set_statement_token1] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1680),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1680),
    [aux_sym_return_satement_token1] = ACTIONS(1680),
    [aux_sym_call_statement_token1] = ACTIONS(1680),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1680),
    [aux_sym_if_statement_token1] = ACTIONS(1680),
    [aux_sym_loop_statement_token1] = ACTIONS(1680),
    [aux_sym_repeat_statement_token1] = ACTIONS(1680),
    [aux_sym_while_statement_token1] = ACTIONS(1680),
    [aux_sym_break_statement_token1] = ACTIONS(1680),
    [aux_sym_leave_statement_token1] = ACTIONS(1680),
    [aux_sym_continue_statement_token1] = ACTIONS(1680),
    [aux_sym_iterate_statement_token1] = ACTIONS(1680),
    [aux_sym_raise_statement_token1] = ACTIONS(1680),
    [anon_sym_EQ] = ACTIONS(1680),
    [aux_sym_assert_statement_token1] = ACTIONS(1680),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1680),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1680),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1680),
    [aux_sym_option_clause_token1] = ACTIONS(1680),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_GT] = ACTIONS(1682),
    [aux_sym_select_token1] = ACTIONS(1680),
    [aux_sym_insert_statement_token1] = ACTIONS(1680),
    [aux_sym_truncate_statement_token1] = ACTIONS(1680),
    [aux_sym_update_statement_token1] = ACTIONS(1680),
    [aux_sym_merge_statement_token1] = ACTIONS(1680),
    [aux_sym_grant_statement_token1] = ACTIONS(1680),
    [aux_sym_revoke_statement_token1] = ACTIONS(1680),
    [aux_sym_export_data_statement_token1] = ACTIONS(1680),
    [aux_sym_load_data_statement_token1] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1680),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(1680),
    [anon_sym_SLASH] = ACTIONS(1682),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_LT_GT] = ACTIONS(1680),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1680),
    [anon_sym_AMP] = ACTIONS(1680),
    [anon_sym_CARET] = ACTIONS(1680),
    [anon_sym_PIPE] = ACTIONS(1682),
  },
  [4365] = {
    [ts_builtin_sym_end] = ACTIONS(1688),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1688),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1688),
    [aux_sym_keyword_replace_token1] = ACTIONS(1688),
    [aux_sym__keyword_alter_token1] = ACTIONS(1688),
    [aux_sym__keyword_delete_token1] = ACTIONS(1688),
    [aux_sym__keyword_begin_token1] = ACTIONS(1688),
    [aux_sym__keyword_end_token1] = ACTIONS(1688),
    [aux_sym__keyword_between_token1] = ACTIONS(1688),
    [aux_sym__keyword_when_token1] = ACTIONS(1688),
    [aux_sym__keyword_else_token1] = ACTIONS(1690),
    [aux_sym__keyword_is_token1] = ACTIONS(1688),
    [aux_sym__keyword_in_token1] = ACTIONS(1690),
    [aux_sym__keyword_and_token1] = ACTIONS(1688),
    [aux_sym__keyword_like_token1] = ACTIONS(1688),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1688),
    [aux_sym__keyword_as_token1] = ACTIONS(1690),
    [aux_sym__keyword_for_token1] = ACTIONS(1688),
    [anon_sym_SEMI] = ACTIONS(1688),
    [aux_sym_declare_statement_token1] = ACTIONS(1688),
    [anon_sym_COMMA] = ACTIONS(1688),
    [aux_sym_set_statement_token1] = ACTIONS(1688),
    [anon_sym_LPAREN] = ACTIONS(1688),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1688),
    [aux_sym_return_satement_token1] = ACTIONS(1688),
    [aux_sym_call_statement_token1] = ACTIONS(1688),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1688),
    [aux_sym_if_statement_token1] = ACTIONS(1688),
    [aux_sym_loop_statement_token1] = ACTIONS(1688),
    [aux_sym_repeat_statement_token1] = ACTIONS(1688),
    [aux_sym_while_statement_token1] = ACTIONS(1688),
    [aux_sym_break_statement_token1] = ACTIONS(1688),
    [aux_sym_leave_statement_token1] = ACTIONS(1688),
    [aux_sym_continue_statement_token1] = ACTIONS(1688),
    [aux_sym_iterate_statement_token1] = ACTIONS(1688),
    [aux_sym_raise_statement_token1] = ACTIONS(1688),
    [anon_sym_EQ] = ACTIONS(1688),
    [aux_sym_assert_statement_token1] = ACTIONS(1688),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1688),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1688),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1688),
    [aux_sym_option_clause_token1] = ACTIONS(1688),
    [anon_sym_LT] = ACTIONS(1690),
    [anon_sym_GT] = ACTIONS(1690),
    [aux_sym_select_token1] = ACTIONS(1688),
    [aux_sym_insert_statement_token1] = ACTIONS(1688),
    [aux_sym_truncate_statement_token1] = ACTIONS(1688),
    [aux_sym_update_statement_token1] = ACTIONS(1688),
    [aux_sym_merge_statement_token1] = ACTIONS(1688),
    [aux_sym_grant_statement_token1] = ACTIONS(1688),
    [aux_sym_revoke_statement_token1] = ACTIONS(1688),
    [aux_sym_export_data_statement_token1] = ACTIONS(1688),
    [aux_sym_load_data_statement_token1] = ACTIONS(1688),
    [anon_sym_LBRACK] = ACTIONS(1688),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1688),
    [anon_sym_PLUS] = ACTIONS(1688),
    [anon_sym_DASH] = ACTIONS(1690),
    [anon_sym_STAR] = ACTIONS(1688),
    [anon_sym_SLASH] = ACTIONS(1690),
    [anon_sym_PIPE_PIPE] = ACTIONS(1688),
    [anon_sym_LT_EQ] = ACTIONS(1688),
    [anon_sym_LT_GT] = ACTIONS(1688),
    [anon_sym_GT_EQ] = ACTIONS(1688),
    [anon_sym_BANG_EQ] = ACTIONS(1688),
    [anon_sym_LT_LT] = ACTIONS(1688),
    [anon_sym_GT_GT] = ACTIONS(1688),
    [anon_sym_AMP] = ACTIONS(1688),
    [anon_sym_CARET] = ACTIONS(1688),
    [anon_sym_PIPE] = ACTIONS(1690),
  },
  [4366] = {
    [ts_builtin_sym_end] = ACTIONS(1692),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1692),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1692),
    [aux_sym_keyword_replace_token1] = ACTIONS(1692),
    [aux_sym__keyword_alter_token1] = ACTIONS(1692),
    [aux_sym__keyword_delete_token1] = ACTIONS(1692),
    [aux_sym__keyword_begin_token1] = ACTIONS(1692),
    [aux_sym__keyword_end_token1] = ACTIONS(1692),
    [aux_sym__keyword_between_token1] = ACTIONS(1692),
    [aux_sym__keyword_when_token1] = ACTIONS(1692),
    [aux_sym__keyword_else_token1] = ACTIONS(1694),
    [aux_sym__keyword_is_token1] = ACTIONS(1692),
    [aux_sym__keyword_in_token1] = ACTIONS(1694),
    [aux_sym__keyword_and_token1] = ACTIONS(1692),
    [aux_sym__keyword_like_token1] = ACTIONS(1692),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1692),
    [aux_sym__keyword_as_token1] = ACTIONS(1694),
    [aux_sym__keyword_for_token1] = ACTIONS(1692),
    [anon_sym_SEMI] = ACTIONS(1692),
    [aux_sym_declare_statement_token1] = ACTIONS(1692),
    [anon_sym_COMMA] = ACTIONS(1692),
    [aux_sym_set_statement_token1] = ACTIONS(1692),
    [anon_sym_LPAREN] = ACTIONS(1692),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1692),
    [aux_sym_return_satement_token1] = ACTIONS(1692),
    [aux_sym_call_statement_token1] = ACTIONS(1692),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1692),
    [aux_sym_if_statement_token1] = ACTIONS(1692),
    [aux_sym_loop_statement_token1] = ACTIONS(1692),
    [aux_sym_repeat_statement_token1] = ACTIONS(1692),
    [aux_sym_while_statement_token1] = ACTIONS(1692),
    [aux_sym_break_statement_token1] = ACTIONS(1692),
    [aux_sym_leave_statement_token1] = ACTIONS(1692),
    [aux_sym_continue_statement_token1] = ACTIONS(1692),
    [aux_sym_iterate_statement_token1] = ACTIONS(1692),
    [aux_sym_raise_statement_token1] = ACTIONS(1692),
    [anon_sym_EQ] = ACTIONS(1692),
    [aux_sym_assert_statement_token1] = ACTIONS(1692),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1692),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1692),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1692),
    [aux_sym_option_clause_token1] = ACTIONS(1692),
    [anon_sym_LT] = ACTIONS(1694),
    [anon_sym_GT] = ACTIONS(1694),
    [aux_sym_select_token1] = ACTIONS(1692),
    [aux_sym_insert_statement_token1] = ACTIONS(1692),
    [aux_sym_truncate_statement_token1] = ACTIONS(1692),
    [aux_sym_update_statement_token1] = ACTIONS(1692),
    [aux_sym_merge_statement_token1] = ACTIONS(1692),
    [aux_sym_grant_statement_token1] = ACTIONS(1692),
    [aux_sym_revoke_statement_token1] = ACTIONS(1692),
    [aux_sym_export_data_statement_token1] = ACTIONS(1692),
    [aux_sym_load_data_statement_token1] = ACTIONS(1692),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1692),
    [anon_sym_PLUS] = ACTIONS(1692),
    [anon_sym_DASH] = ACTIONS(1694),
    [anon_sym_STAR] = ACTIONS(1692),
    [anon_sym_SLASH] = ACTIONS(1694),
    [anon_sym_PIPE_PIPE] = ACTIONS(1692),
    [anon_sym_LT_EQ] = ACTIONS(1692),
    [anon_sym_LT_GT] = ACTIONS(1692),
    [anon_sym_GT_EQ] = ACTIONS(1692),
    [anon_sym_BANG_EQ] = ACTIONS(1692),
    [anon_sym_LT_LT] = ACTIONS(1692),
    [anon_sym_GT_GT] = ACTIONS(1692),
    [anon_sym_AMP] = ACTIONS(1692),
    [anon_sym_CARET] = ACTIONS(1692),
    [anon_sym_PIPE] = ACTIONS(1694),
  },
  [4367] = {
    [sym__keyword_as] = STATE(14520),
    [ts_builtin_sym_end] = ACTIONS(1474),
    [sym__unquoted_identifier] = ACTIONS(1476),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1476),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1476),
    [aux_sym_keyword_replace_token1] = ACTIONS(1476),
    [aux_sym__keyword_alter_token1] = ACTIONS(1476),
    [aux_sym__keyword_delete_token1] = ACTIONS(1476),
    [aux_sym__keyword_begin_token1] = ACTIONS(1476),
    [aux_sym__keyword_between_token1] = ACTIONS(1476),
    [aux_sym__keyword_is_token1] = ACTIONS(1476),
    [aux_sym__keyword_in_token1] = ACTIONS(1476),
    [aux_sym__keyword_and_token1] = ACTIONS(1476),
    [aux_sym__keyword_like_token1] = ACTIONS(1476),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1476),
    [aux_sym__keyword_as_token1] = ACTIONS(1476),
    [aux_sym__keyword_date_token1] = ACTIONS(1476),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1476),
    [aux_sym__keyword_time_token1] = ACTIONS(1476),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1476),
    [aux_sym__keyword_for_token1] = ACTIONS(1476),
    [anon_sym_SEMI] = ACTIONS(1474),
    [aux_sym_declare_statement_token1] = ACTIONS(1476),
    [anon_sym_COMMA] = ACTIONS(1474),
    [aux_sym_set_statement_token1] = ACTIONS(1476),
    [anon_sym_LPAREN] = ACTIONS(1474),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1476),
    [aux_sym_return_satement_token1] = ACTIONS(1476),
    [aux_sym_call_statement_token1] = ACTIONS(1476),
    [aux_sym_loop_statement_token1] = ACTIONS(1476),
    [aux_sym_while_statement_token1] = ACTIONS(1476),
    [aux_sym_break_statement_token1] = ACTIONS(1476),
    [aux_sym_leave_statement_token1] = ACTIONS(1476),
    [aux_sym_continue_statement_token1] = ACTIONS(1476),
    [aux_sym_iterate_statement_token1] = ACTIONS(1476),
    [aux_sym_raise_statement_token1] = ACTIONS(1476),
    [anon_sym_EQ] = ACTIONS(1474),
    [aux_sym_assert_statement_token1] = ACTIONS(1476),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1476),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1476),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1476),
    [anon_sym_LT] = ACTIONS(1476),
    [anon_sym_GT] = ACTIONS(1476),
    [aux_sym_select_token1] = ACTIONS(1476),
    [aux_sym_insert_statement_token1] = ACTIONS(1476),
    [aux_sym_truncate_statement_token1] = ACTIONS(1476),
    [aux_sym_update_statement_token1] = ACTIONS(1476),
    [aux_sym_merge_statement_token1] = ACTIONS(1476),
    [aux_sym_grant_statement_token1] = ACTIONS(1476),
    [aux_sym_revoke_statement_token1] = ACTIONS(1476),
    [aux_sym_export_data_statement_token1] = ACTIONS(1476),
    [aux_sym_load_data_statement_token1] = ACTIONS(1476),
    [anon_sym_LBRACK] = ACTIONS(1474),
    [sym__quoted_identifier] = ACTIONS(1474),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1474),
    [anon_sym_PLUS] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1476),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_SLASH] = ACTIONS(1476),
    [anon_sym_PIPE_PIPE] = ACTIONS(1474),
    [anon_sym_LT_EQ] = ACTIONS(1474),
    [anon_sym_LT_GT] = ACTIONS(1474),
    [anon_sym_GT_EQ] = ACTIONS(1474),
    [anon_sym_BANG_EQ] = ACTIONS(1474),
    [anon_sym_LT_LT] = ACTIONS(1474),
    [anon_sym_GT_GT] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_CARET] = ACTIONS(1474),
    [anon_sym_PIPE] = ACTIONS(1476),
  },
  [4368] = {
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [aux_sym_option_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(917),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PIPE_PIPE] = ACTIONS(917),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [4369] = {
    [ts_builtin_sym_end] = ACTIONS(1610),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1610),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1610),
    [aux_sym_keyword_replace_token1] = ACTIONS(1610),
    [aux_sym__keyword_alter_token1] = ACTIONS(1610),
    [aux_sym__keyword_delete_token1] = ACTIONS(1610),
    [aux_sym__keyword_begin_token1] = ACTIONS(1610),
    [aux_sym__keyword_end_token1] = ACTIONS(1610),
    [aux_sym__keyword_between_token1] = ACTIONS(1610),
    [aux_sym__keyword_when_token1] = ACTIONS(1610),
    [aux_sym__keyword_else_token1] = ACTIONS(1612),
    [aux_sym__keyword_is_token1] = ACTIONS(1610),
    [aux_sym__keyword_in_token1] = ACTIONS(1612),
    [aux_sym__keyword_and_token1] = ACTIONS(1610),
    [aux_sym__keyword_like_token1] = ACTIONS(1610),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1610),
    [aux_sym__keyword_as_token1] = ACTIONS(1612),
    [aux_sym__keyword_for_token1] = ACTIONS(1610),
    [anon_sym_SEMI] = ACTIONS(1610),
    [aux_sym_declare_statement_token1] = ACTIONS(1610),
    [anon_sym_COMMA] = ACTIONS(1610),
    [aux_sym_set_statement_token1] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1610),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1610),
    [aux_sym_return_satement_token1] = ACTIONS(1610),
    [aux_sym_call_statement_token1] = ACTIONS(1610),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1610),
    [aux_sym_if_statement_token1] = ACTIONS(1610),
    [aux_sym_loop_statement_token1] = ACTIONS(1610),
    [aux_sym_repeat_statement_token1] = ACTIONS(1610),
    [aux_sym_while_statement_token1] = ACTIONS(1610),
    [aux_sym_break_statement_token1] = ACTIONS(1610),
    [aux_sym_leave_statement_token1] = ACTIONS(1610),
    [aux_sym_continue_statement_token1] = ACTIONS(1610),
    [aux_sym_iterate_statement_token1] = ACTIONS(1610),
    [aux_sym_raise_statement_token1] = ACTIONS(1610),
    [anon_sym_EQ] = ACTIONS(1610),
    [aux_sym_assert_statement_token1] = ACTIONS(1610),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1610),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1610),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1610),
    [aux_sym_option_clause_token1] = ACTIONS(1610),
    [anon_sym_LT] = ACTIONS(1612),
    [anon_sym_GT] = ACTIONS(1612),
    [aux_sym_select_token1] = ACTIONS(1610),
    [aux_sym_insert_statement_token1] = ACTIONS(1610),
    [aux_sym_truncate_statement_token1] = ACTIONS(1610),
    [aux_sym_update_statement_token1] = ACTIONS(1610),
    [aux_sym_merge_statement_token1] = ACTIONS(1610),
    [aux_sym_grant_statement_token1] = ACTIONS(1610),
    [aux_sym_revoke_statement_token1] = ACTIONS(1610),
    [aux_sym_export_data_statement_token1] = ACTIONS(1610),
    [aux_sym_load_data_statement_token1] = ACTIONS(1610),
    [anon_sym_LBRACK] = ACTIONS(1610),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1610),
    [anon_sym_PLUS] = ACTIONS(1610),
    [anon_sym_DASH] = ACTIONS(1612),
    [anon_sym_STAR] = ACTIONS(1610),
    [anon_sym_SLASH] = ACTIONS(1612),
    [anon_sym_PIPE_PIPE] = ACTIONS(1610),
    [anon_sym_LT_EQ] = ACTIONS(1610),
    [anon_sym_LT_GT] = ACTIONS(1610),
    [anon_sym_GT_EQ] = ACTIONS(1610),
    [anon_sym_BANG_EQ] = ACTIONS(1610),
    [anon_sym_LT_LT] = ACTIONS(1610),
    [anon_sym_GT_GT] = ACTIONS(1610),
    [anon_sym_AMP] = ACTIONS(1610),
    [anon_sym_CARET] = ACTIONS(1610),
    [anon_sym_PIPE] = ACTIONS(1612),
  },
  [4370] = {
    [sym_analytics_clause] = STATE(4813),
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1442),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_into_clause_token1] = ACTIONS(1442),
    [aux_sym_using_clause_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [4371] = {
    [ts_builtin_sym_end] = ACTIONS(1614),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1614),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1614),
    [aux_sym_keyword_replace_token1] = ACTIONS(1614),
    [aux_sym__keyword_alter_token1] = ACTIONS(1614),
    [aux_sym__keyword_delete_token1] = ACTIONS(1614),
    [aux_sym__keyword_begin_token1] = ACTIONS(1614),
    [aux_sym__keyword_end_token1] = ACTIONS(1614),
    [aux_sym__keyword_between_token1] = ACTIONS(1614),
    [aux_sym__keyword_when_token1] = ACTIONS(1614),
    [aux_sym__keyword_else_token1] = ACTIONS(1616),
    [aux_sym__keyword_is_token1] = ACTIONS(1614),
    [aux_sym__keyword_in_token1] = ACTIONS(1616),
    [aux_sym__keyword_and_token1] = ACTIONS(1614),
    [aux_sym__keyword_like_token1] = ACTIONS(1614),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1614),
    [aux_sym__keyword_as_token1] = ACTIONS(1616),
    [aux_sym__keyword_for_token1] = ACTIONS(1614),
    [anon_sym_SEMI] = ACTIONS(1614),
    [aux_sym_declare_statement_token1] = ACTIONS(1614),
    [anon_sym_COMMA] = ACTIONS(1614),
    [aux_sym_set_statement_token1] = ACTIONS(1614),
    [anon_sym_LPAREN] = ACTIONS(1614),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1614),
    [aux_sym_return_satement_token1] = ACTIONS(1614),
    [aux_sym_call_statement_token1] = ACTIONS(1614),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1614),
    [aux_sym_if_statement_token1] = ACTIONS(1614),
    [aux_sym_loop_statement_token1] = ACTIONS(1614),
    [aux_sym_repeat_statement_token1] = ACTIONS(1614),
    [aux_sym_while_statement_token1] = ACTIONS(1614),
    [aux_sym_break_statement_token1] = ACTIONS(1614),
    [aux_sym_leave_statement_token1] = ACTIONS(1614),
    [aux_sym_continue_statement_token1] = ACTIONS(1614),
    [aux_sym_iterate_statement_token1] = ACTIONS(1614),
    [aux_sym_raise_statement_token1] = ACTIONS(1614),
    [anon_sym_EQ] = ACTIONS(1614),
    [aux_sym_assert_statement_token1] = ACTIONS(1614),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1614),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1614),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1614),
    [aux_sym_option_clause_token1] = ACTIONS(1614),
    [anon_sym_LT] = ACTIONS(1616),
    [anon_sym_GT] = ACTIONS(1616),
    [aux_sym_select_token1] = ACTIONS(1614),
    [aux_sym_insert_statement_token1] = ACTIONS(1614),
    [aux_sym_truncate_statement_token1] = ACTIONS(1614),
    [aux_sym_update_statement_token1] = ACTIONS(1614),
    [aux_sym_merge_statement_token1] = ACTIONS(1614),
    [aux_sym_grant_statement_token1] = ACTIONS(1614),
    [aux_sym_revoke_statement_token1] = ACTIONS(1614),
    [aux_sym_export_data_statement_token1] = ACTIONS(1614),
    [aux_sym_load_data_statement_token1] = ACTIONS(1614),
    [anon_sym_LBRACK] = ACTIONS(1614),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1614),
    [anon_sym_PLUS] = ACTIONS(1614),
    [anon_sym_DASH] = ACTIONS(1616),
    [anon_sym_STAR] = ACTIONS(1614),
    [anon_sym_SLASH] = ACTIONS(1616),
    [anon_sym_PIPE_PIPE] = ACTIONS(1614),
    [anon_sym_LT_EQ] = ACTIONS(1614),
    [anon_sym_LT_GT] = ACTIONS(1614),
    [anon_sym_GT_EQ] = ACTIONS(1614),
    [anon_sym_BANG_EQ] = ACTIONS(1614),
    [anon_sym_LT_LT] = ACTIONS(1614),
    [anon_sym_GT_GT] = ACTIONS(1614),
    [anon_sym_AMP] = ACTIONS(1614),
    [anon_sym_CARET] = ACTIONS(1614),
    [anon_sym_PIPE] = ACTIONS(1616),
  },
  [4372] = {
    [ts_builtin_sym_end] = ACTIONS(1748),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1748),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1748),
    [aux_sym_keyword_replace_token1] = ACTIONS(1748),
    [aux_sym__keyword_alter_token1] = ACTIONS(1748),
    [aux_sym__keyword_delete_token1] = ACTIONS(1748),
    [aux_sym__keyword_begin_token1] = ACTIONS(1748),
    [aux_sym__keyword_end_token1] = ACTIONS(1748),
    [aux_sym__keyword_between_token1] = ACTIONS(1748),
    [aux_sym__keyword_when_token1] = ACTIONS(1748),
    [aux_sym__keyword_else_token1] = ACTIONS(1750),
    [aux_sym__keyword_is_token1] = ACTIONS(1748),
    [aux_sym__keyword_in_token1] = ACTIONS(1750),
    [aux_sym__keyword_and_token1] = ACTIONS(1748),
    [aux_sym__keyword_like_token1] = ACTIONS(1748),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1748),
    [aux_sym__keyword_as_token1] = ACTIONS(1750),
    [aux_sym__keyword_for_token1] = ACTIONS(1748),
    [anon_sym_SEMI] = ACTIONS(1748),
    [aux_sym_declare_statement_token1] = ACTIONS(1748),
    [anon_sym_COMMA] = ACTIONS(1748),
    [aux_sym_set_statement_token1] = ACTIONS(1748),
    [anon_sym_LPAREN] = ACTIONS(1748),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1748),
    [aux_sym_return_satement_token1] = ACTIONS(1748),
    [aux_sym_call_statement_token1] = ACTIONS(1748),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1748),
    [aux_sym_if_statement_token1] = ACTIONS(1748),
    [aux_sym_loop_statement_token1] = ACTIONS(1748),
    [aux_sym_repeat_statement_token1] = ACTIONS(1748),
    [aux_sym_while_statement_token1] = ACTIONS(1748),
    [aux_sym_break_statement_token1] = ACTIONS(1748),
    [aux_sym_leave_statement_token1] = ACTIONS(1748),
    [aux_sym_continue_statement_token1] = ACTIONS(1748),
    [aux_sym_iterate_statement_token1] = ACTIONS(1748),
    [aux_sym_raise_statement_token1] = ACTIONS(1748),
    [anon_sym_EQ] = ACTIONS(1748),
    [aux_sym_assert_statement_token1] = ACTIONS(1748),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1748),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1748),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1748),
    [aux_sym_option_clause_token1] = ACTIONS(1748),
    [anon_sym_LT] = ACTIONS(1750),
    [anon_sym_GT] = ACTIONS(1750),
    [aux_sym_select_token1] = ACTIONS(1748),
    [aux_sym_insert_statement_token1] = ACTIONS(1748),
    [aux_sym_truncate_statement_token1] = ACTIONS(1748),
    [aux_sym_update_statement_token1] = ACTIONS(1748),
    [aux_sym_merge_statement_token1] = ACTIONS(1748),
    [aux_sym_grant_statement_token1] = ACTIONS(1748),
    [aux_sym_revoke_statement_token1] = ACTIONS(1748),
    [aux_sym_export_data_statement_token1] = ACTIONS(1748),
    [aux_sym_load_data_statement_token1] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(1748),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1748),
    [anon_sym_PLUS] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1750),
    [anon_sym_STAR] = ACTIONS(1748),
    [anon_sym_SLASH] = ACTIONS(1750),
    [anon_sym_PIPE_PIPE] = ACTIONS(1748),
    [anon_sym_LT_EQ] = ACTIONS(1748),
    [anon_sym_LT_GT] = ACTIONS(1748),
    [anon_sym_GT_EQ] = ACTIONS(1748),
    [anon_sym_BANG_EQ] = ACTIONS(1748),
    [anon_sym_LT_LT] = ACTIONS(1748),
    [anon_sym_GT_GT] = ACTIONS(1748),
    [anon_sym_AMP] = ACTIONS(1748),
    [anon_sym_CARET] = ACTIONS(1748),
    [anon_sym_PIPE] = ACTIONS(1750),
  },
  [4373] = {
    [ts_builtin_sym_end] = ACTIONS(1618),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1618),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1618),
    [aux_sym_keyword_replace_token1] = ACTIONS(1618),
    [aux_sym__keyword_alter_token1] = ACTIONS(1618),
    [aux_sym__keyword_delete_token1] = ACTIONS(1618),
    [aux_sym__keyword_begin_token1] = ACTIONS(1618),
    [aux_sym__keyword_end_token1] = ACTIONS(1618),
    [aux_sym__keyword_between_token1] = ACTIONS(1618),
    [aux_sym__keyword_when_token1] = ACTIONS(1618),
    [aux_sym__keyword_else_token1] = ACTIONS(1620),
    [aux_sym__keyword_is_token1] = ACTIONS(1618),
    [aux_sym__keyword_in_token1] = ACTIONS(1620),
    [aux_sym__keyword_and_token1] = ACTIONS(1618),
    [aux_sym__keyword_like_token1] = ACTIONS(1618),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1618),
    [aux_sym__keyword_as_token1] = ACTIONS(1620),
    [aux_sym__keyword_for_token1] = ACTIONS(1618),
    [anon_sym_SEMI] = ACTIONS(1618),
    [aux_sym_declare_statement_token1] = ACTIONS(1618),
    [anon_sym_COMMA] = ACTIONS(1618),
    [aux_sym_set_statement_token1] = ACTIONS(1618),
    [anon_sym_LPAREN] = ACTIONS(1618),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1618),
    [aux_sym_return_satement_token1] = ACTIONS(1618),
    [aux_sym_call_statement_token1] = ACTIONS(1618),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1618),
    [aux_sym_if_statement_token1] = ACTIONS(1618),
    [aux_sym_loop_statement_token1] = ACTIONS(1618),
    [aux_sym_repeat_statement_token1] = ACTIONS(1618),
    [aux_sym_while_statement_token1] = ACTIONS(1618),
    [aux_sym_break_statement_token1] = ACTIONS(1618),
    [aux_sym_leave_statement_token1] = ACTIONS(1618),
    [aux_sym_continue_statement_token1] = ACTIONS(1618),
    [aux_sym_iterate_statement_token1] = ACTIONS(1618),
    [aux_sym_raise_statement_token1] = ACTIONS(1618),
    [anon_sym_EQ] = ACTIONS(1618),
    [aux_sym_assert_statement_token1] = ACTIONS(1618),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1618),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1618),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1618),
    [aux_sym_option_clause_token1] = ACTIONS(1618),
    [anon_sym_LT] = ACTIONS(1620),
    [anon_sym_GT] = ACTIONS(1620),
    [aux_sym_select_token1] = ACTIONS(1618),
    [aux_sym_insert_statement_token1] = ACTIONS(1618),
    [aux_sym_truncate_statement_token1] = ACTIONS(1618),
    [aux_sym_update_statement_token1] = ACTIONS(1618),
    [aux_sym_merge_statement_token1] = ACTIONS(1618),
    [aux_sym_grant_statement_token1] = ACTIONS(1618),
    [aux_sym_revoke_statement_token1] = ACTIONS(1618),
    [aux_sym_export_data_statement_token1] = ACTIONS(1618),
    [aux_sym_load_data_statement_token1] = ACTIONS(1618),
    [anon_sym_LBRACK] = ACTIONS(1618),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1618),
    [anon_sym_PLUS] = ACTIONS(1618),
    [anon_sym_DASH] = ACTIONS(1620),
    [anon_sym_STAR] = ACTIONS(1618),
    [anon_sym_SLASH] = ACTIONS(1620),
    [anon_sym_PIPE_PIPE] = ACTIONS(1618),
    [anon_sym_LT_EQ] = ACTIONS(1618),
    [anon_sym_LT_GT] = ACTIONS(1618),
    [anon_sym_GT_EQ] = ACTIONS(1618),
    [anon_sym_BANG_EQ] = ACTIONS(1618),
    [anon_sym_LT_LT] = ACTIONS(1618),
    [anon_sym_GT_GT] = ACTIONS(1618),
    [anon_sym_AMP] = ACTIONS(1618),
    [anon_sym_CARET] = ACTIONS(1618),
    [anon_sym_PIPE] = ACTIONS(1620),
  },
  [4374] = {
    [sym__keyword_between] = STATE(1819),
    [sym__keyword_is] = STATE(12068),
    [sym__keyword_in] = STATE(1558),
    [sym__keyword_not] = STATE(13100),
    [sym__keyword_and] = STATE(1533),
    [sym__keyword_or] = STATE(1532),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(2832),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(2832),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(2744),
    [aux_sym__keyword_alter_token1] = ACTIONS(2832),
    [aux_sym__keyword_delete_token1] = ACTIONS(2832),
    [aux_sym__keyword_begin_token1] = ACTIONS(2832),
    [aux_sym__keyword_between_token1] = ACTIONS(3302),
    [aux_sym__keyword_is_token1] = ACTIONS(3304),
    [aux_sym__keyword_in_token1] = ACTIONS(3306),
    [aux_sym__keyword_and_token1] = ACTIONS(3308),
    [aux_sym__keyword_like_token1] = ACTIONS(1007),
    [aux_sym__keyword_repeat_token1] = ACTIONS(2832),
    [aux_sym__keyword_for_token1] = ACTIONS(2832),
    [anon_sym_SEMI] = ACTIONS(2832),
    [aux_sym_declare_statement_token1] = ACTIONS(2832),
    [aux_sym_set_statement_token1] = ACTIONS(2832),
    [anon_sym_LPAREN] = ACTIONS(2832),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(2832),
    [aux_sym_return_satement_token1] = ACTIONS(2832),
    [aux_sym_call_statement_token1] = ACTIONS(2832),
    [aux_sym_loop_statement_token1] = ACTIONS(2832),
    [aux_sym_while_statement_token1] = ACTIONS(2832),
    [aux_sym_break_statement_token1] = ACTIONS(2832),
    [aux_sym_leave_statement_token1] = ACTIONS(2832),
    [aux_sym_continue_statement_token1] = ACTIONS(2832),
    [aux_sym_iterate_statement_token1] = ACTIONS(2832),
    [aux_sym_raise_statement_token1] = ACTIONS(2832),
    [anon_sym_EQ] = ACTIONS(3310),
    [aux_sym_assert_statement_token1] = ACTIONS(2832),
    [aux_sym_create_schema_statement_token1] = ACTIONS(2832),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(2832),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2832),
    [anon_sym_LT] = ACTIONS(3306),
    [anon_sym_GT] = ACTIONS(3306),
    [aux_sym_select_token1] = ACTIONS(2832),
    [aux_sym_insert_statement_token1] = ACTIONS(2832),
    [aux_sym_truncate_statement_token1] = ACTIONS(2832),
    [aux_sym_update_statement_token1] = ACTIONS(2832),
    [aux_sym_merge_statement_token1] = ACTIONS(2832),
    [aux_sym_grant_statement_token1] = ACTIONS(2832),
    [aux_sym_revoke_statement_token1] = ACTIONS(2832),
    [aux_sym_export_data_statement_token1] = ACTIONS(2832),
    [aux_sym_load_data_statement_token1] = ACTIONS(2832),
    [anon_sym_LBRACK] = ACTIONS(3056),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(3058),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_DASH] = ACTIONS(3314),
    [anon_sym_STAR] = ACTIONS(3316),
    [anon_sym_SLASH] = ACTIONS(3318),
    [anon_sym_PIPE_PIPE] = ACTIONS(3316),
    [anon_sym_LT_EQ] = ACTIONS(3310),
    [anon_sym_LT_GT] = ACTIONS(3310),
    [anon_sym_GT_EQ] = ACTIONS(3310),
    [anon_sym_BANG_EQ] = ACTIONS(3310),
    [anon_sym_LT_LT] = ACTIONS(3320),
    [anon_sym_GT_GT] = ACTIONS(3320),
    [anon_sym_AMP] = ACTIONS(3322),
    [anon_sym_CARET] = ACTIONS(3324),
    [anon_sym_PIPE] = ACTIONS(3326),
  },
  [4375] = {
    [ts_builtin_sym_end] = ACTIONS(1716),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1716),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1716),
    [aux_sym_keyword_replace_token1] = ACTIONS(1716),
    [aux_sym__keyword_alter_token1] = ACTIONS(1716),
    [aux_sym__keyword_delete_token1] = ACTIONS(1716),
    [aux_sym__keyword_begin_token1] = ACTIONS(1716),
    [aux_sym__keyword_end_token1] = ACTIONS(1716),
    [aux_sym__keyword_between_token1] = ACTIONS(1716),
    [aux_sym__keyword_when_token1] = ACTIONS(1716),
    [aux_sym__keyword_else_token1] = ACTIONS(1718),
    [aux_sym__keyword_is_token1] = ACTIONS(1716),
    [aux_sym__keyword_in_token1] = ACTIONS(1718),
    [aux_sym__keyword_and_token1] = ACTIONS(1716),
    [aux_sym__keyword_like_token1] = ACTIONS(1716),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1716),
    [aux_sym__keyword_as_token1] = ACTIONS(1718),
    [aux_sym__keyword_for_token1] = ACTIONS(1716),
    [anon_sym_SEMI] = ACTIONS(1716),
    [aux_sym_declare_statement_token1] = ACTIONS(1716),
    [anon_sym_COMMA] = ACTIONS(1716),
    [aux_sym_set_statement_token1] = ACTIONS(1716),
    [anon_sym_LPAREN] = ACTIONS(1716),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1716),
    [aux_sym_return_satement_token1] = ACTIONS(1716),
    [aux_sym_call_statement_token1] = ACTIONS(1716),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1716),
    [aux_sym_if_statement_token1] = ACTIONS(1716),
    [aux_sym_loop_statement_token1] = ACTIONS(1716),
    [aux_sym_repeat_statement_token1] = ACTIONS(1716),
    [aux_sym_while_statement_token1] = ACTIONS(1716),
    [aux_sym_break_statement_token1] = ACTIONS(1716),
    [aux_sym_leave_statement_token1] = ACTIONS(1716),
    [aux_sym_continue_statement_token1] = ACTIONS(1716),
    [aux_sym_iterate_statement_token1] = ACTIONS(1716),
    [aux_sym_raise_statement_token1] = ACTIONS(1716),
    [anon_sym_EQ] = ACTIONS(1716),
    [aux_sym_assert_statement_token1] = ACTIONS(1716),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1716),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1716),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1716),
    [aux_sym_option_clause_token1] = ACTIONS(1716),
    [anon_sym_LT] = ACTIONS(1718),
    [anon_sym_GT] = ACTIONS(1718),
    [aux_sym_select_token1] = ACTIONS(1716),
    [aux_sym_insert_statement_token1] = ACTIONS(1716),
    [aux_sym_truncate_statement_token1] = ACTIONS(1716),
    [aux_sym_update_statement_token1] = ACTIONS(1716),
    [aux_sym_merge_statement_token1] = ACTIONS(1716),
    [aux_sym_grant_statement_token1] = ACTIONS(1716),
    [aux_sym_revoke_statement_token1] = ACTIONS(1716),
    [aux_sym_export_data_statement_token1] = ACTIONS(1716),
    [aux_sym_load_data_statement_token1] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1716),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_DASH] = ACTIONS(1718),
    [anon_sym_STAR] = ACTIONS(1716),
    [anon_sym_SLASH] = ACTIONS(1718),
    [anon_sym_PIPE_PIPE] = ACTIONS(1716),
    [anon_sym_LT_EQ] = ACTIONS(1716),
    [anon_sym_LT_GT] = ACTIONS(1716),
    [anon_sym_GT_EQ] = ACTIONS(1716),
    [anon_sym_BANG_EQ] = ACTIONS(1716),
    [anon_sym_LT_LT] = ACTIONS(1716),
    [anon_sym_GT_GT] = ACTIONS(1716),
    [anon_sym_AMP] = ACTIONS(1716),
    [anon_sym_CARET] = ACTIONS(1716),
    [anon_sym_PIPE] = ACTIONS(1718),
  },
  [4376] = {
    [ts_builtin_sym_end] = ACTIONS(1622),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1622),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1622),
    [aux_sym_keyword_replace_token1] = ACTIONS(1622),
    [aux_sym__keyword_alter_token1] = ACTIONS(1622),
    [aux_sym__keyword_delete_token1] = ACTIONS(1622),
    [aux_sym__keyword_begin_token1] = ACTIONS(1622),
    [aux_sym__keyword_end_token1] = ACTIONS(1622),
    [aux_sym__keyword_between_token1] = ACTIONS(1622),
    [aux_sym__keyword_when_token1] = ACTIONS(1622),
    [aux_sym__keyword_else_token1] = ACTIONS(1624),
    [aux_sym__keyword_is_token1] = ACTIONS(1622),
    [aux_sym__keyword_in_token1] = ACTIONS(1624),
    [aux_sym__keyword_and_token1] = ACTIONS(1622),
    [aux_sym__keyword_like_token1] = ACTIONS(1622),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1622),
    [aux_sym__keyword_as_token1] = ACTIONS(1624),
    [aux_sym__keyword_for_token1] = ACTIONS(1622),
    [anon_sym_SEMI] = ACTIONS(1622),
    [aux_sym_declare_statement_token1] = ACTIONS(1622),
    [anon_sym_COMMA] = ACTIONS(1622),
    [aux_sym_set_statement_token1] = ACTIONS(1622),
    [anon_sym_LPAREN] = ACTIONS(1622),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1622),
    [aux_sym_return_satement_token1] = ACTIONS(1622),
    [aux_sym_call_statement_token1] = ACTIONS(1622),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1622),
    [aux_sym_if_statement_token1] = ACTIONS(1622),
    [aux_sym_loop_statement_token1] = ACTIONS(1622),
    [aux_sym_repeat_statement_token1] = ACTIONS(1622),
    [aux_sym_while_statement_token1] = ACTIONS(1622),
    [aux_sym_break_statement_token1] = ACTIONS(1622),
    [aux_sym_leave_statement_token1] = ACTIONS(1622),
    [aux_sym_continue_statement_token1] = ACTIONS(1622),
    [aux_sym_iterate_statement_token1] = ACTIONS(1622),
    [aux_sym_raise_statement_token1] = ACTIONS(1622),
    [anon_sym_EQ] = ACTIONS(1622),
    [aux_sym_assert_statement_token1] = ACTIONS(1622),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1622),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1622),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1622),
    [aux_sym_option_clause_token1] = ACTIONS(1622),
    [anon_sym_LT] = ACTIONS(1624),
    [anon_sym_GT] = ACTIONS(1624),
    [aux_sym_select_token1] = ACTIONS(1622),
    [aux_sym_insert_statement_token1] = ACTIONS(1622),
    [aux_sym_truncate_statement_token1] = ACTIONS(1622),
    [aux_sym_update_statement_token1] = ACTIONS(1622),
    [aux_sym_merge_statement_token1] = ACTIONS(1622),
    [aux_sym_grant_statement_token1] = ACTIONS(1622),
    [aux_sym_revoke_statement_token1] = ACTIONS(1622),
    [aux_sym_export_data_statement_token1] = ACTIONS(1622),
    [aux_sym_load_data_statement_token1] = ACTIONS(1622),
    [anon_sym_LBRACK] = ACTIONS(1622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1622),
    [anon_sym_PLUS] = ACTIONS(1622),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_STAR] = ACTIONS(1622),
    [anon_sym_SLASH] = ACTIONS(1624),
    [anon_sym_PIPE_PIPE] = ACTIONS(1622),
    [anon_sym_LT_EQ] = ACTIONS(1622),
    [anon_sym_LT_GT] = ACTIONS(1622),
    [anon_sym_GT_EQ] = ACTIONS(1622),
    [anon_sym_BANG_EQ] = ACTIONS(1622),
    [anon_sym_LT_LT] = ACTIONS(1622),
    [anon_sym_GT_GT] = ACTIONS(1622),
    [anon_sym_AMP] = ACTIONS(1622),
    [anon_sym_CARET] = ACTIONS(1622),
    [anon_sym_PIPE] = ACTIONS(1624),
  },
  [4377] = {
    [ts_builtin_sym_end] = ACTIONS(1626),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1626),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1626),
    [aux_sym_keyword_replace_token1] = ACTIONS(1626),
    [aux_sym__keyword_alter_token1] = ACTIONS(1626),
    [aux_sym__keyword_delete_token1] = ACTIONS(1626),
    [aux_sym__keyword_begin_token1] = ACTIONS(1626),
    [aux_sym__keyword_end_token1] = ACTIONS(1626),
    [aux_sym__keyword_between_token1] = ACTIONS(1626),
    [aux_sym__keyword_when_token1] = ACTIONS(1626),
    [aux_sym__keyword_else_token1] = ACTIONS(1628),
    [aux_sym__keyword_is_token1] = ACTIONS(1626),
    [aux_sym__keyword_in_token1] = ACTIONS(1628),
    [aux_sym__keyword_and_token1] = ACTIONS(1626),
    [aux_sym__keyword_like_token1] = ACTIONS(1626),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1626),
    [aux_sym__keyword_as_token1] = ACTIONS(1628),
    [aux_sym__keyword_for_token1] = ACTIONS(1626),
    [anon_sym_SEMI] = ACTIONS(1626),
    [aux_sym_declare_statement_token1] = ACTIONS(1626),
    [anon_sym_COMMA] = ACTIONS(1626),
    [aux_sym_set_statement_token1] = ACTIONS(1626),
    [anon_sym_LPAREN] = ACTIONS(1626),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1626),
    [aux_sym_return_satement_token1] = ACTIONS(1626),
    [aux_sym_call_statement_token1] = ACTIONS(1626),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1626),
    [aux_sym_if_statement_token1] = ACTIONS(1626),
    [aux_sym_loop_statement_token1] = ACTIONS(1626),
    [aux_sym_repeat_statement_token1] = ACTIONS(1626),
    [aux_sym_while_statement_token1] = ACTIONS(1626),
    [aux_sym_break_statement_token1] = ACTIONS(1626),
    [aux_sym_leave_statement_token1] = ACTIONS(1626),
    [aux_sym_continue_statement_token1] = ACTIONS(1626),
    [aux_sym_iterate_statement_token1] = ACTIONS(1626),
    [aux_sym_raise_statement_token1] = ACTIONS(1626),
    [anon_sym_EQ] = ACTIONS(1626),
    [aux_sym_assert_statement_token1] = ACTIONS(1626),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1626),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1626),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1626),
    [aux_sym_option_clause_token1] = ACTIONS(1626),
    [anon_sym_LT] = ACTIONS(1628),
    [anon_sym_GT] = ACTIONS(1628),
    [aux_sym_select_token1] = ACTIONS(1626),
    [aux_sym_insert_statement_token1] = ACTIONS(1626),
    [aux_sym_truncate_statement_token1] = ACTIONS(1626),
    [aux_sym_update_statement_token1] = ACTIONS(1626),
    [aux_sym_merge_statement_token1] = ACTIONS(1626),
    [aux_sym_grant_statement_token1] = ACTIONS(1626),
    [aux_sym_revoke_statement_token1] = ACTIONS(1626),
    [aux_sym_export_data_statement_token1] = ACTIONS(1626),
    [aux_sym_load_data_statement_token1] = ACTIONS(1626),
    [anon_sym_LBRACK] = ACTIONS(1626),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1626),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1628),
    [anon_sym_STAR] = ACTIONS(1626),
    [anon_sym_SLASH] = ACTIONS(1628),
    [anon_sym_PIPE_PIPE] = ACTIONS(1626),
    [anon_sym_LT_EQ] = ACTIONS(1626),
    [anon_sym_LT_GT] = ACTIONS(1626),
    [anon_sym_GT_EQ] = ACTIONS(1626),
    [anon_sym_BANG_EQ] = ACTIONS(1626),
    [anon_sym_LT_LT] = ACTIONS(1626),
    [anon_sym_GT_GT] = ACTIONS(1626),
    [anon_sym_AMP] = ACTIONS(1626),
    [anon_sym_CARET] = ACTIONS(1626),
    [anon_sym_PIPE] = ACTIONS(1628),
  },
  [4378] = {
    [ts_builtin_sym_end] = ACTIONS(1622),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1622),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1622),
    [aux_sym_keyword_replace_token1] = ACTIONS(1622),
    [aux_sym__keyword_alter_token1] = ACTIONS(1622),
    [aux_sym__keyword_delete_token1] = ACTIONS(1622),
    [aux_sym__keyword_begin_token1] = ACTIONS(1622),
    [aux_sym__keyword_end_token1] = ACTIONS(1622),
    [aux_sym__keyword_between_token1] = ACTIONS(1622),
    [aux_sym__keyword_when_token1] = ACTIONS(1622),
    [aux_sym__keyword_else_token1] = ACTIONS(1624),
    [aux_sym__keyword_is_token1] = ACTIONS(1622),
    [aux_sym__keyword_in_token1] = ACTIONS(1624),
    [aux_sym__keyword_and_token1] = ACTIONS(1622),
    [aux_sym__keyword_like_token1] = ACTIONS(1622),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1622),
    [aux_sym__keyword_as_token1] = ACTIONS(1624),
    [aux_sym__keyword_for_token1] = ACTIONS(1622),
    [anon_sym_SEMI] = ACTIONS(1622),
    [aux_sym_declare_statement_token1] = ACTIONS(1622),
    [anon_sym_COMMA] = ACTIONS(1622),
    [aux_sym_set_statement_token1] = ACTIONS(1622),
    [anon_sym_LPAREN] = ACTIONS(3374),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1622),
    [aux_sym_return_satement_token1] = ACTIONS(1622),
    [aux_sym_call_statement_token1] = ACTIONS(1622),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1622),
    [aux_sym_if_statement_token1] = ACTIONS(1622),
    [aux_sym_loop_statement_token1] = ACTIONS(1622),
    [aux_sym_repeat_statement_token1] = ACTIONS(1622),
    [aux_sym_while_statement_token1] = ACTIONS(1622),
    [aux_sym_break_statement_token1] = ACTIONS(1622),
    [aux_sym_leave_statement_token1] = ACTIONS(1622),
    [aux_sym_continue_statement_token1] = ACTIONS(1622),
    [aux_sym_iterate_statement_token1] = ACTIONS(1622),
    [aux_sym_raise_statement_token1] = ACTIONS(1622),
    [anon_sym_EQ] = ACTIONS(1622),
    [aux_sym_assert_statement_token1] = ACTIONS(1622),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1622),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1622),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1622),
    [aux_sym_option_clause_token1] = ACTIONS(1622),
    [anon_sym_LT] = ACTIONS(1624),
    [anon_sym_GT] = ACTIONS(1624),
    [aux_sym_select_token1] = ACTIONS(1622),
    [aux_sym_insert_statement_token1] = ACTIONS(1622),
    [aux_sym_truncate_statement_token1] = ACTIONS(1622),
    [aux_sym_update_statement_token1] = ACTIONS(1622),
    [aux_sym_merge_statement_token1] = ACTIONS(1622),
    [aux_sym_grant_statement_token1] = ACTIONS(1622),
    [aux_sym_revoke_statement_token1] = ACTIONS(1622),
    [aux_sym_export_data_statement_token1] = ACTIONS(1622),
    [aux_sym_load_data_statement_token1] = ACTIONS(1622),
    [anon_sym_LBRACK] = ACTIONS(1622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1622),
    [anon_sym_PLUS] = ACTIONS(1622),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_STAR] = ACTIONS(1622),
    [anon_sym_SLASH] = ACTIONS(1624),
    [anon_sym_PIPE_PIPE] = ACTIONS(1622),
    [anon_sym_LT_EQ] = ACTIONS(1622),
    [anon_sym_LT_GT] = ACTIONS(1622),
    [anon_sym_GT_EQ] = ACTIONS(1622),
    [anon_sym_BANG_EQ] = ACTIONS(1622),
    [anon_sym_LT_LT] = ACTIONS(1622),
    [anon_sym_GT_GT] = ACTIONS(1622),
    [anon_sym_AMP] = ACTIONS(1622),
    [anon_sym_CARET] = ACTIONS(1622),
    [anon_sym_PIPE] = ACTIONS(1624),
  },
  [4379] = {
    [sym_string] = STATE(4878),
    [ts_builtin_sym_end] = ACTIONS(1508),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1508),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1508),
    [aux_sym_keyword_replace_token1] = ACTIONS(1508),
    [aux_sym__keyword_alter_token1] = ACTIONS(1508),
    [aux_sym__keyword_delete_token1] = ACTIONS(1508),
    [aux_sym__keyword_begin_token1] = ACTIONS(1508),
    [aux_sym__keyword_end_token1] = ACTIONS(1508),
    [aux_sym__keyword_between_token1] = ACTIONS(1508),
    [aux_sym__keyword_else_token1] = ACTIONS(1510),
    [aux_sym__keyword_is_token1] = ACTIONS(1508),
    [aux_sym__keyword_in_token1] = ACTIONS(1510),
    [aux_sym__keyword_and_token1] = ACTIONS(1508),
    [aux_sym__keyword_like_token1] = ACTIONS(1508),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1508),
    [aux_sym__keyword_for_token1] = ACTIONS(1508),
    [anon_sym_SEMI] = ACTIONS(1508),
    [aux_sym_declare_statement_token1] = ACTIONS(1508),
    [aux_sym_set_statement_token1] = ACTIONS(1508),
    [anon_sym_LPAREN] = ACTIONS(1508),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1508),
    [aux_sym_into_clause_token1] = ACTIONS(1508),
    [aux_sym_using_clause_token1] = ACTIONS(1508),
    [aux_sym_return_satement_token1] = ACTIONS(1508),
    [aux_sym_call_statement_token1] = ACTIONS(1508),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1508),
    [aux_sym_if_statement_token1] = ACTIONS(1508),
    [aux_sym_loop_statement_token1] = ACTIONS(1508),
    [aux_sym_repeat_statement_token1] = ACTIONS(1508),
    [aux_sym_while_statement_token1] = ACTIONS(1508),
    [aux_sym_break_statement_token1] = ACTIONS(1508),
    [aux_sym_leave_statement_token1] = ACTIONS(1508),
    [aux_sym_continue_statement_token1] = ACTIONS(1508),
    [aux_sym_iterate_statement_token1] = ACTIONS(1508),
    [aux_sym_raise_statement_token1] = ACTIONS(1508),
    [anon_sym_EQ] = ACTIONS(1508),
    [aux_sym_assert_statement_token1] = ACTIONS(1508),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1508),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1508),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1508),
    [anon_sym_LT] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1510),
    [aux_sym_select_token1] = ACTIONS(1508),
    [aux_sym_insert_statement_token1] = ACTIONS(1508),
    [aux_sym_truncate_statement_token1] = ACTIONS(1508),
    [aux_sym_update_statement_token1] = ACTIONS(1508),
    [aux_sym_merge_statement_token1] = ACTIONS(1508),
    [aux_sym_grant_statement_token1] = ACTIONS(1508),
    [aux_sym_revoke_statement_token1] = ACTIONS(1508),
    [aux_sym_export_data_statement_token1] = ACTIONS(1508),
    [aux_sym_load_data_statement_token1] = ACTIONS(1508),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1508),
    [anon_sym_PLUS] = ACTIONS(1508),
    [anon_sym_DASH] = ACTIONS(1510),
    [anon_sym_STAR] = ACTIONS(1508),
    [anon_sym_SLASH] = ACTIONS(1510),
    [anon_sym_PIPE_PIPE] = ACTIONS(1508),
    [anon_sym_LT_EQ] = ACTIONS(1508),
    [anon_sym_LT_GT] = ACTIONS(1508),
    [anon_sym_GT_EQ] = ACTIONS(1508),
    [anon_sym_BANG_EQ] = ACTIONS(1508),
    [anon_sym_LT_LT] = ACTIONS(1508),
    [anon_sym_GT_GT] = ACTIONS(1508),
    [anon_sym_AMP] = ACTIONS(1508),
    [anon_sym_CARET] = ACTIONS(1508),
    [anon_sym_PIPE] = ACTIONS(1510),
    [sym__string_start] = ACTIONS(2656),
  },
  [4380] = {
    [ts_builtin_sym_end] = ACTIONS(1636),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1636),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1636),
    [aux_sym_keyword_replace_token1] = ACTIONS(1636),
    [aux_sym__keyword_alter_token1] = ACTIONS(1636),
    [aux_sym__keyword_delete_token1] = ACTIONS(1636),
    [aux_sym__keyword_begin_token1] = ACTIONS(1636),
    [aux_sym__keyword_end_token1] = ACTIONS(1636),
    [aux_sym__keyword_between_token1] = ACTIONS(1636),
    [aux_sym__keyword_when_token1] = ACTIONS(1636),
    [aux_sym__keyword_else_token1] = ACTIONS(1638),
    [aux_sym__keyword_is_token1] = ACTIONS(1636),
    [aux_sym__keyword_in_token1] = ACTIONS(1638),
    [aux_sym__keyword_and_token1] = ACTIONS(1636),
    [aux_sym__keyword_like_token1] = ACTIONS(1636),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1636),
    [aux_sym__keyword_as_token1] = ACTIONS(1638),
    [aux_sym__keyword_for_token1] = ACTIONS(1636),
    [anon_sym_SEMI] = ACTIONS(1636),
    [aux_sym_declare_statement_token1] = ACTIONS(1636),
    [anon_sym_COMMA] = ACTIONS(1636),
    [aux_sym_set_statement_token1] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1636),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1636),
    [aux_sym_return_satement_token1] = ACTIONS(1636),
    [aux_sym_call_statement_token1] = ACTIONS(1636),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1636),
    [aux_sym_if_statement_token1] = ACTIONS(1636),
    [aux_sym_loop_statement_token1] = ACTIONS(1636),
    [aux_sym_repeat_statement_token1] = ACTIONS(1636),
    [aux_sym_while_statement_token1] = ACTIONS(1636),
    [aux_sym_break_statement_token1] = ACTIONS(1636),
    [aux_sym_leave_statement_token1] = ACTIONS(1636),
    [aux_sym_continue_statement_token1] = ACTIONS(1636),
    [aux_sym_iterate_statement_token1] = ACTIONS(1636),
    [aux_sym_raise_statement_token1] = ACTIONS(1636),
    [anon_sym_EQ] = ACTIONS(1636),
    [aux_sym_assert_statement_token1] = ACTIONS(1636),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1636),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1636),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1636),
    [aux_sym_option_clause_token1] = ACTIONS(1636),
    [anon_sym_LT] = ACTIONS(1638),
    [anon_sym_GT] = ACTIONS(1638),
    [aux_sym_select_token1] = ACTIONS(1636),
    [aux_sym_insert_statement_token1] = ACTIONS(1636),
    [aux_sym_truncate_statement_token1] = ACTIONS(1636),
    [aux_sym_update_statement_token1] = ACTIONS(1636),
    [aux_sym_merge_statement_token1] = ACTIONS(1636),
    [aux_sym_grant_statement_token1] = ACTIONS(1636),
    [aux_sym_revoke_statement_token1] = ACTIONS(1636),
    [aux_sym_export_data_statement_token1] = ACTIONS(1636),
    [aux_sym_load_data_statement_token1] = ACTIONS(1636),
    [anon_sym_LBRACK] = ACTIONS(1636),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1636),
    [anon_sym_PLUS] = ACTIONS(1636),
    [anon_sym_DASH] = ACTIONS(1638),
    [anon_sym_STAR] = ACTIONS(1636),
    [anon_sym_SLASH] = ACTIONS(1638),
    [anon_sym_PIPE_PIPE] = ACTIONS(1636),
    [anon_sym_LT_EQ] = ACTIONS(1636),
    [anon_sym_LT_GT] = ACTIONS(1636),
    [anon_sym_GT_EQ] = ACTIONS(1636),
    [anon_sym_BANG_EQ] = ACTIONS(1636),
    [anon_sym_LT_LT] = ACTIONS(1636),
    [anon_sym_GT_GT] = ACTIONS(1636),
    [anon_sym_AMP] = ACTIONS(1636),
    [anon_sym_CARET] = ACTIONS(1636),
    [anon_sym_PIPE] = ACTIONS(1638),
  },
  [4381] = {
    [ts_builtin_sym_end] = ACTIONS(1696),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1696),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1696),
    [aux_sym_keyword_replace_token1] = ACTIONS(1696),
    [aux_sym__keyword_alter_token1] = ACTIONS(1696),
    [aux_sym__keyword_delete_token1] = ACTIONS(1696),
    [aux_sym__keyword_begin_token1] = ACTIONS(1696),
    [aux_sym__keyword_end_token1] = ACTIONS(1696),
    [aux_sym__keyword_between_token1] = ACTIONS(1696),
    [aux_sym__keyword_when_token1] = ACTIONS(1696),
    [aux_sym__keyword_else_token1] = ACTIONS(1698),
    [aux_sym__keyword_is_token1] = ACTIONS(1696),
    [aux_sym__keyword_in_token1] = ACTIONS(1698),
    [aux_sym__keyword_and_token1] = ACTIONS(1696),
    [aux_sym__keyword_like_token1] = ACTIONS(1696),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1696),
    [aux_sym__keyword_as_token1] = ACTIONS(1698),
    [aux_sym__keyword_for_token1] = ACTIONS(1696),
    [anon_sym_SEMI] = ACTIONS(1696),
    [aux_sym_declare_statement_token1] = ACTIONS(1696),
    [anon_sym_COMMA] = ACTIONS(1696),
    [aux_sym_set_statement_token1] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1696),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1696),
    [aux_sym_return_satement_token1] = ACTIONS(1696),
    [aux_sym_call_statement_token1] = ACTIONS(1696),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1696),
    [aux_sym_if_statement_token1] = ACTIONS(1696),
    [aux_sym_loop_statement_token1] = ACTIONS(1696),
    [aux_sym_repeat_statement_token1] = ACTIONS(1696),
    [aux_sym_while_statement_token1] = ACTIONS(1696),
    [aux_sym_break_statement_token1] = ACTIONS(1696),
    [aux_sym_leave_statement_token1] = ACTIONS(1696),
    [aux_sym_continue_statement_token1] = ACTIONS(1696),
    [aux_sym_iterate_statement_token1] = ACTIONS(1696),
    [aux_sym_raise_statement_token1] = ACTIONS(1696),
    [anon_sym_EQ] = ACTIONS(1696),
    [aux_sym_assert_statement_token1] = ACTIONS(1696),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1696),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1696),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1696),
    [aux_sym_option_clause_token1] = ACTIONS(1696),
    [anon_sym_LT] = ACTIONS(1698),
    [anon_sym_GT] = ACTIONS(1698),
    [aux_sym_select_token1] = ACTIONS(1696),
    [aux_sym_insert_statement_token1] = ACTIONS(1696),
    [aux_sym_truncate_statement_token1] = ACTIONS(1696),
    [aux_sym_update_statement_token1] = ACTIONS(1696),
    [aux_sym_merge_statement_token1] = ACTIONS(1696),
    [aux_sym_grant_statement_token1] = ACTIONS(1696),
    [aux_sym_revoke_statement_token1] = ACTIONS(1696),
    [aux_sym_export_data_statement_token1] = ACTIONS(1696),
    [aux_sym_load_data_statement_token1] = ACTIONS(1696),
    [anon_sym_LBRACK] = ACTIONS(1696),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_STAR] = ACTIONS(1696),
    [anon_sym_SLASH] = ACTIONS(1698),
    [anon_sym_PIPE_PIPE] = ACTIONS(1696),
    [anon_sym_LT_EQ] = ACTIONS(1696),
    [anon_sym_LT_GT] = ACTIONS(1696),
    [anon_sym_GT_EQ] = ACTIONS(1696),
    [anon_sym_BANG_EQ] = ACTIONS(1696),
    [anon_sym_LT_LT] = ACTIONS(1696),
    [anon_sym_GT_GT] = ACTIONS(1696),
    [anon_sym_AMP] = ACTIONS(1696),
    [anon_sym_CARET] = ACTIONS(1696),
    [anon_sym_PIPE] = ACTIONS(1698),
  },
  [4382] = {
    [ts_builtin_sym_end] = ACTIONS(1640),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1640),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1640),
    [aux_sym_keyword_replace_token1] = ACTIONS(1640),
    [aux_sym__keyword_alter_token1] = ACTIONS(1640),
    [aux_sym__keyword_delete_token1] = ACTIONS(1640),
    [aux_sym__keyword_begin_token1] = ACTIONS(1640),
    [aux_sym__keyword_end_token1] = ACTIONS(1640),
    [aux_sym__keyword_between_token1] = ACTIONS(1640),
    [aux_sym__keyword_when_token1] = ACTIONS(1640),
    [aux_sym__keyword_else_token1] = ACTIONS(1642),
    [aux_sym__keyword_is_token1] = ACTIONS(1640),
    [aux_sym__keyword_in_token1] = ACTIONS(1642),
    [aux_sym__keyword_and_token1] = ACTIONS(1640),
    [aux_sym__keyword_like_token1] = ACTIONS(1640),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1640),
    [aux_sym__keyword_as_token1] = ACTIONS(1642),
    [aux_sym__keyword_for_token1] = ACTIONS(1640),
    [anon_sym_SEMI] = ACTIONS(1640),
    [aux_sym_declare_statement_token1] = ACTIONS(1640),
    [anon_sym_COMMA] = ACTIONS(1640),
    [aux_sym_set_statement_token1] = ACTIONS(1640),
    [anon_sym_LPAREN] = ACTIONS(1640),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1640),
    [aux_sym_return_satement_token1] = ACTIONS(1640),
    [aux_sym_call_statement_token1] = ACTIONS(1640),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1640),
    [aux_sym_if_statement_token1] = ACTIONS(1640),
    [aux_sym_loop_statement_token1] = ACTIONS(1640),
    [aux_sym_repeat_statement_token1] = ACTIONS(1640),
    [aux_sym_while_statement_token1] = ACTIONS(1640),
    [aux_sym_break_statement_token1] = ACTIONS(1640),
    [aux_sym_leave_statement_token1] = ACTIONS(1640),
    [aux_sym_continue_statement_token1] = ACTIONS(1640),
    [aux_sym_iterate_statement_token1] = ACTIONS(1640),
    [aux_sym_raise_statement_token1] = ACTIONS(1640),
    [anon_sym_EQ] = ACTIONS(1640),
    [aux_sym_assert_statement_token1] = ACTIONS(1640),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1640),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1640),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1640),
    [aux_sym_option_clause_token1] = ACTIONS(1640),
    [anon_sym_LT] = ACTIONS(1642),
    [anon_sym_GT] = ACTIONS(1642),
    [aux_sym_select_token1] = ACTIONS(1640),
    [aux_sym_insert_statement_token1] = ACTIONS(1640),
    [aux_sym_truncate_statement_token1] = ACTIONS(1640),
    [aux_sym_update_statement_token1] = ACTIONS(1640),
    [aux_sym_merge_statement_token1] = ACTIONS(1640),
    [aux_sym_grant_statement_token1] = ACTIONS(1640),
    [aux_sym_revoke_statement_token1] = ACTIONS(1640),
    [aux_sym_export_data_statement_token1] = ACTIONS(1640),
    [aux_sym_load_data_statement_token1] = ACTIONS(1640),
    [anon_sym_LBRACK] = ACTIONS(1640),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1640),
    [anon_sym_PLUS] = ACTIONS(1640),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1640),
    [anon_sym_SLASH] = ACTIONS(1642),
    [anon_sym_PIPE_PIPE] = ACTIONS(1640),
    [anon_sym_LT_EQ] = ACTIONS(1640),
    [anon_sym_LT_GT] = ACTIONS(1640),
    [anon_sym_GT_EQ] = ACTIONS(1640),
    [anon_sym_BANG_EQ] = ACTIONS(1640),
    [anon_sym_LT_LT] = ACTIONS(1640),
    [anon_sym_GT_GT] = ACTIONS(1640),
    [anon_sym_AMP] = ACTIONS(1640),
    [anon_sym_CARET] = ACTIONS(1640),
    [anon_sym_PIPE] = ACTIONS(1642),
  },
  [4383] = {
    [ts_builtin_sym_end] = ACTIONS(1083),
    [sym__unquoted_identifier] = ACTIONS(1081),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1081),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1081),
    [aux_sym_keyword_replace_token1] = ACTIONS(1081),
    [aux_sym__keyword_alter_token1] = ACTIONS(1081),
    [aux_sym__keyword_delete_token1] = ACTIONS(1081),
    [aux_sym__keyword_begin_token1] = ACTIONS(1081),
    [aux_sym__keyword_between_token1] = ACTIONS(1081),
    [aux_sym__keyword_when_token1] = ACTIONS(1081),
    [aux_sym__keyword_is_token1] = ACTIONS(1081),
    [aux_sym__keyword_in_token1] = ACTIONS(1081),
    [aux_sym__keyword_and_token1] = ACTIONS(1081),
    [aux_sym__keyword_like_token1] = ACTIONS(1081),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1081),
    [aux_sym__keyword_as_token1] = ACTIONS(1081),
    [aux_sym__keyword_date_token1] = ACTIONS(1081),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1081),
    [aux_sym__keyword_time_token1] = ACTIONS(1081),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1081),
    [aux_sym__keyword_for_token1] = ACTIONS(1081),
    [anon_sym_SEMI] = ACTIONS(1083),
    [aux_sym_declare_statement_token1] = ACTIONS(1081),
    [anon_sym_COMMA] = ACTIONS(1083),
    [aux_sym_set_statement_token1] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1081),
    [aux_sym_return_satement_token1] = ACTIONS(1081),
    [aux_sym_call_statement_token1] = ACTIONS(1081),
    [aux_sym_loop_statement_token1] = ACTIONS(1081),
    [aux_sym_while_statement_token1] = ACTIONS(1081),
    [aux_sym_break_statement_token1] = ACTIONS(1081),
    [aux_sym_leave_statement_token1] = ACTIONS(1081),
    [aux_sym_continue_statement_token1] = ACTIONS(1081),
    [aux_sym_iterate_statement_token1] = ACTIONS(1081),
    [aux_sym_raise_statement_token1] = ACTIONS(1081),
    [anon_sym_EQ] = ACTIONS(1083),
    [aux_sym_assert_statement_token1] = ACTIONS(1081),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1081),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1081),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1081),
    [anon_sym_LT] = ACTIONS(1081),
    [anon_sym_GT] = ACTIONS(1081),
    [aux_sym_select_token1] = ACTIONS(1081),
    [aux_sym_insert_statement_token1] = ACTIONS(1081),
    [aux_sym_truncate_statement_token1] = ACTIONS(1081),
    [aux_sym_update_statement_token1] = ACTIONS(1081),
    [aux_sym_merge_statement_token1] = ACTIONS(1081),
    [aux_sym_grant_statement_token1] = ACTIONS(1081),
    [aux_sym_revoke_statement_token1] = ACTIONS(1081),
    [aux_sym_export_data_statement_token1] = ACTIONS(1081),
    [aux_sym_load_data_statement_token1] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [sym__quoted_identifier] = ACTIONS(1083),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1083),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1081),
    [anon_sym_STAR] = ACTIONS(1083),
    [anon_sym_SLASH] = ACTIONS(1081),
    [anon_sym_PIPE_PIPE] = ACTIONS(1083),
    [anon_sym_LT_EQ] = ACTIONS(1083),
    [anon_sym_LT_GT] = ACTIONS(1083),
    [anon_sym_GT_EQ] = ACTIONS(1083),
    [anon_sym_BANG_EQ] = ACTIONS(1083),
    [anon_sym_LT_LT] = ACTIONS(1083),
    [anon_sym_GT_GT] = ACTIONS(1083),
    [anon_sym_AMP] = ACTIONS(1083),
    [anon_sym_CARET] = ACTIONS(1083),
    [anon_sym_PIPE] = ACTIONS(1081),
  },
  [4384] = {
    [ts_builtin_sym_end] = ACTIONS(1644),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1644),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1644),
    [aux_sym_keyword_replace_token1] = ACTIONS(1644),
    [aux_sym__keyword_alter_token1] = ACTIONS(1644),
    [aux_sym__keyword_delete_token1] = ACTIONS(1644),
    [aux_sym__keyword_begin_token1] = ACTIONS(1644),
    [aux_sym__keyword_end_token1] = ACTIONS(1644),
    [aux_sym__keyword_between_token1] = ACTIONS(1644),
    [aux_sym__keyword_when_token1] = ACTIONS(1644),
    [aux_sym__keyword_else_token1] = ACTIONS(1646),
    [aux_sym__keyword_is_token1] = ACTIONS(1644),
    [aux_sym__keyword_in_token1] = ACTIONS(1646),
    [aux_sym__keyword_and_token1] = ACTIONS(1644),
    [aux_sym__keyword_like_token1] = ACTIONS(1644),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1644),
    [aux_sym__keyword_as_token1] = ACTIONS(1646),
    [aux_sym__keyword_for_token1] = ACTIONS(1644),
    [anon_sym_SEMI] = ACTIONS(1644),
    [aux_sym_declare_statement_token1] = ACTIONS(1644),
    [anon_sym_COMMA] = ACTIONS(1644),
    [aux_sym_set_statement_token1] = ACTIONS(1644),
    [anon_sym_LPAREN] = ACTIONS(1644),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1644),
    [aux_sym_return_satement_token1] = ACTIONS(1644),
    [aux_sym_call_statement_token1] = ACTIONS(1644),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1644),
    [aux_sym_if_statement_token1] = ACTIONS(1644),
    [aux_sym_loop_statement_token1] = ACTIONS(1644),
    [aux_sym_repeat_statement_token1] = ACTIONS(1644),
    [aux_sym_while_statement_token1] = ACTIONS(1644),
    [aux_sym_break_statement_token1] = ACTIONS(1644),
    [aux_sym_leave_statement_token1] = ACTIONS(1644),
    [aux_sym_continue_statement_token1] = ACTIONS(1644),
    [aux_sym_iterate_statement_token1] = ACTIONS(1644),
    [aux_sym_raise_statement_token1] = ACTIONS(1644),
    [anon_sym_EQ] = ACTIONS(1644),
    [aux_sym_assert_statement_token1] = ACTIONS(1644),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1644),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1644),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1644),
    [aux_sym_option_clause_token1] = ACTIONS(1644),
    [anon_sym_LT] = ACTIONS(1646),
    [anon_sym_GT] = ACTIONS(1646),
    [aux_sym_select_token1] = ACTIONS(1644),
    [aux_sym_insert_statement_token1] = ACTIONS(1644),
    [aux_sym_truncate_statement_token1] = ACTIONS(1644),
    [aux_sym_update_statement_token1] = ACTIONS(1644),
    [aux_sym_merge_statement_token1] = ACTIONS(1644),
    [aux_sym_grant_statement_token1] = ACTIONS(1644),
    [aux_sym_revoke_statement_token1] = ACTIONS(1644),
    [aux_sym_export_data_statement_token1] = ACTIONS(1644),
    [aux_sym_load_data_statement_token1] = ACTIONS(1644),
    [anon_sym_LBRACK] = ACTIONS(1644),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1644),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1646),
    [anon_sym_STAR] = ACTIONS(1644),
    [anon_sym_SLASH] = ACTIONS(1646),
    [anon_sym_PIPE_PIPE] = ACTIONS(1644),
    [anon_sym_LT_EQ] = ACTIONS(1644),
    [anon_sym_LT_GT] = ACTIONS(1644),
    [anon_sym_GT_EQ] = ACTIONS(1644),
    [anon_sym_BANG_EQ] = ACTIONS(1644),
    [anon_sym_LT_LT] = ACTIONS(1644),
    [anon_sym_GT_GT] = ACTIONS(1644),
    [anon_sym_AMP] = ACTIONS(1644),
    [anon_sym_CARET] = ACTIONS(1644),
    [anon_sym_PIPE] = ACTIONS(1646),
  },
  [4385] = {
    [ts_builtin_sym_end] = ACTIONS(1648),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1648),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1648),
    [aux_sym_keyword_replace_token1] = ACTIONS(1648),
    [aux_sym__keyword_alter_token1] = ACTIONS(1648),
    [aux_sym__keyword_delete_token1] = ACTIONS(1648),
    [aux_sym__keyword_begin_token1] = ACTIONS(1648),
    [aux_sym__keyword_end_token1] = ACTIONS(1648),
    [aux_sym__keyword_between_token1] = ACTIONS(1648),
    [aux_sym__keyword_when_token1] = ACTIONS(1648),
    [aux_sym__keyword_else_token1] = ACTIONS(1650),
    [aux_sym__keyword_is_token1] = ACTIONS(1648),
    [aux_sym__keyword_in_token1] = ACTIONS(1650),
    [aux_sym__keyword_and_token1] = ACTIONS(1648),
    [aux_sym__keyword_like_token1] = ACTIONS(1648),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1648),
    [aux_sym__keyword_as_token1] = ACTIONS(1650),
    [aux_sym__keyword_for_token1] = ACTIONS(1648),
    [anon_sym_SEMI] = ACTIONS(1648),
    [aux_sym_declare_statement_token1] = ACTIONS(1648),
    [anon_sym_COMMA] = ACTIONS(1648),
    [aux_sym_set_statement_token1] = ACTIONS(1648),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1648),
    [aux_sym_return_satement_token1] = ACTIONS(1648),
    [aux_sym_call_statement_token1] = ACTIONS(1648),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1648),
    [aux_sym_if_statement_token1] = ACTIONS(1648),
    [aux_sym_loop_statement_token1] = ACTIONS(1648),
    [aux_sym_repeat_statement_token1] = ACTIONS(1648),
    [aux_sym_while_statement_token1] = ACTIONS(1648),
    [aux_sym_break_statement_token1] = ACTIONS(1648),
    [aux_sym_leave_statement_token1] = ACTIONS(1648),
    [aux_sym_continue_statement_token1] = ACTIONS(1648),
    [aux_sym_iterate_statement_token1] = ACTIONS(1648),
    [aux_sym_raise_statement_token1] = ACTIONS(1648),
    [anon_sym_EQ] = ACTIONS(1648),
    [aux_sym_assert_statement_token1] = ACTIONS(1648),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1648),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1648),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1648),
    [aux_sym_option_clause_token1] = ACTIONS(1648),
    [anon_sym_LT] = ACTIONS(1650),
    [anon_sym_GT] = ACTIONS(1650),
    [aux_sym_select_token1] = ACTIONS(1648),
    [aux_sym_insert_statement_token1] = ACTIONS(1648),
    [aux_sym_truncate_statement_token1] = ACTIONS(1648),
    [aux_sym_update_statement_token1] = ACTIONS(1648),
    [aux_sym_merge_statement_token1] = ACTIONS(1648),
    [aux_sym_grant_statement_token1] = ACTIONS(1648),
    [aux_sym_revoke_statement_token1] = ACTIONS(1648),
    [aux_sym_export_data_statement_token1] = ACTIONS(1648),
    [aux_sym_load_data_statement_token1] = ACTIONS(1648),
    [anon_sym_LBRACK] = ACTIONS(1648),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1648),
    [anon_sym_PLUS] = ACTIONS(1648),
    [anon_sym_DASH] = ACTIONS(1650),
    [anon_sym_STAR] = ACTIONS(1648),
    [anon_sym_SLASH] = ACTIONS(1650),
    [anon_sym_PIPE_PIPE] = ACTIONS(1648),
    [anon_sym_LT_EQ] = ACTIONS(1648),
    [anon_sym_LT_GT] = ACTIONS(1648),
    [anon_sym_GT_EQ] = ACTIONS(1648),
    [anon_sym_BANG_EQ] = ACTIONS(1648),
    [anon_sym_LT_LT] = ACTIONS(1648),
    [anon_sym_GT_GT] = ACTIONS(1648),
    [anon_sym_AMP] = ACTIONS(1648),
    [anon_sym_CARET] = ACTIONS(1648),
    [anon_sym_PIPE] = ACTIONS(1650),
  },
  [4386] = {
    [sym_unnest_withoffset] = STATE(4362),
    [ts_builtin_sym_end] = ACTIONS(1540),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1540),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1540),
    [aux_sym_keyword_replace_token1] = ACTIONS(1540),
    [aux_sym__keyword_alter_token1] = ACTIONS(1540),
    [aux_sym__keyword_delete_token1] = ACTIONS(1540),
    [aux_sym__keyword_begin_token1] = ACTIONS(1540),
    [aux_sym__keyword_end_token1] = ACTIONS(1540),
    [aux_sym__keyword_between_token1] = ACTIONS(1540),
    [aux_sym__keyword_else_token1] = ACTIONS(1542),
    [aux_sym__keyword_is_token1] = ACTIONS(1540),
    [aux_sym__keyword_in_token1] = ACTIONS(1542),
    [aux_sym__keyword_and_token1] = ACTIONS(1540),
    [aux_sym__keyword_like_token1] = ACTIONS(1540),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1540),
    [aux_sym__keyword_as_token1] = ACTIONS(1542),
    [aux_sym__keyword_for_token1] = ACTIONS(1540),
    [anon_sym_SEMI] = ACTIONS(1540),
    [aux_sym_declare_statement_token1] = ACTIONS(1540),
    [anon_sym_COMMA] = ACTIONS(1540),
    [aux_sym_set_statement_token1] = ACTIONS(1540),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1540),
    [aux_sym_return_satement_token1] = ACTIONS(1540),
    [aux_sym_call_statement_token1] = ACTIONS(1540),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1540),
    [aux_sym_if_statement_token1] = ACTIONS(1540),
    [aux_sym_loop_statement_token1] = ACTIONS(1540),
    [aux_sym_repeat_statement_token1] = ACTIONS(1540),
    [aux_sym_while_statement_token1] = ACTIONS(1540),
    [aux_sym_break_statement_token1] = ACTIONS(1540),
    [aux_sym_leave_statement_token1] = ACTIONS(1540),
    [aux_sym_continue_statement_token1] = ACTIONS(1540),
    [aux_sym_iterate_statement_token1] = ACTIONS(1540),
    [aux_sym_raise_statement_token1] = ACTIONS(1540),
    [anon_sym_EQ] = ACTIONS(1540),
    [aux_sym_assert_statement_token1] = ACTIONS(1540),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1540),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1540),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3376),
    [aux_sym_option_clause_token1] = ACTIONS(1540),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_GT] = ACTIONS(1542),
    [aux_sym_select_token1] = ACTIONS(1540),
    [aux_sym_insert_statement_token1] = ACTIONS(1540),
    [aux_sym_truncate_statement_token1] = ACTIONS(1540),
    [aux_sym_update_statement_token1] = ACTIONS(1540),
    [aux_sym_merge_statement_token1] = ACTIONS(1540),
    [aux_sym_grant_statement_token1] = ACTIONS(1540),
    [aux_sym_revoke_statement_token1] = ACTIONS(1540),
    [aux_sym_export_data_statement_token1] = ACTIONS(1540),
    [aux_sym_load_data_statement_token1] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1540),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(1540),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(1542),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_LT_EQ] = ACTIONS(1540),
    [anon_sym_LT_GT] = ACTIONS(1540),
    [anon_sym_GT_EQ] = ACTIONS(1540),
    [anon_sym_BANG_EQ] = ACTIONS(1540),
    [anon_sym_LT_LT] = ACTIONS(1540),
    [anon_sym_GT_GT] = ACTIONS(1540),
    [anon_sym_AMP] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(1540),
    [anon_sym_PIPE] = ACTIONS(1542),
  },
  [4387] = {
    [ts_builtin_sym_end] = ACTIONS(1700),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1700),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1700),
    [aux_sym_keyword_replace_token1] = ACTIONS(1700),
    [aux_sym__keyword_alter_token1] = ACTIONS(1700),
    [aux_sym__keyword_delete_token1] = ACTIONS(1700),
    [aux_sym__keyword_begin_token1] = ACTIONS(1700),
    [aux_sym__keyword_end_token1] = ACTIONS(1700),
    [aux_sym__keyword_between_token1] = ACTIONS(1700),
    [aux_sym__keyword_when_token1] = ACTIONS(1700),
    [aux_sym__keyword_else_token1] = ACTIONS(1702),
    [aux_sym__keyword_is_token1] = ACTIONS(1700),
    [aux_sym__keyword_in_token1] = ACTIONS(1702),
    [aux_sym__keyword_and_token1] = ACTIONS(1700),
    [aux_sym__keyword_like_token1] = ACTIONS(1700),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1700),
    [aux_sym__keyword_as_token1] = ACTIONS(1702),
    [aux_sym__keyword_for_token1] = ACTIONS(1700),
    [anon_sym_SEMI] = ACTIONS(1700),
    [aux_sym_declare_statement_token1] = ACTIONS(1700),
    [anon_sym_COMMA] = ACTIONS(1700),
    [aux_sym_set_statement_token1] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1700),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1700),
    [aux_sym_return_satement_token1] = ACTIONS(1700),
    [aux_sym_call_statement_token1] = ACTIONS(1700),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1700),
    [aux_sym_if_statement_token1] = ACTIONS(1700),
    [aux_sym_loop_statement_token1] = ACTIONS(1700),
    [aux_sym_repeat_statement_token1] = ACTIONS(1700),
    [aux_sym_while_statement_token1] = ACTIONS(1700),
    [aux_sym_break_statement_token1] = ACTIONS(1700),
    [aux_sym_leave_statement_token1] = ACTIONS(1700),
    [aux_sym_continue_statement_token1] = ACTIONS(1700),
    [aux_sym_iterate_statement_token1] = ACTIONS(1700),
    [aux_sym_raise_statement_token1] = ACTIONS(1700),
    [anon_sym_EQ] = ACTIONS(1700),
    [aux_sym_assert_statement_token1] = ACTIONS(1700),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1700),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1700),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1700),
    [aux_sym_option_clause_token1] = ACTIONS(1700),
    [anon_sym_LT] = ACTIONS(1702),
    [anon_sym_GT] = ACTIONS(1702),
    [aux_sym_select_token1] = ACTIONS(1700),
    [aux_sym_insert_statement_token1] = ACTIONS(1700),
    [aux_sym_truncate_statement_token1] = ACTIONS(1700),
    [aux_sym_update_statement_token1] = ACTIONS(1700),
    [aux_sym_merge_statement_token1] = ACTIONS(1700),
    [aux_sym_grant_statement_token1] = ACTIONS(1700),
    [aux_sym_revoke_statement_token1] = ACTIONS(1700),
    [aux_sym_export_data_statement_token1] = ACTIONS(1700),
    [aux_sym_load_data_statement_token1] = ACTIONS(1700),
    [anon_sym_LBRACK] = ACTIONS(1700),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1700),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_DASH] = ACTIONS(1702),
    [anon_sym_STAR] = ACTIONS(1700),
    [anon_sym_SLASH] = ACTIONS(1702),
    [anon_sym_PIPE_PIPE] = ACTIONS(1700),
    [anon_sym_LT_EQ] = ACTIONS(1700),
    [anon_sym_LT_GT] = ACTIONS(1700),
    [anon_sym_GT_EQ] = ACTIONS(1700),
    [anon_sym_BANG_EQ] = ACTIONS(1700),
    [anon_sym_LT_LT] = ACTIONS(1700),
    [anon_sym_GT_GT] = ACTIONS(1700),
    [anon_sym_AMP] = ACTIONS(1700),
    [anon_sym_CARET] = ACTIONS(1700),
    [anon_sym_PIPE] = ACTIONS(1702),
  },
  [4388] = {
    [ts_builtin_sym_end] = ACTIONS(1704),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1704),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1704),
    [aux_sym_keyword_replace_token1] = ACTIONS(1704),
    [aux_sym__keyword_alter_token1] = ACTIONS(1704),
    [aux_sym__keyword_delete_token1] = ACTIONS(1704),
    [aux_sym__keyword_begin_token1] = ACTIONS(1704),
    [aux_sym__keyword_end_token1] = ACTIONS(1704),
    [aux_sym__keyword_between_token1] = ACTIONS(1704),
    [aux_sym__keyword_when_token1] = ACTIONS(1704),
    [aux_sym__keyword_else_token1] = ACTIONS(1706),
    [aux_sym__keyword_is_token1] = ACTIONS(1704),
    [aux_sym__keyword_in_token1] = ACTIONS(1706),
    [aux_sym__keyword_and_token1] = ACTIONS(1704),
    [aux_sym__keyword_like_token1] = ACTIONS(1704),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1704),
    [aux_sym__keyword_as_token1] = ACTIONS(1706),
    [aux_sym__keyword_for_token1] = ACTIONS(1704),
    [anon_sym_SEMI] = ACTIONS(1704),
    [aux_sym_declare_statement_token1] = ACTIONS(1704),
    [anon_sym_COMMA] = ACTIONS(1704),
    [aux_sym_set_statement_token1] = ACTIONS(1704),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1704),
    [aux_sym_return_satement_token1] = ACTIONS(1704),
    [aux_sym_call_statement_token1] = ACTIONS(1704),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1704),
    [aux_sym_if_statement_token1] = ACTIONS(1704),
    [aux_sym_loop_statement_token1] = ACTIONS(1704),
    [aux_sym_repeat_statement_token1] = ACTIONS(1704),
    [aux_sym_while_statement_token1] = ACTIONS(1704),
    [aux_sym_break_statement_token1] = ACTIONS(1704),
    [aux_sym_leave_statement_token1] = ACTIONS(1704),
    [aux_sym_continue_statement_token1] = ACTIONS(1704),
    [aux_sym_iterate_statement_token1] = ACTIONS(1704),
    [aux_sym_raise_statement_token1] = ACTIONS(1704),
    [anon_sym_EQ] = ACTIONS(1704),
    [aux_sym_assert_statement_token1] = ACTIONS(1704),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1704),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1704),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1704),
    [aux_sym_option_clause_token1] = ACTIONS(1704),
    [anon_sym_LT] = ACTIONS(1706),
    [anon_sym_GT] = ACTIONS(1706),
    [aux_sym_select_token1] = ACTIONS(1704),
    [aux_sym_insert_statement_token1] = ACTIONS(1704),
    [aux_sym_truncate_statement_token1] = ACTIONS(1704),
    [aux_sym_update_statement_token1] = ACTIONS(1704),
    [aux_sym_merge_statement_token1] = ACTIONS(1704),
    [aux_sym_grant_statement_token1] = ACTIONS(1704),
    [aux_sym_revoke_statement_token1] = ACTIONS(1704),
    [aux_sym_export_data_statement_token1] = ACTIONS(1704),
    [aux_sym_load_data_statement_token1] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1704),
    [anon_sym_PLUS] = ACTIONS(1704),
    [anon_sym_DASH] = ACTIONS(1706),
    [anon_sym_STAR] = ACTIONS(1704),
    [anon_sym_SLASH] = ACTIONS(1706),
    [anon_sym_PIPE_PIPE] = ACTIONS(1704),
    [anon_sym_LT_EQ] = ACTIONS(1704),
    [anon_sym_LT_GT] = ACTIONS(1704),
    [anon_sym_GT_EQ] = ACTIONS(1704),
    [anon_sym_BANG_EQ] = ACTIONS(1704),
    [anon_sym_LT_LT] = ACTIONS(1704),
    [anon_sym_GT_GT] = ACTIONS(1704),
    [anon_sym_AMP] = ACTIONS(1704),
    [anon_sym_CARET] = ACTIONS(1704),
    [anon_sym_PIPE] = ACTIONS(1706),
  },
  [4389] = {
    [ts_builtin_sym_end] = ACTIONS(1708),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1708),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1708),
    [aux_sym_keyword_replace_token1] = ACTIONS(1708),
    [aux_sym__keyword_alter_token1] = ACTIONS(1708),
    [aux_sym__keyword_delete_token1] = ACTIONS(1708),
    [aux_sym__keyword_begin_token1] = ACTIONS(1708),
    [aux_sym__keyword_end_token1] = ACTIONS(1708),
    [aux_sym__keyword_between_token1] = ACTIONS(1708),
    [aux_sym__keyword_when_token1] = ACTIONS(1708),
    [aux_sym__keyword_else_token1] = ACTIONS(1710),
    [aux_sym__keyword_is_token1] = ACTIONS(1708),
    [aux_sym__keyword_in_token1] = ACTIONS(1710),
    [aux_sym__keyword_and_token1] = ACTIONS(1708),
    [aux_sym__keyword_like_token1] = ACTIONS(1708),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1708),
    [aux_sym__keyword_as_token1] = ACTIONS(1710),
    [aux_sym__keyword_for_token1] = ACTIONS(1708),
    [anon_sym_SEMI] = ACTIONS(1708),
    [aux_sym_declare_statement_token1] = ACTIONS(1708),
    [anon_sym_COMMA] = ACTIONS(1708),
    [aux_sym_set_statement_token1] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1708),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1708),
    [aux_sym_return_satement_token1] = ACTIONS(1708),
    [aux_sym_call_statement_token1] = ACTIONS(1708),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1708),
    [aux_sym_if_statement_token1] = ACTIONS(1708),
    [aux_sym_loop_statement_token1] = ACTIONS(1708),
    [aux_sym_repeat_statement_token1] = ACTIONS(1708),
    [aux_sym_while_statement_token1] = ACTIONS(1708),
    [aux_sym_break_statement_token1] = ACTIONS(1708),
    [aux_sym_leave_statement_token1] = ACTIONS(1708),
    [aux_sym_continue_statement_token1] = ACTIONS(1708),
    [aux_sym_iterate_statement_token1] = ACTIONS(1708),
    [aux_sym_raise_statement_token1] = ACTIONS(1708),
    [anon_sym_EQ] = ACTIONS(1708),
    [aux_sym_assert_statement_token1] = ACTIONS(1708),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1708),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1708),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1708),
    [aux_sym_option_clause_token1] = ACTIONS(1708),
    [anon_sym_LT] = ACTIONS(1710),
    [anon_sym_GT] = ACTIONS(1710),
    [aux_sym_select_token1] = ACTIONS(1708),
    [aux_sym_insert_statement_token1] = ACTIONS(1708),
    [aux_sym_truncate_statement_token1] = ACTIONS(1708),
    [aux_sym_update_statement_token1] = ACTIONS(1708),
    [aux_sym_merge_statement_token1] = ACTIONS(1708),
    [aux_sym_grant_statement_token1] = ACTIONS(1708),
    [aux_sym_revoke_statement_token1] = ACTIONS(1708),
    [aux_sym_export_data_statement_token1] = ACTIONS(1708),
    [aux_sym_load_data_statement_token1] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1708),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_DASH] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(1708),
    [anon_sym_SLASH] = ACTIONS(1710),
    [anon_sym_PIPE_PIPE] = ACTIONS(1708),
    [anon_sym_LT_EQ] = ACTIONS(1708),
    [anon_sym_LT_GT] = ACTIONS(1708),
    [anon_sym_GT_EQ] = ACTIONS(1708),
    [anon_sym_BANG_EQ] = ACTIONS(1708),
    [anon_sym_LT_LT] = ACTIONS(1708),
    [anon_sym_GT_GT] = ACTIONS(1708),
    [anon_sym_AMP] = ACTIONS(1708),
    [anon_sym_CARET] = ACTIONS(1708),
    [anon_sym_PIPE] = ACTIONS(1710),
  },
  [4390] = {
    [ts_builtin_sym_end] = ACTIONS(1712),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1712),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1712),
    [aux_sym_keyword_replace_token1] = ACTIONS(1712),
    [aux_sym__keyword_alter_token1] = ACTIONS(1712),
    [aux_sym__keyword_delete_token1] = ACTIONS(1712),
    [aux_sym__keyword_begin_token1] = ACTIONS(1712),
    [aux_sym__keyword_end_token1] = ACTIONS(1712),
    [aux_sym__keyword_between_token1] = ACTIONS(1712),
    [aux_sym__keyword_when_token1] = ACTIONS(1712),
    [aux_sym__keyword_else_token1] = ACTIONS(1714),
    [aux_sym__keyword_is_token1] = ACTIONS(1712),
    [aux_sym__keyword_in_token1] = ACTIONS(1714),
    [aux_sym__keyword_and_token1] = ACTIONS(1712),
    [aux_sym__keyword_like_token1] = ACTIONS(1712),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1712),
    [aux_sym__keyword_as_token1] = ACTIONS(1714),
    [aux_sym__keyword_for_token1] = ACTIONS(1712),
    [anon_sym_SEMI] = ACTIONS(1712),
    [aux_sym_declare_statement_token1] = ACTIONS(1712),
    [anon_sym_COMMA] = ACTIONS(1712),
    [aux_sym_set_statement_token1] = ACTIONS(1712),
    [anon_sym_LPAREN] = ACTIONS(1712),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1712),
    [aux_sym_return_satement_token1] = ACTIONS(1712),
    [aux_sym_call_statement_token1] = ACTIONS(1712),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1712),
    [aux_sym_if_statement_token1] = ACTIONS(1712),
    [aux_sym_loop_statement_token1] = ACTIONS(1712),
    [aux_sym_repeat_statement_token1] = ACTIONS(1712),
    [aux_sym_while_statement_token1] = ACTIONS(1712),
    [aux_sym_break_statement_token1] = ACTIONS(1712),
    [aux_sym_leave_statement_token1] = ACTIONS(1712),
    [aux_sym_continue_statement_token1] = ACTIONS(1712),
    [aux_sym_iterate_statement_token1] = ACTIONS(1712),
    [aux_sym_raise_statement_token1] = ACTIONS(1712),
    [anon_sym_EQ] = ACTIONS(1712),
    [aux_sym_assert_statement_token1] = ACTIONS(1712),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1712),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1712),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1712),
    [aux_sym_option_clause_token1] = ACTIONS(1712),
    [anon_sym_LT] = ACTIONS(1714),
    [anon_sym_GT] = ACTIONS(1714),
    [aux_sym_select_token1] = ACTIONS(1712),
    [aux_sym_insert_statement_token1] = ACTIONS(1712),
    [aux_sym_truncate_statement_token1] = ACTIONS(1712),
    [aux_sym_update_statement_token1] = ACTIONS(1712),
    [aux_sym_merge_statement_token1] = ACTIONS(1712),
    [aux_sym_grant_statement_token1] = ACTIONS(1712),
    [aux_sym_revoke_statement_token1] = ACTIONS(1712),
    [aux_sym_export_data_statement_token1] = ACTIONS(1712),
    [aux_sym_load_data_statement_token1] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1712),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1712),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_DASH] = ACTIONS(1714),
    [anon_sym_STAR] = ACTIONS(1712),
    [anon_sym_SLASH] = ACTIONS(1714),
    [anon_sym_PIPE_PIPE] = ACTIONS(1712),
    [anon_sym_LT_EQ] = ACTIONS(1712),
    [anon_sym_LT_GT] = ACTIONS(1712),
    [anon_sym_GT_EQ] = ACTIONS(1712),
    [anon_sym_BANG_EQ] = ACTIONS(1712),
    [anon_sym_LT_LT] = ACTIONS(1712),
    [anon_sym_GT_GT] = ACTIONS(1712),
    [anon_sym_AMP] = ACTIONS(1712),
    [anon_sym_CARET] = ACTIONS(1712),
    [anon_sym_PIPE] = ACTIONS(1714),
  },
  [4391] = {
    [sym__keyword_between] = STATE(1819),
    [sym__keyword_is] = STATE(12068),
    [sym__keyword_in] = STATE(1558),
    [sym__keyword_not] = STATE(13100),
    [sym__keyword_and] = STATE(1533),
    [sym__keyword_or] = STATE(1532),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(3204),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3204),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(2744),
    [aux_sym__keyword_alter_token1] = ACTIONS(3204),
    [aux_sym__keyword_delete_token1] = ACTIONS(3204),
    [aux_sym__keyword_begin_token1] = ACTIONS(3204),
    [aux_sym__keyword_between_token1] = ACTIONS(3302),
    [aux_sym__keyword_is_token1] = ACTIONS(3304),
    [aux_sym__keyword_in_token1] = ACTIONS(3306),
    [aux_sym__keyword_and_token1] = ACTIONS(3308),
    [aux_sym__keyword_like_token1] = ACTIONS(1007),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3204),
    [aux_sym__keyword_for_token1] = ACTIONS(3204),
    [anon_sym_SEMI] = ACTIONS(3204),
    [aux_sym_declare_statement_token1] = ACTIONS(3204),
    [aux_sym_set_statement_token1] = ACTIONS(3204),
    [anon_sym_LPAREN] = ACTIONS(3204),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(3204),
    [aux_sym_return_satement_token1] = ACTIONS(3204),
    [aux_sym_call_statement_token1] = ACTIONS(3204),
    [aux_sym_loop_statement_token1] = ACTIONS(3204),
    [aux_sym_while_statement_token1] = ACTIONS(3204),
    [aux_sym_break_statement_token1] = ACTIONS(3204),
    [aux_sym_leave_statement_token1] = ACTIONS(3204),
    [aux_sym_continue_statement_token1] = ACTIONS(3204),
    [aux_sym_iterate_statement_token1] = ACTIONS(3204),
    [aux_sym_raise_statement_token1] = ACTIONS(3204),
    [anon_sym_EQ] = ACTIONS(3310),
    [aux_sym_assert_statement_token1] = ACTIONS(3204),
    [aux_sym_create_schema_statement_token1] = ACTIONS(3204),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(3204),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3204),
    [anon_sym_LT] = ACTIONS(3306),
    [anon_sym_GT] = ACTIONS(3306),
    [aux_sym_select_token1] = ACTIONS(3204),
    [aux_sym_insert_statement_token1] = ACTIONS(3204),
    [aux_sym_truncate_statement_token1] = ACTIONS(3204),
    [aux_sym_update_statement_token1] = ACTIONS(3204),
    [aux_sym_merge_statement_token1] = ACTIONS(3204),
    [aux_sym_grant_statement_token1] = ACTIONS(3204),
    [aux_sym_revoke_statement_token1] = ACTIONS(3204),
    [aux_sym_export_data_statement_token1] = ACTIONS(3204),
    [aux_sym_load_data_statement_token1] = ACTIONS(3204),
    [anon_sym_LBRACK] = ACTIONS(3056),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(3058),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_DASH] = ACTIONS(3314),
    [anon_sym_STAR] = ACTIONS(3316),
    [anon_sym_SLASH] = ACTIONS(3318),
    [anon_sym_PIPE_PIPE] = ACTIONS(3316),
    [anon_sym_LT_EQ] = ACTIONS(3310),
    [anon_sym_LT_GT] = ACTIONS(3310),
    [anon_sym_GT_EQ] = ACTIONS(3310),
    [anon_sym_BANG_EQ] = ACTIONS(3310),
    [anon_sym_LT_LT] = ACTIONS(3320),
    [anon_sym_GT_GT] = ACTIONS(3320),
    [anon_sym_AMP] = ACTIONS(3322),
    [anon_sym_CARET] = ACTIONS(3324),
    [anon_sym_PIPE] = ACTIONS(3326),
  },
  [4392] = {
    [sym__keyword_between] = STATE(1819),
    [sym__keyword_is] = STATE(12068),
    [sym__keyword_in] = STATE(1558),
    [sym__keyword_not] = STATE(13100),
    [sym__keyword_and] = STATE(1533),
    [sym__keyword_or] = STATE(1532),
    [sym__keyword_like] = STATE(14280),
    [sym_like_operator] = STATE(16319),
    [sym_quantitve_like_operator] = STATE(16316),
    [ts_builtin_sym_end] = ACTIONS(3104),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3104),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(919),
    [aux_sym_keyword_replace_token1] = ACTIONS(2744),
    [aux_sym__keyword_alter_token1] = ACTIONS(3104),
    [aux_sym__keyword_delete_token1] = ACTIONS(3104),
    [aux_sym__keyword_begin_token1] = ACTIONS(3104),
    [aux_sym__keyword_between_token1] = ACTIONS(3302),
    [aux_sym__keyword_is_token1] = ACTIONS(3304),
    [aux_sym__keyword_in_token1] = ACTIONS(3306),
    [aux_sym__keyword_and_token1] = ACTIONS(3308),
    [aux_sym__keyword_like_token1] = ACTIONS(1007),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3104),
    [aux_sym__keyword_for_token1] = ACTIONS(3104),
    [anon_sym_SEMI] = ACTIONS(3104),
    [aux_sym_declare_statement_token1] = ACTIONS(3104),
    [aux_sym_set_statement_token1] = ACTIONS(3104),
    [anon_sym_LPAREN] = ACTIONS(3104),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(3104),
    [aux_sym_return_satement_token1] = ACTIONS(3104),
    [aux_sym_call_statement_token1] = ACTIONS(3104),
    [aux_sym_loop_statement_token1] = ACTIONS(3104),
    [aux_sym_while_statement_token1] = ACTIONS(3104),
    [aux_sym_break_statement_token1] = ACTIONS(3104),
    [aux_sym_leave_statement_token1] = ACTIONS(3104),
    [aux_sym_continue_statement_token1] = ACTIONS(3104),
    [aux_sym_iterate_statement_token1] = ACTIONS(3104),
    [aux_sym_raise_statement_token1] = ACTIONS(3104),
    [anon_sym_EQ] = ACTIONS(3310),
    [aux_sym_assert_statement_token1] = ACTIONS(3104),
    [aux_sym_create_schema_statement_token1] = ACTIONS(3104),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(3104),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3104),
    [anon_sym_LT] = ACTIONS(3306),
    [anon_sym_GT] = ACTIONS(3306),
    [aux_sym_select_token1] = ACTIONS(3104),
    [aux_sym_insert_statement_token1] = ACTIONS(3104),
    [aux_sym_truncate_statement_token1] = ACTIONS(3104),
    [aux_sym_update_statement_token1] = ACTIONS(3104),
    [aux_sym_merge_statement_token1] = ACTIONS(3104),
    [aux_sym_grant_statement_token1] = ACTIONS(3104),
    [aux_sym_revoke_statement_token1] = ACTIONS(3104),
    [aux_sym_export_data_statement_token1] = ACTIONS(3104),
    [aux_sym_load_data_statement_token1] = ACTIONS(3104),
    [anon_sym_LBRACK] = ACTIONS(3056),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(3058),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_DASH] = ACTIONS(3314),
    [anon_sym_STAR] = ACTIONS(3316),
    [anon_sym_SLASH] = ACTIONS(3318),
    [anon_sym_PIPE_PIPE] = ACTIONS(3316),
    [anon_sym_LT_EQ] = ACTIONS(3310),
    [anon_sym_LT_GT] = ACTIONS(3310),
    [anon_sym_GT_EQ] = ACTIONS(3310),
    [anon_sym_BANG_EQ] = ACTIONS(3310),
    [anon_sym_LT_LT] = ACTIONS(3320),
    [anon_sym_GT_GT] = ACTIONS(3320),
    [anon_sym_AMP] = ACTIONS(3322),
    [anon_sym_CARET] = ACTIONS(3324),
    [anon_sym_PIPE] = ACTIONS(3326),
  },
  [4393] = {
    [ts_builtin_sym_end] = ACTIONS(1720),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1720),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1720),
    [aux_sym_keyword_replace_token1] = ACTIONS(1720),
    [aux_sym__keyword_alter_token1] = ACTIONS(1720),
    [aux_sym__keyword_delete_token1] = ACTIONS(1720),
    [aux_sym__keyword_begin_token1] = ACTIONS(1720),
    [aux_sym__keyword_end_token1] = ACTIONS(1720),
    [aux_sym__keyword_between_token1] = ACTIONS(1720),
    [aux_sym__keyword_when_token1] = ACTIONS(1720),
    [aux_sym__keyword_else_token1] = ACTIONS(1722),
    [aux_sym__keyword_is_token1] = ACTIONS(1720),
    [aux_sym__keyword_in_token1] = ACTIONS(1722),
    [aux_sym__keyword_and_token1] = ACTIONS(1720),
    [aux_sym__keyword_like_token1] = ACTIONS(1720),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1720),
    [aux_sym__keyword_as_token1] = ACTIONS(1722),
    [aux_sym__keyword_for_token1] = ACTIONS(1720),
    [anon_sym_SEMI] = ACTIONS(1720),
    [aux_sym_declare_statement_token1] = ACTIONS(1720),
    [anon_sym_COMMA] = ACTIONS(1720),
    [aux_sym_set_statement_token1] = ACTIONS(1720),
    [anon_sym_LPAREN] = ACTIONS(1720),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1720),
    [aux_sym_return_satement_token1] = ACTIONS(1720),
    [aux_sym_call_statement_token1] = ACTIONS(1720),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1720),
    [aux_sym_if_statement_token1] = ACTIONS(1720),
    [aux_sym_loop_statement_token1] = ACTIONS(1720),
    [aux_sym_repeat_statement_token1] = ACTIONS(1720),
    [aux_sym_while_statement_token1] = ACTIONS(1720),
    [aux_sym_break_statement_token1] = ACTIONS(1720),
    [aux_sym_leave_statement_token1] = ACTIONS(1720),
    [aux_sym_continue_statement_token1] = ACTIONS(1720),
    [aux_sym_iterate_statement_token1] = ACTIONS(1720),
    [aux_sym_raise_statement_token1] = ACTIONS(1720),
    [anon_sym_EQ] = ACTIONS(1720),
    [aux_sym_assert_statement_token1] = ACTIONS(1720),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1720),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1720),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1720),
    [aux_sym_option_clause_token1] = ACTIONS(1720),
    [anon_sym_LT] = ACTIONS(1722),
    [anon_sym_GT] = ACTIONS(1722),
    [aux_sym_select_token1] = ACTIONS(1720),
    [aux_sym_insert_statement_token1] = ACTIONS(1720),
    [aux_sym_truncate_statement_token1] = ACTIONS(1720),
    [aux_sym_update_statement_token1] = ACTIONS(1720),
    [aux_sym_merge_statement_token1] = ACTIONS(1720),
    [aux_sym_grant_statement_token1] = ACTIONS(1720),
    [aux_sym_revoke_statement_token1] = ACTIONS(1720),
    [aux_sym_export_data_statement_token1] = ACTIONS(1720),
    [aux_sym_load_data_statement_token1] = ACTIONS(1720),
    [anon_sym_LBRACK] = ACTIONS(1720),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1720),
    [anon_sym_PLUS] = ACTIONS(1720),
    [anon_sym_DASH] = ACTIONS(1722),
    [anon_sym_STAR] = ACTIONS(1720),
    [anon_sym_SLASH] = ACTIONS(1722),
    [anon_sym_PIPE_PIPE] = ACTIONS(1720),
    [anon_sym_LT_EQ] = ACTIONS(1720),
    [anon_sym_LT_GT] = ACTIONS(1720),
    [anon_sym_GT_EQ] = ACTIONS(1720),
    [anon_sym_BANG_EQ] = ACTIONS(1720),
    [anon_sym_LT_LT] = ACTIONS(1720),
    [anon_sym_GT_GT] = ACTIONS(1720),
    [anon_sym_AMP] = ACTIONS(1720),
    [anon_sym_CARET] = ACTIONS(1720),
    [anon_sym_PIPE] = ACTIONS(1722),
  },
  [4394] = {
    [ts_builtin_sym_end] = ACTIONS(1540),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1540),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1540),
    [aux_sym_keyword_replace_token1] = ACTIONS(1540),
    [aux_sym__keyword_alter_token1] = ACTIONS(1540),
    [aux_sym__keyword_delete_token1] = ACTIONS(1540),
    [aux_sym__keyword_begin_token1] = ACTIONS(1540),
    [aux_sym__keyword_end_token1] = ACTIONS(1540),
    [aux_sym__keyword_between_token1] = ACTIONS(1540),
    [aux_sym__keyword_when_token1] = ACTIONS(1540),
    [aux_sym__keyword_else_token1] = ACTIONS(1542),
    [aux_sym__keyword_is_token1] = ACTIONS(1540),
    [aux_sym__keyword_in_token1] = ACTIONS(1542),
    [aux_sym__keyword_and_token1] = ACTIONS(1540),
    [aux_sym__keyword_like_token1] = ACTIONS(1540),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1540),
    [aux_sym__keyword_as_token1] = ACTIONS(1542),
    [aux_sym__keyword_for_token1] = ACTIONS(1540),
    [anon_sym_SEMI] = ACTIONS(1540),
    [aux_sym_declare_statement_token1] = ACTIONS(1540),
    [anon_sym_COMMA] = ACTIONS(1540),
    [aux_sym_set_statement_token1] = ACTIONS(1540),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1540),
    [aux_sym_return_satement_token1] = ACTIONS(1540),
    [aux_sym_call_statement_token1] = ACTIONS(1540),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1540),
    [aux_sym_if_statement_token1] = ACTIONS(1540),
    [aux_sym_loop_statement_token1] = ACTIONS(1540),
    [aux_sym_repeat_statement_token1] = ACTIONS(1540),
    [aux_sym_while_statement_token1] = ACTIONS(1540),
    [aux_sym_break_statement_token1] = ACTIONS(1540),
    [aux_sym_leave_statement_token1] = ACTIONS(1540),
    [aux_sym_continue_statement_token1] = ACTIONS(1540),
    [aux_sym_iterate_statement_token1] = ACTIONS(1540),
    [aux_sym_raise_statement_token1] = ACTIONS(1540),
    [anon_sym_EQ] = ACTIONS(1540),
    [aux_sym_assert_statement_token1] = ACTIONS(1540),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1540),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1540),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1540),
    [aux_sym_option_clause_token1] = ACTIONS(1540),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_GT] = ACTIONS(1542),
    [aux_sym_select_token1] = ACTIONS(1540),
    [aux_sym_insert_statement_token1] = ACTIONS(1540),
    [aux_sym_truncate_statement_token1] = ACTIONS(1540),
    [aux_sym_update_statement_token1] = ACTIONS(1540),
    [aux_sym_merge_statement_token1] = ACTIONS(1540),
    [aux_sym_grant_statement_token1] = ACTIONS(1540),
    [aux_sym_revoke_statement_token1] = ACTIONS(1540),
    [aux_sym_export_data_statement_token1] = ACTIONS(1540),
    [aux_sym_load_data_statement_token1] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1540),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(1540),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(1542),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_LT_EQ] = ACTIONS(1540),
    [anon_sym_LT_GT] = ACTIONS(1540),
    [anon_sym_GT_EQ] = ACTIONS(1540),
    [anon_sym_BANG_EQ] = ACTIONS(1540),
    [anon_sym_LT_LT] = ACTIONS(1540),
    [anon_sym_GT_GT] = ACTIONS(1540),
    [anon_sym_AMP] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(1540),
    [anon_sym_PIPE] = ACTIONS(1542),
  },
  [4395] = {
    [sym_analytics_clause] = STATE(4809),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1462),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_into_clause_token1] = ACTIONS(1462),
    [aux_sym_using_clause_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [4396] = {
    [sym_analytics_clause] = STATE(4808),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1462),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_into_clause_token1] = ACTIONS(1462),
    [aux_sym_using_clause_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [4397] = {
    [sym_unnest_withoffset] = STATE(4362),
    [ts_builtin_sym_end] = ACTIONS(1540),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1540),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1540),
    [aux_sym_keyword_replace_token1] = ACTIONS(1540),
    [aux_sym__keyword_alter_token1] = ACTIONS(1540),
    [aux_sym__keyword_delete_token1] = ACTIONS(1540),
    [aux_sym__keyword_begin_token1] = ACTIONS(1540),
    [aux_sym__keyword_end_token1] = ACTIONS(1540),
    [aux_sym__keyword_between_token1] = ACTIONS(1540),
    [aux_sym__keyword_when_token1] = ACTIONS(1540),
    [aux_sym__keyword_else_token1] = ACTIONS(1542),
    [aux_sym__keyword_is_token1] = ACTIONS(1540),
    [aux_sym__keyword_in_token1] = ACTIONS(1542),
    [aux_sym__keyword_and_token1] = ACTIONS(1540),
    [aux_sym__keyword_like_token1] = ACTIONS(1540),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1540),
    [aux_sym__keyword_for_token1] = ACTIONS(1540),
    [anon_sym_SEMI] = ACTIONS(1540),
    [aux_sym_declare_statement_token1] = ACTIONS(1540),
    [anon_sym_COMMA] = ACTIONS(1540),
    [aux_sym_set_statement_token1] = ACTIONS(1540),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1540),
    [aux_sym_return_satement_token1] = ACTIONS(1540),
    [aux_sym_call_statement_token1] = ACTIONS(1540),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1540),
    [aux_sym_if_statement_token1] = ACTIONS(1540),
    [aux_sym_loop_statement_token1] = ACTIONS(1540),
    [aux_sym_repeat_statement_token1] = ACTIONS(1540),
    [aux_sym_while_statement_token1] = ACTIONS(1540),
    [aux_sym_break_statement_token1] = ACTIONS(1540),
    [aux_sym_leave_statement_token1] = ACTIONS(1540),
    [aux_sym_continue_statement_token1] = ACTIONS(1540),
    [aux_sym_iterate_statement_token1] = ACTIONS(1540),
    [aux_sym_raise_statement_token1] = ACTIONS(1540),
    [anon_sym_EQ] = ACTIONS(1540),
    [aux_sym_assert_statement_token1] = ACTIONS(1540),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1540),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1540),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3378),
    [aux_sym_option_clause_token1] = ACTIONS(1540),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_GT] = ACTIONS(1542),
    [aux_sym_select_token1] = ACTIONS(1540),
    [aux_sym_insert_statement_token1] = ACTIONS(1540),
    [aux_sym_truncate_statement_token1] = ACTIONS(1540),
    [aux_sym_update_statement_token1] = ACTIONS(1540),
    [aux_sym_merge_statement_token1] = ACTIONS(1540),
    [aux_sym_grant_statement_token1] = ACTIONS(1540),
    [aux_sym_revoke_statement_token1] = ACTIONS(1540),
    [aux_sym_export_data_statement_token1] = ACTIONS(1540),
    [aux_sym_load_data_statement_token1] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1540),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(1540),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(1542),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_LT_EQ] = ACTIONS(1540),
    [anon_sym_LT_GT] = ACTIONS(1540),
    [anon_sym_GT_EQ] = ACTIONS(1540),
    [anon_sym_BANG_EQ] = ACTIONS(1540),
    [anon_sym_LT_LT] = ACTIONS(1540),
    [anon_sym_GT_GT] = ACTIONS(1540),
    [anon_sym_AMP] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(1540),
    [anon_sym_PIPE] = ACTIONS(1542),
  },
  [4398] = {
    [sym_analytics_clause] = STATE(4812),
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1442),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_into_clause_token1] = ACTIONS(1442),
    [aux_sym_using_clause_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [4399] = {
    [ts_builtin_sym_end] = ACTIONS(1724),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1724),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1724),
    [aux_sym_keyword_replace_token1] = ACTIONS(1724),
    [aux_sym__keyword_alter_token1] = ACTIONS(1724),
    [aux_sym__keyword_delete_token1] = ACTIONS(1724),
    [aux_sym__keyword_begin_token1] = ACTIONS(1724),
    [aux_sym__keyword_end_token1] = ACTIONS(1724),
    [aux_sym__keyword_between_token1] = ACTIONS(1724),
    [aux_sym__keyword_when_token1] = ACTIONS(1724),
    [aux_sym__keyword_else_token1] = ACTIONS(1726),
    [aux_sym__keyword_is_token1] = ACTIONS(1724),
    [aux_sym__keyword_in_token1] = ACTIONS(1726),
    [aux_sym__keyword_and_token1] = ACTIONS(1724),
    [aux_sym__keyword_like_token1] = ACTIONS(1724),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1724),
    [aux_sym__keyword_as_token1] = ACTIONS(1726),
    [aux_sym__keyword_for_token1] = ACTIONS(1724),
    [anon_sym_SEMI] = ACTIONS(1724),
    [aux_sym_declare_statement_token1] = ACTIONS(1724),
    [anon_sym_COMMA] = ACTIONS(1724),
    [aux_sym_set_statement_token1] = ACTIONS(1724),
    [anon_sym_LPAREN] = ACTIONS(1724),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1724),
    [aux_sym_return_satement_token1] = ACTIONS(1724),
    [aux_sym_call_statement_token1] = ACTIONS(1724),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1724),
    [aux_sym_if_statement_token1] = ACTIONS(1724),
    [aux_sym_loop_statement_token1] = ACTIONS(1724),
    [aux_sym_repeat_statement_token1] = ACTIONS(1724),
    [aux_sym_while_statement_token1] = ACTIONS(1724),
    [aux_sym_break_statement_token1] = ACTIONS(1724),
    [aux_sym_leave_statement_token1] = ACTIONS(1724),
    [aux_sym_continue_statement_token1] = ACTIONS(1724),
    [aux_sym_iterate_statement_token1] = ACTIONS(1724),
    [aux_sym_raise_statement_token1] = ACTIONS(1724),
    [anon_sym_EQ] = ACTIONS(1724),
    [aux_sym_assert_statement_token1] = ACTIONS(1724),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1724),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1724),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1724),
    [aux_sym_option_clause_token1] = ACTIONS(1724),
    [anon_sym_LT] = ACTIONS(1726),
    [anon_sym_GT] = ACTIONS(1726),
    [aux_sym_select_token1] = ACTIONS(1724),
    [aux_sym_insert_statement_token1] = ACTIONS(1724),
    [aux_sym_truncate_statement_token1] = ACTIONS(1724),
    [aux_sym_update_statement_token1] = ACTIONS(1724),
    [aux_sym_merge_statement_token1] = ACTIONS(1724),
    [aux_sym_grant_statement_token1] = ACTIONS(1724),
    [aux_sym_revoke_statement_token1] = ACTIONS(1724),
    [aux_sym_export_data_statement_token1] = ACTIONS(1724),
    [aux_sym_load_data_statement_token1] = ACTIONS(1724),
    [anon_sym_LBRACK] = ACTIONS(1724),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_DASH] = ACTIONS(1726),
    [anon_sym_STAR] = ACTIONS(1724),
    [anon_sym_SLASH] = ACTIONS(1726),
    [anon_sym_PIPE_PIPE] = ACTIONS(1724),
    [anon_sym_LT_EQ] = ACTIONS(1724),
    [anon_sym_LT_GT] = ACTIONS(1724),
    [anon_sym_GT_EQ] = ACTIONS(1724),
    [anon_sym_BANG_EQ] = ACTIONS(1724),
    [anon_sym_LT_LT] = ACTIONS(1724),
    [anon_sym_GT_GT] = ACTIONS(1724),
    [anon_sym_AMP] = ACTIONS(1724),
    [anon_sym_CARET] = ACTIONS(1724),
    [anon_sym_PIPE] = ACTIONS(1726),
  },
  [4400] = {
    [ts_builtin_sym_end] = ACTIONS(1728),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1728),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1728),
    [aux_sym_keyword_replace_token1] = ACTIONS(1728),
    [aux_sym__keyword_alter_token1] = ACTIONS(1728),
    [aux_sym__keyword_delete_token1] = ACTIONS(1728),
    [aux_sym__keyword_begin_token1] = ACTIONS(1728),
    [aux_sym__keyword_end_token1] = ACTIONS(1728),
    [aux_sym__keyword_between_token1] = ACTIONS(1728),
    [aux_sym__keyword_when_token1] = ACTIONS(1728),
    [aux_sym__keyword_else_token1] = ACTIONS(1730),
    [aux_sym__keyword_is_token1] = ACTIONS(1728),
    [aux_sym__keyword_in_token1] = ACTIONS(1730),
    [aux_sym__keyword_and_token1] = ACTIONS(1728),
    [aux_sym__keyword_like_token1] = ACTIONS(1728),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1728),
    [aux_sym__keyword_as_token1] = ACTIONS(1730),
    [aux_sym__keyword_for_token1] = ACTIONS(1728),
    [anon_sym_SEMI] = ACTIONS(1728),
    [aux_sym_declare_statement_token1] = ACTIONS(1728),
    [anon_sym_COMMA] = ACTIONS(1728),
    [aux_sym_set_statement_token1] = ACTIONS(1728),
    [anon_sym_LPAREN] = ACTIONS(1728),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1728),
    [aux_sym_return_satement_token1] = ACTIONS(1728),
    [aux_sym_call_statement_token1] = ACTIONS(1728),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1728),
    [aux_sym_if_statement_token1] = ACTIONS(1728),
    [aux_sym_loop_statement_token1] = ACTIONS(1728),
    [aux_sym_repeat_statement_token1] = ACTIONS(1728),
    [aux_sym_while_statement_token1] = ACTIONS(1728),
    [aux_sym_break_statement_token1] = ACTIONS(1728),
    [aux_sym_leave_statement_token1] = ACTIONS(1728),
    [aux_sym_continue_statement_token1] = ACTIONS(1728),
    [aux_sym_iterate_statement_token1] = ACTIONS(1728),
    [aux_sym_raise_statement_token1] = ACTIONS(1728),
    [anon_sym_EQ] = ACTIONS(1728),
    [aux_sym_assert_statement_token1] = ACTIONS(1728),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1728),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1728),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1728),
    [aux_sym_option_clause_token1] = ACTIONS(1728),
    [anon_sym_LT] = ACTIONS(1730),
    [anon_sym_GT] = ACTIONS(1730),
    [aux_sym_select_token1] = ACTIONS(1728),
    [aux_sym_insert_statement_token1] = ACTIONS(1728),
    [aux_sym_truncate_statement_token1] = ACTIONS(1728),
    [aux_sym_update_statement_token1] = ACTIONS(1728),
    [aux_sym_merge_statement_token1] = ACTIONS(1728),
    [aux_sym_grant_statement_token1] = ACTIONS(1728),
    [aux_sym_revoke_statement_token1] = ACTIONS(1728),
    [aux_sym_export_data_statement_token1] = ACTIONS(1728),
    [aux_sym_load_data_statement_token1] = ACTIONS(1728),
    [anon_sym_LBRACK] = ACTIONS(1728),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1728),
    [anon_sym_DASH] = ACTIONS(1730),
    [anon_sym_STAR] = ACTIONS(1728),
    [anon_sym_SLASH] = ACTIONS(1730),
    [anon_sym_PIPE_PIPE] = ACTIONS(1728),
    [anon_sym_LT_EQ] = ACTIONS(1728),
    [anon_sym_LT_GT] = ACTIONS(1728),
    [anon_sym_GT_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ] = ACTIONS(1728),
    [anon_sym_LT_LT] = ACTIONS(1728),
    [anon_sym_GT_GT] = ACTIONS(1728),
    [anon_sym_AMP] = ACTIONS(1728),
    [anon_sym_CARET] = ACTIONS(1728),
    [anon_sym_PIPE] = ACTIONS(1730),
  },
  [4401] = {
    [ts_builtin_sym_end] = ACTIONS(1732),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1732),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1732),
    [aux_sym_keyword_replace_token1] = ACTIONS(1732),
    [aux_sym__keyword_alter_token1] = ACTIONS(1732),
    [aux_sym__keyword_delete_token1] = ACTIONS(1732),
    [aux_sym__keyword_begin_token1] = ACTIONS(1732),
    [aux_sym__keyword_end_token1] = ACTIONS(1732),
    [aux_sym__keyword_between_token1] = ACTIONS(1732),
    [aux_sym__keyword_when_token1] = ACTIONS(1732),
    [aux_sym__keyword_else_token1] = ACTIONS(1734),
    [aux_sym__keyword_is_token1] = ACTIONS(1732),
    [aux_sym__keyword_in_token1] = ACTIONS(1734),
    [aux_sym__keyword_and_token1] = ACTIONS(1732),
    [aux_sym__keyword_like_token1] = ACTIONS(1732),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1732),
    [aux_sym__keyword_as_token1] = ACTIONS(1734),
    [aux_sym__keyword_for_token1] = ACTIONS(1732),
    [anon_sym_SEMI] = ACTIONS(1732),
    [aux_sym_declare_statement_token1] = ACTIONS(1732),
    [anon_sym_COMMA] = ACTIONS(1732),
    [aux_sym_set_statement_token1] = ACTIONS(1732),
    [anon_sym_LPAREN] = ACTIONS(1732),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1732),
    [aux_sym_return_satement_token1] = ACTIONS(1732),
    [aux_sym_call_statement_token1] = ACTIONS(1732),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1732),
    [aux_sym_if_statement_token1] = ACTIONS(1732),
    [aux_sym_loop_statement_token1] = ACTIONS(1732),
    [aux_sym_repeat_statement_token1] = ACTIONS(1732),
    [aux_sym_while_statement_token1] = ACTIONS(1732),
    [aux_sym_break_statement_token1] = ACTIONS(1732),
    [aux_sym_leave_statement_token1] = ACTIONS(1732),
    [aux_sym_continue_statement_token1] = ACTIONS(1732),
    [aux_sym_iterate_statement_token1] = ACTIONS(1732),
    [aux_sym_raise_statement_token1] = ACTIONS(1732),
    [anon_sym_EQ] = ACTIONS(1732),
    [aux_sym_assert_statement_token1] = ACTIONS(1732),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1732),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1732),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1732),
    [aux_sym_option_clause_token1] = ACTIONS(1732),
    [anon_sym_LT] = ACTIONS(1734),
    [anon_sym_GT] = ACTIONS(1734),
    [aux_sym_select_token1] = ACTIONS(1732),
    [aux_sym_insert_statement_token1] = ACTIONS(1732),
    [aux_sym_truncate_statement_token1] = ACTIONS(1732),
    [aux_sym_update_statement_token1] = ACTIONS(1732),
    [aux_sym_merge_statement_token1] = ACTIONS(1732),
    [aux_sym_grant_statement_token1] = ACTIONS(1732),
    [aux_sym_revoke_statement_token1] = ACTIONS(1732),
    [aux_sym_export_data_statement_token1] = ACTIONS(1732),
    [aux_sym_load_data_statement_token1] = ACTIONS(1732),
    [anon_sym_LBRACK] = ACTIONS(1732),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1732),
    [anon_sym_PLUS] = ACTIONS(1732),
    [anon_sym_DASH] = ACTIONS(1734),
    [anon_sym_STAR] = ACTIONS(1732),
    [anon_sym_SLASH] = ACTIONS(1734),
    [anon_sym_PIPE_PIPE] = ACTIONS(1732),
    [anon_sym_LT_EQ] = ACTIONS(1732),
    [anon_sym_LT_GT] = ACTIONS(1732),
    [anon_sym_GT_EQ] = ACTIONS(1732),
    [anon_sym_BANG_EQ] = ACTIONS(1732),
    [anon_sym_LT_LT] = ACTIONS(1732),
    [anon_sym_GT_GT] = ACTIONS(1732),
    [anon_sym_AMP] = ACTIONS(1732),
    [anon_sym_CARET] = ACTIONS(1732),
    [anon_sym_PIPE] = ACTIONS(1734),
  },
  [4402] = {
    [sym_analytics_clause] = STATE(4811),
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1442),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_into_clause_token1] = ACTIONS(1442),
    [aux_sym_using_clause_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [4403] = {
    [ts_builtin_sym_end] = ACTIONS(1788),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1788),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1788),
    [aux_sym_keyword_replace_token1] = ACTIONS(1788),
    [aux_sym__keyword_alter_token1] = ACTIONS(1788),
    [aux_sym__keyword_delete_token1] = ACTIONS(1788),
    [aux_sym__keyword_begin_token1] = ACTIONS(1788),
    [aux_sym__keyword_end_token1] = ACTIONS(1788),
    [aux_sym__keyword_between_token1] = ACTIONS(1788),
    [aux_sym__keyword_when_token1] = ACTIONS(1788),
    [aux_sym__keyword_else_token1] = ACTIONS(1790),
    [aux_sym__keyword_is_token1] = ACTIONS(1788),
    [aux_sym__keyword_in_token1] = ACTIONS(1790),
    [aux_sym__keyword_and_token1] = ACTIONS(1788),
    [aux_sym__keyword_like_token1] = ACTIONS(1788),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1788),
    [aux_sym__keyword_as_token1] = ACTIONS(1790),
    [aux_sym__keyword_for_token1] = ACTIONS(1788),
    [anon_sym_SEMI] = ACTIONS(1788),
    [aux_sym_declare_statement_token1] = ACTIONS(1788),
    [anon_sym_COMMA] = ACTIONS(1788),
    [aux_sym_set_statement_token1] = ACTIONS(1788),
    [anon_sym_LPAREN] = ACTIONS(1788),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1788),
    [aux_sym_return_satement_token1] = ACTIONS(1788),
    [aux_sym_call_statement_token1] = ACTIONS(1788),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1788),
    [aux_sym_if_statement_token1] = ACTIONS(1788),
    [aux_sym_loop_statement_token1] = ACTIONS(1788),
    [aux_sym_repeat_statement_token1] = ACTIONS(1788),
    [aux_sym_while_statement_token1] = ACTIONS(1788),
    [aux_sym_break_statement_token1] = ACTIONS(1788),
    [aux_sym_leave_statement_token1] = ACTIONS(1788),
    [aux_sym_continue_statement_token1] = ACTIONS(1788),
    [aux_sym_iterate_statement_token1] = ACTIONS(1788),
    [aux_sym_raise_statement_token1] = ACTIONS(1788),
    [anon_sym_EQ] = ACTIONS(1788),
    [aux_sym_assert_statement_token1] = ACTIONS(1788),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1788),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1788),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1788),
    [aux_sym_option_clause_token1] = ACTIONS(1788),
    [anon_sym_LT] = ACTIONS(1790),
    [anon_sym_GT] = ACTIONS(1790),
    [aux_sym_select_token1] = ACTIONS(1788),
    [aux_sym_insert_statement_token1] = ACTIONS(1788),
    [aux_sym_truncate_statement_token1] = ACTIONS(1788),
    [aux_sym_update_statement_token1] = ACTIONS(1788),
    [aux_sym_merge_statement_token1] = ACTIONS(1788),
    [aux_sym_grant_statement_token1] = ACTIONS(1788),
    [aux_sym_revoke_statement_token1] = ACTIONS(1788),
    [aux_sym_export_data_statement_token1] = ACTIONS(1788),
    [aux_sym_load_data_statement_token1] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1788),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1788),
    [anon_sym_PLUS] = ACTIONS(1788),
    [anon_sym_DASH] = ACTIONS(1790),
    [anon_sym_STAR] = ACTIONS(1788),
    [anon_sym_SLASH] = ACTIONS(1790),
    [anon_sym_PIPE_PIPE] = ACTIONS(1788),
    [anon_sym_LT_EQ] = ACTIONS(1788),
    [anon_sym_LT_GT] = ACTIONS(1788),
    [anon_sym_GT_EQ] = ACTIONS(1788),
    [anon_sym_BANG_EQ] = ACTIONS(1788),
    [anon_sym_LT_LT] = ACTIONS(1788),
    [anon_sym_GT_GT] = ACTIONS(1788),
    [anon_sym_AMP] = ACTIONS(1788),
    [anon_sym_CARET] = ACTIONS(1788),
    [anon_sym_PIPE] = ACTIONS(1790),
  },
  [4404] = {
    [ts_builtin_sym_end] = ACTIONS(1578),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1578),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1578),
    [aux_sym_keyword_replace_token1] = ACTIONS(1578),
    [aux_sym__keyword_alter_token1] = ACTIONS(1578),
    [aux_sym__keyword_delete_token1] = ACTIONS(1578),
    [aux_sym__keyword_begin_token1] = ACTIONS(1578),
    [aux_sym__keyword_end_token1] = ACTIONS(1578),
    [aux_sym__keyword_between_token1] = ACTIONS(1578),
    [aux_sym__keyword_when_token1] = ACTIONS(1578),
    [aux_sym__keyword_else_token1] = ACTIONS(1580),
    [aux_sym__keyword_is_token1] = ACTIONS(1578),
    [aux_sym__keyword_in_token1] = ACTIONS(1580),
    [aux_sym__keyword_and_token1] = ACTIONS(1578),
    [aux_sym__keyword_like_token1] = ACTIONS(1578),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1578),
    [aux_sym__keyword_as_token1] = ACTIONS(1580),
    [aux_sym__keyword_for_token1] = ACTIONS(1578),
    [anon_sym_SEMI] = ACTIONS(1578),
    [aux_sym_declare_statement_token1] = ACTIONS(1578),
    [anon_sym_COMMA] = ACTIONS(1578),
    [aux_sym_set_statement_token1] = ACTIONS(1578),
    [anon_sym_LPAREN] = ACTIONS(1578),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1578),
    [aux_sym_return_satement_token1] = ACTIONS(1578),
    [aux_sym_call_statement_token1] = ACTIONS(1578),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1578),
    [aux_sym_if_statement_token1] = ACTIONS(1578),
    [aux_sym_loop_statement_token1] = ACTIONS(1578),
    [aux_sym_repeat_statement_token1] = ACTIONS(1578),
    [aux_sym_while_statement_token1] = ACTIONS(1578),
    [aux_sym_break_statement_token1] = ACTIONS(1578),
    [aux_sym_leave_statement_token1] = ACTIONS(1578),
    [aux_sym_continue_statement_token1] = ACTIONS(1578),
    [aux_sym_iterate_statement_token1] = ACTIONS(1578),
    [aux_sym_raise_statement_token1] = ACTIONS(1578),
    [anon_sym_EQ] = ACTIONS(1578),
    [aux_sym_assert_statement_token1] = ACTIONS(1578),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1578),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1578),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1578),
    [aux_sym_option_clause_token1] = ACTIONS(1578),
    [anon_sym_LT] = ACTIONS(1580),
    [anon_sym_GT] = ACTIONS(1580),
    [aux_sym_select_token1] = ACTIONS(1578),
    [aux_sym_insert_statement_token1] = ACTIONS(1578),
    [aux_sym_truncate_statement_token1] = ACTIONS(1578),
    [aux_sym_update_statement_token1] = ACTIONS(1578),
    [aux_sym_merge_statement_token1] = ACTIONS(1578),
    [aux_sym_grant_statement_token1] = ACTIONS(1578),
    [aux_sym_revoke_statement_token1] = ACTIONS(1578),
    [aux_sym_export_data_statement_token1] = ACTIONS(1578),
    [aux_sym_load_data_statement_token1] = ACTIONS(1578),
    [anon_sym_LBRACK] = ACTIONS(1578),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1578),
    [anon_sym_DASH] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(1578),
    [anon_sym_SLASH] = ACTIONS(1580),
    [anon_sym_PIPE_PIPE] = ACTIONS(1578),
    [anon_sym_LT_EQ] = ACTIONS(1578),
    [anon_sym_LT_GT] = ACTIONS(1578),
    [anon_sym_GT_EQ] = ACTIONS(1578),
    [anon_sym_BANG_EQ] = ACTIONS(1578),
    [anon_sym_LT_LT] = ACTIONS(1578),
    [anon_sym_GT_GT] = ACTIONS(1578),
    [anon_sym_AMP] = ACTIONS(1578),
    [anon_sym_CARET] = ACTIONS(1578),
    [anon_sym_PIPE] = ACTIONS(1580),
  },
  [4405] = {
    [ts_builtin_sym_end] = ACTIONS(1736),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1736),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1736),
    [aux_sym_keyword_replace_token1] = ACTIONS(1736),
    [aux_sym__keyword_alter_token1] = ACTIONS(1736),
    [aux_sym__keyword_delete_token1] = ACTIONS(1736),
    [aux_sym__keyword_begin_token1] = ACTIONS(1736),
    [aux_sym__keyword_end_token1] = ACTIONS(1736),
    [aux_sym__keyword_between_token1] = ACTIONS(1736),
    [aux_sym__keyword_when_token1] = ACTIONS(1736),
    [aux_sym__keyword_else_token1] = ACTIONS(1738),
    [aux_sym__keyword_is_token1] = ACTIONS(1736),
    [aux_sym__keyword_in_token1] = ACTIONS(1738),
    [aux_sym__keyword_and_token1] = ACTIONS(1736),
    [aux_sym__keyword_like_token1] = ACTIONS(1736),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1736),
    [aux_sym__keyword_as_token1] = ACTIONS(1738),
    [aux_sym__keyword_for_token1] = ACTIONS(1736),
    [anon_sym_SEMI] = ACTIONS(1736),
    [aux_sym_declare_statement_token1] = ACTIONS(1736),
    [anon_sym_COMMA] = ACTIONS(1736),
    [aux_sym_set_statement_token1] = ACTIONS(1736),
    [anon_sym_LPAREN] = ACTIONS(1736),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1736),
    [aux_sym_return_satement_token1] = ACTIONS(1736),
    [aux_sym_call_statement_token1] = ACTIONS(1736),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1736),
    [aux_sym_if_statement_token1] = ACTIONS(1736),
    [aux_sym_loop_statement_token1] = ACTIONS(1736),
    [aux_sym_repeat_statement_token1] = ACTIONS(1736),
    [aux_sym_while_statement_token1] = ACTIONS(1736),
    [aux_sym_break_statement_token1] = ACTIONS(1736),
    [aux_sym_leave_statement_token1] = ACTIONS(1736),
    [aux_sym_continue_statement_token1] = ACTIONS(1736),
    [aux_sym_iterate_statement_token1] = ACTIONS(1736),
    [aux_sym_raise_statement_token1] = ACTIONS(1736),
    [anon_sym_EQ] = ACTIONS(1736),
    [aux_sym_assert_statement_token1] = ACTIONS(1736),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1736),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1736),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1736),
    [aux_sym_option_clause_token1] = ACTIONS(1736),
    [anon_sym_LT] = ACTIONS(1738),
    [anon_sym_GT] = ACTIONS(1738),
    [aux_sym_select_token1] = ACTIONS(1736),
    [aux_sym_insert_statement_token1] = ACTIONS(1736),
    [aux_sym_truncate_statement_token1] = ACTIONS(1736),
    [aux_sym_update_statement_token1] = ACTIONS(1736),
    [aux_sym_merge_statement_token1] = ACTIONS(1736),
    [aux_sym_grant_statement_token1] = ACTIONS(1736),
    [aux_sym_revoke_statement_token1] = ACTIONS(1736),
    [aux_sym_export_data_statement_token1] = ACTIONS(1736),
    [aux_sym_load_data_statement_token1] = ACTIONS(1736),
    [anon_sym_LBRACK] = ACTIONS(1736),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1736),
    [anon_sym_PLUS] = ACTIONS(1736),
    [anon_sym_DASH] = ACTIONS(1738),
    [anon_sym_STAR] = ACTIONS(1736),
    [anon_sym_SLASH] = ACTIONS(1738),
    [anon_sym_PIPE_PIPE] = ACTIONS(1736),
    [anon_sym_LT_EQ] = ACTIONS(1736),
    [anon_sym_LT_GT] = ACTIONS(1736),
    [anon_sym_GT_EQ] = ACTIONS(1736),
    [anon_sym_BANG_EQ] = ACTIONS(1736),
    [anon_sym_LT_LT] = ACTIONS(1736),
    [anon_sym_GT_GT] = ACTIONS(1736),
    [anon_sym_AMP] = ACTIONS(1736),
    [anon_sym_CARET] = ACTIONS(1736),
    [anon_sym_PIPE] = ACTIONS(1738),
  },
  [4406] = {
    [ts_builtin_sym_end] = ACTIONS(1740),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1740),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1740),
    [aux_sym_keyword_replace_token1] = ACTIONS(1740),
    [aux_sym__keyword_alter_token1] = ACTIONS(1740),
    [aux_sym__keyword_delete_token1] = ACTIONS(1740),
    [aux_sym__keyword_begin_token1] = ACTIONS(1740),
    [aux_sym__keyword_end_token1] = ACTIONS(1740),
    [aux_sym__keyword_between_token1] = ACTIONS(1740),
    [aux_sym__keyword_when_token1] = ACTIONS(1740),
    [aux_sym__keyword_else_token1] = ACTIONS(1742),
    [aux_sym__keyword_is_token1] = ACTIONS(1740),
    [aux_sym__keyword_in_token1] = ACTIONS(1742),
    [aux_sym__keyword_and_token1] = ACTIONS(1740),
    [aux_sym__keyword_like_token1] = ACTIONS(1740),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1740),
    [aux_sym__keyword_as_token1] = ACTIONS(1742),
    [aux_sym__keyword_for_token1] = ACTIONS(1740),
    [anon_sym_SEMI] = ACTIONS(1740),
    [aux_sym_declare_statement_token1] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1740),
    [aux_sym_set_statement_token1] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1740),
    [aux_sym_return_satement_token1] = ACTIONS(1740),
    [aux_sym_call_statement_token1] = ACTIONS(1740),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1740),
    [aux_sym_if_statement_token1] = ACTIONS(1740),
    [aux_sym_loop_statement_token1] = ACTIONS(1740),
    [aux_sym_repeat_statement_token1] = ACTIONS(1740),
    [aux_sym_while_statement_token1] = ACTIONS(1740),
    [aux_sym_break_statement_token1] = ACTIONS(1740),
    [aux_sym_leave_statement_token1] = ACTIONS(1740),
    [aux_sym_continue_statement_token1] = ACTIONS(1740),
    [aux_sym_iterate_statement_token1] = ACTIONS(1740),
    [aux_sym_raise_statement_token1] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1740),
    [aux_sym_assert_statement_token1] = ACTIONS(1740),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1740),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1740),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1740),
    [aux_sym_option_clause_token1] = ACTIONS(1740),
    [anon_sym_LT] = ACTIONS(1742),
    [anon_sym_GT] = ACTIONS(1742),
    [aux_sym_select_token1] = ACTIONS(1740),
    [aux_sym_insert_statement_token1] = ACTIONS(1740),
    [aux_sym_truncate_statement_token1] = ACTIONS(1740),
    [aux_sym_update_statement_token1] = ACTIONS(1740),
    [aux_sym_merge_statement_token1] = ACTIONS(1740),
    [aux_sym_grant_statement_token1] = ACTIONS(1740),
    [aux_sym_revoke_statement_token1] = ACTIONS(1740),
    [aux_sym_export_data_statement_token1] = ACTIONS(1740),
    [aux_sym_load_data_statement_token1] = ACTIONS(1740),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1740),
    [anon_sym_SLASH] = ACTIONS(1742),
    [anon_sym_PIPE_PIPE] = ACTIONS(1740),
    [anon_sym_LT_EQ] = ACTIONS(1740),
    [anon_sym_LT_GT] = ACTIONS(1740),
    [anon_sym_GT_EQ] = ACTIONS(1740),
    [anon_sym_BANG_EQ] = ACTIONS(1740),
    [anon_sym_LT_LT] = ACTIONS(1740),
    [anon_sym_GT_GT] = ACTIONS(1740),
    [anon_sym_AMP] = ACTIONS(1740),
    [anon_sym_CARET] = ACTIONS(1740),
    [anon_sym_PIPE] = ACTIONS(1742),
  },
  [4407] = {
    [ts_builtin_sym_end] = ACTIONS(1652),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1652),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1652),
    [aux_sym_keyword_replace_token1] = ACTIONS(1652),
    [aux_sym__keyword_alter_token1] = ACTIONS(1652),
    [aux_sym__keyword_delete_token1] = ACTIONS(1652),
    [aux_sym__keyword_begin_token1] = ACTIONS(1652),
    [aux_sym__keyword_end_token1] = ACTIONS(1652),
    [aux_sym__keyword_between_token1] = ACTIONS(1652),
    [aux_sym__keyword_when_token1] = ACTIONS(1652),
    [aux_sym__keyword_else_token1] = ACTIONS(1654),
    [aux_sym__keyword_is_token1] = ACTIONS(1652),
    [aux_sym__keyword_in_token1] = ACTIONS(1654),
    [aux_sym__keyword_and_token1] = ACTIONS(1652),
    [aux_sym__keyword_like_token1] = ACTIONS(1652),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1652),
    [aux_sym__keyword_as_token1] = ACTIONS(1654),
    [aux_sym__keyword_for_token1] = ACTIONS(1652),
    [anon_sym_SEMI] = ACTIONS(1652),
    [aux_sym_declare_statement_token1] = ACTIONS(1652),
    [anon_sym_COMMA] = ACTIONS(1652),
    [aux_sym_set_statement_token1] = ACTIONS(1652),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1652),
    [aux_sym_return_satement_token1] = ACTIONS(1652),
    [aux_sym_call_statement_token1] = ACTIONS(1652),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1652),
    [aux_sym_if_statement_token1] = ACTIONS(1652),
    [aux_sym_loop_statement_token1] = ACTIONS(1652),
    [aux_sym_repeat_statement_token1] = ACTIONS(1652),
    [aux_sym_while_statement_token1] = ACTIONS(1652),
    [aux_sym_break_statement_token1] = ACTIONS(1652),
    [aux_sym_leave_statement_token1] = ACTIONS(1652),
    [aux_sym_continue_statement_token1] = ACTIONS(1652),
    [aux_sym_iterate_statement_token1] = ACTIONS(1652),
    [aux_sym_raise_statement_token1] = ACTIONS(1652),
    [anon_sym_EQ] = ACTIONS(1652),
    [aux_sym_assert_statement_token1] = ACTIONS(1652),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1652),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1652),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1652),
    [aux_sym_option_clause_token1] = ACTIONS(1652),
    [anon_sym_LT] = ACTIONS(1654),
    [anon_sym_GT] = ACTIONS(1654),
    [aux_sym_select_token1] = ACTIONS(1652),
    [aux_sym_insert_statement_token1] = ACTIONS(1652),
    [aux_sym_truncate_statement_token1] = ACTIONS(1652),
    [aux_sym_update_statement_token1] = ACTIONS(1652),
    [aux_sym_merge_statement_token1] = ACTIONS(1652),
    [aux_sym_grant_statement_token1] = ACTIONS(1652),
    [aux_sym_revoke_statement_token1] = ACTIONS(1652),
    [aux_sym_export_data_statement_token1] = ACTIONS(1652),
    [aux_sym_load_data_statement_token1] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1652),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1652),
    [anon_sym_PLUS] = ACTIONS(1652),
    [anon_sym_DASH] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(1652),
    [anon_sym_SLASH] = ACTIONS(1654),
    [anon_sym_PIPE_PIPE] = ACTIONS(1652),
    [anon_sym_LT_EQ] = ACTIONS(1652),
    [anon_sym_LT_GT] = ACTIONS(1652),
    [anon_sym_GT_EQ] = ACTIONS(1652),
    [anon_sym_BANG_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT] = ACTIONS(1652),
    [anon_sym_GT_GT] = ACTIONS(1652),
    [anon_sym_AMP] = ACTIONS(1652),
    [anon_sym_CARET] = ACTIONS(1652),
    [anon_sym_PIPE] = ACTIONS(1654),
  },
  [4408] = {
    [sym_analytics_clause] = STATE(4816),
    [ts_builtin_sym_end] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1446),
    [aux_sym_keyword_replace_token1] = ACTIONS(1446),
    [aux_sym__keyword_alter_token1] = ACTIONS(1446),
    [aux_sym__keyword_delete_token1] = ACTIONS(1446),
    [aux_sym__keyword_begin_token1] = ACTIONS(1446),
    [aux_sym__keyword_end_token1] = ACTIONS(1446),
    [aux_sym__keyword_between_token1] = ACTIONS(1446),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1446),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1446),
    [aux_sym__keyword_like_token1] = ACTIONS(1446),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1446),
    [aux_sym__keyword_for_token1] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1446),
    [aux_sym_into_clause_token1] = ACTIONS(1446),
    [aux_sym_using_clause_token1] = ACTIONS(1446),
    [aux_sym_return_satement_token1] = ACTIONS(1446),
    [aux_sym_call_statement_token1] = ACTIONS(1446),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_loop_statement_token1] = ACTIONS(1446),
    [aux_sym_repeat_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [aux_sym_leave_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_iterate_statement_token1] = ACTIONS(1446),
    [aux_sym_raise_statement_token1] = ACTIONS(1446),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1446),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1446),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1446),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1446),
    [aux_sym_truncate_statement_token1] = ACTIONS(1446),
    [aux_sym_update_statement_token1] = ACTIONS(1446),
    [aux_sym_merge_statement_token1] = ACTIONS(1446),
    [aux_sym_grant_statement_token1] = ACTIONS(1446),
    [aux_sym_revoke_statement_token1] = ACTIONS(1446),
    [aux_sym_export_data_statement_token1] = ACTIONS(1446),
    [aux_sym_load_data_statement_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [4409] = {
    [ts_builtin_sym_end] = ACTIONS(1660),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1660),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1660),
    [aux_sym_keyword_replace_token1] = ACTIONS(1660),
    [aux_sym__keyword_alter_token1] = ACTIONS(1660),
    [aux_sym__keyword_delete_token1] = ACTIONS(1660),
    [aux_sym__keyword_begin_token1] = ACTIONS(1660),
    [aux_sym__keyword_end_token1] = ACTIONS(1660),
    [aux_sym__keyword_between_token1] = ACTIONS(1660),
    [aux_sym__keyword_when_token1] = ACTIONS(1660),
    [aux_sym__keyword_else_token1] = ACTIONS(1662),
    [aux_sym__keyword_is_token1] = ACTIONS(1660),
    [aux_sym__keyword_in_token1] = ACTIONS(1662),
    [aux_sym__keyword_and_token1] = ACTIONS(1660),
    [aux_sym__keyword_like_token1] = ACTIONS(1660),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1660),
    [aux_sym__keyword_as_token1] = ACTIONS(1662),
    [aux_sym__keyword_for_token1] = ACTIONS(1660),
    [anon_sym_SEMI] = ACTIONS(1660),
    [aux_sym_declare_statement_token1] = ACTIONS(1660),
    [anon_sym_COMMA] = ACTIONS(1660),
    [aux_sym_set_statement_token1] = ACTIONS(1660),
    [anon_sym_LPAREN] = ACTIONS(1660),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1660),
    [aux_sym_return_satement_token1] = ACTIONS(1660),
    [aux_sym_call_statement_token1] = ACTIONS(1660),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1660),
    [aux_sym_if_statement_token1] = ACTIONS(1660),
    [aux_sym_loop_statement_token1] = ACTIONS(1660),
    [aux_sym_repeat_statement_token1] = ACTIONS(1660),
    [aux_sym_while_statement_token1] = ACTIONS(1660),
    [aux_sym_break_statement_token1] = ACTIONS(1660),
    [aux_sym_leave_statement_token1] = ACTIONS(1660),
    [aux_sym_continue_statement_token1] = ACTIONS(1660),
    [aux_sym_iterate_statement_token1] = ACTIONS(1660),
    [aux_sym_raise_statement_token1] = ACTIONS(1660),
    [anon_sym_EQ] = ACTIONS(1660),
    [aux_sym_assert_statement_token1] = ACTIONS(1660),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1660),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1660),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1660),
    [aux_sym_option_clause_token1] = ACTIONS(1660),
    [anon_sym_LT] = ACTIONS(1662),
    [anon_sym_GT] = ACTIONS(1662),
    [aux_sym_select_token1] = ACTIONS(1660),
    [aux_sym_insert_statement_token1] = ACTIONS(1660),
    [aux_sym_truncate_statement_token1] = ACTIONS(1660),
    [aux_sym_update_statement_token1] = ACTIONS(1660),
    [aux_sym_merge_statement_token1] = ACTIONS(1660),
    [aux_sym_grant_statement_token1] = ACTIONS(1660),
    [aux_sym_revoke_statement_token1] = ACTIONS(1660),
    [aux_sym_export_data_statement_token1] = ACTIONS(1660),
    [aux_sym_load_data_statement_token1] = ACTIONS(1660),
    [anon_sym_LBRACK] = ACTIONS(1660),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1660),
    [anon_sym_PLUS] = ACTIONS(1660),
    [anon_sym_DASH] = ACTIONS(1662),
    [anon_sym_STAR] = ACTIONS(1660),
    [anon_sym_SLASH] = ACTIONS(1662),
    [anon_sym_PIPE_PIPE] = ACTIONS(1660),
    [anon_sym_LT_EQ] = ACTIONS(1660),
    [anon_sym_LT_GT] = ACTIONS(1660),
    [anon_sym_GT_EQ] = ACTIONS(1660),
    [anon_sym_BANG_EQ] = ACTIONS(1660),
    [anon_sym_LT_LT] = ACTIONS(1660),
    [anon_sym_GT_GT] = ACTIONS(1660),
    [anon_sym_AMP] = ACTIONS(1660),
    [anon_sym_CARET] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1662),
  },
  [4410] = {
    [sym_analytics_clause] = STATE(4806),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1462),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_into_clause_token1] = ACTIONS(1462),
    [aux_sym_using_clause_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [4411] = {
    [sym_analytics_clause] = STATE(4815),
    [ts_builtin_sym_end] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1446),
    [aux_sym_keyword_replace_token1] = ACTIONS(1446),
    [aux_sym__keyword_alter_token1] = ACTIONS(1446),
    [aux_sym__keyword_delete_token1] = ACTIONS(1446),
    [aux_sym__keyword_begin_token1] = ACTIONS(1446),
    [aux_sym__keyword_end_token1] = ACTIONS(1446),
    [aux_sym__keyword_between_token1] = ACTIONS(1446),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1446),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1446),
    [aux_sym__keyword_like_token1] = ACTIONS(1446),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1446),
    [aux_sym__keyword_for_token1] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1446),
    [aux_sym_into_clause_token1] = ACTIONS(1446),
    [aux_sym_using_clause_token1] = ACTIONS(1446),
    [aux_sym_return_satement_token1] = ACTIONS(1446),
    [aux_sym_call_statement_token1] = ACTIONS(1446),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_loop_statement_token1] = ACTIONS(1446),
    [aux_sym_repeat_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [aux_sym_leave_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_iterate_statement_token1] = ACTIONS(1446),
    [aux_sym_raise_statement_token1] = ACTIONS(1446),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1446),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1446),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1446),
    [aux_sym_analytics_clause_token1] = ACTIONS(3362),
    [aux_sym_insert_statement_token1] = ACTIONS(1446),
    [aux_sym_truncate_statement_token1] = ACTIONS(1446),
    [aux_sym_update_statement_token1] = ACTIONS(1446),
    [aux_sym_merge_statement_token1] = ACTIONS(1446),
    [aux_sym_grant_statement_token1] = ACTIONS(1446),
    [aux_sym_revoke_statement_token1] = ACTIONS(1446),
    [aux_sym_export_data_statement_token1] = ACTIONS(1446),
    [aux_sym_load_data_statement_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [4412] = {
    [ts_builtin_sym_end] = ACTIONS(1664),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1664),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1664),
    [aux_sym_keyword_replace_token1] = ACTIONS(1664),
    [aux_sym__keyword_alter_token1] = ACTIONS(1664),
    [aux_sym__keyword_delete_token1] = ACTIONS(1664),
    [aux_sym__keyword_begin_token1] = ACTIONS(1664),
    [aux_sym__keyword_end_token1] = ACTIONS(1664),
    [aux_sym__keyword_between_token1] = ACTIONS(1664),
    [aux_sym__keyword_when_token1] = ACTIONS(1664),
    [aux_sym__keyword_else_token1] = ACTIONS(1666),
    [aux_sym__keyword_is_token1] = ACTIONS(1664),
    [aux_sym__keyword_in_token1] = ACTIONS(1666),
    [aux_sym__keyword_and_token1] = ACTIONS(1664),
    [aux_sym__keyword_like_token1] = ACTIONS(1664),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1664),
    [aux_sym__keyword_as_token1] = ACTIONS(1666),
    [aux_sym__keyword_for_token1] = ACTIONS(1664),
    [anon_sym_SEMI] = ACTIONS(1664),
    [aux_sym_declare_statement_token1] = ACTIONS(1664),
    [anon_sym_COMMA] = ACTIONS(1664),
    [aux_sym_set_statement_token1] = ACTIONS(1664),
    [anon_sym_LPAREN] = ACTIONS(1664),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1664),
    [aux_sym_return_satement_token1] = ACTIONS(1664),
    [aux_sym_call_statement_token1] = ACTIONS(1664),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1664),
    [aux_sym_if_statement_token1] = ACTIONS(1664),
    [aux_sym_loop_statement_token1] = ACTIONS(1664),
    [aux_sym_repeat_statement_token1] = ACTIONS(1664),
    [aux_sym_while_statement_token1] = ACTIONS(1664),
    [aux_sym_break_statement_token1] = ACTIONS(1664),
    [aux_sym_leave_statement_token1] = ACTIONS(1664),
    [aux_sym_continue_statement_token1] = ACTIONS(1664),
    [aux_sym_iterate_statement_token1] = ACTIONS(1664),
    [aux_sym_raise_statement_token1] = ACTIONS(1664),
    [anon_sym_EQ] = ACTIONS(1664),
    [aux_sym_assert_statement_token1] = ACTIONS(1664),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1664),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1664),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1664),
    [aux_sym_option_clause_token1] = ACTIONS(1664),
    [anon_sym_LT] = ACTIONS(1666),
    [anon_sym_GT] = ACTIONS(1666),
    [aux_sym_select_token1] = ACTIONS(1664),
    [aux_sym_insert_statement_token1] = ACTIONS(1664),
    [aux_sym_truncate_statement_token1] = ACTIONS(1664),
    [aux_sym_update_statement_token1] = ACTIONS(1664),
    [aux_sym_merge_statement_token1] = ACTIONS(1664),
    [aux_sym_grant_statement_token1] = ACTIONS(1664),
    [aux_sym_revoke_statement_token1] = ACTIONS(1664),
    [aux_sym_export_data_statement_token1] = ACTIONS(1664),
    [aux_sym_load_data_statement_token1] = ACTIONS(1664),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1664),
    [anon_sym_PLUS] = ACTIONS(1664),
    [anon_sym_DASH] = ACTIONS(1666),
    [anon_sym_STAR] = ACTIONS(1664),
    [anon_sym_SLASH] = ACTIONS(1666),
    [anon_sym_PIPE_PIPE] = ACTIONS(1664),
    [anon_sym_LT_EQ] = ACTIONS(1664),
    [anon_sym_LT_GT] = ACTIONS(1664),
    [anon_sym_GT_EQ] = ACTIONS(1664),
    [anon_sym_BANG_EQ] = ACTIONS(1664),
    [anon_sym_LT_LT] = ACTIONS(1664),
    [anon_sym_GT_GT] = ACTIONS(1664),
    [anon_sym_AMP] = ACTIONS(1664),
    [anon_sym_CARET] = ACTIONS(1664),
    [anon_sym_PIPE] = ACTIONS(1666),
  },
  [4413] = {
    [ts_builtin_sym_end] = ACTIONS(1668),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1668),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1668),
    [aux_sym_keyword_replace_token1] = ACTIONS(1668),
    [aux_sym__keyword_alter_token1] = ACTIONS(1668),
    [aux_sym__keyword_delete_token1] = ACTIONS(1668),
    [aux_sym__keyword_begin_token1] = ACTIONS(1668),
    [aux_sym__keyword_end_token1] = ACTIONS(1668),
    [aux_sym__keyword_between_token1] = ACTIONS(1668),
    [aux_sym__keyword_when_token1] = ACTIONS(1668),
    [aux_sym__keyword_else_token1] = ACTIONS(1670),
    [aux_sym__keyword_is_token1] = ACTIONS(1668),
    [aux_sym__keyword_in_token1] = ACTIONS(1670),
    [aux_sym__keyword_and_token1] = ACTIONS(1668),
    [aux_sym__keyword_like_token1] = ACTIONS(1668),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1668),
    [aux_sym__keyword_as_token1] = ACTIONS(1670),
    [aux_sym__keyword_for_token1] = ACTIONS(1668),
    [anon_sym_SEMI] = ACTIONS(1668),
    [aux_sym_declare_statement_token1] = ACTIONS(1668),
    [anon_sym_COMMA] = ACTIONS(1668),
    [aux_sym_set_statement_token1] = ACTIONS(1668),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1668),
    [aux_sym_return_satement_token1] = ACTIONS(1668),
    [aux_sym_call_statement_token1] = ACTIONS(1668),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1668),
    [aux_sym_if_statement_token1] = ACTIONS(1668),
    [aux_sym_loop_statement_token1] = ACTIONS(1668),
    [aux_sym_repeat_statement_token1] = ACTIONS(1668),
    [aux_sym_while_statement_token1] = ACTIONS(1668),
    [aux_sym_break_statement_token1] = ACTIONS(1668),
    [aux_sym_leave_statement_token1] = ACTIONS(1668),
    [aux_sym_continue_statement_token1] = ACTIONS(1668),
    [aux_sym_iterate_statement_token1] = ACTIONS(1668),
    [aux_sym_raise_statement_token1] = ACTIONS(1668),
    [anon_sym_EQ] = ACTIONS(1668),
    [aux_sym_assert_statement_token1] = ACTIONS(1668),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1668),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1668),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1668),
    [aux_sym_option_clause_token1] = ACTIONS(1668),
    [anon_sym_LT] = ACTIONS(1670),
    [anon_sym_GT] = ACTIONS(1670),
    [aux_sym_select_token1] = ACTIONS(1668),
    [aux_sym_insert_statement_token1] = ACTIONS(1668),
    [aux_sym_truncate_statement_token1] = ACTIONS(1668),
    [aux_sym_update_statement_token1] = ACTIONS(1668),
    [aux_sym_merge_statement_token1] = ACTIONS(1668),
    [aux_sym_grant_statement_token1] = ACTIONS(1668),
    [aux_sym_revoke_statement_token1] = ACTIONS(1668),
    [aux_sym_export_data_statement_token1] = ACTIONS(1668),
    [aux_sym_load_data_statement_token1] = ACTIONS(1668),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1668),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_STAR] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(1670),
    [anon_sym_PIPE_PIPE] = ACTIONS(1668),
    [anon_sym_LT_EQ] = ACTIONS(1668),
    [anon_sym_LT_GT] = ACTIONS(1668),
    [anon_sym_GT_EQ] = ACTIONS(1668),
    [anon_sym_BANG_EQ] = ACTIONS(1668),
    [anon_sym_LT_LT] = ACTIONS(1668),
    [anon_sym_GT_GT] = ACTIONS(1668),
    [anon_sym_AMP] = ACTIONS(1668),
    [anon_sym_CARET] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1670),
  },
  [4414] = {
    [ts_builtin_sym_end] = ACTIONS(1496),
    [sym__unquoted_identifier] = ACTIONS(1498),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1498),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1498),
    [aux_sym_keyword_replace_token1] = ACTIONS(1498),
    [aux_sym__keyword_alter_token1] = ACTIONS(1498),
    [aux_sym__keyword_delete_token1] = ACTIONS(1498),
    [aux_sym__keyword_begin_token1] = ACTIONS(1498),
    [aux_sym__keyword_between_token1] = ACTIONS(1498),
    [aux_sym__keyword_is_token1] = ACTIONS(1498),
    [aux_sym__keyword_in_token1] = ACTIONS(1498),
    [aux_sym__keyword_and_token1] = ACTIONS(1498),
    [aux_sym__keyword_like_token1] = ACTIONS(1498),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1498),
    [aux_sym__keyword_as_token1] = ACTIONS(1498),
    [aux_sym__keyword_date_token1] = ACTIONS(1498),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1498),
    [aux_sym__keyword_time_token1] = ACTIONS(1498),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1498),
    [aux_sym__keyword_for_token1] = ACTIONS(1498),
    [anon_sym_SEMI] = ACTIONS(1496),
    [aux_sym_declare_statement_token1] = ACTIONS(1498),
    [anon_sym_COMMA] = ACTIONS(1496),
    [aux_sym_set_statement_token1] = ACTIONS(1498),
    [anon_sym_LPAREN] = ACTIONS(1496),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1498),
    [aux_sym_return_satement_token1] = ACTIONS(1498),
    [aux_sym_call_statement_token1] = ACTIONS(1498),
    [aux_sym_loop_statement_token1] = ACTIONS(1498),
    [aux_sym_while_statement_token1] = ACTIONS(1498),
    [aux_sym_break_statement_token1] = ACTIONS(1498),
    [aux_sym_leave_statement_token1] = ACTIONS(1498),
    [aux_sym_continue_statement_token1] = ACTIONS(1498),
    [aux_sym_iterate_statement_token1] = ACTIONS(1498),
    [aux_sym_raise_statement_token1] = ACTIONS(1498),
    [anon_sym_EQ] = ACTIONS(1496),
    [aux_sym_assert_statement_token1] = ACTIONS(1498),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1498),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1498),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1498),
    [anon_sym_LT] = ACTIONS(1498),
    [anon_sym_GT] = ACTIONS(1498),
    [aux_sym_select_token1] = ACTIONS(1498),
    [aux_sym_insert_statement_token1] = ACTIONS(1498),
    [aux_sym_truncate_statement_token1] = ACTIONS(1498),
    [aux_sym_update_statement_token1] = ACTIONS(1498),
    [aux_sym_merge_statement_token1] = ACTIONS(1498),
    [aux_sym_grant_statement_token1] = ACTIONS(1498),
    [aux_sym_revoke_statement_token1] = ACTIONS(1498),
    [aux_sym_export_data_statement_token1] = ACTIONS(1498),
    [aux_sym_load_data_statement_token1] = ACTIONS(1498),
    [anon_sym_LBRACK] = ACTIONS(1496),
    [sym__quoted_identifier] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(1498),
    [anon_sym_PIPE_PIPE] = ACTIONS(1496),
    [anon_sym_LT_EQ] = ACTIONS(1496),
    [anon_sym_LT_GT] = ACTIONS(1496),
    [anon_sym_GT_EQ] = ACTIONS(1496),
    [anon_sym_BANG_EQ] = ACTIONS(1496),
    [anon_sym_LT_LT] = ACTIONS(1496),
    [anon_sym_GT_GT] = ACTIONS(1496),
    [anon_sym_AMP] = ACTIONS(1496),
    [anon_sym_CARET] = ACTIONS(1496),
    [anon_sym_PIPE] = ACTIONS(1498),
  },
  [4415] = {
    [ts_builtin_sym_end] = ACTIONS(1622),
    [sym__unquoted_identifier] = ACTIONS(1624),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1624),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1624),
    [aux_sym_keyword_replace_token1] = ACTIONS(1624),
    [aux_sym__keyword_alter_token1] = ACTIONS(1624),
    [aux_sym__keyword_delete_token1] = ACTIONS(1624),
    [aux_sym__keyword_begin_token1] = ACTIONS(1624),
    [aux_sym__keyword_between_token1] = ACTIONS(1624),
    [aux_sym__keyword_is_token1] = ACTIONS(1624),
    [aux_sym__keyword_in_token1] = ACTIONS(1624),
    [aux_sym__keyword_and_token1] = ACTIONS(1624),
    [aux_sym__keyword_like_token1] = ACTIONS(1624),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1624),
    [aux_sym__keyword_as_token1] = ACTIONS(1624),
    [aux_sym__keyword_date_token1] = ACTIONS(1624),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1624),
    [aux_sym__keyword_time_token1] = ACTIONS(1624),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1624),
    [aux_sym__keyword_for_token1] = ACTIONS(1624),
    [anon_sym_SEMI] = ACTIONS(1622),
    [aux_sym_declare_statement_token1] = ACTIONS(1624),
    [anon_sym_COMMA] = ACTIONS(1622),
    [aux_sym_set_statement_token1] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(3380),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1624),
    [aux_sym_return_satement_token1] = ACTIONS(1624),
    [aux_sym_call_statement_token1] = ACTIONS(1624),
    [aux_sym_loop_statement_token1] = ACTIONS(1624),
    [aux_sym_while_statement_token1] = ACTIONS(1624),
    [aux_sym_break_statement_token1] = ACTIONS(1624),
    [aux_sym_leave_statement_token1] = ACTIONS(1624),
    [aux_sym_continue_statement_token1] = ACTIONS(1624),
    [aux_sym_iterate_statement_token1] = ACTIONS(1624),
    [aux_sym_raise_statement_token1] = ACTIONS(1624),
    [anon_sym_EQ] = ACTIONS(1622),
    [aux_sym_assert_statement_token1] = ACTIONS(1624),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1624),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1624),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1624),
    [anon_sym_LT] = ACTIONS(1624),
    [anon_sym_GT] = ACTIONS(1624),
    [aux_sym_select_token1] = ACTIONS(1624),
    [aux_sym_insert_statement_token1] = ACTIONS(1624),
    [aux_sym_truncate_statement_token1] = ACTIONS(1624),
    [aux_sym_update_statement_token1] = ACTIONS(1624),
    [aux_sym_merge_statement_token1] = ACTIONS(1624),
    [aux_sym_grant_statement_token1] = ACTIONS(1624),
    [aux_sym_revoke_statement_token1] = ACTIONS(1624),
    [aux_sym_export_data_statement_token1] = ACTIONS(1624),
    [aux_sym_load_data_statement_token1] = ACTIONS(1624),
    [anon_sym_LBRACK] = ACTIONS(1622),
    [sym__quoted_identifier] = ACTIONS(1622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1622),
    [anon_sym_PLUS] = ACTIONS(1622),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_STAR] = ACTIONS(1622),
    [anon_sym_SLASH] = ACTIONS(1624),
    [anon_sym_PIPE_PIPE] = ACTIONS(1622),
    [anon_sym_LT_EQ] = ACTIONS(1622),
    [anon_sym_LT_GT] = ACTIONS(1622),
    [anon_sym_GT_EQ] = ACTIONS(1622),
    [anon_sym_BANG_EQ] = ACTIONS(1622),
    [anon_sym_LT_LT] = ACTIONS(1622),
    [anon_sym_GT_GT] = ACTIONS(1622),
    [anon_sym_AMP] = ACTIONS(1622),
    [anon_sym_CARET] = ACTIONS(1622),
    [anon_sym_PIPE] = ACTIONS(1624),
  },
  [4416] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [4417] = {
    [sym__unquoted_identifier] = ACTIONS(1412),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1412),
    [aux_sym__keyword_alter_token1] = ACTIONS(1412),
    [aux_sym__keyword_delete_token1] = ACTIONS(1412),
    [aux_sym__keyword_begin_token1] = ACTIONS(1412),
    [aux_sym__keyword_end_token1] = ACTIONS(1412),
    [aux_sym__keyword_when_token1] = ACTIONS(1412),
    [aux_sym__keyword_else_token1] = ACTIONS(1412),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1412),
    [aux_sym__keyword_as_token1] = ACTIONS(1412),
    [aux_sym__keyword_window_token1] = ACTIONS(1412),
    [aux_sym__keyword_date_token1] = ACTIONS(1412),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1412),
    [aux_sym__keyword_time_token1] = ACTIONS(1412),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1412),
    [aux_sym__keyword_for_token1] = ACTIONS(1412),
    [anon_sym_SEMI] = ACTIONS(1410),
    [aux_sym_declare_statement_token1] = ACTIONS(1412),
    [anon_sym_COMMA] = ACTIONS(1410),
    [aux_sym_set_statement_token1] = ACTIONS(1412),
    [anon_sym_LPAREN] = ACTIONS(1410),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1412),
    [aux_sym_using_clause_token1] = ACTIONS(1412),
    [aux_sym_return_satement_token1] = ACTIONS(1412),
    [aux_sym_call_statement_token1] = ACTIONS(1412),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1412),
    [aux_sym_if_statement_token1] = ACTIONS(1412),
    [aux_sym_loop_statement_token1] = ACTIONS(1412),
    [aux_sym_repeat_statement_token1] = ACTIONS(1412),
    [aux_sym_while_statement_token1] = ACTIONS(1412),
    [aux_sym_break_statement_token1] = ACTIONS(1412),
    [aux_sym_leave_statement_token1] = ACTIONS(1412),
    [aux_sym_continue_statement_token1] = ACTIONS(1412),
    [aux_sym_iterate_statement_token1] = ACTIONS(1412),
    [aux_sym_raise_statement_token1] = ACTIONS(1412),
    [aux_sym_assert_statement_token1] = ACTIONS(1412),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1412),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1412),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1412),
    [aux_sym_set_operation_token1] = ACTIONS(1412),
    [aux_sym_set_operation_token3] = ACTIONS(1412),
    [aux_sym_set_operation_token4] = ACTIONS(1412),
    [aux_sym_select_token1] = ACTIONS(1412),
    [aux_sym_having_clause_token1] = ACTIONS(1412),
    [aux_sym_qualify_clause_token1] = ACTIONS(1412),
    [aux_sym_limit_clause_token1] = ACTIONS(1412),
    [aux_sym_group_by_clause_token1] = ACTIONS(1412),
    [aux_sym_order_by_clause_token1] = ACTIONS(1412),
    [aux_sym_where_clause_token1] = ACTIONS(1412),
    [aux_sym_pivot_operator_token1] = ACTIONS(1412),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1412),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1412),
    [aux_sym_join_type_token1] = ACTIONS(1412),
    [aux_sym_join_type_token2] = ACTIONS(1412),
    [aux_sym_join_type_token3] = ACTIONS(1412),
    [aux_sym_join_type_token4] = ACTIONS(1412),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1412),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1412),
    [aux_sym_join_condition_token1] = ACTIONS(1412),
    [aux_sym_insert_statement_token1] = ACTIONS(1412),
    [aux_sym_truncate_statement_token1] = ACTIONS(1412),
    [aux_sym_update_statement_token1] = ACTIONS(1412),
    [aux_sym_merge_statement_token1] = ACTIONS(1412),
    [aux_sym_grant_statement_token1] = ACTIONS(1412),
    [aux_sym_revoke_statement_token1] = ACTIONS(1412),
    [aux_sym_export_data_statement_token1] = ACTIONS(1412),
    [aux_sym_load_data_statement_token1] = ACTIONS(1412),
    [sym__quoted_identifier] = ACTIONS(1410),
    [sym_comment] = ACTIONS(3),
  },
  [4418] = {
    [ts_builtin_sym_end] = ACTIONS(1500),
    [sym__unquoted_identifier] = ACTIONS(1502),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1502),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1502),
    [aux_sym_keyword_replace_token1] = ACTIONS(1502),
    [aux_sym__keyword_alter_token1] = ACTIONS(1502),
    [aux_sym__keyword_delete_token1] = ACTIONS(1502),
    [aux_sym__keyword_begin_token1] = ACTIONS(1502),
    [aux_sym__keyword_between_token1] = ACTIONS(1502),
    [aux_sym__keyword_is_token1] = ACTIONS(1502),
    [aux_sym__keyword_in_token1] = ACTIONS(1502),
    [aux_sym__keyword_and_token1] = ACTIONS(1502),
    [aux_sym__keyword_like_token1] = ACTIONS(1502),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1502),
    [aux_sym__keyword_as_token1] = ACTIONS(1502),
    [aux_sym__keyword_date_token1] = ACTIONS(1502),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1502),
    [aux_sym__keyword_time_token1] = ACTIONS(1502),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1502),
    [aux_sym__keyword_for_token1] = ACTIONS(1502),
    [anon_sym_SEMI] = ACTIONS(1500),
    [aux_sym_declare_statement_token1] = ACTIONS(1502),
    [anon_sym_COMMA] = ACTIONS(1500),
    [aux_sym_set_statement_token1] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1500),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1502),
    [aux_sym_return_satement_token1] = ACTIONS(1502),
    [aux_sym_call_statement_token1] = ACTIONS(1502),
    [aux_sym_loop_statement_token1] = ACTIONS(1502),
    [aux_sym_while_statement_token1] = ACTIONS(1502),
    [aux_sym_break_statement_token1] = ACTIONS(1502),
    [aux_sym_leave_statement_token1] = ACTIONS(1502),
    [aux_sym_continue_statement_token1] = ACTIONS(1502),
    [aux_sym_iterate_statement_token1] = ACTIONS(1502),
    [aux_sym_raise_statement_token1] = ACTIONS(1502),
    [anon_sym_EQ] = ACTIONS(1500),
    [aux_sym_assert_statement_token1] = ACTIONS(1502),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1502),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1502),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1502),
    [anon_sym_LT] = ACTIONS(1502),
    [anon_sym_GT] = ACTIONS(1502),
    [aux_sym_select_token1] = ACTIONS(1502),
    [aux_sym_insert_statement_token1] = ACTIONS(1502),
    [aux_sym_truncate_statement_token1] = ACTIONS(1502),
    [aux_sym_update_statement_token1] = ACTIONS(1502),
    [aux_sym_merge_statement_token1] = ACTIONS(1502),
    [aux_sym_grant_statement_token1] = ACTIONS(1502),
    [aux_sym_revoke_statement_token1] = ACTIONS(1502),
    [aux_sym_export_data_statement_token1] = ACTIONS(1502),
    [aux_sym_load_data_statement_token1] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1500),
    [sym__quoted_identifier] = ACTIONS(1500),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_STAR] = ACTIONS(1500),
    [anon_sym_SLASH] = ACTIONS(1502),
    [anon_sym_PIPE_PIPE] = ACTIONS(1500),
    [anon_sym_LT_EQ] = ACTIONS(1500),
    [anon_sym_LT_GT] = ACTIONS(1500),
    [anon_sym_GT_EQ] = ACTIONS(1500),
    [anon_sym_BANG_EQ] = ACTIONS(1500),
    [anon_sym_LT_LT] = ACTIONS(1500),
    [anon_sym_GT_GT] = ACTIONS(1500),
    [anon_sym_AMP] = ACTIONS(1500),
    [anon_sym_CARET] = ACTIONS(1500),
    [anon_sym_PIPE] = ACTIONS(1502),
  },
  [4419] = {
    [sym__unquoted_identifier] = ACTIONS(1408),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1408),
    [aux_sym__keyword_alter_token1] = ACTIONS(1408),
    [aux_sym__keyword_delete_token1] = ACTIONS(1408),
    [aux_sym__keyword_begin_token1] = ACTIONS(1408),
    [aux_sym__keyword_end_token1] = ACTIONS(1408),
    [aux_sym__keyword_when_token1] = ACTIONS(1408),
    [aux_sym__keyword_else_token1] = ACTIONS(1408),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1408),
    [aux_sym__keyword_as_token1] = ACTIONS(1408),
    [aux_sym__keyword_window_token1] = ACTIONS(1408),
    [aux_sym__keyword_date_token1] = ACTIONS(1408),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1408),
    [aux_sym__keyword_time_token1] = ACTIONS(1408),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1408),
    [aux_sym__keyword_for_token1] = ACTIONS(1408),
    [anon_sym_SEMI] = ACTIONS(1406),
    [aux_sym_declare_statement_token1] = ACTIONS(1408),
    [anon_sym_COMMA] = ACTIONS(1406),
    [aux_sym_set_statement_token1] = ACTIONS(1408),
    [anon_sym_LPAREN] = ACTIONS(1406),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1408),
    [aux_sym_using_clause_token1] = ACTIONS(1408),
    [aux_sym_return_satement_token1] = ACTIONS(1408),
    [aux_sym_call_statement_token1] = ACTIONS(1408),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1408),
    [aux_sym_if_statement_token1] = ACTIONS(1408),
    [aux_sym_loop_statement_token1] = ACTIONS(1408),
    [aux_sym_repeat_statement_token1] = ACTIONS(1408),
    [aux_sym_while_statement_token1] = ACTIONS(1408),
    [aux_sym_break_statement_token1] = ACTIONS(1408),
    [aux_sym_leave_statement_token1] = ACTIONS(1408),
    [aux_sym_continue_statement_token1] = ACTIONS(1408),
    [aux_sym_iterate_statement_token1] = ACTIONS(1408),
    [aux_sym_raise_statement_token1] = ACTIONS(1408),
    [aux_sym_assert_statement_token1] = ACTIONS(1408),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1408),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1408),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1408),
    [aux_sym_set_operation_token1] = ACTIONS(1408),
    [aux_sym_set_operation_token3] = ACTIONS(1408),
    [aux_sym_set_operation_token4] = ACTIONS(1408),
    [aux_sym_select_token1] = ACTIONS(1408),
    [aux_sym_having_clause_token1] = ACTIONS(1408),
    [aux_sym_qualify_clause_token1] = ACTIONS(1408),
    [aux_sym_limit_clause_token1] = ACTIONS(1408),
    [aux_sym_group_by_clause_token1] = ACTIONS(1408),
    [aux_sym_order_by_clause_token1] = ACTIONS(1408),
    [aux_sym_where_clause_token1] = ACTIONS(1408),
    [aux_sym_pivot_operator_token1] = ACTIONS(1408),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1408),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1408),
    [aux_sym_join_type_token1] = ACTIONS(1408),
    [aux_sym_join_type_token2] = ACTIONS(1408),
    [aux_sym_join_type_token3] = ACTIONS(1408),
    [aux_sym_join_type_token4] = ACTIONS(1408),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1408),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1408),
    [aux_sym_join_condition_token1] = ACTIONS(1408),
    [aux_sym_insert_statement_token1] = ACTIONS(1408),
    [aux_sym_truncate_statement_token1] = ACTIONS(1408),
    [aux_sym_update_statement_token1] = ACTIONS(1408),
    [aux_sym_merge_statement_token1] = ACTIONS(1408),
    [aux_sym_grant_statement_token1] = ACTIONS(1408),
    [aux_sym_revoke_statement_token1] = ACTIONS(1408),
    [aux_sym_export_data_statement_token1] = ACTIONS(1408),
    [aux_sym_load_data_statement_token1] = ACTIONS(1408),
    [sym__quoted_identifier] = ACTIONS(1406),
    [sym_comment] = ACTIONS(3),
  },
  [4420] = {
    [ts_builtin_sym_end] = ACTIONS(1504),
    [sym__unquoted_identifier] = ACTIONS(1506),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1506),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1506),
    [aux_sym_keyword_replace_token1] = ACTIONS(1506),
    [aux_sym__keyword_alter_token1] = ACTIONS(1506),
    [aux_sym__keyword_delete_token1] = ACTIONS(1506),
    [aux_sym__keyword_begin_token1] = ACTIONS(1506),
    [aux_sym__keyword_between_token1] = ACTIONS(1506),
    [aux_sym__keyword_is_token1] = ACTIONS(1506),
    [aux_sym__keyword_in_token1] = ACTIONS(1506),
    [aux_sym__keyword_and_token1] = ACTIONS(1506),
    [aux_sym__keyword_like_token1] = ACTIONS(1506),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1506),
    [aux_sym__keyword_as_token1] = ACTIONS(1506),
    [aux_sym__keyword_date_token1] = ACTIONS(1506),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1506),
    [aux_sym__keyword_time_token1] = ACTIONS(1506),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1506),
    [aux_sym__keyword_for_token1] = ACTIONS(1506),
    [anon_sym_SEMI] = ACTIONS(1504),
    [aux_sym_declare_statement_token1] = ACTIONS(1506),
    [anon_sym_COMMA] = ACTIONS(1504),
    [aux_sym_set_statement_token1] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1504),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1506),
    [aux_sym_return_satement_token1] = ACTIONS(1506),
    [aux_sym_call_statement_token1] = ACTIONS(1506),
    [aux_sym_loop_statement_token1] = ACTIONS(1506),
    [aux_sym_while_statement_token1] = ACTIONS(1506),
    [aux_sym_break_statement_token1] = ACTIONS(1506),
    [aux_sym_leave_statement_token1] = ACTIONS(1506),
    [aux_sym_continue_statement_token1] = ACTIONS(1506),
    [aux_sym_iterate_statement_token1] = ACTIONS(1506),
    [aux_sym_raise_statement_token1] = ACTIONS(1506),
    [anon_sym_EQ] = ACTIONS(1504),
    [aux_sym_assert_statement_token1] = ACTIONS(1506),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1506),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1506),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1506),
    [anon_sym_LT] = ACTIONS(1506),
    [anon_sym_GT] = ACTIONS(1506),
    [aux_sym_select_token1] = ACTIONS(1506),
    [aux_sym_insert_statement_token1] = ACTIONS(1506),
    [aux_sym_truncate_statement_token1] = ACTIONS(1506),
    [aux_sym_update_statement_token1] = ACTIONS(1506),
    [aux_sym_merge_statement_token1] = ACTIONS(1506),
    [aux_sym_grant_statement_token1] = ACTIONS(1506),
    [aux_sym_revoke_statement_token1] = ACTIONS(1506),
    [aux_sym_export_data_statement_token1] = ACTIONS(1506),
    [aux_sym_load_data_statement_token1] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1504),
    [sym__quoted_identifier] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1504),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1506),
    [anon_sym_STAR] = ACTIONS(1504),
    [anon_sym_SLASH] = ACTIONS(1506),
    [anon_sym_PIPE_PIPE] = ACTIONS(1504),
    [anon_sym_LT_EQ] = ACTIONS(1504),
    [anon_sym_LT_GT] = ACTIONS(1504),
    [anon_sym_GT_EQ] = ACTIONS(1504),
    [anon_sym_BANG_EQ] = ACTIONS(1504),
    [anon_sym_LT_LT] = ACTIONS(1504),
    [anon_sym_GT_GT] = ACTIONS(1504),
    [anon_sym_AMP] = ACTIONS(1504),
    [anon_sym_CARET] = ACTIONS(1504),
    [anon_sym_PIPE] = ACTIONS(1506),
  },
  [4421] = {
    [sym__unquoted_identifier] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1400),
    [aux_sym__keyword_alter_token1] = ACTIONS(1400),
    [aux_sym__keyword_delete_token1] = ACTIONS(1400),
    [aux_sym__keyword_begin_token1] = ACTIONS(1400),
    [aux_sym__keyword_end_token1] = ACTIONS(1400),
    [aux_sym__keyword_when_token1] = ACTIONS(1400),
    [aux_sym__keyword_else_token1] = ACTIONS(1400),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1400),
    [aux_sym__keyword_as_token1] = ACTIONS(1400),
    [aux_sym__keyword_window_token1] = ACTIONS(1400),
    [aux_sym__keyword_date_token1] = ACTIONS(1400),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1400),
    [aux_sym__keyword_time_token1] = ACTIONS(1400),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1400),
    [aux_sym__keyword_for_token1] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1400),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1400),
    [aux_sym_using_clause_token1] = ACTIONS(1400),
    [aux_sym_return_satement_token1] = ACTIONS(1400),
    [aux_sym_call_statement_token1] = ACTIONS(1400),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1400),
    [aux_sym_if_statement_token1] = ACTIONS(1400),
    [aux_sym_loop_statement_token1] = ACTIONS(1400),
    [aux_sym_repeat_statement_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token1] = ACTIONS(1400),
    [aux_sym_break_statement_token1] = ACTIONS(1400),
    [aux_sym_leave_statement_token1] = ACTIONS(1400),
    [aux_sym_continue_statement_token1] = ACTIONS(1400),
    [aux_sym_iterate_statement_token1] = ACTIONS(1400),
    [aux_sym_raise_statement_token1] = ACTIONS(1400),
    [aux_sym_assert_statement_token1] = ACTIONS(1400),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1400),
    [aux_sym_set_operation_token1] = ACTIONS(1400),
    [aux_sym_set_operation_token3] = ACTIONS(1400),
    [aux_sym_set_operation_token4] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1400),
    [aux_sym_having_clause_token1] = ACTIONS(1400),
    [aux_sym_qualify_clause_token1] = ACTIONS(1400),
    [aux_sym_limit_clause_token1] = ACTIONS(1400),
    [aux_sym_group_by_clause_token1] = ACTIONS(1400),
    [aux_sym_order_by_clause_token1] = ACTIONS(1400),
    [aux_sym_where_clause_token1] = ACTIONS(1400),
    [aux_sym_pivot_operator_token1] = ACTIONS(1400),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1400),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1400),
    [aux_sym_join_type_token1] = ACTIONS(1400),
    [aux_sym_join_type_token2] = ACTIONS(1400),
    [aux_sym_join_type_token3] = ACTIONS(1400),
    [aux_sym_join_type_token4] = ACTIONS(1400),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1400),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1400),
    [aux_sym_join_condition_token1] = ACTIONS(1400),
    [aux_sym_insert_statement_token1] = ACTIONS(1400),
    [aux_sym_truncate_statement_token1] = ACTIONS(1400),
    [aux_sym_update_statement_token1] = ACTIONS(1400),
    [aux_sym_merge_statement_token1] = ACTIONS(1400),
    [aux_sym_grant_statement_token1] = ACTIONS(1400),
    [aux_sym_revoke_statement_token1] = ACTIONS(1400),
    [aux_sym_export_data_statement_token1] = ACTIONS(1400),
    [aux_sym_load_data_statement_token1] = ACTIONS(1400),
    [sym__quoted_identifier] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
  },
  [4422] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [4423] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [4424] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [4425] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [4426] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [4427] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [4428] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [4429] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [4430] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [4431] = {
    [sym__unquoted_identifier] = ACTIONS(1396),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1396),
    [aux_sym__keyword_alter_token1] = ACTIONS(1396),
    [aux_sym__keyword_delete_token1] = ACTIONS(1396),
    [aux_sym__keyword_begin_token1] = ACTIONS(1396),
    [aux_sym__keyword_end_token1] = ACTIONS(1396),
    [aux_sym__keyword_when_token1] = ACTIONS(1396),
    [aux_sym__keyword_else_token1] = ACTIONS(1396),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1396),
    [aux_sym__keyword_as_token1] = ACTIONS(1396),
    [aux_sym__keyword_window_token1] = ACTIONS(1396),
    [aux_sym__keyword_date_token1] = ACTIONS(1396),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1396),
    [aux_sym__keyword_time_token1] = ACTIONS(1396),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1396),
    [aux_sym__keyword_for_token1] = ACTIONS(1396),
    [anon_sym_SEMI] = ACTIONS(1394),
    [aux_sym_declare_statement_token1] = ACTIONS(1396),
    [anon_sym_COMMA] = ACTIONS(1394),
    [aux_sym_set_statement_token1] = ACTIONS(1396),
    [anon_sym_LPAREN] = ACTIONS(1394),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1396),
    [aux_sym_using_clause_token1] = ACTIONS(1396),
    [aux_sym_return_satement_token1] = ACTIONS(1396),
    [aux_sym_call_statement_token1] = ACTIONS(1396),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1396),
    [aux_sym_if_statement_token1] = ACTIONS(1396),
    [aux_sym_loop_statement_token1] = ACTIONS(1396),
    [aux_sym_repeat_statement_token1] = ACTIONS(1396),
    [aux_sym_while_statement_token1] = ACTIONS(1396),
    [aux_sym_break_statement_token1] = ACTIONS(1396),
    [aux_sym_leave_statement_token1] = ACTIONS(1396),
    [aux_sym_continue_statement_token1] = ACTIONS(1396),
    [aux_sym_iterate_statement_token1] = ACTIONS(1396),
    [aux_sym_raise_statement_token1] = ACTIONS(1396),
    [aux_sym_assert_statement_token1] = ACTIONS(1396),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1396),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1396),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1396),
    [aux_sym_set_operation_token1] = ACTIONS(1396),
    [aux_sym_set_operation_token3] = ACTIONS(1396),
    [aux_sym_set_operation_token4] = ACTIONS(1396),
    [aux_sym_select_token1] = ACTIONS(1396),
    [aux_sym_having_clause_token1] = ACTIONS(1396),
    [aux_sym_qualify_clause_token1] = ACTIONS(1396),
    [aux_sym_limit_clause_token1] = ACTIONS(1396),
    [aux_sym_group_by_clause_token1] = ACTIONS(1396),
    [aux_sym_order_by_clause_token1] = ACTIONS(1396),
    [aux_sym_where_clause_token1] = ACTIONS(1396),
    [aux_sym_pivot_operator_token1] = ACTIONS(1396),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1396),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1396),
    [aux_sym_join_type_token1] = ACTIONS(1396),
    [aux_sym_join_type_token2] = ACTIONS(1396),
    [aux_sym_join_type_token3] = ACTIONS(1396),
    [aux_sym_join_type_token4] = ACTIONS(1396),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1396),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1396),
    [aux_sym_join_condition_token1] = ACTIONS(1396),
    [aux_sym_insert_statement_token1] = ACTIONS(1396),
    [aux_sym_truncate_statement_token1] = ACTIONS(1396),
    [aux_sym_update_statement_token1] = ACTIONS(1396),
    [aux_sym_merge_statement_token1] = ACTIONS(1396),
    [aux_sym_grant_statement_token1] = ACTIONS(1396),
    [aux_sym_revoke_statement_token1] = ACTIONS(1396),
    [aux_sym_export_data_statement_token1] = ACTIONS(1396),
    [aux_sym_load_data_statement_token1] = ACTIONS(1396),
    [sym__quoted_identifier] = ACTIONS(1394),
    [sym_comment] = ACTIONS(3),
  },
  [4432] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1372),
    [aux_sym_keyword_replace_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_between_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1372),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1372),
    [aux_sym__keyword_like_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [4433] = {
    [ts_builtin_sym_end] = ACTIONS(1394),
    [sym__unquoted_identifier] = ACTIONS(1396),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1396),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1396),
    [aux_sym_keyword_replace_token1] = ACTIONS(1396),
    [aux_sym__keyword_alter_token1] = ACTIONS(1396),
    [aux_sym__keyword_delete_token1] = ACTIONS(1396),
    [aux_sym__keyword_begin_token1] = ACTIONS(1396),
    [aux_sym__keyword_between_token1] = ACTIONS(1396),
    [aux_sym__keyword_is_token1] = ACTIONS(1396),
    [aux_sym__keyword_in_token1] = ACTIONS(1396),
    [aux_sym__keyword_and_token1] = ACTIONS(1396),
    [aux_sym__keyword_like_token1] = ACTIONS(1396),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1396),
    [aux_sym__keyword_as_token1] = ACTIONS(1396),
    [aux_sym__keyword_date_token1] = ACTIONS(1396),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1396),
    [aux_sym__keyword_time_token1] = ACTIONS(1396),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1396),
    [aux_sym__keyword_for_token1] = ACTIONS(1396),
    [anon_sym_SEMI] = ACTIONS(1394),
    [aux_sym_declare_statement_token1] = ACTIONS(1396),
    [anon_sym_COMMA] = ACTIONS(1394),
    [aux_sym_set_statement_token1] = ACTIONS(1396),
    [anon_sym_LPAREN] = ACTIONS(1394),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1396),
    [aux_sym_return_satement_token1] = ACTIONS(1396),
    [aux_sym_call_statement_token1] = ACTIONS(1396),
    [aux_sym_loop_statement_token1] = ACTIONS(1396),
    [aux_sym_while_statement_token1] = ACTIONS(1396),
    [aux_sym_break_statement_token1] = ACTIONS(1396),
    [aux_sym_leave_statement_token1] = ACTIONS(1396),
    [aux_sym_continue_statement_token1] = ACTIONS(1396),
    [aux_sym_iterate_statement_token1] = ACTIONS(1396),
    [aux_sym_raise_statement_token1] = ACTIONS(1396),
    [anon_sym_EQ] = ACTIONS(1394),
    [aux_sym_assert_statement_token1] = ACTIONS(1396),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1396),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1396),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1396),
    [anon_sym_LT] = ACTIONS(1396),
    [anon_sym_GT] = ACTIONS(1396),
    [aux_sym_select_token1] = ACTIONS(1396),
    [aux_sym_insert_statement_token1] = ACTIONS(1396),
    [aux_sym_truncate_statement_token1] = ACTIONS(1396),
    [aux_sym_update_statement_token1] = ACTIONS(1396),
    [aux_sym_merge_statement_token1] = ACTIONS(1396),
    [aux_sym_grant_statement_token1] = ACTIONS(1396),
    [aux_sym_revoke_statement_token1] = ACTIONS(1396),
    [aux_sym_export_data_statement_token1] = ACTIONS(1396),
    [aux_sym_load_data_statement_token1] = ACTIONS(1396),
    [anon_sym_LBRACK] = ACTIONS(1394),
    [sym__quoted_identifier] = ACTIONS(1394),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_STAR] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(1396),
    [anon_sym_PIPE_PIPE] = ACTIONS(1394),
    [anon_sym_LT_EQ] = ACTIONS(1394),
    [anon_sym_LT_GT] = ACTIONS(1394),
    [anon_sym_GT_EQ] = ACTIONS(1394),
    [anon_sym_BANG_EQ] = ACTIONS(1394),
    [anon_sym_LT_LT] = ACTIONS(1394),
    [anon_sym_GT_GT] = ACTIONS(1394),
    [anon_sym_AMP] = ACTIONS(1394),
    [anon_sym_CARET] = ACTIONS(1394),
    [anon_sym_PIPE] = ACTIONS(1396),
  },
  [4434] = {
    [ts_builtin_sym_end] = ACTIONS(1398),
    [sym__unquoted_identifier] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1400),
    [aux_sym_keyword_replace_token1] = ACTIONS(1400),
    [aux_sym__keyword_alter_token1] = ACTIONS(1400),
    [aux_sym__keyword_delete_token1] = ACTIONS(1400),
    [aux_sym__keyword_begin_token1] = ACTIONS(1400),
    [aux_sym__keyword_between_token1] = ACTIONS(1400),
    [aux_sym__keyword_is_token1] = ACTIONS(1400),
    [aux_sym__keyword_in_token1] = ACTIONS(1400),
    [aux_sym__keyword_and_token1] = ACTIONS(1400),
    [aux_sym__keyword_like_token1] = ACTIONS(1400),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1400),
    [aux_sym__keyword_as_token1] = ACTIONS(1400),
    [aux_sym__keyword_date_token1] = ACTIONS(1400),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1400),
    [aux_sym__keyword_time_token1] = ACTIONS(1400),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1400),
    [aux_sym__keyword_for_token1] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1400),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1400),
    [aux_sym_return_satement_token1] = ACTIONS(1400),
    [aux_sym_call_statement_token1] = ACTIONS(1400),
    [aux_sym_loop_statement_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token1] = ACTIONS(1400),
    [aux_sym_break_statement_token1] = ACTIONS(1400),
    [aux_sym_leave_statement_token1] = ACTIONS(1400),
    [aux_sym_continue_statement_token1] = ACTIONS(1400),
    [aux_sym_iterate_statement_token1] = ACTIONS(1400),
    [aux_sym_raise_statement_token1] = ACTIONS(1400),
    [anon_sym_EQ] = ACTIONS(1398),
    [aux_sym_assert_statement_token1] = ACTIONS(1400),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1400),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1400),
    [aux_sym_insert_statement_token1] = ACTIONS(1400),
    [aux_sym_truncate_statement_token1] = ACTIONS(1400),
    [aux_sym_update_statement_token1] = ACTIONS(1400),
    [aux_sym_merge_statement_token1] = ACTIONS(1400),
    [aux_sym_grant_statement_token1] = ACTIONS(1400),
    [aux_sym_revoke_statement_token1] = ACTIONS(1400),
    [aux_sym_export_data_statement_token1] = ACTIONS(1400),
    [aux_sym_load_data_statement_token1] = ACTIONS(1400),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym__quoted_identifier] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_LT_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
  },
  [4435] = {
    [ts_builtin_sym_end] = ACTIONS(1406),
    [sym__unquoted_identifier] = ACTIONS(1408),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1408),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1408),
    [aux_sym_keyword_replace_token1] = ACTIONS(1408),
    [aux_sym__keyword_alter_token1] = ACTIONS(1408),
    [aux_sym__keyword_delete_token1] = ACTIONS(1408),
    [aux_sym__keyword_begin_token1] = ACTIONS(1408),
    [aux_sym__keyword_between_token1] = ACTIONS(1408),
    [aux_sym__keyword_is_token1] = ACTIONS(1408),
    [aux_sym__keyword_in_token1] = ACTIONS(1408),
    [aux_sym__keyword_and_token1] = ACTIONS(1408),
    [aux_sym__keyword_like_token1] = ACTIONS(1408),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1408),
    [aux_sym__keyword_as_token1] = ACTIONS(1408),
    [aux_sym__keyword_date_token1] = ACTIONS(1408),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1408),
    [aux_sym__keyword_time_token1] = ACTIONS(1408),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1408),
    [aux_sym__keyword_for_token1] = ACTIONS(1408),
    [anon_sym_SEMI] = ACTIONS(1406),
    [aux_sym_declare_statement_token1] = ACTIONS(1408),
    [anon_sym_COMMA] = ACTIONS(1406),
    [aux_sym_set_statement_token1] = ACTIONS(1408),
    [anon_sym_LPAREN] = ACTIONS(1406),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1408),
    [aux_sym_return_satement_token1] = ACTIONS(1408),
    [aux_sym_call_statement_token1] = ACTIONS(1408),
    [aux_sym_loop_statement_token1] = ACTIONS(1408),
    [aux_sym_while_statement_token1] = ACTIONS(1408),
    [aux_sym_break_statement_token1] = ACTIONS(1408),
    [aux_sym_leave_statement_token1] = ACTIONS(1408),
    [aux_sym_continue_statement_token1] = ACTIONS(1408),
    [aux_sym_iterate_statement_token1] = ACTIONS(1408),
    [aux_sym_raise_statement_token1] = ACTIONS(1408),
    [anon_sym_EQ] = ACTIONS(1406),
    [aux_sym_assert_statement_token1] = ACTIONS(1408),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1408),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1408),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1408),
    [anon_sym_LT] = ACTIONS(1408),
    [anon_sym_GT] = ACTIONS(1408),
    [aux_sym_select_token1] = ACTIONS(1408),
    [aux_sym_insert_statement_token1] = ACTIONS(1408),
    [aux_sym_truncate_statement_token1] = ACTIONS(1408),
    [aux_sym_update_statement_token1] = ACTIONS(1408),
    [aux_sym_merge_statement_token1] = ACTIONS(1408),
    [aux_sym_grant_statement_token1] = ACTIONS(1408),
    [aux_sym_revoke_statement_token1] = ACTIONS(1408),
    [aux_sym_export_data_statement_token1] = ACTIONS(1408),
    [aux_sym_load_data_statement_token1] = ACTIONS(1408),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym__quoted_identifier] = ACTIONS(1406),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_DASH] = ACTIONS(1408),
    [anon_sym_STAR] = ACTIONS(1406),
    [anon_sym_SLASH] = ACTIONS(1408),
    [anon_sym_PIPE_PIPE] = ACTIONS(1406),
    [anon_sym_LT_EQ] = ACTIONS(1406),
    [anon_sym_LT_GT] = ACTIONS(1406),
    [anon_sym_GT_EQ] = ACTIONS(1406),
    [anon_sym_BANG_EQ] = ACTIONS(1406),
    [anon_sym_LT_LT] = ACTIONS(1406),
    [anon_sym_GT_GT] = ACTIONS(1406),
    [anon_sym_AMP] = ACTIONS(1406),
    [anon_sym_CARET] = ACTIONS(1406),
    [anon_sym_PIPE] = ACTIONS(1408),
  },
  [4436] = {
    [ts_builtin_sym_end] = ACTIONS(1410),
    [sym__unquoted_identifier] = ACTIONS(1412),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1412),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1412),
    [aux_sym_keyword_replace_token1] = ACTIONS(1412),
    [aux_sym__keyword_alter_token1] = ACTIONS(1412),
    [aux_sym__keyword_delete_token1] = ACTIONS(1412),
    [aux_sym__keyword_begin_token1] = ACTIONS(1412),
    [aux_sym__keyword_between_token1] = ACTIONS(1412),
    [aux_sym__keyword_is_token1] = ACTIONS(1412),
    [aux_sym__keyword_in_token1] = ACTIONS(1412),
    [aux_sym__keyword_and_token1] = ACTIONS(1412),
    [aux_sym__keyword_like_token1] = ACTIONS(1412),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1412),
    [aux_sym__keyword_as_token1] = ACTIONS(1412),
    [aux_sym__keyword_date_token1] = ACTIONS(1412),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1412),
    [aux_sym__keyword_time_token1] = ACTIONS(1412),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1412),
    [aux_sym__keyword_for_token1] = ACTIONS(1412),
    [anon_sym_SEMI] = ACTIONS(1410),
    [aux_sym_declare_statement_token1] = ACTIONS(1412),
    [anon_sym_COMMA] = ACTIONS(1410),
    [aux_sym_set_statement_token1] = ACTIONS(1412),
    [anon_sym_LPAREN] = ACTIONS(1410),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1412),
    [aux_sym_return_satement_token1] = ACTIONS(1412),
    [aux_sym_call_statement_token1] = ACTIONS(1412),
    [aux_sym_loop_statement_token1] = ACTIONS(1412),
    [aux_sym_while_statement_token1] = ACTIONS(1412),
    [aux_sym_break_statement_token1] = ACTIONS(1412),
    [aux_sym_leave_statement_token1] = ACTIONS(1412),
    [aux_sym_continue_statement_token1] = ACTIONS(1412),
    [aux_sym_iterate_statement_token1] = ACTIONS(1412),
    [aux_sym_raise_statement_token1] = ACTIONS(1412),
    [anon_sym_EQ] = ACTIONS(1410),
    [aux_sym_assert_statement_token1] = ACTIONS(1412),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1412),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1412),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1412),
    [anon_sym_LT] = ACTIONS(1412),
    [anon_sym_GT] = ACTIONS(1412),
    [aux_sym_select_token1] = ACTIONS(1412),
    [aux_sym_insert_statement_token1] = ACTIONS(1412),
    [aux_sym_truncate_statement_token1] = ACTIONS(1412),
    [aux_sym_update_statement_token1] = ACTIONS(1412),
    [aux_sym_merge_statement_token1] = ACTIONS(1412),
    [aux_sym_grant_statement_token1] = ACTIONS(1412),
    [aux_sym_revoke_statement_token1] = ACTIONS(1412),
    [aux_sym_export_data_statement_token1] = ACTIONS(1412),
    [aux_sym_load_data_statement_token1] = ACTIONS(1412),
    [anon_sym_LBRACK] = ACTIONS(1410),
    [sym__quoted_identifier] = ACTIONS(1410),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_STAR] = ACTIONS(1410),
    [anon_sym_SLASH] = ACTIONS(1412),
    [anon_sym_PIPE_PIPE] = ACTIONS(1410),
    [anon_sym_LT_EQ] = ACTIONS(1410),
    [anon_sym_LT_GT] = ACTIONS(1410),
    [anon_sym_GT_EQ] = ACTIONS(1410),
    [anon_sym_BANG_EQ] = ACTIONS(1410),
    [anon_sym_LT_LT] = ACTIONS(1410),
    [anon_sym_GT_GT] = ACTIONS(1410),
    [anon_sym_AMP] = ACTIONS(1410),
    [anon_sym_CARET] = ACTIONS(1410),
    [anon_sym_PIPE] = ACTIONS(1412),
  },
  [4437] = {
    [ts_builtin_sym_end] = ACTIONS(1414),
    [sym__unquoted_identifier] = ACTIONS(1416),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1416),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1416),
    [aux_sym_keyword_replace_token1] = ACTIONS(1416),
    [aux_sym__keyword_alter_token1] = ACTIONS(1416),
    [aux_sym__keyword_delete_token1] = ACTIONS(1416),
    [aux_sym__keyword_begin_token1] = ACTIONS(1416),
    [aux_sym__keyword_between_token1] = ACTIONS(1416),
    [aux_sym__keyword_is_token1] = ACTIONS(1416),
    [aux_sym__keyword_in_token1] = ACTIONS(1416),
    [aux_sym__keyword_and_token1] = ACTIONS(1416),
    [aux_sym__keyword_like_token1] = ACTIONS(1416),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1416),
    [aux_sym__keyword_as_token1] = ACTIONS(1416),
    [aux_sym__keyword_date_token1] = ACTIONS(1416),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1416),
    [aux_sym__keyword_time_token1] = ACTIONS(1416),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1416),
    [aux_sym__keyword_for_token1] = ACTIONS(1416),
    [anon_sym_SEMI] = ACTIONS(1414),
    [aux_sym_declare_statement_token1] = ACTIONS(1416),
    [anon_sym_COMMA] = ACTIONS(1414),
    [aux_sym_set_statement_token1] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1416),
    [aux_sym_return_satement_token1] = ACTIONS(1416),
    [aux_sym_call_statement_token1] = ACTIONS(1416),
    [aux_sym_loop_statement_token1] = ACTIONS(1416),
    [aux_sym_while_statement_token1] = ACTIONS(1416),
    [aux_sym_break_statement_token1] = ACTIONS(1416),
    [aux_sym_leave_statement_token1] = ACTIONS(1416),
    [aux_sym_continue_statement_token1] = ACTIONS(1416),
    [aux_sym_iterate_statement_token1] = ACTIONS(1416),
    [aux_sym_raise_statement_token1] = ACTIONS(1416),
    [anon_sym_EQ] = ACTIONS(1414),
    [aux_sym_assert_statement_token1] = ACTIONS(1416),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1416),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1416),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1416),
    [anon_sym_LT] = ACTIONS(1416),
    [anon_sym_GT] = ACTIONS(1416),
    [aux_sym_select_token1] = ACTIONS(1416),
    [aux_sym_insert_statement_token1] = ACTIONS(1416),
    [aux_sym_truncate_statement_token1] = ACTIONS(1416),
    [aux_sym_update_statement_token1] = ACTIONS(1416),
    [aux_sym_merge_statement_token1] = ACTIONS(1416),
    [aux_sym_grant_statement_token1] = ACTIONS(1416),
    [aux_sym_revoke_statement_token1] = ACTIONS(1416),
    [aux_sym_export_data_statement_token1] = ACTIONS(1416),
    [aux_sym_load_data_statement_token1] = ACTIONS(1416),
    [anon_sym_LBRACK] = ACTIONS(1414),
    [sym__quoted_identifier] = ACTIONS(1414),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_SLASH] = ACTIONS(1416),
    [anon_sym_PIPE_PIPE] = ACTIONS(1414),
    [anon_sym_LT_EQ] = ACTIONS(1414),
    [anon_sym_LT_GT] = ACTIONS(1414),
    [anon_sym_GT_EQ] = ACTIONS(1414),
    [anon_sym_BANG_EQ] = ACTIONS(1414),
    [anon_sym_LT_LT] = ACTIONS(1414),
    [anon_sym_GT_GT] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_CARET] = ACTIONS(1414),
    [anon_sym_PIPE] = ACTIONS(1416),
  },
  [4438] = {
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1420),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_between_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1420),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1420),
    [aux_sym__keyword_like_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [4439] = {
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1420),
    [aux_sym_keyword_replace_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_between_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1420),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1420),
    [aux_sym__keyword_like_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [4440] = {
    [ts_builtin_sym_end] = ACTIONS(1422),
    [sym__unquoted_identifier] = ACTIONS(1424),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1424),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1424),
    [aux_sym_keyword_replace_token1] = ACTIONS(1424),
    [aux_sym__keyword_alter_token1] = ACTIONS(1424),
    [aux_sym__keyword_delete_token1] = ACTIONS(1424),
    [aux_sym__keyword_begin_token1] = ACTIONS(1424),
    [aux_sym__keyword_between_token1] = ACTIONS(1424),
    [aux_sym__keyword_is_token1] = ACTIONS(1424),
    [aux_sym__keyword_in_token1] = ACTIONS(1424),
    [aux_sym__keyword_and_token1] = ACTIONS(1424),
    [aux_sym__keyword_like_token1] = ACTIONS(1424),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1424),
    [aux_sym__keyword_as_token1] = ACTIONS(1424),
    [aux_sym__keyword_date_token1] = ACTIONS(1424),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1424),
    [aux_sym__keyword_time_token1] = ACTIONS(1424),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1424),
    [aux_sym__keyword_for_token1] = ACTIONS(1424),
    [anon_sym_SEMI] = ACTIONS(1422),
    [aux_sym_declare_statement_token1] = ACTIONS(1424),
    [anon_sym_COMMA] = ACTIONS(1422),
    [aux_sym_set_statement_token1] = ACTIONS(1424),
    [anon_sym_LPAREN] = ACTIONS(1422),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1424),
    [aux_sym_return_satement_token1] = ACTIONS(1424),
    [aux_sym_call_statement_token1] = ACTIONS(1424),
    [aux_sym_loop_statement_token1] = ACTIONS(1424),
    [aux_sym_while_statement_token1] = ACTIONS(1424),
    [aux_sym_break_statement_token1] = ACTIONS(1424),
    [aux_sym_leave_statement_token1] = ACTIONS(1424),
    [aux_sym_continue_statement_token1] = ACTIONS(1424),
    [aux_sym_iterate_statement_token1] = ACTIONS(1424),
    [aux_sym_raise_statement_token1] = ACTIONS(1424),
    [anon_sym_EQ] = ACTIONS(1422),
    [aux_sym_assert_statement_token1] = ACTIONS(1424),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1424),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1424),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1424),
    [anon_sym_LT] = ACTIONS(1424),
    [anon_sym_GT] = ACTIONS(1424),
    [aux_sym_select_token1] = ACTIONS(1424),
    [aux_sym_insert_statement_token1] = ACTIONS(1424),
    [aux_sym_truncate_statement_token1] = ACTIONS(1424),
    [aux_sym_update_statement_token1] = ACTIONS(1424),
    [aux_sym_merge_statement_token1] = ACTIONS(1424),
    [aux_sym_grant_statement_token1] = ACTIONS(1424),
    [aux_sym_revoke_statement_token1] = ACTIONS(1424),
    [aux_sym_export_data_statement_token1] = ACTIONS(1424),
    [aux_sym_load_data_statement_token1] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1422),
    [sym__quoted_identifier] = ACTIONS(1422),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1424),
    [anon_sym_STAR] = ACTIONS(1422),
    [anon_sym_SLASH] = ACTIONS(1424),
    [anon_sym_PIPE_PIPE] = ACTIONS(1422),
    [anon_sym_LT_EQ] = ACTIONS(1422),
    [anon_sym_LT_GT] = ACTIONS(1422),
    [anon_sym_GT_EQ] = ACTIONS(1422),
    [anon_sym_BANG_EQ] = ACTIONS(1422),
    [anon_sym_LT_LT] = ACTIONS(1422),
    [anon_sym_GT_GT] = ACTIONS(1422),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_CARET] = ACTIONS(1422),
    [anon_sym_PIPE] = ACTIONS(1424),
  },
  [4441] = {
    [ts_builtin_sym_end] = ACTIONS(1430),
    [sym__unquoted_identifier] = ACTIONS(1432),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1432),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1432),
    [aux_sym_keyword_replace_token1] = ACTIONS(1432),
    [aux_sym__keyword_alter_token1] = ACTIONS(1432),
    [aux_sym__keyword_delete_token1] = ACTIONS(1432),
    [aux_sym__keyword_begin_token1] = ACTIONS(1432),
    [aux_sym__keyword_between_token1] = ACTIONS(1432),
    [aux_sym__keyword_is_token1] = ACTIONS(1432),
    [aux_sym__keyword_in_token1] = ACTIONS(1432),
    [aux_sym__keyword_and_token1] = ACTIONS(1432),
    [aux_sym__keyword_like_token1] = ACTIONS(1432),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1432),
    [aux_sym__keyword_as_token1] = ACTIONS(1432),
    [aux_sym__keyword_date_token1] = ACTIONS(1432),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1432),
    [aux_sym__keyword_time_token1] = ACTIONS(1432),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1432),
    [aux_sym__keyword_for_token1] = ACTIONS(1432),
    [anon_sym_SEMI] = ACTIONS(1430),
    [aux_sym_declare_statement_token1] = ACTIONS(1432),
    [anon_sym_COMMA] = ACTIONS(1430),
    [aux_sym_set_statement_token1] = ACTIONS(1432),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1432),
    [aux_sym_return_satement_token1] = ACTIONS(1432),
    [aux_sym_call_statement_token1] = ACTIONS(1432),
    [aux_sym_loop_statement_token1] = ACTIONS(1432),
    [aux_sym_while_statement_token1] = ACTIONS(1432),
    [aux_sym_break_statement_token1] = ACTIONS(1432),
    [aux_sym_leave_statement_token1] = ACTIONS(1432),
    [aux_sym_continue_statement_token1] = ACTIONS(1432),
    [aux_sym_iterate_statement_token1] = ACTIONS(1432),
    [aux_sym_raise_statement_token1] = ACTIONS(1432),
    [anon_sym_EQ] = ACTIONS(1430),
    [aux_sym_assert_statement_token1] = ACTIONS(1432),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1432),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1432),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [aux_sym_select_token1] = ACTIONS(1432),
    [aux_sym_insert_statement_token1] = ACTIONS(1432),
    [aux_sym_truncate_statement_token1] = ACTIONS(1432),
    [aux_sym_update_statement_token1] = ACTIONS(1432),
    [aux_sym_merge_statement_token1] = ACTIONS(1432),
    [aux_sym_grant_statement_token1] = ACTIONS(1432),
    [aux_sym_revoke_statement_token1] = ACTIONS(1432),
    [aux_sym_export_data_statement_token1] = ACTIONS(1432),
    [aux_sym_load_data_statement_token1] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [sym__quoted_identifier] = ACTIONS(1430),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1432),
    [anon_sym_PIPE_PIPE] = ACTIONS(1430),
    [anon_sym_LT_EQ] = ACTIONS(1430),
    [anon_sym_LT_GT] = ACTIONS(1430),
    [anon_sym_GT_EQ] = ACTIONS(1430),
    [anon_sym_BANG_EQ] = ACTIONS(1430),
    [anon_sym_LT_LT] = ACTIONS(1430),
    [anon_sym_GT_GT] = ACTIONS(1430),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_PIPE] = ACTIONS(1432),
  },
  [4442] = {
    [ts_builtin_sym_end] = ACTIONS(1434),
    [sym__unquoted_identifier] = ACTIONS(1436),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1436),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1436),
    [aux_sym_keyword_replace_token1] = ACTIONS(1436),
    [aux_sym__keyword_alter_token1] = ACTIONS(1436),
    [aux_sym__keyword_delete_token1] = ACTIONS(1436),
    [aux_sym__keyword_begin_token1] = ACTIONS(1436),
    [aux_sym__keyword_between_token1] = ACTIONS(1436),
    [aux_sym__keyword_is_token1] = ACTIONS(1436),
    [aux_sym__keyword_in_token1] = ACTIONS(1436),
    [aux_sym__keyword_and_token1] = ACTIONS(1436),
    [aux_sym__keyword_like_token1] = ACTIONS(1436),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1436),
    [aux_sym__keyword_as_token1] = ACTIONS(1436),
    [aux_sym__keyword_date_token1] = ACTIONS(1436),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1436),
    [aux_sym__keyword_time_token1] = ACTIONS(1436),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1436),
    [aux_sym__keyword_for_token1] = ACTIONS(1436),
    [anon_sym_SEMI] = ACTIONS(1434),
    [aux_sym_declare_statement_token1] = ACTIONS(1436),
    [anon_sym_COMMA] = ACTIONS(1434),
    [aux_sym_set_statement_token1] = ACTIONS(1436),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1436),
    [aux_sym_return_satement_token1] = ACTIONS(1436),
    [aux_sym_call_statement_token1] = ACTIONS(1436),
    [aux_sym_loop_statement_token1] = ACTIONS(1436),
    [aux_sym_while_statement_token1] = ACTIONS(1436),
    [aux_sym_break_statement_token1] = ACTIONS(1436),
    [aux_sym_leave_statement_token1] = ACTIONS(1436),
    [aux_sym_continue_statement_token1] = ACTIONS(1436),
    [aux_sym_iterate_statement_token1] = ACTIONS(1436),
    [aux_sym_raise_statement_token1] = ACTIONS(1436),
    [anon_sym_EQ] = ACTIONS(1434),
    [aux_sym_assert_statement_token1] = ACTIONS(1436),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1436),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1436),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(1436),
    [anon_sym_GT] = ACTIONS(1436),
    [aux_sym_select_token1] = ACTIONS(1436),
    [aux_sym_insert_statement_token1] = ACTIONS(1436),
    [aux_sym_truncate_statement_token1] = ACTIONS(1436),
    [aux_sym_update_statement_token1] = ACTIONS(1436),
    [aux_sym_merge_statement_token1] = ACTIONS(1436),
    [aux_sym_grant_statement_token1] = ACTIONS(1436),
    [aux_sym_revoke_statement_token1] = ACTIONS(1436),
    [aux_sym_export_data_statement_token1] = ACTIONS(1436),
    [aux_sym_load_data_statement_token1] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [sym__quoted_identifier] = ACTIONS(1434),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_STAR] = ACTIONS(1434),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1434),
    [anon_sym_LT_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1434),
    [anon_sym_BANG_EQ] = ACTIONS(1434),
    [anon_sym_LT_LT] = ACTIONS(1434),
    [anon_sym_GT_GT] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1434),
    [anon_sym_PIPE] = ACTIONS(1436),
  },
  [4443] = {
    [ts_builtin_sym_end] = ACTIONS(1438),
    [sym__unquoted_identifier] = ACTIONS(1440),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1440),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1440),
    [aux_sym_keyword_replace_token1] = ACTIONS(1440),
    [aux_sym__keyword_alter_token1] = ACTIONS(1440),
    [aux_sym__keyword_delete_token1] = ACTIONS(1440),
    [aux_sym__keyword_begin_token1] = ACTIONS(1440),
    [aux_sym__keyword_between_token1] = ACTIONS(1440),
    [aux_sym__keyword_is_token1] = ACTIONS(1440),
    [aux_sym__keyword_in_token1] = ACTIONS(1440),
    [aux_sym__keyword_and_token1] = ACTIONS(1440),
    [aux_sym__keyword_like_token1] = ACTIONS(1440),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1440),
    [aux_sym__keyword_as_token1] = ACTIONS(1440),
    [aux_sym__keyword_date_token1] = ACTIONS(1440),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1440),
    [aux_sym__keyword_time_token1] = ACTIONS(1440),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1440),
    [aux_sym__keyword_for_token1] = ACTIONS(1440),
    [anon_sym_SEMI] = ACTIONS(1438),
    [aux_sym_declare_statement_token1] = ACTIONS(1440),
    [anon_sym_COMMA] = ACTIONS(1438),
    [aux_sym_set_statement_token1] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1438),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1440),
    [aux_sym_return_satement_token1] = ACTIONS(1440),
    [aux_sym_call_statement_token1] = ACTIONS(1440),
    [aux_sym_loop_statement_token1] = ACTIONS(1440),
    [aux_sym_while_statement_token1] = ACTIONS(1440),
    [aux_sym_break_statement_token1] = ACTIONS(1440),
    [aux_sym_leave_statement_token1] = ACTIONS(1440),
    [aux_sym_continue_statement_token1] = ACTIONS(1440),
    [aux_sym_iterate_statement_token1] = ACTIONS(1440),
    [aux_sym_raise_statement_token1] = ACTIONS(1440),
    [anon_sym_EQ] = ACTIONS(1438),
    [aux_sym_assert_statement_token1] = ACTIONS(1440),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1440),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1440),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1440),
    [anon_sym_LT] = ACTIONS(1440),
    [anon_sym_GT] = ACTIONS(1440),
    [aux_sym_select_token1] = ACTIONS(1440),
    [aux_sym_insert_statement_token1] = ACTIONS(1440),
    [aux_sym_truncate_statement_token1] = ACTIONS(1440),
    [aux_sym_update_statement_token1] = ACTIONS(1440),
    [aux_sym_merge_statement_token1] = ACTIONS(1440),
    [aux_sym_grant_statement_token1] = ACTIONS(1440),
    [aux_sym_revoke_statement_token1] = ACTIONS(1440),
    [aux_sym_export_data_statement_token1] = ACTIONS(1440),
    [aux_sym_load_data_statement_token1] = ACTIONS(1440),
    [anon_sym_LBRACK] = ACTIONS(1438),
    [sym__quoted_identifier] = ACTIONS(1438),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_STAR] = ACTIONS(1438),
    [anon_sym_SLASH] = ACTIONS(1440),
    [anon_sym_PIPE_PIPE] = ACTIONS(1438),
    [anon_sym_LT_EQ] = ACTIONS(1438),
    [anon_sym_LT_GT] = ACTIONS(1438),
    [anon_sym_GT_EQ] = ACTIONS(1438),
    [anon_sym_BANG_EQ] = ACTIONS(1438),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_AMP] = ACTIONS(1438),
    [anon_sym_CARET] = ACTIONS(1438),
    [anon_sym_PIPE] = ACTIONS(1440),
  },
  [4444] = {
    [ts_builtin_sym_end] = ACTIONS(1838),
    [sym__unquoted_identifier] = ACTIONS(1840),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1840),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1840),
    [aux_sym_keyword_replace_token1] = ACTIONS(1840),
    [aux_sym__keyword_alter_token1] = ACTIONS(1840),
    [aux_sym__keyword_delete_token1] = ACTIONS(1840),
    [aux_sym__keyword_begin_token1] = ACTIONS(1840),
    [aux_sym__keyword_between_token1] = ACTIONS(1840),
    [aux_sym__keyword_is_token1] = ACTIONS(1840),
    [aux_sym__keyword_in_token1] = ACTIONS(1840),
    [aux_sym__keyword_and_token1] = ACTIONS(1840),
    [aux_sym__keyword_like_token1] = ACTIONS(1840),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1840),
    [aux_sym__keyword_as_token1] = ACTIONS(1840),
    [aux_sym__keyword_date_token1] = ACTIONS(1840),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1840),
    [aux_sym__keyword_time_token1] = ACTIONS(1840),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1840),
    [aux_sym__keyword_for_token1] = ACTIONS(1840),
    [anon_sym_SEMI] = ACTIONS(1838),
    [aux_sym_declare_statement_token1] = ACTIONS(1840),
    [anon_sym_COMMA] = ACTIONS(1838),
    [aux_sym_set_statement_token1] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1838),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1840),
    [aux_sym_return_satement_token1] = ACTIONS(1840),
    [aux_sym_call_statement_token1] = ACTIONS(1840),
    [aux_sym_loop_statement_token1] = ACTIONS(1840),
    [aux_sym_while_statement_token1] = ACTIONS(1840),
    [aux_sym_break_statement_token1] = ACTIONS(1840),
    [aux_sym_leave_statement_token1] = ACTIONS(1840),
    [aux_sym_continue_statement_token1] = ACTIONS(1840),
    [aux_sym_iterate_statement_token1] = ACTIONS(1840),
    [aux_sym_raise_statement_token1] = ACTIONS(1840),
    [anon_sym_EQ] = ACTIONS(1838),
    [aux_sym_assert_statement_token1] = ACTIONS(1840),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1840),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1840),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1840),
    [anon_sym_LT] = ACTIONS(1840),
    [anon_sym_GT] = ACTIONS(1840),
    [aux_sym_select_token1] = ACTIONS(1840),
    [aux_sym_insert_statement_token1] = ACTIONS(1840),
    [aux_sym_truncate_statement_token1] = ACTIONS(1840),
    [aux_sym_update_statement_token1] = ACTIONS(1840),
    [aux_sym_merge_statement_token1] = ACTIONS(1840),
    [aux_sym_grant_statement_token1] = ACTIONS(1840),
    [aux_sym_revoke_statement_token1] = ACTIONS(1840),
    [aux_sym_export_data_statement_token1] = ACTIONS(1840),
    [aux_sym_load_data_statement_token1] = ACTIONS(1840),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [sym__quoted_identifier] = ACTIONS(1838),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1838),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1838),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE] = ACTIONS(1838),
    [anon_sym_LT_EQ] = ACTIONS(1838),
    [anon_sym_LT_GT] = ACTIONS(1838),
    [anon_sym_GT_EQ] = ACTIONS(1838),
    [anon_sym_BANG_EQ] = ACTIONS(1838),
    [anon_sym_LT_LT] = ACTIONS(1838),
    [anon_sym_GT_GT] = ACTIONS(1838),
    [anon_sym_AMP] = ACTIONS(1838),
    [anon_sym_CARET] = ACTIONS(1838),
    [anon_sym_PIPE] = ACTIONS(1840),
  },
  [4445] = {
    [ts_builtin_sym_end] = ACTIONS(1834),
    [sym__unquoted_identifier] = ACTIONS(1836),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1836),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1836),
    [aux_sym_keyword_replace_token1] = ACTIONS(1836),
    [aux_sym__keyword_alter_token1] = ACTIONS(1836),
    [aux_sym__keyword_delete_token1] = ACTIONS(1836),
    [aux_sym__keyword_begin_token1] = ACTIONS(1836),
    [aux_sym__keyword_between_token1] = ACTIONS(1836),
    [aux_sym__keyword_is_token1] = ACTIONS(1836),
    [aux_sym__keyword_in_token1] = ACTIONS(1836),
    [aux_sym__keyword_and_token1] = ACTIONS(1836),
    [aux_sym__keyword_like_token1] = ACTIONS(1836),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1836),
    [aux_sym__keyword_as_token1] = ACTIONS(1836),
    [aux_sym__keyword_date_token1] = ACTIONS(1836),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1836),
    [aux_sym__keyword_time_token1] = ACTIONS(1836),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1836),
    [aux_sym__keyword_for_token1] = ACTIONS(1836),
    [anon_sym_SEMI] = ACTIONS(1834),
    [aux_sym_declare_statement_token1] = ACTIONS(1836),
    [anon_sym_COMMA] = ACTIONS(1834),
    [aux_sym_set_statement_token1] = ACTIONS(1836),
    [anon_sym_LPAREN] = ACTIONS(1834),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1836),
    [aux_sym_return_satement_token1] = ACTIONS(1836),
    [aux_sym_call_statement_token1] = ACTIONS(1836),
    [aux_sym_loop_statement_token1] = ACTIONS(1836),
    [aux_sym_while_statement_token1] = ACTIONS(1836),
    [aux_sym_break_statement_token1] = ACTIONS(1836),
    [aux_sym_leave_statement_token1] = ACTIONS(1836),
    [aux_sym_continue_statement_token1] = ACTIONS(1836),
    [aux_sym_iterate_statement_token1] = ACTIONS(1836),
    [aux_sym_raise_statement_token1] = ACTIONS(1836),
    [anon_sym_EQ] = ACTIONS(1834),
    [aux_sym_assert_statement_token1] = ACTIONS(1836),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1836),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1836),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1836),
    [anon_sym_LT] = ACTIONS(1836),
    [anon_sym_GT] = ACTIONS(1836),
    [aux_sym_select_token1] = ACTIONS(1836),
    [aux_sym_insert_statement_token1] = ACTIONS(1836),
    [aux_sym_truncate_statement_token1] = ACTIONS(1836),
    [aux_sym_update_statement_token1] = ACTIONS(1836),
    [aux_sym_merge_statement_token1] = ACTIONS(1836),
    [aux_sym_grant_statement_token1] = ACTIONS(1836),
    [aux_sym_revoke_statement_token1] = ACTIONS(1836),
    [aux_sym_export_data_statement_token1] = ACTIONS(1836),
    [aux_sym_load_data_statement_token1] = ACTIONS(1836),
    [anon_sym_LBRACK] = ACTIONS(1834),
    [sym__quoted_identifier] = ACTIONS(1834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1834),
    [anon_sym_PLUS] = ACTIONS(1834),
    [anon_sym_DASH] = ACTIONS(1836),
    [anon_sym_STAR] = ACTIONS(1834),
    [anon_sym_SLASH] = ACTIONS(1836),
    [anon_sym_PIPE_PIPE] = ACTIONS(1834),
    [anon_sym_LT_EQ] = ACTIONS(1834),
    [anon_sym_LT_GT] = ACTIONS(1834),
    [anon_sym_GT_EQ] = ACTIONS(1834),
    [anon_sym_BANG_EQ] = ACTIONS(1834),
    [anon_sym_LT_LT] = ACTIONS(1834),
    [anon_sym_GT_GT] = ACTIONS(1834),
    [anon_sym_AMP] = ACTIONS(1834),
    [anon_sym_CARET] = ACTIONS(1834),
    [anon_sym_PIPE] = ACTIONS(1836),
  },
  [4446] = {
    [ts_builtin_sym_end] = ACTIONS(1454),
    [sym__unquoted_identifier] = ACTIONS(1456),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1456),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1456),
    [aux_sym_keyword_replace_token1] = ACTIONS(1456),
    [aux_sym__keyword_alter_token1] = ACTIONS(1456),
    [aux_sym__keyword_delete_token1] = ACTIONS(1456),
    [aux_sym__keyword_begin_token1] = ACTIONS(1456),
    [aux_sym__keyword_between_token1] = ACTIONS(1456),
    [aux_sym__keyword_is_token1] = ACTIONS(1456),
    [aux_sym__keyword_in_token1] = ACTIONS(1456),
    [aux_sym__keyword_and_token1] = ACTIONS(1456),
    [aux_sym__keyword_like_token1] = ACTIONS(1456),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1456),
    [aux_sym__keyword_as_token1] = ACTIONS(1456),
    [aux_sym__keyword_date_token1] = ACTIONS(1456),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1456),
    [aux_sym__keyword_time_token1] = ACTIONS(1456),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1456),
    [aux_sym__keyword_for_token1] = ACTIONS(1456),
    [anon_sym_SEMI] = ACTIONS(1454),
    [aux_sym_declare_statement_token1] = ACTIONS(1456),
    [anon_sym_COMMA] = ACTIONS(1454),
    [aux_sym_set_statement_token1] = ACTIONS(1456),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1456),
    [aux_sym_return_satement_token1] = ACTIONS(1456),
    [aux_sym_call_statement_token1] = ACTIONS(1456),
    [aux_sym_loop_statement_token1] = ACTIONS(1456),
    [aux_sym_while_statement_token1] = ACTIONS(1456),
    [aux_sym_break_statement_token1] = ACTIONS(1456),
    [aux_sym_leave_statement_token1] = ACTIONS(1456),
    [aux_sym_continue_statement_token1] = ACTIONS(1456),
    [aux_sym_iterate_statement_token1] = ACTIONS(1456),
    [aux_sym_raise_statement_token1] = ACTIONS(1456),
    [anon_sym_EQ] = ACTIONS(1454),
    [aux_sym_assert_statement_token1] = ACTIONS(1456),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1456),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1456),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1456),
    [anon_sym_LT] = ACTIONS(1456),
    [anon_sym_GT] = ACTIONS(1456),
    [aux_sym_select_token1] = ACTIONS(1456),
    [aux_sym_insert_statement_token1] = ACTIONS(1456),
    [aux_sym_truncate_statement_token1] = ACTIONS(1456),
    [aux_sym_update_statement_token1] = ACTIONS(1456),
    [aux_sym_merge_statement_token1] = ACTIONS(1456),
    [aux_sym_grant_statement_token1] = ACTIONS(1456),
    [aux_sym_revoke_statement_token1] = ACTIONS(1456),
    [aux_sym_export_data_statement_token1] = ACTIONS(1456),
    [aux_sym_load_data_statement_token1] = ACTIONS(1456),
    [anon_sym_LBRACK] = ACTIONS(1454),
    [sym__quoted_identifier] = ACTIONS(1454),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1454),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1454),
    [anon_sym_SLASH] = ACTIONS(1456),
    [anon_sym_PIPE_PIPE] = ACTIONS(1454),
    [anon_sym_LT_EQ] = ACTIONS(1454),
    [anon_sym_LT_GT] = ACTIONS(1454),
    [anon_sym_GT_EQ] = ACTIONS(1454),
    [anon_sym_BANG_EQ] = ACTIONS(1454),
    [anon_sym_LT_LT] = ACTIONS(1454),
    [anon_sym_GT_GT] = ACTIONS(1454),
    [anon_sym_AMP] = ACTIONS(1454),
    [anon_sym_CARET] = ACTIONS(1454),
    [anon_sym_PIPE] = ACTIONS(1456),
  },
  [4447] = {
    [ts_builtin_sym_end] = ACTIONS(1466),
    [sym__unquoted_identifier] = ACTIONS(1468),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1468),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1468),
    [aux_sym_keyword_replace_token1] = ACTIONS(1468),
    [aux_sym__keyword_alter_token1] = ACTIONS(1468),
    [aux_sym__keyword_delete_token1] = ACTIONS(1468),
    [aux_sym__keyword_begin_token1] = ACTIONS(1468),
    [aux_sym__keyword_between_token1] = ACTIONS(1468),
    [aux_sym__keyword_is_token1] = ACTIONS(1468),
    [aux_sym__keyword_in_token1] = ACTIONS(1468),
    [aux_sym__keyword_and_token1] = ACTIONS(1468),
    [aux_sym__keyword_like_token1] = ACTIONS(1468),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1468),
    [aux_sym__keyword_as_token1] = ACTIONS(1468),
    [aux_sym__keyword_date_token1] = ACTIONS(1468),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1468),
    [aux_sym__keyword_time_token1] = ACTIONS(1468),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1468),
    [aux_sym__keyword_for_token1] = ACTIONS(1468),
    [anon_sym_SEMI] = ACTIONS(1466),
    [aux_sym_declare_statement_token1] = ACTIONS(1468),
    [anon_sym_COMMA] = ACTIONS(1466),
    [aux_sym_set_statement_token1] = ACTIONS(1468),
    [anon_sym_LPAREN] = ACTIONS(1466),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1468),
    [aux_sym_return_satement_token1] = ACTIONS(1468),
    [aux_sym_call_statement_token1] = ACTIONS(1468),
    [aux_sym_loop_statement_token1] = ACTIONS(1468),
    [aux_sym_while_statement_token1] = ACTIONS(1468),
    [aux_sym_break_statement_token1] = ACTIONS(1468),
    [aux_sym_leave_statement_token1] = ACTIONS(1468),
    [aux_sym_continue_statement_token1] = ACTIONS(1468),
    [aux_sym_iterate_statement_token1] = ACTIONS(1468),
    [aux_sym_raise_statement_token1] = ACTIONS(1468),
    [anon_sym_EQ] = ACTIONS(1466),
    [aux_sym_assert_statement_token1] = ACTIONS(1468),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1468),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1468),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1468),
    [anon_sym_LT] = ACTIONS(1468),
    [anon_sym_GT] = ACTIONS(1468),
    [aux_sym_select_token1] = ACTIONS(1468),
    [aux_sym_insert_statement_token1] = ACTIONS(1468),
    [aux_sym_truncate_statement_token1] = ACTIONS(1468),
    [aux_sym_update_statement_token1] = ACTIONS(1468),
    [aux_sym_merge_statement_token1] = ACTIONS(1468),
    [aux_sym_grant_statement_token1] = ACTIONS(1468),
    [aux_sym_revoke_statement_token1] = ACTIONS(1468),
    [aux_sym_export_data_statement_token1] = ACTIONS(1468),
    [aux_sym_load_data_statement_token1] = ACTIONS(1468),
    [anon_sym_LBRACK] = ACTIONS(1466),
    [sym__quoted_identifier] = ACTIONS(1466),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_STAR] = ACTIONS(1466),
    [anon_sym_SLASH] = ACTIONS(1468),
    [anon_sym_PIPE_PIPE] = ACTIONS(1466),
    [anon_sym_LT_EQ] = ACTIONS(1466),
    [anon_sym_LT_GT] = ACTIONS(1466),
    [anon_sym_GT_EQ] = ACTIONS(1466),
    [anon_sym_BANG_EQ] = ACTIONS(1466),
    [anon_sym_LT_LT] = ACTIONS(1466),
    [anon_sym_GT_GT] = ACTIONS(1466),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_CARET] = ACTIONS(1466),
    [anon_sym_PIPE] = ACTIONS(1468),
  },
  [4448] = {
    [ts_builtin_sym_end] = ACTIONS(1470),
    [sym__unquoted_identifier] = ACTIONS(1472),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1472),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1472),
    [aux_sym_keyword_replace_token1] = ACTIONS(1472),
    [aux_sym__keyword_alter_token1] = ACTIONS(1472),
    [aux_sym__keyword_delete_token1] = ACTIONS(1472),
    [aux_sym__keyword_begin_token1] = ACTIONS(1472),
    [aux_sym__keyword_between_token1] = ACTIONS(1472),
    [aux_sym__keyword_is_token1] = ACTIONS(1472),
    [aux_sym__keyword_in_token1] = ACTIONS(1472),
    [aux_sym__keyword_and_token1] = ACTIONS(1472),
    [aux_sym__keyword_like_token1] = ACTIONS(1472),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1472),
    [aux_sym__keyword_as_token1] = ACTIONS(1472),
    [aux_sym__keyword_date_token1] = ACTIONS(1472),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1472),
    [aux_sym__keyword_time_token1] = ACTIONS(1472),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1472),
    [aux_sym__keyword_for_token1] = ACTIONS(1472),
    [anon_sym_SEMI] = ACTIONS(1470),
    [aux_sym_declare_statement_token1] = ACTIONS(1472),
    [anon_sym_COMMA] = ACTIONS(1470),
    [aux_sym_set_statement_token1] = ACTIONS(1472),
    [anon_sym_LPAREN] = ACTIONS(1470),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1472),
    [aux_sym_return_satement_token1] = ACTIONS(1472),
    [aux_sym_call_statement_token1] = ACTIONS(1472),
    [aux_sym_loop_statement_token1] = ACTIONS(1472),
    [aux_sym_while_statement_token1] = ACTIONS(1472),
    [aux_sym_break_statement_token1] = ACTIONS(1472),
    [aux_sym_leave_statement_token1] = ACTIONS(1472),
    [aux_sym_continue_statement_token1] = ACTIONS(1472),
    [aux_sym_iterate_statement_token1] = ACTIONS(1472),
    [aux_sym_raise_statement_token1] = ACTIONS(1472),
    [anon_sym_EQ] = ACTIONS(1470),
    [aux_sym_assert_statement_token1] = ACTIONS(1472),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1472),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1472),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1472),
    [anon_sym_LT] = ACTIONS(1472),
    [anon_sym_GT] = ACTIONS(1472),
    [aux_sym_select_token1] = ACTIONS(1472),
    [aux_sym_insert_statement_token1] = ACTIONS(1472),
    [aux_sym_truncate_statement_token1] = ACTIONS(1472),
    [aux_sym_update_statement_token1] = ACTIONS(1472),
    [aux_sym_merge_statement_token1] = ACTIONS(1472),
    [aux_sym_grant_statement_token1] = ACTIONS(1472),
    [aux_sym_revoke_statement_token1] = ACTIONS(1472),
    [aux_sym_export_data_statement_token1] = ACTIONS(1472),
    [aux_sym_load_data_statement_token1] = ACTIONS(1472),
    [anon_sym_LBRACK] = ACTIONS(1470),
    [sym__quoted_identifier] = ACTIONS(1470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1470),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_STAR] = ACTIONS(1470),
    [anon_sym_SLASH] = ACTIONS(1472),
    [anon_sym_PIPE_PIPE] = ACTIONS(1470),
    [anon_sym_LT_EQ] = ACTIONS(1470),
    [anon_sym_LT_GT] = ACTIONS(1470),
    [anon_sym_GT_EQ] = ACTIONS(1470),
    [anon_sym_BANG_EQ] = ACTIONS(1470),
    [anon_sym_LT_LT] = ACTIONS(1470),
    [anon_sym_GT_GT] = ACTIONS(1470),
    [anon_sym_AMP] = ACTIONS(1470),
    [anon_sym_CARET] = ACTIONS(1470),
    [anon_sym_PIPE] = ACTIONS(1472),
  },
  [4449] = {
    [ts_builtin_sym_end] = ACTIONS(1854),
    [sym__unquoted_identifier] = ACTIONS(1856),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1856),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1856),
    [aux_sym_keyword_replace_token1] = ACTIONS(1856),
    [aux_sym__keyword_alter_token1] = ACTIONS(1856),
    [aux_sym__keyword_delete_token1] = ACTIONS(1856),
    [aux_sym__keyword_begin_token1] = ACTIONS(1856),
    [aux_sym__keyword_between_token1] = ACTIONS(1856),
    [aux_sym__keyword_is_token1] = ACTIONS(1856),
    [aux_sym__keyword_in_token1] = ACTIONS(1856),
    [aux_sym__keyword_and_token1] = ACTIONS(1856),
    [aux_sym__keyword_like_token1] = ACTIONS(1856),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1856),
    [aux_sym__keyword_as_token1] = ACTIONS(1856),
    [aux_sym__keyword_date_token1] = ACTIONS(1856),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1856),
    [aux_sym__keyword_time_token1] = ACTIONS(1856),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1856),
    [aux_sym__keyword_for_token1] = ACTIONS(1856),
    [anon_sym_SEMI] = ACTIONS(1854),
    [aux_sym_declare_statement_token1] = ACTIONS(1856),
    [anon_sym_COMMA] = ACTIONS(1854),
    [aux_sym_set_statement_token1] = ACTIONS(1856),
    [anon_sym_LPAREN] = ACTIONS(1854),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1856),
    [aux_sym_return_satement_token1] = ACTIONS(1856),
    [aux_sym_call_statement_token1] = ACTIONS(1856),
    [aux_sym_loop_statement_token1] = ACTIONS(1856),
    [aux_sym_while_statement_token1] = ACTIONS(1856),
    [aux_sym_break_statement_token1] = ACTIONS(1856),
    [aux_sym_leave_statement_token1] = ACTIONS(1856),
    [aux_sym_continue_statement_token1] = ACTIONS(1856),
    [aux_sym_iterate_statement_token1] = ACTIONS(1856),
    [aux_sym_raise_statement_token1] = ACTIONS(1856),
    [anon_sym_EQ] = ACTIONS(1854),
    [aux_sym_assert_statement_token1] = ACTIONS(1856),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1856),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1856),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1856),
    [anon_sym_LT] = ACTIONS(1856),
    [anon_sym_GT] = ACTIONS(1856),
    [aux_sym_select_token1] = ACTIONS(1856),
    [aux_sym_insert_statement_token1] = ACTIONS(1856),
    [aux_sym_truncate_statement_token1] = ACTIONS(1856),
    [aux_sym_update_statement_token1] = ACTIONS(1856),
    [aux_sym_merge_statement_token1] = ACTIONS(1856),
    [aux_sym_grant_statement_token1] = ACTIONS(1856),
    [aux_sym_revoke_statement_token1] = ACTIONS(1856),
    [aux_sym_export_data_statement_token1] = ACTIONS(1856),
    [aux_sym_load_data_statement_token1] = ACTIONS(1856),
    [anon_sym_LBRACK] = ACTIONS(1854),
    [sym__quoted_identifier] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1854),
    [anon_sym_SLASH] = ACTIONS(1856),
    [anon_sym_PIPE_PIPE] = ACTIONS(1854),
    [anon_sym_LT_EQ] = ACTIONS(1854),
    [anon_sym_LT_GT] = ACTIONS(1854),
    [anon_sym_GT_EQ] = ACTIONS(1854),
    [anon_sym_BANG_EQ] = ACTIONS(1854),
    [anon_sym_LT_LT] = ACTIONS(1854),
    [anon_sym_GT_GT] = ACTIONS(1854),
    [anon_sym_AMP] = ACTIONS(1854),
    [anon_sym_CARET] = ACTIONS(1854),
    [anon_sym_PIPE] = ACTIONS(1856),
  },
  [4450] = {
    [ts_builtin_sym_end] = ACTIONS(1846),
    [sym__unquoted_identifier] = ACTIONS(1848),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1848),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1848),
    [aux_sym_keyword_replace_token1] = ACTIONS(1848),
    [aux_sym__keyword_alter_token1] = ACTIONS(1848),
    [aux_sym__keyword_delete_token1] = ACTIONS(1848),
    [aux_sym__keyword_begin_token1] = ACTIONS(1848),
    [aux_sym__keyword_between_token1] = ACTIONS(1848),
    [aux_sym__keyword_is_token1] = ACTIONS(1848),
    [aux_sym__keyword_in_token1] = ACTIONS(1848),
    [aux_sym__keyword_and_token1] = ACTIONS(1848),
    [aux_sym__keyword_like_token1] = ACTIONS(1848),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1848),
    [aux_sym__keyword_as_token1] = ACTIONS(1848),
    [aux_sym__keyword_date_token1] = ACTIONS(1848),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1848),
    [aux_sym__keyword_time_token1] = ACTIONS(1848),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1848),
    [aux_sym__keyword_for_token1] = ACTIONS(1848),
    [anon_sym_SEMI] = ACTIONS(1846),
    [aux_sym_declare_statement_token1] = ACTIONS(1848),
    [anon_sym_COMMA] = ACTIONS(1846),
    [aux_sym_set_statement_token1] = ACTIONS(1848),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1848),
    [aux_sym_return_satement_token1] = ACTIONS(1848),
    [aux_sym_call_statement_token1] = ACTIONS(1848),
    [aux_sym_loop_statement_token1] = ACTIONS(1848),
    [aux_sym_while_statement_token1] = ACTIONS(1848),
    [aux_sym_break_statement_token1] = ACTIONS(1848),
    [aux_sym_leave_statement_token1] = ACTIONS(1848),
    [aux_sym_continue_statement_token1] = ACTIONS(1848),
    [aux_sym_iterate_statement_token1] = ACTIONS(1848),
    [aux_sym_raise_statement_token1] = ACTIONS(1848),
    [anon_sym_EQ] = ACTIONS(1846),
    [aux_sym_assert_statement_token1] = ACTIONS(1848),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1848),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1848),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1848),
    [anon_sym_LT] = ACTIONS(1848),
    [anon_sym_GT] = ACTIONS(1848),
    [aux_sym_select_token1] = ACTIONS(1848),
    [aux_sym_insert_statement_token1] = ACTIONS(1848),
    [aux_sym_truncate_statement_token1] = ACTIONS(1848),
    [aux_sym_update_statement_token1] = ACTIONS(1848),
    [aux_sym_merge_statement_token1] = ACTIONS(1848),
    [aux_sym_grant_statement_token1] = ACTIONS(1848),
    [aux_sym_revoke_statement_token1] = ACTIONS(1848),
    [aux_sym_export_data_statement_token1] = ACTIONS(1848),
    [aux_sym_load_data_statement_token1] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1846),
    [sym__quoted_identifier] = ACTIONS(1846),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1846),
    [anon_sym_PLUS] = ACTIONS(1846),
    [anon_sym_DASH] = ACTIONS(1848),
    [anon_sym_STAR] = ACTIONS(1846),
    [anon_sym_SLASH] = ACTIONS(1848),
    [anon_sym_PIPE_PIPE] = ACTIONS(1846),
    [anon_sym_LT_EQ] = ACTIONS(1846),
    [anon_sym_LT_GT] = ACTIONS(1846),
    [anon_sym_GT_EQ] = ACTIONS(1846),
    [anon_sym_BANG_EQ] = ACTIONS(1846),
    [anon_sym_LT_LT] = ACTIONS(1846),
    [anon_sym_GT_GT] = ACTIONS(1846),
    [anon_sym_AMP] = ACTIONS(1846),
    [anon_sym_CARET] = ACTIONS(1846),
    [anon_sym_PIPE] = ACTIONS(1848),
  },
  [4451] = {
    [ts_builtin_sym_end] = ACTIONS(1586),
    [sym__unquoted_identifier] = ACTIONS(1588),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1588),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1588),
    [aux_sym_keyword_replace_token1] = ACTIONS(1588),
    [aux_sym__keyword_alter_token1] = ACTIONS(1588),
    [aux_sym__keyword_delete_token1] = ACTIONS(1588),
    [aux_sym__keyword_begin_token1] = ACTIONS(1588),
    [aux_sym__keyword_between_token1] = ACTIONS(1588),
    [aux_sym__keyword_is_token1] = ACTIONS(1588),
    [aux_sym__keyword_in_token1] = ACTIONS(1588),
    [aux_sym__keyword_and_token1] = ACTIONS(1588),
    [aux_sym__keyword_like_token1] = ACTIONS(1588),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1588),
    [aux_sym__keyword_as_token1] = ACTIONS(1588),
    [aux_sym__keyword_date_token1] = ACTIONS(1588),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1588),
    [aux_sym__keyword_time_token1] = ACTIONS(1588),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1588),
    [aux_sym__keyword_for_token1] = ACTIONS(1588),
    [anon_sym_SEMI] = ACTIONS(1586),
    [aux_sym_declare_statement_token1] = ACTIONS(1588),
    [anon_sym_COMMA] = ACTIONS(1586),
    [aux_sym_set_statement_token1] = ACTIONS(1588),
    [anon_sym_LPAREN] = ACTIONS(1586),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1588),
    [aux_sym_return_satement_token1] = ACTIONS(1588),
    [aux_sym_call_statement_token1] = ACTIONS(1588),
    [aux_sym_loop_statement_token1] = ACTIONS(1588),
    [aux_sym_while_statement_token1] = ACTIONS(1588),
    [aux_sym_break_statement_token1] = ACTIONS(1588),
    [aux_sym_leave_statement_token1] = ACTIONS(1588),
    [aux_sym_continue_statement_token1] = ACTIONS(1588),
    [aux_sym_iterate_statement_token1] = ACTIONS(1588),
    [aux_sym_raise_statement_token1] = ACTIONS(1588),
    [anon_sym_EQ] = ACTIONS(1586),
    [aux_sym_assert_statement_token1] = ACTIONS(1588),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1588),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1588),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1588),
    [anon_sym_LT] = ACTIONS(1588),
    [anon_sym_GT] = ACTIONS(1588),
    [aux_sym_select_token1] = ACTIONS(1588),
    [aux_sym_insert_statement_token1] = ACTIONS(1588),
    [aux_sym_truncate_statement_token1] = ACTIONS(1588),
    [aux_sym_update_statement_token1] = ACTIONS(1588),
    [aux_sym_merge_statement_token1] = ACTIONS(1588),
    [aux_sym_grant_statement_token1] = ACTIONS(1588),
    [aux_sym_revoke_statement_token1] = ACTIONS(1588),
    [aux_sym_export_data_statement_token1] = ACTIONS(1588),
    [aux_sym_load_data_statement_token1] = ACTIONS(1588),
    [anon_sym_LBRACK] = ACTIONS(1586),
    [sym__quoted_identifier] = ACTIONS(1586),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1586),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_STAR] = ACTIONS(1586),
    [anon_sym_SLASH] = ACTIONS(1588),
    [anon_sym_PIPE_PIPE] = ACTIONS(1586),
    [anon_sym_LT_EQ] = ACTIONS(1586),
    [anon_sym_LT_GT] = ACTIONS(1586),
    [anon_sym_GT_EQ] = ACTIONS(1586),
    [anon_sym_BANG_EQ] = ACTIONS(1586),
    [anon_sym_LT_LT] = ACTIONS(1586),
    [anon_sym_GT_GT] = ACTIONS(1586),
    [anon_sym_AMP] = ACTIONS(1586),
    [anon_sym_CARET] = ACTIONS(1586),
    [anon_sym_PIPE] = ACTIONS(1588),
  },
  [4452] = {
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [4453] = {
    [ts_builtin_sym_end] = ACTIONS(1492),
    [sym__unquoted_identifier] = ACTIONS(1494),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1494),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1494),
    [aux_sym_keyword_replace_token1] = ACTIONS(1494),
    [aux_sym__keyword_alter_token1] = ACTIONS(1494),
    [aux_sym__keyword_delete_token1] = ACTIONS(1494),
    [aux_sym__keyword_begin_token1] = ACTIONS(1494),
    [aux_sym__keyword_between_token1] = ACTIONS(1494),
    [aux_sym__keyword_is_token1] = ACTIONS(1494),
    [aux_sym__keyword_in_token1] = ACTIONS(1494),
    [aux_sym__keyword_and_token1] = ACTIONS(1494),
    [aux_sym__keyword_like_token1] = ACTIONS(1494),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1494),
    [aux_sym__keyword_as_token1] = ACTIONS(1494),
    [aux_sym__keyword_date_token1] = ACTIONS(1494),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1494),
    [aux_sym__keyword_time_token1] = ACTIONS(1494),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1494),
    [aux_sym__keyword_for_token1] = ACTIONS(1494),
    [anon_sym_SEMI] = ACTIONS(1492),
    [aux_sym_declare_statement_token1] = ACTIONS(1494),
    [anon_sym_COMMA] = ACTIONS(1492),
    [aux_sym_set_statement_token1] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1494),
    [aux_sym_return_satement_token1] = ACTIONS(1494),
    [aux_sym_call_statement_token1] = ACTIONS(1494),
    [aux_sym_loop_statement_token1] = ACTIONS(1494),
    [aux_sym_while_statement_token1] = ACTIONS(1494),
    [aux_sym_break_statement_token1] = ACTIONS(1494),
    [aux_sym_leave_statement_token1] = ACTIONS(1494),
    [aux_sym_continue_statement_token1] = ACTIONS(1494),
    [aux_sym_iterate_statement_token1] = ACTIONS(1494),
    [aux_sym_raise_statement_token1] = ACTIONS(1494),
    [anon_sym_EQ] = ACTIONS(1492),
    [aux_sym_assert_statement_token1] = ACTIONS(1494),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1494),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1494),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1494),
    [anon_sym_LT] = ACTIONS(1494),
    [anon_sym_GT] = ACTIONS(1494),
    [aux_sym_select_token1] = ACTIONS(1494),
    [aux_sym_insert_statement_token1] = ACTIONS(1494),
    [aux_sym_truncate_statement_token1] = ACTIONS(1494),
    [aux_sym_update_statement_token1] = ACTIONS(1494),
    [aux_sym_merge_statement_token1] = ACTIONS(1494),
    [aux_sym_grant_statement_token1] = ACTIONS(1494),
    [aux_sym_revoke_statement_token1] = ACTIONS(1494),
    [aux_sym_export_data_statement_token1] = ACTIONS(1494),
    [aux_sym_load_data_statement_token1] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [sym__quoted_identifier] = ACTIONS(1492),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_STAR] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1494),
    [anon_sym_PIPE_PIPE] = ACTIONS(1492),
    [anon_sym_LT_EQ] = ACTIONS(1492),
    [anon_sym_LT_GT] = ACTIONS(1492),
    [anon_sym_GT_EQ] = ACTIONS(1492),
    [anon_sym_BANG_EQ] = ACTIONS(1492),
    [anon_sym_LT_LT] = ACTIONS(1492),
    [anon_sym_GT_GT] = ACTIONS(1492),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_CARET] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1494),
  },
  [4454] = {
    [ts_builtin_sym_end] = ACTIONS(1858),
    [sym__unquoted_identifier] = ACTIONS(1860),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1860),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1860),
    [aux_sym_keyword_replace_token1] = ACTIONS(1860),
    [aux_sym__keyword_alter_token1] = ACTIONS(1860),
    [aux_sym__keyword_delete_token1] = ACTIONS(1860),
    [aux_sym__keyword_begin_token1] = ACTIONS(1860),
    [aux_sym__keyword_between_token1] = ACTIONS(1860),
    [aux_sym__keyword_is_token1] = ACTIONS(1860),
    [aux_sym__keyword_in_token1] = ACTIONS(1860),
    [aux_sym__keyword_and_token1] = ACTIONS(1860),
    [aux_sym__keyword_like_token1] = ACTIONS(1860),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1860),
    [aux_sym__keyword_as_token1] = ACTIONS(1860),
    [aux_sym__keyword_date_token1] = ACTIONS(1860),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1860),
    [aux_sym__keyword_time_token1] = ACTIONS(1860),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1860),
    [aux_sym__keyword_for_token1] = ACTIONS(1860),
    [anon_sym_SEMI] = ACTIONS(1858),
    [aux_sym_declare_statement_token1] = ACTIONS(1860),
    [anon_sym_COMMA] = ACTIONS(1858),
    [aux_sym_set_statement_token1] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(1858),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1860),
    [aux_sym_return_satement_token1] = ACTIONS(1860),
    [aux_sym_call_statement_token1] = ACTIONS(1860),
    [aux_sym_loop_statement_token1] = ACTIONS(1860),
    [aux_sym_while_statement_token1] = ACTIONS(1860),
    [aux_sym_break_statement_token1] = ACTIONS(1860),
    [aux_sym_leave_statement_token1] = ACTIONS(1860),
    [aux_sym_continue_statement_token1] = ACTIONS(1860),
    [aux_sym_iterate_statement_token1] = ACTIONS(1860),
    [aux_sym_raise_statement_token1] = ACTIONS(1860),
    [anon_sym_EQ] = ACTIONS(1858),
    [aux_sym_assert_statement_token1] = ACTIONS(1860),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1860),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1860),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1860),
    [anon_sym_LT] = ACTIONS(1860),
    [anon_sym_GT] = ACTIONS(1860),
    [aux_sym_select_token1] = ACTIONS(1860),
    [aux_sym_insert_statement_token1] = ACTIONS(1860),
    [aux_sym_truncate_statement_token1] = ACTIONS(1860),
    [aux_sym_update_statement_token1] = ACTIONS(1860),
    [aux_sym_merge_statement_token1] = ACTIONS(1860),
    [aux_sym_grant_statement_token1] = ACTIONS(1860),
    [aux_sym_revoke_statement_token1] = ACTIONS(1860),
    [aux_sym_export_data_statement_token1] = ACTIONS(1860),
    [aux_sym_load_data_statement_token1] = ACTIONS(1860),
    [anon_sym_LBRACK] = ACTIONS(1858),
    [sym__quoted_identifier] = ACTIONS(1858),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1858),
    [anon_sym_PLUS] = ACTIONS(1858),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_PIPE_PIPE] = ACTIONS(1858),
    [anon_sym_LT_EQ] = ACTIONS(1858),
    [anon_sym_LT_GT] = ACTIONS(1858),
    [anon_sym_GT_EQ] = ACTIONS(1858),
    [anon_sym_BANG_EQ] = ACTIONS(1858),
    [anon_sym_LT_LT] = ACTIONS(1858),
    [anon_sym_GT_GT] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym_CARET] = ACTIONS(1858),
    [anon_sym_PIPE] = ACTIONS(1860),
  },
  [4455] = {
    [ts_builtin_sym_end] = ACTIONS(1826),
    [sym__unquoted_identifier] = ACTIONS(1828),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1828),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1828),
    [aux_sym_keyword_replace_token1] = ACTIONS(1828),
    [aux_sym__keyword_alter_token1] = ACTIONS(1828),
    [aux_sym__keyword_delete_token1] = ACTIONS(1828),
    [aux_sym__keyword_begin_token1] = ACTIONS(1828),
    [aux_sym__keyword_between_token1] = ACTIONS(1828),
    [aux_sym__keyword_is_token1] = ACTIONS(1828),
    [aux_sym__keyword_in_token1] = ACTIONS(1828),
    [aux_sym__keyword_and_token1] = ACTIONS(1828),
    [aux_sym__keyword_like_token1] = ACTIONS(1828),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1828),
    [aux_sym__keyword_as_token1] = ACTIONS(1828),
    [aux_sym__keyword_date_token1] = ACTIONS(1828),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1828),
    [aux_sym__keyword_time_token1] = ACTIONS(1828),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1828),
    [aux_sym__keyword_for_token1] = ACTIONS(1828),
    [anon_sym_SEMI] = ACTIONS(1826),
    [aux_sym_declare_statement_token1] = ACTIONS(1828),
    [anon_sym_COMMA] = ACTIONS(1826),
    [aux_sym_set_statement_token1] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1826),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1828),
    [aux_sym_return_satement_token1] = ACTIONS(1828),
    [aux_sym_call_statement_token1] = ACTIONS(1828),
    [aux_sym_loop_statement_token1] = ACTIONS(1828),
    [aux_sym_while_statement_token1] = ACTIONS(1828),
    [aux_sym_break_statement_token1] = ACTIONS(1828),
    [aux_sym_leave_statement_token1] = ACTIONS(1828),
    [aux_sym_continue_statement_token1] = ACTIONS(1828),
    [aux_sym_iterate_statement_token1] = ACTIONS(1828),
    [aux_sym_raise_statement_token1] = ACTIONS(1828),
    [anon_sym_EQ] = ACTIONS(1826),
    [aux_sym_assert_statement_token1] = ACTIONS(1828),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1828),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1828),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1828),
    [anon_sym_LT] = ACTIONS(1828),
    [anon_sym_GT] = ACTIONS(1828),
    [aux_sym_select_token1] = ACTIONS(1828),
    [aux_sym_insert_statement_token1] = ACTIONS(1828),
    [aux_sym_truncate_statement_token1] = ACTIONS(1828),
    [aux_sym_update_statement_token1] = ACTIONS(1828),
    [aux_sym_merge_statement_token1] = ACTIONS(1828),
    [aux_sym_grant_statement_token1] = ACTIONS(1828),
    [aux_sym_revoke_statement_token1] = ACTIONS(1828),
    [aux_sym_export_data_statement_token1] = ACTIONS(1828),
    [aux_sym_load_data_statement_token1] = ACTIONS(1828),
    [anon_sym_LBRACK] = ACTIONS(1826),
    [sym__quoted_identifier] = ACTIONS(1826),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1826),
    [anon_sym_PLUS] = ACTIONS(1826),
    [anon_sym_DASH] = ACTIONS(1828),
    [anon_sym_STAR] = ACTIONS(1826),
    [anon_sym_SLASH] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE] = ACTIONS(1826),
    [anon_sym_LT_EQ] = ACTIONS(1826),
    [anon_sym_LT_GT] = ACTIONS(1826),
    [anon_sym_GT_EQ] = ACTIONS(1826),
    [anon_sym_BANG_EQ] = ACTIONS(1826),
    [anon_sym_LT_LT] = ACTIONS(1826),
    [anon_sym_GT_GT] = ACTIONS(1826),
    [anon_sym_AMP] = ACTIONS(1826),
    [anon_sym_CARET] = ACTIONS(1826),
    [anon_sym_PIPE] = ACTIONS(1828),
  },
  [4456] = {
    [ts_builtin_sym_end] = ACTIONS(1822),
    [sym__unquoted_identifier] = ACTIONS(1824),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1824),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1824),
    [aux_sym_keyword_replace_token1] = ACTIONS(1824),
    [aux_sym__keyword_alter_token1] = ACTIONS(1824),
    [aux_sym__keyword_delete_token1] = ACTIONS(1824),
    [aux_sym__keyword_begin_token1] = ACTIONS(1824),
    [aux_sym__keyword_between_token1] = ACTIONS(1824),
    [aux_sym__keyword_is_token1] = ACTIONS(1824),
    [aux_sym__keyword_in_token1] = ACTIONS(1824),
    [aux_sym__keyword_and_token1] = ACTIONS(1824),
    [aux_sym__keyword_like_token1] = ACTIONS(1824),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1824),
    [aux_sym__keyword_as_token1] = ACTIONS(1824),
    [aux_sym__keyword_date_token1] = ACTIONS(1824),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1824),
    [aux_sym__keyword_time_token1] = ACTIONS(1824),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1824),
    [aux_sym__keyword_for_token1] = ACTIONS(1824),
    [anon_sym_SEMI] = ACTIONS(1822),
    [aux_sym_declare_statement_token1] = ACTIONS(1824),
    [anon_sym_COMMA] = ACTIONS(1822),
    [aux_sym_set_statement_token1] = ACTIONS(1824),
    [anon_sym_LPAREN] = ACTIONS(1822),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1824),
    [aux_sym_return_satement_token1] = ACTIONS(1824),
    [aux_sym_call_statement_token1] = ACTIONS(1824),
    [aux_sym_loop_statement_token1] = ACTIONS(1824),
    [aux_sym_while_statement_token1] = ACTIONS(1824),
    [aux_sym_break_statement_token1] = ACTIONS(1824),
    [aux_sym_leave_statement_token1] = ACTIONS(1824),
    [aux_sym_continue_statement_token1] = ACTIONS(1824),
    [aux_sym_iterate_statement_token1] = ACTIONS(1824),
    [aux_sym_raise_statement_token1] = ACTIONS(1824),
    [anon_sym_EQ] = ACTIONS(1822),
    [aux_sym_assert_statement_token1] = ACTIONS(1824),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1824),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1824),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1824),
    [anon_sym_LT] = ACTIONS(1824),
    [anon_sym_GT] = ACTIONS(1824),
    [aux_sym_select_token1] = ACTIONS(1824),
    [aux_sym_insert_statement_token1] = ACTIONS(1824),
    [aux_sym_truncate_statement_token1] = ACTIONS(1824),
    [aux_sym_update_statement_token1] = ACTIONS(1824),
    [aux_sym_merge_statement_token1] = ACTIONS(1824),
    [aux_sym_grant_statement_token1] = ACTIONS(1824),
    [aux_sym_revoke_statement_token1] = ACTIONS(1824),
    [aux_sym_export_data_statement_token1] = ACTIONS(1824),
    [aux_sym_load_data_statement_token1] = ACTIONS(1824),
    [anon_sym_LBRACK] = ACTIONS(1822),
    [sym__quoted_identifier] = ACTIONS(1822),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1822),
    [anon_sym_PLUS] = ACTIONS(1822),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_STAR] = ACTIONS(1822),
    [anon_sym_SLASH] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE] = ACTIONS(1822),
    [anon_sym_LT_EQ] = ACTIONS(1822),
    [anon_sym_LT_GT] = ACTIONS(1822),
    [anon_sym_GT_EQ] = ACTIONS(1822),
    [anon_sym_BANG_EQ] = ACTIONS(1822),
    [anon_sym_LT_LT] = ACTIONS(1822),
    [anon_sym_GT_GT] = ACTIONS(1822),
    [anon_sym_AMP] = ACTIONS(1822),
    [anon_sym_CARET] = ACTIONS(1822),
    [anon_sym_PIPE] = ACTIONS(1824),
  },
  [4457] = {
    [ts_builtin_sym_end] = ACTIONS(1784),
    [sym__unquoted_identifier] = ACTIONS(1786),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1786),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1786),
    [aux_sym_keyword_replace_token1] = ACTIONS(1786),
    [aux_sym__keyword_alter_token1] = ACTIONS(1786),
    [aux_sym__keyword_delete_token1] = ACTIONS(1786),
    [aux_sym__keyword_begin_token1] = ACTIONS(1786),
    [aux_sym__keyword_between_token1] = ACTIONS(1786),
    [aux_sym__keyword_is_token1] = ACTIONS(1786),
    [aux_sym__keyword_in_token1] = ACTIONS(1786),
    [aux_sym__keyword_and_token1] = ACTIONS(1786),
    [aux_sym__keyword_like_token1] = ACTIONS(1786),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1786),
    [aux_sym__keyword_as_token1] = ACTIONS(1786),
    [aux_sym__keyword_date_token1] = ACTIONS(1786),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1786),
    [aux_sym__keyword_time_token1] = ACTIONS(1786),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1786),
    [aux_sym__keyword_for_token1] = ACTIONS(1786),
    [anon_sym_SEMI] = ACTIONS(1784),
    [aux_sym_declare_statement_token1] = ACTIONS(1786),
    [anon_sym_COMMA] = ACTIONS(1784),
    [aux_sym_set_statement_token1] = ACTIONS(1786),
    [anon_sym_LPAREN] = ACTIONS(1784),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1786),
    [aux_sym_return_satement_token1] = ACTIONS(1786),
    [aux_sym_call_statement_token1] = ACTIONS(1786),
    [aux_sym_loop_statement_token1] = ACTIONS(1786),
    [aux_sym_while_statement_token1] = ACTIONS(1786),
    [aux_sym_break_statement_token1] = ACTIONS(1786),
    [aux_sym_leave_statement_token1] = ACTIONS(1786),
    [aux_sym_continue_statement_token1] = ACTIONS(1786),
    [aux_sym_iterate_statement_token1] = ACTIONS(1786),
    [aux_sym_raise_statement_token1] = ACTIONS(1786),
    [anon_sym_EQ] = ACTIONS(1784),
    [aux_sym_assert_statement_token1] = ACTIONS(1786),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1786),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1786),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1786),
    [anon_sym_LT] = ACTIONS(1786),
    [anon_sym_GT] = ACTIONS(1786),
    [aux_sym_select_token1] = ACTIONS(1786),
    [aux_sym_insert_statement_token1] = ACTIONS(1786),
    [aux_sym_truncate_statement_token1] = ACTIONS(1786),
    [aux_sym_update_statement_token1] = ACTIONS(1786),
    [aux_sym_merge_statement_token1] = ACTIONS(1786),
    [aux_sym_grant_statement_token1] = ACTIONS(1786),
    [aux_sym_revoke_statement_token1] = ACTIONS(1786),
    [aux_sym_export_data_statement_token1] = ACTIONS(1786),
    [aux_sym_load_data_statement_token1] = ACTIONS(1786),
    [anon_sym_LBRACK] = ACTIONS(1784),
    [sym__quoted_identifier] = ACTIONS(1784),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1784),
    [anon_sym_PLUS] = ACTIONS(1784),
    [anon_sym_DASH] = ACTIONS(1786),
    [anon_sym_STAR] = ACTIONS(1784),
    [anon_sym_SLASH] = ACTIONS(1786),
    [anon_sym_PIPE_PIPE] = ACTIONS(1784),
    [anon_sym_LT_EQ] = ACTIONS(1784),
    [anon_sym_LT_GT] = ACTIONS(1784),
    [anon_sym_GT_EQ] = ACTIONS(1784),
    [anon_sym_BANG_EQ] = ACTIONS(1784),
    [anon_sym_LT_LT] = ACTIONS(1784),
    [anon_sym_GT_GT] = ACTIONS(1784),
    [anon_sym_AMP] = ACTIONS(1784),
    [anon_sym_CARET] = ACTIONS(1784),
    [anon_sym_PIPE] = ACTIONS(1786),
  },
  [4458] = {
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [4459] = {
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [4460] = {
    [sym__unquoted_identifier] = ACTIONS(1510),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1510),
    [aux_sym__keyword_alter_token1] = ACTIONS(1510),
    [aux_sym__keyword_delete_token1] = ACTIONS(1510),
    [aux_sym__keyword_begin_token1] = ACTIONS(1510),
    [aux_sym__keyword_end_token1] = ACTIONS(1510),
    [aux_sym__keyword_when_token1] = ACTIONS(1510),
    [aux_sym__keyword_else_token1] = ACTIONS(1510),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1510),
    [aux_sym__keyword_as_token1] = ACTIONS(1510),
    [aux_sym__keyword_window_token1] = ACTIONS(1510),
    [aux_sym__keyword_date_token1] = ACTIONS(1510),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1510),
    [aux_sym__keyword_time_token1] = ACTIONS(1510),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1510),
    [aux_sym__keyword_for_token1] = ACTIONS(1510),
    [anon_sym_SEMI] = ACTIONS(1508),
    [aux_sym_declare_statement_token1] = ACTIONS(1510),
    [anon_sym_COMMA] = ACTIONS(1508),
    [aux_sym_set_statement_token1] = ACTIONS(1510),
    [anon_sym_LPAREN] = ACTIONS(1508),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1510),
    [aux_sym_using_clause_token1] = ACTIONS(1510),
    [aux_sym_return_satement_token1] = ACTIONS(1510),
    [aux_sym_call_statement_token1] = ACTIONS(1510),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1510),
    [aux_sym_if_statement_token1] = ACTIONS(1510),
    [aux_sym_loop_statement_token1] = ACTIONS(1510),
    [aux_sym_repeat_statement_token1] = ACTIONS(1510),
    [aux_sym_while_statement_token1] = ACTIONS(1510),
    [aux_sym_break_statement_token1] = ACTIONS(1510),
    [aux_sym_leave_statement_token1] = ACTIONS(1510),
    [aux_sym_continue_statement_token1] = ACTIONS(1510),
    [aux_sym_iterate_statement_token1] = ACTIONS(1510),
    [aux_sym_raise_statement_token1] = ACTIONS(1510),
    [aux_sym_assert_statement_token1] = ACTIONS(1510),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1510),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1510),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1510),
    [aux_sym_set_operation_token1] = ACTIONS(1510),
    [aux_sym_set_operation_token3] = ACTIONS(1510),
    [aux_sym_set_operation_token4] = ACTIONS(1510),
    [aux_sym_select_token1] = ACTIONS(1510),
    [aux_sym_having_clause_token1] = ACTIONS(1510),
    [aux_sym_qualify_clause_token1] = ACTIONS(1510),
    [aux_sym_limit_clause_token1] = ACTIONS(1510),
    [aux_sym_group_by_clause_token1] = ACTIONS(1510),
    [aux_sym_order_by_clause_token1] = ACTIONS(1510),
    [aux_sym_where_clause_token1] = ACTIONS(1510),
    [aux_sym_pivot_operator_token1] = ACTIONS(1510),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1510),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1510),
    [aux_sym_join_type_token1] = ACTIONS(1510),
    [aux_sym_join_type_token2] = ACTIONS(1510),
    [aux_sym_join_type_token3] = ACTIONS(1510),
    [aux_sym_join_type_token4] = ACTIONS(1510),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1510),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1510),
    [aux_sym_join_condition_token1] = ACTIONS(1510),
    [aux_sym_insert_statement_token1] = ACTIONS(1510),
    [aux_sym_truncate_statement_token1] = ACTIONS(1510),
    [aux_sym_update_statement_token1] = ACTIONS(1510),
    [aux_sym_merge_statement_token1] = ACTIONS(1510),
    [aux_sym_grant_statement_token1] = ACTIONS(1510),
    [aux_sym_revoke_statement_token1] = ACTIONS(1510),
    [aux_sym_export_data_statement_token1] = ACTIONS(1510),
    [aux_sym_load_data_statement_token1] = ACTIONS(1510),
    [sym__quoted_identifier] = ACTIONS(1508),
    [sym_comment] = ACTIONS(3),
  },
  [4461] = {
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [4462] = {
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [4463] = {
    [sym__unquoted_identifier] = ACTIONS(1510),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1510),
    [aux_sym__keyword_alter_token1] = ACTIONS(1510),
    [aux_sym__keyword_delete_token1] = ACTIONS(1510),
    [aux_sym__keyword_begin_token1] = ACTIONS(1510),
    [aux_sym__keyword_end_token1] = ACTIONS(1510),
    [aux_sym__keyword_when_token1] = ACTIONS(1510),
    [aux_sym__keyword_else_token1] = ACTIONS(1510),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1510),
    [aux_sym__keyword_as_token1] = ACTIONS(1510),
    [aux_sym__keyword_window_token1] = ACTIONS(1510),
    [aux_sym__keyword_date_token1] = ACTIONS(1510),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1510),
    [aux_sym__keyword_time_token1] = ACTIONS(1510),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1510),
    [aux_sym__keyword_for_token1] = ACTIONS(1510),
    [anon_sym_SEMI] = ACTIONS(1508),
    [aux_sym_declare_statement_token1] = ACTIONS(1510),
    [anon_sym_COMMA] = ACTIONS(1508),
    [aux_sym_set_statement_token1] = ACTIONS(1510),
    [anon_sym_LPAREN] = ACTIONS(1508),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1510),
    [aux_sym_using_clause_token1] = ACTIONS(1510),
    [aux_sym_return_satement_token1] = ACTIONS(1510),
    [aux_sym_call_statement_token1] = ACTIONS(1510),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1510),
    [aux_sym_if_statement_token1] = ACTIONS(1510),
    [aux_sym_loop_statement_token1] = ACTIONS(1510),
    [aux_sym_repeat_statement_token1] = ACTIONS(1510),
    [aux_sym_while_statement_token1] = ACTIONS(1510),
    [aux_sym_break_statement_token1] = ACTIONS(1510),
    [aux_sym_leave_statement_token1] = ACTIONS(1510),
    [aux_sym_continue_statement_token1] = ACTIONS(1510),
    [aux_sym_iterate_statement_token1] = ACTIONS(1510),
    [aux_sym_raise_statement_token1] = ACTIONS(1510),
    [aux_sym_assert_statement_token1] = ACTIONS(1510),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1510),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1510),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1510),
    [aux_sym_set_operation_token1] = ACTIONS(1510),
    [aux_sym_set_operation_token3] = ACTIONS(1510),
    [aux_sym_set_operation_token4] = ACTIONS(1510),
    [aux_sym_select_token1] = ACTIONS(1510),
    [aux_sym_having_clause_token1] = ACTIONS(1510),
    [aux_sym_qualify_clause_token1] = ACTIONS(1510),
    [aux_sym_limit_clause_token1] = ACTIONS(1510),
    [aux_sym_group_by_clause_token1] = ACTIONS(1510),
    [aux_sym_order_by_clause_token1] = ACTIONS(1510),
    [aux_sym_where_clause_token1] = ACTIONS(1510),
    [aux_sym_pivot_operator_token1] = ACTIONS(1510),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1510),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1510),
    [aux_sym_join_type_token1] = ACTIONS(1510),
    [aux_sym_join_type_token2] = ACTIONS(1510),
    [aux_sym_join_type_token3] = ACTIONS(1510),
    [aux_sym_join_type_token4] = ACTIONS(1510),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1510),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1510),
    [aux_sym_join_condition_token1] = ACTIONS(1510),
    [aux_sym_insert_statement_token1] = ACTIONS(1510),
    [aux_sym_truncate_statement_token1] = ACTIONS(1510),
    [aux_sym_update_statement_token1] = ACTIONS(1510),
    [aux_sym_merge_statement_token1] = ACTIONS(1510),
    [aux_sym_grant_statement_token1] = ACTIONS(1510),
    [aux_sym_revoke_statement_token1] = ACTIONS(1510),
    [aux_sym_export_data_statement_token1] = ACTIONS(1510),
    [aux_sym_load_data_statement_token1] = ACTIONS(1510),
    [sym__quoted_identifier] = ACTIONS(1508),
    [sym_comment] = ACTIONS(3),
  },
  [4464] = {
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [4465] = {
    [ts_builtin_sym_end] = ACTIONS(1594),
    [sym__unquoted_identifier] = ACTIONS(1596),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1596),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1596),
    [aux_sym_keyword_replace_token1] = ACTIONS(1596),
    [aux_sym__keyword_alter_token1] = ACTIONS(1596),
    [aux_sym__keyword_delete_token1] = ACTIONS(1596),
    [aux_sym__keyword_begin_token1] = ACTIONS(1596),
    [aux_sym__keyword_between_token1] = ACTIONS(1596),
    [aux_sym__keyword_is_token1] = ACTIONS(1596),
    [aux_sym__keyword_in_token1] = ACTIONS(1596),
    [aux_sym__keyword_and_token1] = ACTIONS(1596),
    [aux_sym__keyword_like_token1] = ACTIONS(1596),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1596),
    [aux_sym__keyword_as_token1] = ACTIONS(1596),
    [aux_sym__keyword_date_token1] = ACTIONS(1596),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1596),
    [aux_sym__keyword_time_token1] = ACTIONS(1596),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1596),
    [aux_sym__keyword_for_token1] = ACTIONS(1596),
    [anon_sym_SEMI] = ACTIONS(1594),
    [aux_sym_declare_statement_token1] = ACTIONS(1596),
    [anon_sym_COMMA] = ACTIONS(1594),
    [aux_sym_set_statement_token1] = ACTIONS(1596),
    [anon_sym_LPAREN] = ACTIONS(1594),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1596),
    [aux_sym_return_satement_token1] = ACTIONS(1596),
    [aux_sym_call_statement_token1] = ACTIONS(1596),
    [aux_sym_loop_statement_token1] = ACTIONS(1596),
    [aux_sym_while_statement_token1] = ACTIONS(1596),
    [aux_sym_break_statement_token1] = ACTIONS(1596),
    [aux_sym_leave_statement_token1] = ACTIONS(1596),
    [aux_sym_continue_statement_token1] = ACTIONS(1596),
    [aux_sym_iterate_statement_token1] = ACTIONS(1596),
    [aux_sym_raise_statement_token1] = ACTIONS(1596),
    [anon_sym_EQ] = ACTIONS(1594),
    [aux_sym_assert_statement_token1] = ACTIONS(1596),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1596),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1596),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1596),
    [anon_sym_LT] = ACTIONS(1596),
    [anon_sym_GT] = ACTIONS(1596),
    [aux_sym_select_token1] = ACTIONS(1596),
    [aux_sym_insert_statement_token1] = ACTIONS(1596),
    [aux_sym_truncate_statement_token1] = ACTIONS(1596),
    [aux_sym_update_statement_token1] = ACTIONS(1596),
    [aux_sym_merge_statement_token1] = ACTIONS(1596),
    [aux_sym_grant_statement_token1] = ACTIONS(1596),
    [aux_sym_revoke_statement_token1] = ACTIONS(1596),
    [aux_sym_export_data_statement_token1] = ACTIONS(1596),
    [aux_sym_load_data_statement_token1] = ACTIONS(1596),
    [anon_sym_LBRACK] = ACTIONS(1594),
    [sym__quoted_identifier] = ACTIONS(1594),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1594),
    [anon_sym_PLUS] = ACTIONS(1594),
    [anon_sym_DASH] = ACTIONS(1596),
    [anon_sym_STAR] = ACTIONS(1594),
    [anon_sym_SLASH] = ACTIONS(1596),
    [anon_sym_PIPE_PIPE] = ACTIONS(1594),
    [anon_sym_LT_EQ] = ACTIONS(1594),
    [anon_sym_LT_GT] = ACTIONS(1594),
    [anon_sym_GT_EQ] = ACTIONS(1594),
    [anon_sym_BANG_EQ] = ACTIONS(1594),
    [anon_sym_LT_LT] = ACTIONS(1594),
    [anon_sym_GT_GT] = ACTIONS(1594),
    [anon_sym_AMP] = ACTIONS(1594),
    [anon_sym_CARET] = ACTIONS(1594),
    [anon_sym_PIPE] = ACTIONS(1596),
  },
  [4466] = {
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [4467] = {
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [4468] = {
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [4469] = {
    [ts_builtin_sym_end] = ACTIONS(1590),
    [sym__unquoted_identifier] = ACTIONS(1592),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1592),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1592),
    [aux_sym_keyword_replace_token1] = ACTIONS(1592),
    [aux_sym__keyword_alter_token1] = ACTIONS(1592),
    [aux_sym__keyword_delete_token1] = ACTIONS(1592),
    [aux_sym__keyword_begin_token1] = ACTIONS(1592),
    [aux_sym__keyword_between_token1] = ACTIONS(1592),
    [aux_sym__keyword_is_token1] = ACTIONS(1592),
    [aux_sym__keyword_in_token1] = ACTIONS(1592),
    [aux_sym__keyword_and_token1] = ACTIONS(1592),
    [aux_sym__keyword_like_token1] = ACTIONS(1592),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1592),
    [aux_sym__keyword_as_token1] = ACTIONS(1592),
    [aux_sym__keyword_date_token1] = ACTIONS(1592),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1592),
    [aux_sym__keyword_time_token1] = ACTIONS(1592),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1592),
    [aux_sym__keyword_for_token1] = ACTIONS(1592),
    [anon_sym_SEMI] = ACTIONS(1590),
    [aux_sym_declare_statement_token1] = ACTIONS(1592),
    [anon_sym_COMMA] = ACTIONS(1590),
    [aux_sym_set_statement_token1] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1590),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1592),
    [aux_sym_return_satement_token1] = ACTIONS(1592),
    [aux_sym_call_statement_token1] = ACTIONS(1592),
    [aux_sym_loop_statement_token1] = ACTIONS(1592),
    [aux_sym_while_statement_token1] = ACTIONS(1592),
    [aux_sym_break_statement_token1] = ACTIONS(1592),
    [aux_sym_leave_statement_token1] = ACTIONS(1592),
    [aux_sym_continue_statement_token1] = ACTIONS(1592),
    [aux_sym_iterate_statement_token1] = ACTIONS(1592),
    [aux_sym_raise_statement_token1] = ACTIONS(1592),
    [anon_sym_EQ] = ACTIONS(1590),
    [aux_sym_assert_statement_token1] = ACTIONS(1592),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1592),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1592),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1592),
    [anon_sym_LT] = ACTIONS(1592),
    [anon_sym_GT] = ACTIONS(1592),
    [aux_sym_select_token1] = ACTIONS(1592),
    [aux_sym_insert_statement_token1] = ACTIONS(1592),
    [aux_sym_truncate_statement_token1] = ACTIONS(1592),
    [aux_sym_update_statement_token1] = ACTIONS(1592),
    [aux_sym_merge_statement_token1] = ACTIONS(1592),
    [aux_sym_grant_statement_token1] = ACTIONS(1592),
    [aux_sym_revoke_statement_token1] = ACTIONS(1592),
    [aux_sym_export_data_statement_token1] = ACTIONS(1592),
    [aux_sym_load_data_statement_token1] = ACTIONS(1592),
    [anon_sym_LBRACK] = ACTIONS(1590),
    [sym__quoted_identifier] = ACTIONS(1590),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1590),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1592),
    [anon_sym_STAR] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(1592),
    [anon_sym_PIPE_PIPE] = ACTIONS(1590),
    [anon_sym_LT_EQ] = ACTIONS(1590),
    [anon_sym_LT_GT] = ACTIONS(1590),
    [anon_sym_GT_EQ] = ACTIONS(1590),
    [anon_sym_BANG_EQ] = ACTIONS(1590),
    [anon_sym_LT_LT] = ACTIONS(1590),
    [anon_sym_GT_GT] = ACTIONS(1590),
    [anon_sym_AMP] = ACTIONS(1590),
    [anon_sym_CARET] = ACTIONS(1590),
    [anon_sym_PIPE] = ACTIONS(1592),
  },
  [4470] = {
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_end_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_repeat_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [4471] = {
    [sym__unquoted_identifier] = ACTIONS(1506),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1506),
    [aux_sym__keyword_alter_token1] = ACTIONS(1506),
    [aux_sym__keyword_delete_token1] = ACTIONS(1506),
    [aux_sym__keyword_begin_token1] = ACTIONS(1506),
    [aux_sym__keyword_end_token1] = ACTIONS(1506),
    [aux_sym__keyword_when_token1] = ACTIONS(1506),
    [aux_sym__keyword_else_token1] = ACTIONS(1506),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1506),
    [aux_sym__keyword_as_token1] = ACTIONS(1506),
    [aux_sym__keyword_window_token1] = ACTIONS(1506),
    [aux_sym__keyword_date_token1] = ACTIONS(1506),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1506),
    [aux_sym__keyword_time_token1] = ACTIONS(1506),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1506),
    [aux_sym__keyword_for_token1] = ACTIONS(1506),
    [anon_sym_SEMI] = ACTIONS(1504),
    [aux_sym_declare_statement_token1] = ACTIONS(1506),
    [anon_sym_COMMA] = ACTIONS(1504),
    [aux_sym_set_statement_token1] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1504),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1506),
    [aux_sym_using_clause_token1] = ACTIONS(1506),
    [aux_sym_return_satement_token1] = ACTIONS(1506),
    [aux_sym_call_statement_token1] = ACTIONS(1506),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1506),
    [aux_sym_if_statement_token1] = ACTIONS(1506),
    [aux_sym_loop_statement_token1] = ACTIONS(1506),
    [aux_sym_repeat_statement_token1] = ACTIONS(1506),
    [aux_sym_while_statement_token1] = ACTIONS(1506),
    [aux_sym_break_statement_token1] = ACTIONS(1506),
    [aux_sym_leave_statement_token1] = ACTIONS(1506),
    [aux_sym_continue_statement_token1] = ACTIONS(1506),
    [aux_sym_iterate_statement_token1] = ACTIONS(1506),
    [aux_sym_raise_statement_token1] = ACTIONS(1506),
    [aux_sym_assert_statement_token1] = ACTIONS(1506),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1506),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1506),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1506),
    [aux_sym_set_operation_token1] = ACTIONS(1506),
    [aux_sym_set_operation_token3] = ACTIONS(1506),
    [aux_sym_set_operation_token4] = ACTIONS(1506),
    [aux_sym_select_token1] = ACTIONS(1506),
    [aux_sym_having_clause_token1] = ACTIONS(1506),
    [aux_sym_qualify_clause_token1] = ACTIONS(1506),
    [aux_sym_limit_clause_token1] = ACTIONS(1506),
    [aux_sym_group_by_clause_token1] = ACTIONS(1506),
    [aux_sym_order_by_clause_token1] = ACTIONS(1506),
    [aux_sym_where_clause_token1] = ACTIONS(1506),
    [aux_sym_pivot_operator_token1] = ACTIONS(1506),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1506),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1506),
    [aux_sym_join_type_token1] = ACTIONS(1506),
    [aux_sym_join_type_token2] = ACTIONS(1506),
    [aux_sym_join_type_token3] = ACTIONS(1506),
    [aux_sym_join_type_token4] = ACTIONS(1506),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1506),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1506),
    [aux_sym_join_condition_token1] = ACTIONS(1506),
    [aux_sym_insert_statement_token1] = ACTIONS(1506),
    [aux_sym_truncate_statement_token1] = ACTIONS(1506),
    [aux_sym_update_statement_token1] = ACTIONS(1506),
    [aux_sym_merge_statement_token1] = ACTIONS(1506),
    [aux_sym_grant_statement_token1] = ACTIONS(1506),
    [aux_sym_revoke_statement_token1] = ACTIONS(1506),
    [aux_sym_export_data_statement_token1] = ACTIONS(1506),
    [aux_sym_load_data_statement_token1] = ACTIONS(1506),
    [sym__quoted_identifier] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
  },
  [4472] = {
    [sym__unquoted_identifier] = ACTIONS(1502),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1502),
    [aux_sym__keyword_alter_token1] = ACTIONS(1502),
    [aux_sym__keyword_delete_token1] = ACTIONS(1502),
    [aux_sym__keyword_begin_token1] = ACTIONS(1502),
    [aux_sym__keyword_end_token1] = ACTIONS(1502),
    [aux_sym__keyword_when_token1] = ACTIONS(1502),
    [aux_sym__keyword_else_token1] = ACTIONS(1502),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1502),
    [aux_sym__keyword_as_token1] = ACTIONS(1502),
    [aux_sym__keyword_window_token1] = ACTIONS(1502),
    [aux_sym__keyword_date_token1] = ACTIONS(1502),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1502),
    [aux_sym__keyword_time_token1] = ACTIONS(1502),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1502),
    [aux_sym__keyword_for_token1] = ACTIONS(1502),
    [anon_sym_SEMI] = ACTIONS(1500),
    [aux_sym_declare_statement_token1] = ACTIONS(1502),
    [anon_sym_COMMA] = ACTIONS(1500),
    [aux_sym_set_statement_token1] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1500),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1502),
    [aux_sym_using_clause_token1] = ACTIONS(1502),
    [aux_sym_return_satement_token1] = ACTIONS(1502),
    [aux_sym_call_statement_token1] = ACTIONS(1502),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1502),
    [aux_sym_if_statement_token1] = ACTIONS(1502),
    [aux_sym_loop_statement_token1] = ACTIONS(1502),
    [aux_sym_repeat_statement_token1] = ACTIONS(1502),
    [aux_sym_while_statement_token1] = ACTIONS(1502),
    [aux_sym_break_statement_token1] = ACTIONS(1502),
    [aux_sym_leave_statement_token1] = ACTIONS(1502),
    [aux_sym_continue_statement_token1] = ACTIONS(1502),
    [aux_sym_iterate_statement_token1] = ACTIONS(1502),
    [aux_sym_raise_statement_token1] = ACTIONS(1502),
    [aux_sym_assert_statement_token1] = ACTIONS(1502),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1502),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1502),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1502),
    [aux_sym_set_operation_token1] = ACTIONS(1502),
    [aux_sym_set_operation_token3] = ACTIONS(1502),
    [aux_sym_set_operation_token4] = ACTIONS(1502),
    [aux_sym_select_token1] = ACTIONS(1502),
    [aux_sym_having_clause_token1] = ACTIONS(1502),
    [aux_sym_qualify_clause_token1] = ACTIONS(1502),
    [aux_sym_limit_clause_token1] = ACTIONS(1502),
    [aux_sym_group_by_clause_token1] = ACTIONS(1502),
    [aux_sym_order_by_clause_token1] = ACTIONS(1502),
    [aux_sym_where_clause_token1] = ACTIONS(1502),
    [aux_sym_pivot_operator_token1] = ACTIONS(1502),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1502),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1502),
    [aux_sym_join_type_token1] = ACTIONS(1502),
    [aux_sym_join_type_token2] = ACTIONS(1502),
    [aux_sym_join_type_token3] = ACTIONS(1502),
    [aux_sym_join_type_token4] = ACTIONS(1502),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1502),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1502),
    [aux_sym_join_condition_token1] = ACTIONS(1502),
    [aux_sym_insert_statement_token1] = ACTIONS(1502),
    [aux_sym_truncate_statement_token1] = ACTIONS(1502),
    [aux_sym_update_statement_token1] = ACTIONS(1502),
    [aux_sym_merge_statement_token1] = ACTIONS(1502),
    [aux_sym_grant_statement_token1] = ACTIONS(1502),
    [aux_sym_revoke_statement_token1] = ACTIONS(1502),
    [aux_sym_export_data_statement_token1] = ACTIONS(1502),
    [aux_sym_load_data_statement_token1] = ACTIONS(1502),
    [sym__quoted_identifier] = ACTIONS(1500),
    [sym_comment] = ACTIONS(3),
  },
  [4473] = {
    [ts_builtin_sym_end] = ACTIONS(1768),
    [sym__unquoted_identifier] = ACTIONS(1770),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1770),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1770),
    [aux_sym_keyword_replace_token1] = ACTIONS(1770),
    [aux_sym__keyword_alter_token1] = ACTIONS(1770),
    [aux_sym__keyword_delete_token1] = ACTIONS(1770),
    [aux_sym__keyword_begin_token1] = ACTIONS(1770),
    [aux_sym__keyword_between_token1] = ACTIONS(1770),
    [aux_sym__keyword_is_token1] = ACTIONS(1770),
    [aux_sym__keyword_in_token1] = ACTIONS(1770),
    [aux_sym__keyword_and_token1] = ACTIONS(1770),
    [aux_sym__keyword_like_token1] = ACTIONS(1770),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1770),
    [aux_sym__keyword_as_token1] = ACTIONS(1770),
    [aux_sym__keyword_date_token1] = ACTIONS(1770),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1770),
    [aux_sym__keyword_time_token1] = ACTIONS(1770),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1770),
    [aux_sym__keyword_for_token1] = ACTIONS(1770),
    [anon_sym_SEMI] = ACTIONS(1768),
    [aux_sym_declare_statement_token1] = ACTIONS(1770),
    [anon_sym_COMMA] = ACTIONS(1768),
    [aux_sym_set_statement_token1] = ACTIONS(1770),
    [anon_sym_LPAREN] = ACTIONS(1768),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1770),
    [aux_sym_return_satement_token1] = ACTIONS(1770),
    [aux_sym_call_statement_token1] = ACTIONS(1770),
    [aux_sym_loop_statement_token1] = ACTIONS(1770),
    [aux_sym_while_statement_token1] = ACTIONS(1770),
    [aux_sym_break_statement_token1] = ACTIONS(1770),
    [aux_sym_leave_statement_token1] = ACTIONS(1770),
    [aux_sym_continue_statement_token1] = ACTIONS(1770),
    [aux_sym_iterate_statement_token1] = ACTIONS(1770),
    [aux_sym_raise_statement_token1] = ACTIONS(1770),
    [anon_sym_EQ] = ACTIONS(1768),
    [aux_sym_assert_statement_token1] = ACTIONS(1770),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1770),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1770),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1770),
    [anon_sym_LT] = ACTIONS(1770),
    [anon_sym_GT] = ACTIONS(1770),
    [aux_sym_select_token1] = ACTIONS(1770),
    [aux_sym_insert_statement_token1] = ACTIONS(1770),
    [aux_sym_truncate_statement_token1] = ACTIONS(1770),
    [aux_sym_update_statement_token1] = ACTIONS(1770),
    [aux_sym_merge_statement_token1] = ACTIONS(1770),
    [aux_sym_grant_statement_token1] = ACTIONS(1770),
    [aux_sym_revoke_statement_token1] = ACTIONS(1770),
    [aux_sym_export_data_statement_token1] = ACTIONS(1770),
    [aux_sym_load_data_statement_token1] = ACTIONS(1770),
    [anon_sym_LBRACK] = ACTIONS(1768),
    [sym__quoted_identifier] = ACTIONS(1768),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1768),
    [anon_sym_PLUS] = ACTIONS(1768),
    [anon_sym_DASH] = ACTIONS(1770),
    [anon_sym_STAR] = ACTIONS(1768),
    [anon_sym_SLASH] = ACTIONS(1770),
    [anon_sym_PIPE_PIPE] = ACTIONS(1768),
    [anon_sym_LT_EQ] = ACTIONS(1768),
    [anon_sym_LT_GT] = ACTIONS(1768),
    [anon_sym_GT_EQ] = ACTIONS(1768),
    [anon_sym_BANG_EQ] = ACTIONS(1768),
    [anon_sym_LT_LT] = ACTIONS(1768),
    [anon_sym_GT_GT] = ACTIONS(1768),
    [anon_sym_AMP] = ACTIONS(1768),
    [anon_sym_CARET] = ACTIONS(1768),
    [anon_sym_PIPE] = ACTIONS(1770),
  },
  [4474] = {
    [ts_builtin_sym_end] = ACTIONS(1850),
    [sym__unquoted_identifier] = ACTIONS(1852),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1852),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1852),
    [aux_sym_keyword_replace_token1] = ACTIONS(1852),
    [aux_sym__keyword_alter_token1] = ACTIONS(1852),
    [aux_sym__keyword_delete_token1] = ACTIONS(1852),
    [aux_sym__keyword_begin_token1] = ACTIONS(1852),
    [aux_sym__keyword_between_token1] = ACTIONS(1852),
    [aux_sym__keyword_is_token1] = ACTIONS(1852),
    [aux_sym__keyword_in_token1] = ACTIONS(1852),
    [aux_sym__keyword_and_token1] = ACTIONS(1852),
    [aux_sym__keyword_like_token1] = ACTIONS(1852),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1852),
    [aux_sym__keyword_as_token1] = ACTIONS(1852),
    [aux_sym__keyword_date_token1] = ACTIONS(1852),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1852),
    [aux_sym__keyword_time_token1] = ACTIONS(1852),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1852),
    [aux_sym__keyword_for_token1] = ACTIONS(1852),
    [anon_sym_SEMI] = ACTIONS(1850),
    [aux_sym_declare_statement_token1] = ACTIONS(1852),
    [anon_sym_COMMA] = ACTIONS(1850),
    [aux_sym_set_statement_token1] = ACTIONS(1852),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1852),
    [aux_sym_return_satement_token1] = ACTIONS(1852),
    [aux_sym_call_statement_token1] = ACTIONS(1852),
    [aux_sym_loop_statement_token1] = ACTIONS(1852),
    [aux_sym_while_statement_token1] = ACTIONS(1852),
    [aux_sym_break_statement_token1] = ACTIONS(1852),
    [aux_sym_leave_statement_token1] = ACTIONS(1852),
    [aux_sym_continue_statement_token1] = ACTIONS(1852),
    [aux_sym_iterate_statement_token1] = ACTIONS(1852),
    [aux_sym_raise_statement_token1] = ACTIONS(1852),
    [anon_sym_EQ] = ACTIONS(1850),
    [aux_sym_assert_statement_token1] = ACTIONS(1852),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1852),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1852),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1852),
    [anon_sym_LT] = ACTIONS(1852),
    [anon_sym_GT] = ACTIONS(1852),
    [aux_sym_select_token1] = ACTIONS(1852),
    [aux_sym_insert_statement_token1] = ACTIONS(1852),
    [aux_sym_truncate_statement_token1] = ACTIONS(1852),
    [aux_sym_update_statement_token1] = ACTIONS(1852),
    [aux_sym_merge_statement_token1] = ACTIONS(1852),
    [aux_sym_grant_statement_token1] = ACTIONS(1852),
    [aux_sym_revoke_statement_token1] = ACTIONS(1852),
    [aux_sym_export_data_statement_token1] = ACTIONS(1852),
    [aux_sym_load_data_statement_token1] = ACTIONS(1852),
    [anon_sym_LBRACK] = ACTIONS(1850),
    [sym__quoted_identifier] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1850),
    [anon_sym_PLUS] = ACTIONS(1850),
    [anon_sym_DASH] = ACTIONS(1852),
    [anon_sym_STAR] = ACTIONS(1850),
    [anon_sym_SLASH] = ACTIONS(1852),
    [anon_sym_PIPE_PIPE] = ACTIONS(1850),
    [anon_sym_LT_EQ] = ACTIONS(1850),
    [anon_sym_LT_GT] = ACTIONS(1850),
    [anon_sym_GT_EQ] = ACTIONS(1850),
    [anon_sym_BANG_EQ] = ACTIONS(1850),
    [anon_sym_LT_LT] = ACTIONS(1850),
    [anon_sym_GT_GT] = ACTIONS(1850),
    [anon_sym_AMP] = ACTIONS(1850),
    [anon_sym_CARET] = ACTIONS(1850),
    [anon_sym_PIPE] = ACTIONS(1852),
  },
  [4475] = {
    [sym_unnest_withoffset] = STATE(4772),
    [ts_builtin_sym_end] = ACTIONS(1540),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1540),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1540),
    [aux_sym_keyword_replace_token1] = ACTIONS(1540),
    [aux_sym__keyword_alter_token1] = ACTIONS(1540),
    [aux_sym__keyword_delete_token1] = ACTIONS(1540),
    [aux_sym__keyword_begin_token1] = ACTIONS(1540),
    [aux_sym__keyword_end_token1] = ACTIONS(1540),
    [aux_sym__keyword_between_token1] = ACTIONS(1540),
    [aux_sym__keyword_else_token1] = ACTIONS(1542),
    [aux_sym__keyword_is_token1] = ACTIONS(1540),
    [aux_sym__keyword_in_token1] = ACTIONS(1542),
    [aux_sym__keyword_and_token1] = ACTIONS(1540),
    [aux_sym__keyword_like_token1] = ACTIONS(1540),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1540),
    [aux_sym__keyword_for_token1] = ACTIONS(1540),
    [anon_sym_SEMI] = ACTIONS(1540),
    [aux_sym_declare_statement_token1] = ACTIONS(1540),
    [aux_sym_set_statement_token1] = ACTIONS(1540),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1540),
    [aux_sym_into_clause_token1] = ACTIONS(1540),
    [aux_sym_using_clause_token1] = ACTIONS(1540),
    [aux_sym_return_satement_token1] = ACTIONS(1540),
    [aux_sym_call_statement_token1] = ACTIONS(1540),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1540),
    [aux_sym_if_statement_token1] = ACTIONS(1540),
    [aux_sym_loop_statement_token1] = ACTIONS(1540),
    [aux_sym_repeat_statement_token1] = ACTIONS(1540),
    [aux_sym_while_statement_token1] = ACTIONS(1540),
    [aux_sym_break_statement_token1] = ACTIONS(1540),
    [aux_sym_leave_statement_token1] = ACTIONS(1540),
    [aux_sym_continue_statement_token1] = ACTIONS(1540),
    [aux_sym_iterate_statement_token1] = ACTIONS(1540),
    [aux_sym_raise_statement_token1] = ACTIONS(1540),
    [anon_sym_EQ] = ACTIONS(1540),
    [aux_sym_assert_statement_token1] = ACTIONS(1540),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1540),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1540),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3382),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_GT] = ACTIONS(1542),
    [aux_sym_select_token1] = ACTIONS(1540),
    [aux_sym_insert_statement_token1] = ACTIONS(1540),
    [aux_sym_truncate_statement_token1] = ACTIONS(1540),
    [aux_sym_update_statement_token1] = ACTIONS(1540),
    [aux_sym_merge_statement_token1] = ACTIONS(1540),
    [aux_sym_grant_statement_token1] = ACTIONS(1540),
    [aux_sym_revoke_statement_token1] = ACTIONS(1540),
    [aux_sym_export_data_statement_token1] = ACTIONS(1540),
    [aux_sym_load_data_statement_token1] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1540),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(1540),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(1542),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_LT_EQ] = ACTIONS(1540),
    [anon_sym_LT_GT] = ACTIONS(1540),
    [anon_sym_GT_EQ] = ACTIONS(1540),
    [anon_sym_BANG_EQ] = ACTIONS(1540),
    [anon_sym_LT_LT] = ACTIONS(1540),
    [anon_sym_GT_GT] = ACTIONS(1540),
    [anon_sym_AMP] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(1540),
    [anon_sym_PIPE] = ACTIONS(1542),
  },
  [4476] = {
    [ts_builtin_sym_end] = ACTIONS(1842),
    [sym__unquoted_identifier] = ACTIONS(1844),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1844),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1844),
    [aux_sym_keyword_replace_token1] = ACTIONS(1844),
    [aux_sym__keyword_alter_token1] = ACTIONS(1844),
    [aux_sym__keyword_delete_token1] = ACTIONS(1844),
    [aux_sym__keyword_begin_token1] = ACTIONS(1844),
    [aux_sym__keyword_between_token1] = ACTIONS(1844),
    [aux_sym__keyword_is_token1] = ACTIONS(1844),
    [aux_sym__keyword_in_token1] = ACTIONS(1844),
    [aux_sym__keyword_and_token1] = ACTIONS(1844),
    [aux_sym__keyword_like_token1] = ACTIONS(1844),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1844),
    [aux_sym__keyword_as_token1] = ACTIONS(1844),
    [aux_sym__keyword_date_token1] = ACTIONS(1844),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1844),
    [aux_sym__keyword_time_token1] = ACTIONS(1844),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1844),
    [aux_sym__keyword_for_token1] = ACTIONS(1844),
    [anon_sym_SEMI] = ACTIONS(1842),
    [aux_sym_declare_statement_token1] = ACTIONS(1844),
    [anon_sym_COMMA] = ACTIONS(1842),
    [aux_sym_set_statement_token1] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1842),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1844),
    [aux_sym_return_satement_token1] = ACTIONS(1844),
    [aux_sym_call_statement_token1] = ACTIONS(1844),
    [aux_sym_loop_statement_token1] = ACTIONS(1844),
    [aux_sym_while_statement_token1] = ACTIONS(1844),
    [aux_sym_break_statement_token1] = ACTIONS(1844),
    [aux_sym_leave_statement_token1] = ACTIONS(1844),
    [aux_sym_continue_statement_token1] = ACTIONS(1844),
    [aux_sym_iterate_statement_token1] = ACTIONS(1844),
    [aux_sym_raise_statement_token1] = ACTIONS(1844),
    [anon_sym_EQ] = ACTIONS(1842),
    [aux_sym_assert_statement_token1] = ACTIONS(1844),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1844),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1844),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1844),
    [anon_sym_LT] = ACTIONS(1844),
    [anon_sym_GT] = ACTIONS(1844),
    [aux_sym_select_token1] = ACTIONS(1844),
    [aux_sym_insert_statement_token1] = ACTIONS(1844),
    [aux_sym_truncate_statement_token1] = ACTIONS(1844),
    [aux_sym_update_statement_token1] = ACTIONS(1844),
    [aux_sym_merge_statement_token1] = ACTIONS(1844),
    [aux_sym_grant_statement_token1] = ACTIONS(1844),
    [aux_sym_revoke_statement_token1] = ACTIONS(1844),
    [aux_sym_export_data_statement_token1] = ACTIONS(1844),
    [aux_sym_load_data_statement_token1] = ACTIONS(1844),
    [anon_sym_LBRACK] = ACTIONS(1842),
    [sym__quoted_identifier] = ACTIONS(1842),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1842),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1844),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_SLASH] = ACTIONS(1844),
    [anon_sym_PIPE_PIPE] = ACTIONS(1842),
    [anon_sym_LT_EQ] = ACTIONS(1842),
    [anon_sym_LT_GT] = ACTIONS(1842),
    [anon_sym_GT_EQ] = ACTIONS(1842),
    [anon_sym_BANG_EQ] = ACTIONS(1842),
    [anon_sym_LT_LT] = ACTIONS(1842),
    [anon_sym_GT_GT] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym_CARET] = ACTIONS(1842),
    [anon_sym_PIPE] = ACTIONS(1844),
  },
  [4477] = {
    [sym__unquoted_identifier] = ACTIONS(1416),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1416),
    [aux_sym__keyword_alter_token1] = ACTIONS(1416),
    [aux_sym__keyword_delete_token1] = ACTIONS(1416),
    [aux_sym__keyword_begin_token1] = ACTIONS(1416),
    [aux_sym__keyword_end_token1] = ACTIONS(1416),
    [aux_sym__keyword_when_token1] = ACTIONS(1416),
    [aux_sym__keyword_else_token1] = ACTIONS(1416),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1416),
    [aux_sym__keyword_as_token1] = ACTIONS(1416),
    [aux_sym__keyword_window_token1] = ACTIONS(1416),
    [aux_sym__keyword_date_token1] = ACTIONS(1416),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1416),
    [aux_sym__keyword_time_token1] = ACTIONS(1416),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1416),
    [aux_sym__keyword_for_token1] = ACTIONS(1416),
    [anon_sym_SEMI] = ACTIONS(1414),
    [aux_sym_declare_statement_token1] = ACTIONS(1416),
    [anon_sym_COMMA] = ACTIONS(1414),
    [aux_sym_set_statement_token1] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1416),
    [aux_sym_using_clause_token1] = ACTIONS(1416),
    [aux_sym_return_satement_token1] = ACTIONS(1416),
    [aux_sym_call_statement_token1] = ACTIONS(1416),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1416),
    [aux_sym_if_statement_token1] = ACTIONS(1416),
    [aux_sym_loop_statement_token1] = ACTIONS(1416),
    [aux_sym_repeat_statement_token1] = ACTIONS(1416),
    [aux_sym_while_statement_token1] = ACTIONS(1416),
    [aux_sym_break_statement_token1] = ACTIONS(1416),
    [aux_sym_leave_statement_token1] = ACTIONS(1416),
    [aux_sym_continue_statement_token1] = ACTIONS(1416),
    [aux_sym_iterate_statement_token1] = ACTIONS(1416),
    [aux_sym_raise_statement_token1] = ACTIONS(1416),
    [aux_sym_assert_statement_token1] = ACTIONS(1416),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1416),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1416),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1416),
    [aux_sym_set_operation_token1] = ACTIONS(1416),
    [aux_sym_set_operation_token3] = ACTIONS(1416),
    [aux_sym_set_operation_token4] = ACTIONS(1416),
    [aux_sym_select_token1] = ACTIONS(1416),
    [aux_sym_having_clause_token1] = ACTIONS(1416),
    [aux_sym_qualify_clause_token1] = ACTIONS(1416),
    [aux_sym_limit_clause_token1] = ACTIONS(1416),
    [aux_sym_group_by_clause_token1] = ACTIONS(1416),
    [aux_sym_order_by_clause_token1] = ACTIONS(1416),
    [aux_sym_where_clause_token1] = ACTIONS(1416),
    [aux_sym_pivot_operator_token1] = ACTIONS(1416),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1416),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1416),
    [aux_sym_join_type_token1] = ACTIONS(1416),
    [aux_sym_join_type_token2] = ACTIONS(1416),
    [aux_sym_join_type_token3] = ACTIONS(1416),
    [aux_sym_join_type_token4] = ACTIONS(1416),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1416),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1416),
    [aux_sym_join_condition_token1] = ACTIONS(1416),
    [aux_sym_insert_statement_token1] = ACTIONS(1416),
    [aux_sym_truncate_statement_token1] = ACTIONS(1416),
    [aux_sym_update_statement_token1] = ACTIONS(1416),
    [aux_sym_merge_statement_token1] = ACTIONS(1416),
    [aux_sym_grant_statement_token1] = ACTIONS(1416),
    [aux_sym_revoke_statement_token1] = ACTIONS(1416),
    [aux_sym_export_data_statement_token1] = ACTIONS(1416),
    [aux_sym_load_data_statement_token1] = ACTIONS(1416),
    [sym__quoted_identifier] = ACTIONS(1414),
    [sym_comment] = ACTIONS(3),
  },
  [4478] = {
    [ts_builtin_sym_end] = ACTIONS(1578),
    [sym__unquoted_identifier] = ACTIONS(1580),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1580),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1580),
    [aux_sym_keyword_replace_token1] = ACTIONS(1580),
    [aux_sym__keyword_alter_token1] = ACTIONS(1580),
    [aux_sym__keyword_delete_token1] = ACTIONS(1580),
    [aux_sym__keyword_begin_token1] = ACTIONS(1580),
    [aux_sym__keyword_between_token1] = ACTIONS(1580),
    [aux_sym__keyword_is_token1] = ACTIONS(1580),
    [aux_sym__keyword_in_token1] = ACTIONS(1580),
    [aux_sym__keyword_and_token1] = ACTIONS(1580),
    [aux_sym__keyword_like_token1] = ACTIONS(1580),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1580),
    [aux_sym__keyword_as_token1] = ACTIONS(1580),
    [aux_sym__keyword_date_token1] = ACTIONS(1580),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1580),
    [aux_sym__keyword_time_token1] = ACTIONS(1580),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1580),
    [aux_sym__keyword_for_token1] = ACTIONS(1580),
    [anon_sym_SEMI] = ACTIONS(1578),
    [aux_sym_declare_statement_token1] = ACTIONS(1580),
    [anon_sym_COMMA] = ACTIONS(1578),
    [aux_sym_set_statement_token1] = ACTIONS(1580),
    [anon_sym_LPAREN] = ACTIONS(1578),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1580),
    [aux_sym_return_satement_token1] = ACTIONS(1580),
    [aux_sym_call_statement_token1] = ACTIONS(1580),
    [aux_sym_loop_statement_token1] = ACTIONS(1580),
    [aux_sym_while_statement_token1] = ACTIONS(1580),
    [aux_sym_break_statement_token1] = ACTIONS(1580),
    [aux_sym_leave_statement_token1] = ACTIONS(1580),
    [aux_sym_continue_statement_token1] = ACTIONS(1580),
    [aux_sym_iterate_statement_token1] = ACTIONS(1580),
    [aux_sym_raise_statement_token1] = ACTIONS(1580),
    [anon_sym_EQ] = ACTIONS(1578),
    [aux_sym_assert_statement_token1] = ACTIONS(1580),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1580),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1580),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1580),
    [anon_sym_LT] = ACTIONS(1580),
    [anon_sym_GT] = ACTIONS(1580),
    [aux_sym_select_token1] = ACTIONS(1580),
    [aux_sym_insert_statement_token1] = ACTIONS(1580),
    [aux_sym_truncate_statement_token1] = ACTIONS(1580),
    [aux_sym_update_statement_token1] = ACTIONS(1580),
    [aux_sym_merge_statement_token1] = ACTIONS(1580),
    [aux_sym_grant_statement_token1] = ACTIONS(1580),
    [aux_sym_revoke_statement_token1] = ACTIONS(1580),
    [aux_sym_export_data_statement_token1] = ACTIONS(1580),
    [aux_sym_load_data_statement_token1] = ACTIONS(1580),
    [anon_sym_LBRACK] = ACTIONS(1578),
    [sym__quoted_identifier] = ACTIONS(1578),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1578),
    [anon_sym_DASH] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(1578),
    [anon_sym_SLASH] = ACTIONS(1580),
    [anon_sym_PIPE_PIPE] = ACTIONS(1578),
    [anon_sym_LT_EQ] = ACTIONS(1578),
    [anon_sym_LT_GT] = ACTIONS(1578),
    [anon_sym_GT_EQ] = ACTIONS(1578),
    [anon_sym_BANG_EQ] = ACTIONS(1578),
    [anon_sym_LT_LT] = ACTIONS(1578),
    [anon_sym_GT_GT] = ACTIONS(1578),
    [anon_sym_AMP] = ACTIONS(1578),
    [anon_sym_CARET] = ACTIONS(1578),
    [anon_sym_PIPE] = ACTIONS(1580),
  },
  [4479] = {
    [ts_builtin_sym_end] = ACTIONS(1582),
    [sym__unquoted_identifier] = ACTIONS(1584),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1584),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1584),
    [aux_sym_keyword_replace_token1] = ACTIONS(1584),
    [aux_sym__keyword_alter_token1] = ACTIONS(1584),
    [aux_sym__keyword_delete_token1] = ACTIONS(1584),
    [aux_sym__keyword_begin_token1] = ACTIONS(1584),
    [aux_sym__keyword_between_token1] = ACTIONS(1584),
    [aux_sym__keyword_is_token1] = ACTIONS(1584),
    [aux_sym__keyword_in_token1] = ACTIONS(1584),
    [aux_sym__keyword_and_token1] = ACTIONS(1584),
    [aux_sym__keyword_like_token1] = ACTIONS(1584),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1584),
    [aux_sym__keyword_as_token1] = ACTIONS(1584),
    [aux_sym__keyword_date_token1] = ACTIONS(1584),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1584),
    [aux_sym__keyword_time_token1] = ACTIONS(1584),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1584),
    [aux_sym__keyword_for_token1] = ACTIONS(1584),
    [anon_sym_SEMI] = ACTIONS(1582),
    [aux_sym_declare_statement_token1] = ACTIONS(1584),
    [anon_sym_COMMA] = ACTIONS(1582),
    [aux_sym_set_statement_token1] = ACTIONS(1584),
    [anon_sym_LPAREN] = ACTIONS(1582),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1584),
    [aux_sym_return_satement_token1] = ACTIONS(1584),
    [aux_sym_call_statement_token1] = ACTIONS(1584),
    [aux_sym_loop_statement_token1] = ACTIONS(1584),
    [aux_sym_while_statement_token1] = ACTIONS(1584),
    [aux_sym_break_statement_token1] = ACTIONS(1584),
    [aux_sym_leave_statement_token1] = ACTIONS(1584),
    [aux_sym_continue_statement_token1] = ACTIONS(1584),
    [aux_sym_iterate_statement_token1] = ACTIONS(1584),
    [aux_sym_raise_statement_token1] = ACTIONS(1584),
    [anon_sym_EQ] = ACTIONS(1582),
    [aux_sym_assert_statement_token1] = ACTIONS(1584),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1584),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1584),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1584),
    [anon_sym_LT] = ACTIONS(1584),
    [anon_sym_GT] = ACTIONS(1584),
    [aux_sym_select_token1] = ACTIONS(1584),
    [aux_sym_insert_statement_token1] = ACTIONS(1584),
    [aux_sym_truncate_statement_token1] = ACTIONS(1584),
    [aux_sym_update_statement_token1] = ACTIONS(1584),
    [aux_sym_merge_statement_token1] = ACTIONS(1584),
    [aux_sym_grant_statement_token1] = ACTIONS(1584),
    [aux_sym_revoke_statement_token1] = ACTIONS(1584),
    [aux_sym_export_data_statement_token1] = ACTIONS(1584),
    [aux_sym_load_data_statement_token1] = ACTIONS(1584),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [sym__quoted_identifier] = ACTIONS(1582),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1582),
    [anon_sym_PLUS] = ACTIONS(1582),
    [anon_sym_DASH] = ACTIONS(1584),
    [anon_sym_STAR] = ACTIONS(1582),
    [anon_sym_SLASH] = ACTIONS(1584),
    [anon_sym_PIPE_PIPE] = ACTIONS(1582),
    [anon_sym_LT_EQ] = ACTIONS(1582),
    [anon_sym_LT_GT] = ACTIONS(1582),
    [anon_sym_GT_EQ] = ACTIONS(1582),
    [anon_sym_BANG_EQ] = ACTIONS(1582),
    [anon_sym_LT_LT] = ACTIONS(1582),
    [anon_sym_GT_GT] = ACTIONS(1582),
    [anon_sym_AMP] = ACTIONS(1582),
    [anon_sym_CARET] = ACTIONS(1582),
    [anon_sym_PIPE] = ACTIONS(1584),
  },
  [4480] = {
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [4481] = {
    [sym__unquoted_identifier] = ACTIONS(1498),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1498),
    [aux_sym__keyword_alter_token1] = ACTIONS(1498),
    [aux_sym__keyword_delete_token1] = ACTIONS(1498),
    [aux_sym__keyword_begin_token1] = ACTIONS(1498),
    [aux_sym__keyword_end_token1] = ACTIONS(1498),
    [aux_sym__keyword_when_token1] = ACTIONS(1498),
    [aux_sym__keyword_else_token1] = ACTIONS(1498),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1498),
    [aux_sym__keyword_as_token1] = ACTIONS(1498),
    [aux_sym__keyword_window_token1] = ACTIONS(1498),
    [aux_sym__keyword_date_token1] = ACTIONS(1498),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1498),
    [aux_sym__keyword_time_token1] = ACTIONS(1498),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1498),
    [aux_sym__keyword_for_token1] = ACTIONS(1498),
    [anon_sym_SEMI] = ACTIONS(1496),
    [aux_sym_declare_statement_token1] = ACTIONS(1498),
    [anon_sym_COMMA] = ACTIONS(1496),
    [aux_sym_set_statement_token1] = ACTIONS(1498),
    [anon_sym_LPAREN] = ACTIONS(1496),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1498),
    [aux_sym_using_clause_token1] = ACTIONS(1498),
    [aux_sym_return_satement_token1] = ACTIONS(1498),
    [aux_sym_call_statement_token1] = ACTIONS(1498),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1498),
    [aux_sym_if_statement_token1] = ACTIONS(1498),
    [aux_sym_loop_statement_token1] = ACTIONS(1498),
    [aux_sym_repeat_statement_token1] = ACTIONS(1498),
    [aux_sym_while_statement_token1] = ACTIONS(1498),
    [aux_sym_break_statement_token1] = ACTIONS(1498),
    [aux_sym_leave_statement_token1] = ACTIONS(1498),
    [aux_sym_continue_statement_token1] = ACTIONS(1498),
    [aux_sym_iterate_statement_token1] = ACTIONS(1498),
    [aux_sym_raise_statement_token1] = ACTIONS(1498),
    [aux_sym_assert_statement_token1] = ACTIONS(1498),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1498),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1498),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1498),
    [aux_sym_set_operation_token1] = ACTIONS(1498),
    [aux_sym_set_operation_token3] = ACTIONS(1498),
    [aux_sym_set_operation_token4] = ACTIONS(1498),
    [aux_sym_select_token1] = ACTIONS(1498),
    [aux_sym_having_clause_token1] = ACTIONS(1498),
    [aux_sym_qualify_clause_token1] = ACTIONS(1498),
    [aux_sym_limit_clause_token1] = ACTIONS(1498),
    [aux_sym_group_by_clause_token1] = ACTIONS(1498),
    [aux_sym_order_by_clause_token1] = ACTIONS(1498),
    [aux_sym_where_clause_token1] = ACTIONS(1498),
    [aux_sym_pivot_operator_token1] = ACTIONS(1498),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1498),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1498),
    [aux_sym_join_type_token1] = ACTIONS(1498),
    [aux_sym_join_type_token2] = ACTIONS(1498),
    [aux_sym_join_type_token3] = ACTIONS(1498),
    [aux_sym_join_type_token4] = ACTIONS(1498),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1498),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1498),
    [aux_sym_join_condition_token1] = ACTIONS(1498),
    [aux_sym_insert_statement_token1] = ACTIONS(1498),
    [aux_sym_truncate_statement_token1] = ACTIONS(1498),
    [aux_sym_update_statement_token1] = ACTIONS(1498),
    [aux_sym_merge_statement_token1] = ACTIONS(1498),
    [aux_sym_grant_statement_token1] = ACTIONS(1498),
    [aux_sym_revoke_statement_token1] = ACTIONS(1498),
    [aux_sym_export_data_statement_token1] = ACTIONS(1498),
    [aux_sym_load_data_statement_token1] = ACTIONS(1498),
    [sym__quoted_identifier] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
  },
  [4482] = {
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_end_token1] = ACTIONS(1420),
    [aux_sym__keyword_when_token1] = ACTIONS(1420),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_window_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_using_clause_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_repeat_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token3] = ACTIONS(1420),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_having_clause_token1] = ACTIONS(1420),
    [aux_sym_qualify_clause_token1] = ACTIONS(1420),
    [aux_sym_limit_clause_token1] = ACTIONS(1420),
    [aux_sym_group_by_clause_token1] = ACTIONS(1420),
    [aux_sym_order_by_clause_token1] = ACTIONS(1420),
    [aux_sym_where_clause_token1] = ACTIONS(1420),
    [aux_sym_pivot_operator_token1] = ACTIONS(1420),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1420),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1420),
    [aux_sym_join_type_token1] = ACTIONS(1420),
    [aux_sym_join_type_token2] = ACTIONS(1420),
    [aux_sym_join_type_token3] = ACTIONS(1420),
    [aux_sym_join_type_token4] = ACTIONS(1420),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1420),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1420),
    [aux_sym_join_condition_token1] = ACTIONS(1420),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
  },
  [4483] = {
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [4484] = {
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [4485] = {
    [ts_builtin_sym_end] = ACTIONS(1540),
    [sym__unquoted_identifier] = ACTIONS(1542),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1542),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1542),
    [aux_sym_keyword_replace_token1] = ACTIONS(1542),
    [aux_sym__keyword_alter_token1] = ACTIONS(1542),
    [aux_sym__keyword_delete_token1] = ACTIONS(1542),
    [aux_sym__keyword_begin_token1] = ACTIONS(1542),
    [aux_sym__keyword_between_token1] = ACTIONS(1542),
    [aux_sym__keyword_is_token1] = ACTIONS(1542),
    [aux_sym__keyword_in_token1] = ACTIONS(1542),
    [aux_sym__keyword_and_token1] = ACTIONS(1542),
    [aux_sym__keyword_like_token1] = ACTIONS(1542),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1542),
    [aux_sym__keyword_as_token1] = ACTIONS(1542),
    [aux_sym__keyword_date_token1] = ACTIONS(1542),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1542),
    [aux_sym__keyword_time_token1] = ACTIONS(1542),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1542),
    [aux_sym__keyword_for_token1] = ACTIONS(1542),
    [anon_sym_SEMI] = ACTIONS(1540),
    [aux_sym_declare_statement_token1] = ACTIONS(1542),
    [anon_sym_COMMA] = ACTIONS(1540),
    [aux_sym_set_statement_token1] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1542),
    [aux_sym_return_satement_token1] = ACTIONS(1542),
    [aux_sym_call_statement_token1] = ACTIONS(1542),
    [aux_sym_loop_statement_token1] = ACTIONS(1542),
    [aux_sym_while_statement_token1] = ACTIONS(1542),
    [aux_sym_break_statement_token1] = ACTIONS(1542),
    [aux_sym_leave_statement_token1] = ACTIONS(1542),
    [aux_sym_continue_statement_token1] = ACTIONS(1542),
    [aux_sym_iterate_statement_token1] = ACTIONS(1542),
    [aux_sym_raise_statement_token1] = ACTIONS(1542),
    [anon_sym_EQ] = ACTIONS(1540),
    [aux_sym_assert_statement_token1] = ACTIONS(1542),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1542),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1542),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1542),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_GT] = ACTIONS(1542),
    [aux_sym_select_token1] = ACTIONS(1542),
    [aux_sym_insert_statement_token1] = ACTIONS(1542),
    [aux_sym_truncate_statement_token1] = ACTIONS(1542),
    [aux_sym_update_statement_token1] = ACTIONS(1542),
    [aux_sym_merge_statement_token1] = ACTIONS(1542),
    [aux_sym_grant_statement_token1] = ACTIONS(1542),
    [aux_sym_revoke_statement_token1] = ACTIONS(1542),
    [aux_sym_export_data_statement_token1] = ACTIONS(1542),
    [aux_sym_load_data_statement_token1] = ACTIONS(1542),
    [anon_sym_LBRACK] = ACTIONS(1540),
    [sym__quoted_identifier] = ACTIONS(1540),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(1540),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(1542),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_LT_EQ] = ACTIONS(1540),
    [anon_sym_LT_GT] = ACTIONS(1540),
    [anon_sym_GT_EQ] = ACTIONS(1540),
    [anon_sym_BANG_EQ] = ACTIONS(1540),
    [anon_sym_LT_LT] = ACTIONS(1540),
    [anon_sym_GT_GT] = ACTIONS(1540),
    [anon_sym_AMP] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(1540),
    [anon_sym_PIPE] = ACTIONS(1542),
  },
  [4486] = {
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [4487] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4488] = {
    [ts_builtin_sym_end] = ACTIONS(1386),
    [sym__unquoted_identifier] = ACTIONS(1388),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1388),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1388),
    [aux_sym_keyword_replace_token1] = ACTIONS(1388),
    [aux_sym__keyword_alter_token1] = ACTIONS(1388),
    [aux_sym__keyword_delete_token1] = ACTIONS(1388),
    [aux_sym__keyword_begin_token1] = ACTIONS(1388),
    [aux_sym__keyword_between_token1] = ACTIONS(1388),
    [aux_sym__keyword_is_token1] = ACTIONS(1388),
    [aux_sym__keyword_in_token1] = ACTIONS(1388),
    [aux_sym__keyword_and_token1] = ACTIONS(1388),
    [aux_sym__keyword_like_token1] = ACTIONS(1388),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1388),
    [aux_sym__keyword_as_token1] = ACTIONS(1388),
    [aux_sym__keyword_date_token1] = ACTIONS(1388),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1388),
    [aux_sym__keyword_time_token1] = ACTIONS(1388),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1388),
    [aux_sym__keyword_for_token1] = ACTIONS(1388),
    [anon_sym_SEMI] = ACTIONS(1386),
    [aux_sym_declare_statement_token1] = ACTIONS(1388),
    [anon_sym_COMMA] = ACTIONS(1386),
    [aux_sym_set_statement_token1] = ACTIONS(1388),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1388),
    [aux_sym_return_satement_token1] = ACTIONS(1388),
    [aux_sym_call_statement_token1] = ACTIONS(1388),
    [aux_sym_loop_statement_token1] = ACTIONS(1388),
    [aux_sym_while_statement_token1] = ACTIONS(1388),
    [aux_sym_break_statement_token1] = ACTIONS(1388),
    [aux_sym_leave_statement_token1] = ACTIONS(1388),
    [aux_sym_continue_statement_token1] = ACTIONS(1388),
    [aux_sym_iterate_statement_token1] = ACTIONS(1388),
    [aux_sym_raise_statement_token1] = ACTIONS(1388),
    [anon_sym_EQ] = ACTIONS(1386),
    [aux_sym_assert_statement_token1] = ACTIONS(1388),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1388),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1388),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1388),
    [anon_sym_LT] = ACTIONS(1388),
    [anon_sym_GT] = ACTIONS(1388),
    [aux_sym_select_token1] = ACTIONS(1388),
    [aux_sym_insert_statement_token1] = ACTIONS(1388),
    [aux_sym_truncate_statement_token1] = ACTIONS(1388),
    [aux_sym_update_statement_token1] = ACTIONS(1388),
    [aux_sym_merge_statement_token1] = ACTIONS(1388),
    [aux_sym_grant_statement_token1] = ACTIONS(1388),
    [aux_sym_revoke_statement_token1] = ACTIONS(1388),
    [aux_sym_export_data_statement_token1] = ACTIONS(1388),
    [aux_sym_load_data_statement_token1] = ACTIONS(1388),
    [anon_sym_LBRACK] = ACTIONS(1386),
    [sym__quoted_identifier] = ACTIONS(1386),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1386),
    [anon_sym_DASH] = ACTIONS(1388),
    [anon_sym_STAR] = ACTIONS(1386),
    [anon_sym_SLASH] = ACTIONS(1388),
    [anon_sym_PIPE_PIPE] = ACTIONS(1386),
    [anon_sym_LT_EQ] = ACTIONS(1386),
    [anon_sym_LT_GT] = ACTIONS(1386),
    [anon_sym_GT_EQ] = ACTIONS(1386),
    [anon_sym_BANG_EQ] = ACTIONS(1386),
    [anon_sym_LT_LT] = ACTIONS(1386),
    [anon_sym_GT_GT] = ACTIONS(1386),
    [anon_sym_AMP] = ACTIONS(1386),
    [anon_sym_CARET] = ACTIONS(1386),
    [anon_sym_PIPE] = ACTIONS(1388),
  },
  [4489] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4490] = {
    [sym__keyword_as] = STATE(11489),
    [sym__keyword_date] = STATE(2335),
    [sym__keyword_datetime] = STATE(2335),
    [sym__keyword_time] = STATE(2335),
    [sym__keyword_timestamp] = STATE(2335),
    [sym_as_alias] = STATE(5415),
    [sym__type_chrono] = STATE(2336),
    [sym__identifier] = STATE(2405),
    [sym__dotted_identifier] = STATE(13807),
    [sym_identifier] = STATE(2317),
    [aux_sym_identifier_repeat1] = STATE(13807),
    [sym__unquoted_identifier] = ACTIONS(335),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3384),
    [aux_sym__keyword_alter_token1] = ACTIONS(3384),
    [aux_sym__keyword_delete_token1] = ACTIONS(3384),
    [aux_sym__keyword_begin_token1] = ACTIONS(3384),
    [aux_sym__keyword_end_token1] = ACTIONS(3384),
    [aux_sym__keyword_when_token1] = ACTIONS(3384),
    [aux_sym__keyword_else_token1] = ACTIONS(3384),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3384),
    [aux_sym__keyword_as_token1] = ACTIONS(353),
    [aux_sym__keyword_window_token1] = ACTIONS(3384),
    [aux_sym__keyword_date_token1] = ACTIONS(355),
    [aux_sym__keyword_datetime_token1] = ACTIONS(355),
    [aux_sym__keyword_time_token1] = ACTIONS(355),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(355),
    [aux_sym__keyword_for_token1] = ACTIONS(3384),
    [anon_sym_SEMI] = ACTIONS(3386),
    [aux_sym_declare_statement_token1] = ACTIONS(3384),
    [aux_sym_set_statement_token1] = ACTIONS(3384),
    [anon_sym_LPAREN] = ACTIONS(3386),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(3384),
    [aux_sym_return_satement_token1] = ACTIONS(3384),
    [aux_sym_call_statement_token1] = ACTIONS(3384),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(3384),
    [aux_sym_if_statement_token1] = ACTIONS(3384),
    [aux_sym_loop_statement_token1] = ACTIONS(3384),
    [aux_sym_repeat_statement_token1] = ACTIONS(3384),
    [aux_sym_while_statement_token1] = ACTIONS(3384),
    [aux_sym_break_statement_token1] = ACTIONS(3384),
    [aux_sym_leave_statement_token1] = ACTIONS(3384),
    [aux_sym_continue_statement_token1] = ACTIONS(3384),
    [aux_sym_iterate_statement_token1] = ACTIONS(3384),
    [aux_sym_raise_statement_token1] = ACTIONS(3384),
    [aux_sym_assert_statement_token1] = ACTIONS(3384),
    [aux_sym_create_schema_statement_token1] = ACTIONS(3384),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(3384),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3384),
    [aux_sym_set_operation_token1] = ACTIONS(3384),
    [aux_sym_set_operation_token3] = ACTIONS(3384),
    [aux_sym_set_operation_token4] = ACTIONS(3384),
    [aux_sym_select_token1] = ACTIONS(3384),
    [aux_sym_having_clause_token1] = ACTIONS(3384),
    [aux_sym_qualify_clause_token1] = ACTIONS(3384),
    [aux_sym_limit_clause_token1] = ACTIONS(3384),
    [aux_sym_group_by_clause_token1] = ACTIONS(3384),
    [aux_sym_order_by_clause_token1] = ACTIONS(3384),
    [aux_sym_where_clause_token1] = ACTIONS(3384),
    [aux_sym_tablesample_operator_token1] = ACTIONS(3384),
    [aux_sym_insert_statement_token1] = ACTIONS(3384),
    [aux_sym_truncate_statement_token1] = ACTIONS(3384),
    [aux_sym_update_statement_token1] = ACTIONS(3384),
    [aux_sym_merge_statement_token1] = ACTIONS(3384),
    [aux_sym_grant_statement_token1] = ACTIONS(3384),
    [aux_sym_revoke_statement_token1] = ACTIONS(3384),
    [aux_sym_export_data_statement_token1] = ACTIONS(3384),
    [aux_sym_load_data_statement_token1] = ACTIONS(3384),
    [sym__quoted_identifier] = ACTIONS(363),
    [sym_comment] = ACTIONS(3),
  },
  [4491] = {
    [sym__keyword_as] = STATE(11489),
    [sym__keyword_date] = STATE(2335),
    [sym__keyword_datetime] = STATE(2335),
    [sym__keyword_time] = STATE(2335),
    [sym__keyword_timestamp] = STATE(2335),
    [sym_as_alias] = STATE(5402),
    [sym__type_chrono] = STATE(2336),
    [sym__identifier] = STATE(2405),
    [sym__dotted_identifier] = STATE(13807),
    [sym_identifier] = STATE(2317),
    [aux_sym_identifier_repeat1] = STATE(13807),
    [sym__unquoted_identifier] = ACTIONS(335),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3388),
    [aux_sym__keyword_alter_token1] = ACTIONS(3388),
    [aux_sym__keyword_delete_token1] = ACTIONS(3388),
    [aux_sym__keyword_begin_token1] = ACTIONS(3388),
    [aux_sym__keyword_end_token1] = ACTIONS(3388),
    [aux_sym__keyword_when_token1] = ACTIONS(3388),
    [aux_sym__keyword_else_token1] = ACTIONS(3388),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3388),
    [aux_sym__keyword_as_token1] = ACTIONS(353),
    [aux_sym__keyword_window_token1] = ACTIONS(3388),
    [aux_sym__keyword_date_token1] = ACTIONS(355),
    [aux_sym__keyword_datetime_token1] = ACTIONS(355),
    [aux_sym__keyword_time_token1] = ACTIONS(355),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(355),
    [aux_sym__keyword_for_token1] = ACTIONS(3388),
    [anon_sym_SEMI] = ACTIONS(3390),
    [aux_sym_declare_statement_token1] = ACTIONS(3388),
    [aux_sym_set_statement_token1] = ACTIONS(3388),
    [anon_sym_LPAREN] = ACTIONS(3390),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(3388),
    [aux_sym_return_satement_token1] = ACTIONS(3388),
    [aux_sym_call_statement_token1] = ACTIONS(3388),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(3388),
    [aux_sym_if_statement_token1] = ACTIONS(3388),
    [aux_sym_loop_statement_token1] = ACTIONS(3388),
    [aux_sym_repeat_statement_token1] = ACTIONS(3388),
    [aux_sym_while_statement_token1] = ACTIONS(3388),
    [aux_sym_break_statement_token1] = ACTIONS(3388),
    [aux_sym_leave_statement_token1] = ACTIONS(3388),
    [aux_sym_continue_statement_token1] = ACTIONS(3388),
    [aux_sym_iterate_statement_token1] = ACTIONS(3388),
    [aux_sym_raise_statement_token1] = ACTIONS(3388),
    [aux_sym_assert_statement_token1] = ACTIONS(3388),
    [aux_sym_create_schema_statement_token1] = ACTIONS(3388),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(3388),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3388),
    [aux_sym_set_operation_token1] = ACTIONS(3388),
    [aux_sym_set_operation_token3] = ACTIONS(3388),
    [aux_sym_set_operation_token4] = ACTIONS(3388),
    [aux_sym_select_token1] = ACTIONS(3388),
    [aux_sym_having_clause_token1] = ACTIONS(3388),
    [aux_sym_qualify_clause_token1] = ACTIONS(3388),
    [aux_sym_limit_clause_token1] = ACTIONS(3388),
    [aux_sym_group_by_clause_token1] = ACTIONS(3388),
    [aux_sym_order_by_clause_token1] = ACTIONS(3388),
    [aux_sym_where_clause_token1] = ACTIONS(3388),
    [aux_sym_tablesample_operator_token1] = ACTIONS(3388),
    [aux_sym_insert_statement_token1] = ACTIONS(3388),
    [aux_sym_truncate_statement_token1] = ACTIONS(3388),
    [aux_sym_update_statement_token1] = ACTIONS(3388),
    [aux_sym_merge_statement_token1] = ACTIONS(3388),
    [aux_sym_grant_statement_token1] = ACTIONS(3388),
    [aux_sym_revoke_statement_token1] = ACTIONS(3388),
    [aux_sym_export_data_statement_token1] = ACTIONS(3388),
    [aux_sym_load_data_statement_token1] = ACTIONS(3388),
    [sym__quoted_identifier] = ACTIONS(363),
    [sym_comment] = ACTIONS(3),
  },
  [4492] = {
    [ts_builtin_sym_end] = ACTIONS(1524),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1524),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1524),
    [aux_sym_keyword_replace_token1] = ACTIONS(1524),
    [aux_sym__keyword_alter_token1] = ACTIONS(1524),
    [aux_sym__keyword_delete_token1] = ACTIONS(1524),
    [aux_sym__keyword_begin_token1] = ACTIONS(1524),
    [aux_sym__keyword_end_token1] = ACTIONS(1524),
    [aux_sym__keyword_between_token1] = ACTIONS(1524),
    [aux_sym__keyword_else_token1] = ACTIONS(1526),
    [aux_sym__keyword_is_token1] = ACTIONS(1524),
    [aux_sym__keyword_in_token1] = ACTIONS(1526),
    [aux_sym__keyword_and_token1] = ACTIONS(1524),
    [aux_sym__keyword_like_token1] = ACTIONS(1524),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1524),
    [aux_sym__keyword_for_token1] = ACTIONS(1524),
    [anon_sym_SEMI] = ACTIONS(1524),
    [aux_sym_declare_statement_token1] = ACTIONS(1524),
    [aux_sym_set_statement_token1] = ACTIONS(1524),
    [anon_sym_LPAREN] = ACTIONS(1524),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1524),
    [aux_sym_into_clause_token1] = ACTIONS(1524),
    [aux_sym_using_clause_token1] = ACTIONS(1524),
    [aux_sym_return_satement_token1] = ACTIONS(1524),
    [aux_sym_call_statement_token1] = ACTIONS(1524),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1524),
    [aux_sym_if_statement_token1] = ACTIONS(1524),
    [aux_sym_loop_statement_token1] = ACTIONS(1524),
    [aux_sym_repeat_statement_token1] = ACTIONS(1524),
    [aux_sym_while_statement_token1] = ACTIONS(1524),
    [aux_sym_break_statement_token1] = ACTIONS(1524),
    [aux_sym_leave_statement_token1] = ACTIONS(1524),
    [aux_sym_continue_statement_token1] = ACTIONS(1524),
    [aux_sym_iterate_statement_token1] = ACTIONS(1524),
    [aux_sym_raise_statement_token1] = ACTIONS(1524),
    [anon_sym_EQ] = ACTIONS(1524),
    [aux_sym_assert_statement_token1] = ACTIONS(1524),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1524),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1524),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1524),
    [aux_sym_alter_table_rename_statement_token2] = ACTIONS(3392),
    [anon_sym_LT] = ACTIONS(1526),
    [anon_sym_GT] = ACTIONS(1526),
    [aux_sym_select_token1] = ACTIONS(1524),
    [aux_sym_insert_statement_token1] = ACTIONS(1524),
    [aux_sym_truncate_statement_token1] = ACTIONS(1524),
    [aux_sym_update_statement_token1] = ACTIONS(1524),
    [aux_sym_merge_statement_token1] = ACTIONS(1524),
    [aux_sym_grant_statement_token1] = ACTIONS(1524),
    [aux_sym_revoke_statement_token1] = ACTIONS(1524),
    [aux_sym_export_data_statement_token1] = ACTIONS(1524),
    [aux_sym_load_data_statement_token1] = ACTIONS(1524),
    [anon_sym_LBRACK] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1524),
    [anon_sym_PLUS] = ACTIONS(1524),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_STAR] = ACTIONS(1524),
    [anon_sym_SLASH] = ACTIONS(1526),
    [anon_sym_PIPE_PIPE] = ACTIONS(1524),
    [anon_sym_LT_EQ] = ACTIONS(1524),
    [anon_sym_LT_GT] = ACTIONS(1524),
    [anon_sym_GT_EQ] = ACTIONS(1524),
    [anon_sym_BANG_EQ] = ACTIONS(1524),
    [anon_sym_LT_LT] = ACTIONS(1524),
    [anon_sym_GT_GT] = ACTIONS(1524),
    [anon_sym_AMP] = ACTIONS(1524),
    [anon_sym_CARET] = ACTIONS(1524),
    [anon_sym_PIPE] = ACTIONS(1526),
  },
  [4493] = {
    [sym__keyword_as] = STATE(11489),
    [sym__keyword_date] = STATE(2335),
    [sym__keyword_datetime] = STATE(2335),
    [sym__keyword_time] = STATE(2335),
    [sym__keyword_timestamp] = STATE(2335),
    [sym_as_alias] = STATE(5416),
    [sym__type_chrono] = STATE(2336),
    [sym__identifier] = STATE(2405),
    [sym__dotted_identifier] = STATE(13807),
    [sym_identifier] = STATE(2317),
    [aux_sym_identifier_repeat1] = STATE(13807),
    [sym__unquoted_identifier] = ACTIONS(335),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3394),
    [aux_sym__keyword_alter_token1] = ACTIONS(3394),
    [aux_sym__keyword_delete_token1] = ACTIONS(3394),
    [aux_sym__keyword_begin_token1] = ACTIONS(3394),
    [aux_sym__keyword_end_token1] = ACTIONS(3394),
    [aux_sym__keyword_when_token1] = ACTIONS(3394),
    [aux_sym__keyword_else_token1] = ACTIONS(3394),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3394),
    [aux_sym__keyword_as_token1] = ACTIONS(353),
    [aux_sym__keyword_window_token1] = ACTIONS(3394),
    [aux_sym__keyword_date_token1] = ACTIONS(355),
    [aux_sym__keyword_datetime_token1] = ACTIONS(355),
    [aux_sym__keyword_time_token1] = ACTIONS(355),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(355),
    [aux_sym__keyword_for_token1] = ACTIONS(3394),
    [anon_sym_SEMI] = ACTIONS(3396),
    [aux_sym_declare_statement_token1] = ACTIONS(3394),
    [aux_sym_set_statement_token1] = ACTIONS(3394),
    [anon_sym_LPAREN] = ACTIONS(3396),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(3394),
    [aux_sym_return_satement_token1] = ACTIONS(3394),
    [aux_sym_call_statement_token1] = ACTIONS(3394),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(3394),
    [aux_sym_if_statement_token1] = ACTIONS(3394),
    [aux_sym_loop_statement_token1] = ACTIONS(3394),
    [aux_sym_repeat_statement_token1] = ACTIONS(3394),
    [aux_sym_while_statement_token1] = ACTIONS(3394),
    [aux_sym_break_statement_token1] = ACTIONS(3394),
    [aux_sym_leave_statement_token1] = ACTIONS(3394),
    [aux_sym_continue_statement_token1] = ACTIONS(3394),
    [aux_sym_iterate_statement_token1] = ACTIONS(3394),
    [aux_sym_raise_statement_token1] = ACTIONS(3394),
    [aux_sym_assert_statement_token1] = ACTIONS(3394),
    [aux_sym_create_schema_statement_token1] = ACTIONS(3394),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(3394),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3394),
    [aux_sym_set_operation_token1] = ACTIONS(3394),
    [aux_sym_set_operation_token3] = ACTIONS(3394),
    [aux_sym_set_operation_token4] = ACTIONS(3394),
    [aux_sym_select_token1] = ACTIONS(3394),
    [aux_sym_having_clause_token1] = ACTIONS(3394),
    [aux_sym_qualify_clause_token1] = ACTIONS(3394),
    [aux_sym_limit_clause_token1] = ACTIONS(3394),
    [aux_sym_group_by_clause_token1] = ACTIONS(3394),
    [aux_sym_order_by_clause_token1] = ACTIONS(3394),
    [aux_sym_where_clause_token1] = ACTIONS(3394),
    [aux_sym_tablesample_operator_token1] = ACTIONS(3394),
    [aux_sym_insert_statement_token1] = ACTIONS(3394),
    [aux_sym_truncate_statement_token1] = ACTIONS(3394),
    [aux_sym_update_statement_token1] = ACTIONS(3394),
    [aux_sym_merge_statement_token1] = ACTIONS(3394),
    [aux_sym_grant_statement_token1] = ACTIONS(3394),
    [aux_sym_revoke_statement_token1] = ACTIONS(3394),
    [aux_sym_export_data_statement_token1] = ACTIONS(3394),
    [aux_sym_load_data_statement_token1] = ACTIONS(3394),
    [sym__quoted_identifier] = ACTIONS(363),
    [sym_comment] = ACTIONS(3),
  },
  [4494] = {
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_end_token1] = ACTIONS(1420),
    [aux_sym__keyword_when_token1] = ACTIONS(1420),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_window_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_using_clause_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_repeat_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token3] = ACTIONS(1420),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_having_clause_token1] = ACTIONS(1420),
    [aux_sym_qualify_clause_token1] = ACTIONS(1420),
    [aux_sym_limit_clause_token1] = ACTIONS(1420),
    [aux_sym_group_by_clause_token1] = ACTIONS(1420),
    [aux_sym_order_by_clause_token1] = ACTIONS(1420),
    [aux_sym_where_clause_token1] = ACTIONS(1420),
    [aux_sym_pivot_operator_token1] = ACTIONS(1420),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1420),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1420),
    [aux_sym_join_type_token1] = ACTIONS(1420),
    [aux_sym_join_type_token2] = ACTIONS(1420),
    [aux_sym_join_type_token3] = ACTIONS(1420),
    [aux_sym_join_type_token4] = ACTIONS(1420),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1420),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1420),
    [aux_sym_join_condition_token1] = ACTIONS(1420),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
  },
  [4495] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4496] = {
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_using_clause_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_pivot_operator_token1] = ACTIONS(1362),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1362),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1362),
    [aux_sym_join_type_token1] = ACTIONS(1362),
    [aux_sym_join_type_token2] = ACTIONS(1362),
    [aux_sym_join_type_token3] = ACTIONS(1362),
    [aux_sym_join_type_token4] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1362),
    [aux_sym_join_condition_token1] = ACTIONS(1362),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [4497] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4498] = {
    [sym__unquoted_identifier] = ACTIONS(1424),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1424),
    [aux_sym__keyword_alter_token1] = ACTIONS(1424),
    [aux_sym__keyword_delete_token1] = ACTIONS(1424),
    [aux_sym__keyword_begin_token1] = ACTIONS(1424),
    [aux_sym__keyword_end_token1] = ACTIONS(1424),
    [aux_sym__keyword_when_token1] = ACTIONS(1424),
    [aux_sym__keyword_else_token1] = ACTIONS(1424),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1424),
    [aux_sym__keyword_as_token1] = ACTIONS(1424),
    [aux_sym__keyword_window_token1] = ACTIONS(1424),
    [aux_sym__keyword_date_token1] = ACTIONS(1424),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1424),
    [aux_sym__keyword_time_token1] = ACTIONS(1424),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1424),
    [aux_sym__keyword_for_token1] = ACTIONS(1424),
    [anon_sym_SEMI] = ACTIONS(1422),
    [aux_sym_declare_statement_token1] = ACTIONS(1424),
    [anon_sym_COMMA] = ACTIONS(1422),
    [aux_sym_set_statement_token1] = ACTIONS(1424),
    [anon_sym_LPAREN] = ACTIONS(1422),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1424),
    [aux_sym_using_clause_token1] = ACTIONS(1424),
    [aux_sym_return_satement_token1] = ACTIONS(1424),
    [aux_sym_call_statement_token1] = ACTIONS(1424),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1424),
    [aux_sym_if_statement_token1] = ACTIONS(1424),
    [aux_sym_loop_statement_token1] = ACTIONS(1424),
    [aux_sym_repeat_statement_token1] = ACTIONS(1424),
    [aux_sym_while_statement_token1] = ACTIONS(1424),
    [aux_sym_break_statement_token1] = ACTIONS(1424),
    [aux_sym_leave_statement_token1] = ACTIONS(1424),
    [aux_sym_continue_statement_token1] = ACTIONS(1424),
    [aux_sym_iterate_statement_token1] = ACTIONS(1424),
    [aux_sym_raise_statement_token1] = ACTIONS(1424),
    [aux_sym_assert_statement_token1] = ACTIONS(1424),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1424),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1424),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1424),
    [aux_sym_set_operation_token1] = ACTIONS(1424),
    [aux_sym_set_operation_token3] = ACTIONS(1424),
    [aux_sym_set_operation_token4] = ACTIONS(1424),
    [aux_sym_select_token1] = ACTIONS(1424),
    [aux_sym_having_clause_token1] = ACTIONS(1424),
    [aux_sym_qualify_clause_token1] = ACTIONS(1424),
    [aux_sym_limit_clause_token1] = ACTIONS(1424),
    [aux_sym_group_by_clause_token1] = ACTIONS(1424),
    [aux_sym_order_by_clause_token1] = ACTIONS(1424),
    [aux_sym_where_clause_token1] = ACTIONS(1424),
    [aux_sym_pivot_operator_token1] = ACTIONS(1424),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1424),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1424),
    [aux_sym_join_type_token1] = ACTIONS(1424),
    [aux_sym_join_type_token2] = ACTIONS(1424),
    [aux_sym_join_type_token3] = ACTIONS(1424),
    [aux_sym_join_type_token4] = ACTIONS(1424),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1424),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1424),
    [aux_sym_join_condition_token1] = ACTIONS(1424),
    [aux_sym_insert_statement_token1] = ACTIONS(1424),
    [aux_sym_truncate_statement_token1] = ACTIONS(1424),
    [aux_sym_update_statement_token1] = ACTIONS(1424),
    [aux_sym_merge_statement_token1] = ACTIONS(1424),
    [aux_sym_grant_statement_token1] = ACTIONS(1424),
    [aux_sym_revoke_statement_token1] = ACTIONS(1424),
    [aux_sym_export_data_statement_token1] = ACTIONS(1424),
    [aux_sym_load_data_statement_token1] = ACTIONS(1424),
    [sym__quoted_identifier] = ACTIONS(1422),
    [sym_comment] = ACTIONS(3),
  },
  [4499] = {
    [sym__unquoted_identifier] = ACTIONS(1432),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1432),
    [aux_sym__keyword_alter_token1] = ACTIONS(1432),
    [aux_sym__keyword_delete_token1] = ACTIONS(1432),
    [aux_sym__keyword_begin_token1] = ACTIONS(1432),
    [aux_sym__keyword_end_token1] = ACTIONS(1432),
    [aux_sym__keyword_when_token1] = ACTIONS(1432),
    [aux_sym__keyword_else_token1] = ACTIONS(1432),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1432),
    [aux_sym__keyword_as_token1] = ACTIONS(1432),
    [aux_sym__keyword_window_token1] = ACTIONS(1432),
    [aux_sym__keyword_date_token1] = ACTIONS(1432),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1432),
    [aux_sym__keyword_time_token1] = ACTIONS(1432),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1432),
    [aux_sym__keyword_for_token1] = ACTIONS(1432),
    [anon_sym_SEMI] = ACTIONS(1430),
    [aux_sym_declare_statement_token1] = ACTIONS(1432),
    [anon_sym_COMMA] = ACTIONS(1430),
    [aux_sym_set_statement_token1] = ACTIONS(1432),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1432),
    [aux_sym_using_clause_token1] = ACTIONS(1432),
    [aux_sym_return_satement_token1] = ACTIONS(1432),
    [aux_sym_call_statement_token1] = ACTIONS(1432),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1432),
    [aux_sym_if_statement_token1] = ACTIONS(1432),
    [aux_sym_loop_statement_token1] = ACTIONS(1432),
    [aux_sym_repeat_statement_token1] = ACTIONS(1432),
    [aux_sym_while_statement_token1] = ACTIONS(1432),
    [aux_sym_break_statement_token1] = ACTIONS(1432),
    [aux_sym_leave_statement_token1] = ACTIONS(1432),
    [aux_sym_continue_statement_token1] = ACTIONS(1432),
    [aux_sym_iterate_statement_token1] = ACTIONS(1432),
    [aux_sym_raise_statement_token1] = ACTIONS(1432),
    [aux_sym_assert_statement_token1] = ACTIONS(1432),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1432),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1432),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1432),
    [aux_sym_set_operation_token1] = ACTIONS(1432),
    [aux_sym_set_operation_token3] = ACTIONS(1432),
    [aux_sym_set_operation_token4] = ACTIONS(1432),
    [aux_sym_select_token1] = ACTIONS(1432),
    [aux_sym_having_clause_token1] = ACTIONS(1432),
    [aux_sym_qualify_clause_token1] = ACTIONS(1432),
    [aux_sym_limit_clause_token1] = ACTIONS(1432),
    [aux_sym_group_by_clause_token1] = ACTIONS(1432),
    [aux_sym_order_by_clause_token1] = ACTIONS(1432),
    [aux_sym_where_clause_token1] = ACTIONS(1432),
    [aux_sym_pivot_operator_token1] = ACTIONS(1432),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1432),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1432),
    [aux_sym_join_type_token1] = ACTIONS(1432),
    [aux_sym_join_type_token2] = ACTIONS(1432),
    [aux_sym_join_type_token3] = ACTIONS(1432),
    [aux_sym_join_type_token4] = ACTIONS(1432),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1432),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1432),
    [aux_sym_join_condition_token1] = ACTIONS(1432),
    [aux_sym_insert_statement_token1] = ACTIONS(1432),
    [aux_sym_truncate_statement_token1] = ACTIONS(1432),
    [aux_sym_update_statement_token1] = ACTIONS(1432),
    [aux_sym_merge_statement_token1] = ACTIONS(1432),
    [aux_sym_grant_statement_token1] = ACTIONS(1432),
    [aux_sym_revoke_statement_token1] = ACTIONS(1432),
    [aux_sym_export_data_statement_token1] = ACTIONS(1432),
    [aux_sym_load_data_statement_token1] = ACTIONS(1432),
    [sym__quoted_identifier] = ACTIONS(1430),
    [sym_comment] = ACTIONS(3),
  },
  [4500] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4501] = {
    [ts_builtin_sym_end] = ACTIONS(1764),
    [sym__unquoted_identifier] = ACTIONS(1766),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1766),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1766),
    [aux_sym_keyword_replace_token1] = ACTIONS(1766),
    [aux_sym__keyword_alter_token1] = ACTIONS(1766),
    [aux_sym__keyword_delete_token1] = ACTIONS(1766),
    [aux_sym__keyword_begin_token1] = ACTIONS(1766),
    [aux_sym__keyword_between_token1] = ACTIONS(1766),
    [aux_sym__keyword_is_token1] = ACTIONS(1766),
    [aux_sym__keyword_in_token1] = ACTIONS(1766),
    [aux_sym__keyword_and_token1] = ACTIONS(1766),
    [aux_sym__keyword_like_token1] = ACTIONS(1766),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1766),
    [aux_sym__keyword_as_token1] = ACTIONS(1766),
    [aux_sym__keyword_date_token1] = ACTIONS(1766),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1766),
    [aux_sym__keyword_time_token1] = ACTIONS(1766),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1766),
    [aux_sym__keyword_for_token1] = ACTIONS(1766),
    [anon_sym_SEMI] = ACTIONS(1764),
    [aux_sym_declare_statement_token1] = ACTIONS(1766),
    [anon_sym_COMMA] = ACTIONS(1764),
    [aux_sym_set_statement_token1] = ACTIONS(1766),
    [anon_sym_LPAREN] = ACTIONS(1764),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1766),
    [aux_sym_return_satement_token1] = ACTIONS(1766),
    [aux_sym_call_statement_token1] = ACTIONS(1766),
    [aux_sym_loop_statement_token1] = ACTIONS(1766),
    [aux_sym_while_statement_token1] = ACTIONS(1766),
    [aux_sym_break_statement_token1] = ACTIONS(1766),
    [aux_sym_leave_statement_token1] = ACTIONS(1766),
    [aux_sym_continue_statement_token1] = ACTIONS(1766),
    [aux_sym_iterate_statement_token1] = ACTIONS(1766),
    [aux_sym_raise_statement_token1] = ACTIONS(1766),
    [anon_sym_EQ] = ACTIONS(1764),
    [aux_sym_assert_statement_token1] = ACTIONS(1766),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1766),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1766),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1766),
    [anon_sym_LT] = ACTIONS(1766),
    [anon_sym_GT] = ACTIONS(1766),
    [aux_sym_select_token1] = ACTIONS(1766),
    [aux_sym_insert_statement_token1] = ACTIONS(1766),
    [aux_sym_truncate_statement_token1] = ACTIONS(1766),
    [aux_sym_update_statement_token1] = ACTIONS(1766),
    [aux_sym_merge_statement_token1] = ACTIONS(1766),
    [aux_sym_grant_statement_token1] = ACTIONS(1766),
    [aux_sym_revoke_statement_token1] = ACTIONS(1766),
    [aux_sym_export_data_statement_token1] = ACTIONS(1766),
    [aux_sym_load_data_statement_token1] = ACTIONS(1766),
    [anon_sym_LBRACK] = ACTIONS(1764),
    [sym__quoted_identifier] = ACTIONS(1764),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_DASH] = ACTIONS(1766),
    [anon_sym_STAR] = ACTIONS(1764),
    [anon_sym_SLASH] = ACTIONS(1766),
    [anon_sym_PIPE_PIPE] = ACTIONS(1764),
    [anon_sym_LT_EQ] = ACTIONS(1764),
    [anon_sym_LT_GT] = ACTIONS(1764),
    [anon_sym_GT_EQ] = ACTIONS(1764),
    [anon_sym_BANG_EQ] = ACTIONS(1764),
    [anon_sym_LT_LT] = ACTIONS(1764),
    [anon_sym_GT_GT] = ACTIONS(1764),
    [anon_sym_AMP] = ACTIONS(1764),
    [anon_sym_CARET] = ACTIONS(1764),
    [anon_sym_PIPE] = ACTIONS(1766),
  },
  [4502] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4503] = {
    [sym__keyword_as] = STATE(11489),
    [sym__keyword_date] = STATE(2335),
    [sym__keyword_datetime] = STATE(2335),
    [sym__keyword_time] = STATE(2335),
    [sym__keyword_timestamp] = STATE(2335),
    [sym_as_alias] = STATE(5395),
    [sym__type_chrono] = STATE(2336),
    [sym__identifier] = STATE(2405),
    [sym__dotted_identifier] = STATE(13807),
    [sym_identifier] = STATE(2317),
    [aux_sym_identifier_repeat1] = STATE(13807),
    [sym__unquoted_identifier] = ACTIONS(335),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3398),
    [aux_sym__keyword_alter_token1] = ACTIONS(3398),
    [aux_sym__keyword_delete_token1] = ACTIONS(3398),
    [aux_sym__keyword_begin_token1] = ACTIONS(3398),
    [aux_sym__keyword_end_token1] = ACTIONS(3398),
    [aux_sym__keyword_when_token1] = ACTIONS(3398),
    [aux_sym__keyword_else_token1] = ACTIONS(3398),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3398),
    [aux_sym__keyword_as_token1] = ACTIONS(353),
    [aux_sym__keyword_window_token1] = ACTIONS(3398),
    [aux_sym__keyword_date_token1] = ACTIONS(355),
    [aux_sym__keyword_datetime_token1] = ACTIONS(355),
    [aux_sym__keyword_time_token1] = ACTIONS(355),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(355),
    [aux_sym__keyword_for_token1] = ACTIONS(3398),
    [anon_sym_SEMI] = ACTIONS(3400),
    [aux_sym_declare_statement_token1] = ACTIONS(3398),
    [aux_sym_set_statement_token1] = ACTIONS(3398),
    [anon_sym_LPAREN] = ACTIONS(3400),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(3398),
    [aux_sym_return_satement_token1] = ACTIONS(3398),
    [aux_sym_call_statement_token1] = ACTIONS(3398),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(3398),
    [aux_sym_if_statement_token1] = ACTIONS(3398),
    [aux_sym_loop_statement_token1] = ACTIONS(3398),
    [aux_sym_repeat_statement_token1] = ACTIONS(3398),
    [aux_sym_while_statement_token1] = ACTIONS(3398),
    [aux_sym_break_statement_token1] = ACTIONS(3398),
    [aux_sym_leave_statement_token1] = ACTIONS(3398),
    [aux_sym_continue_statement_token1] = ACTIONS(3398),
    [aux_sym_iterate_statement_token1] = ACTIONS(3398),
    [aux_sym_raise_statement_token1] = ACTIONS(3398),
    [aux_sym_assert_statement_token1] = ACTIONS(3398),
    [aux_sym_create_schema_statement_token1] = ACTIONS(3398),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(3398),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3398),
    [aux_sym_set_operation_token1] = ACTIONS(3398),
    [aux_sym_set_operation_token3] = ACTIONS(3398),
    [aux_sym_set_operation_token4] = ACTIONS(3398),
    [aux_sym_select_token1] = ACTIONS(3398),
    [aux_sym_having_clause_token1] = ACTIONS(3398),
    [aux_sym_qualify_clause_token1] = ACTIONS(3398),
    [aux_sym_limit_clause_token1] = ACTIONS(3398),
    [aux_sym_group_by_clause_token1] = ACTIONS(3398),
    [aux_sym_order_by_clause_token1] = ACTIONS(3398),
    [aux_sym_where_clause_token1] = ACTIONS(3398),
    [aux_sym_tablesample_operator_token1] = ACTIONS(3398),
    [aux_sym_insert_statement_token1] = ACTIONS(3398),
    [aux_sym_truncate_statement_token1] = ACTIONS(3398),
    [aux_sym_update_statement_token1] = ACTIONS(3398),
    [aux_sym_merge_statement_token1] = ACTIONS(3398),
    [aux_sym_grant_statement_token1] = ACTIONS(3398),
    [aux_sym_revoke_statement_token1] = ACTIONS(3398),
    [aux_sym_export_data_statement_token1] = ACTIONS(3398),
    [aux_sym_load_data_statement_token1] = ACTIONS(3398),
    [sym__quoted_identifier] = ACTIONS(363),
    [sym_comment] = ACTIONS(3),
  },
  [4504] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4505] = {
    [sym__keyword_as] = STATE(11489),
    [sym__keyword_date] = STATE(2335),
    [sym__keyword_datetime] = STATE(2335),
    [sym__keyword_time] = STATE(2335),
    [sym__keyword_timestamp] = STATE(2335),
    [sym_as_alias] = STATE(5414),
    [sym__type_chrono] = STATE(2336),
    [sym__identifier] = STATE(2405),
    [sym__dotted_identifier] = STATE(13807),
    [sym_identifier] = STATE(2317),
    [aux_sym_identifier_repeat1] = STATE(13807),
    [sym__unquoted_identifier] = ACTIONS(335),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3402),
    [aux_sym__keyword_alter_token1] = ACTIONS(3402),
    [aux_sym__keyword_delete_token1] = ACTIONS(3402),
    [aux_sym__keyword_begin_token1] = ACTIONS(3402),
    [aux_sym__keyword_end_token1] = ACTIONS(3402),
    [aux_sym__keyword_when_token1] = ACTIONS(3402),
    [aux_sym__keyword_else_token1] = ACTIONS(3402),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3402),
    [aux_sym__keyword_as_token1] = ACTIONS(353),
    [aux_sym__keyword_window_token1] = ACTIONS(3402),
    [aux_sym__keyword_date_token1] = ACTIONS(355),
    [aux_sym__keyword_datetime_token1] = ACTIONS(355),
    [aux_sym__keyword_time_token1] = ACTIONS(355),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(355),
    [aux_sym__keyword_for_token1] = ACTIONS(3402),
    [anon_sym_SEMI] = ACTIONS(3404),
    [aux_sym_declare_statement_token1] = ACTIONS(3402),
    [aux_sym_set_statement_token1] = ACTIONS(3402),
    [anon_sym_LPAREN] = ACTIONS(3404),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(3402),
    [aux_sym_return_satement_token1] = ACTIONS(3402),
    [aux_sym_call_statement_token1] = ACTIONS(3402),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(3402),
    [aux_sym_if_statement_token1] = ACTIONS(3402),
    [aux_sym_loop_statement_token1] = ACTIONS(3402),
    [aux_sym_repeat_statement_token1] = ACTIONS(3402),
    [aux_sym_while_statement_token1] = ACTIONS(3402),
    [aux_sym_break_statement_token1] = ACTIONS(3402),
    [aux_sym_leave_statement_token1] = ACTIONS(3402),
    [aux_sym_continue_statement_token1] = ACTIONS(3402),
    [aux_sym_iterate_statement_token1] = ACTIONS(3402),
    [aux_sym_raise_statement_token1] = ACTIONS(3402),
    [aux_sym_assert_statement_token1] = ACTIONS(3402),
    [aux_sym_create_schema_statement_token1] = ACTIONS(3402),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(3402),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3402),
    [aux_sym_set_operation_token1] = ACTIONS(3402),
    [aux_sym_set_operation_token3] = ACTIONS(3402),
    [aux_sym_set_operation_token4] = ACTIONS(3402),
    [aux_sym_select_token1] = ACTIONS(3402),
    [aux_sym_having_clause_token1] = ACTIONS(3402),
    [aux_sym_qualify_clause_token1] = ACTIONS(3402),
    [aux_sym_limit_clause_token1] = ACTIONS(3402),
    [aux_sym_group_by_clause_token1] = ACTIONS(3402),
    [aux_sym_order_by_clause_token1] = ACTIONS(3402),
    [aux_sym_where_clause_token1] = ACTIONS(3402),
    [aux_sym_tablesample_operator_token1] = ACTIONS(3402),
    [aux_sym_insert_statement_token1] = ACTIONS(3402),
    [aux_sym_truncate_statement_token1] = ACTIONS(3402),
    [aux_sym_update_statement_token1] = ACTIONS(3402),
    [aux_sym_merge_statement_token1] = ACTIONS(3402),
    [aux_sym_grant_statement_token1] = ACTIONS(3402),
    [aux_sym_revoke_statement_token1] = ACTIONS(3402),
    [aux_sym_export_data_statement_token1] = ACTIONS(3402),
    [aux_sym_load_data_statement_token1] = ACTIONS(3402),
    [sym__quoted_identifier] = ACTIONS(363),
    [sym_comment] = ACTIONS(3),
  },
  [4506] = {
    [sym__keyword_as] = STATE(11489),
    [sym__keyword_date] = STATE(2335),
    [sym__keyword_datetime] = STATE(2335),
    [sym__keyword_time] = STATE(2335),
    [sym__keyword_timestamp] = STATE(2335),
    [sym_as_alias] = STATE(5419),
    [sym__type_chrono] = STATE(2336),
    [sym__identifier] = STATE(2405),
    [sym__dotted_identifier] = STATE(13807),
    [sym_identifier] = STATE(2317),
    [aux_sym_identifier_repeat1] = STATE(13807),
    [sym__unquoted_identifier] = ACTIONS(335),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3406),
    [aux_sym__keyword_alter_token1] = ACTIONS(3406),
    [aux_sym__keyword_delete_token1] = ACTIONS(3406),
    [aux_sym__keyword_begin_token1] = ACTIONS(3406),
    [aux_sym__keyword_end_token1] = ACTIONS(3406),
    [aux_sym__keyword_when_token1] = ACTIONS(3406),
    [aux_sym__keyword_else_token1] = ACTIONS(3406),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3406),
    [aux_sym__keyword_as_token1] = ACTIONS(353),
    [aux_sym__keyword_window_token1] = ACTIONS(3406),
    [aux_sym__keyword_date_token1] = ACTIONS(355),
    [aux_sym__keyword_datetime_token1] = ACTIONS(355),
    [aux_sym__keyword_time_token1] = ACTIONS(355),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(355),
    [aux_sym__keyword_for_token1] = ACTIONS(3406),
    [anon_sym_SEMI] = ACTIONS(3408),
    [aux_sym_declare_statement_token1] = ACTIONS(3406),
    [aux_sym_set_statement_token1] = ACTIONS(3406),
    [anon_sym_LPAREN] = ACTIONS(3408),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(3406),
    [aux_sym_return_satement_token1] = ACTIONS(3406),
    [aux_sym_call_statement_token1] = ACTIONS(3406),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(3406),
    [aux_sym_if_statement_token1] = ACTIONS(3406),
    [aux_sym_loop_statement_token1] = ACTIONS(3406),
    [aux_sym_repeat_statement_token1] = ACTIONS(3406),
    [aux_sym_while_statement_token1] = ACTIONS(3406),
    [aux_sym_break_statement_token1] = ACTIONS(3406),
    [aux_sym_leave_statement_token1] = ACTIONS(3406),
    [aux_sym_continue_statement_token1] = ACTIONS(3406),
    [aux_sym_iterate_statement_token1] = ACTIONS(3406),
    [aux_sym_raise_statement_token1] = ACTIONS(3406),
    [aux_sym_assert_statement_token1] = ACTIONS(3406),
    [aux_sym_create_schema_statement_token1] = ACTIONS(3406),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(3406),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3406),
    [aux_sym_set_operation_token1] = ACTIONS(3406),
    [aux_sym_set_operation_token3] = ACTIONS(3406),
    [aux_sym_set_operation_token4] = ACTIONS(3406),
    [aux_sym_select_token1] = ACTIONS(3406),
    [aux_sym_having_clause_token1] = ACTIONS(3406),
    [aux_sym_qualify_clause_token1] = ACTIONS(3406),
    [aux_sym_limit_clause_token1] = ACTIONS(3406),
    [aux_sym_group_by_clause_token1] = ACTIONS(3406),
    [aux_sym_order_by_clause_token1] = ACTIONS(3406),
    [aux_sym_where_clause_token1] = ACTIONS(3406),
    [aux_sym_tablesample_operator_token1] = ACTIONS(3406),
    [aux_sym_insert_statement_token1] = ACTIONS(3406),
    [aux_sym_truncate_statement_token1] = ACTIONS(3406),
    [aux_sym_update_statement_token1] = ACTIONS(3406),
    [aux_sym_merge_statement_token1] = ACTIONS(3406),
    [aux_sym_grant_statement_token1] = ACTIONS(3406),
    [aux_sym_revoke_statement_token1] = ACTIONS(3406),
    [aux_sym_export_data_statement_token1] = ACTIONS(3406),
    [aux_sym_load_data_statement_token1] = ACTIONS(3406),
    [sym__quoted_identifier] = ACTIONS(363),
    [sym_comment] = ACTIONS(3),
  },
  [4507] = {
    [ts_builtin_sym_end] = ACTIONS(1760),
    [sym__unquoted_identifier] = ACTIONS(1762),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1762),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1762),
    [aux_sym_keyword_replace_token1] = ACTIONS(1762),
    [aux_sym__keyword_alter_token1] = ACTIONS(1762),
    [aux_sym__keyword_delete_token1] = ACTIONS(1762),
    [aux_sym__keyword_begin_token1] = ACTIONS(1762),
    [aux_sym__keyword_between_token1] = ACTIONS(1762),
    [aux_sym__keyword_is_token1] = ACTIONS(1762),
    [aux_sym__keyword_in_token1] = ACTIONS(1762),
    [aux_sym__keyword_and_token1] = ACTIONS(1762),
    [aux_sym__keyword_like_token1] = ACTIONS(1762),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1762),
    [aux_sym__keyword_as_token1] = ACTIONS(1762),
    [aux_sym__keyword_date_token1] = ACTIONS(1762),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1762),
    [aux_sym__keyword_time_token1] = ACTIONS(1762),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1762),
    [aux_sym__keyword_for_token1] = ACTIONS(1762),
    [anon_sym_SEMI] = ACTIONS(1760),
    [aux_sym_declare_statement_token1] = ACTIONS(1762),
    [anon_sym_COMMA] = ACTIONS(1760),
    [aux_sym_set_statement_token1] = ACTIONS(1762),
    [anon_sym_LPAREN] = ACTIONS(1760),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1762),
    [aux_sym_return_satement_token1] = ACTIONS(1762),
    [aux_sym_call_statement_token1] = ACTIONS(1762),
    [aux_sym_loop_statement_token1] = ACTIONS(1762),
    [aux_sym_while_statement_token1] = ACTIONS(1762),
    [aux_sym_break_statement_token1] = ACTIONS(1762),
    [aux_sym_leave_statement_token1] = ACTIONS(1762),
    [aux_sym_continue_statement_token1] = ACTIONS(1762),
    [aux_sym_iterate_statement_token1] = ACTIONS(1762),
    [aux_sym_raise_statement_token1] = ACTIONS(1762),
    [anon_sym_EQ] = ACTIONS(1760),
    [aux_sym_assert_statement_token1] = ACTIONS(1762),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1762),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1762),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1762),
    [anon_sym_LT] = ACTIONS(1762),
    [anon_sym_GT] = ACTIONS(1762),
    [aux_sym_select_token1] = ACTIONS(1762),
    [aux_sym_insert_statement_token1] = ACTIONS(1762),
    [aux_sym_truncate_statement_token1] = ACTIONS(1762),
    [aux_sym_update_statement_token1] = ACTIONS(1762),
    [aux_sym_merge_statement_token1] = ACTIONS(1762),
    [aux_sym_grant_statement_token1] = ACTIONS(1762),
    [aux_sym_revoke_statement_token1] = ACTIONS(1762),
    [aux_sym_export_data_statement_token1] = ACTIONS(1762),
    [aux_sym_load_data_statement_token1] = ACTIONS(1762),
    [anon_sym_LBRACK] = ACTIONS(1760),
    [sym__quoted_identifier] = ACTIONS(1760),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1760),
    [anon_sym_PLUS] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1762),
    [anon_sym_STAR] = ACTIONS(1760),
    [anon_sym_SLASH] = ACTIONS(1762),
    [anon_sym_PIPE_PIPE] = ACTIONS(1760),
    [anon_sym_LT_EQ] = ACTIONS(1760),
    [anon_sym_LT_GT] = ACTIONS(1760),
    [anon_sym_GT_EQ] = ACTIONS(1760),
    [anon_sym_BANG_EQ] = ACTIONS(1760),
    [anon_sym_LT_LT] = ACTIONS(1760),
    [anon_sym_GT_GT] = ACTIONS(1760),
    [anon_sym_AMP] = ACTIONS(1760),
    [anon_sym_CARET] = ACTIONS(1760),
    [anon_sym_PIPE] = ACTIONS(1762),
  },
  [4508] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4509] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4510] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4511] = {
    [ts_builtin_sym_end] = ACTIONS(1756),
    [sym__unquoted_identifier] = ACTIONS(1758),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1758),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1758),
    [aux_sym_keyword_replace_token1] = ACTIONS(1758),
    [aux_sym__keyword_alter_token1] = ACTIONS(1758),
    [aux_sym__keyword_delete_token1] = ACTIONS(1758),
    [aux_sym__keyword_begin_token1] = ACTIONS(1758),
    [aux_sym__keyword_between_token1] = ACTIONS(1758),
    [aux_sym__keyword_is_token1] = ACTIONS(1758),
    [aux_sym__keyword_in_token1] = ACTIONS(1758),
    [aux_sym__keyword_and_token1] = ACTIONS(1758),
    [aux_sym__keyword_like_token1] = ACTIONS(1758),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1758),
    [aux_sym__keyword_as_token1] = ACTIONS(1758),
    [aux_sym__keyword_date_token1] = ACTIONS(1758),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1758),
    [aux_sym__keyword_time_token1] = ACTIONS(1758),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1758),
    [aux_sym__keyword_for_token1] = ACTIONS(1758),
    [anon_sym_SEMI] = ACTIONS(1756),
    [aux_sym_declare_statement_token1] = ACTIONS(1758),
    [anon_sym_COMMA] = ACTIONS(1756),
    [aux_sym_set_statement_token1] = ACTIONS(1758),
    [anon_sym_LPAREN] = ACTIONS(1756),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1758),
    [aux_sym_return_satement_token1] = ACTIONS(1758),
    [aux_sym_call_statement_token1] = ACTIONS(1758),
    [aux_sym_loop_statement_token1] = ACTIONS(1758),
    [aux_sym_while_statement_token1] = ACTIONS(1758),
    [aux_sym_break_statement_token1] = ACTIONS(1758),
    [aux_sym_leave_statement_token1] = ACTIONS(1758),
    [aux_sym_continue_statement_token1] = ACTIONS(1758),
    [aux_sym_iterate_statement_token1] = ACTIONS(1758),
    [aux_sym_raise_statement_token1] = ACTIONS(1758),
    [anon_sym_EQ] = ACTIONS(1756),
    [aux_sym_assert_statement_token1] = ACTIONS(1758),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1758),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1758),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1758),
    [anon_sym_LT] = ACTIONS(1758),
    [anon_sym_GT] = ACTIONS(1758),
    [aux_sym_select_token1] = ACTIONS(1758),
    [aux_sym_insert_statement_token1] = ACTIONS(1758),
    [aux_sym_truncate_statement_token1] = ACTIONS(1758),
    [aux_sym_update_statement_token1] = ACTIONS(1758),
    [aux_sym_merge_statement_token1] = ACTIONS(1758),
    [aux_sym_grant_statement_token1] = ACTIONS(1758),
    [aux_sym_revoke_statement_token1] = ACTIONS(1758),
    [aux_sym_export_data_statement_token1] = ACTIONS(1758),
    [aux_sym_load_data_statement_token1] = ACTIONS(1758),
    [anon_sym_LBRACK] = ACTIONS(1756),
    [sym__quoted_identifier] = ACTIONS(1756),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1756),
    [anon_sym_PLUS] = ACTIONS(1756),
    [anon_sym_DASH] = ACTIONS(1758),
    [anon_sym_STAR] = ACTIONS(1756),
    [anon_sym_SLASH] = ACTIONS(1758),
    [anon_sym_PIPE_PIPE] = ACTIONS(1756),
    [anon_sym_LT_EQ] = ACTIONS(1756),
    [anon_sym_LT_GT] = ACTIONS(1756),
    [anon_sym_GT_EQ] = ACTIONS(1756),
    [anon_sym_BANG_EQ] = ACTIONS(1756),
    [anon_sym_LT_LT] = ACTIONS(1756),
    [anon_sym_GT_GT] = ACTIONS(1756),
    [anon_sym_AMP] = ACTIONS(1756),
    [anon_sym_CARET] = ACTIONS(1756),
    [anon_sym_PIPE] = ACTIONS(1758),
  },
  [4512] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4513] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4514] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4515] = {
    [sym__keyword_as] = STATE(11489),
    [sym__keyword_date] = STATE(2335),
    [sym__keyword_datetime] = STATE(2335),
    [sym__keyword_time] = STATE(2335),
    [sym__keyword_timestamp] = STATE(2335),
    [sym_as_alias] = STATE(5401),
    [sym__type_chrono] = STATE(2336),
    [sym__identifier] = STATE(2405),
    [sym__dotted_identifier] = STATE(13807),
    [sym_identifier] = STATE(2317),
    [aux_sym_identifier_repeat1] = STATE(13807),
    [sym__unquoted_identifier] = ACTIONS(335),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3410),
    [aux_sym__keyword_alter_token1] = ACTIONS(3410),
    [aux_sym__keyword_delete_token1] = ACTIONS(3410),
    [aux_sym__keyword_begin_token1] = ACTIONS(3410),
    [aux_sym__keyword_end_token1] = ACTIONS(3410),
    [aux_sym__keyword_when_token1] = ACTIONS(3410),
    [aux_sym__keyword_else_token1] = ACTIONS(3410),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3410),
    [aux_sym__keyword_as_token1] = ACTIONS(353),
    [aux_sym__keyword_window_token1] = ACTIONS(3410),
    [aux_sym__keyword_date_token1] = ACTIONS(355),
    [aux_sym__keyword_datetime_token1] = ACTIONS(355),
    [aux_sym__keyword_time_token1] = ACTIONS(355),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(355),
    [aux_sym__keyword_for_token1] = ACTIONS(3410),
    [anon_sym_SEMI] = ACTIONS(3412),
    [aux_sym_declare_statement_token1] = ACTIONS(3410),
    [aux_sym_set_statement_token1] = ACTIONS(3410),
    [anon_sym_LPAREN] = ACTIONS(3412),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(3410),
    [aux_sym_return_satement_token1] = ACTIONS(3410),
    [aux_sym_call_statement_token1] = ACTIONS(3410),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(3410),
    [aux_sym_if_statement_token1] = ACTIONS(3410),
    [aux_sym_loop_statement_token1] = ACTIONS(3410),
    [aux_sym_repeat_statement_token1] = ACTIONS(3410),
    [aux_sym_while_statement_token1] = ACTIONS(3410),
    [aux_sym_break_statement_token1] = ACTIONS(3410),
    [aux_sym_leave_statement_token1] = ACTIONS(3410),
    [aux_sym_continue_statement_token1] = ACTIONS(3410),
    [aux_sym_iterate_statement_token1] = ACTIONS(3410),
    [aux_sym_raise_statement_token1] = ACTIONS(3410),
    [aux_sym_assert_statement_token1] = ACTIONS(3410),
    [aux_sym_create_schema_statement_token1] = ACTIONS(3410),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(3410),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3410),
    [aux_sym_set_operation_token1] = ACTIONS(3410),
    [aux_sym_set_operation_token3] = ACTIONS(3410),
    [aux_sym_set_operation_token4] = ACTIONS(3410),
    [aux_sym_select_token1] = ACTIONS(3410),
    [aux_sym_having_clause_token1] = ACTIONS(3410),
    [aux_sym_qualify_clause_token1] = ACTIONS(3410),
    [aux_sym_limit_clause_token1] = ACTIONS(3410),
    [aux_sym_group_by_clause_token1] = ACTIONS(3410),
    [aux_sym_order_by_clause_token1] = ACTIONS(3410),
    [aux_sym_where_clause_token1] = ACTIONS(3410),
    [aux_sym_tablesample_operator_token1] = ACTIONS(3410),
    [aux_sym_insert_statement_token1] = ACTIONS(3410),
    [aux_sym_truncate_statement_token1] = ACTIONS(3410),
    [aux_sym_update_statement_token1] = ACTIONS(3410),
    [aux_sym_merge_statement_token1] = ACTIONS(3410),
    [aux_sym_grant_statement_token1] = ACTIONS(3410),
    [aux_sym_revoke_statement_token1] = ACTIONS(3410),
    [aux_sym_export_data_statement_token1] = ACTIONS(3410),
    [aux_sym_load_data_statement_token1] = ACTIONS(3410),
    [sym__quoted_identifier] = ACTIONS(363),
    [sym_comment] = ACTIONS(3),
  },
  [4516] = {
    [ts_builtin_sym_end] = ACTIONS(1748),
    [sym__unquoted_identifier] = ACTIONS(1750),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1750),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1750),
    [aux_sym_keyword_replace_token1] = ACTIONS(1750),
    [aux_sym__keyword_alter_token1] = ACTIONS(1750),
    [aux_sym__keyword_delete_token1] = ACTIONS(1750),
    [aux_sym__keyword_begin_token1] = ACTIONS(1750),
    [aux_sym__keyword_between_token1] = ACTIONS(1750),
    [aux_sym__keyword_is_token1] = ACTIONS(1750),
    [aux_sym__keyword_in_token1] = ACTIONS(1750),
    [aux_sym__keyword_and_token1] = ACTIONS(1750),
    [aux_sym__keyword_like_token1] = ACTIONS(1750),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1750),
    [aux_sym__keyword_as_token1] = ACTIONS(1750),
    [aux_sym__keyword_date_token1] = ACTIONS(1750),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1750),
    [aux_sym__keyword_time_token1] = ACTIONS(1750),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1750),
    [aux_sym__keyword_for_token1] = ACTIONS(1750),
    [anon_sym_SEMI] = ACTIONS(1748),
    [aux_sym_declare_statement_token1] = ACTIONS(1750),
    [anon_sym_COMMA] = ACTIONS(1748),
    [aux_sym_set_statement_token1] = ACTIONS(1750),
    [anon_sym_LPAREN] = ACTIONS(1748),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1750),
    [aux_sym_return_satement_token1] = ACTIONS(1750),
    [aux_sym_call_statement_token1] = ACTIONS(1750),
    [aux_sym_loop_statement_token1] = ACTIONS(1750),
    [aux_sym_while_statement_token1] = ACTIONS(1750),
    [aux_sym_break_statement_token1] = ACTIONS(1750),
    [aux_sym_leave_statement_token1] = ACTIONS(1750),
    [aux_sym_continue_statement_token1] = ACTIONS(1750),
    [aux_sym_iterate_statement_token1] = ACTIONS(1750),
    [aux_sym_raise_statement_token1] = ACTIONS(1750),
    [anon_sym_EQ] = ACTIONS(1748),
    [aux_sym_assert_statement_token1] = ACTIONS(1750),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1750),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1750),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1750),
    [anon_sym_LT] = ACTIONS(1750),
    [anon_sym_GT] = ACTIONS(1750),
    [aux_sym_select_token1] = ACTIONS(1750),
    [aux_sym_insert_statement_token1] = ACTIONS(1750),
    [aux_sym_truncate_statement_token1] = ACTIONS(1750),
    [aux_sym_update_statement_token1] = ACTIONS(1750),
    [aux_sym_merge_statement_token1] = ACTIONS(1750),
    [aux_sym_grant_statement_token1] = ACTIONS(1750),
    [aux_sym_revoke_statement_token1] = ACTIONS(1750),
    [aux_sym_export_data_statement_token1] = ACTIONS(1750),
    [aux_sym_load_data_statement_token1] = ACTIONS(1750),
    [anon_sym_LBRACK] = ACTIONS(1748),
    [sym__quoted_identifier] = ACTIONS(1748),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1748),
    [anon_sym_PLUS] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1750),
    [anon_sym_STAR] = ACTIONS(1748),
    [anon_sym_SLASH] = ACTIONS(1750),
    [anon_sym_PIPE_PIPE] = ACTIONS(1748),
    [anon_sym_LT_EQ] = ACTIONS(1748),
    [anon_sym_LT_GT] = ACTIONS(1748),
    [anon_sym_GT_EQ] = ACTIONS(1748),
    [anon_sym_BANG_EQ] = ACTIONS(1748),
    [anon_sym_LT_LT] = ACTIONS(1748),
    [anon_sym_GT_GT] = ACTIONS(1748),
    [anon_sym_AMP] = ACTIONS(1748),
    [anon_sym_CARET] = ACTIONS(1748),
    [anon_sym_PIPE] = ACTIONS(1750),
  },
  [4517] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4518] = {
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_using_clause_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_pivot_operator_token1] = ACTIONS(1362),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1362),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1362),
    [aux_sym_join_type_token1] = ACTIONS(1362),
    [aux_sym_join_type_token2] = ACTIONS(1362),
    [aux_sym_join_type_token3] = ACTIONS(1362),
    [aux_sym_join_type_token4] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1362),
    [aux_sym_join_condition_token1] = ACTIONS(1362),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [4519] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4520] = {
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_using_clause_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_pivot_operator_token1] = ACTIONS(1362),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1362),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1362),
    [aux_sym_join_type_token1] = ACTIONS(1362),
    [aux_sym_join_type_token2] = ACTIONS(1362),
    [aux_sym_join_type_token3] = ACTIONS(1362),
    [aux_sym_join_type_token4] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1362),
    [aux_sym_join_condition_token1] = ACTIONS(1362),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [4521] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4522] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4523] = {
    [ts_builtin_sym_end] = ACTIONS(1744),
    [sym__unquoted_identifier] = ACTIONS(1746),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1746),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1746),
    [aux_sym_keyword_replace_token1] = ACTIONS(1746),
    [aux_sym__keyword_alter_token1] = ACTIONS(1746),
    [aux_sym__keyword_delete_token1] = ACTIONS(1746),
    [aux_sym__keyword_begin_token1] = ACTIONS(1746),
    [aux_sym__keyword_between_token1] = ACTIONS(1746),
    [aux_sym__keyword_is_token1] = ACTIONS(1746),
    [aux_sym__keyword_in_token1] = ACTIONS(1746),
    [aux_sym__keyword_and_token1] = ACTIONS(1746),
    [aux_sym__keyword_like_token1] = ACTIONS(1746),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1746),
    [aux_sym__keyword_as_token1] = ACTIONS(1746),
    [aux_sym__keyword_date_token1] = ACTIONS(1746),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1746),
    [aux_sym__keyword_time_token1] = ACTIONS(1746),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1746),
    [aux_sym__keyword_for_token1] = ACTIONS(1746),
    [anon_sym_SEMI] = ACTIONS(1744),
    [aux_sym_declare_statement_token1] = ACTIONS(1746),
    [anon_sym_COMMA] = ACTIONS(1744),
    [aux_sym_set_statement_token1] = ACTIONS(1746),
    [anon_sym_LPAREN] = ACTIONS(1744),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1746),
    [aux_sym_return_satement_token1] = ACTIONS(1746),
    [aux_sym_call_statement_token1] = ACTIONS(1746),
    [aux_sym_loop_statement_token1] = ACTIONS(1746),
    [aux_sym_while_statement_token1] = ACTIONS(1746),
    [aux_sym_break_statement_token1] = ACTIONS(1746),
    [aux_sym_leave_statement_token1] = ACTIONS(1746),
    [aux_sym_continue_statement_token1] = ACTIONS(1746),
    [aux_sym_iterate_statement_token1] = ACTIONS(1746),
    [aux_sym_raise_statement_token1] = ACTIONS(1746),
    [anon_sym_EQ] = ACTIONS(1744),
    [aux_sym_assert_statement_token1] = ACTIONS(1746),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1746),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1746),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1746),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1746),
    [aux_sym_select_token1] = ACTIONS(1746),
    [aux_sym_insert_statement_token1] = ACTIONS(1746),
    [aux_sym_truncate_statement_token1] = ACTIONS(1746),
    [aux_sym_update_statement_token1] = ACTIONS(1746),
    [aux_sym_merge_statement_token1] = ACTIONS(1746),
    [aux_sym_grant_statement_token1] = ACTIONS(1746),
    [aux_sym_revoke_statement_token1] = ACTIONS(1746),
    [aux_sym_export_data_statement_token1] = ACTIONS(1746),
    [aux_sym_load_data_statement_token1] = ACTIONS(1746),
    [anon_sym_LBRACK] = ACTIONS(1744),
    [sym__quoted_identifier] = ACTIONS(1744),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1744),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_STAR] = ACTIONS(1744),
    [anon_sym_SLASH] = ACTIONS(1746),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_LT_GT] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1744),
    [anon_sym_GT_GT] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1746),
  },
  [4524] = {
    [ts_builtin_sym_end] = ACTIONS(1740),
    [sym__unquoted_identifier] = ACTIONS(1742),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1742),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1742),
    [aux_sym_keyword_replace_token1] = ACTIONS(1742),
    [aux_sym__keyword_alter_token1] = ACTIONS(1742),
    [aux_sym__keyword_delete_token1] = ACTIONS(1742),
    [aux_sym__keyword_begin_token1] = ACTIONS(1742),
    [aux_sym__keyword_between_token1] = ACTIONS(1742),
    [aux_sym__keyword_is_token1] = ACTIONS(1742),
    [aux_sym__keyword_in_token1] = ACTIONS(1742),
    [aux_sym__keyword_and_token1] = ACTIONS(1742),
    [aux_sym__keyword_like_token1] = ACTIONS(1742),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1742),
    [aux_sym__keyword_as_token1] = ACTIONS(1742),
    [aux_sym__keyword_date_token1] = ACTIONS(1742),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1742),
    [aux_sym__keyword_time_token1] = ACTIONS(1742),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1742),
    [aux_sym__keyword_for_token1] = ACTIONS(1742),
    [anon_sym_SEMI] = ACTIONS(1740),
    [aux_sym_declare_statement_token1] = ACTIONS(1742),
    [anon_sym_COMMA] = ACTIONS(1740),
    [aux_sym_set_statement_token1] = ACTIONS(1742),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1742),
    [aux_sym_return_satement_token1] = ACTIONS(1742),
    [aux_sym_call_statement_token1] = ACTIONS(1742),
    [aux_sym_loop_statement_token1] = ACTIONS(1742),
    [aux_sym_while_statement_token1] = ACTIONS(1742),
    [aux_sym_break_statement_token1] = ACTIONS(1742),
    [aux_sym_leave_statement_token1] = ACTIONS(1742),
    [aux_sym_continue_statement_token1] = ACTIONS(1742),
    [aux_sym_iterate_statement_token1] = ACTIONS(1742),
    [aux_sym_raise_statement_token1] = ACTIONS(1742),
    [anon_sym_EQ] = ACTIONS(1740),
    [aux_sym_assert_statement_token1] = ACTIONS(1742),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1742),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1742),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1742),
    [anon_sym_LT] = ACTIONS(1742),
    [anon_sym_GT] = ACTIONS(1742),
    [aux_sym_select_token1] = ACTIONS(1742),
    [aux_sym_insert_statement_token1] = ACTIONS(1742),
    [aux_sym_truncate_statement_token1] = ACTIONS(1742),
    [aux_sym_update_statement_token1] = ACTIONS(1742),
    [aux_sym_merge_statement_token1] = ACTIONS(1742),
    [aux_sym_grant_statement_token1] = ACTIONS(1742),
    [aux_sym_revoke_statement_token1] = ACTIONS(1742),
    [aux_sym_export_data_statement_token1] = ACTIONS(1742),
    [aux_sym_load_data_statement_token1] = ACTIONS(1742),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [sym__quoted_identifier] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1740),
    [anon_sym_SLASH] = ACTIONS(1742),
    [anon_sym_PIPE_PIPE] = ACTIONS(1740),
    [anon_sym_LT_EQ] = ACTIONS(1740),
    [anon_sym_LT_GT] = ACTIONS(1740),
    [anon_sym_GT_EQ] = ACTIONS(1740),
    [anon_sym_BANG_EQ] = ACTIONS(1740),
    [anon_sym_LT_LT] = ACTIONS(1740),
    [anon_sym_GT_GT] = ACTIONS(1740),
    [anon_sym_AMP] = ACTIONS(1740),
    [anon_sym_CARET] = ACTIONS(1740),
    [anon_sym_PIPE] = ACTIONS(1742),
  },
  [4525] = {
    [ts_builtin_sym_end] = ACTIONS(1736),
    [sym__unquoted_identifier] = ACTIONS(1738),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1738),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1738),
    [aux_sym_keyword_replace_token1] = ACTIONS(1738),
    [aux_sym__keyword_alter_token1] = ACTIONS(1738),
    [aux_sym__keyword_delete_token1] = ACTIONS(1738),
    [aux_sym__keyword_begin_token1] = ACTIONS(1738),
    [aux_sym__keyword_between_token1] = ACTIONS(1738),
    [aux_sym__keyword_is_token1] = ACTIONS(1738),
    [aux_sym__keyword_in_token1] = ACTIONS(1738),
    [aux_sym__keyword_and_token1] = ACTIONS(1738),
    [aux_sym__keyword_like_token1] = ACTIONS(1738),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1738),
    [aux_sym__keyword_as_token1] = ACTIONS(1738),
    [aux_sym__keyword_date_token1] = ACTIONS(1738),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1738),
    [aux_sym__keyword_time_token1] = ACTIONS(1738),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1738),
    [aux_sym__keyword_for_token1] = ACTIONS(1738),
    [anon_sym_SEMI] = ACTIONS(1736),
    [aux_sym_declare_statement_token1] = ACTIONS(1738),
    [anon_sym_COMMA] = ACTIONS(1736),
    [aux_sym_set_statement_token1] = ACTIONS(1738),
    [anon_sym_LPAREN] = ACTIONS(1736),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1738),
    [aux_sym_return_satement_token1] = ACTIONS(1738),
    [aux_sym_call_statement_token1] = ACTIONS(1738),
    [aux_sym_loop_statement_token1] = ACTIONS(1738),
    [aux_sym_while_statement_token1] = ACTIONS(1738),
    [aux_sym_break_statement_token1] = ACTIONS(1738),
    [aux_sym_leave_statement_token1] = ACTIONS(1738),
    [aux_sym_continue_statement_token1] = ACTIONS(1738),
    [aux_sym_iterate_statement_token1] = ACTIONS(1738),
    [aux_sym_raise_statement_token1] = ACTIONS(1738),
    [anon_sym_EQ] = ACTIONS(1736),
    [aux_sym_assert_statement_token1] = ACTIONS(1738),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1738),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1738),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1738),
    [anon_sym_LT] = ACTIONS(1738),
    [anon_sym_GT] = ACTIONS(1738),
    [aux_sym_select_token1] = ACTIONS(1738),
    [aux_sym_insert_statement_token1] = ACTIONS(1738),
    [aux_sym_truncate_statement_token1] = ACTIONS(1738),
    [aux_sym_update_statement_token1] = ACTIONS(1738),
    [aux_sym_merge_statement_token1] = ACTIONS(1738),
    [aux_sym_grant_statement_token1] = ACTIONS(1738),
    [aux_sym_revoke_statement_token1] = ACTIONS(1738),
    [aux_sym_export_data_statement_token1] = ACTIONS(1738),
    [aux_sym_load_data_statement_token1] = ACTIONS(1738),
    [anon_sym_LBRACK] = ACTIONS(1736),
    [sym__quoted_identifier] = ACTIONS(1736),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1736),
    [anon_sym_PLUS] = ACTIONS(1736),
    [anon_sym_DASH] = ACTIONS(1738),
    [anon_sym_STAR] = ACTIONS(1736),
    [anon_sym_SLASH] = ACTIONS(1738),
    [anon_sym_PIPE_PIPE] = ACTIONS(1736),
    [anon_sym_LT_EQ] = ACTIONS(1736),
    [anon_sym_LT_GT] = ACTIONS(1736),
    [anon_sym_GT_EQ] = ACTIONS(1736),
    [anon_sym_BANG_EQ] = ACTIONS(1736),
    [anon_sym_LT_LT] = ACTIONS(1736),
    [anon_sym_GT_GT] = ACTIONS(1736),
    [anon_sym_AMP] = ACTIONS(1736),
    [anon_sym_CARET] = ACTIONS(1736),
    [anon_sym_PIPE] = ACTIONS(1738),
  },
  [4526] = {
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_using_clause_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_pivot_operator_token1] = ACTIONS(1362),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1362),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1362),
    [aux_sym_join_type_token1] = ACTIONS(1362),
    [aux_sym_join_type_token2] = ACTIONS(1362),
    [aux_sym_join_type_token3] = ACTIONS(1362),
    [aux_sym_join_type_token4] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1362),
    [aux_sym_join_condition_token1] = ACTIONS(1362),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [4527] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4528] = {
    [ts_builtin_sym_end] = ACTIONS(1732),
    [sym__unquoted_identifier] = ACTIONS(1734),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1734),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1734),
    [aux_sym_keyword_replace_token1] = ACTIONS(1734),
    [aux_sym__keyword_alter_token1] = ACTIONS(1734),
    [aux_sym__keyword_delete_token1] = ACTIONS(1734),
    [aux_sym__keyword_begin_token1] = ACTIONS(1734),
    [aux_sym__keyword_between_token1] = ACTIONS(1734),
    [aux_sym__keyword_is_token1] = ACTIONS(1734),
    [aux_sym__keyword_in_token1] = ACTIONS(1734),
    [aux_sym__keyword_and_token1] = ACTIONS(1734),
    [aux_sym__keyword_like_token1] = ACTIONS(1734),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1734),
    [aux_sym__keyword_as_token1] = ACTIONS(1734),
    [aux_sym__keyword_date_token1] = ACTIONS(1734),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1734),
    [aux_sym__keyword_time_token1] = ACTIONS(1734),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1734),
    [aux_sym__keyword_for_token1] = ACTIONS(1734),
    [anon_sym_SEMI] = ACTIONS(1732),
    [aux_sym_declare_statement_token1] = ACTIONS(1734),
    [anon_sym_COMMA] = ACTIONS(1732),
    [aux_sym_set_statement_token1] = ACTIONS(1734),
    [anon_sym_LPAREN] = ACTIONS(1732),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1734),
    [aux_sym_return_satement_token1] = ACTIONS(1734),
    [aux_sym_call_statement_token1] = ACTIONS(1734),
    [aux_sym_loop_statement_token1] = ACTIONS(1734),
    [aux_sym_while_statement_token1] = ACTIONS(1734),
    [aux_sym_break_statement_token1] = ACTIONS(1734),
    [aux_sym_leave_statement_token1] = ACTIONS(1734),
    [aux_sym_continue_statement_token1] = ACTIONS(1734),
    [aux_sym_iterate_statement_token1] = ACTIONS(1734),
    [aux_sym_raise_statement_token1] = ACTIONS(1734),
    [anon_sym_EQ] = ACTIONS(1732),
    [aux_sym_assert_statement_token1] = ACTIONS(1734),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1734),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1734),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1734),
    [anon_sym_LT] = ACTIONS(1734),
    [anon_sym_GT] = ACTIONS(1734),
    [aux_sym_select_token1] = ACTIONS(1734),
    [aux_sym_insert_statement_token1] = ACTIONS(1734),
    [aux_sym_truncate_statement_token1] = ACTIONS(1734),
    [aux_sym_update_statement_token1] = ACTIONS(1734),
    [aux_sym_merge_statement_token1] = ACTIONS(1734),
    [aux_sym_grant_statement_token1] = ACTIONS(1734),
    [aux_sym_revoke_statement_token1] = ACTIONS(1734),
    [aux_sym_export_data_statement_token1] = ACTIONS(1734),
    [aux_sym_load_data_statement_token1] = ACTIONS(1734),
    [anon_sym_LBRACK] = ACTIONS(1732),
    [sym__quoted_identifier] = ACTIONS(1732),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1732),
    [anon_sym_PLUS] = ACTIONS(1732),
    [anon_sym_DASH] = ACTIONS(1734),
    [anon_sym_STAR] = ACTIONS(1732),
    [anon_sym_SLASH] = ACTIONS(1734),
    [anon_sym_PIPE_PIPE] = ACTIONS(1732),
    [anon_sym_LT_EQ] = ACTIONS(1732),
    [anon_sym_LT_GT] = ACTIONS(1732),
    [anon_sym_GT_EQ] = ACTIONS(1732),
    [anon_sym_BANG_EQ] = ACTIONS(1732),
    [anon_sym_LT_LT] = ACTIONS(1732),
    [anon_sym_GT_GT] = ACTIONS(1732),
    [anon_sym_AMP] = ACTIONS(1732),
    [anon_sym_CARET] = ACTIONS(1732),
    [anon_sym_PIPE] = ACTIONS(1734),
  },
  [4529] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4530] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4531] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1366),
    [aux_sym_keyword_replace_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_between_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1366),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1366),
    [aux_sym__keyword_like_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4532] = {
    [ts_builtin_sym_end] = ACTIONS(1598),
    [sym__unquoted_identifier] = ACTIONS(1600),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1600),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1600),
    [aux_sym_keyword_replace_token1] = ACTIONS(1600),
    [aux_sym__keyword_alter_token1] = ACTIONS(1600),
    [aux_sym__keyword_delete_token1] = ACTIONS(1600),
    [aux_sym__keyword_begin_token1] = ACTIONS(1600),
    [aux_sym__keyword_between_token1] = ACTIONS(1600),
    [aux_sym__keyword_is_token1] = ACTIONS(1600),
    [aux_sym__keyword_in_token1] = ACTIONS(1600),
    [aux_sym__keyword_and_token1] = ACTIONS(1600),
    [aux_sym__keyword_like_token1] = ACTIONS(1600),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1600),
    [aux_sym__keyword_as_token1] = ACTIONS(1600),
    [aux_sym__keyword_date_token1] = ACTIONS(1600),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1600),
    [aux_sym__keyword_time_token1] = ACTIONS(1600),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1600),
    [aux_sym__keyword_for_token1] = ACTIONS(1600),
    [anon_sym_SEMI] = ACTIONS(1598),
    [aux_sym_declare_statement_token1] = ACTIONS(1600),
    [anon_sym_COMMA] = ACTIONS(1598),
    [aux_sym_set_statement_token1] = ACTIONS(1600),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1600),
    [aux_sym_return_satement_token1] = ACTIONS(1600),
    [aux_sym_call_statement_token1] = ACTIONS(1600),
    [aux_sym_loop_statement_token1] = ACTIONS(1600),
    [aux_sym_while_statement_token1] = ACTIONS(1600),
    [aux_sym_break_statement_token1] = ACTIONS(1600),
    [aux_sym_leave_statement_token1] = ACTIONS(1600),
    [aux_sym_continue_statement_token1] = ACTIONS(1600),
    [aux_sym_iterate_statement_token1] = ACTIONS(1600),
    [aux_sym_raise_statement_token1] = ACTIONS(1600),
    [anon_sym_EQ] = ACTIONS(1598),
    [aux_sym_assert_statement_token1] = ACTIONS(1600),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1600),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1600),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1600),
    [anon_sym_LT] = ACTIONS(1600),
    [anon_sym_GT] = ACTIONS(1600),
    [aux_sym_select_token1] = ACTIONS(1600),
    [aux_sym_insert_statement_token1] = ACTIONS(1600),
    [aux_sym_truncate_statement_token1] = ACTIONS(1600),
    [aux_sym_update_statement_token1] = ACTIONS(1600),
    [aux_sym_merge_statement_token1] = ACTIONS(1600),
    [aux_sym_grant_statement_token1] = ACTIONS(1600),
    [aux_sym_revoke_statement_token1] = ACTIONS(1600),
    [aux_sym_export_data_statement_token1] = ACTIONS(1600),
    [aux_sym_load_data_statement_token1] = ACTIONS(1600),
    [anon_sym_LBRACK] = ACTIONS(1598),
    [sym__quoted_identifier] = ACTIONS(1598),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1598),
    [anon_sym_PLUS] = ACTIONS(1598),
    [anon_sym_DASH] = ACTIONS(1600),
    [anon_sym_STAR] = ACTIONS(1598),
    [anon_sym_SLASH] = ACTIONS(1600),
    [anon_sym_PIPE_PIPE] = ACTIONS(1598),
    [anon_sym_LT_EQ] = ACTIONS(1598),
    [anon_sym_LT_GT] = ACTIONS(1598),
    [anon_sym_GT_EQ] = ACTIONS(1598),
    [anon_sym_BANG_EQ] = ACTIONS(1598),
    [anon_sym_LT_LT] = ACTIONS(1598),
    [anon_sym_GT_GT] = ACTIONS(1598),
    [anon_sym_AMP] = ACTIONS(1598),
    [anon_sym_CARET] = ACTIONS(1598),
    [anon_sym_PIPE] = ACTIONS(1600),
  },
  [4533] = {
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_end_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_using_clause_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_repeat_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_pivot_operator_token1] = ACTIONS(1362),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1362),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1362),
    [aux_sym_join_type_token1] = ACTIONS(1362),
    [aux_sym_join_type_token2] = ACTIONS(1362),
    [aux_sym_join_type_token3] = ACTIONS(1362),
    [aux_sym_join_type_token4] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1362),
    [aux_sym_join_condition_token1] = ACTIONS(1362),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [4534] = {
    [ts_builtin_sym_end] = ACTIONS(1382),
    [sym__unquoted_identifier] = ACTIONS(1384),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1384),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1384),
    [aux_sym_keyword_replace_token1] = ACTIONS(1384),
    [aux_sym__keyword_alter_token1] = ACTIONS(1384),
    [aux_sym__keyword_delete_token1] = ACTIONS(1384),
    [aux_sym__keyword_begin_token1] = ACTIONS(1384),
    [aux_sym__keyword_between_token1] = ACTIONS(1384),
    [aux_sym__keyword_is_token1] = ACTIONS(1384),
    [aux_sym__keyword_in_token1] = ACTIONS(1384),
    [aux_sym__keyword_and_token1] = ACTIONS(1384),
    [aux_sym__keyword_like_token1] = ACTIONS(1384),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1384),
    [aux_sym__keyword_as_token1] = ACTIONS(1384),
    [aux_sym__keyword_date_token1] = ACTIONS(1384),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1384),
    [aux_sym__keyword_time_token1] = ACTIONS(1384),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1384),
    [aux_sym__keyword_for_token1] = ACTIONS(1384),
    [anon_sym_SEMI] = ACTIONS(1382),
    [aux_sym_declare_statement_token1] = ACTIONS(1384),
    [anon_sym_COMMA] = ACTIONS(1382),
    [aux_sym_set_statement_token1] = ACTIONS(1384),
    [anon_sym_LPAREN] = ACTIONS(1382),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1384),
    [aux_sym_return_satement_token1] = ACTIONS(1384),
    [aux_sym_call_statement_token1] = ACTIONS(1384),
    [aux_sym_loop_statement_token1] = ACTIONS(1384),
    [aux_sym_while_statement_token1] = ACTIONS(1384),
    [aux_sym_break_statement_token1] = ACTIONS(1384),
    [aux_sym_leave_statement_token1] = ACTIONS(1384),
    [aux_sym_continue_statement_token1] = ACTIONS(1384),
    [aux_sym_iterate_statement_token1] = ACTIONS(1384),
    [aux_sym_raise_statement_token1] = ACTIONS(1384),
    [anon_sym_EQ] = ACTIONS(1382),
    [aux_sym_assert_statement_token1] = ACTIONS(1384),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1384),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1384),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1384),
    [anon_sym_LT] = ACTIONS(1384),
    [anon_sym_GT] = ACTIONS(1384),
    [aux_sym_select_token1] = ACTIONS(1384),
    [aux_sym_insert_statement_token1] = ACTIONS(1384),
    [aux_sym_truncate_statement_token1] = ACTIONS(1384),
    [aux_sym_update_statement_token1] = ACTIONS(1384),
    [aux_sym_merge_statement_token1] = ACTIONS(1384),
    [aux_sym_grant_statement_token1] = ACTIONS(1384),
    [aux_sym_revoke_statement_token1] = ACTIONS(1384),
    [aux_sym_export_data_statement_token1] = ACTIONS(1384),
    [aux_sym_load_data_statement_token1] = ACTIONS(1384),
    [anon_sym_LBRACK] = ACTIONS(1382),
    [sym__quoted_identifier] = ACTIONS(1382),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1382),
    [anon_sym_PLUS] = ACTIONS(1382),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_STAR] = ACTIONS(1382),
    [anon_sym_SLASH] = ACTIONS(1384),
    [anon_sym_PIPE_PIPE] = ACTIONS(1382),
    [anon_sym_LT_EQ] = ACTIONS(1382),
    [anon_sym_LT_GT] = ACTIONS(1382),
    [anon_sym_GT_EQ] = ACTIONS(1382),
    [anon_sym_BANG_EQ] = ACTIONS(1382),
    [anon_sym_LT_LT] = ACTIONS(1382),
    [anon_sym_GT_GT] = ACTIONS(1382),
    [anon_sym_AMP] = ACTIONS(1382),
    [anon_sym_CARET] = ACTIONS(1382),
    [anon_sym_PIPE] = ACTIONS(1384),
  },
  [4535] = {
    [ts_builtin_sym_end] = ACTIONS(1390),
    [sym__unquoted_identifier] = ACTIONS(1392),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1392),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1392),
    [aux_sym_keyword_replace_token1] = ACTIONS(1392),
    [aux_sym__keyword_alter_token1] = ACTIONS(1392),
    [aux_sym__keyword_delete_token1] = ACTIONS(1392),
    [aux_sym__keyword_begin_token1] = ACTIONS(1392),
    [aux_sym__keyword_between_token1] = ACTIONS(1392),
    [aux_sym__keyword_is_token1] = ACTIONS(1392),
    [aux_sym__keyword_in_token1] = ACTIONS(1392),
    [aux_sym__keyword_and_token1] = ACTIONS(1392),
    [aux_sym__keyword_like_token1] = ACTIONS(1392),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1392),
    [aux_sym__keyword_as_token1] = ACTIONS(1392),
    [aux_sym__keyword_date_token1] = ACTIONS(1392),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1392),
    [aux_sym__keyword_time_token1] = ACTIONS(1392),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1392),
    [aux_sym__keyword_for_token1] = ACTIONS(1392),
    [anon_sym_SEMI] = ACTIONS(1390),
    [aux_sym_declare_statement_token1] = ACTIONS(1392),
    [anon_sym_COMMA] = ACTIONS(1390),
    [aux_sym_set_statement_token1] = ACTIONS(1392),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1392),
    [aux_sym_return_satement_token1] = ACTIONS(1392),
    [aux_sym_call_statement_token1] = ACTIONS(1392),
    [aux_sym_loop_statement_token1] = ACTIONS(1392),
    [aux_sym_while_statement_token1] = ACTIONS(1392),
    [aux_sym_break_statement_token1] = ACTIONS(1392),
    [aux_sym_leave_statement_token1] = ACTIONS(1392),
    [aux_sym_continue_statement_token1] = ACTIONS(1392),
    [aux_sym_iterate_statement_token1] = ACTIONS(1392),
    [aux_sym_raise_statement_token1] = ACTIONS(1392),
    [anon_sym_EQ] = ACTIONS(1390),
    [aux_sym_assert_statement_token1] = ACTIONS(1392),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1392),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1392),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1392),
    [anon_sym_LT] = ACTIONS(1392),
    [anon_sym_GT] = ACTIONS(1392),
    [aux_sym_select_token1] = ACTIONS(1392),
    [aux_sym_insert_statement_token1] = ACTIONS(1392),
    [aux_sym_truncate_statement_token1] = ACTIONS(1392),
    [aux_sym_update_statement_token1] = ACTIONS(1392),
    [aux_sym_merge_statement_token1] = ACTIONS(1392),
    [aux_sym_grant_statement_token1] = ACTIONS(1392),
    [aux_sym_revoke_statement_token1] = ACTIONS(1392),
    [aux_sym_export_data_statement_token1] = ACTIONS(1392),
    [aux_sym_load_data_statement_token1] = ACTIONS(1392),
    [anon_sym_LBRACK] = ACTIONS(1390),
    [sym__quoted_identifier] = ACTIONS(1390),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_DASH] = ACTIONS(1392),
    [anon_sym_STAR] = ACTIONS(1390),
    [anon_sym_SLASH] = ACTIONS(1392),
    [anon_sym_PIPE_PIPE] = ACTIONS(1390),
    [anon_sym_LT_EQ] = ACTIONS(1390),
    [anon_sym_LT_GT] = ACTIONS(1390),
    [anon_sym_GT_EQ] = ACTIONS(1390),
    [anon_sym_BANG_EQ] = ACTIONS(1390),
    [anon_sym_LT_LT] = ACTIONS(1390),
    [anon_sym_GT_GT] = ACTIONS(1390),
    [anon_sym_AMP] = ACTIONS(1390),
    [anon_sym_CARET] = ACTIONS(1390),
    [anon_sym_PIPE] = ACTIONS(1392),
  },
  [4536] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [4537] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [4538] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [4539] = {
    [sym__unquoted_identifier] = ACTIONS(1388),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1388),
    [aux_sym__keyword_alter_token1] = ACTIONS(1388),
    [aux_sym__keyword_delete_token1] = ACTIONS(1388),
    [aux_sym__keyword_begin_token1] = ACTIONS(1388),
    [aux_sym__keyword_end_token1] = ACTIONS(1388),
    [aux_sym__keyword_when_token1] = ACTIONS(1388),
    [aux_sym__keyword_else_token1] = ACTIONS(1388),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1388),
    [aux_sym__keyword_as_token1] = ACTIONS(1388),
    [aux_sym__keyword_window_token1] = ACTIONS(1388),
    [aux_sym__keyword_date_token1] = ACTIONS(1388),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1388),
    [aux_sym__keyword_time_token1] = ACTIONS(1388),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1388),
    [aux_sym__keyword_for_token1] = ACTIONS(1388),
    [anon_sym_SEMI] = ACTIONS(1386),
    [aux_sym_declare_statement_token1] = ACTIONS(1388),
    [anon_sym_COMMA] = ACTIONS(1386),
    [aux_sym_set_statement_token1] = ACTIONS(1388),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1388),
    [aux_sym_using_clause_token1] = ACTIONS(1388),
    [aux_sym_return_satement_token1] = ACTIONS(1388),
    [aux_sym_call_statement_token1] = ACTIONS(1388),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1388),
    [aux_sym_if_statement_token1] = ACTIONS(1388),
    [aux_sym_loop_statement_token1] = ACTIONS(1388),
    [aux_sym_repeat_statement_token1] = ACTIONS(1388),
    [aux_sym_while_statement_token1] = ACTIONS(1388),
    [aux_sym_break_statement_token1] = ACTIONS(1388),
    [aux_sym_leave_statement_token1] = ACTIONS(1388),
    [aux_sym_continue_statement_token1] = ACTIONS(1388),
    [aux_sym_iterate_statement_token1] = ACTIONS(1388),
    [aux_sym_raise_statement_token1] = ACTIONS(1388),
    [aux_sym_assert_statement_token1] = ACTIONS(1388),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1388),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1388),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1388),
    [aux_sym_set_operation_token1] = ACTIONS(1388),
    [aux_sym_set_operation_token3] = ACTIONS(1388),
    [aux_sym_set_operation_token4] = ACTIONS(1388),
    [aux_sym_select_token1] = ACTIONS(1388),
    [aux_sym_having_clause_token1] = ACTIONS(1388),
    [aux_sym_qualify_clause_token1] = ACTIONS(1388),
    [aux_sym_limit_clause_token1] = ACTIONS(1388),
    [aux_sym_group_by_clause_token1] = ACTIONS(1388),
    [aux_sym_order_by_clause_token1] = ACTIONS(1388),
    [aux_sym_where_clause_token1] = ACTIONS(1388),
    [aux_sym_pivot_operator_token1] = ACTIONS(1388),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1388),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1388),
    [aux_sym_join_type_token1] = ACTIONS(1388),
    [aux_sym_join_type_token2] = ACTIONS(1388),
    [aux_sym_join_type_token3] = ACTIONS(1388),
    [aux_sym_join_type_token4] = ACTIONS(1388),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1388),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1388),
    [aux_sym_join_condition_token1] = ACTIONS(1388),
    [aux_sym_insert_statement_token1] = ACTIONS(1388),
    [aux_sym_truncate_statement_token1] = ACTIONS(1388),
    [aux_sym_update_statement_token1] = ACTIONS(1388),
    [aux_sym_merge_statement_token1] = ACTIONS(1388),
    [aux_sym_grant_statement_token1] = ACTIONS(1388),
    [aux_sym_revoke_statement_token1] = ACTIONS(1388),
    [aux_sym_export_data_statement_token1] = ACTIONS(1388),
    [aux_sym_load_data_statement_token1] = ACTIONS(1388),
    [sym__quoted_identifier] = ACTIONS(1386),
    [sym_comment] = ACTIONS(3),
  },
  [4540] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [4541] = {
    [ts_builtin_sym_end] = ACTIONS(1728),
    [sym__unquoted_identifier] = ACTIONS(1730),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1730),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1730),
    [aux_sym_keyword_replace_token1] = ACTIONS(1730),
    [aux_sym__keyword_alter_token1] = ACTIONS(1730),
    [aux_sym__keyword_delete_token1] = ACTIONS(1730),
    [aux_sym__keyword_begin_token1] = ACTIONS(1730),
    [aux_sym__keyword_between_token1] = ACTIONS(1730),
    [aux_sym__keyword_is_token1] = ACTIONS(1730),
    [aux_sym__keyword_in_token1] = ACTIONS(1730),
    [aux_sym__keyword_and_token1] = ACTIONS(1730),
    [aux_sym__keyword_like_token1] = ACTIONS(1730),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1730),
    [aux_sym__keyword_as_token1] = ACTIONS(1730),
    [aux_sym__keyword_date_token1] = ACTIONS(1730),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1730),
    [aux_sym__keyword_time_token1] = ACTIONS(1730),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1730),
    [aux_sym__keyword_for_token1] = ACTIONS(1730),
    [anon_sym_SEMI] = ACTIONS(1728),
    [aux_sym_declare_statement_token1] = ACTIONS(1730),
    [anon_sym_COMMA] = ACTIONS(1728),
    [aux_sym_set_statement_token1] = ACTIONS(1730),
    [anon_sym_LPAREN] = ACTIONS(1728),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1730),
    [aux_sym_return_satement_token1] = ACTIONS(1730),
    [aux_sym_call_statement_token1] = ACTIONS(1730),
    [aux_sym_loop_statement_token1] = ACTIONS(1730),
    [aux_sym_while_statement_token1] = ACTIONS(1730),
    [aux_sym_break_statement_token1] = ACTIONS(1730),
    [aux_sym_leave_statement_token1] = ACTIONS(1730),
    [aux_sym_continue_statement_token1] = ACTIONS(1730),
    [aux_sym_iterate_statement_token1] = ACTIONS(1730),
    [aux_sym_raise_statement_token1] = ACTIONS(1730),
    [anon_sym_EQ] = ACTIONS(1728),
    [aux_sym_assert_statement_token1] = ACTIONS(1730),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1730),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1730),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1730),
    [anon_sym_LT] = ACTIONS(1730),
    [anon_sym_GT] = ACTIONS(1730),
    [aux_sym_select_token1] = ACTIONS(1730),
    [aux_sym_insert_statement_token1] = ACTIONS(1730),
    [aux_sym_truncate_statement_token1] = ACTIONS(1730),
    [aux_sym_update_statement_token1] = ACTIONS(1730),
    [aux_sym_merge_statement_token1] = ACTIONS(1730),
    [aux_sym_grant_statement_token1] = ACTIONS(1730),
    [aux_sym_revoke_statement_token1] = ACTIONS(1730),
    [aux_sym_export_data_statement_token1] = ACTIONS(1730),
    [aux_sym_load_data_statement_token1] = ACTIONS(1730),
    [anon_sym_LBRACK] = ACTIONS(1728),
    [sym__quoted_identifier] = ACTIONS(1728),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1728),
    [anon_sym_DASH] = ACTIONS(1730),
    [anon_sym_STAR] = ACTIONS(1728),
    [anon_sym_SLASH] = ACTIONS(1730),
    [anon_sym_PIPE_PIPE] = ACTIONS(1728),
    [anon_sym_LT_EQ] = ACTIONS(1728),
    [anon_sym_LT_GT] = ACTIONS(1728),
    [anon_sym_GT_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ] = ACTIONS(1728),
    [anon_sym_LT_LT] = ACTIONS(1728),
    [anon_sym_GT_GT] = ACTIONS(1728),
    [anon_sym_AMP] = ACTIONS(1728),
    [anon_sym_CARET] = ACTIONS(1728),
    [anon_sym_PIPE] = ACTIONS(1730),
  },
  [4542] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [4543] = {
    [ts_builtin_sym_end] = ACTIONS(1724),
    [sym__unquoted_identifier] = ACTIONS(1726),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1726),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1726),
    [aux_sym_keyword_replace_token1] = ACTIONS(1726),
    [aux_sym__keyword_alter_token1] = ACTIONS(1726),
    [aux_sym__keyword_delete_token1] = ACTIONS(1726),
    [aux_sym__keyword_begin_token1] = ACTIONS(1726),
    [aux_sym__keyword_between_token1] = ACTIONS(1726),
    [aux_sym__keyword_is_token1] = ACTIONS(1726),
    [aux_sym__keyword_in_token1] = ACTIONS(1726),
    [aux_sym__keyword_and_token1] = ACTIONS(1726),
    [aux_sym__keyword_like_token1] = ACTIONS(1726),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1726),
    [aux_sym__keyword_as_token1] = ACTIONS(1726),
    [aux_sym__keyword_date_token1] = ACTIONS(1726),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1726),
    [aux_sym__keyword_time_token1] = ACTIONS(1726),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1726),
    [aux_sym__keyword_for_token1] = ACTIONS(1726),
    [anon_sym_SEMI] = ACTIONS(1724),
    [aux_sym_declare_statement_token1] = ACTIONS(1726),
    [anon_sym_COMMA] = ACTIONS(1724),
    [aux_sym_set_statement_token1] = ACTIONS(1726),
    [anon_sym_LPAREN] = ACTIONS(1724),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1726),
    [aux_sym_return_satement_token1] = ACTIONS(1726),
    [aux_sym_call_statement_token1] = ACTIONS(1726),
    [aux_sym_loop_statement_token1] = ACTIONS(1726),
    [aux_sym_while_statement_token1] = ACTIONS(1726),
    [aux_sym_break_statement_token1] = ACTIONS(1726),
    [aux_sym_leave_statement_token1] = ACTIONS(1726),
    [aux_sym_continue_statement_token1] = ACTIONS(1726),
    [aux_sym_iterate_statement_token1] = ACTIONS(1726),
    [aux_sym_raise_statement_token1] = ACTIONS(1726),
    [anon_sym_EQ] = ACTIONS(1724),
    [aux_sym_assert_statement_token1] = ACTIONS(1726),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1726),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1726),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1726),
    [anon_sym_LT] = ACTIONS(1726),
    [anon_sym_GT] = ACTIONS(1726),
    [aux_sym_select_token1] = ACTIONS(1726),
    [aux_sym_insert_statement_token1] = ACTIONS(1726),
    [aux_sym_truncate_statement_token1] = ACTIONS(1726),
    [aux_sym_update_statement_token1] = ACTIONS(1726),
    [aux_sym_merge_statement_token1] = ACTIONS(1726),
    [aux_sym_grant_statement_token1] = ACTIONS(1726),
    [aux_sym_revoke_statement_token1] = ACTIONS(1726),
    [aux_sym_export_data_statement_token1] = ACTIONS(1726),
    [aux_sym_load_data_statement_token1] = ACTIONS(1726),
    [anon_sym_LBRACK] = ACTIONS(1724),
    [sym__quoted_identifier] = ACTIONS(1724),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_DASH] = ACTIONS(1726),
    [anon_sym_STAR] = ACTIONS(1724),
    [anon_sym_SLASH] = ACTIONS(1726),
    [anon_sym_PIPE_PIPE] = ACTIONS(1724),
    [anon_sym_LT_EQ] = ACTIONS(1724),
    [anon_sym_LT_GT] = ACTIONS(1724),
    [anon_sym_GT_EQ] = ACTIONS(1724),
    [anon_sym_BANG_EQ] = ACTIONS(1724),
    [anon_sym_LT_LT] = ACTIONS(1724),
    [anon_sym_GT_GT] = ACTIONS(1724),
    [anon_sym_AMP] = ACTIONS(1724),
    [anon_sym_CARET] = ACTIONS(1724),
    [anon_sym_PIPE] = ACTIONS(1726),
  },
  [4544] = {
    [ts_builtin_sym_end] = ACTIONS(1720),
    [sym__unquoted_identifier] = ACTIONS(1722),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1722),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1722),
    [aux_sym_keyword_replace_token1] = ACTIONS(1722),
    [aux_sym__keyword_alter_token1] = ACTIONS(1722),
    [aux_sym__keyword_delete_token1] = ACTIONS(1722),
    [aux_sym__keyword_begin_token1] = ACTIONS(1722),
    [aux_sym__keyword_between_token1] = ACTIONS(1722),
    [aux_sym__keyword_is_token1] = ACTIONS(1722),
    [aux_sym__keyword_in_token1] = ACTIONS(1722),
    [aux_sym__keyword_and_token1] = ACTIONS(1722),
    [aux_sym__keyword_like_token1] = ACTIONS(1722),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1722),
    [aux_sym__keyword_as_token1] = ACTIONS(1722),
    [aux_sym__keyword_date_token1] = ACTIONS(1722),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1722),
    [aux_sym__keyword_time_token1] = ACTIONS(1722),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1722),
    [aux_sym__keyword_for_token1] = ACTIONS(1722),
    [anon_sym_SEMI] = ACTIONS(1720),
    [aux_sym_declare_statement_token1] = ACTIONS(1722),
    [anon_sym_COMMA] = ACTIONS(1720),
    [aux_sym_set_statement_token1] = ACTIONS(1722),
    [anon_sym_LPAREN] = ACTIONS(1720),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1722),
    [aux_sym_return_satement_token1] = ACTIONS(1722),
    [aux_sym_call_statement_token1] = ACTIONS(1722),
    [aux_sym_loop_statement_token1] = ACTIONS(1722),
    [aux_sym_while_statement_token1] = ACTIONS(1722),
    [aux_sym_break_statement_token1] = ACTIONS(1722),
    [aux_sym_leave_statement_token1] = ACTIONS(1722),
    [aux_sym_continue_statement_token1] = ACTIONS(1722),
    [aux_sym_iterate_statement_token1] = ACTIONS(1722),
    [aux_sym_raise_statement_token1] = ACTIONS(1722),
    [anon_sym_EQ] = ACTIONS(1720),
    [aux_sym_assert_statement_token1] = ACTIONS(1722),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1722),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1722),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1722),
    [anon_sym_LT] = ACTIONS(1722),
    [anon_sym_GT] = ACTIONS(1722),
    [aux_sym_select_token1] = ACTIONS(1722),
    [aux_sym_insert_statement_token1] = ACTIONS(1722),
    [aux_sym_truncate_statement_token1] = ACTIONS(1722),
    [aux_sym_update_statement_token1] = ACTIONS(1722),
    [aux_sym_merge_statement_token1] = ACTIONS(1722),
    [aux_sym_grant_statement_token1] = ACTIONS(1722),
    [aux_sym_revoke_statement_token1] = ACTIONS(1722),
    [aux_sym_export_data_statement_token1] = ACTIONS(1722),
    [aux_sym_load_data_statement_token1] = ACTIONS(1722),
    [anon_sym_LBRACK] = ACTIONS(1720),
    [sym__quoted_identifier] = ACTIONS(1720),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1720),
    [anon_sym_PLUS] = ACTIONS(1720),
    [anon_sym_DASH] = ACTIONS(1722),
    [anon_sym_STAR] = ACTIONS(1720),
    [anon_sym_SLASH] = ACTIONS(1722),
    [anon_sym_PIPE_PIPE] = ACTIONS(1720),
    [anon_sym_LT_EQ] = ACTIONS(1720),
    [anon_sym_LT_GT] = ACTIONS(1720),
    [anon_sym_GT_EQ] = ACTIONS(1720),
    [anon_sym_BANG_EQ] = ACTIONS(1720),
    [anon_sym_LT_LT] = ACTIONS(1720),
    [anon_sym_GT_GT] = ACTIONS(1720),
    [anon_sym_AMP] = ACTIONS(1720),
    [anon_sym_CARET] = ACTIONS(1720),
    [anon_sym_PIPE] = ACTIONS(1722),
  },
  [4545] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [4546] = {
    [ts_builtin_sym_end] = ACTIONS(1716),
    [sym__unquoted_identifier] = ACTIONS(1718),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1718),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1718),
    [aux_sym_keyword_replace_token1] = ACTIONS(1718),
    [aux_sym__keyword_alter_token1] = ACTIONS(1718),
    [aux_sym__keyword_delete_token1] = ACTIONS(1718),
    [aux_sym__keyword_begin_token1] = ACTIONS(1718),
    [aux_sym__keyword_between_token1] = ACTIONS(1718),
    [aux_sym__keyword_is_token1] = ACTIONS(1718),
    [aux_sym__keyword_in_token1] = ACTIONS(1718),
    [aux_sym__keyword_and_token1] = ACTIONS(1718),
    [aux_sym__keyword_like_token1] = ACTIONS(1718),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1718),
    [aux_sym__keyword_as_token1] = ACTIONS(1718),
    [aux_sym__keyword_date_token1] = ACTIONS(1718),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1718),
    [aux_sym__keyword_time_token1] = ACTIONS(1718),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1718),
    [aux_sym__keyword_for_token1] = ACTIONS(1718),
    [anon_sym_SEMI] = ACTIONS(1716),
    [aux_sym_declare_statement_token1] = ACTIONS(1718),
    [anon_sym_COMMA] = ACTIONS(1716),
    [aux_sym_set_statement_token1] = ACTIONS(1718),
    [anon_sym_LPAREN] = ACTIONS(1716),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1718),
    [aux_sym_return_satement_token1] = ACTIONS(1718),
    [aux_sym_call_statement_token1] = ACTIONS(1718),
    [aux_sym_loop_statement_token1] = ACTIONS(1718),
    [aux_sym_while_statement_token1] = ACTIONS(1718),
    [aux_sym_break_statement_token1] = ACTIONS(1718),
    [aux_sym_leave_statement_token1] = ACTIONS(1718),
    [aux_sym_continue_statement_token1] = ACTIONS(1718),
    [aux_sym_iterate_statement_token1] = ACTIONS(1718),
    [aux_sym_raise_statement_token1] = ACTIONS(1718),
    [anon_sym_EQ] = ACTIONS(1716),
    [aux_sym_assert_statement_token1] = ACTIONS(1718),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1718),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1718),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1718),
    [anon_sym_LT] = ACTIONS(1718),
    [anon_sym_GT] = ACTIONS(1718),
    [aux_sym_select_token1] = ACTIONS(1718),
    [aux_sym_insert_statement_token1] = ACTIONS(1718),
    [aux_sym_truncate_statement_token1] = ACTIONS(1718),
    [aux_sym_update_statement_token1] = ACTIONS(1718),
    [aux_sym_merge_statement_token1] = ACTIONS(1718),
    [aux_sym_grant_statement_token1] = ACTIONS(1718),
    [aux_sym_revoke_statement_token1] = ACTIONS(1718),
    [aux_sym_export_data_statement_token1] = ACTIONS(1718),
    [aux_sym_load_data_statement_token1] = ACTIONS(1718),
    [anon_sym_LBRACK] = ACTIONS(1716),
    [sym__quoted_identifier] = ACTIONS(1716),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_DASH] = ACTIONS(1718),
    [anon_sym_STAR] = ACTIONS(1716),
    [anon_sym_SLASH] = ACTIONS(1718),
    [anon_sym_PIPE_PIPE] = ACTIONS(1716),
    [anon_sym_LT_EQ] = ACTIONS(1716),
    [anon_sym_LT_GT] = ACTIONS(1716),
    [anon_sym_GT_EQ] = ACTIONS(1716),
    [anon_sym_BANG_EQ] = ACTIONS(1716),
    [anon_sym_LT_LT] = ACTIONS(1716),
    [anon_sym_GT_GT] = ACTIONS(1716),
    [anon_sym_AMP] = ACTIONS(1716),
    [anon_sym_CARET] = ACTIONS(1716),
    [anon_sym_PIPE] = ACTIONS(1718),
  },
  [4547] = {
    [ts_builtin_sym_end] = ACTIONS(1712),
    [sym__unquoted_identifier] = ACTIONS(1714),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1714),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1714),
    [aux_sym_keyword_replace_token1] = ACTIONS(1714),
    [aux_sym__keyword_alter_token1] = ACTIONS(1714),
    [aux_sym__keyword_delete_token1] = ACTIONS(1714),
    [aux_sym__keyword_begin_token1] = ACTIONS(1714),
    [aux_sym__keyword_between_token1] = ACTIONS(1714),
    [aux_sym__keyword_is_token1] = ACTIONS(1714),
    [aux_sym__keyword_in_token1] = ACTIONS(1714),
    [aux_sym__keyword_and_token1] = ACTIONS(1714),
    [aux_sym__keyword_like_token1] = ACTIONS(1714),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1714),
    [aux_sym__keyword_as_token1] = ACTIONS(1714),
    [aux_sym__keyword_date_token1] = ACTIONS(1714),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1714),
    [aux_sym__keyword_time_token1] = ACTIONS(1714),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1714),
    [aux_sym__keyword_for_token1] = ACTIONS(1714),
    [anon_sym_SEMI] = ACTIONS(1712),
    [aux_sym_declare_statement_token1] = ACTIONS(1714),
    [anon_sym_COMMA] = ACTIONS(1712),
    [aux_sym_set_statement_token1] = ACTIONS(1714),
    [anon_sym_LPAREN] = ACTIONS(1712),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1714),
    [aux_sym_return_satement_token1] = ACTIONS(1714),
    [aux_sym_call_statement_token1] = ACTIONS(1714),
    [aux_sym_loop_statement_token1] = ACTIONS(1714),
    [aux_sym_while_statement_token1] = ACTIONS(1714),
    [aux_sym_break_statement_token1] = ACTIONS(1714),
    [aux_sym_leave_statement_token1] = ACTIONS(1714),
    [aux_sym_continue_statement_token1] = ACTIONS(1714),
    [aux_sym_iterate_statement_token1] = ACTIONS(1714),
    [aux_sym_raise_statement_token1] = ACTIONS(1714),
    [anon_sym_EQ] = ACTIONS(1712),
    [aux_sym_assert_statement_token1] = ACTIONS(1714),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1714),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1714),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1714),
    [anon_sym_LT] = ACTIONS(1714),
    [anon_sym_GT] = ACTIONS(1714),
    [aux_sym_select_token1] = ACTIONS(1714),
    [aux_sym_insert_statement_token1] = ACTIONS(1714),
    [aux_sym_truncate_statement_token1] = ACTIONS(1714),
    [aux_sym_update_statement_token1] = ACTIONS(1714),
    [aux_sym_merge_statement_token1] = ACTIONS(1714),
    [aux_sym_grant_statement_token1] = ACTIONS(1714),
    [aux_sym_revoke_statement_token1] = ACTIONS(1714),
    [aux_sym_export_data_statement_token1] = ACTIONS(1714),
    [aux_sym_load_data_statement_token1] = ACTIONS(1714),
    [anon_sym_LBRACK] = ACTIONS(1712),
    [sym__quoted_identifier] = ACTIONS(1712),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1712),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_DASH] = ACTIONS(1714),
    [anon_sym_STAR] = ACTIONS(1712),
    [anon_sym_SLASH] = ACTIONS(1714),
    [anon_sym_PIPE_PIPE] = ACTIONS(1712),
    [anon_sym_LT_EQ] = ACTIONS(1712),
    [anon_sym_LT_GT] = ACTIONS(1712),
    [anon_sym_GT_EQ] = ACTIONS(1712),
    [anon_sym_BANG_EQ] = ACTIONS(1712),
    [anon_sym_LT_LT] = ACTIONS(1712),
    [anon_sym_GT_GT] = ACTIONS(1712),
    [anon_sym_AMP] = ACTIONS(1712),
    [anon_sym_CARET] = ACTIONS(1712),
    [anon_sym_PIPE] = ACTIONS(1714),
  },
  [4548] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [4549] = {
    [ts_builtin_sym_end] = ACTIONS(1708),
    [sym__unquoted_identifier] = ACTIONS(1710),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1710),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1710),
    [aux_sym_keyword_replace_token1] = ACTIONS(1710),
    [aux_sym__keyword_alter_token1] = ACTIONS(1710),
    [aux_sym__keyword_delete_token1] = ACTIONS(1710),
    [aux_sym__keyword_begin_token1] = ACTIONS(1710),
    [aux_sym__keyword_between_token1] = ACTIONS(1710),
    [aux_sym__keyword_is_token1] = ACTIONS(1710),
    [aux_sym__keyword_in_token1] = ACTIONS(1710),
    [aux_sym__keyword_and_token1] = ACTIONS(1710),
    [aux_sym__keyword_like_token1] = ACTIONS(1710),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1710),
    [aux_sym__keyword_as_token1] = ACTIONS(1710),
    [aux_sym__keyword_date_token1] = ACTIONS(1710),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1710),
    [aux_sym__keyword_time_token1] = ACTIONS(1710),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1710),
    [aux_sym__keyword_for_token1] = ACTIONS(1710),
    [anon_sym_SEMI] = ACTIONS(1708),
    [aux_sym_declare_statement_token1] = ACTIONS(1710),
    [anon_sym_COMMA] = ACTIONS(1708),
    [aux_sym_set_statement_token1] = ACTIONS(1710),
    [anon_sym_LPAREN] = ACTIONS(1708),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1710),
    [aux_sym_return_satement_token1] = ACTIONS(1710),
    [aux_sym_call_statement_token1] = ACTIONS(1710),
    [aux_sym_loop_statement_token1] = ACTIONS(1710),
    [aux_sym_while_statement_token1] = ACTIONS(1710),
    [aux_sym_break_statement_token1] = ACTIONS(1710),
    [aux_sym_leave_statement_token1] = ACTIONS(1710),
    [aux_sym_continue_statement_token1] = ACTIONS(1710),
    [aux_sym_iterate_statement_token1] = ACTIONS(1710),
    [aux_sym_raise_statement_token1] = ACTIONS(1710),
    [anon_sym_EQ] = ACTIONS(1708),
    [aux_sym_assert_statement_token1] = ACTIONS(1710),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1710),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1710),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1710),
    [anon_sym_LT] = ACTIONS(1710),
    [anon_sym_GT] = ACTIONS(1710),
    [aux_sym_select_token1] = ACTIONS(1710),
    [aux_sym_insert_statement_token1] = ACTIONS(1710),
    [aux_sym_truncate_statement_token1] = ACTIONS(1710),
    [aux_sym_update_statement_token1] = ACTIONS(1710),
    [aux_sym_merge_statement_token1] = ACTIONS(1710),
    [aux_sym_grant_statement_token1] = ACTIONS(1710),
    [aux_sym_revoke_statement_token1] = ACTIONS(1710),
    [aux_sym_export_data_statement_token1] = ACTIONS(1710),
    [aux_sym_load_data_statement_token1] = ACTIONS(1710),
    [anon_sym_LBRACK] = ACTIONS(1708),
    [sym__quoted_identifier] = ACTIONS(1708),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_DASH] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(1708),
    [anon_sym_SLASH] = ACTIONS(1710),
    [anon_sym_PIPE_PIPE] = ACTIONS(1708),
    [anon_sym_LT_EQ] = ACTIONS(1708),
    [anon_sym_LT_GT] = ACTIONS(1708),
    [anon_sym_GT_EQ] = ACTIONS(1708),
    [anon_sym_BANG_EQ] = ACTIONS(1708),
    [anon_sym_LT_LT] = ACTIONS(1708),
    [anon_sym_GT_GT] = ACTIONS(1708),
    [anon_sym_AMP] = ACTIONS(1708),
    [anon_sym_CARET] = ACTIONS(1708),
    [anon_sym_PIPE] = ACTIONS(1710),
  },
  [4550] = {
    [ts_builtin_sym_end] = ACTIONS(1704),
    [sym__unquoted_identifier] = ACTIONS(1706),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1706),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1706),
    [aux_sym_keyword_replace_token1] = ACTIONS(1706),
    [aux_sym__keyword_alter_token1] = ACTIONS(1706),
    [aux_sym__keyword_delete_token1] = ACTIONS(1706),
    [aux_sym__keyword_begin_token1] = ACTIONS(1706),
    [aux_sym__keyword_between_token1] = ACTIONS(1706),
    [aux_sym__keyword_is_token1] = ACTIONS(1706),
    [aux_sym__keyword_in_token1] = ACTIONS(1706),
    [aux_sym__keyword_and_token1] = ACTIONS(1706),
    [aux_sym__keyword_like_token1] = ACTIONS(1706),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1706),
    [aux_sym__keyword_as_token1] = ACTIONS(1706),
    [aux_sym__keyword_date_token1] = ACTIONS(1706),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1706),
    [aux_sym__keyword_time_token1] = ACTIONS(1706),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1706),
    [aux_sym__keyword_for_token1] = ACTIONS(1706),
    [anon_sym_SEMI] = ACTIONS(1704),
    [aux_sym_declare_statement_token1] = ACTIONS(1706),
    [anon_sym_COMMA] = ACTIONS(1704),
    [aux_sym_set_statement_token1] = ACTIONS(1706),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1706),
    [aux_sym_return_satement_token1] = ACTIONS(1706),
    [aux_sym_call_statement_token1] = ACTIONS(1706),
    [aux_sym_loop_statement_token1] = ACTIONS(1706),
    [aux_sym_while_statement_token1] = ACTIONS(1706),
    [aux_sym_break_statement_token1] = ACTIONS(1706),
    [aux_sym_leave_statement_token1] = ACTIONS(1706),
    [aux_sym_continue_statement_token1] = ACTIONS(1706),
    [aux_sym_iterate_statement_token1] = ACTIONS(1706),
    [aux_sym_raise_statement_token1] = ACTIONS(1706),
    [anon_sym_EQ] = ACTIONS(1704),
    [aux_sym_assert_statement_token1] = ACTIONS(1706),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1706),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1706),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1706),
    [anon_sym_LT] = ACTIONS(1706),
    [anon_sym_GT] = ACTIONS(1706),
    [aux_sym_select_token1] = ACTIONS(1706),
    [aux_sym_insert_statement_token1] = ACTIONS(1706),
    [aux_sym_truncate_statement_token1] = ACTIONS(1706),
    [aux_sym_update_statement_token1] = ACTIONS(1706),
    [aux_sym_merge_statement_token1] = ACTIONS(1706),
    [aux_sym_grant_statement_token1] = ACTIONS(1706),
    [aux_sym_revoke_statement_token1] = ACTIONS(1706),
    [aux_sym_export_data_statement_token1] = ACTIONS(1706),
    [aux_sym_load_data_statement_token1] = ACTIONS(1706),
    [anon_sym_LBRACK] = ACTIONS(1704),
    [sym__quoted_identifier] = ACTIONS(1704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1704),
    [anon_sym_PLUS] = ACTIONS(1704),
    [anon_sym_DASH] = ACTIONS(1706),
    [anon_sym_STAR] = ACTIONS(1704),
    [anon_sym_SLASH] = ACTIONS(1706),
    [anon_sym_PIPE_PIPE] = ACTIONS(1704),
    [anon_sym_LT_EQ] = ACTIONS(1704),
    [anon_sym_LT_GT] = ACTIONS(1704),
    [anon_sym_GT_EQ] = ACTIONS(1704),
    [anon_sym_BANG_EQ] = ACTIONS(1704),
    [anon_sym_LT_LT] = ACTIONS(1704),
    [anon_sym_GT_GT] = ACTIONS(1704),
    [anon_sym_AMP] = ACTIONS(1704),
    [anon_sym_CARET] = ACTIONS(1704),
    [anon_sym_PIPE] = ACTIONS(1706),
  },
  [4551] = {
    [ts_builtin_sym_end] = ACTIONS(1700),
    [sym__unquoted_identifier] = ACTIONS(1702),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1702),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1702),
    [aux_sym_keyword_replace_token1] = ACTIONS(1702),
    [aux_sym__keyword_alter_token1] = ACTIONS(1702),
    [aux_sym__keyword_delete_token1] = ACTIONS(1702),
    [aux_sym__keyword_begin_token1] = ACTIONS(1702),
    [aux_sym__keyword_between_token1] = ACTIONS(1702),
    [aux_sym__keyword_is_token1] = ACTIONS(1702),
    [aux_sym__keyword_in_token1] = ACTIONS(1702),
    [aux_sym__keyword_and_token1] = ACTIONS(1702),
    [aux_sym__keyword_like_token1] = ACTIONS(1702),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1702),
    [aux_sym__keyword_as_token1] = ACTIONS(1702),
    [aux_sym__keyword_date_token1] = ACTIONS(1702),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1702),
    [aux_sym__keyword_time_token1] = ACTIONS(1702),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1702),
    [aux_sym__keyword_for_token1] = ACTIONS(1702),
    [anon_sym_SEMI] = ACTIONS(1700),
    [aux_sym_declare_statement_token1] = ACTIONS(1702),
    [anon_sym_COMMA] = ACTIONS(1700),
    [aux_sym_set_statement_token1] = ACTIONS(1702),
    [anon_sym_LPAREN] = ACTIONS(1700),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1702),
    [aux_sym_return_satement_token1] = ACTIONS(1702),
    [aux_sym_call_statement_token1] = ACTIONS(1702),
    [aux_sym_loop_statement_token1] = ACTIONS(1702),
    [aux_sym_while_statement_token1] = ACTIONS(1702),
    [aux_sym_break_statement_token1] = ACTIONS(1702),
    [aux_sym_leave_statement_token1] = ACTIONS(1702),
    [aux_sym_continue_statement_token1] = ACTIONS(1702),
    [aux_sym_iterate_statement_token1] = ACTIONS(1702),
    [aux_sym_raise_statement_token1] = ACTIONS(1702),
    [anon_sym_EQ] = ACTIONS(1700),
    [aux_sym_assert_statement_token1] = ACTIONS(1702),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1702),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1702),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1702),
    [anon_sym_LT] = ACTIONS(1702),
    [anon_sym_GT] = ACTIONS(1702),
    [aux_sym_select_token1] = ACTIONS(1702),
    [aux_sym_insert_statement_token1] = ACTIONS(1702),
    [aux_sym_truncate_statement_token1] = ACTIONS(1702),
    [aux_sym_update_statement_token1] = ACTIONS(1702),
    [aux_sym_merge_statement_token1] = ACTIONS(1702),
    [aux_sym_grant_statement_token1] = ACTIONS(1702),
    [aux_sym_revoke_statement_token1] = ACTIONS(1702),
    [aux_sym_export_data_statement_token1] = ACTIONS(1702),
    [aux_sym_load_data_statement_token1] = ACTIONS(1702),
    [anon_sym_LBRACK] = ACTIONS(1700),
    [sym__quoted_identifier] = ACTIONS(1700),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1700),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_DASH] = ACTIONS(1702),
    [anon_sym_STAR] = ACTIONS(1700),
    [anon_sym_SLASH] = ACTIONS(1702),
    [anon_sym_PIPE_PIPE] = ACTIONS(1700),
    [anon_sym_LT_EQ] = ACTIONS(1700),
    [anon_sym_LT_GT] = ACTIONS(1700),
    [anon_sym_GT_EQ] = ACTIONS(1700),
    [anon_sym_BANG_EQ] = ACTIONS(1700),
    [anon_sym_LT_LT] = ACTIONS(1700),
    [anon_sym_GT_GT] = ACTIONS(1700),
    [anon_sym_AMP] = ACTIONS(1700),
    [anon_sym_CARET] = ACTIONS(1700),
    [anon_sym_PIPE] = ACTIONS(1702),
  },
  [4552] = {
    [ts_builtin_sym_end] = ACTIONS(1696),
    [sym__unquoted_identifier] = ACTIONS(1698),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1698),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1698),
    [aux_sym_keyword_replace_token1] = ACTIONS(1698),
    [aux_sym__keyword_alter_token1] = ACTIONS(1698),
    [aux_sym__keyword_delete_token1] = ACTIONS(1698),
    [aux_sym__keyword_begin_token1] = ACTIONS(1698),
    [aux_sym__keyword_between_token1] = ACTIONS(1698),
    [aux_sym__keyword_is_token1] = ACTIONS(1698),
    [aux_sym__keyword_in_token1] = ACTIONS(1698),
    [aux_sym__keyword_and_token1] = ACTIONS(1698),
    [aux_sym__keyword_like_token1] = ACTIONS(1698),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1698),
    [aux_sym__keyword_as_token1] = ACTIONS(1698),
    [aux_sym__keyword_date_token1] = ACTIONS(1698),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1698),
    [aux_sym__keyword_time_token1] = ACTIONS(1698),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1698),
    [aux_sym__keyword_for_token1] = ACTIONS(1698),
    [anon_sym_SEMI] = ACTIONS(1696),
    [aux_sym_declare_statement_token1] = ACTIONS(1698),
    [anon_sym_COMMA] = ACTIONS(1696),
    [aux_sym_set_statement_token1] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1696),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1698),
    [aux_sym_return_satement_token1] = ACTIONS(1698),
    [aux_sym_call_statement_token1] = ACTIONS(1698),
    [aux_sym_loop_statement_token1] = ACTIONS(1698),
    [aux_sym_while_statement_token1] = ACTIONS(1698),
    [aux_sym_break_statement_token1] = ACTIONS(1698),
    [aux_sym_leave_statement_token1] = ACTIONS(1698),
    [aux_sym_continue_statement_token1] = ACTIONS(1698),
    [aux_sym_iterate_statement_token1] = ACTIONS(1698),
    [aux_sym_raise_statement_token1] = ACTIONS(1698),
    [anon_sym_EQ] = ACTIONS(1696),
    [aux_sym_assert_statement_token1] = ACTIONS(1698),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1698),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1698),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1698),
    [anon_sym_LT] = ACTIONS(1698),
    [anon_sym_GT] = ACTIONS(1698),
    [aux_sym_select_token1] = ACTIONS(1698),
    [aux_sym_insert_statement_token1] = ACTIONS(1698),
    [aux_sym_truncate_statement_token1] = ACTIONS(1698),
    [aux_sym_update_statement_token1] = ACTIONS(1698),
    [aux_sym_merge_statement_token1] = ACTIONS(1698),
    [aux_sym_grant_statement_token1] = ACTIONS(1698),
    [aux_sym_revoke_statement_token1] = ACTIONS(1698),
    [aux_sym_export_data_statement_token1] = ACTIONS(1698),
    [aux_sym_load_data_statement_token1] = ACTIONS(1698),
    [anon_sym_LBRACK] = ACTIONS(1696),
    [sym__quoted_identifier] = ACTIONS(1696),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_STAR] = ACTIONS(1696),
    [anon_sym_SLASH] = ACTIONS(1698),
    [anon_sym_PIPE_PIPE] = ACTIONS(1696),
    [anon_sym_LT_EQ] = ACTIONS(1696),
    [anon_sym_LT_GT] = ACTIONS(1696),
    [anon_sym_GT_EQ] = ACTIONS(1696),
    [anon_sym_BANG_EQ] = ACTIONS(1696),
    [anon_sym_LT_LT] = ACTIONS(1696),
    [anon_sym_GT_GT] = ACTIONS(1696),
    [anon_sym_AMP] = ACTIONS(1696),
    [anon_sym_CARET] = ACTIONS(1696),
    [anon_sym_PIPE] = ACTIONS(1698),
  },
  [4553] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [4554] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [4555] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [4556] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [4557] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [4558] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1380),
    [aux_sym_keyword_replace_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_between_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1380),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1380),
    [aux_sym__keyword_like_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [4559] = {
    [ts_builtin_sym_end] = ACTIONS(917),
    [sym__unquoted_identifier] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(921),
    [aux_sym_keyword_replace_token1] = ACTIONS(921),
    [aux_sym__keyword_alter_token1] = ACTIONS(921),
    [aux_sym__keyword_delete_token1] = ACTIONS(921),
    [aux_sym__keyword_begin_token1] = ACTIONS(921),
    [aux_sym__keyword_between_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(921),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(921),
    [aux_sym__keyword_like_token1] = ACTIONS(921),
    [aux_sym__keyword_repeat_token1] = ACTIONS(921),
    [aux_sym__keyword_as_token1] = ACTIONS(921),
    [aux_sym__keyword_date_token1] = ACTIONS(921),
    [aux_sym__keyword_datetime_token1] = ACTIONS(921),
    [aux_sym__keyword_time_token1] = ACTIONS(921),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(921),
    [aux_sym__keyword_for_token1] = ACTIONS(921),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(921),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(921),
    [aux_sym_return_satement_token1] = ACTIONS(921),
    [aux_sym_call_statement_token1] = ACTIONS(921),
    [aux_sym_loop_statement_token1] = ACTIONS(921),
    [aux_sym_while_statement_token1] = ACTIONS(921),
    [aux_sym_break_statement_token1] = ACTIONS(921),
    [aux_sym_leave_statement_token1] = ACTIONS(921),
    [aux_sym_continue_statement_token1] = ACTIONS(921),
    [aux_sym_iterate_statement_token1] = ACTIONS(921),
    [aux_sym_raise_statement_token1] = ACTIONS(921),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(921),
    [aux_sym_create_schema_statement_token1] = ACTIONS(921),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(921),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(921),
    [aux_sym_insert_statement_token1] = ACTIONS(921),
    [aux_sym_truncate_statement_token1] = ACTIONS(921),
    [aux_sym_update_statement_token1] = ACTIONS(921),
    [aux_sym_merge_statement_token1] = ACTIONS(921),
    [aux_sym_grant_statement_token1] = ACTIONS(921),
    [aux_sym_revoke_statement_token1] = ACTIONS(921),
    [aux_sym_export_data_statement_token1] = ACTIONS(921),
    [aux_sym_load_data_statement_token1] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym__quoted_identifier] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(917),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PIPE_PIPE] = ACTIONS(917),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [4560] = {
    [ts_builtin_sym_end] = ACTIONS(1484),
    [sym__unquoted_identifier] = ACTIONS(1486),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1486),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1486),
    [aux_sym_keyword_replace_token1] = ACTIONS(1486),
    [aux_sym__keyword_alter_token1] = ACTIONS(1486),
    [aux_sym__keyword_delete_token1] = ACTIONS(1486),
    [aux_sym__keyword_begin_token1] = ACTIONS(1486),
    [aux_sym__keyword_between_token1] = ACTIONS(1486),
    [aux_sym__keyword_is_token1] = ACTIONS(1486),
    [aux_sym__keyword_in_token1] = ACTIONS(1486),
    [aux_sym__keyword_and_token1] = ACTIONS(1486),
    [aux_sym__keyword_like_token1] = ACTIONS(1486),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1486),
    [aux_sym__keyword_as_token1] = ACTIONS(1486),
    [aux_sym__keyword_date_token1] = ACTIONS(1486),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1486),
    [aux_sym__keyword_time_token1] = ACTIONS(1486),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1486),
    [aux_sym__keyword_for_token1] = ACTIONS(1486),
    [anon_sym_SEMI] = ACTIONS(1484),
    [aux_sym_declare_statement_token1] = ACTIONS(1486),
    [anon_sym_COMMA] = ACTIONS(1484),
    [aux_sym_set_statement_token1] = ACTIONS(1486),
    [anon_sym_LPAREN] = ACTIONS(1484),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1486),
    [aux_sym_return_satement_token1] = ACTIONS(1486),
    [aux_sym_call_statement_token1] = ACTIONS(1486),
    [aux_sym_loop_statement_token1] = ACTIONS(1486),
    [aux_sym_while_statement_token1] = ACTIONS(1486),
    [aux_sym_break_statement_token1] = ACTIONS(1486),
    [aux_sym_leave_statement_token1] = ACTIONS(1486),
    [aux_sym_continue_statement_token1] = ACTIONS(1486),
    [aux_sym_iterate_statement_token1] = ACTIONS(1486),
    [aux_sym_raise_statement_token1] = ACTIONS(1486),
    [anon_sym_EQ] = ACTIONS(1484),
    [aux_sym_assert_statement_token1] = ACTIONS(1486),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1486),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1486),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1486),
    [anon_sym_LT] = ACTIONS(1486),
    [anon_sym_GT] = ACTIONS(1486),
    [aux_sym_select_token1] = ACTIONS(1486),
    [aux_sym_insert_statement_token1] = ACTIONS(1486),
    [aux_sym_truncate_statement_token1] = ACTIONS(1486),
    [aux_sym_update_statement_token1] = ACTIONS(1486),
    [aux_sym_merge_statement_token1] = ACTIONS(1486),
    [aux_sym_grant_statement_token1] = ACTIONS(1486),
    [aux_sym_revoke_statement_token1] = ACTIONS(1486),
    [aux_sym_export_data_statement_token1] = ACTIONS(1486),
    [aux_sym_load_data_statement_token1] = ACTIONS(1486),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym__quoted_identifier] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_SLASH] = ACTIONS(1486),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [anon_sym_LT_EQ] = ACTIONS(1484),
    [anon_sym_LT_GT] = ACTIONS(1484),
    [anon_sym_GT_EQ] = ACTIONS(1484),
    [anon_sym_BANG_EQ] = ACTIONS(1484),
    [anon_sym_LT_LT] = ACTIONS(1484),
    [anon_sym_GT_GT] = ACTIONS(1484),
    [anon_sym_AMP] = ACTIONS(1484),
    [anon_sym_CARET] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1486),
  },
  [4561] = {
    [ts_builtin_sym_end] = ACTIONS(1692),
    [sym__unquoted_identifier] = ACTIONS(1694),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1694),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1694),
    [aux_sym_keyword_replace_token1] = ACTIONS(1694),
    [aux_sym__keyword_alter_token1] = ACTIONS(1694),
    [aux_sym__keyword_delete_token1] = ACTIONS(1694),
    [aux_sym__keyword_begin_token1] = ACTIONS(1694),
    [aux_sym__keyword_between_token1] = ACTIONS(1694),
    [aux_sym__keyword_is_token1] = ACTIONS(1694),
    [aux_sym__keyword_in_token1] = ACTIONS(1694),
    [aux_sym__keyword_and_token1] = ACTIONS(1694),
    [aux_sym__keyword_like_token1] = ACTIONS(1694),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1694),
    [aux_sym__keyword_as_token1] = ACTIONS(1694),
    [aux_sym__keyword_date_token1] = ACTIONS(1694),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1694),
    [aux_sym__keyword_time_token1] = ACTIONS(1694),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1694),
    [aux_sym__keyword_for_token1] = ACTIONS(1694),
    [anon_sym_SEMI] = ACTIONS(1692),
    [aux_sym_declare_statement_token1] = ACTIONS(1694),
    [anon_sym_COMMA] = ACTIONS(1692),
    [aux_sym_set_statement_token1] = ACTIONS(1694),
    [anon_sym_LPAREN] = ACTIONS(1692),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1694),
    [aux_sym_return_satement_token1] = ACTIONS(1694),
    [aux_sym_call_statement_token1] = ACTIONS(1694),
    [aux_sym_loop_statement_token1] = ACTIONS(1694),
    [aux_sym_while_statement_token1] = ACTIONS(1694),
    [aux_sym_break_statement_token1] = ACTIONS(1694),
    [aux_sym_leave_statement_token1] = ACTIONS(1694),
    [aux_sym_continue_statement_token1] = ACTIONS(1694),
    [aux_sym_iterate_statement_token1] = ACTIONS(1694),
    [aux_sym_raise_statement_token1] = ACTIONS(1694),
    [anon_sym_EQ] = ACTIONS(1692),
    [aux_sym_assert_statement_token1] = ACTIONS(1694),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1694),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1694),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1694),
    [anon_sym_LT] = ACTIONS(1694),
    [anon_sym_GT] = ACTIONS(1694),
    [aux_sym_select_token1] = ACTIONS(1694),
    [aux_sym_insert_statement_token1] = ACTIONS(1694),
    [aux_sym_truncate_statement_token1] = ACTIONS(1694),
    [aux_sym_update_statement_token1] = ACTIONS(1694),
    [aux_sym_merge_statement_token1] = ACTIONS(1694),
    [aux_sym_grant_statement_token1] = ACTIONS(1694),
    [aux_sym_revoke_statement_token1] = ACTIONS(1694),
    [aux_sym_export_data_statement_token1] = ACTIONS(1694),
    [aux_sym_load_data_statement_token1] = ACTIONS(1694),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [sym__quoted_identifier] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1692),
    [anon_sym_PLUS] = ACTIONS(1692),
    [anon_sym_DASH] = ACTIONS(1694),
    [anon_sym_STAR] = ACTIONS(1692),
    [anon_sym_SLASH] = ACTIONS(1694),
    [anon_sym_PIPE_PIPE] = ACTIONS(1692),
    [anon_sym_LT_EQ] = ACTIONS(1692),
    [anon_sym_LT_GT] = ACTIONS(1692),
    [anon_sym_GT_EQ] = ACTIONS(1692),
    [anon_sym_BANG_EQ] = ACTIONS(1692),
    [anon_sym_LT_LT] = ACTIONS(1692),
    [anon_sym_GT_GT] = ACTIONS(1692),
    [anon_sym_AMP] = ACTIONS(1692),
    [anon_sym_CARET] = ACTIONS(1692),
    [anon_sym_PIPE] = ACTIONS(1694),
  },
  [4562] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4563] = {
    [ts_builtin_sym_end] = ACTIONS(1688),
    [sym__unquoted_identifier] = ACTIONS(1690),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1690),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1690),
    [aux_sym_keyword_replace_token1] = ACTIONS(1690),
    [aux_sym__keyword_alter_token1] = ACTIONS(1690),
    [aux_sym__keyword_delete_token1] = ACTIONS(1690),
    [aux_sym__keyword_begin_token1] = ACTIONS(1690),
    [aux_sym__keyword_between_token1] = ACTIONS(1690),
    [aux_sym__keyword_is_token1] = ACTIONS(1690),
    [aux_sym__keyword_in_token1] = ACTIONS(1690),
    [aux_sym__keyword_and_token1] = ACTIONS(1690),
    [aux_sym__keyword_like_token1] = ACTIONS(1690),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1690),
    [aux_sym__keyword_as_token1] = ACTIONS(1690),
    [aux_sym__keyword_date_token1] = ACTIONS(1690),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1690),
    [aux_sym__keyword_time_token1] = ACTIONS(1690),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1690),
    [aux_sym__keyword_for_token1] = ACTIONS(1690),
    [anon_sym_SEMI] = ACTIONS(1688),
    [aux_sym_declare_statement_token1] = ACTIONS(1690),
    [anon_sym_COMMA] = ACTIONS(1688),
    [aux_sym_set_statement_token1] = ACTIONS(1690),
    [anon_sym_LPAREN] = ACTIONS(1688),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1690),
    [aux_sym_return_satement_token1] = ACTIONS(1690),
    [aux_sym_call_statement_token1] = ACTIONS(1690),
    [aux_sym_loop_statement_token1] = ACTIONS(1690),
    [aux_sym_while_statement_token1] = ACTIONS(1690),
    [aux_sym_break_statement_token1] = ACTIONS(1690),
    [aux_sym_leave_statement_token1] = ACTIONS(1690),
    [aux_sym_continue_statement_token1] = ACTIONS(1690),
    [aux_sym_iterate_statement_token1] = ACTIONS(1690),
    [aux_sym_raise_statement_token1] = ACTIONS(1690),
    [anon_sym_EQ] = ACTIONS(1688),
    [aux_sym_assert_statement_token1] = ACTIONS(1690),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1690),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1690),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1690),
    [anon_sym_LT] = ACTIONS(1690),
    [anon_sym_GT] = ACTIONS(1690),
    [aux_sym_select_token1] = ACTIONS(1690),
    [aux_sym_insert_statement_token1] = ACTIONS(1690),
    [aux_sym_truncate_statement_token1] = ACTIONS(1690),
    [aux_sym_update_statement_token1] = ACTIONS(1690),
    [aux_sym_merge_statement_token1] = ACTIONS(1690),
    [aux_sym_grant_statement_token1] = ACTIONS(1690),
    [aux_sym_revoke_statement_token1] = ACTIONS(1690),
    [aux_sym_export_data_statement_token1] = ACTIONS(1690),
    [aux_sym_load_data_statement_token1] = ACTIONS(1690),
    [anon_sym_LBRACK] = ACTIONS(1688),
    [sym__quoted_identifier] = ACTIONS(1688),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1688),
    [anon_sym_PLUS] = ACTIONS(1688),
    [anon_sym_DASH] = ACTIONS(1690),
    [anon_sym_STAR] = ACTIONS(1688),
    [anon_sym_SLASH] = ACTIONS(1690),
    [anon_sym_PIPE_PIPE] = ACTIONS(1688),
    [anon_sym_LT_EQ] = ACTIONS(1688),
    [anon_sym_LT_GT] = ACTIONS(1688),
    [anon_sym_GT_EQ] = ACTIONS(1688),
    [anon_sym_BANG_EQ] = ACTIONS(1688),
    [anon_sym_LT_LT] = ACTIONS(1688),
    [anon_sym_GT_GT] = ACTIONS(1688),
    [anon_sym_AMP] = ACTIONS(1688),
    [anon_sym_CARET] = ACTIONS(1688),
    [anon_sym_PIPE] = ACTIONS(1690),
  },
  [4564] = {
    [ts_builtin_sym_end] = ACTIONS(1680),
    [sym__unquoted_identifier] = ACTIONS(1682),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1682),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1682),
    [aux_sym_keyword_replace_token1] = ACTIONS(1682),
    [aux_sym__keyword_alter_token1] = ACTIONS(1682),
    [aux_sym__keyword_delete_token1] = ACTIONS(1682),
    [aux_sym__keyword_begin_token1] = ACTIONS(1682),
    [aux_sym__keyword_between_token1] = ACTIONS(1682),
    [aux_sym__keyword_is_token1] = ACTIONS(1682),
    [aux_sym__keyword_in_token1] = ACTIONS(1682),
    [aux_sym__keyword_and_token1] = ACTIONS(1682),
    [aux_sym__keyword_like_token1] = ACTIONS(1682),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1682),
    [aux_sym__keyword_as_token1] = ACTIONS(1682),
    [aux_sym__keyword_date_token1] = ACTIONS(1682),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1682),
    [aux_sym__keyword_time_token1] = ACTIONS(1682),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1682),
    [aux_sym__keyword_for_token1] = ACTIONS(1682),
    [anon_sym_SEMI] = ACTIONS(1680),
    [aux_sym_declare_statement_token1] = ACTIONS(1682),
    [anon_sym_COMMA] = ACTIONS(1680),
    [aux_sym_set_statement_token1] = ACTIONS(1682),
    [anon_sym_LPAREN] = ACTIONS(1680),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1682),
    [aux_sym_return_satement_token1] = ACTIONS(1682),
    [aux_sym_call_statement_token1] = ACTIONS(1682),
    [aux_sym_loop_statement_token1] = ACTIONS(1682),
    [aux_sym_while_statement_token1] = ACTIONS(1682),
    [aux_sym_break_statement_token1] = ACTIONS(1682),
    [aux_sym_leave_statement_token1] = ACTIONS(1682),
    [aux_sym_continue_statement_token1] = ACTIONS(1682),
    [aux_sym_iterate_statement_token1] = ACTIONS(1682),
    [aux_sym_raise_statement_token1] = ACTIONS(1682),
    [anon_sym_EQ] = ACTIONS(1680),
    [aux_sym_assert_statement_token1] = ACTIONS(1682),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1682),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1682),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1682),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_GT] = ACTIONS(1682),
    [aux_sym_select_token1] = ACTIONS(1682),
    [aux_sym_insert_statement_token1] = ACTIONS(1682),
    [aux_sym_truncate_statement_token1] = ACTIONS(1682),
    [aux_sym_update_statement_token1] = ACTIONS(1682),
    [aux_sym_merge_statement_token1] = ACTIONS(1682),
    [aux_sym_grant_statement_token1] = ACTIONS(1682),
    [aux_sym_revoke_statement_token1] = ACTIONS(1682),
    [aux_sym_export_data_statement_token1] = ACTIONS(1682),
    [aux_sym_load_data_statement_token1] = ACTIONS(1682),
    [anon_sym_LBRACK] = ACTIONS(1680),
    [sym__quoted_identifier] = ACTIONS(1680),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(1680),
    [anon_sym_SLASH] = ACTIONS(1682),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_LT_GT] = ACTIONS(1680),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1680),
    [anon_sym_AMP] = ACTIONS(1680),
    [anon_sym_CARET] = ACTIONS(1680),
    [anon_sym_PIPE] = ACTIONS(1682),
  },
  [4565] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4566] = {
    [ts_builtin_sym_end] = ACTIONS(1830),
    [sym__unquoted_identifier] = ACTIONS(1832),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1832),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1832),
    [aux_sym_keyword_replace_token1] = ACTIONS(1832),
    [aux_sym__keyword_alter_token1] = ACTIONS(1832),
    [aux_sym__keyword_delete_token1] = ACTIONS(1832),
    [aux_sym__keyword_begin_token1] = ACTIONS(1832),
    [aux_sym__keyword_between_token1] = ACTIONS(1832),
    [aux_sym__keyword_is_token1] = ACTIONS(1832),
    [aux_sym__keyword_in_token1] = ACTIONS(1832),
    [aux_sym__keyword_and_token1] = ACTIONS(1832),
    [aux_sym__keyword_like_token1] = ACTIONS(1832),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1832),
    [aux_sym__keyword_as_token1] = ACTIONS(1832),
    [aux_sym__keyword_date_token1] = ACTIONS(1832),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1832),
    [aux_sym__keyword_time_token1] = ACTIONS(1832),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1832),
    [aux_sym__keyword_for_token1] = ACTIONS(1832),
    [anon_sym_SEMI] = ACTIONS(1830),
    [aux_sym_declare_statement_token1] = ACTIONS(1832),
    [anon_sym_COMMA] = ACTIONS(1830),
    [aux_sym_set_statement_token1] = ACTIONS(1832),
    [anon_sym_LPAREN] = ACTIONS(1830),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1832),
    [aux_sym_return_satement_token1] = ACTIONS(1832),
    [aux_sym_call_statement_token1] = ACTIONS(1832),
    [aux_sym_loop_statement_token1] = ACTIONS(1832),
    [aux_sym_while_statement_token1] = ACTIONS(1832),
    [aux_sym_break_statement_token1] = ACTIONS(1832),
    [aux_sym_leave_statement_token1] = ACTIONS(1832),
    [aux_sym_continue_statement_token1] = ACTIONS(1832),
    [aux_sym_iterate_statement_token1] = ACTIONS(1832),
    [aux_sym_raise_statement_token1] = ACTIONS(1832),
    [anon_sym_EQ] = ACTIONS(1830),
    [aux_sym_assert_statement_token1] = ACTIONS(1832),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1832),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1832),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1832),
    [anon_sym_LT] = ACTIONS(1832),
    [anon_sym_GT] = ACTIONS(1832),
    [aux_sym_select_token1] = ACTIONS(1832),
    [aux_sym_insert_statement_token1] = ACTIONS(1832),
    [aux_sym_truncate_statement_token1] = ACTIONS(1832),
    [aux_sym_update_statement_token1] = ACTIONS(1832),
    [aux_sym_merge_statement_token1] = ACTIONS(1832),
    [aux_sym_grant_statement_token1] = ACTIONS(1832),
    [aux_sym_revoke_statement_token1] = ACTIONS(1832),
    [aux_sym_export_data_statement_token1] = ACTIONS(1832),
    [aux_sym_load_data_statement_token1] = ACTIONS(1832),
    [anon_sym_LBRACK] = ACTIONS(1830),
    [sym__quoted_identifier] = ACTIONS(1830),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1830),
    [anon_sym_PLUS] = ACTIONS(1830),
    [anon_sym_DASH] = ACTIONS(1832),
    [anon_sym_STAR] = ACTIONS(1830),
    [anon_sym_SLASH] = ACTIONS(1832),
    [anon_sym_PIPE_PIPE] = ACTIONS(1830),
    [anon_sym_LT_EQ] = ACTIONS(1830),
    [anon_sym_LT_GT] = ACTIONS(1830),
    [anon_sym_GT_EQ] = ACTIONS(1830),
    [anon_sym_BANG_EQ] = ACTIONS(1830),
    [anon_sym_LT_LT] = ACTIONS(1830),
    [anon_sym_GT_GT] = ACTIONS(1830),
    [anon_sym_AMP] = ACTIONS(1830),
    [anon_sym_CARET] = ACTIONS(1830),
    [anon_sym_PIPE] = ACTIONS(1832),
  },
  [4567] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4568] = {
    [ts_builtin_sym_end] = ACTIONS(1676),
    [sym__unquoted_identifier] = ACTIONS(1678),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1678),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1678),
    [aux_sym_keyword_replace_token1] = ACTIONS(1678),
    [aux_sym__keyword_alter_token1] = ACTIONS(1678),
    [aux_sym__keyword_delete_token1] = ACTIONS(1678),
    [aux_sym__keyword_begin_token1] = ACTIONS(1678),
    [aux_sym__keyword_between_token1] = ACTIONS(1678),
    [aux_sym__keyword_is_token1] = ACTIONS(1678),
    [aux_sym__keyword_in_token1] = ACTIONS(1678),
    [aux_sym__keyword_and_token1] = ACTIONS(1678),
    [aux_sym__keyword_like_token1] = ACTIONS(1678),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1678),
    [aux_sym__keyword_as_token1] = ACTIONS(1678),
    [aux_sym__keyword_date_token1] = ACTIONS(1678),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1678),
    [aux_sym__keyword_time_token1] = ACTIONS(1678),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1678),
    [aux_sym__keyword_for_token1] = ACTIONS(1678),
    [anon_sym_SEMI] = ACTIONS(1676),
    [aux_sym_declare_statement_token1] = ACTIONS(1678),
    [anon_sym_COMMA] = ACTIONS(1676),
    [aux_sym_set_statement_token1] = ACTIONS(1678),
    [anon_sym_LPAREN] = ACTIONS(1676),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1678),
    [aux_sym_return_satement_token1] = ACTIONS(1678),
    [aux_sym_call_statement_token1] = ACTIONS(1678),
    [aux_sym_loop_statement_token1] = ACTIONS(1678),
    [aux_sym_while_statement_token1] = ACTIONS(1678),
    [aux_sym_break_statement_token1] = ACTIONS(1678),
    [aux_sym_leave_statement_token1] = ACTIONS(1678),
    [aux_sym_continue_statement_token1] = ACTIONS(1678),
    [aux_sym_iterate_statement_token1] = ACTIONS(1678),
    [aux_sym_raise_statement_token1] = ACTIONS(1678),
    [anon_sym_EQ] = ACTIONS(1676),
    [aux_sym_assert_statement_token1] = ACTIONS(1678),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1678),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1678),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1678),
    [anon_sym_LT] = ACTIONS(1678),
    [anon_sym_GT] = ACTIONS(1678),
    [aux_sym_select_token1] = ACTIONS(1678),
    [aux_sym_insert_statement_token1] = ACTIONS(1678),
    [aux_sym_truncate_statement_token1] = ACTIONS(1678),
    [aux_sym_update_statement_token1] = ACTIONS(1678),
    [aux_sym_merge_statement_token1] = ACTIONS(1678),
    [aux_sym_grant_statement_token1] = ACTIONS(1678),
    [aux_sym_revoke_statement_token1] = ACTIONS(1678),
    [aux_sym_export_data_statement_token1] = ACTIONS(1678),
    [aux_sym_load_data_statement_token1] = ACTIONS(1678),
    [anon_sym_LBRACK] = ACTIONS(1676),
    [sym__quoted_identifier] = ACTIONS(1676),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1676),
    [anon_sym_PLUS] = ACTIONS(1676),
    [anon_sym_DASH] = ACTIONS(1678),
    [anon_sym_STAR] = ACTIONS(1676),
    [anon_sym_SLASH] = ACTIONS(1678),
    [anon_sym_PIPE_PIPE] = ACTIONS(1676),
    [anon_sym_LT_EQ] = ACTIONS(1676),
    [anon_sym_LT_GT] = ACTIONS(1676),
    [anon_sym_GT_EQ] = ACTIONS(1676),
    [anon_sym_BANG_EQ] = ACTIONS(1676),
    [anon_sym_LT_LT] = ACTIONS(1676),
    [anon_sym_GT_GT] = ACTIONS(1676),
    [anon_sym_AMP] = ACTIONS(1676),
    [anon_sym_CARET] = ACTIONS(1676),
    [anon_sym_PIPE] = ACTIONS(1678),
  },
  [4569] = {
    [ts_builtin_sym_end] = ACTIONS(1672),
    [sym__unquoted_identifier] = ACTIONS(1674),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1674),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1674),
    [aux_sym_keyword_replace_token1] = ACTIONS(1674),
    [aux_sym__keyword_alter_token1] = ACTIONS(1674),
    [aux_sym__keyword_delete_token1] = ACTIONS(1674),
    [aux_sym__keyword_begin_token1] = ACTIONS(1674),
    [aux_sym__keyword_between_token1] = ACTIONS(1674),
    [aux_sym__keyword_is_token1] = ACTIONS(1674),
    [aux_sym__keyword_in_token1] = ACTIONS(1674),
    [aux_sym__keyword_and_token1] = ACTIONS(1674),
    [aux_sym__keyword_like_token1] = ACTIONS(1674),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1674),
    [aux_sym__keyword_as_token1] = ACTIONS(1674),
    [aux_sym__keyword_date_token1] = ACTIONS(1674),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1674),
    [aux_sym__keyword_time_token1] = ACTIONS(1674),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1674),
    [aux_sym__keyword_for_token1] = ACTIONS(1674),
    [anon_sym_SEMI] = ACTIONS(1672),
    [aux_sym_declare_statement_token1] = ACTIONS(1674),
    [anon_sym_COMMA] = ACTIONS(1672),
    [aux_sym_set_statement_token1] = ACTIONS(1674),
    [anon_sym_LPAREN] = ACTIONS(1672),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1674),
    [aux_sym_return_satement_token1] = ACTIONS(1674),
    [aux_sym_call_statement_token1] = ACTIONS(1674),
    [aux_sym_loop_statement_token1] = ACTIONS(1674),
    [aux_sym_while_statement_token1] = ACTIONS(1674),
    [aux_sym_break_statement_token1] = ACTIONS(1674),
    [aux_sym_leave_statement_token1] = ACTIONS(1674),
    [aux_sym_continue_statement_token1] = ACTIONS(1674),
    [aux_sym_iterate_statement_token1] = ACTIONS(1674),
    [aux_sym_raise_statement_token1] = ACTIONS(1674),
    [anon_sym_EQ] = ACTIONS(1672),
    [aux_sym_assert_statement_token1] = ACTIONS(1674),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1674),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1674),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1674),
    [anon_sym_LT] = ACTIONS(1674),
    [anon_sym_GT] = ACTIONS(1674),
    [aux_sym_select_token1] = ACTIONS(1674),
    [aux_sym_insert_statement_token1] = ACTIONS(1674),
    [aux_sym_truncate_statement_token1] = ACTIONS(1674),
    [aux_sym_update_statement_token1] = ACTIONS(1674),
    [aux_sym_merge_statement_token1] = ACTIONS(1674),
    [aux_sym_grant_statement_token1] = ACTIONS(1674),
    [aux_sym_revoke_statement_token1] = ACTIONS(1674),
    [aux_sym_export_data_statement_token1] = ACTIONS(1674),
    [aux_sym_load_data_statement_token1] = ACTIONS(1674),
    [anon_sym_LBRACK] = ACTIONS(1672),
    [sym__quoted_identifier] = ACTIONS(1672),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1672),
    [anon_sym_PLUS] = ACTIONS(1672),
    [anon_sym_DASH] = ACTIONS(1674),
    [anon_sym_STAR] = ACTIONS(1672),
    [anon_sym_SLASH] = ACTIONS(1674),
    [anon_sym_PIPE_PIPE] = ACTIONS(1672),
    [anon_sym_LT_EQ] = ACTIONS(1672),
    [anon_sym_LT_GT] = ACTIONS(1672),
    [anon_sym_GT_EQ] = ACTIONS(1672),
    [anon_sym_BANG_EQ] = ACTIONS(1672),
    [anon_sym_LT_LT] = ACTIONS(1672),
    [anon_sym_GT_GT] = ACTIONS(1672),
    [anon_sym_AMP] = ACTIONS(1672),
    [anon_sym_CARET] = ACTIONS(1672),
    [anon_sym_PIPE] = ACTIONS(1674),
  },
  [4570] = {
    [ts_builtin_sym_end] = ACTIONS(1668),
    [sym__unquoted_identifier] = ACTIONS(1670),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1670),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1670),
    [aux_sym_keyword_replace_token1] = ACTIONS(1670),
    [aux_sym__keyword_alter_token1] = ACTIONS(1670),
    [aux_sym__keyword_delete_token1] = ACTIONS(1670),
    [aux_sym__keyword_begin_token1] = ACTIONS(1670),
    [aux_sym__keyword_between_token1] = ACTIONS(1670),
    [aux_sym__keyword_is_token1] = ACTIONS(1670),
    [aux_sym__keyword_in_token1] = ACTIONS(1670),
    [aux_sym__keyword_and_token1] = ACTIONS(1670),
    [aux_sym__keyword_like_token1] = ACTIONS(1670),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1670),
    [aux_sym__keyword_as_token1] = ACTIONS(1670),
    [aux_sym__keyword_date_token1] = ACTIONS(1670),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1670),
    [aux_sym__keyword_time_token1] = ACTIONS(1670),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1670),
    [aux_sym__keyword_for_token1] = ACTIONS(1670),
    [anon_sym_SEMI] = ACTIONS(1668),
    [aux_sym_declare_statement_token1] = ACTIONS(1670),
    [anon_sym_COMMA] = ACTIONS(1668),
    [aux_sym_set_statement_token1] = ACTIONS(1670),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1670),
    [aux_sym_return_satement_token1] = ACTIONS(1670),
    [aux_sym_call_statement_token1] = ACTIONS(1670),
    [aux_sym_loop_statement_token1] = ACTIONS(1670),
    [aux_sym_while_statement_token1] = ACTIONS(1670),
    [aux_sym_break_statement_token1] = ACTIONS(1670),
    [aux_sym_leave_statement_token1] = ACTIONS(1670),
    [aux_sym_continue_statement_token1] = ACTIONS(1670),
    [aux_sym_iterate_statement_token1] = ACTIONS(1670),
    [aux_sym_raise_statement_token1] = ACTIONS(1670),
    [anon_sym_EQ] = ACTIONS(1668),
    [aux_sym_assert_statement_token1] = ACTIONS(1670),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1670),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1670),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1670),
    [anon_sym_LT] = ACTIONS(1670),
    [anon_sym_GT] = ACTIONS(1670),
    [aux_sym_select_token1] = ACTIONS(1670),
    [aux_sym_insert_statement_token1] = ACTIONS(1670),
    [aux_sym_truncate_statement_token1] = ACTIONS(1670),
    [aux_sym_update_statement_token1] = ACTIONS(1670),
    [aux_sym_merge_statement_token1] = ACTIONS(1670),
    [aux_sym_grant_statement_token1] = ACTIONS(1670),
    [aux_sym_revoke_statement_token1] = ACTIONS(1670),
    [aux_sym_export_data_statement_token1] = ACTIONS(1670),
    [aux_sym_load_data_statement_token1] = ACTIONS(1670),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [sym__quoted_identifier] = ACTIONS(1668),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1668),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_STAR] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(1670),
    [anon_sym_PIPE_PIPE] = ACTIONS(1668),
    [anon_sym_LT_EQ] = ACTIONS(1668),
    [anon_sym_LT_GT] = ACTIONS(1668),
    [anon_sym_GT_EQ] = ACTIONS(1668),
    [anon_sym_BANG_EQ] = ACTIONS(1668),
    [anon_sym_LT_LT] = ACTIONS(1668),
    [anon_sym_GT_GT] = ACTIONS(1668),
    [anon_sym_AMP] = ACTIONS(1668),
    [anon_sym_CARET] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1670),
  },
  [4571] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4572] = {
    [ts_builtin_sym_end] = ACTIONS(1664),
    [sym__unquoted_identifier] = ACTIONS(1666),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1666),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1666),
    [aux_sym_keyword_replace_token1] = ACTIONS(1666),
    [aux_sym__keyword_alter_token1] = ACTIONS(1666),
    [aux_sym__keyword_delete_token1] = ACTIONS(1666),
    [aux_sym__keyword_begin_token1] = ACTIONS(1666),
    [aux_sym__keyword_between_token1] = ACTIONS(1666),
    [aux_sym__keyword_is_token1] = ACTIONS(1666),
    [aux_sym__keyword_in_token1] = ACTIONS(1666),
    [aux_sym__keyword_and_token1] = ACTIONS(1666),
    [aux_sym__keyword_like_token1] = ACTIONS(1666),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1666),
    [aux_sym__keyword_as_token1] = ACTIONS(1666),
    [aux_sym__keyword_date_token1] = ACTIONS(1666),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1666),
    [aux_sym__keyword_time_token1] = ACTIONS(1666),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1666),
    [aux_sym__keyword_for_token1] = ACTIONS(1666),
    [anon_sym_SEMI] = ACTIONS(1664),
    [aux_sym_declare_statement_token1] = ACTIONS(1666),
    [anon_sym_COMMA] = ACTIONS(1664),
    [aux_sym_set_statement_token1] = ACTIONS(1666),
    [anon_sym_LPAREN] = ACTIONS(1664),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1666),
    [aux_sym_return_satement_token1] = ACTIONS(1666),
    [aux_sym_call_statement_token1] = ACTIONS(1666),
    [aux_sym_loop_statement_token1] = ACTIONS(1666),
    [aux_sym_while_statement_token1] = ACTIONS(1666),
    [aux_sym_break_statement_token1] = ACTIONS(1666),
    [aux_sym_leave_statement_token1] = ACTIONS(1666),
    [aux_sym_continue_statement_token1] = ACTIONS(1666),
    [aux_sym_iterate_statement_token1] = ACTIONS(1666),
    [aux_sym_raise_statement_token1] = ACTIONS(1666),
    [anon_sym_EQ] = ACTIONS(1664),
    [aux_sym_assert_statement_token1] = ACTIONS(1666),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1666),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1666),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1666),
    [anon_sym_LT] = ACTIONS(1666),
    [anon_sym_GT] = ACTIONS(1666),
    [aux_sym_select_token1] = ACTIONS(1666),
    [aux_sym_insert_statement_token1] = ACTIONS(1666),
    [aux_sym_truncate_statement_token1] = ACTIONS(1666),
    [aux_sym_update_statement_token1] = ACTIONS(1666),
    [aux_sym_merge_statement_token1] = ACTIONS(1666),
    [aux_sym_grant_statement_token1] = ACTIONS(1666),
    [aux_sym_revoke_statement_token1] = ACTIONS(1666),
    [aux_sym_export_data_statement_token1] = ACTIONS(1666),
    [aux_sym_load_data_statement_token1] = ACTIONS(1666),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [sym__quoted_identifier] = ACTIONS(1664),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1664),
    [anon_sym_PLUS] = ACTIONS(1664),
    [anon_sym_DASH] = ACTIONS(1666),
    [anon_sym_STAR] = ACTIONS(1664),
    [anon_sym_SLASH] = ACTIONS(1666),
    [anon_sym_PIPE_PIPE] = ACTIONS(1664),
    [anon_sym_LT_EQ] = ACTIONS(1664),
    [anon_sym_LT_GT] = ACTIONS(1664),
    [anon_sym_GT_EQ] = ACTIONS(1664),
    [anon_sym_BANG_EQ] = ACTIONS(1664),
    [anon_sym_LT_LT] = ACTIONS(1664),
    [anon_sym_GT_GT] = ACTIONS(1664),
    [anon_sym_AMP] = ACTIONS(1664),
    [anon_sym_CARET] = ACTIONS(1664),
    [anon_sym_PIPE] = ACTIONS(1666),
  },
  [4573] = {
    [sym__unquoted_identifier] = ACTIONS(1436),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1436),
    [aux_sym__keyword_alter_token1] = ACTIONS(1436),
    [aux_sym__keyword_delete_token1] = ACTIONS(1436),
    [aux_sym__keyword_begin_token1] = ACTIONS(1436),
    [aux_sym__keyword_end_token1] = ACTIONS(1436),
    [aux_sym__keyword_when_token1] = ACTIONS(1436),
    [aux_sym__keyword_else_token1] = ACTIONS(1436),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1436),
    [aux_sym__keyword_as_token1] = ACTIONS(1436),
    [aux_sym__keyword_window_token1] = ACTIONS(1436),
    [aux_sym__keyword_date_token1] = ACTIONS(1436),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1436),
    [aux_sym__keyword_time_token1] = ACTIONS(1436),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1436),
    [aux_sym__keyword_for_token1] = ACTIONS(1436),
    [anon_sym_SEMI] = ACTIONS(1434),
    [aux_sym_declare_statement_token1] = ACTIONS(1436),
    [anon_sym_COMMA] = ACTIONS(1434),
    [aux_sym_set_statement_token1] = ACTIONS(1436),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1436),
    [aux_sym_using_clause_token1] = ACTIONS(1436),
    [aux_sym_return_satement_token1] = ACTIONS(1436),
    [aux_sym_call_statement_token1] = ACTIONS(1436),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1436),
    [aux_sym_if_statement_token1] = ACTIONS(1436),
    [aux_sym_loop_statement_token1] = ACTIONS(1436),
    [aux_sym_repeat_statement_token1] = ACTIONS(1436),
    [aux_sym_while_statement_token1] = ACTIONS(1436),
    [aux_sym_break_statement_token1] = ACTIONS(1436),
    [aux_sym_leave_statement_token1] = ACTIONS(1436),
    [aux_sym_continue_statement_token1] = ACTIONS(1436),
    [aux_sym_iterate_statement_token1] = ACTIONS(1436),
    [aux_sym_raise_statement_token1] = ACTIONS(1436),
    [aux_sym_assert_statement_token1] = ACTIONS(1436),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1436),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1436),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1436),
    [aux_sym_set_operation_token1] = ACTIONS(1436),
    [aux_sym_set_operation_token3] = ACTIONS(1436),
    [aux_sym_set_operation_token4] = ACTIONS(1436),
    [aux_sym_select_token1] = ACTIONS(1436),
    [aux_sym_having_clause_token1] = ACTIONS(1436),
    [aux_sym_qualify_clause_token1] = ACTIONS(1436),
    [aux_sym_limit_clause_token1] = ACTIONS(1436),
    [aux_sym_group_by_clause_token1] = ACTIONS(1436),
    [aux_sym_order_by_clause_token1] = ACTIONS(1436),
    [aux_sym_where_clause_token1] = ACTIONS(1436),
    [aux_sym_pivot_operator_token1] = ACTIONS(1436),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1436),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1436),
    [aux_sym_join_type_token1] = ACTIONS(1436),
    [aux_sym_join_type_token2] = ACTIONS(1436),
    [aux_sym_join_type_token3] = ACTIONS(1436),
    [aux_sym_join_type_token4] = ACTIONS(1436),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1436),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1436),
    [aux_sym_join_condition_token1] = ACTIONS(1436),
    [aux_sym_insert_statement_token1] = ACTIONS(1436),
    [aux_sym_truncate_statement_token1] = ACTIONS(1436),
    [aux_sym_update_statement_token1] = ACTIONS(1436),
    [aux_sym_merge_statement_token1] = ACTIONS(1436),
    [aux_sym_grant_statement_token1] = ACTIONS(1436),
    [aux_sym_revoke_statement_token1] = ACTIONS(1436),
    [aux_sym_export_data_statement_token1] = ACTIONS(1436),
    [aux_sym_load_data_statement_token1] = ACTIONS(1436),
    [sym__quoted_identifier] = ACTIONS(1434),
    [sym_comment] = ACTIONS(3),
  },
  [4574] = {
    [ts_builtin_sym_end] = ACTIONS(1660),
    [sym__unquoted_identifier] = ACTIONS(1662),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1662),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1662),
    [aux_sym_keyword_replace_token1] = ACTIONS(1662),
    [aux_sym__keyword_alter_token1] = ACTIONS(1662),
    [aux_sym__keyword_delete_token1] = ACTIONS(1662),
    [aux_sym__keyword_begin_token1] = ACTIONS(1662),
    [aux_sym__keyword_between_token1] = ACTIONS(1662),
    [aux_sym__keyword_is_token1] = ACTIONS(1662),
    [aux_sym__keyword_in_token1] = ACTIONS(1662),
    [aux_sym__keyword_and_token1] = ACTIONS(1662),
    [aux_sym__keyword_like_token1] = ACTIONS(1662),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1662),
    [aux_sym__keyword_as_token1] = ACTIONS(1662),
    [aux_sym__keyword_date_token1] = ACTIONS(1662),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1662),
    [aux_sym__keyword_time_token1] = ACTIONS(1662),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1662),
    [aux_sym__keyword_for_token1] = ACTIONS(1662),
    [anon_sym_SEMI] = ACTIONS(1660),
    [aux_sym_declare_statement_token1] = ACTIONS(1662),
    [anon_sym_COMMA] = ACTIONS(1660),
    [aux_sym_set_statement_token1] = ACTIONS(1662),
    [anon_sym_LPAREN] = ACTIONS(1660),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1662),
    [aux_sym_return_satement_token1] = ACTIONS(1662),
    [aux_sym_call_statement_token1] = ACTIONS(1662),
    [aux_sym_loop_statement_token1] = ACTIONS(1662),
    [aux_sym_while_statement_token1] = ACTIONS(1662),
    [aux_sym_break_statement_token1] = ACTIONS(1662),
    [aux_sym_leave_statement_token1] = ACTIONS(1662),
    [aux_sym_continue_statement_token1] = ACTIONS(1662),
    [aux_sym_iterate_statement_token1] = ACTIONS(1662),
    [aux_sym_raise_statement_token1] = ACTIONS(1662),
    [anon_sym_EQ] = ACTIONS(1660),
    [aux_sym_assert_statement_token1] = ACTIONS(1662),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1662),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1662),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1662),
    [anon_sym_LT] = ACTIONS(1662),
    [anon_sym_GT] = ACTIONS(1662),
    [aux_sym_select_token1] = ACTIONS(1662),
    [aux_sym_insert_statement_token1] = ACTIONS(1662),
    [aux_sym_truncate_statement_token1] = ACTIONS(1662),
    [aux_sym_update_statement_token1] = ACTIONS(1662),
    [aux_sym_merge_statement_token1] = ACTIONS(1662),
    [aux_sym_grant_statement_token1] = ACTIONS(1662),
    [aux_sym_revoke_statement_token1] = ACTIONS(1662),
    [aux_sym_export_data_statement_token1] = ACTIONS(1662),
    [aux_sym_load_data_statement_token1] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1660),
    [sym__quoted_identifier] = ACTIONS(1660),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1660),
    [anon_sym_PLUS] = ACTIONS(1660),
    [anon_sym_DASH] = ACTIONS(1662),
    [anon_sym_STAR] = ACTIONS(1660),
    [anon_sym_SLASH] = ACTIONS(1662),
    [anon_sym_PIPE_PIPE] = ACTIONS(1660),
    [anon_sym_LT_EQ] = ACTIONS(1660),
    [anon_sym_LT_GT] = ACTIONS(1660),
    [anon_sym_GT_EQ] = ACTIONS(1660),
    [anon_sym_BANG_EQ] = ACTIONS(1660),
    [anon_sym_LT_LT] = ACTIONS(1660),
    [anon_sym_GT_GT] = ACTIONS(1660),
    [anon_sym_AMP] = ACTIONS(1660),
    [anon_sym_CARET] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1662),
  },
  [4575] = {
    [ts_builtin_sym_end] = ACTIONS(1656),
    [sym__unquoted_identifier] = ACTIONS(1658),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1658),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1658),
    [aux_sym_keyword_replace_token1] = ACTIONS(1658),
    [aux_sym__keyword_alter_token1] = ACTIONS(1658),
    [aux_sym__keyword_delete_token1] = ACTIONS(1658),
    [aux_sym__keyword_begin_token1] = ACTIONS(1658),
    [aux_sym__keyword_between_token1] = ACTIONS(1658),
    [aux_sym__keyword_is_token1] = ACTIONS(1658),
    [aux_sym__keyword_in_token1] = ACTIONS(1658),
    [aux_sym__keyword_and_token1] = ACTIONS(1658),
    [aux_sym__keyword_like_token1] = ACTIONS(1658),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1658),
    [aux_sym__keyword_as_token1] = ACTIONS(1658),
    [aux_sym__keyword_date_token1] = ACTIONS(1658),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1658),
    [aux_sym__keyword_time_token1] = ACTIONS(1658),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1658),
    [aux_sym__keyword_for_token1] = ACTIONS(1658),
    [anon_sym_SEMI] = ACTIONS(1656),
    [aux_sym_declare_statement_token1] = ACTIONS(1658),
    [anon_sym_COMMA] = ACTIONS(1656),
    [aux_sym_set_statement_token1] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1658),
    [aux_sym_return_satement_token1] = ACTIONS(1658),
    [aux_sym_call_statement_token1] = ACTIONS(1658),
    [aux_sym_loop_statement_token1] = ACTIONS(1658),
    [aux_sym_while_statement_token1] = ACTIONS(1658),
    [aux_sym_break_statement_token1] = ACTIONS(1658),
    [aux_sym_leave_statement_token1] = ACTIONS(1658),
    [aux_sym_continue_statement_token1] = ACTIONS(1658),
    [aux_sym_iterate_statement_token1] = ACTIONS(1658),
    [aux_sym_raise_statement_token1] = ACTIONS(1658),
    [anon_sym_EQ] = ACTIONS(1656),
    [aux_sym_assert_statement_token1] = ACTIONS(1658),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1658),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1658),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1658),
    [anon_sym_LT] = ACTIONS(1658),
    [anon_sym_GT] = ACTIONS(1658),
    [aux_sym_select_token1] = ACTIONS(1658),
    [aux_sym_insert_statement_token1] = ACTIONS(1658),
    [aux_sym_truncate_statement_token1] = ACTIONS(1658),
    [aux_sym_update_statement_token1] = ACTIONS(1658),
    [aux_sym_merge_statement_token1] = ACTIONS(1658),
    [aux_sym_grant_statement_token1] = ACTIONS(1658),
    [aux_sym_revoke_statement_token1] = ACTIONS(1658),
    [aux_sym_export_data_statement_token1] = ACTIONS(1658),
    [aux_sym_load_data_statement_token1] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [sym__quoted_identifier] = ACTIONS(1656),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1656),
    [anon_sym_PLUS] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_STAR] = ACTIONS(1656),
    [anon_sym_SLASH] = ACTIONS(1658),
    [anon_sym_PIPE_PIPE] = ACTIONS(1656),
    [anon_sym_LT_EQ] = ACTIONS(1656),
    [anon_sym_LT_GT] = ACTIONS(1656),
    [anon_sym_GT_EQ] = ACTIONS(1656),
    [anon_sym_BANG_EQ] = ACTIONS(1656),
    [anon_sym_LT_LT] = ACTIONS(1656),
    [anon_sym_GT_GT] = ACTIONS(1656),
    [anon_sym_AMP] = ACTIONS(1656),
    [anon_sym_CARET] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1658),
  },
  [4576] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4577] = {
    [ts_builtin_sym_end] = ACTIONS(1652),
    [sym__unquoted_identifier] = ACTIONS(1654),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1654),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1654),
    [aux_sym_keyword_replace_token1] = ACTIONS(1654),
    [aux_sym__keyword_alter_token1] = ACTIONS(1654),
    [aux_sym__keyword_delete_token1] = ACTIONS(1654),
    [aux_sym__keyword_begin_token1] = ACTIONS(1654),
    [aux_sym__keyword_between_token1] = ACTIONS(1654),
    [aux_sym__keyword_is_token1] = ACTIONS(1654),
    [aux_sym__keyword_in_token1] = ACTIONS(1654),
    [aux_sym__keyword_and_token1] = ACTIONS(1654),
    [aux_sym__keyword_like_token1] = ACTIONS(1654),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1654),
    [aux_sym__keyword_as_token1] = ACTIONS(1654),
    [aux_sym__keyword_date_token1] = ACTIONS(1654),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1654),
    [aux_sym__keyword_time_token1] = ACTIONS(1654),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1654),
    [aux_sym__keyword_for_token1] = ACTIONS(1654),
    [anon_sym_SEMI] = ACTIONS(1652),
    [aux_sym_declare_statement_token1] = ACTIONS(1654),
    [anon_sym_COMMA] = ACTIONS(1652),
    [aux_sym_set_statement_token1] = ACTIONS(1654),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1654),
    [aux_sym_return_satement_token1] = ACTIONS(1654),
    [aux_sym_call_statement_token1] = ACTIONS(1654),
    [aux_sym_loop_statement_token1] = ACTIONS(1654),
    [aux_sym_while_statement_token1] = ACTIONS(1654),
    [aux_sym_break_statement_token1] = ACTIONS(1654),
    [aux_sym_leave_statement_token1] = ACTIONS(1654),
    [aux_sym_continue_statement_token1] = ACTIONS(1654),
    [aux_sym_iterate_statement_token1] = ACTIONS(1654),
    [aux_sym_raise_statement_token1] = ACTIONS(1654),
    [anon_sym_EQ] = ACTIONS(1652),
    [aux_sym_assert_statement_token1] = ACTIONS(1654),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1654),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1654),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1654),
    [anon_sym_LT] = ACTIONS(1654),
    [anon_sym_GT] = ACTIONS(1654),
    [aux_sym_select_token1] = ACTIONS(1654),
    [aux_sym_insert_statement_token1] = ACTIONS(1654),
    [aux_sym_truncate_statement_token1] = ACTIONS(1654),
    [aux_sym_update_statement_token1] = ACTIONS(1654),
    [aux_sym_merge_statement_token1] = ACTIONS(1654),
    [aux_sym_grant_statement_token1] = ACTIONS(1654),
    [aux_sym_revoke_statement_token1] = ACTIONS(1654),
    [aux_sym_export_data_statement_token1] = ACTIONS(1654),
    [aux_sym_load_data_statement_token1] = ACTIONS(1654),
    [anon_sym_LBRACK] = ACTIONS(1652),
    [sym__quoted_identifier] = ACTIONS(1652),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1652),
    [anon_sym_PLUS] = ACTIONS(1652),
    [anon_sym_DASH] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(1652),
    [anon_sym_SLASH] = ACTIONS(1654),
    [anon_sym_PIPE_PIPE] = ACTIONS(1652),
    [anon_sym_LT_EQ] = ACTIONS(1652),
    [anon_sym_LT_GT] = ACTIONS(1652),
    [anon_sym_GT_EQ] = ACTIONS(1652),
    [anon_sym_BANG_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT] = ACTIONS(1652),
    [anon_sym_GT_GT] = ACTIONS(1652),
    [anon_sym_AMP] = ACTIONS(1652),
    [anon_sym_CARET] = ACTIONS(1652),
    [anon_sym_PIPE] = ACTIONS(1654),
  },
  [4578] = {
    [ts_builtin_sym_end] = ACTIONS(1788),
    [sym__unquoted_identifier] = ACTIONS(1790),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1790),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1790),
    [aux_sym_keyword_replace_token1] = ACTIONS(1790),
    [aux_sym__keyword_alter_token1] = ACTIONS(1790),
    [aux_sym__keyword_delete_token1] = ACTIONS(1790),
    [aux_sym__keyword_begin_token1] = ACTIONS(1790),
    [aux_sym__keyword_between_token1] = ACTIONS(1790),
    [aux_sym__keyword_is_token1] = ACTIONS(1790),
    [aux_sym__keyword_in_token1] = ACTIONS(1790),
    [aux_sym__keyword_and_token1] = ACTIONS(1790),
    [aux_sym__keyword_like_token1] = ACTIONS(1790),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1790),
    [aux_sym__keyword_as_token1] = ACTIONS(1790),
    [aux_sym__keyword_date_token1] = ACTIONS(1790),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1790),
    [aux_sym__keyword_time_token1] = ACTIONS(1790),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1790),
    [aux_sym__keyword_for_token1] = ACTIONS(1790),
    [anon_sym_SEMI] = ACTIONS(1788),
    [aux_sym_declare_statement_token1] = ACTIONS(1790),
    [anon_sym_COMMA] = ACTIONS(1788),
    [aux_sym_set_statement_token1] = ACTIONS(1790),
    [anon_sym_LPAREN] = ACTIONS(1788),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1790),
    [aux_sym_return_satement_token1] = ACTIONS(1790),
    [aux_sym_call_statement_token1] = ACTIONS(1790),
    [aux_sym_loop_statement_token1] = ACTIONS(1790),
    [aux_sym_while_statement_token1] = ACTIONS(1790),
    [aux_sym_break_statement_token1] = ACTIONS(1790),
    [aux_sym_leave_statement_token1] = ACTIONS(1790),
    [aux_sym_continue_statement_token1] = ACTIONS(1790),
    [aux_sym_iterate_statement_token1] = ACTIONS(1790),
    [aux_sym_raise_statement_token1] = ACTIONS(1790),
    [anon_sym_EQ] = ACTIONS(1788),
    [aux_sym_assert_statement_token1] = ACTIONS(1790),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1790),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1790),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1790),
    [anon_sym_LT] = ACTIONS(1790),
    [anon_sym_GT] = ACTIONS(1790),
    [aux_sym_select_token1] = ACTIONS(1790),
    [aux_sym_insert_statement_token1] = ACTIONS(1790),
    [aux_sym_truncate_statement_token1] = ACTIONS(1790),
    [aux_sym_update_statement_token1] = ACTIONS(1790),
    [aux_sym_merge_statement_token1] = ACTIONS(1790),
    [aux_sym_grant_statement_token1] = ACTIONS(1790),
    [aux_sym_revoke_statement_token1] = ACTIONS(1790),
    [aux_sym_export_data_statement_token1] = ACTIONS(1790),
    [aux_sym_load_data_statement_token1] = ACTIONS(1790),
    [anon_sym_LBRACK] = ACTIONS(1788),
    [sym__quoted_identifier] = ACTIONS(1788),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1788),
    [anon_sym_PLUS] = ACTIONS(1788),
    [anon_sym_DASH] = ACTIONS(1790),
    [anon_sym_STAR] = ACTIONS(1788),
    [anon_sym_SLASH] = ACTIONS(1790),
    [anon_sym_PIPE_PIPE] = ACTIONS(1788),
    [anon_sym_LT_EQ] = ACTIONS(1788),
    [anon_sym_LT_GT] = ACTIONS(1788),
    [anon_sym_GT_EQ] = ACTIONS(1788),
    [anon_sym_BANG_EQ] = ACTIONS(1788),
    [anon_sym_LT_LT] = ACTIONS(1788),
    [anon_sym_GT_GT] = ACTIONS(1788),
    [anon_sym_AMP] = ACTIONS(1788),
    [anon_sym_CARET] = ACTIONS(1788),
    [anon_sym_PIPE] = ACTIONS(1790),
  },
  [4579] = {
    [ts_builtin_sym_end] = ACTIONS(1648),
    [sym__unquoted_identifier] = ACTIONS(1650),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1650),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1650),
    [aux_sym_keyword_replace_token1] = ACTIONS(1650),
    [aux_sym__keyword_alter_token1] = ACTIONS(1650),
    [aux_sym__keyword_delete_token1] = ACTIONS(1650),
    [aux_sym__keyword_begin_token1] = ACTIONS(1650),
    [aux_sym__keyword_between_token1] = ACTIONS(1650),
    [aux_sym__keyword_is_token1] = ACTIONS(1650),
    [aux_sym__keyword_in_token1] = ACTIONS(1650),
    [aux_sym__keyword_and_token1] = ACTIONS(1650),
    [aux_sym__keyword_like_token1] = ACTIONS(1650),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1650),
    [aux_sym__keyword_as_token1] = ACTIONS(1650),
    [aux_sym__keyword_date_token1] = ACTIONS(1650),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1650),
    [aux_sym__keyword_time_token1] = ACTIONS(1650),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1650),
    [aux_sym__keyword_for_token1] = ACTIONS(1650),
    [anon_sym_SEMI] = ACTIONS(1648),
    [aux_sym_declare_statement_token1] = ACTIONS(1650),
    [anon_sym_COMMA] = ACTIONS(1648),
    [aux_sym_set_statement_token1] = ACTIONS(1650),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1650),
    [aux_sym_return_satement_token1] = ACTIONS(1650),
    [aux_sym_call_statement_token1] = ACTIONS(1650),
    [aux_sym_loop_statement_token1] = ACTIONS(1650),
    [aux_sym_while_statement_token1] = ACTIONS(1650),
    [aux_sym_break_statement_token1] = ACTIONS(1650),
    [aux_sym_leave_statement_token1] = ACTIONS(1650),
    [aux_sym_continue_statement_token1] = ACTIONS(1650),
    [aux_sym_iterate_statement_token1] = ACTIONS(1650),
    [aux_sym_raise_statement_token1] = ACTIONS(1650),
    [anon_sym_EQ] = ACTIONS(1648),
    [aux_sym_assert_statement_token1] = ACTIONS(1650),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1650),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1650),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1650),
    [anon_sym_LT] = ACTIONS(1650),
    [anon_sym_GT] = ACTIONS(1650),
    [aux_sym_select_token1] = ACTIONS(1650),
    [aux_sym_insert_statement_token1] = ACTIONS(1650),
    [aux_sym_truncate_statement_token1] = ACTIONS(1650),
    [aux_sym_update_statement_token1] = ACTIONS(1650),
    [aux_sym_merge_statement_token1] = ACTIONS(1650),
    [aux_sym_grant_statement_token1] = ACTIONS(1650),
    [aux_sym_revoke_statement_token1] = ACTIONS(1650),
    [aux_sym_export_data_statement_token1] = ACTIONS(1650),
    [aux_sym_load_data_statement_token1] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1648),
    [sym__quoted_identifier] = ACTIONS(1648),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1648),
    [anon_sym_PLUS] = ACTIONS(1648),
    [anon_sym_DASH] = ACTIONS(1650),
    [anon_sym_STAR] = ACTIONS(1648),
    [anon_sym_SLASH] = ACTIONS(1650),
    [anon_sym_PIPE_PIPE] = ACTIONS(1648),
    [anon_sym_LT_EQ] = ACTIONS(1648),
    [anon_sym_LT_GT] = ACTIONS(1648),
    [anon_sym_GT_EQ] = ACTIONS(1648),
    [anon_sym_BANG_EQ] = ACTIONS(1648),
    [anon_sym_LT_LT] = ACTIONS(1648),
    [anon_sym_GT_GT] = ACTIONS(1648),
    [anon_sym_AMP] = ACTIONS(1648),
    [anon_sym_CARET] = ACTIONS(1648),
    [anon_sym_PIPE] = ACTIONS(1650),
  },
  [4580] = {
    [ts_builtin_sym_end] = ACTIONS(1644),
    [sym__unquoted_identifier] = ACTIONS(1646),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1646),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1646),
    [aux_sym_keyword_replace_token1] = ACTIONS(1646),
    [aux_sym__keyword_alter_token1] = ACTIONS(1646),
    [aux_sym__keyword_delete_token1] = ACTIONS(1646),
    [aux_sym__keyword_begin_token1] = ACTIONS(1646),
    [aux_sym__keyword_between_token1] = ACTIONS(1646),
    [aux_sym__keyword_is_token1] = ACTIONS(1646),
    [aux_sym__keyword_in_token1] = ACTIONS(1646),
    [aux_sym__keyword_and_token1] = ACTIONS(1646),
    [aux_sym__keyword_like_token1] = ACTIONS(1646),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1646),
    [aux_sym__keyword_as_token1] = ACTIONS(1646),
    [aux_sym__keyword_date_token1] = ACTIONS(1646),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1646),
    [aux_sym__keyword_time_token1] = ACTIONS(1646),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1646),
    [aux_sym__keyword_for_token1] = ACTIONS(1646),
    [anon_sym_SEMI] = ACTIONS(1644),
    [aux_sym_declare_statement_token1] = ACTIONS(1646),
    [anon_sym_COMMA] = ACTIONS(1644),
    [aux_sym_set_statement_token1] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1644),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1646),
    [aux_sym_return_satement_token1] = ACTIONS(1646),
    [aux_sym_call_statement_token1] = ACTIONS(1646),
    [aux_sym_loop_statement_token1] = ACTIONS(1646),
    [aux_sym_while_statement_token1] = ACTIONS(1646),
    [aux_sym_break_statement_token1] = ACTIONS(1646),
    [aux_sym_leave_statement_token1] = ACTIONS(1646),
    [aux_sym_continue_statement_token1] = ACTIONS(1646),
    [aux_sym_iterate_statement_token1] = ACTIONS(1646),
    [aux_sym_raise_statement_token1] = ACTIONS(1646),
    [anon_sym_EQ] = ACTIONS(1644),
    [aux_sym_assert_statement_token1] = ACTIONS(1646),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1646),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1646),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1646),
    [anon_sym_LT] = ACTIONS(1646),
    [anon_sym_GT] = ACTIONS(1646),
    [aux_sym_select_token1] = ACTIONS(1646),
    [aux_sym_insert_statement_token1] = ACTIONS(1646),
    [aux_sym_truncate_statement_token1] = ACTIONS(1646),
    [aux_sym_update_statement_token1] = ACTIONS(1646),
    [aux_sym_merge_statement_token1] = ACTIONS(1646),
    [aux_sym_grant_statement_token1] = ACTIONS(1646),
    [aux_sym_revoke_statement_token1] = ACTIONS(1646),
    [aux_sym_export_data_statement_token1] = ACTIONS(1646),
    [aux_sym_load_data_statement_token1] = ACTIONS(1646),
    [anon_sym_LBRACK] = ACTIONS(1644),
    [sym__quoted_identifier] = ACTIONS(1644),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1644),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1646),
    [anon_sym_STAR] = ACTIONS(1644),
    [anon_sym_SLASH] = ACTIONS(1646),
    [anon_sym_PIPE_PIPE] = ACTIONS(1644),
    [anon_sym_LT_EQ] = ACTIONS(1644),
    [anon_sym_LT_GT] = ACTIONS(1644),
    [anon_sym_GT_EQ] = ACTIONS(1644),
    [anon_sym_BANG_EQ] = ACTIONS(1644),
    [anon_sym_LT_LT] = ACTIONS(1644),
    [anon_sym_GT_GT] = ACTIONS(1644),
    [anon_sym_AMP] = ACTIONS(1644),
    [anon_sym_CARET] = ACTIONS(1644),
    [anon_sym_PIPE] = ACTIONS(1646),
  },
  [4581] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [4582] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4583] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4584] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4585] = {
    [ts_builtin_sym_end] = ACTIONS(1640),
    [sym__unquoted_identifier] = ACTIONS(1642),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1642),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1642),
    [aux_sym_keyword_replace_token1] = ACTIONS(1642),
    [aux_sym__keyword_alter_token1] = ACTIONS(1642),
    [aux_sym__keyword_delete_token1] = ACTIONS(1642),
    [aux_sym__keyword_begin_token1] = ACTIONS(1642),
    [aux_sym__keyword_between_token1] = ACTIONS(1642),
    [aux_sym__keyword_is_token1] = ACTIONS(1642),
    [aux_sym__keyword_in_token1] = ACTIONS(1642),
    [aux_sym__keyword_and_token1] = ACTIONS(1642),
    [aux_sym__keyword_like_token1] = ACTIONS(1642),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1642),
    [aux_sym__keyword_as_token1] = ACTIONS(1642),
    [aux_sym__keyword_date_token1] = ACTIONS(1642),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1642),
    [aux_sym__keyword_time_token1] = ACTIONS(1642),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1642),
    [aux_sym__keyword_for_token1] = ACTIONS(1642),
    [anon_sym_SEMI] = ACTIONS(1640),
    [aux_sym_declare_statement_token1] = ACTIONS(1642),
    [anon_sym_COMMA] = ACTIONS(1640),
    [aux_sym_set_statement_token1] = ACTIONS(1642),
    [anon_sym_LPAREN] = ACTIONS(1640),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1642),
    [aux_sym_return_satement_token1] = ACTIONS(1642),
    [aux_sym_call_statement_token1] = ACTIONS(1642),
    [aux_sym_loop_statement_token1] = ACTIONS(1642),
    [aux_sym_while_statement_token1] = ACTIONS(1642),
    [aux_sym_break_statement_token1] = ACTIONS(1642),
    [aux_sym_leave_statement_token1] = ACTIONS(1642),
    [aux_sym_continue_statement_token1] = ACTIONS(1642),
    [aux_sym_iterate_statement_token1] = ACTIONS(1642),
    [aux_sym_raise_statement_token1] = ACTIONS(1642),
    [anon_sym_EQ] = ACTIONS(1640),
    [aux_sym_assert_statement_token1] = ACTIONS(1642),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1642),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1642),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1642),
    [anon_sym_LT] = ACTIONS(1642),
    [anon_sym_GT] = ACTIONS(1642),
    [aux_sym_select_token1] = ACTIONS(1642),
    [aux_sym_insert_statement_token1] = ACTIONS(1642),
    [aux_sym_truncate_statement_token1] = ACTIONS(1642),
    [aux_sym_update_statement_token1] = ACTIONS(1642),
    [aux_sym_merge_statement_token1] = ACTIONS(1642),
    [aux_sym_grant_statement_token1] = ACTIONS(1642),
    [aux_sym_revoke_statement_token1] = ACTIONS(1642),
    [aux_sym_export_data_statement_token1] = ACTIONS(1642),
    [aux_sym_load_data_statement_token1] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(1640),
    [sym__quoted_identifier] = ACTIONS(1640),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1640),
    [anon_sym_PLUS] = ACTIONS(1640),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1640),
    [anon_sym_SLASH] = ACTIONS(1642),
    [anon_sym_PIPE_PIPE] = ACTIONS(1640),
    [anon_sym_LT_EQ] = ACTIONS(1640),
    [anon_sym_LT_GT] = ACTIONS(1640),
    [anon_sym_GT_EQ] = ACTIONS(1640),
    [anon_sym_BANG_EQ] = ACTIONS(1640),
    [anon_sym_LT_LT] = ACTIONS(1640),
    [anon_sym_GT_GT] = ACTIONS(1640),
    [anon_sym_AMP] = ACTIONS(1640),
    [anon_sym_CARET] = ACTIONS(1640),
    [anon_sym_PIPE] = ACTIONS(1642),
  },
  [4586] = {
    [sym__unquoted_identifier] = ACTIONS(1440),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1440),
    [aux_sym__keyword_alter_token1] = ACTIONS(1440),
    [aux_sym__keyword_delete_token1] = ACTIONS(1440),
    [aux_sym__keyword_begin_token1] = ACTIONS(1440),
    [aux_sym__keyword_end_token1] = ACTIONS(1440),
    [aux_sym__keyword_when_token1] = ACTIONS(1440),
    [aux_sym__keyword_else_token1] = ACTIONS(1440),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1440),
    [aux_sym__keyword_as_token1] = ACTIONS(1440),
    [aux_sym__keyword_window_token1] = ACTIONS(1440),
    [aux_sym__keyword_date_token1] = ACTIONS(1440),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1440),
    [aux_sym__keyword_time_token1] = ACTIONS(1440),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1440),
    [aux_sym__keyword_for_token1] = ACTIONS(1440),
    [anon_sym_SEMI] = ACTIONS(1438),
    [aux_sym_declare_statement_token1] = ACTIONS(1440),
    [anon_sym_COMMA] = ACTIONS(1438),
    [aux_sym_set_statement_token1] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1438),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1440),
    [aux_sym_using_clause_token1] = ACTIONS(1440),
    [aux_sym_return_satement_token1] = ACTIONS(1440),
    [aux_sym_call_statement_token1] = ACTIONS(1440),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1440),
    [aux_sym_if_statement_token1] = ACTIONS(1440),
    [aux_sym_loop_statement_token1] = ACTIONS(1440),
    [aux_sym_repeat_statement_token1] = ACTIONS(1440),
    [aux_sym_while_statement_token1] = ACTIONS(1440),
    [aux_sym_break_statement_token1] = ACTIONS(1440),
    [aux_sym_leave_statement_token1] = ACTIONS(1440),
    [aux_sym_continue_statement_token1] = ACTIONS(1440),
    [aux_sym_iterate_statement_token1] = ACTIONS(1440),
    [aux_sym_raise_statement_token1] = ACTIONS(1440),
    [aux_sym_assert_statement_token1] = ACTIONS(1440),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1440),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1440),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1440),
    [aux_sym_set_operation_token1] = ACTIONS(1440),
    [aux_sym_set_operation_token3] = ACTIONS(1440),
    [aux_sym_set_operation_token4] = ACTIONS(1440),
    [aux_sym_select_token1] = ACTIONS(1440),
    [aux_sym_having_clause_token1] = ACTIONS(1440),
    [aux_sym_qualify_clause_token1] = ACTIONS(1440),
    [aux_sym_limit_clause_token1] = ACTIONS(1440),
    [aux_sym_group_by_clause_token1] = ACTIONS(1440),
    [aux_sym_order_by_clause_token1] = ACTIONS(1440),
    [aux_sym_where_clause_token1] = ACTIONS(1440),
    [aux_sym_pivot_operator_token1] = ACTIONS(1440),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1440),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1440),
    [aux_sym_join_type_token1] = ACTIONS(1440),
    [aux_sym_join_type_token2] = ACTIONS(1440),
    [aux_sym_join_type_token3] = ACTIONS(1440),
    [aux_sym_join_type_token4] = ACTIONS(1440),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1440),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1440),
    [aux_sym_join_condition_token1] = ACTIONS(1440),
    [aux_sym_insert_statement_token1] = ACTIONS(1440),
    [aux_sym_truncate_statement_token1] = ACTIONS(1440),
    [aux_sym_update_statement_token1] = ACTIONS(1440),
    [aux_sym_merge_statement_token1] = ACTIONS(1440),
    [aux_sym_grant_statement_token1] = ACTIONS(1440),
    [aux_sym_revoke_statement_token1] = ACTIONS(1440),
    [aux_sym_export_data_statement_token1] = ACTIONS(1440),
    [aux_sym_load_data_statement_token1] = ACTIONS(1440),
    [sym__quoted_identifier] = ACTIONS(1438),
    [sym_comment] = ACTIONS(3),
  },
  [4587] = {
    [ts_builtin_sym_end] = ACTIONS(1636),
    [sym__unquoted_identifier] = ACTIONS(1638),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1638),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1638),
    [aux_sym_keyword_replace_token1] = ACTIONS(1638),
    [aux_sym__keyword_alter_token1] = ACTIONS(1638),
    [aux_sym__keyword_delete_token1] = ACTIONS(1638),
    [aux_sym__keyword_begin_token1] = ACTIONS(1638),
    [aux_sym__keyword_between_token1] = ACTIONS(1638),
    [aux_sym__keyword_is_token1] = ACTIONS(1638),
    [aux_sym__keyword_in_token1] = ACTIONS(1638),
    [aux_sym__keyword_and_token1] = ACTIONS(1638),
    [aux_sym__keyword_like_token1] = ACTIONS(1638),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1638),
    [aux_sym__keyword_as_token1] = ACTIONS(1638),
    [aux_sym__keyword_date_token1] = ACTIONS(1638),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1638),
    [aux_sym__keyword_time_token1] = ACTIONS(1638),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1638),
    [aux_sym__keyword_for_token1] = ACTIONS(1638),
    [anon_sym_SEMI] = ACTIONS(1636),
    [aux_sym_declare_statement_token1] = ACTIONS(1638),
    [anon_sym_COMMA] = ACTIONS(1636),
    [aux_sym_set_statement_token1] = ACTIONS(1638),
    [anon_sym_LPAREN] = ACTIONS(1636),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1638),
    [aux_sym_return_satement_token1] = ACTIONS(1638),
    [aux_sym_call_statement_token1] = ACTIONS(1638),
    [aux_sym_loop_statement_token1] = ACTIONS(1638),
    [aux_sym_while_statement_token1] = ACTIONS(1638),
    [aux_sym_break_statement_token1] = ACTIONS(1638),
    [aux_sym_leave_statement_token1] = ACTIONS(1638),
    [aux_sym_continue_statement_token1] = ACTIONS(1638),
    [aux_sym_iterate_statement_token1] = ACTIONS(1638),
    [aux_sym_raise_statement_token1] = ACTIONS(1638),
    [anon_sym_EQ] = ACTIONS(1636),
    [aux_sym_assert_statement_token1] = ACTIONS(1638),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1638),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1638),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1638),
    [anon_sym_LT] = ACTIONS(1638),
    [anon_sym_GT] = ACTIONS(1638),
    [aux_sym_select_token1] = ACTIONS(1638),
    [aux_sym_insert_statement_token1] = ACTIONS(1638),
    [aux_sym_truncate_statement_token1] = ACTIONS(1638),
    [aux_sym_update_statement_token1] = ACTIONS(1638),
    [aux_sym_merge_statement_token1] = ACTIONS(1638),
    [aux_sym_grant_statement_token1] = ACTIONS(1638),
    [aux_sym_revoke_statement_token1] = ACTIONS(1638),
    [aux_sym_export_data_statement_token1] = ACTIONS(1638),
    [aux_sym_load_data_statement_token1] = ACTIONS(1638),
    [anon_sym_LBRACK] = ACTIONS(1636),
    [sym__quoted_identifier] = ACTIONS(1636),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1636),
    [anon_sym_PLUS] = ACTIONS(1636),
    [anon_sym_DASH] = ACTIONS(1638),
    [anon_sym_STAR] = ACTIONS(1636),
    [anon_sym_SLASH] = ACTIONS(1638),
    [anon_sym_PIPE_PIPE] = ACTIONS(1636),
    [anon_sym_LT_EQ] = ACTIONS(1636),
    [anon_sym_LT_GT] = ACTIONS(1636),
    [anon_sym_GT_EQ] = ACTIONS(1636),
    [anon_sym_BANG_EQ] = ACTIONS(1636),
    [anon_sym_LT_LT] = ACTIONS(1636),
    [anon_sym_GT_GT] = ACTIONS(1636),
    [anon_sym_AMP] = ACTIONS(1636),
    [anon_sym_CARET] = ACTIONS(1636),
    [anon_sym_PIPE] = ACTIONS(1638),
  },
  [4588] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4589] = {
    [ts_builtin_sym_end] = ACTIONS(1632),
    [sym__unquoted_identifier] = ACTIONS(1634),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1634),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1634),
    [aux_sym_keyword_replace_token1] = ACTIONS(1634),
    [aux_sym__keyword_alter_token1] = ACTIONS(1634),
    [aux_sym__keyword_delete_token1] = ACTIONS(1634),
    [aux_sym__keyword_begin_token1] = ACTIONS(1634),
    [aux_sym__keyword_between_token1] = ACTIONS(1634),
    [aux_sym__keyword_is_token1] = ACTIONS(1634),
    [aux_sym__keyword_in_token1] = ACTIONS(1634),
    [aux_sym__keyword_and_token1] = ACTIONS(1634),
    [aux_sym__keyword_like_token1] = ACTIONS(1634),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1634),
    [aux_sym__keyword_as_token1] = ACTIONS(1634),
    [aux_sym__keyword_date_token1] = ACTIONS(1634),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1634),
    [aux_sym__keyword_time_token1] = ACTIONS(1634),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1634),
    [aux_sym__keyword_for_token1] = ACTIONS(1634),
    [anon_sym_SEMI] = ACTIONS(1632),
    [aux_sym_declare_statement_token1] = ACTIONS(1634),
    [anon_sym_COMMA] = ACTIONS(1632),
    [aux_sym_set_statement_token1] = ACTIONS(1634),
    [anon_sym_LPAREN] = ACTIONS(1632),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1634),
    [aux_sym_return_satement_token1] = ACTIONS(1634),
    [aux_sym_call_statement_token1] = ACTIONS(1634),
    [aux_sym_loop_statement_token1] = ACTIONS(1634),
    [aux_sym_while_statement_token1] = ACTIONS(1634),
    [aux_sym_break_statement_token1] = ACTIONS(1634),
    [aux_sym_leave_statement_token1] = ACTIONS(1634),
    [aux_sym_continue_statement_token1] = ACTIONS(1634),
    [aux_sym_iterate_statement_token1] = ACTIONS(1634),
    [aux_sym_raise_statement_token1] = ACTIONS(1634),
    [anon_sym_EQ] = ACTIONS(1632),
    [aux_sym_assert_statement_token1] = ACTIONS(1634),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1634),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1634),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1634),
    [anon_sym_LT] = ACTIONS(1634),
    [anon_sym_GT] = ACTIONS(1634),
    [aux_sym_select_token1] = ACTIONS(1634),
    [aux_sym_insert_statement_token1] = ACTIONS(1634),
    [aux_sym_truncate_statement_token1] = ACTIONS(1634),
    [aux_sym_update_statement_token1] = ACTIONS(1634),
    [aux_sym_merge_statement_token1] = ACTIONS(1634),
    [aux_sym_grant_statement_token1] = ACTIONS(1634),
    [aux_sym_revoke_statement_token1] = ACTIONS(1634),
    [aux_sym_export_data_statement_token1] = ACTIONS(1634),
    [aux_sym_load_data_statement_token1] = ACTIONS(1634),
    [anon_sym_LBRACK] = ACTIONS(1632),
    [sym__quoted_identifier] = ACTIONS(1632),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1632),
    [anon_sym_PLUS] = ACTIONS(1632),
    [anon_sym_DASH] = ACTIONS(1634),
    [anon_sym_STAR] = ACTIONS(1632),
    [anon_sym_SLASH] = ACTIONS(1634),
    [anon_sym_PIPE_PIPE] = ACTIONS(1632),
    [anon_sym_LT_EQ] = ACTIONS(1632),
    [anon_sym_LT_GT] = ACTIONS(1632),
    [anon_sym_GT_EQ] = ACTIONS(1632),
    [anon_sym_BANG_EQ] = ACTIONS(1632),
    [anon_sym_LT_LT] = ACTIONS(1632),
    [anon_sym_GT_GT] = ACTIONS(1632),
    [anon_sym_AMP] = ACTIONS(1632),
    [anon_sym_CARET] = ACTIONS(1632),
    [anon_sym_PIPE] = ACTIONS(1634),
  },
  [4590] = {
    [sym__unquoted_identifier] = ACTIONS(1840),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1840),
    [aux_sym__keyword_alter_token1] = ACTIONS(1840),
    [aux_sym__keyword_delete_token1] = ACTIONS(1840),
    [aux_sym__keyword_begin_token1] = ACTIONS(1840),
    [aux_sym__keyword_end_token1] = ACTIONS(1840),
    [aux_sym__keyword_when_token1] = ACTIONS(1840),
    [aux_sym__keyword_else_token1] = ACTIONS(1840),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1840),
    [aux_sym__keyword_as_token1] = ACTIONS(1840),
    [aux_sym__keyword_window_token1] = ACTIONS(1840),
    [aux_sym__keyword_date_token1] = ACTIONS(1840),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1840),
    [aux_sym__keyword_time_token1] = ACTIONS(1840),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1840),
    [aux_sym__keyword_for_token1] = ACTIONS(1840),
    [anon_sym_SEMI] = ACTIONS(1838),
    [aux_sym_declare_statement_token1] = ACTIONS(1840),
    [anon_sym_COMMA] = ACTIONS(1838),
    [aux_sym_set_statement_token1] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1838),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1840),
    [aux_sym_using_clause_token1] = ACTIONS(1840),
    [aux_sym_return_satement_token1] = ACTIONS(1840),
    [aux_sym_call_statement_token1] = ACTIONS(1840),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1840),
    [aux_sym_if_statement_token1] = ACTIONS(1840),
    [aux_sym_loop_statement_token1] = ACTIONS(1840),
    [aux_sym_repeat_statement_token1] = ACTIONS(1840),
    [aux_sym_while_statement_token1] = ACTIONS(1840),
    [aux_sym_break_statement_token1] = ACTIONS(1840),
    [aux_sym_leave_statement_token1] = ACTIONS(1840),
    [aux_sym_continue_statement_token1] = ACTIONS(1840),
    [aux_sym_iterate_statement_token1] = ACTIONS(1840),
    [aux_sym_raise_statement_token1] = ACTIONS(1840),
    [aux_sym_assert_statement_token1] = ACTIONS(1840),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1840),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1840),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1840),
    [aux_sym_set_operation_token1] = ACTIONS(1840),
    [aux_sym_set_operation_token3] = ACTIONS(1840),
    [aux_sym_set_operation_token4] = ACTIONS(1840),
    [aux_sym_select_token1] = ACTIONS(1840),
    [aux_sym_having_clause_token1] = ACTIONS(1840),
    [aux_sym_qualify_clause_token1] = ACTIONS(1840),
    [aux_sym_limit_clause_token1] = ACTIONS(1840),
    [aux_sym_group_by_clause_token1] = ACTIONS(1840),
    [aux_sym_order_by_clause_token1] = ACTIONS(1840),
    [aux_sym_where_clause_token1] = ACTIONS(1840),
    [aux_sym_pivot_operator_token1] = ACTIONS(1840),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1840),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1840),
    [aux_sym_join_type_token1] = ACTIONS(1840),
    [aux_sym_join_type_token2] = ACTIONS(1840),
    [aux_sym_join_type_token3] = ACTIONS(1840),
    [aux_sym_join_type_token4] = ACTIONS(1840),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1840),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1840),
    [aux_sym_join_condition_token1] = ACTIONS(1840),
    [aux_sym_insert_statement_token1] = ACTIONS(1840),
    [aux_sym_truncate_statement_token1] = ACTIONS(1840),
    [aux_sym_update_statement_token1] = ACTIONS(1840),
    [aux_sym_merge_statement_token1] = ACTIONS(1840),
    [aux_sym_grant_statement_token1] = ACTIONS(1840),
    [aux_sym_revoke_statement_token1] = ACTIONS(1840),
    [aux_sym_export_data_statement_token1] = ACTIONS(1840),
    [aux_sym_load_data_statement_token1] = ACTIONS(1840),
    [sym__quoted_identifier] = ACTIONS(1838),
    [sym_comment] = ACTIONS(3),
  },
  [4591] = {
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1362),
    [aux_sym_keyword_replace_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_between_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1362),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1362),
    [aux_sym__keyword_like_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [4592] = {
    [ts_builtin_sym_end] = ACTIONS(1626),
    [sym__unquoted_identifier] = ACTIONS(1628),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1628),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1628),
    [aux_sym_keyword_replace_token1] = ACTIONS(1628),
    [aux_sym__keyword_alter_token1] = ACTIONS(1628),
    [aux_sym__keyword_delete_token1] = ACTIONS(1628),
    [aux_sym__keyword_begin_token1] = ACTIONS(1628),
    [aux_sym__keyword_between_token1] = ACTIONS(1628),
    [aux_sym__keyword_is_token1] = ACTIONS(1628),
    [aux_sym__keyword_in_token1] = ACTIONS(1628),
    [aux_sym__keyword_and_token1] = ACTIONS(1628),
    [aux_sym__keyword_like_token1] = ACTIONS(1628),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1628),
    [aux_sym__keyword_as_token1] = ACTIONS(1628),
    [aux_sym__keyword_date_token1] = ACTIONS(1628),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1628),
    [aux_sym__keyword_time_token1] = ACTIONS(1628),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1628),
    [aux_sym__keyword_for_token1] = ACTIONS(1628),
    [anon_sym_SEMI] = ACTIONS(1626),
    [aux_sym_declare_statement_token1] = ACTIONS(1628),
    [anon_sym_COMMA] = ACTIONS(1626),
    [aux_sym_set_statement_token1] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1626),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1628),
    [aux_sym_return_satement_token1] = ACTIONS(1628),
    [aux_sym_call_statement_token1] = ACTIONS(1628),
    [aux_sym_loop_statement_token1] = ACTIONS(1628),
    [aux_sym_while_statement_token1] = ACTIONS(1628),
    [aux_sym_break_statement_token1] = ACTIONS(1628),
    [aux_sym_leave_statement_token1] = ACTIONS(1628),
    [aux_sym_continue_statement_token1] = ACTIONS(1628),
    [aux_sym_iterate_statement_token1] = ACTIONS(1628),
    [aux_sym_raise_statement_token1] = ACTIONS(1628),
    [anon_sym_EQ] = ACTIONS(1626),
    [aux_sym_assert_statement_token1] = ACTIONS(1628),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1628),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1628),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1628),
    [anon_sym_LT] = ACTIONS(1628),
    [anon_sym_GT] = ACTIONS(1628),
    [aux_sym_select_token1] = ACTIONS(1628),
    [aux_sym_insert_statement_token1] = ACTIONS(1628),
    [aux_sym_truncate_statement_token1] = ACTIONS(1628),
    [aux_sym_update_statement_token1] = ACTIONS(1628),
    [aux_sym_merge_statement_token1] = ACTIONS(1628),
    [aux_sym_grant_statement_token1] = ACTIONS(1628),
    [aux_sym_revoke_statement_token1] = ACTIONS(1628),
    [aux_sym_export_data_statement_token1] = ACTIONS(1628),
    [aux_sym_load_data_statement_token1] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1626),
    [sym__quoted_identifier] = ACTIONS(1626),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1626),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1628),
    [anon_sym_STAR] = ACTIONS(1626),
    [anon_sym_SLASH] = ACTIONS(1628),
    [anon_sym_PIPE_PIPE] = ACTIONS(1626),
    [anon_sym_LT_EQ] = ACTIONS(1626),
    [anon_sym_LT_GT] = ACTIONS(1626),
    [anon_sym_GT_EQ] = ACTIONS(1626),
    [anon_sym_BANG_EQ] = ACTIONS(1626),
    [anon_sym_LT_LT] = ACTIONS(1626),
    [anon_sym_GT_GT] = ACTIONS(1626),
    [anon_sym_AMP] = ACTIONS(1626),
    [anon_sym_CARET] = ACTIONS(1626),
    [anon_sym_PIPE] = ACTIONS(1628),
  },
  [4593] = {
    [ts_builtin_sym_end] = ACTIONS(1622),
    [sym__unquoted_identifier] = ACTIONS(1624),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1624),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1624),
    [aux_sym_keyword_replace_token1] = ACTIONS(1624),
    [aux_sym__keyword_alter_token1] = ACTIONS(1624),
    [aux_sym__keyword_delete_token1] = ACTIONS(1624),
    [aux_sym__keyword_begin_token1] = ACTIONS(1624),
    [aux_sym__keyword_between_token1] = ACTIONS(1624),
    [aux_sym__keyword_is_token1] = ACTIONS(1624),
    [aux_sym__keyword_in_token1] = ACTIONS(1624),
    [aux_sym__keyword_and_token1] = ACTIONS(1624),
    [aux_sym__keyword_like_token1] = ACTIONS(1624),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1624),
    [aux_sym__keyword_as_token1] = ACTIONS(1624),
    [aux_sym__keyword_date_token1] = ACTIONS(1624),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1624),
    [aux_sym__keyword_time_token1] = ACTIONS(1624),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1624),
    [aux_sym__keyword_for_token1] = ACTIONS(1624),
    [anon_sym_SEMI] = ACTIONS(1622),
    [aux_sym_declare_statement_token1] = ACTIONS(1624),
    [anon_sym_COMMA] = ACTIONS(1622),
    [aux_sym_set_statement_token1] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1622),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1624),
    [aux_sym_return_satement_token1] = ACTIONS(1624),
    [aux_sym_call_statement_token1] = ACTIONS(1624),
    [aux_sym_loop_statement_token1] = ACTIONS(1624),
    [aux_sym_while_statement_token1] = ACTIONS(1624),
    [aux_sym_break_statement_token1] = ACTIONS(1624),
    [aux_sym_leave_statement_token1] = ACTIONS(1624),
    [aux_sym_continue_statement_token1] = ACTIONS(1624),
    [aux_sym_iterate_statement_token1] = ACTIONS(1624),
    [aux_sym_raise_statement_token1] = ACTIONS(1624),
    [anon_sym_EQ] = ACTIONS(1622),
    [aux_sym_assert_statement_token1] = ACTIONS(1624),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1624),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1624),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1624),
    [anon_sym_LT] = ACTIONS(1624),
    [anon_sym_GT] = ACTIONS(1624),
    [aux_sym_select_token1] = ACTIONS(1624),
    [aux_sym_insert_statement_token1] = ACTIONS(1624),
    [aux_sym_truncate_statement_token1] = ACTIONS(1624),
    [aux_sym_update_statement_token1] = ACTIONS(1624),
    [aux_sym_merge_statement_token1] = ACTIONS(1624),
    [aux_sym_grant_statement_token1] = ACTIONS(1624),
    [aux_sym_revoke_statement_token1] = ACTIONS(1624),
    [aux_sym_export_data_statement_token1] = ACTIONS(1624),
    [aux_sym_load_data_statement_token1] = ACTIONS(1624),
    [anon_sym_LBRACK] = ACTIONS(1622),
    [sym__quoted_identifier] = ACTIONS(1622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1622),
    [anon_sym_PLUS] = ACTIONS(1622),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_STAR] = ACTIONS(1622),
    [anon_sym_SLASH] = ACTIONS(1624),
    [anon_sym_PIPE_PIPE] = ACTIONS(1622),
    [anon_sym_LT_EQ] = ACTIONS(1622),
    [anon_sym_LT_GT] = ACTIONS(1622),
    [anon_sym_GT_EQ] = ACTIONS(1622),
    [anon_sym_BANG_EQ] = ACTIONS(1622),
    [anon_sym_LT_LT] = ACTIONS(1622),
    [anon_sym_GT_GT] = ACTIONS(1622),
    [anon_sym_AMP] = ACTIONS(1622),
    [anon_sym_CARET] = ACTIONS(1622),
    [anon_sym_PIPE] = ACTIONS(1624),
  },
  [4594] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [4595] = {
    [ts_builtin_sym_end] = ACTIONS(1618),
    [sym__unquoted_identifier] = ACTIONS(1620),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1620),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1620),
    [aux_sym_keyword_replace_token1] = ACTIONS(1620),
    [aux_sym__keyword_alter_token1] = ACTIONS(1620),
    [aux_sym__keyword_delete_token1] = ACTIONS(1620),
    [aux_sym__keyword_begin_token1] = ACTIONS(1620),
    [aux_sym__keyword_between_token1] = ACTIONS(1620),
    [aux_sym__keyword_is_token1] = ACTIONS(1620),
    [aux_sym__keyword_in_token1] = ACTIONS(1620),
    [aux_sym__keyword_and_token1] = ACTIONS(1620),
    [aux_sym__keyword_like_token1] = ACTIONS(1620),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1620),
    [aux_sym__keyword_as_token1] = ACTIONS(1620),
    [aux_sym__keyword_date_token1] = ACTIONS(1620),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1620),
    [aux_sym__keyword_time_token1] = ACTIONS(1620),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1620),
    [aux_sym__keyword_for_token1] = ACTIONS(1620),
    [anon_sym_SEMI] = ACTIONS(1618),
    [aux_sym_declare_statement_token1] = ACTIONS(1620),
    [anon_sym_COMMA] = ACTIONS(1618),
    [aux_sym_set_statement_token1] = ACTIONS(1620),
    [anon_sym_LPAREN] = ACTIONS(1618),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1620),
    [aux_sym_return_satement_token1] = ACTIONS(1620),
    [aux_sym_call_statement_token1] = ACTIONS(1620),
    [aux_sym_loop_statement_token1] = ACTIONS(1620),
    [aux_sym_while_statement_token1] = ACTIONS(1620),
    [aux_sym_break_statement_token1] = ACTIONS(1620),
    [aux_sym_leave_statement_token1] = ACTIONS(1620),
    [aux_sym_continue_statement_token1] = ACTIONS(1620),
    [aux_sym_iterate_statement_token1] = ACTIONS(1620),
    [aux_sym_raise_statement_token1] = ACTIONS(1620),
    [anon_sym_EQ] = ACTIONS(1618),
    [aux_sym_assert_statement_token1] = ACTIONS(1620),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1620),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1620),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1620),
    [anon_sym_LT] = ACTIONS(1620),
    [anon_sym_GT] = ACTIONS(1620),
    [aux_sym_select_token1] = ACTIONS(1620),
    [aux_sym_insert_statement_token1] = ACTIONS(1620),
    [aux_sym_truncate_statement_token1] = ACTIONS(1620),
    [aux_sym_update_statement_token1] = ACTIONS(1620),
    [aux_sym_merge_statement_token1] = ACTIONS(1620),
    [aux_sym_grant_statement_token1] = ACTIONS(1620),
    [aux_sym_revoke_statement_token1] = ACTIONS(1620),
    [aux_sym_export_data_statement_token1] = ACTIONS(1620),
    [aux_sym_load_data_statement_token1] = ACTIONS(1620),
    [anon_sym_LBRACK] = ACTIONS(1618),
    [sym__quoted_identifier] = ACTIONS(1618),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1618),
    [anon_sym_PLUS] = ACTIONS(1618),
    [anon_sym_DASH] = ACTIONS(1620),
    [anon_sym_STAR] = ACTIONS(1618),
    [anon_sym_SLASH] = ACTIONS(1620),
    [anon_sym_PIPE_PIPE] = ACTIONS(1618),
    [anon_sym_LT_EQ] = ACTIONS(1618),
    [anon_sym_LT_GT] = ACTIONS(1618),
    [anon_sym_GT_EQ] = ACTIONS(1618),
    [anon_sym_BANG_EQ] = ACTIONS(1618),
    [anon_sym_LT_LT] = ACTIONS(1618),
    [anon_sym_GT_GT] = ACTIONS(1618),
    [anon_sym_AMP] = ACTIONS(1618),
    [anon_sym_CARET] = ACTIONS(1618),
    [anon_sym_PIPE] = ACTIONS(1620),
  },
  [4596] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4597] = {
    [ts_builtin_sym_end] = ACTIONS(1614),
    [sym__unquoted_identifier] = ACTIONS(1616),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1616),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1616),
    [aux_sym_keyword_replace_token1] = ACTIONS(1616),
    [aux_sym__keyword_alter_token1] = ACTIONS(1616),
    [aux_sym__keyword_delete_token1] = ACTIONS(1616),
    [aux_sym__keyword_begin_token1] = ACTIONS(1616),
    [aux_sym__keyword_between_token1] = ACTIONS(1616),
    [aux_sym__keyword_is_token1] = ACTIONS(1616),
    [aux_sym__keyword_in_token1] = ACTIONS(1616),
    [aux_sym__keyword_and_token1] = ACTIONS(1616),
    [aux_sym__keyword_like_token1] = ACTIONS(1616),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1616),
    [aux_sym__keyword_as_token1] = ACTIONS(1616),
    [aux_sym__keyword_date_token1] = ACTIONS(1616),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1616),
    [aux_sym__keyword_time_token1] = ACTIONS(1616),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1616),
    [aux_sym__keyword_for_token1] = ACTIONS(1616),
    [anon_sym_SEMI] = ACTIONS(1614),
    [aux_sym_declare_statement_token1] = ACTIONS(1616),
    [anon_sym_COMMA] = ACTIONS(1614),
    [aux_sym_set_statement_token1] = ACTIONS(1616),
    [anon_sym_LPAREN] = ACTIONS(1614),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1616),
    [aux_sym_return_satement_token1] = ACTIONS(1616),
    [aux_sym_call_statement_token1] = ACTIONS(1616),
    [aux_sym_loop_statement_token1] = ACTIONS(1616),
    [aux_sym_while_statement_token1] = ACTIONS(1616),
    [aux_sym_break_statement_token1] = ACTIONS(1616),
    [aux_sym_leave_statement_token1] = ACTIONS(1616),
    [aux_sym_continue_statement_token1] = ACTIONS(1616),
    [aux_sym_iterate_statement_token1] = ACTIONS(1616),
    [aux_sym_raise_statement_token1] = ACTIONS(1616),
    [anon_sym_EQ] = ACTIONS(1614),
    [aux_sym_assert_statement_token1] = ACTIONS(1616),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1616),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1616),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1616),
    [anon_sym_LT] = ACTIONS(1616),
    [anon_sym_GT] = ACTIONS(1616),
    [aux_sym_select_token1] = ACTIONS(1616),
    [aux_sym_insert_statement_token1] = ACTIONS(1616),
    [aux_sym_truncate_statement_token1] = ACTIONS(1616),
    [aux_sym_update_statement_token1] = ACTIONS(1616),
    [aux_sym_merge_statement_token1] = ACTIONS(1616),
    [aux_sym_grant_statement_token1] = ACTIONS(1616),
    [aux_sym_revoke_statement_token1] = ACTIONS(1616),
    [aux_sym_export_data_statement_token1] = ACTIONS(1616),
    [aux_sym_load_data_statement_token1] = ACTIONS(1616),
    [anon_sym_LBRACK] = ACTIONS(1614),
    [sym__quoted_identifier] = ACTIONS(1614),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1614),
    [anon_sym_PLUS] = ACTIONS(1614),
    [anon_sym_DASH] = ACTIONS(1616),
    [anon_sym_STAR] = ACTIONS(1614),
    [anon_sym_SLASH] = ACTIONS(1616),
    [anon_sym_PIPE_PIPE] = ACTIONS(1614),
    [anon_sym_LT_EQ] = ACTIONS(1614),
    [anon_sym_LT_GT] = ACTIONS(1614),
    [anon_sym_GT_EQ] = ACTIONS(1614),
    [anon_sym_BANG_EQ] = ACTIONS(1614),
    [anon_sym_LT_LT] = ACTIONS(1614),
    [anon_sym_GT_GT] = ACTIONS(1614),
    [anon_sym_AMP] = ACTIONS(1614),
    [anon_sym_CARET] = ACTIONS(1614),
    [anon_sym_PIPE] = ACTIONS(1616),
  },
  [4598] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4599] = {
    [ts_builtin_sym_end] = ACTIONS(1610),
    [sym__unquoted_identifier] = ACTIONS(1612),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1612),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1612),
    [aux_sym_keyword_replace_token1] = ACTIONS(1612),
    [aux_sym__keyword_alter_token1] = ACTIONS(1612),
    [aux_sym__keyword_delete_token1] = ACTIONS(1612),
    [aux_sym__keyword_begin_token1] = ACTIONS(1612),
    [aux_sym__keyword_between_token1] = ACTIONS(1612),
    [aux_sym__keyword_is_token1] = ACTIONS(1612),
    [aux_sym__keyword_in_token1] = ACTIONS(1612),
    [aux_sym__keyword_and_token1] = ACTIONS(1612),
    [aux_sym__keyword_like_token1] = ACTIONS(1612),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1612),
    [aux_sym__keyword_as_token1] = ACTIONS(1612),
    [aux_sym__keyword_date_token1] = ACTIONS(1612),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1612),
    [aux_sym__keyword_time_token1] = ACTIONS(1612),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1612),
    [aux_sym__keyword_for_token1] = ACTIONS(1612),
    [anon_sym_SEMI] = ACTIONS(1610),
    [aux_sym_declare_statement_token1] = ACTIONS(1612),
    [anon_sym_COMMA] = ACTIONS(1610),
    [aux_sym_set_statement_token1] = ACTIONS(1612),
    [anon_sym_LPAREN] = ACTIONS(1610),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1612),
    [aux_sym_return_satement_token1] = ACTIONS(1612),
    [aux_sym_call_statement_token1] = ACTIONS(1612),
    [aux_sym_loop_statement_token1] = ACTIONS(1612),
    [aux_sym_while_statement_token1] = ACTIONS(1612),
    [aux_sym_break_statement_token1] = ACTIONS(1612),
    [aux_sym_leave_statement_token1] = ACTIONS(1612),
    [aux_sym_continue_statement_token1] = ACTIONS(1612),
    [aux_sym_iterate_statement_token1] = ACTIONS(1612),
    [aux_sym_raise_statement_token1] = ACTIONS(1612),
    [anon_sym_EQ] = ACTIONS(1610),
    [aux_sym_assert_statement_token1] = ACTIONS(1612),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1612),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1612),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1612),
    [anon_sym_LT] = ACTIONS(1612),
    [anon_sym_GT] = ACTIONS(1612),
    [aux_sym_select_token1] = ACTIONS(1612),
    [aux_sym_insert_statement_token1] = ACTIONS(1612),
    [aux_sym_truncate_statement_token1] = ACTIONS(1612),
    [aux_sym_update_statement_token1] = ACTIONS(1612),
    [aux_sym_merge_statement_token1] = ACTIONS(1612),
    [aux_sym_grant_statement_token1] = ACTIONS(1612),
    [aux_sym_revoke_statement_token1] = ACTIONS(1612),
    [aux_sym_export_data_statement_token1] = ACTIONS(1612),
    [aux_sym_load_data_statement_token1] = ACTIONS(1612),
    [anon_sym_LBRACK] = ACTIONS(1610),
    [sym__quoted_identifier] = ACTIONS(1610),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1610),
    [anon_sym_PLUS] = ACTIONS(1610),
    [anon_sym_DASH] = ACTIONS(1612),
    [anon_sym_STAR] = ACTIONS(1610),
    [anon_sym_SLASH] = ACTIONS(1612),
    [anon_sym_PIPE_PIPE] = ACTIONS(1610),
    [anon_sym_LT_EQ] = ACTIONS(1610),
    [anon_sym_LT_GT] = ACTIONS(1610),
    [anon_sym_GT_EQ] = ACTIONS(1610),
    [anon_sym_BANG_EQ] = ACTIONS(1610),
    [anon_sym_LT_LT] = ACTIONS(1610),
    [anon_sym_GT_GT] = ACTIONS(1610),
    [anon_sym_AMP] = ACTIONS(1610),
    [anon_sym_CARET] = ACTIONS(1610),
    [anon_sym_PIPE] = ACTIONS(1612),
  },
  [4600] = {
    [ts_builtin_sym_end] = ACTIONS(1606),
    [sym__unquoted_identifier] = ACTIONS(1608),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1608),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1608),
    [aux_sym_keyword_replace_token1] = ACTIONS(1608),
    [aux_sym__keyword_alter_token1] = ACTIONS(1608),
    [aux_sym__keyword_delete_token1] = ACTIONS(1608),
    [aux_sym__keyword_begin_token1] = ACTIONS(1608),
    [aux_sym__keyword_between_token1] = ACTIONS(1608),
    [aux_sym__keyword_is_token1] = ACTIONS(1608),
    [aux_sym__keyword_in_token1] = ACTIONS(1608),
    [aux_sym__keyword_and_token1] = ACTIONS(1608),
    [aux_sym__keyword_like_token1] = ACTIONS(1608),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1608),
    [aux_sym__keyword_as_token1] = ACTIONS(1608),
    [aux_sym__keyword_date_token1] = ACTIONS(1608),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1608),
    [aux_sym__keyword_time_token1] = ACTIONS(1608),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1608),
    [aux_sym__keyword_for_token1] = ACTIONS(1608),
    [anon_sym_SEMI] = ACTIONS(1606),
    [aux_sym_declare_statement_token1] = ACTIONS(1608),
    [anon_sym_COMMA] = ACTIONS(1606),
    [aux_sym_set_statement_token1] = ACTIONS(1608),
    [anon_sym_LPAREN] = ACTIONS(1606),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1608),
    [aux_sym_return_satement_token1] = ACTIONS(1608),
    [aux_sym_call_statement_token1] = ACTIONS(1608),
    [aux_sym_loop_statement_token1] = ACTIONS(1608),
    [aux_sym_while_statement_token1] = ACTIONS(1608),
    [aux_sym_break_statement_token1] = ACTIONS(1608),
    [aux_sym_leave_statement_token1] = ACTIONS(1608),
    [aux_sym_continue_statement_token1] = ACTIONS(1608),
    [aux_sym_iterate_statement_token1] = ACTIONS(1608),
    [aux_sym_raise_statement_token1] = ACTIONS(1608),
    [anon_sym_EQ] = ACTIONS(1606),
    [aux_sym_assert_statement_token1] = ACTIONS(1608),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1608),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1608),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1608),
    [anon_sym_LT] = ACTIONS(1608),
    [anon_sym_GT] = ACTIONS(1608),
    [aux_sym_select_token1] = ACTIONS(1608),
    [aux_sym_insert_statement_token1] = ACTIONS(1608),
    [aux_sym_truncate_statement_token1] = ACTIONS(1608),
    [aux_sym_update_statement_token1] = ACTIONS(1608),
    [aux_sym_merge_statement_token1] = ACTIONS(1608),
    [aux_sym_grant_statement_token1] = ACTIONS(1608),
    [aux_sym_revoke_statement_token1] = ACTIONS(1608),
    [aux_sym_export_data_statement_token1] = ACTIONS(1608),
    [aux_sym_load_data_statement_token1] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(1606),
    [sym__quoted_identifier] = ACTIONS(1606),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1606),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_STAR] = ACTIONS(1606),
    [anon_sym_SLASH] = ACTIONS(1608),
    [anon_sym_PIPE_PIPE] = ACTIONS(1606),
    [anon_sym_LT_EQ] = ACTIONS(1606),
    [anon_sym_LT_GT] = ACTIONS(1606),
    [anon_sym_GT_EQ] = ACTIONS(1606),
    [anon_sym_BANG_EQ] = ACTIONS(1606),
    [anon_sym_LT_LT] = ACTIONS(1606),
    [anon_sym_GT_GT] = ACTIONS(1606),
    [anon_sym_AMP] = ACTIONS(1606),
    [anon_sym_CARET] = ACTIONS(1606),
    [anon_sym_PIPE] = ACTIONS(1608),
  },
  [4601] = {
    [ts_builtin_sym_end] = ACTIONS(1602),
    [sym__unquoted_identifier] = ACTIONS(1604),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1604),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1604),
    [aux_sym_keyword_replace_token1] = ACTIONS(1604),
    [aux_sym__keyword_alter_token1] = ACTIONS(1604),
    [aux_sym__keyword_delete_token1] = ACTIONS(1604),
    [aux_sym__keyword_begin_token1] = ACTIONS(1604),
    [aux_sym__keyword_between_token1] = ACTIONS(1604),
    [aux_sym__keyword_is_token1] = ACTIONS(1604),
    [aux_sym__keyword_in_token1] = ACTIONS(1604),
    [aux_sym__keyword_and_token1] = ACTIONS(1604),
    [aux_sym__keyword_like_token1] = ACTIONS(1604),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1604),
    [aux_sym__keyword_as_token1] = ACTIONS(1604),
    [aux_sym__keyword_date_token1] = ACTIONS(1604),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1604),
    [aux_sym__keyword_time_token1] = ACTIONS(1604),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1604),
    [aux_sym__keyword_for_token1] = ACTIONS(1604),
    [anon_sym_SEMI] = ACTIONS(1602),
    [aux_sym_declare_statement_token1] = ACTIONS(1604),
    [anon_sym_COMMA] = ACTIONS(1602),
    [aux_sym_set_statement_token1] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(1602),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1604),
    [aux_sym_return_satement_token1] = ACTIONS(1604),
    [aux_sym_call_statement_token1] = ACTIONS(1604),
    [aux_sym_loop_statement_token1] = ACTIONS(1604),
    [aux_sym_while_statement_token1] = ACTIONS(1604),
    [aux_sym_break_statement_token1] = ACTIONS(1604),
    [aux_sym_leave_statement_token1] = ACTIONS(1604),
    [aux_sym_continue_statement_token1] = ACTIONS(1604),
    [aux_sym_iterate_statement_token1] = ACTIONS(1604),
    [aux_sym_raise_statement_token1] = ACTIONS(1604),
    [anon_sym_EQ] = ACTIONS(1602),
    [aux_sym_assert_statement_token1] = ACTIONS(1604),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1604),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1604),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1604),
    [anon_sym_LT] = ACTIONS(1604),
    [anon_sym_GT] = ACTIONS(1604),
    [aux_sym_select_token1] = ACTIONS(1604),
    [aux_sym_insert_statement_token1] = ACTIONS(1604),
    [aux_sym_truncate_statement_token1] = ACTIONS(1604),
    [aux_sym_update_statement_token1] = ACTIONS(1604),
    [aux_sym_merge_statement_token1] = ACTIONS(1604),
    [aux_sym_grant_statement_token1] = ACTIONS(1604),
    [aux_sym_revoke_statement_token1] = ACTIONS(1604),
    [aux_sym_export_data_statement_token1] = ACTIONS(1604),
    [aux_sym_load_data_statement_token1] = ACTIONS(1604),
    [anon_sym_LBRACK] = ACTIONS(1602),
    [sym__quoted_identifier] = ACTIONS(1602),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1602),
    [anon_sym_PLUS] = ACTIONS(1602),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_STAR] = ACTIONS(1602),
    [anon_sym_SLASH] = ACTIONS(1604),
    [anon_sym_PIPE_PIPE] = ACTIONS(1602),
    [anon_sym_LT_EQ] = ACTIONS(1602),
    [anon_sym_LT_GT] = ACTIONS(1602),
    [anon_sym_GT_EQ] = ACTIONS(1602),
    [anon_sym_BANG_EQ] = ACTIONS(1602),
    [anon_sym_LT_LT] = ACTIONS(1602),
    [anon_sym_GT_GT] = ACTIONS(1602),
    [anon_sym_AMP] = ACTIONS(1602),
    [anon_sym_CARET] = ACTIONS(1602),
    [anon_sym_PIPE] = ACTIONS(1604),
  },
  [4602] = {
    [sym__unquoted_identifier] = ACTIONS(1782),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1782),
    [aux_sym__keyword_alter_token1] = ACTIONS(1782),
    [aux_sym__keyword_delete_token1] = ACTIONS(1782),
    [aux_sym__keyword_begin_token1] = ACTIONS(1782),
    [aux_sym__keyword_end_token1] = ACTIONS(1782),
    [aux_sym__keyword_when_token1] = ACTIONS(1782),
    [aux_sym__keyword_else_token1] = ACTIONS(1782),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1782),
    [aux_sym__keyword_as_token1] = ACTIONS(1782),
    [aux_sym__keyword_window_token1] = ACTIONS(1782),
    [aux_sym__keyword_date_token1] = ACTIONS(1782),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1782),
    [aux_sym__keyword_time_token1] = ACTIONS(1782),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1782),
    [aux_sym__keyword_for_token1] = ACTIONS(1782),
    [anon_sym_SEMI] = ACTIONS(1780),
    [aux_sym_declare_statement_token1] = ACTIONS(1782),
    [anon_sym_COMMA] = ACTIONS(1780),
    [aux_sym_set_statement_token1] = ACTIONS(1782),
    [anon_sym_LPAREN] = ACTIONS(1780),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1782),
    [aux_sym_using_clause_token1] = ACTIONS(1782),
    [aux_sym_return_satement_token1] = ACTIONS(1782),
    [aux_sym_call_statement_token1] = ACTIONS(1782),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1782),
    [aux_sym_if_statement_token1] = ACTIONS(1782),
    [aux_sym_loop_statement_token1] = ACTIONS(1782),
    [aux_sym_repeat_statement_token1] = ACTIONS(1782),
    [aux_sym_while_statement_token1] = ACTIONS(1782),
    [aux_sym_break_statement_token1] = ACTIONS(1782),
    [aux_sym_leave_statement_token1] = ACTIONS(1782),
    [aux_sym_continue_statement_token1] = ACTIONS(1782),
    [aux_sym_iterate_statement_token1] = ACTIONS(1782),
    [aux_sym_raise_statement_token1] = ACTIONS(1782),
    [aux_sym_assert_statement_token1] = ACTIONS(1782),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1782),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1782),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1782),
    [aux_sym_set_operation_token1] = ACTIONS(1782),
    [aux_sym_set_operation_token3] = ACTIONS(1782),
    [aux_sym_set_operation_token4] = ACTIONS(1782),
    [aux_sym_select_token1] = ACTIONS(1782),
    [aux_sym_having_clause_token1] = ACTIONS(1782),
    [aux_sym_qualify_clause_token1] = ACTIONS(1782),
    [aux_sym_limit_clause_token1] = ACTIONS(1782),
    [aux_sym_group_by_clause_token1] = ACTIONS(1782),
    [aux_sym_order_by_clause_token1] = ACTIONS(1782),
    [aux_sym_where_clause_token1] = ACTIONS(1782),
    [aux_sym_pivot_operator_token1] = ACTIONS(1782),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1782),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1782),
    [aux_sym_join_type_token1] = ACTIONS(1782),
    [aux_sym_join_type_token2] = ACTIONS(1782),
    [aux_sym_join_type_token3] = ACTIONS(1782),
    [aux_sym_join_type_token4] = ACTIONS(1782),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1782),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1782),
    [aux_sym_join_condition_token1] = ACTIONS(1782),
    [aux_sym_insert_statement_token1] = ACTIONS(1782),
    [aux_sym_truncate_statement_token1] = ACTIONS(1782),
    [aux_sym_update_statement_token1] = ACTIONS(1782),
    [aux_sym_merge_statement_token1] = ACTIONS(1782),
    [aux_sym_grant_statement_token1] = ACTIONS(1782),
    [aux_sym_revoke_statement_token1] = ACTIONS(1782),
    [aux_sym_export_data_statement_token1] = ACTIONS(1782),
    [aux_sym_load_data_statement_token1] = ACTIONS(1782),
    [sym__quoted_identifier] = ACTIONS(1780),
    [sym_comment] = ACTIONS(3),
  },
  [4603] = {
    [sym__unquoted_identifier] = ACTIONS(1782),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1782),
    [aux_sym__keyword_alter_token1] = ACTIONS(1782),
    [aux_sym__keyword_delete_token1] = ACTIONS(1782),
    [aux_sym__keyword_begin_token1] = ACTIONS(1782),
    [aux_sym__keyword_end_token1] = ACTIONS(1782),
    [aux_sym__keyword_when_token1] = ACTIONS(1782),
    [aux_sym__keyword_else_token1] = ACTIONS(1782),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1782),
    [aux_sym__keyword_as_token1] = ACTIONS(1782),
    [aux_sym__keyword_window_token1] = ACTIONS(1782),
    [aux_sym__keyword_date_token1] = ACTIONS(1782),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1782),
    [aux_sym__keyword_time_token1] = ACTIONS(1782),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1782),
    [aux_sym__keyword_for_token1] = ACTIONS(1782),
    [anon_sym_SEMI] = ACTIONS(1780),
    [aux_sym_declare_statement_token1] = ACTIONS(1782),
    [anon_sym_COMMA] = ACTIONS(1780),
    [aux_sym_set_statement_token1] = ACTIONS(1782),
    [anon_sym_LPAREN] = ACTIONS(1780),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1782),
    [aux_sym_using_clause_token1] = ACTIONS(1782),
    [aux_sym_return_satement_token1] = ACTIONS(1782),
    [aux_sym_call_statement_token1] = ACTIONS(1782),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1782),
    [aux_sym_if_statement_token1] = ACTIONS(1782),
    [aux_sym_loop_statement_token1] = ACTIONS(1782),
    [aux_sym_repeat_statement_token1] = ACTIONS(1782),
    [aux_sym_while_statement_token1] = ACTIONS(1782),
    [aux_sym_break_statement_token1] = ACTIONS(1782),
    [aux_sym_leave_statement_token1] = ACTIONS(1782),
    [aux_sym_continue_statement_token1] = ACTIONS(1782),
    [aux_sym_iterate_statement_token1] = ACTIONS(1782),
    [aux_sym_raise_statement_token1] = ACTIONS(1782),
    [aux_sym_assert_statement_token1] = ACTIONS(1782),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1782),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1782),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1782),
    [aux_sym_set_operation_token1] = ACTIONS(1782),
    [aux_sym_set_operation_token3] = ACTIONS(1782),
    [aux_sym_set_operation_token4] = ACTIONS(1782),
    [aux_sym_select_token1] = ACTIONS(1782),
    [aux_sym_having_clause_token1] = ACTIONS(1782),
    [aux_sym_qualify_clause_token1] = ACTIONS(1782),
    [aux_sym_limit_clause_token1] = ACTIONS(1782),
    [aux_sym_group_by_clause_token1] = ACTIONS(1782),
    [aux_sym_order_by_clause_token1] = ACTIONS(1782),
    [aux_sym_where_clause_token1] = ACTIONS(1782),
    [aux_sym_pivot_operator_token1] = ACTIONS(1782),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1782),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1782),
    [aux_sym_join_type_token1] = ACTIONS(1782),
    [aux_sym_join_type_token2] = ACTIONS(1782),
    [aux_sym_join_type_token3] = ACTIONS(1782),
    [aux_sym_join_type_token4] = ACTIONS(1782),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1782),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1782),
    [aux_sym_join_condition_token1] = ACTIONS(1782),
    [aux_sym_insert_statement_token1] = ACTIONS(1782),
    [aux_sym_truncate_statement_token1] = ACTIONS(1782),
    [aux_sym_update_statement_token1] = ACTIONS(1782),
    [aux_sym_merge_statement_token1] = ACTIONS(1782),
    [aux_sym_grant_statement_token1] = ACTIONS(1782),
    [aux_sym_revoke_statement_token1] = ACTIONS(1782),
    [aux_sym_export_data_statement_token1] = ACTIONS(1782),
    [aux_sym_load_data_statement_token1] = ACTIONS(1782),
    [sym__quoted_identifier] = ACTIONS(1780),
    [sym_comment] = ACTIONS(3),
  },
  [4604] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4605] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4606] = {
    [sym__unquoted_identifier] = ACTIONS(1778),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1778),
    [aux_sym__keyword_alter_token1] = ACTIONS(1778),
    [aux_sym__keyword_delete_token1] = ACTIONS(1778),
    [aux_sym__keyword_begin_token1] = ACTIONS(1778),
    [aux_sym__keyword_end_token1] = ACTIONS(1778),
    [aux_sym__keyword_when_token1] = ACTIONS(1778),
    [aux_sym__keyword_else_token1] = ACTIONS(1778),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1778),
    [aux_sym__keyword_as_token1] = ACTIONS(1778),
    [aux_sym__keyword_window_token1] = ACTIONS(1778),
    [aux_sym__keyword_date_token1] = ACTIONS(1778),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1778),
    [aux_sym__keyword_time_token1] = ACTIONS(1778),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1778),
    [aux_sym__keyword_for_token1] = ACTIONS(1778),
    [anon_sym_SEMI] = ACTIONS(1776),
    [aux_sym_declare_statement_token1] = ACTIONS(1778),
    [anon_sym_COMMA] = ACTIONS(1776),
    [aux_sym_set_statement_token1] = ACTIONS(1778),
    [anon_sym_LPAREN] = ACTIONS(1776),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1778),
    [aux_sym_using_clause_token1] = ACTIONS(1778),
    [aux_sym_return_satement_token1] = ACTIONS(1778),
    [aux_sym_call_statement_token1] = ACTIONS(1778),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1778),
    [aux_sym_if_statement_token1] = ACTIONS(1778),
    [aux_sym_loop_statement_token1] = ACTIONS(1778),
    [aux_sym_repeat_statement_token1] = ACTIONS(1778),
    [aux_sym_while_statement_token1] = ACTIONS(1778),
    [aux_sym_break_statement_token1] = ACTIONS(1778),
    [aux_sym_leave_statement_token1] = ACTIONS(1778),
    [aux_sym_continue_statement_token1] = ACTIONS(1778),
    [aux_sym_iterate_statement_token1] = ACTIONS(1778),
    [aux_sym_raise_statement_token1] = ACTIONS(1778),
    [aux_sym_assert_statement_token1] = ACTIONS(1778),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1778),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1778),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1778),
    [aux_sym_set_operation_token1] = ACTIONS(1778),
    [aux_sym_set_operation_token3] = ACTIONS(1778),
    [aux_sym_set_operation_token4] = ACTIONS(1778),
    [aux_sym_select_token1] = ACTIONS(1778),
    [aux_sym_having_clause_token1] = ACTIONS(1778),
    [aux_sym_qualify_clause_token1] = ACTIONS(1778),
    [aux_sym_limit_clause_token1] = ACTIONS(1778),
    [aux_sym_group_by_clause_token1] = ACTIONS(1778),
    [aux_sym_order_by_clause_token1] = ACTIONS(1778),
    [aux_sym_where_clause_token1] = ACTIONS(1778),
    [aux_sym_pivot_operator_token1] = ACTIONS(1778),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1778),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1778),
    [aux_sym_join_type_token1] = ACTIONS(1778),
    [aux_sym_join_type_token2] = ACTIONS(1778),
    [aux_sym_join_type_token3] = ACTIONS(1778),
    [aux_sym_join_type_token4] = ACTIONS(1778),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1778),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1778),
    [aux_sym_join_condition_token1] = ACTIONS(1778),
    [aux_sym_insert_statement_token1] = ACTIONS(1778),
    [aux_sym_truncate_statement_token1] = ACTIONS(1778),
    [aux_sym_update_statement_token1] = ACTIONS(1778),
    [aux_sym_merge_statement_token1] = ACTIONS(1778),
    [aux_sym_grant_statement_token1] = ACTIONS(1778),
    [aux_sym_revoke_statement_token1] = ACTIONS(1778),
    [aux_sym_export_data_statement_token1] = ACTIONS(1778),
    [aux_sym_load_data_statement_token1] = ACTIONS(1778),
    [sym__quoted_identifier] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
  },
  [4607] = {
    [ts_builtin_sym_end] = ACTIONS(1516),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1516),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1516),
    [aux_sym_keyword_replace_token1] = ACTIONS(1516),
    [aux_sym__keyword_alter_token1] = ACTIONS(1516),
    [aux_sym__keyword_delete_token1] = ACTIONS(1516),
    [aux_sym__keyword_begin_token1] = ACTIONS(1516),
    [aux_sym__keyword_end_token1] = ACTIONS(1516),
    [aux_sym__keyword_between_token1] = ACTIONS(1516),
    [aux_sym__keyword_else_token1] = ACTIONS(1518),
    [aux_sym__keyword_is_token1] = ACTIONS(1516),
    [aux_sym__keyword_in_token1] = ACTIONS(1518),
    [aux_sym__keyword_and_token1] = ACTIONS(1516),
    [aux_sym__keyword_like_token1] = ACTIONS(1516),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1516),
    [aux_sym__keyword_for_token1] = ACTIONS(1516),
    [anon_sym_SEMI] = ACTIONS(1516),
    [aux_sym_declare_statement_token1] = ACTIONS(1516),
    [aux_sym_set_statement_token1] = ACTIONS(1516),
    [anon_sym_LPAREN] = ACTIONS(1516),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1516),
    [aux_sym_into_clause_token1] = ACTIONS(1516),
    [aux_sym_using_clause_token1] = ACTIONS(1516),
    [aux_sym_return_satement_token1] = ACTIONS(1516),
    [aux_sym_call_statement_token1] = ACTIONS(1516),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1516),
    [aux_sym_if_statement_token1] = ACTIONS(1516),
    [aux_sym_loop_statement_token1] = ACTIONS(1516),
    [aux_sym_repeat_statement_token1] = ACTIONS(1516),
    [aux_sym_while_statement_token1] = ACTIONS(1516),
    [aux_sym_break_statement_token1] = ACTIONS(1516),
    [aux_sym_leave_statement_token1] = ACTIONS(1516),
    [aux_sym_continue_statement_token1] = ACTIONS(1516),
    [aux_sym_iterate_statement_token1] = ACTIONS(1516),
    [aux_sym_raise_statement_token1] = ACTIONS(1516),
    [anon_sym_EQ] = ACTIONS(1516),
    [aux_sym_assert_statement_token1] = ACTIONS(1516),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1516),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1516),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1516),
    [anon_sym_LT] = ACTIONS(1518),
    [anon_sym_GT] = ACTIONS(1518),
    [aux_sym_select_token1] = ACTIONS(1516),
    [aux_sym_insert_statement_token1] = ACTIONS(1516),
    [aux_sym_truncate_statement_token1] = ACTIONS(1516),
    [aux_sym_update_statement_token1] = ACTIONS(1516),
    [aux_sym_merge_statement_token1] = ACTIONS(1516),
    [aux_sym_grant_statement_token1] = ACTIONS(1516),
    [aux_sym_revoke_statement_token1] = ACTIONS(1516),
    [aux_sym_export_data_statement_token1] = ACTIONS(1516),
    [aux_sym_load_data_statement_token1] = ACTIONS(1516),
    [anon_sym_LBRACK] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1516),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1518),
    [anon_sym_STAR] = ACTIONS(1516),
    [anon_sym_SLASH] = ACTIONS(1518),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [anon_sym_LT_EQ] = ACTIONS(1516),
    [anon_sym_LT_GT] = ACTIONS(1516),
    [anon_sym_GT_EQ] = ACTIONS(1516),
    [anon_sym_BANG_EQ] = ACTIONS(1516),
    [anon_sym_LT_LT] = ACTIONS(1516),
    [anon_sym_GT_GT] = ACTIONS(1516),
    [anon_sym_AMP] = ACTIONS(1516),
    [anon_sym_CARET] = ACTIONS(1516),
    [anon_sym_PIPE] = ACTIONS(1518),
    [sym__string_start] = ACTIONS(1516),
  },
  [4608] = {
    [sym__unquoted_identifier] = ACTIONS(1778),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1778),
    [aux_sym__keyword_alter_token1] = ACTIONS(1778),
    [aux_sym__keyword_delete_token1] = ACTIONS(1778),
    [aux_sym__keyword_begin_token1] = ACTIONS(1778),
    [aux_sym__keyword_end_token1] = ACTIONS(1778),
    [aux_sym__keyword_when_token1] = ACTIONS(1778),
    [aux_sym__keyword_else_token1] = ACTIONS(1778),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1778),
    [aux_sym__keyword_as_token1] = ACTIONS(1778),
    [aux_sym__keyword_window_token1] = ACTIONS(1778),
    [aux_sym__keyword_date_token1] = ACTIONS(1778),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1778),
    [aux_sym__keyword_time_token1] = ACTIONS(1778),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1778),
    [aux_sym__keyword_for_token1] = ACTIONS(1778),
    [anon_sym_SEMI] = ACTIONS(1776),
    [aux_sym_declare_statement_token1] = ACTIONS(1778),
    [anon_sym_COMMA] = ACTIONS(1776),
    [aux_sym_set_statement_token1] = ACTIONS(1778),
    [anon_sym_LPAREN] = ACTIONS(1776),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1778),
    [aux_sym_using_clause_token1] = ACTIONS(1778),
    [aux_sym_return_satement_token1] = ACTIONS(1778),
    [aux_sym_call_statement_token1] = ACTIONS(1778),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1778),
    [aux_sym_if_statement_token1] = ACTIONS(1778),
    [aux_sym_loop_statement_token1] = ACTIONS(1778),
    [aux_sym_repeat_statement_token1] = ACTIONS(1778),
    [aux_sym_while_statement_token1] = ACTIONS(1778),
    [aux_sym_break_statement_token1] = ACTIONS(1778),
    [aux_sym_leave_statement_token1] = ACTIONS(1778),
    [aux_sym_continue_statement_token1] = ACTIONS(1778),
    [aux_sym_iterate_statement_token1] = ACTIONS(1778),
    [aux_sym_raise_statement_token1] = ACTIONS(1778),
    [aux_sym_assert_statement_token1] = ACTIONS(1778),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1778),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1778),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1778),
    [aux_sym_set_operation_token1] = ACTIONS(1778),
    [aux_sym_set_operation_token3] = ACTIONS(1778),
    [aux_sym_set_operation_token4] = ACTIONS(1778),
    [aux_sym_select_token1] = ACTIONS(1778),
    [aux_sym_having_clause_token1] = ACTIONS(1778),
    [aux_sym_qualify_clause_token1] = ACTIONS(1778),
    [aux_sym_limit_clause_token1] = ACTIONS(1778),
    [aux_sym_group_by_clause_token1] = ACTIONS(1778),
    [aux_sym_order_by_clause_token1] = ACTIONS(1778),
    [aux_sym_where_clause_token1] = ACTIONS(1778),
    [aux_sym_pivot_operator_token1] = ACTIONS(1778),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1778),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1778),
    [aux_sym_join_type_token1] = ACTIONS(1778),
    [aux_sym_join_type_token2] = ACTIONS(1778),
    [aux_sym_join_type_token3] = ACTIONS(1778),
    [aux_sym_join_type_token4] = ACTIONS(1778),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1778),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1778),
    [aux_sym_join_condition_token1] = ACTIONS(1778),
    [aux_sym_insert_statement_token1] = ACTIONS(1778),
    [aux_sym_truncate_statement_token1] = ACTIONS(1778),
    [aux_sym_update_statement_token1] = ACTIONS(1778),
    [aux_sym_merge_statement_token1] = ACTIONS(1778),
    [aux_sym_grant_statement_token1] = ACTIONS(1778),
    [aux_sym_revoke_statement_token1] = ACTIONS(1778),
    [aux_sym_export_data_statement_token1] = ACTIONS(1778),
    [aux_sym_load_data_statement_token1] = ACTIONS(1778),
    [sym__quoted_identifier] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
  },
  [4609] = {
    [sym__unquoted_identifier] = ACTIONS(1778),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1778),
    [aux_sym__keyword_alter_token1] = ACTIONS(1778),
    [aux_sym__keyword_delete_token1] = ACTIONS(1778),
    [aux_sym__keyword_begin_token1] = ACTIONS(1778),
    [aux_sym__keyword_end_token1] = ACTIONS(1778),
    [aux_sym__keyword_when_token1] = ACTIONS(1778),
    [aux_sym__keyword_else_token1] = ACTIONS(1778),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1778),
    [aux_sym__keyword_as_token1] = ACTIONS(1778),
    [aux_sym__keyword_window_token1] = ACTIONS(1778),
    [aux_sym__keyword_date_token1] = ACTIONS(1778),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1778),
    [aux_sym__keyword_time_token1] = ACTIONS(1778),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1778),
    [aux_sym__keyword_for_token1] = ACTIONS(1778),
    [anon_sym_SEMI] = ACTIONS(1776),
    [aux_sym_declare_statement_token1] = ACTIONS(1778),
    [anon_sym_COMMA] = ACTIONS(1776),
    [aux_sym_set_statement_token1] = ACTIONS(1778),
    [anon_sym_LPAREN] = ACTIONS(1776),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1778),
    [aux_sym_using_clause_token1] = ACTIONS(1778),
    [aux_sym_return_satement_token1] = ACTIONS(1778),
    [aux_sym_call_statement_token1] = ACTIONS(1778),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1778),
    [aux_sym_if_statement_token1] = ACTIONS(1778),
    [aux_sym_loop_statement_token1] = ACTIONS(1778),
    [aux_sym_repeat_statement_token1] = ACTIONS(1778),
    [aux_sym_while_statement_token1] = ACTIONS(1778),
    [aux_sym_break_statement_token1] = ACTIONS(1778),
    [aux_sym_leave_statement_token1] = ACTIONS(1778),
    [aux_sym_continue_statement_token1] = ACTIONS(1778),
    [aux_sym_iterate_statement_token1] = ACTIONS(1778),
    [aux_sym_raise_statement_token1] = ACTIONS(1778),
    [aux_sym_assert_statement_token1] = ACTIONS(1778),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1778),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1778),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1778),
    [aux_sym_set_operation_token1] = ACTIONS(1778),
    [aux_sym_set_operation_token3] = ACTIONS(1778),
    [aux_sym_set_operation_token4] = ACTIONS(1778),
    [aux_sym_select_token1] = ACTIONS(1778),
    [aux_sym_having_clause_token1] = ACTIONS(1778),
    [aux_sym_qualify_clause_token1] = ACTIONS(1778),
    [aux_sym_limit_clause_token1] = ACTIONS(1778),
    [aux_sym_group_by_clause_token1] = ACTIONS(1778),
    [aux_sym_order_by_clause_token1] = ACTIONS(1778),
    [aux_sym_where_clause_token1] = ACTIONS(1778),
    [aux_sym_pivot_operator_token1] = ACTIONS(1778),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1778),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1778),
    [aux_sym_join_type_token1] = ACTIONS(1778),
    [aux_sym_join_type_token2] = ACTIONS(1778),
    [aux_sym_join_type_token3] = ACTIONS(1778),
    [aux_sym_join_type_token4] = ACTIONS(1778),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1778),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1778),
    [aux_sym_join_condition_token1] = ACTIONS(1778),
    [aux_sym_insert_statement_token1] = ACTIONS(1778),
    [aux_sym_truncate_statement_token1] = ACTIONS(1778),
    [aux_sym_update_statement_token1] = ACTIONS(1778),
    [aux_sym_merge_statement_token1] = ACTIONS(1778),
    [aux_sym_grant_statement_token1] = ACTIONS(1778),
    [aux_sym_revoke_statement_token1] = ACTIONS(1778),
    [aux_sym_export_data_statement_token1] = ACTIONS(1778),
    [aux_sym_load_data_statement_token1] = ACTIONS(1778),
    [sym__quoted_identifier] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
  },
  [4610] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4611] = {
    [sym__unquoted_identifier] = ACTIONS(1778),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1778),
    [aux_sym__keyword_alter_token1] = ACTIONS(1778),
    [aux_sym__keyword_delete_token1] = ACTIONS(1778),
    [aux_sym__keyword_begin_token1] = ACTIONS(1778),
    [aux_sym__keyword_end_token1] = ACTIONS(1778),
    [aux_sym__keyword_when_token1] = ACTIONS(1778),
    [aux_sym__keyword_else_token1] = ACTIONS(1778),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1778),
    [aux_sym__keyword_as_token1] = ACTIONS(1778),
    [aux_sym__keyword_window_token1] = ACTIONS(1778),
    [aux_sym__keyword_date_token1] = ACTIONS(1778),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1778),
    [aux_sym__keyword_time_token1] = ACTIONS(1778),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1778),
    [aux_sym__keyword_for_token1] = ACTIONS(1778),
    [anon_sym_SEMI] = ACTIONS(1776),
    [aux_sym_declare_statement_token1] = ACTIONS(1778),
    [anon_sym_COMMA] = ACTIONS(1776),
    [aux_sym_set_statement_token1] = ACTIONS(1778),
    [anon_sym_LPAREN] = ACTIONS(1776),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1778),
    [aux_sym_using_clause_token1] = ACTIONS(1778),
    [aux_sym_return_satement_token1] = ACTIONS(1778),
    [aux_sym_call_statement_token1] = ACTIONS(1778),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1778),
    [aux_sym_if_statement_token1] = ACTIONS(1778),
    [aux_sym_loop_statement_token1] = ACTIONS(1778),
    [aux_sym_repeat_statement_token1] = ACTIONS(1778),
    [aux_sym_while_statement_token1] = ACTIONS(1778),
    [aux_sym_break_statement_token1] = ACTIONS(1778),
    [aux_sym_leave_statement_token1] = ACTIONS(1778),
    [aux_sym_continue_statement_token1] = ACTIONS(1778),
    [aux_sym_iterate_statement_token1] = ACTIONS(1778),
    [aux_sym_raise_statement_token1] = ACTIONS(1778),
    [aux_sym_assert_statement_token1] = ACTIONS(1778),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1778),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1778),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1778),
    [aux_sym_set_operation_token1] = ACTIONS(1778),
    [aux_sym_set_operation_token3] = ACTIONS(1778),
    [aux_sym_set_operation_token4] = ACTIONS(1778),
    [aux_sym_select_token1] = ACTIONS(1778),
    [aux_sym_having_clause_token1] = ACTIONS(1778),
    [aux_sym_qualify_clause_token1] = ACTIONS(1778),
    [aux_sym_limit_clause_token1] = ACTIONS(1778),
    [aux_sym_group_by_clause_token1] = ACTIONS(1778),
    [aux_sym_order_by_clause_token1] = ACTIONS(1778),
    [aux_sym_where_clause_token1] = ACTIONS(1778),
    [aux_sym_pivot_operator_token1] = ACTIONS(1778),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1778),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1778),
    [aux_sym_join_type_token1] = ACTIONS(1778),
    [aux_sym_join_type_token2] = ACTIONS(1778),
    [aux_sym_join_type_token3] = ACTIONS(1778),
    [aux_sym_join_type_token4] = ACTIONS(1778),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1778),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1778),
    [aux_sym_join_condition_token1] = ACTIONS(1778),
    [aux_sym_insert_statement_token1] = ACTIONS(1778),
    [aux_sym_truncate_statement_token1] = ACTIONS(1778),
    [aux_sym_update_statement_token1] = ACTIONS(1778),
    [aux_sym_merge_statement_token1] = ACTIONS(1778),
    [aux_sym_grant_statement_token1] = ACTIONS(1778),
    [aux_sym_revoke_statement_token1] = ACTIONS(1778),
    [aux_sym_export_data_statement_token1] = ACTIONS(1778),
    [aux_sym_load_data_statement_token1] = ACTIONS(1778),
    [sym__quoted_identifier] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
  },
  [4612] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4613] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4614] = {
    [sym__unquoted_identifier] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1448),
    [aux_sym__keyword_delete_token1] = ACTIONS(1448),
    [aux_sym__keyword_begin_token1] = ACTIONS(1448),
    [aux_sym__keyword_end_token1] = ACTIONS(1448),
    [aux_sym__keyword_when_token1] = ACTIONS(1448),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1448),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_window_token1] = ACTIONS(1448),
    [aux_sym__keyword_date_token1] = ACTIONS(1448),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1448),
    [aux_sym__keyword_time_token1] = ACTIONS(1448),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1448),
    [aux_sym_using_clause_token1] = ACTIONS(1448),
    [aux_sym_return_satement_token1] = ACTIONS(1448),
    [aux_sym_call_statement_token1] = ACTIONS(1448),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1448),
    [aux_sym_if_statement_token1] = ACTIONS(1448),
    [aux_sym_loop_statement_token1] = ACTIONS(1448),
    [aux_sym_repeat_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [aux_sym_leave_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_iterate_statement_token1] = ACTIONS(1448),
    [aux_sym_raise_statement_token1] = ACTIONS(1448),
    [aux_sym_assert_statement_token1] = ACTIONS(1448),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1448),
    [aux_sym_set_operation_token3] = ACTIONS(1448),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1448),
    [aux_sym_having_clause_token1] = ACTIONS(1448),
    [aux_sym_qualify_clause_token1] = ACTIONS(1448),
    [aux_sym_limit_clause_token1] = ACTIONS(1448),
    [aux_sym_group_by_clause_token1] = ACTIONS(1448),
    [aux_sym_order_by_clause_token1] = ACTIONS(1448),
    [aux_sym_where_clause_token1] = ACTIONS(1448),
    [aux_sym_pivot_operator_token1] = ACTIONS(1448),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1448),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1448),
    [aux_sym_join_type_token1] = ACTIONS(1448),
    [aux_sym_join_type_token2] = ACTIONS(1448),
    [aux_sym_join_type_token3] = ACTIONS(1448),
    [aux_sym_join_type_token4] = ACTIONS(1448),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1448),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1448),
    [aux_sym_join_condition_token1] = ACTIONS(1448),
    [aux_sym_insert_statement_token1] = ACTIONS(1448),
    [aux_sym_truncate_statement_token1] = ACTIONS(1448),
    [aux_sym_update_statement_token1] = ACTIONS(1448),
    [aux_sym_merge_statement_token1] = ACTIONS(1448),
    [aux_sym_grant_statement_token1] = ACTIONS(1448),
    [aux_sym_revoke_statement_token1] = ACTIONS(1448),
    [aux_sym_export_data_statement_token1] = ACTIONS(1448),
    [aux_sym_load_data_statement_token1] = ACTIONS(1448),
    [sym__quoted_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
  },
  [4615] = {
    [sym__unquoted_identifier] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1448),
    [aux_sym__keyword_delete_token1] = ACTIONS(1448),
    [aux_sym__keyword_begin_token1] = ACTIONS(1448),
    [aux_sym__keyword_end_token1] = ACTIONS(1448),
    [aux_sym__keyword_when_token1] = ACTIONS(1448),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1448),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_window_token1] = ACTIONS(1448),
    [aux_sym__keyword_date_token1] = ACTIONS(1448),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1448),
    [aux_sym__keyword_time_token1] = ACTIONS(1448),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1448),
    [aux_sym_using_clause_token1] = ACTIONS(1448),
    [aux_sym_return_satement_token1] = ACTIONS(1448),
    [aux_sym_call_statement_token1] = ACTIONS(1448),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1448),
    [aux_sym_if_statement_token1] = ACTIONS(1448),
    [aux_sym_loop_statement_token1] = ACTIONS(1448),
    [aux_sym_repeat_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [aux_sym_leave_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_iterate_statement_token1] = ACTIONS(1448),
    [aux_sym_raise_statement_token1] = ACTIONS(1448),
    [aux_sym_assert_statement_token1] = ACTIONS(1448),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1448),
    [aux_sym_set_operation_token3] = ACTIONS(1448),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1448),
    [aux_sym_having_clause_token1] = ACTIONS(1448),
    [aux_sym_qualify_clause_token1] = ACTIONS(1448),
    [aux_sym_limit_clause_token1] = ACTIONS(1448),
    [aux_sym_group_by_clause_token1] = ACTIONS(1448),
    [aux_sym_order_by_clause_token1] = ACTIONS(1448),
    [aux_sym_where_clause_token1] = ACTIONS(1448),
    [aux_sym_pivot_operator_token1] = ACTIONS(1448),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1448),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1448),
    [aux_sym_join_type_token1] = ACTIONS(1448),
    [aux_sym_join_type_token2] = ACTIONS(1448),
    [aux_sym_join_type_token3] = ACTIONS(1448),
    [aux_sym_join_type_token4] = ACTIONS(1448),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1448),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1448),
    [aux_sym_join_condition_token1] = ACTIONS(1448),
    [aux_sym_insert_statement_token1] = ACTIONS(1448),
    [aux_sym_truncate_statement_token1] = ACTIONS(1448),
    [aux_sym_update_statement_token1] = ACTIONS(1448),
    [aux_sym_merge_statement_token1] = ACTIONS(1448),
    [aux_sym_grant_statement_token1] = ACTIONS(1448),
    [aux_sym_revoke_statement_token1] = ACTIONS(1448),
    [aux_sym_export_data_statement_token1] = ACTIONS(1448),
    [aux_sym_load_data_statement_token1] = ACTIONS(1448),
    [sym__quoted_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
  },
  [4616] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4617] = {
    [sym__unquoted_identifier] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1448),
    [aux_sym__keyword_delete_token1] = ACTIONS(1448),
    [aux_sym__keyword_begin_token1] = ACTIONS(1448),
    [aux_sym__keyword_end_token1] = ACTIONS(1448),
    [aux_sym__keyword_when_token1] = ACTIONS(1448),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1448),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_window_token1] = ACTIONS(1448),
    [aux_sym__keyword_date_token1] = ACTIONS(1448),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1448),
    [aux_sym__keyword_time_token1] = ACTIONS(1448),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1448),
    [aux_sym_using_clause_token1] = ACTIONS(1448),
    [aux_sym_return_satement_token1] = ACTIONS(1448),
    [aux_sym_call_statement_token1] = ACTIONS(1448),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1448),
    [aux_sym_if_statement_token1] = ACTIONS(1448),
    [aux_sym_loop_statement_token1] = ACTIONS(1448),
    [aux_sym_repeat_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [aux_sym_leave_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_iterate_statement_token1] = ACTIONS(1448),
    [aux_sym_raise_statement_token1] = ACTIONS(1448),
    [aux_sym_assert_statement_token1] = ACTIONS(1448),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1448),
    [aux_sym_set_operation_token3] = ACTIONS(1448),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1448),
    [aux_sym_having_clause_token1] = ACTIONS(1448),
    [aux_sym_qualify_clause_token1] = ACTIONS(1448),
    [aux_sym_limit_clause_token1] = ACTIONS(1448),
    [aux_sym_group_by_clause_token1] = ACTIONS(1448),
    [aux_sym_order_by_clause_token1] = ACTIONS(1448),
    [aux_sym_where_clause_token1] = ACTIONS(1448),
    [aux_sym_pivot_operator_token1] = ACTIONS(1448),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1448),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1448),
    [aux_sym_join_type_token1] = ACTIONS(1448),
    [aux_sym_join_type_token2] = ACTIONS(1448),
    [aux_sym_join_type_token3] = ACTIONS(1448),
    [aux_sym_join_type_token4] = ACTIONS(1448),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1448),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1448),
    [aux_sym_join_condition_token1] = ACTIONS(1448),
    [aux_sym_insert_statement_token1] = ACTIONS(1448),
    [aux_sym_truncate_statement_token1] = ACTIONS(1448),
    [aux_sym_update_statement_token1] = ACTIONS(1448),
    [aux_sym_merge_statement_token1] = ACTIONS(1448),
    [aux_sym_grant_statement_token1] = ACTIONS(1448),
    [aux_sym_revoke_statement_token1] = ACTIONS(1448),
    [aux_sym_export_data_statement_token1] = ACTIONS(1448),
    [aux_sym_load_data_statement_token1] = ACTIONS(1448),
    [sym__quoted_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
  },
  [4618] = {
    [sym__unquoted_identifier] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1448),
    [aux_sym__keyword_delete_token1] = ACTIONS(1448),
    [aux_sym__keyword_begin_token1] = ACTIONS(1448),
    [aux_sym__keyword_end_token1] = ACTIONS(1448),
    [aux_sym__keyword_when_token1] = ACTIONS(1448),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1448),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_window_token1] = ACTIONS(1448),
    [aux_sym__keyword_date_token1] = ACTIONS(1448),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1448),
    [aux_sym__keyword_time_token1] = ACTIONS(1448),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1448),
    [aux_sym_using_clause_token1] = ACTIONS(1448),
    [aux_sym_return_satement_token1] = ACTIONS(1448),
    [aux_sym_call_statement_token1] = ACTIONS(1448),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1448),
    [aux_sym_if_statement_token1] = ACTIONS(1448),
    [aux_sym_loop_statement_token1] = ACTIONS(1448),
    [aux_sym_repeat_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [aux_sym_leave_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_iterate_statement_token1] = ACTIONS(1448),
    [aux_sym_raise_statement_token1] = ACTIONS(1448),
    [aux_sym_assert_statement_token1] = ACTIONS(1448),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1448),
    [aux_sym_set_operation_token3] = ACTIONS(1448),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1448),
    [aux_sym_having_clause_token1] = ACTIONS(1448),
    [aux_sym_qualify_clause_token1] = ACTIONS(1448),
    [aux_sym_limit_clause_token1] = ACTIONS(1448),
    [aux_sym_group_by_clause_token1] = ACTIONS(1448),
    [aux_sym_order_by_clause_token1] = ACTIONS(1448),
    [aux_sym_where_clause_token1] = ACTIONS(1448),
    [aux_sym_pivot_operator_token1] = ACTIONS(1448),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1448),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1448),
    [aux_sym_join_type_token1] = ACTIONS(1448),
    [aux_sym_join_type_token2] = ACTIONS(1448),
    [aux_sym_join_type_token3] = ACTIONS(1448),
    [aux_sym_join_type_token4] = ACTIONS(1448),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1448),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1448),
    [aux_sym_join_condition_token1] = ACTIONS(1448),
    [aux_sym_insert_statement_token1] = ACTIONS(1448),
    [aux_sym_truncate_statement_token1] = ACTIONS(1448),
    [aux_sym_update_statement_token1] = ACTIONS(1448),
    [aux_sym_merge_statement_token1] = ACTIONS(1448),
    [aux_sym_grant_statement_token1] = ACTIONS(1448),
    [aux_sym_revoke_statement_token1] = ACTIONS(1448),
    [aux_sym_export_data_statement_token1] = ACTIONS(1448),
    [aux_sym_load_data_statement_token1] = ACTIONS(1448),
    [sym__quoted_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
  },
  [4619] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4620] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4621] = {
    [sym__unquoted_identifier] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1448),
    [aux_sym__keyword_delete_token1] = ACTIONS(1448),
    [aux_sym__keyword_begin_token1] = ACTIONS(1448),
    [aux_sym__keyword_end_token1] = ACTIONS(1448),
    [aux_sym__keyword_when_token1] = ACTIONS(1448),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1448),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_window_token1] = ACTIONS(1448),
    [aux_sym__keyword_date_token1] = ACTIONS(1448),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1448),
    [aux_sym__keyword_time_token1] = ACTIONS(1448),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1448),
    [aux_sym_using_clause_token1] = ACTIONS(1448),
    [aux_sym_return_satement_token1] = ACTIONS(1448),
    [aux_sym_call_statement_token1] = ACTIONS(1448),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1448),
    [aux_sym_if_statement_token1] = ACTIONS(1448),
    [aux_sym_loop_statement_token1] = ACTIONS(1448),
    [aux_sym_repeat_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [aux_sym_leave_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_iterate_statement_token1] = ACTIONS(1448),
    [aux_sym_raise_statement_token1] = ACTIONS(1448),
    [aux_sym_assert_statement_token1] = ACTIONS(1448),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1448),
    [aux_sym_set_operation_token3] = ACTIONS(1448),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1448),
    [aux_sym_having_clause_token1] = ACTIONS(1448),
    [aux_sym_qualify_clause_token1] = ACTIONS(1448),
    [aux_sym_limit_clause_token1] = ACTIONS(1448),
    [aux_sym_group_by_clause_token1] = ACTIONS(1448),
    [aux_sym_order_by_clause_token1] = ACTIONS(1448),
    [aux_sym_where_clause_token1] = ACTIONS(1448),
    [aux_sym_pivot_operator_token1] = ACTIONS(1448),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1448),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1448),
    [aux_sym_join_type_token1] = ACTIONS(1448),
    [aux_sym_join_type_token2] = ACTIONS(1448),
    [aux_sym_join_type_token3] = ACTIONS(1448),
    [aux_sym_join_type_token4] = ACTIONS(1448),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1448),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1448),
    [aux_sym_join_condition_token1] = ACTIONS(1448),
    [aux_sym_insert_statement_token1] = ACTIONS(1448),
    [aux_sym_truncate_statement_token1] = ACTIONS(1448),
    [aux_sym_update_statement_token1] = ACTIONS(1448),
    [aux_sym_merge_statement_token1] = ACTIONS(1448),
    [aux_sym_grant_statement_token1] = ACTIONS(1448),
    [aux_sym_revoke_statement_token1] = ACTIONS(1448),
    [aux_sym_export_data_statement_token1] = ACTIONS(1448),
    [aux_sym_load_data_statement_token1] = ACTIONS(1448),
    [sym__quoted_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
  },
  [4622] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4623] = {
    [sym__unquoted_identifier] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1448),
    [aux_sym__keyword_delete_token1] = ACTIONS(1448),
    [aux_sym__keyword_begin_token1] = ACTIONS(1448),
    [aux_sym__keyword_end_token1] = ACTIONS(1448),
    [aux_sym__keyword_when_token1] = ACTIONS(1448),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1448),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_window_token1] = ACTIONS(1448),
    [aux_sym__keyword_date_token1] = ACTIONS(1448),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1448),
    [aux_sym__keyword_time_token1] = ACTIONS(1448),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1448),
    [aux_sym_using_clause_token1] = ACTIONS(1448),
    [aux_sym_return_satement_token1] = ACTIONS(1448),
    [aux_sym_call_statement_token1] = ACTIONS(1448),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1448),
    [aux_sym_if_statement_token1] = ACTIONS(1448),
    [aux_sym_loop_statement_token1] = ACTIONS(1448),
    [aux_sym_repeat_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [aux_sym_leave_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_iterate_statement_token1] = ACTIONS(1448),
    [aux_sym_raise_statement_token1] = ACTIONS(1448),
    [aux_sym_assert_statement_token1] = ACTIONS(1448),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1448),
    [aux_sym_set_operation_token3] = ACTIONS(1448),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1448),
    [aux_sym_having_clause_token1] = ACTIONS(1448),
    [aux_sym_qualify_clause_token1] = ACTIONS(1448),
    [aux_sym_limit_clause_token1] = ACTIONS(1448),
    [aux_sym_group_by_clause_token1] = ACTIONS(1448),
    [aux_sym_order_by_clause_token1] = ACTIONS(1448),
    [aux_sym_where_clause_token1] = ACTIONS(1448),
    [aux_sym_pivot_operator_token1] = ACTIONS(1448),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1448),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1448),
    [aux_sym_join_type_token1] = ACTIONS(1448),
    [aux_sym_join_type_token2] = ACTIONS(1448),
    [aux_sym_join_type_token3] = ACTIONS(1448),
    [aux_sym_join_type_token4] = ACTIONS(1448),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1448),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1448),
    [aux_sym_join_condition_token1] = ACTIONS(1448),
    [aux_sym_insert_statement_token1] = ACTIONS(1448),
    [aux_sym_truncate_statement_token1] = ACTIONS(1448),
    [aux_sym_update_statement_token1] = ACTIONS(1448),
    [aux_sym_merge_statement_token1] = ACTIONS(1448),
    [aux_sym_grant_statement_token1] = ACTIONS(1448),
    [aux_sym_revoke_statement_token1] = ACTIONS(1448),
    [aux_sym_export_data_statement_token1] = ACTIONS(1448),
    [aux_sym_load_data_statement_token1] = ACTIONS(1448),
    [sym__quoted_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
  },
  [4624] = {
    [sym__unquoted_identifier] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1448),
    [aux_sym__keyword_delete_token1] = ACTIONS(1448),
    [aux_sym__keyword_begin_token1] = ACTIONS(1448),
    [aux_sym__keyword_end_token1] = ACTIONS(1448),
    [aux_sym__keyword_when_token1] = ACTIONS(1448),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1448),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_window_token1] = ACTIONS(1448),
    [aux_sym__keyword_date_token1] = ACTIONS(1448),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1448),
    [aux_sym__keyword_time_token1] = ACTIONS(1448),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1448),
    [aux_sym_using_clause_token1] = ACTIONS(1448),
    [aux_sym_return_satement_token1] = ACTIONS(1448),
    [aux_sym_call_statement_token1] = ACTIONS(1448),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1448),
    [aux_sym_if_statement_token1] = ACTIONS(1448),
    [aux_sym_loop_statement_token1] = ACTIONS(1448),
    [aux_sym_repeat_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [aux_sym_leave_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_iterate_statement_token1] = ACTIONS(1448),
    [aux_sym_raise_statement_token1] = ACTIONS(1448),
    [aux_sym_assert_statement_token1] = ACTIONS(1448),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1448),
    [aux_sym_set_operation_token3] = ACTIONS(1448),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1448),
    [aux_sym_having_clause_token1] = ACTIONS(1448),
    [aux_sym_qualify_clause_token1] = ACTIONS(1448),
    [aux_sym_limit_clause_token1] = ACTIONS(1448),
    [aux_sym_group_by_clause_token1] = ACTIONS(1448),
    [aux_sym_order_by_clause_token1] = ACTIONS(1448),
    [aux_sym_where_clause_token1] = ACTIONS(1448),
    [aux_sym_pivot_operator_token1] = ACTIONS(1448),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1448),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1448),
    [aux_sym_join_type_token1] = ACTIONS(1448),
    [aux_sym_join_type_token2] = ACTIONS(1448),
    [aux_sym_join_type_token3] = ACTIONS(1448),
    [aux_sym_join_type_token4] = ACTIONS(1448),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1448),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1448),
    [aux_sym_join_condition_token1] = ACTIONS(1448),
    [aux_sym_insert_statement_token1] = ACTIONS(1448),
    [aux_sym_truncate_statement_token1] = ACTIONS(1448),
    [aux_sym_update_statement_token1] = ACTIONS(1448),
    [aux_sym_merge_statement_token1] = ACTIONS(1448),
    [aux_sym_grant_statement_token1] = ACTIONS(1448),
    [aux_sym_revoke_statement_token1] = ACTIONS(1448),
    [aux_sym_export_data_statement_token1] = ACTIONS(1448),
    [aux_sym_load_data_statement_token1] = ACTIONS(1448),
    [sym__quoted_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
  },
  [4625] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1356),
    [aux_sym_keyword_replace_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_between_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1356),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1356),
    [aux_sym__keyword_like_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4626] = {
    [sym__unquoted_identifier] = ACTIONS(1774),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1774),
    [aux_sym__keyword_alter_token1] = ACTIONS(1774),
    [aux_sym__keyword_delete_token1] = ACTIONS(1774),
    [aux_sym__keyword_begin_token1] = ACTIONS(1774),
    [aux_sym__keyword_end_token1] = ACTIONS(1774),
    [aux_sym__keyword_when_token1] = ACTIONS(1774),
    [aux_sym__keyword_else_token1] = ACTIONS(1774),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1774),
    [aux_sym__keyword_as_token1] = ACTIONS(1774),
    [aux_sym__keyword_window_token1] = ACTIONS(1774),
    [aux_sym__keyword_date_token1] = ACTIONS(1774),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1774),
    [aux_sym__keyword_time_token1] = ACTIONS(1774),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1774),
    [aux_sym__keyword_for_token1] = ACTIONS(1774),
    [anon_sym_SEMI] = ACTIONS(1772),
    [aux_sym_declare_statement_token1] = ACTIONS(1774),
    [anon_sym_COMMA] = ACTIONS(1772),
    [aux_sym_set_statement_token1] = ACTIONS(1774),
    [anon_sym_LPAREN] = ACTIONS(1772),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1774),
    [aux_sym_using_clause_token1] = ACTIONS(1774),
    [aux_sym_return_satement_token1] = ACTIONS(1774),
    [aux_sym_call_statement_token1] = ACTIONS(1774),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1774),
    [aux_sym_if_statement_token1] = ACTIONS(1774),
    [aux_sym_loop_statement_token1] = ACTIONS(1774),
    [aux_sym_repeat_statement_token1] = ACTIONS(1774),
    [aux_sym_while_statement_token1] = ACTIONS(1774),
    [aux_sym_break_statement_token1] = ACTIONS(1774),
    [aux_sym_leave_statement_token1] = ACTIONS(1774),
    [aux_sym_continue_statement_token1] = ACTIONS(1774),
    [aux_sym_iterate_statement_token1] = ACTIONS(1774),
    [aux_sym_raise_statement_token1] = ACTIONS(1774),
    [aux_sym_assert_statement_token1] = ACTIONS(1774),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1774),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1774),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1774),
    [aux_sym_set_operation_token1] = ACTIONS(1774),
    [aux_sym_set_operation_token3] = ACTIONS(1774),
    [aux_sym_set_operation_token4] = ACTIONS(1774),
    [aux_sym_select_token1] = ACTIONS(1774),
    [aux_sym_having_clause_token1] = ACTIONS(1774),
    [aux_sym_qualify_clause_token1] = ACTIONS(1774),
    [aux_sym_limit_clause_token1] = ACTIONS(1774),
    [aux_sym_group_by_clause_token1] = ACTIONS(1774),
    [aux_sym_order_by_clause_token1] = ACTIONS(1774),
    [aux_sym_where_clause_token1] = ACTIONS(1774),
    [aux_sym_pivot_operator_token1] = ACTIONS(1774),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1774),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1774),
    [aux_sym_join_type_token1] = ACTIONS(1774),
    [aux_sym_join_type_token2] = ACTIONS(1774),
    [aux_sym_join_type_token3] = ACTIONS(1774),
    [aux_sym_join_type_token4] = ACTIONS(1774),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1774),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1774),
    [aux_sym_join_condition_token1] = ACTIONS(1774),
    [aux_sym_insert_statement_token1] = ACTIONS(1774),
    [aux_sym_truncate_statement_token1] = ACTIONS(1774),
    [aux_sym_update_statement_token1] = ACTIONS(1774),
    [aux_sym_merge_statement_token1] = ACTIONS(1774),
    [aux_sym_grant_statement_token1] = ACTIONS(1774),
    [aux_sym_revoke_statement_token1] = ACTIONS(1774),
    [aux_sym_export_data_statement_token1] = ACTIONS(1774),
    [aux_sym_load_data_statement_token1] = ACTIONS(1774),
    [sym__quoted_identifier] = ACTIONS(1772),
    [sym_comment] = ACTIONS(3),
  },
  [4627] = {
    [ts_builtin_sym_end] = ACTIONS(1684),
    [sym__unquoted_identifier] = ACTIONS(1686),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1686),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1686),
    [aux_sym_keyword_replace_token1] = ACTIONS(1686),
    [aux_sym__keyword_alter_token1] = ACTIONS(1686),
    [aux_sym__keyword_delete_token1] = ACTIONS(1686),
    [aux_sym__keyword_begin_token1] = ACTIONS(1686),
    [aux_sym__keyword_between_token1] = ACTIONS(1686),
    [aux_sym__keyword_is_token1] = ACTIONS(1686),
    [aux_sym__keyword_in_token1] = ACTIONS(1686),
    [aux_sym__keyword_and_token1] = ACTIONS(1686),
    [aux_sym__keyword_like_token1] = ACTIONS(1686),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1686),
    [aux_sym__keyword_as_token1] = ACTIONS(1686),
    [aux_sym__keyword_date_token1] = ACTIONS(1686),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1686),
    [aux_sym__keyword_time_token1] = ACTIONS(1686),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1686),
    [aux_sym__keyword_for_token1] = ACTIONS(1686),
    [anon_sym_SEMI] = ACTIONS(1684),
    [aux_sym_declare_statement_token1] = ACTIONS(1686),
    [anon_sym_COMMA] = ACTIONS(1684),
    [aux_sym_set_statement_token1] = ACTIONS(1686),
    [anon_sym_LPAREN] = ACTIONS(1684),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1686),
    [aux_sym_return_satement_token1] = ACTIONS(1686),
    [aux_sym_call_statement_token1] = ACTIONS(1686),
    [aux_sym_loop_statement_token1] = ACTIONS(1686),
    [aux_sym_while_statement_token1] = ACTIONS(1686),
    [aux_sym_break_statement_token1] = ACTIONS(1686),
    [aux_sym_leave_statement_token1] = ACTIONS(1686),
    [aux_sym_continue_statement_token1] = ACTIONS(1686),
    [aux_sym_iterate_statement_token1] = ACTIONS(1686),
    [aux_sym_raise_statement_token1] = ACTIONS(1686),
    [anon_sym_EQ] = ACTIONS(1684),
    [aux_sym_assert_statement_token1] = ACTIONS(1686),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1686),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1686),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1686),
    [anon_sym_LT] = ACTIONS(1686),
    [anon_sym_GT] = ACTIONS(1686),
    [aux_sym_select_token1] = ACTIONS(1686),
    [aux_sym_insert_statement_token1] = ACTIONS(1686),
    [aux_sym_truncate_statement_token1] = ACTIONS(1686),
    [aux_sym_update_statement_token1] = ACTIONS(1686),
    [aux_sym_merge_statement_token1] = ACTIONS(1686),
    [aux_sym_grant_statement_token1] = ACTIONS(1686),
    [aux_sym_revoke_statement_token1] = ACTIONS(1686),
    [aux_sym_export_data_statement_token1] = ACTIONS(1686),
    [aux_sym_load_data_statement_token1] = ACTIONS(1686),
    [anon_sym_LBRACK] = ACTIONS(1684),
    [sym__quoted_identifier] = ACTIONS(1684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1684),
    [anon_sym_PLUS] = ACTIONS(1684),
    [anon_sym_DASH] = ACTIONS(1686),
    [anon_sym_STAR] = ACTIONS(1684),
    [anon_sym_SLASH] = ACTIONS(1686),
    [anon_sym_PIPE_PIPE] = ACTIONS(1684),
    [anon_sym_LT_EQ] = ACTIONS(1684),
    [anon_sym_LT_GT] = ACTIONS(1684),
    [anon_sym_GT_EQ] = ACTIONS(1684),
    [anon_sym_BANG_EQ] = ACTIONS(1684),
    [anon_sym_LT_LT] = ACTIONS(1684),
    [anon_sym_GT_GT] = ACTIONS(1684),
    [anon_sym_AMP] = ACTIONS(1684),
    [anon_sym_CARET] = ACTIONS(1684),
    [anon_sym_PIPE] = ACTIONS(1686),
  },
  [4628] = {
    [ts_builtin_sym_end] = ACTIONS(1374),
    [sym__unquoted_identifier] = ACTIONS(1376),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1376),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1376),
    [aux_sym_keyword_replace_token1] = ACTIONS(1376),
    [aux_sym__keyword_alter_token1] = ACTIONS(1376),
    [aux_sym__keyword_delete_token1] = ACTIONS(1376),
    [aux_sym__keyword_begin_token1] = ACTIONS(1376),
    [aux_sym__keyword_between_token1] = ACTIONS(1376),
    [aux_sym__keyword_is_token1] = ACTIONS(1376),
    [aux_sym__keyword_in_token1] = ACTIONS(1376),
    [aux_sym__keyword_and_token1] = ACTIONS(1376),
    [aux_sym__keyword_like_token1] = ACTIONS(1376),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1376),
    [aux_sym__keyword_as_token1] = ACTIONS(1376),
    [aux_sym__keyword_date_token1] = ACTIONS(1376),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1376),
    [aux_sym__keyword_time_token1] = ACTIONS(1376),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1376),
    [aux_sym__keyword_for_token1] = ACTIONS(1376),
    [anon_sym_SEMI] = ACTIONS(1374),
    [aux_sym_declare_statement_token1] = ACTIONS(1376),
    [anon_sym_COMMA] = ACTIONS(1374),
    [aux_sym_set_statement_token1] = ACTIONS(1376),
    [anon_sym_LPAREN] = ACTIONS(1374),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1376),
    [aux_sym_return_satement_token1] = ACTIONS(1376),
    [aux_sym_call_statement_token1] = ACTIONS(1376),
    [aux_sym_loop_statement_token1] = ACTIONS(1376),
    [aux_sym_while_statement_token1] = ACTIONS(1376),
    [aux_sym_break_statement_token1] = ACTIONS(1376),
    [aux_sym_leave_statement_token1] = ACTIONS(1376),
    [aux_sym_continue_statement_token1] = ACTIONS(1376),
    [aux_sym_iterate_statement_token1] = ACTIONS(1376),
    [aux_sym_raise_statement_token1] = ACTIONS(1376),
    [anon_sym_EQ] = ACTIONS(1374),
    [aux_sym_assert_statement_token1] = ACTIONS(1376),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1376),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1376),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1376),
    [anon_sym_LT] = ACTIONS(1376),
    [anon_sym_GT] = ACTIONS(1376),
    [aux_sym_select_token1] = ACTIONS(1376),
    [aux_sym_insert_statement_token1] = ACTIONS(1376),
    [aux_sym_truncate_statement_token1] = ACTIONS(1376),
    [aux_sym_update_statement_token1] = ACTIONS(1376),
    [aux_sym_merge_statement_token1] = ACTIONS(1376),
    [aux_sym_grant_statement_token1] = ACTIONS(1376),
    [aux_sym_revoke_statement_token1] = ACTIONS(1376),
    [aux_sym_export_data_statement_token1] = ACTIONS(1376),
    [aux_sym_load_data_statement_token1] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(1374),
    [sym__quoted_identifier] = ACTIONS(1374),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_SLASH] = ACTIONS(1376),
    [anon_sym_PIPE_PIPE] = ACTIONS(1374),
    [anon_sym_LT_EQ] = ACTIONS(1374),
    [anon_sym_LT_GT] = ACTIONS(1374),
    [anon_sym_GT_EQ] = ACTIONS(1374),
    [anon_sym_BANG_EQ] = ACTIONS(1374),
    [anon_sym_LT_LT] = ACTIONS(1374),
    [anon_sym_GT_GT] = ACTIONS(1374),
    [anon_sym_AMP] = ACTIONS(1374),
    [anon_sym_CARET] = ACTIONS(1374),
    [anon_sym_PIPE] = ACTIONS(1376),
  },
  [4629] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [4630] = {
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_using_clause_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_pivot_operator_token1] = ACTIONS(1444),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1444),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1444),
    [aux_sym_join_type_token1] = ACTIONS(1444),
    [aux_sym_join_type_token2] = ACTIONS(1444),
    [aux_sym_join_type_token3] = ACTIONS(1444),
    [aux_sym_join_type_token4] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1444),
    [aux_sym_join_condition_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
  },
  [4631] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [4632] = {
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_using_clause_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_pivot_operator_token1] = ACTIONS(1444),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1444),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1444),
    [aux_sym_join_type_token1] = ACTIONS(1444),
    [aux_sym_join_type_token2] = ACTIONS(1444),
    [aux_sym_join_type_token3] = ACTIONS(1444),
    [aux_sym_join_type_token4] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1444),
    [aux_sym_join_condition_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
  },
  [4633] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [4634] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [4635] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [4636] = {
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_using_clause_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_pivot_operator_token1] = ACTIONS(1444),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1444),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1444),
    [aux_sym_join_type_token1] = ACTIONS(1444),
    [aux_sym_join_type_token2] = ACTIONS(1444),
    [aux_sym_join_type_token3] = ACTIONS(1444),
    [aux_sym_join_type_token4] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1444),
    [aux_sym_join_condition_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
  },
  [4637] = {
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_using_clause_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_pivot_operator_token1] = ACTIONS(1444),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1444),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1444),
    [aux_sym_join_type_token1] = ACTIONS(1444),
    [aux_sym_join_type_token2] = ACTIONS(1444),
    [aux_sym_join_type_token3] = ACTIONS(1444),
    [aux_sym_join_type_token4] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1444),
    [aux_sym_join_condition_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
  },
  [4638] = {
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_using_clause_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_pivot_operator_token1] = ACTIONS(1444),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1444),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1444),
    [aux_sym_join_type_token1] = ACTIONS(1444),
    [aux_sym_join_type_token2] = ACTIONS(1444),
    [aux_sym_join_type_token3] = ACTIONS(1444),
    [aux_sym_join_type_token4] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1444),
    [aux_sym_join_condition_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
  },
  [4639] = {
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_using_clause_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_pivot_operator_token1] = ACTIONS(1444),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1444),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1444),
    [aux_sym_join_type_token1] = ACTIONS(1444),
    [aux_sym_join_type_token2] = ACTIONS(1444),
    [aux_sym_join_type_token3] = ACTIONS(1444),
    [aux_sym_join_type_token4] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1444),
    [aux_sym_join_condition_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
  },
  [4640] = {
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_using_clause_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_pivot_operator_token1] = ACTIONS(1444),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1444),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1444),
    [aux_sym_join_type_token1] = ACTIONS(1444),
    [aux_sym_join_type_token2] = ACTIONS(1444),
    [aux_sym_join_type_token3] = ACTIONS(1444),
    [aux_sym_join_type_token4] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1444),
    [aux_sym_join_condition_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
  },
  [4641] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [4642] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [4643] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [4644] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [4645] = {
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_using_clause_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_pivot_operator_token1] = ACTIONS(1444),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1444),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1444),
    [aux_sym_join_type_token1] = ACTIONS(1444),
    [aux_sym_join_type_token2] = ACTIONS(1444),
    [aux_sym_join_type_token3] = ACTIONS(1444),
    [aux_sym_join_type_token4] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1444),
    [aux_sym_join_condition_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
  },
  [4646] = {
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_using_clause_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_pivot_operator_token1] = ACTIONS(1444),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1444),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1444),
    [aux_sym_join_type_token1] = ACTIONS(1444),
    [aux_sym_join_type_token2] = ACTIONS(1444),
    [aux_sym_join_type_token3] = ACTIONS(1444),
    [aux_sym_join_type_token4] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1444),
    [aux_sym_join_condition_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
  },
  [4647] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [4648] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [4649] = {
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_using_clause_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_pivot_operator_token1] = ACTIONS(1444),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1444),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1444),
    [aux_sym_join_type_token1] = ACTIONS(1444),
    [aux_sym_join_type_token2] = ACTIONS(1444),
    [aux_sym_join_type_token3] = ACTIONS(1444),
    [aux_sym_join_type_token4] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1444),
    [aux_sym_join_condition_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
  },
  [4650] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1464),
    [aux_sym_keyword_replace_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_between_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1464),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1464),
    [aux_sym__keyword_like_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [4651] = {
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_using_clause_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_pivot_operator_token1] = ACTIONS(1444),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1444),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1444),
    [aux_sym_join_type_token1] = ACTIONS(1444),
    [aux_sym_join_type_token2] = ACTIONS(1444),
    [aux_sym_join_type_token3] = ACTIONS(1444),
    [aux_sym_join_type_token4] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1444),
    [aux_sym_join_condition_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
  },
  [4652] = {
    [ts_builtin_sym_end] = ACTIONS(1752),
    [sym__unquoted_identifier] = ACTIONS(1754),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1754),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1754),
    [aux_sym_keyword_replace_token1] = ACTIONS(1754),
    [aux_sym__keyword_alter_token1] = ACTIONS(1754),
    [aux_sym__keyword_delete_token1] = ACTIONS(1754),
    [aux_sym__keyword_begin_token1] = ACTIONS(1754),
    [aux_sym__keyword_between_token1] = ACTIONS(1754),
    [aux_sym__keyword_is_token1] = ACTIONS(1754),
    [aux_sym__keyword_in_token1] = ACTIONS(1754),
    [aux_sym__keyword_and_token1] = ACTIONS(1754),
    [aux_sym__keyword_like_token1] = ACTIONS(1754),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1754),
    [aux_sym__keyword_as_token1] = ACTIONS(1754),
    [aux_sym__keyword_date_token1] = ACTIONS(1754),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1754),
    [aux_sym__keyword_time_token1] = ACTIONS(1754),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1754),
    [aux_sym__keyword_for_token1] = ACTIONS(1754),
    [anon_sym_SEMI] = ACTIONS(1752),
    [aux_sym_declare_statement_token1] = ACTIONS(1754),
    [anon_sym_COMMA] = ACTIONS(1752),
    [aux_sym_set_statement_token1] = ACTIONS(1754),
    [anon_sym_LPAREN] = ACTIONS(1752),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1754),
    [aux_sym_return_satement_token1] = ACTIONS(1754),
    [aux_sym_call_statement_token1] = ACTIONS(1754),
    [aux_sym_loop_statement_token1] = ACTIONS(1754),
    [aux_sym_while_statement_token1] = ACTIONS(1754),
    [aux_sym_break_statement_token1] = ACTIONS(1754),
    [aux_sym_leave_statement_token1] = ACTIONS(1754),
    [aux_sym_continue_statement_token1] = ACTIONS(1754),
    [aux_sym_iterate_statement_token1] = ACTIONS(1754),
    [aux_sym_raise_statement_token1] = ACTIONS(1754),
    [anon_sym_EQ] = ACTIONS(1752),
    [aux_sym_assert_statement_token1] = ACTIONS(1754),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1754),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1754),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1754),
    [anon_sym_LT] = ACTIONS(1754),
    [anon_sym_GT] = ACTIONS(1754),
    [aux_sym_select_token1] = ACTIONS(1754),
    [aux_sym_insert_statement_token1] = ACTIONS(1754),
    [aux_sym_truncate_statement_token1] = ACTIONS(1754),
    [aux_sym_update_statement_token1] = ACTIONS(1754),
    [aux_sym_merge_statement_token1] = ACTIONS(1754),
    [aux_sym_grant_statement_token1] = ACTIONS(1754),
    [aux_sym_revoke_statement_token1] = ACTIONS(1754),
    [aux_sym_export_data_statement_token1] = ACTIONS(1754),
    [aux_sym_load_data_statement_token1] = ACTIONS(1754),
    [anon_sym_LBRACK] = ACTIONS(1752),
    [sym__quoted_identifier] = ACTIONS(1752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_DASH] = ACTIONS(1754),
    [anon_sym_STAR] = ACTIONS(1752),
    [anon_sym_SLASH] = ACTIONS(1754),
    [anon_sym_PIPE_PIPE] = ACTIONS(1752),
    [anon_sym_LT_EQ] = ACTIONS(1752),
    [anon_sym_LT_GT] = ACTIONS(1752),
    [anon_sym_GT_EQ] = ACTIONS(1752),
    [anon_sym_BANG_EQ] = ACTIONS(1752),
    [anon_sym_LT_LT] = ACTIONS(1752),
    [anon_sym_GT_GT] = ACTIONS(1752),
    [anon_sym_AMP] = ACTIONS(1752),
    [anon_sym_CARET] = ACTIONS(1752),
    [anon_sym_PIPE] = ACTIONS(1754),
  },
  [4653] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [4654] = {
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_using_clause_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_pivot_operator_token1] = ACTIONS(1444),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1444),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1444),
    [aux_sym_join_type_token1] = ACTIONS(1444),
    [aux_sym_join_type_token2] = ACTIONS(1444),
    [aux_sym_join_type_token3] = ACTIONS(1444),
    [aux_sym_join_type_token4] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1444),
    [aux_sym_join_condition_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
  },
  [4655] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [4656] = {
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_using_clause_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_pivot_operator_token1] = ACTIONS(1444),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1444),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1444),
    [aux_sym_join_type_token1] = ACTIONS(1444),
    [aux_sym_join_type_token2] = ACTIONS(1444),
    [aux_sym_join_type_token3] = ACTIONS(1444),
    [aux_sym_join_type_token4] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1444),
    [aux_sym_join_condition_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
  },
  [4657] = {
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_end_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_using_clause_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_repeat_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_pivot_operator_token1] = ACTIONS(1444),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1444),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1444),
    [aux_sym_join_type_token1] = ACTIONS(1444),
    [aux_sym_join_type_token2] = ACTIONS(1444),
    [aux_sym_join_type_token3] = ACTIONS(1444),
    [aux_sym_join_type_token4] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1444),
    [aux_sym_join_condition_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
  },
  [4658] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [4659] = {
    [sym__unquoted_identifier] = ACTIONS(1754),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1754),
    [aux_sym__keyword_alter_token1] = ACTIONS(1754),
    [aux_sym__keyword_delete_token1] = ACTIONS(1754),
    [aux_sym__keyword_begin_token1] = ACTIONS(1754),
    [aux_sym__keyword_end_token1] = ACTIONS(1754),
    [aux_sym__keyword_when_token1] = ACTIONS(1754),
    [aux_sym__keyword_else_token1] = ACTIONS(1754),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1754),
    [aux_sym__keyword_as_token1] = ACTIONS(1754),
    [aux_sym__keyword_window_token1] = ACTIONS(1754),
    [aux_sym__keyword_date_token1] = ACTIONS(1754),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1754),
    [aux_sym__keyword_time_token1] = ACTIONS(1754),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1754),
    [aux_sym__keyword_for_token1] = ACTIONS(1754),
    [anon_sym_SEMI] = ACTIONS(1752),
    [aux_sym_declare_statement_token1] = ACTIONS(1754),
    [anon_sym_COMMA] = ACTIONS(1752),
    [aux_sym_set_statement_token1] = ACTIONS(1754),
    [anon_sym_LPAREN] = ACTIONS(1752),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1754),
    [aux_sym_using_clause_token1] = ACTIONS(1754),
    [aux_sym_return_satement_token1] = ACTIONS(1754),
    [aux_sym_call_statement_token1] = ACTIONS(1754),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1754),
    [aux_sym_if_statement_token1] = ACTIONS(1754),
    [aux_sym_loop_statement_token1] = ACTIONS(1754),
    [aux_sym_repeat_statement_token1] = ACTIONS(1754),
    [aux_sym_while_statement_token1] = ACTIONS(1754),
    [aux_sym_break_statement_token1] = ACTIONS(1754),
    [aux_sym_leave_statement_token1] = ACTIONS(1754),
    [aux_sym_continue_statement_token1] = ACTIONS(1754),
    [aux_sym_iterate_statement_token1] = ACTIONS(1754),
    [aux_sym_raise_statement_token1] = ACTIONS(1754),
    [aux_sym_assert_statement_token1] = ACTIONS(1754),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1754),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1754),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1754),
    [aux_sym_set_operation_token1] = ACTIONS(1754),
    [aux_sym_set_operation_token3] = ACTIONS(1754),
    [aux_sym_set_operation_token4] = ACTIONS(1754),
    [aux_sym_select_token1] = ACTIONS(1754),
    [aux_sym_having_clause_token1] = ACTIONS(1754),
    [aux_sym_qualify_clause_token1] = ACTIONS(1754),
    [aux_sym_limit_clause_token1] = ACTIONS(1754),
    [aux_sym_group_by_clause_token1] = ACTIONS(1754),
    [aux_sym_order_by_clause_token1] = ACTIONS(1754),
    [aux_sym_where_clause_token1] = ACTIONS(1754),
    [aux_sym_pivot_operator_token1] = ACTIONS(1754),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1754),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1754),
    [aux_sym_join_type_token1] = ACTIONS(1754),
    [aux_sym_join_type_token2] = ACTIONS(1754),
    [aux_sym_join_type_token3] = ACTIONS(1754),
    [aux_sym_join_type_token4] = ACTIONS(1754),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1754),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1754),
    [aux_sym_join_condition_token1] = ACTIONS(1754),
    [aux_sym_insert_statement_token1] = ACTIONS(1754),
    [aux_sym_truncate_statement_token1] = ACTIONS(1754),
    [aux_sym_update_statement_token1] = ACTIONS(1754),
    [aux_sym_merge_statement_token1] = ACTIONS(1754),
    [aux_sym_grant_statement_token1] = ACTIONS(1754),
    [aux_sym_revoke_statement_token1] = ACTIONS(1754),
    [aux_sym_export_data_statement_token1] = ACTIONS(1754),
    [aux_sym_load_data_statement_token1] = ACTIONS(1754),
    [sym__quoted_identifier] = ACTIONS(1752),
    [sym_comment] = ACTIONS(3),
  },
  [4660] = {
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_using_clause_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_pivot_operator_token1] = ACTIONS(1464),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1464),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1464),
    [aux_sym_join_type_token1] = ACTIONS(1464),
    [aux_sym_join_type_token2] = ACTIONS(1464),
    [aux_sym_join_type_token3] = ACTIONS(1464),
    [aux_sym_join_type_token4] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1464),
    [aux_sym_join_condition_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
  },
  [4661] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [4662] = {
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_using_clause_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_pivot_operator_token1] = ACTIONS(1464),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1464),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1464),
    [aux_sym_join_type_token1] = ACTIONS(1464),
    [aux_sym_join_type_token2] = ACTIONS(1464),
    [aux_sym_join_type_token3] = ACTIONS(1464),
    [aux_sym_join_type_token4] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1464),
    [aux_sym_join_condition_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
  },
  [4663] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [4664] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [4665] = {
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_using_clause_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_pivot_operator_token1] = ACTIONS(1464),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1464),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1464),
    [aux_sym_join_type_token1] = ACTIONS(1464),
    [aux_sym_join_type_token2] = ACTIONS(1464),
    [aux_sym_join_type_token3] = ACTIONS(1464),
    [aux_sym_join_type_token4] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1464),
    [aux_sym_join_condition_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
  },
  [4666] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [4667] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [4668] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [4669] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [4670] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [4671] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [4672] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [4673] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [4674] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [4675] = {
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_using_clause_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_pivot_operator_token1] = ACTIONS(1464),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1464),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1464),
    [aux_sym_join_type_token1] = ACTIONS(1464),
    [aux_sym_join_type_token2] = ACTIONS(1464),
    [aux_sym_join_type_token3] = ACTIONS(1464),
    [aux_sym_join_type_token4] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1464),
    [aux_sym_join_condition_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
  },
  [4676] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1444),
    [aux_sym_keyword_replace_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_between_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1444),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1444),
    [aux_sym__keyword_like_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [4677] = {
    [ts_builtin_sym_end] = ACTIONS(1772),
    [sym__unquoted_identifier] = ACTIONS(1774),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1774),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1774),
    [aux_sym_keyword_replace_token1] = ACTIONS(1774),
    [aux_sym__keyword_alter_token1] = ACTIONS(1774),
    [aux_sym__keyword_delete_token1] = ACTIONS(1774),
    [aux_sym__keyword_begin_token1] = ACTIONS(1774),
    [aux_sym__keyword_between_token1] = ACTIONS(1774),
    [aux_sym__keyword_is_token1] = ACTIONS(1774),
    [aux_sym__keyword_in_token1] = ACTIONS(1774),
    [aux_sym__keyword_and_token1] = ACTIONS(1774),
    [aux_sym__keyword_like_token1] = ACTIONS(1774),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1774),
    [aux_sym__keyword_as_token1] = ACTIONS(1774),
    [aux_sym__keyword_date_token1] = ACTIONS(1774),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1774),
    [aux_sym__keyword_time_token1] = ACTIONS(1774),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1774),
    [aux_sym__keyword_for_token1] = ACTIONS(1774),
    [anon_sym_SEMI] = ACTIONS(1772),
    [aux_sym_declare_statement_token1] = ACTIONS(1774),
    [anon_sym_COMMA] = ACTIONS(1772),
    [aux_sym_set_statement_token1] = ACTIONS(1774),
    [anon_sym_LPAREN] = ACTIONS(1772),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1774),
    [aux_sym_return_satement_token1] = ACTIONS(1774),
    [aux_sym_call_statement_token1] = ACTIONS(1774),
    [aux_sym_loop_statement_token1] = ACTIONS(1774),
    [aux_sym_while_statement_token1] = ACTIONS(1774),
    [aux_sym_break_statement_token1] = ACTIONS(1774),
    [aux_sym_leave_statement_token1] = ACTIONS(1774),
    [aux_sym_continue_statement_token1] = ACTIONS(1774),
    [aux_sym_iterate_statement_token1] = ACTIONS(1774),
    [aux_sym_raise_statement_token1] = ACTIONS(1774),
    [anon_sym_EQ] = ACTIONS(1772),
    [aux_sym_assert_statement_token1] = ACTIONS(1774),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1774),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1774),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1774),
    [anon_sym_LT] = ACTIONS(1774),
    [anon_sym_GT] = ACTIONS(1774),
    [aux_sym_select_token1] = ACTIONS(1774),
    [aux_sym_insert_statement_token1] = ACTIONS(1774),
    [aux_sym_truncate_statement_token1] = ACTIONS(1774),
    [aux_sym_update_statement_token1] = ACTIONS(1774),
    [aux_sym_merge_statement_token1] = ACTIONS(1774),
    [aux_sym_grant_statement_token1] = ACTIONS(1774),
    [aux_sym_revoke_statement_token1] = ACTIONS(1774),
    [aux_sym_export_data_statement_token1] = ACTIONS(1774),
    [aux_sym_load_data_statement_token1] = ACTIONS(1774),
    [anon_sym_LBRACK] = ACTIONS(1772),
    [sym__quoted_identifier] = ACTIONS(1772),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1772),
    [anon_sym_PLUS] = ACTIONS(1772),
    [anon_sym_DASH] = ACTIONS(1774),
    [anon_sym_STAR] = ACTIONS(1772),
    [anon_sym_SLASH] = ACTIONS(1774),
    [anon_sym_PIPE_PIPE] = ACTIONS(1772),
    [anon_sym_LT_EQ] = ACTIONS(1772),
    [anon_sym_LT_GT] = ACTIONS(1772),
    [anon_sym_GT_EQ] = ACTIONS(1772),
    [anon_sym_BANG_EQ] = ACTIONS(1772),
    [anon_sym_LT_LT] = ACTIONS(1772),
    [anon_sym_GT_GT] = ACTIONS(1772),
    [anon_sym_AMP] = ACTIONS(1772),
    [anon_sym_CARET] = ACTIONS(1772),
    [anon_sym_PIPE] = ACTIONS(1774),
  },
  [4678] = {
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_using_clause_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_pivot_operator_token1] = ACTIONS(1464),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1464),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1464),
    [aux_sym_join_type_token1] = ACTIONS(1464),
    [aux_sym_join_type_token2] = ACTIONS(1464),
    [aux_sym_join_type_token3] = ACTIONS(1464),
    [aux_sym_join_type_token4] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1464),
    [aux_sym_join_condition_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
  },
  [4679] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [sym__unquoted_identifier] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1448),
    [aux_sym_keyword_replace_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1448),
    [aux_sym__keyword_delete_token1] = ACTIONS(1448),
    [aux_sym__keyword_begin_token1] = ACTIONS(1448),
    [aux_sym__keyword_between_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1448),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1448),
    [aux_sym__keyword_like_token1] = ACTIONS(1448),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1448),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_date_token1] = ACTIONS(1448),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1448),
    [aux_sym__keyword_time_token1] = ACTIONS(1448),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1448),
    [aux_sym_return_satement_token1] = ACTIONS(1448),
    [aux_sym_call_statement_token1] = ACTIONS(1448),
    [aux_sym_loop_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [aux_sym_leave_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_iterate_statement_token1] = ACTIONS(1448),
    [aux_sym_raise_statement_token1] = ACTIONS(1448),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1448),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1448),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1448),
    [aux_sym_insert_statement_token1] = ACTIONS(1448),
    [aux_sym_truncate_statement_token1] = ACTIONS(1448),
    [aux_sym_update_statement_token1] = ACTIONS(1448),
    [aux_sym_merge_statement_token1] = ACTIONS(1448),
    [aux_sym_grant_statement_token1] = ACTIONS(1448),
    [aux_sym_revoke_statement_token1] = ACTIONS(1448),
    [aux_sym_export_data_statement_token1] = ACTIONS(1448),
    [aux_sym_load_data_statement_token1] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym__quoted_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [4680] = {
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_using_clause_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_pivot_operator_token1] = ACTIONS(1464),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1464),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1464),
    [aux_sym_join_type_token1] = ACTIONS(1464),
    [aux_sym_join_type_token2] = ACTIONS(1464),
    [aux_sym_join_type_token3] = ACTIONS(1464),
    [aux_sym_join_type_token4] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1464),
    [aux_sym_join_condition_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
  },
  [4681] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [sym__unquoted_identifier] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1448),
    [aux_sym_keyword_replace_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1448),
    [aux_sym__keyword_delete_token1] = ACTIONS(1448),
    [aux_sym__keyword_begin_token1] = ACTIONS(1448),
    [aux_sym__keyword_between_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1448),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1448),
    [aux_sym__keyword_like_token1] = ACTIONS(1448),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1448),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_date_token1] = ACTIONS(1448),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1448),
    [aux_sym__keyword_time_token1] = ACTIONS(1448),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1448),
    [aux_sym_return_satement_token1] = ACTIONS(1448),
    [aux_sym_call_statement_token1] = ACTIONS(1448),
    [aux_sym_loop_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [aux_sym_leave_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_iterate_statement_token1] = ACTIONS(1448),
    [aux_sym_raise_statement_token1] = ACTIONS(1448),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1448),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1448),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1448),
    [aux_sym_insert_statement_token1] = ACTIONS(1448),
    [aux_sym_truncate_statement_token1] = ACTIONS(1448),
    [aux_sym_update_statement_token1] = ACTIONS(1448),
    [aux_sym_merge_statement_token1] = ACTIONS(1448),
    [aux_sym_grant_statement_token1] = ACTIONS(1448),
    [aux_sym_revoke_statement_token1] = ACTIONS(1448),
    [aux_sym_export_data_statement_token1] = ACTIONS(1448),
    [aux_sym_load_data_statement_token1] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym__quoted_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [4682] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [sym__unquoted_identifier] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1448),
    [aux_sym_keyword_replace_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1448),
    [aux_sym__keyword_delete_token1] = ACTIONS(1448),
    [aux_sym__keyword_begin_token1] = ACTIONS(1448),
    [aux_sym__keyword_between_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1448),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1448),
    [aux_sym__keyword_like_token1] = ACTIONS(1448),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1448),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_date_token1] = ACTIONS(1448),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1448),
    [aux_sym__keyword_time_token1] = ACTIONS(1448),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1448),
    [aux_sym_return_satement_token1] = ACTIONS(1448),
    [aux_sym_call_statement_token1] = ACTIONS(1448),
    [aux_sym_loop_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [aux_sym_leave_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_iterate_statement_token1] = ACTIONS(1448),
    [aux_sym_raise_statement_token1] = ACTIONS(1448),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1448),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1448),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1448),
    [aux_sym_insert_statement_token1] = ACTIONS(1448),
    [aux_sym_truncate_statement_token1] = ACTIONS(1448),
    [aux_sym_update_statement_token1] = ACTIONS(1448),
    [aux_sym_merge_statement_token1] = ACTIONS(1448),
    [aux_sym_grant_statement_token1] = ACTIONS(1448),
    [aux_sym_revoke_statement_token1] = ACTIONS(1448),
    [aux_sym_export_data_statement_token1] = ACTIONS(1448),
    [aux_sym_load_data_statement_token1] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym__quoted_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [4683] = {
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_using_clause_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_pivot_operator_token1] = ACTIONS(1464),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1464),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1464),
    [aux_sym_join_type_token1] = ACTIONS(1464),
    [aux_sym_join_type_token2] = ACTIONS(1464),
    [aux_sym_join_type_token3] = ACTIONS(1464),
    [aux_sym_join_type_token4] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1464),
    [aux_sym_join_condition_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
  },
  [4684] = {
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_using_clause_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_pivot_operator_token1] = ACTIONS(1464),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1464),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1464),
    [aux_sym_join_type_token1] = ACTIONS(1464),
    [aux_sym_join_type_token2] = ACTIONS(1464),
    [aux_sym_join_type_token3] = ACTIONS(1464),
    [aux_sym_join_type_token4] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1464),
    [aux_sym_join_condition_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
  },
  [4685] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [sym__unquoted_identifier] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1448),
    [aux_sym_keyword_replace_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1448),
    [aux_sym__keyword_delete_token1] = ACTIONS(1448),
    [aux_sym__keyword_begin_token1] = ACTIONS(1448),
    [aux_sym__keyword_between_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1448),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1448),
    [aux_sym__keyword_like_token1] = ACTIONS(1448),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1448),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_date_token1] = ACTIONS(1448),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1448),
    [aux_sym__keyword_time_token1] = ACTIONS(1448),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1448),
    [aux_sym_return_satement_token1] = ACTIONS(1448),
    [aux_sym_call_statement_token1] = ACTIONS(1448),
    [aux_sym_loop_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [aux_sym_leave_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_iterate_statement_token1] = ACTIONS(1448),
    [aux_sym_raise_statement_token1] = ACTIONS(1448),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1448),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1448),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1448),
    [aux_sym_insert_statement_token1] = ACTIONS(1448),
    [aux_sym_truncate_statement_token1] = ACTIONS(1448),
    [aux_sym_update_statement_token1] = ACTIONS(1448),
    [aux_sym_merge_statement_token1] = ACTIONS(1448),
    [aux_sym_grant_statement_token1] = ACTIONS(1448),
    [aux_sym_revoke_statement_token1] = ACTIONS(1448),
    [aux_sym_export_data_statement_token1] = ACTIONS(1448),
    [aux_sym_load_data_statement_token1] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym__quoted_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [4686] = {
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_using_clause_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_pivot_operator_token1] = ACTIONS(1464),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1464),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1464),
    [aux_sym_join_type_token1] = ACTIONS(1464),
    [aux_sym_join_type_token2] = ACTIONS(1464),
    [aux_sym_join_type_token3] = ACTIONS(1464),
    [aux_sym_join_type_token4] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1464),
    [aux_sym_join_condition_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
  },
  [4687] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [sym__unquoted_identifier] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1448),
    [aux_sym_keyword_replace_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1448),
    [aux_sym__keyword_delete_token1] = ACTIONS(1448),
    [aux_sym__keyword_begin_token1] = ACTIONS(1448),
    [aux_sym__keyword_between_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1448),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1448),
    [aux_sym__keyword_like_token1] = ACTIONS(1448),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1448),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_date_token1] = ACTIONS(1448),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1448),
    [aux_sym__keyword_time_token1] = ACTIONS(1448),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1448),
    [aux_sym_return_satement_token1] = ACTIONS(1448),
    [aux_sym_call_statement_token1] = ACTIONS(1448),
    [aux_sym_loop_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [aux_sym_leave_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_iterate_statement_token1] = ACTIONS(1448),
    [aux_sym_raise_statement_token1] = ACTIONS(1448),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1448),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1448),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1448),
    [aux_sym_insert_statement_token1] = ACTIONS(1448),
    [aux_sym_truncate_statement_token1] = ACTIONS(1448),
    [aux_sym_update_statement_token1] = ACTIONS(1448),
    [aux_sym_merge_statement_token1] = ACTIONS(1448),
    [aux_sym_grant_statement_token1] = ACTIONS(1448),
    [aux_sym_revoke_statement_token1] = ACTIONS(1448),
    [aux_sym_export_data_statement_token1] = ACTIONS(1448),
    [aux_sym_load_data_statement_token1] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym__quoted_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [4688] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [sym__unquoted_identifier] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1448),
    [aux_sym_keyword_replace_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1448),
    [aux_sym__keyword_delete_token1] = ACTIONS(1448),
    [aux_sym__keyword_begin_token1] = ACTIONS(1448),
    [aux_sym__keyword_between_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1448),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1448),
    [aux_sym__keyword_like_token1] = ACTIONS(1448),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1448),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_date_token1] = ACTIONS(1448),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1448),
    [aux_sym__keyword_time_token1] = ACTIONS(1448),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1448),
    [aux_sym_return_satement_token1] = ACTIONS(1448),
    [aux_sym_call_statement_token1] = ACTIONS(1448),
    [aux_sym_loop_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [aux_sym_leave_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_iterate_statement_token1] = ACTIONS(1448),
    [aux_sym_raise_statement_token1] = ACTIONS(1448),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1448),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1448),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1448),
    [aux_sym_insert_statement_token1] = ACTIONS(1448),
    [aux_sym_truncate_statement_token1] = ACTIONS(1448),
    [aux_sym_update_statement_token1] = ACTIONS(1448),
    [aux_sym_merge_statement_token1] = ACTIONS(1448),
    [aux_sym_grant_statement_token1] = ACTIONS(1448),
    [aux_sym_revoke_statement_token1] = ACTIONS(1448),
    [aux_sym_export_data_statement_token1] = ACTIONS(1448),
    [aux_sym_load_data_statement_token1] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym__quoted_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [4689] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [sym__unquoted_identifier] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1448),
    [aux_sym_keyword_replace_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1448),
    [aux_sym__keyword_delete_token1] = ACTIONS(1448),
    [aux_sym__keyword_begin_token1] = ACTIONS(1448),
    [aux_sym__keyword_between_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1448),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1448),
    [aux_sym__keyword_like_token1] = ACTIONS(1448),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1448),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_date_token1] = ACTIONS(1448),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1448),
    [aux_sym__keyword_time_token1] = ACTIONS(1448),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1448),
    [aux_sym_return_satement_token1] = ACTIONS(1448),
    [aux_sym_call_statement_token1] = ACTIONS(1448),
    [aux_sym_loop_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [aux_sym_leave_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_iterate_statement_token1] = ACTIONS(1448),
    [aux_sym_raise_statement_token1] = ACTIONS(1448),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1448),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1448),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1448),
    [aux_sym_insert_statement_token1] = ACTIONS(1448),
    [aux_sym_truncate_statement_token1] = ACTIONS(1448),
    [aux_sym_update_statement_token1] = ACTIONS(1448),
    [aux_sym_merge_statement_token1] = ACTIONS(1448),
    [aux_sym_grant_statement_token1] = ACTIONS(1448),
    [aux_sym_revoke_statement_token1] = ACTIONS(1448),
    [aux_sym_export_data_statement_token1] = ACTIONS(1448),
    [aux_sym_load_data_statement_token1] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym__quoted_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [4690] = {
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_using_clause_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_pivot_operator_token1] = ACTIONS(1464),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1464),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1464),
    [aux_sym_join_type_token1] = ACTIONS(1464),
    [aux_sym_join_type_token2] = ACTIONS(1464),
    [aux_sym_join_type_token3] = ACTIONS(1464),
    [aux_sym_join_type_token4] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1464),
    [aux_sym_join_condition_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
  },
  [4691] = {
    [ts_builtin_sym_end] = ACTIONS(1776),
    [sym__unquoted_identifier] = ACTIONS(1778),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1778),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1778),
    [aux_sym_keyword_replace_token1] = ACTIONS(1778),
    [aux_sym__keyword_alter_token1] = ACTIONS(1778),
    [aux_sym__keyword_delete_token1] = ACTIONS(1778),
    [aux_sym__keyword_begin_token1] = ACTIONS(1778),
    [aux_sym__keyword_between_token1] = ACTIONS(1778),
    [aux_sym__keyword_is_token1] = ACTIONS(1778),
    [aux_sym__keyword_in_token1] = ACTIONS(1778),
    [aux_sym__keyword_and_token1] = ACTIONS(1778),
    [aux_sym__keyword_like_token1] = ACTIONS(1778),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1778),
    [aux_sym__keyword_as_token1] = ACTIONS(1778),
    [aux_sym__keyword_date_token1] = ACTIONS(1778),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1778),
    [aux_sym__keyword_time_token1] = ACTIONS(1778),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1778),
    [aux_sym__keyword_for_token1] = ACTIONS(1778),
    [anon_sym_SEMI] = ACTIONS(1776),
    [aux_sym_declare_statement_token1] = ACTIONS(1778),
    [anon_sym_COMMA] = ACTIONS(1776),
    [aux_sym_set_statement_token1] = ACTIONS(1778),
    [anon_sym_LPAREN] = ACTIONS(1776),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1778),
    [aux_sym_return_satement_token1] = ACTIONS(1778),
    [aux_sym_call_statement_token1] = ACTIONS(1778),
    [aux_sym_loop_statement_token1] = ACTIONS(1778),
    [aux_sym_while_statement_token1] = ACTIONS(1778),
    [aux_sym_break_statement_token1] = ACTIONS(1778),
    [aux_sym_leave_statement_token1] = ACTIONS(1778),
    [aux_sym_continue_statement_token1] = ACTIONS(1778),
    [aux_sym_iterate_statement_token1] = ACTIONS(1778),
    [aux_sym_raise_statement_token1] = ACTIONS(1778),
    [anon_sym_EQ] = ACTIONS(1776),
    [aux_sym_assert_statement_token1] = ACTIONS(1778),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1778),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1778),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1778),
    [anon_sym_LT] = ACTIONS(1778),
    [anon_sym_GT] = ACTIONS(1778),
    [aux_sym_select_token1] = ACTIONS(1778),
    [aux_sym_insert_statement_token1] = ACTIONS(1778),
    [aux_sym_truncate_statement_token1] = ACTIONS(1778),
    [aux_sym_update_statement_token1] = ACTIONS(1778),
    [aux_sym_merge_statement_token1] = ACTIONS(1778),
    [aux_sym_grant_statement_token1] = ACTIONS(1778),
    [aux_sym_revoke_statement_token1] = ACTIONS(1778),
    [aux_sym_export_data_statement_token1] = ACTIONS(1778),
    [aux_sym_load_data_statement_token1] = ACTIONS(1778),
    [anon_sym_LBRACK] = ACTIONS(1776),
    [sym__quoted_identifier] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1776),
    [anon_sym_PLUS] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1778),
    [anon_sym_STAR] = ACTIONS(1776),
    [anon_sym_SLASH] = ACTIONS(1778),
    [anon_sym_PIPE_PIPE] = ACTIONS(1776),
    [anon_sym_LT_EQ] = ACTIONS(1776),
    [anon_sym_LT_GT] = ACTIONS(1776),
    [anon_sym_GT_EQ] = ACTIONS(1776),
    [anon_sym_BANG_EQ] = ACTIONS(1776),
    [anon_sym_LT_LT] = ACTIONS(1776),
    [anon_sym_GT_GT] = ACTIONS(1776),
    [anon_sym_AMP] = ACTIONS(1776),
    [anon_sym_CARET] = ACTIONS(1776),
    [anon_sym_PIPE] = ACTIONS(1778),
  },
  [4692] = {
    [ts_builtin_sym_end] = ACTIONS(1776),
    [sym__unquoted_identifier] = ACTIONS(1778),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1778),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1778),
    [aux_sym_keyword_replace_token1] = ACTIONS(1778),
    [aux_sym__keyword_alter_token1] = ACTIONS(1778),
    [aux_sym__keyword_delete_token1] = ACTIONS(1778),
    [aux_sym__keyword_begin_token1] = ACTIONS(1778),
    [aux_sym__keyword_between_token1] = ACTIONS(1778),
    [aux_sym__keyword_is_token1] = ACTIONS(1778),
    [aux_sym__keyword_in_token1] = ACTIONS(1778),
    [aux_sym__keyword_and_token1] = ACTIONS(1778),
    [aux_sym__keyword_like_token1] = ACTIONS(1778),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1778),
    [aux_sym__keyword_as_token1] = ACTIONS(1778),
    [aux_sym__keyword_date_token1] = ACTIONS(1778),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1778),
    [aux_sym__keyword_time_token1] = ACTIONS(1778),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1778),
    [aux_sym__keyword_for_token1] = ACTIONS(1778),
    [anon_sym_SEMI] = ACTIONS(1776),
    [aux_sym_declare_statement_token1] = ACTIONS(1778),
    [anon_sym_COMMA] = ACTIONS(1776),
    [aux_sym_set_statement_token1] = ACTIONS(1778),
    [anon_sym_LPAREN] = ACTIONS(1776),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1778),
    [aux_sym_return_satement_token1] = ACTIONS(1778),
    [aux_sym_call_statement_token1] = ACTIONS(1778),
    [aux_sym_loop_statement_token1] = ACTIONS(1778),
    [aux_sym_while_statement_token1] = ACTIONS(1778),
    [aux_sym_break_statement_token1] = ACTIONS(1778),
    [aux_sym_leave_statement_token1] = ACTIONS(1778),
    [aux_sym_continue_statement_token1] = ACTIONS(1778),
    [aux_sym_iterate_statement_token1] = ACTIONS(1778),
    [aux_sym_raise_statement_token1] = ACTIONS(1778),
    [anon_sym_EQ] = ACTIONS(1776),
    [aux_sym_assert_statement_token1] = ACTIONS(1778),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1778),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1778),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1778),
    [anon_sym_LT] = ACTIONS(1778),
    [anon_sym_GT] = ACTIONS(1778),
    [aux_sym_select_token1] = ACTIONS(1778),
    [aux_sym_insert_statement_token1] = ACTIONS(1778),
    [aux_sym_truncate_statement_token1] = ACTIONS(1778),
    [aux_sym_update_statement_token1] = ACTIONS(1778),
    [aux_sym_merge_statement_token1] = ACTIONS(1778),
    [aux_sym_grant_statement_token1] = ACTIONS(1778),
    [aux_sym_revoke_statement_token1] = ACTIONS(1778),
    [aux_sym_export_data_statement_token1] = ACTIONS(1778),
    [aux_sym_load_data_statement_token1] = ACTIONS(1778),
    [anon_sym_LBRACK] = ACTIONS(1776),
    [sym__quoted_identifier] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1776),
    [anon_sym_PLUS] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1778),
    [anon_sym_STAR] = ACTIONS(1776),
    [anon_sym_SLASH] = ACTIONS(1778),
    [anon_sym_PIPE_PIPE] = ACTIONS(1776),
    [anon_sym_LT_EQ] = ACTIONS(1776),
    [anon_sym_LT_GT] = ACTIONS(1776),
    [anon_sym_GT_EQ] = ACTIONS(1776),
    [anon_sym_BANG_EQ] = ACTIONS(1776),
    [anon_sym_LT_LT] = ACTIONS(1776),
    [anon_sym_GT_GT] = ACTIONS(1776),
    [anon_sym_AMP] = ACTIONS(1776),
    [anon_sym_CARET] = ACTIONS(1776),
    [anon_sym_PIPE] = ACTIONS(1778),
  },
  [4693] = {
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_end_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_using_clause_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_repeat_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_pivot_operator_token1] = ACTIONS(1464),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1464),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1464),
    [aux_sym_join_type_token1] = ACTIONS(1464),
    [aux_sym_join_type_token2] = ACTIONS(1464),
    [aux_sym_join_type_token3] = ACTIONS(1464),
    [aux_sym_join_type_token4] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1464),
    [aux_sym_join_condition_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
  },
  [4694] = {
    [ts_builtin_sym_end] = ACTIONS(1776),
    [sym__unquoted_identifier] = ACTIONS(1778),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1778),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1778),
    [aux_sym_keyword_replace_token1] = ACTIONS(1778),
    [aux_sym__keyword_alter_token1] = ACTIONS(1778),
    [aux_sym__keyword_delete_token1] = ACTIONS(1778),
    [aux_sym__keyword_begin_token1] = ACTIONS(1778),
    [aux_sym__keyword_between_token1] = ACTIONS(1778),
    [aux_sym__keyword_is_token1] = ACTIONS(1778),
    [aux_sym__keyword_in_token1] = ACTIONS(1778),
    [aux_sym__keyword_and_token1] = ACTIONS(1778),
    [aux_sym__keyword_like_token1] = ACTIONS(1778),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1778),
    [aux_sym__keyword_as_token1] = ACTIONS(1778),
    [aux_sym__keyword_date_token1] = ACTIONS(1778),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1778),
    [aux_sym__keyword_time_token1] = ACTIONS(1778),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1778),
    [aux_sym__keyword_for_token1] = ACTIONS(1778),
    [anon_sym_SEMI] = ACTIONS(1776),
    [aux_sym_declare_statement_token1] = ACTIONS(1778),
    [anon_sym_COMMA] = ACTIONS(1776),
    [aux_sym_set_statement_token1] = ACTIONS(1778),
    [anon_sym_LPAREN] = ACTIONS(1776),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1778),
    [aux_sym_return_satement_token1] = ACTIONS(1778),
    [aux_sym_call_statement_token1] = ACTIONS(1778),
    [aux_sym_loop_statement_token1] = ACTIONS(1778),
    [aux_sym_while_statement_token1] = ACTIONS(1778),
    [aux_sym_break_statement_token1] = ACTIONS(1778),
    [aux_sym_leave_statement_token1] = ACTIONS(1778),
    [aux_sym_continue_statement_token1] = ACTIONS(1778),
    [aux_sym_iterate_statement_token1] = ACTIONS(1778),
    [aux_sym_raise_statement_token1] = ACTIONS(1778),
    [anon_sym_EQ] = ACTIONS(1776),
    [aux_sym_assert_statement_token1] = ACTIONS(1778),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1778),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1778),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1778),
    [anon_sym_LT] = ACTIONS(1778),
    [anon_sym_GT] = ACTIONS(1778),
    [aux_sym_select_token1] = ACTIONS(1778),
    [aux_sym_insert_statement_token1] = ACTIONS(1778),
    [aux_sym_truncate_statement_token1] = ACTIONS(1778),
    [aux_sym_update_statement_token1] = ACTIONS(1778),
    [aux_sym_merge_statement_token1] = ACTIONS(1778),
    [aux_sym_grant_statement_token1] = ACTIONS(1778),
    [aux_sym_revoke_statement_token1] = ACTIONS(1778),
    [aux_sym_export_data_statement_token1] = ACTIONS(1778),
    [aux_sym_load_data_statement_token1] = ACTIONS(1778),
    [anon_sym_LBRACK] = ACTIONS(1776),
    [sym__quoted_identifier] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1776),
    [anon_sym_PLUS] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1778),
    [anon_sym_STAR] = ACTIONS(1776),
    [anon_sym_SLASH] = ACTIONS(1778),
    [anon_sym_PIPE_PIPE] = ACTIONS(1776),
    [anon_sym_LT_EQ] = ACTIONS(1776),
    [anon_sym_LT_GT] = ACTIONS(1776),
    [anon_sym_GT_EQ] = ACTIONS(1776),
    [anon_sym_BANG_EQ] = ACTIONS(1776),
    [anon_sym_LT_LT] = ACTIONS(1776),
    [anon_sym_GT_GT] = ACTIONS(1776),
    [anon_sym_AMP] = ACTIONS(1776),
    [anon_sym_CARET] = ACTIONS(1776),
    [anon_sym_PIPE] = ACTIONS(1778),
  },
  [4695] = {
    [ts_builtin_sym_end] = ACTIONS(1776),
    [sym__unquoted_identifier] = ACTIONS(1778),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1778),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1778),
    [aux_sym_keyword_replace_token1] = ACTIONS(1778),
    [aux_sym__keyword_alter_token1] = ACTIONS(1778),
    [aux_sym__keyword_delete_token1] = ACTIONS(1778),
    [aux_sym__keyword_begin_token1] = ACTIONS(1778),
    [aux_sym__keyword_between_token1] = ACTIONS(1778),
    [aux_sym__keyword_is_token1] = ACTIONS(1778),
    [aux_sym__keyword_in_token1] = ACTIONS(1778),
    [aux_sym__keyword_and_token1] = ACTIONS(1778),
    [aux_sym__keyword_like_token1] = ACTIONS(1778),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1778),
    [aux_sym__keyword_as_token1] = ACTIONS(1778),
    [aux_sym__keyword_date_token1] = ACTIONS(1778),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1778),
    [aux_sym__keyword_time_token1] = ACTIONS(1778),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1778),
    [aux_sym__keyword_for_token1] = ACTIONS(1778),
    [anon_sym_SEMI] = ACTIONS(1776),
    [aux_sym_declare_statement_token1] = ACTIONS(1778),
    [anon_sym_COMMA] = ACTIONS(1776),
    [aux_sym_set_statement_token1] = ACTIONS(1778),
    [anon_sym_LPAREN] = ACTIONS(1776),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1778),
    [aux_sym_return_satement_token1] = ACTIONS(1778),
    [aux_sym_call_statement_token1] = ACTIONS(1778),
    [aux_sym_loop_statement_token1] = ACTIONS(1778),
    [aux_sym_while_statement_token1] = ACTIONS(1778),
    [aux_sym_break_statement_token1] = ACTIONS(1778),
    [aux_sym_leave_statement_token1] = ACTIONS(1778),
    [aux_sym_continue_statement_token1] = ACTIONS(1778),
    [aux_sym_iterate_statement_token1] = ACTIONS(1778),
    [aux_sym_raise_statement_token1] = ACTIONS(1778),
    [anon_sym_EQ] = ACTIONS(1776),
    [aux_sym_assert_statement_token1] = ACTIONS(1778),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1778),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1778),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1778),
    [anon_sym_LT] = ACTIONS(1778),
    [anon_sym_GT] = ACTIONS(1778),
    [aux_sym_select_token1] = ACTIONS(1778),
    [aux_sym_insert_statement_token1] = ACTIONS(1778),
    [aux_sym_truncate_statement_token1] = ACTIONS(1778),
    [aux_sym_update_statement_token1] = ACTIONS(1778),
    [aux_sym_merge_statement_token1] = ACTIONS(1778),
    [aux_sym_grant_statement_token1] = ACTIONS(1778),
    [aux_sym_revoke_statement_token1] = ACTIONS(1778),
    [aux_sym_export_data_statement_token1] = ACTIONS(1778),
    [aux_sym_load_data_statement_token1] = ACTIONS(1778),
    [anon_sym_LBRACK] = ACTIONS(1776),
    [sym__quoted_identifier] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1776),
    [anon_sym_PLUS] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1778),
    [anon_sym_STAR] = ACTIONS(1776),
    [anon_sym_SLASH] = ACTIONS(1778),
    [anon_sym_PIPE_PIPE] = ACTIONS(1776),
    [anon_sym_LT_EQ] = ACTIONS(1776),
    [anon_sym_LT_GT] = ACTIONS(1776),
    [anon_sym_GT_EQ] = ACTIONS(1776),
    [anon_sym_BANG_EQ] = ACTIONS(1776),
    [anon_sym_LT_LT] = ACTIONS(1776),
    [anon_sym_GT_GT] = ACTIONS(1776),
    [anon_sym_AMP] = ACTIONS(1776),
    [anon_sym_CARET] = ACTIONS(1776),
    [anon_sym_PIPE] = ACTIONS(1778),
  },
  [4696] = {
    [ts_builtin_sym_end] = ACTIONS(1780),
    [sym__unquoted_identifier] = ACTIONS(1782),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1782),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1782),
    [aux_sym_keyword_replace_token1] = ACTIONS(1782),
    [aux_sym__keyword_alter_token1] = ACTIONS(1782),
    [aux_sym__keyword_delete_token1] = ACTIONS(1782),
    [aux_sym__keyword_begin_token1] = ACTIONS(1782),
    [aux_sym__keyword_between_token1] = ACTIONS(1782),
    [aux_sym__keyword_is_token1] = ACTIONS(1782),
    [aux_sym__keyword_in_token1] = ACTIONS(1782),
    [aux_sym__keyword_and_token1] = ACTIONS(1782),
    [aux_sym__keyword_like_token1] = ACTIONS(1782),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1782),
    [aux_sym__keyword_as_token1] = ACTIONS(1782),
    [aux_sym__keyword_date_token1] = ACTIONS(1782),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1782),
    [aux_sym__keyword_time_token1] = ACTIONS(1782),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1782),
    [aux_sym__keyword_for_token1] = ACTIONS(1782),
    [anon_sym_SEMI] = ACTIONS(1780),
    [aux_sym_declare_statement_token1] = ACTIONS(1782),
    [anon_sym_COMMA] = ACTIONS(1780),
    [aux_sym_set_statement_token1] = ACTIONS(1782),
    [anon_sym_LPAREN] = ACTIONS(1780),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1782),
    [aux_sym_return_satement_token1] = ACTIONS(1782),
    [aux_sym_call_statement_token1] = ACTIONS(1782),
    [aux_sym_loop_statement_token1] = ACTIONS(1782),
    [aux_sym_while_statement_token1] = ACTIONS(1782),
    [aux_sym_break_statement_token1] = ACTIONS(1782),
    [aux_sym_leave_statement_token1] = ACTIONS(1782),
    [aux_sym_continue_statement_token1] = ACTIONS(1782),
    [aux_sym_iterate_statement_token1] = ACTIONS(1782),
    [aux_sym_raise_statement_token1] = ACTIONS(1782),
    [anon_sym_EQ] = ACTIONS(1780),
    [aux_sym_assert_statement_token1] = ACTIONS(1782),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1782),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1782),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1782),
    [anon_sym_LT] = ACTIONS(1782),
    [anon_sym_GT] = ACTIONS(1782),
    [aux_sym_select_token1] = ACTIONS(1782),
    [aux_sym_insert_statement_token1] = ACTIONS(1782),
    [aux_sym_truncate_statement_token1] = ACTIONS(1782),
    [aux_sym_update_statement_token1] = ACTIONS(1782),
    [aux_sym_merge_statement_token1] = ACTIONS(1782),
    [aux_sym_grant_statement_token1] = ACTIONS(1782),
    [aux_sym_revoke_statement_token1] = ACTIONS(1782),
    [aux_sym_export_data_statement_token1] = ACTIONS(1782),
    [aux_sym_load_data_statement_token1] = ACTIONS(1782),
    [anon_sym_LBRACK] = ACTIONS(1780),
    [sym__quoted_identifier] = ACTIONS(1780),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_DASH] = ACTIONS(1782),
    [anon_sym_STAR] = ACTIONS(1780),
    [anon_sym_SLASH] = ACTIONS(1782),
    [anon_sym_PIPE_PIPE] = ACTIONS(1780),
    [anon_sym_LT_EQ] = ACTIONS(1780),
    [anon_sym_LT_GT] = ACTIONS(1780),
    [anon_sym_GT_EQ] = ACTIONS(1780),
    [anon_sym_BANG_EQ] = ACTIONS(1780),
    [anon_sym_LT_LT] = ACTIONS(1780),
    [anon_sym_GT_GT] = ACTIONS(1780),
    [anon_sym_AMP] = ACTIONS(1780),
    [anon_sym_CARET] = ACTIONS(1780),
    [anon_sym_PIPE] = ACTIONS(1782),
  },
  [4697] = {
    [ts_builtin_sym_end] = ACTIONS(1780),
    [sym__unquoted_identifier] = ACTIONS(1782),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1782),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1782),
    [aux_sym_keyword_replace_token1] = ACTIONS(1782),
    [aux_sym__keyword_alter_token1] = ACTIONS(1782),
    [aux_sym__keyword_delete_token1] = ACTIONS(1782),
    [aux_sym__keyword_begin_token1] = ACTIONS(1782),
    [aux_sym__keyword_between_token1] = ACTIONS(1782),
    [aux_sym__keyword_is_token1] = ACTIONS(1782),
    [aux_sym__keyword_in_token1] = ACTIONS(1782),
    [aux_sym__keyword_and_token1] = ACTIONS(1782),
    [aux_sym__keyword_like_token1] = ACTIONS(1782),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1782),
    [aux_sym__keyword_as_token1] = ACTIONS(1782),
    [aux_sym__keyword_date_token1] = ACTIONS(1782),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1782),
    [aux_sym__keyword_time_token1] = ACTIONS(1782),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1782),
    [aux_sym__keyword_for_token1] = ACTIONS(1782),
    [anon_sym_SEMI] = ACTIONS(1780),
    [aux_sym_declare_statement_token1] = ACTIONS(1782),
    [anon_sym_COMMA] = ACTIONS(1780),
    [aux_sym_set_statement_token1] = ACTIONS(1782),
    [anon_sym_LPAREN] = ACTIONS(1780),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1782),
    [aux_sym_return_satement_token1] = ACTIONS(1782),
    [aux_sym_call_statement_token1] = ACTIONS(1782),
    [aux_sym_loop_statement_token1] = ACTIONS(1782),
    [aux_sym_while_statement_token1] = ACTIONS(1782),
    [aux_sym_break_statement_token1] = ACTIONS(1782),
    [aux_sym_leave_statement_token1] = ACTIONS(1782),
    [aux_sym_continue_statement_token1] = ACTIONS(1782),
    [aux_sym_iterate_statement_token1] = ACTIONS(1782),
    [aux_sym_raise_statement_token1] = ACTIONS(1782),
    [anon_sym_EQ] = ACTIONS(1780),
    [aux_sym_assert_statement_token1] = ACTIONS(1782),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1782),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1782),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1782),
    [anon_sym_LT] = ACTIONS(1782),
    [anon_sym_GT] = ACTIONS(1782),
    [aux_sym_select_token1] = ACTIONS(1782),
    [aux_sym_insert_statement_token1] = ACTIONS(1782),
    [aux_sym_truncate_statement_token1] = ACTIONS(1782),
    [aux_sym_update_statement_token1] = ACTIONS(1782),
    [aux_sym_merge_statement_token1] = ACTIONS(1782),
    [aux_sym_grant_statement_token1] = ACTIONS(1782),
    [aux_sym_revoke_statement_token1] = ACTIONS(1782),
    [aux_sym_export_data_statement_token1] = ACTIONS(1782),
    [aux_sym_load_data_statement_token1] = ACTIONS(1782),
    [anon_sym_LBRACK] = ACTIONS(1780),
    [sym__quoted_identifier] = ACTIONS(1780),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_DASH] = ACTIONS(1782),
    [anon_sym_STAR] = ACTIONS(1780),
    [anon_sym_SLASH] = ACTIONS(1782),
    [anon_sym_PIPE_PIPE] = ACTIONS(1780),
    [anon_sym_LT_EQ] = ACTIONS(1780),
    [anon_sym_LT_GT] = ACTIONS(1780),
    [anon_sym_GT_EQ] = ACTIONS(1780),
    [anon_sym_BANG_EQ] = ACTIONS(1780),
    [anon_sym_LT_LT] = ACTIONS(1780),
    [anon_sym_GT_GT] = ACTIONS(1780),
    [anon_sym_AMP] = ACTIONS(1780),
    [anon_sym_CARET] = ACTIONS(1780),
    [anon_sym_PIPE] = ACTIONS(1782),
  },
  [4698] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [4699] = {
    [sym__unquoted_identifier] = ACTIONS(1836),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1836),
    [aux_sym__keyword_alter_token1] = ACTIONS(1836),
    [aux_sym__keyword_delete_token1] = ACTIONS(1836),
    [aux_sym__keyword_begin_token1] = ACTIONS(1836),
    [aux_sym__keyword_end_token1] = ACTIONS(1836),
    [aux_sym__keyword_when_token1] = ACTIONS(1836),
    [aux_sym__keyword_else_token1] = ACTIONS(1836),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1836),
    [aux_sym__keyword_as_token1] = ACTIONS(1836),
    [aux_sym__keyword_window_token1] = ACTIONS(1836),
    [aux_sym__keyword_date_token1] = ACTIONS(1836),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1836),
    [aux_sym__keyword_time_token1] = ACTIONS(1836),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1836),
    [aux_sym__keyword_for_token1] = ACTIONS(1836),
    [anon_sym_SEMI] = ACTIONS(1834),
    [aux_sym_declare_statement_token1] = ACTIONS(1836),
    [anon_sym_COMMA] = ACTIONS(1834),
    [aux_sym_set_statement_token1] = ACTIONS(1836),
    [anon_sym_LPAREN] = ACTIONS(1834),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1836),
    [aux_sym_using_clause_token1] = ACTIONS(1836),
    [aux_sym_return_satement_token1] = ACTIONS(1836),
    [aux_sym_call_statement_token1] = ACTIONS(1836),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1836),
    [aux_sym_if_statement_token1] = ACTIONS(1836),
    [aux_sym_loop_statement_token1] = ACTIONS(1836),
    [aux_sym_repeat_statement_token1] = ACTIONS(1836),
    [aux_sym_while_statement_token1] = ACTIONS(1836),
    [aux_sym_break_statement_token1] = ACTIONS(1836),
    [aux_sym_leave_statement_token1] = ACTIONS(1836),
    [aux_sym_continue_statement_token1] = ACTIONS(1836),
    [aux_sym_iterate_statement_token1] = ACTIONS(1836),
    [aux_sym_raise_statement_token1] = ACTIONS(1836),
    [aux_sym_assert_statement_token1] = ACTIONS(1836),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1836),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1836),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1836),
    [aux_sym_set_operation_token1] = ACTIONS(1836),
    [aux_sym_set_operation_token3] = ACTIONS(1836),
    [aux_sym_set_operation_token4] = ACTIONS(1836),
    [aux_sym_select_token1] = ACTIONS(1836),
    [aux_sym_having_clause_token1] = ACTIONS(1836),
    [aux_sym_qualify_clause_token1] = ACTIONS(1836),
    [aux_sym_limit_clause_token1] = ACTIONS(1836),
    [aux_sym_group_by_clause_token1] = ACTIONS(1836),
    [aux_sym_order_by_clause_token1] = ACTIONS(1836),
    [aux_sym_where_clause_token1] = ACTIONS(1836),
    [aux_sym_pivot_operator_token1] = ACTIONS(1836),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1836),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1836),
    [aux_sym_join_type_token1] = ACTIONS(1836),
    [aux_sym_join_type_token2] = ACTIONS(1836),
    [aux_sym_join_type_token3] = ACTIONS(1836),
    [aux_sym_join_type_token4] = ACTIONS(1836),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1836),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1836),
    [aux_sym_join_condition_token1] = ACTIONS(1836),
    [aux_sym_insert_statement_token1] = ACTIONS(1836),
    [aux_sym_truncate_statement_token1] = ACTIONS(1836),
    [aux_sym_update_statement_token1] = ACTIONS(1836),
    [aux_sym_merge_statement_token1] = ACTIONS(1836),
    [aux_sym_grant_statement_token1] = ACTIONS(1836),
    [aux_sym_revoke_statement_token1] = ACTIONS(1836),
    [aux_sym_export_data_statement_token1] = ACTIONS(1836),
    [aux_sym_load_data_statement_token1] = ACTIONS(1836),
    [sym__quoted_identifier] = ACTIONS(1834),
    [sym_comment] = ACTIONS(3),
  },
  [4700] = {
    [sym__unquoted_identifier] = ACTIONS(1376),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1376),
    [aux_sym__keyword_alter_token1] = ACTIONS(1376),
    [aux_sym__keyword_delete_token1] = ACTIONS(1376),
    [aux_sym__keyword_begin_token1] = ACTIONS(1376),
    [aux_sym__keyword_end_token1] = ACTIONS(1376),
    [aux_sym__keyword_when_token1] = ACTIONS(1376),
    [aux_sym__keyword_else_token1] = ACTIONS(1376),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1376),
    [aux_sym__keyword_as_token1] = ACTIONS(1376),
    [aux_sym__keyword_window_token1] = ACTIONS(1376),
    [aux_sym__keyword_date_token1] = ACTIONS(1376),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1376),
    [aux_sym__keyword_time_token1] = ACTIONS(1376),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1376),
    [aux_sym__keyword_for_token1] = ACTIONS(1376),
    [anon_sym_SEMI] = ACTIONS(1374),
    [aux_sym_declare_statement_token1] = ACTIONS(1376),
    [anon_sym_COMMA] = ACTIONS(1374),
    [aux_sym_set_statement_token1] = ACTIONS(1376),
    [anon_sym_LPAREN] = ACTIONS(1374),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1376),
    [aux_sym_using_clause_token1] = ACTIONS(1376),
    [aux_sym_return_satement_token1] = ACTIONS(1376),
    [aux_sym_call_statement_token1] = ACTIONS(1376),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1376),
    [aux_sym_if_statement_token1] = ACTIONS(1376),
    [aux_sym_loop_statement_token1] = ACTIONS(1376),
    [aux_sym_repeat_statement_token1] = ACTIONS(1376),
    [aux_sym_while_statement_token1] = ACTIONS(1376),
    [aux_sym_break_statement_token1] = ACTIONS(1376),
    [aux_sym_leave_statement_token1] = ACTIONS(1376),
    [aux_sym_continue_statement_token1] = ACTIONS(1376),
    [aux_sym_iterate_statement_token1] = ACTIONS(1376),
    [aux_sym_raise_statement_token1] = ACTIONS(1376),
    [aux_sym_assert_statement_token1] = ACTIONS(1376),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1376),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1376),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1376),
    [aux_sym_set_operation_token1] = ACTIONS(1376),
    [aux_sym_set_operation_token3] = ACTIONS(1376),
    [aux_sym_set_operation_token4] = ACTIONS(1376),
    [aux_sym_select_token1] = ACTIONS(1376),
    [aux_sym_having_clause_token1] = ACTIONS(1376),
    [aux_sym_qualify_clause_token1] = ACTIONS(1376),
    [aux_sym_limit_clause_token1] = ACTIONS(1376),
    [aux_sym_group_by_clause_token1] = ACTIONS(1376),
    [aux_sym_order_by_clause_token1] = ACTIONS(1376),
    [aux_sym_where_clause_token1] = ACTIONS(1376),
    [aux_sym_pivot_operator_token1] = ACTIONS(1376),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1376),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1376),
    [aux_sym_join_type_token1] = ACTIONS(1376),
    [aux_sym_join_type_token2] = ACTIONS(1376),
    [aux_sym_join_type_token3] = ACTIONS(1376),
    [aux_sym_join_type_token4] = ACTIONS(1376),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1376),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1376),
    [aux_sym_join_condition_token1] = ACTIONS(1376),
    [aux_sym_insert_statement_token1] = ACTIONS(1376),
    [aux_sym_truncate_statement_token1] = ACTIONS(1376),
    [aux_sym_update_statement_token1] = ACTIONS(1376),
    [aux_sym_merge_statement_token1] = ACTIONS(1376),
    [aux_sym_grant_statement_token1] = ACTIONS(1376),
    [aux_sym_revoke_statement_token1] = ACTIONS(1376),
    [aux_sym_export_data_statement_token1] = ACTIONS(1376),
    [aux_sym_load_data_statement_token1] = ACTIONS(1376),
    [sym__quoted_identifier] = ACTIONS(1374),
    [sym_comment] = ACTIONS(3),
  },
  [4701] = {
    [sym__unquoted_identifier] = ACTIONS(1456),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1456),
    [aux_sym__keyword_alter_token1] = ACTIONS(1456),
    [aux_sym__keyword_delete_token1] = ACTIONS(1456),
    [aux_sym__keyword_begin_token1] = ACTIONS(1456),
    [aux_sym__keyword_end_token1] = ACTIONS(1456),
    [aux_sym__keyword_when_token1] = ACTIONS(1456),
    [aux_sym__keyword_else_token1] = ACTIONS(1456),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1456),
    [aux_sym__keyword_as_token1] = ACTIONS(1456),
    [aux_sym__keyword_window_token1] = ACTIONS(1456),
    [aux_sym__keyword_date_token1] = ACTIONS(1456),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1456),
    [aux_sym__keyword_time_token1] = ACTIONS(1456),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1456),
    [aux_sym__keyword_for_token1] = ACTIONS(1456),
    [anon_sym_SEMI] = ACTIONS(1454),
    [aux_sym_declare_statement_token1] = ACTIONS(1456),
    [anon_sym_COMMA] = ACTIONS(1454),
    [aux_sym_set_statement_token1] = ACTIONS(1456),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1456),
    [aux_sym_using_clause_token1] = ACTIONS(1456),
    [aux_sym_return_satement_token1] = ACTIONS(1456),
    [aux_sym_call_statement_token1] = ACTIONS(1456),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1456),
    [aux_sym_if_statement_token1] = ACTIONS(1456),
    [aux_sym_loop_statement_token1] = ACTIONS(1456),
    [aux_sym_repeat_statement_token1] = ACTIONS(1456),
    [aux_sym_while_statement_token1] = ACTIONS(1456),
    [aux_sym_break_statement_token1] = ACTIONS(1456),
    [aux_sym_leave_statement_token1] = ACTIONS(1456),
    [aux_sym_continue_statement_token1] = ACTIONS(1456),
    [aux_sym_iterate_statement_token1] = ACTIONS(1456),
    [aux_sym_raise_statement_token1] = ACTIONS(1456),
    [aux_sym_assert_statement_token1] = ACTIONS(1456),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1456),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1456),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1456),
    [aux_sym_set_operation_token1] = ACTIONS(1456),
    [aux_sym_set_operation_token3] = ACTIONS(1456),
    [aux_sym_set_operation_token4] = ACTIONS(1456),
    [aux_sym_select_token1] = ACTIONS(1456),
    [aux_sym_having_clause_token1] = ACTIONS(1456),
    [aux_sym_qualify_clause_token1] = ACTIONS(1456),
    [aux_sym_limit_clause_token1] = ACTIONS(1456),
    [aux_sym_group_by_clause_token1] = ACTIONS(1456),
    [aux_sym_order_by_clause_token1] = ACTIONS(1456),
    [aux_sym_where_clause_token1] = ACTIONS(1456),
    [aux_sym_pivot_operator_token1] = ACTIONS(1456),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1456),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1456),
    [aux_sym_join_type_token1] = ACTIONS(1456),
    [aux_sym_join_type_token2] = ACTIONS(1456),
    [aux_sym_join_type_token3] = ACTIONS(1456),
    [aux_sym_join_type_token4] = ACTIONS(1456),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1456),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1456),
    [aux_sym_join_condition_token1] = ACTIONS(1456),
    [aux_sym_insert_statement_token1] = ACTIONS(1456),
    [aux_sym_truncate_statement_token1] = ACTIONS(1456),
    [aux_sym_update_statement_token1] = ACTIONS(1456),
    [aux_sym_merge_statement_token1] = ACTIONS(1456),
    [aux_sym_grant_statement_token1] = ACTIONS(1456),
    [aux_sym_revoke_statement_token1] = ACTIONS(1456),
    [aux_sym_export_data_statement_token1] = ACTIONS(1456),
    [aux_sym_load_data_statement_token1] = ACTIONS(1456),
    [sym__quoted_identifier] = ACTIONS(1454),
    [sym_comment] = ACTIONS(3),
  },
  [4702] = {
    [sym__unquoted_identifier] = ACTIONS(1468),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1468),
    [aux_sym__keyword_alter_token1] = ACTIONS(1468),
    [aux_sym__keyword_delete_token1] = ACTIONS(1468),
    [aux_sym__keyword_begin_token1] = ACTIONS(1468),
    [aux_sym__keyword_end_token1] = ACTIONS(1468),
    [aux_sym__keyword_when_token1] = ACTIONS(1468),
    [aux_sym__keyword_else_token1] = ACTIONS(1468),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1468),
    [aux_sym__keyword_as_token1] = ACTIONS(1468),
    [aux_sym__keyword_window_token1] = ACTIONS(1468),
    [aux_sym__keyword_date_token1] = ACTIONS(1468),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1468),
    [aux_sym__keyword_time_token1] = ACTIONS(1468),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1468),
    [aux_sym__keyword_for_token1] = ACTIONS(1468),
    [anon_sym_SEMI] = ACTIONS(1466),
    [aux_sym_declare_statement_token1] = ACTIONS(1468),
    [anon_sym_COMMA] = ACTIONS(1466),
    [aux_sym_set_statement_token1] = ACTIONS(1468),
    [anon_sym_LPAREN] = ACTIONS(1466),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1468),
    [aux_sym_using_clause_token1] = ACTIONS(1468),
    [aux_sym_return_satement_token1] = ACTIONS(1468),
    [aux_sym_call_statement_token1] = ACTIONS(1468),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1468),
    [aux_sym_if_statement_token1] = ACTIONS(1468),
    [aux_sym_loop_statement_token1] = ACTIONS(1468),
    [aux_sym_repeat_statement_token1] = ACTIONS(1468),
    [aux_sym_while_statement_token1] = ACTIONS(1468),
    [aux_sym_break_statement_token1] = ACTIONS(1468),
    [aux_sym_leave_statement_token1] = ACTIONS(1468),
    [aux_sym_continue_statement_token1] = ACTIONS(1468),
    [aux_sym_iterate_statement_token1] = ACTIONS(1468),
    [aux_sym_raise_statement_token1] = ACTIONS(1468),
    [aux_sym_assert_statement_token1] = ACTIONS(1468),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1468),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1468),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1468),
    [aux_sym_set_operation_token1] = ACTIONS(1468),
    [aux_sym_set_operation_token3] = ACTIONS(1468),
    [aux_sym_set_operation_token4] = ACTIONS(1468),
    [aux_sym_select_token1] = ACTIONS(1468),
    [aux_sym_having_clause_token1] = ACTIONS(1468),
    [aux_sym_qualify_clause_token1] = ACTIONS(1468),
    [aux_sym_limit_clause_token1] = ACTIONS(1468),
    [aux_sym_group_by_clause_token1] = ACTIONS(1468),
    [aux_sym_order_by_clause_token1] = ACTIONS(1468),
    [aux_sym_where_clause_token1] = ACTIONS(1468),
    [aux_sym_pivot_operator_token1] = ACTIONS(1468),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1468),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1468),
    [aux_sym_join_type_token1] = ACTIONS(1468),
    [aux_sym_join_type_token2] = ACTIONS(1468),
    [aux_sym_join_type_token3] = ACTIONS(1468),
    [aux_sym_join_type_token4] = ACTIONS(1468),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1468),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1468),
    [aux_sym_join_condition_token1] = ACTIONS(1468),
    [aux_sym_insert_statement_token1] = ACTIONS(1468),
    [aux_sym_truncate_statement_token1] = ACTIONS(1468),
    [aux_sym_update_statement_token1] = ACTIONS(1468),
    [aux_sym_merge_statement_token1] = ACTIONS(1468),
    [aux_sym_grant_statement_token1] = ACTIONS(1468),
    [aux_sym_revoke_statement_token1] = ACTIONS(1468),
    [aux_sym_export_data_statement_token1] = ACTIONS(1468),
    [aux_sym_load_data_statement_token1] = ACTIONS(1468),
    [sym__quoted_identifier] = ACTIONS(1466),
    [sym_comment] = ACTIONS(3),
  },
  [4703] = {
    [sym__unquoted_identifier] = ACTIONS(1686),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1686),
    [aux_sym__keyword_alter_token1] = ACTIONS(1686),
    [aux_sym__keyword_delete_token1] = ACTIONS(1686),
    [aux_sym__keyword_begin_token1] = ACTIONS(1686),
    [aux_sym__keyword_end_token1] = ACTIONS(1686),
    [aux_sym__keyword_when_token1] = ACTIONS(1686),
    [aux_sym__keyword_else_token1] = ACTIONS(1686),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1686),
    [aux_sym__keyword_as_token1] = ACTIONS(1686),
    [aux_sym__keyword_window_token1] = ACTIONS(1686),
    [aux_sym__keyword_date_token1] = ACTIONS(1686),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1686),
    [aux_sym__keyword_time_token1] = ACTIONS(1686),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1686),
    [aux_sym__keyword_for_token1] = ACTIONS(1686),
    [anon_sym_SEMI] = ACTIONS(1684),
    [aux_sym_declare_statement_token1] = ACTIONS(1686),
    [anon_sym_COMMA] = ACTIONS(1684),
    [aux_sym_set_statement_token1] = ACTIONS(1686),
    [anon_sym_LPAREN] = ACTIONS(1684),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1686),
    [aux_sym_using_clause_token1] = ACTIONS(1686),
    [aux_sym_return_satement_token1] = ACTIONS(1686),
    [aux_sym_call_statement_token1] = ACTIONS(1686),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1686),
    [aux_sym_if_statement_token1] = ACTIONS(1686),
    [aux_sym_loop_statement_token1] = ACTIONS(1686),
    [aux_sym_repeat_statement_token1] = ACTIONS(1686),
    [aux_sym_while_statement_token1] = ACTIONS(1686),
    [aux_sym_break_statement_token1] = ACTIONS(1686),
    [aux_sym_leave_statement_token1] = ACTIONS(1686),
    [aux_sym_continue_statement_token1] = ACTIONS(1686),
    [aux_sym_iterate_statement_token1] = ACTIONS(1686),
    [aux_sym_raise_statement_token1] = ACTIONS(1686),
    [aux_sym_assert_statement_token1] = ACTIONS(1686),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1686),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1686),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1686),
    [aux_sym_set_operation_token1] = ACTIONS(1686),
    [aux_sym_set_operation_token3] = ACTIONS(1686),
    [aux_sym_set_operation_token4] = ACTIONS(1686),
    [aux_sym_select_token1] = ACTIONS(1686),
    [aux_sym_having_clause_token1] = ACTIONS(1686),
    [aux_sym_qualify_clause_token1] = ACTIONS(1686),
    [aux_sym_limit_clause_token1] = ACTIONS(1686),
    [aux_sym_group_by_clause_token1] = ACTIONS(1686),
    [aux_sym_order_by_clause_token1] = ACTIONS(1686),
    [aux_sym_where_clause_token1] = ACTIONS(1686),
    [aux_sym_pivot_operator_token1] = ACTIONS(1686),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1686),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1686),
    [aux_sym_join_type_token1] = ACTIONS(1686),
    [aux_sym_join_type_token2] = ACTIONS(1686),
    [aux_sym_join_type_token3] = ACTIONS(1686),
    [aux_sym_join_type_token4] = ACTIONS(1686),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1686),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1686),
    [aux_sym_join_condition_token1] = ACTIONS(1686),
    [aux_sym_insert_statement_token1] = ACTIONS(1686),
    [aux_sym_truncate_statement_token1] = ACTIONS(1686),
    [aux_sym_update_statement_token1] = ACTIONS(1686),
    [aux_sym_merge_statement_token1] = ACTIONS(1686),
    [aux_sym_grant_statement_token1] = ACTIONS(1686),
    [aux_sym_revoke_statement_token1] = ACTIONS(1686),
    [aux_sym_export_data_statement_token1] = ACTIONS(1686),
    [aux_sym_load_data_statement_token1] = ACTIONS(1686),
    [sym__quoted_identifier] = ACTIONS(1684),
    [sym_comment] = ACTIONS(3),
  },
  [4704] = {
    [sym__unquoted_identifier] = ACTIONS(1472),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1472),
    [aux_sym__keyword_alter_token1] = ACTIONS(1472),
    [aux_sym__keyword_delete_token1] = ACTIONS(1472),
    [aux_sym__keyword_begin_token1] = ACTIONS(1472),
    [aux_sym__keyword_end_token1] = ACTIONS(1472),
    [aux_sym__keyword_when_token1] = ACTIONS(1472),
    [aux_sym__keyword_else_token1] = ACTIONS(1472),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1472),
    [aux_sym__keyword_as_token1] = ACTIONS(1472),
    [aux_sym__keyword_window_token1] = ACTIONS(1472),
    [aux_sym__keyword_date_token1] = ACTIONS(1472),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1472),
    [aux_sym__keyword_time_token1] = ACTIONS(1472),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1472),
    [aux_sym__keyword_for_token1] = ACTIONS(1472),
    [anon_sym_SEMI] = ACTIONS(1470),
    [aux_sym_declare_statement_token1] = ACTIONS(1472),
    [anon_sym_COMMA] = ACTIONS(1470),
    [aux_sym_set_statement_token1] = ACTIONS(1472),
    [anon_sym_LPAREN] = ACTIONS(1470),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1472),
    [aux_sym_using_clause_token1] = ACTIONS(1472),
    [aux_sym_return_satement_token1] = ACTIONS(1472),
    [aux_sym_call_statement_token1] = ACTIONS(1472),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1472),
    [aux_sym_if_statement_token1] = ACTIONS(1472),
    [aux_sym_loop_statement_token1] = ACTIONS(1472),
    [aux_sym_repeat_statement_token1] = ACTIONS(1472),
    [aux_sym_while_statement_token1] = ACTIONS(1472),
    [aux_sym_break_statement_token1] = ACTIONS(1472),
    [aux_sym_leave_statement_token1] = ACTIONS(1472),
    [aux_sym_continue_statement_token1] = ACTIONS(1472),
    [aux_sym_iterate_statement_token1] = ACTIONS(1472),
    [aux_sym_raise_statement_token1] = ACTIONS(1472),
    [aux_sym_assert_statement_token1] = ACTIONS(1472),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1472),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1472),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1472),
    [aux_sym_set_operation_token1] = ACTIONS(1472),
    [aux_sym_set_operation_token3] = ACTIONS(1472),
    [aux_sym_set_operation_token4] = ACTIONS(1472),
    [aux_sym_select_token1] = ACTIONS(1472),
    [aux_sym_having_clause_token1] = ACTIONS(1472),
    [aux_sym_qualify_clause_token1] = ACTIONS(1472),
    [aux_sym_limit_clause_token1] = ACTIONS(1472),
    [aux_sym_group_by_clause_token1] = ACTIONS(1472),
    [aux_sym_order_by_clause_token1] = ACTIONS(1472),
    [aux_sym_where_clause_token1] = ACTIONS(1472),
    [aux_sym_pivot_operator_token1] = ACTIONS(1472),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1472),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1472),
    [aux_sym_join_type_token1] = ACTIONS(1472),
    [aux_sym_join_type_token2] = ACTIONS(1472),
    [aux_sym_join_type_token3] = ACTIONS(1472),
    [aux_sym_join_type_token4] = ACTIONS(1472),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1472),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1472),
    [aux_sym_join_condition_token1] = ACTIONS(1472),
    [aux_sym_insert_statement_token1] = ACTIONS(1472),
    [aux_sym_truncate_statement_token1] = ACTIONS(1472),
    [aux_sym_update_statement_token1] = ACTIONS(1472),
    [aux_sym_merge_statement_token1] = ACTIONS(1472),
    [aux_sym_grant_statement_token1] = ACTIONS(1472),
    [aux_sym_revoke_statement_token1] = ACTIONS(1472),
    [aux_sym_export_data_statement_token1] = ACTIONS(1472),
    [aux_sym_load_data_statement_token1] = ACTIONS(1472),
    [sym__quoted_identifier] = ACTIONS(1470),
    [sym_comment] = ACTIONS(3),
  },
  [4705] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [4706] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [4707] = {
    [sym__unquoted_identifier] = ACTIONS(1856),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1856),
    [aux_sym__keyword_alter_token1] = ACTIONS(1856),
    [aux_sym__keyword_delete_token1] = ACTIONS(1856),
    [aux_sym__keyword_begin_token1] = ACTIONS(1856),
    [aux_sym__keyword_end_token1] = ACTIONS(1856),
    [aux_sym__keyword_when_token1] = ACTIONS(1856),
    [aux_sym__keyword_else_token1] = ACTIONS(1856),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1856),
    [aux_sym__keyword_as_token1] = ACTIONS(1856),
    [aux_sym__keyword_window_token1] = ACTIONS(1856),
    [aux_sym__keyword_date_token1] = ACTIONS(1856),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1856),
    [aux_sym__keyword_time_token1] = ACTIONS(1856),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1856),
    [aux_sym__keyword_for_token1] = ACTIONS(1856),
    [anon_sym_SEMI] = ACTIONS(1854),
    [aux_sym_declare_statement_token1] = ACTIONS(1856),
    [anon_sym_COMMA] = ACTIONS(1854),
    [aux_sym_set_statement_token1] = ACTIONS(1856),
    [anon_sym_LPAREN] = ACTIONS(1854),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1856),
    [aux_sym_using_clause_token1] = ACTIONS(1856),
    [aux_sym_return_satement_token1] = ACTIONS(1856),
    [aux_sym_call_statement_token1] = ACTIONS(1856),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1856),
    [aux_sym_if_statement_token1] = ACTIONS(1856),
    [aux_sym_loop_statement_token1] = ACTIONS(1856),
    [aux_sym_repeat_statement_token1] = ACTIONS(1856),
    [aux_sym_while_statement_token1] = ACTIONS(1856),
    [aux_sym_break_statement_token1] = ACTIONS(1856),
    [aux_sym_leave_statement_token1] = ACTIONS(1856),
    [aux_sym_continue_statement_token1] = ACTIONS(1856),
    [aux_sym_iterate_statement_token1] = ACTIONS(1856),
    [aux_sym_raise_statement_token1] = ACTIONS(1856),
    [aux_sym_assert_statement_token1] = ACTIONS(1856),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1856),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1856),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1856),
    [aux_sym_set_operation_token1] = ACTIONS(1856),
    [aux_sym_set_operation_token3] = ACTIONS(1856),
    [aux_sym_set_operation_token4] = ACTIONS(1856),
    [aux_sym_select_token1] = ACTIONS(1856),
    [aux_sym_having_clause_token1] = ACTIONS(1856),
    [aux_sym_qualify_clause_token1] = ACTIONS(1856),
    [aux_sym_limit_clause_token1] = ACTIONS(1856),
    [aux_sym_group_by_clause_token1] = ACTIONS(1856),
    [aux_sym_order_by_clause_token1] = ACTIONS(1856),
    [aux_sym_where_clause_token1] = ACTIONS(1856),
    [aux_sym_pivot_operator_token1] = ACTIONS(1856),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1856),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1856),
    [aux_sym_join_type_token1] = ACTIONS(1856),
    [aux_sym_join_type_token2] = ACTIONS(1856),
    [aux_sym_join_type_token3] = ACTIONS(1856),
    [aux_sym_join_type_token4] = ACTIONS(1856),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1856),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1856),
    [aux_sym_join_condition_token1] = ACTIONS(1856),
    [aux_sym_insert_statement_token1] = ACTIONS(1856),
    [aux_sym_truncate_statement_token1] = ACTIONS(1856),
    [aux_sym_update_statement_token1] = ACTIONS(1856),
    [aux_sym_merge_statement_token1] = ACTIONS(1856),
    [aux_sym_grant_statement_token1] = ACTIONS(1856),
    [aux_sym_revoke_statement_token1] = ACTIONS(1856),
    [aux_sym_export_data_statement_token1] = ACTIONS(1856),
    [aux_sym_load_data_statement_token1] = ACTIONS(1856),
    [sym__quoted_identifier] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
  },
  [4708] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [4709] = {
    [sym__unquoted_identifier] = ACTIONS(1848),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1848),
    [aux_sym__keyword_alter_token1] = ACTIONS(1848),
    [aux_sym__keyword_delete_token1] = ACTIONS(1848),
    [aux_sym__keyword_begin_token1] = ACTIONS(1848),
    [aux_sym__keyword_end_token1] = ACTIONS(1848),
    [aux_sym__keyword_when_token1] = ACTIONS(1848),
    [aux_sym__keyword_else_token1] = ACTIONS(1848),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1848),
    [aux_sym__keyword_as_token1] = ACTIONS(1848),
    [aux_sym__keyword_window_token1] = ACTIONS(1848),
    [aux_sym__keyword_date_token1] = ACTIONS(1848),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1848),
    [aux_sym__keyword_time_token1] = ACTIONS(1848),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1848),
    [aux_sym__keyword_for_token1] = ACTIONS(1848),
    [anon_sym_SEMI] = ACTIONS(1846),
    [aux_sym_declare_statement_token1] = ACTIONS(1848),
    [anon_sym_COMMA] = ACTIONS(1846),
    [aux_sym_set_statement_token1] = ACTIONS(1848),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1848),
    [aux_sym_using_clause_token1] = ACTIONS(1848),
    [aux_sym_return_satement_token1] = ACTIONS(1848),
    [aux_sym_call_statement_token1] = ACTIONS(1848),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1848),
    [aux_sym_if_statement_token1] = ACTIONS(1848),
    [aux_sym_loop_statement_token1] = ACTIONS(1848),
    [aux_sym_repeat_statement_token1] = ACTIONS(1848),
    [aux_sym_while_statement_token1] = ACTIONS(1848),
    [aux_sym_break_statement_token1] = ACTIONS(1848),
    [aux_sym_leave_statement_token1] = ACTIONS(1848),
    [aux_sym_continue_statement_token1] = ACTIONS(1848),
    [aux_sym_iterate_statement_token1] = ACTIONS(1848),
    [aux_sym_raise_statement_token1] = ACTIONS(1848),
    [aux_sym_assert_statement_token1] = ACTIONS(1848),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1848),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1848),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1848),
    [aux_sym_set_operation_token1] = ACTIONS(1848),
    [aux_sym_set_operation_token3] = ACTIONS(1848),
    [aux_sym_set_operation_token4] = ACTIONS(1848),
    [aux_sym_select_token1] = ACTIONS(1848),
    [aux_sym_having_clause_token1] = ACTIONS(1848),
    [aux_sym_qualify_clause_token1] = ACTIONS(1848),
    [aux_sym_limit_clause_token1] = ACTIONS(1848),
    [aux_sym_group_by_clause_token1] = ACTIONS(1848),
    [aux_sym_order_by_clause_token1] = ACTIONS(1848),
    [aux_sym_where_clause_token1] = ACTIONS(1848),
    [aux_sym_pivot_operator_token1] = ACTIONS(1848),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1848),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1848),
    [aux_sym_join_type_token1] = ACTIONS(1848),
    [aux_sym_join_type_token2] = ACTIONS(1848),
    [aux_sym_join_type_token3] = ACTIONS(1848),
    [aux_sym_join_type_token4] = ACTIONS(1848),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1848),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1848),
    [aux_sym_join_condition_token1] = ACTIONS(1848),
    [aux_sym_insert_statement_token1] = ACTIONS(1848),
    [aux_sym_truncate_statement_token1] = ACTIONS(1848),
    [aux_sym_update_statement_token1] = ACTIONS(1848),
    [aux_sym_merge_statement_token1] = ACTIONS(1848),
    [aux_sym_grant_statement_token1] = ACTIONS(1848),
    [aux_sym_revoke_statement_token1] = ACTIONS(1848),
    [aux_sym_export_data_statement_token1] = ACTIONS(1848),
    [aux_sym_load_data_statement_token1] = ACTIONS(1848),
    [sym__quoted_identifier] = ACTIONS(1846),
    [sym_comment] = ACTIONS(3),
  },
  [4710] = {
    [sym__unquoted_identifier] = ACTIONS(1588),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1588),
    [aux_sym__keyword_alter_token1] = ACTIONS(1588),
    [aux_sym__keyword_delete_token1] = ACTIONS(1588),
    [aux_sym__keyword_begin_token1] = ACTIONS(1588),
    [aux_sym__keyword_end_token1] = ACTIONS(1588),
    [aux_sym__keyword_when_token1] = ACTIONS(1588),
    [aux_sym__keyword_else_token1] = ACTIONS(1588),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1588),
    [aux_sym__keyword_as_token1] = ACTIONS(1588),
    [aux_sym__keyword_window_token1] = ACTIONS(1588),
    [aux_sym__keyword_date_token1] = ACTIONS(1588),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1588),
    [aux_sym__keyword_time_token1] = ACTIONS(1588),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1588),
    [aux_sym__keyword_for_token1] = ACTIONS(1588),
    [anon_sym_SEMI] = ACTIONS(1586),
    [aux_sym_declare_statement_token1] = ACTIONS(1588),
    [anon_sym_COMMA] = ACTIONS(1586),
    [aux_sym_set_statement_token1] = ACTIONS(1588),
    [anon_sym_LPAREN] = ACTIONS(1586),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1588),
    [aux_sym_using_clause_token1] = ACTIONS(1588),
    [aux_sym_return_satement_token1] = ACTIONS(1588),
    [aux_sym_call_statement_token1] = ACTIONS(1588),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1588),
    [aux_sym_if_statement_token1] = ACTIONS(1588),
    [aux_sym_loop_statement_token1] = ACTIONS(1588),
    [aux_sym_repeat_statement_token1] = ACTIONS(1588),
    [aux_sym_while_statement_token1] = ACTIONS(1588),
    [aux_sym_break_statement_token1] = ACTIONS(1588),
    [aux_sym_leave_statement_token1] = ACTIONS(1588),
    [aux_sym_continue_statement_token1] = ACTIONS(1588),
    [aux_sym_iterate_statement_token1] = ACTIONS(1588),
    [aux_sym_raise_statement_token1] = ACTIONS(1588),
    [aux_sym_assert_statement_token1] = ACTIONS(1588),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1588),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1588),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1588),
    [aux_sym_set_operation_token1] = ACTIONS(1588),
    [aux_sym_set_operation_token3] = ACTIONS(1588),
    [aux_sym_set_operation_token4] = ACTIONS(1588),
    [aux_sym_select_token1] = ACTIONS(1588),
    [aux_sym_having_clause_token1] = ACTIONS(1588),
    [aux_sym_qualify_clause_token1] = ACTIONS(1588),
    [aux_sym_limit_clause_token1] = ACTIONS(1588),
    [aux_sym_group_by_clause_token1] = ACTIONS(1588),
    [aux_sym_order_by_clause_token1] = ACTIONS(1588),
    [aux_sym_where_clause_token1] = ACTIONS(1588),
    [aux_sym_pivot_operator_token1] = ACTIONS(1588),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1588),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1588),
    [aux_sym_join_type_token1] = ACTIONS(1588),
    [aux_sym_join_type_token2] = ACTIONS(1588),
    [aux_sym_join_type_token3] = ACTIONS(1588),
    [aux_sym_join_type_token4] = ACTIONS(1588),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1588),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1588),
    [aux_sym_join_condition_token1] = ACTIONS(1588),
    [aux_sym_insert_statement_token1] = ACTIONS(1588),
    [aux_sym_truncate_statement_token1] = ACTIONS(1588),
    [aux_sym_update_statement_token1] = ACTIONS(1588),
    [aux_sym_merge_statement_token1] = ACTIONS(1588),
    [aux_sym_grant_statement_token1] = ACTIONS(1588),
    [aux_sym_revoke_statement_token1] = ACTIONS(1588),
    [aux_sym_export_data_statement_token1] = ACTIONS(1588),
    [aux_sym_load_data_statement_token1] = ACTIONS(1588),
    [sym__quoted_identifier] = ACTIONS(1586),
    [sym_comment] = ACTIONS(3),
  },
  [4711] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [4712] = {
    [sym__unquoted_identifier] = ACTIONS(1494),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1494),
    [aux_sym__keyword_alter_token1] = ACTIONS(1494),
    [aux_sym__keyword_delete_token1] = ACTIONS(1494),
    [aux_sym__keyword_begin_token1] = ACTIONS(1494),
    [aux_sym__keyword_end_token1] = ACTIONS(1494),
    [aux_sym__keyword_when_token1] = ACTIONS(1494),
    [aux_sym__keyword_else_token1] = ACTIONS(1494),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1494),
    [aux_sym__keyword_as_token1] = ACTIONS(1494),
    [aux_sym__keyword_window_token1] = ACTIONS(1494),
    [aux_sym__keyword_date_token1] = ACTIONS(1494),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1494),
    [aux_sym__keyword_time_token1] = ACTIONS(1494),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1494),
    [aux_sym__keyword_for_token1] = ACTIONS(1494),
    [anon_sym_SEMI] = ACTIONS(1492),
    [aux_sym_declare_statement_token1] = ACTIONS(1494),
    [anon_sym_COMMA] = ACTIONS(1492),
    [aux_sym_set_statement_token1] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1494),
    [aux_sym_using_clause_token1] = ACTIONS(1494),
    [aux_sym_return_satement_token1] = ACTIONS(1494),
    [aux_sym_call_statement_token1] = ACTIONS(1494),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1494),
    [aux_sym_if_statement_token1] = ACTIONS(1494),
    [aux_sym_loop_statement_token1] = ACTIONS(1494),
    [aux_sym_repeat_statement_token1] = ACTIONS(1494),
    [aux_sym_while_statement_token1] = ACTIONS(1494),
    [aux_sym_break_statement_token1] = ACTIONS(1494),
    [aux_sym_leave_statement_token1] = ACTIONS(1494),
    [aux_sym_continue_statement_token1] = ACTIONS(1494),
    [aux_sym_iterate_statement_token1] = ACTIONS(1494),
    [aux_sym_raise_statement_token1] = ACTIONS(1494),
    [aux_sym_assert_statement_token1] = ACTIONS(1494),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1494),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1494),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1494),
    [aux_sym_set_operation_token1] = ACTIONS(1494),
    [aux_sym_set_operation_token3] = ACTIONS(1494),
    [aux_sym_set_operation_token4] = ACTIONS(1494),
    [aux_sym_select_token1] = ACTIONS(1494),
    [aux_sym_having_clause_token1] = ACTIONS(1494),
    [aux_sym_qualify_clause_token1] = ACTIONS(1494),
    [aux_sym_limit_clause_token1] = ACTIONS(1494),
    [aux_sym_group_by_clause_token1] = ACTIONS(1494),
    [aux_sym_order_by_clause_token1] = ACTIONS(1494),
    [aux_sym_where_clause_token1] = ACTIONS(1494),
    [aux_sym_pivot_operator_token1] = ACTIONS(1494),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1494),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1494),
    [aux_sym_join_type_token1] = ACTIONS(1494),
    [aux_sym_join_type_token2] = ACTIONS(1494),
    [aux_sym_join_type_token3] = ACTIONS(1494),
    [aux_sym_join_type_token4] = ACTIONS(1494),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1494),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1494),
    [aux_sym_join_condition_token1] = ACTIONS(1494),
    [aux_sym_insert_statement_token1] = ACTIONS(1494),
    [aux_sym_truncate_statement_token1] = ACTIONS(1494),
    [aux_sym_update_statement_token1] = ACTIONS(1494),
    [aux_sym_merge_statement_token1] = ACTIONS(1494),
    [aux_sym_grant_statement_token1] = ACTIONS(1494),
    [aux_sym_revoke_statement_token1] = ACTIONS(1494),
    [aux_sym_export_data_statement_token1] = ACTIONS(1494),
    [aux_sym_load_data_statement_token1] = ACTIONS(1494),
    [sym__quoted_identifier] = ACTIONS(1492),
    [sym_comment] = ACTIONS(3),
  },
  [4713] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [4714] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [4715] = {
    [sym__unquoted_identifier] = ACTIONS(1860),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1860),
    [aux_sym__keyword_alter_token1] = ACTIONS(1860),
    [aux_sym__keyword_delete_token1] = ACTIONS(1860),
    [aux_sym__keyword_begin_token1] = ACTIONS(1860),
    [aux_sym__keyword_end_token1] = ACTIONS(1860),
    [aux_sym__keyword_when_token1] = ACTIONS(1860),
    [aux_sym__keyword_else_token1] = ACTIONS(1860),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1860),
    [aux_sym__keyword_as_token1] = ACTIONS(1860),
    [aux_sym__keyword_window_token1] = ACTIONS(1860),
    [aux_sym__keyword_date_token1] = ACTIONS(1860),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1860),
    [aux_sym__keyword_time_token1] = ACTIONS(1860),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1860),
    [aux_sym__keyword_for_token1] = ACTIONS(1860),
    [anon_sym_SEMI] = ACTIONS(1858),
    [aux_sym_declare_statement_token1] = ACTIONS(1860),
    [anon_sym_COMMA] = ACTIONS(1858),
    [aux_sym_set_statement_token1] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(1858),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1860),
    [aux_sym_using_clause_token1] = ACTIONS(1860),
    [aux_sym_return_satement_token1] = ACTIONS(1860),
    [aux_sym_call_statement_token1] = ACTIONS(1860),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1860),
    [aux_sym_if_statement_token1] = ACTIONS(1860),
    [aux_sym_loop_statement_token1] = ACTIONS(1860),
    [aux_sym_repeat_statement_token1] = ACTIONS(1860),
    [aux_sym_while_statement_token1] = ACTIONS(1860),
    [aux_sym_break_statement_token1] = ACTIONS(1860),
    [aux_sym_leave_statement_token1] = ACTIONS(1860),
    [aux_sym_continue_statement_token1] = ACTIONS(1860),
    [aux_sym_iterate_statement_token1] = ACTIONS(1860),
    [aux_sym_raise_statement_token1] = ACTIONS(1860),
    [aux_sym_assert_statement_token1] = ACTIONS(1860),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1860),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1860),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1860),
    [aux_sym_set_operation_token1] = ACTIONS(1860),
    [aux_sym_set_operation_token3] = ACTIONS(1860),
    [aux_sym_set_operation_token4] = ACTIONS(1860),
    [aux_sym_select_token1] = ACTIONS(1860),
    [aux_sym_having_clause_token1] = ACTIONS(1860),
    [aux_sym_qualify_clause_token1] = ACTIONS(1860),
    [aux_sym_limit_clause_token1] = ACTIONS(1860),
    [aux_sym_group_by_clause_token1] = ACTIONS(1860),
    [aux_sym_order_by_clause_token1] = ACTIONS(1860),
    [aux_sym_where_clause_token1] = ACTIONS(1860),
    [aux_sym_pivot_operator_token1] = ACTIONS(1860),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1860),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1860),
    [aux_sym_join_type_token1] = ACTIONS(1860),
    [aux_sym_join_type_token2] = ACTIONS(1860),
    [aux_sym_join_type_token3] = ACTIONS(1860),
    [aux_sym_join_type_token4] = ACTIONS(1860),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1860),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1860),
    [aux_sym_join_condition_token1] = ACTIONS(1860),
    [aux_sym_insert_statement_token1] = ACTIONS(1860),
    [aux_sym_truncate_statement_token1] = ACTIONS(1860),
    [aux_sym_update_statement_token1] = ACTIONS(1860),
    [aux_sym_merge_statement_token1] = ACTIONS(1860),
    [aux_sym_grant_statement_token1] = ACTIONS(1860),
    [aux_sym_revoke_statement_token1] = ACTIONS(1860),
    [aux_sym_export_data_statement_token1] = ACTIONS(1860),
    [aux_sym_load_data_statement_token1] = ACTIONS(1860),
    [sym__quoted_identifier] = ACTIONS(1858),
    [sym_comment] = ACTIONS(3),
  },
  [4716] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [4717] = {
    [sym__unquoted_identifier] = ACTIONS(1828),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1828),
    [aux_sym__keyword_alter_token1] = ACTIONS(1828),
    [aux_sym__keyword_delete_token1] = ACTIONS(1828),
    [aux_sym__keyword_begin_token1] = ACTIONS(1828),
    [aux_sym__keyword_end_token1] = ACTIONS(1828),
    [aux_sym__keyword_when_token1] = ACTIONS(1828),
    [aux_sym__keyword_else_token1] = ACTIONS(1828),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1828),
    [aux_sym__keyword_as_token1] = ACTIONS(1828),
    [aux_sym__keyword_window_token1] = ACTIONS(1828),
    [aux_sym__keyword_date_token1] = ACTIONS(1828),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1828),
    [aux_sym__keyword_time_token1] = ACTIONS(1828),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1828),
    [aux_sym__keyword_for_token1] = ACTIONS(1828),
    [anon_sym_SEMI] = ACTIONS(1826),
    [aux_sym_declare_statement_token1] = ACTIONS(1828),
    [anon_sym_COMMA] = ACTIONS(1826),
    [aux_sym_set_statement_token1] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1826),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1828),
    [aux_sym_using_clause_token1] = ACTIONS(1828),
    [aux_sym_return_satement_token1] = ACTIONS(1828),
    [aux_sym_call_statement_token1] = ACTIONS(1828),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1828),
    [aux_sym_if_statement_token1] = ACTIONS(1828),
    [aux_sym_loop_statement_token1] = ACTIONS(1828),
    [aux_sym_repeat_statement_token1] = ACTIONS(1828),
    [aux_sym_while_statement_token1] = ACTIONS(1828),
    [aux_sym_break_statement_token1] = ACTIONS(1828),
    [aux_sym_leave_statement_token1] = ACTIONS(1828),
    [aux_sym_continue_statement_token1] = ACTIONS(1828),
    [aux_sym_iterate_statement_token1] = ACTIONS(1828),
    [aux_sym_raise_statement_token1] = ACTIONS(1828),
    [aux_sym_assert_statement_token1] = ACTIONS(1828),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1828),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1828),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1828),
    [aux_sym_set_operation_token1] = ACTIONS(1828),
    [aux_sym_set_operation_token3] = ACTIONS(1828),
    [aux_sym_set_operation_token4] = ACTIONS(1828),
    [aux_sym_select_token1] = ACTIONS(1828),
    [aux_sym_having_clause_token1] = ACTIONS(1828),
    [aux_sym_qualify_clause_token1] = ACTIONS(1828),
    [aux_sym_limit_clause_token1] = ACTIONS(1828),
    [aux_sym_group_by_clause_token1] = ACTIONS(1828),
    [aux_sym_order_by_clause_token1] = ACTIONS(1828),
    [aux_sym_where_clause_token1] = ACTIONS(1828),
    [aux_sym_pivot_operator_token1] = ACTIONS(1828),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1828),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1828),
    [aux_sym_join_type_token1] = ACTIONS(1828),
    [aux_sym_join_type_token2] = ACTIONS(1828),
    [aux_sym_join_type_token3] = ACTIONS(1828),
    [aux_sym_join_type_token4] = ACTIONS(1828),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1828),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1828),
    [aux_sym_join_condition_token1] = ACTIONS(1828),
    [aux_sym_insert_statement_token1] = ACTIONS(1828),
    [aux_sym_truncate_statement_token1] = ACTIONS(1828),
    [aux_sym_update_statement_token1] = ACTIONS(1828),
    [aux_sym_merge_statement_token1] = ACTIONS(1828),
    [aux_sym_grant_statement_token1] = ACTIONS(1828),
    [aux_sym_revoke_statement_token1] = ACTIONS(1828),
    [aux_sym_export_data_statement_token1] = ACTIONS(1828),
    [aux_sym_load_data_statement_token1] = ACTIONS(1828),
    [sym__quoted_identifier] = ACTIONS(1826),
    [sym_comment] = ACTIONS(3),
  },
  [4718] = {
    [sym__unquoted_identifier] = ACTIONS(1824),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1824),
    [aux_sym__keyword_alter_token1] = ACTIONS(1824),
    [aux_sym__keyword_delete_token1] = ACTIONS(1824),
    [aux_sym__keyword_begin_token1] = ACTIONS(1824),
    [aux_sym__keyword_end_token1] = ACTIONS(1824),
    [aux_sym__keyword_when_token1] = ACTIONS(1824),
    [aux_sym__keyword_else_token1] = ACTIONS(1824),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1824),
    [aux_sym__keyword_as_token1] = ACTIONS(1824),
    [aux_sym__keyword_window_token1] = ACTIONS(1824),
    [aux_sym__keyword_date_token1] = ACTIONS(1824),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1824),
    [aux_sym__keyword_time_token1] = ACTIONS(1824),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1824),
    [aux_sym__keyword_for_token1] = ACTIONS(1824),
    [anon_sym_SEMI] = ACTIONS(1822),
    [aux_sym_declare_statement_token1] = ACTIONS(1824),
    [anon_sym_COMMA] = ACTIONS(1822),
    [aux_sym_set_statement_token1] = ACTIONS(1824),
    [anon_sym_LPAREN] = ACTIONS(1822),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1824),
    [aux_sym_using_clause_token1] = ACTIONS(1824),
    [aux_sym_return_satement_token1] = ACTIONS(1824),
    [aux_sym_call_statement_token1] = ACTIONS(1824),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1824),
    [aux_sym_if_statement_token1] = ACTIONS(1824),
    [aux_sym_loop_statement_token1] = ACTIONS(1824),
    [aux_sym_repeat_statement_token1] = ACTIONS(1824),
    [aux_sym_while_statement_token1] = ACTIONS(1824),
    [aux_sym_break_statement_token1] = ACTIONS(1824),
    [aux_sym_leave_statement_token1] = ACTIONS(1824),
    [aux_sym_continue_statement_token1] = ACTIONS(1824),
    [aux_sym_iterate_statement_token1] = ACTIONS(1824),
    [aux_sym_raise_statement_token1] = ACTIONS(1824),
    [aux_sym_assert_statement_token1] = ACTIONS(1824),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1824),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1824),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1824),
    [aux_sym_set_operation_token1] = ACTIONS(1824),
    [aux_sym_set_operation_token3] = ACTIONS(1824),
    [aux_sym_set_operation_token4] = ACTIONS(1824),
    [aux_sym_select_token1] = ACTIONS(1824),
    [aux_sym_having_clause_token1] = ACTIONS(1824),
    [aux_sym_qualify_clause_token1] = ACTIONS(1824),
    [aux_sym_limit_clause_token1] = ACTIONS(1824),
    [aux_sym_group_by_clause_token1] = ACTIONS(1824),
    [aux_sym_order_by_clause_token1] = ACTIONS(1824),
    [aux_sym_where_clause_token1] = ACTIONS(1824),
    [aux_sym_pivot_operator_token1] = ACTIONS(1824),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1824),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1824),
    [aux_sym_join_type_token1] = ACTIONS(1824),
    [aux_sym_join_type_token2] = ACTIONS(1824),
    [aux_sym_join_type_token3] = ACTIONS(1824),
    [aux_sym_join_type_token4] = ACTIONS(1824),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1824),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1824),
    [aux_sym_join_condition_token1] = ACTIONS(1824),
    [aux_sym_insert_statement_token1] = ACTIONS(1824),
    [aux_sym_truncate_statement_token1] = ACTIONS(1824),
    [aux_sym_update_statement_token1] = ACTIONS(1824),
    [aux_sym_merge_statement_token1] = ACTIONS(1824),
    [aux_sym_grant_statement_token1] = ACTIONS(1824),
    [aux_sym_revoke_statement_token1] = ACTIONS(1824),
    [aux_sym_export_data_statement_token1] = ACTIONS(1824),
    [aux_sym_load_data_statement_token1] = ACTIONS(1824),
    [sym__quoted_identifier] = ACTIONS(1822),
    [sym_comment] = ACTIONS(3),
  },
  [4719] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [4720] = {
    [sym__unquoted_identifier] = ACTIONS(1786),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1786),
    [aux_sym__keyword_alter_token1] = ACTIONS(1786),
    [aux_sym__keyword_delete_token1] = ACTIONS(1786),
    [aux_sym__keyword_begin_token1] = ACTIONS(1786),
    [aux_sym__keyword_end_token1] = ACTIONS(1786),
    [aux_sym__keyword_when_token1] = ACTIONS(1786),
    [aux_sym__keyword_else_token1] = ACTIONS(1786),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1786),
    [aux_sym__keyword_as_token1] = ACTIONS(1786),
    [aux_sym__keyword_window_token1] = ACTIONS(1786),
    [aux_sym__keyword_date_token1] = ACTIONS(1786),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1786),
    [aux_sym__keyword_time_token1] = ACTIONS(1786),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1786),
    [aux_sym__keyword_for_token1] = ACTIONS(1786),
    [anon_sym_SEMI] = ACTIONS(1784),
    [aux_sym_declare_statement_token1] = ACTIONS(1786),
    [anon_sym_COMMA] = ACTIONS(1784),
    [aux_sym_set_statement_token1] = ACTIONS(1786),
    [anon_sym_LPAREN] = ACTIONS(1784),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1786),
    [aux_sym_using_clause_token1] = ACTIONS(1786),
    [aux_sym_return_satement_token1] = ACTIONS(1786),
    [aux_sym_call_statement_token1] = ACTIONS(1786),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1786),
    [aux_sym_if_statement_token1] = ACTIONS(1786),
    [aux_sym_loop_statement_token1] = ACTIONS(1786),
    [aux_sym_repeat_statement_token1] = ACTIONS(1786),
    [aux_sym_while_statement_token1] = ACTIONS(1786),
    [aux_sym_break_statement_token1] = ACTIONS(1786),
    [aux_sym_leave_statement_token1] = ACTIONS(1786),
    [aux_sym_continue_statement_token1] = ACTIONS(1786),
    [aux_sym_iterate_statement_token1] = ACTIONS(1786),
    [aux_sym_raise_statement_token1] = ACTIONS(1786),
    [aux_sym_assert_statement_token1] = ACTIONS(1786),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1786),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1786),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1786),
    [aux_sym_set_operation_token1] = ACTIONS(1786),
    [aux_sym_set_operation_token3] = ACTIONS(1786),
    [aux_sym_set_operation_token4] = ACTIONS(1786),
    [aux_sym_select_token1] = ACTIONS(1786),
    [aux_sym_having_clause_token1] = ACTIONS(1786),
    [aux_sym_qualify_clause_token1] = ACTIONS(1786),
    [aux_sym_limit_clause_token1] = ACTIONS(1786),
    [aux_sym_group_by_clause_token1] = ACTIONS(1786),
    [aux_sym_order_by_clause_token1] = ACTIONS(1786),
    [aux_sym_where_clause_token1] = ACTIONS(1786),
    [aux_sym_pivot_operator_token1] = ACTIONS(1786),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1786),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1786),
    [aux_sym_join_type_token1] = ACTIONS(1786),
    [aux_sym_join_type_token2] = ACTIONS(1786),
    [aux_sym_join_type_token3] = ACTIONS(1786),
    [aux_sym_join_type_token4] = ACTIONS(1786),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1786),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1786),
    [aux_sym_join_condition_token1] = ACTIONS(1786),
    [aux_sym_insert_statement_token1] = ACTIONS(1786),
    [aux_sym_truncate_statement_token1] = ACTIONS(1786),
    [aux_sym_update_statement_token1] = ACTIONS(1786),
    [aux_sym_merge_statement_token1] = ACTIONS(1786),
    [aux_sym_grant_statement_token1] = ACTIONS(1786),
    [aux_sym_revoke_statement_token1] = ACTIONS(1786),
    [aux_sym_export_data_statement_token1] = ACTIONS(1786),
    [aux_sym_load_data_statement_token1] = ACTIONS(1786),
    [sym__quoted_identifier] = ACTIONS(1784),
    [sym_comment] = ACTIONS(3),
  },
  [4721] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [4722] = {
    [ts_builtin_sym_end] = ACTIONS(1508),
    [sym__unquoted_identifier] = ACTIONS(1510),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1510),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1510),
    [aux_sym_keyword_replace_token1] = ACTIONS(1510),
    [aux_sym__keyword_alter_token1] = ACTIONS(1510),
    [aux_sym__keyword_delete_token1] = ACTIONS(1510),
    [aux_sym__keyword_begin_token1] = ACTIONS(1510),
    [aux_sym__keyword_between_token1] = ACTIONS(1510),
    [aux_sym__keyword_is_token1] = ACTIONS(1510),
    [aux_sym__keyword_in_token1] = ACTIONS(1510),
    [aux_sym__keyword_and_token1] = ACTIONS(1510),
    [aux_sym__keyword_like_token1] = ACTIONS(1510),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1510),
    [aux_sym__keyword_as_token1] = ACTIONS(1510),
    [aux_sym__keyword_date_token1] = ACTIONS(1510),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1510),
    [aux_sym__keyword_time_token1] = ACTIONS(1510),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1510),
    [aux_sym__keyword_for_token1] = ACTIONS(1510),
    [anon_sym_SEMI] = ACTIONS(1508),
    [aux_sym_declare_statement_token1] = ACTIONS(1510),
    [anon_sym_COMMA] = ACTIONS(1508),
    [aux_sym_set_statement_token1] = ACTIONS(1510),
    [anon_sym_LPAREN] = ACTIONS(1508),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1510),
    [aux_sym_return_satement_token1] = ACTIONS(1510),
    [aux_sym_call_statement_token1] = ACTIONS(1510),
    [aux_sym_loop_statement_token1] = ACTIONS(1510),
    [aux_sym_while_statement_token1] = ACTIONS(1510),
    [aux_sym_break_statement_token1] = ACTIONS(1510),
    [aux_sym_leave_statement_token1] = ACTIONS(1510),
    [aux_sym_continue_statement_token1] = ACTIONS(1510),
    [aux_sym_iterate_statement_token1] = ACTIONS(1510),
    [aux_sym_raise_statement_token1] = ACTIONS(1510),
    [anon_sym_EQ] = ACTIONS(1508),
    [aux_sym_assert_statement_token1] = ACTIONS(1510),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1510),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1510),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1510),
    [anon_sym_LT] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1510),
    [aux_sym_select_token1] = ACTIONS(1510),
    [aux_sym_insert_statement_token1] = ACTIONS(1510),
    [aux_sym_truncate_statement_token1] = ACTIONS(1510),
    [aux_sym_update_statement_token1] = ACTIONS(1510),
    [aux_sym_merge_statement_token1] = ACTIONS(1510),
    [aux_sym_grant_statement_token1] = ACTIONS(1510),
    [aux_sym_revoke_statement_token1] = ACTIONS(1510),
    [aux_sym_export_data_statement_token1] = ACTIONS(1510),
    [aux_sym_load_data_statement_token1] = ACTIONS(1510),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [sym__quoted_identifier] = ACTIONS(1508),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1508),
    [anon_sym_PLUS] = ACTIONS(1508),
    [anon_sym_DASH] = ACTIONS(1510),
    [anon_sym_STAR] = ACTIONS(1508),
    [anon_sym_SLASH] = ACTIONS(1510),
    [anon_sym_PIPE_PIPE] = ACTIONS(1508),
    [anon_sym_LT_EQ] = ACTIONS(1508),
    [anon_sym_LT_GT] = ACTIONS(1508),
    [anon_sym_GT_EQ] = ACTIONS(1508),
    [anon_sym_BANG_EQ] = ACTIONS(1508),
    [anon_sym_LT_LT] = ACTIONS(1508),
    [anon_sym_GT_GT] = ACTIONS(1508),
    [anon_sym_AMP] = ACTIONS(1508),
    [anon_sym_CARET] = ACTIONS(1508),
    [anon_sym_PIPE] = ACTIONS(1510),
  },
  [4723] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [4724] = {
    [sym__unquoted_identifier] = ACTIONS(1596),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1596),
    [aux_sym__keyword_alter_token1] = ACTIONS(1596),
    [aux_sym__keyword_delete_token1] = ACTIONS(1596),
    [aux_sym__keyword_begin_token1] = ACTIONS(1596),
    [aux_sym__keyword_end_token1] = ACTIONS(1596),
    [aux_sym__keyword_when_token1] = ACTIONS(1596),
    [aux_sym__keyword_else_token1] = ACTIONS(1596),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1596),
    [aux_sym__keyword_as_token1] = ACTIONS(1596),
    [aux_sym__keyword_window_token1] = ACTIONS(1596),
    [aux_sym__keyword_date_token1] = ACTIONS(1596),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1596),
    [aux_sym__keyword_time_token1] = ACTIONS(1596),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1596),
    [aux_sym__keyword_for_token1] = ACTIONS(1596),
    [anon_sym_SEMI] = ACTIONS(1594),
    [aux_sym_declare_statement_token1] = ACTIONS(1596),
    [anon_sym_COMMA] = ACTIONS(1594),
    [aux_sym_set_statement_token1] = ACTIONS(1596),
    [anon_sym_LPAREN] = ACTIONS(1594),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1596),
    [aux_sym_using_clause_token1] = ACTIONS(1596),
    [aux_sym_return_satement_token1] = ACTIONS(1596),
    [aux_sym_call_statement_token1] = ACTIONS(1596),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1596),
    [aux_sym_if_statement_token1] = ACTIONS(1596),
    [aux_sym_loop_statement_token1] = ACTIONS(1596),
    [aux_sym_repeat_statement_token1] = ACTIONS(1596),
    [aux_sym_while_statement_token1] = ACTIONS(1596),
    [aux_sym_break_statement_token1] = ACTIONS(1596),
    [aux_sym_leave_statement_token1] = ACTIONS(1596),
    [aux_sym_continue_statement_token1] = ACTIONS(1596),
    [aux_sym_iterate_statement_token1] = ACTIONS(1596),
    [aux_sym_raise_statement_token1] = ACTIONS(1596),
    [aux_sym_assert_statement_token1] = ACTIONS(1596),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1596),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1596),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1596),
    [aux_sym_set_operation_token1] = ACTIONS(1596),
    [aux_sym_set_operation_token3] = ACTIONS(1596),
    [aux_sym_set_operation_token4] = ACTIONS(1596),
    [aux_sym_select_token1] = ACTIONS(1596),
    [aux_sym_having_clause_token1] = ACTIONS(1596),
    [aux_sym_qualify_clause_token1] = ACTIONS(1596),
    [aux_sym_limit_clause_token1] = ACTIONS(1596),
    [aux_sym_group_by_clause_token1] = ACTIONS(1596),
    [aux_sym_order_by_clause_token1] = ACTIONS(1596),
    [aux_sym_where_clause_token1] = ACTIONS(1596),
    [aux_sym_pivot_operator_token1] = ACTIONS(1596),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1596),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1596),
    [aux_sym_join_type_token1] = ACTIONS(1596),
    [aux_sym_join_type_token2] = ACTIONS(1596),
    [aux_sym_join_type_token3] = ACTIONS(1596),
    [aux_sym_join_type_token4] = ACTIONS(1596),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1596),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1596),
    [aux_sym_join_condition_token1] = ACTIONS(1596),
    [aux_sym_insert_statement_token1] = ACTIONS(1596),
    [aux_sym_truncate_statement_token1] = ACTIONS(1596),
    [aux_sym_update_statement_token1] = ACTIONS(1596),
    [aux_sym_merge_statement_token1] = ACTIONS(1596),
    [aux_sym_grant_statement_token1] = ACTIONS(1596),
    [aux_sym_revoke_statement_token1] = ACTIONS(1596),
    [aux_sym_export_data_statement_token1] = ACTIONS(1596),
    [aux_sym_load_data_statement_token1] = ACTIONS(1596),
    [sym__quoted_identifier] = ACTIONS(1594),
    [sym_comment] = ACTIONS(3),
  },
  [4725] = {
    [sym__unquoted_identifier] = ACTIONS(1592),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1592),
    [aux_sym__keyword_alter_token1] = ACTIONS(1592),
    [aux_sym__keyword_delete_token1] = ACTIONS(1592),
    [aux_sym__keyword_begin_token1] = ACTIONS(1592),
    [aux_sym__keyword_end_token1] = ACTIONS(1592),
    [aux_sym__keyword_when_token1] = ACTIONS(1592),
    [aux_sym__keyword_else_token1] = ACTIONS(1592),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1592),
    [aux_sym__keyword_as_token1] = ACTIONS(1592),
    [aux_sym__keyword_window_token1] = ACTIONS(1592),
    [aux_sym__keyword_date_token1] = ACTIONS(1592),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1592),
    [aux_sym__keyword_time_token1] = ACTIONS(1592),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1592),
    [aux_sym__keyword_for_token1] = ACTIONS(1592),
    [anon_sym_SEMI] = ACTIONS(1590),
    [aux_sym_declare_statement_token1] = ACTIONS(1592),
    [anon_sym_COMMA] = ACTIONS(1590),
    [aux_sym_set_statement_token1] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1590),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1592),
    [aux_sym_using_clause_token1] = ACTIONS(1592),
    [aux_sym_return_satement_token1] = ACTIONS(1592),
    [aux_sym_call_statement_token1] = ACTIONS(1592),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1592),
    [aux_sym_if_statement_token1] = ACTIONS(1592),
    [aux_sym_loop_statement_token1] = ACTIONS(1592),
    [aux_sym_repeat_statement_token1] = ACTIONS(1592),
    [aux_sym_while_statement_token1] = ACTIONS(1592),
    [aux_sym_break_statement_token1] = ACTIONS(1592),
    [aux_sym_leave_statement_token1] = ACTIONS(1592),
    [aux_sym_continue_statement_token1] = ACTIONS(1592),
    [aux_sym_iterate_statement_token1] = ACTIONS(1592),
    [aux_sym_raise_statement_token1] = ACTIONS(1592),
    [aux_sym_assert_statement_token1] = ACTIONS(1592),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1592),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1592),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1592),
    [aux_sym_set_operation_token1] = ACTIONS(1592),
    [aux_sym_set_operation_token3] = ACTIONS(1592),
    [aux_sym_set_operation_token4] = ACTIONS(1592),
    [aux_sym_select_token1] = ACTIONS(1592),
    [aux_sym_having_clause_token1] = ACTIONS(1592),
    [aux_sym_qualify_clause_token1] = ACTIONS(1592),
    [aux_sym_limit_clause_token1] = ACTIONS(1592),
    [aux_sym_group_by_clause_token1] = ACTIONS(1592),
    [aux_sym_order_by_clause_token1] = ACTIONS(1592),
    [aux_sym_where_clause_token1] = ACTIONS(1592),
    [aux_sym_pivot_operator_token1] = ACTIONS(1592),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1592),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1592),
    [aux_sym_join_type_token1] = ACTIONS(1592),
    [aux_sym_join_type_token2] = ACTIONS(1592),
    [aux_sym_join_type_token3] = ACTIONS(1592),
    [aux_sym_join_type_token4] = ACTIONS(1592),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1592),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1592),
    [aux_sym_join_condition_token1] = ACTIONS(1592),
    [aux_sym_insert_statement_token1] = ACTIONS(1592),
    [aux_sym_truncate_statement_token1] = ACTIONS(1592),
    [aux_sym_update_statement_token1] = ACTIONS(1592),
    [aux_sym_merge_statement_token1] = ACTIONS(1592),
    [aux_sym_grant_statement_token1] = ACTIONS(1592),
    [aux_sym_revoke_statement_token1] = ACTIONS(1592),
    [aux_sym_export_data_statement_token1] = ACTIONS(1592),
    [aux_sym_load_data_statement_token1] = ACTIONS(1592),
    [sym__quoted_identifier] = ACTIONS(1590),
    [sym_comment] = ACTIONS(3),
  },
  [4726] = {
    [sym__unquoted_identifier] = ACTIONS(1518),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1518),
    [aux_sym__keyword_alter_token1] = ACTIONS(1518),
    [aux_sym__keyword_delete_token1] = ACTIONS(1518),
    [aux_sym__keyword_begin_token1] = ACTIONS(1518),
    [aux_sym__keyword_end_token1] = ACTIONS(1518),
    [aux_sym__keyword_when_token1] = ACTIONS(1518),
    [aux_sym__keyword_else_token1] = ACTIONS(1518),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1518),
    [aux_sym__keyword_as_token1] = ACTIONS(1518),
    [aux_sym__keyword_window_token1] = ACTIONS(1518),
    [aux_sym__keyword_date_token1] = ACTIONS(1518),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1518),
    [aux_sym__keyword_time_token1] = ACTIONS(1518),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1518),
    [aux_sym__keyword_for_token1] = ACTIONS(1518),
    [anon_sym_SEMI] = ACTIONS(1516),
    [aux_sym_declare_statement_token1] = ACTIONS(1518),
    [anon_sym_COMMA] = ACTIONS(1516),
    [aux_sym_set_statement_token1] = ACTIONS(1518),
    [anon_sym_LPAREN] = ACTIONS(1516),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1518),
    [aux_sym_using_clause_token1] = ACTIONS(1518),
    [aux_sym_return_satement_token1] = ACTIONS(1518),
    [aux_sym_call_statement_token1] = ACTIONS(1518),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1518),
    [aux_sym_if_statement_token1] = ACTIONS(1518),
    [aux_sym_loop_statement_token1] = ACTIONS(1518),
    [aux_sym_repeat_statement_token1] = ACTIONS(1518),
    [aux_sym_while_statement_token1] = ACTIONS(1518),
    [aux_sym_break_statement_token1] = ACTIONS(1518),
    [aux_sym_leave_statement_token1] = ACTIONS(1518),
    [aux_sym_continue_statement_token1] = ACTIONS(1518),
    [aux_sym_iterate_statement_token1] = ACTIONS(1518),
    [aux_sym_raise_statement_token1] = ACTIONS(1518),
    [aux_sym_assert_statement_token1] = ACTIONS(1518),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1518),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1518),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1518),
    [aux_sym_set_operation_token1] = ACTIONS(1518),
    [aux_sym_set_operation_token3] = ACTIONS(1518),
    [aux_sym_set_operation_token4] = ACTIONS(1518),
    [aux_sym_select_token1] = ACTIONS(1518),
    [aux_sym_having_clause_token1] = ACTIONS(1518),
    [aux_sym_qualify_clause_token1] = ACTIONS(1518),
    [aux_sym_limit_clause_token1] = ACTIONS(1518),
    [aux_sym_group_by_clause_token1] = ACTIONS(1518),
    [aux_sym_order_by_clause_token1] = ACTIONS(1518),
    [aux_sym_where_clause_token1] = ACTIONS(1518),
    [aux_sym_pivot_operator_token1] = ACTIONS(1518),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1518),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1518),
    [aux_sym_join_type_token1] = ACTIONS(1518),
    [aux_sym_join_type_token2] = ACTIONS(1518),
    [aux_sym_join_type_token3] = ACTIONS(1518),
    [aux_sym_join_type_token4] = ACTIONS(1518),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1518),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1518),
    [aux_sym_join_condition_token1] = ACTIONS(1518),
    [aux_sym_insert_statement_token1] = ACTIONS(1518),
    [aux_sym_truncate_statement_token1] = ACTIONS(1518),
    [aux_sym_update_statement_token1] = ACTIONS(1518),
    [aux_sym_merge_statement_token1] = ACTIONS(1518),
    [aux_sym_grant_statement_token1] = ACTIONS(1518),
    [aux_sym_revoke_statement_token1] = ACTIONS(1518),
    [aux_sym_export_data_statement_token1] = ACTIONS(1518),
    [aux_sym_load_data_statement_token1] = ACTIONS(1518),
    [sym__quoted_identifier] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
  },
  [4727] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [4728] = {
    [sym__unquoted_identifier] = ACTIONS(1770),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1770),
    [aux_sym__keyword_alter_token1] = ACTIONS(1770),
    [aux_sym__keyword_delete_token1] = ACTIONS(1770),
    [aux_sym__keyword_begin_token1] = ACTIONS(1770),
    [aux_sym__keyword_end_token1] = ACTIONS(1770),
    [aux_sym__keyword_when_token1] = ACTIONS(1770),
    [aux_sym__keyword_else_token1] = ACTIONS(1770),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1770),
    [aux_sym__keyword_as_token1] = ACTIONS(1770),
    [aux_sym__keyword_window_token1] = ACTIONS(1770),
    [aux_sym__keyword_date_token1] = ACTIONS(1770),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1770),
    [aux_sym__keyword_time_token1] = ACTIONS(1770),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1770),
    [aux_sym__keyword_for_token1] = ACTIONS(1770),
    [anon_sym_SEMI] = ACTIONS(1768),
    [aux_sym_declare_statement_token1] = ACTIONS(1770),
    [anon_sym_COMMA] = ACTIONS(1768),
    [aux_sym_set_statement_token1] = ACTIONS(1770),
    [anon_sym_LPAREN] = ACTIONS(1768),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1770),
    [aux_sym_using_clause_token1] = ACTIONS(1770),
    [aux_sym_return_satement_token1] = ACTIONS(1770),
    [aux_sym_call_statement_token1] = ACTIONS(1770),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1770),
    [aux_sym_if_statement_token1] = ACTIONS(1770),
    [aux_sym_loop_statement_token1] = ACTIONS(1770),
    [aux_sym_repeat_statement_token1] = ACTIONS(1770),
    [aux_sym_while_statement_token1] = ACTIONS(1770),
    [aux_sym_break_statement_token1] = ACTIONS(1770),
    [aux_sym_leave_statement_token1] = ACTIONS(1770),
    [aux_sym_continue_statement_token1] = ACTIONS(1770),
    [aux_sym_iterate_statement_token1] = ACTIONS(1770),
    [aux_sym_raise_statement_token1] = ACTIONS(1770),
    [aux_sym_assert_statement_token1] = ACTIONS(1770),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1770),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1770),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1770),
    [aux_sym_set_operation_token1] = ACTIONS(1770),
    [aux_sym_set_operation_token3] = ACTIONS(1770),
    [aux_sym_set_operation_token4] = ACTIONS(1770),
    [aux_sym_select_token1] = ACTIONS(1770),
    [aux_sym_having_clause_token1] = ACTIONS(1770),
    [aux_sym_qualify_clause_token1] = ACTIONS(1770),
    [aux_sym_limit_clause_token1] = ACTIONS(1770),
    [aux_sym_group_by_clause_token1] = ACTIONS(1770),
    [aux_sym_order_by_clause_token1] = ACTIONS(1770),
    [aux_sym_where_clause_token1] = ACTIONS(1770),
    [aux_sym_pivot_operator_token1] = ACTIONS(1770),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1770),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1770),
    [aux_sym_join_type_token1] = ACTIONS(1770),
    [aux_sym_join_type_token2] = ACTIONS(1770),
    [aux_sym_join_type_token3] = ACTIONS(1770),
    [aux_sym_join_type_token4] = ACTIONS(1770),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1770),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1770),
    [aux_sym_join_condition_token1] = ACTIONS(1770),
    [aux_sym_insert_statement_token1] = ACTIONS(1770),
    [aux_sym_truncate_statement_token1] = ACTIONS(1770),
    [aux_sym_update_statement_token1] = ACTIONS(1770),
    [aux_sym_merge_statement_token1] = ACTIONS(1770),
    [aux_sym_grant_statement_token1] = ACTIONS(1770),
    [aux_sym_revoke_statement_token1] = ACTIONS(1770),
    [aux_sym_export_data_statement_token1] = ACTIONS(1770),
    [aux_sym_load_data_statement_token1] = ACTIONS(1770),
    [sym__quoted_identifier] = ACTIONS(1768),
    [sym_comment] = ACTIONS(3),
  },
  [4729] = {
    [sym__unquoted_identifier] = ACTIONS(1852),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1852),
    [aux_sym__keyword_alter_token1] = ACTIONS(1852),
    [aux_sym__keyword_delete_token1] = ACTIONS(1852),
    [aux_sym__keyword_begin_token1] = ACTIONS(1852),
    [aux_sym__keyword_end_token1] = ACTIONS(1852),
    [aux_sym__keyword_when_token1] = ACTIONS(1852),
    [aux_sym__keyword_else_token1] = ACTIONS(1852),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1852),
    [aux_sym__keyword_as_token1] = ACTIONS(1852),
    [aux_sym__keyword_window_token1] = ACTIONS(1852),
    [aux_sym__keyword_date_token1] = ACTIONS(1852),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1852),
    [aux_sym__keyword_time_token1] = ACTIONS(1852),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1852),
    [aux_sym__keyword_for_token1] = ACTIONS(1852),
    [anon_sym_SEMI] = ACTIONS(1850),
    [aux_sym_declare_statement_token1] = ACTIONS(1852),
    [anon_sym_COMMA] = ACTIONS(1850),
    [aux_sym_set_statement_token1] = ACTIONS(1852),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1852),
    [aux_sym_using_clause_token1] = ACTIONS(1852),
    [aux_sym_return_satement_token1] = ACTIONS(1852),
    [aux_sym_call_statement_token1] = ACTIONS(1852),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1852),
    [aux_sym_if_statement_token1] = ACTIONS(1852),
    [aux_sym_loop_statement_token1] = ACTIONS(1852),
    [aux_sym_repeat_statement_token1] = ACTIONS(1852),
    [aux_sym_while_statement_token1] = ACTIONS(1852),
    [aux_sym_break_statement_token1] = ACTIONS(1852),
    [aux_sym_leave_statement_token1] = ACTIONS(1852),
    [aux_sym_continue_statement_token1] = ACTIONS(1852),
    [aux_sym_iterate_statement_token1] = ACTIONS(1852),
    [aux_sym_raise_statement_token1] = ACTIONS(1852),
    [aux_sym_assert_statement_token1] = ACTIONS(1852),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1852),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1852),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1852),
    [aux_sym_set_operation_token1] = ACTIONS(1852),
    [aux_sym_set_operation_token3] = ACTIONS(1852),
    [aux_sym_set_operation_token4] = ACTIONS(1852),
    [aux_sym_select_token1] = ACTIONS(1852),
    [aux_sym_having_clause_token1] = ACTIONS(1852),
    [aux_sym_qualify_clause_token1] = ACTIONS(1852),
    [aux_sym_limit_clause_token1] = ACTIONS(1852),
    [aux_sym_group_by_clause_token1] = ACTIONS(1852),
    [aux_sym_order_by_clause_token1] = ACTIONS(1852),
    [aux_sym_where_clause_token1] = ACTIONS(1852),
    [aux_sym_pivot_operator_token1] = ACTIONS(1852),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1852),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1852),
    [aux_sym_join_type_token1] = ACTIONS(1852),
    [aux_sym_join_type_token2] = ACTIONS(1852),
    [aux_sym_join_type_token3] = ACTIONS(1852),
    [aux_sym_join_type_token4] = ACTIONS(1852),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1852),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1852),
    [aux_sym_join_condition_token1] = ACTIONS(1852),
    [aux_sym_insert_statement_token1] = ACTIONS(1852),
    [aux_sym_truncate_statement_token1] = ACTIONS(1852),
    [aux_sym_update_statement_token1] = ACTIONS(1852),
    [aux_sym_merge_statement_token1] = ACTIONS(1852),
    [aux_sym_grant_statement_token1] = ACTIONS(1852),
    [aux_sym_revoke_statement_token1] = ACTIONS(1852),
    [aux_sym_export_data_statement_token1] = ACTIONS(1852),
    [aux_sym_load_data_statement_token1] = ACTIONS(1852),
    [sym__quoted_identifier] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
  },
  [4730] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [4731] = {
    [sym__unquoted_identifier] = ACTIONS(1844),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1844),
    [aux_sym__keyword_alter_token1] = ACTIONS(1844),
    [aux_sym__keyword_delete_token1] = ACTIONS(1844),
    [aux_sym__keyword_begin_token1] = ACTIONS(1844),
    [aux_sym__keyword_end_token1] = ACTIONS(1844),
    [aux_sym__keyword_when_token1] = ACTIONS(1844),
    [aux_sym__keyword_else_token1] = ACTIONS(1844),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1844),
    [aux_sym__keyword_as_token1] = ACTIONS(1844),
    [aux_sym__keyword_window_token1] = ACTIONS(1844),
    [aux_sym__keyword_date_token1] = ACTIONS(1844),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1844),
    [aux_sym__keyword_time_token1] = ACTIONS(1844),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1844),
    [aux_sym__keyword_for_token1] = ACTIONS(1844),
    [anon_sym_SEMI] = ACTIONS(1842),
    [aux_sym_declare_statement_token1] = ACTIONS(1844),
    [anon_sym_COMMA] = ACTIONS(1842),
    [aux_sym_set_statement_token1] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1842),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1844),
    [aux_sym_using_clause_token1] = ACTIONS(1844),
    [aux_sym_return_satement_token1] = ACTIONS(1844),
    [aux_sym_call_statement_token1] = ACTIONS(1844),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1844),
    [aux_sym_if_statement_token1] = ACTIONS(1844),
    [aux_sym_loop_statement_token1] = ACTIONS(1844),
    [aux_sym_repeat_statement_token1] = ACTIONS(1844),
    [aux_sym_while_statement_token1] = ACTIONS(1844),
    [aux_sym_break_statement_token1] = ACTIONS(1844),
    [aux_sym_leave_statement_token1] = ACTIONS(1844),
    [aux_sym_continue_statement_token1] = ACTIONS(1844),
    [aux_sym_iterate_statement_token1] = ACTIONS(1844),
    [aux_sym_raise_statement_token1] = ACTIONS(1844),
    [aux_sym_assert_statement_token1] = ACTIONS(1844),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1844),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1844),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1844),
    [aux_sym_set_operation_token1] = ACTIONS(1844),
    [aux_sym_set_operation_token3] = ACTIONS(1844),
    [aux_sym_set_operation_token4] = ACTIONS(1844),
    [aux_sym_select_token1] = ACTIONS(1844),
    [aux_sym_having_clause_token1] = ACTIONS(1844),
    [aux_sym_qualify_clause_token1] = ACTIONS(1844),
    [aux_sym_limit_clause_token1] = ACTIONS(1844),
    [aux_sym_group_by_clause_token1] = ACTIONS(1844),
    [aux_sym_order_by_clause_token1] = ACTIONS(1844),
    [aux_sym_where_clause_token1] = ACTIONS(1844),
    [aux_sym_pivot_operator_token1] = ACTIONS(1844),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1844),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1844),
    [aux_sym_join_type_token1] = ACTIONS(1844),
    [aux_sym_join_type_token2] = ACTIONS(1844),
    [aux_sym_join_type_token3] = ACTIONS(1844),
    [aux_sym_join_type_token4] = ACTIONS(1844),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1844),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1844),
    [aux_sym_join_condition_token1] = ACTIONS(1844),
    [aux_sym_insert_statement_token1] = ACTIONS(1844),
    [aux_sym_truncate_statement_token1] = ACTIONS(1844),
    [aux_sym_update_statement_token1] = ACTIONS(1844),
    [aux_sym_merge_statement_token1] = ACTIONS(1844),
    [aux_sym_grant_statement_token1] = ACTIONS(1844),
    [aux_sym_revoke_statement_token1] = ACTIONS(1844),
    [aux_sym_export_data_statement_token1] = ACTIONS(1844),
    [aux_sym_load_data_statement_token1] = ACTIONS(1844),
    [sym__quoted_identifier] = ACTIONS(1842),
    [sym_comment] = ACTIONS(3),
  },
  [4732] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [4733] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [4734] = {
    [ts_builtin_sym_end] = ACTIONS(1516),
    [sym__unquoted_identifier] = ACTIONS(1518),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1518),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1518),
    [aux_sym_keyword_replace_token1] = ACTIONS(1518),
    [aux_sym__keyword_alter_token1] = ACTIONS(1518),
    [aux_sym__keyword_delete_token1] = ACTIONS(1518),
    [aux_sym__keyword_begin_token1] = ACTIONS(1518),
    [aux_sym__keyword_between_token1] = ACTIONS(1518),
    [aux_sym__keyword_is_token1] = ACTIONS(1518),
    [aux_sym__keyword_in_token1] = ACTIONS(1518),
    [aux_sym__keyword_and_token1] = ACTIONS(1518),
    [aux_sym__keyword_like_token1] = ACTIONS(1518),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1518),
    [aux_sym__keyword_as_token1] = ACTIONS(1518),
    [aux_sym__keyword_date_token1] = ACTIONS(1518),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1518),
    [aux_sym__keyword_time_token1] = ACTIONS(1518),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1518),
    [aux_sym__keyword_for_token1] = ACTIONS(1518),
    [anon_sym_SEMI] = ACTIONS(1516),
    [aux_sym_declare_statement_token1] = ACTIONS(1518),
    [anon_sym_COMMA] = ACTIONS(1516),
    [aux_sym_set_statement_token1] = ACTIONS(1518),
    [anon_sym_LPAREN] = ACTIONS(1516),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1518),
    [aux_sym_return_satement_token1] = ACTIONS(1518),
    [aux_sym_call_statement_token1] = ACTIONS(1518),
    [aux_sym_loop_statement_token1] = ACTIONS(1518),
    [aux_sym_while_statement_token1] = ACTIONS(1518),
    [aux_sym_break_statement_token1] = ACTIONS(1518),
    [aux_sym_leave_statement_token1] = ACTIONS(1518),
    [aux_sym_continue_statement_token1] = ACTIONS(1518),
    [aux_sym_iterate_statement_token1] = ACTIONS(1518),
    [aux_sym_raise_statement_token1] = ACTIONS(1518),
    [anon_sym_EQ] = ACTIONS(1516),
    [aux_sym_assert_statement_token1] = ACTIONS(1518),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1518),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1518),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1518),
    [anon_sym_LT] = ACTIONS(1518),
    [anon_sym_GT] = ACTIONS(1518),
    [aux_sym_select_token1] = ACTIONS(1518),
    [aux_sym_insert_statement_token1] = ACTIONS(1518),
    [aux_sym_truncate_statement_token1] = ACTIONS(1518),
    [aux_sym_update_statement_token1] = ACTIONS(1518),
    [aux_sym_merge_statement_token1] = ACTIONS(1518),
    [aux_sym_grant_statement_token1] = ACTIONS(1518),
    [aux_sym_revoke_statement_token1] = ACTIONS(1518),
    [aux_sym_export_data_statement_token1] = ACTIONS(1518),
    [aux_sym_load_data_statement_token1] = ACTIONS(1518),
    [anon_sym_LBRACK] = ACTIONS(1516),
    [sym__quoted_identifier] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1516),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1518),
    [anon_sym_STAR] = ACTIONS(1516),
    [anon_sym_SLASH] = ACTIONS(1518),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [anon_sym_LT_EQ] = ACTIONS(1516),
    [anon_sym_LT_GT] = ACTIONS(1516),
    [anon_sym_GT_EQ] = ACTIONS(1516),
    [anon_sym_BANG_EQ] = ACTIONS(1516),
    [anon_sym_LT_LT] = ACTIONS(1516),
    [anon_sym_GT_GT] = ACTIONS(1516),
    [anon_sym_AMP] = ACTIONS(1516),
    [anon_sym_CARET] = ACTIONS(1516),
    [anon_sym_PIPE] = ACTIONS(1518),
  },
  [4735] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [4736] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [4737] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [4738] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [4739] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [4740] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [4741] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [4742] = {
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_end_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_repeat_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [4743] = {
    [sym__unquoted_identifier] = ACTIONS(1600),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1600),
    [aux_sym__keyword_alter_token1] = ACTIONS(1600),
    [aux_sym__keyword_delete_token1] = ACTIONS(1600),
    [aux_sym__keyword_begin_token1] = ACTIONS(1600),
    [aux_sym__keyword_end_token1] = ACTIONS(1600),
    [aux_sym__keyword_when_token1] = ACTIONS(1600),
    [aux_sym__keyword_else_token1] = ACTIONS(1600),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1600),
    [aux_sym__keyword_as_token1] = ACTIONS(1600),
    [aux_sym__keyword_window_token1] = ACTIONS(1600),
    [aux_sym__keyword_date_token1] = ACTIONS(1600),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1600),
    [aux_sym__keyword_time_token1] = ACTIONS(1600),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1600),
    [aux_sym__keyword_for_token1] = ACTIONS(1600),
    [anon_sym_SEMI] = ACTIONS(1598),
    [aux_sym_declare_statement_token1] = ACTIONS(1600),
    [anon_sym_COMMA] = ACTIONS(1598),
    [aux_sym_set_statement_token1] = ACTIONS(1600),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1600),
    [aux_sym_using_clause_token1] = ACTIONS(1600),
    [aux_sym_return_satement_token1] = ACTIONS(1600),
    [aux_sym_call_statement_token1] = ACTIONS(1600),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1600),
    [aux_sym_if_statement_token1] = ACTIONS(1600),
    [aux_sym_loop_statement_token1] = ACTIONS(1600),
    [aux_sym_repeat_statement_token1] = ACTIONS(1600),
    [aux_sym_while_statement_token1] = ACTIONS(1600),
    [aux_sym_break_statement_token1] = ACTIONS(1600),
    [aux_sym_leave_statement_token1] = ACTIONS(1600),
    [aux_sym_continue_statement_token1] = ACTIONS(1600),
    [aux_sym_iterate_statement_token1] = ACTIONS(1600),
    [aux_sym_raise_statement_token1] = ACTIONS(1600),
    [aux_sym_assert_statement_token1] = ACTIONS(1600),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1600),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1600),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1600),
    [aux_sym_set_operation_token1] = ACTIONS(1600),
    [aux_sym_set_operation_token3] = ACTIONS(1600),
    [aux_sym_set_operation_token4] = ACTIONS(1600),
    [aux_sym_select_token1] = ACTIONS(1600),
    [aux_sym_having_clause_token1] = ACTIONS(1600),
    [aux_sym_qualify_clause_token1] = ACTIONS(1600),
    [aux_sym_limit_clause_token1] = ACTIONS(1600),
    [aux_sym_group_by_clause_token1] = ACTIONS(1600),
    [aux_sym_order_by_clause_token1] = ACTIONS(1600),
    [aux_sym_where_clause_token1] = ACTIONS(1600),
    [aux_sym_pivot_operator_token1] = ACTIONS(1600),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1600),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1600),
    [aux_sym_join_type_token1] = ACTIONS(1600),
    [aux_sym_join_type_token2] = ACTIONS(1600),
    [aux_sym_join_type_token3] = ACTIONS(1600),
    [aux_sym_join_type_token4] = ACTIONS(1600),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1600),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1600),
    [aux_sym_join_condition_token1] = ACTIONS(1600),
    [aux_sym_insert_statement_token1] = ACTIONS(1600),
    [aux_sym_truncate_statement_token1] = ACTIONS(1600),
    [aux_sym_update_statement_token1] = ACTIONS(1600),
    [aux_sym_merge_statement_token1] = ACTIONS(1600),
    [aux_sym_grant_statement_token1] = ACTIONS(1600),
    [aux_sym_revoke_statement_token1] = ACTIONS(1600),
    [aux_sym_export_data_statement_token1] = ACTIONS(1600),
    [aux_sym_load_data_statement_token1] = ACTIONS(1600),
    [sym__quoted_identifier] = ACTIONS(1598),
    [sym_comment] = ACTIONS(3),
  },
  [4744] = {
    [sym__unquoted_identifier] = ACTIONS(1384),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1384),
    [aux_sym__keyword_alter_token1] = ACTIONS(1384),
    [aux_sym__keyword_delete_token1] = ACTIONS(1384),
    [aux_sym__keyword_begin_token1] = ACTIONS(1384),
    [aux_sym__keyword_end_token1] = ACTIONS(1384),
    [aux_sym__keyword_when_token1] = ACTIONS(1384),
    [aux_sym__keyword_else_token1] = ACTIONS(1384),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1384),
    [aux_sym__keyword_as_token1] = ACTIONS(1384),
    [aux_sym__keyword_window_token1] = ACTIONS(1384),
    [aux_sym__keyword_date_token1] = ACTIONS(1384),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1384),
    [aux_sym__keyword_time_token1] = ACTIONS(1384),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1384),
    [aux_sym__keyword_for_token1] = ACTIONS(1384),
    [anon_sym_SEMI] = ACTIONS(1382),
    [aux_sym_declare_statement_token1] = ACTIONS(1384),
    [anon_sym_COMMA] = ACTIONS(1382),
    [aux_sym_set_statement_token1] = ACTIONS(1384),
    [anon_sym_LPAREN] = ACTIONS(1382),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1384),
    [aux_sym_using_clause_token1] = ACTIONS(1384),
    [aux_sym_return_satement_token1] = ACTIONS(1384),
    [aux_sym_call_statement_token1] = ACTIONS(1384),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1384),
    [aux_sym_if_statement_token1] = ACTIONS(1384),
    [aux_sym_loop_statement_token1] = ACTIONS(1384),
    [aux_sym_repeat_statement_token1] = ACTIONS(1384),
    [aux_sym_while_statement_token1] = ACTIONS(1384),
    [aux_sym_break_statement_token1] = ACTIONS(1384),
    [aux_sym_leave_statement_token1] = ACTIONS(1384),
    [aux_sym_continue_statement_token1] = ACTIONS(1384),
    [aux_sym_iterate_statement_token1] = ACTIONS(1384),
    [aux_sym_raise_statement_token1] = ACTIONS(1384),
    [aux_sym_assert_statement_token1] = ACTIONS(1384),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1384),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1384),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1384),
    [aux_sym_set_operation_token1] = ACTIONS(1384),
    [aux_sym_set_operation_token3] = ACTIONS(1384),
    [aux_sym_set_operation_token4] = ACTIONS(1384),
    [aux_sym_select_token1] = ACTIONS(1384),
    [aux_sym_having_clause_token1] = ACTIONS(1384),
    [aux_sym_qualify_clause_token1] = ACTIONS(1384),
    [aux_sym_limit_clause_token1] = ACTIONS(1384),
    [aux_sym_group_by_clause_token1] = ACTIONS(1384),
    [aux_sym_order_by_clause_token1] = ACTIONS(1384),
    [aux_sym_where_clause_token1] = ACTIONS(1384),
    [aux_sym_pivot_operator_token1] = ACTIONS(1384),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1384),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1384),
    [aux_sym_join_type_token1] = ACTIONS(1384),
    [aux_sym_join_type_token2] = ACTIONS(1384),
    [aux_sym_join_type_token3] = ACTIONS(1384),
    [aux_sym_join_type_token4] = ACTIONS(1384),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1384),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1384),
    [aux_sym_join_condition_token1] = ACTIONS(1384),
    [aux_sym_insert_statement_token1] = ACTIONS(1384),
    [aux_sym_truncate_statement_token1] = ACTIONS(1384),
    [aux_sym_update_statement_token1] = ACTIONS(1384),
    [aux_sym_merge_statement_token1] = ACTIONS(1384),
    [aux_sym_grant_statement_token1] = ACTIONS(1384),
    [aux_sym_revoke_statement_token1] = ACTIONS(1384),
    [aux_sym_export_data_statement_token1] = ACTIONS(1384),
    [aux_sym_load_data_statement_token1] = ACTIONS(1384),
    [sym__quoted_identifier] = ACTIONS(1382),
    [sym_comment] = ACTIONS(3),
  },
  [4745] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [4746] = {
    [sym__unquoted_identifier] = ACTIONS(1392),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1392),
    [aux_sym__keyword_alter_token1] = ACTIONS(1392),
    [aux_sym__keyword_delete_token1] = ACTIONS(1392),
    [aux_sym__keyword_begin_token1] = ACTIONS(1392),
    [aux_sym__keyword_end_token1] = ACTIONS(1392),
    [aux_sym__keyword_when_token1] = ACTIONS(1392),
    [aux_sym__keyword_else_token1] = ACTIONS(1392),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1392),
    [aux_sym__keyword_as_token1] = ACTIONS(1392),
    [aux_sym__keyword_window_token1] = ACTIONS(1392),
    [aux_sym__keyword_date_token1] = ACTIONS(1392),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1392),
    [aux_sym__keyword_time_token1] = ACTIONS(1392),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1392),
    [aux_sym__keyword_for_token1] = ACTIONS(1392),
    [anon_sym_SEMI] = ACTIONS(1390),
    [aux_sym_declare_statement_token1] = ACTIONS(1392),
    [anon_sym_COMMA] = ACTIONS(1390),
    [aux_sym_set_statement_token1] = ACTIONS(1392),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1392),
    [aux_sym_using_clause_token1] = ACTIONS(1392),
    [aux_sym_return_satement_token1] = ACTIONS(1392),
    [aux_sym_call_statement_token1] = ACTIONS(1392),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1392),
    [aux_sym_if_statement_token1] = ACTIONS(1392),
    [aux_sym_loop_statement_token1] = ACTIONS(1392),
    [aux_sym_repeat_statement_token1] = ACTIONS(1392),
    [aux_sym_while_statement_token1] = ACTIONS(1392),
    [aux_sym_break_statement_token1] = ACTIONS(1392),
    [aux_sym_leave_statement_token1] = ACTIONS(1392),
    [aux_sym_continue_statement_token1] = ACTIONS(1392),
    [aux_sym_iterate_statement_token1] = ACTIONS(1392),
    [aux_sym_raise_statement_token1] = ACTIONS(1392),
    [aux_sym_assert_statement_token1] = ACTIONS(1392),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1392),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1392),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1392),
    [aux_sym_set_operation_token1] = ACTIONS(1392),
    [aux_sym_set_operation_token3] = ACTIONS(1392),
    [aux_sym_set_operation_token4] = ACTIONS(1392),
    [aux_sym_select_token1] = ACTIONS(1392),
    [aux_sym_having_clause_token1] = ACTIONS(1392),
    [aux_sym_qualify_clause_token1] = ACTIONS(1392),
    [aux_sym_limit_clause_token1] = ACTIONS(1392),
    [aux_sym_group_by_clause_token1] = ACTIONS(1392),
    [aux_sym_order_by_clause_token1] = ACTIONS(1392),
    [aux_sym_where_clause_token1] = ACTIONS(1392),
    [aux_sym_pivot_operator_token1] = ACTIONS(1392),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1392),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1392),
    [aux_sym_join_type_token1] = ACTIONS(1392),
    [aux_sym_join_type_token2] = ACTIONS(1392),
    [aux_sym_join_type_token3] = ACTIONS(1392),
    [aux_sym_join_type_token4] = ACTIONS(1392),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1392),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1392),
    [aux_sym_join_condition_token1] = ACTIONS(1392),
    [aux_sym_insert_statement_token1] = ACTIONS(1392),
    [aux_sym_truncate_statement_token1] = ACTIONS(1392),
    [aux_sym_update_statement_token1] = ACTIONS(1392),
    [aux_sym_merge_statement_token1] = ACTIONS(1392),
    [aux_sym_grant_statement_token1] = ACTIONS(1392),
    [aux_sym_revoke_statement_token1] = ACTIONS(1392),
    [aux_sym_export_data_statement_token1] = ACTIONS(1392),
    [aux_sym_load_data_statement_token1] = ACTIONS(1392),
    [sym__quoted_identifier] = ACTIONS(1390),
    [sym_comment] = ACTIONS(3),
  },
  [4747] = {
    [ts_builtin_sym_end] = ACTIONS(1530),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1530),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1530),
    [aux_sym_keyword_replace_token1] = ACTIONS(1530),
    [aux_sym__keyword_alter_token1] = ACTIONS(1530),
    [aux_sym__keyword_delete_token1] = ACTIONS(1530),
    [aux_sym__keyword_begin_token1] = ACTIONS(1530),
    [aux_sym__keyword_end_token1] = ACTIONS(1530),
    [aux_sym__keyword_between_token1] = ACTIONS(1530),
    [aux_sym__keyword_else_token1] = ACTIONS(1532),
    [aux_sym__keyword_is_token1] = ACTIONS(1530),
    [aux_sym__keyword_in_token1] = ACTIONS(1532),
    [aux_sym__keyword_and_token1] = ACTIONS(1530),
    [aux_sym__keyword_like_token1] = ACTIONS(1530),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1530),
    [aux_sym__keyword_for_token1] = ACTIONS(1530),
    [anon_sym_SEMI] = ACTIONS(1530),
    [aux_sym_declare_statement_token1] = ACTIONS(1530),
    [aux_sym_set_statement_token1] = ACTIONS(1530),
    [anon_sym_LPAREN] = ACTIONS(1530),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1530),
    [aux_sym_into_clause_token1] = ACTIONS(1530),
    [aux_sym_using_clause_token1] = ACTIONS(1530),
    [aux_sym_return_satement_token1] = ACTIONS(1530),
    [aux_sym_call_statement_token1] = ACTIONS(1530),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1530),
    [aux_sym_if_statement_token1] = ACTIONS(1530),
    [aux_sym_loop_statement_token1] = ACTIONS(1530),
    [aux_sym_repeat_statement_token1] = ACTIONS(1530),
    [aux_sym_while_statement_token1] = ACTIONS(1530),
    [aux_sym_break_statement_token1] = ACTIONS(1530),
    [aux_sym_leave_statement_token1] = ACTIONS(1530),
    [aux_sym_continue_statement_token1] = ACTIONS(1530),
    [aux_sym_iterate_statement_token1] = ACTIONS(1530),
    [aux_sym_raise_statement_token1] = ACTIONS(1530),
    [anon_sym_EQ] = ACTIONS(1530),
    [aux_sym_assert_statement_token1] = ACTIONS(1530),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1530),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1530),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1530),
    [anon_sym_LT] = ACTIONS(1532),
    [anon_sym_GT] = ACTIONS(1532),
    [aux_sym_select_token1] = ACTIONS(1530),
    [aux_sym_insert_statement_token1] = ACTIONS(1530),
    [aux_sym_truncate_statement_token1] = ACTIONS(1530),
    [aux_sym_update_statement_token1] = ACTIONS(1530),
    [aux_sym_merge_statement_token1] = ACTIONS(1530),
    [aux_sym_grant_statement_token1] = ACTIONS(1530),
    [aux_sym_revoke_statement_token1] = ACTIONS(1530),
    [aux_sym_export_data_statement_token1] = ACTIONS(1530),
    [aux_sym_load_data_statement_token1] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(1530),
    [anon_sym_DOT] = ACTIONS(1514),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1532),
    [anon_sym_PLUS] = ACTIONS(1530),
    [anon_sym_DASH] = ACTIONS(1532),
    [anon_sym_STAR] = ACTIONS(1530),
    [anon_sym_SLASH] = ACTIONS(1532),
    [anon_sym_PIPE_PIPE] = ACTIONS(1530),
    [anon_sym_LT_EQ] = ACTIONS(1530),
    [anon_sym_LT_GT] = ACTIONS(1530),
    [anon_sym_GT_EQ] = ACTIONS(1530),
    [anon_sym_BANG_EQ] = ACTIONS(1530),
    [anon_sym_LT_LT] = ACTIONS(1530),
    [anon_sym_GT_GT] = ACTIONS(1530),
    [anon_sym_AMP] = ACTIONS(1530),
    [anon_sym_CARET] = ACTIONS(1530),
    [anon_sym_PIPE] = ACTIONS(1532),
  },
  [4748] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [4749] = {
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_using_clause_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_pivot_operator_token1] = ACTIONS(1380),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1380),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1380),
    [aux_sym_join_type_token1] = ACTIONS(1380),
    [aux_sym_join_type_token2] = ACTIONS(1380),
    [aux_sym_join_type_token3] = ACTIONS(1380),
    [aux_sym_join_type_token4] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1380),
    [aux_sym_join_condition_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [4750] = {
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_using_clause_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_pivot_operator_token1] = ACTIONS(1380),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1380),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1380),
    [aux_sym_join_type_token1] = ACTIONS(1380),
    [aux_sym_join_type_token2] = ACTIONS(1380),
    [aux_sym_join_type_token3] = ACTIONS(1380),
    [aux_sym_join_type_token4] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1380),
    [aux_sym_join_condition_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [4751] = {
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_using_clause_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_pivot_operator_token1] = ACTIONS(1380),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1380),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1380),
    [aux_sym_join_type_token1] = ACTIONS(1380),
    [aux_sym_join_type_token2] = ACTIONS(1380),
    [aux_sym_join_type_token3] = ACTIONS(1380),
    [aux_sym_join_type_token4] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1380),
    [aux_sym_join_condition_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [4752] = {
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_using_clause_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_pivot_operator_token1] = ACTIONS(1380),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1380),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1380),
    [aux_sym_join_type_token1] = ACTIONS(1380),
    [aux_sym_join_type_token2] = ACTIONS(1380),
    [aux_sym_join_type_token3] = ACTIONS(1380),
    [aux_sym_join_type_token4] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1380),
    [aux_sym_join_condition_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [4753] = {
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_using_clause_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_pivot_operator_token1] = ACTIONS(1380),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1380),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1380),
    [aux_sym_join_type_token1] = ACTIONS(1380),
    [aux_sym_join_type_token2] = ACTIONS(1380),
    [aux_sym_join_type_token3] = ACTIONS(1380),
    [aux_sym_join_type_token4] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1380),
    [aux_sym_join_condition_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [4754] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [4755] = {
    [ts_builtin_sym_end] = ACTIONS(1508),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1508),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1508),
    [aux_sym_keyword_replace_token1] = ACTIONS(1508),
    [aux_sym__keyword_alter_token1] = ACTIONS(1508),
    [aux_sym__keyword_delete_token1] = ACTIONS(1508),
    [aux_sym__keyword_begin_token1] = ACTIONS(1508),
    [aux_sym__keyword_end_token1] = ACTIONS(1508),
    [aux_sym__keyword_between_token1] = ACTIONS(1508),
    [aux_sym__keyword_else_token1] = ACTIONS(1510),
    [aux_sym__keyword_is_token1] = ACTIONS(1508),
    [aux_sym__keyword_in_token1] = ACTIONS(1510),
    [aux_sym__keyword_and_token1] = ACTIONS(1508),
    [aux_sym__keyword_like_token1] = ACTIONS(1508),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1508),
    [aux_sym__keyword_for_token1] = ACTIONS(1508),
    [anon_sym_SEMI] = ACTIONS(1508),
    [aux_sym_declare_statement_token1] = ACTIONS(1508),
    [aux_sym_set_statement_token1] = ACTIONS(1508),
    [anon_sym_LPAREN] = ACTIONS(1508),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1508),
    [aux_sym_into_clause_token1] = ACTIONS(1508),
    [aux_sym_using_clause_token1] = ACTIONS(1508),
    [aux_sym_return_satement_token1] = ACTIONS(1508),
    [aux_sym_call_statement_token1] = ACTIONS(1508),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1508),
    [aux_sym_if_statement_token1] = ACTIONS(1508),
    [aux_sym_loop_statement_token1] = ACTIONS(1508),
    [aux_sym_repeat_statement_token1] = ACTIONS(1508),
    [aux_sym_while_statement_token1] = ACTIONS(1508),
    [aux_sym_break_statement_token1] = ACTIONS(1508),
    [aux_sym_leave_statement_token1] = ACTIONS(1508),
    [aux_sym_continue_statement_token1] = ACTIONS(1508),
    [aux_sym_iterate_statement_token1] = ACTIONS(1508),
    [aux_sym_raise_statement_token1] = ACTIONS(1508),
    [anon_sym_EQ] = ACTIONS(1508),
    [aux_sym_assert_statement_token1] = ACTIONS(1508),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1508),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1508),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1508),
    [anon_sym_LT] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1510),
    [aux_sym_select_token1] = ACTIONS(1508),
    [aux_sym_insert_statement_token1] = ACTIONS(1508),
    [aux_sym_truncate_statement_token1] = ACTIONS(1508),
    [aux_sym_update_statement_token1] = ACTIONS(1508),
    [aux_sym_merge_statement_token1] = ACTIONS(1508),
    [aux_sym_grant_statement_token1] = ACTIONS(1508),
    [aux_sym_revoke_statement_token1] = ACTIONS(1508),
    [aux_sym_export_data_statement_token1] = ACTIONS(1508),
    [aux_sym_load_data_statement_token1] = ACTIONS(1508),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DOT] = ACTIONS(1514),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1510),
    [anon_sym_PLUS] = ACTIONS(1508),
    [anon_sym_DASH] = ACTIONS(1510),
    [anon_sym_STAR] = ACTIONS(1508),
    [anon_sym_SLASH] = ACTIONS(1510),
    [anon_sym_PIPE_PIPE] = ACTIONS(1508),
    [anon_sym_LT_EQ] = ACTIONS(1508),
    [anon_sym_LT_GT] = ACTIONS(1508),
    [anon_sym_GT_EQ] = ACTIONS(1508),
    [anon_sym_BANG_EQ] = ACTIONS(1508),
    [anon_sym_LT_LT] = ACTIONS(1508),
    [anon_sym_GT_GT] = ACTIONS(1508),
    [anon_sym_AMP] = ACTIONS(1508),
    [anon_sym_CARET] = ACTIONS(1508),
    [anon_sym_PIPE] = ACTIONS(1510),
  },
  [4756] = {
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_using_clause_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_pivot_operator_token1] = ACTIONS(1380),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1380),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1380),
    [aux_sym_join_type_token1] = ACTIONS(1380),
    [aux_sym_join_type_token2] = ACTIONS(1380),
    [aux_sym_join_type_token3] = ACTIONS(1380),
    [aux_sym_join_type_token4] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1380),
    [aux_sym_join_condition_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [4757] = {
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_using_clause_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_pivot_operator_token1] = ACTIONS(1380),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1380),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1380),
    [aux_sym_join_type_token1] = ACTIONS(1380),
    [aux_sym_join_type_token2] = ACTIONS(1380),
    [aux_sym_join_type_token3] = ACTIONS(1380),
    [aux_sym_join_type_token4] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1380),
    [aux_sym_join_condition_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [4758] = {
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_using_clause_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_pivot_operator_token1] = ACTIONS(1380),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1380),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1380),
    [aux_sym_join_type_token1] = ACTIONS(1380),
    [aux_sym_join_type_token2] = ACTIONS(1380),
    [aux_sym_join_type_token3] = ACTIONS(1380),
    [aux_sym_join_type_token4] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1380),
    [aux_sym_join_condition_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [4759] = {
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_using_clause_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_pivot_operator_token1] = ACTIONS(1380),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1380),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1380),
    [aux_sym_join_type_token1] = ACTIONS(1380),
    [aux_sym_join_type_token2] = ACTIONS(1380),
    [aux_sym_join_type_token3] = ACTIONS(1380),
    [aux_sym_join_type_token4] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1380),
    [aux_sym_join_condition_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [4760] = {
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_end_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_using_clause_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_repeat_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_pivot_operator_token1] = ACTIONS(1380),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1380),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1380),
    [aux_sym_join_type_token1] = ACTIONS(1380),
    [aux_sym_join_type_token2] = ACTIONS(1380),
    [aux_sym_join_type_token3] = ACTIONS(1380),
    [aux_sym_join_type_token4] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1380),
    [aux_sym_join_condition_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [4761] = {
    [sym__unquoted_identifier] = ACTIONS(1486),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1486),
    [aux_sym__keyword_alter_token1] = ACTIONS(1486),
    [aux_sym__keyword_delete_token1] = ACTIONS(1486),
    [aux_sym__keyword_begin_token1] = ACTIONS(1486),
    [aux_sym__keyword_end_token1] = ACTIONS(1486),
    [aux_sym__keyword_when_token1] = ACTIONS(1486),
    [aux_sym__keyword_else_token1] = ACTIONS(1486),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1486),
    [aux_sym__keyword_as_token1] = ACTIONS(1486),
    [aux_sym__keyword_window_token1] = ACTIONS(1486),
    [aux_sym__keyword_date_token1] = ACTIONS(1486),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1486),
    [aux_sym__keyword_time_token1] = ACTIONS(1486),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1486),
    [aux_sym__keyword_for_token1] = ACTIONS(1486),
    [anon_sym_SEMI] = ACTIONS(1484),
    [aux_sym_declare_statement_token1] = ACTIONS(1486),
    [anon_sym_COMMA] = ACTIONS(1484),
    [aux_sym_set_statement_token1] = ACTIONS(1486),
    [anon_sym_LPAREN] = ACTIONS(1484),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1486),
    [aux_sym_using_clause_token1] = ACTIONS(1486),
    [aux_sym_return_satement_token1] = ACTIONS(1486),
    [aux_sym_call_statement_token1] = ACTIONS(1486),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1486),
    [aux_sym_if_statement_token1] = ACTIONS(1486),
    [aux_sym_loop_statement_token1] = ACTIONS(1486),
    [aux_sym_repeat_statement_token1] = ACTIONS(1486),
    [aux_sym_while_statement_token1] = ACTIONS(1486),
    [aux_sym_break_statement_token1] = ACTIONS(1486),
    [aux_sym_leave_statement_token1] = ACTIONS(1486),
    [aux_sym_continue_statement_token1] = ACTIONS(1486),
    [aux_sym_iterate_statement_token1] = ACTIONS(1486),
    [aux_sym_raise_statement_token1] = ACTIONS(1486),
    [aux_sym_assert_statement_token1] = ACTIONS(1486),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1486),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1486),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1486),
    [aux_sym_set_operation_token1] = ACTIONS(1486),
    [aux_sym_set_operation_token3] = ACTIONS(1486),
    [aux_sym_set_operation_token4] = ACTIONS(1486),
    [aux_sym_select_token1] = ACTIONS(1486),
    [aux_sym_having_clause_token1] = ACTIONS(1486),
    [aux_sym_qualify_clause_token1] = ACTIONS(1486),
    [aux_sym_limit_clause_token1] = ACTIONS(1486),
    [aux_sym_group_by_clause_token1] = ACTIONS(1486),
    [aux_sym_order_by_clause_token1] = ACTIONS(1486),
    [aux_sym_where_clause_token1] = ACTIONS(1486),
    [aux_sym_pivot_operator_token1] = ACTIONS(1486),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1486),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1486),
    [aux_sym_join_type_token1] = ACTIONS(1486),
    [aux_sym_join_type_token2] = ACTIONS(1486),
    [aux_sym_join_type_token3] = ACTIONS(1486),
    [aux_sym_join_type_token4] = ACTIONS(1486),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1486),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1486),
    [aux_sym_join_condition_token1] = ACTIONS(1486),
    [aux_sym_insert_statement_token1] = ACTIONS(1486),
    [aux_sym_truncate_statement_token1] = ACTIONS(1486),
    [aux_sym_update_statement_token1] = ACTIONS(1486),
    [aux_sym_merge_statement_token1] = ACTIONS(1486),
    [aux_sym_grant_statement_token1] = ACTIONS(1486),
    [aux_sym_revoke_statement_token1] = ACTIONS(1486),
    [aux_sym_export_data_statement_token1] = ACTIONS(1486),
    [aux_sym_load_data_statement_token1] = ACTIONS(1486),
    [sym__quoted_identifier] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [4762] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [4763] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [4764] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [4765] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [4766] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [4767] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [4768] = {
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_end_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_repeat_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [4769] = {
    [ts_builtin_sym_end] = ACTIONS(1748),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1748),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1748),
    [aux_sym_keyword_replace_token1] = ACTIONS(1748),
    [aux_sym__keyword_alter_token1] = ACTIONS(1748),
    [aux_sym__keyword_delete_token1] = ACTIONS(1748),
    [aux_sym__keyword_begin_token1] = ACTIONS(1748),
    [aux_sym__keyword_end_token1] = ACTIONS(1748),
    [aux_sym__keyword_between_token1] = ACTIONS(1748),
    [aux_sym__keyword_else_token1] = ACTIONS(1750),
    [aux_sym__keyword_is_token1] = ACTIONS(1748),
    [aux_sym__keyword_in_token1] = ACTIONS(1750),
    [aux_sym__keyword_and_token1] = ACTIONS(1748),
    [aux_sym__keyword_like_token1] = ACTIONS(1748),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1748),
    [aux_sym__keyword_for_token1] = ACTIONS(1748),
    [anon_sym_SEMI] = ACTIONS(1748),
    [aux_sym_declare_statement_token1] = ACTIONS(1748),
    [aux_sym_set_statement_token1] = ACTIONS(1748),
    [anon_sym_LPAREN] = ACTIONS(1748),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1748),
    [aux_sym_into_clause_token1] = ACTIONS(1748),
    [aux_sym_using_clause_token1] = ACTIONS(1748),
    [aux_sym_return_satement_token1] = ACTIONS(1748),
    [aux_sym_call_statement_token1] = ACTIONS(1748),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1748),
    [aux_sym_if_statement_token1] = ACTIONS(1748),
    [aux_sym_loop_statement_token1] = ACTIONS(1748),
    [aux_sym_repeat_statement_token1] = ACTIONS(1748),
    [aux_sym_while_statement_token1] = ACTIONS(1748),
    [aux_sym_break_statement_token1] = ACTIONS(1748),
    [aux_sym_leave_statement_token1] = ACTIONS(1748),
    [aux_sym_continue_statement_token1] = ACTIONS(1748),
    [aux_sym_iterate_statement_token1] = ACTIONS(1748),
    [aux_sym_raise_statement_token1] = ACTIONS(1748),
    [anon_sym_EQ] = ACTIONS(1748),
    [aux_sym_assert_statement_token1] = ACTIONS(1748),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1748),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1748),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1748),
    [anon_sym_LT] = ACTIONS(1750),
    [anon_sym_GT] = ACTIONS(1750),
    [aux_sym_select_token1] = ACTIONS(1748),
    [aux_sym_insert_statement_token1] = ACTIONS(1748),
    [aux_sym_truncate_statement_token1] = ACTIONS(1748),
    [aux_sym_update_statement_token1] = ACTIONS(1748),
    [aux_sym_merge_statement_token1] = ACTIONS(1748),
    [aux_sym_grant_statement_token1] = ACTIONS(1748),
    [aux_sym_revoke_statement_token1] = ACTIONS(1748),
    [aux_sym_export_data_statement_token1] = ACTIONS(1748),
    [aux_sym_load_data_statement_token1] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(1748),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1748),
    [anon_sym_PLUS] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1750),
    [anon_sym_STAR] = ACTIONS(1748),
    [anon_sym_SLASH] = ACTIONS(1750),
    [anon_sym_PIPE_PIPE] = ACTIONS(1748),
    [anon_sym_LT_EQ] = ACTIONS(1748),
    [anon_sym_LT_GT] = ACTIONS(1748),
    [anon_sym_GT_EQ] = ACTIONS(1748),
    [anon_sym_BANG_EQ] = ACTIONS(1748),
    [anon_sym_LT_LT] = ACTIONS(1748),
    [anon_sym_GT_GT] = ACTIONS(1748),
    [anon_sym_AMP] = ACTIONS(1748),
    [anon_sym_CARET] = ACTIONS(1748),
    [anon_sym_PIPE] = ACTIONS(1750),
  },
  [4770] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_into_clause_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [4771] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1462),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_into_clause_token1] = ACTIONS(1462),
    [aux_sym_using_clause_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [4772] = {
    [ts_builtin_sym_end] = ACTIONS(1582),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1582),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1582),
    [aux_sym_keyword_replace_token1] = ACTIONS(1582),
    [aux_sym__keyword_alter_token1] = ACTIONS(1582),
    [aux_sym__keyword_delete_token1] = ACTIONS(1582),
    [aux_sym__keyword_begin_token1] = ACTIONS(1582),
    [aux_sym__keyword_end_token1] = ACTIONS(1582),
    [aux_sym__keyword_between_token1] = ACTIONS(1582),
    [aux_sym__keyword_else_token1] = ACTIONS(1584),
    [aux_sym__keyword_is_token1] = ACTIONS(1582),
    [aux_sym__keyword_in_token1] = ACTIONS(1584),
    [aux_sym__keyword_and_token1] = ACTIONS(1582),
    [aux_sym__keyword_like_token1] = ACTIONS(1582),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1582),
    [aux_sym__keyword_for_token1] = ACTIONS(1582),
    [anon_sym_SEMI] = ACTIONS(1582),
    [aux_sym_declare_statement_token1] = ACTIONS(1582),
    [aux_sym_set_statement_token1] = ACTIONS(1582),
    [anon_sym_LPAREN] = ACTIONS(1582),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1582),
    [aux_sym_into_clause_token1] = ACTIONS(1582),
    [aux_sym_using_clause_token1] = ACTIONS(1582),
    [aux_sym_return_satement_token1] = ACTIONS(1582),
    [aux_sym_call_statement_token1] = ACTIONS(1582),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1582),
    [aux_sym_if_statement_token1] = ACTIONS(1582),
    [aux_sym_loop_statement_token1] = ACTIONS(1582),
    [aux_sym_repeat_statement_token1] = ACTIONS(1582),
    [aux_sym_while_statement_token1] = ACTIONS(1582),
    [aux_sym_break_statement_token1] = ACTIONS(1582),
    [aux_sym_leave_statement_token1] = ACTIONS(1582),
    [aux_sym_continue_statement_token1] = ACTIONS(1582),
    [aux_sym_iterate_statement_token1] = ACTIONS(1582),
    [aux_sym_raise_statement_token1] = ACTIONS(1582),
    [anon_sym_EQ] = ACTIONS(1582),
    [aux_sym_assert_statement_token1] = ACTIONS(1582),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1582),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1582),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1582),
    [anon_sym_LT] = ACTIONS(1584),
    [anon_sym_GT] = ACTIONS(1584),
    [aux_sym_select_token1] = ACTIONS(1582),
    [aux_sym_insert_statement_token1] = ACTIONS(1582),
    [aux_sym_truncate_statement_token1] = ACTIONS(1582),
    [aux_sym_update_statement_token1] = ACTIONS(1582),
    [aux_sym_merge_statement_token1] = ACTIONS(1582),
    [aux_sym_grant_statement_token1] = ACTIONS(1582),
    [aux_sym_revoke_statement_token1] = ACTIONS(1582),
    [aux_sym_export_data_statement_token1] = ACTIONS(1582),
    [aux_sym_load_data_statement_token1] = ACTIONS(1582),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1582),
    [anon_sym_PLUS] = ACTIONS(1582),
    [anon_sym_DASH] = ACTIONS(1584),
    [anon_sym_STAR] = ACTIONS(1582),
    [anon_sym_SLASH] = ACTIONS(1584),
    [anon_sym_PIPE_PIPE] = ACTIONS(1582),
    [anon_sym_LT_EQ] = ACTIONS(1582),
    [anon_sym_LT_GT] = ACTIONS(1582),
    [anon_sym_GT_EQ] = ACTIONS(1582),
    [anon_sym_BANG_EQ] = ACTIONS(1582),
    [anon_sym_LT_LT] = ACTIONS(1582),
    [anon_sym_GT_GT] = ACTIONS(1582),
    [anon_sym_AMP] = ACTIONS(1582),
    [anon_sym_CARET] = ACTIONS(1582),
    [anon_sym_PIPE] = ACTIONS(1584),
  },
  [4773] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1462),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_into_clause_token1] = ACTIONS(1462),
    [aux_sym_using_clause_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [4774] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1462),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_into_clause_token1] = ACTIONS(1462),
    [aux_sym_using_clause_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [4775] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1462),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_into_clause_token1] = ACTIONS(1462),
    [aux_sym_using_clause_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [4776] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1462),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_into_clause_token1] = ACTIONS(1462),
    [aux_sym_using_clause_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [4777] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1462),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_into_clause_token1] = ACTIONS(1462),
    [aux_sym_using_clause_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [4778] = {
    [ts_builtin_sym_end] = ACTIONS(1680),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1680),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1680),
    [aux_sym_keyword_replace_token1] = ACTIONS(1680),
    [aux_sym__keyword_alter_token1] = ACTIONS(1680),
    [aux_sym__keyword_delete_token1] = ACTIONS(1680),
    [aux_sym__keyword_begin_token1] = ACTIONS(1680),
    [aux_sym__keyword_end_token1] = ACTIONS(1680),
    [aux_sym__keyword_between_token1] = ACTIONS(1680),
    [aux_sym__keyword_else_token1] = ACTIONS(1682),
    [aux_sym__keyword_is_token1] = ACTIONS(1680),
    [aux_sym__keyword_in_token1] = ACTIONS(1682),
    [aux_sym__keyword_and_token1] = ACTIONS(1680),
    [aux_sym__keyword_like_token1] = ACTIONS(1680),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1680),
    [aux_sym__keyword_for_token1] = ACTIONS(1680),
    [anon_sym_SEMI] = ACTIONS(1680),
    [aux_sym_declare_statement_token1] = ACTIONS(1680),
    [aux_sym_set_statement_token1] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1680),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1680),
    [aux_sym_into_clause_token1] = ACTIONS(1680),
    [aux_sym_using_clause_token1] = ACTIONS(1680),
    [aux_sym_return_satement_token1] = ACTIONS(1680),
    [aux_sym_call_statement_token1] = ACTIONS(1680),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1680),
    [aux_sym_if_statement_token1] = ACTIONS(1680),
    [aux_sym_loop_statement_token1] = ACTIONS(1680),
    [aux_sym_repeat_statement_token1] = ACTIONS(1680),
    [aux_sym_while_statement_token1] = ACTIONS(1680),
    [aux_sym_break_statement_token1] = ACTIONS(1680),
    [aux_sym_leave_statement_token1] = ACTIONS(1680),
    [aux_sym_continue_statement_token1] = ACTIONS(1680),
    [aux_sym_iterate_statement_token1] = ACTIONS(1680),
    [aux_sym_raise_statement_token1] = ACTIONS(1680),
    [anon_sym_EQ] = ACTIONS(1680),
    [aux_sym_assert_statement_token1] = ACTIONS(1680),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1680),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1680),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1680),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_GT] = ACTIONS(1682),
    [aux_sym_select_token1] = ACTIONS(1680),
    [aux_sym_insert_statement_token1] = ACTIONS(1680),
    [aux_sym_truncate_statement_token1] = ACTIONS(1680),
    [aux_sym_update_statement_token1] = ACTIONS(1680),
    [aux_sym_merge_statement_token1] = ACTIONS(1680),
    [aux_sym_grant_statement_token1] = ACTIONS(1680),
    [aux_sym_revoke_statement_token1] = ACTIONS(1680),
    [aux_sym_export_data_statement_token1] = ACTIONS(1680),
    [aux_sym_load_data_statement_token1] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1680),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(1680),
    [anon_sym_SLASH] = ACTIONS(1682),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_LT_GT] = ACTIONS(1680),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1680),
    [anon_sym_AMP] = ACTIONS(1680),
    [anon_sym_CARET] = ACTIONS(1680),
    [anon_sym_PIPE] = ACTIONS(1682),
  },
  [4779] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1462),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_into_clause_token1] = ACTIONS(1462),
    [aux_sym_using_clause_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [4780] = {
    [ts_builtin_sym_end] = ACTIONS(1688),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1688),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1688),
    [aux_sym_keyword_replace_token1] = ACTIONS(1688),
    [aux_sym__keyword_alter_token1] = ACTIONS(1688),
    [aux_sym__keyword_delete_token1] = ACTIONS(1688),
    [aux_sym__keyword_begin_token1] = ACTIONS(1688),
    [aux_sym__keyword_end_token1] = ACTIONS(1688),
    [aux_sym__keyword_between_token1] = ACTIONS(1688),
    [aux_sym__keyword_else_token1] = ACTIONS(1690),
    [aux_sym__keyword_is_token1] = ACTIONS(1688),
    [aux_sym__keyword_in_token1] = ACTIONS(1690),
    [aux_sym__keyword_and_token1] = ACTIONS(1688),
    [aux_sym__keyword_like_token1] = ACTIONS(1688),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1688),
    [aux_sym__keyword_for_token1] = ACTIONS(1688),
    [anon_sym_SEMI] = ACTIONS(1688),
    [aux_sym_declare_statement_token1] = ACTIONS(1688),
    [aux_sym_set_statement_token1] = ACTIONS(1688),
    [anon_sym_LPAREN] = ACTIONS(1688),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1688),
    [aux_sym_into_clause_token1] = ACTIONS(1688),
    [aux_sym_using_clause_token1] = ACTIONS(1688),
    [aux_sym_return_satement_token1] = ACTIONS(1688),
    [aux_sym_call_statement_token1] = ACTIONS(1688),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1688),
    [aux_sym_if_statement_token1] = ACTIONS(1688),
    [aux_sym_loop_statement_token1] = ACTIONS(1688),
    [aux_sym_repeat_statement_token1] = ACTIONS(1688),
    [aux_sym_while_statement_token1] = ACTIONS(1688),
    [aux_sym_break_statement_token1] = ACTIONS(1688),
    [aux_sym_leave_statement_token1] = ACTIONS(1688),
    [aux_sym_continue_statement_token1] = ACTIONS(1688),
    [aux_sym_iterate_statement_token1] = ACTIONS(1688),
    [aux_sym_raise_statement_token1] = ACTIONS(1688),
    [anon_sym_EQ] = ACTIONS(1688),
    [aux_sym_assert_statement_token1] = ACTIONS(1688),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1688),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1688),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1688),
    [anon_sym_LT] = ACTIONS(1690),
    [anon_sym_GT] = ACTIONS(1690),
    [aux_sym_select_token1] = ACTIONS(1688),
    [aux_sym_insert_statement_token1] = ACTIONS(1688),
    [aux_sym_truncate_statement_token1] = ACTIONS(1688),
    [aux_sym_update_statement_token1] = ACTIONS(1688),
    [aux_sym_merge_statement_token1] = ACTIONS(1688),
    [aux_sym_grant_statement_token1] = ACTIONS(1688),
    [aux_sym_revoke_statement_token1] = ACTIONS(1688),
    [aux_sym_export_data_statement_token1] = ACTIONS(1688),
    [aux_sym_load_data_statement_token1] = ACTIONS(1688),
    [anon_sym_LBRACK] = ACTIONS(1688),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1688),
    [anon_sym_PLUS] = ACTIONS(1688),
    [anon_sym_DASH] = ACTIONS(1690),
    [anon_sym_STAR] = ACTIONS(1688),
    [anon_sym_SLASH] = ACTIONS(1690),
    [anon_sym_PIPE_PIPE] = ACTIONS(1688),
    [anon_sym_LT_EQ] = ACTIONS(1688),
    [anon_sym_LT_GT] = ACTIONS(1688),
    [anon_sym_GT_EQ] = ACTIONS(1688),
    [anon_sym_BANG_EQ] = ACTIONS(1688),
    [anon_sym_LT_LT] = ACTIONS(1688),
    [anon_sym_GT_GT] = ACTIONS(1688),
    [anon_sym_AMP] = ACTIONS(1688),
    [anon_sym_CARET] = ACTIONS(1688),
    [anon_sym_PIPE] = ACTIONS(1690),
  },
  [4781] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1462),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_into_clause_token1] = ACTIONS(1462),
    [aux_sym_using_clause_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [4782] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1462),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_into_clause_token1] = ACTIONS(1462),
    [aux_sym_using_clause_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [4783] = {
    [ts_builtin_sym_end] = ACTIONS(1752),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1752),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1752),
    [aux_sym_keyword_replace_token1] = ACTIONS(1752),
    [aux_sym__keyword_alter_token1] = ACTIONS(1752),
    [aux_sym__keyword_delete_token1] = ACTIONS(1752),
    [aux_sym__keyword_begin_token1] = ACTIONS(1752),
    [aux_sym__keyword_end_token1] = ACTIONS(1752),
    [aux_sym__keyword_between_token1] = ACTIONS(1752),
    [aux_sym__keyword_else_token1] = ACTIONS(1754),
    [aux_sym__keyword_is_token1] = ACTIONS(1752),
    [aux_sym__keyword_in_token1] = ACTIONS(1754),
    [aux_sym__keyword_and_token1] = ACTIONS(1752),
    [aux_sym__keyword_like_token1] = ACTIONS(1752),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1752),
    [aux_sym__keyword_for_token1] = ACTIONS(1752),
    [anon_sym_SEMI] = ACTIONS(1752),
    [aux_sym_declare_statement_token1] = ACTIONS(1752),
    [aux_sym_set_statement_token1] = ACTIONS(1752),
    [anon_sym_LPAREN] = ACTIONS(1752),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1752),
    [aux_sym_into_clause_token1] = ACTIONS(1752),
    [aux_sym_using_clause_token1] = ACTIONS(1752),
    [aux_sym_return_satement_token1] = ACTIONS(1752),
    [aux_sym_call_statement_token1] = ACTIONS(1752),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1752),
    [aux_sym_if_statement_token1] = ACTIONS(1752),
    [aux_sym_loop_statement_token1] = ACTIONS(1752),
    [aux_sym_repeat_statement_token1] = ACTIONS(1752),
    [aux_sym_while_statement_token1] = ACTIONS(1752),
    [aux_sym_break_statement_token1] = ACTIONS(1752),
    [aux_sym_leave_statement_token1] = ACTIONS(1752),
    [aux_sym_continue_statement_token1] = ACTIONS(1752),
    [aux_sym_iterate_statement_token1] = ACTIONS(1752),
    [aux_sym_raise_statement_token1] = ACTIONS(1752),
    [anon_sym_EQ] = ACTIONS(1752),
    [aux_sym_assert_statement_token1] = ACTIONS(1752),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1752),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1752),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1752),
    [anon_sym_LT] = ACTIONS(1754),
    [anon_sym_GT] = ACTIONS(1754),
    [aux_sym_select_token1] = ACTIONS(1752),
    [aux_sym_insert_statement_token1] = ACTIONS(1752),
    [aux_sym_truncate_statement_token1] = ACTIONS(1752),
    [aux_sym_update_statement_token1] = ACTIONS(1752),
    [aux_sym_merge_statement_token1] = ACTIONS(1752),
    [aux_sym_grant_statement_token1] = ACTIONS(1752),
    [aux_sym_revoke_statement_token1] = ACTIONS(1752),
    [aux_sym_export_data_statement_token1] = ACTIONS(1752),
    [aux_sym_load_data_statement_token1] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(1752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_DASH] = ACTIONS(1754),
    [anon_sym_STAR] = ACTIONS(1752),
    [anon_sym_SLASH] = ACTIONS(1754),
    [anon_sym_PIPE_PIPE] = ACTIONS(1752),
    [anon_sym_LT_EQ] = ACTIONS(1752),
    [anon_sym_LT_GT] = ACTIONS(1752),
    [anon_sym_GT_EQ] = ACTIONS(1752),
    [anon_sym_BANG_EQ] = ACTIONS(1752),
    [anon_sym_LT_LT] = ACTIONS(1752),
    [anon_sym_GT_GT] = ACTIONS(1752),
    [anon_sym_AMP] = ACTIONS(1752),
    [anon_sym_CARET] = ACTIONS(1752),
    [anon_sym_PIPE] = ACTIONS(1754),
  },
  [4784] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1442),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_into_clause_token1] = ACTIONS(1442),
    [aux_sym_using_clause_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [4785] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1442),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_into_clause_token1] = ACTIONS(1442),
    [aux_sym_using_clause_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [4786] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1442),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_into_clause_token1] = ACTIONS(1442),
    [aux_sym_using_clause_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [4787] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1442),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_into_clause_token1] = ACTIONS(1442),
    [aux_sym_using_clause_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [4788] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1442),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_into_clause_token1] = ACTIONS(1442),
    [aux_sym_using_clause_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [4789] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1442),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_into_clause_token1] = ACTIONS(1442),
    [aux_sym_using_clause_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [4790] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1442),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_into_clause_token1] = ACTIONS(1442),
    [aux_sym_using_clause_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [4791] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_into_clause_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4792] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1442),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_into_clause_token1] = ACTIONS(1442),
    [aux_sym_using_clause_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [4793] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1442),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_into_clause_token1] = ACTIONS(1442),
    [aux_sym_using_clause_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [4794] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1442),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_into_clause_token1] = ACTIONS(1442),
    [aux_sym_using_clause_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [4795] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1442),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_into_clause_token1] = ACTIONS(1442),
    [aux_sym_using_clause_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [4796] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1442),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_into_clause_token1] = ACTIONS(1442),
    [aux_sym_using_clause_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [4797] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1462),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_into_clause_token1] = ACTIONS(1462),
    [aux_sym_using_clause_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [4798] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1442),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_into_clause_token1] = ACTIONS(1442),
    [aux_sym_using_clause_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [4799] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1442),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1442),
    [aux_sym_keyword_replace_token1] = ACTIONS(1442),
    [aux_sym__keyword_alter_token1] = ACTIONS(1442),
    [aux_sym__keyword_delete_token1] = ACTIONS(1442),
    [aux_sym__keyword_begin_token1] = ACTIONS(1442),
    [aux_sym__keyword_end_token1] = ACTIONS(1442),
    [aux_sym__keyword_between_token1] = ACTIONS(1442),
    [aux_sym__keyword_else_token1] = ACTIONS(1444),
    [aux_sym__keyword_is_token1] = ACTIONS(1442),
    [aux_sym__keyword_in_token1] = ACTIONS(1444),
    [aux_sym__keyword_and_token1] = ACTIONS(1442),
    [aux_sym__keyword_like_token1] = ACTIONS(1442),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1442),
    [aux_sym__keyword_for_token1] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1442),
    [aux_sym_into_clause_token1] = ACTIONS(1442),
    [aux_sym_using_clause_token1] = ACTIONS(1442),
    [aux_sym_return_satement_token1] = ACTIONS(1442),
    [aux_sym_call_statement_token1] = ACTIONS(1442),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_loop_statement_token1] = ACTIONS(1442),
    [aux_sym_repeat_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [aux_sym_leave_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_iterate_statement_token1] = ACTIONS(1442),
    [aux_sym_raise_statement_token1] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1442),
    [aux_sym_assert_statement_token1] = ACTIONS(1442),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1442),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1442),
    [aux_sym_insert_statement_token1] = ACTIONS(1442),
    [aux_sym_truncate_statement_token1] = ACTIONS(1442),
    [aux_sym_update_statement_token1] = ACTIONS(1442),
    [aux_sym_merge_statement_token1] = ACTIONS(1442),
    [aux_sym_grant_statement_token1] = ACTIONS(1442),
    [aux_sym_revoke_statement_token1] = ACTIONS(1442),
    [aux_sym_export_data_statement_token1] = ACTIONS(1442),
    [aux_sym_load_data_statement_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_LT_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1444),
  },
  [4800] = {
    [ts_builtin_sym_end] = ACTIONS(1692),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1692),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1692),
    [aux_sym_keyword_replace_token1] = ACTIONS(1692),
    [aux_sym__keyword_alter_token1] = ACTIONS(1692),
    [aux_sym__keyword_delete_token1] = ACTIONS(1692),
    [aux_sym__keyword_begin_token1] = ACTIONS(1692),
    [aux_sym__keyword_end_token1] = ACTIONS(1692),
    [aux_sym__keyword_between_token1] = ACTIONS(1692),
    [aux_sym__keyword_else_token1] = ACTIONS(1694),
    [aux_sym__keyword_is_token1] = ACTIONS(1692),
    [aux_sym__keyword_in_token1] = ACTIONS(1694),
    [aux_sym__keyword_and_token1] = ACTIONS(1692),
    [aux_sym__keyword_like_token1] = ACTIONS(1692),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1692),
    [aux_sym__keyword_for_token1] = ACTIONS(1692),
    [anon_sym_SEMI] = ACTIONS(1692),
    [aux_sym_declare_statement_token1] = ACTIONS(1692),
    [aux_sym_set_statement_token1] = ACTIONS(1692),
    [anon_sym_LPAREN] = ACTIONS(1692),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1692),
    [aux_sym_into_clause_token1] = ACTIONS(1692),
    [aux_sym_using_clause_token1] = ACTIONS(1692),
    [aux_sym_return_satement_token1] = ACTIONS(1692),
    [aux_sym_call_statement_token1] = ACTIONS(1692),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1692),
    [aux_sym_if_statement_token1] = ACTIONS(1692),
    [aux_sym_loop_statement_token1] = ACTIONS(1692),
    [aux_sym_repeat_statement_token1] = ACTIONS(1692),
    [aux_sym_while_statement_token1] = ACTIONS(1692),
    [aux_sym_break_statement_token1] = ACTIONS(1692),
    [aux_sym_leave_statement_token1] = ACTIONS(1692),
    [aux_sym_continue_statement_token1] = ACTIONS(1692),
    [aux_sym_iterate_statement_token1] = ACTIONS(1692),
    [aux_sym_raise_statement_token1] = ACTIONS(1692),
    [anon_sym_EQ] = ACTIONS(1692),
    [aux_sym_assert_statement_token1] = ACTIONS(1692),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1692),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1692),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1692),
    [anon_sym_LT] = ACTIONS(1694),
    [anon_sym_GT] = ACTIONS(1694),
    [aux_sym_select_token1] = ACTIONS(1692),
    [aux_sym_insert_statement_token1] = ACTIONS(1692),
    [aux_sym_truncate_statement_token1] = ACTIONS(1692),
    [aux_sym_update_statement_token1] = ACTIONS(1692),
    [aux_sym_merge_statement_token1] = ACTIONS(1692),
    [aux_sym_grant_statement_token1] = ACTIONS(1692),
    [aux_sym_revoke_statement_token1] = ACTIONS(1692),
    [aux_sym_export_data_statement_token1] = ACTIONS(1692),
    [aux_sym_load_data_statement_token1] = ACTIONS(1692),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1692),
    [anon_sym_PLUS] = ACTIONS(1692),
    [anon_sym_DASH] = ACTIONS(1694),
    [anon_sym_STAR] = ACTIONS(1692),
    [anon_sym_SLASH] = ACTIONS(1694),
    [anon_sym_PIPE_PIPE] = ACTIONS(1692),
    [anon_sym_LT_EQ] = ACTIONS(1692),
    [anon_sym_LT_GT] = ACTIONS(1692),
    [anon_sym_GT_EQ] = ACTIONS(1692),
    [anon_sym_BANG_EQ] = ACTIONS(1692),
    [anon_sym_LT_LT] = ACTIONS(1692),
    [anon_sym_GT_GT] = ACTIONS(1692),
    [anon_sym_AMP] = ACTIONS(1692),
    [anon_sym_CARET] = ACTIONS(1692),
    [anon_sym_PIPE] = ACTIONS(1694),
  },
  [4801] = {
    [ts_builtin_sym_end] = ACTIONS(1772),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1772),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1772),
    [aux_sym_keyword_replace_token1] = ACTIONS(1772),
    [aux_sym__keyword_alter_token1] = ACTIONS(1772),
    [aux_sym__keyword_delete_token1] = ACTIONS(1772),
    [aux_sym__keyword_begin_token1] = ACTIONS(1772),
    [aux_sym__keyword_end_token1] = ACTIONS(1772),
    [aux_sym__keyword_between_token1] = ACTIONS(1772),
    [aux_sym__keyword_else_token1] = ACTIONS(1774),
    [aux_sym__keyword_is_token1] = ACTIONS(1772),
    [aux_sym__keyword_in_token1] = ACTIONS(1774),
    [aux_sym__keyword_and_token1] = ACTIONS(1772),
    [aux_sym__keyword_like_token1] = ACTIONS(1772),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1772),
    [aux_sym__keyword_for_token1] = ACTIONS(1772),
    [anon_sym_SEMI] = ACTIONS(1772),
    [aux_sym_declare_statement_token1] = ACTIONS(1772),
    [aux_sym_set_statement_token1] = ACTIONS(1772),
    [anon_sym_LPAREN] = ACTIONS(1772),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1772),
    [aux_sym_into_clause_token1] = ACTIONS(1772),
    [aux_sym_using_clause_token1] = ACTIONS(1772),
    [aux_sym_return_satement_token1] = ACTIONS(1772),
    [aux_sym_call_statement_token1] = ACTIONS(1772),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1772),
    [aux_sym_if_statement_token1] = ACTIONS(1772),
    [aux_sym_loop_statement_token1] = ACTIONS(1772),
    [aux_sym_repeat_statement_token1] = ACTIONS(1772),
    [aux_sym_while_statement_token1] = ACTIONS(1772),
    [aux_sym_break_statement_token1] = ACTIONS(1772),
    [aux_sym_leave_statement_token1] = ACTIONS(1772),
    [aux_sym_continue_statement_token1] = ACTIONS(1772),
    [aux_sym_iterate_statement_token1] = ACTIONS(1772),
    [aux_sym_raise_statement_token1] = ACTIONS(1772),
    [anon_sym_EQ] = ACTIONS(1772),
    [aux_sym_assert_statement_token1] = ACTIONS(1772),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1772),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1772),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1772),
    [anon_sym_LT] = ACTIONS(1774),
    [anon_sym_GT] = ACTIONS(1774),
    [aux_sym_select_token1] = ACTIONS(1772),
    [aux_sym_insert_statement_token1] = ACTIONS(1772),
    [aux_sym_truncate_statement_token1] = ACTIONS(1772),
    [aux_sym_update_statement_token1] = ACTIONS(1772),
    [aux_sym_merge_statement_token1] = ACTIONS(1772),
    [aux_sym_grant_statement_token1] = ACTIONS(1772),
    [aux_sym_revoke_statement_token1] = ACTIONS(1772),
    [aux_sym_export_data_statement_token1] = ACTIONS(1772),
    [aux_sym_load_data_statement_token1] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1772),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1772),
    [anon_sym_PLUS] = ACTIONS(1772),
    [anon_sym_DASH] = ACTIONS(1774),
    [anon_sym_STAR] = ACTIONS(1772),
    [anon_sym_SLASH] = ACTIONS(1774),
    [anon_sym_PIPE_PIPE] = ACTIONS(1772),
    [anon_sym_LT_EQ] = ACTIONS(1772),
    [anon_sym_LT_GT] = ACTIONS(1772),
    [anon_sym_GT_EQ] = ACTIONS(1772),
    [anon_sym_BANG_EQ] = ACTIONS(1772),
    [anon_sym_LT_LT] = ACTIONS(1772),
    [anon_sym_GT_GT] = ACTIONS(1772),
    [anon_sym_AMP] = ACTIONS(1772),
    [anon_sym_CARET] = ACTIONS(1772),
    [anon_sym_PIPE] = ACTIONS(1774),
  },
  [4802] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1446),
    [aux_sym_keyword_replace_token1] = ACTIONS(1446),
    [aux_sym__keyword_alter_token1] = ACTIONS(1446),
    [aux_sym__keyword_delete_token1] = ACTIONS(1446),
    [aux_sym__keyword_begin_token1] = ACTIONS(1446),
    [aux_sym__keyword_end_token1] = ACTIONS(1446),
    [aux_sym__keyword_between_token1] = ACTIONS(1446),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1446),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1446),
    [aux_sym__keyword_like_token1] = ACTIONS(1446),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1446),
    [aux_sym__keyword_for_token1] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1446),
    [aux_sym_into_clause_token1] = ACTIONS(1446),
    [aux_sym_using_clause_token1] = ACTIONS(1446),
    [aux_sym_return_satement_token1] = ACTIONS(1446),
    [aux_sym_call_statement_token1] = ACTIONS(1446),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_loop_statement_token1] = ACTIONS(1446),
    [aux_sym_repeat_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [aux_sym_leave_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_iterate_statement_token1] = ACTIONS(1446),
    [aux_sym_raise_statement_token1] = ACTIONS(1446),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1446),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1446),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1446),
    [aux_sym_insert_statement_token1] = ACTIONS(1446),
    [aux_sym_truncate_statement_token1] = ACTIONS(1446),
    [aux_sym_update_statement_token1] = ACTIONS(1446),
    [aux_sym_merge_statement_token1] = ACTIONS(1446),
    [aux_sym_grant_statement_token1] = ACTIONS(1446),
    [aux_sym_revoke_statement_token1] = ACTIONS(1446),
    [aux_sym_export_data_statement_token1] = ACTIONS(1446),
    [aux_sym_load_data_statement_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [4803] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1446),
    [aux_sym_keyword_replace_token1] = ACTIONS(1446),
    [aux_sym__keyword_alter_token1] = ACTIONS(1446),
    [aux_sym__keyword_delete_token1] = ACTIONS(1446),
    [aux_sym__keyword_begin_token1] = ACTIONS(1446),
    [aux_sym__keyword_end_token1] = ACTIONS(1446),
    [aux_sym__keyword_between_token1] = ACTIONS(1446),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1446),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1446),
    [aux_sym__keyword_like_token1] = ACTIONS(1446),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1446),
    [aux_sym__keyword_for_token1] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1446),
    [aux_sym_into_clause_token1] = ACTIONS(1446),
    [aux_sym_using_clause_token1] = ACTIONS(1446),
    [aux_sym_return_satement_token1] = ACTIONS(1446),
    [aux_sym_call_statement_token1] = ACTIONS(1446),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_loop_statement_token1] = ACTIONS(1446),
    [aux_sym_repeat_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [aux_sym_leave_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_iterate_statement_token1] = ACTIONS(1446),
    [aux_sym_raise_statement_token1] = ACTIONS(1446),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1446),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1446),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1446),
    [aux_sym_insert_statement_token1] = ACTIONS(1446),
    [aux_sym_truncate_statement_token1] = ACTIONS(1446),
    [aux_sym_update_statement_token1] = ACTIONS(1446),
    [aux_sym_merge_statement_token1] = ACTIONS(1446),
    [aux_sym_grant_statement_token1] = ACTIONS(1446),
    [aux_sym_revoke_statement_token1] = ACTIONS(1446),
    [aux_sym_export_data_statement_token1] = ACTIONS(1446),
    [aux_sym_load_data_statement_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [4804] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1446),
    [aux_sym_keyword_replace_token1] = ACTIONS(1446),
    [aux_sym__keyword_alter_token1] = ACTIONS(1446),
    [aux_sym__keyword_delete_token1] = ACTIONS(1446),
    [aux_sym__keyword_begin_token1] = ACTIONS(1446),
    [aux_sym__keyword_end_token1] = ACTIONS(1446),
    [aux_sym__keyword_between_token1] = ACTIONS(1446),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1446),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1446),
    [aux_sym__keyword_like_token1] = ACTIONS(1446),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1446),
    [aux_sym__keyword_for_token1] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1446),
    [aux_sym_into_clause_token1] = ACTIONS(1446),
    [aux_sym_using_clause_token1] = ACTIONS(1446),
    [aux_sym_return_satement_token1] = ACTIONS(1446),
    [aux_sym_call_statement_token1] = ACTIONS(1446),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_loop_statement_token1] = ACTIONS(1446),
    [aux_sym_repeat_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [aux_sym_leave_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_iterate_statement_token1] = ACTIONS(1446),
    [aux_sym_raise_statement_token1] = ACTIONS(1446),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1446),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1446),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1446),
    [aux_sym_insert_statement_token1] = ACTIONS(1446),
    [aux_sym_truncate_statement_token1] = ACTIONS(1446),
    [aux_sym_update_statement_token1] = ACTIONS(1446),
    [aux_sym_merge_statement_token1] = ACTIONS(1446),
    [aux_sym_grant_statement_token1] = ACTIONS(1446),
    [aux_sym_revoke_statement_token1] = ACTIONS(1446),
    [aux_sym_export_data_statement_token1] = ACTIONS(1446),
    [aux_sym_load_data_statement_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [4805] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1446),
    [aux_sym_keyword_replace_token1] = ACTIONS(1446),
    [aux_sym__keyword_alter_token1] = ACTIONS(1446),
    [aux_sym__keyword_delete_token1] = ACTIONS(1446),
    [aux_sym__keyword_begin_token1] = ACTIONS(1446),
    [aux_sym__keyword_end_token1] = ACTIONS(1446),
    [aux_sym__keyword_between_token1] = ACTIONS(1446),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1446),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1446),
    [aux_sym__keyword_like_token1] = ACTIONS(1446),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1446),
    [aux_sym__keyword_for_token1] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1446),
    [aux_sym_into_clause_token1] = ACTIONS(1446),
    [aux_sym_using_clause_token1] = ACTIONS(1446),
    [aux_sym_return_satement_token1] = ACTIONS(1446),
    [aux_sym_call_statement_token1] = ACTIONS(1446),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_loop_statement_token1] = ACTIONS(1446),
    [aux_sym_repeat_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [aux_sym_leave_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_iterate_statement_token1] = ACTIONS(1446),
    [aux_sym_raise_statement_token1] = ACTIONS(1446),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1446),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1446),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1446),
    [aux_sym_insert_statement_token1] = ACTIONS(1446),
    [aux_sym_truncate_statement_token1] = ACTIONS(1446),
    [aux_sym_update_statement_token1] = ACTIONS(1446),
    [aux_sym_merge_statement_token1] = ACTIONS(1446),
    [aux_sym_grant_statement_token1] = ACTIONS(1446),
    [aux_sym_revoke_statement_token1] = ACTIONS(1446),
    [aux_sym_export_data_statement_token1] = ACTIONS(1446),
    [aux_sym_load_data_statement_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [4806] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1446),
    [aux_sym_keyword_replace_token1] = ACTIONS(1446),
    [aux_sym__keyword_alter_token1] = ACTIONS(1446),
    [aux_sym__keyword_delete_token1] = ACTIONS(1446),
    [aux_sym__keyword_begin_token1] = ACTIONS(1446),
    [aux_sym__keyword_end_token1] = ACTIONS(1446),
    [aux_sym__keyword_between_token1] = ACTIONS(1446),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1446),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1446),
    [aux_sym__keyword_like_token1] = ACTIONS(1446),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1446),
    [aux_sym__keyword_for_token1] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1446),
    [aux_sym_into_clause_token1] = ACTIONS(1446),
    [aux_sym_using_clause_token1] = ACTIONS(1446),
    [aux_sym_return_satement_token1] = ACTIONS(1446),
    [aux_sym_call_statement_token1] = ACTIONS(1446),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_loop_statement_token1] = ACTIONS(1446),
    [aux_sym_repeat_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [aux_sym_leave_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_iterate_statement_token1] = ACTIONS(1446),
    [aux_sym_raise_statement_token1] = ACTIONS(1446),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1446),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1446),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1446),
    [aux_sym_insert_statement_token1] = ACTIONS(1446),
    [aux_sym_truncate_statement_token1] = ACTIONS(1446),
    [aux_sym_update_statement_token1] = ACTIONS(1446),
    [aux_sym_merge_statement_token1] = ACTIONS(1446),
    [aux_sym_grant_statement_token1] = ACTIONS(1446),
    [aux_sym_revoke_statement_token1] = ACTIONS(1446),
    [aux_sym_export_data_statement_token1] = ACTIONS(1446),
    [aux_sym_load_data_statement_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [4807] = {
    [ts_builtin_sym_end] = ACTIONS(1374),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1374),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1374),
    [aux_sym_keyword_replace_token1] = ACTIONS(1374),
    [aux_sym__keyword_alter_token1] = ACTIONS(1374),
    [aux_sym__keyword_delete_token1] = ACTIONS(1374),
    [aux_sym__keyword_begin_token1] = ACTIONS(1374),
    [aux_sym__keyword_end_token1] = ACTIONS(1374),
    [aux_sym__keyword_between_token1] = ACTIONS(1374),
    [aux_sym__keyword_else_token1] = ACTIONS(1376),
    [aux_sym__keyword_is_token1] = ACTIONS(1374),
    [aux_sym__keyword_in_token1] = ACTIONS(1376),
    [aux_sym__keyword_and_token1] = ACTIONS(1374),
    [aux_sym__keyword_like_token1] = ACTIONS(1374),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1374),
    [aux_sym__keyword_for_token1] = ACTIONS(1374),
    [anon_sym_SEMI] = ACTIONS(1374),
    [aux_sym_declare_statement_token1] = ACTIONS(1374),
    [aux_sym_set_statement_token1] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1374),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1374),
    [aux_sym_into_clause_token1] = ACTIONS(1374),
    [aux_sym_using_clause_token1] = ACTIONS(1374),
    [aux_sym_return_satement_token1] = ACTIONS(1374),
    [aux_sym_call_statement_token1] = ACTIONS(1374),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1374),
    [aux_sym_if_statement_token1] = ACTIONS(1374),
    [aux_sym_loop_statement_token1] = ACTIONS(1374),
    [aux_sym_repeat_statement_token1] = ACTIONS(1374),
    [aux_sym_while_statement_token1] = ACTIONS(1374),
    [aux_sym_break_statement_token1] = ACTIONS(1374),
    [aux_sym_leave_statement_token1] = ACTIONS(1374),
    [aux_sym_continue_statement_token1] = ACTIONS(1374),
    [aux_sym_iterate_statement_token1] = ACTIONS(1374),
    [aux_sym_raise_statement_token1] = ACTIONS(1374),
    [anon_sym_EQ] = ACTIONS(1374),
    [aux_sym_assert_statement_token1] = ACTIONS(1374),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1374),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1374),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1374),
    [anon_sym_LT] = ACTIONS(1376),
    [anon_sym_GT] = ACTIONS(1376),
    [aux_sym_select_token1] = ACTIONS(1374),
    [aux_sym_insert_statement_token1] = ACTIONS(1374),
    [aux_sym_truncate_statement_token1] = ACTIONS(1374),
    [aux_sym_update_statement_token1] = ACTIONS(1374),
    [aux_sym_merge_statement_token1] = ACTIONS(1374),
    [aux_sym_grant_statement_token1] = ACTIONS(1374),
    [aux_sym_revoke_statement_token1] = ACTIONS(1374),
    [aux_sym_export_data_statement_token1] = ACTIONS(1374),
    [aux_sym_load_data_statement_token1] = ACTIONS(1374),
    [anon_sym_LBRACK] = ACTIONS(1374),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_SLASH] = ACTIONS(1376),
    [anon_sym_PIPE_PIPE] = ACTIONS(1374),
    [anon_sym_LT_EQ] = ACTIONS(1374),
    [anon_sym_LT_GT] = ACTIONS(1374),
    [anon_sym_GT_EQ] = ACTIONS(1374),
    [anon_sym_BANG_EQ] = ACTIONS(1374),
    [anon_sym_LT_LT] = ACTIONS(1374),
    [anon_sym_GT_GT] = ACTIONS(1374),
    [anon_sym_AMP] = ACTIONS(1374),
    [anon_sym_CARET] = ACTIONS(1374),
    [anon_sym_PIPE] = ACTIONS(1376),
  },
  [4808] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1446),
    [aux_sym_keyword_replace_token1] = ACTIONS(1446),
    [aux_sym__keyword_alter_token1] = ACTIONS(1446),
    [aux_sym__keyword_delete_token1] = ACTIONS(1446),
    [aux_sym__keyword_begin_token1] = ACTIONS(1446),
    [aux_sym__keyword_end_token1] = ACTIONS(1446),
    [aux_sym__keyword_between_token1] = ACTIONS(1446),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1446),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1446),
    [aux_sym__keyword_like_token1] = ACTIONS(1446),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1446),
    [aux_sym__keyword_for_token1] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1446),
    [aux_sym_into_clause_token1] = ACTIONS(1446),
    [aux_sym_using_clause_token1] = ACTIONS(1446),
    [aux_sym_return_satement_token1] = ACTIONS(1446),
    [aux_sym_call_statement_token1] = ACTIONS(1446),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_loop_statement_token1] = ACTIONS(1446),
    [aux_sym_repeat_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [aux_sym_leave_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_iterate_statement_token1] = ACTIONS(1446),
    [aux_sym_raise_statement_token1] = ACTIONS(1446),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1446),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1446),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1446),
    [aux_sym_insert_statement_token1] = ACTIONS(1446),
    [aux_sym_truncate_statement_token1] = ACTIONS(1446),
    [aux_sym_update_statement_token1] = ACTIONS(1446),
    [aux_sym_merge_statement_token1] = ACTIONS(1446),
    [aux_sym_grant_statement_token1] = ACTIONS(1446),
    [aux_sym_revoke_statement_token1] = ACTIONS(1446),
    [aux_sym_export_data_statement_token1] = ACTIONS(1446),
    [aux_sym_load_data_statement_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [4809] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1446),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1446),
    [aux_sym_keyword_replace_token1] = ACTIONS(1446),
    [aux_sym__keyword_alter_token1] = ACTIONS(1446),
    [aux_sym__keyword_delete_token1] = ACTIONS(1446),
    [aux_sym__keyword_begin_token1] = ACTIONS(1446),
    [aux_sym__keyword_end_token1] = ACTIONS(1446),
    [aux_sym__keyword_between_token1] = ACTIONS(1446),
    [aux_sym__keyword_else_token1] = ACTIONS(1448),
    [aux_sym__keyword_is_token1] = ACTIONS(1446),
    [aux_sym__keyword_in_token1] = ACTIONS(1448),
    [aux_sym__keyword_and_token1] = ACTIONS(1446),
    [aux_sym__keyword_like_token1] = ACTIONS(1446),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1446),
    [aux_sym__keyword_for_token1] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1446),
    [aux_sym_into_clause_token1] = ACTIONS(1446),
    [aux_sym_using_clause_token1] = ACTIONS(1446),
    [aux_sym_return_satement_token1] = ACTIONS(1446),
    [aux_sym_call_statement_token1] = ACTIONS(1446),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_loop_statement_token1] = ACTIONS(1446),
    [aux_sym_repeat_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [aux_sym_leave_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_iterate_statement_token1] = ACTIONS(1446),
    [aux_sym_raise_statement_token1] = ACTIONS(1446),
    [anon_sym_EQ] = ACTIONS(1446),
    [aux_sym_assert_statement_token1] = ACTIONS(1446),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1446),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1446),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1446),
    [aux_sym_insert_statement_token1] = ACTIONS(1446),
    [aux_sym_truncate_statement_token1] = ACTIONS(1446),
    [aux_sym_update_statement_token1] = ACTIONS(1446),
    [aux_sym_merge_statement_token1] = ACTIONS(1446),
    [aux_sym_grant_statement_token1] = ACTIONS(1446),
    [aux_sym_revoke_statement_token1] = ACTIONS(1446),
    [aux_sym_export_data_statement_token1] = ACTIONS(1446),
    [aux_sym_load_data_statement_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1446),
    [anon_sym_LT_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1448),
  },
  [4810] = {
    [ts_builtin_sym_end] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(917),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(917),
    [aux_sym_keyword_replace_token1] = ACTIONS(917),
    [aux_sym__keyword_alter_token1] = ACTIONS(917),
    [aux_sym__keyword_delete_token1] = ACTIONS(917),
    [aux_sym__keyword_begin_token1] = ACTIONS(917),
    [aux_sym__keyword_end_token1] = ACTIONS(917),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_else_token1] = ACTIONS(921),
    [aux_sym__keyword_is_token1] = ACTIONS(917),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(917),
    [aux_sym__keyword_like_token1] = ACTIONS(917),
    [aux_sym__keyword_repeat_token1] = ACTIONS(917),
    [aux_sym__keyword_for_token1] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [aux_sym_set_statement_token1] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(917),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(917),
    [aux_sym_into_clause_token1] = ACTIONS(917),
    [aux_sym_using_clause_token1] = ACTIONS(917),
    [aux_sym_return_satement_token1] = ACTIONS(917),
    [aux_sym_call_statement_token1] = ACTIONS(917),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_loop_statement_token1] = ACTIONS(917),
    [aux_sym_repeat_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [aux_sym_leave_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_iterate_statement_token1] = ACTIONS(917),
    [aux_sym_raise_statement_token1] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [aux_sym_assert_statement_token1] = ACTIONS(917),
    [aux_sym_create_schema_statement_token1] = ACTIONS(917),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(917),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_select_token1] = ACTIONS(917),
    [aux_sym_insert_statement_token1] = ACTIONS(917),
    [aux_sym_truncate_statement_token1] = ACTIONS(917),
    [aux_sym_update_statement_token1] = ACTIONS(917),
    [aux_sym_merge_statement_token1] = ACTIONS(917),
    [aux_sym_grant_statement_token1] = ACTIONS(917),
    [aux_sym_revoke_statement_token1] = ACTIONS(917),
    [aux_sym_export_data_statement_token1] = ACTIONS(917),
    [aux_sym_load_data_statement_token1] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(917),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(917),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PIPE_PIPE] = ACTIONS(917),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(917),
    [anon_sym_BANG_EQ] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(917),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_PIPE] = ACTIONS(921),
  },
  [4811] = {
    [ts_builtin_sym_end] = ACTIONS(1776),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1776),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1776),
    [aux_sym_keyword_replace_token1] = ACTIONS(1776),
    [aux_sym__keyword_alter_token1] = ACTIONS(1776),
    [aux_sym__keyword_delete_token1] = ACTIONS(1776),
    [aux_sym__keyword_begin_token1] = ACTIONS(1776),
    [aux_sym__keyword_end_token1] = ACTIONS(1776),
    [aux_sym__keyword_between_token1] = ACTIONS(1776),
    [aux_sym__keyword_else_token1] = ACTIONS(1778),
    [aux_sym__keyword_is_token1] = ACTIONS(1776),
    [aux_sym__keyword_in_token1] = ACTIONS(1778),
    [aux_sym__keyword_and_token1] = ACTIONS(1776),
    [aux_sym__keyword_like_token1] = ACTIONS(1776),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1776),
    [aux_sym__keyword_for_token1] = ACTIONS(1776),
    [anon_sym_SEMI] = ACTIONS(1776),
    [aux_sym_declare_statement_token1] = ACTIONS(1776),
    [aux_sym_set_statement_token1] = ACTIONS(1776),
    [anon_sym_LPAREN] = ACTIONS(1776),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1776),
    [aux_sym_into_clause_token1] = ACTIONS(1776),
    [aux_sym_using_clause_token1] = ACTIONS(1776),
    [aux_sym_return_satement_token1] = ACTIONS(1776),
    [aux_sym_call_statement_token1] = ACTIONS(1776),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1776),
    [aux_sym_if_statement_token1] = ACTIONS(1776),
    [aux_sym_loop_statement_token1] = ACTIONS(1776),
    [aux_sym_repeat_statement_token1] = ACTIONS(1776),
    [aux_sym_while_statement_token1] = ACTIONS(1776),
    [aux_sym_break_statement_token1] = ACTIONS(1776),
    [aux_sym_leave_statement_token1] = ACTIONS(1776),
    [aux_sym_continue_statement_token1] = ACTIONS(1776),
    [aux_sym_iterate_statement_token1] = ACTIONS(1776),
    [aux_sym_raise_statement_token1] = ACTIONS(1776),
    [anon_sym_EQ] = ACTIONS(1776),
    [aux_sym_assert_statement_token1] = ACTIONS(1776),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1776),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1776),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1776),
    [anon_sym_LT] = ACTIONS(1778),
    [anon_sym_GT] = ACTIONS(1778),
    [aux_sym_select_token1] = ACTIONS(1776),
    [aux_sym_insert_statement_token1] = ACTIONS(1776),
    [aux_sym_truncate_statement_token1] = ACTIONS(1776),
    [aux_sym_update_statement_token1] = ACTIONS(1776),
    [aux_sym_merge_statement_token1] = ACTIONS(1776),
    [aux_sym_grant_statement_token1] = ACTIONS(1776),
    [aux_sym_revoke_statement_token1] = ACTIONS(1776),
    [aux_sym_export_data_statement_token1] = ACTIONS(1776),
    [aux_sym_load_data_statement_token1] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1776),
    [anon_sym_PLUS] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1778),
    [anon_sym_STAR] = ACTIONS(1776),
    [anon_sym_SLASH] = ACTIONS(1778),
    [anon_sym_PIPE_PIPE] = ACTIONS(1776),
    [anon_sym_LT_EQ] = ACTIONS(1776),
    [anon_sym_LT_GT] = ACTIONS(1776),
    [anon_sym_GT_EQ] = ACTIONS(1776),
    [anon_sym_BANG_EQ] = ACTIONS(1776),
    [anon_sym_LT_LT] = ACTIONS(1776),
    [anon_sym_GT_GT] = ACTIONS(1776),
    [anon_sym_AMP] = ACTIONS(1776),
    [anon_sym_CARET] = ACTIONS(1776),
    [anon_sym_PIPE] = ACTIONS(1778),
  },
  [4812] = {
    [ts_builtin_sym_end] = ACTIONS(1776),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1776),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1776),
    [aux_sym_keyword_replace_token1] = ACTIONS(1776),
    [aux_sym__keyword_alter_token1] = ACTIONS(1776),
    [aux_sym__keyword_delete_token1] = ACTIONS(1776),
    [aux_sym__keyword_begin_token1] = ACTIONS(1776),
    [aux_sym__keyword_end_token1] = ACTIONS(1776),
    [aux_sym__keyword_between_token1] = ACTIONS(1776),
    [aux_sym__keyword_else_token1] = ACTIONS(1778),
    [aux_sym__keyword_is_token1] = ACTIONS(1776),
    [aux_sym__keyword_in_token1] = ACTIONS(1778),
    [aux_sym__keyword_and_token1] = ACTIONS(1776),
    [aux_sym__keyword_like_token1] = ACTIONS(1776),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1776),
    [aux_sym__keyword_for_token1] = ACTIONS(1776),
    [anon_sym_SEMI] = ACTIONS(1776),
    [aux_sym_declare_statement_token1] = ACTIONS(1776),
    [aux_sym_set_statement_token1] = ACTIONS(1776),
    [anon_sym_LPAREN] = ACTIONS(1776),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1776),
    [aux_sym_into_clause_token1] = ACTIONS(1776),
    [aux_sym_using_clause_token1] = ACTIONS(1776),
    [aux_sym_return_satement_token1] = ACTIONS(1776),
    [aux_sym_call_statement_token1] = ACTIONS(1776),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1776),
    [aux_sym_if_statement_token1] = ACTIONS(1776),
    [aux_sym_loop_statement_token1] = ACTIONS(1776),
    [aux_sym_repeat_statement_token1] = ACTIONS(1776),
    [aux_sym_while_statement_token1] = ACTIONS(1776),
    [aux_sym_break_statement_token1] = ACTIONS(1776),
    [aux_sym_leave_statement_token1] = ACTIONS(1776),
    [aux_sym_continue_statement_token1] = ACTIONS(1776),
    [aux_sym_iterate_statement_token1] = ACTIONS(1776),
    [aux_sym_raise_statement_token1] = ACTIONS(1776),
    [anon_sym_EQ] = ACTIONS(1776),
    [aux_sym_assert_statement_token1] = ACTIONS(1776),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1776),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1776),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1776),
    [anon_sym_LT] = ACTIONS(1778),
    [anon_sym_GT] = ACTIONS(1778),
    [aux_sym_select_token1] = ACTIONS(1776),
    [aux_sym_insert_statement_token1] = ACTIONS(1776),
    [aux_sym_truncate_statement_token1] = ACTIONS(1776),
    [aux_sym_update_statement_token1] = ACTIONS(1776),
    [aux_sym_merge_statement_token1] = ACTIONS(1776),
    [aux_sym_grant_statement_token1] = ACTIONS(1776),
    [aux_sym_revoke_statement_token1] = ACTIONS(1776),
    [aux_sym_export_data_statement_token1] = ACTIONS(1776),
    [aux_sym_load_data_statement_token1] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1776),
    [anon_sym_PLUS] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1778),
    [anon_sym_STAR] = ACTIONS(1776),
    [anon_sym_SLASH] = ACTIONS(1778),
    [anon_sym_PIPE_PIPE] = ACTIONS(1776),
    [anon_sym_LT_EQ] = ACTIONS(1776),
    [anon_sym_LT_GT] = ACTIONS(1776),
    [anon_sym_GT_EQ] = ACTIONS(1776),
    [anon_sym_BANG_EQ] = ACTIONS(1776),
    [anon_sym_LT_LT] = ACTIONS(1776),
    [anon_sym_GT_GT] = ACTIONS(1776),
    [anon_sym_AMP] = ACTIONS(1776),
    [anon_sym_CARET] = ACTIONS(1776),
    [anon_sym_PIPE] = ACTIONS(1778),
  },
  [4813] = {
    [ts_builtin_sym_end] = ACTIONS(1776),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1776),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1776),
    [aux_sym_keyword_replace_token1] = ACTIONS(1776),
    [aux_sym__keyword_alter_token1] = ACTIONS(1776),
    [aux_sym__keyword_delete_token1] = ACTIONS(1776),
    [aux_sym__keyword_begin_token1] = ACTIONS(1776),
    [aux_sym__keyword_end_token1] = ACTIONS(1776),
    [aux_sym__keyword_between_token1] = ACTIONS(1776),
    [aux_sym__keyword_else_token1] = ACTIONS(1778),
    [aux_sym__keyword_is_token1] = ACTIONS(1776),
    [aux_sym__keyword_in_token1] = ACTIONS(1778),
    [aux_sym__keyword_and_token1] = ACTIONS(1776),
    [aux_sym__keyword_like_token1] = ACTIONS(1776),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1776),
    [aux_sym__keyword_for_token1] = ACTIONS(1776),
    [anon_sym_SEMI] = ACTIONS(1776),
    [aux_sym_declare_statement_token1] = ACTIONS(1776),
    [aux_sym_set_statement_token1] = ACTIONS(1776),
    [anon_sym_LPAREN] = ACTIONS(1776),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1776),
    [aux_sym_into_clause_token1] = ACTIONS(1776),
    [aux_sym_using_clause_token1] = ACTIONS(1776),
    [aux_sym_return_satement_token1] = ACTIONS(1776),
    [aux_sym_call_statement_token1] = ACTIONS(1776),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1776),
    [aux_sym_if_statement_token1] = ACTIONS(1776),
    [aux_sym_loop_statement_token1] = ACTIONS(1776),
    [aux_sym_repeat_statement_token1] = ACTIONS(1776),
    [aux_sym_while_statement_token1] = ACTIONS(1776),
    [aux_sym_break_statement_token1] = ACTIONS(1776),
    [aux_sym_leave_statement_token1] = ACTIONS(1776),
    [aux_sym_continue_statement_token1] = ACTIONS(1776),
    [aux_sym_iterate_statement_token1] = ACTIONS(1776),
    [aux_sym_raise_statement_token1] = ACTIONS(1776),
    [anon_sym_EQ] = ACTIONS(1776),
    [aux_sym_assert_statement_token1] = ACTIONS(1776),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1776),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1776),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1776),
    [anon_sym_LT] = ACTIONS(1778),
    [anon_sym_GT] = ACTIONS(1778),
    [aux_sym_select_token1] = ACTIONS(1776),
    [aux_sym_insert_statement_token1] = ACTIONS(1776),
    [aux_sym_truncate_statement_token1] = ACTIONS(1776),
    [aux_sym_update_statement_token1] = ACTIONS(1776),
    [aux_sym_merge_statement_token1] = ACTIONS(1776),
    [aux_sym_grant_statement_token1] = ACTIONS(1776),
    [aux_sym_revoke_statement_token1] = ACTIONS(1776),
    [aux_sym_export_data_statement_token1] = ACTIONS(1776),
    [aux_sym_load_data_statement_token1] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1776),
    [anon_sym_PLUS] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1778),
    [anon_sym_STAR] = ACTIONS(1776),
    [anon_sym_SLASH] = ACTIONS(1778),
    [anon_sym_PIPE_PIPE] = ACTIONS(1776),
    [anon_sym_LT_EQ] = ACTIONS(1776),
    [anon_sym_LT_GT] = ACTIONS(1776),
    [anon_sym_GT_EQ] = ACTIONS(1776),
    [anon_sym_BANG_EQ] = ACTIONS(1776),
    [anon_sym_LT_LT] = ACTIONS(1776),
    [anon_sym_GT_GT] = ACTIONS(1776),
    [anon_sym_AMP] = ACTIONS(1776),
    [anon_sym_CARET] = ACTIONS(1776),
    [anon_sym_PIPE] = ACTIONS(1778),
  },
  [4814] = {
    [ts_builtin_sym_end] = ACTIONS(1776),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1776),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1776),
    [aux_sym_keyword_replace_token1] = ACTIONS(1776),
    [aux_sym__keyword_alter_token1] = ACTIONS(1776),
    [aux_sym__keyword_delete_token1] = ACTIONS(1776),
    [aux_sym__keyword_begin_token1] = ACTIONS(1776),
    [aux_sym__keyword_end_token1] = ACTIONS(1776),
    [aux_sym__keyword_between_token1] = ACTIONS(1776),
    [aux_sym__keyword_else_token1] = ACTIONS(1778),
    [aux_sym__keyword_is_token1] = ACTIONS(1776),
    [aux_sym__keyword_in_token1] = ACTIONS(1778),
    [aux_sym__keyword_and_token1] = ACTIONS(1776),
    [aux_sym__keyword_like_token1] = ACTIONS(1776),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1776),
    [aux_sym__keyword_for_token1] = ACTIONS(1776),
    [anon_sym_SEMI] = ACTIONS(1776),
    [aux_sym_declare_statement_token1] = ACTIONS(1776),
    [aux_sym_set_statement_token1] = ACTIONS(1776),
    [anon_sym_LPAREN] = ACTIONS(1776),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1776),
    [aux_sym_into_clause_token1] = ACTIONS(1776),
    [aux_sym_using_clause_token1] = ACTIONS(1776),
    [aux_sym_return_satement_token1] = ACTIONS(1776),
    [aux_sym_call_statement_token1] = ACTIONS(1776),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1776),
    [aux_sym_if_statement_token1] = ACTIONS(1776),
    [aux_sym_loop_statement_token1] = ACTIONS(1776),
    [aux_sym_repeat_statement_token1] = ACTIONS(1776),
    [aux_sym_while_statement_token1] = ACTIONS(1776),
    [aux_sym_break_statement_token1] = ACTIONS(1776),
    [aux_sym_leave_statement_token1] = ACTIONS(1776),
    [aux_sym_continue_statement_token1] = ACTIONS(1776),
    [aux_sym_iterate_statement_token1] = ACTIONS(1776),
    [aux_sym_raise_statement_token1] = ACTIONS(1776),
    [anon_sym_EQ] = ACTIONS(1776),
    [aux_sym_assert_statement_token1] = ACTIONS(1776),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1776),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1776),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1776),
    [anon_sym_LT] = ACTIONS(1778),
    [anon_sym_GT] = ACTIONS(1778),
    [aux_sym_select_token1] = ACTIONS(1776),
    [aux_sym_insert_statement_token1] = ACTIONS(1776),
    [aux_sym_truncate_statement_token1] = ACTIONS(1776),
    [aux_sym_update_statement_token1] = ACTIONS(1776),
    [aux_sym_merge_statement_token1] = ACTIONS(1776),
    [aux_sym_grant_statement_token1] = ACTIONS(1776),
    [aux_sym_revoke_statement_token1] = ACTIONS(1776),
    [aux_sym_export_data_statement_token1] = ACTIONS(1776),
    [aux_sym_load_data_statement_token1] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1776),
    [anon_sym_PLUS] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1778),
    [anon_sym_STAR] = ACTIONS(1776),
    [anon_sym_SLASH] = ACTIONS(1778),
    [anon_sym_PIPE_PIPE] = ACTIONS(1776),
    [anon_sym_LT_EQ] = ACTIONS(1776),
    [anon_sym_LT_GT] = ACTIONS(1776),
    [anon_sym_GT_EQ] = ACTIONS(1776),
    [anon_sym_BANG_EQ] = ACTIONS(1776),
    [anon_sym_LT_LT] = ACTIONS(1776),
    [anon_sym_GT_GT] = ACTIONS(1776),
    [anon_sym_AMP] = ACTIONS(1776),
    [anon_sym_CARET] = ACTIONS(1776),
    [anon_sym_PIPE] = ACTIONS(1778),
  },
  [4815] = {
    [ts_builtin_sym_end] = ACTIONS(1780),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1780),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1780),
    [aux_sym_keyword_replace_token1] = ACTIONS(1780),
    [aux_sym__keyword_alter_token1] = ACTIONS(1780),
    [aux_sym__keyword_delete_token1] = ACTIONS(1780),
    [aux_sym__keyword_begin_token1] = ACTIONS(1780),
    [aux_sym__keyword_end_token1] = ACTIONS(1780),
    [aux_sym__keyword_between_token1] = ACTIONS(1780),
    [aux_sym__keyword_else_token1] = ACTIONS(1782),
    [aux_sym__keyword_is_token1] = ACTIONS(1780),
    [aux_sym__keyword_in_token1] = ACTIONS(1782),
    [aux_sym__keyword_and_token1] = ACTIONS(1780),
    [aux_sym__keyword_like_token1] = ACTIONS(1780),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1780),
    [aux_sym__keyword_for_token1] = ACTIONS(1780),
    [anon_sym_SEMI] = ACTIONS(1780),
    [aux_sym_declare_statement_token1] = ACTIONS(1780),
    [aux_sym_set_statement_token1] = ACTIONS(1780),
    [anon_sym_LPAREN] = ACTIONS(1780),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1780),
    [aux_sym_into_clause_token1] = ACTIONS(1780),
    [aux_sym_using_clause_token1] = ACTIONS(1780),
    [aux_sym_return_satement_token1] = ACTIONS(1780),
    [aux_sym_call_statement_token1] = ACTIONS(1780),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1780),
    [aux_sym_if_statement_token1] = ACTIONS(1780),
    [aux_sym_loop_statement_token1] = ACTIONS(1780),
    [aux_sym_repeat_statement_token1] = ACTIONS(1780),
    [aux_sym_while_statement_token1] = ACTIONS(1780),
    [aux_sym_break_statement_token1] = ACTIONS(1780),
    [aux_sym_leave_statement_token1] = ACTIONS(1780),
    [aux_sym_continue_statement_token1] = ACTIONS(1780),
    [aux_sym_iterate_statement_token1] = ACTIONS(1780),
    [aux_sym_raise_statement_token1] = ACTIONS(1780),
    [anon_sym_EQ] = ACTIONS(1780),
    [aux_sym_assert_statement_token1] = ACTIONS(1780),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1780),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1780),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1780),
    [anon_sym_LT] = ACTIONS(1782),
    [anon_sym_GT] = ACTIONS(1782),
    [aux_sym_select_token1] = ACTIONS(1780),
    [aux_sym_insert_statement_token1] = ACTIONS(1780),
    [aux_sym_truncate_statement_token1] = ACTIONS(1780),
    [aux_sym_update_statement_token1] = ACTIONS(1780),
    [aux_sym_merge_statement_token1] = ACTIONS(1780),
    [aux_sym_grant_statement_token1] = ACTIONS(1780),
    [aux_sym_revoke_statement_token1] = ACTIONS(1780),
    [aux_sym_export_data_statement_token1] = ACTIONS(1780),
    [aux_sym_load_data_statement_token1] = ACTIONS(1780),
    [anon_sym_LBRACK] = ACTIONS(1780),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_DASH] = ACTIONS(1782),
    [anon_sym_STAR] = ACTIONS(1780),
    [anon_sym_SLASH] = ACTIONS(1782),
    [anon_sym_PIPE_PIPE] = ACTIONS(1780),
    [anon_sym_LT_EQ] = ACTIONS(1780),
    [anon_sym_LT_GT] = ACTIONS(1780),
    [anon_sym_GT_EQ] = ACTIONS(1780),
    [anon_sym_BANG_EQ] = ACTIONS(1780),
    [anon_sym_LT_LT] = ACTIONS(1780),
    [anon_sym_GT_GT] = ACTIONS(1780),
    [anon_sym_AMP] = ACTIONS(1780),
    [anon_sym_CARET] = ACTIONS(1780),
    [anon_sym_PIPE] = ACTIONS(1782),
  },
  [4816] = {
    [ts_builtin_sym_end] = ACTIONS(1780),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1780),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1780),
    [aux_sym_keyword_replace_token1] = ACTIONS(1780),
    [aux_sym__keyword_alter_token1] = ACTIONS(1780),
    [aux_sym__keyword_delete_token1] = ACTIONS(1780),
    [aux_sym__keyword_begin_token1] = ACTIONS(1780),
    [aux_sym__keyword_end_token1] = ACTIONS(1780),
    [aux_sym__keyword_between_token1] = ACTIONS(1780),
    [aux_sym__keyword_else_token1] = ACTIONS(1782),
    [aux_sym__keyword_is_token1] = ACTIONS(1780),
    [aux_sym__keyword_in_token1] = ACTIONS(1782),
    [aux_sym__keyword_and_token1] = ACTIONS(1780),
    [aux_sym__keyword_like_token1] = ACTIONS(1780),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1780),
    [aux_sym__keyword_for_token1] = ACTIONS(1780),
    [anon_sym_SEMI] = ACTIONS(1780),
    [aux_sym_declare_statement_token1] = ACTIONS(1780),
    [aux_sym_set_statement_token1] = ACTIONS(1780),
    [anon_sym_LPAREN] = ACTIONS(1780),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1780),
    [aux_sym_into_clause_token1] = ACTIONS(1780),
    [aux_sym_using_clause_token1] = ACTIONS(1780),
    [aux_sym_return_satement_token1] = ACTIONS(1780),
    [aux_sym_call_statement_token1] = ACTIONS(1780),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1780),
    [aux_sym_if_statement_token1] = ACTIONS(1780),
    [aux_sym_loop_statement_token1] = ACTIONS(1780),
    [aux_sym_repeat_statement_token1] = ACTIONS(1780),
    [aux_sym_while_statement_token1] = ACTIONS(1780),
    [aux_sym_break_statement_token1] = ACTIONS(1780),
    [aux_sym_leave_statement_token1] = ACTIONS(1780),
    [aux_sym_continue_statement_token1] = ACTIONS(1780),
    [aux_sym_iterate_statement_token1] = ACTIONS(1780),
    [aux_sym_raise_statement_token1] = ACTIONS(1780),
    [anon_sym_EQ] = ACTIONS(1780),
    [aux_sym_assert_statement_token1] = ACTIONS(1780),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1780),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1780),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1780),
    [anon_sym_LT] = ACTIONS(1782),
    [anon_sym_GT] = ACTIONS(1782),
    [aux_sym_select_token1] = ACTIONS(1780),
    [aux_sym_insert_statement_token1] = ACTIONS(1780),
    [aux_sym_truncate_statement_token1] = ACTIONS(1780),
    [aux_sym_update_statement_token1] = ACTIONS(1780),
    [aux_sym_merge_statement_token1] = ACTIONS(1780),
    [aux_sym_grant_statement_token1] = ACTIONS(1780),
    [aux_sym_revoke_statement_token1] = ACTIONS(1780),
    [aux_sym_export_data_statement_token1] = ACTIONS(1780),
    [aux_sym_load_data_statement_token1] = ACTIONS(1780),
    [anon_sym_LBRACK] = ACTIONS(1780),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_DASH] = ACTIONS(1782),
    [anon_sym_STAR] = ACTIONS(1780),
    [anon_sym_SLASH] = ACTIONS(1782),
    [anon_sym_PIPE_PIPE] = ACTIONS(1780),
    [anon_sym_LT_EQ] = ACTIONS(1780),
    [anon_sym_LT_GT] = ACTIONS(1780),
    [anon_sym_GT_EQ] = ACTIONS(1780),
    [anon_sym_BANG_EQ] = ACTIONS(1780),
    [anon_sym_LT_LT] = ACTIONS(1780),
    [anon_sym_GT_GT] = ACTIONS(1780),
    [anon_sym_AMP] = ACTIONS(1780),
    [anon_sym_CARET] = ACTIONS(1780),
    [anon_sym_PIPE] = ACTIONS(1782),
  },
  [4817] = {
    [ts_builtin_sym_end] = ACTIONS(1696),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1696),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1696),
    [aux_sym_keyword_replace_token1] = ACTIONS(1696),
    [aux_sym__keyword_alter_token1] = ACTIONS(1696),
    [aux_sym__keyword_delete_token1] = ACTIONS(1696),
    [aux_sym__keyword_begin_token1] = ACTIONS(1696),
    [aux_sym__keyword_end_token1] = ACTIONS(1696),
    [aux_sym__keyword_between_token1] = ACTIONS(1696),
    [aux_sym__keyword_else_token1] = ACTIONS(1698),
    [aux_sym__keyword_is_token1] = ACTIONS(1696),
    [aux_sym__keyword_in_token1] = ACTIONS(1698),
    [aux_sym__keyword_and_token1] = ACTIONS(1696),
    [aux_sym__keyword_like_token1] = ACTIONS(1696),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1696),
    [aux_sym__keyword_for_token1] = ACTIONS(1696),
    [anon_sym_SEMI] = ACTIONS(1696),
    [aux_sym_declare_statement_token1] = ACTIONS(1696),
    [aux_sym_set_statement_token1] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1696),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1696),
    [aux_sym_into_clause_token1] = ACTIONS(1696),
    [aux_sym_using_clause_token1] = ACTIONS(1696),
    [aux_sym_return_satement_token1] = ACTIONS(1696),
    [aux_sym_call_statement_token1] = ACTIONS(1696),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1696),
    [aux_sym_if_statement_token1] = ACTIONS(1696),
    [aux_sym_loop_statement_token1] = ACTIONS(1696),
    [aux_sym_repeat_statement_token1] = ACTIONS(1696),
    [aux_sym_while_statement_token1] = ACTIONS(1696),
    [aux_sym_break_statement_token1] = ACTIONS(1696),
    [aux_sym_leave_statement_token1] = ACTIONS(1696),
    [aux_sym_continue_statement_token1] = ACTIONS(1696),
    [aux_sym_iterate_statement_token1] = ACTIONS(1696),
    [aux_sym_raise_statement_token1] = ACTIONS(1696),
    [anon_sym_EQ] = ACTIONS(1696),
    [aux_sym_assert_statement_token1] = ACTIONS(1696),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1696),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1696),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1696),
    [anon_sym_LT] = ACTIONS(1698),
    [anon_sym_GT] = ACTIONS(1698),
    [aux_sym_select_token1] = ACTIONS(1696),
    [aux_sym_insert_statement_token1] = ACTIONS(1696),
    [aux_sym_truncate_statement_token1] = ACTIONS(1696),
    [aux_sym_update_statement_token1] = ACTIONS(1696),
    [aux_sym_merge_statement_token1] = ACTIONS(1696),
    [aux_sym_grant_statement_token1] = ACTIONS(1696),
    [aux_sym_revoke_statement_token1] = ACTIONS(1696),
    [aux_sym_export_data_statement_token1] = ACTIONS(1696),
    [aux_sym_load_data_statement_token1] = ACTIONS(1696),
    [anon_sym_LBRACK] = ACTIONS(1696),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_STAR] = ACTIONS(1696),
    [anon_sym_SLASH] = ACTIONS(1698),
    [anon_sym_PIPE_PIPE] = ACTIONS(1696),
    [anon_sym_LT_EQ] = ACTIONS(1696),
    [anon_sym_LT_GT] = ACTIONS(1696),
    [anon_sym_GT_EQ] = ACTIONS(1696),
    [anon_sym_BANG_EQ] = ACTIONS(1696),
    [anon_sym_LT_LT] = ACTIONS(1696),
    [anon_sym_GT_GT] = ACTIONS(1696),
    [anon_sym_AMP] = ACTIONS(1696),
    [anon_sym_CARET] = ACTIONS(1696),
    [anon_sym_PIPE] = ACTIONS(1698),
  },
  [4818] = {
    [ts_builtin_sym_end] = ACTIONS(1508),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1508),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1508),
    [aux_sym_keyword_replace_token1] = ACTIONS(1508),
    [aux_sym__keyword_alter_token1] = ACTIONS(1508),
    [aux_sym__keyword_delete_token1] = ACTIONS(1508),
    [aux_sym__keyword_begin_token1] = ACTIONS(1508),
    [aux_sym__keyword_end_token1] = ACTIONS(1508),
    [aux_sym__keyword_between_token1] = ACTIONS(1508),
    [aux_sym__keyword_else_token1] = ACTIONS(1510),
    [aux_sym__keyword_is_token1] = ACTIONS(1508),
    [aux_sym__keyword_in_token1] = ACTIONS(1510),
    [aux_sym__keyword_and_token1] = ACTIONS(1508),
    [aux_sym__keyword_like_token1] = ACTIONS(1508),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1508),
    [aux_sym__keyword_for_token1] = ACTIONS(1508),
    [anon_sym_SEMI] = ACTIONS(1508),
    [aux_sym_declare_statement_token1] = ACTIONS(1508),
    [aux_sym_set_statement_token1] = ACTIONS(1508),
    [anon_sym_LPAREN] = ACTIONS(1508),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1508),
    [aux_sym_into_clause_token1] = ACTIONS(1508),
    [aux_sym_using_clause_token1] = ACTIONS(1508),
    [aux_sym_return_satement_token1] = ACTIONS(1508),
    [aux_sym_call_statement_token1] = ACTIONS(1508),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1508),
    [aux_sym_if_statement_token1] = ACTIONS(1508),
    [aux_sym_loop_statement_token1] = ACTIONS(1508),
    [aux_sym_repeat_statement_token1] = ACTIONS(1508),
    [aux_sym_while_statement_token1] = ACTIONS(1508),
    [aux_sym_break_statement_token1] = ACTIONS(1508),
    [aux_sym_leave_statement_token1] = ACTIONS(1508),
    [aux_sym_continue_statement_token1] = ACTIONS(1508),
    [aux_sym_iterate_statement_token1] = ACTIONS(1508),
    [aux_sym_raise_statement_token1] = ACTIONS(1508),
    [anon_sym_EQ] = ACTIONS(1508),
    [aux_sym_assert_statement_token1] = ACTIONS(1508),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1508),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1508),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1508),
    [anon_sym_LT] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1510),
    [aux_sym_select_token1] = ACTIONS(1508),
    [aux_sym_insert_statement_token1] = ACTIONS(1508),
    [aux_sym_truncate_statement_token1] = ACTIONS(1508),
    [aux_sym_update_statement_token1] = ACTIONS(1508),
    [aux_sym_merge_statement_token1] = ACTIONS(1508),
    [aux_sym_grant_statement_token1] = ACTIONS(1508),
    [aux_sym_revoke_statement_token1] = ACTIONS(1508),
    [aux_sym_export_data_statement_token1] = ACTIONS(1508),
    [aux_sym_load_data_statement_token1] = ACTIONS(1508),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1508),
    [anon_sym_PLUS] = ACTIONS(1508),
    [anon_sym_DASH] = ACTIONS(1510),
    [anon_sym_STAR] = ACTIONS(1508),
    [anon_sym_SLASH] = ACTIONS(1510),
    [anon_sym_PIPE_PIPE] = ACTIONS(1508),
    [anon_sym_LT_EQ] = ACTIONS(1508),
    [anon_sym_LT_GT] = ACTIONS(1508),
    [anon_sym_GT_EQ] = ACTIONS(1508),
    [anon_sym_BANG_EQ] = ACTIONS(1508),
    [anon_sym_LT_LT] = ACTIONS(1508),
    [anon_sym_GT_GT] = ACTIONS(1508),
    [anon_sym_AMP] = ACTIONS(1508),
    [anon_sym_CARET] = ACTIONS(1508),
    [anon_sym_PIPE] = ACTIONS(1510),
  },
  [4819] = {
    [ts_builtin_sym_end] = ACTIONS(1700),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1700),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1700),
    [aux_sym_keyword_replace_token1] = ACTIONS(1700),
    [aux_sym__keyword_alter_token1] = ACTIONS(1700),
    [aux_sym__keyword_delete_token1] = ACTIONS(1700),
    [aux_sym__keyword_begin_token1] = ACTIONS(1700),
    [aux_sym__keyword_end_token1] = ACTIONS(1700),
    [aux_sym__keyword_between_token1] = ACTIONS(1700),
    [aux_sym__keyword_else_token1] = ACTIONS(1702),
    [aux_sym__keyword_is_token1] = ACTIONS(1700),
    [aux_sym__keyword_in_token1] = ACTIONS(1702),
    [aux_sym__keyword_and_token1] = ACTIONS(1700),
    [aux_sym__keyword_like_token1] = ACTIONS(1700),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1700),
    [aux_sym__keyword_for_token1] = ACTIONS(1700),
    [anon_sym_SEMI] = ACTIONS(1700),
    [aux_sym_declare_statement_token1] = ACTIONS(1700),
    [aux_sym_set_statement_token1] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1700),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1700),
    [aux_sym_into_clause_token1] = ACTIONS(1700),
    [aux_sym_using_clause_token1] = ACTIONS(1700),
    [aux_sym_return_satement_token1] = ACTIONS(1700),
    [aux_sym_call_statement_token1] = ACTIONS(1700),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1700),
    [aux_sym_if_statement_token1] = ACTIONS(1700),
    [aux_sym_loop_statement_token1] = ACTIONS(1700),
    [aux_sym_repeat_statement_token1] = ACTIONS(1700),
    [aux_sym_while_statement_token1] = ACTIONS(1700),
    [aux_sym_break_statement_token1] = ACTIONS(1700),
    [aux_sym_leave_statement_token1] = ACTIONS(1700),
    [aux_sym_continue_statement_token1] = ACTIONS(1700),
    [aux_sym_iterate_statement_token1] = ACTIONS(1700),
    [aux_sym_raise_statement_token1] = ACTIONS(1700),
    [anon_sym_EQ] = ACTIONS(1700),
    [aux_sym_assert_statement_token1] = ACTIONS(1700),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1700),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1700),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1700),
    [anon_sym_LT] = ACTIONS(1702),
    [anon_sym_GT] = ACTIONS(1702),
    [aux_sym_select_token1] = ACTIONS(1700),
    [aux_sym_insert_statement_token1] = ACTIONS(1700),
    [aux_sym_truncate_statement_token1] = ACTIONS(1700),
    [aux_sym_update_statement_token1] = ACTIONS(1700),
    [aux_sym_merge_statement_token1] = ACTIONS(1700),
    [aux_sym_grant_statement_token1] = ACTIONS(1700),
    [aux_sym_revoke_statement_token1] = ACTIONS(1700),
    [aux_sym_export_data_statement_token1] = ACTIONS(1700),
    [aux_sym_load_data_statement_token1] = ACTIONS(1700),
    [anon_sym_LBRACK] = ACTIONS(1700),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1700),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_DASH] = ACTIONS(1702),
    [anon_sym_STAR] = ACTIONS(1700),
    [anon_sym_SLASH] = ACTIONS(1702),
    [anon_sym_PIPE_PIPE] = ACTIONS(1700),
    [anon_sym_LT_EQ] = ACTIONS(1700),
    [anon_sym_LT_GT] = ACTIONS(1700),
    [anon_sym_GT_EQ] = ACTIONS(1700),
    [anon_sym_BANG_EQ] = ACTIONS(1700),
    [anon_sym_LT_LT] = ACTIONS(1700),
    [anon_sym_GT_GT] = ACTIONS(1700),
    [anon_sym_AMP] = ACTIONS(1700),
    [anon_sym_CARET] = ACTIONS(1700),
    [anon_sym_PIPE] = ACTIONS(1702),
  },
  [4820] = {
    [ts_builtin_sym_end] = ACTIONS(1684),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1684),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1684),
    [aux_sym_keyword_replace_token1] = ACTIONS(1684),
    [aux_sym__keyword_alter_token1] = ACTIONS(1684),
    [aux_sym__keyword_delete_token1] = ACTIONS(1684),
    [aux_sym__keyword_begin_token1] = ACTIONS(1684),
    [aux_sym__keyword_end_token1] = ACTIONS(1684),
    [aux_sym__keyword_between_token1] = ACTIONS(1684),
    [aux_sym__keyword_else_token1] = ACTIONS(1686),
    [aux_sym__keyword_is_token1] = ACTIONS(1684),
    [aux_sym__keyword_in_token1] = ACTIONS(1686),
    [aux_sym__keyword_and_token1] = ACTIONS(1684),
    [aux_sym__keyword_like_token1] = ACTIONS(1684),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1684),
    [aux_sym__keyword_for_token1] = ACTIONS(1684),
    [anon_sym_SEMI] = ACTIONS(1684),
    [aux_sym_declare_statement_token1] = ACTIONS(1684),
    [aux_sym_set_statement_token1] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1684),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1684),
    [aux_sym_into_clause_token1] = ACTIONS(1684),
    [aux_sym_using_clause_token1] = ACTIONS(1684),
    [aux_sym_return_satement_token1] = ACTIONS(1684),
    [aux_sym_call_statement_token1] = ACTIONS(1684),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1684),
    [aux_sym_if_statement_token1] = ACTIONS(1684),
    [aux_sym_loop_statement_token1] = ACTIONS(1684),
    [aux_sym_repeat_statement_token1] = ACTIONS(1684),
    [aux_sym_while_statement_token1] = ACTIONS(1684),
    [aux_sym_break_statement_token1] = ACTIONS(1684),
    [aux_sym_leave_statement_token1] = ACTIONS(1684),
    [aux_sym_continue_statement_token1] = ACTIONS(1684),
    [aux_sym_iterate_statement_token1] = ACTIONS(1684),
    [aux_sym_raise_statement_token1] = ACTIONS(1684),
    [anon_sym_EQ] = ACTIONS(1684),
    [aux_sym_assert_statement_token1] = ACTIONS(1684),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1684),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1684),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1684),
    [anon_sym_LT] = ACTIONS(1686),
    [anon_sym_GT] = ACTIONS(1686),
    [aux_sym_select_token1] = ACTIONS(1684),
    [aux_sym_insert_statement_token1] = ACTIONS(1684),
    [aux_sym_truncate_statement_token1] = ACTIONS(1684),
    [aux_sym_update_statement_token1] = ACTIONS(1684),
    [aux_sym_merge_statement_token1] = ACTIONS(1684),
    [aux_sym_grant_statement_token1] = ACTIONS(1684),
    [aux_sym_revoke_statement_token1] = ACTIONS(1684),
    [aux_sym_export_data_statement_token1] = ACTIONS(1684),
    [aux_sym_load_data_statement_token1] = ACTIONS(1684),
    [anon_sym_LBRACK] = ACTIONS(1684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1684),
    [anon_sym_PLUS] = ACTIONS(1684),
    [anon_sym_DASH] = ACTIONS(1686),
    [anon_sym_STAR] = ACTIONS(1684),
    [anon_sym_SLASH] = ACTIONS(1686),
    [anon_sym_PIPE_PIPE] = ACTIONS(1684),
    [anon_sym_LT_EQ] = ACTIONS(1684),
    [anon_sym_LT_GT] = ACTIONS(1684),
    [anon_sym_GT_EQ] = ACTIONS(1684),
    [anon_sym_BANG_EQ] = ACTIONS(1684),
    [anon_sym_LT_LT] = ACTIONS(1684),
    [anon_sym_GT_GT] = ACTIONS(1684),
    [anon_sym_AMP] = ACTIONS(1684),
    [anon_sym_CARET] = ACTIONS(1684),
    [anon_sym_PIPE] = ACTIONS(1686),
  },
  [4821] = {
    [ts_builtin_sym_end] = ACTIONS(1594),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1594),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1594),
    [aux_sym_keyword_replace_token1] = ACTIONS(1594),
    [aux_sym__keyword_alter_token1] = ACTIONS(1594),
    [aux_sym__keyword_delete_token1] = ACTIONS(1594),
    [aux_sym__keyword_begin_token1] = ACTIONS(1594),
    [aux_sym__keyword_end_token1] = ACTIONS(1594),
    [aux_sym__keyword_between_token1] = ACTIONS(1594),
    [aux_sym__keyword_else_token1] = ACTIONS(1596),
    [aux_sym__keyword_is_token1] = ACTIONS(1594),
    [aux_sym__keyword_in_token1] = ACTIONS(1596),
    [aux_sym__keyword_and_token1] = ACTIONS(1594),
    [aux_sym__keyword_like_token1] = ACTIONS(1594),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1594),
    [aux_sym__keyword_for_token1] = ACTIONS(1594),
    [anon_sym_SEMI] = ACTIONS(1594),
    [aux_sym_declare_statement_token1] = ACTIONS(1594),
    [aux_sym_set_statement_token1] = ACTIONS(1594),
    [anon_sym_LPAREN] = ACTIONS(1594),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1594),
    [aux_sym_into_clause_token1] = ACTIONS(1594),
    [aux_sym_using_clause_token1] = ACTIONS(1594),
    [aux_sym_return_satement_token1] = ACTIONS(1594),
    [aux_sym_call_statement_token1] = ACTIONS(1594),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1594),
    [aux_sym_if_statement_token1] = ACTIONS(1594),
    [aux_sym_loop_statement_token1] = ACTIONS(1594),
    [aux_sym_repeat_statement_token1] = ACTIONS(1594),
    [aux_sym_while_statement_token1] = ACTIONS(1594),
    [aux_sym_break_statement_token1] = ACTIONS(1594),
    [aux_sym_leave_statement_token1] = ACTIONS(1594),
    [aux_sym_continue_statement_token1] = ACTIONS(1594),
    [aux_sym_iterate_statement_token1] = ACTIONS(1594),
    [aux_sym_raise_statement_token1] = ACTIONS(1594),
    [anon_sym_EQ] = ACTIONS(1594),
    [aux_sym_assert_statement_token1] = ACTIONS(1594),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1594),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1594),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1594),
    [anon_sym_LT] = ACTIONS(1596),
    [anon_sym_GT] = ACTIONS(1596),
    [aux_sym_select_token1] = ACTIONS(1594),
    [aux_sym_insert_statement_token1] = ACTIONS(1594),
    [aux_sym_truncate_statement_token1] = ACTIONS(1594),
    [aux_sym_update_statement_token1] = ACTIONS(1594),
    [aux_sym_merge_statement_token1] = ACTIONS(1594),
    [aux_sym_grant_statement_token1] = ACTIONS(1594),
    [aux_sym_revoke_statement_token1] = ACTIONS(1594),
    [aux_sym_export_data_statement_token1] = ACTIONS(1594),
    [aux_sym_load_data_statement_token1] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1594),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1594),
    [anon_sym_PLUS] = ACTIONS(1594),
    [anon_sym_DASH] = ACTIONS(1596),
    [anon_sym_STAR] = ACTIONS(1594),
    [anon_sym_SLASH] = ACTIONS(1596),
    [anon_sym_PIPE_PIPE] = ACTIONS(1594),
    [anon_sym_LT_EQ] = ACTIONS(1594),
    [anon_sym_LT_GT] = ACTIONS(1594),
    [anon_sym_GT_EQ] = ACTIONS(1594),
    [anon_sym_BANG_EQ] = ACTIONS(1594),
    [anon_sym_LT_LT] = ACTIONS(1594),
    [anon_sym_GT_GT] = ACTIONS(1594),
    [anon_sym_AMP] = ACTIONS(1594),
    [anon_sym_CARET] = ACTIONS(1594),
    [anon_sym_PIPE] = ACTIONS(1596),
  },
  [4822] = {
    [ts_builtin_sym_end] = ACTIONS(1704),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1704),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1704),
    [aux_sym_keyword_replace_token1] = ACTIONS(1704),
    [aux_sym__keyword_alter_token1] = ACTIONS(1704),
    [aux_sym__keyword_delete_token1] = ACTIONS(1704),
    [aux_sym__keyword_begin_token1] = ACTIONS(1704),
    [aux_sym__keyword_end_token1] = ACTIONS(1704),
    [aux_sym__keyword_between_token1] = ACTIONS(1704),
    [aux_sym__keyword_else_token1] = ACTIONS(1706),
    [aux_sym__keyword_is_token1] = ACTIONS(1704),
    [aux_sym__keyword_in_token1] = ACTIONS(1706),
    [aux_sym__keyword_and_token1] = ACTIONS(1704),
    [aux_sym__keyword_like_token1] = ACTIONS(1704),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1704),
    [aux_sym__keyword_for_token1] = ACTIONS(1704),
    [anon_sym_SEMI] = ACTIONS(1704),
    [aux_sym_declare_statement_token1] = ACTIONS(1704),
    [aux_sym_set_statement_token1] = ACTIONS(1704),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1704),
    [aux_sym_into_clause_token1] = ACTIONS(1704),
    [aux_sym_using_clause_token1] = ACTIONS(1704),
    [aux_sym_return_satement_token1] = ACTIONS(1704),
    [aux_sym_call_statement_token1] = ACTIONS(1704),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1704),
    [aux_sym_if_statement_token1] = ACTIONS(1704),
    [aux_sym_loop_statement_token1] = ACTIONS(1704),
    [aux_sym_repeat_statement_token1] = ACTIONS(1704),
    [aux_sym_while_statement_token1] = ACTIONS(1704),
    [aux_sym_break_statement_token1] = ACTIONS(1704),
    [aux_sym_leave_statement_token1] = ACTIONS(1704),
    [aux_sym_continue_statement_token1] = ACTIONS(1704),
    [aux_sym_iterate_statement_token1] = ACTIONS(1704),
    [aux_sym_raise_statement_token1] = ACTIONS(1704),
    [anon_sym_EQ] = ACTIONS(1704),
    [aux_sym_assert_statement_token1] = ACTIONS(1704),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1704),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1704),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1704),
    [anon_sym_LT] = ACTIONS(1706),
    [anon_sym_GT] = ACTIONS(1706),
    [aux_sym_select_token1] = ACTIONS(1704),
    [aux_sym_insert_statement_token1] = ACTIONS(1704),
    [aux_sym_truncate_statement_token1] = ACTIONS(1704),
    [aux_sym_update_statement_token1] = ACTIONS(1704),
    [aux_sym_merge_statement_token1] = ACTIONS(1704),
    [aux_sym_grant_statement_token1] = ACTIONS(1704),
    [aux_sym_revoke_statement_token1] = ACTIONS(1704),
    [aux_sym_export_data_statement_token1] = ACTIONS(1704),
    [aux_sym_load_data_statement_token1] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1704),
    [anon_sym_PLUS] = ACTIONS(1704),
    [anon_sym_DASH] = ACTIONS(1706),
    [anon_sym_STAR] = ACTIONS(1704),
    [anon_sym_SLASH] = ACTIONS(1706),
    [anon_sym_PIPE_PIPE] = ACTIONS(1704),
    [anon_sym_LT_EQ] = ACTIONS(1704),
    [anon_sym_LT_GT] = ACTIONS(1704),
    [anon_sym_GT_EQ] = ACTIONS(1704),
    [anon_sym_BANG_EQ] = ACTIONS(1704),
    [anon_sym_LT_LT] = ACTIONS(1704),
    [anon_sym_GT_GT] = ACTIONS(1704),
    [anon_sym_AMP] = ACTIONS(1704),
    [anon_sym_CARET] = ACTIONS(1704),
    [anon_sym_PIPE] = ACTIONS(1706),
  },
  [4823] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_into_clause_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4824] = {
    [sym__unquoted_identifier] = ACTIONS(1532),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1532),
    [aux_sym_keyword_replace_token1] = ACTIONS(1532),
    [aux_sym__keyword_alter_token1] = ACTIONS(1532),
    [aux_sym__keyword_from_token1] = ACTIONS(1532),
    [aux_sym__keyword_end_token1] = ACTIONS(1532),
    [aux_sym__keyword_struct_token1] = ACTIONS(1532),
    [aux_sym__keyword_range_token1] = ACTIONS(1532),
    [aux_sym__keyword_array_token1] = ACTIONS(1532),
    [aux_sym__keyword_between_token1] = ACTIONS(1532),
    [aux_sym__keyword_when_token1] = ACTIONS(1532),
    [aux_sym__keyword_then_token1] = ACTIONS(1532),
    [aux_sym__keyword_else_token1] = ACTIONS(1532),
    [aux_sym__keyword_is_token1] = ACTIONS(1532),
    [aux_sym__keyword_in_token1] = ACTIONS(1532),
    [aux_sym__keyword_and_token1] = ACTIONS(1532),
    [aux_sym__keyword_like_token1] = ACTIONS(1532),
    [anon_sym_COMMA] = ACTIONS(1530),
    [aux_sym_set_statement_token1] = ACTIONS(1532),
    [anon_sym_LPAREN] = ACTIONS(1530),
    [anon_sym_RPAREN] = ACTIONS(1530),
    [aux_sym_using_clause_token1] = ACTIONS(1532),
    [aux_sym_while_statement_token2] = ACTIONS(1532),
    [anon_sym_EQ] = ACTIONS(1532),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1532),
    [aux_sym_clone_clause_token1] = ACTIONS(1532),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1532),
    [aux_sym_alter_table_rename_statement_token1] = ACTIONS(1532),
    [aux_sym_alter_table_rename_statement_token2] = ACTIONS(1532),
    [aux_sym_add_column_action_token1] = ACTIONS(1532),
    [aux_sym_foreign_key_token1] = ACTIONS(1532),
    [anon_sym_LT] = ACTIONS(1532),
    [anon_sym_GT] = ACTIONS(1532),
    [aux_sym_partition_expression_token5] = ACTIONS(1532),
    [aux_sym_partition_expression_token6] = ACTIONS(1532),
    [aux_sym_partition_expression_token7] = ACTIONS(1532),
    [aux_sym_partition_expression_token8] = ACTIONS(1532),
    [aux_sym_partition_expression_token10] = ACTIONS(1532),
    [aux_sym_select_token1] = ACTIONS(1532),
    [aux_sym_limit_clause_token1] = ACTIONS(1532),
    [aux_sym_rows_range_token1] = ACTIONS(1532),
    [aux_sym__direction_keywords_token1] = ACTIONS(1532),
    [aux_sym__direction_keywords_token2] = ACTIONS(1532),
    [aux_sym__nulls_preference_token1] = ACTIONS(1532),
    [aux_sym_where_clause_token1] = ACTIONS(1532),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1532),
    [aux_sym_join_condition_token1] = ACTIONS(1532),
    [anon_sym_EQ_GT] = ACTIONS(1530),
    [aux_sym_values_clause_token1] = ACTIONS(1532),
    [anon_sym_LBRACK] = ACTIONS(1530),
    [anon_sym_RBRACK] = ACTIONS(1530),
    [anon_sym_DOT] = ACTIONS(1514),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1532),
    [anon_sym_PLUS] = ACTIONS(1530),
    [anon_sym_DASH] = ACTIONS(1532),
    [anon_sym_STAR] = ACTIONS(1530),
    [anon_sym_SLASH] = ACTIONS(1532),
    [anon_sym_PIPE_PIPE] = ACTIONS(1530),
    [anon_sym_LT_EQ] = ACTIONS(1530),
    [anon_sym_LT_GT] = ACTIONS(1530),
    [anon_sym_GT_EQ] = ACTIONS(1530),
    [anon_sym_BANG_EQ] = ACTIONS(1530),
    [anon_sym_LT_LT] = ACTIONS(1530),
    [anon_sym_GT_GT] = ACTIONS(1530),
    [anon_sym_AMP] = ACTIONS(1530),
    [anon_sym_CARET] = ACTIONS(1530),
    [anon_sym_PIPE] = ACTIONS(1532),
  },
  [4825] = {
    [ts_builtin_sym_end] = ACTIONS(1858),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1858),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1858),
    [aux_sym_keyword_replace_token1] = ACTIONS(1858),
    [aux_sym__keyword_alter_token1] = ACTIONS(1858),
    [aux_sym__keyword_delete_token1] = ACTIONS(1858),
    [aux_sym__keyword_begin_token1] = ACTIONS(1858),
    [aux_sym__keyword_end_token1] = ACTIONS(1858),
    [aux_sym__keyword_between_token1] = ACTIONS(1858),
    [aux_sym__keyword_else_token1] = ACTIONS(1860),
    [aux_sym__keyword_is_token1] = ACTIONS(1858),
    [aux_sym__keyword_in_token1] = ACTIONS(1860),
    [aux_sym__keyword_and_token1] = ACTIONS(1858),
    [aux_sym__keyword_like_token1] = ACTIONS(1858),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1858),
    [aux_sym__keyword_for_token1] = ACTIONS(1858),
    [anon_sym_SEMI] = ACTIONS(1858),
    [aux_sym_declare_statement_token1] = ACTIONS(1858),
    [aux_sym_set_statement_token1] = ACTIONS(1858),
    [anon_sym_LPAREN] = ACTIONS(1858),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1858),
    [aux_sym_into_clause_token1] = ACTIONS(1858),
    [aux_sym_using_clause_token1] = ACTIONS(1858),
    [aux_sym_return_satement_token1] = ACTIONS(1858),
    [aux_sym_call_statement_token1] = ACTIONS(1858),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1858),
    [aux_sym_if_statement_token1] = ACTIONS(1858),
    [aux_sym_loop_statement_token1] = ACTIONS(1858),
    [aux_sym_repeat_statement_token1] = ACTIONS(1858),
    [aux_sym_while_statement_token1] = ACTIONS(1858),
    [aux_sym_break_statement_token1] = ACTIONS(1858),
    [aux_sym_leave_statement_token1] = ACTIONS(1858),
    [aux_sym_continue_statement_token1] = ACTIONS(1858),
    [aux_sym_iterate_statement_token1] = ACTIONS(1858),
    [aux_sym_raise_statement_token1] = ACTIONS(1858),
    [anon_sym_EQ] = ACTIONS(1858),
    [aux_sym_assert_statement_token1] = ACTIONS(1858),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1858),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1858),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1858),
    [anon_sym_LT] = ACTIONS(1860),
    [anon_sym_GT] = ACTIONS(1860),
    [aux_sym_select_token1] = ACTIONS(1858),
    [aux_sym_insert_statement_token1] = ACTIONS(1858),
    [aux_sym_truncate_statement_token1] = ACTIONS(1858),
    [aux_sym_update_statement_token1] = ACTIONS(1858),
    [aux_sym_merge_statement_token1] = ACTIONS(1858),
    [aux_sym_grant_statement_token1] = ACTIONS(1858),
    [aux_sym_revoke_statement_token1] = ACTIONS(1858),
    [aux_sym_export_data_statement_token1] = ACTIONS(1858),
    [aux_sym_load_data_statement_token1] = ACTIONS(1858),
    [anon_sym_LBRACK] = ACTIONS(1858),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1858),
    [anon_sym_PLUS] = ACTIONS(1858),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_PIPE_PIPE] = ACTIONS(1858),
    [anon_sym_LT_EQ] = ACTIONS(1858),
    [anon_sym_LT_GT] = ACTIONS(1858),
    [anon_sym_GT_EQ] = ACTIONS(1858),
    [anon_sym_BANG_EQ] = ACTIONS(1858),
    [anon_sym_LT_LT] = ACTIONS(1858),
    [anon_sym_GT_GT] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym_CARET] = ACTIONS(1858),
    [anon_sym_PIPE] = ACTIONS(1860),
  },
  [4826] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1462),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1462),
    [aux_sym_keyword_replace_token1] = ACTIONS(1462),
    [aux_sym__keyword_alter_token1] = ACTIONS(1462),
    [aux_sym__keyword_delete_token1] = ACTIONS(1462),
    [aux_sym__keyword_begin_token1] = ACTIONS(1462),
    [aux_sym__keyword_end_token1] = ACTIONS(1462),
    [aux_sym__keyword_between_token1] = ACTIONS(1462),
    [aux_sym__keyword_else_token1] = ACTIONS(1464),
    [aux_sym__keyword_is_token1] = ACTIONS(1462),
    [aux_sym__keyword_in_token1] = ACTIONS(1464),
    [aux_sym__keyword_and_token1] = ACTIONS(1462),
    [aux_sym__keyword_like_token1] = ACTIONS(1462),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1462),
    [aux_sym__keyword_for_token1] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1462),
    [aux_sym_into_clause_token1] = ACTIONS(1462),
    [aux_sym_using_clause_token1] = ACTIONS(1462),
    [aux_sym_return_satement_token1] = ACTIONS(1462),
    [aux_sym_call_statement_token1] = ACTIONS(1462),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_loop_statement_token1] = ACTIONS(1462),
    [aux_sym_repeat_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [aux_sym_leave_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_iterate_statement_token1] = ACTIONS(1462),
    [aux_sym_raise_statement_token1] = ACTIONS(1462),
    [anon_sym_EQ] = ACTIONS(1462),
    [aux_sym_assert_statement_token1] = ACTIONS(1462),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1462),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1462),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1462),
    [aux_sym_insert_statement_token1] = ACTIONS(1462),
    [aux_sym_truncate_statement_token1] = ACTIONS(1462),
    [aux_sym_update_statement_token1] = ACTIONS(1462),
    [aux_sym_merge_statement_token1] = ACTIONS(1462),
    [aux_sym_grant_statement_token1] = ACTIONS(1462),
    [aux_sym_revoke_statement_token1] = ACTIONS(1462),
    [aux_sym_export_data_statement_token1] = ACTIONS(1462),
    [aux_sym_load_data_statement_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_PIPE_PIPE] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1462),
    [anon_sym_LT_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1462),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
  },
  [4827] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_into_clause_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4828] = {
    [ts_builtin_sym_end] = ACTIONS(1708),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1708),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1708),
    [aux_sym_keyword_replace_token1] = ACTIONS(1708),
    [aux_sym__keyword_alter_token1] = ACTIONS(1708),
    [aux_sym__keyword_delete_token1] = ACTIONS(1708),
    [aux_sym__keyword_begin_token1] = ACTIONS(1708),
    [aux_sym__keyword_end_token1] = ACTIONS(1708),
    [aux_sym__keyword_between_token1] = ACTIONS(1708),
    [aux_sym__keyword_else_token1] = ACTIONS(1710),
    [aux_sym__keyword_is_token1] = ACTIONS(1708),
    [aux_sym__keyword_in_token1] = ACTIONS(1710),
    [aux_sym__keyword_and_token1] = ACTIONS(1708),
    [aux_sym__keyword_like_token1] = ACTIONS(1708),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1708),
    [aux_sym__keyword_for_token1] = ACTIONS(1708),
    [anon_sym_SEMI] = ACTIONS(1708),
    [aux_sym_declare_statement_token1] = ACTIONS(1708),
    [aux_sym_set_statement_token1] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1708),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1708),
    [aux_sym_into_clause_token1] = ACTIONS(1708),
    [aux_sym_using_clause_token1] = ACTIONS(1708),
    [aux_sym_return_satement_token1] = ACTIONS(1708),
    [aux_sym_call_statement_token1] = ACTIONS(1708),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1708),
    [aux_sym_if_statement_token1] = ACTIONS(1708),
    [aux_sym_loop_statement_token1] = ACTIONS(1708),
    [aux_sym_repeat_statement_token1] = ACTIONS(1708),
    [aux_sym_while_statement_token1] = ACTIONS(1708),
    [aux_sym_break_statement_token1] = ACTIONS(1708),
    [aux_sym_leave_statement_token1] = ACTIONS(1708),
    [aux_sym_continue_statement_token1] = ACTIONS(1708),
    [aux_sym_iterate_statement_token1] = ACTIONS(1708),
    [aux_sym_raise_statement_token1] = ACTIONS(1708),
    [anon_sym_EQ] = ACTIONS(1708),
    [aux_sym_assert_statement_token1] = ACTIONS(1708),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1708),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1708),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1708),
    [anon_sym_LT] = ACTIONS(1710),
    [anon_sym_GT] = ACTIONS(1710),
    [aux_sym_select_token1] = ACTIONS(1708),
    [aux_sym_insert_statement_token1] = ACTIONS(1708),
    [aux_sym_truncate_statement_token1] = ACTIONS(1708),
    [aux_sym_update_statement_token1] = ACTIONS(1708),
    [aux_sym_merge_statement_token1] = ACTIONS(1708),
    [aux_sym_grant_statement_token1] = ACTIONS(1708),
    [aux_sym_revoke_statement_token1] = ACTIONS(1708),
    [aux_sym_export_data_statement_token1] = ACTIONS(1708),
    [aux_sym_load_data_statement_token1] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1708),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_DASH] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(1708),
    [anon_sym_SLASH] = ACTIONS(1710),
    [anon_sym_PIPE_PIPE] = ACTIONS(1708),
    [anon_sym_LT_EQ] = ACTIONS(1708),
    [anon_sym_LT_GT] = ACTIONS(1708),
    [anon_sym_GT_EQ] = ACTIONS(1708),
    [anon_sym_BANG_EQ] = ACTIONS(1708),
    [anon_sym_LT_LT] = ACTIONS(1708),
    [anon_sym_GT_GT] = ACTIONS(1708),
    [anon_sym_AMP] = ACTIONS(1708),
    [anon_sym_CARET] = ACTIONS(1708),
    [anon_sym_PIPE] = ACTIONS(1710),
  },
  [4829] = {
    [ts_builtin_sym_end] = ACTIONS(1712),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1712),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1712),
    [aux_sym_keyword_replace_token1] = ACTIONS(1712),
    [aux_sym__keyword_alter_token1] = ACTIONS(1712),
    [aux_sym__keyword_delete_token1] = ACTIONS(1712),
    [aux_sym__keyword_begin_token1] = ACTIONS(1712),
    [aux_sym__keyword_end_token1] = ACTIONS(1712),
    [aux_sym__keyword_between_token1] = ACTIONS(1712),
    [aux_sym__keyword_else_token1] = ACTIONS(1714),
    [aux_sym__keyword_is_token1] = ACTIONS(1712),
    [aux_sym__keyword_in_token1] = ACTIONS(1714),
    [aux_sym__keyword_and_token1] = ACTIONS(1712),
    [aux_sym__keyword_like_token1] = ACTIONS(1712),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1712),
    [aux_sym__keyword_for_token1] = ACTIONS(1712),
    [anon_sym_SEMI] = ACTIONS(1712),
    [aux_sym_declare_statement_token1] = ACTIONS(1712),
    [aux_sym_set_statement_token1] = ACTIONS(1712),
    [anon_sym_LPAREN] = ACTIONS(1712),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1712),
    [aux_sym_into_clause_token1] = ACTIONS(1712),
    [aux_sym_using_clause_token1] = ACTIONS(1712),
    [aux_sym_return_satement_token1] = ACTIONS(1712),
    [aux_sym_call_statement_token1] = ACTIONS(1712),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1712),
    [aux_sym_if_statement_token1] = ACTIONS(1712),
    [aux_sym_loop_statement_token1] = ACTIONS(1712),
    [aux_sym_repeat_statement_token1] = ACTIONS(1712),
    [aux_sym_while_statement_token1] = ACTIONS(1712),
    [aux_sym_break_statement_token1] = ACTIONS(1712),
    [aux_sym_leave_statement_token1] = ACTIONS(1712),
    [aux_sym_continue_statement_token1] = ACTIONS(1712),
    [aux_sym_iterate_statement_token1] = ACTIONS(1712),
    [aux_sym_raise_statement_token1] = ACTIONS(1712),
    [anon_sym_EQ] = ACTIONS(1712),
    [aux_sym_assert_statement_token1] = ACTIONS(1712),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1712),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1712),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1712),
    [anon_sym_LT] = ACTIONS(1714),
    [anon_sym_GT] = ACTIONS(1714),
    [aux_sym_select_token1] = ACTIONS(1712),
    [aux_sym_insert_statement_token1] = ACTIONS(1712),
    [aux_sym_truncate_statement_token1] = ACTIONS(1712),
    [aux_sym_update_statement_token1] = ACTIONS(1712),
    [aux_sym_merge_statement_token1] = ACTIONS(1712),
    [aux_sym_grant_statement_token1] = ACTIONS(1712),
    [aux_sym_revoke_statement_token1] = ACTIONS(1712),
    [aux_sym_export_data_statement_token1] = ACTIONS(1712),
    [aux_sym_load_data_statement_token1] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1712),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1712),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_DASH] = ACTIONS(1714),
    [anon_sym_STAR] = ACTIONS(1712),
    [anon_sym_SLASH] = ACTIONS(1714),
    [anon_sym_PIPE_PIPE] = ACTIONS(1712),
    [anon_sym_LT_EQ] = ACTIONS(1712),
    [anon_sym_LT_GT] = ACTIONS(1712),
    [anon_sym_GT_EQ] = ACTIONS(1712),
    [anon_sym_BANG_EQ] = ACTIONS(1712),
    [anon_sym_LT_LT] = ACTIONS(1712),
    [anon_sym_GT_GT] = ACTIONS(1712),
    [anon_sym_AMP] = ACTIONS(1712),
    [anon_sym_CARET] = ACTIONS(1712),
    [anon_sym_PIPE] = ACTIONS(1714),
  },
  [4830] = {
    [ts_builtin_sym_end] = ACTIONS(1492),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1492),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1492),
    [aux_sym_keyword_replace_token1] = ACTIONS(1492),
    [aux_sym__keyword_alter_token1] = ACTIONS(1492),
    [aux_sym__keyword_delete_token1] = ACTIONS(1492),
    [aux_sym__keyword_begin_token1] = ACTIONS(1492),
    [aux_sym__keyword_end_token1] = ACTIONS(1492),
    [aux_sym__keyword_between_token1] = ACTIONS(1492),
    [aux_sym__keyword_else_token1] = ACTIONS(1494),
    [aux_sym__keyword_is_token1] = ACTIONS(1492),
    [aux_sym__keyword_in_token1] = ACTIONS(1494),
    [aux_sym__keyword_and_token1] = ACTIONS(1492),
    [aux_sym__keyword_like_token1] = ACTIONS(1492),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1492),
    [aux_sym__keyword_for_token1] = ACTIONS(1492),
    [anon_sym_SEMI] = ACTIONS(1492),
    [aux_sym_declare_statement_token1] = ACTIONS(1492),
    [aux_sym_set_statement_token1] = ACTIONS(1492),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1492),
    [aux_sym_into_clause_token1] = ACTIONS(1492),
    [aux_sym_using_clause_token1] = ACTIONS(1492),
    [aux_sym_return_satement_token1] = ACTIONS(1492),
    [aux_sym_call_statement_token1] = ACTIONS(1492),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1492),
    [aux_sym_if_statement_token1] = ACTIONS(1492),
    [aux_sym_loop_statement_token1] = ACTIONS(1492),
    [aux_sym_repeat_statement_token1] = ACTIONS(1492),
    [aux_sym_while_statement_token1] = ACTIONS(1492),
    [aux_sym_break_statement_token1] = ACTIONS(1492),
    [aux_sym_leave_statement_token1] = ACTIONS(1492),
    [aux_sym_continue_statement_token1] = ACTIONS(1492),
    [aux_sym_iterate_statement_token1] = ACTIONS(1492),
    [aux_sym_raise_statement_token1] = ACTIONS(1492),
    [anon_sym_EQ] = ACTIONS(1492),
    [aux_sym_assert_statement_token1] = ACTIONS(1492),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1492),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1492),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1492),
    [anon_sym_LT] = ACTIONS(1494),
    [anon_sym_GT] = ACTIONS(1494),
    [aux_sym_select_token1] = ACTIONS(1492),
    [aux_sym_insert_statement_token1] = ACTIONS(1492),
    [aux_sym_truncate_statement_token1] = ACTIONS(1492),
    [aux_sym_update_statement_token1] = ACTIONS(1492),
    [aux_sym_merge_statement_token1] = ACTIONS(1492),
    [aux_sym_grant_statement_token1] = ACTIONS(1492),
    [aux_sym_revoke_statement_token1] = ACTIONS(1492),
    [aux_sym_export_data_statement_token1] = ACTIONS(1492),
    [aux_sym_load_data_statement_token1] = ACTIONS(1492),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_STAR] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1494),
    [anon_sym_PIPE_PIPE] = ACTIONS(1492),
    [anon_sym_LT_EQ] = ACTIONS(1492),
    [anon_sym_LT_GT] = ACTIONS(1492),
    [anon_sym_GT_EQ] = ACTIONS(1492),
    [anon_sym_BANG_EQ] = ACTIONS(1492),
    [anon_sym_LT_LT] = ACTIONS(1492),
    [anon_sym_GT_GT] = ACTIONS(1492),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_CARET] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1494),
  },
  [4831] = {
    [ts_builtin_sym_end] = ACTIONS(1716),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1716),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1716),
    [aux_sym_keyword_replace_token1] = ACTIONS(1716),
    [aux_sym__keyword_alter_token1] = ACTIONS(1716),
    [aux_sym__keyword_delete_token1] = ACTIONS(1716),
    [aux_sym__keyword_begin_token1] = ACTIONS(1716),
    [aux_sym__keyword_end_token1] = ACTIONS(1716),
    [aux_sym__keyword_between_token1] = ACTIONS(1716),
    [aux_sym__keyword_else_token1] = ACTIONS(1718),
    [aux_sym__keyword_is_token1] = ACTIONS(1716),
    [aux_sym__keyword_in_token1] = ACTIONS(1718),
    [aux_sym__keyword_and_token1] = ACTIONS(1716),
    [aux_sym__keyword_like_token1] = ACTIONS(1716),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1716),
    [aux_sym__keyword_for_token1] = ACTIONS(1716),
    [anon_sym_SEMI] = ACTIONS(1716),
    [aux_sym_declare_statement_token1] = ACTIONS(1716),
    [aux_sym_set_statement_token1] = ACTIONS(1716),
    [anon_sym_LPAREN] = ACTIONS(1716),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1716),
    [aux_sym_into_clause_token1] = ACTIONS(1716),
    [aux_sym_using_clause_token1] = ACTIONS(1716),
    [aux_sym_return_satement_token1] = ACTIONS(1716),
    [aux_sym_call_statement_token1] = ACTIONS(1716),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1716),
    [aux_sym_if_statement_token1] = ACTIONS(1716),
    [aux_sym_loop_statement_token1] = ACTIONS(1716),
    [aux_sym_repeat_statement_token1] = ACTIONS(1716),
    [aux_sym_while_statement_token1] = ACTIONS(1716),
    [aux_sym_break_statement_token1] = ACTIONS(1716),
    [aux_sym_leave_statement_token1] = ACTIONS(1716),
    [aux_sym_continue_statement_token1] = ACTIONS(1716),
    [aux_sym_iterate_statement_token1] = ACTIONS(1716),
    [aux_sym_raise_statement_token1] = ACTIONS(1716),
    [anon_sym_EQ] = ACTIONS(1716),
    [aux_sym_assert_statement_token1] = ACTIONS(1716),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1716),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1716),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1716),
    [anon_sym_LT] = ACTIONS(1718),
    [anon_sym_GT] = ACTIONS(1718),
    [aux_sym_select_token1] = ACTIONS(1716),
    [aux_sym_insert_statement_token1] = ACTIONS(1716),
    [aux_sym_truncate_statement_token1] = ACTIONS(1716),
    [aux_sym_update_statement_token1] = ACTIONS(1716),
    [aux_sym_merge_statement_token1] = ACTIONS(1716),
    [aux_sym_grant_statement_token1] = ACTIONS(1716),
    [aux_sym_revoke_statement_token1] = ACTIONS(1716),
    [aux_sym_export_data_statement_token1] = ACTIONS(1716),
    [aux_sym_load_data_statement_token1] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1716),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_DASH] = ACTIONS(1718),
    [anon_sym_STAR] = ACTIONS(1716),
    [anon_sym_SLASH] = ACTIONS(1718),
    [anon_sym_PIPE_PIPE] = ACTIONS(1716),
    [anon_sym_LT_EQ] = ACTIONS(1716),
    [anon_sym_LT_GT] = ACTIONS(1716),
    [anon_sym_GT_EQ] = ACTIONS(1716),
    [anon_sym_BANG_EQ] = ACTIONS(1716),
    [anon_sym_LT_LT] = ACTIONS(1716),
    [anon_sym_GT_GT] = ACTIONS(1716),
    [anon_sym_AMP] = ACTIONS(1716),
    [anon_sym_CARET] = ACTIONS(1716),
    [anon_sym_PIPE] = ACTIONS(1718),
  },
  [4832] = {
    [ts_builtin_sym_end] = ACTIONS(1720),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1720),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1720),
    [aux_sym_keyword_replace_token1] = ACTIONS(1720),
    [aux_sym__keyword_alter_token1] = ACTIONS(1720),
    [aux_sym__keyword_delete_token1] = ACTIONS(1720),
    [aux_sym__keyword_begin_token1] = ACTIONS(1720),
    [aux_sym__keyword_end_token1] = ACTIONS(1720),
    [aux_sym__keyword_between_token1] = ACTIONS(1720),
    [aux_sym__keyword_else_token1] = ACTIONS(1722),
    [aux_sym__keyword_is_token1] = ACTIONS(1720),
    [aux_sym__keyword_in_token1] = ACTIONS(1722),
    [aux_sym__keyword_and_token1] = ACTIONS(1720),
    [aux_sym__keyword_like_token1] = ACTIONS(1720),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1720),
    [aux_sym__keyword_for_token1] = ACTIONS(1720),
    [anon_sym_SEMI] = ACTIONS(1720),
    [aux_sym_declare_statement_token1] = ACTIONS(1720),
    [aux_sym_set_statement_token1] = ACTIONS(1720),
    [anon_sym_LPAREN] = ACTIONS(1720),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1720),
    [aux_sym_into_clause_token1] = ACTIONS(1720),
    [aux_sym_using_clause_token1] = ACTIONS(1720),
    [aux_sym_return_satement_token1] = ACTIONS(1720),
    [aux_sym_call_statement_token1] = ACTIONS(1720),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1720),
    [aux_sym_if_statement_token1] = ACTIONS(1720),
    [aux_sym_loop_statement_token1] = ACTIONS(1720),
    [aux_sym_repeat_statement_token1] = ACTIONS(1720),
    [aux_sym_while_statement_token1] = ACTIONS(1720),
    [aux_sym_break_statement_token1] = ACTIONS(1720),
    [aux_sym_leave_statement_token1] = ACTIONS(1720),
    [aux_sym_continue_statement_token1] = ACTIONS(1720),
    [aux_sym_iterate_statement_token1] = ACTIONS(1720),
    [aux_sym_raise_statement_token1] = ACTIONS(1720),
    [anon_sym_EQ] = ACTIONS(1720),
    [aux_sym_assert_statement_token1] = ACTIONS(1720),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1720),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1720),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1720),
    [anon_sym_LT] = ACTIONS(1722),
    [anon_sym_GT] = ACTIONS(1722),
    [aux_sym_select_token1] = ACTIONS(1720),
    [aux_sym_insert_statement_token1] = ACTIONS(1720),
    [aux_sym_truncate_statement_token1] = ACTIONS(1720),
    [aux_sym_update_statement_token1] = ACTIONS(1720),
    [aux_sym_merge_statement_token1] = ACTIONS(1720),
    [aux_sym_grant_statement_token1] = ACTIONS(1720),
    [aux_sym_revoke_statement_token1] = ACTIONS(1720),
    [aux_sym_export_data_statement_token1] = ACTIONS(1720),
    [aux_sym_load_data_statement_token1] = ACTIONS(1720),
    [anon_sym_LBRACK] = ACTIONS(1720),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1720),
    [anon_sym_PLUS] = ACTIONS(1720),
    [anon_sym_DASH] = ACTIONS(1722),
    [anon_sym_STAR] = ACTIONS(1720),
    [anon_sym_SLASH] = ACTIONS(1722),
    [anon_sym_PIPE_PIPE] = ACTIONS(1720),
    [anon_sym_LT_EQ] = ACTIONS(1720),
    [anon_sym_LT_GT] = ACTIONS(1720),
    [anon_sym_GT_EQ] = ACTIONS(1720),
    [anon_sym_BANG_EQ] = ACTIONS(1720),
    [anon_sym_LT_LT] = ACTIONS(1720),
    [anon_sym_GT_GT] = ACTIONS(1720),
    [anon_sym_AMP] = ACTIONS(1720),
    [anon_sym_CARET] = ACTIONS(1720),
    [anon_sym_PIPE] = ACTIONS(1722),
  },
  [4833] = {
    [ts_builtin_sym_end] = ACTIONS(1724),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1724),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1724),
    [aux_sym_keyword_replace_token1] = ACTIONS(1724),
    [aux_sym__keyword_alter_token1] = ACTIONS(1724),
    [aux_sym__keyword_delete_token1] = ACTIONS(1724),
    [aux_sym__keyword_begin_token1] = ACTIONS(1724),
    [aux_sym__keyword_end_token1] = ACTIONS(1724),
    [aux_sym__keyword_between_token1] = ACTIONS(1724),
    [aux_sym__keyword_else_token1] = ACTIONS(1726),
    [aux_sym__keyword_is_token1] = ACTIONS(1724),
    [aux_sym__keyword_in_token1] = ACTIONS(1726),
    [aux_sym__keyword_and_token1] = ACTIONS(1724),
    [aux_sym__keyword_like_token1] = ACTIONS(1724),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1724),
    [aux_sym__keyword_for_token1] = ACTIONS(1724),
    [anon_sym_SEMI] = ACTIONS(1724),
    [aux_sym_declare_statement_token1] = ACTIONS(1724),
    [aux_sym_set_statement_token1] = ACTIONS(1724),
    [anon_sym_LPAREN] = ACTIONS(1724),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1724),
    [aux_sym_into_clause_token1] = ACTIONS(1724),
    [aux_sym_using_clause_token1] = ACTIONS(1724),
    [aux_sym_return_satement_token1] = ACTIONS(1724),
    [aux_sym_call_statement_token1] = ACTIONS(1724),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1724),
    [aux_sym_if_statement_token1] = ACTIONS(1724),
    [aux_sym_loop_statement_token1] = ACTIONS(1724),
    [aux_sym_repeat_statement_token1] = ACTIONS(1724),
    [aux_sym_while_statement_token1] = ACTIONS(1724),
    [aux_sym_break_statement_token1] = ACTIONS(1724),
    [aux_sym_leave_statement_token1] = ACTIONS(1724),
    [aux_sym_continue_statement_token1] = ACTIONS(1724),
    [aux_sym_iterate_statement_token1] = ACTIONS(1724),
    [aux_sym_raise_statement_token1] = ACTIONS(1724),
    [anon_sym_EQ] = ACTIONS(1724),
    [aux_sym_assert_statement_token1] = ACTIONS(1724),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1724),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1724),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1724),
    [anon_sym_LT] = ACTIONS(1726),
    [anon_sym_GT] = ACTIONS(1726),
    [aux_sym_select_token1] = ACTIONS(1724),
    [aux_sym_insert_statement_token1] = ACTIONS(1724),
    [aux_sym_truncate_statement_token1] = ACTIONS(1724),
    [aux_sym_update_statement_token1] = ACTIONS(1724),
    [aux_sym_merge_statement_token1] = ACTIONS(1724),
    [aux_sym_grant_statement_token1] = ACTIONS(1724),
    [aux_sym_revoke_statement_token1] = ACTIONS(1724),
    [aux_sym_export_data_statement_token1] = ACTIONS(1724),
    [aux_sym_load_data_statement_token1] = ACTIONS(1724),
    [anon_sym_LBRACK] = ACTIONS(1724),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_DASH] = ACTIONS(1726),
    [anon_sym_STAR] = ACTIONS(1724),
    [anon_sym_SLASH] = ACTIONS(1726),
    [anon_sym_PIPE_PIPE] = ACTIONS(1724),
    [anon_sym_LT_EQ] = ACTIONS(1724),
    [anon_sym_LT_GT] = ACTIONS(1724),
    [anon_sym_GT_EQ] = ACTIONS(1724),
    [anon_sym_BANG_EQ] = ACTIONS(1724),
    [anon_sym_LT_LT] = ACTIONS(1724),
    [anon_sym_GT_GT] = ACTIONS(1724),
    [anon_sym_AMP] = ACTIONS(1724),
    [anon_sym_CARET] = ACTIONS(1724),
    [anon_sym_PIPE] = ACTIONS(1726),
  },
  [4834] = {
    [ts_builtin_sym_end] = ACTIONS(1586),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1586),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1586),
    [aux_sym_keyword_replace_token1] = ACTIONS(1586),
    [aux_sym__keyword_alter_token1] = ACTIONS(1586),
    [aux_sym__keyword_delete_token1] = ACTIONS(1586),
    [aux_sym__keyword_begin_token1] = ACTIONS(1586),
    [aux_sym__keyword_end_token1] = ACTIONS(1586),
    [aux_sym__keyword_between_token1] = ACTIONS(1586),
    [aux_sym__keyword_else_token1] = ACTIONS(1588),
    [aux_sym__keyword_is_token1] = ACTIONS(1586),
    [aux_sym__keyword_in_token1] = ACTIONS(1588),
    [aux_sym__keyword_and_token1] = ACTIONS(1586),
    [aux_sym__keyword_like_token1] = ACTIONS(1586),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1586),
    [aux_sym__keyword_for_token1] = ACTIONS(1586),
    [anon_sym_SEMI] = ACTIONS(1586),
    [aux_sym_declare_statement_token1] = ACTIONS(1586),
    [aux_sym_set_statement_token1] = ACTIONS(1586),
    [anon_sym_LPAREN] = ACTIONS(1586),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1586),
    [aux_sym_into_clause_token1] = ACTIONS(1586),
    [aux_sym_using_clause_token1] = ACTIONS(1586),
    [aux_sym_return_satement_token1] = ACTIONS(1586),
    [aux_sym_call_statement_token1] = ACTIONS(1586),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1586),
    [aux_sym_if_statement_token1] = ACTIONS(1586),
    [aux_sym_loop_statement_token1] = ACTIONS(1586),
    [aux_sym_repeat_statement_token1] = ACTIONS(1586),
    [aux_sym_while_statement_token1] = ACTIONS(1586),
    [aux_sym_break_statement_token1] = ACTIONS(1586),
    [aux_sym_leave_statement_token1] = ACTIONS(1586),
    [aux_sym_continue_statement_token1] = ACTIONS(1586),
    [aux_sym_iterate_statement_token1] = ACTIONS(1586),
    [aux_sym_raise_statement_token1] = ACTIONS(1586),
    [anon_sym_EQ] = ACTIONS(1586),
    [aux_sym_assert_statement_token1] = ACTIONS(1586),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1586),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1586),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1586),
    [anon_sym_LT] = ACTIONS(1588),
    [anon_sym_GT] = ACTIONS(1588),
    [aux_sym_select_token1] = ACTIONS(1586),
    [aux_sym_insert_statement_token1] = ACTIONS(1586),
    [aux_sym_truncate_statement_token1] = ACTIONS(1586),
    [aux_sym_update_statement_token1] = ACTIONS(1586),
    [aux_sym_merge_statement_token1] = ACTIONS(1586),
    [aux_sym_grant_statement_token1] = ACTIONS(1586),
    [aux_sym_revoke_statement_token1] = ACTIONS(1586),
    [aux_sym_export_data_statement_token1] = ACTIONS(1586),
    [aux_sym_load_data_statement_token1] = ACTIONS(1586),
    [anon_sym_LBRACK] = ACTIONS(1586),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1586),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_STAR] = ACTIONS(1586),
    [anon_sym_SLASH] = ACTIONS(1588),
    [anon_sym_PIPE_PIPE] = ACTIONS(1586),
    [anon_sym_LT_EQ] = ACTIONS(1586),
    [anon_sym_LT_GT] = ACTIONS(1586),
    [anon_sym_GT_EQ] = ACTIONS(1586),
    [anon_sym_BANG_EQ] = ACTIONS(1586),
    [anon_sym_LT_LT] = ACTIONS(1586),
    [anon_sym_GT_GT] = ACTIONS(1586),
    [anon_sym_AMP] = ACTIONS(1586),
    [anon_sym_CARET] = ACTIONS(1586),
    [anon_sym_PIPE] = ACTIONS(1588),
  },
  [4835] = {
    [ts_builtin_sym_end] = ACTIONS(1728),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1728),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1728),
    [aux_sym_keyword_replace_token1] = ACTIONS(1728),
    [aux_sym__keyword_alter_token1] = ACTIONS(1728),
    [aux_sym__keyword_delete_token1] = ACTIONS(1728),
    [aux_sym__keyword_begin_token1] = ACTIONS(1728),
    [aux_sym__keyword_end_token1] = ACTIONS(1728),
    [aux_sym__keyword_between_token1] = ACTIONS(1728),
    [aux_sym__keyword_else_token1] = ACTIONS(1730),
    [aux_sym__keyword_is_token1] = ACTIONS(1728),
    [aux_sym__keyword_in_token1] = ACTIONS(1730),
    [aux_sym__keyword_and_token1] = ACTIONS(1728),
    [aux_sym__keyword_like_token1] = ACTIONS(1728),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1728),
    [aux_sym__keyword_for_token1] = ACTIONS(1728),
    [anon_sym_SEMI] = ACTIONS(1728),
    [aux_sym_declare_statement_token1] = ACTIONS(1728),
    [aux_sym_set_statement_token1] = ACTIONS(1728),
    [anon_sym_LPAREN] = ACTIONS(1728),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1728),
    [aux_sym_into_clause_token1] = ACTIONS(1728),
    [aux_sym_using_clause_token1] = ACTIONS(1728),
    [aux_sym_return_satement_token1] = ACTIONS(1728),
    [aux_sym_call_statement_token1] = ACTIONS(1728),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1728),
    [aux_sym_if_statement_token1] = ACTIONS(1728),
    [aux_sym_loop_statement_token1] = ACTIONS(1728),
    [aux_sym_repeat_statement_token1] = ACTIONS(1728),
    [aux_sym_while_statement_token1] = ACTIONS(1728),
    [aux_sym_break_statement_token1] = ACTIONS(1728),
    [aux_sym_leave_statement_token1] = ACTIONS(1728),
    [aux_sym_continue_statement_token1] = ACTIONS(1728),
    [aux_sym_iterate_statement_token1] = ACTIONS(1728),
    [aux_sym_raise_statement_token1] = ACTIONS(1728),
    [anon_sym_EQ] = ACTIONS(1728),
    [aux_sym_assert_statement_token1] = ACTIONS(1728),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1728),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1728),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1728),
    [anon_sym_LT] = ACTIONS(1730),
    [anon_sym_GT] = ACTIONS(1730),
    [aux_sym_select_token1] = ACTIONS(1728),
    [aux_sym_insert_statement_token1] = ACTIONS(1728),
    [aux_sym_truncate_statement_token1] = ACTIONS(1728),
    [aux_sym_update_statement_token1] = ACTIONS(1728),
    [aux_sym_merge_statement_token1] = ACTIONS(1728),
    [aux_sym_grant_statement_token1] = ACTIONS(1728),
    [aux_sym_revoke_statement_token1] = ACTIONS(1728),
    [aux_sym_export_data_statement_token1] = ACTIONS(1728),
    [aux_sym_load_data_statement_token1] = ACTIONS(1728),
    [anon_sym_LBRACK] = ACTIONS(1728),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1728),
    [anon_sym_DASH] = ACTIONS(1730),
    [anon_sym_STAR] = ACTIONS(1728),
    [anon_sym_SLASH] = ACTIONS(1730),
    [anon_sym_PIPE_PIPE] = ACTIONS(1728),
    [anon_sym_LT_EQ] = ACTIONS(1728),
    [anon_sym_LT_GT] = ACTIONS(1728),
    [anon_sym_GT_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ] = ACTIONS(1728),
    [anon_sym_LT_LT] = ACTIONS(1728),
    [anon_sym_GT_GT] = ACTIONS(1728),
    [anon_sym_AMP] = ACTIONS(1728),
    [anon_sym_CARET] = ACTIONS(1728),
    [anon_sym_PIPE] = ACTIONS(1730),
  },
  [4836] = {
    [ts_builtin_sym_end] = ACTIONS(1732),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1732),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1732),
    [aux_sym_keyword_replace_token1] = ACTIONS(1732),
    [aux_sym__keyword_alter_token1] = ACTIONS(1732),
    [aux_sym__keyword_delete_token1] = ACTIONS(1732),
    [aux_sym__keyword_begin_token1] = ACTIONS(1732),
    [aux_sym__keyword_end_token1] = ACTIONS(1732),
    [aux_sym__keyword_between_token1] = ACTIONS(1732),
    [aux_sym__keyword_else_token1] = ACTIONS(1734),
    [aux_sym__keyword_is_token1] = ACTIONS(1732),
    [aux_sym__keyword_in_token1] = ACTIONS(1734),
    [aux_sym__keyword_and_token1] = ACTIONS(1732),
    [aux_sym__keyword_like_token1] = ACTIONS(1732),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1732),
    [aux_sym__keyword_for_token1] = ACTIONS(1732),
    [anon_sym_SEMI] = ACTIONS(1732),
    [aux_sym_declare_statement_token1] = ACTIONS(1732),
    [aux_sym_set_statement_token1] = ACTIONS(1732),
    [anon_sym_LPAREN] = ACTIONS(1732),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1732),
    [aux_sym_into_clause_token1] = ACTIONS(1732),
    [aux_sym_using_clause_token1] = ACTIONS(1732),
    [aux_sym_return_satement_token1] = ACTIONS(1732),
    [aux_sym_call_statement_token1] = ACTIONS(1732),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1732),
    [aux_sym_if_statement_token1] = ACTIONS(1732),
    [aux_sym_loop_statement_token1] = ACTIONS(1732),
    [aux_sym_repeat_statement_token1] = ACTIONS(1732),
    [aux_sym_while_statement_token1] = ACTIONS(1732),
    [aux_sym_break_statement_token1] = ACTIONS(1732),
    [aux_sym_leave_statement_token1] = ACTIONS(1732),
    [aux_sym_continue_statement_token1] = ACTIONS(1732),
    [aux_sym_iterate_statement_token1] = ACTIONS(1732),
    [aux_sym_raise_statement_token1] = ACTIONS(1732),
    [anon_sym_EQ] = ACTIONS(1732),
    [aux_sym_assert_statement_token1] = ACTIONS(1732),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1732),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1732),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1732),
    [anon_sym_LT] = ACTIONS(1734),
    [anon_sym_GT] = ACTIONS(1734),
    [aux_sym_select_token1] = ACTIONS(1732),
    [aux_sym_insert_statement_token1] = ACTIONS(1732),
    [aux_sym_truncate_statement_token1] = ACTIONS(1732),
    [aux_sym_update_statement_token1] = ACTIONS(1732),
    [aux_sym_merge_statement_token1] = ACTIONS(1732),
    [aux_sym_grant_statement_token1] = ACTIONS(1732),
    [aux_sym_revoke_statement_token1] = ACTIONS(1732),
    [aux_sym_export_data_statement_token1] = ACTIONS(1732),
    [aux_sym_load_data_statement_token1] = ACTIONS(1732),
    [anon_sym_LBRACK] = ACTIONS(1732),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1732),
    [anon_sym_PLUS] = ACTIONS(1732),
    [anon_sym_DASH] = ACTIONS(1734),
    [anon_sym_STAR] = ACTIONS(1732),
    [anon_sym_SLASH] = ACTIONS(1734),
    [anon_sym_PIPE_PIPE] = ACTIONS(1732),
    [anon_sym_LT_EQ] = ACTIONS(1732),
    [anon_sym_LT_GT] = ACTIONS(1732),
    [anon_sym_GT_EQ] = ACTIONS(1732),
    [anon_sym_BANG_EQ] = ACTIONS(1732),
    [anon_sym_LT_LT] = ACTIONS(1732),
    [anon_sym_GT_GT] = ACTIONS(1732),
    [anon_sym_AMP] = ACTIONS(1732),
    [anon_sym_CARET] = ACTIONS(1732),
    [anon_sym_PIPE] = ACTIONS(1734),
  },
  [4837] = {
    [ts_builtin_sym_end] = ACTIONS(1578),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1578),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1578),
    [aux_sym_keyword_replace_token1] = ACTIONS(1578),
    [aux_sym__keyword_alter_token1] = ACTIONS(1578),
    [aux_sym__keyword_delete_token1] = ACTIONS(1578),
    [aux_sym__keyword_begin_token1] = ACTIONS(1578),
    [aux_sym__keyword_end_token1] = ACTIONS(1578),
    [aux_sym__keyword_between_token1] = ACTIONS(1578),
    [aux_sym__keyword_else_token1] = ACTIONS(1580),
    [aux_sym__keyword_is_token1] = ACTIONS(1578),
    [aux_sym__keyword_in_token1] = ACTIONS(1580),
    [aux_sym__keyword_and_token1] = ACTIONS(1578),
    [aux_sym__keyword_like_token1] = ACTIONS(1578),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1578),
    [aux_sym__keyword_for_token1] = ACTIONS(1578),
    [anon_sym_SEMI] = ACTIONS(1578),
    [aux_sym_declare_statement_token1] = ACTIONS(1578),
    [aux_sym_set_statement_token1] = ACTIONS(1578),
    [anon_sym_LPAREN] = ACTIONS(1578),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1578),
    [aux_sym_into_clause_token1] = ACTIONS(1578),
    [aux_sym_using_clause_token1] = ACTIONS(1578),
    [aux_sym_return_satement_token1] = ACTIONS(1578),
    [aux_sym_call_statement_token1] = ACTIONS(1578),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1578),
    [aux_sym_if_statement_token1] = ACTIONS(1578),
    [aux_sym_loop_statement_token1] = ACTIONS(1578),
    [aux_sym_repeat_statement_token1] = ACTIONS(1578),
    [aux_sym_while_statement_token1] = ACTIONS(1578),
    [aux_sym_break_statement_token1] = ACTIONS(1578),
    [aux_sym_leave_statement_token1] = ACTIONS(1578),
    [aux_sym_continue_statement_token1] = ACTIONS(1578),
    [aux_sym_iterate_statement_token1] = ACTIONS(1578),
    [aux_sym_raise_statement_token1] = ACTIONS(1578),
    [anon_sym_EQ] = ACTIONS(1578),
    [aux_sym_assert_statement_token1] = ACTIONS(1578),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1578),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1578),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1578),
    [anon_sym_LT] = ACTIONS(1580),
    [anon_sym_GT] = ACTIONS(1580),
    [aux_sym_select_token1] = ACTIONS(1578),
    [aux_sym_insert_statement_token1] = ACTIONS(1578),
    [aux_sym_truncate_statement_token1] = ACTIONS(1578),
    [aux_sym_update_statement_token1] = ACTIONS(1578),
    [aux_sym_merge_statement_token1] = ACTIONS(1578),
    [aux_sym_grant_statement_token1] = ACTIONS(1578),
    [aux_sym_revoke_statement_token1] = ACTIONS(1578),
    [aux_sym_export_data_statement_token1] = ACTIONS(1578),
    [aux_sym_load_data_statement_token1] = ACTIONS(1578),
    [anon_sym_LBRACK] = ACTIONS(1578),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1578),
    [anon_sym_DASH] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(1578),
    [anon_sym_SLASH] = ACTIONS(1580),
    [anon_sym_PIPE_PIPE] = ACTIONS(1578),
    [anon_sym_LT_EQ] = ACTIONS(1578),
    [anon_sym_LT_GT] = ACTIONS(1578),
    [anon_sym_GT_EQ] = ACTIONS(1578),
    [anon_sym_BANG_EQ] = ACTIONS(1578),
    [anon_sym_LT_LT] = ACTIONS(1578),
    [anon_sym_GT_GT] = ACTIONS(1578),
    [anon_sym_AMP] = ACTIONS(1578),
    [anon_sym_CARET] = ACTIONS(1578),
    [anon_sym_PIPE] = ACTIONS(1580),
  },
  [4838] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_into_clause_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4839] = {
    [ts_builtin_sym_end] = ACTIONS(1736),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1736),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1736),
    [aux_sym_keyword_replace_token1] = ACTIONS(1736),
    [aux_sym__keyword_alter_token1] = ACTIONS(1736),
    [aux_sym__keyword_delete_token1] = ACTIONS(1736),
    [aux_sym__keyword_begin_token1] = ACTIONS(1736),
    [aux_sym__keyword_end_token1] = ACTIONS(1736),
    [aux_sym__keyword_between_token1] = ACTIONS(1736),
    [aux_sym__keyword_else_token1] = ACTIONS(1738),
    [aux_sym__keyword_is_token1] = ACTIONS(1736),
    [aux_sym__keyword_in_token1] = ACTIONS(1738),
    [aux_sym__keyword_and_token1] = ACTIONS(1736),
    [aux_sym__keyword_like_token1] = ACTIONS(1736),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1736),
    [aux_sym__keyword_for_token1] = ACTIONS(1736),
    [anon_sym_SEMI] = ACTIONS(1736),
    [aux_sym_declare_statement_token1] = ACTIONS(1736),
    [aux_sym_set_statement_token1] = ACTIONS(1736),
    [anon_sym_LPAREN] = ACTIONS(1736),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1736),
    [aux_sym_into_clause_token1] = ACTIONS(1736),
    [aux_sym_using_clause_token1] = ACTIONS(1736),
    [aux_sym_return_satement_token1] = ACTIONS(1736),
    [aux_sym_call_statement_token1] = ACTIONS(1736),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1736),
    [aux_sym_if_statement_token1] = ACTIONS(1736),
    [aux_sym_loop_statement_token1] = ACTIONS(1736),
    [aux_sym_repeat_statement_token1] = ACTIONS(1736),
    [aux_sym_while_statement_token1] = ACTIONS(1736),
    [aux_sym_break_statement_token1] = ACTIONS(1736),
    [aux_sym_leave_statement_token1] = ACTIONS(1736),
    [aux_sym_continue_statement_token1] = ACTIONS(1736),
    [aux_sym_iterate_statement_token1] = ACTIONS(1736),
    [aux_sym_raise_statement_token1] = ACTIONS(1736),
    [anon_sym_EQ] = ACTIONS(1736),
    [aux_sym_assert_statement_token1] = ACTIONS(1736),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1736),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1736),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1736),
    [anon_sym_LT] = ACTIONS(1738),
    [anon_sym_GT] = ACTIONS(1738),
    [aux_sym_select_token1] = ACTIONS(1736),
    [aux_sym_insert_statement_token1] = ACTIONS(1736),
    [aux_sym_truncate_statement_token1] = ACTIONS(1736),
    [aux_sym_update_statement_token1] = ACTIONS(1736),
    [aux_sym_merge_statement_token1] = ACTIONS(1736),
    [aux_sym_grant_statement_token1] = ACTIONS(1736),
    [aux_sym_revoke_statement_token1] = ACTIONS(1736),
    [aux_sym_export_data_statement_token1] = ACTIONS(1736),
    [aux_sym_load_data_statement_token1] = ACTIONS(1736),
    [anon_sym_LBRACK] = ACTIONS(1736),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1736),
    [anon_sym_PLUS] = ACTIONS(1736),
    [anon_sym_DASH] = ACTIONS(1738),
    [anon_sym_STAR] = ACTIONS(1736),
    [anon_sym_SLASH] = ACTIONS(1738),
    [anon_sym_PIPE_PIPE] = ACTIONS(1736),
    [anon_sym_LT_EQ] = ACTIONS(1736),
    [anon_sym_LT_GT] = ACTIONS(1736),
    [anon_sym_GT_EQ] = ACTIONS(1736),
    [anon_sym_BANG_EQ] = ACTIONS(1736),
    [anon_sym_LT_LT] = ACTIONS(1736),
    [anon_sym_GT_GT] = ACTIONS(1736),
    [anon_sym_AMP] = ACTIONS(1736),
    [anon_sym_CARET] = ACTIONS(1736),
    [anon_sym_PIPE] = ACTIONS(1738),
  },
  [4840] = {
    [ts_builtin_sym_end] = ACTIONS(1740),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1740),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1740),
    [aux_sym_keyword_replace_token1] = ACTIONS(1740),
    [aux_sym__keyword_alter_token1] = ACTIONS(1740),
    [aux_sym__keyword_delete_token1] = ACTIONS(1740),
    [aux_sym__keyword_begin_token1] = ACTIONS(1740),
    [aux_sym__keyword_end_token1] = ACTIONS(1740),
    [aux_sym__keyword_between_token1] = ACTIONS(1740),
    [aux_sym__keyword_else_token1] = ACTIONS(1742),
    [aux_sym__keyword_is_token1] = ACTIONS(1740),
    [aux_sym__keyword_in_token1] = ACTIONS(1742),
    [aux_sym__keyword_and_token1] = ACTIONS(1740),
    [aux_sym__keyword_like_token1] = ACTIONS(1740),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1740),
    [aux_sym__keyword_for_token1] = ACTIONS(1740),
    [anon_sym_SEMI] = ACTIONS(1740),
    [aux_sym_declare_statement_token1] = ACTIONS(1740),
    [aux_sym_set_statement_token1] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1740),
    [aux_sym_into_clause_token1] = ACTIONS(1740),
    [aux_sym_using_clause_token1] = ACTIONS(1740),
    [aux_sym_return_satement_token1] = ACTIONS(1740),
    [aux_sym_call_statement_token1] = ACTIONS(1740),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1740),
    [aux_sym_if_statement_token1] = ACTIONS(1740),
    [aux_sym_loop_statement_token1] = ACTIONS(1740),
    [aux_sym_repeat_statement_token1] = ACTIONS(1740),
    [aux_sym_while_statement_token1] = ACTIONS(1740),
    [aux_sym_break_statement_token1] = ACTIONS(1740),
    [aux_sym_leave_statement_token1] = ACTIONS(1740),
    [aux_sym_continue_statement_token1] = ACTIONS(1740),
    [aux_sym_iterate_statement_token1] = ACTIONS(1740),
    [aux_sym_raise_statement_token1] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1740),
    [aux_sym_assert_statement_token1] = ACTIONS(1740),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1740),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1740),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1740),
    [anon_sym_LT] = ACTIONS(1742),
    [anon_sym_GT] = ACTIONS(1742),
    [aux_sym_select_token1] = ACTIONS(1740),
    [aux_sym_insert_statement_token1] = ACTIONS(1740),
    [aux_sym_truncate_statement_token1] = ACTIONS(1740),
    [aux_sym_update_statement_token1] = ACTIONS(1740),
    [aux_sym_merge_statement_token1] = ACTIONS(1740),
    [aux_sym_grant_statement_token1] = ACTIONS(1740),
    [aux_sym_revoke_statement_token1] = ACTIONS(1740),
    [aux_sym_export_data_statement_token1] = ACTIONS(1740),
    [aux_sym_load_data_statement_token1] = ACTIONS(1740),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1740),
    [anon_sym_SLASH] = ACTIONS(1742),
    [anon_sym_PIPE_PIPE] = ACTIONS(1740),
    [anon_sym_LT_EQ] = ACTIONS(1740),
    [anon_sym_LT_GT] = ACTIONS(1740),
    [anon_sym_GT_EQ] = ACTIONS(1740),
    [anon_sym_BANG_EQ] = ACTIONS(1740),
    [anon_sym_LT_LT] = ACTIONS(1740),
    [anon_sym_GT_GT] = ACTIONS(1740),
    [anon_sym_AMP] = ACTIONS(1740),
    [anon_sym_CARET] = ACTIONS(1740),
    [anon_sym_PIPE] = ACTIONS(1742),
  },
  [4841] = {
    [ts_builtin_sym_end] = ACTIONS(1846),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1846),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1846),
    [aux_sym_keyword_replace_token1] = ACTIONS(1846),
    [aux_sym__keyword_alter_token1] = ACTIONS(1846),
    [aux_sym__keyword_delete_token1] = ACTIONS(1846),
    [aux_sym__keyword_begin_token1] = ACTIONS(1846),
    [aux_sym__keyword_end_token1] = ACTIONS(1846),
    [aux_sym__keyword_between_token1] = ACTIONS(1846),
    [aux_sym__keyword_else_token1] = ACTIONS(1848),
    [aux_sym__keyword_is_token1] = ACTIONS(1846),
    [aux_sym__keyword_in_token1] = ACTIONS(1848),
    [aux_sym__keyword_and_token1] = ACTIONS(1846),
    [aux_sym__keyword_like_token1] = ACTIONS(1846),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1846),
    [aux_sym__keyword_for_token1] = ACTIONS(1846),
    [anon_sym_SEMI] = ACTIONS(1846),
    [aux_sym_declare_statement_token1] = ACTIONS(1846),
    [aux_sym_set_statement_token1] = ACTIONS(1846),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1846),
    [aux_sym_into_clause_token1] = ACTIONS(1846),
    [aux_sym_using_clause_token1] = ACTIONS(1846),
    [aux_sym_return_satement_token1] = ACTIONS(1846),
    [aux_sym_call_statement_token1] = ACTIONS(1846),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1846),
    [aux_sym_if_statement_token1] = ACTIONS(1846),
    [aux_sym_loop_statement_token1] = ACTIONS(1846),
    [aux_sym_repeat_statement_token1] = ACTIONS(1846),
    [aux_sym_while_statement_token1] = ACTIONS(1846),
    [aux_sym_break_statement_token1] = ACTIONS(1846),
    [aux_sym_leave_statement_token1] = ACTIONS(1846),
    [aux_sym_continue_statement_token1] = ACTIONS(1846),
    [aux_sym_iterate_statement_token1] = ACTIONS(1846),
    [aux_sym_raise_statement_token1] = ACTIONS(1846),
    [anon_sym_EQ] = ACTIONS(1846),
    [aux_sym_assert_statement_token1] = ACTIONS(1846),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1846),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1846),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1846),
    [anon_sym_LT] = ACTIONS(1848),
    [anon_sym_GT] = ACTIONS(1848),
    [aux_sym_select_token1] = ACTIONS(1846),
    [aux_sym_insert_statement_token1] = ACTIONS(1846),
    [aux_sym_truncate_statement_token1] = ACTIONS(1846),
    [aux_sym_update_statement_token1] = ACTIONS(1846),
    [aux_sym_merge_statement_token1] = ACTIONS(1846),
    [aux_sym_grant_statement_token1] = ACTIONS(1846),
    [aux_sym_revoke_statement_token1] = ACTIONS(1846),
    [aux_sym_export_data_statement_token1] = ACTIONS(1846),
    [aux_sym_load_data_statement_token1] = ACTIONS(1846),
    [anon_sym_LBRACK] = ACTIONS(1846),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1846),
    [anon_sym_PLUS] = ACTIONS(1846),
    [anon_sym_DASH] = ACTIONS(1848),
    [anon_sym_STAR] = ACTIONS(1846),
    [anon_sym_SLASH] = ACTIONS(1848),
    [anon_sym_PIPE_PIPE] = ACTIONS(1846),
    [anon_sym_LT_EQ] = ACTIONS(1846),
    [anon_sym_LT_GT] = ACTIONS(1846),
    [anon_sym_GT_EQ] = ACTIONS(1846),
    [anon_sym_BANG_EQ] = ACTIONS(1846),
    [anon_sym_LT_LT] = ACTIONS(1846),
    [anon_sym_GT_GT] = ACTIONS(1846),
    [anon_sym_AMP] = ACTIONS(1846),
    [anon_sym_CARET] = ACTIONS(1846),
    [anon_sym_PIPE] = ACTIONS(1848),
  },
  [4842] = {
    [ts_builtin_sym_end] = ACTIONS(1788),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1788),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1788),
    [aux_sym_keyword_replace_token1] = ACTIONS(1788),
    [aux_sym__keyword_alter_token1] = ACTIONS(1788),
    [aux_sym__keyword_delete_token1] = ACTIONS(1788),
    [aux_sym__keyword_begin_token1] = ACTIONS(1788),
    [aux_sym__keyword_end_token1] = ACTIONS(1788),
    [aux_sym__keyword_between_token1] = ACTIONS(1788),
    [aux_sym__keyword_else_token1] = ACTIONS(1790),
    [aux_sym__keyword_is_token1] = ACTIONS(1788),
    [aux_sym__keyword_in_token1] = ACTIONS(1790),
    [aux_sym__keyword_and_token1] = ACTIONS(1788),
    [aux_sym__keyword_like_token1] = ACTIONS(1788),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1788),
    [aux_sym__keyword_for_token1] = ACTIONS(1788),
    [anon_sym_SEMI] = ACTIONS(1788),
    [aux_sym_declare_statement_token1] = ACTIONS(1788),
    [aux_sym_set_statement_token1] = ACTIONS(1788),
    [anon_sym_LPAREN] = ACTIONS(1788),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1788),
    [aux_sym_into_clause_token1] = ACTIONS(1788),
    [aux_sym_using_clause_token1] = ACTIONS(1788),
    [aux_sym_return_satement_token1] = ACTIONS(1788),
    [aux_sym_call_statement_token1] = ACTIONS(1788),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1788),
    [aux_sym_if_statement_token1] = ACTIONS(1788),
    [aux_sym_loop_statement_token1] = ACTIONS(1788),
    [aux_sym_repeat_statement_token1] = ACTIONS(1788),
    [aux_sym_while_statement_token1] = ACTIONS(1788),
    [aux_sym_break_statement_token1] = ACTIONS(1788),
    [aux_sym_leave_statement_token1] = ACTIONS(1788),
    [aux_sym_continue_statement_token1] = ACTIONS(1788),
    [aux_sym_iterate_statement_token1] = ACTIONS(1788),
    [aux_sym_raise_statement_token1] = ACTIONS(1788),
    [anon_sym_EQ] = ACTIONS(1788),
    [aux_sym_assert_statement_token1] = ACTIONS(1788),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1788),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1788),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1788),
    [anon_sym_LT] = ACTIONS(1790),
    [anon_sym_GT] = ACTIONS(1790),
    [aux_sym_select_token1] = ACTIONS(1788),
    [aux_sym_insert_statement_token1] = ACTIONS(1788),
    [aux_sym_truncate_statement_token1] = ACTIONS(1788),
    [aux_sym_update_statement_token1] = ACTIONS(1788),
    [aux_sym_merge_statement_token1] = ACTIONS(1788),
    [aux_sym_grant_statement_token1] = ACTIONS(1788),
    [aux_sym_revoke_statement_token1] = ACTIONS(1788),
    [aux_sym_export_data_statement_token1] = ACTIONS(1788),
    [aux_sym_load_data_statement_token1] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1788),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1788),
    [anon_sym_PLUS] = ACTIONS(1788),
    [anon_sym_DASH] = ACTIONS(1790),
    [anon_sym_STAR] = ACTIONS(1788),
    [anon_sym_SLASH] = ACTIONS(1790),
    [anon_sym_PIPE_PIPE] = ACTIONS(1788),
    [anon_sym_LT_EQ] = ACTIONS(1788),
    [anon_sym_LT_GT] = ACTIONS(1788),
    [anon_sym_GT_EQ] = ACTIONS(1788),
    [anon_sym_BANG_EQ] = ACTIONS(1788),
    [anon_sym_LT_LT] = ACTIONS(1788),
    [anon_sym_GT_GT] = ACTIONS(1788),
    [anon_sym_AMP] = ACTIONS(1788),
    [anon_sym_CARET] = ACTIONS(1788),
    [anon_sym_PIPE] = ACTIONS(1790),
  },
  [4843] = {
    [ts_builtin_sym_end] = ACTIONS(1854),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1854),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1854),
    [aux_sym_keyword_replace_token1] = ACTIONS(1854),
    [aux_sym__keyword_alter_token1] = ACTIONS(1854),
    [aux_sym__keyword_delete_token1] = ACTIONS(1854),
    [aux_sym__keyword_begin_token1] = ACTIONS(1854),
    [aux_sym__keyword_end_token1] = ACTIONS(1854),
    [aux_sym__keyword_between_token1] = ACTIONS(1854),
    [aux_sym__keyword_else_token1] = ACTIONS(1856),
    [aux_sym__keyword_is_token1] = ACTIONS(1854),
    [aux_sym__keyword_in_token1] = ACTIONS(1856),
    [aux_sym__keyword_and_token1] = ACTIONS(1854),
    [aux_sym__keyword_like_token1] = ACTIONS(1854),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1854),
    [aux_sym__keyword_for_token1] = ACTIONS(1854),
    [anon_sym_SEMI] = ACTIONS(1854),
    [aux_sym_declare_statement_token1] = ACTIONS(1854),
    [aux_sym_set_statement_token1] = ACTIONS(1854),
    [anon_sym_LPAREN] = ACTIONS(1854),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1854),
    [aux_sym_into_clause_token1] = ACTIONS(1854),
    [aux_sym_using_clause_token1] = ACTIONS(1854),
    [aux_sym_return_satement_token1] = ACTIONS(1854),
    [aux_sym_call_statement_token1] = ACTIONS(1854),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1854),
    [aux_sym_if_statement_token1] = ACTIONS(1854),
    [aux_sym_loop_statement_token1] = ACTIONS(1854),
    [aux_sym_repeat_statement_token1] = ACTIONS(1854),
    [aux_sym_while_statement_token1] = ACTIONS(1854),
    [aux_sym_break_statement_token1] = ACTIONS(1854),
    [aux_sym_leave_statement_token1] = ACTIONS(1854),
    [aux_sym_continue_statement_token1] = ACTIONS(1854),
    [aux_sym_iterate_statement_token1] = ACTIONS(1854),
    [aux_sym_raise_statement_token1] = ACTIONS(1854),
    [anon_sym_EQ] = ACTIONS(1854),
    [aux_sym_assert_statement_token1] = ACTIONS(1854),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1854),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1854),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1854),
    [anon_sym_LT] = ACTIONS(1856),
    [anon_sym_GT] = ACTIONS(1856),
    [aux_sym_select_token1] = ACTIONS(1854),
    [aux_sym_insert_statement_token1] = ACTIONS(1854),
    [aux_sym_truncate_statement_token1] = ACTIONS(1854),
    [aux_sym_update_statement_token1] = ACTIONS(1854),
    [aux_sym_merge_statement_token1] = ACTIONS(1854),
    [aux_sym_grant_statement_token1] = ACTIONS(1854),
    [aux_sym_revoke_statement_token1] = ACTIONS(1854),
    [aux_sym_export_data_statement_token1] = ACTIONS(1854),
    [aux_sym_load_data_statement_token1] = ACTIONS(1854),
    [anon_sym_LBRACK] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1854),
    [anon_sym_SLASH] = ACTIONS(1856),
    [anon_sym_PIPE_PIPE] = ACTIONS(1854),
    [anon_sym_LT_EQ] = ACTIONS(1854),
    [anon_sym_LT_GT] = ACTIONS(1854),
    [anon_sym_GT_EQ] = ACTIONS(1854),
    [anon_sym_BANG_EQ] = ACTIONS(1854),
    [anon_sym_LT_LT] = ACTIONS(1854),
    [anon_sym_GT_GT] = ACTIONS(1854),
    [anon_sym_AMP] = ACTIONS(1854),
    [anon_sym_CARET] = ACTIONS(1854),
    [anon_sym_PIPE] = ACTIONS(1856),
  },
  [4844] = {
    [ts_builtin_sym_end] = ACTIONS(1470),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1470),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1470),
    [aux_sym_keyword_replace_token1] = ACTIONS(1470),
    [aux_sym__keyword_alter_token1] = ACTIONS(1470),
    [aux_sym__keyword_delete_token1] = ACTIONS(1470),
    [aux_sym__keyword_begin_token1] = ACTIONS(1470),
    [aux_sym__keyword_end_token1] = ACTIONS(1470),
    [aux_sym__keyword_between_token1] = ACTIONS(1470),
    [aux_sym__keyword_else_token1] = ACTIONS(1472),
    [aux_sym__keyword_is_token1] = ACTIONS(1470),
    [aux_sym__keyword_in_token1] = ACTIONS(1472),
    [aux_sym__keyword_and_token1] = ACTIONS(1470),
    [aux_sym__keyword_like_token1] = ACTIONS(1470),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1470),
    [aux_sym__keyword_for_token1] = ACTIONS(1470),
    [anon_sym_SEMI] = ACTIONS(1470),
    [aux_sym_declare_statement_token1] = ACTIONS(1470),
    [aux_sym_set_statement_token1] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1470),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1470),
    [aux_sym_into_clause_token1] = ACTIONS(1470),
    [aux_sym_using_clause_token1] = ACTIONS(1470),
    [aux_sym_return_satement_token1] = ACTIONS(1470),
    [aux_sym_call_statement_token1] = ACTIONS(1470),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1470),
    [aux_sym_if_statement_token1] = ACTIONS(1470),
    [aux_sym_loop_statement_token1] = ACTIONS(1470),
    [aux_sym_repeat_statement_token1] = ACTIONS(1470),
    [aux_sym_while_statement_token1] = ACTIONS(1470),
    [aux_sym_break_statement_token1] = ACTIONS(1470),
    [aux_sym_leave_statement_token1] = ACTIONS(1470),
    [aux_sym_continue_statement_token1] = ACTIONS(1470),
    [aux_sym_iterate_statement_token1] = ACTIONS(1470),
    [aux_sym_raise_statement_token1] = ACTIONS(1470),
    [anon_sym_EQ] = ACTIONS(1470),
    [aux_sym_assert_statement_token1] = ACTIONS(1470),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1470),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1470),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1470),
    [anon_sym_LT] = ACTIONS(1472),
    [anon_sym_GT] = ACTIONS(1472),
    [aux_sym_select_token1] = ACTIONS(1470),
    [aux_sym_insert_statement_token1] = ACTIONS(1470),
    [aux_sym_truncate_statement_token1] = ACTIONS(1470),
    [aux_sym_update_statement_token1] = ACTIONS(1470),
    [aux_sym_merge_statement_token1] = ACTIONS(1470),
    [aux_sym_grant_statement_token1] = ACTIONS(1470),
    [aux_sym_revoke_statement_token1] = ACTIONS(1470),
    [aux_sym_export_data_statement_token1] = ACTIONS(1470),
    [aux_sym_load_data_statement_token1] = ACTIONS(1470),
    [anon_sym_LBRACK] = ACTIONS(1470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1470),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_STAR] = ACTIONS(1470),
    [anon_sym_SLASH] = ACTIONS(1472),
    [anon_sym_PIPE_PIPE] = ACTIONS(1470),
    [anon_sym_LT_EQ] = ACTIONS(1470),
    [anon_sym_LT_GT] = ACTIONS(1470),
    [anon_sym_GT_EQ] = ACTIONS(1470),
    [anon_sym_BANG_EQ] = ACTIONS(1470),
    [anon_sym_LT_LT] = ACTIONS(1470),
    [anon_sym_GT_GT] = ACTIONS(1470),
    [anon_sym_AMP] = ACTIONS(1470),
    [anon_sym_CARET] = ACTIONS(1470),
    [anon_sym_PIPE] = ACTIONS(1472),
  },
  [4845] = {
    [ts_builtin_sym_end] = ACTIONS(1466),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1466),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1466),
    [aux_sym_keyword_replace_token1] = ACTIONS(1466),
    [aux_sym__keyword_alter_token1] = ACTIONS(1466),
    [aux_sym__keyword_delete_token1] = ACTIONS(1466),
    [aux_sym__keyword_begin_token1] = ACTIONS(1466),
    [aux_sym__keyword_end_token1] = ACTIONS(1466),
    [aux_sym__keyword_between_token1] = ACTIONS(1466),
    [aux_sym__keyword_else_token1] = ACTIONS(1468),
    [aux_sym__keyword_is_token1] = ACTIONS(1466),
    [aux_sym__keyword_in_token1] = ACTIONS(1468),
    [aux_sym__keyword_and_token1] = ACTIONS(1466),
    [aux_sym__keyword_like_token1] = ACTIONS(1466),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1466),
    [aux_sym__keyword_for_token1] = ACTIONS(1466),
    [anon_sym_SEMI] = ACTIONS(1466),
    [aux_sym_declare_statement_token1] = ACTIONS(1466),
    [aux_sym_set_statement_token1] = ACTIONS(1466),
    [anon_sym_LPAREN] = ACTIONS(1466),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1466),
    [aux_sym_into_clause_token1] = ACTIONS(1466),
    [aux_sym_using_clause_token1] = ACTIONS(1466),
    [aux_sym_return_satement_token1] = ACTIONS(1466),
    [aux_sym_call_statement_token1] = ACTIONS(1466),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1466),
    [aux_sym_if_statement_token1] = ACTIONS(1466),
    [aux_sym_loop_statement_token1] = ACTIONS(1466),
    [aux_sym_repeat_statement_token1] = ACTIONS(1466),
    [aux_sym_while_statement_token1] = ACTIONS(1466),
    [aux_sym_break_statement_token1] = ACTIONS(1466),
    [aux_sym_leave_statement_token1] = ACTIONS(1466),
    [aux_sym_continue_statement_token1] = ACTIONS(1466),
    [aux_sym_iterate_statement_token1] = ACTIONS(1466),
    [aux_sym_raise_statement_token1] = ACTIONS(1466),
    [anon_sym_EQ] = ACTIONS(1466),
    [aux_sym_assert_statement_token1] = ACTIONS(1466),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1466),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1466),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1466),
    [anon_sym_LT] = ACTIONS(1468),
    [anon_sym_GT] = ACTIONS(1468),
    [aux_sym_select_token1] = ACTIONS(1466),
    [aux_sym_insert_statement_token1] = ACTIONS(1466),
    [aux_sym_truncate_statement_token1] = ACTIONS(1466),
    [aux_sym_update_statement_token1] = ACTIONS(1466),
    [aux_sym_merge_statement_token1] = ACTIONS(1466),
    [aux_sym_grant_statement_token1] = ACTIONS(1466),
    [aux_sym_revoke_statement_token1] = ACTIONS(1466),
    [aux_sym_export_data_statement_token1] = ACTIONS(1466),
    [aux_sym_load_data_statement_token1] = ACTIONS(1466),
    [anon_sym_LBRACK] = ACTIONS(1466),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_STAR] = ACTIONS(1466),
    [anon_sym_SLASH] = ACTIONS(1468),
    [anon_sym_PIPE_PIPE] = ACTIONS(1466),
    [anon_sym_LT_EQ] = ACTIONS(1466),
    [anon_sym_LT_GT] = ACTIONS(1466),
    [anon_sym_GT_EQ] = ACTIONS(1466),
    [anon_sym_BANG_EQ] = ACTIONS(1466),
    [anon_sym_LT_LT] = ACTIONS(1466),
    [anon_sym_GT_GT] = ACTIONS(1466),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_CARET] = ACTIONS(1466),
    [anon_sym_PIPE] = ACTIONS(1468),
  },
  [4846] = {
    [ts_builtin_sym_end] = ACTIONS(1672),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1672),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1672),
    [aux_sym_keyword_replace_token1] = ACTIONS(1672),
    [aux_sym__keyword_alter_token1] = ACTIONS(1672),
    [aux_sym__keyword_delete_token1] = ACTIONS(1672),
    [aux_sym__keyword_begin_token1] = ACTIONS(1672),
    [aux_sym__keyword_end_token1] = ACTIONS(1672),
    [aux_sym__keyword_between_token1] = ACTIONS(1672),
    [aux_sym__keyword_else_token1] = ACTIONS(1674),
    [aux_sym__keyword_is_token1] = ACTIONS(1672),
    [aux_sym__keyword_in_token1] = ACTIONS(1674),
    [aux_sym__keyword_and_token1] = ACTIONS(1672),
    [aux_sym__keyword_like_token1] = ACTIONS(1672),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1672),
    [aux_sym__keyword_for_token1] = ACTIONS(1672),
    [anon_sym_SEMI] = ACTIONS(1672),
    [aux_sym_declare_statement_token1] = ACTIONS(1672),
    [aux_sym_set_statement_token1] = ACTIONS(1672),
    [anon_sym_LPAREN] = ACTIONS(1672),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1672),
    [aux_sym_into_clause_token1] = ACTIONS(1672),
    [aux_sym_using_clause_token1] = ACTIONS(1672),
    [aux_sym_return_satement_token1] = ACTIONS(1672),
    [aux_sym_call_statement_token1] = ACTIONS(1672),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1672),
    [aux_sym_if_statement_token1] = ACTIONS(1672),
    [aux_sym_loop_statement_token1] = ACTIONS(1672),
    [aux_sym_repeat_statement_token1] = ACTIONS(1672),
    [aux_sym_while_statement_token1] = ACTIONS(1672),
    [aux_sym_break_statement_token1] = ACTIONS(1672),
    [aux_sym_leave_statement_token1] = ACTIONS(1672),
    [aux_sym_continue_statement_token1] = ACTIONS(1672),
    [aux_sym_iterate_statement_token1] = ACTIONS(1672),
    [aux_sym_raise_statement_token1] = ACTIONS(1672),
    [anon_sym_EQ] = ACTIONS(1672),
    [aux_sym_assert_statement_token1] = ACTIONS(1672),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1672),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1672),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1672),
    [anon_sym_LT] = ACTIONS(1674),
    [anon_sym_GT] = ACTIONS(1674),
    [aux_sym_select_token1] = ACTIONS(1672),
    [aux_sym_insert_statement_token1] = ACTIONS(1672),
    [aux_sym_truncate_statement_token1] = ACTIONS(1672),
    [aux_sym_update_statement_token1] = ACTIONS(1672),
    [aux_sym_merge_statement_token1] = ACTIONS(1672),
    [aux_sym_grant_statement_token1] = ACTIONS(1672),
    [aux_sym_revoke_statement_token1] = ACTIONS(1672),
    [aux_sym_export_data_statement_token1] = ACTIONS(1672),
    [aux_sym_load_data_statement_token1] = ACTIONS(1672),
    [anon_sym_LBRACK] = ACTIONS(1672),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1672),
    [anon_sym_PLUS] = ACTIONS(1672),
    [anon_sym_DASH] = ACTIONS(1674),
    [anon_sym_STAR] = ACTIONS(1672),
    [anon_sym_SLASH] = ACTIONS(1674),
    [anon_sym_PIPE_PIPE] = ACTIONS(1672),
    [anon_sym_LT_EQ] = ACTIONS(1672),
    [anon_sym_LT_GT] = ACTIONS(1672),
    [anon_sym_GT_EQ] = ACTIONS(1672),
    [anon_sym_BANG_EQ] = ACTIONS(1672),
    [anon_sym_LT_LT] = ACTIONS(1672),
    [anon_sym_GT_GT] = ACTIONS(1672),
    [anon_sym_AMP] = ACTIONS(1672),
    [anon_sym_CARET] = ACTIONS(1672),
    [anon_sym_PIPE] = ACTIONS(1674),
  },
  [4847] = {
    [ts_builtin_sym_end] = ACTIONS(1516),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1516),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1516),
    [aux_sym_keyword_replace_token1] = ACTIONS(1516),
    [aux_sym__keyword_alter_token1] = ACTIONS(1516),
    [aux_sym__keyword_delete_token1] = ACTIONS(1516),
    [aux_sym__keyword_begin_token1] = ACTIONS(1516),
    [aux_sym__keyword_end_token1] = ACTIONS(1516),
    [aux_sym__keyword_between_token1] = ACTIONS(1516),
    [aux_sym__keyword_else_token1] = ACTIONS(1518),
    [aux_sym__keyword_is_token1] = ACTIONS(1516),
    [aux_sym__keyword_in_token1] = ACTIONS(1518),
    [aux_sym__keyword_and_token1] = ACTIONS(1516),
    [aux_sym__keyword_like_token1] = ACTIONS(1516),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1516),
    [aux_sym__keyword_for_token1] = ACTIONS(1516),
    [anon_sym_SEMI] = ACTIONS(1516),
    [aux_sym_declare_statement_token1] = ACTIONS(1516),
    [aux_sym_set_statement_token1] = ACTIONS(1516),
    [anon_sym_LPAREN] = ACTIONS(1516),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1516),
    [aux_sym_into_clause_token1] = ACTIONS(1516),
    [aux_sym_using_clause_token1] = ACTIONS(1516),
    [aux_sym_return_satement_token1] = ACTIONS(1516),
    [aux_sym_call_statement_token1] = ACTIONS(1516),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1516),
    [aux_sym_if_statement_token1] = ACTIONS(1516),
    [aux_sym_loop_statement_token1] = ACTIONS(1516),
    [aux_sym_repeat_statement_token1] = ACTIONS(1516),
    [aux_sym_while_statement_token1] = ACTIONS(1516),
    [aux_sym_break_statement_token1] = ACTIONS(1516),
    [aux_sym_leave_statement_token1] = ACTIONS(1516),
    [aux_sym_continue_statement_token1] = ACTIONS(1516),
    [aux_sym_iterate_statement_token1] = ACTIONS(1516),
    [aux_sym_raise_statement_token1] = ACTIONS(1516),
    [anon_sym_EQ] = ACTIONS(1516),
    [aux_sym_assert_statement_token1] = ACTIONS(1516),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1516),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1516),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1516),
    [anon_sym_LT] = ACTIONS(1518),
    [anon_sym_GT] = ACTIONS(1518),
    [aux_sym_select_token1] = ACTIONS(1516),
    [aux_sym_insert_statement_token1] = ACTIONS(1516),
    [aux_sym_truncate_statement_token1] = ACTIONS(1516),
    [aux_sym_update_statement_token1] = ACTIONS(1516),
    [aux_sym_merge_statement_token1] = ACTIONS(1516),
    [aux_sym_grant_statement_token1] = ACTIONS(1516),
    [aux_sym_revoke_statement_token1] = ACTIONS(1516),
    [aux_sym_export_data_statement_token1] = ACTIONS(1516),
    [aux_sym_load_data_statement_token1] = ACTIONS(1516),
    [anon_sym_LBRACK] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1516),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1518),
    [anon_sym_STAR] = ACTIONS(1516),
    [anon_sym_SLASH] = ACTIONS(1518),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [anon_sym_LT_EQ] = ACTIONS(1516),
    [anon_sym_LT_GT] = ACTIONS(1516),
    [anon_sym_GT_EQ] = ACTIONS(1516),
    [anon_sym_BANG_EQ] = ACTIONS(1516),
    [anon_sym_LT_LT] = ACTIONS(1516),
    [anon_sym_GT_GT] = ACTIONS(1516),
    [anon_sym_AMP] = ACTIONS(1516),
    [anon_sym_CARET] = ACTIONS(1516),
    [anon_sym_PIPE] = ACTIONS(1518),
  },
  [4848] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_into_clause_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4849] = {
    [ts_builtin_sym_end] = ACTIONS(1454),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1454),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1454),
    [aux_sym_keyword_replace_token1] = ACTIONS(1454),
    [aux_sym__keyword_alter_token1] = ACTIONS(1454),
    [aux_sym__keyword_delete_token1] = ACTIONS(1454),
    [aux_sym__keyword_begin_token1] = ACTIONS(1454),
    [aux_sym__keyword_end_token1] = ACTIONS(1454),
    [aux_sym__keyword_between_token1] = ACTIONS(1454),
    [aux_sym__keyword_else_token1] = ACTIONS(1456),
    [aux_sym__keyword_is_token1] = ACTIONS(1454),
    [aux_sym__keyword_in_token1] = ACTIONS(1456),
    [aux_sym__keyword_and_token1] = ACTIONS(1454),
    [aux_sym__keyword_like_token1] = ACTIONS(1454),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1454),
    [aux_sym__keyword_for_token1] = ACTIONS(1454),
    [anon_sym_SEMI] = ACTIONS(1454),
    [aux_sym_declare_statement_token1] = ACTIONS(1454),
    [aux_sym_set_statement_token1] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1454),
    [aux_sym_into_clause_token1] = ACTIONS(1454),
    [aux_sym_using_clause_token1] = ACTIONS(1454),
    [aux_sym_return_satement_token1] = ACTIONS(1454),
    [aux_sym_call_statement_token1] = ACTIONS(1454),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1454),
    [aux_sym_if_statement_token1] = ACTIONS(1454),
    [aux_sym_loop_statement_token1] = ACTIONS(1454),
    [aux_sym_repeat_statement_token1] = ACTIONS(1454),
    [aux_sym_while_statement_token1] = ACTIONS(1454),
    [aux_sym_break_statement_token1] = ACTIONS(1454),
    [aux_sym_leave_statement_token1] = ACTIONS(1454),
    [aux_sym_continue_statement_token1] = ACTIONS(1454),
    [aux_sym_iterate_statement_token1] = ACTIONS(1454),
    [aux_sym_raise_statement_token1] = ACTIONS(1454),
    [anon_sym_EQ] = ACTIONS(1454),
    [aux_sym_assert_statement_token1] = ACTIONS(1454),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1454),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1454),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1454),
    [anon_sym_LT] = ACTIONS(1456),
    [anon_sym_GT] = ACTIONS(1456),
    [aux_sym_select_token1] = ACTIONS(1454),
    [aux_sym_insert_statement_token1] = ACTIONS(1454),
    [aux_sym_truncate_statement_token1] = ACTIONS(1454),
    [aux_sym_update_statement_token1] = ACTIONS(1454),
    [aux_sym_merge_statement_token1] = ACTIONS(1454),
    [aux_sym_grant_statement_token1] = ACTIONS(1454),
    [aux_sym_revoke_statement_token1] = ACTIONS(1454),
    [aux_sym_export_data_statement_token1] = ACTIONS(1454),
    [aux_sym_load_data_statement_token1] = ACTIONS(1454),
    [anon_sym_LBRACK] = ACTIONS(1454),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1454),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1454),
    [anon_sym_SLASH] = ACTIONS(1456),
    [anon_sym_PIPE_PIPE] = ACTIONS(1454),
    [anon_sym_LT_EQ] = ACTIONS(1454),
    [anon_sym_LT_GT] = ACTIONS(1454),
    [anon_sym_GT_EQ] = ACTIONS(1454),
    [anon_sym_BANG_EQ] = ACTIONS(1454),
    [anon_sym_LT_LT] = ACTIONS(1454),
    [anon_sym_GT_GT] = ACTIONS(1454),
    [anon_sym_AMP] = ACTIONS(1454),
    [anon_sym_CARET] = ACTIONS(1454),
    [anon_sym_PIPE] = ACTIONS(1456),
  },
  [4850] = {
    [ts_builtin_sym_end] = ACTIONS(1826),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1826),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1826),
    [aux_sym_keyword_replace_token1] = ACTIONS(1826),
    [aux_sym__keyword_alter_token1] = ACTIONS(1826),
    [aux_sym__keyword_delete_token1] = ACTIONS(1826),
    [aux_sym__keyword_begin_token1] = ACTIONS(1826),
    [aux_sym__keyword_end_token1] = ACTIONS(1826),
    [aux_sym__keyword_between_token1] = ACTIONS(1826),
    [aux_sym__keyword_else_token1] = ACTIONS(1828),
    [aux_sym__keyword_is_token1] = ACTIONS(1826),
    [aux_sym__keyword_in_token1] = ACTIONS(1828),
    [aux_sym__keyword_and_token1] = ACTIONS(1826),
    [aux_sym__keyword_like_token1] = ACTIONS(1826),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1826),
    [aux_sym__keyword_for_token1] = ACTIONS(1826),
    [anon_sym_SEMI] = ACTIONS(1826),
    [aux_sym_declare_statement_token1] = ACTIONS(1826),
    [aux_sym_set_statement_token1] = ACTIONS(1826),
    [anon_sym_LPAREN] = ACTIONS(1826),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1826),
    [aux_sym_into_clause_token1] = ACTIONS(1826),
    [aux_sym_using_clause_token1] = ACTIONS(1826),
    [aux_sym_return_satement_token1] = ACTIONS(1826),
    [aux_sym_call_statement_token1] = ACTIONS(1826),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1826),
    [aux_sym_if_statement_token1] = ACTIONS(1826),
    [aux_sym_loop_statement_token1] = ACTIONS(1826),
    [aux_sym_repeat_statement_token1] = ACTIONS(1826),
    [aux_sym_while_statement_token1] = ACTIONS(1826),
    [aux_sym_break_statement_token1] = ACTIONS(1826),
    [aux_sym_leave_statement_token1] = ACTIONS(1826),
    [aux_sym_continue_statement_token1] = ACTIONS(1826),
    [aux_sym_iterate_statement_token1] = ACTIONS(1826),
    [aux_sym_raise_statement_token1] = ACTIONS(1826),
    [anon_sym_EQ] = ACTIONS(1826),
    [aux_sym_assert_statement_token1] = ACTIONS(1826),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1826),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1826),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1826),
    [anon_sym_LT] = ACTIONS(1828),
    [anon_sym_GT] = ACTIONS(1828),
    [aux_sym_select_token1] = ACTIONS(1826),
    [aux_sym_insert_statement_token1] = ACTIONS(1826),
    [aux_sym_truncate_statement_token1] = ACTIONS(1826),
    [aux_sym_update_statement_token1] = ACTIONS(1826),
    [aux_sym_merge_statement_token1] = ACTIONS(1826),
    [aux_sym_grant_statement_token1] = ACTIONS(1826),
    [aux_sym_revoke_statement_token1] = ACTIONS(1826),
    [aux_sym_export_data_statement_token1] = ACTIONS(1826),
    [aux_sym_load_data_statement_token1] = ACTIONS(1826),
    [anon_sym_LBRACK] = ACTIONS(1826),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1826),
    [anon_sym_PLUS] = ACTIONS(1826),
    [anon_sym_DASH] = ACTIONS(1828),
    [anon_sym_STAR] = ACTIONS(1826),
    [anon_sym_SLASH] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE] = ACTIONS(1826),
    [anon_sym_LT_EQ] = ACTIONS(1826),
    [anon_sym_LT_GT] = ACTIONS(1826),
    [anon_sym_GT_EQ] = ACTIONS(1826),
    [anon_sym_BANG_EQ] = ACTIONS(1826),
    [anon_sym_LT_LT] = ACTIONS(1826),
    [anon_sym_GT_GT] = ACTIONS(1826),
    [anon_sym_AMP] = ACTIONS(1826),
    [anon_sym_CARET] = ACTIONS(1826),
    [anon_sym_PIPE] = ACTIONS(1828),
  },
  [4851] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_into_clause_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4852] = {
    [ts_builtin_sym_end] = ACTIONS(1834),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1834),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1834),
    [aux_sym_keyword_replace_token1] = ACTIONS(1834),
    [aux_sym__keyword_alter_token1] = ACTIONS(1834),
    [aux_sym__keyword_delete_token1] = ACTIONS(1834),
    [aux_sym__keyword_begin_token1] = ACTIONS(1834),
    [aux_sym__keyword_end_token1] = ACTIONS(1834),
    [aux_sym__keyword_between_token1] = ACTIONS(1834),
    [aux_sym__keyword_else_token1] = ACTIONS(1836),
    [aux_sym__keyword_is_token1] = ACTIONS(1834),
    [aux_sym__keyword_in_token1] = ACTIONS(1836),
    [aux_sym__keyword_and_token1] = ACTIONS(1834),
    [aux_sym__keyword_like_token1] = ACTIONS(1834),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1834),
    [aux_sym__keyword_for_token1] = ACTIONS(1834),
    [anon_sym_SEMI] = ACTIONS(1834),
    [aux_sym_declare_statement_token1] = ACTIONS(1834),
    [aux_sym_set_statement_token1] = ACTIONS(1834),
    [anon_sym_LPAREN] = ACTIONS(1834),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1834),
    [aux_sym_into_clause_token1] = ACTIONS(1834),
    [aux_sym_using_clause_token1] = ACTIONS(1834),
    [aux_sym_return_satement_token1] = ACTIONS(1834),
    [aux_sym_call_statement_token1] = ACTIONS(1834),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1834),
    [aux_sym_if_statement_token1] = ACTIONS(1834),
    [aux_sym_loop_statement_token1] = ACTIONS(1834),
    [aux_sym_repeat_statement_token1] = ACTIONS(1834),
    [aux_sym_while_statement_token1] = ACTIONS(1834),
    [aux_sym_break_statement_token1] = ACTIONS(1834),
    [aux_sym_leave_statement_token1] = ACTIONS(1834),
    [aux_sym_continue_statement_token1] = ACTIONS(1834),
    [aux_sym_iterate_statement_token1] = ACTIONS(1834),
    [aux_sym_raise_statement_token1] = ACTIONS(1834),
    [anon_sym_EQ] = ACTIONS(1834),
    [aux_sym_assert_statement_token1] = ACTIONS(1834),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1834),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1834),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1834),
    [anon_sym_LT] = ACTIONS(1836),
    [anon_sym_GT] = ACTIONS(1836),
    [aux_sym_select_token1] = ACTIONS(1834),
    [aux_sym_insert_statement_token1] = ACTIONS(1834),
    [aux_sym_truncate_statement_token1] = ACTIONS(1834),
    [aux_sym_update_statement_token1] = ACTIONS(1834),
    [aux_sym_merge_statement_token1] = ACTIONS(1834),
    [aux_sym_grant_statement_token1] = ACTIONS(1834),
    [aux_sym_revoke_statement_token1] = ACTIONS(1834),
    [aux_sym_export_data_statement_token1] = ACTIONS(1834),
    [aux_sym_load_data_statement_token1] = ACTIONS(1834),
    [anon_sym_LBRACK] = ACTIONS(1834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1834),
    [anon_sym_PLUS] = ACTIONS(1834),
    [anon_sym_DASH] = ACTIONS(1836),
    [anon_sym_STAR] = ACTIONS(1834),
    [anon_sym_SLASH] = ACTIONS(1836),
    [anon_sym_PIPE_PIPE] = ACTIONS(1834),
    [anon_sym_LT_EQ] = ACTIONS(1834),
    [anon_sym_LT_GT] = ACTIONS(1834),
    [anon_sym_GT_EQ] = ACTIONS(1834),
    [anon_sym_BANG_EQ] = ACTIONS(1834),
    [anon_sym_LT_LT] = ACTIONS(1834),
    [anon_sym_GT_GT] = ACTIONS(1834),
    [anon_sym_AMP] = ACTIONS(1834),
    [anon_sym_CARET] = ACTIONS(1834),
    [anon_sym_PIPE] = ACTIONS(1836),
  },
  [4853] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_into_clause_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4854] = {
    [ts_builtin_sym_end] = ACTIONS(1668),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1668),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1668),
    [aux_sym_keyword_replace_token1] = ACTIONS(1668),
    [aux_sym__keyword_alter_token1] = ACTIONS(1668),
    [aux_sym__keyword_delete_token1] = ACTIONS(1668),
    [aux_sym__keyword_begin_token1] = ACTIONS(1668),
    [aux_sym__keyword_end_token1] = ACTIONS(1668),
    [aux_sym__keyword_between_token1] = ACTIONS(1668),
    [aux_sym__keyword_else_token1] = ACTIONS(1670),
    [aux_sym__keyword_is_token1] = ACTIONS(1668),
    [aux_sym__keyword_in_token1] = ACTIONS(1670),
    [aux_sym__keyword_and_token1] = ACTIONS(1668),
    [aux_sym__keyword_like_token1] = ACTIONS(1668),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1668),
    [aux_sym__keyword_for_token1] = ACTIONS(1668),
    [anon_sym_SEMI] = ACTIONS(1668),
    [aux_sym_declare_statement_token1] = ACTIONS(1668),
    [aux_sym_set_statement_token1] = ACTIONS(1668),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1668),
    [aux_sym_into_clause_token1] = ACTIONS(1668),
    [aux_sym_using_clause_token1] = ACTIONS(1668),
    [aux_sym_return_satement_token1] = ACTIONS(1668),
    [aux_sym_call_statement_token1] = ACTIONS(1668),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1668),
    [aux_sym_if_statement_token1] = ACTIONS(1668),
    [aux_sym_loop_statement_token1] = ACTIONS(1668),
    [aux_sym_repeat_statement_token1] = ACTIONS(1668),
    [aux_sym_while_statement_token1] = ACTIONS(1668),
    [aux_sym_break_statement_token1] = ACTIONS(1668),
    [aux_sym_leave_statement_token1] = ACTIONS(1668),
    [aux_sym_continue_statement_token1] = ACTIONS(1668),
    [aux_sym_iterate_statement_token1] = ACTIONS(1668),
    [aux_sym_raise_statement_token1] = ACTIONS(1668),
    [anon_sym_EQ] = ACTIONS(1668),
    [aux_sym_assert_statement_token1] = ACTIONS(1668),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1668),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1668),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1668),
    [anon_sym_LT] = ACTIONS(1670),
    [anon_sym_GT] = ACTIONS(1670),
    [aux_sym_select_token1] = ACTIONS(1668),
    [aux_sym_insert_statement_token1] = ACTIONS(1668),
    [aux_sym_truncate_statement_token1] = ACTIONS(1668),
    [aux_sym_update_statement_token1] = ACTIONS(1668),
    [aux_sym_merge_statement_token1] = ACTIONS(1668),
    [aux_sym_grant_statement_token1] = ACTIONS(1668),
    [aux_sym_revoke_statement_token1] = ACTIONS(1668),
    [aux_sym_export_data_statement_token1] = ACTIONS(1668),
    [aux_sym_load_data_statement_token1] = ACTIONS(1668),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1668),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_STAR] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(1670),
    [anon_sym_PIPE_PIPE] = ACTIONS(1668),
    [anon_sym_LT_EQ] = ACTIONS(1668),
    [anon_sym_LT_GT] = ACTIONS(1668),
    [anon_sym_GT_EQ] = ACTIONS(1668),
    [anon_sym_BANG_EQ] = ACTIONS(1668),
    [anon_sym_LT_LT] = ACTIONS(1668),
    [anon_sym_GT_GT] = ACTIONS(1668),
    [anon_sym_AMP] = ACTIONS(1668),
    [anon_sym_CARET] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1670),
  },
  [4855] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_into_clause_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4856] = {
    [ts_builtin_sym_end] = ACTIONS(1744),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1744),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1744),
    [aux_sym_keyword_replace_token1] = ACTIONS(1744),
    [aux_sym__keyword_alter_token1] = ACTIONS(1744),
    [aux_sym__keyword_delete_token1] = ACTIONS(1744),
    [aux_sym__keyword_begin_token1] = ACTIONS(1744),
    [aux_sym__keyword_end_token1] = ACTIONS(1744),
    [aux_sym__keyword_between_token1] = ACTIONS(1744),
    [aux_sym__keyword_else_token1] = ACTIONS(1746),
    [aux_sym__keyword_is_token1] = ACTIONS(1744),
    [aux_sym__keyword_in_token1] = ACTIONS(1746),
    [aux_sym__keyword_and_token1] = ACTIONS(1744),
    [aux_sym__keyword_like_token1] = ACTIONS(1744),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1744),
    [aux_sym__keyword_for_token1] = ACTIONS(1744),
    [anon_sym_SEMI] = ACTIONS(1744),
    [aux_sym_declare_statement_token1] = ACTIONS(1744),
    [aux_sym_set_statement_token1] = ACTIONS(1744),
    [anon_sym_LPAREN] = ACTIONS(1744),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1744),
    [aux_sym_into_clause_token1] = ACTIONS(1744),
    [aux_sym_using_clause_token1] = ACTIONS(1744),
    [aux_sym_return_satement_token1] = ACTIONS(1744),
    [aux_sym_call_statement_token1] = ACTIONS(1744),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1744),
    [aux_sym_if_statement_token1] = ACTIONS(1744),
    [aux_sym_loop_statement_token1] = ACTIONS(1744),
    [aux_sym_repeat_statement_token1] = ACTIONS(1744),
    [aux_sym_while_statement_token1] = ACTIONS(1744),
    [aux_sym_break_statement_token1] = ACTIONS(1744),
    [aux_sym_leave_statement_token1] = ACTIONS(1744),
    [aux_sym_continue_statement_token1] = ACTIONS(1744),
    [aux_sym_iterate_statement_token1] = ACTIONS(1744),
    [aux_sym_raise_statement_token1] = ACTIONS(1744),
    [anon_sym_EQ] = ACTIONS(1744),
    [aux_sym_assert_statement_token1] = ACTIONS(1744),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1744),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1744),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1744),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1746),
    [aux_sym_select_token1] = ACTIONS(1744),
    [aux_sym_insert_statement_token1] = ACTIONS(1744),
    [aux_sym_truncate_statement_token1] = ACTIONS(1744),
    [aux_sym_update_statement_token1] = ACTIONS(1744),
    [aux_sym_merge_statement_token1] = ACTIONS(1744),
    [aux_sym_grant_statement_token1] = ACTIONS(1744),
    [aux_sym_revoke_statement_token1] = ACTIONS(1744),
    [aux_sym_export_data_statement_token1] = ACTIONS(1744),
    [aux_sym_load_data_statement_token1] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(1744),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1744),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_STAR] = ACTIONS(1744),
    [anon_sym_SLASH] = ACTIONS(1746),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_LT_GT] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1744),
    [anon_sym_GT_GT] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1746),
  },
  [4857] = {
    [ts_builtin_sym_end] = ACTIONS(1664),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1664),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1664),
    [aux_sym_keyword_replace_token1] = ACTIONS(1664),
    [aux_sym__keyword_alter_token1] = ACTIONS(1664),
    [aux_sym__keyword_delete_token1] = ACTIONS(1664),
    [aux_sym__keyword_begin_token1] = ACTIONS(1664),
    [aux_sym__keyword_end_token1] = ACTIONS(1664),
    [aux_sym__keyword_between_token1] = ACTIONS(1664),
    [aux_sym__keyword_else_token1] = ACTIONS(1666),
    [aux_sym__keyword_is_token1] = ACTIONS(1664),
    [aux_sym__keyword_in_token1] = ACTIONS(1666),
    [aux_sym__keyword_and_token1] = ACTIONS(1664),
    [aux_sym__keyword_like_token1] = ACTIONS(1664),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1664),
    [aux_sym__keyword_for_token1] = ACTIONS(1664),
    [anon_sym_SEMI] = ACTIONS(1664),
    [aux_sym_declare_statement_token1] = ACTIONS(1664),
    [aux_sym_set_statement_token1] = ACTIONS(1664),
    [anon_sym_LPAREN] = ACTIONS(1664),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1664),
    [aux_sym_into_clause_token1] = ACTIONS(1664),
    [aux_sym_using_clause_token1] = ACTIONS(1664),
    [aux_sym_return_satement_token1] = ACTIONS(1664),
    [aux_sym_call_statement_token1] = ACTIONS(1664),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1664),
    [aux_sym_if_statement_token1] = ACTIONS(1664),
    [aux_sym_loop_statement_token1] = ACTIONS(1664),
    [aux_sym_repeat_statement_token1] = ACTIONS(1664),
    [aux_sym_while_statement_token1] = ACTIONS(1664),
    [aux_sym_break_statement_token1] = ACTIONS(1664),
    [aux_sym_leave_statement_token1] = ACTIONS(1664),
    [aux_sym_continue_statement_token1] = ACTIONS(1664),
    [aux_sym_iterate_statement_token1] = ACTIONS(1664),
    [aux_sym_raise_statement_token1] = ACTIONS(1664),
    [anon_sym_EQ] = ACTIONS(1664),
    [aux_sym_assert_statement_token1] = ACTIONS(1664),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1664),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1664),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1664),
    [anon_sym_LT] = ACTIONS(1666),
    [anon_sym_GT] = ACTIONS(1666),
    [aux_sym_select_token1] = ACTIONS(1664),
    [aux_sym_insert_statement_token1] = ACTIONS(1664),
    [aux_sym_truncate_statement_token1] = ACTIONS(1664),
    [aux_sym_update_statement_token1] = ACTIONS(1664),
    [aux_sym_merge_statement_token1] = ACTIONS(1664),
    [aux_sym_grant_statement_token1] = ACTIONS(1664),
    [aux_sym_revoke_statement_token1] = ACTIONS(1664),
    [aux_sym_export_data_statement_token1] = ACTIONS(1664),
    [aux_sym_load_data_statement_token1] = ACTIONS(1664),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1664),
    [anon_sym_PLUS] = ACTIONS(1664),
    [anon_sym_DASH] = ACTIONS(1666),
    [anon_sym_STAR] = ACTIONS(1664),
    [anon_sym_SLASH] = ACTIONS(1666),
    [anon_sym_PIPE_PIPE] = ACTIONS(1664),
    [anon_sym_LT_EQ] = ACTIONS(1664),
    [anon_sym_LT_GT] = ACTIONS(1664),
    [anon_sym_GT_EQ] = ACTIONS(1664),
    [anon_sym_BANG_EQ] = ACTIONS(1664),
    [anon_sym_LT_LT] = ACTIONS(1664),
    [anon_sym_GT_GT] = ACTIONS(1664),
    [anon_sym_AMP] = ACTIONS(1664),
    [anon_sym_CARET] = ACTIONS(1664),
    [anon_sym_PIPE] = ACTIONS(1666),
  },
  [4858] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_into_clause_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4859] = {
    [ts_builtin_sym_end] = ACTIONS(1838),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1838),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1838),
    [aux_sym_keyword_replace_token1] = ACTIONS(1838),
    [aux_sym__keyword_alter_token1] = ACTIONS(1838),
    [aux_sym__keyword_delete_token1] = ACTIONS(1838),
    [aux_sym__keyword_begin_token1] = ACTIONS(1838),
    [aux_sym__keyword_end_token1] = ACTIONS(1838),
    [aux_sym__keyword_between_token1] = ACTIONS(1838),
    [aux_sym__keyword_else_token1] = ACTIONS(1840),
    [aux_sym__keyword_is_token1] = ACTIONS(1838),
    [aux_sym__keyword_in_token1] = ACTIONS(1840),
    [aux_sym__keyword_and_token1] = ACTIONS(1838),
    [aux_sym__keyword_like_token1] = ACTIONS(1838),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1838),
    [aux_sym__keyword_for_token1] = ACTIONS(1838),
    [anon_sym_SEMI] = ACTIONS(1838),
    [aux_sym_declare_statement_token1] = ACTIONS(1838),
    [aux_sym_set_statement_token1] = ACTIONS(1838),
    [anon_sym_LPAREN] = ACTIONS(1838),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1838),
    [aux_sym_into_clause_token1] = ACTIONS(1838),
    [aux_sym_using_clause_token1] = ACTIONS(1838),
    [aux_sym_return_satement_token1] = ACTIONS(1838),
    [aux_sym_call_statement_token1] = ACTIONS(1838),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1838),
    [aux_sym_if_statement_token1] = ACTIONS(1838),
    [aux_sym_loop_statement_token1] = ACTIONS(1838),
    [aux_sym_repeat_statement_token1] = ACTIONS(1838),
    [aux_sym_while_statement_token1] = ACTIONS(1838),
    [aux_sym_break_statement_token1] = ACTIONS(1838),
    [aux_sym_leave_statement_token1] = ACTIONS(1838),
    [aux_sym_continue_statement_token1] = ACTIONS(1838),
    [aux_sym_iterate_statement_token1] = ACTIONS(1838),
    [aux_sym_raise_statement_token1] = ACTIONS(1838),
    [anon_sym_EQ] = ACTIONS(1838),
    [aux_sym_assert_statement_token1] = ACTIONS(1838),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1838),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1838),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1838),
    [anon_sym_LT] = ACTIONS(1840),
    [anon_sym_GT] = ACTIONS(1840),
    [aux_sym_select_token1] = ACTIONS(1838),
    [aux_sym_insert_statement_token1] = ACTIONS(1838),
    [aux_sym_truncate_statement_token1] = ACTIONS(1838),
    [aux_sym_update_statement_token1] = ACTIONS(1838),
    [aux_sym_merge_statement_token1] = ACTIONS(1838),
    [aux_sym_grant_statement_token1] = ACTIONS(1838),
    [aux_sym_revoke_statement_token1] = ACTIONS(1838),
    [aux_sym_export_data_statement_token1] = ACTIONS(1838),
    [aux_sym_load_data_statement_token1] = ACTIONS(1838),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1838),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1838),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE] = ACTIONS(1838),
    [anon_sym_LT_EQ] = ACTIONS(1838),
    [anon_sym_LT_GT] = ACTIONS(1838),
    [anon_sym_GT_EQ] = ACTIONS(1838),
    [anon_sym_BANG_EQ] = ACTIONS(1838),
    [anon_sym_LT_LT] = ACTIONS(1838),
    [anon_sym_GT_GT] = ACTIONS(1838),
    [anon_sym_AMP] = ACTIONS(1838),
    [anon_sym_CARET] = ACTIONS(1838),
    [anon_sym_PIPE] = ACTIONS(1840),
  },
  [4860] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_into_clause_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4861] = {
    [ts_builtin_sym_end] = ACTIONS(1660),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1660),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1660),
    [aux_sym_keyword_replace_token1] = ACTIONS(1660),
    [aux_sym__keyword_alter_token1] = ACTIONS(1660),
    [aux_sym__keyword_delete_token1] = ACTIONS(1660),
    [aux_sym__keyword_begin_token1] = ACTIONS(1660),
    [aux_sym__keyword_end_token1] = ACTIONS(1660),
    [aux_sym__keyword_between_token1] = ACTIONS(1660),
    [aux_sym__keyword_else_token1] = ACTIONS(1662),
    [aux_sym__keyword_is_token1] = ACTIONS(1660),
    [aux_sym__keyword_in_token1] = ACTIONS(1662),
    [aux_sym__keyword_and_token1] = ACTIONS(1660),
    [aux_sym__keyword_like_token1] = ACTIONS(1660),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1660),
    [aux_sym__keyword_for_token1] = ACTIONS(1660),
    [anon_sym_SEMI] = ACTIONS(1660),
    [aux_sym_declare_statement_token1] = ACTIONS(1660),
    [aux_sym_set_statement_token1] = ACTIONS(1660),
    [anon_sym_LPAREN] = ACTIONS(1660),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1660),
    [aux_sym_into_clause_token1] = ACTIONS(1660),
    [aux_sym_using_clause_token1] = ACTIONS(1660),
    [aux_sym_return_satement_token1] = ACTIONS(1660),
    [aux_sym_call_statement_token1] = ACTIONS(1660),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1660),
    [aux_sym_if_statement_token1] = ACTIONS(1660),
    [aux_sym_loop_statement_token1] = ACTIONS(1660),
    [aux_sym_repeat_statement_token1] = ACTIONS(1660),
    [aux_sym_while_statement_token1] = ACTIONS(1660),
    [aux_sym_break_statement_token1] = ACTIONS(1660),
    [aux_sym_leave_statement_token1] = ACTIONS(1660),
    [aux_sym_continue_statement_token1] = ACTIONS(1660),
    [aux_sym_iterate_statement_token1] = ACTIONS(1660),
    [aux_sym_raise_statement_token1] = ACTIONS(1660),
    [anon_sym_EQ] = ACTIONS(1660),
    [aux_sym_assert_statement_token1] = ACTIONS(1660),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1660),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1660),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1660),
    [anon_sym_LT] = ACTIONS(1662),
    [anon_sym_GT] = ACTIONS(1662),
    [aux_sym_select_token1] = ACTIONS(1660),
    [aux_sym_insert_statement_token1] = ACTIONS(1660),
    [aux_sym_truncate_statement_token1] = ACTIONS(1660),
    [aux_sym_update_statement_token1] = ACTIONS(1660),
    [aux_sym_merge_statement_token1] = ACTIONS(1660),
    [aux_sym_grant_statement_token1] = ACTIONS(1660),
    [aux_sym_revoke_statement_token1] = ACTIONS(1660),
    [aux_sym_export_data_statement_token1] = ACTIONS(1660),
    [aux_sym_load_data_statement_token1] = ACTIONS(1660),
    [anon_sym_LBRACK] = ACTIONS(1660),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1660),
    [anon_sym_PLUS] = ACTIONS(1660),
    [anon_sym_DASH] = ACTIONS(1662),
    [anon_sym_STAR] = ACTIONS(1660),
    [anon_sym_SLASH] = ACTIONS(1662),
    [anon_sym_PIPE_PIPE] = ACTIONS(1660),
    [anon_sym_LT_EQ] = ACTIONS(1660),
    [anon_sym_LT_GT] = ACTIONS(1660),
    [anon_sym_GT_EQ] = ACTIONS(1660),
    [anon_sym_BANG_EQ] = ACTIONS(1660),
    [anon_sym_LT_LT] = ACTIONS(1660),
    [anon_sym_GT_GT] = ACTIONS(1660),
    [anon_sym_AMP] = ACTIONS(1660),
    [anon_sym_CARET] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1662),
  },
  [4862] = {
    [ts_builtin_sym_end] = ACTIONS(1822),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1822),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1822),
    [aux_sym_keyword_replace_token1] = ACTIONS(1822),
    [aux_sym__keyword_alter_token1] = ACTIONS(1822),
    [aux_sym__keyword_delete_token1] = ACTIONS(1822),
    [aux_sym__keyword_begin_token1] = ACTIONS(1822),
    [aux_sym__keyword_end_token1] = ACTIONS(1822),
    [aux_sym__keyword_between_token1] = ACTIONS(1822),
    [aux_sym__keyword_else_token1] = ACTIONS(1824),
    [aux_sym__keyword_is_token1] = ACTIONS(1822),
    [aux_sym__keyword_in_token1] = ACTIONS(1824),
    [aux_sym__keyword_and_token1] = ACTIONS(1822),
    [aux_sym__keyword_like_token1] = ACTIONS(1822),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1822),
    [aux_sym__keyword_for_token1] = ACTIONS(1822),
    [anon_sym_SEMI] = ACTIONS(1822),
    [aux_sym_declare_statement_token1] = ACTIONS(1822),
    [aux_sym_set_statement_token1] = ACTIONS(1822),
    [anon_sym_LPAREN] = ACTIONS(1822),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1822),
    [aux_sym_into_clause_token1] = ACTIONS(1822),
    [aux_sym_using_clause_token1] = ACTIONS(1822),
    [aux_sym_return_satement_token1] = ACTIONS(1822),
    [aux_sym_call_statement_token1] = ACTIONS(1822),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1822),
    [aux_sym_if_statement_token1] = ACTIONS(1822),
    [aux_sym_loop_statement_token1] = ACTIONS(1822),
    [aux_sym_repeat_statement_token1] = ACTIONS(1822),
    [aux_sym_while_statement_token1] = ACTIONS(1822),
    [aux_sym_break_statement_token1] = ACTIONS(1822),
    [aux_sym_leave_statement_token1] = ACTIONS(1822),
    [aux_sym_continue_statement_token1] = ACTIONS(1822),
    [aux_sym_iterate_statement_token1] = ACTIONS(1822),
    [aux_sym_raise_statement_token1] = ACTIONS(1822),
    [anon_sym_EQ] = ACTIONS(1822),
    [aux_sym_assert_statement_token1] = ACTIONS(1822),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1822),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1822),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1822),
    [anon_sym_LT] = ACTIONS(1824),
    [anon_sym_GT] = ACTIONS(1824),
    [aux_sym_select_token1] = ACTIONS(1822),
    [aux_sym_insert_statement_token1] = ACTIONS(1822),
    [aux_sym_truncate_statement_token1] = ACTIONS(1822),
    [aux_sym_update_statement_token1] = ACTIONS(1822),
    [aux_sym_merge_statement_token1] = ACTIONS(1822),
    [aux_sym_grant_statement_token1] = ACTIONS(1822),
    [aux_sym_revoke_statement_token1] = ACTIONS(1822),
    [aux_sym_export_data_statement_token1] = ACTIONS(1822),
    [aux_sym_load_data_statement_token1] = ACTIONS(1822),
    [anon_sym_LBRACK] = ACTIONS(1822),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1822),
    [anon_sym_PLUS] = ACTIONS(1822),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_STAR] = ACTIONS(1822),
    [anon_sym_SLASH] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE] = ACTIONS(1822),
    [anon_sym_LT_EQ] = ACTIONS(1822),
    [anon_sym_LT_GT] = ACTIONS(1822),
    [anon_sym_GT_EQ] = ACTIONS(1822),
    [anon_sym_BANG_EQ] = ACTIONS(1822),
    [anon_sym_LT_LT] = ACTIONS(1822),
    [anon_sym_GT_GT] = ACTIONS(1822),
    [anon_sym_AMP] = ACTIONS(1822),
    [anon_sym_CARET] = ACTIONS(1822),
    [anon_sym_PIPE] = ACTIONS(1824),
  },
  [4863] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_into_clause_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4864] = {
    [ts_builtin_sym_end] = ACTIONS(1830),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1830),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1830),
    [aux_sym_keyword_replace_token1] = ACTIONS(1830),
    [aux_sym__keyword_alter_token1] = ACTIONS(1830),
    [aux_sym__keyword_delete_token1] = ACTIONS(1830),
    [aux_sym__keyword_begin_token1] = ACTIONS(1830),
    [aux_sym__keyword_end_token1] = ACTIONS(1830),
    [aux_sym__keyword_between_token1] = ACTIONS(1830),
    [aux_sym__keyword_else_token1] = ACTIONS(1832),
    [aux_sym__keyword_is_token1] = ACTIONS(1830),
    [aux_sym__keyword_in_token1] = ACTIONS(1832),
    [aux_sym__keyword_and_token1] = ACTIONS(1830),
    [aux_sym__keyword_like_token1] = ACTIONS(1830),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1830),
    [aux_sym__keyword_for_token1] = ACTIONS(1830),
    [anon_sym_SEMI] = ACTIONS(1830),
    [aux_sym_declare_statement_token1] = ACTIONS(1830),
    [aux_sym_set_statement_token1] = ACTIONS(1830),
    [anon_sym_LPAREN] = ACTIONS(1830),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1830),
    [aux_sym_into_clause_token1] = ACTIONS(1830),
    [aux_sym_using_clause_token1] = ACTIONS(1830),
    [aux_sym_return_satement_token1] = ACTIONS(1830),
    [aux_sym_call_statement_token1] = ACTIONS(1830),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1830),
    [aux_sym_if_statement_token1] = ACTIONS(1830),
    [aux_sym_loop_statement_token1] = ACTIONS(1830),
    [aux_sym_repeat_statement_token1] = ACTIONS(1830),
    [aux_sym_while_statement_token1] = ACTIONS(1830),
    [aux_sym_break_statement_token1] = ACTIONS(1830),
    [aux_sym_leave_statement_token1] = ACTIONS(1830),
    [aux_sym_continue_statement_token1] = ACTIONS(1830),
    [aux_sym_iterate_statement_token1] = ACTIONS(1830),
    [aux_sym_raise_statement_token1] = ACTIONS(1830),
    [anon_sym_EQ] = ACTIONS(1830),
    [aux_sym_assert_statement_token1] = ACTIONS(1830),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1830),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1830),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1830),
    [anon_sym_LT] = ACTIONS(1832),
    [anon_sym_GT] = ACTIONS(1832),
    [aux_sym_select_token1] = ACTIONS(1830),
    [aux_sym_insert_statement_token1] = ACTIONS(1830),
    [aux_sym_truncate_statement_token1] = ACTIONS(1830),
    [aux_sym_update_statement_token1] = ACTIONS(1830),
    [aux_sym_merge_statement_token1] = ACTIONS(1830),
    [aux_sym_grant_statement_token1] = ACTIONS(1830),
    [aux_sym_revoke_statement_token1] = ACTIONS(1830),
    [aux_sym_export_data_statement_token1] = ACTIONS(1830),
    [aux_sym_load_data_statement_token1] = ACTIONS(1830),
    [anon_sym_LBRACK] = ACTIONS(1830),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1830),
    [anon_sym_PLUS] = ACTIONS(1830),
    [anon_sym_DASH] = ACTIONS(1832),
    [anon_sym_STAR] = ACTIONS(1830),
    [anon_sym_SLASH] = ACTIONS(1832),
    [anon_sym_PIPE_PIPE] = ACTIONS(1830),
    [anon_sym_LT_EQ] = ACTIONS(1830),
    [anon_sym_LT_GT] = ACTIONS(1830),
    [anon_sym_GT_EQ] = ACTIONS(1830),
    [anon_sym_BANG_EQ] = ACTIONS(1830),
    [anon_sym_LT_LT] = ACTIONS(1830),
    [anon_sym_GT_GT] = ACTIONS(1830),
    [anon_sym_AMP] = ACTIONS(1830),
    [anon_sym_CARET] = ACTIONS(1830),
    [anon_sym_PIPE] = ACTIONS(1832),
  },
  [4865] = {
    [ts_builtin_sym_end] = ACTIONS(1842),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1842),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1842),
    [aux_sym_keyword_replace_token1] = ACTIONS(1842),
    [aux_sym__keyword_alter_token1] = ACTIONS(1842),
    [aux_sym__keyword_delete_token1] = ACTIONS(1842),
    [aux_sym__keyword_begin_token1] = ACTIONS(1842),
    [aux_sym__keyword_end_token1] = ACTIONS(1842),
    [aux_sym__keyword_between_token1] = ACTIONS(1842),
    [aux_sym__keyword_else_token1] = ACTIONS(1844),
    [aux_sym__keyword_is_token1] = ACTIONS(1842),
    [aux_sym__keyword_in_token1] = ACTIONS(1844),
    [aux_sym__keyword_and_token1] = ACTIONS(1842),
    [aux_sym__keyword_like_token1] = ACTIONS(1842),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1842),
    [aux_sym__keyword_for_token1] = ACTIONS(1842),
    [anon_sym_SEMI] = ACTIONS(1842),
    [aux_sym_declare_statement_token1] = ACTIONS(1842),
    [aux_sym_set_statement_token1] = ACTIONS(1842),
    [anon_sym_LPAREN] = ACTIONS(1842),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1842),
    [aux_sym_into_clause_token1] = ACTIONS(1842),
    [aux_sym_using_clause_token1] = ACTIONS(1842),
    [aux_sym_return_satement_token1] = ACTIONS(1842),
    [aux_sym_call_statement_token1] = ACTIONS(1842),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1842),
    [aux_sym_if_statement_token1] = ACTIONS(1842),
    [aux_sym_loop_statement_token1] = ACTIONS(1842),
    [aux_sym_repeat_statement_token1] = ACTIONS(1842),
    [aux_sym_while_statement_token1] = ACTIONS(1842),
    [aux_sym_break_statement_token1] = ACTIONS(1842),
    [aux_sym_leave_statement_token1] = ACTIONS(1842),
    [aux_sym_continue_statement_token1] = ACTIONS(1842),
    [aux_sym_iterate_statement_token1] = ACTIONS(1842),
    [aux_sym_raise_statement_token1] = ACTIONS(1842),
    [anon_sym_EQ] = ACTIONS(1842),
    [aux_sym_assert_statement_token1] = ACTIONS(1842),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1842),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1842),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1842),
    [anon_sym_LT] = ACTIONS(1844),
    [anon_sym_GT] = ACTIONS(1844),
    [aux_sym_select_token1] = ACTIONS(1842),
    [aux_sym_insert_statement_token1] = ACTIONS(1842),
    [aux_sym_truncate_statement_token1] = ACTIONS(1842),
    [aux_sym_update_statement_token1] = ACTIONS(1842),
    [aux_sym_merge_statement_token1] = ACTIONS(1842),
    [aux_sym_grant_statement_token1] = ACTIONS(1842),
    [aux_sym_revoke_statement_token1] = ACTIONS(1842),
    [aux_sym_export_data_statement_token1] = ACTIONS(1842),
    [aux_sym_load_data_statement_token1] = ACTIONS(1842),
    [anon_sym_LBRACK] = ACTIONS(1842),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1842),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1844),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_SLASH] = ACTIONS(1844),
    [anon_sym_PIPE_PIPE] = ACTIONS(1842),
    [anon_sym_LT_EQ] = ACTIONS(1842),
    [anon_sym_LT_GT] = ACTIONS(1842),
    [anon_sym_GT_EQ] = ACTIONS(1842),
    [anon_sym_BANG_EQ] = ACTIONS(1842),
    [anon_sym_LT_LT] = ACTIONS(1842),
    [anon_sym_GT_GT] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym_CARET] = ACTIONS(1842),
    [anon_sym_PIPE] = ACTIONS(1844),
  },
  [4866] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_into_clause_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4867] = {
    [ts_builtin_sym_end] = ACTIONS(1438),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1438),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1438),
    [aux_sym_keyword_replace_token1] = ACTIONS(1438),
    [aux_sym__keyword_alter_token1] = ACTIONS(1438),
    [aux_sym__keyword_delete_token1] = ACTIONS(1438),
    [aux_sym__keyword_begin_token1] = ACTIONS(1438),
    [aux_sym__keyword_end_token1] = ACTIONS(1438),
    [aux_sym__keyword_between_token1] = ACTIONS(1438),
    [aux_sym__keyword_else_token1] = ACTIONS(1440),
    [aux_sym__keyword_is_token1] = ACTIONS(1438),
    [aux_sym__keyword_in_token1] = ACTIONS(1440),
    [aux_sym__keyword_and_token1] = ACTIONS(1438),
    [aux_sym__keyword_like_token1] = ACTIONS(1438),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1438),
    [aux_sym__keyword_for_token1] = ACTIONS(1438),
    [anon_sym_SEMI] = ACTIONS(1438),
    [aux_sym_declare_statement_token1] = ACTIONS(1438),
    [aux_sym_set_statement_token1] = ACTIONS(1438),
    [anon_sym_LPAREN] = ACTIONS(1438),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1438),
    [aux_sym_into_clause_token1] = ACTIONS(1438),
    [aux_sym_using_clause_token1] = ACTIONS(1438),
    [aux_sym_return_satement_token1] = ACTIONS(1438),
    [aux_sym_call_statement_token1] = ACTIONS(1438),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1438),
    [aux_sym_if_statement_token1] = ACTIONS(1438),
    [aux_sym_loop_statement_token1] = ACTIONS(1438),
    [aux_sym_repeat_statement_token1] = ACTIONS(1438),
    [aux_sym_while_statement_token1] = ACTIONS(1438),
    [aux_sym_break_statement_token1] = ACTIONS(1438),
    [aux_sym_leave_statement_token1] = ACTIONS(1438),
    [aux_sym_continue_statement_token1] = ACTIONS(1438),
    [aux_sym_iterate_statement_token1] = ACTIONS(1438),
    [aux_sym_raise_statement_token1] = ACTIONS(1438),
    [anon_sym_EQ] = ACTIONS(1438),
    [aux_sym_assert_statement_token1] = ACTIONS(1438),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1438),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1438),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1438),
    [anon_sym_LT] = ACTIONS(1440),
    [anon_sym_GT] = ACTIONS(1440),
    [aux_sym_select_token1] = ACTIONS(1438),
    [aux_sym_insert_statement_token1] = ACTIONS(1438),
    [aux_sym_truncate_statement_token1] = ACTIONS(1438),
    [aux_sym_update_statement_token1] = ACTIONS(1438),
    [aux_sym_merge_statement_token1] = ACTIONS(1438),
    [aux_sym_grant_statement_token1] = ACTIONS(1438),
    [aux_sym_revoke_statement_token1] = ACTIONS(1438),
    [aux_sym_export_data_statement_token1] = ACTIONS(1438),
    [aux_sym_load_data_statement_token1] = ACTIONS(1438),
    [anon_sym_LBRACK] = ACTIONS(1438),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_STAR] = ACTIONS(1438),
    [anon_sym_SLASH] = ACTIONS(1440),
    [anon_sym_PIPE_PIPE] = ACTIONS(1438),
    [anon_sym_LT_EQ] = ACTIONS(1438),
    [anon_sym_LT_GT] = ACTIONS(1438),
    [anon_sym_GT_EQ] = ACTIONS(1438),
    [anon_sym_BANG_EQ] = ACTIONS(1438),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_AMP] = ACTIONS(1438),
    [anon_sym_CARET] = ACTIONS(1438),
    [anon_sym_PIPE] = ACTIONS(1440),
  },
  [4868] = {
    [ts_builtin_sym_end] = ACTIONS(1434),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1434),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1434),
    [aux_sym_keyword_replace_token1] = ACTIONS(1434),
    [aux_sym__keyword_alter_token1] = ACTIONS(1434),
    [aux_sym__keyword_delete_token1] = ACTIONS(1434),
    [aux_sym__keyword_begin_token1] = ACTIONS(1434),
    [aux_sym__keyword_end_token1] = ACTIONS(1434),
    [aux_sym__keyword_between_token1] = ACTIONS(1434),
    [aux_sym__keyword_else_token1] = ACTIONS(1436),
    [aux_sym__keyword_is_token1] = ACTIONS(1434),
    [aux_sym__keyword_in_token1] = ACTIONS(1436),
    [aux_sym__keyword_and_token1] = ACTIONS(1434),
    [aux_sym__keyword_like_token1] = ACTIONS(1434),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1434),
    [aux_sym__keyword_for_token1] = ACTIONS(1434),
    [anon_sym_SEMI] = ACTIONS(1434),
    [aux_sym_declare_statement_token1] = ACTIONS(1434),
    [aux_sym_set_statement_token1] = ACTIONS(1434),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1434),
    [aux_sym_into_clause_token1] = ACTIONS(1434),
    [aux_sym_using_clause_token1] = ACTIONS(1434),
    [aux_sym_return_satement_token1] = ACTIONS(1434),
    [aux_sym_call_statement_token1] = ACTIONS(1434),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1434),
    [aux_sym_if_statement_token1] = ACTIONS(1434),
    [aux_sym_loop_statement_token1] = ACTIONS(1434),
    [aux_sym_repeat_statement_token1] = ACTIONS(1434),
    [aux_sym_while_statement_token1] = ACTIONS(1434),
    [aux_sym_break_statement_token1] = ACTIONS(1434),
    [aux_sym_leave_statement_token1] = ACTIONS(1434),
    [aux_sym_continue_statement_token1] = ACTIONS(1434),
    [aux_sym_iterate_statement_token1] = ACTIONS(1434),
    [aux_sym_raise_statement_token1] = ACTIONS(1434),
    [anon_sym_EQ] = ACTIONS(1434),
    [aux_sym_assert_statement_token1] = ACTIONS(1434),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1434),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1434),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1434),
    [anon_sym_LT] = ACTIONS(1436),
    [anon_sym_GT] = ACTIONS(1436),
    [aux_sym_select_token1] = ACTIONS(1434),
    [aux_sym_insert_statement_token1] = ACTIONS(1434),
    [aux_sym_truncate_statement_token1] = ACTIONS(1434),
    [aux_sym_update_statement_token1] = ACTIONS(1434),
    [aux_sym_merge_statement_token1] = ACTIONS(1434),
    [aux_sym_grant_statement_token1] = ACTIONS(1434),
    [aux_sym_revoke_statement_token1] = ACTIONS(1434),
    [aux_sym_export_data_statement_token1] = ACTIONS(1434),
    [aux_sym_load_data_statement_token1] = ACTIONS(1434),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_STAR] = ACTIONS(1434),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1434),
    [anon_sym_LT_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1434),
    [anon_sym_BANG_EQ] = ACTIONS(1434),
    [anon_sym_LT_LT] = ACTIONS(1434),
    [anon_sym_GT_GT] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1434),
    [anon_sym_PIPE] = ACTIONS(1436),
  },
  [4869] = {
    [ts_builtin_sym_end] = ACTIONS(1430),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1430),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1430),
    [aux_sym_keyword_replace_token1] = ACTIONS(1430),
    [aux_sym__keyword_alter_token1] = ACTIONS(1430),
    [aux_sym__keyword_delete_token1] = ACTIONS(1430),
    [aux_sym__keyword_begin_token1] = ACTIONS(1430),
    [aux_sym__keyword_end_token1] = ACTIONS(1430),
    [aux_sym__keyword_between_token1] = ACTIONS(1430),
    [aux_sym__keyword_else_token1] = ACTIONS(1432),
    [aux_sym__keyword_is_token1] = ACTIONS(1430),
    [aux_sym__keyword_in_token1] = ACTIONS(1432),
    [aux_sym__keyword_and_token1] = ACTIONS(1430),
    [aux_sym__keyword_like_token1] = ACTIONS(1430),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1430),
    [aux_sym__keyword_for_token1] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(1430),
    [aux_sym_declare_statement_token1] = ACTIONS(1430),
    [aux_sym_set_statement_token1] = ACTIONS(1430),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1430),
    [aux_sym_into_clause_token1] = ACTIONS(1430),
    [aux_sym_using_clause_token1] = ACTIONS(1430),
    [aux_sym_return_satement_token1] = ACTIONS(1430),
    [aux_sym_call_statement_token1] = ACTIONS(1430),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1430),
    [aux_sym_if_statement_token1] = ACTIONS(1430),
    [aux_sym_loop_statement_token1] = ACTIONS(1430),
    [aux_sym_repeat_statement_token1] = ACTIONS(1430),
    [aux_sym_while_statement_token1] = ACTIONS(1430),
    [aux_sym_break_statement_token1] = ACTIONS(1430),
    [aux_sym_leave_statement_token1] = ACTIONS(1430),
    [aux_sym_continue_statement_token1] = ACTIONS(1430),
    [aux_sym_iterate_statement_token1] = ACTIONS(1430),
    [aux_sym_raise_statement_token1] = ACTIONS(1430),
    [anon_sym_EQ] = ACTIONS(1430),
    [aux_sym_assert_statement_token1] = ACTIONS(1430),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1430),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1430),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [aux_sym_select_token1] = ACTIONS(1430),
    [aux_sym_insert_statement_token1] = ACTIONS(1430),
    [aux_sym_truncate_statement_token1] = ACTIONS(1430),
    [aux_sym_update_statement_token1] = ACTIONS(1430),
    [aux_sym_merge_statement_token1] = ACTIONS(1430),
    [aux_sym_grant_statement_token1] = ACTIONS(1430),
    [aux_sym_revoke_statement_token1] = ACTIONS(1430),
    [aux_sym_export_data_statement_token1] = ACTIONS(1430),
    [aux_sym_load_data_statement_token1] = ACTIONS(1430),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1432),
    [anon_sym_PIPE_PIPE] = ACTIONS(1430),
    [anon_sym_LT_EQ] = ACTIONS(1430),
    [anon_sym_LT_GT] = ACTIONS(1430),
    [anon_sym_GT_EQ] = ACTIONS(1430),
    [anon_sym_BANG_EQ] = ACTIONS(1430),
    [anon_sym_LT_LT] = ACTIONS(1430),
    [anon_sym_GT_GT] = ACTIONS(1430),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_PIPE] = ACTIONS(1432),
  },
  [4870] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_into_clause_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4871] = {
    [ts_builtin_sym_end] = ACTIONS(1656),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1656),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1656),
    [aux_sym_keyword_replace_token1] = ACTIONS(1656),
    [aux_sym__keyword_alter_token1] = ACTIONS(1656),
    [aux_sym__keyword_delete_token1] = ACTIONS(1656),
    [aux_sym__keyword_begin_token1] = ACTIONS(1656),
    [aux_sym__keyword_end_token1] = ACTIONS(1656),
    [aux_sym__keyword_between_token1] = ACTIONS(1656),
    [aux_sym__keyword_else_token1] = ACTIONS(1658),
    [aux_sym__keyword_is_token1] = ACTIONS(1656),
    [aux_sym__keyword_in_token1] = ACTIONS(1658),
    [aux_sym__keyword_and_token1] = ACTIONS(1656),
    [aux_sym__keyword_like_token1] = ACTIONS(1656),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1656),
    [aux_sym__keyword_for_token1] = ACTIONS(1656),
    [anon_sym_SEMI] = ACTIONS(1656),
    [aux_sym_declare_statement_token1] = ACTIONS(1656),
    [aux_sym_set_statement_token1] = ACTIONS(1656),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1656),
    [aux_sym_into_clause_token1] = ACTIONS(1656),
    [aux_sym_using_clause_token1] = ACTIONS(1656),
    [aux_sym_return_satement_token1] = ACTIONS(1656),
    [aux_sym_call_statement_token1] = ACTIONS(1656),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1656),
    [aux_sym_if_statement_token1] = ACTIONS(1656),
    [aux_sym_loop_statement_token1] = ACTIONS(1656),
    [aux_sym_repeat_statement_token1] = ACTIONS(1656),
    [aux_sym_while_statement_token1] = ACTIONS(1656),
    [aux_sym_break_statement_token1] = ACTIONS(1656),
    [aux_sym_leave_statement_token1] = ACTIONS(1656),
    [aux_sym_continue_statement_token1] = ACTIONS(1656),
    [aux_sym_iterate_statement_token1] = ACTIONS(1656),
    [aux_sym_raise_statement_token1] = ACTIONS(1656),
    [anon_sym_EQ] = ACTIONS(1656),
    [aux_sym_assert_statement_token1] = ACTIONS(1656),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1656),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1656),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1656),
    [anon_sym_LT] = ACTIONS(1658),
    [anon_sym_GT] = ACTIONS(1658),
    [aux_sym_select_token1] = ACTIONS(1656),
    [aux_sym_insert_statement_token1] = ACTIONS(1656),
    [aux_sym_truncate_statement_token1] = ACTIONS(1656),
    [aux_sym_update_statement_token1] = ACTIONS(1656),
    [aux_sym_merge_statement_token1] = ACTIONS(1656),
    [aux_sym_grant_statement_token1] = ACTIONS(1656),
    [aux_sym_revoke_statement_token1] = ACTIONS(1656),
    [aux_sym_export_data_statement_token1] = ACTIONS(1656),
    [aux_sym_load_data_statement_token1] = ACTIONS(1656),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1656),
    [anon_sym_PLUS] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_STAR] = ACTIONS(1656),
    [anon_sym_SLASH] = ACTIONS(1658),
    [anon_sym_PIPE_PIPE] = ACTIONS(1656),
    [anon_sym_LT_EQ] = ACTIONS(1656),
    [anon_sym_LT_GT] = ACTIONS(1656),
    [anon_sym_GT_EQ] = ACTIONS(1656),
    [anon_sym_BANG_EQ] = ACTIONS(1656),
    [anon_sym_LT_LT] = ACTIONS(1656),
    [anon_sym_GT_GT] = ACTIONS(1656),
    [anon_sym_AMP] = ACTIONS(1656),
    [anon_sym_CARET] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1658),
  },
  [4872] = {
    [ts_builtin_sym_end] = ACTIONS(1422),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1422),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1422),
    [aux_sym_keyword_replace_token1] = ACTIONS(1422),
    [aux_sym__keyword_alter_token1] = ACTIONS(1422),
    [aux_sym__keyword_delete_token1] = ACTIONS(1422),
    [aux_sym__keyword_begin_token1] = ACTIONS(1422),
    [aux_sym__keyword_end_token1] = ACTIONS(1422),
    [aux_sym__keyword_between_token1] = ACTIONS(1422),
    [aux_sym__keyword_else_token1] = ACTIONS(1424),
    [aux_sym__keyword_is_token1] = ACTIONS(1422),
    [aux_sym__keyword_in_token1] = ACTIONS(1424),
    [aux_sym__keyword_and_token1] = ACTIONS(1422),
    [aux_sym__keyword_like_token1] = ACTIONS(1422),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1422),
    [aux_sym__keyword_for_token1] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1422),
    [aux_sym_declare_statement_token1] = ACTIONS(1422),
    [aux_sym_set_statement_token1] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1422),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1422),
    [aux_sym_into_clause_token1] = ACTIONS(1422),
    [aux_sym_using_clause_token1] = ACTIONS(1422),
    [aux_sym_return_satement_token1] = ACTIONS(1422),
    [aux_sym_call_statement_token1] = ACTIONS(1422),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1422),
    [aux_sym_if_statement_token1] = ACTIONS(1422),
    [aux_sym_loop_statement_token1] = ACTIONS(1422),
    [aux_sym_repeat_statement_token1] = ACTIONS(1422),
    [aux_sym_while_statement_token1] = ACTIONS(1422),
    [aux_sym_break_statement_token1] = ACTIONS(1422),
    [aux_sym_leave_statement_token1] = ACTIONS(1422),
    [aux_sym_continue_statement_token1] = ACTIONS(1422),
    [aux_sym_iterate_statement_token1] = ACTIONS(1422),
    [aux_sym_raise_statement_token1] = ACTIONS(1422),
    [anon_sym_EQ] = ACTIONS(1422),
    [aux_sym_assert_statement_token1] = ACTIONS(1422),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1422),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1422),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1422),
    [anon_sym_LT] = ACTIONS(1424),
    [anon_sym_GT] = ACTIONS(1424),
    [aux_sym_select_token1] = ACTIONS(1422),
    [aux_sym_insert_statement_token1] = ACTIONS(1422),
    [aux_sym_truncate_statement_token1] = ACTIONS(1422),
    [aux_sym_update_statement_token1] = ACTIONS(1422),
    [aux_sym_merge_statement_token1] = ACTIONS(1422),
    [aux_sym_grant_statement_token1] = ACTIONS(1422),
    [aux_sym_revoke_statement_token1] = ACTIONS(1422),
    [aux_sym_export_data_statement_token1] = ACTIONS(1422),
    [aux_sym_load_data_statement_token1] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1422),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1424),
    [anon_sym_STAR] = ACTIONS(1422),
    [anon_sym_SLASH] = ACTIONS(1424),
    [anon_sym_PIPE_PIPE] = ACTIONS(1422),
    [anon_sym_LT_EQ] = ACTIONS(1422),
    [anon_sym_LT_GT] = ACTIONS(1422),
    [anon_sym_GT_EQ] = ACTIONS(1422),
    [anon_sym_BANG_EQ] = ACTIONS(1422),
    [anon_sym_LT_LT] = ACTIONS(1422),
    [anon_sym_GT_GT] = ACTIONS(1422),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_CARET] = ACTIONS(1422),
    [anon_sym_PIPE] = ACTIONS(1424),
  },
  [4873] = {
    [ts_builtin_sym_end] = ACTIONS(1540),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1540),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1540),
    [aux_sym_keyword_replace_token1] = ACTIONS(1540),
    [aux_sym__keyword_alter_token1] = ACTIONS(1540),
    [aux_sym__keyword_delete_token1] = ACTIONS(1540),
    [aux_sym__keyword_begin_token1] = ACTIONS(1540),
    [aux_sym__keyword_end_token1] = ACTIONS(1540),
    [aux_sym__keyword_between_token1] = ACTIONS(1540),
    [aux_sym__keyword_else_token1] = ACTIONS(1542),
    [aux_sym__keyword_is_token1] = ACTIONS(1540),
    [aux_sym__keyword_in_token1] = ACTIONS(1542),
    [aux_sym__keyword_and_token1] = ACTIONS(1540),
    [aux_sym__keyword_like_token1] = ACTIONS(1540),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1540),
    [aux_sym__keyword_for_token1] = ACTIONS(1540),
    [anon_sym_SEMI] = ACTIONS(1540),
    [aux_sym_declare_statement_token1] = ACTIONS(1540),
    [aux_sym_set_statement_token1] = ACTIONS(1540),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1540),
    [aux_sym_into_clause_token1] = ACTIONS(1540),
    [aux_sym_using_clause_token1] = ACTIONS(1540),
    [aux_sym_return_satement_token1] = ACTIONS(1540),
    [aux_sym_call_statement_token1] = ACTIONS(1540),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1540),
    [aux_sym_if_statement_token1] = ACTIONS(1540),
    [aux_sym_loop_statement_token1] = ACTIONS(1540),
    [aux_sym_repeat_statement_token1] = ACTIONS(1540),
    [aux_sym_while_statement_token1] = ACTIONS(1540),
    [aux_sym_break_statement_token1] = ACTIONS(1540),
    [aux_sym_leave_statement_token1] = ACTIONS(1540),
    [aux_sym_continue_statement_token1] = ACTIONS(1540),
    [aux_sym_iterate_statement_token1] = ACTIONS(1540),
    [aux_sym_raise_statement_token1] = ACTIONS(1540),
    [anon_sym_EQ] = ACTIONS(1540),
    [aux_sym_assert_statement_token1] = ACTIONS(1540),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1540),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1540),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1540),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_GT] = ACTIONS(1542),
    [aux_sym_select_token1] = ACTIONS(1540),
    [aux_sym_insert_statement_token1] = ACTIONS(1540),
    [aux_sym_truncate_statement_token1] = ACTIONS(1540),
    [aux_sym_update_statement_token1] = ACTIONS(1540),
    [aux_sym_merge_statement_token1] = ACTIONS(1540),
    [aux_sym_grant_statement_token1] = ACTIONS(1540),
    [aux_sym_revoke_statement_token1] = ACTIONS(1540),
    [aux_sym_export_data_statement_token1] = ACTIONS(1540),
    [aux_sym_load_data_statement_token1] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1540),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(1540),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(1542),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_LT_EQ] = ACTIONS(1540),
    [anon_sym_LT_GT] = ACTIONS(1540),
    [anon_sym_GT_EQ] = ACTIONS(1540),
    [anon_sym_BANG_EQ] = ACTIONS(1540),
    [anon_sym_LT_LT] = ACTIONS(1540),
    [anon_sym_GT_GT] = ACTIONS(1540),
    [anon_sym_AMP] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(1540),
    [anon_sym_PIPE] = ACTIONS(1542),
  },
  [4874] = {
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1418),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_into_clause_token1] = ACTIONS(1418),
    [aux_sym_using_clause_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [4875] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_into_clause_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4876] = {
    [ts_builtin_sym_end] = ACTIONS(1756),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1756),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1756),
    [aux_sym_keyword_replace_token1] = ACTIONS(1756),
    [aux_sym__keyword_alter_token1] = ACTIONS(1756),
    [aux_sym__keyword_delete_token1] = ACTIONS(1756),
    [aux_sym__keyword_begin_token1] = ACTIONS(1756),
    [aux_sym__keyword_end_token1] = ACTIONS(1756),
    [aux_sym__keyword_between_token1] = ACTIONS(1756),
    [aux_sym__keyword_else_token1] = ACTIONS(1758),
    [aux_sym__keyword_is_token1] = ACTIONS(1756),
    [aux_sym__keyword_in_token1] = ACTIONS(1758),
    [aux_sym__keyword_and_token1] = ACTIONS(1756),
    [aux_sym__keyword_like_token1] = ACTIONS(1756),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1756),
    [aux_sym__keyword_for_token1] = ACTIONS(1756),
    [anon_sym_SEMI] = ACTIONS(1756),
    [aux_sym_declare_statement_token1] = ACTIONS(1756),
    [aux_sym_set_statement_token1] = ACTIONS(1756),
    [anon_sym_LPAREN] = ACTIONS(1756),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1756),
    [aux_sym_into_clause_token1] = ACTIONS(1756),
    [aux_sym_using_clause_token1] = ACTIONS(1756),
    [aux_sym_return_satement_token1] = ACTIONS(1756),
    [aux_sym_call_statement_token1] = ACTIONS(1756),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1756),
    [aux_sym_if_statement_token1] = ACTIONS(1756),
    [aux_sym_loop_statement_token1] = ACTIONS(1756),
    [aux_sym_repeat_statement_token1] = ACTIONS(1756),
    [aux_sym_while_statement_token1] = ACTIONS(1756),
    [aux_sym_break_statement_token1] = ACTIONS(1756),
    [aux_sym_leave_statement_token1] = ACTIONS(1756),
    [aux_sym_continue_statement_token1] = ACTIONS(1756),
    [aux_sym_iterate_statement_token1] = ACTIONS(1756),
    [aux_sym_raise_statement_token1] = ACTIONS(1756),
    [anon_sym_EQ] = ACTIONS(1756),
    [aux_sym_assert_statement_token1] = ACTIONS(1756),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1756),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1756),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1756),
    [anon_sym_LT] = ACTIONS(1758),
    [anon_sym_GT] = ACTIONS(1758),
    [aux_sym_select_token1] = ACTIONS(1756),
    [aux_sym_insert_statement_token1] = ACTIONS(1756),
    [aux_sym_truncate_statement_token1] = ACTIONS(1756),
    [aux_sym_update_statement_token1] = ACTIONS(1756),
    [aux_sym_merge_statement_token1] = ACTIONS(1756),
    [aux_sym_grant_statement_token1] = ACTIONS(1756),
    [aux_sym_revoke_statement_token1] = ACTIONS(1756),
    [aux_sym_export_data_statement_token1] = ACTIONS(1756),
    [aux_sym_load_data_statement_token1] = ACTIONS(1756),
    [anon_sym_LBRACK] = ACTIONS(1756),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1756),
    [anon_sym_PLUS] = ACTIONS(1756),
    [anon_sym_DASH] = ACTIONS(1758),
    [anon_sym_STAR] = ACTIONS(1756),
    [anon_sym_SLASH] = ACTIONS(1758),
    [anon_sym_PIPE_PIPE] = ACTIONS(1756),
    [anon_sym_LT_EQ] = ACTIONS(1756),
    [anon_sym_LT_GT] = ACTIONS(1756),
    [anon_sym_GT_EQ] = ACTIONS(1756),
    [anon_sym_BANG_EQ] = ACTIONS(1756),
    [anon_sym_LT_LT] = ACTIONS(1756),
    [anon_sym_GT_GT] = ACTIONS(1756),
    [anon_sym_AMP] = ACTIONS(1756),
    [anon_sym_CARET] = ACTIONS(1756),
    [anon_sym_PIPE] = ACTIONS(1758),
  },
  [4877] = {
    [ts_builtin_sym_end] = ACTIONS(1760),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1760),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1760),
    [aux_sym_keyword_replace_token1] = ACTIONS(1760),
    [aux_sym__keyword_alter_token1] = ACTIONS(1760),
    [aux_sym__keyword_delete_token1] = ACTIONS(1760),
    [aux_sym__keyword_begin_token1] = ACTIONS(1760),
    [aux_sym__keyword_end_token1] = ACTIONS(1760),
    [aux_sym__keyword_between_token1] = ACTIONS(1760),
    [aux_sym__keyword_else_token1] = ACTIONS(1762),
    [aux_sym__keyword_is_token1] = ACTIONS(1760),
    [aux_sym__keyword_in_token1] = ACTIONS(1762),
    [aux_sym__keyword_and_token1] = ACTIONS(1760),
    [aux_sym__keyword_like_token1] = ACTIONS(1760),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1760),
    [aux_sym__keyword_for_token1] = ACTIONS(1760),
    [anon_sym_SEMI] = ACTIONS(1760),
    [aux_sym_declare_statement_token1] = ACTIONS(1760),
    [aux_sym_set_statement_token1] = ACTIONS(1760),
    [anon_sym_LPAREN] = ACTIONS(1760),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1760),
    [aux_sym_into_clause_token1] = ACTIONS(1760),
    [aux_sym_using_clause_token1] = ACTIONS(1760),
    [aux_sym_return_satement_token1] = ACTIONS(1760),
    [aux_sym_call_statement_token1] = ACTIONS(1760),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1760),
    [aux_sym_if_statement_token1] = ACTIONS(1760),
    [aux_sym_loop_statement_token1] = ACTIONS(1760),
    [aux_sym_repeat_statement_token1] = ACTIONS(1760),
    [aux_sym_while_statement_token1] = ACTIONS(1760),
    [aux_sym_break_statement_token1] = ACTIONS(1760),
    [aux_sym_leave_statement_token1] = ACTIONS(1760),
    [aux_sym_continue_statement_token1] = ACTIONS(1760),
    [aux_sym_iterate_statement_token1] = ACTIONS(1760),
    [aux_sym_raise_statement_token1] = ACTIONS(1760),
    [anon_sym_EQ] = ACTIONS(1760),
    [aux_sym_assert_statement_token1] = ACTIONS(1760),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1760),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1760),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1760),
    [anon_sym_LT] = ACTIONS(1762),
    [anon_sym_GT] = ACTIONS(1762),
    [aux_sym_select_token1] = ACTIONS(1760),
    [aux_sym_insert_statement_token1] = ACTIONS(1760),
    [aux_sym_truncate_statement_token1] = ACTIONS(1760),
    [aux_sym_update_statement_token1] = ACTIONS(1760),
    [aux_sym_merge_statement_token1] = ACTIONS(1760),
    [aux_sym_grant_statement_token1] = ACTIONS(1760),
    [aux_sym_revoke_statement_token1] = ACTIONS(1760),
    [aux_sym_export_data_statement_token1] = ACTIONS(1760),
    [aux_sym_load_data_statement_token1] = ACTIONS(1760),
    [anon_sym_LBRACK] = ACTIONS(1760),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1760),
    [anon_sym_PLUS] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1762),
    [anon_sym_STAR] = ACTIONS(1760),
    [anon_sym_SLASH] = ACTIONS(1762),
    [anon_sym_PIPE_PIPE] = ACTIONS(1760),
    [anon_sym_LT_EQ] = ACTIONS(1760),
    [anon_sym_LT_GT] = ACTIONS(1760),
    [anon_sym_GT_EQ] = ACTIONS(1760),
    [anon_sym_BANG_EQ] = ACTIONS(1760),
    [anon_sym_LT_LT] = ACTIONS(1760),
    [anon_sym_GT_GT] = ACTIONS(1760),
    [anon_sym_AMP] = ACTIONS(1760),
    [anon_sym_CARET] = ACTIONS(1760),
    [anon_sym_PIPE] = ACTIONS(1762),
  },
  [4878] = {
    [ts_builtin_sym_end] = ACTIONS(1652),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1652),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1652),
    [aux_sym_keyword_replace_token1] = ACTIONS(1652),
    [aux_sym__keyword_alter_token1] = ACTIONS(1652),
    [aux_sym__keyword_delete_token1] = ACTIONS(1652),
    [aux_sym__keyword_begin_token1] = ACTIONS(1652),
    [aux_sym__keyword_end_token1] = ACTIONS(1652),
    [aux_sym__keyword_between_token1] = ACTIONS(1652),
    [aux_sym__keyword_else_token1] = ACTIONS(1654),
    [aux_sym__keyword_is_token1] = ACTIONS(1652),
    [aux_sym__keyword_in_token1] = ACTIONS(1654),
    [aux_sym__keyword_and_token1] = ACTIONS(1652),
    [aux_sym__keyword_like_token1] = ACTIONS(1652),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1652),
    [aux_sym__keyword_for_token1] = ACTIONS(1652),
    [anon_sym_SEMI] = ACTIONS(1652),
    [aux_sym_declare_statement_token1] = ACTIONS(1652),
    [aux_sym_set_statement_token1] = ACTIONS(1652),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1652),
    [aux_sym_into_clause_token1] = ACTIONS(1652),
    [aux_sym_using_clause_token1] = ACTIONS(1652),
    [aux_sym_return_satement_token1] = ACTIONS(1652),
    [aux_sym_call_statement_token1] = ACTIONS(1652),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1652),
    [aux_sym_if_statement_token1] = ACTIONS(1652),
    [aux_sym_loop_statement_token1] = ACTIONS(1652),
    [aux_sym_repeat_statement_token1] = ACTIONS(1652),
    [aux_sym_while_statement_token1] = ACTIONS(1652),
    [aux_sym_break_statement_token1] = ACTIONS(1652),
    [aux_sym_leave_statement_token1] = ACTIONS(1652),
    [aux_sym_continue_statement_token1] = ACTIONS(1652),
    [aux_sym_iterate_statement_token1] = ACTIONS(1652),
    [aux_sym_raise_statement_token1] = ACTIONS(1652),
    [anon_sym_EQ] = ACTIONS(1652),
    [aux_sym_assert_statement_token1] = ACTIONS(1652),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1652),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1652),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1652),
    [anon_sym_LT] = ACTIONS(1654),
    [anon_sym_GT] = ACTIONS(1654),
    [aux_sym_select_token1] = ACTIONS(1652),
    [aux_sym_insert_statement_token1] = ACTIONS(1652),
    [aux_sym_truncate_statement_token1] = ACTIONS(1652),
    [aux_sym_update_statement_token1] = ACTIONS(1652),
    [aux_sym_merge_statement_token1] = ACTIONS(1652),
    [aux_sym_grant_statement_token1] = ACTIONS(1652),
    [aux_sym_revoke_statement_token1] = ACTIONS(1652),
    [aux_sym_export_data_statement_token1] = ACTIONS(1652),
    [aux_sym_load_data_statement_token1] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1652),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1652),
    [anon_sym_PLUS] = ACTIONS(1652),
    [anon_sym_DASH] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(1652),
    [anon_sym_SLASH] = ACTIONS(1654),
    [anon_sym_PIPE_PIPE] = ACTIONS(1652),
    [anon_sym_LT_EQ] = ACTIONS(1652),
    [anon_sym_LT_GT] = ACTIONS(1652),
    [anon_sym_GT_EQ] = ACTIONS(1652),
    [anon_sym_BANG_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT] = ACTIONS(1652),
    [anon_sym_GT_GT] = ACTIONS(1652),
    [anon_sym_AMP] = ACTIONS(1652),
    [anon_sym_CARET] = ACTIONS(1652),
    [anon_sym_PIPE] = ACTIONS(1654),
  },
  [4879] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_into_clause_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4880] = {
    [ts_builtin_sym_end] = ACTIONS(1850),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1850),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1850),
    [aux_sym_keyword_replace_token1] = ACTIONS(1850),
    [aux_sym__keyword_alter_token1] = ACTIONS(1850),
    [aux_sym__keyword_delete_token1] = ACTIONS(1850),
    [aux_sym__keyword_begin_token1] = ACTIONS(1850),
    [aux_sym__keyword_end_token1] = ACTIONS(1850),
    [aux_sym__keyword_between_token1] = ACTIONS(1850),
    [aux_sym__keyword_else_token1] = ACTIONS(1852),
    [aux_sym__keyword_is_token1] = ACTIONS(1850),
    [aux_sym__keyword_in_token1] = ACTIONS(1852),
    [aux_sym__keyword_and_token1] = ACTIONS(1850),
    [aux_sym__keyword_like_token1] = ACTIONS(1850),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1850),
    [aux_sym__keyword_for_token1] = ACTIONS(1850),
    [anon_sym_SEMI] = ACTIONS(1850),
    [aux_sym_declare_statement_token1] = ACTIONS(1850),
    [aux_sym_set_statement_token1] = ACTIONS(1850),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1850),
    [aux_sym_into_clause_token1] = ACTIONS(1850),
    [aux_sym_using_clause_token1] = ACTIONS(1850),
    [aux_sym_return_satement_token1] = ACTIONS(1850),
    [aux_sym_call_statement_token1] = ACTIONS(1850),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1850),
    [aux_sym_if_statement_token1] = ACTIONS(1850),
    [aux_sym_loop_statement_token1] = ACTIONS(1850),
    [aux_sym_repeat_statement_token1] = ACTIONS(1850),
    [aux_sym_while_statement_token1] = ACTIONS(1850),
    [aux_sym_break_statement_token1] = ACTIONS(1850),
    [aux_sym_leave_statement_token1] = ACTIONS(1850),
    [aux_sym_continue_statement_token1] = ACTIONS(1850),
    [aux_sym_iterate_statement_token1] = ACTIONS(1850),
    [aux_sym_raise_statement_token1] = ACTIONS(1850),
    [anon_sym_EQ] = ACTIONS(1850),
    [aux_sym_assert_statement_token1] = ACTIONS(1850),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1850),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1850),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1850),
    [anon_sym_LT] = ACTIONS(1852),
    [anon_sym_GT] = ACTIONS(1852),
    [aux_sym_select_token1] = ACTIONS(1850),
    [aux_sym_insert_statement_token1] = ACTIONS(1850),
    [aux_sym_truncate_statement_token1] = ACTIONS(1850),
    [aux_sym_update_statement_token1] = ACTIONS(1850),
    [aux_sym_merge_statement_token1] = ACTIONS(1850),
    [aux_sym_grant_statement_token1] = ACTIONS(1850),
    [aux_sym_revoke_statement_token1] = ACTIONS(1850),
    [aux_sym_export_data_statement_token1] = ACTIONS(1850),
    [aux_sym_load_data_statement_token1] = ACTIONS(1850),
    [anon_sym_LBRACK] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1850),
    [anon_sym_PLUS] = ACTIONS(1850),
    [anon_sym_DASH] = ACTIONS(1852),
    [anon_sym_STAR] = ACTIONS(1850),
    [anon_sym_SLASH] = ACTIONS(1852),
    [anon_sym_PIPE_PIPE] = ACTIONS(1850),
    [anon_sym_LT_EQ] = ACTIONS(1850),
    [anon_sym_LT_GT] = ACTIONS(1850),
    [anon_sym_GT_EQ] = ACTIONS(1850),
    [anon_sym_BANG_EQ] = ACTIONS(1850),
    [anon_sym_LT_LT] = ACTIONS(1850),
    [anon_sym_GT_GT] = ACTIONS(1850),
    [anon_sym_AMP] = ACTIONS(1850),
    [anon_sym_CARET] = ACTIONS(1850),
    [anon_sym_PIPE] = ACTIONS(1852),
  },
  [4881] = {
    [ts_builtin_sym_end] = ACTIONS(1648),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1648),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1648),
    [aux_sym_keyword_replace_token1] = ACTIONS(1648),
    [aux_sym__keyword_alter_token1] = ACTIONS(1648),
    [aux_sym__keyword_delete_token1] = ACTIONS(1648),
    [aux_sym__keyword_begin_token1] = ACTIONS(1648),
    [aux_sym__keyword_end_token1] = ACTIONS(1648),
    [aux_sym__keyword_between_token1] = ACTIONS(1648),
    [aux_sym__keyword_else_token1] = ACTIONS(1650),
    [aux_sym__keyword_is_token1] = ACTIONS(1648),
    [aux_sym__keyword_in_token1] = ACTIONS(1650),
    [aux_sym__keyword_and_token1] = ACTIONS(1648),
    [aux_sym__keyword_like_token1] = ACTIONS(1648),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1648),
    [aux_sym__keyword_for_token1] = ACTIONS(1648),
    [anon_sym_SEMI] = ACTIONS(1648),
    [aux_sym_declare_statement_token1] = ACTIONS(1648),
    [aux_sym_set_statement_token1] = ACTIONS(1648),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1648),
    [aux_sym_into_clause_token1] = ACTIONS(1648),
    [aux_sym_using_clause_token1] = ACTIONS(1648),
    [aux_sym_return_satement_token1] = ACTIONS(1648),
    [aux_sym_call_statement_token1] = ACTIONS(1648),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1648),
    [aux_sym_if_statement_token1] = ACTIONS(1648),
    [aux_sym_loop_statement_token1] = ACTIONS(1648),
    [aux_sym_repeat_statement_token1] = ACTIONS(1648),
    [aux_sym_while_statement_token1] = ACTIONS(1648),
    [aux_sym_break_statement_token1] = ACTIONS(1648),
    [aux_sym_leave_statement_token1] = ACTIONS(1648),
    [aux_sym_continue_statement_token1] = ACTIONS(1648),
    [aux_sym_iterate_statement_token1] = ACTIONS(1648),
    [aux_sym_raise_statement_token1] = ACTIONS(1648),
    [anon_sym_EQ] = ACTIONS(1648),
    [aux_sym_assert_statement_token1] = ACTIONS(1648),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1648),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1648),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1648),
    [anon_sym_LT] = ACTIONS(1650),
    [anon_sym_GT] = ACTIONS(1650),
    [aux_sym_select_token1] = ACTIONS(1648),
    [aux_sym_insert_statement_token1] = ACTIONS(1648),
    [aux_sym_truncate_statement_token1] = ACTIONS(1648),
    [aux_sym_update_statement_token1] = ACTIONS(1648),
    [aux_sym_merge_statement_token1] = ACTIONS(1648),
    [aux_sym_grant_statement_token1] = ACTIONS(1648),
    [aux_sym_revoke_statement_token1] = ACTIONS(1648),
    [aux_sym_export_data_statement_token1] = ACTIONS(1648),
    [aux_sym_load_data_statement_token1] = ACTIONS(1648),
    [anon_sym_LBRACK] = ACTIONS(1648),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1648),
    [anon_sym_PLUS] = ACTIONS(1648),
    [anon_sym_DASH] = ACTIONS(1650),
    [anon_sym_STAR] = ACTIONS(1648),
    [anon_sym_SLASH] = ACTIONS(1650),
    [anon_sym_PIPE_PIPE] = ACTIONS(1648),
    [anon_sym_LT_EQ] = ACTIONS(1648),
    [anon_sym_LT_GT] = ACTIONS(1648),
    [anon_sym_GT_EQ] = ACTIONS(1648),
    [anon_sym_BANG_EQ] = ACTIONS(1648),
    [anon_sym_LT_LT] = ACTIONS(1648),
    [anon_sym_GT_GT] = ACTIONS(1648),
    [anon_sym_AMP] = ACTIONS(1648),
    [anon_sym_CARET] = ACTIONS(1648),
    [anon_sym_PIPE] = ACTIONS(1650),
  },
  [4882] = {
    [ts_builtin_sym_end] = ACTIONS(1414),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1414),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1414),
    [aux_sym_keyword_replace_token1] = ACTIONS(1414),
    [aux_sym__keyword_alter_token1] = ACTIONS(1414),
    [aux_sym__keyword_delete_token1] = ACTIONS(1414),
    [aux_sym__keyword_begin_token1] = ACTIONS(1414),
    [aux_sym__keyword_end_token1] = ACTIONS(1414),
    [aux_sym__keyword_between_token1] = ACTIONS(1414),
    [aux_sym__keyword_else_token1] = ACTIONS(1416),
    [aux_sym__keyword_is_token1] = ACTIONS(1414),
    [aux_sym__keyword_in_token1] = ACTIONS(1416),
    [aux_sym__keyword_and_token1] = ACTIONS(1414),
    [aux_sym__keyword_like_token1] = ACTIONS(1414),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1414),
    [aux_sym__keyword_for_token1] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(1414),
    [aux_sym_declare_statement_token1] = ACTIONS(1414),
    [aux_sym_set_statement_token1] = ACTIONS(1414),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1414),
    [aux_sym_into_clause_token1] = ACTIONS(1414),
    [aux_sym_using_clause_token1] = ACTIONS(1414),
    [aux_sym_return_satement_token1] = ACTIONS(1414),
    [aux_sym_call_statement_token1] = ACTIONS(1414),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1414),
    [aux_sym_if_statement_token1] = ACTIONS(1414),
    [aux_sym_loop_statement_token1] = ACTIONS(1414),
    [aux_sym_repeat_statement_token1] = ACTIONS(1414),
    [aux_sym_while_statement_token1] = ACTIONS(1414),
    [aux_sym_break_statement_token1] = ACTIONS(1414),
    [aux_sym_leave_statement_token1] = ACTIONS(1414),
    [aux_sym_continue_statement_token1] = ACTIONS(1414),
    [aux_sym_iterate_statement_token1] = ACTIONS(1414),
    [aux_sym_raise_statement_token1] = ACTIONS(1414),
    [anon_sym_EQ] = ACTIONS(1414),
    [aux_sym_assert_statement_token1] = ACTIONS(1414),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1414),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1414),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1414),
    [anon_sym_LT] = ACTIONS(1416),
    [anon_sym_GT] = ACTIONS(1416),
    [aux_sym_select_token1] = ACTIONS(1414),
    [aux_sym_insert_statement_token1] = ACTIONS(1414),
    [aux_sym_truncate_statement_token1] = ACTIONS(1414),
    [aux_sym_update_statement_token1] = ACTIONS(1414),
    [aux_sym_merge_statement_token1] = ACTIONS(1414),
    [aux_sym_grant_statement_token1] = ACTIONS(1414),
    [aux_sym_revoke_statement_token1] = ACTIONS(1414),
    [aux_sym_export_data_statement_token1] = ACTIONS(1414),
    [aux_sym_load_data_statement_token1] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1414),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_SLASH] = ACTIONS(1416),
    [anon_sym_PIPE_PIPE] = ACTIONS(1414),
    [anon_sym_LT_EQ] = ACTIONS(1414),
    [anon_sym_LT_GT] = ACTIONS(1414),
    [anon_sym_GT_EQ] = ACTIONS(1414),
    [anon_sym_BANG_EQ] = ACTIONS(1414),
    [anon_sym_LT_LT] = ACTIONS(1414),
    [anon_sym_GT_GT] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_CARET] = ACTIONS(1414),
    [anon_sym_PIPE] = ACTIONS(1416),
  },
  [4883] = {
    [ts_builtin_sym_end] = ACTIONS(1644),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1644),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1644),
    [aux_sym_keyword_replace_token1] = ACTIONS(1644),
    [aux_sym__keyword_alter_token1] = ACTIONS(1644),
    [aux_sym__keyword_delete_token1] = ACTIONS(1644),
    [aux_sym__keyword_begin_token1] = ACTIONS(1644),
    [aux_sym__keyword_end_token1] = ACTIONS(1644),
    [aux_sym__keyword_between_token1] = ACTIONS(1644),
    [aux_sym__keyword_else_token1] = ACTIONS(1646),
    [aux_sym__keyword_is_token1] = ACTIONS(1644),
    [aux_sym__keyword_in_token1] = ACTIONS(1646),
    [aux_sym__keyword_and_token1] = ACTIONS(1644),
    [aux_sym__keyword_like_token1] = ACTIONS(1644),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1644),
    [aux_sym__keyword_for_token1] = ACTIONS(1644),
    [anon_sym_SEMI] = ACTIONS(1644),
    [aux_sym_declare_statement_token1] = ACTIONS(1644),
    [aux_sym_set_statement_token1] = ACTIONS(1644),
    [anon_sym_LPAREN] = ACTIONS(1644),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1644),
    [aux_sym_into_clause_token1] = ACTIONS(1644),
    [aux_sym_using_clause_token1] = ACTIONS(1644),
    [aux_sym_return_satement_token1] = ACTIONS(1644),
    [aux_sym_call_statement_token1] = ACTIONS(1644),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1644),
    [aux_sym_if_statement_token1] = ACTIONS(1644),
    [aux_sym_loop_statement_token1] = ACTIONS(1644),
    [aux_sym_repeat_statement_token1] = ACTIONS(1644),
    [aux_sym_while_statement_token1] = ACTIONS(1644),
    [aux_sym_break_statement_token1] = ACTIONS(1644),
    [aux_sym_leave_statement_token1] = ACTIONS(1644),
    [aux_sym_continue_statement_token1] = ACTIONS(1644),
    [aux_sym_iterate_statement_token1] = ACTIONS(1644),
    [aux_sym_raise_statement_token1] = ACTIONS(1644),
    [anon_sym_EQ] = ACTIONS(1644),
    [aux_sym_assert_statement_token1] = ACTIONS(1644),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1644),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1644),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1644),
    [anon_sym_LT] = ACTIONS(1646),
    [anon_sym_GT] = ACTIONS(1646),
    [aux_sym_select_token1] = ACTIONS(1644),
    [aux_sym_insert_statement_token1] = ACTIONS(1644),
    [aux_sym_truncate_statement_token1] = ACTIONS(1644),
    [aux_sym_update_statement_token1] = ACTIONS(1644),
    [aux_sym_merge_statement_token1] = ACTIONS(1644),
    [aux_sym_grant_statement_token1] = ACTIONS(1644),
    [aux_sym_revoke_statement_token1] = ACTIONS(1644),
    [aux_sym_export_data_statement_token1] = ACTIONS(1644),
    [aux_sym_load_data_statement_token1] = ACTIONS(1644),
    [anon_sym_LBRACK] = ACTIONS(1644),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1644),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1646),
    [anon_sym_STAR] = ACTIONS(1644),
    [anon_sym_SLASH] = ACTIONS(1646),
    [anon_sym_PIPE_PIPE] = ACTIONS(1644),
    [anon_sym_LT_EQ] = ACTIONS(1644),
    [anon_sym_LT_GT] = ACTIONS(1644),
    [anon_sym_GT_EQ] = ACTIONS(1644),
    [anon_sym_BANG_EQ] = ACTIONS(1644),
    [anon_sym_LT_LT] = ACTIONS(1644),
    [anon_sym_GT_GT] = ACTIONS(1644),
    [anon_sym_AMP] = ACTIONS(1644),
    [anon_sym_CARET] = ACTIONS(1644),
    [anon_sym_PIPE] = ACTIONS(1646),
  },
  [4884] = {
    [ts_builtin_sym_end] = ACTIONS(1640),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1640),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1640),
    [aux_sym_keyword_replace_token1] = ACTIONS(1640),
    [aux_sym__keyword_alter_token1] = ACTIONS(1640),
    [aux_sym__keyword_delete_token1] = ACTIONS(1640),
    [aux_sym__keyword_begin_token1] = ACTIONS(1640),
    [aux_sym__keyword_end_token1] = ACTIONS(1640),
    [aux_sym__keyword_between_token1] = ACTIONS(1640),
    [aux_sym__keyword_else_token1] = ACTIONS(1642),
    [aux_sym__keyword_is_token1] = ACTIONS(1640),
    [aux_sym__keyword_in_token1] = ACTIONS(1642),
    [aux_sym__keyword_and_token1] = ACTIONS(1640),
    [aux_sym__keyword_like_token1] = ACTIONS(1640),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1640),
    [aux_sym__keyword_for_token1] = ACTIONS(1640),
    [anon_sym_SEMI] = ACTIONS(1640),
    [aux_sym_declare_statement_token1] = ACTIONS(1640),
    [aux_sym_set_statement_token1] = ACTIONS(1640),
    [anon_sym_LPAREN] = ACTIONS(1640),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1640),
    [aux_sym_into_clause_token1] = ACTIONS(1640),
    [aux_sym_using_clause_token1] = ACTIONS(1640),
    [aux_sym_return_satement_token1] = ACTIONS(1640),
    [aux_sym_call_statement_token1] = ACTIONS(1640),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1640),
    [aux_sym_if_statement_token1] = ACTIONS(1640),
    [aux_sym_loop_statement_token1] = ACTIONS(1640),
    [aux_sym_repeat_statement_token1] = ACTIONS(1640),
    [aux_sym_while_statement_token1] = ACTIONS(1640),
    [aux_sym_break_statement_token1] = ACTIONS(1640),
    [aux_sym_leave_statement_token1] = ACTIONS(1640),
    [aux_sym_continue_statement_token1] = ACTIONS(1640),
    [aux_sym_iterate_statement_token1] = ACTIONS(1640),
    [aux_sym_raise_statement_token1] = ACTIONS(1640),
    [anon_sym_EQ] = ACTIONS(1640),
    [aux_sym_assert_statement_token1] = ACTIONS(1640),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1640),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1640),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1640),
    [anon_sym_LT] = ACTIONS(1642),
    [anon_sym_GT] = ACTIONS(1642),
    [aux_sym_select_token1] = ACTIONS(1640),
    [aux_sym_insert_statement_token1] = ACTIONS(1640),
    [aux_sym_truncate_statement_token1] = ACTIONS(1640),
    [aux_sym_update_statement_token1] = ACTIONS(1640),
    [aux_sym_merge_statement_token1] = ACTIONS(1640),
    [aux_sym_grant_statement_token1] = ACTIONS(1640),
    [aux_sym_revoke_statement_token1] = ACTIONS(1640),
    [aux_sym_export_data_statement_token1] = ACTIONS(1640),
    [aux_sym_load_data_statement_token1] = ACTIONS(1640),
    [anon_sym_LBRACK] = ACTIONS(1640),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1640),
    [anon_sym_PLUS] = ACTIONS(1640),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1640),
    [anon_sym_SLASH] = ACTIONS(1642),
    [anon_sym_PIPE_PIPE] = ACTIONS(1640),
    [anon_sym_LT_EQ] = ACTIONS(1640),
    [anon_sym_LT_GT] = ACTIONS(1640),
    [anon_sym_GT_EQ] = ACTIONS(1640),
    [anon_sym_BANG_EQ] = ACTIONS(1640),
    [anon_sym_LT_LT] = ACTIONS(1640),
    [anon_sym_GT_GT] = ACTIONS(1640),
    [anon_sym_AMP] = ACTIONS(1640),
    [anon_sym_CARET] = ACTIONS(1640),
    [anon_sym_PIPE] = ACTIONS(1642),
  },
  [4885] = {
    [ts_builtin_sym_end] = ACTIONS(1410),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1410),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1410),
    [aux_sym_keyword_replace_token1] = ACTIONS(1410),
    [aux_sym__keyword_alter_token1] = ACTIONS(1410),
    [aux_sym__keyword_delete_token1] = ACTIONS(1410),
    [aux_sym__keyword_begin_token1] = ACTIONS(1410),
    [aux_sym__keyword_end_token1] = ACTIONS(1410),
    [aux_sym__keyword_between_token1] = ACTIONS(1410),
    [aux_sym__keyword_else_token1] = ACTIONS(1412),
    [aux_sym__keyword_is_token1] = ACTIONS(1410),
    [aux_sym__keyword_in_token1] = ACTIONS(1412),
    [aux_sym__keyword_and_token1] = ACTIONS(1410),
    [aux_sym__keyword_like_token1] = ACTIONS(1410),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1410),
    [aux_sym__keyword_for_token1] = ACTIONS(1410),
    [anon_sym_SEMI] = ACTIONS(1410),
    [aux_sym_declare_statement_token1] = ACTIONS(1410),
    [aux_sym_set_statement_token1] = ACTIONS(1410),
    [anon_sym_LPAREN] = ACTIONS(1410),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1410),
    [aux_sym_into_clause_token1] = ACTIONS(1410),
    [aux_sym_using_clause_token1] = ACTIONS(1410),
    [aux_sym_return_satement_token1] = ACTIONS(1410),
    [aux_sym_call_statement_token1] = ACTIONS(1410),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1410),
    [aux_sym_if_statement_token1] = ACTIONS(1410),
    [aux_sym_loop_statement_token1] = ACTIONS(1410),
    [aux_sym_repeat_statement_token1] = ACTIONS(1410),
    [aux_sym_while_statement_token1] = ACTIONS(1410),
    [aux_sym_break_statement_token1] = ACTIONS(1410),
    [aux_sym_leave_statement_token1] = ACTIONS(1410),
    [aux_sym_continue_statement_token1] = ACTIONS(1410),
    [aux_sym_iterate_statement_token1] = ACTIONS(1410),
    [aux_sym_raise_statement_token1] = ACTIONS(1410),
    [anon_sym_EQ] = ACTIONS(1410),
    [aux_sym_assert_statement_token1] = ACTIONS(1410),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1410),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1410),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1410),
    [anon_sym_LT] = ACTIONS(1412),
    [anon_sym_GT] = ACTIONS(1412),
    [aux_sym_select_token1] = ACTIONS(1410),
    [aux_sym_insert_statement_token1] = ACTIONS(1410),
    [aux_sym_truncate_statement_token1] = ACTIONS(1410),
    [aux_sym_update_statement_token1] = ACTIONS(1410),
    [aux_sym_merge_statement_token1] = ACTIONS(1410),
    [aux_sym_grant_statement_token1] = ACTIONS(1410),
    [aux_sym_revoke_statement_token1] = ACTIONS(1410),
    [aux_sym_export_data_statement_token1] = ACTIONS(1410),
    [aux_sym_load_data_statement_token1] = ACTIONS(1410),
    [anon_sym_LBRACK] = ACTIONS(1410),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_STAR] = ACTIONS(1410),
    [anon_sym_SLASH] = ACTIONS(1412),
    [anon_sym_PIPE_PIPE] = ACTIONS(1410),
    [anon_sym_LT_EQ] = ACTIONS(1410),
    [anon_sym_LT_GT] = ACTIONS(1410),
    [anon_sym_GT_EQ] = ACTIONS(1410),
    [anon_sym_BANG_EQ] = ACTIONS(1410),
    [anon_sym_LT_LT] = ACTIONS(1410),
    [anon_sym_GT_GT] = ACTIONS(1410),
    [anon_sym_AMP] = ACTIONS(1410),
    [anon_sym_CARET] = ACTIONS(1410),
    [anon_sym_PIPE] = ACTIONS(1412),
  },
  [4886] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_into_clause_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4887] = {
    [ts_builtin_sym_end] = ACTIONS(1406),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1406),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1406),
    [aux_sym_keyword_replace_token1] = ACTIONS(1406),
    [aux_sym__keyword_alter_token1] = ACTIONS(1406),
    [aux_sym__keyword_delete_token1] = ACTIONS(1406),
    [aux_sym__keyword_begin_token1] = ACTIONS(1406),
    [aux_sym__keyword_end_token1] = ACTIONS(1406),
    [aux_sym__keyword_between_token1] = ACTIONS(1406),
    [aux_sym__keyword_else_token1] = ACTIONS(1408),
    [aux_sym__keyword_is_token1] = ACTIONS(1406),
    [aux_sym__keyword_in_token1] = ACTIONS(1408),
    [aux_sym__keyword_and_token1] = ACTIONS(1406),
    [aux_sym__keyword_like_token1] = ACTIONS(1406),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1406),
    [aux_sym__keyword_for_token1] = ACTIONS(1406),
    [anon_sym_SEMI] = ACTIONS(1406),
    [aux_sym_declare_statement_token1] = ACTIONS(1406),
    [aux_sym_set_statement_token1] = ACTIONS(1406),
    [anon_sym_LPAREN] = ACTIONS(1406),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1406),
    [aux_sym_into_clause_token1] = ACTIONS(1406),
    [aux_sym_using_clause_token1] = ACTIONS(1406),
    [aux_sym_return_satement_token1] = ACTIONS(1406),
    [aux_sym_call_statement_token1] = ACTIONS(1406),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1406),
    [aux_sym_if_statement_token1] = ACTIONS(1406),
    [aux_sym_loop_statement_token1] = ACTIONS(1406),
    [aux_sym_repeat_statement_token1] = ACTIONS(1406),
    [aux_sym_while_statement_token1] = ACTIONS(1406),
    [aux_sym_break_statement_token1] = ACTIONS(1406),
    [aux_sym_leave_statement_token1] = ACTIONS(1406),
    [aux_sym_continue_statement_token1] = ACTIONS(1406),
    [aux_sym_iterate_statement_token1] = ACTIONS(1406),
    [aux_sym_raise_statement_token1] = ACTIONS(1406),
    [anon_sym_EQ] = ACTIONS(1406),
    [aux_sym_assert_statement_token1] = ACTIONS(1406),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1406),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1406),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1406),
    [anon_sym_LT] = ACTIONS(1408),
    [anon_sym_GT] = ACTIONS(1408),
    [aux_sym_select_token1] = ACTIONS(1406),
    [aux_sym_insert_statement_token1] = ACTIONS(1406),
    [aux_sym_truncate_statement_token1] = ACTIONS(1406),
    [aux_sym_update_statement_token1] = ACTIONS(1406),
    [aux_sym_merge_statement_token1] = ACTIONS(1406),
    [aux_sym_grant_statement_token1] = ACTIONS(1406),
    [aux_sym_revoke_statement_token1] = ACTIONS(1406),
    [aux_sym_export_data_statement_token1] = ACTIONS(1406),
    [aux_sym_load_data_statement_token1] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_DASH] = ACTIONS(1408),
    [anon_sym_STAR] = ACTIONS(1406),
    [anon_sym_SLASH] = ACTIONS(1408),
    [anon_sym_PIPE_PIPE] = ACTIONS(1406),
    [anon_sym_LT_EQ] = ACTIONS(1406),
    [anon_sym_LT_GT] = ACTIONS(1406),
    [anon_sym_GT_EQ] = ACTIONS(1406),
    [anon_sym_BANG_EQ] = ACTIONS(1406),
    [anon_sym_LT_LT] = ACTIONS(1406),
    [anon_sym_GT_GT] = ACTIONS(1406),
    [anon_sym_AMP] = ACTIONS(1406),
    [anon_sym_CARET] = ACTIONS(1406),
    [anon_sym_PIPE] = ACTIONS(1408),
  },
  [4888] = {
    [ts_builtin_sym_end] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1398),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1398),
    [aux_sym_keyword_replace_token1] = ACTIONS(1398),
    [aux_sym__keyword_alter_token1] = ACTIONS(1398),
    [aux_sym__keyword_delete_token1] = ACTIONS(1398),
    [aux_sym__keyword_begin_token1] = ACTIONS(1398),
    [aux_sym__keyword_end_token1] = ACTIONS(1398),
    [aux_sym__keyword_between_token1] = ACTIONS(1398),
    [aux_sym__keyword_else_token1] = ACTIONS(1400),
    [aux_sym__keyword_is_token1] = ACTIONS(1398),
    [aux_sym__keyword_in_token1] = ACTIONS(1400),
    [aux_sym__keyword_and_token1] = ACTIONS(1398),
    [aux_sym__keyword_like_token1] = ACTIONS(1398),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1398),
    [aux_sym__keyword_for_token1] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1398),
    [aux_sym_into_clause_token1] = ACTIONS(1398),
    [aux_sym_using_clause_token1] = ACTIONS(1398),
    [aux_sym_return_satement_token1] = ACTIONS(1398),
    [aux_sym_call_statement_token1] = ACTIONS(1398),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1398),
    [aux_sym_if_statement_token1] = ACTIONS(1398),
    [aux_sym_loop_statement_token1] = ACTIONS(1398),
    [aux_sym_repeat_statement_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token1] = ACTIONS(1398),
    [aux_sym_break_statement_token1] = ACTIONS(1398),
    [aux_sym_leave_statement_token1] = ACTIONS(1398),
    [aux_sym_continue_statement_token1] = ACTIONS(1398),
    [aux_sym_iterate_statement_token1] = ACTIONS(1398),
    [aux_sym_raise_statement_token1] = ACTIONS(1398),
    [anon_sym_EQ] = ACTIONS(1398),
    [aux_sym_assert_statement_token1] = ACTIONS(1398),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1398),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1398),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1398),
    [aux_sym_insert_statement_token1] = ACTIONS(1398),
    [aux_sym_truncate_statement_token1] = ACTIONS(1398),
    [aux_sym_update_statement_token1] = ACTIONS(1398),
    [aux_sym_merge_statement_token1] = ACTIONS(1398),
    [aux_sym_grant_statement_token1] = ACTIONS(1398),
    [aux_sym_revoke_statement_token1] = ACTIONS(1398),
    [aux_sym_export_data_statement_token1] = ACTIONS(1398),
    [aux_sym_load_data_statement_token1] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_LT_GT] = ACTIONS(1398),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1398),
    [anon_sym_GT_GT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1400),
  },
  [4889] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_into_clause_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4890] = {
    [ts_builtin_sym_end] = ACTIONS(1394),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1394),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1394),
    [aux_sym_keyword_replace_token1] = ACTIONS(1394),
    [aux_sym__keyword_alter_token1] = ACTIONS(1394),
    [aux_sym__keyword_delete_token1] = ACTIONS(1394),
    [aux_sym__keyword_begin_token1] = ACTIONS(1394),
    [aux_sym__keyword_end_token1] = ACTIONS(1394),
    [aux_sym__keyword_between_token1] = ACTIONS(1394),
    [aux_sym__keyword_else_token1] = ACTIONS(1396),
    [aux_sym__keyword_is_token1] = ACTIONS(1394),
    [aux_sym__keyword_in_token1] = ACTIONS(1396),
    [aux_sym__keyword_and_token1] = ACTIONS(1394),
    [aux_sym__keyword_like_token1] = ACTIONS(1394),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1394),
    [aux_sym__keyword_for_token1] = ACTIONS(1394),
    [anon_sym_SEMI] = ACTIONS(1394),
    [aux_sym_declare_statement_token1] = ACTIONS(1394),
    [aux_sym_set_statement_token1] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(1394),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1394),
    [aux_sym_into_clause_token1] = ACTIONS(1394),
    [aux_sym_using_clause_token1] = ACTIONS(1394),
    [aux_sym_return_satement_token1] = ACTIONS(1394),
    [aux_sym_call_statement_token1] = ACTIONS(1394),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1394),
    [aux_sym_if_statement_token1] = ACTIONS(1394),
    [aux_sym_loop_statement_token1] = ACTIONS(1394),
    [aux_sym_repeat_statement_token1] = ACTIONS(1394),
    [aux_sym_while_statement_token1] = ACTIONS(1394),
    [aux_sym_break_statement_token1] = ACTIONS(1394),
    [aux_sym_leave_statement_token1] = ACTIONS(1394),
    [aux_sym_continue_statement_token1] = ACTIONS(1394),
    [aux_sym_iterate_statement_token1] = ACTIONS(1394),
    [aux_sym_raise_statement_token1] = ACTIONS(1394),
    [anon_sym_EQ] = ACTIONS(1394),
    [aux_sym_assert_statement_token1] = ACTIONS(1394),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1394),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1394),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1394),
    [anon_sym_LT] = ACTIONS(1396),
    [anon_sym_GT] = ACTIONS(1396),
    [aux_sym_select_token1] = ACTIONS(1394),
    [aux_sym_insert_statement_token1] = ACTIONS(1394),
    [aux_sym_truncate_statement_token1] = ACTIONS(1394),
    [aux_sym_update_statement_token1] = ACTIONS(1394),
    [aux_sym_merge_statement_token1] = ACTIONS(1394),
    [aux_sym_grant_statement_token1] = ACTIONS(1394),
    [aux_sym_revoke_statement_token1] = ACTIONS(1394),
    [aux_sym_export_data_statement_token1] = ACTIONS(1394),
    [aux_sym_load_data_statement_token1] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(1394),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_STAR] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(1396),
    [anon_sym_PIPE_PIPE] = ACTIONS(1394),
    [anon_sym_LT_EQ] = ACTIONS(1394),
    [anon_sym_LT_GT] = ACTIONS(1394),
    [anon_sym_GT_EQ] = ACTIONS(1394),
    [anon_sym_BANG_EQ] = ACTIONS(1394),
    [anon_sym_LT_LT] = ACTIONS(1394),
    [anon_sym_GT_GT] = ACTIONS(1394),
    [anon_sym_AMP] = ACTIONS(1394),
    [anon_sym_CARET] = ACTIONS(1394),
    [anon_sym_PIPE] = ACTIONS(1396),
  },
  [4891] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_into_clause_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4892] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_into_clause_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [4893] = {
    [ts_builtin_sym_end] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1418),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1418),
    [aux_sym_keyword_replace_token1] = ACTIONS(1418),
    [aux_sym__keyword_alter_token1] = ACTIONS(1418),
    [aux_sym__keyword_delete_token1] = ACTIONS(1418),
    [aux_sym__keyword_begin_token1] = ACTIONS(1418),
    [aux_sym__keyword_end_token1] = ACTIONS(1418),
    [aux_sym__keyword_between_token1] = ACTIONS(1418),
    [aux_sym__keyword_else_token1] = ACTIONS(1420),
    [aux_sym__keyword_is_token1] = ACTIONS(1418),
    [aux_sym__keyword_in_token1] = ACTIONS(1420),
    [aux_sym__keyword_and_token1] = ACTIONS(1418),
    [aux_sym__keyword_like_token1] = ACTIONS(1418),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1418),
    [aux_sym__keyword_for_token1] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1418),
    [aux_sym_into_clause_token1] = ACTIONS(1418),
    [aux_sym_using_clause_token1] = ACTIONS(1418),
    [aux_sym_return_satement_token1] = ACTIONS(1418),
    [aux_sym_call_statement_token1] = ACTIONS(1418),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_loop_statement_token1] = ACTIONS(1418),
    [aux_sym_repeat_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [aux_sym_leave_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_iterate_statement_token1] = ACTIONS(1418),
    [aux_sym_raise_statement_token1] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1418),
    [aux_sym_assert_statement_token1] = ACTIONS(1418),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1418),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1418),
    [aux_sym_insert_statement_token1] = ACTIONS(1418),
    [aux_sym_truncate_statement_token1] = ACTIONS(1418),
    [aux_sym_update_statement_token1] = ACTIONS(1418),
    [aux_sym_merge_statement_token1] = ACTIONS(1418),
    [aux_sym_grant_statement_token1] = ACTIONS(1418),
    [aux_sym_revoke_statement_token1] = ACTIONS(1418),
    [aux_sym_export_data_statement_token1] = ACTIONS(1418),
    [aux_sym_load_data_statement_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_LT_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1420),
  },
  [4894] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_into_clause_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [4895] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_into_clause_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [4896] = {
    [ts_builtin_sym_end] = ACTIONS(1784),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1784),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1784),
    [aux_sym_keyword_replace_token1] = ACTIONS(1784),
    [aux_sym__keyword_alter_token1] = ACTIONS(1784),
    [aux_sym__keyword_delete_token1] = ACTIONS(1784),
    [aux_sym__keyword_begin_token1] = ACTIONS(1784),
    [aux_sym__keyword_end_token1] = ACTIONS(1784),
    [aux_sym__keyword_between_token1] = ACTIONS(1784),
    [aux_sym__keyword_else_token1] = ACTIONS(1786),
    [aux_sym__keyword_is_token1] = ACTIONS(1784),
    [aux_sym__keyword_in_token1] = ACTIONS(1786),
    [aux_sym__keyword_and_token1] = ACTIONS(1784),
    [aux_sym__keyword_like_token1] = ACTIONS(1784),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1784),
    [aux_sym__keyword_for_token1] = ACTIONS(1784),
    [anon_sym_SEMI] = ACTIONS(1784),
    [aux_sym_declare_statement_token1] = ACTIONS(1784),
    [aux_sym_set_statement_token1] = ACTIONS(1784),
    [anon_sym_LPAREN] = ACTIONS(1784),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1784),
    [aux_sym_into_clause_token1] = ACTIONS(1784),
    [aux_sym_using_clause_token1] = ACTIONS(1784),
    [aux_sym_return_satement_token1] = ACTIONS(1784),
    [aux_sym_call_statement_token1] = ACTIONS(1784),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1784),
    [aux_sym_if_statement_token1] = ACTIONS(1784),
    [aux_sym_loop_statement_token1] = ACTIONS(1784),
    [aux_sym_repeat_statement_token1] = ACTIONS(1784),
    [aux_sym_while_statement_token1] = ACTIONS(1784),
    [aux_sym_break_statement_token1] = ACTIONS(1784),
    [aux_sym_leave_statement_token1] = ACTIONS(1784),
    [aux_sym_continue_statement_token1] = ACTIONS(1784),
    [aux_sym_iterate_statement_token1] = ACTIONS(1784),
    [aux_sym_raise_statement_token1] = ACTIONS(1784),
    [anon_sym_EQ] = ACTIONS(1784),
    [aux_sym_assert_statement_token1] = ACTIONS(1784),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1784),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1784),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1784),
    [anon_sym_LT] = ACTIONS(1786),
    [anon_sym_GT] = ACTIONS(1786),
    [aux_sym_select_token1] = ACTIONS(1784),
    [aux_sym_insert_statement_token1] = ACTIONS(1784),
    [aux_sym_truncate_statement_token1] = ACTIONS(1784),
    [aux_sym_update_statement_token1] = ACTIONS(1784),
    [aux_sym_merge_statement_token1] = ACTIONS(1784),
    [aux_sym_grant_statement_token1] = ACTIONS(1784),
    [aux_sym_revoke_statement_token1] = ACTIONS(1784),
    [aux_sym_export_data_statement_token1] = ACTIONS(1784),
    [aux_sym_load_data_statement_token1] = ACTIONS(1784),
    [anon_sym_LBRACK] = ACTIONS(1784),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1784),
    [anon_sym_PLUS] = ACTIONS(1784),
    [anon_sym_DASH] = ACTIONS(1786),
    [anon_sym_STAR] = ACTIONS(1784),
    [anon_sym_SLASH] = ACTIONS(1786),
    [anon_sym_PIPE_PIPE] = ACTIONS(1784),
    [anon_sym_LT_EQ] = ACTIONS(1784),
    [anon_sym_LT_GT] = ACTIONS(1784),
    [anon_sym_GT_EQ] = ACTIONS(1784),
    [anon_sym_BANG_EQ] = ACTIONS(1784),
    [anon_sym_LT_LT] = ACTIONS(1784),
    [anon_sym_GT_GT] = ACTIONS(1784),
    [anon_sym_AMP] = ACTIONS(1784),
    [anon_sym_CARET] = ACTIONS(1784),
    [anon_sym_PIPE] = ACTIONS(1786),
  },
  [4897] = {
    [ts_builtin_sym_end] = ACTIONS(1676),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1676),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1676),
    [aux_sym_keyword_replace_token1] = ACTIONS(1676),
    [aux_sym__keyword_alter_token1] = ACTIONS(1676),
    [aux_sym__keyword_delete_token1] = ACTIONS(1676),
    [aux_sym__keyword_begin_token1] = ACTIONS(1676),
    [aux_sym__keyword_end_token1] = ACTIONS(1676),
    [aux_sym__keyword_between_token1] = ACTIONS(1676),
    [aux_sym__keyword_else_token1] = ACTIONS(1678),
    [aux_sym__keyword_is_token1] = ACTIONS(1676),
    [aux_sym__keyword_in_token1] = ACTIONS(1678),
    [aux_sym__keyword_and_token1] = ACTIONS(1676),
    [aux_sym__keyword_like_token1] = ACTIONS(1676),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1676),
    [aux_sym__keyword_for_token1] = ACTIONS(1676),
    [anon_sym_SEMI] = ACTIONS(1676),
    [aux_sym_declare_statement_token1] = ACTIONS(1676),
    [aux_sym_set_statement_token1] = ACTIONS(1676),
    [anon_sym_LPAREN] = ACTIONS(1676),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1676),
    [aux_sym_into_clause_token1] = ACTIONS(1676),
    [aux_sym_using_clause_token1] = ACTIONS(1676),
    [aux_sym_return_satement_token1] = ACTIONS(1676),
    [aux_sym_call_statement_token1] = ACTIONS(1676),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1676),
    [aux_sym_if_statement_token1] = ACTIONS(1676),
    [aux_sym_loop_statement_token1] = ACTIONS(1676),
    [aux_sym_repeat_statement_token1] = ACTIONS(1676),
    [aux_sym_while_statement_token1] = ACTIONS(1676),
    [aux_sym_break_statement_token1] = ACTIONS(1676),
    [aux_sym_leave_statement_token1] = ACTIONS(1676),
    [aux_sym_continue_statement_token1] = ACTIONS(1676),
    [aux_sym_iterate_statement_token1] = ACTIONS(1676),
    [aux_sym_raise_statement_token1] = ACTIONS(1676),
    [anon_sym_EQ] = ACTIONS(1676),
    [aux_sym_assert_statement_token1] = ACTIONS(1676),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1676),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1676),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1676),
    [anon_sym_LT] = ACTIONS(1678),
    [anon_sym_GT] = ACTIONS(1678),
    [aux_sym_select_token1] = ACTIONS(1676),
    [aux_sym_insert_statement_token1] = ACTIONS(1676),
    [aux_sym_truncate_statement_token1] = ACTIONS(1676),
    [aux_sym_update_statement_token1] = ACTIONS(1676),
    [aux_sym_merge_statement_token1] = ACTIONS(1676),
    [aux_sym_grant_statement_token1] = ACTIONS(1676),
    [aux_sym_revoke_statement_token1] = ACTIONS(1676),
    [aux_sym_export_data_statement_token1] = ACTIONS(1676),
    [aux_sym_load_data_statement_token1] = ACTIONS(1676),
    [anon_sym_LBRACK] = ACTIONS(1676),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1676),
    [anon_sym_PLUS] = ACTIONS(1676),
    [anon_sym_DASH] = ACTIONS(1678),
    [anon_sym_STAR] = ACTIONS(1676),
    [anon_sym_SLASH] = ACTIONS(1678),
    [anon_sym_PIPE_PIPE] = ACTIONS(1676),
    [anon_sym_LT_EQ] = ACTIONS(1676),
    [anon_sym_LT_GT] = ACTIONS(1676),
    [anon_sym_GT_EQ] = ACTIONS(1676),
    [anon_sym_BANG_EQ] = ACTIONS(1676),
    [anon_sym_LT_LT] = ACTIONS(1676),
    [anon_sym_GT_GT] = ACTIONS(1676),
    [anon_sym_AMP] = ACTIONS(1676),
    [anon_sym_CARET] = ACTIONS(1676),
    [anon_sym_PIPE] = ACTIONS(1678),
  },
  [4898] = {
    [ts_builtin_sym_end] = ACTIONS(1636),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1636),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1636),
    [aux_sym_keyword_replace_token1] = ACTIONS(1636),
    [aux_sym__keyword_alter_token1] = ACTIONS(1636),
    [aux_sym__keyword_delete_token1] = ACTIONS(1636),
    [aux_sym__keyword_begin_token1] = ACTIONS(1636),
    [aux_sym__keyword_end_token1] = ACTIONS(1636),
    [aux_sym__keyword_between_token1] = ACTIONS(1636),
    [aux_sym__keyword_else_token1] = ACTIONS(1638),
    [aux_sym__keyword_is_token1] = ACTIONS(1636),
    [aux_sym__keyword_in_token1] = ACTIONS(1638),
    [aux_sym__keyword_and_token1] = ACTIONS(1636),
    [aux_sym__keyword_like_token1] = ACTIONS(1636),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1636),
    [aux_sym__keyword_for_token1] = ACTIONS(1636),
    [anon_sym_SEMI] = ACTIONS(1636),
    [aux_sym_declare_statement_token1] = ACTIONS(1636),
    [aux_sym_set_statement_token1] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1636),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1636),
    [aux_sym_into_clause_token1] = ACTIONS(1636),
    [aux_sym_using_clause_token1] = ACTIONS(1636),
    [aux_sym_return_satement_token1] = ACTIONS(1636),
    [aux_sym_call_statement_token1] = ACTIONS(1636),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1636),
    [aux_sym_if_statement_token1] = ACTIONS(1636),
    [aux_sym_loop_statement_token1] = ACTIONS(1636),
    [aux_sym_repeat_statement_token1] = ACTIONS(1636),
    [aux_sym_while_statement_token1] = ACTIONS(1636),
    [aux_sym_break_statement_token1] = ACTIONS(1636),
    [aux_sym_leave_statement_token1] = ACTIONS(1636),
    [aux_sym_continue_statement_token1] = ACTIONS(1636),
    [aux_sym_iterate_statement_token1] = ACTIONS(1636),
    [aux_sym_raise_statement_token1] = ACTIONS(1636),
    [anon_sym_EQ] = ACTIONS(1636),
    [aux_sym_assert_statement_token1] = ACTIONS(1636),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1636),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1636),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1636),
    [anon_sym_LT] = ACTIONS(1638),
    [anon_sym_GT] = ACTIONS(1638),
    [aux_sym_select_token1] = ACTIONS(1636),
    [aux_sym_insert_statement_token1] = ACTIONS(1636),
    [aux_sym_truncate_statement_token1] = ACTIONS(1636),
    [aux_sym_update_statement_token1] = ACTIONS(1636),
    [aux_sym_merge_statement_token1] = ACTIONS(1636),
    [aux_sym_grant_statement_token1] = ACTIONS(1636),
    [aux_sym_revoke_statement_token1] = ACTIONS(1636),
    [aux_sym_export_data_statement_token1] = ACTIONS(1636),
    [aux_sym_load_data_statement_token1] = ACTIONS(1636),
    [anon_sym_LBRACK] = ACTIONS(1636),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1636),
    [anon_sym_PLUS] = ACTIONS(1636),
    [anon_sym_DASH] = ACTIONS(1638),
    [anon_sym_STAR] = ACTIONS(1636),
    [anon_sym_SLASH] = ACTIONS(1638),
    [anon_sym_PIPE_PIPE] = ACTIONS(1636),
    [anon_sym_LT_EQ] = ACTIONS(1636),
    [anon_sym_LT_GT] = ACTIONS(1636),
    [anon_sym_GT_EQ] = ACTIONS(1636),
    [anon_sym_BANG_EQ] = ACTIONS(1636),
    [anon_sym_LT_LT] = ACTIONS(1636),
    [anon_sym_GT_GT] = ACTIONS(1636),
    [anon_sym_AMP] = ACTIONS(1636),
    [anon_sym_CARET] = ACTIONS(1636),
    [anon_sym_PIPE] = ACTIONS(1638),
  },
  [4899] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_into_clause_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [4900] = {
    [ts_builtin_sym_end] = ACTIONS(1632),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1632),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1632),
    [aux_sym_keyword_replace_token1] = ACTIONS(1632),
    [aux_sym__keyword_alter_token1] = ACTIONS(1632),
    [aux_sym__keyword_delete_token1] = ACTIONS(1632),
    [aux_sym__keyword_begin_token1] = ACTIONS(1632),
    [aux_sym__keyword_end_token1] = ACTIONS(1632),
    [aux_sym__keyword_between_token1] = ACTIONS(1632),
    [aux_sym__keyword_else_token1] = ACTIONS(1634),
    [aux_sym__keyword_is_token1] = ACTIONS(1632),
    [aux_sym__keyword_in_token1] = ACTIONS(1634),
    [aux_sym__keyword_and_token1] = ACTIONS(1632),
    [aux_sym__keyword_like_token1] = ACTIONS(1632),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1632),
    [aux_sym__keyword_for_token1] = ACTIONS(1632),
    [anon_sym_SEMI] = ACTIONS(1632),
    [aux_sym_declare_statement_token1] = ACTIONS(1632),
    [aux_sym_set_statement_token1] = ACTIONS(1632),
    [anon_sym_LPAREN] = ACTIONS(1632),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1632),
    [aux_sym_into_clause_token1] = ACTIONS(1632),
    [aux_sym_using_clause_token1] = ACTIONS(1632),
    [aux_sym_return_satement_token1] = ACTIONS(1632),
    [aux_sym_call_statement_token1] = ACTIONS(1632),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1632),
    [aux_sym_if_statement_token1] = ACTIONS(1632),
    [aux_sym_loop_statement_token1] = ACTIONS(1632),
    [aux_sym_repeat_statement_token1] = ACTIONS(1632),
    [aux_sym_while_statement_token1] = ACTIONS(1632),
    [aux_sym_break_statement_token1] = ACTIONS(1632),
    [aux_sym_leave_statement_token1] = ACTIONS(1632),
    [aux_sym_continue_statement_token1] = ACTIONS(1632),
    [aux_sym_iterate_statement_token1] = ACTIONS(1632),
    [aux_sym_raise_statement_token1] = ACTIONS(1632),
    [anon_sym_EQ] = ACTIONS(1632),
    [aux_sym_assert_statement_token1] = ACTIONS(1632),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1632),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1632),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1632),
    [anon_sym_LT] = ACTIONS(1634),
    [anon_sym_GT] = ACTIONS(1634),
    [aux_sym_select_token1] = ACTIONS(1632),
    [aux_sym_insert_statement_token1] = ACTIONS(1632),
    [aux_sym_truncate_statement_token1] = ACTIONS(1632),
    [aux_sym_update_statement_token1] = ACTIONS(1632),
    [aux_sym_merge_statement_token1] = ACTIONS(1632),
    [aux_sym_grant_statement_token1] = ACTIONS(1632),
    [aux_sym_revoke_statement_token1] = ACTIONS(1632),
    [aux_sym_export_data_statement_token1] = ACTIONS(1632),
    [aux_sym_load_data_statement_token1] = ACTIONS(1632),
    [anon_sym_LBRACK] = ACTIONS(1632),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1632),
    [anon_sym_PLUS] = ACTIONS(1632),
    [anon_sym_DASH] = ACTIONS(1634),
    [anon_sym_STAR] = ACTIONS(1632),
    [anon_sym_SLASH] = ACTIONS(1634),
    [anon_sym_PIPE_PIPE] = ACTIONS(1632),
    [anon_sym_LT_EQ] = ACTIONS(1632),
    [anon_sym_LT_GT] = ACTIONS(1632),
    [anon_sym_GT_EQ] = ACTIONS(1632),
    [anon_sym_BANG_EQ] = ACTIONS(1632),
    [anon_sym_LT_LT] = ACTIONS(1632),
    [anon_sym_GT_GT] = ACTIONS(1632),
    [anon_sym_AMP] = ACTIONS(1632),
    [anon_sym_CARET] = ACTIONS(1632),
    [anon_sym_PIPE] = ACTIONS(1634),
  },
  [4901] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_into_clause_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [4902] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_into_clause_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [4903] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_into_clause_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [4904] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_into_clause_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [4905] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_into_clause_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4906] = {
    [ts_builtin_sym_end] = ACTIONS(1768),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1768),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1768),
    [aux_sym_keyword_replace_token1] = ACTIONS(1768),
    [aux_sym__keyword_alter_token1] = ACTIONS(1768),
    [aux_sym__keyword_delete_token1] = ACTIONS(1768),
    [aux_sym__keyword_begin_token1] = ACTIONS(1768),
    [aux_sym__keyword_end_token1] = ACTIONS(1768),
    [aux_sym__keyword_between_token1] = ACTIONS(1768),
    [aux_sym__keyword_else_token1] = ACTIONS(1770),
    [aux_sym__keyword_is_token1] = ACTIONS(1768),
    [aux_sym__keyword_in_token1] = ACTIONS(1770),
    [aux_sym__keyword_and_token1] = ACTIONS(1768),
    [aux_sym__keyword_like_token1] = ACTIONS(1768),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1768),
    [aux_sym__keyword_for_token1] = ACTIONS(1768),
    [anon_sym_SEMI] = ACTIONS(1768),
    [aux_sym_declare_statement_token1] = ACTIONS(1768),
    [aux_sym_set_statement_token1] = ACTIONS(1768),
    [anon_sym_LPAREN] = ACTIONS(1768),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1768),
    [aux_sym_into_clause_token1] = ACTIONS(1768),
    [aux_sym_using_clause_token1] = ACTIONS(1768),
    [aux_sym_return_satement_token1] = ACTIONS(1768),
    [aux_sym_call_statement_token1] = ACTIONS(1768),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1768),
    [aux_sym_if_statement_token1] = ACTIONS(1768),
    [aux_sym_loop_statement_token1] = ACTIONS(1768),
    [aux_sym_repeat_statement_token1] = ACTIONS(1768),
    [aux_sym_while_statement_token1] = ACTIONS(1768),
    [aux_sym_break_statement_token1] = ACTIONS(1768),
    [aux_sym_leave_statement_token1] = ACTIONS(1768),
    [aux_sym_continue_statement_token1] = ACTIONS(1768),
    [aux_sym_iterate_statement_token1] = ACTIONS(1768),
    [aux_sym_raise_statement_token1] = ACTIONS(1768),
    [anon_sym_EQ] = ACTIONS(1768),
    [aux_sym_assert_statement_token1] = ACTIONS(1768),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1768),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1768),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1768),
    [anon_sym_LT] = ACTIONS(1770),
    [anon_sym_GT] = ACTIONS(1770),
    [aux_sym_select_token1] = ACTIONS(1768),
    [aux_sym_insert_statement_token1] = ACTIONS(1768),
    [aux_sym_truncate_statement_token1] = ACTIONS(1768),
    [aux_sym_update_statement_token1] = ACTIONS(1768),
    [aux_sym_merge_statement_token1] = ACTIONS(1768),
    [aux_sym_grant_statement_token1] = ACTIONS(1768),
    [aux_sym_revoke_statement_token1] = ACTIONS(1768),
    [aux_sym_export_data_statement_token1] = ACTIONS(1768),
    [aux_sym_load_data_statement_token1] = ACTIONS(1768),
    [anon_sym_LBRACK] = ACTIONS(1768),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1768),
    [anon_sym_PLUS] = ACTIONS(1768),
    [anon_sym_DASH] = ACTIONS(1770),
    [anon_sym_STAR] = ACTIONS(1768),
    [anon_sym_SLASH] = ACTIONS(1770),
    [anon_sym_PIPE_PIPE] = ACTIONS(1768),
    [anon_sym_LT_EQ] = ACTIONS(1768),
    [anon_sym_LT_GT] = ACTIONS(1768),
    [anon_sym_GT_EQ] = ACTIONS(1768),
    [anon_sym_BANG_EQ] = ACTIONS(1768),
    [anon_sym_LT_LT] = ACTIONS(1768),
    [anon_sym_GT_GT] = ACTIONS(1768),
    [anon_sym_AMP] = ACTIONS(1768),
    [anon_sym_CARET] = ACTIONS(1768),
    [anon_sym_PIPE] = ACTIONS(1770),
  },
  [4907] = {
    [ts_builtin_sym_end] = ACTIONS(1504),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1504),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1504),
    [aux_sym_keyword_replace_token1] = ACTIONS(1504),
    [aux_sym__keyword_alter_token1] = ACTIONS(1504),
    [aux_sym__keyword_delete_token1] = ACTIONS(1504),
    [aux_sym__keyword_begin_token1] = ACTIONS(1504),
    [aux_sym__keyword_end_token1] = ACTIONS(1504),
    [aux_sym__keyword_between_token1] = ACTIONS(1504),
    [aux_sym__keyword_else_token1] = ACTIONS(1506),
    [aux_sym__keyword_is_token1] = ACTIONS(1504),
    [aux_sym__keyword_in_token1] = ACTIONS(1506),
    [aux_sym__keyword_and_token1] = ACTIONS(1504),
    [aux_sym__keyword_like_token1] = ACTIONS(1504),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1504),
    [aux_sym__keyword_for_token1] = ACTIONS(1504),
    [anon_sym_SEMI] = ACTIONS(1504),
    [aux_sym_declare_statement_token1] = ACTIONS(1504),
    [aux_sym_set_statement_token1] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1504),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1504),
    [aux_sym_into_clause_token1] = ACTIONS(1504),
    [aux_sym_using_clause_token1] = ACTIONS(1504),
    [aux_sym_return_satement_token1] = ACTIONS(1504),
    [aux_sym_call_statement_token1] = ACTIONS(1504),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1504),
    [aux_sym_if_statement_token1] = ACTIONS(1504),
    [aux_sym_loop_statement_token1] = ACTIONS(1504),
    [aux_sym_repeat_statement_token1] = ACTIONS(1504),
    [aux_sym_while_statement_token1] = ACTIONS(1504),
    [aux_sym_break_statement_token1] = ACTIONS(1504),
    [aux_sym_leave_statement_token1] = ACTIONS(1504),
    [aux_sym_continue_statement_token1] = ACTIONS(1504),
    [aux_sym_iterate_statement_token1] = ACTIONS(1504),
    [aux_sym_raise_statement_token1] = ACTIONS(1504),
    [anon_sym_EQ] = ACTIONS(1504),
    [aux_sym_assert_statement_token1] = ACTIONS(1504),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1504),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1504),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1504),
    [anon_sym_LT] = ACTIONS(1506),
    [anon_sym_GT] = ACTIONS(1506),
    [aux_sym_select_token1] = ACTIONS(1504),
    [aux_sym_insert_statement_token1] = ACTIONS(1504),
    [aux_sym_truncate_statement_token1] = ACTIONS(1504),
    [aux_sym_update_statement_token1] = ACTIONS(1504),
    [aux_sym_merge_statement_token1] = ACTIONS(1504),
    [aux_sym_grant_statement_token1] = ACTIONS(1504),
    [aux_sym_revoke_statement_token1] = ACTIONS(1504),
    [aux_sym_export_data_statement_token1] = ACTIONS(1504),
    [aux_sym_load_data_statement_token1] = ACTIONS(1504),
    [anon_sym_LBRACK] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1504),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1506),
    [anon_sym_STAR] = ACTIONS(1504),
    [anon_sym_SLASH] = ACTIONS(1506),
    [anon_sym_PIPE_PIPE] = ACTIONS(1504),
    [anon_sym_LT_EQ] = ACTIONS(1504),
    [anon_sym_LT_GT] = ACTIONS(1504),
    [anon_sym_GT_EQ] = ACTIONS(1504),
    [anon_sym_BANG_EQ] = ACTIONS(1504),
    [anon_sym_LT_LT] = ACTIONS(1504),
    [anon_sym_GT_GT] = ACTIONS(1504),
    [anon_sym_AMP] = ACTIONS(1504),
    [anon_sym_CARET] = ACTIONS(1504),
    [anon_sym_PIPE] = ACTIONS(1506),
  },
  [4908] = {
    [sym__unquoted_identifier] = ACTIONS(1510),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1510),
    [aux_sym_keyword_replace_token1] = ACTIONS(1510),
    [aux_sym__keyword_alter_token1] = ACTIONS(1510),
    [aux_sym__keyword_from_token1] = ACTIONS(1510),
    [aux_sym__keyword_end_token1] = ACTIONS(1510),
    [aux_sym__keyword_struct_token1] = ACTIONS(1510),
    [aux_sym__keyword_range_token1] = ACTIONS(1510),
    [aux_sym__keyword_array_token1] = ACTIONS(1510),
    [aux_sym__keyword_between_token1] = ACTIONS(1510),
    [aux_sym__keyword_when_token1] = ACTIONS(1510),
    [aux_sym__keyword_then_token1] = ACTIONS(1510),
    [aux_sym__keyword_else_token1] = ACTIONS(1510),
    [aux_sym__keyword_is_token1] = ACTIONS(1510),
    [aux_sym__keyword_in_token1] = ACTIONS(1510),
    [aux_sym__keyword_and_token1] = ACTIONS(1510),
    [aux_sym__keyword_like_token1] = ACTIONS(1510),
    [anon_sym_COMMA] = ACTIONS(1508),
    [aux_sym_set_statement_token1] = ACTIONS(1510),
    [anon_sym_LPAREN] = ACTIONS(1508),
    [anon_sym_RPAREN] = ACTIONS(1508),
    [aux_sym_using_clause_token1] = ACTIONS(1510),
    [aux_sym_while_statement_token2] = ACTIONS(1510),
    [anon_sym_EQ] = ACTIONS(1510),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1510),
    [aux_sym_clone_clause_token1] = ACTIONS(1510),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1510),
    [aux_sym_alter_table_rename_statement_token1] = ACTIONS(1510),
    [aux_sym_alter_table_rename_statement_token2] = ACTIONS(1510),
    [aux_sym_add_column_action_token1] = ACTIONS(1510),
    [aux_sym_foreign_key_token1] = ACTIONS(1510),
    [anon_sym_LT] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1510),
    [aux_sym_partition_expression_token5] = ACTIONS(1510),
    [aux_sym_partition_expression_token6] = ACTIONS(1510),
    [aux_sym_partition_expression_token7] = ACTIONS(1510),
    [aux_sym_partition_expression_token8] = ACTIONS(1510),
    [aux_sym_partition_expression_token10] = ACTIONS(1510),
    [aux_sym_select_token1] = ACTIONS(1510),
    [aux_sym_limit_clause_token1] = ACTIONS(1510),
    [aux_sym_rows_range_token1] = ACTIONS(1510),
    [aux_sym__direction_keywords_token1] = ACTIONS(1510),
    [aux_sym__direction_keywords_token2] = ACTIONS(1510),
    [aux_sym__nulls_preference_token1] = ACTIONS(1510),
    [aux_sym_where_clause_token1] = ACTIONS(1510),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1510),
    [aux_sym_join_condition_token1] = ACTIONS(1510),
    [anon_sym_EQ_GT] = ACTIONS(1508),
    [aux_sym_values_clause_token1] = ACTIONS(1510),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_RBRACK] = ACTIONS(1508),
    [anon_sym_DOT] = ACTIONS(1514),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1510),
    [anon_sym_PLUS] = ACTIONS(1508),
    [anon_sym_DASH] = ACTIONS(1510),
    [anon_sym_STAR] = ACTIONS(1508),
    [anon_sym_SLASH] = ACTIONS(1510),
    [anon_sym_PIPE_PIPE] = ACTIONS(1508),
    [anon_sym_LT_EQ] = ACTIONS(1508),
    [anon_sym_LT_GT] = ACTIONS(1508),
    [anon_sym_GT_EQ] = ACTIONS(1508),
    [anon_sym_BANG_EQ] = ACTIONS(1508),
    [anon_sym_LT_LT] = ACTIONS(1508),
    [anon_sym_GT_GT] = ACTIONS(1508),
    [anon_sym_AMP] = ACTIONS(1508),
    [anon_sym_CARET] = ACTIONS(1508),
    [anon_sym_PIPE] = ACTIONS(1510),
  },
  [4909] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_into_clause_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4910] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_into_clause_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4911] = {
    [ts_builtin_sym_end] = ACTIONS(1500),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1500),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1500),
    [aux_sym_keyword_replace_token1] = ACTIONS(1500),
    [aux_sym__keyword_alter_token1] = ACTIONS(1500),
    [aux_sym__keyword_delete_token1] = ACTIONS(1500),
    [aux_sym__keyword_begin_token1] = ACTIONS(1500),
    [aux_sym__keyword_end_token1] = ACTIONS(1500),
    [aux_sym__keyword_between_token1] = ACTIONS(1500),
    [aux_sym__keyword_else_token1] = ACTIONS(1502),
    [aux_sym__keyword_is_token1] = ACTIONS(1500),
    [aux_sym__keyword_in_token1] = ACTIONS(1502),
    [aux_sym__keyword_and_token1] = ACTIONS(1500),
    [aux_sym__keyword_like_token1] = ACTIONS(1500),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1500),
    [aux_sym__keyword_for_token1] = ACTIONS(1500),
    [anon_sym_SEMI] = ACTIONS(1500),
    [aux_sym_declare_statement_token1] = ACTIONS(1500),
    [aux_sym_set_statement_token1] = ACTIONS(1500),
    [anon_sym_LPAREN] = ACTIONS(1500),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1500),
    [aux_sym_into_clause_token1] = ACTIONS(1500),
    [aux_sym_using_clause_token1] = ACTIONS(1500),
    [aux_sym_return_satement_token1] = ACTIONS(1500),
    [aux_sym_call_statement_token1] = ACTIONS(1500),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1500),
    [aux_sym_if_statement_token1] = ACTIONS(1500),
    [aux_sym_loop_statement_token1] = ACTIONS(1500),
    [aux_sym_repeat_statement_token1] = ACTIONS(1500),
    [aux_sym_while_statement_token1] = ACTIONS(1500),
    [aux_sym_break_statement_token1] = ACTIONS(1500),
    [aux_sym_leave_statement_token1] = ACTIONS(1500),
    [aux_sym_continue_statement_token1] = ACTIONS(1500),
    [aux_sym_iterate_statement_token1] = ACTIONS(1500),
    [aux_sym_raise_statement_token1] = ACTIONS(1500),
    [anon_sym_EQ] = ACTIONS(1500),
    [aux_sym_assert_statement_token1] = ACTIONS(1500),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1500),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1500),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1500),
    [anon_sym_LT] = ACTIONS(1502),
    [anon_sym_GT] = ACTIONS(1502),
    [aux_sym_select_token1] = ACTIONS(1500),
    [aux_sym_insert_statement_token1] = ACTIONS(1500),
    [aux_sym_truncate_statement_token1] = ACTIONS(1500),
    [aux_sym_update_statement_token1] = ACTIONS(1500),
    [aux_sym_merge_statement_token1] = ACTIONS(1500),
    [aux_sym_grant_statement_token1] = ACTIONS(1500),
    [aux_sym_revoke_statement_token1] = ACTIONS(1500),
    [aux_sym_export_data_statement_token1] = ACTIONS(1500),
    [aux_sym_load_data_statement_token1] = ACTIONS(1500),
    [anon_sym_LBRACK] = ACTIONS(1500),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_STAR] = ACTIONS(1500),
    [anon_sym_SLASH] = ACTIONS(1502),
    [anon_sym_PIPE_PIPE] = ACTIONS(1500),
    [anon_sym_LT_EQ] = ACTIONS(1500),
    [anon_sym_LT_GT] = ACTIONS(1500),
    [anon_sym_GT_EQ] = ACTIONS(1500),
    [anon_sym_BANG_EQ] = ACTIONS(1500),
    [anon_sym_LT_LT] = ACTIONS(1500),
    [anon_sym_GT_GT] = ACTIONS(1500),
    [anon_sym_AMP] = ACTIONS(1500),
    [anon_sym_CARET] = ACTIONS(1500),
    [anon_sym_PIPE] = ACTIONS(1502),
  },
  [4912] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1354),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1354),
    [aux_sym_keyword_replace_token1] = ACTIONS(1354),
    [aux_sym__keyword_alter_token1] = ACTIONS(1354),
    [aux_sym__keyword_delete_token1] = ACTIONS(1354),
    [aux_sym__keyword_begin_token1] = ACTIONS(1354),
    [aux_sym__keyword_end_token1] = ACTIONS(1354),
    [aux_sym__keyword_between_token1] = ACTIONS(1354),
    [aux_sym__keyword_else_token1] = ACTIONS(1356),
    [aux_sym__keyword_is_token1] = ACTIONS(1354),
    [aux_sym__keyword_in_token1] = ACTIONS(1356),
    [aux_sym__keyword_and_token1] = ACTIONS(1354),
    [aux_sym__keyword_like_token1] = ACTIONS(1354),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1354),
    [aux_sym__keyword_for_token1] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1354),
    [aux_sym_into_clause_token1] = ACTIONS(1354),
    [aux_sym_using_clause_token1] = ACTIONS(1354),
    [aux_sym_return_satement_token1] = ACTIONS(1354),
    [aux_sym_call_statement_token1] = ACTIONS(1354),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_loop_statement_token1] = ACTIONS(1354),
    [aux_sym_repeat_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [aux_sym_leave_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_iterate_statement_token1] = ACTIONS(1354),
    [aux_sym_raise_statement_token1] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [aux_sym_assert_statement_token1] = ACTIONS(1354),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1354),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1354),
    [aux_sym_insert_statement_token1] = ACTIONS(1354),
    [aux_sym_truncate_statement_token1] = ACTIONS(1354),
    [aux_sym_update_statement_token1] = ACTIONS(1354),
    [aux_sym_merge_statement_token1] = ACTIONS(1354),
    [aux_sym_grant_statement_token1] = ACTIONS(1354),
    [aux_sym_revoke_statement_token1] = ACTIONS(1354),
    [aux_sym_export_data_statement_token1] = ACTIONS(1354),
    [aux_sym_load_data_statement_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1354),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1354),
    [anon_sym_GT_GT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1356),
  },
  [4913] = {
    [ts_builtin_sym_end] = ACTIONS(1484),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1484),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1484),
    [aux_sym_keyword_replace_token1] = ACTIONS(1484),
    [aux_sym__keyword_alter_token1] = ACTIONS(1484),
    [aux_sym__keyword_delete_token1] = ACTIONS(1484),
    [aux_sym__keyword_begin_token1] = ACTIONS(1484),
    [aux_sym__keyword_end_token1] = ACTIONS(1484),
    [aux_sym__keyword_between_token1] = ACTIONS(1484),
    [aux_sym__keyword_else_token1] = ACTIONS(1486),
    [aux_sym__keyword_is_token1] = ACTIONS(1484),
    [aux_sym__keyword_in_token1] = ACTIONS(1486),
    [aux_sym__keyword_and_token1] = ACTIONS(1484),
    [aux_sym__keyword_like_token1] = ACTIONS(1484),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1484),
    [aux_sym__keyword_for_token1] = ACTIONS(1484),
    [anon_sym_SEMI] = ACTIONS(1484),
    [aux_sym_declare_statement_token1] = ACTIONS(1484),
    [aux_sym_set_statement_token1] = ACTIONS(1484),
    [anon_sym_LPAREN] = ACTIONS(1484),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1484),
    [aux_sym_into_clause_token1] = ACTIONS(1484),
    [aux_sym_using_clause_token1] = ACTIONS(1484),
    [aux_sym_return_satement_token1] = ACTIONS(1484),
    [aux_sym_call_statement_token1] = ACTIONS(1484),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1484),
    [aux_sym_if_statement_token1] = ACTIONS(1484),
    [aux_sym_loop_statement_token1] = ACTIONS(1484),
    [aux_sym_repeat_statement_token1] = ACTIONS(1484),
    [aux_sym_while_statement_token1] = ACTIONS(1484),
    [aux_sym_break_statement_token1] = ACTIONS(1484),
    [aux_sym_leave_statement_token1] = ACTIONS(1484),
    [aux_sym_continue_statement_token1] = ACTIONS(1484),
    [aux_sym_iterate_statement_token1] = ACTIONS(1484),
    [aux_sym_raise_statement_token1] = ACTIONS(1484),
    [anon_sym_EQ] = ACTIONS(1484),
    [aux_sym_assert_statement_token1] = ACTIONS(1484),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1484),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1484),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1484),
    [anon_sym_LT] = ACTIONS(1486),
    [anon_sym_GT] = ACTIONS(1486),
    [aux_sym_select_token1] = ACTIONS(1484),
    [aux_sym_insert_statement_token1] = ACTIONS(1484),
    [aux_sym_truncate_statement_token1] = ACTIONS(1484),
    [aux_sym_update_statement_token1] = ACTIONS(1484),
    [aux_sym_merge_statement_token1] = ACTIONS(1484),
    [aux_sym_grant_statement_token1] = ACTIONS(1484),
    [aux_sym_revoke_statement_token1] = ACTIONS(1484),
    [aux_sym_export_data_statement_token1] = ACTIONS(1484),
    [aux_sym_load_data_statement_token1] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_SLASH] = ACTIONS(1486),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [anon_sym_LT_EQ] = ACTIONS(1484),
    [anon_sym_LT_GT] = ACTIONS(1484),
    [anon_sym_GT_EQ] = ACTIONS(1484),
    [anon_sym_BANG_EQ] = ACTIONS(1484),
    [anon_sym_LT_LT] = ACTIONS(1484),
    [anon_sym_GT_GT] = ACTIONS(1484),
    [anon_sym_AMP] = ACTIONS(1484),
    [anon_sym_CARET] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1486),
  },
  [4914] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_into_clause_token1] = ACTIONS(1378),
    [aux_sym_using_clause_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [4915] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_into_clause_token1] = ACTIONS(1378),
    [aux_sym_using_clause_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [4916] = {
    [ts_builtin_sym_end] = ACTIONS(1496),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1496),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1496),
    [aux_sym_keyword_replace_token1] = ACTIONS(1496),
    [aux_sym__keyword_alter_token1] = ACTIONS(1496),
    [aux_sym__keyword_delete_token1] = ACTIONS(1496),
    [aux_sym__keyword_begin_token1] = ACTIONS(1496),
    [aux_sym__keyword_end_token1] = ACTIONS(1496),
    [aux_sym__keyword_between_token1] = ACTIONS(1496),
    [aux_sym__keyword_else_token1] = ACTIONS(1498),
    [aux_sym__keyword_is_token1] = ACTIONS(1496),
    [aux_sym__keyword_in_token1] = ACTIONS(1498),
    [aux_sym__keyword_and_token1] = ACTIONS(1496),
    [aux_sym__keyword_like_token1] = ACTIONS(1496),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1496),
    [aux_sym__keyword_for_token1] = ACTIONS(1496),
    [anon_sym_SEMI] = ACTIONS(1496),
    [aux_sym_declare_statement_token1] = ACTIONS(1496),
    [aux_sym_set_statement_token1] = ACTIONS(1496),
    [anon_sym_LPAREN] = ACTIONS(1496),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1496),
    [aux_sym_into_clause_token1] = ACTIONS(1496),
    [aux_sym_using_clause_token1] = ACTIONS(1496),
    [aux_sym_return_satement_token1] = ACTIONS(1496),
    [aux_sym_call_statement_token1] = ACTIONS(1496),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1496),
    [aux_sym_if_statement_token1] = ACTIONS(1496),
    [aux_sym_loop_statement_token1] = ACTIONS(1496),
    [aux_sym_repeat_statement_token1] = ACTIONS(1496),
    [aux_sym_while_statement_token1] = ACTIONS(1496),
    [aux_sym_break_statement_token1] = ACTIONS(1496),
    [aux_sym_leave_statement_token1] = ACTIONS(1496),
    [aux_sym_continue_statement_token1] = ACTIONS(1496),
    [aux_sym_iterate_statement_token1] = ACTIONS(1496),
    [aux_sym_raise_statement_token1] = ACTIONS(1496),
    [anon_sym_EQ] = ACTIONS(1496),
    [aux_sym_assert_statement_token1] = ACTIONS(1496),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1496),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1496),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1496),
    [anon_sym_LT] = ACTIONS(1498),
    [anon_sym_GT] = ACTIONS(1498),
    [aux_sym_select_token1] = ACTIONS(1496),
    [aux_sym_insert_statement_token1] = ACTIONS(1496),
    [aux_sym_truncate_statement_token1] = ACTIONS(1496),
    [aux_sym_update_statement_token1] = ACTIONS(1496),
    [aux_sym_merge_statement_token1] = ACTIONS(1496),
    [aux_sym_grant_statement_token1] = ACTIONS(1496),
    [aux_sym_revoke_statement_token1] = ACTIONS(1496),
    [aux_sym_export_data_statement_token1] = ACTIONS(1496),
    [aux_sym_load_data_statement_token1] = ACTIONS(1496),
    [anon_sym_LBRACK] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(1498),
    [anon_sym_PIPE_PIPE] = ACTIONS(1496),
    [anon_sym_LT_EQ] = ACTIONS(1496),
    [anon_sym_LT_GT] = ACTIONS(1496),
    [anon_sym_GT_EQ] = ACTIONS(1496),
    [anon_sym_BANG_EQ] = ACTIONS(1496),
    [anon_sym_LT_LT] = ACTIONS(1496),
    [anon_sym_GT_GT] = ACTIONS(1496),
    [anon_sym_AMP] = ACTIONS(1496),
    [anon_sym_CARET] = ACTIONS(1496),
    [anon_sym_PIPE] = ACTIONS(1498),
  },
  [4917] = {
    [ts_builtin_sym_end] = ACTIONS(1622),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1622),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1622),
    [aux_sym_keyword_replace_token1] = ACTIONS(1622),
    [aux_sym__keyword_alter_token1] = ACTIONS(1622),
    [aux_sym__keyword_delete_token1] = ACTIONS(1622),
    [aux_sym__keyword_begin_token1] = ACTIONS(1622),
    [aux_sym__keyword_end_token1] = ACTIONS(1622),
    [aux_sym__keyword_between_token1] = ACTIONS(1622),
    [aux_sym__keyword_else_token1] = ACTIONS(1624),
    [aux_sym__keyword_is_token1] = ACTIONS(1622),
    [aux_sym__keyword_in_token1] = ACTIONS(1624),
    [aux_sym__keyword_and_token1] = ACTIONS(1622),
    [aux_sym__keyword_like_token1] = ACTIONS(1622),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1622),
    [aux_sym__keyword_for_token1] = ACTIONS(1622),
    [anon_sym_SEMI] = ACTIONS(1622),
    [aux_sym_declare_statement_token1] = ACTIONS(1622),
    [aux_sym_set_statement_token1] = ACTIONS(1622),
    [anon_sym_LPAREN] = ACTIONS(3414),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1622),
    [aux_sym_into_clause_token1] = ACTIONS(1622),
    [aux_sym_using_clause_token1] = ACTIONS(1622),
    [aux_sym_return_satement_token1] = ACTIONS(1622),
    [aux_sym_call_statement_token1] = ACTIONS(1622),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1622),
    [aux_sym_if_statement_token1] = ACTIONS(1622),
    [aux_sym_loop_statement_token1] = ACTIONS(1622),
    [aux_sym_repeat_statement_token1] = ACTIONS(1622),
    [aux_sym_while_statement_token1] = ACTIONS(1622),
    [aux_sym_break_statement_token1] = ACTIONS(1622),
    [aux_sym_leave_statement_token1] = ACTIONS(1622),
    [aux_sym_continue_statement_token1] = ACTIONS(1622),
    [aux_sym_iterate_statement_token1] = ACTIONS(1622),
    [aux_sym_raise_statement_token1] = ACTIONS(1622),
    [anon_sym_EQ] = ACTIONS(1622),
    [aux_sym_assert_statement_token1] = ACTIONS(1622),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1622),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1622),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1622),
    [anon_sym_LT] = ACTIONS(1624),
    [anon_sym_GT] = ACTIONS(1624),
    [aux_sym_select_token1] = ACTIONS(1622),
    [aux_sym_insert_statement_token1] = ACTIONS(1622),
    [aux_sym_truncate_statement_token1] = ACTIONS(1622),
    [aux_sym_update_statement_token1] = ACTIONS(1622),
    [aux_sym_merge_statement_token1] = ACTIONS(1622),
    [aux_sym_grant_statement_token1] = ACTIONS(1622),
    [aux_sym_revoke_statement_token1] = ACTIONS(1622),
    [aux_sym_export_data_statement_token1] = ACTIONS(1622),
    [aux_sym_load_data_statement_token1] = ACTIONS(1622),
    [anon_sym_LBRACK] = ACTIONS(1622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1622),
    [anon_sym_PLUS] = ACTIONS(1622),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_STAR] = ACTIONS(1622),
    [anon_sym_SLASH] = ACTIONS(1624),
    [anon_sym_PIPE_PIPE] = ACTIONS(1622),
    [anon_sym_LT_EQ] = ACTIONS(1622),
    [anon_sym_LT_GT] = ACTIONS(1622),
    [anon_sym_GT_EQ] = ACTIONS(1622),
    [anon_sym_BANG_EQ] = ACTIONS(1622),
    [anon_sym_LT_LT] = ACTIONS(1622),
    [anon_sym_GT_GT] = ACTIONS(1622),
    [anon_sym_AMP] = ACTIONS(1622),
    [anon_sym_CARET] = ACTIONS(1622),
    [anon_sym_PIPE] = ACTIONS(1624),
  },
  [4918] = {
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1360),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_into_clause_token1] = ACTIONS(1360),
    [aux_sym_using_clause_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [4919] = {
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1360),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_into_clause_token1] = ACTIONS(1360),
    [aux_sym_using_clause_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [4920] = {
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1360),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_into_clause_token1] = ACTIONS(1360),
    [aux_sym_using_clause_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [4921] = {
    [ts_builtin_sym_end] = ACTIONS(1626),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1626),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1626),
    [aux_sym_keyword_replace_token1] = ACTIONS(1626),
    [aux_sym__keyword_alter_token1] = ACTIONS(1626),
    [aux_sym__keyword_delete_token1] = ACTIONS(1626),
    [aux_sym__keyword_begin_token1] = ACTIONS(1626),
    [aux_sym__keyword_end_token1] = ACTIONS(1626),
    [aux_sym__keyword_between_token1] = ACTIONS(1626),
    [aux_sym__keyword_else_token1] = ACTIONS(1628),
    [aux_sym__keyword_is_token1] = ACTIONS(1626),
    [aux_sym__keyword_in_token1] = ACTIONS(1628),
    [aux_sym__keyword_and_token1] = ACTIONS(1626),
    [aux_sym__keyword_like_token1] = ACTIONS(1626),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1626),
    [aux_sym__keyword_for_token1] = ACTIONS(1626),
    [anon_sym_SEMI] = ACTIONS(1626),
    [aux_sym_declare_statement_token1] = ACTIONS(1626),
    [aux_sym_set_statement_token1] = ACTIONS(1626),
    [anon_sym_LPAREN] = ACTIONS(1626),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1626),
    [aux_sym_into_clause_token1] = ACTIONS(1626),
    [aux_sym_using_clause_token1] = ACTIONS(1626),
    [aux_sym_return_satement_token1] = ACTIONS(1626),
    [aux_sym_call_statement_token1] = ACTIONS(1626),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1626),
    [aux_sym_if_statement_token1] = ACTIONS(1626),
    [aux_sym_loop_statement_token1] = ACTIONS(1626),
    [aux_sym_repeat_statement_token1] = ACTIONS(1626),
    [aux_sym_while_statement_token1] = ACTIONS(1626),
    [aux_sym_break_statement_token1] = ACTIONS(1626),
    [aux_sym_leave_statement_token1] = ACTIONS(1626),
    [aux_sym_continue_statement_token1] = ACTIONS(1626),
    [aux_sym_iterate_statement_token1] = ACTIONS(1626),
    [aux_sym_raise_statement_token1] = ACTIONS(1626),
    [anon_sym_EQ] = ACTIONS(1626),
    [aux_sym_assert_statement_token1] = ACTIONS(1626),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1626),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1626),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1626),
    [anon_sym_LT] = ACTIONS(1628),
    [anon_sym_GT] = ACTIONS(1628),
    [aux_sym_select_token1] = ACTIONS(1626),
    [aux_sym_insert_statement_token1] = ACTIONS(1626),
    [aux_sym_truncate_statement_token1] = ACTIONS(1626),
    [aux_sym_update_statement_token1] = ACTIONS(1626),
    [aux_sym_merge_statement_token1] = ACTIONS(1626),
    [aux_sym_grant_statement_token1] = ACTIONS(1626),
    [aux_sym_revoke_statement_token1] = ACTIONS(1626),
    [aux_sym_export_data_statement_token1] = ACTIONS(1626),
    [aux_sym_load_data_statement_token1] = ACTIONS(1626),
    [anon_sym_LBRACK] = ACTIONS(1626),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1626),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1628),
    [anon_sym_STAR] = ACTIONS(1626),
    [anon_sym_SLASH] = ACTIONS(1628),
    [anon_sym_PIPE_PIPE] = ACTIONS(1626),
    [anon_sym_LT_EQ] = ACTIONS(1626),
    [anon_sym_LT_GT] = ACTIONS(1626),
    [anon_sym_GT_EQ] = ACTIONS(1626),
    [anon_sym_BANG_EQ] = ACTIONS(1626),
    [anon_sym_LT_LT] = ACTIONS(1626),
    [anon_sym_GT_GT] = ACTIONS(1626),
    [anon_sym_AMP] = ACTIONS(1626),
    [anon_sym_CARET] = ACTIONS(1626),
    [anon_sym_PIPE] = ACTIONS(1628),
  },
  [4922] = {
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1360),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_into_clause_token1] = ACTIONS(1360),
    [aux_sym_using_clause_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [4923] = {
    [ts_builtin_sym_end] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1360),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1360),
    [aux_sym_keyword_replace_token1] = ACTIONS(1360),
    [aux_sym__keyword_alter_token1] = ACTIONS(1360),
    [aux_sym__keyword_delete_token1] = ACTIONS(1360),
    [aux_sym__keyword_begin_token1] = ACTIONS(1360),
    [aux_sym__keyword_end_token1] = ACTIONS(1360),
    [aux_sym__keyword_between_token1] = ACTIONS(1360),
    [aux_sym__keyword_else_token1] = ACTIONS(1362),
    [aux_sym__keyword_is_token1] = ACTIONS(1360),
    [aux_sym__keyword_in_token1] = ACTIONS(1362),
    [aux_sym__keyword_and_token1] = ACTIONS(1360),
    [aux_sym__keyword_like_token1] = ACTIONS(1360),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1360),
    [aux_sym__keyword_for_token1] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1360),
    [aux_sym_into_clause_token1] = ACTIONS(1360),
    [aux_sym_using_clause_token1] = ACTIONS(1360),
    [aux_sym_return_satement_token1] = ACTIONS(1360),
    [aux_sym_call_statement_token1] = ACTIONS(1360),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_loop_statement_token1] = ACTIONS(1360),
    [aux_sym_repeat_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [aux_sym_leave_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_iterate_statement_token1] = ACTIONS(1360),
    [aux_sym_raise_statement_token1] = ACTIONS(1360),
    [anon_sym_EQ] = ACTIONS(1360),
    [aux_sym_assert_statement_token1] = ACTIONS(1360),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1360),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1360),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1360),
    [aux_sym_insert_statement_token1] = ACTIONS(1360),
    [aux_sym_truncate_statement_token1] = ACTIONS(1360),
    [aux_sym_update_statement_token1] = ACTIONS(1360),
    [aux_sym_merge_statement_token1] = ACTIONS(1360),
    [aux_sym_grant_statement_token1] = ACTIONS(1360),
    [aux_sym_revoke_statement_token1] = ACTIONS(1360),
    [aux_sym_export_data_statement_token1] = ACTIONS(1360),
    [aux_sym_load_data_statement_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_LT_EQ] = ACTIONS(1360),
    [anon_sym_LT_GT] = ACTIONS(1360),
    [anon_sym_GT_EQ] = ACTIONS(1360),
    [anon_sym_BANG_EQ] = ACTIONS(1360),
    [anon_sym_LT_LT] = ACTIONS(1360),
    [anon_sym_GT_GT] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PIPE] = ACTIONS(1362),
  },
  [4924] = {
    [ts_builtin_sym_end] = ACTIONS(1622),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1622),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1622),
    [aux_sym_keyword_replace_token1] = ACTIONS(1622),
    [aux_sym__keyword_alter_token1] = ACTIONS(1622),
    [aux_sym__keyword_delete_token1] = ACTIONS(1622),
    [aux_sym__keyword_begin_token1] = ACTIONS(1622),
    [aux_sym__keyword_end_token1] = ACTIONS(1622),
    [aux_sym__keyword_between_token1] = ACTIONS(1622),
    [aux_sym__keyword_else_token1] = ACTIONS(1624),
    [aux_sym__keyword_is_token1] = ACTIONS(1622),
    [aux_sym__keyword_in_token1] = ACTIONS(1624),
    [aux_sym__keyword_and_token1] = ACTIONS(1622),
    [aux_sym__keyword_like_token1] = ACTIONS(1622),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1622),
    [aux_sym__keyword_for_token1] = ACTIONS(1622),
    [anon_sym_SEMI] = ACTIONS(1622),
    [aux_sym_declare_statement_token1] = ACTIONS(1622),
    [aux_sym_set_statement_token1] = ACTIONS(1622),
    [anon_sym_LPAREN] = ACTIONS(1622),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1622),
    [aux_sym_into_clause_token1] = ACTIONS(1622),
    [aux_sym_using_clause_token1] = ACTIONS(1622),
    [aux_sym_return_satement_token1] = ACTIONS(1622),
    [aux_sym_call_statement_token1] = ACTIONS(1622),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1622),
    [aux_sym_if_statement_token1] = ACTIONS(1622),
    [aux_sym_loop_statement_token1] = ACTIONS(1622),
    [aux_sym_repeat_statement_token1] = ACTIONS(1622),
    [aux_sym_while_statement_token1] = ACTIONS(1622),
    [aux_sym_break_statement_token1] = ACTIONS(1622),
    [aux_sym_leave_statement_token1] = ACTIONS(1622),
    [aux_sym_continue_statement_token1] = ACTIONS(1622),
    [aux_sym_iterate_statement_token1] = ACTIONS(1622),
    [aux_sym_raise_statement_token1] = ACTIONS(1622),
    [anon_sym_EQ] = ACTIONS(1622),
    [aux_sym_assert_statement_token1] = ACTIONS(1622),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1622),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1622),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1622),
    [anon_sym_LT] = ACTIONS(1624),
    [anon_sym_GT] = ACTIONS(1624),
    [aux_sym_select_token1] = ACTIONS(1622),
    [aux_sym_insert_statement_token1] = ACTIONS(1622),
    [aux_sym_truncate_statement_token1] = ACTIONS(1622),
    [aux_sym_update_statement_token1] = ACTIONS(1622),
    [aux_sym_merge_statement_token1] = ACTIONS(1622),
    [aux_sym_grant_statement_token1] = ACTIONS(1622),
    [aux_sym_revoke_statement_token1] = ACTIONS(1622),
    [aux_sym_export_data_statement_token1] = ACTIONS(1622),
    [aux_sym_load_data_statement_token1] = ACTIONS(1622),
    [anon_sym_LBRACK] = ACTIONS(1622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1622),
    [anon_sym_PLUS] = ACTIONS(1622),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_STAR] = ACTIONS(1622),
    [anon_sym_SLASH] = ACTIONS(1624),
    [anon_sym_PIPE_PIPE] = ACTIONS(1622),
    [anon_sym_LT_EQ] = ACTIONS(1622),
    [anon_sym_LT_GT] = ACTIONS(1622),
    [anon_sym_GT_EQ] = ACTIONS(1622),
    [anon_sym_BANG_EQ] = ACTIONS(1622),
    [anon_sym_LT_LT] = ACTIONS(1622),
    [anon_sym_GT_GT] = ACTIONS(1622),
    [anon_sym_AMP] = ACTIONS(1622),
    [anon_sym_CARET] = ACTIONS(1622),
    [anon_sym_PIPE] = ACTIONS(1624),
  },
  [4925] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1370),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1370),
    [aux_sym_keyword_replace_token1] = ACTIONS(1370),
    [aux_sym__keyword_alter_token1] = ACTIONS(1370),
    [aux_sym__keyword_delete_token1] = ACTIONS(1370),
    [aux_sym__keyword_begin_token1] = ACTIONS(1370),
    [aux_sym__keyword_end_token1] = ACTIONS(1370),
    [aux_sym__keyword_between_token1] = ACTIONS(1370),
    [aux_sym__keyword_else_token1] = ACTIONS(1372),
    [aux_sym__keyword_is_token1] = ACTIONS(1370),
    [aux_sym__keyword_in_token1] = ACTIONS(1372),
    [aux_sym__keyword_and_token1] = ACTIONS(1370),
    [aux_sym__keyword_like_token1] = ACTIONS(1370),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1370),
    [aux_sym__keyword_for_token1] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1370),
    [aux_sym_into_clause_token1] = ACTIONS(1370),
    [aux_sym_using_clause_token1] = ACTIONS(1370),
    [aux_sym_return_satement_token1] = ACTIONS(1370),
    [aux_sym_call_statement_token1] = ACTIONS(1370),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_loop_statement_token1] = ACTIONS(1370),
    [aux_sym_repeat_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [aux_sym_leave_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_iterate_statement_token1] = ACTIONS(1370),
    [aux_sym_raise_statement_token1] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1370),
    [aux_sym_assert_statement_token1] = ACTIONS(1370),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1370),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1370),
    [aux_sym_insert_statement_token1] = ACTIONS(1370),
    [aux_sym_truncate_statement_token1] = ACTIONS(1370),
    [aux_sym_update_statement_token1] = ACTIONS(1370),
    [aux_sym_merge_statement_token1] = ACTIONS(1370),
    [aux_sym_grant_statement_token1] = ACTIONS(1370),
    [aux_sym_revoke_statement_token1] = ACTIONS(1370),
    [aux_sym_export_data_statement_token1] = ACTIONS(1370),
    [aux_sym_load_data_statement_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_GT_GT] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1370),
    [anon_sym_PIPE] = ACTIONS(1372),
  },
  [4926] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_into_clause_token1] = ACTIONS(1378),
    [aux_sym_using_clause_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [4927] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_into_clause_token1] = ACTIONS(1378),
    [aux_sym_using_clause_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [4928] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_into_clause_token1] = ACTIONS(1378),
    [aux_sym_using_clause_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [4929] = {
    [ts_builtin_sym_end] = ACTIONS(1618),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1618),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1618),
    [aux_sym_keyword_replace_token1] = ACTIONS(1618),
    [aux_sym__keyword_alter_token1] = ACTIONS(1618),
    [aux_sym__keyword_delete_token1] = ACTIONS(1618),
    [aux_sym__keyword_begin_token1] = ACTIONS(1618),
    [aux_sym__keyword_end_token1] = ACTIONS(1618),
    [aux_sym__keyword_between_token1] = ACTIONS(1618),
    [aux_sym__keyword_else_token1] = ACTIONS(1620),
    [aux_sym__keyword_is_token1] = ACTIONS(1618),
    [aux_sym__keyword_in_token1] = ACTIONS(1620),
    [aux_sym__keyword_and_token1] = ACTIONS(1618),
    [aux_sym__keyword_like_token1] = ACTIONS(1618),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1618),
    [aux_sym__keyword_for_token1] = ACTIONS(1618),
    [anon_sym_SEMI] = ACTIONS(1618),
    [aux_sym_declare_statement_token1] = ACTIONS(1618),
    [aux_sym_set_statement_token1] = ACTIONS(1618),
    [anon_sym_LPAREN] = ACTIONS(1618),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1618),
    [aux_sym_into_clause_token1] = ACTIONS(1618),
    [aux_sym_using_clause_token1] = ACTIONS(1618),
    [aux_sym_return_satement_token1] = ACTIONS(1618),
    [aux_sym_call_statement_token1] = ACTIONS(1618),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1618),
    [aux_sym_if_statement_token1] = ACTIONS(1618),
    [aux_sym_loop_statement_token1] = ACTIONS(1618),
    [aux_sym_repeat_statement_token1] = ACTIONS(1618),
    [aux_sym_while_statement_token1] = ACTIONS(1618),
    [aux_sym_break_statement_token1] = ACTIONS(1618),
    [aux_sym_leave_statement_token1] = ACTIONS(1618),
    [aux_sym_continue_statement_token1] = ACTIONS(1618),
    [aux_sym_iterate_statement_token1] = ACTIONS(1618),
    [aux_sym_raise_statement_token1] = ACTIONS(1618),
    [anon_sym_EQ] = ACTIONS(1618),
    [aux_sym_assert_statement_token1] = ACTIONS(1618),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1618),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1618),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1618),
    [anon_sym_LT] = ACTIONS(1620),
    [anon_sym_GT] = ACTIONS(1620),
    [aux_sym_select_token1] = ACTIONS(1618),
    [aux_sym_insert_statement_token1] = ACTIONS(1618),
    [aux_sym_truncate_statement_token1] = ACTIONS(1618),
    [aux_sym_update_statement_token1] = ACTIONS(1618),
    [aux_sym_merge_statement_token1] = ACTIONS(1618),
    [aux_sym_grant_statement_token1] = ACTIONS(1618),
    [aux_sym_revoke_statement_token1] = ACTIONS(1618),
    [aux_sym_export_data_statement_token1] = ACTIONS(1618),
    [aux_sym_load_data_statement_token1] = ACTIONS(1618),
    [anon_sym_LBRACK] = ACTIONS(1618),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1618),
    [anon_sym_PLUS] = ACTIONS(1618),
    [anon_sym_DASH] = ACTIONS(1620),
    [anon_sym_STAR] = ACTIONS(1618),
    [anon_sym_SLASH] = ACTIONS(1620),
    [anon_sym_PIPE_PIPE] = ACTIONS(1618),
    [anon_sym_LT_EQ] = ACTIONS(1618),
    [anon_sym_LT_GT] = ACTIONS(1618),
    [anon_sym_GT_EQ] = ACTIONS(1618),
    [anon_sym_BANG_EQ] = ACTIONS(1618),
    [anon_sym_LT_LT] = ACTIONS(1618),
    [anon_sym_GT_GT] = ACTIONS(1618),
    [anon_sym_AMP] = ACTIONS(1618),
    [anon_sym_CARET] = ACTIONS(1618),
    [anon_sym_PIPE] = ACTIONS(1620),
  },
  [4930] = {
    [ts_builtin_sym_end] = ACTIONS(1386),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1386),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1386),
    [aux_sym_keyword_replace_token1] = ACTIONS(1386),
    [aux_sym__keyword_alter_token1] = ACTIONS(1386),
    [aux_sym__keyword_delete_token1] = ACTIONS(1386),
    [aux_sym__keyword_begin_token1] = ACTIONS(1386),
    [aux_sym__keyword_end_token1] = ACTIONS(1386),
    [aux_sym__keyword_between_token1] = ACTIONS(1386),
    [aux_sym__keyword_else_token1] = ACTIONS(1388),
    [aux_sym__keyword_is_token1] = ACTIONS(1386),
    [aux_sym__keyword_in_token1] = ACTIONS(1388),
    [aux_sym__keyword_and_token1] = ACTIONS(1386),
    [aux_sym__keyword_like_token1] = ACTIONS(1386),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1386),
    [aux_sym__keyword_for_token1] = ACTIONS(1386),
    [anon_sym_SEMI] = ACTIONS(1386),
    [aux_sym_declare_statement_token1] = ACTIONS(1386),
    [aux_sym_set_statement_token1] = ACTIONS(1386),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1386),
    [aux_sym_into_clause_token1] = ACTIONS(1386),
    [aux_sym_using_clause_token1] = ACTIONS(1386),
    [aux_sym_return_satement_token1] = ACTIONS(1386),
    [aux_sym_call_statement_token1] = ACTIONS(1386),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1386),
    [aux_sym_if_statement_token1] = ACTIONS(1386),
    [aux_sym_loop_statement_token1] = ACTIONS(1386),
    [aux_sym_repeat_statement_token1] = ACTIONS(1386),
    [aux_sym_while_statement_token1] = ACTIONS(1386),
    [aux_sym_break_statement_token1] = ACTIONS(1386),
    [aux_sym_leave_statement_token1] = ACTIONS(1386),
    [aux_sym_continue_statement_token1] = ACTIONS(1386),
    [aux_sym_iterate_statement_token1] = ACTIONS(1386),
    [aux_sym_raise_statement_token1] = ACTIONS(1386),
    [anon_sym_EQ] = ACTIONS(1386),
    [aux_sym_assert_statement_token1] = ACTIONS(1386),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1386),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1386),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1386),
    [anon_sym_LT] = ACTIONS(1388),
    [anon_sym_GT] = ACTIONS(1388),
    [aux_sym_select_token1] = ACTIONS(1386),
    [aux_sym_insert_statement_token1] = ACTIONS(1386),
    [aux_sym_truncate_statement_token1] = ACTIONS(1386),
    [aux_sym_update_statement_token1] = ACTIONS(1386),
    [aux_sym_merge_statement_token1] = ACTIONS(1386),
    [aux_sym_grant_statement_token1] = ACTIONS(1386),
    [aux_sym_revoke_statement_token1] = ACTIONS(1386),
    [aux_sym_export_data_statement_token1] = ACTIONS(1386),
    [aux_sym_load_data_statement_token1] = ACTIONS(1386),
    [anon_sym_LBRACK] = ACTIONS(1386),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1386),
    [anon_sym_DASH] = ACTIONS(1388),
    [anon_sym_STAR] = ACTIONS(1386),
    [anon_sym_SLASH] = ACTIONS(1388),
    [anon_sym_PIPE_PIPE] = ACTIONS(1386),
    [anon_sym_LT_EQ] = ACTIONS(1386),
    [anon_sym_LT_GT] = ACTIONS(1386),
    [anon_sym_GT_EQ] = ACTIONS(1386),
    [anon_sym_BANG_EQ] = ACTIONS(1386),
    [anon_sym_LT_LT] = ACTIONS(1386),
    [anon_sym_GT_GT] = ACTIONS(1386),
    [anon_sym_AMP] = ACTIONS(1386),
    [anon_sym_CARET] = ACTIONS(1386),
    [anon_sym_PIPE] = ACTIONS(1388),
  },
  [4931] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_into_clause_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4932] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_into_clause_token1] = ACTIONS(1378),
    [aux_sym_using_clause_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [4933] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_into_clause_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4934] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_into_clause_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4935] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_into_clause_token1] = ACTIONS(1378),
    [aux_sym_using_clause_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [4936] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_into_clause_token1] = ACTIONS(1378),
    [aux_sym_using_clause_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [4937] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_into_clause_token1] = ACTIONS(1378),
    [aux_sym_using_clause_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [4938] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1378),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1378),
    [aux_sym_keyword_replace_token1] = ACTIONS(1378),
    [aux_sym__keyword_alter_token1] = ACTIONS(1378),
    [aux_sym__keyword_delete_token1] = ACTIONS(1378),
    [aux_sym__keyword_begin_token1] = ACTIONS(1378),
    [aux_sym__keyword_end_token1] = ACTIONS(1378),
    [aux_sym__keyword_between_token1] = ACTIONS(1378),
    [aux_sym__keyword_else_token1] = ACTIONS(1380),
    [aux_sym__keyword_is_token1] = ACTIONS(1378),
    [aux_sym__keyword_in_token1] = ACTIONS(1380),
    [aux_sym__keyword_and_token1] = ACTIONS(1378),
    [aux_sym__keyword_like_token1] = ACTIONS(1378),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1378),
    [aux_sym__keyword_for_token1] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1378),
    [aux_sym_into_clause_token1] = ACTIONS(1378),
    [aux_sym_using_clause_token1] = ACTIONS(1378),
    [aux_sym_return_satement_token1] = ACTIONS(1378),
    [aux_sym_call_statement_token1] = ACTIONS(1378),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_loop_statement_token1] = ACTIONS(1378),
    [aux_sym_repeat_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [aux_sym_leave_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_iterate_statement_token1] = ACTIONS(1378),
    [aux_sym_raise_statement_token1] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [aux_sym_assert_statement_token1] = ACTIONS(1378),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1378),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1378),
    [aux_sym_insert_statement_token1] = ACTIONS(1378),
    [aux_sym_truncate_statement_token1] = ACTIONS(1378),
    [aux_sym_update_statement_token1] = ACTIONS(1378),
    [aux_sym_merge_statement_token1] = ACTIONS(1378),
    [aux_sym_grant_statement_token1] = ACTIONS(1378),
    [aux_sym_revoke_statement_token1] = ACTIONS(1378),
    [aux_sym_export_data_statement_token1] = ACTIONS(1378),
    [aux_sym_load_data_statement_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_LT_GT] = ACTIONS(1378),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1378),
    [anon_sym_GT_GT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1380),
  },
  [4939] = {
    [ts_builtin_sym_end] = ACTIONS(1390),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1390),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1390),
    [aux_sym_keyword_replace_token1] = ACTIONS(1390),
    [aux_sym__keyword_alter_token1] = ACTIONS(1390),
    [aux_sym__keyword_delete_token1] = ACTIONS(1390),
    [aux_sym__keyword_begin_token1] = ACTIONS(1390),
    [aux_sym__keyword_end_token1] = ACTIONS(1390),
    [aux_sym__keyword_between_token1] = ACTIONS(1390),
    [aux_sym__keyword_else_token1] = ACTIONS(1392),
    [aux_sym__keyword_is_token1] = ACTIONS(1390),
    [aux_sym__keyword_in_token1] = ACTIONS(1392),
    [aux_sym__keyword_and_token1] = ACTIONS(1390),
    [aux_sym__keyword_like_token1] = ACTIONS(1390),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1390),
    [aux_sym__keyword_for_token1] = ACTIONS(1390),
    [anon_sym_SEMI] = ACTIONS(1390),
    [aux_sym_declare_statement_token1] = ACTIONS(1390),
    [aux_sym_set_statement_token1] = ACTIONS(1390),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1390),
    [aux_sym_into_clause_token1] = ACTIONS(1390),
    [aux_sym_using_clause_token1] = ACTIONS(1390),
    [aux_sym_return_satement_token1] = ACTIONS(1390),
    [aux_sym_call_statement_token1] = ACTIONS(1390),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1390),
    [aux_sym_if_statement_token1] = ACTIONS(1390),
    [aux_sym_loop_statement_token1] = ACTIONS(1390),
    [aux_sym_repeat_statement_token1] = ACTIONS(1390),
    [aux_sym_while_statement_token1] = ACTIONS(1390),
    [aux_sym_break_statement_token1] = ACTIONS(1390),
    [aux_sym_leave_statement_token1] = ACTIONS(1390),
    [aux_sym_continue_statement_token1] = ACTIONS(1390),
    [aux_sym_iterate_statement_token1] = ACTIONS(1390),
    [aux_sym_raise_statement_token1] = ACTIONS(1390),
    [anon_sym_EQ] = ACTIONS(1390),
    [aux_sym_assert_statement_token1] = ACTIONS(1390),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1390),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1390),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1390),
    [anon_sym_LT] = ACTIONS(1392),
    [anon_sym_GT] = ACTIONS(1392),
    [aux_sym_select_token1] = ACTIONS(1390),
    [aux_sym_insert_statement_token1] = ACTIONS(1390),
    [aux_sym_truncate_statement_token1] = ACTIONS(1390),
    [aux_sym_update_statement_token1] = ACTIONS(1390),
    [aux_sym_merge_statement_token1] = ACTIONS(1390),
    [aux_sym_grant_statement_token1] = ACTIONS(1390),
    [aux_sym_revoke_statement_token1] = ACTIONS(1390),
    [aux_sym_export_data_statement_token1] = ACTIONS(1390),
    [aux_sym_load_data_statement_token1] = ACTIONS(1390),
    [anon_sym_LBRACK] = ACTIONS(1390),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_DASH] = ACTIONS(1392),
    [anon_sym_STAR] = ACTIONS(1390),
    [anon_sym_SLASH] = ACTIONS(1392),
    [anon_sym_PIPE_PIPE] = ACTIONS(1390),
    [anon_sym_LT_EQ] = ACTIONS(1390),
    [anon_sym_LT_GT] = ACTIONS(1390),
    [anon_sym_GT_EQ] = ACTIONS(1390),
    [anon_sym_BANG_EQ] = ACTIONS(1390),
    [anon_sym_LT_LT] = ACTIONS(1390),
    [anon_sym_GT_GT] = ACTIONS(1390),
    [anon_sym_AMP] = ACTIONS(1390),
    [anon_sym_CARET] = ACTIONS(1390),
    [anon_sym_PIPE] = ACTIONS(1392),
  },
  [4940] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_into_clause_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4941] = {
    [ts_builtin_sym_end] = ACTIONS(1382),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1382),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1382),
    [aux_sym_keyword_replace_token1] = ACTIONS(1382),
    [aux_sym__keyword_alter_token1] = ACTIONS(1382),
    [aux_sym__keyword_delete_token1] = ACTIONS(1382),
    [aux_sym__keyword_begin_token1] = ACTIONS(1382),
    [aux_sym__keyword_end_token1] = ACTIONS(1382),
    [aux_sym__keyword_between_token1] = ACTIONS(1382),
    [aux_sym__keyword_else_token1] = ACTIONS(1384),
    [aux_sym__keyword_is_token1] = ACTIONS(1382),
    [aux_sym__keyword_in_token1] = ACTIONS(1384),
    [aux_sym__keyword_and_token1] = ACTIONS(1382),
    [aux_sym__keyword_like_token1] = ACTIONS(1382),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1382),
    [aux_sym__keyword_for_token1] = ACTIONS(1382),
    [anon_sym_SEMI] = ACTIONS(1382),
    [aux_sym_declare_statement_token1] = ACTIONS(1382),
    [aux_sym_set_statement_token1] = ACTIONS(1382),
    [anon_sym_LPAREN] = ACTIONS(1382),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1382),
    [aux_sym_into_clause_token1] = ACTIONS(1382),
    [aux_sym_using_clause_token1] = ACTIONS(1382),
    [aux_sym_return_satement_token1] = ACTIONS(1382),
    [aux_sym_call_statement_token1] = ACTIONS(1382),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1382),
    [aux_sym_if_statement_token1] = ACTIONS(1382),
    [aux_sym_loop_statement_token1] = ACTIONS(1382),
    [aux_sym_repeat_statement_token1] = ACTIONS(1382),
    [aux_sym_while_statement_token1] = ACTIONS(1382),
    [aux_sym_break_statement_token1] = ACTIONS(1382),
    [aux_sym_leave_statement_token1] = ACTIONS(1382),
    [aux_sym_continue_statement_token1] = ACTIONS(1382),
    [aux_sym_iterate_statement_token1] = ACTIONS(1382),
    [aux_sym_raise_statement_token1] = ACTIONS(1382),
    [anon_sym_EQ] = ACTIONS(1382),
    [aux_sym_assert_statement_token1] = ACTIONS(1382),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1382),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1382),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1382),
    [anon_sym_LT] = ACTIONS(1384),
    [anon_sym_GT] = ACTIONS(1384),
    [aux_sym_select_token1] = ACTIONS(1382),
    [aux_sym_insert_statement_token1] = ACTIONS(1382),
    [aux_sym_truncate_statement_token1] = ACTIONS(1382),
    [aux_sym_update_statement_token1] = ACTIONS(1382),
    [aux_sym_merge_statement_token1] = ACTIONS(1382),
    [aux_sym_grant_statement_token1] = ACTIONS(1382),
    [aux_sym_revoke_statement_token1] = ACTIONS(1382),
    [aux_sym_export_data_statement_token1] = ACTIONS(1382),
    [aux_sym_load_data_statement_token1] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(1382),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1382),
    [anon_sym_PLUS] = ACTIONS(1382),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_STAR] = ACTIONS(1382),
    [anon_sym_SLASH] = ACTIONS(1384),
    [anon_sym_PIPE_PIPE] = ACTIONS(1382),
    [anon_sym_LT_EQ] = ACTIONS(1382),
    [anon_sym_LT_GT] = ACTIONS(1382),
    [anon_sym_GT_EQ] = ACTIONS(1382),
    [anon_sym_BANG_EQ] = ACTIONS(1382),
    [anon_sym_LT_LT] = ACTIONS(1382),
    [anon_sym_GT_GT] = ACTIONS(1382),
    [anon_sym_AMP] = ACTIONS(1382),
    [anon_sym_CARET] = ACTIONS(1382),
    [anon_sym_PIPE] = ACTIONS(1384),
  },
  [4942] = {
    [ts_builtin_sym_end] = ACTIONS(1598),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1598),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1598),
    [aux_sym_keyword_replace_token1] = ACTIONS(1598),
    [aux_sym__keyword_alter_token1] = ACTIONS(1598),
    [aux_sym__keyword_delete_token1] = ACTIONS(1598),
    [aux_sym__keyword_begin_token1] = ACTIONS(1598),
    [aux_sym__keyword_end_token1] = ACTIONS(1598),
    [aux_sym__keyword_between_token1] = ACTIONS(1598),
    [aux_sym__keyword_else_token1] = ACTIONS(1600),
    [aux_sym__keyword_is_token1] = ACTIONS(1598),
    [aux_sym__keyword_in_token1] = ACTIONS(1600),
    [aux_sym__keyword_and_token1] = ACTIONS(1598),
    [aux_sym__keyword_like_token1] = ACTIONS(1598),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1598),
    [aux_sym__keyword_for_token1] = ACTIONS(1598),
    [anon_sym_SEMI] = ACTIONS(1598),
    [aux_sym_declare_statement_token1] = ACTIONS(1598),
    [aux_sym_set_statement_token1] = ACTIONS(1598),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1598),
    [aux_sym_into_clause_token1] = ACTIONS(1598),
    [aux_sym_using_clause_token1] = ACTIONS(1598),
    [aux_sym_return_satement_token1] = ACTIONS(1598),
    [aux_sym_call_statement_token1] = ACTIONS(1598),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1598),
    [aux_sym_if_statement_token1] = ACTIONS(1598),
    [aux_sym_loop_statement_token1] = ACTIONS(1598),
    [aux_sym_repeat_statement_token1] = ACTIONS(1598),
    [aux_sym_while_statement_token1] = ACTIONS(1598),
    [aux_sym_break_statement_token1] = ACTIONS(1598),
    [aux_sym_leave_statement_token1] = ACTIONS(1598),
    [aux_sym_continue_statement_token1] = ACTIONS(1598),
    [aux_sym_iterate_statement_token1] = ACTIONS(1598),
    [aux_sym_raise_statement_token1] = ACTIONS(1598),
    [anon_sym_EQ] = ACTIONS(1598),
    [aux_sym_assert_statement_token1] = ACTIONS(1598),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1598),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1598),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1598),
    [anon_sym_LT] = ACTIONS(1600),
    [anon_sym_GT] = ACTIONS(1600),
    [aux_sym_select_token1] = ACTIONS(1598),
    [aux_sym_insert_statement_token1] = ACTIONS(1598),
    [aux_sym_truncate_statement_token1] = ACTIONS(1598),
    [aux_sym_update_statement_token1] = ACTIONS(1598),
    [aux_sym_merge_statement_token1] = ACTIONS(1598),
    [aux_sym_grant_statement_token1] = ACTIONS(1598),
    [aux_sym_revoke_statement_token1] = ACTIONS(1598),
    [aux_sym_export_data_statement_token1] = ACTIONS(1598),
    [aux_sym_load_data_statement_token1] = ACTIONS(1598),
    [anon_sym_LBRACK] = ACTIONS(1598),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1598),
    [anon_sym_PLUS] = ACTIONS(1598),
    [anon_sym_DASH] = ACTIONS(1600),
    [anon_sym_STAR] = ACTIONS(1598),
    [anon_sym_SLASH] = ACTIONS(1600),
    [anon_sym_PIPE_PIPE] = ACTIONS(1598),
    [anon_sym_LT_EQ] = ACTIONS(1598),
    [anon_sym_LT_GT] = ACTIONS(1598),
    [anon_sym_GT_EQ] = ACTIONS(1598),
    [anon_sym_BANG_EQ] = ACTIONS(1598),
    [anon_sym_LT_LT] = ACTIONS(1598),
    [anon_sym_GT_GT] = ACTIONS(1598),
    [anon_sym_AMP] = ACTIONS(1598),
    [anon_sym_CARET] = ACTIONS(1598),
    [anon_sym_PIPE] = ACTIONS(1600),
  },
  [4943] = {
    [ts_builtin_sym_end] = ACTIONS(1590),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1590),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1590),
    [aux_sym_keyword_replace_token1] = ACTIONS(1590),
    [aux_sym__keyword_alter_token1] = ACTIONS(1590),
    [aux_sym__keyword_delete_token1] = ACTIONS(1590),
    [aux_sym__keyword_begin_token1] = ACTIONS(1590),
    [aux_sym__keyword_end_token1] = ACTIONS(1590),
    [aux_sym__keyword_between_token1] = ACTIONS(1590),
    [aux_sym__keyword_else_token1] = ACTIONS(1592),
    [aux_sym__keyword_is_token1] = ACTIONS(1590),
    [aux_sym__keyword_in_token1] = ACTIONS(1592),
    [aux_sym__keyword_and_token1] = ACTIONS(1590),
    [aux_sym__keyword_like_token1] = ACTIONS(1590),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1590),
    [aux_sym__keyword_for_token1] = ACTIONS(1590),
    [anon_sym_SEMI] = ACTIONS(1590),
    [aux_sym_declare_statement_token1] = ACTIONS(1590),
    [aux_sym_set_statement_token1] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1590),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1590),
    [aux_sym_into_clause_token1] = ACTIONS(1590),
    [aux_sym_using_clause_token1] = ACTIONS(1590),
    [aux_sym_return_satement_token1] = ACTIONS(1590),
    [aux_sym_call_statement_token1] = ACTIONS(1590),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1590),
    [aux_sym_if_statement_token1] = ACTIONS(1590),
    [aux_sym_loop_statement_token1] = ACTIONS(1590),
    [aux_sym_repeat_statement_token1] = ACTIONS(1590),
    [aux_sym_while_statement_token1] = ACTIONS(1590),
    [aux_sym_break_statement_token1] = ACTIONS(1590),
    [aux_sym_leave_statement_token1] = ACTIONS(1590),
    [aux_sym_continue_statement_token1] = ACTIONS(1590),
    [aux_sym_iterate_statement_token1] = ACTIONS(1590),
    [aux_sym_raise_statement_token1] = ACTIONS(1590),
    [anon_sym_EQ] = ACTIONS(1590),
    [aux_sym_assert_statement_token1] = ACTIONS(1590),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1590),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1590),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1590),
    [anon_sym_LT] = ACTIONS(1592),
    [anon_sym_GT] = ACTIONS(1592),
    [aux_sym_select_token1] = ACTIONS(1590),
    [aux_sym_insert_statement_token1] = ACTIONS(1590),
    [aux_sym_truncate_statement_token1] = ACTIONS(1590),
    [aux_sym_update_statement_token1] = ACTIONS(1590),
    [aux_sym_merge_statement_token1] = ACTIONS(1590),
    [aux_sym_grant_statement_token1] = ACTIONS(1590),
    [aux_sym_revoke_statement_token1] = ACTIONS(1590),
    [aux_sym_export_data_statement_token1] = ACTIONS(1590),
    [aux_sym_load_data_statement_token1] = ACTIONS(1590),
    [anon_sym_LBRACK] = ACTIONS(1590),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1590),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1592),
    [anon_sym_STAR] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(1592),
    [anon_sym_PIPE_PIPE] = ACTIONS(1590),
    [anon_sym_LT_EQ] = ACTIONS(1590),
    [anon_sym_LT_GT] = ACTIONS(1590),
    [anon_sym_GT_EQ] = ACTIONS(1590),
    [anon_sym_BANG_EQ] = ACTIONS(1590),
    [anon_sym_LT_LT] = ACTIONS(1590),
    [anon_sym_GT_GT] = ACTIONS(1590),
    [anon_sym_AMP] = ACTIONS(1590),
    [anon_sym_CARET] = ACTIONS(1590),
    [anon_sym_PIPE] = ACTIONS(1592),
  },
  [4944] = {
    [ts_builtin_sym_end] = ACTIONS(1614),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1614),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1614),
    [aux_sym_keyword_replace_token1] = ACTIONS(1614),
    [aux_sym__keyword_alter_token1] = ACTIONS(1614),
    [aux_sym__keyword_delete_token1] = ACTIONS(1614),
    [aux_sym__keyword_begin_token1] = ACTIONS(1614),
    [aux_sym__keyword_end_token1] = ACTIONS(1614),
    [aux_sym__keyword_between_token1] = ACTIONS(1614),
    [aux_sym__keyword_else_token1] = ACTIONS(1616),
    [aux_sym__keyword_is_token1] = ACTIONS(1614),
    [aux_sym__keyword_in_token1] = ACTIONS(1616),
    [aux_sym__keyword_and_token1] = ACTIONS(1614),
    [aux_sym__keyword_like_token1] = ACTIONS(1614),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1614),
    [aux_sym__keyword_for_token1] = ACTIONS(1614),
    [anon_sym_SEMI] = ACTIONS(1614),
    [aux_sym_declare_statement_token1] = ACTIONS(1614),
    [aux_sym_set_statement_token1] = ACTIONS(1614),
    [anon_sym_LPAREN] = ACTIONS(1614),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1614),
    [aux_sym_into_clause_token1] = ACTIONS(1614),
    [aux_sym_using_clause_token1] = ACTIONS(1614),
    [aux_sym_return_satement_token1] = ACTIONS(1614),
    [aux_sym_call_statement_token1] = ACTIONS(1614),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1614),
    [aux_sym_if_statement_token1] = ACTIONS(1614),
    [aux_sym_loop_statement_token1] = ACTIONS(1614),
    [aux_sym_repeat_statement_token1] = ACTIONS(1614),
    [aux_sym_while_statement_token1] = ACTIONS(1614),
    [aux_sym_break_statement_token1] = ACTIONS(1614),
    [aux_sym_leave_statement_token1] = ACTIONS(1614),
    [aux_sym_continue_statement_token1] = ACTIONS(1614),
    [aux_sym_iterate_statement_token1] = ACTIONS(1614),
    [aux_sym_raise_statement_token1] = ACTIONS(1614),
    [anon_sym_EQ] = ACTIONS(1614),
    [aux_sym_assert_statement_token1] = ACTIONS(1614),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1614),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1614),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1614),
    [anon_sym_LT] = ACTIONS(1616),
    [anon_sym_GT] = ACTIONS(1616),
    [aux_sym_select_token1] = ACTIONS(1614),
    [aux_sym_insert_statement_token1] = ACTIONS(1614),
    [aux_sym_truncate_statement_token1] = ACTIONS(1614),
    [aux_sym_update_statement_token1] = ACTIONS(1614),
    [aux_sym_merge_statement_token1] = ACTIONS(1614),
    [aux_sym_grant_statement_token1] = ACTIONS(1614),
    [aux_sym_revoke_statement_token1] = ACTIONS(1614),
    [aux_sym_export_data_statement_token1] = ACTIONS(1614),
    [aux_sym_load_data_statement_token1] = ACTIONS(1614),
    [anon_sym_LBRACK] = ACTIONS(1614),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1614),
    [anon_sym_PLUS] = ACTIONS(1614),
    [anon_sym_DASH] = ACTIONS(1616),
    [anon_sym_STAR] = ACTIONS(1614),
    [anon_sym_SLASH] = ACTIONS(1616),
    [anon_sym_PIPE_PIPE] = ACTIONS(1614),
    [anon_sym_LT_EQ] = ACTIONS(1614),
    [anon_sym_LT_GT] = ACTIONS(1614),
    [anon_sym_GT_EQ] = ACTIONS(1614),
    [anon_sym_BANG_EQ] = ACTIONS(1614),
    [anon_sym_LT_LT] = ACTIONS(1614),
    [anon_sym_GT_GT] = ACTIONS(1614),
    [anon_sym_AMP] = ACTIONS(1614),
    [anon_sym_CARET] = ACTIONS(1614),
    [anon_sym_PIPE] = ACTIONS(1616),
  },
  [4945] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_into_clause_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4946] = {
    [ts_builtin_sym_end] = ACTIONS(1610),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1610),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1610),
    [aux_sym_keyword_replace_token1] = ACTIONS(1610),
    [aux_sym__keyword_alter_token1] = ACTIONS(1610),
    [aux_sym__keyword_delete_token1] = ACTIONS(1610),
    [aux_sym__keyword_begin_token1] = ACTIONS(1610),
    [aux_sym__keyword_end_token1] = ACTIONS(1610),
    [aux_sym__keyword_between_token1] = ACTIONS(1610),
    [aux_sym__keyword_else_token1] = ACTIONS(1612),
    [aux_sym__keyword_is_token1] = ACTIONS(1610),
    [aux_sym__keyword_in_token1] = ACTIONS(1612),
    [aux_sym__keyword_and_token1] = ACTIONS(1610),
    [aux_sym__keyword_like_token1] = ACTIONS(1610),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1610),
    [aux_sym__keyword_for_token1] = ACTIONS(1610),
    [anon_sym_SEMI] = ACTIONS(1610),
    [aux_sym_declare_statement_token1] = ACTIONS(1610),
    [aux_sym_set_statement_token1] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1610),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1610),
    [aux_sym_into_clause_token1] = ACTIONS(1610),
    [aux_sym_using_clause_token1] = ACTIONS(1610),
    [aux_sym_return_satement_token1] = ACTIONS(1610),
    [aux_sym_call_statement_token1] = ACTIONS(1610),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1610),
    [aux_sym_if_statement_token1] = ACTIONS(1610),
    [aux_sym_loop_statement_token1] = ACTIONS(1610),
    [aux_sym_repeat_statement_token1] = ACTIONS(1610),
    [aux_sym_while_statement_token1] = ACTIONS(1610),
    [aux_sym_break_statement_token1] = ACTIONS(1610),
    [aux_sym_leave_statement_token1] = ACTIONS(1610),
    [aux_sym_continue_statement_token1] = ACTIONS(1610),
    [aux_sym_iterate_statement_token1] = ACTIONS(1610),
    [aux_sym_raise_statement_token1] = ACTIONS(1610),
    [anon_sym_EQ] = ACTIONS(1610),
    [aux_sym_assert_statement_token1] = ACTIONS(1610),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1610),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1610),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1610),
    [anon_sym_LT] = ACTIONS(1612),
    [anon_sym_GT] = ACTIONS(1612),
    [aux_sym_select_token1] = ACTIONS(1610),
    [aux_sym_insert_statement_token1] = ACTIONS(1610),
    [aux_sym_truncate_statement_token1] = ACTIONS(1610),
    [aux_sym_update_statement_token1] = ACTIONS(1610),
    [aux_sym_merge_statement_token1] = ACTIONS(1610),
    [aux_sym_grant_statement_token1] = ACTIONS(1610),
    [aux_sym_revoke_statement_token1] = ACTIONS(1610),
    [aux_sym_export_data_statement_token1] = ACTIONS(1610),
    [aux_sym_load_data_statement_token1] = ACTIONS(1610),
    [anon_sym_LBRACK] = ACTIONS(1610),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1610),
    [anon_sym_PLUS] = ACTIONS(1610),
    [anon_sym_DASH] = ACTIONS(1612),
    [anon_sym_STAR] = ACTIONS(1610),
    [anon_sym_SLASH] = ACTIONS(1612),
    [anon_sym_PIPE_PIPE] = ACTIONS(1610),
    [anon_sym_LT_EQ] = ACTIONS(1610),
    [anon_sym_LT_GT] = ACTIONS(1610),
    [anon_sym_GT_EQ] = ACTIONS(1610),
    [anon_sym_BANG_EQ] = ACTIONS(1610),
    [anon_sym_LT_LT] = ACTIONS(1610),
    [anon_sym_GT_GT] = ACTIONS(1610),
    [anon_sym_AMP] = ACTIONS(1610),
    [anon_sym_CARET] = ACTIONS(1610),
    [anon_sym_PIPE] = ACTIONS(1612),
  },
  [4947] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_into_clause_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4948] = {
    [ts_builtin_sym_end] = ACTIONS(1764),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1764),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1764),
    [aux_sym_keyword_replace_token1] = ACTIONS(1764),
    [aux_sym__keyword_alter_token1] = ACTIONS(1764),
    [aux_sym__keyword_delete_token1] = ACTIONS(1764),
    [aux_sym__keyword_begin_token1] = ACTIONS(1764),
    [aux_sym__keyword_end_token1] = ACTIONS(1764),
    [aux_sym__keyword_between_token1] = ACTIONS(1764),
    [aux_sym__keyword_else_token1] = ACTIONS(1766),
    [aux_sym__keyword_is_token1] = ACTIONS(1764),
    [aux_sym__keyword_in_token1] = ACTIONS(1766),
    [aux_sym__keyword_and_token1] = ACTIONS(1764),
    [aux_sym__keyword_like_token1] = ACTIONS(1764),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1764),
    [aux_sym__keyword_for_token1] = ACTIONS(1764),
    [anon_sym_SEMI] = ACTIONS(1764),
    [aux_sym_declare_statement_token1] = ACTIONS(1764),
    [aux_sym_set_statement_token1] = ACTIONS(1764),
    [anon_sym_LPAREN] = ACTIONS(1764),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1764),
    [aux_sym_into_clause_token1] = ACTIONS(1764),
    [aux_sym_using_clause_token1] = ACTIONS(1764),
    [aux_sym_return_satement_token1] = ACTIONS(1764),
    [aux_sym_call_statement_token1] = ACTIONS(1764),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1764),
    [aux_sym_if_statement_token1] = ACTIONS(1764),
    [aux_sym_loop_statement_token1] = ACTIONS(1764),
    [aux_sym_repeat_statement_token1] = ACTIONS(1764),
    [aux_sym_while_statement_token1] = ACTIONS(1764),
    [aux_sym_break_statement_token1] = ACTIONS(1764),
    [aux_sym_leave_statement_token1] = ACTIONS(1764),
    [aux_sym_continue_statement_token1] = ACTIONS(1764),
    [aux_sym_iterate_statement_token1] = ACTIONS(1764),
    [aux_sym_raise_statement_token1] = ACTIONS(1764),
    [anon_sym_EQ] = ACTIONS(1764),
    [aux_sym_assert_statement_token1] = ACTIONS(1764),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1764),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1764),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1764),
    [anon_sym_LT] = ACTIONS(1766),
    [anon_sym_GT] = ACTIONS(1766),
    [aux_sym_select_token1] = ACTIONS(1764),
    [aux_sym_insert_statement_token1] = ACTIONS(1764),
    [aux_sym_truncate_statement_token1] = ACTIONS(1764),
    [aux_sym_update_statement_token1] = ACTIONS(1764),
    [aux_sym_merge_statement_token1] = ACTIONS(1764),
    [aux_sym_grant_statement_token1] = ACTIONS(1764),
    [aux_sym_revoke_statement_token1] = ACTIONS(1764),
    [aux_sym_export_data_statement_token1] = ACTIONS(1764),
    [aux_sym_load_data_statement_token1] = ACTIONS(1764),
    [anon_sym_LBRACK] = ACTIONS(1764),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_DASH] = ACTIONS(1766),
    [anon_sym_STAR] = ACTIONS(1764),
    [anon_sym_SLASH] = ACTIONS(1766),
    [anon_sym_PIPE_PIPE] = ACTIONS(1764),
    [anon_sym_LT_EQ] = ACTIONS(1764),
    [anon_sym_LT_GT] = ACTIONS(1764),
    [anon_sym_GT_EQ] = ACTIONS(1764),
    [anon_sym_BANG_EQ] = ACTIONS(1764),
    [anon_sym_LT_LT] = ACTIONS(1764),
    [anon_sym_GT_GT] = ACTIONS(1764),
    [anon_sym_AMP] = ACTIONS(1764),
    [anon_sym_CARET] = ACTIONS(1764),
    [anon_sym_PIPE] = ACTIONS(1766),
  },
  [4949] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_into_clause_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4950] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_into_clause_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4951] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_into_clause_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4952] = {
    [ts_builtin_sym_end] = ACTIONS(1606),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1606),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1606),
    [aux_sym_keyword_replace_token1] = ACTIONS(1606),
    [aux_sym__keyword_alter_token1] = ACTIONS(1606),
    [aux_sym__keyword_delete_token1] = ACTIONS(1606),
    [aux_sym__keyword_begin_token1] = ACTIONS(1606),
    [aux_sym__keyword_end_token1] = ACTIONS(1606),
    [aux_sym__keyword_between_token1] = ACTIONS(1606),
    [aux_sym__keyword_else_token1] = ACTIONS(1608),
    [aux_sym__keyword_is_token1] = ACTIONS(1606),
    [aux_sym__keyword_in_token1] = ACTIONS(1608),
    [aux_sym__keyword_and_token1] = ACTIONS(1606),
    [aux_sym__keyword_like_token1] = ACTIONS(1606),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1606),
    [aux_sym__keyword_for_token1] = ACTIONS(1606),
    [anon_sym_SEMI] = ACTIONS(1606),
    [aux_sym_declare_statement_token1] = ACTIONS(1606),
    [aux_sym_set_statement_token1] = ACTIONS(1606),
    [anon_sym_LPAREN] = ACTIONS(1606),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1606),
    [aux_sym_into_clause_token1] = ACTIONS(1606),
    [aux_sym_using_clause_token1] = ACTIONS(1606),
    [aux_sym_return_satement_token1] = ACTIONS(1606),
    [aux_sym_call_statement_token1] = ACTIONS(1606),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1606),
    [aux_sym_if_statement_token1] = ACTIONS(1606),
    [aux_sym_loop_statement_token1] = ACTIONS(1606),
    [aux_sym_repeat_statement_token1] = ACTIONS(1606),
    [aux_sym_while_statement_token1] = ACTIONS(1606),
    [aux_sym_break_statement_token1] = ACTIONS(1606),
    [aux_sym_leave_statement_token1] = ACTIONS(1606),
    [aux_sym_continue_statement_token1] = ACTIONS(1606),
    [aux_sym_iterate_statement_token1] = ACTIONS(1606),
    [aux_sym_raise_statement_token1] = ACTIONS(1606),
    [anon_sym_EQ] = ACTIONS(1606),
    [aux_sym_assert_statement_token1] = ACTIONS(1606),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1606),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1606),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1606),
    [anon_sym_LT] = ACTIONS(1608),
    [anon_sym_GT] = ACTIONS(1608),
    [aux_sym_select_token1] = ACTIONS(1606),
    [aux_sym_insert_statement_token1] = ACTIONS(1606),
    [aux_sym_truncate_statement_token1] = ACTIONS(1606),
    [aux_sym_update_statement_token1] = ACTIONS(1606),
    [aux_sym_merge_statement_token1] = ACTIONS(1606),
    [aux_sym_grant_statement_token1] = ACTIONS(1606),
    [aux_sym_revoke_statement_token1] = ACTIONS(1606),
    [aux_sym_export_data_statement_token1] = ACTIONS(1606),
    [aux_sym_load_data_statement_token1] = ACTIONS(1606),
    [anon_sym_LBRACK] = ACTIONS(1606),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1606),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_STAR] = ACTIONS(1606),
    [anon_sym_SLASH] = ACTIONS(1608),
    [anon_sym_PIPE_PIPE] = ACTIONS(1606),
    [anon_sym_LT_EQ] = ACTIONS(1606),
    [anon_sym_LT_GT] = ACTIONS(1606),
    [anon_sym_GT_EQ] = ACTIONS(1606),
    [anon_sym_BANG_EQ] = ACTIONS(1606),
    [anon_sym_LT_LT] = ACTIONS(1606),
    [anon_sym_GT_GT] = ACTIONS(1606),
    [anon_sym_AMP] = ACTIONS(1606),
    [anon_sym_CARET] = ACTIONS(1606),
    [anon_sym_PIPE] = ACTIONS(1608),
  },
  [4953] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_into_clause_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4954] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_into_clause_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4955] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_into_clause_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4956] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_into_clause_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4957] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_into_clause_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4958] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_into_clause_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4959] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_into_clause_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4960] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_into_clause_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4961] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_into_clause_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4962] = {
    [ts_builtin_sym_end] = ACTIONS(1602),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1602),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1602),
    [aux_sym_keyword_replace_token1] = ACTIONS(1602),
    [aux_sym__keyword_alter_token1] = ACTIONS(1602),
    [aux_sym__keyword_delete_token1] = ACTIONS(1602),
    [aux_sym__keyword_begin_token1] = ACTIONS(1602),
    [aux_sym__keyword_end_token1] = ACTIONS(1602),
    [aux_sym__keyword_between_token1] = ACTIONS(1602),
    [aux_sym__keyword_else_token1] = ACTIONS(1604),
    [aux_sym__keyword_is_token1] = ACTIONS(1602),
    [aux_sym__keyword_in_token1] = ACTIONS(1604),
    [aux_sym__keyword_and_token1] = ACTIONS(1602),
    [aux_sym__keyword_like_token1] = ACTIONS(1602),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1602),
    [aux_sym__keyword_for_token1] = ACTIONS(1602),
    [anon_sym_SEMI] = ACTIONS(1602),
    [aux_sym_declare_statement_token1] = ACTIONS(1602),
    [aux_sym_set_statement_token1] = ACTIONS(1602),
    [anon_sym_LPAREN] = ACTIONS(1602),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1602),
    [aux_sym_into_clause_token1] = ACTIONS(1602),
    [aux_sym_using_clause_token1] = ACTIONS(1602),
    [aux_sym_return_satement_token1] = ACTIONS(1602),
    [aux_sym_call_statement_token1] = ACTIONS(1602),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1602),
    [aux_sym_if_statement_token1] = ACTIONS(1602),
    [aux_sym_loop_statement_token1] = ACTIONS(1602),
    [aux_sym_repeat_statement_token1] = ACTIONS(1602),
    [aux_sym_while_statement_token1] = ACTIONS(1602),
    [aux_sym_break_statement_token1] = ACTIONS(1602),
    [aux_sym_leave_statement_token1] = ACTIONS(1602),
    [aux_sym_continue_statement_token1] = ACTIONS(1602),
    [aux_sym_iterate_statement_token1] = ACTIONS(1602),
    [aux_sym_raise_statement_token1] = ACTIONS(1602),
    [anon_sym_EQ] = ACTIONS(1602),
    [aux_sym_assert_statement_token1] = ACTIONS(1602),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1602),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1602),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1602),
    [anon_sym_LT] = ACTIONS(1604),
    [anon_sym_GT] = ACTIONS(1604),
    [aux_sym_select_token1] = ACTIONS(1602),
    [aux_sym_insert_statement_token1] = ACTIONS(1602),
    [aux_sym_truncate_statement_token1] = ACTIONS(1602),
    [aux_sym_update_statement_token1] = ACTIONS(1602),
    [aux_sym_merge_statement_token1] = ACTIONS(1602),
    [aux_sym_grant_statement_token1] = ACTIONS(1602),
    [aux_sym_revoke_statement_token1] = ACTIONS(1602),
    [aux_sym_export_data_statement_token1] = ACTIONS(1602),
    [aux_sym_load_data_statement_token1] = ACTIONS(1602),
    [anon_sym_LBRACK] = ACTIONS(1602),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1602),
    [anon_sym_PLUS] = ACTIONS(1602),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_STAR] = ACTIONS(1602),
    [anon_sym_SLASH] = ACTIONS(1604),
    [anon_sym_PIPE_PIPE] = ACTIONS(1602),
    [anon_sym_LT_EQ] = ACTIONS(1602),
    [anon_sym_LT_GT] = ACTIONS(1602),
    [anon_sym_GT_EQ] = ACTIONS(1602),
    [anon_sym_BANG_EQ] = ACTIONS(1602),
    [anon_sym_LT_LT] = ACTIONS(1602),
    [anon_sym_GT_GT] = ACTIONS(1602),
    [anon_sym_AMP] = ACTIONS(1602),
    [anon_sym_CARET] = ACTIONS(1602),
    [anon_sym_PIPE] = ACTIONS(1604),
  },
  [4963] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_into_clause_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4964] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1364),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1364),
    [aux_sym_keyword_replace_token1] = ACTIONS(1364),
    [aux_sym__keyword_alter_token1] = ACTIONS(1364),
    [aux_sym__keyword_delete_token1] = ACTIONS(1364),
    [aux_sym__keyword_begin_token1] = ACTIONS(1364),
    [aux_sym__keyword_end_token1] = ACTIONS(1364),
    [aux_sym__keyword_between_token1] = ACTIONS(1364),
    [aux_sym__keyword_else_token1] = ACTIONS(1366),
    [aux_sym__keyword_is_token1] = ACTIONS(1364),
    [aux_sym__keyword_in_token1] = ACTIONS(1366),
    [aux_sym__keyword_and_token1] = ACTIONS(1364),
    [aux_sym__keyword_like_token1] = ACTIONS(1364),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1364),
    [aux_sym__keyword_for_token1] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1364),
    [aux_sym_into_clause_token1] = ACTIONS(1364),
    [aux_sym_using_clause_token1] = ACTIONS(1364),
    [aux_sym_return_satement_token1] = ACTIONS(1364),
    [aux_sym_call_statement_token1] = ACTIONS(1364),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_loop_statement_token1] = ACTIONS(1364),
    [aux_sym_repeat_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [aux_sym_leave_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_iterate_statement_token1] = ACTIONS(1364),
    [aux_sym_raise_statement_token1] = ACTIONS(1364),
    [anon_sym_EQ] = ACTIONS(1364),
    [aux_sym_assert_statement_token1] = ACTIONS(1364),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1364),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1364),
    [aux_sym_insert_statement_token1] = ACTIONS(1364),
    [aux_sym_truncate_statement_token1] = ACTIONS(1364),
    [aux_sym_update_statement_token1] = ACTIONS(1364),
    [aux_sym_merge_statement_token1] = ACTIONS(1364),
    [aux_sym_grant_statement_token1] = ACTIONS(1364),
    [aux_sym_revoke_statement_token1] = ACTIONS(1364),
    [aux_sym_export_data_statement_token1] = ACTIONS(1364),
    [aux_sym_load_data_statement_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1364),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1366),
  },
  [4965] = {
    [sym_analytics_clause] = STATE(5198),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [4966] = {
    [sym_analytics_clause] = STATE(5117),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_using_clause_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_pivot_operator_token1] = ACTIONS(1464),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1464),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1464),
    [aux_sym_join_type_token1] = ACTIONS(1464),
    [aux_sym_join_type_token2] = ACTIONS(1464),
    [aux_sym_join_type_token3] = ACTIONS(1464),
    [aux_sym_join_type_token4] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1464),
    [aux_sym_join_condition_token1] = ACTIONS(1464),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
  },
  [4967] = {
    [sym_analytics_clause] = STATE(5119),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_using_clause_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_pivot_operator_token1] = ACTIONS(1464),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1464),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1464),
    [aux_sym_join_type_token1] = ACTIONS(1464),
    [aux_sym_join_type_token2] = ACTIONS(1464),
    [aux_sym_join_type_token3] = ACTIONS(1464),
    [aux_sym_join_type_token4] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1464),
    [aux_sym_join_condition_token1] = ACTIONS(1464),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
  },
  [4968] = {
    [sym_analytics_clause] = STATE(5121),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_using_clause_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_pivot_operator_token1] = ACTIONS(1464),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1464),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1464),
    [aux_sym_join_type_token1] = ACTIONS(1464),
    [aux_sym_join_type_token2] = ACTIONS(1464),
    [aux_sym_join_type_token3] = ACTIONS(1464),
    [aux_sym_join_type_token4] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1464),
    [aux_sym_join_condition_token1] = ACTIONS(1464),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
  },
  [4969] = {
    [sym_analytics_clause] = STATE(5221),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [4970] = {
    [sym_analytics_clause] = STATE(5243),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [4971] = {
    [sym_analytics_clause] = STATE(5220),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [4972] = {
    [sym_analytics_clause] = STATE(5231),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [4973] = {
    [sym_analytics_clause] = STATE(5219),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [4974] = {
    [sym_analytics_clause] = STATE(5218),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [4975] = {
    [sym_analytics_clause] = STATE(5102),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_using_clause_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_pivot_operator_token1] = ACTIONS(1464),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1464),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1464),
    [aux_sym_join_type_token1] = ACTIONS(1464),
    [aux_sym_join_type_token2] = ACTIONS(1464),
    [aux_sym_join_type_token3] = ACTIONS(1464),
    [aux_sym_join_type_token4] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1464),
    [aux_sym_join_condition_token1] = ACTIONS(1464),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
  },
  [4976] = {
    [sym_analytics_clause] = STATE(5217),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [4977] = {
    [sym_analytics_clause] = STATE(5197),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_using_clause_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_pivot_operator_token1] = ACTIONS(1464),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1464),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1464),
    [aux_sym_join_type_token1] = ACTIONS(1464),
    [aux_sym_join_type_token2] = ACTIONS(1464),
    [aux_sym_join_type_token3] = ACTIONS(1464),
    [aux_sym_join_type_token4] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1464),
    [aux_sym_join_condition_token1] = ACTIONS(1464),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
  },
  [4978] = {
    [sym_analytics_clause] = STATE(5216),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [4979] = {
    [sym_analytics_clause] = STATE(5215),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [4980] = {
    [sym_analytics_clause] = STATE(5124),
    [ts_builtin_sym_end] = ACTIONS(1374),
    [sym__unquoted_identifier] = ACTIONS(1376),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1376),
    [aux_sym__keyword_alter_token1] = ACTIONS(1376),
    [aux_sym__keyword_delete_token1] = ACTIONS(1376),
    [aux_sym__keyword_begin_token1] = ACTIONS(1376),
    [aux_sym__keyword_when_token1] = ACTIONS(1376),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1376),
    [aux_sym__keyword_as_token1] = ACTIONS(1376),
    [aux_sym__keyword_window_token1] = ACTIONS(1376),
    [aux_sym__keyword_date_token1] = ACTIONS(1376),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1376),
    [aux_sym__keyword_time_token1] = ACTIONS(1376),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1376),
    [aux_sym__keyword_for_token1] = ACTIONS(1376),
    [anon_sym_SEMI] = ACTIONS(1374),
    [aux_sym_declare_statement_token1] = ACTIONS(1376),
    [anon_sym_COMMA] = ACTIONS(1374),
    [aux_sym_set_statement_token1] = ACTIONS(1376),
    [anon_sym_LPAREN] = ACTIONS(1374),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1376),
    [aux_sym_using_clause_token1] = ACTIONS(1376),
    [aux_sym_return_satement_token1] = ACTIONS(1376),
    [aux_sym_call_statement_token1] = ACTIONS(1376),
    [aux_sym_loop_statement_token1] = ACTIONS(1376),
    [aux_sym_while_statement_token1] = ACTIONS(1376),
    [aux_sym_break_statement_token1] = ACTIONS(1376),
    [aux_sym_leave_statement_token1] = ACTIONS(1376),
    [aux_sym_continue_statement_token1] = ACTIONS(1376),
    [aux_sym_iterate_statement_token1] = ACTIONS(1376),
    [aux_sym_raise_statement_token1] = ACTIONS(1376),
    [aux_sym_assert_statement_token1] = ACTIONS(1376),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1376),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1376),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1376),
    [aux_sym_set_operation_token1] = ACTIONS(1376),
    [aux_sym_set_operation_token3] = ACTIONS(1376),
    [aux_sym_set_operation_token4] = ACTIONS(1376),
    [aux_sym_select_token1] = ACTIONS(1376),
    [aux_sym_having_clause_token1] = ACTIONS(1376),
    [aux_sym_qualify_clause_token1] = ACTIONS(1376),
    [aux_sym_limit_clause_token1] = ACTIONS(1376),
    [aux_sym_group_by_clause_token1] = ACTIONS(1376),
    [aux_sym_order_by_clause_token1] = ACTIONS(1376),
    [aux_sym_where_clause_token1] = ACTIONS(1376),
    [aux_sym_pivot_operator_token1] = ACTIONS(1376),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1376),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1376),
    [aux_sym_join_type_token1] = ACTIONS(1376),
    [aux_sym_join_type_token2] = ACTIONS(1376),
    [aux_sym_join_type_token3] = ACTIONS(1376),
    [aux_sym_join_type_token4] = ACTIONS(1376),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1376),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1376),
    [aux_sym_join_condition_token1] = ACTIONS(1376),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1376),
    [aux_sym_truncate_statement_token1] = ACTIONS(1376),
    [aux_sym_update_statement_token1] = ACTIONS(1376),
    [aux_sym_merge_statement_token1] = ACTIONS(1376),
    [aux_sym_grant_statement_token1] = ACTIONS(1376),
    [aux_sym_revoke_statement_token1] = ACTIONS(1376),
    [aux_sym_export_data_statement_token1] = ACTIONS(1376),
    [aux_sym_load_data_statement_token1] = ACTIONS(1376),
    [sym__quoted_identifier] = ACTIONS(1374),
    [sym_comment] = ACTIONS(3),
  },
  [4981] = {
    [sym_analytics_clause] = STATE(5125),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [4982] = {
    [sym_analytics_clause] = STATE(5129),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [4983] = {
    [sym_analytics_clause] = STATE(5229),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [4984] = {
    [sym_analytics_clause] = STATE(5131),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [4985] = {
    [sym_analytics_clause] = STATE(5132),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [4986] = {
    [sym_analytics_clause] = STATE(5212),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [4987] = {
    [sym_analytics_clause] = STATE(5104),
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_using_clause_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_pivot_operator_token1] = ACTIONS(1444),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1444),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1444),
    [aux_sym_join_type_token1] = ACTIONS(1444),
    [aux_sym_join_type_token2] = ACTIONS(1444),
    [aux_sym_join_type_token3] = ACTIONS(1444),
    [aux_sym_join_type_token4] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1444),
    [aux_sym_join_condition_token1] = ACTIONS(1444),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
  },
  [4988] = {
    [sym_analytics_clause] = STATE(5222),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [4989] = {
    [sym_analytics_clause] = STATE(5210),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [4990] = {
    [sym_analytics_clause] = STATE(5209),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [4991] = {
    [sym_analytics_clause] = STATE(5208),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [4992] = {
    [sym_analytics_clause] = STATE(5105),
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_using_clause_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_pivot_operator_token1] = ACTIONS(1444),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1444),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1444),
    [aux_sym_join_type_token1] = ACTIONS(1444),
    [aux_sym_join_type_token2] = ACTIONS(1444),
    [aux_sym_join_type_token3] = ACTIONS(1444),
    [aux_sym_join_type_token4] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1444),
    [aux_sym_join_condition_token1] = ACTIONS(1444),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
  },
  [4993] = {
    [sym_analytics_clause] = STATE(5207),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [4994] = {
    [sym_analytics_clause] = STATE(5228),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [4995] = {
    [sym_analytics_clause] = STATE(5237),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [4996] = {
    [sym_analytics_clause] = STATE(5206),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [4997] = {
    [sym_analytics_clause] = STATE(5238),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [4998] = {
    [sym_analytics_clause] = STATE(5112),
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_using_clause_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_pivot_operator_token1] = ACTIONS(1444),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1444),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1444),
    [aux_sym_join_type_token1] = ACTIONS(1444),
    [aux_sym_join_type_token2] = ACTIONS(1444),
    [aux_sym_join_type_token3] = ACTIONS(1444),
    [aux_sym_join_type_token4] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1444),
    [aux_sym_join_condition_token1] = ACTIONS(1444),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
  },
  [4999] = {
    [sym_analytics_clause] = STATE(5205),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [5000] = {
    [sym_analytics_clause] = STATE(5204),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [5001] = {
    [sym_analytics_clause] = STATE(5224),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [5002] = {
    [sym_analytics_clause] = STATE(5223),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [5003] = {
    [sym_analytics_clause] = STATE(5135),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [5004] = {
    [sym_analytics_clause] = STATE(5214),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [5005] = {
    [sym_analytics_clause] = STATE(5113),
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_using_clause_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_pivot_operator_token1] = ACTIONS(1444),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1444),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1444),
    [aux_sym_join_type_token1] = ACTIONS(1444),
    [aux_sym_join_type_token2] = ACTIONS(1444),
    [aux_sym_join_type_token3] = ACTIONS(1444),
    [aux_sym_join_type_token4] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1444),
    [aux_sym_join_condition_token1] = ACTIONS(1444),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
  },
  [5006] = {
    [sym_analytics_clause] = STATE(5202),
    [ts_builtin_sym_end] = ACTIONS(1394),
    [sym__unquoted_identifier] = ACTIONS(1396),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1396),
    [aux_sym__keyword_alter_token1] = ACTIONS(1396),
    [aux_sym__keyword_delete_token1] = ACTIONS(1396),
    [aux_sym__keyword_begin_token1] = ACTIONS(1396),
    [aux_sym__keyword_when_token1] = ACTIONS(1396),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1396),
    [aux_sym__keyword_as_token1] = ACTIONS(1396),
    [aux_sym__keyword_window_token1] = ACTIONS(1396),
    [aux_sym__keyword_date_token1] = ACTIONS(1396),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1396),
    [aux_sym__keyword_time_token1] = ACTIONS(1396),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1396),
    [aux_sym__keyword_for_token1] = ACTIONS(1396),
    [anon_sym_SEMI] = ACTIONS(1394),
    [aux_sym_declare_statement_token1] = ACTIONS(1396),
    [anon_sym_COMMA] = ACTIONS(1394),
    [aux_sym_set_statement_token1] = ACTIONS(1396),
    [anon_sym_LPAREN] = ACTIONS(1394),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1396),
    [aux_sym_using_clause_token1] = ACTIONS(1396),
    [aux_sym_return_satement_token1] = ACTIONS(1396),
    [aux_sym_call_statement_token1] = ACTIONS(1396),
    [aux_sym_loop_statement_token1] = ACTIONS(1396),
    [aux_sym_while_statement_token1] = ACTIONS(1396),
    [aux_sym_break_statement_token1] = ACTIONS(1396),
    [aux_sym_leave_statement_token1] = ACTIONS(1396),
    [aux_sym_continue_statement_token1] = ACTIONS(1396),
    [aux_sym_iterate_statement_token1] = ACTIONS(1396),
    [aux_sym_raise_statement_token1] = ACTIONS(1396),
    [aux_sym_assert_statement_token1] = ACTIONS(1396),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1396),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1396),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1396),
    [aux_sym_set_operation_token1] = ACTIONS(1396),
    [aux_sym_set_operation_token3] = ACTIONS(1396),
    [aux_sym_set_operation_token4] = ACTIONS(1396),
    [aux_sym_select_token1] = ACTIONS(1396),
    [aux_sym_having_clause_token1] = ACTIONS(1396),
    [aux_sym_qualify_clause_token1] = ACTIONS(1396),
    [aux_sym_limit_clause_token1] = ACTIONS(1396),
    [aux_sym_group_by_clause_token1] = ACTIONS(1396),
    [aux_sym_order_by_clause_token1] = ACTIONS(1396),
    [aux_sym_where_clause_token1] = ACTIONS(1396),
    [aux_sym_pivot_operator_token1] = ACTIONS(1396),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1396),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1396),
    [aux_sym_join_type_token1] = ACTIONS(1396),
    [aux_sym_join_type_token2] = ACTIONS(1396),
    [aux_sym_join_type_token3] = ACTIONS(1396),
    [aux_sym_join_type_token4] = ACTIONS(1396),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1396),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1396),
    [aux_sym_join_condition_token1] = ACTIONS(1396),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1396),
    [aux_sym_truncate_statement_token1] = ACTIONS(1396),
    [aux_sym_update_statement_token1] = ACTIONS(1396),
    [aux_sym_merge_statement_token1] = ACTIONS(1396),
    [aux_sym_grant_statement_token1] = ACTIONS(1396),
    [aux_sym_revoke_statement_token1] = ACTIONS(1396),
    [aux_sym_export_data_statement_token1] = ACTIONS(1396),
    [aux_sym_load_data_statement_token1] = ACTIONS(1396),
    [sym__quoted_identifier] = ACTIONS(1394),
    [sym_comment] = ACTIONS(3),
  },
  [5007] = {
    [sym_analytics_clause] = STATE(5225),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [5008] = {
    [sym_analytics_clause] = STATE(5240),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [5009] = {
    [sym_analytics_clause] = STATE(5199),
    [ts_builtin_sym_end] = ACTIONS(1398),
    [sym__unquoted_identifier] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1400),
    [aux_sym__keyword_alter_token1] = ACTIONS(1400),
    [aux_sym__keyword_delete_token1] = ACTIONS(1400),
    [aux_sym__keyword_begin_token1] = ACTIONS(1400),
    [aux_sym__keyword_when_token1] = ACTIONS(1400),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1400),
    [aux_sym__keyword_as_token1] = ACTIONS(1400),
    [aux_sym__keyword_window_token1] = ACTIONS(1400),
    [aux_sym__keyword_date_token1] = ACTIONS(1400),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1400),
    [aux_sym__keyword_time_token1] = ACTIONS(1400),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1400),
    [aux_sym__keyword_for_token1] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1400),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1400),
    [aux_sym_using_clause_token1] = ACTIONS(1400),
    [aux_sym_return_satement_token1] = ACTIONS(1400),
    [aux_sym_call_statement_token1] = ACTIONS(1400),
    [aux_sym_loop_statement_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token1] = ACTIONS(1400),
    [aux_sym_break_statement_token1] = ACTIONS(1400),
    [aux_sym_leave_statement_token1] = ACTIONS(1400),
    [aux_sym_continue_statement_token1] = ACTIONS(1400),
    [aux_sym_iterate_statement_token1] = ACTIONS(1400),
    [aux_sym_raise_statement_token1] = ACTIONS(1400),
    [aux_sym_assert_statement_token1] = ACTIONS(1400),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1400),
    [aux_sym_set_operation_token1] = ACTIONS(1400),
    [aux_sym_set_operation_token3] = ACTIONS(1400),
    [aux_sym_set_operation_token4] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1400),
    [aux_sym_having_clause_token1] = ACTIONS(1400),
    [aux_sym_qualify_clause_token1] = ACTIONS(1400),
    [aux_sym_limit_clause_token1] = ACTIONS(1400),
    [aux_sym_group_by_clause_token1] = ACTIONS(1400),
    [aux_sym_order_by_clause_token1] = ACTIONS(1400),
    [aux_sym_where_clause_token1] = ACTIONS(1400),
    [aux_sym_pivot_operator_token1] = ACTIONS(1400),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1400),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1400),
    [aux_sym_join_type_token1] = ACTIONS(1400),
    [aux_sym_join_type_token2] = ACTIONS(1400),
    [aux_sym_join_type_token3] = ACTIONS(1400),
    [aux_sym_join_type_token4] = ACTIONS(1400),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1400),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1400),
    [aux_sym_join_condition_token1] = ACTIONS(1400),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1400),
    [aux_sym_truncate_statement_token1] = ACTIONS(1400),
    [aux_sym_update_statement_token1] = ACTIONS(1400),
    [aux_sym_merge_statement_token1] = ACTIONS(1400),
    [aux_sym_grant_statement_token1] = ACTIONS(1400),
    [aux_sym_revoke_statement_token1] = ACTIONS(1400),
    [aux_sym_export_data_statement_token1] = ACTIONS(1400),
    [aux_sym_load_data_statement_token1] = ACTIONS(1400),
    [sym__quoted_identifier] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
  },
  [5010] = {
    [sym_analytics_clause] = STATE(5226),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [5011] = {
    [sym_analytics_clause] = STATE(5193),
    [ts_builtin_sym_end] = ACTIONS(1398),
    [sym__unquoted_identifier] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1400),
    [aux_sym__keyword_alter_token1] = ACTIONS(1400),
    [aux_sym__keyword_delete_token1] = ACTIONS(1400),
    [aux_sym__keyword_begin_token1] = ACTIONS(1400),
    [aux_sym__keyword_when_token1] = ACTIONS(1400),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1400),
    [aux_sym__keyword_as_token1] = ACTIONS(1400),
    [aux_sym__keyword_window_token1] = ACTIONS(1400),
    [aux_sym__keyword_date_token1] = ACTIONS(1400),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1400),
    [aux_sym__keyword_time_token1] = ACTIONS(1400),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1400),
    [aux_sym__keyword_for_token1] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1400),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1400),
    [aux_sym_using_clause_token1] = ACTIONS(1400),
    [aux_sym_return_satement_token1] = ACTIONS(1400),
    [aux_sym_call_statement_token1] = ACTIONS(1400),
    [aux_sym_loop_statement_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token1] = ACTIONS(1400),
    [aux_sym_break_statement_token1] = ACTIONS(1400),
    [aux_sym_leave_statement_token1] = ACTIONS(1400),
    [aux_sym_continue_statement_token1] = ACTIONS(1400),
    [aux_sym_iterate_statement_token1] = ACTIONS(1400),
    [aux_sym_raise_statement_token1] = ACTIONS(1400),
    [aux_sym_assert_statement_token1] = ACTIONS(1400),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1400),
    [aux_sym_set_operation_token1] = ACTIONS(1400),
    [aux_sym_set_operation_token3] = ACTIONS(1400),
    [aux_sym_set_operation_token4] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1400),
    [aux_sym_having_clause_token1] = ACTIONS(1400),
    [aux_sym_qualify_clause_token1] = ACTIONS(1400),
    [aux_sym_limit_clause_token1] = ACTIONS(1400),
    [aux_sym_group_by_clause_token1] = ACTIONS(1400),
    [aux_sym_order_by_clause_token1] = ACTIONS(1400),
    [aux_sym_where_clause_token1] = ACTIONS(1400),
    [aux_sym_pivot_operator_token1] = ACTIONS(1400),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1400),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1400),
    [aux_sym_join_type_token1] = ACTIONS(1400),
    [aux_sym_join_type_token2] = ACTIONS(1400),
    [aux_sym_join_type_token3] = ACTIONS(1400),
    [aux_sym_join_type_token4] = ACTIONS(1400),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1400),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1400),
    [aux_sym_join_condition_token1] = ACTIONS(1400),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1400),
    [aux_sym_truncate_statement_token1] = ACTIONS(1400),
    [aux_sym_update_statement_token1] = ACTIONS(1400),
    [aux_sym_merge_statement_token1] = ACTIONS(1400),
    [aux_sym_grant_statement_token1] = ACTIONS(1400),
    [aux_sym_revoke_statement_token1] = ACTIONS(1400),
    [aux_sym_export_data_statement_token1] = ACTIONS(1400),
    [aux_sym_load_data_statement_token1] = ACTIONS(1400),
    [sym__quoted_identifier] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
  },
  [5012] = {
    [sym_analytics_clause] = STATE(5192),
    [ts_builtin_sym_end] = ACTIONS(1398),
    [sym__unquoted_identifier] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1400),
    [aux_sym__keyword_alter_token1] = ACTIONS(1400),
    [aux_sym__keyword_delete_token1] = ACTIONS(1400),
    [aux_sym__keyword_begin_token1] = ACTIONS(1400),
    [aux_sym__keyword_when_token1] = ACTIONS(1400),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1400),
    [aux_sym__keyword_as_token1] = ACTIONS(1400),
    [aux_sym__keyword_window_token1] = ACTIONS(1400),
    [aux_sym__keyword_date_token1] = ACTIONS(1400),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1400),
    [aux_sym__keyword_time_token1] = ACTIONS(1400),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1400),
    [aux_sym__keyword_for_token1] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1400),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1400),
    [aux_sym_using_clause_token1] = ACTIONS(1400),
    [aux_sym_return_satement_token1] = ACTIONS(1400),
    [aux_sym_call_statement_token1] = ACTIONS(1400),
    [aux_sym_loop_statement_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token1] = ACTIONS(1400),
    [aux_sym_break_statement_token1] = ACTIONS(1400),
    [aux_sym_leave_statement_token1] = ACTIONS(1400),
    [aux_sym_continue_statement_token1] = ACTIONS(1400),
    [aux_sym_iterate_statement_token1] = ACTIONS(1400),
    [aux_sym_raise_statement_token1] = ACTIONS(1400),
    [aux_sym_assert_statement_token1] = ACTIONS(1400),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1400),
    [aux_sym_set_operation_token1] = ACTIONS(1400),
    [aux_sym_set_operation_token3] = ACTIONS(1400),
    [aux_sym_set_operation_token4] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1400),
    [aux_sym_having_clause_token1] = ACTIONS(1400),
    [aux_sym_qualify_clause_token1] = ACTIONS(1400),
    [aux_sym_limit_clause_token1] = ACTIONS(1400),
    [aux_sym_group_by_clause_token1] = ACTIONS(1400),
    [aux_sym_order_by_clause_token1] = ACTIONS(1400),
    [aux_sym_where_clause_token1] = ACTIONS(1400),
    [aux_sym_pivot_operator_token1] = ACTIONS(1400),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1400),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1400),
    [aux_sym_join_type_token1] = ACTIONS(1400),
    [aux_sym_join_type_token2] = ACTIONS(1400),
    [aux_sym_join_type_token3] = ACTIONS(1400),
    [aux_sym_join_type_token4] = ACTIONS(1400),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1400),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1400),
    [aux_sym_join_condition_token1] = ACTIONS(1400),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1400),
    [aux_sym_truncate_statement_token1] = ACTIONS(1400),
    [aux_sym_update_statement_token1] = ACTIONS(1400),
    [aux_sym_merge_statement_token1] = ACTIONS(1400),
    [aux_sym_grant_statement_token1] = ACTIONS(1400),
    [aux_sym_revoke_statement_token1] = ACTIONS(1400),
    [aux_sym_export_data_statement_token1] = ACTIONS(1400),
    [aux_sym_load_data_statement_token1] = ACTIONS(1400),
    [sym__quoted_identifier] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
  },
  [5013] = {
    [sym_analytics_clause] = STATE(5191),
    [ts_builtin_sym_end] = ACTIONS(1398),
    [sym__unquoted_identifier] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1400),
    [aux_sym__keyword_alter_token1] = ACTIONS(1400),
    [aux_sym__keyword_delete_token1] = ACTIONS(1400),
    [aux_sym__keyword_begin_token1] = ACTIONS(1400),
    [aux_sym__keyword_when_token1] = ACTIONS(1400),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1400),
    [aux_sym__keyword_as_token1] = ACTIONS(1400),
    [aux_sym__keyword_window_token1] = ACTIONS(1400),
    [aux_sym__keyword_date_token1] = ACTIONS(1400),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1400),
    [aux_sym__keyword_time_token1] = ACTIONS(1400),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1400),
    [aux_sym__keyword_for_token1] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1400),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1400),
    [aux_sym_using_clause_token1] = ACTIONS(1400),
    [aux_sym_return_satement_token1] = ACTIONS(1400),
    [aux_sym_call_statement_token1] = ACTIONS(1400),
    [aux_sym_loop_statement_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token1] = ACTIONS(1400),
    [aux_sym_break_statement_token1] = ACTIONS(1400),
    [aux_sym_leave_statement_token1] = ACTIONS(1400),
    [aux_sym_continue_statement_token1] = ACTIONS(1400),
    [aux_sym_iterate_statement_token1] = ACTIONS(1400),
    [aux_sym_raise_statement_token1] = ACTIONS(1400),
    [aux_sym_assert_statement_token1] = ACTIONS(1400),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1400),
    [aux_sym_set_operation_token1] = ACTIONS(1400),
    [aux_sym_set_operation_token3] = ACTIONS(1400),
    [aux_sym_set_operation_token4] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1400),
    [aux_sym_having_clause_token1] = ACTIONS(1400),
    [aux_sym_qualify_clause_token1] = ACTIONS(1400),
    [aux_sym_limit_clause_token1] = ACTIONS(1400),
    [aux_sym_group_by_clause_token1] = ACTIONS(1400),
    [aux_sym_order_by_clause_token1] = ACTIONS(1400),
    [aux_sym_where_clause_token1] = ACTIONS(1400),
    [aux_sym_pivot_operator_token1] = ACTIONS(1400),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1400),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1400),
    [aux_sym_join_type_token1] = ACTIONS(1400),
    [aux_sym_join_type_token2] = ACTIONS(1400),
    [aux_sym_join_type_token3] = ACTIONS(1400),
    [aux_sym_join_type_token4] = ACTIONS(1400),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1400),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1400),
    [aux_sym_join_condition_token1] = ACTIONS(1400),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1400),
    [aux_sym_truncate_statement_token1] = ACTIONS(1400),
    [aux_sym_update_statement_token1] = ACTIONS(1400),
    [aux_sym_merge_statement_token1] = ACTIONS(1400),
    [aux_sym_grant_statement_token1] = ACTIONS(1400),
    [aux_sym_revoke_statement_token1] = ACTIONS(1400),
    [aux_sym_export_data_statement_token1] = ACTIONS(1400),
    [aux_sym_load_data_statement_token1] = ACTIONS(1400),
    [sym__quoted_identifier] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
  },
  [5014] = {
    [sym_analytics_clause] = STATE(5115),
    [ts_builtin_sym_end] = ACTIONS(1446),
    [sym__unquoted_identifier] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1448),
    [aux_sym__keyword_delete_token1] = ACTIONS(1448),
    [aux_sym__keyword_begin_token1] = ACTIONS(1448),
    [aux_sym__keyword_when_token1] = ACTIONS(1448),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1448),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_window_token1] = ACTIONS(1448),
    [aux_sym__keyword_date_token1] = ACTIONS(1448),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1448),
    [aux_sym__keyword_time_token1] = ACTIONS(1448),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1448),
    [aux_sym_using_clause_token1] = ACTIONS(1448),
    [aux_sym_return_satement_token1] = ACTIONS(1448),
    [aux_sym_call_statement_token1] = ACTIONS(1448),
    [aux_sym_loop_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [aux_sym_leave_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_iterate_statement_token1] = ACTIONS(1448),
    [aux_sym_raise_statement_token1] = ACTIONS(1448),
    [aux_sym_assert_statement_token1] = ACTIONS(1448),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1448),
    [aux_sym_set_operation_token3] = ACTIONS(1448),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1448),
    [aux_sym_having_clause_token1] = ACTIONS(1448),
    [aux_sym_qualify_clause_token1] = ACTIONS(1448),
    [aux_sym_limit_clause_token1] = ACTIONS(1448),
    [aux_sym_group_by_clause_token1] = ACTIONS(1448),
    [aux_sym_order_by_clause_token1] = ACTIONS(1448),
    [aux_sym_where_clause_token1] = ACTIONS(1448),
    [aux_sym_pivot_operator_token1] = ACTIONS(1448),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1448),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1448),
    [aux_sym_join_type_token1] = ACTIONS(1448),
    [aux_sym_join_type_token2] = ACTIONS(1448),
    [aux_sym_join_type_token3] = ACTIONS(1448),
    [aux_sym_join_type_token4] = ACTIONS(1448),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1448),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1448),
    [aux_sym_join_condition_token1] = ACTIONS(1448),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1448),
    [aux_sym_truncate_statement_token1] = ACTIONS(1448),
    [aux_sym_update_statement_token1] = ACTIONS(1448),
    [aux_sym_merge_statement_token1] = ACTIONS(1448),
    [aux_sym_grant_statement_token1] = ACTIONS(1448),
    [aux_sym_revoke_statement_token1] = ACTIONS(1448),
    [aux_sym_export_data_statement_token1] = ACTIONS(1448),
    [aux_sym_load_data_statement_token1] = ACTIONS(1448),
    [sym__quoted_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
  },
  [5015] = {
    [sym_analytics_clause] = STATE(5190),
    [ts_builtin_sym_end] = ACTIONS(1398),
    [sym__unquoted_identifier] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1400),
    [aux_sym__keyword_alter_token1] = ACTIONS(1400),
    [aux_sym__keyword_delete_token1] = ACTIONS(1400),
    [aux_sym__keyword_begin_token1] = ACTIONS(1400),
    [aux_sym__keyword_when_token1] = ACTIONS(1400),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1400),
    [aux_sym__keyword_as_token1] = ACTIONS(1400),
    [aux_sym__keyword_window_token1] = ACTIONS(1400),
    [aux_sym__keyword_date_token1] = ACTIONS(1400),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1400),
    [aux_sym__keyword_time_token1] = ACTIONS(1400),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1400),
    [aux_sym__keyword_for_token1] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1400),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1400),
    [aux_sym_using_clause_token1] = ACTIONS(1400),
    [aux_sym_return_satement_token1] = ACTIONS(1400),
    [aux_sym_call_statement_token1] = ACTIONS(1400),
    [aux_sym_loop_statement_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token1] = ACTIONS(1400),
    [aux_sym_break_statement_token1] = ACTIONS(1400),
    [aux_sym_leave_statement_token1] = ACTIONS(1400),
    [aux_sym_continue_statement_token1] = ACTIONS(1400),
    [aux_sym_iterate_statement_token1] = ACTIONS(1400),
    [aux_sym_raise_statement_token1] = ACTIONS(1400),
    [aux_sym_assert_statement_token1] = ACTIONS(1400),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1400),
    [aux_sym_set_operation_token1] = ACTIONS(1400),
    [aux_sym_set_operation_token3] = ACTIONS(1400),
    [aux_sym_set_operation_token4] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1400),
    [aux_sym_having_clause_token1] = ACTIONS(1400),
    [aux_sym_qualify_clause_token1] = ACTIONS(1400),
    [aux_sym_limit_clause_token1] = ACTIONS(1400),
    [aux_sym_group_by_clause_token1] = ACTIONS(1400),
    [aux_sym_order_by_clause_token1] = ACTIONS(1400),
    [aux_sym_where_clause_token1] = ACTIONS(1400),
    [aux_sym_pivot_operator_token1] = ACTIONS(1400),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1400),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1400),
    [aux_sym_join_type_token1] = ACTIONS(1400),
    [aux_sym_join_type_token2] = ACTIONS(1400),
    [aux_sym_join_type_token3] = ACTIONS(1400),
    [aux_sym_join_type_token4] = ACTIONS(1400),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1400),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1400),
    [aux_sym_join_condition_token1] = ACTIONS(1400),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1400),
    [aux_sym_truncate_statement_token1] = ACTIONS(1400),
    [aux_sym_update_statement_token1] = ACTIONS(1400),
    [aux_sym_merge_statement_token1] = ACTIONS(1400),
    [aux_sym_grant_statement_token1] = ACTIONS(1400),
    [aux_sym_revoke_statement_token1] = ACTIONS(1400),
    [aux_sym_export_data_statement_token1] = ACTIONS(1400),
    [aux_sym_load_data_statement_token1] = ACTIONS(1400),
    [sym__quoted_identifier] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
  },
  [5016] = {
    [sym_analytics_clause] = STATE(5227),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [5017] = {
    [sym_analytics_clause] = STATE(5116),
    [ts_builtin_sym_end] = ACTIONS(1446),
    [sym__unquoted_identifier] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1448),
    [aux_sym__keyword_delete_token1] = ACTIONS(1448),
    [aux_sym__keyword_begin_token1] = ACTIONS(1448),
    [aux_sym__keyword_when_token1] = ACTIONS(1448),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1448),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_window_token1] = ACTIONS(1448),
    [aux_sym__keyword_date_token1] = ACTIONS(1448),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1448),
    [aux_sym__keyword_time_token1] = ACTIONS(1448),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1448),
    [aux_sym_using_clause_token1] = ACTIONS(1448),
    [aux_sym_return_satement_token1] = ACTIONS(1448),
    [aux_sym_call_statement_token1] = ACTIONS(1448),
    [aux_sym_loop_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [aux_sym_leave_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_iterate_statement_token1] = ACTIONS(1448),
    [aux_sym_raise_statement_token1] = ACTIONS(1448),
    [aux_sym_assert_statement_token1] = ACTIONS(1448),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1448),
    [aux_sym_set_operation_token3] = ACTIONS(1448),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1448),
    [aux_sym_having_clause_token1] = ACTIONS(1448),
    [aux_sym_qualify_clause_token1] = ACTIONS(1448),
    [aux_sym_limit_clause_token1] = ACTIONS(1448),
    [aux_sym_group_by_clause_token1] = ACTIONS(1448),
    [aux_sym_order_by_clause_token1] = ACTIONS(1448),
    [aux_sym_where_clause_token1] = ACTIONS(1448),
    [aux_sym_pivot_operator_token1] = ACTIONS(1448),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1448),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1448),
    [aux_sym_join_type_token1] = ACTIONS(1448),
    [aux_sym_join_type_token2] = ACTIONS(1448),
    [aux_sym_join_type_token3] = ACTIONS(1448),
    [aux_sym_join_type_token4] = ACTIONS(1448),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1448),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1448),
    [aux_sym_join_condition_token1] = ACTIONS(1448),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1448),
    [aux_sym_truncate_statement_token1] = ACTIONS(1448),
    [aux_sym_update_statement_token1] = ACTIONS(1448),
    [aux_sym_merge_statement_token1] = ACTIONS(1448),
    [aux_sym_grant_statement_token1] = ACTIONS(1448),
    [aux_sym_revoke_statement_token1] = ACTIONS(1448),
    [aux_sym_export_data_statement_token1] = ACTIONS(1448),
    [aux_sym_load_data_statement_token1] = ACTIONS(1448),
    [sym__quoted_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
  },
  [5018] = {
    [sym_analytics_clause] = STATE(5189),
    [ts_builtin_sym_end] = ACTIONS(1406),
    [sym__unquoted_identifier] = ACTIONS(1408),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1408),
    [aux_sym__keyword_alter_token1] = ACTIONS(1408),
    [aux_sym__keyword_delete_token1] = ACTIONS(1408),
    [aux_sym__keyword_begin_token1] = ACTIONS(1408),
    [aux_sym__keyword_when_token1] = ACTIONS(1408),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1408),
    [aux_sym__keyword_as_token1] = ACTIONS(1408),
    [aux_sym__keyword_window_token1] = ACTIONS(1408),
    [aux_sym__keyword_date_token1] = ACTIONS(1408),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1408),
    [aux_sym__keyword_time_token1] = ACTIONS(1408),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1408),
    [aux_sym__keyword_for_token1] = ACTIONS(1408),
    [anon_sym_SEMI] = ACTIONS(1406),
    [aux_sym_declare_statement_token1] = ACTIONS(1408),
    [anon_sym_COMMA] = ACTIONS(1406),
    [aux_sym_set_statement_token1] = ACTIONS(1408),
    [anon_sym_LPAREN] = ACTIONS(1406),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1408),
    [aux_sym_using_clause_token1] = ACTIONS(1408),
    [aux_sym_return_satement_token1] = ACTIONS(1408),
    [aux_sym_call_statement_token1] = ACTIONS(1408),
    [aux_sym_loop_statement_token1] = ACTIONS(1408),
    [aux_sym_while_statement_token1] = ACTIONS(1408),
    [aux_sym_break_statement_token1] = ACTIONS(1408),
    [aux_sym_leave_statement_token1] = ACTIONS(1408),
    [aux_sym_continue_statement_token1] = ACTIONS(1408),
    [aux_sym_iterate_statement_token1] = ACTIONS(1408),
    [aux_sym_raise_statement_token1] = ACTIONS(1408),
    [aux_sym_assert_statement_token1] = ACTIONS(1408),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1408),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1408),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1408),
    [aux_sym_set_operation_token1] = ACTIONS(1408),
    [aux_sym_set_operation_token3] = ACTIONS(1408),
    [aux_sym_set_operation_token4] = ACTIONS(1408),
    [aux_sym_select_token1] = ACTIONS(1408),
    [aux_sym_having_clause_token1] = ACTIONS(1408),
    [aux_sym_qualify_clause_token1] = ACTIONS(1408),
    [aux_sym_limit_clause_token1] = ACTIONS(1408),
    [aux_sym_group_by_clause_token1] = ACTIONS(1408),
    [aux_sym_order_by_clause_token1] = ACTIONS(1408),
    [aux_sym_where_clause_token1] = ACTIONS(1408),
    [aux_sym_pivot_operator_token1] = ACTIONS(1408),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1408),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1408),
    [aux_sym_join_type_token1] = ACTIONS(1408),
    [aux_sym_join_type_token2] = ACTIONS(1408),
    [aux_sym_join_type_token3] = ACTIONS(1408),
    [aux_sym_join_type_token4] = ACTIONS(1408),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1408),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1408),
    [aux_sym_join_condition_token1] = ACTIONS(1408),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1408),
    [aux_sym_truncate_statement_token1] = ACTIONS(1408),
    [aux_sym_update_statement_token1] = ACTIONS(1408),
    [aux_sym_merge_statement_token1] = ACTIONS(1408),
    [aux_sym_grant_statement_token1] = ACTIONS(1408),
    [aux_sym_revoke_statement_token1] = ACTIONS(1408),
    [aux_sym_export_data_statement_token1] = ACTIONS(1408),
    [aux_sym_load_data_statement_token1] = ACTIONS(1408),
    [sym__quoted_identifier] = ACTIONS(1406),
    [sym_comment] = ACTIONS(3),
  },
  [5019] = {
    [sym_analytics_clause] = STATE(5230),
    [ts_builtin_sym_end] = ACTIONS(1504),
    [sym__unquoted_identifier] = ACTIONS(1506),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1506),
    [aux_sym__keyword_alter_token1] = ACTIONS(1506),
    [aux_sym__keyword_delete_token1] = ACTIONS(1506),
    [aux_sym__keyword_begin_token1] = ACTIONS(1506),
    [aux_sym__keyword_when_token1] = ACTIONS(1506),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1506),
    [aux_sym__keyword_as_token1] = ACTIONS(1506),
    [aux_sym__keyword_window_token1] = ACTIONS(1506),
    [aux_sym__keyword_date_token1] = ACTIONS(1506),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1506),
    [aux_sym__keyword_time_token1] = ACTIONS(1506),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1506),
    [aux_sym__keyword_for_token1] = ACTIONS(1506),
    [anon_sym_SEMI] = ACTIONS(1504),
    [aux_sym_declare_statement_token1] = ACTIONS(1506),
    [anon_sym_COMMA] = ACTIONS(1504),
    [aux_sym_set_statement_token1] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1504),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1506),
    [aux_sym_using_clause_token1] = ACTIONS(1506),
    [aux_sym_return_satement_token1] = ACTIONS(1506),
    [aux_sym_call_statement_token1] = ACTIONS(1506),
    [aux_sym_loop_statement_token1] = ACTIONS(1506),
    [aux_sym_while_statement_token1] = ACTIONS(1506),
    [aux_sym_break_statement_token1] = ACTIONS(1506),
    [aux_sym_leave_statement_token1] = ACTIONS(1506),
    [aux_sym_continue_statement_token1] = ACTIONS(1506),
    [aux_sym_iterate_statement_token1] = ACTIONS(1506),
    [aux_sym_raise_statement_token1] = ACTIONS(1506),
    [aux_sym_assert_statement_token1] = ACTIONS(1506),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1506),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1506),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1506),
    [aux_sym_set_operation_token1] = ACTIONS(1506),
    [aux_sym_set_operation_token3] = ACTIONS(1506),
    [aux_sym_set_operation_token4] = ACTIONS(1506),
    [aux_sym_select_token1] = ACTIONS(1506),
    [aux_sym_having_clause_token1] = ACTIONS(1506),
    [aux_sym_qualify_clause_token1] = ACTIONS(1506),
    [aux_sym_limit_clause_token1] = ACTIONS(1506),
    [aux_sym_group_by_clause_token1] = ACTIONS(1506),
    [aux_sym_order_by_clause_token1] = ACTIONS(1506),
    [aux_sym_where_clause_token1] = ACTIONS(1506),
    [aux_sym_pivot_operator_token1] = ACTIONS(1506),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1506),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1506),
    [aux_sym_join_type_token1] = ACTIONS(1506),
    [aux_sym_join_type_token2] = ACTIONS(1506),
    [aux_sym_join_type_token3] = ACTIONS(1506),
    [aux_sym_join_type_token4] = ACTIONS(1506),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1506),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1506),
    [aux_sym_join_condition_token1] = ACTIONS(1506),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1506),
    [aux_sym_truncate_statement_token1] = ACTIONS(1506),
    [aux_sym_update_statement_token1] = ACTIONS(1506),
    [aux_sym_merge_statement_token1] = ACTIONS(1506),
    [aux_sym_grant_statement_token1] = ACTIONS(1506),
    [aux_sym_revoke_statement_token1] = ACTIONS(1506),
    [aux_sym_export_data_statement_token1] = ACTIONS(1506),
    [aux_sym_load_data_statement_token1] = ACTIONS(1506),
    [sym__quoted_identifier] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
  },
  [5020] = {
    [sym_analytics_clause] = STATE(5186),
    [ts_builtin_sym_end] = ACTIONS(1410),
    [sym__unquoted_identifier] = ACTIONS(1412),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1412),
    [aux_sym__keyword_alter_token1] = ACTIONS(1412),
    [aux_sym__keyword_delete_token1] = ACTIONS(1412),
    [aux_sym__keyword_begin_token1] = ACTIONS(1412),
    [aux_sym__keyword_when_token1] = ACTIONS(1412),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1412),
    [aux_sym__keyword_as_token1] = ACTIONS(1412),
    [aux_sym__keyword_window_token1] = ACTIONS(1412),
    [aux_sym__keyword_date_token1] = ACTIONS(1412),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1412),
    [aux_sym__keyword_time_token1] = ACTIONS(1412),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1412),
    [aux_sym__keyword_for_token1] = ACTIONS(1412),
    [anon_sym_SEMI] = ACTIONS(1410),
    [aux_sym_declare_statement_token1] = ACTIONS(1412),
    [anon_sym_COMMA] = ACTIONS(1410),
    [aux_sym_set_statement_token1] = ACTIONS(1412),
    [anon_sym_LPAREN] = ACTIONS(1410),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1412),
    [aux_sym_using_clause_token1] = ACTIONS(1412),
    [aux_sym_return_satement_token1] = ACTIONS(1412),
    [aux_sym_call_statement_token1] = ACTIONS(1412),
    [aux_sym_loop_statement_token1] = ACTIONS(1412),
    [aux_sym_while_statement_token1] = ACTIONS(1412),
    [aux_sym_break_statement_token1] = ACTIONS(1412),
    [aux_sym_leave_statement_token1] = ACTIONS(1412),
    [aux_sym_continue_statement_token1] = ACTIONS(1412),
    [aux_sym_iterate_statement_token1] = ACTIONS(1412),
    [aux_sym_raise_statement_token1] = ACTIONS(1412),
    [aux_sym_assert_statement_token1] = ACTIONS(1412),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1412),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1412),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1412),
    [aux_sym_set_operation_token1] = ACTIONS(1412),
    [aux_sym_set_operation_token3] = ACTIONS(1412),
    [aux_sym_set_operation_token4] = ACTIONS(1412),
    [aux_sym_select_token1] = ACTIONS(1412),
    [aux_sym_having_clause_token1] = ACTIONS(1412),
    [aux_sym_qualify_clause_token1] = ACTIONS(1412),
    [aux_sym_limit_clause_token1] = ACTIONS(1412),
    [aux_sym_group_by_clause_token1] = ACTIONS(1412),
    [aux_sym_order_by_clause_token1] = ACTIONS(1412),
    [aux_sym_where_clause_token1] = ACTIONS(1412),
    [aux_sym_pivot_operator_token1] = ACTIONS(1412),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1412),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1412),
    [aux_sym_join_type_token1] = ACTIONS(1412),
    [aux_sym_join_type_token2] = ACTIONS(1412),
    [aux_sym_join_type_token3] = ACTIONS(1412),
    [aux_sym_join_type_token4] = ACTIONS(1412),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1412),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1412),
    [aux_sym_join_condition_token1] = ACTIONS(1412),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1412),
    [aux_sym_truncate_statement_token1] = ACTIONS(1412),
    [aux_sym_update_statement_token1] = ACTIONS(1412),
    [aux_sym_merge_statement_token1] = ACTIONS(1412),
    [aux_sym_grant_statement_token1] = ACTIONS(1412),
    [aux_sym_revoke_statement_token1] = ACTIONS(1412),
    [aux_sym_export_data_statement_token1] = ACTIONS(1412),
    [aux_sym_load_data_statement_token1] = ACTIONS(1412),
    [sym__quoted_identifier] = ACTIONS(1410),
    [sym_comment] = ACTIONS(3),
  },
  [5021] = {
    [sym_analytics_clause] = STATE(5185),
    [ts_builtin_sym_end] = ACTIONS(1414),
    [sym__unquoted_identifier] = ACTIONS(1416),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1416),
    [aux_sym__keyword_alter_token1] = ACTIONS(1416),
    [aux_sym__keyword_delete_token1] = ACTIONS(1416),
    [aux_sym__keyword_begin_token1] = ACTIONS(1416),
    [aux_sym__keyword_when_token1] = ACTIONS(1416),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1416),
    [aux_sym__keyword_as_token1] = ACTIONS(1416),
    [aux_sym__keyword_window_token1] = ACTIONS(1416),
    [aux_sym__keyword_date_token1] = ACTIONS(1416),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1416),
    [aux_sym__keyword_time_token1] = ACTIONS(1416),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1416),
    [aux_sym__keyword_for_token1] = ACTIONS(1416),
    [anon_sym_SEMI] = ACTIONS(1414),
    [aux_sym_declare_statement_token1] = ACTIONS(1416),
    [anon_sym_COMMA] = ACTIONS(1414),
    [aux_sym_set_statement_token1] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1416),
    [aux_sym_using_clause_token1] = ACTIONS(1416),
    [aux_sym_return_satement_token1] = ACTIONS(1416),
    [aux_sym_call_statement_token1] = ACTIONS(1416),
    [aux_sym_loop_statement_token1] = ACTIONS(1416),
    [aux_sym_while_statement_token1] = ACTIONS(1416),
    [aux_sym_break_statement_token1] = ACTIONS(1416),
    [aux_sym_leave_statement_token1] = ACTIONS(1416),
    [aux_sym_continue_statement_token1] = ACTIONS(1416),
    [aux_sym_iterate_statement_token1] = ACTIONS(1416),
    [aux_sym_raise_statement_token1] = ACTIONS(1416),
    [aux_sym_assert_statement_token1] = ACTIONS(1416),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1416),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1416),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1416),
    [aux_sym_set_operation_token1] = ACTIONS(1416),
    [aux_sym_set_operation_token3] = ACTIONS(1416),
    [aux_sym_set_operation_token4] = ACTIONS(1416),
    [aux_sym_select_token1] = ACTIONS(1416),
    [aux_sym_having_clause_token1] = ACTIONS(1416),
    [aux_sym_qualify_clause_token1] = ACTIONS(1416),
    [aux_sym_limit_clause_token1] = ACTIONS(1416),
    [aux_sym_group_by_clause_token1] = ACTIONS(1416),
    [aux_sym_order_by_clause_token1] = ACTIONS(1416),
    [aux_sym_where_clause_token1] = ACTIONS(1416),
    [aux_sym_pivot_operator_token1] = ACTIONS(1416),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1416),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1416),
    [aux_sym_join_type_token1] = ACTIONS(1416),
    [aux_sym_join_type_token2] = ACTIONS(1416),
    [aux_sym_join_type_token3] = ACTIONS(1416),
    [aux_sym_join_type_token4] = ACTIONS(1416),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1416),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1416),
    [aux_sym_join_condition_token1] = ACTIONS(1416),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1416),
    [aux_sym_truncate_statement_token1] = ACTIONS(1416),
    [aux_sym_update_statement_token1] = ACTIONS(1416),
    [aux_sym_merge_statement_token1] = ACTIONS(1416),
    [aux_sym_grant_statement_token1] = ACTIONS(1416),
    [aux_sym_revoke_statement_token1] = ACTIONS(1416),
    [aux_sym_export_data_statement_token1] = ACTIONS(1416),
    [aux_sym_load_data_statement_token1] = ACTIONS(1416),
    [sym__quoted_identifier] = ACTIONS(1414),
    [sym_comment] = ACTIONS(3),
  },
  [5022] = {
    [sym_analytics_clause] = STATE(5181),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_when_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_window_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_using_clause_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token3] = ACTIONS(1420),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_having_clause_token1] = ACTIONS(1420),
    [aux_sym_qualify_clause_token1] = ACTIONS(1420),
    [aux_sym_limit_clause_token1] = ACTIONS(1420),
    [aux_sym_group_by_clause_token1] = ACTIONS(1420),
    [aux_sym_order_by_clause_token1] = ACTIONS(1420),
    [aux_sym_where_clause_token1] = ACTIONS(1420),
    [aux_sym_pivot_operator_token1] = ACTIONS(1420),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1420),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1420),
    [aux_sym_join_type_token1] = ACTIONS(1420),
    [aux_sym_join_type_token2] = ACTIONS(1420),
    [aux_sym_join_type_token3] = ACTIONS(1420),
    [aux_sym_join_type_token4] = ACTIONS(1420),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1420),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1420),
    [aux_sym_join_condition_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
  },
  [5023] = {
    [sym_analytics_clause] = STATE(5137),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [5024] = {
    [sym_analytics_clause] = STATE(5241),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [5025] = {
    [sym_analytics_clause] = STATE(5203),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [5026] = {
    [sym_analytics_clause] = STATE(5177),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_when_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_window_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_using_clause_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token3] = ACTIONS(1420),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_having_clause_token1] = ACTIONS(1420),
    [aux_sym_qualify_clause_token1] = ACTIONS(1420),
    [aux_sym_limit_clause_token1] = ACTIONS(1420),
    [aux_sym_group_by_clause_token1] = ACTIONS(1420),
    [aux_sym_order_by_clause_token1] = ACTIONS(1420),
    [aux_sym_where_clause_token1] = ACTIONS(1420),
    [aux_sym_pivot_operator_token1] = ACTIONS(1420),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1420),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1420),
    [aux_sym_join_type_token1] = ACTIONS(1420),
    [aux_sym_join_type_token2] = ACTIONS(1420),
    [aux_sym_join_type_token3] = ACTIONS(1420),
    [aux_sym_join_type_token4] = ACTIONS(1420),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1420),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1420),
    [aux_sym_join_condition_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
  },
  [5027] = {
    [sym_analytics_clause] = STATE(5134),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [5028] = {
    [sym_analytics_clause] = STATE(5232),
    [ts_builtin_sym_end] = ACTIONS(1500),
    [sym__unquoted_identifier] = ACTIONS(1502),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1502),
    [aux_sym__keyword_alter_token1] = ACTIONS(1502),
    [aux_sym__keyword_delete_token1] = ACTIONS(1502),
    [aux_sym__keyword_begin_token1] = ACTIONS(1502),
    [aux_sym__keyword_when_token1] = ACTIONS(1502),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1502),
    [aux_sym__keyword_as_token1] = ACTIONS(1502),
    [aux_sym__keyword_window_token1] = ACTIONS(1502),
    [aux_sym__keyword_date_token1] = ACTIONS(1502),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1502),
    [aux_sym__keyword_time_token1] = ACTIONS(1502),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1502),
    [aux_sym__keyword_for_token1] = ACTIONS(1502),
    [anon_sym_SEMI] = ACTIONS(1500),
    [aux_sym_declare_statement_token1] = ACTIONS(1502),
    [anon_sym_COMMA] = ACTIONS(1500),
    [aux_sym_set_statement_token1] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1500),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1502),
    [aux_sym_using_clause_token1] = ACTIONS(1502),
    [aux_sym_return_satement_token1] = ACTIONS(1502),
    [aux_sym_call_statement_token1] = ACTIONS(1502),
    [aux_sym_loop_statement_token1] = ACTIONS(1502),
    [aux_sym_while_statement_token1] = ACTIONS(1502),
    [aux_sym_break_statement_token1] = ACTIONS(1502),
    [aux_sym_leave_statement_token1] = ACTIONS(1502),
    [aux_sym_continue_statement_token1] = ACTIONS(1502),
    [aux_sym_iterate_statement_token1] = ACTIONS(1502),
    [aux_sym_raise_statement_token1] = ACTIONS(1502),
    [aux_sym_assert_statement_token1] = ACTIONS(1502),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1502),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1502),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1502),
    [aux_sym_set_operation_token1] = ACTIONS(1502),
    [aux_sym_set_operation_token3] = ACTIONS(1502),
    [aux_sym_set_operation_token4] = ACTIONS(1502),
    [aux_sym_select_token1] = ACTIONS(1502),
    [aux_sym_having_clause_token1] = ACTIONS(1502),
    [aux_sym_qualify_clause_token1] = ACTIONS(1502),
    [aux_sym_limit_clause_token1] = ACTIONS(1502),
    [aux_sym_group_by_clause_token1] = ACTIONS(1502),
    [aux_sym_order_by_clause_token1] = ACTIONS(1502),
    [aux_sym_where_clause_token1] = ACTIONS(1502),
    [aux_sym_pivot_operator_token1] = ACTIONS(1502),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1502),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1502),
    [aux_sym_join_type_token1] = ACTIONS(1502),
    [aux_sym_join_type_token2] = ACTIONS(1502),
    [aux_sym_join_type_token3] = ACTIONS(1502),
    [aux_sym_join_type_token4] = ACTIONS(1502),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1502),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1502),
    [aux_sym_join_condition_token1] = ACTIONS(1502),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1502),
    [aux_sym_truncate_statement_token1] = ACTIONS(1502),
    [aux_sym_update_statement_token1] = ACTIONS(1502),
    [aux_sym_merge_statement_token1] = ACTIONS(1502),
    [aux_sym_grant_statement_token1] = ACTIONS(1502),
    [aux_sym_revoke_statement_token1] = ACTIONS(1502),
    [aux_sym_export_data_statement_token1] = ACTIONS(1502),
    [aux_sym_load_data_statement_token1] = ACTIONS(1502),
    [sym__quoted_identifier] = ACTIONS(1500),
    [sym_comment] = ACTIONS(3),
  },
  [5029] = {
    [sym_analytics_clause] = STATE(5175),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_when_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_window_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_using_clause_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token3] = ACTIONS(1420),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_having_clause_token1] = ACTIONS(1420),
    [aux_sym_qualify_clause_token1] = ACTIONS(1420),
    [aux_sym_limit_clause_token1] = ACTIONS(1420),
    [aux_sym_group_by_clause_token1] = ACTIONS(1420),
    [aux_sym_order_by_clause_token1] = ACTIONS(1420),
    [aux_sym_where_clause_token1] = ACTIONS(1420),
    [aux_sym_pivot_operator_token1] = ACTIONS(1420),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1420),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1420),
    [aux_sym_join_type_token1] = ACTIONS(1420),
    [aux_sym_join_type_token2] = ACTIONS(1420),
    [aux_sym_join_type_token3] = ACTIONS(1420),
    [aux_sym_join_type_token4] = ACTIONS(1420),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1420),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1420),
    [aux_sym_join_condition_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
  },
  [5030] = {
    [sym_analytics_clause] = STATE(5173),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_when_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_window_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_using_clause_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token3] = ACTIONS(1420),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_having_clause_token1] = ACTIONS(1420),
    [aux_sym_qualify_clause_token1] = ACTIONS(1420),
    [aux_sym_limit_clause_token1] = ACTIONS(1420),
    [aux_sym_group_by_clause_token1] = ACTIONS(1420),
    [aux_sym_order_by_clause_token1] = ACTIONS(1420),
    [aux_sym_where_clause_token1] = ACTIONS(1420),
    [aux_sym_pivot_operator_token1] = ACTIONS(1420),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1420),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1420),
    [aux_sym_join_type_token1] = ACTIONS(1420),
    [aux_sym_join_type_token2] = ACTIONS(1420),
    [aux_sym_join_type_token3] = ACTIONS(1420),
    [aux_sym_join_type_token4] = ACTIONS(1420),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1420),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1420),
    [aux_sym_join_condition_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
  },
  [5031] = {
    [sym_analytics_clause] = STATE(5201),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [5032] = {
    [sym_analytics_clause] = STATE(5200),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [5033] = {
    [sym_analytics_clause] = STATE(5118),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_using_clause_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_pivot_operator_token1] = ACTIONS(1464),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1464),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1464),
    [aux_sym_join_type_token1] = ACTIONS(1464),
    [aux_sym_join_type_token2] = ACTIONS(1464),
    [aux_sym_join_type_token3] = ACTIONS(1464),
    [aux_sym_join_type_token4] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1464),
    [aux_sym_join_condition_token1] = ACTIONS(1464),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
  },
  [5034] = {
    [sym_analytics_clause] = STATE(5120),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_using_clause_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_pivot_operator_token1] = ACTIONS(1464),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1464),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1464),
    [aux_sym_join_type_token1] = ACTIONS(1464),
    [aux_sym_join_type_token2] = ACTIONS(1464),
    [aux_sym_join_type_token3] = ACTIONS(1464),
    [aux_sym_join_type_token4] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1464),
    [aux_sym_join_condition_token1] = ACTIONS(1464),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
  },
  [5035] = {
    [sym_analytics_clause] = STATE(5211),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [5036] = {
    [sym_analytics_clause] = STATE(5103),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [5037] = {
    [sym_analytics_clause] = STATE(5246),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [5038] = {
    [sym_analytics_clause] = STATE(5172),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_when_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_window_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_using_clause_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token3] = ACTIONS(1420),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_having_clause_token1] = ACTIONS(1420),
    [aux_sym_qualify_clause_token1] = ACTIONS(1420),
    [aux_sym_limit_clause_token1] = ACTIONS(1420),
    [aux_sym_group_by_clause_token1] = ACTIONS(1420),
    [aux_sym_order_by_clause_token1] = ACTIONS(1420),
    [aux_sym_where_clause_token1] = ACTIONS(1420),
    [aux_sym_pivot_operator_token1] = ACTIONS(1420),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1420),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1420),
    [aux_sym_join_type_token1] = ACTIONS(1420),
    [aux_sym_join_type_token2] = ACTIONS(1420),
    [aux_sym_join_type_token3] = ACTIONS(1420),
    [aux_sym_join_type_token4] = ACTIONS(1420),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1420),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1420),
    [aux_sym_join_condition_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
  },
  [5039] = {
    [sym_analytics_clause] = STATE(5171),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_when_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_window_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_using_clause_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token3] = ACTIONS(1420),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_having_clause_token1] = ACTIONS(1420),
    [aux_sym_qualify_clause_token1] = ACTIONS(1420),
    [aux_sym_limit_clause_token1] = ACTIONS(1420),
    [aux_sym_group_by_clause_token1] = ACTIONS(1420),
    [aux_sym_order_by_clause_token1] = ACTIONS(1420),
    [aux_sym_where_clause_token1] = ACTIONS(1420),
    [aux_sym_pivot_operator_token1] = ACTIONS(1420),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1420),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1420),
    [aux_sym_join_type_token1] = ACTIONS(1420),
    [aux_sym_join_type_token2] = ACTIONS(1420),
    [aux_sym_join_type_token3] = ACTIONS(1420),
    [aux_sym_join_type_token4] = ACTIONS(1420),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1420),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1420),
    [aux_sym_join_condition_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
  },
  [5040] = {
    [sym_analytics_clause] = STATE(5169),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_when_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_window_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_using_clause_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token3] = ACTIONS(1420),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_having_clause_token1] = ACTIONS(1420),
    [aux_sym_qualify_clause_token1] = ACTIONS(1420),
    [aux_sym_limit_clause_token1] = ACTIONS(1420),
    [aux_sym_group_by_clause_token1] = ACTIONS(1420),
    [aux_sym_order_by_clause_token1] = ACTIONS(1420),
    [aux_sym_where_clause_token1] = ACTIONS(1420),
    [aux_sym_pivot_operator_token1] = ACTIONS(1420),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1420),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1420),
    [aux_sym_join_type_token1] = ACTIONS(1420),
    [aux_sym_join_type_token2] = ACTIONS(1420),
    [aux_sym_join_type_token3] = ACTIONS(1420),
    [aux_sym_join_type_token4] = ACTIONS(1420),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1420),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1420),
    [aux_sym_join_condition_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
  },
  [5041] = {
    [sym_analytics_clause] = STATE(5247),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [5042] = {
    [sym_analytics_clause] = STATE(5167),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_when_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_window_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_using_clause_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token3] = ACTIONS(1420),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_having_clause_token1] = ACTIONS(1420),
    [aux_sym_qualify_clause_token1] = ACTIONS(1420),
    [aux_sym_limit_clause_token1] = ACTIONS(1420),
    [aux_sym_group_by_clause_token1] = ACTIONS(1420),
    [aux_sym_order_by_clause_token1] = ACTIONS(1420),
    [aux_sym_where_clause_token1] = ACTIONS(1420),
    [aux_sym_pivot_operator_token1] = ACTIONS(1420),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1420),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1420),
    [aux_sym_join_type_token1] = ACTIONS(1420),
    [aux_sym_join_type_token2] = ACTIONS(1420),
    [aux_sym_join_type_token3] = ACTIONS(1420),
    [aux_sym_join_type_token4] = ACTIONS(1420),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1420),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1420),
    [aux_sym_join_condition_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
  },
  [5043] = {
    [sym_analytics_clause] = STATE(5233),
    [ts_builtin_sym_end] = ACTIONS(1496),
    [sym__unquoted_identifier] = ACTIONS(1498),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1498),
    [aux_sym__keyword_alter_token1] = ACTIONS(1498),
    [aux_sym__keyword_delete_token1] = ACTIONS(1498),
    [aux_sym__keyword_begin_token1] = ACTIONS(1498),
    [aux_sym__keyword_when_token1] = ACTIONS(1498),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1498),
    [aux_sym__keyword_as_token1] = ACTIONS(1498),
    [aux_sym__keyword_window_token1] = ACTIONS(1498),
    [aux_sym__keyword_date_token1] = ACTIONS(1498),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1498),
    [aux_sym__keyword_time_token1] = ACTIONS(1498),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1498),
    [aux_sym__keyword_for_token1] = ACTIONS(1498),
    [anon_sym_SEMI] = ACTIONS(1496),
    [aux_sym_declare_statement_token1] = ACTIONS(1498),
    [anon_sym_COMMA] = ACTIONS(1496),
    [aux_sym_set_statement_token1] = ACTIONS(1498),
    [anon_sym_LPAREN] = ACTIONS(1496),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1498),
    [aux_sym_using_clause_token1] = ACTIONS(1498),
    [aux_sym_return_satement_token1] = ACTIONS(1498),
    [aux_sym_call_statement_token1] = ACTIONS(1498),
    [aux_sym_loop_statement_token1] = ACTIONS(1498),
    [aux_sym_while_statement_token1] = ACTIONS(1498),
    [aux_sym_break_statement_token1] = ACTIONS(1498),
    [aux_sym_leave_statement_token1] = ACTIONS(1498),
    [aux_sym_continue_statement_token1] = ACTIONS(1498),
    [aux_sym_iterate_statement_token1] = ACTIONS(1498),
    [aux_sym_raise_statement_token1] = ACTIONS(1498),
    [aux_sym_assert_statement_token1] = ACTIONS(1498),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1498),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1498),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1498),
    [aux_sym_set_operation_token1] = ACTIONS(1498),
    [aux_sym_set_operation_token3] = ACTIONS(1498),
    [aux_sym_set_operation_token4] = ACTIONS(1498),
    [aux_sym_select_token1] = ACTIONS(1498),
    [aux_sym_having_clause_token1] = ACTIONS(1498),
    [aux_sym_qualify_clause_token1] = ACTIONS(1498),
    [aux_sym_limit_clause_token1] = ACTIONS(1498),
    [aux_sym_group_by_clause_token1] = ACTIONS(1498),
    [aux_sym_order_by_clause_token1] = ACTIONS(1498),
    [aux_sym_where_clause_token1] = ACTIONS(1498),
    [aux_sym_pivot_operator_token1] = ACTIONS(1498),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1498),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1498),
    [aux_sym_join_type_token1] = ACTIONS(1498),
    [aux_sym_join_type_token2] = ACTIONS(1498),
    [aux_sym_join_type_token3] = ACTIONS(1498),
    [aux_sym_join_type_token4] = ACTIONS(1498),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1498),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1498),
    [aux_sym_join_condition_token1] = ACTIONS(1498),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1498),
    [aux_sym_truncate_statement_token1] = ACTIONS(1498),
    [aux_sym_update_statement_token1] = ACTIONS(1498),
    [aux_sym_merge_statement_token1] = ACTIONS(1498),
    [aux_sym_grant_statement_token1] = ACTIONS(1498),
    [aux_sym_revoke_statement_token1] = ACTIONS(1498),
    [aux_sym_export_data_statement_token1] = ACTIONS(1498),
    [aux_sym_load_data_statement_token1] = ACTIONS(1498),
    [sym__quoted_identifier] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
  },
  [5044] = {
    [sym_analytics_clause] = STATE(5147),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [5045] = {
    [sym_analytics_clause] = STATE(5150),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [5046] = {
    [sym_analytics_clause] = STATE(5166),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_when_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_window_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_using_clause_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token3] = ACTIONS(1420),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_having_clause_token1] = ACTIONS(1420),
    [aux_sym_qualify_clause_token1] = ACTIONS(1420),
    [aux_sym_limit_clause_token1] = ACTIONS(1420),
    [aux_sym_group_by_clause_token1] = ACTIONS(1420),
    [aux_sym_order_by_clause_token1] = ACTIONS(1420),
    [aux_sym_where_clause_token1] = ACTIONS(1420),
    [aux_sym_pivot_operator_token1] = ACTIONS(1420),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1420),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1420),
    [aux_sym_join_type_token1] = ACTIONS(1420),
    [aux_sym_join_type_token2] = ACTIONS(1420),
    [aux_sym_join_type_token3] = ACTIONS(1420),
    [aux_sym_join_type_token4] = ACTIONS(1420),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1420),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1420),
    [aux_sym_join_condition_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
  },
  [5047] = {
    [sym_analytics_clause] = STATE(5164),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_when_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_window_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_using_clause_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token3] = ACTIONS(1420),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_having_clause_token1] = ACTIONS(1420),
    [aux_sym_qualify_clause_token1] = ACTIONS(1420),
    [aux_sym_limit_clause_token1] = ACTIONS(1420),
    [aux_sym_group_by_clause_token1] = ACTIONS(1420),
    [aux_sym_order_by_clause_token1] = ACTIONS(1420),
    [aux_sym_where_clause_token1] = ACTIONS(1420),
    [aux_sym_pivot_operator_token1] = ACTIONS(1420),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1420),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1420),
    [aux_sym_join_type_token1] = ACTIONS(1420),
    [aux_sym_join_type_token2] = ACTIONS(1420),
    [aux_sym_join_type_token3] = ACTIONS(1420),
    [aux_sym_join_type_token4] = ACTIONS(1420),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1420),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1420),
    [aux_sym_join_condition_token1] = ACTIONS(1420),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
  },
  [5048] = {
    [sym_analytics_clause] = STATE(5163),
    [ts_builtin_sym_end] = ACTIONS(1422),
    [sym__unquoted_identifier] = ACTIONS(1424),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1424),
    [aux_sym__keyword_alter_token1] = ACTIONS(1424),
    [aux_sym__keyword_delete_token1] = ACTIONS(1424),
    [aux_sym__keyword_begin_token1] = ACTIONS(1424),
    [aux_sym__keyword_when_token1] = ACTIONS(1424),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1424),
    [aux_sym__keyword_as_token1] = ACTIONS(1424),
    [aux_sym__keyword_window_token1] = ACTIONS(1424),
    [aux_sym__keyword_date_token1] = ACTIONS(1424),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1424),
    [aux_sym__keyword_time_token1] = ACTIONS(1424),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1424),
    [aux_sym__keyword_for_token1] = ACTIONS(1424),
    [anon_sym_SEMI] = ACTIONS(1422),
    [aux_sym_declare_statement_token1] = ACTIONS(1424),
    [anon_sym_COMMA] = ACTIONS(1422),
    [aux_sym_set_statement_token1] = ACTIONS(1424),
    [anon_sym_LPAREN] = ACTIONS(1422),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1424),
    [aux_sym_using_clause_token1] = ACTIONS(1424),
    [aux_sym_return_satement_token1] = ACTIONS(1424),
    [aux_sym_call_statement_token1] = ACTIONS(1424),
    [aux_sym_loop_statement_token1] = ACTIONS(1424),
    [aux_sym_while_statement_token1] = ACTIONS(1424),
    [aux_sym_break_statement_token1] = ACTIONS(1424),
    [aux_sym_leave_statement_token1] = ACTIONS(1424),
    [aux_sym_continue_statement_token1] = ACTIONS(1424),
    [aux_sym_iterate_statement_token1] = ACTIONS(1424),
    [aux_sym_raise_statement_token1] = ACTIONS(1424),
    [aux_sym_assert_statement_token1] = ACTIONS(1424),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1424),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1424),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1424),
    [aux_sym_set_operation_token1] = ACTIONS(1424),
    [aux_sym_set_operation_token3] = ACTIONS(1424),
    [aux_sym_set_operation_token4] = ACTIONS(1424),
    [aux_sym_select_token1] = ACTIONS(1424),
    [aux_sym_having_clause_token1] = ACTIONS(1424),
    [aux_sym_qualify_clause_token1] = ACTIONS(1424),
    [aux_sym_limit_clause_token1] = ACTIONS(1424),
    [aux_sym_group_by_clause_token1] = ACTIONS(1424),
    [aux_sym_order_by_clause_token1] = ACTIONS(1424),
    [aux_sym_where_clause_token1] = ACTIONS(1424),
    [aux_sym_pivot_operator_token1] = ACTIONS(1424),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1424),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1424),
    [aux_sym_join_type_token1] = ACTIONS(1424),
    [aux_sym_join_type_token2] = ACTIONS(1424),
    [aux_sym_join_type_token3] = ACTIONS(1424),
    [aux_sym_join_type_token4] = ACTIONS(1424),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1424),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1424),
    [aux_sym_join_condition_token1] = ACTIONS(1424),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1424),
    [aux_sym_truncate_statement_token1] = ACTIONS(1424),
    [aux_sym_update_statement_token1] = ACTIONS(1424),
    [aux_sym_merge_statement_token1] = ACTIONS(1424),
    [aux_sym_grant_statement_token1] = ACTIONS(1424),
    [aux_sym_revoke_statement_token1] = ACTIONS(1424),
    [aux_sym_export_data_statement_token1] = ACTIONS(1424),
    [aux_sym_load_data_statement_token1] = ACTIONS(1424),
    [sym__quoted_identifier] = ACTIONS(1422),
    [sym_comment] = ACTIONS(3),
  },
  [5049] = {
    [sym_analytics_clause] = STATE(5162),
    [ts_builtin_sym_end] = ACTIONS(1426),
    [sym__unquoted_identifier] = ACTIONS(1428),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1428),
    [aux_sym__keyword_alter_token1] = ACTIONS(1428),
    [aux_sym__keyword_delete_token1] = ACTIONS(1428),
    [aux_sym__keyword_begin_token1] = ACTIONS(1428),
    [aux_sym__keyword_when_token1] = ACTIONS(1428),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1428),
    [aux_sym__keyword_as_token1] = ACTIONS(1428),
    [aux_sym__keyword_window_token1] = ACTIONS(1428),
    [aux_sym__keyword_date_token1] = ACTIONS(1428),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1428),
    [aux_sym__keyword_time_token1] = ACTIONS(1428),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1428),
    [aux_sym__keyword_for_token1] = ACTIONS(1428),
    [anon_sym_SEMI] = ACTIONS(1426),
    [aux_sym_declare_statement_token1] = ACTIONS(1428),
    [anon_sym_COMMA] = ACTIONS(1426),
    [aux_sym_set_statement_token1] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(1426),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1428),
    [aux_sym_using_clause_token1] = ACTIONS(1428),
    [aux_sym_return_satement_token1] = ACTIONS(1428),
    [aux_sym_call_statement_token1] = ACTIONS(1428),
    [aux_sym_loop_statement_token1] = ACTIONS(1428),
    [aux_sym_while_statement_token1] = ACTIONS(1428),
    [aux_sym_break_statement_token1] = ACTIONS(1428),
    [aux_sym_leave_statement_token1] = ACTIONS(1428),
    [aux_sym_continue_statement_token1] = ACTIONS(1428),
    [aux_sym_iterate_statement_token1] = ACTIONS(1428),
    [aux_sym_raise_statement_token1] = ACTIONS(1428),
    [aux_sym_assert_statement_token1] = ACTIONS(1428),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1428),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1428),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1428),
    [aux_sym_set_operation_token1] = ACTIONS(1428),
    [aux_sym_set_operation_token3] = ACTIONS(1428),
    [aux_sym_set_operation_token4] = ACTIONS(1428),
    [aux_sym_select_token1] = ACTIONS(1428),
    [aux_sym_having_clause_token1] = ACTIONS(1428),
    [aux_sym_qualify_clause_token1] = ACTIONS(1428),
    [aux_sym_limit_clause_token1] = ACTIONS(1428),
    [aux_sym_group_by_clause_token1] = ACTIONS(1428),
    [aux_sym_order_by_clause_token1] = ACTIONS(1428),
    [aux_sym_where_clause_token1] = ACTIONS(1428),
    [aux_sym_pivot_operator_token1] = ACTIONS(1428),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1428),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1428),
    [aux_sym_join_type_token1] = ACTIONS(1428),
    [aux_sym_join_type_token2] = ACTIONS(1428),
    [aux_sym_join_type_token3] = ACTIONS(1428),
    [aux_sym_join_type_token4] = ACTIONS(1428),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1428),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1428),
    [aux_sym_join_condition_token1] = ACTIONS(1428),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1428),
    [aux_sym_truncate_statement_token1] = ACTIONS(1428),
    [aux_sym_update_statement_token1] = ACTIONS(1428),
    [aux_sym_merge_statement_token1] = ACTIONS(1428),
    [aux_sym_grant_statement_token1] = ACTIONS(1428),
    [aux_sym_revoke_statement_token1] = ACTIONS(1428),
    [aux_sym_export_data_statement_token1] = ACTIONS(1428),
    [aux_sym_load_data_statement_token1] = ACTIONS(1428),
    [sym__quoted_identifier] = ACTIONS(1426),
    [sym_comment] = ACTIONS(3),
  },
  [5050] = {
    [sym_analytics_clause] = STATE(5196),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [5051] = {
    [sym_analytics_clause] = STATE(5161),
    [ts_builtin_sym_end] = ACTIONS(1430),
    [sym__unquoted_identifier] = ACTIONS(1432),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1432),
    [aux_sym__keyword_alter_token1] = ACTIONS(1432),
    [aux_sym__keyword_delete_token1] = ACTIONS(1432),
    [aux_sym__keyword_begin_token1] = ACTIONS(1432),
    [aux_sym__keyword_when_token1] = ACTIONS(1432),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1432),
    [aux_sym__keyword_as_token1] = ACTIONS(1432),
    [aux_sym__keyword_window_token1] = ACTIONS(1432),
    [aux_sym__keyword_date_token1] = ACTIONS(1432),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1432),
    [aux_sym__keyword_time_token1] = ACTIONS(1432),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1432),
    [aux_sym__keyword_for_token1] = ACTIONS(1432),
    [anon_sym_SEMI] = ACTIONS(1430),
    [aux_sym_declare_statement_token1] = ACTIONS(1432),
    [anon_sym_COMMA] = ACTIONS(1430),
    [aux_sym_set_statement_token1] = ACTIONS(1432),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1432),
    [aux_sym_using_clause_token1] = ACTIONS(1432),
    [aux_sym_return_satement_token1] = ACTIONS(1432),
    [aux_sym_call_statement_token1] = ACTIONS(1432),
    [aux_sym_loop_statement_token1] = ACTIONS(1432),
    [aux_sym_while_statement_token1] = ACTIONS(1432),
    [aux_sym_break_statement_token1] = ACTIONS(1432),
    [aux_sym_leave_statement_token1] = ACTIONS(1432),
    [aux_sym_continue_statement_token1] = ACTIONS(1432),
    [aux_sym_iterate_statement_token1] = ACTIONS(1432),
    [aux_sym_raise_statement_token1] = ACTIONS(1432),
    [aux_sym_assert_statement_token1] = ACTIONS(1432),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1432),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1432),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1432),
    [aux_sym_set_operation_token1] = ACTIONS(1432),
    [aux_sym_set_operation_token3] = ACTIONS(1432),
    [aux_sym_set_operation_token4] = ACTIONS(1432),
    [aux_sym_select_token1] = ACTIONS(1432),
    [aux_sym_having_clause_token1] = ACTIONS(1432),
    [aux_sym_qualify_clause_token1] = ACTIONS(1432),
    [aux_sym_limit_clause_token1] = ACTIONS(1432),
    [aux_sym_group_by_clause_token1] = ACTIONS(1432),
    [aux_sym_order_by_clause_token1] = ACTIONS(1432),
    [aux_sym_where_clause_token1] = ACTIONS(1432),
    [aux_sym_pivot_operator_token1] = ACTIONS(1432),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1432),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1432),
    [aux_sym_join_type_token1] = ACTIONS(1432),
    [aux_sym_join_type_token2] = ACTIONS(1432),
    [aux_sym_join_type_token3] = ACTIONS(1432),
    [aux_sym_join_type_token4] = ACTIONS(1432),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1432),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1432),
    [aux_sym_join_condition_token1] = ACTIONS(1432),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1432),
    [aux_sym_truncate_statement_token1] = ACTIONS(1432),
    [aux_sym_update_statement_token1] = ACTIONS(1432),
    [aux_sym_merge_statement_token1] = ACTIONS(1432),
    [aux_sym_grant_statement_token1] = ACTIONS(1432),
    [aux_sym_revoke_statement_token1] = ACTIONS(1432),
    [aux_sym_export_data_statement_token1] = ACTIONS(1432),
    [aux_sym_load_data_statement_token1] = ACTIONS(1432),
    [sym__quoted_identifier] = ACTIONS(1430),
    [sym_comment] = ACTIONS(3),
  },
  [5052] = {
    [sym_analytics_clause] = STATE(5159),
    [ts_builtin_sym_end] = ACTIONS(1434),
    [sym__unquoted_identifier] = ACTIONS(1436),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1436),
    [aux_sym__keyword_alter_token1] = ACTIONS(1436),
    [aux_sym__keyword_delete_token1] = ACTIONS(1436),
    [aux_sym__keyword_begin_token1] = ACTIONS(1436),
    [aux_sym__keyword_when_token1] = ACTIONS(1436),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1436),
    [aux_sym__keyword_as_token1] = ACTIONS(1436),
    [aux_sym__keyword_window_token1] = ACTIONS(1436),
    [aux_sym__keyword_date_token1] = ACTIONS(1436),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1436),
    [aux_sym__keyword_time_token1] = ACTIONS(1436),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1436),
    [aux_sym__keyword_for_token1] = ACTIONS(1436),
    [anon_sym_SEMI] = ACTIONS(1434),
    [aux_sym_declare_statement_token1] = ACTIONS(1436),
    [anon_sym_COMMA] = ACTIONS(1434),
    [aux_sym_set_statement_token1] = ACTIONS(1436),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1436),
    [aux_sym_using_clause_token1] = ACTIONS(1436),
    [aux_sym_return_satement_token1] = ACTIONS(1436),
    [aux_sym_call_statement_token1] = ACTIONS(1436),
    [aux_sym_loop_statement_token1] = ACTIONS(1436),
    [aux_sym_while_statement_token1] = ACTIONS(1436),
    [aux_sym_break_statement_token1] = ACTIONS(1436),
    [aux_sym_leave_statement_token1] = ACTIONS(1436),
    [aux_sym_continue_statement_token1] = ACTIONS(1436),
    [aux_sym_iterate_statement_token1] = ACTIONS(1436),
    [aux_sym_raise_statement_token1] = ACTIONS(1436),
    [aux_sym_assert_statement_token1] = ACTIONS(1436),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1436),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1436),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1436),
    [aux_sym_set_operation_token1] = ACTIONS(1436),
    [aux_sym_set_operation_token3] = ACTIONS(1436),
    [aux_sym_set_operation_token4] = ACTIONS(1436),
    [aux_sym_select_token1] = ACTIONS(1436),
    [aux_sym_having_clause_token1] = ACTIONS(1436),
    [aux_sym_qualify_clause_token1] = ACTIONS(1436),
    [aux_sym_limit_clause_token1] = ACTIONS(1436),
    [aux_sym_group_by_clause_token1] = ACTIONS(1436),
    [aux_sym_order_by_clause_token1] = ACTIONS(1436),
    [aux_sym_where_clause_token1] = ACTIONS(1436),
    [aux_sym_pivot_operator_token1] = ACTIONS(1436),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1436),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1436),
    [aux_sym_join_type_token1] = ACTIONS(1436),
    [aux_sym_join_type_token2] = ACTIONS(1436),
    [aux_sym_join_type_token3] = ACTIONS(1436),
    [aux_sym_join_type_token4] = ACTIONS(1436),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1436),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1436),
    [aux_sym_join_condition_token1] = ACTIONS(1436),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1436),
    [aux_sym_truncate_statement_token1] = ACTIONS(1436),
    [aux_sym_update_statement_token1] = ACTIONS(1436),
    [aux_sym_merge_statement_token1] = ACTIONS(1436),
    [aux_sym_grant_statement_token1] = ACTIONS(1436),
    [aux_sym_revoke_statement_token1] = ACTIONS(1436),
    [aux_sym_export_data_statement_token1] = ACTIONS(1436),
    [aux_sym_load_data_statement_token1] = ACTIONS(1436),
    [sym__quoted_identifier] = ACTIONS(1434),
    [sym_comment] = ACTIONS(3),
  },
  [5053] = {
    [sym_analytics_clause] = STATE(5249),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [5054] = {
    [sym_analytics_clause] = STATE(5195),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [5055] = {
    [sym_analytics_clause] = STATE(5156),
    [ts_builtin_sym_end] = ACTIONS(1438),
    [sym__unquoted_identifier] = ACTIONS(1440),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1440),
    [aux_sym__keyword_alter_token1] = ACTIONS(1440),
    [aux_sym__keyword_delete_token1] = ACTIONS(1440),
    [aux_sym__keyword_begin_token1] = ACTIONS(1440),
    [aux_sym__keyword_when_token1] = ACTIONS(1440),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1440),
    [aux_sym__keyword_as_token1] = ACTIONS(1440),
    [aux_sym__keyword_window_token1] = ACTIONS(1440),
    [aux_sym__keyword_date_token1] = ACTIONS(1440),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1440),
    [aux_sym__keyword_time_token1] = ACTIONS(1440),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1440),
    [aux_sym__keyword_for_token1] = ACTIONS(1440),
    [anon_sym_SEMI] = ACTIONS(1438),
    [aux_sym_declare_statement_token1] = ACTIONS(1440),
    [anon_sym_COMMA] = ACTIONS(1438),
    [aux_sym_set_statement_token1] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1438),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1440),
    [aux_sym_using_clause_token1] = ACTIONS(1440),
    [aux_sym_return_satement_token1] = ACTIONS(1440),
    [aux_sym_call_statement_token1] = ACTIONS(1440),
    [aux_sym_loop_statement_token1] = ACTIONS(1440),
    [aux_sym_while_statement_token1] = ACTIONS(1440),
    [aux_sym_break_statement_token1] = ACTIONS(1440),
    [aux_sym_leave_statement_token1] = ACTIONS(1440),
    [aux_sym_continue_statement_token1] = ACTIONS(1440),
    [aux_sym_iterate_statement_token1] = ACTIONS(1440),
    [aux_sym_raise_statement_token1] = ACTIONS(1440),
    [aux_sym_assert_statement_token1] = ACTIONS(1440),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1440),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1440),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1440),
    [aux_sym_set_operation_token1] = ACTIONS(1440),
    [aux_sym_set_operation_token3] = ACTIONS(1440),
    [aux_sym_set_operation_token4] = ACTIONS(1440),
    [aux_sym_select_token1] = ACTIONS(1440),
    [aux_sym_having_clause_token1] = ACTIONS(1440),
    [aux_sym_qualify_clause_token1] = ACTIONS(1440),
    [aux_sym_limit_clause_token1] = ACTIONS(1440),
    [aux_sym_group_by_clause_token1] = ACTIONS(1440),
    [aux_sym_order_by_clause_token1] = ACTIONS(1440),
    [aux_sym_where_clause_token1] = ACTIONS(1440),
    [aux_sym_pivot_operator_token1] = ACTIONS(1440),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1440),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1440),
    [aux_sym_join_type_token1] = ACTIONS(1440),
    [aux_sym_join_type_token2] = ACTIONS(1440),
    [aux_sym_join_type_token3] = ACTIONS(1440),
    [aux_sym_join_type_token4] = ACTIONS(1440),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1440),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1440),
    [aux_sym_join_condition_token1] = ACTIONS(1440),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1440),
    [aux_sym_truncate_statement_token1] = ACTIONS(1440),
    [aux_sym_update_statement_token1] = ACTIONS(1440),
    [aux_sym_merge_statement_token1] = ACTIONS(1440),
    [aux_sym_grant_statement_token1] = ACTIONS(1440),
    [aux_sym_revoke_statement_token1] = ACTIONS(1440),
    [aux_sym_export_data_statement_token1] = ACTIONS(1440),
    [aux_sym_load_data_statement_token1] = ACTIONS(1440),
    [sym__quoted_identifier] = ACTIONS(1438),
    [sym_comment] = ACTIONS(3),
  },
  [5056] = {
    [sym_analytics_clause] = STATE(5154),
    [ts_builtin_sym_end] = ACTIONS(1450),
    [sym__unquoted_identifier] = ACTIONS(1452),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1452),
    [aux_sym__keyword_alter_token1] = ACTIONS(1452),
    [aux_sym__keyword_delete_token1] = ACTIONS(1452),
    [aux_sym__keyword_begin_token1] = ACTIONS(1452),
    [aux_sym__keyword_when_token1] = ACTIONS(1452),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1452),
    [aux_sym__keyword_as_token1] = ACTIONS(1452),
    [aux_sym__keyword_window_token1] = ACTIONS(1452),
    [aux_sym__keyword_date_token1] = ACTIONS(1452),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1452),
    [aux_sym__keyword_time_token1] = ACTIONS(1452),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1452),
    [aux_sym__keyword_for_token1] = ACTIONS(1452),
    [anon_sym_SEMI] = ACTIONS(1450),
    [aux_sym_declare_statement_token1] = ACTIONS(1452),
    [anon_sym_COMMA] = ACTIONS(1450),
    [aux_sym_set_statement_token1] = ACTIONS(1452),
    [anon_sym_LPAREN] = ACTIONS(1450),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1452),
    [aux_sym_using_clause_token1] = ACTIONS(1452),
    [aux_sym_return_satement_token1] = ACTIONS(1452),
    [aux_sym_call_statement_token1] = ACTIONS(1452),
    [aux_sym_loop_statement_token1] = ACTIONS(1452),
    [aux_sym_while_statement_token1] = ACTIONS(1452),
    [aux_sym_break_statement_token1] = ACTIONS(1452),
    [aux_sym_leave_statement_token1] = ACTIONS(1452),
    [aux_sym_continue_statement_token1] = ACTIONS(1452),
    [aux_sym_iterate_statement_token1] = ACTIONS(1452),
    [aux_sym_raise_statement_token1] = ACTIONS(1452),
    [aux_sym_assert_statement_token1] = ACTIONS(1452),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1452),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1452),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1452),
    [aux_sym_set_operation_token1] = ACTIONS(1452),
    [aux_sym_set_operation_token3] = ACTIONS(1452),
    [aux_sym_set_operation_token4] = ACTIONS(1452),
    [aux_sym_select_token1] = ACTIONS(1452),
    [aux_sym_having_clause_token1] = ACTIONS(1452),
    [aux_sym_qualify_clause_token1] = ACTIONS(1452),
    [aux_sym_limit_clause_token1] = ACTIONS(1452),
    [aux_sym_group_by_clause_token1] = ACTIONS(1452),
    [aux_sym_order_by_clause_token1] = ACTIONS(1452),
    [aux_sym_where_clause_token1] = ACTIONS(1452),
    [aux_sym_pivot_operator_token1] = ACTIONS(1452),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1452),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1452),
    [aux_sym_join_type_token1] = ACTIONS(1452),
    [aux_sym_join_type_token2] = ACTIONS(1452),
    [aux_sym_join_type_token3] = ACTIONS(1452),
    [aux_sym_join_type_token4] = ACTIONS(1452),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1452),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1452),
    [aux_sym_join_condition_token1] = ACTIONS(1452),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1452),
    [aux_sym_truncate_statement_token1] = ACTIONS(1452),
    [aux_sym_update_statement_token1] = ACTIONS(1452),
    [aux_sym_merge_statement_token1] = ACTIONS(1452),
    [aux_sym_grant_statement_token1] = ACTIONS(1452),
    [aux_sym_revoke_statement_token1] = ACTIONS(1452),
    [aux_sym_export_data_statement_token1] = ACTIONS(1452),
    [aux_sym_load_data_statement_token1] = ACTIONS(1452),
    [sym__quoted_identifier] = ACTIONS(1450),
    [sym_comment] = ACTIONS(3),
  },
  [5057] = {
    [sym_analytics_clause] = STATE(5153),
    [ts_builtin_sym_end] = ACTIONS(1450),
    [sym__unquoted_identifier] = ACTIONS(1452),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1452),
    [aux_sym__keyword_alter_token1] = ACTIONS(1452),
    [aux_sym__keyword_delete_token1] = ACTIONS(1452),
    [aux_sym__keyword_begin_token1] = ACTIONS(1452),
    [aux_sym__keyword_when_token1] = ACTIONS(1452),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1452),
    [aux_sym__keyword_as_token1] = ACTIONS(1452),
    [aux_sym__keyword_window_token1] = ACTIONS(1452),
    [aux_sym__keyword_date_token1] = ACTIONS(1452),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1452),
    [aux_sym__keyword_time_token1] = ACTIONS(1452),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1452),
    [aux_sym__keyword_for_token1] = ACTIONS(1452),
    [anon_sym_SEMI] = ACTIONS(1450),
    [aux_sym_declare_statement_token1] = ACTIONS(1452),
    [anon_sym_COMMA] = ACTIONS(1450),
    [aux_sym_set_statement_token1] = ACTIONS(1452),
    [anon_sym_LPAREN] = ACTIONS(1450),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1452),
    [aux_sym_using_clause_token1] = ACTIONS(1452),
    [aux_sym_return_satement_token1] = ACTIONS(1452),
    [aux_sym_call_statement_token1] = ACTIONS(1452),
    [aux_sym_loop_statement_token1] = ACTIONS(1452),
    [aux_sym_while_statement_token1] = ACTIONS(1452),
    [aux_sym_break_statement_token1] = ACTIONS(1452),
    [aux_sym_leave_statement_token1] = ACTIONS(1452),
    [aux_sym_continue_statement_token1] = ACTIONS(1452),
    [aux_sym_iterate_statement_token1] = ACTIONS(1452),
    [aux_sym_raise_statement_token1] = ACTIONS(1452),
    [aux_sym_assert_statement_token1] = ACTIONS(1452),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1452),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1452),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1452),
    [aux_sym_set_operation_token1] = ACTIONS(1452),
    [aux_sym_set_operation_token3] = ACTIONS(1452),
    [aux_sym_set_operation_token4] = ACTIONS(1452),
    [aux_sym_select_token1] = ACTIONS(1452),
    [aux_sym_having_clause_token1] = ACTIONS(1452),
    [aux_sym_qualify_clause_token1] = ACTIONS(1452),
    [aux_sym_limit_clause_token1] = ACTIONS(1452),
    [aux_sym_group_by_clause_token1] = ACTIONS(1452),
    [aux_sym_order_by_clause_token1] = ACTIONS(1452),
    [aux_sym_where_clause_token1] = ACTIONS(1452),
    [aux_sym_pivot_operator_token1] = ACTIONS(1452),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1452),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1452),
    [aux_sym_join_type_token1] = ACTIONS(1452),
    [aux_sym_join_type_token2] = ACTIONS(1452),
    [aux_sym_join_type_token3] = ACTIONS(1452),
    [aux_sym_join_type_token4] = ACTIONS(1452),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1452),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1452),
    [aux_sym_join_condition_token1] = ACTIONS(1452),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1452),
    [aux_sym_truncate_statement_token1] = ACTIONS(1452),
    [aux_sym_update_statement_token1] = ACTIONS(1452),
    [aux_sym_merge_statement_token1] = ACTIONS(1452),
    [aux_sym_grant_statement_token1] = ACTIONS(1452),
    [aux_sym_revoke_statement_token1] = ACTIONS(1452),
    [aux_sym_export_data_statement_token1] = ACTIONS(1452),
    [aux_sym_load_data_statement_token1] = ACTIONS(1452),
    [sym__quoted_identifier] = ACTIONS(1450),
    [sym_comment] = ACTIONS(3),
  },
  [5058] = {
    [sym_analytics_clause] = STATE(5250),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [5059] = {
    [sym_analytics_clause] = STATE(5194),
    [ts_builtin_sym_end] = ACTIONS(1382),
    [sym__unquoted_identifier] = ACTIONS(1384),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1384),
    [aux_sym__keyword_alter_token1] = ACTIONS(1384),
    [aux_sym__keyword_delete_token1] = ACTIONS(1384),
    [aux_sym__keyword_begin_token1] = ACTIONS(1384),
    [aux_sym__keyword_when_token1] = ACTIONS(1384),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1384),
    [aux_sym__keyword_as_token1] = ACTIONS(1384),
    [aux_sym__keyword_window_token1] = ACTIONS(1384),
    [aux_sym__keyword_date_token1] = ACTIONS(1384),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1384),
    [aux_sym__keyword_time_token1] = ACTIONS(1384),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1384),
    [aux_sym__keyword_for_token1] = ACTIONS(1384),
    [anon_sym_SEMI] = ACTIONS(1382),
    [aux_sym_declare_statement_token1] = ACTIONS(1384),
    [anon_sym_COMMA] = ACTIONS(1382),
    [aux_sym_set_statement_token1] = ACTIONS(1384),
    [anon_sym_LPAREN] = ACTIONS(1382),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1384),
    [aux_sym_using_clause_token1] = ACTIONS(1384),
    [aux_sym_return_satement_token1] = ACTIONS(1384),
    [aux_sym_call_statement_token1] = ACTIONS(1384),
    [aux_sym_loop_statement_token1] = ACTIONS(1384),
    [aux_sym_while_statement_token1] = ACTIONS(1384),
    [aux_sym_break_statement_token1] = ACTIONS(1384),
    [aux_sym_leave_statement_token1] = ACTIONS(1384),
    [aux_sym_continue_statement_token1] = ACTIONS(1384),
    [aux_sym_iterate_statement_token1] = ACTIONS(1384),
    [aux_sym_raise_statement_token1] = ACTIONS(1384),
    [aux_sym_assert_statement_token1] = ACTIONS(1384),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1384),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1384),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1384),
    [aux_sym_set_operation_token1] = ACTIONS(1384),
    [aux_sym_set_operation_token3] = ACTIONS(1384),
    [aux_sym_set_operation_token4] = ACTIONS(1384),
    [aux_sym_select_token1] = ACTIONS(1384),
    [aux_sym_having_clause_token1] = ACTIONS(1384),
    [aux_sym_qualify_clause_token1] = ACTIONS(1384),
    [aux_sym_limit_clause_token1] = ACTIONS(1384),
    [aux_sym_group_by_clause_token1] = ACTIONS(1384),
    [aux_sym_order_by_clause_token1] = ACTIONS(1384),
    [aux_sym_where_clause_token1] = ACTIONS(1384),
    [aux_sym_pivot_operator_token1] = ACTIONS(1384),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1384),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1384),
    [aux_sym_join_type_token1] = ACTIONS(1384),
    [aux_sym_join_type_token2] = ACTIONS(1384),
    [aux_sym_join_type_token3] = ACTIONS(1384),
    [aux_sym_join_type_token4] = ACTIONS(1384),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1384),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1384),
    [aux_sym_join_condition_token1] = ACTIONS(1384),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1384),
    [aux_sym_truncate_statement_token1] = ACTIONS(1384),
    [aux_sym_update_statement_token1] = ACTIONS(1384),
    [aux_sym_merge_statement_token1] = ACTIONS(1384),
    [aux_sym_grant_statement_token1] = ACTIONS(1384),
    [aux_sym_revoke_statement_token1] = ACTIONS(1384),
    [aux_sym_export_data_statement_token1] = ACTIONS(1384),
    [aux_sym_load_data_statement_token1] = ACTIONS(1384),
    [sym__quoted_identifier] = ACTIONS(1382),
    [sym_comment] = ACTIONS(3),
  },
  [5060] = {
    [sym_analytics_clause] = STATE(5152),
    [ts_builtin_sym_end] = ACTIONS(1454),
    [sym__unquoted_identifier] = ACTIONS(1456),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1456),
    [aux_sym__keyword_alter_token1] = ACTIONS(1456),
    [aux_sym__keyword_delete_token1] = ACTIONS(1456),
    [aux_sym__keyword_begin_token1] = ACTIONS(1456),
    [aux_sym__keyword_when_token1] = ACTIONS(1456),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1456),
    [aux_sym__keyword_as_token1] = ACTIONS(1456),
    [aux_sym__keyword_window_token1] = ACTIONS(1456),
    [aux_sym__keyword_date_token1] = ACTIONS(1456),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1456),
    [aux_sym__keyword_time_token1] = ACTIONS(1456),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1456),
    [aux_sym__keyword_for_token1] = ACTIONS(1456),
    [anon_sym_SEMI] = ACTIONS(1454),
    [aux_sym_declare_statement_token1] = ACTIONS(1456),
    [anon_sym_COMMA] = ACTIONS(1454),
    [aux_sym_set_statement_token1] = ACTIONS(1456),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1456),
    [aux_sym_using_clause_token1] = ACTIONS(1456),
    [aux_sym_return_satement_token1] = ACTIONS(1456),
    [aux_sym_call_statement_token1] = ACTIONS(1456),
    [aux_sym_loop_statement_token1] = ACTIONS(1456),
    [aux_sym_while_statement_token1] = ACTIONS(1456),
    [aux_sym_break_statement_token1] = ACTIONS(1456),
    [aux_sym_leave_statement_token1] = ACTIONS(1456),
    [aux_sym_continue_statement_token1] = ACTIONS(1456),
    [aux_sym_iterate_statement_token1] = ACTIONS(1456),
    [aux_sym_raise_statement_token1] = ACTIONS(1456),
    [aux_sym_assert_statement_token1] = ACTIONS(1456),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1456),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1456),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1456),
    [aux_sym_set_operation_token1] = ACTIONS(1456),
    [aux_sym_set_operation_token3] = ACTIONS(1456),
    [aux_sym_set_operation_token4] = ACTIONS(1456),
    [aux_sym_select_token1] = ACTIONS(1456),
    [aux_sym_having_clause_token1] = ACTIONS(1456),
    [aux_sym_qualify_clause_token1] = ACTIONS(1456),
    [aux_sym_limit_clause_token1] = ACTIONS(1456),
    [aux_sym_group_by_clause_token1] = ACTIONS(1456),
    [aux_sym_order_by_clause_token1] = ACTIONS(1456),
    [aux_sym_where_clause_token1] = ACTIONS(1456),
    [aux_sym_pivot_operator_token1] = ACTIONS(1456),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1456),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1456),
    [aux_sym_join_type_token1] = ACTIONS(1456),
    [aux_sym_join_type_token2] = ACTIONS(1456),
    [aux_sym_join_type_token3] = ACTIONS(1456),
    [aux_sym_join_type_token4] = ACTIONS(1456),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1456),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1456),
    [aux_sym_join_condition_token1] = ACTIONS(1456),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1456),
    [aux_sym_truncate_statement_token1] = ACTIONS(1456),
    [aux_sym_update_statement_token1] = ACTIONS(1456),
    [aux_sym_merge_statement_token1] = ACTIONS(1456),
    [aux_sym_grant_statement_token1] = ACTIONS(1456),
    [aux_sym_revoke_statement_token1] = ACTIONS(1456),
    [aux_sym_export_data_statement_token1] = ACTIONS(1456),
    [aux_sym_load_data_statement_token1] = ACTIONS(1456),
    [sym__quoted_identifier] = ACTIONS(1454),
    [sym_comment] = ACTIONS(3),
  },
  [5061] = {
    [sym_analytics_clause] = STATE(5188),
    [ts_builtin_sym_end] = ACTIONS(1390),
    [sym__unquoted_identifier] = ACTIONS(1392),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1392),
    [aux_sym__keyword_alter_token1] = ACTIONS(1392),
    [aux_sym__keyword_delete_token1] = ACTIONS(1392),
    [aux_sym__keyword_begin_token1] = ACTIONS(1392),
    [aux_sym__keyword_when_token1] = ACTIONS(1392),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1392),
    [aux_sym__keyword_as_token1] = ACTIONS(1392),
    [aux_sym__keyword_window_token1] = ACTIONS(1392),
    [aux_sym__keyword_date_token1] = ACTIONS(1392),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1392),
    [aux_sym__keyword_time_token1] = ACTIONS(1392),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1392),
    [aux_sym__keyword_for_token1] = ACTIONS(1392),
    [anon_sym_SEMI] = ACTIONS(1390),
    [aux_sym_declare_statement_token1] = ACTIONS(1392),
    [anon_sym_COMMA] = ACTIONS(1390),
    [aux_sym_set_statement_token1] = ACTIONS(1392),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1392),
    [aux_sym_using_clause_token1] = ACTIONS(1392),
    [aux_sym_return_satement_token1] = ACTIONS(1392),
    [aux_sym_call_statement_token1] = ACTIONS(1392),
    [aux_sym_loop_statement_token1] = ACTIONS(1392),
    [aux_sym_while_statement_token1] = ACTIONS(1392),
    [aux_sym_break_statement_token1] = ACTIONS(1392),
    [aux_sym_leave_statement_token1] = ACTIONS(1392),
    [aux_sym_continue_statement_token1] = ACTIONS(1392),
    [aux_sym_iterate_statement_token1] = ACTIONS(1392),
    [aux_sym_raise_statement_token1] = ACTIONS(1392),
    [aux_sym_assert_statement_token1] = ACTIONS(1392),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1392),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1392),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1392),
    [aux_sym_set_operation_token1] = ACTIONS(1392),
    [aux_sym_set_operation_token3] = ACTIONS(1392),
    [aux_sym_set_operation_token4] = ACTIONS(1392),
    [aux_sym_select_token1] = ACTIONS(1392),
    [aux_sym_having_clause_token1] = ACTIONS(1392),
    [aux_sym_qualify_clause_token1] = ACTIONS(1392),
    [aux_sym_limit_clause_token1] = ACTIONS(1392),
    [aux_sym_group_by_clause_token1] = ACTIONS(1392),
    [aux_sym_order_by_clause_token1] = ACTIONS(1392),
    [aux_sym_where_clause_token1] = ACTIONS(1392),
    [aux_sym_pivot_operator_token1] = ACTIONS(1392),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1392),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1392),
    [aux_sym_join_type_token1] = ACTIONS(1392),
    [aux_sym_join_type_token2] = ACTIONS(1392),
    [aux_sym_join_type_token3] = ACTIONS(1392),
    [aux_sym_join_type_token4] = ACTIONS(1392),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1392),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1392),
    [aux_sym_join_condition_token1] = ACTIONS(1392),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1392),
    [aux_sym_truncate_statement_token1] = ACTIONS(1392),
    [aux_sym_update_statement_token1] = ACTIONS(1392),
    [aux_sym_merge_statement_token1] = ACTIONS(1392),
    [aux_sym_grant_statement_token1] = ACTIONS(1392),
    [aux_sym_revoke_statement_token1] = ACTIONS(1392),
    [aux_sym_export_data_statement_token1] = ACTIONS(1392),
    [aux_sym_load_data_statement_token1] = ACTIONS(1392),
    [sym__quoted_identifier] = ACTIONS(1390),
    [sym_comment] = ACTIONS(3),
  },
  [5062] = {
    [sym_analytics_clause] = STATE(5138),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [5063] = {
    [sym_analytics_clause] = STATE(5253),
    [ts_builtin_sym_end] = ACTIONS(1386),
    [sym__unquoted_identifier] = ACTIONS(1388),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1388),
    [aux_sym__keyword_alter_token1] = ACTIONS(1388),
    [aux_sym__keyword_delete_token1] = ACTIONS(1388),
    [aux_sym__keyword_begin_token1] = ACTIONS(1388),
    [aux_sym__keyword_when_token1] = ACTIONS(1388),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1388),
    [aux_sym__keyword_as_token1] = ACTIONS(1388),
    [aux_sym__keyword_window_token1] = ACTIONS(1388),
    [aux_sym__keyword_date_token1] = ACTIONS(1388),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1388),
    [aux_sym__keyword_time_token1] = ACTIONS(1388),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1388),
    [aux_sym__keyword_for_token1] = ACTIONS(1388),
    [anon_sym_SEMI] = ACTIONS(1386),
    [aux_sym_declare_statement_token1] = ACTIONS(1388),
    [anon_sym_COMMA] = ACTIONS(1386),
    [aux_sym_set_statement_token1] = ACTIONS(1388),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1388),
    [aux_sym_using_clause_token1] = ACTIONS(1388),
    [aux_sym_return_satement_token1] = ACTIONS(1388),
    [aux_sym_call_statement_token1] = ACTIONS(1388),
    [aux_sym_loop_statement_token1] = ACTIONS(1388),
    [aux_sym_while_statement_token1] = ACTIONS(1388),
    [aux_sym_break_statement_token1] = ACTIONS(1388),
    [aux_sym_leave_statement_token1] = ACTIONS(1388),
    [aux_sym_continue_statement_token1] = ACTIONS(1388),
    [aux_sym_iterate_statement_token1] = ACTIONS(1388),
    [aux_sym_raise_statement_token1] = ACTIONS(1388),
    [aux_sym_assert_statement_token1] = ACTIONS(1388),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1388),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1388),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1388),
    [aux_sym_set_operation_token1] = ACTIONS(1388),
    [aux_sym_set_operation_token3] = ACTIONS(1388),
    [aux_sym_set_operation_token4] = ACTIONS(1388),
    [aux_sym_select_token1] = ACTIONS(1388),
    [aux_sym_having_clause_token1] = ACTIONS(1388),
    [aux_sym_qualify_clause_token1] = ACTIONS(1388),
    [aux_sym_limit_clause_token1] = ACTIONS(1388),
    [aux_sym_group_by_clause_token1] = ACTIONS(1388),
    [aux_sym_order_by_clause_token1] = ACTIONS(1388),
    [aux_sym_where_clause_token1] = ACTIONS(1388),
    [aux_sym_pivot_operator_token1] = ACTIONS(1388),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1388),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1388),
    [aux_sym_join_type_token1] = ACTIONS(1388),
    [aux_sym_join_type_token2] = ACTIONS(1388),
    [aux_sym_join_type_token3] = ACTIONS(1388),
    [aux_sym_join_type_token4] = ACTIONS(1388),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1388),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1388),
    [aux_sym_join_condition_token1] = ACTIONS(1388),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1388),
    [aux_sym_truncate_statement_token1] = ACTIONS(1388),
    [aux_sym_update_statement_token1] = ACTIONS(1388),
    [aux_sym_merge_statement_token1] = ACTIONS(1388),
    [aux_sym_grant_statement_token1] = ACTIONS(1388),
    [aux_sym_revoke_statement_token1] = ACTIONS(1388),
    [aux_sym_export_data_statement_token1] = ACTIONS(1388),
    [aux_sym_load_data_statement_token1] = ACTIONS(1388),
    [sym__quoted_identifier] = ACTIONS(1386),
    [sym_comment] = ACTIONS(3),
  },
  [5064] = {
    [sym_analytics_clause] = STATE(5187),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_using_clause_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_pivot_operator_token1] = ACTIONS(1380),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1380),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1380),
    [aux_sym_join_type_token1] = ACTIONS(1380),
    [aux_sym_join_type_token2] = ACTIONS(1380),
    [aux_sym_join_type_token3] = ACTIONS(1380),
    [aux_sym_join_type_token4] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1380),
    [aux_sym_join_condition_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [5065] = {
    [sym_analytics_clause] = STATE(5184),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_using_clause_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_pivot_operator_token1] = ACTIONS(1380),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1380),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1380),
    [aux_sym_join_type_token1] = ACTIONS(1380),
    [aux_sym_join_type_token2] = ACTIONS(1380),
    [aux_sym_join_type_token3] = ACTIONS(1380),
    [aux_sym_join_type_token4] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1380),
    [aux_sym_join_condition_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [5066] = {
    [sym_analytics_clause] = STATE(5151),
    [ts_builtin_sym_end] = ACTIONS(1458),
    [sym__unquoted_identifier] = ACTIONS(1460),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1460),
    [aux_sym__keyword_alter_token1] = ACTIONS(1460),
    [aux_sym__keyword_delete_token1] = ACTIONS(1460),
    [aux_sym__keyword_begin_token1] = ACTIONS(1460),
    [aux_sym__keyword_when_token1] = ACTIONS(1460),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1460),
    [aux_sym__keyword_as_token1] = ACTIONS(1460),
    [aux_sym__keyword_window_token1] = ACTIONS(1460),
    [aux_sym__keyword_date_token1] = ACTIONS(1460),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1460),
    [aux_sym__keyword_time_token1] = ACTIONS(1460),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1460),
    [aux_sym__keyword_for_token1] = ACTIONS(1460),
    [anon_sym_SEMI] = ACTIONS(1458),
    [aux_sym_declare_statement_token1] = ACTIONS(1460),
    [anon_sym_COMMA] = ACTIONS(1458),
    [aux_sym_set_statement_token1] = ACTIONS(1460),
    [anon_sym_LPAREN] = ACTIONS(1458),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1460),
    [aux_sym_using_clause_token1] = ACTIONS(1460),
    [aux_sym_return_satement_token1] = ACTIONS(1460),
    [aux_sym_call_statement_token1] = ACTIONS(1460),
    [aux_sym_loop_statement_token1] = ACTIONS(1460),
    [aux_sym_while_statement_token1] = ACTIONS(1460),
    [aux_sym_break_statement_token1] = ACTIONS(1460),
    [aux_sym_leave_statement_token1] = ACTIONS(1460),
    [aux_sym_continue_statement_token1] = ACTIONS(1460),
    [aux_sym_iterate_statement_token1] = ACTIONS(1460),
    [aux_sym_raise_statement_token1] = ACTIONS(1460),
    [aux_sym_assert_statement_token1] = ACTIONS(1460),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1460),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1460),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1460),
    [aux_sym_set_operation_token1] = ACTIONS(1460),
    [aux_sym_set_operation_token3] = ACTIONS(1460),
    [aux_sym_set_operation_token4] = ACTIONS(1460),
    [aux_sym_select_token1] = ACTIONS(1460),
    [aux_sym_having_clause_token1] = ACTIONS(1460),
    [aux_sym_qualify_clause_token1] = ACTIONS(1460),
    [aux_sym_limit_clause_token1] = ACTIONS(1460),
    [aux_sym_group_by_clause_token1] = ACTIONS(1460),
    [aux_sym_order_by_clause_token1] = ACTIONS(1460),
    [aux_sym_where_clause_token1] = ACTIONS(1460),
    [aux_sym_pivot_operator_token1] = ACTIONS(1460),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1460),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1460),
    [aux_sym_join_type_token1] = ACTIONS(1460),
    [aux_sym_join_type_token2] = ACTIONS(1460),
    [aux_sym_join_type_token3] = ACTIONS(1460),
    [aux_sym_join_type_token4] = ACTIONS(1460),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1460),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1460),
    [aux_sym_join_condition_token1] = ACTIONS(1460),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1460),
    [aux_sym_truncate_statement_token1] = ACTIONS(1460),
    [aux_sym_update_statement_token1] = ACTIONS(1460),
    [aux_sym_merge_statement_token1] = ACTIONS(1460),
    [aux_sym_grant_statement_token1] = ACTIONS(1460),
    [aux_sym_revoke_statement_token1] = ACTIONS(1460),
    [aux_sym_export_data_statement_token1] = ACTIONS(1460),
    [aux_sym_load_data_statement_token1] = ACTIONS(1460),
    [sym__quoted_identifier] = ACTIONS(1458),
    [sym_comment] = ACTIONS(3),
  },
  [5067] = {
    [sym_analytics_clause] = STATE(5149),
    [ts_builtin_sym_end] = ACTIONS(1466),
    [sym__unquoted_identifier] = ACTIONS(1468),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1468),
    [aux_sym__keyword_alter_token1] = ACTIONS(1468),
    [aux_sym__keyword_delete_token1] = ACTIONS(1468),
    [aux_sym__keyword_begin_token1] = ACTIONS(1468),
    [aux_sym__keyword_when_token1] = ACTIONS(1468),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1468),
    [aux_sym__keyword_as_token1] = ACTIONS(1468),
    [aux_sym__keyword_window_token1] = ACTIONS(1468),
    [aux_sym__keyword_date_token1] = ACTIONS(1468),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1468),
    [aux_sym__keyword_time_token1] = ACTIONS(1468),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1468),
    [aux_sym__keyword_for_token1] = ACTIONS(1468),
    [anon_sym_SEMI] = ACTIONS(1466),
    [aux_sym_declare_statement_token1] = ACTIONS(1468),
    [anon_sym_COMMA] = ACTIONS(1466),
    [aux_sym_set_statement_token1] = ACTIONS(1468),
    [anon_sym_LPAREN] = ACTIONS(1466),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1468),
    [aux_sym_using_clause_token1] = ACTIONS(1468),
    [aux_sym_return_satement_token1] = ACTIONS(1468),
    [aux_sym_call_statement_token1] = ACTIONS(1468),
    [aux_sym_loop_statement_token1] = ACTIONS(1468),
    [aux_sym_while_statement_token1] = ACTIONS(1468),
    [aux_sym_break_statement_token1] = ACTIONS(1468),
    [aux_sym_leave_statement_token1] = ACTIONS(1468),
    [aux_sym_continue_statement_token1] = ACTIONS(1468),
    [aux_sym_iterate_statement_token1] = ACTIONS(1468),
    [aux_sym_raise_statement_token1] = ACTIONS(1468),
    [aux_sym_assert_statement_token1] = ACTIONS(1468),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1468),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1468),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1468),
    [aux_sym_set_operation_token1] = ACTIONS(1468),
    [aux_sym_set_operation_token3] = ACTIONS(1468),
    [aux_sym_set_operation_token4] = ACTIONS(1468),
    [aux_sym_select_token1] = ACTIONS(1468),
    [aux_sym_having_clause_token1] = ACTIONS(1468),
    [aux_sym_qualify_clause_token1] = ACTIONS(1468),
    [aux_sym_limit_clause_token1] = ACTIONS(1468),
    [aux_sym_group_by_clause_token1] = ACTIONS(1468),
    [aux_sym_order_by_clause_token1] = ACTIONS(1468),
    [aux_sym_where_clause_token1] = ACTIONS(1468),
    [aux_sym_pivot_operator_token1] = ACTIONS(1468),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1468),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1468),
    [aux_sym_join_type_token1] = ACTIONS(1468),
    [aux_sym_join_type_token2] = ACTIONS(1468),
    [aux_sym_join_type_token3] = ACTIONS(1468),
    [aux_sym_join_type_token4] = ACTIONS(1468),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1468),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1468),
    [aux_sym_join_condition_token1] = ACTIONS(1468),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1468),
    [aux_sym_truncate_statement_token1] = ACTIONS(1468),
    [aux_sym_update_statement_token1] = ACTIONS(1468),
    [aux_sym_merge_statement_token1] = ACTIONS(1468),
    [aux_sym_grant_statement_token1] = ACTIONS(1468),
    [aux_sym_revoke_statement_token1] = ACTIONS(1468),
    [aux_sym_export_data_statement_token1] = ACTIONS(1468),
    [aux_sym_load_data_statement_token1] = ACTIONS(1468),
    [sym__quoted_identifier] = ACTIONS(1466),
    [sym_comment] = ACTIONS(3),
  },
  [5068] = {
    [sym_analytics_clause] = STATE(5254),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_using_clause_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_pivot_operator_token1] = ACTIONS(1362),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1362),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1362),
    [aux_sym_join_type_token1] = ACTIONS(1362),
    [aux_sym_join_type_token2] = ACTIONS(1362),
    [aux_sym_join_type_token3] = ACTIONS(1362),
    [aux_sym_join_type_token4] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1362),
    [aux_sym_join_condition_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [5069] = {
    [sym_analytics_clause] = STATE(5183),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_using_clause_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_pivot_operator_token1] = ACTIONS(1380),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1380),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1380),
    [aux_sym_join_type_token1] = ACTIONS(1380),
    [aux_sym_join_type_token2] = ACTIONS(1380),
    [aux_sym_join_type_token3] = ACTIONS(1380),
    [aux_sym_join_type_token4] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1380),
    [aux_sym_join_condition_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [5070] = {
    [sym_analytics_clause] = STATE(5255),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_using_clause_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_pivot_operator_token1] = ACTIONS(1362),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1362),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1362),
    [aux_sym_join_type_token1] = ACTIONS(1362),
    [aux_sym_join_type_token2] = ACTIONS(1362),
    [aux_sym_join_type_token3] = ACTIONS(1362),
    [aux_sym_join_type_token4] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1362),
    [aux_sym_join_condition_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [5071] = {
    [sym_analytics_clause] = STATE(5140),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [5072] = {
    [sym_analytics_clause] = STATE(5182),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_using_clause_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_pivot_operator_token1] = ACTIONS(1380),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1380),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1380),
    [aux_sym_join_type_token1] = ACTIONS(1380),
    [aux_sym_join_type_token2] = ACTIONS(1380),
    [aux_sym_join_type_token3] = ACTIONS(1380),
    [aux_sym_join_type_token4] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1380),
    [aux_sym_join_condition_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [5073] = {
    [sym_analytics_clause] = STATE(5180),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_using_clause_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_pivot_operator_token1] = ACTIONS(1380),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1380),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1380),
    [aux_sym_join_type_token1] = ACTIONS(1380),
    [aux_sym_join_type_token2] = ACTIONS(1380),
    [aux_sym_join_type_token3] = ACTIONS(1380),
    [aux_sym_join_type_token4] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1380),
    [aux_sym_join_condition_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [5074] = {
    [sym_analytics_clause] = STATE(5179),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_using_clause_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_pivot_operator_token1] = ACTIONS(1380),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1380),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1380),
    [aux_sym_join_type_token1] = ACTIONS(1380),
    [aux_sym_join_type_token2] = ACTIONS(1380),
    [aux_sym_join_type_token3] = ACTIONS(1380),
    [aux_sym_join_type_token4] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1380),
    [aux_sym_join_condition_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [5075] = {
    [sym_analytics_clause] = STATE(5145),
    [ts_builtin_sym_end] = ACTIONS(1470),
    [sym__unquoted_identifier] = ACTIONS(1472),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1472),
    [aux_sym__keyword_alter_token1] = ACTIONS(1472),
    [aux_sym__keyword_delete_token1] = ACTIONS(1472),
    [aux_sym__keyword_begin_token1] = ACTIONS(1472),
    [aux_sym__keyword_when_token1] = ACTIONS(1472),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1472),
    [aux_sym__keyword_as_token1] = ACTIONS(1472),
    [aux_sym__keyword_window_token1] = ACTIONS(1472),
    [aux_sym__keyword_date_token1] = ACTIONS(1472),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1472),
    [aux_sym__keyword_time_token1] = ACTIONS(1472),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1472),
    [aux_sym__keyword_for_token1] = ACTIONS(1472),
    [anon_sym_SEMI] = ACTIONS(1470),
    [aux_sym_declare_statement_token1] = ACTIONS(1472),
    [anon_sym_COMMA] = ACTIONS(1470),
    [aux_sym_set_statement_token1] = ACTIONS(1472),
    [anon_sym_LPAREN] = ACTIONS(1470),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1472),
    [aux_sym_using_clause_token1] = ACTIONS(1472),
    [aux_sym_return_satement_token1] = ACTIONS(1472),
    [aux_sym_call_statement_token1] = ACTIONS(1472),
    [aux_sym_loop_statement_token1] = ACTIONS(1472),
    [aux_sym_while_statement_token1] = ACTIONS(1472),
    [aux_sym_break_statement_token1] = ACTIONS(1472),
    [aux_sym_leave_statement_token1] = ACTIONS(1472),
    [aux_sym_continue_statement_token1] = ACTIONS(1472),
    [aux_sym_iterate_statement_token1] = ACTIONS(1472),
    [aux_sym_raise_statement_token1] = ACTIONS(1472),
    [aux_sym_assert_statement_token1] = ACTIONS(1472),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1472),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1472),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1472),
    [aux_sym_set_operation_token1] = ACTIONS(1472),
    [aux_sym_set_operation_token3] = ACTIONS(1472),
    [aux_sym_set_operation_token4] = ACTIONS(1472),
    [aux_sym_select_token1] = ACTIONS(1472),
    [aux_sym_having_clause_token1] = ACTIONS(1472),
    [aux_sym_qualify_clause_token1] = ACTIONS(1472),
    [aux_sym_limit_clause_token1] = ACTIONS(1472),
    [aux_sym_group_by_clause_token1] = ACTIONS(1472),
    [aux_sym_order_by_clause_token1] = ACTIONS(1472),
    [aux_sym_where_clause_token1] = ACTIONS(1472),
    [aux_sym_pivot_operator_token1] = ACTIONS(1472),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1472),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1472),
    [aux_sym_join_type_token1] = ACTIONS(1472),
    [aux_sym_join_type_token2] = ACTIONS(1472),
    [aux_sym_join_type_token3] = ACTIONS(1472),
    [aux_sym_join_type_token4] = ACTIONS(1472),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1472),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1472),
    [aux_sym_join_condition_token1] = ACTIONS(1472),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1472),
    [aux_sym_truncate_statement_token1] = ACTIONS(1472),
    [aux_sym_update_statement_token1] = ACTIONS(1472),
    [aux_sym_merge_statement_token1] = ACTIONS(1472),
    [aux_sym_grant_statement_token1] = ACTIONS(1472),
    [aux_sym_revoke_statement_token1] = ACTIONS(1472),
    [aux_sym_export_data_statement_token1] = ACTIONS(1472),
    [aux_sym_load_data_statement_token1] = ACTIONS(1472),
    [sym__quoted_identifier] = ACTIONS(1470),
    [sym_comment] = ACTIONS(3),
  },
  [5076] = {
    [sym_analytics_clause] = STATE(5133),
    [ts_builtin_sym_end] = ACTIONS(1480),
    [sym__unquoted_identifier] = ACTIONS(1482),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1482),
    [aux_sym__keyword_alter_token1] = ACTIONS(1482),
    [aux_sym__keyword_delete_token1] = ACTIONS(1482),
    [aux_sym__keyword_begin_token1] = ACTIONS(1482),
    [aux_sym__keyword_when_token1] = ACTIONS(1482),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1482),
    [aux_sym__keyword_as_token1] = ACTIONS(1482),
    [aux_sym__keyword_window_token1] = ACTIONS(1482),
    [aux_sym__keyword_date_token1] = ACTIONS(1482),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1482),
    [aux_sym__keyword_time_token1] = ACTIONS(1482),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1482),
    [aux_sym__keyword_for_token1] = ACTIONS(1482),
    [anon_sym_SEMI] = ACTIONS(1480),
    [aux_sym_declare_statement_token1] = ACTIONS(1482),
    [anon_sym_COMMA] = ACTIONS(1480),
    [aux_sym_set_statement_token1] = ACTIONS(1482),
    [anon_sym_LPAREN] = ACTIONS(1480),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1482),
    [aux_sym_using_clause_token1] = ACTIONS(1482),
    [aux_sym_return_satement_token1] = ACTIONS(1482),
    [aux_sym_call_statement_token1] = ACTIONS(1482),
    [aux_sym_loop_statement_token1] = ACTIONS(1482),
    [aux_sym_while_statement_token1] = ACTIONS(1482),
    [aux_sym_break_statement_token1] = ACTIONS(1482),
    [aux_sym_leave_statement_token1] = ACTIONS(1482),
    [aux_sym_continue_statement_token1] = ACTIONS(1482),
    [aux_sym_iterate_statement_token1] = ACTIONS(1482),
    [aux_sym_raise_statement_token1] = ACTIONS(1482),
    [aux_sym_assert_statement_token1] = ACTIONS(1482),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1482),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1482),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1482),
    [aux_sym_set_operation_token1] = ACTIONS(1482),
    [aux_sym_set_operation_token3] = ACTIONS(1482),
    [aux_sym_set_operation_token4] = ACTIONS(1482),
    [aux_sym_select_token1] = ACTIONS(1482),
    [aux_sym_having_clause_token1] = ACTIONS(1482),
    [aux_sym_qualify_clause_token1] = ACTIONS(1482),
    [aux_sym_limit_clause_token1] = ACTIONS(1482),
    [aux_sym_group_by_clause_token1] = ACTIONS(1482),
    [aux_sym_order_by_clause_token1] = ACTIONS(1482),
    [aux_sym_where_clause_token1] = ACTIONS(1482),
    [aux_sym_pivot_operator_token1] = ACTIONS(1482),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1482),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1482),
    [aux_sym_join_type_token1] = ACTIONS(1482),
    [aux_sym_join_type_token2] = ACTIONS(1482),
    [aux_sym_join_type_token3] = ACTIONS(1482),
    [aux_sym_join_type_token4] = ACTIONS(1482),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1482),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1482),
    [aux_sym_join_condition_token1] = ACTIONS(1482),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1482),
    [aux_sym_truncate_statement_token1] = ACTIONS(1482),
    [aux_sym_update_statement_token1] = ACTIONS(1482),
    [aux_sym_merge_statement_token1] = ACTIONS(1482),
    [aux_sym_grant_statement_token1] = ACTIONS(1482),
    [aux_sym_revoke_statement_token1] = ACTIONS(1482),
    [aux_sym_export_data_statement_token1] = ACTIONS(1482),
    [aux_sym_load_data_statement_token1] = ACTIONS(1482),
    [sym__quoted_identifier] = ACTIONS(1480),
    [sym_comment] = ACTIONS(3),
  },
  [5077] = {
    [sym_analytics_clause] = STATE(5176),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_using_clause_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_pivot_operator_token1] = ACTIONS(1380),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1380),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1380),
    [aux_sym_join_type_token1] = ACTIONS(1380),
    [aux_sym_join_type_token2] = ACTIONS(1380),
    [aux_sym_join_type_token3] = ACTIONS(1380),
    [aux_sym_join_type_token4] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1380),
    [aux_sym_join_condition_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [5078] = {
    [sym_analytics_clause] = STATE(5128),
    [ts_builtin_sym_end] = ACTIONS(1488),
    [sym__unquoted_identifier] = ACTIONS(1490),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1490),
    [aux_sym__keyword_alter_token1] = ACTIONS(1490),
    [aux_sym__keyword_delete_token1] = ACTIONS(1490),
    [aux_sym__keyword_begin_token1] = ACTIONS(1490),
    [aux_sym__keyword_when_token1] = ACTIONS(1490),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1490),
    [aux_sym__keyword_as_token1] = ACTIONS(1490),
    [aux_sym__keyword_window_token1] = ACTIONS(1490),
    [aux_sym__keyword_date_token1] = ACTIONS(1490),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1490),
    [aux_sym__keyword_time_token1] = ACTIONS(1490),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1490),
    [aux_sym__keyword_for_token1] = ACTIONS(1490),
    [anon_sym_SEMI] = ACTIONS(1488),
    [aux_sym_declare_statement_token1] = ACTIONS(1490),
    [anon_sym_COMMA] = ACTIONS(1488),
    [aux_sym_set_statement_token1] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1488),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1490),
    [aux_sym_using_clause_token1] = ACTIONS(1490),
    [aux_sym_return_satement_token1] = ACTIONS(1490),
    [aux_sym_call_statement_token1] = ACTIONS(1490),
    [aux_sym_loop_statement_token1] = ACTIONS(1490),
    [aux_sym_while_statement_token1] = ACTIONS(1490),
    [aux_sym_break_statement_token1] = ACTIONS(1490),
    [aux_sym_leave_statement_token1] = ACTIONS(1490),
    [aux_sym_continue_statement_token1] = ACTIONS(1490),
    [aux_sym_iterate_statement_token1] = ACTIONS(1490),
    [aux_sym_raise_statement_token1] = ACTIONS(1490),
    [aux_sym_assert_statement_token1] = ACTIONS(1490),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1490),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1490),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1490),
    [aux_sym_set_operation_token1] = ACTIONS(1490),
    [aux_sym_set_operation_token3] = ACTIONS(1490),
    [aux_sym_set_operation_token4] = ACTIONS(1490),
    [aux_sym_select_token1] = ACTIONS(1490),
    [aux_sym_having_clause_token1] = ACTIONS(1490),
    [aux_sym_qualify_clause_token1] = ACTIONS(1490),
    [aux_sym_limit_clause_token1] = ACTIONS(1490),
    [aux_sym_group_by_clause_token1] = ACTIONS(1490),
    [aux_sym_order_by_clause_token1] = ACTIONS(1490),
    [aux_sym_where_clause_token1] = ACTIONS(1490),
    [aux_sym_pivot_operator_token1] = ACTIONS(1490),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1490),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1490),
    [aux_sym_join_type_token1] = ACTIONS(1490),
    [aux_sym_join_type_token2] = ACTIONS(1490),
    [aux_sym_join_type_token3] = ACTIONS(1490),
    [aux_sym_join_type_token4] = ACTIONS(1490),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1490),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1490),
    [aux_sym_join_condition_token1] = ACTIONS(1490),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1490),
    [aux_sym_truncate_statement_token1] = ACTIONS(1490),
    [aux_sym_update_statement_token1] = ACTIONS(1490),
    [aux_sym_merge_statement_token1] = ACTIONS(1490),
    [aux_sym_grant_statement_token1] = ACTIONS(1490),
    [aux_sym_revoke_statement_token1] = ACTIONS(1490),
    [aux_sym_export_data_statement_token1] = ACTIONS(1490),
    [aux_sym_load_data_statement_token1] = ACTIONS(1490),
    [sym__quoted_identifier] = ACTIONS(1488),
    [sym_comment] = ACTIONS(3),
  },
  [5079] = {
    [sym_analytics_clause] = STATE(5256),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_using_clause_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_pivot_operator_token1] = ACTIONS(1362),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1362),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1362),
    [aux_sym_join_type_token1] = ACTIONS(1362),
    [aux_sym_join_type_token2] = ACTIONS(1362),
    [aux_sym_join_type_token3] = ACTIONS(1362),
    [aux_sym_join_type_token4] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1362),
    [aux_sym_join_condition_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [5080] = {
    [sym_analytics_clause] = STATE(5252),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_using_clause_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_pivot_operator_token1] = ACTIONS(1362),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1362),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1362),
    [aux_sym_join_type_token1] = ACTIONS(1362),
    [aux_sym_join_type_token2] = ACTIONS(1362),
    [aux_sym_join_type_token3] = ACTIONS(1362),
    [aux_sym_join_type_token4] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1362),
    [aux_sym_join_condition_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [5081] = {
    [sym_analytics_clause] = STATE(5174),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_using_clause_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_pivot_operator_token1] = ACTIONS(1380),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1380),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1380),
    [aux_sym_join_type_token1] = ACTIONS(1380),
    [aux_sym_join_type_token2] = ACTIONS(1380),
    [aux_sym_join_type_token3] = ACTIONS(1380),
    [aux_sym_join_type_token4] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1380),
    [aux_sym_join_condition_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [5082] = {
    [sym_analytics_clause] = STATE(5127),
    [ts_builtin_sym_end] = ACTIONS(1492),
    [sym__unquoted_identifier] = ACTIONS(1494),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1494),
    [aux_sym__keyword_alter_token1] = ACTIONS(1494),
    [aux_sym__keyword_delete_token1] = ACTIONS(1494),
    [aux_sym__keyword_begin_token1] = ACTIONS(1494),
    [aux_sym__keyword_when_token1] = ACTIONS(1494),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1494),
    [aux_sym__keyword_as_token1] = ACTIONS(1494),
    [aux_sym__keyword_window_token1] = ACTIONS(1494),
    [aux_sym__keyword_date_token1] = ACTIONS(1494),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1494),
    [aux_sym__keyword_time_token1] = ACTIONS(1494),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1494),
    [aux_sym__keyword_for_token1] = ACTIONS(1494),
    [anon_sym_SEMI] = ACTIONS(1492),
    [aux_sym_declare_statement_token1] = ACTIONS(1494),
    [anon_sym_COMMA] = ACTIONS(1492),
    [aux_sym_set_statement_token1] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1494),
    [aux_sym_using_clause_token1] = ACTIONS(1494),
    [aux_sym_return_satement_token1] = ACTIONS(1494),
    [aux_sym_call_statement_token1] = ACTIONS(1494),
    [aux_sym_loop_statement_token1] = ACTIONS(1494),
    [aux_sym_while_statement_token1] = ACTIONS(1494),
    [aux_sym_break_statement_token1] = ACTIONS(1494),
    [aux_sym_leave_statement_token1] = ACTIONS(1494),
    [aux_sym_continue_statement_token1] = ACTIONS(1494),
    [aux_sym_iterate_statement_token1] = ACTIONS(1494),
    [aux_sym_raise_statement_token1] = ACTIONS(1494),
    [aux_sym_assert_statement_token1] = ACTIONS(1494),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1494),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1494),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1494),
    [aux_sym_set_operation_token1] = ACTIONS(1494),
    [aux_sym_set_operation_token3] = ACTIONS(1494),
    [aux_sym_set_operation_token4] = ACTIONS(1494),
    [aux_sym_select_token1] = ACTIONS(1494),
    [aux_sym_having_clause_token1] = ACTIONS(1494),
    [aux_sym_qualify_clause_token1] = ACTIONS(1494),
    [aux_sym_limit_clause_token1] = ACTIONS(1494),
    [aux_sym_group_by_clause_token1] = ACTIONS(1494),
    [aux_sym_order_by_clause_token1] = ACTIONS(1494),
    [aux_sym_where_clause_token1] = ACTIONS(1494),
    [aux_sym_pivot_operator_token1] = ACTIONS(1494),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1494),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1494),
    [aux_sym_join_type_token1] = ACTIONS(1494),
    [aux_sym_join_type_token2] = ACTIONS(1494),
    [aux_sym_join_type_token3] = ACTIONS(1494),
    [aux_sym_join_type_token4] = ACTIONS(1494),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1494),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1494),
    [aux_sym_join_condition_token1] = ACTIONS(1494),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1494),
    [aux_sym_truncate_statement_token1] = ACTIONS(1494),
    [aux_sym_update_statement_token1] = ACTIONS(1494),
    [aux_sym_merge_statement_token1] = ACTIONS(1494),
    [aux_sym_grant_statement_token1] = ACTIONS(1494),
    [aux_sym_revoke_statement_token1] = ACTIONS(1494),
    [aux_sym_export_data_statement_token1] = ACTIONS(1494),
    [aux_sym_load_data_statement_token1] = ACTIONS(1494),
    [sym__quoted_identifier] = ACTIONS(1492),
    [sym_comment] = ACTIONS(3),
  },
  [5083] = {
    [sym_analytics_clause] = STATE(5170),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_using_clause_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_pivot_operator_token1] = ACTIONS(1380),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1380),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1380),
    [aux_sym_join_type_token1] = ACTIONS(1380),
    [aux_sym_join_type_token2] = ACTIONS(1380),
    [aux_sym_join_type_token3] = ACTIONS(1380),
    [aux_sym_join_type_token4] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1380),
    [aux_sym_join_condition_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [5084] = {
    [sym_analytics_clause] = STATE(5251),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_using_clause_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_pivot_operator_token1] = ACTIONS(1362),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1362),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1362),
    [aux_sym_join_type_token1] = ACTIONS(1362),
    [aux_sym_join_type_token2] = ACTIONS(1362),
    [aux_sym_join_type_token3] = ACTIONS(1362),
    [aux_sym_join_type_token4] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1362),
    [aux_sym_join_condition_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [5085] = {
    [sym_analytics_clause] = STATE(5142),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [5086] = {
    [sym_analytics_clause] = STATE(5143),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [5087] = {
    [sym_analytics_clause] = STATE(5236),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_using_clause_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_pivot_operator_token1] = ACTIONS(1362),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1362),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1362),
    [aux_sym_join_type_token1] = ACTIONS(1362),
    [aux_sym_join_type_token2] = ACTIONS(1362),
    [aux_sym_join_type_token3] = ACTIONS(1362),
    [aux_sym_join_type_token4] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1362),
    [aux_sym_join_condition_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [5088] = {
    [sym_analytics_clause] = STATE(5248),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_using_clause_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_pivot_operator_token1] = ACTIONS(1362),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1362),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1362),
    [aux_sym_join_type_token1] = ACTIONS(1362),
    [aux_sym_join_type_token2] = ACTIONS(1362),
    [aux_sym_join_type_token3] = ACTIONS(1362),
    [aux_sym_join_type_token4] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1362),
    [aux_sym_join_condition_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [5089] = {
    [sym_analytics_clause] = STATE(5165),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_using_clause_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_pivot_operator_token1] = ACTIONS(1380),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1380),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1380),
    [aux_sym_join_type_token1] = ACTIONS(1380),
    [aux_sym_join_type_token2] = ACTIONS(1380),
    [aux_sym_join_type_token3] = ACTIONS(1380),
    [aux_sym_join_type_token4] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1380),
    [aux_sym_join_condition_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [5090] = {
    [sym_analytics_clause] = STATE(5157),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [5091] = {
    [sym_analytics_clause] = STATE(5130),
    [ts_builtin_sym_end] = ACTIONS(1402),
    [sym__unquoted_identifier] = ACTIONS(1404),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1404),
    [aux_sym__keyword_alter_token1] = ACTIONS(1404),
    [aux_sym__keyword_delete_token1] = ACTIONS(1404),
    [aux_sym__keyword_begin_token1] = ACTIONS(1404),
    [aux_sym__keyword_when_token1] = ACTIONS(1404),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1404),
    [aux_sym__keyword_as_token1] = ACTIONS(1404),
    [aux_sym__keyword_window_token1] = ACTIONS(1404),
    [aux_sym__keyword_date_token1] = ACTIONS(1404),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1404),
    [aux_sym__keyword_time_token1] = ACTIONS(1404),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1404),
    [aux_sym__keyword_for_token1] = ACTIONS(1404),
    [anon_sym_SEMI] = ACTIONS(1402),
    [aux_sym_declare_statement_token1] = ACTIONS(1404),
    [anon_sym_COMMA] = ACTIONS(1402),
    [aux_sym_set_statement_token1] = ACTIONS(1404),
    [anon_sym_LPAREN] = ACTIONS(1402),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1404),
    [aux_sym_using_clause_token1] = ACTIONS(1404),
    [aux_sym_return_satement_token1] = ACTIONS(1404),
    [aux_sym_call_statement_token1] = ACTIONS(1404),
    [aux_sym_loop_statement_token1] = ACTIONS(1404),
    [aux_sym_while_statement_token1] = ACTIONS(1404),
    [aux_sym_break_statement_token1] = ACTIONS(1404),
    [aux_sym_leave_statement_token1] = ACTIONS(1404),
    [aux_sym_continue_statement_token1] = ACTIONS(1404),
    [aux_sym_iterate_statement_token1] = ACTIONS(1404),
    [aux_sym_raise_statement_token1] = ACTIONS(1404),
    [aux_sym_assert_statement_token1] = ACTIONS(1404),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1404),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1404),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1404),
    [aux_sym_set_operation_token1] = ACTIONS(1404),
    [aux_sym_set_operation_token3] = ACTIONS(1404),
    [aux_sym_set_operation_token4] = ACTIONS(1404),
    [aux_sym_select_token1] = ACTIONS(1404),
    [aux_sym_having_clause_token1] = ACTIONS(1404),
    [aux_sym_qualify_clause_token1] = ACTIONS(1404),
    [aux_sym_limit_clause_token1] = ACTIONS(1404),
    [aux_sym_group_by_clause_token1] = ACTIONS(1404),
    [aux_sym_order_by_clause_token1] = ACTIONS(1404),
    [aux_sym_where_clause_token1] = ACTIONS(1404),
    [aux_sym_pivot_operator_token1] = ACTIONS(1404),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1404),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1404),
    [aux_sym_join_type_token1] = ACTIONS(1404),
    [aux_sym_join_type_token2] = ACTIONS(1404),
    [aux_sym_join_type_token3] = ACTIONS(1404),
    [aux_sym_join_type_token4] = ACTIONS(1404),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1404),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1404),
    [aux_sym_join_condition_token1] = ACTIONS(1404),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1404),
    [aux_sym_truncate_statement_token1] = ACTIONS(1404),
    [aux_sym_update_statement_token1] = ACTIONS(1404),
    [aux_sym_merge_statement_token1] = ACTIONS(1404),
    [aux_sym_grant_statement_token1] = ACTIONS(1404),
    [aux_sym_revoke_statement_token1] = ACTIONS(1404),
    [aux_sym_export_data_statement_token1] = ACTIONS(1404),
    [aux_sym_load_data_statement_token1] = ACTIONS(1404),
    [sym__quoted_identifier] = ACTIONS(1402),
    [sym_comment] = ACTIONS(3),
  },
  [5092] = {
    [sym__keyword_between] = STATE(1569),
    [sym__keyword_is] = STATE(12044),
    [sym__keyword_in] = STATE(1556),
    [sym__keyword_not] = STATE(13155),
    [sym__keyword_and] = STATE(1590),
    [sym__keyword_or] = STATE(1598),
    [sym__keyword_like] = STATE(14280),
    [sym__keyword_as] = STATE(11580),
    [sym__keyword_date] = STATE(6337),
    [sym__keyword_datetime] = STATE(6337),
    [sym__keyword_time] = STATE(6337),
    [sym__keyword_timestamp] = STATE(6337),
    [sym_as_alias] = STATE(5376),
    [sym__type_chrono] = STATE(6347),
    [sym__identifier] = STATE(2405),
    [sym__dotted_identifier] = STATE(13807),
    [sym_identifier] = STATE(2317),
    [sym_like_operator] = STATE(16181),
    [sym_quantitve_like_operator] = STATE(16182),
    [aux_sym_identifier_repeat1] = STATE(13807),
    [sym__unquoted_identifier] = ACTIONS(335),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(339),
    [aux_sym_keyword_replace_token1] = ACTIONS(341),
    [aux_sym__keyword_from_token1] = ACTIONS(337),
    [aux_sym__keyword_between_token1] = ACTIONS(3418),
    [aux_sym__keyword_is_token1] = ACTIONS(3420),
    [aux_sym__keyword_in_token1] = ACTIONS(3422),
    [aux_sym__keyword_and_token1] = ACTIONS(3424),
    [aux_sym__keyword_like_token1] = ACTIONS(351),
    [aux_sym__keyword_as_token1] = ACTIONS(3426),
    [aux_sym__keyword_window_token1] = ACTIONS(337),
    [aux_sym__keyword_date_token1] = ACTIONS(3428),
    [aux_sym__keyword_datetime_token1] = ACTIONS(3428),
    [aux_sym__keyword_time_token1] = ACTIONS(3428),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(3428),
    [anon_sym_COMMA] = ACTIONS(357),
    [anon_sym_RPAREN] = ACTIONS(357),
    [anon_sym_EQ] = ACTIONS(3430),
    [anon_sym_LT] = ACTIONS(3422),
    [anon_sym_GT] = ACTIONS(3422),
    [aux_sym_set_operation_token1] = ACTIONS(337),
    [aux_sym_set_operation_token3] = ACTIONS(337),
    [aux_sym_set_operation_token4] = ACTIONS(337),
    [aux_sym_having_clause_token1] = ACTIONS(337),
    [aux_sym_qualify_clause_token1] = ACTIONS(337),
    [aux_sym_limit_clause_token1] = ACTIONS(337),
    [aux_sym_group_by_clause_token1] = ACTIONS(337),
    [aux_sym_order_by_clause_token1] = ACTIONS(337),
    [aux_sym_where_clause_token1] = ACTIONS(337),
    [anon_sym_LBRACK] = ACTIONS(3432),
    [sym__quoted_identifier] = ACTIONS(363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(3434),
    [anon_sym_PLUS] = ACTIONS(3436),
    [anon_sym_DASH] = ACTIONS(3438),
    [anon_sym_STAR] = ACTIONS(3440),
    [anon_sym_SLASH] = ACTIONS(3442),
    [anon_sym_PIPE_PIPE] = ACTIONS(3440),
    [anon_sym_LT_EQ] = ACTIONS(3430),
    [anon_sym_LT_GT] = ACTIONS(3430),
    [anon_sym_GT_EQ] = ACTIONS(3430),
    [anon_sym_BANG_EQ] = ACTIONS(3430),
    [anon_sym_LT_LT] = ACTIONS(3444),
    [anon_sym_GT_GT] = ACTIONS(3444),
    [anon_sym_AMP] = ACTIONS(3446),
    [anon_sym_CARET] = ACTIONS(3448),
    [anon_sym_PIPE] = ACTIONS(3450),
  },
  [5093] = {
    [sym_analytics_clause] = STATE(5160),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_using_clause_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_pivot_operator_token1] = ACTIONS(1380),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1380),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1380),
    [aux_sym_join_type_token1] = ACTIONS(1380),
    [aux_sym_join_type_token2] = ACTIONS(1380),
    [aux_sym_join_type_token3] = ACTIONS(1380),
    [aux_sym_join_type_token4] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1380),
    [aux_sym_join_condition_token1] = ACTIONS(1380),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [5094] = {
    [sym_analytics_clause] = STATE(5158),
    [ts_builtin_sym_end] = ACTIONS(1484),
    [sym__unquoted_identifier] = ACTIONS(1486),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1486),
    [aux_sym__keyword_alter_token1] = ACTIONS(1486),
    [aux_sym__keyword_delete_token1] = ACTIONS(1486),
    [aux_sym__keyword_begin_token1] = ACTIONS(1486),
    [aux_sym__keyword_when_token1] = ACTIONS(1486),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1486),
    [aux_sym__keyword_as_token1] = ACTIONS(1486),
    [aux_sym__keyword_window_token1] = ACTIONS(1486),
    [aux_sym__keyword_date_token1] = ACTIONS(1486),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1486),
    [aux_sym__keyword_time_token1] = ACTIONS(1486),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1486),
    [aux_sym__keyword_for_token1] = ACTIONS(1486),
    [anon_sym_SEMI] = ACTIONS(1484),
    [aux_sym_declare_statement_token1] = ACTIONS(1486),
    [anon_sym_COMMA] = ACTIONS(1484),
    [aux_sym_set_statement_token1] = ACTIONS(1486),
    [anon_sym_LPAREN] = ACTIONS(1484),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1486),
    [aux_sym_using_clause_token1] = ACTIONS(1486),
    [aux_sym_return_satement_token1] = ACTIONS(1486),
    [aux_sym_call_statement_token1] = ACTIONS(1486),
    [aux_sym_loop_statement_token1] = ACTIONS(1486),
    [aux_sym_while_statement_token1] = ACTIONS(1486),
    [aux_sym_break_statement_token1] = ACTIONS(1486),
    [aux_sym_leave_statement_token1] = ACTIONS(1486),
    [aux_sym_continue_statement_token1] = ACTIONS(1486),
    [aux_sym_iterate_statement_token1] = ACTIONS(1486),
    [aux_sym_raise_statement_token1] = ACTIONS(1486),
    [aux_sym_assert_statement_token1] = ACTIONS(1486),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1486),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1486),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1486),
    [aux_sym_set_operation_token1] = ACTIONS(1486),
    [aux_sym_set_operation_token3] = ACTIONS(1486),
    [aux_sym_set_operation_token4] = ACTIONS(1486),
    [aux_sym_select_token1] = ACTIONS(1486),
    [aux_sym_having_clause_token1] = ACTIONS(1486),
    [aux_sym_qualify_clause_token1] = ACTIONS(1486),
    [aux_sym_limit_clause_token1] = ACTIONS(1486),
    [aux_sym_group_by_clause_token1] = ACTIONS(1486),
    [aux_sym_order_by_clause_token1] = ACTIONS(1486),
    [aux_sym_where_clause_token1] = ACTIONS(1486),
    [aux_sym_pivot_operator_token1] = ACTIONS(1486),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1486),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1486),
    [aux_sym_join_type_token1] = ACTIONS(1486),
    [aux_sym_join_type_token2] = ACTIONS(1486),
    [aux_sym_join_type_token3] = ACTIONS(1486),
    [aux_sym_join_type_token4] = ACTIONS(1486),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1486),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1486),
    [aux_sym_join_condition_token1] = ACTIONS(1486),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1486),
    [aux_sym_truncate_statement_token1] = ACTIONS(1486),
    [aux_sym_update_statement_token1] = ACTIONS(1486),
    [aux_sym_merge_statement_token1] = ACTIONS(1486),
    [aux_sym_grant_statement_token1] = ACTIONS(1486),
    [aux_sym_revoke_statement_token1] = ACTIONS(1486),
    [aux_sym_export_data_statement_token1] = ACTIONS(1486),
    [aux_sym_load_data_statement_token1] = ACTIONS(1486),
    [sym__quoted_identifier] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [5095] = {
    [sym_analytics_clause] = STATE(5245),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_using_clause_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_pivot_operator_token1] = ACTIONS(1362),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1362),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1362),
    [aux_sym_join_type_token1] = ACTIONS(1362),
    [aux_sym_join_type_token2] = ACTIONS(1362),
    [aux_sym_join_type_token3] = ACTIONS(1362),
    [aux_sym_join_type_token4] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1362),
    [aux_sym_join_condition_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [5096] = {
    [sym_analytics_clause] = STATE(5242),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_using_clause_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_pivot_operator_token1] = ACTIONS(1362),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1362),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1362),
    [aux_sym_join_type_token1] = ACTIONS(1362),
    [aux_sym_join_type_token2] = ACTIONS(1362),
    [aux_sym_join_type_token3] = ACTIONS(1362),
    [aux_sym_join_type_token4] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1362),
    [aux_sym_join_condition_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [5097] = {
    [sym_analytics_clause] = STATE(5239),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_using_clause_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_pivot_operator_token1] = ACTIONS(1362),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1362),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1362),
    [aux_sym_join_type_token1] = ACTIONS(1362),
    [aux_sym_join_type_token2] = ACTIONS(1362),
    [aux_sym_join_type_token3] = ACTIONS(1362),
    [aux_sym_join_type_token4] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1362),
    [aux_sym_join_condition_token1] = ACTIONS(1362),
    [aux_sym_analytics_clause_token1] = ACTIONS(3416),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [5098] = {
    [ts_builtin_sym_end] = ACTIONS(1530),
    [sym__unquoted_identifier] = ACTIONS(1532),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1532),
    [aux_sym__keyword_alter_token1] = ACTIONS(1532),
    [aux_sym__keyword_delete_token1] = ACTIONS(1532),
    [aux_sym__keyword_begin_token1] = ACTIONS(1532),
    [aux_sym__keyword_when_token1] = ACTIONS(1532),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1532),
    [aux_sym__keyword_as_token1] = ACTIONS(1532),
    [aux_sym__keyword_window_token1] = ACTIONS(1532),
    [aux_sym__keyword_date_token1] = ACTIONS(1532),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1532),
    [aux_sym__keyword_time_token1] = ACTIONS(1532),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1532),
    [aux_sym__keyword_for_token1] = ACTIONS(1532),
    [anon_sym_SEMI] = ACTIONS(1530),
    [aux_sym_declare_statement_token1] = ACTIONS(1532),
    [anon_sym_COMMA] = ACTIONS(1530),
    [aux_sym_set_statement_token1] = ACTIONS(1532),
    [anon_sym_LPAREN] = ACTIONS(1530),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1532),
    [aux_sym_using_clause_token1] = ACTIONS(1532),
    [aux_sym_return_satement_token1] = ACTIONS(1532),
    [aux_sym_call_statement_token1] = ACTIONS(1532),
    [aux_sym_loop_statement_token1] = ACTIONS(1532),
    [aux_sym_while_statement_token1] = ACTIONS(1532),
    [aux_sym_break_statement_token1] = ACTIONS(1532),
    [aux_sym_leave_statement_token1] = ACTIONS(1532),
    [aux_sym_continue_statement_token1] = ACTIONS(1532),
    [aux_sym_iterate_statement_token1] = ACTIONS(1532),
    [aux_sym_raise_statement_token1] = ACTIONS(1532),
    [aux_sym_assert_statement_token1] = ACTIONS(1532),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1532),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1532),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1532),
    [aux_sym_set_operation_token1] = ACTIONS(1532),
    [aux_sym_set_operation_token3] = ACTIONS(1532),
    [aux_sym_set_operation_token4] = ACTIONS(1532),
    [aux_sym_select_token1] = ACTIONS(1532),
    [aux_sym_having_clause_token1] = ACTIONS(1532),
    [aux_sym_qualify_clause_token1] = ACTIONS(1532),
    [aux_sym_limit_clause_token1] = ACTIONS(1532),
    [aux_sym_group_by_clause_token1] = ACTIONS(1532),
    [aux_sym_order_by_clause_token1] = ACTIONS(1532),
    [aux_sym_where_clause_token1] = ACTIONS(1532),
    [aux_sym_pivot_operator_token1] = ACTIONS(1532),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1532),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1532),
    [aux_sym_join_type_token1] = ACTIONS(1532),
    [aux_sym_join_type_token2] = ACTIONS(1532),
    [aux_sym_join_type_token3] = ACTIONS(1532),
    [aux_sym_join_type_token4] = ACTIONS(1532),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1532),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1532),
    [aux_sym_join_condition_token1] = ACTIONS(1532),
    [aux_sym_insert_statement_token1] = ACTIONS(1532),
    [aux_sym_truncate_statement_token1] = ACTIONS(1532),
    [aux_sym_update_statement_token1] = ACTIONS(1532),
    [aux_sym_merge_statement_token1] = ACTIONS(1532),
    [aux_sym_grant_statement_token1] = ACTIONS(1532),
    [aux_sym_revoke_statement_token1] = ACTIONS(1532),
    [aux_sym_export_data_statement_token1] = ACTIONS(1532),
    [aux_sym_load_data_statement_token1] = ACTIONS(1532),
    [sym__quoted_identifier] = ACTIONS(1530),
    [anon_sym_DOT] = ACTIONS(1514),
    [sym_comment] = ACTIONS(3),
  },
  [5099] = {
    [ts_builtin_sym_end] = ACTIONS(1508),
    [sym__unquoted_identifier] = ACTIONS(1510),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1510),
    [aux_sym__keyword_alter_token1] = ACTIONS(1510),
    [aux_sym__keyword_delete_token1] = ACTIONS(1510),
    [aux_sym__keyword_begin_token1] = ACTIONS(1510),
    [aux_sym__keyword_when_token1] = ACTIONS(1510),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1510),
    [aux_sym__keyword_as_token1] = ACTIONS(1510),
    [aux_sym__keyword_window_token1] = ACTIONS(1510),
    [aux_sym__keyword_date_token1] = ACTIONS(1510),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1510),
    [aux_sym__keyword_time_token1] = ACTIONS(1510),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1510),
    [aux_sym__keyword_for_token1] = ACTIONS(1510),
    [anon_sym_SEMI] = ACTIONS(1508),
    [aux_sym_declare_statement_token1] = ACTIONS(1510),
    [anon_sym_COMMA] = ACTIONS(1508),
    [aux_sym_set_statement_token1] = ACTIONS(1510),
    [anon_sym_LPAREN] = ACTIONS(1508),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1510),
    [aux_sym_using_clause_token1] = ACTIONS(1510),
    [aux_sym_return_satement_token1] = ACTIONS(1510),
    [aux_sym_call_statement_token1] = ACTIONS(1510),
    [aux_sym_loop_statement_token1] = ACTIONS(1510),
    [aux_sym_while_statement_token1] = ACTIONS(1510),
    [aux_sym_break_statement_token1] = ACTIONS(1510),
    [aux_sym_leave_statement_token1] = ACTIONS(1510),
    [aux_sym_continue_statement_token1] = ACTIONS(1510),
    [aux_sym_iterate_statement_token1] = ACTIONS(1510),
    [aux_sym_raise_statement_token1] = ACTIONS(1510),
    [aux_sym_assert_statement_token1] = ACTIONS(1510),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1510),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1510),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1510),
    [aux_sym_set_operation_token1] = ACTIONS(1510),
    [aux_sym_set_operation_token3] = ACTIONS(1510),
    [aux_sym_set_operation_token4] = ACTIONS(1510),
    [aux_sym_select_token1] = ACTIONS(1510),
    [aux_sym_having_clause_token1] = ACTIONS(1510),
    [aux_sym_qualify_clause_token1] = ACTIONS(1510),
    [aux_sym_limit_clause_token1] = ACTIONS(1510),
    [aux_sym_group_by_clause_token1] = ACTIONS(1510),
    [aux_sym_order_by_clause_token1] = ACTIONS(1510),
    [aux_sym_where_clause_token1] = ACTIONS(1510),
    [aux_sym_pivot_operator_token1] = ACTIONS(1510),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1510),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1510),
    [aux_sym_join_type_token1] = ACTIONS(1510),
    [aux_sym_join_type_token2] = ACTIONS(1510),
    [aux_sym_join_type_token3] = ACTIONS(1510),
    [aux_sym_join_type_token4] = ACTIONS(1510),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1510),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1510),
    [aux_sym_join_condition_token1] = ACTIONS(1510),
    [aux_sym_insert_statement_token1] = ACTIONS(1510),
    [aux_sym_truncate_statement_token1] = ACTIONS(1510),
    [aux_sym_update_statement_token1] = ACTIONS(1510),
    [aux_sym_merge_statement_token1] = ACTIONS(1510),
    [aux_sym_grant_statement_token1] = ACTIONS(1510),
    [aux_sym_revoke_statement_token1] = ACTIONS(1510),
    [aux_sym_export_data_statement_token1] = ACTIONS(1510),
    [aux_sym_load_data_statement_token1] = ACTIONS(1510),
    [sym__quoted_identifier] = ACTIONS(1508),
    [anon_sym_DOT] = ACTIONS(1514),
    [sym_comment] = ACTIONS(3),
  },
  [5100] = {
    [ts_builtin_sym_end] = ACTIONS(1508),
    [sym__unquoted_identifier] = ACTIONS(1510),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1510),
    [aux_sym__keyword_alter_token1] = ACTIONS(1510),
    [aux_sym__keyword_delete_token1] = ACTIONS(1510),
    [aux_sym__keyword_begin_token1] = ACTIONS(1510),
    [aux_sym__keyword_when_token1] = ACTIONS(1510),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1510),
    [aux_sym__keyword_as_token1] = ACTIONS(1510),
    [aux_sym__keyword_window_token1] = ACTIONS(1510),
    [aux_sym__keyword_date_token1] = ACTIONS(1510),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1510),
    [aux_sym__keyword_time_token1] = ACTIONS(1510),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1510),
    [aux_sym__keyword_for_token1] = ACTIONS(1510),
    [anon_sym_SEMI] = ACTIONS(1508),
    [aux_sym_declare_statement_token1] = ACTIONS(1510),
    [anon_sym_COMMA] = ACTIONS(1508),
    [aux_sym_set_statement_token1] = ACTIONS(1510),
    [anon_sym_LPAREN] = ACTIONS(1508),
    [anon_sym_RPAREN] = ACTIONS(1508),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1510),
    [aux_sym_using_clause_token1] = ACTIONS(1510),
    [aux_sym_return_satement_token1] = ACTIONS(1510),
    [aux_sym_call_statement_token1] = ACTIONS(1510),
    [aux_sym_loop_statement_token1] = ACTIONS(1510),
    [aux_sym_while_statement_token1] = ACTIONS(1510),
    [aux_sym_break_statement_token1] = ACTIONS(1510),
    [aux_sym_leave_statement_token1] = ACTIONS(1510),
    [aux_sym_continue_statement_token1] = ACTIONS(1510),
    [aux_sym_iterate_statement_token1] = ACTIONS(1510),
    [aux_sym_raise_statement_token1] = ACTIONS(1510),
    [aux_sym_assert_statement_token1] = ACTIONS(1510),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1510),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1510),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1510),
    [aux_sym_set_operation_token1] = ACTIONS(1510),
    [aux_sym_set_operation_token3] = ACTIONS(1510),
    [aux_sym_set_operation_token4] = ACTIONS(1510),
    [aux_sym_select_token1] = ACTIONS(1510),
    [aux_sym_having_clause_token1] = ACTIONS(1510),
    [aux_sym_qualify_clause_token1] = ACTIONS(1510),
    [aux_sym_limit_clause_token1] = ACTIONS(1510),
    [aux_sym_group_by_clause_token1] = ACTIONS(1510),
    [aux_sym_order_by_clause_token1] = ACTIONS(1510),
    [aux_sym_where_clause_token1] = ACTIONS(1510),
    [aux_sym_pivot_operator_token1] = ACTIONS(1510),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1510),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1510),
    [aux_sym_join_type_token1] = ACTIONS(1510),
    [aux_sym_join_type_token2] = ACTIONS(1510),
    [aux_sym_join_type_token3] = ACTIONS(1510),
    [aux_sym_join_type_token4] = ACTIONS(1510),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1510),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1510),
    [aux_sym_join_condition_token1] = ACTIONS(1510),
    [aux_sym_insert_statement_token1] = ACTIONS(1510),
    [aux_sym_truncate_statement_token1] = ACTIONS(1510),
    [aux_sym_update_statement_token1] = ACTIONS(1510),
    [aux_sym_merge_statement_token1] = ACTIONS(1510),
    [aux_sym_grant_statement_token1] = ACTIONS(1510),
    [aux_sym_revoke_statement_token1] = ACTIONS(1510),
    [aux_sym_export_data_statement_token1] = ACTIONS(1510),
    [aux_sym_load_data_statement_token1] = ACTIONS(1510),
    [sym__quoted_identifier] = ACTIONS(1508),
    [sym_comment] = ACTIONS(3),
  },
  [5101] = {
    [ts_builtin_sym_end] = ACTIONS(1516),
    [sym__unquoted_identifier] = ACTIONS(1518),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1518),
    [aux_sym__keyword_alter_token1] = ACTIONS(1518),
    [aux_sym__keyword_delete_token1] = ACTIONS(1518),
    [aux_sym__keyword_begin_token1] = ACTIONS(1518),
    [aux_sym__keyword_when_token1] = ACTIONS(1518),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1518),
    [aux_sym__keyword_as_token1] = ACTIONS(1518),
    [aux_sym__keyword_window_token1] = ACTIONS(1518),
    [aux_sym__keyword_date_token1] = ACTIONS(1518),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1518),
    [aux_sym__keyword_time_token1] = ACTIONS(1518),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1518),
    [aux_sym__keyword_for_token1] = ACTIONS(1518),
    [anon_sym_SEMI] = ACTIONS(1516),
    [aux_sym_declare_statement_token1] = ACTIONS(1518),
    [anon_sym_COMMA] = ACTIONS(1516),
    [aux_sym_set_statement_token1] = ACTIONS(1518),
    [anon_sym_LPAREN] = ACTIONS(1516),
    [anon_sym_RPAREN] = ACTIONS(1516),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1518),
    [aux_sym_using_clause_token1] = ACTIONS(1518),
    [aux_sym_return_satement_token1] = ACTIONS(1518),
    [aux_sym_call_statement_token1] = ACTIONS(1518),
    [aux_sym_loop_statement_token1] = ACTIONS(1518),
    [aux_sym_while_statement_token1] = ACTIONS(1518),
    [aux_sym_break_statement_token1] = ACTIONS(1518),
    [aux_sym_leave_statement_token1] = ACTIONS(1518),
    [aux_sym_continue_statement_token1] = ACTIONS(1518),
    [aux_sym_iterate_statement_token1] = ACTIONS(1518),
    [aux_sym_raise_statement_token1] = ACTIONS(1518),
    [aux_sym_assert_statement_token1] = ACTIONS(1518),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1518),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1518),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1518),
    [aux_sym_set_operation_token1] = ACTIONS(1518),
    [aux_sym_set_operation_token3] = ACTIONS(1518),
    [aux_sym_set_operation_token4] = ACTIONS(1518),
    [aux_sym_select_token1] = ACTIONS(1518),
    [aux_sym_having_clause_token1] = ACTIONS(1518),
    [aux_sym_qualify_clause_token1] = ACTIONS(1518),
    [aux_sym_limit_clause_token1] = ACTIONS(1518),
    [aux_sym_group_by_clause_token1] = ACTIONS(1518),
    [aux_sym_order_by_clause_token1] = ACTIONS(1518),
    [aux_sym_where_clause_token1] = ACTIONS(1518),
    [aux_sym_pivot_operator_token1] = ACTIONS(1518),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1518),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1518),
    [aux_sym_join_type_token1] = ACTIONS(1518),
    [aux_sym_join_type_token2] = ACTIONS(1518),
    [aux_sym_join_type_token3] = ACTIONS(1518),
    [aux_sym_join_type_token4] = ACTIONS(1518),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1518),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1518),
    [aux_sym_join_condition_token1] = ACTIONS(1518),
    [aux_sym_insert_statement_token1] = ACTIONS(1518),
    [aux_sym_truncate_statement_token1] = ACTIONS(1518),
    [aux_sym_update_statement_token1] = ACTIONS(1518),
    [aux_sym_merge_statement_token1] = ACTIONS(1518),
    [aux_sym_grant_statement_token1] = ACTIONS(1518),
    [aux_sym_revoke_statement_token1] = ACTIONS(1518),
    [aux_sym_export_data_statement_token1] = ACTIONS(1518),
    [aux_sym_load_data_statement_token1] = ACTIONS(1518),
    [sym__quoted_identifier] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
  },
  [5102] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [sym__unquoted_identifier] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1448),
    [aux_sym__keyword_delete_token1] = ACTIONS(1448),
    [aux_sym__keyword_begin_token1] = ACTIONS(1448),
    [aux_sym__keyword_when_token1] = ACTIONS(1448),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1448),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_window_token1] = ACTIONS(1448),
    [aux_sym__keyword_date_token1] = ACTIONS(1448),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1448),
    [aux_sym__keyword_time_token1] = ACTIONS(1448),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1448),
    [aux_sym_using_clause_token1] = ACTIONS(1448),
    [aux_sym_return_satement_token1] = ACTIONS(1448),
    [aux_sym_call_statement_token1] = ACTIONS(1448),
    [aux_sym_loop_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [aux_sym_leave_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_iterate_statement_token1] = ACTIONS(1448),
    [aux_sym_raise_statement_token1] = ACTIONS(1448),
    [aux_sym_assert_statement_token1] = ACTIONS(1448),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1448),
    [aux_sym_set_operation_token3] = ACTIONS(1448),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1448),
    [aux_sym_having_clause_token1] = ACTIONS(1448),
    [aux_sym_qualify_clause_token1] = ACTIONS(1448),
    [aux_sym_limit_clause_token1] = ACTIONS(1448),
    [aux_sym_group_by_clause_token1] = ACTIONS(1448),
    [aux_sym_order_by_clause_token1] = ACTIONS(1448),
    [aux_sym_where_clause_token1] = ACTIONS(1448),
    [aux_sym_pivot_operator_token1] = ACTIONS(1448),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1448),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1448),
    [aux_sym_join_type_token1] = ACTIONS(1448),
    [aux_sym_join_type_token2] = ACTIONS(1448),
    [aux_sym_join_type_token3] = ACTIONS(1448),
    [aux_sym_join_type_token4] = ACTIONS(1448),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1448),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1448),
    [aux_sym_join_condition_token1] = ACTIONS(1448),
    [aux_sym_insert_statement_token1] = ACTIONS(1448),
    [aux_sym_truncate_statement_token1] = ACTIONS(1448),
    [aux_sym_update_statement_token1] = ACTIONS(1448),
    [aux_sym_merge_statement_token1] = ACTIONS(1448),
    [aux_sym_grant_statement_token1] = ACTIONS(1448),
    [aux_sym_revoke_statement_token1] = ACTIONS(1448),
    [aux_sym_export_data_statement_token1] = ACTIONS(1448),
    [aux_sym_load_data_statement_token1] = ACTIONS(1448),
    [sym__quoted_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
  },
  [5103] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [5104] = {
    [ts_builtin_sym_end] = ACTIONS(1776),
    [sym__unquoted_identifier] = ACTIONS(1778),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1778),
    [aux_sym__keyword_alter_token1] = ACTIONS(1778),
    [aux_sym__keyword_delete_token1] = ACTIONS(1778),
    [aux_sym__keyword_begin_token1] = ACTIONS(1778),
    [aux_sym__keyword_when_token1] = ACTIONS(1778),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1778),
    [aux_sym__keyword_as_token1] = ACTIONS(1778),
    [aux_sym__keyword_window_token1] = ACTIONS(1778),
    [aux_sym__keyword_date_token1] = ACTIONS(1778),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1778),
    [aux_sym__keyword_time_token1] = ACTIONS(1778),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1778),
    [aux_sym__keyword_for_token1] = ACTIONS(1778),
    [anon_sym_SEMI] = ACTIONS(1776),
    [aux_sym_declare_statement_token1] = ACTIONS(1778),
    [anon_sym_COMMA] = ACTIONS(1776),
    [aux_sym_set_statement_token1] = ACTIONS(1778),
    [anon_sym_LPAREN] = ACTIONS(1776),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1778),
    [aux_sym_using_clause_token1] = ACTIONS(1778),
    [aux_sym_return_satement_token1] = ACTIONS(1778),
    [aux_sym_call_statement_token1] = ACTIONS(1778),
    [aux_sym_loop_statement_token1] = ACTIONS(1778),
    [aux_sym_while_statement_token1] = ACTIONS(1778),
    [aux_sym_break_statement_token1] = ACTIONS(1778),
    [aux_sym_leave_statement_token1] = ACTIONS(1778),
    [aux_sym_continue_statement_token1] = ACTIONS(1778),
    [aux_sym_iterate_statement_token1] = ACTIONS(1778),
    [aux_sym_raise_statement_token1] = ACTIONS(1778),
    [aux_sym_assert_statement_token1] = ACTIONS(1778),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1778),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1778),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1778),
    [aux_sym_set_operation_token1] = ACTIONS(1778),
    [aux_sym_set_operation_token3] = ACTIONS(1778),
    [aux_sym_set_operation_token4] = ACTIONS(1778),
    [aux_sym_select_token1] = ACTIONS(1778),
    [aux_sym_having_clause_token1] = ACTIONS(1778),
    [aux_sym_qualify_clause_token1] = ACTIONS(1778),
    [aux_sym_limit_clause_token1] = ACTIONS(1778),
    [aux_sym_group_by_clause_token1] = ACTIONS(1778),
    [aux_sym_order_by_clause_token1] = ACTIONS(1778),
    [aux_sym_where_clause_token1] = ACTIONS(1778),
    [aux_sym_pivot_operator_token1] = ACTIONS(1778),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1778),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1778),
    [aux_sym_join_type_token1] = ACTIONS(1778),
    [aux_sym_join_type_token2] = ACTIONS(1778),
    [aux_sym_join_type_token3] = ACTIONS(1778),
    [aux_sym_join_type_token4] = ACTIONS(1778),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1778),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1778),
    [aux_sym_join_condition_token1] = ACTIONS(1778),
    [aux_sym_insert_statement_token1] = ACTIONS(1778),
    [aux_sym_truncate_statement_token1] = ACTIONS(1778),
    [aux_sym_update_statement_token1] = ACTIONS(1778),
    [aux_sym_merge_statement_token1] = ACTIONS(1778),
    [aux_sym_grant_statement_token1] = ACTIONS(1778),
    [aux_sym_revoke_statement_token1] = ACTIONS(1778),
    [aux_sym_export_data_statement_token1] = ACTIONS(1778),
    [aux_sym_load_data_statement_token1] = ACTIONS(1778),
    [sym__quoted_identifier] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
  },
  [5105] = {
    [ts_builtin_sym_end] = ACTIONS(1776),
    [sym__unquoted_identifier] = ACTIONS(1778),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1778),
    [aux_sym__keyword_alter_token1] = ACTIONS(1778),
    [aux_sym__keyword_delete_token1] = ACTIONS(1778),
    [aux_sym__keyword_begin_token1] = ACTIONS(1778),
    [aux_sym__keyword_when_token1] = ACTIONS(1778),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1778),
    [aux_sym__keyword_as_token1] = ACTIONS(1778),
    [aux_sym__keyword_window_token1] = ACTIONS(1778),
    [aux_sym__keyword_date_token1] = ACTIONS(1778),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1778),
    [aux_sym__keyword_time_token1] = ACTIONS(1778),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1778),
    [aux_sym__keyword_for_token1] = ACTIONS(1778),
    [anon_sym_SEMI] = ACTIONS(1776),
    [aux_sym_declare_statement_token1] = ACTIONS(1778),
    [anon_sym_COMMA] = ACTIONS(1776),
    [aux_sym_set_statement_token1] = ACTIONS(1778),
    [anon_sym_LPAREN] = ACTIONS(1776),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1778),
    [aux_sym_using_clause_token1] = ACTIONS(1778),
    [aux_sym_return_satement_token1] = ACTIONS(1778),
    [aux_sym_call_statement_token1] = ACTIONS(1778),
    [aux_sym_loop_statement_token1] = ACTIONS(1778),
    [aux_sym_while_statement_token1] = ACTIONS(1778),
    [aux_sym_break_statement_token1] = ACTIONS(1778),
    [aux_sym_leave_statement_token1] = ACTIONS(1778),
    [aux_sym_continue_statement_token1] = ACTIONS(1778),
    [aux_sym_iterate_statement_token1] = ACTIONS(1778),
    [aux_sym_raise_statement_token1] = ACTIONS(1778),
    [aux_sym_assert_statement_token1] = ACTIONS(1778),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1778),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1778),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1778),
    [aux_sym_set_operation_token1] = ACTIONS(1778),
    [aux_sym_set_operation_token3] = ACTIONS(1778),
    [aux_sym_set_operation_token4] = ACTIONS(1778),
    [aux_sym_select_token1] = ACTIONS(1778),
    [aux_sym_having_clause_token1] = ACTIONS(1778),
    [aux_sym_qualify_clause_token1] = ACTIONS(1778),
    [aux_sym_limit_clause_token1] = ACTIONS(1778),
    [aux_sym_group_by_clause_token1] = ACTIONS(1778),
    [aux_sym_order_by_clause_token1] = ACTIONS(1778),
    [aux_sym_where_clause_token1] = ACTIONS(1778),
    [aux_sym_pivot_operator_token1] = ACTIONS(1778),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1778),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1778),
    [aux_sym_join_type_token1] = ACTIONS(1778),
    [aux_sym_join_type_token2] = ACTIONS(1778),
    [aux_sym_join_type_token3] = ACTIONS(1778),
    [aux_sym_join_type_token4] = ACTIONS(1778),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1778),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1778),
    [aux_sym_join_condition_token1] = ACTIONS(1778),
    [aux_sym_insert_statement_token1] = ACTIONS(1778),
    [aux_sym_truncate_statement_token1] = ACTIONS(1778),
    [aux_sym_update_statement_token1] = ACTIONS(1778),
    [aux_sym_merge_statement_token1] = ACTIONS(1778),
    [aux_sym_grant_statement_token1] = ACTIONS(1778),
    [aux_sym_revoke_statement_token1] = ACTIONS(1778),
    [aux_sym_export_data_statement_token1] = ACTIONS(1778),
    [aux_sym_load_data_statement_token1] = ACTIONS(1778),
    [sym__quoted_identifier] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
  },
  [5106] = {
    [ts_builtin_sym_end] = ACTIONS(1822),
    [sym__unquoted_identifier] = ACTIONS(1824),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1824),
    [aux_sym__keyword_alter_token1] = ACTIONS(1824),
    [aux_sym__keyword_delete_token1] = ACTIONS(1824),
    [aux_sym__keyword_begin_token1] = ACTIONS(1824),
    [aux_sym__keyword_when_token1] = ACTIONS(1824),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1824),
    [aux_sym__keyword_as_token1] = ACTIONS(1824),
    [aux_sym__keyword_window_token1] = ACTIONS(1824),
    [aux_sym__keyword_date_token1] = ACTIONS(1824),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1824),
    [aux_sym__keyword_time_token1] = ACTIONS(1824),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1824),
    [aux_sym__keyword_for_token1] = ACTIONS(1824),
    [anon_sym_SEMI] = ACTIONS(1822),
    [aux_sym_declare_statement_token1] = ACTIONS(1824),
    [anon_sym_COMMA] = ACTIONS(1822),
    [aux_sym_set_statement_token1] = ACTIONS(1824),
    [anon_sym_LPAREN] = ACTIONS(1822),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1824),
    [aux_sym_using_clause_token1] = ACTIONS(1824),
    [aux_sym_return_satement_token1] = ACTIONS(1824),
    [aux_sym_call_statement_token1] = ACTIONS(1824),
    [aux_sym_loop_statement_token1] = ACTIONS(1824),
    [aux_sym_while_statement_token1] = ACTIONS(1824),
    [aux_sym_break_statement_token1] = ACTIONS(1824),
    [aux_sym_leave_statement_token1] = ACTIONS(1824),
    [aux_sym_continue_statement_token1] = ACTIONS(1824),
    [aux_sym_iterate_statement_token1] = ACTIONS(1824),
    [aux_sym_raise_statement_token1] = ACTIONS(1824),
    [aux_sym_assert_statement_token1] = ACTIONS(1824),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1824),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1824),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1824),
    [aux_sym_set_operation_token1] = ACTIONS(1824),
    [aux_sym_set_operation_token3] = ACTIONS(1824),
    [aux_sym_set_operation_token4] = ACTIONS(1824),
    [aux_sym_select_token1] = ACTIONS(1824),
    [aux_sym_having_clause_token1] = ACTIONS(1824),
    [aux_sym_qualify_clause_token1] = ACTIONS(1824),
    [aux_sym_limit_clause_token1] = ACTIONS(1824),
    [aux_sym_group_by_clause_token1] = ACTIONS(1824),
    [aux_sym_order_by_clause_token1] = ACTIONS(1824),
    [aux_sym_where_clause_token1] = ACTIONS(1824),
    [aux_sym_pivot_operator_token1] = ACTIONS(1824),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1824),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1824),
    [aux_sym_join_type_token1] = ACTIONS(1824),
    [aux_sym_join_type_token2] = ACTIONS(1824),
    [aux_sym_join_type_token3] = ACTIONS(1824),
    [aux_sym_join_type_token4] = ACTIONS(1824),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1824),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1824),
    [aux_sym_join_condition_token1] = ACTIONS(1824),
    [aux_sym_insert_statement_token1] = ACTIONS(1824),
    [aux_sym_truncate_statement_token1] = ACTIONS(1824),
    [aux_sym_update_statement_token1] = ACTIONS(1824),
    [aux_sym_merge_statement_token1] = ACTIONS(1824),
    [aux_sym_grant_statement_token1] = ACTIONS(1824),
    [aux_sym_revoke_statement_token1] = ACTIONS(1824),
    [aux_sym_export_data_statement_token1] = ACTIONS(1824),
    [aux_sym_load_data_statement_token1] = ACTIONS(1824),
    [sym__quoted_identifier] = ACTIONS(1822),
    [sym_comment] = ACTIONS(3),
  },
  [5107] = {
    [ts_builtin_sym_end] = ACTIONS(1784),
    [sym__unquoted_identifier] = ACTIONS(1786),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1786),
    [aux_sym__keyword_alter_token1] = ACTIONS(1786),
    [aux_sym__keyword_delete_token1] = ACTIONS(1786),
    [aux_sym__keyword_begin_token1] = ACTIONS(1786),
    [aux_sym__keyword_when_token1] = ACTIONS(1786),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1786),
    [aux_sym__keyword_as_token1] = ACTIONS(1786),
    [aux_sym__keyword_window_token1] = ACTIONS(1786),
    [aux_sym__keyword_date_token1] = ACTIONS(1786),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1786),
    [aux_sym__keyword_time_token1] = ACTIONS(1786),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1786),
    [aux_sym__keyword_for_token1] = ACTIONS(1786),
    [anon_sym_SEMI] = ACTIONS(1784),
    [aux_sym_declare_statement_token1] = ACTIONS(1786),
    [anon_sym_COMMA] = ACTIONS(1784),
    [aux_sym_set_statement_token1] = ACTIONS(1786),
    [anon_sym_LPAREN] = ACTIONS(1784),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1786),
    [aux_sym_using_clause_token1] = ACTIONS(1786),
    [aux_sym_return_satement_token1] = ACTIONS(1786),
    [aux_sym_call_statement_token1] = ACTIONS(1786),
    [aux_sym_loop_statement_token1] = ACTIONS(1786),
    [aux_sym_while_statement_token1] = ACTIONS(1786),
    [aux_sym_break_statement_token1] = ACTIONS(1786),
    [aux_sym_leave_statement_token1] = ACTIONS(1786),
    [aux_sym_continue_statement_token1] = ACTIONS(1786),
    [aux_sym_iterate_statement_token1] = ACTIONS(1786),
    [aux_sym_raise_statement_token1] = ACTIONS(1786),
    [aux_sym_assert_statement_token1] = ACTIONS(1786),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1786),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1786),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1786),
    [aux_sym_set_operation_token1] = ACTIONS(1786),
    [aux_sym_set_operation_token3] = ACTIONS(1786),
    [aux_sym_set_operation_token4] = ACTIONS(1786),
    [aux_sym_select_token1] = ACTIONS(1786),
    [aux_sym_having_clause_token1] = ACTIONS(1786),
    [aux_sym_qualify_clause_token1] = ACTIONS(1786),
    [aux_sym_limit_clause_token1] = ACTIONS(1786),
    [aux_sym_group_by_clause_token1] = ACTIONS(1786),
    [aux_sym_order_by_clause_token1] = ACTIONS(1786),
    [aux_sym_where_clause_token1] = ACTIONS(1786),
    [aux_sym_pivot_operator_token1] = ACTIONS(1786),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1786),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1786),
    [aux_sym_join_type_token1] = ACTIONS(1786),
    [aux_sym_join_type_token2] = ACTIONS(1786),
    [aux_sym_join_type_token3] = ACTIONS(1786),
    [aux_sym_join_type_token4] = ACTIONS(1786),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1786),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1786),
    [aux_sym_join_condition_token1] = ACTIONS(1786),
    [aux_sym_insert_statement_token1] = ACTIONS(1786),
    [aux_sym_truncate_statement_token1] = ACTIONS(1786),
    [aux_sym_update_statement_token1] = ACTIONS(1786),
    [aux_sym_merge_statement_token1] = ACTIONS(1786),
    [aux_sym_grant_statement_token1] = ACTIONS(1786),
    [aux_sym_revoke_statement_token1] = ACTIONS(1786),
    [aux_sym_export_data_statement_token1] = ACTIONS(1786),
    [aux_sym_load_data_statement_token1] = ACTIONS(1786),
    [sym__quoted_identifier] = ACTIONS(1784),
    [sym_comment] = ACTIONS(3),
  },
  [5108] = {
    [ts_builtin_sym_end] = ACTIONS(1858),
    [sym__unquoted_identifier] = ACTIONS(1860),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1860),
    [aux_sym__keyword_alter_token1] = ACTIONS(1860),
    [aux_sym__keyword_delete_token1] = ACTIONS(1860),
    [aux_sym__keyword_begin_token1] = ACTIONS(1860),
    [aux_sym__keyword_when_token1] = ACTIONS(1860),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1860),
    [aux_sym__keyword_as_token1] = ACTIONS(1860),
    [aux_sym__keyword_window_token1] = ACTIONS(1860),
    [aux_sym__keyword_date_token1] = ACTIONS(1860),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1860),
    [aux_sym__keyword_time_token1] = ACTIONS(1860),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1860),
    [aux_sym__keyword_for_token1] = ACTIONS(1860),
    [anon_sym_SEMI] = ACTIONS(1858),
    [aux_sym_declare_statement_token1] = ACTIONS(1860),
    [anon_sym_COMMA] = ACTIONS(1858),
    [aux_sym_set_statement_token1] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(1858),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1860),
    [aux_sym_using_clause_token1] = ACTIONS(1860),
    [aux_sym_return_satement_token1] = ACTIONS(1860),
    [aux_sym_call_statement_token1] = ACTIONS(1860),
    [aux_sym_loop_statement_token1] = ACTIONS(1860),
    [aux_sym_while_statement_token1] = ACTIONS(1860),
    [aux_sym_break_statement_token1] = ACTIONS(1860),
    [aux_sym_leave_statement_token1] = ACTIONS(1860),
    [aux_sym_continue_statement_token1] = ACTIONS(1860),
    [aux_sym_iterate_statement_token1] = ACTIONS(1860),
    [aux_sym_raise_statement_token1] = ACTIONS(1860),
    [aux_sym_assert_statement_token1] = ACTIONS(1860),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1860),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1860),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1860),
    [aux_sym_set_operation_token1] = ACTIONS(1860),
    [aux_sym_set_operation_token3] = ACTIONS(1860),
    [aux_sym_set_operation_token4] = ACTIONS(1860),
    [aux_sym_select_token1] = ACTIONS(1860),
    [aux_sym_having_clause_token1] = ACTIONS(1860),
    [aux_sym_qualify_clause_token1] = ACTIONS(1860),
    [aux_sym_limit_clause_token1] = ACTIONS(1860),
    [aux_sym_group_by_clause_token1] = ACTIONS(1860),
    [aux_sym_order_by_clause_token1] = ACTIONS(1860),
    [aux_sym_where_clause_token1] = ACTIONS(1860),
    [aux_sym_pivot_operator_token1] = ACTIONS(1860),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1860),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1860),
    [aux_sym_join_type_token1] = ACTIONS(1860),
    [aux_sym_join_type_token2] = ACTIONS(1860),
    [aux_sym_join_type_token3] = ACTIONS(1860),
    [aux_sym_join_type_token4] = ACTIONS(1860),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1860),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1860),
    [aux_sym_join_condition_token1] = ACTIONS(1860),
    [aux_sym_insert_statement_token1] = ACTIONS(1860),
    [aux_sym_truncate_statement_token1] = ACTIONS(1860),
    [aux_sym_update_statement_token1] = ACTIONS(1860),
    [aux_sym_merge_statement_token1] = ACTIONS(1860),
    [aux_sym_grant_statement_token1] = ACTIONS(1860),
    [aux_sym_revoke_statement_token1] = ACTIONS(1860),
    [aux_sym_export_data_statement_token1] = ACTIONS(1860),
    [aux_sym_load_data_statement_token1] = ACTIONS(1860),
    [sym__quoted_identifier] = ACTIONS(1858),
    [sym_comment] = ACTIONS(3),
  },
  [5109] = {
    [ts_builtin_sym_end] = ACTIONS(1768),
    [sym__unquoted_identifier] = ACTIONS(1770),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1770),
    [aux_sym__keyword_alter_token1] = ACTIONS(1770),
    [aux_sym__keyword_delete_token1] = ACTIONS(1770),
    [aux_sym__keyword_begin_token1] = ACTIONS(1770),
    [aux_sym__keyword_when_token1] = ACTIONS(1770),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1770),
    [aux_sym__keyword_as_token1] = ACTIONS(1770),
    [aux_sym__keyword_window_token1] = ACTIONS(1770),
    [aux_sym__keyword_date_token1] = ACTIONS(1770),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1770),
    [aux_sym__keyword_time_token1] = ACTIONS(1770),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1770),
    [aux_sym__keyword_for_token1] = ACTIONS(1770),
    [anon_sym_SEMI] = ACTIONS(1768),
    [aux_sym_declare_statement_token1] = ACTIONS(1770),
    [anon_sym_COMMA] = ACTIONS(1768),
    [aux_sym_set_statement_token1] = ACTIONS(1770),
    [anon_sym_LPAREN] = ACTIONS(1768),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1770),
    [aux_sym_using_clause_token1] = ACTIONS(1770),
    [aux_sym_return_satement_token1] = ACTIONS(1770),
    [aux_sym_call_statement_token1] = ACTIONS(1770),
    [aux_sym_loop_statement_token1] = ACTIONS(1770),
    [aux_sym_while_statement_token1] = ACTIONS(1770),
    [aux_sym_break_statement_token1] = ACTIONS(1770),
    [aux_sym_leave_statement_token1] = ACTIONS(1770),
    [aux_sym_continue_statement_token1] = ACTIONS(1770),
    [aux_sym_iterate_statement_token1] = ACTIONS(1770),
    [aux_sym_raise_statement_token1] = ACTIONS(1770),
    [aux_sym_assert_statement_token1] = ACTIONS(1770),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1770),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1770),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1770),
    [aux_sym_set_operation_token1] = ACTIONS(1770),
    [aux_sym_set_operation_token3] = ACTIONS(1770),
    [aux_sym_set_operation_token4] = ACTIONS(1770),
    [aux_sym_select_token1] = ACTIONS(1770),
    [aux_sym_having_clause_token1] = ACTIONS(1770),
    [aux_sym_qualify_clause_token1] = ACTIONS(1770),
    [aux_sym_limit_clause_token1] = ACTIONS(1770),
    [aux_sym_group_by_clause_token1] = ACTIONS(1770),
    [aux_sym_order_by_clause_token1] = ACTIONS(1770),
    [aux_sym_where_clause_token1] = ACTIONS(1770),
    [aux_sym_pivot_operator_token1] = ACTIONS(1770),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1770),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1770),
    [aux_sym_join_type_token1] = ACTIONS(1770),
    [aux_sym_join_type_token2] = ACTIONS(1770),
    [aux_sym_join_type_token3] = ACTIONS(1770),
    [aux_sym_join_type_token4] = ACTIONS(1770),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1770),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1770),
    [aux_sym_join_condition_token1] = ACTIONS(1770),
    [aux_sym_insert_statement_token1] = ACTIONS(1770),
    [aux_sym_truncate_statement_token1] = ACTIONS(1770),
    [aux_sym_update_statement_token1] = ACTIONS(1770),
    [aux_sym_merge_statement_token1] = ACTIONS(1770),
    [aux_sym_grant_statement_token1] = ACTIONS(1770),
    [aux_sym_revoke_statement_token1] = ACTIONS(1770),
    [aux_sym_export_data_statement_token1] = ACTIONS(1770),
    [aux_sym_load_data_statement_token1] = ACTIONS(1770),
    [sym__quoted_identifier] = ACTIONS(1768),
    [sym_comment] = ACTIONS(3),
  },
  [5110] = {
    [ts_builtin_sym_end] = ACTIONS(1590),
    [sym__unquoted_identifier] = ACTIONS(1592),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1592),
    [aux_sym__keyword_alter_token1] = ACTIONS(1592),
    [aux_sym__keyword_delete_token1] = ACTIONS(1592),
    [aux_sym__keyword_begin_token1] = ACTIONS(1592),
    [aux_sym__keyword_when_token1] = ACTIONS(1592),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1592),
    [aux_sym__keyword_as_token1] = ACTIONS(1592),
    [aux_sym__keyword_window_token1] = ACTIONS(1592),
    [aux_sym__keyword_date_token1] = ACTIONS(1592),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1592),
    [aux_sym__keyword_time_token1] = ACTIONS(1592),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1592),
    [aux_sym__keyword_for_token1] = ACTIONS(1592),
    [anon_sym_SEMI] = ACTIONS(1590),
    [aux_sym_declare_statement_token1] = ACTIONS(1592),
    [anon_sym_COMMA] = ACTIONS(1590),
    [aux_sym_set_statement_token1] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1590),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1592),
    [aux_sym_using_clause_token1] = ACTIONS(1592),
    [aux_sym_return_satement_token1] = ACTIONS(1592),
    [aux_sym_call_statement_token1] = ACTIONS(1592),
    [aux_sym_loop_statement_token1] = ACTIONS(1592),
    [aux_sym_while_statement_token1] = ACTIONS(1592),
    [aux_sym_break_statement_token1] = ACTIONS(1592),
    [aux_sym_leave_statement_token1] = ACTIONS(1592),
    [aux_sym_continue_statement_token1] = ACTIONS(1592),
    [aux_sym_iterate_statement_token1] = ACTIONS(1592),
    [aux_sym_raise_statement_token1] = ACTIONS(1592),
    [aux_sym_assert_statement_token1] = ACTIONS(1592),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1592),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1592),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1592),
    [aux_sym_set_operation_token1] = ACTIONS(1592),
    [aux_sym_set_operation_token3] = ACTIONS(1592),
    [aux_sym_set_operation_token4] = ACTIONS(1592),
    [aux_sym_select_token1] = ACTIONS(1592),
    [aux_sym_having_clause_token1] = ACTIONS(1592),
    [aux_sym_qualify_clause_token1] = ACTIONS(1592),
    [aux_sym_limit_clause_token1] = ACTIONS(1592),
    [aux_sym_group_by_clause_token1] = ACTIONS(1592),
    [aux_sym_order_by_clause_token1] = ACTIONS(1592),
    [aux_sym_where_clause_token1] = ACTIONS(1592),
    [aux_sym_pivot_operator_token1] = ACTIONS(1592),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1592),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1592),
    [aux_sym_join_type_token1] = ACTIONS(1592),
    [aux_sym_join_type_token2] = ACTIONS(1592),
    [aux_sym_join_type_token3] = ACTIONS(1592),
    [aux_sym_join_type_token4] = ACTIONS(1592),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1592),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1592),
    [aux_sym_join_condition_token1] = ACTIONS(1592),
    [aux_sym_insert_statement_token1] = ACTIONS(1592),
    [aux_sym_truncate_statement_token1] = ACTIONS(1592),
    [aux_sym_update_statement_token1] = ACTIONS(1592),
    [aux_sym_merge_statement_token1] = ACTIONS(1592),
    [aux_sym_grant_statement_token1] = ACTIONS(1592),
    [aux_sym_revoke_statement_token1] = ACTIONS(1592),
    [aux_sym_export_data_statement_token1] = ACTIONS(1592),
    [aux_sym_load_data_statement_token1] = ACTIONS(1592),
    [sym__quoted_identifier] = ACTIONS(1590),
    [sym_comment] = ACTIONS(3),
  },
  [5111] = {
    [ts_builtin_sym_end] = ACTIONS(1826),
    [sym__unquoted_identifier] = ACTIONS(1828),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1828),
    [aux_sym__keyword_alter_token1] = ACTIONS(1828),
    [aux_sym__keyword_delete_token1] = ACTIONS(1828),
    [aux_sym__keyword_begin_token1] = ACTIONS(1828),
    [aux_sym__keyword_when_token1] = ACTIONS(1828),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1828),
    [aux_sym__keyword_as_token1] = ACTIONS(1828),
    [aux_sym__keyword_window_token1] = ACTIONS(1828),
    [aux_sym__keyword_date_token1] = ACTIONS(1828),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1828),
    [aux_sym__keyword_time_token1] = ACTIONS(1828),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1828),
    [aux_sym__keyword_for_token1] = ACTIONS(1828),
    [anon_sym_SEMI] = ACTIONS(1826),
    [aux_sym_declare_statement_token1] = ACTIONS(1828),
    [anon_sym_COMMA] = ACTIONS(1826),
    [aux_sym_set_statement_token1] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1826),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1828),
    [aux_sym_using_clause_token1] = ACTIONS(1828),
    [aux_sym_return_satement_token1] = ACTIONS(1828),
    [aux_sym_call_statement_token1] = ACTIONS(1828),
    [aux_sym_loop_statement_token1] = ACTIONS(1828),
    [aux_sym_while_statement_token1] = ACTIONS(1828),
    [aux_sym_break_statement_token1] = ACTIONS(1828),
    [aux_sym_leave_statement_token1] = ACTIONS(1828),
    [aux_sym_continue_statement_token1] = ACTIONS(1828),
    [aux_sym_iterate_statement_token1] = ACTIONS(1828),
    [aux_sym_raise_statement_token1] = ACTIONS(1828),
    [aux_sym_assert_statement_token1] = ACTIONS(1828),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1828),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1828),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1828),
    [aux_sym_set_operation_token1] = ACTIONS(1828),
    [aux_sym_set_operation_token3] = ACTIONS(1828),
    [aux_sym_set_operation_token4] = ACTIONS(1828),
    [aux_sym_select_token1] = ACTIONS(1828),
    [aux_sym_having_clause_token1] = ACTIONS(1828),
    [aux_sym_qualify_clause_token1] = ACTIONS(1828),
    [aux_sym_limit_clause_token1] = ACTIONS(1828),
    [aux_sym_group_by_clause_token1] = ACTIONS(1828),
    [aux_sym_order_by_clause_token1] = ACTIONS(1828),
    [aux_sym_where_clause_token1] = ACTIONS(1828),
    [aux_sym_pivot_operator_token1] = ACTIONS(1828),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1828),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1828),
    [aux_sym_join_type_token1] = ACTIONS(1828),
    [aux_sym_join_type_token2] = ACTIONS(1828),
    [aux_sym_join_type_token3] = ACTIONS(1828),
    [aux_sym_join_type_token4] = ACTIONS(1828),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1828),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1828),
    [aux_sym_join_condition_token1] = ACTIONS(1828),
    [aux_sym_insert_statement_token1] = ACTIONS(1828),
    [aux_sym_truncate_statement_token1] = ACTIONS(1828),
    [aux_sym_update_statement_token1] = ACTIONS(1828),
    [aux_sym_merge_statement_token1] = ACTIONS(1828),
    [aux_sym_grant_statement_token1] = ACTIONS(1828),
    [aux_sym_revoke_statement_token1] = ACTIONS(1828),
    [aux_sym_export_data_statement_token1] = ACTIONS(1828),
    [aux_sym_load_data_statement_token1] = ACTIONS(1828),
    [sym__quoted_identifier] = ACTIONS(1826),
    [sym_comment] = ACTIONS(3),
  },
  [5112] = {
    [ts_builtin_sym_end] = ACTIONS(1776),
    [sym__unquoted_identifier] = ACTIONS(1778),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1778),
    [aux_sym__keyword_alter_token1] = ACTIONS(1778),
    [aux_sym__keyword_delete_token1] = ACTIONS(1778),
    [aux_sym__keyword_begin_token1] = ACTIONS(1778),
    [aux_sym__keyword_when_token1] = ACTIONS(1778),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1778),
    [aux_sym__keyword_as_token1] = ACTIONS(1778),
    [aux_sym__keyword_window_token1] = ACTIONS(1778),
    [aux_sym__keyword_date_token1] = ACTIONS(1778),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1778),
    [aux_sym__keyword_time_token1] = ACTIONS(1778),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1778),
    [aux_sym__keyword_for_token1] = ACTIONS(1778),
    [anon_sym_SEMI] = ACTIONS(1776),
    [aux_sym_declare_statement_token1] = ACTIONS(1778),
    [anon_sym_COMMA] = ACTIONS(1776),
    [aux_sym_set_statement_token1] = ACTIONS(1778),
    [anon_sym_LPAREN] = ACTIONS(1776),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1778),
    [aux_sym_using_clause_token1] = ACTIONS(1778),
    [aux_sym_return_satement_token1] = ACTIONS(1778),
    [aux_sym_call_statement_token1] = ACTIONS(1778),
    [aux_sym_loop_statement_token1] = ACTIONS(1778),
    [aux_sym_while_statement_token1] = ACTIONS(1778),
    [aux_sym_break_statement_token1] = ACTIONS(1778),
    [aux_sym_leave_statement_token1] = ACTIONS(1778),
    [aux_sym_continue_statement_token1] = ACTIONS(1778),
    [aux_sym_iterate_statement_token1] = ACTIONS(1778),
    [aux_sym_raise_statement_token1] = ACTIONS(1778),
    [aux_sym_assert_statement_token1] = ACTIONS(1778),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1778),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1778),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1778),
    [aux_sym_set_operation_token1] = ACTIONS(1778),
    [aux_sym_set_operation_token3] = ACTIONS(1778),
    [aux_sym_set_operation_token4] = ACTIONS(1778),
    [aux_sym_select_token1] = ACTIONS(1778),
    [aux_sym_having_clause_token1] = ACTIONS(1778),
    [aux_sym_qualify_clause_token1] = ACTIONS(1778),
    [aux_sym_limit_clause_token1] = ACTIONS(1778),
    [aux_sym_group_by_clause_token1] = ACTIONS(1778),
    [aux_sym_order_by_clause_token1] = ACTIONS(1778),
    [aux_sym_where_clause_token1] = ACTIONS(1778),
    [aux_sym_pivot_operator_token1] = ACTIONS(1778),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1778),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1778),
    [aux_sym_join_type_token1] = ACTIONS(1778),
    [aux_sym_join_type_token2] = ACTIONS(1778),
    [aux_sym_join_type_token3] = ACTIONS(1778),
    [aux_sym_join_type_token4] = ACTIONS(1778),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1778),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1778),
    [aux_sym_join_condition_token1] = ACTIONS(1778),
    [aux_sym_insert_statement_token1] = ACTIONS(1778),
    [aux_sym_truncate_statement_token1] = ACTIONS(1778),
    [aux_sym_update_statement_token1] = ACTIONS(1778),
    [aux_sym_merge_statement_token1] = ACTIONS(1778),
    [aux_sym_grant_statement_token1] = ACTIONS(1778),
    [aux_sym_revoke_statement_token1] = ACTIONS(1778),
    [aux_sym_export_data_statement_token1] = ACTIONS(1778),
    [aux_sym_load_data_statement_token1] = ACTIONS(1778),
    [sym__quoted_identifier] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
  },
  [5113] = {
    [ts_builtin_sym_end] = ACTIONS(1776),
    [sym__unquoted_identifier] = ACTIONS(1778),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1778),
    [aux_sym__keyword_alter_token1] = ACTIONS(1778),
    [aux_sym__keyword_delete_token1] = ACTIONS(1778),
    [aux_sym__keyword_begin_token1] = ACTIONS(1778),
    [aux_sym__keyword_when_token1] = ACTIONS(1778),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1778),
    [aux_sym__keyword_as_token1] = ACTIONS(1778),
    [aux_sym__keyword_window_token1] = ACTIONS(1778),
    [aux_sym__keyword_date_token1] = ACTIONS(1778),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1778),
    [aux_sym__keyword_time_token1] = ACTIONS(1778),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1778),
    [aux_sym__keyword_for_token1] = ACTIONS(1778),
    [anon_sym_SEMI] = ACTIONS(1776),
    [aux_sym_declare_statement_token1] = ACTIONS(1778),
    [anon_sym_COMMA] = ACTIONS(1776),
    [aux_sym_set_statement_token1] = ACTIONS(1778),
    [anon_sym_LPAREN] = ACTIONS(1776),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1778),
    [aux_sym_using_clause_token1] = ACTIONS(1778),
    [aux_sym_return_satement_token1] = ACTIONS(1778),
    [aux_sym_call_statement_token1] = ACTIONS(1778),
    [aux_sym_loop_statement_token1] = ACTIONS(1778),
    [aux_sym_while_statement_token1] = ACTIONS(1778),
    [aux_sym_break_statement_token1] = ACTIONS(1778),
    [aux_sym_leave_statement_token1] = ACTIONS(1778),
    [aux_sym_continue_statement_token1] = ACTIONS(1778),
    [aux_sym_iterate_statement_token1] = ACTIONS(1778),
    [aux_sym_raise_statement_token1] = ACTIONS(1778),
    [aux_sym_assert_statement_token1] = ACTIONS(1778),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1778),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1778),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1778),
    [aux_sym_set_operation_token1] = ACTIONS(1778),
    [aux_sym_set_operation_token3] = ACTIONS(1778),
    [aux_sym_set_operation_token4] = ACTIONS(1778),
    [aux_sym_select_token1] = ACTIONS(1778),
    [aux_sym_having_clause_token1] = ACTIONS(1778),
    [aux_sym_qualify_clause_token1] = ACTIONS(1778),
    [aux_sym_limit_clause_token1] = ACTIONS(1778),
    [aux_sym_group_by_clause_token1] = ACTIONS(1778),
    [aux_sym_order_by_clause_token1] = ACTIONS(1778),
    [aux_sym_where_clause_token1] = ACTIONS(1778),
    [aux_sym_pivot_operator_token1] = ACTIONS(1778),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1778),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1778),
    [aux_sym_join_type_token1] = ACTIONS(1778),
    [aux_sym_join_type_token2] = ACTIONS(1778),
    [aux_sym_join_type_token3] = ACTIONS(1778),
    [aux_sym_join_type_token4] = ACTIONS(1778),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1778),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1778),
    [aux_sym_join_condition_token1] = ACTIONS(1778),
    [aux_sym_insert_statement_token1] = ACTIONS(1778),
    [aux_sym_truncate_statement_token1] = ACTIONS(1778),
    [aux_sym_update_statement_token1] = ACTIONS(1778),
    [aux_sym_merge_statement_token1] = ACTIONS(1778),
    [aux_sym_grant_statement_token1] = ACTIONS(1778),
    [aux_sym_revoke_statement_token1] = ACTIONS(1778),
    [aux_sym_export_data_statement_token1] = ACTIONS(1778),
    [aux_sym_load_data_statement_token1] = ACTIONS(1778),
    [sym__quoted_identifier] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
  },
  [5114] = {
    [sym__keyword_as] = STATE(11489),
    [sym__keyword_date] = STATE(2335),
    [sym__keyword_datetime] = STATE(2335),
    [sym__keyword_time] = STATE(2335),
    [sym__keyword_timestamp] = STATE(2335),
    [sym_as_alias] = STATE(5415),
    [sym__type_chrono] = STATE(2336),
    [sym__identifier] = STATE(2405),
    [sym__dotted_identifier] = STATE(13807),
    [sym_identifier] = STATE(2317),
    [aux_sym_identifier_repeat1] = STATE(13807),
    [ts_builtin_sym_end] = ACTIONS(3386),
    [sym__unquoted_identifier] = ACTIONS(335),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3384),
    [aux_sym__keyword_alter_token1] = ACTIONS(3384),
    [aux_sym__keyword_delete_token1] = ACTIONS(3384),
    [aux_sym__keyword_begin_token1] = ACTIONS(3384),
    [aux_sym__keyword_when_token1] = ACTIONS(3384),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3384),
    [aux_sym__keyword_as_token1] = ACTIONS(353),
    [aux_sym__keyword_window_token1] = ACTIONS(3384),
    [aux_sym__keyword_date_token1] = ACTIONS(355),
    [aux_sym__keyword_datetime_token1] = ACTIONS(355),
    [aux_sym__keyword_time_token1] = ACTIONS(355),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(355),
    [aux_sym__keyword_for_token1] = ACTIONS(3384),
    [anon_sym_SEMI] = ACTIONS(3386),
    [aux_sym_declare_statement_token1] = ACTIONS(3384),
    [aux_sym_set_statement_token1] = ACTIONS(3384),
    [anon_sym_LPAREN] = ACTIONS(3386),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(3384),
    [aux_sym_return_satement_token1] = ACTIONS(3384),
    [aux_sym_call_statement_token1] = ACTIONS(3384),
    [aux_sym_loop_statement_token1] = ACTIONS(3384),
    [aux_sym_while_statement_token1] = ACTIONS(3384),
    [aux_sym_break_statement_token1] = ACTIONS(3384),
    [aux_sym_leave_statement_token1] = ACTIONS(3384),
    [aux_sym_continue_statement_token1] = ACTIONS(3384),
    [aux_sym_iterate_statement_token1] = ACTIONS(3384),
    [aux_sym_raise_statement_token1] = ACTIONS(3384),
    [aux_sym_assert_statement_token1] = ACTIONS(3384),
    [aux_sym_create_schema_statement_token1] = ACTIONS(3384),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(3384),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3384),
    [aux_sym_set_operation_token1] = ACTIONS(3384),
    [aux_sym_set_operation_token3] = ACTIONS(3384),
    [aux_sym_set_operation_token4] = ACTIONS(3384),
    [aux_sym_select_token1] = ACTIONS(3384),
    [aux_sym_having_clause_token1] = ACTIONS(3384),
    [aux_sym_qualify_clause_token1] = ACTIONS(3384),
    [aux_sym_limit_clause_token1] = ACTIONS(3384),
    [aux_sym_group_by_clause_token1] = ACTIONS(3384),
    [aux_sym_order_by_clause_token1] = ACTIONS(3384),
    [aux_sym_where_clause_token1] = ACTIONS(3384),
    [aux_sym_tablesample_operator_token1] = ACTIONS(3384),
    [aux_sym_insert_statement_token1] = ACTIONS(3384),
    [aux_sym_truncate_statement_token1] = ACTIONS(3384),
    [aux_sym_update_statement_token1] = ACTIONS(3384),
    [aux_sym_merge_statement_token1] = ACTIONS(3384),
    [aux_sym_grant_statement_token1] = ACTIONS(3384),
    [aux_sym_revoke_statement_token1] = ACTIONS(3384),
    [aux_sym_export_data_statement_token1] = ACTIONS(3384),
    [aux_sym_load_data_statement_token1] = ACTIONS(3384),
    [sym__quoted_identifier] = ACTIONS(363),
    [sym_comment] = ACTIONS(3),
  },
  [5115] = {
    [ts_builtin_sym_end] = ACTIONS(1780),
    [sym__unquoted_identifier] = ACTIONS(1782),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1782),
    [aux_sym__keyword_alter_token1] = ACTIONS(1782),
    [aux_sym__keyword_delete_token1] = ACTIONS(1782),
    [aux_sym__keyword_begin_token1] = ACTIONS(1782),
    [aux_sym__keyword_when_token1] = ACTIONS(1782),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1782),
    [aux_sym__keyword_as_token1] = ACTIONS(1782),
    [aux_sym__keyword_window_token1] = ACTIONS(1782),
    [aux_sym__keyword_date_token1] = ACTIONS(1782),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1782),
    [aux_sym__keyword_time_token1] = ACTIONS(1782),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1782),
    [aux_sym__keyword_for_token1] = ACTIONS(1782),
    [anon_sym_SEMI] = ACTIONS(1780),
    [aux_sym_declare_statement_token1] = ACTIONS(1782),
    [anon_sym_COMMA] = ACTIONS(1780),
    [aux_sym_set_statement_token1] = ACTIONS(1782),
    [anon_sym_LPAREN] = ACTIONS(1780),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1782),
    [aux_sym_using_clause_token1] = ACTIONS(1782),
    [aux_sym_return_satement_token1] = ACTIONS(1782),
    [aux_sym_call_statement_token1] = ACTIONS(1782),
    [aux_sym_loop_statement_token1] = ACTIONS(1782),
    [aux_sym_while_statement_token1] = ACTIONS(1782),
    [aux_sym_break_statement_token1] = ACTIONS(1782),
    [aux_sym_leave_statement_token1] = ACTIONS(1782),
    [aux_sym_continue_statement_token1] = ACTIONS(1782),
    [aux_sym_iterate_statement_token1] = ACTIONS(1782),
    [aux_sym_raise_statement_token1] = ACTIONS(1782),
    [aux_sym_assert_statement_token1] = ACTIONS(1782),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1782),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1782),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1782),
    [aux_sym_set_operation_token1] = ACTIONS(1782),
    [aux_sym_set_operation_token3] = ACTIONS(1782),
    [aux_sym_set_operation_token4] = ACTIONS(1782),
    [aux_sym_select_token1] = ACTIONS(1782),
    [aux_sym_having_clause_token1] = ACTIONS(1782),
    [aux_sym_qualify_clause_token1] = ACTIONS(1782),
    [aux_sym_limit_clause_token1] = ACTIONS(1782),
    [aux_sym_group_by_clause_token1] = ACTIONS(1782),
    [aux_sym_order_by_clause_token1] = ACTIONS(1782),
    [aux_sym_where_clause_token1] = ACTIONS(1782),
    [aux_sym_pivot_operator_token1] = ACTIONS(1782),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1782),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1782),
    [aux_sym_join_type_token1] = ACTIONS(1782),
    [aux_sym_join_type_token2] = ACTIONS(1782),
    [aux_sym_join_type_token3] = ACTIONS(1782),
    [aux_sym_join_type_token4] = ACTIONS(1782),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1782),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1782),
    [aux_sym_join_condition_token1] = ACTIONS(1782),
    [aux_sym_insert_statement_token1] = ACTIONS(1782),
    [aux_sym_truncate_statement_token1] = ACTIONS(1782),
    [aux_sym_update_statement_token1] = ACTIONS(1782),
    [aux_sym_merge_statement_token1] = ACTIONS(1782),
    [aux_sym_grant_statement_token1] = ACTIONS(1782),
    [aux_sym_revoke_statement_token1] = ACTIONS(1782),
    [aux_sym_export_data_statement_token1] = ACTIONS(1782),
    [aux_sym_load_data_statement_token1] = ACTIONS(1782),
    [sym__quoted_identifier] = ACTIONS(1780),
    [sym_comment] = ACTIONS(3),
  },
  [5116] = {
    [ts_builtin_sym_end] = ACTIONS(1780),
    [sym__unquoted_identifier] = ACTIONS(1782),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1782),
    [aux_sym__keyword_alter_token1] = ACTIONS(1782),
    [aux_sym__keyword_delete_token1] = ACTIONS(1782),
    [aux_sym__keyword_begin_token1] = ACTIONS(1782),
    [aux_sym__keyword_when_token1] = ACTIONS(1782),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1782),
    [aux_sym__keyword_as_token1] = ACTIONS(1782),
    [aux_sym__keyword_window_token1] = ACTIONS(1782),
    [aux_sym__keyword_date_token1] = ACTIONS(1782),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1782),
    [aux_sym__keyword_time_token1] = ACTIONS(1782),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1782),
    [aux_sym__keyword_for_token1] = ACTIONS(1782),
    [anon_sym_SEMI] = ACTIONS(1780),
    [aux_sym_declare_statement_token1] = ACTIONS(1782),
    [anon_sym_COMMA] = ACTIONS(1780),
    [aux_sym_set_statement_token1] = ACTIONS(1782),
    [anon_sym_LPAREN] = ACTIONS(1780),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1782),
    [aux_sym_using_clause_token1] = ACTIONS(1782),
    [aux_sym_return_satement_token1] = ACTIONS(1782),
    [aux_sym_call_statement_token1] = ACTIONS(1782),
    [aux_sym_loop_statement_token1] = ACTIONS(1782),
    [aux_sym_while_statement_token1] = ACTIONS(1782),
    [aux_sym_break_statement_token1] = ACTIONS(1782),
    [aux_sym_leave_statement_token1] = ACTIONS(1782),
    [aux_sym_continue_statement_token1] = ACTIONS(1782),
    [aux_sym_iterate_statement_token1] = ACTIONS(1782),
    [aux_sym_raise_statement_token1] = ACTIONS(1782),
    [aux_sym_assert_statement_token1] = ACTIONS(1782),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1782),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1782),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1782),
    [aux_sym_set_operation_token1] = ACTIONS(1782),
    [aux_sym_set_operation_token3] = ACTIONS(1782),
    [aux_sym_set_operation_token4] = ACTIONS(1782),
    [aux_sym_select_token1] = ACTIONS(1782),
    [aux_sym_having_clause_token1] = ACTIONS(1782),
    [aux_sym_qualify_clause_token1] = ACTIONS(1782),
    [aux_sym_limit_clause_token1] = ACTIONS(1782),
    [aux_sym_group_by_clause_token1] = ACTIONS(1782),
    [aux_sym_order_by_clause_token1] = ACTIONS(1782),
    [aux_sym_where_clause_token1] = ACTIONS(1782),
    [aux_sym_pivot_operator_token1] = ACTIONS(1782),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1782),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1782),
    [aux_sym_join_type_token1] = ACTIONS(1782),
    [aux_sym_join_type_token2] = ACTIONS(1782),
    [aux_sym_join_type_token3] = ACTIONS(1782),
    [aux_sym_join_type_token4] = ACTIONS(1782),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1782),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1782),
    [aux_sym_join_condition_token1] = ACTIONS(1782),
    [aux_sym_insert_statement_token1] = ACTIONS(1782),
    [aux_sym_truncate_statement_token1] = ACTIONS(1782),
    [aux_sym_update_statement_token1] = ACTIONS(1782),
    [aux_sym_merge_statement_token1] = ACTIONS(1782),
    [aux_sym_grant_statement_token1] = ACTIONS(1782),
    [aux_sym_revoke_statement_token1] = ACTIONS(1782),
    [aux_sym_export_data_statement_token1] = ACTIONS(1782),
    [aux_sym_load_data_statement_token1] = ACTIONS(1782),
    [sym__quoted_identifier] = ACTIONS(1780),
    [sym_comment] = ACTIONS(3),
  },
  [5117] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [sym__unquoted_identifier] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1448),
    [aux_sym__keyword_delete_token1] = ACTIONS(1448),
    [aux_sym__keyword_begin_token1] = ACTIONS(1448),
    [aux_sym__keyword_when_token1] = ACTIONS(1448),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1448),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_window_token1] = ACTIONS(1448),
    [aux_sym__keyword_date_token1] = ACTIONS(1448),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1448),
    [aux_sym__keyword_time_token1] = ACTIONS(1448),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1448),
    [aux_sym_using_clause_token1] = ACTIONS(1448),
    [aux_sym_return_satement_token1] = ACTIONS(1448),
    [aux_sym_call_statement_token1] = ACTIONS(1448),
    [aux_sym_loop_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [aux_sym_leave_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_iterate_statement_token1] = ACTIONS(1448),
    [aux_sym_raise_statement_token1] = ACTIONS(1448),
    [aux_sym_assert_statement_token1] = ACTIONS(1448),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1448),
    [aux_sym_set_operation_token3] = ACTIONS(1448),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1448),
    [aux_sym_having_clause_token1] = ACTIONS(1448),
    [aux_sym_qualify_clause_token1] = ACTIONS(1448),
    [aux_sym_limit_clause_token1] = ACTIONS(1448),
    [aux_sym_group_by_clause_token1] = ACTIONS(1448),
    [aux_sym_order_by_clause_token1] = ACTIONS(1448),
    [aux_sym_where_clause_token1] = ACTIONS(1448),
    [aux_sym_pivot_operator_token1] = ACTIONS(1448),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1448),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1448),
    [aux_sym_join_type_token1] = ACTIONS(1448),
    [aux_sym_join_type_token2] = ACTIONS(1448),
    [aux_sym_join_type_token3] = ACTIONS(1448),
    [aux_sym_join_type_token4] = ACTIONS(1448),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1448),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1448),
    [aux_sym_join_condition_token1] = ACTIONS(1448),
    [aux_sym_insert_statement_token1] = ACTIONS(1448),
    [aux_sym_truncate_statement_token1] = ACTIONS(1448),
    [aux_sym_update_statement_token1] = ACTIONS(1448),
    [aux_sym_merge_statement_token1] = ACTIONS(1448),
    [aux_sym_grant_statement_token1] = ACTIONS(1448),
    [aux_sym_revoke_statement_token1] = ACTIONS(1448),
    [aux_sym_export_data_statement_token1] = ACTIONS(1448),
    [aux_sym_load_data_statement_token1] = ACTIONS(1448),
    [sym__quoted_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
  },
  [5118] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [sym__unquoted_identifier] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1448),
    [aux_sym__keyword_delete_token1] = ACTIONS(1448),
    [aux_sym__keyword_begin_token1] = ACTIONS(1448),
    [aux_sym__keyword_when_token1] = ACTIONS(1448),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1448),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_window_token1] = ACTIONS(1448),
    [aux_sym__keyword_date_token1] = ACTIONS(1448),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1448),
    [aux_sym__keyword_time_token1] = ACTIONS(1448),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1448),
    [aux_sym_using_clause_token1] = ACTIONS(1448),
    [aux_sym_return_satement_token1] = ACTIONS(1448),
    [aux_sym_call_statement_token1] = ACTIONS(1448),
    [aux_sym_loop_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [aux_sym_leave_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_iterate_statement_token1] = ACTIONS(1448),
    [aux_sym_raise_statement_token1] = ACTIONS(1448),
    [aux_sym_assert_statement_token1] = ACTIONS(1448),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1448),
    [aux_sym_set_operation_token3] = ACTIONS(1448),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1448),
    [aux_sym_having_clause_token1] = ACTIONS(1448),
    [aux_sym_qualify_clause_token1] = ACTIONS(1448),
    [aux_sym_limit_clause_token1] = ACTIONS(1448),
    [aux_sym_group_by_clause_token1] = ACTIONS(1448),
    [aux_sym_order_by_clause_token1] = ACTIONS(1448),
    [aux_sym_where_clause_token1] = ACTIONS(1448),
    [aux_sym_pivot_operator_token1] = ACTIONS(1448),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1448),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1448),
    [aux_sym_join_type_token1] = ACTIONS(1448),
    [aux_sym_join_type_token2] = ACTIONS(1448),
    [aux_sym_join_type_token3] = ACTIONS(1448),
    [aux_sym_join_type_token4] = ACTIONS(1448),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1448),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1448),
    [aux_sym_join_condition_token1] = ACTIONS(1448),
    [aux_sym_insert_statement_token1] = ACTIONS(1448),
    [aux_sym_truncate_statement_token1] = ACTIONS(1448),
    [aux_sym_update_statement_token1] = ACTIONS(1448),
    [aux_sym_merge_statement_token1] = ACTIONS(1448),
    [aux_sym_grant_statement_token1] = ACTIONS(1448),
    [aux_sym_revoke_statement_token1] = ACTIONS(1448),
    [aux_sym_export_data_statement_token1] = ACTIONS(1448),
    [aux_sym_load_data_statement_token1] = ACTIONS(1448),
    [sym__quoted_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
  },
  [5119] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [sym__unquoted_identifier] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1448),
    [aux_sym__keyword_delete_token1] = ACTIONS(1448),
    [aux_sym__keyword_begin_token1] = ACTIONS(1448),
    [aux_sym__keyword_when_token1] = ACTIONS(1448),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1448),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_window_token1] = ACTIONS(1448),
    [aux_sym__keyword_date_token1] = ACTIONS(1448),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1448),
    [aux_sym__keyword_time_token1] = ACTIONS(1448),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1448),
    [aux_sym_using_clause_token1] = ACTIONS(1448),
    [aux_sym_return_satement_token1] = ACTIONS(1448),
    [aux_sym_call_statement_token1] = ACTIONS(1448),
    [aux_sym_loop_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [aux_sym_leave_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_iterate_statement_token1] = ACTIONS(1448),
    [aux_sym_raise_statement_token1] = ACTIONS(1448),
    [aux_sym_assert_statement_token1] = ACTIONS(1448),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1448),
    [aux_sym_set_operation_token3] = ACTIONS(1448),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1448),
    [aux_sym_having_clause_token1] = ACTIONS(1448),
    [aux_sym_qualify_clause_token1] = ACTIONS(1448),
    [aux_sym_limit_clause_token1] = ACTIONS(1448),
    [aux_sym_group_by_clause_token1] = ACTIONS(1448),
    [aux_sym_order_by_clause_token1] = ACTIONS(1448),
    [aux_sym_where_clause_token1] = ACTIONS(1448),
    [aux_sym_pivot_operator_token1] = ACTIONS(1448),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1448),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1448),
    [aux_sym_join_type_token1] = ACTIONS(1448),
    [aux_sym_join_type_token2] = ACTIONS(1448),
    [aux_sym_join_type_token3] = ACTIONS(1448),
    [aux_sym_join_type_token4] = ACTIONS(1448),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1448),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1448),
    [aux_sym_join_condition_token1] = ACTIONS(1448),
    [aux_sym_insert_statement_token1] = ACTIONS(1448),
    [aux_sym_truncate_statement_token1] = ACTIONS(1448),
    [aux_sym_update_statement_token1] = ACTIONS(1448),
    [aux_sym_merge_statement_token1] = ACTIONS(1448),
    [aux_sym_grant_statement_token1] = ACTIONS(1448),
    [aux_sym_revoke_statement_token1] = ACTIONS(1448),
    [aux_sym_export_data_statement_token1] = ACTIONS(1448),
    [aux_sym_load_data_statement_token1] = ACTIONS(1448),
    [sym__quoted_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
  },
  [5120] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [sym__unquoted_identifier] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1448),
    [aux_sym__keyword_delete_token1] = ACTIONS(1448),
    [aux_sym__keyword_begin_token1] = ACTIONS(1448),
    [aux_sym__keyword_when_token1] = ACTIONS(1448),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1448),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_window_token1] = ACTIONS(1448),
    [aux_sym__keyword_date_token1] = ACTIONS(1448),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1448),
    [aux_sym__keyword_time_token1] = ACTIONS(1448),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1448),
    [aux_sym_using_clause_token1] = ACTIONS(1448),
    [aux_sym_return_satement_token1] = ACTIONS(1448),
    [aux_sym_call_statement_token1] = ACTIONS(1448),
    [aux_sym_loop_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [aux_sym_leave_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_iterate_statement_token1] = ACTIONS(1448),
    [aux_sym_raise_statement_token1] = ACTIONS(1448),
    [aux_sym_assert_statement_token1] = ACTIONS(1448),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1448),
    [aux_sym_set_operation_token3] = ACTIONS(1448),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1448),
    [aux_sym_having_clause_token1] = ACTIONS(1448),
    [aux_sym_qualify_clause_token1] = ACTIONS(1448),
    [aux_sym_limit_clause_token1] = ACTIONS(1448),
    [aux_sym_group_by_clause_token1] = ACTIONS(1448),
    [aux_sym_order_by_clause_token1] = ACTIONS(1448),
    [aux_sym_where_clause_token1] = ACTIONS(1448),
    [aux_sym_pivot_operator_token1] = ACTIONS(1448),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1448),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1448),
    [aux_sym_join_type_token1] = ACTIONS(1448),
    [aux_sym_join_type_token2] = ACTIONS(1448),
    [aux_sym_join_type_token3] = ACTIONS(1448),
    [aux_sym_join_type_token4] = ACTIONS(1448),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1448),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1448),
    [aux_sym_join_condition_token1] = ACTIONS(1448),
    [aux_sym_insert_statement_token1] = ACTIONS(1448),
    [aux_sym_truncate_statement_token1] = ACTIONS(1448),
    [aux_sym_update_statement_token1] = ACTIONS(1448),
    [aux_sym_merge_statement_token1] = ACTIONS(1448),
    [aux_sym_grant_statement_token1] = ACTIONS(1448),
    [aux_sym_revoke_statement_token1] = ACTIONS(1448),
    [aux_sym_export_data_statement_token1] = ACTIONS(1448),
    [aux_sym_load_data_statement_token1] = ACTIONS(1448),
    [sym__quoted_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
  },
  [5121] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [sym__unquoted_identifier] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1448),
    [aux_sym__keyword_delete_token1] = ACTIONS(1448),
    [aux_sym__keyword_begin_token1] = ACTIONS(1448),
    [aux_sym__keyword_when_token1] = ACTIONS(1448),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1448),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_window_token1] = ACTIONS(1448),
    [aux_sym__keyword_date_token1] = ACTIONS(1448),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1448),
    [aux_sym__keyword_time_token1] = ACTIONS(1448),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1448),
    [aux_sym_using_clause_token1] = ACTIONS(1448),
    [aux_sym_return_satement_token1] = ACTIONS(1448),
    [aux_sym_call_statement_token1] = ACTIONS(1448),
    [aux_sym_loop_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [aux_sym_leave_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_iterate_statement_token1] = ACTIONS(1448),
    [aux_sym_raise_statement_token1] = ACTIONS(1448),
    [aux_sym_assert_statement_token1] = ACTIONS(1448),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1448),
    [aux_sym_set_operation_token3] = ACTIONS(1448),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1448),
    [aux_sym_having_clause_token1] = ACTIONS(1448),
    [aux_sym_qualify_clause_token1] = ACTIONS(1448),
    [aux_sym_limit_clause_token1] = ACTIONS(1448),
    [aux_sym_group_by_clause_token1] = ACTIONS(1448),
    [aux_sym_order_by_clause_token1] = ACTIONS(1448),
    [aux_sym_where_clause_token1] = ACTIONS(1448),
    [aux_sym_pivot_operator_token1] = ACTIONS(1448),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1448),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1448),
    [aux_sym_join_type_token1] = ACTIONS(1448),
    [aux_sym_join_type_token2] = ACTIONS(1448),
    [aux_sym_join_type_token3] = ACTIONS(1448),
    [aux_sym_join_type_token4] = ACTIONS(1448),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1448),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1448),
    [aux_sym_join_condition_token1] = ACTIONS(1448),
    [aux_sym_insert_statement_token1] = ACTIONS(1448),
    [aux_sym_truncate_statement_token1] = ACTIONS(1448),
    [aux_sym_update_statement_token1] = ACTIONS(1448),
    [aux_sym_merge_statement_token1] = ACTIONS(1448),
    [aux_sym_grant_statement_token1] = ACTIONS(1448),
    [aux_sym_revoke_statement_token1] = ACTIONS(1448),
    [aux_sym_export_data_statement_token1] = ACTIONS(1448),
    [aux_sym_load_data_statement_token1] = ACTIONS(1448),
    [sym__quoted_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
  },
  [5122] = {
    [ts_builtin_sym_end] = ACTIONS(1586),
    [sym__unquoted_identifier] = ACTIONS(1588),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1588),
    [aux_sym__keyword_alter_token1] = ACTIONS(1588),
    [aux_sym__keyword_delete_token1] = ACTIONS(1588),
    [aux_sym__keyword_begin_token1] = ACTIONS(1588),
    [aux_sym__keyword_when_token1] = ACTIONS(1588),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1588),
    [aux_sym__keyword_as_token1] = ACTIONS(1588),
    [aux_sym__keyword_window_token1] = ACTIONS(1588),
    [aux_sym__keyword_date_token1] = ACTIONS(1588),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1588),
    [aux_sym__keyword_time_token1] = ACTIONS(1588),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1588),
    [aux_sym__keyword_for_token1] = ACTIONS(1588),
    [anon_sym_SEMI] = ACTIONS(1586),
    [aux_sym_declare_statement_token1] = ACTIONS(1588),
    [anon_sym_COMMA] = ACTIONS(1586),
    [aux_sym_set_statement_token1] = ACTIONS(1588),
    [anon_sym_LPAREN] = ACTIONS(1586),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1588),
    [aux_sym_using_clause_token1] = ACTIONS(1588),
    [aux_sym_return_satement_token1] = ACTIONS(1588),
    [aux_sym_call_statement_token1] = ACTIONS(1588),
    [aux_sym_loop_statement_token1] = ACTIONS(1588),
    [aux_sym_while_statement_token1] = ACTIONS(1588),
    [aux_sym_break_statement_token1] = ACTIONS(1588),
    [aux_sym_leave_statement_token1] = ACTIONS(1588),
    [aux_sym_continue_statement_token1] = ACTIONS(1588),
    [aux_sym_iterate_statement_token1] = ACTIONS(1588),
    [aux_sym_raise_statement_token1] = ACTIONS(1588),
    [aux_sym_assert_statement_token1] = ACTIONS(1588),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1588),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1588),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1588),
    [aux_sym_set_operation_token1] = ACTIONS(1588),
    [aux_sym_set_operation_token3] = ACTIONS(1588),
    [aux_sym_set_operation_token4] = ACTIONS(1588),
    [aux_sym_select_token1] = ACTIONS(1588),
    [aux_sym_having_clause_token1] = ACTIONS(1588),
    [aux_sym_qualify_clause_token1] = ACTIONS(1588),
    [aux_sym_limit_clause_token1] = ACTIONS(1588),
    [aux_sym_group_by_clause_token1] = ACTIONS(1588),
    [aux_sym_order_by_clause_token1] = ACTIONS(1588),
    [aux_sym_where_clause_token1] = ACTIONS(1588),
    [aux_sym_pivot_operator_token1] = ACTIONS(1588),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1588),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1588),
    [aux_sym_join_type_token1] = ACTIONS(1588),
    [aux_sym_join_type_token2] = ACTIONS(1588),
    [aux_sym_join_type_token3] = ACTIONS(1588),
    [aux_sym_join_type_token4] = ACTIONS(1588),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1588),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1588),
    [aux_sym_join_condition_token1] = ACTIONS(1588),
    [aux_sym_insert_statement_token1] = ACTIONS(1588),
    [aux_sym_truncate_statement_token1] = ACTIONS(1588),
    [aux_sym_update_statement_token1] = ACTIONS(1588),
    [aux_sym_merge_statement_token1] = ACTIONS(1588),
    [aux_sym_grant_statement_token1] = ACTIONS(1588),
    [aux_sym_revoke_statement_token1] = ACTIONS(1588),
    [aux_sym_export_data_statement_token1] = ACTIONS(1588),
    [aux_sym_load_data_statement_token1] = ACTIONS(1588),
    [sym__quoted_identifier] = ACTIONS(1586),
    [sym_comment] = ACTIONS(3),
  },
  [5123] = {
    [ts_builtin_sym_end] = ACTIONS(1846),
    [sym__unquoted_identifier] = ACTIONS(1848),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1848),
    [aux_sym__keyword_alter_token1] = ACTIONS(1848),
    [aux_sym__keyword_delete_token1] = ACTIONS(1848),
    [aux_sym__keyword_begin_token1] = ACTIONS(1848),
    [aux_sym__keyword_when_token1] = ACTIONS(1848),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1848),
    [aux_sym__keyword_as_token1] = ACTIONS(1848),
    [aux_sym__keyword_window_token1] = ACTIONS(1848),
    [aux_sym__keyword_date_token1] = ACTIONS(1848),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1848),
    [aux_sym__keyword_time_token1] = ACTIONS(1848),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1848),
    [aux_sym__keyword_for_token1] = ACTIONS(1848),
    [anon_sym_SEMI] = ACTIONS(1846),
    [aux_sym_declare_statement_token1] = ACTIONS(1848),
    [anon_sym_COMMA] = ACTIONS(1846),
    [aux_sym_set_statement_token1] = ACTIONS(1848),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1848),
    [aux_sym_using_clause_token1] = ACTIONS(1848),
    [aux_sym_return_satement_token1] = ACTIONS(1848),
    [aux_sym_call_statement_token1] = ACTIONS(1848),
    [aux_sym_loop_statement_token1] = ACTIONS(1848),
    [aux_sym_while_statement_token1] = ACTIONS(1848),
    [aux_sym_break_statement_token1] = ACTIONS(1848),
    [aux_sym_leave_statement_token1] = ACTIONS(1848),
    [aux_sym_continue_statement_token1] = ACTIONS(1848),
    [aux_sym_iterate_statement_token1] = ACTIONS(1848),
    [aux_sym_raise_statement_token1] = ACTIONS(1848),
    [aux_sym_assert_statement_token1] = ACTIONS(1848),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1848),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1848),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1848),
    [aux_sym_set_operation_token1] = ACTIONS(1848),
    [aux_sym_set_operation_token3] = ACTIONS(1848),
    [aux_sym_set_operation_token4] = ACTIONS(1848),
    [aux_sym_select_token1] = ACTIONS(1848),
    [aux_sym_having_clause_token1] = ACTIONS(1848),
    [aux_sym_qualify_clause_token1] = ACTIONS(1848),
    [aux_sym_limit_clause_token1] = ACTIONS(1848),
    [aux_sym_group_by_clause_token1] = ACTIONS(1848),
    [aux_sym_order_by_clause_token1] = ACTIONS(1848),
    [aux_sym_where_clause_token1] = ACTIONS(1848),
    [aux_sym_pivot_operator_token1] = ACTIONS(1848),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1848),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1848),
    [aux_sym_join_type_token1] = ACTIONS(1848),
    [aux_sym_join_type_token2] = ACTIONS(1848),
    [aux_sym_join_type_token3] = ACTIONS(1848),
    [aux_sym_join_type_token4] = ACTIONS(1848),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1848),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1848),
    [aux_sym_join_condition_token1] = ACTIONS(1848),
    [aux_sym_insert_statement_token1] = ACTIONS(1848),
    [aux_sym_truncate_statement_token1] = ACTIONS(1848),
    [aux_sym_update_statement_token1] = ACTIONS(1848),
    [aux_sym_merge_statement_token1] = ACTIONS(1848),
    [aux_sym_grant_statement_token1] = ACTIONS(1848),
    [aux_sym_revoke_statement_token1] = ACTIONS(1848),
    [aux_sym_export_data_statement_token1] = ACTIONS(1848),
    [aux_sym_load_data_statement_token1] = ACTIONS(1848),
    [sym__quoted_identifier] = ACTIONS(1846),
    [sym_comment] = ACTIONS(3),
  },
  [5124] = {
    [ts_builtin_sym_end] = ACTIONS(1772),
    [sym__unquoted_identifier] = ACTIONS(1774),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1774),
    [aux_sym__keyword_alter_token1] = ACTIONS(1774),
    [aux_sym__keyword_delete_token1] = ACTIONS(1774),
    [aux_sym__keyword_begin_token1] = ACTIONS(1774),
    [aux_sym__keyword_when_token1] = ACTIONS(1774),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1774),
    [aux_sym__keyword_as_token1] = ACTIONS(1774),
    [aux_sym__keyword_window_token1] = ACTIONS(1774),
    [aux_sym__keyword_date_token1] = ACTIONS(1774),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1774),
    [aux_sym__keyword_time_token1] = ACTIONS(1774),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1774),
    [aux_sym__keyword_for_token1] = ACTIONS(1774),
    [anon_sym_SEMI] = ACTIONS(1772),
    [aux_sym_declare_statement_token1] = ACTIONS(1774),
    [anon_sym_COMMA] = ACTIONS(1772),
    [aux_sym_set_statement_token1] = ACTIONS(1774),
    [anon_sym_LPAREN] = ACTIONS(1772),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1774),
    [aux_sym_using_clause_token1] = ACTIONS(1774),
    [aux_sym_return_satement_token1] = ACTIONS(1774),
    [aux_sym_call_statement_token1] = ACTIONS(1774),
    [aux_sym_loop_statement_token1] = ACTIONS(1774),
    [aux_sym_while_statement_token1] = ACTIONS(1774),
    [aux_sym_break_statement_token1] = ACTIONS(1774),
    [aux_sym_leave_statement_token1] = ACTIONS(1774),
    [aux_sym_continue_statement_token1] = ACTIONS(1774),
    [aux_sym_iterate_statement_token1] = ACTIONS(1774),
    [aux_sym_raise_statement_token1] = ACTIONS(1774),
    [aux_sym_assert_statement_token1] = ACTIONS(1774),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1774),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1774),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1774),
    [aux_sym_set_operation_token1] = ACTIONS(1774),
    [aux_sym_set_operation_token3] = ACTIONS(1774),
    [aux_sym_set_operation_token4] = ACTIONS(1774),
    [aux_sym_select_token1] = ACTIONS(1774),
    [aux_sym_having_clause_token1] = ACTIONS(1774),
    [aux_sym_qualify_clause_token1] = ACTIONS(1774),
    [aux_sym_limit_clause_token1] = ACTIONS(1774),
    [aux_sym_group_by_clause_token1] = ACTIONS(1774),
    [aux_sym_order_by_clause_token1] = ACTIONS(1774),
    [aux_sym_where_clause_token1] = ACTIONS(1774),
    [aux_sym_pivot_operator_token1] = ACTIONS(1774),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1774),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1774),
    [aux_sym_join_type_token1] = ACTIONS(1774),
    [aux_sym_join_type_token2] = ACTIONS(1774),
    [aux_sym_join_type_token3] = ACTIONS(1774),
    [aux_sym_join_type_token4] = ACTIONS(1774),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1774),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1774),
    [aux_sym_join_condition_token1] = ACTIONS(1774),
    [aux_sym_insert_statement_token1] = ACTIONS(1774),
    [aux_sym_truncate_statement_token1] = ACTIONS(1774),
    [aux_sym_update_statement_token1] = ACTIONS(1774),
    [aux_sym_merge_statement_token1] = ACTIONS(1774),
    [aux_sym_grant_statement_token1] = ACTIONS(1774),
    [aux_sym_revoke_statement_token1] = ACTIONS(1774),
    [aux_sym_export_data_statement_token1] = ACTIONS(1774),
    [aux_sym_load_data_statement_token1] = ACTIONS(1774),
    [sym__quoted_identifier] = ACTIONS(1772),
    [sym_comment] = ACTIONS(3),
  },
  [5125] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_using_clause_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_pivot_operator_token1] = ACTIONS(1444),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1444),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1444),
    [aux_sym_join_type_token1] = ACTIONS(1444),
    [aux_sym_join_type_token2] = ACTIONS(1444),
    [aux_sym_join_type_token3] = ACTIONS(1444),
    [aux_sym_join_type_token4] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1444),
    [aux_sym_join_condition_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
  },
  [5126] = {
    [ts_builtin_sym_end] = ACTIONS(1854),
    [sym__unquoted_identifier] = ACTIONS(1856),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1856),
    [aux_sym__keyword_alter_token1] = ACTIONS(1856),
    [aux_sym__keyword_delete_token1] = ACTIONS(1856),
    [aux_sym__keyword_begin_token1] = ACTIONS(1856),
    [aux_sym__keyword_when_token1] = ACTIONS(1856),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1856),
    [aux_sym__keyword_as_token1] = ACTIONS(1856),
    [aux_sym__keyword_window_token1] = ACTIONS(1856),
    [aux_sym__keyword_date_token1] = ACTIONS(1856),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1856),
    [aux_sym__keyword_time_token1] = ACTIONS(1856),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1856),
    [aux_sym__keyword_for_token1] = ACTIONS(1856),
    [anon_sym_SEMI] = ACTIONS(1854),
    [aux_sym_declare_statement_token1] = ACTIONS(1856),
    [anon_sym_COMMA] = ACTIONS(1854),
    [aux_sym_set_statement_token1] = ACTIONS(1856),
    [anon_sym_LPAREN] = ACTIONS(1854),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1856),
    [aux_sym_using_clause_token1] = ACTIONS(1856),
    [aux_sym_return_satement_token1] = ACTIONS(1856),
    [aux_sym_call_statement_token1] = ACTIONS(1856),
    [aux_sym_loop_statement_token1] = ACTIONS(1856),
    [aux_sym_while_statement_token1] = ACTIONS(1856),
    [aux_sym_break_statement_token1] = ACTIONS(1856),
    [aux_sym_leave_statement_token1] = ACTIONS(1856),
    [aux_sym_continue_statement_token1] = ACTIONS(1856),
    [aux_sym_iterate_statement_token1] = ACTIONS(1856),
    [aux_sym_raise_statement_token1] = ACTIONS(1856),
    [aux_sym_assert_statement_token1] = ACTIONS(1856),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1856),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1856),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1856),
    [aux_sym_set_operation_token1] = ACTIONS(1856),
    [aux_sym_set_operation_token3] = ACTIONS(1856),
    [aux_sym_set_operation_token4] = ACTIONS(1856),
    [aux_sym_select_token1] = ACTIONS(1856),
    [aux_sym_having_clause_token1] = ACTIONS(1856),
    [aux_sym_qualify_clause_token1] = ACTIONS(1856),
    [aux_sym_limit_clause_token1] = ACTIONS(1856),
    [aux_sym_group_by_clause_token1] = ACTIONS(1856),
    [aux_sym_order_by_clause_token1] = ACTIONS(1856),
    [aux_sym_where_clause_token1] = ACTIONS(1856),
    [aux_sym_pivot_operator_token1] = ACTIONS(1856),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1856),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1856),
    [aux_sym_join_type_token1] = ACTIONS(1856),
    [aux_sym_join_type_token2] = ACTIONS(1856),
    [aux_sym_join_type_token3] = ACTIONS(1856),
    [aux_sym_join_type_token4] = ACTIONS(1856),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1856),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1856),
    [aux_sym_join_condition_token1] = ACTIONS(1856),
    [aux_sym_insert_statement_token1] = ACTIONS(1856),
    [aux_sym_truncate_statement_token1] = ACTIONS(1856),
    [aux_sym_update_statement_token1] = ACTIONS(1856),
    [aux_sym_merge_statement_token1] = ACTIONS(1856),
    [aux_sym_grant_statement_token1] = ACTIONS(1856),
    [aux_sym_revoke_statement_token1] = ACTIONS(1856),
    [aux_sym_export_data_statement_token1] = ACTIONS(1856),
    [aux_sym_load_data_statement_token1] = ACTIONS(1856),
    [sym__quoted_identifier] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
  },
  [5127] = {
    [ts_builtin_sym_end] = ACTIONS(1470),
    [sym__unquoted_identifier] = ACTIONS(1472),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1472),
    [aux_sym__keyword_alter_token1] = ACTIONS(1472),
    [aux_sym__keyword_delete_token1] = ACTIONS(1472),
    [aux_sym__keyword_begin_token1] = ACTIONS(1472),
    [aux_sym__keyword_when_token1] = ACTIONS(1472),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1472),
    [aux_sym__keyword_as_token1] = ACTIONS(1472),
    [aux_sym__keyword_window_token1] = ACTIONS(1472),
    [aux_sym__keyword_date_token1] = ACTIONS(1472),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1472),
    [aux_sym__keyword_time_token1] = ACTIONS(1472),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1472),
    [aux_sym__keyword_for_token1] = ACTIONS(1472),
    [anon_sym_SEMI] = ACTIONS(1470),
    [aux_sym_declare_statement_token1] = ACTIONS(1472),
    [anon_sym_COMMA] = ACTIONS(1470),
    [aux_sym_set_statement_token1] = ACTIONS(1472),
    [anon_sym_LPAREN] = ACTIONS(1470),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1472),
    [aux_sym_using_clause_token1] = ACTIONS(1472),
    [aux_sym_return_satement_token1] = ACTIONS(1472),
    [aux_sym_call_statement_token1] = ACTIONS(1472),
    [aux_sym_loop_statement_token1] = ACTIONS(1472),
    [aux_sym_while_statement_token1] = ACTIONS(1472),
    [aux_sym_break_statement_token1] = ACTIONS(1472),
    [aux_sym_leave_statement_token1] = ACTIONS(1472),
    [aux_sym_continue_statement_token1] = ACTIONS(1472),
    [aux_sym_iterate_statement_token1] = ACTIONS(1472),
    [aux_sym_raise_statement_token1] = ACTIONS(1472),
    [aux_sym_assert_statement_token1] = ACTIONS(1472),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1472),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1472),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1472),
    [aux_sym_set_operation_token1] = ACTIONS(1472),
    [aux_sym_set_operation_token3] = ACTIONS(1472),
    [aux_sym_set_operation_token4] = ACTIONS(1472),
    [aux_sym_select_token1] = ACTIONS(1472),
    [aux_sym_having_clause_token1] = ACTIONS(1472),
    [aux_sym_qualify_clause_token1] = ACTIONS(1472),
    [aux_sym_limit_clause_token1] = ACTIONS(1472),
    [aux_sym_group_by_clause_token1] = ACTIONS(1472),
    [aux_sym_order_by_clause_token1] = ACTIONS(1472),
    [aux_sym_where_clause_token1] = ACTIONS(1472),
    [aux_sym_pivot_operator_token1] = ACTIONS(1472),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1472),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1472),
    [aux_sym_join_type_token1] = ACTIONS(1472),
    [aux_sym_join_type_token2] = ACTIONS(1472),
    [aux_sym_join_type_token3] = ACTIONS(1472),
    [aux_sym_join_type_token4] = ACTIONS(1472),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1472),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1472),
    [aux_sym_join_condition_token1] = ACTIONS(1472),
    [aux_sym_insert_statement_token1] = ACTIONS(1472),
    [aux_sym_truncate_statement_token1] = ACTIONS(1472),
    [aux_sym_update_statement_token1] = ACTIONS(1472),
    [aux_sym_merge_statement_token1] = ACTIONS(1472),
    [aux_sym_grant_statement_token1] = ACTIONS(1472),
    [aux_sym_revoke_statement_token1] = ACTIONS(1472),
    [aux_sym_export_data_statement_token1] = ACTIONS(1472),
    [aux_sym_load_data_statement_token1] = ACTIONS(1472),
    [sym__quoted_identifier] = ACTIONS(1470),
    [sym_comment] = ACTIONS(3),
  },
  [5128] = {
    [ts_builtin_sym_end] = ACTIONS(1466),
    [sym__unquoted_identifier] = ACTIONS(1468),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1468),
    [aux_sym__keyword_alter_token1] = ACTIONS(1468),
    [aux_sym__keyword_delete_token1] = ACTIONS(1468),
    [aux_sym__keyword_begin_token1] = ACTIONS(1468),
    [aux_sym__keyword_when_token1] = ACTIONS(1468),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1468),
    [aux_sym__keyword_as_token1] = ACTIONS(1468),
    [aux_sym__keyword_window_token1] = ACTIONS(1468),
    [aux_sym__keyword_date_token1] = ACTIONS(1468),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1468),
    [aux_sym__keyword_time_token1] = ACTIONS(1468),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1468),
    [aux_sym__keyword_for_token1] = ACTIONS(1468),
    [anon_sym_SEMI] = ACTIONS(1466),
    [aux_sym_declare_statement_token1] = ACTIONS(1468),
    [anon_sym_COMMA] = ACTIONS(1466),
    [aux_sym_set_statement_token1] = ACTIONS(1468),
    [anon_sym_LPAREN] = ACTIONS(1466),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1468),
    [aux_sym_using_clause_token1] = ACTIONS(1468),
    [aux_sym_return_satement_token1] = ACTIONS(1468),
    [aux_sym_call_statement_token1] = ACTIONS(1468),
    [aux_sym_loop_statement_token1] = ACTIONS(1468),
    [aux_sym_while_statement_token1] = ACTIONS(1468),
    [aux_sym_break_statement_token1] = ACTIONS(1468),
    [aux_sym_leave_statement_token1] = ACTIONS(1468),
    [aux_sym_continue_statement_token1] = ACTIONS(1468),
    [aux_sym_iterate_statement_token1] = ACTIONS(1468),
    [aux_sym_raise_statement_token1] = ACTIONS(1468),
    [aux_sym_assert_statement_token1] = ACTIONS(1468),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1468),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1468),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1468),
    [aux_sym_set_operation_token1] = ACTIONS(1468),
    [aux_sym_set_operation_token3] = ACTIONS(1468),
    [aux_sym_set_operation_token4] = ACTIONS(1468),
    [aux_sym_select_token1] = ACTIONS(1468),
    [aux_sym_having_clause_token1] = ACTIONS(1468),
    [aux_sym_qualify_clause_token1] = ACTIONS(1468),
    [aux_sym_limit_clause_token1] = ACTIONS(1468),
    [aux_sym_group_by_clause_token1] = ACTIONS(1468),
    [aux_sym_order_by_clause_token1] = ACTIONS(1468),
    [aux_sym_where_clause_token1] = ACTIONS(1468),
    [aux_sym_pivot_operator_token1] = ACTIONS(1468),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1468),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1468),
    [aux_sym_join_type_token1] = ACTIONS(1468),
    [aux_sym_join_type_token2] = ACTIONS(1468),
    [aux_sym_join_type_token3] = ACTIONS(1468),
    [aux_sym_join_type_token4] = ACTIONS(1468),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1468),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1468),
    [aux_sym_join_condition_token1] = ACTIONS(1468),
    [aux_sym_insert_statement_token1] = ACTIONS(1468),
    [aux_sym_truncate_statement_token1] = ACTIONS(1468),
    [aux_sym_update_statement_token1] = ACTIONS(1468),
    [aux_sym_merge_statement_token1] = ACTIONS(1468),
    [aux_sym_grant_statement_token1] = ACTIONS(1468),
    [aux_sym_revoke_statement_token1] = ACTIONS(1468),
    [aux_sym_export_data_statement_token1] = ACTIONS(1468),
    [aux_sym_load_data_statement_token1] = ACTIONS(1468),
    [sym__quoted_identifier] = ACTIONS(1466),
    [sym_comment] = ACTIONS(3),
  },
  [5129] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_using_clause_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_pivot_operator_token1] = ACTIONS(1444),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1444),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1444),
    [aux_sym_join_type_token1] = ACTIONS(1444),
    [aux_sym_join_type_token2] = ACTIONS(1444),
    [aux_sym_join_type_token3] = ACTIONS(1444),
    [aux_sym_join_type_token4] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1444),
    [aux_sym_join_condition_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
  },
  [5130] = {
    [ts_builtin_sym_end] = ACTIONS(1492),
    [sym__unquoted_identifier] = ACTIONS(1494),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1494),
    [aux_sym__keyword_alter_token1] = ACTIONS(1494),
    [aux_sym__keyword_delete_token1] = ACTIONS(1494),
    [aux_sym__keyword_begin_token1] = ACTIONS(1494),
    [aux_sym__keyword_when_token1] = ACTIONS(1494),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1494),
    [aux_sym__keyword_as_token1] = ACTIONS(1494),
    [aux_sym__keyword_window_token1] = ACTIONS(1494),
    [aux_sym__keyword_date_token1] = ACTIONS(1494),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1494),
    [aux_sym__keyword_time_token1] = ACTIONS(1494),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1494),
    [aux_sym__keyword_for_token1] = ACTIONS(1494),
    [anon_sym_SEMI] = ACTIONS(1492),
    [aux_sym_declare_statement_token1] = ACTIONS(1494),
    [anon_sym_COMMA] = ACTIONS(1492),
    [aux_sym_set_statement_token1] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1494),
    [aux_sym_using_clause_token1] = ACTIONS(1494),
    [aux_sym_return_satement_token1] = ACTIONS(1494),
    [aux_sym_call_statement_token1] = ACTIONS(1494),
    [aux_sym_loop_statement_token1] = ACTIONS(1494),
    [aux_sym_while_statement_token1] = ACTIONS(1494),
    [aux_sym_break_statement_token1] = ACTIONS(1494),
    [aux_sym_leave_statement_token1] = ACTIONS(1494),
    [aux_sym_continue_statement_token1] = ACTIONS(1494),
    [aux_sym_iterate_statement_token1] = ACTIONS(1494),
    [aux_sym_raise_statement_token1] = ACTIONS(1494),
    [aux_sym_assert_statement_token1] = ACTIONS(1494),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1494),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1494),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1494),
    [aux_sym_set_operation_token1] = ACTIONS(1494),
    [aux_sym_set_operation_token3] = ACTIONS(1494),
    [aux_sym_set_operation_token4] = ACTIONS(1494),
    [aux_sym_select_token1] = ACTIONS(1494),
    [aux_sym_having_clause_token1] = ACTIONS(1494),
    [aux_sym_qualify_clause_token1] = ACTIONS(1494),
    [aux_sym_limit_clause_token1] = ACTIONS(1494),
    [aux_sym_group_by_clause_token1] = ACTIONS(1494),
    [aux_sym_order_by_clause_token1] = ACTIONS(1494),
    [aux_sym_where_clause_token1] = ACTIONS(1494),
    [aux_sym_pivot_operator_token1] = ACTIONS(1494),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1494),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1494),
    [aux_sym_join_type_token1] = ACTIONS(1494),
    [aux_sym_join_type_token2] = ACTIONS(1494),
    [aux_sym_join_type_token3] = ACTIONS(1494),
    [aux_sym_join_type_token4] = ACTIONS(1494),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1494),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1494),
    [aux_sym_join_condition_token1] = ACTIONS(1494),
    [aux_sym_insert_statement_token1] = ACTIONS(1494),
    [aux_sym_truncate_statement_token1] = ACTIONS(1494),
    [aux_sym_update_statement_token1] = ACTIONS(1494),
    [aux_sym_merge_statement_token1] = ACTIONS(1494),
    [aux_sym_grant_statement_token1] = ACTIONS(1494),
    [aux_sym_revoke_statement_token1] = ACTIONS(1494),
    [aux_sym_export_data_statement_token1] = ACTIONS(1494),
    [aux_sym_load_data_statement_token1] = ACTIONS(1494),
    [sym__quoted_identifier] = ACTIONS(1492),
    [sym_comment] = ACTIONS(3),
  },
  [5131] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_using_clause_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_pivot_operator_token1] = ACTIONS(1444),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1444),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1444),
    [aux_sym_join_type_token1] = ACTIONS(1444),
    [aux_sym_join_type_token2] = ACTIONS(1444),
    [aux_sym_join_type_token3] = ACTIONS(1444),
    [aux_sym_join_type_token4] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1444),
    [aux_sym_join_condition_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
  },
  [5132] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_using_clause_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_pivot_operator_token1] = ACTIONS(1444),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1444),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1444),
    [aux_sym_join_type_token1] = ACTIONS(1444),
    [aux_sym_join_type_token2] = ACTIONS(1444),
    [aux_sym_join_type_token3] = ACTIONS(1444),
    [aux_sym_join_type_token4] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1444),
    [aux_sym_join_condition_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
  },
  [5133] = {
    [ts_builtin_sym_end] = ACTIONS(1454),
    [sym__unquoted_identifier] = ACTIONS(1456),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1456),
    [aux_sym__keyword_alter_token1] = ACTIONS(1456),
    [aux_sym__keyword_delete_token1] = ACTIONS(1456),
    [aux_sym__keyword_begin_token1] = ACTIONS(1456),
    [aux_sym__keyword_when_token1] = ACTIONS(1456),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1456),
    [aux_sym__keyword_as_token1] = ACTIONS(1456),
    [aux_sym__keyword_window_token1] = ACTIONS(1456),
    [aux_sym__keyword_date_token1] = ACTIONS(1456),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1456),
    [aux_sym__keyword_time_token1] = ACTIONS(1456),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1456),
    [aux_sym__keyword_for_token1] = ACTIONS(1456),
    [anon_sym_SEMI] = ACTIONS(1454),
    [aux_sym_declare_statement_token1] = ACTIONS(1456),
    [anon_sym_COMMA] = ACTIONS(1454),
    [aux_sym_set_statement_token1] = ACTIONS(1456),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1456),
    [aux_sym_using_clause_token1] = ACTIONS(1456),
    [aux_sym_return_satement_token1] = ACTIONS(1456),
    [aux_sym_call_statement_token1] = ACTIONS(1456),
    [aux_sym_loop_statement_token1] = ACTIONS(1456),
    [aux_sym_while_statement_token1] = ACTIONS(1456),
    [aux_sym_break_statement_token1] = ACTIONS(1456),
    [aux_sym_leave_statement_token1] = ACTIONS(1456),
    [aux_sym_continue_statement_token1] = ACTIONS(1456),
    [aux_sym_iterate_statement_token1] = ACTIONS(1456),
    [aux_sym_raise_statement_token1] = ACTIONS(1456),
    [aux_sym_assert_statement_token1] = ACTIONS(1456),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1456),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1456),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1456),
    [aux_sym_set_operation_token1] = ACTIONS(1456),
    [aux_sym_set_operation_token3] = ACTIONS(1456),
    [aux_sym_set_operation_token4] = ACTIONS(1456),
    [aux_sym_select_token1] = ACTIONS(1456),
    [aux_sym_having_clause_token1] = ACTIONS(1456),
    [aux_sym_qualify_clause_token1] = ACTIONS(1456),
    [aux_sym_limit_clause_token1] = ACTIONS(1456),
    [aux_sym_group_by_clause_token1] = ACTIONS(1456),
    [aux_sym_order_by_clause_token1] = ACTIONS(1456),
    [aux_sym_where_clause_token1] = ACTIONS(1456),
    [aux_sym_pivot_operator_token1] = ACTIONS(1456),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1456),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1456),
    [aux_sym_join_type_token1] = ACTIONS(1456),
    [aux_sym_join_type_token2] = ACTIONS(1456),
    [aux_sym_join_type_token3] = ACTIONS(1456),
    [aux_sym_join_type_token4] = ACTIONS(1456),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1456),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1456),
    [aux_sym_join_condition_token1] = ACTIONS(1456),
    [aux_sym_insert_statement_token1] = ACTIONS(1456),
    [aux_sym_truncate_statement_token1] = ACTIONS(1456),
    [aux_sym_update_statement_token1] = ACTIONS(1456),
    [aux_sym_merge_statement_token1] = ACTIONS(1456),
    [aux_sym_grant_statement_token1] = ACTIONS(1456),
    [aux_sym_revoke_statement_token1] = ACTIONS(1456),
    [aux_sym_export_data_statement_token1] = ACTIONS(1456),
    [aux_sym_load_data_statement_token1] = ACTIONS(1456),
    [sym__quoted_identifier] = ACTIONS(1454),
    [sym_comment] = ACTIONS(3),
  },
  [5134] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_using_clause_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_pivot_operator_token1] = ACTIONS(1444),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1444),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1444),
    [aux_sym_join_type_token1] = ACTIONS(1444),
    [aux_sym_join_type_token2] = ACTIONS(1444),
    [aux_sym_join_type_token3] = ACTIONS(1444),
    [aux_sym_join_type_token4] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1444),
    [aux_sym_join_condition_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
  },
  [5135] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_using_clause_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_pivot_operator_token1] = ACTIONS(1444),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1444),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1444),
    [aux_sym_join_type_token1] = ACTIONS(1444),
    [aux_sym_join_type_token2] = ACTIONS(1444),
    [aux_sym_join_type_token3] = ACTIONS(1444),
    [aux_sym_join_type_token4] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1444),
    [aux_sym_join_condition_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
  },
  [5136] = {
    [ts_builtin_sym_end] = ACTIONS(1834),
    [sym__unquoted_identifier] = ACTIONS(1836),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1836),
    [aux_sym__keyword_alter_token1] = ACTIONS(1836),
    [aux_sym__keyword_delete_token1] = ACTIONS(1836),
    [aux_sym__keyword_begin_token1] = ACTIONS(1836),
    [aux_sym__keyword_when_token1] = ACTIONS(1836),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1836),
    [aux_sym__keyword_as_token1] = ACTIONS(1836),
    [aux_sym__keyword_window_token1] = ACTIONS(1836),
    [aux_sym__keyword_date_token1] = ACTIONS(1836),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1836),
    [aux_sym__keyword_time_token1] = ACTIONS(1836),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1836),
    [aux_sym__keyword_for_token1] = ACTIONS(1836),
    [anon_sym_SEMI] = ACTIONS(1834),
    [aux_sym_declare_statement_token1] = ACTIONS(1836),
    [anon_sym_COMMA] = ACTIONS(1834),
    [aux_sym_set_statement_token1] = ACTIONS(1836),
    [anon_sym_LPAREN] = ACTIONS(1834),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1836),
    [aux_sym_using_clause_token1] = ACTIONS(1836),
    [aux_sym_return_satement_token1] = ACTIONS(1836),
    [aux_sym_call_statement_token1] = ACTIONS(1836),
    [aux_sym_loop_statement_token1] = ACTIONS(1836),
    [aux_sym_while_statement_token1] = ACTIONS(1836),
    [aux_sym_break_statement_token1] = ACTIONS(1836),
    [aux_sym_leave_statement_token1] = ACTIONS(1836),
    [aux_sym_continue_statement_token1] = ACTIONS(1836),
    [aux_sym_iterate_statement_token1] = ACTIONS(1836),
    [aux_sym_raise_statement_token1] = ACTIONS(1836),
    [aux_sym_assert_statement_token1] = ACTIONS(1836),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1836),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1836),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1836),
    [aux_sym_set_operation_token1] = ACTIONS(1836),
    [aux_sym_set_operation_token3] = ACTIONS(1836),
    [aux_sym_set_operation_token4] = ACTIONS(1836),
    [aux_sym_select_token1] = ACTIONS(1836),
    [aux_sym_having_clause_token1] = ACTIONS(1836),
    [aux_sym_qualify_clause_token1] = ACTIONS(1836),
    [aux_sym_limit_clause_token1] = ACTIONS(1836),
    [aux_sym_group_by_clause_token1] = ACTIONS(1836),
    [aux_sym_order_by_clause_token1] = ACTIONS(1836),
    [aux_sym_where_clause_token1] = ACTIONS(1836),
    [aux_sym_pivot_operator_token1] = ACTIONS(1836),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1836),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1836),
    [aux_sym_join_type_token1] = ACTIONS(1836),
    [aux_sym_join_type_token2] = ACTIONS(1836),
    [aux_sym_join_type_token3] = ACTIONS(1836),
    [aux_sym_join_type_token4] = ACTIONS(1836),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1836),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1836),
    [aux_sym_join_condition_token1] = ACTIONS(1836),
    [aux_sym_insert_statement_token1] = ACTIONS(1836),
    [aux_sym_truncate_statement_token1] = ACTIONS(1836),
    [aux_sym_update_statement_token1] = ACTIONS(1836),
    [aux_sym_merge_statement_token1] = ACTIONS(1836),
    [aux_sym_grant_statement_token1] = ACTIONS(1836),
    [aux_sym_revoke_statement_token1] = ACTIONS(1836),
    [aux_sym_export_data_statement_token1] = ACTIONS(1836),
    [aux_sym_load_data_statement_token1] = ACTIONS(1836),
    [sym__quoted_identifier] = ACTIONS(1834),
    [sym_comment] = ACTIONS(3),
  },
  [5137] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_using_clause_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_pivot_operator_token1] = ACTIONS(1444),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1444),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1444),
    [aux_sym_join_type_token1] = ACTIONS(1444),
    [aux_sym_join_type_token2] = ACTIONS(1444),
    [aux_sym_join_type_token3] = ACTIONS(1444),
    [aux_sym_join_type_token4] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1444),
    [aux_sym_join_condition_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
  },
  [5138] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_using_clause_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_pivot_operator_token1] = ACTIONS(1444),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1444),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1444),
    [aux_sym_join_type_token1] = ACTIONS(1444),
    [aux_sym_join_type_token2] = ACTIONS(1444),
    [aux_sym_join_type_token3] = ACTIONS(1444),
    [aux_sym_join_type_token4] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1444),
    [aux_sym_join_condition_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
  },
  [5139] = {
    [sym__keyword_as] = STATE(15614),
    [ts_builtin_sym_end] = ACTIONS(1474),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1474),
    [aux_sym__keyword_alter_token1] = ACTIONS(1474),
    [aux_sym__keyword_delete_token1] = ACTIONS(1474),
    [aux_sym__keyword_begin_token1] = ACTIONS(1474),
    [aux_sym__keyword_end_token1] = ACTIONS(1474),
    [aux_sym__keyword_when_token1] = ACTIONS(1474),
    [aux_sym__keyword_else_token1] = ACTIONS(1476),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1474),
    [aux_sym__keyword_as_token1] = ACTIONS(3452),
    [aux_sym__keyword_window_token1] = ACTIONS(1474),
    [aux_sym__keyword_for_token1] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1474),
    [aux_sym_declare_statement_token1] = ACTIONS(1474),
    [anon_sym_COMMA] = ACTIONS(1474),
    [aux_sym_set_statement_token1] = ACTIONS(1474),
    [anon_sym_LPAREN] = ACTIONS(1474),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1474),
    [aux_sym_using_clause_token1] = ACTIONS(1474),
    [aux_sym_return_satement_token1] = ACTIONS(1474),
    [aux_sym_call_statement_token1] = ACTIONS(1474),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1474),
    [aux_sym_if_statement_token1] = ACTIONS(1474),
    [aux_sym_loop_statement_token1] = ACTIONS(1474),
    [aux_sym_repeat_statement_token1] = ACTIONS(1474),
    [aux_sym_while_statement_token1] = ACTIONS(1474),
    [aux_sym_break_statement_token1] = ACTIONS(1474),
    [aux_sym_leave_statement_token1] = ACTIONS(1474),
    [aux_sym_continue_statement_token1] = ACTIONS(1474),
    [aux_sym_iterate_statement_token1] = ACTIONS(1474),
    [aux_sym_raise_statement_token1] = ACTIONS(1474),
    [aux_sym_assert_statement_token1] = ACTIONS(1474),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1474),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1474),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1474),
    [aux_sym_set_operation_token1] = ACTIONS(1474),
    [aux_sym_set_operation_token3] = ACTIONS(1474),
    [aux_sym_set_operation_token4] = ACTIONS(1476),
    [aux_sym_select_token1] = ACTIONS(1474),
    [aux_sym_having_clause_token1] = ACTIONS(1474),
    [aux_sym_qualify_clause_token1] = ACTIONS(1474),
    [aux_sym_limit_clause_token1] = ACTIONS(1474),
    [aux_sym_group_by_clause_token1] = ACTIONS(1474),
    [aux_sym_order_by_clause_token1] = ACTIONS(1474),
    [aux_sym_where_clause_token1] = ACTIONS(1474),
    [aux_sym_pivot_operator_token1] = ACTIONS(1474),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1474),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1474),
    [aux_sym_join_type_token1] = ACTIONS(1474),
    [aux_sym_join_type_token2] = ACTIONS(1474),
    [aux_sym_join_type_token3] = ACTIONS(1474),
    [aux_sym_join_type_token4] = ACTIONS(1474),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1474),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1474),
    [aux_sym_join_condition_token1] = ACTIONS(1474),
    [aux_sym_insert_statement_token1] = ACTIONS(1474),
    [aux_sym_truncate_statement_token1] = ACTIONS(1474),
    [aux_sym_update_statement_token1] = ACTIONS(1474),
    [aux_sym_merge_statement_token1] = ACTIONS(1474),
    [aux_sym_grant_statement_token1] = ACTIONS(1474),
    [aux_sym_revoke_statement_token1] = ACTIONS(1474),
    [aux_sym_export_data_statement_token1] = ACTIONS(1474),
    [aux_sym_load_data_statement_token1] = ACTIONS(1474),
    [sym_comment] = ACTIONS(3),
  },
  [5140] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_using_clause_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_pivot_operator_token1] = ACTIONS(1444),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1444),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1444),
    [aux_sym_join_type_token1] = ACTIONS(1444),
    [aux_sym_join_type_token2] = ACTIONS(1444),
    [aux_sym_join_type_token3] = ACTIONS(1444),
    [aux_sym_join_type_token4] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1444),
    [aux_sym_join_condition_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
  },
  [5141] = {
    [ts_builtin_sym_end] = ACTIONS(1508),
    [sym__unquoted_identifier] = ACTIONS(1510),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1510),
    [aux_sym__keyword_alter_token1] = ACTIONS(1510),
    [aux_sym__keyword_delete_token1] = ACTIONS(1510),
    [aux_sym__keyword_begin_token1] = ACTIONS(1510),
    [aux_sym__keyword_when_token1] = ACTIONS(1510),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1510),
    [aux_sym__keyword_as_token1] = ACTIONS(1510),
    [aux_sym__keyword_window_token1] = ACTIONS(1510),
    [aux_sym__keyword_date_token1] = ACTIONS(1510),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1510),
    [aux_sym__keyword_time_token1] = ACTIONS(1510),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1510),
    [aux_sym__keyword_for_token1] = ACTIONS(1510),
    [anon_sym_SEMI] = ACTIONS(1508),
    [aux_sym_declare_statement_token1] = ACTIONS(1510),
    [anon_sym_COMMA] = ACTIONS(1508),
    [aux_sym_set_statement_token1] = ACTIONS(1510),
    [anon_sym_LPAREN] = ACTIONS(1508),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1510),
    [aux_sym_using_clause_token1] = ACTIONS(1510),
    [aux_sym_return_satement_token1] = ACTIONS(1510),
    [aux_sym_call_statement_token1] = ACTIONS(1510),
    [aux_sym_loop_statement_token1] = ACTIONS(1510),
    [aux_sym_while_statement_token1] = ACTIONS(1510),
    [aux_sym_break_statement_token1] = ACTIONS(1510),
    [aux_sym_leave_statement_token1] = ACTIONS(1510),
    [aux_sym_continue_statement_token1] = ACTIONS(1510),
    [aux_sym_iterate_statement_token1] = ACTIONS(1510),
    [aux_sym_raise_statement_token1] = ACTIONS(1510),
    [aux_sym_assert_statement_token1] = ACTIONS(1510),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1510),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1510),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1510),
    [aux_sym_set_operation_token1] = ACTIONS(1510),
    [aux_sym_set_operation_token3] = ACTIONS(1510),
    [aux_sym_set_operation_token4] = ACTIONS(1510),
    [aux_sym_select_token1] = ACTIONS(1510),
    [aux_sym_having_clause_token1] = ACTIONS(1510),
    [aux_sym_qualify_clause_token1] = ACTIONS(1510),
    [aux_sym_limit_clause_token1] = ACTIONS(1510),
    [aux_sym_group_by_clause_token1] = ACTIONS(1510),
    [aux_sym_order_by_clause_token1] = ACTIONS(1510),
    [aux_sym_where_clause_token1] = ACTIONS(1510),
    [aux_sym_pivot_operator_token1] = ACTIONS(1510),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1510),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1510),
    [aux_sym_join_type_token1] = ACTIONS(1510),
    [aux_sym_join_type_token2] = ACTIONS(1510),
    [aux_sym_join_type_token3] = ACTIONS(1510),
    [aux_sym_join_type_token4] = ACTIONS(1510),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1510),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1510),
    [aux_sym_join_condition_token1] = ACTIONS(1510),
    [aux_sym_insert_statement_token1] = ACTIONS(1510),
    [aux_sym_truncate_statement_token1] = ACTIONS(1510),
    [aux_sym_update_statement_token1] = ACTIONS(1510),
    [aux_sym_merge_statement_token1] = ACTIONS(1510),
    [aux_sym_grant_statement_token1] = ACTIONS(1510),
    [aux_sym_revoke_statement_token1] = ACTIONS(1510),
    [aux_sym_export_data_statement_token1] = ACTIONS(1510),
    [aux_sym_load_data_statement_token1] = ACTIONS(1510),
    [sym__quoted_identifier] = ACTIONS(1508),
    [sym_comment] = ACTIONS(3),
  },
  [5142] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_using_clause_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_pivot_operator_token1] = ACTIONS(1444),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1444),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1444),
    [aux_sym_join_type_token1] = ACTIONS(1444),
    [aux_sym_join_type_token2] = ACTIONS(1444),
    [aux_sym_join_type_token3] = ACTIONS(1444),
    [aux_sym_join_type_token4] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1444),
    [aux_sym_join_condition_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
  },
  [5143] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_using_clause_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_pivot_operator_token1] = ACTIONS(1444),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1444),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1444),
    [aux_sym_join_type_token1] = ACTIONS(1444),
    [aux_sym_join_type_token2] = ACTIONS(1444),
    [aux_sym_join_type_token3] = ACTIONS(1444),
    [aux_sym_join_type_token4] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1444),
    [aux_sym_join_condition_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
  },
  [5144] = {
    [ts_builtin_sym_end] = ACTIONS(1838),
    [sym__unquoted_identifier] = ACTIONS(1840),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1840),
    [aux_sym__keyword_alter_token1] = ACTIONS(1840),
    [aux_sym__keyword_delete_token1] = ACTIONS(1840),
    [aux_sym__keyword_begin_token1] = ACTIONS(1840),
    [aux_sym__keyword_when_token1] = ACTIONS(1840),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1840),
    [aux_sym__keyword_as_token1] = ACTIONS(1840),
    [aux_sym__keyword_window_token1] = ACTIONS(1840),
    [aux_sym__keyword_date_token1] = ACTIONS(1840),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1840),
    [aux_sym__keyword_time_token1] = ACTIONS(1840),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1840),
    [aux_sym__keyword_for_token1] = ACTIONS(1840),
    [anon_sym_SEMI] = ACTIONS(1838),
    [aux_sym_declare_statement_token1] = ACTIONS(1840),
    [anon_sym_COMMA] = ACTIONS(1838),
    [aux_sym_set_statement_token1] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1838),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1840),
    [aux_sym_using_clause_token1] = ACTIONS(1840),
    [aux_sym_return_satement_token1] = ACTIONS(1840),
    [aux_sym_call_statement_token1] = ACTIONS(1840),
    [aux_sym_loop_statement_token1] = ACTIONS(1840),
    [aux_sym_while_statement_token1] = ACTIONS(1840),
    [aux_sym_break_statement_token1] = ACTIONS(1840),
    [aux_sym_leave_statement_token1] = ACTIONS(1840),
    [aux_sym_continue_statement_token1] = ACTIONS(1840),
    [aux_sym_iterate_statement_token1] = ACTIONS(1840),
    [aux_sym_raise_statement_token1] = ACTIONS(1840),
    [aux_sym_assert_statement_token1] = ACTIONS(1840),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1840),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1840),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1840),
    [aux_sym_set_operation_token1] = ACTIONS(1840),
    [aux_sym_set_operation_token3] = ACTIONS(1840),
    [aux_sym_set_operation_token4] = ACTIONS(1840),
    [aux_sym_select_token1] = ACTIONS(1840),
    [aux_sym_having_clause_token1] = ACTIONS(1840),
    [aux_sym_qualify_clause_token1] = ACTIONS(1840),
    [aux_sym_limit_clause_token1] = ACTIONS(1840),
    [aux_sym_group_by_clause_token1] = ACTIONS(1840),
    [aux_sym_order_by_clause_token1] = ACTIONS(1840),
    [aux_sym_where_clause_token1] = ACTIONS(1840),
    [aux_sym_pivot_operator_token1] = ACTIONS(1840),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1840),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1840),
    [aux_sym_join_type_token1] = ACTIONS(1840),
    [aux_sym_join_type_token2] = ACTIONS(1840),
    [aux_sym_join_type_token3] = ACTIONS(1840),
    [aux_sym_join_type_token4] = ACTIONS(1840),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1840),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1840),
    [aux_sym_join_condition_token1] = ACTIONS(1840),
    [aux_sym_insert_statement_token1] = ACTIONS(1840),
    [aux_sym_truncate_statement_token1] = ACTIONS(1840),
    [aux_sym_update_statement_token1] = ACTIONS(1840),
    [aux_sym_merge_statement_token1] = ACTIONS(1840),
    [aux_sym_grant_statement_token1] = ACTIONS(1840),
    [aux_sym_revoke_statement_token1] = ACTIONS(1840),
    [aux_sym_export_data_statement_token1] = ACTIONS(1840),
    [aux_sym_load_data_statement_token1] = ACTIONS(1840),
    [sym__quoted_identifier] = ACTIONS(1838),
    [sym_comment] = ACTIONS(3),
  },
  [5145] = {
    [ts_builtin_sym_end] = ACTIONS(1438),
    [sym__unquoted_identifier] = ACTIONS(1440),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1440),
    [aux_sym__keyword_alter_token1] = ACTIONS(1440),
    [aux_sym__keyword_delete_token1] = ACTIONS(1440),
    [aux_sym__keyword_begin_token1] = ACTIONS(1440),
    [aux_sym__keyword_when_token1] = ACTIONS(1440),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1440),
    [aux_sym__keyword_as_token1] = ACTIONS(1440),
    [aux_sym__keyword_window_token1] = ACTIONS(1440),
    [aux_sym__keyword_date_token1] = ACTIONS(1440),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1440),
    [aux_sym__keyword_time_token1] = ACTIONS(1440),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1440),
    [aux_sym__keyword_for_token1] = ACTIONS(1440),
    [anon_sym_SEMI] = ACTIONS(1438),
    [aux_sym_declare_statement_token1] = ACTIONS(1440),
    [anon_sym_COMMA] = ACTIONS(1438),
    [aux_sym_set_statement_token1] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1438),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1440),
    [aux_sym_using_clause_token1] = ACTIONS(1440),
    [aux_sym_return_satement_token1] = ACTIONS(1440),
    [aux_sym_call_statement_token1] = ACTIONS(1440),
    [aux_sym_loop_statement_token1] = ACTIONS(1440),
    [aux_sym_while_statement_token1] = ACTIONS(1440),
    [aux_sym_break_statement_token1] = ACTIONS(1440),
    [aux_sym_leave_statement_token1] = ACTIONS(1440),
    [aux_sym_continue_statement_token1] = ACTIONS(1440),
    [aux_sym_iterate_statement_token1] = ACTIONS(1440),
    [aux_sym_raise_statement_token1] = ACTIONS(1440),
    [aux_sym_assert_statement_token1] = ACTIONS(1440),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1440),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1440),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1440),
    [aux_sym_set_operation_token1] = ACTIONS(1440),
    [aux_sym_set_operation_token3] = ACTIONS(1440),
    [aux_sym_set_operation_token4] = ACTIONS(1440),
    [aux_sym_select_token1] = ACTIONS(1440),
    [aux_sym_having_clause_token1] = ACTIONS(1440),
    [aux_sym_qualify_clause_token1] = ACTIONS(1440),
    [aux_sym_limit_clause_token1] = ACTIONS(1440),
    [aux_sym_group_by_clause_token1] = ACTIONS(1440),
    [aux_sym_order_by_clause_token1] = ACTIONS(1440),
    [aux_sym_where_clause_token1] = ACTIONS(1440),
    [aux_sym_pivot_operator_token1] = ACTIONS(1440),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1440),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1440),
    [aux_sym_join_type_token1] = ACTIONS(1440),
    [aux_sym_join_type_token2] = ACTIONS(1440),
    [aux_sym_join_type_token3] = ACTIONS(1440),
    [aux_sym_join_type_token4] = ACTIONS(1440),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1440),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1440),
    [aux_sym_join_condition_token1] = ACTIONS(1440),
    [aux_sym_insert_statement_token1] = ACTIONS(1440),
    [aux_sym_truncate_statement_token1] = ACTIONS(1440),
    [aux_sym_update_statement_token1] = ACTIONS(1440),
    [aux_sym_merge_statement_token1] = ACTIONS(1440),
    [aux_sym_grant_statement_token1] = ACTIONS(1440),
    [aux_sym_revoke_statement_token1] = ACTIONS(1440),
    [aux_sym_export_data_statement_token1] = ACTIONS(1440),
    [aux_sym_load_data_statement_token1] = ACTIONS(1440),
    [sym__quoted_identifier] = ACTIONS(1438),
    [sym_comment] = ACTIONS(3),
  },
  [5146] = {
    [sym__keyword_as] = STATE(11489),
    [sym__keyword_date] = STATE(2335),
    [sym__keyword_datetime] = STATE(2335),
    [sym__keyword_time] = STATE(2335),
    [sym__keyword_timestamp] = STATE(2335),
    [sym_as_alias] = STATE(5401),
    [sym__type_chrono] = STATE(2336),
    [sym__identifier] = STATE(2405),
    [sym__dotted_identifier] = STATE(13807),
    [sym_identifier] = STATE(2317),
    [aux_sym_identifier_repeat1] = STATE(13807),
    [ts_builtin_sym_end] = ACTIONS(3412),
    [sym__unquoted_identifier] = ACTIONS(335),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3410),
    [aux_sym__keyword_alter_token1] = ACTIONS(3410),
    [aux_sym__keyword_delete_token1] = ACTIONS(3410),
    [aux_sym__keyword_begin_token1] = ACTIONS(3410),
    [aux_sym__keyword_when_token1] = ACTIONS(3410),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3410),
    [aux_sym__keyword_as_token1] = ACTIONS(353),
    [aux_sym__keyword_window_token1] = ACTIONS(3410),
    [aux_sym__keyword_date_token1] = ACTIONS(355),
    [aux_sym__keyword_datetime_token1] = ACTIONS(355),
    [aux_sym__keyword_time_token1] = ACTIONS(355),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(355),
    [aux_sym__keyword_for_token1] = ACTIONS(3410),
    [anon_sym_SEMI] = ACTIONS(3412),
    [aux_sym_declare_statement_token1] = ACTIONS(3410),
    [aux_sym_set_statement_token1] = ACTIONS(3410),
    [anon_sym_LPAREN] = ACTIONS(3412),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(3410),
    [aux_sym_return_satement_token1] = ACTIONS(3410),
    [aux_sym_call_statement_token1] = ACTIONS(3410),
    [aux_sym_loop_statement_token1] = ACTIONS(3410),
    [aux_sym_while_statement_token1] = ACTIONS(3410),
    [aux_sym_break_statement_token1] = ACTIONS(3410),
    [aux_sym_leave_statement_token1] = ACTIONS(3410),
    [aux_sym_continue_statement_token1] = ACTIONS(3410),
    [aux_sym_iterate_statement_token1] = ACTIONS(3410),
    [aux_sym_raise_statement_token1] = ACTIONS(3410),
    [aux_sym_assert_statement_token1] = ACTIONS(3410),
    [aux_sym_create_schema_statement_token1] = ACTIONS(3410),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(3410),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3410),
    [aux_sym_set_operation_token1] = ACTIONS(3410),
    [aux_sym_set_operation_token3] = ACTIONS(3410),
    [aux_sym_set_operation_token4] = ACTIONS(3410),
    [aux_sym_select_token1] = ACTIONS(3410),
    [aux_sym_having_clause_token1] = ACTIONS(3410),
    [aux_sym_qualify_clause_token1] = ACTIONS(3410),
    [aux_sym_limit_clause_token1] = ACTIONS(3410),
    [aux_sym_group_by_clause_token1] = ACTIONS(3410),
    [aux_sym_order_by_clause_token1] = ACTIONS(3410),
    [aux_sym_where_clause_token1] = ACTIONS(3410),
    [aux_sym_tablesample_operator_token1] = ACTIONS(3410),
    [aux_sym_insert_statement_token1] = ACTIONS(3410),
    [aux_sym_truncate_statement_token1] = ACTIONS(3410),
    [aux_sym_update_statement_token1] = ACTIONS(3410),
    [aux_sym_merge_statement_token1] = ACTIONS(3410),
    [aux_sym_grant_statement_token1] = ACTIONS(3410),
    [aux_sym_revoke_statement_token1] = ACTIONS(3410),
    [aux_sym_export_data_statement_token1] = ACTIONS(3410),
    [aux_sym_load_data_statement_token1] = ACTIONS(3410),
    [sym__quoted_identifier] = ACTIONS(363),
    [sym_comment] = ACTIONS(3),
  },
  [5147] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_using_clause_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_pivot_operator_token1] = ACTIONS(1444),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1444),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1444),
    [aux_sym_join_type_token1] = ACTIONS(1444),
    [aux_sym_join_type_token2] = ACTIONS(1444),
    [aux_sym_join_type_token3] = ACTIONS(1444),
    [aux_sym_join_type_token4] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1444),
    [aux_sym_join_condition_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
  },
  [5148] = {
    [sym__keyword_as] = STATE(11489),
    [sym__keyword_date] = STATE(2335),
    [sym__keyword_datetime] = STATE(2335),
    [sym__keyword_time] = STATE(2335),
    [sym__keyword_timestamp] = STATE(2335),
    [sym_as_alias] = STATE(5402),
    [sym__type_chrono] = STATE(2336),
    [sym__identifier] = STATE(2405),
    [sym__dotted_identifier] = STATE(13807),
    [sym_identifier] = STATE(2317),
    [aux_sym_identifier_repeat1] = STATE(13807),
    [ts_builtin_sym_end] = ACTIONS(3390),
    [sym__unquoted_identifier] = ACTIONS(335),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3388),
    [aux_sym__keyword_alter_token1] = ACTIONS(3388),
    [aux_sym__keyword_delete_token1] = ACTIONS(3388),
    [aux_sym__keyword_begin_token1] = ACTIONS(3388),
    [aux_sym__keyword_when_token1] = ACTIONS(3388),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3388),
    [aux_sym__keyword_as_token1] = ACTIONS(353),
    [aux_sym__keyword_window_token1] = ACTIONS(3388),
    [aux_sym__keyword_date_token1] = ACTIONS(355),
    [aux_sym__keyword_datetime_token1] = ACTIONS(355),
    [aux_sym__keyword_time_token1] = ACTIONS(355),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(355),
    [aux_sym__keyword_for_token1] = ACTIONS(3388),
    [anon_sym_SEMI] = ACTIONS(3390),
    [aux_sym_declare_statement_token1] = ACTIONS(3388),
    [aux_sym_set_statement_token1] = ACTIONS(3388),
    [anon_sym_LPAREN] = ACTIONS(3390),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(3388),
    [aux_sym_return_satement_token1] = ACTIONS(3388),
    [aux_sym_call_statement_token1] = ACTIONS(3388),
    [aux_sym_loop_statement_token1] = ACTIONS(3388),
    [aux_sym_while_statement_token1] = ACTIONS(3388),
    [aux_sym_break_statement_token1] = ACTIONS(3388),
    [aux_sym_leave_statement_token1] = ACTIONS(3388),
    [aux_sym_continue_statement_token1] = ACTIONS(3388),
    [aux_sym_iterate_statement_token1] = ACTIONS(3388),
    [aux_sym_raise_statement_token1] = ACTIONS(3388),
    [aux_sym_assert_statement_token1] = ACTIONS(3388),
    [aux_sym_create_schema_statement_token1] = ACTIONS(3388),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(3388),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3388),
    [aux_sym_set_operation_token1] = ACTIONS(3388),
    [aux_sym_set_operation_token3] = ACTIONS(3388),
    [aux_sym_set_operation_token4] = ACTIONS(3388),
    [aux_sym_select_token1] = ACTIONS(3388),
    [aux_sym_having_clause_token1] = ACTIONS(3388),
    [aux_sym_qualify_clause_token1] = ACTIONS(3388),
    [aux_sym_limit_clause_token1] = ACTIONS(3388),
    [aux_sym_group_by_clause_token1] = ACTIONS(3388),
    [aux_sym_order_by_clause_token1] = ACTIONS(3388),
    [aux_sym_where_clause_token1] = ACTIONS(3388),
    [aux_sym_tablesample_operator_token1] = ACTIONS(3388),
    [aux_sym_insert_statement_token1] = ACTIONS(3388),
    [aux_sym_truncate_statement_token1] = ACTIONS(3388),
    [aux_sym_update_statement_token1] = ACTIONS(3388),
    [aux_sym_merge_statement_token1] = ACTIONS(3388),
    [aux_sym_grant_statement_token1] = ACTIONS(3388),
    [aux_sym_revoke_statement_token1] = ACTIONS(3388),
    [aux_sym_export_data_statement_token1] = ACTIONS(3388),
    [aux_sym_load_data_statement_token1] = ACTIONS(3388),
    [sym__quoted_identifier] = ACTIONS(363),
    [sym_comment] = ACTIONS(3),
  },
  [5149] = {
    [ts_builtin_sym_end] = ACTIONS(1434),
    [sym__unquoted_identifier] = ACTIONS(1436),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1436),
    [aux_sym__keyword_alter_token1] = ACTIONS(1436),
    [aux_sym__keyword_delete_token1] = ACTIONS(1436),
    [aux_sym__keyword_begin_token1] = ACTIONS(1436),
    [aux_sym__keyword_when_token1] = ACTIONS(1436),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1436),
    [aux_sym__keyword_as_token1] = ACTIONS(1436),
    [aux_sym__keyword_window_token1] = ACTIONS(1436),
    [aux_sym__keyword_date_token1] = ACTIONS(1436),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1436),
    [aux_sym__keyword_time_token1] = ACTIONS(1436),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1436),
    [aux_sym__keyword_for_token1] = ACTIONS(1436),
    [anon_sym_SEMI] = ACTIONS(1434),
    [aux_sym_declare_statement_token1] = ACTIONS(1436),
    [anon_sym_COMMA] = ACTIONS(1434),
    [aux_sym_set_statement_token1] = ACTIONS(1436),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1436),
    [aux_sym_using_clause_token1] = ACTIONS(1436),
    [aux_sym_return_satement_token1] = ACTIONS(1436),
    [aux_sym_call_statement_token1] = ACTIONS(1436),
    [aux_sym_loop_statement_token1] = ACTIONS(1436),
    [aux_sym_while_statement_token1] = ACTIONS(1436),
    [aux_sym_break_statement_token1] = ACTIONS(1436),
    [aux_sym_leave_statement_token1] = ACTIONS(1436),
    [aux_sym_continue_statement_token1] = ACTIONS(1436),
    [aux_sym_iterate_statement_token1] = ACTIONS(1436),
    [aux_sym_raise_statement_token1] = ACTIONS(1436),
    [aux_sym_assert_statement_token1] = ACTIONS(1436),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1436),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1436),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1436),
    [aux_sym_set_operation_token1] = ACTIONS(1436),
    [aux_sym_set_operation_token3] = ACTIONS(1436),
    [aux_sym_set_operation_token4] = ACTIONS(1436),
    [aux_sym_select_token1] = ACTIONS(1436),
    [aux_sym_having_clause_token1] = ACTIONS(1436),
    [aux_sym_qualify_clause_token1] = ACTIONS(1436),
    [aux_sym_limit_clause_token1] = ACTIONS(1436),
    [aux_sym_group_by_clause_token1] = ACTIONS(1436),
    [aux_sym_order_by_clause_token1] = ACTIONS(1436),
    [aux_sym_where_clause_token1] = ACTIONS(1436),
    [aux_sym_pivot_operator_token1] = ACTIONS(1436),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1436),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1436),
    [aux_sym_join_type_token1] = ACTIONS(1436),
    [aux_sym_join_type_token2] = ACTIONS(1436),
    [aux_sym_join_type_token3] = ACTIONS(1436),
    [aux_sym_join_type_token4] = ACTIONS(1436),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1436),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1436),
    [aux_sym_join_condition_token1] = ACTIONS(1436),
    [aux_sym_insert_statement_token1] = ACTIONS(1436),
    [aux_sym_truncate_statement_token1] = ACTIONS(1436),
    [aux_sym_update_statement_token1] = ACTIONS(1436),
    [aux_sym_merge_statement_token1] = ACTIONS(1436),
    [aux_sym_grant_statement_token1] = ACTIONS(1436),
    [aux_sym_revoke_statement_token1] = ACTIONS(1436),
    [aux_sym_export_data_statement_token1] = ACTIONS(1436),
    [aux_sym_load_data_statement_token1] = ACTIONS(1436),
    [sym__quoted_identifier] = ACTIONS(1434),
    [sym_comment] = ACTIONS(3),
  },
  [5150] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_using_clause_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_pivot_operator_token1] = ACTIONS(1444),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1444),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1444),
    [aux_sym_join_type_token1] = ACTIONS(1444),
    [aux_sym_join_type_token2] = ACTIONS(1444),
    [aux_sym_join_type_token3] = ACTIONS(1444),
    [aux_sym_join_type_token4] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1444),
    [aux_sym_join_condition_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
  },
  [5151] = {
    [ts_builtin_sym_end] = ACTIONS(1430),
    [sym__unquoted_identifier] = ACTIONS(1432),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1432),
    [aux_sym__keyword_alter_token1] = ACTIONS(1432),
    [aux_sym__keyword_delete_token1] = ACTIONS(1432),
    [aux_sym__keyword_begin_token1] = ACTIONS(1432),
    [aux_sym__keyword_when_token1] = ACTIONS(1432),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1432),
    [aux_sym__keyword_as_token1] = ACTIONS(1432),
    [aux_sym__keyword_window_token1] = ACTIONS(1432),
    [aux_sym__keyword_date_token1] = ACTIONS(1432),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1432),
    [aux_sym__keyword_time_token1] = ACTIONS(1432),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1432),
    [aux_sym__keyword_for_token1] = ACTIONS(1432),
    [anon_sym_SEMI] = ACTIONS(1430),
    [aux_sym_declare_statement_token1] = ACTIONS(1432),
    [anon_sym_COMMA] = ACTIONS(1430),
    [aux_sym_set_statement_token1] = ACTIONS(1432),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1432),
    [aux_sym_using_clause_token1] = ACTIONS(1432),
    [aux_sym_return_satement_token1] = ACTIONS(1432),
    [aux_sym_call_statement_token1] = ACTIONS(1432),
    [aux_sym_loop_statement_token1] = ACTIONS(1432),
    [aux_sym_while_statement_token1] = ACTIONS(1432),
    [aux_sym_break_statement_token1] = ACTIONS(1432),
    [aux_sym_leave_statement_token1] = ACTIONS(1432),
    [aux_sym_continue_statement_token1] = ACTIONS(1432),
    [aux_sym_iterate_statement_token1] = ACTIONS(1432),
    [aux_sym_raise_statement_token1] = ACTIONS(1432),
    [aux_sym_assert_statement_token1] = ACTIONS(1432),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1432),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1432),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1432),
    [aux_sym_set_operation_token1] = ACTIONS(1432),
    [aux_sym_set_operation_token3] = ACTIONS(1432),
    [aux_sym_set_operation_token4] = ACTIONS(1432),
    [aux_sym_select_token1] = ACTIONS(1432),
    [aux_sym_having_clause_token1] = ACTIONS(1432),
    [aux_sym_qualify_clause_token1] = ACTIONS(1432),
    [aux_sym_limit_clause_token1] = ACTIONS(1432),
    [aux_sym_group_by_clause_token1] = ACTIONS(1432),
    [aux_sym_order_by_clause_token1] = ACTIONS(1432),
    [aux_sym_where_clause_token1] = ACTIONS(1432),
    [aux_sym_pivot_operator_token1] = ACTIONS(1432),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1432),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1432),
    [aux_sym_join_type_token1] = ACTIONS(1432),
    [aux_sym_join_type_token2] = ACTIONS(1432),
    [aux_sym_join_type_token3] = ACTIONS(1432),
    [aux_sym_join_type_token4] = ACTIONS(1432),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1432),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1432),
    [aux_sym_join_condition_token1] = ACTIONS(1432),
    [aux_sym_insert_statement_token1] = ACTIONS(1432),
    [aux_sym_truncate_statement_token1] = ACTIONS(1432),
    [aux_sym_update_statement_token1] = ACTIONS(1432),
    [aux_sym_merge_statement_token1] = ACTIONS(1432),
    [aux_sym_grant_statement_token1] = ACTIONS(1432),
    [aux_sym_revoke_statement_token1] = ACTIONS(1432),
    [aux_sym_export_data_statement_token1] = ACTIONS(1432),
    [aux_sym_load_data_statement_token1] = ACTIONS(1432),
    [sym__quoted_identifier] = ACTIONS(1430),
    [sym_comment] = ACTIONS(3),
  },
  [5152] = {
    [ts_builtin_sym_end] = ACTIONS(1422),
    [sym__unquoted_identifier] = ACTIONS(1424),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1424),
    [aux_sym__keyword_alter_token1] = ACTIONS(1424),
    [aux_sym__keyword_delete_token1] = ACTIONS(1424),
    [aux_sym__keyword_begin_token1] = ACTIONS(1424),
    [aux_sym__keyword_when_token1] = ACTIONS(1424),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1424),
    [aux_sym__keyword_as_token1] = ACTIONS(1424),
    [aux_sym__keyword_window_token1] = ACTIONS(1424),
    [aux_sym__keyword_date_token1] = ACTIONS(1424),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1424),
    [aux_sym__keyword_time_token1] = ACTIONS(1424),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1424),
    [aux_sym__keyword_for_token1] = ACTIONS(1424),
    [anon_sym_SEMI] = ACTIONS(1422),
    [aux_sym_declare_statement_token1] = ACTIONS(1424),
    [anon_sym_COMMA] = ACTIONS(1422),
    [aux_sym_set_statement_token1] = ACTIONS(1424),
    [anon_sym_LPAREN] = ACTIONS(1422),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1424),
    [aux_sym_using_clause_token1] = ACTIONS(1424),
    [aux_sym_return_satement_token1] = ACTIONS(1424),
    [aux_sym_call_statement_token1] = ACTIONS(1424),
    [aux_sym_loop_statement_token1] = ACTIONS(1424),
    [aux_sym_while_statement_token1] = ACTIONS(1424),
    [aux_sym_break_statement_token1] = ACTIONS(1424),
    [aux_sym_leave_statement_token1] = ACTIONS(1424),
    [aux_sym_continue_statement_token1] = ACTIONS(1424),
    [aux_sym_iterate_statement_token1] = ACTIONS(1424),
    [aux_sym_raise_statement_token1] = ACTIONS(1424),
    [aux_sym_assert_statement_token1] = ACTIONS(1424),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1424),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1424),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1424),
    [aux_sym_set_operation_token1] = ACTIONS(1424),
    [aux_sym_set_operation_token3] = ACTIONS(1424),
    [aux_sym_set_operation_token4] = ACTIONS(1424),
    [aux_sym_select_token1] = ACTIONS(1424),
    [aux_sym_having_clause_token1] = ACTIONS(1424),
    [aux_sym_qualify_clause_token1] = ACTIONS(1424),
    [aux_sym_limit_clause_token1] = ACTIONS(1424),
    [aux_sym_group_by_clause_token1] = ACTIONS(1424),
    [aux_sym_order_by_clause_token1] = ACTIONS(1424),
    [aux_sym_where_clause_token1] = ACTIONS(1424),
    [aux_sym_pivot_operator_token1] = ACTIONS(1424),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1424),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1424),
    [aux_sym_join_type_token1] = ACTIONS(1424),
    [aux_sym_join_type_token2] = ACTIONS(1424),
    [aux_sym_join_type_token3] = ACTIONS(1424),
    [aux_sym_join_type_token4] = ACTIONS(1424),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1424),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1424),
    [aux_sym_join_condition_token1] = ACTIONS(1424),
    [aux_sym_insert_statement_token1] = ACTIONS(1424),
    [aux_sym_truncate_statement_token1] = ACTIONS(1424),
    [aux_sym_update_statement_token1] = ACTIONS(1424),
    [aux_sym_merge_statement_token1] = ACTIONS(1424),
    [aux_sym_grant_statement_token1] = ACTIONS(1424),
    [aux_sym_revoke_statement_token1] = ACTIONS(1424),
    [aux_sym_export_data_statement_token1] = ACTIONS(1424),
    [aux_sym_load_data_statement_token1] = ACTIONS(1424),
    [sym__quoted_identifier] = ACTIONS(1422),
    [sym_comment] = ACTIONS(3),
  },
  [5153] = {
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_when_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_window_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_using_clause_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token3] = ACTIONS(1420),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_having_clause_token1] = ACTIONS(1420),
    [aux_sym_qualify_clause_token1] = ACTIONS(1420),
    [aux_sym_limit_clause_token1] = ACTIONS(1420),
    [aux_sym_group_by_clause_token1] = ACTIONS(1420),
    [aux_sym_order_by_clause_token1] = ACTIONS(1420),
    [aux_sym_where_clause_token1] = ACTIONS(1420),
    [aux_sym_pivot_operator_token1] = ACTIONS(1420),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1420),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1420),
    [aux_sym_join_type_token1] = ACTIONS(1420),
    [aux_sym_join_type_token2] = ACTIONS(1420),
    [aux_sym_join_type_token3] = ACTIONS(1420),
    [aux_sym_join_type_token4] = ACTIONS(1420),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1420),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1420),
    [aux_sym_join_condition_token1] = ACTIONS(1420),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
  },
  [5154] = {
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym__unquoted_identifier] = ACTIONS(1420),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1420),
    [aux_sym__keyword_alter_token1] = ACTIONS(1420),
    [aux_sym__keyword_delete_token1] = ACTIONS(1420),
    [aux_sym__keyword_begin_token1] = ACTIONS(1420),
    [aux_sym__keyword_when_token1] = ACTIONS(1420),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1420),
    [aux_sym__keyword_as_token1] = ACTIONS(1420),
    [aux_sym__keyword_window_token1] = ACTIONS(1420),
    [aux_sym__keyword_date_token1] = ACTIONS(1420),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1420),
    [aux_sym__keyword_time_token1] = ACTIONS(1420),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1420),
    [aux_sym__keyword_for_token1] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1418),
    [aux_sym_set_statement_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1420),
    [aux_sym_using_clause_token1] = ACTIONS(1420),
    [aux_sym_return_satement_token1] = ACTIONS(1420),
    [aux_sym_call_statement_token1] = ACTIONS(1420),
    [aux_sym_loop_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [aux_sym_leave_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_iterate_statement_token1] = ACTIONS(1420),
    [aux_sym_raise_statement_token1] = ACTIONS(1420),
    [aux_sym_assert_statement_token1] = ACTIONS(1420),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1420),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token1] = ACTIONS(1420),
    [aux_sym_set_operation_token3] = ACTIONS(1420),
    [aux_sym_set_operation_token4] = ACTIONS(1420),
    [aux_sym_select_token1] = ACTIONS(1420),
    [aux_sym_having_clause_token1] = ACTIONS(1420),
    [aux_sym_qualify_clause_token1] = ACTIONS(1420),
    [aux_sym_limit_clause_token1] = ACTIONS(1420),
    [aux_sym_group_by_clause_token1] = ACTIONS(1420),
    [aux_sym_order_by_clause_token1] = ACTIONS(1420),
    [aux_sym_where_clause_token1] = ACTIONS(1420),
    [aux_sym_pivot_operator_token1] = ACTIONS(1420),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1420),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1420),
    [aux_sym_join_type_token1] = ACTIONS(1420),
    [aux_sym_join_type_token2] = ACTIONS(1420),
    [aux_sym_join_type_token3] = ACTIONS(1420),
    [aux_sym_join_type_token4] = ACTIONS(1420),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1420),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1420),
    [aux_sym_join_condition_token1] = ACTIONS(1420),
    [aux_sym_insert_statement_token1] = ACTIONS(1420),
    [aux_sym_truncate_statement_token1] = ACTIONS(1420),
    [aux_sym_update_statement_token1] = ACTIONS(1420),
    [aux_sym_merge_statement_token1] = ACTIONS(1420),
    [aux_sym_grant_statement_token1] = ACTIONS(1420),
    [aux_sym_revoke_statement_token1] = ACTIONS(1420),
    [aux_sym_export_data_statement_token1] = ACTIONS(1420),
    [aux_sym_load_data_statement_token1] = ACTIONS(1420),
    [sym__quoted_identifier] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
  },
  [5155] = {
    [ts_builtin_sym_end] = ACTIONS(1850),
    [sym__unquoted_identifier] = ACTIONS(1852),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1852),
    [aux_sym__keyword_alter_token1] = ACTIONS(1852),
    [aux_sym__keyword_delete_token1] = ACTIONS(1852),
    [aux_sym__keyword_begin_token1] = ACTIONS(1852),
    [aux_sym__keyword_when_token1] = ACTIONS(1852),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1852),
    [aux_sym__keyword_as_token1] = ACTIONS(1852),
    [aux_sym__keyword_window_token1] = ACTIONS(1852),
    [aux_sym__keyword_date_token1] = ACTIONS(1852),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1852),
    [aux_sym__keyword_time_token1] = ACTIONS(1852),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1852),
    [aux_sym__keyword_for_token1] = ACTIONS(1852),
    [anon_sym_SEMI] = ACTIONS(1850),
    [aux_sym_declare_statement_token1] = ACTIONS(1852),
    [anon_sym_COMMA] = ACTIONS(1850),
    [aux_sym_set_statement_token1] = ACTIONS(1852),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1852),
    [aux_sym_using_clause_token1] = ACTIONS(1852),
    [aux_sym_return_satement_token1] = ACTIONS(1852),
    [aux_sym_call_statement_token1] = ACTIONS(1852),
    [aux_sym_loop_statement_token1] = ACTIONS(1852),
    [aux_sym_while_statement_token1] = ACTIONS(1852),
    [aux_sym_break_statement_token1] = ACTIONS(1852),
    [aux_sym_leave_statement_token1] = ACTIONS(1852),
    [aux_sym_continue_statement_token1] = ACTIONS(1852),
    [aux_sym_iterate_statement_token1] = ACTIONS(1852),
    [aux_sym_raise_statement_token1] = ACTIONS(1852),
    [aux_sym_assert_statement_token1] = ACTIONS(1852),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1852),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1852),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1852),
    [aux_sym_set_operation_token1] = ACTIONS(1852),
    [aux_sym_set_operation_token3] = ACTIONS(1852),
    [aux_sym_set_operation_token4] = ACTIONS(1852),
    [aux_sym_select_token1] = ACTIONS(1852),
    [aux_sym_having_clause_token1] = ACTIONS(1852),
    [aux_sym_qualify_clause_token1] = ACTIONS(1852),
    [aux_sym_limit_clause_token1] = ACTIONS(1852),
    [aux_sym_group_by_clause_token1] = ACTIONS(1852),
    [aux_sym_order_by_clause_token1] = ACTIONS(1852),
    [aux_sym_where_clause_token1] = ACTIONS(1852),
    [aux_sym_pivot_operator_token1] = ACTIONS(1852),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1852),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1852),
    [aux_sym_join_type_token1] = ACTIONS(1852),
    [aux_sym_join_type_token2] = ACTIONS(1852),
    [aux_sym_join_type_token3] = ACTIONS(1852),
    [aux_sym_join_type_token4] = ACTIONS(1852),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1852),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1852),
    [aux_sym_join_condition_token1] = ACTIONS(1852),
    [aux_sym_insert_statement_token1] = ACTIONS(1852),
    [aux_sym_truncate_statement_token1] = ACTIONS(1852),
    [aux_sym_update_statement_token1] = ACTIONS(1852),
    [aux_sym_merge_statement_token1] = ACTIONS(1852),
    [aux_sym_grant_statement_token1] = ACTIONS(1852),
    [aux_sym_revoke_statement_token1] = ACTIONS(1852),
    [aux_sym_export_data_statement_token1] = ACTIONS(1852),
    [aux_sym_load_data_statement_token1] = ACTIONS(1852),
    [sym__quoted_identifier] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
  },
  [5156] = {
    [ts_builtin_sym_end] = ACTIONS(1414),
    [sym__unquoted_identifier] = ACTIONS(1416),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1416),
    [aux_sym__keyword_alter_token1] = ACTIONS(1416),
    [aux_sym__keyword_delete_token1] = ACTIONS(1416),
    [aux_sym__keyword_begin_token1] = ACTIONS(1416),
    [aux_sym__keyword_when_token1] = ACTIONS(1416),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1416),
    [aux_sym__keyword_as_token1] = ACTIONS(1416),
    [aux_sym__keyword_window_token1] = ACTIONS(1416),
    [aux_sym__keyword_date_token1] = ACTIONS(1416),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1416),
    [aux_sym__keyword_time_token1] = ACTIONS(1416),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1416),
    [aux_sym__keyword_for_token1] = ACTIONS(1416),
    [anon_sym_SEMI] = ACTIONS(1414),
    [aux_sym_declare_statement_token1] = ACTIONS(1416),
    [anon_sym_COMMA] = ACTIONS(1414),
    [aux_sym_set_statement_token1] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1416),
    [aux_sym_using_clause_token1] = ACTIONS(1416),
    [aux_sym_return_satement_token1] = ACTIONS(1416),
    [aux_sym_call_statement_token1] = ACTIONS(1416),
    [aux_sym_loop_statement_token1] = ACTIONS(1416),
    [aux_sym_while_statement_token1] = ACTIONS(1416),
    [aux_sym_break_statement_token1] = ACTIONS(1416),
    [aux_sym_leave_statement_token1] = ACTIONS(1416),
    [aux_sym_continue_statement_token1] = ACTIONS(1416),
    [aux_sym_iterate_statement_token1] = ACTIONS(1416),
    [aux_sym_raise_statement_token1] = ACTIONS(1416),
    [aux_sym_assert_statement_token1] = ACTIONS(1416),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1416),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1416),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1416),
    [aux_sym_set_operation_token1] = ACTIONS(1416),
    [aux_sym_set_operation_token3] = ACTIONS(1416),
    [aux_sym_set_operation_token4] = ACTIONS(1416),
    [aux_sym_select_token1] = ACTIONS(1416),
    [aux_sym_having_clause_token1] = ACTIONS(1416),
    [aux_sym_qualify_clause_token1] = ACTIONS(1416),
    [aux_sym_limit_clause_token1] = ACTIONS(1416),
    [aux_sym_group_by_clause_token1] = ACTIONS(1416),
    [aux_sym_order_by_clause_token1] = ACTIONS(1416),
    [aux_sym_where_clause_token1] = ACTIONS(1416),
    [aux_sym_pivot_operator_token1] = ACTIONS(1416),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1416),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1416),
    [aux_sym_join_type_token1] = ACTIONS(1416),
    [aux_sym_join_type_token2] = ACTIONS(1416),
    [aux_sym_join_type_token3] = ACTIONS(1416),
    [aux_sym_join_type_token4] = ACTIONS(1416),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1416),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1416),
    [aux_sym_join_condition_token1] = ACTIONS(1416),
    [aux_sym_insert_statement_token1] = ACTIONS(1416),
    [aux_sym_truncate_statement_token1] = ACTIONS(1416),
    [aux_sym_update_statement_token1] = ACTIONS(1416),
    [aux_sym_merge_statement_token1] = ACTIONS(1416),
    [aux_sym_grant_statement_token1] = ACTIONS(1416),
    [aux_sym_revoke_statement_token1] = ACTIONS(1416),
    [aux_sym_export_data_statement_token1] = ACTIONS(1416),
    [aux_sym_load_data_statement_token1] = ACTIONS(1416),
    [sym__quoted_identifier] = ACTIONS(1414),
    [sym_comment] = ACTIONS(3),
  },
  [5157] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym__unquoted_identifier] = ACTIONS(1444),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1444),
    [aux_sym__keyword_alter_token1] = ACTIONS(1444),
    [aux_sym__keyword_delete_token1] = ACTIONS(1444),
    [aux_sym__keyword_begin_token1] = ACTIONS(1444),
    [aux_sym__keyword_when_token1] = ACTIONS(1444),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1444),
    [aux_sym__keyword_as_token1] = ACTIONS(1444),
    [aux_sym__keyword_window_token1] = ACTIONS(1444),
    [aux_sym__keyword_date_token1] = ACTIONS(1444),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1444),
    [aux_sym__keyword_time_token1] = ACTIONS(1444),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1444),
    [aux_sym__keyword_for_token1] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1442),
    [aux_sym_set_statement_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1444),
    [aux_sym_using_clause_token1] = ACTIONS(1444),
    [aux_sym_return_satement_token1] = ACTIONS(1444),
    [aux_sym_call_statement_token1] = ACTIONS(1444),
    [aux_sym_loop_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [aux_sym_leave_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_iterate_statement_token1] = ACTIONS(1444),
    [aux_sym_raise_statement_token1] = ACTIONS(1444),
    [aux_sym_assert_statement_token1] = ACTIONS(1444),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1444),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token1] = ACTIONS(1444),
    [aux_sym_set_operation_token3] = ACTIONS(1444),
    [aux_sym_set_operation_token4] = ACTIONS(1444),
    [aux_sym_select_token1] = ACTIONS(1444),
    [aux_sym_having_clause_token1] = ACTIONS(1444),
    [aux_sym_qualify_clause_token1] = ACTIONS(1444),
    [aux_sym_limit_clause_token1] = ACTIONS(1444),
    [aux_sym_group_by_clause_token1] = ACTIONS(1444),
    [aux_sym_order_by_clause_token1] = ACTIONS(1444),
    [aux_sym_where_clause_token1] = ACTIONS(1444),
    [aux_sym_pivot_operator_token1] = ACTIONS(1444),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1444),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1444),
    [aux_sym_join_type_token1] = ACTIONS(1444),
    [aux_sym_join_type_token2] = ACTIONS(1444),
    [aux_sym_join_type_token3] = ACTIONS(1444),
    [aux_sym_join_type_token4] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1444),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1444),
    [aux_sym_join_condition_token1] = ACTIONS(1444),
    [aux_sym_insert_statement_token1] = ACTIONS(1444),
    [aux_sym_truncate_statement_token1] = ACTIONS(1444),
    [aux_sym_update_statement_token1] = ACTIONS(1444),
    [aux_sym_merge_statement_token1] = ACTIONS(1444),
    [aux_sym_grant_statement_token1] = ACTIONS(1444),
    [aux_sym_revoke_statement_token1] = ACTIONS(1444),
    [aux_sym_export_data_statement_token1] = ACTIONS(1444),
    [aux_sym_load_data_statement_token1] = ACTIONS(1444),
    [sym__quoted_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
  },
  [5158] = {
    [ts_builtin_sym_end] = ACTIONS(1752),
    [sym__unquoted_identifier] = ACTIONS(1754),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1754),
    [aux_sym__keyword_alter_token1] = ACTIONS(1754),
    [aux_sym__keyword_delete_token1] = ACTIONS(1754),
    [aux_sym__keyword_begin_token1] = ACTIONS(1754),
    [aux_sym__keyword_when_token1] = ACTIONS(1754),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1754),
    [aux_sym__keyword_as_token1] = ACTIONS(1754),
    [aux_sym__keyword_window_token1] = ACTIONS(1754),
    [aux_sym__keyword_date_token1] = ACTIONS(1754),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1754),
    [aux_sym__keyword_time_token1] = ACTIONS(1754),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1754),
    [aux_sym__keyword_for_token1] = ACTIONS(1754),
    [anon_sym_SEMI] = ACTIONS(1752),
    [aux_sym_declare_statement_token1] = ACTIONS(1754),
    [anon_sym_COMMA] = ACTIONS(1752),
    [aux_sym_set_statement_token1] = ACTIONS(1754),
    [anon_sym_LPAREN] = ACTIONS(1752),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1754),
    [aux_sym_using_clause_token1] = ACTIONS(1754),
    [aux_sym_return_satement_token1] = ACTIONS(1754),
    [aux_sym_call_statement_token1] = ACTIONS(1754),
    [aux_sym_loop_statement_token1] = ACTIONS(1754),
    [aux_sym_while_statement_token1] = ACTIONS(1754),
    [aux_sym_break_statement_token1] = ACTIONS(1754),
    [aux_sym_leave_statement_token1] = ACTIONS(1754),
    [aux_sym_continue_statement_token1] = ACTIONS(1754),
    [aux_sym_iterate_statement_token1] = ACTIONS(1754),
    [aux_sym_raise_statement_token1] = ACTIONS(1754),
    [aux_sym_assert_statement_token1] = ACTIONS(1754),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1754),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1754),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1754),
    [aux_sym_set_operation_token1] = ACTIONS(1754),
    [aux_sym_set_operation_token3] = ACTIONS(1754),
    [aux_sym_set_operation_token4] = ACTIONS(1754),
    [aux_sym_select_token1] = ACTIONS(1754),
    [aux_sym_having_clause_token1] = ACTIONS(1754),
    [aux_sym_qualify_clause_token1] = ACTIONS(1754),
    [aux_sym_limit_clause_token1] = ACTIONS(1754),
    [aux_sym_group_by_clause_token1] = ACTIONS(1754),
    [aux_sym_order_by_clause_token1] = ACTIONS(1754),
    [aux_sym_where_clause_token1] = ACTIONS(1754),
    [aux_sym_pivot_operator_token1] = ACTIONS(1754),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1754),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1754),
    [aux_sym_join_type_token1] = ACTIONS(1754),
    [aux_sym_join_type_token2] = ACTIONS(1754),
    [aux_sym_join_type_token3] = ACTIONS(1754),
    [aux_sym_join_type_token4] = ACTIONS(1754),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1754),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1754),
    [aux_sym_join_condition_token1] = ACTIONS(1754),
    [aux_sym_insert_statement_token1] = ACTIONS(1754),
    [aux_sym_truncate_statement_token1] = ACTIONS(1754),
    [aux_sym_update_statement_token1] = ACTIONS(1754),
    [aux_sym_merge_statement_token1] = ACTIONS(1754),
    [aux_sym_grant_statement_token1] = ACTIONS(1754),
    [aux_sym_revoke_statement_token1] = ACTIONS(1754),
    [aux_sym_export_data_statement_token1] = ACTIONS(1754),
    [aux_sym_load_data_statement_token1] = ACTIONS(1754),
    [sym__quoted_identifier] = ACTIONS(1752),
    [sym_comment] = ACTIONS(3),
  },
  [5159] = {
    [ts_builtin_sym_end] = ACTIONS(1410),
    [sym__unquoted_identifier] = ACTIONS(1412),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1412),
    [aux_sym__keyword_alter_token1] = ACTIONS(1412),
    [aux_sym__keyword_delete_token1] = ACTIONS(1412),
    [aux_sym__keyword_begin_token1] = ACTIONS(1412),
    [aux_sym__keyword_when_token1] = ACTIONS(1412),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1412),
    [aux_sym__keyword_as_token1] = ACTIONS(1412),
    [aux_sym__keyword_window_token1] = ACTIONS(1412),
    [aux_sym__keyword_date_token1] = ACTIONS(1412),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1412),
    [aux_sym__keyword_time_token1] = ACTIONS(1412),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1412),
    [aux_sym__keyword_for_token1] = ACTIONS(1412),
    [anon_sym_SEMI] = ACTIONS(1410),
    [aux_sym_declare_statement_token1] = ACTIONS(1412),
    [anon_sym_COMMA] = ACTIONS(1410),
    [aux_sym_set_statement_token1] = ACTIONS(1412),
    [anon_sym_LPAREN] = ACTIONS(1410),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1412),
    [aux_sym_using_clause_token1] = ACTIONS(1412),
    [aux_sym_return_satement_token1] = ACTIONS(1412),
    [aux_sym_call_statement_token1] = ACTIONS(1412),
    [aux_sym_loop_statement_token1] = ACTIONS(1412),
    [aux_sym_while_statement_token1] = ACTIONS(1412),
    [aux_sym_break_statement_token1] = ACTIONS(1412),
    [aux_sym_leave_statement_token1] = ACTIONS(1412),
    [aux_sym_continue_statement_token1] = ACTIONS(1412),
    [aux_sym_iterate_statement_token1] = ACTIONS(1412),
    [aux_sym_raise_statement_token1] = ACTIONS(1412),
    [aux_sym_assert_statement_token1] = ACTIONS(1412),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1412),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1412),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1412),
    [aux_sym_set_operation_token1] = ACTIONS(1412),
    [aux_sym_set_operation_token3] = ACTIONS(1412),
    [aux_sym_set_operation_token4] = ACTIONS(1412),
    [aux_sym_select_token1] = ACTIONS(1412),
    [aux_sym_having_clause_token1] = ACTIONS(1412),
    [aux_sym_qualify_clause_token1] = ACTIONS(1412),
    [aux_sym_limit_clause_token1] = ACTIONS(1412),
    [aux_sym_group_by_clause_token1] = ACTIONS(1412),
    [aux_sym_order_by_clause_token1] = ACTIONS(1412),
    [aux_sym_where_clause_token1] = ACTIONS(1412),
    [aux_sym_pivot_operator_token1] = ACTIONS(1412),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1412),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1412),
    [aux_sym_join_type_token1] = ACTIONS(1412),
    [aux_sym_join_type_token2] = ACTIONS(1412),
    [aux_sym_join_type_token3] = ACTIONS(1412),
    [aux_sym_join_type_token4] = ACTIONS(1412),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1412),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1412),
    [aux_sym_join_condition_token1] = ACTIONS(1412),
    [aux_sym_insert_statement_token1] = ACTIONS(1412),
    [aux_sym_truncate_statement_token1] = ACTIONS(1412),
    [aux_sym_update_statement_token1] = ACTIONS(1412),
    [aux_sym_merge_statement_token1] = ACTIONS(1412),
    [aux_sym_grant_statement_token1] = ACTIONS(1412),
    [aux_sym_revoke_statement_token1] = ACTIONS(1412),
    [aux_sym_export_data_statement_token1] = ACTIONS(1412),
    [aux_sym_load_data_statement_token1] = ACTIONS(1412),
    [sym__quoted_identifier] = ACTIONS(1410),
    [sym_comment] = ACTIONS(3),
  },
  [5160] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_using_clause_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_pivot_operator_token1] = ACTIONS(1464),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1464),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1464),
    [aux_sym_join_type_token1] = ACTIONS(1464),
    [aux_sym_join_type_token2] = ACTIONS(1464),
    [aux_sym_join_type_token3] = ACTIONS(1464),
    [aux_sym_join_type_token4] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1464),
    [aux_sym_join_condition_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
  },
  [5161] = {
    [ts_builtin_sym_end] = ACTIONS(1406),
    [sym__unquoted_identifier] = ACTIONS(1408),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1408),
    [aux_sym__keyword_alter_token1] = ACTIONS(1408),
    [aux_sym__keyword_delete_token1] = ACTIONS(1408),
    [aux_sym__keyword_begin_token1] = ACTIONS(1408),
    [aux_sym__keyword_when_token1] = ACTIONS(1408),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1408),
    [aux_sym__keyword_as_token1] = ACTIONS(1408),
    [aux_sym__keyword_window_token1] = ACTIONS(1408),
    [aux_sym__keyword_date_token1] = ACTIONS(1408),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1408),
    [aux_sym__keyword_time_token1] = ACTIONS(1408),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1408),
    [aux_sym__keyword_for_token1] = ACTIONS(1408),
    [anon_sym_SEMI] = ACTIONS(1406),
    [aux_sym_declare_statement_token1] = ACTIONS(1408),
    [anon_sym_COMMA] = ACTIONS(1406),
    [aux_sym_set_statement_token1] = ACTIONS(1408),
    [anon_sym_LPAREN] = ACTIONS(1406),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1408),
    [aux_sym_using_clause_token1] = ACTIONS(1408),
    [aux_sym_return_satement_token1] = ACTIONS(1408),
    [aux_sym_call_statement_token1] = ACTIONS(1408),
    [aux_sym_loop_statement_token1] = ACTIONS(1408),
    [aux_sym_while_statement_token1] = ACTIONS(1408),
    [aux_sym_break_statement_token1] = ACTIONS(1408),
    [aux_sym_leave_statement_token1] = ACTIONS(1408),
    [aux_sym_continue_statement_token1] = ACTIONS(1408),
    [aux_sym_iterate_statement_token1] = ACTIONS(1408),
    [aux_sym_raise_statement_token1] = ACTIONS(1408),
    [aux_sym_assert_statement_token1] = ACTIONS(1408),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1408),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1408),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1408),
    [aux_sym_set_operation_token1] = ACTIONS(1408),
    [aux_sym_set_operation_token3] = ACTIONS(1408),
    [aux_sym_set_operation_token4] = ACTIONS(1408),
    [aux_sym_select_token1] = ACTIONS(1408),
    [aux_sym_having_clause_token1] = ACTIONS(1408),
    [aux_sym_qualify_clause_token1] = ACTIONS(1408),
    [aux_sym_limit_clause_token1] = ACTIONS(1408),
    [aux_sym_group_by_clause_token1] = ACTIONS(1408),
    [aux_sym_order_by_clause_token1] = ACTIONS(1408),
    [aux_sym_where_clause_token1] = ACTIONS(1408),
    [aux_sym_pivot_operator_token1] = ACTIONS(1408),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1408),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1408),
    [aux_sym_join_type_token1] = ACTIONS(1408),
    [aux_sym_join_type_token2] = ACTIONS(1408),
    [aux_sym_join_type_token3] = ACTIONS(1408),
    [aux_sym_join_type_token4] = ACTIONS(1408),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1408),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1408),
    [aux_sym_join_condition_token1] = ACTIONS(1408),
    [aux_sym_insert_statement_token1] = ACTIONS(1408),
    [aux_sym_truncate_statement_token1] = ACTIONS(1408),
    [aux_sym_update_statement_token1] = ACTIONS(1408),
    [aux_sym_merge_statement_token1] = ACTIONS(1408),
    [aux_sym_grant_statement_token1] = ACTIONS(1408),
    [aux_sym_revoke_statement_token1] = ACTIONS(1408),
    [aux_sym_export_data_statement_token1] = ACTIONS(1408),
    [aux_sym_load_data_statement_token1] = ACTIONS(1408),
    [sym__quoted_identifier] = ACTIONS(1406),
    [sym_comment] = ACTIONS(3),
  },
  [5162] = {
    [ts_builtin_sym_end] = ACTIONS(1398),
    [sym__unquoted_identifier] = ACTIONS(1400),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1400),
    [aux_sym__keyword_alter_token1] = ACTIONS(1400),
    [aux_sym__keyword_delete_token1] = ACTIONS(1400),
    [aux_sym__keyword_begin_token1] = ACTIONS(1400),
    [aux_sym__keyword_when_token1] = ACTIONS(1400),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1400),
    [aux_sym__keyword_as_token1] = ACTIONS(1400),
    [aux_sym__keyword_window_token1] = ACTIONS(1400),
    [aux_sym__keyword_date_token1] = ACTIONS(1400),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1400),
    [aux_sym__keyword_time_token1] = ACTIONS(1400),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1400),
    [aux_sym__keyword_for_token1] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1400),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_set_statement_token1] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1400),
    [aux_sym_using_clause_token1] = ACTIONS(1400),
    [aux_sym_return_satement_token1] = ACTIONS(1400),
    [aux_sym_call_statement_token1] = ACTIONS(1400),
    [aux_sym_loop_statement_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token1] = ACTIONS(1400),
    [aux_sym_break_statement_token1] = ACTIONS(1400),
    [aux_sym_leave_statement_token1] = ACTIONS(1400),
    [aux_sym_continue_statement_token1] = ACTIONS(1400),
    [aux_sym_iterate_statement_token1] = ACTIONS(1400),
    [aux_sym_raise_statement_token1] = ACTIONS(1400),
    [aux_sym_assert_statement_token1] = ACTIONS(1400),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1400),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1400),
    [aux_sym_set_operation_token1] = ACTIONS(1400),
    [aux_sym_set_operation_token3] = ACTIONS(1400),
    [aux_sym_set_operation_token4] = ACTIONS(1400),
    [aux_sym_select_token1] = ACTIONS(1400),
    [aux_sym_having_clause_token1] = ACTIONS(1400),
    [aux_sym_qualify_clause_token1] = ACTIONS(1400),
    [aux_sym_limit_clause_token1] = ACTIONS(1400),
    [aux_sym_group_by_clause_token1] = ACTIONS(1400),
    [aux_sym_order_by_clause_token1] = ACTIONS(1400),
    [aux_sym_where_clause_token1] = ACTIONS(1400),
    [aux_sym_pivot_operator_token1] = ACTIONS(1400),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1400),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1400),
    [aux_sym_join_type_token1] = ACTIONS(1400),
    [aux_sym_join_type_token2] = ACTIONS(1400),
    [aux_sym_join_type_token3] = ACTIONS(1400),
    [aux_sym_join_type_token4] = ACTIONS(1400),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1400),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1400),
    [aux_sym_join_condition_token1] = ACTIONS(1400),
    [aux_sym_insert_statement_token1] = ACTIONS(1400),
    [aux_sym_truncate_statement_token1] = ACTIONS(1400),
    [aux_sym_update_statement_token1] = ACTIONS(1400),
    [aux_sym_merge_statement_token1] = ACTIONS(1400),
    [aux_sym_grant_statement_token1] = ACTIONS(1400),
    [aux_sym_revoke_statement_token1] = ACTIONS(1400),
    [aux_sym_export_data_statement_token1] = ACTIONS(1400),
    [aux_sym_load_data_statement_token1] = ACTIONS(1400),
    [sym__quoted_identifier] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
  },
  [5163] = {
    [ts_builtin_sym_end] = ACTIONS(1394),
    [sym__unquoted_identifier] = ACTIONS(1396),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1396),
    [aux_sym__keyword_alter_token1] = ACTIONS(1396),
    [aux_sym__keyword_delete_token1] = ACTIONS(1396),
    [aux_sym__keyword_begin_token1] = ACTIONS(1396),
    [aux_sym__keyword_when_token1] = ACTIONS(1396),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1396),
    [aux_sym__keyword_as_token1] = ACTIONS(1396),
    [aux_sym__keyword_window_token1] = ACTIONS(1396),
    [aux_sym__keyword_date_token1] = ACTIONS(1396),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1396),
    [aux_sym__keyword_time_token1] = ACTIONS(1396),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1396),
    [aux_sym__keyword_for_token1] = ACTIONS(1396),
    [anon_sym_SEMI] = ACTIONS(1394),
    [aux_sym_declare_statement_token1] = ACTIONS(1396),
    [anon_sym_COMMA] = ACTIONS(1394),
    [aux_sym_set_statement_token1] = ACTIONS(1396),
    [anon_sym_LPAREN] = ACTIONS(1394),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1396),
    [aux_sym_using_clause_token1] = ACTIONS(1396),
    [aux_sym_return_satement_token1] = ACTIONS(1396),
    [aux_sym_call_statement_token1] = ACTIONS(1396),
    [aux_sym_loop_statement_token1] = ACTIONS(1396),
    [aux_sym_while_statement_token1] = ACTIONS(1396),
    [aux_sym_break_statement_token1] = ACTIONS(1396),
    [aux_sym_leave_statement_token1] = ACTIONS(1396),
    [aux_sym_continue_statement_token1] = ACTIONS(1396),
    [aux_sym_iterate_statement_token1] = ACTIONS(1396),
    [aux_sym_raise_statement_token1] = ACTIONS(1396),
    [aux_sym_assert_statement_token1] = ACTIONS(1396),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1396),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1396),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1396),
    [aux_sym_set_operation_token1] = ACTIONS(1396),
    [aux_sym_set_operation_token3] = ACTIONS(1396),
    [aux_sym_set_operation_token4] = ACTIONS(1396),
    [aux_sym_select_token1] = ACTIONS(1396),
    [aux_sym_having_clause_token1] = ACTIONS(1396),
    [aux_sym_qualify_clause_token1] = ACTIONS(1396),
    [aux_sym_limit_clause_token1] = ACTIONS(1396),
    [aux_sym_group_by_clause_token1] = ACTIONS(1396),
    [aux_sym_order_by_clause_token1] = ACTIONS(1396),
    [aux_sym_where_clause_token1] = ACTIONS(1396),
    [aux_sym_pivot_operator_token1] = ACTIONS(1396),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1396),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1396),
    [aux_sym_join_type_token1] = ACTIONS(1396),
    [aux_sym_join_type_token2] = ACTIONS(1396),
    [aux_sym_join_type_token3] = ACTIONS(1396),
    [aux_sym_join_type_token4] = ACTIONS(1396),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1396),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1396),
    [aux_sym_join_condition_token1] = ACTIONS(1396),
    [aux_sym_insert_statement_token1] = ACTIONS(1396),
    [aux_sym_truncate_statement_token1] = ACTIONS(1396),
    [aux_sym_update_statement_token1] = ACTIONS(1396),
    [aux_sym_merge_statement_token1] = ACTIONS(1396),
    [aux_sym_grant_statement_token1] = ACTIONS(1396),
    [aux_sym_revoke_statement_token1] = ACTIONS(1396),
    [aux_sym_export_data_statement_token1] = ACTIONS(1396),
    [aux_sym_load_data_statement_token1] = ACTIONS(1396),
    [sym__quoted_identifier] = ACTIONS(1394),
    [sym_comment] = ACTIONS(3),
  },
  [5164] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [5165] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_using_clause_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_pivot_operator_token1] = ACTIONS(1464),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1464),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1464),
    [aux_sym_join_type_token1] = ACTIONS(1464),
    [aux_sym_join_type_token2] = ACTIONS(1464),
    [aux_sym_join_type_token3] = ACTIONS(1464),
    [aux_sym_join_type_token4] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1464),
    [aux_sym_join_condition_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
  },
  [5166] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [5167] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [5168] = {
    [ts_builtin_sym_end] = ACTIONS(1842),
    [sym__unquoted_identifier] = ACTIONS(1844),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1844),
    [aux_sym__keyword_alter_token1] = ACTIONS(1844),
    [aux_sym__keyword_delete_token1] = ACTIONS(1844),
    [aux_sym__keyword_begin_token1] = ACTIONS(1844),
    [aux_sym__keyword_when_token1] = ACTIONS(1844),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1844),
    [aux_sym__keyword_as_token1] = ACTIONS(1844),
    [aux_sym__keyword_window_token1] = ACTIONS(1844),
    [aux_sym__keyword_date_token1] = ACTIONS(1844),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1844),
    [aux_sym__keyword_time_token1] = ACTIONS(1844),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1844),
    [aux_sym__keyword_for_token1] = ACTIONS(1844),
    [anon_sym_SEMI] = ACTIONS(1842),
    [aux_sym_declare_statement_token1] = ACTIONS(1844),
    [anon_sym_COMMA] = ACTIONS(1842),
    [aux_sym_set_statement_token1] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1842),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1844),
    [aux_sym_using_clause_token1] = ACTIONS(1844),
    [aux_sym_return_satement_token1] = ACTIONS(1844),
    [aux_sym_call_statement_token1] = ACTIONS(1844),
    [aux_sym_loop_statement_token1] = ACTIONS(1844),
    [aux_sym_while_statement_token1] = ACTIONS(1844),
    [aux_sym_break_statement_token1] = ACTIONS(1844),
    [aux_sym_leave_statement_token1] = ACTIONS(1844),
    [aux_sym_continue_statement_token1] = ACTIONS(1844),
    [aux_sym_iterate_statement_token1] = ACTIONS(1844),
    [aux_sym_raise_statement_token1] = ACTIONS(1844),
    [aux_sym_assert_statement_token1] = ACTIONS(1844),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1844),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1844),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1844),
    [aux_sym_set_operation_token1] = ACTIONS(1844),
    [aux_sym_set_operation_token3] = ACTIONS(1844),
    [aux_sym_set_operation_token4] = ACTIONS(1844),
    [aux_sym_select_token1] = ACTIONS(1844),
    [aux_sym_having_clause_token1] = ACTIONS(1844),
    [aux_sym_qualify_clause_token1] = ACTIONS(1844),
    [aux_sym_limit_clause_token1] = ACTIONS(1844),
    [aux_sym_group_by_clause_token1] = ACTIONS(1844),
    [aux_sym_order_by_clause_token1] = ACTIONS(1844),
    [aux_sym_where_clause_token1] = ACTIONS(1844),
    [aux_sym_pivot_operator_token1] = ACTIONS(1844),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1844),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1844),
    [aux_sym_join_type_token1] = ACTIONS(1844),
    [aux_sym_join_type_token2] = ACTIONS(1844),
    [aux_sym_join_type_token3] = ACTIONS(1844),
    [aux_sym_join_type_token4] = ACTIONS(1844),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1844),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1844),
    [aux_sym_join_condition_token1] = ACTIONS(1844),
    [aux_sym_insert_statement_token1] = ACTIONS(1844),
    [aux_sym_truncate_statement_token1] = ACTIONS(1844),
    [aux_sym_update_statement_token1] = ACTIONS(1844),
    [aux_sym_merge_statement_token1] = ACTIONS(1844),
    [aux_sym_grant_statement_token1] = ACTIONS(1844),
    [aux_sym_revoke_statement_token1] = ACTIONS(1844),
    [aux_sym_export_data_statement_token1] = ACTIONS(1844),
    [aux_sym_load_data_statement_token1] = ACTIONS(1844),
    [sym__quoted_identifier] = ACTIONS(1842),
    [sym_comment] = ACTIONS(3),
  },
  [5169] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [5170] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_using_clause_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_pivot_operator_token1] = ACTIONS(1464),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1464),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1464),
    [aux_sym_join_type_token1] = ACTIONS(1464),
    [aux_sym_join_type_token2] = ACTIONS(1464),
    [aux_sym_join_type_token3] = ACTIONS(1464),
    [aux_sym_join_type_token4] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1464),
    [aux_sym_join_condition_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
  },
  [5171] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [5172] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [5173] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [5174] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_using_clause_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_pivot_operator_token1] = ACTIONS(1464),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1464),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1464),
    [aux_sym_join_type_token1] = ACTIONS(1464),
    [aux_sym_join_type_token2] = ACTIONS(1464),
    [aux_sym_join_type_token3] = ACTIONS(1464),
    [aux_sym_join_type_token4] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1464),
    [aux_sym_join_condition_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
  },
  [5175] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [5176] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_using_clause_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_pivot_operator_token1] = ACTIONS(1464),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1464),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1464),
    [aux_sym_join_type_token1] = ACTIONS(1464),
    [aux_sym_join_type_token2] = ACTIONS(1464),
    [aux_sym_join_type_token3] = ACTIONS(1464),
    [aux_sym_join_type_token4] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1464),
    [aux_sym_join_condition_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
  },
  [5177] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [5178] = {
    [ts_builtin_sym_end] = ACTIONS(1594),
    [sym__unquoted_identifier] = ACTIONS(1596),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1596),
    [aux_sym__keyword_alter_token1] = ACTIONS(1596),
    [aux_sym__keyword_delete_token1] = ACTIONS(1596),
    [aux_sym__keyword_begin_token1] = ACTIONS(1596),
    [aux_sym__keyword_when_token1] = ACTIONS(1596),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1596),
    [aux_sym__keyword_as_token1] = ACTIONS(1596),
    [aux_sym__keyword_window_token1] = ACTIONS(1596),
    [aux_sym__keyword_date_token1] = ACTIONS(1596),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1596),
    [aux_sym__keyword_time_token1] = ACTIONS(1596),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1596),
    [aux_sym__keyword_for_token1] = ACTIONS(1596),
    [anon_sym_SEMI] = ACTIONS(1594),
    [aux_sym_declare_statement_token1] = ACTIONS(1596),
    [anon_sym_COMMA] = ACTIONS(1594),
    [aux_sym_set_statement_token1] = ACTIONS(1596),
    [anon_sym_LPAREN] = ACTIONS(1594),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1596),
    [aux_sym_using_clause_token1] = ACTIONS(1596),
    [aux_sym_return_satement_token1] = ACTIONS(1596),
    [aux_sym_call_statement_token1] = ACTIONS(1596),
    [aux_sym_loop_statement_token1] = ACTIONS(1596),
    [aux_sym_while_statement_token1] = ACTIONS(1596),
    [aux_sym_break_statement_token1] = ACTIONS(1596),
    [aux_sym_leave_statement_token1] = ACTIONS(1596),
    [aux_sym_continue_statement_token1] = ACTIONS(1596),
    [aux_sym_iterate_statement_token1] = ACTIONS(1596),
    [aux_sym_raise_statement_token1] = ACTIONS(1596),
    [aux_sym_assert_statement_token1] = ACTIONS(1596),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1596),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1596),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1596),
    [aux_sym_set_operation_token1] = ACTIONS(1596),
    [aux_sym_set_operation_token3] = ACTIONS(1596),
    [aux_sym_set_operation_token4] = ACTIONS(1596),
    [aux_sym_select_token1] = ACTIONS(1596),
    [aux_sym_having_clause_token1] = ACTIONS(1596),
    [aux_sym_qualify_clause_token1] = ACTIONS(1596),
    [aux_sym_limit_clause_token1] = ACTIONS(1596),
    [aux_sym_group_by_clause_token1] = ACTIONS(1596),
    [aux_sym_order_by_clause_token1] = ACTIONS(1596),
    [aux_sym_where_clause_token1] = ACTIONS(1596),
    [aux_sym_pivot_operator_token1] = ACTIONS(1596),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1596),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1596),
    [aux_sym_join_type_token1] = ACTIONS(1596),
    [aux_sym_join_type_token2] = ACTIONS(1596),
    [aux_sym_join_type_token3] = ACTIONS(1596),
    [aux_sym_join_type_token4] = ACTIONS(1596),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1596),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1596),
    [aux_sym_join_condition_token1] = ACTIONS(1596),
    [aux_sym_insert_statement_token1] = ACTIONS(1596),
    [aux_sym_truncate_statement_token1] = ACTIONS(1596),
    [aux_sym_update_statement_token1] = ACTIONS(1596),
    [aux_sym_merge_statement_token1] = ACTIONS(1596),
    [aux_sym_grant_statement_token1] = ACTIONS(1596),
    [aux_sym_revoke_statement_token1] = ACTIONS(1596),
    [aux_sym_export_data_statement_token1] = ACTIONS(1596),
    [aux_sym_load_data_statement_token1] = ACTIONS(1596),
    [sym__quoted_identifier] = ACTIONS(1594),
    [sym_comment] = ACTIONS(3),
  },
  [5179] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_using_clause_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_pivot_operator_token1] = ACTIONS(1464),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1464),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1464),
    [aux_sym_join_type_token1] = ACTIONS(1464),
    [aux_sym_join_type_token2] = ACTIONS(1464),
    [aux_sym_join_type_token3] = ACTIONS(1464),
    [aux_sym_join_type_token4] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1464),
    [aux_sym_join_condition_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
  },
  [5180] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_using_clause_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_pivot_operator_token1] = ACTIONS(1464),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1464),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1464),
    [aux_sym_join_type_token1] = ACTIONS(1464),
    [aux_sym_join_type_token2] = ACTIONS(1464),
    [aux_sym_join_type_token3] = ACTIONS(1464),
    [aux_sym_join_type_token4] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1464),
    [aux_sym_join_condition_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
  },
  [5181] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__unquoted_identifier] = ACTIONS(1372),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1372),
    [aux_sym__keyword_alter_token1] = ACTIONS(1372),
    [aux_sym__keyword_delete_token1] = ACTIONS(1372),
    [aux_sym__keyword_begin_token1] = ACTIONS(1372),
    [aux_sym__keyword_when_token1] = ACTIONS(1372),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1372),
    [aux_sym__keyword_as_token1] = ACTIONS(1372),
    [aux_sym__keyword_window_token1] = ACTIONS(1372),
    [aux_sym__keyword_date_token1] = ACTIONS(1372),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1372),
    [aux_sym__keyword_time_token1] = ACTIONS(1372),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1372),
    [aux_sym__keyword_for_token1] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [anon_sym_COMMA] = ACTIONS(1370),
    [aux_sym_set_statement_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1372),
    [aux_sym_using_clause_token1] = ACTIONS(1372),
    [aux_sym_return_satement_token1] = ACTIONS(1372),
    [aux_sym_call_statement_token1] = ACTIONS(1372),
    [aux_sym_loop_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [aux_sym_leave_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_iterate_statement_token1] = ACTIONS(1372),
    [aux_sym_raise_statement_token1] = ACTIONS(1372),
    [aux_sym_assert_statement_token1] = ACTIONS(1372),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1372),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token1] = ACTIONS(1372),
    [aux_sym_set_operation_token3] = ACTIONS(1372),
    [aux_sym_set_operation_token4] = ACTIONS(1372),
    [aux_sym_select_token1] = ACTIONS(1372),
    [aux_sym_having_clause_token1] = ACTIONS(1372),
    [aux_sym_qualify_clause_token1] = ACTIONS(1372),
    [aux_sym_limit_clause_token1] = ACTIONS(1372),
    [aux_sym_group_by_clause_token1] = ACTIONS(1372),
    [aux_sym_order_by_clause_token1] = ACTIONS(1372),
    [aux_sym_where_clause_token1] = ACTIONS(1372),
    [aux_sym_pivot_operator_token1] = ACTIONS(1372),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1372),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1372),
    [aux_sym_join_type_token1] = ACTIONS(1372),
    [aux_sym_join_type_token2] = ACTIONS(1372),
    [aux_sym_join_type_token3] = ACTIONS(1372),
    [aux_sym_join_type_token4] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1372),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1372),
    [aux_sym_join_condition_token1] = ACTIONS(1372),
    [aux_sym_insert_statement_token1] = ACTIONS(1372),
    [aux_sym_truncate_statement_token1] = ACTIONS(1372),
    [aux_sym_update_statement_token1] = ACTIONS(1372),
    [aux_sym_merge_statement_token1] = ACTIONS(1372),
    [aux_sym_grant_statement_token1] = ACTIONS(1372),
    [aux_sym_revoke_statement_token1] = ACTIONS(1372),
    [aux_sym_export_data_statement_token1] = ACTIONS(1372),
    [aux_sym_load_data_statement_token1] = ACTIONS(1372),
    [sym__quoted_identifier] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [5182] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_using_clause_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_pivot_operator_token1] = ACTIONS(1464),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1464),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1464),
    [aux_sym_join_type_token1] = ACTIONS(1464),
    [aux_sym_join_type_token2] = ACTIONS(1464),
    [aux_sym_join_type_token3] = ACTIONS(1464),
    [aux_sym_join_type_token4] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1464),
    [aux_sym_join_condition_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
  },
  [5183] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_using_clause_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_pivot_operator_token1] = ACTIONS(1464),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1464),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1464),
    [aux_sym_join_type_token1] = ACTIONS(1464),
    [aux_sym_join_type_token2] = ACTIONS(1464),
    [aux_sym_join_type_token3] = ACTIONS(1464),
    [aux_sym_join_type_token4] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1464),
    [aux_sym_join_condition_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
  },
  [5184] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_using_clause_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_pivot_operator_token1] = ACTIONS(1464),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1464),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1464),
    [aux_sym_join_type_token1] = ACTIONS(1464),
    [aux_sym_join_type_token2] = ACTIONS(1464),
    [aux_sym_join_type_token3] = ACTIONS(1464),
    [aux_sym_join_type_token4] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1464),
    [aux_sym_join_condition_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
  },
  [5185] = {
    [ts_builtin_sym_end] = ACTIONS(1504),
    [sym__unquoted_identifier] = ACTIONS(1506),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1506),
    [aux_sym__keyword_alter_token1] = ACTIONS(1506),
    [aux_sym__keyword_delete_token1] = ACTIONS(1506),
    [aux_sym__keyword_begin_token1] = ACTIONS(1506),
    [aux_sym__keyword_when_token1] = ACTIONS(1506),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1506),
    [aux_sym__keyword_as_token1] = ACTIONS(1506),
    [aux_sym__keyword_window_token1] = ACTIONS(1506),
    [aux_sym__keyword_date_token1] = ACTIONS(1506),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1506),
    [aux_sym__keyword_time_token1] = ACTIONS(1506),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1506),
    [aux_sym__keyword_for_token1] = ACTIONS(1506),
    [anon_sym_SEMI] = ACTIONS(1504),
    [aux_sym_declare_statement_token1] = ACTIONS(1506),
    [anon_sym_COMMA] = ACTIONS(1504),
    [aux_sym_set_statement_token1] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1504),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1506),
    [aux_sym_using_clause_token1] = ACTIONS(1506),
    [aux_sym_return_satement_token1] = ACTIONS(1506),
    [aux_sym_call_statement_token1] = ACTIONS(1506),
    [aux_sym_loop_statement_token1] = ACTIONS(1506),
    [aux_sym_while_statement_token1] = ACTIONS(1506),
    [aux_sym_break_statement_token1] = ACTIONS(1506),
    [aux_sym_leave_statement_token1] = ACTIONS(1506),
    [aux_sym_continue_statement_token1] = ACTIONS(1506),
    [aux_sym_iterate_statement_token1] = ACTIONS(1506),
    [aux_sym_raise_statement_token1] = ACTIONS(1506),
    [aux_sym_assert_statement_token1] = ACTIONS(1506),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1506),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1506),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1506),
    [aux_sym_set_operation_token1] = ACTIONS(1506),
    [aux_sym_set_operation_token3] = ACTIONS(1506),
    [aux_sym_set_operation_token4] = ACTIONS(1506),
    [aux_sym_select_token1] = ACTIONS(1506),
    [aux_sym_having_clause_token1] = ACTIONS(1506),
    [aux_sym_qualify_clause_token1] = ACTIONS(1506),
    [aux_sym_limit_clause_token1] = ACTIONS(1506),
    [aux_sym_group_by_clause_token1] = ACTIONS(1506),
    [aux_sym_order_by_clause_token1] = ACTIONS(1506),
    [aux_sym_where_clause_token1] = ACTIONS(1506),
    [aux_sym_pivot_operator_token1] = ACTIONS(1506),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1506),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1506),
    [aux_sym_join_type_token1] = ACTIONS(1506),
    [aux_sym_join_type_token2] = ACTIONS(1506),
    [aux_sym_join_type_token3] = ACTIONS(1506),
    [aux_sym_join_type_token4] = ACTIONS(1506),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1506),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1506),
    [aux_sym_join_condition_token1] = ACTIONS(1506),
    [aux_sym_insert_statement_token1] = ACTIONS(1506),
    [aux_sym_truncate_statement_token1] = ACTIONS(1506),
    [aux_sym_update_statement_token1] = ACTIONS(1506),
    [aux_sym_merge_statement_token1] = ACTIONS(1506),
    [aux_sym_grant_statement_token1] = ACTIONS(1506),
    [aux_sym_revoke_statement_token1] = ACTIONS(1506),
    [aux_sym_export_data_statement_token1] = ACTIONS(1506),
    [aux_sym_load_data_statement_token1] = ACTIONS(1506),
    [sym__quoted_identifier] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
  },
  [5186] = {
    [ts_builtin_sym_end] = ACTIONS(1500),
    [sym__unquoted_identifier] = ACTIONS(1502),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1502),
    [aux_sym__keyword_alter_token1] = ACTIONS(1502),
    [aux_sym__keyword_delete_token1] = ACTIONS(1502),
    [aux_sym__keyword_begin_token1] = ACTIONS(1502),
    [aux_sym__keyword_when_token1] = ACTIONS(1502),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1502),
    [aux_sym__keyword_as_token1] = ACTIONS(1502),
    [aux_sym__keyword_window_token1] = ACTIONS(1502),
    [aux_sym__keyword_date_token1] = ACTIONS(1502),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1502),
    [aux_sym__keyword_time_token1] = ACTIONS(1502),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1502),
    [aux_sym__keyword_for_token1] = ACTIONS(1502),
    [anon_sym_SEMI] = ACTIONS(1500),
    [aux_sym_declare_statement_token1] = ACTIONS(1502),
    [anon_sym_COMMA] = ACTIONS(1500),
    [aux_sym_set_statement_token1] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1500),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1502),
    [aux_sym_using_clause_token1] = ACTIONS(1502),
    [aux_sym_return_satement_token1] = ACTIONS(1502),
    [aux_sym_call_statement_token1] = ACTIONS(1502),
    [aux_sym_loop_statement_token1] = ACTIONS(1502),
    [aux_sym_while_statement_token1] = ACTIONS(1502),
    [aux_sym_break_statement_token1] = ACTIONS(1502),
    [aux_sym_leave_statement_token1] = ACTIONS(1502),
    [aux_sym_continue_statement_token1] = ACTIONS(1502),
    [aux_sym_iterate_statement_token1] = ACTIONS(1502),
    [aux_sym_raise_statement_token1] = ACTIONS(1502),
    [aux_sym_assert_statement_token1] = ACTIONS(1502),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1502),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1502),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1502),
    [aux_sym_set_operation_token1] = ACTIONS(1502),
    [aux_sym_set_operation_token3] = ACTIONS(1502),
    [aux_sym_set_operation_token4] = ACTIONS(1502),
    [aux_sym_select_token1] = ACTIONS(1502),
    [aux_sym_having_clause_token1] = ACTIONS(1502),
    [aux_sym_qualify_clause_token1] = ACTIONS(1502),
    [aux_sym_limit_clause_token1] = ACTIONS(1502),
    [aux_sym_group_by_clause_token1] = ACTIONS(1502),
    [aux_sym_order_by_clause_token1] = ACTIONS(1502),
    [aux_sym_where_clause_token1] = ACTIONS(1502),
    [aux_sym_pivot_operator_token1] = ACTIONS(1502),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1502),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1502),
    [aux_sym_join_type_token1] = ACTIONS(1502),
    [aux_sym_join_type_token2] = ACTIONS(1502),
    [aux_sym_join_type_token3] = ACTIONS(1502),
    [aux_sym_join_type_token4] = ACTIONS(1502),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1502),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1502),
    [aux_sym_join_condition_token1] = ACTIONS(1502),
    [aux_sym_insert_statement_token1] = ACTIONS(1502),
    [aux_sym_truncate_statement_token1] = ACTIONS(1502),
    [aux_sym_update_statement_token1] = ACTIONS(1502),
    [aux_sym_merge_statement_token1] = ACTIONS(1502),
    [aux_sym_grant_statement_token1] = ACTIONS(1502),
    [aux_sym_revoke_statement_token1] = ACTIONS(1502),
    [aux_sym_export_data_statement_token1] = ACTIONS(1502),
    [aux_sym_load_data_statement_token1] = ACTIONS(1502),
    [sym__quoted_identifier] = ACTIONS(1500),
    [sym_comment] = ACTIONS(3),
  },
  [5187] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym__unquoted_identifier] = ACTIONS(1464),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1464),
    [aux_sym__keyword_alter_token1] = ACTIONS(1464),
    [aux_sym__keyword_delete_token1] = ACTIONS(1464),
    [aux_sym__keyword_begin_token1] = ACTIONS(1464),
    [aux_sym__keyword_when_token1] = ACTIONS(1464),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1464),
    [aux_sym__keyword_as_token1] = ACTIONS(1464),
    [aux_sym__keyword_window_token1] = ACTIONS(1464),
    [aux_sym__keyword_date_token1] = ACTIONS(1464),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1464),
    [aux_sym__keyword_time_token1] = ACTIONS(1464),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1464),
    [aux_sym__keyword_for_token1] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1462),
    [aux_sym_set_statement_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1464),
    [aux_sym_using_clause_token1] = ACTIONS(1464),
    [aux_sym_return_satement_token1] = ACTIONS(1464),
    [aux_sym_call_statement_token1] = ACTIONS(1464),
    [aux_sym_loop_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [aux_sym_leave_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_iterate_statement_token1] = ACTIONS(1464),
    [aux_sym_raise_statement_token1] = ACTIONS(1464),
    [aux_sym_assert_statement_token1] = ACTIONS(1464),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1464),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token1] = ACTIONS(1464),
    [aux_sym_set_operation_token3] = ACTIONS(1464),
    [aux_sym_set_operation_token4] = ACTIONS(1464),
    [aux_sym_select_token1] = ACTIONS(1464),
    [aux_sym_having_clause_token1] = ACTIONS(1464),
    [aux_sym_qualify_clause_token1] = ACTIONS(1464),
    [aux_sym_limit_clause_token1] = ACTIONS(1464),
    [aux_sym_group_by_clause_token1] = ACTIONS(1464),
    [aux_sym_order_by_clause_token1] = ACTIONS(1464),
    [aux_sym_where_clause_token1] = ACTIONS(1464),
    [aux_sym_pivot_operator_token1] = ACTIONS(1464),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1464),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1464),
    [aux_sym_join_type_token1] = ACTIONS(1464),
    [aux_sym_join_type_token2] = ACTIONS(1464),
    [aux_sym_join_type_token3] = ACTIONS(1464),
    [aux_sym_join_type_token4] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1464),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1464),
    [aux_sym_join_condition_token1] = ACTIONS(1464),
    [aux_sym_insert_statement_token1] = ACTIONS(1464),
    [aux_sym_truncate_statement_token1] = ACTIONS(1464),
    [aux_sym_update_statement_token1] = ACTIONS(1464),
    [aux_sym_merge_statement_token1] = ACTIONS(1464),
    [aux_sym_grant_statement_token1] = ACTIONS(1464),
    [aux_sym_revoke_statement_token1] = ACTIONS(1464),
    [aux_sym_export_data_statement_token1] = ACTIONS(1464),
    [aux_sym_load_data_statement_token1] = ACTIONS(1464),
    [sym__quoted_identifier] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
  },
  [5188] = {
    [ts_builtin_sym_end] = ACTIONS(1374),
    [sym__unquoted_identifier] = ACTIONS(1376),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1376),
    [aux_sym__keyword_alter_token1] = ACTIONS(1376),
    [aux_sym__keyword_delete_token1] = ACTIONS(1376),
    [aux_sym__keyword_begin_token1] = ACTIONS(1376),
    [aux_sym__keyword_when_token1] = ACTIONS(1376),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1376),
    [aux_sym__keyword_as_token1] = ACTIONS(1376),
    [aux_sym__keyword_window_token1] = ACTIONS(1376),
    [aux_sym__keyword_date_token1] = ACTIONS(1376),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1376),
    [aux_sym__keyword_time_token1] = ACTIONS(1376),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1376),
    [aux_sym__keyword_for_token1] = ACTIONS(1376),
    [anon_sym_SEMI] = ACTIONS(1374),
    [aux_sym_declare_statement_token1] = ACTIONS(1376),
    [anon_sym_COMMA] = ACTIONS(1374),
    [aux_sym_set_statement_token1] = ACTIONS(1376),
    [anon_sym_LPAREN] = ACTIONS(1374),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1376),
    [aux_sym_using_clause_token1] = ACTIONS(1376),
    [aux_sym_return_satement_token1] = ACTIONS(1376),
    [aux_sym_call_statement_token1] = ACTIONS(1376),
    [aux_sym_loop_statement_token1] = ACTIONS(1376),
    [aux_sym_while_statement_token1] = ACTIONS(1376),
    [aux_sym_break_statement_token1] = ACTIONS(1376),
    [aux_sym_leave_statement_token1] = ACTIONS(1376),
    [aux_sym_continue_statement_token1] = ACTIONS(1376),
    [aux_sym_iterate_statement_token1] = ACTIONS(1376),
    [aux_sym_raise_statement_token1] = ACTIONS(1376),
    [aux_sym_assert_statement_token1] = ACTIONS(1376),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1376),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1376),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1376),
    [aux_sym_set_operation_token1] = ACTIONS(1376),
    [aux_sym_set_operation_token3] = ACTIONS(1376),
    [aux_sym_set_operation_token4] = ACTIONS(1376),
    [aux_sym_select_token1] = ACTIONS(1376),
    [aux_sym_having_clause_token1] = ACTIONS(1376),
    [aux_sym_qualify_clause_token1] = ACTIONS(1376),
    [aux_sym_limit_clause_token1] = ACTIONS(1376),
    [aux_sym_group_by_clause_token1] = ACTIONS(1376),
    [aux_sym_order_by_clause_token1] = ACTIONS(1376),
    [aux_sym_where_clause_token1] = ACTIONS(1376),
    [aux_sym_pivot_operator_token1] = ACTIONS(1376),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1376),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1376),
    [aux_sym_join_type_token1] = ACTIONS(1376),
    [aux_sym_join_type_token2] = ACTIONS(1376),
    [aux_sym_join_type_token3] = ACTIONS(1376),
    [aux_sym_join_type_token4] = ACTIONS(1376),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1376),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1376),
    [aux_sym_join_condition_token1] = ACTIONS(1376),
    [aux_sym_insert_statement_token1] = ACTIONS(1376),
    [aux_sym_truncate_statement_token1] = ACTIONS(1376),
    [aux_sym_update_statement_token1] = ACTIONS(1376),
    [aux_sym_merge_statement_token1] = ACTIONS(1376),
    [aux_sym_grant_statement_token1] = ACTIONS(1376),
    [aux_sym_revoke_statement_token1] = ACTIONS(1376),
    [aux_sym_export_data_statement_token1] = ACTIONS(1376),
    [aux_sym_load_data_statement_token1] = ACTIONS(1376),
    [sym__quoted_identifier] = ACTIONS(1374),
    [sym_comment] = ACTIONS(3),
  },
  [5189] = {
    [ts_builtin_sym_end] = ACTIONS(1496),
    [sym__unquoted_identifier] = ACTIONS(1498),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1498),
    [aux_sym__keyword_alter_token1] = ACTIONS(1498),
    [aux_sym__keyword_delete_token1] = ACTIONS(1498),
    [aux_sym__keyword_begin_token1] = ACTIONS(1498),
    [aux_sym__keyword_when_token1] = ACTIONS(1498),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1498),
    [aux_sym__keyword_as_token1] = ACTIONS(1498),
    [aux_sym__keyword_window_token1] = ACTIONS(1498),
    [aux_sym__keyword_date_token1] = ACTIONS(1498),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1498),
    [aux_sym__keyword_time_token1] = ACTIONS(1498),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1498),
    [aux_sym__keyword_for_token1] = ACTIONS(1498),
    [anon_sym_SEMI] = ACTIONS(1496),
    [aux_sym_declare_statement_token1] = ACTIONS(1498),
    [anon_sym_COMMA] = ACTIONS(1496),
    [aux_sym_set_statement_token1] = ACTIONS(1498),
    [anon_sym_LPAREN] = ACTIONS(1496),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1498),
    [aux_sym_using_clause_token1] = ACTIONS(1498),
    [aux_sym_return_satement_token1] = ACTIONS(1498),
    [aux_sym_call_statement_token1] = ACTIONS(1498),
    [aux_sym_loop_statement_token1] = ACTIONS(1498),
    [aux_sym_while_statement_token1] = ACTIONS(1498),
    [aux_sym_break_statement_token1] = ACTIONS(1498),
    [aux_sym_leave_statement_token1] = ACTIONS(1498),
    [aux_sym_continue_statement_token1] = ACTIONS(1498),
    [aux_sym_iterate_statement_token1] = ACTIONS(1498),
    [aux_sym_raise_statement_token1] = ACTIONS(1498),
    [aux_sym_assert_statement_token1] = ACTIONS(1498),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1498),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1498),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1498),
    [aux_sym_set_operation_token1] = ACTIONS(1498),
    [aux_sym_set_operation_token3] = ACTIONS(1498),
    [aux_sym_set_operation_token4] = ACTIONS(1498),
    [aux_sym_select_token1] = ACTIONS(1498),
    [aux_sym_having_clause_token1] = ACTIONS(1498),
    [aux_sym_qualify_clause_token1] = ACTIONS(1498),
    [aux_sym_limit_clause_token1] = ACTIONS(1498),
    [aux_sym_group_by_clause_token1] = ACTIONS(1498),
    [aux_sym_order_by_clause_token1] = ACTIONS(1498),
    [aux_sym_where_clause_token1] = ACTIONS(1498),
    [aux_sym_pivot_operator_token1] = ACTIONS(1498),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1498),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1498),
    [aux_sym_join_type_token1] = ACTIONS(1498),
    [aux_sym_join_type_token2] = ACTIONS(1498),
    [aux_sym_join_type_token3] = ACTIONS(1498),
    [aux_sym_join_type_token4] = ACTIONS(1498),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1498),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1498),
    [aux_sym_join_condition_token1] = ACTIONS(1498),
    [aux_sym_insert_statement_token1] = ACTIONS(1498),
    [aux_sym_truncate_statement_token1] = ACTIONS(1498),
    [aux_sym_update_statement_token1] = ACTIONS(1498),
    [aux_sym_merge_statement_token1] = ACTIONS(1498),
    [aux_sym_grant_statement_token1] = ACTIONS(1498),
    [aux_sym_revoke_statement_token1] = ACTIONS(1498),
    [aux_sym_export_data_statement_token1] = ACTIONS(1498),
    [aux_sym_load_data_statement_token1] = ACTIONS(1498),
    [sym__quoted_identifier] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
  },
  [5190] = {
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_using_clause_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_pivot_operator_token1] = ACTIONS(1362),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1362),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1362),
    [aux_sym_join_type_token1] = ACTIONS(1362),
    [aux_sym_join_type_token2] = ACTIONS(1362),
    [aux_sym_join_type_token3] = ACTIONS(1362),
    [aux_sym_join_type_token4] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1362),
    [aux_sym_join_condition_token1] = ACTIONS(1362),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [5191] = {
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_using_clause_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_pivot_operator_token1] = ACTIONS(1362),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1362),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1362),
    [aux_sym_join_type_token1] = ACTIONS(1362),
    [aux_sym_join_type_token2] = ACTIONS(1362),
    [aux_sym_join_type_token3] = ACTIONS(1362),
    [aux_sym_join_type_token4] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1362),
    [aux_sym_join_condition_token1] = ACTIONS(1362),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [5192] = {
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_using_clause_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_pivot_operator_token1] = ACTIONS(1362),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1362),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1362),
    [aux_sym_join_type_token1] = ACTIONS(1362),
    [aux_sym_join_type_token2] = ACTIONS(1362),
    [aux_sym_join_type_token3] = ACTIONS(1362),
    [aux_sym_join_type_token4] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1362),
    [aux_sym_join_condition_token1] = ACTIONS(1362),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [5193] = {
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_using_clause_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_pivot_operator_token1] = ACTIONS(1362),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1362),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1362),
    [aux_sym_join_type_token1] = ACTIONS(1362),
    [aux_sym_join_type_token2] = ACTIONS(1362),
    [aux_sym_join_type_token3] = ACTIONS(1362),
    [aux_sym_join_type_token4] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1362),
    [aux_sym_join_condition_token1] = ACTIONS(1362),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [5194] = {
    [ts_builtin_sym_end] = ACTIONS(1684),
    [sym__unquoted_identifier] = ACTIONS(1686),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1686),
    [aux_sym__keyword_alter_token1] = ACTIONS(1686),
    [aux_sym__keyword_delete_token1] = ACTIONS(1686),
    [aux_sym__keyword_begin_token1] = ACTIONS(1686),
    [aux_sym__keyword_when_token1] = ACTIONS(1686),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1686),
    [aux_sym__keyword_as_token1] = ACTIONS(1686),
    [aux_sym__keyword_window_token1] = ACTIONS(1686),
    [aux_sym__keyword_date_token1] = ACTIONS(1686),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1686),
    [aux_sym__keyword_time_token1] = ACTIONS(1686),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1686),
    [aux_sym__keyword_for_token1] = ACTIONS(1686),
    [anon_sym_SEMI] = ACTIONS(1684),
    [aux_sym_declare_statement_token1] = ACTIONS(1686),
    [anon_sym_COMMA] = ACTIONS(1684),
    [aux_sym_set_statement_token1] = ACTIONS(1686),
    [anon_sym_LPAREN] = ACTIONS(1684),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1686),
    [aux_sym_using_clause_token1] = ACTIONS(1686),
    [aux_sym_return_satement_token1] = ACTIONS(1686),
    [aux_sym_call_statement_token1] = ACTIONS(1686),
    [aux_sym_loop_statement_token1] = ACTIONS(1686),
    [aux_sym_while_statement_token1] = ACTIONS(1686),
    [aux_sym_break_statement_token1] = ACTIONS(1686),
    [aux_sym_leave_statement_token1] = ACTIONS(1686),
    [aux_sym_continue_statement_token1] = ACTIONS(1686),
    [aux_sym_iterate_statement_token1] = ACTIONS(1686),
    [aux_sym_raise_statement_token1] = ACTIONS(1686),
    [aux_sym_assert_statement_token1] = ACTIONS(1686),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1686),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1686),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1686),
    [aux_sym_set_operation_token1] = ACTIONS(1686),
    [aux_sym_set_operation_token3] = ACTIONS(1686),
    [aux_sym_set_operation_token4] = ACTIONS(1686),
    [aux_sym_select_token1] = ACTIONS(1686),
    [aux_sym_having_clause_token1] = ACTIONS(1686),
    [aux_sym_qualify_clause_token1] = ACTIONS(1686),
    [aux_sym_limit_clause_token1] = ACTIONS(1686),
    [aux_sym_group_by_clause_token1] = ACTIONS(1686),
    [aux_sym_order_by_clause_token1] = ACTIONS(1686),
    [aux_sym_where_clause_token1] = ACTIONS(1686),
    [aux_sym_pivot_operator_token1] = ACTIONS(1686),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1686),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1686),
    [aux_sym_join_type_token1] = ACTIONS(1686),
    [aux_sym_join_type_token2] = ACTIONS(1686),
    [aux_sym_join_type_token3] = ACTIONS(1686),
    [aux_sym_join_type_token4] = ACTIONS(1686),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1686),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1686),
    [aux_sym_join_condition_token1] = ACTIONS(1686),
    [aux_sym_insert_statement_token1] = ACTIONS(1686),
    [aux_sym_truncate_statement_token1] = ACTIONS(1686),
    [aux_sym_update_statement_token1] = ACTIONS(1686),
    [aux_sym_merge_statement_token1] = ACTIONS(1686),
    [aux_sym_grant_statement_token1] = ACTIONS(1686),
    [aux_sym_revoke_statement_token1] = ACTIONS(1686),
    [aux_sym_export_data_statement_token1] = ACTIONS(1686),
    [aux_sym_load_data_statement_token1] = ACTIONS(1686),
    [sym__quoted_identifier] = ACTIONS(1684),
    [sym_comment] = ACTIONS(3),
  },
  [5195] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [5196] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [5197] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [sym__unquoted_identifier] = ACTIONS(1448),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1448),
    [aux_sym__keyword_alter_token1] = ACTIONS(1448),
    [aux_sym__keyword_delete_token1] = ACTIONS(1448),
    [aux_sym__keyword_begin_token1] = ACTIONS(1448),
    [aux_sym__keyword_when_token1] = ACTIONS(1448),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1448),
    [aux_sym__keyword_as_token1] = ACTIONS(1448),
    [aux_sym__keyword_window_token1] = ACTIONS(1448),
    [aux_sym__keyword_date_token1] = ACTIONS(1448),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1448),
    [aux_sym__keyword_time_token1] = ACTIONS(1448),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1448),
    [aux_sym__keyword_for_token1] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_set_statement_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1448),
    [aux_sym_using_clause_token1] = ACTIONS(1448),
    [aux_sym_return_satement_token1] = ACTIONS(1448),
    [aux_sym_call_statement_token1] = ACTIONS(1448),
    [aux_sym_loop_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [aux_sym_leave_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_iterate_statement_token1] = ACTIONS(1448),
    [aux_sym_raise_statement_token1] = ACTIONS(1448),
    [aux_sym_assert_statement_token1] = ACTIONS(1448),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1448),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1448),
    [aux_sym_set_operation_token1] = ACTIONS(1448),
    [aux_sym_set_operation_token3] = ACTIONS(1448),
    [aux_sym_set_operation_token4] = ACTIONS(1448),
    [aux_sym_select_token1] = ACTIONS(1448),
    [aux_sym_having_clause_token1] = ACTIONS(1448),
    [aux_sym_qualify_clause_token1] = ACTIONS(1448),
    [aux_sym_limit_clause_token1] = ACTIONS(1448),
    [aux_sym_group_by_clause_token1] = ACTIONS(1448),
    [aux_sym_order_by_clause_token1] = ACTIONS(1448),
    [aux_sym_where_clause_token1] = ACTIONS(1448),
    [aux_sym_pivot_operator_token1] = ACTIONS(1448),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1448),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1448),
    [aux_sym_join_type_token1] = ACTIONS(1448),
    [aux_sym_join_type_token2] = ACTIONS(1448),
    [aux_sym_join_type_token3] = ACTIONS(1448),
    [aux_sym_join_type_token4] = ACTIONS(1448),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1448),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1448),
    [aux_sym_join_condition_token1] = ACTIONS(1448),
    [aux_sym_insert_statement_token1] = ACTIONS(1448),
    [aux_sym_truncate_statement_token1] = ACTIONS(1448),
    [aux_sym_update_statement_token1] = ACTIONS(1448),
    [aux_sym_merge_statement_token1] = ACTIONS(1448),
    [aux_sym_grant_statement_token1] = ACTIONS(1448),
    [aux_sym_revoke_statement_token1] = ACTIONS(1448),
    [aux_sym_export_data_statement_token1] = ACTIONS(1448),
    [aux_sym_load_data_statement_token1] = ACTIONS(1448),
    [sym__quoted_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
  },
  [5198] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [5199] = {
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym__unquoted_identifier] = ACTIONS(1362),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1362),
    [aux_sym__keyword_alter_token1] = ACTIONS(1362),
    [aux_sym__keyword_delete_token1] = ACTIONS(1362),
    [aux_sym__keyword_begin_token1] = ACTIONS(1362),
    [aux_sym__keyword_when_token1] = ACTIONS(1362),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1362),
    [aux_sym__keyword_as_token1] = ACTIONS(1362),
    [aux_sym__keyword_window_token1] = ACTIONS(1362),
    [aux_sym__keyword_date_token1] = ACTIONS(1362),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1362),
    [aux_sym__keyword_time_token1] = ACTIONS(1362),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1362),
    [aux_sym__keyword_for_token1] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1360),
    [aux_sym_set_statement_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1362),
    [aux_sym_using_clause_token1] = ACTIONS(1362),
    [aux_sym_return_satement_token1] = ACTIONS(1362),
    [aux_sym_call_statement_token1] = ACTIONS(1362),
    [aux_sym_loop_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [aux_sym_leave_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_iterate_statement_token1] = ACTIONS(1362),
    [aux_sym_raise_statement_token1] = ACTIONS(1362),
    [aux_sym_assert_statement_token1] = ACTIONS(1362),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1362),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token1] = ACTIONS(1362),
    [aux_sym_set_operation_token3] = ACTIONS(1362),
    [aux_sym_set_operation_token4] = ACTIONS(1362),
    [aux_sym_select_token1] = ACTIONS(1362),
    [aux_sym_having_clause_token1] = ACTIONS(1362),
    [aux_sym_qualify_clause_token1] = ACTIONS(1362),
    [aux_sym_limit_clause_token1] = ACTIONS(1362),
    [aux_sym_group_by_clause_token1] = ACTIONS(1362),
    [aux_sym_order_by_clause_token1] = ACTIONS(1362),
    [aux_sym_where_clause_token1] = ACTIONS(1362),
    [aux_sym_pivot_operator_token1] = ACTIONS(1362),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1362),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1362),
    [aux_sym_join_type_token1] = ACTIONS(1362),
    [aux_sym_join_type_token2] = ACTIONS(1362),
    [aux_sym_join_type_token3] = ACTIONS(1362),
    [aux_sym_join_type_token4] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1362),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1362),
    [aux_sym_join_condition_token1] = ACTIONS(1362),
    [aux_sym_insert_statement_token1] = ACTIONS(1362),
    [aux_sym_truncate_statement_token1] = ACTIONS(1362),
    [aux_sym_update_statement_token1] = ACTIONS(1362),
    [aux_sym_merge_statement_token1] = ACTIONS(1362),
    [aux_sym_grant_statement_token1] = ACTIONS(1362),
    [aux_sym_revoke_statement_token1] = ACTIONS(1362),
    [aux_sym_export_data_statement_token1] = ACTIONS(1362),
    [aux_sym_load_data_statement_token1] = ACTIONS(1362),
    [sym__quoted_identifier] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [5200] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [5201] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [5202] = {
    [ts_builtin_sym_end] = ACTIONS(1386),
    [sym__unquoted_identifier] = ACTIONS(1388),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1388),
    [aux_sym__keyword_alter_token1] = ACTIONS(1388),
    [aux_sym__keyword_delete_token1] = ACTIONS(1388),
    [aux_sym__keyword_begin_token1] = ACTIONS(1388),
    [aux_sym__keyword_when_token1] = ACTIONS(1388),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1388),
    [aux_sym__keyword_as_token1] = ACTIONS(1388),
    [aux_sym__keyword_window_token1] = ACTIONS(1388),
    [aux_sym__keyword_date_token1] = ACTIONS(1388),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1388),
    [aux_sym__keyword_time_token1] = ACTIONS(1388),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1388),
    [aux_sym__keyword_for_token1] = ACTIONS(1388),
    [anon_sym_SEMI] = ACTIONS(1386),
    [aux_sym_declare_statement_token1] = ACTIONS(1388),
    [anon_sym_COMMA] = ACTIONS(1386),
    [aux_sym_set_statement_token1] = ACTIONS(1388),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1388),
    [aux_sym_using_clause_token1] = ACTIONS(1388),
    [aux_sym_return_satement_token1] = ACTIONS(1388),
    [aux_sym_call_statement_token1] = ACTIONS(1388),
    [aux_sym_loop_statement_token1] = ACTIONS(1388),
    [aux_sym_while_statement_token1] = ACTIONS(1388),
    [aux_sym_break_statement_token1] = ACTIONS(1388),
    [aux_sym_leave_statement_token1] = ACTIONS(1388),
    [aux_sym_continue_statement_token1] = ACTIONS(1388),
    [aux_sym_iterate_statement_token1] = ACTIONS(1388),
    [aux_sym_raise_statement_token1] = ACTIONS(1388),
    [aux_sym_assert_statement_token1] = ACTIONS(1388),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1388),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1388),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1388),
    [aux_sym_set_operation_token1] = ACTIONS(1388),
    [aux_sym_set_operation_token3] = ACTIONS(1388),
    [aux_sym_set_operation_token4] = ACTIONS(1388),
    [aux_sym_select_token1] = ACTIONS(1388),
    [aux_sym_having_clause_token1] = ACTIONS(1388),
    [aux_sym_qualify_clause_token1] = ACTIONS(1388),
    [aux_sym_limit_clause_token1] = ACTIONS(1388),
    [aux_sym_group_by_clause_token1] = ACTIONS(1388),
    [aux_sym_order_by_clause_token1] = ACTIONS(1388),
    [aux_sym_where_clause_token1] = ACTIONS(1388),
    [aux_sym_pivot_operator_token1] = ACTIONS(1388),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1388),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1388),
    [aux_sym_join_type_token1] = ACTIONS(1388),
    [aux_sym_join_type_token2] = ACTIONS(1388),
    [aux_sym_join_type_token3] = ACTIONS(1388),
    [aux_sym_join_type_token4] = ACTIONS(1388),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1388),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1388),
    [aux_sym_join_condition_token1] = ACTIONS(1388),
    [aux_sym_insert_statement_token1] = ACTIONS(1388),
    [aux_sym_truncate_statement_token1] = ACTIONS(1388),
    [aux_sym_update_statement_token1] = ACTIONS(1388),
    [aux_sym_merge_statement_token1] = ACTIONS(1388),
    [aux_sym_grant_statement_token1] = ACTIONS(1388),
    [aux_sym_revoke_statement_token1] = ACTIONS(1388),
    [aux_sym_export_data_statement_token1] = ACTIONS(1388),
    [aux_sym_load_data_statement_token1] = ACTIONS(1388),
    [sym__quoted_identifier] = ACTIONS(1386),
    [sym_comment] = ACTIONS(3),
  },
  [5203] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [5204] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [5205] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [5206] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [5207] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [5208] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [5209] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [5210] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [5211] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [5212] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [5213] = {
    [sym__keyword_as] = STATE(11489),
    [sym__keyword_date] = STATE(2335),
    [sym__keyword_datetime] = STATE(2335),
    [sym__keyword_time] = STATE(2335),
    [sym__keyword_timestamp] = STATE(2335),
    [sym_as_alias] = STATE(5416),
    [sym__type_chrono] = STATE(2336),
    [sym__identifier] = STATE(2405),
    [sym__dotted_identifier] = STATE(13807),
    [sym_identifier] = STATE(2317),
    [aux_sym_identifier_repeat1] = STATE(13807),
    [ts_builtin_sym_end] = ACTIONS(3396),
    [sym__unquoted_identifier] = ACTIONS(335),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3394),
    [aux_sym__keyword_alter_token1] = ACTIONS(3394),
    [aux_sym__keyword_delete_token1] = ACTIONS(3394),
    [aux_sym__keyword_begin_token1] = ACTIONS(3394),
    [aux_sym__keyword_when_token1] = ACTIONS(3394),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3394),
    [aux_sym__keyword_as_token1] = ACTIONS(353),
    [aux_sym__keyword_window_token1] = ACTIONS(3394),
    [aux_sym__keyword_date_token1] = ACTIONS(355),
    [aux_sym__keyword_datetime_token1] = ACTIONS(355),
    [aux_sym__keyword_time_token1] = ACTIONS(355),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(355),
    [aux_sym__keyword_for_token1] = ACTIONS(3394),
    [anon_sym_SEMI] = ACTIONS(3396),
    [aux_sym_declare_statement_token1] = ACTIONS(3394),
    [aux_sym_set_statement_token1] = ACTIONS(3394),
    [anon_sym_LPAREN] = ACTIONS(3396),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(3394),
    [aux_sym_return_satement_token1] = ACTIONS(3394),
    [aux_sym_call_statement_token1] = ACTIONS(3394),
    [aux_sym_loop_statement_token1] = ACTIONS(3394),
    [aux_sym_while_statement_token1] = ACTIONS(3394),
    [aux_sym_break_statement_token1] = ACTIONS(3394),
    [aux_sym_leave_statement_token1] = ACTIONS(3394),
    [aux_sym_continue_statement_token1] = ACTIONS(3394),
    [aux_sym_iterate_statement_token1] = ACTIONS(3394),
    [aux_sym_raise_statement_token1] = ACTIONS(3394),
    [aux_sym_assert_statement_token1] = ACTIONS(3394),
    [aux_sym_create_schema_statement_token1] = ACTIONS(3394),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(3394),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3394),
    [aux_sym_set_operation_token1] = ACTIONS(3394),
    [aux_sym_set_operation_token3] = ACTIONS(3394),
    [aux_sym_set_operation_token4] = ACTIONS(3394),
    [aux_sym_select_token1] = ACTIONS(3394),
    [aux_sym_having_clause_token1] = ACTIONS(3394),
    [aux_sym_qualify_clause_token1] = ACTIONS(3394),
    [aux_sym_limit_clause_token1] = ACTIONS(3394),
    [aux_sym_group_by_clause_token1] = ACTIONS(3394),
    [aux_sym_order_by_clause_token1] = ACTIONS(3394),
    [aux_sym_where_clause_token1] = ACTIONS(3394),
    [aux_sym_tablesample_operator_token1] = ACTIONS(3394),
    [aux_sym_insert_statement_token1] = ACTIONS(3394),
    [aux_sym_truncate_statement_token1] = ACTIONS(3394),
    [aux_sym_update_statement_token1] = ACTIONS(3394),
    [aux_sym_merge_statement_token1] = ACTIONS(3394),
    [aux_sym_grant_statement_token1] = ACTIONS(3394),
    [aux_sym_revoke_statement_token1] = ACTIONS(3394),
    [aux_sym_export_data_statement_token1] = ACTIONS(3394),
    [aux_sym_load_data_statement_token1] = ACTIONS(3394),
    [sym__quoted_identifier] = ACTIONS(363),
    [sym_comment] = ACTIONS(3),
  },
  [5214] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [5215] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [5216] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [5217] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [5218] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [5219] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [5220] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [5221] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [5222] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [5223] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [5224] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [5225] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [5226] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [5227] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__unquoted_identifier] = ACTIONS(1366),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1366),
    [aux_sym__keyword_alter_token1] = ACTIONS(1366),
    [aux_sym__keyword_delete_token1] = ACTIONS(1366),
    [aux_sym__keyword_begin_token1] = ACTIONS(1366),
    [aux_sym__keyword_when_token1] = ACTIONS(1366),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1366),
    [aux_sym__keyword_as_token1] = ACTIONS(1366),
    [aux_sym__keyword_window_token1] = ACTIONS(1366),
    [aux_sym__keyword_date_token1] = ACTIONS(1366),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1366),
    [aux_sym__keyword_time_token1] = ACTIONS(1366),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1366),
    [aux_sym__keyword_for_token1] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1364),
    [aux_sym_set_statement_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1366),
    [aux_sym_using_clause_token1] = ACTIONS(1366),
    [aux_sym_return_satement_token1] = ACTIONS(1366),
    [aux_sym_call_statement_token1] = ACTIONS(1366),
    [aux_sym_loop_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [aux_sym_leave_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_iterate_statement_token1] = ACTIONS(1366),
    [aux_sym_raise_statement_token1] = ACTIONS(1366),
    [aux_sym_assert_statement_token1] = ACTIONS(1366),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1366),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token1] = ACTIONS(1366),
    [aux_sym_set_operation_token3] = ACTIONS(1366),
    [aux_sym_set_operation_token4] = ACTIONS(1366),
    [aux_sym_select_token1] = ACTIONS(1366),
    [aux_sym_having_clause_token1] = ACTIONS(1366),
    [aux_sym_qualify_clause_token1] = ACTIONS(1366),
    [aux_sym_limit_clause_token1] = ACTIONS(1366),
    [aux_sym_group_by_clause_token1] = ACTIONS(1366),
    [aux_sym_order_by_clause_token1] = ACTIONS(1366),
    [aux_sym_where_clause_token1] = ACTIONS(1366),
    [aux_sym_pivot_operator_token1] = ACTIONS(1366),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1366),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1366),
    [aux_sym_join_type_token1] = ACTIONS(1366),
    [aux_sym_join_type_token2] = ACTIONS(1366),
    [aux_sym_join_type_token3] = ACTIONS(1366),
    [aux_sym_join_type_token4] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1366),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1366),
    [aux_sym_join_condition_token1] = ACTIONS(1366),
    [aux_sym_insert_statement_token1] = ACTIONS(1366),
    [aux_sym_truncate_statement_token1] = ACTIONS(1366),
    [aux_sym_update_statement_token1] = ACTIONS(1366),
    [aux_sym_merge_statement_token1] = ACTIONS(1366),
    [aux_sym_grant_statement_token1] = ACTIONS(1366),
    [aux_sym_revoke_statement_token1] = ACTIONS(1366),
    [aux_sym_export_data_statement_token1] = ACTIONS(1366),
    [aux_sym_load_data_statement_token1] = ACTIONS(1366),
    [sym__quoted_identifier] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [5228] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [5229] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [5230] = {
    [ts_builtin_sym_end] = ACTIONS(1598),
    [sym__unquoted_identifier] = ACTIONS(1600),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1600),
    [aux_sym__keyword_alter_token1] = ACTIONS(1600),
    [aux_sym__keyword_delete_token1] = ACTIONS(1600),
    [aux_sym__keyword_begin_token1] = ACTIONS(1600),
    [aux_sym__keyword_when_token1] = ACTIONS(1600),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1600),
    [aux_sym__keyword_as_token1] = ACTIONS(1600),
    [aux_sym__keyword_window_token1] = ACTIONS(1600),
    [aux_sym__keyword_date_token1] = ACTIONS(1600),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1600),
    [aux_sym__keyword_time_token1] = ACTIONS(1600),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1600),
    [aux_sym__keyword_for_token1] = ACTIONS(1600),
    [anon_sym_SEMI] = ACTIONS(1598),
    [aux_sym_declare_statement_token1] = ACTIONS(1600),
    [anon_sym_COMMA] = ACTIONS(1598),
    [aux_sym_set_statement_token1] = ACTIONS(1600),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1600),
    [aux_sym_using_clause_token1] = ACTIONS(1600),
    [aux_sym_return_satement_token1] = ACTIONS(1600),
    [aux_sym_call_statement_token1] = ACTIONS(1600),
    [aux_sym_loop_statement_token1] = ACTIONS(1600),
    [aux_sym_while_statement_token1] = ACTIONS(1600),
    [aux_sym_break_statement_token1] = ACTIONS(1600),
    [aux_sym_leave_statement_token1] = ACTIONS(1600),
    [aux_sym_continue_statement_token1] = ACTIONS(1600),
    [aux_sym_iterate_statement_token1] = ACTIONS(1600),
    [aux_sym_raise_statement_token1] = ACTIONS(1600),
    [aux_sym_assert_statement_token1] = ACTIONS(1600),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1600),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1600),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1600),
    [aux_sym_set_operation_token1] = ACTIONS(1600),
    [aux_sym_set_operation_token3] = ACTIONS(1600),
    [aux_sym_set_operation_token4] = ACTIONS(1600),
    [aux_sym_select_token1] = ACTIONS(1600),
    [aux_sym_having_clause_token1] = ACTIONS(1600),
    [aux_sym_qualify_clause_token1] = ACTIONS(1600),
    [aux_sym_limit_clause_token1] = ACTIONS(1600),
    [aux_sym_group_by_clause_token1] = ACTIONS(1600),
    [aux_sym_order_by_clause_token1] = ACTIONS(1600),
    [aux_sym_where_clause_token1] = ACTIONS(1600),
    [aux_sym_pivot_operator_token1] = ACTIONS(1600),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1600),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1600),
    [aux_sym_join_type_token1] = ACTIONS(1600),
    [aux_sym_join_type_token2] = ACTIONS(1600),
    [aux_sym_join_type_token3] = ACTIONS(1600),
    [aux_sym_join_type_token4] = ACTIONS(1600),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1600),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1600),
    [aux_sym_join_condition_token1] = ACTIONS(1600),
    [aux_sym_insert_statement_token1] = ACTIONS(1600),
    [aux_sym_truncate_statement_token1] = ACTIONS(1600),
    [aux_sym_update_statement_token1] = ACTIONS(1600),
    [aux_sym_merge_statement_token1] = ACTIONS(1600),
    [aux_sym_grant_statement_token1] = ACTIONS(1600),
    [aux_sym_revoke_statement_token1] = ACTIONS(1600),
    [aux_sym_export_data_statement_token1] = ACTIONS(1600),
    [aux_sym_load_data_statement_token1] = ACTIONS(1600),
    [sym__quoted_identifier] = ACTIONS(1598),
    [sym_comment] = ACTIONS(3),
  },
  [5231] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [5232] = {
    [ts_builtin_sym_end] = ACTIONS(1382),
    [sym__unquoted_identifier] = ACTIONS(1384),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1384),
    [aux_sym__keyword_alter_token1] = ACTIONS(1384),
    [aux_sym__keyword_delete_token1] = ACTIONS(1384),
    [aux_sym__keyword_begin_token1] = ACTIONS(1384),
    [aux_sym__keyword_when_token1] = ACTIONS(1384),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1384),
    [aux_sym__keyword_as_token1] = ACTIONS(1384),
    [aux_sym__keyword_window_token1] = ACTIONS(1384),
    [aux_sym__keyword_date_token1] = ACTIONS(1384),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1384),
    [aux_sym__keyword_time_token1] = ACTIONS(1384),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1384),
    [aux_sym__keyword_for_token1] = ACTIONS(1384),
    [anon_sym_SEMI] = ACTIONS(1382),
    [aux_sym_declare_statement_token1] = ACTIONS(1384),
    [anon_sym_COMMA] = ACTIONS(1382),
    [aux_sym_set_statement_token1] = ACTIONS(1384),
    [anon_sym_LPAREN] = ACTIONS(1382),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1384),
    [aux_sym_using_clause_token1] = ACTIONS(1384),
    [aux_sym_return_satement_token1] = ACTIONS(1384),
    [aux_sym_call_statement_token1] = ACTIONS(1384),
    [aux_sym_loop_statement_token1] = ACTIONS(1384),
    [aux_sym_while_statement_token1] = ACTIONS(1384),
    [aux_sym_break_statement_token1] = ACTIONS(1384),
    [aux_sym_leave_statement_token1] = ACTIONS(1384),
    [aux_sym_continue_statement_token1] = ACTIONS(1384),
    [aux_sym_iterate_statement_token1] = ACTIONS(1384),
    [aux_sym_raise_statement_token1] = ACTIONS(1384),
    [aux_sym_assert_statement_token1] = ACTIONS(1384),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1384),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1384),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1384),
    [aux_sym_set_operation_token1] = ACTIONS(1384),
    [aux_sym_set_operation_token3] = ACTIONS(1384),
    [aux_sym_set_operation_token4] = ACTIONS(1384),
    [aux_sym_select_token1] = ACTIONS(1384),
    [aux_sym_having_clause_token1] = ACTIONS(1384),
    [aux_sym_qualify_clause_token1] = ACTIONS(1384),
    [aux_sym_limit_clause_token1] = ACTIONS(1384),
    [aux_sym_group_by_clause_token1] = ACTIONS(1384),
    [aux_sym_order_by_clause_token1] = ACTIONS(1384),
    [aux_sym_where_clause_token1] = ACTIONS(1384),
    [aux_sym_pivot_operator_token1] = ACTIONS(1384),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1384),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1384),
    [aux_sym_join_type_token1] = ACTIONS(1384),
    [aux_sym_join_type_token2] = ACTIONS(1384),
    [aux_sym_join_type_token3] = ACTIONS(1384),
    [aux_sym_join_type_token4] = ACTIONS(1384),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1384),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1384),
    [aux_sym_join_condition_token1] = ACTIONS(1384),
    [aux_sym_insert_statement_token1] = ACTIONS(1384),
    [aux_sym_truncate_statement_token1] = ACTIONS(1384),
    [aux_sym_update_statement_token1] = ACTIONS(1384),
    [aux_sym_merge_statement_token1] = ACTIONS(1384),
    [aux_sym_grant_statement_token1] = ACTIONS(1384),
    [aux_sym_revoke_statement_token1] = ACTIONS(1384),
    [aux_sym_export_data_statement_token1] = ACTIONS(1384),
    [aux_sym_load_data_statement_token1] = ACTIONS(1384),
    [sym__quoted_identifier] = ACTIONS(1382),
    [sym_comment] = ACTIONS(3),
  },
  [5233] = {
    [ts_builtin_sym_end] = ACTIONS(1390),
    [sym__unquoted_identifier] = ACTIONS(1392),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1392),
    [aux_sym__keyword_alter_token1] = ACTIONS(1392),
    [aux_sym__keyword_delete_token1] = ACTIONS(1392),
    [aux_sym__keyword_begin_token1] = ACTIONS(1392),
    [aux_sym__keyword_when_token1] = ACTIONS(1392),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1392),
    [aux_sym__keyword_as_token1] = ACTIONS(1392),
    [aux_sym__keyword_window_token1] = ACTIONS(1392),
    [aux_sym__keyword_date_token1] = ACTIONS(1392),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1392),
    [aux_sym__keyword_time_token1] = ACTIONS(1392),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1392),
    [aux_sym__keyword_for_token1] = ACTIONS(1392),
    [anon_sym_SEMI] = ACTIONS(1390),
    [aux_sym_declare_statement_token1] = ACTIONS(1392),
    [anon_sym_COMMA] = ACTIONS(1390),
    [aux_sym_set_statement_token1] = ACTIONS(1392),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1392),
    [aux_sym_using_clause_token1] = ACTIONS(1392),
    [aux_sym_return_satement_token1] = ACTIONS(1392),
    [aux_sym_call_statement_token1] = ACTIONS(1392),
    [aux_sym_loop_statement_token1] = ACTIONS(1392),
    [aux_sym_while_statement_token1] = ACTIONS(1392),
    [aux_sym_break_statement_token1] = ACTIONS(1392),
    [aux_sym_leave_statement_token1] = ACTIONS(1392),
    [aux_sym_continue_statement_token1] = ACTIONS(1392),
    [aux_sym_iterate_statement_token1] = ACTIONS(1392),
    [aux_sym_raise_statement_token1] = ACTIONS(1392),
    [aux_sym_assert_statement_token1] = ACTIONS(1392),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1392),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1392),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1392),
    [aux_sym_set_operation_token1] = ACTIONS(1392),
    [aux_sym_set_operation_token3] = ACTIONS(1392),
    [aux_sym_set_operation_token4] = ACTIONS(1392),
    [aux_sym_select_token1] = ACTIONS(1392),
    [aux_sym_having_clause_token1] = ACTIONS(1392),
    [aux_sym_qualify_clause_token1] = ACTIONS(1392),
    [aux_sym_limit_clause_token1] = ACTIONS(1392),
    [aux_sym_group_by_clause_token1] = ACTIONS(1392),
    [aux_sym_order_by_clause_token1] = ACTIONS(1392),
    [aux_sym_where_clause_token1] = ACTIONS(1392),
    [aux_sym_pivot_operator_token1] = ACTIONS(1392),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1392),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1392),
    [aux_sym_join_type_token1] = ACTIONS(1392),
    [aux_sym_join_type_token2] = ACTIONS(1392),
    [aux_sym_join_type_token3] = ACTIONS(1392),
    [aux_sym_join_type_token4] = ACTIONS(1392),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1392),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1392),
    [aux_sym_join_condition_token1] = ACTIONS(1392),
    [aux_sym_insert_statement_token1] = ACTIONS(1392),
    [aux_sym_truncate_statement_token1] = ACTIONS(1392),
    [aux_sym_update_statement_token1] = ACTIONS(1392),
    [aux_sym_merge_statement_token1] = ACTIONS(1392),
    [aux_sym_grant_statement_token1] = ACTIONS(1392),
    [aux_sym_revoke_statement_token1] = ACTIONS(1392),
    [aux_sym_export_data_statement_token1] = ACTIONS(1392),
    [aux_sym_load_data_statement_token1] = ACTIONS(1392),
    [sym__quoted_identifier] = ACTIONS(1390),
    [sym_comment] = ACTIONS(3),
  },
  [5234] = {
    [sym__keyword_as] = STATE(11489),
    [sym__keyword_date] = STATE(2335),
    [sym__keyword_datetime] = STATE(2335),
    [sym__keyword_time] = STATE(2335),
    [sym__keyword_timestamp] = STATE(2335),
    [sym_as_alias] = STATE(5395),
    [sym__type_chrono] = STATE(2336),
    [sym__identifier] = STATE(2405),
    [sym__dotted_identifier] = STATE(13807),
    [sym_identifier] = STATE(2317),
    [aux_sym_identifier_repeat1] = STATE(13807),
    [ts_builtin_sym_end] = ACTIONS(3400),
    [sym__unquoted_identifier] = ACTIONS(335),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3398),
    [aux_sym__keyword_alter_token1] = ACTIONS(3398),
    [aux_sym__keyword_delete_token1] = ACTIONS(3398),
    [aux_sym__keyword_begin_token1] = ACTIONS(3398),
    [aux_sym__keyword_when_token1] = ACTIONS(3398),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3398),
    [aux_sym__keyword_as_token1] = ACTIONS(353),
    [aux_sym__keyword_window_token1] = ACTIONS(3398),
    [aux_sym__keyword_date_token1] = ACTIONS(355),
    [aux_sym__keyword_datetime_token1] = ACTIONS(355),
    [aux_sym__keyword_time_token1] = ACTIONS(355),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(355),
    [aux_sym__keyword_for_token1] = ACTIONS(3398),
    [anon_sym_SEMI] = ACTIONS(3400),
    [aux_sym_declare_statement_token1] = ACTIONS(3398),
    [aux_sym_set_statement_token1] = ACTIONS(3398),
    [anon_sym_LPAREN] = ACTIONS(3400),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(3398),
    [aux_sym_return_satement_token1] = ACTIONS(3398),
    [aux_sym_call_statement_token1] = ACTIONS(3398),
    [aux_sym_loop_statement_token1] = ACTIONS(3398),
    [aux_sym_while_statement_token1] = ACTIONS(3398),
    [aux_sym_break_statement_token1] = ACTIONS(3398),
    [aux_sym_leave_statement_token1] = ACTIONS(3398),
    [aux_sym_continue_statement_token1] = ACTIONS(3398),
    [aux_sym_iterate_statement_token1] = ACTIONS(3398),
    [aux_sym_raise_statement_token1] = ACTIONS(3398),
    [aux_sym_assert_statement_token1] = ACTIONS(3398),
    [aux_sym_create_schema_statement_token1] = ACTIONS(3398),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(3398),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3398),
    [aux_sym_set_operation_token1] = ACTIONS(3398),
    [aux_sym_set_operation_token3] = ACTIONS(3398),
    [aux_sym_set_operation_token4] = ACTIONS(3398),
    [aux_sym_select_token1] = ACTIONS(3398),
    [aux_sym_having_clause_token1] = ACTIONS(3398),
    [aux_sym_qualify_clause_token1] = ACTIONS(3398),
    [aux_sym_limit_clause_token1] = ACTIONS(3398),
    [aux_sym_group_by_clause_token1] = ACTIONS(3398),
    [aux_sym_order_by_clause_token1] = ACTIONS(3398),
    [aux_sym_where_clause_token1] = ACTIONS(3398),
    [aux_sym_tablesample_operator_token1] = ACTIONS(3398),
    [aux_sym_insert_statement_token1] = ACTIONS(3398),
    [aux_sym_truncate_statement_token1] = ACTIONS(3398),
    [aux_sym_update_statement_token1] = ACTIONS(3398),
    [aux_sym_merge_statement_token1] = ACTIONS(3398),
    [aux_sym_grant_statement_token1] = ACTIONS(3398),
    [aux_sym_revoke_statement_token1] = ACTIONS(3398),
    [aux_sym_export_data_statement_token1] = ACTIONS(3398),
    [aux_sym_load_data_statement_token1] = ACTIONS(3398),
    [sym__quoted_identifier] = ACTIONS(363),
    [sym_comment] = ACTIONS(3),
  },
  [5235] = {
    [sym__keyword_as] = STATE(11489),
    [sym__keyword_date] = STATE(2335),
    [sym__keyword_datetime] = STATE(2335),
    [sym__keyword_time] = STATE(2335),
    [sym__keyword_timestamp] = STATE(2335),
    [sym_as_alias] = STATE(5414),
    [sym__type_chrono] = STATE(2336),
    [sym__identifier] = STATE(2405),
    [sym__dotted_identifier] = STATE(13807),
    [sym_identifier] = STATE(2317),
    [aux_sym_identifier_repeat1] = STATE(13807),
    [ts_builtin_sym_end] = ACTIONS(3404),
    [sym__unquoted_identifier] = ACTIONS(335),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3402),
    [aux_sym__keyword_alter_token1] = ACTIONS(3402),
    [aux_sym__keyword_delete_token1] = ACTIONS(3402),
    [aux_sym__keyword_begin_token1] = ACTIONS(3402),
    [aux_sym__keyword_when_token1] = ACTIONS(3402),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3402),
    [aux_sym__keyword_as_token1] = ACTIONS(353),
    [aux_sym__keyword_window_token1] = ACTIONS(3402),
    [aux_sym__keyword_date_token1] = ACTIONS(355),
    [aux_sym__keyword_datetime_token1] = ACTIONS(355),
    [aux_sym__keyword_time_token1] = ACTIONS(355),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(355),
    [aux_sym__keyword_for_token1] = ACTIONS(3402),
    [anon_sym_SEMI] = ACTIONS(3404),
    [aux_sym_declare_statement_token1] = ACTIONS(3402),
    [aux_sym_set_statement_token1] = ACTIONS(3402),
    [anon_sym_LPAREN] = ACTIONS(3404),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(3402),
    [aux_sym_return_satement_token1] = ACTIONS(3402),
    [aux_sym_call_statement_token1] = ACTIONS(3402),
    [aux_sym_loop_statement_token1] = ACTIONS(3402),
    [aux_sym_while_statement_token1] = ACTIONS(3402),
    [aux_sym_break_statement_token1] = ACTIONS(3402),
    [aux_sym_leave_statement_token1] = ACTIONS(3402),
    [aux_sym_continue_statement_token1] = ACTIONS(3402),
    [aux_sym_iterate_statement_token1] = ACTIONS(3402),
    [aux_sym_raise_statement_token1] = ACTIONS(3402),
    [aux_sym_assert_statement_token1] = ACTIONS(3402),
    [aux_sym_create_schema_statement_token1] = ACTIONS(3402),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(3402),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3402),
    [aux_sym_set_operation_token1] = ACTIONS(3402),
    [aux_sym_set_operation_token3] = ACTIONS(3402),
    [aux_sym_set_operation_token4] = ACTIONS(3402),
    [aux_sym_select_token1] = ACTIONS(3402),
    [aux_sym_having_clause_token1] = ACTIONS(3402),
    [aux_sym_qualify_clause_token1] = ACTIONS(3402),
    [aux_sym_limit_clause_token1] = ACTIONS(3402),
    [aux_sym_group_by_clause_token1] = ACTIONS(3402),
    [aux_sym_order_by_clause_token1] = ACTIONS(3402),
    [aux_sym_where_clause_token1] = ACTIONS(3402),
    [aux_sym_tablesample_operator_token1] = ACTIONS(3402),
    [aux_sym_insert_statement_token1] = ACTIONS(3402),
    [aux_sym_truncate_statement_token1] = ACTIONS(3402),
    [aux_sym_update_statement_token1] = ACTIONS(3402),
    [aux_sym_merge_statement_token1] = ACTIONS(3402),
    [aux_sym_grant_statement_token1] = ACTIONS(3402),
    [aux_sym_revoke_statement_token1] = ACTIONS(3402),
    [aux_sym_export_data_statement_token1] = ACTIONS(3402),
    [aux_sym_load_data_statement_token1] = ACTIONS(3402),
    [sym__quoted_identifier] = ACTIONS(363),
    [sym_comment] = ACTIONS(3),
  },
  [5236] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_using_clause_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_pivot_operator_token1] = ACTIONS(1380),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1380),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1380),
    [aux_sym_join_type_token1] = ACTIONS(1380),
    [aux_sym_join_type_token2] = ACTIONS(1380),
    [aux_sym_join_type_token3] = ACTIONS(1380),
    [aux_sym_join_type_token4] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1380),
    [aux_sym_join_condition_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [5237] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [5238] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [5239] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_using_clause_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_pivot_operator_token1] = ACTIONS(1380),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1380),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1380),
    [aux_sym_join_type_token1] = ACTIONS(1380),
    [aux_sym_join_type_token2] = ACTIONS(1380),
    [aux_sym_join_type_token3] = ACTIONS(1380),
    [aux_sym_join_type_token4] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1380),
    [aux_sym_join_condition_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [5240] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [5241] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [5242] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_using_clause_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_pivot_operator_token1] = ACTIONS(1380),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1380),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1380),
    [aux_sym_join_type_token1] = ACTIONS(1380),
    [aux_sym_join_type_token2] = ACTIONS(1380),
    [aux_sym_join_type_token3] = ACTIONS(1380),
    [aux_sym_join_type_token4] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1380),
    [aux_sym_join_condition_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [5243] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [5244] = {
    [sym__keyword_as] = STATE(11489),
    [sym__keyword_date] = STATE(2335),
    [sym__keyword_datetime] = STATE(2335),
    [sym__keyword_time] = STATE(2335),
    [sym__keyword_timestamp] = STATE(2335),
    [sym_as_alias] = STATE(5419),
    [sym__type_chrono] = STATE(2336),
    [sym__identifier] = STATE(2405),
    [sym__dotted_identifier] = STATE(13807),
    [sym_identifier] = STATE(2317),
    [aux_sym_identifier_repeat1] = STATE(13807),
    [ts_builtin_sym_end] = ACTIONS(3408),
    [sym__unquoted_identifier] = ACTIONS(335),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3406),
    [aux_sym__keyword_alter_token1] = ACTIONS(3406),
    [aux_sym__keyword_delete_token1] = ACTIONS(3406),
    [aux_sym__keyword_begin_token1] = ACTIONS(3406),
    [aux_sym__keyword_when_token1] = ACTIONS(3406),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3406),
    [aux_sym__keyword_as_token1] = ACTIONS(353),
    [aux_sym__keyword_window_token1] = ACTIONS(3406),
    [aux_sym__keyword_date_token1] = ACTIONS(355),
    [aux_sym__keyword_datetime_token1] = ACTIONS(355),
    [aux_sym__keyword_time_token1] = ACTIONS(355),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(355),
    [aux_sym__keyword_for_token1] = ACTIONS(3406),
    [anon_sym_SEMI] = ACTIONS(3408),
    [aux_sym_declare_statement_token1] = ACTIONS(3406),
    [aux_sym_set_statement_token1] = ACTIONS(3406),
    [anon_sym_LPAREN] = ACTIONS(3408),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(3406),
    [aux_sym_return_satement_token1] = ACTIONS(3406),
    [aux_sym_call_statement_token1] = ACTIONS(3406),
    [aux_sym_loop_statement_token1] = ACTIONS(3406),
    [aux_sym_while_statement_token1] = ACTIONS(3406),
    [aux_sym_break_statement_token1] = ACTIONS(3406),
    [aux_sym_leave_statement_token1] = ACTIONS(3406),
    [aux_sym_continue_statement_token1] = ACTIONS(3406),
    [aux_sym_iterate_statement_token1] = ACTIONS(3406),
    [aux_sym_raise_statement_token1] = ACTIONS(3406),
    [aux_sym_assert_statement_token1] = ACTIONS(3406),
    [aux_sym_create_schema_statement_token1] = ACTIONS(3406),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(3406),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3406),
    [aux_sym_set_operation_token1] = ACTIONS(3406),
    [aux_sym_set_operation_token3] = ACTIONS(3406),
    [aux_sym_set_operation_token4] = ACTIONS(3406),
    [aux_sym_select_token1] = ACTIONS(3406),
    [aux_sym_having_clause_token1] = ACTIONS(3406),
    [aux_sym_qualify_clause_token1] = ACTIONS(3406),
    [aux_sym_limit_clause_token1] = ACTIONS(3406),
    [aux_sym_group_by_clause_token1] = ACTIONS(3406),
    [aux_sym_order_by_clause_token1] = ACTIONS(3406),
    [aux_sym_where_clause_token1] = ACTIONS(3406),
    [aux_sym_tablesample_operator_token1] = ACTIONS(3406),
    [aux_sym_insert_statement_token1] = ACTIONS(3406),
    [aux_sym_truncate_statement_token1] = ACTIONS(3406),
    [aux_sym_update_statement_token1] = ACTIONS(3406),
    [aux_sym_merge_statement_token1] = ACTIONS(3406),
    [aux_sym_grant_statement_token1] = ACTIONS(3406),
    [aux_sym_revoke_statement_token1] = ACTIONS(3406),
    [aux_sym_export_data_statement_token1] = ACTIONS(3406),
    [aux_sym_load_data_statement_token1] = ACTIONS(3406),
    [sym__quoted_identifier] = ACTIONS(363),
    [sym_comment] = ACTIONS(3),
  },
  [5245] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_using_clause_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_pivot_operator_token1] = ACTIONS(1380),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1380),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1380),
    [aux_sym_join_type_token1] = ACTIONS(1380),
    [aux_sym_join_type_token2] = ACTIONS(1380),
    [aux_sym_join_type_token3] = ACTIONS(1380),
    [aux_sym_join_type_token4] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1380),
    [aux_sym_join_condition_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [5246] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [5247] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [5248] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_using_clause_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_pivot_operator_token1] = ACTIONS(1380),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1380),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1380),
    [aux_sym_join_type_token1] = ACTIONS(1380),
    [aux_sym_join_type_token2] = ACTIONS(1380),
    [aux_sym_join_type_token3] = ACTIONS(1380),
    [aux_sym_join_type_token4] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1380),
    [aux_sym_join_condition_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [5249] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [5250] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym__unquoted_identifier] = ACTIONS(1356),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1356),
    [aux_sym__keyword_alter_token1] = ACTIONS(1356),
    [aux_sym__keyword_delete_token1] = ACTIONS(1356),
    [aux_sym__keyword_begin_token1] = ACTIONS(1356),
    [aux_sym__keyword_when_token1] = ACTIONS(1356),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1356),
    [aux_sym__keyword_as_token1] = ACTIONS(1356),
    [aux_sym__keyword_window_token1] = ACTIONS(1356),
    [aux_sym__keyword_date_token1] = ACTIONS(1356),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1356),
    [aux_sym__keyword_time_token1] = ACTIONS(1356),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1356),
    [aux_sym__keyword_for_token1] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1354),
    [aux_sym_set_statement_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1356),
    [aux_sym_using_clause_token1] = ACTIONS(1356),
    [aux_sym_return_satement_token1] = ACTIONS(1356),
    [aux_sym_call_statement_token1] = ACTIONS(1356),
    [aux_sym_loop_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [aux_sym_leave_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_iterate_statement_token1] = ACTIONS(1356),
    [aux_sym_raise_statement_token1] = ACTIONS(1356),
    [aux_sym_assert_statement_token1] = ACTIONS(1356),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1356),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token1] = ACTIONS(1356),
    [aux_sym_set_operation_token3] = ACTIONS(1356),
    [aux_sym_set_operation_token4] = ACTIONS(1356),
    [aux_sym_select_token1] = ACTIONS(1356),
    [aux_sym_having_clause_token1] = ACTIONS(1356),
    [aux_sym_qualify_clause_token1] = ACTIONS(1356),
    [aux_sym_limit_clause_token1] = ACTIONS(1356),
    [aux_sym_group_by_clause_token1] = ACTIONS(1356),
    [aux_sym_order_by_clause_token1] = ACTIONS(1356),
    [aux_sym_where_clause_token1] = ACTIONS(1356),
    [aux_sym_pivot_operator_token1] = ACTIONS(1356),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1356),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1356),
    [aux_sym_join_type_token1] = ACTIONS(1356),
    [aux_sym_join_type_token2] = ACTIONS(1356),
    [aux_sym_join_type_token3] = ACTIONS(1356),
    [aux_sym_join_type_token4] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1356),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1356),
    [aux_sym_join_condition_token1] = ACTIONS(1356),
    [aux_sym_insert_statement_token1] = ACTIONS(1356),
    [aux_sym_truncate_statement_token1] = ACTIONS(1356),
    [aux_sym_update_statement_token1] = ACTIONS(1356),
    [aux_sym_merge_statement_token1] = ACTIONS(1356),
    [aux_sym_grant_statement_token1] = ACTIONS(1356),
    [aux_sym_revoke_statement_token1] = ACTIONS(1356),
    [aux_sym_export_data_statement_token1] = ACTIONS(1356),
    [aux_sym_load_data_statement_token1] = ACTIONS(1356),
    [sym__quoted_identifier] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [5251] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_using_clause_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_pivot_operator_token1] = ACTIONS(1380),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1380),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1380),
    [aux_sym_join_type_token1] = ACTIONS(1380),
    [aux_sym_join_type_token2] = ACTIONS(1380),
    [aux_sym_join_type_token3] = ACTIONS(1380),
    [aux_sym_join_type_token4] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1380),
    [aux_sym_join_condition_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [5252] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_using_clause_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_pivot_operator_token1] = ACTIONS(1380),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1380),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1380),
    [aux_sym_join_type_token1] = ACTIONS(1380),
    [aux_sym_join_type_token2] = ACTIONS(1380),
    [aux_sym_join_type_token3] = ACTIONS(1380),
    [aux_sym_join_type_token4] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1380),
    [aux_sym_join_condition_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [5253] = {
    [ts_builtin_sym_end] = ACTIONS(1484),
    [sym__unquoted_identifier] = ACTIONS(1486),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1486),
    [aux_sym__keyword_alter_token1] = ACTIONS(1486),
    [aux_sym__keyword_delete_token1] = ACTIONS(1486),
    [aux_sym__keyword_begin_token1] = ACTIONS(1486),
    [aux_sym__keyword_when_token1] = ACTIONS(1486),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1486),
    [aux_sym__keyword_as_token1] = ACTIONS(1486),
    [aux_sym__keyword_window_token1] = ACTIONS(1486),
    [aux_sym__keyword_date_token1] = ACTIONS(1486),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1486),
    [aux_sym__keyword_time_token1] = ACTIONS(1486),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1486),
    [aux_sym__keyword_for_token1] = ACTIONS(1486),
    [anon_sym_SEMI] = ACTIONS(1484),
    [aux_sym_declare_statement_token1] = ACTIONS(1486),
    [anon_sym_COMMA] = ACTIONS(1484),
    [aux_sym_set_statement_token1] = ACTIONS(1486),
    [anon_sym_LPAREN] = ACTIONS(1484),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1486),
    [aux_sym_using_clause_token1] = ACTIONS(1486),
    [aux_sym_return_satement_token1] = ACTIONS(1486),
    [aux_sym_call_statement_token1] = ACTIONS(1486),
    [aux_sym_loop_statement_token1] = ACTIONS(1486),
    [aux_sym_while_statement_token1] = ACTIONS(1486),
    [aux_sym_break_statement_token1] = ACTIONS(1486),
    [aux_sym_leave_statement_token1] = ACTIONS(1486),
    [aux_sym_continue_statement_token1] = ACTIONS(1486),
    [aux_sym_iterate_statement_token1] = ACTIONS(1486),
    [aux_sym_raise_statement_token1] = ACTIONS(1486),
    [aux_sym_assert_statement_token1] = ACTIONS(1486),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1486),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1486),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1486),
    [aux_sym_set_operation_token1] = ACTIONS(1486),
    [aux_sym_set_operation_token3] = ACTIONS(1486),
    [aux_sym_set_operation_token4] = ACTIONS(1486),
    [aux_sym_select_token1] = ACTIONS(1486),
    [aux_sym_having_clause_token1] = ACTIONS(1486),
    [aux_sym_qualify_clause_token1] = ACTIONS(1486),
    [aux_sym_limit_clause_token1] = ACTIONS(1486),
    [aux_sym_group_by_clause_token1] = ACTIONS(1486),
    [aux_sym_order_by_clause_token1] = ACTIONS(1486),
    [aux_sym_where_clause_token1] = ACTIONS(1486),
    [aux_sym_pivot_operator_token1] = ACTIONS(1486),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1486),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1486),
    [aux_sym_join_type_token1] = ACTIONS(1486),
    [aux_sym_join_type_token2] = ACTIONS(1486),
    [aux_sym_join_type_token3] = ACTIONS(1486),
    [aux_sym_join_type_token4] = ACTIONS(1486),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1486),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1486),
    [aux_sym_join_condition_token1] = ACTIONS(1486),
    [aux_sym_insert_statement_token1] = ACTIONS(1486),
    [aux_sym_truncate_statement_token1] = ACTIONS(1486),
    [aux_sym_update_statement_token1] = ACTIONS(1486),
    [aux_sym_merge_statement_token1] = ACTIONS(1486),
    [aux_sym_grant_statement_token1] = ACTIONS(1486),
    [aux_sym_revoke_statement_token1] = ACTIONS(1486),
    [aux_sym_export_data_statement_token1] = ACTIONS(1486),
    [aux_sym_load_data_statement_token1] = ACTIONS(1486),
    [sym__quoted_identifier] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [5254] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_using_clause_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_pivot_operator_token1] = ACTIONS(1380),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1380),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1380),
    [aux_sym_join_type_token1] = ACTIONS(1380),
    [aux_sym_join_type_token2] = ACTIONS(1380),
    [aux_sym_join_type_token3] = ACTIONS(1380),
    [aux_sym_join_type_token4] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1380),
    [aux_sym_join_condition_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [5255] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_using_clause_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_pivot_operator_token1] = ACTIONS(1380),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1380),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1380),
    [aux_sym_join_type_token1] = ACTIONS(1380),
    [aux_sym_join_type_token2] = ACTIONS(1380),
    [aux_sym_join_type_token3] = ACTIONS(1380),
    [aux_sym_join_type_token4] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1380),
    [aux_sym_join_condition_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [5256] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym__unquoted_identifier] = ACTIONS(1380),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1380),
    [aux_sym__keyword_alter_token1] = ACTIONS(1380),
    [aux_sym__keyword_delete_token1] = ACTIONS(1380),
    [aux_sym__keyword_begin_token1] = ACTIONS(1380),
    [aux_sym__keyword_when_token1] = ACTIONS(1380),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1380),
    [aux_sym__keyword_as_token1] = ACTIONS(1380),
    [aux_sym__keyword_window_token1] = ACTIONS(1380),
    [aux_sym__keyword_date_token1] = ACTIONS(1380),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1380),
    [aux_sym__keyword_time_token1] = ACTIONS(1380),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1380),
    [aux_sym__keyword_for_token1] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1378),
    [aux_sym_set_statement_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_execute_immadiate_statement_token1] = ACTIONS(1380),
    [aux_sym_using_clause_token1] = ACTIONS(1380),
    [aux_sym_return_satement_token1] = ACTIONS(1380),
    [aux_sym_call_statement_token1] = ACTIONS(1380),
    [aux_sym_loop_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [aux_sym_leave_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_iterate_statement_token1] = ACTIONS(1380),
    [aux_sym_raise_statement_token1] = ACTIONS(1380),
    [aux_sym_assert_statement_token1] = ACTIONS(1380),
    [aux_sym_create_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_drop_schema_statement_token1] = ACTIONS(1380),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token1] = ACTIONS(1380),
    [aux_sym_set_operation_token3] = ACTIONS(1380),
    [aux_sym_set_operation_token4] = ACTIONS(1380),
    [aux_sym_select_token1] = ACTIONS(1380),
    [aux_sym_having_clause_token1] = ACTIONS(1380),
    [aux_sym_qualify_clause_token1] = ACTIONS(1380),
    [aux_sym_limit_clause_token1] = ACTIONS(1380),
    [aux_sym_group_by_clause_token1] = ACTIONS(1380),
    [aux_sym_order_by_clause_token1] = ACTIONS(1380),
    [aux_sym_where_clause_token1] = ACTIONS(1380),
    [aux_sym_pivot_operator_token1] = ACTIONS(1380),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1380),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1380),
    [aux_sym_join_type_token1] = ACTIONS(1380),
    [aux_sym_join_type_token2] = ACTIONS(1380),
    [aux_sym_join_type_token3] = ACTIONS(1380),
    [aux_sym_join_type_token4] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1380),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1380),
    [aux_sym_join_condition_token1] = ACTIONS(1380),
    [aux_sym_insert_statement_token1] = ACTIONS(1380),
    [aux_sym_truncate_statement_token1] = ACTIONS(1380),
    [aux_sym_update_statement_token1] = ACTIONS(1380),
    [aux_sym_merge_statement_token1] = ACTIONS(1380),
    [aux_sym_grant_statement_token1] = ACTIONS(1380),
    [aux_sym_revoke_statement_token1] = ACTIONS(1380),
    [aux_sym_export_data_statement_token1] = ACTIONS(1380),
    [aux_sym_load_data_statement_token1] = ACTIONS(1380),
    [sym__quoted_identifier] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5258), 1,
      sym_join_condition,
    STATE(18398), 1,
      sym_join_type,
    ACTIONS(3456), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3454), 59,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [75] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3460), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3458), 61,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [146] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3462), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(429), 1,
      sym_unnest_withoffset,
    ACTIONS(1542), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(1540), 59,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [221] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3464), 1,
      aux_sym_using_clause_token1,
    ACTIONS(3466), 1,
      aux_sym_join_condition_token1,
    STATE(5258), 1,
      sym_join_condition,
    STATE(18398), 1,
      sym_join_type,
    ACTIONS(3456), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3454), 57,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [300] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5265), 1,
      sym_join_condition,
    STATE(18398), 1,
      sym_join_type,
    ACTIONS(3470), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3468), 59,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [375] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3464), 1,
      aux_sym_using_clause_token1,
    ACTIONS(3466), 1,
      aux_sym_join_condition_token1,
    STATE(5265), 1,
      sym_join_condition,
    STATE(18398), 1,
      sym_join_type,
    ACTIONS(3470), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3468), 57,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3474), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3472), 61,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [525] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3480), 1,
      anon_sym_COMMA,
    ACTIONS(3482), 1,
      aux_sym_pivot_operator_token1,
    ACTIONS(3484), 1,
      aux_sym_unpivot_operator_token1,
    ACTIONS(3486), 1,
      aux_sym_tablesample_operator_token1,
    ACTIONS(3488), 1,
      aux_sym_join_type_token1,
    ACTIONS(3492), 1,
      aux_sym__cross_join_operation_token1,
    ACTIONS(3494), 1,
      aux_sym__cross_join_operation_token2,
    STATE(5478), 1,
      sym_tablesample_operator,
    STATE(16563), 1,
      sym_join_type,
    ACTIONS(3478), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    STATE(5386), 2,
      sym_pivot_operator,
      sym_unpivot_operator,
    ACTIONS(3490), 3,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
    ACTIONS(3476), 47,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3456), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3454), 61,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3498), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3496), 61,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3502), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3500), 61,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3506), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3504), 61,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2970), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(2972), 61,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3510), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3508), 61,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [1044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3514), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3512), 61,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [1115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3518), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3516), 61,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [1186] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18398), 1,
      sym_join_type,
    ACTIONS(3522), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3520), 59,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [1258] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18398), 1,
      sym_join_type,
    ACTIONS(3526), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3524), 59,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [1330] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(16563), 1,
      sym_join_type,
    ACTIONS(3522), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3520), 57,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [1400] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(16563), 1,
      sym_join_type,
    ACTIONS(3526), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3524), 57,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [1470] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2440), 1,
      sym__unquoted_identifier,
    ACTIONS(2482), 1,
      sym__quoted_identifier,
    ACTIONS(3528), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3532), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(5408), 1,
      sym__identifier,
    STATE(5988), 1,
      sym__type_chrono,
    STATE(7421), 1,
      sym_as_alias,
    STATE(7514), 1,
      sym_identifier,
    STATE(7870), 1,
      sym_unnest_withoffset,
    STATE(11498), 1,
      sym__keyword_as,
    STATE(13708), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3530), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5668), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(211), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(205), 24,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [1564] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5258), 1,
      sym_join_condition,
    STATE(18363), 1,
      sym_join_type,
    ACTIONS(3454), 57,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [1633] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5265), 1,
      sym_join_condition,
    STATE(18363), 1,
      sym_join_type,
    ACTIONS(3468), 57,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [1702] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(491), 1,
      sym__unquoted_identifier,
    ACTIONS(533), 1,
      sym__quoted_identifier,
    ACTIONS(3534), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3538), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(5940), 1,
      sym__identifier,
    STATE(5982), 1,
      sym_as_alias,
    STATE(6330), 1,
      sym_identifier,
    STATE(6342), 1,
      sym__type_chrono,
    STATE(6528), 1,
      sym_unnest_withoffset,
    STATE(11581), 1,
      sym__keyword_as,
    STATE(13302), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3536), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6181), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(211), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(205), 23,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [1795] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3464), 1,
      aux_sym_using_clause_token1,
    ACTIONS(3540), 1,
      aux_sym_join_condition_token1,
    STATE(5258), 1,
      sym_join_condition,
    STATE(18363), 1,
      sym_join_type,
    ACTIONS(3454), 55,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [1868] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3486), 1,
      aux_sym_tablesample_operator_token1,
    ACTIONS(3488), 1,
      aux_sym_join_type_token1,
    ACTIONS(3542), 1,
      anon_sym_COMMA,
    ACTIONS(3544), 1,
      aux_sym_pivot_operator_token1,
    ACTIONS(3546), 1,
      aux_sym_unpivot_operator_token1,
    ACTIONS(3548), 1,
      aux_sym__cross_join_operation_token1,
    ACTIONS(3550), 1,
      aux_sym__cross_join_operation_token2,
    STATE(5478), 1,
      sym_tablesample_operator,
    STATE(17546), 1,
      sym_join_type,
    STATE(5386), 2,
      sym_pivot_operator,
      sym_unpivot_operator,
    ACTIONS(3490), 3,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
    ACTIONS(3476), 45,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [1955] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3464), 1,
      aux_sym_using_clause_token1,
    ACTIONS(3540), 1,
      aux_sym_join_condition_token1,
    STATE(5265), 1,
      sym_join_condition,
    STATE(18363), 1,
      sym_join_type,
    ACTIONS(3468), 55,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [2028] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(855), 1,
      sym__keyword_between,
    STATE(979), 1,
      sym__keyword_or,
    STATE(1257), 1,
      sym__keyword_and,
    STATE(1515), 1,
      sym__keyword_in,
    STATE(12101), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16256), 1,
      sym_quantitve_like_operator,
    STATE(16258), 1,
      sym_like_operator,
    ACTIONS(1021), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1019), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [2112] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3554), 1,
      anon_sym_SLASH,
    STATE(855), 1,
      sym__keyword_between,
    STATE(979), 1,
      sym__keyword_or,
    STATE(1257), 1,
      sym__keyword_and,
    STATE(1515), 1,
      sym__keyword_in,
    STATE(12101), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16256), 1,
      sym_quantitve_like_operator,
    STATE(16258), 1,
      sym_like_operator,
    ACTIONS(3552), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(921), 6,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PIPE,
    ACTIONS(917), 40,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [2200] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(3554), 1,
      anon_sym_SLASH,
    ACTIONS(3556), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3558), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3562), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3566), 1,
      anon_sym_PLUS,
    ACTIONS(3568), 1,
      anon_sym_DASH,
    ACTIONS(3572), 1,
      anon_sym_AMP,
    ACTIONS(3574), 1,
      anon_sym_CARET,
    ACTIONS(3576), 1,
      anon_sym_PIPE,
    STATE(855), 1,
      sym__keyword_between,
    STATE(979), 1,
      sym__keyword_or,
    STATE(1257), 1,
      sym__keyword_and,
    STATE(1515), 1,
      sym__keyword_in,
    STATE(12101), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16256), 1,
      sym_quantitve_like_operator,
    STATE(16258), 1,
      sym_like_operator,
    ACTIONS(3552), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3570), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3560), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3564), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1027), 26,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
  [2312] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(921), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3554), 1,
      anon_sym_SLASH,
    ACTIONS(3556), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3558), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3566), 1,
      anon_sym_PLUS,
    ACTIONS(3568), 1,
      anon_sym_DASH,
    ACTIONS(3572), 1,
      anon_sym_AMP,
    ACTIONS(3574), 1,
      anon_sym_CARET,
    ACTIONS(3576), 1,
      anon_sym_PIPE,
    STATE(855), 1,
      sym__keyword_between,
    STATE(979), 1,
      sym__keyword_or,
    STATE(1257), 1,
      sym__keyword_and,
    STATE(1515), 1,
      sym__keyword_in,
    STATE(12101), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16256), 1,
      sym_quantitve_like_operator,
    STATE(16258), 1,
      sym_like_operator,
    ACTIONS(3552), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3570), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3560), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3564), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(917), 27,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
  [2422] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3554), 1,
      anon_sym_SLASH,
    ACTIONS(3566), 1,
      anon_sym_PLUS,
    ACTIONS(3568), 1,
      anon_sym_DASH,
    ACTIONS(3572), 1,
      anon_sym_AMP,
    ACTIONS(3574), 1,
      anon_sym_CARET,
    ACTIONS(3576), 1,
      anon_sym_PIPE,
    STATE(855), 1,
      sym__keyword_between,
    STATE(979), 1,
      sym__keyword_or,
    STATE(1257), 1,
      sym__keyword_and,
    STATE(1515), 1,
      sym__keyword_in,
    STATE(12101), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16256), 1,
      sym_quantitve_like_operator,
    STATE(16258), 1,
      sym_like_operator,
    ACTIONS(3552), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3570), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(949), 4,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(947), 35,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [2522] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3554), 1,
      anon_sym_SLASH,
    ACTIONS(3566), 1,
      anon_sym_PLUS,
    ACTIONS(3568), 1,
      anon_sym_DASH,
    ACTIONS(3572), 1,
      anon_sym_AMP,
    ACTIONS(3574), 1,
      anon_sym_CARET,
    ACTIONS(3576), 1,
      anon_sym_PIPE,
    STATE(855), 1,
      sym__keyword_between,
    STATE(979), 1,
      sym__keyword_or,
    STATE(1257), 1,
      sym__keyword_and,
    STATE(1515), 1,
      sym__keyword_in,
    STATE(12101), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16256), 1,
      sym_quantitve_like_operator,
    STATE(16258), 1,
      sym_like_operator,
    ACTIONS(3552), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3570), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1025), 4,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1023), 35,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [2622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18363), 1,
      sym_join_type,
    ACTIONS(3524), 57,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [2688] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3580), 1,
      aux_sym__keyword_from_token1,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3586), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3588), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3590), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(3592), 1,
      aux_sym_where_clause_token1,
    STATE(5332), 1,
      sym_from_clause,
    STATE(5380), 1,
      sym_where_clause,
    STATE(5476), 1,
      sym_group_by_clause,
    STATE(5681), 1,
      sym_having_clause,
    STATE(5992), 1,
      sym_qualify_clause,
    STATE(6514), 1,
      sym_window_clause,
    STATE(11163), 1,
      sym__keyword_from,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3582), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3578), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [2782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18363), 1,
      sym_join_type,
    ACTIONS(3520), 57,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [2848] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3554), 1,
      anon_sym_SLASH,
    ACTIONS(3566), 1,
      anon_sym_PLUS,
    ACTIONS(3568), 1,
      anon_sym_DASH,
    ACTIONS(3572), 1,
      anon_sym_AMP,
    ACTIONS(3574), 1,
      anon_sym_CARET,
    ACTIONS(3576), 1,
      anon_sym_PIPE,
    STATE(855), 1,
      sym__keyword_between,
    STATE(979), 1,
      sym__keyword_or,
    STATE(1257), 1,
      sym__keyword_and,
    STATE(1515), 1,
      sym__keyword_in,
    STATE(12101), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16256), 1,
      sym_quantitve_like_operator,
    STATE(16258), 1,
      sym_like_operator,
    ACTIONS(3552), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3570), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1033), 4,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1031), 35,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [2948] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3580), 1,
      aux_sym__keyword_from_token1,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3586), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3588), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3590), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(3592), 1,
      aux_sym_where_clause_token1,
    STATE(5362), 1,
      sym_from_clause,
    STATE(5377), 1,
      sym_where_clause,
    STATE(5445), 1,
      sym_group_by_clause,
    STATE(5718), 1,
      sym_having_clause,
    STATE(6066), 1,
      sym_qualify_clause,
    STATE(6502), 1,
      sym_window_clause,
    STATE(11163), 1,
      sym__keyword_from,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3596), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3594), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [3042] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3554), 1,
      anon_sym_SLASH,
    ACTIONS(3566), 1,
      anon_sym_PLUS,
    ACTIONS(3568), 1,
      anon_sym_DASH,
    ACTIONS(3572), 1,
      anon_sym_AMP,
    ACTIONS(3574), 1,
      anon_sym_CARET,
    STATE(855), 1,
      sym__keyword_between,
    STATE(979), 1,
      sym__keyword_or,
    STATE(1257), 1,
      sym__keyword_and,
    STATE(1515), 1,
      sym__keyword_in,
    STATE(12101), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16256), 1,
      sym_quantitve_like_operator,
    STATE(16258), 1,
      sym_like_operator,
    ACTIONS(3552), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3570), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(921), 5,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(917), 35,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [3140] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3554), 1,
      anon_sym_SLASH,
    ACTIONS(3566), 1,
      anon_sym_PLUS,
    ACTIONS(3568), 1,
      anon_sym_DASH,
    ACTIONS(3572), 1,
      anon_sym_AMP,
    STATE(855), 1,
      sym__keyword_between,
    STATE(979), 1,
      sym__keyword_or,
    STATE(1257), 1,
      sym__keyword_and,
    STATE(1515), 1,
      sym__keyword_in,
    STATE(12101), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16256), 1,
      sym_quantitve_like_operator,
    STATE(16258), 1,
      sym_like_operator,
    ACTIONS(3552), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3570), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(921), 5,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(917), 36,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
  [3236] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3554), 1,
      anon_sym_SLASH,
    ACTIONS(3566), 1,
      anon_sym_PLUS,
    ACTIONS(3568), 1,
      anon_sym_DASH,
    ACTIONS(3572), 1,
      anon_sym_AMP,
    ACTIONS(3574), 1,
      anon_sym_CARET,
    ACTIONS(3576), 1,
      anon_sym_PIPE,
    STATE(855), 1,
      sym__keyword_between,
    STATE(979), 1,
      sym__keyword_or,
    STATE(1257), 1,
      sym__keyword_and,
    STATE(1515), 1,
      sym__keyword_in,
    STATE(12101), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16256), 1,
      sym_quantitve_like_operator,
    STATE(16258), 1,
      sym_like_operator,
    ACTIONS(3552), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3570), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1037), 4,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1035), 35,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [3336] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3580), 1,
      aux_sym__keyword_from_token1,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3586), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3588), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3590), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(3592), 1,
      aux_sym_where_clause_token1,
    STATE(5347), 1,
      sym_from_clause,
    STATE(5378), 1,
      sym_where_clause,
    STATE(5452), 1,
      sym_group_by_clause,
    STATE(5676), 1,
      sym_having_clause,
    STATE(6127), 1,
      sym_qualify_clause,
    STATE(6466), 1,
      sym_window_clause,
    STATE(11163), 1,
      sym__keyword_from,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3600), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3598), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [3430] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3554), 1,
      anon_sym_SLASH,
    ACTIONS(3566), 1,
      anon_sym_PLUS,
    ACTIONS(3568), 1,
      anon_sym_DASH,
    STATE(855), 1,
      sym__keyword_between,
    STATE(979), 1,
      sym__keyword_or,
    STATE(1257), 1,
      sym__keyword_and,
    STATE(1515), 1,
      sym__keyword_in,
    STATE(12101), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16256), 1,
      sym_quantitve_like_operator,
    STATE(16258), 1,
      sym_like_operator,
    ACTIONS(3552), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3570), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(921), 5,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(917), 37,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
  [3524] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(921), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3554), 1,
      anon_sym_SLASH,
    ACTIONS(3556), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3558), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3562), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3566), 1,
      anon_sym_PLUS,
    ACTIONS(3568), 1,
      anon_sym_DASH,
    ACTIONS(3572), 1,
      anon_sym_AMP,
    ACTIONS(3574), 1,
      anon_sym_CARET,
    ACTIONS(3576), 1,
      anon_sym_PIPE,
    STATE(855), 1,
      sym__keyword_between,
    STATE(979), 1,
      sym__keyword_or,
    STATE(1257), 1,
      sym__keyword_and,
    STATE(1515), 1,
      sym__keyword_in,
    STATE(12101), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16256), 1,
      sym_quantitve_like_operator,
    STATE(16258), 1,
      sym_like_operator,
    ACTIONS(3552), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3570), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3560), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3564), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(917), 26,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
  [3636] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3554), 1,
      anon_sym_SLASH,
    ACTIONS(3566), 1,
      anon_sym_PLUS,
    ACTIONS(3568), 1,
      anon_sym_DASH,
    STATE(855), 1,
      sym__keyword_between,
    STATE(979), 1,
      sym__keyword_or,
    STATE(1257), 1,
      sym__keyword_and,
    STATE(1515), 1,
      sym__keyword_in,
    STATE(12101), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16256), 1,
      sym_quantitve_like_operator,
    STATE(16258), 1,
      sym_like_operator,
    ACTIONS(3552), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(921), 5,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(917), 39,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [3728] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3580), 1,
      aux_sym__keyword_from_token1,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3586), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3588), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3590), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(3592), 1,
      aux_sym_where_clause_token1,
    STATE(5356), 1,
      sym_from_clause,
    STATE(5389), 1,
      sym_where_clause,
    STATE(5534), 1,
      sym_group_by_clause,
    STATE(5704), 1,
      sym_having_clause,
    STATE(5973), 1,
      sym_qualify_clause,
    STATE(6526), 1,
      sym_window_clause,
    STATE(11163), 1,
      sym__keyword_from,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3604), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3602), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [3822] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3554), 1,
      anon_sym_SLASH,
    ACTIONS(3566), 1,
      anon_sym_PLUS,
    ACTIONS(3568), 1,
      anon_sym_DASH,
    ACTIONS(3572), 1,
      anon_sym_AMP,
    ACTIONS(3574), 1,
      anon_sym_CARET,
    ACTIONS(3576), 1,
      anon_sym_PIPE,
    STATE(855), 1,
      sym__keyword_between,
    STATE(979), 1,
      sym__keyword_or,
    STATE(1257), 1,
      sym__keyword_and,
    STATE(1515), 1,
      sym__keyword_in,
    STATE(12101), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16256), 1,
      sym_quantitve_like_operator,
    STATE(16258), 1,
      sym_like_operator,
    ACTIONS(3552), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3570), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1041), 4,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1039), 35,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [3922] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3554), 1,
      anon_sym_SLASH,
    ACTIONS(3566), 1,
      anon_sym_PLUS,
    ACTIONS(3568), 1,
      anon_sym_DASH,
    ACTIONS(3572), 1,
      anon_sym_AMP,
    ACTIONS(3574), 1,
      anon_sym_CARET,
    ACTIONS(3576), 1,
      anon_sym_PIPE,
    STATE(855), 1,
      sym__keyword_between,
    STATE(979), 1,
      sym__keyword_or,
    STATE(1257), 1,
      sym__keyword_and,
    STATE(1515), 1,
      sym__keyword_in,
    STATE(12101), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16256), 1,
      sym_quantitve_like_operator,
    STATE(16258), 1,
      sym_like_operator,
    ACTIONS(3552), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3570), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(921), 4,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(917), 35,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [4022] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(855), 1,
      sym__keyword_between,
    STATE(979), 1,
      sym__keyword_or,
    STATE(1257), 1,
      sym__keyword_and,
    STATE(1515), 1,
      sym__keyword_in,
    STATE(12101), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16256), 1,
      sym_quantitve_like_operator,
    STATE(16258), 1,
      sym_like_operator,
    ACTIONS(921), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(917), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [4106] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3580), 1,
      aux_sym__keyword_from_token1,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3586), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3588), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3590), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(3592), 1,
      aux_sym_where_clause_token1,
    STATE(5365), 1,
      sym_from_clause,
    STATE(5379), 1,
      sym_where_clause,
    STATE(5525), 1,
      sym_group_by_clause,
    STATE(5753), 1,
      sym_having_clause,
    STATE(5997), 1,
      sym_qualify_clause,
    STATE(6534), 1,
      sym_window_clause,
    STATE(11163), 1,
      sym__keyword_from,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3608), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3606), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [4200] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3554), 1,
      anon_sym_SLASH,
    ACTIONS(3556), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3558), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3562), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3566), 1,
      anon_sym_PLUS,
    ACTIONS(3568), 1,
      anon_sym_DASH,
    ACTIONS(3572), 1,
      anon_sym_AMP,
    ACTIONS(3574), 1,
      anon_sym_CARET,
    ACTIONS(3576), 1,
      anon_sym_PIPE,
    ACTIONS(3610), 1,
      anon_sym_LBRACK,
    ACTIONS(3612), 1,
      anon_sym_DOT2,
    STATE(855), 1,
      sym__keyword_between,
    STATE(979), 1,
      sym__keyword_or,
    STATE(1257), 1,
      sym__keyword_and,
    STATE(1515), 1,
      sym__keyword_in,
    STATE(12101), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16256), 1,
      sym_quantitve_like_operator,
    STATE(16258), 1,
      sym_like_operator,
    ACTIONS(3552), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3570), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3560), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3564), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1001), 23,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
  [4318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1083), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1081), 40,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [4383] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(17546), 1,
      sym_join_type,
    ACTIONS(3520), 55,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [4447] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3616), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(3618), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3620), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3624), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3626), 1,
      anon_sym_LPAREN,
    ACTIONS(3628), 1,
      aux_sym_clone_clause_token1,
    ACTIONS(3630), 1,
      aux_sym_copy_clause_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    STATE(5619), 1,
      sym_create_table_parameters,
    STATE(6143), 1,
      sym_like_clause,
    STATE(6186), 1,
      sym_default_collate_clause,
    STATE(6718), 1,
      sym_table_partition_clause,
    STATE(7280), 1,
      sym_clone_clause,
    STATE(7301), 1,
      sym_table_cluster_clause,
    STATE(7478), 1,
      sym_copy_clause,
    STATE(7553), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12782), 1,
      sym__keyword_as,
    ACTIONS(3614), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [4549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(17546), 1,
      sym_join_type,
    ACTIONS(3524), 55,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [4613] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3636), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3640), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(5766), 1,
      sym_identifier,
    STATE(5986), 1,
      sym__type_chrono,
    STATE(7237), 1,
      sym_unnest_withoffset,
    STATE(8366), 1,
      sym_as_alias,
    STATE(11592), 1,
      sym__keyword_as,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3638), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5974), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(211), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(205), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [4703] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2166), 1,
      sym__unquoted_identifier,
    ACTIONS(2208), 1,
      sym__quoted_identifier,
    ACTIONS(3642), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3644), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(7194), 1,
      sym__identifier,
    STATE(7436), 1,
      sym_identifier,
    STATE(7614), 1,
      sym_unnest_withoffset,
    STATE(8552), 1,
      sym_as_alias,
    STATE(11476), 1,
      sym__keyword_as,
    STATE(13999), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(211), 15,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(205), 21,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [4793] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3618), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3624), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3626), 1,
      anon_sym_LPAREN,
    ACTIONS(3628), 1,
      aux_sym_clone_clause_token1,
    ACTIONS(3630), 1,
      aux_sym_copy_clause_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(3648), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(3650), 1,
      aux_sym__keyword_as_token1,
    STATE(5842), 1,
      sym_create_table_parameters,
    STATE(6126), 1,
      sym_like_clause,
    STATE(6311), 1,
      sym_default_collate_clause,
    STATE(6810), 1,
      sym_table_partition_clause,
    STATE(7296), 1,
      sym_table_cluster_clause,
    STATE(7376), 1,
      sym_clone_clause,
    STATE(7438), 1,
      sym_copy_clause,
    STATE(7744), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12465), 1,
      sym__keyword_as,
    ACTIONS(3646), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [4895] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2166), 1,
      sym__unquoted_identifier,
    ACTIONS(2208), 1,
      sym__quoted_identifier,
    ACTIONS(3652), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3656), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(7194), 1,
      sym__identifier,
    STATE(7436), 1,
      sym_identifier,
    STATE(7614), 1,
      sym_unnest_withoffset,
    STATE(8563), 1,
      sym_as_alias,
    STATE(9113), 1,
      sym__type_chrono,
    STATE(11554), 1,
      sym__keyword_as,
    STATE(13999), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3654), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(9478), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(211), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(205), 20,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [4985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3660), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3658), 54,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym_keyword_replace_token2,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_function_call_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [5049] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3618), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3624), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3626), 1,
      anon_sym_LPAREN,
    ACTIONS(3628), 1,
      aux_sym_clone_clause_token1,
    ACTIONS(3630), 1,
      aux_sym_copy_clause_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(3664), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(3666), 1,
      aux_sym__keyword_as_token1,
    STATE(5661), 1,
      sym_create_table_parameters,
    STATE(6073), 1,
      sym_like_clause,
    STATE(6240), 1,
      sym_default_collate_clause,
    STATE(6740), 1,
      sym_table_partition_clause,
    STATE(7321), 1,
      sym_table_cluster_clause,
    STATE(7331), 1,
      sym_clone_clause,
    STATE(7458), 1,
      sym_copy_clause,
    STATE(7576), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12233), 1,
      sym__keyword_as,
    ACTIONS(3662), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [5151] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3670), 1,
      aux_sym_keyword_replace_token2,
    ACTIONS(3672), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(3674), 1,
      aux_sym_set_operation_token4,
    STATE(5358), 1,
      sym_select_all_except,
    STATE(5375), 1,
      sym_select_all_replace,
    ACTIONS(3668), 51,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [5223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3678), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3676), 54,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym_keyword_replace_token2,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_function_call_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [5287] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(491), 1,
      sym__unquoted_identifier,
    ACTIONS(533), 1,
      sym__quoted_identifier,
    ACTIONS(3680), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3682), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(5940), 1,
      sym__identifier,
    STATE(6330), 1,
      sym_identifier,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(6528), 1,
      sym_unnest_withoffset,
    STATE(8786), 1,
      sym_as_alias,
    STATE(11504), 1,
      sym__keyword_as,
    STATE(13302), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(211), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(205), 20,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [5377] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(3418), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3420), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3424), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3436), 1,
      anon_sym_PLUS,
    ACTIONS(3438), 1,
      anon_sym_DASH,
    ACTIONS(3442), 1,
      anon_sym_SLASH,
    ACTIONS(3446), 1,
      anon_sym_AMP,
    ACTIONS(3448), 1,
      anon_sym_CARET,
    ACTIONS(3450), 1,
      anon_sym_PIPE,
    STATE(1556), 1,
      sym__keyword_in,
    STATE(1569), 1,
      sym__keyword_between,
    STATE(1590), 1,
      sym__keyword_and,
    STATE(1598), 1,
      sym__keyword_or,
    STATE(12044), 1,
      sym__keyword_is,
    STATE(13155), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16181), 1,
      sym_like_operator,
    STATE(16182), 1,
      sym_quantitve_like_operator,
    ACTIONS(3440), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3422), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(917), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
    ACTIONS(3430), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(921), 19,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
  [5486] = 41,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(351), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(357), 1,
      anon_sym_COMMA,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3684), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3686), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3690), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3696), 1,
      anon_sym_RPAREN,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(3702), 1,
      anon_sym_DOT2,
    ACTIONS(3704), 1,
      anon_sym_PLUS,
    ACTIONS(3706), 1,
      anon_sym_DASH,
    ACTIONS(3710), 1,
      anon_sym_SLASH,
    ACTIONS(3714), 1,
      anon_sym_AMP,
    ACTIONS(3716), 1,
      anon_sym_CARET,
    ACTIONS(3718), 1,
      anon_sym_PIPE,
    STATE(1321), 1,
      sym__keyword_between,
    STATE(1850), 1,
      sym__keyword_or,
    STATE(1852), 1,
      sym__keyword_and,
    STATE(1862), 1,
      sym__keyword_in,
    STATE(4908), 1,
      sym__identifier,
    STATE(5376), 1,
      sym_as_alias,
    STATE(5766), 1,
      sym_identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13064), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(3708), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3712), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3688), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3698), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [5625] = 41,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(351), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(357), 1,
      anon_sym_COMMA,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3684), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3686), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3690), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(3702), 1,
      anon_sym_DOT2,
    ACTIONS(3704), 1,
      anon_sym_PLUS,
    ACTIONS(3706), 1,
      anon_sym_DASH,
    ACTIONS(3710), 1,
      anon_sym_SLASH,
    ACTIONS(3714), 1,
      anon_sym_AMP,
    ACTIONS(3716), 1,
      anon_sym_CARET,
    ACTIONS(3718), 1,
      anon_sym_PIPE,
    ACTIONS(3720), 1,
      anon_sym_RPAREN,
    STATE(1321), 1,
      sym__keyword_between,
    STATE(1850), 1,
      sym__keyword_or,
    STATE(1852), 1,
      sym__keyword_and,
    STATE(1862), 1,
      sym__keyword_in,
    STATE(4908), 1,
      sym__identifier,
    STATE(5376), 1,
      sym_as_alias,
    STATE(5766), 1,
      sym_identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13064), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(3708), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3712), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3688), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3698), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [5764] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1556), 1,
      sym__keyword_in,
    STATE(1569), 1,
      sym__keyword_between,
    STATE(1590), 1,
      sym__keyword_and,
    STATE(1598), 1,
      sym__keyword_or,
    STATE(12044), 1,
      sym__keyword_is,
    STATE(13155), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16181), 1,
      sym_like_operator,
    STATE(16182), 1,
      sym_quantitve_like_operator,
    ACTIONS(917), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(921), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [5845] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2242), 1,
      sym__unquoted_identifier,
    ACTIONS(2284), 1,
      sym__quoted_identifier,
    ACTIONS(3722), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3726), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(8591), 1,
      sym__identifier,
    STATE(9241), 1,
      sym_as_alias,
    STATE(9707), 1,
      sym__type_chrono,
    STATE(9786), 1,
      sym_identifier,
    STATE(10330), 1,
      sym_unnest_withoffset,
    STATE(11522), 1,
      sym__keyword_as,
    STATE(13746), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3724), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(9750), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(211), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(205), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [5934] = 41,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(351), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(357), 1,
      anon_sym_COMMA,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3684), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3686), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3690), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(3702), 1,
      anon_sym_DOT2,
    ACTIONS(3704), 1,
      anon_sym_PLUS,
    ACTIONS(3706), 1,
      anon_sym_DASH,
    ACTIONS(3710), 1,
      anon_sym_SLASH,
    ACTIONS(3714), 1,
      anon_sym_AMP,
    ACTIONS(3716), 1,
      anon_sym_CARET,
    ACTIONS(3718), 1,
      anon_sym_PIPE,
    ACTIONS(3728), 1,
      anon_sym_RPAREN,
    STATE(1321), 1,
      sym__keyword_between,
    STATE(1850), 1,
      sym__keyword_or,
    STATE(1852), 1,
      sym__keyword_and,
    STATE(1862), 1,
      sym__keyword_in,
    STATE(4908), 1,
      sym__identifier,
    STATE(5376), 1,
      sym_as_alias,
    STATE(5766), 1,
      sym_identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13064), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(3708), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3712), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3688), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3698), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [6073] = 41,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(351), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(357), 1,
      anon_sym_COMMA,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3684), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3686), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3690), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(3702), 1,
      anon_sym_DOT2,
    ACTIONS(3704), 1,
      anon_sym_PLUS,
    ACTIONS(3706), 1,
      anon_sym_DASH,
    ACTIONS(3710), 1,
      anon_sym_SLASH,
    ACTIONS(3714), 1,
      anon_sym_AMP,
    ACTIONS(3716), 1,
      anon_sym_CARET,
    ACTIONS(3718), 1,
      anon_sym_PIPE,
    ACTIONS(3730), 1,
      anon_sym_RPAREN,
    STATE(1321), 1,
      sym__keyword_between,
    STATE(1850), 1,
      sym__keyword_or,
    STATE(1852), 1,
      sym__keyword_and,
    STATE(1862), 1,
      sym__keyword_in,
    STATE(4908), 1,
      sym__identifier,
    STATE(5376), 1,
      sym_as_alias,
    STATE(5766), 1,
      sym_identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13064), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(3708), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3712), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3688), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3698), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [6212] = 41,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(351), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(357), 1,
      anon_sym_COMMA,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3684), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3686), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3690), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(3702), 1,
      anon_sym_DOT2,
    ACTIONS(3704), 1,
      anon_sym_PLUS,
    ACTIONS(3706), 1,
      anon_sym_DASH,
    ACTIONS(3710), 1,
      anon_sym_SLASH,
    ACTIONS(3714), 1,
      anon_sym_AMP,
    ACTIONS(3716), 1,
      anon_sym_CARET,
    ACTIONS(3718), 1,
      anon_sym_PIPE,
    ACTIONS(3732), 1,
      anon_sym_RPAREN,
    STATE(1321), 1,
      sym__keyword_between,
    STATE(1850), 1,
      sym__keyword_or,
    STATE(1852), 1,
      sym__keyword_and,
    STATE(1862), 1,
      sym__keyword_in,
    STATE(4908), 1,
      sym__identifier,
    STATE(5376), 1,
      sym_as_alias,
    STATE(5766), 1,
      sym_identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13064), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(3708), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3712), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3688), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3698), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [6351] = 41,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(351), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(357), 1,
      anon_sym_COMMA,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3684), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3686), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3690), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(3702), 1,
      anon_sym_DOT2,
    ACTIONS(3704), 1,
      anon_sym_PLUS,
    ACTIONS(3706), 1,
      anon_sym_DASH,
    ACTIONS(3710), 1,
      anon_sym_SLASH,
    ACTIONS(3714), 1,
      anon_sym_AMP,
    ACTIONS(3716), 1,
      anon_sym_CARET,
    ACTIONS(3718), 1,
      anon_sym_PIPE,
    ACTIONS(3734), 1,
      anon_sym_RPAREN,
    STATE(1321), 1,
      sym__keyword_between,
    STATE(1850), 1,
      sym__keyword_or,
    STATE(1852), 1,
      sym__keyword_and,
    STATE(1862), 1,
      sym__keyword_in,
    STATE(4908), 1,
      sym__identifier,
    STATE(5376), 1,
      sym_as_alias,
    STATE(5766), 1,
      sym_identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13064), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(3708), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3712), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3688), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3698), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [6490] = 41,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(351), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(357), 1,
      anon_sym_COMMA,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3684), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3686), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3690), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(3702), 1,
      anon_sym_DOT2,
    ACTIONS(3704), 1,
      anon_sym_PLUS,
    ACTIONS(3706), 1,
      anon_sym_DASH,
    ACTIONS(3710), 1,
      anon_sym_SLASH,
    ACTIONS(3714), 1,
      anon_sym_AMP,
    ACTIONS(3716), 1,
      anon_sym_CARET,
    ACTIONS(3718), 1,
      anon_sym_PIPE,
    ACTIONS(3736), 1,
      anon_sym_RPAREN,
    STATE(1321), 1,
      sym__keyword_between,
    STATE(1850), 1,
      sym__keyword_or,
    STATE(1852), 1,
      sym__keyword_and,
    STATE(1862), 1,
      sym__keyword_in,
    STATE(4908), 1,
      sym__identifier,
    STATE(5376), 1,
      sym_as_alias,
    STATE(5766), 1,
      sym_identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13064), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(3708), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3712), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3688), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3698), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [6629] = 41,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(351), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(357), 1,
      anon_sym_COMMA,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3684), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3686), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3690), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(3702), 1,
      anon_sym_DOT2,
    ACTIONS(3704), 1,
      anon_sym_PLUS,
    ACTIONS(3706), 1,
      anon_sym_DASH,
    ACTIONS(3710), 1,
      anon_sym_SLASH,
    ACTIONS(3714), 1,
      anon_sym_AMP,
    ACTIONS(3716), 1,
      anon_sym_CARET,
    ACTIONS(3718), 1,
      anon_sym_PIPE,
    ACTIONS(3738), 1,
      anon_sym_RPAREN,
    STATE(1321), 1,
      sym__keyword_between,
    STATE(1850), 1,
      sym__keyword_or,
    STATE(1852), 1,
      sym__keyword_and,
    STATE(1862), 1,
      sym__keyword_in,
    STATE(4908), 1,
      sym__identifier,
    STATE(5376), 1,
      sym_as_alias,
    STATE(5766), 1,
      sym_identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13064), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(3708), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3712), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3688), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3698), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [6768] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3586), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3588), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3590), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(3592), 1,
      aux_sym_where_clause_token1,
    STATE(5378), 1,
      sym_where_clause,
    STATE(5452), 1,
      sym_group_by_clause,
    STATE(5676), 1,
      sym_having_clause,
    STATE(6127), 1,
      sym_qualify_clause,
    STATE(6466), 1,
      sym_window_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3600), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3598), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [6853] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3436), 1,
      anon_sym_PLUS,
    ACTIONS(3438), 1,
      anon_sym_DASH,
    ACTIONS(3442), 1,
      anon_sym_SLASH,
    ACTIONS(3446), 1,
      anon_sym_AMP,
    ACTIONS(3448), 1,
      anon_sym_CARET,
    ACTIONS(3450), 1,
      anon_sym_PIPE,
    STATE(1556), 1,
      sym__keyword_in,
    STATE(1569), 1,
      sym__keyword_between,
    STATE(1590), 1,
      sym__keyword_and,
    STATE(1598), 1,
      sym__keyword_or,
    STATE(12044), 1,
      sym__keyword_is,
    STATE(13155), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16181), 1,
      sym_like_operator,
    STATE(16182), 1,
      sym_quantitve_like_operator,
    ACTIONS(3440), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(917), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(921), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
  [6950] = 41,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(351), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(357), 1,
      anon_sym_COMMA,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3684), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3686), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3690), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(3702), 1,
      anon_sym_DOT2,
    ACTIONS(3704), 1,
      anon_sym_PLUS,
    ACTIONS(3706), 1,
      anon_sym_DASH,
    ACTIONS(3710), 1,
      anon_sym_SLASH,
    ACTIONS(3714), 1,
      anon_sym_AMP,
    ACTIONS(3716), 1,
      anon_sym_CARET,
    ACTIONS(3718), 1,
      anon_sym_PIPE,
    ACTIONS(3740), 1,
      anon_sym_RPAREN,
    STATE(1321), 1,
      sym__keyword_between,
    STATE(1850), 1,
      sym__keyword_or,
    STATE(1852), 1,
      sym__keyword_and,
    STATE(1862), 1,
      sym__keyword_in,
    STATE(4908), 1,
      sym__identifier,
    STATE(5376), 1,
      sym_as_alias,
    STATE(5766), 1,
      sym_identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13064), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(3708), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3712), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3688), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3698), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [7089] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3418), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3420), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3424), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3436), 1,
      anon_sym_PLUS,
    ACTIONS(3438), 1,
      anon_sym_DASH,
    ACTIONS(3442), 1,
      anon_sym_SLASH,
    ACTIONS(3446), 1,
      anon_sym_AMP,
    ACTIONS(3448), 1,
      anon_sym_CARET,
    ACTIONS(3450), 1,
      anon_sym_PIPE,
    STATE(1556), 1,
      sym__keyword_in,
    STATE(1569), 1,
      sym__keyword_between,
    STATE(1590), 1,
      sym__keyword_and,
    STATE(1598), 1,
      sym__keyword_or,
    STATE(12044), 1,
      sym__keyword_is,
    STATE(13155), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16181), 1,
      sym_like_operator,
    STATE(16182), 1,
      sym_quantitve_like_operator,
    ACTIONS(3440), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3422), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1027), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
    ACTIONS(3430), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1029), 18,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
  [7200] = 41,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(351), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(357), 1,
      anon_sym_COMMA,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3684), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3686), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3690), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(3702), 1,
      anon_sym_DOT2,
    ACTIONS(3704), 1,
      anon_sym_PLUS,
    ACTIONS(3706), 1,
      anon_sym_DASH,
    ACTIONS(3710), 1,
      anon_sym_SLASH,
    ACTIONS(3714), 1,
      anon_sym_AMP,
    ACTIONS(3716), 1,
      anon_sym_CARET,
    ACTIONS(3718), 1,
      anon_sym_PIPE,
    ACTIONS(3742), 1,
      anon_sym_RPAREN,
    STATE(1321), 1,
      sym__keyword_between,
    STATE(1850), 1,
      sym__keyword_or,
    STATE(1852), 1,
      sym__keyword_and,
    STATE(1862), 1,
      sym__keyword_in,
    STATE(4908), 1,
      sym__identifier,
    STATE(5376), 1,
      sym_as_alias,
    STATE(5766), 1,
      sym_identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13064), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(3708), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3712), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3688), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3698), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [7339] = 41,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(351), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(357), 1,
      anon_sym_COMMA,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3684), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3686), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3690), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(3702), 1,
      anon_sym_DOT2,
    ACTIONS(3704), 1,
      anon_sym_PLUS,
    ACTIONS(3706), 1,
      anon_sym_DASH,
    ACTIONS(3710), 1,
      anon_sym_SLASH,
    ACTIONS(3714), 1,
      anon_sym_AMP,
    ACTIONS(3716), 1,
      anon_sym_CARET,
    ACTIONS(3718), 1,
      anon_sym_PIPE,
    ACTIONS(3744), 1,
      anon_sym_RPAREN,
    STATE(1321), 1,
      sym__keyword_between,
    STATE(1850), 1,
      sym__keyword_or,
    STATE(1852), 1,
      sym__keyword_and,
    STATE(1862), 1,
      sym__keyword_in,
    STATE(4908), 1,
      sym__identifier,
    STATE(5376), 1,
      sym_as_alias,
    STATE(5766), 1,
      sym_identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13064), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(3708), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3712), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3688), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3698), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [7478] = 41,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(351), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(357), 1,
      anon_sym_COMMA,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3684), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3686), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3690), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(3702), 1,
      anon_sym_DOT2,
    ACTIONS(3704), 1,
      anon_sym_PLUS,
    ACTIONS(3706), 1,
      anon_sym_DASH,
    ACTIONS(3710), 1,
      anon_sym_SLASH,
    ACTIONS(3714), 1,
      anon_sym_AMP,
    ACTIONS(3716), 1,
      anon_sym_CARET,
    ACTIONS(3718), 1,
      anon_sym_PIPE,
    ACTIONS(3738), 1,
      anon_sym_RPAREN,
    STATE(1321), 1,
      sym__keyword_between,
    STATE(1850), 1,
      sym__keyword_or,
    STATE(1852), 1,
      sym__keyword_and,
    STATE(1862), 1,
      sym__keyword_in,
    STATE(4908), 1,
      sym__identifier,
    STATE(5376), 1,
      sym_as_alias,
    STATE(5766), 1,
      sym_identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13064), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(3708), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3712), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3688), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3698), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [7617] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3436), 1,
      anon_sym_PLUS,
    ACTIONS(3438), 1,
      anon_sym_DASH,
    ACTIONS(3442), 1,
      anon_sym_SLASH,
    ACTIONS(3446), 1,
      anon_sym_AMP,
    ACTIONS(3448), 1,
      anon_sym_CARET,
    ACTIONS(3450), 1,
      anon_sym_PIPE,
    STATE(1556), 1,
      sym__keyword_in,
    STATE(1569), 1,
      sym__keyword_between,
    STATE(1590), 1,
      sym__keyword_and,
    STATE(1598), 1,
      sym__keyword_or,
    STATE(12044), 1,
      sym__keyword_is,
    STATE(13155), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16181), 1,
      sym_like_operator,
    STATE(16182), 1,
      sym_quantitve_like_operator,
    ACTIONS(3440), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1035), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1037), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
  [7714] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3442), 1,
      anon_sym_SLASH,
    STATE(1556), 1,
      sym__keyword_in,
    STATE(1569), 1,
      sym__keyword_between,
    STATE(1590), 1,
      sym__keyword_and,
    STATE(1598), 1,
      sym__keyword_or,
    STATE(12044), 1,
      sym__keyword_is,
    STATE(13155), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16181), 1,
      sym_like_operator,
    STATE(16182), 1,
      sym_quantitve_like_operator,
    ACTIONS(3440), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(917), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(921), 28,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_PIPE,
  [7799] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3436), 1,
      anon_sym_PLUS,
    ACTIONS(3438), 1,
      anon_sym_DASH,
    ACTIONS(3442), 1,
      anon_sym_SLASH,
    ACTIONS(3446), 1,
      anon_sym_AMP,
    ACTIONS(3448), 1,
      anon_sym_CARET,
    ACTIONS(3450), 1,
      anon_sym_PIPE,
    STATE(1556), 1,
      sym__keyword_in,
    STATE(1569), 1,
      sym__keyword_between,
    STATE(1590), 1,
      sym__keyword_and,
    STATE(1598), 1,
      sym__keyword_or,
    STATE(12044), 1,
      sym__keyword_is,
    STATE(13155), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16181), 1,
      sym_like_operator,
    STATE(16182), 1,
      sym_quantitve_like_operator,
    ACTIONS(3440), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1031), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1033), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
  [7896] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1556), 1,
      sym__keyword_in,
    STATE(1569), 1,
      sym__keyword_between,
    STATE(1590), 1,
      sym__keyword_and,
    STATE(1598), 1,
      sym__keyword_or,
    STATE(12044), 1,
      sym__keyword_is,
    STATE(13155), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16181), 1,
      sym_like_operator,
    STATE(16182), 1,
      sym_quantitve_like_operator,
    ACTIONS(1019), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1021), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [7977] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3436), 1,
      anon_sym_PLUS,
    ACTIONS(3438), 1,
      anon_sym_DASH,
    ACTIONS(3442), 1,
      anon_sym_SLASH,
    STATE(1556), 1,
      sym__keyword_in,
    STATE(1569), 1,
      sym__keyword_between,
    STATE(1590), 1,
      sym__keyword_and,
    STATE(1598), 1,
      sym__keyword_or,
    STATE(12044), 1,
      sym__keyword_is,
    STATE(13155), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16181), 1,
      sym_like_operator,
    STATE(16182), 1,
      sym_quantitve_like_operator,
    ACTIONS(3440), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(917), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(921), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_PIPE,
  [8068] = 41,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(351), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(357), 1,
      anon_sym_COMMA,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3684), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3686), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3690), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(3702), 1,
      anon_sym_DOT2,
    ACTIONS(3704), 1,
      anon_sym_PLUS,
    ACTIONS(3706), 1,
      anon_sym_DASH,
    ACTIONS(3710), 1,
      anon_sym_SLASH,
    ACTIONS(3714), 1,
      anon_sym_AMP,
    ACTIONS(3716), 1,
      anon_sym_CARET,
    ACTIONS(3718), 1,
      anon_sym_PIPE,
    ACTIONS(3746), 1,
      anon_sym_RPAREN,
    STATE(1321), 1,
      sym__keyword_between,
    STATE(1850), 1,
      sym__keyword_or,
    STATE(1852), 1,
      sym__keyword_and,
    STATE(1862), 1,
      sym__keyword_in,
    STATE(4908), 1,
      sym__identifier,
    STATE(5376), 1,
      sym_as_alias,
    STATE(5766), 1,
      sym_identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13064), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(3708), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3712), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3688), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3698), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [8207] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3436), 1,
      anon_sym_PLUS,
    ACTIONS(3438), 1,
      anon_sym_DASH,
    ACTIONS(3442), 1,
      anon_sym_SLASH,
    ACTIONS(3446), 1,
      anon_sym_AMP,
    STATE(1556), 1,
      sym__keyword_in,
    STATE(1569), 1,
      sym__keyword_between,
    STATE(1590), 1,
      sym__keyword_and,
    STATE(1598), 1,
      sym__keyword_or,
    STATE(12044), 1,
      sym__keyword_is,
    STATE(13155), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16181), 1,
      sym_like_operator,
    STATE(16182), 1,
      sym_quantitve_like_operator,
    ACTIONS(3440), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(917), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
    ACTIONS(921), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_PIPE,
  [8300] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3436), 1,
      anon_sym_PLUS,
    ACTIONS(3438), 1,
      anon_sym_DASH,
    ACTIONS(3442), 1,
      anon_sym_SLASH,
    ACTIONS(3446), 1,
      anon_sym_AMP,
    ACTIONS(3448), 1,
      anon_sym_CARET,
    STATE(1556), 1,
      sym__keyword_in,
    STATE(1569), 1,
      sym__keyword_between,
    STATE(1590), 1,
      sym__keyword_and,
    STATE(1598), 1,
      sym__keyword_or,
    STATE(12044), 1,
      sym__keyword_is,
    STATE(13155), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16181), 1,
      sym_like_operator,
    STATE(16182), 1,
      sym_quantitve_like_operator,
    ACTIONS(3440), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(917), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(921), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_PIPE,
  [8395] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3586), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3588), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3590), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(3592), 1,
      aux_sym_where_clause_token1,
    STATE(5377), 1,
      sym_where_clause,
    STATE(5445), 1,
      sym_group_by_clause,
    STATE(5718), 1,
      sym_having_clause,
    STATE(6066), 1,
      sym_qualify_clause,
    STATE(6502), 1,
      sym_window_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3596), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3594), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [8480] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3436), 1,
      anon_sym_PLUS,
    ACTIONS(3438), 1,
      anon_sym_DASH,
    ACTIONS(3442), 1,
      anon_sym_SLASH,
    ACTIONS(3446), 1,
      anon_sym_AMP,
    ACTIONS(3448), 1,
      anon_sym_CARET,
    ACTIONS(3450), 1,
      anon_sym_PIPE,
    STATE(1556), 1,
      sym__keyword_in,
    STATE(1569), 1,
      sym__keyword_between,
    STATE(1590), 1,
      sym__keyword_and,
    STATE(1598), 1,
      sym__keyword_or,
    STATE(12044), 1,
      sym__keyword_is,
    STATE(13155), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16181), 1,
      sym_like_operator,
    STATE(16182), 1,
      sym_quantitve_like_operator,
    ACTIONS(3440), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(947), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(949), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
  [8577] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(3418), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3420), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3436), 1,
      anon_sym_PLUS,
    ACTIONS(3438), 1,
      anon_sym_DASH,
    ACTIONS(3442), 1,
      anon_sym_SLASH,
    ACTIONS(3446), 1,
      anon_sym_AMP,
    ACTIONS(3448), 1,
      anon_sym_CARET,
    ACTIONS(3450), 1,
      anon_sym_PIPE,
    STATE(1556), 1,
      sym__keyword_in,
    STATE(1569), 1,
      sym__keyword_between,
    STATE(1590), 1,
      sym__keyword_and,
    STATE(1598), 1,
      sym__keyword_or,
    STATE(12044), 1,
      sym__keyword_is,
    STATE(13155), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16181), 1,
      sym_like_operator,
    STATE(16182), 1,
      sym_quantitve_like_operator,
    ACTIONS(3440), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3422), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(917), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
    ACTIONS(3430), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(921), 20,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
  [8684] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3436), 1,
      anon_sym_PLUS,
    ACTIONS(3438), 1,
      anon_sym_DASH,
    ACTIONS(3442), 1,
      anon_sym_SLASH,
    ACTIONS(3446), 1,
      anon_sym_AMP,
    ACTIONS(3448), 1,
      anon_sym_CARET,
    ACTIONS(3450), 1,
      anon_sym_PIPE,
    STATE(1556), 1,
      sym__keyword_in,
    STATE(1569), 1,
      sym__keyword_between,
    STATE(1590), 1,
      sym__keyword_and,
    STATE(1598), 1,
      sym__keyword_or,
    STATE(12044), 1,
      sym__keyword_is,
    STATE(13155), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16181), 1,
      sym_like_operator,
    STATE(16182), 1,
      sym_quantitve_like_operator,
    ACTIONS(3440), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1023), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1025), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
  [8781] = 41,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(351), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(357), 1,
      anon_sym_COMMA,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3684), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3686), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3690), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(3702), 1,
      anon_sym_DOT2,
    ACTIONS(3704), 1,
      anon_sym_PLUS,
    ACTIONS(3706), 1,
      anon_sym_DASH,
    ACTIONS(3710), 1,
      anon_sym_SLASH,
    ACTIONS(3714), 1,
      anon_sym_AMP,
    ACTIONS(3716), 1,
      anon_sym_CARET,
    ACTIONS(3718), 1,
      anon_sym_PIPE,
    ACTIONS(3748), 1,
      anon_sym_RPAREN,
    STATE(1321), 1,
      sym__keyword_between,
    STATE(1850), 1,
      sym__keyword_or,
    STATE(1852), 1,
      sym__keyword_and,
    STATE(1862), 1,
      sym__keyword_in,
    STATE(4908), 1,
      sym__identifier,
    STATE(5376), 1,
      sym_as_alias,
    STATE(5766), 1,
      sym_identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13064), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(3708), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3712), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3688), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3698), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [8920] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3436), 1,
      anon_sym_PLUS,
    ACTIONS(3438), 1,
      anon_sym_DASH,
    ACTIONS(3442), 1,
      anon_sym_SLASH,
    STATE(1556), 1,
      sym__keyword_in,
    STATE(1569), 1,
      sym__keyword_between,
    STATE(1590), 1,
      sym__keyword_and,
    STATE(1598), 1,
      sym__keyword_or,
    STATE(12044), 1,
      sym__keyword_is,
    STATE(13155), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16181), 1,
      sym_like_operator,
    STATE(16182), 1,
      sym_quantitve_like_operator,
    ACTIONS(3440), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(917), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(921), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_PIPE,
  [9009] = 41,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(351), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(357), 1,
      anon_sym_COMMA,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3684), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3686), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3690), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(3702), 1,
      anon_sym_DOT2,
    ACTIONS(3704), 1,
      anon_sym_PLUS,
    ACTIONS(3706), 1,
      anon_sym_DASH,
    ACTIONS(3710), 1,
      anon_sym_SLASH,
    ACTIONS(3714), 1,
      anon_sym_AMP,
    ACTIONS(3716), 1,
      anon_sym_CARET,
    ACTIONS(3718), 1,
      anon_sym_PIPE,
    ACTIONS(3750), 1,
      anon_sym_RPAREN,
    STATE(1321), 1,
      sym__keyword_between,
    STATE(1850), 1,
      sym__keyword_or,
    STATE(1852), 1,
      sym__keyword_and,
    STATE(1862), 1,
      sym__keyword_in,
    STATE(4908), 1,
      sym__identifier,
    STATE(5376), 1,
      sym_as_alias,
    STATE(5766), 1,
      sym_identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13064), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(3708), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3712), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3688), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3698), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [9148] = 41,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(351), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(357), 1,
      anon_sym_COMMA,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3684), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3686), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3690), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(3702), 1,
      anon_sym_DOT2,
    ACTIONS(3704), 1,
      anon_sym_PLUS,
    ACTIONS(3706), 1,
      anon_sym_DASH,
    ACTIONS(3710), 1,
      anon_sym_SLASH,
    ACTIONS(3714), 1,
      anon_sym_AMP,
    ACTIONS(3716), 1,
      anon_sym_CARET,
    ACTIONS(3718), 1,
      anon_sym_PIPE,
    ACTIONS(3750), 1,
      anon_sym_RPAREN,
    STATE(1321), 1,
      sym__keyword_between,
    STATE(1850), 1,
      sym__keyword_or,
    STATE(1852), 1,
      sym__keyword_and,
    STATE(1862), 1,
      sym__keyword_in,
    STATE(4908), 1,
      sym__identifier,
    STATE(5376), 1,
      sym_as_alias,
    STATE(5766), 1,
      sym_identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13064), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(3708), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3712), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3688), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3698), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [9287] = 41,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(351), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(357), 1,
      anon_sym_COMMA,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3684), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3686), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3690), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(3702), 1,
      anon_sym_DOT2,
    ACTIONS(3704), 1,
      anon_sym_PLUS,
    ACTIONS(3706), 1,
      anon_sym_DASH,
    ACTIONS(3710), 1,
      anon_sym_SLASH,
    ACTIONS(3714), 1,
      anon_sym_AMP,
    ACTIONS(3716), 1,
      anon_sym_CARET,
    ACTIONS(3718), 1,
      anon_sym_PIPE,
    ACTIONS(3752), 1,
      anon_sym_RPAREN,
    STATE(1321), 1,
      sym__keyword_between,
    STATE(1850), 1,
      sym__keyword_or,
    STATE(1852), 1,
      sym__keyword_and,
    STATE(1862), 1,
      sym__keyword_in,
    STATE(4908), 1,
      sym__identifier,
    STATE(5376), 1,
      sym_as_alias,
    STATE(5766), 1,
      sym_identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13064), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(3708), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3712), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3688), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3698), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [9426] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3586), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3588), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3590), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(3592), 1,
      aux_sym_where_clause_token1,
    STATE(5387), 1,
      sym_where_clause,
    STATE(5422), 1,
      sym_group_by_clause,
    STATE(5948), 1,
      sym_having_clause,
    STATE(5999), 1,
      sym_qualify_clause,
    STATE(6540), 1,
      sym_window_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3756), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3754), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [9511] = 41,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(351), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(357), 1,
      anon_sym_COMMA,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3684), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3686), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3690), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(3702), 1,
      anon_sym_DOT2,
    ACTIONS(3704), 1,
      anon_sym_PLUS,
    ACTIONS(3706), 1,
      anon_sym_DASH,
    ACTIONS(3710), 1,
      anon_sym_SLASH,
    ACTIONS(3714), 1,
      anon_sym_AMP,
    ACTIONS(3716), 1,
      anon_sym_CARET,
    ACTIONS(3718), 1,
      anon_sym_PIPE,
    ACTIONS(3758), 1,
      anon_sym_RPAREN,
    STATE(1321), 1,
      sym__keyword_between,
    STATE(1850), 1,
      sym__keyword_or,
    STATE(1852), 1,
      sym__keyword_and,
    STATE(1862), 1,
      sym__keyword_in,
    STATE(4908), 1,
      sym__identifier,
    STATE(5376), 1,
      sym_as_alias,
    STATE(5766), 1,
      sym_identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13064), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(3708), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3712), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3688), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3698), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [9650] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3670), 1,
      aux_sym_keyword_replace_token2,
    STATE(5385), 1,
      sym_select_all_replace,
    ACTIONS(3762), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3760), 51,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [9717] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      sym__unquoted_identifier,
    ACTIONS(275), 1,
      sym__quoted_identifier,
    ACTIONS(3764), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3768), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(7828), 1,
      sym__identifier,
    STATE(9302), 1,
      sym_as_alias,
    STATE(9633), 1,
      sym_identifier,
    STATE(9825), 1,
      sym__type_chrono,
    STATE(9916), 1,
      sym_unnest_withoffset,
    STATE(11568), 1,
      sym__keyword_as,
    STATE(13757), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3766), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(9753), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(211), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(205), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [9806] = 41,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(351), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(357), 1,
      anon_sym_COMMA,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3684), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3686), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3690), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(3702), 1,
      anon_sym_DOT2,
    ACTIONS(3704), 1,
      anon_sym_PLUS,
    ACTIONS(3706), 1,
      anon_sym_DASH,
    ACTIONS(3710), 1,
      anon_sym_SLASH,
    ACTIONS(3714), 1,
      anon_sym_AMP,
    ACTIONS(3716), 1,
      anon_sym_CARET,
    ACTIONS(3718), 1,
      anon_sym_PIPE,
    ACTIONS(3770), 1,
      anon_sym_RPAREN,
    STATE(1321), 1,
      sym__keyword_between,
    STATE(1850), 1,
      sym__keyword_or,
    STATE(1852), 1,
      sym__keyword_and,
    STATE(1862), 1,
      sym__keyword_in,
    STATE(4908), 1,
      sym__identifier,
    STATE(5376), 1,
      sym_as_alias,
    STATE(5766), 1,
      sym_identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13064), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(3708), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3712), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3688), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3698), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [9945] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3436), 1,
      anon_sym_PLUS,
    ACTIONS(3438), 1,
      anon_sym_DASH,
    ACTIONS(3442), 1,
      anon_sym_SLASH,
    ACTIONS(3446), 1,
      anon_sym_AMP,
    ACTIONS(3448), 1,
      anon_sym_CARET,
    ACTIONS(3450), 1,
      anon_sym_PIPE,
    STATE(1556), 1,
      sym__keyword_in,
    STATE(1569), 1,
      sym__keyword_between,
    STATE(1590), 1,
      sym__keyword_and,
    STATE(1598), 1,
      sym__keyword_or,
    STATE(12044), 1,
      sym__keyword_is,
    STATE(13155), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16181), 1,
      sym_like_operator,
    STATE(16182), 1,
      sym_quantitve_like_operator,
    ACTIONS(3440), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1039), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1041), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
  [10042] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3586), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3588), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3590), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(3592), 1,
      aux_sym_where_clause_token1,
    STATE(5379), 1,
      sym_where_clause,
    STATE(5525), 1,
      sym_group_by_clause,
    STATE(5753), 1,
      sym_having_clause,
    STATE(5997), 1,
      sym_qualify_clause,
    STATE(6534), 1,
      sym_window_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3608), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3606), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [10127] = 41,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(351), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(357), 1,
      anon_sym_COMMA,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3684), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3686), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3690), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(3702), 1,
      anon_sym_DOT2,
    ACTIONS(3704), 1,
      anon_sym_PLUS,
    ACTIONS(3706), 1,
      anon_sym_DASH,
    ACTIONS(3710), 1,
      anon_sym_SLASH,
    ACTIONS(3714), 1,
      anon_sym_AMP,
    ACTIONS(3716), 1,
      anon_sym_CARET,
    ACTIONS(3718), 1,
      anon_sym_PIPE,
    ACTIONS(3732), 1,
      anon_sym_RPAREN,
    STATE(1321), 1,
      sym__keyword_between,
    STATE(1850), 1,
      sym__keyword_or,
    STATE(1852), 1,
      sym__keyword_and,
    STATE(1862), 1,
      sym__keyword_in,
    STATE(4908), 1,
      sym__identifier,
    STATE(5376), 1,
      sym_as_alias,
    STATE(5766), 1,
      sym_identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13064), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(3708), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3712), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3688), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3698), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [10266] = 40,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(351), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3684), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3686), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3690), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(3702), 1,
      anon_sym_DOT2,
    ACTIONS(3704), 1,
      anon_sym_PLUS,
    ACTIONS(3706), 1,
      anon_sym_DASH,
    ACTIONS(3710), 1,
      anon_sym_SLASH,
    ACTIONS(3714), 1,
      anon_sym_AMP,
    ACTIONS(3716), 1,
      anon_sym_CARET,
    ACTIONS(3718), 1,
      anon_sym_PIPE,
    STATE(1321), 1,
      sym__keyword_between,
    STATE(1850), 1,
      sym__keyword_or,
    STATE(1852), 1,
      sym__keyword_and,
    STATE(1862), 1,
      sym__keyword_in,
    STATE(4908), 1,
      sym__identifier,
    STATE(5376), 1,
      sym_as_alias,
    STATE(5766), 1,
      sym_identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13064), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(357), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3708), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3712), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3688), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3698), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [10403] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3586), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3588), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3590), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(3592), 1,
      aux_sym_where_clause_token1,
    STATE(5389), 1,
      sym_where_clause,
    STATE(5534), 1,
      sym_group_by_clause,
    STATE(5704), 1,
      sym_having_clause,
    STATE(5973), 1,
      sym_qualify_clause,
    STATE(6526), 1,
      sym_window_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3604), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3602), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [10488] = 41,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(351), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(357), 1,
      anon_sym_COMMA,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3684), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3686), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3690), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(3702), 1,
      anon_sym_DOT2,
    ACTIONS(3704), 1,
      anon_sym_PLUS,
    ACTIONS(3706), 1,
      anon_sym_DASH,
    ACTIONS(3710), 1,
      anon_sym_SLASH,
    ACTIONS(3714), 1,
      anon_sym_AMP,
    ACTIONS(3716), 1,
      anon_sym_CARET,
    ACTIONS(3718), 1,
      anon_sym_PIPE,
    ACTIONS(3772), 1,
      anon_sym_RPAREN,
    STATE(1321), 1,
      sym__keyword_between,
    STATE(1850), 1,
      sym__keyword_or,
    STATE(1852), 1,
      sym__keyword_and,
    STATE(1862), 1,
      sym__keyword_in,
    STATE(4908), 1,
      sym__identifier,
    STATE(5376), 1,
      sym_as_alias,
    STATE(5766), 1,
      sym_identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13064), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(3708), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3712), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3688), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3698), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [10627] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3774), 1,
      aux_sym__keyword_from_token1,
    ACTIONS(3776), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3778), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3780), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(3782), 1,
      aux_sym_where_clause_token1,
    STATE(5509), 1,
      sym_from_clause,
    STATE(5952), 1,
      sym_where_clause,
    STATE(5973), 1,
      sym_qualify_clause,
    STATE(6354), 1,
      sym_group_by_clause,
    STATE(6526), 1,
      sym_window_clause,
    STATE(6696), 1,
      sym_having_clause,
    STATE(11187), 1,
      sym__keyword_from,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3602), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [10715] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3774), 1,
      aux_sym__keyword_from_token1,
    ACTIONS(3776), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3778), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3780), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(3782), 1,
      aux_sym_where_clause_token1,
    STATE(5481), 1,
      sym_from_clause,
    STATE(5683), 1,
      sym_where_clause,
    STATE(6066), 1,
      sym_qualify_clause,
    STATE(6224), 1,
      sym_group_by_clause,
    STATE(6502), 1,
      sym_window_clause,
    STATE(6637), 1,
      sym_having_clause,
    STATE(11187), 1,
      sym__keyword_from,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3594), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [10803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3786), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3784), 52,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym_keyword_replace_token2,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [10865] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3774), 1,
      aux_sym__keyword_from_token1,
    ACTIONS(3776), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3778), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3780), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(3782), 1,
      aux_sym_where_clause_token1,
    STATE(5486), 1,
      sym_from_clause,
    STATE(5785), 1,
      sym_where_clause,
    STATE(5997), 1,
      sym_qualify_clause,
    STATE(6304), 1,
      sym_group_by_clause,
    STATE(6534), 1,
      sym_window_clause,
    STATE(6623), 1,
      sym_having_clause,
    STATE(11187), 1,
      sym__keyword_from,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3606), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [10953] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3774), 1,
      aux_sym__keyword_from_token1,
    ACTIONS(3776), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3778), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3780), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(3782), 1,
      aux_sym_where_clause_token1,
    STATE(5549), 1,
      sym_from_clause,
    STATE(5629), 1,
      sym_where_clause,
    STATE(6127), 1,
      sym_qualify_clause,
    STATE(6197), 1,
      sym_group_by_clause,
    STATE(6466), 1,
      sym_window_clause,
    STATE(6664), 1,
      sym_having_clause,
    STATE(11187), 1,
      sym__keyword_from,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3598), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [11041] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3788), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3792), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(9795), 1,
      sym_identifier,
    STATE(9796), 1,
      sym__type_chrono,
    STATE(9873), 1,
      sym_as_alias,
    STATE(10480), 1,
      sym_unnest_withoffset,
    STATE(11637), 1,
      sym__keyword_as,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3790), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(9747), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(211), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(205), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [11129] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3774), 1,
      aux_sym__keyword_from_token1,
    ACTIONS(3776), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3778), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3780), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(3782), 1,
      aux_sym_where_clause_token1,
    STATE(5432), 1,
      sym_from_clause,
    STATE(5815), 1,
      sym_where_clause,
    STATE(5992), 1,
      sym_qualify_clause,
    STATE(6316), 1,
      sym_group_by_clause,
    STATE(6514), 1,
      sym_window_clause,
    STATE(6632), 1,
      sym_having_clause,
    STATE(11187), 1,
      sym__keyword_from,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3578), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [11217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3796), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3794), 52,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym_keyword_replace_token2,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [11279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3762), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3760), 51,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [11340] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3800), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3798), 51,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [11401] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3586), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3588), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3590), 1,
      aux_sym_group_by_clause_token1,
    STATE(5525), 1,
      sym_group_by_clause,
    STATE(5753), 1,
      sym_having_clause,
    STATE(5997), 1,
      sym_qualify_clause,
    STATE(6534), 1,
      sym_window_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3608), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3606), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [11480] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3586), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3588), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3590), 1,
      aux_sym_group_by_clause_token1,
    STATE(5445), 1,
      sym_group_by_clause,
    STATE(5718), 1,
      sym_having_clause,
    STATE(6066), 1,
      sym_qualify_clause,
    STATE(6502), 1,
      sym_window_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3596), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3594), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [11559] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3586), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3588), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3590), 1,
      aux_sym_group_by_clause_token1,
    STATE(5534), 1,
      sym_group_by_clause,
    STATE(5704), 1,
      sym_having_clause,
    STATE(5973), 1,
      sym_qualify_clause,
    STATE(6526), 1,
      sym_window_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3604), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3602), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [11638] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3586), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3588), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3590), 1,
      aux_sym_group_by_clause_token1,
    STATE(5452), 1,
      sym_group_by_clause,
    STATE(5676), 1,
      sym_having_clause,
    STATE(6127), 1,
      sym_qualify_clause,
    STATE(6466), 1,
      sym_window_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3600), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3598), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [11717] = 39,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(351), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3684), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3686), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3690), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(3702), 1,
      anon_sym_DOT2,
    ACTIONS(3704), 1,
      anon_sym_PLUS,
    ACTIONS(3706), 1,
      anon_sym_DASH,
    ACTIONS(3710), 1,
      anon_sym_SLASH,
    ACTIONS(3714), 1,
      anon_sym_AMP,
    ACTIONS(3716), 1,
      anon_sym_CARET,
    ACTIONS(3718), 1,
      anon_sym_PIPE,
    STATE(1321), 1,
      sym__keyword_between,
    STATE(1850), 1,
      sym__keyword_or,
    STATE(1852), 1,
      sym__keyword_and,
    STATE(1862), 1,
      sym__keyword_in,
    STATE(4908), 1,
      sym__identifier,
    STATE(5766), 1,
      sym_identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13064), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    STATE(16185), 1,
      sym_as_alias,
    ACTIONS(3708), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3712), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3688), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3698), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [11850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3804), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3802), 51,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [11911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3808), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3806), 51,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [11972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3812), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3810), 51,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [12033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3816), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3814), 51,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [12094] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3486), 1,
      aux_sym_tablesample_operator_token1,
    STATE(5529), 1,
      sym_tablesample_operator,
    ACTIONS(3820), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3818), 49,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [12159] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3586), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3588), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3590), 1,
      aux_sym_group_by_clause_token1,
    STATE(5425), 1,
      sym_group_by_clause,
    STATE(5759), 1,
      sym_having_clause,
    STATE(6124), 1,
      sym_qualify_clause,
    STATE(6359), 1,
      sym_window_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3824), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3822), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [12238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3828), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3826), 51,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [12299] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3586), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3588), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3590), 1,
      aux_sym_group_by_clause_token1,
    STATE(5422), 1,
      sym_group_by_clause,
    STATE(5948), 1,
      sym_having_clause,
    STATE(5999), 1,
      sym_qualify_clause,
    STATE(6540), 1,
      sym_window_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3756), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3754), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [12378] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3616), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(3618), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3620), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3624), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3626), 1,
      anon_sym_LPAREN,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    STATE(5619), 1,
      sym_create_table_parameters,
    STATE(6143), 1,
      sym_like_clause,
    STATE(6186), 1,
      sym_default_collate_clause,
    STATE(6718), 1,
      sym_table_partition_clause,
    STATE(7301), 1,
      sym_table_cluster_clause,
    STATE(7553), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12782), 1,
      sym__keyword_as,
    ACTIONS(3614), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [12468] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3618), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3624), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3626), 1,
      anon_sym_LPAREN,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(3664), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(3666), 1,
      aux_sym__keyword_as_token1,
    STATE(5661), 1,
      sym_create_table_parameters,
    STATE(6073), 1,
      sym_like_clause,
    STATE(6240), 1,
      sym_default_collate_clause,
    STATE(6740), 1,
      sym_table_partition_clause,
    STATE(7321), 1,
      sym_table_cluster_clause,
    STATE(7576), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12233), 1,
      sym__keyword_as,
    ACTIONS(3662), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [12558] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3834), 1,
      anon_sym_COMMA,
    STATE(5407), 1,
      aux_sym_select_list_repeat1,
    ACTIONS(3832), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3830), 48,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [12622] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3618), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3624), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3626), 1,
      anon_sym_LPAREN,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(3838), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(3840), 1,
      aux_sym__keyword_as_token1,
    STATE(5942), 1,
      sym_create_table_parameters,
    STATE(5979), 1,
      sym_like_clause,
    STATE(6352), 1,
      sym_default_collate_clause,
    STATE(6947), 1,
      sym_table_partition_clause,
    STATE(7397), 1,
      sym_table_cluster_clause,
    STATE(7998), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12791), 1,
      sym__keyword_as,
    ACTIONS(3836), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [12712] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3618), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3624), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3626), 1,
      anon_sym_LPAREN,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(3844), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(3846), 1,
      aux_sym__keyword_as_token1,
    STATE(5639), 1,
      sym_create_table_parameters,
    STATE(6113), 1,
      sym_like_clause,
    STATE(6162), 1,
      sym_default_collate_clause,
    STATE(6903), 1,
      sym_table_partition_clause,
    STATE(7313), 1,
      sym_table_cluster_clause,
    STATE(7769), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12526), 1,
      sym__keyword_as,
    ACTIONS(3842), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [12802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3848), 50,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [12862] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3618), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3624), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3626), 1,
      anon_sym_LPAREN,
    ACTIONS(3628), 1,
      aux_sym_clone_clause_token1,
    ACTIONS(3630), 1,
      aux_sym_copy_clause_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3852), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    STATE(6638), 1,
      sym_create_table_parameters,
    STATE(6893), 1,
      sym_like_clause,
    STATE(7103), 1,
      sym_default_collate_clause,
    STATE(7438), 1,
      sym_copy_clause,
    STATE(7773), 1,
      sym_table_partition_clause,
    STATE(8562), 1,
      sym_clone_clause,
    STATE(8572), 1,
      sym_table_cluster_clause,
    STATE(9791), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12542), 1,
      sym__keyword_as,
    ACTIONS(3646), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [12958] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1514), 1,
      anon_sym_DOT,
    ACTIONS(1532), 8,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT2,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1530), 43,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [13020] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3618), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3624), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3626), 1,
      anon_sym_LPAREN,
    ACTIONS(3628), 1,
      aux_sym_clone_clause_token1,
    ACTIONS(3630), 1,
      aux_sym_copy_clause_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(3856), 1,
      aux_sym__keyword_as_token1,
    STATE(6603), 1,
      sym_create_table_parameters,
    STATE(6822), 1,
      sym_like_clause,
    STATE(7218), 1,
      sym_default_collate_clause,
    STATE(7458), 1,
      sym_copy_clause,
    STATE(7654), 1,
      sym_table_partition_clause,
    STATE(8436), 1,
      sym_clone_clause,
    STATE(8441), 1,
      sym_table_cluster_clause,
    STATE(9714), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12368), 1,
      sym__keyword_as,
    ACTIONS(3662), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [13116] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1514), 1,
      anon_sym_DOT,
    ACTIONS(1530), 17,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1532), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_set_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DOT2,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [13178] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1514), 1,
      anon_sym_DOT,
    ACTIONS(1510), 8,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT2,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1508), 43,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [13240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3860), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3858), 50,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [13300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3864), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3862), 50,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [13360] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3618), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3624), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3626), 1,
      anon_sym_LPAREN,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(3868), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(3870), 1,
      aux_sym__keyword_as_token1,
    STATE(5809), 1,
      sym_create_table_parameters,
    STATE(5993), 1,
      sym_like_clause,
    STATE(6312), 1,
      sym_default_collate_clause,
    STATE(6934), 1,
      sym_table_partition_clause,
    STATE(7398), 1,
      sym_table_cluster_clause,
    STATE(7992), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12332), 1,
      sym__keyword_as,
    ACTIONS(3866), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [13450] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3618), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3624), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3626), 1,
      anon_sym_LPAREN,
    ACTIONS(3628), 1,
      aux_sym_clone_clause_token1,
    ACTIONS(3630), 1,
      aux_sym_copy_clause_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(3872), 1,
      aux_sym__keyword_as_token1,
    STATE(6608), 1,
      sym_create_table_parameters,
    STATE(6776), 1,
      sym_like_clause,
    STATE(7238), 1,
      sym_default_collate_clause,
    STATE(7478), 1,
      sym_copy_clause,
    STATE(7552), 1,
      sym_table_partition_clause,
    STATE(8792), 1,
      sym_clone_clause,
    STATE(8799), 1,
      sym_table_cluster_clause,
    STATE(9861), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12867), 1,
      sym__keyword_as,
    ACTIONS(3614), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [13546] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3878), 1,
      anon_sym_COMMA,
    STATE(5406), 1,
      aux_sym_select_list_repeat1,
    ACTIONS(3876), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3874), 48,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [13610] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3880), 1,
      anon_sym_COMMA,
    STATE(5412), 1,
      aux_sym_select_list_repeat1,
    ACTIONS(137), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(139), 48,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [13674] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3882), 1,
      anon_sym_COMMA,
    STATE(5412), 1,
      aux_sym_select_list_repeat1,
    ACTIONS(141), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(143), 48,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [13738] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1514), 1,
      anon_sym_DOT,
    ACTIONS(1508), 17,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1510), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_set_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DOT2,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [13800] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2550), 1,
      sym__string_start,
    STATE(5609), 1,
      sym_string,
    ACTIONS(1510), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1508), 43,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [13864] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3618), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3624), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3626), 1,
      anon_sym_LPAREN,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(3886), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(3888), 1,
      aux_sym__keyword_as_token1,
    STATE(5613), 1,
      sym_create_table_parameters,
    STATE(6122), 1,
      sym_like_clause,
    STATE(6194), 1,
      sym_default_collate_clause,
    STATE(6716), 1,
      sym_table_partition_clause,
    STATE(7277), 1,
      sym_table_cluster_clause,
    STATE(7546), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12353), 1,
      sym__keyword_as,
    ACTIONS(3884), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [13954] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3618), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3624), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3626), 1,
      anon_sym_LPAREN,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(3892), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(3894), 1,
      aux_sym__keyword_as_token1,
    STATE(5906), 1,
      sym_create_table_parameters,
    STATE(5980), 1,
      sym_like_clause,
    STATE(6349), 1,
      sym_default_collate_clause,
    STATE(6923), 1,
      sym_table_partition_clause,
    STATE(7374), 1,
      sym_table_cluster_clause,
    STATE(7616), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12355), 1,
      sym__keyword_as,
    ACTIONS(3890), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [14044] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3896), 1,
      anon_sym_COMMA,
    STATE(5412), 1,
      aux_sym_select_list_repeat1,
    ACTIONS(3808), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3806), 48,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [14108] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3618), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3624), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3626), 1,
      anon_sym_LPAREN,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(3901), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(3903), 1,
      aux_sym__keyword_as_token1,
    STATE(5799), 1,
      sym_create_table_parameters,
    STATE(6011), 1,
      sym_like_clause,
    STATE(6231), 1,
      sym_default_collate_clause,
    STATE(7088), 1,
      sym_table_partition_clause,
    STATE(7357), 1,
      sym_table_cluster_clause,
    STATE(7634), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12370), 1,
      sym__keyword_as,
    ACTIONS(3899), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [14198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3406), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3408), 50,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [14258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3907), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3905), 50,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [14318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3398), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3400), 50,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [14378] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3618), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3624), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3626), 1,
      anon_sym_LPAREN,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(3911), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(3913), 1,
      aux_sym__keyword_as_token1,
    STATE(5652), 1,
      sym_create_table_parameters,
    STATE(6148), 1,
      sym_like_clause,
    STATE(6170), 1,
      sym_default_collate_clause,
    STATE(6765), 1,
      sym_table_partition_clause,
    STATE(7291), 1,
      sym_table_cluster_clause,
    STATE(7718), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12464), 1,
      sym__keyword_as,
    ACTIONS(3909), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [14468] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3618), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3624), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3626), 1,
      anon_sym_LPAREN,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(3648), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(3650), 1,
      aux_sym__keyword_as_token1,
    STATE(5842), 1,
      sym_create_table_parameters,
    STATE(6126), 1,
      sym_like_clause,
    STATE(6311), 1,
      sym_default_collate_clause,
    STATE(6810), 1,
      sym_table_partition_clause,
    STATE(7296), 1,
      sym_table_cluster_clause,
    STATE(7744), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12465), 1,
      sym__keyword_as,
    ACTIONS(3646), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [14558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3917), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3915), 50,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [14618] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5854), 1,
      sym_analytics_clause,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [14681] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5874), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [14744] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3586), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3588), 1,
      aux_sym_qualify_clause_token1,
    STATE(5759), 1,
      sym_having_clause,
    STATE(6124), 1,
      sym_qualify_clause,
    STATE(6359), 1,
      sym_window_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3824), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3822), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [14817] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5747), 1,
      sym_analytics_clause,
    ACTIONS(1448), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1446), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [14880] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5800), 1,
      sym_analytics_clause,
    ACTIONS(1416), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1414), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [14943] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3586), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3588), 1,
      aux_sym_qualify_clause_token1,
    STATE(5697), 1,
      sym_having_clause,
    STATE(6105), 1,
      sym_qualify_clause,
    STATE(6490), 1,
      sym_window_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3923), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3921), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [15016] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5782), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [15079] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5746), 1,
      sym_analytics_clause,
    ACTIONS(1448), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1446), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [15142] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5783), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [15205] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5793), 1,
      sym_analytics_clause,
    ACTIONS(1412), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1410), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [15268] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5789), 1,
      sym_analytics_clause,
    ACTIONS(1408), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1406), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [15331] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5784), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [15394] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3776), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3778), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3780), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(3782), 1,
      aux_sym_where_clause_token1,
    STATE(5629), 1,
      sym_where_clause,
    STATE(6127), 1,
      sym_qualify_clause,
    STATE(6197), 1,
      sym_group_by_clause,
    STATE(6466), 1,
      sym_window_clause,
    STATE(6664), 1,
      sym_having_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3598), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [15473] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5788), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [15536] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5780), 1,
      sym_analytics_clause,
    ACTIONS(1400), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1398), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [15599] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5791), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [15662] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5610), 1,
      sym_analytics_clause,
    ACTIONS(1400), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1398), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [15725] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5798), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [15788] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5801), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [15851] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5804), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [15914] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5806), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [15977] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5807), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [16040] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5612), 1,
      sym_analytics_clause,
    ACTIONS(1400), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1398), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [16103] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5624), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [16166] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5810), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [16229] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3586), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3588), 1,
      aux_sym_qualify_clause_token1,
    STATE(5753), 1,
      sym_having_clause,
    STATE(5997), 1,
      sym_qualify_clause,
    STATE(6534), 1,
      sym_window_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3608), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3606), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [16302] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5811), 1,
      sym_analytics_clause,
    ACTIONS(1486), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1484), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [16365] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5812), 1,
      sym_analytics_clause,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [16428] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5618), 1,
      sym_analytics_clause,
    ACTIONS(1400), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1398), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [16491] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5816), 1,
      sym_analytics_clause,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [16554] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5634), 1,
      sym_analytics_clause,
    ACTIONS(1400), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1398), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [16617] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5907), 1,
      sym_analytics_clause,
    ACTIONS(1396), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1394), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [16680] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3586), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3588), 1,
      aux_sym_qualify_clause_token1,
    STATE(5718), 1,
      sym_having_clause,
    STATE(6066), 1,
      sym_qualify_clause,
    STATE(6502), 1,
      sym_window_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3596), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3594), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [16753] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5935), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [16816] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5825), 1,
      sym_analytics_clause,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [16879] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5833), 1,
      sym_analytics_clause,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [16942] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5836), 1,
      sym_analytics_clause,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [17005] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5937), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [17068] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3925), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(5626), 1,
      sym_unnest_withoffset,
    ACTIONS(1542), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1540), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [17131] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5837), 1,
      sym_analytics_clause,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [17194] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5924), 1,
      sym_analytics_clause,
    ACTIONS(1452), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1450), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [17257] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5872), 1,
      sym_analytics_clause,
    ACTIONS(1420), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [17320] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5846), 1,
      sym_analytics_clause,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [17383] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5849), 1,
      sym_analytics_clause,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [17446] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5852), 1,
      sym_analytics_clause,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [17509] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5827), 1,
      sym_analytics_clause,
    ACTIONS(1420), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [17572] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5779), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [17635] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3927), 1,
      aux_sym__keyword_as_token1,
    STATE(15213), 1,
      sym__keyword_as,
    ACTIONS(1476), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1474), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [17698] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5763), 1,
      sym_analytics_clause,
    ACTIONS(1464), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [17761] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5947), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [17824] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5830), 1,
      sym_analytics_clause,
    ACTIONS(1420), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [17887] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5955), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [17950] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5959), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [18013] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5832), 1,
      sym_analytics_clause,
    ACTIONS(1420), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [18076] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5749), 1,
      sym_analytics_clause,
    ACTIONS(1444), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [18139] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5944), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [18202] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3586), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3588), 1,
      aux_sym_qualify_clause_token1,
    STATE(5676), 1,
      sym_having_clause,
    STATE(6127), 1,
      sym_qualify_clause,
    STATE(6466), 1,
      sym_window_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3600), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3598), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [18275] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5855), 1,
      sym_analytics_clause,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [18338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3820), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3818), 49,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [18397] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5865), 1,
      sym_analytics_clause,
    ACTIONS(1392), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1390), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [18460] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5847), 1,
      sym_analytics_clause,
    ACTIONS(1420), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [18523] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3776), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3778), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3780), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(3782), 1,
      aux_sym_where_clause_token1,
    STATE(5785), 1,
      sym_where_clause,
    STATE(5997), 1,
      sym_qualify_clause,
    STATE(6304), 1,
      sym_group_by_clause,
    STATE(6534), 1,
      sym_window_clause,
    STATE(6623), 1,
      sym_having_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3606), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [18602] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5778), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [18665] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5936), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [18728] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5868), 1,
      sym_analytics_clause,
    ACTIONS(1384), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1382), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [18791] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5752), 1,
      sym_analytics_clause,
    ACTIONS(1444), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [18854] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3776), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3778), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3780), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(3782), 1,
      aux_sym_where_clause_token1,
    STATE(5952), 1,
      sym_where_clause,
    STATE(5973), 1,
      sym_qualify_clause,
    STATE(6354), 1,
      sym_group_by_clause,
    STATE(6526), 1,
      sym_window_clause,
    STATE(6696), 1,
      sym_having_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3602), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [18933] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5736), 1,
      sym_analytics_clause,
    ACTIONS(1404), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1402), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [18996] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5901), 1,
      sym_analytics_clause,
    ACTIONS(1432), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1430), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [19059] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5892), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [19122] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5840), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [19185] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5883), 1,
      sym_analytics_clause,
    ACTIONS(1420), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [19248] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5873), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [19311] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5814), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [19374] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5792), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [19437] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5822), 1,
      sym_analytics_clause,
    ACTIONS(1420), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [19500] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5886), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [19563] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5699), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [19626] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5775), 1,
      sym_analytics_clause,
    ACTIONS(1376), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1374), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [19689] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5764), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [19752] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5591), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [19815] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5773), 1,
      sym_analytics_clause,
    ACTIONS(1464), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [19878] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5898), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [19941] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5733), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [20004] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5908), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [20067] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5857), 1,
      sym_analytics_clause,
    ACTIONS(1420), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [20130] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5695), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [20193] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5867), 1,
      sym_analytics_clause,
    ACTIONS(1420), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [20256] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5871), 1,
      sym_analytics_clause,
    ACTIONS(1420), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [20319] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3776), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3778), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3780), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(3782), 1,
      aux_sym_where_clause_token1,
    STATE(5769), 1,
      sym_where_clause,
    STATE(5999), 1,
      sym_qualify_clause,
    STATE(6298), 1,
      sym_group_by_clause,
    STATE(6540), 1,
      sym_window_clause,
    STATE(6621), 1,
      sym_having_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3754), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [20398] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5928), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [20461] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5887), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [20524] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5864), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [20587] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5691), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [20650] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5688), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [20713] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2700), 1,
      aux_sym__nulls_preference_token1,
    STATE(5597), 1,
      sym__nulls_preference,
    ACTIONS(3931), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3929), 47,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [20776] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5685), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [20839] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5682), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [20902] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5679), 1,
      sym_analytics_clause,
    ACTIONS(1506), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1504), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [20965] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5770), 1,
      sym_analytics_clause,
    ACTIONS(1464), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [21028] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5817), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [21091] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5678), 1,
      sym_analytics_clause,
    ACTIONS(1502), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1500), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [21154] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5675), 1,
      sym_analytics_clause,
    ACTIONS(1498), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1496), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [21217] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5754), 1,
      sym_analytics_clause,
    ACTIONS(1444), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [21280] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5673), 1,
      sym_analytics_clause,
    ACTIONS(1362), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [21343] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3586), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3588), 1,
      aux_sym_qualify_clause_token1,
    STATE(5704), 1,
      sym_having_clause,
    STATE(5973), 1,
      sym_qualify_clause,
    STATE(6526), 1,
      sym_window_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3604), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3602), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [21416] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5667), 1,
      sym_analytics_clause,
    ACTIONS(1362), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [21479] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5755), 1,
      sym_analytics_clause,
    ACTIONS(1444), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [21542] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5664), 1,
      sym_analytics_clause,
    ACTIONS(1362), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [21605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3935), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3933), 49,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [21664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3939), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3937), 49,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [21723] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5794), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [21786] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5741), 1,
      sym_analytics_clause,
    ACTIONS(1362), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [21849] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5596), 1,
      sym_analytics_clause,
    ACTIONS(1362), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [21912] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3586), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3588), 1,
      aux_sym_qualify_clause_token1,
    STATE(5948), 1,
      sym_having_clause,
    STATE(5999), 1,
      sym_qualify_clause,
    STATE(6540), 1,
      sym_window_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3756), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3754), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [21985] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5758), 1,
      sym_analytics_clause,
    ACTIONS(1464), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [22048] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5608), 1,
      sym_analytics_clause,
    ACTIONS(1362), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [22111] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5614), 1,
      sym_analytics_clause,
    ACTIONS(1362), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [22174] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5820), 1,
      sym_analytics_clause,
    ACTIONS(1494), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1492), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [22237] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5870), 1,
      sym_analytics_clause,
    ACTIONS(1490), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1488), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [22300] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5756), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [22363] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5932), 1,
      sym_analytics_clause,
    ACTIONS(1482), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1480), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [22426] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5616), 1,
      sym_analytics_clause,
    ACTIONS(1362), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [22489] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5622), 1,
      sym_analytics_clause,
    ACTIONS(1362), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [22552] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5684), 1,
      sym_analytics_clause,
    ACTIONS(1362), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [22615] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5767), 1,
      sym_analytics_clause,
    ACTIONS(1464), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [22678] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5748), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [22741] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5690), 1,
      sym_analytics_clause,
    ACTIONS(1388), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1386), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [22804] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5760), 1,
      sym_analytics_clause,
    ACTIONS(1464), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [22867] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3776), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3778), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3780), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(3782), 1,
      aux_sym_where_clause_token1,
    STATE(5683), 1,
      sym_where_clause,
    STATE(6066), 1,
      sym_qualify_clause,
    STATE(6224), 1,
      sym_group_by_clause,
    STATE(6502), 1,
      sym_window_clause,
    STATE(6637), 1,
      sym_having_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3594), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [22946] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5762), 1,
      sym_analytics_clause,
    ACTIONS(1464), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [23009] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5903), 1,
      sym_analytics_clause,
    ACTIONS(1436), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1434), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [23072] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5693), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [23135] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5740), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [23198] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5777), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [23261] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5698), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [23324] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5951), 1,
      sym_analytics_clause,
    ACTIONS(1472), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1470), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [23387] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5701), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [23450] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5918), 1,
      sym_analytics_clause,
    ACTIONS(1452), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1450), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [23513] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5941), 1,
      sym_analytics_clause,
    ACTIONS(1468), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1466), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [23576] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5731), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [23639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1518), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1516), 44,
      sym__string_start,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [23698] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5930), 1,
      sym_analytics_clause,
    ACTIONS(1460), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1458), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [23761] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5885), 1,
      sym_analytics_clause,
    ACTIONS(1424), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1422), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [23824] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5702), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [23887] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5910), 1,
      sym_analytics_clause,
    ACTIONS(1440), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1438), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [23950] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5721), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [24013] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5899), 1,
      sym_analytics_clause,
    ACTIONS(1428), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1426), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [24076] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5715), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [24139] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5712), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [24202] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_analytics_clause_token1,
    STATE(5926), 1,
      sym_analytics_clause,
    ACTIONS(1456), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1454), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [24265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3943), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3941), 48,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [24323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3947), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3945), 48,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [24381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3951), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3949), 48,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [24439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3955), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3953), 48,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [24497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3959), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3957), 48,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [24555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3963), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3961), 48,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [24613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3967), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3965), 48,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [24671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1790), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1788), 43,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [24729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1832), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1830), 43,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [24787] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3969), 1,
      anon_sym_LPAREN,
    ACTIONS(1624), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1622), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [24847] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3971), 1,
      aux_sym_alter_table_rename_statement_token2,
    ACTIONS(1526), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1524), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [24907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3975), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3973), 48,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [24965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3979), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3977), 48,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [25023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3983), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3981), 48,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [25081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3987), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3985), 48,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [25139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3991), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3989), 48,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [25197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1510), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1508), 43,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [25255] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2552), 1,
      sym__unquoted_identifier,
    ACTIONS(2592), 1,
      sym__quoted_identifier,
    ACTIONS(3993), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3997), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(10536), 1,
      sym__identifier,
    STATE(10736), 1,
      sym_as_alias,
    STATE(10773), 1,
      sym_identifier,
    STATE(10784), 1,
      sym__type_chrono,
    STATE(10920), 1,
      sym_unnest_withoffset,
    STATE(11600), 1,
      sym__keyword_as,
    STATE(14157), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3995), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(10794), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(205), 14,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym_option_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(211), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [25339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1518), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1516), 43,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [25397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1678), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1676), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [25454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [25511] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6174), 1,
      sym_analytics_clause,
    ACTIONS(1378), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [25572] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6213), 1,
      sym_analytics_clause,
    ACTIONS(1360), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [25633] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6171), 1,
      sym_analytics_clause,
    ACTIONS(1378), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [25694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1634), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1632), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [25751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [25808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4003), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4001), 47,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [25865] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6173), 1,
      sym_analytics_clause,
    ACTIONS(1378), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [25926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1638), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1636), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [25983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1642), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1640), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [26040] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1646), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1644), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [26097] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6338), 1,
      sym_analytics_clause,
    ACTIONS(1378), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [26158] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6157), 1,
      sym_analytics_clause,
    ACTIONS(1378), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [26219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1650), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1648), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [26276] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6210), 1,
      sym_analytics_clause,
    ACTIONS(1360), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [26337] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6168), 1,
      sym_analytics_clause,
    ACTIONS(1378), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [26398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1540), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [26455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [26512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1654), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1652), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [26569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1362), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [26626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1656), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [26683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1362), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [26740] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3624), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4007), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4009), 1,
      aux_sym__keyword_as_token1,
    STATE(6333), 1,
      sym_default_collate_clause,
    STATE(7026), 1,
      sym_table_partition_clause,
    STATE(7384), 1,
      sym_table_cluster_clause,
    STATE(7879), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12342), 1,
      sym__keyword_as,
    ACTIONS(4005), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [26819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [26876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1662), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1660), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [26933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [26990] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6203), 1,
      sym_analytics_clause,
    ACTIONS(1360), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [27051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1362), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [27108] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3624), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4013), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4015), 1,
      aux_sym__keyword_as_token1,
    STATE(6209), 1,
      sym_default_collate_clause,
    STATE(7081), 1,
      sym_table_partition_clause,
    STATE(7364), 1,
      sym_table_cluster_clause,
    STATE(7845), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12553), 1,
      sym__keyword_as,
    ACTIONS(4011), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [27187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1666), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1664), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [27244] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6169), 1,
      sym_analytics_clause,
    ACTIONS(1378), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [27305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [27362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1670), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1668), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [27419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [27476] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1674), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1672), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [27533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1584), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1582), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [27590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1682), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1680), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [27647] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6202), 1,
      sym_analytics_clause,
    ACTIONS(1360), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [27708] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3776), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3778), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3780), 1,
      aux_sym_group_by_clause_token1,
    STATE(6066), 1,
      sym_qualify_clause,
    STATE(6224), 1,
      sym_group_by_clause,
    STATE(6502), 1,
      sym_window_clause,
    STATE(6637), 1,
      sym_having_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3594), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [27781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1690), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1688), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [27838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1694), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1692), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [27895] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6200), 1,
      sym_analytics_clause,
    ACTIONS(1360), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [27956] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(921), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(917), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [28013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1362), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [28070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1698), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1696), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [28127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1702), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1700), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [28184] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6198), 1,
      sym_analytics_clause,
    ACTIONS(1360), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [28245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1706), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1704), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [28302] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3624), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4019), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4021), 1,
      aux_sym__keyword_as_token1,
    STATE(6260), 1,
      sym_default_collate_clause,
    STATE(6742), 1,
      sym_table_partition_clause,
    STATE(7342), 1,
      sym_table_cluster_clause,
    STATE(7547), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12385), 1,
      sym__keyword_as,
    ACTIONS(4017), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [28381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1710), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1708), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [28438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1712), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [28495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1718), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1716), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [28552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1722), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1720), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [28609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1726), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1724), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [28666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1730), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1728), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [28723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1734), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1732), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [28780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1580), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1578), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [28837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1738), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1736), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [28894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1742), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1740), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [28951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1628), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1626), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [29008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1622), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [29065] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3624), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4025), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4027), 1,
      aux_sym__keyword_as_token1,
    STATE(6355), 1,
      sym_default_collate_clause,
    STATE(6948), 1,
      sym_table_partition_clause,
    STATE(7314), 1,
      sym_table_cluster_clause,
    STATE(7663), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12364), 1,
      sym__keyword_as,
    ACTIONS(4023), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [29144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1620), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1618), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [29201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1614), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [29258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1746), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1744), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [29315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1592), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1590), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [29372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1612), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1610), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [29429] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1750), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1748), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [29486] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1608), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1606), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [29543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1604), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1602), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [29600] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3624), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4031), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4033), 1,
      aux_sym__keyword_as_token1,
    STATE(6153), 1,
      sym_default_collate_clause,
    STATE(6751), 1,
      sym_table_partition_clause,
    STATE(7383), 1,
      sym_table_cluster_clause,
    STATE(7572), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12788), 1,
      sym__keyword_as,
    ACTIONS(4029), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [29679] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6353), 1,
      sym_analytics_clause,
    ACTIONS(1378), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [29740] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6159), 1,
      sym_analytics_clause,
    ACTIONS(1378), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [29801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [29858] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6297), 1,
      sym_analytics_clause,
    ACTIONS(1378), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [29919] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5694), 1,
      aux_sym__grouping_list_repeat1,
    ACTIONS(4037), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4035), 46,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [29978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [30035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1516), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1518), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [30092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4039), 47,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [30149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4045), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4043), 47,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [30206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1758), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1756), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [30263] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1762), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1760), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [30320] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [30377] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6296), 1,
      sym_analytics_clause,
    ACTIONS(1390), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1392), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [30438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1392), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1390), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [30495] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3588), 1,
      aux_sym_qualify_clause_token1,
    STATE(6066), 1,
      sym_qualify_clause,
    STATE(6502), 1,
      sym_window_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3596), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3594), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [30562] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6319), 1,
      sym_analytics_clause,
    ACTIONS(1382), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1384), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [30623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1384), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1382), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [30680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1600), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1598), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [30737] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6350), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [30798] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3588), 1,
      aux_sym_qualify_clause_token1,
    STATE(6127), 1,
      sym_qualify_clause,
    STATE(6466), 1,
      sym_window_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3600), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3598), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [30865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [30922] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3776), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3778), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3780), 1,
      aux_sym_group_by_clause_token1,
    STATE(5997), 1,
      sym_qualify_clause,
    STATE(6304), 1,
      sym_group_by_clause,
    STATE(6534), 1,
      sym_window_clause,
    STATE(6623), 1,
      sym_having_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3606), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [30995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [31052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [31109] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6177), 1,
      sym_analytics_clause,
    ACTIONS(1378), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [31170] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6305), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [31231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [31288] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4049), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(4051), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4053), 1,
      aux_sym_default_clause_token1,
    ACTIONS(4055), 1,
      aux_sym_default_collate_clause_token1,
    ACTIONS(4057), 1,
      aux_sym_primary_key_token1,
    ACTIONS(4059), 1,
      aux_sym_foreign_key_references_token1,
    STATE(6253), 1,
      sym_collate_clause,
    STATE(6756), 1,
      sym_foreign_key_references,
    STATE(7226), 1,
      sym_default_clause,
    STATE(7336), 1,
      sym_option_clause,
    ACTIONS(4047), 38,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [31365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1484), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [31422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [31479] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6178), 1,
      sym_analytics_clause,
    ACTIONS(1484), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1486), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [31540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [31597] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4061), 1,
      anon_sym_COMMA,
    STATE(5694), 1,
      aux_sym__grouping_list_repeat1,
    ACTIONS(3963), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3961), 45,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [31658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [31715] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4064), 1,
      anon_sym_COMMA,
    STATE(5696), 1,
      aux_sym_group_by_clause_repeat1,
    ACTIONS(3943), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3941), 45,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [31776] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3588), 1,
      aux_sym_qualify_clause_token1,
    STATE(5981), 1,
      sym_qualify_clause,
    STATE(6429), 1,
      sym_window_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(4069), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4067), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [31843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [31900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [31957] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6180), 1,
      sym_analytics_clause,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [32018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [32075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [32132] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4075), 1,
      anon_sym_COMMA,
    STATE(5722), 1,
      aux_sym_group_by_clause_repeat1,
    ACTIONS(4073), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4071), 45,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [32193] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3588), 1,
      aux_sym_qualify_clause_token1,
    STATE(5999), 1,
      sym_qualify_clause,
    STATE(6540), 1,
      sym_window_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3756), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3754), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [32260] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6184), 1,
      sym_analytics_clause,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [32321] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6172), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [32382] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6176), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [32443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1786), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1784), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [32500] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(543), 1,
      sym__string_start,
    STATE(6525), 1,
      sym_string,
    ACTIONS(1508), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1510), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [32561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1824), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1822), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [32618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1828), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1826), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [32675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [32732] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4077), 1,
      anon_sym_PLUS,
    ACTIONS(4079), 1,
      anon_sym_DASH,
    ACTIONS(4083), 1,
      anon_sym_SLASH,
    ACTIONS(4087), 1,
      anon_sym_AMP,
    ACTIONS(4089), 1,
      anon_sym_CARET,
    ACTIONS(4091), 1,
      anon_sym_PIPE,
    STATE(857), 1,
      sym__keyword_between,
    STATE(1332), 1,
      sym__keyword_or,
    STATE(1839), 1,
      sym__keyword_and,
    STATE(1853), 1,
      sym__keyword_in,
    STATE(12031), 1,
      sym__keyword_is,
    STATE(13098), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16198), 1,
      sym_quantitve_like_operator,
    STATE(16199), 1,
      sym_like_operator,
    ACTIONS(4081), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4085), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(921), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(917), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [32823] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4083), 1,
      anon_sym_SLASH,
    STATE(857), 1,
      sym__keyword_between,
    STATE(1332), 1,
      sym__keyword_or,
    STATE(1839), 1,
      sym__keyword_and,
    STATE(1853), 1,
      sym__keyword_in,
    STATE(12031), 1,
      sym__keyword_is,
    STATE(13098), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16198), 1,
      sym_quantitve_like_operator,
    STATE(16199), 1,
      sym_like_operator,
    ACTIONS(4081), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(921), 5,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PIPE,
    ACTIONS(917), 32,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [32902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [32959] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6270), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [33020] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6188), 1,
      sym_analytics_clause,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [33081] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3588), 1,
      aux_sym_qualify_clause_token1,
    STATE(5997), 1,
      sym_qualify_clause,
    STATE(6534), 1,
      sym_window_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3608), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3606), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [33148] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4077), 1,
      anon_sym_PLUS,
    ACTIONS(4079), 1,
      anon_sym_DASH,
    ACTIONS(4083), 1,
      anon_sym_SLASH,
    STATE(857), 1,
      sym__keyword_between,
    STATE(1332), 1,
      sym__keyword_or,
    STATE(1839), 1,
      sym__keyword_and,
    STATE(1853), 1,
      sym__keyword_in,
    STATE(12031), 1,
      sym__keyword_is,
    STATE(13098), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16198), 1,
      sym_quantitve_like_operator,
    STATE(16199), 1,
      sym_like_operator,
    ACTIONS(4081), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(921), 4,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(917), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [33231] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4077), 1,
      anon_sym_PLUS,
    ACTIONS(4079), 1,
      anon_sym_DASH,
    ACTIONS(4083), 1,
      anon_sym_SLASH,
    STATE(857), 1,
      sym__keyword_between,
    STATE(1332), 1,
      sym__keyword_or,
    STATE(1839), 1,
      sym__keyword_and,
    STATE(1853), 1,
      sym__keyword_in,
    STATE(12031), 1,
      sym__keyword_is,
    STATE(13098), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16198), 1,
      sym_quantitve_like_operator,
    STATE(16199), 1,
      sym_like_operator,
    ACTIONS(4081), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4085), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(921), 4,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(917), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
  [33316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [33373] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4075), 1,
      anon_sym_COMMA,
    STATE(5696), 1,
      aux_sym_group_by_clause_repeat1,
    ACTIONS(4095), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4093), 45,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [33434] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6286), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [33495] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4077), 1,
      anon_sym_PLUS,
    ACTIONS(4079), 1,
      anon_sym_DASH,
    ACTIONS(4083), 1,
      anon_sym_SLASH,
    ACTIONS(4087), 1,
      anon_sym_AMP,
    STATE(857), 1,
      sym__keyword_between,
    STATE(1332), 1,
      sym__keyword_or,
    STATE(1839), 1,
      sym__keyword_and,
    STATE(1853), 1,
      sym__keyword_in,
    STATE(12031), 1,
      sym__keyword_is,
    STATE(13098), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16198), 1,
      sym_quantitve_like_operator,
    STATE(16199), 1,
      sym_like_operator,
    ACTIONS(4081), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4085), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(921), 4,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(917), 28,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
  [33582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1770), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1768), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [33639] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6192), 1,
      sym_analytics_clause,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [33700] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4077), 1,
      anon_sym_PLUS,
    ACTIONS(4079), 1,
      anon_sym_DASH,
    ACTIONS(4083), 1,
      anon_sym_SLASH,
    ACTIONS(4087), 1,
      anon_sym_AMP,
    ACTIONS(4089), 1,
      anon_sym_CARET,
    STATE(857), 1,
      sym__keyword_between,
    STATE(1332), 1,
      sym__keyword_or,
    STATE(1839), 1,
      sym__keyword_and,
    STATE(1853), 1,
      sym__keyword_in,
    STATE(12031), 1,
      sym__keyword_is,
    STATE(13098), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16198), 1,
      sym_quantitve_like_operator,
    STATE(16199), 1,
      sym_like_operator,
    ACTIONS(4081), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4085), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(921), 4,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(917), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [33789] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(4077), 1,
      anon_sym_PLUS,
    ACTIONS(4079), 1,
      anon_sym_DASH,
    ACTIONS(4083), 1,
      anon_sym_SLASH,
    ACTIONS(4087), 1,
      anon_sym_AMP,
    ACTIONS(4089), 1,
      anon_sym_CARET,
    ACTIONS(4091), 1,
      anon_sym_PIPE,
    ACTIONS(4097), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4099), 1,
      aux_sym__keyword_is_token1,
    STATE(857), 1,
      sym__keyword_between,
    STATE(1332), 1,
      sym__keyword_or,
    STATE(1839), 1,
      sym__keyword_and,
    STATE(1853), 1,
      sym__keyword_in,
    STATE(12031), 1,
      sym__keyword_is,
    STATE(13098), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16198), 1,
      sym_quantitve_like_operator,
    STATE(16199), 1,
      sym_like_operator,
    ACTIONS(4081), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4085), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4101), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4103), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(917), 19,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
  [33888] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6195), 1,
      sym_analytics_clause,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [33949] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(4077), 1,
      anon_sym_PLUS,
    ACTIONS(4079), 1,
      anon_sym_DASH,
    ACTIONS(4083), 1,
      anon_sym_SLASH,
    ACTIONS(4087), 1,
      anon_sym_AMP,
    ACTIONS(4089), 1,
      anon_sym_CARET,
    ACTIONS(4091), 1,
      anon_sym_PIPE,
    ACTIONS(4097), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4099), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4105), 1,
      aux_sym__keyword_and_token1,
    STATE(857), 1,
      sym__keyword_between,
    STATE(1332), 1,
      sym__keyword_or,
    STATE(1839), 1,
      sym__keyword_and,
    STATE(1853), 1,
      sym__keyword_in,
    STATE(12031), 1,
      sym__keyword_is,
    STATE(13098), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16198), 1,
      sym_quantitve_like_operator,
    STATE(16199), 1,
      sym_like_operator,
    ACTIONS(4081), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4085), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4101), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4103), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(917), 18,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
  [34050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [34107] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6199), 1,
      sym_analytics_clause,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [34168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [34225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1860), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1858), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [34282] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6275), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [34343] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1494), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1492), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [34400] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6204), 1,
      sym_analytics_clause,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [34461] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6155), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [34522] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6324), 1,
      sym_analytics_clause,
    ACTIONS(1492), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1494), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [34583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [34640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [34697] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6322), 1,
      sym_analytics_clause,
    ACTIONS(1488), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1490), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [34758] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6158), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [34819] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6163), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [34880] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6321), 1,
      sym_analytics_clause,
    ACTIONS(1480), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1482), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [34941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1782), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1780), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [34998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1782), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1780), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [35055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [35112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1778), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1776), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [35169] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4077), 1,
      anon_sym_PLUS,
    ACTIONS(4079), 1,
      anon_sym_DASH,
    ACTIONS(4083), 1,
      anon_sym_SLASH,
    ACTIONS(4087), 1,
      anon_sym_AMP,
    ACTIONS(4089), 1,
      anon_sym_CARET,
    ACTIONS(4091), 1,
      anon_sym_PIPE,
    STATE(857), 1,
      sym__keyword_between,
    STATE(1332), 1,
      sym__keyword_or,
    STATE(1839), 1,
      sym__keyword_and,
    STATE(1853), 1,
      sym__keyword_in,
    STATE(12031), 1,
      sym__keyword_is,
    STATE(13098), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16198), 1,
      sym_quantitve_like_operator,
    STATE(16199), 1,
      sym_like_operator,
    ACTIONS(4081), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4085), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1041), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1039), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [35260] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1588), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1586), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [35317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1778), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1776), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [35374] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3588), 1,
      aux_sym_qualify_clause_token1,
    STATE(5973), 1,
      sym_qualify_clause,
    STATE(6526), 1,
      sym_window_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3604), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3602), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [35441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1778), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1776), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [35498] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1778), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1776), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [35555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [35612] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6248), 1,
      sym_analytics_clause,
    ACTIONS(1446), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1448), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [35673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1448), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1446), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [35730] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3588), 1,
      aux_sym_qualify_clause_token1,
    STATE(6105), 1,
      sym_qualify_clause,
    STATE(6490), 1,
      sym_window_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3923), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3921), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [35797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1448), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1446), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [35854] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6246), 1,
      sym_analytics_clause,
    ACTIONS(1446), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1448), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [35915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1448), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1446), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [35972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1448), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1446), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [36029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [36086] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6164), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [36147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1788), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1790), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_set_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_while_statement_token2,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [36204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1448), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1446), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [36261] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6216), 1,
      sym_analytics_clause,
    ACTIONS(1360), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [36322] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3776), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3778), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3780), 1,
      aux_sym_group_by_clause_token1,
    STATE(6124), 1,
      sym_qualify_clause,
    STATE(6154), 1,
      sym_group_by_clause,
    STATE(6359), 1,
      sym_window_clause,
    STATE(6598), 1,
      sym_having_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3822), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [36395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1448), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1446), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [36452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1848), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1846), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [36509] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6218), 1,
      sym_analytics_clause,
    ACTIONS(1360), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [36570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1448), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1446), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [36627] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6220), 1,
      sym_analytics_clause,
    ACTIONS(1360), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [36688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1774), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1772), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [36745] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6245), 1,
      sym_analytics_clause,
    ACTIONS(1442), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [36806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [36863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [36920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [36977] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1362), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [37034] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6242), 1,
      sym_analytics_clause,
    ACTIONS(1442), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [37095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [37152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [37209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [37266] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3776), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3778), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3780), 1,
      aux_sym_group_by_clause_token1,
    STATE(5973), 1,
      sym_qualify_clause,
    STATE(6354), 1,
      sym_group_by_clause,
    STATE(6526), 1,
      sym_window_clause,
    STATE(6696), 1,
      sym_having_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3602), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [37339] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6222), 1,
      sym_analytics_clause,
    ACTIONS(1496), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1498), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [37400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1852), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1850), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [37457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [37514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1498), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1496), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [37571] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6225), 1,
      sym_analytics_clause,
    ACTIONS(1500), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1502), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [37632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [37689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [37746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1502), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1500), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [37803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [37860] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6226), 1,
      sym_analytics_clause,
    ACTIONS(1504), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1506), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [37921] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6241), 1,
      sym_analytics_clause,
    ACTIONS(1442), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [37982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1856), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1854), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [38039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [38096] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3624), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4109), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4111), 1,
      aux_sym__keyword_as_token1,
    STATE(6300), 1,
      sym_default_collate_clause,
    STATE(6820), 1,
      sym_table_partition_clause,
    STATE(7373), 1,
      sym_table_cluster_clause,
    STATE(7658), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12224), 1,
      sym__keyword_as,
    ACTIONS(4107), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [38175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1506), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1504), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [38232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [38289] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6228), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [38350] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6238), 1,
      sym_analytics_clause,
    ACTIONS(1442), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [38411] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [38468] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6196), 1,
      sym_analytics_clause,
    ACTIONS(1360), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [38529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [38586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [38643] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6166), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [38704] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3624), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4115), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4117), 1,
      aux_sym__keyword_as_token1,
    STATE(6351), 1,
      sym_default_collate_clause,
    STATE(6943), 1,
      sym_table_partition_clause,
    STATE(7324), 1,
      sym_table_cluster_clause,
    STATE(7793), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12802), 1,
      sym__keyword_as,
    ACTIONS(4113), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [38783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [38840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1754), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1752), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [38897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [38954] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6229), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [39015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [39072] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3776), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3778), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3780), 1,
      aux_sym_group_by_clause_token1,
    STATE(6127), 1,
      sym_qualify_clause,
    STATE(6197), 1,
      sym_group_by_clause,
    STATE(6466), 1,
      sym_window_clause,
    STATE(6664), 1,
      sym_having_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3598), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [39145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [39202] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [39259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1844), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1842), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [39316] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6237), 1,
      sym_analytics_clause,
    ACTIONS(1462), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [39377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1472), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1470), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [39434] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6236), 1,
      sym_analytics_clause,
    ACTIONS(1462), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [39495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [39552] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6232), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [39613] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6233), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [39674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [39731] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6205), 1,
      sym_analytics_clause,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [39792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [39849] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6235), 1,
      sym_analytics_clause,
    ACTIONS(1462), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [39910] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6234), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [39971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [40028] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6230), 1,
      sym_analytics_clause,
    ACTIONS(1462), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [40089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [40146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [40203] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6227), 1,
      sym_analytics_clause,
    ACTIONS(1462), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [40264] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6239), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [40325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [40382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [40439] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6243), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [40500] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6247), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [40561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [40618] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6250), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [40679] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3624), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4121), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4123), 1,
      aux_sym__keyword_as_token1,
    STATE(6291), 1,
      sym_default_collate_clause,
    STATE(6877), 1,
      sym_table_partition_clause,
    STATE(7405), 1,
      sym_table_cluster_clause,
    STATE(7586), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12372), 1,
      sym__keyword_as,
    ACTIONS(4119), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [40758] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6223), 1,
      sym_analytics_clause,
    ACTIONS(1462), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [40819] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6252), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [40880] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1514), 1,
      anon_sym_DOT,
    ACTIONS(1530), 17,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1532), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DOT2,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [40939] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [40996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [41053] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(857), 1,
      sym__keyword_between,
    STATE(1332), 1,
      sym__keyword_or,
    STATE(1839), 1,
      sym__keyword_and,
    STATE(1853), 1,
      sym__keyword_in,
    STATE(12031), 1,
      sym__keyword_is,
    STATE(13098), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16198), 1,
      sym_quantitve_like_operator,
    STATE(16199), 1,
      sym_like_operator,
    ACTIONS(921), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(917), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [41128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [41185] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6329), 1,
      sym_analytics_clause,
    ACTIONS(1402), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1404), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [41246] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6221), 1,
      sym_analytics_clause,
    ACTIONS(1462), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [41307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [41364] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6254), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [41425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [41482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [41539] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6255), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [41600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [41657] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6256), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [41718] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(4077), 1,
      anon_sym_PLUS,
    ACTIONS(4079), 1,
      anon_sym_DASH,
    ACTIONS(4083), 1,
      anon_sym_SLASH,
    ACTIONS(4087), 1,
      anon_sym_AMP,
    ACTIONS(4089), 1,
      anon_sym_CARET,
    ACTIONS(4091), 1,
      anon_sym_PIPE,
    ACTIONS(4097), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4099), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4105), 1,
      aux_sym__keyword_and_token1,
    STATE(857), 1,
      sym__keyword_between,
    STATE(1332), 1,
      sym__keyword_or,
    STATE(1839), 1,
      sym__keyword_and,
    STATE(1853), 1,
      sym__keyword_in,
    STATE(12031), 1,
      sym__keyword_is,
    STATE(13098), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16198), 1,
      sym_quantitve_like_operator,
    STATE(16199), 1,
      sym_like_operator,
    ACTIONS(4081), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4085), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4101), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4103), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1027), 17,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
  [41821] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(857), 1,
      sym__keyword_between,
    STATE(1332), 1,
      sym__keyword_or,
    STATE(1839), 1,
      sym__keyword_and,
    STATE(1853), 1,
      sym__keyword_in,
    STATE(12031), 1,
      sym__keyword_is,
    STATE(13098), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16198), 1,
      sym_quantitve_like_operator,
    STATE(16199), 1,
      sym_like_operator,
    ACTIONS(1021), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1019), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [41896] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6217), 1,
      sym_analytics_clause,
    ACTIONS(1374), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1376), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [41957] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6317), 1,
      sym_analytics_clause,
    ACTIONS(1470), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1472), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [42018] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6257), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [42079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [42136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1376), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1374), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [42193] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(4077), 1,
      anon_sym_PLUS,
    ACTIONS(4079), 1,
      anon_sym_DASH,
    ACTIONS(4083), 1,
      anon_sym_SLASH,
    ACTIONS(4087), 1,
      anon_sym_AMP,
    ACTIONS(4089), 1,
      anon_sym_CARET,
    ACTIONS(4091), 1,
      anon_sym_PIPE,
    ACTIONS(4097), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4099), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4105), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4125), 1,
      anon_sym_LBRACK,
    ACTIONS(4127), 1,
      anon_sym_DOT2,
    STATE(857), 1,
      sym__keyword_between,
    STATE(1332), 1,
      sym__keyword_or,
    STATE(1839), 1,
      sym__keyword_and,
    STATE(1853), 1,
      sym__keyword_in,
    STATE(12031), 1,
      sym__keyword_is,
    STATE(13098), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16198), 1,
      sym_quantitve_like_operator,
    STATE(16199), 1,
      sym_like_operator,
    ACTIONS(4081), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4085), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4101), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4103), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1001), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
  [42302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [42359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1686), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1684), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [42416] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6258), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [42477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1468), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1466), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [42534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [42591] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [42648] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [42705] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [42762] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6167), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [42823] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6215), 1,
      sym_analytics_clause,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [42884] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6214), 1,
      sym_analytics_clause,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [42945] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6259), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [43006] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6262), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [43067] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6263), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [43128] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6264), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [43189] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6265), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [43250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [43307] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6266), 1,
      sym_analytics_clause,
    ACTIONS(1394), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1396), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [43368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1396), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1394), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [43425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [43482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [43539] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6267), 1,
      sym_analytics_clause,
    ACTIONS(1398), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1400), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [43600] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6212), 1,
      sym_analytics_clause,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [43661] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6315), 1,
      sym_analytics_clause,
    ACTIONS(1466), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1468), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [43722] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6268), 1,
      sym_analytics_clause,
    ACTIONS(1398), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1400), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [43783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [43840] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6269), 1,
      sym_analytics_clause,
    ACTIONS(1398), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1400), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [43901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4131), 12,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__float_token1,
      aux_sym__float_token3,
      anon_sym_LBRACK,
      sym_system_variable,
      sym__positional_query_parameter,
      sym__quoted_identifier,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_DOLLAR,
    ACTIONS(4129), 37,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_if_not_exists_token3,
      aux_sym__keyword_struct_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_array_token1,
      aux_sym__keyword_case_token1,
      aux_sym__keyword_cast_token1,
      aux_sym__keyword_cast_token2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_create_table_statement_token1,
      aux_sym_drop_notnull_token1,
      aux_sym_create_model_statement_token1,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      aux_sym_function_call_token2,
      aux_sym_unnest_operator_token1,
      aux_sym_TRUE_token1,
      aux_sym_FALSE_token1,
      sym__integer,
      aux_sym__float_token2,
      aux_sym_numeric_token1,
      aux_sym_numeric_token2,
      aux_sym_numeric_token3,
      aux_sym_numeric_token4,
      aux_sym_interval_token1,
      aux_sym_json_token1,
      sym__named_query_parameter,
      sym__unquoted_identifier,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_operator_compare,
  [43958] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6211), 1,
      sym_analytics_clause,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [44019] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6272), 1,
      sym_analytics_clause,
    ACTIONS(1398), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1400), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [44080] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6273), 1,
      sym_analytics_clause,
    ACTIONS(1398), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1400), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [44141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [44198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1400), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1398), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [44255] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6283), 1,
      sym_analytics_clause,
    ACTIONS(1406), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1408), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [44316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1408), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1406), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [44373] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6276), 1,
      sym_analytics_clause,
    ACTIONS(1410), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1412), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [44434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1412), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1410), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [44491] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6277), 1,
      sym_analytics_clause,
    ACTIONS(1414), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1416), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [44552] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6208), 1,
      sym_analytics_clause,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [44613] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3624), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4135), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4137), 1,
      aux_sym__keyword_as_token1,
    STATE(6310), 1,
      sym_default_collate_clause,
    STATE(6917), 1,
      sym_table_partition_clause,
    STATE(7410), 1,
      sym_table_cluster_clause,
    STATE(7943), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12329), 1,
      sym__keyword_as,
    ACTIONS(4133), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [44692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1388), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1386), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [44749] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [44806] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6314), 1,
      sym_analytics_clause,
    ACTIONS(1458), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1460), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [44867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1416), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1414), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [44924] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4077), 1,
      anon_sym_PLUS,
    ACTIONS(4079), 1,
      anon_sym_DASH,
    ACTIONS(4083), 1,
      anon_sym_SLASH,
    ACTIONS(4087), 1,
      anon_sym_AMP,
    ACTIONS(4089), 1,
      anon_sym_CARET,
    ACTIONS(4091), 1,
      anon_sym_PIPE,
    STATE(857), 1,
      sym__keyword_between,
    STATE(1332), 1,
      sym__keyword_or,
    STATE(1839), 1,
      sym__keyword_and,
    STATE(1853), 1,
      sym__keyword_in,
    STATE(12031), 1,
      sym__keyword_is,
    STATE(13098), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16198), 1,
      sym_quantitve_like_operator,
    STATE(16199), 1,
      sym_like_operator,
    ACTIONS(4081), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4085), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1025), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1023), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [45015] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4077), 1,
      anon_sym_PLUS,
    ACTIONS(4079), 1,
      anon_sym_DASH,
    ACTIONS(4083), 1,
      anon_sym_SLASH,
    ACTIONS(4087), 1,
      anon_sym_AMP,
    ACTIONS(4089), 1,
      anon_sym_CARET,
    ACTIONS(4091), 1,
      anon_sym_PIPE,
    STATE(857), 1,
      sym__keyword_between,
    STATE(1332), 1,
      sym__keyword_or,
    STATE(1839), 1,
      sym__keyword_and,
    STATE(1853), 1,
      sym__keyword_in,
    STATE(12031), 1,
      sym__keyword_is,
    STATE(13098), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16198), 1,
      sym_quantitve_like_operator,
    STATE(16199), 1,
      sym_like_operator,
    ACTIONS(4081), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4085), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(949), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(947), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [45106] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6278), 1,
      sym_analytics_clause,
    ACTIONS(1418), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1420), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [45167] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6279), 1,
      sym_analytics_clause,
    ACTIONS(1418), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1420), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [45228] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6281), 1,
      sym_analytics_clause,
    ACTIONS(1418), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1420), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [45289] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6282), 1,
      sym_analytics_clause,
    ACTIONS(1418), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1420), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [45350] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6284), 1,
      sym_analytics_clause,
    ACTIONS(1418), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1420), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [45411] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1420), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [45468] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6285), 1,
      sym_analytics_clause,
    ACTIONS(1418), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1420), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [45529] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6287), 1,
      sym_analytics_clause,
    ACTIONS(1418), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1420), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [45590] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6288), 1,
      sym_analytics_clause,
    ACTIONS(1418), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1420), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [45651] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6290), 1,
      sym_analytics_clause,
    ACTIONS(1418), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1420), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [45712] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6292), 1,
      sym_analytics_clause,
    ACTIONS(1418), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1420), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [45773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1420), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [45830] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6293), 1,
      sym_analytics_clause,
    ACTIONS(1422), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1424), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [45891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1424), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1422), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [45948] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6299), 1,
      sym_analytics_clause,
    ACTIONS(1426), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1428), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [46009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [46066] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6301), 1,
      sym_analytics_clause,
    ACTIONS(1430), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1432), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [46127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1432), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1430), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [46184] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6302), 1,
      sym_analytics_clause,
    ACTIONS(1434), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1436), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [46245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1456), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1454), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [46302] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6193), 1,
      sym_analytics_clause,
    ACTIONS(1386), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1388), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [46363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4141), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4139), 47,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [46420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [46477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [46534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [46591] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1766), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1764), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [46648] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6313), 1,
      sym_analytics_clause,
    ACTIONS(1454), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1456), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [46709] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1514), 1,
      anon_sym_DOT,
    ACTIONS(1508), 17,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1510), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DOT2,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [46768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1434), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [46825] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3624), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4145), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4147), 1,
      aux_sym__keyword_as_token1,
    STATE(6160), 1,
      sym_default_collate_clause,
    STATE(6860), 1,
      sym_table_partition_clause,
    STATE(7303), 1,
      sym_table_cluster_clause,
    STATE(7755), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12493), 1,
      sym__keyword_as,
    ACTIONS(4143), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [46904] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6308), 1,
      sym_analytics_clause,
    ACTIONS(1450), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1452), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [46965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [47022] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6303), 1,
      sym_analytics_clause,
    ACTIONS(1438), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1440), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [47083] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6191), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [47144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [47201] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3588), 1,
      aux_sym_qualify_clause_token1,
    STATE(6124), 1,
      sym_qualify_clause,
    STATE(6359), 1,
      sym_window_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3824), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3822), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [47268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1596), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1594), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [47325] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6190), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [47386] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1440), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1438), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [47443] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3776), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3778), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3780), 1,
      aux_sym_group_by_clause_token1,
    STATE(5999), 1,
      sym_qualify_clause,
    STATE(6298), 1,
      sym_group_by_clause,
    STATE(6540), 1,
      sym_window_clause,
    STATE(6621), 1,
      sym_having_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3754), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [47516] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6189), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [47577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1830), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1832), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_set_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_while_statement_token2,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [47634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [47691] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6187), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [47752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1836), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1834), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [47809] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6185), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [47870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [47927] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6306), 1,
      sym_analytics_clause,
    ACTIONS(1450), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1452), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [47988] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6206), 1,
      sym_analytics_clause,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [48049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1840), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1838), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [48106] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4077), 1,
      anon_sym_PLUS,
    ACTIONS(4079), 1,
      anon_sym_DASH,
    ACTIONS(4083), 1,
      anon_sym_SLASH,
    ACTIONS(4087), 1,
      anon_sym_AMP,
    ACTIONS(4089), 1,
      anon_sym_CARET,
    ACTIONS(4091), 1,
      anon_sym_PIPE,
    STATE(857), 1,
      sym__keyword_between,
    STATE(1332), 1,
      sym__keyword_or,
    STATE(1839), 1,
      sym__keyword_and,
    STATE(1853), 1,
      sym__keyword_in,
    STATE(12031), 1,
      sym__keyword_is,
    STATE(13098), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16198), 1,
      sym_quantitve_like_operator,
    STATE(16199), 1,
      sym_like_operator,
    ACTIONS(4081), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4085), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1033), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1031), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [48197] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6183), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [48258] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6175), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [48319] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4077), 1,
      anon_sym_PLUS,
    ACTIONS(4079), 1,
      anon_sym_DASH,
    ACTIONS(4083), 1,
      anon_sym_SLASH,
    ACTIONS(4087), 1,
      anon_sym_AMP,
    ACTIONS(4089), 1,
      anon_sym_CARET,
    ACTIONS(4091), 1,
      anon_sym_PIPE,
    STATE(857), 1,
      sym__keyword_between,
    STATE(1332), 1,
      sym__keyword_or,
    STATE(1839), 1,
      sym__keyword_and,
    STATE(1853), 1,
      sym__keyword_in,
    STATE(12031), 1,
      sym__keyword_is,
    STATE(13098), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16198), 1,
      sym_quantitve_like_operator,
    STATE(16199), 1,
      sym_like_operator,
    ACTIONS(4081), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4085), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1037), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1035), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [48410] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6182), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [48471] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_analytics_clause_token1,
    STATE(6179), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [48532] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6476), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [48592] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6481), 1,
      sym_analytics_clause,
    ACTIONS(1374), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1376), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [48652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4153), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4151), 47,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_default_clause_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_default_collate_clause_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_primary_key_token1,
      aux_sym_foreign_key_references_token1,
      aux_sym_option_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [48708] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6404), 1,
      sym_analytics_clause,
    ACTIONS(1402), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1404), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [48768] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    STATE(6540), 1,
      sym_window_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3756), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3754), 43,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [48830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1516), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1518), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_set_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_while_statement_token2,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [48886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4157), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4155), 47,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_default_clause_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_default_collate_clause_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_primary_key_token1,
      aux_sym_foreign_key_references_token1,
      aux_sym_option_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [48942] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4159), 1,
      anon_sym_COMMA,
    STATE(5990), 1,
      aux_sym_select_list_repeat1,
    ACTIONS(3830), 46,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [49000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4163), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4161), 47,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_default_clause_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_default_collate_clause_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_primary_key_token1,
      aux_sym_foreign_key_references_token1,
      aux_sym_option_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [49056] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2700), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(4165), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4167), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4171), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4173), 1,
      anon_sym_COMMA,
    ACTIONS(4177), 1,
      anon_sym_LBRACK,
    ACTIONS(4179), 1,
      anon_sym_DOT2,
    ACTIONS(4181), 1,
      anon_sym_PLUS,
    ACTIONS(4183), 1,
      anon_sym_DASH,
    ACTIONS(4187), 1,
      anon_sym_SLASH,
    ACTIONS(4191), 1,
      anon_sym_AMP,
    ACTIONS(4193), 1,
      anon_sym_CARET,
    ACTIONS(4195), 1,
      anon_sym_PIPE,
    STATE(1162), 1,
      sym__keyword_between,
    STATE(1780), 1,
      sym__keyword_or,
    STATE(1781), 1,
      sym__keyword_and,
    STATE(1815), 1,
      sym__keyword_in,
    STATE(12022), 1,
      sym__direction_keywords,
    STATE(12037), 1,
      sym__keyword_is,
    STATE(12310), 1,
      sym__nulls_preference,
    STATE(12311), 1,
      aux_sym_order_by_clause_body_repeat1,
    STATE(13087), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16188), 1,
      sym_like_operator,
    STATE(16189), 1,
      sym_quantitve_like_operator,
    ACTIONS(2698), 2,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
    ACTIONS(4185), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4169), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4175), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2682), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [49176] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3626), 1,
      anon_sym_LPAREN,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4199), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4201), 1,
      aux_sym__keyword_as_token1,
    STATE(6161), 1,
      sym_create_table_parameters,
    STATE(6892), 1,
      sym_table_partition_clause,
    STATE(7310), 1,
      sym_table_cluster_clause,
    STATE(7764), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12682), 1,
      sym__keyword_as,
    ACTIONS(4197), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [49254] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3626), 1,
      anon_sym_LPAREN,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4205), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4207), 1,
      aux_sym__keyword_as_token1,
    STATE(6307), 1,
      sym_create_table_parameters,
    STATE(6899), 1,
      sym_table_partition_clause,
    STATE(7417), 1,
      sym_table_cluster_clause,
    STATE(7804), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12268), 1,
      sym__keyword_as,
    ACTIONS(4203), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [49332] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    STATE(6377), 1,
      sym_window_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(4211), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4209), 43,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [49394] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3538), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(6411), 1,
      sym_unnest_withoffset,
    ACTIONS(1540), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1542), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [49454] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4213), 1,
      anon_sym_COMMA,
    STATE(5991), 1,
      aux_sym_select_list_repeat1,
    ACTIONS(3874), 46,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [49512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1516), 19,
      sym__string_start,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1518), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [49568] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6498), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [49628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1508), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1510), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_set_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_while_statement_token2,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [49684] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(545), 1,
      sym__unquoted_identifier,
    ACTIONS(597), 1,
      sym__quoted_identifier,
    ACTIONS(4215), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(4217), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(5766), 1,
      sym_identifier,
    STATE(5986), 1,
      sym__type_chrono,
    STATE(7237), 1,
      sym_unnest_withoffset,
    STATE(8773), 1,
      sym__identifier,
    STATE(9420), 1,
      sym_as_alias,
    STATE(11513), 1,
      sym__keyword_as,
    STATE(13954), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3638), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5974), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(205), 12,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(211), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [49766] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1508), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1510), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [49822] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3618), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3624), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3626), 1,
      anon_sym_LPAREN,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4219), 1,
      aux_sym__keyword_as_token1,
    STATE(6634), 1,
      sym_create_table_parameters,
    STATE(6972), 1,
      sym_like_clause,
    STATE(7150), 1,
      sym_default_collate_clause,
    STATE(7620), 1,
      sym_table_partition_clause,
    STATE(8745), 1,
      sym_table_cluster_clause,
    STATE(9840), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12275), 1,
      sym__keyword_as,
    ACTIONS(3899), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [49906] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4221), 1,
      anon_sym_COMMA,
    STATE(6091), 1,
      aux_sym_select_list_repeat1,
    ACTIONS(143), 46,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [49964] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4223), 1,
      anon_sym_COMMA,
    STATE(6091), 1,
      aux_sym_select_list_repeat1,
    ACTIONS(139), 46,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [50022] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    STATE(6466), 1,
      sym_window_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3600), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3598), 43,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [50084] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3626), 1,
      anon_sym_LPAREN,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4227), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4229), 1,
      aux_sym__keyword_as_token1,
    STATE(6348), 1,
      sym_create_table_parameters,
    STATE(6952), 1,
      sym_table_partition_clause,
    STATE(7327), 1,
      sym_table_cluster_clause,
    STATE(7794), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12777), 1,
      sym__keyword_as,
    ACTIONS(4225), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [50162] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3618), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3624), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3626), 1,
      anon_sym_LPAREN,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4231), 1,
      aux_sym__keyword_as_token1,
    STATE(6643), 1,
      sym_create_table_parameters,
    STATE(7086), 1,
      sym_like_clause,
    STATE(7113), 1,
      sym_default_collate_clause,
    STATE(7635), 1,
      sym_table_partition_clause,
    STATE(8709), 1,
      sym_table_cluster_clause,
    STATE(9836), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12260), 1,
      sym__keyword_as,
    ACTIONS(3890), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [50246] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6369), 1,
      sym_analytics_clause,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [50306] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3618), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3624), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3626), 1,
      anon_sym_LPAREN,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4233), 1,
      aux_sym__keyword_as_token1,
    STATE(6649), 1,
      sym_create_table_parameters,
    STATE(7100), 1,
      sym_like_clause,
    STATE(7107), 1,
      sym_default_collate_clause,
    STATE(7651), 1,
      sym_table_partition_clause,
    STATE(8707), 1,
      sym_table_cluster_clause,
    STATE(9834), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12256), 1,
      sym__keyword_as,
    ACTIONS(3884), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [50390] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    STATE(6526), 1,
      sym_window_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3604), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3602), 43,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [50452] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3618), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3624), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3626), 1,
      anon_sym_LPAREN,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(3856), 1,
      aux_sym__keyword_as_token1,
    STATE(6603), 1,
      sym_create_table_parameters,
    STATE(6822), 1,
      sym_like_clause,
    STATE(7218), 1,
      sym_default_collate_clause,
    STATE(7654), 1,
      sym_table_partition_clause,
    STATE(8441), 1,
      sym_table_cluster_clause,
    STATE(9714), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12368), 1,
      sym__keyword_as,
    ACTIONS(3662), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [50536] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    STATE(6359), 1,
      sym_window_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3824), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3822), 43,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [50598] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6504), 1,
      sym_analytics_clause,
    ACTIONS(1492), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1494), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [50658] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6375), 1,
      sym_analytics_clause,
    ACTIONS(1446), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1448), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [50718] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6374), 1,
      sym_analytics_clause,
    ACTIONS(1446), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1448), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [50778] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6373), 1,
      sym_analytics_clause,
    ACTIONS(1442), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [50838] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6372), 1,
      sym_analytics_clause,
    ACTIONS(1442), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [50898] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6371), 1,
      sym_analytics_clause,
    ACTIONS(1442), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [50958] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6434), 1,
      sym_analytics_clause,
    ACTIONS(1442), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [51018] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6577), 1,
      sym_analytics_clause,
    ACTIONS(1462), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [51078] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6585), 1,
      sym_analytics_clause,
    ACTIONS(1462), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [51138] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6590), 1,
      sym_analytics_clause,
    ACTIONS(1462), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [51198] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6503), 1,
      sym_analytics_clause,
    ACTIONS(1462), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [51258] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3626), 1,
      anon_sym_LPAREN,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4237), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4239), 1,
      aux_sym__keyword_as_token1,
    STATE(6295), 1,
      sym_create_table_parameters,
    STATE(6812), 1,
      sym_table_partition_clause,
    STATE(7372), 1,
      sym_table_cluster_clause,
    STATE(7650), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12222), 1,
      sym__keyword_as,
    ACTIONS(4235), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [51336] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6517), 1,
      sym_analytics_clause,
    ACTIONS(1462), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [51396] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6497), 1,
      sym_analytics_clause,
    ACTIONS(1462), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [51456] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6483), 1,
      sym_analytics_clause,
    ACTIONS(1462), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [51516] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6480), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [51576] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6477), 1,
      sym_analytics_clause,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [51636] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6357), 1,
      sym_analytics_clause,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [51696] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6529), 1,
      sym_analytics_clause,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [51756] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6451), 1,
      sym_analytics_clause,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [51816] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3618), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3624), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3626), 1,
      anon_sym_LPAREN,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(3872), 1,
      aux_sym__keyword_as_token1,
    STATE(6608), 1,
      sym_create_table_parameters,
    STATE(6776), 1,
      sym_like_clause,
    STATE(7238), 1,
      sym_default_collate_clause,
    STATE(7552), 1,
      sym_table_partition_clause,
    STATE(8799), 1,
      sym_table_cluster_clause,
    STATE(9861), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12867), 1,
      sym__keyword_as,
    ACTIONS(3614), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [51900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1083), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1081), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [51956] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6444), 1,
      sym_analytics_clause,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [52016] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6439), 1,
      sym_analytics_clause,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [52076] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6428), 1,
      sym_analytics_clause,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [52136] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3618), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3624), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3626), 1,
      anon_sym_LPAREN,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4241), 1,
      aux_sym__keyword_as_token1,
    STATE(6624), 1,
      sym_create_table_parameters,
    STATE(6873), 1,
      sym_like_clause,
    STATE(7202), 1,
      sym_default_collate_clause,
    STATE(7717), 1,
      sym_table_partition_clause,
    STATE(8615), 1,
      sym_table_cluster_clause,
    STATE(9799), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12190), 1,
      sym__keyword_as,
    ACTIONS(3866), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [52220] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6385), 1,
      sym_analytics_clause,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [52280] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6379), 1,
      sym_analytics_clause,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [52340] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3618), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3624), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3626), 1,
      anon_sym_LPAREN,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4243), 1,
      aux_sym__keyword_as_token1,
    STATE(6612), 1,
      sym_create_table_parameters,
    STATE(6748), 1,
      sym_like_clause,
    STATE(7247), 1,
      sym_default_collate_clause,
    STATE(7549), 1,
      sym_table_partition_clause,
    STATE(9051), 1,
      sym_table_cluster_clause,
    STATE(9752), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12674), 1,
      sym__keyword_as,
    ACTIONS(3836), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [52424] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6363), 1,
      sym_analytics_clause,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [52484] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6527), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [52544] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6360), 1,
      sym_analytics_clause,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [52604] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6563), 1,
      sym_analytics_clause,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [52664] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6361), 1,
      sym_analytics_clause,
    ACTIONS(1484), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1486), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [52724] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6381), 1,
      sym_analytics_clause,
    ACTIONS(1378), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [52784] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6464), 1,
      sym_analytics_clause,
    ACTIONS(1378), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [52844] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6365), 1,
      sym_analytics_clause,
    ACTIONS(1378), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [52904] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6382), 1,
      sym_analytics_clause,
    ACTIONS(1378), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [52964] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6399), 1,
      sym_analytics_clause,
    ACTIONS(1378), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [53024] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6401), 1,
      sym_analytics_clause,
    ACTIONS(1378), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [53084] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6402), 1,
      sym_analytics_clause,
    ACTIONS(1378), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [53144] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6403), 1,
      sym_analytics_clause,
    ACTIONS(1378), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [53204] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6390), 1,
      sym_analytics_clause,
    ACTIONS(1378), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [53264] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6443), 1,
      sym_analytics_clause,
    ACTIONS(1488), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1490), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [53324] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6414), 1,
      sym_analytics_clause,
    ACTIONS(1378), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [53384] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6433), 1,
      sym_analytics_clause,
    ACTIONS(1378), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [53444] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6445), 1,
      sym_analytics_clause,
    ACTIONS(1390), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1392), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [53504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4247), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4245), 47,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_default_clause_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_default_collate_clause_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_primary_key_token1,
      aux_sym_foreign_key_references_token1,
      aux_sym_option_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [53560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4251), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4249), 47,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_default_clause_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_default_collate_clause_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_primary_key_token1,
      aux_sym_foreign_key_references_token1,
      aux_sym_option_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [53616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4255), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4253), 47,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_default_clause_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_default_collate_clause_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_primary_key_token1,
      aux_sym_foreign_key_references_token1,
      aux_sym_option_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [53672] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6446), 1,
      sym_analytics_clause,
    ACTIONS(1382), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1384), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [53732] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6468), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [53792] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6469), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [53852] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3618), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3624), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3626), 1,
      anon_sym_LPAREN,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4257), 1,
      aux_sym__keyword_as_token1,
    STATE(6694), 1,
      sym_create_table_parameters,
    STATE(6954), 1,
      sym_like_clause,
    STATE(7163), 1,
      sym_default_collate_clause,
    STATE(7991), 1,
      sym_table_partition_clause,
    STATE(8629), 1,
      sym_table_cluster_clause,
    STATE(9818), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12573), 1,
      sym__keyword_as,
    ACTIONS(3842), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [53936] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6470), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [53996] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6475), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [54056] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3618), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3624), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3626), 1,
      anon_sym_LPAREN,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3852), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    STATE(6638), 1,
      sym_create_table_parameters,
    STATE(6893), 1,
      sym_like_clause,
    STATE(7103), 1,
      sym_default_collate_clause,
    STATE(7773), 1,
      sym_table_partition_clause,
    STATE(8572), 1,
      sym_table_cluster_clause,
    STATE(9791), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12542), 1,
      sym__keyword_as,
    ACTIONS(3646), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [54140] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3618), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3624), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3626), 1,
      anon_sym_LPAREN,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4259), 1,
      aux_sym__keyword_as_token1,
    STATE(6636), 1,
      sym_create_table_parameters,
    STATE(6784), 1,
      sym_like_clause,
    STATE(7189), 1,
      sym_default_collate_clause,
    STATE(7759), 1,
      sym_table_partition_clause,
    STATE(8565), 1,
      sym_table_cluster_clause,
    STATE(9790), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12540), 1,
      sym__keyword_as,
    ACTIONS(3909), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [54224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4263), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4261), 46,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [54280] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6416), 1,
      sym_analytics_clause,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [54340] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4153), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4265), 1,
      anon_sym_LPAREN,
    ACTIONS(4151), 46,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_default_clause_token1,
      aux_sym_set_statement_token1,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_default_collate_clause_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_primary_key_token1,
      aux_sym_foreign_key_references_token1,
      aux_sym_option_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [54398] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2694), 1,
      anon_sym_COMMA,
    ACTIONS(2700), 1,
      aux_sym__nulls_preference_token1,
    STATE(6457), 1,
      sym__nulls_preference,
    STATE(6459), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4269), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4267), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [54462] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6501), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [54522] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6513), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [54582] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6516), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [54642] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6370), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [54702] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    STATE(6534), 1,
      sym_window_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3608), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3606), 43,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [54764] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6531), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [54824] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6532), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [54884] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6551), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [54944] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6580), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [55004] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6578), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [55064] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6576), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [55124] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3626), 1,
      anon_sym_LPAREN,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4273), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4275), 1,
      aux_sym__keyword_as_token1,
    STATE(6207), 1,
      sym_create_table_parameters,
    STATE(6735), 1,
      sym_table_partition_clause,
    STATE(7311), 1,
      sym_table_cluster_clause,
    STATE(7566), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12786), 1,
      sym__keyword_as,
    ACTIONS(4271), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [55202] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6571), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [55262] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6569), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [55322] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6441), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [55382] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6568), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [55442] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6567), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [55502] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6356), 1,
      sym_analytics_clause,
    ACTIONS(1386), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1388), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [55562] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6553), 1,
      sym_analytics_clause,
    ACTIONS(1360), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [55622] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6549), 1,
      sym_analytics_clause,
    ACTIONS(1360), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [55682] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6545), 1,
      sym_analytics_clause,
    ACTIONS(1360), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [55742] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6543), 1,
      sym_analytics_clause,
    ACTIONS(1360), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [55802] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6541), 1,
      sym_analytics_clause,
    ACTIONS(1360), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [55862] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6535), 1,
      sym_analytics_clause,
    ACTIONS(1360), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [55922] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6530), 1,
      sym_analytics_clause,
    ACTIONS(1360), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [55982] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6523), 1,
      sym_analytics_clause,
    ACTIONS(1360), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [56042] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6521), 1,
      sym_analytics_clause,
    ACTIONS(1360), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [56102] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6410), 1,
      sym_analytics_clause,
    ACTIONS(1360), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [56162] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6518), 1,
      sym_analytics_clause,
    ACTIONS(1496), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1498), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [56222] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4277), 1,
      anon_sym_COMMA,
    STATE(6091), 1,
      aux_sym_select_list_repeat1,
    ACTIONS(3806), 46,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [56280] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6510), 1,
      sym_analytics_clause,
    ACTIONS(1500), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1502), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [56340] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6509), 1,
      sym_analytics_clause,
    ACTIONS(1504), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1506), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [56400] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6505), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [56460] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6520), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [56520] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6499), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [56580] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6495), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [56640] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6494), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [56700] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6442), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [56760] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6438), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [56820] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6426), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [56880] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6424), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [56940] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6415), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [57000] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6358), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [57060] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    STATE(6429), 1,
      sym_window_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(4069), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4067), 43,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [57122] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6362), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [57182] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6364), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [57242] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6366), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [57302] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6367), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [57362] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6447), 1,
      sym_analytics_clause,
    ACTIONS(1480), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1482), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [57422] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6376), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [57482] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6383), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [57542] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3626), 1,
      anon_sym_LPAREN,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4282), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4284), 1,
      aux_sym__keyword_as_token1,
    STATE(6249), 1,
      sym_create_table_parameters,
    STATE(6739), 1,
      sym_table_partition_clause,
    STATE(7323), 1,
      sym_table_cluster_clause,
    STATE(7531), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12386), 1,
      sym__keyword_as,
    ACTIONS(4280), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [57620] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6386), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [57680] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6387), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [57740] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6389), 1,
      sym_analytics_clause,
    ACTIONS(1394), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1396), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [57800] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6539), 1,
      sym_analytics_clause,
    ACTIONS(1398), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1400), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [57860] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6396), 1,
      sym_analytics_clause,
    ACTIONS(1398), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1400), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [57920] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6398), 1,
      sym_analytics_clause,
    ACTIONS(1398), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1400), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [57980] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6556), 1,
      sym_analytics_clause,
    ACTIONS(1470), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1472), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [58040] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6400), 1,
      sym_analytics_clause,
    ACTIONS(1398), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1400), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [58100] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3626), 1,
      anon_sym_LPAREN,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4288), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4290), 1,
      aux_sym__keyword_as_token1,
    STATE(6323), 1,
      sym_create_table_parameters,
    STATE(6996), 1,
      sym_table_partition_clause,
    STATE(7386), 1,
      sym_table_cluster_clause,
    STATE(7939), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12340), 1,
      sym__keyword_as,
    ACTIONS(4286), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [58178] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6579), 1,
      sym_analytics_clause,
    ACTIONS(1426), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1428), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [58238] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    STATE(6490), 1,
      sym_window_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3923), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3921), 43,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [58300] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6408), 1,
      sym_analytics_clause,
    ACTIONS(1398), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1400), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [58360] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3626), 1,
      anon_sym_LPAREN,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4294), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4296), 1,
      aux_sym__keyword_as_token1,
    STATE(6271), 1,
      sym_create_table_parameters,
    STATE(6832), 1,
      sym_table_partition_clause,
    STATE(7381), 1,
      sym_table_cluster_clause,
    STATE(7578), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12374), 1,
      sym__keyword_as,
    ACTIONS(4292), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [58438] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    STATE(6502), 1,
      sym_window_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3596), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3594), 43,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [58500] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6412), 1,
      sym_analytics_clause,
    ACTIONS(1406), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1408), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [58560] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6557), 1,
      sym_analytics_clause,
    ACTIONS(1466), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1468), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [58620] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6417), 1,
      sym_analytics_clause,
    ACTIONS(1410), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1412), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [58680] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6419), 1,
      sym_analytics_clause,
    ACTIONS(1414), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1416), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [58740] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6558), 1,
      sym_analytics_clause,
    ACTIONS(1458), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1460), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [58800] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6564), 1,
      sym_analytics_clause,
    ACTIONS(1454), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1456), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [58860] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6425), 1,
      sym_analytics_clause,
    ACTIONS(1418), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1420), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [58920] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6487), 1,
      sym_analytics_clause,
    ACTIONS(1450), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1452), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [58980] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6572), 1,
      sym_analytics_clause,
    ACTIONS(1450), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1452), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [59040] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6589), 1,
      sym_analytics_clause,
    ACTIONS(1438), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1440), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [59100] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6588), 1,
      sym_analytics_clause,
    ACTIONS(1434), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1436), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [59160] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6430), 1,
      sym_analytics_clause,
    ACTIONS(1418), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1420), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [59220] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6436), 1,
      sym_analytics_clause,
    ACTIONS(1418), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1420), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [59280] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6584), 1,
      sym_analytics_clause,
    ACTIONS(1430), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1432), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [59340] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6437), 1,
      sym_analytics_clause,
    ACTIONS(1418), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1420), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [59400] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3626), 1,
      anon_sym_LPAREN,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4300), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4302), 1,
      aux_sym__keyword_as_token1,
    STATE(6244), 1,
      sym_create_table_parameters,
    STATE(7073), 1,
      sym_table_partition_clause,
    STATE(7369), 1,
      sym_table_cluster_clause,
    STATE(7854), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12554), 1,
      sym__keyword_as,
    ACTIONS(4298), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [59478] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6453), 1,
      sym_analytics_clause,
    ACTIONS(1418), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1420), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [59538] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6458), 1,
      sym_analytics_clause,
    ACTIONS(1418), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1420), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [59598] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6393), 1,
      sym_analytics_clause,
    ACTIONS(1418), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1420), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [59658] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6546), 1,
      sym_analytics_clause,
    ACTIONS(1418), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1420), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [59718] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3626), 1,
      anon_sym_LPAREN,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4306), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4308), 1,
      aux_sym__keyword_as_token1,
    STATE(6336), 1,
      sym_create_table_parameters,
    STATE(7066), 1,
      sym_table_partition_clause,
    STATE(7341), 1,
      sym_table_cluster_clause,
    STATE(7637), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12366), 1,
      sym__keyword_as,
    ACTIONS(4304), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [59796] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6552), 1,
      sym_analytics_clause,
    ACTIONS(1418), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1420), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [59856] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6565), 1,
      sym_analytics_clause,
    ACTIONS(1418), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1420), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [59916] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      aux_sym_analytics_clause_token1,
    STATE(6570), 1,
      sym_analytics_clause,
    ACTIONS(1422), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1424), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [59976] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2700), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(4165), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4167), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4171), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4177), 1,
      anon_sym_LBRACK,
    ACTIONS(4179), 1,
      anon_sym_DOT2,
    ACTIONS(4181), 1,
      anon_sym_PLUS,
    ACTIONS(4183), 1,
      anon_sym_DASH,
    ACTIONS(4187), 1,
      anon_sym_SLASH,
    ACTIONS(4191), 1,
      anon_sym_AMP,
    ACTIONS(4193), 1,
      anon_sym_CARET,
    ACTIONS(4195), 1,
      anon_sym_PIPE,
    STATE(1162), 1,
      sym__keyword_between,
    STATE(1780), 1,
      sym__keyword_or,
    STATE(1781), 1,
      sym__keyword_and,
    STATE(1815), 1,
      sym__keyword_in,
    STATE(5515), 1,
      sym__direction_keywords,
    STATE(5934), 1,
      sym__nulls_preference,
    STATE(12037), 1,
      sym__keyword_is,
    STATE(13087), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16188), 1,
      sym_like_operator,
    STATE(16189), 1,
      sym_quantitve_like_operator,
    ACTIONS(2698), 2,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
    ACTIONS(4185), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4169), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4175), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2786), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [60091] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4312), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4314), 1,
      aux_sym__keyword_as_token1,
    STATE(6907), 1,
      sym_table_partition_clause,
    STATE(7318), 1,
      sym_table_cluster_clause,
    STATE(7788), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12533), 1,
      sym__keyword_as,
    ACTIONS(4310), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [60164] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3776), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3778), 1,
      aux_sym_qualify_clause_token1,
    STATE(6105), 1,
      sym_qualify_clause,
    STATE(6490), 1,
      sym_window_clause,
    STATE(6642), 1,
      sym_having_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3921), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [60231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [60286] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      sym__string_start,
    STATE(7220), 1,
      sym_string,
    ACTIONS(1508), 19,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1510), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [60345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [60400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [60455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [60510] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4318), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4320), 1,
      aux_sym__keyword_as_token1,
    STATE(7075), 1,
      sym_table_partition_clause,
    STATE(7356), 1,
      sym_table_cluster_clause,
    STATE(7544), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12377), 1,
      sym__keyword_as,
    ACTIONS(4316), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [60583] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4324), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4326), 1,
      aux_sym__keyword_as_token1,
    STATE(6780), 1,
      sym_table_partition_clause,
    STATE(7352), 1,
      sym_table_cluster_clause,
    STATE(7545), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12380), 1,
      sym__keyword_as,
    ACTIONS(4322), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [60656] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4019), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4021), 1,
      aux_sym__keyword_as_token1,
    STATE(6742), 1,
      sym_table_partition_clause,
    STATE(7342), 1,
      sym_table_cluster_clause,
    STATE(7547), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12385), 1,
      sym__keyword_as,
    ACTIONS(4017), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [60729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [60784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [60839] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1858), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1860), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [60894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [60949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [61004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [61059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [61114] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4025), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4027), 1,
      aux_sym__keyword_as_token1,
    STATE(6948), 1,
      sym_table_partition_clause,
    STATE(7314), 1,
      sym_table_cluster_clause,
    STATE(7663), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12364), 1,
      sym__keyword_as,
    ACTIONS(4023), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [61187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [61242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [61297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [61352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [61407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [61462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [61517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [61572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1752), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1754), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [61627] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [61682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [61737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1516), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1518), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [61792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [61847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [61902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [61957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [62012] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4013), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4015), 1,
      aux_sym__keyword_as_token1,
    STATE(7081), 1,
      sym_table_partition_clause,
    STATE(7364), 1,
      sym_table_cluster_clause,
    STATE(7845), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12553), 1,
      sym__keyword_as,
    ACTIONS(4011), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [62085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [62140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [62195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [62250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [62305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [62360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [62415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1484), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1486), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [62470] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4007), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4009), 1,
      aux_sym__keyword_as_token1,
    STATE(7026), 1,
      sym_table_partition_clause,
    STATE(7384), 1,
      sym_table_cluster_clause,
    STATE(7879), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12342), 1,
      sym__keyword_as,
    ACTIONS(4005), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [62543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [62598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [62653] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3776), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3778), 1,
      aux_sym_qualify_clause_token1,
    STATE(6066), 1,
      sym_qualify_clause,
    STATE(6502), 1,
      sym_window_clause,
    STATE(6637), 1,
      sym_having_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3594), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [62720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [62775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [62830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [62885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1594), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1596), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [62940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [62995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [63050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [63105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [63160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [63215] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4330), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4332), 1,
      aux_sym__keyword_as_token1,
    STATE(7099), 1,
      sym_table_partition_clause,
    STATE(7350), 1,
      sym_table_cluster_clause,
    STATE(7830), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12552), 1,
      sym__keyword_as,
    ACTIONS(4328), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [63288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [63343] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4336), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4338), 1,
      aux_sym__keyword_as_token1,
    STATE(6818), 1,
      sym_table_partition_clause,
    STATE(7392), 1,
      sym_table_cluster_clause,
    STATE(7568), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12405), 1,
      sym__keyword_as,
    ACTIONS(4334), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [63416] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [63471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [63526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [63581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [63636] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [63691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [63746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [63801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1772), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1774), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [63856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [63911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1590), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1592), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [63966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [64021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1448), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [64076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1390), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1392), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [64131] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1448), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [64186] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3776), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3778), 1,
      aux_sym_qualify_clause_token1,
    STATE(5997), 1,
      sym_qualify_clause,
    STATE(6534), 1,
      sym_window_clause,
    STATE(6623), 1,
      sym_having_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3606), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [64253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1382), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1384), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [64308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1598), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1600), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [64363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1448), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [64418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [64473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [64528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1448), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [64583] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4109), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4111), 1,
      aux_sym__keyword_as_token1,
    STATE(6820), 1,
      sym_table_partition_clause,
    STATE(7373), 1,
      sym_table_cluster_clause,
    STATE(7658), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12224), 1,
      sym__keyword_as,
    ACTIONS(4107), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [64656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [64711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [64766] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [64821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1448), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [64876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1448), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [64931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1448), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [64986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1776), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1778), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [65041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [65096] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4031), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4033), 1,
      aux_sym__keyword_as_token1,
    STATE(6751), 1,
      sym_table_partition_clause,
    STATE(7383), 1,
      sym_table_cluster_clause,
    STATE(7572), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12788), 1,
      sym__keyword_as,
    ACTIONS(4029), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [65169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1776), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1778), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [65224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1776), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1778), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [65279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [65334] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4342), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4344), 1,
      aux_sym__keyword_as_token1,
    STATE(6905), 1,
      sym_table_partition_clause,
    STATE(7420), 1,
      sym_table_cluster_clause,
    STATE(7591), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12406), 1,
      sym__keyword_as,
    ACTIONS(4340), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [65407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1776), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1778), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [65462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1780), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1782), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [65517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [65572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1780), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1782), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [65627] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4348), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4350), 1,
      aux_sym__keyword_as_token1,
    STATE(6759), 1,
      sym_table_partition_clause,
    STATE(7333), 1,
      sym_table_cluster_clause,
    STATE(7593), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12170), 1,
      sym__keyword_as,
    ACTIONS(4346), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [65700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [65755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1768), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1770), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [65810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [65865] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4053), 1,
      aux_sym_default_clause_token1,
    ACTIONS(4059), 1,
      aux_sym_foreign_key_references_token1,
    ACTIONS(4354), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(4356), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4358), 1,
      aux_sym_primary_key_token1,
    STATE(6755), 1,
      sym_foreign_key_references,
    STATE(7259), 1,
      sym_default_clause,
    STATE(7371), 1,
      sym_option_clause,
    ACTIONS(4352), 38,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [65936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [65991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [66046] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [66101] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [66156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [66211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [66266] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4362), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4364), 1,
      aux_sym__keyword_as_token1,
    STATE(6783), 1,
      sym_table_partition_clause,
    STATE(7348), 1,
      sym_table_cluster_clause,
    STATE(7605), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12171), 1,
      sym__keyword_as,
    ACTIONS(4360), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [66339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1850), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1852), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [66394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [66449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [66504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [66559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [66614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1386), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1388), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [66669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1360), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [66724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1360), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [66779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1360), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [66834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [66889] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4368), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4370), 1,
      aux_sym__keyword_as_token1,
    STATE(6799), 1,
      sym_table_partition_clause,
    STATE(7362), 1,
      sym_table_cluster_clause,
    STATE(7642), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12206), 1,
      sym__keyword_as,
    ACTIONS(4366), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [66962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1360), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [67017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1360), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [67072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1842), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1844), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [67127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [67182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1500), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1502), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [67237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1504), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1506), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [67292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [67347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [67402] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4372), 1,
      anon_sym_LPAREN,
    ACTIONS(1622), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1624), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [67459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [67514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [67569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1496), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1498), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [67624] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [67679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [67734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [67789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [67844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [67899] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2700), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(2754), 1,
      anon_sym_COMMA,
    STATE(6592), 1,
      aux_sym_order_by_clause_body_repeat1,
    STATE(6597), 1,
      sym__nulls_preference,
    ACTIONS(4269), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4267), 41,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [67962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [68017] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4376), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4378), 1,
      aux_sym__keyword_as_token1,
    STATE(6808), 1,
      sym_table_partition_clause,
    STATE(7370), 1,
      sym_table_cluster_clause,
    STATE(7647), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12220), 1,
      sym__keyword_as,
    ACTIONS(4374), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [68090] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [68145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1394), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1396), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [68200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1083), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1081), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [68255] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4382), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4384), 1,
      aux_sym__keyword_as_token1,
    STATE(7087), 1,
      sym_table_partition_clause,
    STATE(7349), 1,
      sym_table_cluster_clause,
    STATE(7528), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12645), 1,
      sym__keyword_as,
    ACTIONS(4380), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [68328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1374), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1376), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [68383] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [68438] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3776), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3778), 1,
      aux_sym_qualify_clause_token1,
    STATE(6124), 1,
      sym_qualify_clause,
    STATE(6359), 1,
      sym_window_clause,
    STATE(6598), 1,
      sym_having_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3822), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [68505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1398), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1400), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [68560] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4388), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4390), 1,
      aux_sym__keyword_as_token1,
    STATE(7051), 1,
      sym_table_partition_clause,
    STATE(7347), 1,
      sym_table_cluster_clause,
    STATE(7816), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12656), 1,
      sym__keyword_as,
    ACTIONS(4386), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [68633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1406), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1408), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [68688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1412), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [68743] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1414), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1416), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [68798] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3776), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3778), 1,
      aux_sym_qualify_clause_token1,
    STATE(5973), 1,
      sym_qualify_clause,
    STATE(6526), 1,
      sym_window_clause,
    STATE(6696), 1,
      sym_having_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3602), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [68865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [68920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1418), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1420), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [68975] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4394), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4396), 1,
      aux_sym__keyword_as_token1,
    STATE(7002), 1,
      sym_table_partition_clause,
    STATE(7332), 1,
      sym_table_cluster_clause,
    STATE(7802), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12698), 1,
      sym__keyword_as,
    ACTIONS(4392), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [69048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1418), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1420), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [69103] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(15105), 1,
      sym__keyword_as,
    ACTIONS(1474), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1476), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [69160] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4400), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4402), 1,
      aux_sym__keyword_as_token1,
    STATE(6976), 1,
      sym_table_partition_clause,
    STATE(7329), 1,
      sym_table_cluster_clause,
    STATE(7801), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12823), 1,
      sym__keyword_as,
    ACTIONS(4398), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [69233] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4121), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4123), 1,
      aux_sym__keyword_as_token1,
    STATE(6877), 1,
      sym_table_partition_clause,
    STATE(7405), 1,
      sym_table_cluster_clause,
    STATE(7586), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12372), 1,
      sym__keyword_as,
    ACTIONS(4119), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [69306] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4115), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4117), 1,
      aux_sym__keyword_as_token1,
    STATE(6943), 1,
      sym_table_partition_clause,
    STATE(7324), 1,
      sym_table_cluster_clause,
    STATE(7793), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12802), 1,
      sym__keyword_as,
    ACTIONS(4113), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [69379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1422), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1424), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [69434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1430), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1432), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [69489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1434), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1436), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [69544] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3776), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3778), 1,
      aux_sym_qualify_clause_token1,
    STATE(6127), 1,
      sym_qualify_clause,
    STATE(6466), 1,
      sym_window_clause,
    STATE(6664), 1,
      sym_having_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3598), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [69611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1438), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1440), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [69666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1838), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1840), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [69721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1684), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1686), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [69776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1834), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1836), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [69831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1456), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [69886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1466), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1468), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [69941] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4406), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4408), 1,
      aux_sym__keyword_as_token1,
    STATE(6904), 1,
      sym_table_partition_clause,
    STATE(7317), 1,
      sym_table_cluster_clause,
    STATE(7786), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12859), 1,
      sym__keyword_as,
    ACTIONS(4404), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [70014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1470), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1472), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [70069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1854), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1856), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [70124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1846), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1848), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [70179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1586), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1588), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [70234] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4410), 1,
      aux_sym_alter_table_rename_statement_token2,
    ACTIONS(1524), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1526), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [70291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1492), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1494), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [70346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1788), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1790), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [70401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1830), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1832), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [70456] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4416), 1,
      aux_sym_limit_clause_token2,
    ACTIONS(4414), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4412), 44,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [70513] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4420), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4422), 1,
      aux_sym__keyword_as_token1,
    STATE(6886), 1,
      sym_table_partition_clause,
    STATE(7312), 1,
      sym_table_cluster_clause,
    STATE(7766), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12860), 1,
      sym__keyword_as,
    ACTIONS(4418), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [70586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1822), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1824), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [70641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1784), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1786), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [70696] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4426), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4428), 1,
      aux_sym__keyword_as_token1,
    STATE(6839), 1,
      sym_table_partition_clause,
    STATE(7379), 1,
      sym_table_cluster_clause,
    STATE(7665), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12229), 1,
      sym__keyword_as,
    ACTIONS(4424), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [70769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1518), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1516), 40,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_partition_by_token1,
      aux_sym__keyword_for_token1,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [70824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [70879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4432), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4430), 46,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_default_clause_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_primary_key_token1,
      aux_sym_foreign_key_references_token1,
      aux_sym_option_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [70934] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4436), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4441), 1,
      aux_sym_set_operation_token4,
    ACTIONS(4444), 1,
      aux_sym_limit_clause_token1,
    STATE(6467), 1,
      sym_limit_clause,
    ACTIONS(4438), 2,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
    ACTIONS(4434), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [70997] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1826), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1828), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [71052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1508), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1510), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [71107] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2700), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(4447), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4449), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4453), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4455), 1,
      anon_sym_COMMA,
    ACTIONS(4459), 1,
      anon_sym_LBRACK,
    ACTIONS(4461), 1,
      anon_sym_DOT2,
    ACTIONS(4463), 1,
      anon_sym_PLUS,
    ACTIONS(4465), 1,
      anon_sym_DASH,
    ACTIONS(4469), 1,
      anon_sym_SLASH,
    ACTIONS(4473), 1,
      anon_sym_AMP,
    ACTIONS(4475), 1,
      anon_sym_CARET,
    ACTIONS(4477), 1,
      anon_sym_PIPE,
    STATE(1134), 1,
      sym__keyword_between,
    STATE(1513), 1,
      sym__keyword_or,
    STATE(1514), 1,
      sym__keyword_and,
    STATE(1562), 1,
      sym__keyword_in,
    STATE(12102), 1,
      sym__keyword_is,
    STATE(12109), 1,
      sym__direction_keywords,
    STATE(12967), 1,
      sym__nulls_preference,
    STATE(12969), 1,
      aux_sym_order_by_clause_body_repeat1,
    STATE(13046), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16287), 1,
      sym_like_operator,
    STATE(16288), 1,
      sym_quantitve_like_operator,
    ACTIONS(2698), 2,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
    ACTIONS(4467), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4471), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4451), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2682), 5,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
    ACTIONS(4457), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [71226] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4483), 1,
      aux_sym_limit_clause_token1,
    STATE(6587), 1,
      sym_limit_clause,
    ACTIONS(4481), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4479), 43,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [71285] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4488), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4493), 1,
      aux_sym_set_operation_token4,
    ACTIONS(4496), 1,
      aux_sym_limit_clause_token1,
    STATE(6581), 1,
      sym_limit_clause,
    ACTIONS(4490), 2,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
    ACTIONS(4486), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [71348] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4503), 1,
      aux_sym_limit_clause_token1,
    STATE(6493), 1,
      sym_limit_clause,
    ACTIONS(4501), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4499), 43,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [71407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1510), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1508), 40,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_partition_by_token1,
      aux_sym__keyword_for_token1,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [71462] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4508), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4510), 1,
      aux_sym__keyword_as_token1,
    STATE(6728), 1,
      sym_table_partition_clause,
    STATE(7281), 1,
      sym_table_cluster_clause,
    STATE(7706), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12749), 1,
      sym__keyword_as,
    ACTIONS(4506), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [71535] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4135), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4137), 1,
      aux_sym__keyword_as_token1,
    STATE(6917), 1,
      sym_table_partition_clause,
    STATE(7410), 1,
      sym_table_cluster_clause,
    STATE(7943), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12329), 1,
      sym__keyword_as,
    ACTIONS(4133), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [71608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [71663] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4514), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4516), 1,
      aux_sym__keyword_as_token1,
    STATE(6705), 1,
      sym_table_partition_clause,
    STATE(7278), 1,
      sym_table_cluster_clause,
    STATE(7694), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12748), 1,
      sym__keyword_as,
    ACTIONS(4512), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [71736] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4145), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4147), 1,
      aux_sym__keyword_as_token1,
    STATE(6860), 1,
      sym_table_partition_clause,
    STATE(7303), 1,
      sym_table_cluster_clause,
    STATE(7755), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12493), 1,
      sym__keyword_as,
    ACTIONS(4143), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [71809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [71864] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3776), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3778), 1,
      aux_sym_qualify_clause_token1,
    STATE(5999), 1,
      sym_qualify_clause,
    STATE(6540), 1,
      sym_window_clause,
    STATE(6621), 1,
      sym_having_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3754), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [71931] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4520), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4522), 1,
      aux_sym__keyword_as_token1,
    STATE(6874), 1,
      sym_table_partition_clause,
    STATE(7391), 1,
      sym_table_cluster_clause,
    STATE(7700), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12232), 1,
      sym__keyword_as,
    ACTIONS(4518), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [72004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1484), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1486), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [72058] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [72112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [72166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3923), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3921), 44,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [72220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [72274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1752), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1754), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [72328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [72382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [72436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [72490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [72544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [72598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [72652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1688), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1690), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [72706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [72760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [72814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1776), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1778), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [72868] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1776), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1778), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [72922] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1776), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1778), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [72976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1780), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1782), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [73030] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1780), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1782), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [73084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [73138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4526), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4524), 44,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [73192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1692), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1694), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [73246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [73300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(917), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(921), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [73354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [73408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [73462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [73516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1636), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1638), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [73570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [73624] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [73678] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [73732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1696), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1698), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [73786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1386), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1388), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [73840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [73894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1700), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1702), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [73948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1704), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1706), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [74002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [74056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1858), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1860), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [74110] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1708), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1710), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [74164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1360), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [74218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1712), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1714), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [74272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1360), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [74326] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [74380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1360), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [74434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [74488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [74542] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [74596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1492), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1494), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [74650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1716), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1718), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [74704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1720), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1722), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [74758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1724), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1726), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [74812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1360), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [74866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1586), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1588), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [74920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [74974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1582), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1584), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [75028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1496), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1498), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [75082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1728), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1730), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [75136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [75190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [75244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [75298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1500), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1502), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [75352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1732), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1734), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [75406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1504), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1506), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [75460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1768), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1770), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [75514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1578), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1580), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [75568] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4481), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4483), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(4531), 1,
      aux_sym_set_operation_token4,
    ACTIONS(4534), 1,
      aux_sym_order_by_clause_token1,
    STATE(6340), 1,
      sym_order_by_clause,
    STATE(6574), 1,
      sym_limit_clause,
    ACTIONS(4528), 2,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
    ACTIONS(4479), 38,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [75634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1736), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1738), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [75688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [75742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [75796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [75850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1740), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1742), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [75904] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [75958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4211), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4209), 44,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [76012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [76066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1680), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1682), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [76120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1854), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1856), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [76174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [76228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1776), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1778), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [76282] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1516), 20,
      sym__string_start,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1518), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [76336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [76390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [76444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [76498] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [76552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4539), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(4537), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_struct_token1,
      aux_sym__keyword_array_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_alter_table_rename_statement_token2,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
      sym__unquoted_identifier,
  [76606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [76660] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [76714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1466), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1468), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [76768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [76822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1374), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1376), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [76876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1684), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1686), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [76930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1456), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [76984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1594), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1596), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [77038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1676), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1678), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [77092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1672), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1674), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [77146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [77200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1834), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1836), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [77254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [77308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1744), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1746), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [77362] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2694), 1,
      anon_sym_COMMA,
    STATE(6460), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4543), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4541), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [77420] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2694), 1,
      anon_sym_COMMA,
    STATE(6461), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4547), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4545), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [77478] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2694), 1,
      anon_sym_COMMA,
    STATE(6462), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4551), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4549), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [77536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [77590] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2694), 1,
      anon_sym_COMMA,
    STATE(6461), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4555), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4553), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [77648] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2694), 1,
      anon_sym_COMMA,
    STATE(6461), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4559), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4557), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [77706] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4565), 1,
      anon_sym_COMMA,
    STATE(6461), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4563), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4561), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [77764] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2694), 1,
      anon_sym_COMMA,
    STATE(6461), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4570), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4568), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [77822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4481), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4479), 44,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [77876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [77930] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2700), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(4447), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4449), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4453), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4459), 1,
      anon_sym_LBRACK,
    ACTIONS(4461), 1,
      anon_sym_DOT2,
    ACTIONS(4463), 1,
      anon_sym_PLUS,
    ACTIONS(4465), 1,
      anon_sym_DASH,
    ACTIONS(4469), 1,
      anon_sym_SLASH,
    ACTIONS(4473), 1,
      anon_sym_AMP,
    ACTIONS(4475), 1,
      anon_sym_CARET,
    ACTIONS(4477), 1,
      anon_sym_PIPE,
    STATE(1134), 1,
      sym__keyword_between,
    STATE(1513), 1,
      sym__keyword_or,
    STATE(1514), 1,
      sym__keyword_and,
    STATE(1562), 1,
      sym__keyword_in,
    STATE(5515), 1,
      sym__direction_keywords,
    STATE(5934), 1,
      sym__nulls_preference,
    STATE(12102), 1,
      sym__keyword_is,
    STATE(13046), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16287), 1,
      sym_like_operator,
    STATE(16288), 1,
      sym_quantitve_like_operator,
    ACTIONS(2698), 2,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
    ACTIONS(4467), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4471), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4451), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4457), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2786), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
  [78044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3596), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3594), 44,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [78098] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4574), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4579), 1,
      aux_sym_set_operation_token4,
    ACTIONS(4576), 2,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
    ACTIONS(4572), 42,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [78156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [78210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [78264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [78318] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2552), 1,
      sym__unquoted_identifier,
    ACTIONS(2592), 1,
      sym__quoted_identifier,
    ACTIONS(3993), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(4582), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(10536), 1,
      sym__identifier,
    STATE(10773), 1,
      sym_identifier,
    STATE(10784), 1,
      sym__type_chrono,
    STATE(10920), 1,
      sym_unnest_withoffset,
    STATE(11179), 1,
      sym_as_alias,
    STATE(11600), 1,
      sym__keyword_as,
    STATE(14157), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3995), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(10794), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(205), 12,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(211), 14,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [78398] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4496), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(4584), 1,
      aux_sym_order_by_clause_token1,
    STATE(6344), 1,
      sym_order_by_clause,
    STATE(6463), 1,
      sym_limit_clause,
    ACTIONS(4488), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4486), 40,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [78460] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3788), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(4587), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(9795), 1,
      sym_identifier,
    STATE(9796), 1,
      sym__type_chrono,
    STATE(10480), 1,
      sym_unnest_withoffset,
    STATE(11169), 1,
      sym_as_alias,
    STATE(11637), 1,
      sym__keyword_as,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3790), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(9747), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(205), 12,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(211), 14,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [78540] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2700), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(4589), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4591), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4595), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4597), 1,
      anon_sym_COMMA,
    ACTIONS(4601), 1,
      anon_sym_LBRACK,
    ACTIONS(4603), 1,
      anon_sym_DOT2,
    ACTIONS(4605), 1,
      anon_sym_PLUS,
    ACTIONS(4607), 1,
      anon_sym_DASH,
    ACTIONS(4611), 1,
      anon_sym_SLASH,
    ACTIONS(4615), 1,
      anon_sym_AMP,
    ACTIONS(4617), 1,
      anon_sym_CARET,
    ACTIONS(4619), 1,
      anon_sym_PIPE,
    STATE(1095), 1,
      sym__keyword_between,
    STATE(1391), 1,
      sym__keyword_in,
    STATE(1400), 1,
      sym__keyword_and,
    STATE(1401), 1,
      sym__keyword_or,
    STATE(12071), 1,
      sym__keyword_is,
    STATE(12803), 1,
      sym__direction_keywords,
    STATE(13062), 1,
      sym__keyword_not,
    STATE(13134), 1,
      sym__nulls_preference,
    STATE(13153), 1,
      aux_sym_order_by_clause_body_repeat1,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16220), 1,
      sym_like_operator,
    STATE(16237), 1,
      sym_quantitve_like_operator,
    ACTIONS(2698), 2,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
    ACTIONS(4599), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4609), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4613), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2682), 4,
      aux_sym__keyword_range_token1,
      anon_sym_RPAREN,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
    ACTIONS(4593), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [78658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [78712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [78766] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [78820] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    STATE(6587), 1,
      sym_limit_clause,
    ACTIONS(4481), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4479), 42,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [78878] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4501), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4503), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(4626), 1,
      aux_sym_set_operation_token4,
    ACTIONS(4629), 1,
      aux_sym_order_by_clause_token1,
    STATE(6345), 1,
      sym_order_by_clause,
    STATE(6491), 1,
      sym_limit_clause,
    ACTIONS(4623), 2,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
    ACTIONS(4499), 38,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [78944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [78998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1772), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1774), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [79052] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(4636), 1,
      aux_sym_order_by_clause_token1,
    STATE(6488), 1,
      sym_limit_clause,
    STATE(6489), 1,
      sym_order_by_clause,
    ACTIONS(4634), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4632), 40,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [79114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1448), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [79168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1838), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1840), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [79222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1826), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1828), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [79276] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4488), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4493), 1,
      aux_sym_set_operation_token4,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    STATE(6581), 1,
      sym_limit_clause,
    ACTIONS(4490), 2,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
    ACTIONS(4486), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [79338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1418), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1420), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [79392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4501), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4499), 44,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [79446] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    STATE(6493), 1,
      sym_limit_clause,
    ACTIONS(4501), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4499), 42,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [79504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4069), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4067), 44,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [79558] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4488), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4493), 1,
      aux_sym_set_operation_token4,
    ACTIONS(4490), 2,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
    ACTIONS(4486), 42,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [79616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1668), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1670), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [79670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4488), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4486), 44,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [79724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [79778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [79832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1606), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1608), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [79886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1448), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [79940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [79994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [80048] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4501), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(4626), 1,
      aux_sym_set_operation_token4,
    ACTIONS(4636), 1,
      aux_sym_order_by_clause_token1,
    STATE(6486), 1,
      sym_order_by_clause,
    STATE(6491), 1,
      sym_limit_clause,
    ACTIONS(4623), 2,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
    ACTIONS(4499), 38,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [80114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [80168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3608), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3606), 44,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [80222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1448), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [80276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1470), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1472), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [80330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [80384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1664), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1666), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [80438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1764), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1766), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [80492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1590), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1592), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [80546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1598), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1600), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [80600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1382), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1384), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [80654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1610), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1612), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [80708] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1660), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1662), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [80762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [80816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3600), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3598), 44,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [80870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4640), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4638), 44,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [80924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [80978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1448), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [81032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1390), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1392), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [81086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1822), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1824), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [81140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [81194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [81248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1658), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [81302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [81356] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(4636), 1,
      aux_sym_order_by_clause_token1,
    STATE(6463), 1,
      sym_limit_clause,
    STATE(6478), 1,
      sym_order_by_clause,
    ACTIONS(4488), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4486), 40,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [81418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1652), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1654), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [81472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3756), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3754), 44,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [81526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [81580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1540), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1542), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [81634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [81688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [81742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [81796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [81850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1604), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [81904] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3604), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3602), 44,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [81958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [82012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1648), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1650), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [82066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1644), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1646), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [82120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1748), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1750), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [82174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1360), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [82228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3824), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3822), 44,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [82282] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [82336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1756), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1758), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [82390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [82444] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4481), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4531), 1,
      aux_sym_set_operation_token4,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(4636), 1,
      aux_sym_order_by_clause_token1,
    STATE(6573), 1,
      sym_order_by_clause,
    STATE(6574), 1,
      sym_limit_clause,
    ACTIONS(4528), 2,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
    ACTIONS(4479), 38,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [82510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [82564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [82618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1614), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1616), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [82672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1784), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1786), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [82726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [82780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1618), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1620), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [82834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [82888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [82942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [82996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1842), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1844), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [83050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1640), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1642), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [83104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1438), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1440), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [83158] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1434), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1436), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [83212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1430), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1432), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [83266] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1760), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1762), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [83320] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4644), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4642), 44,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [83374] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1850), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1852), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [83428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4648), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4646), 44,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [83482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [83536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1422), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1424), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [83590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [83644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1632), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1634), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [83698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [83752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [83806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [83860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1394), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1396), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [83914] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [83968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1418), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1420), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [84022] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4436), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4441), 1,
      aux_sym_set_operation_token4,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    STATE(6467), 1,
      sym_limit_clause,
    ACTIONS(4438), 2,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
    ACTIONS(4434), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [84084] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4436), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4441), 1,
      aux_sym_set_operation_token4,
    ACTIONS(4438), 2,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
    ACTIONS(4434), 42,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [84142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1846), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1848), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [84196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [84250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1448), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [84304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [84358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1398), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1400), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [84412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [84466] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4481), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4531), 1,
      aux_sym_set_operation_token4,
    ACTIONS(4528), 2,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
    ACTIONS(4479), 42,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [84524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1626), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1628), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [84578] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1622), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1624), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [84632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1406), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1408), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [84686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1448), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [84740] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4650), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(4653), 1,
      aux_sym_order_by_clause_token1,
    STATE(6346), 1,
      sym_order_by_clause,
    STATE(6488), 1,
      sym_limit_clause,
    ACTIONS(4634), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4632), 40,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [84802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4436), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4434), 44,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [84856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1412), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [84910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1414), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1416), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [84964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1448), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [85018] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1162), 1,
      sym__keyword_between,
    STATE(1780), 1,
      sym__keyword_or,
    STATE(1781), 1,
      sym__keyword_and,
    STATE(1815), 1,
      sym__keyword_in,
    STATE(12037), 1,
      sym__keyword_is,
    STATE(13087), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16188), 1,
      sym_like_operator,
    STATE(16189), 1,
      sym_quantitve_like_operator,
    ACTIONS(921), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(917), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [85089] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2754), 1,
      anon_sym_COMMA,
    STATE(6594), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4555), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4553), 41,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [85146] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2754), 1,
      anon_sym_COMMA,
    STATE(6594), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4559), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4557), 41,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [85203] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4656), 1,
      anon_sym_COMMA,
    STATE(6594), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4563), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4561), 41,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [85260] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1700), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1702), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_window_numeric_preceding_token1,
      aux_sym_window_numeric_following_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [85313] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1238), 1,
      sym__keyword_between,
    STATE(1410), 1,
      sym__keyword_in,
    STATE(1417), 1,
      sym__keyword_and,
    STATE(1418), 1,
      sym__keyword_or,
    STATE(12075), 1,
      sym__keyword_is,
    STATE(13024), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16181), 1,
      sym_like_operator,
    STATE(16182), 1,
      sym_quantitve_like_operator,
    ACTIONS(1021), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1019), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [85384] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2754), 1,
      anon_sym_COMMA,
    STATE(6607), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4551), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4549), 41,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [85441] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3778), 1,
      aux_sym_qualify_clause_token1,
    STATE(6105), 1,
      sym_qualify_clause,
    STATE(6490), 1,
      sym_window_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3921), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [85502] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(4659), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4661), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4665), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4669), 1,
      anon_sym_PLUS,
    ACTIONS(4671), 1,
      anon_sym_DASH,
    ACTIONS(4675), 1,
      anon_sym_SLASH,
    ACTIONS(4679), 1,
      anon_sym_AMP,
    ACTIONS(4681), 1,
      anon_sym_CARET,
    ACTIONS(4683), 1,
      anon_sym_PIPE,
    STATE(1238), 1,
      sym__keyword_between,
    STATE(1410), 1,
      sym__keyword_in,
    STATE(1417), 1,
      sym__keyword_and,
    STATE(1418), 1,
      sym__keyword_or,
    STATE(12075), 1,
      sym__keyword_is,
    STATE(13024), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16181), 1,
      sym_like_operator,
    STATE(16182), 1,
      sym_quantitve_like_operator,
    ACTIONS(4673), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4677), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4663), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4667), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1027), 13,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
  [85601] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(1041), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1039), 24,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [85688] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4181), 1,
      anon_sym_PLUS,
    ACTIONS(4183), 1,
      anon_sym_DASH,
    ACTIONS(4187), 1,
      anon_sym_SLASH,
    STATE(1162), 1,
      sym__keyword_between,
    STATE(1780), 1,
      sym__keyword_or,
    STATE(1781), 1,
      sym__keyword_and,
    STATE(1815), 1,
      sym__keyword_in,
    STATE(12037), 1,
      sym__keyword_is,
    STATE(13087), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16188), 1,
      sym_like_operator,
    STATE(16189), 1,
      sym_quantitve_like_operator,
    ACTIONS(4185), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(921), 5,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(917), 24,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
  [85769] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2754), 1,
      anon_sym_COMMA,
    STATE(6593), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4543), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4541), 41,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [85826] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3624), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4701), 1,
      aux_sym__keyword_as_token1,
    STATE(7244), 1,
      sym_default_collate_clause,
    STATE(7533), 1,
      sym_table_partition_clause,
    STATE(8992), 1,
      sym_table_cluster_clause,
    STATE(9865), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12863), 1,
      sym__keyword_as,
    ACTIONS(4029), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [85899] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2754), 1,
      anon_sym_COMMA,
    STATE(6594), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4547), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4545), 41,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [85956] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1238), 1,
      sym__keyword_between,
    STATE(1410), 1,
      sym__keyword_in,
    STATE(1417), 1,
      sym__keyword_and,
    STATE(1418), 1,
      sym__keyword_or,
    STATE(12075), 1,
      sym__keyword_is,
    STATE(13024), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16181), 1,
      sym_like_operator,
    STATE(16182), 1,
      sym_quantitve_like_operator,
    ACTIONS(921), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(917), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [86027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(6692), 1,
      aux_sym__grouping_list_repeat1,
    ACTIONS(4035), 44,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [86080] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2754), 1,
      anon_sym_COMMA,
    STATE(6594), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4570), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4568), 41,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [86137] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3624), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4703), 1,
      aux_sym__keyword_as_token1,
    STATE(7160), 1,
      sym_default_collate_clause,
    STATE(7951), 1,
      sym_table_partition_clause,
    STATE(8664), 1,
      sym_table_cluster_clause,
    STATE(9826), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12591), 1,
      sym__keyword_as,
    ACTIONS(4011), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [86210] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 1,
      anon_sym_COMMA,
    STATE(6693), 1,
      aux_sym_group_by_clause_repeat1,
    ACTIONS(4093), 43,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [86265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4709), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4707), 44,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_default_clause_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [86318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4713), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4711), 44,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_default_clause_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [86371] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3624), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4715), 1,
      aux_sym__keyword_as_token1,
    STATE(7170), 1,
      sym_default_collate_clause,
    STATE(8000), 1,
      sym_table_partition_clause,
    STATE(8619), 1,
      sym_table_cluster_clause,
    STATE(9807), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12567), 1,
      sym__keyword_as,
    ACTIONS(4143), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [86444] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4669), 1,
      anon_sym_PLUS,
    ACTIONS(4671), 1,
      anon_sym_DASH,
    ACTIONS(4675), 1,
      anon_sym_SLASH,
    ACTIONS(4679), 1,
      anon_sym_AMP,
    ACTIONS(4681), 1,
      anon_sym_CARET,
    ACTIONS(4683), 1,
      anon_sym_PIPE,
    STATE(1238), 1,
      sym__keyword_between,
    STATE(1410), 1,
      sym__keyword_in,
    STATE(1417), 1,
      sym__keyword_and,
    STATE(1418), 1,
      sym__keyword_or,
    STATE(12075), 1,
      sym__keyword_is,
    STATE(13024), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16181), 1,
      sym_like_operator,
    STATE(16182), 1,
      sym_quantitve_like_operator,
    ACTIONS(4673), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4677), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1025), 4,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1023), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [86531] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4669), 1,
      anon_sym_PLUS,
    ACTIONS(4671), 1,
      anon_sym_DASH,
    ACTIONS(4675), 1,
      anon_sym_SLASH,
    ACTIONS(4679), 1,
      anon_sym_AMP,
    ACTIONS(4681), 1,
      anon_sym_CARET,
    ACTIONS(4683), 1,
      anon_sym_PIPE,
    STATE(1238), 1,
      sym__keyword_between,
    STATE(1410), 1,
      sym__keyword_in,
    STATE(1417), 1,
      sym__keyword_and,
    STATE(1418), 1,
      sym__keyword_or,
    STATE(12075), 1,
      sym__keyword_is,
    STATE(13024), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16181), 1,
      sym_like_operator,
    STATE(16182), 1,
      sym_quantitve_like_operator,
    ACTIONS(4673), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4677), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(949), 4,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(947), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [86618] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4669), 1,
      anon_sym_PLUS,
    ACTIONS(4671), 1,
      anon_sym_DASH,
    ACTIONS(4675), 1,
      anon_sym_SLASH,
    ACTIONS(4679), 1,
      anon_sym_AMP,
    ACTIONS(4681), 1,
      anon_sym_CARET,
    ACTIONS(4683), 1,
      anon_sym_PIPE,
    STATE(1238), 1,
      sym__keyword_between,
    STATE(1410), 1,
      sym__keyword_in,
    STATE(1417), 1,
      sym__keyword_and,
    STATE(1418), 1,
      sym__keyword_or,
    STATE(12075), 1,
      sym__keyword_is,
    STATE(13024), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16181), 1,
      sym_like_operator,
    STATE(16182), 1,
      sym_quantitve_like_operator,
    ACTIONS(4673), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4677), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1033), 4,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1031), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [86705] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4669), 1,
      anon_sym_PLUS,
    ACTIONS(4671), 1,
      anon_sym_DASH,
    ACTIONS(4675), 1,
      anon_sym_SLASH,
    ACTIONS(4679), 1,
      anon_sym_AMP,
    ACTIONS(4681), 1,
      anon_sym_CARET,
    ACTIONS(4683), 1,
      anon_sym_PIPE,
    STATE(1238), 1,
      sym__keyword_between,
    STATE(1410), 1,
      sym__keyword_in,
    STATE(1417), 1,
      sym__keyword_and,
    STATE(1418), 1,
      sym__keyword_or,
    STATE(12075), 1,
      sym__keyword_is,
    STATE(13024), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16181), 1,
      sym_like_operator,
    STATE(16182), 1,
      sym_quantitve_like_operator,
    ACTIONS(4673), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4677), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1037), 4,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1035), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [86792] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4669), 1,
      anon_sym_PLUS,
    ACTIONS(4671), 1,
      anon_sym_DASH,
    ACTIONS(4675), 1,
      anon_sym_SLASH,
    ACTIONS(4679), 1,
      anon_sym_AMP,
    ACTIONS(4681), 1,
      anon_sym_CARET,
    ACTIONS(4683), 1,
      anon_sym_PIPE,
    STATE(1238), 1,
      sym__keyword_between,
    STATE(1410), 1,
      sym__keyword_in,
    STATE(1417), 1,
      sym__keyword_and,
    STATE(1418), 1,
      sym__keyword_or,
    STATE(12075), 1,
      sym__keyword_is,
    STATE(13024), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16181), 1,
      sym_like_operator,
    STATE(16182), 1,
      sym_quantitve_like_operator,
    ACTIONS(4673), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4677), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1041), 4,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1039), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [86879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4719), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(4717), 43,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_partition_by_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_default_clause_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [86932] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(921), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(4659), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4661), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4665), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4669), 1,
      anon_sym_PLUS,
    ACTIONS(4671), 1,
      anon_sym_DASH,
    ACTIONS(4675), 1,
      anon_sym_SLASH,
    ACTIONS(4679), 1,
      anon_sym_AMP,
    ACTIONS(4681), 1,
      anon_sym_CARET,
    ACTIONS(4683), 1,
      anon_sym_PIPE,
    STATE(1238), 1,
      sym__keyword_between,
    STATE(1410), 1,
      sym__keyword_in,
    STATE(1417), 1,
      sym__keyword_and,
    STATE(1418), 1,
      sym__keyword_or,
    STATE(12075), 1,
      sym__keyword_is,
    STATE(13024), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16181), 1,
      sym_like_operator,
    STATE(16182), 1,
      sym_quantitve_like_operator,
    ACTIONS(4673), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4677), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4663), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4667), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(917), 13,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
  [87031] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(921), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(4659), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4661), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4669), 1,
      anon_sym_PLUS,
    ACTIONS(4671), 1,
      anon_sym_DASH,
    ACTIONS(4675), 1,
      anon_sym_SLASH,
    ACTIONS(4679), 1,
      anon_sym_AMP,
    ACTIONS(4681), 1,
      anon_sym_CARET,
    ACTIONS(4683), 1,
      anon_sym_PIPE,
    STATE(1238), 1,
      sym__keyword_between,
    STATE(1410), 1,
      sym__keyword_in,
    STATE(1417), 1,
      sym__keyword_and,
    STATE(1418), 1,
      sym__keyword_or,
    STATE(12075), 1,
      sym__keyword_is,
    STATE(13024), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16181), 1,
      sym_like_operator,
    STATE(16182), 1,
      sym_quantitve_like_operator,
    ACTIONS(4673), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4677), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4663), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4667), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(917), 14,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
  [87128] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3778), 1,
      aux_sym_qualify_clause_token1,
    STATE(6124), 1,
      sym_qualify_clause,
    STATE(6359), 1,
      sym_window_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3822), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [87189] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4669), 1,
      anon_sym_PLUS,
    ACTIONS(4671), 1,
      anon_sym_DASH,
    ACTIONS(4675), 1,
      anon_sym_SLASH,
    ACTIONS(4679), 1,
      anon_sym_AMP,
    ACTIONS(4681), 1,
      anon_sym_CARET,
    STATE(1238), 1,
      sym__keyword_between,
    STATE(1410), 1,
      sym__keyword_in,
    STATE(1417), 1,
      sym__keyword_and,
    STATE(1418), 1,
      sym__keyword_or,
    STATE(12075), 1,
      sym__keyword_is,
    STATE(13024), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16181), 1,
      sym_like_operator,
    STATE(16182), 1,
      sym_quantitve_like_operator,
    ACTIONS(4673), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4677), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(921), 5,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(917), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [87274] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3778), 1,
      aux_sym_qualify_clause_token1,
    STATE(5973), 1,
      sym_qualify_clause,
    STATE(6526), 1,
      sym_window_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3602), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [87335] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3624), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4721), 1,
      aux_sym__keyword_as_token1,
    STATE(7224), 1,
      sym_default_collate_clause,
    STATE(7737), 1,
      sym_table_partition_clause,
    STATE(8521), 1,
      sym_table_cluster_clause,
    STATE(9766), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12195), 1,
      sym__keyword_as,
    ACTIONS(4113), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [87408] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4669), 1,
      anon_sym_PLUS,
    ACTIONS(4671), 1,
      anon_sym_DASH,
    ACTIONS(4675), 1,
      anon_sym_SLASH,
    ACTIONS(4679), 1,
      anon_sym_AMP,
    STATE(1238), 1,
      sym__keyword_between,
    STATE(1410), 1,
      sym__keyword_in,
    STATE(1417), 1,
      sym__keyword_and,
    STATE(1418), 1,
      sym__keyword_or,
    STATE(12075), 1,
      sym__keyword_is,
    STATE(13024), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16181), 1,
      sym_like_operator,
    STATE(16182), 1,
      sym_quantitve_like_operator,
    ACTIONS(4673), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4677), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(921), 5,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(917), 23,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
  [87491] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4669), 1,
      anon_sym_PLUS,
    ACTIONS(4671), 1,
      anon_sym_DASH,
    ACTIONS(4675), 1,
      anon_sym_SLASH,
    STATE(1238), 1,
      sym__keyword_between,
    STATE(1410), 1,
      sym__keyword_in,
    STATE(1417), 1,
      sym__keyword_and,
    STATE(1418), 1,
      sym__keyword_or,
    STATE(12075), 1,
      sym__keyword_is,
    STATE(13024), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16181), 1,
      sym_like_operator,
    STATE(16182), 1,
      sym_quantitve_like_operator,
    ACTIONS(4673), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4677), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(921), 5,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(917), 24,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
  [87572] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4669), 1,
      anon_sym_PLUS,
    ACTIONS(4671), 1,
      anon_sym_DASH,
    ACTIONS(4675), 1,
      anon_sym_SLASH,
    STATE(1238), 1,
      sym__keyword_between,
    STATE(1410), 1,
      sym__keyword_in,
    STATE(1417), 1,
      sym__keyword_and,
    STATE(1418), 1,
      sym__keyword_or,
    STATE(12075), 1,
      sym__keyword_is,
    STATE(13024), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16181), 1,
      sym_like_operator,
    STATE(16182), 1,
      sym_quantitve_like_operator,
    ACTIONS(4673), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(921), 5,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(917), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [87651] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4675), 1,
      anon_sym_SLASH,
    STATE(1238), 1,
      sym__keyword_between,
    STATE(1410), 1,
      sym__keyword_in,
    STATE(1417), 1,
      sym__keyword_and,
    STATE(1418), 1,
      sym__keyword_or,
    STATE(12075), 1,
      sym__keyword_is,
    STATE(13024), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16181), 1,
      sym_like_operator,
    STATE(16182), 1,
      sym_quantitve_like_operator,
    ACTIONS(4673), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(921), 6,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PIPE,
    ACTIONS(917), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [87726] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4669), 1,
      anon_sym_PLUS,
    ACTIONS(4671), 1,
      anon_sym_DASH,
    ACTIONS(4675), 1,
      anon_sym_SLASH,
    ACTIONS(4679), 1,
      anon_sym_AMP,
    ACTIONS(4681), 1,
      anon_sym_CARET,
    ACTIONS(4683), 1,
      anon_sym_PIPE,
    STATE(1238), 1,
      sym__keyword_between,
    STATE(1410), 1,
      sym__keyword_in,
    STATE(1417), 1,
      sym__keyword_and,
    STATE(1418), 1,
      sym__keyword_or,
    STATE(12075), 1,
      sym__keyword_is,
    STATE(13024), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16181), 1,
      sym_like_operator,
    STATE(16182), 1,
      sym_quantitve_like_operator,
    ACTIONS(4673), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4677), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(921), 4,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(917), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [87813] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1162), 1,
      sym__keyword_between,
    STATE(1780), 1,
      sym__keyword_or,
    STATE(1781), 1,
      sym__keyword_and,
    STATE(1815), 1,
      sym__keyword_in,
    STATE(12037), 1,
      sym__keyword_is,
    STATE(13087), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16188), 1,
      sym_like_operator,
    STATE(16189), 1,
      sym_quantitve_like_operator,
    ACTIONS(1021), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1019), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [87884] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(4165), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4167), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4171), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4181), 1,
      anon_sym_PLUS,
    ACTIONS(4183), 1,
      anon_sym_DASH,
    ACTIONS(4187), 1,
      anon_sym_SLASH,
    ACTIONS(4191), 1,
      anon_sym_AMP,
    ACTIONS(4193), 1,
      anon_sym_CARET,
    ACTIONS(4195), 1,
      anon_sym_PIPE,
    STATE(1162), 1,
      sym__keyword_between,
    STATE(1780), 1,
      sym__keyword_or,
    STATE(1781), 1,
      sym__keyword_and,
    STATE(1815), 1,
      sym__keyword_in,
    STATE(12037), 1,
      sym__keyword_is,
    STATE(13087), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16188), 1,
      sym_like_operator,
    STATE(16189), 1,
      sym_quantitve_like_operator,
    ACTIONS(4185), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4169), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4175), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1027), 13,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
  [87983] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3778), 1,
      aux_sym_qualify_clause_token1,
    STATE(6127), 1,
      sym_qualify_clause,
    STATE(6466), 1,
      sym_window_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3598), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [88044] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(1037), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1035), 24,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [88131] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3624), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4723), 1,
      aux_sym__keyword_as_token1,
    STATE(7159), 1,
      sym_default_collate_clause,
    STATE(7945), 1,
      sym_table_partition_clause,
    STATE(8618), 1,
      sym_table_cluster_clause,
    STATE(9805), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12205), 1,
      sym__keyword_as,
    ACTIONS(4107), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [88204] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(1033), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1031), 24,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [88291] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3624), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4725), 1,
      aux_sym__keyword_as_token1,
    STATE(7122), 1,
      sym_default_collate_clause,
    STATE(7626), 1,
      sym_table_partition_clause,
    STATE(8723), 1,
      sym_table_cluster_clause,
    STATE(9838), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12270), 1,
      sym__keyword_as,
    ACTIONS(4023), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [88364] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3778), 1,
      aux_sym_qualify_clause_token1,
    STATE(5997), 1,
      sym_qualify_clause,
    STATE(6534), 1,
      sym_window_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3606), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [88425] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3624), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4727), 1,
      aux_sym__keyword_as_token1,
    STATE(7158), 1,
      sym_default_collate_clause,
    STATE(7618), 1,
      sym_table_partition_clause,
    STATE(8746), 1,
      sym_table_cluster_clause,
    STATE(9841), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12281), 1,
      sym__keyword_as,
    ACTIONS(4119), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [88498] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4181), 1,
      anon_sym_PLUS,
    ACTIONS(4183), 1,
      anon_sym_DASH,
    ACTIONS(4187), 1,
      anon_sym_SLASH,
    ACTIONS(4191), 1,
      anon_sym_AMP,
    ACTIONS(4193), 1,
      anon_sym_CARET,
    ACTIONS(4195), 1,
      anon_sym_PIPE,
    STATE(1162), 1,
      sym__keyword_between,
    STATE(1780), 1,
      sym__keyword_or,
    STATE(1781), 1,
      sym__keyword_and,
    STATE(1815), 1,
      sym__keyword_in,
    STATE(12037), 1,
      sym__keyword_is,
    STATE(13087), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16188), 1,
      sym_like_operator,
    STATE(16189), 1,
      sym_quantitve_like_operator,
    ACTIONS(4185), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(921), 4,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(917), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [88585] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4187), 1,
      anon_sym_SLASH,
    STATE(1162), 1,
      sym__keyword_between,
    STATE(1780), 1,
      sym__keyword_or,
    STATE(1781), 1,
      sym__keyword_and,
    STATE(1815), 1,
      sym__keyword_in,
    STATE(12037), 1,
      sym__keyword_is,
    STATE(13087), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16188), 1,
      sym_like_operator,
    STATE(16189), 1,
      sym_quantitve_like_operator,
    ACTIONS(4185), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(921), 6,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PIPE,
    ACTIONS(917), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [88660] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4181), 1,
      anon_sym_PLUS,
    ACTIONS(4183), 1,
      anon_sym_DASH,
    ACTIONS(4187), 1,
      anon_sym_SLASH,
    STATE(1162), 1,
      sym__keyword_between,
    STATE(1780), 1,
      sym__keyword_or,
    STATE(1781), 1,
      sym__keyword_and,
    STATE(1815), 1,
      sym__keyword_in,
    STATE(12037), 1,
      sym__keyword_is,
    STATE(13087), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16188), 1,
      sym_like_operator,
    STATE(16189), 1,
      sym_quantitve_like_operator,
    ACTIONS(4185), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(921), 5,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(917), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [88739] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3778), 1,
      aux_sym_qualify_clause_token1,
    STATE(5981), 1,
      sym_qualify_clause,
    STATE(6429), 1,
      sym_window_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(4067), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [88800] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3624), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4729), 1,
      aux_sym__keyword_as_token1,
    STATE(7200), 1,
      sym_default_collate_clause,
    STATE(7749), 1,
      sym_table_partition_clause,
    STATE(8612), 1,
      sym_table_cluster_clause,
    STATE(9800), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12191), 1,
      sym__keyword_as,
    ACTIONS(4133), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [88873] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 1,
      anon_sym_COMMA,
    STATE(6609), 1,
      aux_sym_group_by_clause_repeat1,
    ACTIONS(4071), 43,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [88928] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(917), 14,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
  [89025] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4181), 1,
      anon_sym_PLUS,
    ACTIONS(4183), 1,
      anon_sym_DASH,
    ACTIONS(4187), 1,
      anon_sym_SLASH,
    ACTIONS(4191), 1,
      anon_sym_AMP,
    STATE(1162), 1,
      sym__keyword_between,
    STATE(1780), 1,
      sym__keyword_or,
    STATE(1781), 1,
      sym__keyword_and,
    STATE(1815), 1,
      sym__keyword_in,
    STATE(12037), 1,
      sym__keyword_is,
    STATE(13087), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16188), 1,
      sym_like_operator,
    STATE(16189), 1,
      sym_quantitve_like_operator,
    ACTIONS(4185), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(921), 5,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(917), 23,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
  [89108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4743), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(4741), 43,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_partition_by_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_default_clause_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [89161] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4745), 1,
      anon_sym_PLUS,
    ACTIONS(4747), 1,
      anon_sym_DASH,
    ACTIONS(4751), 1,
      anon_sym_SLASH,
    ACTIONS(4755), 1,
      anon_sym_AMP,
    ACTIONS(4757), 1,
      anon_sym_CARET,
    ACTIONS(4759), 1,
      anon_sym_PIPE,
    STATE(1150), 1,
      sym__keyword_between,
    STATE(1510), 1,
      sym__keyword_in,
    STATE(1555), 1,
      sym__keyword_and,
    STATE(1557), 1,
      sym__keyword_or,
    STATE(12035), 1,
      sym__keyword_is,
    STATE(13037), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16188), 1,
      sym_like_operator,
    STATE(16189), 1,
      sym_quantitve_like_operator,
    ACTIONS(4749), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4753), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(921), 4,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(917), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [89248] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3624), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4761), 1,
      aux_sym__keyword_as_token1,
    STATE(7212), 1,
      sym_default_collate_clause,
    STATE(7685), 1,
      sym_table_partition_clause,
    STATE(8598), 1,
      sym_table_cluster_clause,
    STATE(9797), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12676), 1,
      sym__keyword_as,
    ACTIONS(4005), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [89321] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4181), 1,
      anon_sym_PLUS,
    ACTIONS(4183), 1,
      anon_sym_DASH,
    ACTIONS(4187), 1,
      anon_sym_SLASH,
    ACTIONS(4191), 1,
      anon_sym_AMP,
    ACTIONS(4193), 1,
      anon_sym_CARET,
    STATE(1162), 1,
      sym__keyword_between,
    STATE(1780), 1,
      sym__keyword_or,
    STATE(1781), 1,
      sym__keyword_and,
    STATE(1815), 1,
      sym__keyword_in,
    STATE(12037), 1,
      sym__keyword_is,
    STATE(13087), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16188), 1,
      sym_like_operator,
    STATE(16189), 1,
      sym_quantitve_like_operator,
    ACTIONS(4185), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(921), 5,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(917), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [89406] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2700), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(4589), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4591), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4595), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4601), 1,
      anon_sym_LBRACK,
    ACTIONS(4603), 1,
      anon_sym_DOT2,
    ACTIONS(4605), 1,
      anon_sym_PLUS,
    ACTIONS(4607), 1,
      anon_sym_DASH,
    ACTIONS(4611), 1,
      anon_sym_SLASH,
    ACTIONS(4615), 1,
      anon_sym_AMP,
    ACTIONS(4617), 1,
      anon_sym_CARET,
    ACTIONS(4619), 1,
      anon_sym_PIPE,
    STATE(1095), 1,
      sym__keyword_between,
    STATE(1391), 1,
      sym__keyword_in,
    STATE(1400), 1,
      sym__keyword_and,
    STATE(1401), 1,
      sym__keyword_or,
    STATE(5515), 1,
      sym__direction_keywords,
    STATE(5934), 1,
      sym__nulls_preference,
    STATE(12071), 1,
      sym__keyword_is,
    STATE(13062), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16220), 1,
      sym_like_operator,
    STATE(16237), 1,
      sym_quantitve_like_operator,
    ACTIONS(2698), 2,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
    ACTIONS(4599), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4609), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4613), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2786), 5,
      aux_sym__keyword_range_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
    ACTIONS(4593), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [89519] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4751), 1,
      anon_sym_SLASH,
    STATE(1150), 1,
      sym__keyword_between,
    STATE(1510), 1,
      sym__keyword_in,
    STATE(1555), 1,
      sym__keyword_and,
    STATE(1557), 1,
      sym__keyword_or,
    STATE(12035), 1,
      sym__keyword_is,
    STATE(13037), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16188), 1,
      sym_like_operator,
    STATE(16189), 1,
      sym_quantitve_like_operator,
    ACTIONS(4749), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(921), 6,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PIPE,
    ACTIONS(917), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [89594] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4049), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(4055), 1,
      aux_sym_default_collate_clause_token1,
    ACTIONS(4059), 1,
      aux_sym_foreign_key_references_token1,
    ACTIONS(4763), 1,
      aux_sym_default_clause_token1,
    ACTIONS(4765), 1,
      aux_sym_primary_key_token1,
    STATE(7111), 1,
      sym_collate_clause,
    STATE(7226), 1,
      sym_default_clause,
    STATE(7336), 1,
      sym_option_clause,
    STATE(7563), 1,
      sym_foreign_key_references,
    ACTIONS(4047), 35,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [89665] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4745), 1,
      anon_sym_PLUS,
    ACTIONS(4747), 1,
      anon_sym_DASH,
    ACTIONS(4751), 1,
      anon_sym_SLASH,
    STATE(1150), 1,
      sym__keyword_between,
    STATE(1510), 1,
      sym__keyword_in,
    STATE(1555), 1,
      sym__keyword_and,
    STATE(1557), 1,
      sym__keyword_or,
    STATE(12035), 1,
      sym__keyword_is,
    STATE(13037), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16188), 1,
      sym_like_operator,
    STATE(16189), 1,
      sym_quantitve_like_operator,
    ACTIONS(4749), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(921), 5,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(917), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [89744] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4745), 1,
      anon_sym_PLUS,
    ACTIONS(4747), 1,
      anon_sym_DASH,
    ACTIONS(4751), 1,
      anon_sym_SLASH,
    STATE(1150), 1,
      sym__keyword_between,
    STATE(1510), 1,
      sym__keyword_in,
    STATE(1555), 1,
      sym__keyword_and,
    STATE(1557), 1,
      sym__keyword_or,
    STATE(12035), 1,
      sym__keyword_is,
    STATE(13037), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16188), 1,
      sym_like_operator,
    STATE(16189), 1,
      sym_quantitve_like_operator,
    ACTIONS(4749), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4753), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(921), 5,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(917), 24,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
  [89825] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4177), 1,
      anon_sym_LBRACK,
    ACTIONS(4745), 1,
      anon_sym_PLUS,
    ACTIONS(4747), 1,
      anon_sym_DASH,
    ACTIONS(4751), 1,
      anon_sym_SLASH,
    ACTIONS(4755), 1,
      anon_sym_AMP,
    ACTIONS(4757), 1,
      anon_sym_CARET,
    ACTIONS(4759), 1,
      anon_sym_PIPE,
    ACTIONS(4767), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4769), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4773), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4777), 1,
      anon_sym_DOT2,
    STATE(1150), 1,
      sym__keyword_between,
    STATE(1510), 1,
      sym__keyword_in,
    STATE(1555), 1,
      sym__keyword_and,
    STATE(1557), 1,
      sym__keyword_or,
    STATE(12035), 1,
      sym__keyword_is,
    STATE(13037), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16188), 1,
      sym_like_operator,
    STATE(16189), 1,
      sym_quantitve_like_operator,
    ACTIONS(4749), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4753), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4771), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4775), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2832), 10,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
  [89930] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(1025), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1023), 24,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [90017] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1150), 1,
      sym__keyword_between,
    STATE(1510), 1,
      sym__keyword_in,
    STATE(1555), 1,
      sym__keyword_and,
    STATE(1557), 1,
      sym__keyword_or,
    STATE(12035), 1,
      sym__keyword_is,
    STATE(13037), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16188), 1,
      sym_like_operator,
    STATE(16189), 1,
      sym_quantitve_like_operator,
    ACTIONS(921), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(917), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [90088] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(949), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(947), 24,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [90175] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4745), 1,
      anon_sym_PLUS,
    ACTIONS(4747), 1,
      anon_sym_DASH,
    ACTIONS(4751), 1,
      anon_sym_SLASH,
    ACTIONS(4755), 1,
      anon_sym_AMP,
    STATE(1150), 1,
      sym__keyword_between,
    STATE(1510), 1,
      sym__keyword_in,
    STATE(1555), 1,
      sym__keyword_and,
    STATE(1557), 1,
      sym__keyword_or,
    STATE(12035), 1,
      sym__keyword_is,
    STATE(13037), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16188), 1,
      sym_like_operator,
    STATE(16189), 1,
      sym_quantitve_like_operator,
    ACTIONS(4749), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4753), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(921), 5,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(917), 23,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
  [90258] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4745), 1,
      anon_sym_PLUS,
    ACTIONS(4747), 1,
      anon_sym_DASH,
    ACTIONS(4751), 1,
      anon_sym_SLASH,
    ACTIONS(4755), 1,
      anon_sym_AMP,
    ACTIONS(4757), 1,
      anon_sym_CARET,
    STATE(1150), 1,
      sym__keyword_between,
    STATE(1510), 1,
      sym__keyword_in,
    STATE(1555), 1,
      sym__keyword_and,
    STATE(1557), 1,
      sym__keyword_or,
    STATE(12035), 1,
      sym__keyword_is,
    STATE(13037), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16188), 1,
      sym_like_operator,
    STATE(16189), 1,
      sym_quantitve_like_operator,
    ACTIONS(4749), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4753), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(921), 5,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(917), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [90343] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(921), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(4165), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4167), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4181), 1,
      anon_sym_PLUS,
    ACTIONS(4183), 1,
      anon_sym_DASH,
    ACTIONS(4187), 1,
      anon_sym_SLASH,
    ACTIONS(4191), 1,
      anon_sym_AMP,
    ACTIONS(4193), 1,
      anon_sym_CARET,
    ACTIONS(4195), 1,
      anon_sym_PIPE,
    STATE(1162), 1,
      sym__keyword_between,
    STATE(1780), 1,
      sym__keyword_or,
    STATE(1781), 1,
      sym__keyword_and,
    STATE(1815), 1,
      sym__keyword_in,
    STATE(12037), 1,
      sym__keyword_is,
    STATE(13087), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16188), 1,
      sym_like_operator,
    STATE(16189), 1,
      sym_quantitve_like_operator,
    ACTIONS(4185), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4169), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4175), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(917), 14,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
  [90440] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(921), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(4745), 1,
      anon_sym_PLUS,
    ACTIONS(4747), 1,
      anon_sym_DASH,
    ACTIONS(4751), 1,
      anon_sym_SLASH,
    ACTIONS(4755), 1,
      anon_sym_AMP,
    ACTIONS(4757), 1,
      anon_sym_CARET,
    ACTIONS(4759), 1,
      anon_sym_PIPE,
    ACTIONS(4767), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4769), 1,
      aux_sym__keyword_is_token1,
    STATE(1150), 1,
      sym__keyword_between,
    STATE(1510), 1,
      sym__keyword_in,
    STATE(1555), 1,
      sym__keyword_and,
    STATE(1557), 1,
      sym__keyword_or,
    STATE(12035), 1,
      sym__keyword_is,
    STATE(13037), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16188), 1,
      sym_like_operator,
    STATE(16189), 1,
      sym_quantitve_like_operator,
    ACTIONS(4749), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4753), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4771), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4775), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(917), 14,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
  [90537] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3778), 1,
      aux_sym_qualify_clause_token1,
    STATE(6066), 1,
      sym_qualify_clause,
    STATE(6502), 1,
      sym_window_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3594), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [90598] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(921), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(4745), 1,
      anon_sym_PLUS,
    ACTIONS(4747), 1,
      anon_sym_DASH,
    ACTIONS(4751), 1,
      anon_sym_SLASH,
    ACTIONS(4755), 1,
      anon_sym_AMP,
    ACTIONS(4757), 1,
      anon_sym_CARET,
    ACTIONS(4759), 1,
      anon_sym_PIPE,
    ACTIONS(4767), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4769), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4773), 1,
      aux_sym__keyword_and_token1,
    STATE(1150), 1,
      sym__keyword_between,
    STATE(1510), 1,
      sym__keyword_in,
    STATE(1555), 1,
      sym__keyword_and,
    STATE(1557), 1,
      sym__keyword_or,
    STATE(12035), 1,
      sym__keyword_is,
    STATE(13037), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16188), 1,
      sym_like_operator,
    STATE(16189), 1,
      sym_quantitve_like_operator,
    ACTIONS(4749), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4753), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4771), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4775), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(917), 13,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
  [90697] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4745), 1,
      anon_sym_PLUS,
    ACTIONS(4747), 1,
      anon_sym_DASH,
    ACTIONS(4751), 1,
      anon_sym_SLASH,
    ACTIONS(4755), 1,
      anon_sym_AMP,
    ACTIONS(4757), 1,
      anon_sym_CARET,
    ACTIONS(4759), 1,
      anon_sym_PIPE,
    STATE(1150), 1,
      sym__keyword_between,
    STATE(1510), 1,
      sym__keyword_in,
    STATE(1555), 1,
      sym__keyword_and,
    STATE(1557), 1,
      sym__keyword_or,
    STATE(12035), 1,
      sym__keyword_is,
    STATE(13037), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16188), 1,
      sym_like_operator,
    STATE(16189), 1,
      sym_quantitve_like_operator,
    ACTIONS(4749), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4753), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1041), 4,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1039), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [90784] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4745), 1,
      anon_sym_PLUS,
    ACTIONS(4747), 1,
      anon_sym_DASH,
    ACTIONS(4751), 1,
      anon_sym_SLASH,
    ACTIONS(4755), 1,
      anon_sym_AMP,
    ACTIONS(4757), 1,
      anon_sym_CARET,
    ACTIONS(4759), 1,
      anon_sym_PIPE,
    STATE(1150), 1,
      sym__keyword_between,
    STATE(1510), 1,
      sym__keyword_in,
    STATE(1555), 1,
      sym__keyword_and,
    STATE(1557), 1,
      sym__keyword_or,
    STATE(12035), 1,
      sym__keyword_is,
    STATE(13037), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16188), 1,
      sym_like_operator,
    STATE(16189), 1,
      sym_quantitve_like_operator,
    ACTIONS(4749), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4753), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1037), 4,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1035), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [90871] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1027), 13,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
  [90970] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4745), 1,
      anon_sym_PLUS,
    ACTIONS(4747), 1,
      anon_sym_DASH,
    ACTIONS(4751), 1,
      anon_sym_SLASH,
    ACTIONS(4755), 1,
      anon_sym_AMP,
    ACTIONS(4757), 1,
      anon_sym_CARET,
    ACTIONS(4759), 1,
      anon_sym_PIPE,
    STATE(1150), 1,
      sym__keyword_between,
    STATE(1510), 1,
      sym__keyword_in,
    STATE(1555), 1,
      sym__keyword_and,
    STATE(1557), 1,
      sym__keyword_or,
    STATE(12035), 1,
      sym__keyword_is,
    STATE(13037), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16188), 1,
      sym_like_operator,
    STATE(16189), 1,
      sym_quantitve_like_operator,
    ACTIONS(4749), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4753), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1033), 4,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1031), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [91057] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3432), 1,
      anon_sym_LBRACK,
    ACTIONS(4659), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4661), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4665), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4669), 1,
      anon_sym_PLUS,
    ACTIONS(4671), 1,
      anon_sym_DASH,
    ACTIONS(4675), 1,
      anon_sym_SLASH,
    ACTIONS(4679), 1,
      anon_sym_AMP,
    ACTIONS(4681), 1,
      anon_sym_CARET,
    ACTIONS(4683), 1,
      anon_sym_PIPE,
    ACTIONS(4779), 1,
      anon_sym_DOT2,
    STATE(1238), 1,
      sym__keyword_between,
    STATE(1410), 1,
      sym__keyword_in,
    STATE(1417), 1,
      sym__keyword_and,
    STATE(1418), 1,
      sym__keyword_or,
    STATE(12075), 1,
      sym__keyword_is,
    STATE(13024), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16181), 1,
      sym_like_operator,
    STATE(16182), 1,
      sym_quantitve_like_operator,
    ACTIONS(4673), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4677), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4663), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4667), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2856), 10,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [91162] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(921), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(4165), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4167), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4171), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4181), 1,
      anon_sym_PLUS,
    ACTIONS(4183), 1,
      anon_sym_DASH,
    ACTIONS(4187), 1,
      anon_sym_SLASH,
    ACTIONS(4191), 1,
      anon_sym_AMP,
    ACTIONS(4193), 1,
      anon_sym_CARET,
    ACTIONS(4195), 1,
      anon_sym_PIPE,
    STATE(1162), 1,
      sym__keyword_between,
    STATE(1780), 1,
      sym__keyword_or,
    STATE(1781), 1,
      sym__keyword_and,
    STATE(1815), 1,
      sym__keyword_in,
    STATE(12037), 1,
      sym__keyword_is,
    STATE(13087), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16188), 1,
      sym_like_operator,
    STATE(16189), 1,
      sym_quantitve_like_operator,
    ACTIONS(4185), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4169), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4175), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(917), 13,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
  [91261] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4181), 1,
      anon_sym_PLUS,
    ACTIONS(4183), 1,
      anon_sym_DASH,
    ACTIONS(4187), 1,
      anon_sym_SLASH,
    ACTIONS(4191), 1,
      anon_sym_AMP,
    ACTIONS(4193), 1,
      anon_sym_CARET,
    ACTIONS(4195), 1,
      anon_sym_PIPE,
    STATE(1162), 1,
      sym__keyword_between,
    STATE(1780), 1,
      sym__keyword_or,
    STATE(1781), 1,
      sym__keyword_and,
    STATE(1815), 1,
      sym__keyword_in,
    STATE(12037), 1,
      sym__keyword_is,
    STATE(13087), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16188), 1,
      sym_like_operator,
    STATE(16189), 1,
      sym_quantitve_like_operator,
    ACTIONS(4185), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1041), 4,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1039), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [91348] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4745), 1,
      anon_sym_PLUS,
    ACTIONS(4747), 1,
      anon_sym_DASH,
    ACTIONS(4751), 1,
      anon_sym_SLASH,
    ACTIONS(4755), 1,
      anon_sym_AMP,
    ACTIONS(4757), 1,
      anon_sym_CARET,
    ACTIONS(4759), 1,
      anon_sym_PIPE,
    STATE(1150), 1,
      sym__keyword_between,
    STATE(1510), 1,
      sym__keyword_in,
    STATE(1555), 1,
      sym__keyword_and,
    STATE(1557), 1,
      sym__keyword_or,
    STATE(12035), 1,
      sym__keyword_is,
    STATE(13037), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16188), 1,
      sym_like_operator,
    STATE(16189), 1,
      sym_quantitve_like_operator,
    ACTIONS(4749), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4753), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(949), 4,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(947), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [91435] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4745), 1,
      anon_sym_PLUS,
    ACTIONS(4747), 1,
      anon_sym_DASH,
    ACTIONS(4751), 1,
      anon_sym_SLASH,
    ACTIONS(4755), 1,
      anon_sym_AMP,
    ACTIONS(4757), 1,
      anon_sym_CARET,
    ACTIONS(4759), 1,
      anon_sym_PIPE,
    STATE(1150), 1,
      sym__keyword_between,
    STATE(1510), 1,
      sym__keyword_in,
    STATE(1555), 1,
      sym__keyword_and,
    STATE(1557), 1,
      sym__keyword_or,
    STATE(12035), 1,
      sym__keyword_is,
    STATE(13037), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16188), 1,
      sym_like_operator,
    STATE(16189), 1,
      sym_quantitve_like_operator,
    ACTIONS(4749), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4753), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1025), 4,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1023), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [91522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4783), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      sym__quoted_identifier,
    ACTIONS(4781), 41,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
      sym__unquoted_identifier,
  [91575] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4181), 1,
      anon_sym_PLUS,
    ACTIONS(4183), 1,
      anon_sym_DASH,
    ACTIONS(4187), 1,
      anon_sym_SLASH,
    ACTIONS(4191), 1,
      anon_sym_AMP,
    ACTIONS(4193), 1,
      anon_sym_CARET,
    ACTIONS(4195), 1,
      anon_sym_PIPE,
    STATE(1162), 1,
      sym__keyword_between,
    STATE(1780), 1,
      sym__keyword_or,
    STATE(1781), 1,
      sym__keyword_and,
    STATE(1815), 1,
      sym__keyword_in,
    STATE(12037), 1,
      sym__keyword_is,
    STATE(13087), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16188), 1,
      sym_like_operator,
    STATE(16189), 1,
      sym_quantitve_like_operator,
    ACTIONS(4185), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1037), 4,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1035), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [91662] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(921), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(917), 24,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [91749] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4181), 1,
      anon_sym_PLUS,
    ACTIONS(4183), 1,
      anon_sym_DASH,
    ACTIONS(4187), 1,
      anon_sym_SLASH,
    ACTIONS(4191), 1,
      anon_sym_AMP,
    ACTIONS(4193), 1,
      anon_sym_CARET,
    ACTIONS(4195), 1,
      anon_sym_PIPE,
    STATE(1162), 1,
      sym__keyword_between,
    STATE(1780), 1,
      sym__keyword_or,
    STATE(1781), 1,
      sym__keyword_and,
    STATE(1815), 1,
      sym__keyword_in,
    STATE(12037), 1,
      sym__keyword_is,
    STATE(13087), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16188), 1,
      sym_like_operator,
    STATE(16189), 1,
      sym_quantitve_like_operator,
    ACTIONS(4185), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1033), 4,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1031), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [91836] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(1021), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1019), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [91907] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4181), 1,
      anon_sym_PLUS,
    ACTIONS(4183), 1,
      anon_sym_DASH,
    ACTIONS(4187), 1,
      anon_sym_SLASH,
    ACTIONS(4191), 1,
      anon_sym_AMP,
    ACTIONS(4193), 1,
      anon_sym_CARET,
    ACTIONS(4195), 1,
      anon_sym_PIPE,
    STATE(1162), 1,
      sym__keyword_between,
    STATE(1780), 1,
      sym__keyword_or,
    STATE(1781), 1,
      sym__keyword_and,
    STATE(1815), 1,
      sym__keyword_in,
    STATE(12037), 1,
      sym__keyword_is,
    STATE(13087), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16188), 1,
      sym_like_operator,
    STATE(16189), 1,
      sym_quantitve_like_operator,
    ACTIONS(4185), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(949), 4,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(947), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [91994] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(921), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PIPE,
    ACTIONS(917), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [92069] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(921), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(917), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [92140] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(921), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(917), 28,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [92219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1626), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1628), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_window_numeric_preceding_token1,
      aux_sym_window_numeric_following_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [92272] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4181), 1,
      anon_sym_PLUS,
    ACTIONS(4183), 1,
      anon_sym_DASH,
    ACTIONS(4187), 1,
      anon_sym_SLASH,
    ACTIONS(4191), 1,
      anon_sym_AMP,
    ACTIONS(4193), 1,
      anon_sym_CARET,
    ACTIONS(4195), 1,
      anon_sym_PIPE,
    STATE(1162), 1,
      sym__keyword_between,
    STATE(1780), 1,
      sym__keyword_or,
    STATE(1781), 1,
      sym__keyword_and,
    STATE(1815), 1,
      sym__keyword_in,
    STATE(12037), 1,
      sym__keyword_is,
    STATE(13087), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16188), 1,
      sym_like_operator,
    STATE(16189), 1,
      sym_quantitve_like_operator,
    ACTIONS(4185), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1025), 4,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1023), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [92359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4787), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4785), 44,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_default_clause_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [92412] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1150), 1,
      sym__keyword_between,
    STATE(1510), 1,
      sym__keyword_in,
    STATE(1555), 1,
      sym__keyword_and,
    STATE(1557), 1,
      sym__keyword_or,
    STATE(12035), 1,
      sym__keyword_is,
    STATE(13037), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16188), 1,
      sym_like_operator,
    STATE(16189), 1,
      sym_quantitve_like_operator,
    ACTIONS(1021), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1019), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [92483] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(4745), 1,
      anon_sym_PLUS,
    ACTIONS(4747), 1,
      anon_sym_DASH,
    ACTIONS(4751), 1,
      anon_sym_SLASH,
    ACTIONS(4755), 1,
      anon_sym_AMP,
    ACTIONS(4757), 1,
      anon_sym_CARET,
    ACTIONS(4759), 1,
      anon_sym_PIPE,
    ACTIONS(4767), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4769), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4773), 1,
      aux_sym__keyword_and_token1,
    STATE(1150), 1,
      sym__keyword_between,
    STATE(1510), 1,
      sym__keyword_in,
    STATE(1555), 1,
      sym__keyword_and,
    STATE(1557), 1,
      sym__keyword_or,
    STATE(12035), 1,
      sym__keyword_is,
    STATE(13037), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16188), 1,
      sym_like_operator,
    STATE(16189), 1,
      sym_quantitve_like_operator,
    ACTIONS(4749), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4753), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4771), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4775), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1027), 13,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
  [92582] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(921), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(917), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
  [92663] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(921), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(917), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
  [92746] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(921), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(917), 24,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [92831] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4789), 1,
      anon_sym_COMMA,
    STATE(6692), 1,
      aux_sym__grouping_list_repeat1,
    ACTIONS(3961), 43,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [92886] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4792), 1,
      anon_sym_COMMA,
    STATE(6693), 1,
      aux_sym_group_by_clause_repeat1,
    ACTIONS(3941), 43,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [92941] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3624), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4795), 1,
      aux_sym__keyword_as_token1,
    STATE(7201), 1,
      sym_default_collate_clause,
    STATE(7585), 1,
      sym_table_partition_clause,
    STATE(8759), 1,
      sym_table_cluster_clause,
    STATE(9848), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12475), 1,
      sym__keyword_as,
    ACTIONS(4017), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [93014] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(917), 15,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
  [93109] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3778), 1,
      aux_sym_qualify_clause_token1,
    STATE(5999), 1,
      sym_qualify_clause,
    STATE(6540), 1,
      sym_window_clause,
    STATE(11457), 1,
      sym__keyword_window,
    ACTIONS(3754), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [93170] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3853), 1,
      sym_analytics_clause,
    ACTIONS(1362), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1360), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [93226] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [93278] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3737), 1,
      sym_analytics_clause,
    ACTIONS(1400), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1398), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [93334] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4801), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4803), 1,
      aux_sym_set_operation_token1,
    ACTIONS(4805), 1,
      aux_sym_set_operation_token3,
    ACTIONS(4807), 1,
      aux_sym_set_operation_token4,
    ACTIONS(4799), 40,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [93392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1768), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1770), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [93444] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3735), 1,
      sym_analytics_clause,
    ACTIONS(1400), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1398), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [93500] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3876), 1,
      sym_analytics_clause,
    ACTIONS(1356), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1354), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [93556] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4803), 1,
      aux_sym_set_operation_token1,
    ACTIONS(4805), 1,
      aux_sym_set_operation_token3,
    ACTIONS(4807), 1,
      aux_sym_set_operation_token4,
    ACTIONS(4811), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4809), 40,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [93614] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4815), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4817), 1,
      aux_sym__keyword_as_token1,
    STATE(7304), 1,
      sym_table_cluster_clause,
    STATE(7675), 1,
      sym_option_clause,
    STATE(12547), 1,
      sym__keyword_as,
    ACTIONS(4813), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [93678] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1360), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [93730] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3743), 1,
      sym_analytics_clause,
    ACTIONS(1396), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1394), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [93786] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4803), 1,
      aux_sym_set_operation_token1,
    ACTIONS(4805), 1,
      aux_sym_set_operation_token3,
    ACTIONS(4807), 1,
      aux_sym_set_operation_token4,
    ACTIONS(4821), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4819), 40,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [93844] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3734), 1,
      sym_analytics_clause,
    ACTIONS(1400), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1398), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [93900] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3879), 1,
      sym_analytics_clause,
    ACTIONS(1356), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1354), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [93956] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3880), 1,
      sym_analytics_clause,
    ACTIONS(1356), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1354), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [94012] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3881), 1,
      sym_analytics_clause,
    ACTIONS(1356), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1354), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [94068] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3883), 1,
      sym_analytics_clause,
    ACTIONS(1356), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1354), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [94124] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3728), 1,
      sym_analytics_clause,
    ACTIONS(1400), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1398), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [94180] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3726), 1,
      sym_analytics_clause,
    ACTIONS(1408), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1406), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [94236] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4007), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4009), 1,
      aux_sym__keyword_as_token1,
    STATE(7384), 1,
      sym_table_cluster_clause,
    STATE(7879), 1,
      sym_option_clause,
    STATE(12342), 1,
      sym__keyword_as,
    ACTIONS(4005), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [94300] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3884), 1,
      sym_analytics_clause,
    ACTIONS(1356), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1354), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [94356] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4013), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4015), 1,
      aux_sym__keyword_as_token1,
    STATE(7364), 1,
      sym_table_cluster_clause,
    STATE(7845), 1,
      sym_option_clause,
    STATE(12553), 1,
      sym__keyword_as,
    ACTIONS(4011), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [94420] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3886), 1,
      sym_analytics_clause,
    ACTIONS(1356), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1354), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [94476] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3887), 1,
      sym_analytics_clause,
    ACTIONS(1356), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1354), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [94532] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3724), 1,
      sym_analytics_clause,
    ACTIONS(1412), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1410), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [94588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1504), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1506), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [94640] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4803), 1,
      aux_sym_set_operation_token1,
    ACTIONS(4805), 1,
      aux_sym_set_operation_token3,
    ACTIONS(4807), 1,
      aux_sym_set_operation_token4,
    ACTIONS(4825), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4823), 40,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [94698] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3722), 1,
      sym_analytics_clause,
    ACTIONS(1416), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1414), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [94754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1500), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1502), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [94806] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3745), 1,
      sym_analytics_clause,
    ACTIONS(1372), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1370), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [94862] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1418), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1420), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [94914] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4829), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4831), 1,
      aux_sym__keyword_as_token1,
    STATE(7299), 1,
      sym_table_cluster_clause,
    STATE(7678), 1,
      sym_option_clause,
    STATE(12501), 1,
      sym__keyword_as,
    ACTIONS(4827), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [94978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1496), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1498), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [95030] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1083), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1081), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [95082] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3888), 1,
      sym_analytics_clause,
    ACTIONS(1356), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1354), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [95138] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3718), 1,
      sym_analytics_clause,
    ACTIONS(1420), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1418), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [95194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1422), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1424), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [95246] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3890), 1,
      sym_analytics_clause,
    ACTIONS(1356), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1354), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [95302] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4330), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4332), 1,
      aux_sym__keyword_as_token1,
    STATE(7350), 1,
      sym_table_cluster_clause,
    STATE(7830), 1,
      sym_option_clause,
    STATE(12552), 1,
      sym__keyword_as,
    ACTIONS(4328), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [95366] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3891), 1,
      sym_analytics_clause,
    ACTIONS(1356), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1354), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [95422] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4835), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4837), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(4839), 1,
      aux_sym_transoform_clause_token1,
    STATE(7396), 1,
      sym_transoform_clause,
    STATE(7983), 1,
      sym_option_clause,
    STATE(12793), 1,
      sym__keyword_as,
    ACTIONS(4833), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [95486] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3893), 1,
      sym_analytics_clause,
    ACTIONS(1356), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1354), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [95542] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4348), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4350), 1,
      aux_sym__keyword_as_token1,
    STATE(7333), 1,
      sym_table_cluster_clause,
    STATE(7593), 1,
      sym_option_clause,
    STATE(12170), 1,
      sym__keyword_as,
    ACTIONS(4346), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [95606] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4031), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4033), 1,
      aux_sym__keyword_as_token1,
    STATE(7383), 1,
      sym_table_cluster_clause,
    STATE(7572), 1,
      sym_option_clause,
    STATE(12788), 1,
      sym__keyword_as,
    ACTIONS(4029), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [95670] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3894), 1,
      sym_analytics_clause,
    ACTIONS(1356), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1354), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [95726] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4362), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4364), 1,
      aux_sym__keyword_as_token1,
    STATE(7348), 1,
      sym_table_cluster_clause,
    STATE(7605), 1,
      sym_option_clause,
    STATE(12171), 1,
      sym__keyword_as,
    ACTIONS(4360), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [95790] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3715), 1,
      sym_analytics_clause,
    ACTIONS(1420), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1418), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [95846] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3713), 1,
      sym_analytics_clause,
    ACTIONS(1420), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1418), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [95902] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4053), 1,
      aux_sym_default_clause_token1,
    ACTIONS(4843), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(4845), 1,
      aux_sym__keyword_else_token1,
    STATE(7248), 1,
      sym_default_clause,
    STATE(7401), 1,
      sym_option_clause,
    ACTIONS(4841), 38,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [95964] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4053), 1,
      aux_sym_default_clause_token1,
    ACTIONS(4849), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(4851), 1,
      aux_sym__keyword_else_token1,
    STATE(7213), 1,
      sym_default_clause,
    STATE(7407), 1,
      sym_option_clause,
    ACTIONS(4847), 38,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [96026] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3746), 1,
      sym_analytics_clause,
    ACTIONS(1372), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1370), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [96082] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3626), 1,
      anon_sym_LPAREN,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4853), 1,
      aux_sym__keyword_as_token1,
    STATE(7169), 1,
      sym_create_table_parameters,
    STATE(7999), 1,
      sym_table_partition_clause,
    STATE(8623), 1,
      sym_table_cluster_clause,
    STATE(9809), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12572), 1,
      sym__keyword_as,
    ACTIONS(4197), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [96154] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3896), 1,
      sym_analytics_clause,
    ACTIONS(1376), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1374), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [96210] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4857), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4859), 1,
      anon_sym_LT,
    ACTIONS(4855), 42,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_default_clause_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [96264] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4312), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4314), 1,
      aux_sym__keyword_as_token1,
    STATE(7318), 1,
      sym_table_cluster_clause,
    STATE(7788), 1,
      sym_option_clause,
    STATE(12533), 1,
      sym__keyword_as,
    ACTIONS(4310), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [96328] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3712), 1,
      sym_analytics_clause,
    ACTIONS(1420), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1418), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [96384] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3748), 1,
      sym_analytics_clause,
    ACTIONS(1372), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1370), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [96440] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3897), 1,
      sym_analytics_clause,
    ACTIONS(1464), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1462), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [96496] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4053), 1,
      aux_sym_default_clause_token1,
    ACTIONS(4863), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(4865), 1,
      aux_sym__keyword_else_token1,
    STATE(7110), 1,
      sym_default_clause,
    STATE(7275), 1,
      sym_option_clause,
    ACTIONS(4861), 38,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [96558] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4053), 1,
      aux_sym_default_clause_token1,
    ACTIONS(4869), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(4871), 1,
      aux_sym__keyword_else_token1,
    STATE(7260), 1,
      sym_default_clause,
    STATE(7367), 1,
      sym_option_clause,
    ACTIONS(4867), 38,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [96620] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3903), 1,
      sym_analytics_clause,
    ACTIONS(1464), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1462), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [96676] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3751), 1,
      sym_analytics_clause,
    ACTIONS(1372), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1370), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [96732] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4875), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4877), 1,
      aux_sym__keyword_as_token1,
    STATE(7359), 1,
      sym_table_cluster_clause,
    STATE(7841), 1,
      sym_option_clause,
    STATE(12619), 1,
      sym__keyword_as,
    ACTIONS(4873), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [96796] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3906), 1,
      sym_analytics_clause,
    ACTIONS(1464), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1462), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [96852] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3914), 1,
      sym_analytics_clause,
    ACTIONS(1464), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1462), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [96908] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3915), 1,
      sym_analytics_clause,
    ACTIONS(1464), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1462), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [96964] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3917), 1,
      sym_analytics_clause,
    ACTIONS(1464), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1462), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [97020] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3918), 1,
      sym_analytics_clause,
    ACTIONS(1464), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1462), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [97076] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4025), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4027), 1,
      aux_sym__keyword_as_token1,
    STATE(7314), 1,
      sym_table_cluster_clause,
    STATE(7663), 1,
      sym_option_clause,
    STATE(12364), 1,
      sym__keyword_as,
    ACTIONS(4023), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [97140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1360), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [97192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1360), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [97244] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3920), 1,
      sym_analytics_clause,
    ACTIONS(1444), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1442), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [97300] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3754), 1,
      sym_analytics_clause,
    ACTIONS(1372), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1370), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [97356] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3921), 1,
      sym_analytics_clause,
    ACTIONS(1444), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1442), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [97412] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3922), 1,
      sym_analytics_clause,
    ACTIONS(1444), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1442), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [97468] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3705), 1,
      sym_analytics_clause,
    ACTIONS(1420), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1418), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [97524] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3923), 1,
      sym_analytics_clause,
    ACTIONS(1444), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1442), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [97580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1684), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1686), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [97632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4881), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4879), 43,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_default_clause_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
      anon_sym_LBRACK,
  [97684] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3626), 1,
      anon_sym_LPAREN,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4883), 1,
      aux_sym__keyword_as_token1,
    STATE(7155), 1,
      sym_create_table_parameters,
    STATE(7529), 1,
      sym_table_partition_clause,
    STATE(8670), 1,
      sym_table_cluster_clause,
    STATE(9827), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12593), 1,
      sym__keyword_as,
    ACTIONS(4298), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [97756] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3764), 1,
      sym_analytics_clause,
    ACTIONS(1420), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1418), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [97812] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3759), 1,
      sym_analytics_clause,
    ACTIONS(1372), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1370), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [97868] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3603), 1,
      sym_analytics_clause,
    ACTIONS(1420), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1418), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [97924] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4887), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4889), 1,
      aux_sym__keyword_as_token1,
    STATE(7351), 1,
      sym_table_cluster_clause,
    STATE(7628), 1,
      sym_option_clause,
    STATE(12189), 1,
      sym__keyword_as,
    ACTIONS(4885), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [97988] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4463), 1,
      anon_sym_PLUS,
    ACTIONS(4465), 1,
      anon_sym_DASH,
    ACTIONS(4469), 1,
      anon_sym_SLASH,
    ACTIONS(4473), 1,
      anon_sym_AMP,
    ACTIONS(4475), 1,
      anon_sym_CARET,
    ACTIONS(4477), 1,
      anon_sym_PIPE,
    STATE(1134), 1,
      sym__keyword_between,
    STATE(1513), 1,
      sym__keyword_or,
    STATE(1514), 1,
      sym__keyword_and,
    STATE(1562), 1,
      sym__keyword_in,
    STATE(12102), 1,
      sym__keyword_is,
    STATE(13046), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16287), 1,
      sym_like_operator,
    STATE(16288), 1,
      sym_quantitve_like_operator,
    ACTIONS(4467), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4471), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1025), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1023), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [98074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1594), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1596), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [98126] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4893), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4895), 1,
      aux_sym__keyword_as_token1,
    STATE(7358), 1,
      sym_table_cluster_clause,
    STATE(7840), 1,
      sym_option_clause,
    STATE(12624), 1,
      sym__keyword_as,
    ACTIONS(4891), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [98190] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3626), 1,
      anon_sym_LPAREN,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4897), 1,
      aux_sym__keyword_as_token1,
    STATE(7131), 1,
      sym_create_table_parameters,
    STATE(7623), 1,
      sym_table_partition_clause,
    STATE(8742), 1,
      sym_table_cluster_clause,
    STATE(9839), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12272), 1,
      sym__keyword_as,
    ACTIONS(4304), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [98262] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1321), 1,
      sym__keyword_between,
    STATE(1850), 1,
      sym__keyword_or,
    STATE(1852), 1,
      sym__keyword_and,
    STATE(1862), 1,
      sym__keyword_in,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13064), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(1019), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1021), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [98332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1374), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1376), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [98384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [98436] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4463), 1,
      anon_sym_PLUS,
    ACTIONS(4465), 1,
      anon_sym_DASH,
    ACTIONS(4469), 1,
      anon_sym_SLASH,
    ACTIONS(4473), 1,
      anon_sym_AMP,
    ACTIONS(4475), 1,
      anon_sym_CARET,
    ACTIONS(4477), 1,
      anon_sym_PIPE,
    STATE(1134), 1,
      sym__keyword_between,
    STATE(1513), 1,
      sym__keyword_or,
    STATE(1514), 1,
      sym__keyword_and,
    STATE(1562), 1,
      sym__keyword_in,
    STATE(12102), 1,
      sym__keyword_is,
    STATE(13046), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16287), 1,
      sym_like_operator,
    STATE(16288), 1,
      sym_quantitve_like_operator,
    ACTIONS(4467), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4471), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(949), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(947), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [98522] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3760), 1,
      sym_analytics_clause,
    ACTIONS(1372), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1370), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [98578] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3924), 1,
      sym_analytics_clause,
    ACTIONS(1448), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1446), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [98634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [98686] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3761), 1,
      sym_analytics_clause,
    ACTIONS(1372), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1370), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [98742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [98794] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3684), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3686), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3690), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3704), 1,
      anon_sym_PLUS,
    ACTIONS(3706), 1,
      anon_sym_DASH,
    ACTIONS(3710), 1,
      anon_sym_SLASH,
    ACTIONS(3714), 1,
      anon_sym_AMP,
    ACTIONS(3716), 1,
      anon_sym_CARET,
    ACTIONS(3718), 1,
      anon_sym_PIPE,
    STATE(1321), 1,
      sym__keyword_between,
    STATE(1850), 1,
      sym__keyword_or,
    STATE(1852), 1,
      sym__keyword_and,
    STATE(1862), 1,
      sym__keyword_in,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13064), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(3708), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3712), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3688), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1027), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
    ACTIONS(3698), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1029), 7,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      sym__unquoted_identifier,
  [98894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1784), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1786), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [98946] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3925), 1,
      sym_analytics_clause,
    ACTIONS(1448), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1446), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [99002] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3875), 1,
      sym_analytics_clause,
    ACTIONS(1356), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1354), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [99058] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1858), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1860), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [99110] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4901), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4903), 1,
      aux_sym__keyword_as_token1,
    STATE(7354), 1,
      sym_table_cluster_clause,
    STATE(7834), 1,
      sym_option_clause,
    STATE(12719), 1,
      sym__keyword_as,
    ACTIONS(4899), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [99174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1850), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1852), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [99226] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1418), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1420), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [99278] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3874), 1,
      sym_analytics_clause,
    ACTIONS(1486), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1484), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [99334] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3873), 1,
      sym_analytics_clause,
    ACTIONS(1380), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1378), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [99390] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3763), 1,
      sym_analytics_clause,
    ACTIONS(1372), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1370), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [99446] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [99498] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3605), 1,
      sym_analytics_clause,
    ACTIONS(1420), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1418), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [99554] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3600), 1,
      sym_analytics_clause,
    ACTIONS(1372), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1370), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [99610] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4907), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4909), 1,
      aux_sym__keyword_as_token1,
    STATE(7270), 1,
      sym_table_cluster_clause,
    STATE(7826), 1,
      sym_option_clause,
    STATE(12641), 1,
      sym__keyword_as,
    ACTIONS(4905), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [99674] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3766), 1,
      sym_analytics_clause,
    ACTIONS(1372), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1370), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [99730] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4121), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4123), 1,
      aux_sym__keyword_as_token1,
    STATE(7405), 1,
      sym_table_cluster_clause,
    STATE(7586), 1,
      sym_option_clause,
    STATE(12372), 1,
      sym__keyword_as,
    ACTIONS(4119), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [99794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [99846] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4382), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4384), 1,
      aux_sym__keyword_as_token1,
    STATE(7349), 1,
      sym_table_cluster_clause,
    STATE(7528), 1,
      sym_option_clause,
    STATE(12645), 1,
      sym__keyword_as,
    ACTIONS(4380), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [99910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [99962] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3872), 1,
      sym_analytics_clause,
    ACTIONS(1380), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1378), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [100018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [100070] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3606), 1,
      sym_analytics_clause,
    ACTIONS(1420), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1418), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [100126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [100178] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4913), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4915), 1,
      aux_sym__keyword_as_token1,
    STATE(7272), 1,
      sym_table_cluster_clause,
    STATE(7534), 1,
      sym_option_clause,
    STATE(12164), 1,
      sym__keyword_as,
    ACTIONS(4911), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [100242] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3767), 1,
      sym_analytics_clause,
    ACTIONS(1372), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1370), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [100298] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4388), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4390), 1,
      aux_sym__keyword_as_token1,
    STATE(7347), 1,
      sym_table_cluster_clause,
    STATE(7816), 1,
      sym_option_clause,
    STATE(12656), 1,
      sym__keyword_as,
    ACTIONS(4386), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [100362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [100414] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3626), 1,
      anon_sym_LPAREN,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4917), 1,
      aux_sym__keyword_as_token1,
    STATE(7242), 1,
      sym_create_table_parameters,
    STATE(7550), 1,
      sym_table_partition_clause,
    STATE(8815), 1,
      sym_table_cluster_clause,
    STATE(9864), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12866), 1,
      sym__keyword_as,
    ACTIONS(4271), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [100486] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3869), 1,
      sym_analytics_clause,
    ACTIONS(1380), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1378), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [100542] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3769), 1,
      sym_analytics_clause,
    ACTIONS(1372), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1370), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [100598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1414), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1416), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [100650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1492), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1494), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [100702] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3866), 1,
      sym_analytics_clause,
    ACTIONS(1380), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1378), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [100758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1780), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1782), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [100810] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4839), 1,
      aux_sym_transoform_clause_token1,
    ACTIONS(4921), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4923), 1,
      aux_sym__keyword_as_token1,
    STATE(7309), 1,
      sym_transoform_clause,
    STATE(7565), 1,
      sym_option_clause,
    STATE(12288), 1,
      sym__keyword_as,
    ACTIONS(4919), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [100874] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1186), 1,
      sym__keyword_in,
    STATE(1199), 1,
      sym__keyword_and,
    STATE(1200), 1,
      sym__keyword_or,
    STATE(1882), 1,
      sym__keyword_between,
    STATE(12129), 1,
      sym__keyword_is,
    STATE(13084), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16130), 1,
      sym_quantitve_like_operator,
    STATE(16147), 1,
      sym_like_operator,
    ACTIONS(1021), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1019), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [100944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [100996] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4368), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4370), 1,
      aux_sym__keyword_as_token1,
    STATE(7362), 1,
      sym_table_cluster_clause,
    STATE(7642), 1,
      sym_option_clause,
    STATE(12206), 1,
      sym__keyword_as,
    ACTIONS(4366), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [101060] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3864), 1,
      sym_analytics_clause,
    ACTIONS(1380), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1378), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [101116] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3863), 1,
      sym_analytics_clause,
    ACTIONS(1380), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1378), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [101172] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(4925), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4927), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4931), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4935), 1,
      anon_sym_PLUS,
    ACTIONS(4937), 1,
      anon_sym_DASH,
    ACTIONS(4941), 1,
      anon_sym_SLASH,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    STATE(1186), 1,
      sym__keyword_in,
    STATE(1199), 1,
      sym__keyword_and,
    STATE(1200), 1,
      sym__keyword_or,
    STATE(1882), 1,
      sym__keyword_between,
    STATE(12129), 1,
      sym__keyword_is,
    STATE(13084), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16130), 1,
      sym_quantitve_like_operator,
    STATE(16147), 1,
      sym_like_operator,
    ACTIONS(4933), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4939), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4929), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1027), 12,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
  [101270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [101322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1752), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1754), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [101374] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [101426] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4953), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4955), 1,
      aux_sym__keyword_as_token1,
    STATE(7339), 1,
      sym_table_cluster_clause,
    STATE(7807), 1,
      sym_option_clause,
    STATE(12659), 1,
      sym__keyword_as,
    ACTIONS(4951), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [101490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [101542] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4463), 1,
      anon_sym_PLUS,
    ACTIONS(4465), 1,
      anon_sym_DASH,
    ACTIONS(4469), 1,
      anon_sym_SLASH,
    ACTIONS(4473), 1,
      anon_sym_AMP,
    ACTIONS(4475), 1,
      anon_sym_CARET,
    ACTIONS(4477), 1,
      anon_sym_PIPE,
    STATE(1134), 1,
      sym__keyword_between,
    STATE(1513), 1,
      sym__keyword_or,
    STATE(1514), 1,
      sym__keyword_and,
    STATE(1562), 1,
      sym__keyword_in,
    STATE(12102), 1,
      sym__keyword_is,
    STATE(13046), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16287), 1,
      sym_like_operator,
    STATE(16288), 1,
      sym_quantitve_like_operator,
    ACTIONS(4467), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4471), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1033), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1031), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [101628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1412), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [101680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [101732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1360), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [101784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [101836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [101888] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3612), 1,
      sym_analytics_clause,
    ACTIONS(1420), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1418), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [101944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [101996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [102048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [102100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [102152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1406), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1408), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [102204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [102256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [102308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [102360] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3614), 1,
      sym_analytics_clause,
    ACTIONS(1424), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1422), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [102416] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4463), 1,
      anon_sym_PLUS,
    ACTIONS(4465), 1,
      anon_sym_DASH,
    ACTIONS(4469), 1,
      anon_sym_SLASH,
    ACTIONS(4473), 1,
      anon_sym_AMP,
    ACTIONS(4475), 1,
      anon_sym_CARET,
    ACTIONS(4477), 1,
      anon_sym_PIPE,
    STATE(1134), 1,
      sym__keyword_between,
    STATE(1513), 1,
      sym__keyword_or,
    STATE(1514), 1,
      sym__keyword_and,
    STATE(1562), 1,
      sym__keyword_in,
    STATE(12102), 1,
      sym__keyword_is,
    STATE(13046), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16287), 1,
      sym_like_operator,
    STATE(16288), 1,
      sym_quantitve_like_operator,
    ACTIONS(4467), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4471), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1037), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1035), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [102502] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3861), 1,
      sym_analytics_clause,
    ACTIONS(1380), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1378), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [102558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [102610] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4318), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4320), 1,
      aux_sym__keyword_as_token1,
    STATE(7356), 1,
      sym_table_cluster_clause,
    STATE(7544), 1,
      sym_option_clause,
    STATE(12377), 1,
      sym__keyword_as,
    ACTIONS(4316), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [102674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [102726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [102778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [102830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [102882] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3860), 1,
      sym_analytics_clause,
    ACTIONS(1380), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1378), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [102938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [102990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [103042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [103094] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3858), 1,
      sym_analytics_clause,
    ACTIONS(1380), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1378), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [103150] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3772), 1,
      sym_analytics_clause,
    ACTIONS(1372), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1370), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [103206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1398), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1400), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [103258] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3775), 1,
      sym_analytics_clause,
    ACTIONS(1372), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1370), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [103314] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3626), 1,
      anon_sym_LPAREN,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4957), 1,
      aux_sym__keyword_as_token1,
    STATE(7230), 1,
      sym_create_table_parameters,
    STATE(7732), 1,
      sym_table_partition_clause,
    STATE(8522), 1,
      sym_table_cluster_clause,
    STATE(9767), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12194), 1,
      sym__keyword_as,
    ACTIONS(4225), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [103386] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4961), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4963), 1,
      aux_sym__keyword_as_token1,
    STATE(7335), 1,
      sym_table_cluster_clause,
    STATE(7803), 1,
      sym_option_clause,
    STATE(12660), 1,
      sym__keyword_as,
    ACTIONS(4959), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [103450] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3857), 1,
      sym_analytics_clause,
    ACTIONS(1380), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1378), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [103506] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3620), 1,
      sym_analytics_clause,
    ACTIONS(1428), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1426), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [103562] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4376), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4378), 1,
      aux_sym__keyword_as_token1,
    STATE(7370), 1,
      sym_table_cluster_clause,
    STATE(7647), 1,
      sym_option_clause,
    STATE(12220), 1,
      sym__keyword_as,
    ACTIONS(4374), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [103626] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3622), 1,
      sym_analytics_clause,
    ACTIONS(1432), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1430), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [103682] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3856), 1,
      sym_analytics_clause,
    ACTIONS(1380), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1378), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [103738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1822), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1824), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_join_condition_token1,
      aux_sym_function_call_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [103790] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1430), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1432), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [103842] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3779), 1,
      sym_analytics_clause,
    ACTIONS(1372), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1370), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [103898] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3624), 1,
      sym_analytics_clause,
    ACTIONS(1436), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1434), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [103954] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3780), 1,
      sym_analytics_clause,
    ACTIONS(1372), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1370), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [104010] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3626), 1,
      sym_analytics_clause,
    ACTIONS(1440), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1438), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [104066] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4967), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4969), 1,
      aux_sym__keyword_as_token1,
    STATE(7399), 1,
      sym_table_cluster_clause,
    STATE(7691), 1,
      sym_option_clause,
    STATE(12746), 1,
      sym__keyword_as,
    ACTIONS(4965), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [104130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1083), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1081), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [104182] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3854), 1,
      sym_analytics_clause,
    ACTIONS(1392), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1390), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [104238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1448), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [104290] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4463), 1,
      anon_sym_PLUS,
    ACTIONS(4465), 1,
      anon_sym_DASH,
    ACTIONS(4469), 1,
      anon_sym_SLASH,
    ACTIONS(4473), 1,
      anon_sym_AMP,
    ACTIONS(4475), 1,
      anon_sym_CARET,
    ACTIONS(4477), 1,
      anon_sym_PIPE,
    STATE(1134), 1,
      sym__keyword_between,
    STATE(1513), 1,
      sym__keyword_or,
    STATE(1514), 1,
      sym__keyword_and,
    STATE(1562), 1,
      sym__keyword_in,
    STATE(12102), 1,
      sym__keyword_is,
    STATE(13046), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16287), 1,
      sym_like_operator,
    STATE(16288), 1,
      sym_quantitve_like_operator,
    ACTIONS(4467), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4471), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1041), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1039), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [104376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1394), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1396), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [104428] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4324), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4326), 1,
      aux_sym__keyword_as_token1,
    STATE(7352), 1,
      sym_table_cluster_clause,
    STATE(7545), 1,
      sym_option_clause,
    STATE(12380), 1,
      sym__keyword_as,
    ACTIONS(4322), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [104492] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3626), 1,
      anon_sym_LPAREN,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4971), 1,
      aux_sym__keyword_as_token1,
    STATE(7166), 1,
      sym_create_table_parameters,
    STATE(7617), 1,
      sym_table_partition_clause,
    STATE(8748), 1,
      sym_table_cluster_clause,
    STATE(9842), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12289), 1,
      sym__keyword_as,
    ACTIONS(4292), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [104564] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3781), 1,
      sym_analytics_clause,
    ACTIONS(1372), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1370), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [104620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1083), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1081), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [104672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [104724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1434), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1436), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [104776] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1134), 1,
      sym__keyword_between,
    STATE(1513), 1,
      sym__keyword_or,
    STATE(1514), 1,
      sym__keyword_and,
    STATE(1562), 1,
      sym__keyword_in,
    STATE(12102), 1,
      sym__keyword_is,
    STATE(13046), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16287), 1,
      sym_like_operator,
    STATE(16288), 1,
      sym_quantitve_like_operator,
    ACTIONS(1021), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1019), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [104846] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4394), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4396), 1,
      aux_sym__keyword_as_token1,
    STATE(7332), 1,
      sym_table_cluster_clause,
    STATE(7802), 1,
      sym_option_clause,
    STATE(12698), 1,
      sym__keyword_as,
    ACTIONS(4392), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [104910] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2700), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(2868), 1,
      anon_sym_COMMA,
    STATE(7415), 1,
      aux_sym_order_by_clause_body_repeat1,
    STATE(7418), 1,
      sym__nulls_preference,
    ACTIONS(4267), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [104968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [105020] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3926), 1,
      sym_analytics_clause,
    ACTIONS(1384), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1382), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [105076] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4019), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4021), 1,
      aux_sym__keyword_as_token1,
    STATE(7342), 1,
      sym_table_cluster_clause,
    STATE(7547), 1,
      sym_option_clause,
    STATE(12385), 1,
      sym__keyword_as,
    ACTIONS(4017), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [105140] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4975), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4977), 1,
      aux_sym__keyword_as_token1,
    STATE(7276), 1,
      sym_table_cluster_clause,
    STATE(7692), 1,
      sym_option_clause,
    STATE(12747), 1,
      sym__keyword_as,
    ACTIONS(4973), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [105204] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4981), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4983), 1,
      aux_sym__keyword_as_token1,
    STATE(7377), 1,
      sym_table_cluster_clause,
    STATE(7532), 1,
      sym_option_clause,
    STATE(12162), 1,
      sym__keyword_as,
    ACTIONS(4979), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [105268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1438), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1440), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [105320] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4987), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4989), 1,
      aux_sym__keyword_as_token1,
    STATE(7295), 1,
      sym_table_cluster_clause,
    STATE(7543), 1,
      sym_option_clause,
    STATE(12390), 1,
      sym__keyword_as,
    ACTIONS(4985), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [105384] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(4447), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4449), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4453), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4463), 1,
      anon_sym_PLUS,
    ACTIONS(4465), 1,
      anon_sym_DASH,
    ACTIONS(4469), 1,
      anon_sym_SLASH,
    ACTIONS(4473), 1,
      anon_sym_AMP,
    ACTIONS(4475), 1,
      anon_sym_CARET,
    ACTIONS(4477), 1,
      anon_sym_PIPE,
    STATE(1134), 1,
      sym__keyword_between,
    STATE(1513), 1,
      sym__keyword_or,
    STATE(1514), 1,
      sym__keyword_and,
    STATE(1562), 1,
      sym__keyword_in,
    STATE(12102), 1,
      sym__keyword_is,
    STATE(13046), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16287), 1,
      sym_like_operator,
    STATE(16288), 1,
      sym_quantitve_like_operator,
    ACTIONS(4467), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4471), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4451), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4457), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1027), 12,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
  [105482] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3851), 1,
      sym_analytics_clause,
    ACTIONS(1366), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1364), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [105538] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3850), 1,
      sym_analytics_clause,
    ACTIONS(1366), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1364), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [105594] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3847), 1,
      sym_analytics_clause,
    ACTIONS(1366), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1364), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [105650] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(4447), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4449), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4453), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4463), 1,
      anon_sym_PLUS,
    ACTIONS(4465), 1,
      anon_sym_DASH,
    ACTIONS(4469), 1,
      anon_sym_SLASH,
    ACTIONS(4473), 1,
      anon_sym_AMP,
    ACTIONS(4475), 1,
      anon_sym_CARET,
    ACTIONS(4477), 1,
      anon_sym_PIPE,
    STATE(1134), 1,
      sym__keyword_between,
    STATE(1513), 1,
      sym__keyword_or,
    STATE(1514), 1,
      sym__keyword_and,
    STATE(1562), 1,
      sym__keyword_in,
    STATE(12102), 1,
      sym__keyword_is,
    STATE(13046), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16287), 1,
      sym_like_operator,
    STATE(16288), 1,
      sym_quantitve_like_operator,
    ACTIONS(4467), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4471), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4451), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4457), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(917), 13,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
  [105746] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(4447), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4449), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4463), 1,
      anon_sym_PLUS,
    ACTIONS(4465), 1,
      anon_sym_DASH,
    ACTIONS(4469), 1,
      anon_sym_SLASH,
    ACTIONS(4473), 1,
      anon_sym_AMP,
    ACTIONS(4475), 1,
      anon_sym_CARET,
    ACTIONS(4477), 1,
      anon_sym_PIPE,
    STATE(1134), 1,
      sym__keyword_between,
    STATE(1513), 1,
      sym__keyword_or,
    STATE(1514), 1,
      sym__keyword_and,
    STATE(1562), 1,
      sym__keyword_in,
    STATE(12102), 1,
      sym__keyword_is,
    STATE(13046), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16287), 1,
      sym_like_operator,
    STATE(16288), 1,
      sym_quantitve_like_operator,
    ACTIONS(4467), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4471), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4451), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4457), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(917), 14,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
  [105840] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3844), 1,
      sym_analytics_clause,
    ACTIONS(1366), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1364), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [105896] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3674), 1,
      sym_analytics_clause,
    ACTIONS(1372), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1370), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [105952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1772), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1774), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [106004] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4400), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4402), 1,
      aux_sym__keyword_as_token1,
    STATE(7329), 1,
      sym_table_cluster_clause,
    STATE(7801), 1,
      sym_option_clause,
    STATE(12823), 1,
      sym__keyword_as,
    ACTIONS(4398), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [106068] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1448), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [106120] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4463), 1,
      anon_sym_PLUS,
    ACTIONS(4465), 1,
      anon_sym_DASH,
    ACTIONS(4469), 1,
      anon_sym_SLASH,
    ACTIONS(4473), 1,
      anon_sym_AMP,
    ACTIONS(4475), 1,
      anon_sym_CARET,
    STATE(1134), 1,
      sym__keyword_between,
    STATE(1513), 1,
      sym__keyword_or,
    STATE(1514), 1,
      sym__keyword_and,
    STATE(1562), 1,
      sym__keyword_in,
    STATE(12102), 1,
      sym__keyword_is,
    STATE(13046), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16287), 1,
      sym_like_operator,
    STATE(16288), 1,
      sym_quantitve_like_operator,
    ACTIONS(4467), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4471), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(921), 4,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(917), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [106204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1448), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [106256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1448), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [106308] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4463), 1,
      anon_sym_PLUS,
    ACTIONS(4465), 1,
      anon_sym_DASH,
    ACTIONS(4469), 1,
      anon_sym_SLASH,
    ACTIONS(4473), 1,
      anon_sym_AMP,
    STATE(1134), 1,
      sym__keyword_between,
    STATE(1513), 1,
      sym__keyword_or,
    STATE(1514), 1,
      sym__keyword_and,
    STATE(1562), 1,
      sym__keyword_in,
    STATE(12102), 1,
      sym__keyword_is,
    STATE(13046), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16287), 1,
      sym_like_operator,
    STATE(16288), 1,
      sym_quantitve_like_operator,
    ACTIONS(4467), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4471), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(921), 4,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(917), 23,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
  [106390] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4135), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4137), 1,
      aux_sym__keyword_as_token1,
    STATE(7410), 1,
      sym_table_cluster_clause,
    STATE(7943), 1,
      sym_option_clause,
    STATE(12329), 1,
      sym__keyword_as,
    ACTIONS(4133), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [106454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1448), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [106506] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3784), 1,
      sym_analytics_clause,
    ACTIONS(1372), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1370), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [106562] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1448), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [106614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1448), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [106666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1776), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1778), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [106718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1776), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1778), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [106770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1776), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1778), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [106822] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1186), 1,
      sym__keyword_in,
    STATE(1199), 1,
      sym__keyword_and,
    STATE(1200), 1,
      sym__keyword_or,
    STATE(1882), 1,
      sym__keyword_between,
    STATE(12129), 1,
      sym__keyword_is,
    STATE(13084), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16130), 1,
      sym_quantitve_like_operator,
    STATE(16147), 1,
      sym_like_operator,
    ACTIONS(921), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(917), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [106892] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4463), 1,
      anon_sym_PLUS,
    ACTIONS(4465), 1,
      anon_sym_DASH,
    ACTIONS(4469), 1,
      anon_sym_SLASH,
    STATE(1134), 1,
      sym__keyword_between,
    STATE(1513), 1,
      sym__keyword_or,
    STATE(1514), 1,
      sym__keyword_and,
    STATE(1562), 1,
      sym__keyword_in,
    STATE(12102), 1,
      sym__keyword_is,
    STATE(13046), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16287), 1,
      sym_like_operator,
    STATE(16288), 1,
      sym_quantitve_like_operator,
    ACTIONS(4467), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4471), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(921), 4,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(917), 24,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
  [106972] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4463), 1,
      anon_sym_PLUS,
    ACTIONS(4465), 1,
      anon_sym_DASH,
    ACTIONS(4469), 1,
      anon_sym_SLASH,
    STATE(1134), 1,
      sym__keyword_between,
    STATE(1513), 1,
      sym__keyword_or,
    STATE(1514), 1,
      sym__keyword_and,
    STATE(1562), 1,
      sym__keyword_in,
    STATE(12102), 1,
      sym__keyword_is,
    STATE(13046), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16287), 1,
      sym_like_operator,
    STATE(16288), 1,
      sym_quantitve_like_operator,
    ACTIONS(4467), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(921), 4,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(917), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [107050] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4115), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4117), 1,
      aux_sym__keyword_as_token1,
    STATE(7324), 1,
      sym_table_cluster_clause,
    STATE(7793), 1,
      sym_option_clause,
    STATE(12802), 1,
      sym__keyword_as,
    ACTIONS(4113), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [107114] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4469), 1,
      anon_sym_SLASH,
    STATE(1134), 1,
      sym__keyword_between,
    STATE(1513), 1,
      sym__keyword_or,
    STATE(1514), 1,
      sym__keyword_and,
    STATE(1562), 1,
      sym__keyword_in,
    STATE(12102), 1,
      sym__keyword_is,
    STATE(13046), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16287), 1,
      sym_like_operator,
    STATE(16288), 1,
      sym_quantitve_like_operator,
    ACTIONS(4467), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(921), 5,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PIPE,
    ACTIONS(917), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [107188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [107240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1360), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [107292] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3634), 1,
      sym_analytics_clause,
    ACTIONS(1452), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1450), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [107348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1776), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1778), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [107400] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4463), 1,
      anon_sym_PLUS,
    ACTIONS(4465), 1,
      anon_sym_DASH,
    ACTIONS(4469), 1,
      anon_sym_SLASH,
    ACTIONS(4473), 1,
      anon_sym_AMP,
    ACTIONS(4475), 1,
      anon_sym_CARET,
    ACTIONS(4477), 1,
      anon_sym_PIPE,
    STATE(1134), 1,
      sym__keyword_between,
    STATE(1513), 1,
      sym__keyword_or,
    STATE(1514), 1,
      sym__keyword_and,
    STATE(1562), 1,
      sym__keyword_in,
    STATE(12102), 1,
      sym__keyword_is,
    STATE(13046), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16287), 1,
      sym_like_operator,
    STATE(16288), 1,
      sym_quantitve_like_operator,
    ACTIONS(4467), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4471), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(921), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(917), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [107486] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3787), 1,
      sym_analytics_clause,
    ACTIONS(1506), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1504), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [107542] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3788), 1,
      sym_analytics_clause,
    ACTIONS(1502), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1500), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [107598] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4514), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4516), 1,
      aux_sym__keyword_as_token1,
    STATE(7278), 1,
      sym_table_cluster_clause,
    STATE(7694), 1,
      sym_option_clause,
    STATE(12748), 1,
      sym__keyword_as,
    ACTIONS(4512), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [107662] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3640), 1,
      sym_analytics_clause,
    ACTIONS(1452), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1450), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [107718] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3842), 1,
      sym_analytics_clause,
    ACTIONS(1366), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1364), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [107774] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3642), 1,
      sym_analytics_clause,
    ACTIONS(1456), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1454), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [107830] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4145), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4147), 1,
      aux_sym__keyword_as_token1,
    STATE(7303), 1,
      sym_table_cluster_clause,
    STATE(7755), 1,
      sym_option_clause,
    STATE(12493), 1,
      sym__keyword_as,
    ACTIONS(4143), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [107894] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4520), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4522), 1,
      aux_sym__keyword_as_token1,
    STATE(7391), 1,
      sym_table_cluster_clause,
    STATE(7700), 1,
      sym_option_clause,
    STATE(12232), 1,
      sym__keyword_as,
    ACTIONS(4518), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [107958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [108010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1386), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1388), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [108062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [108114] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4508), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4510), 1,
      aux_sym__keyword_as_token1,
    STATE(7281), 1,
      sym_table_cluster_clause,
    STATE(7706), 1,
      sym_option_clause,
    STATE(12749), 1,
      sym__keyword_as,
    ACTIONS(4506), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [108178] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3790), 1,
      sym_analytics_clause,
    ACTIONS(1498), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1496), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [108234] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3626), 1,
      anon_sym_LPAREN,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4991), 1,
      aux_sym__keyword_as_token1,
    STATE(7118), 1,
      sym_create_table_parameters,
    STATE(7579), 1,
      sym_table_partition_clause,
    STATE(8766), 1,
      sym_table_cluster_clause,
    STATE(9851), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12477), 1,
      sym__keyword_as,
    ACTIONS(4280), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [108306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [108358] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3841), 1,
      sym_analytics_clause,
    ACTIONS(1366), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1364), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [108414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [108466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [108518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [108570] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4935), 1,
      anon_sym_PLUS,
    ACTIONS(4937), 1,
      anon_sym_DASH,
    ACTIONS(4941), 1,
      anon_sym_SLASH,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    STATE(1186), 1,
      sym__keyword_in,
    STATE(1199), 1,
      sym__keyword_and,
    STATE(1200), 1,
      sym__keyword_or,
    STATE(1882), 1,
      sym__keyword_between,
    STATE(12129), 1,
      sym__keyword_is,
    STATE(13084), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16130), 1,
      sym_quantitve_like_operator,
    STATE(16147), 1,
      sym_like_operator,
    ACTIONS(4939), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(921), 3,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(917), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [108656] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4941), 1,
      anon_sym_SLASH,
    STATE(1186), 1,
      sym__keyword_in,
    STATE(1199), 1,
      sym__keyword_and,
    STATE(1200), 1,
      sym__keyword_or,
    STATE(1882), 1,
      sym__keyword_between,
    STATE(12129), 1,
      sym__keyword_is,
    STATE(13084), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16130), 1,
      sym_quantitve_like_operator,
    STATE(16147), 1,
      sym_like_operator,
    ACTIONS(4939), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(921), 5,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PIPE,
    ACTIONS(917), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [108730] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4935), 1,
      anon_sym_PLUS,
    ACTIONS(4937), 1,
      anon_sym_DASH,
    ACTIONS(4941), 1,
      anon_sym_SLASH,
    STATE(1186), 1,
      sym__keyword_in,
    STATE(1199), 1,
      sym__keyword_and,
    STATE(1200), 1,
      sym__keyword_or,
    STATE(1882), 1,
      sym__keyword_between,
    STATE(12129), 1,
      sym__keyword_is,
    STATE(13084), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16130), 1,
      sym_quantitve_like_operator,
    STATE(16147), 1,
      sym_like_operator,
    ACTIONS(4939), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(921), 4,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(917), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [108808] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4935), 1,
      anon_sym_PLUS,
    ACTIONS(4937), 1,
      anon_sym_DASH,
    ACTIONS(4941), 1,
      anon_sym_SLASH,
    STATE(1186), 1,
      sym__keyword_in,
    STATE(1199), 1,
      sym__keyword_and,
    STATE(1200), 1,
      sym__keyword_or,
    STATE(1882), 1,
      sym__keyword_between,
    STATE(12129), 1,
      sym__keyword_is,
    STATE(13084), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16130), 1,
      sym_quantitve_like_operator,
    STATE(16147), 1,
      sym_like_operator,
    ACTIONS(4939), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(921), 4,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(917), 24,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
  [108888] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3645), 1,
      sym_analytics_clause,
    ACTIONS(1460), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1458), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [108944] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4935), 1,
      anon_sym_PLUS,
    ACTIONS(4937), 1,
      anon_sym_DASH,
    ACTIONS(4941), 1,
      anon_sym_SLASH,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    STATE(1186), 1,
      sym__keyword_in,
    STATE(1199), 1,
      sym__keyword_and,
    STATE(1200), 1,
      sym__keyword_or,
    STATE(1882), 1,
      sym__keyword_between,
    STATE(12129), 1,
      sym__keyword_is,
    STATE(13084), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16130), 1,
      sym_quantitve_like_operator,
    STATE(16147), 1,
      sym_like_operator,
    ACTIONS(4939), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(921), 4,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(917), 23,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
  [109026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [109078] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4935), 1,
      anon_sym_PLUS,
    ACTIONS(4937), 1,
      anon_sym_DASH,
    ACTIONS(4941), 1,
      anon_sym_SLASH,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    STATE(1186), 1,
      sym__keyword_in,
    STATE(1199), 1,
      sym__keyword_and,
    STATE(1200), 1,
      sym__keyword_or,
    STATE(1882), 1,
      sym__keyword_between,
    STATE(12129), 1,
      sym__keyword_is,
    STATE(13084), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16130), 1,
      sym_quantitve_like_operator,
    STATE(16147), 1,
      sym_like_operator,
    ACTIONS(4939), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(921), 4,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(917), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [109162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [109214] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3672), 1,
      sym_analytics_clause,
    ACTIONS(1404), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1402), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [109270] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(921), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(4925), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4927), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4935), 1,
      anon_sym_PLUS,
    ACTIONS(4937), 1,
      anon_sym_DASH,
    ACTIONS(4941), 1,
      anon_sym_SLASH,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    STATE(1186), 1,
      sym__keyword_in,
    STATE(1199), 1,
      sym__keyword_and,
    STATE(1200), 1,
      sym__keyword_or,
    STATE(1882), 1,
      sym__keyword_between,
    STATE(12129), 1,
      sym__keyword_is,
    STATE(13084), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16130), 1,
      sym_quantitve_like_operator,
    STATE(16147), 1,
      sym_like_operator,
    ACTIONS(4933), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4939), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4929), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(917), 13,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
  [109366] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(921), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(4925), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4927), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4931), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4935), 1,
      anon_sym_PLUS,
    ACTIONS(4937), 1,
      anon_sym_DASH,
    ACTIONS(4941), 1,
      anon_sym_SLASH,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    STATE(1186), 1,
      sym__keyword_in,
    STATE(1199), 1,
      sym__keyword_and,
    STATE(1200), 1,
      sym__keyword_or,
    STATE(1882), 1,
      sym__keyword_between,
    STATE(12129), 1,
      sym__keyword_is,
    STATE(13084), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16130), 1,
      sym_quantitve_like_operator,
    STATE(16147), 1,
      sym_like_operator,
    ACTIONS(4933), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4939), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4929), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(917), 12,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
  [109464] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3626), 1,
      anon_sym_LPAREN,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4993), 1,
      aux_sym__keyword_as_token1,
    STATE(7147), 1,
      sym_create_table_parameters,
    STATE(7915), 1,
      sym_table_partition_clause,
    STATE(8620), 1,
      sym_table_cluster_clause,
    STATE(9806), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12210), 1,
      sym__keyword_as,
    ACTIONS(4235), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [109536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [109588] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3647), 1,
      sym_analytics_clause,
    ACTIONS(1468), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1466), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [109644] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3649), 1,
      sym_analytics_clause,
    ACTIONS(1472), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1470), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [109700] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4997), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4999), 1,
      aux_sym__keyword_as_token1,
    STATE(7286), 1,
      sym_table_cluster_clause,
    STATE(7711), 1,
      sym_option_clause,
    STATE(12750), 1,
      sym__keyword_as,
    ACTIONS(4995), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [109764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [109816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [109868] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1842), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1844), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [109920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [109972] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4935), 1,
      anon_sym_PLUS,
    ACTIONS(4937), 1,
      anon_sym_DASH,
    ACTIONS(4941), 1,
      anon_sym_SLASH,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    STATE(1186), 1,
      sym__keyword_in,
    STATE(1199), 1,
      sym__keyword_and,
    STATE(1200), 1,
      sym__keyword_or,
    STATE(1882), 1,
      sym__keyword_between,
    STATE(12129), 1,
      sym__keyword_is,
    STATE(13084), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16130), 1,
      sym_quantitve_like_operator,
    STATE(16147), 1,
      sym_like_operator,
    ACTIONS(4939), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1041), 3,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1039), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [110058] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [110110] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1834), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1836), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [110162] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3740), 1,
      sym_analytics_clause,
    ACTIONS(1400), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1398), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [110218] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3792), 1,
      sym_analytics_clause,
    ACTIONS(1362), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1360), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [110274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1456), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [110326] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1466), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1468), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [110378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1470), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1472), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [110430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1854), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1856), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [110482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1846), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1848), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [110534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [110586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [110638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [110690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [110742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [110794] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4406), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4408), 1,
      aux_sym__keyword_as_token1,
    STATE(7317), 1,
      sym_table_cluster_clause,
    STATE(7786), 1,
      sym_option_clause,
    STATE(12859), 1,
      sym__keyword_as,
    ACTIONS(4404), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [110858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [110910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [110962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [111014] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3795), 1,
      sym_analytics_clause,
    ACTIONS(1362), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1360), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [111070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [111122] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5003), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5005), 1,
      aux_sym__keyword_as_token1,
    STATE(7289), 1,
      sym_table_cluster_clause,
    STATE(7713), 1,
      sym_option_clause,
    STATE(12751), 1,
      sym__keyword_as,
    ACTIONS(5001), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [111186] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3798), 1,
      sym_analytics_clause,
    ACTIONS(1362), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1360), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [111242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [111294] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3783), 1,
      sym_analytics_clause,
    ACTIONS(1362), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1360), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [111350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1586), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1588), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [111402] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4935), 1,
      anon_sym_PLUS,
    ACTIONS(4937), 1,
      anon_sym_DASH,
    ACTIONS(4941), 1,
      anon_sym_SLASH,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    STATE(1186), 1,
      sym__keyword_in,
    STATE(1199), 1,
      sym__keyword_and,
    STATE(1200), 1,
      sym__keyword_or,
    STATE(1882), 1,
      sym__keyword_between,
    STATE(12129), 1,
      sym__keyword_is,
    STATE(13084), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16130), 1,
      sym_quantitve_like_operator,
    STATE(16147), 1,
      sym_like_operator,
    ACTIONS(4939), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1037), 3,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1035), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [111488] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3807), 1,
      sym_analytics_clause,
    ACTIONS(1362), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1360), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [111544] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4935), 1,
      anon_sym_PLUS,
    ACTIONS(4937), 1,
      anon_sym_DASH,
    ACTIONS(4941), 1,
      anon_sym_SLASH,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    STATE(1186), 1,
      sym__keyword_in,
    STATE(1199), 1,
      sym__keyword_and,
    STATE(1200), 1,
      sym__keyword_or,
    STATE(1882), 1,
      sym__keyword_between,
    STATE(12129), 1,
      sym__keyword_is,
    STATE(13084), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16130), 1,
      sym_quantitve_like_operator,
    STATE(16147), 1,
      sym_like_operator,
    ACTIONS(4939), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1033), 3,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1031), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [111630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [111682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [111734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [111786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [111838] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3704), 1,
      anon_sym_PLUS,
    ACTIONS(3706), 1,
      anon_sym_DASH,
    ACTIONS(3710), 1,
      anon_sym_SLASH,
    ACTIONS(3714), 1,
      anon_sym_AMP,
    ACTIONS(3716), 1,
      anon_sym_CARET,
    ACTIONS(3718), 1,
      anon_sym_PIPE,
    STATE(1321), 1,
      sym__keyword_between,
    STATE(1850), 1,
      sym__keyword_or,
    STATE(1852), 1,
      sym__keyword_and,
    STATE(1862), 1,
      sym__keyword_in,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13064), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(3708), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3712), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1023), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1025), 15,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
  [111924] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3839), 1,
      sym_analytics_clause,
    ACTIONS(1366), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1364), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [111980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [112032] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3704), 1,
      anon_sym_PLUS,
    ACTIONS(3706), 1,
      anon_sym_DASH,
    ACTIONS(3710), 1,
      anon_sym_SLASH,
    ACTIONS(3714), 1,
      anon_sym_AMP,
    ACTIONS(3716), 1,
      anon_sym_CARET,
    ACTIONS(3718), 1,
      anon_sym_PIPE,
    STATE(1321), 1,
      sym__keyword_between,
    STATE(1850), 1,
      sym__keyword_or,
    STATE(1852), 1,
      sym__keyword_and,
    STATE(1862), 1,
      sym__keyword_in,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13064), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(3708), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3712), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(947), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(949), 15,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
  [112118] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3808), 1,
      sym_analytics_clause,
    ACTIONS(1362), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1360), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [112174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [112226] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [112278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [112330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [112382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [112434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [112486] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3704), 1,
      anon_sym_PLUS,
    ACTIONS(3706), 1,
      anon_sym_DASH,
    ACTIONS(3710), 1,
      anon_sym_SLASH,
    ACTIONS(3714), 1,
      anon_sym_AMP,
    ACTIONS(3716), 1,
      anon_sym_CARET,
    ACTIONS(3718), 1,
      anon_sym_PIPE,
    STATE(1321), 1,
      sym__keyword_between,
    STATE(1850), 1,
      sym__keyword_or,
    STATE(1852), 1,
      sym__keyword_and,
    STATE(1862), 1,
      sym__keyword_in,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13064), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(3708), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3712), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1031), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1033), 15,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
  [112572] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4420), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4422), 1,
      aux_sym__keyword_as_token1,
    STATE(7312), 1,
      sym_table_cluster_clause,
    STATE(7766), 1,
      sym_option_clause,
    STATE(12860), 1,
      sym__keyword_as,
    ACTIONS(4418), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [112636] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1321), 1,
      sym__keyword_between,
    STATE(1850), 1,
      sym__keyword_or,
    STATE(1852), 1,
      sym__keyword_and,
    STATE(1862), 1,
      sym__keyword_in,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13064), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(917), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(921), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [112706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [112758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1484), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1486), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [112810] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3704), 1,
      anon_sym_PLUS,
    ACTIONS(3706), 1,
      anon_sym_DASH,
    ACTIONS(3710), 1,
      anon_sym_SLASH,
    ACTIONS(3714), 1,
      anon_sym_AMP,
    ACTIONS(3716), 1,
      anon_sym_CARET,
    ACTIONS(3718), 1,
      anon_sym_PIPE,
    STATE(1321), 1,
      sym__keyword_between,
    STATE(1850), 1,
      sym__keyword_or,
    STATE(1852), 1,
      sym__keyword_and,
    STATE(1862), 1,
      sym__keyword_in,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13064), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(3708), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3712), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1035), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1037), 15,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
  [112896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [112948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [113000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [113052] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3704), 1,
      anon_sym_PLUS,
    ACTIONS(3706), 1,
      anon_sym_DASH,
    ACTIONS(3710), 1,
      anon_sym_SLASH,
    ACTIONS(3714), 1,
      anon_sym_AMP,
    ACTIONS(3716), 1,
      anon_sym_CARET,
    ACTIONS(3718), 1,
      anon_sym_PIPE,
    STATE(1321), 1,
      sym__keyword_between,
    STATE(1850), 1,
      sym__keyword_or,
    STATE(1852), 1,
      sym__keyword_and,
    STATE(1862), 1,
      sym__keyword_in,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13064), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(3708), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3712), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1039), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1041), 15,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
  [113138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [113190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [113242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [113294] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(3684), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3686), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3690), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3704), 1,
      anon_sym_PLUS,
    ACTIONS(3706), 1,
      anon_sym_DASH,
    ACTIONS(3710), 1,
      anon_sym_SLASH,
    ACTIONS(3714), 1,
      anon_sym_AMP,
    ACTIONS(3716), 1,
      anon_sym_CARET,
    ACTIONS(3718), 1,
      anon_sym_PIPE,
    STATE(1321), 1,
      sym__keyword_between,
    STATE(1850), 1,
      sym__keyword_or,
    STATE(1852), 1,
      sym__keyword_and,
    STATE(1862), 1,
      sym__keyword_in,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13064), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(3708), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3712), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3688), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(917), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
    ACTIONS(3698), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(921), 8,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      sym__unquoted_identifier,
  [113392] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4935), 1,
      anon_sym_PLUS,
    ACTIONS(4937), 1,
      anon_sym_DASH,
    ACTIONS(4941), 1,
      anon_sym_SLASH,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    STATE(1186), 1,
      sym__keyword_in,
    STATE(1199), 1,
      sym__keyword_and,
    STATE(1200), 1,
      sym__keyword_or,
    STATE(1882), 1,
      sym__keyword_between,
    STATE(12129), 1,
      sym__keyword_is,
    STATE(13084), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16130), 1,
      sym_quantitve_like_operator,
    STATE(16147), 1,
      sym_like_operator,
    ACTIONS(4939), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(949), 3,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(947), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [113478] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(3684), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3686), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3704), 1,
      anon_sym_PLUS,
    ACTIONS(3706), 1,
      anon_sym_DASH,
    ACTIONS(3710), 1,
      anon_sym_SLASH,
    ACTIONS(3714), 1,
      anon_sym_AMP,
    ACTIONS(3716), 1,
      anon_sym_CARET,
    ACTIONS(3718), 1,
      anon_sym_PIPE,
    STATE(1321), 1,
      sym__keyword_between,
    STATE(1850), 1,
      sym__keyword_or,
    STATE(1852), 1,
      sym__keyword_and,
    STATE(1862), 1,
      sym__keyword_in,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13064), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(3708), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3712), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3688), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(917), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
    ACTIONS(3698), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(921), 9,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      sym__unquoted_identifier,
  [113574] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3704), 1,
      anon_sym_PLUS,
    ACTIONS(3706), 1,
      anon_sym_DASH,
    ACTIONS(3710), 1,
      anon_sym_SLASH,
    ACTIONS(3714), 1,
      anon_sym_AMP,
    ACTIONS(3716), 1,
      anon_sym_CARET,
    STATE(1321), 1,
      sym__keyword_between,
    STATE(1850), 1,
      sym__keyword_or,
    STATE(1852), 1,
      sym__keyword_and,
    STATE(1862), 1,
      sym__keyword_in,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13064), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(3708), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3712), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(917), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(921), 16,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_PIPE,
  [113658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [113710] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3809), 1,
      sym_analytics_clause,
    ACTIONS(1362), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1360), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [113766] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3704), 1,
      anon_sym_PLUS,
    ACTIONS(3706), 1,
      anon_sym_DASH,
    ACTIONS(3710), 1,
      anon_sym_SLASH,
    ACTIONS(3714), 1,
      anon_sym_AMP,
    STATE(1321), 1,
      sym__keyword_between,
    STATE(1850), 1,
      sym__keyword_or,
    STATE(1852), 1,
      sym__keyword_and,
    STATE(1862), 1,
      sym__keyword_in,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13064), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(3708), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3712), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(917), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
    ACTIONS(921), 16,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_PIPE,
  [113848] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3704), 1,
      anon_sym_PLUS,
    ACTIONS(3706), 1,
      anon_sym_DASH,
    ACTIONS(3710), 1,
      anon_sym_SLASH,
    STATE(1321), 1,
      sym__keyword_between,
    STATE(1850), 1,
      sym__keyword_or,
    STATE(1852), 1,
      sym__keyword_and,
    STATE(1862), 1,
      sym__keyword_in,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13064), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(3708), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3712), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(917), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(921), 16,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_PIPE,
  [113928] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4935), 1,
      anon_sym_PLUS,
    ACTIONS(4937), 1,
      anon_sym_DASH,
    ACTIONS(4941), 1,
      anon_sym_SLASH,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    STATE(1186), 1,
      sym__keyword_in,
    STATE(1199), 1,
      sym__keyword_and,
    STATE(1200), 1,
      sym__keyword_or,
    STATE(1882), 1,
      sym__keyword_between,
    STATE(12129), 1,
      sym__keyword_is,
    STATE(13084), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16130), 1,
      sym_quantitve_like_operator,
    STATE(16147), 1,
      sym_like_operator,
    ACTIONS(4939), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1025), 3,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1023), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [114014] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3811), 1,
      sym_analytics_clause,
    ACTIONS(1362), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1360), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [114070] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3704), 1,
      anon_sym_PLUS,
    ACTIONS(3706), 1,
      anon_sym_DASH,
    ACTIONS(3710), 1,
      anon_sym_SLASH,
    STATE(1321), 1,
      sym__keyword_between,
    STATE(1850), 1,
      sym__keyword_or,
    STATE(1852), 1,
      sym__keyword_and,
    STATE(1862), 1,
      sym__keyword_in,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13064), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(3708), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(917), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(921), 16,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_PIPE,
  [114148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [114200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [114252] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5009), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5011), 1,
      aux_sym__keyword_as_token1,
    STATE(7293), 1,
      sym_table_cluster_clause,
    STATE(7731), 1,
      sym_option_clause,
    STATE(12755), 1,
      sym__keyword_as,
    ACTIONS(5007), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [114316] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3710), 1,
      anon_sym_SLASH,
    STATE(1321), 1,
      sym__keyword_between,
    STATE(1850), 1,
      sym__keyword_or,
    STATE(1852), 1,
      sym__keyword_and,
    STATE(1862), 1,
      sym__keyword_in,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13064), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(3708), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(917), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(921), 17,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_PIPE,
  [114390] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3704), 1,
      anon_sym_PLUS,
    ACTIONS(3706), 1,
      anon_sym_DASH,
    ACTIONS(3710), 1,
      anon_sym_SLASH,
    ACTIONS(3714), 1,
      anon_sym_AMP,
    ACTIONS(3716), 1,
      anon_sym_CARET,
    ACTIONS(3718), 1,
      anon_sym_PIPE,
    STATE(1321), 1,
      sym__keyword_between,
    STATE(1850), 1,
      sym__keyword_or,
    STATE(1852), 1,
      sym__keyword_and,
    STATE(1862), 1,
      sym__keyword_in,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13064), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(3708), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3712), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(917), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(921), 15,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
  [114476] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3812), 1,
      sym_analytics_clause,
    ACTIONS(1362), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1360), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [114532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [114584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [114636] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3838), 1,
      sym_analytics_clause,
    ACTIONS(1366), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1364), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [114692] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3836), 1,
      sym_analytics_clause,
    ACTIONS(1366), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1364), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [114748] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4839), 1,
      aux_sym_transoform_clause_token1,
    ACTIONS(5015), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5017), 1,
      aux_sym__keyword_as_token1,
    STATE(7290), 1,
      sym_transoform_clause,
    STATE(7714), 1,
      sym_option_clause,
    STATE(12463), 1,
      sym__keyword_as,
    ACTIONS(5013), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [114812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [114864] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3814), 1,
      sym_analytics_clause,
    ACTIONS(1388), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1386), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [114920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [114972] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3816), 1,
      sym_analytics_clause,
    ACTIONS(1366), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1364), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [115028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [115080] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5019), 1,
      aux_sym_alter_table_rename_statement_token2,
    ACTIONS(1524), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1526), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [115134] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4426), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4428), 1,
      aux_sym__keyword_as_token1,
    STATE(7379), 1,
      sym_table_cluster_clause,
    STATE(7665), 1,
      sym_option_clause,
    STATE(12229), 1,
      sym__keyword_as,
    ACTIONS(4424), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [115198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [115250] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3835), 1,
      sym_analytics_clause,
    ACTIONS(1366), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1364), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [115306] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3659), 1,
      sym_analytics_clause,
    ACTIONS(1482), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1480), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [115362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [115414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [115466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1838), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1840), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [115518] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4342), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4344), 1,
      aux_sym__keyword_as_token1,
    STATE(7420), 1,
      sym_table_cluster_clause,
    STATE(7591), 1,
      sym_option_clause,
    STATE(12406), 1,
      sym__keyword_as,
    ACTIONS(4340), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [115582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1390), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1392), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [115634] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5023), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5025), 1,
      aux_sym__keyword_as_token1,
    STATE(7355), 1,
      sym_table_cluster_clause,
    STATE(7641), 1,
      sym_option_clause,
    STATE(12202), 1,
      sym__keyword_as,
    ACTIONS(5021), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [115698] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3834), 1,
      sym_analytics_clause,
    ACTIONS(1366), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1364), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [115754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1382), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1384), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [115806] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3817), 1,
      sym_analytics_clause,
    ACTIONS(1366), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1364), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [115862] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3818), 1,
      sym_analytics_clause,
    ACTIONS(1366), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1364), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [115918] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3833), 1,
      sym_analytics_clause,
    ACTIONS(1366), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1364), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [115974] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4336), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4338), 1,
      aux_sym__keyword_as_token1,
    STATE(7392), 1,
      sym_table_cluster_clause,
    STATE(7568), 1,
      sym_option_clause,
    STATE(12405), 1,
      sym__keyword_as,
    ACTIONS(4334), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [116038] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3832), 1,
      sym_analytics_clause,
    ACTIONS(1366), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1364), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [116094] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3829), 1,
      sym_analytics_clause,
    ACTIONS(1366), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1364), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [116150] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3820), 1,
      sym_analytics_clause,
    ACTIONS(1366), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1364), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [116206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1590), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1592), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [116258] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3626), 1,
      anon_sym_LPAREN,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5027), 1,
      aux_sym__keyword_as_token1,
    STATE(7157), 1,
      sym_create_table_parameters,
    STATE(7770), 1,
      sym_table_partition_clause,
    STATE(8613), 1,
      sym_table_cluster_clause,
    STATE(9801), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12199), 1,
      sym__keyword_as,
    ACTIONS(4203), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [116330] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5031), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5033), 1,
      aux_sym__keyword_as_token1,
    STATE(7294), 1,
      sym_table_cluster_clause,
    STATE(7733), 1,
      sym_option_clause,
    STATE(12756), 1,
      sym__keyword_as,
    ACTIONS(5029), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [116394] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4109), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4111), 1,
      aux_sym__keyword_as_token1,
    STATE(7373), 1,
      sym_table_cluster_clause,
    STATE(7658), 1,
      sym_option_clause,
    STATE(12224), 1,
      sym__keyword_as,
    ACTIONS(4107), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [116458] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1134), 1,
      sym__keyword_between,
    STATE(1513), 1,
      sym__keyword_or,
    STATE(1514), 1,
      sym__keyword_and,
    STATE(1562), 1,
      sym__keyword_in,
    STATE(12102), 1,
      sym__keyword_is,
    STATE(13046), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16287), 1,
      sym_like_operator,
    STATE(16288), 1,
      sym_quantitve_like_operator,
    ACTIONS(921), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(917), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [116528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1780), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1782), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [116580] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3821), 1,
      sym_analytics_clause,
    ACTIONS(1366), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1364), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [116636] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3662), 1,
      sym_analytics_clause,
    ACTIONS(1490), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1488), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [116692] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3826), 1,
      sym_analytics_clause,
    ACTIONS(1366), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1364), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [116748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1614), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1616), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token3,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [116800] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3824), 1,
      sym_analytics_clause,
    ACTIONS(1366), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1364), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [116856] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3664), 1,
      sym_analytics_clause,
    ACTIONS(1494), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1492), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [116912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1598), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1600), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [116964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1826), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1828), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [117016] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3634), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5037), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5039), 1,
      aux_sym__keyword_as_token1,
    STATE(7288), 1,
      sym_table_cluster_clause,
    STATE(7548), 1,
      sym_option_clause,
    STATE(12401), 1,
      sym__keyword_as,
    ACTIONS(5035), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [117080] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3626), 1,
      anon_sym_LPAREN,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5041), 1,
      aux_sym__keyword_as_token1,
    STATE(7207), 1,
      sym_create_table_parameters,
    STATE(7703), 1,
      sym_table_partition_clause,
    STATE(8608), 1,
      sym_table_cluster_clause,
    STATE(9798), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12165), 1,
      sym__keyword_as,
    ACTIONS(4286), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [117152] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5045), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5047), 1,
      anon_sym_LT,
    ACTIONS(5043), 42,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_default_clause_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [117206] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_analytics_clause_token1,
    STATE(3823), 1,
      sym_analytics_clause,
    ACTIONS(1366), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1364), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [117262] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4727), 1,
      aux_sym__keyword_as_token1,
    STATE(7618), 1,
      sym_table_partition_clause,
    STATE(8746), 1,
      sym_table_cluster_clause,
    STATE(9841), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12281), 1,
      sym__keyword_as,
    ACTIONS(4119), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [117329] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1622), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1624), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [117380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1764), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1766), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [117431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1672), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1674), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [117482] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4761), 1,
      aux_sym__keyword_as_token1,
    STATE(7685), 1,
      sym_table_partition_clause,
    STATE(8598), 1,
      sym_table_cluster_clause,
    STATE(9797), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12676), 1,
      sym__keyword_as,
    ACTIONS(4005), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [117549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1083), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1081), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [117600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1610), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1612), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [117651] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5051), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(5053), 1,
      aux_sym__keyword_else_token1,
    STATE(7307), 1,
      sym_option_clause,
    ACTIONS(5049), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [117708] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4059), 1,
      aux_sym_foreign_key_references_token1,
    ACTIONS(4354), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(4763), 1,
      aux_sym_default_clause_token1,
    ACTIONS(5055), 1,
      aux_sym_primary_key_token1,
    STATE(7259), 1,
      sym_default_clause,
    STATE(7371), 1,
      sym_option_clause,
    STATE(7573), 1,
      sym_foreign_key_references,
    ACTIONS(4352), 35,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [117773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1756), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1758), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [117824] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4729), 1,
      aux_sym__keyword_as_token1,
    STATE(7749), 1,
      sym_table_partition_clause,
    STATE(8612), 1,
      sym_table_cluster_clause,
    STATE(9800), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12191), 1,
      sym__keyword_as,
    ACTIONS(4133), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [117891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1606), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1608), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [117942] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5059), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(5061), 1,
      aux_sym__keyword_else_token1,
    STATE(7121), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5057), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [117997] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1668), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1670), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [118048] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5059), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(5065), 1,
      aux_sym__keyword_else_token1,
    STATE(7121), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5063), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [118103] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5067), 1,
      aux_sym__keyword_as_token1,
    STATE(7856), 1,
      sym_table_partition_clause,
    STATE(8628), 1,
      sym_table_cluster_clause,
    STATE(9816), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12223), 1,
      sym__keyword_as,
    ACTIONS(4346), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [118170] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5059), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(5071), 1,
      aux_sym__keyword_else_token1,
    STATE(7121), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5069), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [118225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5075), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5073), 42,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_default_clause_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [118276] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5079), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(5082), 1,
      aux_sym__keyword_else_token1,
    STATE(7121), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5077), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [118331] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5084), 1,
      aux_sym__keyword_as_token1,
    STATE(8004), 1,
      sym_table_partition_clause,
    STATE(8610), 1,
      sym_table_cluster_clause,
    STATE(9802), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12203), 1,
      sym__keyword_as,
    ACTIONS(4518), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [118398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1660), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1662), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [118449] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4925), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4927), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4931), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4935), 1,
      anon_sym_PLUS,
    ACTIONS(4937), 1,
      anon_sym_DASH,
    ACTIONS(4941), 1,
      anon_sym_SLASH,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    ACTIONS(5088), 1,
      anon_sym_LBRACK,
    ACTIONS(5090), 1,
      anon_sym_DOT2,
    STATE(1186), 1,
      sym__keyword_in,
    STATE(1199), 1,
      sym__keyword_and,
    STATE(1200), 1,
      sym__keyword_or,
    STATE(1882), 1,
      sym__keyword_between,
    STATE(12129), 1,
      sym__keyword_is,
    STATE(13084), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(15169), 1,
      aux_sym_function_call_repeat1,
    STATE(16130), 1,
      sym_quantitve_like_operator,
    STATE(16147), 1,
      sym_like_operator,
    ACTIONS(4933), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4939), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4929), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5086), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [118554] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3432), 1,
      anon_sym_LBRACK,
    ACTIONS(4659), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4661), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4665), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4669), 1,
      anon_sym_PLUS,
    ACTIONS(4671), 1,
      anon_sym_DASH,
    ACTIONS(4675), 1,
      anon_sym_SLASH,
    ACTIONS(4679), 1,
      anon_sym_AMP,
    ACTIONS(4681), 1,
      anon_sym_CARET,
    ACTIONS(4683), 1,
      anon_sym_PIPE,
    ACTIONS(4779), 1,
      anon_sym_DOT2,
    STATE(1238), 1,
      sym__keyword_between,
    STATE(1410), 1,
      sym__keyword_in,
    STATE(1417), 1,
      sym__keyword_and,
    STATE(1418), 1,
      sym__keyword_or,
    STATE(12075), 1,
      sym__keyword_is,
    STATE(13024), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16181), 1,
      sym_like_operator,
    STATE(16182), 1,
      sym_quantitve_like_operator,
    ACTIONS(4673), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4677), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4663), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4667), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2918), 8,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [118657] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2700), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(2898), 1,
      anon_sym_COMMA,
    STATE(7468), 1,
      sym__nulls_preference,
    STATE(7469), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4267), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [118714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1658), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [118765] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4605), 1,
      anon_sym_PLUS,
    ACTIONS(4607), 1,
      anon_sym_DASH,
    ACTIONS(4611), 1,
      anon_sym_SLASH,
    ACTIONS(4615), 1,
      anon_sym_AMP,
    ACTIONS(4617), 1,
      anon_sym_CARET,
    ACTIONS(4619), 1,
      anon_sym_PIPE,
    STATE(1095), 1,
      sym__keyword_between,
    STATE(1391), 1,
      sym__keyword_in,
    STATE(1400), 1,
      sym__keyword_and,
    STATE(1401), 1,
      sym__keyword_or,
    STATE(12071), 1,
      sym__keyword_is,
    STATE(13062), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16220), 1,
      sym_like_operator,
    STATE(16237), 1,
      sym_quantitve_like_operator,
    ACTIONS(921), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4609), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4613), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(917), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [118850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1748), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1750), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [118901] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4611), 1,
      anon_sym_SLASH,
    STATE(1095), 1,
      sym__keyword_between,
    STATE(1391), 1,
      sym__keyword_in,
    STATE(1400), 1,
      sym__keyword_and,
    STATE(1401), 1,
      sym__keyword_or,
    STATE(12071), 1,
      sym__keyword_is,
    STATE(13062), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16220), 1,
      sym_like_operator,
    STATE(16237), 1,
      sym_quantitve_like_operator,
    ACTIONS(4609), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(921), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PIPE,
    ACTIONS(917), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [118974] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5092), 1,
      aux_sym__keyword_as_token1,
    STATE(7981), 1,
      sym_table_partition_clause,
    STATE(8616), 1,
      sym_table_cluster_clause,
    STATE(9804), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12204), 1,
      sym__keyword_as,
    ACTIONS(4424), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [119041] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5059), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(5096), 1,
      aux_sym__keyword_else_token1,
    STATE(7121), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5094), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [119096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1664), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1666), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [119147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1510), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1508), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [119198] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5059), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(5100), 1,
      aux_sym__keyword_else_token1,
    STATE(7121), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5098), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [119253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1083), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1081), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [119304] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4605), 1,
      anon_sym_PLUS,
    ACTIONS(4607), 1,
      anon_sym_DASH,
    ACTIONS(4611), 1,
      anon_sym_SLASH,
    STATE(1095), 1,
      sym__keyword_between,
    STATE(1391), 1,
      sym__keyword_in,
    STATE(1400), 1,
      sym__keyword_and,
    STATE(1401), 1,
      sym__keyword_or,
    STATE(12071), 1,
      sym__keyword_is,
    STATE(13062), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16220), 1,
      sym_like_operator,
    STATE(16237), 1,
      sym_quantitve_like_operator,
    ACTIONS(4609), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(921), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(917), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [119381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1724), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1726), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [119432] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4925), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4927), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4931), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4935), 1,
      anon_sym_PLUS,
    ACTIONS(4937), 1,
      anon_sym_DASH,
    ACTIONS(4941), 1,
      anon_sym_SLASH,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    ACTIONS(5088), 1,
      anon_sym_LBRACK,
    ACTIONS(5090), 1,
      anon_sym_DOT2,
    STATE(1186), 1,
      sym__keyword_in,
    STATE(1199), 1,
      sym__keyword_and,
    STATE(1200), 1,
      sym__keyword_or,
    STATE(1882), 1,
      sym__keyword_between,
    STATE(12129), 1,
      sym__keyword_is,
    STATE(13084), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(14827), 1,
      aux_sym_function_call_repeat1,
    STATE(16130), 1,
      sym_quantitve_like_operator,
    STATE(16147), 1,
      sym_like_operator,
    ACTIONS(4933), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4939), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4929), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5086), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [119537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5104), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5102), 42,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_default_clause_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [119588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1728), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1730), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [119639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1732), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1734), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [119690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1618), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1620), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [119741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1582), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1584), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [119792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1736), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1738), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [119843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1740), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1742), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [119894] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5106), 1,
      aux_sym__keyword_as_token1,
    STATE(7646), 1,
      sym_table_partition_clause,
    STATE(8536), 1,
      sym_table_cluster_clause,
    STATE(9775), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12184), 1,
      sym__keyword_as,
    ACTIONS(4380), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [119961] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4605), 1,
      anon_sym_PLUS,
    ACTIONS(4607), 1,
      anon_sym_DASH,
    ACTIONS(4611), 1,
      anon_sym_SLASH,
    STATE(1095), 1,
      sym__keyword_between,
    STATE(1391), 1,
      sym__keyword_in,
    STATE(1400), 1,
      sym__keyword_and,
    STATE(1401), 1,
      sym__keyword_or,
    STATE(12071), 1,
      sym__keyword_is,
    STATE(13062), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16220), 1,
      sym_like_operator,
    STATE(16237), 1,
      sym_quantitve_like_operator,
    ACTIONS(4609), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4613), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(921), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(917), 24,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
  [120040] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4925), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4927), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4931), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4935), 1,
      anon_sym_PLUS,
    ACTIONS(4937), 1,
      anon_sym_DASH,
    ACTIONS(4941), 1,
      anon_sym_SLASH,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    ACTIONS(5088), 1,
      anon_sym_LBRACK,
    ACTIONS(5090), 1,
      anon_sym_DOT2,
    STATE(1186), 1,
      sym__keyword_in,
    STATE(1199), 1,
      sym__keyword_and,
    STATE(1200), 1,
      sym__keyword_or,
    STATE(1882), 1,
      sym__keyword_between,
    STATE(12129), 1,
      sym__keyword_is,
    STATE(13084), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(15971), 1,
      aux_sym_function_call_repeat1,
    STATE(16130), 1,
      sym_quantitve_like_operator,
    STATE(16147), 1,
      sym_like_operator,
    ACTIONS(4933), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4939), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4929), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5086), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [120145] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4723), 1,
      aux_sym__keyword_as_token1,
    STATE(7945), 1,
      sym_table_partition_clause,
    STATE(8618), 1,
      sym_table_cluster_clause,
    STATE(9805), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12205), 1,
      sym__keyword_as,
    ACTIONS(4107), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [120212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1744), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1746), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [120263] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5110), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5108), 42,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_default_clause_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [120314] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4925), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4927), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4931), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4935), 1,
      anon_sym_PLUS,
    ACTIONS(4937), 1,
      anon_sym_DASH,
    ACTIONS(4941), 1,
      anon_sym_SLASH,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    ACTIONS(5088), 1,
      anon_sym_LBRACK,
    ACTIONS(5090), 1,
      anon_sym_DOT2,
    STATE(1186), 1,
      sym__keyword_in,
    STATE(1199), 1,
      sym__keyword_and,
    STATE(1200), 1,
      sym__keyword_or,
    STATE(1882), 1,
      sym__keyword_between,
    STATE(12129), 1,
      sym__keyword_is,
    STATE(13084), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(14430), 1,
      aux_sym_function_call_repeat1,
    STATE(16130), 1,
      sym_quantitve_like_operator,
    STATE(16147), 1,
      sym_like_operator,
    ACTIONS(4933), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4939), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4929), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5086), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [120419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5114), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(5112), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_partition_by_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [120470] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5116), 1,
      aux_sym__keyword_as_token1,
    STATE(7587), 1,
      sym_table_partition_clause,
    STATE(9003), 1,
      sym_table_cluster_clause,
    STATE(9874), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12483), 1,
      sym__keyword_as,
    ACTIONS(4340), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [120537] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4925), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4927), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4931), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4935), 1,
      anon_sym_PLUS,
    ACTIONS(4937), 1,
      anon_sym_DASH,
    ACTIONS(4941), 1,
      anon_sym_SLASH,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    ACTIONS(5088), 1,
      anon_sym_LBRACK,
    ACTIONS(5090), 1,
      anon_sym_DOT2,
    STATE(1186), 1,
      sym__keyword_in,
    STATE(1199), 1,
      sym__keyword_and,
    STATE(1200), 1,
      sym__keyword_or,
    STATE(1882), 1,
      sym__keyword_between,
    STATE(12129), 1,
      sym__keyword_is,
    STATE(13084), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(14759), 1,
      aux_sym_function_call_repeat1,
    STATE(16130), 1,
      sym_quantitve_like_operator,
    STATE(16147), 1,
      sym_like_operator,
    ACTIONS(4933), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4939), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4929), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5086), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [120642] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5118), 1,
      aux_sym__keyword_as_token1,
    STATE(7726), 1,
      sym_table_partition_clause,
    STATE(8525), 1,
      sym_table_cluster_clause,
    STATE(9769), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12192), 1,
      sym__keyword_as,
    ACTIONS(4392), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [120709] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5120), 1,
      aux_sym__keyword_as_token1,
    STATE(7892), 1,
      sym_table_partition_clause,
    STATE(8621), 1,
      sym_table_cluster_clause,
    STATE(9808), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12213), 1,
      sym__keyword_as,
    ACTIONS(4374), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [120776] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5122), 1,
      aux_sym__keyword_as_token1,
    STATE(7670), 1,
      sym_table_partition_clause,
    STATE(8535), 1,
      sym_table_cluster_clause,
    STATE(9774), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12185), 1,
      sym__keyword_as,
    ACTIONS(4386), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [120843] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5124), 1,
      aux_sym__keyword_as_token1,
    STATE(7570), 1,
      sym_table_partition_clause,
    STATE(9015), 1,
      sym_table_cluster_clause,
    STATE(9875), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12472), 1,
      sym__keyword_as,
    ACTIONS(4334), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [120910] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1514), 1,
      anon_sym_DOT,
    ACTIONS(1532), 8,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT2,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1530), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [120963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1604), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [121014] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4795), 1,
      aux_sym__keyword_as_token1,
    STATE(7585), 1,
      sym_table_partition_clause,
    STATE(8759), 1,
      sym_table_cluster_clause,
    STATE(9848), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12475), 1,
      sym__keyword_as,
    ACTIONS(4017), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [121081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1822), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1824), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [121132] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4605), 1,
      anon_sym_PLUS,
    ACTIONS(4607), 1,
      anon_sym_DASH,
    ACTIONS(4611), 1,
      anon_sym_SLASH,
    ACTIONS(4615), 1,
      anon_sym_AMP,
    STATE(1095), 1,
      sym__keyword_between,
    STATE(1391), 1,
      sym__keyword_in,
    STATE(1400), 1,
      sym__keyword_and,
    STATE(1401), 1,
      sym__keyword_or,
    STATE(12071), 1,
      sym__keyword_is,
    STATE(13062), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16220), 1,
      sym_like_operator,
    STATE(16237), 1,
      sym_quantitve_like_operator,
    ACTIONS(4609), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4613), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(921), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(917), 23,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
  [121213] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5126), 1,
      aux_sym__keyword_as_token1,
    STATE(7880), 1,
      sym_table_partition_clause,
    STATE(8624), 1,
      sym_table_cluster_clause,
    STATE(9810), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12215), 1,
      sym__keyword_as,
    ACTIONS(4366), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [121280] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4605), 1,
      anon_sym_PLUS,
    ACTIONS(4607), 1,
      anon_sym_DASH,
    ACTIONS(4611), 1,
      anon_sym_SLASH,
    ACTIONS(4615), 1,
      anon_sym_AMP,
    ACTIONS(4617), 1,
      anon_sym_CARET,
    STATE(1095), 1,
      sym__keyword_between,
    STATE(1391), 1,
      sym__keyword_in,
    STATE(1400), 1,
      sym__keyword_and,
    STATE(1401), 1,
      sym__keyword_or,
    STATE(12071), 1,
      sym__keyword_is,
    STATE(13062), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16220), 1,
      sym_like_operator,
    STATE(16237), 1,
      sym_quantitve_like_operator,
    ACTIONS(4609), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4613), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(921), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(917), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [121363] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4925), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4927), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4931), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4935), 1,
      anon_sym_PLUS,
    ACTIONS(4937), 1,
      anon_sym_DASH,
    ACTIONS(4941), 1,
      anon_sym_SLASH,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    ACTIONS(5088), 1,
      anon_sym_LBRACK,
    ACTIONS(5090), 1,
      anon_sym_DOT2,
    STATE(1186), 1,
      sym__keyword_in,
    STATE(1199), 1,
      sym__keyword_and,
    STATE(1200), 1,
      sym__keyword_or,
    STATE(1882), 1,
      sym__keyword_between,
    STATE(12129), 1,
      sym__keyword_is,
    STATE(13084), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(14768), 1,
      aux_sym_function_call_repeat1,
    STATE(16130), 1,
      sym_quantitve_like_operator,
    STATE(16147), 1,
      sym_like_operator,
    ACTIONS(4933), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4939), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4929), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5086), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [121468] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5128), 1,
      aux_sym__keyword_as_token1,
    STATE(7590), 1,
      sym_table_partition_clause,
    STATE(8754), 1,
      sym_table_cluster_clause,
    STATE(9847), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12473), 1,
      sym__keyword_as,
    ACTIONS(4322), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [121535] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5130), 1,
      aux_sym__keyword_as_token1,
    STATE(7596), 1,
      sym_table_partition_clause,
    STATE(8752), 1,
      sym_table_cluster_clause,
    STATE(9846), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12263), 1,
      sym__keyword_as,
    ACTIONS(4316), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [121602] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(4589), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4591), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4605), 1,
      anon_sym_PLUS,
    ACTIONS(4607), 1,
      anon_sym_DASH,
    ACTIONS(4611), 1,
      anon_sym_SLASH,
    ACTIONS(4615), 1,
      anon_sym_AMP,
    ACTIONS(4617), 1,
      anon_sym_CARET,
    ACTIONS(4619), 1,
      anon_sym_PIPE,
    STATE(1095), 1,
      sym__keyword_between,
    STATE(1391), 1,
      sym__keyword_in,
    STATE(1400), 1,
      sym__keyword_and,
    STATE(1401), 1,
      sym__keyword_or,
    STATE(12071), 1,
      sym__keyword_is,
    STATE(13062), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16220), 1,
      sym_like_operator,
    STATE(16237), 1,
      sym_quantitve_like_operator,
    ACTIONS(4599), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4609), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4613), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4593), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(917), 13,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
  [121695] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(4589), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4591), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4595), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4605), 1,
      anon_sym_PLUS,
    ACTIONS(4607), 1,
      anon_sym_DASH,
    ACTIONS(4611), 1,
      anon_sym_SLASH,
    ACTIONS(4615), 1,
      anon_sym_AMP,
    ACTIONS(4617), 1,
      anon_sym_CARET,
    ACTIONS(4619), 1,
      anon_sym_PIPE,
    STATE(1095), 1,
      sym__keyword_between,
    STATE(1391), 1,
      sym__keyword_in,
    STATE(1400), 1,
      sym__keyword_and,
    STATE(1401), 1,
      sym__keyword_or,
    STATE(12071), 1,
      sym__keyword_is,
    STATE(13062), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16220), 1,
      sym_like_operator,
    STATE(16237), 1,
      sym_quantitve_like_operator,
    ACTIONS(4599), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4609), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4613), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4593), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(917), 12,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
  [121790] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2218), 1,
      sym__string_start,
    STATE(8001), 1,
      sym_string,
    ACTIONS(1510), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1508), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [121845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1692), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1694), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [121896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1680), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1682), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [121947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(917), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(921), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [121998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1712), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1714), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [122049] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4925), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4927), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4931), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4935), 1,
      anon_sym_PLUS,
    ACTIONS(4937), 1,
      anon_sym_DASH,
    ACTIONS(4941), 1,
      anon_sym_SLASH,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    ACTIONS(5088), 1,
      anon_sym_LBRACK,
    ACTIONS(5090), 1,
      anon_sym_DOT2,
    STATE(1186), 1,
      sym__keyword_in,
    STATE(1199), 1,
      sym__keyword_and,
    STATE(1200), 1,
      sym__keyword_or,
    STATE(1882), 1,
      sym__keyword_between,
    STATE(12129), 1,
      sym__keyword_is,
    STATE(13084), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(15163), 1,
      aux_sym_function_call_repeat1,
    STATE(16130), 1,
      sym_quantitve_like_operator,
    STATE(16147), 1,
      sym_like_operator,
    ACTIONS(4933), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4939), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4929), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5086), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [122154] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2492), 1,
      sym__string_start,
    STATE(7869), 1,
      sym_string,
    ACTIONS(1510), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1508), 35,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [122209] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4605), 1,
      anon_sym_PLUS,
    ACTIONS(4607), 1,
      anon_sym_DASH,
    ACTIONS(4611), 1,
      anon_sym_SLASH,
    ACTIONS(4615), 1,
      anon_sym_AMP,
    ACTIONS(4617), 1,
      anon_sym_CARET,
    ACTIONS(4619), 1,
      anon_sym_PIPE,
    STATE(1095), 1,
      sym__keyword_between,
    STATE(1391), 1,
      sym__keyword_in,
    STATE(1400), 1,
      sym__keyword_and,
    STATE(1401), 1,
      sym__keyword_or,
    STATE(12071), 1,
      sym__keyword_is,
    STATE(13062), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16220), 1,
      sym_like_operator,
    STATE(16237), 1,
      sym_quantitve_like_operator,
    ACTIONS(1041), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4609), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4613), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1039), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [122294] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4605), 1,
      anon_sym_PLUS,
    ACTIONS(4607), 1,
      anon_sym_DASH,
    ACTIONS(4611), 1,
      anon_sym_SLASH,
    ACTIONS(4615), 1,
      anon_sym_AMP,
    ACTIONS(4617), 1,
      anon_sym_CARET,
    ACTIONS(4619), 1,
      anon_sym_PIPE,
    STATE(1095), 1,
      sym__keyword_between,
    STATE(1391), 1,
      sym__keyword_in,
    STATE(1400), 1,
      sym__keyword_and,
    STATE(1401), 1,
      sym__keyword_or,
    STATE(12071), 1,
      sym__keyword_is,
    STATE(13062), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16220), 1,
      sym_like_operator,
    STATE(16237), 1,
      sym_quantitve_like_operator,
    ACTIONS(1037), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4609), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4613), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1035), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [122379] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4605), 1,
      anon_sym_PLUS,
    ACTIONS(4607), 1,
      anon_sym_DASH,
    ACTIONS(4611), 1,
      anon_sym_SLASH,
    ACTIONS(4615), 1,
      anon_sym_AMP,
    ACTIONS(4617), 1,
      anon_sym_CARET,
    ACTIONS(4619), 1,
      anon_sym_PIPE,
    STATE(1095), 1,
      sym__keyword_between,
    STATE(1391), 1,
      sym__keyword_in,
    STATE(1400), 1,
      sym__keyword_and,
    STATE(1401), 1,
      sym__keyword_or,
    STATE(12071), 1,
      sym__keyword_is,
    STATE(13062), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16220), 1,
      sym_like_operator,
    STATE(16237), 1,
      sym_quantitve_like_operator,
    ACTIONS(1033), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4609), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4613), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1031), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [122464] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5059), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(5134), 1,
      aux_sym__keyword_else_token1,
    STATE(7121), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5132), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [122519] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4925), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4927), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4931), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4935), 1,
      anon_sym_PLUS,
    ACTIONS(4937), 1,
      anon_sym_DASH,
    ACTIONS(4941), 1,
      anon_sym_SLASH,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    ACTIONS(5088), 1,
      anon_sym_LBRACK,
    ACTIONS(5090), 1,
      anon_sym_DOT2,
    STATE(1186), 1,
      sym__keyword_in,
    STATE(1199), 1,
      sym__keyword_and,
    STATE(1200), 1,
      sym__keyword_or,
    STATE(1882), 1,
      sym__keyword_between,
    STATE(12129), 1,
      sym__keyword_is,
    STATE(13084), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(14487), 1,
      aux_sym_function_call_repeat1,
    STATE(16130), 1,
      sym_quantitve_like_operator,
    STATE(16147), 1,
      sym_like_operator,
    ACTIONS(4933), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4939), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4929), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5086), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [122624] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1578), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1580), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [122675] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4925), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4927), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4931), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4935), 1,
      anon_sym_PLUS,
    ACTIONS(4937), 1,
      anon_sym_DASH,
    ACTIONS(4941), 1,
      anon_sym_SLASH,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    ACTIONS(5088), 1,
      anon_sym_LBRACK,
    ACTIONS(5090), 1,
      anon_sym_DOT2,
    STATE(1186), 1,
      sym__keyword_in,
    STATE(1199), 1,
      sym__keyword_and,
    STATE(1200), 1,
      sym__keyword_or,
    STATE(1882), 1,
      sym__keyword_between,
    STATE(12129), 1,
      sym__keyword_is,
    STATE(13084), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(15572), 1,
      aux_sym_function_call_repeat1,
    STATE(16130), 1,
      sym_quantitve_like_operator,
    STATE(16147), 1,
      sym_like_operator,
    ACTIONS(4933), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4939), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4929), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5086), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [122780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5138), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(5136), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [122831] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4605), 1,
      anon_sym_PLUS,
    ACTIONS(4607), 1,
      anon_sym_DASH,
    ACTIONS(4611), 1,
      anon_sym_SLASH,
    ACTIONS(4615), 1,
      anon_sym_AMP,
    ACTIONS(4617), 1,
      anon_sym_CARET,
    ACTIONS(4619), 1,
      anon_sym_PIPE,
    STATE(1095), 1,
      sym__keyword_between,
    STATE(1391), 1,
      sym__keyword_in,
    STATE(1400), 1,
      sym__keyword_and,
    STATE(1401), 1,
      sym__keyword_or,
    STATE(12071), 1,
      sym__keyword_is,
    STATE(13062), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16220), 1,
      sym_like_operator,
    STATE(16237), 1,
      sym_quantitve_like_operator,
    ACTIONS(949), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4609), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4613), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(947), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [122916] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4725), 1,
      aux_sym__keyword_as_token1,
    STATE(7626), 1,
      sym_table_partition_clause,
    STATE(8723), 1,
      sym_table_cluster_clause,
    STATE(9838), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12270), 1,
      sym__keyword_as,
    ACTIONS(4023), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [122983] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5059), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(5142), 1,
      aux_sym__keyword_else_token1,
    STATE(7121), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5140), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [123038] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3624), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5146), 1,
      aux_sym__keyword_else_token1,
    STATE(7472), 1,
      sym_default_collate_clause,
    STATE(8318), 1,
      sym_option_clause,
    ACTIONS(5144), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [123097] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4925), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4927), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4931), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4935), 1,
      anon_sym_PLUS,
    ACTIONS(4937), 1,
      anon_sym_DASH,
    ACTIONS(4941), 1,
      anon_sym_SLASH,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    ACTIONS(5088), 1,
      anon_sym_LBRACK,
    ACTIONS(5090), 1,
      anon_sym_DOT2,
    STATE(1186), 1,
      sym__keyword_in,
    STATE(1199), 1,
      sym__keyword_and,
    STATE(1200), 1,
      sym__keyword_or,
    STATE(1882), 1,
      sym__keyword_between,
    STATE(12129), 1,
      sym__keyword_is,
    STATE(13084), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(15631), 1,
      aux_sym_function_call_repeat1,
    STATE(16130), 1,
      sym_quantitve_like_operator,
    STATE(16147), 1,
      sym_like_operator,
    ACTIONS(4933), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4939), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4929), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5086), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [123202] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5059), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(5150), 1,
      aux_sym__keyword_else_token1,
    STATE(7121), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5148), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [123257] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1514), 1,
      anon_sym_DOT,
    ACTIONS(1510), 8,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT2,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1508), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [123310] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5154), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(5152), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [123361] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4925), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4927), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4931), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4935), 1,
      anon_sym_PLUS,
    ACTIONS(4937), 1,
      anon_sym_DASH,
    ACTIONS(4941), 1,
      anon_sym_SLASH,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    ACTIONS(5088), 1,
      anon_sym_LBRACK,
    ACTIONS(5090), 1,
      anon_sym_DOT2,
    STATE(1186), 1,
      sym__keyword_in,
    STATE(1199), 1,
      sym__keyword_and,
    STATE(1200), 1,
      sym__keyword_or,
    STATE(1882), 1,
      sym__keyword_between,
    STATE(12129), 1,
      sym__keyword_is,
    STATE(13084), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(14999), 1,
      aux_sym_function_call_repeat1,
    STATE(16130), 1,
      sym_quantitve_like_operator,
    STATE(16147), 1,
      sym_like_operator,
    ACTIONS(4933), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4939), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4929), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5086), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [123466] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5059), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(5158), 1,
      aux_sym__keyword_else_token1,
    STATE(7121), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5156), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [123521] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4605), 1,
      anon_sym_PLUS,
    ACTIONS(4607), 1,
      anon_sym_DASH,
    ACTIONS(4611), 1,
      anon_sym_SLASH,
    ACTIONS(4615), 1,
      anon_sym_AMP,
    ACTIONS(4617), 1,
      anon_sym_CARET,
    ACTIONS(4619), 1,
      anon_sym_PIPE,
    STATE(1095), 1,
      sym__keyword_between,
    STATE(1391), 1,
      sym__keyword_in,
    STATE(1400), 1,
      sym__keyword_and,
    STATE(1401), 1,
      sym__keyword_or,
    STATE(12071), 1,
      sym__keyword_is,
    STATE(13062), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16220), 1,
      sym_like_operator,
    STATE(16237), 1,
      sym_quantitve_like_operator,
    ACTIONS(1025), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4609), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4613), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1023), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [123606] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5059), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(5162), 1,
      aux_sym__keyword_else_token1,
    STATE(7121), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5160), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [123661] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5164), 1,
      aux_sym__keyword_as_token1,
    STATE(7728), 1,
      sym_table_partition_clause,
    STATE(8524), 1,
      sym_table_cluster_clause,
    STATE(9768), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12193), 1,
      sym__keyword_as,
    ACTIONS(4398), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [123728] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5166), 1,
      aux_sym__keyword_as_token1,
    STATE(7864), 1,
      sym_table_partition_clause,
    STATE(8359), 1,
      sym_table_cluster_clause,
    STATE(9815), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12218), 1,
      sym__keyword_as,
    ACTIONS(4360), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [123795] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4721), 1,
      aux_sym__keyword_as_token1,
    STATE(7737), 1,
      sym_table_partition_clause,
    STATE(8521), 1,
      sym_table_cluster_clause,
    STATE(9766), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12195), 1,
      sym__keyword_as,
    ACTIONS(4113), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [123862] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5059), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(5170), 1,
      aux_sym__keyword_else_token1,
    STATE(7121), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5168), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [123917] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5174), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5176), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(7368), 1,
      sym_with_connection_clause,
    STATE(7461), 1,
      sym_partition_columns_clause,
    STATE(8227), 1,
      sym_option_clause,
    ACTIONS(5172), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [123978] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4925), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4927), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4931), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4935), 1,
      anon_sym_PLUS,
    ACTIONS(4937), 1,
      anon_sym_DASH,
    ACTIONS(4941), 1,
      anon_sym_SLASH,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    ACTIONS(5088), 1,
      anon_sym_LBRACK,
    ACTIONS(5090), 1,
      anon_sym_DOT2,
    STATE(1186), 1,
      sym__keyword_in,
    STATE(1199), 1,
      sym__keyword_and,
    STATE(1200), 1,
      sym__keyword_or,
    STATE(1882), 1,
      sym__keyword_between,
    STATE(12129), 1,
      sym__keyword_is,
    STATE(13084), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(15230), 1,
      aux_sym_function_call_repeat1,
    STATE(16130), 1,
      sym_quantitve_like_operator,
    STATE(16147), 1,
      sym_like_operator,
    ACTIONS(4933), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4939), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4929), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5086), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [124083] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5059), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(5180), 1,
      aux_sym__keyword_else_token1,
    STATE(7121), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5178), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [124138] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5182), 1,
      aux_sym__keyword_as_token1,
    STATE(7742), 1,
      sym_table_partition_clause,
    STATE(8517), 1,
      sym_table_cluster_clause,
    STATE(9765), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12196), 1,
      sym__keyword_as,
    ACTIONS(4404), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [124205] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4925), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4927), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4931), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4935), 1,
      anon_sym_PLUS,
    ACTIONS(4937), 1,
      anon_sym_DASH,
    ACTIONS(4941), 1,
      anon_sym_SLASH,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    ACTIONS(5088), 1,
      anon_sym_LBRACK,
    ACTIONS(5090), 1,
      anon_sym_DOT2,
    STATE(1186), 1,
      sym__keyword_in,
    STATE(1199), 1,
      sym__keyword_and,
    STATE(1200), 1,
      sym__keyword_or,
    STATE(1882), 1,
      sym__keyword_between,
    STATE(12129), 1,
      sym__keyword_is,
    STATE(13084), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(15436), 1,
      aux_sym_function_call_repeat1,
    STATE(16130), 1,
      sym_quantitve_like_operator,
    STATE(16147), 1,
      sym_like_operator,
    ACTIONS(4933), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4939), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4929), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5086), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [124310] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3624), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5186), 1,
      aux_sym__keyword_else_token1,
    STATE(7444), 1,
      sym_default_collate_clause,
    STATE(8173), 1,
      sym_option_clause,
    ACTIONS(5184), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [124369] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4925), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4927), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4931), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4935), 1,
      anon_sym_PLUS,
    ACTIONS(4937), 1,
      anon_sym_DASH,
    ACTIONS(4941), 1,
      anon_sym_SLASH,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    ACTIONS(5088), 1,
      anon_sym_LBRACK,
    ACTIONS(5090), 1,
      anon_sym_DOT2,
    STATE(1186), 1,
      sym__keyword_in,
    STATE(1199), 1,
      sym__keyword_and,
    STATE(1200), 1,
      sym__keyword_or,
    STATE(1882), 1,
      sym__keyword_between,
    STATE(12129), 1,
      sym__keyword_is,
    STATE(13084), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(15633), 1,
      aux_sym_function_call_repeat1,
    STATE(16130), 1,
      sym_quantitve_like_operator,
    STATE(16147), 1,
      sym_like_operator,
    ACTIONS(4933), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4939), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4929), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5086), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [124474] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4925), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4927), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4931), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4935), 1,
      anon_sym_PLUS,
    ACTIONS(4937), 1,
      anon_sym_DASH,
    ACTIONS(4941), 1,
      anon_sym_SLASH,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    ACTIONS(5088), 1,
      anon_sym_LBRACK,
    ACTIONS(5090), 1,
      anon_sym_DOT2,
    STATE(1186), 1,
      sym__keyword_in,
    STATE(1199), 1,
      sym__keyword_and,
    STATE(1200), 1,
      sym__keyword_or,
    STATE(1882), 1,
      sym__keyword_between,
    STATE(12129), 1,
      sym__keyword_is,
    STATE(13084), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(15829), 1,
      aux_sym_function_call_repeat1,
    STATE(16130), 1,
      sym_quantitve_like_operator,
    STATE(16147), 1,
      sym_like_operator,
    ACTIONS(4933), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4939), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4929), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5086), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [124579] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5188), 1,
      aux_sym__keyword_as_token1,
    STATE(7745), 1,
      sym_table_partition_clause,
    STATE(8542), 1,
      sym_table_cluster_clause,
    STATE(9764), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12197), 1,
      sym__keyword_as,
    ACTIONS(4418), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [124646] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5192), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(5194), 1,
      aux_sym__keyword_else_token1,
    STATE(7393), 1,
      sym_option_clause,
    ACTIONS(5190), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [124703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5198), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5196), 42,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_default_clause_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [124754] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4925), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4927), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4931), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4935), 1,
      anon_sym_PLUS,
    ACTIONS(4937), 1,
      anon_sym_DASH,
    ACTIONS(4941), 1,
      anon_sym_SLASH,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    ACTIONS(5088), 1,
      anon_sym_LBRACK,
    ACTIONS(5090), 1,
      anon_sym_DOT2,
    STATE(1186), 1,
      sym__keyword_in,
    STATE(1199), 1,
      sym__keyword_and,
    STATE(1200), 1,
      sym__keyword_or,
    STATE(1882), 1,
      sym__keyword_between,
    STATE(12129), 1,
      sym__keyword_is,
    STATE(13084), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(15431), 1,
      aux_sym_function_call_repeat1,
    STATE(16130), 1,
      sym_quantitve_like_operator,
    STATE(16147), 1,
      sym_like_operator,
    ACTIONS(4933), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4939), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4929), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5086), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [124859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1688), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1690), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [124910] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4925), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4927), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4931), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4935), 1,
      anon_sym_PLUS,
    ACTIONS(4937), 1,
      anon_sym_DASH,
    ACTIONS(4941), 1,
      anon_sym_SLASH,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    ACTIONS(5088), 1,
      anon_sym_LBRACK,
    ACTIONS(5090), 1,
      anon_sym_DOT2,
    STATE(1186), 1,
      sym__keyword_in,
    STATE(1199), 1,
      sym__keyword_and,
    STATE(1200), 1,
      sym__keyword_or,
    STATE(1882), 1,
      sym__keyword_between,
    STATE(12129), 1,
      sym__keyword_is,
    STATE(13084), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(14537), 1,
      aux_sym_function_call_repeat1,
    STATE(16130), 1,
      sym_quantitve_like_operator,
    STATE(16147), 1,
      sym_like_operator,
    ACTIONS(4933), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4939), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4929), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5086), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [125015] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4701), 1,
      aux_sym__keyword_as_token1,
    STATE(7533), 1,
      sym_table_partition_clause,
    STATE(8992), 1,
      sym_table_cluster_clause,
    STATE(9865), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12863), 1,
      sym__keyword_as,
    ACTIONS(4029), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [125082] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(5200), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(5202), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(403), 1,
      sym_unnest_withoffset,
    STATE(2405), 1,
      sym__identifier,
    STATE(5578), 1,
      sym_identifier,
    STATE(5587), 1,
      sym__type_chrono,
    STATE(11218), 1,
      sym_as_alias,
    STATE(11469), 1,
      sym__keyword_as,
    ACTIONS(211), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3366), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5589), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(205), 21,
      aux_sym__keyword_window_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
  [125159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1652), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1654), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [125210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1716), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1718), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [125261] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1095), 1,
      sym__keyword_between,
    STATE(1391), 1,
      sym__keyword_in,
    STATE(1400), 1,
      sym__keyword_and,
    STATE(1401), 1,
      sym__keyword_or,
    STATE(12071), 1,
      sym__keyword_is,
    STATE(13062), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16220), 1,
      sym_like_operator,
    STATE(16237), 1,
      sym_quantitve_like_operator,
    ACTIONS(921), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(917), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [125330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1720), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1722), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [125381] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5204), 1,
      aux_sym__keyword_as_token1,
    STATE(7560), 1,
      sym_table_partition_clause,
    STATE(8447), 1,
      sym_table_cluster_clause,
    STATE(9719), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12285), 1,
      sym__keyword_as,
    ACTIONS(4512), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [125448] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(4589), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4591), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4595), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4605), 1,
      anon_sym_PLUS,
    ACTIONS(4607), 1,
      anon_sym_DASH,
    ACTIONS(4611), 1,
      anon_sym_SLASH,
    ACTIONS(4615), 1,
      anon_sym_AMP,
    ACTIONS(4617), 1,
      anon_sym_CARET,
    ACTIONS(4619), 1,
      anon_sym_PIPE,
    STATE(1095), 1,
      sym__keyword_between,
    STATE(1391), 1,
      sym__keyword_in,
    STATE(1400), 1,
      sym__keyword_and,
    STATE(1401), 1,
      sym__keyword_or,
    STATE(12071), 1,
      sym__keyword_is,
    STATE(13062), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16220), 1,
      sym_like_operator,
    STATE(16237), 1,
      sym_quantitve_like_operator,
    ACTIONS(4599), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4609), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4613), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4593), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1027), 11,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
  [125545] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5208), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(5210), 1,
      aux_sym__keyword_else_token1,
    STATE(7363), 1,
      sym_option_clause,
    ACTIONS(5206), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [125602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1636), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1638), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [125653] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1095), 1,
      sym__keyword_between,
    STATE(1391), 1,
      sym__keyword_in,
    STATE(1400), 1,
      sym__keyword_and,
    STATE(1401), 1,
      sym__keyword_or,
    STATE(12071), 1,
      sym__keyword_is,
    STATE(13062), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16220), 1,
      sym_like_operator,
    STATE(16237), 1,
      sym_quantitve_like_operator,
    ACTIONS(1021), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1019), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [125722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5214), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5212), 42,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [125773] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5216), 1,
      aux_sym__keyword_as_token1,
    STATE(7602), 1,
      sym_table_partition_clause,
    STATE(8448), 1,
      sym_table_cluster_clause,
    STATE(9723), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12284), 1,
      sym__keyword_as,
    ACTIONS(4506), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [125840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1708), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1710), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [125891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5220), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5218), 42,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_default_clause_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [125942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1760), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1762), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [125993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1704), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1706), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [126044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1696), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1698), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [126095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1640), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1642), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [126146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1540), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1542), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [126197] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4703), 1,
      aux_sym__keyword_as_token1,
    STATE(7951), 1,
      sym_table_partition_clause,
    STATE(8664), 1,
      sym_table_cluster_clause,
    STATE(9826), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12591), 1,
      sym__keyword_as,
    ACTIONS(4011), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [126264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5224), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(5222), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_partition_by_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [126315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5228), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(5226), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [126366] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5232), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(5230), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [126417] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5234), 1,
      aux_sym__keyword_as_token1,
    STATE(7960), 1,
      sym_table_partition_clause,
    STATE(8644), 1,
      sym_table_cluster_clause,
    STATE(9824), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12588), 1,
      sym__keyword_as,
    ACTIONS(4328), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [126484] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4925), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4927), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4931), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4935), 1,
      anon_sym_PLUS,
    ACTIONS(4937), 1,
      anon_sym_DASH,
    ACTIONS(4941), 1,
      anon_sym_SLASH,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    ACTIONS(5088), 1,
      anon_sym_LBRACK,
    ACTIONS(5090), 1,
      anon_sym_DOT2,
    STATE(1186), 1,
      sym__keyword_in,
    STATE(1199), 1,
      sym__keyword_and,
    STATE(1200), 1,
      sym__keyword_or,
    STATE(1882), 1,
      sym__keyword_between,
    STATE(12129), 1,
      sym__keyword_is,
    STATE(13084), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(14590), 1,
      aux_sym_function_call_repeat1,
    STATE(16130), 1,
      sym_quantitve_like_operator,
    STATE(16147), 1,
      sym_like_operator,
    ACTIONS(4933), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4939), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4929), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5086), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [126589] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5236), 1,
      aux_sym__keyword_as_token1,
    STATE(7973), 1,
      sym_table_partition_clause,
    STATE(8637), 1,
      sym_table_cluster_clause,
    STATE(9822), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12579), 1,
      sym__keyword_as,
    ACTIONS(4310), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [126656] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5059), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(5240), 1,
      aux_sym__keyword_else_token1,
    STATE(7121), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5238), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [126711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4131), 11,
      sym__string_start,
      anon_sym_LPAREN,
      aux_sym__float_token1,
      aux_sym__float_token3,
      anon_sym_LBRACK,
      sym_system_variable,
      sym__positional_query_parameter,
      sym__quoted_identifier,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_DOLLAR,
    ACTIONS(4129), 32,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_if_not_exists_token3,
      aux_sym__keyword_struct_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_array_token1,
      aux_sym__keyword_case_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_cast_token1,
      aux_sym__keyword_cast_token2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_drop_notnull_token1,
      aux_sym_function_call_token2,
      aux_sym_unnest_operator_token1,
      aux_sym_TRUE_token1,
      aux_sym_FALSE_token1,
      sym__integer,
      aux_sym__float_token2,
      aux_sym_numeric_token1,
      aux_sym_numeric_token2,
      aux_sym_numeric_token3,
      aux_sym_numeric_token4,
      aux_sym_interval_token1,
      aux_sym_json_token1,
      sym__named_query_parameter,
      sym__unquoted_identifier,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_operator_compare,
  [126762] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4715), 1,
      aux_sym__keyword_as_token1,
    STATE(8000), 1,
      sym_table_partition_clause,
    STATE(8619), 1,
      sym_table_cluster_clause,
    STATE(9807), 1,
      sym_option_clause,
    STATE(11216), 1,
      sym__keyword_partition_by,
    STATE(12567), 1,
      sym__keyword_as,
    ACTIONS(4143), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [126829] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5244), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(5246), 1,
      aux_sym__keyword_else_token1,
    STATE(7387), 1,
      sym_option_clause,
    ACTIONS(5242), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [126886] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4925), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4927), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4931), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4935), 1,
      anon_sym_PLUS,
    ACTIONS(4937), 1,
      anon_sym_DASH,
    ACTIONS(4941), 1,
      anon_sym_SLASH,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    ACTIONS(5088), 1,
      anon_sym_LBRACK,
    ACTIONS(5090), 1,
      anon_sym_DOT2,
    STATE(1186), 1,
      sym__keyword_in,
    STATE(1199), 1,
      sym__keyword_and,
    STATE(1200), 1,
      sym__keyword_or,
    STATE(1882), 1,
      sym__keyword_between,
    STATE(12129), 1,
      sym__keyword_is,
    STATE(13084), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(15164), 1,
      aux_sym_function_call_repeat1,
    STATE(16130), 1,
      sym_quantitve_like_operator,
    STATE(16147), 1,
      sym_like_operator,
    ACTIONS(4933), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4939), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4929), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5086), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [126991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5250), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5248), 42,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [127042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1632), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1634), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [127093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1644), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1646), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [127144] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5059), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(5254), 1,
      aux_sym__keyword_else_token1,
    STATE(7121), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5252), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [127199] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5059), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(5258), 1,
      aux_sym__keyword_else_token1,
    STATE(7121), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5256), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [127254] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5176), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(5262), 1,
      aux_sym__keyword_else_token1,
    STATE(7302), 1,
      sym_with_connection_clause,
    STATE(7510), 1,
      sym_partition_columns_clause,
    STATE(8354), 1,
      sym_option_clause,
    ACTIONS(5260), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [127315] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5176), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(5266), 1,
      aux_sym__keyword_else_token1,
    STATE(7406), 1,
      sym_with_connection_clause,
    STATE(7435), 1,
      sym_partition_columns_clause,
    STATE(8025), 1,
      sym_option_clause,
    ACTIONS(5264), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [127376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5270), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(5268), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [127427] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5059), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(5274), 1,
      aux_sym__keyword_else_token1,
    STATE(7121), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5272), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [127482] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5278), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(5280), 1,
      aux_sym__keyword_else_token1,
    STATE(7283), 1,
      sym_option_clause,
    ACTIONS(5276), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [127539] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5284), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(5286), 1,
      aux_sym__keyword_else_token1,
    STATE(7297), 1,
      sym_option_clause,
    ACTIONS(5282), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [127596] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4925), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4927), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4931), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4935), 1,
      anon_sym_PLUS,
    ACTIONS(4937), 1,
      anon_sym_DASH,
    ACTIONS(4941), 1,
      anon_sym_SLASH,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    ACTIONS(5088), 1,
      anon_sym_LBRACK,
    ACTIONS(5090), 1,
      anon_sym_DOT2,
    STATE(1186), 1,
      sym__keyword_in,
    STATE(1199), 1,
      sym__keyword_and,
    STATE(1200), 1,
      sym__keyword_or,
    STATE(1882), 1,
      sym__keyword_between,
    STATE(12129), 1,
      sym__keyword_is,
    STATE(13084), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(15541), 1,
      aux_sym_function_call_repeat1,
    STATE(16130), 1,
      sym_quantitve_like_operator,
    STATE(16147), 1,
      sym_like_operator,
    ACTIONS(4933), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4939), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4929), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5086), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [127701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1648), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1650), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [127752] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5059), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(5290), 1,
      aux_sym__keyword_else_token1,
    STATE(7121), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5288), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [127807] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5176), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(5294), 1,
      aux_sym__keyword_else_token1,
    STATE(7394), 1,
      sym_with_connection_clause,
    STATE(7440), 1,
      sym_partition_columns_clause,
    STATE(8162), 1,
      sym_option_clause,
    ACTIONS(5292), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [127868] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5059), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(5298), 1,
      aux_sym__keyword_else_token1,
    STATE(7121), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5296), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [127923] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5059), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(5302), 1,
      aux_sym__keyword_else_token1,
    STATE(7121), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5300), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [127978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1676), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1678), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [128029] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4925), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4927), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4931), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4935), 1,
      anon_sym_PLUS,
    ACTIONS(4937), 1,
      anon_sym_DASH,
    ACTIONS(4941), 1,
      anon_sym_SLASH,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    ACTIONS(5088), 1,
      anon_sym_LBRACK,
    ACTIONS(5090), 1,
      anon_sym_DOT2,
    STATE(1186), 1,
      sym__keyword_in,
    STATE(1199), 1,
      sym__keyword_and,
    STATE(1200), 1,
      sym__keyword_or,
    STATE(1882), 1,
      sym__keyword_between,
    STATE(12129), 1,
      sym__keyword_is,
    STATE(13084), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(14903), 1,
      aux_sym_function_call_repeat1,
    STATE(16130), 1,
      sym_quantitve_like_operator,
    STATE(16147), 1,
      sym_like_operator,
    ACTIONS(4933), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4939), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4929), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5086), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [128134] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5059), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(5306), 1,
      aux_sym__keyword_else_token1,
    STATE(7121), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5304), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [128189] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5310), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5312), 1,
      aux_sym__keyword_as_token1,
    STATE(7736), 1,
      sym_option_clause,
    STATE(12757), 1,
      sym__keyword_as,
    ACTIONS(5308), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [128247] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(5314), 1,
      aux_sym_order_by_clause_token1,
    STATE(6488), 1,
      sym_limit_clause,
    STATE(6489), 1,
      sym_order_by_clause,
    ACTIONS(4632), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [128303] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5318), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5320), 1,
      aux_sym__keyword_as_token1,
    STATE(7843), 1,
      sym_option_clause,
    STATE(12608), 1,
      sym__keyword_as,
    ACTIONS(5316), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [128361] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5324), 1,
      aux_sym__keyword_else_token1,
    STATE(7395), 1,
      sym_option_clause,
    ACTIONS(5322), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [128415] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5328), 1,
      aux_sym__keyword_else_token1,
    STATE(8307), 1,
      sym_drop_schema_option,
    ACTIONS(5330), 2,
      aux_sym_drop_schema_option_token1,
      aux_sym_drop_schema_option_token2,
    ACTIONS(5326), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [128469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5334), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5332), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [128519] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5338), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5340), 1,
      aux_sym__keyword_as_token1,
    STATE(7674), 1,
      sym_option_clause,
    STATE(12544), 1,
      sym__keyword_as,
    ACTIONS(5336), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [128577] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4007), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4009), 1,
      aux_sym__keyword_as_token1,
    STATE(7879), 1,
      sym_option_clause,
    STATE(12342), 1,
      sym__keyword_as,
    ACTIONS(4005), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [128635] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4815), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4817), 1,
      aux_sym__keyword_as_token1,
    STATE(7675), 1,
      sym_option_clause,
    STATE(12547), 1,
      sym__keyword_as,
    ACTIONS(4813), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [128693] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3052), 1,
      anon_sym_COMMA,
    STATE(7282), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(5344), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(5342), 38,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [128747] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5348), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5350), 1,
      aux_sym__keyword_for_token1,
    STATE(941), 1,
      sym__keyword_system_as_of,
    STATE(7465), 1,
      sym_system_time_clause,
    STATE(8058), 1,
      sym_option_clause,
    ACTIONS(5346), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [128807] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4829), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4831), 1,
      aux_sym__keyword_as_token1,
    STATE(7678), 1,
      sym_option_clause,
    STATE(12501), 1,
      sym__keyword_as,
    ACTIONS(4827), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [128865] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5352), 1,
      anon_sym_COMMA,
    STATE(7282), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3090), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(3088), 38,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [128919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5357), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5355), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [128969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1518), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1516), 36,
      sym__string_start,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [129019] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5361), 1,
      aux_sym__keyword_else_token1,
    STATE(7409), 1,
      sym_option_clause,
    ACTIONS(5359), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [129073] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5365), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5367), 1,
      aux_sym__keyword_as_token1,
    STATE(7679), 1,
      sym_option_clause,
    STATE(12571), 1,
      sym__keyword_as,
    ACTIONS(5363), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [129131] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5371), 1,
      aux_sym__keyword_else_token1,
    STATE(7390), 1,
      sym_option_clause,
    ACTIONS(5369), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [129185] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5375), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5377), 1,
      aux_sym__keyword_as_token1,
    STATE(7583), 1,
      sym_option_clause,
    STATE(12166), 1,
      sym__keyword_as,
    ACTIONS(5373), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [129243] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5381), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5383), 1,
      aux_sym__keyword_as_token1,
    STATE(7680), 1,
      sym_option_clause,
    STATE(12587), 1,
      sym__keyword_as,
    ACTIONS(5379), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [129301] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5387), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5389), 1,
      aux_sym__keyword_as_token1,
    STATE(7795), 1,
      sym_option_clause,
    STATE(12300), 1,
      sym__keyword_as,
    ACTIONS(5385), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [129359] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4025), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4027), 1,
      aux_sym__keyword_as_token1,
    STATE(7663), 1,
      sym_option_clause,
    STATE(12364), 1,
      sym__keyword_as,
    ACTIONS(4023), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [129417] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5393), 1,
      aux_sym__keyword_else_token1,
    STATE(7328), 1,
      sym_option_clause,
    ACTIONS(5391), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [129471] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5397), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5399), 1,
      aux_sym__keyword_as_token1,
    STATE(7681), 1,
      sym_option_clause,
    STATE(12636), 1,
      sym__keyword_as,
    ACTIONS(5395), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [129529] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5403), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5405), 1,
      aux_sym__keyword_as_token1,
    STATE(7687), 1,
      sym_option_clause,
    STATE(12644), 1,
      sym__keyword_as,
    ACTIONS(5401), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [129587] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5409), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5411), 1,
      aux_sym__keyword_as_token1,
    STATE(7588), 1,
      sym_option_clause,
    STATE(12169), 1,
      sym__keyword_as,
    ACTIONS(5407), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [129645] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4121), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4123), 1,
      aux_sym__keyword_as_token1,
    STATE(7586), 1,
      sym_option_clause,
    STATE(12372), 1,
      sym__keyword_as,
    ACTIONS(4119), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [129703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5415), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5413), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [129753] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5419), 1,
      aux_sym__keyword_else_token1,
    STATE(7404), 1,
      sym_option_clause,
    ACTIONS(5417), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [129807] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5423), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5425), 1,
      aux_sym__keyword_as_token1,
    STATE(7668), 1,
      sym_option_clause,
    STATE(12522), 1,
      sym__keyword_as,
    ACTIONS(5421), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [129865] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5429), 1,
      aux_sym__keyword_else_token1,
    STATE(7403), 1,
      sym_option_clause,
    ACTIONS(5427), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [129919] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4013), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4015), 1,
      aux_sym__keyword_as_token1,
    STATE(7845), 1,
      sym_option_clause,
    STATE(12553), 1,
      sym__keyword_as,
    ACTIONS(4011), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [129977] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5433), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5435), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(7432), 1,
      sym_partition_columns_clause,
    STATE(8021), 1,
      sym_option_clause,
    ACTIONS(5431), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [130035] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4318), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4320), 1,
      aux_sym__keyword_as_token1,
    STATE(7544), 1,
      sym_option_clause,
    STATE(12377), 1,
      sym__keyword_as,
    ACTIONS(4316), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [130093] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5439), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5441), 1,
      aux_sym__keyword_as_token1,
    STATE(7667), 1,
      sym_option_clause,
    STATE(12521), 1,
      sym__keyword_as,
    ACTIONS(5437), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [130151] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5445), 1,
      aux_sym__keyword_else_token1,
    STATE(7408), 1,
      sym_option_clause,
    ACTIONS(5443), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [130205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5449), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5447), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [130255] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5453), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5451), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [130305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5457), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5455), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [130355] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5461), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5463), 1,
      aux_sym__keyword_as_token1,
    STATE(7937), 1,
      sym_option_clause,
    STATE(12794), 1,
      sym__keyword_as,
    ACTIONS(5459), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [130413] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4324), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4326), 1,
      aux_sym__keyword_as_token1,
    STATE(7545), 1,
      sym_option_clause,
    STATE(12380), 1,
      sym__keyword_as,
    ACTIONS(4322), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [130471] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4330), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4332), 1,
      aux_sym__keyword_as_token1,
    STATE(7830), 1,
      sym_option_clause,
    STATE(12552), 1,
      sym__keyword_as,
    ACTIONS(4328), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [130529] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4967), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4969), 1,
      aux_sym__keyword_as_token1,
    STATE(7691), 1,
      sym_option_clause,
    STATE(12746), 1,
      sym__keyword_as,
    ACTIONS(4965), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [130587] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4019), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4021), 1,
      aux_sym__keyword_as_token1,
    STATE(7547), 1,
      sym_option_clause,
    STATE(12385), 1,
      sym__keyword_as,
    ACTIONS(4017), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [130645] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4520), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4522), 1,
      aux_sym__keyword_as_token1,
    STATE(7700), 1,
      sym_option_clause,
    STATE(12232), 1,
      sym__keyword_as,
    ACTIONS(4518), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [130703] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5467), 1,
      aux_sym__keyword_else_token1,
    STATE(7306), 1,
      sym_option_clause,
    ACTIONS(5465), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [130757] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5471), 1,
      aux_sym__keyword_else_token1,
    STATE(7308), 1,
      sym_option_clause,
    ACTIONS(5469), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [130811] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4975), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4977), 1,
      aux_sym__keyword_as_token1,
    STATE(7692), 1,
      sym_option_clause,
    STATE(12747), 1,
      sym__keyword_as,
    ACTIONS(4973), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [130869] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4987), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4989), 1,
      aux_sym__keyword_as_token1,
    STATE(7543), 1,
      sym_option_clause,
    STATE(12390), 1,
      sym__keyword_as,
    ACTIONS(4985), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [130927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5475), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5473), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [130977] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5479), 1,
      aux_sym__keyword_else_token1,
    STATE(7325), 1,
      sym_option_clause,
    ACTIONS(5477), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [131031] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4031), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4033), 1,
      aux_sym__keyword_as_token1,
    STATE(7572), 1,
      sym_option_clause,
    STATE(12788), 1,
      sym__keyword_as,
    ACTIONS(4029), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [131089] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5483), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5485), 1,
      anon_sym_COMMA,
    STATE(7365), 1,
      aux_sym_values_clause_repeat1,
    ACTIONS(5481), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [131143] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4348), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4350), 1,
      aux_sym__keyword_as_token1,
    STATE(7593), 1,
      sym_option_clause,
    STATE(12170), 1,
      sym__keyword_as,
    ACTIONS(4346), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [131201] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4514), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4516), 1,
      aux_sym__keyword_as_token1,
    STATE(7694), 1,
      sym_option_clause,
    STATE(12748), 1,
      sym__keyword_as,
    ACTIONS(4512), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [131259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5489), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5487), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [131309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5493), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5491), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [131359] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4508), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4510), 1,
      aux_sym__keyword_as_token1,
    STATE(7706), 1,
      sym_option_clause,
    STATE(12749), 1,
      sym__keyword_as,
    ACTIONS(4506), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [131417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5497), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5495), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [131467] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4997), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4999), 1,
      aux_sym__keyword_as_token1,
    STATE(7711), 1,
      sym_option_clause,
    STATE(12750), 1,
      sym__keyword_as,
    ACTIONS(4995), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [131525] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4650), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(5499), 1,
      aux_sym_order_by_clause_token1,
    STATE(6346), 1,
      sym_order_by_clause,
    STATE(6488), 1,
      sym_limit_clause,
    ACTIONS(4632), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [131581] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5350), 1,
      aux_sym__keyword_for_token1,
    ACTIONS(5504), 1,
      aux_sym__keyword_else_token1,
    STATE(941), 1,
      sym__keyword_system_as_of,
    STATE(7492), 1,
      sym_system_time_clause,
    STATE(8358), 1,
      sym_option_clause,
    ACTIONS(5502), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [131641] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5003), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5005), 1,
      aux_sym__keyword_as_token1,
    STATE(7713), 1,
      sym_option_clause,
    STATE(12751), 1,
      sym__keyword_as,
    ACTIONS(5001), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [131699] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4875), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4877), 1,
      aux_sym__keyword_as_token1,
    STATE(7841), 1,
      sym_option_clause,
    STATE(12619), 1,
      sym__keyword_as,
    ACTIONS(4873), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [131757] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4503), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(5506), 1,
      aux_sym_order_by_clause_token1,
    STATE(6345), 1,
      sym_order_by_clause,
    STATE(6491), 1,
      sym_limit_clause,
    ACTIONS(4623), 3,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
    ACTIONS(4499), 35,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [131815] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5511), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5513), 1,
      aux_sym__keyword_as_token1,
    STATE(7723), 1,
      sym_option_clause,
    STATE(12753), 1,
      sym__keyword_as,
    ACTIONS(5509), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [131873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5515), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [131923] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5519), 1,
      anon_sym_LPAREN,
    ACTIONS(5228), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(5226), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [131975] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(5314), 1,
      aux_sym_order_by_clause_token1,
    STATE(6573), 1,
      sym_order_by_clause,
    STATE(6574), 1,
      sym_limit_clause,
    ACTIONS(4528), 3,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
    ACTIONS(4479), 35,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [132033] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5523), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5525), 1,
      aux_sym__keyword_as_token1,
    STATE(7725), 1,
      sym_option_clause,
    STATE(12754), 1,
      sym__keyword_as,
    ACTIONS(5521), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [132091] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4496), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(5527), 1,
      aux_sym_order_by_clause_token1,
    STATE(6344), 1,
      sym_order_by_clause,
    STATE(6463), 1,
      sym_limit_clause,
    ACTIONS(4486), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [132147] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4426), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4428), 1,
      aux_sym__keyword_as_token1,
    STATE(7665), 1,
      sym_option_clause,
    STATE(12229), 1,
      sym__keyword_as,
    ACTIONS(4424), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [132205] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4362), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4364), 1,
      aux_sym__keyword_as_token1,
    STATE(7605), 1,
      sym_option_clause,
    STATE(12171), 1,
      sym__keyword_as,
    ACTIONS(4360), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [132263] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(241), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(4486), 1,
      anon_sym_RPAREN,
    ACTIONS(5530), 1,
      aux_sym_order_by_clause_token1,
    STATE(6463), 1,
      sym_limit_clause,
    STATE(6478), 1,
      sym_order_by_clause,
    ACTIONS(4488), 3,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
    ACTIONS(1822), 16,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1824), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [132325] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4925), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4927), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4931), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4935), 1,
      anon_sym_PLUS,
    ACTIONS(4937), 1,
      anon_sym_DASH,
    ACTIONS(4941), 1,
      anon_sym_SLASH,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    ACTIONS(5088), 1,
      anon_sym_LBRACK,
    ACTIONS(5090), 1,
      anon_sym_DOT2,
    STATE(1186), 1,
      sym__keyword_in,
    STATE(1199), 1,
      sym__keyword_and,
    STATE(1200), 1,
      sym__keyword_or,
    STATE(1882), 1,
      sym__keyword_between,
    STATE(12129), 1,
      sym__keyword_is,
    STATE(13084), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16130), 1,
      sym_quantitve_like_operator,
    STATE(16147), 1,
      sym_like_operator,
    ACTIONS(4933), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4939), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4929), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5086), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [132427] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3432), 1,
      anon_sym_LBRACK,
    ACTIONS(4659), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4661), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4665), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4669), 1,
      anon_sym_PLUS,
    ACTIONS(4671), 1,
      anon_sym_DASH,
    ACTIONS(4675), 1,
      anon_sym_SLASH,
    ACTIONS(4679), 1,
      anon_sym_AMP,
    ACTIONS(4681), 1,
      anon_sym_CARET,
    ACTIONS(4683), 1,
      anon_sym_PIPE,
    ACTIONS(4779), 1,
      anon_sym_DOT2,
    STATE(1238), 1,
      sym__keyword_between,
    STATE(1410), 1,
      sym__keyword_in,
    STATE(1417), 1,
      sym__keyword_and,
    STATE(1418), 1,
      sym__keyword_or,
    STATE(12075), 1,
      sym__keyword_is,
    STATE(13024), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16181), 1,
      sym_like_operator,
    STATE(16182), 1,
      sym_quantitve_like_operator,
    ACTIONS(4673), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4677), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4663), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4667), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2928), 7,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [132529] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4483), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(5532), 1,
      aux_sym_order_by_clause_token1,
    STATE(6340), 1,
      sym_order_by_clause,
    STATE(6574), 1,
      sym_limit_clause,
    ACTIONS(4528), 3,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
    ACTIONS(4479), 35,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [132587] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5009), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5011), 1,
      aux_sym__keyword_as_token1,
    STATE(7731), 1,
      sym_option_clause,
    STATE(12755), 1,
      sym__keyword_as,
    ACTIONS(5007), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [132645] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4893), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4895), 1,
      aux_sym__keyword_as_token1,
    STATE(7840), 1,
      sym_option_clause,
    STATE(12624), 1,
      sym__keyword_as,
    ACTIONS(4891), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [132703] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5031), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5033), 1,
      aux_sym__keyword_as_token1,
    STATE(7733), 1,
      sym_option_clause,
    STATE(12756), 1,
      sym__keyword_as,
    ACTIONS(5029), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [132761] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5037), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5039), 1,
      aux_sym__keyword_as_token1,
    STATE(7548), 1,
      sym_option_clause,
    STATE(12401), 1,
      sym__keyword_as,
    ACTIONS(5035), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [132819] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5537), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5539), 1,
      aux_sym__keyword_as_token1,
    STATE(7839), 1,
      sym_option_clause,
    STATE(12625), 1,
      sym__keyword_as,
    ACTIONS(5535), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [132877] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4887), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4889), 1,
      aux_sym__keyword_as_token1,
    STATE(7628), 1,
      sym_option_clause,
    STATE(12189), 1,
      sym__keyword_as,
    ACTIONS(4885), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [132935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1083), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1081), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [132985] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5543), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5545), 1,
      aux_sym__keyword_as_token1,
    STATE(7738), 1,
      sym_option_clause,
    STATE(12758), 1,
      sym__keyword_as,
    ACTIONS(5541), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [133043] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5549), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5551), 1,
      aux_sym__keyword_as_token1,
    STATE(7838), 1,
      sym_option_clause,
    STATE(12637), 1,
      sym__keyword_as,
    ACTIONS(5547), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [133101] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5023), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5025), 1,
      aux_sym__keyword_as_token1,
    STATE(7641), 1,
      sym_option_clause,
    STATE(12202), 1,
      sym__keyword_as,
    ACTIONS(5021), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [133159] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4109), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4111), 1,
      aux_sym__keyword_as_token1,
    STATE(7658), 1,
      sym_option_clause,
    STATE(12224), 1,
      sym__keyword_as,
    ACTIONS(4107), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [133217] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5555), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5557), 1,
      aux_sym__keyword_as_token1,
    STATE(7739), 1,
      sym_option_clause,
    STATE(12769), 1,
      sym__keyword_as,
    ACTIONS(5553), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [133275] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5561), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5563), 1,
      aux_sym__keyword_as_token1,
    STATE(7741), 1,
      sym_option_clause,
    STATE(12770), 1,
      sym__keyword_as,
    ACTIONS(5559), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [133333] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5567), 1,
      aux_sym__keyword_else_token1,
    STATE(7319), 1,
      sym_option_clause,
    ACTIONS(5565), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [133387] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5571), 1,
      aux_sym__keyword_else_token1,
    STATE(7326), 1,
      sym_option_clause,
    ACTIONS(5569), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [133441] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4901), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4903), 1,
      aux_sym__keyword_as_token1,
    STATE(7834), 1,
      sym_option_clause,
    STATE(12719), 1,
      sym__keyword_as,
    ACTIONS(4899), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [133499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5575), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5573), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [133549] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4336), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4338), 1,
      aux_sym__keyword_as_token1,
    STATE(7568), 1,
      sym_option_clause,
    STATE(12405), 1,
      sym__keyword_as,
    ACTIONS(4334), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [133607] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5485), 1,
      anon_sym_COMMA,
    ACTIONS(5579), 1,
      aux_sym__keyword_else_token1,
    STATE(7366), 1,
      aux_sym_values_clause_repeat1,
    ACTIONS(5577), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [133661] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5583), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5585), 1,
      anon_sym_COMMA,
    STATE(7366), 1,
      aux_sym_values_clause_repeat1,
    ACTIONS(5581), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [133715] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5590), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5588), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [133765] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5435), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(5594), 1,
      aux_sym__keyword_else_token1,
    STATE(7428), 1,
      sym_partition_columns_clause,
    STATE(8070), 1,
      sym_option_clause,
    ACTIONS(5592), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [133823] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4342), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4344), 1,
      aux_sym__keyword_as_token1,
    STATE(7591), 1,
      sym_option_clause,
    STATE(12406), 1,
      sym__keyword_as,
    ACTIONS(4340), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [133881] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4907), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4909), 1,
      aux_sym__keyword_as_token1,
    STATE(7826), 1,
      sym_option_clause,
    STATE(12641), 1,
      sym__keyword_as,
    ACTIONS(4905), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [133939] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5598), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5596), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [133989] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4382), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4384), 1,
      aux_sym__keyword_as_token1,
    STATE(7528), 1,
      sym_option_clause,
    STATE(12645), 1,
      sym__keyword_as,
    ACTIONS(4380), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [134047] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4388), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4390), 1,
      aux_sym__keyword_as_token1,
    STATE(7816), 1,
      sym_option_clause,
    STATE(12656), 1,
      sym__keyword_as,
    ACTIONS(4386), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [134105] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4135), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4137), 1,
      aux_sym__keyword_as_token1,
    STATE(7943), 1,
      sym_option_clause,
    STATE(12329), 1,
      sym__keyword_as,
    ACTIONS(4133), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [134163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5602), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5600), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_default_clause_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [134213] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5350), 1,
      aux_sym__keyword_for_token1,
    ACTIONS(5606), 1,
      aux_sym__keyword_else_token1,
    STATE(941), 1,
      sym__keyword_system_as_of,
    STATE(7457), 1,
      sym_system_time_clause,
    STATE(8228), 1,
      sym_option_clause,
    ACTIONS(5604), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [134273] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5610), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5612), 1,
      aux_sym__keyword_as_token1,
    STATE(7846), 1,
      sym_option_clause,
    STATE(12606), 1,
      sym__keyword_as,
    ACTIONS(5608), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [134331] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(5200), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(5614), 1,
      anon_sym_LPAREN,
    STATE(2405), 1,
      sym__identifier,
    STATE(5268), 1,
      sym_as_alias,
    STATE(5578), 1,
      sym_identifier,
    STATE(5587), 1,
      sym__type_chrono,
    STATE(11469), 1,
      sym__keyword_as,
    ACTIONS(2940), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3366), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5589), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(2938), 21,
      aux_sym__keyword_window_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
  [134405] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4953), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4955), 1,
      aux_sym__keyword_as_token1,
    STATE(7807), 1,
      sym_option_clause,
    STATE(12659), 1,
      sym__keyword_as,
    ACTIONS(4951), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [134463] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4803), 1,
      aux_sym_set_operation_token1,
    ACTIONS(4805), 1,
      aux_sym_set_operation_token3,
    ACTIONS(4807), 1,
      aux_sym_set_operation_token4,
    ACTIONS(5618), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5616), 38,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [134519] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4368), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4370), 1,
      aux_sym__keyword_as_token1,
    STATE(7642), 1,
      sym_option_clause,
    STATE(12206), 1,
      sym__keyword_as,
    ACTIONS(4366), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [134577] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5350), 1,
      aux_sym__keyword_for_token1,
    ACTIONS(5622), 1,
      aux_sym__keyword_else_token1,
    STATE(941), 1,
      sym__keyword_system_as_of,
    STATE(7437), 1,
      sym_system_time_clause,
    STATE(8026), 1,
      sym_option_clause,
    ACTIONS(5620), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [134637] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4312), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4314), 1,
      aux_sym__keyword_as_token1,
    STATE(7788), 1,
      sym_option_clause,
    STATE(12533), 1,
      sym__keyword_as,
    ACTIONS(4310), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [134695] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4420), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4422), 1,
      aux_sym__keyword_as_token1,
    STATE(7766), 1,
      sym_option_clause,
    STATE(12860), 1,
      sym__keyword_as,
    ACTIONS(4418), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [134753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1518), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1516), 35,
      sym__string_start,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [134803] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4406), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4408), 1,
      aux_sym__keyword_as_token1,
    STATE(7786), 1,
      sym_option_clause,
    STATE(12859), 1,
      sym__keyword_as,
    ACTIONS(4404), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [134861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5626), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5624), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [134911] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4925), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4927), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4931), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4935), 1,
      anon_sym_PLUS,
    ACTIONS(4937), 1,
      anon_sym_DASH,
    ACTIONS(4941), 1,
      anon_sym_SLASH,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    ACTIONS(5088), 1,
      anon_sym_LBRACK,
    ACTIONS(5090), 1,
      anon_sym_DOT2,
    STATE(1186), 1,
      sym__keyword_in,
    STATE(1199), 1,
      sym__keyword_and,
    STATE(1200), 1,
      sym__keyword_or,
    STATE(1882), 1,
      sym__keyword_between,
    STATE(12129), 1,
      sym__keyword_is,
    STATE(13084), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16130), 1,
      sym_quantitve_like_operator,
    STATE(16147), 1,
      sym_like_operator,
    ACTIONS(4933), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4939), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4929), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5628), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [135013] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4925), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4927), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4931), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4935), 1,
      anon_sym_PLUS,
    ACTIONS(4937), 1,
      anon_sym_DASH,
    ACTIONS(4941), 1,
      anon_sym_SLASH,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    ACTIONS(5088), 1,
      anon_sym_LBRACK,
    ACTIONS(5090), 1,
      anon_sym_DOT2,
    STATE(1186), 1,
      sym__keyword_in,
    STATE(1199), 1,
      sym__keyword_and,
    STATE(1200), 1,
      sym__keyword_or,
    STATE(1882), 1,
      sym__keyword_between,
    STATE(12129), 1,
      sym__keyword_is,
    STATE(13084), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16130), 1,
      sym_quantitve_like_operator,
    STATE(16147), 1,
      sym_like_operator,
    ACTIONS(4933), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4939), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4929), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5086), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [135115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5632), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5630), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [135165] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4961), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4963), 1,
      aux_sym__keyword_as_token1,
    STATE(7803), 1,
      sym_option_clause,
    STATE(12660), 1,
      sym__keyword_as,
    ACTIONS(4959), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [135223] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4913), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4915), 1,
      aux_sym__keyword_as_token1,
    STATE(7534), 1,
      sym_option_clause,
    STATE(12164), 1,
      sym__keyword_as,
    ACTIONS(4911), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [135281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5636), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5634), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [135331] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5435), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(5640), 1,
      aux_sym__keyword_else_token1,
    STATE(7463), 1,
      sym_partition_columns_clause,
    STATE(8225), 1,
      sym_option_clause,
    ACTIONS(5638), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [135389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5644), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5642), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [135439] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5648), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5650), 1,
      aux_sym__keyword_as_token1,
    STATE(7747), 1,
      sym_option_clause,
    STATE(12428), 1,
      sym__keyword_as,
    ACTIONS(5646), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [135497] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4145), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4147), 1,
      aux_sym__keyword_as_token1,
    STATE(7755), 1,
      sym_option_clause,
    STATE(12493), 1,
      sym__keyword_as,
    ACTIONS(4143), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [135555] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4115), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4117), 1,
      aux_sym__keyword_as_token1,
    STATE(7793), 1,
      sym_option_clause,
    STATE(12802), 1,
      sym__keyword_as,
    ACTIONS(4113), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [135613] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5654), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5656), 1,
      aux_sym__keyword_as_token1,
    STATE(7672), 1,
      sym_option_clause,
    STATE(12543), 1,
      sym__keyword_as,
    ACTIONS(5652), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [135671] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(5314), 1,
      aux_sym_order_by_clause_token1,
    STATE(6463), 1,
      sym_limit_clause,
    STATE(6478), 1,
      sym_order_by_clause,
    ACTIONS(4486), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [135727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5660), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5658), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [135777] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5664), 1,
      aux_sym__keyword_else_token1,
    STATE(8350), 1,
      sym_drop_schema_option,
    ACTIONS(5330), 2,
      aux_sym_drop_schema_option_token1,
      aux_sym_drop_schema_option_token2,
    ACTIONS(5662), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [135831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5668), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5666), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [135881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5672), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5670), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [135931] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4376), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4378), 1,
      aux_sym__keyword_as_token1,
    STATE(7647), 1,
      sym_option_clause,
    STATE(12220), 1,
      sym__keyword_as,
    ACTIONS(4374), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [135989] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5435), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(5676), 1,
      aux_sym__keyword_else_token1,
    STATE(7425), 1,
      sym_partition_columns_clause,
    STATE(8264), 1,
      sym_option_clause,
    ACTIONS(5674), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [136047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5680), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5678), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [136097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5684), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5682), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [136147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5688), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5686), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [136197] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4400), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4402), 1,
      aux_sym__keyword_as_token1,
    STATE(7801), 1,
      sym_option_clause,
    STATE(12823), 1,
      sym__keyword_as,
    ACTIONS(4398), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [136255] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5350), 1,
      aux_sym__keyword_for_token1,
    ACTIONS(5692), 1,
      aux_sym__keyword_else_token1,
    STATE(941), 1,
      sym__keyword_system_as_of,
    STATE(7429), 1,
      sym_system_time_clause,
    STATE(8268), 1,
      sym_option_clause,
    ACTIONS(5690), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [136315] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2868), 1,
      anon_sym_COMMA,
    STATE(7413), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4568), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [136367] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5694), 1,
      anon_sym_COMMA,
    STATE(7413), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4561), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [136419] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2868), 1,
      anon_sym_COMMA,
    STATE(7413), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4557), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [136471] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2868), 1,
      anon_sym_COMMA,
    STATE(7413), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4553), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [136523] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(5314), 1,
      aux_sym_order_by_clause_token1,
    STATE(6486), 1,
      sym_order_by_clause,
    STATE(6491), 1,
      sym_limit_clause,
    ACTIONS(4623), 3,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
    ACTIONS(4499), 35,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [136581] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4394), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4396), 1,
      aux_sym__keyword_as_token1,
    STATE(7802), 1,
      sym_option_clause,
    STATE(12698), 1,
      sym__keyword_as,
    ACTIONS(4392), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [136639] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2868), 1,
      anon_sym_COMMA,
    STATE(7412), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4549), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [136691] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5697), 1,
      aux_sym__keyword_as_token1,
    STATE(15421), 1,
      sym__keyword_as,
    ACTIONS(1476), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1474), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [136745] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4981), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4983), 1,
      aux_sym__keyword_as_token1,
    STATE(7532), 1,
      sym_option_clause,
    STATE(12162), 1,
      sym__keyword_as,
    ACTIONS(4979), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [136803] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5699), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(7853), 1,
      sym_unnest_withoffset,
    ACTIONS(1542), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1540), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [136857] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2868), 1,
      anon_sym_COMMA,
    STATE(7413), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4545), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [136909] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2868), 1,
      anon_sym_COMMA,
    STATE(7414), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4541), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [136961] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5701), 1,
      anon_sym_LPAREN,
    ACTIONS(1624), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1622), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [137012] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5705), 1,
      aux_sym__keyword_else_token1,
    STATE(8085), 1,
      sym_option_clause,
    ACTIONS(5703), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [137065] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5707), 1,
      aux_sym_alter_table_rename_statement_token2,
    ACTIONS(1526), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1524), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [137116] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3626), 1,
      anon_sym_LPAREN,
    ACTIONS(5711), 1,
      aux_sym__keyword_else_token1,
    STATE(7871), 1,
      sym_create_table_parameters,
    ACTIONS(5709), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [137169] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5715), 1,
      aux_sym__keyword_else_token1,
    STATE(8170), 1,
      sym_option_clause,
    ACTIONS(5713), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [137222] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5719), 1,
      aux_sym__keyword_else_token1,
    STATE(8087), 1,
      sym_option_clause,
    ACTIONS(5717), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [137275] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5723), 1,
      aux_sym__keyword_else_token1,
    STATE(8322), 1,
      sym_option_clause,
    ACTIONS(5721), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [137328] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5727), 1,
      aux_sym__keyword_else_token1,
    STATE(8297), 1,
      sym_option_clause,
    ACTIONS(5725), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [137381] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5731), 1,
      aux_sym__keyword_else_token1,
    STATE(8255), 1,
      sym_option_clause,
    ACTIONS(5729), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [137434] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5735), 1,
      aux_sym__keyword_else_token1,
    STATE(7709), 1,
      sym_keyword_if_exists,
    ACTIONS(5733), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [137485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5739), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(5737), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [137534] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5676), 1,
      aux_sym__keyword_else_token1,
    STATE(8264), 1,
      sym_option_clause,
    ACTIONS(5674), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [137587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1790), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1788), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [137636] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5743), 1,
      aux_sym__keyword_else_token1,
    STATE(8267), 1,
      sym_option_clause,
    ACTIONS(5741), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [137689] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5747), 1,
      aux_sym__keyword_else_token1,
    STATE(8195), 1,
      sym_option_clause,
    ACTIONS(5745), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [137742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5751), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5749), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [137791] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5640), 1,
      aux_sym__keyword_else_token1,
    STATE(8225), 1,
      sym_option_clause,
    ACTIONS(5638), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [137844] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5755), 1,
      aux_sym__keyword_else_token1,
    STATE(8232), 1,
      sym_option_clause,
    ACTIONS(5753), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [137897] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5757), 1,
      aux_sym_alter_table_rename_statement_token2,
    ACTIONS(1526), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1524), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [137948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1832), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1830), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [137997] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5761), 1,
      aux_sym__keyword_else_token1,
    STATE(8314), 1,
      sym_option_clause,
    ACTIONS(5759), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [138050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5765), 11,
      sym__string_start,
      anon_sym_LPAREN,
      aux_sym__float_token1,
      aux_sym__float_token3,
      anon_sym_LBRACK,
      sym_system_variable,
      sym__positional_query_parameter,
      sym__quoted_identifier,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_DOLLAR,
    ACTIONS(5763), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_if_not_exists_token3,
      aux_sym__keyword_struct_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_array_token1,
      aux_sym__keyword_case_token1,
      aux_sym__keyword_cast_token1,
      aux_sym__keyword_cast_token2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_drop_notnull_token1,
      aux_sym_function_call_token2,
      aux_sym_unnest_operator_token1,
      aux_sym_TRUE_token1,
      aux_sym_FALSE_token1,
      sym__integer,
      aux_sym__float_token2,
      aux_sym_numeric_token1,
      aux_sym_numeric_token2,
      aux_sym_numeric_token3,
      aux_sym_numeric_token4,
      aux_sym_interval_token1,
      aux_sym_json_token1,
      sym__named_query_parameter,
      sym__unquoted_identifier,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_operator_compare,
  [138099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5769), 11,
      sym__string_start,
      anon_sym_LPAREN,
      aux_sym__float_token1,
      aux_sym__float_token3,
      anon_sym_LBRACK,
      sym_system_variable,
      sym__positional_query_parameter,
      sym__quoted_identifier,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_DOLLAR,
    ACTIONS(5767), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_if_not_exists_token3,
      aux_sym__keyword_struct_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_array_token1,
      aux_sym__keyword_case_token1,
      aux_sym__keyword_cast_token1,
      aux_sym__keyword_cast_token2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_drop_notnull_token1,
      aux_sym_function_call_token2,
      aux_sym_unnest_operator_token1,
      aux_sym_TRUE_token1,
      aux_sym_FALSE_token1,
      sym__integer,
      aux_sym__float_token2,
      aux_sym_numeric_token1,
      aux_sym_numeric_token2,
      aux_sym_numeric_token3,
      aux_sym_numeric_token4,
      aux_sym_interval_token1,
      aux_sym_json_token1,
      sym__named_query_parameter,
      sym__unquoted_identifier,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_operator_compare,
  [138148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5773), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5771), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [138197] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5777), 1,
      aux_sym__keyword_else_token1,
    STATE(8174), 1,
      sym_option_clause,
    ACTIONS(5775), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [138250] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2898), 1,
      anon_sym_COMMA,
    STATE(7473), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4545), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [138301] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2898), 1,
      anon_sym_COMMA,
    STATE(7471), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4541), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [138352] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5781), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5783), 1,
      anon_sym_COMMA,
    STATE(7494), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(5779), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [138405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5787), 11,
      sym__string_start,
      anon_sym_LPAREN,
      aux_sym__float_token1,
      aux_sym__float_token3,
      anon_sym_LBRACK,
      sym_system_variable,
      sym__positional_query_parameter,
      sym__quoted_identifier,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_DOLLAR,
    ACTIONS(5785), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_if_not_exists_token3,
      aux_sym__keyword_struct_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_array_token1,
      aux_sym__keyword_case_token1,
      aux_sym__keyword_cast_token1,
      aux_sym__keyword_cast_token2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_drop_notnull_token1,
      aux_sym_function_call_token2,
      aux_sym_unnest_operator_token1,
      aux_sym_TRUE_token1,
      aux_sym_FALSE_token1,
      sym__integer,
      aux_sym__float_token2,
      aux_sym_numeric_token1,
      aux_sym_numeric_token2,
      aux_sym_numeric_token3,
      aux_sym_numeric_token4,
      aux_sym_interval_token1,
      aux_sym_json_token1,
      sym__named_query_parameter,
      sym__unquoted_identifier,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_operator_compare,
  [138454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 11,
      sym__string_start,
      anon_sym_LPAREN,
      aux_sym__float_token1,
      aux_sym__float_token3,
      anon_sym_LBRACK,
      sym_system_variable,
      sym__positional_query_parameter,
      sym__quoted_identifier,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_DOLLAR,
    ACTIONS(5789), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_if_not_exists_token3,
      aux_sym__keyword_struct_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_array_token1,
      aux_sym__keyword_case_token1,
      aux_sym__keyword_cast_token1,
      aux_sym__keyword_cast_token2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_drop_notnull_token1,
      aux_sym_function_call_token2,
      aux_sym_unnest_operator_token1,
      aux_sym_TRUE_token1,
      aux_sym_FALSE_token1,
      sym__integer,
      aux_sym__float_token2,
      aux_sym_numeric_token1,
      aux_sym_numeric_token2,
      aux_sym_numeric_token3,
      aux_sym_numeric_token4,
      aux_sym_interval_token1,
      aux_sym_json_token1,
      sym__named_query_parameter,
      sym__unquoted_identifier,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_operator_compare,
  [138503] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(5200), 1,
      aux_sym__keyword_as_token1,
    STATE(2405), 1,
      sym__identifier,
    STATE(5263), 1,
      sym_as_alias,
    STATE(5578), 1,
      sym_identifier,
    STATE(5587), 1,
      sym__type_chrono,
    STATE(11469), 1,
      sym__keyword_as,
    ACTIONS(2972), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3366), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5589), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(2970), 21,
      aux_sym__keyword_window_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
  [138574] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5795), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5797), 1,
      anon_sym_COMMA,
    STATE(7518), 1,
      aux_sym_declare_statement_repeat1,
    ACTIONS(5793), 38,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [138627] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(5799), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [138676] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5805), 1,
      aux_sym__keyword_else_token1,
    STATE(8068), 1,
      sym_option_clause,
    ACTIONS(5803), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [138729] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5809), 1,
      aux_sym__keyword_else_token1,
    STATE(8348), 1,
      sym_option_clause,
    ACTIONS(5807), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [138782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5813), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(5811), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [138831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5817), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5815), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [138880] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5594), 1,
      aux_sym__keyword_else_token1,
    STATE(8070), 1,
      sym_option_clause,
    ACTIONS(5592), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [138933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5583), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5581), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [138982] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5821), 1,
      aux_sym__keyword_else_token1,
    STATE(8073), 1,
      sym_option_clause,
    ACTIONS(5819), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [139035] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5825), 1,
      aux_sym__keyword_else_token1,
    STATE(8022), 1,
      sym_option_clause,
    ACTIONS(5823), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [139088] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5829), 1,
      aux_sym__keyword_else_token1,
    STATE(8285), 1,
      sym_option_clause,
    ACTIONS(5827), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [139141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5833), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(5831), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [139190] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5837), 1,
      aux_sym__keyword_else_token1,
    STATE(8177), 1,
      sym_option_clause,
    ACTIONS(5835), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [139243] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2898), 1,
      anon_sym_COMMA,
    STATE(7516), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4549), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [139294] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2898), 1,
      anon_sym_COMMA,
    STATE(7473), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4553), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [139345] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5783), 1,
      anon_sym_COMMA,
    ACTIONS(5841), 1,
      aux_sym__keyword_else_token1,
    STATE(7522), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(5839), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [139398] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2898), 1,
      anon_sym_COMMA,
    STATE(7473), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4557), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [139449] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5845), 1,
      aux_sym__keyword_else_token1,
    STATE(8064), 1,
      sym_option_clause,
    ACTIONS(5843), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [139502] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5847), 1,
      anon_sym_COMMA,
    STATE(7473), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4561), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [139553] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5783), 1,
      anon_sym_COMMA,
    ACTIONS(5852), 1,
      aux_sym__keyword_else_token1,
    STATE(7527), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(5850), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [139606] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5176), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(5856), 1,
      aux_sym__keyword_else_token1,
    STATE(7615), 1,
      sym_partition_columns_clause,
    STATE(8313), 1,
      sym_with_connection_clause,
    ACTIONS(5854), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [139661] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5176), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(5860), 1,
      aux_sym__keyword_else_token1,
    STATE(7696), 1,
      sym_partition_columns_clause,
    STATE(8186), 1,
      sym_with_connection_clause,
    ACTIONS(5858), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [139716] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5176), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(5864), 1,
      aux_sym__keyword_else_token1,
    STATE(7698), 1,
      sym_partition_columns_clause,
    STATE(8185), 1,
      sym_with_connection_clause,
    ACTIONS(5862), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [139771] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5868), 1,
      aux_sym__keyword_else_token1,
    STATE(8056), 1,
      sym_option_clause,
    ACTIONS(5866), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [139824] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5214), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5870), 1,
      anon_sym_COMMA,
    STATE(7479), 1,
      aux_sym_set_clause_repeat1,
    ACTIONS(5212), 38,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [139877] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5783), 1,
      anon_sym_COMMA,
    ACTIONS(5875), 1,
      aux_sym__keyword_else_token1,
    STATE(7482), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(5873), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [139930] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5783), 1,
      anon_sym_COMMA,
    ACTIONS(5879), 1,
      aux_sym__keyword_else_token1,
    STATE(7451), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(5877), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [139983] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5783), 1,
      anon_sym_COMMA,
    ACTIONS(5883), 1,
      aux_sym__keyword_else_token1,
    STATE(7494), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(5881), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [140036] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5783), 1,
      anon_sym_COMMA,
    ACTIONS(5887), 1,
      aux_sym__keyword_else_token1,
    STATE(7494), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(5885), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [140089] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5783), 1,
      anon_sym_COMMA,
    ACTIONS(5879), 1,
      aux_sym__keyword_else_token1,
    STATE(7494), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(5877), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [140142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5891), 11,
      sym__string_start,
      anon_sym_LPAREN,
      aux_sym__float_token1,
      aux_sym__float_token3,
      anon_sym_LBRACK,
      sym_system_variable,
      sym__positional_query_parameter,
      sym__quoted_identifier,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_DOLLAR,
    ACTIONS(5889), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_if_not_exists_token3,
      aux_sym__keyword_struct_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_array_token1,
      aux_sym__keyword_case_token1,
      aux_sym__keyword_cast_token1,
      aux_sym__keyword_cast_token2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_drop_notnull_token1,
      aux_sym_function_call_token2,
      aux_sym_unnest_operator_token1,
      aux_sym_TRUE_token1,
      aux_sym_FALSE_token1,
      sym__integer,
      aux_sym__float_token2,
      aux_sym_numeric_token1,
      aux_sym_numeric_token2,
      aux_sym_numeric_token3,
      aux_sym_numeric_token4,
      aux_sym_interval_token1,
      aux_sym_json_token1,
      sym__named_query_parameter,
      sym__unquoted_identifier,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_operator_compare,
  [140191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5895), 11,
      sym__string_start,
      anon_sym_LPAREN,
      aux_sym__float_token1,
      aux_sym__float_token3,
      anon_sym_LBRACK,
      sym_system_variable,
      sym__positional_query_parameter,
      sym__quoted_identifier,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_DOLLAR,
    ACTIONS(5893), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_if_not_exists_token3,
      aux_sym__keyword_struct_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_array_token1,
      aux_sym__keyword_case_token1,
      aux_sym__keyword_cast_token1,
      aux_sym__keyword_cast_token2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_drop_notnull_token1,
      aux_sym_function_call_token2,
      aux_sym_unnest_operator_token1,
      aux_sym_TRUE_token1,
      aux_sym_FALSE_token1,
      sym__integer,
      aux_sym__float_token2,
      aux_sym_numeric_token1,
      aux_sym_numeric_token2,
      aux_sym_numeric_token3,
      aux_sym_numeric_token4,
      aux_sym_interval_token1,
      aux_sym_json_token1,
      sym__named_query_parameter,
      sym__unquoted_identifier,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_operator_compare,
  [140240] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5783), 1,
      anon_sym_COMMA,
    ACTIONS(5899), 1,
      aux_sym__keyword_else_token1,
    STATE(7494), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(5897), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [140293] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5783), 1,
      anon_sym_COMMA,
    ACTIONS(5899), 1,
      aux_sym__keyword_else_token1,
    STATE(7504), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(5897), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [140346] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5783), 1,
      anon_sym_COMMA,
    ACTIONS(5875), 1,
      aux_sym__keyword_else_token1,
    STATE(7494), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(5873), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [140399] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5783), 1,
      anon_sym_COMMA,
    ACTIONS(5903), 1,
      aux_sym__keyword_else_token1,
    STATE(7494), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(5901), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [140452] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5783), 1,
      anon_sym_COMMA,
    ACTIONS(5907), 1,
      aux_sym__keyword_else_token1,
    STATE(7494), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(5905), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [140505] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5911), 1,
      aux_sym__keyword_else_token1,
    STATE(8044), 1,
      sym_option_clause,
    ACTIONS(5909), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [140558] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5915), 1,
      aux_sym__keyword_else_token1,
    STATE(8141), 1,
      sym_option_clause,
    ACTIONS(5913), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [140611] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5919), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5921), 1,
      anon_sym_COMMA,
    STATE(7494), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(5917), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [140664] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5783), 1,
      anon_sym_COMMA,
    ACTIONS(5926), 1,
      aux_sym__keyword_else_token1,
    STATE(7497), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(5924), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [140717] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5783), 1,
      anon_sym_COMMA,
    ACTIONS(5930), 1,
      aux_sym__keyword_else_token1,
    STATE(7483), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(5928), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [140770] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5783), 1,
      anon_sym_COMMA,
    ACTIONS(5930), 1,
      aux_sym__keyword_else_token1,
    STATE(7494), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(5928), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [140823] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5783), 1,
      anon_sym_COMMA,
    ACTIONS(5926), 1,
      aux_sym__keyword_else_token1,
    STATE(7494), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(5924), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [140876] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5783), 1,
      anon_sym_COMMA,
    ACTIONS(5934), 1,
      aux_sym__keyword_else_token1,
    STATE(7494), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(5932), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [140929] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5783), 1,
      anon_sym_COMMA,
    ACTIONS(5934), 1,
      aux_sym__keyword_else_token1,
    STATE(7489), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(5932), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [140982] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5938), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5940), 1,
      anon_sym_COMMA,
    STATE(7479), 1,
      aux_sym_set_clause_repeat1,
    ACTIONS(5936), 38,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [141035] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5176), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(5944), 1,
      aux_sym__keyword_else_token1,
    STATE(7808), 1,
      sym_partition_columns_clause,
    STATE(8121), 1,
      sym_with_connection_clause,
    ACTIONS(5942), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [141090] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5783), 1,
      anon_sym_COMMA,
    ACTIONS(5948), 1,
      aux_sym__keyword_else_token1,
    STATE(7490), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(5946), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [141143] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5783), 1,
      anon_sym_COMMA,
    ACTIONS(5948), 1,
      aux_sym__keyword_else_token1,
    STATE(7494), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(5946), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [141196] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5781), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5783), 1,
      anon_sym_COMMA,
    STATE(7491), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(5779), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [141249] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5940), 1,
      anon_sym_COMMA,
    ACTIONS(5952), 1,
      aux_sym__keyword_else_token1,
    STATE(7501), 1,
      aux_sym_set_clause_repeat1,
    ACTIONS(5950), 38,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [141302] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5956), 1,
      aux_sym__keyword_else_token1,
    STATE(8260), 1,
      sym_option_clause,
    ACTIONS(5954), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [141355] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5176), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(5960), 1,
      aux_sym__keyword_else_token1,
    STATE(7611), 1,
      sym_partition_columns_clause,
    STATE(8259), 1,
      sym_with_connection_clause,
    ACTIONS(5958), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [141410] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5176), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(5964), 1,
      aux_sym__keyword_else_token1,
    STATE(7817), 1,
      sym_partition_columns_clause,
    STATE(8119), 1,
      sym_with_connection_clause,
    ACTIONS(5962), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [141465] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5433), 1,
      aux_sym__keyword_else_token1,
    STATE(8021), 1,
      sym_option_clause,
    ACTIONS(5431), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [141518] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5968), 1,
      aux_sym__keyword_else_token1,
    STATE(8132), 1,
      sym_option_clause,
    ACTIONS(5966), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [141571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1832), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1830), 35,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [141620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5972), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5970), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [141669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1790), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1788), 35,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [141718] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4925), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4927), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4931), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4935), 1,
      anon_sym_PLUS,
    ACTIONS(4937), 1,
      anon_sym_DASH,
    ACTIONS(4941), 1,
      anon_sym_SLASH,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    ACTIONS(5088), 1,
      anon_sym_LBRACK,
    ACTIONS(5090), 1,
      anon_sym_DOT2,
    ACTIONS(5976), 1,
      anon_sym_COMMA,
    STATE(1186), 1,
      sym__keyword_in,
    STATE(1199), 1,
      sym__keyword_and,
    STATE(1200), 1,
      sym__keyword_or,
    STATE(1882), 1,
      sym__keyword_between,
    STATE(12129), 1,
      sym__keyword_is,
    STATE(13084), 1,
      sym__keyword_not,
    STATE(13175), 1,
      aux_sym_window_partition_clause_repeat1,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16130), 1,
      sym_quantitve_like_operator,
    STATE(16147), 1,
      sym_like_operator,
    ACTIONS(4933), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4939), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5974), 4,
      aux_sym__keyword_range_token1,
      anon_sym_RPAREN,
      aux_sym_rows_range_token1,
      aux_sym_order_by_clause_token1,
    ACTIONS(4929), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [141823] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2898), 1,
      anon_sym_COMMA,
    STATE(7473), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4568), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [141874] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5980), 1,
      aux_sym__keyword_else_token1,
    STATE(8138), 1,
      sym_option_clause,
    ACTIONS(5978), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [141927] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4537), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5982), 1,
      anon_sym_COMMA,
    STATE(7518), 1,
      aux_sym_declare_statement_repeat1,
    ACTIONS(4539), 38,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [141980] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5783), 1,
      anon_sym_COMMA,
    ACTIONS(5987), 1,
      aux_sym__keyword_else_token1,
    STATE(7484), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(5985), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [142033] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5783), 1,
      anon_sym_COMMA,
    ACTIONS(5991), 1,
      aux_sym__keyword_else_token1,
    STATE(7487), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(5989), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [142086] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5176), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(5995), 1,
      aux_sym__keyword_else_token1,
    STATE(7569), 1,
      sym_partition_columns_clause,
    STATE(8292), 1,
      sym_with_connection_clause,
    ACTIONS(5993), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [142141] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5783), 1,
      anon_sym_COMMA,
    ACTIONS(5991), 1,
      aux_sym__keyword_else_token1,
    STATE(7494), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(5989), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [142194] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5176), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(5999), 1,
      aux_sym__keyword_else_token1,
    STATE(7582), 1,
      sym_partition_columns_clause,
    STATE(8282), 1,
      sym_with_connection_clause,
    ACTIONS(5997), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [142249] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5783), 1,
      anon_sym_COMMA,
    ACTIONS(6003), 1,
      aux_sym__keyword_else_token1,
    STATE(7498), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(6001), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [142302] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5783), 1,
      anon_sym_COMMA,
    ACTIONS(6007), 1,
      aux_sym__keyword_else_token1,
    STATE(7499), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(6005), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [142355] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5797), 1,
      anon_sym_COMMA,
    ACTIONS(6011), 1,
      aux_sym__keyword_else_token1,
    STATE(7455), 1,
      aux_sym_declare_statement_repeat1,
    ACTIONS(6009), 38,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [142408] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5783), 1,
      anon_sym_COMMA,
    ACTIONS(6007), 1,
      aux_sym__keyword_else_token1,
    STATE(7494), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(6005), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [142461] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5031), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5033), 1,
      aux_sym__keyword_as_token1,
    STATE(12756), 1,
      sym__keyword_as,
    ACTIONS(5029), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [142513] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5116), 1,
      aux_sym__keyword_as_token1,
    STATE(9003), 1,
      sym_table_cluster_clause,
    STATE(9874), 1,
      sym_option_clause,
    STATE(12483), 1,
      sym__keyword_as,
    ACTIONS(4340), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [142571] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5059), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(7115), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [142673] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4348), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4350), 1,
      aux_sym__keyword_as_token1,
    STATE(12170), 1,
      sym__keyword_as,
    ACTIONS(4346), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [142725] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5610), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5612), 1,
      aux_sym__keyword_as_token1,
    STATE(12606), 1,
      sym__keyword_as,
    ACTIONS(5608), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [142777] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5236), 1,
      aux_sym__keyword_as_token1,
    STATE(8637), 1,
      sym_table_cluster_clause,
    STATE(9822), 1,
      sym_option_clause,
    STATE(12579), 1,
      sym__keyword_as,
    ACTIONS(4310), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [142835] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5318), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5320), 1,
      aux_sym__keyword_as_token1,
    STATE(12608), 1,
      sym__keyword_as,
    ACTIONS(5316), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [142887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6017), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6015), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [142935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6021), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6019), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [142983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1828), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1826), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [143031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1824), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1822), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [143079] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6025), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6027), 1,
      anon_sym_COMMA,
    STATE(7969), 1,
      aux_sym_using_clause_repeat1,
    ACTIONS(6023), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [143131] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6031), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6029), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [143179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6035), 10,
      sym__string_start,
      anon_sym_LPAREN,
      aux_sym__float_token1,
      aux_sym__float_token3,
      anon_sym_LBRACK,
      sym_system_variable,
      sym__positional_query_parameter,
      sym__quoted_identifier,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
    ACTIONS(6033), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_if_not_exists_token3,
      aux_sym__keyword_struct_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_array_token1,
      aux_sym__keyword_case_token1,
      aux_sym__keyword_cast_token1,
      aux_sym__keyword_cast_token2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_drop_notnull_token1,
      aux_sym_function_call_token2,
      aux_sym_unnest_operator_token1,
      aux_sym_TRUE_token1,
      aux_sym_FALSE_token1,
      sym__integer,
      aux_sym__float_token2,
      aux_sym_numeric_token1,
      aux_sym_numeric_token2,
      aux_sym_numeric_token3,
      aux_sym_numeric_token4,
      aux_sym_interval_token1,
      aux_sym_json_token1,
      sym__named_query_parameter,
      sym__unquoted_identifier,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_operator_compare,
  [143227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1860), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1858), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [143275] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5409), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5411), 1,
      aux_sym__keyword_as_token1,
    STATE(12169), 1,
      sym__keyword_as,
    ACTIONS(5407), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [143327] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5023), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5025), 1,
      aux_sym__keyword_as_token1,
    STATE(12202), 1,
      sym__keyword_as,
    ACTIONS(5021), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [143379] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4887), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4889), 1,
      aux_sym__keyword_as_token1,
    STATE(12189), 1,
      sym__keyword_as,
    ACTIONS(4885), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [143431] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4007), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4009), 1,
      aux_sym__keyword_as_token1,
    STATE(12342), 1,
      sym__keyword_as,
    ACTIONS(4005), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [143483] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4362), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4364), 1,
      aux_sym__keyword_as_token1,
    STATE(12171), 1,
      sym__keyword_as,
    ACTIONS(4360), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [143535] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5375), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5377), 1,
      aux_sym__keyword_as_token1,
    STATE(12166), 1,
      sym__keyword_as,
    ACTIONS(5373), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [143587] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4715), 1,
      aux_sym__keyword_as_token1,
    STATE(8619), 1,
      sym_table_cluster_clause,
    STATE(9807), 1,
      sym_option_clause,
    STATE(12567), 1,
      sym__keyword_as,
    ACTIONS(4143), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [143645] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5234), 1,
      aux_sym__keyword_as_token1,
    STATE(8644), 1,
      sym_table_cluster_clause,
    STATE(9824), 1,
      sym_option_clause,
    STATE(12588), 1,
      sym__keyword_as,
    ACTIONS(4328), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [143703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1494), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1492), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [143751] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4703), 1,
      aux_sym__keyword_as_token1,
    STATE(8664), 1,
      sym_table_cluster_clause,
    STATE(9826), 1,
      sym_option_clause,
    STATE(12591), 1,
      sym__keyword_as,
    ACTIONS(4011), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [143809] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4013), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4015), 1,
      aux_sym__keyword_as_token1,
    STATE(12553), 1,
      sym__keyword_as,
    ACTIONS(4011), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [143861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6039), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6037), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [143909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6043), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6041), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [143957] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4839), 1,
      aux_sym_transoform_clause_token1,
    ACTIONS(6045), 1,
      aux_sym__keyword_as_token1,
    STATE(8553), 1,
      sym_transoform_clause,
    STATE(9787), 1,
      sym_option_clause,
    STATE(12537), 1,
      sym__keyword_as,
    ACTIONS(5013), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [144015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6049), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6047), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [144063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1588), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1586), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [144111] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4839), 1,
      aux_sym_transoform_clause_token1,
    ACTIONS(6051), 1,
      aux_sym__keyword_as_token1,
    STATE(9038), 1,
      sym_transoform_clause,
    STATE(9830), 1,
      sym_option_clause,
    STATE(12858), 1,
      sym__keyword_as,
    ACTIONS(4833), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [144169] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(6053), 1,
      aux_sym__keyword_as_token1,
    STATE(8424), 1,
      sym_table_cluster_clause,
    STATE(9695), 1,
      sym_option_clause,
    STATE(12378), 1,
      sym__keyword_as,
    ACTIONS(4813), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [144227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1786), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1784), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [144275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1848), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1846), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [144323] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4763), 1,
      aux_sym_default_clause_token1,
    ACTIONS(4869), 1,
      aux_sym_keyword_if_not_exists_token2,
    STATE(7260), 1,
      sym_default_clause,
    STATE(7367), 1,
      sym_option_clause,
    ACTIONS(4867), 35,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [144379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1856), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1854), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [144427] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5461), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5463), 1,
      aux_sym__keyword_as_token1,
    STATE(12794), 1,
      sym__keyword_as,
    ACTIONS(5459), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [144479] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4330), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4332), 1,
      aux_sym__keyword_as_token1,
    STATE(12552), 1,
      sym__keyword_as,
    ACTIONS(4328), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [144531] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1472), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1470), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [144579] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4913), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4915), 1,
      aux_sym__keyword_as_token1,
    STATE(12164), 1,
      sym__keyword_as,
    ACTIONS(4911), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [144631] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5964), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6055), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(8119), 1,
      sym_with_connection_clause,
    ACTIONS(5962), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [144683] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(6057), 1,
      aux_sym__keyword_as_token1,
    STATE(8630), 1,
      sym_table_cluster_clause,
    STATE(9756), 1,
      sym_option_clause,
    STATE(12236), 1,
      sym__keyword_as,
    ACTIONS(4911), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [144741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1468), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1466), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [144789] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4312), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4314), 1,
      aux_sym__keyword_as_token1,
    STATE(12533), 1,
      sym__keyword_as,
    ACTIONS(4310), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [144841] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4763), 1,
      aux_sym_default_clause_token1,
    ACTIONS(4863), 1,
      aux_sym_keyword_if_not_exists_token2,
    STATE(7110), 1,
      sym_default_clause,
    STATE(7275), 1,
      sym_option_clause,
    ACTIONS(4861), 35,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [144897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1766), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1764), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [144945] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1456), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1454), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [144993] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4031), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4033), 1,
      aux_sym__keyword_as_token1,
    STATE(12788), 1,
      sym__keyword_as,
    ACTIONS(4029), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [145045] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(6059), 1,
      aux_sym__keyword_when_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8048), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [145147] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4370), 1,
      aux_sym__keyword_as_token1,
    STATE(12206), 1,
      sym__keyword_as,
    ACTIONS(4366), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [145199] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5067), 1,
      aux_sym__keyword_as_token1,
    STATE(8628), 1,
      sym_table_cluster_clause,
    STATE(9816), 1,
      sym_option_clause,
    STATE(12223), 1,
      sym__keyword_as,
    ACTIONS(4346), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [145257] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(6059), 1,
      aux_sym__keyword_when_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8047), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [145359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1836), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1834), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [145407] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5944), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6055), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(8121), 1,
      sym_with_connection_clause,
    ACTIONS(5942), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [145459] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6063), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6065), 1,
      aux_sym__keyword_as_token1,
    STATE(12612), 1,
      sym__keyword_as,
    ACTIONS(6061), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [145511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1596), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1594), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [145559] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5166), 1,
      aux_sym__keyword_as_token1,
    STATE(8359), 1,
      sym_table_cluster_clause,
    STATE(9815), 1,
      sym_option_clause,
    STATE(12218), 1,
      sym__keyword_as,
    ACTIONS(4360), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [145617] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4376), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4378), 1,
      aux_sym__keyword_as_token1,
    STATE(12220), 1,
      sym__keyword_as,
    ACTIONS(4374), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [145669] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(6067), 1,
      aux_sym__keyword_as_token1,
    STATE(8632), 1,
      sym_table_cluster_clause,
    STATE(9821), 1,
      sym_option_clause,
    STATE(12237), 1,
      sym__keyword_as,
    ACTIONS(4979), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [145727] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6071), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6073), 1,
      aux_sym__keyword_as_token1,
    STATE(12614), 1,
      sym__keyword_as,
    ACTIONS(6069), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [145779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1840), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1838), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [145827] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(6075), 1,
      aux_sym__keyword_as_token1,
    STATE(8626), 1,
      sym_table_cluster_clause,
    STATE(9813), 1,
      sym_option_clause,
    STATE(12216), 1,
      sym__keyword_as,
    ACTIONS(4885), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [145885] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4981), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4983), 1,
      aux_sym__keyword_as_token1,
    STATE(12162), 1,
      sym__keyword_as,
    ACTIONS(4979), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [145937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1440), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1438), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [145985] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4875), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4877), 1,
      aux_sym__keyword_as_token1,
    STATE(12619), 1,
      sym__keyword_as,
    ACTIONS(4873), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [146037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1434), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [146085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6079), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6077), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [146133] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(6081), 1,
      aux_sym__keyword_as_token1,
    STATE(8669), 1,
      sym_table_cluster_clause,
    STATE(9812), 1,
      sym_option_clause,
    STATE(12186), 1,
      sym__keyword_as,
    ACTIONS(5021), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [146191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6085), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6083), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [146239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1432), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1430), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [146287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1424), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1422), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [146335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5919), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5917), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [146383] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6087), 1,
      aux_sym_set_operation_token1,
    ACTIONS(6089), 1,
      aux_sym_set_operation_token3,
    ACTIONS(6091), 1,
      aux_sym_set_operation_token4,
    ACTIONS(4823), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [146435] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(6093), 1,
      aux_sym__keyword_as_token1,
    STATE(8421), 1,
      sym_table_cluster_clause,
    STATE(9701), 1,
      sym_option_clause,
    STATE(12387), 1,
      sym__keyword_as,
    ACTIONS(4827), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [146493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1420), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [146541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6097), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6095), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [146589] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4893), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4895), 1,
      aux_sym__keyword_as_token1,
    STATE(12624), 1,
      sym__keyword_as,
    ACTIONS(4891), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [146641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1420), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [146689] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(6059), 1,
      aux_sym__keyword_when_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8129), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [146791] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6087), 1,
      aux_sym_set_operation_token1,
    ACTIONS(6089), 1,
      aux_sym_set_operation_token3,
    ACTIONS(6091), 1,
      aux_sym_set_operation_token4,
    ACTIONS(4809), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [146843] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6087), 1,
      aux_sym_set_operation_token1,
    ACTIONS(6089), 1,
      aux_sym_set_operation_token3,
    ACTIONS(6091), 1,
      aux_sym_set_operation_token4,
    ACTIONS(4819), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [146895] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6101), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6103), 1,
      anon_sym_COMMA,
    STATE(7610), 1,
      aux_sym_using_clause_repeat1,
    ACTIONS(6099), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [146947] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5864), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6055), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(8185), 1,
      sym_with_connection_clause,
    ACTIONS(5862), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [146999] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(6059), 1,
      aux_sym__keyword_when_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8130), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [147101] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(6059), 1,
      aux_sym__keyword_when_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8131), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [147203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1540), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [147251] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6055), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(6108), 1,
      aux_sym__keyword_else_token1,
    STATE(8043), 1,
      sym_with_connection_clause,
    ACTIONS(6106), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [147303] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4135), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4137), 1,
      aux_sym__keyword_as_token1,
    STATE(12329), 1,
      sym__keyword_as,
    ACTIONS(4133), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [147355] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5126), 1,
      aux_sym__keyword_as_token1,
    STATE(8624), 1,
      sym_table_cluster_clause,
    STATE(9810), 1,
      sym_option_clause,
    STATE(12215), 1,
      sym__keyword_as,
    ACTIONS(4366), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [147413] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5120), 1,
      aux_sym__keyword_as_token1,
    STATE(8621), 1,
      sym_table_cluster_clause,
    STATE(9808), 1,
      sym_option_clause,
    STATE(12213), 1,
      sym__keyword_as,
    ACTIONS(4374), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [147471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1416), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1414), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [147519] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4723), 1,
      aux_sym__keyword_as_token1,
    STATE(8618), 1,
      sym_table_cluster_clause,
    STATE(9805), 1,
      sym_option_clause,
    STATE(12205), 1,
      sym__keyword_as,
    ACTIONS(4107), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [147577] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5059), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(7117), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [147679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6112), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6110), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [147727] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5092), 1,
      aux_sym__keyword_as_token1,
    STATE(8616), 1,
      sym_table_cluster_clause,
    STATE(9804), 1,
      sym_option_clause,
    STATE(12204), 1,
      sym__keyword_as,
    ACTIONS(4424), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [147785] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6087), 1,
      aux_sym_set_operation_token1,
    ACTIONS(6089), 1,
      aux_sym_set_operation_token3,
    ACTIONS(6091), 1,
      aux_sym_set_operation_token4,
    ACTIONS(4799), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [147837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1408), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1406), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [147885] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5084), 1,
      aux_sym__keyword_as_token1,
    STATE(8610), 1,
      sym_table_cluster_clause,
    STATE(9802), 1,
      sym_option_clause,
    STATE(12203), 1,
      sym__keyword_as,
    ACTIONS(4518), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [147943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1584), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1582), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [147991] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5537), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5539), 1,
      aux_sym__keyword_as_token1,
    STATE(12625), 1,
      sym__keyword_as,
    ACTIONS(5535), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [148043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1400), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1398), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [148091] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(6059), 1,
      aux_sym__keyword_when_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8135), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [148193] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(6059), 1,
      aux_sym__keyword_when_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8140), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [148295] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(6059), 1,
      aux_sym__keyword_when_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8145), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [148397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1396), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1394), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [148445] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4109), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4111), 1,
      aux_sym__keyword_as_token1,
    STATE(12224), 1,
      sym__keyword_as,
    ACTIONS(4107), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [148497] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4729), 1,
      aux_sym__keyword_as_token1,
    STATE(8612), 1,
      sym_table_cluster_clause,
    STATE(9800), 1,
      sym_option_clause,
    STATE(12191), 1,
      sym__keyword_as,
    ACTIONS(4133), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [148555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6116), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6114), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [148603] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4426), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4428), 1,
      aux_sym__keyword_as_token1,
    STATE(12229), 1,
      sym__keyword_as,
    ACTIONS(4424), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [148655] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(6059), 1,
      aux_sym__keyword_when_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8188), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [148757] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(6059), 1,
      aux_sym__keyword_when_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8189), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [148859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [148907] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5549), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5551), 1,
      aux_sym__keyword_as_token1,
    STATE(12637), 1,
      sym__keyword_as,
    ACTIONS(5547), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [148959] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4901), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4903), 1,
      aux_sym__keyword_as_token1,
    STATE(12719), 1,
      sym__keyword_as,
    ACTIONS(4899), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [149011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [149059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [149107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [149155] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(6118), 1,
      aux_sym__keyword_as_token1,
    STATE(8454), 1,
      sym_table_cluster_clause,
    STATE(9732), 1,
      sym_option_clause,
    STATE(12248), 1,
      sym__keyword_as,
    ACTIONS(5029), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [149213] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4907), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4909), 1,
      aux_sym__keyword_as_token1,
    STATE(12641), 1,
      sym__keyword_as,
    ACTIONS(4905), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [149265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [149313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [149361] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4382), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4384), 1,
      aux_sym__keyword_as_token1,
    STATE(12645), 1,
      sym__keyword_as,
    ACTIONS(4380), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [149413] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4761), 1,
      aux_sym__keyword_as_token1,
    STATE(8598), 1,
      sym_table_cluster_clause,
    STATE(9797), 1,
      sym_option_clause,
    STATE(12676), 1,
      sym__keyword_as,
    ACTIONS(4005), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [149471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6122), 10,
      sym__string_start,
      anon_sym_LPAREN,
      aux_sym__float_token1,
      aux_sym__float_token3,
      anon_sym_LBRACK,
      sym_system_variable,
      sym__positional_query_parameter,
      sym__quoted_identifier,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
    ACTIONS(6120), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_if_not_exists_token3,
      aux_sym__keyword_struct_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_array_token1,
      aux_sym__keyword_case_token1,
      aux_sym__keyword_cast_token1,
      aux_sym__keyword_cast_token2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_drop_notnull_token1,
      aux_sym_function_call_token2,
      aux_sym_unnest_operator_token1,
      aux_sym_TRUE_token1,
      aux_sym_FALSE_token1,
      sym__integer,
      aux_sym__float_token2,
      aux_sym_numeric_token1,
      aux_sym_numeric_token2,
      aux_sym_numeric_token3,
      aux_sym_numeric_token4,
      aux_sym_interval_token1,
      aux_sym_json_token1,
      sym__named_query_parameter,
      sym__unquoted_identifier,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_operator_compare,
  [149519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6126), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6124), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [149567] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4701), 1,
      aux_sym__keyword_as_token1,
    STATE(8992), 1,
      sym_table_cluster_clause,
    STATE(9865), 1,
      sym_option_clause,
    STATE(12863), 1,
      sym__keyword_as,
    ACTIONS(4029), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [149625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [149673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [149721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [149769] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4388), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4390), 1,
      aux_sym__keyword_as_token1,
    STATE(12656), 1,
      sym__keyword_as,
    ACTIONS(4386), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [149821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [149869] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1506), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1504), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [149917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1412), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1410), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [149965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1498), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1496), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [150013] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4520), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4522), 1,
      aux_sym__keyword_as_token1,
    STATE(12232), 1,
      sym__keyword_as,
    ACTIONS(4518), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [150065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1362), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [150113] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4953), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4955), 1,
      aux_sym__keyword_as_token1,
    STATE(12659), 1,
      sym__keyword_as,
    ACTIONS(4951), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [150165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1580), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1578), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [150213] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6130), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6132), 1,
      aux_sym__keyword_as_token1,
    STATE(12504), 1,
      sym__keyword_as,
    ACTIONS(6128), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [150265] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6136), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6138), 1,
      aux_sym__keyword_as_token1,
    STATE(12505), 1,
      sym__keyword_as,
    ACTIONS(6134), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [150317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1362), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [150365] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(6140), 1,
      aux_sym__keyword_as_token1,
    STATE(8453), 1,
      sym_table_cluster_clause,
    STATE(9731), 1,
      sym_option_clause,
    STATE(12254), 1,
      sym__keyword_as,
    ACTIONS(5007), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [150423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1362), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [150471] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6144), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6146), 1,
      aux_sym__keyword_as_token1,
    STATE(12517), 1,
      sym__keyword_as,
    ACTIONS(6142), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [150523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1362), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [150571] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6150), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6152), 1,
      aux_sym__keyword_as_token1,
    STATE(12518), 1,
      sym__keyword_as,
    ACTIONS(6148), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [150623] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5441), 1,
      aux_sym__keyword_as_token1,
    STATE(12521), 1,
      sym__keyword_as,
    ACTIONS(5437), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [150675] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(6059), 1,
      aux_sym__keyword_when_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8218), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [150777] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(6059), 1,
      aux_sym__keyword_when_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8223), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [150879] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5423), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5425), 1,
      aux_sym__keyword_as_token1,
    STATE(12522), 1,
      sym__keyword_as,
    ACTIONS(5421), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [150931] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6156), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6158), 1,
      aux_sym__keyword_as_token1,
    STATE(12527), 1,
      sym__keyword_as,
    ACTIONS(6154), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [150983] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6162), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6164), 1,
      aux_sym__keyword_as_token1,
    STATE(12530), 1,
      sym__keyword_as,
    ACTIONS(6160), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [151035] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6168), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6170), 1,
      aux_sym__keyword_as_token1,
    STATE(12531), 1,
      sym__keyword_as,
    ACTIONS(6166), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [151087] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1362), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [151135] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6174), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6172), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [151183] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(6059), 1,
      aux_sym__keyword_when_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8237), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [151285] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5188), 1,
      aux_sym__keyword_as_token1,
    STATE(8542), 1,
      sym_table_cluster_clause,
    STATE(9764), 1,
      sym_option_clause,
    STATE(12197), 1,
      sym__keyword_as,
    ACTIONS(4418), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [151343] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(6059), 1,
      aux_sym__keyword_when_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8241), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [151445] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6178), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6180), 1,
      aux_sym__keyword_as_token1,
    STATE(12532), 1,
      sym__keyword_as,
    ACTIONS(6176), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [151497] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(6059), 1,
      aux_sym__keyword_when_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8243), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [151599] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5059), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(7183), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [151701] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5059), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(7263), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [151803] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5654), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5656), 1,
      aux_sym__keyword_as_token1,
    STATE(12543), 1,
      sym__keyword_as,
    ACTIONS(5652), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [151855] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5338), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5340), 1,
      aux_sym__keyword_as_token1,
    STATE(12544), 1,
      sym__keyword_as,
    ACTIONS(5336), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [151907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6184), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6182), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [151955] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4815), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4817), 1,
      aux_sym__keyword_as_token1,
    STATE(12547), 1,
      sym__keyword_as,
    ACTIONS(4813), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [152007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1388), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1386), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [152055] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5999), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6055), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(8282), 1,
      sym_with_connection_clause,
    ACTIONS(5997), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [152107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [152155] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5995), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6055), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(8292), 1,
      sym_with_connection_clause,
    ACTIONS(5993), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [152207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [152255] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4961), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4963), 1,
      aux_sym__keyword_as_token1,
    STATE(12660), 1,
      sym__keyword_as,
    ACTIONS(4959), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [152307] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6188), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6190), 1,
      anon_sym_COMMA,
    STATE(7701), 1,
      aux_sym_alter_column_actions_list_repeat1,
    ACTIONS(6186), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [152359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [152407] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5182), 1,
      aux_sym__keyword_as_token1,
    STATE(8517), 1,
      sym_table_cluster_clause,
    STATE(9765), 1,
      sym_option_clause,
    STATE(12196), 1,
      sym__keyword_as,
    ACTIONS(4404), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [152465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [152513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1762), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1760), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [152561] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4829), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4831), 1,
      aux_sym__keyword_as_token1,
    STATE(12501), 1,
      sym__keyword_as,
    ACTIONS(4827), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [152613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6195), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6193), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [152661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6199), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6197), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [152709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6203), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6201), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [152757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6207), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6205), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [152805] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5365), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5367), 1,
      aux_sym__keyword_as_token1,
    STATE(12571), 1,
      sym__keyword_as,
    ACTIONS(5363), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [152857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1758), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1756), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [152905] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5381), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5383), 1,
      aux_sym__keyword_as_token1,
    STATE(12587), 1,
      sym__keyword_as,
    ACTIONS(5379), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [152957] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5387), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5389), 1,
      aux_sym__keyword_as_token1,
    STATE(12300), 1,
      sym__keyword_as,
    ACTIONS(5385), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [153009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6211), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6209), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [153057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [153105] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4721), 1,
      aux_sym__keyword_as_token1,
    STATE(8521), 1,
      sym_table_cluster_clause,
    STATE(9766), 1,
      sym_option_clause,
    STATE(12195), 1,
      sym__keyword_as,
    ACTIONS(4113), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [153163] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4025), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4027), 1,
      aux_sym__keyword_as_token1,
    STATE(12364), 1,
      sym__keyword_as,
    ACTIONS(4023), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [153215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [153263] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [153311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [153359] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5059), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(7135), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [153461] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6215), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6217), 1,
      aux_sym__keyword_as_token1,
    STATE(12597), 1,
      sym__keyword_as,
    ACTIONS(6213), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [153513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [153561] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6221), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6223), 1,
      aux_sym__keyword_as_token1,
    STATE(12601), 1,
      sym__keyword_as,
    ACTIONS(6219), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [153613] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(6225), 1,
      aux_sym__keyword_as_token1,
    STATE(8452), 1,
      sym_table_cluster_clause,
    STATE(9725), 1,
      sym_option_clause,
    STATE(12282), 1,
      sym__keyword_as,
    ACTIONS(5001), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [153671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [153719] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(6227), 1,
      aux_sym__keyword_as_token1,
    STATE(8450), 1,
      sym_table_cluster_clause,
    STATE(9724), 1,
      sym_option_clause,
    STATE(12283), 1,
      sym__keyword_as,
    ACTIONS(4995), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [153777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [153825] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6231), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6233), 1,
      aux_sym_default_clause_token1,
    STATE(8057), 1,
      sym_default_clause,
    ACTIONS(6229), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [153877] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5397), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5399), 1,
      aux_sym__keyword_as_token1,
    STATE(12636), 1,
      sym__keyword_as,
    ACTIONS(5395), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [153929] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5216), 1,
      aux_sym__keyword_as_token1,
    STATE(8448), 1,
      sym_table_cluster_clause,
    STATE(9723), 1,
      sym_option_clause,
    STATE(12284), 1,
      sym__keyword_as,
    ACTIONS(4506), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [153987] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5403), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5405), 1,
      aux_sym__keyword_as_token1,
    STATE(12644), 1,
      sym__keyword_as,
    ACTIONS(5401), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [154039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1592), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1590), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [154087] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1766), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1764), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [154135] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6237), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6239), 1,
      aux_sym__keyword_as_token1,
    STATE(12569), 1,
      sym__keyword_as,
    ACTIONS(6235), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [154187] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5204), 1,
      aux_sym__keyword_as_token1,
    STATE(8447), 1,
      sym_table_cluster_clause,
    STATE(9719), 1,
      sym_option_clause,
    STATE(12285), 1,
      sym__keyword_as,
    ACTIONS(4512), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [154245] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6245), 1,
      aux_sym__keyword_as_token1,
    STATE(12685), 1,
      sym__keyword_as,
    ACTIONS(6241), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [154297] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6249), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6251), 1,
      aux_sym__keyword_as_token1,
    STATE(12717), 1,
      sym__keyword_as,
    ACTIONS(6247), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [154349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [154397] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6255), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6257), 1,
      aux_sym__keyword_as_token1,
    STATE(12724), 1,
      sym__keyword_as,
    ACTIONS(6253), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [154449] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(6259), 1,
      aux_sym__keyword_as_token1,
    STATE(8446), 1,
      sym_table_cluster_clause,
    STATE(9718), 1,
      sym_option_clause,
    STATE(12290), 1,
      sym__keyword_as,
    ACTIONS(4973), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [154507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [154555] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4121), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4123), 1,
      aux_sym__keyword_as_token1,
    STATE(12372), 1,
      sym__keyword_as,
    ACTIONS(4119), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [154607] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(6261), 1,
      aux_sym__keyword_as_token1,
    STATE(8444), 1,
      sym_table_cluster_clause,
    STATE(9717), 1,
      sym_option_clause,
    STATE(12286), 1,
      sym__keyword_as,
    ACTIONS(4965), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [154665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [154713] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6265), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6267), 1,
      aux_sym__keyword_as_token1,
    STATE(12376), 1,
      sym__keyword_as,
    ACTIONS(6263), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [154765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [154813] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5164), 1,
      aux_sym__keyword_as_token1,
    STATE(8524), 1,
      sym_table_cluster_clause,
    STATE(9768), 1,
      sym_option_clause,
    STATE(12193), 1,
      sym__keyword_as,
    ACTIONS(4398), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [154871] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4763), 1,
      aux_sym_default_clause_token1,
    ACTIONS(4843), 1,
      aux_sym_keyword_if_not_exists_token2,
    STATE(7248), 1,
      sym_default_clause,
    STATE(7401), 1,
      sym_option_clause,
    ACTIONS(4841), 35,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [154927] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5059), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(7245), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [155029] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5059), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(7253), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [155131] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5059), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(7132), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [155233] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5059), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(7254), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [155335] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4318), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4320), 1,
      aux_sym__keyword_as_token1,
    STATE(12377), 1,
      sym__keyword_as,
    ACTIONS(4316), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [155387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6271), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6269), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [155435] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5059), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(7258), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [155537] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5059), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(7265), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [155639] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4725), 1,
      aux_sym__keyword_as_token1,
    STATE(8723), 1,
      sym_table_cluster_clause,
    STATE(9838), 1,
      sym_option_clause,
    STATE(12270), 1,
      sym__keyword_as,
    ACTIONS(4023), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [155697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [155745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1750), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1748), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [155793] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5059), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(7269), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [155895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1746), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1744), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [155943] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4326), 1,
      aux_sym__keyword_as_token1,
    STATE(12380), 1,
      sym__keyword_as,
    ACTIONS(4322), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [155995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6275), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6273), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [156043] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4967), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4969), 1,
      aux_sym__keyword_as_token1,
    STATE(12746), 1,
      sym__keyword_as,
    ACTIONS(4965), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [156095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [156143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [156191] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4019), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4021), 1,
      aux_sym__keyword_as_token1,
    STATE(12385), 1,
      sym__keyword_as,
    ACTIONS(4017), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [156243] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5118), 1,
      aux_sym__keyword_as_token1,
    STATE(8525), 1,
      sym_table_cluster_clause,
    STATE(9769), 1,
      sym_option_clause,
    STATE(12192), 1,
      sym__keyword_as,
    ACTIONS(4392), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [156301] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(6059), 1,
      aux_sym__keyword_when_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8287), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [156403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [156451] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4727), 1,
      aux_sym__keyword_as_token1,
    STATE(8746), 1,
      sym_table_cluster_clause,
    STATE(9841), 1,
      sym_option_clause,
    STATE(12281), 1,
      sym__keyword_as,
    ACTIONS(4119), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [156509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [156557] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(6059), 1,
      aux_sym__keyword_when_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8286), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [156659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1742), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1740), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [156707] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(6059), 1,
      aux_sym__keyword_when_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8284), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [156809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1738), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1736), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [156857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1580), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1578), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [156905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1734), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1732), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [156953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1730), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1728), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [157001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1600), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1598), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [157049] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(6059), 1,
      aux_sym__keyword_when_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8261), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [157151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1726), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1724), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [157199] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(6059), 1,
      aux_sym__keyword_when_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8257), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [157301] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4975), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4977), 1,
      aux_sym__keyword_as_token1,
    STATE(12747), 1,
      sym__keyword_as,
    ACTIONS(4973), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [157353] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6279), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6281), 1,
      anon_sym_COMMA,
    STATE(7947), 1,
      aux_sym_alter_column_actions_list_repeat1,
    ACTIONS(6277), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [157405] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4987), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4989), 1,
      aux_sym__keyword_as_token1,
    STATE(12390), 1,
      sym__keyword_as,
    ACTIONS(4985), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [157457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6285), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6283), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [157505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6289), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6287), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [157553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6293), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6291), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [157601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6297), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6295), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [157649] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4514), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4516), 1,
      aux_sym__keyword_as_token1,
    STATE(12748), 1,
      sym__keyword_as,
    ACTIONS(4512), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [157701] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4508), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4510), 1,
      aux_sym__keyword_as_token1,
    STATE(12749), 1,
      sym__keyword_as,
    ACTIONS(4506), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [157753] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6301), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6303), 1,
      aux_sym__keyword_as_token1,
    STATE(12266), 1,
      sym__keyword_as,
    ACTIONS(6299), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [157805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1722), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1720), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [157853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1718), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1716), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [157901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1384), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1382), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [157949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6307), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6305), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [157997] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6311), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6309), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [158045] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4997), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4999), 1,
      aux_sym__keyword_as_token1,
    STATE(12750), 1,
      sym__keyword_as,
    ACTIONS(4995), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [158097] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5003), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5005), 1,
      aux_sym__keyword_as_token1,
    STATE(12751), 1,
      sym__keyword_as,
    ACTIONS(5001), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [158149] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5513), 1,
      aux_sym__keyword_as_token1,
    STATE(12753), 1,
      sym__keyword_as,
    ACTIONS(5509), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [158201] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4394), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4396), 1,
      aux_sym__keyword_as_token1,
    STATE(12698), 1,
      sym__keyword_as,
    ACTIONS(4392), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [158253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6315), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6313), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [158301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1712), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [158349] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5523), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5525), 1,
      aux_sym__keyword_as_token1,
    STATE(12754), 1,
      sym__keyword_as,
    ACTIONS(5521), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [158401] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5856), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6055), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(8313), 1,
      sym_with_connection_clause,
    ACTIONS(5854), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [158453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6319), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6317), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [158501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1770), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1768), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [158549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1710), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1708), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [158597] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6233), 1,
      aux_sym_default_clause_token1,
    ACTIONS(6323), 1,
      aux_sym__keyword_else_token1,
    STATE(8356), 1,
      sym_default_clause,
    ACTIONS(6321), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [158649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1392), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1390), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [158697] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1514), 1,
      anon_sym_DOT,
    ACTIONS(1532), 8,
      aux_sym_keyword_replace_token1,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT2,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1530), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_partition_columns_clause_token1,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_EQ_GT,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [158747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1706), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1704), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [158795] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5009), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5011), 1,
      aux_sym__keyword_as_token1,
    STATE(12755), 1,
      sym__keyword_as,
    ACTIONS(5007), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [158847] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6055), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(6327), 1,
      aux_sym__keyword_else_token1,
    STATE(8233), 1,
      sym_with_connection_clause,
    ACTIONS(6325), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [158899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1702), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1700), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [158947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1698), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1696), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [158995] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4839), 1,
      aux_sym_transoform_clause_token1,
    ACTIONS(6329), 1,
      aux_sym__keyword_as_token1,
    STATE(8449), 1,
      sym_transoform_clause,
    STATE(9721), 1,
      sym_option_clause,
    STATE(12235), 1,
      sym__keyword_as,
    ACTIONS(4919), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [159053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(921), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(917), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [159101] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5059), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(7119), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [159203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6331), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [159251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1692), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [159299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6337), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6335), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [159347] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5310), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5312), 1,
      aux_sym__keyword_as_token1,
    STATE(12757), 1,
      sym__keyword_as,
    ACTIONS(5308), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [159399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1690), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1688), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [159447] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1514), 1,
      anon_sym_DOT,
    ACTIONS(1510), 8,
      aux_sym_keyword_replace_token1,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT2,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1508), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_partition_columns_clause_token1,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_EQ_GT,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [159497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1502), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1500), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [159545] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5037), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5039), 1,
      aux_sym__keyword_as_token1,
    STATE(12401), 1,
      sym__keyword_as,
    ACTIONS(5035), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [159597] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3016), 1,
      aux_sym_using_clause_token1,
    ACTIONS(6341), 1,
      aux_sym__keyword_else_token1,
    STATE(8333), 1,
      sym_using_clause,
    ACTIONS(6339), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [159649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6345), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6343), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [159697] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5059), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(7266), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [159799] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5543), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5545), 1,
      aux_sym__keyword_as_token1,
    STATE(12758), 1,
      sym__keyword_as,
    ACTIONS(5541), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [159851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1682), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1680), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [159899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6349), 10,
      sym__string_start,
      anon_sym_LPAREN,
      aux_sym__float_token1,
      aux_sym__float_token3,
      anon_sym_LBRACK,
      sym_system_variable,
      sym__positional_query_parameter,
      sym__quoted_identifier,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
    ACTIONS(6347), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_if_not_exists_token3,
      aux_sym__keyword_struct_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_array_token1,
      aux_sym__keyword_case_token1,
      aux_sym__keyword_cast_token1,
      aux_sym__keyword_cast_token2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_drop_notnull_token1,
      aux_sym_function_call_token2,
      aux_sym_unnest_operator_token1,
      aux_sym_TRUE_token1,
      aux_sym_FALSE_token1,
      sym__integer,
      aux_sym__float_token2,
      aux_sym_numeric_token1,
      aux_sym_numeric_token2,
      aux_sym_numeric_token3,
      aux_sym_numeric_token4,
      aux_sym_interval_token1,
      aux_sym_json_token1,
      sym__named_query_parameter,
      sym__unquoted_identifier,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_operator_compare,
  [159947] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4925), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4927), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4931), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4935), 1,
      anon_sym_PLUS,
    ACTIONS(4937), 1,
      anon_sym_DASH,
    ACTIONS(4941), 1,
      anon_sym_SLASH,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    ACTIONS(5088), 1,
      anon_sym_LBRACK,
    ACTIONS(5090), 1,
      anon_sym_DOT2,
    STATE(1186), 1,
      sym__keyword_in,
    STATE(1199), 1,
      sym__keyword_and,
    STATE(1200), 1,
      sym__keyword_or,
    STATE(1882), 1,
      sym__keyword_between,
    STATE(12129), 1,
      sym__keyword_is,
    STATE(13084), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16130), 1,
      sym_quantitve_like_operator,
    STATE(16147), 1,
      sym_like_operator,
    ACTIONS(4933), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4939), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6351), 5,
      aux_sym__keyword_range_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_rows_range_token1,
      aux_sym_order_by_clause_token1,
    ACTIONS(4929), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [160047] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6355), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6357), 1,
      aux_sym__keyword_as_token1,
    STATE(12759), 1,
      sym__keyword_as,
    ACTIONS(6353), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [160099] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6361), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6363), 1,
      aux_sym__keyword_as_token1,
    STATE(12763), 1,
      sym__keyword_as,
    ACTIONS(6359), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [160151] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5555), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5557), 1,
      aux_sym__keyword_as_token1,
    STATE(12769), 1,
      sym__keyword_as,
    ACTIONS(5553), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [160203] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5561), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5563), 1,
      aux_sym__keyword_as_token1,
    STATE(12770), 1,
      sym__keyword_as,
    ACTIONS(5559), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [160255] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4763), 1,
      aux_sym_default_clause_token1,
    ACTIONS(4849), 1,
      aux_sym_keyword_if_not_exists_token2,
    STATE(7213), 1,
      sym_default_clause,
    STATE(7407), 1,
      sym_option_clause,
    ACTIONS(4847), 35,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [160311] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6367), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6369), 1,
      aux_sym__keyword_as_token1,
    STATE(12771), 1,
      sym__keyword_as,
    ACTIONS(6365), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [160363] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5059), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(7206), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [160465] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4336), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4338), 1,
      aux_sym__keyword_as_token1,
    STATE(12405), 1,
      sym__keyword_as,
    ACTIONS(4334), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [160517] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6373), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6375), 1,
      aux_sym__keyword_as_token1,
    STATE(12772), 1,
      sym__keyword_as,
    ACTIONS(6371), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [160569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1670), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1668), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [160617] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6379), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6377), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [160665] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5059), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(7203), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [160767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6383), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6381), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [160815] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5059), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(7199), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [160917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6387), 10,
      sym__string_start,
      anon_sym_LPAREN,
      aux_sym__float_token1,
      aux_sym__float_token3,
      anon_sym_LBRACK,
      sym_system_variable,
      sym__positional_query_parameter,
      sym__quoted_identifier,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
    ACTIONS(6385), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_if_not_exists_token3,
      aux_sym__keyword_struct_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_array_token1,
      aux_sym__keyword_case_token1,
      aux_sym__keyword_cast_token1,
      aux_sym__keyword_cast_token2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_drop_notnull_token1,
      aux_sym_function_call_token2,
      aux_sym_unnest_operator_token1,
      aux_sym_TRUE_token1,
      aux_sym_FALSE_token1,
      sym__integer,
      aux_sym__float_token2,
      aux_sym_numeric_token1,
      aux_sym_numeric_token2,
      aux_sym_numeric_token3,
      aux_sym_numeric_token4,
      aux_sym_interval_token1,
      aux_sym_json_token1,
      sym__named_query_parameter,
      sym__unquoted_identifier,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_operator_compare,
  [160965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1584), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1582), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [161013] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4342), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4344), 1,
      aux_sym__keyword_as_token1,
    STATE(12406), 1,
      sym__keyword_as,
    ACTIONS(4340), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [161065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1678), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1676), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [161113] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(6389), 1,
      aux_sym__keyword_as_token1,
    STATE(8527), 1,
      sym_table_cluster_clause,
    STATE(9783), 1,
      sym_option_clause,
    STATE(12174), 1,
      sym__keyword_as,
    ACTIONS(4873), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [161171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1674), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1672), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [161219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1670), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1668), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [161267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [161315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1852), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1850), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [161363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1762), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1760), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [161411] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5059), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(7197), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [161513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1666), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1664), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [161561] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(6391), 1,
      aux_sym__keyword_as_token1,
    STATE(8539), 1,
      sym_table_cluster_clause,
    STATE(9782), 1,
      sym_option_clause,
    STATE(12198), 1,
      sym__keyword_as,
    ACTIONS(4891), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [161619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1758), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1756), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [161667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1662), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1660), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [161715] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5059), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(7193), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [161817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1656), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [161865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1654), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1652), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [161913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1540), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [161961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6395), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6393), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [162009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [162057] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5059), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(7190), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [162159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1650), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1648), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [162207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1646), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1644), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [162255] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1642), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1640), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [162303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1638), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1636), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [162351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1634), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1632), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [162399] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4420), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4422), 1,
      aux_sym__keyword_as_token1,
    STATE(12860), 1,
      sym__keyword_as,
    ACTIONS(4418), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [162451] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(6397), 1,
      aux_sym__keyword_as_token1,
    STATE(8538), 1,
      sym_table_cluster_clause,
    STATE(9778), 1,
      sym_option_clause,
    STATE(12178), 1,
      sym__keyword_as,
    ACTIONS(4899), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [162509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [162557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [162605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1844), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1842), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [162653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1750), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1748), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [162701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1782), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1780), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [162749] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1746), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1744), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [162797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1782), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1780), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [162845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1778), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1776), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [162893] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1778), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1776), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [162941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1778), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1776), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [162989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1778), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1776), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [163037] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(6399), 1,
      aux_sym__keyword_as_token1,
    STATE(8537), 1,
      sym_table_cluster_clause,
    STATE(9777), 1,
      sym_option_clause,
    STATE(12179), 1,
      sym__keyword_as,
    ACTIONS(4905), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [163095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1448), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1446), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [163143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1448), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1446), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [163191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1628), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1626), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [163239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1448), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1446), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [163287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1448), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1446), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [163335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1448), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1446), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [163383] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1448), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1446), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [163431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1448), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1446), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [163479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1774), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1772), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [163527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [163575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [163623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [163671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [163719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [163767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1742), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1740), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [163815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [163863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [163911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1622), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [163959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [164007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1738), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1736), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [164055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [164103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1734), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1732), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [164151] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5106), 1,
      aux_sym__keyword_as_token1,
    STATE(8536), 1,
      sym_table_cluster_clause,
    STATE(9775), 1,
      sym_option_clause,
    STATE(12184), 1,
      sym__keyword_as,
    ACTIONS(4380), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [164209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1730), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1728), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [164257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1726), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1724), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [164305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [164353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [164401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1722), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1720), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [164449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1620), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1618), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [164497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [164545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1718), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1716), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [164593] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [164641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [164689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1754), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1752), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [164737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [164785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1712), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [164833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1614), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [164881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1612), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1610), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [164929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1608), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1606), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [164977] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [165025] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1710), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1708), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [165073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1706), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1704), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [165121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1702), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1700), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [165169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1604), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1602), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [165217] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6403), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6405), 1,
      aux_sym__keyword_as_token1,
    STATE(12466), 1,
      sym__keyword_as,
    ACTIONS(6401), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [165269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1698), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1696), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [165317] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4406), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4408), 1,
      aux_sym__keyword_as_token1,
    STATE(12859), 1,
      sym__keyword_as,
    ACTIONS(4404), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [165369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(921), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(917), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [165417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [165465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1694), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1692), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [165513] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4400), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4402), 1,
      aux_sym__keyword_as_token1,
    STATE(12823), 1,
      sym__keyword_as,
    ACTIONS(4398), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [165565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6407), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [165613] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5122), 1,
      aux_sym__keyword_as_token1,
    STATE(8535), 1,
      sym_table_cluster_clause,
    STATE(9774), 1,
      sym_option_clause,
    STATE(12185), 1,
      sym__keyword_as,
    ACTIONS(4386), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [165671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [165719] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6281), 1,
      anon_sym_COMMA,
    ACTIONS(6413), 1,
      aux_sym__keyword_else_token1,
    STATE(7701), 1,
      aux_sym_alter_column_actions_list_repeat1,
    ACTIONS(6411), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [165771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1690), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1688), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [165819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [165867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [165915] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5124), 1,
      aux_sym__keyword_as_token1,
    STATE(9015), 1,
      sym_table_cluster_clause,
    STATE(9875), 1,
      sym_option_clause,
    STATE(12472), 1,
      sym__keyword_as,
    ACTIONS(4334), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [165973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [166021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [166069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [166117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [166165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [166213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [166261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1682), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1680), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [166309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [166357] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(6415), 1,
      aux_sym__keyword_as_token1,
    STATE(8790), 1,
      sym_table_cluster_clause,
    STATE(9860), 1,
      sym_option_clause,
    STATE(12479), 1,
      sym__keyword_as,
    ACTIONS(5035), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [166415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [166463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [166511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6419), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6417), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [166559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [166607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1484), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [166655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1678), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1676), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [166703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [166751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1376), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1374), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [166799] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6027), 1,
      anon_sym_COMMA,
    ACTIONS(6423), 1,
      aux_sym__keyword_else_token1,
    STATE(7610), 1,
      aux_sym_using_clause_repeat1,
    ACTIONS(6421), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [166851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1674), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1672), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [166899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [166947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6427), 10,
      sym__string_start,
      anon_sym_LPAREN,
      aux_sym__float_token1,
      aux_sym__float_token3,
      anon_sym_LBRACK,
      sym_system_variable,
      sym__positional_query_parameter,
      sym__quoted_identifier,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
    ACTIONS(6425), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_if_not_exists_token3,
      aux_sym__keyword_struct_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_array_token1,
      aux_sym__keyword_case_token1,
      aux_sym__keyword_cast_token1,
      aux_sym__keyword_cast_token2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_drop_notnull_token1,
      aux_sym_function_call_token2,
      aux_sym_unnest_operator_token1,
      aux_sym_TRUE_token1,
      aux_sym_FALSE_token1,
      sym__integer,
      aux_sym__float_token2,
      aux_sym_numeric_token1,
      aux_sym_numeric_token2,
      aux_sym_numeric_token3,
      aux_sym_numeric_token4,
      aux_sym_interval_token1,
      aux_sym_json_token1,
      sym__named_query_parameter,
      sym__unquoted_identifier,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_operator_compare,
  [166995] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(6429), 1,
      aux_sym__keyword_as_token1,
    STATE(8772), 1,
      sym_table_cluster_clause,
    STATE(9855), 1,
      sym_option_clause,
    STATE(12478), 1,
      sym__keyword_as,
    ACTIONS(4985), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [167053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1686), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1684), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [167101] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [167149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [167197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1666), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1664), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [167245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1662), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1660), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [167293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [167341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [167389] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(6431), 1,
      aux_sym__keyword_as_token1,
    STATE(8529), 1,
      sym_table_cluster_clause,
    STATE(9771), 1,
      sym_option_clause,
    STATE(12187), 1,
      sym__keyword_as,
    ACTIONS(4951), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [167447] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1656), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [167495] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5648), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5650), 1,
      aux_sym__keyword_as_token1,
    STATE(12428), 1,
      sym__keyword_as,
    ACTIONS(5646), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [167547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [167595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [167643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [167691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [167739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [167787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [167835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [167883] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4795), 1,
      aux_sym__keyword_as_token1,
    STATE(8759), 1,
      sym_table_cluster_clause,
    STATE(9848), 1,
      sym_option_clause,
    STATE(12475), 1,
      sym__keyword_as,
    ACTIONS(4017), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [167941] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4115), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4117), 1,
      aux_sym__keyword_as_token1,
    STATE(12802), 1,
      sym__keyword_as,
    ACTIONS(4113), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [167993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1604), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1602), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [168041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1608), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1606), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [168089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1612), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1610), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [168137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [168185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [168233] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4145), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4147), 1,
      aux_sym__keyword_as_token1,
    STATE(12493), 1,
      sym__keyword_as,
    ACTIONS(4143), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [168285] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5128), 1,
      aux_sym__keyword_as_token1,
    STATE(8754), 1,
      sym_table_cluster_clause,
    STATE(9847), 1,
      sym_option_clause,
    STATE(12473), 1,
      sym__keyword_as,
    ACTIONS(4322), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [168343] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5130), 1,
      aux_sym__keyword_as_token1,
    STATE(8752), 1,
      sym_table_cluster_clause,
    STATE(9846), 1,
      sym_option_clause,
    STATE(12263), 1,
      sym__keyword_as,
    ACTIONS(4316), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [168401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1654), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1652), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [168449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [168497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [168545] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3854), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(6433), 1,
      aux_sym__keyword_as_token1,
    STATE(8528), 1,
      sym_table_cluster_clause,
    STATE(9770), 1,
      sym_option_clause,
    STATE(12188), 1,
      sym__keyword_as,
    ACTIONS(4959), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [168603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1650), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1648), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [168651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6188), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6186), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [168699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1646), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1644), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [168747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1642), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1640), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [168795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1614), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [168843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1638), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1636), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [168891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1634), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1632), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [168939] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [168987] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [169035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [169083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1628), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1626), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [169131] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [169179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1622), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [169227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [169275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [169323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1620), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1618), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [169371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5729), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [169418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6437), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6435), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [169465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6441), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6439), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [169512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6445), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6443), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [169559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5676), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5674), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [169606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5743), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5741), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [169653] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(6447), 1,
      aux_sym__keyword_when_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1531), 1,
      sym__keyword_when,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(12072), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [169756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4318), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4316), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [169803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6451), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6449), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [169850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6455), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6453), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [169897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6459), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6457), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [169944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6463), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6461), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [169991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6467), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6465), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [170038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6471), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6469), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [170085] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6475), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6477), 1,
      anon_sym_SEMI,
    ACTIONS(6473), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [170134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6481), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6479), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [170181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4961), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4959), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [170228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6485), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6483), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [170275] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6489), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6491), 1,
      aux_sym_using_clause_token1,
    ACTIONS(6487), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [170324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6495), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6493), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [170371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4987), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4985), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [170418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6497), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [170465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6503), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6501), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [170512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6507), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6505), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [170559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6511), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6509), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [170606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6515), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6513), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [170653] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6059), 1,
      aux_sym__keyword_when_token1,
    STATE(8236), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5132), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [170702] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6059), 1,
      aux_sym__keyword_when_token1,
    STATE(8236), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5288), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [170751] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(6447), 1,
      aux_sym__keyword_when_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1531), 1,
      sym__keyword_when,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(12047), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [170854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6519), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6517), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [170901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5037), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5035), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [170948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6523), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6521), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [170995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6144), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6142), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [171042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4953), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4951), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [171089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6150), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6148), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [171136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6527), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6525), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [171183] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6531), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6529), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [171230] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5829), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5827), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [171277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6535), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6533), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [171324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5437), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [171371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6539), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6537), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [171418] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(6447), 1,
      aux_sym__keyword_when_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1531), 1,
      sym__keyword_when,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(12155), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [171521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4336), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4334), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [171568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6543), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6541), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [171615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6547), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6545), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [171662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6551), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6549), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [171709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6555), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6553), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [171756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6559), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6557), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [171803] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(6447), 1,
      aux_sym__keyword_when_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1531), 1,
      sym__keyword_when,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(12121), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [171906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5715), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5713), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [171953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4388), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4386), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [172000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4907), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4905), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [172047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6563), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6561), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [172094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6567), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6565), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [172141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6569), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [172188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4901), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4899), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [172235] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(6447), 1,
      aux_sym__keyword_when_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1531), 1,
      sym__keyword_when,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(12097), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [172338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6575), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6573), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [172385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6579), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6577), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [172432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6583), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6581), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [172479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5423), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5421), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [172526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6587), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6585), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [172573] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6156), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6154), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [172620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6591), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6589), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [172667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6595), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6593), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [172714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6341), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6339), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [172761] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6597), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [172808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6162), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6160), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [172855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5549), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5547), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [172902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6603), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6601), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [172949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5537), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5535), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [172996] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(6447), 1,
      aux_sym__keyword_when_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1531), 1,
      sym__keyword_when,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(12079), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [173099] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(6605), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(6607), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6611), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6613), 1,
      anon_sym_COMMA,
    ACTIONS(6617), 1,
      anon_sym_LBRACK,
    ACTIONS(6619), 1,
      anon_sym_DOT2,
    ACTIONS(6621), 1,
      anon_sym_PLUS,
    ACTIONS(6623), 1,
      anon_sym_DASH,
    ACTIONS(6627), 1,
      anon_sym_SLASH,
    ACTIONS(6631), 1,
      anon_sym_AMP,
    ACTIONS(6633), 1,
      anon_sym_CARET,
    ACTIONS(6635), 1,
      anon_sym_PIPE,
    STATE(1083), 1,
      sym__keyword_between,
    STATE(1266), 1,
      sym__keyword_or,
    STATE(1814), 1,
      sym__keyword_and,
    STATE(1857), 1,
      sym__keyword_in,
    STATE(12067), 1,
      sym__keyword_is,
    STATE(13077), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(14309), 1,
      aux_sym_set_statement_repeat1,
    STATE(16327), 1,
      sym_like_operator,
    STATE(16328), 1,
      sym_quantitve_like_operator,
    ACTIONS(3040), 2,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
    ACTIONS(6615), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6625), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(6629), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6609), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [173202] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4893), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4891), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [173249] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6639), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6637), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [173296] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(6447), 1,
      aux_sym__keyword_when_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1531), 1,
      sym__keyword_when,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(12052), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [173399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4875), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4873), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [173446] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6643), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6641), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [173493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6647), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6645), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [173540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6071), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6069), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [173587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6651), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6649), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [173634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6063), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6061), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [173681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6655), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6653), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [173728] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6265), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6263), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [173775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6659), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6657), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [173822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5318), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5316), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [173869] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6663), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6661), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [173916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6667), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6665), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [173963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6671), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6669), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [174010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5610), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5608), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [174057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6675), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6673), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [174104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6679), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6677), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [174151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6683), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6681), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [174198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6687), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6685), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [174245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6691), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6689), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [174292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4400), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4398), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [174339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6695), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6693), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [174386] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6697), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [174433] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6327), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6325), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [174480] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(6447), 1,
      aux_sym__keyword_when_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1531), 1,
      sym__keyword_when,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(12096), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [174583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5856), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5854), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [174630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6168), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6166), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [174677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6703), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6701), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [174724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6707), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6705), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [174771] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(6447), 1,
      aux_sym__keyword_when_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1531), 1,
      sym__keyword_when,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(12144), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [174874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6711), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6709), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [174921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6715), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6713), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [174968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6178), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6176), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [175015] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6059), 1,
      aux_sym__keyword_when_token1,
    STATE(8236), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5178), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [175064] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6059), 1,
      aux_sym__keyword_when_token1,
    STATE(8236), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5168), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [175113] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6059), 1,
      aux_sym__keyword_when_token1,
    STATE(8236), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5160), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [175162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6719), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6717), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [175209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6723), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6721), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [175256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6727), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6725), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [175303] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6059), 1,
      aux_sym__keyword_when_token1,
    STATE(8236), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5156), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [175352] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(6447), 1,
      aux_sym__keyword_when_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1531), 1,
      sym__keyword_when,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(12108), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [175455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6731), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6729), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [175502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6735), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6733), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [175549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6739), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6737), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [175596] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6059), 1,
      aux_sym__keyword_when_token1,
    STATE(8236), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5148), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [175645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6743), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6741), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [175692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6747), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6745), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [175739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6751), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6749), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [175786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6755), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6753), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [175833] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6059), 1,
      aux_sym__keyword_when_token1,
    STATE(8236), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5140), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [175882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6759), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6757), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [175929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6761), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [175976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6767), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6765), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [176023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6769), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [176070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6775), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6773), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [176117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6779), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6777), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [176164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6783), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6781), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [176211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6787), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6785), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [176258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6791), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6789), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [176305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6795), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6793), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [176352] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(6605), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(6607), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6611), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6621), 1,
      anon_sym_PLUS,
    ACTIONS(6623), 1,
      anon_sym_DASH,
    ACTIONS(6627), 1,
      anon_sym_SLASH,
    ACTIONS(6631), 1,
      anon_sym_AMP,
    ACTIONS(6633), 1,
      anon_sym_CARET,
    ACTIONS(6635), 1,
      anon_sym_PIPE,
    STATE(1083), 1,
      sym__keyword_between,
    STATE(1266), 1,
      sym__keyword_or,
    STATE(1814), 1,
      sym__keyword_and,
    STATE(1857), 1,
      sym__keyword_in,
    STATE(12067), 1,
      sym__keyword_is,
    STATE(13077), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16327), 1,
      sym_like_operator,
    STATE(16328), 1,
      sym_quantitve_like_operator,
    ACTIONS(6615), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6625), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(6629), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6609), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1027), 7,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
  [176445] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1083), 1,
      sym__keyword_between,
    STATE(1266), 1,
      sym__keyword_or,
    STATE(1814), 1,
      sym__keyword_and,
    STATE(1857), 1,
      sym__keyword_in,
    STATE(12067), 1,
      sym__keyword_is,
    STATE(13077), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16327), 1,
      sym_like_operator,
    STATE(16328), 1,
      sym_quantitve_like_operator,
    ACTIONS(1021), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1019), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [176510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6799), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6797), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [176557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4967), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4965), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [176604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4975), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4973), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [176651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6803), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6801), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [176698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5640), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5638), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [176745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4514), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4512), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [176792] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(6447), 1,
      aux_sym__keyword_when_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1531), 1,
      sym__keyword_when,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(12116), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [176895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4997), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4995), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [176942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6807), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6805), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [176989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6811), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6809), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [177036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5003), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5001), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [177083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6813), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [177130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6819), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6817), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [177177] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1083), 1,
      sym__keyword_between,
    STATE(1266), 1,
      sym__keyword_or,
    STATE(1814), 1,
      sym__keyword_and,
    STATE(1857), 1,
      sym__keyword_in,
    STATE(12067), 1,
      sym__keyword_is,
    STATE(13077), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16327), 1,
      sym_like_operator,
    STATE(16328), 1,
      sym_quantitve_like_operator,
    ACTIONS(921), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(917), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [177242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6823), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6821), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [177289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5761), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5759), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [177336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6827), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6825), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [177383] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4420), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4418), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [177430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6831), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6829), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [177477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6835), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6833), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [177524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6837), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [177571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6843), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6841), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [177618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6847), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6845), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [177665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6851), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6849), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [177712] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(6447), 1,
      aux_sym__keyword_when_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1531), 1,
      sym__keyword_when,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(12087), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [177815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5509), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [177862] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5523), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5521), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [177909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5995), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5993), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [177956] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5999), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5997), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [178003] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6855), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6853), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [178050] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6059), 1,
      aux_sym__keyword_when_token1,
    STATE(8236), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5300), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [178099] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6059), 1,
      aux_sym__keyword_when_token1,
    STATE(8236), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5238), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [178148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6859), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6857), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [178195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6863), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6861), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [178242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6867), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6865), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [178289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6871), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6869), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [178336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6130), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6128), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [178383] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6875), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6873), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [178430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6136), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6134), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [178477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4815), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4813), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [178524] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym__string_start,
    STATE(9915), 1,
      sym_string,
    ACTIONS(1510), 7,
      aux_sym_keyword_replace_token1,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1508), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_EQ_GT,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [178575] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6621), 1,
      anon_sym_PLUS,
    ACTIONS(6623), 1,
      anon_sym_DASH,
    ACTIONS(6627), 1,
      anon_sym_SLASH,
    ACTIONS(6631), 1,
      anon_sym_AMP,
    ACTIONS(6633), 1,
      anon_sym_CARET,
    ACTIONS(6635), 1,
      anon_sym_PIPE,
    STATE(1083), 1,
      sym__keyword_between,
    STATE(1266), 1,
      sym__keyword_or,
    STATE(1814), 1,
      sym__keyword_and,
    STATE(1857), 1,
      sym__keyword_in,
    STATE(12067), 1,
      sym__keyword_is,
    STATE(13077), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16327), 1,
      sym_like_operator,
    STATE(16328), 1,
      sym_quantitve_like_operator,
    ACTIONS(1025), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6625), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(6629), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1023), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [178656] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6621), 1,
      anon_sym_PLUS,
    ACTIONS(6623), 1,
      anon_sym_DASH,
    ACTIONS(6627), 1,
      anon_sym_SLASH,
    ACTIONS(6631), 1,
      anon_sym_AMP,
    ACTIONS(6633), 1,
      anon_sym_CARET,
    ACTIONS(6635), 1,
      anon_sym_PIPE,
    STATE(1083), 1,
      sym__keyword_between,
    STATE(1266), 1,
      sym__keyword_or,
    STATE(1814), 1,
      sym__keyword_and,
    STATE(1857), 1,
      sym__keyword_in,
    STATE(12067), 1,
      sym__keyword_is,
    STATE(13077), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16327), 1,
      sym_like_operator,
    STATE(16328), 1,
      sym_quantitve_like_operator,
    ACTIONS(949), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6625), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(6629), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(947), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [178737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6879), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6877), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [178784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6883), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6881), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [178831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5009), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5007), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [178878] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6621), 1,
      anon_sym_PLUS,
    ACTIONS(6623), 1,
      anon_sym_DASH,
    ACTIONS(6627), 1,
      anon_sym_SLASH,
    ACTIONS(6631), 1,
      anon_sym_AMP,
    ACTIONS(6633), 1,
      anon_sym_CARET,
    ACTIONS(6635), 1,
      anon_sym_PIPE,
    STATE(1083), 1,
      sym__keyword_between,
    STATE(1266), 1,
      sym__keyword_or,
    STATE(1814), 1,
      sym__keyword_and,
    STATE(1857), 1,
      sym__keyword_in,
    STATE(12067), 1,
      sym__keyword_is,
    STATE(13077), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16327), 1,
      sym_like_operator,
    STATE(16328), 1,
      sym_quantitve_like_operator,
    ACTIONS(1033), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6625), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(6629), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1031), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [178959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6887), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6885), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [179006] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6621), 1,
      anon_sym_PLUS,
    ACTIONS(6623), 1,
      anon_sym_DASH,
    ACTIONS(6627), 1,
      anon_sym_SLASH,
    ACTIONS(6631), 1,
      anon_sym_AMP,
    ACTIONS(6633), 1,
      anon_sym_CARET,
    ACTIONS(6635), 1,
      anon_sym_PIPE,
    STATE(1083), 1,
      sym__keyword_between,
    STATE(1266), 1,
      sym__keyword_or,
    STATE(1814), 1,
      sym__keyword_and,
    STATE(1857), 1,
      sym__keyword_in,
    STATE(12067), 1,
      sym__keyword_is,
    STATE(13077), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16327), 1,
      sym_like_operator,
    STATE(16328), 1,
      sym_quantitve_like_operator,
    ACTIONS(1041), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6625), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(6629), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1039), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [179087] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(6605), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(6607), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6611), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6621), 1,
      anon_sym_PLUS,
    ACTIONS(6623), 1,
      anon_sym_DASH,
    ACTIONS(6627), 1,
      anon_sym_SLASH,
    ACTIONS(6631), 1,
      anon_sym_AMP,
    ACTIONS(6633), 1,
      anon_sym_CARET,
    ACTIONS(6635), 1,
      anon_sym_PIPE,
    STATE(1083), 1,
      sym__keyword_between,
    STATE(1266), 1,
      sym__keyword_or,
    STATE(1814), 1,
      sym__keyword_and,
    STATE(1857), 1,
      sym__keyword_in,
    STATE(12067), 1,
      sym__keyword_is,
    STATE(13077), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16327), 1,
      sym_like_operator,
    STATE(16328), 1,
      sym_quantitve_like_operator,
    ACTIONS(6615), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6625), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(6629), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6609), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(917), 8,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
  [179178] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(6605), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(6607), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6621), 1,
      anon_sym_PLUS,
    ACTIONS(6623), 1,
      anon_sym_DASH,
    ACTIONS(6627), 1,
      anon_sym_SLASH,
    ACTIONS(6631), 1,
      anon_sym_AMP,
    ACTIONS(6633), 1,
      anon_sym_CARET,
    ACTIONS(6635), 1,
      anon_sym_PIPE,
    STATE(1083), 1,
      sym__keyword_between,
    STATE(1266), 1,
      sym__keyword_or,
    STATE(1814), 1,
      sym__keyword_and,
    STATE(1857), 1,
      sym__keyword_in,
    STATE(12067), 1,
      sym__keyword_is,
    STATE(13077), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16327), 1,
      sym_like_operator,
    STATE(16328), 1,
      sym_quantitve_like_operator,
    ACTIONS(6615), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6625), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(6629), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6609), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(917), 9,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
  [179267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6891), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6889), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [179314] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6621), 1,
      anon_sym_PLUS,
    ACTIONS(6623), 1,
      anon_sym_DASH,
    ACTIONS(6627), 1,
      anon_sym_SLASH,
    ACTIONS(6631), 1,
      anon_sym_AMP,
    ACTIONS(6633), 1,
      anon_sym_CARET,
    STATE(1083), 1,
      sym__keyword_between,
    STATE(1266), 1,
      sym__keyword_or,
    STATE(1814), 1,
      sym__keyword_and,
    STATE(1857), 1,
      sym__keyword_in,
    STATE(12067), 1,
      sym__keyword_is,
    STATE(13077), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16327), 1,
      sym_like_operator,
    STATE(16328), 1,
      sym_quantitve_like_operator,
    ACTIONS(6625), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(6629), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(921), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(917), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [179393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6895), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6893), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [179440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6899), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6897), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [179487] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6621), 1,
      anon_sym_PLUS,
    ACTIONS(6623), 1,
      anon_sym_DASH,
    ACTIONS(6627), 1,
      anon_sym_SLASH,
    ACTIONS(6631), 1,
      anon_sym_AMP,
    STATE(1083), 1,
      sym__keyword_between,
    STATE(1266), 1,
      sym__keyword_or,
    STATE(1814), 1,
      sym__keyword_and,
    STATE(1857), 1,
      sym__keyword_in,
    STATE(12067), 1,
      sym__keyword_is,
    STATE(13077), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16327), 1,
      sym_like_operator,
    STATE(16328), 1,
      sym_quantitve_like_operator,
    ACTIONS(6625), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(6629), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(921), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(917), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
  [179564] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6621), 1,
      anon_sym_PLUS,
    ACTIONS(6623), 1,
      anon_sym_DASH,
    ACTIONS(6627), 1,
      anon_sym_SLASH,
    STATE(1083), 1,
      sym__keyword_between,
    STATE(1266), 1,
      sym__keyword_or,
    STATE(1814), 1,
      sym__keyword_and,
    STATE(1857), 1,
      sym__keyword_in,
    STATE(12067), 1,
      sym__keyword_is,
    STATE(13077), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16327), 1,
      sym_like_operator,
    STATE(16328), 1,
      sym_quantitve_like_operator,
    ACTIONS(6625), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(6629), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(921), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(917), 20,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
  [179639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5031), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5029), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [179686] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6621), 1,
      anon_sym_PLUS,
    ACTIONS(6623), 1,
      anon_sym_DASH,
    ACTIONS(6627), 1,
      anon_sym_SLASH,
    STATE(1083), 1,
      sym__keyword_between,
    STATE(1266), 1,
      sym__keyword_or,
    STATE(1814), 1,
      sym__keyword_and,
    STATE(1857), 1,
      sym__keyword_in,
    STATE(12067), 1,
      sym__keyword_is,
    STATE(13077), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16327), 1,
      sym_like_operator,
    STATE(16328), 1,
      sym_quantitve_like_operator,
    ACTIONS(6625), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(921), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(917), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [179759] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6627), 1,
      anon_sym_SLASH,
    STATE(1083), 1,
      sym__keyword_between,
    STATE(1266), 1,
      sym__keyword_or,
    STATE(1814), 1,
      sym__keyword_and,
    STATE(1857), 1,
      sym__keyword_in,
    STATE(12067), 1,
      sym__keyword_is,
    STATE(13077), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16327), 1,
      sym_like_operator,
    STATE(16328), 1,
      sym_quantitve_like_operator,
    ACTIONS(6625), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(921), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PIPE,
    ACTIONS(917), 23,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [179828] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6059), 1,
      aux_sym__keyword_when_token1,
    STATE(8236), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5098), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [179877] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6621), 1,
      anon_sym_PLUS,
    ACTIONS(6623), 1,
      anon_sym_DASH,
    ACTIONS(6627), 1,
      anon_sym_SLASH,
    ACTIONS(6631), 1,
      anon_sym_AMP,
    ACTIONS(6633), 1,
      anon_sym_CARET,
    ACTIONS(6635), 1,
      anon_sym_PIPE,
    STATE(1083), 1,
      sym__keyword_between,
    STATE(1266), 1,
      sym__keyword_or,
    STATE(1814), 1,
      sym__keyword_and,
    STATE(1857), 1,
      sym__keyword_in,
    STATE(12067), 1,
      sym__keyword_is,
    STATE(13077), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16327), 1,
      sym_like_operator,
    STATE(16328), 1,
      sym_quantitve_like_operator,
    ACTIONS(921), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6625), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(6629), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(917), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [179958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6901), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [180005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6301), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6299), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [180052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6907), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6905), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [180099] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6059), 1,
      aux_sym__keyword_when_token1,
    STATE(8236), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5094), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [180148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6911), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6909), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [180195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5821), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5819), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [180242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6915), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6913), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [180289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5594), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5592), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [180336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5805), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5803), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [180383] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6919), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6917), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [180430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6923), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6921), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [180477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6925), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [180524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6931), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6929), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [180571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6935), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6933), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [180618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4520), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4518), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [180665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6939), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6937), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [180712] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6941), 1,
      aux_sym__keyword_when_token1,
    STATE(8236), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5077), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [180761] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6059), 1,
      aux_sym__keyword_when_token1,
    STATE(8236), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5069), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [180810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4376), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4374), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [180857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6946), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6944), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [180904] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6950), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6948), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [180951] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6059), 1,
      aux_sym__keyword_when_token1,
    STATE(8236), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5063), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [181000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6954), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6952), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [181047] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6059), 1,
      aux_sym__keyword_when_token1,
    STATE(8236), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5057), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [181096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6958), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6956), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [181143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6962), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6960), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [181190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6966), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6964), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [181237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6970), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6968), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [181284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5310), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5308), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [181331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6974), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6972), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [181378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6978), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6976), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [181425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5543), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5541), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [181472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6982), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6980), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [181519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6986), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6984), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [181566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6990), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6988), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [181613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6994), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6992), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [181660] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6998), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6996), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [181707] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6059), 1,
      aux_sym__keyword_when_token1,
    STATE(8236), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5252), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [181756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7002), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7000), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [181803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5864), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5862), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [181850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7006), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7004), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [181897] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6059), 1,
      aux_sym__keyword_when_token1,
    STATE(8236), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5256), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [181946] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(6447), 1,
      aux_sym__keyword_when_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1531), 1,
      sym__keyword_when,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(12141), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [182049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7010), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7008), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [182096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5705), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5703), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [182143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7014), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7012), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [182190] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(6447), 1,
      aux_sym__keyword_when_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1531), 1,
      sym__keyword_when,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(12069), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [182293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7018), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7016), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [182340] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5719), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5717), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [182387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4981), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4979), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [182434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7022), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7020), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [182481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7026), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7024), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [182528] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6621), 1,
      anon_sym_PLUS,
    ACTIONS(6623), 1,
      anon_sym_DASH,
    ACTIONS(6627), 1,
      anon_sym_SLASH,
    ACTIONS(6631), 1,
      anon_sym_AMP,
    ACTIONS(6633), 1,
      anon_sym_CARET,
    ACTIONS(6635), 1,
      anon_sym_PIPE,
    STATE(1083), 1,
      sym__keyword_between,
    STATE(1266), 1,
      sym__keyword_or,
    STATE(1814), 1,
      sym__keyword_and,
    STATE(1857), 1,
      sym__keyword_in,
    STATE(12067), 1,
      sym__keyword_is,
    STATE(13077), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16327), 1,
      sym_like_operator,
    STATE(16328), 1,
      sym_quantitve_like_operator,
    ACTIONS(1037), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6625), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(6629), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1035), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [182609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6355), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6353), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [182656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4887), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4885), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [182703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4913), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4911), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [182750] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(6447), 1,
      aux_sym__keyword_when_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1531), 1,
      sym__keyword_when,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(12126), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [182853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7030), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7028), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [182900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7034), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7032), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [182947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7038), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7036), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [182994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7042), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7040), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [183041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7046), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7044), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [183088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5944), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5942), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [183135] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7050), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7048), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [183182] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6059), 1,
      aux_sym__keyword_when_token1,
    STATE(8236), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5272), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [183231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7054), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7052), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [183278] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6059), 1,
      aux_sym__keyword_when_token1,
    STATE(8236), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5296), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [183327] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6059), 1,
      aux_sym__keyword_when_token1,
    STATE(8236), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5304), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [183376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7058), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7056), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [183423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6361), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6359), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [183470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6373), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6371), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [183517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5555), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5553), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [183564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5964), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5962), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [183611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4362), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4360), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [183658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6367), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6365), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [183705] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7062), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7060), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [183752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7064), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [183799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7070), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7068), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [183846] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7074), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7072), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [183893] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5561), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5559), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [183940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7078), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7076), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [183987] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7082), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7080), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [184034] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7086), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7084), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [184081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5654), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5652), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [184128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5338), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5336), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [184175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7090), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7088), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [184222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5023), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5021), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [184269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7094), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7092), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [184316] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(6447), 1,
      aux_sym__keyword_when_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1531), 1,
      sym__keyword_when,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(12036), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [184419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7098), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7096), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [184466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7102), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7100), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [184513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5375), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5373), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [184560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6255), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6253), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [184607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6108), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6106), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [184654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7106), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7104), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [184701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6249), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6247), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [184748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7110), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7108), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [184795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7114), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7112), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [184842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5845), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5843), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [184889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7118), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7116), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [184936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7122), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7120), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [184983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7126), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7124), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [185030] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7130), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7128), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [185077] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(6447), 1,
      aux_sym__keyword_when_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1531), 1,
      sym__keyword_when,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(12026), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [185180] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5409), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5407), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [185227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6241), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [185274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7134), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7132), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [185321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7138), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7136), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [185368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7142), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7140), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [185415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7146), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7144), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [185462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7150), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7148), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [185509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7154), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7152), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [185556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6237), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6235), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [185603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7158), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7156), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [185650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6403), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6401), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [185697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5403), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5401), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [185744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7162), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7160), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [185791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5397), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5395), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [185838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7166), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7164), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [185885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6221), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6219), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [185932] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7170), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7168), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [185979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6215), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6213), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [186026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4312), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4310), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [186073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7174), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7172), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [186120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7178), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7176), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [186167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7182), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7180), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [186214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7186), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7184), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [186261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5381), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5379), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [186308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7190), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7188), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [186355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7194), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7192), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [186402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7198), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7196), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [186449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5365), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5363), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [186496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7202), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7200), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [186543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7206), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7204), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [186590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5433), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5431), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [186637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4829), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4827), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [186684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7210), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7208), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [186731] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(6447), 1,
      aux_sym__keyword_when_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1531), 1,
      sym__keyword_when,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(12088), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [186834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5911), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5909), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [186881] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(6391), 1,
      aux_sym__keyword_as_token1,
    STATE(9782), 1,
      sym_option_clause,
    STATE(12198), 1,
      sym__keyword_as,
    ACTIONS(4891), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [186933] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7606), 1,
      sym_analytics_clause,
    ACTIONS(1452), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1450), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [186983] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6087), 1,
      aux_sym_set_operation_token1,
    ACTIONS(6089), 1,
      aux_sym_set_operation_token3,
    ACTIONS(6091), 1,
      aux_sym_set_operation_token4,
    ACTIONS(5616), 35,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [187033] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(1922), 1,
      anon_sym_RBRACK,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(15659), 1,
      aux_sym_set_statement_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [187135] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7216), 1,
      aux_sym__keyword_as_token1,
    STATE(14853), 1,
      sym__keyword_as,
    ACTIONS(1476), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1474), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [187185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7220), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7218), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [187231] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(1866), 1,
      anon_sym_RBRACK,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(15087), 1,
      aux_sym_set_statement_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [187333] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7222), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(7144), 1,
      sym_unnest_withoffset,
    ACTIONS(1542), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1540), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [187383] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(7224), 1,
      anon_sym_RBRACK,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(15459), 1,
      aux_sym_set_statement_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [187485] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(7228), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(15385), 1,
      aux_sym_function_call_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [187587] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(7230), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(15621), 1,
      aux_sym_function_call_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [187689] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2228), 1,
      anon_sym_RBRACK,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(15283), 1,
      aux_sym_set_statement_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [187791] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(7232), 1,
      anon_sym_RBRACK,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(15565), 1,
      aux_sym_set_statement_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [187893] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(7234), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(15538), 1,
      aux_sym_function_call_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [187995] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2234), 1,
      anon_sym_RBRACK,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(15477), 1,
      aux_sym_set_statement_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [188097] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(7236), 1,
      anon_sym_RBRACK,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(14511), 1,
      aux_sym_set_statement_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [188199] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2296), 1,
      anon_sym_RBRACK,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(14552), 1,
      aux_sym_set_statement_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [188301] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(7238), 1,
      anon_sym_RBRACK,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(15607), 1,
      aux_sym_set_statement_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [188403] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(7240), 1,
      anon_sym_RBRACK,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(15609), 1,
      aux_sym_set_statement_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [188505] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(7242), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(15622), 1,
      aux_sym_function_call_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [188607] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2308), 1,
      anon_sym_RBRACK,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(15645), 1,
      aux_sym_set_statement_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [188709] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2224), 1,
      anon_sym_RBRACK,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(15233), 1,
      aux_sym_set_statement_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [188811] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(6605), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(6607), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6611), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6617), 1,
      anon_sym_LBRACK,
    ACTIONS(6619), 1,
      anon_sym_DOT2,
    ACTIONS(6621), 1,
      anon_sym_PLUS,
    ACTIONS(6623), 1,
      anon_sym_DASH,
    ACTIONS(6627), 1,
      anon_sym_SLASH,
    ACTIONS(6631), 1,
      anon_sym_AMP,
    ACTIONS(6633), 1,
      anon_sym_CARET,
    ACTIONS(6635), 1,
      anon_sym_PIPE,
    STATE(1083), 1,
      sym__keyword_between,
    STATE(1266), 1,
      sym__keyword_or,
    STATE(1814), 1,
      sym__keyword_and,
    STATE(1857), 1,
      sym__keyword_in,
    STATE(12067), 1,
      sym__keyword_is,
    STATE(13077), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16327), 1,
      sym_like_operator,
    STATE(16328), 1,
      sym_quantitve_like_operator,
    ACTIONS(6615), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6625), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(6629), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3088), 3,
      aux_sym__keyword_from_token1,
      anon_sym_COMMA,
      aux_sym_option_clause_token1,
    ACTIONS(6609), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [188909] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(7244), 1,
      anon_sym_RBRACK,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(14971), 1,
      aux_sym_set_statement_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [189011] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(7246), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(15139), 1,
      aux_sym_function_call_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [189113] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(7248), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(14527), 1,
      aux_sym_function_call_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [189215] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2164), 1,
      anon_sym_RBRACK,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(15244), 1,
      aux_sym_set_statement_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [189317] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(7250), 1,
      anon_sym_RBRACK,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(15187), 1,
      aux_sym_set_statement_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [189419] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(1868), 1,
      anon_sym_RBRACK,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(14877), 1,
      aux_sym_set_statement_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [189521] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(7252), 1,
      anon_sym_RBRACK,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(15528), 1,
      aux_sym_set_statement_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [189623] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(7254), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(15522), 1,
      aux_sym_function_call_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [189725] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(1920), 1,
      anon_sym_RBRACK,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(15507), 1,
      aux_sym_set_statement_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [189827] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(7256), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(14857), 1,
      aux_sym_function_call_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [189929] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(7258), 1,
      anon_sym_RBRACK,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(14848), 1,
      aux_sym_set_statement_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [190031] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(7260), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(14730), 1,
      aux_sym_function_call_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [190133] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(6605), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(6607), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6611), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6617), 1,
      anon_sym_LBRACK,
    ACTIONS(6619), 1,
      anon_sym_DOT2,
    ACTIONS(6621), 1,
      anon_sym_PLUS,
    ACTIONS(6623), 1,
      anon_sym_DASH,
    ACTIONS(6627), 1,
      anon_sym_SLASH,
    ACTIONS(6631), 1,
      anon_sym_AMP,
    ACTIONS(6633), 1,
      anon_sym_CARET,
    ACTIONS(6635), 1,
      anon_sym_PIPE,
    STATE(1083), 1,
      sym__keyword_between,
    STATE(1266), 1,
      sym__keyword_or,
    STATE(1814), 1,
      sym__keyword_and,
    STATE(1857), 1,
      sym__keyword_in,
    STATE(12067), 1,
      sym__keyword_is,
    STATE(13077), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16327), 1,
      sym_like_operator,
    STATE(16328), 1,
      sym_quantitve_like_operator,
    ACTIONS(6615), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6625), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(6629), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3104), 4,
      aux_sym_keyword_if_not_exists_token2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_option_clause_token1,
    ACTIONS(6609), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [190229] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3090), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(7262), 1,
      anon_sym_COMMA,
    STATE(8395), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3088), 35,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [190279] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(7265), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(15205), 1,
      aux_sym_function_call_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [190381] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2040), 1,
      anon_sym_RBRACK,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(14491), 1,
      aux_sym_set_statement_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [190483] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(7267), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(14463), 1,
      aux_sym_function_call_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [190585] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(7269), 1,
      anon_sym_RBRACK,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(14455), 1,
      aux_sym_set_statement_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [190687] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7271), 1,
      aux_sym__keyword_as_token1,
    STATE(14735), 1,
      sym__keyword_as,
    ACTIONS(1476), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1474), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [190737] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2094), 1,
      anon_sym_RBRACK,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(14501), 1,
      aux_sym_set_statement_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [190839] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1516), 5,
      anon_sym_COMMA,
      aux_sym_set_statement_token2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_GT,
    ACTIONS(1518), 33,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_struct_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_array_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_partition_by_token1,
      aux_sym_set_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_clone_clause_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_alter_table_rename_statement_token1,
      aux_sym_alter_table_rename_statement_token2,
      aux_sym_add_column_action_token1,
      aux_sym_foreign_key_token1,
      aux_sym_partition_expression_token5,
      aux_sym_partition_expression_token6,
      aux_sym_partition_expression_token7,
      aux_sym_partition_expression_token8,
      aux_sym_partition_expression_token10,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_condition_token1,
      aux_sym_function_call_token1,
      aux_sym_values_clause_token1,
      sym__unquoted_identifier,
  [190885] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(7273), 1,
      anon_sym_RBRACK,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(14739), 1,
      aux_sym_set_statement_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [190987] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(7275), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(14518), 1,
      aux_sym_function_call_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [191089] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6826), 1,
      sym_analytics_clause,
    ACTIONS(1404), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1402), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [191139] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(7279), 1,
      anon_sym_RBRACK,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(14522), 1,
      aux_sym_set_statement_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [191241] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2148), 1,
      anon_sym_RBRACK,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(14732), 1,
      aux_sym_set_statement_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [191343] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(7281), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(14749), 1,
      aux_sym_function_call_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [191445] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(7283), 1,
      anon_sym_RBRACK,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(14753), 1,
      aux_sym_set_statement_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [191547] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2152), 1,
      anon_sym_RBRACK,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(14963), 1,
      aux_sym_set_statement_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [191649] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(7285), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(14980), 1,
      aux_sym_function_call_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [191751] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(7287), 1,
      anon_sym_RBRACK,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(14984), 1,
      aux_sym_set_statement_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [191853] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2232), 1,
      anon_sym_RBRACK,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(15194), 1,
      aux_sym_set_statement_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [191955] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(7289), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(15211), 1,
      aux_sym_function_call_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [192057] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(7291), 1,
      anon_sym_RBRACK,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(15215), 1,
      aux_sym_set_statement_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [192159] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(7293), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(15420), 1,
      aux_sym_function_call_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [192261] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(7090), 1,
      sym_analytics_clause,
    ACTIONS(1448), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1446), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [192311] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6365), 1,
      sym_analytics_clause,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [192361] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6828), 1,
      sym_analytics_clause,
    ACTIONS(1448), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1446), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [192411] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6470), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [192461] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(7297), 1,
      aux_sym__keyword_as_token1,
    STATE(9674), 1,
      sym_option_clause,
    STATE(12607), 1,
      sym__keyword_as,
    ACTIONS(5421), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [192513] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2090), 1,
      sym__string_start,
    STATE(10478), 1,
      sym_string,
    ACTIONS(1508), 17,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1510), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [192563] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(7299), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(15814), 1,
      aux_sym_function_call_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [192665] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(7301), 1,
      aux_sym__keyword_as_token1,
    STATE(9673), 1,
      sym_option_clause,
    STATE(12609), 1,
      sym__keyword_as,
    ACTIONS(5437), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [192717] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(7303), 1,
      anon_sym_RBRACK,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(15080), 1,
      aux_sym_set_statement_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [192819] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(7305), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(15071), 1,
      aux_sym_function_call_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [192921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1083), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1081), 21,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [192967] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2306), 1,
      anon_sym_RBRACK,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(15036), 1,
      aux_sym_set_statement_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [193069] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6939), 1,
      sym_analytics_clause,
    ACTIONS(1444), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [193119] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6930), 1,
      sym_analytics_clause,
    ACTIONS(1444), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [193169] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6929), 1,
      sym_analytics_clause,
    ACTIONS(1444), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [193219] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6928), 1,
      sym_analytics_clause,
    ACTIONS(1444), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [193269] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6927), 1,
      sym_analytics_clause,
    ACTIONS(1464), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [193319] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6926), 1,
      sym_analytics_clause,
    ACTIONS(1464), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [193369] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6924), 1,
      sym_analytics_clause,
    ACTIONS(1464), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [193419] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5350), 1,
      aux_sym__keyword_for_token1,
    STATE(875), 1,
      sym__keyword_system_as_of,
    STATE(7492), 1,
      sym_system_time_clause,
    STATE(8358), 1,
      sym_option_clause,
    ACTIONS(5502), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [193473] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6889), 1,
      sym_analytics_clause,
    ACTIONS(1464), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [193523] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6921), 1,
      sym_analytics_clause,
    ACTIONS(1464), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [193573] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6920), 1,
      sym_analytics_clause,
    ACTIONS(1464), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [193623] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6918), 1,
      sym_analytics_clause,
    ACTIONS(1464), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [193673] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4701), 1,
      aux_sym__keyword_as_token1,
    STATE(9865), 1,
      sym_option_clause,
    STATE(12863), 1,
      sym__keyword_as,
    ACTIONS(4029), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [193725] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6916), 1,
      sym_analytics_clause,
    ACTIONS(1376), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1374), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [193775] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(7307), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(15618), 1,
      aux_sym_function_call_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [193877] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(7309), 1,
      aux_sym__keyword_as_token1,
    STATE(9689), 1,
      sym_option_clause,
    STATE(12418), 1,
      sym__keyword_as,
    ACTIONS(5652), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [193929] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6469), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [193979] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(7311), 1,
      aux_sym__keyword_as_token1,
    STATE(9691), 1,
      sym_option_clause,
    STATE(12382), 1,
      sym__keyword_as,
    ACTIONS(5336), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [194031] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(6053), 1,
      aux_sym__keyword_as_token1,
    STATE(9695), 1,
      sym_option_clause,
    STATE(12378), 1,
      sym__keyword_as,
    ACTIONS(4813), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [194083] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(6093), 1,
      aux_sym__keyword_as_token1,
    STATE(9701), 1,
      sym_option_clause,
    STATE(12387), 1,
      sym__keyword_as,
    ACTIONS(4827), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [194135] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(7313), 1,
      aux_sym__keyword_as_token1,
    STATE(9878), 1,
      sym_option_clause,
    STATE(12856), 1,
      sym__keyword_as,
    ACTIONS(5459), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [194187] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(7315), 1,
      aux_sym__keyword_as_token1,
    STATE(9703), 1,
      sym_option_clause,
    STATE(12338), 1,
      sym__keyword_as,
    ACTIONS(5363), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [194239] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6468), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [194289] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(7317), 1,
      aux_sym__keyword_as_token1,
    STATE(9706), 1,
      sym_option_clause,
    STATE(12337), 1,
      sym__keyword_as,
    ACTIONS(5379), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [194341] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(7319), 1,
      aux_sym__keyword_as_token1,
    STATE(9708), 1,
      sym_option_clause,
    STATE(12328), 1,
      sym__keyword_as,
    ACTIONS(5395), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [194393] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(7321), 1,
      aux_sym__keyword_as_token1,
    STATE(9710), 1,
      sym_option_clause,
    STATE(12324), 1,
      sym__keyword_as,
    ACTIONS(5401), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [194445] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(1982), 1,
      anon_sym_RBRACK,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(14723), 1,
      aux_sym_set_statement_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [194547] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6446), 1,
      sym_analytics_clause,
    ACTIONS(1384), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1382), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [194597] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6445), 1,
      sym_analytics_clause,
    ACTIONS(1392), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1390), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [194647] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6433), 1,
      sym_analytics_clause,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [194697] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6414), 1,
      sym_analytics_clause,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [194747] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3088), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [194845] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6864), 1,
      sym_analytics_clause,
    ACTIONS(1356), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [194895] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6390), 1,
      sym_analytics_clause,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [194945] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6863), 1,
      sym_analytics_clause,
    ACTIONS(1356), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [194995] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6859), 1,
      sym_analytics_clause,
    ACTIONS(1356), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [195045] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6854), 1,
      sym_analytics_clause,
    ACTIONS(1356), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [195095] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6853), 1,
      sym_analytics_clause,
    ACTIONS(1356), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [195145] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6851), 1,
      sym_analytics_clause,
    ACTIONS(1356), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [195195] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6850), 1,
      sym_analytics_clause,
    ACTIONS(1356), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [195245] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6403), 1,
      sym_analytics_clause,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [195295] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6848), 1,
      sym_analytics_clause,
    ACTIONS(1356), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [195345] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6846), 1,
      sym_analytics_clause,
    ACTIONS(1356), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [195395] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6402), 1,
      sym_analytics_clause,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [195445] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6401), 1,
      sym_analytics_clause,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [195495] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6845), 1,
      sym_analytics_clause,
    ACTIONS(1356), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [195545] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6399), 1,
      sym_analytics_clause,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [195595] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6843), 1,
      sym_analytics_clause,
    ACTIONS(1356), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [195645] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6840), 1,
      sym_analytics_clause,
    ACTIONS(1356), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [195695] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6382), 1,
      sym_analytics_clause,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [195745] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6838), 1,
      sym_analytics_clause,
    ACTIONS(1356), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [195795] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6837), 1,
      sym_analytics_clause,
    ACTIONS(1486), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1484), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [195845] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6836), 1,
      sym_analytics_clause,
    ACTIONS(1380), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [195895] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6464), 1,
      sym_analytics_clause,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [195945] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6831), 1,
      sym_analytics_clause,
    ACTIONS(1380), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [195995] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6381), 1,
      sym_analytics_clause,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [196045] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6821), 1,
      sym_analytics_clause,
    ACTIONS(1380), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [196095] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6361), 1,
      sym_analytics_clause,
    ACTIONS(1486), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1484), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [196145] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6817), 1,
      sym_analytics_clause,
    ACTIONS(1380), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [196195] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6563), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [196245] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6360), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [196295] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6369), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [196345] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6363), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [196395] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6379), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [196445] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6385), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [196495] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6416), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [196545] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6428), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [196595] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6439), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [196645] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6815), 1,
      sym_analytics_clause,
    ACTIONS(1380), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [196695] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6444), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [196745] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6813), 1,
      sym_analytics_clause,
    ACTIONS(1380), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [196795] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6811), 1,
      sym_analytics_clause,
    ACTIONS(1380), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [196845] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6451), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [196895] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6805), 1,
      sym_analytics_clause,
    ACTIONS(1380), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [196945] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6793), 1,
      sym_analytics_clause,
    ACTIONS(1380), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [196995] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6529), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [197045] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6357), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [197095] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6477), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [197145] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6791), 1,
      sym_analytics_clause,
    ACTIONS(1380), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [197195] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3134), 3,
      aux_sym__keyword_from_token1,
      anon_sym_COMMA,
      aux_sym_where_clause_token1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [197293] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6481), 1,
      sym_analytics_clause,
    ACTIONS(1376), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1374), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [197343] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6787), 1,
      sym_analytics_clause,
    ACTIONS(1380), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [197393] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6786), 1,
      sym_analytics_clause,
    ACTIONS(1392), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1390), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [197443] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6774), 1,
      sym_analytics_clause,
    ACTIONS(1384), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1382), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [197493] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6483), 1,
      sym_analytics_clause,
    ACTIONS(1464), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [197543] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6849), 1,
      sym_analytics_clause,
    ACTIONS(1356), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [197593] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6497), 1,
      sym_analytics_clause,
    ACTIONS(1464), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [197643] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6517), 1,
      sym_analytics_clause,
    ACTIONS(1464), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [197693] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(6259), 1,
      aux_sym__keyword_as_token1,
    STATE(9718), 1,
      sym_option_clause,
    STATE(12290), 1,
      sym__keyword_as,
    ACTIONS(4973), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [197745] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6503), 1,
      sym_analytics_clause,
    ACTIONS(1464), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [197795] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6590), 1,
      sym_analytics_clause,
    ACTIONS(1464), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [197845] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6585), 1,
      sym_analytics_clause,
    ACTIONS(1464), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [197895] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5204), 1,
      aux_sym__keyword_as_token1,
    STATE(9719), 1,
      sym_option_clause,
    STATE(12285), 1,
      sym__keyword_as,
    ACTIONS(4512), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [197947] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5216), 1,
      aux_sym__keyword_as_token1,
    STATE(9723), 1,
      sym_option_clause,
    STATE(12284), 1,
      sym__keyword_as,
    ACTIONS(4506), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [197999] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6577), 1,
      sym_analytics_clause,
    ACTIONS(1464), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [198049] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(6227), 1,
      aux_sym__keyword_as_token1,
    STATE(9724), 1,
      sym_option_clause,
    STATE(12283), 1,
      sym__keyword_as,
    ACTIONS(4995), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [198101] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(6225), 1,
      aux_sym__keyword_as_token1,
    STATE(9725), 1,
      sym_option_clause,
    STATE(12282), 1,
      sym__keyword_as,
    ACTIONS(5001), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [198153] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6434), 1,
      sym_analytics_clause,
    ACTIONS(1444), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [198203] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(7323), 1,
      aux_sym__keyword_as_token1,
    STATE(9745), 1,
      sym_option_clause,
    STATE(12241), 1,
      sym__keyword_as,
    ACTIONS(5559), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [198255] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(7325), 1,
      aux_sym__keyword_as_token1,
    STATE(9729), 1,
      sym_option_clause,
    STATE(12261), 1,
      sym__keyword_as,
    ACTIONS(5509), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [198307] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(7327), 1,
      aux_sym__keyword_as_token1,
    STATE(9730), 1,
      sym_option_clause,
    STATE(12259), 1,
      sym__keyword_as,
    ACTIONS(5521), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [198359] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6371), 1,
      sym_analytics_clause,
    ACTIONS(1444), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [198409] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6372), 1,
      sym_analytics_clause,
    ACTIONS(1444), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [198459] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6373), 1,
      sym_analytics_clause,
    ACTIONS(1444), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [198509] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6374), 1,
      sym_analytics_clause,
    ACTIONS(1448), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1446), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [198559] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6375), 1,
      sym_analytics_clause,
    ACTIONS(1448), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1446), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [198609] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(6140), 1,
      aux_sym__keyword_as_token1,
    STATE(9731), 1,
      sym_option_clause,
    STATE(12254), 1,
      sym__keyword_as,
    ACTIONS(5007), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [198661] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(6118), 1,
      aux_sym__keyword_as_token1,
    STATE(9732), 1,
      sym_option_clause,
    STATE(12248), 1,
      sym__keyword_as,
    ACTIONS(5029), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [198713] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(7329), 1,
      aux_sym__keyword_as_token1,
    STATE(9733), 1,
      sym_option_clause,
    STATE(12247), 1,
      sym__keyword_as,
    ACTIONS(5308), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [198765] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(7331), 1,
      aux_sym__keyword_as_token1,
    STATE(9736), 1,
      sym_option_clause,
    STATE(12246), 1,
      sym__keyword_as,
    ACTIONS(5541), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [198817] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(7333), 1,
      aux_sym__keyword_as_token1,
    STATE(9743), 1,
      sym_option_clause,
    STATE(12242), 1,
      sym__keyword_as,
    ACTIONS(5553), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [198869] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(7335), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(15299), 1,
      aux_sym_set_statement_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [198971] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6532), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [199021] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(6261), 1,
      aux_sym__keyword_as_token1,
    STATE(9717), 1,
      sym_option_clause,
    STATE(12286), 1,
      sym__keyword_as,
    ACTIONS(4965), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [199073] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6959), 1,
      sym_analytics_clause,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [199123] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6968), 1,
      sym_analytics_clause,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [199173] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6476), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [199223] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6480), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [199273] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6978), 1,
      sym_analytics_clause,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [199323] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2294), 1,
      sym__string_start,
    STATE(10294), 1,
      sym_string,
    ACTIONS(1510), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1508), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [199373] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6980), 1,
      sym_analytics_clause,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [199423] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6698), 1,
      sym_analytics_clause,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [199473] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6991), 1,
      sym_analytics_clause,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [199523] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7337), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(7627), 1,
      sym_unnest_withoffset,
    ACTIONS(1542), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1540), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [199573] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(7339), 1,
      aux_sym__keyword_as_token1,
    STATE(9837), 1,
      sym_option_clause,
    STATE(12262), 1,
      sym__keyword_as,
    ACTIONS(5385), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [199625] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6992), 1,
      sym_analytics_clause,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [199675] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6994), 1,
      sym_analytics_clause,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [199725] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6995), 1,
      sym_analytics_clause,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [199775] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6998), 1,
      sym_analytics_clause,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [199825] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6999), 1,
      sym_analytics_clause,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [199875] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(7001), 1,
      sym_analytics_clause,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [199925] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(7004), 1,
      sym_analytics_clause,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [199975] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(7010), 1,
      sym_analytics_clause,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [200025] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5350), 1,
      aux_sym__keyword_for_token1,
    STATE(875), 1,
      sym__keyword_system_as_of,
    STATE(7457), 1,
      sym_system_time_clause,
    STATE(8228), 1,
      sym_option_clause,
    ACTIONS(5604), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [200079] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7341), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(7627), 1,
      sym_unnest_withoffset,
    ACTIONS(1542), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1540), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [200129] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7551), 1,
      sym_analytics_clause,
    ACTIONS(1404), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1402), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [200179] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4725), 1,
      aux_sym__keyword_as_token1,
    STATE(9838), 1,
      sym_option_clause,
    STATE(12270), 1,
      sym__keyword_as,
    ACTIONS(4023), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [200231] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(7012), 1,
      sym_analytics_clause,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [200281] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(7016), 1,
      sym_analytics_clause,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [200331] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(7019), 1,
      sym_analytics_clause,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [200381] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(7021), 1,
      sym_analytics_clause,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [200431] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(7022), 1,
      sym_analytics_clause,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [200481] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(7023), 1,
      sym_analytics_clause,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [200531] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4727), 1,
      aux_sym__keyword_as_token1,
    STATE(9841), 1,
      sym_option_clause,
    STATE(12281), 1,
      sym__keyword_as,
    ACTIONS(4119), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [200583] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(7024), 1,
      sym_analytics_clause,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [200633] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(7028), 1,
      sym_analytics_clause,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [200683] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(7029), 1,
      sym_analytics_clause,
    ACTIONS(1388), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1386), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [200733] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(7032), 1,
      sym_analytics_clause,
    ACTIONS(1362), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [200783] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6498), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [200833] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(7033), 1,
      sym_analytics_clause,
    ACTIONS(1362), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [200883] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(7036), 1,
      sym_analytics_clause,
    ACTIONS(1362), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [200933] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(7037), 1,
      sym_analytics_clause,
    ACTIONS(1362), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [200983] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6475), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [201033] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6501), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [201083] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6936), 1,
      sym_analytics_clause,
    ACTIONS(1362), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [201133] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6513), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [201183] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6516), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [201233] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6527), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [201283] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(7062), 1,
      sym_analytics_clause,
    ACTIONS(1362), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [201333] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(7064), 1,
      sym_analytics_clause,
    ACTIONS(1362), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [201383] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(7070), 1,
      sym_analytics_clause,
    ACTIONS(1362), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [201433] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(7071), 1,
      sym_analytics_clause,
    ACTIONS(1362), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [201483] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1514), 1,
      anon_sym_DOT,
    ACTIONS(1510), 7,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT2,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1508), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [201531] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(7074), 1,
      sym_analytics_clause,
    ACTIONS(1498), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1496), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [201581] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(7077), 1,
      sym_analytics_clause,
    ACTIONS(1502), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1500), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [201631] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(7097), 1,
      sym_analytics_clause,
    ACTIONS(1506), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1504), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [201681] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1514), 1,
      anon_sym_DOT,
    ACTIONS(1532), 7,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT2,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1530), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [201729] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7551), 1,
      sym_analytics_clause,
    ACTIONS(1404), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1402), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [201779] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(7067), 1,
      sym_analytics_clause,
    ACTIONS(1362), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [201829] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5188), 1,
      aux_sym__keyword_as_token1,
    STATE(9764), 1,
      sym_option_clause,
    STATE(12197), 1,
      sym__keyword_as,
    ACTIONS(4418), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [201881] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7567), 1,
      sym_analytics_clause,
    ACTIONS(1494), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1492), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [201931] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7571), 1,
      sym_analytics_clause,
    ACTIONS(1490), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1488), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [201981] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7575), 1,
      sym_analytics_clause,
    ACTIONS(1482), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1480), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [202031] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7592), 1,
      sym_analytics_clause,
    ACTIONS(1472), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1470), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [202081] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7594), 1,
      sym_analytics_clause,
    ACTIONS(1468), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1466), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [202131] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7598), 1,
      sym_analytics_clause,
    ACTIONS(1460), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1458), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [202181] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7599), 1,
      sym_analytics_clause,
    ACTIONS(1456), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1454), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [202231] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7603), 1,
      sym_analytics_clause,
    ACTIONS(1452), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1450), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [202281] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7606), 1,
      sym_analytics_clause,
    ACTIONS(1452), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1450), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [202331] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5182), 1,
      aux_sym__keyword_as_token1,
    STATE(9765), 1,
      sym_option_clause,
    STATE(12196), 1,
      sym__keyword_as,
    ACTIONS(4404), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [202383] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7619), 1,
      sym_analytics_clause,
    ACTIONS(1440), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1438), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [202433] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(6433), 1,
      aux_sym__keyword_as_token1,
    STATE(9770), 1,
      sym_option_clause,
    STATE(12188), 1,
      sym__keyword_as,
    ACTIONS(4959), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [202485] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7661), 1,
      sym_analytics_clause,
    ACTIONS(1436), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1434), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [202535] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5164), 1,
      aux_sym__keyword_as_token1,
    STATE(9768), 1,
      sym_option_clause,
    STATE(12193), 1,
      sym__keyword_as,
    ACTIONS(4398), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [202587] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5118), 1,
      aux_sym__keyword_as_token1,
    STATE(9769), 1,
      sym_option_clause,
    STATE(12192), 1,
      sym__keyword_as,
    ACTIONS(4392), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [202639] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6988), 1,
      sym_analytics_clause,
    ACTIONS(1494), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1492), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [202689] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4721), 1,
      aux_sym__keyword_as_token1,
    STATE(9766), 1,
      sym_option_clause,
    STATE(12195), 1,
      sym__keyword_as,
    ACTIONS(4113), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [202741] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(6431), 1,
      aux_sym__keyword_as_token1,
    STATE(9771), 1,
      sym_option_clause,
    STATE(12187), 1,
      sym__keyword_as,
    ACTIONS(4951), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [202793] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5350), 1,
      aux_sym__keyword_for_token1,
    STATE(875), 1,
      sym__keyword_system_as_of,
    STATE(7429), 1,
      sym_system_time_clause,
    STATE(8268), 1,
      sym_option_clause,
    ACTIONS(5690), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [202847] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5122), 1,
      aux_sym__keyword_as_token1,
    STATE(9774), 1,
      sym_option_clause,
    STATE(12185), 1,
      sym__keyword_as,
    ACTIONS(4386), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [202899] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5130), 1,
      aux_sym__keyword_as_token1,
    STATE(9846), 1,
      sym_option_clause,
    STATE(12263), 1,
      sym__keyword_as,
    ACTIONS(4316), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [202951] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5106), 1,
      aux_sym__keyword_as_token1,
    STATE(9775), 1,
      sym_option_clause,
    STATE(12184), 1,
      sym__keyword_as,
    ACTIONS(4380), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [203003] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(6399), 1,
      aux_sym__keyword_as_token1,
    STATE(9777), 1,
      sym_option_clause,
    STATE(12179), 1,
      sym__keyword_as,
    ACTIONS(4905), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [203055] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7625), 1,
      sym_analytics_clause,
    ACTIONS(1432), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1430), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [203105] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5128), 1,
      aux_sym__keyword_as_token1,
    STATE(9847), 1,
      sym_option_clause,
    STATE(12473), 1,
      sym__keyword_as,
    ACTIONS(4322), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [203157] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(6397), 1,
      aux_sym__keyword_as_token1,
    STATE(9778), 1,
      sym_option_clause,
    STATE(12178), 1,
      sym__keyword_as,
    ACTIONS(4899), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [203209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1518), 7,
      aux_sym_keyword_replace_token1,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1516), 31,
      sym__string_start,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_EQ_GT,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [203255] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(7345), 1,
      aux_sym__keyword_as_token1,
    STATE(9781), 1,
      sym_option_clause,
    STATE(12175), 1,
      sym__keyword_as,
    ACTIONS(5535), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [203307] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7629), 1,
      sym_analytics_clause,
    ACTIONS(1428), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1426), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [203357] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(6389), 1,
      aux_sym__keyword_as_token1,
    STATE(9783), 1,
      sym_option_clause,
    STATE(12174), 1,
      sym__keyword_as,
    ACTIONS(4873), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [203409] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4795), 1,
      aux_sym__keyword_as_token1,
    STATE(9848), 1,
      sym_option_clause,
    STATE(12475), 1,
      sym__keyword_as,
    ACTIONS(4017), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [203461] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(7347), 1,
      aux_sym__keyword_as_token1,
    STATE(9793), 1,
      sym_option_clause,
    STATE(12168), 1,
      sym__keyword_as,
    ACTIONS(5316), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [203513] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6706), 1,
      sym_analytics_clause,
    ACTIONS(1400), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1398), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [203563] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(7349), 1,
      aux_sym__keyword_as_token1,
    STATE(9784), 1,
      sym_option_clause,
    STATE(12167), 1,
      sym__keyword_as,
    ACTIONS(5608), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [203615] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6531), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [203665] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(7351), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(15983), 1,
      aux_sym_set_statement_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [203767] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7633), 1,
      sym_analytics_clause,
    ACTIONS(1424), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1422), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [203817] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6861), 1,
      sym_analytics_clause,
    ACTIONS(1372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [203867] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(6429), 1,
      aux_sym__keyword_as_token1,
    STATE(9855), 1,
      sym_option_clause,
    STATE(12478), 1,
      sym__keyword_as,
    ACTIONS(4985), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [203919] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6862), 1,
      sym_analytics_clause,
    ACTIONS(1372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [203969] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7640), 1,
      sym_analytics_clause,
    ACTIONS(1420), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [204019] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6866), 1,
      sym_analytics_clause,
    ACTIONS(1372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [204069] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6867), 1,
      sym_analytics_clause,
    ACTIONS(1372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [204119] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6868), 1,
      sym_analytics_clause,
    ACTIONS(1372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [204169] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7643), 1,
      sym_analytics_clause,
    ACTIONS(1420), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [204219] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(6415), 1,
      aux_sym__keyword_as_token1,
    STATE(9860), 1,
      sym_option_clause,
    STATE(12479), 1,
      sym__keyword_as,
    ACTIONS(5035), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [204271] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6901), 1,
      sym_analytics_clause,
    ACTIONS(1372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [204321] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6949), 1,
      sym_analytics_clause,
    ACTIONS(1372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [204371] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7644), 1,
      sym_analytics_clause,
    ACTIONS(1420), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [204421] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6951), 1,
      sym_analytics_clause,
    ACTIONS(1372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [204471] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7645), 1,
      sym_analytics_clause,
    ACTIONS(1420), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [204521] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7648), 1,
      sym_analytics_clause,
    ACTIONS(1420), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [204571] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6955), 1,
      sym_analytics_clause,
    ACTIONS(1372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [204621] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7649), 1,
      sym_analytics_clause,
    ACTIONS(1420), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [204671] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7655), 1,
      sym_analytics_clause,
    ACTIONS(1420), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [204721] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7656), 1,
      sym_analytics_clause,
    ACTIONS(1420), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [204771] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6982), 1,
      sym_analytics_clause,
    ACTIONS(1372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [204821] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7657), 1,
      sym_analytics_clause,
    ACTIONS(1420), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [204871] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(7011), 1,
      sym_analytics_clause,
    ACTIONS(1372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [204921] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7659), 1,
      sym_analytics_clause,
    ACTIONS(1420), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [204971] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7660), 1,
      sym_analytics_clause,
    ACTIONS(1416), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1414), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [205021] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7829), 1,
      sym_analytics_clause,
    ACTIONS(1412), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1410), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [205071] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7662), 1,
      sym_analytics_clause,
    ACTIONS(1408), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1406), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [205121] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(7020), 1,
      sym_analytics_clause,
    ACTIONS(1372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [205171] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(7050), 1,
      sym_analytics_clause,
    ACTIONS(1372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [205221] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5124), 1,
      aux_sym__keyword_as_token1,
    STATE(9875), 1,
      sym_option_clause,
    STATE(12472), 1,
      sym__keyword_as,
    ACTIONS(4334), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [205273] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(7055), 1,
      sym_analytics_clause,
    ACTIONS(1372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [205323] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(7060), 1,
      sym_analytics_clause,
    ACTIONS(1372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [205373] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7664), 1,
      sym_analytics_clause,
    ACTIONS(1400), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1398), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [205423] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6987), 1,
      sym_analytics_clause,
    ACTIONS(1490), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1488), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [205473] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(7353), 1,
      aux_sym__keyword_as_token1,
    STATE(9780), 1,
      sym_option_clause,
    STATE(12176), 1,
      sym__keyword_as,
    ACTIONS(5547), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [205525] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5116), 1,
      aux_sym__keyword_as_token1,
    STATE(9874), 1,
      sym_option_clause,
    STATE(12483), 1,
      sym__keyword_as,
    ACTIONS(4340), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [205577] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(7013), 1,
      sym_analytics_clause,
    ACTIONS(1372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [205627] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(7355), 1,
      anon_sym_RBRACK,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(14615), 1,
      aux_sym_set_statement_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [205729] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(7049), 1,
      sym_analytics_clause,
    ACTIONS(1372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [205779] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7669), 1,
      sym_analytics_clause,
    ACTIONS(1400), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1398), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [205829] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(7357), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(14643), 1,
      aux_sym_function_call_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [205931] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7671), 1,
      sym_analytics_clause,
    ACTIONS(1400), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1398), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [205981] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7673), 1,
      sym_analytics_clause,
    ACTIONS(1400), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1398), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [206031] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7682), 1,
      sym_analytics_clause,
    ACTIONS(1400), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1398), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [206081] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7695), 1,
      sym_analytics_clause,
    ACTIONS(1396), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1394), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [206131] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7697), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [206181] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6855), 1,
      sym_analytics_clause,
    ACTIONS(1372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [206231] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6997), 1,
      sym_analytics_clause,
    ACTIONS(1372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [206281] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6993), 1,
      sym_analytics_clause,
    ACTIONS(1372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [206331] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6950), 1,
      sym_analytics_clause,
    ACTIONS(1396), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1394), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [206381] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6937), 1,
      sym_analytics_clause,
    ACTIONS(1400), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1398), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [206431] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6766), 1,
      sym_analytics_clause,
    ACTIONS(1400), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1398), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [206481] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7699), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [206531] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6767), 1,
      sym_analytics_clause,
    ACTIONS(1400), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1398), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [206581] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6897), 1,
      sym_analytics_clause,
    ACTIONS(1468), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1466), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [206631] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7702), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [206681] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6844), 1,
      sym_analytics_clause,
    ACTIONS(1400), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1398), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [206731] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7704), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [206781] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2240), 1,
      anon_sym_RBRACK,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(14655), 1,
      aux_sym_set_statement_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [206883] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6729), 1,
      sym_analytics_clause,
    ACTIONS(1408), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1406), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [206933] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7716), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [206983] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6725), 1,
      sym_analytics_clause,
    ACTIONS(1412), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1410), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [207033] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7719), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [207083] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7720), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [207133] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7721), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [207183] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7724), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [207233] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7727), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [207283] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7729), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [207333] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7740), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [207383] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6801), 1,
      sym_analytics_clause,
    ACTIONS(1452), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1450), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [207433] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7743), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [207483] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6722), 1,
      sym_analytics_clause,
    ACTIONS(1416), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1414), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [207533] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4761), 1,
      aux_sym__keyword_as_token1,
    STATE(9797), 1,
      sym_option_clause,
    STATE(12676), 1,
      sym__keyword_as,
    ACTIONS(4005), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [207585] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6986), 1,
      sym_analytics_clause,
    ACTIONS(1482), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1480), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [207635] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4729), 1,
      aux_sym__keyword_as_token1,
    STATE(9800), 1,
      sym_option_clause,
    STATE(12191), 1,
      sym__keyword_as,
    ACTIONS(4133), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [207687] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7746), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [207737] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7748), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [207787] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7760), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [207837] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7767), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [207887] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7768), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [207937] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7772), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [207987] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7774), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [208037] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6727), 1,
      sym_analytics_clause,
    ACTIONS(1452), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1450), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [208087] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7782), 1,
      sym_analytics_clause,
    ACTIONS(1506), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1504), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [208137] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7798), 1,
      sym_analytics_clause,
    ACTIONS(1502), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1500), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [208187] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7813), 1,
      sym_analytics_clause,
    ACTIONS(1498), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1496), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [208237] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7976), 1,
      sym_analytics_clause,
    ACTIONS(1362), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [208287] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6733), 1,
      sym_analytics_clause,
    ACTIONS(1456), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1454), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [208337] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5084), 1,
      aux_sym__keyword_as_token1,
    STATE(9802), 1,
      sym_option_clause,
    STATE(12203), 1,
      sym__keyword_as,
    ACTIONS(4518), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [208389] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7859), 1,
      sym_analytics_clause,
    ACTIONS(1362), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [208439] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7872), 1,
      sym_analytics_clause,
    ACTIONS(1362), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [208489] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7881), 1,
      sym_analytics_clause,
    ACTIONS(1362), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [208539] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7882), 1,
      sym_analytics_clause,
    ACTIONS(1362), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [208589] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7949), 1,
      sym_analytics_clause,
    ACTIONS(1362), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [208639] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7952), 1,
      sym_analytics_clause,
    ACTIONS(1362), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [208689] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7956), 1,
      sym_analytics_clause,
    ACTIONS(1362), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [208739] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6881), 1,
      sym_analytics_clause,
    ACTIONS(1460), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1458), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [208789] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7959), 1,
      sym_analytics_clause,
    ACTIONS(1362), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [208839] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7964), 1,
      sym_analytics_clause,
    ACTIONS(1362), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [208889] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7965), 1,
      sym_analytics_clause,
    ACTIONS(1388), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1386), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [208939] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7967), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [208989] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7953), 1,
      sym_analytics_clause,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [209039] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6441), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [209089] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7971), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [209139] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7980), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [209189] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7984), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [209239] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6906), 1,
      sym_analytics_clause,
    ACTIONS(1472), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1470), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [209289] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5092), 1,
      aux_sym__keyword_as_token1,
    STATE(9804), 1,
      sym_option_clause,
    STATE(12204), 1,
      sym__keyword_as,
    ACTIONS(4424), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [209341] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4925), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4927), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4931), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4935), 1,
      anon_sym_PLUS,
    ACTIONS(4937), 1,
      anon_sym_DASH,
    ACTIONS(4941), 1,
      anon_sym_SLASH,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    ACTIONS(5088), 1,
      anon_sym_LBRACK,
    ACTIONS(5090), 1,
      anon_sym_DOT2,
    STATE(1186), 1,
      sym__keyword_in,
    STATE(1199), 1,
      sym__keyword_and,
    STATE(1200), 1,
      sym__keyword_or,
    STATE(1882), 1,
      sym__keyword_between,
    STATE(12129), 1,
      sym__keyword_is,
    STATE(13084), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16130), 1,
      sym_quantitve_like_operator,
    STATE(16147), 1,
      sym_like_operator,
    ACTIONS(4933), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4939), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7359), 3,
      anon_sym_RPAREN,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
    ACTIONS(4929), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [209439] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4925), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4927), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4931), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4935), 1,
      anon_sym_PLUS,
    ACTIONS(4937), 1,
      anon_sym_DASH,
    ACTIONS(4941), 1,
      anon_sym_SLASH,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    ACTIONS(5088), 1,
      anon_sym_LBRACK,
    ACTIONS(5090), 1,
      anon_sym_DOT2,
    STATE(1186), 1,
      sym__keyword_in,
    STATE(1199), 1,
      sym__keyword_and,
    STATE(1200), 1,
      sym__keyword_or,
    STATE(1882), 1,
      sym__keyword_between,
    STATE(12129), 1,
      sym__keyword_is,
    STATE(13084), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16130), 1,
      sym_quantitve_like_operator,
    STATE(16147), 1,
      sym_like_operator,
    ACTIONS(4933), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4939), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7361), 3,
      anon_sym_RPAREN,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
    ACTIONS(4929), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [209537] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4723), 1,
      aux_sym__keyword_as_token1,
    STATE(9805), 1,
      sym_option_clause,
    STATE(12205), 1,
      sym__keyword_as,
    ACTIONS(4107), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [209589] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5120), 1,
      aux_sym__keyword_as_token1,
    STATE(9808), 1,
      sym_option_clause,
    STATE(12213), 1,
      sym__keyword_as,
    ACTIONS(4374), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [209641] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7986), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [209691] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5126), 1,
      aux_sym__keyword_as_token1,
    STATE(9810), 1,
      sym_option_clause,
    STATE(12215), 1,
      sym__keyword_as,
    ACTIONS(4366), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [209743] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7571), 1,
      sym_analytics_clause,
    ACTIONS(1490), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1488), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [209793] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7575), 1,
      sym_analytics_clause,
    ACTIONS(1482), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1480), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [209843] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7987), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [209893] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(6081), 1,
      aux_sym__keyword_as_token1,
    STATE(9812), 1,
      sym_option_clause,
    STATE(12186), 1,
      sym__keyword_as,
    ACTIONS(5021), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [209945] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7363), 3,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_else_token1,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [210043] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(6075), 1,
      aux_sym__keyword_as_token1,
    STATE(9813), 1,
      sym_option_clause,
    STATE(12216), 1,
      sym__keyword_as,
    ACTIONS(4885), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [210095] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7988), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [210145] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7989), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [210195] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7592), 1,
      sym_analytics_clause,
    ACTIONS(1472), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1470), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [210245] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(8016), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [210295] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5166), 1,
      aux_sym__keyword_as_token1,
    STATE(9815), 1,
      sym_option_clause,
    STATE(12218), 1,
      sym__keyword_as,
    ACTIONS(4360), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [210347] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(8019), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [210397] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(8018), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [210447] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7594), 1,
      sym_analytics_clause,
    ACTIONS(1468), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1466), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [210497] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7598), 1,
      sym_analytics_clause,
    ACTIONS(1460), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1458), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [210547] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7599), 1,
      sym_analytics_clause,
    ACTIONS(1456), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1454), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [210597] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7603), 1,
      sym_analytics_clause,
    ACTIONS(1452), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1450), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [210647] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5067), 1,
      aux_sym__keyword_as_token1,
    STATE(9816), 1,
      sym_option_clause,
    STATE(12223), 1,
      sym__keyword_as,
    ACTIONS(4346), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [210699] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7619), 1,
      sym_analytics_clause,
    ACTIONS(1440), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1438), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [210749] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7567), 1,
      sym_analytics_clause,
    ACTIONS(1494), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1492), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [210799] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7625), 1,
      sym_analytics_clause,
    ACTIONS(1432), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1430), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [210849] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7629), 1,
      sym_analytics_clause,
    ACTIONS(1428), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1426), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [210899] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7633), 1,
      sym_analytics_clause,
    ACTIONS(1424), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1422), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [210949] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(7365), 1,
      aux_sym__keyword_as_token1,
    STATE(9817), 1,
      sym_option_clause,
    STATE(12225), 1,
      sym__keyword_as,
    ACTIONS(5407), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [211001] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1514), 1,
      anon_sym_DOT,
    ACTIONS(1508), 17,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1510), 20,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DOT2,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [211049] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7640), 1,
      sym_analytics_clause,
    ACTIONS(1420), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [211099] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7643), 1,
      sym_analytics_clause,
    ACTIONS(1420), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [211149] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(8014), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [211199] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(8013), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [211249] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7644), 1,
      sym_analytics_clause,
    ACTIONS(1420), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [211299] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7645), 1,
      sym_analytics_clause,
    ACTIONS(1420), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [211349] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7648), 1,
      sym_analytics_clause,
    ACTIONS(1420), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [211399] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7649), 1,
      sym_analytics_clause,
    ACTIONS(1420), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [211449] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7655), 1,
      sym_analytics_clause,
    ACTIONS(1420), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [211499] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7656), 1,
      sym_analytics_clause,
    ACTIONS(1420), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [211549] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7657), 1,
      sym_analytics_clause,
    ACTIONS(1420), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [211599] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7659), 1,
      sym_analytics_clause,
    ACTIONS(1420), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [211649] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7367), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(6411), 1,
      sym_unnest_withoffset,
    ACTIONS(1542), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1540), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [211699] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6404), 1,
      sym_analytics_clause,
    ACTIONS(1404), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1402), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [211749] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1514), 1,
      anon_sym_DOT,
    ACTIONS(1530), 17,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1532), 20,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DOT2,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [211797] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7660), 1,
      sym_analytics_clause,
    ACTIONS(1416), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1414), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [211847] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(7369), 1,
      aux_sym__keyword_as_token1,
    STATE(9811), 1,
      sym_option_clause,
    STATE(12226), 1,
      sym__keyword_as,
    ACTIONS(5373), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [211899] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7829), 1,
      sym_analytics_clause,
    ACTIONS(1412), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1410), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [211949] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5350), 1,
      aux_sym__keyword_for_token1,
    STATE(875), 1,
      sym__keyword_system_as_of,
    STATE(7465), 1,
      sym_system_time_clause,
    STATE(8058), 1,
      sym_option_clause,
    ACTIONS(5346), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [212003] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7662), 1,
      sym_analytics_clause,
    ACTIONS(1408), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1406), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [212053] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7664), 1,
      sym_analytics_clause,
    ACTIONS(1400), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1398), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [212103] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(8012), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [212153] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7669), 1,
      sym_analytics_clause,
    ACTIONS(1400), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1398), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [212203] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7671), 1,
      sym_analytics_clause,
    ACTIONS(1400), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1398), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [212253] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7673), 1,
      sym_analytics_clause,
    ACTIONS(1400), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1398), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [212303] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4703), 1,
      aux_sym__keyword_as_token1,
    STATE(9826), 1,
      sym_option_clause,
    STATE(12591), 1,
      sym__keyword_as,
    ACTIONS(4011), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [212355] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7682), 1,
      sym_analytics_clause,
    ACTIONS(1400), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1398), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [212405] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(8003), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [212455] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7695), 1,
      sym_analytics_clause,
    ACTIONS(1396), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1394), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [212505] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(8002), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [212555] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3246), 1,
      anon_sym_COMMA,
    ACTIONS(5344), 1,
      aux_sym__keyword_as_token1,
    STATE(8395), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(5342), 35,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [212605] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7697), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [212655] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7699), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [212705] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7702), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [212755] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7704), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [212805] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7716), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [212855] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6504), 1,
      sym_analytics_clause,
    ACTIONS(1494), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1492), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [212905] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7719), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [212955] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6443), 1,
      sym_analytics_clause,
    ACTIONS(1490), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1488), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [213005] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7720), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [213055] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7721), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [213105] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5234), 1,
      aux_sym__keyword_as_token1,
    STATE(9824), 1,
      sym_option_clause,
    STATE(12588), 1,
      sym__keyword_as,
    ACTIONS(4328), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [213157] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6447), 1,
      sym_analytics_clause,
    ACTIONS(1482), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1480), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [213207] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7724), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [213257] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7727), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [213307] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6556), 1,
      sym_analytics_clause,
    ACTIONS(1472), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1470), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [213357] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7997), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [213407] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7729), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [213457] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7740), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [213507] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7743), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [213557] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6551), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [213607] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7746), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [213657] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7996), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [213707] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6580), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [213757] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6578), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [213807] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6576), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [213857] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6571), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [213907] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6569), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [213957] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7748), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [214007] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7990), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [214057] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6557), 1,
      sym_analytics_clause,
    ACTIONS(1468), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1466), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [214107] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(7371), 1,
      anon_sym_RBRACK,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(14974), 1,
      aux_sym_set_statement_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [214209] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7985), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [214259] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7979), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [214309] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7975), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [214359] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6410), 1,
      sym_analytics_clause,
    ACTIONS(1362), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [214409] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7974), 1,
      sym_analytics_clause,
    ACTIONS(1384), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1382), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [214459] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6568), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [214509] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6567), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [214559] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7968), 1,
      sym_analytics_clause,
    ACTIONS(1392), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1390), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [214609] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6356), 1,
      sym_analytics_clause,
    ACTIONS(1388), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1386), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [214659] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6553), 1,
      sym_analytics_clause,
    ACTIONS(1362), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [214709] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7962), 1,
      sym_analytics_clause,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [214759] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6549), 1,
      sym_analytics_clause,
    ACTIONS(1362), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [214809] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6545), 1,
      sym_analytics_clause,
    ACTIONS(1362), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [214859] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6825), 1,
      sym_analytics_clause,
    ACTIONS(1440), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1438), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [214909] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(7373), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(14930), 1,
      aux_sym_function_call_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [215011] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6543), 1,
      sym_analytics_clause,
    ACTIONS(1362), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [215061] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6558), 1,
      sym_analytics_clause,
    ACTIONS(1460), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1458), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [215111] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7961), 1,
      sym_analytics_clause,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [215161] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7957), 1,
      sym_analytics_clause,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [215211] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6541), 1,
      sym_analytics_clause,
    ACTIONS(1362), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [215261] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6842), 1,
      sym_analytics_clause,
    ACTIONS(1436), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1434), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [215311] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6535), 1,
      sym_analytics_clause,
    ACTIONS(1362), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [215361] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6530), 1,
      sym_analytics_clause,
    ACTIONS(1362), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [215411] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6523), 1,
      sym_analytics_clause,
    ACTIONS(1362), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [215461] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6852), 1,
      sym_analytics_clause,
    ACTIONS(1432), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1430), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [215511] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7955), 1,
      sym_analytics_clause,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [215561] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6521), 1,
      sym_analytics_clause,
    ACTIONS(1362), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [215611] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7954), 1,
      sym_analytics_clause,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [215661] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7893), 1,
      sym_analytics_clause,
    ACTIONS(1464), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [215711] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6518), 1,
      sym_analytics_clause,
    ACTIONS(1498), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1496), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [215761] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7375), 1,
      aux_sym__keyword_as_token1,
    STATE(15105), 1,
      sym__keyword_as,
    ACTIONS(1476), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1474), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [215811] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6510), 1,
      sym_analytics_clause,
    ACTIONS(1502), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1500), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [215861] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6871), 1,
      sym_analytics_clause,
    ACTIONS(1428), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1426), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [215911] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7913), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [215961] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6509), 1,
      sym_analytics_clause,
    ACTIONS(1506), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1504), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [216011] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6505), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [216061] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6499), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [216111] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6495), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [216161] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6494), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [216211] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7885), 1,
      sym_analytics_clause,
    ACTIONS(1448), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1446), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [216261] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6891), 1,
      sym_analytics_clause,
    ACTIONS(1424), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1422), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [216311] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7887), 1,
      sym_analytics_clause,
    ACTIONS(1448), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1446), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [216361] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6442), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [216411] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6438), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [216461] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7950), 1,
      sym_analytics_clause,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [216511] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6426), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [216561] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7946), 1,
      sym_analytics_clause,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [216611] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6896), 1,
      sym_analytics_clause,
    ACTIONS(1420), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [216661] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7941), 1,
      sym_analytics_clause,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [216711] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6424), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [216761] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7888), 1,
      sym_analytics_clause,
    ACTIONS(1444), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [216811] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6415), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [216861] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6358), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [216911] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7889), 1,
      sym_analytics_clause,
    ACTIONS(1444), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [216961] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6362), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [217011] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6364), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [217061] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7932), 1,
      sym_analytics_clause,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [217111] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6957), 1,
      sym_analytics_clause,
    ACTIONS(1420), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [217161] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7927), 1,
      sym_analytics_clause,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [217211] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6958), 1,
      sym_analytics_clause,
    ACTIONS(1420), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [217261] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6366), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [217311] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7890), 1,
      sym_analytics_clause,
    ACTIONS(1444), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [217361] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6966), 1,
      sym_analytics_clause,
    ACTIONS(1420), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [217411] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6367), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [217461] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7926), 1,
      sym_analytics_clause,
    ACTIONS(1486), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1484), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [217511] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7891), 1,
      sym_analytics_clause,
    ACTIONS(1444), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [217561] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6370), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [217611] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7925), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [217661] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6973), 1,
      sym_analytics_clause,
    ACTIONS(1420), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [217711] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6376), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [217761] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7924), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [217811] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6383), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [217861] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(6977), 1,
      sym_analytics_clause,
    ACTIONS(1420), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [217911] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7922), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [217961] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6386), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [218011] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6387), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [218061] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7957), 1,
      sym_analytics_clause,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [218111] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7894), 1,
      sym_analytics_clause,
    ACTIONS(1464), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [218161] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6389), 1,
      sym_analytics_clause,
    ACTIONS(1396), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1394), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [218211] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7919), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [218261] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7918), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [218311] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7896), 1,
      sym_analytics_clause,
    ACTIONS(1464), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [218361] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7897), 1,
      sym_analytics_clause,
    ACTIONS(1464), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [218411] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6539), 1,
      sym_analytics_clause,
    ACTIONS(1400), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1398), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [218461] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7898), 1,
      sym_analytics_clause,
    ACTIONS(1464), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [218511] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7911), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [218561] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6396), 1,
      sym_analytics_clause,
    ACTIONS(1400), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1398), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [218611] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(7031), 1,
      sym_analytics_clause,
    ACTIONS(1420), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [218661] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7899), 1,
      sym_analytics_clause,
    ACTIONS(1464), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [218711] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7909), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [218761] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(7035), 1,
      sym_analytics_clause,
    ACTIONS(1420), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [218811] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7908), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [218861] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6398), 1,
      sym_analytics_clause,
    ACTIONS(1400), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1398), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [218911] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7906), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [218961] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7900), 1,
      sym_analytics_clause,
    ACTIONS(1464), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [219011] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7905), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [219061] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(7042), 1,
      sym_analytics_clause,
    ACTIONS(1420), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [219111] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6400), 1,
      sym_analytics_clause,
    ACTIONS(1400), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1398), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [219161] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6408), 1,
      sym_analytics_clause,
    ACTIONS(1400), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1398), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [219211] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7901), 1,
      sym_analytics_clause,
    ACTIONS(1376), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1374), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [219261] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      aux_sym_analytics_clause_token1,
    STATE(7056), 1,
      sym_analytics_clause,
    ACTIONS(1420), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [219311] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7904), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [219361] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7903), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [219411] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6412), 1,
      sym_analytics_clause,
    ACTIONS(1408), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1406), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [219461] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7902), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [219511] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6417), 1,
      sym_analytics_clause,
    ACTIONS(1412), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1410), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [219561] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7902), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [219611] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7901), 1,
      sym_analytics_clause,
    ACTIONS(1376), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1374), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [219661] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7903), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [219711] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6419), 1,
      sym_analytics_clause,
    ACTIONS(1416), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1414), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [219761] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7900), 1,
      sym_analytics_clause,
    ACTIONS(1464), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [219811] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7904), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [219861] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7899), 1,
      sym_analytics_clause,
    ACTIONS(1464), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [219911] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7898), 1,
      sym_analytics_clause,
    ACTIONS(1464), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [219961] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7905), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [220011] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7897), 1,
      sym_analytics_clause,
    ACTIONS(1464), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [220061] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7906), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [220111] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7908), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [220161] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7896), 1,
      sym_analytics_clause,
    ACTIONS(1464), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [220211] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6425), 1,
      sym_analytics_clause,
    ACTIONS(1420), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [220261] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7909), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [220311] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7894), 1,
      sym_analytics_clause,
    ACTIONS(1464), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [220361] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6430), 1,
      sym_analytics_clause,
    ACTIONS(1420), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [220411] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(7377), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(15778), 1,
      aux_sym_set_statement_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [220513] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7911), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [220563] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7913), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [220613] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7760), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [220663] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7893), 1,
      sym_analytics_clause,
    ACTIONS(1464), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [220713] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7891), 1,
      sym_analytics_clause,
    ACTIONS(1444), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [220763] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7918), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [220813] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7919), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [220863] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7890), 1,
      sym_analytics_clause,
    ACTIONS(1444), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [220913] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6436), 1,
      sym_analytics_clause,
    ACTIONS(1420), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [220963] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(7379), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(15260), 1,
      aux_sym_set_statement_repeat1,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [221065] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7889), 1,
      sym_analytics_clause,
    ACTIONS(1444), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [221115] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7922), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [221165] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7888), 1,
      sym_analytics_clause,
    ACTIONS(1444), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [221215] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6437), 1,
      sym_analytics_clause,
    ACTIONS(1420), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [221265] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6453), 1,
      sym_analytics_clause,
    ACTIONS(1420), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [221315] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7924), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [221365] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6458), 1,
      sym_analytics_clause,
    ACTIONS(1420), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [221415] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7925), 1,
      sym_analytics_clause,
    ACTIONS(1356), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [221465] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7887), 1,
      sym_analytics_clause,
    ACTIONS(1448), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1446), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [221515] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7926), 1,
      sym_analytics_clause,
    ACTIONS(1486), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1484), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [221565] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7927), 1,
      sym_analytics_clause,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [221615] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7932), 1,
      sym_analytics_clause,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [221665] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7941), 1,
      sym_analytics_clause,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [221715] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7946), 1,
      sym_analytics_clause,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [221765] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      aux_sym_analytics_clause_token1,
    STATE(7885), 1,
      sym_analytics_clause,
    ACTIONS(1448), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1446), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [221815] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7381), 1,
      aux_sym__keyword_as_token1,
    STATE(14853), 1,
      sym__keyword_as,
    ACTIONS(1476), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1474), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [221865] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7950), 1,
      sym_analytics_clause,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [221915] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7953), 1,
      sym_analytics_clause,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [221965] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6393), 1,
      sym_analytics_clause,
    ACTIONS(1420), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [222015] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7954), 1,
      sym_analytics_clause,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [222065] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7955), 1,
      sym_analytics_clause,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [222115] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6546), 1,
      sym_analytics_clause,
    ACTIONS(1420), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [222165] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5236), 1,
      aux_sym__keyword_as_token1,
    STATE(9822), 1,
      sym_option_clause,
    STATE(12579), 1,
      sym__keyword_as,
    ACTIONS(4310), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [222217] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7965), 1,
      sym_analytics_clause,
    ACTIONS(1388), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1386), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [222267] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7961), 1,
      sym_analytics_clause,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [222317] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7962), 1,
      sym_analytics_clause,
    ACTIONS(1380), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [222367] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7968), 1,
      sym_analytics_clause,
    ACTIONS(1392), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1390), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [222417] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6564), 1,
      sym_analytics_clause,
    ACTIONS(1456), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1454), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [222467] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7974), 1,
      sym_analytics_clause,
    ACTIONS(1384), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1382), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [222517] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6552), 1,
      sym_analytics_clause,
    ACTIONS(1420), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [222567] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7767), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [222617] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7975), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [222667] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7979), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [222717] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(6067), 1,
      aux_sym__keyword_as_token1,
    STATE(9821), 1,
      sym_option_clause,
    STATE(12237), 1,
      sym__keyword_as,
    ACTIONS(4979), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [222769] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6520), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [222819] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7985), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [222869] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7990), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [222919] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7996), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [222969] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7997), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [223019] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6565), 1,
      sym_analytics_clause,
    ACTIONS(1420), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [223069] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(8002), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [223119] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(8003), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [223169] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7768), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [223219] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(8012), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [223269] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(8013), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [223319] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(6057), 1,
      aux_sym__keyword_as_token1,
    STATE(9756), 1,
      sym_option_clause,
    STATE(12236), 1,
      sym__keyword_as,
    ACTIONS(4911), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [223371] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(8014), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [223421] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6570), 1,
      sym_analytics_clause,
    ACTIONS(1424), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1422), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [223471] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(8018), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [223521] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6579), 1,
      sym_analytics_clause,
    ACTIONS(1428), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1426), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [223571] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6584), 1,
      sym_analytics_clause,
    ACTIONS(1432), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1430), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [223621] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(8019), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [223671] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(8016), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [223721] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7989), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [223771] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7988), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [223821] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7987), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [223871] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7986), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [223921] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7984), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [223971] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7980), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [224021] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7971), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [224071] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7967), 1,
      sym_analytics_clause,
    ACTIONS(1366), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [224121] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6588), 1,
      sym_analytics_clause,
    ACTIONS(1436), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1434), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [224171] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7661), 1,
      sym_analytics_clause,
    ACTIONS(1436), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1434), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [224221] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7964), 1,
      sym_analytics_clause,
    ACTIONS(1362), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [224271] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7959), 1,
      sym_analytics_clause,
    ACTIONS(1362), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [224321] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7956), 1,
      sym_analytics_clause,
    ACTIONS(1362), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [224371] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7772), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [224421] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7952), 1,
      sym_analytics_clause,
    ACTIONS(1362), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [224471] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(7383), 1,
      aux_sym__keyword_as_token1,
    STATE(9792), 1,
      sym_option_clause,
    STATE(12468), 1,
      sym__keyword_as,
    ACTIONS(5646), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [224523] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7774), 1,
      sym_analytics_clause,
    ACTIONS(1372), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [224573] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6589), 1,
      sym_analytics_clause,
    ACTIONS(1440), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1438), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [224623] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7949), 1,
      sym_analytics_clause,
    ACTIONS(1362), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [224673] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7882), 1,
      sym_analytics_clause,
    ACTIONS(1362), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [224723] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7881), 1,
      sym_analytics_clause,
    ACTIONS(1362), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [224773] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7872), 1,
      sym_analytics_clause,
    ACTIONS(1362), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [224823] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7859), 1,
      sym_analytics_clause,
    ACTIONS(1362), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [224873] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7976), 1,
      sym_analytics_clause,
    ACTIONS(1362), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [224923] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7813), 1,
      sym_analytics_clause,
    ACTIONS(1498), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1496), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [224973] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5350), 1,
      aux_sym__keyword_for_token1,
    STATE(875), 1,
      sym__keyword_system_as_of,
    STATE(7437), 1,
      sym_system_time_clause,
    STATE(8026), 1,
      sym_option_clause,
    ACTIONS(5620), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [225027] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6572), 1,
      sym_analytics_clause,
    ACTIONS(1452), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1450), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [225077] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7798), 1,
      sym_analytics_clause,
    ACTIONS(1502), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1500), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [225127] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4715), 1,
      aux_sym__keyword_as_token1,
    STATE(9807), 1,
      sym_option_clause,
    STATE(12567), 1,
      sym__keyword_as,
    ACTIONS(4143), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [225179] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      aux_sym_analytics_clause_token1,
    STATE(6487), 1,
      sym_analytics_clause,
    ACTIONS(1452), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1450), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [225229] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7782), 1,
      sym_analytics_clause,
    ACTIONS(1506), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1504), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [225279] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(9962), 1,
      sym_analytics_clause,
    ACTIONS(1420), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [225328] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6927), 1,
      sym_analytics_clause,
    ACTIONS(1462), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [225377] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10518), 1,
      sym_analytics_clause,
    ACTIONS(1356), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [225426] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(6617), 1,
      anon_sym_LBRACK,
    ACTIONS(6619), 1,
      anon_sym_DOT2,
    ACTIONS(7391), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7393), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7397), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7399), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(7403), 1,
      anon_sym_PLUS,
    ACTIONS(7405), 1,
      anon_sym_DASH,
    ACTIONS(7409), 1,
      anon_sym_SLASH,
    ACTIONS(7413), 1,
      anon_sym_AMP,
    ACTIONS(7415), 1,
      anon_sym_CARET,
    ACTIONS(7417), 1,
      anon_sym_PIPE,
    STATE(1098), 1,
      sym__keyword_in,
    STATE(1109), 1,
      sym__keyword_and,
    STATE(1111), 1,
      sym__keyword_or,
    STATE(1823), 1,
      sym__keyword_between,
    STATE(12094), 1,
      sym__keyword_is,
    STATE(12744), 1,
      sym__keyword_as,
    STATE(13164), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16327), 1,
      sym_like_operator,
    STATE(16328), 1,
      sym_quantitve_like_operator,
    ACTIONS(7401), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7407), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7411), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7395), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [225525] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(6617), 1,
      anon_sym_LBRACK,
    ACTIONS(6619), 1,
      anon_sym_DOT2,
    ACTIONS(7391), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7393), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7397), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7403), 1,
      anon_sym_PLUS,
    ACTIONS(7405), 1,
      anon_sym_DASH,
    ACTIONS(7409), 1,
      anon_sym_SLASH,
    ACTIONS(7413), 1,
      anon_sym_AMP,
    ACTIONS(7415), 1,
      anon_sym_CARET,
    ACTIONS(7417), 1,
      anon_sym_PIPE,
    ACTIONS(7419), 1,
      aux_sym__keyword_as_token1,
    STATE(1098), 1,
      sym__keyword_in,
    STATE(1109), 1,
      sym__keyword_and,
    STATE(1111), 1,
      sym__keyword_or,
    STATE(1823), 1,
      sym__keyword_between,
    STATE(12094), 1,
      sym__keyword_is,
    STATE(12358), 1,
      sym__keyword_as,
    STATE(13164), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16327), 1,
      sym_like_operator,
    STATE(16328), 1,
      sym_quantitve_like_operator,
    ACTIONS(7401), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7407), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7411), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7395), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [225624] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(6617), 1,
      anon_sym_LBRACK,
    ACTIONS(6619), 1,
      anon_sym_DOT2,
    ACTIONS(7391), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7393), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7397), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7403), 1,
      anon_sym_PLUS,
    ACTIONS(7405), 1,
      anon_sym_DASH,
    ACTIONS(7409), 1,
      anon_sym_SLASH,
    ACTIONS(7413), 1,
      anon_sym_AMP,
    ACTIONS(7415), 1,
      anon_sym_CARET,
    ACTIONS(7417), 1,
      anon_sym_PIPE,
    ACTIONS(7421), 1,
      aux_sym__keyword_as_token1,
    STATE(1098), 1,
      sym__keyword_in,
    STATE(1109), 1,
      sym__keyword_and,
    STATE(1111), 1,
      sym__keyword_or,
    STATE(1823), 1,
      sym__keyword_between,
    STATE(12094), 1,
      sym__keyword_is,
    STATE(12693), 1,
      sym__keyword_as,
    STATE(13164), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16327), 1,
      sym_like_operator,
    STATE(16328), 1,
      sym_quantitve_like_operator,
    ACTIONS(7401), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7407), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7411), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7395), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [225723] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(6617), 1,
      anon_sym_LBRACK,
    ACTIONS(6619), 1,
      anon_sym_DOT2,
    ACTIONS(7391), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7393), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7397), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7403), 1,
      anon_sym_PLUS,
    ACTIONS(7405), 1,
      anon_sym_DASH,
    ACTIONS(7409), 1,
      anon_sym_SLASH,
    ACTIONS(7413), 1,
      anon_sym_AMP,
    ACTIONS(7415), 1,
      anon_sym_CARET,
    ACTIONS(7417), 1,
      anon_sym_PIPE,
    ACTIONS(7423), 1,
      aux_sym__keyword_as_token1,
    STATE(1098), 1,
      sym__keyword_in,
    STATE(1109), 1,
      sym__keyword_and,
    STATE(1111), 1,
      sym__keyword_or,
    STATE(1823), 1,
      sym__keyword_between,
    STATE(12094), 1,
      sym__keyword_is,
    STATE(12721), 1,
      sym__keyword_as,
    STATE(13164), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16327), 1,
      sym_like_operator,
    STATE(16328), 1,
      sym_quantitve_like_operator,
    ACTIONS(7401), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7407), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7411), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7395), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [225822] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(6617), 1,
      anon_sym_LBRACK,
    ACTIONS(6619), 1,
      anon_sym_DOT2,
    ACTIONS(7391), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7393), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7397), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7403), 1,
      anon_sym_PLUS,
    ACTIONS(7405), 1,
      anon_sym_DASH,
    ACTIONS(7409), 1,
      anon_sym_SLASH,
    ACTIONS(7413), 1,
      anon_sym_AMP,
    ACTIONS(7415), 1,
      anon_sym_CARET,
    ACTIONS(7417), 1,
      anon_sym_PIPE,
    ACTIONS(7425), 1,
      aux_sym__keyword_as_token1,
    STATE(1098), 1,
      sym__keyword_in,
    STATE(1109), 1,
      sym__keyword_and,
    STATE(1111), 1,
      sym__keyword_or,
    STATE(1823), 1,
      sym__keyword_between,
    STATE(12094), 1,
      sym__keyword_is,
    STATE(12729), 1,
      sym__keyword_as,
    STATE(13164), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16327), 1,
      sym_like_operator,
    STATE(16328), 1,
      sym_quantitve_like_operator,
    ACTIONS(7401), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7407), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7411), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7395), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [225921] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6826), 1,
      sym_analytics_clause,
    ACTIONS(1402), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1404), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [225970] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10520), 1,
      sym_analytics_clause,
    ACTIONS(1376), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1374), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [226019] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(6617), 1,
      anon_sym_LBRACK,
    ACTIONS(6619), 1,
      anon_sym_DOT2,
    ACTIONS(7391), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7393), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7397), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7403), 1,
      anon_sym_PLUS,
    ACTIONS(7405), 1,
      anon_sym_DASH,
    ACTIONS(7409), 1,
      anon_sym_SLASH,
    ACTIONS(7413), 1,
      anon_sym_AMP,
    ACTIONS(7415), 1,
      anon_sym_CARET,
    ACTIONS(7417), 1,
      anon_sym_PIPE,
    ACTIONS(7427), 1,
      aux_sym__keyword_as_token1,
    STATE(1098), 1,
      sym__keyword_in,
    STATE(1109), 1,
      sym__keyword_and,
    STATE(1111), 1,
      sym__keyword_or,
    STATE(1823), 1,
      sym__keyword_between,
    STATE(12094), 1,
      sym__keyword_is,
    STATE(12734), 1,
      sym__keyword_as,
    STATE(13164), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16327), 1,
      sym_like_operator,
    STATE(16328), 1,
      sym_quantitve_like_operator,
    ACTIONS(7401), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7407), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7411), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7395), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [226118] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10036), 1,
      sym_analytics_clause,
    ACTIONS(1446), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1448), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [226167] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(6617), 1,
      anon_sym_LBRACK,
    ACTIONS(6619), 1,
      anon_sym_DOT2,
    ACTIONS(7391), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7393), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7397), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7403), 1,
      anon_sym_PLUS,
    ACTIONS(7405), 1,
      anon_sym_DASH,
    ACTIONS(7409), 1,
      anon_sym_SLASH,
    ACTIONS(7413), 1,
      anon_sym_AMP,
    ACTIONS(7415), 1,
      anon_sym_CARET,
    ACTIONS(7417), 1,
      anon_sym_PIPE,
    ACTIONS(7431), 1,
      aux_sym__keyword_as_token1,
    STATE(1098), 1,
      sym__keyword_in,
    STATE(1109), 1,
      sym__keyword_and,
    STATE(1111), 1,
      sym__keyword_or,
    STATE(1823), 1,
      sym__keyword_between,
    STATE(12094), 1,
      sym__keyword_is,
    STATE(12767), 1,
      sym__keyword_as,
    STATE(13164), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16327), 1,
      sym_like_operator,
    STATE(16328), 1,
      sym_quantitve_like_operator,
    ACTIONS(7401), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7407), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7411), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7395), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [226266] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(7090), 1,
      sym_analytics_clause,
    ACTIONS(1446), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1448), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [226315] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10037), 1,
      sym_analytics_clause,
    ACTIONS(1446), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1448), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [226364] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10038), 1,
      sym_analytics_clause,
    ACTIONS(1442), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [226413] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10039), 1,
      sym_analytics_clause,
    ACTIONS(1442), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [226462] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10040), 1,
      sym_analytics_clause,
    ACTIONS(1442), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [226511] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10041), 1,
      sym_analytics_clause,
    ACTIONS(1442), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [226560] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10042), 1,
      sym_analytics_clause,
    ACTIONS(1462), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [226609] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10043), 1,
      sym_analytics_clause,
    ACTIONS(1462), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [226658] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10044), 1,
      sym_analytics_clause,
    ACTIONS(1462), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [226707] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10045), 1,
      sym_analytics_clause,
    ACTIONS(1462), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [226756] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6828), 1,
      sym_analytics_clause,
    ACTIONS(1446), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1448), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [226805] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10046), 1,
      sym_analytics_clause,
    ACTIONS(1462), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [226854] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10047), 1,
      sym_analytics_clause,
    ACTIONS(1462), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [226903] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10048), 1,
      sym_analytics_clause,
    ACTIONS(1462), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [226952] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10049), 1,
      sym_analytics_clause,
    ACTIONS(1374), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1376), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [227001] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(6617), 1,
      anon_sym_LBRACK,
    ACTIONS(6619), 1,
      anon_sym_DOT2,
    ACTIONS(7391), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7393), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7397), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7403), 1,
      anon_sym_PLUS,
    ACTIONS(7405), 1,
      anon_sym_DASH,
    ACTIONS(7409), 1,
      anon_sym_SLASH,
    ACTIONS(7413), 1,
      anon_sym_AMP,
    ACTIONS(7415), 1,
      anon_sym_CARET,
    ACTIONS(7417), 1,
      anon_sym_PIPE,
    ACTIONS(7433), 1,
      aux_sym__keyword_as_token1,
    STATE(1098), 1,
      sym__keyword_in,
    STATE(1109), 1,
      sym__keyword_and,
    STATE(1111), 1,
      sym__keyword_or,
    STATE(1823), 1,
      sym__keyword_between,
    STATE(12094), 1,
      sym__keyword_is,
    STATE(12797), 1,
      sym__keyword_as,
    STATE(13164), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16327), 1,
      sym_like_operator,
    STATE(16328), 1,
      sym_quantitve_like_operator,
    ACTIONS(7401), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7407), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7411), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7395), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [227100] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10050), 1,
      sym_analytics_clause,
    ACTIONS(1354), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [227149] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6939), 1,
      sym_analytics_clause,
    ACTIONS(1442), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [227198] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(9960), 1,
      sym_analytics_clause,
    ACTIONS(1420), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [227247] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10052), 1,
      sym_analytics_clause,
    ACTIONS(1354), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [227296] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10053), 1,
      sym_analytics_clause,
    ACTIONS(1354), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [227345] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10054), 1,
      sym_analytics_clause,
    ACTIONS(1354), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [227394] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10055), 1,
      sym_analytics_clause,
    ACTIONS(1354), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [227443] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(6617), 1,
      anon_sym_LBRACK,
    ACTIONS(6619), 1,
      anon_sym_DOT2,
    ACTIONS(7391), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7393), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7397), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7403), 1,
      anon_sym_PLUS,
    ACTIONS(7405), 1,
      anon_sym_DASH,
    ACTIONS(7409), 1,
      anon_sym_SLASH,
    ACTIONS(7413), 1,
      anon_sym_AMP,
    ACTIONS(7415), 1,
      anon_sym_CARET,
    ACTIONS(7417), 1,
      anon_sym_PIPE,
    ACTIONS(7435), 1,
      aux_sym__keyword_as_token1,
    STATE(1098), 1,
      sym__keyword_in,
    STATE(1109), 1,
      sym__keyword_and,
    STATE(1111), 1,
      sym__keyword_or,
    STATE(1823), 1,
      sym__keyword_between,
    STATE(12094), 1,
      sym__keyword_is,
    STATE(12813), 1,
      sym__keyword_as,
    STATE(13164), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16327), 1,
      sym_like_operator,
    STATE(16328), 1,
      sym_quantitve_like_operator,
    ACTIONS(7401), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7407), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7411), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7395), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [227542] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10181), 1,
      sym_analytics_clause,
    ACTIONS(1492), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1494), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [227591] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10180), 1,
      sym_analytics_clause,
    ACTIONS(1488), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1490), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [227640] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10176), 1,
      sym_analytics_clause,
    ACTIONS(1480), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1482), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [227689] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10056), 1,
      sym_analytics_clause,
    ACTIONS(1354), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [227738] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10057), 1,
      sym_analytics_clause,
    ACTIONS(1354), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [227787] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(6617), 1,
      anon_sym_LBRACK,
    ACTIONS(6619), 1,
      anon_sym_DOT2,
    ACTIONS(7391), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7393), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7397), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7403), 1,
      anon_sym_PLUS,
    ACTIONS(7405), 1,
      anon_sym_DASH,
    ACTIONS(7409), 1,
      anon_sym_SLASH,
    ACTIONS(7413), 1,
      anon_sym_AMP,
    ACTIONS(7415), 1,
      anon_sym_CARET,
    ACTIONS(7417), 1,
      anon_sym_PIPE,
    ACTIONS(7437), 1,
      aux_sym__keyword_as_token1,
    STATE(1098), 1,
      sym__keyword_in,
    STATE(1109), 1,
      sym__keyword_and,
    STATE(1111), 1,
      sym__keyword_or,
    STATE(1823), 1,
      sym__keyword_between,
    STATE(12094), 1,
      sym__keyword_is,
    STATE(12825), 1,
      sym__keyword_as,
    STATE(13164), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16327), 1,
      sym_like_operator,
    STATE(16328), 1,
      sym_quantitve_like_operator,
    ACTIONS(7401), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7407), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7411), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7395), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [227886] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10058), 1,
      sym_analytics_clause,
    ACTIONS(1354), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [227935] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10059), 1,
      sym_analytics_clause,
    ACTIONS(1354), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [227984] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(9888), 1,
      sym_analytics_clause,
    ACTIONS(1354), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [228033] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10060), 1,
      sym_analytics_clause,
    ACTIONS(1354), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [228082] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10061), 1,
      sym_analytics_clause,
    ACTIONS(1354), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [228131] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6930), 1,
      sym_analytics_clause,
    ACTIONS(1442), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [228180] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10062), 1,
      sym_analytics_clause,
    ACTIONS(1354), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [228229] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6929), 1,
      sym_analytics_clause,
    ACTIONS(1442), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [228278] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10063), 1,
      sym_analytics_clause,
    ACTIONS(1484), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1486), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [228327] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6928), 1,
      sym_analytics_clause,
    ACTIONS(1442), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [228376] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(9961), 1,
      sym_analytics_clause,
    ACTIONS(1420), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [228425] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7439), 1,
      anon_sym_COMMA,
    STATE(9168), 1,
      aux_sym_declare_statement_repeat1,
    ACTIONS(6009), 35,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [228472] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6926), 1,
      sym_analytics_clause,
    ACTIONS(1462), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [228521] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10064), 1,
      sym_analytics_clause,
    ACTIONS(1378), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [228570] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(6617), 1,
      anon_sym_LBRACK,
    ACTIONS(6619), 1,
      anon_sym_DOT2,
    ACTIONS(7391), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7393), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7397), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7403), 1,
      anon_sym_PLUS,
    ACTIONS(7405), 1,
      anon_sym_DASH,
    ACTIONS(7409), 1,
      anon_sym_SLASH,
    ACTIONS(7413), 1,
      anon_sym_AMP,
    ACTIONS(7415), 1,
      anon_sym_CARET,
    ACTIONS(7417), 1,
      anon_sym_PIPE,
    ACTIONS(7441), 1,
      aux_sym__keyword_as_token1,
    STATE(1098), 1,
      sym__keyword_in,
    STATE(1109), 1,
      sym__keyword_and,
    STATE(1111), 1,
      sym__keyword_or,
    STATE(1823), 1,
      sym__keyword_between,
    STATE(12094), 1,
      sym__keyword_is,
    STATE(12839), 1,
      sym__keyword_as,
    STATE(13164), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16327), 1,
      sym_like_operator,
    STATE(16328), 1,
      sym_quantitve_like_operator,
    ACTIONS(7401), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7407), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7411), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7395), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [228669] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10065), 1,
      sym_analytics_clause,
    ACTIONS(1378), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [228718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1510), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1508), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [228763] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10066), 1,
      sym_analytics_clause,
    ACTIONS(1378), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [228812] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10067), 1,
      sym_analytics_clause,
    ACTIONS(1378), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [228861] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10068), 1,
      sym_analytics_clause,
    ACTIONS(1378), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [228910] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10069), 1,
      sym_analytics_clause,
    ACTIONS(1378), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [228959] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(6617), 1,
      anon_sym_LBRACK,
    ACTIONS(6619), 1,
      anon_sym_DOT2,
    ACTIONS(7391), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7393), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7397), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7403), 1,
      anon_sym_PLUS,
    ACTIONS(7405), 1,
      anon_sym_DASH,
    ACTIONS(7409), 1,
      anon_sym_SLASH,
    ACTIONS(7413), 1,
      anon_sym_AMP,
    ACTIONS(7415), 1,
      anon_sym_CARET,
    ACTIONS(7417), 1,
      anon_sym_PIPE,
    ACTIONS(7443), 1,
      aux_sym__keyword_as_token1,
    STATE(1098), 1,
      sym__keyword_in,
    STATE(1109), 1,
      sym__keyword_and,
    STATE(1111), 1,
      sym__keyword_or,
    STATE(1823), 1,
      sym__keyword_between,
    STATE(12094), 1,
      sym__keyword_is,
    STATE(12371), 1,
      sym__keyword_as,
    STATE(13164), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16327), 1,
      sym_like_operator,
    STATE(16328), 1,
      sym_quantitve_like_operator,
    ACTIONS(7401), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7407), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7411), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7395), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [229058] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6924), 1,
      sym_analytics_clause,
    ACTIONS(1462), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [229107] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10070), 1,
      sym_analytics_clause,
    ACTIONS(1378), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [229156] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10171), 1,
      sym_analytics_clause,
    ACTIONS(1470), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1472), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [229205] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7445), 1,
      anon_sym_LPAREN,
    ACTIONS(1624), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1622), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [229252] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(6617), 1,
      anon_sym_LBRACK,
    ACTIONS(6619), 1,
      anon_sym_DOT2,
    ACTIONS(7391), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7393), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7397), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7403), 1,
      anon_sym_PLUS,
    ACTIONS(7405), 1,
      anon_sym_DASH,
    ACTIONS(7409), 1,
      anon_sym_SLASH,
    ACTIONS(7413), 1,
      anon_sym_AMP,
    ACTIONS(7415), 1,
      anon_sym_CARET,
    ACTIONS(7417), 1,
      anon_sym_PIPE,
    ACTIONS(7447), 1,
      aux_sym__keyword_as_token1,
    STATE(1098), 1,
      sym__keyword_in,
    STATE(1109), 1,
      sym__keyword_and,
    STATE(1111), 1,
      sym__keyword_or,
    STATE(1823), 1,
      sym__keyword_between,
    STATE(12094), 1,
      sym__keyword_is,
    STATE(12234), 1,
      sym__keyword_as,
    STATE(13164), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16327), 1,
      sym_like_operator,
    STATE(16328), 1,
      sym_quantitve_like_operator,
    ACTIONS(7401), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7407), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7411), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7395), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [229351] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10170), 1,
      sym_analytics_clause,
    ACTIONS(1466), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1468), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [229400] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10519), 1,
      sym_analytics_clause,
    ACTIONS(1356), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [229449] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(6617), 1,
      anon_sym_LBRACK,
    ACTIONS(6619), 1,
      anon_sym_DOT2,
    ACTIONS(7391), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7393), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7397), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7403), 1,
      anon_sym_PLUS,
    ACTIONS(7405), 1,
      anon_sym_DASH,
    ACTIONS(7409), 1,
      anon_sym_SLASH,
    ACTIONS(7413), 1,
      anon_sym_AMP,
    ACTIONS(7415), 1,
      anon_sym_CARET,
    ACTIONS(7417), 1,
      anon_sym_PIPE,
    ACTIONS(7449), 1,
      aux_sym__keyword_as_token1,
    STATE(1098), 1,
      sym__keyword_in,
    STATE(1109), 1,
      sym__keyword_and,
    STATE(1111), 1,
      sym__keyword_or,
    STATE(1823), 1,
      sym__keyword_between,
    STATE(12094), 1,
      sym__keyword_is,
    STATE(12161), 1,
      sym__keyword_as,
    STATE(13164), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16327), 1,
      sym_like_operator,
    STATE(16328), 1,
      sym_quantitve_like_operator,
    ACTIONS(7401), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7407), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7411), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7395), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [229548] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10169), 1,
      sym_analytics_clause,
    ACTIONS(1458), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1460), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [229597] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10167), 1,
      sym_analytics_clause,
    ACTIONS(1454), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1456), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [229646] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10164), 1,
      sym_analytics_clause,
    ACTIONS(1450), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1452), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [229695] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10071), 1,
      sym_analytics_clause,
    ACTIONS(1378), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [229744] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7451), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [229841] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10072), 1,
      sym_analytics_clause,
    ACTIONS(1378), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [229890] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6889), 1,
      sym_analytics_clause,
    ACTIONS(1462), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [229939] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10073), 1,
      sym_analytics_clause,
    ACTIONS(1378), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [229988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7455), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7453), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [230033] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10074), 1,
      sym_analytics_clause,
    ACTIONS(1378), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [230082] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10075), 1,
      sym_analytics_clause,
    ACTIONS(1390), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1392), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [230131] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10076), 1,
      sym_analytics_clause,
    ACTIONS(1382), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1384), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [230180] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1508), 4,
      anon_sym_COMMA,
      aux_sym_set_statement_token2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(1510), 33,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_struct_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_array_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_partition_by_token1,
      aux_sym_set_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_clone_clause_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_alter_table_rename_statement_token1,
      aux_sym_alter_table_rename_statement_token2,
      aux_sym_add_column_action_token1,
      aux_sym_foreign_key_token1,
      aux_sym_partition_expression_token5,
      aux_sym_partition_expression_token6,
      aux_sym_partition_expression_token7,
      aux_sym_partition_expression_token8,
      aux_sym_partition_expression_token10,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_condition_token1,
      aux_sym_function_call_token1,
      aux_sym_values_clause_token1,
      sym__unquoted_identifier,
  [230225] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(6617), 1,
      anon_sym_LBRACK,
    ACTIONS(6619), 1,
      anon_sym_DOT2,
    ACTIONS(7391), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7393), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7397), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7403), 1,
      anon_sym_PLUS,
    ACTIONS(7405), 1,
      anon_sym_DASH,
    ACTIONS(7409), 1,
      anon_sym_SLASH,
    ACTIONS(7413), 1,
      anon_sym_AMP,
    ACTIONS(7415), 1,
      anon_sym_CARET,
    ACTIONS(7417), 1,
      anon_sym_PIPE,
    ACTIONS(7457), 1,
      aux_sym__keyword_as_token1,
    STATE(1098), 1,
      sym__keyword_in,
    STATE(1109), 1,
      sym__keyword_and,
    STATE(1111), 1,
      sym__keyword_or,
    STATE(1823), 1,
      sym__keyword_between,
    STATE(12094), 1,
      sym__keyword_is,
    STATE(12252), 1,
      sym__keyword_as,
    STATE(13164), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16327), 1,
      sym_like_operator,
    STATE(16328), 1,
      sym_quantitve_like_operator,
    ACTIONS(7401), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7407), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7411), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7395), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [230324] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10352), 1,
      sym_analytics_clause,
    ACTIONS(1404), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1402), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [230373] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(6617), 1,
      anon_sym_LBRACK,
    ACTIONS(6619), 1,
      anon_sym_DOT2,
    ACTIONS(7391), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7393), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7397), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7403), 1,
      anon_sym_PLUS,
    ACTIONS(7405), 1,
      anon_sym_DASH,
    ACTIONS(7409), 1,
      anon_sym_SLASH,
    ACTIONS(7413), 1,
      anon_sym_AMP,
    ACTIONS(7415), 1,
      anon_sym_CARET,
    ACTIONS(7417), 1,
      anon_sym_PIPE,
    ACTIONS(7459), 1,
      aux_sym__keyword_as_token1,
    STATE(1098), 1,
      sym__keyword_in,
    STATE(1109), 1,
      sym__keyword_and,
    STATE(1111), 1,
      sym__keyword_or,
    STATE(1823), 1,
      sym__keyword_between,
    STATE(12094), 1,
      sym__keyword_is,
    STATE(12362), 1,
      sym__keyword_as,
    STATE(13164), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16327), 1,
      sym_like_operator,
    STATE(16328), 1,
      sym_quantitve_like_operator,
    ACTIONS(7401), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7407), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7411), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7395), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [230472] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10077), 1,
      sym_analytics_clause,
    ACTIONS(1364), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [230521] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7461), 1,
      anon_sym_LPAREN,
    ACTIONS(1624), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1622), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [230568] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10078), 1,
      sym_analytics_clause,
    ACTIONS(1364), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [230617] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7463), 1,
      anon_sym_LPAREN,
    ACTIONS(1624), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1622), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [230664] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10079), 1,
      sym_analytics_clause,
    ACTIONS(1364), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [230713] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6921), 1,
      sym_analytics_clause,
    ACTIONS(1462), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [230762] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10080), 1,
      sym_analytics_clause,
    ACTIONS(1364), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [230811] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6920), 1,
      sym_analytics_clause,
    ACTIONS(1462), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [230860] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10082), 1,
      sym_analytics_clause,
    ACTIONS(1364), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [230909] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6918), 1,
      sym_analytics_clause,
    ACTIONS(1462), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [230958] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6916), 1,
      sym_analytics_clause,
    ACTIONS(1374), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1376), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [231007] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10083), 1,
      sym_analytics_clause,
    ACTIONS(1364), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [231056] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6864), 1,
      sym_analytics_clause,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [231105] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10084), 1,
      sym_analytics_clause,
    ACTIONS(1364), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [231154] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10085), 1,
      sym_analytics_clause,
    ACTIONS(1364), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [231203] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6863), 1,
      sym_analytics_clause,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [231252] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6859), 1,
      sym_analytics_clause,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [231301] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7465), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [231398] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10159), 1,
      sym_analytics_clause,
    ACTIONS(1450), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1452), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [231447] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10086), 1,
      sym_analytics_clause,
    ACTIONS(1364), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [231496] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10087), 1,
      sym_analytics_clause,
    ACTIONS(1364), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [231545] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6854), 1,
      sym_analytics_clause,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [231594] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10088), 1,
      sym_analytics_clause,
    ACTIONS(1364), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [231643] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10089), 1,
      sym_analytics_clause,
    ACTIONS(1364), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [231692] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10090), 1,
      sym_analytics_clause,
    ACTIONS(1364), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [231741] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7439), 1,
      anon_sym_COMMA,
    STATE(9625), 1,
      aux_sym_declare_statement_repeat1,
    ACTIONS(5793), 35,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [231788] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6851), 1,
      sym_analytics_clause,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [231837] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10091), 1,
      sym_analytics_clause,
    ACTIONS(1364), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [231886] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10081), 1,
      sym_analytics_clause,
    ACTIONS(1364), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [231935] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10093), 1,
      sym_analytics_clause,
    ACTIONS(1364), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [231984] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10094), 1,
      sym_analytics_clause,
    ACTIONS(1364), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [232033] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6850), 1,
      sym_analytics_clause,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [232082] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10095), 1,
      sym_analytics_clause,
    ACTIONS(1364), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [232131] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10096), 1,
      sym_analytics_clause,
    ACTIONS(1364), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [232180] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6849), 1,
      sym_analytics_clause,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [232229] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10097), 1,
      sym_analytics_clause,
    ACTIONS(1364), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [232278] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10098), 1,
      sym_analytics_clause,
    ACTIONS(1364), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [232327] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10020), 1,
      sym_analytics_clause,
    ACTIONS(1386), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1388), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [232376] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6836), 1,
      sym_analytics_clause,
    ACTIONS(1378), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [232425] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10100), 1,
      sym_analytics_clause,
    ACTIONS(1360), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [232474] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10101), 1,
      sym_analytics_clause,
    ACTIONS(1360), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [232523] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10102), 1,
      sym_analytics_clause,
    ACTIONS(1360), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [232572] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10103), 1,
      sym_analytics_clause,
    ACTIONS(1360), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [232621] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10104), 1,
      sym_analytics_clause,
    ACTIONS(1360), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [232670] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10105), 1,
      sym_analytics_clause,
    ACTIONS(1360), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [232719] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10106), 1,
      sym_analytics_clause,
    ACTIONS(1360), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [232768] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6846), 1,
      sym_analytics_clause,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [232817] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10107), 1,
      sym_analytics_clause,
    ACTIONS(1360), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [232866] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6845), 1,
      sym_analytics_clause,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [232915] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10108), 1,
      sym_analytics_clause,
    ACTIONS(1360), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [232964] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10109), 1,
      sym_analytics_clause,
    ACTIONS(1360), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [233013] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10110), 1,
      sym_analytics_clause,
    ACTIONS(1496), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1498), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [233062] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10521), 1,
      sym_analytics_clause,
    ACTIONS(1464), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [233111] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10111), 1,
      sym_analytics_clause,
    ACTIONS(1500), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1502), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [233160] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10112), 1,
      sym_analytics_clause,
    ACTIONS(1504), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1506), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [233209] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(6617), 1,
      anon_sym_LBRACK,
    ACTIONS(6619), 1,
      anon_sym_DOT2,
    ACTIONS(7391), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7393), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7397), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7403), 1,
      anon_sym_PLUS,
    ACTIONS(7405), 1,
      anon_sym_DASH,
    ACTIONS(7409), 1,
      anon_sym_SLASH,
    ACTIONS(7413), 1,
      anon_sym_AMP,
    ACTIONS(7415), 1,
      anon_sym_CARET,
    ACTIONS(7417), 1,
      anon_sym_PIPE,
    ACTIONS(7467), 1,
      aux_sym__keyword_as_token1,
    STATE(1098), 1,
      sym__keyword_in,
    STATE(1109), 1,
      sym__keyword_and,
    STATE(1111), 1,
      sym__keyword_or,
    STATE(1823), 1,
      sym__keyword_between,
    STATE(12094), 1,
      sym__keyword_is,
    STATE(12276), 1,
      sym__keyword_as,
    STATE(13164), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16327), 1,
      sym_like_operator,
    STATE(16328), 1,
      sym_quantitve_like_operator,
    ACTIONS(7401), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7407), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7411), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7395), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [233308] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10113), 1,
      sym_analytics_clause,
    ACTIONS(1370), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [233357] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6843), 1,
      sym_analytics_clause,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [233406] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6840), 1,
      sym_analytics_clause,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [233455] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10114), 1,
      sym_analytics_clause,
    ACTIONS(1370), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [233504] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6838), 1,
      sym_analytics_clause,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [233553] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6837), 1,
      sym_analytics_clause,
    ACTIONS(1484), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1486), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [233602] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10115), 1,
      sym_analytics_clause,
    ACTIONS(1370), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [233651] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10501), 1,
      sym_analytics_clause,
    ACTIONS(1380), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [233700] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6774), 1,
      sym_analytics_clause,
    ACTIONS(1382), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1384), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [233749] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6831), 1,
      sym_analytics_clause,
    ACTIONS(1378), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [233798] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10116), 1,
      sym_analytics_clause,
    ACTIONS(1370), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [233847] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6821), 1,
      sym_analytics_clause,
    ACTIONS(1378), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [233896] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6817), 1,
      sym_analytics_clause,
    ACTIONS(1378), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [233945] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6815), 1,
      sym_analytics_clause,
    ACTIONS(1378), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [233994] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6813), 1,
      sym_analytics_clause,
    ACTIONS(1378), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [234043] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10117), 1,
      sym_analytics_clause,
    ACTIONS(1370), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [234092] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6811), 1,
      sym_analytics_clause,
    ACTIONS(1378), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [234141] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6805), 1,
      sym_analytics_clause,
    ACTIONS(1378), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [234190] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6793), 1,
      sym_analytics_clause,
    ACTIONS(1378), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [234239] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10118), 1,
      sym_analytics_clause,
    ACTIONS(1370), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [234288] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6791), 1,
      sym_analytics_clause,
    ACTIONS(1378), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [234337] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10119), 1,
      sym_analytics_clause,
    ACTIONS(1370), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [234386] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6787), 1,
      sym_analytics_clause,
    ACTIONS(1378), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [234435] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10120), 1,
      sym_analytics_clause,
    ACTIONS(1370), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [234484] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6786), 1,
      sym_analytics_clause,
    ACTIONS(1390), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1392), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [234533] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10121), 1,
      sym_analytics_clause,
    ACTIONS(1370), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [234582] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10122), 1,
      sym_analytics_clause,
    ACTIONS(1370), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [234631] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6998), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [234680] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10123), 1,
      sym_analytics_clause,
    ACTIONS(1370), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [234729] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6959), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [234778] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10124), 1,
      sym_analytics_clause,
    ACTIONS(1370), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [234827] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10517), 1,
      sym_analytics_clause,
    ACTIONS(1356), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [234876] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10125), 1,
      sym_analytics_clause,
    ACTIONS(1370), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [234925] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6968), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [234974] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10092), 1,
      sym_analytics_clause,
    ACTIONS(1364), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [235023] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6978), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [235072] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10127), 1,
      sym_analytics_clause,
    ACTIONS(1370), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [235121] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10128), 1,
      sym_analytics_clause,
    ACTIONS(1370), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [235170] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10129), 1,
      sym_analytics_clause,
    ACTIONS(1370), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [235219] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10130), 1,
      sym_analytics_clause,
    ACTIONS(1370), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [235268] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10131), 1,
      sym_analytics_clause,
    ACTIONS(1370), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [235317] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10132), 1,
      sym_analytics_clause,
    ACTIONS(1370), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [235366] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7469), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(10326), 1,
      sym_unnest_withoffset,
    ACTIONS(1542), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1540), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [235415] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10133), 1,
      sym_analytics_clause,
    ACTIONS(1394), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1396), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [235464] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10126), 1,
      sym_analytics_clause,
    ACTIONS(1370), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [235513] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6980), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [235562] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6698), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [235611] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10134), 1,
      sym_analytics_clause,
    ACTIONS(1398), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1400), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [235660] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6991), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [235709] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6992), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [235758] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6994), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [235807] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10355), 1,
      sym_analytics_clause,
    ACTIONS(1494), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1492), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [235856] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10357), 1,
      sym_analytics_clause,
    ACTIONS(1490), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1488), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [235905] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10358), 1,
      sym_analytics_clause,
    ACTIONS(1482), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1480), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [235954] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10361), 1,
      sym_analytics_clause,
    ACTIONS(1472), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1470), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [236003] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6995), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [236052] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10362), 1,
      sym_analytics_clause,
    ACTIONS(1468), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1466), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [236101] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10365), 1,
      sym_analytics_clause,
    ACTIONS(1460), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1458), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [236150] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10366), 1,
      sym_analytics_clause,
    ACTIONS(1456), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1454), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [236199] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10367), 1,
      sym_analytics_clause,
    ACTIONS(1452), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1450), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [236248] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10368), 1,
      sym_analytics_clause,
    ACTIONS(1452), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1450), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [236297] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10369), 1,
      sym_analytics_clause,
    ACTIONS(1440), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1438), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [236346] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6848), 1,
      sym_analytics_clause,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [236395] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10370), 1,
      sym_analytics_clause,
    ACTIONS(1436), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1434), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [236444] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10371), 1,
      sym_analytics_clause,
    ACTIONS(1432), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1430), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [236493] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6999), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [236542] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10372), 1,
      sym_analytics_clause,
    ACTIONS(1428), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1426), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [236591] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10522), 1,
      sym_analytics_clause,
    ACTIONS(1464), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [236640] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10374), 1,
      sym_analytics_clause,
    ACTIONS(1424), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1422), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [236689] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10375), 1,
      sym_analytics_clause,
    ACTIONS(1420), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [236738] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10376), 1,
      sym_analytics_clause,
    ACTIONS(1420), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [236787] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10377), 1,
      sym_analytics_clause,
    ACTIONS(1420), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [236836] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10379), 1,
      sym_analytics_clause,
    ACTIONS(1420), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [236885] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(7001), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [236934] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(7004), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [236983] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10389), 1,
      sym_analytics_clause,
    ACTIONS(1420), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [237032] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10390), 1,
      sym_analytics_clause,
    ACTIONS(1420), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [237081] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10391), 1,
      sym_analytics_clause,
    ACTIONS(1420), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [237130] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10393), 1,
      sym_analytics_clause,
    ACTIONS(1420), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [237179] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(7010), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [237228] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10398), 1,
      sym_analytics_clause,
    ACTIONS(1420), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [237277] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10399), 1,
      sym_analytics_clause,
    ACTIONS(1420), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [237326] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10400), 1,
      sym_analytics_clause,
    ACTIONS(1416), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1414), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [237375] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10401), 1,
      sym_analytics_clause,
    ACTIONS(1412), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1410), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [237424] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(7012), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [237473] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10402), 1,
      sym_analytics_clause,
    ACTIONS(1408), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1406), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [237522] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10405), 1,
      sym_analytics_clause,
    ACTIONS(1400), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1398), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [237571] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(7016), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [237620] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(7019), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [237669] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10407), 1,
      sym_analytics_clause,
    ACTIONS(1400), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1398), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [237718] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(7021), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [237767] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(7022), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [237816] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(7023), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [237865] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(7024), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [237914] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10408), 1,
      sym_analytics_clause,
    ACTIONS(1400), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1398), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [237963] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(7028), 1,
      sym_analytics_clause,
    ACTIONS(1364), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [238012] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10409), 1,
      sym_analytics_clause,
    ACTIONS(1400), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1398), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [238061] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(7029), 1,
      sym_analytics_clause,
    ACTIONS(1386), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1388), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [238110] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10411), 1,
      sym_analytics_clause,
    ACTIONS(1396), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1394), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [238159] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(7032), 1,
      sym_analytics_clause,
    ACTIONS(1360), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [238208] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10412), 1,
      sym_analytics_clause,
    ACTIONS(1372), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [238257] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(7033), 1,
      sym_analytics_clause,
    ACTIONS(1360), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [238306] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10413), 1,
      sym_analytics_clause,
    ACTIONS(1372), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [238355] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7471), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(9908), 1,
      sym_unnest_withoffset,
    ACTIONS(1542), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1540), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [238404] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10414), 1,
      sym_analytics_clause,
    ACTIONS(1372), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [238453] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10416), 1,
      sym_analytics_clause,
    ACTIONS(1372), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [238502] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10516), 1,
      sym_analytics_clause,
    ACTIONS(1356), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [238551] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10487), 1,
      sym_analytics_clause,
    ACTIONS(1372), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [238600] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10515), 1,
      sym_analytics_clause,
    ACTIONS(1356), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [238649] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10418), 1,
      sym_analytics_clause,
    ACTIONS(1372), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [238698] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(7036), 1,
      sym_analytics_clause,
    ACTIONS(1360), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [238747] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10419), 1,
      sym_analytics_clause,
    ACTIONS(1372), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [238796] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(7037), 1,
      sym_analytics_clause,
    ACTIONS(1360), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [238845] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10420), 1,
      sym_analytics_clause,
    ACTIONS(1372), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [238894] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6936), 1,
      sym_analytics_clause,
    ACTIONS(1360), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [238943] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10422), 1,
      sym_analytics_clause,
    ACTIONS(1372), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [238992] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(7062), 1,
      sym_analytics_clause,
    ACTIONS(1360), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [239041] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10423), 1,
      sym_analytics_clause,
    ACTIONS(1372), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [239090] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10424), 1,
      sym_analytics_clause,
    ACTIONS(1372), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [239139] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10426), 1,
      sym_analytics_clause,
    ACTIONS(1372), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [239188] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10427), 1,
      sym_analytics_clause,
    ACTIONS(1372), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [239237] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10428), 1,
      sym_analytics_clause,
    ACTIONS(1372), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [239286] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10429), 1,
      sym_analytics_clause,
    ACTIONS(1372), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [239335] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10430), 1,
      sym_analytics_clause,
    ACTIONS(1372), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [239384] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10433), 1,
      sym_analytics_clause,
    ACTIONS(1372), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [239433] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10435), 1,
      sym_analytics_clause,
    ACTIONS(1372), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [239482] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10436), 1,
      sym_analytics_clause,
    ACTIONS(1372), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [239531] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10438), 1,
      sym_analytics_clause,
    ACTIONS(1372), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [239580] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10439), 1,
      sym_analytics_clause,
    ACTIONS(1506), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1504), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [239629] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10440), 1,
      sym_analytics_clause,
    ACTIONS(1502), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1500), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [239678] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7473), 1,
      anon_sym_COMMA,
    STATE(9329), 1,
      aux_sym_set_clause_repeat1,
    ACTIONS(5212), 35,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [239725] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10404), 1,
      sym_analytics_clause,
    ACTIONS(1400), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1398), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [239774] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10442), 1,
      sym_analytics_clause,
    ACTIONS(1362), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [239823] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10443), 1,
      sym_analytics_clause,
    ACTIONS(1362), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [239872] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10444), 1,
      sym_analytics_clause,
    ACTIONS(1362), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [239921] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10445), 1,
      sym_analytics_clause,
    ACTIONS(1362), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [239970] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10448), 1,
      sym_analytics_clause,
    ACTIONS(1362), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [240019] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10158), 1,
      sym_analytics_clause,
    ACTIONS(1438), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1440), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [240068] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10271), 1,
      sym_analytics_clause,
    ACTIONS(1444), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [240117] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10157), 1,
      sym_analytics_clause,
    ACTIONS(1434), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1436), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [240166] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10156), 1,
      sym_analytics_clause,
    ACTIONS(1430), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1432), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [240215] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10450), 1,
      sym_analytics_clause,
    ACTIONS(1362), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [240264] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10155), 1,
      sym_analytics_clause,
    ACTIONS(1426), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1428), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [240313] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10099), 1,
      sym_analytics_clause,
    ACTIONS(1422), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1424), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [240362] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10152), 1,
      sym_analytics_clause,
    ACTIONS(1418), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1420), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [240411] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10451), 1,
      sym_analytics_clause,
    ACTIONS(1362), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [240460] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7476), 1,
      aux_sym__keyword_as_token1,
    STATE(15550), 1,
      sym__keyword_as,
    ACTIONS(1476), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1474), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [240509] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7478), 1,
      anon_sym_LPAREN,
    ACTIONS(1624), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1622), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [240556] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10276), 1,
      sym_analytics_clause,
    ACTIONS(1448), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1446), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [240605] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10275), 1,
      sym_analytics_clause,
    ACTIONS(1448), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1446), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [240654] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10274), 1,
      sym_analytics_clause,
    ACTIONS(1444), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [240703] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10273), 1,
      sym_analytics_clause,
    ACTIONS(1444), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [240752] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10272), 1,
      sym_analytics_clause,
    ACTIONS(1444), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [240801] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10244), 1,
      sym_analytics_clause,
    ACTIONS(1380), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [240850] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10270), 1,
      sym_analytics_clause,
    ACTIONS(1464), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [240899] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10269), 1,
      sym_analytics_clause,
    ACTIONS(1464), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [240948] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10268), 1,
      sym_analytics_clause,
    ACTIONS(1464), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [240997] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10267), 1,
      sym_analytics_clause,
    ACTIONS(1464), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [241046] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10266), 1,
      sym_analytics_clause,
    ACTIONS(1464), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [241095] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10265), 1,
      sym_analytics_clause,
    ACTIONS(1464), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [241144] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10264), 1,
      sym_analytics_clause,
    ACTIONS(1464), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [241193] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10263), 1,
      sym_analytics_clause,
    ACTIONS(1376), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1374), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [241242] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10262), 1,
      sym_analytics_clause,
    ACTIONS(1356), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [241291] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10259), 1,
      sym_analytics_clause,
    ACTIONS(1356), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [241340] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10277), 1,
      sym_analytics_clause,
    ACTIONS(1356), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [241389] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10256), 1,
      sym_analytics_clause,
    ACTIONS(1356), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [241438] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10255), 1,
      sym_analytics_clause,
    ACTIONS(1356), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [241487] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10254), 1,
      sym_analytics_clause,
    ACTIONS(1356), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [241536] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10253), 1,
      sym_analytics_clause,
    ACTIONS(1356), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [241585] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10252), 1,
      sym_analytics_clause,
    ACTIONS(1356), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [241634] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10251), 1,
      sym_analytics_clause,
    ACTIONS(1356), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [241683] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10250), 1,
      sym_analytics_clause,
    ACTIONS(1356), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [241732] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10249), 1,
      sym_analytics_clause,
    ACTIONS(1356), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [241781] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10248), 1,
      sym_analytics_clause,
    ACTIONS(1356), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [241830] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10257), 1,
      sym_analytics_clause,
    ACTIONS(1356), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [241879] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10246), 1,
      sym_analytics_clause,
    ACTIONS(1356), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [241928] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10245), 1,
      sym_analytics_clause,
    ACTIONS(1486), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1484), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [241977] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10163), 1,
      sym_analytics_clause,
    ACTIONS(1366), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [242026] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10243), 1,
      sym_analytics_clause,
    ACTIONS(1380), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [242075] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10242), 1,
      sym_analytics_clause,
    ACTIONS(1380), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [242124] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10241), 1,
      sym_analytics_clause,
    ACTIONS(1380), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [242173] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10239), 1,
      sym_analytics_clause,
    ACTIONS(1380), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [242222] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10238), 1,
      sym_analytics_clause,
    ACTIONS(1380), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [242271] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10237), 1,
      sym_analytics_clause,
    ACTIONS(1380), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [242320] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10236), 1,
      sym_analytics_clause,
    ACTIONS(1380), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [242369] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10235), 1,
      sym_analytics_clause,
    ACTIONS(1380), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [242418] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10234), 1,
      sym_analytics_clause,
    ACTIONS(1380), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [242467] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10233), 1,
      sym_analytics_clause,
    ACTIONS(1380), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [242516] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10232), 1,
      sym_analytics_clause,
    ACTIONS(1392), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1390), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [242565] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10231), 1,
      sym_analytics_clause,
    ACTIONS(1384), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1382), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [242614] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10229), 1,
      sym_analytics_clause,
    ACTIONS(1366), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [242663] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10247), 1,
      sym_analytics_clause,
    ACTIONS(1366), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [242712] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10227), 1,
      sym_analytics_clause,
    ACTIONS(1366), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [242761] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10226), 1,
      sym_analytics_clause,
    ACTIONS(1366), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [242810] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10225), 1,
      sym_analytics_clause,
    ACTIONS(1366), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [242859] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10224), 1,
      sym_analytics_clause,
    ACTIONS(1366), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [242908] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10223), 1,
      sym_analytics_clause,
    ACTIONS(1366), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [242957] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10222), 1,
      sym_analytics_clause,
    ACTIONS(1366), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [243006] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10221), 1,
      sym_analytics_clause,
    ACTIONS(1366), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [243055] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10220), 1,
      sym_analytics_clause,
    ACTIONS(1366), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [243104] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10219), 1,
      sym_analytics_clause,
    ACTIONS(1366), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [243153] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10228), 1,
      sym_analytics_clause,
    ACTIONS(1366), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [243202] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10216), 1,
      sym_analytics_clause,
    ACTIONS(1366), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [243251] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10213), 1,
      sym_analytics_clause,
    ACTIONS(1366), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [243300] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10212), 1,
      sym_analytics_clause,
    ACTIONS(1366), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [243349] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10218), 1,
      sym_analytics_clause,
    ACTIONS(1366), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [243398] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10168), 1,
      sym_analytics_clause,
    ACTIONS(1366), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [243447] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10166), 1,
      sym_analytics_clause,
    ACTIONS(1366), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [243496] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10165), 1,
      sym_analytics_clause,
    ACTIONS(1366), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [243545] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(7064), 1,
      sym_analytics_clause,
    ACTIONS(1360), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [243594] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10162), 1,
      sym_analytics_clause,
    ACTIONS(1366), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [243643] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10161), 1,
      sym_analytics_clause,
    ACTIONS(1366), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [243692] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10160), 1,
      sym_analytics_clause,
    ACTIONS(1388), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1386), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [243741] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10153), 1,
      sym_analytics_clause,
    ACTIONS(1362), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [243790] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10147), 1,
      sym_analytics_clause,
    ACTIONS(1362), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [243839] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10035), 1,
      sym_analytics_clause,
    ACTIONS(1362), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [243888] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10034), 1,
      sym_analytics_clause,
    ACTIONS(1362), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [243937] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10033), 1,
      sym_analytics_clause,
    ACTIONS(1362), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [243986] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10151), 1,
      sym_analytics_clause,
    ACTIONS(1418), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1420), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [244035] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10032), 1,
      sym_analytics_clause,
    ACTIONS(1362), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [244084] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10031), 1,
      sym_analytics_clause,
    ACTIONS(1362), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [244133] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4217), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(7144), 1,
      sym_unnest_withoffset,
    ACTIONS(1540), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1542), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [244182] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10030), 1,
      sym_analytics_clause,
    ACTIONS(1362), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [244231] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10186), 1,
      sym_analytics_clause,
    ACTIONS(1402), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1404), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [244280] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10029), 1,
      sym_analytics_clause,
    ACTIONS(1362), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [244329] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10028), 1,
      sym_analytics_clause,
    ACTIONS(1362), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [244378] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10027), 1,
      sym_analytics_clause,
    ACTIONS(1498), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1496), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [244427] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10026), 1,
      sym_analytics_clause,
    ACTIONS(1502), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1500), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [244476] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10025), 1,
      sym_analytics_clause,
    ACTIONS(1506), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1504), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [244525] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10022), 1,
      sym_analytics_clause,
    ACTIONS(1372), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [244574] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10174), 1,
      sym_analytics_clause,
    ACTIONS(1372), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [244623] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(7067), 1,
      sym_analytics_clause,
    ACTIONS(1360), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [244672] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(7070), 1,
      sym_analytics_clause,
    ACTIONS(1360), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [244721] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10018), 1,
      sym_analytics_clause,
    ACTIONS(1372), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [244770] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10017), 1,
      sym_analytics_clause,
    ACTIONS(1372), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [244819] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10016), 1,
      sym_analytics_clause,
    ACTIONS(1372), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [244868] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10012), 1,
      sym_analytics_clause,
    ACTIONS(1372), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [244917] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10021), 1,
      sym_analytics_clause,
    ACTIONS(1372), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [244966] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10002), 1,
      sym_analytics_clause,
    ACTIONS(1372), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [245015] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10001), 1,
      sym_analytics_clause,
    ACTIONS(1372), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [245064] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10000), 1,
      sym_analytics_clause,
    ACTIONS(1372), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [245113] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(9999), 1,
      sym_analytics_clause,
    ACTIONS(1372), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [245162] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(9998), 1,
      sym_analytics_clause,
    ACTIONS(1372), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [245211] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(9997), 1,
      sym_analytics_clause,
    ACTIONS(1372), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [245260] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(9996), 1,
      sym_analytics_clause,
    ACTIONS(1372), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [245309] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(9995), 1,
      sym_analytics_clause,
    ACTIONS(1372), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [245358] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(9994), 1,
      sym_analytics_clause,
    ACTIONS(1372), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [245407] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(9993), 1,
      sym_analytics_clause,
    ACTIONS(1372), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [245456] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(7013), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [245505] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(9992), 1,
      sym_analytics_clause,
    ACTIONS(1372), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [245554] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(9991), 1,
      sym_analytics_clause,
    ACTIONS(1372), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [245603] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(9990), 1,
      sym_analytics_clause,
    ACTIONS(1372), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [245652] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(9989), 1,
      sym_analytics_clause,
    ACTIONS(1396), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1394), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [245701] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(7074), 1,
      sym_analytics_clause,
    ACTIONS(1496), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1498), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [245750] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(9988), 1,
      sym_analytics_clause,
    ACTIONS(1400), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1398), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [245799] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(9987), 1,
      sym_analytics_clause,
    ACTIONS(1400), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1398), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [245848] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(9986), 1,
      sym_analytics_clause,
    ACTIONS(1400), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1398), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [245897] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(9985), 1,
      sym_analytics_clause,
    ACTIONS(1400), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1398), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [245946] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(9984), 1,
      sym_analytics_clause,
    ACTIONS(1400), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1398), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [245995] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(9983), 1,
      sym_analytics_clause,
    ACTIONS(1408), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1406), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [246044] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(9982), 1,
      sym_analytics_clause,
    ACTIONS(1412), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1410), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [246093] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(10003), 1,
      sym_analytics_clause,
    ACTIONS(1416), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1414), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [246142] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(7077), 1,
      sym_analytics_clause,
    ACTIONS(1500), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1502), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [246191] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(7071), 1,
      sym_analytics_clause,
    ACTIONS(1360), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [246240] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(9979), 1,
      sym_analytics_clause,
    ACTIONS(1420), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [246289] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(9981), 1,
      sym_analytics_clause,
    ACTIONS(1420), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [246338] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(9976), 1,
      sym_analytics_clause,
    ACTIONS(1420), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [246387] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(9975), 1,
      sym_analytics_clause,
    ACTIONS(1420), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [246436] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(9971), 1,
      sym_analytics_clause,
    ACTIONS(1420), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [246485] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10523), 1,
      sym_analytics_clause,
    ACTIONS(1464), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [246534] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(9977), 1,
      sym_analytics_clause,
    ACTIONS(1420), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [246583] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6853), 1,
      sym_analytics_clause,
    ACTIONS(1354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [246632] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10514), 1,
      sym_analytics_clause,
    ACTIONS(1356), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [246681] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10051), 1,
      sym_analytics_clause,
    ACTIONS(1354), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [246730] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(9959), 1,
      sym_analytics_clause,
    ACTIONS(1420), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [246779] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(9958), 1,
      sym_analytics_clause,
    ACTIONS(1424), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1422), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [246828] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(9957), 1,
      sym_analytics_clause,
    ACTIONS(1428), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1426), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [246877] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(9956), 1,
      sym_analytics_clause,
    ACTIONS(1432), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1430), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [246926] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(9955), 1,
      sym_analytics_clause,
    ACTIONS(1436), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1434), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [246975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1518), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1516), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [247020] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(9954), 1,
      sym_analytics_clause,
    ACTIONS(1440), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1438), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [247069] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(9898), 1,
      sym_analytics_clause,
    ACTIONS(1404), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1402), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [247118] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6861), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [247167] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6862), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [247216] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(9950), 1,
      sym_analytics_clause,
    ACTIONS(1452), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1450), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [247265] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(9949), 1,
      sym_analytics_clause,
    ACTIONS(1452), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1450), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [247314] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(9948), 1,
      sym_analytics_clause,
    ACTIONS(1456), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1454), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [247363] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(9947), 1,
      sym_analytics_clause,
    ACTIONS(1460), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1458), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [247412] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6866), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [247461] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(9946), 1,
      sym_analytics_clause,
    ACTIONS(1468), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1466), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [247510] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(9945), 1,
      sym_analytics_clause,
    ACTIONS(1472), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1470), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [247559] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6867), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [247608] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6868), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [247657] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(9939), 1,
      sym_analytics_clause,
    ACTIONS(1482), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1480), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [247706] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(9938), 1,
      sym_analytics_clause,
    ACTIONS(1490), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1488), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [247755] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      aux_sym_analytics_clause_token1,
    STATE(9963), 1,
      sym_analytics_clause,
    ACTIONS(1494), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1492), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [247804] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1516), 18,
      sym__string_start,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1518), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [247849] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6901), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [247898] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6949), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [247947] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6951), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [247996] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6955), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [248045] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6982), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [248094] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(7011), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [248143] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(7020), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [248192] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(7050), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [248241] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(7055), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [248290] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(7060), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [248339] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6767), 1,
      sym_analytics_clause,
    ACTIONS(1398), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1400), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [248388] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(7049), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [248437] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10453), 1,
      sym_analytics_clause,
    ACTIONS(1362), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [248486] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6855), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [248535] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10150), 1,
      sym_analytics_clause,
    ACTIONS(1418), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1420), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [248584] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6997), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [248633] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6993), 1,
      sym_analytics_clause,
    ACTIONS(1370), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [248682] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6950), 1,
      sym_analytics_clause,
    ACTIONS(1394), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1396), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [248731] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10454), 1,
      sym_analytics_clause,
    ACTIONS(1362), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [248780] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10524), 1,
      sym_analytics_clause,
    ACTIONS(1464), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [248829] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10149), 1,
      sym_analytics_clause,
    ACTIONS(1418), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1420), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [248878] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10525), 1,
      sym_analytics_clause,
    ACTIONS(1464), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [248927] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10148), 1,
      sym_analytics_clause,
    ACTIONS(1418), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1420), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [248976] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6937), 1,
      sym_analytics_clause,
    ACTIONS(1398), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1400), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [249025] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6766), 1,
      sym_analytics_clause,
    ACTIONS(1398), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1400), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [249074] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      aux_sym__keyword_as_token1,
    STATE(14457), 1,
      sym__keyword_as,
    ACTIONS(1476), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1474), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [249123] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3108), 1,
      anon_sym_GT,
    ACTIONS(6605), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(6607), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6611), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6615), 1,
      anon_sym_LT,
    ACTIONS(6617), 1,
      anon_sym_LBRACK,
    ACTIONS(6619), 1,
      anon_sym_DOT2,
    ACTIONS(6621), 1,
      anon_sym_PLUS,
    ACTIONS(6623), 1,
      anon_sym_DASH,
    ACTIONS(6627), 1,
      anon_sym_SLASH,
    ACTIONS(6631), 1,
      anon_sym_AMP,
    ACTIONS(6633), 1,
      anon_sym_CARET,
    ACTIONS(6635), 1,
      anon_sym_PIPE,
    STATE(1083), 1,
      sym__keyword_between,
    STATE(1266), 1,
      sym__keyword_or,
    STATE(1814), 1,
      sym__keyword_and,
    STATE(1857), 1,
      sym__keyword_in,
    STATE(12067), 1,
      sym__keyword_is,
    STATE(13077), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16327), 1,
      sym_like_operator,
    STATE(16328), 1,
      sym_quantitve_like_operator,
    ACTIONS(6625), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(6629), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3104), 3,
      aux_sym_keyword_if_not_exists_token2,
      anon_sym_COMMA,
      aux_sym_option_clause_token1,
    ACTIONS(6609), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [249220] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10146), 1,
      sym_analytics_clause,
    ACTIONS(1418), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1420), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [249269] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6844), 1,
      sym_analytics_clause,
    ACTIONS(1398), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1400), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [249318] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10145), 1,
      sym_analytics_clause,
    ACTIONS(1418), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1420), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [249367] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6706), 1,
      sym_analytics_clause,
    ACTIONS(1398), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1400), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [249416] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10144), 1,
      sym_analytics_clause,
    ACTIONS(1418), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1420), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [249465] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10513), 1,
      sym_analytics_clause,
    ACTIONS(1356), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [249514] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10143), 1,
      sym_analytics_clause,
    ACTIONS(1418), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1420), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [249563] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10142), 1,
      sym_analytics_clause,
    ACTIONS(1418), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1420), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [249612] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10456), 1,
      sym_analytics_clause,
    ACTIONS(1362), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [249661] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6729), 1,
      sym_analytics_clause,
    ACTIONS(1406), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1408), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [249710] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10457), 1,
      sym_analytics_clause,
    ACTIONS(1388), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1386), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [249759] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10458), 1,
      sym_analytics_clause,
    ACTIONS(1366), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [249808] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10459), 1,
      sym_analytics_clause,
    ACTIONS(1366), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [249857] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10460), 1,
      sym_analytics_clause,
    ACTIONS(1366), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [249906] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10461), 1,
      sym_analytics_clause,
    ACTIONS(1366), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [249955] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10462), 1,
      sym_analytics_clause,
    ACTIONS(1366), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [250004] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6725), 1,
      sym_analytics_clause,
    ACTIONS(1410), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1412), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [250053] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10463), 1,
      sym_analytics_clause,
    ACTIONS(1366), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [250102] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6722), 1,
      sym_analytics_clause,
    ACTIONS(1414), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1416), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [250151] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10464), 1,
      sym_analytics_clause,
    ACTIONS(1366), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [250200] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10465), 1,
      sym_analytics_clause,
    ACTIONS(1366), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [250249] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(7056), 1,
      sym_analytics_clause,
    ACTIONS(1418), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1420), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [250298] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10466), 1,
      sym_analytics_clause,
    ACTIONS(1366), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [250347] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5086), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [250444] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(7042), 1,
      sym_analytics_clause,
    ACTIONS(1418), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1420), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [250493] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(7035), 1,
      sym_analytics_clause,
    ACTIONS(1418), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1420), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [250542] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10467), 1,
      sym_analytics_clause,
    ACTIONS(1366), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [250591] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(7031), 1,
      sym_analytics_clause,
    ACTIONS(1418), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1420), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [250640] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10468), 1,
      sym_analytics_clause,
    ACTIONS(1366), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [250689] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6977), 1,
      sym_analytics_clause,
    ACTIONS(1418), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1420), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [250738] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6973), 1,
      sym_analytics_clause,
    ACTIONS(1418), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1420), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [250787] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6966), 1,
      sym_analytics_clause,
    ACTIONS(1418), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1420), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [250836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1518), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1516), 31,
      sym__string_start,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [250881] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6958), 1,
      sym_analytics_clause,
    ACTIONS(1418), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1420), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [250930] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6957), 1,
      sym_analytics_clause,
    ACTIONS(1418), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1420), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [250979] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6896), 1,
      sym_analytics_clause,
    ACTIONS(1418), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1420), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [251028] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6891), 1,
      sym_analytics_clause,
    ACTIONS(1422), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1424), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [251077] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6871), 1,
      sym_analytics_clause,
    ACTIONS(1426), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1428), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [251126] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6852), 1,
      sym_analytics_clause,
    ACTIONS(1430), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1432), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [251175] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6842), 1,
      sym_analytics_clause,
    ACTIONS(1434), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1436), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [251224] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10526), 1,
      sym_analytics_clause,
    ACTIONS(1464), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [251273] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(7097), 1,
      sym_analytics_clause,
    ACTIONS(1504), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1506), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [251322] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6825), 1,
      sym_analytics_clause,
    ACTIONS(1438), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1440), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [251371] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10527), 1,
      sym_analytics_clause,
    ACTIONS(1464), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [251420] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6801), 1,
      sym_analytics_clause,
    ACTIONS(1450), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1452), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [251469] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6727), 1,
      sym_analytics_clause,
    ACTIONS(1450), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1452), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [251518] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6733), 1,
      sym_analytics_clause,
    ACTIONS(1454), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1456), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [251567] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6881), 1,
      sym_analytics_clause,
    ACTIONS(1458), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1460), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [251616] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10469), 1,
      sym_analytics_clause,
    ACTIONS(1366), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [251665] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6897), 1,
      sym_analytics_clause,
    ACTIONS(1466), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1468), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [251714] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6906), 1,
      sym_analytics_clause,
    ACTIONS(1470), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1472), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [251763] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10141), 1,
      sym_analytics_clause,
    ACTIONS(1414), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1416), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [251812] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10512), 1,
      sym_analytics_clause,
    ACTIONS(1356), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [251861] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10140), 1,
      sym_analytics_clause,
    ACTIONS(1410), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1412), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [251910] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10139), 1,
      sym_analytics_clause,
    ACTIONS(1406), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1408), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [251959] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6986), 1,
      sym_analytics_clause,
    ACTIONS(1480), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1482), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [252008] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6987), 1,
      sym_analytics_clause,
    ACTIONS(1488), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1490), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [252057] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10138), 1,
      sym_analytics_clause,
    ACTIONS(1398), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1400), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [252106] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      aux_sym_analytics_clause_token1,
    STATE(6988), 1,
      sym_analytics_clause,
    ACTIONS(1492), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1494), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [252155] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10511), 1,
      sym_analytics_clause,
    ACTIONS(1356), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [252204] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10534), 1,
      sym_analytics_clause,
    ACTIONS(1356), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [252253] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10509), 1,
      sym_analytics_clause,
    ACTIONS(1356), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [252302] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10507), 1,
      sym_analytics_clause,
    ACTIONS(1356), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [252351] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10137), 1,
      sym_analytics_clause,
    ACTIONS(1398), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1400), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [252400] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10136), 1,
      sym_analytics_clause,
    ACTIONS(1398), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1400), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [252449] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(2856), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [252546] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      aux_sym_analytics_clause_token1,
    STATE(10135), 1,
      sym_analytics_clause,
    ACTIONS(1398), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1400), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [252595] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10504), 1,
      sym_analytics_clause,
    ACTIONS(1356), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [252644] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7482), 1,
      anon_sym_COMMA,
    STATE(9601), 1,
      aux_sym_set_clause_repeat1,
    ACTIONS(5950), 35,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [252691] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10503), 1,
      sym_analytics_clause,
    ACTIONS(1356), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [252740] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10502), 1,
      sym_analytics_clause,
    ACTIONS(1486), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1484), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [252789] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10470), 1,
      sym_analytics_clause,
    ACTIONS(1366), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [252838] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10471), 1,
      sym_analytics_clause,
    ACTIONS(1366), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [252887] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10528), 1,
      sym_analytics_clause,
    ACTIONS(1444), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [252936] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10472), 1,
      sym_analytics_clause,
    ACTIONS(1366), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [252985] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10441), 1,
      sym_analytics_clause,
    ACTIONS(1498), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1496), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [253034] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10500), 1,
      sym_analytics_clause,
    ACTIONS(1380), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [253083] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10529), 1,
      sym_analytics_clause,
    ACTIONS(1444), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [253132] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7482), 1,
      anon_sym_COMMA,
    STATE(9329), 1,
      aux_sym_set_clause_repeat1,
    ACTIONS(5936), 35,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [253179] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10498), 1,
      sym_analytics_clause,
    ACTIONS(1380), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [253228] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10497), 1,
      sym_analytics_clause,
    ACTIONS(1380), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [253277] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5628), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [253374] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10473), 1,
      sym_analytics_clause,
    ACTIONS(1366), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [253423] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10474), 1,
      sym_analytics_clause,
    ACTIONS(1366), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [253472] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10496), 1,
      sym_analytics_clause,
    ACTIONS(1380), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [253521] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10475), 1,
      sym_analytics_clause,
    ACTIONS(1366), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [253570] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10494), 1,
      sym_analytics_clause,
    ACTIONS(1380), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [253619] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10493), 1,
      sym_analytics_clause,
    ACTIONS(1380), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [253668] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10530), 1,
      sym_analytics_clause,
    ACTIONS(1444), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [253717] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10491), 1,
      sym_analytics_clause,
    ACTIONS(1380), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [253766] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10533), 1,
      sym_analytics_clause,
    ACTIONS(1448), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1446), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [253815] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10476), 1,
      sym_analytics_clause,
    ACTIONS(1366), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [253864] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10477), 1,
      sym_analytics_clause,
    ACTIONS(1366), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [253913] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10532), 1,
      sym_analytics_clause,
    ACTIONS(1448), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1446), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [253962] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7484), 1,
      aux_sym__keyword_then_token1,
    STATE(1033), 1,
      sym__keyword_then,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [254061] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10479), 1,
      sym_analytics_clause,
    ACTIONS(1366), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [254110] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10481), 1,
      sym_analytics_clause,
    ACTIONS(1366), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [254159] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10483), 1,
      sym_analytics_clause,
    ACTIONS(1384), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1382), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [254208] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10490), 1,
      sym_analytics_clause,
    ACTIONS(1380), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [254257] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10531), 1,
      sym_analytics_clause,
    ACTIONS(1444), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [254306] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10489), 1,
      sym_analytics_clause,
    ACTIONS(1380), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [254355] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10510), 1,
      sym_analytics_clause,
    ACTIONS(1392), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1390), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [254404] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7486), 1,
      anon_sym_COMMA,
    STATE(9625), 1,
      aux_sym_declare_statement_repeat1,
    ACTIONS(4539), 35,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [254451] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(6617), 1,
      anon_sym_LBRACK,
    ACTIONS(6619), 1,
      anon_sym_DOT2,
    ACTIONS(7391), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7393), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7397), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7403), 1,
      anon_sym_PLUS,
    ACTIONS(7405), 1,
      anon_sym_DASH,
    ACTIONS(7409), 1,
      anon_sym_SLASH,
    ACTIONS(7413), 1,
      anon_sym_AMP,
    ACTIONS(7415), 1,
      anon_sym_CARET,
    ACTIONS(7417), 1,
      anon_sym_PIPE,
    ACTIONS(7489), 1,
      aux_sym__keyword_as_token1,
    STATE(1098), 1,
      sym__keyword_in,
    STATE(1109), 1,
      sym__keyword_and,
    STATE(1111), 1,
      sym__keyword_or,
    STATE(1823), 1,
      sym__keyword_between,
    STATE(12094), 1,
      sym__keyword_is,
    STATE(12741), 1,
      sym__keyword_as,
    STATE(13164), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16327), 1,
      sym_like_operator,
    STATE(16328), 1,
      sym_quantitve_like_operator,
    ACTIONS(7401), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7407), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7411), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7395), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [254550] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      aux_sym_analytics_clause_token1,
    STATE(10488), 1,
      sym_analytics_clause,
    ACTIONS(1380), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [254599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1662), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1660), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [254643] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7491), 1,
      anon_sym_LPAREN,
    ACTIONS(1622), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1624), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [254689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1832), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1830), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [254733] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7493), 1,
      anon_sym_RBRACK,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [254829] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7495), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [254925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1790), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1788), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [254969] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7497), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [255065] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7499), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [255161] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7501), 1,
      anon_sym_RBRACK,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [255257] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7503), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [255353] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7505), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [255449] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7507), 1,
      anon_sym_RBRACK,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [255545] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7509), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [255641] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(351), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4601), 1,
      anon_sym_LBRACK,
    ACTIONS(4603), 1,
      anon_sym_DOT2,
    ACTIONS(7511), 1,
      sym__unquoted_identifier,
    ACTIONS(7513), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7515), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7519), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7523), 1,
      anon_sym_PLUS,
    ACTIONS(7525), 1,
      anon_sym_DASH,
    ACTIONS(7529), 1,
      anon_sym_SLASH,
    ACTIONS(7533), 1,
      anon_sym_AMP,
    ACTIONS(7535), 1,
      anon_sym_CARET,
    ACTIONS(7537), 1,
      anon_sym_PIPE,
    STATE(1039), 1,
      sym__keyword_or,
    STATE(1040), 1,
      sym__keyword_and,
    STATE(1048), 1,
      sym__keyword_in,
    STATE(1439), 1,
      sym__keyword_between,
    STATE(12084), 1,
      sym__keyword_is,
    STATE(13023), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16220), 1,
      sym_like_operator,
    STATE(16237), 1,
      sym_quantitve_like_operator,
    ACTIONS(7527), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7531), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7517), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7521), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [255737] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(351), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4601), 1,
      anon_sym_LBRACK,
    ACTIONS(4603), 1,
      anon_sym_DOT2,
    ACTIONS(7513), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7515), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7519), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7523), 1,
      anon_sym_PLUS,
    ACTIONS(7525), 1,
      anon_sym_DASH,
    ACTIONS(7529), 1,
      anon_sym_SLASH,
    ACTIONS(7533), 1,
      anon_sym_AMP,
    ACTIONS(7535), 1,
      anon_sym_CARET,
    ACTIONS(7537), 1,
      anon_sym_PIPE,
    ACTIONS(7539), 1,
      sym__unquoted_identifier,
    STATE(1039), 1,
      sym__keyword_or,
    STATE(1040), 1,
      sym__keyword_and,
    STATE(1048), 1,
      sym__keyword_in,
    STATE(1439), 1,
      sym__keyword_between,
    STATE(12084), 1,
      sym__keyword_is,
    STATE(13023), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16220), 1,
      sym_like_operator,
    STATE(16237), 1,
      sym_quantitve_like_operator,
    ACTIONS(7527), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7531), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7517), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7521), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [255833] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7541), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [255929] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7543), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [256025] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7545), 1,
      anon_sym_RBRACK,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [256121] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7547), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [256217] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7549), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [256313] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(351), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4601), 1,
      anon_sym_LBRACK,
    ACTIONS(4603), 1,
      anon_sym_DOT2,
    ACTIONS(7513), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7515), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7519), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7523), 1,
      anon_sym_PLUS,
    ACTIONS(7525), 1,
      anon_sym_DASH,
    ACTIONS(7529), 1,
      anon_sym_SLASH,
    ACTIONS(7533), 1,
      anon_sym_AMP,
    ACTIONS(7535), 1,
      anon_sym_CARET,
    ACTIONS(7537), 1,
      anon_sym_PIPE,
    ACTIONS(7551), 1,
      sym__unquoted_identifier,
    STATE(1039), 1,
      sym__keyword_or,
    STATE(1040), 1,
      sym__keyword_and,
    STATE(1048), 1,
      sym__keyword_in,
    STATE(1439), 1,
      sym__keyword_between,
    STATE(12084), 1,
      sym__keyword_is,
    STATE(13023), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16220), 1,
      sym_like_operator,
    STATE(16237), 1,
      sym_quantitve_like_operator,
    ACTIONS(7527), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7531), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7517), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7521), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [256409] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7553), 1,
      anon_sym_RBRACK,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [256505] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7555), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [256601] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7557), 1,
      aux_sym__keyword_then_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [256697] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(351), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4601), 1,
      anon_sym_LBRACK,
    ACTIONS(4603), 1,
      anon_sym_DOT2,
    ACTIONS(7513), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7515), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7519), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7523), 1,
      anon_sym_PLUS,
    ACTIONS(7525), 1,
      anon_sym_DASH,
    ACTIONS(7529), 1,
      anon_sym_SLASH,
    ACTIONS(7533), 1,
      anon_sym_AMP,
    ACTIONS(7535), 1,
      anon_sym_CARET,
    ACTIONS(7537), 1,
      anon_sym_PIPE,
    ACTIONS(7559), 1,
      sym__unquoted_identifier,
    STATE(1039), 1,
      sym__keyword_or,
    STATE(1040), 1,
      sym__keyword_and,
    STATE(1048), 1,
      sym__keyword_in,
    STATE(1439), 1,
      sym__keyword_between,
    STATE(12084), 1,
      sym__keyword_is,
    STATE(13023), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16220), 1,
      sym_like_operator,
    STATE(16237), 1,
      sym_quantitve_like_operator,
    ACTIONS(7527), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7531), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7517), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7521), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [256793] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7561), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [256889] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7563), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [256985] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7565), 1,
      anon_sym_RBRACK,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [257081] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7567), 1,
      anon_sym_RBRACK,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [257177] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(351), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4601), 1,
      anon_sym_LBRACK,
    ACTIONS(4603), 1,
      anon_sym_DOT2,
    ACTIONS(7513), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7515), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7519), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7523), 1,
      anon_sym_PLUS,
    ACTIONS(7525), 1,
      anon_sym_DASH,
    ACTIONS(7529), 1,
      anon_sym_SLASH,
    ACTIONS(7533), 1,
      anon_sym_AMP,
    ACTIONS(7535), 1,
      anon_sym_CARET,
    ACTIONS(7537), 1,
      anon_sym_PIPE,
    ACTIONS(7569), 1,
      sym__unquoted_identifier,
    STATE(1039), 1,
      sym__keyword_or,
    STATE(1040), 1,
      sym__keyword_and,
    STATE(1048), 1,
      sym__keyword_in,
    STATE(1439), 1,
      sym__keyword_between,
    STATE(12084), 1,
      sym__keyword_is,
    STATE(13023), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16220), 1,
      sym_like_operator,
    STATE(16237), 1,
      sym_quantitve_like_operator,
    ACTIONS(7527), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7531), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7517), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7521), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [257273] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7571), 1,
      aux_sym__keyword_then_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [257369] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7573), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [257465] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7575), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [257561] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7577), 1,
      anon_sym_RBRACK,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [257657] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7579), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [257753] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7581), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [257849] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7583), 1,
      anon_sym_RBRACK,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [257945] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7585), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [258041] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(351), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4601), 1,
      anon_sym_LBRACK,
    ACTIONS(4603), 1,
      anon_sym_DOT2,
    ACTIONS(7513), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7515), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7519), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7523), 1,
      anon_sym_PLUS,
    ACTIONS(7525), 1,
      anon_sym_DASH,
    ACTIONS(7529), 1,
      anon_sym_SLASH,
    ACTIONS(7533), 1,
      anon_sym_AMP,
    ACTIONS(7535), 1,
      anon_sym_CARET,
    ACTIONS(7537), 1,
      anon_sym_PIPE,
    ACTIONS(7587), 1,
      sym__unquoted_identifier,
    STATE(1039), 1,
      sym__keyword_or,
    STATE(1040), 1,
      sym__keyword_and,
    STATE(1048), 1,
      sym__keyword_in,
    STATE(1439), 1,
      sym__keyword_between,
    STATE(12084), 1,
      sym__keyword_is,
    STATE(13023), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16220), 1,
      sym_like_operator,
    STATE(16237), 1,
      sym_quantitve_like_operator,
    ACTIONS(7527), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7531), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7517), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7521), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [258137] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7589), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [258233] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7591), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [258329] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7593), 1,
      anon_sym_RBRACK,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [258425] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(351), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4601), 1,
      anon_sym_LBRACK,
    ACTIONS(4603), 1,
      anon_sym_DOT2,
    ACTIONS(7513), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7515), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7519), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7523), 1,
      anon_sym_PLUS,
    ACTIONS(7525), 1,
      anon_sym_DASH,
    ACTIONS(7529), 1,
      anon_sym_SLASH,
    ACTIONS(7533), 1,
      anon_sym_AMP,
    ACTIONS(7535), 1,
      anon_sym_CARET,
    ACTIONS(7537), 1,
      anon_sym_PIPE,
    ACTIONS(7595), 1,
      sym__unquoted_identifier,
    STATE(1039), 1,
      sym__keyword_or,
    STATE(1040), 1,
      sym__keyword_and,
    STATE(1048), 1,
      sym__keyword_in,
    STATE(1439), 1,
      sym__keyword_between,
    STATE(12084), 1,
      sym__keyword_is,
    STATE(13023), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16220), 1,
      sym_like_operator,
    STATE(16237), 1,
      sym_quantitve_like_operator,
    ACTIONS(7527), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7531), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7517), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7521), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [258521] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7597), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [258617] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7599), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [258713] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7601), 1,
      aux_sym__keyword_as_token1,
    STATE(12692), 1,
      sym__keyword_as,
    ACTIONS(6128), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [258759] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7603), 1,
      aux_sym__keyword_as_token1,
    STATE(12654), 1,
      sym__keyword_as,
    ACTIONS(6134), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [258805] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7605), 1,
      anon_sym_RBRACK,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [258901] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7607), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [258997] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7609), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [259093] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7611), 1,
      anon_sym_COMMA,
    STATE(9866), 1,
      aux_sym_alter_column_actions_list_repeat1,
    ACTIONS(6277), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [259139] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7613), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [259235] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7615), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [259331] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7617), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [259427] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(14735), 1,
      sym__keyword_as,
    ACTIONS(1474), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1476), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [259473] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(351), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4601), 1,
      anon_sym_LBRACK,
    ACTIONS(4603), 1,
      anon_sym_DOT2,
    ACTIONS(7513), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7515), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7519), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7523), 1,
      anon_sym_PLUS,
    ACTIONS(7525), 1,
      anon_sym_DASH,
    ACTIONS(7529), 1,
      anon_sym_SLASH,
    ACTIONS(7533), 1,
      anon_sym_AMP,
    ACTIONS(7535), 1,
      anon_sym_CARET,
    ACTIONS(7537), 1,
      anon_sym_PIPE,
    ACTIONS(7619), 1,
      sym__unquoted_identifier,
    STATE(1039), 1,
      sym__keyword_or,
    STATE(1040), 1,
      sym__keyword_and,
    STATE(1048), 1,
      sym__keyword_in,
    STATE(1439), 1,
      sym__keyword_between,
    STATE(12084), 1,
      sym__keyword_is,
    STATE(13023), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16220), 1,
      sym_like_operator,
    STATE(16237), 1,
      sym_quantitve_like_operator,
    ACTIONS(7527), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7531), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7517), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7521), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [259569] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7621), 1,
      aux_sym__keyword_then_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [259665] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7623), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [259761] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7625), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [259857] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7627), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [259953] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7629), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [260049] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7631), 1,
      aux_sym__keyword_as_token1,
    STATE(12655), 1,
      sym__keyword_as,
    ACTIONS(6142), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [260095] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(351), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4601), 1,
      anon_sym_LBRACK,
    ACTIONS(4603), 1,
      anon_sym_DOT2,
    ACTIONS(7513), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7515), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7519), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7523), 1,
      anon_sym_PLUS,
    ACTIONS(7525), 1,
      anon_sym_DASH,
    ACTIONS(7529), 1,
      anon_sym_SLASH,
    ACTIONS(7533), 1,
      anon_sym_AMP,
    ACTIONS(7535), 1,
      anon_sym_CARET,
    ACTIONS(7537), 1,
      anon_sym_PIPE,
    ACTIONS(7633), 1,
      sym__unquoted_identifier,
    STATE(1039), 1,
      sym__keyword_or,
    STATE(1040), 1,
      sym__keyword_and,
    STATE(1048), 1,
      sym__keyword_in,
    STATE(1439), 1,
      sym__keyword_between,
    STATE(12084), 1,
      sym__keyword_is,
    STATE(13023), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16220), 1,
      sym_like_operator,
    STATE(16237), 1,
      sym_quantitve_like_operator,
    ACTIONS(7527), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7531), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7517), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7521), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [260191] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7635), 1,
      aux_sym__keyword_as_token1,
    STATE(12635), 1,
      sym__keyword_as,
    ACTIONS(6148), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [260237] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7637), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [260333] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7639), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [260429] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7641), 1,
      anon_sym_LPAREN,
    ACTIONS(1622), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1624), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [260475] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7301), 1,
      aux_sym__keyword_as_token1,
    STATE(12609), 1,
      sym__keyword_as,
    ACTIONS(5437), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [260521] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7643), 1,
      aux_sym_default_clause_token1,
    STATE(8356), 1,
      sym_default_clause,
    ACTIONS(6321), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [260567] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7645), 1,
      anon_sym_RBRACK,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [260663] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7647), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [260759] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7649), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [260855] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7651), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [260951] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7297), 1,
      aux_sym__keyword_as_token1,
    STATE(12607), 1,
      sym__keyword_as,
    ACTIONS(5421), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [260997] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7653), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [261093] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7655), 1,
      aux_sym__keyword_as_token1,
    STATE(12604), 1,
      sym__keyword_as,
    ACTIONS(6154), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [261139] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7657), 1,
      anon_sym_RBRACK,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [261235] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3218), 1,
      aux_sym_using_clause_token1,
    STATE(8333), 1,
      sym_using_clause,
    ACTIONS(6339), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [261281] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7659), 1,
      aux_sym__keyword_as_token1,
    STATE(12600), 1,
      sym__keyword_as,
    ACTIONS(6160), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [261327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1510), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1508), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [261371] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7661), 1,
      aux_sym__keyword_as_token1,
    STATE(12586), 1,
      sym__keyword_as,
    ACTIONS(6166), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [261417] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7663), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [261513] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7665), 1,
      aux_sym__keyword_as_token1,
    STATE(12610), 1,
      sym__keyword_as,
    ACTIONS(6176), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [261559] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(351), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4601), 1,
      anon_sym_LBRACK,
    ACTIONS(4603), 1,
      anon_sym_DOT2,
    ACTIONS(7513), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7515), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7519), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7523), 1,
      anon_sym_PLUS,
    ACTIONS(7525), 1,
      anon_sym_DASH,
    ACTIONS(7529), 1,
      anon_sym_SLASH,
    ACTIONS(7533), 1,
      anon_sym_AMP,
    ACTIONS(7535), 1,
      anon_sym_CARET,
    ACTIONS(7537), 1,
      anon_sym_PIPE,
    ACTIONS(7667), 1,
      sym__unquoted_identifier,
    STATE(1039), 1,
      sym__keyword_or,
    STATE(1040), 1,
      sym__keyword_and,
    STATE(1048), 1,
      sym__keyword_in,
    STATE(1439), 1,
      sym__keyword_between,
    STATE(12084), 1,
      sym__keyword_is,
    STATE(13023), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16220), 1,
      sym_like_operator,
    STATE(16237), 1,
      sym_quantitve_like_operator,
    ACTIONS(7527), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7531), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7517), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7521), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [261655] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1039), 1,
      sym__keyword_or,
    STATE(1040), 1,
      sym__keyword_and,
    STATE(1048), 1,
      sym__keyword_in,
    STATE(1439), 1,
      sym__keyword_between,
    STATE(12084), 1,
      sym__keyword_is,
    STATE(13023), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16220), 1,
      sym_like_operator,
    STATE(16237), 1,
      sym_quantitve_like_operator,
    ACTIONS(1021), 13,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1019), 14,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [261717] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(7513), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7515), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7519), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7523), 1,
      anon_sym_PLUS,
    ACTIONS(7525), 1,
      anon_sym_DASH,
    ACTIONS(7529), 1,
      anon_sym_SLASH,
    ACTIONS(7533), 1,
      anon_sym_AMP,
    ACTIONS(7535), 1,
      anon_sym_CARET,
    ACTIONS(7537), 1,
      anon_sym_PIPE,
    STATE(1039), 1,
      sym__keyword_or,
    STATE(1040), 1,
      sym__keyword_and,
    STATE(1048), 1,
      sym__keyword_in,
    STATE(1439), 1,
      sym__keyword_between,
    STATE(12084), 1,
      sym__keyword_is,
    STATE(13023), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16220), 1,
      sym_like_operator,
    STATE(16237), 1,
      sym_quantitve_like_operator,
    ACTIONS(1027), 2,
      anon_sym_LBRACK,
      anon_sym_DOT2,
    ACTIONS(1029), 2,
      aux_sym__keyword_like_token1,
      sym__unquoted_identifier,
    ACTIONS(7527), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7531), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7517), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7521), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [261809] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4701), 1,
      aux_sym__keyword_as_token1,
    STATE(12863), 1,
      sym__keyword_as,
    ACTIONS(4029), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [261855] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(351), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4601), 1,
      anon_sym_LBRACK,
    ACTIONS(4603), 1,
      anon_sym_DOT2,
    ACTIONS(7513), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7515), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7519), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7523), 1,
      anon_sym_PLUS,
    ACTIONS(7525), 1,
      anon_sym_DASH,
    ACTIONS(7529), 1,
      anon_sym_SLASH,
    ACTIONS(7533), 1,
      anon_sym_AMP,
    ACTIONS(7535), 1,
      anon_sym_CARET,
    ACTIONS(7537), 1,
      anon_sym_PIPE,
    ACTIONS(7669), 1,
      sym__unquoted_identifier,
    STATE(1039), 1,
      sym__keyword_or,
    STATE(1040), 1,
      sym__keyword_and,
    STATE(1048), 1,
      sym__keyword_in,
    STATE(1439), 1,
      sym__keyword_between,
    STATE(12084), 1,
      sym__keyword_is,
    STATE(13023), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16220), 1,
      sym_like_operator,
    STATE(16237), 1,
      sym_quantitve_like_operator,
    ACTIONS(7527), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7531), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7517), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7521), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [261951] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7671), 1,
      aux_sym_alter_table_rename_statement_token2,
    ACTIONS(1524), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1526), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [261997] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7309), 1,
      aux_sym__keyword_as_token1,
    STATE(12418), 1,
      sym__keyword_as,
    ACTIONS(5652), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [262043] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7311), 1,
      aux_sym__keyword_as_token1,
    STATE(12382), 1,
      sym__keyword_as,
    ACTIONS(5336), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [262089] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6053), 1,
      aux_sym__keyword_as_token1,
    STATE(12378), 1,
      sym__keyword_as,
    ACTIONS(4813), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [262135] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7673), 1,
      anon_sym_LPAREN,
    ACTIONS(1624), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1622), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [262181] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7313), 1,
      aux_sym__keyword_as_token1,
    STATE(12856), 1,
      sym__keyword_as,
    ACTIONS(5459), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [262227] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7675), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [262323] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 1,
      aux_sym__keyword_as_token1,
    STATE(12387), 1,
      sym__keyword_as,
    ACTIONS(4827), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [262369] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7315), 1,
      aux_sym__keyword_as_token1,
    STATE(12338), 1,
      sym__keyword_as,
    ACTIONS(5363), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [262415] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7317), 1,
      aux_sym__keyword_as_token1,
    STATE(12337), 1,
      sym__keyword_as,
    ACTIONS(5379), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [262461] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7677), 1,
      anon_sym_RBRACK,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [262557] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7679), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [262653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1738), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1736), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [262697] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7681), 1,
      aux_sym__keyword_as_token1,
    STATE(12335), 1,
      sym__keyword_as,
    ACTIONS(6213), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [262743] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7683), 1,
      aux_sym__keyword_as_token1,
    STATE(12334), 1,
      sym__keyword_as,
    ACTIONS(6219), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [262789] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7319), 1,
      aux_sym__keyword_as_token1,
    STATE(12328), 1,
      sym__keyword_as,
    ACTIONS(5395), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [262835] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7321), 1,
      aux_sym__keyword_as_token1,
    STATE(12324), 1,
      sym__keyword_as,
    ACTIONS(5401), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [262881] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7685), 1,
      aux_sym__keyword_as_token1,
    STATE(12318), 1,
      sym__keyword_as,
    ACTIONS(6235), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [262927] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7403), 1,
      anon_sym_PLUS,
    ACTIONS(7405), 1,
      anon_sym_DASH,
    ACTIONS(7409), 1,
      anon_sym_SLASH,
    ACTIONS(7413), 1,
      anon_sym_AMP,
    ACTIONS(7415), 1,
      anon_sym_CARET,
    ACTIONS(7417), 1,
      anon_sym_PIPE,
    STATE(1098), 1,
      sym__keyword_in,
    STATE(1109), 1,
      sym__keyword_and,
    STATE(1111), 1,
      sym__keyword_or,
    STATE(1823), 1,
      sym__keyword_between,
    STATE(12094), 1,
      sym__keyword_is,
    STATE(13164), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16327), 1,
      sym_like_operator,
    STATE(16328), 1,
      sym_quantitve_like_operator,
    ACTIONS(921), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7407), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7411), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(917), 15,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [263005] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7687), 1,
      aux_sym__keyword_then_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [263101] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7689), 1,
      aux_sym__keyword_as_token1,
    STATE(12317), 1,
      sym__keyword_as,
    ACTIONS(6241), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [263147] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7403), 1,
      anon_sym_PLUS,
    ACTIONS(7405), 1,
      anon_sym_DASH,
    ACTIONS(7409), 1,
      anon_sym_SLASH,
    STATE(1098), 1,
      sym__keyword_in,
    STATE(1109), 1,
      sym__keyword_and,
    STATE(1111), 1,
      sym__keyword_or,
    STATE(1823), 1,
      sym__keyword_between,
    STATE(12094), 1,
      sym__keyword_is,
    STATE(13164), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16327), 1,
      sym_like_operator,
    STATE(16328), 1,
      sym_quantitve_like_operator,
    ACTIONS(7407), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(921), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(917), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [263217] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7403), 1,
      anon_sym_PLUS,
    ACTIONS(7405), 1,
      anon_sym_DASH,
    ACTIONS(7409), 1,
      anon_sym_SLASH,
    STATE(1098), 1,
      sym__keyword_in,
    STATE(1109), 1,
      sym__keyword_and,
    STATE(1111), 1,
      sym__keyword_or,
    STATE(1823), 1,
      sym__keyword_between,
    STATE(12094), 1,
      sym__keyword_is,
    STATE(13164), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16327), 1,
      sym_like_operator,
    STATE(16328), 1,
      sym_quantitve_like_operator,
    ACTIONS(7407), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7411), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(921), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(917), 17,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
  [263289] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7403), 1,
      anon_sym_PLUS,
    ACTIONS(7405), 1,
      anon_sym_DASH,
    ACTIONS(7409), 1,
      anon_sym_SLASH,
    ACTIONS(7413), 1,
      anon_sym_AMP,
    STATE(1098), 1,
      sym__keyword_in,
    STATE(1109), 1,
      sym__keyword_and,
    STATE(1111), 1,
      sym__keyword_or,
    STATE(1823), 1,
      sym__keyword_between,
    STATE(12094), 1,
      sym__keyword_is,
    STATE(13164), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16327), 1,
      sym_like_operator,
    STATE(16328), 1,
      sym_quantitve_like_operator,
    ACTIONS(7407), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7411), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(921), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(917), 16,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
  [263363] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7403), 1,
      anon_sym_PLUS,
    ACTIONS(7405), 1,
      anon_sym_DASH,
    ACTIONS(7409), 1,
      anon_sym_SLASH,
    ACTIONS(7413), 1,
      anon_sym_AMP,
    ACTIONS(7415), 1,
      anon_sym_CARET,
    STATE(1098), 1,
      sym__keyword_in,
    STATE(1109), 1,
      sym__keyword_and,
    STATE(1111), 1,
      sym__keyword_or,
    STATE(1823), 1,
      sym__keyword_between,
    STATE(12094), 1,
      sym__keyword_is,
    STATE(13164), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16327), 1,
      sym_like_operator,
    STATE(16328), 1,
      sym_quantitve_like_operator,
    ACTIONS(7407), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7411), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(921), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(917), 15,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [263439] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(7391), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7393), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7403), 1,
      anon_sym_PLUS,
    ACTIONS(7405), 1,
      anon_sym_DASH,
    ACTIONS(7409), 1,
      anon_sym_SLASH,
    ACTIONS(7413), 1,
      anon_sym_AMP,
    ACTIONS(7415), 1,
      anon_sym_CARET,
    ACTIONS(7417), 1,
      anon_sym_PIPE,
    STATE(1098), 1,
      sym__keyword_in,
    STATE(1109), 1,
      sym__keyword_and,
    STATE(1111), 1,
      sym__keyword_or,
    STATE(1823), 1,
      sym__keyword_between,
    STATE(12094), 1,
      sym__keyword_is,
    STATE(13164), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16327), 1,
      sym_like_operator,
    STATE(16328), 1,
      sym_quantitve_like_operator,
    ACTIONS(7401), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7407), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7411), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(917), 6,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
    ACTIONS(7395), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [263525] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(7391), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7393), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7397), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7403), 1,
      anon_sym_PLUS,
    ACTIONS(7405), 1,
      anon_sym_DASH,
    ACTIONS(7409), 1,
      anon_sym_SLASH,
    ACTIONS(7413), 1,
      anon_sym_AMP,
    ACTIONS(7415), 1,
      anon_sym_CARET,
    ACTIONS(7417), 1,
      anon_sym_PIPE,
    STATE(1098), 1,
      sym__keyword_in,
    STATE(1109), 1,
      sym__keyword_and,
    STATE(1111), 1,
      sym__keyword_or,
    STATE(1823), 1,
      sym__keyword_between,
    STATE(12094), 1,
      sym__keyword_is,
    STATE(13164), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16327), 1,
      sym_like_operator,
    STATE(16328), 1,
      sym_quantitve_like_operator,
    ACTIONS(7401), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7407), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7411), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(917), 5,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
    ACTIONS(7395), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [263613] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7691), 1,
      aux_sym__keyword_as_token1,
    STATE(12316), 1,
      sym__keyword_as,
    ACTIONS(6247), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [263659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1698), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1696), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [263703] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7693), 1,
      aux_sym__keyword_as_token1,
    STATE(12315), 1,
      sym__keyword_as,
    ACTIONS(6253), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [263749] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7409), 1,
      anon_sym_SLASH,
    STATE(1098), 1,
      sym__keyword_in,
    STATE(1109), 1,
      sym__keyword_and,
    STATE(1111), 1,
      sym__keyword_or,
    STATE(1823), 1,
      sym__keyword_between,
    STATE(12094), 1,
      sym__keyword_is,
    STATE(13164), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16327), 1,
      sym_like_operator,
    STATE(16328), 1,
      sym_quantitve_like_operator,
    ACTIONS(7407), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(921), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PIPE,
    ACTIONS(917), 20,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [263815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1516), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1518), 20,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [263859] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7403), 1,
      anon_sym_PLUS,
    ACTIONS(7405), 1,
      anon_sym_DASH,
    ACTIONS(7409), 1,
      anon_sym_SLASH,
    ACTIONS(7413), 1,
      anon_sym_AMP,
    ACTIONS(7415), 1,
      anon_sym_CARET,
    ACTIONS(7417), 1,
      anon_sym_PIPE,
    STATE(1098), 1,
      sym__keyword_in,
    STATE(1109), 1,
      sym__keyword_and,
    STATE(1111), 1,
      sym__keyword_or,
    STATE(1823), 1,
      sym__keyword_between,
    STATE(12094), 1,
      sym__keyword_is,
    STATE(13164), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16327), 1,
      sym_like_operator,
    STATE(16328), 1,
      sym_quantitve_like_operator,
    ACTIONS(1037), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7407), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7411), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1035), 15,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [263937] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7403), 1,
      anon_sym_PLUS,
    ACTIONS(7405), 1,
      anon_sym_DASH,
    ACTIONS(7409), 1,
      anon_sym_SLASH,
    ACTIONS(7413), 1,
      anon_sym_AMP,
    ACTIONS(7415), 1,
      anon_sym_CARET,
    ACTIONS(7417), 1,
      anon_sym_PIPE,
    STATE(1098), 1,
      sym__keyword_in,
    STATE(1109), 1,
      sym__keyword_and,
    STATE(1111), 1,
      sym__keyword_or,
    STATE(1823), 1,
      sym__keyword_between,
    STATE(12094), 1,
      sym__keyword_is,
    STATE(13164), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16327), 1,
      sym_like_operator,
    STATE(16328), 1,
      sym_quantitve_like_operator,
    ACTIONS(1033), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7407), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7411), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1031), 15,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [264015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1518), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1516), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [264059] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(351), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4601), 1,
      anon_sym_LBRACK,
    ACTIONS(4603), 1,
      anon_sym_DOT2,
    ACTIONS(7513), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7515), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7519), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7523), 1,
      anon_sym_PLUS,
    ACTIONS(7525), 1,
      anon_sym_DASH,
    ACTIONS(7529), 1,
      anon_sym_SLASH,
    ACTIONS(7533), 1,
      anon_sym_AMP,
    ACTIONS(7535), 1,
      anon_sym_CARET,
    ACTIONS(7537), 1,
      anon_sym_PIPE,
    ACTIONS(7695), 1,
      sym__unquoted_identifier,
    STATE(1039), 1,
      sym__keyword_or,
    STATE(1040), 1,
      sym__keyword_and,
    STATE(1048), 1,
      sym__keyword_in,
    STATE(1439), 1,
      sym__keyword_between,
    STATE(12084), 1,
      sym__keyword_is,
    STATE(13023), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16220), 1,
      sym_like_operator,
    STATE(16237), 1,
      sym_quantitve_like_operator,
    ACTIONS(7527), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7531), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7517), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7521), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [264155] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4715), 1,
      aux_sym__keyword_as_token1,
    STATE(12567), 1,
      sym__keyword_as,
    ACTIONS(4143), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [264201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1518), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1516), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [264245] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7403), 1,
      anon_sym_PLUS,
    ACTIONS(7405), 1,
      anon_sym_DASH,
    ACTIONS(7409), 1,
      anon_sym_SLASH,
    ACTIONS(7413), 1,
      anon_sym_AMP,
    ACTIONS(7415), 1,
      anon_sym_CARET,
    ACTIONS(7417), 1,
      anon_sym_PIPE,
    STATE(1098), 1,
      sym__keyword_in,
    STATE(1109), 1,
      sym__keyword_and,
    STATE(1111), 1,
      sym__keyword_or,
    STATE(1823), 1,
      sym__keyword_between,
    STATE(12094), 1,
      sym__keyword_is,
    STATE(13164), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16327), 1,
      sym_like_operator,
    STATE(16328), 1,
      sym_quantitve_like_operator,
    ACTIONS(949), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7407), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7411), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(947), 15,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [264323] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7697), 1,
      aux_sym_alter_table_rename_statement_token2,
    ACTIONS(1526), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1524), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [264369] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7347), 1,
      aux_sym__keyword_as_token1,
    STATE(12168), 1,
      sym__keyword_as,
    ACTIONS(5316), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [264415] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4539), 36,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [264457] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(351), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4601), 1,
      anon_sym_LBRACK,
    ACTIONS(4603), 1,
      anon_sym_DOT2,
    ACTIONS(7513), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7515), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7519), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7523), 1,
      anon_sym_PLUS,
    ACTIONS(7525), 1,
      anon_sym_DASH,
    ACTIONS(7529), 1,
      anon_sym_SLASH,
    ACTIONS(7533), 1,
      anon_sym_AMP,
    ACTIONS(7535), 1,
      anon_sym_CARET,
    ACTIONS(7537), 1,
      anon_sym_PIPE,
    ACTIONS(7699), 1,
      sym__unquoted_identifier,
    STATE(1039), 1,
      sym__keyword_or,
    STATE(1040), 1,
      sym__keyword_and,
    STATE(1048), 1,
      sym__keyword_in,
    STATE(1439), 1,
      sym__keyword_between,
    STATE(12084), 1,
      sym__keyword_is,
    STATE(13023), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16220), 1,
      sym_like_operator,
    STATE(16237), 1,
      sym_quantitve_like_operator,
    ACTIONS(7527), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7531), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7517), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7521), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [264553] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7701), 1,
      anon_sym_RBRACK,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [264649] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7703), 1,
      aux_sym__keyword_end_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [264745] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(351), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4601), 1,
      anon_sym_LBRACK,
    ACTIONS(4603), 1,
      anon_sym_DOT2,
    ACTIONS(7513), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7515), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7519), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7523), 1,
      anon_sym_PLUS,
    ACTIONS(7525), 1,
      anon_sym_DASH,
    ACTIONS(7529), 1,
      anon_sym_SLASH,
    ACTIONS(7533), 1,
      anon_sym_AMP,
    ACTIONS(7535), 1,
      anon_sym_CARET,
    ACTIONS(7537), 1,
      anon_sym_PIPE,
    ACTIONS(7705), 1,
      sym__unquoted_identifier,
    STATE(1039), 1,
      sym__keyword_or,
    STATE(1040), 1,
      sym__keyword_and,
    STATE(1048), 1,
      sym__keyword_in,
    STATE(1439), 1,
      sym__keyword_between,
    STATE(12084), 1,
      sym__keyword_is,
    STATE(13023), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16220), 1,
      sym_like_operator,
    STATE(16237), 1,
      sym_quantitve_like_operator,
    ACTIONS(7527), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7531), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7517), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7521), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [264841] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1039), 1,
      sym__keyword_or,
    STATE(1040), 1,
      sym__keyword_and,
    STATE(1048), 1,
      sym__keyword_in,
    STATE(1439), 1,
      sym__keyword_between,
    STATE(12084), 1,
      sym__keyword_is,
    STATE(13023), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16220), 1,
      sym_like_operator,
    STATE(16237), 1,
      sym_quantitve_like_operator,
    ACTIONS(921), 13,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(917), 14,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [264903] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7403), 1,
      anon_sym_PLUS,
    ACTIONS(7405), 1,
      anon_sym_DASH,
    ACTIONS(7409), 1,
      anon_sym_SLASH,
    ACTIONS(7413), 1,
      anon_sym_AMP,
    ACTIONS(7415), 1,
      anon_sym_CARET,
    ACTIONS(7417), 1,
      anon_sym_PIPE,
    STATE(1098), 1,
      sym__keyword_in,
    STATE(1109), 1,
      sym__keyword_and,
    STATE(1111), 1,
      sym__keyword_or,
    STATE(1823), 1,
      sym__keyword_between,
    STATE(12094), 1,
      sym__keyword_is,
    STATE(13164), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16327), 1,
      sym_like_operator,
    STATE(16328), 1,
      sym_quantitve_like_operator,
    ACTIONS(1041), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7407), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7411), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1039), 15,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [264981] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6261), 1,
      aux_sym__keyword_as_token1,
    STATE(12286), 1,
      sym__keyword_as,
    ACTIONS(4965), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [265027] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6259), 1,
      aux_sym__keyword_as_token1,
    STATE(12290), 1,
      sym__keyword_as,
    ACTIONS(4973), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [265073] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5204), 1,
      aux_sym__keyword_as_token1,
    STATE(12285), 1,
      sym__keyword_as,
    ACTIONS(4512), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [265119] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5216), 1,
      aux_sym__keyword_as_token1,
    STATE(12284), 1,
      sym__keyword_as,
    ACTIONS(4506), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [265165] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6227), 1,
      aux_sym__keyword_as_token1,
    STATE(12283), 1,
      sym__keyword_as,
    ACTIONS(4995), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [265211] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6225), 1,
      aux_sym__keyword_as_token1,
    STATE(12282), 1,
      sym__keyword_as,
    ACTIONS(5001), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [265257] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7325), 1,
      aux_sym__keyword_as_token1,
    STATE(12261), 1,
      sym__keyword_as,
    ACTIONS(5509), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [265303] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7327), 1,
      aux_sym__keyword_as_token1,
    STATE(12259), 1,
      sym__keyword_as,
    ACTIONS(5521), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [265349] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7707), 1,
      anon_sym_RBRACK,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [265445] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7709), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [265541] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6140), 1,
      aux_sym__keyword_as_token1,
    STATE(12254), 1,
      sym__keyword_as,
    ACTIONS(5007), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [265587] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6118), 1,
      aux_sym__keyword_as_token1,
    STATE(12248), 1,
      sym__keyword_as,
    ACTIONS(5029), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [265633] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7643), 1,
      aux_sym_default_clause_token1,
    STATE(8057), 1,
      sym_default_clause,
    ACTIONS(6229), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [265679] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7329), 1,
      aux_sym__keyword_as_token1,
    STATE(12247), 1,
      sym__keyword_as,
    ACTIONS(5308), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [265725] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7331), 1,
      aux_sym__keyword_as_token1,
    STATE(12246), 1,
      sym__keyword_as,
    ACTIONS(5541), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [265771] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7711), 1,
      aux_sym__keyword_end_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [265867] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7713), 1,
      aux_sym__keyword_as_token1,
    STATE(12245), 1,
      sym__keyword_as,
    ACTIONS(6353), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [265913] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7715), 1,
      aux_sym__keyword_as_token1,
    STATE(12244), 1,
      sym__keyword_as,
    ACTIONS(6359), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [265959] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7333), 1,
      aux_sym__keyword_as_token1,
    STATE(12242), 1,
      sym__keyword_as,
    ACTIONS(5553), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [266005] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7323), 1,
      aux_sym__keyword_as_token1,
    STATE(12241), 1,
      sym__keyword_as,
    ACTIONS(5559), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [266051] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7717), 1,
      aux_sym__keyword_as_token1,
    STATE(12217), 1,
      sym__keyword_as,
    ACTIONS(6371), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [266097] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7719), 1,
      anon_sym_LPAREN,
    ACTIONS(1624), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1622), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [266143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1790), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1788), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [266187] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7339), 1,
      aux_sym__keyword_as_token1,
    STATE(12262), 1,
      sym__keyword_as,
    ACTIONS(5385), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [266233] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7721), 1,
      aux_sym_alter_table_rename_statement_token2,
    ACTIONS(1526), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1524), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [266279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1832), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1830), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [266323] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      aux_sym__keyword_as_token1,
    STATE(12270), 1,
      sym__keyword_as,
    ACTIONS(4023), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [266369] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4727), 1,
      aux_sym__keyword_as_token1,
    STATE(12281), 1,
      sym__keyword_as,
    ACTIONS(4119), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [266415] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7723), 1,
      aux_sym__keyword_as_token1,
    STATE(12291), 1,
      sym__keyword_as,
    ACTIONS(6263), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [266461] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7725), 1,
      aux_sym__keyword_as_token1,
    STATE(12219), 1,
      sym__keyword_as,
    ACTIONS(6365), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [266507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1830), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1832), 20,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [266551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1788), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1790), 20,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [266595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1508), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1510), 20,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [266639] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5188), 1,
      aux_sym__keyword_as_token1,
    STATE(12197), 1,
      sym__keyword_as,
    ACTIONS(4418), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [266685] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5182), 1,
      aux_sym__keyword_as_token1,
    STATE(12196), 1,
      sym__keyword_as,
    ACTIONS(4404), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [266731] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4721), 1,
      aux_sym__keyword_as_token1,
    STATE(12195), 1,
      sym__keyword_as,
    ACTIONS(4113), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [266777] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5164), 1,
      aux_sym__keyword_as_token1,
    STATE(12193), 1,
      sym__keyword_as,
    ACTIONS(4398), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [266823] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5118), 1,
      aux_sym__keyword_as_token1,
    STATE(12192), 1,
      sym__keyword_as,
    ACTIONS(4392), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [266869] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6433), 1,
      aux_sym__keyword_as_token1,
    STATE(12188), 1,
      sym__keyword_as,
    ACTIONS(4959), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [266915] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(351), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4601), 1,
      anon_sym_LBRACK,
    ACTIONS(4603), 1,
      anon_sym_DOT2,
    ACTIONS(7513), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7515), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7519), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7523), 1,
      anon_sym_PLUS,
    ACTIONS(7525), 1,
      anon_sym_DASH,
    ACTIONS(7529), 1,
      anon_sym_SLASH,
    ACTIONS(7533), 1,
      anon_sym_AMP,
    ACTIONS(7535), 1,
      anon_sym_CARET,
    ACTIONS(7537), 1,
      anon_sym_PIPE,
    ACTIONS(7727), 1,
      sym__unquoted_identifier,
    STATE(1039), 1,
      sym__keyword_or,
    STATE(1040), 1,
      sym__keyword_and,
    STATE(1048), 1,
      sym__keyword_in,
    STATE(1439), 1,
      sym__keyword_between,
    STATE(12084), 1,
      sym__keyword_is,
    STATE(13023), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16220), 1,
      sym_like_operator,
    STATE(16237), 1,
      sym_quantitve_like_operator,
    ACTIONS(7527), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7531), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7517), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7521), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [267011] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6431), 1,
      aux_sym__keyword_as_token1,
    STATE(12187), 1,
      sym__keyword_as,
    ACTIONS(4951), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [267057] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5122), 1,
      aux_sym__keyword_as_token1,
    STATE(12185), 1,
      sym__keyword_as,
    ACTIONS(4386), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [267103] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5106), 1,
      aux_sym__keyword_as_token1,
    STATE(12184), 1,
      sym__keyword_as,
    ACTIONS(4380), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [267149] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5130), 1,
      aux_sym__keyword_as_token1,
    STATE(12263), 1,
      sym__keyword_as,
    ACTIONS(4316), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [267195] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6399), 1,
      aux_sym__keyword_as_token1,
    STATE(12179), 1,
      sym__keyword_as,
    ACTIONS(4905), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [267241] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5128), 1,
      aux_sym__keyword_as_token1,
    STATE(12473), 1,
      sym__keyword_as,
    ACTIONS(4322), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [267287] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6397), 1,
      aux_sym__keyword_as_token1,
    STATE(12178), 1,
      sym__keyword_as,
    ACTIONS(4899), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [267333] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7729), 1,
      aux_sym__keyword_as_token1,
    STATE(12172), 1,
      sym__keyword_as,
    ACTIONS(6061), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [267379] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7353), 1,
      aux_sym__keyword_as_token1,
    STATE(12176), 1,
      sym__keyword_as,
    ACTIONS(5547), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [267425] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7345), 1,
      aux_sym__keyword_as_token1,
    STATE(12175), 1,
      sym__keyword_as,
    ACTIONS(5535), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [267471] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7523), 1,
      anon_sym_PLUS,
    ACTIONS(7525), 1,
      anon_sym_DASH,
    ACTIONS(7529), 1,
      anon_sym_SLASH,
    ACTIONS(7533), 1,
      anon_sym_AMP,
    ACTIONS(7535), 1,
      anon_sym_CARET,
    ACTIONS(7537), 1,
      anon_sym_PIPE,
    STATE(1039), 1,
      sym__keyword_or,
    STATE(1040), 1,
      sym__keyword_and,
    STATE(1048), 1,
      sym__keyword_in,
    STATE(1439), 1,
      sym__keyword_between,
    STATE(12084), 1,
      sym__keyword_is,
    STATE(13023), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16220), 1,
      sym_like_operator,
    STATE(16237), 1,
      sym_quantitve_like_operator,
    ACTIONS(7527), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7531), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(947), 7,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(949), 10,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
  [267549] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6391), 1,
      aux_sym__keyword_as_token1,
    STATE(12198), 1,
      sym__keyword_as,
    ACTIONS(4891), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [267595] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6389), 1,
      aux_sym__keyword_as_token1,
    STATE(12174), 1,
      sym__keyword_as,
    ACTIONS(4873), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [267641] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7731), 1,
      aux_sym__keyword_as_token1,
    STATE(12173), 1,
      sym__keyword_as,
    ACTIONS(6069), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [267687] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4795), 1,
      aux_sym__keyword_as_token1,
    STATE(12475), 1,
      sym__keyword_as,
    ACTIONS(4017), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [267733] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7403), 1,
      anon_sym_PLUS,
    ACTIONS(7405), 1,
      anon_sym_DASH,
    ACTIONS(7409), 1,
      anon_sym_SLASH,
    ACTIONS(7413), 1,
      anon_sym_AMP,
    ACTIONS(7415), 1,
      anon_sym_CARET,
    ACTIONS(7417), 1,
      anon_sym_PIPE,
    STATE(1098), 1,
      sym__keyword_in,
    STATE(1109), 1,
      sym__keyword_and,
    STATE(1111), 1,
      sym__keyword_or,
    STATE(1823), 1,
      sym__keyword_between,
    STATE(12094), 1,
      sym__keyword_is,
    STATE(13164), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16327), 1,
      sym_like_operator,
    STATE(16328), 1,
      sym_quantitve_like_operator,
    ACTIONS(1025), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7407), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7411), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1023), 15,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [267811] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(351), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4601), 1,
      anon_sym_LBRACK,
    ACTIONS(4603), 1,
      anon_sym_DOT2,
    ACTIONS(7513), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7515), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7519), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7523), 1,
      anon_sym_PLUS,
    ACTIONS(7525), 1,
      anon_sym_DASH,
    ACTIONS(7529), 1,
      anon_sym_SLASH,
    ACTIONS(7533), 1,
      anon_sym_AMP,
    ACTIONS(7535), 1,
      anon_sym_CARET,
    ACTIONS(7537), 1,
      anon_sym_PIPE,
    ACTIONS(7733), 1,
      sym__unquoted_identifier,
    STATE(1039), 1,
      sym__keyword_or,
    STATE(1040), 1,
      sym__keyword_and,
    STATE(1048), 1,
      sym__keyword_in,
    STATE(1439), 1,
      sym__keyword_between,
    STATE(12084), 1,
      sym__keyword_is,
    STATE(13023), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16220), 1,
      sym_like_operator,
    STATE(16237), 1,
      sym_quantitve_like_operator,
    ACTIONS(7527), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7531), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7517), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7521), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [267907] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7349), 1,
      aux_sym__keyword_as_token1,
    STATE(12167), 1,
      sym__keyword_as,
    ACTIONS(5608), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [267953] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6429), 1,
      aux_sym__keyword_as_token1,
    STATE(12478), 1,
      sym__keyword_as,
    ACTIONS(4985), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [267999] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7735), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [268095] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6415), 1,
      aux_sym__keyword_as_token1,
    STATE(12479), 1,
      sym__keyword_as,
    ACTIONS(5035), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [268141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1510), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1508), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [268185] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5124), 1,
      aux_sym__keyword_as_token1,
    STATE(12472), 1,
      sym__keyword_as,
    ACTIONS(4334), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [268231] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5116), 1,
      aux_sym__keyword_as_token1,
    STATE(12483), 1,
      sym__keyword_as,
    ACTIONS(4340), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [268277] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7737), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [268373] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7739), 1,
      anon_sym_COMMA,
    STATE(9871), 1,
      aux_sym_using_clause_repeat1,
    ACTIONS(6421), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [268419] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7383), 1,
      aux_sym__keyword_as_token1,
    STATE(12468), 1,
      sym__keyword_as,
    ACTIONS(5646), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [268465] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(351), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4601), 1,
      anon_sym_LBRACK,
    ACTIONS(4603), 1,
      anon_sym_DOT2,
    ACTIONS(7513), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7515), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7519), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7523), 1,
      anon_sym_PLUS,
    ACTIONS(7525), 1,
      anon_sym_DASH,
    ACTIONS(7529), 1,
      anon_sym_SLASH,
    ACTIONS(7533), 1,
      anon_sym_AMP,
    ACTIONS(7535), 1,
      anon_sym_CARET,
    ACTIONS(7537), 1,
      anon_sym_PIPE,
    ACTIONS(7741), 1,
      sym__unquoted_identifier,
    STATE(1039), 1,
      sym__keyword_or,
    STATE(1040), 1,
      sym__keyword_and,
    STATE(1048), 1,
      sym__keyword_in,
    STATE(1439), 1,
      sym__keyword_between,
    STATE(12084), 1,
      sym__keyword_is,
    STATE(13023), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16220), 1,
      sym_like_operator,
    STATE(16237), 1,
      sym_quantitve_like_operator,
    ACTIONS(7527), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7531), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7517), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7521), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [268561] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7743), 1,
      anon_sym_RBRACK,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [268657] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7745), 1,
      aux_sym__keyword_then_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [268753] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4761), 1,
      aux_sym__keyword_as_token1,
    STATE(12676), 1,
      sym__keyword_as,
    ACTIONS(4005), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [268799] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7747), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [268895] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4729), 1,
      aux_sym__keyword_as_token1,
    STATE(12191), 1,
      sym__keyword_as,
    ACTIONS(4133), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [268941] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7749), 1,
      aux_sym__keyword_as_token1,
    STATE(12200), 1,
      sym__keyword_as,
    ACTIONS(6299), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [268987] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5084), 1,
      aux_sym__keyword_as_token1,
    STATE(12203), 1,
      sym__keyword_as,
    ACTIONS(4518), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [269033] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5092), 1,
      aux_sym__keyword_as_token1,
    STATE(12204), 1,
      sym__keyword_as,
    ACTIONS(4424), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [269079] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4723), 1,
      aux_sym__keyword_as_token1,
    STATE(12205), 1,
      sym__keyword_as,
    ACTIONS(4107), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [269125] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5120), 1,
      aux_sym__keyword_as_token1,
    STATE(12213), 1,
      sym__keyword_as,
    ACTIONS(4374), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [269171] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5126), 1,
      aux_sym__keyword_as_token1,
    STATE(12215), 1,
      sym__keyword_as,
    ACTIONS(4366), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [269217] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7751), 1,
      aux_sym_while_statement_token2,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [269313] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7753), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [269409] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7755), 1,
      aux_sym__keyword_then_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [269505] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6081), 1,
      aux_sym__keyword_as_token1,
    STATE(12186), 1,
      sym__keyword_as,
    ACTIONS(5021), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [269551] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6075), 1,
      aux_sym__keyword_as_token1,
    STATE(12216), 1,
      sym__keyword_as,
    ACTIONS(4885), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [269597] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5166), 1,
      aux_sym__keyword_as_token1,
    STATE(12218), 1,
      sym__keyword_as,
    ACTIONS(4360), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [269643] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7757), 1,
      aux_sym__keyword_as_token1,
    STATE(15078), 1,
      sym__keyword_as,
    ACTIONS(1476), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1474), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [269691] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7759), 1,
      aux_sym__keyword_then_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [269787] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5067), 1,
      aux_sym__keyword_as_token1,
    STATE(12223), 1,
      sym__keyword_as,
    ACTIONS(4346), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [269833] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7761), 1,
      aux_sym__keyword_then_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [269929] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7763), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [270025] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7765), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [270121] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      aux_sym__keyword_as_token1,
    STATE(12225), 1,
      sym__keyword_as,
    ACTIONS(5407), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [270167] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7739), 1,
      anon_sym_COMMA,
    STATE(9829), 1,
      aux_sym_using_clause_repeat1,
    ACTIONS(6023), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [270213] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1098), 1,
      sym__keyword_in,
    STATE(1109), 1,
      sym__keyword_and,
    STATE(1111), 1,
      sym__keyword_or,
    STATE(1823), 1,
      sym__keyword_between,
    STATE(12094), 1,
      sym__keyword_is,
    STATE(13164), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16327), 1,
      sym_like_operator,
    STATE(16328), 1,
      sym_quantitve_like_operator,
    ACTIONS(1021), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1019), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [270275] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(7391), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7393), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7397), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7403), 1,
      anon_sym_PLUS,
    ACTIONS(7405), 1,
      anon_sym_DASH,
    ACTIONS(7409), 1,
      anon_sym_SLASH,
    ACTIONS(7413), 1,
      anon_sym_AMP,
    ACTIONS(7415), 1,
      anon_sym_CARET,
    ACTIONS(7417), 1,
      anon_sym_PIPE,
    STATE(1098), 1,
      sym__keyword_in,
    STATE(1109), 1,
      sym__keyword_and,
    STATE(1111), 1,
      sym__keyword_or,
    STATE(1823), 1,
      sym__keyword_between,
    STATE(12094), 1,
      sym__keyword_is,
    STATE(13164), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16327), 1,
      sym_like_operator,
    STATE(16328), 1,
      sym_quantitve_like_operator,
    ACTIONS(7401), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7407), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7411), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1027), 4,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
    ACTIONS(7395), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [270365] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7767), 1,
      anon_sym_COMMA,
    STATE(9859), 1,
      aux_sym_alter_column_actions_list_repeat1,
    ACTIONS(6186), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [270411] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7369), 1,
      aux_sym__keyword_as_token1,
    STATE(12226), 1,
      sym__keyword_as,
    ACTIONS(5373), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [270457] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4703), 1,
      aux_sym__keyword_as_token1,
    STATE(12591), 1,
      sym__keyword_as,
    ACTIONS(4011), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [270503] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1098), 1,
      sym__keyword_in,
    STATE(1109), 1,
      sym__keyword_and,
    STATE(1111), 1,
      sym__keyword_or,
    STATE(1823), 1,
      sym__keyword_between,
    STATE(12094), 1,
      sym__keyword_is,
    STATE(13164), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16327), 1,
      sym_like_operator,
    STATE(16328), 1,
      sym_quantitve_like_operator,
    ACTIONS(921), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(917), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [270565] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7770), 1,
      aux_sym__keyword_then_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [270661] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5234), 1,
      aux_sym__keyword_as_token1,
    STATE(12588), 1,
      sym__keyword_as,
    ACTIONS(4328), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [270707] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5236), 1,
      aux_sym__keyword_as_token1,
    STATE(12579), 1,
      sym__keyword_as,
    ACTIONS(4310), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [270753] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7611), 1,
      anon_sym_COMMA,
    STATE(9859), 1,
      aux_sym_alter_column_actions_list_repeat1,
    ACTIONS(6411), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [270799] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7772), 1,
      aux_sym__keyword_then_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [270895] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7774), 1,
      anon_sym_RBRACK,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [270991] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(341), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(351), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4601), 1,
      anon_sym_LBRACK,
    ACTIONS(4603), 1,
      anon_sym_DOT2,
    ACTIONS(7513), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7515), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7519), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7523), 1,
      anon_sym_PLUS,
    ACTIONS(7525), 1,
      anon_sym_DASH,
    ACTIONS(7529), 1,
      anon_sym_SLASH,
    ACTIONS(7533), 1,
      anon_sym_AMP,
    ACTIONS(7535), 1,
      anon_sym_CARET,
    ACTIONS(7537), 1,
      anon_sym_PIPE,
    ACTIONS(7776), 1,
      sym__unquoted_identifier,
    STATE(1039), 1,
      sym__keyword_or,
    STATE(1040), 1,
      sym__keyword_and,
    STATE(1048), 1,
      sym__keyword_in,
    STATE(1439), 1,
      sym__keyword_between,
    STATE(12084), 1,
      sym__keyword_is,
    STATE(13023), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16220), 1,
      sym_like_operator,
    STATE(16237), 1,
      sym_quantitve_like_operator,
    ACTIONS(7527), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7531), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7517), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7521), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [271087] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4737), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7778), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1097), 1,
      sym__keyword_and,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [271183] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7780), 1,
      anon_sym_COMMA,
    STATE(9871), 1,
      aux_sym_using_clause_repeat1,
    ACTIONS(6099), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [271229] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7523), 1,
      anon_sym_PLUS,
    ACTIONS(7525), 1,
      anon_sym_DASH,
    ACTIONS(7529), 1,
      anon_sym_SLASH,
    ACTIONS(7533), 1,
      anon_sym_AMP,
    ACTIONS(7535), 1,
      anon_sym_CARET,
    ACTIONS(7537), 1,
      anon_sym_PIPE,
    STATE(1039), 1,
      sym__keyword_or,
    STATE(1040), 1,
      sym__keyword_and,
    STATE(1048), 1,
      sym__keyword_in,
    STATE(1439), 1,
      sym__keyword_between,
    STATE(12084), 1,
      sym__keyword_is,
    STATE(13023), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16220), 1,
      sym_like_operator,
    STATE(16237), 1,
      sym_quantitve_like_operator,
    ACTIONS(7527), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7531), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1023), 7,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1025), 10,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
  [271307] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7783), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(10437), 1,
      sym_unnest_withoffset,
    ACTIONS(1542), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1540), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [271355] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6067), 1,
      aux_sym__keyword_as_token1,
    STATE(12237), 1,
      sym__keyword_as,
    ACTIONS(4979), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [271401] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6057), 1,
      aux_sym__keyword_as_token1,
    STATE(12236), 1,
      sym__keyword_as,
    ACTIONS(4911), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [271447] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7523), 1,
      anon_sym_PLUS,
    ACTIONS(7525), 1,
      anon_sym_DASH,
    ACTIONS(7529), 1,
      anon_sym_SLASH,
    ACTIONS(7533), 1,
      anon_sym_AMP,
    ACTIONS(7535), 1,
      anon_sym_CARET,
    ACTIONS(7537), 1,
      anon_sym_PIPE,
    STATE(1039), 1,
      sym__keyword_or,
    STATE(1040), 1,
      sym__keyword_and,
    STATE(1048), 1,
      sym__keyword_in,
    STATE(1439), 1,
      sym__keyword_between,
    STATE(12084), 1,
      sym__keyword_is,
    STATE(13023), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16220), 1,
      sym_like_operator,
    STATE(16237), 1,
      sym_quantitve_like_operator,
    ACTIONS(7527), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7531), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(917), 7,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(921), 10,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
  [271525] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7529), 1,
      anon_sym_SLASH,
    STATE(1039), 1,
      sym__keyword_or,
    STATE(1040), 1,
      sym__keyword_and,
    STATE(1048), 1,
      sym__keyword_in,
    STATE(1439), 1,
      sym__keyword_between,
    STATE(12084), 1,
      sym__keyword_is,
    STATE(13023), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16220), 1,
      sym_like_operator,
    STATE(16237), 1,
      sym_quantitve_like_operator,
    ACTIONS(7527), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(917), 12,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(921), 12,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_PIPE,
  [271591] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7785), 1,
      aux_sym__keyword_as_token1,
    STATE(12549), 1,
      sym__keyword_as,
    ACTIONS(6401), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [271637] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7523), 1,
      anon_sym_PLUS,
    ACTIONS(7525), 1,
      anon_sym_DASH,
    ACTIONS(7529), 1,
      anon_sym_SLASH,
    STATE(1039), 1,
      sym__keyword_or,
    STATE(1040), 1,
      sym__keyword_and,
    STATE(1048), 1,
      sym__keyword_in,
    STATE(1439), 1,
      sym__keyword_between,
    STATE(12084), 1,
      sym__keyword_is,
    STATE(13023), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16220), 1,
      sym_like_operator,
    STATE(16237), 1,
      sym_quantitve_like_operator,
    ACTIONS(7527), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(917), 11,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(921), 11,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_PIPE,
  [271707] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7523), 1,
      anon_sym_PLUS,
    ACTIONS(7525), 1,
      anon_sym_DASH,
    ACTIONS(7529), 1,
      anon_sym_SLASH,
    STATE(1039), 1,
      sym__keyword_or,
    STATE(1040), 1,
      sym__keyword_and,
    STATE(1048), 1,
      sym__keyword_in,
    STATE(1439), 1,
      sym__keyword_between,
    STATE(12084), 1,
      sym__keyword_is,
    STATE(13023), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16220), 1,
      sym_like_operator,
    STATE(16237), 1,
      sym_quantitve_like_operator,
    ACTIONS(7527), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7531), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(917), 9,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(921), 11,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_PIPE,
  [271779] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7523), 1,
      anon_sym_PLUS,
    ACTIONS(7525), 1,
      anon_sym_DASH,
    ACTIONS(7529), 1,
      anon_sym_SLASH,
    ACTIONS(7533), 1,
      anon_sym_AMP,
    STATE(1039), 1,
      sym__keyword_or,
    STATE(1040), 1,
      sym__keyword_and,
    STATE(1048), 1,
      sym__keyword_in,
    STATE(1439), 1,
      sym__keyword_between,
    STATE(12084), 1,
      sym__keyword_is,
    STATE(13023), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16220), 1,
      sym_like_operator,
    STATE(16237), 1,
      sym_quantitve_like_operator,
    ACTIONS(7527), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7531), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(917), 8,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
    ACTIONS(921), 11,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_PIPE,
  [271853] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7523), 1,
      anon_sym_PLUS,
    ACTIONS(7525), 1,
      anon_sym_DASH,
    ACTIONS(7529), 1,
      anon_sym_SLASH,
    ACTIONS(7533), 1,
      anon_sym_AMP,
    ACTIONS(7535), 1,
      anon_sym_CARET,
    STATE(1039), 1,
      sym__keyword_or,
    STATE(1040), 1,
      sym__keyword_and,
    STATE(1048), 1,
      sym__keyword_in,
    STATE(1439), 1,
      sym__keyword_between,
    STATE(12084), 1,
      sym__keyword_is,
    STATE(13023), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16220), 1,
      sym_like_operator,
    STATE(16237), 1,
      sym_quantitve_like_operator,
    ACTIONS(7527), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7531), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(917), 7,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(921), 11,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_PIPE,
  [271929] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(7513), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7515), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7523), 1,
      anon_sym_PLUS,
    ACTIONS(7525), 1,
      anon_sym_DASH,
    ACTIONS(7529), 1,
      anon_sym_SLASH,
    ACTIONS(7533), 1,
      anon_sym_AMP,
    ACTIONS(7535), 1,
      anon_sym_CARET,
    ACTIONS(7537), 1,
      anon_sym_PIPE,
    STATE(1039), 1,
      sym__keyword_or,
    STATE(1040), 1,
      sym__keyword_and,
    STATE(1048), 1,
      sym__keyword_in,
    STATE(1439), 1,
      sym__keyword_between,
    STATE(12084), 1,
      sym__keyword_is,
    STATE(13023), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16220), 1,
      sym_like_operator,
    STATE(16237), 1,
      sym_quantitve_like_operator,
    ACTIONS(917), 2,
      anon_sym_LBRACK,
      anon_sym_DOT2,
    ACTIONS(7527), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7531), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7517), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(921), 4,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      sym__unquoted_identifier,
    ACTIONS(7521), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [272017] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(7513), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7515), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7519), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7523), 1,
      anon_sym_PLUS,
    ACTIONS(7525), 1,
      anon_sym_DASH,
    ACTIONS(7529), 1,
      anon_sym_SLASH,
    ACTIONS(7533), 1,
      anon_sym_AMP,
    ACTIONS(7535), 1,
      anon_sym_CARET,
    ACTIONS(7537), 1,
      anon_sym_PIPE,
    STATE(1039), 1,
      sym__keyword_or,
    STATE(1040), 1,
      sym__keyword_and,
    STATE(1048), 1,
      sym__keyword_in,
    STATE(1439), 1,
      sym__keyword_between,
    STATE(12084), 1,
      sym__keyword_is,
    STATE(13023), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16220), 1,
      sym_like_operator,
    STATE(16237), 1,
      sym_quantitve_like_operator,
    ACTIONS(917), 2,
      anon_sym_LBRACK,
      anon_sym_DOT2,
    ACTIONS(7527), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7531), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(921), 3,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_like_token1,
      sym__unquoted_identifier,
    ACTIONS(7517), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7521), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [272107] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7523), 1,
      anon_sym_PLUS,
    ACTIONS(7525), 1,
      anon_sym_DASH,
    ACTIONS(7529), 1,
      anon_sym_SLASH,
    ACTIONS(7533), 1,
      anon_sym_AMP,
    ACTIONS(7535), 1,
      anon_sym_CARET,
    ACTIONS(7537), 1,
      anon_sym_PIPE,
    STATE(1039), 1,
      sym__keyword_or,
    STATE(1040), 1,
      sym__keyword_and,
    STATE(1048), 1,
      sym__keyword_in,
    STATE(1439), 1,
      sym__keyword_between,
    STATE(12084), 1,
      sym__keyword_is,
    STATE(13023), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16220), 1,
      sym_like_operator,
    STATE(16237), 1,
      sym_quantitve_like_operator,
    ACTIONS(7527), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7531), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1039), 7,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1041), 10,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
  [272185] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7523), 1,
      anon_sym_PLUS,
    ACTIONS(7525), 1,
      anon_sym_DASH,
    ACTIONS(7529), 1,
      anon_sym_SLASH,
    ACTIONS(7533), 1,
      anon_sym_AMP,
    ACTIONS(7535), 1,
      anon_sym_CARET,
    ACTIONS(7537), 1,
      anon_sym_PIPE,
    STATE(1039), 1,
      sym__keyword_or,
    STATE(1040), 1,
      sym__keyword_and,
    STATE(1048), 1,
      sym__keyword_in,
    STATE(1439), 1,
      sym__keyword_between,
    STATE(12084), 1,
      sym__keyword_is,
    STATE(13023), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16220), 1,
      sym_like_operator,
    STATE(16237), 1,
      sym_quantitve_like_operator,
    ACTIONS(7527), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7531), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1035), 7,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1037), 10,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
  [272263] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7523), 1,
      anon_sym_PLUS,
    ACTIONS(7525), 1,
      anon_sym_DASH,
    ACTIONS(7529), 1,
      anon_sym_SLASH,
    ACTIONS(7533), 1,
      anon_sym_AMP,
    ACTIONS(7535), 1,
      anon_sym_CARET,
    ACTIONS(7537), 1,
      anon_sym_PIPE,
    STATE(1039), 1,
      sym__keyword_or,
    STATE(1040), 1,
      sym__keyword_and,
    STATE(1048), 1,
      sym__keyword_in,
    STATE(1439), 1,
      sym__keyword_between,
    STATE(12084), 1,
      sym__keyword_is,
    STATE(13023), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16220), 1,
      sym_like_operator,
    STATE(16237), 1,
      sym_quantitve_like_operator,
    ACTIONS(7527), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7531), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1031), 7,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1033), 10,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
  [272341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [272384] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7787), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1340), 1,
      sym__keyword_and,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [272477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1682), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1680), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [272520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1580), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1578), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [272563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1734), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1732), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [272606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1730), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1728), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [272649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1588), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1586), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [272692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1726), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1724), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [272735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1722), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1720), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [272778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1718), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1716), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [272821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1494), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1492), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [272864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1712), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [272907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1710), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1708), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [272950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1860), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1858), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [272993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1706), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1704), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [273036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1702), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1700), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [273079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(921), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(917), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [273122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1694), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1692), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [273165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1690), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1688), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [273208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1650), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1648), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [273251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1584), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1582), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [273294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1678), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1676), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [273337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1674), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1672), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [273380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1828), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1826), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [273423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1670), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1668), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [273466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1666), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1664), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [273509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1656), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [273552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1654), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1652), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [273595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1540), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [273638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1642), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1640), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [273681] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7789), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1153), 1,
      sym__keyword_and,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [273774] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7791), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1167), 1,
      sym__keyword_and,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [273867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1646), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1644), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [273910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1604), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1602), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [273953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1786), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1784), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [273996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1638), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1636), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [274039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1634), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1632), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [274082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1628), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1626), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [274125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1622), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [274168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1620), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1618), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [274211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1614), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [274254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1612), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1610), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [274297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1608), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1606), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [274340] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1848), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1846), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [274383] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7793), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1322), 1,
      sym__keyword_and,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [274476] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7795), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1221), 1,
      sym__keyword_and,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [274569] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7797), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1246), 1,
      sym__keyword_and,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [274662] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7799), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1354), 1,
      sym__keyword_and,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [274755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1856), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1854), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [274798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1742), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1740), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [274841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1468), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1466), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [274884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1456), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1454), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [274927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1836), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1834), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [274970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1746), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1744), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [275013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1840), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1838), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [275056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1750), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1748), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [275099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1844), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1842), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [275142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1440), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1438), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [275185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1434), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [275228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1432), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1430), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [275271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1424), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1422), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [275314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1420), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [275357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1420), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [275400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1758), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1756), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [275443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1762), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1760), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [275486] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1852), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1850), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [275529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1416), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1414), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [275572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1412), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1410), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [275615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1408), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1406), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [275658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1400), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1398), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [275701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1396), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1394), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [275744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [275787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [275830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [275873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [275916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1472), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1470), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [275959] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7801), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1450), 1,
      sym__keyword_and,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [276052] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7803), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1457), 1,
      sym__keyword_and,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [276145] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7805), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1378), 1,
      sym__keyword_and,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [276238] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7807), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1385), 1,
      sym__keyword_and,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [276331] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4783), 35,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [276372] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7809), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1624), 1,
      sym__keyword_and,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [276465] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7811), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1654), 1,
      sym__keyword_and,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [276558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [276601] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7813), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1689), 1,
      sym__keyword_and,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [276694] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7815), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(1731), 1,
      sym__keyword_and,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [276787] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7817), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1661), 1,
      sym__keyword_and,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [276880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [276923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [276966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [277009] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7819), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(1761), 1,
      sym__keyword_and,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [277102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [277145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1770), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1768), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [277188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [277231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1502), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1500), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [277274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1498), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1496), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [277317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1362), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [277360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1362), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [277403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1362), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [277446] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1362), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [277489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1362), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [277532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1388), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1386), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [277575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [277618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [277661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [277704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [277747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [277790] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [277833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [277876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [277919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [277962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [278005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [278048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [278091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [278134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1506), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1504), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [278177] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7821), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1607), 1,
      sym__keyword_and,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [278270] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7823), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1599), 1,
      sym__keyword_and,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [278363] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7825), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1609), 1,
      sym__keyword_and,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [278456] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7827), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1621), 1,
      sym__keyword_and,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [278549] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7829), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1665), 1,
      sym__keyword_and,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [278642] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7831), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1677), 1,
      sym__keyword_and,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [278735] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7833), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1420), 1,
      sym__keyword_and,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [278828] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7835), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1423), 1,
      sym__keyword_and,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [278921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [278964] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7837), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1249), 1,
      sym__keyword_and,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [279057] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7839), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1563), 1,
      sym__keyword_and,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [279150] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7841), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1234), 1,
      sym__keyword_and,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [279243] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [279286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [279329] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [279372] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7843), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1568), 1,
      sym__keyword_and,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [279465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1484), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1486), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [279508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [279551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [279594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1766), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1764), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [279637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1592), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1590), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [279680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1600), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1598), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [279723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1384), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1382), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [279766] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1392), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1390), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [279809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [279852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [279895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [279938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [279981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [280024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [280067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [280110] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [280153] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1780), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1782), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [280196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1780), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1782), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [280239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1776), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1778), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [280282] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1776), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1778), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [280325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1776), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1778), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [280368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1776), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1778), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [280411] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1448), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [280454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1448), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [280497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1448), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [280540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1448), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [280583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1448), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [280626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1448), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [280669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1448), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [280712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1772), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1774), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [280755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [280798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [280841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [280884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [280927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [280970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [281013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [281056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [281099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [281142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [281185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [281228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [281271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1444), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [281314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1752), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1754), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [281357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [281400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [281443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [281486] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [281529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [281572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [281615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [281658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [281701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [281744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [281787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1464), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [281830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1374), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1376), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [281873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1684), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1686), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [281916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [281959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [282002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [282045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [282088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [282131] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [282174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [282217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [282260] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [282303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [282346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [282389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [282432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [282475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [282518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [282561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [282604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [282647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [282690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [282733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [282776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [282819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1356), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [282862] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1394), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1396), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [282905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [282948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [282991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [283034] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [283077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [283120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [283163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [283206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [283249] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [283292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1380), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [283335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1390), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1392), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [283378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1382), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1384), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [283421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1598), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1600), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [283464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [283507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [283550] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [283593] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [283636] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [283679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [283722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [283765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [283808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [283851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [283894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [283937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [283980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [284023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [284066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [284109] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [284152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [284195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [284238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [284281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1366), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [284324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1386), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1388), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [284367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1360), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [284410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1360), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [284453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1360), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [284496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1360), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [284539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1360), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1362), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [284582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1496), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1498), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [284625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1500), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1502), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [284668] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1504), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1506), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [284711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [284754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [284797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [284840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [284883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [284926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [284969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [285012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [285055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [285098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [285141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1372), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [285184] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [285227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1784), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1786), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [285270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1398), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1400), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [285313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1406), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1408), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [285356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1412), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [285399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1414), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1416), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [285442] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1418), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1420), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [285485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1484), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [285528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [285571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [285614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [285657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1418), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1420), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [285700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [285743] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [285786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1422), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1424), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [285829] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [285872] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1430), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1432), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [285915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1434), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1436), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [285958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1438), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1440), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [286001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1838), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1840), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [286044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1834), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1836), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [286087] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [286130] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7845), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1121), 1,
      sym__keyword_and,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [286223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1456), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [286266] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7847), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1366), 1,
      sym__keyword_and,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [286359] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7849), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1259), 1,
      sym__keyword_and,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [286452] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7851), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1271), 1,
      sym__keyword_and,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [286545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1466), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1468), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [286588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1470), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1472), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [286631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1854), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1856), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [286674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1846), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1848), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [286717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1586), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1588), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [286760] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7853), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1403), 1,
      sym__keyword_and,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [286853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1492), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1494), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [286896] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7855), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1406), 1,
      sym__keyword_and,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [286989] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7857), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1388), 1,
      sym__keyword_and,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [287082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1858), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1860), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [287125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1826), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1828), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [287168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1822), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1824), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [287211] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7859), 1,
      aux_sym__keyword_and_token1,
    STATE(934), 1,
      sym__keyword_and,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [287304] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7861), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(1840), 1,
      sym__keyword_and,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [287397] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7863), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1674), 1,
      sym__keyword_and,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [287490] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7865), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1171), 1,
      sym__keyword_and,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [287583] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7867), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1183), 1,
      sym__keyword_and,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [287676] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7869), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1371), 1,
      sym__keyword_and,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [287769] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7871), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(1834), 1,
      sym__keyword_and,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [287862] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7873), 1,
      aux_sym__keyword_and_token1,
    STATE(1070), 1,
      sym__keyword_and,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [287955] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7875), 1,
      aux_sym__keyword_and_token1,
    STATE(1086), 1,
      sym__keyword_and,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [288048] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7877), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1369), 1,
      sym__keyword_and,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [288141] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7879), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(1766), 1,
      sym__keyword_and,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [288234] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7881), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(1760), 1,
      sym__keyword_and,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [288327] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7883), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(1713), 1,
      sym__keyword_and,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [288420] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7885), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1701), 1,
      sym__keyword_and,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [288513] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7887), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1645), 1,
      sym__keyword_and,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [288606] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7889), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1628), 1,
      sym__keyword_and,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [288699] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7891), 1,
      aux_sym__keyword_and_token1,
    STATE(1000), 1,
      sym__keyword_and,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [288792] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7893), 1,
      aux_sym__keyword_and_token1,
    STATE(1025), 1,
      sym__keyword_and,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [288885] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7895), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1268), 1,
      sym__keyword_and,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [288978] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7897), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(1869), 1,
      sym__keyword_and,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [289071] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [289114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [289157] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7899), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1352), 1,
      sym__keyword_and,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [289250] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(561), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(565), 1,
      aux_sym_select_token1,
    ACTIONS(2440), 1,
      sym__unquoted_identifier,
    ACTIONS(2456), 1,
      aux_sym_function_call_token2,
    ACTIONS(2458), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(2482), 1,
      sym__quoted_identifier,
    ACTIONS(7901), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(7903), 1,
      anon_sym_LPAREN,
    STATE(5269), 1,
      sym_unnest_clause,
    STATE(5270), 1,
      sym__cross_join_operation,
    STATE(5271), 1,
      sym__conditional_join_operator,
    STATE(5408), 1,
      sym__identifier,
    STATE(10538), 1,
      sym_unnest_operator,
    STATE(10597), 1,
      sym_identifier,
    STATE(11236), 1,
      sym__type_chrono,
    STATE(12695), 1,
      sym_join_operation,
    STATE(12696), 1,
      sym_from_item,
    STATE(12993), 1,
      sym_cte_clause,
    STATE(14219), 1,
      sym_query_expr,
    STATE(18358), 1,
      sym__keyword_range,
    STATE(10673), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(12414), 2,
      sym_set_operation,
      sym_select,
    STATE(13708), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3530), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5668), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [289341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [289384] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7905), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1345), 1,
      sym__keyword_and,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [289477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [289520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [289563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [289606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [289649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [289692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [289735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [289778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [289821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [289864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [289907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [289950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [289993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1596), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1594), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [290036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1686), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1684), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [290079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1376), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1374), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [290122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [290165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [290208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [290251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [290294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [290337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [290380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [290423] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7907), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1604), 1,
      sym__keyword_and,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [290516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [290559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [290602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [290645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [290688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1754), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1752), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [290731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [290774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [290817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [290860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [290903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [290946] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [290989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [291032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [291075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [291118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [291161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [291204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [291247] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7909), 1,
      aux_sym__keyword_and_token1,
    STATE(958), 1,
      sym__keyword_and,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [291340] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [291383] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7911), 1,
      aux_sym__keyword_and_token1,
    STATE(985), 1,
      sym__keyword_and,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [291476] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7913), 1,
      aux_sym_using_clause_token1,
    ACTIONS(6487), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immadiate_statement_token1,
      aux_sym_return_satement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_create_schema_statement_token1,
      aux_sym_drop_schema_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [291519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [291562] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1774), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1772), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [291605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1448), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1446), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [291648] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1448), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1446), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [291691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1448), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1446), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [291734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1448), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1446), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [291777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1448), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1446), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [291820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1448), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1446), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [291863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1448), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1446), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [291906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1778), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1776), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [291949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1778), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1776), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [291992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1778), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1776), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [292035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1778), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1776), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [292078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1782), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1780), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [292121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1782), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1780), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [292164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [292207] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7915), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(1751), 1,
      sym__keyword_and,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [292300] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7917), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(1786), 1,
      sym__keyword_and,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [292393] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(561), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(565), 1,
      aux_sym_select_token1,
    ACTIONS(2440), 1,
      sym__unquoted_identifier,
    ACTIONS(2456), 1,
      aux_sym_function_call_token2,
    ACTIONS(2458), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(2482), 1,
      sym__quoted_identifier,
    ACTIONS(7901), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(7903), 1,
      anon_sym_LPAREN,
    STATE(5269), 1,
      sym_unnest_clause,
    STATE(5270), 1,
      sym__cross_join_operation,
    STATE(5271), 1,
      sym__conditional_join_operator,
    STATE(5408), 1,
      sym__identifier,
    STATE(10538), 1,
      sym_unnest_operator,
    STATE(10597), 1,
      sym_identifier,
    STATE(11236), 1,
      sym__type_chrono,
    STATE(12695), 1,
      sym_join_operation,
    STATE(12696), 1,
      sym_from_item,
    STATE(12993), 1,
      sym_cte_clause,
    STATE(14339), 1,
      sym_query_expr,
    STATE(18358), 1,
      sym__keyword_range,
    STATE(10673), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(12414), 2,
      sym_set_operation,
      sym_select,
    STATE(13708), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3530), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5668), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [292484] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7919), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1492), 1,
      sym__keyword_and,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [292577] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7921), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1482), 1,
      sym__keyword_and,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [292670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1608), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1606), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [292713] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1612), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1610), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [292756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1614), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [292799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1620), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1618), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [292842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1622), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [292885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1628), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1626), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [292928] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1634), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1632), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [292971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1638), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1636), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [293014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1642), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1640), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [293057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1646), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1644), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [293100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1650), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1648), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [293143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1654), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1652), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [293186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1656), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [293229] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7923), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(1745), 1,
      sym__keyword_and,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [293322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1662), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1660), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [293365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1666), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1664), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [293408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1670), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1668), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [293451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1674), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1672), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [293494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1678), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1676), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [293537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1682), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1680), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [293580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1690), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1688), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [293623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1692), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [293666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(921), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(917), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [293709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1698), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1696), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [293752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1702), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1700), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [293795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1706), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1704), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [293838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1658), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [293881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1710), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1708), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [293924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1712), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [293967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1718), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1716), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [294010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1722), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1720), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [294053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1726), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1724), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [294096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1730), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1728), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [294139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1734), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1732), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [294182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1738), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1736), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [294225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1742), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1740), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [294268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1746), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1744), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [294311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1750), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1748), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [294354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1604), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1602), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [294397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1762), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1760), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [294440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1632), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1634), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [294483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1766), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1764), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [294526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1758), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1756), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [294569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1584), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1582), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [294612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1580), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1578), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [294655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1844), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1842), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [294698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1852), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1850), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [294741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1540), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [294784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1592), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1590), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [294827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1770), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1768), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [294870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1596), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1594), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [294913] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7925), 1,
      aux_sym__keyword_and_token1,
    STATE(1023), 1,
      sym__keyword_and,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [295006] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7927), 1,
      aux_sym__keyword_and_token1,
    STATE(868), 1,
      sym__keyword_and,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [295099] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7929), 1,
      aux_sym__keyword_and_token1,
    STATE(871), 1,
      sym__keyword_and,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [295192] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7931), 1,
      aux_sym__keyword_and_token1,
    STATE(899), 1,
      sym__keyword_and,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [295285] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7933), 1,
      aux_sym__keyword_and_token1,
    STATE(907), 1,
      sym__keyword_and,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [295378] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7935), 1,
      aux_sym__keyword_and_token1,
    STATE(947), 1,
      sym__keyword_and,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [295471] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7937), 1,
      aux_sym__keyword_and_token1,
    STATE(1062), 1,
      sym__keyword_and,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [295564] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(561), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(565), 1,
      aux_sym_select_token1,
    ACTIONS(2440), 1,
      sym__unquoted_identifier,
    ACTIONS(2456), 1,
      aux_sym_function_call_token2,
    ACTIONS(2458), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(2482), 1,
      sym__quoted_identifier,
    ACTIONS(7901), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(7903), 1,
      anon_sym_LPAREN,
    STATE(5269), 1,
      sym_unnest_clause,
    STATE(5270), 1,
      sym__cross_join_operation,
    STATE(5271), 1,
      sym__conditional_join_operator,
    STATE(5408), 1,
      sym__identifier,
    STATE(10538), 1,
      sym_unnest_operator,
    STATE(10597), 1,
      sym_identifier,
    STATE(11236), 1,
      sym__type_chrono,
    STATE(12695), 1,
      sym_join_operation,
    STATE(12696), 1,
      sym_from_item,
    STATE(12993), 1,
      sym_cte_clause,
    STATE(14266), 1,
      sym_query_expr,
    STATE(18358), 1,
      sym__keyword_range,
    STATE(10673), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(12414), 2,
      sym_set_operation,
      sym_select,
    STATE(13708), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3530), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5668), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [295655] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7939), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1296), 1,
      sym__keyword_and,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [295748] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(561), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(565), 1,
      aux_sym_select_token1,
    ACTIONS(2440), 1,
      sym__unquoted_identifier,
    ACTIONS(2456), 1,
      aux_sym_function_call_token2,
    ACTIONS(2458), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(2482), 1,
      sym__quoted_identifier,
    ACTIONS(7901), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(7903), 1,
      anon_sym_LPAREN,
    STATE(5269), 1,
      sym_unnest_clause,
    STATE(5270), 1,
      sym__cross_join_operation,
    STATE(5271), 1,
      sym__conditional_join_operator,
    STATE(5408), 1,
      sym__identifier,
    STATE(10538), 1,
      sym_unnest_operator,
    STATE(10597), 1,
      sym_identifier,
    STATE(11236), 1,
      sym__type_chrono,
    STATE(12695), 1,
      sym_join_operation,
    STATE(12696), 1,
      sym_from_item,
    STATE(12993), 1,
      sym_cte_clause,
    STATE(14256), 1,
      sym_query_expr,
    STATE(18358), 1,
      sym__keyword_range,
    STATE(10673), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(12414), 2,
      sym_set_operation,
      sym_select,
    STATE(13708), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3530), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5668), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [295839] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7941), 1,
      aux_sym__keyword_and_token1,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(1844), 1,
      sym__keyword_and,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [295932] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(561), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(565), 1,
      aux_sym_select_token1,
    ACTIONS(2440), 1,
      sym__unquoted_identifier,
    ACTIONS(2456), 1,
      aux_sym_function_call_token2,
    ACTIONS(2458), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(2482), 1,
      sym__quoted_identifier,
    ACTIONS(7901), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(7903), 1,
      anon_sym_LPAREN,
    STATE(5269), 1,
      sym_unnest_clause,
    STATE(5270), 1,
      sym__cross_join_operation,
    STATE(5271), 1,
      sym__conditional_join_operator,
    STATE(5408), 1,
      sym__identifier,
    STATE(10538), 1,
      sym_unnest_operator,
    STATE(10597), 1,
      sym_identifier,
    STATE(11236), 1,
      sym__type_chrono,
    STATE(12695), 1,
      sym_join_operation,
    STATE(12696), 1,
      sym_from_item,
    STATE(12993), 1,
      sym_cte_clause,
    STATE(14300), 1,
      sym_query_expr,
    STATE(18358), 1,
      sym__keyword_range,
    STATE(10673), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(12414), 2,
      sym_set_operation,
      sym_select,
    STATE(13708), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3530), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5668), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [296023] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1007), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2744), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(4685), 1,
      anon_sym_PLUS,
    ACTIONS(4687), 1,
      anon_sym_DASH,
    ACTIONS(4691), 1,
      anon_sym_SLASH,
    ACTIONS(4695), 1,
      anon_sym_AMP,
    ACTIONS(4697), 1,
      anon_sym_CARET,
    ACTIONS(4699), 1,
      anon_sym_PIPE,
    ACTIONS(4731), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4733), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6013), 1,
      anon_sym_DOT2,
    ACTIONS(7943), 1,
      aux_sym__keyword_and_token1,
    STATE(909), 1,
      sym__keyword_and,
    STATE(1093), 1,
      sym__keyword_between,
    STATE(1114), 1,
      sym__keyword_or,
    STATE(1706), 1,
      sym__keyword_in,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13028), 1,
      sym__keyword_not,
    STATE(14280), 1,
      sym__keyword_like,
    STATE(16131), 1,
      sym_like_operator,
    STATE(16132), 1,
      sym_quantitve_like_operator,
    ACTIONS(4689), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4739), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4735), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [296116] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7673), 1,
      anon_sym_LPAREN,
    ACTIONS(7945), 1,
      anon_sym_EQ_GT,
    ACTIONS(1624), 7,
      aux_sym_keyword_replace_token1,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1622), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [296163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1786), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1784), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [296206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1824), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1822), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [296249] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1828), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1826), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [296292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1860), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1858), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [296335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1494), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1492), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [296378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1848), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1846), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [296421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1856), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1854), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [296464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1472), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1470), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [296507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1764), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1766), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [296550] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1468), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1466), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [296593] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1456), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1454), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [296636] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1836), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1834), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [296679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1840), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1838), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [296722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1440), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1438), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [296765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1434), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [296808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1594), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1596), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [296851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1590), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1592), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [296894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1432), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1430), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [296937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1424), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1422), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [296980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1420), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [297023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1420), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [297066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1416), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1414), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [297109] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1412), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1410), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [297152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1408), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1406), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [297195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1400), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1398), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [297238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1680), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1682), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [297281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1396), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1394), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [297324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [297367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [297410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [297453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1768), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1770), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [297496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [297539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1850), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1852), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [297582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1760), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1762), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [297625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1756), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1758), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [297668] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1842), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1844), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [297711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1748), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1750), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [297754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1744), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1746), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [297797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1740), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1742), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [297840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1736), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1738), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [297883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1578), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1580), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [297926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [297969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [298012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [298055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1732), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1734), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [298098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [298141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1728), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1730), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [298184] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1724), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1726), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [298227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1720), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1722), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [298270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1716), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1718), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [298313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [298356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [298399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1506), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1504), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [298442] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1502), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1500), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [298485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1498), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1496), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [298528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1712), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1714), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [298571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1362), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [298614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1362), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [298657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1708), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1710), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [298700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1362), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [298743] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1362), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [298786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1362), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [298829] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1704), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1706), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [298872] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1388), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1386), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [298915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [298958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [299001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [299044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1700), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1702), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [299087] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [299130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1588), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1586), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [299173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [299216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [299259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [299302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1696), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1698), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [299345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [299388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [299431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [299474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(917), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(921), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [299517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [299560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [299603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [299646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [299689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [299732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1692), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1694), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [299775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1688), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1690), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [299818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [299861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1644), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1646), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [299904] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [299947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [299990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1582), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1584), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [300033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [300076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1600), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1598), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [300119] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1384), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1382), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [300162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1392), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1390), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [300205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [300248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [300291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [300334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [300377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1676), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1678), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [300420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1672), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1674), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [300463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [300506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1668), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1670), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [300549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [300592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [300635] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1664), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1666), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [300678] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [300721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [300764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1660), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1662), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [300807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [300850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1484), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [300893] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [300936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [300979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [301022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [301065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [301108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [301151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [301194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [301237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [301280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [301323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [301366] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [301409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [301452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [301495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [301538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [301581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [301624] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [301667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [301710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [301753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1652), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1654), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [301796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [301839] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1540), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1542), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [301882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [301925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1648), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1650), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [301968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1686), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1684), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [302011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1604), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [302054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1640), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1642), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [302097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1636), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1638), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [302140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [302183] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [302226] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [302269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [302312] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [302355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1626), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1628), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [302398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [302441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [302484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1622), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1624), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [302527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [302570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [302613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [302656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1618), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1620), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [302699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [302742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [302785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1754), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1752), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [302828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [302871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [302914] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1614), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1616), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [302957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1610), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1612), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [303000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [303043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1606), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1608), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [303086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [303129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1376), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1374), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [303172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [303215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [303258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [303301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [303344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [303387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [303430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [303473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [303516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [303559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1774), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1772), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [303602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1448), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1446), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [303645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1448), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1446), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [303688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1448), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1446), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [303731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1448), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1446), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [303774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1448), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1446), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [303817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1448), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1446), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [303860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1448), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1446), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [303903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1778), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1776), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [303946] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1778), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1776), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [303989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1778), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1776), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [304032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1778), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1776), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [304075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1782), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1780), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [304118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1782), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1780), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [304161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [304204] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1514), 1,
      anon_sym_DOT,
    ACTIONS(1532), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT2,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1530), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [304248] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1514), 1,
      anon_sym_DOT,
    ACTIONS(1510), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT2,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1508), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [304292] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2602), 1,
      sym__string_start,
    STATE(10923), 1,
      sym_string,
    ACTIONS(1510), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1508), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [304338] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(5202), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(7947), 1,
      aux_sym__keyword_as_token1,
    STATE(403), 1,
      sym_unnest_withoffset,
    STATE(2405), 1,
      sym__identifier,
    STATE(5100), 1,
      sym__type_chrono,
    STATE(5578), 1,
      sym_identifier,
    STATE(11218), 1,
      sym_as_alias,
    STATE(11518), 1,
      sym__keyword_as,
    ACTIONS(211), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7949), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5101), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(205), 12,
      aux_sym_using_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
  [304406] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10968), 1,
      sym_analytics_clause,
    ACTIONS(1372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [304451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1518), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1516), 28,
      sym__string_start,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [304492] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10825), 1,
      sym_analytics_clause,
    ACTIONS(1404), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1402), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [304537] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10838), 1,
      sym_analytics_clause,
    ACTIONS(1490), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1488), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [304582] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10840), 1,
      sym_analytics_clause,
    ACTIONS(1482), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1480), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [304627] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10845), 1,
      sym_analytics_clause,
    ACTIONS(1472), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1470), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [304672] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10917), 1,
      sym_analytics_clause,
    ACTIONS(1468), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1466), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [304717] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10919), 1,
      sym_analytics_clause,
    ACTIONS(1464), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [304762] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10905), 1,
      sym_analytics_clause,
    ACTIONS(1448), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1446), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [304807] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10870), 1,
      sym_analytics_clause,
    ACTIONS(1460), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1458), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [304852] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10906), 1,
      sym_analytics_clause,
    ACTIONS(1448), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1446), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [304897] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10907), 1,
      sym_analytics_clause,
    ACTIONS(1444), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [304942] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10909), 1,
      sym_analytics_clause,
    ACTIONS(1444), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [304987] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10912), 1,
      sym_analytics_clause,
    ACTIONS(1444), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [305032] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10871), 1,
      sym_analytics_clause,
    ACTIONS(1456), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1454), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [305077] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10872), 1,
      sym_analytics_clause,
    ACTIONS(1452), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1450), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [305122] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10873), 1,
      sym_analytics_clause,
    ACTIONS(1452), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1450), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [305167] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10913), 1,
      sym_analytics_clause,
    ACTIONS(1444), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [305212] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10874), 1,
      sym_analytics_clause,
    ACTIONS(1440), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1438), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [305257] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10875), 1,
      sym_analytics_clause,
    ACTIONS(1436), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1434), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [305302] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10915), 1,
      sym_analytics_clause,
    ACTIONS(1464), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [305347] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10916), 1,
      sym_analytics_clause,
    ACTIONS(1464), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [305392] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10918), 1,
      sym_analytics_clause,
    ACTIONS(1464), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [305437] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10969), 1,
      sym_analytics_clause,
    ACTIONS(1380), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [305482] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10921), 1,
      sym_analytics_clause,
    ACTIONS(1464), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [305527] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10922), 1,
      sym_analytics_clause,
    ACTIONS(1464), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [305572] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10924), 1,
      sym_analytics_clause,
    ACTIONS(1464), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [305617] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10925), 1,
      sym_analytics_clause,
    ACTIONS(1376), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1374), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [305662] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10927), 1,
      sym_analytics_clause,
    ACTIONS(1356), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [305707] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10928), 1,
      sym_analytics_clause,
    ACTIONS(1356), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [305752] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10938), 1,
      sym_analytics_clause,
    ACTIONS(1356), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [305797] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10939), 1,
      sym_analytics_clause,
    ACTIONS(1356), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [305842] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10940), 1,
      sym_analytics_clause,
    ACTIONS(1356), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [305887] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10941), 1,
      sym_analytics_clause,
    ACTIONS(1356), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [305932] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10942), 1,
      sym_analytics_clause,
    ACTIONS(1356), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [305977] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10946), 1,
      sym_analytics_clause,
    ACTIONS(1356), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [306022] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10947), 1,
      sym_analytics_clause,
    ACTIONS(1356), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [306067] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10949), 1,
      sym_analytics_clause,
    ACTIONS(1356), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [306112] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10950), 1,
      sym_analytics_clause,
    ACTIONS(1356), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [306157] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10951), 1,
      sym_analytics_clause,
    ACTIONS(1356), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [306202] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10954), 1,
      sym_analytics_clause,
    ACTIONS(1356), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [306247] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10955), 1,
      sym_analytics_clause,
    ACTIONS(1356), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [306292] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10956), 1,
      sym_analytics_clause,
    ACTIONS(1486), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1484), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [306337] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10957), 1,
      sym_analytics_clause,
    ACTIONS(1380), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [306382] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10960), 1,
      sym_analytics_clause,
    ACTIONS(1380), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [306427] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10876), 1,
      sym_analytics_clause,
    ACTIONS(1432), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1430), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [306472] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10877), 1,
      sym_analytics_clause,
    ACTIONS(1428), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1426), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [306517] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10878), 1,
      sym_analytics_clause,
    ACTIONS(1424), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1422), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [306562] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10963), 1,
      sym_analytics_clause,
    ACTIONS(1380), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [306607] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10879), 1,
      sym_analytics_clause,
    ACTIONS(1420), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [306652] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10966), 1,
      sym_analytics_clause,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [306697] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10972), 1,
      sym_analytics_clause,
    ACTIONS(1380), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [306742] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10973), 1,
      sym_analytics_clause,
    ACTIONS(1380), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [306787] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10820), 1,
      sym_analytics_clause,
    ACTIONS(1420), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [306832] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10882), 1,
      sym_analytics_clause,
    ACTIONS(1420), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [306877] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(11006), 1,
      sym_analytics_clause,
    ACTIONS(1380), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [306922] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10883), 1,
      sym_analytics_clause,
    ACTIONS(1420), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [306967] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(11004), 1,
      sym_analytics_clause,
    ACTIONS(1380), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [307012] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(5701), 1,
      anon_sym_LPAREN,
    ACTIONS(7947), 1,
      aux_sym__keyword_as_token1,
    STATE(2405), 1,
      sym__identifier,
    STATE(5100), 1,
      sym__type_chrono,
    STATE(5268), 1,
      sym_as_alias,
    STATE(5578), 1,
      sym_identifier,
    STATE(11518), 1,
      sym__keyword_as,
    ACTIONS(2940), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7949), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5101), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(2938), 12,
      aux_sym_using_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
  [307077] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10884), 1,
      sym_analytics_clause,
    ACTIONS(1420), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [307122] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10885), 1,
      sym_analytics_clause,
    ACTIONS(1420), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [307167] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(11002), 1,
      sym_analytics_clause,
    ACTIONS(1380), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [307212] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10886), 1,
      sym_analytics_clause,
    ACTIONS(1420), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [307257] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(11001), 1,
      sym_analytics_clause,
    ACTIONS(1380), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [307302] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(11000), 1,
      sym_analytics_clause,
    ACTIONS(1380), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [307347] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10887), 1,
      sym_analytics_clause,
    ACTIONS(1420), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [307392] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10998), 1,
      sym_analytics_clause,
    ACTIONS(1392), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1390), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [307437] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10888), 1,
      sym_analytics_clause,
    ACTIONS(1420), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [307482] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10889), 1,
      sym_analytics_clause,
    ACTIONS(1420), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [307527] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10890), 1,
      sym_analytics_clause,
    ACTIONS(1416), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1414), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [307572] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10997), 1,
      sym_analytics_clause,
    ACTIONS(1384), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1382), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [307617] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10994), 1,
      sym_analytics_clause,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [307662] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10993), 1,
      sym_analytics_clause,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [307707] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10891), 1,
      sym_analytics_clause,
    ACTIONS(1412), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1410), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [307752] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10892), 1,
      sym_analytics_clause,
    ACTIONS(1408), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1406), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [307797] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10893), 1,
      sym_analytics_clause,
    ACTIONS(1400), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1398), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [307842] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10990), 1,
      sym_analytics_clause,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [307887] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10894), 1,
      sym_analytics_clause,
    ACTIONS(1400), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1398), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [307932] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10895), 1,
      sym_analytics_clause,
    ACTIONS(1400), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1398), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [307977] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10987), 1,
      sym_analytics_clause,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [308022] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10896), 1,
      sym_analytics_clause,
    ACTIONS(1400), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1398), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [308067] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10985), 1,
      sym_analytics_clause,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [308112] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10897), 1,
      sym_analytics_clause,
    ACTIONS(1400), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1398), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [308157] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10898), 1,
      sym_analytics_clause,
    ACTIONS(1396), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1394), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [308202] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10984), 1,
      sym_analytics_clause,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [308247] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10899), 1,
      sym_analytics_clause,
    ACTIONS(1372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [308292] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10900), 1,
      sym_analytics_clause,
    ACTIONS(1372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [308337] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10982), 1,
      sym_analytics_clause,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [308382] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10901), 1,
      sym_analytics_clause,
    ACTIONS(1372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [308427] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10902), 1,
      sym_analytics_clause,
    ACTIONS(1372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [308472] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10981), 1,
      sym_analytics_clause,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [308517] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10903), 1,
      sym_analytics_clause,
    ACTIONS(1372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [308562] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10979), 1,
      sym_analytics_clause,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [308607] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10978), 1,
      sym_analytics_clause,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [308652] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10914), 1,
      sym_analytics_clause,
    ACTIONS(1372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [308697] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10977), 1,
      sym_analytics_clause,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [308742] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10976), 1,
      sym_analytics_clause,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [308787] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10995), 1,
      sym_analytics_clause,
    ACTIONS(1372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [308832] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10926), 1,
      sym_analytics_clause,
    ACTIONS(1372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [308877] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10937), 1,
      sym_analytics_clause,
    ACTIONS(1372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [308922] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10945), 1,
      sym_analytics_clause,
    ACTIONS(1372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [308967] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10948), 1,
      sym_analytics_clause,
    ACTIONS(1372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [309012] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10975), 1,
      sym_analytics_clause,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [309057] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10961), 1,
      sym_analytics_clause,
    ACTIONS(1372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [309102] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10962), 1,
      sym_analytics_clause,
    ACTIONS(1372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [309147] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10932), 1,
      sym_analytics_clause,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [309192] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10964), 1,
      sym_analytics_clause,
    ACTIONS(1372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [309237] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10967), 1,
      sym_analytics_clause,
    ACTIONS(1372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [309282] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10958), 1,
      sym_analytics_clause,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [309327] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10970), 1,
      sym_analytics_clause,
    ACTIONS(1372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [309372] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10952), 1,
      sym_analytics_clause,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [309417] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10944), 1,
      sym_analytics_clause,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [309462] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10935), 1,
      sym_analytics_clause,
    ACTIONS(1372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [309507] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10936), 1,
      sym_analytics_clause,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [309552] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10988), 1,
      sym_analytics_clause,
    ACTIONS(1362), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [309597] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(11003), 1,
      sym_analytics_clause,
    ACTIONS(1372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [309642] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10999), 1,
      sym_analytics_clause,
    ACTIONS(1372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [309687] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10869), 1,
      sym_analytics_clause,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [309732] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10842), 1,
      sym_analytics_clause,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [309777] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10911), 1,
      sym_analytics_clause,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [309822] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10992), 1,
      sym_analytics_clause,
    ACTIONS(1388), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1386), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [309867] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10989), 1,
      sym_analytics_clause,
    ACTIONS(1362), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [309912] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10835), 1,
      sym_analytics_clause,
    ACTIONS(1494), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1492), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [309957] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10983), 1,
      sym_analytics_clause,
    ACTIONS(1362), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [310002] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10980), 1,
      sym_analytics_clause,
    ACTIONS(1362), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [310047] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10974), 1,
      sym_analytics_clause,
    ACTIONS(1362), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [310092] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10943), 1,
      sym_analytics_clause,
    ACTIONS(1362), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [310137] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10991), 1,
      sym_analytics_clause,
    ACTIONS(1362), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [310182] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10965), 1,
      sym_analytics_clause,
    ACTIONS(1362), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [310227] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10953), 1,
      sym_analytics_clause,
    ACTIONS(1362), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [310272] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10880), 1,
      sym_analytics_clause,
    ACTIONS(1362), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [310317] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10986), 1,
      sym_analytics_clause,
    ACTIONS(1498), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1496), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [310362] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10959), 1,
      sym_analytics_clause,
    ACTIONS(1502), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1500), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [310407] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      aux_sym_analytics_clause_token1,
    STATE(10858), 1,
      sym_analytics_clause,
    ACTIONS(1506), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1504), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [310452] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(7947), 1,
      aux_sym__keyword_as_token1,
    STATE(2405), 1,
      sym__identifier,
    STATE(5100), 1,
      sym__type_chrono,
    STATE(5263), 1,
      sym_as_alias,
    STATE(5578), 1,
      sym_identifier,
    STATE(11518), 1,
      sym__keyword_as,
    ACTIONS(2972), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7949), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5101), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(2970), 12,
      aux_sym_using_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
  [310514] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11108), 1,
      sym_analytics_clause,
    ACTIONS(1370), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1372), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [310558] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11033), 1,
      sym_analytics_clause,
    ACTIONS(1364), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1366), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [310602] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11032), 1,
      sym_analytics_clause,
    ACTIONS(1364), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1366), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [310646] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11031), 1,
      sym_analytics_clause,
    ACTIONS(1364), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1366), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [310690] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11030), 1,
      sym_analytics_clause,
    ACTIONS(1364), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1366), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [310734] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11034), 1,
      sym_analytics_clause,
    ACTIONS(1364), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1366), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [310778] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11035), 1,
      sym_analytics_clause,
    ACTIONS(1364), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1366), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [310822] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11091), 1,
      sym_analytics_clause,
    ACTIONS(1462), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1464), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [310866] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11028), 1,
      sym_analytics_clause,
    ACTIONS(1364), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1366), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [310910] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11027), 1,
      sym_analytics_clause,
    ACTIONS(1364), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1366), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [310954] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11036), 1,
      sym_analytics_clause,
    ACTIONS(1364), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1366), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [310998] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11037), 1,
      sym_analytics_clause,
    ACTIONS(1364), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1366), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [311042] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11026), 1,
      sym_analytics_clause,
    ACTIONS(1364), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1366), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [311086] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11038), 1,
      sym_analytics_clause,
    ACTIONS(1386), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1388), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [311130] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11039), 1,
      sym_analytics_clause,
    ACTIONS(1360), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1362), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [311174] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11040), 1,
      sym_analytics_clause,
    ACTIONS(1360), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1362), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [311218] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11025), 1,
      sym_analytics_clause,
    ACTIONS(1364), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1366), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [311262] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11041), 1,
      sym_analytics_clause,
    ACTIONS(1360), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1362), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [311306] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11042), 1,
      sym_analytics_clause,
    ACTIONS(1360), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1362), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [311350] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11024), 1,
      sym_analytics_clause,
    ACTIONS(1364), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1366), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [311394] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11043), 1,
      sym_analytics_clause,
    ACTIONS(1360), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1362), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [311438] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11044), 1,
      sym_analytics_clause,
    ACTIONS(1360), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1362), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [311482] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11023), 1,
      sym_analytics_clause,
    ACTIONS(1364), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1366), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [311526] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11045), 1,
      sym_analytics_clause,
    ACTIONS(1360), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1362), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [311570] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11022), 1,
      sym_analytics_clause,
    ACTIONS(1364), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1366), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [311614] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11021), 1,
      sym_analytics_clause,
    ACTIONS(1364), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1366), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [311658] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11046), 1,
      sym_analytics_clause,
    ACTIONS(1360), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1362), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [311702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1832), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1830), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [311742] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11020), 1,
      sym_analytics_clause,
    ACTIONS(1364), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1366), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [311786] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11047), 1,
      sym_analytics_clause,
    ACTIONS(1360), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1362), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [311830] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11048), 1,
      sym_analytics_clause,
    ACTIONS(1360), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1362), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [311874] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11049), 1,
      sym_analytics_clause,
    ACTIONS(1496), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1498), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [311918] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11050), 1,
      sym_analytics_clause,
    ACTIONS(1500), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1502), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [311962] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11051), 1,
      sym_analytics_clause,
    ACTIONS(1504), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1506), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [312006] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11052), 1,
      sym_analytics_clause,
    ACTIONS(1370), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1372), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [312050] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11053), 1,
      sym_analytics_clause,
    ACTIONS(1370), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1372), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [312094] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11054), 1,
      sym_analytics_clause,
    ACTIONS(1370), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1372), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [312138] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11019), 1,
      sym_analytics_clause,
    ACTIONS(1364), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1366), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [312182] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11055), 1,
      sym_analytics_clause,
    ACTIONS(1370), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1372), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [312226] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11056), 1,
      sym_analytics_clause,
    ACTIONS(1370), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1372), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [312270] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11079), 1,
      sym_analytics_clause,
    ACTIONS(1364), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1366), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [312314] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11057), 1,
      sym_analytics_clause,
    ACTIONS(1370), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1372), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [312358] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11058), 1,
      sym_analytics_clause,
    ACTIONS(1370), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1372), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [312402] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11059), 1,
      sym_analytics_clause,
    ACTIONS(1370), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1372), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [312446] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11060), 1,
      sym_analytics_clause,
    ACTIONS(1370), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1372), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [312490] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11061), 1,
      sym_analytics_clause,
    ACTIONS(1370), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1372), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [312534] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11017), 1,
      sym_analytics_clause,
    ACTIONS(1364), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1366), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [312578] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11018), 1,
      sym_analytics_clause,
    ACTIONS(1370), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1372), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [312622] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11110), 1,
      sym_analytics_clause,
    ACTIONS(1370), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1372), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [312666] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11109), 1,
      sym_analytics_clause,
    ACTIONS(1370), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1372), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [312710] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11015), 1,
      sym_analytics_clause,
    ACTIONS(1382), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1384), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [312754] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1514), 1,
      anon_sym_DOT,
    ACTIONS(1508), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1510), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [312796] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11014), 1,
      sym_analytics_clause,
    ACTIONS(1390), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1392), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [312840] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1514), 1,
      anon_sym_DOT,
    ACTIONS(1530), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1532), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [312882] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11013), 1,
      sym_analytics_clause,
    ACTIONS(1378), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1380), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [312926] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11012), 1,
      sym_analytics_clause,
    ACTIONS(1378), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1380), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [312970] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11011), 1,
      sym_analytics_clause,
    ACTIONS(1378), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1380), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [313014] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11010), 1,
      sym_analytics_clause,
    ACTIONS(1378), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1380), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [313058] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11009), 1,
      sym_analytics_clause,
    ACTIONS(1378), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1380), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [313102] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11100), 1,
      sym_analytics_clause,
    ACTIONS(1378), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1380), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [313146] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11062), 1,
      sym_analytics_clause,
    ACTIONS(1378), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1380), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [313190] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11016), 1,
      sym_analytics_clause,
    ACTIONS(1364), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1366), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [313234] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7955), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(10868), 1,
      sym_unnest_withoffset,
    ACTIONS(1542), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1540), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [313278] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11007), 1,
      sym_analytics_clause,
    ACTIONS(1378), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1380), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [313322] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11147), 1,
      sym_analytics_clause,
    ACTIONS(1470), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1472), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [313366] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11064), 1,
      sym_analytics_clause,
    ACTIONS(1378), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1380), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [313410] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11065), 1,
      sym_analytics_clause,
    ACTIONS(1378), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1380), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [313454] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11068), 1,
      sym_analytics_clause,
    ACTIONS(1484), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1486), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [313498] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11070), 1,
      sym_analytics_clause,
    ACTIONS(1354), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1356), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [313542] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11161), 1,
      sym_analytics_clause,
    ACTIONS(1422), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1424), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [313586] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11029), 1,
      sym_analytics_clause,
    ACTIONS(1364), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1366), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [313630] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11106), 1,
      sym_analytics_clause,
    ACTIONS(1370), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1372), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [313674] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11105), 1,
      sym_analytics_clause,
    ACTIONS(1370), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1372), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [313718] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11104), 1,
      sym_analytics_clause,
    ACTIONS(1370), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1372), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [313762] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11103), 1,
      sym_analytics_clause,
    ACTIONS(1370), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1372), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [313806] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11102), 1,
      sym_analytics_clause,
    ACTIONS(1370), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1372), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [313850] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11077), 1,
      sym_analytics_clause,
    ACTIONS(1370), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1372), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [313894] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11071), 1,
      sym_analytics_clause,
    ACTIONS(1354), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1356), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [313938] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11074), 1,
      sym_analytics_clause,
    ACTIONS(1394), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1396), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [313982] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11073), 1,
      sym_analytics_clause,
    ACTIONS(1398), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1400), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [314026] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11072), 1,
      sym_analytics_clause,
    ACTIONS(1354), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1356), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [314070] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11069), 1,
      sym_analytics_clause,
    ACTIONS(1398), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1400), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [314114] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11067), 1,
      sym_analytics_clause,
    ACTIONS(1398), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1400), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [314158] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11066), 1,
      sym_analytics_clause,
    ACTIONS(1398), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1400), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [314202] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11133), 1,
      sym_analytics_clause,
    ACTIONS(1398), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1400), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [314246] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11075), 1,
      sym_analytics_clause,
    ACTIONS(1354), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1356), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [314290] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11076), 1,
      sym_analytics_clause,
    ACTIONS(1354), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1356), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [314334] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11078), 1,
      sym_analytics_clause,
    ACTIONS(1354), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1356), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [314378] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11101), 1,
      sym_analytics_clause,
    ACTIONS(1354), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1356), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [314422] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11080), 1,
      sym_analytics_clause,
    ACTIONS(1354), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1356), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [314466] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11081), 1,
      sym_analytics_clause,
    ACTIONS(1354), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1356), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [314510] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11082), 1,
      sym_analytics_clause,
    ACTIONS(1354), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1356), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [314554] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11083), 1,
      sym_analytics_clause,
    ACTIONS(1354), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1356), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [314598] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11084), 1,
      sym_analytics_clause,
    ACTIONS(1354), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1356), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [314642] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11085), 1,
      sym_analytics_clause,
    ACTIONS(1354), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1356), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [314686] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11086), 1,
      sym_analytics_clause,
    ACTIONS(1354), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1356), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [314730] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11087), 1,
      sym_analytics_clause,
    ACTIONS(1374), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1376), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [314774] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7957), 1,
      aux_sym_alter_table_rename_statement_token2,
    ACTIONS(1526), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1524), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [314816] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7959), 1,
      anon_sym_LPAREN,
    ACTIONS(1624), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1622), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [314858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1790), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1788), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [314898] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7961), 1,
      aux_sym__keyword_as_token1,
    STATE(14515), 1,
      sym__keyword_as,
    ACTIONS(1476), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1474), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [314942] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11119), 1,
      sym_analytics_clause,
    ACTIONS(1406), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1408), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [314986] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11120), 1,
      sym_analytics_clause,
    ACTIONS(1410), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1412), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [315030] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11063), 1,
      sym_analytics_clause,
    ACTIONS(1378), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1380), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [315074] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11092), 1,
      sym_analytics_clause,
    ACTIONS(1462), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1464), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [315118] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11008), 1,
      sym_analytics_clause,
    ACTIONS(1446), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1448), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [315162] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11099), 1,
      sym_analytics_clause,
    ACTIONS(1446), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1448), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [315206] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11098), 1,
      sym_analytics_clause,
    ACTIONS(1442), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1444), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [315250] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11097), 1,
      sym_analytics_clause,
    ACTIONS(1442), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1444), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [315294] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11096), 1,
      sym_analytics_clause,
    ACTIONS(1442), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1444), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [315338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1510), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1508), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [315378] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11095), 1,
      sym_analytics_clause,
    ACTIONS(1442), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1444), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [315422] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11094), 1,
      sym_analytics_clause,
    ACTIONS(1462), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1464), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [315466] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11093), 1,
      sym_analytics_clause,
    ACTIONS(1462), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1464), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [315510] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11142), 1,
      sym_analytics_clause,
    ACTIONS(1492), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1494), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [315554] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11088), 1,
      sym_analytics_clause,
    ACTIONS(1462), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1464), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [315598] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11143), 1,
      sym_analytics_clause,
    ACTIONS(1488), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1490), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [315642] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11121), 1,
      sym_analytics_clause,
    ACTIONS(1414), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1416), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [315686] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11144), 1,
      sym_analytics_clause,
    ACTIONS(1480), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1482), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [315730] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11089), 1,
      sym_analytics_clause,
    ACTIONS(1462), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1464), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [315774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1518), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1516), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [315814] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11118), 1,
      sym_analytics_clause,
    ACTIONS(1418), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1420), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [315858] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11122), 1,
      sym_analytics_clause,
    ACTIONS(1418), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1420), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [315902] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11125), 1,
      sym_analytics_clause,
    ACTIONS(1418), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1420), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [315946] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11090), 1,
      sym_analytics_clause,
    ACTIONS(1462), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1464), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [315990] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11130), 1,
      sym_analytics_clause,
    ACTIONS(1418), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1420), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [316034] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11132), 1,
      sym_analytics_clause,
    ACTIONS(1418), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1420), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [316078] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11136), 1,
      sym_analytics_clause,
    ACTIONS(1418), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1420), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [316122] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11153), 1,
      sym_analytics_clause,
    ACTIONS(1418), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1420), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [316166] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11155), 1,
      sym_analytics_clause,
    ACTIONS(1418), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1420), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [316210] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11157), 1,
      sym_analytics_clause,
    ACTIONS(1418), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1420), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [316254] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11158), 1,
      sym_analytics_clause,
    ACTIONS(1418), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1420), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [316298] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11138), 1,
      sym_analytics_clause,
    ACTIONS(1402), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1404), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [316342] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11160), 1,
      sym_analytics_clause,
    ACTIONS(1426), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1428), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [316386] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11159), 1,
      sym_analytics_clause,
    ACTIONS(1430), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1432), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [316430] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11156), 1,
      sym_analytics_clause,
    ACTIONS(1434), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1436), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [316474] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11123), 1,
      sym_analytics_clause,
    ACTIONS(1438), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1440), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [316518] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11154), 1,
      sym_analytics_clause,
    ACTIONS(1450), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1452), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [316562] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11151), 1,
      sym_analytics_clause,
    ACTIONS(1450), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1452), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [316606] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11150), 1,
      sym_analytics_clause,
    ACTIONS(1454), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1456), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [316650] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11149), 1,
      sym_analytics_clause,
    ACTIONS(1458), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1460), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [316694] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      aux_sym_analytics_clause_token1,
    STATE(11148), 1,
      sym_analytics_clause,
    ACTIONS(1466), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1468), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [316738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1698), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1696), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [316777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1650), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1648), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [316816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1656), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [316855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1634), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1632), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [316894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [316933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1824), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1822), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [316972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1828), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1826), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [317011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1612), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1610), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [317050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1860), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1858), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [317089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1494), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1492), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [317128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1588), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1586), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [317167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1848), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1846), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [317206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1766), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1764), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [317245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1614), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [317284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1596), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1594), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [317323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1592), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1590), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [317362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1856), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1854), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [317401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1746), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1744), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [317440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1770), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1768), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [317479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1472), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1470), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [317518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1852), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1850), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [317557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1762), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1760), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [317596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1468), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1466), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [317635] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1620), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1618), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [317674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1456), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1454), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [317713] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1836), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1834), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [317752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [317791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1758), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1756), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [317830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1840), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1838), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [317869] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1440), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1438), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [317908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1844), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1842), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [317947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1750), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1748), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [317986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1742), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1740), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [318025] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1604), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1602), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [318064] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1738), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1736), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [318103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1580), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1578), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [318142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1734), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1732), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [318181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1730), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1728), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [318220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1726), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1724), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [318259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1722), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1720), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [318298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1718), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1716), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [318337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1712), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [318376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1600), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1598), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [318415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1710), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1708), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [318454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1706), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1704), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [318493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1622), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [318532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1702), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1700), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [318571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1628), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1626), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [318610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(921), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(917), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [318649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1694), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1692), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [318688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1690), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1688), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [318727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1682), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1680), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [318766] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1584), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1582), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [318805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [318844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1432), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1430), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [318883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1424), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1422), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [318922] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1420), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [318961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1420), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1418), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [319000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1416), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1414), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [319039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1412), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1410), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [319078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1408), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1406), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [319117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1400), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1398), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [319156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1396), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1394), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [319195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [319234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [319273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1638), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1636), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [319312] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [319351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [319390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [319429] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [319468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [319507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [319546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [319585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1370), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [319624] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1506), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1504), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [319663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1502), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1500), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [319702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1498), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1496), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [319741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1362), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [319780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1362), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [319819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1362), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [319858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1362), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [319897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1362), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1360), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [319936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1388), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1386), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [319975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [320014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [320053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [320092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [320131] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [320170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1516), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1518), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [320209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1782), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1780), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [320248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1782), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1780), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [320287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1778), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1776), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [320326] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1642), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1640), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [320365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1778), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1776), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [320404] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1646), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1644), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [320443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [320482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1778), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1776), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [320521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1778), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1776), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [320560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [320599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1448), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1446), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [320638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1448), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1446), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [320677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1434), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [320716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1448), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1446), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [320755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1448), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1446), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [320794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1540), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [320833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1448), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1446), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [320872] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1448), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1446), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [320911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1654), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1652), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [320950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1448), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1446), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [320989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1774), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1772), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [321028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [321067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [321106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [321145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1508), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1510), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [321184] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1662), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1660), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [321223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1666), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1664), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [321262] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [321301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1670), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1668), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [321340] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1674), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1672), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [321379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [321418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [321457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [321496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [321535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [321574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [321613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [321652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [321691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [321730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [321769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [321808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [321847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [321886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [321925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [321964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [322003] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [322042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [322081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [322120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [322159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1442), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [322198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1754), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1752), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [322237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [322276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [322315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1384), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1382), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [322354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [322393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [322432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [322471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [322510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [322549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [322588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [322627] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [322666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [322705] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [322744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [322783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1608), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1606), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [322822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [322861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [322900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [322939] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [322978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [323017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [323056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [323095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [323134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [323173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [323212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [323251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [323290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [323329] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [323368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1392), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1390), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [323407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [323446] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [323485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [323524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [323563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1378), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [323602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1484), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [323641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [323680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1354), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [323719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [323758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1678), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1676), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [323797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1686), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1684), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [323836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1376), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1374), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [323875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [323914] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [323953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [323992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [324031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1364), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [324070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [324109] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1786), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1784), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [324148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1462), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [324187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1464), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [324225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1780), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1782), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [324263] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1464), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [324301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1464), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [324339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1464), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [324377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1464), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [324415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1464), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [324453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1374), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1376), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [324491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1684), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1686), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [324529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1356), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [324567] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1356), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [324605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1366), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [324643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1356), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [324681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1356), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [324719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1356), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [324757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1356), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [324795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1356), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [324833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1356), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [324871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1356), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [324909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1356), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [324947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1356), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [324985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1356), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [325023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1356), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [325061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1356), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [325099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1356), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [325137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1356), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [325175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1356), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [325213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1356), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [325251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1356), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [325289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1356), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [325327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1356), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [325365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1484), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1486), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [325403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1380), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [325441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1380), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [325479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1380), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [325517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1380), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [325555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1380), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [325593] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1380), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [325631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1380), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [325669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1380), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [325707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1380), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [325745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1380), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [325783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1390), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1392), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [325821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1382), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1384), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [325859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1598), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1600), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [325897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1366), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [325935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1366), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [325973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1366), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [326011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1366), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [326049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1366), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [326087] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1366), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [326125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1366), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [326163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1366), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [326201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1366), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [326239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1366), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [326277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1464), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [326315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1464), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [326353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1464), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [326391] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1464), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [326429] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1360), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1362), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [326467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1360), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1362), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [326505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1752), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1754), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [326543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1360), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1362), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [326581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1444), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [326619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1444), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [326657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1444), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [326695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1360), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1362), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [326733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1386), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1388), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [326771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1444), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [326809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1444), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [326847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1366), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [326885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1444), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [326923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1356), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [326961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1444), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [326999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1444), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [327037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1444), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [327075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1444), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [327113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1444), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [327151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1444), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [327189] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1444), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [327227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1772), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1774), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [327265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1448), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [327303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1448), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [327341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1448), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [327379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1448), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [327417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1448), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [327455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1448), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [327493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1448), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [327531] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1776), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1778), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [327569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1776), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1778), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [327607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1776), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1778), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [327645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1776), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1778), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [327683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1780), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1782), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [327721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1464), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [327759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1444), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [327797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1366), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [327835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1366), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [327873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1366), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [327911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1366), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [327949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1366), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [327987] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1508), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1510), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [328025] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1366), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [328063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1366), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [328101] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1366), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [328139] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(3412), 1,
      anon_sym_RPAREN,
    ACTIONS(3426), 1,
      aux_sym__keyword_as_token1,
    STATE(2317), 1,
      sym_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(5401), 1,
      sym_as_alias,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(11580), 1,
      sym__keyword_as,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3410), 11,
      aux_sym__keyword_window_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token1,
  [328199] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(3404), 1,
      anon_sym_RPAREN,
    ACTIONS(3426), 1,
      aux_sym__keyword_as_token1,
    STATE(2317), 1,
      sym_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(5414), 1,
      sym_as_alias,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(11580), 1,
      sym__keyword_as,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3402), 11,
      aux_sym__keyword_window_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token1,
  [328259] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(3400), 1,
      anon_sym_RPAREN,
    ACTIONS(3426), 1,
      aux_sym__keyword_as_token1,
    STATE(2317), 1,
      sym_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(5395), 1,
      sym_as_alias,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(11580), 1,
      sym__keyword_as,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3398), 11,
      aux_sym__keyword_window_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token1,
  [328319] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(3396), 1,
      anon_sym_RPAREN,
    ACTIONS(3426), 1,
      aux_sym__keyword_as_token1,
    STATE(2317), 1,
      sym_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(5416), 1,
      sym_as_alias,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(11580), 1,
      sym__keyword_as,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3394), 11,
      aux_sym__keyword_window_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token1,
  [328379] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(3390), 1,
      anon_sym_RPAREN,
    ACTIONS(3426), 1,
      aux_sym__keyword_as_token1,
    STATE(2317), 1,
      sym_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(5402), 1,
      sym_as_alias,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(11580), 1,
      sym__keyword_as,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3388), 11,
      aux_sym__keyword_window_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token1,
  [328439] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(3386), 1,
      anon_sym_RPAREN,
    ACTIONS(3426), 1,
      aux_sym__keyword_as_token1,
    STATE(2317), 1,
      sym_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(5415), 1,
      sym_as_alias,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(11580), 1,
      sym__keyword_as,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3384), 11,
      aux_sym__keyword_window_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token1,
  [328499] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7445), 1,
      anon_sym_LPAREN,
    ACTIONS(7963), 1,
      anon_sym_EQ_GT,
    ACTIONS(1624), 6,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1622), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [328541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1372), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [328579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1496), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1498), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [328617] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1500), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1502), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [328655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1504), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1506), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [328693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1372), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [328731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1414), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1416), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [328769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1842), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1844), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [328807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1372), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [328845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1850), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1852), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [328883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1768), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1770), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [328921] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(3408), 1,
      anon_sym_RPAREN,
    ACTIONS(3426), 1,
      aux_sym__keyword_as_token1,
    STATE(2317), 1,
      sym_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(5419), 1,
      sym_as_alias,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(11580), 1,
      sym__keyword_as,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3406), 11,
      aux_sym__keyword_window_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token1,
  [328981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1590), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1592), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [329019] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1372), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [329057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1594), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1596), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [329095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1372), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [329133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1360), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1362), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [329171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1784), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1786), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [329209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1822), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1824), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [329247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1372), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [329285] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1858), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1860), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [329323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1492), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1494), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [329361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1586), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1588), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [329399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1846), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1848), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [329437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1854), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1856), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [329475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1470), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1472), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [329513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1466), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1468), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [329551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1456), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [329589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1834), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1836), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [329627] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1838), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1840), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [329665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1438), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1440), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [329703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1434), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1436), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [329741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1430), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1432), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [329779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1422), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1424), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [329817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1418), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1420), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [329855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1826), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1828), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [329893] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1372), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [329931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1418), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1420), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [329969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1372), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [330007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1412), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [330045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1372), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [330083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1372), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [330121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1406), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1408), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [330159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1398), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1400), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [330197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1394), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1396), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [330235] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2330), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(7965), 1,
      sym__unquoted_identifier,
    ACTIONS(7967), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(7971), 1,
      anon_sym_LPAREN,
    ACTIONS(7973), 1,
      aux_sym_function_call_token2,
    ACTIONS(7975), 1,
      sym__quoted_identifier,
    STATE(2521), 1,
      sym_unnest_operator,
    STATE(2526), 1,
      sym_identifier,
    STATE(4262), 1,
      sym__identifier,
    STATE(4460), 1,
      sym__type_chrono,
    STATE(5260), 1,
      sym_from_item,
    STATE(5270), 1,
      sym__cross_join_operation,
    STATE(5271), 1,
      sym__conditional_join_operator,
    STATE(16490), 1,
      sym__keyword_range,
    STATE(2654), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(5269), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(13747), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7969), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(4726), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [330308] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2330), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(7965), 1,
      sym__unquoted_identifier,
    ACTIONS(7967), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(7971), 1,
      anon_sym_LPAREN,
    ACTIONS(7973), 1,
      aux_sym_function_call_token2,
    ACTIONS(7975), 1,
      sym__quoted_identifier,
    STATE(2521), 1,
      sym_unnest_operator,
    STATE(2526), 1,
      sym_identifier,
    STATE(4262), 1,
      sym__identifier,
    STATE(4460), 1,
      sym__type_chrono,
    STATE(5264), 1,
      sym_from_item,
    STATE(5270), 1,
      sym__cross_join_operation,
    STATE(5271), 1,
      sym__conditional_join_operator,
    STATE(16490), 1,
      sym__keyword_range,
    STATE(2654), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(5269), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(13747), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7969), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(4726), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [330381] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2516), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(7977), 1,
      sym__unquoted_identifier,
    ACTIONS(7979), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(7983), 1,
      anon_sym_LPAREN,
    ACTIONS(7985), 1,
      aux_sym_function_call_token2,
    ACTIONS(7987), 1,
      sym__quoted_identifier,
    STATE(5270), 1,
      sym__cross_join_operation,
    STATE(5271), 1,
      sym__conditional_join_operator,
    STATE(7219), 1,
      sym_unnest_operator,
    STATE(7378), 1,
      sym_identifier,
    STATE(10725), 1,
      sym__identifier,
    STATE(10929), 1,
      sym__type_chrono,
    STATE(11220), 1,
      sym_from_item,
    STATE(18231), 1,
      sym__keyword_range,
    STATE(5269), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(7454), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(13955), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7981), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(10904), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [330454] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2516), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(7977), 1,
      sym__unquoted_identifier,
    ACTIONS(7979), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(7983), 1,
      anon_sym_LPAREN,
    ACTIONS(7985), 1,
      aux_sym_function_call_token2,
    ACTIONS(7987), 1,
      sym__quoted_identifier,
    STATE(5270), 1,
      sym__cross_join_operation,
    STATE(5271), 1,
      sym__conditional_join_operator,
    STATE(7219), 1,
      sym_unnest_operator,
    STATE(7378), 1,
      sym_identifier,
    STATE(10725), 1,
      sym__identifier,
    STATE(10929), 1,
      sym__type_chrono,
    STATE(11231), 1,
      sym_from_item,
    STATE(18231), 1,
      sym__keyword_range,
    STATE(5269), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(7454), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(13955), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7981), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(10904), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [330527] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2730), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(7989), 1,
      sym__unquoted_identifier,
    ACTIONS(7991), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(7993), 1,
      anon_sym_LPAREN,
    ACTIONS(7995), 1,
      aux_sym_function_call_token2,
    ACTIONS(7997), 1,
      sym__quoted_identifier,
    STATE(2959), 1,
      sym_unnest_operator,
    STATE(3025), 1,
      sym_identifier,
    STATE(5099), 1,
      sym__identifier,
    STATE(5141), 1,
      sym__type_chrono,
    STATE(5270), 1,
      sym__cross_join_operation,
    STATE(5271), 1,
      sym__conditional_join_operator,
    STATE(5290), 1,
      sym_from_item,
    STATE(18342), 1,
      sym__keyword_range,
    STATE(3026), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(5269), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(13243), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7949), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5101), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [330600] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2330), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(7965), 1,
      sym__unquoted_identifier,
    ACTIONS(7967), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(7971), 1,
      anon_sym_LPAREN,
    ACTIONS(7973), 1,
      aux_sym_function_call_token2,
    ACTIONS(7975), 1,
      sym__quoted_identifier,
    STATE(2521), 1,
      sym_unnest_operator,
    STATE(2526), 1,
      sym_identifier,
    STATE(4262), 1,
      sym__identifier,
    STATE(4460), 1,
      sym__type_chrono,
    STATE(5257), 1,
      sym_from_item,
    STATE(5270), 1,
      sym__cross_join_operation,
    STATE(5271), 1,
      sym__conditional_join_operator,
    STATE(16490), 1,
      sym__keyword_range,
    STATE(2654), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(5269), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(13747), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7969), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(4726), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [330673] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2730), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(7989), 1,
      sym__unquoted_identifier,
    ACTIONS(7991), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(7993), 1,
      anon_sym_LPAREN,
    ACTIONS(7995), 1,
      aux_sym_function_call_token2,
    ACTIONS(7997), 1,
      sym__quoted_identifier,
    STATE(2959), 1,
      sym_unnest_operator,
    STATE(3025), 1,
      sym_identifier,
    STATE(5099), 1,
      sym__identifier,
    STATE(5141), 1,
      sym__type_chrono,
    STATE(5270), 1,
      sym__cross_join_operation,
    STATE(5271), 1,
      sym__conditional_join_operator,
    STATE(5278), 1,
      sym_from_item,
    STATE(18342), 1,
      sym__keyword_range,
    STATE(3026), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(5269), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(13243), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7949), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5101), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [330746] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4587), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(10437), 1,
      sym_unnest_withoffset,
    ACTIONS(1542), 13,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1540), 14,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [330787] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2516), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(7977), 1,
      sym__unquoted_identifier,
    ACTIONS(7979), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(7983), 1,
      anon_sym_LPAREN,
    ACTIONS(7985), 1,
      aux_sym_function_call_token2,
    ACTIONS(7987), 1,
      sym__quoted_identifier,
    STATE(5270), 1,
      sym__cross_join_operation,
    STATE(5271), 1,
      sym__conditional_join_operator,
    STATE(7219), 1,
      sym_unnest_operator,
    STATE(7378), 1,
      sym_identifier,
    STATE(10725), 1,
      sym__identifier,
    STATE(10929), 1,
      sym__type_chrono,
    STATE(11234), 1,
      sym_from_item,
    STATE(18231), 1,
      sym__keyword_range,
    STATE(5269), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(7454), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(13955), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7981), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(10904), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [330860] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2330), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(7965), 1,
      sym__unquoted_identifier,
    ACTIONS(7967), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(7971), 1,
      anon_sym_LPAREN,
    ACTIONS(7973), 1,
      aux_sym_function_call_token2,
    ACTIONS(7975), 1,
      sym__quoted_identifier,
    STATE(2521), 1,
      sym_unnest_operator,
    STATE(2526), 1,
      sym_identifier,
    STATE(4262), 1,
      sym__identifier,
    STATE(4460), 1,
      sym__type_chrono,
    STATE(5270), 1,
      sym__cross_join_operation,
    STATE(5271), 1,
      sym__conditional_join_operator,
    STATE(5274), 1,
      sym_from_item,
    STATE(16490), 1,
      sym__keyword_range,
    STATE(2654), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(5269), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(13747), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7969), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(4726), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [330933] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2516), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(7977), 1,
      sym__unquoted_identifier,
    ACTIONS(7979), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(7983), 1,
      anon_sym_LPAREN,
    ACTIONS(7985), 1,
      aux_sym_function_call_token2,
    ACTIONS(7987), 1,
      sym__quoted_identifier,
    STATE(5270), 1,
      sym__cross_join_operation,
    STATE(5271), 1,
      sym__conditional_join_operator,
    STATE(7219), 1,
      sym_unnest_operator,
    STATE(7378), 1,
      sym_identifier,
    STATE(10725), 1,
      sym__identifier,
    STATE(10929), 1,
      sym__type_chrono,
    STATE(11227), 1,
      sym_from_item,
    STATE(18231), 1,
      sym__keyword_range,
    STATE(5269), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(7454), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(13955), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7981), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(10904), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [331006] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2330), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(7965), 1,
      sym__unquoted_identifier,
    ACTIONS(7967), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(7971), 1,
      anon_sym_LPAREN,
    ACTIONS(7973), 1,
      aux_sym_function_call_token2,
    ACTIONS(7975), 1,
      sym__quoted_identifier,
    STATE(2521), 1,
      sym_unnest_operator,
    STATE(2526), 1,
      sym_identifier,
    STATE(4262), 1,
      sym__identifier,
    STATE(4460), 1,
      sym__type_chrono,
    STATE(5262), 1,
      sym_from_item,
    STATE(5270), 1,
      sym__cross_join_operation,
    STATE(5271), 1,
      sym__conditional_join_operator,
    STATE(16490), 1,
      sym__keyword_range,
    STATE(2654), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(5269), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(13747), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7969), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(4726), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [331079] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2330), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(7965), 1,
      sym__unquoted_identifier,
    ACTIONS(7967), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(7971), 1,
      anon_sym_LPAREN,
    ACTIONS(7973), 1,
      aux_sym_function_call_token2,
    ACTIONS(7975), 1,
      sym__quoted_identifier,
    STATE(2521), 1,
      sym_unnest_operator,
    STATE(2526), 1,
      sym_identifier,
    STATE(4262), 1,
      sym__identifier,
    STATE(4460), 1,
      sym__type_chrono,
    STATE(5270), 1,
      sym__cross_join_operation,
    STATE(5271), 1,
      sym__conditional_join_operator,
    STATE(5275), 1,
      sym_from_item,
    STATE(16490), 1,
      sym__keyword_range,
    STATE(2654), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(5269), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(13747), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7969), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(4726), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [331152] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2440), 1,
      sym__unquoted_identifier,
    ACTIONS(2456), 1,
      aux_sym_function_call_token2,
    ACTIONS(2458), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(2482), 1,
      sym__quoted_identifier,
    ACTIONS(7901), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(7999), 1,
      anon_sym_LPAREN,
    STATE(5270), 1,
      sym__cross_join_operation,
    STATE(5271), 1,
      sym__conditional_join_operator,
    STATE(5408), 1,
      sym__identifier,
    STATE(10538), 1,
      sym_unnest_operator,
    STATE(10597), 1,
      sym_identifier,
    STATE(11236), 1,
      sym__type_chrono,
    STATE(11595), 1,
      sym_from_item,
    STATE(18358), 1,
      sym__keyword_range,
    STATE(5269), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(10673), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(13708), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3530), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5668), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [331225] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2516), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(7977), 1,
      sym__unquoted_identifier,
    ACTIONS(7979), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(7983), 1,
      anon_sym_LPAREN,
    ACTIONS(7985), 1,
      aux_sym_function_call_token2,
    ACTIONS(7987), 1,
      sym__quoted_identifier,
    STATE(5270), 1,
      sym__cross_join_operation,
    STATE(5271), 1,
      sym__conditional_join_operator,
    STATE(7219), 1,
      sym_unnest_operator,
    STATE(7378), 1,
      sym_identifier,
    STATE(10725), 1,
      sym__identifier,
    STATE(10929), 1,
      sym__type_chrono,
    STATE(11222), 1,
      sym_from_item,
    STATE(18231), 1,
      sym__keyword_range,
    STATE(5269), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(7454), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(13955), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7981), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(10904), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [331298] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2440), 1,
      sym__unquoted_identifier,
    ACTIONS(2456), 1,
      aux_sym_function_call_token2,
    ACTIONS(2458), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(2482), 1,
      sym__quoted_identifier,
    ACTIONS(7901), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(7999), 1,
      anon_sym_LPAREN,
    STATE(5270), 1,
      sym__cross_join_operation,
    STATE(5271), 1,
      sym__conditional_join_operator,
    STATE(5408), 1,
      sym__identifier,
    STATE(10538), 1,
      sym_unnest_operator,
    STATE(10597), 1,
      sym_identifier,
    STATE(11236), 1,
      sym__type_chrono,
    STATE(11454), 1,
      sym_from_item,
    STATE(18358), 1,
      sym__keyword_range,
    STATE(5269), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(10673), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(13708), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3530), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5668), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [331371] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2516), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(7977), 1,
      sym__unquoted_identifier,
    ACTIONS(7979), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(7983), 1,
      anon_sym_LPAREN,
    ACTIONS(7985), 1,
      aux_sym_function_call_token2,
    ACTIONS(7987), 1,
      sym__quoted_identifier,
    STATE(5270), 1,
      sym__cross_join_operation,
    STATE(5271), 1,
      sym__conditional_join_operator,
    STATE(7219), 1,
      sym_unnest_operator,
    STATE(7378), 1,
      sym_identifier,
    STATE(10725), 1,
      sym__identifier,
    STATE(10929), 1,
      sym__type_chrono,
    STATE(11217), 1,
      sym_from_item,
    STATE(18231), 1,
      sym__keyword_range,
    STATE(5269), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(7454), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(13955), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7981), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(10904), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [331444] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8001), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(10868), 1,
      sym_unnest_withoffset,
    ACTIONS(1542), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1540), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [331485] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2516), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(7977), 1,
      sym__unquoted_identifier,
    ACTIONS(7979), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(7983), 1,
      anon_sym_LPAREN,
    ACTIONS(7985), 1,
      aux_sym_function_call_token2,
    ACTIONS(7987), 1,
      sym__quoted_identifier,
    STATE(5270), 1,
      sym__cross_join_operation,
    STATE(5271), 1,
      sym__conditional_join_operator,
    STATE(7219), 1,
      sym_unnest_operator,
    STATE(7378), 1,
      sym_identifier,
    STATE(10725), 1,
      sym__identifier,
    STATE(10929), 1,
      sym__type_chrono,
    STATE(11219), 1,
      sym_from_item,
    STATE(18231), 1,
      sym__keyword_range,
    STATE(5269), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(7454), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(13955), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7981), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(10904), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [331558] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2330), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(7965), 1,
      sym__unquoted_identifier,
    ACTIONS(7967), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(7971), 1,
      anon_sym_LPAREN,
    ACTIONS(7973), 1,
      aux_sym_function_call_token2,
    ACTIONS(7975), 1,
      sym__quoted_identifier,
    STATE(2521), 1,
      sym_unnest_operator,
    STATE(2526), 1,
      sym_identifier,
    STATE(4262), 1,
      sym__identifier,
    STATE(4460), 1,
      sym__type_chrono,
    STATE(5270), 1,
      sym__cross_join_operation,
    STATE(5271), 1,
      sym__conditional_join_operator,
    STATE(5276), 1,
      sym_from_item,
    STATE(16490), 1,
      sym__keyword_range,
    STATE(2654), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(5269), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(13747), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7969), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(4726), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [331631] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2730), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(7989), 1,
      sym__unquoted_identifier,
    ACTIONS(7991), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(7993), 1,
      anon_sym_LPAREN,
    ACTIONS(7995), 1,
      aux_sym_function_call_token2,
    ACTIONS(7997), 1,
      sym__quoted_identifier,
    STATE(2959), 1,
      sym_unnest_operator,
    STATE(3025), 1,
      sym_identifier,
    STATE(5099), 1,
      sym__identifier,
    STATE(5141), 1,
      sym__type_chrono,
    STATE(5270), 1,
      sym__cross_join_operation,
    STATE(5271), 1,
      sym__conditional_join_operator,
    STATE(5311), 1,
      sym_from_item,
    STATE(18342), 1,
      sym__keyword_range,
    STATE(3026), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(5269), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(13243), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7949), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5101), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [331704] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2440), 1,
      sym__unquoted_identifier,
    ACTIONS(2456), 1,
      aux_sym_function_call_token2,
    ACTIONS(2458), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(2482), 1,
      sym__quoted_identifier,
    ACTIONS(7901), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(7999), 1,
      anon_sym_LPAREN,
    STATE(5270), 1,
      sym__cross_join_operation,
    STATE(5271), 1,
      sym__conditional_join_operator,
    STATE(5408), 1,
      sym__identifier,
    STATE(10538), 1,
      sym_unnest_operator,
    STATE(10597), 1,
      sym_identifier,
    STATE(11236), 1,
      sym__type_chrono,
    STATE(11439), 1,
      sym_from_item,
    STATE(18358), 1,
      sym__keyword_range,
    STATE(5269), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(10673), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(13708), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3530), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5668), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [331777] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2440), 1,
      sym__unquoted_identifier,
    ACTIONS(2456), 1,
      aux_sym_function_call_token2,
    ACTIONS(2458), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(2482), 1,
      sym__quoted_identifier,
    ACTIONS(7901), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(7999), 1,
      anon_sym_LPAREN,
    STATE(5270), 1,
      sym__cross_join_operation,
    STATE(5271), 1,
      sym__conditional_join_operator,
    STATE(5408), 1,
      sym__identifier,
    STATE(10538), 1,
      sym_unnest_operator,
    STATE(10597), 1,
      sym_identifier,
    STATE(11236), 1,
      sym__type_chrono,
    STATE(11658), 1,
      sym_from_item,
    STATE(18358), 1,
      sym__keyword_range,
    STATE(5269), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(10673), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(13708), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3530), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5668), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [331850] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2440), 1,
      sym__unquoted_identifier,
    ACTIONS(2456), 1,
      aux_sym_function_call_token2,
    ACTIONS(2458), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(2482), 1,
      sym__quoted_identifier,
    ACTIONS(7901), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(7999), 1,
      anon_sym_LPAREN,
    STATE(5270), 1,
      sym__cross_join_operation,
    STATE(5271), 1,
      sym__conditional_join_operator,
    STATE(5408), 1,
      sym__identifier,
    STATE(10538), 1,
      sym_unnest_operator,
    STATE(10597), 1,
      sym_identifier,
    STATE(11236), 1,
      sym__type_chrono,
    STATE(11446), 1,
      sym_from_item,
    STATE(18358), 1,
      sym__keyword_range,
    STATE(5269), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(10673), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(13708), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3530), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5668), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [331923] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2440), 1,
      sym__unquoted_identifier,
    ACTIONS(2456), 1,
      aux_sym_function_call_token2,
    ACTIONS(2458), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(2482), 1,
      sym__quoted_identifier,
    ACTIONS(7901), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(7999), 1,
      anon_sym_LPAREN,
    STATE(5270), 1,
      sym__cross_join_operation,
    STATE(5271), 1,
      sym__conditional_join_operator,
    STATE(5408), 1,
      sym__identifier,
    STATE(10538), 1,
      sym_unnest_operator,
    STATE(10597), 1,
      sym_identifier,
    STATE(11236), 1,
      sym__type_chrono,
    STATE(11664), 1,
      sym_from_item,
    STATE(18358), 1,
      sym__keyword_range,
    STATE(5269), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(10673), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(13708), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3530), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5668), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [331996] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2730), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(7989), 1,
      sym__unquoted_identifier,
    ACTIONS(7991), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(7993), 1,
      anon_sym_LPAREN,
    ACTIONS(7995), 1,
      aux_sym_function_call_token2,
    ACTIONS(7997), 1,
      sym__quoted_identifier,
    STATE(2959), 1,
      sym_unnest_operator,
    STATE(3025), 1,
      sym_identifier,
    STATE(5099), 1,
      sym__identifier,
    STATE(5141), 1,
      sym__type_chrono,
    STATE(5270), 1,
      sym__cross_join_operation,
    STATE(5271), 1,
      sym__conditional_join_operator,
    STATE(5282), 1,
      sym_from_item,
    STATE(18342), 1,
      sym__keyword_range,
    STATE(3026), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(5269), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(13243), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7949), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5101), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [332069] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2730), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(7989), 1,
      sym__unquoted_identifier,
    ACTIONS(7991), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(7993), 1,
      anon_sym_LPAREN,
    ACTIONS(7995), 1,
      aux_sym_function_call_token2,
    ACTIONS(7997), 1,
      sym__quoted_identifier,
    STATE(2959), 1,
      sym_unnest_operator,
    STATE(3025), 1,
      sym_identifier,
    STATE(5099), 1,
      sym__identifier,
    STATE(5141), 1,
      sym__type_chrono,
    STATE(5270), 1,
      sym__cross_join_operation,
    STATE(5271), 1,
      sym__conditional_join_operator,
    STATE(5309), 1,
      sym_from_item,
    STATE(18342), 1,
      sym__keyword_range,
    STATE(3026), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(5269), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(13243), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7949), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5101), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [332142] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2730), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(7989), 1,
      sym__unquoted_identifier,
    ACTIONS(7991), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(7993), 1,
      anon_sym_LPAREN,
    ACTIONS(7995), 1,
      aux_sym_function_call_token2,
    ACTIONS(7997), 1,
      sym__quoted_identifier,
    STATE(2959), 1,
      sym_unnest_operator,
    STATE(3025), 1,
      sym_identifier,
    STATE(5099), 1,
      sym__identifier,
    STATE(5141), 1,
      sym__type_chrono,
    STATE(5270), 1,
      sym__cross_join_operation,
    STATE(5271), 1,
      sym__conditional_join_operator,
    STATE(5283), 1,
      sym_from_item,
    STATE(18342), 1,
      sym__keyword_range,
    STATE(3026), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(5269), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(13243), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7949), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5101), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [332215] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7757), 1,
      aux_sym__keyword_as_token1,
    STATE(15078), 1,
      sym__keyword_as,
    ACTIONS(1476), 13,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1474), 14,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [332256] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2440), 1,
      sym__unquoted_identifier,
    ACTIONS(2456), 1,
      aux_sym_function_call_token2,
    ACTIONS(2458), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(2482), 1,
      sym__quoted_identifier,
    ACTIONS(7901), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(7999), 1,
      anon_sym_LPAREN,
    STATE(5270), 1,
      sym__cross_join_operation,
    STATE(5271), 1,
      sym__conditional_join_operator,
    STATE(5408), 1,
      sym__identifier,
    STATE(10538), 1,
      sym_unnest_operator,
    STATE(10597), 1,
      sym_identifier,
    STATE(11236), 1,
      sym__type_chrono,
    STATE(11535), 1,
      sym_from_item,
    STATE(18358), 1,
      sym__keyword_range,
    STATE(5269), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(10673), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(13708), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3530), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5668), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [332329] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2730), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(7989), 1,
      sym__unquoted_identifier,
    ACTIONS(7991), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(7993), 1,
      anon_sym_LPAREN,
    ACTIONS(7995), 1,
      aux_sym_function_call_token2,
    ACTIONS(7997), 1,
      sym__quoted_identifier,
    STATE(2959), 1,
      sym_unnest_operator,
    STATE(3025), 1,
      sym_identifier,
    STATE(5099), 1,
      sym__identifier,
    STATE(5141), 1,
      sym__type_chrono,
    STATE(5270), 1,
      sym__cross_join_operation,
    STATE(5271), 1,
      sym__conditional_join_operator,
    STATE(5281), 1,
      sym_from_item,
    STATE(18342), 1,
      sym__keyword_range,
    STATE(3026), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(5269), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(13243), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7949), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5101), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [332402] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(14515), 1,
      sym__keyword_as,
    ACTIONS(1476), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1474), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [332440] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(245), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8003), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(8005), 1,
      anon_sym_RPAREN,
    ACTIONS(8007), 1,
      aux_sym_rows_range_token1,
    STATE(1317), 1,
      sym__keyword_partition_by,
    STATE(2405), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(11965), 1,
      sym_identifier,
    STATE(12514), 1,
      sym_window_partition_clause,
    STATE(13026), 1,
      sym_order_by_clause,
    STATE(17050), 1,
      sym_window_frame_clause,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [332508] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(245), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8003), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(8007), 1,
      aux_sym_rows_range_token1,
    ACTIONS(8009), 1,
      anon_sym_RPAREN,
    STATE(1317), 1,
      sym__keyword_partition_by,
    STATE(2405), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(11928), 1,
      sym_identifier,
    STATE(12709), 1,
      sym_window_partition_clause,
    STATE(13107), 1,
      sym_order_by_clause,
    STATE(17743), 1,
      sym_window_frame_clause,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [332576] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(245), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8003), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(8007), 1,
      aux_sym_rows_range_token1,
    ACTIONS(8011), 1,
      anon_sym_RPAREN,
    STATE(1317), 1,
      sym__keyword_partition_by,
    STATE(2405), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(11892), 1,
      sym_identifier,
    STATE(12626), 1,
      sym_window_partition_clause,
    STATE(13058), 1,
      sym_order_by_clause,
    STATE(17369), 1,
      sym_window_frame_clause,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [332644] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(245), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8003), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(8007), 1,
      aux_sym_rows_range_token1,
    ACTIONS(8013), 1,
      anon_sym_RPAREN,
    STATE(1317), 1,
      sym__keyword_partition_by,
    STATE(2405), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(12005), 1,
      sym_identifier,
    STATE(12499), 1,
      sym_window_partition_clause,
    STATE(13036), 1,
      sym_order_by_clause,
    STATE(17318), 1,
      sym_window_frame_clause,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [332712] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(245), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8003), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(8007), 1,
      aux_sym_rows_range_token1,
    ACTIONS(8015), 1,
      anon_sym_RPAREN,
    STATE(1317), 1,
      sym__keyword_partition_by,
    STATE(2405), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(11894), 1,
      sym_identifier,
    STATE(12670), 1,
      sym_window_partition_clause,
    STATE(13088), 1,
      sym_order_by_clause,
    STATE(17534), 1,
      sym_window_frame_clause,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [332780] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(245), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8003), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(8007), 1,
      aux_sym_rows_range_token1,
    ACTIONS(8017), 1,
      anon_sym_RPAREN,
    STATE(1317), 1,
      sym__keyword_partition_by,
    STATE(2405), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(11936), 1,
      sym_identifier,
    STATE(12548), 1,
      sym_window_partition_clause,
    STATE(13040), 1,
      sym_order_by_clause,
    STATE(17399), 1,
      sym_window_frame_clause,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [332848] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(245), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8003), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(8007), 1,
      aux_sym_rows_range_token1,
    ACTIONS(8019), 1,
      anon_sym_RPAREN,
    STATE(1317), 1,
      sym__keyword_partition_by,
    STATE(2405), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(11952), 1,
      sym_identifier,
    STATE(12846), 1,
      sym_window_partition_clause,
    STATE(13185), 1,
      sym_order_by_clause,
    STATE(18202), 1,
      sym_window_frame_clause,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [332916] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(245), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8003), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(8007), 1,
      aux_sym_rows_range_token1,
    ACTIONS(8021), 1,
      anon_sym_RPAREN,
    STATE(1317), 1,
      sym__keyword_partition_by,
    STATE(2405), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(11970), 1,
      sym_identifier,
    STATE(12348), 1,
      sym_window_partition_clause,
    STATE(13097), 1,
      sym_order_by_clause,
    STATE(16400), 1,
      sym_window_frame_clause,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [332984] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(245), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8003), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(8007), 1,
      aux_sym_rows_range_token1,
    ACTIONS(8023), 1,
      anon_sym_RPAREN,
    STATE(1317), 1,
      sym__keyword_partition_by,
    STATE(2405), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(11899), 1,
      sym_identifier,
    STATE(12460), 1,
      sym_window_partition_clause,
    STATE(13050), 1,
      sym_order_by_clause,
    STATE(19066), 1,
      sym_window_frame_clause,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [333052] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(245), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8003), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(8007), 1,
      aux_sym_rows_range_token1,
    ACTIONS(8025), 1,
      anon_sym_RPAREN,
    STATE(1317), 1,
      sym__keyword_partition_by,
    STATE(2405), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(11931), 1,
      sym_identifier,
    STATE(12280), 1,
      sym_window_partition_clause,
    STATE(13140), 1,
      sym_order_by_clause,
    STATE(17040), 1,
      sym_window_frame_clause,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [333120] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(245), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8003), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(8007), 1,
      aux_sym_rows_range_token1,
    ACTIONS(8027), 1,
      anon_sym_RPAREN,
    STATE(1317), 1,
      sym__keyword_partition_by,
    STATE(2405), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(11895), 1,
      sym_identifier,
    STATE(12297), 1,
      sym_window_partition_clause,
    STATE(13132), 1,
      sym_order_by_clause,
    STATE(19109), 1,
      sym_window_frame_clause,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [333188] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(245), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8003), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(8007), 1,
      aux_sym_rows_range_token1,
    ACTIONS(8029), 1,
      anon_sym_RPAREN,
    STATE(1317), 1,
      sym__keyword_partition_by,
    STATE(2405), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(11896), 1,
      sym_identifier,
    STATE(12456), 1,
      sym_window_partition_clause,
    STATE(13048), 1,
      sym_order_by_clause,
    STATE(16852), 1,
      sym_window_frame_clause,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [333256] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(245), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8003), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(8007), 1,
      aux_sym_rows_range_token1,
    ACTIONS(8031), 1,
      anon_sym_RPAREN,
    STATE(1317), 1,
      sym__keyword_partition_by,
    STATE(2405), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(11912), 1,
      sym_identifier,
    STATE(12818), 1,
      sym_window_partition_clause,
    STATE(13171), 1,
      sym_order_by_clause,
    STATE(18387), 1,
      sym_window_frame_clause,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [333324] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(245), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8003), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(8007), 1,
      aux_sym_rows_range_token1,
    ACTIONS(8033), 1,
      anon_sym_RPAREN,
    STATE(1317), 1,
      sym__keyword_partition_by,
    STATE(2405), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(11904), 1,
      sym_identifier,
    STATE(12774), 1,
      sym_window_partition_clause,
    STATE(13152), 1,
      sym_order_by_clause,
    STATE(17972), 1,
      sym_window_frame_clause,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [333392] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(245), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8003), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(8007), 1,
      aux_sym_rows_range_token1,
    ACTIONS(8035), 1,
      anon_sym_RPAREN,
    STATE(1317), 1,
      sym__keyword_partition_by,
    STATE(2405), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(11959), 1,
      sym_identifier,
    STATE(12476), 1,
      sym_window_partition_clause,
    STATE(13045), 1,
      sym_order_by_clause,
    STATE(18885), 1,
      sym_window_frame_clause,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [333460] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(245), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8003), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(8007), 1,
      aux_sym_rows_range_token1,
    ACTIONS(8037), 1,
      anon_sym_RPAREN,
    STATE(1317), 1,
      sym__keyword_partition_by,
    STATE(2405), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(11934), 1,
      sym_identifier,
    STATE(12857), 1,
      sym_window_partition_clause,
    STATE(13190), 1,
      sym_order_by_clause,
    STATE(18218), 1,
      sym_window_frame_clause,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [333528] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(245), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8003), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(8007), 1,
      aux_sym_rows_range_token1,
    ACTIONS(8039), 1,
      anon_sym_RPAREN,
    STATE(1317), 1,
      sym__keyword_partition_by,
    STATE(2405), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(11906), 1,
      sym_identifier,
    STATE(12575), 1,
      sym_window_partition_clause,
    STATE(13035), 1,
      sym_order_by_clause,
    STATE(17199), 1,
      sym_window_frame_clause,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [333596] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(245), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8003), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(8007), 1,
      aux_sym_rows_range_token1,
    ACTIONS(8041), 1,
      anon_sym_RPAREN,
    STATE(1317), 1,
      sym__keyword_partition_by,
    STATE(2405), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(11944), 1,
      sym_identifier,
    STATE(12733), 1,
      sym_window_partition_clause,
    STATE(13119), 1,
      sym_order_by_clause,
    STATE(18583), 1,
      sym_window_frame_clause,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [333664] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(245), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8003), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(8007), 1,
      aux_sym_rows_range_token1,
    ACTIONS(8043), 1,
      anon_sym_RPAREN,
    STATE(1317), 1,
      sym__keyword_partition_by,
    STATE(2405), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(11897), 1,
      sym_identifier,
    STATE(12603), 1,
      sym_window_partition_clause,
    STATE(13025), 1,
      sym_order_by_clause,
    STATE(17248), 1,
      sym_window_frame_clause,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [333732] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(245), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8003), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(8007), 1,
      aux_sym_rows_range_token1,
    ACTIONS(8045), 1,
      anon_sym_RPAREN,
    STATE(1317), 1,
      sym__keyword_partition_by,
    STATE(2405), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(11933), 1,
      sym_identifier,
    STATE(12379), 1,
      sym_window_partition_clause,
    STATE(13071), 1,
      sym_order_by_clause,
    STATE(18233), 1,
      sym_window_frame_clause,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [333800] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(2378), 1,
      aux_sym_function_call_token2,
    ACTIONS(8047), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(8049), 1,
      aux_sym_partition_expression_token1,
    ACTIONS(8053), 1,
      aux_sym_partition_expression_token9,
    STATE(2405), 1,
      sym__identifier,
    STATE(7134), 1,
      sym__type_chrono,
    STATE(7240), 1,
      sym_function_call,
    STATE(7241), 1,
      sym_partition_expression,
    STATE(14332), 1,
      sym_identifier,
    STATE(18301), 1,
      sym__keyword_range,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(8051), 3,
      aux_sym_partition_expression_token2,
      aux_sym_partition_expression_token3,
      aux_sym_partition_expression_token4,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [333864] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(245), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8003), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(8007), 1,
      aux_sym_rows_range_token1,
    ACTIONS(8055), 1,
      anon_sym_RPAREN,
    STATE(1317), 1,
      sym__keyword_partition_by,
    STATE(2405), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(11898), 1,
      sym_identifier,
    STATE(12341), 1,
      sym_window_partition_clause,
    STATE(13111), 1,
      sym_order_by_clause,
    STATE(18950), 1,
      sym_window_frame_clause,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [333932] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(2378), 1,
      aux_sym_function_call_token2,
    ACTIONS(8047), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(8049), 1,
      aux_sym_partition_expression_token1,
    ACTIONS(8053), 1,
      aux_sym_partition_expression_token9,
    STATE(2405), 1,
      sym__identifier,
    STATE(7134), 1,
      sym__type_chrono,
    STATE(7240), 1,
      sym_function_call,
    STATE(7241), 1,
      sym_partition_expression,
    STATE(7337), 1,
      sym_identifier,
    STATE(18301), 1,
      sym__keyword_range,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(8051), 3,
      aux_sym_partition_expression_token2,
      aux_sym_partition_expression_token3,
      aux_sym_partition_expression_token4,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [333996] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5258), 1,
      sym_join_condition,
    STATE(18432), 1,
      sym_join_type,
    ACTIONS(3454), 23,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
  [334031] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8057), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(429), 1,
      sym_unnest_withoffset,
    ACTIONS(1540), 23,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
  [334066] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3486), 1,
      aux_sym_tablesample_operator_token1,
    ACTIONS(3488), 1,
      aux_sym_join_type_token1,
    ACTIONS(8059), 1,
      anon_sym_COMMA,
    ACTIONS(8061), 1,
      aux_sym_pivot_operator_token1,
    ACTIONS(8063), 1,
      aux_sym_unpivot_operator_token1,
    ACTIONS(8065), 1,
      aux_sym__cross_join_operation_token1,
    ACTIONS(8067), 1,
      aux_sym__cross_join_operation_token2,
    STATE(5478), 1,
      sym_tablesample_operator,
    STATE(18245), 1,
      sym_join_type,
    STATE(5386), 2,
      sym_pivot_operator,
      sym_unpivot_operator,
    ACTIONS(3490), 3,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
    ACTIONS(3476), 11,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
  [334119] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3464), 1,
      aux_sym_using_clause_token1,
    ACTIONS(8069), 1,
      aux_sym_join_condition_token1,
    STATE(5265), 1,
      sym_join_condition,
    STATE(18432), 1,
      sym_join_type,
    ACTIONS(3468), 21,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
  [334158] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5265), 1,
      sym_join_condition,
    STATE(18432), 1,
      sym_join_type,
    ACTIONS(3468), 23,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
  [334193] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3464), 1,
      aux_sym_using_clause_token1,
    ACTIONS(8069), 1,
      aux_sym_join_condition_token1,
    STATE(5258), 1,
      sym_join_condition,
    STATE(18432), 1,
      sym_join_type,
    ACTIONS(3454), 21,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
  [334232] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8071), 1,
      aux_sym__keyword_as_token1,
    STATE(15614), 1,
      sym__keyword_as,
    ACTIONS(1474), 23,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
  [334267] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(8073), 1,
      sym__unquoted_identifier,
    ACTIONS(8075), 1,
      aux_sym__keyword_array_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(7101), 1,
      sym__keyword_struct,
    STATE(7375), 1,
      sym__bqtype,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(12061), 1,
      sym_identifier,
    STATE(16103), 1,
      sym_create_function_parameter,
    STATE(16276), 1,
      sym_type,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    STATE(7214), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [334325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18432), 1,
      sym_join_type,
    ACTIONS(3520), 23,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
  [334357] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(8073), 1,
      sym__unquoted_identifier,
    ACTIONS(8075), 1,
      aux_sym__keyword_array_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(7101), 1,
      sym__keyword_struct,
    STATE(7375), 1,
      sym__bqtype,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(12061), 1,
      sym_identifier,
    STATE(14933), 1,
      sym_create_function_parameter,
    STATE(16276), 1,
      sym_type,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    STATE(7214), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [334415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18432), 1,
      sym_join_type,
    ACTIONS(3524), 23,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
  [334447] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(8077), 1,
      aux_sym_primary_key_token1,
    ACTIONS(8079), 1,
      aux_sym_foreign_key_token1,
    ACTIONS(8081), 1,
      aux_sym_add_foreign_key_action_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(12868), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    STATE(14927), 2,
      sym_column_definition,
      sym_constraint_definition,
    STATE(16279), 2,
      sym_primary_key,
      sym_foreign_key,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [334499] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8083), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(8085), 1,
      anon_sym_RPAREN,
    ACTIONS(8087), 1,
      aux_sym_keyword_unbounded_preceding_token1,
    ACTIONS(8089), 1,
      aux_sym_keyword_current_row_token1,
    STATE(11331), 1,
      sym__keyword_between,
    STATE(16997), 1,
      sym_number,
    ACTIONS(579), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(581), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(16999), 2,
      sym_window_frame_start,
      sym_window_frame_between,
    STATE(6684), 3,
      sym__float,
      sym_numeric,
      sym__number,
    STATE(16998), 3,
      sym_window_numeric_preceding,
      sym_keyword_unbounded_preceding,
      sym_keyword_current_row,
    ACTIONS(8091), 4,
      aux_sym_numeric_token1,
      aux_sym_numeric_token2,
      aux_sym_numeric_token3,
      aux_sym_numeric_token4,
  [334549] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(241), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(4486), 1,
      anon_sym_RPAREN,
    ACTIONS(5530), 1,
      aux_sym_order_by_clause_token1,
    STATE(6463), 1,
      sym_limit_clause,
    STATE(6478), 1,
      sym_order_by_clause,
    ACTIONS(1822), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(4488), 3,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
    ACTIONS(1824), 12,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      sym__unquoted_identifier,
  [334591] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18245), 1,
      sym_join_type,
    ACTIONS(3520), 21,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
  [334621] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(8077), 1,
      aux_sym_primary_key_token1,
    ACTIONS(8079), 1,
      aux_sym_foreign_key_token1,
    ACTIONS(8081), 1,
      aux_sym_add_foreign_key_action_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(12868), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    STATE(16135), 2,
      sym_column_definition,
      sym_constraint_definition,
    STATE(16279), 2,
      sym_primary_key,
      sym_foreign_key,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [334673] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(565), 1,
      aux_sym_select_token1,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(8093), 1,
      anon_sym_LPAREN,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(12993), 1,
      sym_cte_clause,
    STATE(14321), 1,
      sym_query_expr,
    STATE(14582), 1,
      sym_identifier,
    STATE(12414), 2,
      sym_set_operation,
      sym_select,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [334727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18245), 1,
      sym_join_type,
    ACTIONS(3524), 21,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
  [334757] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(565), 1,
      aux_sym_select_token1,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(8093), 1,
      anon_sym_LPAREN,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(12993), 1,
      sym_cte_clause,
    STATE(14285), 1,
      sym_query_expr,
    STATE(14582), 1,
      sym_identifier,
    STATE(12414), 2,
      sym_set_operation,
      sym_select,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [334811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1508), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1510), 18,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [334841] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(571), 1,
      aux_sym_function_call_token2,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(8095), 1,
      aux_sym__keyword_array_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(5141), 1,
      sym__type_chrono,
    STATE(11253), 1,
      sym_function_call,
    STATE(14296), 1,
      sym_pivot_value,
    STATE(17058), 1,
      sym_identifier,
    STATE(19251), 1,
      sym__keyword_range,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [334894] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(571), 1,
      aux_sym_function_call_token2,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(8095), 1,
      aux_sym__keyword_array_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(5141), 1,
      sym__type_chrono,
    STATE(11253), 1,
      sym_function_call,
    STATE(14344), 1,
      sym_pivot_value,
    STATE(17058), 1,
      sym_identifier,
    STATE(19251), 1,
      sym__keyword_range,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [334947] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(571), 1,
      aux_sym_function_call_token2,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(8095), 1,
      aux_sym__keyword_array_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(5141), 1,
      sym__type_chrono,
    STATE(11253), 1,
      sym_function_call,
    STATE(14346), 1,
      sym_pivot_value,
    STATE(17058), 1,
      sym_identifier,
    STATE(19251), 1,
      sym__keyword_range,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [335000] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(217), 1,
      sym__unquoted_identifier,
    ACTIONS(275), 1,
      sym__quoted_identifier,
    ACTIONS(8097), 1,
      anon_sym_LPAREN,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(7101), 1,
      sym__keyword_struct,
    STATE(7828), 1,
      sym__identifier,
    STATE(15195), 1,
      sym_unpivot_column,
    STATE(19072), 1,
      sym__type_struct,
    STATE(13757), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    STATE(14257), 2,
      sym_struct,
      sym_identifier,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [335051] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(217), 1,
      sym__unquoted_identifier,
    ACTIONS(275), 1,
      sym__quoted_identifier,
    ACTIONS(8097), 1,
      anon_sym_LPAREN,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(7101), 1,
      sym__keyword_struct,
    STATE(7828), 1,
      sym__identifier,
    STATE(14745), 1,
      sym_unpivot_column,
    STATE(19072), 1,
      sym__type_struct,
    STATE(13757), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    STATE(14257), 2,
      sym_struct,
      sym_identifier,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [335102] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(571), 1,
      aux_sym_function_call_token2,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(8095), 1,
      aux_sym__keyword_array_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(5141), 1,
      sym__type_chrono,
    STATE(11253), 1,
      sym_function_call,
    STATE(14342), 1,
      sym_pivot_value,
    STATE(17058), 1,
      sym_identifier,
    STATE(19251), 1,
      sym__keyword_range,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [335155] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(571), 1,
      aux_sym_function_call_token2,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(8095), 1,
      aux_sym__keyword_array_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(5141), 1,
      sym__type_chrono,
    STATE(11253), 1,
      sym_function_call,
    STATE(16108), 1,
      sym_pivot_value,
    STATE(17058), 1,
      sym_identifier,
    STATE(19251), 1,
      sym__keyword_range,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [335208] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(217), 1,
      sym__unquoted_identifier,
    ACTIONS(275), 1,
      sym__quoted_identifier,
    ACTIONS(8097), 1,
      anon_sym_LPAREN,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(7101), 1,
      sym__keyword_struct,
    STATE(7828), 1,
      sym__identifier,
    STATE(14542), 1,
      sym_unpivot_column,
    STATE(19072), 1,
      sym__type_struct,
    STATE(13757), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    STATE(14257), 2,
      sym_struct,
      sym_identifier,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [335259] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(217), 1,
      sym__unquoted_identifier,
    ACTIONS(275), 1,
      sym__quoted_identifier,
    ACTIONS(8097), 1,
      anon_sym_LPAREN,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(7101), 1,
      sym__keyword_struct,
    STATE(7828), 1,
      sym__identifier,
    STATE(16301), 1,
      sym_unpivot_column,
    STATE(19072), 1,
      sym__type_struct,
    STATE(13757), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    STATE(14257), 2,
      sym_struct,
      sym_identifier,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [335310] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(5401), 1,
      sym_as_alias,
    STATE(5766), 1,
      sym_identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    ACTIONS(3410), 2,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token1,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [335358] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(8099), 1,
      aux_sym_create_schema_statement_token2,
    ACTIONS(8103), 1,
      aux_sym_create_external_table_statement_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11562), 1,
      sym_object_type,
    STATE(15061), 1,
      sym_identifier,
    ACTIONS(8101), 2,
      aux_sym_create_table_statement_token1,
      aux_sym_create_table_statement_token2,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [335406] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(8099), 1,
      aux_sym_create_schema_statement_token2,
    ACTIONS(8103), 1,
      aux_sym_create_external_table_statement_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11466), 1,
      sym_object_type,
    STATE(15060), 1,
      sym_identifier,
    ACTIONS(8101), 2,
      aux_sym_create_table_statement_token1,
      aux_sym_create_table_statement_token2,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [335454] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8105), 1,
      aux_sym_set_statement_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(5766), 1,
      sym_identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    STATE(13233), 1,
      sym_set_clause,
    STATE(16112), 1,
      sym_as_alias,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [335504] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8105), 1,
      aux_sym_set_statement_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(5766), 1,
      sym_identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    STATE(13783), 1,
      sym_set_clause,
    STATE(16187), 1,
      sym_as_alias,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [335554] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(5419), 1,
      sym_as_alias,
    STATE(5766), 1,
      sym_identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    ACTIONS(3406), 2,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token1,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [335602] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(5414), 1,
      sym_as_alias,
    STATE(5766), 1,
      sym_identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    ACTIONS(3402), 2,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token1,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [335650] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8107), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8109), 1,
      aux_sym__keyword_for_token1,
    ACTIONS(8111), 1,
      anon_sym_COMMA,
    STATE(2405), 1,
      sym__identifier,
    STATE(5766), 1,
      sym_identifier,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(11597), 1,
      sym__keyword_as,
    STATE(16021), 1,
      sym_as_alias,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [335700] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8113), 1,
      aux_sym__keyword_from_token1,
    ACTIONS(8115), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8117), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8119), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(8121), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(8123), 1,
      aux_sym_where_clause_token1,
    STATE(6466), 1,
      sym_window_clause,
    STATE(11180), 1,
      sym__keyword_from,
    STATE(11432), 1,
      sym_from_clause,
    STATE(11452), 1,
      sym__keyword_window,
    STATE(11545), 1,
      sym_where_clause,
    STATE(11666), 1,
      sym_group_by_clause,
    STATE(11893), 1,
      sym_having_clause,
    STATE(12054), 1,
      sym_qualify_clause,
    ACTIONS(3598), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [335754] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8113), 1,
      aux_sym__keyword_from_token1,
    ACTIONS(8115), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8117), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8119), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(8121), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(8123), 1,
      aux_sym_where_clause_token1,
    STATE(6534), 1,
      sym_window_clause,
    STATE(11180), 1,
      sym__keyword_from,
    STATE(11363), 1,
      sym_from_clause,
    STATE(11452), 1,
      sym__keyword_window,
    STATE(11523), 1,
      sym_where_clause,
    STATE(11673), 1,
      sym_group_by_clause,
    STATE(11917), 1,
      sym_having_clause,
    STATE(12041), 1,
      sym_qualify_clause,
    ACTIONS(3606), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [335808] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8125), 1,
      aux_sym_where_clause_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(5766), 1,
      sym_identifier,
    STATE(8258), 1,
      sym_where_clause,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    STATE(16227), 1,
      sym_as_alias,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [335858] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(8099), 1,
      aux_sym_create_schema_statement_token2,
    ACTIONS(8103), 1,
      aux_sym_create_external_table_statement_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11573), 1,
      sym_object_type,
    STATE(15044), 1,
      sym_identifier,
    ACTIONS(8101), 2,
      aux_sym_create_table_statement_token1,
      aux_sym_create_table_statement_token2,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [335906] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(5395), 1,
      sym_as_alias,
    STATE(5766), 1,
      sym_identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    ACTIONS(3398), 2,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token1,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [335954] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8113), 1,
      aux_sym__keyword_from_token1,
    ACTIONS(8115), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8117), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8119), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(8121), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(8123), 1,
      aux_sym_where_clause_token1,
    STATE(6514), 1,
      sym_window_clause,
    STATE(11180), 1,
      sym__keyword_from,
    STATE(11398), 1,
      sym_from_clause,
    STATE(11452), 1,
      sym__keyword_window,
    STATE(11610), 1,
      sym_where_clause,
    STATE(11653), 1,
      sym_group_by_clause,
    STATE(11891), 1,
      sym_having_clause,
    STATE(12152), 1,
      sym_qualify_clause,
    ACTIONS(3578), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [336008] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(5416), 1,
      sym_as_alias,
    STATE(5766), 1,
      sym_identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    ACTIONS(3394), 2,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token1,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [336056] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(5402), 1,
      sym_as_alias,
    STATE(5766), 1,
      sym_identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    ACTIONS(3388), 2,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token1,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [336104] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(5415), 1,
      sym_as_alias,
    STATE(5766), 1,
      sym_identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    ACTIONS(3384), 2,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token1,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [336152] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8127), 1,
      aux_sym_where_clause_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(5766), 1,
      sym_identifier,
    STATE(8258), 1,
      sym_where_clause,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    STATE(16348), 1,
      sym_as_alias,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [336202] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8113), 1,
      aux_sym__keyword_from_token1,
    ACTIONS(8115), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8117), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8119), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(8121), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(8123), 1,
      aux_sym_where_clause_token1,
    STATE(6502), 1,
      sym_window_clause,
    STATE(11180), 1,
      sym__keyword_from,
    STATE(11373), 1,
      sym_from_clause,
    STATE(11452), 1,
      sym__keyword_window,
    STATE(11471), 1,
      sym_where_clause,
    STATE(11683), 1,
      sym_group_by_clause,
    STATE(11903), 1,
      sym_having_clause,
    STATE(12048), 1,
      sym_qualify_clause,
    ACTIONS(3594), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [336256] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(8099), 1,
      aux_sym_create_schema_statement_token2,
    ACTIONS(8103), 1,
      aux_sym_create_external_table_statement_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11583), 1,
      sym_object_type,
    STATE(15041), 1,
      sym_identifier,
    ACTIONS(8101), 2,
      aux_sym_create_table_statement_token1,
      aux_sym_create_table_statement_token2,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [336304] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(8131), 1,
      anon_sym_RPAREN,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(12057), 1,
      sym_identifier,
    STATE(14953), 1,
      sym_procedure_argument,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(8129), 3,
      aux_sym__keyword_in_token1,
      aux_sym_procedure_argument_token1,
      aux_sym_procedure_argument_token2,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [336350] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8113), 1,
      aux_sym__keyword_from_token1,
    ACTIONS(8115), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8117), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8119), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(8121), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(8123), 1,
      aux_sym_where_clause_token1,
    STATE(6526), 1,
      sym_window_clause,
    STATE(11180), 1,
      sym__keyword_from,
    STATE(11402), 1,
      sym_from_clause,
    STATE(11452), 1,
      sym__keyword_window,
    STATE(11602), 1,
      sym_where_clause,
    STATE(11654), 1,
      sym_group_by_clause,
    STATE(11995), 1,
      sym_having_clause,
    STATE(12086), 1,
      sym_qualify_clause,
    ACTIONS(3602), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [336404] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8127), 1,
      aux_sym_where_clause_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(5766), 1,
      sym_identifier,
    STATE(8074), 1,
      sym_where_clause,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    STATE(16215), 1,
      sym_as_alias,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [336454] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(8099), 1,
      aux_sym_create_schema_statement_token2,
    ACTIONS(8103), 1,
      aux_sym_create_external_table_statement_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11572), 1,
      sym_object_type,
    STATE(14569), 1,
      sym_identifier,
    ACTIONS(8101), 2,
      aux_sym_create_table_statement_token1,
      aux_sym_create_table_statement_token2,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [336502] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8125), 1,
      aux_sym_where_clause_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(5766), 1,
      sym_identifier,
    STATE(8074), 1,
      sym_where_clause,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    STATE(16289), 1,
      sym_as_alias,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [336552] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(8099), 1,
      aux_sym_create_schema_statement_token2,
    ACTIONS(8103), 1,
      aux_sym_create_external_table_statement_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11482), 1,
      sym_object_type,
    STATE(14589), 1,
      sym_identifier,
    ACTIONS(8101), 2,
      aux_sym_create_table_statement_token1,
      aux_sym_create_table_statement_token2,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [336600] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2440), 1,
      sym__unquoted_identifier,
    ACTIONS(2482), 1,
      sym__quoted_identifier,
    ACTIONS(8133), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8135), 1,
      aux_sym_join_condition_token1,
    STATE(5408), 1,
      sym__identifier,
    STATE(5766), 1,
      sym_identifier,
    STATE(5986), 1,
      sym__type_chrono,
    STATE(11276), 1,
      sym_as_alias,
    STATE(11507), 1,
      sym__keyword_as,
    STATE(13708), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3638), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5974), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [336647] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8137), 1,
      aux_sym_using_clause_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(5766), 1,
      sym_identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    STATE(18639), 1,
      sym_as_alias,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [336694] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8139), 1,
      aux_sym_join_condition_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(5766), 1,
      sym_identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    STATE(19187), 1,
      sym_as_alias,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [336741] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2440), 1,
      sym__unquoted_identifier,
    ACTIONS(2482), 1,
      sym__quoted_identifier,
    ACTIONS(8133), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8141), 1,
      aux_sym_join_condition_token1,
    STATE(5408), 1,
      sym__identifier,
    STATE(5766), 1,
      sym_identifier,
    STATE(5986), 1,
      sym__type_chrono,
    STATE(11309), 1,
      sym_as_alias,
    STATE(11507), 1,
      sym__keyword_as,
    STATE(13708), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3638), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5974), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [336788] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8143), 1,
      aux_sym_join_condition_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(5766), 1,
      sym_identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    STATE(17363), 1,
      sym_as_alias,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [336835] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2440), 1,
      sym__unquoted_identifier,
    ACTIONS(2482), 1,
      sym__quoted_identifier,
    ACTIONS(8133), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8145), 1,
      aux_sym_join_condition_token1,
    STATE(5408), 1,
      sym__identifier,
    STATE(5766), 1,
      sym_identifier,
    STATE(5986), 1,
      sym__type_chrono,
    STATE(11280), 1,
      sym_as_alias,
    STATE(11507), 1,
      sym__keyword_as,
    STATE(13708), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3638), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5974), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [336882] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8147), 1,
      aux_sym_using_clause_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(5766), 1,
      sym_identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    STATE(19313), 1,
      sym_as_alias,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [336929] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2440), 1,
      sym__unquoted_identifier,
    ACTIONS(2482), 1,
      sym__quoted_identifier,
    ACTIONS(8133), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8149), 1,
      aux_sym_join_condition_token1,
    STATE(5408), 1,
      sym__identifier,
    STATE(5766), 1,
      sym_identifier,
    STATE(5986), 1,
      sym__type_chrono,
    STATE(11306), 1,
      sym_as_alias,
    STATE(11507), 1,
      sym__keyword_as,
    STATE(13708), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3638), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5974), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [336976] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8141), 1,
      aux_sym_join_condition_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(5766), 1,
      sym_identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    STATE(17364), 1,
      sym_as_alias,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [337023] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2440), 1,
      sym__unquoted_identifier,
    ACTIONS(2482), 1,
      sym__quoted_identifier,
    ACTIONS(8133), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8151), 1,
      aux_sym_join_condition_token1,
    STATE(5408), 1,
      sym__identifier,
    STATE(5766), 1,
      sym_identifier,
    STATE(5986), 1,
      sym__type_chrono,
    STATE(11283), 1,
      sym_as_alias,
    STATE(11507), 1,
      sym__keyword_as,
    STATE(13708), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3638), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5974), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [337070] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2440), 1,
      sym__unquoted_identifier,
    ACTIONS(2482), 1,
      sym__quoted_identifier,
    ACTIONS(8133), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8153), 1,
      aux_sym_join_condition_token1,
    STATE(5408), 1,
      sym__identifier,
    STATE(5766), 1,
      sym_identifier,
    STATE(5986), 1,
      sym__type_chrono,
    STATE(11293), 1,
      sym_as_alias,
    STATE(11507), 1,
      sym__keyword_as,
    STATE(13708), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3638), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5974), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [337117] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8155), 1,
      aux_sym_join_condition_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(5766), 1,
      sym_identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    STATE(19188), 1,
      sym_as_alias,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [337164] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8157), 1,
      aux_sym_using_clause_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(5766), 1,
      sym_identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    STATE(19310), 1,
      sym_as_alias,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [337211] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2440), 1,
      sym__unquoted_identifier,
    ACTIONS(2482), 1,
      sym__quoted_identifier,
    ACTIONS(8133), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8159), 1,
      aux_sym_join_condition_token1,
    STATE(5408), 1,
      sym__identifier,
    STATE(5766), 1,
      sym_identifier,
    STATE(5986), 1,
      sym__type_chrono,
    STATE(11292), 1,
      sym_as_alias,
    STATE(11507), 1,
      sym__keyword_as,
    STATE(13708), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3638), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5974), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [337258] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(12057), 1,
      sym_identifier,
    STATE(16098), 1,
      sym_procedure_argument,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(8129), 3,
      aux_sym__keyword_in_token1,
      aux_sym_procedure_argument_token1,
      aux_sym_procedure_argument_token2,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [337301] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2440), 1,
      sym__unquoted_identifier,
    ACTIONS(2482), 1,
      sym__quoted_identifier,
    ACTIONS(8133), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8161), 1,
      aux_sym_join_condition_token1,
    STATE(5408), 1,
      sym__identifier,
    STATE(5766), 1,
      sym_identifier,
    STATE(5986), 1,
      sym__type_chrono,
    STATE(11303), 1,
      sym_as_alias,
    STATE(11507), 1,
      sym__keyword_as,
    STATE(13708), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3638), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5974), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [337348] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8163), 1,
      aux_sym_using_clause_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(5766), 1,
      sym_identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    STATE(18297), 1,
      sym_as_alias,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [337395] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8165), 1,
      aux_sym_join_condition_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(5766), 1,
      sym_identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    STATE(19199), 1,
      sym_as_alias,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [337442] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8167), 1,
      aux_sym_join_condition_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(5766), 1,
      sym_identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    STATE(19198), 1,
      sym_as_alias,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [337489] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2440), 1,
      sym__unquoted_identifier,
    ACTIONS(2482), 1,
      sym__quoted_identifier,
    ACTIONS(8133), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8169), 1,
      aux_sym_join_condition_token1,
    STATE(5408), 1,
      sym__identifier,
    STATE(5766), 1,
      sym_identifier,
    STATE(5986), 1,
      sym__type_chrono,
    STATE(11302), 1,
      sym_as_alias,
    STATE(11507), 1,
      sym__keyword_as,
    STATE(13708), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3638), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5974), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [337536] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8171), 1,
      aux_sym_join_condition_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(5766), 1,
      sym_identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    STATE(17043), 1,
      sym_as_alias,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [337583] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8173), 1,
      aux_sym_join_condition_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(5766), 1,
      sym_identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    STATE(17042), 1,
      sym_as_alias,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [337630] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2440), 1,
      sym__unquoted_identifier,
    ACTIONS(2482), 1,
      sym__quoted_identifier,
    ACTIONS(8133), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8175), 1,
      aux_sym_join_condition_token1,
    STATE(5408), 1,
      sym__identifier,
    STATE(5766), 1,
      sym_identifier,
    STATE(5986), 1,
      sym__type_chrono,
    STATE(11274), 1,
      sym_as_alias,
    STATE(11507), 1,
      sym__keyword_as,
    STATE(13708), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3638), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5974), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [337677] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8177), 1,
      aux_sym_join_condition_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(5766), 1,
      sym_identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    STATE(16830), 1,
      sym_as_alias,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [337724] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2440), 1,
      sym__unquoted_identifier,
    ACTIONS(2482), 1,
      sym__quoted_identifier,
    ACTIONS(8133), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8139), 1,
      aux_sym_join_condition_token1,
    STATE(5408), 1,
      sym__identifier,
    STATE(5766), 1,
      sym_identifier,
    STATE(5986), 1,
      sym__type_chrono,
    STATE(11290), 1,
      sym_as_alias,
    STATE(11507), 1,
      sym__keyword_as,
    STATE(13708), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3638), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5974), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [337771] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2440), 1,
      sym__unquoted_identifier,
    ACTIONS(2482), 1,
      sym__quoted_identifier,
    ACTIONS(8133), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8179), 1,
      aux_sym_join_condition_token1,
    STATE(5408), 1,
      sym__identifier,
    STATE(5766), 1,
      sym_identifier,
    STATE(5986), 1,
      sym__type_chrono,
    STATE(11304), 1,
      sym_as_alias,
    STATE(11507), 1,
      sym__keyword_as,
    STATE(13708), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3638), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5974), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [337818] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2440), 1,
      sym__unquoted_identifier,
    ACTIONS(2482), 1,
      sym__quoted_identifier,
    ACTIONS(8133), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8181), 1,
      aux_sym_join_condition_token1,
    STATE(5408), 1,
      sym__identifier,
    STATE(5766), 1,
      sym_identifier,
    STATE(5986), 1,
      sym__type_chrono,
    STATE(11300), 1,
      sym_as_alias,
    STATE(11507), 1,
      sym__keyword_as,
    STATE(13708), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3638), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5974), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [337865] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2440), 1,
      sym__unquoted_identifier,
    ACTIONS(2482), 1,
      sym__quoted_identifier,
    ACTIONS(8133), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8183), 1,
      aux_sym_join_condition_token1,
    STATE(5408), 1,
      sym__identifier,
    STATE(5766), 1,
      sym_identifier,
    STATE(5986), 1,
      sym__type_chrono,
    STATE(11289), 1,
      sym_as_alias,
    STATE(11507), 1,
      sym__keyword_as,
    STATE(13708), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3638), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5974), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [337912] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8185), 1,
      aux_sym_join_condition_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(5766), 1,
      sym_identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    STATE(19195), 1,
      sym_as_alias,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [337959] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8087), 1,
      aux_sym_keyword_unbounded_preceding_token1,
    ACTIONS(8089), 1,
      aux_sym_keyword_current_row_token1,
    STATE(15992), 1,
      sym_number,
    STATE(16473), 1,
      sym__window_frame_end_a,
    ACTIONS(579), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(581), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(6684), 3,
      sym__float,
      sym_numeric,
      sym__number,
    ACTIONS(8091), 4,
      aux_sym_numeric_token1,
      aux_sym_numeric_token2,
      aux_sym_numeric_token3,
      aux_sym_numeric_token4,
    STATE(16407), 4,
      sym_window_numeric_preceding,
      sym_window_numeric_following,
      sym_keyword_unbounded_preceding,
      sym_keyword_current_row,
  [338000] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8187), 1,
      aux_sym_join_condition_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(5766), 1,
      sym_identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    STATE(19202), 1,
      sym_as_alias,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [338047] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8179), 1,
      aux_sym_join_condition_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(5766), 1,
      sym_identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    STATE(19194), 1,
      sym_as_alias,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [338094] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8189), 1,
      aux_sym_join_condition_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(5766), 1,
      sym_identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    STATE(19201), 1,
      sym_as_alias,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [338141] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8191), 1,
      aux_sym_join_condition_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(5766), 1,
      sym_identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    STATE(16829), 1,
      sym_as_alias,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [338188] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8193), 1,
      aux_sym_join_condition_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(5766), 1,
      sym_identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    STATE(17037), 1,
      sym_as_alias,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [338235] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2440), 1,
      sym__unquoted_identifier,
    ACTIONS(2482), 1,
      sym__quoted_identifier,
    ACTIONS(8133), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8171), 1,
      aux_sym_join_condition_token1,
    STATE(5408), 1,
      sym__identifier,
    STATE(5766), 1,
      sym_identifier,
    STATE(5986), 1,
      sym__type_chrono,
    STATE(11295), 1,
      sym_as_alias,
    STATE(11507), 1,
      sym__keyword_as,
    STATE(13708), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3638), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5974), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [338282] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2440), 1,
      sym__unquoted_identifier,
    ACTIONS(2482), 1,
      sym__quoted_identifier,
    ACTIONS(8133), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8195), 1,
      aux_sym_join_condition_token1,
    STATE(5408), 1,
      sym__identifier,
    STATE(5766), 1,
      sym_identifier,
    STATE(5986), 1,
      sym__type_chrono,
    STATE(11305), 1,
      sym_as_alias,
    STATE(11507), 1,
      sym__keyword_as,
    STATE(13708), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3638), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5974), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [338329] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(3692), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8197), 1,
      aux_sym_join_condition_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(5766), 1,
      sym_identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11527), 1,
      sym__keyword_as,
    STATE(17038), 1,
      sym_as_alias,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [338376] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      sym__unquoted_identifier,
    ACTIONS(123), 1,
      sym__quoted_identifier,
    ACTIONS(8199), 1,
      anon_sym_LPAREN,
    STATE(1950), 1,
      sym__identifier,
    STATE(2142), 1,
      sym__type_chrono,
    STATE(2254), 1,
      sym_over_clause,
    STATE(2249), 2,
      sym_window_specification,
      sym_identifier,
    STATE(13635), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1055), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2132), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [338418] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8201), 1,
      aux_sym_keyword_if_not_exists_token1,
    ACTIONS(8203), 1,
      aux_sym_create_function_statement_token1,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(5310), 1,
      sym_identifier,
    STATE(11575), 1,
      sym_keyword_if_not_exists,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [338462] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      sym__unquoted_identifier,
    ACTIONS(275), 1,
      sym__quoted_identifier,
    ACTIONS(8205), 1,
      anon_sym_LPAREN,
    STATE(7828), 1,
      sym__identifier,
    STATE(9825), 1,
      sym__type_chrono,
    STATE(9931), 1,
      sym_over_clause,
    STATE(9936), 2,
      sym_window_specification,
      sym_identifier,
    STATE(13757), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3766), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(9753), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [338504] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(545), 1,
      sym__unquoted_identifier,
    ACTIONS(597), 1,
      sym__quoted_identifier,
    ACTIONS(8207), 1,
      anon_sym_LPAREN,
    STATE(5986), 1,
      sym__type_chrono,
    STATE(6990), 1,
      sym_over_clause,
    STATE(8773), 1,
      sym__identifier,
    STATE(6989), 2,
      sym_window_specification,
      sym_identifier,
    STATE(13954), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3638), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5974), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [338546] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(149), 1,
      sym__unquoted_identifier,
    ACTIONS(191), 1,
      sym__quoted_identifier,
    ACTIONS(8209), 1,
      anon_sym_LPAREN,
    STATE(1329), 1,
      sym__identifier,
    STATE(1949), 1,
      sym__type_chrono,
    STATE(1983), 1,
      sym_over_clause,
    STATE(1999), 2,
      sym_window_specification,
      sym_identifier,
    STATE(13527), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1268), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(1884), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [338588] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8089), 1,
      aux_sym_keyword_current_row_token1,
    ACTIONS(8211), 1,
      aux_sym_keyword_unbounded_preceding_token1,
    STATE(16464), 1,
      sym_number,
    ACTIONS(579), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(581), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(6684), 3,
      sym__float,
      sym_numeric,
      sym__number,
    ACTIONS(8091), 4,
      aux_sym_numeric_token1,
      aux_sym_numeric_token2,
      aux_sym_numeric_token3,
      aux_sym_numeric_token4,
    STATE(16473), 4,
      sym__window_frame_end_b,
      sym_window_numeric_following,
      sym_keyword_unbounded_following,
      sym_keyword_current_row,
  [338626] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2498), 1,
      sym__unquoted_identifier,
    ACTIONS(2540), 1,
      sym__quoted_identifier,
    ACTIONS(8213), 1,
      anon_sym_LPAREN,
    STATE(5400), 1,
      sym__identifier,
    STATE(5587), 1,
      sym__type_chrono,
    STATE(5771), 1,
      sym_over_clause,
    STATE(5797), 2,
      sym_window_specification,
      sym_identifier,
    STATE(13676), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3366), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5589), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [338668] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(8207), 1,
      anon_sym_LPAREN,
    STATE(4908), 1,
      sym__identifier,
    STATE(5986), 1,
      sym__type_chrono,
    STATE(6990), 1,
      sym_over_clause,
    STATE(6989), 2,
      sym_window_specification,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3638), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5974), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [338710] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(8215), 1,
      anon_sym_LPAREN,
    STATE(4908), 1,
      sym__identifier,
    STATE(9796), 1,
      sym__type_chrono,
    STATE(10183), 1,
      sym_over_clause,
    STATE(10182), 2,
      sym_window_specification,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3790), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(9747), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [338752] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8217), 1,
      anon_sym_LPAREN,
    STATE(2405), 1,
      sym__identifier,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(16083), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    STATE(17615), 2,
      sym_single_column_unpivot,
      sym_multi_column_unpivot,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [338794] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7965), 1,
      sym__unquoted_identifier,
    ACTIONS(7975), 1,
      sym__quoted_identifier,
    ACTIONS(8219), 1,
      anon_sym_LPAREN,
    STATE(4262), 1,
      sym__identifier,
    STATE(4463), 1,
      sym__type_chrono,
    STATE(4709), 1,
      sym_over_clause,
    STATE(4707), 2,
      sym_window_specification,
      sym_identifier,
    STATE(13747), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7969), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(4726), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [338836] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(8201), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(7832), 1,
      sym_column_definition,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11461), 1,
      sym_keyword_if_not_exists,
    STATE(12419), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [338880] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8217), 1,
      anon_sym_LPAREN,
    STATE(2405), 1,
      sym__identifier,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(16083), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    STATE(17618), 2,
      sym_single_column_unpivot,
      sym_multi_column_unpivot,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [338922] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8201), 1,
      aux_sym_keyword_if_not_exists_token1,
    ACTIONS(8221), 1,
      aux_sym_create_function_statement_token1,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(5398), 1,
      sym_identifier,
    STATE(11561), 1,
      sym_keyword_if_not_exists,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [338966] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(203), 1,
      sym__unquoted_identifier,
    ACTIONS(215), 1,
      sym__quoted_identifier,
    ACTIONS(8223), 1,
      anon_sym_LPAREN,
    STATE(383), 1,
      sym__identifier,
    STATE(461), 1,
      sym__type_chrono,
    STATE(618), 1,
      sym_over_clause,
    STATE(620), 2,
      sym_window_specification,
      sym_identifier,
    STATE(13828), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(209), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(580), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [339008] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8201), 1,
      aux_sym_keyword_if_not_exists_token1,
    ACTIONS(8225), 1,
      aux_sym_create_function_statement_token1,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(5404), 1,
      sym_identifier,
    STATE(11475), 1,
      sym_keyword_if_not_exists,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [339052] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8217), 1,
      anon_sym_LPAREN,
    STATE(2405), 1,
      sym__identifier,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(16083), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    STATE(17191), 2,
      sym_single_column_unpivot,
      sym_multi_column_unpivot,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [339094] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8217), 1,
      anon_sym_LPAREN,
    STATE(2405), 1,
      sym__identifier,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(16083), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    STATE(18031), 2,
      sym_single_column_unpivot,
      sym_multi_column_unpivot,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [339136] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8217), 1,
      anon_sym_LPAREN,
    STATE(2405), 1,
      sym__identifier,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(16083), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    STATE(17190), 2,
      sym_single_column_unpivot,
      sym_multi_column_unpivot,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [339178] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8217), 1,
      anon_sym_LPAREN,
    STATE(2405), 1,
      sym__identifier,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(16083), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    STATE(17306), 2,
      sym_single_column_unpivot,
      sym_multi_column_unpivot,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [339220] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8217), 1,
      anon_sym_LPAREN,
    STATE(2405), 1,
      sym__identifier,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(16083), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    STATE(18975), 2,
      sym_single_column_unpivot,
      sym_multi_column_unpivot,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [339262] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8087), 1,
      aux_sym_keyword_unbounded_preceding_token1,
    ACTIONS(8089), 1,
      aux_sym_keyword_current_row_token1,
    STATE(15992), 1,
      sym_number,
    STATE(15994), 1,
      sym_keyword_current_row,
    STATE(15996), 1,
      sym_window_numeric_following,
    ACTIONS(579), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(581), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(15998), 2,
      sym_window_numeric_preceding,
      sym_keyword_unbounded_preceding,
    STATE(6684), 3,
      sym__float,
      sym_numeric,
      sym__number,
    ACTIONS(8091), 4,
      aux_sym_numeric_token1,
      aux_sym_numeric_token2,
      aux_sym_numeric_token3,
      aux_sym_numeric_token4,
  [339304] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8217), 1,
      anon_sym_LPAREN,
    STATE(2405), 1,
      sym__identifier,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(16083), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    STATE(18720), 2,
      sym_single_column_unpivot,
      sym_multi_column_unpivot,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [339346] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8227), 1,
      anon_sym_LPAREN,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(3666), 1,
      sym_over_clause,
    STATE(3665), 2,
      sym_window_specification,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [339388] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(491), 1,
      sym__unquoted_identifier,
    ACTIONS(533), 1,
      sym__quoted_identifier,
    ACTIONS(8229), 1,
      anon_sym_LPAREN,
    STATE(5940), 1,
      sym__identifier,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(6575), 1,
      sym_over_clause,
    STATE(6432), 2,
      sym_window_specification,
      sym_identifier,
    STATE(13302), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [339430] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 1,
      sym__unquoted_identifier,
    ACTIONS(2402), 1,
      sym__quoted_identifier,
    ACTIONS(8227), 1,
      anon_sym_LPAREN,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(3666), 1,
      sym_over_clause,
    STATE(4215), 1,
      sym__identifier,
    STATE(3665), 2,
      sym_window_specification,
      sym_identifier,
    STATE(13794), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [339472] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8217), 1,
      anon_sym_LPAREN,
    STATE(2405), 1,
      sym__identifier,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(16083), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    STATE(17055), 2,
      sym_single_column_unpivot,
      sym_multi_column_unpivot,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [339514] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2552), 1,
      sym__unquoted_identifier,
    ACTIONS(2592), 1,
      sym__quoted_identifier,
    ACTIONS(8231), 1,
      anon_sym_LPAREN,
    STATE(10536), 1,
      sym__identifier,
    STATE(10784), 1,
      sym__type_chrono,
    STATE(10827), 1,
      sym_over_clause,
    STATE(10832), 2,
      sym_window_specification,
      sym_identifier,
    STATE(14157), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3995), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(10794), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [339556] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7977), 1,
      sym__unquoted_identifier,
    ACTIONS(7987), 1,
      sym__quoted_identifier,
    ACTIONS(8233), 1,
      anon_sym_LPAREN,
    STATE(10725), 1,
      sym__identifier,
    STATE(11107), 1,
      sym__type_chrono,
    STATE(11140), 1,
      sym_over_clause,
    STATE(11141), 2,
      sym_window_specification,
      sym_identifier,
    STATE(13955), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7981), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(10904), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [339598] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8217), 1,
      anon_sym_LPAREN,
    STATE(2405), 1,
      sym__identifier,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(16083), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    STATE(18795), 2,
      sym_single_column_unpivot,
      sym_multi_column_unpivot,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [339640] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1926), 1,
      sym__unquoted_identifier,
    ACTIONS(1968), 1,
      sym__quoted_identifier,
    ACTIONS(8235), 1,
      anon_sym_LPAREN,
    STATE(3384), 1,
      sym__identifier,
    STATE(3392), 1,
      sym_over_clause,
    STATE(3590), 1,
      sym__type_chrono,
    STATE(3391), 2,
      sym_window_specification,
      sym_identifier,
    STATE(13989), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(2794), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(3597), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [339682] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2166), 1,
      sym__unquoted_identifier,
    ACTIONS(2208), 1,
      sym__quoted_identifier,
    ACTIONS(8237), 1,
      anon_sym_LPAREN,
    STATE(7194), 1,
      sym__identifier,
    STATE(7562), 1,
      sym_over_clause,
    STATE(9113), 1,
      sym__type_chrono,
    STATE(7564), 2,
      sym_window_specification,
      sym_identifier,
    STATE(13999), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3654), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(9478), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [339724] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2242), 1,
      sym__unquoted_identifier,
    ACTIONS(2284), 1,
      sym__quoted_identifier,
    ACTIONS(8239), 1,
      anon_sym_LPAREN,
    STATE(8591), 1,
      sym__identifier,
    STATE(9707), 1,
      sym__type_chrono,
    STATE(10353), 1,
      sym_over_clause,
    STATE(10354), 2,
      sym_window_specification,
      sym_identifier,
    STATE(13746), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3724), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(9750), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [339766] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8217), 1,
      anon_sym_LPAREN,
    STATE(2405), 1,
      sym__identifier,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(16083), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    STATE(16619), 2,
      sym_single_column_unpivot,
      sym_multi_column_unpivot,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [339808] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8217), 1,
      anon_sym_LPAREN,
    STATE(2405), 1,
      sym__identifier,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(16083), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    STATE(16618), 2,
      sym_single_column_unpivot,
      sym_multi_column_unpivot,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [339850] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8201), 1,
      aux_sym_keyword_if_not_exists_token1,
    ACTIONS(8241), 1,
      aux_sym_create_function_statement_token1,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(5317), 1,
      sym_identifier,
    STATE(11464), 1,
      sym_keyword_if_not_exists,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [339894] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(491), 1,
      sym__unquoted_identifier,
    ACTIONS(533), 1,
      sym__quoted_identifier,
    ACTIONS(8229), 1,
      anon_sym_LPAREN,
    STATE(5940), 1,
      sym__identifier,
    STATE(6342), 1,
      sym__type_chrono,
    STATE(6575), 1,
      sym_over_clause,
    STATE(6432), 2,
      sym_window_specification,
      sym_identifier,
    STATE(13302), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3536), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6181), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [339936] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7989), 1,
      sym__unquoted_identifier,
    ACTIONS(7997), 1,
      sym__quoted_identifier,
    ACTIONS(8243), 1,
      anon_sym_LPAREN,
    STATE(5099), 1,
      sym__identifier,
    STATE(5100), 1,
      sym__type_chrono,
    STATE(5123), 1,
      sym_over_clause,
    STATE(5126), 2,
      sym_window_specification,
      sym_identifier,
    STATE(13243), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7949), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5101), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [339978] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2440), 1,
      sym__unquoted_identifier,
    ACTIONS(2482), 1,
      sym__quoted_identifier,
    ACTIONS(8207), 1,
      anon_sym_LPAREN,
    STATE(5408), 1,
      sym__identifier,
    STATE(5986), 1,
      sym__type_chrono,
    STATE(6990), 1,
      sym_over_clause,
    STATE(6989), 2,
      sym_window_specification,
      sym_identifier,
    STATE(13708), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3638), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5974), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [340020] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2604), 1,
      sym__unquoted_identifier,
    ACTIONS(2646), 1,
      sym__quoted_identifier,
    ACTIONS(8245), 1,
      anon_sym_LPAREN,
    STATE(4755), 1,
      sym__identifier,
    STATE(4818), 1,
      sym__type_chrono,
    STATE(4841), 1,
      sym_over_clause,
    STATE(4843), 2,
      sym_window_specification,
      sym_identifier,
    STATE(13556), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(2780), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(4847), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [340062] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2166), 1,
      sym__unquoted_identifier,
    ACTIONS(2208), 1,
      sym__quoted_identifier,
    ACTIONS(8237), 1,
      anon_sym_LPAREN,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(7194), 1,
      sym__identifier,
    STATE(7562), 1,
      sym_over_clause,
    STATE(7564), 2,
      sym_window_specification,
      sym_identifier,
    STATE(13999), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [340104] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1984), 1,
      sym__unquoted_identifier,
    ACTIONS(2026), 1,
      sym__quoted_identifier,
    ACTIONS(8247), 1,
      anon_sym_LPAREN,
    STATE(4341), 1,
      sym__identifier,
    STATE(4450), 1,
      sym_over_clause,
    STATE(4722), 1,
      sym__type_chrono,
    STATE(4449), 2,
      sym_window_specification,
      sym_identifier,
    STATE(14156), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(2924), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(4734), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [340146] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8227), 1,
      anon_sym_LPAREN,
    STATE(2405), 1,
      sym__identifier,
    STATE(3666), 1,
      sym_over_clause,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(3665), 2,
      sym_window_specification,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [340188] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8249), 1,
      aux_sym_keyword_if_not_exists_token1,
    ACTIONS(8251), 1,
      aux_sym_create_function_statement_token1,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(8154), 1,
      sym_identifier,
    STATE(11604), 1,
      sym_keyword_if_exists,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [340232] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(8201), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(7832), 1,
      sym_column_definition,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11440), 1,
      sym_keyword_if_not_exists,
    STATE(12369), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [340276] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1306), 1,
      sym__unquoted_identifier,
    ACTIONS(1314), 1,
      sym__quoted_identifier,
    ACTIONS(8253), 1,
      anon_sym_LPAREN,
    STATE(2993), 1,
      sym__identifier,
    STATE(3185), 1,
      sym_over_clause,
    STATE(3203), 1,
      sym__type_chrono,
    STATE(3184), 2,
      sym_window_specification,
      sym_identifier,
    STATE(13495), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1310), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(3320), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [340318] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1215), 1,
      sym__unquoted_identifier,
    ACTIONS(1221), 1,
      sym__quoted_identifier,
    ACTIONS(8255), 1,
      anon_sym_LPAREN,
    STATE(2336), 1,
      sym__type_chrono,
    STATE(2519), 1,
      sym__identifier,
    STATE(2718), 1,
      sym_over_clause,
    STATE(2721), 2,
      sym_window_specification,
      sym_identifier,
    STATE(13760), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(355), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2335), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [340360] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2440), 1,
      sym__unquoted_identifier,
    ACTIONS(2482), 1,
      sym__quoted_identifier,
    ACTIONS(8257), 1,
      anon_sym_LPAREN,
    STATE(5408), 1,
      sym__identifier,
    STATE(5988), 1,
      sym__type_chrono,
    STATE(6326), 1,
      sym_over_clause,
    STATE(6325), 2,
      sym_window_specification,
      sym_identifier,
    STATE(13708), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3530), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5668), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [340402] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(8201), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11531), 1,
      sym_keyword_if_not_exists,
    STATE(16089), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [340443] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(8259), 1,
      anon_sym_RPAREN,
    STATE(4908), 1,
      sym__identifier,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(15229), 1,
      sym_option_item,
    STATE(17514), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [340484] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2440), 1,
      sym__unquoted_identifier,
    ACTIONS(2482), 1,
      sym__quoted_identifier,
    ACTIONS(8261), 1,
      anon_sym_LPAREN,
    STATE(5408), 1,
      sym__identifier,
    STATE(5986), 1,
      sym__type_chrono,
    STATE(11296), 1,
      sym_select_subexpression,
    STATE(11299), 1,
      sym_identifier,
    STATE(13708), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3638), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5974), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [340525] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8201), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(7264), 1,
      sym_identifier,
    STATE(11510), 1,
      sym_keyword_if_not_exists,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [340566] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8249), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(8154), 1,
      sym_identifier,
    STATE(11604), 1,
      sym_keyword_if_exists,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [340607] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8115), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8117), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8119), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(8121), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(8123), 1,
      aux_sym_where_clause_token1,
    STATE(6526), 1,
      sym_window_clause,
    STATE(11452), 1,
      sym__keyword_window,
    STATE(11602), 1,
      sym_where_clause,
    STATE(11654), 1,
      sym_group_by_clause,
    STATE(11995), 1,
      sym_having_clause,
    STATE(12086), 1,
      sym_qualify_clause,
    ACTIONS(3602), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [340652] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(8201), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11550), 1,
      sym_keyword_if_not_exists,
    STATE(16158), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [340693] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(8249), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11516), 1,
      sym_keyword_if_exists,
    STATE(17332), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [340734] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8249), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(7850), 1,
      sym_identifier,
    STATE(11558), 1,
      sym_keyword_if_exists,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [340775] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8249), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(7765), 1,
      sym_identifier,
    STATE(11560), 1,
      sym_keyword_if_exists,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [340816] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8201), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(5391), 1,
      sym_identifier,
    STATE(11584), 1,
      sym_keyword_if_not_exists,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [340857] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(8249), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11564), 1,
      sym_keyword_if_exists,
    STATE(13014), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [340898] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8201), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(5417), 1,
      sym_identifier,
    STATE(11548), 1,
      sym_keyword_if_not_exists,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [340939] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8249), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(8338), 1,
      sym_identifier,
    STATE(11624), 1,
      sym_keyword_if_exists,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [340980] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2440), 1,
      sym__unquoted_identifier,
    ACTIONS(2482), 1,
      sym__quoted_identifier,
    ACTIONS(8261), 1,
      anon_sym_LPAREN,
    STATE(5408), 1,
      sym__identifier,
    STATE(5986), 1,
      sym__type_chrono,
    STATE(11281), 1,
      sym_identifier,
    STATE(11294), 1,
      sym_select_subexpression,
    STATE(13708), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3638), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5974), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [341021] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8115), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8117), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8119), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(8121), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(8123), 1,
      aux_sym_where_clause_token1,
    STATE(6534), 1,
      sym_window_clause,
    STATE(11452), 1,
      sym__keyword_window,
    STATE(11523), 1,
      sym_where_clause,
    STATE(11673), 1,
      sym_group_by_clause,
    STATE(11917), 1,
      sym_having_clause,
    STATE(12041), 1,
      sym_qualify_clause,
    ACTIONS(3606), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [341066] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(8249), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11606), 1,
      sym_keyword_if_exists,
    STATE(11649), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [341107] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(7250), 1,
      sym__assigment_expression,
    STATE(7506), 1,
      sym_update_item,
    STATE(18313), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [341148] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2440), 1,
      sym__unquoted_identifier,
    ACTIONS(2482), 1,
      sym__quoted_identifier,
    ACTIONS(8261), 1,
      anon_sym_LPAREN,
    STATE(5408), 1,
      sym__identifier,
    STATE(5986), 1,
      sym__type_chrono,
    STATE(11307), 1,
      sym_select_subexpression,
    STATE(11308), 1,
      sym_identifier,
    STATE(13708), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3638), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5974), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [341189] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8249), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(8331), 1,
      sym_identifier,
    STATE(11618), 1,
      sym_keyword_if_exists,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [341230] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8249), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(8329), 1,
      sym_identifier,
    STATE(11613), 1,
      sym_keyword_if_exists,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [341271] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2440), 1,
      sym__unquoted_identifier,
    ACTIONS(2482), 1,
      sym__quoted_identifier,
    ACTIONS(8263), 1,
      aux_sym__keyword_from_token1,
    STATE(5408), 1,
      sym__identifier,
    STATE(5986), 1,
      sym__type_chrono,
    STATE(11270), 1,
      sym_identifier,
    STATE(11611), 1,
      sym__keyword_from,
    STATE(13708), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3638), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5974), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [341312] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(8201), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11538), 1,
      sym_keyword_if_not_exists,
    STATE(16106), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [341353] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8201), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(5390), 1,
      sym_identifier,
    STATE(11608), 1,
      sym_keyword_if_not_exists,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [341394] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8201), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(6056), 1,
      sym_identifier,
    STATE(11524), 1,
      sym_keyword_if_not_exists,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [341435] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(7229), 1,
      sym_update_item,
    STATE(7250), 1,
      sym__assigment_expression,
    STATE(18331), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [341476] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(8249), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11603), 1,
      sym_keyword_if_exists,
    STATE(18597), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [341517] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8209), 1,
      anon_sym_LPAREN,
    STATE(1949), 1,
      sym__type_chrono,
    STATE(2405), 1,
      sym__identifier,
    STATE(6562), 2,
      sym_window_specification,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1268), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(1884), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [341556] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(8201), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11578), 1,
      sym_keyword_if_not_exists,
    STATE(16254), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [341597] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8249), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(8139), 1,
      sym_identifier,
    STATE(11620), 1,
      sym_keyword_if_exists,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [341638] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(8249), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11493), 1,
      sym_keyword_if_exists,
    STATE(18794), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [341679] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(8265), 1,
      anon_sym_RPAREN,
    STATE(4908), 1,
      sym__identifier,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(15231), 1,
      sym_option_item,
    STATE(17514), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [341720] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2440), 1,
      sym__unquoted_identifier,
    ACTIONS(2482), 1,
      sym__quoted_identifier,
    ACTIONS(8261), 1,
      anon_sym_LPAREN,
    STATE(5408), 1,
      sym__identifier,
    STATE(5986), 1,
      sym__type_chrono,
    STATE(11287), 1,
      sym_select_subexpression,
    STATE(11298), 1,
      sym_identifier,
    STATE(13708), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3638), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5974), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [341761] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8201), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(6020), 1,
      sym_identifier,
    STATE(11569), 1,
      sym_keyword_if_not_exists,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [341802] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8201), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(7209), 1,
      sym_identifier,
    STATE(11557), 1,
      sym_keyword_if_not_exists,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [341843] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(7250), 1,
      sym__assigment_expression,
    STATE(9591), 1,
      sym_update_item,
    STATE(19245), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [341884] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(7250), 1,
      sym__assigment_expression,
    STATE(14206), 1,
      sym_update_item,
    STATE(18331), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [341925] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2440), 1,
      sym__unquoted_identifier,
    ACTIONS(2482), 1,
      sym__quoted_identifier,
    ACTIONS(8261), 1,
      anon_sym_LPAREN,
    STATE(5408), 1,
      sym__identifier,
    STATE(5986), 1,
      sym__type_chrono,
    STATE(11272), 1,
      sym_identifier,
    STATE(11277), 1,
      sym_select_subexpression,
    STATE(13708), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3638), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5974), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [341966] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(8201), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11623), 1,
      sym_keyword_if_not_exists,
    STATE(16252), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [342007] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(8267), 1,
      anon_sym_RPAREN,
    STATE(4908), 1,
      sym__identifier,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(15174), 1,
      sym_option_item,
    STATE(17514), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [342048] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8115), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8117), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8119), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(8121), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(8123), 1,
      aux_sym_where_clause_token1,
    STATE(6466), 1,
      sym_window_clause,
    STATE(11452), 1,
      sym__keyword_window,
    STATE(11545), 1,
      sym_where_clause,
    STATE(11666), 1,
      sym_group_by_clause,
    STATE(11893), 1,
      sym_having_clause,
    STATE(12054), 1,
      sym_qualify_clause,
    ACTIONS(3598), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [342093] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      sym__unquoted_identifier,
    ACTIONS(275), 1,
      sym__quoted_identifier,
    ACTIONS(8269), 1,
      aux_sym_cte_clause_token1,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(7828), 1,
      sym__identifier,
    STATE(13504), 1,
      sym_cte,
    STATE(16051), 1,
      sym_identifier,
    STATE(13757), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [342134] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(8249), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11514), 1,
      sym_keyword_if_exists,
    STATE(18214), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [342175] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(8201), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11509), 1,
      sym_keyword_if_not_exists,
    STATE(16253), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [342216] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8115), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8117), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8119), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(8121), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(8123), 1,
      aux_sym_where_clause_token1,
    STATE(6540), 1,
      sym_window_clause,
    STATE(11452), 1,
      sym__keyword_window,
    STATE(11465), 1,
      sym_where_clause,
    STATE(11661), 1,
      sym_group_by_clause,
    STATE(11939), 1,
      sym_having_clause,
    STATE(12124), 1,
      sym_qualify_clause,
    ACTIONS(3754), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [342261] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8201), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(5393), 1,
      sym_identifier,
    STATE(11634), 1,
      sym_keyword_if_not_exists,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [342302] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8249), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(7402), 1,
      sym_identifier,
    STATE(11567), 1,
      sym_keyword_if_exists,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [342343] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8201), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(5998), 1,
      sym_identifier,
    STATE(11566), 1,
      sym_keyword_if_not_exists,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [342384] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8201), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(6737), 1,
      sym_identifier,
    STATE(11553), 1,
      sym_keyword_if_not_exists,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [342425] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(7229), 1,
      sym_update_item,
    STATE(7250), 1,
      sym__assigment_expression,
    STATE(18313), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [342466] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8201), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(6057), 1,
      sym_identifier,
    STATE(11508), 1,
      sym_keyword_if_not_exists,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [342507] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(8249), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11606), 1,
      sym_keyword_if_exists,
    STATE(11646), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [342548] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(8201), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11579), 1,
      sym_keyword_if_not_exists,
    STATE(16139), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [342589] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2440), 1,
      sym__unquoted_identifier,
    ACTIONS(2482), 1,
      sym__quoted_identifier,
    ACTIONS(8271), 1,
      aux_sym__keyword_from_token1,
    STATE(5408), 1,
      sym__identifier,
    STATE(5986), 1,
      sym__type_chrono,
    STATE(11268), 1,
      sym_identifier,
    STATE(11619), 1,
      sym__keyword_from,
    STATE(13708), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3638), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5974), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [342630] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(8201), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11594), 1,
      sym_keyword_if_not_exists,
    STATE(16141), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [342671] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8201), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(5996), 1,
      sym_identifier,
    STATE(11614), 1,
      sym_keyword_if_not_exists,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [342712] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8201), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(7820), 1,
      sym_identifier,
    STATE(11617), 1,
      sym_keyword_if_not_exists,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [342753] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8201), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(6829), 1,
      sym_identifier,
    STATE(11473), 1,
      sym_keyword_if_not_exists,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [342794] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(8273), 1,
      anon_sym_RPAREN,
    STATE(4908), 1,
      sym__identifier,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(15070), 1,
      sym_option_item,
    STATE(17514), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [342835] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(8249), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11552), 1,
      sym_keyword_if_exists,
    STATE(12914), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [342876] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8201), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(7255), 1,
      sym_identifier,
    STATE(11525), 1,
      sym_keyword_if_not_exists,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [342917] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8249), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(8033), 1,
      sym_identifier,
    STATE(11639), 1,
      sym_keyword_if_exists,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [342958] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(8201), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11571), 1,
      sym_keyword_if_not_exists,
    STATE(16292), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [342999] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(8201), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11588), 1,
      sym_keyword_if_not_exists,
    STATE(16297), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [343040] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8201), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(6028), 1,
      sym_identifier,
    STATE(11542), 1,
      sym_keyword_if_not_exists,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [343081] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(8201), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11520), 1,
      sym_keyword_if_not_exists,
    STATE(16274), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [343122] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8209), 1,
      anon_sym_LPAREN,
    STATE(2405), 1,
      sym__identifier,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(6562), 2,
      sym_window_specification,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [343161] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2440), 1,
      sym__unquoted_identifier,
    ACTIONS(2482), 1,
      sym__quoted_identifier,
    ACTIONS(8261), 1,
      anon_sym_LPAREN,
    STATE(5408), 1,
      sym__identifier,
    STATE(5986), 1,
      sym__type_chrono,
    STATE(11291), 1,
      sym_identifier,
    STATE(11297), 1,
      sym_select_subexpression,
    STATE(13708), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3638), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5974), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [343202] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8249), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(8349), 1,
      sym_identifier,
    STATE(11636), 1,
      sym_keyword_if_exists,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [343243] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8201), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(5410), 1,
      sym_identifier,
    STATE(11559), 1,
      sym_keyword_if_not_exists,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [343284] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(7229), 1,
      sym_update_item,
    STATE(7250), 1,
      sym__assigment_expression,
    STATE(19245), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [343325] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8249), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(8336), 1,
      sym_identifier,
    STATE(11621), 1,
      sym_keyword_if_exists,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [343366] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8201), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(7559), 1,
      sym_identifier,
    STATE(11519), 1,
      sym_keyword_if_not_exists,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [343407] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(8201), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11497), 1,
      sym_keyword_if_not_exists,
    STATE(16295), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [343448] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8115), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8117), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8119), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(8121), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(8123), 1,
      aux_sym_where_clause_token1,
    STATE(6502), 1,
      sym_window_clause,
    STATE(11452), 1,
      sym__keyword_window,
    STATE(11471), 1,
      sym_where_clause,
    STATE(11683), 1,
      sym_group_by_clause,
    STATE(11903), 1,
      sym_having_clause,
    STATE(12048), 1,
      sym_qualify_clause,
    ACTIONS(3594), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [343493] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(8275), 1,
      anon_sym_RPAREN,
    STATE(4908), 1,
      sym__identifier,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(14584), 1,
      sym_option_item,
    STATE(17514), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [343534] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8201), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(5418), 1,
      sym_identifier,
    STATE(11555), 1,
      sym_keyword_if_not_exists,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [343575] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8249), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(8036), 1,
      sym_identifier,
    STATE(11625), 1,
      sym_keyword_if_exists,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [343616] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2440), 1,
      sym__unquoted_identifier,
    ACTIONS(2482), 1,
      sym__quoted_identifier,
    ACTIONS(8261), 1,
      anon_sym_LPAREN,
    STATE(5408), 1,
      sym__identifier,
    STATE(5986), 1,
      sym__type_chrono,
    STATE(11275), 1,
      sym_select_subexpression,
    STATE(11279), 1,
      sym_identifier,
    STATE(13708), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3638), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5974), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [343657] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2440), 1,
      sym__unquoted_identifier,
    ACTIONS(2482), 1,
      sym__quoted_identifier,
    ACTIONS(8261), 1,
      anon_sym_LPAREN,
    STATE(5408), 1,
      sym__identifier,
    STATE(5986), 1,
      sym__type_chrono,
    STATE(11282), 1,
      sym_identifier,
    STATE(11285), 1,
      sym_select_subexpression,
    STATE(13708), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3638), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5974), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [343698] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2440), 1,
      sym__unquoted_identifier,
    ACTIONS(2482), 1,
      sym__quoted_identifier,
    ACTIONS(8277), 1,
      aux_sym_into_clause_token1,
    STATE(5408), 1,
      sym__identifier,
    STATE(5986), 1,
      sym__type_chrono,
    STATE(11284), 1,
      sym_identifier,
    STATE(13708), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3638), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5974), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [343736] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3464), 1,
      aux_sym_using_clause_token1,
    ACTIONS(8279), 1,
      aux_sym_join_condition_token1,
    STATE(5258), 1,
      sym_join_condition,
    STATE(18466), 1,
      sym_join_type,
    ACTIONS(3454), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
  [343766] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(7756), 1,
      sym_column_definition,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(12369), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [343804] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(15903), 1,
      sym_option_item,
    STATE(17514), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [343842] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(16061), 1,
      sym_option_item,
    STATE(17514), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [343880] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      sym__unquoted_identifier,
    ACTIONS(275), 1,
      sym__quoted_identifier,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(7828), 1,
      sym__identifier,
    STATE(13729), 1,
      sym_cte,
    STATE(16051), 1,
      sym_identifier,
    STATE(13757), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [343918] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(15784), 1,
      sym_identifier,
    STATE(16883), 1,
      sym_column_list,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [343956] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(15784), 1,
      sym_identifier,
    STATE(16932), 1,
      sym_column_list,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [343994] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3464), 1,
      aux_sym_using_clause_token1,
    ACTIONS(8279), 1,
      aux_sym_join_condition_token1,
    STATE(5265), 1,
      sym_join_condition,
    STATE(18466), 1,
      sym_join_type,
    ACTIONS(3468), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
  [344024] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5265), 1,
      sym_join_condition,
    STATE(18466), 1,
      sym_join_type,
    ACTIONS(3468), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
  [344050] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(12445), 1,
      sym_identifier,
    STATE(15787), 1,
      sym_column_definition,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [344088] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2440), 1,
      sym__unquoted_identifier,
    ACTIONS(2482), 1,
      sym__quoted_identifier,
    ACTIONS(8281), 1,
      aux_sym_into_clause_token1,
    STATE(5408), 1,
      sym__identifier,
    STATE(5986), 1,
      sym__type_chrono,
    STATE(11273), 1,
      sym_identifier,
    STATE(13708), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3638), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5974), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [344126] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8211), 1,
      aux_sym_keyword_unbounded_preceding_token1,
    STATE(16464), 1,
      sym_number,
    STATE(16473), 1,
      sym__window_frame_end_c,
    ACTIONS(579), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(581), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(16467), 2,
      sym_window_numeric_following,
      sym_keyword_unbounded_following,
    STATE(6684), 3,
      sym__float,
      sym_numeric,
      sym__number,
    ACTIONS(8091), 4,
      aux_sym_numeric_token1,
      aux_sym_numeric_token2,
      aux_sym_numeric_token3,
      aux_sym_numeric_token4,
  [344162] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(12445), 1,
      sym_identifier,
    STATE(16157), 1,
      sym_column_definition,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [344200] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      sym__unquoted_identifier,
    ACTIONS(275), 1,
      sym__quoted_identifier,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(6515), 1,
      sym_named_window_expression,
    STATE(7828), 1,
      sym__identifier,
    STATE(16242), 1,
      sym_identifier,
    STATE(13757), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [344238] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(8283), 1,
      aux_sym_into_clause_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11901), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [344276] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5258), 1,
      sym_join_condition,
    STATE(18466), 1,
      sym_join_type,
    ACTIONS(3454), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
  [344302] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    ACTIONS(8285), 1,
      aux_sym_into_clause_token1,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11957), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [344340] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(15784), 1,
      sym_identifier,
    STATE(16499), 1,
      sym_column_list,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [344378] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      sym__unquoted_identifier,
    ACTIONS(275), 1,
      sym__quoted_identifier,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(6515), 1,
      sym_named_window_expression,
    STATE(7828), 1,
      sym__identifier,
    STATE(16313), 1,
      sym_identifier,
    STATE(13757), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [344416] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      sym__unquoted_identifier,
    ACTIONS(275), 1,
      sym__quoted_identifier,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(7828), 1,
      sym__identifier,
    STATE(14212), 1,
      sym_cte,
    STATE(16051), 1,
      sym_identifier,
    STATE(13757), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [344454] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8287), 1,
      anon_sym_LPAREN,
    STATE(2405), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(16412), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [344492] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    ACTIONS(8287), 1,
      anon_sym_LPAREN,
    STATE(2405), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(19038), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [344530] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(7756), 1,
      sym_column_definition,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(12419), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [344568] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(12445), 1,
      sym_identifier,
    STATE(15985), 1,
      sym_column_definition,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [344606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18466), 1,
      sym_join_type,
    ACTIONS(3520), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
  [344629] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(5310), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [344664] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8115), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8117), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8119), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(8121), 1,
      aux_sym_group_by_clause_token1,
    STATE(6359), 1,
      sym_window_clause,
    STATE(11452), 1,
      sym__keyword_window,
    STATE(11680), 1,
      sym_group_by_clause,
    STATE(11890), 1,
      sym_having_clause,
    STATE(12113), 1,
      sym_qualify_clause,
    ACTIONS(3822), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [344703] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(15297), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [344738] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(7511), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [344773] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(19276), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [344808] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(5579), 1,
      sym_identifier,
    STATE(5587), 1,
      sym__type_chrono,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3366), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5589), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [344843] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1215), 1,
      sym__unquoted_identifier,
    ACTIONS(1221), 1,
      sym__quoted_identifier,
    STATE(2336), 1,
      sym__type_chrono,
    STATE(2519), 1,
      sym__identifier,
    STATE(2681), 1,
      sym_identifier,
    STATE(13760), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(355), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2335), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [344878] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8115), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8117), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8119), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(8121), 1,
      aux_sym_group_by_clause_token1,
    STATE(6534), 1,
      sym_window_clause,
    STATE(11452), 1,
      sym__keyword_window,
    STATE(11673), 1,
      sym_group_by_clause,
    STATE(11917), 1,
      sym_having_clause,
    STATE(12041), 1,
      sym_qualify_clause,
    ACTIONS(3606), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [344917] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2498), 1,
      sym__unquoted_identifier,
    ACTIONS(2540), 1,
      sym__quoted_identifier,
    STATE(5400), 1,
      sym__identifier,
    STATE(5587), 1,
      sym__type_chrono,
    STATE(5627), 1,
      sym_identifier,
    STATE(13676), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3366), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5589), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [344952] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(6737), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [344987] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(19277), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345022] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(5396), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345057] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2166), 1,
      sym__unquoted_identifier,
    ACTIONS(2208), 1,
      sym__quoted_identifier,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(7194), 1,
      sym__identifier,
    STATE(7443), 1,
      sym_identifier,
    STATE(13999), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345092] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(7536), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345127] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2242), 1,
      sym__unquoted_identifier,
    ACTIONS(2284), 1,
      sym__quoted_identifier,
    STATE(8591), 1,
      sym__identifier,
    STATE(9707), 1,
      sym__type_chrono,
    STATE(10302), 1,
      sym_identifier,
    STATE(13746), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3724), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(9750), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345162] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(17408), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345197] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(15403), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345232] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(8061), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345267] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(15044), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345302] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(203), 1,
      sym__unquoted_identifier,
    ACTIONS(215), 1,
      sym__quoted_identifier,
    STATE(383), 1,
      sym__identifier,
    STATE(461), 1,
      sym__type_chrono,
    STATE(612), 1,
      sym_identifier,
    STATE(13828), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(209), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(580), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345337] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11935), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345372] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      sym__unquoted_identifier,
    ACTIONS(123), 1,
      sym__quoted_identifier,
    STATE(1950), 1,
      sym__identifier,
    STATE(2105), 1,
      sym_identifier,
    STATE(2142), 1,
      sym__type_chrono,
    STATE(13635), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1055), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2132), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345407] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(12940), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345442] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      sym__unquoted_identifier,
    ACTIONS(123), 1,
      sym__quoted_identifier,
    STATE(1950), 1,
      sym__identifier,
    STATE(2100), 1,
      sym_identifier,
    STATE(2142), 1,
      sym__type_chrono,
    STATE(13635), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1055), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2132), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345477] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(19268), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345512] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2303), 1,
      sym_identifier,
    STATE(2336), 1,
      sym__type_chrono,
    STATE(2405), 1,
      sym__identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(355), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2335), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345547] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(16711), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345582] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(7825), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345617] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(16212), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345652] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(18484), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345687] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(17431), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345722] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(16168), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345757] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1306), 1,
      sym__unquoted_identifier,
    ACTIONS(1314), 1,
      sym__quoted_identifier,
    STATE(2993), 1,
      sym__identifier,
    STATE(3203), 1,
      sym__type_chrono,
    STATE(3227), 1,
      sym_identifier,
    STATE(13495), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1310), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(3320), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345792] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(16251), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345827] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2440), 1,
      sym__unquoted_identifier,
    ACTIONS(2482), 1,
      sym__quoted_identifier,
    STATE(5408), 1,
      sym__identifier,
    STATE(5988), 1,
      sym__type_chrono,
    STATE(7512), 1,
      sym_identifier,
    STATE(13708), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3530), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5668), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345862] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2604), 1,
      sym__unquoted_identifier,
    ACTIONS(2646), 1,
      sym__quoted_identifier,
    STATE(4755), 1,
      sym__identifier,
    STATE(4818), 1,
      sym__type_chrono,
    STATE(4864), 1,
      sym_identifier,
    STATE(13556), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(2780), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(4847), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345897] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2604), 1,
      sym__unquoted_identifier,
    ACTIONS(2646), 1,
      sym__quoted_identifier,
    STATE(4755), 1,
      sym__identifier,
    STATE(4778), 1,
      sym_identifier,
    STATE(4818), 1,
      sym__type_chrono,
    STATE(13556), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(2780), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(4847), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345932] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(16926), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345967] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2166), 1,
      sym__unquoted_identifier,
    ACTIONS(2208), 1,
      sym__quoted_identifier,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(7194), 1,
      sym__identifier,
    STATE(7958), 1,
      sym_identifier,
    STATE(13999), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346002] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(12032), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346037] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(491), 1,
      sym__unquoted_identifier,
    ACTIONS(533), 1,
      sym__quoted_identifier,
    STATE(5940), 1,
      sym__identifier,
    STATE(6331), 1,
      sym_identifier,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(13302), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346072] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(19273), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346107] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(6440), 1,
      sym_identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346142] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2440), 1,
      sym__unquoted_identifier,
    ACTIONS(2482), 1,
      sym__quoted_identifier,
    STATE(5408), 1,
      sym__identifier,
    STATE(5954), 1,
      sym_identifier,
    STATE(5986), 1,
      sym__type_chrono,
    STATE(13708), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3638), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5974), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346177] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(5989), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346212] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(16160), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346247] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(7204), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346282] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(7540), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346317] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(7944), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346352] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(545), 1,
      sym__unquoted_identifier,
    ACTIONS(597), 1,
      sym__quoted_identifier,
    STATE(5954), 1,
      sym_identifier,
    STATE(5986), 1,
      sym__type_chrono,
    STATE(8773), 1,
      sym__identifier,
    STATE(13954), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3638), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5974), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346387] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(17497), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346422] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(545), 1,
      sym__unquoted_identifier,
    ACTIONS(597), 1,
      sym__quoted_identifier,
    STATE(5986), 1,
      sym__type_chrono,
    STATE(7175), 1,
      sym_identifier,
    STATE(8773), 1,
      sym__identifier,
    STATE(13954), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3638), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5974), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346457] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(17012), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346492] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(7239), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346527] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(5100), 1,
      sym__type_chrono,
    STATE(5579), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7949), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5101), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346562] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(7556), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346597] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(16280), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346632] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(9108), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346667] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2242), 1,
      sym__unquoted_identifier,
    ACTIONS(2284), 1,
      sym__quoted_identifier,
    STATE(8591), 1,
      sym__identifier,
    STATE(9707), 1,
      sym__type_chrono,
    STATE(9789), 1,
      sym_identifier,
    STATE(13746), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3724), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(9750), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346702] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8115), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8117), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8119), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(8121), 1,
      aux_sym_group_by_clause_token1,
    STATE(6526), 1,
      sym_window_clause,
    STATE(11452), 1,
      sym__keyword_window,
    STATE(11654), 1,
      sym_group_by_clause,
    STATE(11995), 1,
      sym_having_clause,
    STATE(12086), 1,
      sym_qualify_clause,
    ACTIONS(3602), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [346741] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(5994), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346776] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(7256), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346811] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1984), 1,
      sym__unquoted_identifier,
    ACTIONS(2026), 1,
      sym__quoted_identifier,
    STATE(4341), 1,
      sym__identifier,
    STATE(4564), 1,
      sym_identifier,
    STATE(4722), 1,
      sym__type_chrono,
    STATE(14156), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(2924), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(4734), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346846] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(5954), 1,
      sym_identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346881] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9796), 1,
      sym__type_chrono,
    STATE(10373), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3790), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(9747), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346916] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(19272), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346951] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(19269), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346986] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(16085), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [347021] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2440), 1,
      sym__unquoted_identifier,
    ACTIONS(2482), 1,
      sym__quoted_identifier,
    STATE(5408), 1,
      sym__identifier,
    STATE(5986), 1,
      sym__type_chrono,
    STATE(11278), 1,
      sym_identifier,
    STATE(13708), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3638), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5974), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [347056] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2440), 1,
      sym__unquoted_identifier,
    ACTIONS(2482), 1,
      sym__quoted_identifier,
    STATE(5408), 1,
      sym__identifier,
    STATE(5986), 1,
      sym__type_chrono,
    STATE(11249), 1,
      sym_identifier,
    STATE(13708), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3638), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5974), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [347091] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(9757), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [347126] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3476), 1,
      aux_sym_where_clause_token1,
    ACTIONS(3486), 1,
      aux_sym_tablesample_operator_token1,
    ACTIONS(3488), 1,
      aux_sym_join_type_token1,
    ACTIONS(8289), 1,
      anon_sym_COMMA,
    ACTIONS(8291), 1,
      aux_sym_pivot_operator_token1,
    ACTIONS(8293), 1,
      aux_sym_unpivot_operator_token1,
    ACTIONS(8295), 1,
      aux_sym__cross_join_operation_token1,
    ACTIONS(8297), 1,
      aux_sym__cross_join_operation_token2,
    STATE(5478), 1,
      sym_tablesample_operator,
    STATE(18308), 1,
      sym_join_type,
    STATE(5386), 2,
      sym_pivot_operator,
      sym_unpivot_operator,
    ACTIONS(3490), 3,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
  [347169] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(149), 1,
      sym__unquoted_identifier,
    ACTIONS(191), 1,
      sym__quoted_identifier,
    STATE(1329), 1,
      sym__identifier,
    STATE(1949), 1,
      sym__type_chrono,
    STATE(2015), 1,
      sym_identifier,
    STATE(13527), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1268), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(1884), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [347204] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(8111), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [347239] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(16094), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [347274] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(16128), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [347309] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(15890), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [347344] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(4359), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [347379] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(6053), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [347414] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 1,
      sym__unquoted_identifier,
    ACTIONS(2402), 1,
      sym__quoted_identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(4215), 1,
      sym__identifier,
    STATE(4364), 1,
      sym_identifier,
    STATE(13794), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [347449] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(203), 1,
      sym__unquoted_identifier,
    ACTIONS(215), 1,
      sym__quoted_identifier,
    STATE(383), 1,
      sym__identifier,
    STATE(461), 1,
      sym__type_chrono,
    STATE(497), 1,
      sym_identifier,
    STATE(13828), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(209), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(580), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [347484] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8115), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8117), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8119), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(8121), 1,
      aux_sym_group_by_clause_token1,
    STATE(6502), 1,
      sym_window_clause,
    STATE(11452), 1,
      sym__keyword_window,
    STATE(11683), 1,
      sym_group_by_clause,
    STATE(11903), 1,
      sym_having_clause,
    STATE(12048), 1,
      sym_qualify_clause,
    ACTIONS(3594), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [347523] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(6440), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [347558] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(461), 1,
      sym__type_chrono,
    STATE(612), 1,
      sym_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(209), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(580), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [347593] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(5413), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [347628] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 1,
      sym__unquoted_identifier,
    ACTIONS(2402), 1,
      sym__quoted_identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(4215), 1,
      sym__identifier,
    STATE(4359), 1,
      sym_identifier,
    STATE(13794), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [347663] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(16044), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [347698] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(7430), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [347733] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(12918), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [347768] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(7059), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [347803] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2166), 1,
      sym__unquoted_identifier,
    ACTIONS(2208), 1,
      sym__quoted_identifier,
    STATE(7194), 1,
      sym__identifier,
    STATE(7443), 1,
      sym_identifier,
    STATE(9113), 1,
      sym__type_chrono,
    STATE(13999), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3654), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(9478), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [347838] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(5411), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [347873] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(12940), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [347908] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(7191), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [347943] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(7710), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [347978] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(5403), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348013] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(7708), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348048] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(5404), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348083] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(15307), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348118] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1215), 1,
      sym__unquoted_identifier,
    ACTIONS(1221), 1,
      sym__quoted_identifier,
    STATE(2303), 1,
      sym_identifier,
    STATE(2336), 1,
      sym__type_chrono,
    STATE(2519), 1,
      sym__identifier,
    STATE(13760), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(355), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2335), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348153] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(12925), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348188] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(8178), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348223] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(6020), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348258] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(7274), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348293] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      sym__unquoted_identifier,
    ACTIONS(275), 1,
      sym__quoted_identifier,
    STATE(7828), 1,
      sym__identifier,
    STATE(9630), 1,
      sym_identifier,
    STATE(9825), 1,
      sym__type_chrono,
    STATE(13757), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3766), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(9753), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348328] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(6056), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348363] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      sym__unquoted_identifier,
    ACTIONS(275), 1,
      sym__quoted_identifier,
    STATE(7828), 1,
      sym__identifier,
    STATE(9825), 1,
      sym__type_chrono,
    STATE(9890), 1,
      sym_identifier,
    STATE(13757), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3766), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(9753), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348398] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(16278), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348433] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(15061), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348468] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(15295), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348503] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(7683), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348538] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(5314), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348573] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2440), 1,
      sym__unquoted_identifier,
    ACTIONS(2482), 1,
      sym__quoted_identifier,
    STATE(5408), 1,
      sym__identifier,
    STATE(5986), 1,
      sym__type_chrono,
    STATE(11288), 1,
      sym_identifier,
    STATE(13708), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3638), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5974), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348608] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(491), 1,
      sym__unquoted_identifier,
    ACTIONS(533), 1,
      sym__quoted_identifier,
    STATE(5940), 1,
      sym__identifier,
    STATE(6342), 1,
      sym__type_chrono,
    STATE(6431), 1,
      sym_identifier,
    STATE(13302), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3536), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6181), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348643] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(16192), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348678] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(16297), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348713] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2303), 1,
      sym_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348748] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(491), 1,
      sym__unquoted_identifier,
    ACTIONS(533), 1,
      sym__quoted_identifier,
    STATE(5940), 1,
      sym__identifier,
    STATE(6331), 1,
      sym_identifier,
    STATE(6342), 1,
      sym__type_chrono,
    STATE(13302), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3536), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6181), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348783] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11941), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348818] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(15278), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348853] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(5390), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348888] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(5986), 1,
      sym__type_chrono,
    STATE(7175), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3638), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5974), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348923] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(15010), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348958] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(16250), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348993] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(16254), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [349028] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(16485), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [349063] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(7517), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [349098] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(16076), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [349133] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(5954), 1,
      sym_identifier,
    STATE(5986), 1,
      sym__type_chrono,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3638), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5974), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [349168] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(149), 1,
      sym__unquoted_identifier,
    ACTIONS(191), 1,
      sym__quoted_identifier,
    STATE(1329), 1,
      sym__identifier,
    STATE(1949), 1,
      sym__type_chrono,
    STATE(2021), 1,
      sym_identifier,
    STATE(13527), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1268), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(1884), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [349203] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(16295), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [349238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18466), 1,
      sym_join_type,
    ACTIONS(3524), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
  [349261] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1984), 1,
      sym__unquoted_identifier,
    ACTIONS(2026), 1,
      sym__quoted_identifier,
    STATE(4341), 1,
      sym__identifier,
    STATE(4566), 1,
      sym_identifier,
    STATE(4722), 1,
      sym__type_chrono,
    STATE(14156), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(2924), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(4734), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [349296] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(5954), 1,
      sym_identifier,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [349331] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2440), 1,
      sym__unquoted_identifier,
    ACTIONS(2482), 1,
      sym__quoted_identifier,
    STATE(5408), 1,
      sym__identifier,
    STATE(5986), 1,
      sym__type_chrono,
    STATE(11250), 1,
      sym_identifier,
    STATE(13708), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3638), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5974), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [349366] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2552), 1,
      sym__unquoted_identifier,
    ACTIONS(2592), 1,
      sym__quoted_identifier,
    STATE(10536), 1,
      sym__identifier,
    STATE(10784), 1,
      sym__type_chrono,
    STATE(10867), 1,
      sym_identifier,
    STATE(14157), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3995), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(10794), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [349401] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2552), 1,
      sym__unquoted_identifier,
    ACTIONS(2592), 1,
      sym__quoted_identifier,
    STATE(10536), 1,
      sym__identifier,
    STATE(10701), 1,
      sym_identifier,
    STATE(10784), 1,
      sym__type_chrono,
    STATE(14157), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3995), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(10794), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [349436] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(15576), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [349471] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8115), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8117), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8119), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(8121), 1,
      aux_sym_group_by_clause_token1,
    STATE(6540), 1,
      sym_window_clause,
    STATE(11452), 1,
      sym__keyword_window,
    STATE(11661), 1,
      sym_group_by_clause,
    STATE(11939), 1,
      sym_having_clause,
    STATE(12124), 1,
      sym_qualify_clause,
    ACTIONS(3754), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [349510] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(18216), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [349545] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(8343), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [349580] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1926), 1,
      sym__unquoted_identifier,
    ACTIONS(1968), 1,
      sym__quoted_identifier,
    STATE(3384), 1,
      sym__identifier,
    STATE(3559), 1,
      sym_identifier,
    STATE(3590), 1,
      sym__type_chrono,
    STATE(13989), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(2794), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(3597), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [349615] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(16345), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [349650] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(11726), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [349685] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(5418), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [349720] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11902), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [349755] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8115), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8117), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8119), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(8121), 1,
      aux_sym_group_by_clause_token1,
    STATE(6466), 1,
      sym_window_clause,
    STATE(11452), 1,
      sym__keyword_window,
    STATE(11666), 1,
      sym_group_by_clause,
    STATE(11893), 1,
      sym_having_clause,
    STATE(12054), 1,
      sym_qualify_clause,
    ACTIONS(3598), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [349794] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2440), 1,
      sym__unquoted_identifier,
    ACTIONS(2482), 1,
      sym__quoted_identifier,
    STATE(5408), 1,
      sym__identifier,
    STATE(5986), 1,
      sym__type_chrono,
    STATE(11256), 1,
      sym_identifier,
    STATE(13708), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3638), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5974), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [349829] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(11968), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [349864] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(8295), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [349899] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(6025), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [349934] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(7683), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [349969] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(7441), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [350004] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(7559), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [350039] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(8296), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [350074] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2440), 1,
      sym__unquoted_identifier,
    ACTIONS(2482), 1,
      sym__quoted_identifier,
    STATE(5408), 1,
      sym__identifier,
    STATE(5986), 1,
      sym__type_chrono,
    STATE(11263), 1,
      sym_identifier,
    STATE(13708), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3638), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5974), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [350109] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(8328), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [350144] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(8298), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [350179] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(14279), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [350214] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(16152), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [350249] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(8302), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [350284] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(8327), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [350319] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(16626), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [350354] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2440), 1,
      sym__unquoted_identifier,
    ACTIONS(2482), 1,
      sym__quoted_identifier,
    STATE(5408), 1,
      sym__identifier,
    STATE(5988), 1,
      sym__type_chrono,
    STATE(7835), 1,
      sym_identifier,
    STATE(13708), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3530), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5668), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [350389] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(16620), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [350424] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1926), 1,
      sym__unquoted_identifier,
    ACTIONS(1968), 1,
      sym__quoted_identifier,
    STATE(3384), 1,
      sym__identifier,
    STATE(3561), 1,
      sym_identifier,
    STATE(3590), 1,
      sym__type_chrono,
    STATE(13989), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(2794), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(3597), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [350459] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(7526), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [350494] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9139), 1,
      sym__type_chrono,
    STATE(19014), 1,
      sym_identifier,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3694), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [350529] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2166), 1,
      sym__unquoted_identifier,
    ACTIONS(2208), 1,
      sym__quoted_identifier,
    STATE(7194), 1,
      sym__identifier,
    STATE(7958), 1,
      sym_identifier,
    STATE(9113), 1,
      sym__type_chrono,
    STATE(13999), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3654), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(9478), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [350564] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1306), 1,
      sym__unquoted_identifier,
    ACTIONS(1314), 1,
      sym__quoted_identifier,
    STATE(2993), 1,
      sym__identifier,
    STATE(3203), 1,
      sym__type_chrono,
    STATE(3228), 1,
      sym_identifier,
    STATE(13495), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1310), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(3320), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [350599] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(5394), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [350634] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2498), 1,
      sym__unquoted_identifier,
    ACTIONS(2540), 1,
      sym__quoted_identifier,
    STATE(5400), 1,
      sym__identifier,
    STATE(5579), 1,
      sym_identifier,
    STATE(5587), 1,
      sym__type_chrono,
    STATE(13676), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3366), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5589), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [350669] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(8305), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [350704] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym__unquoted_identifier,
    ACTIONS(1075), 1,
      sym__quoted_identifier,
    STATE(4908), 1,
      sym__identifier,
    STATE(9794), 1,
      sym_identifier,
    STATE(9796), 1,
      sym__type_chrono,
    STATE(13531), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3790), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(9747), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [350739] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(491), 1,
      sym__unquoted_identifier,
    ACTIONS(533), 1,
      sym__quoted_identifier,
    STATE(5940), 1,
      sym__identifier,
    STATE(6347), 1,
      sym__type_chrono,
    STATE(6431), 1,
      sym_identifier,
    STATE(13302), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3428), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6337), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [350774] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 1,
      sym__unquoted_identifier,
    ACTIONS(363), 1,
      sym__quoted_identifier,
    STATE(2405), 1,
      sym__identifier,
    STATE(2771), 1,
      sym__type_chrono,
    STATE(8326), 1,
      sym_identifier,
    STATE(13807), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1328), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2774), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [350809] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8299), 1,
      aux_sym_keyword_temporary_token1,
    ACTIONS(8301), 1,
      aux_sym_keyword_temporary_token2,
    ACTIONS(8303), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(8305), 1,
      aux_sym_create_schema_statement_token2,
    ACTIONS(8307), 1,
      aux_sym_create_table_statement_token1,
    ACTIONS(8309), 1,
      aux_sym_create_table_statement_token2,
    ACTIONS(8311), 1,
      aux_sym_create_table_statement_token3,
    ACTIONS(8313), 1,
      aux_sym_create_snapshot_table_statement_token1,
    ACTIONS(8315), 1,
      aux_sym_create_external_table_statement_token1,
    ACTIONS(8317), 1,
      aux_sym_create_function_statement_token1,
    ACTIONS(8319), 1,
      aux_sym_create_procedure_statement_token1,
    ACTIONS(8321), 1,
      aux_sym_create_model_statement_token1,
    STATE(12015), 1,
      sym_keyword_replace,
    STATE(14329), 1,
      sym_keyword_temporary,
  [350855] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8323), 1,
      anon_sym_COMMA,
    STATE(11647), 1,
      aux_sym_select_list_repeat1,
    ACTIONS(139), 12,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
  [350879] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8299), 1,
      aux_sym_keyword_temporary_token1,
    ACTIONS(8301), 1,
      aux_sym_keyword_temporary_token2,
    ACTIONS(8303), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(8305), 1,
      aux_sym_create_schema_statement_token2,
    ACTIONS(8315), 1,
      aux_sym_create_external_table_statement_token1,
    ACTIONS(8317), 1,
      aux_sym_create_function_statement_token1,
    ACTIONS(8319), 1,
      aux_sym_create_procedure_statement_token1,
    ACTIONS(8325), 1,
      aux_sym_create_table_statement_token1,
    ACTIONS(8327), 1,
      aux_sym_create_table_statement_token2,
    ACTIONS(8329), 1,
      aux_sym_create_table_statement_token3,
    ACTIONS(8331), 1,
      aux_sym_create_snapshot_table_statement_token1,
    ACTIONS(8333), 1,
      aux_sym_create_model_statement_token1,
    STATE(12021), 1,
      sym_keyword_replace,
    STATE(14308), 1,
      sym_keyword_temporary,
  [350925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6349), 1,
      sym__quoted_identifier,
    ACTIONS(6347), 13,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_array_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_partition_expression_token1,
      aux_sym_partition_expression_token2,
      aux_sym_partition_expression_token3,
      aux_sym_partition_expression_token4,
      aux_sym_partition_expression_token9,
      aux_sym_function_call_token2,
      sym__unquoted_identifier,
  [350947] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8335), 1,
      anon_sym_COMMA,
    STATE(11641), 1,
      aux_sym_select_list_repeat1,
    ACTIONS(3874), 12,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
  [350971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8339), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(8337), 12,
      aux_sym__keyword_between_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      aux_sym_keyword_unbounded_preceding_token1,
      aux_sym_keyword_current_row_token1,
      aux_sym__float_token1,
      aux_sym__float_token3,
      aux_sym_numeric_token1,
      aux_sym_numeric_token2,
      aux_sym_numeric_token3,
      aux_sym_numeric_token4,
  [350993] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8341), 1,
      aux_sym__keyword_alter_token1,
    ACTIONS(8343), 1,
      aux_sym_set_statement_token1,
    ACTIONS(8345), 1,
      aux_sym_drop_schema_statement_token1,
    ACTIONS(8347), 1,
      aux_sym_alter_table_rename_statement_token1,
    ACTIONS(8349), 1,
      aux_sym_add_column_action_token1,
    STATE(8263), 1,
      sym_alter_column_actions_list,
    STATE(7787), 8,
      sym_add_column_action,
      sym_rename_column_action,
      sym_drop_column_action,
      sym_alter_column_action,
      sym_add_primary_key_action,
      sym_drop_primary_key_action,
      sym_add_foreign_key_action,
      sym_drop_constraint_action,
  [351025] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8351), 1,
      anon_sym_COMMA,
    STATE(11647), 1,
      aux_sym_select_list_repeat1,
    ACTIONS(3806), 12,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
  [351049] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8354), 1,
      anon_sym_COMMA,
    STATE(11650), 1,
      aux_sym_select_list_repeat1,
    ACTIONS(3830), 12,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
  [351073] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8343), 1,
      aux_sym_set_statement_token1,
    ACTIONS(8345), 1,
      aux_sym_drop_schema_statement_token1,
    ACTIONS(8347), 1,
      aux_sym_alter_table_rename_statement_token1,
    ACTIONS(8356), 1,
      aux_sym__keyword_alter_token1,
    ACTIONS(8358), 1,
      aux_sym_add_column_action_token1,
    STATE(8263), 1,
      sym_alter_column_actions_list,
    STATE(9678), 8,
      sym_add_column_action,
      sym_rename_column_action,
      sym_drop_column_action,
      sym_alter_column_action,
      sym_add_primary_key_action,
      sym_drop_primary_key_action,
      sym_add_foreign_key_action,
      sym_drop_constraint_action,
  [351105] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8360), 1,
      anon_sym_COMMA,
    STATE(11647), 1,
      aux_sym_select_list_repeat1,
    ACTIONS(143), 12,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
  [351129] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8362), 1,
      anon_sym_COMMA,
    ACTIONS(8364), 1,
      anon_sym_RPAREN,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8368), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8372), 1,
      aux_sym_function_call_token1,
    STATE(11787), 1,
      aux_sym_call_statement_repeat1,
    STATE(14487), 1,
      aux_sym_function_call_repeat1,
    STATE(14489), 1,
      sym_order_by_clause,
    STATE(18040), 1,
      sym_limit_clause,
    STATE(13771), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [351170] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8362), 1,
      anon_sym_COMMA,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8374), 1,
      anon_sym_RPAREN,
    ACTIONS(8376), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8378), 1,
      aux_sym_function_call_token1,
    STATE(11730), 1,
      aux_sym_call_statement_repeat1,
    STATE(15431), 1,
      aux_sym_function_call_repeat1,
    STATE(15511), 1,
      sym_order_by_clause,
    STATE(17146), 1,
      sym_limit_clause,
    STATE(13614), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [351211] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8115), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8117), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8119), 1,
      aux_sym_qualify_clause_token1,
    STATE(6466), 1,
      sym_window_clause,
    STATE(11452), 1,
      sym__keyword_window,
    STATE(11893), 1,
      sym_having_clause,
    STATE(12054), 1,
      sym_qualify_clause,
    ACTIONS(3598), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [351244] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8115), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8117), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8119), 1,
      aux_sym_qualify_clause_token1,
    STATE(6540), 1,
      sym_window_clause,
    STATE(11452), 1,
      sym__keyword_window,
    STATE(11939), 1,
      sym_having_clause,
    STATE(12124), 1,
      sym_qualify_clause,
    ACTIONS(3754), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [351277] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8362), 1,
      anon_sym_COMMA,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8380), 1,
      anon_sym_RPAREN,
    ACTIONS(8382), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8384), 1,
      aux_sym_function_call_token1,
    STATE(11717), 1,
      aux_sym_call_statement_repeat1,
    STATE(14590), 1,
      aux_sym_function_call_repeat1,
    STATE(14597), 1,
      sym_order_by_clause,
    STATE(18284), 1,
      sym_limit_clause,
    STATE(14072), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [351318] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8362), 1,
      anon_sym_COMMA,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8386), 1,
      anon_sym_RPAREN,
    ACTIONS(8388), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8390), 1,
      aux_sym_function_call_token1,
    STATE(11736), 1,
      aux_sym_call_statement_repeat1,
    STATE(15602), 1,
      sym_order_by_clause,
    STATE(15631), 1,
      aux_sym_function_call_repeat1,
    STATE(18911), 1,
      sym_limit_clause,
    STATE(13555), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [351359] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8362), 1,
      anon_sym_COMMA,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8392), 1,
      anon_sym_RPAREN,
    ACTIONS(8394), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8396), 1,
      aux_sym_function_call_token1,
    STATE(11750), 1,
      aux_sym_call_statement_repeat1,
    STATE(15567), 1,
      sym_order_by_clause,
    STATE(15572), 1,
      aux_sym_function_call_repeat1,
    STATE(18909), 1,
      sym_limit_clause,
    STATE(13575), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [351400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18308), 1,
      sym_join_type,
    ACTIONS(3524), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
  [351421] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8362), 1,
      anon_sym_COMMA,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8398), 1,
      anon_sym_RPAREN,
    ACTIONS(8400), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8402), 1,
      aux_sym_function_call_token1,
    STATE(11783), 1,
      aux_sym_call_statement_repeat1,
    STATE(14430), 1,
      aux_sym_function_call_repeat1,
    STATE(14498), 1,
      sym_order_by_clause,
    STATE(18034), 1,
      sym_limit_clause,
    STATE(13797), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [351462] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8362), 1,
      anon_sym_COMMA,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8404), 1,
      anon_sym_RPAREN,
    ACTIONS(8406), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8408), 1,
      aux_sym_function_call_token1,
    STATE(11708), 1,
      aux_sym_call_statement_repeat1,
    STATE(15566), 1,
      sym_order_by_clause,
    STATE(15971), 1,
      aux_sym_function_call_repeat1,
    STATE(19141), 1,
      sym_limit_clause,
    STATE(13323), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [351503] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8115), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8117), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8119), 1,
      aux_sym_qualify_clause_token1,
    STATE(6359), 1,
      sym_window_clause,
    STATE(11452), 1,
      sym__keyword_window,
    STATE(11890), 1,
      sym_having_clause,
    STATE(12113), 1,
      sym_qualify_clause,
    ACTIONS(3822), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [351536] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8362), 1,
      anon_sym_COMMA,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8410), 1,
      anon_sym_RPAREN,
    ACTIONS(8412), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8414), 1,
      aux_sym_function_call_token1,
    STATE(11769), 1,
      aux_sym_call_statement_repeat1,
    STATE(15539), 1,
      sym_order_by_clause,
    STATE(15541), 1,
      aux_sym_function_call_repeat1,
    STATE(17133), 1,
      sym_limit_clause,
    STATE(13596), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [351577] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8362), 1,
      anon_sym_COMMA,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8416), 1,
      anon_sym_RPAREN,
    ACTIONS(8418), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8420), 1,
      aux_sym_function_call_token1,
    STATE(11757), 1,
      aux_sym_call_statement_repeat1,
    STATE(15436), 1,
      aux_sym_function_call_repeat1,
    STATE(15630), 1,
      sym_order_by_clause,
    STATE(17034), 1,
      sym_limit_clause,
    STATE(13551), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [351618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18308), 1,
      sym_join_type,
    ACTIONS(3520), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
  [351639] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8362), 1,
      anon_sym_COMMA,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8422), 1,
      anon_sym_RPAREN,
    ACTIONS(8424), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8426), 1,
      aux_sym_function_call_token1,
    STATE(11773), 1,
      aux_sym_call_statement_repeat1,
    STATE(14534), 1,
      sym_order_by_clause,
    STATE(14537), 1,
      aux_sym_function_call_repeat1,
    STATE(18013), 1,
      sym_limit_clause,
    STATE(13883), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [351680] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8115), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8117), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8119), 1,
      aux_sym_qualify_clause_token1,
    STATE(6502), 1,
      sym_window_clause,
    STATE(11452), 1,
      sym__keyword_window,
    STATE(11903), 1,
      sym_having_clause,
    STATE(12048), 1,
      sym_qualify_clause,
    ACTIONS(3594), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [351713] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8362), 1,
      anon_sym_COMMA,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8428), 1,
      anon_sym_RPAREN,
    ACTIONS(8430), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8432), 1,
      aux_sym_function_call_token1,
    STATE(11818), 1,
      aux_sym_call_statement_repeat1,
    STATE(14757), 1,
      sym_order_by_clause,
    STATE(14759), 1,
      aux_sym_function_call_repeat1,
    STATE(17806), 1,
      sym_limit_clause,
    STATE(14138), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [351754] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8362), 1,
      anon_sym_COMMA,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8434), 1,
      anon_sym_RPAREN,
    ACTIONS(8436), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8438), 1,
      aux_sym_function_call_token1,
    STATE(11742), 1,
      aux_sym_call_statement_repeat1,
    STATE(14765), 1,
      sym_order_by_clause,
    STATE(14768), 1,
      aux_sym_function_call_repeat1,
    STATE(17793), 1,
      sym_limit_clause,
    STATE(14131), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [351795] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8362), 1,
      anon_sym_COMMA,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8440), 1,
      anon_sym_RPAREN,
    ACTIONS(8442), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8444), 1,
      aux_sym_function_call_token1,
    STATE(11699), 1,
      aux_sym_call_statement_repeat1,
    STATE(14996), 1,
      sym_order_by_clause,
    STATE(14999), 1,
      aux_sym_function_call_repeat1,
    STATE(17556), 1,
      sym_limit_clause,
    STATE(13956), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [351836] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8362), 1,
      anon_sym_COMMA,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8446), 1,
      anon_sym_RPAREN,
    ACTIONS(8448), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8450), 1,
      aux_sym_function_call_token1,
    STATE(11799), 1,
      aux_sym_call_statement_repeat1,
    STATE(15169), 1,
      aux_sym_function_call_repeat1,
    STATE(15173), 1,
      sym_order_by_clause,
    STATE(18616), 1,
      sym_limit_clause,
    STATE(13827), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [351877] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8362), 1,
      anon_sym_COMMA,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8452), 1,
      anon_sym_RPAREN,
    ACTIONS(8454), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8456), 1,
      aux_sym_function_call_token1,
    STATE(11698), 1,
      aux_sym_call_statement_repeat1,
    STATE(14759), 1,
      aux_sym_function_call_repeat1,
    STATE(15107), 1,
      sym_order_by_clause,
    STATE(17487), 1,
      sym_limit_clause,
    STATE(13878), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [351918] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8362), 1,
      anon_sym_COMMA,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8458), 1,
      anon_sym_RPAREN,
    ACTIONS(8460), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8462), 1,
      aux_sym_function_call_token1,
    STATE(11733), 1,
      aux_sym_call_statement_repeat1,
    STATE(15164), 1,
      aux_sym_function_call_repeat1,
    STATE(15221), 1,
      sym_order_by_clause,
    STATE(16518), 1,
      sym_limit_clause,
    STATE(13281), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [351959] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8115), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8117), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8119), 1,
      aux_sym_qualify_clause_token1,
    STATE(6526), 1,
      sym_window_clause,
    STATE(11452), 1,
      sym__keyword_window,
    STATE(11995), 1,
      sym_having_clause,
    STATE(12086), 1,
      sym_qualify_clause,
    ACTIONS(3602), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [351992] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8362), 1,
      anon_sym_COMMA,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8464), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8468), 1,
      aux_sym_function_call_token1,
    STATE(11794), 1,
      aux_sym_call_statement_repeat1,
    STATE(14694), 1,
      sym_order_by_clause,
    STATE(14903), 1,
      aux_sym_function_call_repeat1,
    STATE(17853), 1,
      sym_limit_clause,
    STATE(14162), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [352033] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8362), 1,
      anon_sym_COMMA,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8470), 1,
      anon_sym_RPAREN,
    ACTIONS(8472), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8474), 1,
      aux_sym_function_call_token1,
    STATE(11766), 1,
      aux_sym_call_statement_repeat1,
    STATE(15047), 1,
      sym_order_by_clause,
    STATE(15163), 1,
      aux_sym_function_call_repeat1,
    STATE(19080), 1,
      sym_limit_clause,
    STATE(13264), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [352074] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8362), 1,
      anon_sym_COMMA,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8476), 1,
      anon_sym_RPAREN,
    ACTIONS(8478), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8480), 1,
      aux_sym_function_call_token1,
    STATE(11688), 1,
      aux_sym_call_statement_repeat1,
    STATE(15163), 1,
      aux_sym_function_call_repeat1,
    STATE(15826), 1,
      sym_order_by_clause,
    STATE(16876), 1,
      sym_limit_clause,
    STATE(13463), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [352115] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8362), 1,
      anon_sym_COMMA,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8482), 1,
      anon_sym_RPAREN,
    ACTIONS(8484), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8486), 1,
      aux_sym_function_call_token1,
    STATE(11695), 1,
      aux_sym_call_statement_repeat1,
    STATE(15163), 1,
      aux_sym_function_call_repeat1,
    STATE(15227), 1,
      sym_order_by_clause,
    STATE(17389), 1,
      sym_limit_clause,
    STATE(13793), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [352156] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8362), 1,
      anon_sym_COMMA,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8488), 1,
      anon_sym_RPAREN,
    ACTIONS(8490), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8492), 1,
      aux_sym_function_call_token1,
    STATE(11767), 1,
      aux_sym_call_statement_repeat1,
    STATE(14903), 1,
      aux_sym_function_call_repeat1,
    STATE(14923), 1,
      sym_order_by_clause,
    STATE(16462), 1,
      sym_limit_clause,
    STATE(13236), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [352197] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8362), 1,
      anon_sym_COMMA,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8494), 1,
      anon_sym_RPAREN,
    ACTIONS(8496), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8498), 1,
      aux_sym_function_call_token1,
    STATE(11802), 1,
      aux_sym_call_statement_repeat1,
    STATE(14430), 1,
      aux_sym_function_call_repeat1,
    STATE(14434), 1,
      sym_order_by_clause,
    STATE(18226), 1,
      sym_limit_clause,
    STATE(13536), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [352238] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8115), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8117), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8119), 1,
      aux_sym_qualify_clause_token1,
    STATE(6490), 1,
      sym_window_clause,
    STATE(11452), 1,
      sym__keyword_window,
    STATE(11949), 1,
      sym_having_clause,
    STATE(12077), 1,
      sym_qualify_clause,
    ACTIONS(3921), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [352271] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8362), 1,
      anon_sym_COMMA,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8500), 1,
      anon_sym_RPAREN,
    ACTIONS(8502), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8504), 1,
      aux_sym_function_call_token1,
    STATE(11826), 1,
      aux_sym_call_statement_repeat1,
    STATE(14759), 1,
      aux_sym_function_call_repeat1,
    STATE(14904), 1,
      sym_order_by_clause,
    STATE(17649), 1,
      sym_limit_clause,
    STATE(14005), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [352312] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8362), 1,
      anon_sym_COMMA,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8506), 1,
      anon_sym_RPAREN,
    ACTIONS(8508), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8510), 1,
      aux_sym_function_call_token1,
    STATE(11820), 1,
      aux_sym_call_statement_repeat1,
    STATE(15633), 1,
      aux_sym_function_call_repeat1,
    STATE(15900), 1,
      sym_order_by_clause,
    STATE(16693), 1,
      sym_limit_clause,
    STATE(13379), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [352353] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8115), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8117), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8119), 1,
      aux_sym_qualify_clause_token1,
    STATE(6534), 1,
      sym_window_clause,
    STATE(11452), 1,
      sym__keyword_window,
    STATE(11917), 1,
      sym_having_clause,
    STATE(12041), 1,
      sym_qualify_clause,
    ACTIONS(3606), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [352386] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8362), 1,
      anon_sym_COMMA,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8512), 1,
      anon_sym_RPAREN,
    ACTIONS(8514), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8516), 1,
      aux_sym_function_call_token1,
    STATE(11822), 1,
      aux_sym_call_statement_repeat1,
    STATE(14827), 1,
      aux_sym_function_call_repeat1,
    STATE(14828), 1,
      sym_order_by_clause,
    STATE(18411), 1,
      sym_limit_clause,
    STATE(14063), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [352427] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8362), 1,
      anon_sym_COMMA,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8518), 1,
      anon_sym_RPAREN,
    ACTIONS(8520), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8522), 1,
      aux_sym_function_call_token1,
    STATE(11805), 1,
      aux_sym_call_statement_repeat1,
    STATE(15216), 1,
      sym_order_by_clause,
    STATE(15829), 1,
      aux_sym_function_call_repeat1,
    STATE(16471), 1,
      sym_limit_clause,
    STATE(13279), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [352468] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8362), 1,
      anon_sym_COMMA,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8524), 1,
      anon_sym_RPAREN,
    ACTIONS(8526), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8528), 1,
      aux_sym_function_call_token1,
    STATE(11720), 1,
      aux_sym_call_statement_repeat1,
    STATE(15230), 1,
      aux_sym_function_call_repeat1,
    STATE(15433), 1,
      sym_order_by_clause,
    STATE(17231), 1,
      sym_limit_clause,
    STATE(13660), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [352509] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8532), 1,
      anon_sym_RPAREN,
    ACTIONS(8534), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8536), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13356), 1,
      sym_having_min_clause,
    STATE(13359), 1,
      sym_having_max_clause,
    STATE(15822), 1,
      sym_order_by_clause,
    STATE(16673), 1,
      sym_limit_clause,
  [352549] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8538), 1,
      anon_sym_RPAREN,
    ACTIONS(8540), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8542), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13444), 1,
      sym_having_min_clause,
    STATE(13445), 1,
      sym_having_max_clause,
    STATE(15858), 1,
      sym_order_by_clause,
    STATE(16853), 1,
      sym_limit_clause,
  [352589] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8482), 1,
      anon_sym_RPAREN,
    ACTIONS(8484), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8486), 1,
      aux_sym_function_call_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    STATE(11694), 1,
      aux_sym_call_statement_repeat1,
    STATE(15227), 1,
      sym_order_by_clause,
    STATE(17389), 1,
      sym_limit_clause,
    STATE(13793), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [352627] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8544), 1,
      anon_sym_RPAREN,
    ACTIONS(8546), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8548), 1,
      aux_sym_function_call_token1,
    STATE(11722), 1,
      aux_sym_call_statement_repeat1,
    STATE(15147), 1,
      sym_order_by_clause,
    STATE(17445), 1,
      sym_limit_clause,
    STATE(13841), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [352665] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(16155), 1,
      sym_number,
    ACTIONS(579), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(581), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(6684), 3,
      sym__float,
      sym_numeric,
      sym__number,
    ACTIONS(8091), 4,
      aux_sym_numeric_token1,
      aux_sym_numeric_token2,
      aux_sym_numeric_token3,
      aux_sym_numeric_token4,
  [352691] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8550), 1,
      anon_sym_RPAREN,
    ACTIONS(8552), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8554), 1,
      aux_sym_function_call_token1,
    STATE(11701), 1,
      aux_sym_call_statement_repeat1,
    STATE(15247), 1,
      sym_order_by_clause,
    STATE(17289), 1,
      sym_limit_clause,
    STATE(13777), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [352729] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8404), 1,
      anon_sym_RPAREN,
    ACTIONS(8406), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8408), 1,
      aux_sym_function_call_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    STATE(11707), 1,
      aux_sym_call_statement_repeat1,
    STATE(15566), 1,
      sym_order_by_clause,
    STATE(19141), 1,
      sym_limit_clause,
    STATE(13323), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [352767] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8556), 1,
      anon_sym_RPAREN,
    ACTIONS(8558), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8560), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13770), 1,
      sym_having_min_clause,
    STATE(13772), 1,
      sym_having_max_clause,
    STATE(15256), 1,
      sym_order_by_clause,
    STATE(17373), 1,
      sym_limit_clause,
  [352807] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8562), 1,
      anon_sym_RPAREN,
    ACTIONS(8564), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8566), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13767), 1,
      sym_having_min_clause,
    STATE(13768), 1,
      sym_having_max_clause,
    STATE(15261), 1,
      sym_order_by_clause,
    STATE(17371), 1,
      sym_limit_clause,
  [352847] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8568), 1,
      anon_sym_RPAREN,
    ACTIONS(8570), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8572), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13833), 1,
      sym_having_min_clause,
    STATE(13836), 1,
      sym_having_max_clause,
    STATE(15155), 1,
      sym_order_by_clause,
    STATE(17430), 1,
      sym_limit_clause,
  [352887] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8574), 1,
      anon_sym_RPAREN,
    ACTIONS(8576), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8578), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13697), 1,
      sym_having_min_clause,
    STATE(13698), 1,
      sym_having_max_clause,
    STATE(15354), 1,
      sym_order_by_clause,
    STATE(17303), 1,
      sym_limit_clause,
  [352927] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8580), 1,
      anon_sym_RPAREN,
    ACTIONS(8582), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8584), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13688), 1,
      sym_having_max_clause,
    STATE(13810), 1,
      sym_having_min_clause,
    STATE(15162), 1,
      sym_order_by_clause,
    STATE(17425), 1,
      sym_limit_clause,
  [352967] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8586), 1,
      anon_sym_RPAREN,
    ACTIONS(8588), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8590), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13924), 1,
      sym_having_min_clause,
    STATE(13926), 1,
      sym_having_max_clause,
    STATE(15030), 1,
      sym_order_by_clause,
    STATE(17536), 1,
      sym_limit_clause,
  [353007] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8592), 1,
      anon_sym_RPAREN,
    ACTIONS(8594), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8596), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13929), 1,
      sym_having_min_clause,
    STATE(13930), 1,
      sym_having_max_clause,
    STATE(15025), 1,
      sym_order_by_clause,
    STATE(17537), 1,
      sym_limit_clause,
  [353047] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8598), 1,
      anon_sym_RPAREN,
    ACTIONS(8600), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8602), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13751), 1,
      sym_having_min_clause,
    STATE(13752), 1,
      sym_having_max_clause,
    STATE(15281), 1,
      sym_order_by_clause,
    STATE(17360), 1,
      sym_limit_clause,
  [353087] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8604), 1,
      anon_sym_RPAREN,
    ACTIONS(8606), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8608), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13348), 1,
      sym_having_max_clause,
    STATE(13350), 1,
      sym_having_min_clause,
    STATE(15728), 1,
      sym_order_by_clause,
    STATE(16664), 1,
      sym_limit_clause,
  [353127] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8380), 1,
      anon_sym_RPAREN,
    ACTIONS(8382), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8384), 1,
      aux_sym_function_call_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    STATE(11716), 1,
      aux_sym_call_statement_repeat1,
    STATE(14597), 1,
      sym_order_by_clause,
    STATE(18284), 1,
      sym_limit_clause,
    STATE(14072), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [353165] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8610), 1,
      anon_sym_RPAREN,
    ACTIONS(8612), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8614), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13446), 1,
      sym_having_max_clause,
    STATE(13448), 1,
      sym_having_min_clause,
    STATE(15865), 1,
      sym_order_by_clause,
    STATE(18952), 1,
      sym_limit_clause,
  [353205] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8616), 1,
      anon_sym_RPAREN,
    ACTIONS(8618), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8620), 1,
      aux_sym_function_call_token1,
    STATE(11711), 1,
      aux_sym_call_statement_repeat1,
    STATE(15704), 1,
      sym_order_by_clause,
    STATE(19129), 1,
      sym_limit_clause,
    STATE(13343), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [353243] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4059), 1,
      aux_sym_foreign_key_references_token1,
    ACTIONS(8622), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(8624), 1,
      aux_sym_default_clause_token1,
    ACTIONS(8626), 1,
      aux_sym_default_collate_clause_token1,
    ACTIONS(8628), 1,
      aux_sym_primary_key_token1,
    ACTIONS(8630), 1,
      aux_sym_option_clause_token1,
    STATE(7336), 1,
      sym_option_clause,
    STATE(12014), 1,
      sym_collate_clause,
    STATE(12919), 1,
      sym_foreign_key_references,
    STATE(13042), 1,
      sym_default_clause,
    ACTIONS(4047), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [353281] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8632), 1,
      anon_sym_RPAREN,
    ACTIONS(8634), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8636), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13352), 1,
      sym_having_max_clause,
    STATE(13353), 1,
      sym_having_min_clause,
    STATE(15750), 1,
      sym_order_by_clause,
    STATE(19120), 1,
      sym_limit_clause,
  [353321] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8638), 1,
      anon_sym_RPAREN,
    ACTIONS(8640), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8642), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13357), 1,
      sym_having_max_clause,
    STATE(13358), 1,
      sym_having_min_clause,
    STATE(15783), 1,
      sym_order_by_clause,
    STATE(19115), 1,
      sym_limit_clause,
  [353361] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8644), 1,
      anon_sym_RPAREN,
    ACTIONS(8646), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8648), 1,
      aux_sym_function_call_token1,
    STATE(11710), 1,
      aux_sym_call_statement_repeat1,
    STATE(15016), 1,
      sym_order_by_clause,
    STATE(17541), 1,
      sym_limit_clause,
    STATE(13939), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [353399] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8650), 1,
      anon_sym_RPAREN,
    ACTIONS(8652), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8654), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13915), 1,
      sym_having_min_clause,
    STATE(13916), 1,
      sym_having_max_clause,
    STATE(15050), 1,
      sym_order_by_clause,
    STATE(17525), 1,
      sym_limit_clause,
  [353439] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8656), 1,
      anon_sym_RPAREN,
    ACTIONS(8658), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8660), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13377), 1,
      sym_having_max_clause,
    STATE(13378), 1,
      sym_having_min_clause,
    STATE(15888), 1,
      sym_order_by_clause,
    STATE(19101), 1,
      sym_limit_clause,
  [353479] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8662), 1,
      anon_sym_RPAREN,
    ACTIONS(8664), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8666), 1,
      aux_sym_function_call_token1,
    STATE(11721), 1,
      aux_sym_call_statement_repeat1,
    STATE(14540), 1,
      sym_order_by_clause,
    STATE(18261), 1,
      sym_limit_clause,
    STATE(13872), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [353517] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8470), 1,
      anon_sym_RPAREN,
    ACTIONS(8472), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8474), 1,
      aux_sym_function_call_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    STATE(11765), 1,
      aux_sym_call_statement_repeat1,
    STATE(15047), 1,
      sym_order_by_clause,
    STATE(19080), 1,
      sym_limit_clause,
    STATE(13264), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [353555] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8452), 1,
      anon_sym_RPAREN,
    ACTIONS(8454), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8456), 1,
      aux_sym_function_call_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    STATE(11696), 1,
      aux_sym_call_statement_repeat1,
    STATE(15107), 1,
      sym_order_by_clause,
    STATE(17487), 1,
      sym_limit_clause,
    STATE(13878), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [353593] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8524), 1,
      anon_sym_RPAREN,
    ACTIONS(8526), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8528), 1,
      aux_sym_function_call_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    STATE(11719), 1,
      aux_sym_call_statement_repeat1,
    STATE(15433), 1,
      sym_order_by_clause,
    STATE(17231), 1,
      sym_limit_clause,
    STATE(13660), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [353631] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8668), 1,
      anon_sym_RPAREN,
    ACTIONS(8670), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8672), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13776), 1,
      sym_having_min_clause,
    STATE(13779), 1,
      sym_having_max_clause,
    STATE(14502), 1,
      sym_order_by_clause,
    STATE(18252), 1,
      sym_limit_clause,
  [353671] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8674), 1,
      anon_sym_RPAREN,
    ACTIONS(8676), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8678), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13669), 1,
      sym_having_min_clause,
    STATE(13678), 1,
      sym_having_max_clause,
    STATE(14482), 1,
      sym_order_by_clause,
    STATE(18243), 1,
      sym_limit_clause,
  [353711] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8680), 1,
      anon_sym_RPAREN,
    ACTIONS(8682), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8684), 1,
      aux_sym_function_call_token1,
    STATE(11727), 1,
      aux_sym_call_statement_repeat1,
    STATE(15451), 1,
      sym_order_by_clause,
    STATE(17215), 1,
      sym_limit_clause,
    STATE(13652), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [353749] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8686), 1,
      anon_sym_RPAREN,
    ACTIONS(8688), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8690), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13643), 1,
      sym_having_min_clause,
    STATE(13644), 1,
      sym_having_max_clause,
    STATE(15460), 1,
      sym_order_by_clause,
    STATE(17210), 1,
      sym_limit_clause,
  [353789] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8692), 1,
      anon_sym_RPAREN,
    ACTIONS(8694), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8696), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13641), 1,
      sym_having_min_clause,
    STATE(13642), 1,
      sym_having_max_clause,
    STATE(15465), 1,
      sym_order_by_clause,
    STATE(17201), 1,
      sym_limit_clause,
  [353829] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8698), 1,
      anon_sym_RPAREN,
    ACTIONS(8700), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8702), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13228), 1,
      sym_having_min_clause,
    STATE(13293), 1,
      sym_having_max_clause,
    STATE(14392), 1,
      sym_order_by_clause,
    STATE(18210), 1,
      sym_limit_clause,
  [353869] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8704), 1,
      anon_sym_RPAREN,
    ACTIONS(8706), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8708), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13196), 1,
      sym_having_min_clause,
    STATE(13778), 1,
      sym_having_max_clause,
    STATE(15241), 1,
      sym_order_by_clause,
    STATE(17382), 1,
      sym_limit_clause,
  [353909] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4055), 1,
      aux_sym_default_collate_clause_token1,
    ACTIONS(4059), 1,
      aux_sym_foreign_key_references_token1,
    ACTIONS(8622), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(8630), 1,
      aux_sym_option_clause_token1,
    ACTIONS(8710), 1,
      aux_sym_default_clause_token1,
    ACTIONS(8712), 1,
      aux_sym_primary_key_token1,
    STATE(7336), 1,
      sym_option_clause,
    STATE(12023), 1,
      sym_collate_clause,
    STATE(13019), 1,
      sym_foreign_key_references,
    STATE(13042), 1,
      sym_default_clause,
    ACTIONS(4047), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [353947] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8714), 1,
      anon_sym_RPAREN,
    ACTIONS(8716), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8718), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13404), 1,
      sym_having_min_clause,
    STATE(13415), 1,
      sym_having_max_clause,
    STATE(15859), 1,
      sym_order_by_clause,
    STATE(19143), 1,
      sym_limit_clause,
  [353987] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8720), 1,
      anon_sym_RPAREN,
    ACTIONS(8722), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8724), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13734), 1,
      sym_having_max_clause,
    STATE(13735), 1,
      sym_having_min_clause,
    STATE(15320), 1,
      sym_order_by_clause,
    STATE(17310), 1,
      sym_limit_clause,
  [354027] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3626), 1,
      anon_sym_LPAREN,
    ACTIONS(8630), 1,
      aux_sym_option_clause_token1,
    ACTIONS(8726), 1,
      aux_sym__keyword_from_token1,
    ACTIONS(8728), 1,
      aux_sym_table_cluster_clause_token1,
    STATE(7508), 1,
      sym_from_files_clause,
    STATE(11214), 1,
      sym__keyword_partition_by,
    STATE(12020), 1,
      sym_create_table_parameters,
    STATE(12987), 1,
      sym_table_partition_clause,
    STATE(13903), 1,
      sym_table_cluster_clause,
    STATE(15072), 1,
      sym_option_clause,
    STATE(17512), 1,
      sym__keyword_from,
  [354067] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8730), 1,
      anon_sym_RPAREN,
    ACTIONS(8732), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8734), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13625), 1,
      sym_having_min_clause,
    STATE(13626), 1,
      sym_having_max_clause,
    STATE(15483), 1,
      sym_order_by_clause,
    STATE(17170), 1,
      sym_limit_clause,
  [354107] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8440), 1,
      anon_sym_RPAREN,
    ACTIONS(8442), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8444), 1,
      aux_sym_function_call_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    STATE(11700), 1,
      aux_sym_call_statement_repeat1,
    STATE(14996), 1,
      sym_order_by_clause,
    STATE(17556), 1,
      sym_limit_clause,
    STATE(13956), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [354145] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8341), 1,
      aux_sym__keyword_alter_token1,
    ACTIONS(8345), 1,
      aux_sym_drop_schema_statement_token1,
    ACTIONS(8349), 1,
      aux_sym_add_column_action_token1,
    ACTIONS(8736), 1,
      aux_sym_alter_table_rename_statement_token1,
    STATE(8006), 8,
      sym_add_column_action,
      sym_rename_column_action,
      sym_drop_column_action,
      sym_alter_column_action,
      sym_add_primary_key_action,
      sym_drop_primary_key_action,
      sym_add_foreign_key_action,
      sym_drop_constraint_action,
  [354171] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8738), 1,
      anon_sym_RPAREN,
    ACTIONS(8740), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8742), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13670), 1,
      sym_having_max_clause,
    STATE(13671), 1,
      sym_having_min_clause,
    STATE(15425), 1,
      sym_order_by_clause,
    STATE(17237), 1,
      sym_limit_clause,
  [354211] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8744), 1,
      anon_sym_RPAREN,
    ACTIONS(8746), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8748), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13663), 1,
      sym_having_min_clause,
    STATE(13677), 1,
      sym_having_max_clause,
    STATE(15435), 1,
      sym_order_by_clause,
    STATE(17229), 1,
      sym_limit_clause,
  [354251] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8750), 1,
      anon_sym_RPAREN,
    ACTIONS(8752), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8754), 1,
      aux_sym_function_call_token1,
    STATE(11725), 1,
      aux_sym_call_statement_repeat1,
    STATE(15449), 1,
      sym_order_by_clause,
    STATE(17213), 1,
      sym_limit_clause,
    STATE(13653), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [354289] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8756), 1,
      anon_sym_RPAREN,
    ACTIONS(8758), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8760), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13311), 1,
      sym_having_max_clause,
    STATE(13312), 1,
      sym_having_min_clause,
    STATE(15467), 1,
      sym_order_by_clause,
    STATE(16590), 1,
      sym_limit_clause,
  [354329] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8762), 1,
      anon_sym_RPAREN,
    ACTIONS(8764), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8766), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13309), 1,
      sym_having_max_clause,
    STATE(13310), 1,
      sym_having_min_clause,
    STATE(15457), 1,
      sym_order_by_clause,
    STATE(16584), 1,
      sym_limit_clause,
  [354369] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8768), 1,
      anon_sym_RPAREN,
    ACTIONS(8770), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8772), 1,
      aux_sym_function_call_token1,
    STATE(11702), 1,
      aux_sym_call_statement_repeat1,
    STATE(15384), 1,
      sym_order_by_clause,
    STATE(16574), 1,
      sym_limit_clause,
    STATE(13305), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [354407] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8774), 1,
      anon_sym_RPAREN,
    ACTIONS(8776), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8778), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13492), 1,
      sym_having_max_clause,
    STATE(13507), 1,
      sym_having_min_clause,
    STATE(15737), 1,
      sym_order_by_clause,
    STATE(18944), 1,
      sym_limit_clause,
  [354447] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8488), 1,
      anon_sym_RPAREN,
    ACTIONS(8490), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8492), 1,
      aux_sym_function_call_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    STATE(11761), 1,
      aux_sym_call_statement_repeat1,
    STATE(14923), 1,
      sym_order_by_clause,
    STATE(16462), 1,
      sym_limit_clause,
    STATE(13236), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [354485] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8392), 1,
      anon_sym_RPAREN,
    ACTIONS(8394), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8396), 1,
      aux_sym_function_call_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    STATE(11748), 1,
      aux_sym_call_statement_repeat1,
    STATE(15567), 1,
      sym_order_by_clause,
    STATE(18909), 1,
      sym_limit_clause,
    STATE(13575), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [354523] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8780), 1,
      anon_sym_RPAREN,
    ACTIONS(8782), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8784), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13511), 1,
      sym_having_min_clause,
    STATE(13512), 1,
      sym_having_max_clause,
    STATE(15727), 1,
      sym_order_by_clause,
    STATE(18942), 1,
      sym_limit_clause,
  [354563] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8786), 1,
      anon_sym_RPAREN,
    ACTIONS(8788), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8790), 1,
      aux_sym_function_call_token1,
    STATE(11724), 1,
      aux_sym_call_statement_repeat1,
    STATE(15682), 1,
      sym_order_by_clause,
    STATE(18937), 1,
      sym_limit_clause,
    STATE(13529), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [354601] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8792), 1,
      anon_sym_RPAREN,
    ACTIONS(8794), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8796), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(14069), 1,
      sym_having_min_clause,
    STATE(14070), 1,
      sym_having_max_clause,
    STATE(14819), 1,
      sym_order_by_clause,
    STATE(17730), 1,
      sym_limit_clause,
  [354641] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8798), 1,
      anon_sym_RPAREN,
    ACTIONS(8800), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8802), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(14091), 1,
      sym_having_min_clause,
    STATE(14096), 1,
      sym_having_max_clause,
    STATE(14799), 1,
      sym_order_by_clause,
    STATE(17752), 1,
      sym_limit_clause,
  [354681] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8416), 1,
      anon_sym_RPAREN,
    ACTIONS(8418), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8420), 1,
      aux_sym_function_call_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    STATE(11749), 1,
      aux_sym_call_statement_repeat1,
    STATE(15630), 1,
      sym_order_by_clause,
    STATE(17034), 1,
      sym_limit_clause,
    STATE(13551), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [354719] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8804), 1,
      anon_sym_RPAREN,
    ACTIONS(8806), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8808), 1,
      aux_sym_function_call_token1,
    STATE(11755), 1,
      aux_sym_call_statement_repeat1,
    STATE(15548), 1,
      sym_order_by_clause,
    STATE(18894), 1,
      sym_limit_clause,
    STATE(13595), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [354757] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8810), 1,
      anon_sym_RPAREN,
    ACTIONS(8812), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8814), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(14099), 1,
      sym_having_min_clause,
    STATE(14101), 1,
      sym_having_max_clause,
    STATE(14794), 1,
      sym_order_by_clause,
    STATE(17753), 1,
      sym_limit_clause,
  [354797] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8816), 1,
      anon_sym_RPAREN,
    ACTIONS(8818), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8820), 1,
      aux_sym_function_call_token1,
    STATE(11759), 1,
      aux_sym_call_statement_repeat1,
    STATE(15648), 1,
      sym_order_by_clause,
    STATE(17061), 1,
      sym_limit_clause,
    STATE(13545), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [354835] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8374), 1,
      anon_sym_RPAREN,
    ACTIONS(8376), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8378), 1,
      aux_sym_function_call_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    STATE(11731), 1,
      aux_sym_call_statement_repeat1,
    STATE(15511), 1,
      sym_order_by_clause,
    STATE(17146), 1,
      sym_limit_clause,
    STATE(13614), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [354873] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8822), 1,
      anon_sym_RPAREN,
    ACTIONS(8824), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8826), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13604), 1,
      sym_having_max_clause,
    STATE(13605), 1,
      sym_having_min_clause,
    STATE(15531), 1,
      sym_order_by_clause,
    STATE(18891), 1,
      sym_limit_clause,
  [354913] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8828), 1,
      anon_sym_RPAREN,
    ACTIONS(8830), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8832), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13540), 1,
      sym_having_min_clause,
    STATE(13541), 1,
      sym_having_max_clause,
    STATE(15657), 1,
      sym_order_by_clause,
    STATE(17056), 1,
      sym_limit_clause,
  [354953] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8834), 1,
      anon_sym_RPAREN,
    ACTIONS(8836), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8838), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13609), 1,
      sym_having_max_clause,
    STATE(13610), 1,
      sym_having_min_clause,
    STATE(15521), 1,
      sym_order_by_clause,
    STATE(18889), 1,
      sym_limit_clause,
  [354993] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    ACTIONS(8840), 1,
      anon_sym_LPAREN,
    ACTIONS(8842), 1,
      aux_sym_keyword_current_row_token2,
    ACTIONS(8844), 1,
      aux_sym_values_clause_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(7693), 1,
      sym_values_clause,
    STATE(7848), 1,
      sym_query_statement,
    STATE(11963), 1,
      sym_insert_columns,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [355031] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(19177), 1,
      sym_number,
    ACTIONS(579), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(581), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(6684), 3,
      sym__float,
      sym_numeric,
      sym__number,
    ACTIONS(8091), 4,
      aux_sym_numeric_token1,
      aux_sym_numeric_token2,
      aux_sym_numeric_token3,
      aux_sym_numeric_token4,
  [355057] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8846), 1,
      anon_sym_RPAREN,
    ACTIONS(8848), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8850), 1,
      aux_sym_function_call_token1,
    STATE(11741), 1,
      aux_sym_call_statement_repeat1,
    STATE(14785), 1,
      sym_order_by_clause,
    STATE(17766), 1,
      sym_limit_clause,
    STATE(14108), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [355095] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8434), 1,
      anon_sym_RPAREN,
    ACTIONS(8436), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8438), 1,
      aux_sym_function_call_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    STATE(11745), 1,
      aux_sym_call_statement_repeat1,
    STATE(14765), 1,
      sym_order_by_clause,
    STATE(17793), 1,
      sym_limit_clause,
    STATE(14131), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [355133] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8852), 1,
      anon_sym_RPAREN,
    ACTIONS(8854), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8856), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13629), 1,
      sym_having_max_clause,
    STATE(13630), 1,
      sym_having_min_clause,
    STATE(15484), 1,
      sym_order_by_clause,
    STATE(18871), 1,
      sym_limit_clause,
  [355173] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8858), 1,
      anon_sym_RPAREN,
    ACTIONS(8860), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8862), 1,
      aux_sym_function_call_token1,
    STATE(11776), 1,
      aux_sym_call_statement_repeat1,
    STATE(14713), 1,
      sym_order_by_clause,
    STATE(16429), 1,
      sym_limit_clause,
    STATE(13224), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [355211] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8864), 1,
      anon_sym_RPAREN,
    ACTIONS(8866), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8868), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13538), 1,
      sym_having_min_clause,
    STATE(13539), 1,
      sym_having_max_clause,
    STATE(15662), 1,
      sym_order_by_clause,
    STATE(17054), 1,
      sym_limit_clause,
  [355251] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8458), 1,
      anon_sym_RPAREN,
    ACTIONS(8460), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8462), 1,
      aux_sym_function_call_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    STATE(11734), 1,
      aux_sym_call_statement_repeat1,
    STATE(15221), 1,
      sym_order_by_clause,
    STATE(16518), 1,
      sym_limit_clause,
    STATE(13281), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [355289] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8870), 1,
      anon_sym_RPAREN,
    ACTIONS(8872), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8874), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13528), 1,
      sym_having_min_clause,
    STATE(13530), 1,
      sym_having_max_clause,
    STATE(15680), 1,
      sym_order_by_clause,
    STATE(17044), 1,
      sym_limit_clause,
  [355329] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8876), 1,
      anon_sym_RPAREN,
    ACTIONS(8878), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8880), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13558), 1,
      sym_having_min_clause,
    STATE(13560), 1,
      sym_having_max_clause,
    STATE(15610), 1,
      sym_order_by_clause,
    STATE(17076), 1,
      sym_limit_clause,
  [355369] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8882), 1,
      anon_sym_RPAREN,
    ACTIONS(8884), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8886), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13217), 1,
      sym_having_min_clause,
    STATE(13218), 1,
      sym_having_max_clause,
    STATE(14659), 1,
      sym_order_by_clause,
    STATE(16422), 1,
      sym_limit_clause,
  [355409] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8888), 1,
      anon_sym_RPAREN,
    ACTIONS(8890), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8892), 1,
      aux_sym_function_call_token1,
    STATE(11704), 1,
      aux_sym_call_statement_repeat1,
    STATE(15366), 1,
      sym_order_by_clause,
    STATE(19164), 1,
      sym_limit_clause,
    STATE(13303), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [355447] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8386), 1,
      anon_sym_RPAREN,
    ACTIONS(8388), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8390), 1,
      aux_sym_function_call_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    STATE(11739), 1,
      aux_sym_call_statement_repeat1,
    STATE(15602), 1,
      sym_order_by_clause,
    STATE(18911), 1,
      sym_limit_clause,
    STATE(13555), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [355485] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8894), 1,
      anon_sym_RPAREN,
    ACTIONS(8896), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8898), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13979), 1,
      sym_having_max_clause,
    STATE(13980), 1,
      sym_having_min_clause,
    STATE(14563), 1,
      sym_order_by_clause,
    STATE(17982), 1,
      sym_limit_clause,
  [355525] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8900), 1,
      anon_sym_RPAREN,
    ACTIONS(8902), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8904), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13327), 1,
      sym_having_max_clause,
    STATE(13340), 1,
      sym_having_min_clause,
    STATE(15537), 1,
      sym_order_by_clause,
    STATE(19151), 1,
      sym_limit_clause,
  [355565] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8906), 1,
      anon_sym_RPAREN,
    ACTIONS(8908), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8910), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13362), 1,
      sym_having_max_clause,
    STATE(13374), 1,
      sym_having_min_clause,
    STATE(15773), 1,
      sym_order_by_clause,
    STATE(19122), 1,
      sym_limit_clause,
  [355605] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8912), 1,
      anon_sym_RPAREN,
    ACTIONS(8914), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8916), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13214), 1,
      sym_having_min_clause,
    STATE(13215), 1,
      sym_having_max_clause,
    STATE(14598), 1,
      sym_order_by_clause,
    STATE(16393), 1,
      sym_limit_clause,
  [355645] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8345), 1,
      aux_sym_drop_schema_statement_token1,
    ACTIONS(8356), 1,
      aux_sym__keyword_alter_token1,
    ACTIONS(8358), 1,
      aux_sym_add_column_action_token1,
    ACTIONS(8736), 1,
      aux_sym_alter_table_rename_statement_token1,
    STATE(8006), 8,
      sym_add_column_action,
      sym_rename_column_action,
      sym_drop_column_action,
      sym_alter_column_action,
      sym_add_primary_key_action,
      sym_drop_primary_key_action,
      sym_add_foreign_key_action,
      sym_drop_constraint_action,
  [355671] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8918), 1,
      anon_sym_RPAREN,
    ACTIONS(8920), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8922), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13577), 1,
      sym_having_min_clause,
    STATE(13579), 1,
      sym_having_max_clause,
    STATE(15569), 1,
      sym_order_by_clause,
    STATE(17108), 1,
      sym_limit_clause,
  [355711] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8924), 1,
      anon_sym_RPAREN,
    ACTIONS(8926), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8928), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(14068), 1,
      sym_having_max_clause,
    STATE(14071), 1,
      sym_having_min_clause,
    STATE(14588), 1,
      sym_order_by_clause,
    STATE(17959), 1,
      sym_limit_clause,
  [355751] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8930), 1,
      anon_sym_RPAREN,
    ACTIONS(8932), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8934), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13580), 1,
      sym_having_min_clause,
    STATE(13581), 1,
      sym_having_max_clause,
    STATE(15562), 1,
      sym_order_by_clause,
    STATE(17113), 1,
      sym_limit_clause,
  [355791] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8936), 1,
      anon_sym_RPAREN,
    ACTIONS(8938), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8940), 1,
      aux_sym_function_call_token1,
    STATE(11760), 1,
      aux_sym_call_statement_repeat1,
    STATE(15555), 1,
      sym_order_by_clause,
    STATE(17120), 1,
      sym_limit_clause,
    STATE(13586), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [355829] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8942), 1,
      anon_sym_RPAREN,
    ACTIONS(8944), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8946), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13987), 1,
      sym_having_max_clause,
    STATE(13990), 1,
      sym_having_min_clause,
    STATE(14568), 1,
      sym_order_by_clause,
    STATE(17974), 1,
      sym_limit_clause,
  [355869] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8500), 1,
      anon_sym_RPAREN,
    ACTIONS(8502), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8504), 1,
      aux_sym_function_call_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    STATE(11828), 1,
      aux_sym_call_statement_repeat1,
    STATE(14904), 1,
      sym_order_by_clause,
    STATE(17649), 1,
      sym_limit_clause,
    STATE(14005), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [355907] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8364), 1,
      anon_sym_RPAREN,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8368), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8372), 1,
      aux_sym_function_call_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    STATE(11786), 1,
      aux_sym_call_statement_repeat1,
    STATE(14489), 1,
      sym_order_by_clause,
    STATE(18040), 1,
      sym_limit_clause,
    STATE(13771), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [355945] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8948), 1,
      anon_sym_RPAREN,
    ACTIONS(8950), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8952), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13200), 1,
      sym_having_min_clause,
    STATE(14129), 1,
      sym_having_max_clause,
    STATE(14474), 1,
      sym_order_by_clause,
    STATE(16387), 1,
      sym_limit_clause,
  [355985] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8954), 1,
      anon_sym_RPAREN,
    ACTIONS(8956), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8958), 1,
      aux_sym_function_call_token1,
    STATE(11770), 1,
      aux_sym_call_statement_repeat1,
    STATE(14554), 1,
      sym_order_by_clause,
    STATE(17997), 1,
      sym_limit_clause,
    STATE(13967), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [356023] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8422), 1,
      anon_sym_RPAREN,
    ACTIONS(8424), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8426), 1,
      aux_sym_function_call_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    STATE(11764), 1,
      aux_sym_call_statement_repeat1,
    STATE(14534), 1,
      sym_order_by_clause,
    STATE(18013), 1,
      sym_limit_clause,
    STATE(13883), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [356061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8962), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(8960), 10,
      aux_sym__keyword_between_token1,
      anon_sym_RPAREN,
      aux_sym_keyword_unbounded_preceding_token1,
      aux_sym_keyword_current_row_token1,
      aux_sym__float_token1,
      aux_sym__float_token3,
      aux_sym_numeric_token1,
      aux_sym_numeric_token2,
      aux_sym_numeric_token3,
      aux_sym_numeric_token4,
  [356081] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8410), 1,
      anon_sym_RPAREN,
    ACTIONS(8412), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8414), 1,
      aux_sym_function_call_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    STATE(11771), 1,
      aux_sym_call_statement_repeat1,
    STATE(15539), 1,
      sym_order_by_clause,
    STATE(17133), 1,
      sym_limit_clause,
    STATE(13596), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [356119] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8964), 1,
      anon_sym_RPAREN,
    ACTIONS(8966), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8968), 1,
      aux_sym_function_call_token1,
    STATE(11793), 1,
      aux_sym_call_statement_repeat1,
    STATE(14379), 1,
      sym_order_by_clause,
    STATE(18144), 1,
      sym_limit_clause,
    STATE(13272), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [356157] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8428), 1,
      anon_sym_RPAREN,
    ACTIONS(8430), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8432), 1,
      aux_sym_function_call_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    STATE(11816), 1,
      aux_sym_call_statement_repeat1,
    STATE(14757), 1,
      sym_order_by_clause,
    STATE(17806), 1,
      sym_limit_clause,
    STATE(14138), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [356195] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8970), 1,
      anon_sym_RPAREN,
    ACTIONS(8972), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8974), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13618), 1,
      sym_having_min_clause,
    STATE(13619), 1,
      sym_having_max_clause,
    STATE(14454), 1,
      sym_order_by_clause,
    STATE(18061), 1,
      sym_limit_clause,
  [356235] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8976), 1,
      anon_sym_RPAREN,
    ACTIONS(8978), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8980), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13628), 1,
      sym_having_min_clause,
    STATE(13634), 1,
      sym_having_max_clause,
    STATE(14458), 1,
      sym_order_by_clause,
    STATE(18056), 1,
      sym_limit_clause,
  [356275] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8982), 1,
      anon_sym_RPAREN,
    ACTIONS(8984), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8986), 1,
      aux_sym_function_call_token1,
    STATE(11807), 1,
      aux_sym_call_statement_repeat1,
    STATE(14467), 1,
      sym_order_by_clause,
    STATE(18047), 1,
      sym_limit_clause,
    STATE(13701), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [356313] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8988), 1,
      anon_sym_RPAREN,
    ACTIONS(8990), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8992), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13244), 1,
      sym_having_max_clause,
    STATE(13295), 1,
      sym_having_min_clause,
    STATE(14371), 1,
      sym_order_by_clause,
    STATE(18200), 1,
      sym_limit_clause,
  [356353] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8994), 1,
      anon_sym_RPAREN,
    ACTIONS(8996), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8998), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13443), 1,
      sym_having_max_clause,
    STATE(13465), 1,
      sym_having_min_clause,
    STATE(14390), 1,
      sym_order_by_clause,
    STATE(18264), 1,
      sym_limit_clause,
  [356393] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8398), 1,
      anon_sym_RPAREN,
    ACTIONS(8400), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8402), 1,
      aux_sym_function_call_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    STATE(11784), 1,
      aux_sym_call_statement_repeat1,
    STATE(14498), 1,
      sym_order_by_clause,
    STATE(18034), 1,
      sym_limit_clause,
    STATE(13797), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [356431] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8446), 1,
      anon_sym_RPAREN,
    ACTIONS(8448), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8450), 1,
      aux_sym_function_call_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    STATE(11796), 1,
      aux_sym_call_statement_repeat1,
    STATE(15173), 1,
      sym_order_by_clause,
    STATE(18616), 1,
      sym_limit_clause,
    STATE(13827), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [356469] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(17623), 1,
      sym_number,
    ACTIONS(579), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(581), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(6684), 3,
      sym__float,
      sym_numeric,
      sym__number,
    ACTIONS(8091), 4,
      aux_sym_numeric_token1,
      aux_sym_numeric_token2,
      aux_sym_numeric_token3,
      aux_sym_numeric_token4,
  [356495] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(9000), 1,
      anon_sym_RPAREN,
    ACTIONS(9002), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9004), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(14183), 1,
      sym_having_max_clause,
    STATE(14186), 1,
      sym_having_min_clause,
    STATE(14656), 1,
      sym_order_by_clause,
    STATE(17896), 1,
      sym_limit_clause,
  [356535] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(9006), 1,
      anon_sym_RPAREN,
    ACTIONS(9008), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9010), 1,
      aux_sym_function_call_token1,
    STATE(11803), 1,
      aux_sym_call_statement_repeat1,
    STATE(15145), 1,
      sym_order_by_clause,
    STATE(18598), 1,
      sym_limit_clause,
    STATE(13847), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [356573] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(9012), 1,
      anon_sym_RPAREN,
    ACTIONS(9014), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9016), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13753), 1,
      sym_having_max_clause,
    STATE(13761), 1,
      sym_having_min_clause,
    STATE(14468), 1,
      sym_order_by_clause,
    STATE(18239), 1,
      sym_limit_clause,
  [356613] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(9018), 1,
      anon_sym_RPAREN,
    ACTIONS(9020), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9022), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(14177), 1,
      sym_having_max_clause,
    STATE(14178), 1,
      sym_having_min_clause,
    STATE(14672), 1,
      sym_order_by_clause,
    STATE(17882), 1,
      sym_limit_clause,
  [356653] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(9024), 1,
      anon_sym_RPAREN,
    ACTIONS(9026), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9028), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(14172), 1,
      sym_having_max_clause,
    STATE(14173), 1,
      sym_having_min_clause,
    STATE(14675), 1,
      sym_order_by_clause,
    STATE(17877), 1,
      sym_limit_clause,
  [356693] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(9030), 1,
      anon_sym_RPAREN,
    ACTIONS(9032), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9034), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13856), 1,
      sym_having_max_clause,
    STATE(13857), 1,
      sym_having_min_clause,
    STATE(15137), 1,
      sym_order_by_clause,
    STATE(18589), 1,
      sym_limit_clause,
  [356733] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(9036), 1,
      anon_sym_RPAREN,
    ACTIONS(9038), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9040), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13208), 1,
      sym_having_min_clause,
    STATE(13773), 1,
      sym_having_max_clause,
    STATE(14352), 1,
      sym_order_by_clause,
    STATE(18057), 1,
      sym_limit_clause,
  [356773] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(9042), 1,
      anon_sym_RPAREN,
    ACTIONS(9044), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9046), 1,
      aux_sym_function_call_token1,
    STATE(11791), 1,
      aux_sym_call_statement_repeat1,
    STATE(14682), 1,
      sym_order_by_clause,
    STATE(17868), 1,
      sym_limit_clause,
    STATE(14167), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [356811] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(9048), 1,
      anon_sym_RPAREN,
    ACTIONS(9050), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9052), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13861), 1,
      sym_having_max_clause,
    STATE(13862), 1,
      sym_having_min_clause,
    STATE(15135), 1,
      sym_order_by_clause,
    STATE(18587), 1,
      sym_limit_clause,
  [356851] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(15785), 1,
      sym_number,
    ACTIONS(579), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(581), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(6684), 3,
      sym__float,
      sym_numeric,
      sym__number,
    ACTIONS(8091), 4,
      aux_sym_numeric_token1,
      aux_sym_numeric_token2,
      aux_sym_numeric_token3,
      aux_sym_numeric_token4,
  [356877] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8464), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8468), 1,
      aux_sym_function_call_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    STATE(11795), 1,
      aux_sym_call_statement_repeat1,
    STATE(14694), 1,
      sym_order_by_clause,
    STATE(17853), 1,
      sym_limit_clause,
    STATE(14162), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [356915] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(9054), 1,
      anon_sym_RPAREN,
    ACTIONS(9056), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9058), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13280), 1,
      sym_having_min_clause,
    STATE(13285), 1,
      sym_having_max_clause,
    STATE(14381), 1,
      sym_order_by_clause,
    STATE(18205), 1,
      sym_limit_clause,
  [356955] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(9060), 1,
      anon_sym_RPAREN,
    ACTIONS(9062), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9064), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13881), 1,
      sym_having_max_clause,
    STATE(13882), 1,
      sym_having_min_clause,
    STATE(15116), 1,
      sym_order_by_clause,
    STATE(18572), 1,
      sym_limit_clause,
  [356995] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(9066), 1,
      anon_sym_RPAREN,
    ACTIONS(9068), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9070), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13253), 1,
      sym_having_min_clause,
    STATE(13254), 1,
      sym_having_max_clause,
    STATE(15021), 1,
      sym_order_by_clause,
    STATE(16495), 1,
      sym_limit_clause,
  [357035] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(9072), 1,
      anon_sym_RPAREN,
    ACTIONS(9074), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9076), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13263), 1,
      sym_having_min_clause,
    STATE(13265), 1,
      sym_having_max_clause,
    STATE(15100), 1,
      sym_order_by_clause,
    STATE(16501), 1,
      sym_limit_clause,
  [357075] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(9078), 1,
      anon_sym_RPAREN,
    ACTIONS(9080), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9082), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13266), 1,
      sym_having_min_clause,
    STATE(13268), 1,
      sym_having_max_clause,
    STATE(15132), 1,
      sym_order_by_clause,
    STATE(16504), 1,
      sym_limit_clause,
  [357115] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(9084), 1,
      anon_sym_RPAREN,
    ACTIONS(9086), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9088), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13574), 1,
      sym_having_min_clause,
    STATE(13576), 1,
      sym_having_max_clause,
    STATE(14441), 1,
      sym_order_by_clause,
    STATE(18075), 1,
      sym_limit_clause,
  [357155] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(9090), 1,
      anon_sym_RPAREN,
    ACTIONS(9092), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9094), 1,
      aux_sym_function_call_token1,
    STATE(11804), 1,
      aux_sym_call_statement_repeat1,
    STATE(15165), 1,
      sym_order_by_clause,
    STATE(16508), 1,
      sym_limit_clause,
    STATE(13273), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [357193] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    ACTIONS(8842), 1,
      aux_sym_keyword_current_row_token2,
    ACTIONS(8844), 1,
      aux_sym_values_clause_token1,
    ACTIONS(9096), 1,
      anon_sym_LPAREN,
    STATE(7693), 1,
      sym_values_clause,
    STATE(7848), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(11900), 1,
      sym_insert_columns,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [357231] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8476), 1,
      anon_sym_RPAREN,
    ACTIONS(8478), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8480), 1,
      aux_sym_function_call_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    STATE(11833), 1,
      aux_sym_call_statement_repeat1,
    STATE(15826), 1,
      sym_order_by_clause,
    STATE(16876), 1,
      sym_limit_clause,
    STATE(13463), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [357269] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(9098), 1,
      anon_sym_RPAREN,
    ACTIONS(9100), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9102), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13304), 1,
      sym_having_min_clause,
    STATE(13322), 1,
      sym_having_max_clause,
    STATE(14386), 1,
      sym_order_by_clause,
    STATE(18208), 1,
      sym_limit_clause,
  [357309] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(9104), 1,
      anon_sym_RPAREN,
    ACTIONS(9106), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9108), 1,
      aux_sym_function_call_token1,
    STATE(11797), 1,
      aux_sym_call_statement_repeat1,
    STATE(14393), 1,
      sym_order_by_clause,
    STATE(18211), 1,
      sym_limit_clause,
    STATE(13449), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [357347] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(9110), 1,
      anon_sym_RPAREN,
    ACTIONS(9112), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9114), 1,
      aux_sym_function_call_token1,
    STATE(11697), 1,
      aux_sym_call_statement_repeat1,
    STATE(15119), 1,
      sym_order_by_clause,
    STATE(17475), 1,
      sym_limit_clause,
    STATE(13877), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [357385] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8518), 1,
      anon_sym_RPAREN,
    ACTIONS(8520), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8522), 1,
      aux_sym_function_call_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    STATE(11806), 1,
      aux_sym_call_statement_repeat1,
    STATE(15216), 1,
      sym_order_by_clause,
    STATE(16471), 1,
      sym_limit_clause,
    STATE(13279), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [357423] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8512), 1,
      anon_sym_RPAREN,
    ACTIONS(8514), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8516), 1,
      aux_sym_function_call_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    STATE(11821), 1,
      aux_sym_call_statement_repeat1,
    STATE(14828), 1,
      sym_order_by_clause,
    STATE(18411), 1,
      sym_limit_clause,
    STATE(14063), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [357461] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(9116), 1,
      anon_sym_RPAREN,
    ACTIONS(9118), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9120), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13864), 1,
      sym_having_min_clause,
    STATE(13870), 1,
      sym_having_max_clause,
    STATE(15126), 1,
      sym_order_by_clause,
    STATE(17464), 1,
      sym_limit_clause,
  [357501] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(9122), 1,
      anon_sym_RPAREN,
    ACTIONS(9124), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9126), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13342), 1,
      sym_having_min_clause,
    STATE(13344), 1,
      sym_having_max_clause,
    STATE(15717), 1,
      sym_order_by_clause,
    STATE(16665), 1,
      sym_limit_clause,
  [357541] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(9128), 1,
      anon_sym_RPAREN,
    ACTIONS(9130), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9132), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13849), 1,
      sym_having_min_clause,
    STATE(13850), 1,
      sym_having_max_clause,
    STATE(15136), 1,
      sym_order_by_clause,
    STATE(17456), 1,
      sym_limit_clause,
  [357581] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(9134), 1,
      anon_sym_RPAREN,
    ACTIONS(9136), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9138), 1,
      aux_sym_function_call_token1,
    STATE(11823), 1,
      aux_sym_call_statement_repeat1,
    STATE(14801), 1,
      sym_order_by_clause,
    STATE(18395), 1,
      sym_limit_clause,
    STATE(14083), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [357619] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(9140), 1,
      anon_sym_RPAREN,
    ACTIONS(9142), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9144), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13351), 1,
      sym_having_min_clause,
    STATE(13354), 1,
      sym_having_max_clause,
    STATE(15780), 1,
      sym_order_by_clause,
    STATE(16672), 1,
      sym_limit_clause,
  [357659] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(9146), 1,
      anon_sym_RPAREN,
    ACTIONS(9148), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9150), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(14092), 1,
      sym_having_max_clause,
    STATE(14093), 1,
      sym_having_min_clause,
    STATE(14804), 1,
      sym_order_by_clause,
    STATE(18392), 1,
      sym_limit_clause,
  [357699] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(9152), 1,
      anon_sym_RPAREN,
    ACTIONS(9154), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9156), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(14097), 1,
      sym_having_max_clause,
    STATE(14098), 1,
      sym_having_min_clause,
    STATE(14687), 1,
      sym_order_by_clause,
    STATE(18312), 1,
      sym_limit_clause,
  [357739] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(9158), 1,
      anon_sym_RPAREN,
    ACTIONS(9160), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9162), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(14117), 1,
      sym_having_max_clause,
    STATE(14118), 1,
      sym_having_min_clause,
    STATE(14779), 1,
      sym_order_by_clause,
    STATE(18377), 1,
      sym_limit_clause,
  [357779] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(9164), 1,
      anon_sym_RPAREN,
    ACTIONS(9166), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9168), 1,
      aux_sym_function_call_token1,
    STATE(11817), 1,
      aux_sym_call_statement_repeat1,
    STATE(15847), 1,
      sym_order_by_clause,
    STATE(16680), 1,
      sym_limit_clause,
    STATE(13367), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [357817] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(9170), 1,
      anon_sym_RPAREN,
    ACTIONS(9172), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9174), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(14039), 1,
      sym_having_max_clause,
    STATE(14041), 1,
      sym_having_min_clause,
    STATE(14860), 1,
      sym_order_by_clause,
    STATE(17690), 1,
      sym_limit_clause,
  [357857] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(9176), 1,
      anon_sym_RPAREN,
    ACTIONS(9178), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9180), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(14026), 1,
      sym_having_max_clause,
    STATE(14029), 1,
      sym_having_min_clause,
    STATE(14878), 1,
      sym_order_by_clause,
    STATE(17676), 1,
      sym_limit_clause,
  [357897] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8506), 1,
      anon_sym_RPAREN,
    ACTIONS(8508), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8510), 1,
      aux_sym_function_call_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    STATE(11687), 1,
      aux_sym_call_statement_repeat1,
    STATE(15900), 1,
      sym_order_by_clause,
    STATE(16693), 1,
      sym_limit_clause,
    STATE(13379), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [357935] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(9182), 1,
      anon_sym_RPAREN,
    ACTIONS(9184), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9186), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(14021), 1,
      sym_having_max_clause,
    STATE(14025), 1,
      sym_having_min_clause,
    STATE(14887), 1,
      sym_order_by_clause,
    STATE(17671), 1,
      sym_limit_clause,
  [357975] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(9188), 1,
      anon_sym_RPAREN,
    ACTIONS(9190), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9192), 1,
      aux_sym_function_call_token1,
    STATE(11825), 1,
      aux_sym_call_statement_repeat1,
    STATE(14892), 1,
      sym_order_by_clause,
    STATE(17662), 1,
      sym_limit_clause,
    STATE(14014), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [358013] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(9194), 1,
      anon_sym_RPAREN,
    ACTIONS(9196), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9198), 1,
      aux_sym_function_call_token1,
    STATE(11832), 1,
      aux_sym_call_statement_repeat1,
    STATE(15844), 1,
      sym_order_by_clause,
    STATE(16863), 1,
      sym_limit_clause,
    STATE(13455), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [358051] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8494), 1,
      anon_sym_RPAREN,
    ACTIONS(8496), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8498), 1,
      aux_sym_function_call_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    STATE(11811), 1,
      aux_sym_call_statement_repeat1,
    STATE(14434), 1,
      sym_order_by_clause,
    STATE(18226), 1,
      sym_limit_clause,
    STATE(13536), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [358089] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(9200), 1,
      anon_sym_RPAREN,
    ACTIONS(9202), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9204), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13435), 1,
      sym_having_min_clause,
    STATE(13436), 1,
      sym_having_max_clause,
    STATE(15876), 1,
      sym_order_by_clause,
    STATE(16844), 1,
      sym_limit_clause,
  [358129] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(9206), 1,
      anon_sym_RPAREN,
    ACTIONS(9208), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9210), 1,
      aux_sym_function_call_token1,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    STATE(13450), 1,
      sym_having_min_clause,
    STATE(13452), 1,
      sym_having_max_clause,
    STATE(15853), 1,
      sym_order_by_clause,
    STATE(16855), 1,
      sym_limit_clause,
  [358169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(11989), 1,
      aux_sym__grouping_list_repeat1,
    ACTIONS(4035), 10,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [358188] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7011), 1,
      sym_analytics_clause,
    ACTIONS(1370), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1372), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [358211] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6853), 1,
      sym_analytics_clause,
    ACTIONS(1354), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1356), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [358234] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6851), 1,
      sym_analytics_clause,
    ACTIONS(1354), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1356), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [358257] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6850), 1,
      sym_analytics_clause,
    ACTIONS(1354), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1356), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [358280] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6849), 1,
      sym_analytics_clause,
    ACTIONS(1354), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1356), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [358303] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6848), 1,
      sym_analytics_clause,
    ACTIONS(1354), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1356), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [358326] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6846), 1,
      sym_analytics_clause,
    ACTIONS(1354), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1356), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [358349] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6845), 1,
      sym_analytics_clause,
    ACTIONS(1354), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1356), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [358372] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6843), 1,
      sym_analytics_clause,
    ACTIONS(1354), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1356), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [358395] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6840), 1,
      sym_analytics_clause,
    ACTIONS(1354), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1356), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [358418] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6838), 1,
      sym_analytics_clause,
    ACTIONS(1354), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1356), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [358441] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6837), 1,
      sym_analytics_clause,
    ACTIONS(1484), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1486), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [358464] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6836), 1,
      sym_analytics_clause,
    ACTIONS(1378), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1380), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [358487] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6831), 1,
      sym_analytics_clause,
    ACTIONS(1378), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1380), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [358510] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6821), 1,
      sym_analytics_clause,
    ACTIONS(1378), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1380), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [358533] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6817), 1,
      sym_analytics_clause,
    ACTIONS(1378), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1380), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [358556] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6815), 1,
      sym_analytics_clause,
    ACTIONS(1378), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1380), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [358579] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6813), 1,
      sym_analytics_clause,
    ACTIONS(1378), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1380), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [358602] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6811), 1,
      sym_analytics_clause,
    ACTIONS(1378), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1380), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [358625] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6805), 1,
      sym_analytics_clause,
    ACTIONS(1378), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1380), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [358648] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6793), 1,
      sym_analytics_clause,
    ACTIONS(1378), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1380), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [358671] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6791), 1,
      sym_analytics_clause,
    ACTIONS(1378), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1380), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [358694] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6787), 1,
      sym_analytics_clause,
    ACTIONS(1378), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1380), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [358717] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6786), 1,
      sym_analytics_clause,
    ACTIONS(1390), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1392), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [358740] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6774), 1,
      sym_analytics_clause,
    ACTIONS(1382), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1384), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [358763] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6959), 1,
      sym_analytics_clause,
    ACTIONS(1364), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1366), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [358786] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6968), 1,
      sym_analytics_clause,
    ACTIONS(1364), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1366), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [358809] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6978), 1,
      sym_analytics_clause,
    ACTIONS(1364), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1366), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [358832] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6980), 1,
      sym_analytics_clause,
    ACTIONS(1364), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1366), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [358855] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6698), 1,
      sym_analytics_clause,
    ACTIONS(1364), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1366), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [358878] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6991), 1,
      sym_analytics_clause,
    ACTIONS(1364), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1366), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [358901] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6992), 1,
      sym_analytics_clause,
    ACTIONS(1364), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1366), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [358924] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6994), 1,
      sym_analytics_clause,
    ACTIONS(1364), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1366), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [358947] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6995), 1,
      sym_analytics_clause,
    ACTIONS(1364), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1366), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [358970] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6998), 1,
      sym_analytics_clause,
    ACTIONS(1364), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1366), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [358993] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6999), 1,
      sym_analytics_clause,
    ACTIONS(1364), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1366), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [359016] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7001), 1,
      sym_analytics_clause,
    ACTIONS(1364), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1366), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [359039] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7004), 1,
      sym_analytics_clause,
    ACTIONS(1364), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1366), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [359062] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7010), 1,
      sym_analytics_clause,
    ACTIONS(1364), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1366), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [359085] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7012), 1,
      sym_analytics_clause,
    ACTIONS(1364), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1366), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [359108] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7016), 1,
      sym_analytics_clause,
    ACTIONS(1364), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1366), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [359131] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7019), 1,
      sym_analytics_clause,
    ACTIONS(1364), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1366), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [359154] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7021), 1,
      sym_analytics_clause,
    ACTIONS(1364), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1366), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [359177] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7022), 1,
      sym_analytics_clause,
    ACTIONS(1364), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1366), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [359200] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7023), 1,
      sym_analytics_clause,
    ACTIONS(1364), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1366), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [359223] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7024), 1,
      sym_analytics_clause,
    ACTIONS(1364), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1366), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [359246] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7028), 1,
      sym_analytics_clause,
    ACTIONS(1364), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1366), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [359269] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7029), 1,
      sym_analytics_clause,
    ACTIONS(1386), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1388), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [359292] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7032), 1,
      sym_analytics_clause,
    ACTIONS(1360), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1362), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [359315] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7033), 1,
      sym_analytics_clause,
    ACTIONS(1360), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1362), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [359338] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7036), 1,
      sym_analytics_clause,
    ACTIONS(1360), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1362), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [359361] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7037), 1,
      sym_analytics_clause,
    ACTIONS(1360), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1362), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [359384] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6936), 1,
      sym_analytics_clause,
    ACTIONS(1360), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1362), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [359407] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7062), 1,
      sym_analytics_clause,
    ACTIONS(1360), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1362), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [359430] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7064), 1,
      sym_analytics_clause,
    ACTIONS(1360), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1362), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [359453] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8115), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8119), 1,
      aux_sym_qualify_clause_token1,
    STATE(6490), 1,
      sym_window_clause,
    STATE(11452), 1,
      sym__keyword_window,
    STATE(12077), 1,
      sym_qualify_clause,
    ACTIONS(3921), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [359480] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8115), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8119), 1,
      aux_sym_qualify_clause_token1,
    STATE(6466), 1,
      sym_window_clause,
    STATE(11452), 1,
      sym__keyword_window,
    STATE(12054), 1,
      sym_qualify_clause,
    ACTIONS(3598), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [359507] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9216), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(9218), 1,
      anon_sym_RPAREN,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    STATE(1317), 1,
      sym__keyword_partition_by,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(12618), 1,
      sym_window_partition_clause,
    STATE(13063), 1,
      sym_order_by_clause,
    STATE(17349), 1,
      sym_window_frame_clause,
  [359544] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8115), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8119), 1,
      aux_sym_qualify_clause_token1,
    STATE(6502), 1,
      sym_window_clause,
    STATE(11452), 1,
      sym__keyword_window,
    STATE(12048), 1,
      sym_qualify_clause,
    ACTIONS(3594), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [359571] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9216), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9222), 1,
      anon_sym_RPAREN,
    STATE(1317), 1,
      sym__keyword_partition_by,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(12662), 1,
      sym_window_partition_clause,
    STATE(13078), 1,
      sym_order_by_clause,
    STATE(17509), 1,
      sym_window_frame_clause,
  [359608] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9216), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9224), 1,
      anon_sym_RPAREN,
    STATE(1317), 1,
      sym__keyword_partition_by,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(12312), 1,
      sym_window_partition_clause,
    STATE(13126), 1,
      sym_order_by_clause,
    STATE(19078), 1,
      sym_window_frame_clause,
  [359645] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9216), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9226), 1,
      anon_sym_RPAREN,
    STATE(1317), 1,
      sym__keyword_partition_by,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(12448), 1,
      sym_window_partition_clause,
    STATE(13051), 1,
      sym_order_by_clause,
    STATE(16823), 1,
      sym_window_frame_clause,
  [359682] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9216), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9228), 1,
      anon_sym_RPAREN,
    STATE(1317), 1,
      sym__keyword_partition_by,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(12646), 1,
      sym_window_partition_clause,
    STATE(13073), 1,
      sym_order_by_clause,
    STATE(17393), 1,
      sym_window_frame_clause,
  [359719] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9216), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9230), 1,
      anon_sym_RPAREN,
    STATE(1317), 1,
      sym__keyword_partition_by,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(12239), 1,
      sym_window_partition_clause,
    STATE(13151), 1,
      sym_order_by_clause,
    STATE(19152), 1,
      sym_window_frame_clause,
  [359756] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9216), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9232), 1,
      anon_sym_RPAREN,
    STATE(1317), 1,
      sym__keyword_partition_by,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(12309), 1,
      sym_window_partition_clause,
    STATE(13124), 1,
      sym_order_by_clause,
    STATE(18974), 1,
      sym_window_frame_clause,
  [359793] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    ACTIONS(8844), 1,
      aux_sym_values_clause_token1,
    ACTIONS(9234), 1,
      aux_sym_keyword_current_row_token2,
    STATE(7789), 1,
      sym_values_clause,
    STATE(7848), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [359828] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    ACTIONS(8844), 1,
      aux_sym_values_clause_token1,
    ACTIONS(9096), 1,
      anon_sym_LPAREN,
    STATE(7848), 1,
      sym_query_statement,
    STATE(8042), 1,
      sym_values_clause,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12018), 1,
      sym_insert_columns,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [359863] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(8075), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(9236), 1,
      sym__unquoted_identifier,
    ACTIONS(9238), 1,
      anon_sym_COMMA,
    STATE(7101), 1,
      sym__keyword_struct,
    STATE(7375), 1,
      sym__bqtype,
    STATE(9776), 1,
      sym_type,
    STATE(11951), 1,
      aux_sym_declare_statement_repeat1,
    STATE(7214), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [359896] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8115), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8119), 1,
      aux_sym_qualify_clause_token1,
    STATE(6534), 1,
      sym_window_clause,
    STATE(11452), 1,
      sym__keyword_window,
    STATE(12041), 1,
      sym_qualify_clause,
    ACTIONS(3606), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [359923] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9216), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9240), 1,
      anon_sym_RPAREN,
    STATE(1317), 1,
      sym__keyword_partition_by,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(12760), 1,
      sym_window_partition_clause,
    STATE(13148), 1,
      sym_order_by_clause,
    STATE(17932), 1,
      sym_window_frame_clause,
  [359960] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6927), 1,
      sym_analytics_clause,
    ACTIONS(1462), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1464), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [359983] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9216), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9242), 1,
      anon_sym_RPAREN,
    STATE(1317), 1,
      sym__keyword_partition_by,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(12562), 1,
      sym_window_partition_clause,
    STATE(13043), 1,
      sym_order_by_clause,
    STATE(17153), 1,
      sym_window_frame_clause,
  [360020] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6859), 1,
      sym_analytics_clause,
    ACTIONS(1354), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1356), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [360043] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6863), 1,
      sym_analytics_clause,
    ACTIONS(1354), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1356), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [360066] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6864), 1,
      sym_analytics_clause,
    ACTIONS(1354), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1356), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [360089] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6916), 1,
      sym_analytics_clause,
    ACTIONS(1374), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1376), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [360112] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9244), 1,
      anon_sym_COMMA,
    STATE(11921), 1,
      aux_sym_group_by_clause_repeat1,
    ACTIONS(4071), 9,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [360133] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9216), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9246), 1,
      anon_sym_RPAREN,
    STATE(1317), 1,
      sym__keyword_partition_by,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(12827), 1,
      sym_window_partition_clause,
    STATE(13177), 1,
      sym_order_by_clause,
    STATE(18359), 1,
      sym_window_frame_clause,
  [360170] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6918), 1,
      sym_analytics_clause,
    ACTIONS(1462), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1464), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [360193] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6920), 1,
      sym_analytics_clause,
    ACTIONS(1462), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1464), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [360216] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6921), 1,
      sym_analytics_clause,
    ACTIONS(1462), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1464), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [360239] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6889), 1,
      sym_analytics_clause,
    ACTIONS(1462), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1464), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [360262] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8115), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8119), 1,
      aux_sym_qualify_clause_token1,
    STATE(6526), 1,
      sym_window_clause,
    STATE(11452), 1,
      sym__keyword_window,
    STATE(12086), 1,
      sym_qualify_clause,
    ACTIONS(3602), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [360289] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6924), 1,
      sym_analytics_clause,
    ACTIONS(1462), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1464), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [360312] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6926), 1,
      sym_analytics_clause,
    ACTIONS(1462), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1464), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [360335] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7067), 1,
      sym_analytics_clause,
    ACTIONS(1360), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1362), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [360358] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9244), 1,
      anon_sym_COMMA,
    STATE(11992), 1,
      aux_sym_group_by_clause_repeat1,
    ACTIONS(4093), 9,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [360379] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7070), 1,
      sym_analytics_clause,
    ACTIONS(1360), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1362), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [360402] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6826), 1,
      sym_analytics_clause,
    ACTIONS(1402), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1404), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [360425] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7071), 1,
      sym_analytics_clause,
    ACTIONS(1360), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1362), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [360448] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6928), 1,
      sym_analytics_clause,
    ACTIONS(1442), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1444), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [360471] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6929), 1,
      sym_analytics_clause,
    ACTIONS(1442), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1444), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [360494] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6930), 1,
      sym_analytics_clause,
    ACTIONS(1442), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1444), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [360517] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9216), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9248), 1,
      anon_sym_RPAREN,
    STATE(1317), 1,
      sym__keyword_partition_by,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(12701), 1,
      sym_window_partition_clause,
    STATE(13102), 1,
      sym_order_by_clause,
    STATE(17708), 1,
      sym_window_frame_clause,
  [360554] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6939), 1,
      sym_analytics_clause,
    ACTIONS(1442), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1444), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [360577] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6828), 1,
      sym_analytics_clause,
    ACTIONS(1446), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1448), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [360600] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9216), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9250), 1,
      anon_sym_RPAREN,
    STATE(1317), 1,
      sym__keyword_partition_by,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(12228), 1,
      sym_window_partition_clause,
    STATE(13159), 1,
      sym_order_by_clause,
    STATE(16781), 1,
      sym_window_frame_clause,
  [360637] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7090), 1,
      sym_analytics_clause,
    ACTIONS(1446), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1448), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [360660] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9216), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9252), 1,
      anon_sym_RPAREN,
    STATE(1317), 1,
      sym__keyword_partition_by,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(12574), 1,
      sym_window_partition_clause,
    STATE(13039), 1,
      sym_order_by_clause,
    STATE(18028), 1,
      sym_window_frame_clause,
  [360697] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9216), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9254), 1,
      anon_sym_RPAREN,
    STATE(1317), 1,
      sym__keyword_partition_by,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(12821), 1,
      sym_window_partition_clause,
    STATE(13176), 1,
      sym_order_by_clause,
    STATE(18374), 1,
      sym_window_frame_clause,
  [360734] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    ACTIONS(8844), 1,
      aux_sym_values_clause_token1,
    ACTIONS(9096), 1,
      anon_sym_LPAREN,
    STATE(7848), 1,
      sym_query_statement,
    STATE(8283), 1,
      sym_values_clause,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12013), 1,
      sym_insert_columns,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [360769] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9216), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9256), 1,
      anon_sym_RPAREN,
    STATE(1317), 1,
      sym__keyword_partition_by,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(12490), 1,
      sym_window_partition_clause,
    STATE(13038), 1,
      sym_order_by_clause,
    STATE(17305), 1,
      sym_window_frame_clause,
  [360806] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6988), 1,
      sym_analytics_clause,
    ACTIONS(1492), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1494), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [360829] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6987), 1,
      sym_analytics_clause,
    ACTIONS(1488), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1490), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [360852] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8115), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8119), 1,
      aux_sym_qualify_clause_token1,
    STATE(6359), 1,
      sym_window_clause,
    STATE(11452), 1,
      sym__keyword_window,
    STATE(12113), 1,
      sym_qualify_clause,
    ACTIONS(3822), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [360879] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6986), 1,
      sym_analytics_clause,
    ACTIONS(1480), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1482), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [360902] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(8075), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(9236), 1,
      sym__unquoted_identifier,
    ACTIONS(9238), 1,
      anon_sym_COMMA,
    STATE(7101), 1,
      sym__keyword_struct,
    STATE(7375), 1,
      sym__bqtype,
    STATE(7730), 1,
      sym_type,
    STATE(11961), 1,
      aux_sym_declare_statement_repeat1,
    STATE(7214), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [360935] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6906), 1,
      sym_analytics_clause,
    ACTIONS(1470), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1472), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [360958] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6897), 1,
      sym_analytics_clause,
    ACTIONS(1466), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1468), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [360981] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9216), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9258), 1,
      anon_sym_RPAREN,
    STATE(1317), 1,
      sym__keyword_partition_by,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(12739), 1,
      sym_window_partition_clause,
    STATE(13129), 1,
      sym_order_by_clause,
    STATE(18554), 1,
      sym_window_frame_clause,
  [361018] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6881), 1,
      sym_analytics_clause,
    ACTIONS(1458), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1460), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361041] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6733), 1,
      sym_analytics_clause,
    ACTIONS(1454), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1456), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361064] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6727), 1,
      sym_analytics_clause,
    ACTIONS(1450), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1452), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361087] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6801), 1,
      sym_analytics_clause,
    ACTIONS(1450), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1452), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361110] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8115), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8119), 1,
      aux_sym_qualify_clause_token1,
    STATE(6429), 1,
      sym_window_clause,
    STATE(11452), 1,
      sym__keyword_window,
    STATE(12076), 1,
      sym_qualify_clause,
    ACTIONS(4067), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [361137] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6825), 1,
      sym_analytics_clause,
    ACTIONS(1438), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1440), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361160] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(8075), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(9236), 1,
      sym__unquoted_identifier,
    ACTIONS(9238), 1,
      anon_sym_COMMA,
    STATE(7101), 1,
      sym__keyword_struct,
    STATE(7375), 1,
      sym__bqtype,
    STATE(9696), 1,
      sym_type,
    STATE(12830), 1,
      aux_sym_declare_statement_repeat1,
    STATE(7214), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [361193] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9216), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9260), 1,
      anon_sym_RPAREN,
    STATE(1317), 1,
      sym__keyword_partition_by,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(12833), 1,
      sym_window_partition_clause,
    STATE(13182), 1,
      sym_order_by_clause,
    STATE(18147), 1,
      sym_window_frame_clause,
  [361230] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6842), 1,
      sym_analytics_clause,
    ACTIONS(1434), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1436), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361253] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6852), 1,
      sym_analytics_clause,
    ACTIONS(1430), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1432), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361276] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6871), 1,
      sym_analytics_clause,
    ACTIONS(1426), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1428), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361299] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6891), 1,
      sym_analytics_clause,
    ACTIONS(1422), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1424), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361322] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    ACTIONS(8840), 1,
      anon_sym_LPAREN,
    ACTIONS(8844), 1,
      aux_sym_values_clause_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(7848), 1,
      sym_query_statement,
    STATE(8042), 1,
      sym_values_clause,
    STATE(12010), 1,
      sym_insert_columns,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [361357] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6896), 1,
      sym_analytics_clause,
    ACTIONS(1418), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1420), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361380] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9216), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9262), 1,
      anon_sym_RPAREN,
    STATE(1317), 1,
      sym__keyword_partition_by,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(12503), 1,
      sym_window_partition_clause,
    STATE(13033), 1,
      sym_order_by_clause,
    STATE(18846), 1,
      sym_window_frame_clause,
  [361417] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6957), 1,
      sym_analytics_clause,
    ACTIONS(1418), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1420), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361440] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(8075), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(9236), 1,
      sym__unquoted_identifier,
    ACTIONS(9238), 1,
      anon_sym_COMMA,
    STATE(7101), 1,
      sym__keyword_struct,
    STATE(7375), 1,
      sym__bqtype,
    STATE(7812), 1,
      sym_type,
    STATE(12830), 1,
      aux_sym_declare_statement_repeat1,
    STATE(7214), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [361473] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6958), 1,
      sym_analytics_clause,
    ACTIONS(1418), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1420), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361496] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    ACTIONS(8844), 1,
      aux_sym_values_clause_token1,
    ACTIONS(9234), 1,
      aux_sym_keyword_current_row_token2,
    STATE(7380), 1,
      sym_query_expr,
    STATE(7789), 1,
      sym_values_clause,
    STATE(7848), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [361531] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6966), 1,
      sym_analytics_clause,
    ACTIONS(1418), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1420), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361554] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9216), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9264), 1,
      anon_sym_RPAREN,
    STATE(1317), 1,
      sym__keyword_partition_by,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(12488), 1,
      sym_window_partition_clause,
    STATE(13031), 1,
      sym_order_by_clause,
    STATE(17026), 1,
      sym_window_frame_clause,
  [361591] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6973), 1,
      sym_analytics_clause,
    ACTIONS(1418), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1420), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361614] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6977), 1,
      sym_analytics_clause,
    ACTIONS(1418), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1420), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361637] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    ACTIONS(8840), 1,
      anon_sym_LPAREN,
    ACTIONS(8844), 1,
      aux_sym_values_clause_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(7848), 1,
      sym_query_statement,
    STATE(8283), 1,
      sym_values_clause,
    STATE(12011), 1,
      sym_insert_columns,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [361672] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7031), 1,
      sym_analytics_clause,
    ACTIONS(1418), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1420), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361695] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9216), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9266), 1,
      anon_sym_RPAREN,
    STATE(1317), 1,
      sym__keyword_partition_by,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(12392), 1,
      sym_window_partition_clause,
    STATE(13067), 1,
      sym_order_by_clause,
    STATE(16363), 1,
      sym_window_frame_clause,
  [361732] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7035), 1,
      sym_analytics_clause,
    ACTIONS(1418), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1420), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361755] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7074), 1,
      sym_analytics_clause,
    ACTIONS(1496), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1498), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361778] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7077), 1,
      sym_analytics_clause,
    ACTIONS(1500), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1502), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361801] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7097), 1,
      sym_analytics_clause,
    ACTIONS(1504), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1506), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361824] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7042), 1,
      sym_analytics_clause,
    ACTIONS(1418), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1420), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361847] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6861), 1,
      sym_analytics_clause,
    ACTIONS(1370), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1372), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361870] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6862), 1,
      sym_analytics_clause,
    ACTIONS(1370), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1372), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361893] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6866), 1,
      sym_analytics_clause,
    ACTIONS(1370), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1372), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361916] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6867), 1,
      sym_analytics_clause,
    ACTIONS(1370), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1372), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361939] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6868), 1,
      sym_analytics_clause,
    ACTIONS(1370), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1372), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361962] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7056), 1,
      sym_analytics_clause,
    ACTIONS(1418), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1420), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361985] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6722), 1,
      sym_analytics_clause,
    ACTIONS(1414), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1416), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362008] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6725), 1,
      sym_analytics_clause,
    ACTIONS(1410), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1412), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362031] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6729), 1,
      sym_analytics_clause,
    ACTIONS(1406), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1408), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362054] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6706), 1,
      sym_analytics_clause,
    ACTIONS(1398), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1400), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362077] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6901), 1,
      sym_analytics_clause,
    ACTIONS(1370), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1372), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362100] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6844), 1,
      sym_analytics_clause,
    ACTIONS(1398), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1400), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362123] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6767), 1,
      sym_analytics_clause,
    ACTIONS(1398), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1400), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362146] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9268), 1,
      anon_sym_COMMA,
    STATE(11989), 1,
      aux_sym__grouping_list_repeat1,
    ACTIONS(3961), 9,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [362167] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6949), 1,
      sym_analytics_clause,
    ACTIONS(1370), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1372), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362190] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6951), 1,
      sym_analytics_clause,
    ACTIONS(1370), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1372), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362213] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9271), 1,
      anon_sym_COMMA,
    STATE(11992), 1,
      aux_sym_group_by_clause_repeat1,
    ACTIONS(3941), 9,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [362234] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6766), 1,
      sym_analytics_clause,
    ACTIONS(1398), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1400), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362257] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6955), 1,
      sym_analytics_clause,
    ACTIONS(1370), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1372), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362280] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8115), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8119), 1,
      aux_sym_qualify_clause_token1,
    STATE(6540), 1,
      sym_window_clause,
    STATE(11452), 1,
      sym__keyword_window,
    STATE(12124), 1,
      sym_qualify_clause,
    ACTIONS(3754), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [362307] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6982), 1,
      sym_analytics_clause,
    ACTIONS(1370), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1372), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362330] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6854), 1,
      sym_analytics_clause,
    ACTIONS(1354), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1356), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362353] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7020), 1,
      sym_analytics_clause,
    ACTIONS(1370), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1372), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362376] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6937), 1,
      sym_analytics_clause,
    ACTIONS(1398), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1400), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362399] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7050), 1,
      sym_analytics_clause,
    ACTIONS(1370), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1372), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362422] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6950), 1,
      sym_analytics_clause,
    ACTIONS(1394), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1396), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362445] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7055), 1,
      sym_analytics_clause,
    ACTIONS(1370), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1372), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362468] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6993), 1,
      sym_analytics_clause,
    ACTIONS(1370), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1372), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362491] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6997), 1,
      sym_analytics_clause,
    ACTIONS(1370), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1372), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362514] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9216), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9274), 1,
      anon_sym_RPAREN,
    STATE(1317), 1,
      sym__keyword_partition_by,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(12250), 1,
      sym_window_partition_clause,
    STATE(13149), 1,
      sym_order_by_clause,
    STATE(17004), 1,
      sym_window_frame_clause,
  [362551] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7060), 1,
      sym_analytics_clause,
    ACTIONS(1370), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1372), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362574] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7013), 1,
      sym_analytics_clause,
    ACTIONS(1370), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1372), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362597] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(6855), 1,
      sym_analytics_clause,
    ACTIONS(1370), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1372), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362620] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      aux_sym_analytics_clause_token1,
    STATE(7049), 1,
      sym_analytics_clause,
    ACTIONS(1370), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1372), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362643] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    ACTIONS(8844), 1,
      aux_sym_values_clause_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(7848), 1,
      sym_query_statement,
    STATE(8281), 1,
      sym_values_clause,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [362675] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    ACTIONS(8844), 1,
      aux_sym_values_clause_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(7848), 1,
      sym_query_statement,
    STATE(8229), 1,
      sym_values_clause,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [362707] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(8073), 1,
      sym__unquoted_identifier,
    ACTIONS(8075), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(9276), 1,
      sym__quoted_identifier,
    STATE(7101), 1,
      sym__keyword_struct,
    STATE(12798), 1,
      sym__identifier,
    STATE(15055), 1,
      sym__bqtype,
    STATE(7214), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [362737] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    ACTIONS(8844), 1,
      aux_sym_values_clause_token1,
    STATE(7848), 1,
      sym_query_statement,
    STATE(8229), 1,
      sym_values_clause,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [362769] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4059), 1,
      aux_sym_foreign_key_references_token1,
    ACTIONS(8624), 1,
      aux_sym_default_clause_token1,
    ACTIONS(8630), 1,
      aux_sym_option_clause_token1,
    ACTIONS(9278), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9280), 1,
      aux_sym_primary_key_token1,
    STATE(7371), 1,
      sym_option_clause,
    STATE(12905), 1,
      sym_foreign_key_references,
    STATE(13157), 1,
      sym_default_clause,
    ACTIONS(4352), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [362801] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8299), 1,
      aux_sym_keyword_temporary_token1,
    ACTIONS(8301), 1,
      aux_sym_keyword_temporary_token2,
    ACTIONS(9282), 1,
      aux_sym_create_table_statement_token1,
    ACTIONS(9284), 1,
      aux_sym_create_table_statement_token2,
    ACTIONS(9286), 1,
      aux_sym_create_table_statement_token3,
    ACTIONS(9288), 1,
      aux_sym_create_external_table_statement_token1,
    ACTIONS(9290), 1,
      aux_sym_create_function_statement_token1,
    ACTIONS(9292), 1,
      aux_sym_create_procedure_statement_token1,
    ACTIONS(9294), 1,
      aux_sym_create_model_statement_token1,
    STATE(14330), 1,
      sym_keyword_temporary,
  [362835] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(8073), 1,
      sym__unquoted_identifier,
    ACTIONS(8075), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(9296), 1,
      sym__quoted_identifier,
    STATE(7101), 1,
      sym__keyword_struct,
    STATE(12301), 1,
      sym__identifier,
    STATE(14727), 1,
      sym__bqtype,
    STATE(7214), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [362865] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(8073), 1,
      sym__unquoted_identifier,
    ACTIONS(8075), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(9298), 1,
      sym__quoted_identifier,
    STATE(7101), 1,
      sym__keyword_struct,
    STATE(12650), 1,
      sym__identifier,
    STATE(16224), 1,
      sym__bqtype,
    STATE(7214), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [362895] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    ACTIONS(8844), 1,
      aux_sym_values_clause_token1,
    STATE(7848), 1,
      sym_query_statement,
    STATE(8281), 1,
      sym_values_clause,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [362927] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9300), 1,
      aux_sym_create_schema_statement_token2,
    ACTIONS(9302), 1,
      aux_sym_create_table_statement_token1,
    ACTIONS(9304), 1,
      aux_sym_create_table_statement_token2,
    ACTIONS(9306), 1,
      aux_sym_create_table_statement_token3,
    ACTIONS(9308), 1,
      aux_sym_create_snapshot_table_statement_token1,
    ACTIONS(9310), 1,
      aux_sym_create_external_table_statement_token1,
    ACTIONS(9312), 1,
      aux_sym_drop_table_statement_token1,
    ACTIONS(9314), 1,
      aux_sym_create_function_statement_token1,
    ACTIONS(9316), 1,
      aux_sym_create_procedure_statement_token1,
    ACTIONS(9318), 1,
      aux_sym_create_model_statement_token1,
  [362961] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(8630), 1,
      aux_sym_option_clause_token1,
    ACTIONS(8726), 1,
      aux_sym__keyword_from_token1,
    ACTIONS(8728), 1,
      aux_sym_table_cluster_clause_token1,
    STATE(7476), 1,
      sym_from_files_clause,
    STATE(11214), 1,
      sym__keyword_partition_by,
    STATE(13011), 1,
      sym_table_partition_clause,
    STATE(13726), 1,
      sym_table_cluster_clause,
    STATE(15313), 1,
      sym_option_clause,
    STATE(17512), 1,
      sym__keyword_from,
  [362995] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8299), 1,
      aux_sym_keyword_temporary_token1,
    ACTIONS(8301), 1,
      aux_sym_keyword_temporary_token2,
    ACTIONS(9288), 1,
      aux_sym_create_external_table_statement_token1,
    ACTIONS(9290), 1,
      aux_sym_create_function_statement_token1,
    ACTIONS(9292), 1,
      aux_sym_create_procedure_statement_token1,
    ACTIONS(9320), 1,
      aux_sym_create_table_statement_token1,
    ACTIONS(9322), 1,
      aux_sym_create_table_statement_token2,
    ACTIONS(9324), 1,
      aux_sym_create_table_statement_token3,
    ACTIONS(9326), 1,
      aux_sym_create_model_statement_token1,
    STATE(14275), 1,
      sym_keyword_temporary,
  [363029] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2700), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(4173), 1,
      anon_sym_COMMA,
    STATE(12343), 1,
      sym__nulls_preference,
    STATE(12344), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4267), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [363053] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4059), 1,
      aux_sym_foreign_key_references_token1,
    ACTIONS(8630), 1,
      aux_sym_option_clause_token1,
    ACTIONS(8710), 1,
      aux_sym_default_clause_token1,
    ACTIONS(9278), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9328), 1,
      aux_sym_primary_key_token1,
    STATE(7371), 1,
      sym_option_clause,
    STATE(12915), 1,
      sym_foreign_key_references,
    STATE(13157), 1,
      sym_default_clause,
    ACTIONS(4352), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [363085] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6447), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9330), 1,
      aux_sym__keyword_end_token1,
    ACTIONS(9332), 1,
      aux_sym__keyword_else_token1,
    STATE(1531), 1,
      sym__keyword_when,
    STATE(1874), 1,
      sym__keyword_else,
    STATE(4356), 1,
      sym__keyword_end,
    STATE(16342), 1,
      sym_caseelse_clause,
    STATE(13161), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [363114] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6447), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9332), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9334), 1,
      aux_sym__keyword_end_token1,
    STATE(1531), 1,
      sym__keyword_when,
    STATE(1874), 1,
      sym__keyword_else,
    STATE(2102), 1,
      sym__keyword_end,
    STATE(16095), 1,
      sym_caseelse_clause,
    STATE(13161), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [363143] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6447), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9332), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9334), 1,
      aux_sym__keyword_end_token1,
    STATE(1531), 1,
      sym__keyword_when,
    STATE(1874), 1,
      sym__keyword_else,
    STATE(2267), 1,
      sym__keyword_end,
    STATE(16053), 1,
      sym_caseelse_clause,
    STATE(13161), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [363172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9336), 1,
      aux_sym_keyword_temporary_token1,
    ACTIONS(9338), 8,
      aux_sym_keyword_temporary_token2,
      aux_sym_create_table_statement_token1,
      aux_sym_create_table_statement_token2,
      aux_sym_create_table_statement_token3,
      aux_sym_create_external_table_statement_token1,
      aux_sym_create_function_statement_token1,
      aux_sym_create_procedure_statement_token1,
      aux_sym_create_model_statement_token1,
  [363189] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6447), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9332), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9340), 1,
      aux_sym__keyword_end_token1,
    STATE(1531), 1,
      sym__keyword_when,
    STATE(1874), 1,
      sym__keyword_else,
    STATE(7267), 1,
      sym__keyword_end,
    STATE(16293), 1,
      sym_caseelse_clause,
    STATE(13161), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [363218] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9342), 1,
      aux_sym__keyword_distinct_token1,
    ACTIONS(9344), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9346), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9348), 1,
      aux_sym_FALSE_token1,
    STATE(12896), 1,
      sym__keyword_not,
    STATE(7216), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [363245] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8052), 1,
      sym_create_table_function_body,
    STATE(8240), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [363274] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9350), 1,
      aux_sym__keyword_distinct_token1,
    ACTIONS(9352), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9354), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9356), 1,
      aux_sym_FALSE_token1,
    STATE(12897), 1,
      sym__keyword_not,
    STATE(7827), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [363301] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(8075), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(9358), 1,
      sym__unquoted_identifier,
    STATE(7101), 1,
      sym__keyword_struct,
    STATE(7375), 1,
      sym__bqtype,
    STATE(16100), 1,
      sym_type,
    STATE(7214), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [363328] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9360), 1,
      aux_sym__keyword_distinct_token1,
    ACTIONS(9362), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9364), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9366), 1,
      aux_sym_FALSE_token1,
    STATE(13009), 1,
      sym__keyword_not,
    STATE(3558), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [363355] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9368), 1,
      aux_sym__keyword_distinct_token1,
    ACTIONS(9370), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9372), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9374), 1,
      aux_sym_FALSE_token1,
    STATE(13004), 1,
      sym__keyword_not,
    STATE(500), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [363382] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9376), 1,
      aux_sym__keyword_distinct_token1,
    ACTIONS(9378), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9380), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9382), 1,
      aux_sym_FALSE_token1,
    STATE(12994), 1,
      sym__keyword_not,
    STATE(7948), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [363409] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6447), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9332), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9340), 1,
      aux_sym__keyword_end_token1,
    STATE(1531), 1,
      sym__keyword_when,
    STATE(1874), 1,
      sym__keyword_else,
    STATE(7231), 1,
      sym__keyword_end,
    STATE(16302), 1,
      sym_caseelse_clause,
    STATE(13161), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [363438] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9378), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9380), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9382), 1,
      aux_sym_FALSE_token1,
    ACTIONS(9384), 1,
      aux_sym__keyword_distinct_token1,
    STATE(12995), 1,
      sym__keyword_not,
    STATE(7948), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [363465] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9344), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9346), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9348), 1,
      aux_sym_FALSE_token1,
    ACTIONS(9386), 1,
      aux_sym__keyword_distinct_token1,
    STATE(12935), 1,
      sym__keyword_not,
    STATE(7216), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [363492] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9388), 1,
      aux_sym__keyword_distinct_token1,
    ACTIONS(9390), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9392), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9394), 1,
      aux_sym_FALSE_token1,
    STATE(12992), 1,
      sym__keyword_not,
    STATE(3226), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [363519] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9396), 1,
      aux_sym__keyword_distinct_token1,
    ACTIONS(9398), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9400), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9402), 1,
      aux_sym_FALSE_token1,
    STATE(12990), 1,
      sym__keyword_not,
    STATE(2686), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [363546] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8115), 1,
      aux_sym__keyword_window_token1,
    STATE(6526), 1,
      sym_window_clause,
    STATE(11452), 1,
      sym__keyword_window,
    ACTIONS(3602), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [363567] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8052), 1,
      sym_create_table_function_body,
    STATE(8240), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [363596] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8240), 1,
      sym_query_statement,
    STATE(8345), 1,
      sym_create_table_function_body,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [363625] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9404), 1,
      aux_sym__keyword_distinct_token1,
    ACTIONS(9406), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9408), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9410), 1,
      aux_sym_FALSE_token1,
    STATE(12977), 1,
      sym__keyword_not,
    STATE(6368), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [363652] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8240), 1,
      sym_query_statement,
    STATE(8346), 1,
      sym_create_table_function_body,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [363681] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6447), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9332), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9412), 1,
      aux_sym__keyword_end_token1,
    STATE(1531), 1,
      sym__keyword_when,
    STATE(1874), 1,
      sym__keyword_else,
    STATE(9909), 1,
      sym__keyword_end,
    STATE(16150), 1,
      sym_caseelse_clause,
    STATE(13161), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [363710] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6447), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9332), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9412), 1,
      aux_sym__keyword_end_token1,
    STATE(1531), 1,
      sym__keyword_when,
    STATE(1874), 1,
      sym__keyword_else,
    STATE(9900), 1,
      sym__keyword_end,
    STATE(16154), 1,
      sym_caseelse_clause,
    STATE(13161), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [363739] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8115), 1,
      aux_sym__keyword_window_token1,
    STATE(6534), 1,
      sym_window_clause,
    STATE(11452), 1,
      sym__keyword_window,
    ACTIONS(3606), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [363760] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9414), 1,
      aux_sym__keyword_distinct_token1,
    ACTIONS(9416), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9418), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9420), 1,
      aux_sym_FALSE_token1,
    STATE(12920), 1,
      sym__keyword_not,
    STATE(4780), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [363787] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6447), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9332), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9422), 1,
      aux_sym__keyword_end_token1,
    STATE(1531), 1,
      sym__keyword_when,
    STATE(1874), 1,
      sym__keyword_else,
    STATE(7966), 1,
      sym__keyword_end,
    STATE(16176), 1,
      sym_caseelse_clause,
    STATE(13161), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [363816] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9424), 1,
      aux_sym__keyword_distinct_token1,
    ACTIONS(9426), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9428), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9430), 1,
      aux_sym_FALSE_token1,
    STATE(12980), 1,
      sym__keyword_not,
    STATE(2001), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [363843] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6447), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9332), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9422), 1,
      aux_sym__keyword_end_token1,
    STATE(1531), 1,
      sym__keyword_when,
    STATE(1874), 1,
      sym__keyword_else,
    STATE(7933), 1,
      sym__keyword_end,
    STATE(16175), 1,
      sym_caseelse_clause,
    STATE(13161), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [363872] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9398), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9400), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9402), 1,
      aux_sym_FALSE_token1,
    ACTIONS(9432), 1,
      aux_sym__keyword_distinct_token1,
    STATE(13018), 1,
      sym__keyword_not,
    STATE(2686), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [363899] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8115), 1,
      aux_sym__keyword_window_token1,
    STATE(6502), 1,
      sym_window_clause,
    STATE(11452), 1,
      sym__keyword_window,
    ACTIONS(3594), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [363920] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8114), 1,
      sym_create_table_function_body,
    STATE(8240), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [363949] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8113), 1,
      sym_create_table_function_body,
    STATE(8240), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [363978] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(8075), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(9358), 1,
      sym__unquoted_identifier,
    STATE(7101), 1,
      sym__keyword_struct,
    STATE(7375), 1,
      sym__bqtype,
    STATE(16194), 1,
      sym_type,
    STATE(7214), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [364005] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6447), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9332), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9434), 1,
      aux_sym__keyword_end_token1,
    STATE(1531), 1,
      sym__keyword_when,
    STATE(1874), 1,
      sym__keyword_else,
    STATE(10996), 1,
      sym__keyword_end,
    STATE(16121), 1,
      sym_caseelse_clause,
    STATE(13161), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [364034] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8090), 1,
      sym_create_table_function_body,
    STATE(8240), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [364063] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9436), 1,
      sym__unquoted_identifier,
    ACTIONS(9438), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(9440), 1,
      aux_sym__keyword_array_token1,
    STATE(12910), 1,
      sym__keyword_struct,
    STATE(14255), 1,
      sym_type,
    STATE(14306), 1,
      sym__bqtype,
    STATE(13127), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [364090] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(8075), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(9358), 1,
      sym__unquoted_identifier,
    STATE(7101), 1,
      sym__keyword_struct,
    STATE(7375), 1,
      sym__bqtype,
    STATE(16207), 1,
      sym_type,
    STATE(7214), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [364117] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9390), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9392), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9394), 1,
      aux_sym_FALSE_token1,
    ACTIONS(9442), 1,
      aux_sym__keyword_distinct_token1,
    STATE(12944), 1,
      sym__keyword_not,
    STATE(3226), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [364144] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9444), 1,
      aux_sym__keyword_returns_token1,
    ACTIONS(9446), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(9448), 1,
      aux_sym_option_clause_token1,
    ACTIONS(9450), 1,
      aux_sym__function_language_token1,
    STATE(12060), 1,
      sym__keyword_returns,
    STATE(13006), 1,
      sym_create_function_return_clause,
    STATE(14251), 1,
      sym_option_clause,
    STATE(16209), 1,
      sym__function_language,
    STATE(16210), 1,
      sym__keyword_as,
  [364175] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8113), 1,
      sym_create_table_function_body,
    STATE(8240), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [364204] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8114), 1,
      sym_create_table_function_body,
    STATE(8240), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [364233] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6447), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9332), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9452), 1,
      aux_sym__keyword_end_token1,
    STATE(1531), 1,
      sym__keyword_when,
    STATE(1874), 1,
      sym__keyword_else,
    STATE(4897), 1,
      sym__keyword_end,
    STATE(16249), 1,
      sym_caseelse_clause,
    STATE(13161), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [364262] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9454), 1,
      aux_sym__keyword_distinct_token1,
    ACTIONS(9456), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9458), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9460), 1,
      aux_sym_FALSE_token1,
    STATE(12953), 1,
      sym__keyword_not,
    STATE(10866), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [364289] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9462), 1,
      aux_sym__keyword_distinct_token1,
    ACTIONS(9464), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9466), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9468), 1,
      aux_sym_FALSE_token1,
    STATE(12991), 1,
      sym__keyword_not,
    STATE(4365), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [364316] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6447), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9332), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9452), 1,
      aux_sym__keyword_end_token1,
    STATE(1531), 1,
      sym__keyword_when,
    STATE(1874), 1,
      sym__keyword_else,
    STATE(4828), 1,
      sym__keyword_end,
    STATE(16246), 1,
      sym_caseelse_clause,
    STATE(13161), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [364345] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6447), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9332), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9470), 1,
      aux_sym__keyword_end_token1,
    STATE(493), 1,
      sym__keyword_end,
    STATE(1531), 1,
      sym__keyword_when,
    STATE(1874), 1,
      sym__keyword_else,
    STATE(16283), 1,
      sym_caseelse_clause,
    STATE(13161), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [364374] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9472), 1,
      aux_sym__keyword_distinct_token1,
    ACTIONS(9474), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9476), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9478), 1,
      aux_sym_FALSE_token1,
    STATE(12937), 1,
      sym__keyword_not,
    STATE(10432), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [364401] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6447), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9332), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9470), 1,
      aux_sym__keyword_end_token1,
    STATE(509), 1,
      sym__keyword_end,
    STATE(1531), 1,
      sym__keyword_when,
    STATE(1874), 1,
      sym__keyword_else,
    STATE(16284), 1,
      sym_caseelse_clause,
    STATE(13161), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [364430] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9426), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9428), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9430), 1,
      aux_sym_FALSE_token1,
    ACTIONS(9480), 1,
      aux_sym__keyword_distinct_token1,
    STATE(12936), 1,
      sym__keyword_not,
    STATE(2001), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [364457] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9444), 1,
      aux_sym__keyword_returns_token1,
    ACTIONS(9448), 1,
      aux_sym_option_clause_token1,
    ACTIONS(9450), 1,
      aux_sym__function_language_token1,
    ACTIONS(9482), 1,
      aux_sym__keyword_as_token1,
    STATE(12060), 1,
      sym__keyword_returns,
    STATE(12931), 1,
      sym_create_function_return_clause,
    STATE(14294), 1,
      sym_option_clause,
    STATE(16092), 1,
      sym__function_language,
    STATE(16096), 1,
      sym__keyword_as,
  [364488] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9406), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9408), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9410), 1,
      aux_sym_FALSE_token1,
    ACTIONS(9484), 1,
      aux_sym__keyword_distinct_token1,
    STATE(12872), 1,
      sym__keyword_not,
    STATE(6368), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [364515] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8115), 1,
      aux_sym__keyword_window_token1,
    STATE(6377), 1,
      sym_window_clause,
    STATE(11452), 1,
      sym__keyword_window,
    ACTIONS(4209), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [364536] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8115), 1,
      aux_sym__keyword_window_token1,
    STATE(6429), 1,
      sym_window_clause,
    STATE(11452), 1,
      sym__keyword_window,
    ACTIONS(4067), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [364557] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9370), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9372), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9374), 1,
      aux_sym_FALSE_token1,
    ACTIONS(9486), 1,
      aux_sym__keyword_distinct_token1,
    STATE(12939), 1,
      sym__keyword_not,
    STATE(500), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [364584] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6447), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9332), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9488), 1,
      aux_sym__keyword_end_token1,
    STATE(1531), 1,
      sym__keyword_when,
    STATE(1874), 1,
      sym__keyword_else,
    STATE(10310), 1,
      sym__keyword_end,
    STATE(16255), 1,
      sym_caseelse_clause,
    STATE(13161), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [364613] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8090), 1,
      sym_create_table_function_body,
    STATE(8240), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [364642] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8231), 1,
      sym_create_table_function_body,
    STATE(8240), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [364671] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9464), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9466), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9468), 1,
      aux_sym_FALSE_token1,
    ACTIONS(9490), 1,
      aux_sym__keyword_distinct_token1,
    STATE(12932), 1,
      sym__keyword_not,
    STATE(4365), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [364698] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18568), 1,
      sym__type_chrono,
    ACTIONS(3694), 2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_time_token1,
    ACTIONS(9492), 2,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [364719] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9474), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9476), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9478), 1,
      aux_sym_FALSE_token1,
    ACTIONS(9494), 1,
      aux_sym__keyword_distinct_token1,
    STATE(13007), 1,
      sym__keyword_not,
    STATE(10432), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [364746] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18224), 1,
      sym__type_chrono,
    ACTIONS(3694), 2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_time_token1,
    ACTIONS(9492), 2,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [364767] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8115), 1,
      aux_sym__keyword_window_token1,
    STATE(6540), 1,
      sym_window_clause,
    STATE(11452), 1,
      sym__keyword_window,
    ACTIONS(3754), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [364788] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6447), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9332), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9434), 1,
      aux_sym__keyword_end_token1,
    STATE(1531), 1,
      sym__keyword_when,
    STATE(1874), 1,
      sym__keyword_else,
    STATE(10859), 1,
      sym__keyword_end,
    STATE(16120), 1,
      sym_caseelse_clause,
    STATE(13161), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [364817] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6447), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9332), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9496), 1,
      aux_sym__keyword_end_token1,
    STATE(1531), 1,
      sym__keyword_when,
    STATE(1874), 1,
      sym__keyword_else,
    STATE(6395), 1,
      sym__keyword_end,
    STATE(16159), 1,
      sym_caseelse_clause,
    STATE(13161), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [364846] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(16455), 1,
      sym__type_chrono,
    ACTIONS(3694), 2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_time_token1,
    ACTIONS(9492), 2,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [364867] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8040), 1,
      sym_create_table_function_body,
    STATE(8240), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [364896] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18543), 1,
      sym__type_chrono,
    ACTIONS(3694), 2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_time_token1,
    ACTIONS(9492), 2,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [364917] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18541), 1,
      sym__type_chrono,
    ACTIONS(3694), 2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_time_token1,
    ACTIONS(9492), 2,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [364938] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6447), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9332), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9498), 1,
      aux_sym__keyword_end_token1,
    STATE(1531), 1,
      sym__keyword_when,
    STATE(1874), 1,
      sym__keyword_else,
    STATE(5590), 1,
      sym__keyword_end,
    STATE(16329), 1,
      sym_caseelse_clause,
    STATE(13161), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [364967] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9456), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9458), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9460), 1,
      aux_sym_FALSE_token1,
    ACTIONS(9500), 1,
      aux_sym__keyword_distinct_token1,
    STATE(12871), 1,
      sym__keyword_not,
    STATE(10866), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [364994] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8040), 1,
      sym_create_table_function_body,
    STATE(8240), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [365023] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6447), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9332), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9502), 1,
      aux_sym__keyword_end_token1,
    STATE(1531), 1,
      sym__keyword_when,
    STATE(1874), 1,
      sym__keyword_else,
    STATE(3219), 1,
      sym__keyword_end,
    STATE(16318), 1,
      sym_caseelse_clause,
    STATE(13161), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [365052] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6447), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9332), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9498), 1,
      aux_sym__keyword_end_token1,
    STATE(1531), 1,
      sym__keyword_when,
    STATE(1874), 1,
      sym__keyword_else,
    STATE(5640), 1,
      sym__keyword_end,
    STATE(16330), 1,
      sym_caseelse_clause,
    STATE(13161), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [365081] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6447), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9332), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9502), 1,
      aux_sym__keyword_end_token1,
    STATE(1531), 1,
      sym__keyword_when,
    STATE(1874), 1,
      sym__keyword_else,
    STATE(3229), 1,
      sym__keyword_end,
    STATE(16312), 1,
      sym_caseelse_clause,
    STATE(13161), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [365110] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9444), 1,
      aux_sym__keyword_returns_token1,
    ACTIONS(9448), 1,
      aux_sym_option_clause_token1,
    ACTIONS(9450), 1,
      aux_sym__function_language_token1,
    ACTIONS(9504), 1,
      aux_sym__keyword_as_token1,
    STATE(12060), 1,
      sym__keyword_returns,
    STATE(12888), 1,
      sym_create_function_return_clause,
    STATE(14320), 1,
      sym_option_clause,
    STATE(16024), 1,
      sym__function_language,
    STATE(16026), 1,
      sym__keyword_as,
  [365141] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18295), 1,
      sym__type_chrono,
    ACTIONS(3694), 2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_time_token1,
    ACTIONS(9492), 2,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [365162] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9506), 1,
      aux_sym__keyword_distinct_token1,
    ACTIONS(9508), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9510), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9512), 1,
      aux_sym_FALSE_token1,
    STATE(12886), 1,
      sym__keyword_not,
    STATE(5630), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [365189] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9514), 1,
      aux_sym__keyword_distinct_token1,
    ACTIONS(9516), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9518), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9520), 1,
      aux_sym_FALSE_token1,
    STATE(12877), 1,
      sym__keyword_not,
    STATE(10303), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [365216] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6447), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9332), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9522), 1,
      aux_sym__keyword_end_token1,
    STATE(1531), 1,
      sym__keyword_when,
    STATE(1874), 1,
      sym__keyword_else,
    STATE(10446), 1,
      sym__keyword_end,
    STATE(16174), 1,
      sym_caseelse_clause,
    STATE(13161), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [365245] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6447), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9332), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9488), 1,
      aux_sym__keyword_end_token1,
    STATE(1531), 1,
      sym__keyword_when,
    STATE(1874), 1,
      sym__keyword_else,
    STATE(10301), 1,
      sym__keyword_end,
    STATE(16268), 1,
      sym_caseelse_clause,
    STATE(13161), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [365274] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6447), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9332), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9496), 1,
      aux_sym__keyword_end_token1,
    STATE(1531), 1,
      sym__keyword_when,
    STATE(1874), 1,
      sym__keyword_else,
    STATE(6449), 1,
      sym__keyword_end,
    STATE(16149), 1,
      sym_caseelse_clause,
    STATE(13161), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [365303] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9464), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9466), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9468), 1,
      aux_sym_FALSE_token1,
    ACTIONS(9524), 1,
      aux_sym__keyword_distinct_token1,
    STATE(12970), 1,
      sym__keyword_not,
    STATE(4365), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [365330] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9526), 1,
      aux_sym__keyword_distinct_token1,
    ACTIONS(9528), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9530), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9532), 1,
      aux_sym_FALSE_token1,
    STATE(12974), 1,
      sym__keyword_not,
    STATE(2182), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [365357] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6447), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9330), 1,
      aux_sym__keyword_end_token1,
    ACTIONS(9332), 1,
      aux_sym__keyword_else_token1,
    STATE(1531), 1,
      sym__keyword_when,
    STATE(1874), 1,
      sym__keyword_else,
    STATE(4389), 1,
      sym__keyword_end,
    STATE(16334), 1,
      sym_caseelse_clause,
    STATE(13161), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [365386] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2700), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(4455), 1,
      anon_sym_COMMA,
    STATE(12982), 1,
      sym__nulls_preference,
    STATE(12984), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4267), 5,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
  [365409] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9426), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9428), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9430), 1,
      aux_sym_FALSE_token1,
    ACTIONS(9534), 1,
      aux_sym__keyword_distinct_token1,
    STATE(12961), 1,
      sym__keyword_not,
    STATE(2001), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [365436] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18353), 1,
      sym__type_chrono,
    ACTIONS(3694), 2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_time_token1,
    ACTIONS(9492), 2,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [365457] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18389), 1,
      sym__type_chrono,
    ACTIONS(3694), 2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_time_token1,
    ACTIONS(9492), 2,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [365478] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8115), 1,
      aux_sym__keyword_window_token1,
    STATE(6490), 1,
      sym_window_clause,
    STATE(11452), 1,
      sym__keyword_window,
    ACTIONS(3921), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [365499] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6447), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9332), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9536), 1,
      aux_sym__keyword_end_token1,
    STATE(1531), 1,
      sym__keyword_when,
    STATE(1874), 1,
      sym__keyword_else,
    STATE(3562), 1,
      sym__keyword_end,
    STATE(16167), 1,
      sym_caseelse_clause,
    STATE(13161), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [365528] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8240), 1,
      sym_query_statement,
    STATE(8280), 1,
      sym_create_table_function_body,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [365557] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6447), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9332), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9538), 1,
      aux_sym__keyword_end_token1,
    STATE(1531), 1,
      sym__keyword_when,
    STATE(1874), 1,
      sym__keyword_else,
    STATE(7811), 1,
      sym__keyword_end,
    STATE(16341), 1,
      sym_caseelse_clause,
    STATE(13161), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [365586] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6447), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9332), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9540), 1,
      aux_sym__keyword_end_token1,
    STATE(1531), 1,
      sym__keyword_when,
    STATE(1874), 1,
      sym__keyword_else,
    STATE(4568), 1,
      sym__keyword_end,
    STATE(16048), 1,
      sym_caseelse_clause,
    STATE(13161), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [365615] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8240), 1,
      sym_query_statement,
    STATE(8288), 1,
      sym_create_table_function_body,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [365644] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9398), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9400), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9402), 1,
      aux_sym_FALSE_token1,
    ACTIONS(9542), 1,
      aux_sym__keyword_distinct_token1,
    STATE(12954), 1,
      sym__keyword_not,
    STATE(2686), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [365671] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8231), 1,
      sym_create_table_function_body,
    STATE(8240), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [365700] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6447), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9332), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9540), 1,
      aux_sym__keyword_end_token1,
    STATE(1531), 1,
      sym__keyword_when,
    STATE(1874), 1,
      sym__keyword_else,
    STATE(4549), 1,
      sym__keyword_end,
    STATE(16049), 1,
      sym_caseelse_clause,
    STATE(13161), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [365729] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9544), 1,
      aux_sym__keyword_distinct_token1,
    ACTIONS(9546), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9548), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9550), 1,
      aux_sym_FALSE_token1,
    STATE(12956), 1,
      sym__keyword_not,
    STATE(4563), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [365756] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18423), 1,
      sym__type_chrono,
    ACTIONS(3694), 2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_time_token1,
    ACTIONS(9492), 2,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [365777] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8115), 1,
      aux_sym__keyword_window_token1,
    STATE(6359), 1,
      sym_window_clause,
    STATE(11452), 1,
      sym__keyword_window,
    ACTIONS(3822), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [365798] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18457), 1,
      sym__type_chrono,
    ACTIONS(3694), 2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_time_token1,
    ACTIONS(9492), 2,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [365819] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6447), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9332), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9522), 1,
      aux_sym__keyword_end_token1,
    STATE(1531), 1,
      sym__keyword_when,
    STATE(1874), 1,
      sym__keyword_else,
    STATE(10406), 1,
      sym__keyword_end,
    STATE(16087), 1,
      sym_caseelse_clause,
    STATE(13161), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [365848] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18487), 1,
      sym__type_chrono,
    ACTIONS(3694), 2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_time_token1,
    ACTIONS(9492), 2,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [365869] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18595), 1,
      sym__type_chrono,
    ACTIONS(3694), 2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_time_token1,
    ACTIONS(9492), 2,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [365890] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9552), 1,
      aux_sym__keyword_distinct_token1,
    ACTIONS(9554), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9556), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9558), 1,
      aux_sym_FALSE_token1,
    STATE(12909), 1,
      sym__keyword_not,
    STATE(9906), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [365917] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18622), 1,
      sym__type_chrono,
    ACTIONS(3694), 2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_time_token1,
    ACTIONS(9492), 2,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [365938] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18649), 1,
      sym__type_chrono,
    ACTIONS(3694), 2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_time_token1,
    ACTIONS(9492), 2,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [365959] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18514), 1,
      sym__type_chrono,
    ACTIONS(3694), 2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_time_token1,
    ACTIONS(9492), 2,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [365980] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9464), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9466), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9468), 1,
      aux_sym_FALSE_token1,
    ACTIONS(9560), 1,
      aux_sym__keyword_distinct_token1,
    STATE(12921), 1,
      sym__keyword_not,
    STATE(4365), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [366007] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8240), 1,
      sym_query_statement,
    STATE(8250), 1,
      sym_create_table_function_body,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [366036] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9416), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9418), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9420), 1,
      aux_sym_FALSE_token1,
    ACTIONS(9562), 1,
      aux_sym__keyword_distinct_token1,
    STATE(12880), 1,
      sym__keyword_not,
    STATE(4780), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [366063] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18676), 1,
      sym__type_chrono,
    ACTIONS(3694), 2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_time_token1,
    ACTIONS(9492), 2,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [366084] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18703), 1,
      sym__type_chrono,
    ACTIONS(3694), 2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_time_token1,
    ACTIONS(9492), 2,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [366105] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8176), 1,
      sym_create_table_function_body,
    STATE(8240), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [366134] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9464), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9466), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9468), 1,
      aux_sym_FALSE_token1,
    ACTIONS(9564), 1,
      aux_sym__keyword_distinct_token1,
    STATE(12876), 1,
      sym__keyword_not,
    STATE(4365), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [366161] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18730), 1,
      sym__type_chrono,
    ACTIONS(3694), 2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_time_token1,
    ACTIONS(9492), 2,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8402), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [366182] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6447), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9332), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9566), 1,
      aux_sym__keyword_end_token1,
    STATE(1531), 1,
      sym__keyword_when,
    STATE(1874), 1,
      sym__keyword_else,
    STATE(1908), 1,
      sym__keyword_end,
    STATE(16186), 1,
      sym_caseelse_clause,
    STATE(13161), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [366211] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8176), 1,
      sym_create_table_function_body,
    STATE(8240), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [366240] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8240), 1,
      sym_query_statement,
    STATE(8250), 1,
      sym_create_table_function_body,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [366269] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6447), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9332), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9568), 1,
      aux_sym__keyword_end_token1,
    STATE(1531), 1,
      sym__keyword_when,
    STATE(1874), 1,
      sym__keyword_else,
    STATE(2697), 1,
      sym__keyword_end,
    STATE(16058), 1,
      sym_caseelse_clause,
    STATE(13161), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [366298] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8240), 1,
      sym_query_statement,
    STATE(8346), 1,
      sym_create_table_function_body,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [366327] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8240), 1,
      sym_query_statement,
    STATE(8345), 1,
      sym_create_table_function_body,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [366356] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6447), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9332), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9568), 1,
      aux_sym__keyword_end_token1,
    STATE(1531), 1,
      sym__keyword_when,
    STATE(1874), 1,
      sym__keyword_else,
    STATE(2677), 1,
      sym__keyword_end,
    STATE(16050), 1,
      sym_caseelse_clause,
    STATE(13161), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [366385] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9444), 1,
      aux_sym__keyword_returns_token1,
    ACTIONS(9448), 1,
      aux_sym_option_clause_token1,
    ACTIONS(9450), 1,
      aux_sym__function_language_token1,
    ACTIONS(9570), 1,
      aux_sym__keyword_as_token1,
    STATE(12060), 1,
      sym__keyword_returns,
    STATE(12875), 1,
      sym_create_function_return_clause,
    STATE(14226), 1,
      sym_option_clause,
    STATE(16267), 1,
      sym__function_language,
    STATE(16275), 1,
      sym__keyword_as,
  [366416] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8240), 1,
      sym_query_statement,
    STATE(8288), 1,
      sym_create_table_function_body,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [366445] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8240), 1,
      sym_query_statement,
    STATE(8280), 1,
      sym_create_table_function_body,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [366474] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9464), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9466), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9468), 1,
      aux_sym_FALSE_token1,
    ACTIONS(9572), 1,
      aux_sym__keyword_distinct_token1,
    STATE(12881), 1,
      sym__keyword_not,
    STATE(4365), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [366501] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8115), 1,
      aux_sym__keyword_window_token1,
    STATE(6466), 1,
      sym_window_clause,
    STATE(11452), 1,
      sym__keyword_window,
    ACTIONS(3598), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [366522] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9464), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9466), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9468), 1,
      aux_sym_FALSE_token1,
    ACTIONS(9574), 1,
      aux_sym__keyword_distinct_token1,
    STATE(12884), 1,
      sym__keyword_not,
    STATE(4365), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [366549] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9464), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9466), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9468), 1,
      aux_sym_FALSE_token1,
    ACTIONS(9576), 1,
      aux_sym__keyword_distinct_token1,
    STATE(12887), 1,
      sym__keyword_not,
    STATE(4365), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [366576] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6447), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9332), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9536), 1,
      aux_sym__keyword_end_token1,
    STATE(1531), 1,
      sym__keyword_when,
    STATE(1874), 1,
      sym__keyword_else,
    STATE(3551), 1,
      sym__keyword_end,
    STATE(16042), 1,
      sym_caseelse_clause,
    STATE(13161), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [366605] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6447), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9332), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9566), 1,
      aux_sym__keyword_end_token1,
    STATE(1531), 1,
      sym__keyword_when,
    STATE(1874), 1,
      sym__keyword_else,
    STATE(2029), 1,
      sym__keyword_end,
    STATE(16177), 1,
      sym_caseelse_clause,
    STATE(13161), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [366634] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9398), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9400), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9402), 1,
      aux_sym_FALSE_token1,
    ACTIONS(9578), 1,
      aux_sym__keyword_distinct_token1,
    STATE(12879), 1,
      sym__keyword_not,
    STATE(2686), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [366661] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6447), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9332), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9538), 1,
      aux_sym__keyword_end_token1,
    STATE(1531), 1,
      sym__keyword_when,
    STATE(1874), 1,
      sym__keyword_else,
    STATE(7855), 1,
      sym__keyword_end,
    STATE(16343), 1,
      sym_caseelse_clause,
    STATE(13161), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [366690] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9580), 1,
      anon_sym_RPAREN,
    STATE(15350), 1,
      sym_order_by_clause,
    STATE(17312), 1,
      sym_limit_clause,
    STATE(13700), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [366716] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9582), 1,
      anon_sym_RPAREN,
    STATE(15042), 1,
      sym_order_by_clause,
    STATE(17529), 1,
      sym_limit_clause,
    STATE(13922), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [366742] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9436), 1,
      sym__unquoted_identifier,
    ACTIONS(9438), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(9440), 1,
      aux_sym__keyword_array_token1,
    STATE(12910), 1,
      sym__keyword_struct,
    STATE(14290), 1,
      sym__bqtype,
    STATE(13127), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [366766] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8290), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [366792] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9584), 1,
      anon_sym_RPAREN,
    STATE(13475), 1,
      sym_having_max_clause,
    STATE(13477), 1,
      sym_having_min_clause,
    STATE(15799), 1,
      sym_order_by_clause,
    STATE(16900), 1,
      sym_limit_clause,
  [366820] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8294), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [366846] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8160), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [366872] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8316), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [366898] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8038), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [366924] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8032), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [366950] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8301), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [366976] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8299), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [367002] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8291), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [367028] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8309), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [367054] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8310), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [367080] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8312), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [367106] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8317), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [367132] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8319), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [367158] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9586), 1,
      anon_sym_RPAREN,
    STATE(15809), 1,
      sym_order_by_clause,
    STATE(16887), 1,
      sym_limit_clause,
    STATE(13473), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [367184] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8325), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [367210] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8332), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [367236] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9588), 1,
      anon_sym_RPAREN,
    STATE(13419), 1,
      sym_having_max_clause,
    STATE(13422), 1,
      sym_having_min_clause,
    STATE(15916), 1,
      sym_order_by_clause,
    STATE(16805), 1,
      sym_limit_clause,
  [367264] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9590), 1,
      anon_sym_RPAREN,
    STATE(13417), 1,
      sym_having_max_clause,
    STATE(13418), 1,
      sym_having_min_clause,
    STATE(15924), 1,
      sym_order_by_clause,
    STATE(16794), 1,
      sym_limit_clause,
  [367292] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9592), 1,
      anon_sym_RPAREN,
    STATE(13409), 1,
      sym_having_max_clause,
    STATE(13411), 1,
      sym_having_min_clause,
    STATE(15939), 1,
      sym_order_by_clause,
    STATE(16777), 1,
      sym_limit_clause,
  [367320] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9594), 1,
      anon_sym_RPAREN,
    STATE(15944), 1,
      sym_order_by_clause,
    STATE(16774), 1,
      sym_limit_clause,
    STATE(13406), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [367346] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8335), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [367372] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8337), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [367398] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8273), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [367424] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8339), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [367450] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8341), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [367476] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8289), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [367502] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8163), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [367528] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8165), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [367554] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8347), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [367580] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8351), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [367606] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8355), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [367632] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8197), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [367658] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8304), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [367684] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8303), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [367710] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8315), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [367736] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8168), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [367762] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8169), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [367788] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9596), 1,
      sym__unquoted_identifier,
    ACTIONS(9598), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(9600), 1,
      aux_sym__keyword_array_token1,
    STATE(7622), 1,
      sym_column_type,
    STATE(17434), 1,
      sym__keyword_array,
    STATE(17435), 1,
      sym__keyword_struct,
    STATE(5971), 2,
      sym__column_definition_type_array,
      sym__column_definition_type_struct,
  [367814] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8273), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [367840] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8183), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [367866] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8184), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [367892] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8203), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [367918] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8251), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [367944] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9602), 1,
      anon_sym_RPAREN,
    STATE(13373), 1,
      sym_having_max_clause,
    STATE(13375), 1,
      sym_having_min_clause,
    STATE(15867), 1,
      sym_order_by_clause,
    STATE(16681), 1,
      sym_limit_clause,
  [367972] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9604), 1,
      anon_sym_RPAREN,
    STATE(13360), 1,
      sym_having_max_clause,
    STATE(13365), 1,
      sym_having_min_clause,
    STATE(15827), 1,
      sym_order_by_clause,
    STATE(16671), 1,
      sym_limit_clause,
  [368000] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9606), 1,
      anon_sym_RPAREN,
    STATE(15761), 1,
      sym_order_by_clause,
    STATE(16668), 1,
      sym_limit_clause,
    STATE(13355), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [368026] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8215), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [368052] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9608), 1,
      anon_sym_RPAREN,
    STATE(15709), 1,
      sym_order_by_clause,
    STATE(16658), 1,
      sym_limit_clause,
    STATE(13345), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [368078] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9610), 1,
      anon_sym_RPAREN,
    STATE(15694), 1,
      sym_order_by_clause,
    STATE(16655), 1,
      sym_limit_clause,
    STATE(13339), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [368104] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8248), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [368130] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9612), 1,
      anon_sym_RPAREN,
    STATE(13382), 1,
      sym_having_min_clause,
    STATE(13383), 1,
      sym_having_max_clause,
    STATE(15942), 1,
      sym_order_by_clause,
    STATE(16698), 1,
      sym_limit_clause,
  [368158] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8251), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [368184] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8289), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [368210] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8167), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [368236] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8291), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [368262] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8166), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [368288] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8248), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [368314] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9614), 1,
      anon_sym_RPAREN,
    STATE(13206), 1,
      sym_having_max_clause,
    STATE(13207), 1,
      sym_having_min_clause,
    STATE(14495), 1,
      sym_order_by_clause,
    STATE(19331), 1,
      sym_limit_clause,
  [368342] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8215), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [368368] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8299), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [368394] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8203), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [368420] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8301), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [368446] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8316), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [368472] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9616), 1,
      anon_sym_RPAREN,
    STATE(14614), 1,
      sym_order_by_clause,
    STATE(18293), 1,
      sym_limit_clause,
    STATE(14168), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [368498] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9618), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(13172), 1,
      sym_order_by_clause,
    STATE(16719), 1,
      sym_window_frame_clause,
  [368526] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8184), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [368552] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9620), 1,
      anon_sym_RPAREN,
    STATE(15476), 1,
      sym_order_by_clause,
    STATE(19154), 1,
      sym_limit_clause,
    STATE(13313), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [368578] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9622), 1,
      anon_sym_RPAREN,
    STATE(13631), 1,
      sym_having_max_clause,
    STATE(13648), 1,
      sym_having_min_clause,
    STATE(15492), 1,
      sym_order_by_clause,
    STATE(18872), 1,
      sym_limit_clause,
  [368606] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8183), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [368632] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8342), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [368658] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9436), 1,
      sym__unquoted_identifier,
    ACTIONS(9438), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(9440), 1,
      aux_sym__keyword_array_token1,
    STATE(12910), 1,
      sym__keyword_struct,
    STATE(14338), 1,
      sym__bqtype,
    STATE(13127), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [368682] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8334), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [368708] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8294), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [368734] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8290), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [368760] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9624), 1,
      anon_sym_RPAREN,
    STATE(14989), 1,
      sym_order_by_clause,
    STATE(19197), 1,
      sym_limit_clause,
    STATE(13255), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [368786] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9626), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(13086), 1,
      sym_order_by_clause,
    STATE(19231), 1,
      sym_window_frame_clause,
  [368814] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9628), 1,
      anon_sym_RPAREN,
    STATE(15673), 1,
      sym_order_by_clause,
    STATE(19134), 1,
      sym_limit_clause,
    STATE(13335), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [368840] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8151), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [368866] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8146), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [368892] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9630), 1,
      anon_sym_RPAREN,
    STATE(13393), 1,
      sym_having_min_clause,
    STATE(13399), 1,
      sym_having_max_clause,
    STATE(15963), 1,
      sym_order_by_clause,
    STATE(16648), 1,
      sym_limit_clause,
  [368920] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8142), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [368946] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8105), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [368972] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8137), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [368998] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8226), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [369024] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8128), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [369050] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9632), 1,
      anon_sym_RPAREN,
    STATE(13397), 1,
      sym_having_min_clause,
    STATE(13398), 1,
      sym_having_max_clause,
    STATE(15970), 1,
      sym_order_by_clause,
    STATE(16751), 1,
      sym_limit_clause,
  [369078] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9634), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(13174), 1,
      sym_order_by_clause,
    STATE(16812), 1,
      sym_window_frame_clause,
  [369106] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9636), 1,
      anon_sym_RPAREN,
    STATE(15696), 1,
      sym_order_by_clause,
    STATE(19131), 1,
      sym_limit_clause,
    STATE(13338), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [369132] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9436), 1,
      sym__unquoted_identifier,
    ACTIONS(9438), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(9440), 1,
      aux_sym__keyword_array_token1,
    STATE(12910), 1,
      sym__keyword_struct,
    STATE(14246), 1,
      sym__bqtype,
    STATE(13127), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [369156] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9638), 1,
      anon_sym_RPAREN,
    STATE(13428), 1,
      sym_having_min_clause,
    STATE(13440), 1,
      sym_having_max_clause,
    STATE(15862), 1,
      sym_order_by_clause,
    STATE(16851), 1,
      sym_limit_clause,
  [369184] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8122), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [369210] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9640), 1,
      anon_sym_RPAREN,
    STATE(15719), 1,
      sym_order_by_clause,
    STATE(19127), 1,
      sym_limit_clause,
    STATE(13347), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [369236] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8175), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [369262] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9642), 1,
      anon_sym_RPAREN,
    STATE(14579), 1,
      sym_order_by_clause,
    STATE(18187), 1,
      sym_limit_clause,
    STATE(13986), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [369288] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9644), 1,
      anon_sym_RPAREN,
    STATE(13248), 1,
      sym_having_min_clause,
    STATE(13249), 1,
      sym_having_max_clause,
    STATE(14960), 1,
      sym_order_by_clause,
    STATE(19207), 1,
      sym_limit_clause,
  [369316] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8112), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [369342] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8116), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [369368] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8108), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [369394] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8078), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [369420] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8089), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [369446] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9646), 1,
      anon_sym_RPAREN,
    STATE(13466), 1,
      sym_having_min_clause,
    STATE(13469), 1,
      sym_having_max_clause,
    STATE(15820), 1,
      sym_order_by_clause,
    STATE(16884), 1,
      sym_limit_clause,
  [369474] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9648), 1,
      anon_sym_RPAREN,
    STATE(13482), 1,
      sym_having_min_clause,
    STATE(13532), 1,
      sym_having_max_clause,
    STATE(15661), 1,
      sym_order_by_clause,
    STATE(17057), 1,
      sym_limit_clause,
  [369502] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8169), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [369528] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9650), 1,
      anon_sym_RPAREN,
    STATE(15399), 1,
      sym_order_by_clause,
    STATE(16578), 1,
      sym_limit_clause,
    STATE(13308), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [369554] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8168), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [369580] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9652), 1,
      anon_sym_RPAREN,
    STATE(14432), 1,
      sym_order_by_clause,
    STATE(18269), 1,
      sym_limit_clause,
    STATE(13951), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [369606] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8037), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [369632] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9654), 1,
      anon_sym_RPAREN,
    STATE(14952), 1,
      sym_order_by_clause,
    STATE(16483), 1,
      sym_limit_clause,
    STATE(13242), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [369658] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8054), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [369684] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9656), 1,
      anon_sym_RPAREN,
    STATE(15368), 1,
      sym_order_by_clause,
    STATE(16568), 1,
      sym_limit_clause,
    STATE(13301), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [369710] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9658), 1,
      anon_sym_RPAREN,
    STATE(15363), 1,
      sym_order_by_clause,
    STATE(16565), 1,
      sym_limit_clause,
    STATE(13299), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [369736] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8071), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [369762] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9436), 1,
      sym__unquoted_identifier,
    ACTIONS(9438), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(9440), 1,
      aux_sym__keyword_array_token1,
    STATE(12910), 1,
      sym__keyword_struct,
    STATE(14334), 1,
      sym__bqtype,
    STATE(13127), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [369786] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9660), 1,
      anon_sym_RPAREN,
    STATE(15846), 1,
      sym_order_by_clause,
    STATE(19106), 1,
      sym_limit_clause,
    STATE(13369), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [369812] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9662), 1,
      anon_sym_RPAREN,
    STATE(15860), 1,
      sym_order_by_clause,
    STATE(19103), 1,
      sym_limit_clause,
    STATE(13372), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [369838] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9664), 1,
      anon_sym_RPAREN,
    STATE(15898), 1,
      sym_order_by_clause,
    STATE(19099), 1,
      sym_limit_clause,
    STATE(13381), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [369864] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9250), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(13159), 1,
      sym_order_by_clause,
    STATE(16781), 1,
      sym_window_frame_clause,
  [369892] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8072), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [369918] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8088), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [369944] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8083), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [369970] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8081), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [369996] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8060), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [370022] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8053), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [370048] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9666), 1,
      anon_sym_RPAREN,
    STATE(13384), 1,
      sym_having_max_clause,
    STATE(13385), 1,
      sym_having_min_clause,
    STATE(15908), 1,
      sym_order_by_clause,
    STATE(19095), 1,
      sym_limit_clause,
  [370076] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8334), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [370102] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8076), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [370128] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8055), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [370154] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8079), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [370180] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9668), 1,
      anon_sym_RPAREN,
    STATE(14733), 1,
      sym_order_by_clause,
    STATE(16436), 1,
      sym_limit_clause,
    STATE(13226), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [370206] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9670), 1,
      anon_sym_RPAREN,
    STATE(14724), 1,
      sym_order_by_clause,
    STATE(16432), 1,
      sym_limit_clause,
    STATE(13225), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [370232] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9672), 1,
      anon_sym_RPAREN,
    STATE(13394), 1,
      sym_having_max_clause,
    STATE(13395), 1,
      sym_having_min_clause,
    STATE(15962), 1,
      sym_order_by_clause,
    STATE(19088), 1,
      sym_limit_clause,
  [370260] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9674), 1,
      anon_sym_RPAREN,
    STATE(13259), 1,
      sym_having_min_clause,
    STATE(13260), 1,
      sym_having_max_clause,
    STATE(15031), 1,
      sym_order_by_clause,
    STATE(19186), 1,
      sym_limit_clause,
  [370288] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9676), 1,
      anon_sym_RPAREN,
    STATE(13497), 1,
      sym_having_min_clause,
    STATE(13500), 1,
      sym_having_max_clause,
    STATE(15739), 1,
      sym_order_by_clause,
    STATE(17000), 1,
      sym_limit_clause,
  [370316] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9224), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(13126), 1,
      sym_order_by_clause,
    STATE(19078), 1,
      sym_window_frame_clause,
  [370344] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9678), 1,
      anon_sym_RPAREN,
    STATE(14692), 1,
      sym_order_by_clause,
    STATE(16426), 1,
      sym_limit_clause,
    STATE(13219), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [370370] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9680), 1,
      anon_sym_RPAREN,
    STATE(15168), 1,
      sym_order_by_clause,
    STATE(16506), 1,
      sym_limit_clause,
    STATE(13274), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [370396] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8078), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [370422] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(8075), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(9358), 1,
      sym__unquoted_identifier,
    STATE(7101), 1,
      sym__keyword_struct,
    STATE(14913), 1,
      sym__bqtype,
    STATE(7214), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [370446] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9682), 1,
      anon_sym_RPAREN,
    STATE(15619), 1,
      sym_order_by_clause,
    STATE(17070), 1,
      sym_limit_clause,
    STATE(13544), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [370472] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9684), 1,
      anon_sym_RPAREN,
    STATE(15599), 1,
      sym_order_by_clause,
    STATE(17079), 1,
      sym_limit_clause,
    STATE(13564), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [370498] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9686), 1,
      anon_sym_RPAREN,
    STATE(15593), 1,
      sym_order_by_clause,
    STATE(17085), 1,
      sym_limit_clause,
    STATE(13572), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [370524] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9688), 1,
      anon_sym_RPAREN,
    STATE(15941), 1,
      sym_order_by_clause,
    STATE(19064), 1,
      sym_limit_clause,
    STATE(13410), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [370550] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9690), 1,
      anon_sym_RPAREN,
    STATE(13413), 1,
      sym_having_max_clause,
    STATE(13414), 1,
      sym_having_min_clause,
    STATE(15935), 1,
      sym_order_by_clause,
    STATE(19060), 1,
      sym_limit_clause,
  [370578] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9692), 1,
      anon_sym_RPAREN,
    STATE(13430), 1,
      sym_having_max_clause,
    STATE(13431), 1,
      sym_having_min_clause,
    STATE(15886), 1,
      sym_order_by_clause,
    STATE(19043), 1,
      sym_limit_clause,
  [370606] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9694), 1,
      anon_sym_RPAREN,
    STATE(13441), 1,
      sym_having_max_clause,
    STATE(13442), 1,
      sym_having_min_clause,
    STATE(15869), 1,
      sym_order_by_clause,
    STATE(19031), 1,
      sym_limit_clause,
  [370634] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9696), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(13104), 1,
      sym_order_by_clause,
    STATE(18883), 1,
      sym_window_frame_clause,
  [370662] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4173), 1,
      anon_sym_COMMA,
    STATE(12345), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4541), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [370680] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4173), 1,
      anon_sym_COMMA,
    STATE(12346), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4545), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [370698] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9698), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(13123), 1,
      sym_order_by_clause,
    STATE(19026), 1,
      sym_window_frame_clause,
  [370726] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9700), 1,
      anon_sym_RPAREN,
    STATE(13458), 1,
      sym_having_max_clause,
    STATE(13459), 1,
      sym_having_min_clause,
    STATE(15843), 1,
      sym_order_by_clause,
    STATE(19018), 1,
      sym_limit_clause,
  [370754] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9702), 1,
      anon_sym_RPAREN,
    STATE(15558), 1,
      sym_order_by_clause,
    STATE(17116), 1,
      sym_limit_clause,
    STATE(13585), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [370780] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8161), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [370806] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8179), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [370832] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8181), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [370858] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8193), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [370884] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9704), 1,
      anon_sym_RPAREN,
    STATE(15551), 1,
      sym_order_by_clause,
    STATE(17123), 1,
      sym_limit_clause,
    STATE(13589), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [370910] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9706), 1,
      anon_sym_RPAREN,
    STATE(13290), 1,
      sym_having_min_clause,
    STATE(13292), 1,
      sym_having_max_clause,
    STATE(15289), 1,
      sym_order_by_clause,
    STATE(19167), 1,
      sym_limit_clause,
  [370938] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9708), 1,
      anon_sym_RPAREN,
    STATE(14528), 1,
      sym_order_by_clause,
    STATE(16395), 1,
      sym_limit_clause,
    STATE(13239), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [370964] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9710), 1,
      anon_sym_RPAREN,
    STATE(14444), 1,
      sym_order_by_clause,
    STATE(16390), 1,
      sym_limit_clause,
    STATE(13197), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [370990] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9712), 1,
      anon_sym_RPAREN,
    STATE(15310), 1,
      sym_order_by_clause,
    STATE(19163), 1,
      sym_limit_clause,
    STATE(13296), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [371016] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8211), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [371042] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(8075), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(9358), 1,
      sym__unquoted_identifier,
    STATE(7101), 1,
      sym__keyword_struct,
    STATE(19315), 1,
      sym__bqtype,
    STATE(7214), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [371066] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9714), 1,
      anon_sym_RPAREN,
    STATE(15546), 1,
      sym_order_by_clause,
    STATE(17126), 1,
      sym_limit_clause,
    STATE(13591), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [371092] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9716), 1,
      anon_sym_RPAREN,
    STATE(14512), 1,
      sym_order_by_clause,
    STATE(18257), 1,
      sym_limit_clause,
    STATE(13820), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [371118] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8148), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [371144] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8165), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [371170] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9718), 1,
      anon_sym_RPAREN,
    STATE(14514), 1,
      sym_order_by_clause,
    STATE(16384), 1,
      sym_limit_clause,
    STATE(13198), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [371196] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9720), 1,
      anon_sym_RPAREN,
    STATE(13202), 1,
      sym_having_max_clause,
    STATE(13203), 1,
      sym_having_min_clause,
    STATE(14471), 1,
      sym_order_by_clause,
    STATE(16381), 1,
      sym_limit_clause,
  [371224] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8163), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [371250] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9722), 1,
      anon_sym_RPAREN,
    STATE(15530), 1,
      sym_order_by_clause,
    STATE(17139), 1,
      sym_limit_clause,
    STATE(13602), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [371276] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8265), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [371302] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8235), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [371328] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9724), 1,
      anon_sym_RPAREN,
    STATE(13201), 1,
      sym_having_max_clause,
    STATE(13205), 1,
      sym_having_min_clause,
    STATE(14475), 1,
      sym_order_by_clause,
    STATE(16371), 1,
      sym_limit_clause,
  [371356] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8270), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [371382] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8201), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [371408] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8187), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [371434] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8160), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [371460] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9230), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(13151), 1,
      sym_order_by_clause,
    STATE(19152), 1,
      sym_window_frame_clause,
  [371488] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8159), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [371514] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4173), 1,
      anon_sym_COMMA,
    STATE(12389), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4549), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [371532] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4173), 1,
      anon_sym_COMMA,
    STATE(12346), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4553), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [371550] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4173), 1,
      anon_sym_COMMA,
    STATE(12346), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4557), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [371568] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9726), 1,
      anon_sym_COMMA,
    STATE(12346), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4561), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [371586] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9729), 1,
      anon_sym_RPAREN,
    STATE(13330), 1,
      sym_having_min_clause,
    STATE(13332), 1,
      sym_having_max_clause,
    STATE(15700), 1,
      sym_order_by_clause,
    STATE(19130), 1,
      sym_limit_clause,
  [371614] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9266), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(13067), 1,
      sym_order_by_clause,
    STATE(16363), 1,
      sym_window_frame_clause,
  [371642] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9731), 1,
      anon_sym_RPAREN,
    STATE(14422), 1,
      sym_order_by_clause,
    STATE(18221), 1,
      sym_limit_clause,
    STATE(13508), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [371668] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9733), 1,
      anon_sym_RPAREN,
    STATE(13363), 1,
      sym_having_min_clause,
    STATE(13364), 1,
      sym_having_max_clause,
    STATE(15870), 1,
      sym_order_by_clause,
    STATE(19102), 1,
      sym_limit_clause,
  [371696] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9735), 1,
      anon_sym_RPAREN,
    STATE(15977), 1,
      sym_order_by_clause,
    STATE(19074), 1,
      sym_limit_clause,
    STATE(13386), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [371722] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9737), 1,
      anon_sym_RPAREN,
    STATE(14417), 1,
      sym_order_by_clause,
    STATE(18215), 1,
      sym_limit_clause,
    STATE(13486), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [371748] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8175), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [371774] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9739), 1,
      anon_sym_RPAREN,
    STATE(14368), 1,
      sym_order_by_clause,
    STATE(18197), 1,
      sym_limit_clause,
    STATE(13212), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [371800] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8116), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [371826] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4650), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9741), 1,
      aux_sym_order_by_clause_token1,
    STATE(6346), 1,
      sym_order_by_clause,
    STATE(6488), 1,
      sym_limit_clause,
    ACTIONS(4632), 4,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
  [371848] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9744), 1,
      anon_sym_RPAREN,
    STATE(13199), 1,
      sym_having_max_clause,
    STATE(13627), 1,
      sym_having_min_clause,
    STATE(14360), 1,
      sym_order_by_clause,
    STATE(18192), 1,
      sym_limit_clause,
  [371876] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9436), 1,
      sym__unquoted_identifier,
    ACTIONS(9438), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(9440), 1,
      aux_sym__keyword_array_token1,
    STATE(12910), 1,
      sym__keyword_struct,
    STATE(14236), 1,
      sym__bqtype,
    STATE(13127), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [371900] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9746), 1,
      anon_sym_RPAREN,
    STATE(13640), 1,
      sym_having_max_clause,
    STATE(13673), 1,
      sym_having_min_clause,
    STATE(14460), 1,
      sym_order_by_clause,
    STATE(17933), 1,
      sym_limit_clause,
  [371928] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9748), 1,
      anon_sym_RPAREN,
    STATE(15027), 1,
      sym_order_by_clause,
    STATE(16492), 1,
      sym_limit_clause,
    STATE(13258), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [371954] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9750), 1,
      anon_sym_RPAREN,
    STATE(13269), 1,
      sym_having_max_clause,
    STATE(13271), 1,
      sym_having_min_clause,
    STATE(15144), 1,
      sym_order_by_clause,
    STATE(16502), 1,
      sym_limit_clause,
  [371982] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9436), 1,
      sym__unquoted_identifier,
    ACTIONS(9438), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(9440), 1,
      aux_sym__keyword_array_token1,
    STATE(12910), 1,
      sym__keyword_struct,
    STATE(14221), 1,
      sym__bqtype,
    STATE(13127), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [372006] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9752), 1,
      anon_sym_RPAREN,
    STATE(15762), 1,
      sym_order_by_clause,
    STATE(18955), 1,
      sym_limit_clause,
    STATE(13493), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [372032] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8037), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [372058] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9754), 1,
      anon_sym_RPAREN,
    STATE(15754), 1,
      sym_order_by_clause,
    STATE(18899), 1,
      sym_limit_clause,
    STATE(13498), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [372084] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8054), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [372110] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4479), 1,
      anon_sym_RPAREN,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9756), 1,
      aux_sym_order_by_clause_token1,
    STATE(6573), 1,
      sym_order_by_clause,
    STATE(6574), 1,
      sym_limit_clause,
    ACTIONS(4528), 3,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
  [372134] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8342), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [372160] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9596), 1,
      sym__unquoted_identifier,
    ACTIONS(9598), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(9600), 1,
      aux_sym__keyword_array_token1,
    STATE(6653), 1,
      sym_column_type,
    STATE(17434), 1,
      sym__keyword_array,
    STATE(17435), 1,
      sym__keyword_struct,
    STATE(5971), 2,
      sym__column_definition_type_array,
      sym__column_definition_type_struct,
  [372186] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8071), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [372212] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9436), 1,
      sym__unquoted_identifier,
    ACTIONS(9438), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(9440), 1,
      aux_sym__keyword_array_token1,
    STATE(12910), 1,
      sym__keyword_struct,
    STATE(14284), 1,
      sym__bqtype,
    STATE(13127), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [372236] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8072), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [372262] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9758), 1,
      anon_sym_RPAREN,
    STATE(13287), 1,
      sym_having_max_clause,
    STATE(13289), 1,
      sym_having_min_clause,
    STATE(15280), 1,
      sym_order_by_clause,
    STATE(16534), 1,
      sym_limit_clause,
  [372290] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8076), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [372316] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9760), 1,
      anon_sym_RPAREN,
    STATE(15603), 1,
      sym_order_by_clause,
    STATE(18912), 1,
      sym_limit_clause,
    STATE(13565), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [372342] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8079), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [372368] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8089), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [372394] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8194), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [372420] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9252), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(13039), 1,
      sym_order_by_clause,
    STATE(18028), 1,
      sym_window_frame_clause,
  [372448] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8091), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [372474] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8187), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [372500] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8192), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [372526] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9762), 1,
      anon_sym_RPAREN,
    STATE(13366), 1,
      sym_having_max_clause,
    STATE(13368), 1,
      sym_having_min_clause,
    STATE(15831), 1,
      sym_order_by_clause,
    STATE(16674), 1,
      sym_limit_clause,
  [372554] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9764), 1,
      anon_sym_RPAREN,
    STATE(15560), 1,
      sym_order_by_clause,
    STATE(18897), 1,
      sym_limit_clause,
    STATE(13587), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [372580] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8094), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [372606] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8097), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [372632] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8196), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [372658] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9766), 1,
      anon_sym_RPAREN,
    STATE(15688), 1,
      sym_order_by_clause,
    STATE(18940), 1,
      sym_limit_clause,
    STATE(13516), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [372684] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4173), 1,
      anon_sym_COMMA,
    STATE(12346), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4568), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [372702] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8100), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [372728] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9768), 1,
      anon_sym_RPAREN,
    STATE(15553), 1,
      sym_order_by_clause,
    STATE(18896), 1,
      sym_limit_clause,
    STATE(13590), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [372754] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9770), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(13056), 1,
      sym_order_by_clause,
    STATE(16692), 1,
      sym_window_frame_clause,
  [372782] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9772), 1,
      anon_sym_RPAREN,
    STATE(13220), 1,
      sym_having_min_clause,
    STATE(13222), 1,
      sym_having_max_clause,
    STATE(14707), 1,
      sym_order_by_clause,
    STATE(16428), 1,
      sym_limit_clause,
  [372810] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9774), 1,
      anon_sym_RPAREN,
    STATE(13229), 1,
      sym_having_min_clause,
    STATE(13230), 1,
      sym_having_max_clause,
    STATE(14795), 1,
      sym_order_by_clause,
    STATE(16440), 1,
      sym_limit_clause,
  [372838] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9776), 1,
      anon_sym_RPAREN,
    STATE(13234), 1,
      sym_having_min_clause,
    STATE(13235), 1,
      sym_having_max_clause,
    STATE(14902), 1,
      sym_order_by_clause,
    STATE(16456), 1,
      sym_limit_clause,
  [372866] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9778), 1,
      anon_sym_RPAREN,
    STATE(13240), 1,
      sym_having_min_clause,
    STATE(13241), 1,
      sym_having_max_clause,
    STATE(14943), 1,
      sym_order_by_clause,
    STATE(16475), 1,
      sym_limit_clause,
  [372894] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9780), 1,
      anon_sym_RPAREN,
    STATE(14946), 1,
      sym_order_by_clause,
    STATE(16476), 1,
      sym_limit_clause,
    STATE(13245), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [372920] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9782), 1,
      anon_sym_RPAREN,
    STATE(13246), 1,
      sym_having_min_clause,
    STATE(13247), 1,
      sym_having_max_clause,
    STATE(14961), 1,
      sym_order_by_clause,
    STATE(16484), 1,
      sym_limit_clause,
  [372948] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9784), 1,
      anon_sym_RPAREN,
    STATE(13250), 1,
      sym_having_min_clause,
    STATE(13251), 1,
      sym_having_max_clause,
    STATE(14979), 1,
      sym_order_by_clause,
    STATE(16493), 1,
      sym_limit_clause,
  [372976] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9786), 1,
      anon_sym_RPAREN,
    STATE(15002), 1,
      sym_order_by_clause,
    STATE(16494), 1,
      sym_limit_clause,
    STATE(13252), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [373002] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8102), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [373028] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9788), 1,
      anon_sym_RPAREN,
    STATE(15062), 1,
      sym_order_by_clause,
    STATE(16497), 1,
      sym_limit_clause,
    STATE(13261), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [373054] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9790), 1,
      anon_sym_RPAREN,
    STATE(13392), 1,
      sym_having_max_clause,
    STATE(13405), 1,
      sym_having_min_clause,
    STATE(15959), 1,
      sym_order_by_clause,
    STATE(16712), 1,
      sym_limit_clause,
  [373082] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9792), 1,
      anon_sym_RPAREN,
    STATE(15068), 1,
      sym_order_by_clause,
    STATE(16498), 1,
      sym_limit_clause,
    STATE(13262), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [373108] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8106), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [373134] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8110), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [373160] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9756), 1,
      aux_sym_order_by_clause_token1,
    STATE(6463), 1,
      sym_limit_clause,
    STATE(6478), 1,
      sym_order_by_clause,
    ACTIONS(4486), 4,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
  [373182] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9794), 1,
      anon_sym_RPAREN,
    STATE(15151), 1,
      sym_order_by_clause,
    STATE(16507), 1,
      sym_limit_clause,
    STATE(13270), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [373208] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9796), 1,
      anon_sym_RPAREN,
    STATE(13606), 1,
      sym_having_max_clause,
    STATE(13607), 1,
      sym_having_min_clause,
    STATE(15564), 1,
      sym_order_by_clause,
    STATE(18898), 1,
      sym_limit_clause,
  [373236] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9798), 1,
      anon_sym_RPAREN,
    STATE(15181), 1,
      sym_order_by_clause,
    STATE(16513), 1,
      sym_limit_clause,
    STATE(13276), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [373262] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9800), 1,
      anon_sym_RPAREN,
    STATE(15186), 1,
      sym_order_by_clause,
    STATE(16515), 1,
      sym_limit_clause,
    STATE(13277), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [373288] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9802), 1,
      anon_sym_RPAREN,
    STATE(15540), 1,
      sym_order_by_clause,
    STATE(18893), 1,
      sym_limit_clause,
    STATE(13599), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [373314] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9804), 1,
      anon_sym_RPAREN,
    STATE(15679), 1,
      sym_order_by_clause,
    STATE(18936), 1,
      sym_limit_clause,
    STATE(13533), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [373340] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9756), 1,
      aux_sym_order_by_clause_token1,
    STATE(6488), 1,
      sym_limit_clause,
    STATE(6489), 1,
      sym_order_by_clause,
    ACTIONS(4632), 4,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
  [373362] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9806), 1,
      anon_sym_RPAREN,
    STATE(13567), 1,
      sym_having_max_clause,
    STATE(13568), 1,
      sym_having_min_clause,
    STATE(15626), 1,
      sym_order_by_clause,
    STATE(18913), 1,
      sym_limit_clause,
  [373390] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9808), 1,
      anon_sym_RPAREN,
    STATE(15257), 1,
      sym_order_by_clause,
    STATE(16528), 1,
      sym_limit_clause,
    STATE(13283), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [373416] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9810), 1,
      anon_sym_RPAREN,
    STATE(15653), 1,
      sym_order_by_clause,
    STATE(18924), 1,
      sym_limit_clause,
    STATE(13542), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [373442] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8191), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [373468] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9596), 1,
      sym__unquoted_identifier,
    ACTIONS(9598), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(9600), 1,
      aux_sym__keyword_array_token1,
    STATE(5689), 1,
      sym_column_type,
    STATE(17434), 1,
      sym__keyword_array,
    STATE(17435), 1,
      sym__keyword_struct,
    STATE(5971), 2,
      sym__column_definition_type_array,
      sym__column_definition_type_struct,
  [373494] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9812), 1,
      anon_sym_RPAREN,
    STATE(13306), 1,
      sym_having_min_clause,
    STATE(13307), 1,
      sym_having_max_clause,
    STATE(15397), 1,
      sym_order_by_clause,
    STATE(16580), 1,
      sym_limit_clause,
  [373522] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9814), 1,
      anon_sym_RPAREN,
    STATE(13315), 1,
      sym_having_min_clause,
    STATE(13316), 1,
      sym_having_max_clause,
    STATE(15486), 1,
      sym_order_by_clause,
    STATE(16597), 1,
      sym_limit_clause,
  [373550] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9816), 1,
      anon_sym_RPAREN,
    STATE(13318), 1,
      sym_having_min_clause,
    STATE(13320), 1,
      sym_having_max_clause,
    STATE(15549), 1,
      sym_order_by_clause,
    STATE(16614), 1,
      sym_limit_clause,
  [373578] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9818), 1,
      anon_sym_RPAREN,
    STATE(13324), 1,
      sym_having_min_clause,
    STATE(13325), 1,
      sym_having_max_clause,
    STATE(15597), 1,
      sym_order_by_clause,
    STATE(16632), 1,
      sym_limit_clause,
  [373606] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9820), 1,
      anon_sym_RPAREN,
    STATE(15606), 1,
      sym_order_by_clause,
    STATE(16633), 1,
      sym_limit_clause,
    STATE(13328), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [373632] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9822), 1,
      anon_sym_RPAREN,
    STATE(13329), 1,
      sym_having_min_clause,
    STATE(13334), 1,
      sym_having_max_clause,
    STATE(15674), 1,
      sym_order_by_clause,
    STATE(16647), 1,
      sym_limit_clause,
  [373660] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9824), 1,
      anon_sym_RPAREN,
    STATE(13336), 1,
      sym_having_min_clause,
    STATE(13337), 1,
      sym_having_max_clause,
    STATE(15701), 1,
      sym_order_by_clause,
    STATE(16659), 1,
      sym_limit_clause,
  [373688] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9826), 1,
      anon_sym_RPAREN,
    STATE(15707), 1,
      sym_order_by_clause,
    STATE(16660), 1,
      sym_limit_clause,
    STATE(13341), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [373714] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8244), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [373740] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9828), 1,
      anon_sym_RPAREN,
    STATE(15730), 1,
      sym_order_by_clause,
    STATE(16667), 1,
      sym_limit_clause,
    STATE(13346), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [373766] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9830), 1,
      anon_sym_RPAREN,
    STATE(15735), 1,
      sym_order_by_clause,
    STATE(16669), 1,
      sym_limit_clause,
    STATE(13349), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [373792] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9832), 1,
      anon_sym_RPAREN,
    STATE(14530), 1,
      sym_order_by_clause,
    STATE(18017), 1,
      sym_limit_clause,
    STATE(13874), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [373818] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9834), 1,
      anon_sym_RPAREN,
    STATE(13904), 1,
      sym_having_max_clause,
    STATE(13936), 1,
      sym_having_min_clause,
    STATE(14533), 1,
      sym_order_by_clause,
    STATE(18011), 1,
      sym_limit_clause,
  [373846] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4499), 1,
      anon_sym_RPAREN,
    ACTIONS(4503), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9836), 1,
      aux_sym_order_by_clause_token1,
    STATE(6345), 1,
      sym_order_by_clause,
    STATE(6491), 1,
      sym_limit_clause,
    ACTIONS(4623), 3,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
  [373870] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9839), 1,
      anon_sym_RPAREN,
    STATE(15832), 1,
      sym_order_by_clause,
    STATE(16678), 1,
      sym_limit_clause,
    STATE(13361), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [373896] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9841), 1,
      anon_sym_RPAREN,
    STATE(15493), 1,
      sym_order_by_clause,
    STATE(18875), 1,
      sym_limit_clause,
    STATE(13621), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [373922] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4496), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9843), 1,
      aux_sym_order_by_clause_token1,
    STATE(6344), 1,
      sym_order_by_clause,
    STATE(6463), 1,
      sym_limit_clause,
    ACTIONS(4486), 4,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
  [373944] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9846), 1,
      anon_sym_RPAREN,
    STATE(15863), 1,
      sym_order_by_clause,
    STATE(16683), 1,
      sym_limit_clause,
    STATE(13370), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [373970] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9848), 1,
      anon_sym_RPAREN,
    STATE(15873), 1,
      sym_order_by_clause,
    STATE(16684), 1,
      sym_limit_clause,
    STATE(13371), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [373996] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9850), 1,
      anon_sym_RPAREN,
    STATE(15491), 1,
      sym_order_by_clause,
    STATE(18873), 1,
      sym_limit_clause,
    STATE(13624), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [374022] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4499), 1,
      anon_sym_RPAREN,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9756), 1,
      aux_sym_order_by_clause_token1,
    STATE(6486), 1,
      sym_order_by_clause,
    STATE(6491), 1,
      sym_limit_clause,
    ACTIONS(4623), 3,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
  [374046] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4479), 1,
      anon_sym_RPAREN,
    ACTIONS(4483), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9852), 1,
      aux_sym_order_by_clause_token1,
    STATE(6340), 1,
      sym_order_by_clause,
    STATE(6574), 1,
      sym_limit_clause,
    ACTIONS(4528), 3,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
  [374070] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9855), 1,
      anon_sym_RPAREN,
    STATE(15937), 1,
      sym_order_by_clause,
    STATE(16699), 1,
      sym_limit_clause,
    STATE(13387), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [374096] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9857), 1,
      anon_sym_RPAREN,
    STATE(15768), 1,
      sym_order_by_clause,
    STATE(18964), 1,
      sym_limit_clause,
    STATE(13496), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [374122] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9859), 1,
      anon_sym_RPAREN,
    STATE(15480), 1,
      sym_order_by_clause,
    STATE(18869), 1,
      sym_limit_clause,
    STATE(13633), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [374148] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9596), 1,
      sym__unquoted_identifier,
    ACTIONS(9598), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(9600), 1,
      aux_sym__keyword_array_token1,
    STATE(11706), 1,
      sym_column_type,
    STATE(17434), 1,
      sym__keyword_array,
    STATE(17435), 1,
      sym__keyword_struct,
    STATE(5971), 2,
      sym__column_definition_type_array,
      sym__column_definition_type_struct,
  [374174] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9861), 1,
      anon_sym_RPAREN,
    STATE(13636), 1,
      sym_having_max_clause,
    STATE(13637), 1,
      sym_having_min_clause,
    STATE(15479), 1,
      sym_order_by_clause,
    STATE(18868), 1,
      sym_limit_clause,
  [374202] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9863), 1,
      anon_sym_RPAREN,
    STATE(13400), 1,
      sym_having_min_clause,
    STATE(13401), 1,
      sym_having_max_clause,
    STATE(15956), 1,
      sym_order_by_clause,
    STATE(16766), 1,
      sym_limit_clause,
  [374230] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9865), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(13052), 1,
      sym_order_by_clause,
    STATE(16775), 1,
      sym_window_frame_clause,
  [374258] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8093), 1,
      anon_sym_LPAREN,
    ACTIONS(9867), 1,
      aux_sym_select_token1,
    STATE(12993), 1,
      sym_cte_clause,
    STATE(14313), 1,
      sym_query_expr,
    STATE(17495), 1,
      sym_query_statement,
    STATE(12414), 2,
      sym_set_operation,
      sym_select,
  [374284] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9869), 1,
      anon_sym_RPAREN,
    STATE(13407), 1,
      sym_having_min_clause,
    STATE(13408), 1,
      sym_having_max_clause,
    STATE(15940), 1,
      sym_order_by_clause,
    STATE(16779), 1,
      sym_limit_clause,
  [374312] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9871), 1,
      anon_sym_RPAREN,
    STATE(13412), 1,
      sym_having_min_clause,
    STATE(13416), 1,
      sym_having_max_clause,
    STATE(15929), 1,
      sym_order_by_clause,
    STATE(16793), 1,
      sym_limit_clause,
  [374340] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9873), 1,
      anon_sym_RPAREN,
    STATE(13420), 1,
      sym_having_min_clause,
    STATE(13421), 1,
      sym_having_max_clause,
    STATE(15912), 1,
      sym_order_by_clause,
    STATE(16811), 1,
      sym_limit_clause,
  [374368] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9875), 1,
      anon_sym_RPAREN,
    STATE(15909), 1,
      sym_order_by_clause,
    STATE(16813), 1,
      sym_limit_clause,
    STATE(13423), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [374394] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9877), 1,
      anon_sym_RPAREN,
    STATE(15887), 1,
      sym_order_by_clause,
    STATE(19041), 1,
      sym_limit_clause,
    STATE(13432), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [374420] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9879), 1,
      anon_sym_RPAREN,
    STATE(13646), 1,
      sym_having_max_clause,
    STATE(13647), 1,
      sym_having_min_clause,
    STATE(15461), 1,
      sym_order_by_clause,
    STATE(18862), 1,
      sym_limit_clause,
  [374448] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9226), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(13051), 1,
      sym_order_by_clause,
    STATE(16823), 1,
      sym_window_frame_clause,
  [374476] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9881), 1,
      anon_sym_RPAREN,
    STATE(13425), 1,
      sym_having_min_clause,
    STATE(13426), 1,
      sym_having_max_clause,
    STATE(15893), 1,
      sym_order_by_clause,
    STATE(16836), 1,
      sym_limit_clause,
  [374504] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9883), 1,
      anon_sym_RPAREN,
    STATE(13429), 1,
      sym_having_min_clause,
    STATE(13433), 1,
      sym_having_max_clause,
    STATE(15883), 1,
      sym_order_by_clause,
    STATE(16842), 1,
      sym_limit_clause,
  [374532] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9885), 1,
      anon_sym_RPAREN,
    STATE(15880), 1,
      sym_order_by_clause,
    STATE(16843), 1,
      sym_limit_clause,
    STATE(13434), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [374558] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9232), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(13124), 1,
      sym_order_by_clause,
    STATE(18974), 1,
      sym_window_frame_clause,
  [374586] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9887), 1,
      anon_sym_RPAREN,
    STATE(15871), 1,
      sym_order_by_clause,
    STATE(16847), 1,
      sym_limit_clause,
    STATE(13437), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [374612] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9889), 1,
      anon_sym_RPAREN,
    STATE(15868), 1,
      sym_order_by_clause,
    STATE(16848), 1,
      sym_limit_clause,
    STATE(13438), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [374638] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8221), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [374664] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8234), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [374690] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8238), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [374716] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8242), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [374742] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9891), 1,
      anon_sym_RPAREN,
    STATE(15848), 1,
      sym_order_by_clause,
    STATE(16861), 1,
      sym_limit_clause,
    STATE(13453), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [374768] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8244), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [374794] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9893), 1,
      anon_sym_RPAREN,
    STATE(15839), 1,
      sym_order_by_clause,
    STATE(16865), 1,
      sym_limit_clause,
    STATE(13457), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [374820] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9895), 1,
      anon_sym_RPAREN,
    STATE(15836), 1,
      sym_order_by_clause,
    STATE(16867), 1,
      sym_limit_clause,
    STATE(13461), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [374846] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9897), 1,
      anon_sym_RPAREN,
    STATE(15914), 1,
      sym_order_by_clause,
    STATE(19052), 1,
      sym_limit_clause,
    STATE(13424), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [374872] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8106), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [374898] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8091), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [374924] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9899), 1,
      anon_sym_RPAREN,
    STATE(15816), 1,
      sym_order_by_clause,
    STATE(16882), 1,
      sym_limit_clause,
    STATE(13471), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [374950] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8094), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [374976] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9262), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(13033), 1,
      sym_order_by_clause,
    STATE(18846), 1,
      sym_window_frame_clause,
  [375004] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8097), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [375030] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8100), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [375056] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8102), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [375082] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9901), 1,
      anon_sym_RPAREN,
    STATE(15570), 1,
      sym_order_by_clause,
    STATE(18825), 1,
      sym_limit_clause,
    STATE(13578), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [375108] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9903), 1,
      anon_sym_RPAREN,
    STATE(13216), 1,
      sym_having_min_clause,
    STATE(13221), 1,
      sym_having_max_clause,
    STATE(14373), 1,
      sym_order_by_clause,
    STATE(18150), 1,
      sym_limit_clause,
  [375136] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9905), 1,
      anon_sym_RPAREN,
    STATE(13645), 1,
      sym_having_min_clause,
    STATE(13651), 1,
      sym_having_max_clause,
    STATE(15453), 1,
      sym_order_by_clause,
    STATE(17212), 1,
      sym_limit_clause,
  [375164] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8110), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [375190] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9907), 1,
      anon_sym_RPAREN,
    STATE(14163), 1,
      sym_having_min_clause,
    STATE(14164), 1,
      sym_having_max_clause,
    STATE(14690), 1,
      sym_order_by_clause,
    STATE(17866), 1,
      sym_limit_clause,
  [375218] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9909), 1,
      anon_sym_RPAREN,
    STATE(13484), 1,
      sym_having_min_clause,
    STATE(13485), 1,
      sym_having_max_clause,
    STATE(15774), 1,
      sym_order_by_clause,
    STATE(16949), 1,
      sym_limit_clause,
  [375246] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9911), 1,
      anon_sym_RPAREN,
    STATE(13491), 1,
      sym_having_min_clause,
    STATE(13494), 1,
      sym_having_max_clause,
    STATE(15760), 1,
      sym_order_by_clause,
    STATE(16970), 1,
      sym_limit_clause,
  [375274] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9913), 1,
      anon_sym_RPAREN,
    STATE(13291), 1,
      sym_having_min_clause,
    STATE(13326), 1,
      sym_having_max_clause,
    STATE(14382), 1,
      sym_order_by_clause,
    STATE(18136), 1,
      sym_limit_clause,
  [375302] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9915), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(13041), 1,
      sym_order_by_clause,
    STATE(16979), 1,
      sym_window_frame_clause,
  [375330] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9917), 1,
      anon_sym_RPAREN,
    STATE(15434), 1,
      sym_order_by_clause,
    STATE(18841), 1,
      sym_limit_clause,
    STATE(13662), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [375356] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9919), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(13047), 1,
      sym_order_by_clause,
    STATE(17221), 1,
      sym_window_frame_clause,
  [375384] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9921), 1,
      anon_sym_RPAREN,
    STATE(13451), 1,
      sym_having_min_clause,
    STATE(13462), 1,
      sym_having_max_clause,
    STATE(14395), 1,
      sym_order_by_clause,
    STATE(18125), 1,
      sym_limit_clause,
  [375412] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9923), 1,
      anon_sym_RPAREN,
    STATE(13488), 1,
      sym_having_min_clause,
    STATE(13490), 1,
      sym_having_max_clause,
    STATE(15766), 1,
      sym_order_by_clause,
    STATE(16960), 1,
      sym_limit_clause,
  [375440] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8306), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [375466] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9925), 1,
      anon_sym_RPAREN,
    STATE(13503), 1,
      sym_having_max_clause,
    STATE(13505), 1,
      sym_having_min_clause,
    STATE(15752), 1,
      sym_order_by_clause,
    STATE(18900), 1,
      sym_limit_clause,
  [375494] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9927), 1,
      anon_sym_RPAREN,
    STATE(13195), 1,
      sym_having_max_clause,
    STATE(13499), 1,
      sym_having_min_clause,
    STATE(15751), 1,
      sym_order_by_clause,
    STATE(16977), 1,
      sym_limit_clause,
  [375522] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9929), 1,
      anon_sym_RPAREN,
    STATE(15748), 1,
      sym_order_by_clause,
    STATE(16980), 1,
      sym_limit_clause,
    STATE(13501), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [375548] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9931), 1,
      anon_sym_RPAREN,
    STATE(13665), 1,
      sym_having_max_clause,
    STATE(13666), 1,
      sym_having_min_clause,
    STATE(15429), 1,
      sym_order_by_clause,
    STATE(18838), 1,
      sym_limit_clause,
  [375576] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9933), 1,
      anon_sym_RPAREN,
    STATE(13682), 1,
      sym_having_max_clause,
    STATE(13683), 1,
      sym_having_min_clause,
    STATE(15394), 1,
      sym_order_by_clause,
    STATE(18773), 1,
      sym_limit_clause,
  [375604] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9274), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(13149), 1,
      sym_order_by_clause,
    STATE(17004), 1,
      sym_window_frame_clause,
  [375632] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9935), 1,
      anon_sym_RPAREN,
    STATE(13693), 1,
      sym_having_max_clause,
    STATE(13694), 1,
      sym_having_min_clause,
    STATE(15364), 1,
      sym_order_by_clause,
    STATE(18735), 1,
      sym_limit_clause,
  [375660] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8196), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [375686] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9937), 1,
      anon_sym_RPAREN,
    STATE(13476), 1,
      sym_having_min_clause,
    STATE(13479), 1,
      sym_having_max_clause,
    STATE(14410), 1,
      sym_order_by_clause,
    STATE(18108), 1,
      sym_limit_clause,
  [375714] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9939), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(13027), 1,
      sym_order_by_clause,
    STATE(18728), 1,
      sym_window_frame_clause,
  [375742] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8126), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [375768] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8127), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [375794] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9941), 1,
      anon_sym_RPAREN,
    STATE(13710), 1,
      sym_having_max_clause,
    STATE(13711), 1,
      sym_having_min_clause,
    STATE(15331), 1,
      sym_order_by_clause,
    STATE(18709), 1,
      sym_limit_clause,
  [375822] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9943), 1,
      anon_sym_RPAREN,
    STATE(13502), 1,
      sym_having_min_clause,
    STATE(13506), 1,
      sym_having_max_clause,
    STATE(15744), 1,
      sym_order_by_clause,
    STATE(16989), 1,
      sym_limit_clause,
  [375850] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9945), 1,
      anon_sym_RPAREN,
    STATE(13509), 1,
      sym_having_min_clause,
    STATE(13510), 1,
      sym_having_max_clause,
    STATE(15733), 1,
      sym_order_by_clause,
    STATE(17011), 1,
      sym_limit_clause,
  [375878] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9947), 1,
      anon_sym_RPAREN,
    STATE(13656), 1,
      sym_having_min_clause,
    STATE(13659), 1,
      sym_having_max_clause,
    STATE(15437), 1,
      sym_order_by_clause,
    STATE(17228), 1,
      sym_limit_clause,
  [375906] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9949), 1,
      anon_sym_RPAREN,
    STATE(13515), 1,
      sym_having_min_clause,
    STATE(13517), 1,
      sym_having_max_clause,
    STATE(15716), 1,
      sym_order_by_clause,
    STATE(17022), 1,
      sym_limit_clause,
  [375934] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9951), 1,
      anon_sym_RPAREN,
    STATE(15713), 1,
      sym_order_by_clause,
    STATE(17023), 1,
      sym_limit_clause,
    STATE(13518), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [375960] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9953), 1,
      anon_sym_RPAREN,
    STATE(14413), 1,
      sym_order_by_clause,
    STATE(18105), 1,
      sym_limit_clause,
    STATE(13487), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [375986] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9955), 1,
      anon_sym_RPAREN,
    STATE(13519), 1,
      sym_having_min_clause,
    STATE(13520), 1,
      sym_having_max_clause,
    STATE(14424), 1,
      sym_order_by_clause,
    STATE(18092), 1,
      sym_limit_clause,
  [376014] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9264), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(13031), 1,
      sym_order_by_clause,
    STATE(17026), 1,
      sym_window_frame_clause,
  [376042] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(8075), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(9358), 1,
      sym__unquoted_identifier,
    STATE(7101), 1,
      sym__keyword_struct,
    STATE(18570), 1,
      sym__bqtype,
    STATE(7214), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [376066] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9957), 1,
      anon_sym_RPAREN,
    STATE(13664), 1,
      sym_having_min_clause,
    STATE(13668), 1,
      sym_having_max_clause,
    STATE(15419), 1,
      sym_order_by_clause,
    STATE(17239), 1,
      sym_limit_clause,
  [376094] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8133), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [376120] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8134), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [376146] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9959), 1,
      anon_sym_RPAREN,
    STATE(13524), 1,
      sym_having_min_clause,
    STATE(13537), 1,
      sym_having_max_clause,
    STATE(14436), 1,
      sym_order_by_clause,
    STATE(18082), 1,
      sym_limit_clause,
  [376174] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9961), 1,
      anon_sym_RPAREN,
    STATE(13521), 1,
      sym_having_min_clause,
    STATE(13522), 1,
      sym_having_max_clause,
    STATE(15697), 1,
      sym_order_by_clause,
    STATE(17030), 1,
      sym_limit_clause,
  [376202] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8147), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [376228] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8149), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [376254] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9963), 1,
      anon_sym_RPAREN,
    STATE(14438), 1,
      sym_order_by_clause,
    STATE(18079), 1,
      sym_limit_clause,
    STATE(13573), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [376280] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9965), 1,
      anon_sym_RPAREN,
    STATE(13523), 1,
      sym_having_min_clause,
    STATE(13525), 1,
      sym_having_max_clause,
    STATE(15687), 1,
      sym_order_by_clause,
    STATE(17039), 1,
      sym_limit_clause,
  [376308] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9967), 1,
      anon_sym_RPAREN,
    STATE(15684), 1,
      sym_order_by_clause,
    STATE(17041), 1,
      sym_limit_clause,
    STATE(13526), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [376334] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8293), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [376360] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8150), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [376386] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9969), 1,
      anon_sym_RPAREN,
    STATE(15675), 1,
      sym_order_by_clause,
    STATE(17046), 1,
      sym_limit_clause,
    STATE(13534), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [376412] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9971), 1,
      anon_sym_RPAREN,
    STATE(15672), 1,
      sym_order_by_clause,
    STATE(17047), 1,
      sym_limit_clause,
    STATE(13535), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [376438] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8152), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [376464] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8153), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [376490] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8155), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [376516] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8324), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [376542] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9973), 1,
      anon_sym_RPAREN,
    STATE(13679), 1,
      sym_having_min_clause,
    STATE(13680), 1,
      sym_having_max_clause,
    STATE(15389), 1,
      sym_order_by_clause,
    STATE(17265), 1,
      sym_limit_clause,
  [376570] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9975), 1,
      anon_sym_RPAREN,
    STATE(15386), 1,
      sym_order_by_clause,
    STATE(17269), 1,
      sym_limit_clause,
    STATE(13681), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [376596] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9977), 1,
      anon_sym_RPAREN,
    STATE(15604), 1,
      sym_order_by_clause,
    STATE(17075), 1,
      sym_limit_clause,
    STATE(13569), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [376622] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8221), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [376648] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9979), 1,
      anon_sym_RPAREN,
    STATE(14446), 1,
      sym_order_by_clause,
    STATE(18070), 1,
      sym_limit_clause,
    STATE(13594), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [376674] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9981), 1,
      anon_sym_RPAREN,
    STATE(15652), 1,
      sym_order_by_clause,
    STATE(17059), 1,
      sym_limit_clause,
    STATE(13543), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [376700] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8234), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [376726] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9983), 1,
      anon_sym_RPAREN,
    STATE(14146), 1,
      sym_having_min_clause,
    STATE(14148), 1,
      sym_having_max_clause,
    STATE(14718), 1,
      sym_order_by_clause,
    STATE(17834), 1,
      sym_limit_clause,
  [376754] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8238), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [376780] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8191), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [376806] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8192), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [376832] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9985), 1,
      anon_sym_RPAREN,
    STATE(15643), 1,
      sym_order_by_clause,
    STATE(17063), 1,
      sym_limit_clause,
    STATE(13546), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [376858] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9987), 1,
      anon_sym_RPAREN,
    STATE(15640), 1,
      sym_order_by_clause,
    STATE(17064), 1,
      sym_limit_clause,
    STATE(13549), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [376884] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8194), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [376910] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9256), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(13038), 1,
      sym_order_by_clause,
    STATE(17305), 1,
      sym_window_frame_clause,
  [376938] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8242), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [376964] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9989), 1,
      anon_sym_RPAREN,
    STATE(15620), 1,
      sym_order_by_clause,
    STATE(17071), 1,
      sym_limit_clause,
    STATE(13557), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [376990] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9991), 1,
      anon_sym_RPAREN,
    STATE(14448), 1,
      sym_order_by_clause,
    STATE(18067), 1,
      sym_limit_clause,
    STATE(13617), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [377016] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8311), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [377042] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8275), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [377068] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8269), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [377094] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9993), 1,
      anon_sym_RPAREN,
    STATE(15470), 1,
      sym_order_by_clause,
    STATE(17194), 1,
      sym_limit_clause,
    STATE(13639), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [377120] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9995), 1,
      anon_sym_RPAREN,
    STATE(15458), 1,
      sym_order_by_clause,
    STATE(17209), 1,
      sym_limit_clause,
    STATE(13649), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [377146] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9997), 1,
      anon_sym_RPAREN,
    STATE(13689), 1,
      sym_having_min_clause,
    STATE(13690), 1,
      sym_having_max_clause,
    STATE(15365), 1,
      sym_order_by_clause,
    STATE(17296), 1,
      sym_limit_clause,
  [377174] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9999), 1,
      anon_sym_RPAREN,
    STATE(14464), 1,
      sym_order_by_clause,
    STATE(18051), 1,
      sym_limit_clause,
    STATE(13657), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [377200] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10001), 1,
      anon_sym_RPAREN,
    STATE(14480), 1,
      sym_order_by_clause,
    STATE(18042), 1,
      sym_limit_clause,
    STATE(13704), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [377226] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10003), 1,
      anon_sym_RPAREN,
    STATE(13582), 1,
      sym_having_min_clause,
    STATE(13584), 1,
      sym_having_max_clause,
    STATE(15563), 1,
      sym_order_by_clause,
    STATE(17114), 1,
      sym_limit_clause,
  [377254] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10005), 1,
      anon_sym_RPAREN,
    STATE(15440), 1,
      sym_order_by_clause,
    STATE(17226), 1,
      sym_limit_clause,
    STATE(13658), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [377280] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10007), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(13029), 1,
      sym_order_by_clause,
    STATE(17122), 1,
      sym_window_frame_clause,
  [377308] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10009), 1,
      anon_sym_RPAREN,
    STATE(14486), 1,
      sym_order_by_clause,
    STATE(18039), 1,
      sym_limit_clause,
    STATE(13766), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [377334] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10011), 1,
      anon_sym_RPAREN,
    STATE(13592), 1,
      sym_having_min_clause,
    STATE(13593), 1,
      sym_having_max_clause,
    STATE(15547), 1,
      sym_order_by_clause,
    STATE(17127), 1,
      sym_limit_clause,
  [377362] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10013), 1,
      anon_sym_RPAREN,
    STATE(13707), 1,
      sym_having_min_clause,
    STATE(13709), 1,
      sym_having_max_clause,
    STATE(15328), 1,
      sym_order_by_clause,
    STATE(17335), 1,
      sym_limit_clause,
  [377390] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10015), 1,
      anon_sym_RPAREN,
    STATE(13598), 1,
      sym_having_min_clause,
    STATE(13600), 1,
      sym_having_max_clause,
    STATE(15536), 1,
      sym_order_by_clause,
    STATE(17135), 1,
      sym_limit_clause,
  [377418] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8306), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [377444] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10017), 1,
      anon_sym_RPAREN,
    STATE(13603), 1,
      sym_having_min_clause,
    STATE(13608), 1,
      sym_having_max_clause,
    STATE(15519), 1,
      sym_order_by_clause,
    STATE(17148), 1,
      sym_limit_clause,
  [377472] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8193), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [377498] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10019), 1,
      anon_sym_RPAREN,
    STATE(15516), 1,
      sym_order_by_clause,
    STATE(17149), 1,
      sym_limit_clause,
    STATE(13611), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [377524] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8201), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [377550] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8274), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [377576] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8293), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [377602] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10021), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(13167), 1,
      sym_order_by_clause,
    STATE(17819), 1,
      sym_window_frame_clause,
  [377630] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9242), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(13043), 1,
      sym_order_by_clause,
    STATE(17153), 1,
      sym_window_frame_clause,
  [377658] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10023), 1,
      anon_sym_RPAREN,
    STATE(13615), 1,
      sym_having_min_clause,
    STATE(13616), 1,
      sym_having_max_clause,
    STATE(15500), 1,
      sym_order_by_clause,
    STATE(17161), 1,
      sym_limit_clause,
  [377686] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10025), 1,
      anon_sym_RPAREN,
    STATE(13620), 1,
      sym_having_min_clause,
    STATE(13622), 1,
      sym_having_max_clause,
    STATE(15490), 1,
      sym_order_by_clause,
    STATE(17168), 1,
      sym_limit_clause,
  [377714] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10027), 1,
      anon_sym_RPAREN,
    STATE(15487), 1,
      sym_order_by_clause,
    STATE(17169), 1,
      sym_limit_clause,
    STATE(13623), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [377740] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8324), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [377766] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10029), 1,
      anon_sym_RPAREN,
    STATE(15406), 1,
      sym_order_by_clause,
    STATE(17252), 1,
      sym_limit_clause,
    STATE(13674), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [377792] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10031), 1,
      anon_sym_RPAREN,
    STATE(15398), 1,
      sym_order_by_clause,
    STATE(17258), 1,
      sym_limit_clause,
    STATE(13781), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [377818] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10033), 1,
      anon_sym_RPAREN,
    STATE(15478), 1,
      sym_order_by_clause,
    STATE(17181), 1,
      sym_limit_clause,
    STATE(13632), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [377844] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10035), 1,
      anon_sym_RPAREN,
    STATE(15475), 1,
      sym_order_by_clause,
    STATE(17183), 1,
      sym_limit_clause,
    STATE(13638), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [377870] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10037), 1,
      anon_sym_RPAREN,
    STATE(13728), 1,
      sym_having_min_clause,
    STATE(13756), 1,
      sym_having_max_clause,
    STATE(15272), 1,
      sym_order_by_clause,
    STATE(17365), 1,
      sym_limit_clause,
  [377898] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10039), 1,
      anon_sym_RPAREN,
    STATE(15267), 1,
      sym_order_by_clause,
    STATE(17368), 1,
      sym_limit_clause,
    STATE(13759), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [377924] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8153), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [377950] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8270), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [377976] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8311), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [378002] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10041), 1,
      anon_sym_RPAREN,
    STATE(15291), 1,
      sym_order_by_clause,
    STATE(17353), 1,
      sym_limit_clause,
    STATE(13754), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [378028] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10043), 1,
      anon_sym_RPAREN,
    STATE(13764), 1,
      sym_having_max_clause,
    STATE(13765), 1,
      sym_having_min_clause,
    STATE(15269), 1,
      sym_order_by_clause,
    STATE(17361), 1,
      sym_limit_clause,
  [378056] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8275), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [378082] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10045), 1,
      anon_sym_RPAREN,
    STATE(15455), 1,
      sym_order_by_clause,
    STATE(17211), 1,
      sym_limit_clause,
    STATE(13650), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [378108] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8269), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [378134] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10047), 1,
      anon_sym_RPAREN,
    STATE(15446), 1,
      sym_order_by_clause,
    STATE(17218), 1,
      sym_limit_clause,
    STATE(13654), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [378160] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10049), 1,
      anon_sym_RPAREN,
    STATE(13789), 1,
      sym_having_max_clause,
    STATE(13790), 1,
      sym_having_min_clause,
    STATE(15237), 1,
      sym_order_by_clause,
    STATE(17473), 1,
      sym_limit_clause,
  [378188] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10051), 1,
      anon_sym_RPAREN,
    STATE(15443), 1,
      sym_order_by_clause,
    STATE(17225), 1,
      sym_limit_clause,
    STATE(13655), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [378214] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8235), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [378240] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10053), 1,
      anon_sym_RPAREN,
    STATE(15226), 1,
      sym_order_by_clause,
    STATE(17391), 1,
      sym_limit_clause,
    STATE(13787), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [378266] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10055), 1,
      anon_sym_RPAREN,
    STATE(15210), 1,
      sym_order_by_clause,
    STATE(17395), 1,
      sym_limit_clause,
    STATE(13801), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [378292] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8152), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [378318] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8265), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [378344] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10057), 1,
      anon_sym_RPAREN,
    STATE(15423), 1,
      sym_order_by_clause,
    STATE(17238), 1,
      sym_limit_clause,
    STATE(13667), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [378370] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9228), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(13073), 1,
      sym_order_by_clause,
    STATE(17393), 1,
      sym_window_frame_clause,
  [378398] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8150), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [378424] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10059), 1,
      anon_sym_RPAREN,
    STATE(14509), 1,
      sym_order_by_clause,
    STATE(18024), 1,
      sym_limit_clause,
    STATE(13829), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [378450] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8038), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [378476] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8149), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [378502] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8032), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [378528] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8147), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [378554] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8155), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [378580] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10061), 1,
      anon_sym_RPAREN,
    STATE(13685), 1,
      sym_having_min_clause,
    STATE(13687), 1,
      sym_having_max_clause,
    STATE(15371), 1,
      sym_order_by_clause,
    STATE(17286), 1,
      sym_limit_clause,
  [378608] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8309), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [378634] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10063), 1,
      anon_sym_COMMA,
    STATE(12613), 1,
      aux_sym_call_statement_repeat1,
    ACTIONS(10066), 6,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [378652] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8310), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [378678] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10068), 1,
      anon_sym_RPAREN,
    STATE(15197), 1,
      sym_order_by_clause,
    STATE(17407), 1,
      sym_limit_clause,
    STATE(13813), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [378704] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10070), 1,
      anon_sym_RPAREN,
    STATE(13816), 1,
      sym_having_max_clause,
    STATE(13821), 1,
      sym_having_min_clause,
    STATE(15183), 1,
      sym_order_by_clause,
    STATE(17412), 1,
      sym_limit_clause,
  [378732] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10072), 1,
      anon_sym_RPAREN,
    STATE(13691), 1,
      sym_having_min_clause,
    STATE(13692), 1,
      sym_having_max_clause,
    STATE(15362), 1,
      sym_order_by_clause,
    STATE(17298), 1,
      sym_limit_clause,
  [378760] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10074), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(13059), 1,
      sym_order_by_clause,
    STATE(17311), 1,
      sym_window_frame_clause,
  [378788] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8312), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [378814] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10076), 1,
      anon_sym_RPAREN,
    STATE(13702), 1,
      sym_having_min_clause,
    STATE(13703), 1,
      sym_having_max_clause,
    STATE(15345), 1,
      sym_order_by_clause,
    STATE(17322), 1,
      sym_limit_clause,
  [378842] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10078), 1,
      anon_sym_RPAREN,
    STATE(13705), 1,
      sym_having_min_clause,
    STATE(13706), 1,
      sym_having_max_clause,
    STATE(15334), 1,
      sym_order_by_clause,
    STATE(17331), 1,
      sym_limit_clause,
  [378870] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10080), 1,
      anon_sym_RPAREN,
    STATE(13719), 1,
      sym_having_min_clause,
    STATE(13721), 1,
      sym_having_max_clause,
    STATE(15317), 1,
      sym_order_by_clause,
    STATE(17343), 1,
      sym_limit_clause,
  [378898] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10082), 1,
      anon_sym_RPAREN,
    STATE(15314), 1,
      sym_order_by_clause,
    STATE(17345), 1,
      sym_limit_clause,
    STATE(13727), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [378924] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8315), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [378950] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8317), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [378976] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9218), 1,
      anon_sym_RPAREN,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(13063), 1,
      sym_order_by_clause,
    STATE(17349), 1,
      sym_window_frame_clause,
  [379004] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10084), 1,
      anon_sym_RPAREN,
    STATE(13737), 1,
      sym_having_min_clause,
    STATE(13738), 1,
      sym_having_max_clause,
    STATE(15298), 1,
      sym_order_by_clause,
    STATE(17354), 1,
      sym_limit_clause,
  [379032] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10086), 1,
      anon_sym_RPAREN,
    STATE(13928), 1,
      sym_having_max_clause,
    STATE(13931), 1,
      sym_having_min_clause,
    STATE(15035), 1,
      sym_order_by_clause,
    STATE(17531), 1,
      sym_limit_clause,
  [379060] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10088), 1,
      anon_sym_RPAREN,
    STATE(13745), 1,
      sym_having_min_clause,
    STATE(13748), 1,
      sym_having_max_clause,
    STATE(15288), 1,
      sym_order_by_clause,
    STATE(17358), 1,
      sym_limit_clause,
  [379088] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10090), 1,
      anon_sym_RPAREN,
    STATE(15285), 1,
      sym_order_by_clause,
    STATE(17359), 1,
      sym_limit_clause,
    STATE(13749), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [379114] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10092), 1,
      anon_sym_RPAREN,
    STATE(13480), 1,
      sym_having_max_clause,
    STATE(13481), 1,
      sym_having_min_clause,
    STATE(15797), 1,
      sym_order_by_clause,
    STATE(18992), 1,
      sym_limit_clause,
  [379142] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10094), 1,
      anon_sym_RPAREN,
    STATE(15276), 1,
      sym_order_by_clause,
    STATE(17362), 1,
      sym_limit_clause,
    STATE(13755), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [379168] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10096), 1,
      anon_sym_RPAREN,
    STATE(15273), 1,
      sym_order_by_clause,
    STATE(17366), 1,
      sym_limit_clause,
    STATE(13758), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [379194] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10098), 1,
      anon_sym_RPAREN,
    STATE(15359), 1,
      sym_order_by_clause,
    STATE(17299), 1,
      sym_limit_clause,
    STATE(13695), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [379220] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8134), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [379246] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8148), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [379272] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8319), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [379298] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10100), 1,
      anon_sym_RPAREN,
    STATE(13961), 1,
      sym_having_max_clause,
    STATE(13966), 1,
      sym_having_min_clause,
    STATE(14994), 1,
      sym_order_by_clause,
    STATE(17555), 1,
      sym_limit_clause,
  [379326] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10102), 1,
      anon_sym_RPAREN,
    STATE(15352), 1,
      sym_order_by_clause,
    STATE(17309), 1,
      sym_limit_clause,
    STATE(13699), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [379352] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10104), 1,
      anon_sym_RPAREN,
    STATE(15251), 1,
      sym_order_by_clause,
    STATE(17375), 1,
      sym_limit_clause,
    STATE(13775), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [379378] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8332), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [379404] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10106), 1,
      anon_sym_RPAREN,
    STATE(15242), 1,
      sym_order_by_clause,
    STATE(17383), 1,
      sym_limit_clause,
    STATE(13782), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [379430] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10108), 1,
      anon_sym_RPAREN,
    STATE(15239), 1,
      sym_order_by_clause,
    STATE(17385), 1,
      sym_limit_clause,
    STATE(13785), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [379456] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8211), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [379482] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8335), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [379508] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10110), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(13095), 1,
      sym_order_by_clause,
    STATE(17570), 1,
      sym_window_frame_clause,
  [379536] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10112), 1,
      anon_sym_RPAREN,
    STATE(15153), 1,
      sym_order_by_clause,
    STATE(17437), 1,
      sym_limit_clause,
    STATE(13838), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [379562] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10114), 1,
      anon_sym_RPAREN,
    STATE(13977), 1,
      sym_having_min_clause,
    STATE(14038), 1,
      sym_having_max_clause,
    STATE(14862), 1,
      sym_order_by_clause,
    STATE(17701), 1,
      sym_limit_clause,
  [379590] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10116), 1,
      anon_sym_RPAREN,
    STATE(15217), 1,
      sym_order_by_clause,
    STATE(17394), 1,
      sym_limit_clause,
    STATE(13802), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [379616] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(8075), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(9358), 1,
      sym__unquoted_identifier,
    STATE(7101), 1,
      sym__keyword_struct,
    STATE(16156), 1,
      sym__bqtype,
    STATE(7214), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [379640] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10118), 1,
      anon_sym_RPAREN,
    STATE(13976), 1,
      sym_having_min_clause,
    STATE(13985), 1,
      sym_having_max_clause,
    STATE(14572), 1,
      sym_order_by_clause,
    STATE(17971), 1,
      sym_limit_clause,
  [379668] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10120), 1,
      anon_sym_RPAREN,
    STATE(15142), 1,
      sym_order_by_clause,
    STATE(17458), 1,
      sym_limit_clause,
    STATE(13846), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [379694] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10122), 1,
      anon_sym_RPAREN,
    STATE(15134), 1,
      sym_order_by_clause,
    STATE(17466), 1,
      sym_limit_clause,
    STATE(13855), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [379720] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8127), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [379746] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8133), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [379772] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8337), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [379798] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10124), 1,
      anon_sym_RPAREN,
    STATE(14016), 1,
      sym_having_max_clause,
    STATE(14133), 1,
      sym_having_min_clause,
    STATE(14935), 1,
      sym_order_by_clause,
    STATE(17594), 1,
      sym_limit_clause,
  [379826] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8239), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [379852] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8339), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [379878] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8341), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [379904] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10126), 1,
      anon_sym_RPAREN,
    STATE(13860), 1,
      sym_having_min_clause,
    STATE(13863), 1,
      sym_having_max_clause,
    STATE(15131), 1,
      sym_order_by_clause,
    STATE(17462), 1,
      sym_limit_clause,
  [379932] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10128), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(13076), 1,
      sym_order_by_clause,
    STATE(17474), 1,
      sym_window_frame_clause,
  [379960] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10130), 1,
      anon_sym_RPAREN,
    STATE(13995), 1,
      sym_having_min_clause,
    STATE(14010), 1,
      sym_having_max_clause,
    STATE(14587), 1,
      sym_order_by_clause,
    STATE(17957), 1,
      sym_limit_clause,
  [379988] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10132), 1,
      anon_sym_RPAREN,
    STATE(13879), 1,
      sym_having_min_clause,
    STATE(13880), 1,
      sym_having_max_clause,
    STATE(15114), 1,
      sym_order_by_clause,
    STATE(17480), 1,
      sym_limit_clause,
  [380016] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10134), 1,
      anon_sym_RPAREN,
    STATE(13890), 1,
      sym_having_min_clause,
    STATE(13891), 1,
      sym_having_max_clause,
    STATE(15103), 1,
      sym_order_by_clause,
    STATE(17489), 1,
      sym_limit_clause,
  [380044] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10136), 1,
      anon_sym_RPAREN,
    STATE(13895), 1,
      sym_having_min_clause,
    STATE(13897), 1,
      sym_having_max_clause,
    STATE(15086), 1,
      sym_order_by_clause,
    STATE(17501), 1,
      sym_limit_clause,
  [380072] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10138), 1,
      anon_sym_RPAREN,
    STATE(15083), 1,
      sym_order_by_clause,
    STATE(17503), 1,
      sym_limit_clause,
    STATE(13901), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [380098] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10140), 1,
      anon_sym_RPAREN,
    STATE(13460), 1,
      sym_having_max_clause,
    STATE(13464), 1,
      sym_having_min_clause,
    STATE(15845), 1,
      sym_order_by_clause,
    STATE(19017), 1,
      sym_limit_clause,
  [380126] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10142), 1,
      anon_sym_RPAREN,
    STATE(14151), 1,
      sym_having_min_clause,
    STATE(14152), 1,
      sym_having_max_clause,
    STATE(14600), 1,
      sym_order_by_clause,
    STATE(17946), 1,
      sym_limit_clause,
  [380154] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9222), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(13078), 1,
      sym_order_by_clause,
    STATE(17509), 1,
      sym_window_frame_clause,
  [380182] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10144), 1,
      anon_sym_RPAREN,
    STATE(13905), 1,
      sym_having_min_clause,
    STATE(13907), 1,
      sym_having_max_clause,
    STATE(15067), 1,
      sym_order_by_clause,
    STATE(17518), 1,
      sym_limit_clause,
  [380210] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10146), 1,
      anon_sym_RPAREN,
    STATE(13909), 1,
      sym_having_min_clause,
    STATE(13910), 1,
      sym_having_max_clause,
    STATE(15057), 1,
      sym_order_by_clause,
    STATE(17523), 1,
      sym_limit_clause,
  [380238] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10148), 1,
      anon_sym_RPAREN,
    STATE(15054), 1,
      sym_order_by_clause,
    STATE(17524), 1,
      sym_limit_clause,
    STATE(13913), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [380264] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8028), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [380290] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10150), 1,
      anon_sym_RPAREN,
    STATE(15045), 1,
      sym_order_by_clause,
    STATE(17528), 1,
      sym_limit_clause,
    STATE(13920), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [380316] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8159), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [380342] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10152), 1,
      anon_sym_RPAREN,
    STATE(15855), 1,
      sym_order_by_clause,
    STATE(19020), 1,
      sym_limit_clause,
    STATE(13454), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [380368] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10154), 1,
      anon_sym_RPAREN,
    STATE(14187), 1,
      sym_having_min_clause,
    STATE(14203), 1,
      sym_having_max_clause,
    STATE(14617), 1,
      sym_order_by_clause,
    STATE(17929), 1,
      sym_limit_clause,
  [380396] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10156), 1,
      anon_sym_RPAREN,
    STATE(15082), 1,
      sym_order_by_clause,
    STATE(17502), 1,
      sym_limit_clause,
    STATE(13900), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [380422] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10158), 1,
      anon_sym_RPAREN,
    STATE(14620), 1,
      sym_order_by_clause,
    STATE(17926), 1,
      sym_limit_clause,
    STATE(14202), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [380448] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10160), 1,
      anon_sym_RPAREN,
    STATE(15020), 1,
      sym_order_by_clause,
    STATE(17539), 1,
      sym_limit_clause,
    STATE(13933), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [380474] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8274), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [380500] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10162), 1,
      anon_sym_RPAREN,
    STATE(15011), 1,
      sym_order_by_clause,
    STATE(17479), 1,
      sym_limit_clause,
    STATE(13942), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [380526] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10164), 1,
      anon_sym_RPAREN,
    STATE(15008), 1,
      sym_order_by_clause,
    STATE(17545), 1,
      sym_limit_clause,
    STATE(13944), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [380552] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8181), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [380578] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10166), 1,
      anon_sym_RPAREN,
    STATE(14195), 1,
      sym_having_max_clause,
    STATE(14196), 1,
      sym_having_min_clause,
    STATE(14635), 1,
      sym_order_by_clause,
    STATE(17913), 1,
      sym_limit_clause,
  [380606] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10168), 1,
      anon_sym_RPAREN,
    STATE(14190), 1,
      sym_having_max_clause,
    STATE(14191), 1,
      sym_having_min_clause,
    STATE(14646), 1,
      sym_order_by_clause,
    STATE(17903), 1,
      sym_limit_clause,
  [380634] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10170), 1,
      anon_sym_RPAREN,
    STATE(14986), 1,
      sym_order_by_clause,
    STATE(17563), 1,
      sym_limit_clause,
    STATE(13968), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [380660] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10172), 1,
      anon_sym_RPAREN,
    STATE(14649), 1,
      sym_order_by_clause,
    STATE(17900), 1,
      sym_limit_clause,
    STATE(14188), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [380686] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10174), 1,
      anon_sym_RPAREN,
    STATE(15180), 1,
      sym_order_by_clause,
    STATE(18626), 1,
      sym_limit_clause,
    STATE(13817), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [380712] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10176), 1,
      anon_sym_RPAREN,
    STATE(14660), 1,
      sym_order_by_clause,
    STATE(17891), 1,
      sym_limit_clause,
    STATE(14180), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [380738] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8126), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [380764] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9436), 1,
      sym__unquoted_identifier,
    ACTIONS(9438), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(9440), 1,
      aux_sym__keyword_array_token1,
    STATE(12910), 1,
      sym__keyword_struct,
    STATE(14214), 1,
      sym__bqtype,
    STATE(13127), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [380788] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10178), 1,
      anon_sym_RPAREN,
    STATE(14663), 1,
      sym_order_by_clause,
    STATE(17888), 1,
      sym_limit_clause,
    STATE(14179), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [380814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10180), 1,
      anon_sym_RPAREN,
    ACTIONS(2972), 7,
      anon_sym_COMMA,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
  [380830] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3488), 1,
      aux_sym_join_type_token1,
    ACTIONS(8289), 1,
      anon_sym_COMMA,
    ACTIONS(8295), 1,
      aux_sym__cross_join_operation_token1,
    ACTIONS(8297), 1,
      aux_sym__cross_join_operation_token2,
    STATE(18308), 1,
      sym_join_type,
    ACTIONS(3490), 3,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
  [380854] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10182), 1,
      anon_sym_RPAREN,
    STATE(15223), 1,
      sym_order_by_clause,
    STATE(19173), 1,
      sym_limit_clause,
    STATE(13286), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [380880] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8347), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [380906] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10184), 1,
      anon_sym_RPAREN,
    STATE(15076), 1,
      sym_order_by_clause,
    STATE(18571), 1,
      sym_limit_clause,
    STATE(13839), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [380932] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10186), 1,
      anon_sym_RPAREN,
    STATE(14006), 1,
      sym_having_min_clause,
    STATE(14009), 1,
      sym_having_max_clause,
    STATE(14900), 1,
      sym_order_by_clause,
    STATE(17656), 1,
      sym_limit_clause,
  [380960] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10188), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(13101), 1,
      sym_order_by_clause,
    STATE(17668), 1,
      sym_window_frame_clause,
  [380988] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10190), 1,
      anon_sym_RPAREN,
    STATE(15154), 1,
      sym_order_by_clause,
    STATE(18601), 1,
      sym_limit_clause,
    STATE(13842), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [381014] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10192), 1,
      anon_sym_RPAREN,
    STATE(14023), 1,
      sym_having_min_clause,
    STATE(14024), 1,
      sym_having_max_clause,
    STATE(14883), 1,
      sym_order_by_clause,
    STATE(17675), 1,
      sym_limit_clause,
  [381042] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10194), 1,
      anon_sym_RPAREN,
    STATE(14030), 1,
      sym_having_min_clause,
    STATE(14031), 1,
      sym_having_max_clause,
    STATE(14872), 1,
      sym_order_by_clause,
    STATE(17684), 1,
      sym_limit_clause,
  [381070] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10196), 1,
      anon_sym_RPAREN,
    STATE(14042), 1,
      sym_having_min_clause,
    STATE(14046), 1,
      sym_having_max_clause,
    STATE(14855), 1,
      sym_order_by_clause,
    STATE(17696), 1,
      sym_limit_clause,
  [381098] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10198), 1,
      anon_sym_RPAREN,
    STATE(14852), 1,
      sym_order_by_clause,
    STATE(17698), 1,
      sym_limit_clause,
    STATE(14047), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [381124] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10200), 1,
      anon_sym_RPAREN,
    STATE(14678), 1,
      sym_order_by_clause,
    STATE(17872), 1,
      sym_limit_clause,
    STATE(14169), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [381150] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10202), 1,
      anon_sym_RPAREN,
    STATE(15138), 1,
      sym_order_by_clause,
    STATE(18593), 1,
      sym_limit_clause,
    STATE(13851), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [381176] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9248), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(13102), 1,
      sym_order_by_clause,
    STATE(17708), 1,
      sym_window_frame_clause,
  [381204] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10204), 1,
      anon_sym_RPAREN,
    STATE(14056), 1,
      sym_having_min_clause,
    STATE(14057), 1,
      sym_having_max_clause,
    STATE(14836), 1,
      sym_order_by_clause,
    STATE(17716), 1,
      sym_limit_clause,
  [381232] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10206), 1,
      anon_sym_RPAREN,
    STATE(14060), 1,
      sym_having_min_clause,
    STATE(14062), 1,
      sym_having_max_clause,
    STATE(14826), 1,
      sym_order_by_clause,
    STATE(17725), 1,
      sym_limit_clause,
  [381260] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10208), 1,
      anon_sym_RPAREN,
    STATE(14823), 1,
      sym_order_by_clause,
    STATE(17726), 1,
      sym_limit_clause,
    STATE(14065), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [381286] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10210), 1,
      anon_sym_RPAREN,
    STATE(15275), 1,
      sym_order_by_clause,
    STATE(19170), 1,
      sym_limit_clause,
    STATE(13288), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [381312] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10212), 1,
      anon_sym_RPAREN,
    STATE(14814), 1,
      sym_order_by_clause,
    STATE(17737), 1,
      sym_limit_clause,
    STATE(14077), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [381338] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10214), 1,
      anon_sym_RPAREN,
    STATE(14811), 1,
      sym_order_by_clause,
    STATE(17739), 1,
      sym_limit_clause,
    STATE(14082), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [381364] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10216), 1,
      anon_sym_RPAREN,
    STATE(14685), 1,
      sym_order_by_clause,
    STATE(17863), 1,
      sym_limit_clause,
    STATE(14166), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [381390] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8179), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [381416] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10218), 1,
      anon_sym_RPAREN,
    STATE(14689), 1,
      sym_order_by_clause,
    STATE(17860), 1,
      sym_limit_clause,
    STATE(14165), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [381442] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8325), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [381468] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10220), 1,
      anon_sym_RPAREN,
    STATE(14789), 1,
      sym_order_by_clause,
    STATE(17762), 1,
      sym_limit_clause,
    STATE(14106), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [381494] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9436), 1,
      sym__unquoted_identifier,
    ACTIONS(9438), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(9440), 1,
      aux_sym__keyword_array_token1,
    STATE(12910), 1,
      sym__keyword_struct,
    STATE(14238), 1,
      sym__bqtype,
    STATE(13127), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [381518] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10222), 1,
      anon_sym_RPAREN,
    STATE(14780), 1,
      sym_order_by_clause,
    STATE(17768), 1,
      sym_limit_clause,
    STATE(14111), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [381544] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10224), 1,
      anon_sym_RPAREN,
    STATE(14777), 1,
      sym_order_by_clause,
    STATE(17776), 1,
      sym_limit_clause,
    STATE(14116), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [381570] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8161), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [381596] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10226), 1,
      anon_sym_RPAREN,
    STATE(14701), 1,
      sym_order_by_clause,
    STATE(17843), 1,
      sym_limit_clause,
    STATE(14159), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [381622] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10228), 1,
      anon_sym_RPAREN,
    STATE(15128), 1,
      sym_order_by_clause,
    STATE(18581), 1,
      sym_limit_clause,
    STATE(13873), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [381648] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10230), 1,
      anon_sym_RPAREN,
    STATE(15125), 1,
      sym_order_by_clause,
    STATE(18574), 1,
      sym_limit_clause,
    STATE(13876), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [381674] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10232), 1,
      anon_sym_RPAREN,
    STATE(14755), 1,
      sym_order_by_clause,
    STATE(17810), 1,
      sym_limit_clause,
    STATE(14139), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [381700] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9436), 1,
      sym__unquoted_identifier,
    ACTIONS(9438), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(9440), 1,
      aux_sym__keyword_array_token1,
    STATE(12910), 1,
      sym__keyword_struct,
    STATE(14307), 1,
      sym__bqtype,
    STATE(13127), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [381724] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10234), 1,
      anon_sym_RPAREN,
    STATE(15115), 1,
      sym_order_by_clause,
    STATE(18493), 1,
      sym_limit_clause,
    STATE(13885), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [381750] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10236), 1,
      anon_sym_RPAREN,
    STATE(13888), 1,
      sym_having_max_clause,
    STATE(13889), 1,
      sym_having_min_clause,
    STATE(15109), 1,
      sym_order_by_clause,
    STATE(18567), 1,
      sym_limit_clause,
  [381778] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10238), 1,
      anon_sym_RPAREN,
    STATE(13898), 1,
      sym_having_max_clause,
    STATE(13899), 1,
      sym_having_min_clause,
    STATE(15088), 1,
      sym_order_by_clause,
    STATE(18562), 1,
      sym_limit_clause,
  [381806] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9258), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(13129), 1,
      sym_order_by_clause,
    STATE(18554), 1,
      sym_window_frame_clause,
  [381834] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9436), 1,
      sym__unquoted_identifier,
    ACTIONS(9438), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(9440), 1,
      aux_sym__keyword_array_token1,
    STATE(12910), 1,
      sym__keyword_struct,
    STATE(14216), 1,
      sym__bqtype,
    STATE(13127), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [381858] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10240), 1,
      anon_sym_RPAREN,
    STATE(15056), 1,
      sym_order_by_clause,
    STATE(18544), 1,
      sym_limit_clause,
    STATE(13914), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [381884] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10242), 1,
      anon_sym_RPAREN,
    STATE(13917), 1,
      sym_having_max_clause,
    STATE(13918), 1,
      sym_having_min_clause,
    STATE(15052), 1,
      sym_order_by_clause,
    STATE(18540), 1,
      sym_limit_clause,
  [381912] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10244), 1,
      anon_sym_RPAREN,
    STATE(13934), 1,
      sym_having_max_clause,
    STATE(13935), 1,
      sym_having_min_clause,
    STATE(15023), 1,
      sym_order_by_clause,
    STATE(18530), 1,
      sym_limit_clause,
  [381940] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10246), 1,
      anon_sym_RPAREN,
    STATE(13945), 1,
      sym_having_max_clause,
    STATE(13946), 1,
      sym_having_min_clause,
    STATE(15012), 1,
      sym_order_by_clause,
    STATE(18516), 1,
      sym_limit_clause,
  [381968] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10248), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(13131), 1,
      sym_order_by_clause,
    STATE(18510), 1,
      sym_window_frame_clause,
  [381996] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10250), 1,
      anon_sym_RPAREN,
    STATE(13962), 1,
      sym_having_max_clause,
    STATE(13963), 1,
      sym_having_min_clause,
    STATE(14993), 1,
      sym_order_by_clause,
    STATE(18502), 1,
      sym_limit_clause,
  [382024] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9436), 1,
      sym__unquoted_identifier,
    ACTIONS(9438), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(9440), 1,
      aux_sym__keyword_array_token1,
    STATE(12910), 1,
      sym__keyword_struct,
    STATE(14241), 1,
      sym__bqtype,
    STATE(13127), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [382048] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10252), 1,
      anon_sym_RPAREN,
    STATE(14175), 1,
      sym_having_min_clause,
    STATE(14176), 1,
      sym_having_max_clause,
    STATE(14669), 1,
      sym_order_by_clause,
    STATE(17885), 1,
      sym_limit_clause,
  [382076] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10254), 1,
      anon_sym_RPAREN,
    STATE(15108), 1,
      sym_order_by_clause,
    STATE(17484), 1,
      sym_limit_clause,
    STATE(13886), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [382102] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9436), 1,
      sym__unquoted_identifier,
    ACTIONS(9438), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(9440), 1,
      aux_sym__keyword_array_token1,
    STATE(12910), 1,
      sym__keyword_struct,
    STATE(14262), 1,
      sym__bqtype,
    STATE(13127), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [382126] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10256), 1,
      anon_sym_RPAREN,
    STATE(15111), 1,
      sym_order_by_clause,
    STATE(17481), 1,
      sym_limit_clause,
    STATE(13884), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [382152] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8053), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [382178] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8055), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [382204] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8060), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [382230] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8081), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [382256] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8083), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [382282] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8088), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [382308] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10258), 1,
      anon_sym_RPAREN,
    STATE(15122), 1,
      sym_order_by_clause,
    STATE(17470), 1,
      sym_limit_clause,
    STATE(13875), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [382334] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8108), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [382360] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8112), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [382386] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8122), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [382412] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8128), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [382438] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8226), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [382464] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8137), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [382490] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8105), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [382516] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10260), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(13130), 1,
      sym_order_by_clause,
    STATE(17894), 1,
      sym_window_frame_clause,
  [382544] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10262), 1,
      anon_sym_RPAREN,
    STATE(14847), 1,
      sym_order_by_clause,
    STATE(18416), 1,
      sym_limit_clause,
    STATE(14053), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [382570] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10264), 1,
      anon_sym_RPAREN,
    STATE(14184), 1,
      sym_having_min_clause,
    STATE(14185), 1,
      sym_having_max_clause,
    STATE(14652), 1,
      sym_order_by_clause,
    STATE(17901), 1,
      sym_limit_clause,
  [382598] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8142), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [382624] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10266), 1,
      anon_sym_RPAREN,
    STATE(14193), 1,
      sym_having_min_clause,
    STATE(14194), 1,
      sym_having_max_clause,
    STATE(14641), 1,
      sym_order_by_clause,
    STATE(17910), 1,
      sym_limit_clause,
  [382652] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10268), 1,
      anon_sym_RPAREN,
    STATE(14197), 1,
      sym_having_min_clause,
    STATE(14200), 1,
      sym_having_max_clause,
    STATE(14624), 1,
      sym_order_by_clause,
    STATE(17927), 1,
      sym_limit_clause,
  [382680] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10270), 1,
      anon_sym_RPAREN,
    STATE(14621), 1,
      sym_order_by_clause,
    STATE(17826), 1,
      sym_limit_clause,
    STATE(14201), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [382706] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9436), 1,
      sym__unquoted_identifier,
    ACTIONS(9438), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(9440), 1,
      aux_sym__keyword_array_token1,
    STATE(12910), 1,
      sym__keyword_struct,
    STATE(14249), 1,
      sym__bqtype,
    STATE(13127), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [382730] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10272), 1,
      anon_sym_RPAREN,
    STATE(14114), 1,
      sym_having_max_clause,
    STATE(14120), 1,
      sym_having_min_clause,
    STATE(14783), 1,
      sym_order_by_clause,
    STATE(17765), 1,
      sym_limit_clause,
  [382758] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8146), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [382784] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8151), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [382810] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8166), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [382836] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8167), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [382862] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10274), 1,
      anon_sym_RPAREN,
    STATE(15383), 1,
      sym_order_by_clause,
    STATE(19155), 1,
      sym_limit_clause,
    STATE(13314), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [382888] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9240), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(13148), 1,
      sym_order_by_clause,
    STATE(17932), 1,
      sym_window_frame_clause,
  [382916] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10276), 1,
      anon_sym_RPAREN,
    STATE(14103), 1,
      sym_having_max_clause,
    STATE(14104), 1,
      sym_having_min_clause,
    STATE(14793), 1,
      sym_order_by_clause,
    STATE(17751), 1,
      sym_limit_clause,
  [382944] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8239), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [382970] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8355), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [382996] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10278), 1,
      anon_sym_RPAREN,
    STATE(14155), 1,
      sym_having_max_clause,
    STATE(14161), 1,
      sym_having_min_clause,
    STATE(14605), 1,
      sym_order_by_clause,
    STATE(17945), 1,
      sym_limit_clause,
  [383024] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10280), 1,
      anon_sym_RPAREN,
    STATE(14130), 1,
      sym_having_max_clause,
    STATE(14143), 1,
      sym_having_min_clause,
    STATE(14595), 1,
      sym_order_by_clause,
    STATE(17956), 1,
      sym_limit_clause,
  [383052] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10282), 1,
      anon_sym_RPAREN,
    STATE(14592), 1,
      sym_order_by_clause,
    STATE(17958), 1,
      sym_limit_clause,
    STATE(14123), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [383078] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10284), 1,
      anon_sym_RPAREN,
    STATE(14820), 1,
      sym_order_by_clause,
    STATE(18405), 1,
      sym_limit_clause,
    STATE(14075), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [383104] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8063), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [383130] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10286), 1,
      anon_sym_RPAREN,
    STATE(14583), 1,
      sym_order_by_clause,
    STATE(17960), 1,
      sym_limit_clause,
    STATE(14012), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [383156] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10288), 1,
      anon_sym_RPAREN,
    STATE(14580), 1,
      sym_order_by_clause,
    STATE(17965), 1,
      sym_limit_clause,
    STATE(14007), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [383182] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10290), 1,
      anon_sym_RPAREN,
    STATE(14818), 1,
      sym_order_by_clause,
    STATE(18404), 1,
      sym_limit_clause,
    STATE(14078), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [383208] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8051), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [383234] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10292), 1,
      anon_sym_RPAREN,
    STATE(14085), 1,
      sym_having_max_clause,
    STATE(14086), 1,
      sym_having_min_clause,
    STATE(14807), 1,
      sym_order_by_clause,
    STATE(17740), 1,
      sym_limit_clause,
  [383262] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8041), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [383288] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10294), 1,
      anon_sym_RPAREN,
    STATE(14805), 1,
      sym_order_by_clause,
    STATE(18394), 1,
      sym_limit_clause,
    STATE(14087), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [383314] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10296), 1,
      anon_sym_RPAREN,
    STATE(14504), 1,
      sym_order_by_clause,
    STATE(18030), 1,
      sym_limit_clause,
    STATE(13812), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [383340] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8028), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [383366] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10298), 1,
      anon_sym_RPAREN,
    STATE(14066), 1,
      sym_having_max_clause,
    STATE(14074), 1,
      sym_having_min_clause,
    STATE(14825), 1,
      sym_order_by_clause,
    STATE(17723), 1,
      sym_limit_clause,
  [383394] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8104), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [383420] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8109), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [383446] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10300), 1,
      anon_sym_RPAREN,
    STATE(14558), 1,
      sym_order_by_clause,
    STATE(17989), 1,
      sym_limit_clause,
    STATE(13971), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [383472] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10306), 1,
      anon_sym_LPAREN,
    ACTIONS(10308), 1,
      anon_sym_DOT,
    ACTIONS(10302), 3,
      aux_sym__keyword_struct_token1,
      aux_sym__keyword_array_token1,
      sym__unquoted_identifier,
    ACTIONS(10304), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
  [383492] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9436), 1,
      sym__unquoted_identifier,
    ACTIONS(9438), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(9440), 1,
      aux_sym__keyword_array_token1,
    STATE(12910), 1,
      sym__keyword_struct,
    STATE(14291), 1,
      sym__bqtype,
    STATE(13127), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [383516] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(8075), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(9358), 1,
      sym__unquoted_identifier,
    STATE(7101), 1,
      sym__keyword_struct,
    STATE(14725), 1,
      sym__bqtype,
    STATE(7214), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [383540] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10310), 1,
      anon_sym_RPAREN,
    STATE(14830), 1,
      sym_order_by_clause,
    STATE(17720), 1,
      sym_limit_clause,
    STATE(14058), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [383566] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10312), 1,
      anon_sym_RPAREN,
    STATE(14549), 1,
      sym_order_by_clause,
    STATE(17999), 1,
      sym_limit_clause,
    STATE(13957), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [383592] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10314), 1,
      anon_sym_RPAREN,
    STATE(14546), 1,
      sym_order_by_clause,
    STATE(18008), 1,
      sym_limit_clause,
    STATE(13938), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [383618] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8197), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [383644] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2700), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(4597), 1,
      anon_sym_COMMA,
    STATE(13141), 1,
      aux_sym_order_by_clause_body_repeat1,
    STATE(13142), 1,
      sym__nulls_preference,
    ACTIONS(4267), 4,
      aux_sym__keyword_range_token1,
      anon_sym_RPAREN,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
  [383666] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10316), 1,
      anon_sym_RPAREN,
    STATE(14052), 1,
      sym_having_max_clause,
    STATE(14054), 1,
      sym_having_min_clause,
    STATE(14843), 1,
      sym_order_by_clause,
    STATE(17707), 1,
      sym_limit_clause,
  [383694] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10318), 1,
      anon_sym_RPAREN,
    STATE(14524), 1,
      sym_order_by_clause,
    STATE(18020), 1,
      sym_limit_clause,
    STATE(13835), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [383720] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10320), 1,
      anon_sym_RPAREN,
    STATE(14740), 1,
      sym_order_by_clause,
    STATE(17818), 1,
      sym_limit_clause,
    STATE(14142), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [383746] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10322), 1,
      anon_sym_RPAREN,
    STATE(13867), 1,
      sym_having_min_clause,
    STATE(13868), 1,
      sym_having_max_clause,
    STATE(15123), 1,
      sym_order_by_clause,
    STATE(18573), 1,
      sym_limit_clause,
  [383774] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10324), 1,
      anon_sym_RPAREN,
    STATE(14790), 1,
      sym_order_by_clause,
    STATE(18384), 1,
      sym_limit_clause,
    STATE(14109), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [383800] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10326), 1,
      anon_sym_RPAREN,
    STATE(14470), 1,
      sym_order_by_clause,
    STATE(18188), 1,
      sym_limit_clause,
    STATE(13731), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [383826] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10328), 1,
      anon_sym_RPAREN,
    STATE(14423), 1,
      sym_order_by_clause,
    STATE(18048), 1,
      sym_limit_clause,
    STATE(13439), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [383852] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10330), 1,
      anon_sym_RPAREN,
    STATE(14786), 1,
      sym_order_by_clause,
    STATE(18383), 1,
      sym_limit_clause,
    STATE(14112), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [383878] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10332), 1,
      anon_sym_RPAREN,
    STATE(14049), 1,
      sym_having_max_clause,
    STATE(14050), 1,
      sym_having_min_clause,
    STATE(14849), 1,
      sym_order_by_clause,
    STATE(17697), 1,
      sym_limit_clause,
  [383906] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9436), 1,
      sym__unquoted_identifier,
    ACTIONS(9438), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(9440), 1,
      aux_sym__keyword_array_token1,
    STATE(12910), 1,
      sym__keyword_struct,
    STATE(14326), 1,
      sym__bqtype,
    STATE(13127), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [383930] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10334), 1,
      anon_sym_RPAREN,
    STATE(14778), 1,
      sym_order_by_clause,
    STATE(18376), 1,
      sym_limit_clause,
    STATE(14121), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [383956] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10336), 1,
      anon_sym_RPAREN,
    STATE(14353), 1,
      sym_order_by_clause,
    STATE(18170), 1,
      sym_limit_clause,
    STATE(13333), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [383982] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10338), 1,
      anon_sym_RPAREN,
    STATE(14124), 1,
      sym_having_max_clause,
    STATE(14125), 1,
      sym_having_min_clause,
    STATE(14776), 1,
      sym_order_by_clause,
    STATE(18375), 1,
      sym_limit_clause,
  [384010] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10340), 1,
      anon_sym_RPAREN,
    STATE(14134), 1,
      sym_having_max_clause,
    STATE(14135), 1,
      sym_having_min_clause,
    STATE(14766), 1,
      sym_order_by_clause,
    STATE(18370), 1,
      sym_limit_clause,
  [384038] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9246), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(13177), 1,
      sym_order_by_clause,
    STATE(18359), 1,
      sym_window_frame_clause,
  [384066] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10342), 1,
      anon_sym_RPAREN,
    STATE(14854), 1,
      sym_order_by_clause,
    STATE(17694), 1,
      sym_limit_clause,
    STATE(14048), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [384092] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10344), 1,
      anon_sym_RPAREN,
    STATE(14719), 1,
      sym_order_by_clause,
    STATE(18352), 1,
      sym_limit_clause,
    STATE(14150), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [384118] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10346), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(13133), 1,
      sym_order_by_clause,
    STATE(18445), 1,
      sym_window_frame_clause,
  [384146] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10348), 1,
      anon_sym_RPAREN,
    STATE(14153), 1,
      sym_having_max_clause,
    STATE(14154), 1,
      sym_having_min_clause,
    STATE(14715), 1,
      sym_order_by_clause,
    STATE(18349), 1,
      sym_limit_clause,
  [384174] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8351), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [384200] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10350), 1,
      anon_sym_RPAREN,
    STATE(14170), 1,
      sym_having_max_clause,
    STATE(14171), 1,
      sym_having_min_clause,
    STATE(14680), 1,
      sym_order_by_clause,
    STATE(18335), 1,
      sym_limit_clause,
  [384228] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9436), 1,
      sym__unquoted_identifier,
    ACTIONS(9438), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(9440), 1,
      aux_sym__keyword_array_token1,
    STATE(12910), 1,
      sym__keyword_struct,
    STATE(14297), 1,
      sym__bqtype,
    STATE(13127), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [384252] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10352), 1,
      anon_sym_RPAREN,
    STATE(14181), 1,
      sym_having_max_clause,
    STATE(14182), 1,
      sym_having_min_clause,
    STATE(14661), 1,
      sym_order_by_clause,
    STATE(18328), 1,
      sym_limit_clause,
  [384280] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10354), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(13180), 1,
      sym_order_by_clause,
    STATE(18322), 1,
      sym_window_frame_clause,
  [384308] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10356), 1,
      anon_sym_RPAREN,
    STATE(14198), 1,
      sym_having_max_clause,
    STATE(14199), 1,
      sym_having_min_clause,
    STATE(14631), 1,
      sym_order_by_clause,
    STATE(18304), 1,
      sym_limit_clause,
  [384336] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10358), 1,
      anon_sym_RPAREN,
    STATE(14008), 1,
      sym_having_min_clause,
    STATE(14015), 1,
      sym_having_max_clause,
    STATE(14891), 1,
      sym_order_by_clause,
    STATE(18439), 1,
      sym_limit_clause,
  [384364] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4539), 1,
      anon_sym_RPAREN,
    ACTIONS(10360), 1,
      anon_sym_COMMA,
    STATE(12830), 1,
      aux_sym_declare_statement_repeat1,
    ACTIONS(4537), 5,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_struct_token1,
      aux_sym__keyword_array_token1,
      aux_sym_alter_table_rename_statement_token2,
      sym__unquoted_identifier,
  [384384] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10363), 1,
      anon_sym_RPAREN,
    STATE(14867), 1,
      sym_order_by_clause,
    STATE(17685), 1,
      sym_limit_clause,
    STATE(14034), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [384410] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10365), 1,
      anon_sym_RPAREN,
    STATE(13547), 1,
      sym_having_max_clause,
    STATE(13548), 1,
      sym_having_min_clause,
    STATE(14433), 1,
      sym_order_by_clause,
    STATE(18085), 1,
      sym_limit_clause,
  [384438] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10367), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(13181), 1,
      sym_order_by_clause,
    STATE(18095), 1,
      sym_window_frame_clause,
  [384466] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10369), 1,
      anon_sym_RPAREN,
    STATE(14439), 1,
      sym_order_by_clause,
    STATE(18228), 1,
      sym_limit_clause,
    STATE(13583), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [384492] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10371), 1,
      anon_sym_RPAREN,
    STATE(14466), 1,
      sym_order_by_clause,
    STATE(18235), 1,
      sym_limit_clause,
    STATE(13675), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [384518] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10373), 1,
      anon_sym_RPAREN,
    STATE(14871), 1,
      sym_order_by_clause,
    STATE(17682), 1,
      sym_limit_clause,
    STATE(14033), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [384544] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10375), 1,
      anon_sym_RPAREN,
    STATE(13489), 1,
      sym_having_max_clause,
    STATE(13513), 1,
      sym_having_min_clause,
    STATE(14416), 1,
      sym_order_by_clause,
    STATE(18106), 1,
      sym_limit_clause,
  [384572] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10377), 1,
      anon_sym_RPAREN,
    STATE(13468), 1,
      sym_having_max_clause,
    STATE(13472), 1,
      sym_having_min_clause,
    STATE(14405), 1,
      sym_order_by_clause,
    STATE(18117), 1,
      sym_limit_clause,
  [384600] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9436), 1,
      sym__unquoted_identifier,
    ACTIONS(9438), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(9440), 1,
      aux_sym__keyword_array_token1,
    STATE(12910), 1,
      sym__keyword_struct,
    STATE(14269), 1,
      sym__bqtype,
    STATE(13127), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [384624] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10379), 1,
      anon_sym_RPAREN,
    STATE(13402), 1,
      sym_having_max_clause,
    STATE(13427), 1,
      sym_having_min_clause,
    STATE(14388), 1,
      sym_order_by_clause,
    STATE(18135), 1,
      sym_limit_clause,
  [384652] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10381), 1,
      anon_sym_RPAREN,
    STATE(14385), 1,
      sym_order_by_clause,
    STATE(18137), 1,
      sym_limit_clause,
    STATE(13331), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [384678] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10383), 1,
      anon_sym_RPAREN,
    STATE(14889), 1,
      sym_order_by_clause,
    STATE(17666), 1,
      sym_limit_clause,
    STATE(14018), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [384704] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10385), 1,
      anon_sym_RPAREN,
    STATE(14488), 1,
      sym_order_by_clause,
    STATE(18249), 1,
      sym_limit_clause,
    STATE(13788), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [384730] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10387), 1,
      anon_sym_RPAREN,
    STATE(13819), 1,
      sym_having_max_clause,
    STATE(13826), 1,
      sym_having_min_clause,
    STATE(14507), 1,
      sym_order_by_clause,
    STATE(18253), 1,
      sym_limit_clause,
  [384758] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10389), 1,
      anon_sym_RPAREN,
    STATE(14895), 1,
      sym_order_by_clause,
    STATE(17657), 1,
      sym_limit_clause,
    STATE(14013), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [384784] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9260), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(13182), 1,
      sym_order_by_clause,
    STATE(18147), 1,
      sym_window_frame_clause,
  [384812] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10391), 1,
      anon_sym_RPAREN,
    STATE(13223), 1,
      sym_having_max_clause,
    STATE(13267), 1,
      sym_having_min_clause,
    STATE(14369), 1,
      sym_order_by_clause,
    STATE(18153), 1,
      sym_limit_clause,
  [384840] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10393), 1,
      anon_sym_RPAREN,
    STATE(13211), 1,
      sym_having_max_clause,
    STATE(13213), 1,
      sym_having_min_clause,
    STATE(14359), 1,
      sym_order_by_clause,
    STATE(18176), 1,
      sym_limit_clause,
  [384868] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10395), 1,
      anon_sym_RPAREN,
    STATE(13960), 1,
      sym_having_max_clause,
    STATE(14088), 1,
      sym_having_min_clause,
    STATE(14555), 1,
      sym_order_by_clause,
    STATE(18263), 1,
      sym_limit_clause,
  [384896] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10397), 1,
      anon_sym_RPAREN,
    STATE(14356), 1,
      sym_order_by_clause,
    STATE(18178), 1,
      sym_limit_clause,
    STATE(13209), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [384922] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10399), 1,
      anon_sym_RPAREN,
    STATE(14899), 1,
      sym_order_by_clause,
    STATE(17654), 1,
      sym_limit_clause,
    STATE(14011), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [384948] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10401), 1,
      anon_sym_RPAREN,
    STATE(14357), 1,
      sym_order_by_clause,
    STATE(18193), 1,
      sym_limit_clause,
    STATE(13204), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [384974] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10403), 1,
      anon_sym_RPAREN,
    STATE(14361), 1,
      sym_order_by_clause,
    STATE(18196), 1,
      sym_limit_clause,
    STATE(13210), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [385000] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10405), 1,
      anon_sym_RPAREN,
    STATE(14035), 1,
      sym_having_min_clause,
    STATE(14036), 1,
      sym_having_max_clause,
    STATE(14864), 1,
      sym_order_by_clause,
    STATE(18420), 1,
      sym_limit_clause,
  [385028] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10407), 1,
      anon_sym_RPAREN,
    STATE(14911), 1,
      sym_order_by_clause,
    STATE(17639), 1,
      sym_limit_clause,
    STATE(14001), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [385054] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8109), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [385080] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9254), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(13176), 1,
      sym_order_by_clause,
    STATE(18374), 1,
      sym_window_frame_clause,
  [385108] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8104), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [385134] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8304), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [385160] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    STATE(7380), 1,
      sym_query_expr,
    STATE(8303), 1,
      sym_query_statement,
    STATE(13016), 1,
      sym_cte_clause,
    STATE(6482), 2,
      sym_set_operation,
      sym_select,
  [385186] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10409), 1,
      anon_sym_RPAREN,
    STATE(14451), 1,
      sym_order_by_clause,
    STATE(18236), 1,
      sym_limit_clause,
    STATE(13597), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [385212] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10411), 1,
      anon_sym_RPAREN,
    STATE(14391), 1,
      sym_order_by_clause,
    STATE(18209), 1,
      sym_limit_clause,
    STATE(13403), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [385238] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8041), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [385264] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10413), 1,
      anon_sym_RPAREN,
    STATE(14408), 1,
      sym_order_by_clause,
    STATE(18212), 1,
      sym_limit_clause,
    STATE(13470), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [385290] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10415), 1,
      anon_sym_RPAREN,
    STATE(14411), 1,
      sym_order_by_clause,
    STATE(18213), 1,
      sym_limit_clause,
    STATE(13478), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [385316] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8051), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [385342] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8063), 1,
      sym_query_statement,
    STATE(8361), 1,
      sym_query_expr,
    STATE(12900), 1,
      sym_cte_clause,
    STATE(7271), 2,
      sym_set_operation,
      sym_select,
  [385368] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9596), 1,
      sym__unquoted_identifier,
    ACTIONS(9598), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(9600), 1,
      aux_sym__keyword_array_token1,
    STATE(11723), 1,
      sym_column_type,
    STATE(17434), 1,
      sym__keyword_array,
    STATE(17435), 1,
      sym__keyword_struct,
    STATE(5971), 2,
      sym__column_definition_type_array,
      sym__column_definition_type_struct,
  [385394] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10417), 1,
      anon_sym_RPAREN,
    STATE(14796), 1,
      sym_order_by_clause,
    STATE(18386), 1,
      sym_limit_clause,
    STATE(14094), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [385420] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8366), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10419), 1,
      anon_sym_RPAREN,
    STATE(14080), 1,
      sym_having_min_clause,
    STATE(14084), 1,
      sym_having_max_clause,
    STATE(14915), 1,
      sym_order_by_clause,
    STATE(18393), 1,
      sym_limit_clause,
  [385448] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9456), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9458), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9460), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10421), 1,
      aux_sym__keyword_distinct_token1,
    STATE(10855), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [385469] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9406), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9408), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9410), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10423), 1,
      aux_sym__keyword_distinct_token1,
    STATE(6406), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [385490] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9448), 1,
      aux_sym_option_clause_token1,
    ACTIONS(10425), 1,
      aux_sym__keyword_returns_token1,
    ACTIONS(10427), 1,
      aux_sym__keyword_as_token1,
    STATE(12120), 1,
      sym__keyword_as,
    STATE(13843), 1,
      sym_option_clause,
    STATE(16214), 1,
      sym_create_table_function_returns,
    STATE(17446), 1,
      sym__keyword_returns,
  [385515] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8093), 1,
      anon_sym_LPAREN,
    ACTIONS(9867), 1,
      aux_sym_select_token1,
    STATE(12993), 1,
      sym_cte_clause,
    STATE(14234), 1,
      sym_query_expr,
    STATE(12414), 2,
      sym_set_operation,
      sym_select,
  [385538] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9448), 1,
      aux_sym_option_clause_token1,
    ACTIONS(9450), 1,
      aux_sym__function_language_token1,
    ACTIONS(10429), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(10431), 1,
      aux_sym_create_remote_function_statement_token1,
    STATE(14258), 1,
      sym_option_clause,
    STATE(16200), 1,
      sym__function_language,
    STATE(16202), 1,
      sym__keyword_as,
  [385563] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9464), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9466), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9468), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10433), 1,
      aux_sym__keyword_distinct_token1,
    STATE(4393), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [385584] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9516), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9518), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9520), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10435), 1,
      aux_sym__keyword_distinct_token1,
    STATE(10313), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [385605] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10439), 1,
      sym__string_content,
    ACTIONS(10441), 1,
      sym__string_end,
    STATE(14901), 1,
      aux_sym_string_repeat1,
    STATE(15340), 1,
      sym_range_boundary_start,
    STATE(19104), 1,
      sym_range_start,
    ACTIONS(10437), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [385628] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9398), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9400), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9402), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10443), 1,
      aux_sym__keyword_distinct_token1,
    STATE(2705), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [385649] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9416), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9418), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9420), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10445), 1,
      aux_sym__keyword_distinct_token1,
    STATE(4832), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [385670] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9464), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9466), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9468), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10447), 1,
      aux_sym__keyword_distinct_token1,
    STATE(4393), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [385691] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8093), 1,
      anon_sym_LPAREN,
    ACTIONS(9867), 1,
      aux_sym_select_token1,
    STATE(12993), 1,
      sym_cte_clause,
    STATE(14272), 1,
      sym_query_expr,
    STATE(12414), 2,
      sym_set_operation,
      sym_select,
  [385714] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8093), 1,
      anon_sym_LPAREN,
    ACTIONS(9867), 1,
      aux_sym_select_token1,
    STATE(12993), 1,
      sym_cte_clause,
    STATE(14287), 1,
      sym_query_expr,
    STATE(12414), 2,
      sym_set_operation,
      sym_select,
  [385737] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9464), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9466), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9468), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10449), 1,
      aux_sym__keyword_distinct_token1,
    STATE(4393), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [385758] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10451), 1,
      sym__string_content,
    ACTIONS(10453), 1,
      sym__string_end,
    STATE(14945), 1,
      aux_sym_string_repeat1,
    STATE(15340), 1,
      sym_range_boundary_start,
    STATE(19132), 1,
      sym_range_start,
    ACTIONS(10437), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [385781] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9508), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9510), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9512), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10455), 1,
      aux_sym__keyword_distinct_token1,
    STATE(5643), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [385802] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9464), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9466), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9468), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10457), 1,
      aux_sym__keyword_distinct_token1,
    STATE(4393), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [385823] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9448), 1,
      aux_sym_option_clause_token1,
    ACTIONS(9450), 1,
      aux_sym__function_language_token1,
    ACTIONS(10459), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(10461), 1,
      aux_sym_create_remote_function_statement_token1,
    STATE(14327), 1,
      sym_option_clause,
    STATE(16086), 1,
      sym__keyword_as,
    STATE(16088), 1,
      sym__function_language,
  [385848] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(9867), 1,
      aux_sym_select_token1,
    ACTIONS(10463), 1,
      anon_sym_LPAREN,
    STATE(12922), 1,
      sym_cte_clause,
    STATE(13079), 1,
      sym_query_expr,
    STATE(12356), 2,
      sym_set_operation,
      sym_select,
  [385871] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(9867), 1,
      aux_sym_select_token1,
    ACTIONS(10463), 1,
      anon_sym_LPAREN,
    STATE(12922), 1,
      sym_cte_clause,
    STATE(13082), 1,
      sym_query_expr,
    STATE(12356), 2,
      sym_set_operation,
      sym_select,
  [385894] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(9867), 1,
      aux_sym_select_token1,
    ACTIONS(10463), 1,
      anon_sym_LPAREN,
    STATE(12922), 1,
      sym_cte_clause,
    STATE(13083), 1,
      sym_query_expr,
    STATE(12356), 2,
      sym_set_operation,
      sym_select,
  [385917] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8093), 1,
      anon_sym_LPAREN,
    ACTIONS(9867), 1,
      aux_sym_select_token1,
    STATE(12993), 1,
      sym_cte_clause,
    STATE(14218), 1,
      sym_query_expr,
    STATE(12414), 2,
      sym_set_operation,
      sym_select,
  [385940] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(9867), 1,
      aux_sym_select_token1,
    ACTIONS(10463), 1,
      anon_sym_LPAREN,
    STATE(12922), 1,
      sym_cte_clause,
    STATE(13085), 1,
      sym_query_expr,
    STATE(12356), 2,
      sym_set_operation,
      sym_select,
  [385963] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8624), 1,
      aux_sym_default_clause_token1,
    ACTIONS(8630), 1,
      aux_sym_option_clause_token1,
    ACTIONS(10465), 1,
      aux_sym_keyword_if_not_exists_token2,
    STATE(7401), 1,
      sym_option_clause,
    STATE(13128), 1,
      sym_default_clause,
    ACTIONS(4841), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [385986] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8624), 1,
      aux_sym_default_clause_token1,
    ACTIONS(8630), 1,
      aux_sym_option_clause_token1,
    ACTIONS(10467), 1,
      aux_sym_keyword_if_not_exists_token2,
    STATE(7407), 1,
      sym_option_clause,
    STATE(13163), 1,
      sym_default_clause,
    ACTIONS(4847), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [386009] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9344), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9346), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9348), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10469), 1,
      aux_sym__keyword_distinct_token1,
    STATE(7223), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [386030] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9352), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9354), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9356), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10471), 1,
      aux_sym__keyword_distinct_token1,
    STATE(7796), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [386051] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10473), 1,
      sym__string_content,
    ACTIONS(10475), 1,
      sym__string_end,
    STATE(15176), 1,
      aux_sym_string_repeat1,
    STATE(15340), 1,
      sym_range_boundary_start,
    STATE(19139), 1,
      sym_range_start,
    ACTIONS(10437), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [386074] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9448), 1,
      aux_sym_option_clause_token1,
    ACTIONS(10425), 1,
      aux_sym__keyword_returns_token1,
    ACTIONS(10477), 1,
      aux_sym__keyword_as_token1,
    STATE(12138), 1,
      sym__keyword_as,
    STATE(13447), 1,
      sym_option_clause,
    STATE(16028), 1,
      sym_create_table_function_returns,
    STATE(17446), 1,
      sym__keyword_returns,
  [386099] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    ACTIONS(10479), 1,
      anon_sym_LPAREN,
    STATE(12993), 1,
      sym_cte_clause,
    STATE(15454), 1,
      sym_query_expr,
    STATE(7416), 2,
      sym_set_operation,
      sym_select,
  [386122] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8093), 1,
      anon_sym_LPAREN,
    ACTIONS(9867), 1,
      aux_sym_select_token1,
    STATE(12993), 1,
      sym_cte_clause,
    STATE(14335), 1,
      sym_query_expr,
    STATE(12414), 2,
      sym_set_operation,
      sym_select,
  [386145] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8630), 1,
      aux_sym_option_clause_token1,
    ACTIONS(8710), 1,
      aux_sym_default_clause_token1,
    ACTIONS(10467), 1,
      aux_sym_keyword_if_not_exists_token2,
    STATE(7407), 1,
      sym_option_clause,
    STATE(13163), 1,
      sym_default_clause,
    ACTIONS(4847), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [386168] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9448), 1,
      aux_sym_option_clause_token1,
    ACTIONS(10425), 1,
      aux_sym__keyword_returns_token1,
    ACTIONS(10481), 1,
      aux_sym__keyword_as_token1,
    STATE(12042), 1,
      sym__keyword_as,
    STATE(13396), 1,
      sym_option_clause,
    STATE(16169), 1,
      sym_create_table_function_returns,
    STATE(17446), 1,
      sym__keyword_returns,
  [386193] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10483), 1,
      anon_sym_LT,
    ACTIONS(4855), 6,
      aux_sym__keyword_format_token1,
      aux_sym__keyword_as_token1,
      anon_sym_RPAREN,
      aux_sym_option_clause_token1,
      aux_sym_create_remote_function_statement_token1,
      aux_sym__function_language_token1,
  [386208] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8624), 1,
      aux_sym_default_clause_token1,
    ACTIONS(8630), 1,
      aux_sym_option_clause_token1,
    ACTIONS(10485), 1,
      aux_sym_keyword_if_not_exists_token2,
    STATE(7275), 1,
      sym_option_clause,
    STATE(13170), 1,
      sym_default_clause,
    ACTIONS(4861), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [386231] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8093), 1,
      anon_sym_LPAREN,
    ACTIONS(9867), 1,
      aux_sym_select_token1,
    STATE(12993), 1,
      sym_cte_clause,
    STATE(14285), 1,
      sym_query_expr,
    STATE(12414), 2,
      sym_set_operation,
      sym_select,
  [386254] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [386267] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9448), 1,
      aux_sym_option_clause_token1,
    ACTIONS(10425), 1,
      aux_sym__keyword_returns_token1,
    ACTIONS(10487), 1,
      aux_sym__keyword_as_token1,
    STATE(12065), 1,
      sym__keyword_as,
    STATE(13376), 1,
      sym_option_clause,
    STATE(16015), 1,
      sym_create_table_function_returns,
    STATE(17446), 1,
      sym__keyword_returns,
  [386292] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9554), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9556), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9558), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10489), 1,
      aux_sym__keyword_distinct_token1,
    STATE(9896), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [386313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10491), 1,
      anon_sym_LT,
    ACTIONS(5043), 6,
      aux_sym__keyword_format_token1,
      aux_sym__keyword_as_token1,
      anon_sym_RPAREN,
      aux_sym_option_clause_token1,
      aux_sym_create_remote_function_statement_token1,
      aux_sym__function_language_token1,
  [386328] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6427), 7,
      aux_sym__keyword_distinct_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_like_token1,
      aux_sym_drop_notnull_token1,
      aux_sym_TRUE_token1,
      aux_sym_FALSE_token1,
  [386341] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8093), 1,
      anon_sym_LPAREN,
    ACTIONS(9867), 1,
      aux_sym_select_token1,
    STATE(12993), 1,
      sym_cte_clause,
    STATE(14300), 1,
      sym_query_expr,
    STATE(12414), 2,
      sym_set_operation,
      sym_select,
  [386364] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10493), 1,
      sym__string_content,
    ACTIONS(10495), 1,
      sym__string_end,
    STATE(15290), 1,
      aux_sym_string_repeat1,
    STATE(15340), 1,
      sym_range_boundary_start,
    STATE(19076), 1,
      sym_range_start,
    ACTIONS(10437), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [386387] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10497), 1,
      aux_sym_set_statement_token1,
    ACTIONS(10499), 1,
      aux_sym_drop_schema_statement_token1,
    STATE(7707), 5,
      sym_set_option,
      sym_set_data_type,
      sym_set_default,
      sym_drop_notnull,
      sym_drop_default,
  [386404] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8630), 1,
      aux_sym_option_clause_token1,
    ACTIONS(8710), 1,
      aux_sym_default_clause_token1,
    ACTIONS(10485), 1,
      aux_sym_keyword_if_not_exists_token2,
    STATE(7275), 1,
      sym_option_clause,
    STATE(13170), 1,
      sym_default_clause,
    ACTIONS(4861), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [386427] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8093), 1,
      anon_sym_LPAREN,
    ACTIONS(9867), 1,
      aux_sym_select_token1,
    STATE(12993), 1,
      sym_cte_clause,
    STATE(14264), 1,
      sym_query_expr,
    STATE(12414), 2,
      sym_set_operation,
      sym_select,
  [386450] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8093), 1,
      anon_sym_LPAREN,
    ACTIONS(9867), 1,
      aux_sym_select_token1,
    STATE(12993), 1,
      sym_cte_clause,
    STATE(14295), 1,
      sym_query_expr,
    STATE(12414), 2,
      sym_set_operation,
      sym_select,
  [386473] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10497), 1,
      aux_sym_set_statement_token1,
    ACTIONS(10499), 1,
      aux_sym_drop_schema_statement_token1,
    STATE(7557), 5,
      sym_set_option,
      sym_set_data_type,
      sym_set_default,
      sym_drop_notnull,
      sym_drop_default,
  [386490] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8624), 1,
      aux_sym_default_clause_token1,
    ACTIONS(8630), 1,
      aux_sym_option_clause_token1,
    ACTIONS(10501), 1,
      aux_sym_keyword_if_not_exists_token2,
    STATE(7367), 1,
      sym_option_clause,
    STATE(13156), 1,
      sym_default_clause,
    ACTIONS(4867), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [386513] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9416), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9418), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9420), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10503), 1,
      aux_sym__keyword_distinct_token1,
    STATE(4832), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [386534] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9464), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9466), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9468), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10505), 1,
      aux_sym__keyword_distinct_token1,
    STATE(4393), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [386555] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(9867), 1,
      aux_sym_select_token1,
    ACTIONS(10507), 1,
      anon_sym_LPAREN,
    STATE(12993), 1,
      sym_cte_clause,
    STATE(14406), 1,
      sym_query_expr,
    STATE(12433), 2,
      sym_set_operation,
      sym_select,
  [386578] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8093), 1,
      anon_sym_LPAREN,
    ACTIONS(9867), 1,
      aux_sym_select_token1,
    STATE(12993), 1,
      sym_cte_clause,
    STATE(14278), 1,
      sym_query_expr,
    STATE(12414), 2,
      sym_set_operation,
      sym_select,
  [386601] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8630), 1,
      aux_sym_option_clause_token1,
    ACTIONS(8710), 1,
      aux_sym_default_clause_token1,
    ACTIONS(10465), 1,
      aux_sym_keyword_if_not_exists_token2,
    STATE(7401), 1,
      sym_option_clause,
    STATE(13128), 1,
      sym_default_clause,
    ACTIONS(4841), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [386624] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10499), 1,
      aux_sym_drop_schema_statement_token1,
    ACTIONS(10509), 1,
      aux_sym_set_statement_token1,
    STATE(7557), 5,
      sym_set_option,
      sym_set_data_type,
      sym_set_default,
      sym_drop_notnull,
      sym_drop_default,
  [386641] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9448), 1,
      aux_sym_option_clause_token1,
    ACTIONS(10425), 1,
      aux_sym__keyword_returns_token1,
    ACTIONS(10511), 1,
      aux_sym__keyword_as_token1,
    STATE(12081), 1,
      sym__keyword_as,
    STATE(13317), 1,
      sym_option_clause,
    STATE(16117), 1,
      sym_create_table_function_returns,
    STATE(17446), 1,
      sym__keyword_returns,
  [386666] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10513), 1,
      sym__string_content,
    ACTIONS(10515), 1,
      sym__string_end,
    STATE(14500), 1,
      aux_sym_string_repeat1,
    STATE(15340), 1,
      sym_range_boundary_start,
    STATE(18929), 1,
      sym_range_start,
    ACTIONS(10437), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [386689] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    ACTIONS(10517), 1,
      anon_sym_LPAREN,
    STATE(7609), 1,
      sym_query_expr,
    STATE(12966), 1,
      sym_cte_clause,
    STATE(7330), 2,
      sym_set_operation,
      sym_select,
  [386712] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9448), 1,
      aux_sym_option_clause_token1,
    ACTIONS(10425), 1,
      aux_sym__keyword_returns_token1,
    ACTIONS(10519), 1,
      aux_sym__keyword_as_token1,
    STATE(12142), 1,
      sym__keyword_as,
    STATE(13456), 1,
      sym_option_clause,
    STATE(16032), 1,
      sym_create_table_function_returns,
    STATE(17446), 1,
      sym__keyword_returns,
  [386737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10521), 1,
      anon_sym_LPAREN,
    ACTIONS(10304), 6,
      aux_sym__keyword_format_token1,
      aux_sym__keyword_as_token1,
      anon_sym_RPAREN,
      aux_sym_option_clause_token1,
      aux_sym_create_remote_function_statement_token1,
      aux_sym__function_language_token1,
  [386752] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9448), 1,
      aux_sym_option_clause_token1,
    ACTIONS(9450), 1,
      aux_sym__function_language_token1,
    ACTIONS(10523), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(10525), 1,
      aux_sym_create_remote_function_statement_token1,
    STATE(14317), 1,
      sym_option_clause,
    STATE(16035), 1,
      sym__function_language,
    STATE(16037), 1,
      sym__keyword_as,
  [386777] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9464), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9466), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9468), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10527), 1,
      aux_sym__keyword_distinct_token1,
    STATE(4393), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [386798] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    ACTIONS(10517), 1,
      anon_sym_LPAREN,
    STATE(7608), 1,
      sym_query_expr,
    STATE(12966), 1,
      sym_cte_clause,
    STATE(7330), 2,
      sym_set_operation,
      sym_select,
  [386821] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    ACTIONS(10529), 1,
      anon_sym_LPAREN,
    STATE(6708), 1,
      sym_query_expr,
    STATE(12972), 1,
      sym_cte_clause,
    STATE(6586), 2,
      sym_set_operation,
      sym_select,
  [386844] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9344), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9346), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9348), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10531), 1,
      aux_sym__keyword_distinct_token1,
    STATE(7223), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [386865] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9426), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9428), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9430), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10533), 1,
      aux_sym__keyword_distinct_token1,
    STATE(1952), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [386886] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9474), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9476), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9478), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10535), 1,
      aux_sym__keyword_distinct_token1,
    STATE(10396), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [386907] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10537), 1,
      sym__string_content,
    ACTIONS(10539), 1,
      sym__string_end,
    STATE(14714), 1,
      aux_sym_string_repeat1,
    STATE(15340), 1,
      sym_range_boundary_start,
    STATE(19125), 1,
      sym_range_start,
    ACTIONS(10437), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [386930] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9370), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9372), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9374), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10541), 1,
      aux_sym__keyword_distinct_token1,
    STATE(515), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [386951] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10543), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [386964] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10545), 1,
      sym__string_content,
    ACTIONS(10547), 1,
      sym__string_end,
    STATE(15340), 1,
      sym_range_boundary_start,
    STATE(15698), 1,
      aux_sym_string_repeat1,
    STATE(19090), 1,
      sym_range_start,
    ACTIONS(10437), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [386987] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8093), 1,
      anon_sym_LPAREN,
    ACTIONS(9867), 1,
      aux_sym_select_token1,
    STATE(12993), 1,
      sym_cte_clause,
    STATE(14289), 1,
      sym_query_expr,
    STATE(12414), 2,
      sym_set_operation,
      sym_select,
  [387010] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8093), 1,
      anon_sym_LPAREN,
    ACTIONS(9867), 1,
      aux_sym_select_token1,
    STATE(12993), 1,
      sym_cte_clause,
    STATE(14299), 1,
      sym_query_expr,
    STATE(12414), 2,
      sym_set_operation,
      sym_select,
  [387033] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9390), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9392), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9394), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10549), 1,
      aux_sym__keyword_distinct_token1,
    STATE(3215), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [387054] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1632), 7,
      aux_sym_keyword_if_not_exists_token2,
      anon_sym_COMMA,
      aux_sym_default_clause_token1,
      aux_sym_primary_key_token1,
      aux_sym_foreign_key_references_token1,
      aux_sym_option_clause_token1,
      anon_sym_GT,
  [387067] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    ACTIONS(10529), 1,
      anon_sym_LPAREN,
    STATE(6704), 1,
      sym_query_expr,
    STATE(12972), 1,
      sym_cte_clause,
    STATE(6586), 2,
      sym_set_operation,
      sym_select,
  [387090] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    ACTIONS(10517), 1,
      anon_sym_LPAREN,
    STATE(7624), 1,
      sym_query_expr,
    STATE(12966), 1,
      sym_cte_clause,
    STATE(7330), 2,
      sym_set_operation,
      sym_select,
  [387113] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    ACTIONS(10529), 1,
      anon_sym_LPAREN,
    STATE(6700), 1,
      sym_query_expr,
    STATE(12972), 1,
      sym_cte_clause,
    STATE(6586), 2,
      sym_set_operation,
      sym_select,
  [387136] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8093), 1,
      anon_sym_LPAREN,
    ACTIONS(9867), 1,
      aux_sym_select_token1,
    STATE(12993), 1,
      sym_cte_clause,
    STATE(14219), 1,
      sym_query_expr,
    STATE(12414), 2,
      sym_set_operation,
      sym_select,
  [387159] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    ACTIONS(10517), 1,
      anon_sym_LPAREN,
    STATE(7601), 1,
      sym_query_expr,
    STATE(12966), 1,
      sym_cte_clause,
    STATE(7330), 2,
      sym_set_operation,
      sym_select,
  [387182] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    ACTIONS(10529), 1,
      anon_sym_LPAREN,
    STATE(6723), 1,
      sym_query_expr,
    STATE(12972), 1,
      sym_cte_clause,
    STATE(6586), 2,
      sym_set_operation,
      sym_select,
  [387205] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8093), 1,
      anon_sym_LPAREN,
    ACTIONS(9867), 1,
      aux_sym_select_token1,
    STATE(12993), 1,
      sym_cte_clause,
    STATE(14341), 1,
      sym_query_expr,
    STATE(12414), 2,
      sym_set_operation,
      sym_select,
  [387228] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9456), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9458), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9460), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10551), 1,
      aux_sym__keyword_distinct_token1,
    STATE(10855), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [387249] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9398), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9400), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9402), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10553), 1,
      aux_sym__keyword_distinct_token1,
    STATE(2705), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [387270] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8093), 1,
      anon_sym_LPAREN,
    ACTIONS(9867), 1,
      aux_sym_select_token1,
    STATE(12993), 1,
      sym_cte_clause,
    STATE(14248), 1,
      sym_query_expr,
    STATE(12414), 2,
      sym_set_operation,
      sym_select,
  [387293] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9546), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9548), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9550), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10555), 1,
      aux_sym__keyword_distinct_token1,
    STATE(4544), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [387314] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10557), 1,
      sym__string_content,
    ACTIONS(10559), 1,
      sym__string_end,
    STATE(14532), 1,
      aux_sym_string_repeat1,
    STATE(15340), 1,
      sym_range_boundary_start,
    STATE(19111), 1,
      sym_range_start,
    ACTIONS(10437), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [387337] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8093), 1,
      anon_sym_LPAREN,
    ACTIONS(9867), 1,
      aux_sym_select_token1,
    STATE(12993), 1,
      sym_cte_clause,
    STATE(14340), 1,
      sym_query_expr,
    STATE(12414), 2,
      sym_set_operation,
      sym_select,
  [387360] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8093), 1,
      anon_sym_LPAREN,
    ACTIONS(9867), 1,
      aux_sym_select_token1,
    STATE(12993), 1,
      sym_cte_clause,
    STATE(14321), 1,
      sym_query_expr,
    STATE(12414), 2,
      sym_set_operation,
      sym_select,
  [387383] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8093), 1,
      anon_sym_LPAREN,
    ACTIONS(9867), 1,
      aux_sym_select_token1,
    STATE(12993), 1,
      sym_cte_clause,
    STATE(14266), 1,
      sym_query_expr,
    STATE(12414), 2,
      sym_set_operation,
      sym_select,
  [387406] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9426), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9428), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9430), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10561), 1,
      aux_sym__keyword_distinct_token1,
    STATE(1952), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [387427] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8093), 1,
      anon_sym_LPAREN,
    ACTIONS(9867), 1,
      aux_sym_select_token1,
    STATE(12993), 1,
      sym_cte_clause,
    STATE(14348), 1,
      sym_query_expr,
    STATE(12414), 2,
      sym_set_operation,
      sym_select,
  [387450] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8093), 1,
      anon_sym_LPAREN,
    ACTIONS(9867), 1,
      aux_sym_select_token1,
    STATE(12993), 1,
      sym_cte_clause,
    STATE(14315), 1,
      sym_query_expr,
    STATE(12414), 2,
      sym_set_operation,
      sym_select,
  [387473] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8093), 1,
      anon_sym_LPAREN,
    ACTIONS(9867), 1,
      aux_sym_select_token1,
    STATE(12993), 1,
      sym_cte_clause,
    STATE(14211), 1,
      sym_query_expr,
    STATE(12414), 2,
      sym_set_operation,
      sym_select,
  [387496] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8093), 1,
      anon_sym_LPAREN,
    ACTIONS(9867), 1,
      aux_sym_select_token1,
    STATE(12993), 1,
      sym_cte_clause,
    STATE(14333), 1,
      sym_query_expr,
    STATE(12414), 2,
      sym_set_operation,
      sym_select,
  [387519] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    ACTIONS(10563), 1,
      anon_sym_LPAREN,
    STATE(12993), 1,
      sym_cte_clause,
    STATE(15454), 1,
      sym_query_expr,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [387542] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4455), 1,
      anon_sym_COMMA,
    STATE(12986), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4541), 5,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
  [387559] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8093), 1,
      anon_sym_LPAREN,
    ACTIONS(9867), 1,
      aux_sym_select_token1,
    STATE(12993), 1,
      sym_cte_clause,
    STATE(14314), 1,
      sym_query_expr,
    STATE(12414), 2,
      sym_set_operation,
      sym_select,
  [387582] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4455), 1,
      anon_sym_COMMA,
    STATE(12988), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4545), 5,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
  [387599] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9464), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9466), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9468), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10565), 1,
      aux_sym__keyword_distinct_token1,
    STATE(4393), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [387620] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10567), 1,
      sym__string_content,
    ACTIONS(10569), 1,
      sym__string_end,
    STATE(15340), 1,
      sym_range_boundary_start,
    STATE(15495), 1,
      aux_sym_string_repeat1,
    STATE(19048), 1,
      sym_range_start,
    ACTIONS(10437), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [387643] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    ACTIONS(10571), 1,
      anon_sym_LPAREN,
    STATE(12993), 1,
      sym_cte_clause,
    STATE(14677), 1,
      sym_query_expr,
    STATE(6479), 2,
      sym_set_operation,
      sym_select,
  [387666] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8093), 1,
      anon_sym_LPAREN,
    ACTIONS(9867), 1,
      aux_sym_select_token1,
    STATE(12993), 1,
      sym_cte_clause,
    STATE(14227), 1,
      sym_query_expr,
    STATE(12414), 2,
      sym_set_operation,
      sym_select,
  [387689] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9528), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9530), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9532), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10573), 1,
      aux_sym__keyword_distinct_token1,
    STATE(2279), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [387710] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 7,
      aux_sym_keyword_if_not_exists_token2,
      anon_sym_COMMA,
      aux_sym_default_clause_token1,
      aux_sym_primary_key_token1,
      aux_sym_foreign_key_references_token1,
      aux_sym_option_clause_token1,
      anon_sym_GT,
  [387723] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8093), 1,
      anon_sym_LPAREN,
    ACTIONS(9867), 1,
      aux_sym_select_token1,
    STATE(12993), 1,
      sym_cte_clause,
    STATE(14230), 1,
      sym_query_expr,
    STATE(12414), 2,
      sym_set_operation,
      sym_select,
  [387746] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9406), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9408), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9410), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10575), 1,
      aux_sym__keyword_distinct_token1,
    STATE(6406), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [387767] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10577), 1,
      sym__string_content,
    ACTIONS(10579), 1,
      sym__string_end,
    STATE(15340), 1,
      sym_range_boundary_start,
    STATE(15677), 1,
      aux_sym_string_repeat1,
    STATE(19062), 1,
      sym_range_start,
    ACTIONS(10437), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [387790] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10581), 1,
      sym__string_content,
    ACTIONS(10583), 1,
      sym__string_end,
    STATE(15279), 1,
      aux_sym_string_repeat1,
    STATE(15340), 1,
      sym_range_boundary_start,
    STATE(19055), 1,
      sym_range_start,
    ACTIONS(10437), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [387813] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9426), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9428), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9430), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10585), 1,
      aux_sym__keyword_distinct_token1,
    STATE(1952), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [387834] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8093), 1,
      anon_sym_LPAREN,
    ACTIONS(9867), 1,
      aux_sym_select_token1,
    STATE(12993), 1,
      sym_cte_clause,
    STATE(14312), 1,
      sym_query_expr,
    STATE(12414), 2,
      sym_set_operation,
      sym_select,
  [387857] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4455), 1,
      anon_sym_COMMA,
    STATE(13005), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4549), 5,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
  [387874] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10587), 1,
      sym__string_content,
    ACTIONS(10589), 1,
      sym__string_end,
    STATE(14710), 1,
      aux_sym_string_repeat1,
    STATE(15340), 1,
      sym_range_boundary_start,
    STATE(19008), 1,
      sym_range_start,
    ACTIONS(10437), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [387897] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4455), 1,
      anon_sym_COMMA,
    STATE(12988), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4553), 5,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
  [387914] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10591), 1,
      sym__string_content,
    ACTIONS(10593), 1,
      sym__string_end,
    STATE(14990), 1,
      aux_sym_string_repeat1,
    STATE(15340), 1,
      sym_range_boundary_start,
    STATE(19033), 1,
      sym_range_start,
    ACTIONS(10437), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [387937] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4455), 1,
      anon_sym_COMMA,
    STATE(12988), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4557), 5,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
  [387954] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8630), 1,
      aux_sym_option_clause_token1,
    ACTIONS(8726), 1,
      aux_sym__keyword_from_token1,
    ACTIONS(8728), 1,
      aux_sym_table_cluster_clause_token1,
    STATE(7477), 1,
      sym_from_files_clause,
    STATE(13712), 1,
      sym_table_cluster_clause,
    STATE(15321), 1,
      sym_option_clause,
    STATE(17512), 1,
      sym__keyword_from,
  [387979] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10595), 1,
      anon_sym_COMMA,
    STATE(12988), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4561), 5,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
  [387996] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10598), 1,
      sym__string_content,
    ACTIONS(10600), 1,
      sym__string_end,
    STATE(15340), 1,
      sym_range_boundary_start,
    STATE(15448), 1,
      aux_sym_string_repeat1,
    STATE(17323), 1,
      sym_range_start,
    ACTIONS(10437), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [388019] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9398), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9400), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9402), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10602), 1,
      aux_sym__keyword_distinct_token1,
    STATE(2705), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [388040] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9464), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9466), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9468), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10604), 1,
      aux_sym__keyword_distinct_token1,
    STATE(4393), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [388061] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9390), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9392), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9394), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10606), 1,
      aux_sym__keyword_distinct_token1,
    STATE(3215), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [388082] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(9867), 1,
      aux_sym_select_token1,
    ACTIONS(10608), 1,
      anon_sym_LPAREN,
    STATE(12993), 1,
      sym_cte_clause,
    STATE(14406), 1,
      sym_query_expr,
    STATE(12440), 2,
      sym_set_operation,
      sym_select,
  [388105] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9378), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9380), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9382), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10610), 1,
      aux_sym__keyword_distinct_token1,
    STATE(7920), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [388126] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9378), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9380), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9382), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10612), 1,
      aux_sym__keyword_distinct_token1,
    STATE(7920), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [388147] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10614), 1,
      sym__string_content,
    ACTIONS(10616), 1,
      sym__string_end,
    STATE(15254), 1,
      aux_sym_string_repeat1,
    STATE(15340), 1,
      sym_range_boundary_start,
    STATE(19097), 1,
      sym_range_start,
    ACTIONS(10437), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [388170] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10618), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [388183] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8093), 1,
      anon_sym_LPAREN,
    ACTIONS(9867), 1,
      aux_sym_select_token1,
    STATE(12993), 1,
      sym_cte_clause,
    STATE(14310), 1,
      sym_query_expr,
    STATE(12414), 2,
      sym_set_operation,
      sym_select,
  [388206] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8093), 1,
      anon_sym_LPAREN,
    ACTIONS(9867), 1,
      aux_sym_select_token1,
    STATE(12993), 1,
      sym_cte_clause,
    STATE(14311), 1,
      sym_query_expr,
    STATE(12414), 2,
      sym_set_operation,
      sym_select,
  [388229] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8093), 1,
      anon_sym_LPAREN,
    ACTIONS(9867), 1,
      aux_sym_select_token1,
    STATE(12993), 1,
      sym_cte_clause,
    STATE(14207), 1,
      sym_query_expr,
    STATE(12414), 2,
      sym_set_operation,
      sym_select,
  [388252] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10620), 1,
      sym__string_content,
    ACTIONS(10622), 1,
      sym__string_end,
    STATE(14586), 1,
      aux_sym_string_repeat1,
    STATE(15340), 1,
      sym_range_boundary_start,
    STATE(19069), 1,
      sym_range_start,
    ACTIONS(10437), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [388275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10624), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(10618), 5,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [388290] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9448), 1,
      aux_sym_option_clause_token1,
    ACTIONS(10425), 1,
      aux_sym__keyword_returns_token1,
    ACTIONS(10627), 1,
      aux_sym__keyword_as_token1,
    STATE(12055), 1,
      sym__keyword_as,
    STATE(13684), 1,
      sym_option_clause,
    STATE(16138), 1,
      sym_create_table_function_returns,
    STATE(17446), 1,
      sym__keyword_returns,
  [388315] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9370), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9372), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9374), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10629), 1,
      aux_sym__keyword_distinct_token1,
    STATE(515), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [388336] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4455), 1,
      anon_sym_COMMA,
    STATE(12988), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4568), 5,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
  [388353] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9448), 1,
      aux_sym_option_clause_token1,
    ACTIONS(9450), 1,
      aux_sym__function_language_token1,
    ACTIONS(10631), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(10633), 1,
      aux_sym_create_remote_function_statement_token1,
    STATE(14292), 1,
      sym_option_clause,
    STATE(16105), 1,
      sym__function_language,
    STATE(16107), 1,
      sym__keyword_as,
  [388378] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9474), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9476), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9478), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10635), 1,
      aux_sym__keyword_distinct_token1,
    STATE(10396), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [388399] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10637), 1,
      sym__string_content,
    ACTIONS(10639), 1,
      sym__string_end,
    STATE(14483), 1,
      aux_sym_string_repeat1,
    STATE(15340), 1,
      sym_range_boundary_start,
    STATE(19118), 1,
      sym_range_start,
    ACTIONS(10437), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [388422] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9362), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9364), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9366), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10641), 1,
      aux_sym__keyword_distinct_token1,
    STATE(3544), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [388443] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9448), 1,
      aux_sym_option_clause_token1,
    ACTIONS(10425), 1,
      aux_sym__keyword_returns_token1,
    ACTIONS(10643), 1,
      aux_sym__keyword_as_token1,
    STATE(12030), 1,
      sym__keyword_as,
    STATE(13563), 1,
      sym_option_clause,
    STATE(16090), 1,
      sym_create_table_function_returns,
    STATE(17446), 1,
      sym__keyword_returns,
  [388468] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8630), 1,
      aux_sym_option_clause_token1,
    ACTIONS(8726), 1,
      aux_sym__keyword_from_token1,
    ACTIONS(8728), 1,
      aux_sym_table_cluster_clause_token1,
    STATE(7523), 1,
      sym_from_files_clause,
    STATE(13514), 1,
      sym_table_cluster_clause,
    STATE(15720), 1,
      sym_option_clause,
    STATE(17512), 1,
      sym__keyword_from,
  [388493] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8093), 1,
      anon_sym_LPAREN,
    ACTIONS(9867), 1,
      aux_sym_select_token1,
    STATE(12993), 1,
      sym_cte_clause,
    STATE(14281), 1,
      sym_query_expr,
    STATE(12414), 2,
      sym_set_operation,
      sym_select,
  [388516] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8093), 1,
      anon_sym_LPAREN,
    ACTIONS(9867), 1,
      aux_sym_select_token1,
    STATE(12993), 1,
      sym_cte_clause,
    STATE(14245), 1,
      sym_query_expr,
    STATE(12414), 2,
      sym_set_operation,
      sym_select,
  [388539] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10499), 1,
      aux_sym_drop_schema_statement_token1,
    ACTIONS(10509), 1,
      aux_sym_set_statement_token1,
    STATE(7707), 5,
      sym_set_option,
      sym_set_data_type,
      sym_set_default,
      sym_drop_notnull,
      sym_drop_default,
  [388556] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8093), 1,
      anon_sym_LPAREN,
    ACTIONS(9867), 1,
      aux_sym_select_token1,
    STATE(12993), 1,
      sym_cte_clause,
    STATE(14256), 1,
      sym_query_expr,
    STATE(12414), 2,
      sym_set_operation,
      sym_select,
  [388579] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(985), 1,
      aux_sym_select_token1,
    ACTIONS(10645), 1,
      anon_sym_LPAREN,
    STATE(12993), 1,
      sym_cte_clause,
    STATE(14677), 1,
      sym_query_expr,
    STATE(6500), 2,
      sym_set_operation,
      sym_select,
  [388602] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10647), 1,
      sym__string_content,
    ACTIONS(10649), 1,
      sym__string_end,
    STATE(15149), 1,
      aux_sym_string_repeat1,
    STATE(15340), 1,
      sym_range_boundary_start,
    STATE(19083), 1,
      sym_range_start,
    ACTIONS(10437), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [388625] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9398), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9400), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9402), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10651), 1,
      aux_sym__keyword_distinct_token1,
    STATE(2705), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [388646] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8630), 1,
      aux_sym_option_clause_token1,
    ACTIONS(8710), 1,
      aux_sym_default_clause_token1,
    ACTIONS(10501), 1,
      aux_sym_keyword_if_not_exists_token2,
    STATE(7367), 1,
      sym_option_clause,
    STATE(13156), 1,
      sym_default_clause,
    ACTIONS(4867), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [388669] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8093), 1,
      anon_sym_LPAREN,
    ACTIONS(9867), 1,
      aux_sym_select_token1,
    STATE(12993), 1,
      sym_cte_clause,
    STATE(14319), 1,
      sym_query_expr,
    STATE(12414), 2,
      sym_set_operation,
      sym_select,
  [388692] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8093), 1,
      anon_sym_LPAREN,
    ACTIONS(9867), 1,
      aux_sym_select_token1,
    STATE(12993), 1,
      sym_cte_clause,
    STATE(14318), 1,
      sym_query_expr,
    STATE(12414), 2,
      sym_set_operation,
      sym_select,
  [388715] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10653), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10655), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(18427), 2,
      sym__float,
      sym__float_or_integer,
  [388731] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10657), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10659), 1,
      aux_sym__keyword_in_token1,
    ACTIONS(10661), 1,
      aux_sym__keyword_like_token1,
    STATE(1005), 1,
      sym__keyword_in,
    STATE(1442), 1,
      sym__keyword_between,
    STATE(14232), 1,
      sym__keyword_like,
  [388753] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10661), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10663), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10665), 1,
      aux_sym__keyword_in_token1,
    STATE(1178), 1,
      sym__keyword_between,
    STATE(1419), 1,
      sym__keyword_in,
    STATE(14232), 1,
      sym__keyword_like,
  [388775] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9228), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(17393), 1,
      sym_window_frame_clause,
  [388797] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9264), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(17026), 1,
      sym_window_frame_clause,
  [388819] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10667), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(18692), 1,
      sym_window_frame_clause,
  [388841] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10661), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10669), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10671), 1,
      aux_sym__keyword_in_token1,
    STATE(1739), 1,
      sym__keyword_in,
    STATE(1741), 1,
      sym__keyword_between,
    STATE(14232), 1,
      sym__keyword_like,
  [388863] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10673), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(17096), 1,
      sym_window_frame_clause,
  [388885] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10661), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10675), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10677), 1,
      aux_sym__keyword_in_token1,
    STATE(1438), 1,
      sym__keyword_in,
    STATE(1615), 1,
      sym__keyword_between,
    STATE(14232), 1,
      sym__keyword_like,
  [388907] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9915), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(16979), 1,
      sym_window_frame_clause,
  [388929] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10679), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10681), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(17409), 2,
      sym__float,
      sym__float_or_integer,
  [388945] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9939), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(18728), 1,
      sym_window_frame_clause,
  [388967] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10683), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10685), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(17411), 2,
      sym__float,
      sym__float_or_integer,
  [388983] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9242), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(17153), 1,
      sym_window_frame_clause,
  [389005] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9274), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(17004), 1,
      sym_window_frame_clause,
  [389027] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10661), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10687), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10689), 1,
      aux_sym__keyword_in_token1,
    STATE(1147), 1,
      sym__keyword_between,
    STATE(1560), 1,
      sym__keyword_in,
    STATE(14232), 1,
      sym__keyword_like,
  [389049] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9919), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(17221), 1,
      sym_window_frame_clause,
  [389071] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10021), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(17819), 1,
      sym_window_frame_clause,
  [389093] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9256), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(17305), 1,
      sym_window_frame_clause,
  [389115] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10691), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(16941), 1,
      sym_window_frame_clause,
  [389137] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8630), 1,
      aux_sym_option_clause_token1,
    ACTIONS(10693), 1,
      aux_sym_keyword_if_not_exists_token2,
    STATE(7363), 1,
      sym_option_clause,
    ACTIONS(5206), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
  [389155] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10007), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(17122), 1,
      sym_window_frame_clause,
  [389177] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10661), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10695), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10697), 1,
      aux_sym__keyword_in_token1,
    STATE(896), 1,
      sym__keyword_in,
    STATE(1315), 1,
      sym__keyword_between,
    STATE(14232), 1,
      sym__keyword_like,
  [389199] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9262), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(18846), 1,
      sym_window_frame_clause,
  [389221] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10661), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10699), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10701), 1,
      aux_sym__keyword_in_token1,
    STATE(1131), 1,
      sym__keyword_between,
    STATE(1512), 1,
      sym__keyword_in,
    STATE(14232), 1,
      sym__keyword_like,
  [389243] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10703), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(17189), 1,
      sym_window_frame_clause,
  [389265] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9226), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(16823), 1,
      sym_window_frame_clause,
  [389287] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10661), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10705), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10707), 1,
      aux_sym__keyword_in_token1,
    STATE(942), 1,
      sym__keyword_in,
    STATE(1015), 1,
      sym__keyword_between,
    STATE(14232), 1,
      sym__keyword_like,
  [389309] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9232), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(18974), 1,
      sym_window_frame_clause,
  [389331] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9865), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(16775), 1,
      sym_window_frame_clause,
  [389353] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10709), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(16747), 1,
      sym_window_frame_clause,
  [389375] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10661), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10711), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10713), 1,
      aux_sym__keyword_in_token1,
    STATE(1115), 1,
      sym__keyword_between,
    STATE(1247), 1,
      sym__keyword_in,
    STATE(14232), 1,
      sym__keyword_like,
  [389397] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10661), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10715), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10717), 1,
      aux_sym__keyword_in_token1,
    STATE(1222), 1,
      sym__keyword_in,
    STATE(1525), 1,
      sym__keyword_between,
    STATE(14232), 1,
      sym__keyword_like,
  [389419] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5811), 6,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_begin_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_AS,
  [389431] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10719), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(16913), 1,
      sym_window_frame_clause,
  [389453] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10721), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10723), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(18561), 2,
      sym__float,
      sym__float_or_integer,
  [389469] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9218), 1,
      anon_sym_RPAREN,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(17349), 1,
      sym_window_frame_clause,
  [389491] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10725), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(17274), 1,
      sym_window_frame_clause,
  [389513] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10727), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10729), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(18325), 2,
      sym__float,
      sym__float_or_integer,
  [389529] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10731), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10733), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(18324), 2,
      sym__float,
      sym__float_or_integer,
  [389545] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10661), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10735), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10737), 1,
      aux_sym__keyword_in_token1,
    STATE(1402), 1,
      sym__keyword_in,
    STATE(1508), 1,
      sym__keyword_between,
    STATE(14232), 1,
      sym__keyword_like,
  [389567] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10074), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(17311), 1,
      sym_window_frame_clause,
  [389589] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10661), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10739), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10741), 1,
      aux_sym__keyword_in_token1,
    STATE(1327), 1,
      sym__keyword_between,
    STATE(1818), 1,
      sym__keyword_in,
    STATE(14232), 1,
      sym__keyword_like,
  [389611] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10743), 1,
      aux_sym_add_column_action_token2,
    ACTIONS(10745), 1,
      aux_sym_primary_key_token1,
    ACTIONS(10747), 1,
      aux_sym_foreign_key_token1,
    ACTIONS(10749), 1,
      aux_sym_add_foreign_key_action_token1,
    STATE(7805), 1,
      sym_primary_key,
    STATE(7809), 1,
      sym_foreign_key,
  [389633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10753), 1,
      sym__quoted_identifier,
    ACTIONS(10751), 5,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      sym__unquoted_identifier,
  [389647] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9770), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(16692), 1,
      sym_window_frame_clause,
  [389669] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10661), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10755), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10757), 1,
      aux_sym__keyword_in_token1,
    STATE(1765), 1,
      sym__keyword_between,
    STATE(1875), 1,
      sym__keyword_in,
    STATE(14232), 1,
      sym__keyword_like,
  [389691] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10661), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10759), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10761), 1,
      aux_sym__keyword_in_token1,
    STATE(1466), 1,
      sym__keyword_between,
    STATE(1851), 1,
      sym__keyword_in,
    STATE(14232), 1,
      sym__keyword_like,
  [389713] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10661), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10763), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10765), 1,
      aux_sym__keyword_in_token1,
    STATE(997), 1,
      sym__keyword_between,
    STATE(1480), 1,
      sym__keyword_in,
    STATE(14232), 1,
      sym__keyword_like,
  [389735] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9252), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(18028), 1,
      sym_window_frame_clause,
  [389757] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10661), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10767), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10769), 1,
      aux_sym__keyword_in_token1,
    STATE(1170), 1,
      sym__keyword_in,
    STATE(1496), 1,
      sym__keyword_between,
    STATE(14232), 1,
      sym__keyword_like,
  [389779] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10110), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(17570), 1,
      sym_window_frame_clause,
  [389801] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10661), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10771), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10773), 1,
      aux_sym__keyword_in_token1,
    STATE(1270), 1,
      sym__keyword_between,
    STATE(1659), 1,
      sym__keyword_in,
    STATE(14232), 1,
      sym__keyword_like,
  [389823] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5831), 6,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_begin_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_AS,
  [389835] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10775), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(17441), 1,
      sym_window_frame_clause,
  [389857] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10661), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10777), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10779), 1,
      aux_sym__keyword_in_token1,
    STATE(1028), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_in,
    STATE(14232), 1,
      sym__keyword_like,
  [389879] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10128), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(17474), 1,
      sym_window_frame_clause,
  [389901] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10781), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10783), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10785), 1,
      aux_sym_set_operation_token4,
    ACTIONS(4823), 3,
      anon_sym_RPAREN,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [389919] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10661), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10787), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10789), 1,
      aux_sym__keyword_in_token1,
    STATE(915), 1,
      sym__keyword_between,
    STATE(1066), 1,
      sym__keyword_in,
    STATE(14232), 1,
      sym__keyword_like,
  [389941] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10661), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10791), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10793), 1,
      aux_sym__keyword_in_token1,
    STATE(913), 1,
      sym__keyword_between,
    STATE(1311), 1,
      sym__keyword_in,
    STATE(14232), 1,
      sym__keyword_like,
  [389963] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10781), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10783), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10785), 1,
      aux_sym_set_operation_token4,
    ACTIONS(4799), 3,
      anon_sym_RPAREN,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [389981] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10781), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10783), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10785), 1,
      aux_sym_set_operation_token4,
    ACTIONS(4809), 3,
      anon_sym_RPAREN,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [389999] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10661), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10795), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10797), 1,
      aux_sym__keyword_in_token1,
    STATE(1212), 1,
      sym__keyword_in,
    STATE(1879), 1,
      sym__keyword_between,
    STATE(14232), 1,
      sym__keyword_like,
  [390021] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10781), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10783), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10785), 1,
      aux_sym_set_operation_token4,
    ACTIONS(4819), 3,
      anon_sym_RPAREN,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [390039] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10799), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(19314), 1,
      sym_window_frame_clause,
  [390061] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10661), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10801), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10803), 1,
      aux_sym__keyword_in_token1,
    STATE(845), 1,
      sym__keyword_between,
    STATE(1777), 1,
      sym__keyword_in,
    STATE(14232), 1,
      sym__keyword_like,
  [390083] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9222), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(17509), 1,
      sym_window_frame_clause,
  [390105] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10661), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10805), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10807), 1,
      aux_sym__keyword_in_token1,
    STATE(851), 1,
      sym__keyword_between,
    STATE(1716), 1,
      sym__keyword_in,
    STATE(14232), 1,
      sym__keyword_like,
  [390127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10811), 1,
      sym__quoted_identifier,
    ACTIONS(10809), 5,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      sym__unquoted_identifier,
  [390141] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10661), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10813), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10815), 1,
      aux_sym__keyword_in_token1,
    STATE(854), 1,
      sym__keyword_between,
    STATE(1648), 1,
      sym__keyword_in,
    STATE(14232), 1,
      sym__keyword_like,
  [390163] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10661), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10817), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10819), 1,
      aux_sym__keyword_in_token1,
    STATE(856), 1,
      sym__keyword_between,
    STATE(992), 1,
      sym__keyword_in,
    STATE(14232), 1,
      sym__keyword_like,
  [390185] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10661), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10821), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10823), 1,
      aux_sym__keyword_in_token1,
    STATE(1446), 1,
      sym__keyword_in,
    STATE(1847), 1,
      sym__keyword_between,
    STATE(14232), 1,
      sym__keyword_like,
  [390207] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10825), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10827), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(17575), 2,
      sym__float,
      sym__float_or_integer,
  [390223] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10829), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(17785), 1,
      sym_window_frame_clause,
  [390245] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10831), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10833), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(17577), 2,
      sym__float,
      sym__float_or_integer,
  [390261] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9266), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(16363), 1,
      sym_window_frame_clause,
  [390283] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10661), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10835), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10837), 1,
      aux_sym__keyword_in_token1,
    STATE(858), 1,
      sym__keyword_between,
    STATE(944), 1,
      sym__keyword_in,
    STATE(14232), 1,
      sym__keyword_like,
  [390305] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10661), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10839), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10841), 1,
      aux_sym__keyword_in_token1,
    STATE(1291), 1,
      sym__keyword_between,
    STATE(1601), 1,
      sym__keyword_in,
    STATE(14232), 1,
      sym__keyword_like,
  [390327] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10661), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10843), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10845), 1,
      aux_sym__keyword_in_token1,
    STATE(1501), 1,
      sym__keyword_in,
    STATE(1813), 1,
      sym__keyword_between,
    STATE(14232), 1,
      sym__keyword_like,
  [390349] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10847), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(17629), 1,
      sym_window_frame_clause,
  [390371] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10188), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(17668), 1,
      sym_window_frame_clause,
  [390393] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10849), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10851), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(17827), 2,
      sym__float,
      sym__float_or_integer,
  [390409] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10853), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(18785), 1,
      sym_window_frame_clause,
  [390431] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10855), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10857), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(17062), 2,
      sym__float,
      sym__float_or_integer,
  [390447] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10859), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10861), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(17060), 2,
      sym__float,
      sym__float_or_integer,
  [390463] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9248), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(17708), 1,
      sym_window_frame_clause,
  [390485] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10863), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10865), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(16352), 2,
      sym__float,
      sym__float_or_integer,
  [390501] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10867), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10869), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(18564), 2,
      sym__float,
      sym__float_or_integer,
  [390517] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4597), 1,
      anon_sym_COMMA,
    STATE(13136), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4568), 4,
      aux_sym__keyword_range_token1,
      anon_sym_RPAREN,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
  [390533] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9230), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(19152), 1,
      sym_window_frame_clause,
  [390555] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10871), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10873), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(18033), 2,
      sym__float,
      sym__float_or_integer,
  [390571] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10875), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10877), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(18035), 2,
      sym__float,
      sym__float_or_integer,
  [390587] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10661), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10879), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10881), 1,
      aux_sym__keyword_in_token1,
    STATE(866), 1,
      sym__keyword_in,
    STATE(1477), 1,
      sym__keyword_between,
    STATE(14232), 1,
      sym__keyword_like,
  [390609] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10661), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10883), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10885), 1,
      aux_sym__keyword_in_token1,
    STATE(1326), 1,
      sym__keyword_between,
    STATE(1617), 1,
      sym__keyword_in,
    STATE(14232), 1,
      sym__keyword_like,
  [390631] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10887), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10889), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(18250), 2,
      sym__float,
      sym__float_or_integer,
  [390647] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10891), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10893), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(18251), 2,
      sym__float,
      sym__float_or_integer,
  [390663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10897), 1,
      sym__quoted_identifier,
    ACTIONS(10895), 5,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      sym__unquoted_identifier,
  [390677] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9258), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(18554), 1,
      sym_window_frame_clause,
  [390699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10901), 1,
      sym__quoted_identifier,
    ACTIONS(10899), 5,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      sym__unquoted_identifier,
  [390713] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10903), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10905), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(19311), 2,
      sym__float,
      sym__float_or_integer,
  [390729] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10907), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10909), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(19309), 2,
      sym__float,
      sym__float_or_integer,
  [390745] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10911), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(18993), 1,
      sym_window_frame_clause,
  [390767] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9696), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(18883), 1,
      sym_window_frame_clause,
  [390789] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10913), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10915), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(18426), 2,
      sym__float,
      sym__float_or_integer,
  [390805] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9698), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(19026), 1,
      sym_window_frame_clause,
  [390827] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5196), 6,
      aux_sym__keyword_format_token1,
      aux_sym__keyword_as_token1,
      anon_sym_RPAREN,
      aux_sym_option_clause_token1,
      aux_sym_create_remote_function_statement_token1,
      aux_sym__function_language_token1,
  [390839] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8630), 1,
      aux_sym_option_clause_token1,
    ACTIONS(10917), 1,
      aux_sym_keyword_if_not_exists_token2,
    STATE(7387), 1,
      sym_option_clause,
    ACTIONS(5242), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
  [390857] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10248), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(18510), 1,
      sym_window_frame_clause,
  [390879] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10919), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(17862), 1,
      sym_window_frame_clause,
  [390901] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10921), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(18473), 1,
      sym_window_frame_clause,
  [390923] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9224), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(19078), 1,
      sym_window_frame_clause,
  [390945] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10923), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(18635), 1,
      sym_window_frame_clause,
  [390967] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4597), 1,
      anon_sym_COMMA,
    STATE(13139), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4541), 4,
      aux_sym__keyword_range_token1,
      anon_sym_RPAREN,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
  [390983] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5073), 6,
      aux_sym__keyword_format_token1,
      aux_sym__keyword_as_token1,
      anon_sym_RPAREN,
      aux_sym_option_clause_token1,
      aux_sym_create_remote_function_statement_token1,
      aux_sym__function_language_token1,
  [390995] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10925), 1,
      anon_sym_COMMA,
    STATE(13136), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4561), 4,
      aux_sym__keyword_range_token1,
      anon_sym_RPAREN,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
  [391011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10930), 1,
      sym__quoted_identifier,
    ACTIONS(10928), 5,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      sym__unquoted_identifier,
  [391025] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10932), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10934), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(17533), 2,
      sym__float,
      sym__float_or_integer,
  [391041] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4597), 1,
      anon_sym_COMMA,
    STATE(13136), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4557), 4,
      aux_sym__keyword_range_token1,
      anon_sym_RPAREN,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
  [391057] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9250), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(16781), 1,
      sym_window_frame_clause,
  [391079] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4597), 1,
      anon_sym_COMMA,
    STATE(13136), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4553), 4,
      aux_sym__keyword_range_token1,
      anon_sym_RPAREN,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
  [391095] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4597), 1,
      anon_sym_COMMA,
    STATE(13110), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4549), 4,
      aux_sym__keyword_range_token1,
      anon_sym_RPAREN,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
  [391111] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10661), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10936), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10938), 1,
      aux_sym__keyword_in_token1,
    STATE(1375), 1,
      sym__keyword_in,
    STATE(1773), 1,
      sym__keyword_between,
    STATE(14232), 1,
      sym__keyword_like,
  [391133] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5108), 6,
      aux_sym__keyword_format_token1,
      aux_sym__keyword_as_token1,
      anon_sym_RPAREN,
      aux_sym_option_clause_token1,
      aux_sym_create_remote_function_statement_token1,
      aux_sym__function_language_token1,
  [391145] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10661), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10940), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10942), 1,
      aux_sym__keyword_in_token1,
    STATE(1337), 1,
      sym__keyword_in,
    STATE(1473), 1,
      sym__keyword_between,
    STATE(14232), 1,
      sym__keyword_like,
  [391167] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10944), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10946), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(17532), 2,
      sym__float,
      sym__float_or_integer,
  [391183] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5799), 6,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_begin_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_AS,
  [391195] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10260), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(17894), 1,
      sym_window_frame_clause,
  [391217] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9634), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(16812), 1,
      sym_window_frame_clause,
  [391239] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5102), 6,
      aux_sym__keyword_format_token1,
      aux_sym__keyword_as_token1,
      anon_sym_RPAREN,
      aux_sym_option_clause_token1,
      aux_sym_create_remote_function_statement_token1,
      aux_sym__function_language_token1,
  [391251] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9626), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(19231), 1,
      sym_window_frame_clause,
  [391273] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9240), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(17932), 1,
      sym_window_frame_clause,
  [391295] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4597), 1,
      anon_sym_COMMA,
    STATE(13136), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4545), 4,
      aux_sym__keyword_range_token1,
      anon_sym_RPAREN,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
  [391311] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10745), 1,
      aux_sym_primary_key_token1,
    ACTIONS(10747), 1,
      aux_sym_foreign_key_token1,
    ACTIONS(10749), 1,
      aux_sym_add_foreign_key_action_token1,
    ACTIONS(10948), 1,
      aux_sym_add_column_action_token2,
    STATE(7805), 1,
      sym_primary_key,
    STATE(7809), 1,
      sym_foreign_key,
  [391333] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10661), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10950), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10952), 1,
      aux_sym__keyword_in_token1,
    STATE(1610), 1,
      sym__keyword_between,
    STATE(1630), 1,
      sym__keyword_in,
    STATE(14232), 1,
      sym__keyword_like,
  [391355] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8630), 1,
      aux_sym_option_clause_token1,
    ACTIONS(10954), 1,
      aux_sym_keyword_if_not_exists_token2,
    STATE(7297), 1,
      sym_option_clause,
    ACTIONS(5282), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
  [391373] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8630), 1,
      aux_sym_option_clause_token1,
    ACTIONS(10956), 1,
      aux_sym_keyword_if_not_exists_token2,
    STATE(7283), 1,
      sym_option_clause,
    ACTIONS(5276), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
  [391391] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10958), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10960), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(18644), 2,
      sym__float,
      sym__float_or_integer,
  [391407] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9618), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(16719), 1,
      sym_window_frame_clause,
  [391429] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10962), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10964), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(18645), 2,
      sym__float,
      sym__float_or_integer,
  [391445] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10968), 1,
      aux_sym__keyword_when_token1,
    STATE(1531), 1,
      sym__keyword_when,
    ACTIONS(10966), 2,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_else_token1,
    STATE(13161), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [391463] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10971), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10973), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(18927), 2,
      sym__float,
      sym__float_or_integer,
  [391479] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8630), 1,
      aux_sym_option_clause_token1,
    ACTIONS(10975), 1,
      aux_sym_keyword_if_not_exists_token2,
    STATE(7393), 1,
      sym_option_clause,
    ACTIONS(5190), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
  [391497] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10661), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10977), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10979), 1,
      aux_sym__keyword_in_token1,
    STATE(1137), 1,
      sym__keyword_in,
    STATE(1826), 1,
      sym__keyword_between,
    STATE(14232), 1,
      sym__keyword_like,
  [391519] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10981), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10983), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(18932), 2,
      sym__float,
      sym__float_or_integer,
  [391535] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10661), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10985), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10987), 1,
      aux_sym__keyword_in_token1,
    STATE(1714), 1,
      sym__keyword_in,
    STATE(1753), 1,
      sym__keyword_between,
    STATE(14232), 1,
      sym__keyword_like,
  [391557] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10989), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(17614), 1,
      sym_window_frame_clause,
  [391579] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10993), 1,
      anon_sym_COMMA,
    STATE(13168), 1,
      aux_sym_window_partition_clause_repeat1,
    ACTIONS(10991), 4,
      aux_sym__keyword_range_token1,
      anon_sym_RPAREN,
      aux_sym_rows_range_token1,
      aux_sym_order_by_clause_token1,
  [391595] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10996), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10998), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(19168), 2,
      sym__float,
      sym__float_or_integer,
  [391611] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8630), 1,
      aux_sym_option_clause_token1,
    ACTIONS(11000), 1,
      aux_sym_keyword_if_not_exists_token2,
    STATE(7307), 1,
      sym_option_clause,
    ACTIONS(5049), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
  [391629] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9246), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(18359), 1,
      sym_window_frame_clause,
  [391651] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(11002), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(16634), 1,
      sym_window_frame_clause,
  [391673] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11004), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(11006), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(19171), 2,
      sym__float,
      sym__float_or_integer,
  [391689] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(11008), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(16602), 1,
      sym_window_frame_clause,
  [391711] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5976), 1,
      anon_sym_COMMA,
    STATE(13168), 1,
      aux_sym_window_partition_clause_repeat1,
    ACTIONS(11010), 4,
      aux_sym__keyword_range_token1,
      anon_sym_RPAREN,
      aux_sym_rows_range_token1,
      aux_sym_order_by_clause_token1,
  [391727] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10346), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(18445), 1,
      sym_window_frame_clause,
  [391749] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10354), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(18322), 1,
      sym_window_frame_clause,
  [391771] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11012), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(11014), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(18861), 2,
      sym__float,
      sym__float_or_integer,
  [391787] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11016), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(11018), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(18845), 2,
      sym__float,
      sym__float_or_integer,
  [391803] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(11020), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(18280), 1,
      sym_window_frame_clause,
  [391825] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(11022), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(18064), 1,
      sym_window_frame_clause,
  [391847] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10367), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(18095), 1,
      sym_window_frame_clause,
  [391869] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11024), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(11026), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(17991), 2,
      sym__float,
      sym__float_or_integer,
  [391885] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10661), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(11028), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(11030), 1,
      aux_sym__keyword_in_token1,
    STATE(1253), 1,
      sym__keyword_between,
    STATE(1754), 1,
      sym__keyword_in,
    STATE(14232), 1,
      sym__keyword_like,
  [391907] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9260), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(18147), 1,
      sym_window_frame_clause,
  [391929] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11032), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(11034), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(17984), 2,
      sym__float,
      sym__float_or_integer,
  [391945] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11036), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(11038), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(16525), 2,
      sym__float,
      sym__float_or_integer,
  [391961] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5218), 6,
      aux_sym__keyword_format_token1,
      aux_sym__keyword_as_token1,
      anon_sym_RPAREN,
      aux_sym_option_clause_token1,
      aux_sym_create_remote_function_statement_token1,
      aux_sym__function_language_token1,
  [391973] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4879), 6,
      aux_sym__keyword_format_token1,
      aux_sym__keyword_as_token1,
      anon_sym_RPAREN,
      aux_sym_option_clause_token1,
      aux_sym_create_remote_function_statement_token1,
      aux_sym__function_language_token1,
  [391985] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9214), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9220), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9254), 1,
      anon_sym_RPAREN,
    STATE(11229), 1,
      sym_rows_range,
    STATE(11779), 1,
      sym__keyword_range,
    STATE(18374), 1,
      sym_window_frame_clause,
  [392007] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11040), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(11042), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(16524), 2,
      sym__float,
      sym__float_or_integer,
  [392023] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10661), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(11044), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(11046), 1,
      aux_sym__keyword_in_token1,
    STATE(1613), 1,
      sym__keyword_in,
    STATE(1740), 1,
      sym__keyword_between,
    STATE(14232), 1,
      sym__keyword_like,
  [392045] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11048), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(11050), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(17155), 2,
      sym__float,
      sym__float_or_integer,
  [392061] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11052), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(11054), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(17154), 2,
      sym__float,
      sym__float_or_integer,
  [392077] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11056), 1,
      anon_sym_RPAREN,
    STATE(15967), 1,
      sym_order_by_clause,
    STATE(16701), 1,
      sym_limit_clause,
  [392096] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11058), 1,
      anon_sym_RPAREN,
    STATE(15409), 1,
      sym_order_by_clause,
    STATE(17251), 1,
      sym_limit_clause,
  [392115] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9748), 1,
      anon_sym_RPAREN,
    STATE(15027), 1,
      sym_order_by_clause,
    STATE(16492), 1,
      sym_limit_clause,
  [392134] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11060), 1,
      anon_sym_RPAREN,
    STATE(15238), 1,
      sym_order_by_clause,
    STATE(16522), 1,
      sym_limit_clause,
  [392153] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11062), 1,
      anon_sym_RPAREN,
    STATE(14676), 1,
      sym_order_by_clause,
    STATE(17876), 1,
      sym_limit_clause,
  [392172] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11064), 1,
      anon_sym_RPAREN,
    STATE(15202), 1,
      sym_order_by_clause,
    STATE(16519), 1,
      sym_limit_clause,
  [392191] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11066), 1,
      anon_sym_RPAREN,
    STATE(15721), 1,
      sym_order_by_clause,
    STATE(16657), 1,
      sym_limit_clause,
  [392210] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11068), 1,
      anon_sym_RPAREN,
    STATE(15258), 1,
      sym_order_by_clause,
    STATE(16527), 1,
      sym_limit_clause,
  [392229] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11070), 1,
      anon_sym_RPAREN,
    STATE(15270), 1,
      sym_order_by_clause,
    STATE(16531), 1,
      sym_limit_clause,
  [392248] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10381), 1,
      anon_sym_RPAREN,
    STATE(14385), 1,
      sym_order_by_clause,
    STATE(18137), 1,
      sym_limit_clause,
  [392267] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11072), 1,
      anon_sym_RPAREN,
    STATE(15815), 1,
      sym_order_by_clause,
    STATE(16666), 1,
      sym_limit_clause,
  [392286] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11074), 1,
      anon_sym_RPAREN,
    STATE(14781), 1,
      sym_order_by_clause,
    STATE(19264), 1,
      sym_limit_clause,
  [392305] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11076), 1,
      anon_sym_RPAREN,
    STATE(14869), 1,
      sym_order_by_clause,
    STATE(19262), 1,
      sym_limit_clause,
  [392324] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11078), 1,
      anon_sym_RPAREN,
    STATE(14396), 1,
      sym_order_by_clause,
    STATE(18127), 1,
      sym_limit_clause,
  [392343] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11080), 1,
      anon_sym_RPAREN,
    STATE(14398), 1,
      sym_order_by_clause,
    STATE(18126), 1,
      sym_limit_clause,
  [392362] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11082), 1,
      anon_sym_RPAREN,
    STATE(14383), 1,
      sym_order_by_clause,
    STATE(18138), 1,
      sym_limit_clause,
  [392381] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11084), 1,
      anon_sym_RPAREN,
    STATE(14401), 1,
      sym_order_by_clause,
    STATE(18122), 1,
      sym_limit_clause,
  [392400] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11086), 1,
      anon_sym_RPAREN,
    STATE(14657), 1,
      sym_order_by_clause,
    STATE(17895), 1,
      sym_limit_clause,
  [392419] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11088), 1,
      anon_sym_RPAREN,
    STATE(14403), 1,
      sym_order_by_clause,
    STATE(18119), 1,
      sym_limit_clause,
  [392438] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11090), 1,
      anon_sym_RPAREN,
    STATE(14421), 1,
      sym_order_by_clause,
    STATE(16364), 1,
      sym_limit_clause,
  [392457] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11092), 1,
      anon_sym_RPAREN,
    STATE(14370), 1,
      sym_order_by_clause,
    STATE(16367), 1,
      sym_limit_clause,
  [392476] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11094), 1,
      anon_sym_RPAREN,
    STATE(15351), 1,
      sym_order_by_clause,
    STATE(18177), 1,
      sym_limit_clause,
  [392495] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11096), 1,
      anon_sym_RPAREN,
    STATE(14473), 1,
      sym_order_by_clause,
    STATE(16374), 1,
      sym_limit_clause,
  [392514] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11098), 1,
      anon_sym_RPAREN,
    STATE(14409), 1,
      sym_order_by_clause,
    STATE(16375), 1,
      sym_limit_clause,
  [392533] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9718), 1,
      anon_sym_RPAREN,
    STATE(14514), 1,
      sym_order_by_clause,
    STATE(16384), 1,
      sym_limit_clause,
  [392552] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11100), 1,
      anon_sym_RPAREN,
    STATE(14493), 1,
      sym_order_by_clause,
    STATE(16355), 1,
      sym_limit_clause,
  [392571] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11102), 1,
      anon_sym_RPAREN,
    STATE(14355), 1,
      sym_order_by_clause,
    STATE(18175), 1,
      sym_limit_clause,
  [392590] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11104), 1,
      anon_sym_RPAREN,
    STATE(14496), 1,
      sym_order_by_clause,
    STATE(16354), 1,
      sym_limit_clause,
  [392609] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11106), 1,
      anon_sym_RPAREN,
    STATE(14412), 1,
      sym_order_by_clause,
    STATE(18109), 1,
      sym_limit_clause,
  [392628] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9710), 1,
      anon_sym_RPAREN,
    STATE(14444), 1,
      sym_order_by_clause,
    STATE(16390), 1,
      sym_limit_clause,
  [392647] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9708), 1,
      anon_sym_RPAREN,
    STATE(14528), 1,
      sym_order_by_clause,
    STATE(16395), 1,
      sym_limit_clause,
  [392666] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11108), 1,
      anon_sym_RPAREN,
    STATE(14535), 1,
      sym_order_by_clause,
    STATE(16399), 1,
      sym_limit_clause,
  [392685] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8630), 1,
      aux_sym_option_clause_token1,
    STATE(7390), 1,
      sym_option_clause,
    ACTIONS(5369), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
  [392700] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11110), 1,
      anon_sym_RPAREN,
    STATE(14640), 1,
      sym_order_by_clause,
    STATE(17917), 1,
      sym_limit_clause,
  [392719] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11112), 1,
      anon_sym_RPAREN,
    STATE(14543), 1,
      sym_order_by_clause,
    STATE(16408), 1,
      sym_limit_clause,
  [392738] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11114), 1,
      anon_sym_RPAREN,
    STATE(14566), 1,
      sym_order_by_clause,
    STATE(16409), 1,
      sym_limit_clause,
  [392757] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8630), 1,
      aux_sym_option_clause_token1,
    STATE(7409), 1,
      sym_option_clause,
    ACTIONS(5359), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
  [392772] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9624), 1,
      anon_sym_RPAREN,
    STATE(14989), 1,
      sym_order_by_clause,
    STATE(19197), 1,
      sym_limit_clause,
  [392791] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11116), 1,
      aux_sym__keyword_from_token1,
    ACTIONS(11118), 1,
      aux_sym_where_clause_token1,
    STATE(8278), 1,
      sym_where_clause,
    STATE(11191), 1,
      sym__keyword_from,
    STATE(16230), 1,
      sym_from_clause,
  [392810] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11120), 1,
      anon_sym_RPAREN,
    STATE(14616), 1,
      sym_order_by_clause,
    STATE(16415), 1,
      sym_limit_clause,
  [392829] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11122), 1,
      anon_sym_RPAREN,
    STATE(14633), 1,
      sym_order_by_clause,
    STATE(16416), 1,
      sym_limit_clause,
  [392848] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9678), 1,
      anon_sym_RPAREN,
    STATE(14692), 1,
      sym_order_by_clause,
    STATE(16426), 1,
      sym_limit_clause,
  [392867] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9680), 1,
      anon_sym_RPAREN,
    STATE(15168), 1,
      sym_order_by_clause,
    STATE(16506), 1,
      sym_limit_clause,
  [392886] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9670), 1,
      anon_sym_RPAREN,
    STATE(14724), 1,
      sym_order_by_clause,
    STATE(16432), 1,
      sym_limit_clause,
  [392905] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11124), 1,
      anon_sym_RPAREN,
    STATE(14958), 1,
      sym_order_by_clause,
    STATE(16536), 1,
      sym_limit_clause,
  [392924] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11126), 1,
      anon_sym_RPAREN,
    STATE(14712), 1,
      sym_order_by_clause,
    STATE(16430), 1,
      sym_limit_clause,
  [392943] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11128), 1,
      anon_sym_RPAREN,
    STATE(14720), 1,
      sym_order_by_clause,
    STATE(16431), 1,
      sym_limit_clause,
  [392962] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9668), 1,
      anon_sym_RPAREN,
    STATE(14733), 1,
      sym_order_by_clause,
    STATE(16436), 1,
      sym_limit_clause,
  [392981] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5098), 1,
      sym__identifier,
    ACTIONS(11130), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
    STATE(13696), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
  [392996] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11132), 1,
      anon_sym_RPAREN,
    STATE(14525), 1,
      sym_order_by_clause,
    STATE(18259), 1,
      sym_limit_clause,
  [393015] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11134), 1,
      anon_sym_RPAREN,
    STATE(14726), 1,
      sym_order_by_clause,
    STATE(16434), 1,
      sym_limit_clause,
  [393034] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11136), 1,
      anon_sym_RPAREN,
    STATE(14837), 1,
      sym_order_by_clause,
    STATE(16443), 1,
      sym_limit_clause,
  [393053] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11138), 1,
      anon_sym_RPAREN,
    STATE(14859), 1,
      sym_order_by_clause,
    STATE(16445), 1,
      sym_limit_clause,
  [393072] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11140), 1,
      anon_sym_RPAREN,
    STATE(14704), 1,
      sym_order_by_clause,
    STATE(19316), 1,
      sym_limit_clause,
  [393091] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11142), 1,
      anon_sym_RPAREN,
    STATE(14703), 1,
      sym_order_by_clause,
    STATE(19317), 1,
      sym_limit_clause,
  [393110] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11144), 1,
      anon_sym_RPAREN,
    STATE(14909), 1,
      sym_order_by_clause,
    STATE(16457), 1,
      sym_limit_clause,
  [393129] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11146), 1,
      anon_sym_RPAREN,
    STATE(14918), 1,
      sym_order_by_clause,
    STATE(16461), 1,
      sym_limit_clause,
  [393148] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11148), 1,
      anon_sym_RPAREN,
    STATE(14925), 1,
      sym_order_by_clause,
    STATE(16465), 1,
      sym_limit_clause,
  [393167] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11150), 1,
      anon_sym_RPAREN,
    STATE(14932), 1,
      sym_order_by_clause,
    STATE(16466), 1,
      sym_limit_clause,
  [393186] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11152), 1,
      anon_sym_RPAREN,
    STATE(14936), 1,
      sym_order_by_clause,
    STATE(16468), 1,
      sym_limit_clause,
  [393205] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10182), 1,
      anon_sym_RPAREN,
    STATE(15223), 1,
      sym_order_by_clause,
    STATE(19173), 1,
      sym_limit_clause,
  [393224] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11116), 1,
      aux_sym__keyword_from_token1,
    ACTIONS(11118), 1,
      aux_sym_where_clause_token1,
    STATE(8222), 1,
      sym_where_clause,
    STATE(11191), 1,
      sym__keyword_from,
    STATE(16145), 1,
      sym_from_clause,
  [393243] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10210), 1,
      anon_sym_RPAREN,
    STATE(15275), 1,
      sym_order_by_clause,
    STATE(19170), 1,
      sym_limit_clause,
  [393262] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11154), 1,
      anon_sym_RPAREN,
    STATE(15921), 1,
      sym_order_by_clause,
    STATE(16695), 1,
      sym_limit_clause,
  [393281] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11156), 1,
      anon_sym_RPAREN,
    STATE(14573), 1,
      sym_order_by_clause,
    STATE(19322), 1,
      sym_limit_clause,
  [393300] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11158), 1,
      anon_sym_RPAREN,
    STATE(14550), 1,
      sym_order_by_clause,
    STATE(19324), 1,
      sym_limit_clause,
  [393319] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9780), 1,
      anon_sym_RPAREN,
    STATE(14946), 1,
      sym_order_by_clause,
    STATE(16476), 1,
      sym_limit_clause,
  [393338] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11160), 1,
      anon_sym_RPAREN,
    STATE(14949), 1,
      sym_order_by_clause,
    STATE(16477), 1,
      sym_limit_clause,
  [393357] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11162), 1,
      anon_sym_RPAREN,
    STATE(14951), 1,
      sym_order_by_clause,
    STATE(16480), 1,
      sym_limit_clause,
  [393376] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10274), 1,
      anon_sym_RPAREN,
    STATE(15383), 1,
      sym_order_by_clause,
    STATE(19155), 1,
      sym_limit_clause,
  [393395] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11164), 1,
      anon_sym_RPAREN,
    STATE(14955), 1,
      sym_order_by_clause,
    STATE(16481), 1,
      sym_limit_clause,
  [393414] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11166), 1,
      anon_sym_RPAREN,
    STATE(14964), 1,
      sym_order_by_clause,
    STATE(16487), 1,
      sym_limit_clause,
  [393433] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11168), 1,
      anon_sym_RPAREN,
    STATE(14414), 1,
      sym_order_by_clause,
    STATE(18107), 1,
      sym_limit_clause,
  [393452] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11170), 1,
      anon_sym_RPAREN,
    STATE(14969), 1,
      sym_order_by_clause,
    STATE(16488), 1,
      sym_limit_clause,
  [393471] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11172), 1,
      anon_sym_RPAREN,
    STATE(15947), 1,
      sym_order_by_clause,
    STATE(16703), 1,
      sym_limit_clause,
  [393490] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9786), 1,
      anon_sym_RPAREN,
    STATE(15002), 1,
      sym_order_by_clause,
    STATE(16494), 1,
      sym_limit_clause,
  [393509] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11174), 1,
      anon_sym_RPAREN,
    STATE(15955), 1,
      sym_order_by_clause,
    STATE(16708), 1,
      sym_limit_clause,
  [393528] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10371), 1,
      anon_sym_RPAREN,
    STATE(14466), 1,
      sym_order_by_clause,
    STATE(18235), 1,
      sym_limit_clause,
  [393547] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9788), 1,
      anon_sym_RPAREN,
    STATE(15062), 1,
      sym_order_by_clause,
    STATE(16497), 1,
      sym_limit_clause,
  [393566] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9658), 1,
      anon_sym_RPAREN,
    STATE(15363), 1,
      sym_order_by_clause,
    STATE(16565), 1,
      sym_limit_clause,
  [393585] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9654), 1,
      anon_sym_RPAREN,
    STATE(14952), 1,
      sym_order_by_clause,
    STATE(16483), 1,
      sym_limit_clause,
  [393604] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9792), 1,
      anon_sym_RPAREN,
    STATE(15068), 1,
      sym_order_by_clause,
    STATE(16498), 1,
      sym_limit_clause,
  [393623] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11176), 1,
      anon_sym_RPAREN,
    STATE(15085), 1,
      sym_order_by_clause,
    STATE(16500), 1,
      sym_limit_clause,
  [393642] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9656), 1,
      anon_sym_RPAREN,
    STATE(15368), 1,
      sym_order_by_clause,
    STATE(16568), 1,
      sym_limit_clause,
  [393661] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9794), 1,
      anon_sym_RPAREN,
    STATE(15151), 1,
      sym_order_by_clause,
    STATE(16507), 1,
      sym_limit_clause,
  [393680] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11178), 1,
      anon_sym_RPAREN,
    STATE(14377), 1,
      sym_order_by_clause,
    STATE(18149), 1,
      sym_limit_clause,
  [393699] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9650), 1,
      anon_sym_RPAREN,
    STATE(15399), 1,
      sym_order_by_clause,
    STATE(16578), 1,
      sym_limit_clause,
  [393718] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9798), 1,
      anon_sym_RPAREN,
    STATE(15181), 1,
      sym_order_by_clause,
    STATE(16513), 1,
      sym_limit_clause,
  [393737] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9800), 1,
      anon_sym_RPAREN,
    STATE(15186), 1,
      sym_order_by_clause,
    STATE(16515), 1,
      sym_limit_clause,
  [393756] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9808), 1,
      anon_sym_RPAREN,
    STATE(15257), 1,
      sym_order_by_clause,
    STATE(16528), 1,
      sym_limit_clause,
  [393775] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11180), 1,
      anon_sym_RPAREN,
    STATE(14375), 1,
      sym_order_by_clause,
    STATE(18151), 1,
      sym_limit_clause,
  [393794] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11182), 1,
      anon_sym_RPAREN,
    STATE(15931), 1,
      sym_order_by_clause,
    STATE(19059), 1,
      sym_limit_clause,
  [393813] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11184), 1,
      anon_sym_RPAREN,
    STATE(15864), 1,
      sym_order_by_clause,
    STATE(16846), 1,
      sym_limit_clause,
  [393832] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9897), 1,
      anon_sym_RPAREN,
    STATE(15914), 1,
      sym_order_by_clause,
    STATE(19052), 1,
      sym_limit_clause,
  [393851] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11186), 1,
      anon_sym_RPAREN,
    STATE(15861), 1,
      sym_order_by_clause,
    STATE(16850), 1,
      sym_limit_clause,
  [393870] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11188), 1,
      anon_sym_RPAREN,
    STATE(14481), 1,
      sym_order_by_clause,
    STATE(19333), 1,
      sym_limit_clause,
  [393889] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11190), 1,
      anon_sym_RPAREN,
    STATE(14358), 1,
      sym_order_by_clause,
    STATE(18169), 1,
      sym_limit_clause,
  [393908] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11192), 1,
      anon_sym_RPAREN,
    STATE(14472), 1,
      sym_order_by_clause,
    STATE(19334), 1,
      sym_limit_clause,
  [393927] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11194), 1,
      anon_sym_RPAREN,
    STATE(14699), 1,
      sym_order_by_clause,
    STATE(18006), 1,
      sym_limit_clause,
  [393946] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8630), 1,
      aux_sym_option_clause_token1,
    STATE(7404), 1,
      sym_option_clause,
    ACTIONS(5417), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
  [393961] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11196), 1,
      anon_sym_RPAREN,
    STATE(14547), 1,
      sym_order_by_clause,
    STATE(18262), 1,
      sym_limit_clause,
  [393980] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11198), 1,
      anon_sym_RPAREN,
    STATE(14389), 1,
      sym_order_by_clause,
    STATE(19209), 1,
      sym_limit_clause,
  [393999] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8630), 1,
      aux_sym_option_clause_token1,
    STATE(7403), 1,
      sym_option_clause,
    ACTIONS(5427), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
  [394014] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8630), 1,
      aux_sym_option_clause_token1,
    STATE(7395), 1,
      sym_option_clause,
    ACTIONS(5322), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
  [394029] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11200), 1,
      anon_sym_RPAREN,
    STATE(15692), 1,
      sym_order_by_clause,
    STATE(16653), 1,
      sym_limit_clause,
  [394048] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9620), 1,
      anon_sym_RPAREN,
    STATE(15476), 1,
      sym_order_by_clause,
    STATE(19154), 1,
      sym_limit_clause,
  [394067] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9610), 1,
      anon_sym_RPAREN,
    STATE(15694), 1,
      sym_order_by_clause,
    STATE(16655), 1,
      sym_limit_clause,
  [394086] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5845), 1,
      sym__identifier,
    ACTIONS(11202), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
    STATE(13696), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
  [394101] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9877), 1,
      anon_sym_RPAREN,
    STATE(15887), 1,
      sym_order_by_clause,
    STATE(19041), 1,
      sym_limit_clause,
  [394120] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11204), 1,
      anon_sym_RPAREN,
    STATE(14367), 1,
      sym_order_by_clause,
    STATE(18161), 1,
      sym_limit_clause,
  [394139] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9608), 1,
      anon_sym_RPAREN,
    STATE(15709), 1,
      sym_order_by_clause,
    STATE(16658), 1,
      sym_limit_clause,
  [394158] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11206), 1,
      anon_sym_RPAREN,
    STATE(15316), 1,
      sym_order_by_clause,
    STATE(16546), 1,
      sym_limit_clause,
  [394177] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11208), 1,
      anon_sym_RPAREN,
    STATE(15336), 1,
      sym_order_by_clause,
    STATE(16547), 1,
      sym_limit_clause,
  [394196] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9606), 1,
      anon_sym_RPAREN,
    STATE(15761), 1,
      sym_order_by_clause,
    STATE(16668), 1,
      sym_limit_clause,
  [394215] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11210), 1,
      anon_sym_RPAREN,
    STATE(15852), 1,
      sym_order_by_clause,
    STATE(16677), 1,
      sym_limit_clause,
  [394234] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11212), 1,
      anon_sym_RPAREN,
    STATE(15856), 1,
      sym_order_by_clause,
    STATE(16679), 1,
      sym_limit_clause,
  [394253] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11214), 1,
      anon_sym_RPAREN,
    STATE(15895), 1,
      sym_order_by_clause,
    STATE(16687), 1,
      sym_limit_clause,
  [394272] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11216), 1,
      anon_sym_RPAREN,
    STATE(15897), 1,
      sym_order_by_clause,
    STATE(16689), 1,
      sym_limit_clause,
  [394291] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9628), 1,
      anon_sym_RPAREN,
    STATE(15673), 1,
      sym_order_by_clause,
    STATE(19134), 1,
      sym_limit_clause,
  [394310] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10152), 1,
      anon_sym_RPAREN,
    STATE(15855), 1,
      sym_order_by_clause,
    STATE(19020), 1,
      sym_limit_clause,
  [394329] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11218), 1,
      anon_sym_RPAREN,
    STATE(15339), 1,
      sym_order_by_clause,
    STATE(16552), 1,
      sym_limit_clause,
  [394348] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11220), 1,
      anon_sym_RPAREN,
    STATE(15342), 1,
      sym_order_by_clause,
    STATE(16553), 1,
      sym_limit_clause,
  [394367] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10425), 1,
      aux_sym__keyword_returns_token1,
    ACTIONS(11222), 1,
      aux_sym__keyword_as_token1,
    STATE(12064), 1,
      sym__keyword_as,
    STATE(15987), 1,
      sym_create_table_function_returns,
    STATE(17446), 1,
      sym__keyword_returns,
  [394386] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11224), 1,
      anon_sym_RPAREN,
    STATE(15357), 1,
      sym_order_by_clause,
    STATE(16566), 1,
      sym_limit_clause,
  [394405] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9636), 1,
      anon_sym_RPAREN,
    STATE(15696), 1,
      sym_order_by_clause,
    STATE(19131), 1,
      sym_limit_clause,
  [394424] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11226), 1,
      anon_sym_RPAREN,
    STATE(15361), 1,
      sym_order_by_clause,
    STATE(16567), 1,
      sym_limit_clause,
  [394443] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11228), 1,
      aux_sym__keyword_delete_token1,
    ACTIONS(11230), 1,
      aux_sym_update_statement_token1,
    STATE(7595), 1,
      sym__keyword_delete,
    STATE(7597), 2,
      sym_merge_update_clause,
      sym_merge_delete_clause,
  [394460] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11232), 1,
      anon_sym_RPAREN,
    STATE(14365), 1,
      sym_order_by_clause,
    STATE(18163), 1,
      sym_limit_clause,
  [394479] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9640), 1,
      anon_sym_RPAREN,
    STATE(15719), 1,
      sym_order_by_clause,
    STATE(19127), 1,
      sym_limit_clause,
  [394498] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11234), 1,
      anon_sym_RPAREN,
    STATE(15416), 1,
      sym_order_by_clause,
    STATE(16585), 1,
      sym_limit_clause,
  [394517] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11236), 1,
      anon_sym_RPAREN,
    STATE(15426), 1,
      sym_order_by_clause,
    STATE(16586), 1,
      sym_limit_clause,
  [394536] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11238), 1,
      anon_sym_RPAREN,
    STATE(14362), 1,
      sym_order_by_clause,
    STATE(18167), 1,
      sym_limit_clause,
  [394555] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11240), 1,
      anon_sym_RPAREN,
    STATE(15817), 1,
      sym_order_by_clause,
    STATE(18996), 1,
      sym_limit_clause,
  [394574] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11242), 1,
      anon_sym_RPAREN,
    STATE(15462), 1,
      sym_order_by_clause,
    STATE(16591), 1,
      sym_limit_clause,
  [394593] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11244), 1,
      anon_sym_RPAREN,
    STATE(15494), 1,
      sym_order_by_clause,
    STATE(16603), 1,
      sym_limit_clause,
  [394612] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11246), 1,
      anon_sym_RPAREN,
    STATE(14977), 1,
      sym_order_by_clause,
    STATE(19206), 1,
      sym_limit_clause,
  [394631] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11248), 1,
      anon_sym_RPAREN,
    STATE(14426), 1,
      sym_order_by_clause,
    STATE(18093), 1,
      sym_limit_clause,
  [394650] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11250), 1,
      anon_sym_RPAREN,
    STATE(15015), 1,
      sym_order_by_clause,
    STATE(19196), 1,
      sym_limit_clause,
  [394669] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10385), 1,
      anon_sym_RPAREN,
    STATE(14488), 1,
      sym_order_by_clause,
    STATE(18249), 1,
      sym_limit_clause,
  [394688] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11252), 1,
      anon_sym_RPAREN,
    STATE(15503), 1,
      sym_order_by_clause,
    STATE(16604), 1,
      sym_limit_clause,
  [394707] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11254), 1,
      anon_sym_RPAREN,
    STATE(15833), 1,
      sym_order_by_clause,
    STATE(19108), 1,
      sym_limit_clause,
  [394726] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11256), 1,
      anon_sym_RPAREN,
    STATE(15554), 1,
      sym_order_by_clause,
    STATE(16615), 1,
      sym_limit_clause,
  [394745] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11258), 1,
      anon_sym_RPAREN,
    STATE(15568), 1,
      sym_order_by_clause,
    STATE(16616), 1,
      sym_limit_clause,
  [394764] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9660), 1,
      anon_sym_RPAREN,
    STATE(15846), 1,
      sym_order_by_clause,
    STATE(19106), 1,
      sym_limit_clause,
  [394783] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11260), 1,
      anon_sym_RPAREN,
    STATE(15945), 1,
      sym_order_by_clause,
    STATE(16772), 1,
      sym_limit_clause,
  [394802] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11262), 1,
      anon_sym_RPAREN,
    STATE(15810), 1,
      sym_order_by_clause,
    STATE(18994), 1,
      sym_limit_clause,
  [394821] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11264), 1,
      anon_sym_RPAREN,
    STATE(15581), 1,
      sym_order_by_clause,
    STATE(16622), 1,
      sym_limit_clause,
  [394840] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11266), 1,
      anon_sym_RPAREN,
    STATE(15584), 1,
      sym_order_by_clause,
    STATE(16624), 1,
      sym_limit_clause,
  [394859] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9662), 1,
      anon_sym_RPAREN,
    STATE(15860), 1,
      sym_order_by_clause,
    STATE(19103), 1,
      sym_limit_clause,
  [394878] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11268), 1,
      anon_sym_RPAREN,
    STATE(15585), 1,
      sym_order_by_clause,
    STATE(16628), 1,
      sym_limit_clause,
  [394897] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9594), 1,
      anon_sym_RPAREN,
    STATE(15944), 1,
      sym_order_by_clause,
    STATE(16774), 1,
      sym_limit_clause,
  [394916] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9820), 1,
      anon_sym_RPAREN,
    STATE(15606), 1,
      sym_order_by_clause,
    STATE(16633), 1,
      sym_limit_clause,
  [394935] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9664), 1,
      anon_sym_RPAREN,
    STATE(15898), 1,
      sym_order_by_clause,
    STATE(19099), 1,
      sym_limit_clause,
  [394954] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11270), 1,
      anon_sym_RPAREN,
    STATE(15934), 1,
      sym_order_by_clause,
    STATE(16783), 1,
      sym_limit_clause,
  [394973] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11272), 1,
      anon_sym_RPAREN,
    STATE(15628), 1,
      sym_order_by_clause,
    STATE(16635), 1,
      sym_limit_clause,
  [394992] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11274), 1,
      anon_sym_RPAREN,
    STATE(15933), 1,
      sym_order_by_clause,
    STATE(16785), 1,
      sym_limit_clause,
  [395011] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11276), 1,
      anon_sym_RPAREN,
    STATE(15655), 1,
      sym_order_by_clause,
    STATE(16641), 1,
      sym_limit_clause,
  [395030] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11278), 1,
      anon_sym_RPAREN,
    STATE(15948), 1,
      sym_order_by_clause,
    STATE(19092), 1,
      sym_limit_clause,
  [395049] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11280), 1,
      anon_sym_RPAREN,
    STATE(15957), 1,
      sym_order_by_clause,
    STATE(19089), 1,
      sym_limit_clause,
  [395068] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11282), 1,
      anon_sym_RPAREN,
    STATE(15660), 1,
      sym_order_by_clause,
    STATE(16643), 1,
      sym_limit_clause,
  [395087] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11284), 1,
      anon_sym_RPAREN,
    STATE(15932), 1,
      sym_order_by_clause,
    STATE(16787), 1,
      sym_limit_clause,
  [395106] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11286), 1,
      anon_sym_RPAREN,
    STATE(15676), 1,
      sym_order_by_clause,
    STATE(16570), 1,
      sym_limit_clause,
  [395125] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11288), 1,
      anon_sym_RPAREN,
    STATE(15854), 1,
      sym_order_by_clause,
    STATE(19085), 1,
      sym_limit_clause,
  [395144] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11290), 1,
      anon_sym_RPAREN,
    STATE(15958), 1,
      sym_order_by_clause,
    STATE(19019), 1,
      sym_limit_clause,
  [395163] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11292), 1,
      anon_sym_RPAREN,
    STATE(15686), 1,
      sym_order_by_clause,
    STATE(16654), 1,
      sym_limit_clause,
  [395182] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11294), 1,
      anon_sym_RPAREN,
    STATE(15928), 1,
      sym_order_by_clause,
    STATE(16790), 1,
      sym_limit_clause,
  [395201] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9826), 1,
      anon_sym_RPAREN,
    STATE(15707), 1,
      sym_order_by_clause,
    STATE(16660), 1,
      sym_limit_clause,
  [395220] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11296), 1,
      anon_sym_RPAREN,
    STATE(15796), 1,
      sym_order_by_clause,
    STATE(18982), 1,
      sym_limit_clause,
  [395239] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11298), 1,
      anon_sym_RPAREN,
    STATE(15066), 1,
      sym_order_by_clause,
    STATE(19185), 1,
      sym_limit_clause,
  [395258] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11300), 1,
      anon_sym_RPAREN,
    STATE(15120), 1,
      sym_order_by_clause,
    STATE(19183), 1,
      sym_limit_clause,
  [395277] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11302), 1,
      anon_sym_RPAREN,
    STATE(15926), 1,
      sym_order_by_clause,
    STATE(16792), 1,
      sym_limit_clause,
  [395296] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11304), 1,
      anon_sym_RPAREN,
    STATE(15842), 1,
      sym_order_by_clause,
    STATE(16862), 1,
      sym_limit_clause,
  [395315] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9828), 1,
      anon_sym_RPAREN,
    STATE(15730), 1,
      sym_order_by_clause,
    STATE(16667), 1,
      sym_limit_clause,
  [395334] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11306), 1,
      anon_sym_RPAREN,
    STATE(15834), 1,
      sym_order_by_clause,
    STATE(16864), 1,
      sym_limit_clause,
  [395353] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11308), 1,
      anon_sym_RPAREN,
    STATE(15943), 1,
      sym_order_by_clause,
    STATE(19067), 1,
      sym_limit_clause,
  [395372] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9830), 1,
      anon_sym_RPAREN,
    STATE(15735), 1,
      sym_order_by_clause,
    STATE(16669), 1,
      sym_limit_clause,
  [395391] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11310), 1,
      anon_sym_RPAREN,
    STATE(15755), 1,
      sym_order_by_clause,
    STATE(16670), 1,
      sym_limit_clause,
  [395410] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9688), 1,
      anon_sym_RPAREN,
    STATE(15941), 1,
      sym_order_by_clause,
    STATE(19064), 1,
      sym_limit_clause,
  [395429] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11312), 1,
      anon_sym_RPAREN,
    STATE(15919), 1,
      sym_order_by_clause,
    STATE(16801), 1,
      sym_limit_clause,
  [395448] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11314), 1,
      anon_sym_RPAREN,
    STATE(15789), 1,
      sym_order_by_clause,
    STATE(18979), 1,
      sym_limit_clause,
  [395467] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11316), 1,
      anon_sym_RPAREN,
    STATE(15917), 1,
      sym_order_by_clause,
    STATE(16803), 1,
      sym_limit_clause,
  [395486] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10425), 1,
      aux_sym__keyword_returns_token1,
    ACTIONS(11318), 1,
      aux_sym__keyword_as_token1,
    STATE(12150), 1,
      sym__keyword_as,
    STATE(16012), 1,
      sym_create_table_function_returns,
    STATE(17446), 1,
      sym__keyword_returns,
  [395505] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11320), 1,
      anon_sym_RPAREN,
    STATE(15923), 1,
      sym_order_by_clause,
    STATE(19054), 1,
      sym_limit_clause,
  [395524] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11322), 1,
      anon_sym_RPAREN,
    STATE(15915), 1,
      sym_order_by_clause,
    STATE(19053), 1,
      sym_limit_clause,
  [395543] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9839), 1,
      anon_sym_RPAREN,
    STATE(15832), 1,
      sym_order_by_clause,
    STATE(16678), 1,
      sym_limit_clause,
  [395562] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9846), 1,
      anon_sym_RPAREN,
    STATE(15863), 1,
      sym_order_by_clause,
    STATE(16683), 1,
      sym_limit_clause,
  [395581] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11324), 1,
      anon_sym_RPAREN,
    STATE(15913), 1,
      sym_order_by_clause,
    STATE(19050), 1,
      sym_limit_clause,
  [395600] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11326), 1,
      anon_sym_RPAREN,
    STATE(15504), 1,
      sym_order_by_clause,
    STATE(16605), 1,
      sym_limit_clause,
  [395619] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11328), 1,
      anon_sym_RPAREN,
    STATE(15518), 1,
      sym_order_by_clause,
    STATE(16607), 1,
      sym_limit_clause,
  [395638] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11330), 1,
      anon_sym_RPAREN,
    STATE(15910), 1,
      sym_order_by_clause,
    STATE(19046), 1,
      sym_limit_clause,
  [395657] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11332), 1,
      anon_sym_RPAREN,
    STATE(15894), 1,
      sym_order_by_clause,
    STATE(19045), 1,
      sym_limit_clause,
  [395676] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11334), 1,
      anon_sym_RPAREN,
    STATE(15172), 1,
      sym_order_by_clause,
    STATE(19178), 1,
      sym_limit_clause,
  [395695] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9848), 1,
      anon_sym_RPAREN,
    STATE(15873), 1,
      sym_order_by_clause,
    STATE(16684), 1,
      sym_limit_clause,
  [395714] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9855), 1,
      anon_sym_RPAREN,
    STATE(15937), 1,
      sym_order_by_clause,
    STATE(16699), 1,
      sym_limit_clause,
  [395733] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8630), 1,
      aux_sym_option_clause_token1,
    STATE(7319), 1,
      sym_option_clause,
    ACTIONS(5565), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
  [395748] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8630), 1,
      aux_sym_option_clause_token1,
    STATE(7326), 1,
      sym_option_clause,
    ACTIONS(5569), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
  [395763] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8630), 1,
      aux_sym_option_clause_token1,
    STATE(7408), 1,
      sym_option_clause,
    ACTIONS(5443), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
  [395778] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11336), 1,
      anon_sym_RPAREN,
    STATE(15818), 1,
      sym_order_by_clause,
    STATE(16880), 1,
      sym_limit_clause,
  [395797] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11338), 1,
      anon_sym_RPAREN,
    STATE(15642), 1,
      sym_order_by_clause,
    STATE(16636), 1,
      sym_limit_clause,
  [395816] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11340), 1,
      anon_sym_RPAREN,
    STATE(15878), 1,
      sym_order_by_clause,
    STATE(19036), 1,
      sym_limit_clause,
  [395835] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11342), 1,
      anon_sym_RPAREN,
    STATE(15872), 1,
      sym_order_by_clause,
    STATE(19032), 1,
      sym_limit_clause,
  [395854] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10425), 1,
      aux_sym__keyword_returns_token1,
    ACTIONS(11344), 1,
      aux_sym__keyword_as_token1,
    STATE(12134), 1,
      sym__keyword_as,
    STATE(16030), 1,
      sym_create_table_function_returns,
    STATE(17446), 1,
      sym__keyword_returns,
  [395873] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11346), 1,
      anon_sym_RPAREN,
    STATE(15353), 1,
      sym_order_by_clause,
    STATE(16560), 1,
      sym_limit_clause,
  [395892] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11348), 1,
      anon_sym_RPAREN,
    STATE(15356), 1,
      sym_order_by_clause,
    STATE(16594), 1,
      sym_limit_clause,
  [395911] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11350), 1,
      anon_sym_RPAREN,
    STATE(15656), 1,
      sym_order_by_clause,
    STATE(16638), 1,
      sym_limit_clause,
  [395930] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11352), 1,
      anon_sym_RPAREN,
    STATE(15984), 1,
      sym_order_by_clause,
    STATE(16728), 1,
      sym_limit_clause,
  [395949] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11354), 1,
      anon_sym_RPAREN,
    STATE(15982), 1,
      sym_order_by_clause,
    STATE(16730), 1,
      sym_limit_clause,
  [395968] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11356), 1,
      anon_sym_RPAREN,
    STATE(14429), 1,
      sym_order_by_clause,
    STATE(18089), 1,
      sym_limit_clause,
  [395987] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10397), 1,
      anon_sym_RPAREN,
    STATE(14356), 1,
      sym_order_by_clause,
    STATE(18178), 1,
      sym_limit_clause,
  [396006] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11358), 1,
      anon_sym_RPAREN,
    STATE(15185), 1,
      sym_order_by_clause,
    STATE(19175), 1,
      sym_limit_clause,
  [396025] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11360), 1,
      anon_sym_RPAREN,
    STATE(15811), 1,
      sym_order_by_clause,
    STATE(16886), 1,
      sym_limit_clause,
  [396044] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11362), 1,
      anon_sym_RPAREN,
    STATE(15805), 1,
      sym_order_by_clause,
    STATE(16893), 1,
      sym_limit_clause,
  [396063] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11364), 1,
      anon_sym_RPAREN,
    STATE(15975), 1,
      sym_order_by_clause,
    STATE(16748), 1,
      sym_limit_clause,
  [396082] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11366), 1,
      anon_sym_RPAREN,
    STATE(15973), 1,
      sym_order_by_clause,
    STATE(16749), 1,
      sym_limit_clause,
  [396101] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11368), 1,
      anon_sym_RPAREN,
    STATE(15803), 1,
      sym_order_by_clause,
    STATE(16896), 1,
      sym_limit_clause,
  [396120] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11370), 1,
      anon_sym_RPAREN,
    STATE(15857), 1,
      sym_order_by_clause,
    STATE(19023), 1,
      sym_limit_clause,
  [396139] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11372), 1,
      anon_sym_RPAREN,
    STATE(15801), 1,
      sym_order_by_clause,
    STATE(16898), 1,
      sym_limit_clause,
  [396158] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11374), 1,
      anon_sym_RPAREN,
    STATE(15968), 1,
      sym_order_by_clause,
    STATE(16755), 1,
      sym_limit_clause,
  [396177] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11376), 1,
      anon_sym_RPAREN,
    STATE(15840), 1,
      sym_order_by_clause,
    STATE(19021), 1,
      sym_limit_clause,
  [396196] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11378), 1,
      anon_sym_RPAREN,
    STATE(15849), 1,
      sym_order_by_clause,
    STATE(18953), 1,
      sym_limit_clause,
  [396215] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11380), 1,
      anon_sym_RPAREN,
    STATE(15208), 1,
      sym_order_by_clause,
    STATE(19174), 1,
      sym_limit_clause,
  [396234] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11382), 1,
      anon_sym_RPAREN,
    STATE(15966), 1,
      sym_order_by_clause,
    STATE(16757), 1,
      sym_limit_clause,
  [396253] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11384), 1,
      anon_sym_RPAREN,
    STATE(15795), 1,
      sym_order_by_clause,
    STATE(16910), 1,
      sym_limit_clause,
  [396272] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11386), 1,
      anon_sym_RPAREN,
    STATE(15794), 1,
      sym_order_by_clause,
    STATE(16912), 1,
      sym_limit_clause,
  [396291] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11388), 1,
      anon_sym_RPAREN,
    STATE(15793), 1,
      sym_order_by_clause,
    STATE(16917), 1,
      sym_limit_clause,
  [396310] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11390), 1,
      anon_sym_RPAREN,
    STATE(15954), 1,
      sym_order_by_clause,
    STATE(16767), 1,
      sym_limit_clause,
  [396329] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11392), 1,
      anon_sym_RPAREN,
    STATE(15952), 1,
      sym_order_by_clause,
    STATE(16768), 1,
      sym_limit_clause,
  [396348] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11394), 1,
      anon_sym_RPAREN,
    STATE(15792), 1,
      sym_order_by_clause,
    STATE(16919), 1,
      sym_limit_clause,
  [396367] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11396), 1,
      anon_sym_RPAREN,
    STATE(15949), 1,
      sym_order_by_clause,
    STATE(16770), 1,
      sym_limit_clause,
  [396386] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11398), 1,
      anon_sym_RPAREN,
    STATE(15775), 1,
      sym_order_by_clause,
    STATE(18972), 1,
      sym_limit_clause,
  [396405] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11400), 1,
      anon_sym_RPAREN,
    STATE(15938), 1,
      sym_order_by_clause,
    STATE(16780), 1,
      sym_limit_clause,
  [396424] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11402), 1,
      anon_sym_RPAREN,
    STATE(15936), 1,
      sym_order_by_clause,
    STATE(16784), 1,
      sym_limit_clause,
  [396443] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11404), 1,
      anon_sym_RPAREN,
    STATE(14431), 1,
      sym_order_by_clause,
    STATE(18086), 1,
      sym_limit_clause,
  [396462] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11406), 1,
      anon_sym_RPAREN,
    STATE(15669), 1,
      sym_order_by_clause,
    STATE(16582), 1,
      sym_limit_clause,
  [396481] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11408), 1,
      anon_sym_RPAREN,
    STATE(15927), 1,
      sym_order_by_clause,
    STATE(16795), 1,
      sym_limit_clause,
  [396500] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11410), 1,
      anon_sym_RPAREN,
    STATE(15824), 1,
      sym_order_by_clause,
    STATE(19005), 1,
      sym_limit_clause,
  [396519] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11412), 1,
      anon_sym_RPAREN,
    STATE(15823), 1,
      sym_order_by_clause,
    STATE(19004), 1,
      sym_limit_clause,
  [396538] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9857), 1,
      anon_sym_RPAREN,
    STATE(15768), 1,
      sym_order_by_clause,
    STATE(18964), 1,
      sym_limit_clause,
  [396557] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11414), 1,
      anon_sym_RPAREN,
    STATE(15925), 1,
      sym_order_by_clause,
    STATE(16796), 1,
      sym_limit_clause,
  [396576] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11416), 1,
      anon_sym_RPAREN,
    STATE(15922), 1,
      sym_order_by_clause,
    STATE(16802), 1,
      sym_limit_clause,
  [396595] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11418), 1,
      anon_sym_RPAREN,
    STATE(15920), 1,
      sym_order_by_clause,
    STATE(16804), 1,
      sym_limit_clause,
  [396614] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11420), 1,
      anon_sym_RPAREN,
    STATE(15918), 1,
      sym_order_by_clause,
    STATE(16806), 1,
      sym_limit_clause,
  [396633] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9875), 1,
      anon_sym_RPAREN,
    STATE(15909), 1,
      sym_order_by_clause,
    STATE(16813), 1,
      sym_limit_clause,
  [396652] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11422), 1,
      anon_sym_RPAREN,
    STATE(15907), 1,
      sym_order_by_clause,
    STATE(16815), 1,
      sym_limit_clause,
  [396671] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10369), 1,
      anon_sym_RPAREN,
    STATE(14439), 1,
      sym_order_by_clause,
    STATE(18228), 1,
      sym_limit_clause,
  [396690] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11424), 1,
      anon_sym_RPAREN,
    STATE(15690), 1,
      sym_order_by_clause,
    STATE(16650), 1,
      sym_limit_clause,
  [396709] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11426), 1,
      anon_sym_RPAREN,
    STATE(15812), 1,
      sym_order_by_clause,
    STATE(18997), 1,
      sym_limit_clause,
  [396728] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11428), 1,
      anon_sym_RPAREN,
    STATE(15798), 1,
      sym_order_by_clause,
    STATE(18995), 1,
      sym_limit_clause,
  [396747] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11430), 1,
      anon_sym_RPAREN,
    STATE(14744), 1,
      sym_order_by_clause,
    STATE(18348), 1,
      sym_limit_clause,
  [396766] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11432), 1,
      anon_sym_RPAREN,
    STATE(15901), 1,
      sym_order_by_clause,
    STATE(16824), 1,
      sym_limit_clause,
  [396785] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11434), 1,
      anon_sym_RPAREN,
    STATE(15899), 1,
      sym_order_by_clause,
    STATE(16826), 1,
      sym_limit_clause,
  [396804] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11436), 1,
      anon_sym_RPAREN,
    STATE(15681), 1,
      sym_order_by_clause,
    STATE(18938), 1,
      sym_limit_clause,
  [396823] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10425), 1,
      aux_sym__keyword_returns_token1,
    ACTIONS(11438), 1,
      aux_sym__keyword_as_token1,
    STATE(12043), 1,
      sym__keyword_as,
    STATE(16047), 1,
      sym_create_table_function_returns,
    STATE(17446), 1,
      sym__keyword_returns,
  [396842] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11440), 1,
      anon_sym_RPAREN,
    STATE(15665), 1,
      sym_order_by_clause,
    STATE(18935), 1,
      sym_limit_clause,
  [396861] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10401), 1,
      anon_sym_RPAREN,
    STATE(14357), 1,
      sym_order_by_clause,
    STATE(18193), 1,
      sym_limit_clause,
  [396880] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11442), 1,
      anon_sym_RPAREN,
    STATE(15891), 1,
      sym_order_by_clause,
    STATE(16837), 1,
      sym_limit_clause,
  [396899] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11444), 1,
      anon_sym_RPAREN,
    STATE(14363), 1,
      sym_order_by_clause,
    STATE(18162), 1,
      sym_limit_clause,
  [396918] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11446), 1,
      anon_sym_RPAREN,
    STATE(15889), 1,
      sym_order_by_clause,
    STATE(16838), 1,
      sym_limit_clause,
  [396937] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9885), 1,
      anon_sym_RPAREN,
    STATE(15880), 1,
      sym_order_by_clause,
    STATE(16843), 1,
      sym_limit_clause,
  [396956] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11448), 1,
      anon_sym_RPAREN,
    STATE(15664), 1,
      sym_order_by_clause,
    STATE(18928), 1,
      sym_limit_clause,
  [396975] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9887), 1,
      anon_sym_RPAREN,
    STATE(15871), 1,
      sym_order_by_clause,
    STATE(16847), 1,
      sym_limit_clause,
  [396994] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10425), 1,
      aux_sym__keyword_returns_token1,
    ACTIONS(11450), 1,
      aux_sym__keyword_as_token1,
    STATE(12146), 1,
      sym__keyword_as,
    STATE(16081), 1,
      sym_create_table_function_returns,
    STATE(17446), 1,
      sym__keyword_returns,
  [397013] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9889), 1,
      anon_sym_RPAREN,
    STATE(15868), 1,
      sym_order_by_clause,
    STATE(16848), 1,
      sym_limit_clause,
  [397032] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11452), 1,
      anon_sym_RPAREN,
    STATE(15791), 1,
      sym_order_by_clause,
    STATE(18986), 1,
      sym_limit_clause,
  [397051] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11454), 1,
      anon_sym_RPAREN,
    STATE(15776), 1,
      sym_order_by_clause,
    STATE(18980), 1,
      sym_limit_clause,
  [397070] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11456), 1,
      anon_sym_RPAREN,
    STATE(15649), 1,
      sym_order_by_clause,
    STATE(18922), 1,
      sym_limit_clause,
  [397089] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11458), 1,
      anon_sym_RPAREN,
    STATE(15866), 1,
      sym_order_by_clause,
    STATE(16849), 1,
      sym_limit_clause,
  [397108] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11460), 1,
      anon_sym_RPAREN,
    STATE(14364), 1,
      sym_order_by_clause,
    STATE(18160), 1,
      sym_limit_clause,
  [397127] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9891), 1,
      anon_sym_RPAREN,
    STATE(15848), 1,
      sym_order_by_clause,
    STATE(16861), 1,
      sym_limit_clause,
  [397146] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11462), 1,
      anon_sym_RPAREN,
    STATE(15627), 1,
      sym_order_by_clause,
    STATE(18920), 1,
      sym_limit_clause,
  [397165] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11464), 1,
      anon_sym_RPAREN,
    STATE(14763), 1,
      sym_order_by_clause,
    STATE(18357), 1,
      sym_limit_clause,
  [397184] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11466), 1,
      anon_sym_RPAREN,
    STATE(15946), 1,
      sym_order_by_clause,
    STATE(16702), 1,
      sym_limit_clause,
  [397203] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9893), 1,
      anon_sym_RPAREN,
    STATE(15839), 1,
      sym_order_by_clause,
    STATE(16865), 1,
      sym_limit_clause,
  [397222] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11468), 1,
      anon_sym_RPAREN,
    STATE(14443), 1,
      sym_order_by_clause,
    STATE(18076), 1,
      sym_limit_clause,
  [397241] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11470), 1,
      anon_sym_RPAREN,
    STATE(15950), 1,
      sym_order_by_clause,
    STATE(16704), 1,
      sym_limit_clause,
  [397260] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10403), 1,
      anon_sym_RPAREN,
    STATE(14361), 1,
      sym_order_by_clause,
    STATE(18196), 1,
      sym_limit_clause,
  [397279] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9895), 1,
      anon_sym_RPAREN,
    STATE(15836), 1,
      sym_order_by_clause,
    STATE(16867), 1,
      sym_limit_clause,
  [397298] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11472), 1,
      anon_sym_RPAREN,
    STATE(14445), 1,
      sym_order_by_clause,
    STATE(18073), 1,
      sym_limit_clause,
  [397317] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11474), 1,
      anon_sym_RPAREN,
    STATE(15961), 1,
      sym_order_by_clause,
    STATE(16714), 1,
      sym_limit_clause,
  [397336] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9899), 1,
      anon_sym_RPAREN,
    STATE(15816), 1,
      sym_order_by_clause,
    STATE(16882), 1,
      sym_limit_clause,
  [397355] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11476), 1,
      anon_sym_RPAREN,
    STATE(15743), 1,
      sym_order_by_clause,
    STATE(16986), 1,
      sym_limit_clause,
  [397374] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11478), 1,
      anon_sym_RPAREN,
    STATE(14374), 1,
      sym_order_by_clause,
    STATE(18148), 1,
      sym_limit_clause,
  [397393] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11480), 1,
      anon_sym_RPAREN,
    STATE(15741), 1,
      sym_order_by_clause,
    STATE(16988), 1,
      sym_limit_clause,
  [397412] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11482), 1,
      anon_sym_RPAREN,
    STATE(14366), 1,
      sym_order_by_clause,
    STATE(18199), 1,
      sym_limit_clause,
  [397431] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11484), 1,
      anon_sym_RPAREN,
    STATE(14376), 1,
      sym_order_by_clause,
    STATE(18146), 1,
      sym_limit_clause,
  [397450] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11486), 1,
      anon_sym_RPAREN,
    STATE(15577), 1,
      sym_order_by_clause,
    STATE(18902), 1,
      sym_limit_clause,
  [397469] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11488), 1,
      anon_sym_RPAREN,
    STATE(15571), 1,
      sym_order_by_clause,
    STATE(18824), 1,
      sym_limit_clause,
  [397488] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11490), 1,
      anon_sym_RPAREN,
    STATE(15851), 1,
      sym_order_by_clause,
    STATE(16856), 1,
      sym_limit_clause,
  [397507] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8630), 1,
      aux_sym_option_clause_token1,
    STATE(7328), 1,
      sym_option_clause,
    ACTIONS(5391), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
  [397522] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11492), 1,
      anon_sym_RPAREN,
    STATE(15981), 1,
      sym_order_by_clause,
    STATE(16729), 1,
      sym_limit_clause,
  [397541] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11494), 1,
      anon_sym_RPAREN,
    STATE(15980), 1,
      sym_order_by_clause,
    STATE(16731), 1,
      sym_limit_clause,
  [397560] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9832), 1,
      anon_sym_RPAREN,
    STATE(14530), 1,
      sym_order_by_clause,
    STATE(18017), 1,
      sym_limit_clause,
  [397579] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11496), 1,
      anon_sym_RPAREN,
    STATE(14378), 1,
      sym_order_by_clause,
    STATE(18143), 1,
      sym_limit_clause,
  [397598] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11498), 1,
      anon_sym_RPAREN,
    STATE(15979), 1,
      sym_order_by_clause,
    STATE(16736), 1,
      sym_limit_clause,
  [397617] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11500), 1,
      anon_sym_RPAREN,
    STATE(14450), 1,
      sym_order_by_clause,
    STATE(18068), 1,
      sym_limit_clause,
  [397636] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11502), 1,
      anon_sym_RPAREN,
    STATE(15978), 1,
      sym_order_by_clause,
    STATE(16738), 1,
      sym_limit_clause,
  [397655] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11504), 1,
      anon_sym_RPAREN,
    STATE(15788), 1,
      sym_order_by_clause,
    STATE(16931), 1,
      sym_limit_clause,
  [397674] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11506), 1,
      anon_sym_RPAREN,
    STATE(15596), 1,
      sym_order_by_clause,
    STATE(19081), 1,
      sym_limit_clause,
  [397693] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9712), 1,
      anon_sym_RPAREN,
    STATE(15310), 1,
      sym_order_by_clause,
    STATE(19163), 1,
      sym_limit_clause,
  [397712] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11508), 1,
      anon_sym_RPAREN,
    STATE(15786), 1,
      sym_order_by_clause,
    STATE(16933), 1,
      sym_limit_clause,
  [397731] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2990), 1,
      sym__identifier,
    ACTIONS(11510), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
    STATE(13696), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
  [397746] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11512), 1,
      anon_sym_RPAREN,
    STATE(15515), 1,
      sym_order_by_clause,
    STATE(18881), 1,
      sym_limit_clause,
  [397765] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11514), 1,
      anon_sym_RPAREN,
    STATE(15906), 1,
      sym_order_by_clause,
    STATE(16817), 1,
      sym_limit_clause,
  [397784] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11516), 1,
      anon_sym_RPAREN,
    STATE(15378), 1,
      sym_order_by_clause,
    STATE(19161), 1,
      sym_limit_clause,
  [397803] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11518), 1,
      anon_sym_RPAREN,
    STATE(15969), 1,
      sym_order_by_clause,
    STATE(16753), 1,
      sym_limit_clause,
  [397822] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11520), 1,
      anon_sym_RPAREN,
    STATE(15892), 1,
      sym_order_by_clause,
    STATE(16833), 1,
      sym_limit_clause,
  [397841] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11522), 1,
      anon_sym_RPAREN,
    STATE(15964), 1,
      sym_order_by_clause,
    STATE(16758), 1,
      sym_limit_clause,
  [397860] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11524), 1,
      anon_sym_RPAREN,
    STATE(15779), 1,
      sym_order_by_clause,
    STATE(16945), 1,
      sym_limit_clause,
  [397879] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11526), 1,
      anon_sym_RPAREN,
    STATE(15502), 1,
      sym_order_by_clause,
    STATE(18877), 1,
      sym_limit_clause,
  [397898] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11528), 1,
      anon_sym_COMMA,
    STATE(13733), 1,
      aux_sym_cte_clause_repeat1,
    ACTIONS(11530), 3,
      anon_sym_LPAREN,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
  [397913] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11532), 1,
      anon_sym_RPAREN,
    STATE(15497), 1,
      sym_order_by_clause,
    STATE(18874), 1,
      sym_limit_clause,
  [397932] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11534), 1,
      anon_sym_RPAREN,
    STATE(15777), 1,
      sym_order_by_clause,
    STATE(16946), 1,
      sym_limit_clause,
  [397951] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11536), 1,
      anon_sym_RPAREN,
    STATE(15489), 1,
      sym_order_by_clause,
    STATE(19233), 1,
      sym_limit_clause,
  [397970] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11538), 1,
      anon_sym_RPAREN,
    STATE(14516), 1,
      sym_order_by_clause,
    STATE(18023), 1,
      sym_limit_clause,
  [397989] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11540), 1,
      anon_sym_RPAREN,
    STATE(15772), 1,
      sym_order_by_clause,
    STATE(16952), 1,
      sym_limit_clause,
  [398008] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11542), 1,
      anon_sym_RPAREN,
    STATE(15770), 1,
      sym_order_by_clause,
    STATE(16957), 1,
      sym_limit_clause,
  [398027] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11544), 1,
      anon_sym_RPAREN,
    STATE(15712), 1,
      sym_order_by_clause,
    STATE(19123), 1,
      sym_limit_clause,
  [398046] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11546), 1,
      anon_sym_RPAREN,
    STATE(15734), 1,
      sym_order_by_clause,
    STATE(19116), 1,
      sym_limit_clause,
  [398065] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11548), 1,
      anon_sym_RPAREN,
    STATE(14452), 1,
      sym_order_by_clause,
    STATE(18066), 1,
      sym_limit_clause,
  [398084] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8630), 1,
      aux_sym_option_clause_token1,
    ACTIONS(8726), 1,
      aux_sym__keyword_from_token1,
    STATE(7502), 1,
      sym_from_files_clause,
    STATE(15904), 1,
      sym_option_clause,
    STATE(17512), 1,
      sym__keyword_from,
  [398103] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11550), 1,
      anon_sym_RPAREN,
    STATE(15758), 1,
      sym_order_by_clause,
    STATE(16911), 1,
      sym_limit_clause,
  [398122] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9735), 1,
      anon_sym_RPAREN,
    STATE(15977), 1,
      sym_order_by_clause,
    STATE(19074), 1,
      sym_limit_clause,
  [398141] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11552), 1,
      anon_sym_RPAREN,
    STATE(15756), 1,
      sym_order_by_clause,
    STATE(16974), 1,
      sym_limit_clause,
  [398160] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11554), 1,
      anon_sym_RPAREN,
    STATE(15753), 1,
      sym_order_by_clause,
    STATE(16976), 1,
      sym_limit_clause,
  [398179] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11556), 1,
      anon_sym_RPAREN,
    STATE(14384), 1,
      sym_order_by_clause,
    STATE(18134), 1,
      sym_limit_clause,
  [398198] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11558), 1,
      anon_sym_RPAREN,
    STATE(14387), 1,
      sym_order_by_clause,
    STATE(18132), 1,
      sym_limit_clause,
  [398217] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11560), 1,
      anon_sym_RPAREN,
    STATE(15742), 1,
      sym_order_by_clause,
    STATE(16996), 1,
      sym_limit_clause,
  [398236] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11562), 1,
      anon_sym_RPAREN,
    STATE(15740), 1,
      sym_order_by_clause,
    STATE(17003), 1,
      sym_limit_clause,
  [398255] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11564), 1,
      anon_sym_RPAREN,
    STATE(15731), 1,
      sym_order_by_clause,
    STATE(17013), 1,
      sym_limit_clause,
  [398274] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11566), 1,
      anon_sym_RPAREN,
    STATE(14397), 1,
      sym_order_by_clause,
    STATE(18123), 1,
      sym_limit_clause,
  [398293] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11568), 1,
      anon_sym_RPAREN,
    STATE(15729), 1,
      sym_order_by_clause,
    STATE(17014), 1,
      sym_limit_clause,
  [398312] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11570), 1,
      anon_sym_RPAREN,
    STATE(15726), 1,
      sym_order_by_clause,
    STATE(17016), 1,
      sym_limit_clause,
  [398331] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1848), 1,
      sym__identifier,
    ACTIONS(11572), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
    STATE(13696), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
  [398346] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11574), 1,
      anon_sym_RPAREN,
    STATE(15724), 1,
      sym_order_by_clause,
    STATE(17017), 1,
      sym_limit_clause,
  [398365] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9752), 1,
      anon_sym_RPAREN,
    STATE(15762), 1,
      sym_order_by_clause,
    STATE(18955), 1,
      sym_limit_clause,
  [398384] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11576), 1,
      anon_sym_RPAREN,
    STATE(15722), 1,
      sym_order_by_clause,
    STATE(17018), 1,
      sym_limit_clause,
  [398403] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4824), 1,
      sym__identifier,
    ACTIONS(11578), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
    STATE(13696), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
  [398418] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11580), 1,
      anon_sym_RPAREN,
    STATE(15850), 1,
      sym_order_by_clause,
    STATE(16858), 1,
      sym_limit_clause,
  [398437] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9754), 1,
      anon_sym_RPAREN,
    STATE(15754), 1,
      sym_order_by_clause,
    STATE(18899), 1,
      sym_limit_clause,
  [398456] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9951), 1,
      anon_sym_RPAREN,
    STATE(15713), 1,
      sym_order_by_clause,
    STATE(17023), 1,
      sym_limit_clause,
  [398475] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11582), 1,
      anon_sym_RPAREN,
    STATE(15711), 1,
      sym_order_by_clause,
    STATE(17024), 1,
      sym_limit_clause,
  [398494] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10411), 1,
      anon_sym_RPAREN,
    STATE(14391), 1,
      sym_order_by_clause,
    STATE(18209), 1,
      sym_limit_clause,
  [398513] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11584), 1,
      anon_sym_RPAREN,
    STATE(14399), 1,
      sym_order_by_clause,
    STATE(18121), 1,
      sym_limit_clause,
  [398532] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11586), 1,
      anon_sym_RPAREN,
    STATE(15705), 1,
      sym_order_by_clause,
    STATE(17027), 1,
      sym_limit_clause,
  [398551] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11588), 1,
      anon_sym_RPAREN,
    STATE(15703), 1,
      sym_order_by_clause,
    STATE(17028), 1,
      sym_limit_clause,
  [398570] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11590), 1,
      anon_sym_RPAREN,
    STATE(15695), 1,
      sym_order_by_clause,
    STATE(16973), 1,
      sym_limit_clause,
  [398589] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11592), 1,
      anon_sym_RPAREN,
    STATE(15693), 1,
      sym_order_by_clause,
    STATE(17035), 1,
      sym_limit_clause,
  [398608] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11594), 1,
      anon_sym_RPAREN,
    STATE(15749), 1,
      sym_order_by_clause,
    STATE(18951), 1,
      sym_limit_clause,
  [398627] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9967), 1,
      anon_sym_RPAREN,
    STATE(15684), 1,
      sym_order_by_clause,
    STATE(17041), 1,
      sym_limit_clause,
  [398646] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11596), 1,
      anon_sym_RPAREN,
    STATE(15841), 1,
      sym_order_by_clause,
    STATE(16869), 1,
      sym_limit_clause,
  [398665] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9969), 1,
      anon_sym_RPAREN,
    STATE(15675), 1,
      sym_order_by_clause,
    STATE(17046), 1,
      sym_limit_clause,
  [398684] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9971), 1,
      anon_sym_RPAREN,
    STATE(15672), 1,
      sym_order_by_clause,
    STATE(17047), 1,
      sym_limit_clause,
  [398703] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11598), 1,
      anon_sym_RPAREN,
    STATE(14459), 1,
      sym_order_by_clause,
    STATE(18058), 1,
      sym_limit_clause,
  [398722] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11600), 1,
      anon_sym_RPAREN,
    STATE(14461), 1,
      sym_order_by_clause,
    STATE(18044), 1,
      sym_limit_clause,
  [398741] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11602), 1,
      anon_sym_RPAREN,
    STATE(15670), 1,
      sym_order_by_clause,
    STATE(17049), 1,
      sym_limit_clause,
  [398760] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11228), 1,
      aux_sym__keyword_delete_token1,
    ACTIONS(11230), 1,
      aux_sym_update_statement_token1,
    STATE(7595), 1,
      sym__keyword_delete,
    STATE(7653), 2,
      sym_merge_update_clause,
      sym_merge_delete_clause,
  [398777] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9981), 1,
      anon_sym_RPAREN,
    STATE(15652), 1,
      sym_order_by_clause,
    STATE(17059), 1,
      sym_limit_clause,
  [398796] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9760), 1,
      anon_sym_RPAREN,
    STATE(15603), 1,
      sym_order_by_clause,
    STATE(18912), 1,
      sym_limit_clause,
  [398815] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9977), 1,
      anon_sym_RPAREN,
    STATE(15604), 1,
      sym_order_by_clause,
    STATE(17075), 1,
      sym_limit_clause,
  [398834] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9985), 1,
      anon_sym_RPAREN,
    STATE(15643), 1,
      sym_order_by_clause,
    STATE(17063), 1,
      sym_limit_clause,
  [398853] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9766), 1,
      anon_sym_RPAREN,
    STATE(15688), 1,
      sym_order_by_clause,
    STATE(18940), 1,
      sym_limit_clause,
  [398872] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4747), 1,
      sym__identifier,
    ACTIONS(11604), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
    STATE(13696), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
  [398887] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9987), 1,
      anon_sym_RPAREN,
    STATE(15640), 1,
      sym_order_by_clause,
    STATE(17064), 1,
      sym_limit_clause,
  [398906] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11606), 1,
      anon_sym_RPAREN,
    STATE(15830), 1,
      sym_order_by_clause,
    STATE(16871), 1,
      sym_limit_clause,
  [398925] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9989), 1,
      anon_sym_RPAREN,
    STATE(15620), 1,
      sym_order_by_clause,
    STATE(17071), 1,
      sym_limit_clause,
  [398944] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11608), 1,
      anon_sym_RPAREN,
    STATE(15828), 1,
      sym_order_by_clause,
    STATE(16873), 1,
      sym_limit_clause,
  [398963] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8630), 1,
      aux_sym_option_clause_token1,
    STATE(7306), 1,
      sym_option_clause,
    ACTIONS(5465), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
  [398978] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8630), 1,
      aux_sym_option_clause_token1,
    STATE(7308), 1,
      sym_option_clause,
    ACTIONS(5469), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
  [398993] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10425), 1,
      aux_sym__keyword_returns_token1,
    ACTIONS(11610), 1,
      aux_sym__keyword_as_token1,
    STATE(12143), 1,
      sym__keyword_as,
    STATE(16031), 1,
      sym_create_table_function_returns,
    STATE(17446), 1,
      sym__keyword_returns,
  [399012] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9586), 1,
      anon_sym_RPAREN,
    STATE(15809), 1,
      sym_order_by_clause,
    STATE(16887), 1,
      sym_limit_clause,
  [399031] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9764), 1,
      anon_sym_RPAREN,
    STATE(15560), 1,
      sym_order_by_clause,
    STATE(18897), 1,
      sym_limit_clause,
  [399050] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10413), 1,
      anon_sym_RPAREN,
    STATE(14408), 1,
      sym_order_by_clause,
    STATE(18212), 1,
      sym_limit_clause,
  [399069] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11612), 1,
      anon_sym_RPAREN,
    STATE(15447), 1,
      sym_order_by_clause,
    STATE(18844), 1,
      sym_limit_clause,
  [399088] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11614), 1,
      anon_sym_RPAREN,
    STATE(15438), 1,
      sym_order_by_clause,
    STATE(18839), 1,
      sym_limit_clause,
  [399107] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9993), 1,
      anon_sym_RPAREN,
    STATE(15470), 1,
      sym_order_by_clause,
    STATE(17194), 1,
      sym_limit_clause,
  [399126] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9804), 1,
      anon_sym_RPAREN,
    STATE(15679), 1,
      sym_order_by_clause,
    STATE(18936), 1,
      sym_limit_clause,
  [399145] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9768), 1,
      anon_sym_RPAREN,
    STATE(15553), 1,
      sym_order_by_clause,
    STATE(18896), 1,
      sym_limit_clause,
  [399164] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11616), 1,
      anon_sym_RPAREN,
    STATE(15807), 1,
      sym_order_by_clause,
    STATE(16890), 1,
      sym_limit_clause,
  [399183] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11618), 1,
      anon_sym_RPAREN,
    STATE(14400), 1,
      sym_order_by_clause,
    STATE(18118), 1,
      sym_limit_clause,
  [399202] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11620), 1,
      anon_sym_RPAREN,
    STATE(14402), 1,
      sym_order_by_clause,
    STATE(18116), 1,
      sym_limit_clause,
  [399221] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9802), 1,
      anon_sym_RPAREN,
    STATE(15540), 1,
      sym_order_by_clause,
    STATE(18893), 1,
      sym_limit_clause,
  [399240] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11622), 1,
      anon_sym_RPAREN,
    STATE(14404), 1,
      sym_order_by_clause,
    STATE(18114), 1,
      sym_limit_clause,
  [399259] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11624), 1,
      anon_sym_RPAREN,
    STATE(15782), 1,
      sym_order_by_clause,
    STATE(16936), 1,
      sym_limit_clause,
  [399278] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9810), 1,
      anon_sym_RPAREN,
    STATE(15653), 1,
      sym_order_by_clause,
    STATE(18924), 1,
      sym_limit_clause,
  [399297] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11626), 1,
      anon_sym_RPAREN,
    STATE(15781), 1,
      sym_order_by_clause,
    STATE(16938), 1,
      sym_limit_clause,
  [399316] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11628), 1,
      anon_sym_RPAREN,
    STATE(15738), 1,
      sym_order_by_clause,
    STATE(17010), 1,
      sym_limit_clause,
  [399335] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11630), 1,
      anon_sym_RPAREN,
    STATE(15725), 1,
      sym_order_by_clause,
    STATE(17019), 1,
      sym_limit_clause,
  [399354] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11632), 1,
      anon_sym_RPAREN,
    STATE(15591), 1,
      sym_order_by_clause,
    STATE(17090), 1,
      sym_limit_clause,
  [399373] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11634), 1,
      anon_sym_RPAREN,
    STATE(14792), 1,
      sym_order_by_clause,
    STATE(18382), 1,
      sym_limit_clause,
  [399392] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11636), 1,
      anon_sym_RPAREN,
    STATE(15589), 1,
      sym_order_by_clause,
    STATE(17091), 1,
      sym_limit_clause,
  [399411] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9682), 1,
      anon_sym_RPAREN,
    STATE(15619), 1,
      sym_order_by_clause,
    STATE(17070), 1,
      sym_limit_clause,
  [399430] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9684), 1,
      anon_sym_RPAREN,
    STATE(15599), 1,
      sym_order_by_clause,
    STATE(17079), 1,
      sym_limit_clause,
  [399449] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11638), 1,
      anon_sym_RPAREN,
    STATE(15501), 1,
      sym_order_by_clause,
    STATE(18876), 1,
      sym_limit_clause,
  [399468] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9995), 1,
      anon_sym_RPAREN,
    STATE(15458), 1,
      sym_order_by_clause,
    STATE(17209), 1,
      sym_limit_clause,
  [399487] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9686), 1,
      anon_sym_RPAREN,
    STATE(15593), 1,
      sym_order_by_clause,
    STATE(17085), 1,
      sym_limit_clause,
  [399506] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9841), 1,
      anon_sym_RPAREN,
    STATE(15493), 1,
      sym_order_by_clause,
    STATE(18875), 1,
      sym_limit_clause,
  [399525] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11640), 1,
      anon_sym_RPAREN,
    STATE(15592), 1,
      sym_order_by_clause,
    STATE(17087), 1,
      sym_limit_clause,
  [399544] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11642), 1,
      anon_sym_RPAREN,
    STATE(15582), 1,
      sym_order_by_clause,
    STATE(17098), 1,
      sym_limit_clause,
  [399563] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11644), 1,
      anon_sym_RPAREN,
    STATE(15580), 1,
      sym_order_by_clause,
    STATE(17099), 1,
      sym_limit_clause,
  [399582] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9953), 1,
      anon_sym_RPAREN,
    STATE(14413), 1,
      sym_order_by_clause,
    STATE(18105), 1,
      sym_limit_clause,
  [399601] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9850), 1,
      anon_sym_RPAREN,
    STATE(15491), 1,
      sym_order_by_clause,
    STATE(18873), 1,
      sym_limit_clause,
  [399620] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9702), 1,
      anon_sym_RPAREN,
    STATE(15558), 1,
      sym_order_by_clause,
    STATE(17116), 1,
      sym_limit_clause,
  [399639] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10415), 1,
      anon_sym_RPAREN,
    STATE(14411), 1,
      sym_order_by_clause,
    STATE(18213), 1,
      sym_limit_clause,
  [399658] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11646), 1,
      anon_sym_RPAREN,
    STATE(15575), 1,
      sym_order_by_clause,
    STATE(17103), 1,
      sym_limit_clause,
  [399677] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9859), 1,
      anon_sym_RPAREN,
    STATE(15480), 1,
      sym_order_by_clause,
    STATE(18869), 1,
      sym_limit_clause,
  [399696] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11648), 1,
      anon_sym_RPAREN,
    STATE(15573), 1,
      sym_order_by_clause,
    STATE(17104), 1,
      sym_limit_clause,
  [399715] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9704), 1,
      anon_sym_RPAREN,
    STATE(15551), 1,
      sym_order_by_clause,
    STATE(17123), 1,
      sym_limit_clause,
  [399734] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9714), 1,
      anon_sym_RPAREN,
    STATE(15546), 1,
      sym_order_by_clause,
    STATE(17126), 1,
      sym_limit_clause,
  [399753] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11650), 1,
      anon_sym_RPAREN,
    STATE(15561), 1,
      sym_order_by_clause,
    STATE(17115), 1,
      sym_limit_clause,
  [399772] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11652), 1,
      anon_sym_RPAREN,
    STATE(15468), 1,
      sym_order_by_clause,
    STATE(18865), 1,
      sym_limit_clause,
  [399791] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11654), 1,
      anon_sym_RPAREN,
    STATE(15466), 1,
      sym_order_by_clause,
    STATE(18863), 1,
      sym_limit_clause,
  [399810] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11656), 1,
      anon_sym_RPAREN,
    STATE(15404), 1,
      sym_order_by_clause,
    STATE(18827), 1,
      sym_limit_clause,
  [399829] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11658), 1,
      anon_sym_RPAREN,
    STATE(15424), 1,
      sym_order_by_clause,
    STATE(18817), 1,
      sym_limit_clause,
  [399848] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11660), 1,
      anon_sym_RPAREN,
    STATE(15559), 1,
      sym_order_by_clause,
    STATE(17117), 1,
      sym_limit_clause,
  [399867] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11662), 1,
      anon_sym_RPAREN,
    STATE(15333), 1,
      sym_order_by_clause,
    STATE(18853), 1,
      sym_limit_clause,
  [399886] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11664), 1,
      anon_sym_RPAREN,
    STATE(15452), 1,
      sym_order_by_clause,
    STATE(18850), 1,
      sym_limit_clause,
  [399905] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11666), 1,
      anon_sym_RPAREN,
    STATE(15556), 1,
      sym_order_by_clause,
    STATE(17119), 1,
      sym_limit_clause,
  [399924] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9722), 1,
      anon_sym_RPAREN,
    STATE(15530), 1,
      sym_order_by_clause,
    STATE(17139), 1,
      sym_limit_clause,
  [399943] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9901), 1,
      anon_sym_RPAREN,
    STATE(15570), 1,
      sym_order_by_clause,
    STATE(18825), 1,
      sym_limit_clause,
  [399962] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10005), 1,
      anon_sym_RPAREN,
    STATE(15440), 1,
      sym_order_by_clause,
    STATE(17226), 1,
      sym_limit_clause,
  [399981] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11668), 1,
      anon_sym_RPAREN,
    STATE(15545), 1,
      sym_order_by_clause,
    STATE(17128), 1,
      sym_limit_clause,
  [400000] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11670), 1,
      anon_sym_RPAREN,
    STATE(15543), 1,
      sym_order_by_clause,
    STATE(17130), 1,
      sym_limit_clause,
  [400019] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11672), 1,
      anon_sym_RPAREN,
    STATE(14415), 1,
      sym_order_by_clause,
    STATE(18103), 1,
      sym_limit_clause,
  [400038] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11674), 1,
      anon_sym_RPAREN,
    STATE(14419), 1,
      sym_order_by_clause,
    STATE(18100), 1,
      sym_limit_clause,
  [400057] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11676), 1,
      anon_sym_RPAREN,
    STATE(14420), 1,
      sym_order_by_clause,
    STATE(18098), 1,
      sym_limit_clause,
  [400076] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11678), 1,
      anon_sym_RPAREN,
    STATE(15534), 1,
      sym_order_by_clause,
    STATE(17137), 1,
      sym_limit_clause,
  [400095] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11680), 1,
      anon_sym_RPAREN,
    STATE(15439), 1,
      sym_order_by_clause,
    STATE(18842), 1,
      sym_limit_clause,
  [400114] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11682), 1,
      anon_sym_RPAREN,
    STATE(15532), 1,
      sym_order_by_clause,
    STATE(17138), 1,
      sym_limit_clause,
  [400133] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11684), 1,
      anon_sym_RPAREN,
    STATE(15529), 1,
      sym_order_by_clause,
    STATE(17141), 1,
      sym_limit_clause,
  [400152] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9917), 1,
      anon_sym_RPAREN,
    STATE(15434), 1,
      sym_order_by_clause,
    STATE(18841), 1,
      sym_limit_clause,
  [400171] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11686), 1,
      anon_sym_RPAREN,
    STATE(15527), 1,
      sym_order_by_clause,
    STATE(17142), 1,
      sym_limit_clause,
  [400190] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11688), 1,
      anon_sym_RPAREN,
    STATE(15525), 1,
      sym_order_by_clause,
    STATE(17143), 1,
      sym_limit_clause,
  [400209] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11690), 1,
      anon_sym_RPAREN,
    STATE(14683), 1,
      sym_order_by_clause,
    STATE(17871), 1,
      sym_limit_clause,
  [400228] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11692), 1,
      anon_sym_RPAREN,
    STATE(14425), 1,
      sym_order_by_clause,
    STATE(18090), 1,
      sym_limit_clause,
  [400247] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11694), 1,
      anon_sym_RPAREN,
    STATE(15422), 1,
      sym_order_by_clause,
    STATE(18815), 1,
      sym_limit_clause,
  [400266] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11696), 1,
      anon_sym_RPAREN,
    STATE(15417), 1,
      sym_order_by_clause,
    STATE(18814), 1,
      sym_limit_clause,
  [400285] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11698), 1,
      anon_sym_RPAREN,
    STATE(15395), 1,
      sym_order_by_clause,
    STATE(18762), 1,
      sym_limit_clause,
  [400304] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10019), 1,
      anon_sym_RPAREN,
    STATE(15516), 1,
      sym_order_by_clause,
    STATE(17149), 1,
      sym_limit_clause,
  [400323] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11700), 1,
      anon_sym_RPAREN,
    STATE(15407), 1,
      sym_order_by_clause,
    STATE(18807), 1,
      sym_limit_clause,
  [400342] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11702), 1,
      anon_sym_RPAREN,
    STATE(14427), 1,
      sym_order_by_clause,
    STATE(18088), 1,
      sym_limit_clause,
  [400361] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1948), 1,
      sym__identifier,
    ACTIONS(11704), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
    STATE(13696), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
  [400376] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11706), 1,
      anon_sym_RPAREN,
    STATE(15400), 1,
      sym_order_by_clause,
    STATE(18804), 1,
      sym_limit_clause,
  [400395] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11708), 1,
      anon_sym_RPAREN,
    STATE(15396), 1,
      sym_order_by_clause,
    STATE(18777), 1,
      sym_limit_clause,
  [400414] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11710), 1,
      anon_sym_RPAREN,
    STATE(15514), 1,
      sym_order_by_clause,
    STATE(17151), 1,
      sym_limit_clause,
  [400433] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11712), 1,
      anon_sym_RPAREN,
    STATE(15408), 1,
      sym_order_by_clause,
    STATE(17250), 1,
      sym_limit_clause,
  [400452] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11714), 1,
      anon_sym_RPAREN,
    STATE(14702), 1,
      sym_order_by_clause,
    STATE(17846), 1,
      sym_limit_clause,
  [400471] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11716), 1,
      anon_sym_RPAREN,
    STATE(15508), 1,
      sym_order_by_clause,
    STATE(17156), 1,
      sym_limit_clause,
  [400490] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11718), 1,
      anon_sym_RPAREN,
    STATE(15506), 1,
      sym_order_by_clause,
    STATE(17157), 1,
      sym_limit_clause,
  [400509] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11720), 1,
      anon_sym_RPAREN,
    STATE(15498), 1,
      sym_order_by_clause,
    STATE(17162), 1,
      sym_limit_clause,
  [400528] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11722), 1,
      anon_sym_RPAREN,
    STATE(15496), 1,
      sym_order_by_clause,
    STATE(17164), 1,
      sym_limit_clause,
  [400547] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11724), 1,
      anon_sym_RPAREN,
    STATE(15474), 1,
      sym_order_by_clause,
    STATE(17182), 1,
      sym_limit_clause,
  [400566] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11726), 1,
      anon_sym_RPAREN,
    STATE(15373), 1,
      sym_order_by_clause,
    STATE(18743), 1,
      sym_limit_clause,
  [400585] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11728), 1,
      anon_sym_RPAREN,
    STATE(15367), 1,
      sym_order_by_clause,
    STATE(18736), 1,
      sym_limit_clause,
  [400604] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11730), 1,
      anon_sym_RPAREN,
    STATE(15387), 1,
      sym_order_by_clause,
    STATE(18759), 1,
      sym_limit_clause,
  [400623] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10029), 1,
      anon_sym_RPAREN,
    STATE(15406), 1,
      sym_order_by_clause,
    STATE(17252), 1,
      sym_limit_clause,
  [400642] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10027), 1,
      anon_sym_RPAREN,
    STATE(15487), 1,
      sym_order_by_clause,
    STATE(17169), 1,
      sym_limit_clause,
  [400661] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11732), 1,
      anon_sym_RPAREN,
    STATE(15472), 1,
      sym_order_by_clause,
    STATE(17184), 1,
      sym_limit_clause,
  [400680] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10033), 1,
      anon_sym_RPAREN,
    STATE(15478), 1,
      sym_order_by_clause,
    STATE(17181), 1,
      sym_limit_clause,
  [400699] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10031), 1,
      anon_sym_RPAREN,
    STATE(15398), 1,
      sym_order_by_clause,
    STATE(17258), 1,
      sym_limit_clause,
  [400718] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10035), 1,
      anon_sym_RPAREN,
    STATE(15475), 1,
      sym_order_by_clause,
    STATE(17183), 1,
      sym_limit_clause,
  [400737] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11734), 1,
      anon_sym_RPAREN,
    STATE(15473), 1,
      sym_order_by_clause,
    STATE(17192), 1,
      sym_limit_clause,
  [400756] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11736), 1,
      anon_sym_RPAREN,
    STATE(15471), 1,
      sym_order_by_clause,
    STATE(17193), 1,
      sym_limit_clause,
  [400775] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9963), 1,
      anon_sym_RPAREN,
    STATE(14438), 1,
      sym_order_by_clause,
    STATE(18079), 1,
      sym_limit_clause,
  [400794] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10041), 1,
      anon_sym_RPAREN,
    STATE(15291), 1,
      sym_order_by_clause,
    STATE(17353), 1,
      sym_limit_clause,
  [400813] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11738), 1,
      anon_sym_RPAREN,
    STATE(15469), 1,
      sym_order_by_clause,
    STATE(17195), 1,
      sym_limit_clause,
  [400832] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10045), 1,
      anon_sym_RPAREN,
    STATE(15455), 1,
      sym_order_by_clause,
    STATE(17211), 1,
      sym_limit_clause,
  [400851] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10047), 1,
      anon_sym_RPAREN,
    STATE(15446), 1,
      sym_order_by_clause,
    STATE(17218), 1,
      sym_limit_clause,
  [400870] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11740), 1,
      anon_sym_RPAREN,
    STATE(14351), 1,
      sym_order_by_clause,
    STATE(18719), 1,
      sym_limit_clause,
  [400889] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11742), 1,
      anon_sym_RPAREN,
    STATE(15245), 1,
      sym_order_by_clause,
    STATE(17376), 1,
      sym_limit_clause,
  [400908] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11744), 1,
      anon_sym_RPAREN,
    STATE(15464), 1,
      sym_order_by_clause,
    STATE(17200), 1,
      sym_limit_clause,
  [400927] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11746), 1,
      anon_sym_RPAREN,
    STATE(15346), 1,
      sym_order_by_clause,
    STATE(18717), 1,
      sym_limit_clause,
  [400946] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11748), 1,
      anon_sym_RPAREN,
    STATE(15335), 1,
      sym_order_by_clause,
    STATE(18716), 1,
      sym_limit_clause,
  [400965] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10051), 1,
      anon_sym_RPAREN,
    STATE(15443), 1,
      sym_order_by_clause,
    STATE(17225), 1,
      sym_limit_clause,
  [400984] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11750), 1,
      anon_sym_RPAREN,
    STATE(15463), 1,
      sym_order_by_clause,
    STATE(17202), 1,
      sym_limit_clause,
  [401003] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11752), 1,
      anon_sym_RPAREN,
    STATE(14499), 1,
      sym_order_by_clause,
    STATE(18037), 1,
      sym_limit_clause,
  [401022] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11754), 1,
      anon_sym_RPAREN,
    STATE(15225), 1,
      sym_order_by_clause,
    STATE(17388), 1,
      sym_limit_clause,
  [401041] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11756), 1,
      anon_sym_RPAREN,
    STATE(15220), 1,
      sym_order_by_clause,
    STATE(17390), 1,
      sym_limit_clause,
  [401060] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10057), 1,
      anon_sym_RPAREN,
    STATE(15423), 1,
      sym_order_by_clause,
    STATE(17238), 1,
      sym_limit_clause,
  [401079] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11758), 1,
      anon_sym_RPAREN,
    STATE(14706), 1,
      sym_order_by_clause,
    STATE(17840), 1,
      sym_limit_clause,
  [401098] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11760), 1,
      anon_sym_RPAREN,
    STATE(15204), 1,
      sym_order_by_clause,
    STATE(17404), 1,
      sym_limit_clause,
  [401117] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10417), 1,
      anon_sym_RPAREN,
    STATE(14796), 1,
      sym_order_by_clause,
    STATE(18386), 1,
      sym_limit_clause,
  [401136] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5397), 1,
      sym__identifier,
    ACTIONS(11762), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
    STATE(13696), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
  [401151] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11764), 1,
      anon_sym_RPAREN,
    STATE(15253), 1,
      sym_order_by_clause,
    STATE(17374), 1,
      sym_limit_clause,
  [401170] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11766), 1,
      anon_sym_RPAREN,
    STATE(14490), 1,
      sym_order_by_clause,
    STATE(18045), 1,
      sym_limit_clause,
  [401189] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11768), 1,
      anon_sym_RPAREN,
    STATE(15450), 1,
      sym_order_by_clause,
    STATE(17214), 1,
      sym_limit_clause,
  [401208] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11770), 1,
      anon_sym_RPAREN,
    STATE(15445), 1,
      sym_order_by_clause,
    STATE(17216), 1,
      sym_limit_clause,
  [401227] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11772), 1,
      anon_sym_RPAREN,
    STATE(15442), 1,
      sym_order_by_clause,
    STATE(17219), 1,
      sym_limit_clause,
  [401246] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11774), 1,
      anon_sym_RPAREN,
    STATE(15322), 1,
      sym_order_by_clause,
    STATE(18700), 1,
      sym_limit_clause,
  [401265] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11776), 1,
      anon_sym_RPAREN,
    STATE(15319), 1,
      sym_order_by_clause,
    STATE(18699), 1,
      sym_limit_clause,
  [401284] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10425), 1,
      aux_sym__keyword_returns_token1,
    ACTIONS(11778), 1,
      aux_sym__keyword_as_token1,
    STATE(12115), 1,
      sym__keyword_as,
    STATE(16045), 1,
      sym_create_table_function_returns,
    STATE(17446), 1,
      sym__keyword_returns,
  [401303] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11780), 1,
      anon_sym_RPAREN,
    STATE(15771), 1,
      sym_order_by_clause,
    STATE(16951), 1,
      sym_limit_clause,
  [401322] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10409), 1,
      anon_sym_RPAREN,
    STATE(14451), 1,
      sym_order_by_clause,
    STATE(18236), 1,
      sym_limit_clause,
  [401341] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11782), 1,
      anon_sym_RPAREN,
    STATE(15769), 1,
      sym_order_by_clause,
    STATE(16953), 1,
      sym_limit_clause,
  [401360] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11784), 1,
      anon_sym_RPAREN,
    STATE(15344), 1,
      sym_order_by_clause,
    STATE(17319), 1,
      sym_limit_clause,
  [401379] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11786), 1,
      anon_sym_RPAREN,
    STATE(15765), 1,
      sym_order_by_clause,
    STATE(16962), 1,
      sym_limit_clause,
  [401398] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11788), 1,
      anon_sym_RPAREN,
    STATE(15764), 1,
      sym_order_by_clause,
    STATE(16964), 1,
      sym_limit_clause,
  [401417] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11790), 1,
      anon_sym_RPAREN,
    STATE(15390), 1,
      sym_order_by_clause,
    STATE(17266), 1,
      sym_limit_clause,
  [401436] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11792), 1,
      anon_sym_RPAREN,
    STATE(15388), 1,
      sym_order_by_clause,
    STATE(17267), 1,
      sym_limit_clause,
  [401455] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11794), 1,
      anon_sym_RPAREN,
    STATE(15318), 1,
      sym_order_by_clause,
    STATE(18695), 1,
      sym_limit_clause,
  [401474] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11796), 1,
      anon_sym_RPAREN,
    STATE(15315), 1,
      sym_order_by_clause,
    STATE(18693), 1,
      sym_limit_clause,
  [401493] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11798), 1,
      anon_sym_RPAREN,
    STATE(15763), 1,
      sym_order_by_clause,
    STATE(16967), 1,
      sym_limit_clause,
  [401512] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18485), 1,
      sym__identifier,
    ACTIONS(11800), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
    STATE(13696), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
  [401527] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11803), 1,
      anon_sym_RPAREN,
    STATE(15759), 1,
      sym_order_by_clause,
    STATE(16969), 1,
      sym_limit_clause,
  [401546] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11805), 1,
      anon_sym_RPAREN,
    STATE(15757), 1,
      sym_order_by_clause,
    STATE(16971), 1,
      sym_limit_clause,
  [401565] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9929), 1,
      anon_sym_RPAREN,
    STATE(15748), 1,
      sym_order_by_clause,
    STATE(16980), 1,
      sym_limit_clause,
  [401584] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11807), 1,
      anon_sym_RPAREN,
    STATE(15747), 1,
      sym_order_by_clause,
    STATE(16994), 1,
      sym_limit_clause,
  [401603] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9979), 1,
      anon_sym_RPAREN,
    STATE(14446), 1,
      sym_order_by_clause,
    STATE(18070), 1,
      sym_limit_clause,
  [401622] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11809), 1,
      anon_sym_RPAREN,
    STATE(15381), 1,
      sym_order_by_clause,
    STATE(17275), 1,
      sym_limit_clause,
  [401641] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11811), 1,
      anon_sym_RPAREN,
    STATE(15379), 1,
      sym_order_by_clause,
    STATE(17277), 1,
      sym_limit_clause,
  [401660] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9991), 1,
      anon_sym_RPAREN,
    STATE(14448), 1,
      sym_order_by_clause,
    STATE(18067), 1,
      sym_limit_clause,
  [401679] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11813), 1,
      anon_sym_RPAREN,
    STATE(15374), 1,
      sym_order_by_clause,
    STATE(17160), 1,
      sym_limit_clause,
  [401698] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11815), 1,
      anon_sym_RPAREN,
    STATE(15372), 1,
      sym_order_by_clause,
    STATE(17287), 1,
      sym_limit_clause,
  [401717] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11817), 1,
      anon_sym_RPAREN,
    STATE(15432), 1,
      sym_order_by_clause,
    STATE(17167), 1,
      sym_limit_clause,
  [401736] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5399), 1,
      sym__identifier,
    ACTIONS(11819), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
    STATE(13696), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
  [401751] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11821), 1,
      anon_sym_RPAREN,
    STATE(15427), 1,
      sym_order_by_clause,
    STATE(17232), 1,
      sym_limit_clause,
  [401770] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11823), 1,
      anon_sym_RPAREN,
    STATE(15309), 1,
      sym_order_by_clause,
    STATE(18681), 1,
      sym_limit_clause,
  [401789] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11825), 1,
      anon_sym_RPAREN,
    STATE(15308), 1,
      sym_order_by_clause,
    STATE(18680), 1,
      sym_limit_clause,
  [401808] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8630), 1,
      aux_sym_option_clause_token1,
    ACTIONS(8726), 1,
      aux_sym__keyword_from_token1,
    STATE(7521), 1,
      sym_from_files_clause,
    STATE(15723), 1,
      sym_option_clause,
    STATE(17512), 1,
      sym__keyword_from,
  [401827] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3662), 1,
      sym_analytics_clause,
    ACTIONS(1488), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [401842] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3659), 1,
      sym_analytics_clause,
    ACTIONS(1480), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [401857] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3649), 1,
      sym_analytics_clause,
    ACTIONS(1470), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [401872] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3647), 1,
      sym_analytics_clause,
    ACTIONS(1466), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [401887] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3645), 1,
      sym_analytics_clause,
    ACTIONS(1458), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [401902] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3642), 1,
      sym_analytics_clause,
    ACTIONS(1454), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [401917] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11829), 1,
      anon_sym_RPAREN,
    STATE(15360), 1,
      sym_order_by_clause,
    STATE(17300), 1,
      sym_limit_clause,
  [401936] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3640), 1,
      sym_analytics_clause,
    ACTIONS(1450), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [401951] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11831), 1,
      anon_sym_RPAREN,
    STATE(15358), 1,
      sym_order_by_clause,
    STATE(17301), 1,
      sym_limit_clause,
  [401970] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3634), 1,
      sym_analytics_clause,
    ACTIONS(1450), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [401985] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3664), 1,
      sym_analytics_clause,
    ACTIONS(1492), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [402000] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3624), 1,
      sym_analytics_clause,
    ACTIONS(1434), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [402015] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3622), 1,
      sym_analytics_clause,
    ACTIONS(1430), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [402030] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8630), 1,
      aux_sym_option_clause_token1,
    ACTIONS(8726), 1,
      aux_sym__keyword_from_token1,
    STATE(7523), 1,
      sym_from_files_clause,
    STATE(15720), 1,
      sym_option_clause,
    STATE(17512), 1,
      sym__keyword_from,
  [402049] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11833), 1,
      anon_sym_RPAREN,
    STATE(15355), 1,
      sym_order_by_clause,
    STATE(17307), 1,
      sym_limit_clause,
  [402068] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11835), 1,
      anon_sym_RPAREN,
    STATE(15413), 1,
      sym_order_by_clause,
    STATE(17241), 1,
      sym_limit_clause,
  [402087] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11528), 1,
      anon_sym_COMMA,
    STATE(14140), 1,
      aux_sym_cte_clause_repeat1,
    ACTIONS(11837), 3,
      anon_sym_LPAREN,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
  [402102] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3620), 1,
      sym_analytics_clause,
    ACTIONS(1426), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [402117] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11839), 1,
      anon_sym_RPAREN,
    STATE(14354), 1,
      sym_order_by_clause,
    STATE(18220), 1,
      sym_limit_clause,
  [402136] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3614), 1,
      sym_analytics_clause,
    ACTIONS(1422), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [402151] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11528), 1,
      anon_sym_COMMA,
    STATE(14145), 1,
      aux_sym_cte_clause_repeat1,
    ACTIONS(11837), 3,
      anon_sym_LPAREN,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
  [402166] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11841), 1,
      anon_sym_RPAREN,
    STATE(15166), 1,
      sym_order_by_clause,
    STATE(17417), 1,
      sym_limit_clause,
  [402185] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11843), 1,
      anon_sym_RPAREN,
    STATE(15089), 1,
      sym_order_by_clause,
    STATE(17561), 1,
      sym_limit_clause,
  [402204] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3612), 1,
      sym_analytics_clause,
    ACTIONS(1418), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [402219] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11845), 1,
      anon_sym_RPAREN,
    STATE(15343), 1,
      sym_order_by_clause,
    STATE(17324), 1,
      sym_limit_clause,
  [402238] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11847), 1,
      anon_sym_RPAREN,
    STATE(15341), 1,
      sym_order_by_clause,
    STATE(17325), 1,
      sym_limit_clause,
  [402257] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3606), 1,
      sym_analytics_clause,
    ACTIONS(1418), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [402272] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3605), 1,
      sym_analytics_clause,
    ACTIONS(1418), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [402287] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3603), 1,
      sym_analytics_clause,
    ACTIONS(1418), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [402302] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3764), 1,
      sym_analytics_clause,
    ACTIONS(1418), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [402317] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3705), 1,
      sym_analytics_clause,
    ACTIONS(1418), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [402332] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11849), 5,
      anon_sym_user,
      anon_sym_group,
      anon_sym_serviceAccount,
      anon_sym_domain,
      anon_sym_specialGroup,
  [402343] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11851), 1,
      anon_sym_RPAREN,
    STATE(15332), 1,
      sym_order_by_clause,
    STATE(17333), 1,
      sym_limit_clause,
  [402362] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(8595), 1,
      sym__identifier,
    ACTIONS(11853), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
    STATE(13696), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
  [402377] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4250), 1,
      sym__identifier,
    ACTIONS(11855), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
    STATE(13696), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
  [402392] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11857), 1,
      anon_sym_RPAREN,
    STATE(15330), 1,
      sym_order_by_clause,
    STATE(17334), 1,
      sym_limit_clause,
  [402411] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11859), 1,
      anon_sym_RPAREN,
    STATE(15327), 1,
      sym_order_by_clause,
    STATE(17338), 1,
      sym_limit_clause,
  [402430] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3712), 1,
      sym_analytics_clause,
    ACTIONS(1418), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [402445] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11861), 1,
      anon_sym_RPAREN,
    STATE(15325), 1,
      sym_order_by_clause,
    STATE(17339), 1,
      sym_limit_clause,
  [402464] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11863), 1,
      anon_sym_RPAREN,
    STATE(15323), 1,
      sym_order_by_clause,
    STATE(17340), 1,
      sym_limit_clause,
  [402483] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11865), 1,
      anon_sym_RPAREN,
    STATE(14821), 1,
      sym_order_by_clause,
    STATE(18407), 1,
      sym_limit_clause,
  [402502] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11867), 1,
      anon_sym_RPAREN,
    STATE(15077), 1,
      sym_order_by_clause,
    STATE(17508), 1,
      sym_limit_clause,
  [402521] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10082), 1,
      anon_sym_RPAREN,
    STATE(15314), 1,
      sym_order_by_clause,
    STATE(17345), 1,
      sym_limit_clause,
  [402540] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11869), 1,
      anon_sym_RPAREN,
    STATE(15412), 1,
      sym_order_by_clause,
    STATE(17243), 1,
      sym_limit_clause,
  [402559] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(7814), 1,
      sym__identifier,
    ACTIONS(11871), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
    STATE(13696), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
  [402574] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11873), 1,
      anon_sym_RPAREN,
    STATE(15312), 1,
      sym_order_by_clause,
    STATE(17347), 1,
      sym_limit_clause,
  [402593] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11875), 1,
      anon_sym_RPAREN,
    STATE(15411), 1,
      sym_order_by_clause,
    STATE(17246), 1,
      sym_limit_clause,
  [402612] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2522), 1,
      sym__identifier,
    ACTIONS(11877), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
    STATE(13696), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
  [402627] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11879), 1,
      anon_sym_RPAREN,
    STATE(14824), 1,
      sym_order_by_clause,
    STATE(18408), 1,
      sym_limit_clause,
  [402646] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3713), 1,
      sym_analytics_clause,
    ACTIONS(1418), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [402661] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3715), 1,
      sym_analytics_clause,
    ACTIONS(1418), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [402676] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11881), 1,
      anon_sym_RPAREN,
    STATE(15048), 1,
      sym_order_by_clause,
    STATE(17522), 1,
      sym_limit_clause,
  [402695] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11883), 1,
      anon_sym_RPAREN,
    STATE(15038), 1,
      sym_order_by_clause,
    STATE(17526), 1,
      sym_limit_clause,
  [402714] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11885), 1,
      anon_sym_RPAREN,
    STATE(14449), 1,
      sym_order_by_clause,
    STATE(18065), 1,
      sym_limit_clause,
  [402733] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11887), 1,
      anon_sym_RPAREN,
    STATE(15306), 1,
      sym_order_by_clause,
    STATE(17350), 1,
      sym_limit_clause,
  [402752] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11889), 1,
      anon_sym_RPAREN,
    STATE(15304), 1,
      sym_order_by_clause,
    STATE(17351), 1,
      sym_limit_clause,
  [402771] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11891), 5,
      anon_sym_LPAREN,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_keyword_current_row_token2,
      aux_sym_values_clause_token1,
  [402782] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11893), 1,
      anon_sym_RPAREN,
    STATE(15296), 1,
      sym_order_by_clause,
    STATE(17355), 1,
      sym_limit_clause,
  [402801] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10336), 1,
      anon_sym_RPAREN,
    STATE(14353), 1,
      sym_order_by_clause,
    STATE(18170), 1,
      sym_limit_clause,
  [402820] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11895), 1,
      anon_sym_RPAREN,
    STATE(15294), 1,
      sym_order_by_clause,
    STATE(17356), 1,
      sym_limit_clause,
  [402839] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11897), 1,
      anon_sym_RPAREN,
    STATE(14394), 1,
      sym_order_by_clause,
    STATE(18128), 1,
      sym_limit_clause,
  [402858] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3718), 1,
      sym_analytics_clause,
    ACTIONS(1418), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [402873] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10090), 1,
      anon_sym_RPAREN,
    STATE(15285), 1,
      sym_order_by_clause,
    STATE(17359), 1,
      sym_limit_clause,
  [402892] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11899), 1,
      anon_sym_RPAREN,
    STATE(14442), 1,
      sym_order_by_clause,
    STATE(18074), 1,
      sym_limit_clause,
  [402911] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10094), 1,
      anon_sym_RPAREN,
    STATE(15276), 1,
      sym_order_by_clause,
    STATE(17362), 1,
      sym_limit_clause,
  [402930] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11901), 1,
      anon_sym_RPAREN,
    STATE(15405), 1,
      sym_order_by_clause,
    STATE(17253), 1,
      sym_limit_clause,
  [402949] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11903), 1,
      anon_sym_RPAREN,
    STATE(14428), 1,
      sym_order_by_clause,
    STATE(18096), 1,
      sym_limit_clause,
  [402968] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3722), 1,
      sym_analytics_clause,
    ACTIONS(1414), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [402983] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10068), 1,
      anon_sym_RPAREN,
    STATE(15197), 1,
      sym_order_by_clause,
    STATE(17407), 1,
      sym_limit_clause,
  [403002] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10096), 1,
      anon_sym_RPAREN,
    STATE(15273), 1,
      sym_order_by_clause,
    STATE(17366), 1,
      sym_limit_clause,
  [403021] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11116), 1,
      aux_sym__keyword_from_token1,
    ACTIONS(11905), 1,
      aux_sym_where_clause_token1,
    STATE(8278), 1,
      sym_where_clause,
    STATE(11191), 1,
      sym__keyword_from,
    STATE(16321), 1,
      sym_from_clause,
  [403040] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11228), 1,
      aux_sym__keyword_delete_token1,
    ACTIONS(11907), 1,
      aux_sym_update_statement_token1,
    STATE(7595), 1,
      sym__keyword_delete,
    STATE(7653), 2,
      sym_merge_update_clause,
      sym_merge_delete_clause,
  [403057] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11909), 1,
      anon_sym_RPAREN,
    STATE(15271), 1,
      sym_order_by_clause,
    STATE(17367), 1,
      sym_limit_clause,
  [403076] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3724), 1,
      sym_analytics_clause,
    ACTIONS(1410), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [403091] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9975), 1,
      anon_sym_RPAREN,
    STATE(15386), 1,
      sym_order_by_clause,
    STATE(17269), 1,
      sym_limit_clause,
  [403110] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11911), 1,
      anon_sym_RPAREN,
    STATE(14829), 1,
      sym_order_by_clause,
    STATE(18410), 1,
      sym_limit_clause,
  [403129] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11913), 1,
      anon_sym_RPAREN,
    STATE(15006), 1,
      sym_order_by_clause,
    STATE(17543), 1,
      sym_limit_clause,
  [403148] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11915), 1,
      anon_sym_RPAREN,
    STATE(15000), 1,
      sym_order_by_clause,
    STATE(17552), 1,
      sym_limit_clause,
  [403167] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3726), 1,
      sym_analytics_clause,
    ACTIONS(1406), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [403182] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3728), 1,
      sym_analytics_clause,
    ACTIONS(1398), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [403197] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10104), 1,
      anon_sym_RPAREN,
    STATE(15251), 1,
      sym_order_by_clause,
    STATE(17375), 1,
      sym_limit_clause,
  [403216] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4214), 1,
      sym__identifier,
    ACTIONS(11917), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
    STATE(13696), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
  [403231] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10106), 1,
      anon_sym_RPAREN,
    STATE(15242), 1,
      sym_order_by_clause,
    STATE(17383), 1,
      sym_limit_clause,
  [403250] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3734), 1,
      sym_analytics_clause,
    ACTIONS(1398), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [403265] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9999), 1,
      anon_sym_RPAREN,
    STATE(14464), 1,
      sym_order_by_clause,
    STATE(18051), 1,
      sym_limit_clause,
  [403284] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11228), 1,
      aux_sym__keyword_delete_token1,
    ACTIONS(11907), 1,
      aux_sym_update_statement_token1,
    STATE(7595), 1,
      sym__keyword_delete,
    STATE(7800), 2,
      sym_merge_update_clause,
      sym_merge_delete_clause,
  [403301] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3735), 1,
      sym_analytics_clause,
    ACTIONS(1398), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [403316] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11228), 1,
      aux_sym__keyword_delete_token1,
    ACTIONS(11907), 1,
      aux_sym_update_statement_token1,
    STATE(7595), 1,
      sym__keyword_delete,
    STATE(7791), 2,
      sym_merge_update_clause,
      sym_merge_delete_clause,
  [403333] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11919), 1,
      anon_sym_RPAREN,
    STATE(15382), 1,
      sym_order_by_clause,
    STATE(17282), 1,
      sym_limit_clause,
  [403352] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10108), 1,
      anon_sym_RPAREN,
    STATE(15239), 1,
      sym_order_by_clause,
    STATE(17385), 1,
      sym_limit_clause,
  [403371] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10328), 1,
      anon_sym_RPAREN,
    STATE(14423), 1,
      sym_order_by_clause,
    STATE(18048), 1,
      sym_limit_clause,
  [403390] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10174), 1,
      anon_sym_RPAREN,
    STATE(15180), 1,
      sym_order_by_clause,
    STATE(18626), 1,
      sym_limit_clause,
  [403409] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3737), 1,
      sym_analytics_clause,
    ACTIONS(1398), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [403424] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11228), 1,
      aux_sym__keyword_delete_token1,
    ACTIONS(11907), 1,
      aux_sym_update_statement_token1,
    STATE(7595), 1,
      sym__keyword_delete,
    STATE(7597), 2,
      sym_merge_update_clause,
      sym_merge_delete_clause,
  [403441] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2355), 1,
      sym__identifier,
    ACTIONS(11921), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
    STATE(13696), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
  [403456] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3740), 1,
      sym_analytics_clause,
    ACTIONS(1398), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [403471] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10116), 1,
      anon_sym_RPAREN,
    STATE(15217), 1,
      sym_order_by_clause,
    STATE(17394), 1,
      sym_limit_clause,
  [403490] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11923), 1,
      anon_sym_RPAREN,
    STATE(15348), 1,
      sym_order_by_clause,
    STATE(17316), 1,
      sym_limit_clause,
  [403509] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10001), 1,
      anon_sym_RPAREN,
    STATE(14480), 1,
      sym_order_by_clause,
    STATE(18042), 1,
      sym_limit_clause,
  [403528] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10326), 1,
      anon_sym_RPAREN,
    STATE(14470), 1,
      sym_order_by_clause,
    STATE(18188), 1,
      sym_limit_clause,
  [403547] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11925), 1,
      anon_sym_RPAREN,
    STATE(14966), 1,
      sym_order_by_clause,
    STATE(17573), 1,
      sym_limit_clause,
  [403566] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11228), 1,
      aux_sym__keyword_delete_token1,
    ACTIONS(11230), 1,
      aux_sym_update_statement_token1,
    STATE(7595), 1,
      sym__keyword_delete,
    STATE(7791), 2,
      sym_merge_update_clause,
      sym_merge_delete_clause,
  [403583] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8630), 1,
      aux_sym_option_clause_token1,
    STATE(7325), 1,
      sym_option_clause,
    ACTIONS(5477), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
  [403598] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11927), 1,
      anon_sym_RPAREN,
    STATE(14956), 1,
      sym_order_by_clause,
    STATE(17581), 1,
      sym_limit_clause,
  [403617] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10184), 1,
      anon_sym_RPAREN,
    STATE(15076), 1,
      sym_order_by_clause,
    STATE(18571), 1,
      sym_limit_clause,
  [403636] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3743), 1,
      sym_analytics_clause,
    ACTIONS(1394), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [403651] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11929), 1,
      anon_sym_RPAREN,
    STATE(14841), 1,
      sym_order_by_clause,
    STATE(18415), 1,
      sym_limit_clause,
  [403670] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9739), 1,
      anon_sym_RPAREN,
    STATE(14368), 1,
      sym_order_by_clause,
    STATE(18197), 1,
      sym_limit_clause,
  [403689] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11931), 1,
      anon_sym_RPAREN,
    STATE(14937), 1,
      sym_order_by_clause,
    STATE(17586), 1,
      sym_limit_clause,
  [403708] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3745), 1,
      sym_analytics_clause,
    ACTIONS(1370), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [403723] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10190), 1,
      anon_sym_RPAREN,
    STATE(15154), 1,
      sym_order_by_clause,
    STATE(18601), 1,
      sym_limit_clause,
  [403742] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3746), 1,
      sym_analytics_clause,
    ACTIONS(1370), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [403757] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3748), 1,
      sym_analytics_clause,
    ACTIONS(1370), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [403772] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11933), 1,
      anon_sym_RPAREN,
    STATE(14858), 1,
      sym_order_by_clause,
    STATE(18419), 1,
      sym_limit_clause,
  [403791] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10202), 1,
      anon_sym_RPAREN,
    STATE(15138), 1,
      sym_order_by_clause,
    STATE(18593), 1,
      sym_limit_clause,
  [403810] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(393), 1,
      sym__identifier,
    ACTIONS(11935), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
    STATE(13696), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
  [403825] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10009), 1,
      anon_sym_RPAREN,
    STATE(14486), 1,
      sym_order_by_clause,
    STATE(18039), 1,
      sym_limit_clause,
  [403844] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10318), 1,
      anon_sym_RPAREN,
    STATE(14524), 1,
      sym_order_by_clause,
    STATE(18020), 1,
      sym_limit_clause,
  [403863] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3751), 1,
      sym_analytics_clause,
    ACTIONS(1370), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [403878] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3754), 1,
      sym_analytics_clause,
    ACTIONS(1370), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [403893] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11937), 1,
      anon_sym_RPAREN,
    STATE(15326), 1,
      sym_order_by_clause,
    STATE(17337), 1,
      sym_limit_clause,
  [403912] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10059), 1,
      anon_sym_RPAREN,
    STATE(14509), 1,
      sym_order_by_clause,
    STATE(18024), 1,
      sym_limit_clause,
  [403931] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10314), 1,
      anon_sym_RPAREN,
    STATE(14546), 1,
      sym_order_by_clause,
    STATE(18008), 1,
      sym_limit_clause,
  [403950] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11939), 1,
      anon_sym_RPAREN,
    STATE(15324), 1,
      sym_order_by_clause,
    STATE(17342), 1,
      sym_limit_clause,
  [403969] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3759), 1,
      sym_analytics_clause,
    ACTIONS(1370), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [403984] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10039), 1,
      anon_sym_RPAREN,
    STATE(15267), 1,
      sym_order_by_clause,
    STATE(17368), 1,
      sym_limit_clause,
  [404003] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11941), 1,
      anon_sym_RPAREN,
    STATE(15130), 1,
      sym_order_by_clause,
    STATE(18582), 1,
      sym_limit_clause,
  [404022] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3760), 1,
      sym_analytics_clause,
    ACTIONS(1370), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [404037] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10053), 1,
      anon_sym_RPAREN,
    STATE(15226), 1,
      sym_order_by_clause,
    STATE(17391), 1,
      sym_limit_clause,
  [404056] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10228), 1,
      anon_sym_RPAREN,
    STATE(15128), 1,
      sym_order_by_clause,
    STATE(18581), 1,
      sym_limit_clause,
  [404075] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10425), 1,
      aux_sym__keyword_returns_token1,
    ACTIONS(11943), 1,
      aux_sym__keyword_as_token1,
    STATE(12056), 1,
      sym__keyword_as,
    STATE(16137), 1,
      sym_create_table_function_returns,
    STATE(17446), 1,
      sym__keyword_returns,
  [404094] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3761), 1,
      sym_analytics_clause,
    ACTIONS(1370), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [404109] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3763), 1,
      sym_analytics_clause,
    ACTIONS(1370), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [404124] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10055), 1,
      anon_sym_RPAREN,
    STATE(15210), 1,
      sym_order_by_clause,
    STATE(17395), 1,
      sym_limit_clause,
  [404143] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10230), 1,
      anon_sym_RPAREN,
    STATE(15125), 1,
      sym_order_by_clause,
    STATE(18574), 1,
      sym_limit_clause,
  [404162] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3600), 1,
      sym_analytics_clause,
    ACTIONS(1370), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [404177] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11945), 1,
      anon_sym_RPAREN,
    STATE(15377), 1,
      sym_order_by_clause,
    STATE(17278), 1,
      sym_limit_clause,
  [404196] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11947), 1,
      anon_sym_RPAREN,
    STATE(15376), 1,
      sym_order_by_clause,
    STATE(17280), 1,
      sym_limit_clause,
  [404215] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10234), 1,
      anon_sym_RPAREN,
    STATE(15115), 1,
      sym_order_by_clause,
    STATE(18493), 1,
      sym_limit_clause,
  [404234] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3766), 1,
      sym_analytics_clause,
    ACTIONS(1370), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [404249] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3767), 1,
      sym_analytics_clause,
    ACTIONS(1370), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [404264] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3769), 1,
      sym_analytics_clause,
    ACTIONS(1370), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [404279] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11949), 1,
      anon_sym_RPAREN,
    STATE(15209), 1,
      sym_order_by_clause,
    STATE(17398), 1,
      sym_limit_clause,
  [404298] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11951), 1,
      anon_sym_RPAREN,
    STATE(15104), 1,
      sym_order_by_clause,
    STATE(18565), 1,
      sym_limit_clause,
  [404317] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11953), 1,
      anon_sym_RPAREN,
    STATE(15095), 1,
      sym_order_by_clause,
    STATE(18563), 1,
      sym_limit_clause,
  [404336] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3772), 1,
      sym_analytics_clause,
    ACTIONS(1370), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [404351] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3775), 1,
      sym_analytics_clause,
    ACTIONS(1370), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [404366] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11955), 1,
      anon_sym_RPAREN,
    STATE(15159), 1,
      sym_order_by_clause,
    STATE(17427), 1,
      sym_limit_clause,
  [404385] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11957), 1,
      anon_sym_RPAREN,
    STATE(15084), 1,
      sym_order_by_clause,
    STATE(18557), 1,
      sym_limit_clause,
  [404404] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11959), 1,
      anon_sym_RPAREN,
    STATE(14992), 1,
      sym_order_by_clause,
    STATE(18556), 1,
      sym_limit_clause,
  [404423] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11961), 1,
      anon_sym_RPAREN,
    STATE(15157), 1,
      sym_order_by_clause,
    STATE(17428), 1,
      sym_limit_clause,
  [404442] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11963), 1,
      anon_sym_RPAREN,
    STATE(15370), 1,
      sym_order_by_clause,
    STATE(17288), 1,
      sym_limit_clause,
  [404461] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3779), 1,
      sym_analytics_clause,
    ACTIONS(1370), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [404476] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3780), 1,
      sym_analytics_clause,
    ACTIONS(1370), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [404491] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11965), 1,
      anon_sym_RPAREN,
    STATE(15246), 1,
      sym_order_by_clause,
    STATE(18648), 1,
      sym_limit_clause,
  [404510] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11967), 1,
      anon_sym_RPAREN,
    STATE(15243), 1,
      sym_order_by_clause,
    STATE(18646), 1,
      sym_limit_clause,
  [404529] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10312), 1,
      anon_sym_RPAREN,
    STATE(14549), 1,
      sym_order_by_clause,
    STATE(17999), 1,
      sym_limit_clause,
  [404548] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11969), 1,
      anon_sym_RPAREN,
    STATE(15369), 1,
      sym_order_by_clause,
    STATE(17290), 1,
      sym_limit_clause,
  [404567] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3626), 1,
      sym_analytics_clause,
    ACTIONS(1438), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [404582] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9737), 1,
      anon_sym_RPAREN,
    STATE(14417), 1,
      sym_order_by_clause,
    STATE(18215), 1,
      sym_limit_clause,
  [404601] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11971), 1,
      anon_sym_RPAREN,
    STATE(15058), 1,
      sym_order_by_clause,
    STATE(18545), 1,
      sym_limit_clause,
  [404620] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11973), 1,
      anon_sym_RPAREN,
    STATE(14748), 1,
      sym_order_by_clause,
    STATE(17814), 1,
      sym_limit_clause,
  [404639] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10098), 1,
      anon_sym_RPAREN,
    STATE(15359), 1,
      sym_order_by_clause,
    STATE(17299), 1,
      sym_limit_clause,
  [404658] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10240), 1,
      anon_sym_RPAREN,
    STATE(15056), 1,
      sym_order_by_clause,
    STATE(18544), 1,
      sym_limit_clause,
  [404677] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10102), 1,
      anon_sym_RPAREN,
    STATE(15352), 1,
      sym_order_by_clause,
    STATE(17309), 1,
      sym_limit_clause,
  [404696] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10112), 1,
      anon_sym_RPAREN,
    STATE(15153), 1,
      sym_order_by_clause,
    STATE(17437), 1,
      sym_limit_clause,
  [404715] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11975), 1,
      anon_sym_RPAREN,
    STATE(15150), 1,
      sym_order_by_clause,
    STATE(17442), 1,
      sym_limit_clause,
  [404734] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11977), 1,
      anon_sym_RPAREN,
    STATE(15148), 1,
      sym_order_by_clause,
    STATE(17443), 1,
      sym_limit_clause,
  [404753] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11979), 1,
      anon_sym_RPAREN,
    STATE(15046), 1,
      sym_order_by_clause,
    STATE(18537), 1,
      sym_limit_clause,
  [404772] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11981), 1,
      anon_sym_RPAREN,
    STATE(15043), 1,
      sym_order_by_clause,
    STATE(18536), 1,
      sym_limit_clause,
  [404791] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10300), 1,
      anon_sym_RPAREN,
    STATE(14558), 1,
      sym_order_by_clause,
    STATE(17989), 1,
      sym_limit_clause,
  [404810] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9580), 1,
      anon_sym_RPAREN,
    STATE(15350), 1,
      sym_order_by_clause,
    STATE(17312), 1,
      sym_limit_clause,
  [404829] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11983), 1,
      anon_sym_RPAREN,
    STATE(15032), 1,
      sym_order_by_clause,
    STATE(18535), 1,
      sym_limit_clause,
  [404848] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11985), 1,
      anon_sym_RPAREN,
    STATE(15349), 1,
      sym_order_by_clause,
    STATE(17314), 1,
      sym_limit_clause,
  [404867] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10296), 1,
      anon_sym_RPAREN,
    STATE(14504), 1,
      sym_order_by_clause,
    STATE(18030), 1,
      sym_limit_clause,
  [404886] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11987), 1,
      anon_sym_RPAREN,
    STATE(15028), 1,
      sym_order_by_clause,
    STATE(18533), 1,
      sym_limit_clause,
  [404905] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11989), 1,
      anon_sym_RPAREN,
    STATE(15026), 1,
      sym_order_by_clause,
    STATE(18531), 1,
      sym_limit_clause,
  [404924] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11991), 1,
      anon_sym_RPAREN,
    STATE(15143), 1,
      sym_order_by_clause,
    STATE(17449), 1,
      sym_limit_clause,
  [404943] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11993), 1,
      anon_sym_RPAREN,
    STATE(15141), 1,
      sym_order_by_clause,
    STATE(17450), 1,
      sym_limit_clause,
  [404962] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3674), 1,
      sym_analytics_clause,
    ACTIONS(1370), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [404977] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10120), 1,
      anon_sym_RPAREN,
    STATE(15142), 1,
      sym_order_by_clause,
    STATE(17458), 1,
      sym_limit_clause,
  [404996] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3784), 1,
      sym_analytics_clause,
    ACTIONS(1370), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [405011] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11995), 1,
      anon_sym_RPAREN,
    STATE(15129), 1,
      sym_order_by_clause,
    STATE(17463), 1,
      sym_limit_clause,
  [405030] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3787), 1,
      sym_analytics_clause,
    ACTIONS(1504), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [405045] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11997), 1,
      anon_sym_RPAREN,
    STATE(15127), 1,
      sym_order_by_clause,
    STATE(17467), 1,
      sym_limit_clause,
  [405064] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11999), 1,
      anon_sym_RPAREN,
    STATE(15017), 1,
      sym_order_by_clause,
    STATE(18518), 1,
      sym_limit_clause,
  [405083] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12001), 1,
      anon_sym_RPAREN,
    STATE(15013), 1,
      sym_order_by_clause,
    STATE(18517), 1,
      sym_limit_clause,
  [405102] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10122), 1,
      anon_sym_RPAREN,
    STATE(15134), 1,
      sym_order_by_clause,
    STATE(17466), 1,
      sym_limit_clause,
  [405121] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12003), 1,
      anon_sym_RPAREN,
    STATE(15124), 1,
      sym_order_by_clause,
    STATE(17469), 1,
      sym_limit_clause,
  [405140] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3788), 1,
      sym_analytics_clause,
    ACTIONS(1500), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [405155] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8630), 1,
      aux_sym_option_clause_token1,
    ACTIONS(8726), 1,
      aux_sym__keyword_from_token1,
    STATE(7477), 1,
      sym_from_files_clause,
    STATE(15321), 1,
      sym_option_clause,
    STATE(17512), 1,
      sym__keyword_from,
  [405174] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12005), 1,
      anon_sym_RPAREN,
    STATE(14880), 1,
      sym_order_by_clause,
    STATE(17803), 1,
      sym_limit_clause,
  [405193] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12007), 1,
      anon_sym_RPAREN,
    STATE(15112), 1,
      sym_order_by_clause,
    STATE(17482), 1,
      sym_limit_clause,
  [405212] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3790), 1,
      sym_analytics_clause,
    ACTIONS(1496), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [405227] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12009), 1,
      anon_sym_RPAREN,
    STATE(15110), 1,
      sym_order_by_clause,
    STATE(17483), 1,
      sym_limit_clause,
  [405246] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3792), 1,
      sym_analytics_clause,
    ACTIONS(1360), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [405261] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12011), 1,
      anon_sym_RPAREN,
    STATE(15101), 1,
      sym_order_by_clause,
    STATE(17490), 1,
      sym_limit_clause,
  [405280] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12013), 1,
      anon_sym_RPAREN,
    STATE(15099), 1,
      sym_order_by_clause,
    STATE(17491), 1,
      sym_limit_clause,
  [405299] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10156), 1,
      anon_sym_RPAREN,
    STATE(15082), 1,
      sym_order_by_clause,
    STATE(17502), 1,
      sym_limit_clause,
  [405318] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3853), 1,
      sym_analytics_clause,
    ACTIONS(1360), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [405333] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12015), 1,
      anon_sym_RPAREN,
    STATE(15096), 1,
      sym_order_by_clause,
    STATE(17493), 1,
      sym_limit_clause,
  [405352] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12017), 1,
      anon_sym_RPAREN,
    STATE(15005), 1,
      sym_order_by_clause,
    STATE(18508), 1,
      sym_limit_clause,
  [405371] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12019), 1,
      anon_sym_RPAREN,
    STATE(15094), 1,
      sym_order_by_clause,
    STATE(17494), 1,
      sym_limit_clause,
  [405390] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12021), 1,
      anon_sym_RPAREN,
    STATE(15092), 1,
      sym_order_by_clause,
    STATE(17498), 1,
      sym_limit_clause,
  [405409] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12023), 1,
      anon_sym_RPAREN,
    STATE(14997), 1,
      sym_order_by_clause,
    STATE(18504), 1,
      sym_limit_clause,
  [405428] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12025), 1,
      anon_sym_RPAREN,
    STATE(14995), 1,
      sym_order_by_clause,
    STATE(18503), 1,
      sym_limit_clause,
  [405447] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3795), 1,
      sym_analytics_clause,
    ACTIONS(1360), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [405462] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10138), 1,
      anon_sym_RPAREN,
    STATE(15083), 1,
      sym_order_by_clause,
    STATE(17503), 1,
      sym_limit_clause,
  [405481] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3798), 1,
      sym_analytics_clause,
    ACTIONS(1360), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [405496] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12027), 1,
      anon_sym_RPAREN,
    STATE(15081), 1,
      sym_order_by_clause,
    STATE(17505), 1,
      sym_limit_clause,
  [405515] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3783), 1,
      sym_analytics_clause,
    ACTIONS(1360), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [405530] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12029), 1,
      anon_sym_RPAREN,
    STATE(15075), 1,
      sym_order_by_clause,
    STATE(17510), 1,
      sym_limit_clause,
  [405549] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3807), 1,
      sym_analytics_clause,
    ACTIONS(1360), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [405564] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12031), 1,
      anon_sym_RPAREN,
    STATE(15073), 1,
      sym_order_by_clause,
    STATE(17511), 1,
      sym_limit_clause,
  [405583] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3808), 1,
      sym_analytics_clause,
    ACTIONS(1360), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [405598] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12033), 1,
      anon_sym_RPAREN,
    STATE(14806), 1,
      sym_order_by_clause,
    STATE(17742), 1,
      sym_limit_clause,
  [405617] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12035), 1,
      anon_sym_RPAREN,
    STATE(15065), 1,
      sym_order_by_clause,
    STATE(17519), 1,
      sym_limit_clause,
  [405636] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12037), 1,
      anon_sym_RPAREN,
    STATE(15063), 1,
      sym_order_by_clause,
    STATE(17520), 1,
      sym_limit_clause,
  [405655] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12039), 1,
      anon_sym_RPAREN,
    STATE(14797), 1,
      sym_order_by_clause,
    STATE(17748), 1,
      sym_limit_clause,
  [405674] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3809), 1,
      sym_analytics_clause,
    ACTIONS(1360), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [405689] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10148), 1,
      anon_sym_RPAREN,
    STATE(15054), 1,
      sym_order_by_clause,
    STATE(17524), 1,
      sym_limit_clause,
  [405708] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12041), 1,
      anon_sym_RPAREN,
    STATE(14987), 1,
      sym_order_by_clause,
    STATE(18482), 1,
      sym_limit_clause,
  [405727] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12043), 1,
      anon_sym_RPAREN,
    STATE(14978), 1,
      sym_order_by_clause,
    STATE(18481), 1,
      sym_limit_clause,
  [405746] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12045), 1,
      anon_sym_RPAREN,
    STATE(14839), 1,
      sym_order_by_clause,
    STATE(17727), 1,
      sym_limit_clause,
  [405765] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3811), 1,
      sym_analytics_clause,
    ACTIONS(1360), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [405780] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12047), 1,
      anon_sym_RPAREN,
    STATE(14578), 1,
      sym_order_by_clause,
    STATE(17968), 1,
      sym_limit_clause,
  [405799] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10150), 1,
      anon_sym_RPAREN,
    STATE(15045), 1,
      sym_order_by_clause,
    STATE(17528), 1,
      sym_limit_clause,
  [405818] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12049), 5,
      anon_sym_LPAREN,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_keyword_current_row_token2,
      aux_sym_values_clause_token1,
  [405829] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3812), 1,
      sym_analytics_clause,
    ACTIONS(1360), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [405844] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9582), 1,
      anon_sym_RPAREN,
    STATE(15042), 1,
      sym_order_by_clause,
    STATE(17529), 1,
      sym_limit_clause,
  [405863] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3814), 1,
      sym_analytics_clause,
    ACTIONS(1386), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [405878] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12051), 1,
      anon_sym_RPAREN,
    STATE(15040), 1,
      sym_order_by_clause,
    STATE(17530), 1,
      sym_limit_clause,
  [405897] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12053), 1,
      anon_sym_RPAREN,
    STATE(14968), 1,
      sym_order_by_clause,
    STATE(18476), 1,
      sym_limit_clause,
  [405916] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12055), 1,
      anon_sym_RPAREN,
    STATE(14962), 1,
      sym_order_by_clause,
    STATE(18474), 1,
      sym_limit_clause,
  [405935] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10320), 1,
      anon_sym_RPAREN,
    STATE(14740), 1,
      sym_order_by_clause,
    STATE(17818), 1,
      sym_limit_clause,
  [405954] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3816), 1,
      sym_analytics_clause,
    ACTIONS(1364), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [405969] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3817), 1,
      sym_analytics_clause,
    ACTIONS(1364), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [405984] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3818), 1,
      sym_analytics_clause,
    ACTIONS(1364), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [405999] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9731), 1,
      anon_sym_RPAREN,
    STATE(14422), 1,
      sym_order_by_clause,
    STATE(18221), 1,
      sym_limit_clause,
  [406018] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3820), 1,
      sym_analytics_clause,
    ACTIONS(1364), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [406033] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3821), 1,
      sym_analytics_clause,
    ACTIONS(1364), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [406048] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(8788), 1,
      sym__identifier,
    ACTIONS(12057), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
    STATE(13696), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
  [406063] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(10727), 1,
      sym__identifier,
    ACTIONS(12059), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
    STATE(13696), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
  [406078] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10160), 1,
      anon_sym_RPAREN,
    STATE(15020), 1,
      sym_order_by_clause,
    STATE(17539), 1,
      sym_limit_clause,
  [406097] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10288), 1,
      anon_sym_RPAREN,
    STATE(14580), 1,
      sym_order_by_clause,
    STATE(17965), 1,
      sym_limit_clause,
  [406116] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3823), 1,
      sym_analytics_clause,
    ACTIONS(1364), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [406131] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10162), 1,
      anon_sym_RPAREN,
    STATE(15011), 1,
      sym_order_by_clause,
    STATE(17479), 1,
      sym_limit_clause,
  [406150] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12061), 1,
      anon_sym_RPAREN,
    STATE(14888), 1,
      sym_order_by_clause,
    STATE(18429), 1,
      sym_limit_clause,
  [406169] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12063), 1,
      anon_sym_RPAREN,
    STATE(14782), 1,
      sym_order_by_clause,
    STATE(17767), 1,
      sym_limit_clause,
  [406188] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12065), 1,
      anon_sym_RPAREN,
    STATE(14942), 1,
      sym_order_by_clause,
    STATE(18461), 1,
      sym_limit_clause,
  [406207] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12067), 1,
      anon_sym_RPAREN,
    STATE(14941), 1,
      sym_order_by_clause,
    STATE(18460), 1,
      sym_limit_clause,
  [406226] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3824), 1,
      sym_analytics_clause,
    ACTIONS(1364), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [406241] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3826), 1,
      sym_analytics_clause,
    ACTIONS(1364), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [406256] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12069), 1,
      anon_sym_RPAREN,
    STATE(14771), 1,
      sym_order_by_clause,
    STATE(17778), 1,
      sym_limit_clause,
  [406275] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10286), 1,
      anon_sym_RPAREN,
    STATE(14583), 1,
      sym_order_by_clause,
    STATE(17960), 1,
      sym_limit_clause,
  [406294] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10164), 1,
      anon_sym_RPAREN,
    STATE(15008), 1,
      sym_order_by_clause,
    STATE(17545), 1,
      sym_limit_clause,
  [406313] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3829), 1,
      sym_analytics_clause,
    ACTIONS(1364), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [406328] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3832), 1,
      sym_analytics_clause,
    ACTIONS(1364), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [406343] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10282), 1,
      anon_sym_RPAREN,
    STATE(14592), 1,
      sym_order_by_clause,
    STATE(17958), 1,
      sym_limit_clause,
  [406362] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3833), 1,
      sym_analytics_clause,
    ACTIONS(1364), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [406377] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10170), 1,
      anon_sym_RPAREN,
    STATE(14986), 1,
      sym_order_by_clause,
    STATE(17563), 1,
      sym_limit_clause,
  [406396] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3834), 1,
      sym_analytics_clause,
    ACTIONS(1364), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [406411] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3835), 1,
      sym_analytics_clause,
    ACTIONS(1364), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [406426] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12071), 1,
      anon_sym_RPAREN,
    STATE(14545), 1,
      sym_order_by_clause,
    STATE(17998), 1,
      sym_limit_clause,
  [406445] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12073), 1,
      anon_sym_RPAREN,
    STATE(14931), 1,
      sym_order_by_clause,
    STATE(17599), 1,
      sym_limit_clause,
  [406464] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3672), 1,
      sym_analytics_clause,
    ACTIONS(1402), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [406479] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12075), 1,
      anon_sym_RPAREN,
    STATE(14601), 1,
      sym_order_by_clause,
    STATE(17948), 1,
      sym_limit_clause,
  [406498] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12077), 1,
      anon_sym_RPAREN,
    STATE(14603), 1,
      sym_order_by_clause,
    STATE(17947), 1,
      sym_limit_clause,
  [406517] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3836), 1,
      sym_analytics_clause,
    ACTIONS(1364), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [406532] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3838), 1,
      sym_analytics_clause,
    ACTIONS(1364), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [406547] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3839), 1,
      sym_analytics_clause,
    ACTIONS(1364), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [406562] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3841), 1,
      sym_analytics_clause,
    ACTIONS(1364), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [406577] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12079), 1,
      anon_sym_RPAREN,
    STATE(14548), 1,
      sym_order_by_clause,
    STATE(17996), 1,
      sym_limit_clause,
  [406596] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12081), 1,
      anon_sym_RPAREN,
    STATE(14447), 1,
      sym_order_by_clause,
    STATE(18232), 1,
      sym_limit_clause,
  [406615] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12083), 1,
      anon_sym_RPAREN,
    STATE(14611), 1,
      sym_order_by_clause,
    STATE(17938), 1,
      sym_limit_clause,
  [406634] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3842), 1,
      sym_analytics_clause,
    ACTIONS(1364), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [406649] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3382), 1,
      sym__identifier,
    ACTIONS(12085), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
    STATE(13696), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
  [406664] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12087), 1,
      anon_sym_RPAREN,
    STATE(14613), 1,
      sym_order_by_clause,
    STATE(17936), 1,
      sym_limit_clause,
  [406683] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3844), 1,
      sym_analytics_clause,
    ACTIONS(1364), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [406698] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3847), 1,
      sym_analytics_clause,
    ACTIONS(1364), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [406713] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3850), 1,
      sym_analytics_clause,
    ACTIONS(1364), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [406728] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3851), 1,
      sym_analytics_clause,
    ACTIONS(1364), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [406743] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12089), 1,
      anon_sym_RPAREN,
    STATE(14553), 1,
      sym_order_by_clause,
    STATE(17990), 1,
      sym_limit_clause,
  [406762] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10407), 1,
      anon_sym_RPAREN,
    STATE(14911), 1,
      sym_order_by_clause,
    STATE(17639), 1,
      sym_limit_clause,
  [406781] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3926), 1,
      sym_analytics_clause,
    ACTIONS(1382), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [406796] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3854), 1,
      sym_analytics_clause,
    ACTIONS(1390), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [406811] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(7161), 1,
      sym__identifier,
    ACTIONS(12091), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
    STATE(13696), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
  [406826] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3856), 1,
      sym_analytics_clause,
    ACTIONS(1378), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [406841] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10399), 1,
      anon_sym_RPAREN,
    STATE(14899), 1,
      sym_order_by_clause,
    STATE(17654), 1,
      sym_limit_clause,
  [406860] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3857), 1,
      sym_analytics_clause,
    ACTIONS(1378), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [406875] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10389), 1,
      anon_sym_RPAREN,
    STATE(14895), 1,
      sym_order_by_clause,
    STATE(17657), 1,
      sym_limit_clause,
  [406894] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3781), 1,
      sym_analytics_clause,
    ACTIONS(1370), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [406909] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10383), 1,
      anon_sym_RPAREN,
    STATE(14889), 1,
      sym_order_by_clause,
    STATE(17666), 1,
      sym_limit_clause,
  [406928] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12093), 1,
      anon_sym_RPAREN,
    STATE(14928), 1,
      sym_order_by_clause,
    STATE(17609), 1,
      sym_limit_clause,
  [406947] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12095), 1,
      anon_sym_RPAREN,
    STATE(14619), 1,
      sym_order_by_clause,
    STATE(17930), 1,
      sym_limit_clause,
  [406966] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12097), 1,
      anon_sym_RPAREN,
    STATE(15218), 1,
      sym_order_by_clause,
    STATE(18625), 1,
      sym_limit_clause,
  [406985] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12099), 1,
      anon_sym_RPAREN,
    STATE(14926), 1,
      sym_order_by_clause,
    STATE(17616), 1,
      sym_limit_clause,
  [407004] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12101), 1,
      anon_sym_RPAREN,
    STATE(14556), 1,
      sym_order_by_clause,
    STATE(17988), 1,
      sym_limit_clause,
  [407023] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12103), 1,
      anon_sym_RPAREN,
    STATE(14875), 1,
      sym_order_by_clause,
    STATE(17680), 1,
      sym_limit_clause,
  [407042] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10270), 1,
      anon_sym_RPAREN,
    STATE(14621), 1,
      sym_order_by_clause,
    STATE(17826), 1,
      sym_limit_clause,
  [407061] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10373), 1,
      anon_sym_RPAREN,
    STATE(14871), 1,
      sym_order_by_clause,
    STATE(17682), 1,
      sym_limit_clause,
  [407080] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10363), 1,
      anon_sym_RPAREN,
    STATE(14867), 1,
      sym_order_by_clause,
    STATE(17685), 1,
      sym_limit_clause,
  [407099] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12105), 1,
      anon_sym_RPAREN,
    STATE(15179), 1,
      sym_order_by_clause,
    STATE(18620), 1,
      sym_limit_clause,
  [407118] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12107), 1,
      anon_sym_RPAREN,
    STATE(14746), 1,
      sym_order_by_clause,
    STATE(17809), 1,
      sym_limit_clause,
  [407137] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3860), 1,
      sym_analytics_clause,
    ACTIONS(1378), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [407152] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10342), 1,
      anon_sym_RPAREN,
    STATE(14854), 1,
      sym_order_by_clause,
    STATE(17694), 1,
      sym_limit_clause,
  [407171] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3861), 1,
      sym_analytics_clause,
    ACTIONS(1378), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [407186] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3863), 1,
      sym_analytics_clause,
    ACTIONS(1378), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [407201] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12109), 1,
      anon_sym_RPAREN,
    STATE(14846), 1,
      sym_order_by_clause,
    STATE(17703), 1,
      sym_limit_clause,
  [407220] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3864), 1,
      sym_analytics_clause,
    ACTIONS(1378), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [407235] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12111), 1,
      anon_sym_RPAREN,
    STATE(14919), 1,
      sym_order_by_clause,
    STATE(17631), 1,
      sym_limit_clause,
  [407254] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12113), 1,
      anon_sym_RPAREN,
    STATE(14917), 1,
      sym_order_by_clause,
    STATE(17633), 1,
      sym_limit_clause,
  [407273] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12115), 1,
      anon_sym_RPAREN,
    STATE(14845), 1,
      sym_order_by_clause,
    STATE(17705), 1,
      sym_limit_clause,
  [407292] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12117), 1,
      anon_sym_RPAREN,
    STATE(14835), 1,
      sym_order_by_clause,
    STATE(17713), 1,
      sym_limit_clause,
  [407311] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3866), 1,
      sym_analytics_clause,
    ACTIONS(1378), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [407326] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3869), 1,
      sym_analytics_clause,
    ACTIONS(1378), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [407341] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12119), 1,
      anon_sym_RPAREN,
    STATE(14833), 1,
      sym_order_by_clause,
    STATE(17715), 1,
      sym_limit_clause,
  [407360] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12121), 1,
      anon_sym_RPAREN,
    STATE(14912), 1,
      sym_order_by_clause,
    STATE(17641), 1,
      sym_limit_clause,
  [407379] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12123), 1,
      anon_sym_RPAREN,
    STATE(14910), 1,
      sym_order_by_clause,
    STATE(17643), 1,
      sym_limit_clause,
  [407398] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3872), 1,
      sym_analytics_clause,
    ACTIONS(1378), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [407413] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12125), 1,
      anon_sym_RPAREN,
    STATE(14831), 1,
      sym_order_by_clause,
    STATE(17718), 1,
      sym_limit_clause,
  [407432] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10310), 1,
      anon_sym_RPAREN,
    STATE(14830), 1,
      sym_order_by_clause,
    STATE(17720), 1,
      sym_limit_clause,
  [407451] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12127), 1,
      anon_sym_RPAREN,
    STATE(15235), 1,
      sym_order_by_clause,
    STATE(18609), 1,
      sym_limit_clause,
  [407470] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12129), 1,
      anon_sym_RPAREN,
    STATE(15158), 1,
      sym_order_by_clause,
    STATE(18600), 1,
      sym_limit_clause,
  [407489] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3873), 1,
      sym_analytics_clause,
    ACTIONS(1378), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [407504] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12131), 1,
      anon_sym_RPAREN,
    STATE(14929), 1,
      sym_order_by_clause,
    STATE(17604), 1,
      sym_limit_clause,
  [407523] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12133), 1,
      anon_sym_RPAREN,
    STATE(14817), 1,
      sym_order_by_clause,
    STATE(17729), 1,
      sym_limit_clause,
  [407542] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10262), 1,
      anon_sym_RPAREN,
    STATE(14847), 1,
      sym_order_by_clause,
    STATE(18416), 1,
      sym_limit_clause,
  [407561] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12135), 1,
      anon_sym_RPAREN,
    STATE(14816), 1,
      sym_order_by_clause,
    STATE(17731), 1,
      sym_limit_clause,
  [407580] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12137), 1,
      anon_sym_RPAREN,
    STATE(14898), 1,
      sym_order_by_clause,
    STATE(17658), 1,
      sym_limit_clause,
  [407599] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3874), 1,
      sym_analytics_clause,
    ACTIONS(1484), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [407614] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3875), 1,
      sym_analytics_clause,
    ACTIONS(1354), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [407629] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3876), 1,
      sym_analytics_clause,
    ACTIONS(1354), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [407644] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12139), 1,
      anon_sym_RPAREN,
    STATE(14896), 1,
      sym_order_by_clause,
    STATE(17659), 1,
      sym_limit_clause,
  [407663] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12141), 1,
      anon_sym_RPAREN,
    STATE(14893), 1,
      sym_order_by_clause,
    STATE(17664), 1,
      sym_limit_clause,
  [407682] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12143), 1,
      anon_sym_RPAREN,
    STATE(14813), 1,
      sym_order_by_clause,
    STATE(17733), 1,
      sym_limit_clause,
  [407701] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12145), 1,
      anon_sym_RPAREN,
    STATE(14810), 1,
      sym_order_by_clause,
    STATE(17736), 1,
      sym_limit_clause,
  [407720] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12147), 1,
      anon_sym_RPAREN,
    STATE(14808), 1,
      sym_order_by_clause,
    STATE(17738), 1,
      sym_limit_clause,
  [407739] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3879), 1,
      sym_analytics_clause,
    ACTIONS(1354), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [407754] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12149), 1,
      anon_sym_RPAREN,
    STATE(14803), 1,
      sym_order_by_clause,
    STATE(17747), 1,
      sym_limit_clause,
  [407773] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10284), 1,
      anon_sym_RPAREN,
    STATE(14820), 1,
      sym_order_by_clause,
    STATE(18405), 1,
      sym_limit_clause,
  [407792] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12151), 1,
      anon_sym_RPAREN,
    STATE(14798), 1,
      sym_order_by_clause,
    STATE(17749), 1,
      sym_limit_clause,
  [407811] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3880), 1,
      sym_analytics_clause,
    ACTIONS(1354), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [407826] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12153), 1,
      anon_sym_RPAREN,
    STATE(14881), 1,
      sym_order_by_clause,
    STATE(17677), 1,
      sym_limit_clause,
  [407845] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12155), 1,
      anon_sym_RPAREN,
    STATE(14879), 1,
      sym_order_by_clause,
    STATE(17678), 1,
      sym_limit_clause,
  [407864] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12157), 1,
      anon_sym_RPAREN,
    STATE(14788), 1,
      sym_order_by_clause,
    STATE(17758), 1,
      sym_limit_clause,
  [407883] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10290), 1,
      anon_sym_RPAREN,
    STATE(14818), 1,
      sym_order_by_clause,
    STATE(18404), 1,
      sym_limit_clause,
  [407902] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12159), 1,
      anon_sym_RPAREN,
    STATE(14870), 1,
      sym_order_by_clause,
    STATE(17686), 1,
      sym_limit_clause,
  [407921] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3881), 1,
      sym_analytics_clause,
    ACTIONS(1354), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [407936] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12161), 1,
      anon_sym_RPAREN,
    STATE(14868), 1,
      sym_order_by_clause,
    STATE(17687), 1,
      sym_limit_clause,
  [407955] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10294), 1,
      anon_sym_RPAREN,
    STATE(14805), 1,
      sym_order_by_clause,
    STATE(18394), 1,
      sym_limit_clause,
  [407974] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3883), 1,
      sym_analytics_clause,
    ACTIONS(1354), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [407989] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12163), 1,
      anon_sym_RPAREN,
    STATE(14865), 1,
      sym_order_by_clause,
    STATE(17689), 1,
      sym_limit_clause,
  [408008] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12165), 1,
      anon_sym_RPAREN,
    STATE(14787), 1,
      sym_order_by_clause,
    STATE(17761), 1,
      sym_limit_clause,
  [408027] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3884), 1,
      sym_analytics_clause,
    ACTIONS(1354), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [408042] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12167), 1,
      anon_sym_RPAREN,
    STATE(14630), 1,
      sym_order_by_clause,
    STATE(17922), 1,
      sym_limit_clause,
  [408061] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12169), 1,
      anon_sym_RPAREN,
    STATE(14863), 1,
      sym_order_by_clause,
    STATE(17672), 1,
      sym_limit_clause,
  [408080] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12171), 1,
      anon_sym_RPAREN,
    STATE(14861), 1,
      sym_order_by_clause,
    STATE(17692), 1,
      sym_limit_clause,
  [408099] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12173), 1,
      anon_sym_RPAREN,
    STATE(14632), 1,
      sym_order_by_clause,
    STATE(17920), 1,
      sym_limit_clause,
  [408118] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9716), 1,
      anon_sym_RPAREN,
    STATE(14512), 1,
      sym_order_by_clause,
    STATE(18257), 1,
      sym_limit_clause,
  [408137] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3886), 1,
      sym_analytics_clause,
    ACTIONS(1354), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [408152] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12175), 1,
      anon_sym_RPAREN,
    STATE(14784), 1,
      sym_order_by_clause,
    STATE(17763), 1,
      sym_limit_clause,
  [408171] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12177), 1,
      anon_sym_RPAREN,
    STATE(14791), 1,
      sym_order_by_clause,
    STATE(18385), 1,
      sym_limit_clause,
  [408190] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3887), 1,
      sym_analytics_clause,
    ACTIONS(1354), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [408205] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10198), 1,
      anon_sym_RPAREN,
    STATE(14852), 1,
      sym_order_by_clause,
    STATE(17698), 1,
      sym_limit_clause,
  [408224] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10324), 1,
      anon_sym_RPAREN,
    STATE(14790), 1,
      sym_order_by_clause,
    STATE(18384), 1,
      sym_limit_clause,
  [408243] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3888), 1,
      sym_analytics_clause,
    ACTIONS(1354), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [408258] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12179), 1,
      anon_sym_RPAREN,
    STATE(15106), 1,
      sym_order_by_clause,
    STATE(18560), 1,
      sym_limit_clause,
  [408277] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3890), 1,
      sym_analytics_clause,
    ACTIONS(1354), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [408292] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12181), 1,
      anon_sym_RPAREN,
    STATE(14850), 1,
      sym_order_by_clause,
    STATE(17699), 1,
      sym_limit_clause,
  [408311] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10330), 1,
      anon_sym_RPAREN,
    STATE(14786), 1,
      sym_order_by_clause,
    STATE(18383), 1,
      sym_limit_clause,
  [408330] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12183), 1,
      anon_sym_RPAREN,
    STATE(15069), 1,
      sym_order_by_clause,
    STATE(18547), 1,
      sym_limit_clause,
  [408349] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12185), 1,
      anon_sym_RPAREN,
    STATE(14775), 1,
      sym_order_by_clause,
    STATE(17775), 1,
      sym_limit_clause,
  [408368] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12187), 1,
      anon_sym_RPAREN,
    STATE(14770), 1,
      sym_order_by_clause,
    STATE(17777), 1,
      sym_limit_clause,
  [408387] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10334), 1,
      anon_sym_RPAREN,
    STATE(14778), 1,
      sym_order_by_clause,
    STATE(18376), 1,
      sym_limit_clause,
  [408406] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12189), 1,
      anon_sym_RPAREN,
    STATE(14890), 1,
      sym_order_by_clause,
    STATE(18436), 1,
      sym_limit_clause,
  [408425] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3891), 1,
      sym_analytics_clause,
    ACTIONS(1354), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [408440] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3893), 1,
      sym_analytics_clause,
    ACTIONS(1354), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [408455] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12191), 1,
      anon_sym_RPAREN,
    STATE(14844), 1,
      sym_order_by_clause,
    STATE(17709), 1,
      sym_limit_clause,
  [408474] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12193), 1,
      anon_sym_RPAREN,
    STATE(14774), 1,
      sym_order_by_clause,
    STATE(18372), 1,
      sym_limit_clause,
  [408493] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12195), 1,
      anon_sym_RPAREN,
    STATE(14773), 1,
      sym_order_by_clause,
    STATE(18371), 1,
      sym_limit_clause,
  [408512] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12197), 1,
      anon_sym_RPAREN,
    STATE(15009), 1,
      sym_order_by_clause,
    STATE(18610), 1,
      sym_limit_clause,
  [408531] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3894), 1,
      sym_analytics_clause,
    ACTIONS(1354), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [408546] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12199), 1,
      anon_sym_RPAREN,
    STATE(14842), 1,
      sym_order_by_clause,
    STATE(17710), 1,
      sym_limit_clause,
  [408565] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12201), 1,
      anon_sym_RPAREN,
    STATE(14758), 1,
      sym_order_by_clause,
    STATE(18367), 1,
      sym_limit_clause,
  [408584] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12203), 1,
      anon_sym_RPAREN,
    STATE(14756), 1,
      sym_order_by_clause,
    STATE(18360), 1,
      sym_limit_clause,
  [408603] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12205), 1,
      anon_sym_RPAREN,
    STATE(14834), 1,
      sym_order_by_clause,
    STATE(17719), 1,
      sym_limit_clause,
  [408622] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3896), 1,
      sym_analytics_clause,
    ACTIONS(1374), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [408637] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12207), 1,
      anon_sym_RPAREN,
    STATE(14832), 1,
      sym_order_by_clause,
    STATE(17721), 1,
      sym_limit_clause,
  [408656] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3897), 1,
      sym_analytics_clause,
    ACTIONS(1462), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [408671] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12209), 1,
      anon_sym_RPAREN,
    STATE(14769), 1,
      sym_order_by_clause,
    STATE(17782), 1,
      sym_limit_clause,
  [408690] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12211), 1,
      anon_sym_RPAREN,
    STATE(14767), 1,
      sym_order_by_clause,
    STATE(17784), 1,
      sym_limit_clause,
  [408709] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3903), 1,
      sym_analytics_clause,
    ACTIONS(1462), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [408724] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10208), 1,
      anon_sym_RPAREN,
    STATE(14823), 1,
      sym_order_by_clause,
    STATE(17726), 1,
      sym_limit_clause,
  [408743] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3906), 1,
      sym_analytics_clause,
    ACTIONS(1462), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [408758] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10212), 1,
      anon_sym_RPAREN,
    STATE(14814), 1,
      sym_order_by_clause,
    STATE(17737), 1,
      sym_limit_clause,
  [408777] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12213), 1,
      anon_sym_RPAREN,
    STATE(14721), 1,
      sym_order_by_clause,
    STATE(18355), 1,
      sym_limit_clause,
  [408796] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3914), 1,
      sym_analytics_clause,
    ACTIONS(1462), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [408811] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10214), 1,
      anon_sym_RPAREN,
    STATE(14811), 1,
      sym_order_by_clause,
    STATE(17739), 1,
      sym_limit_clause,
  [408830] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10344), 1,
      anon_sym_RPAREN,
    STATE(14719), 1,
      sym_order_by_clause,
    STATE(18352), 1,
      sym_limit_clause,
  [408849] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3858), 1,
      sym_analytics_clause,
    ACTIONS(1378), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [408864] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12215), 1,
      anon_sym_RPAREN,
    STATE(14764), 1,
      sym_order_by_clause,
    STATE(17790), 1,
      sym_limit_clause,
  [408883] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3917), 1,
      sym_analytics_clause,
    ACTIONS(1462), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [408898] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12217), 1,
      anon_sym_RPAREN,
    STATE(14809), 1,
      sym_order_by_clause,
    STATE(17741), 1,
      sym_limit_clause,
  [408917] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12219), 1,
      anon_sym_RPAREN,
    STATE(14705), 1,
      sym_order_by_clause,
    STATE(18345), 1,
      sym_limit_clause,
  [408936] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12221), 1,
      anon_sym_RPAREN,
    STATE(14700), 1,
      sym_order_by_clause,
    STATE(18341), 1,
      sym_limit_clause,
  [408955] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3918), 1,
      sym_analytics_clause,
    ACTIONS(1462), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [408970] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12223), 1,
      anon_sym_RPAREN,
    STATE(14761), 1,
      sym_order_by_clause,
    STATE(17792), 1,
      sym_limit_clause,
  [408989] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12225), 1,
      anon_sym_RPAREN,
    STATE(14696), 1,
      sym_order_by_clause,
    STATE(18340), 1,
      sym_limit_clause,
  [409008] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3920), 1,
      sym_analytics_clause,
    ACTIONS(1442), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [409023] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12227), 1,
      anon_sym_RPAREN,
    STATE(14634), 1,
      sym_order_by_clause,
    STATE(17916), 1,
      sym_limit_clause,
  [409042] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12229), 1,
      anon_sym_RPAREN,
    STATE(14691), 1,
      sym_order_by_clause,
    STATE(18338), 1,
      sym_limit_clause,
  [409061] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12231), 1,
      anon_sym_RPAREN,
    STATE(14684), 1,
      sym_order_by_clause,
    STATE(18336), 1,
      sym_limit_clause,
  [409080] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3921), 1,
      sym_analytics_clause,
    ACTIONS(1442), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [409095] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3922), 1,
      sym_analytics_clause,
    ACTIONS(1442), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [409110] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3923), 1,
      sym_analytics_clause,
    ACTIONS(1442), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [409125] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12233), 1,
      anon_sym_RPAREN,
    STATE(15189), 1,
      sym_order_by_clause,
    STATE(16510), 1,
      sym_limit_clause,
  [409144] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12235), 1,
      anon_sym_RPAREN,
    STATE(14637), 1,
      sym_order_by_clause,
    STATE(17914), 1,
      sym_limit_clause,
  [409163] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10220), 1,
      anon_sym_RPAREN,
    STATE(14789), 1,
      sym_order_by_clause,
    STATE(17762), 1,
      sym_limit_clause,
  [409182] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3924), 1,
      sym_analytics_clause,
    ACTIONS(1446), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [409197] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12237), 1,
      anon_sym_RPAREN,
    STATE(14742), 1,
      sym_order_by_clause,
    STATE(17817), 1,
      sym_limit_clause,
  [409216] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12239), 1,
      anon_sym_RPAREN,
    STATE(14671), 1,
      sym_order_by_clause,
    STATE(18330), 1,
      sym_limit_clause,
  [409235] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12241), 1,
      anon_sym_RPAREN,
    STATE(14668), 1,
      sym_order_by_clause,
    STATE(18329), 1,
      sym_limit_clause,
  [409254] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10222), 1,
      anon_sym_RPAREN,
    STATE(14780), 1,
      sym_order_by_clause,
    STATE(17768), 1,
      sym_limit_clause,
  [409273] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3925), 1,
      sym_analytics_clause,
    ACTIONS(1446), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [409288] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10258), 1,
      anon_sym_RPAREN,
    STATE(15122), 1,
      sym_order_by_clause,
    STATE(17470), 1,
      sym_limit_clause,
  [409307] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10224), 1,
      anon_sym_RPAREN,
    STATE(14777), 1,
      sym_order_by_clause,
    STATE(17776), 1,
      sym_limit_clause,
  [409326] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11528), 1,
      anon_sym_COMMA,
    STATE(14145), 1,
      aux_sym_cte_clause_repeat1,
    ACTIONS(12243), 3,
      anon_sym_LPAREN,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
  [409341] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10256), 1,
      anon_sym_RPAREN,
    STATE(15111), 1,
      sym_order_by_clause,
    STATE(17481), 1,
      sym_limit_clause,
  [409360] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10254), 1,
      anon_sym_RPAREN,
    STATE(15108), 1,
      sym_order_by_clause,
    STATE(17484), 1,
      sym_limit_clause,
  [409379] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12245), 1,
      anon_sym_RPAREN,
    STATE(14639), 1,
      sym_order_by_clause,
    STATE(17912), 1,
      sym_limit_clause,
  [409398] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10232), 1,
      anon_sym_RPAREN,
    STATE(14755), 1,
      sym_order_by_clause,
    STATE(17810), 1,
      sym_limit_clause,
  [409417] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12247), 1,
      anon_sym_COMMA,
    STATE(14145), 1,
      aux_sym_cte_clause_repeat1,
    ACTIONS(12250), 3,
      anon_sym_LPAREN,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
  [409432] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12252), 1,
      anon_sym_RPAREN,
    STATE(14920), 1,
      sym_order_by_clause,
    STATE(17630), 1,
      sym_limit_clause,
  [409451] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11228), 1,
      aux_sym__keyword_delete_token1,
    ACTIONS(11230), 1,
      aux_sym_update_statement_token1,
    STATE(7595), 1,
      sym__keyword_delete,
    STATE(7800), 2,
      sym_merge_update_clause,
      sym_merge_delete_clause,
  [409468] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12254), 1,
      anon_sym_RPAREN,
    STATE(14916), 1,
      sym_order_by_clause,
    STATE(17632), 1,
      sym_limit_clause,
  [409487] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9652), 1,
      anon_sym_RPAREN,
    STATE(14432), 1,
      sym_order_by_clause,
    STATE(18269), 1,
      sym_limit_clause,
  [409506] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12256), 1,
      anon_sym_RPAREN,
    STATE(14647), 1,
      sym_order_by_clause,
    STATE(18318), 1,
      sym_limit_clause,
  [409525] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12258), 1,
      anon_sym_RPAREN,
    STATE(14557), 1,
      sym_order_by_clause,
    STATE(17983), 1,
      sym_limit_clause,
  [409544] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12260), 1,
      anon_sym_RPAREN,
    STATE(14560), 1,
      sym_order_by_clause,
    STATE(17981), 1,
      sym_limit_clause,
  [409563] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12262), 1,
      anon_sym_RPAREN,
    STATE(14644), 1,
      sym_order_by_clause,
    STATE(18314), 1,
      sym_limit_clause,
  [409582] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12264), 1,
      anon_sym_RPAREN,
    STATE(14642), 1,
      sym_order_by_clause,
    STATE(18275), 1,
      sym_limit_clause,
  [409601] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12266), 1,
      anon_sym_RPAREN,
    STATE(14648), 1,
      sym_order_by_clause,
    STATE(17904), 1,
      sym_limit_clause,
  [409620] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4350), 1,
      sym__identifier,
    ACTIONS(12268), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
    STATE(13696), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
  [409635] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(10535), 1,
      sym__identifier,
    ACTIONS(12270), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
    STATE(13696), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
  [409650] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10226), 1,
      anon_sym_RPAREN,
    STATE(14701), 1,
      sym_order_by_clause,
    STATE(17843), 1,
      sym_limit_clause,
  [409669] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10218), 1,
      anon_sym_RPAREN,
    STATE(14689), 1,
      sym_order_by_clause,
    STATE(17860), 1,
      sym_limit_clause,
  [409688] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10216), 1,
      anon_sym_RPAREN,
    STATE(14685), 1,
      sym_order_by_clause,
    STATE(17863), 1,
      sym_limit_clause,
  [409707] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12272), 1,
      anon_sym_RPAREN,
    STATE(14650), 1,
      sym_order_by_clause,
    STATE(17902), 1,
      sym_limit_clause,
  [409726] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10200), 1,
      anon_sym_RPAREN,
    STATE(14678), 1,
      sym_order_by_clause,
    STATE(17872), 1,
      sym_limit_clause,
  [409745] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12274), 1,
      anon_sym_RPAREN,
    STATE(14908), 1,
      sym_order_by_clause,
    STATE(17646), 1,
      sym_limit_clause,
  [409764] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12276), 1,
      anon_sym_RPAREN,
    STATE(14905), 1,
      sym_order_by_clause,
    STATE(17652), 1,
      sym_limit_clause,
  [409783] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12278), 1,
      anon_sym_RPAREN,
    STATE(14664), 1,
      sym_order_by_clause,
    STATE(17886), 1,
      sym_limit_clause,
  [409802] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10178), 1,
      anon_sym_RPAREN,
    STATE(14663), 1,
      sym_order_by_clause,
    STATE(17888), 1,
      sym_limit_clause,
  [409821] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10176), 1,
      anon_sym_RPAREN,
    STATE(14660), 1,
      sym_order_by_clause,
    STATE(17891), 1,
      sym_limit_clause,
  [409840] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9642), 1,
      anon_sym_RPAREN,
    STATE(14579), 1,
      sym_order_by_clause,
    STATE(18187), 1,
      sym_limit_clause,
  [409859] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10172), 1,
      anon_sym_RPAREN,
    STATE(14649), 1,
      sym_order_by_clause,
    STATE(17900), 1,
      sym_limit_clause,
  [409878] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12280), 1,
      anon_sym_RPAREN,
    STATE(14612), 1,
      sym_order_by_clause,
    STATE(18292), 1,
      sym_limit_clause,
  [409897] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12282), 1,
      anon_sym_RPAREN,
    STATE(14606), 1,
      sym_order_by_clause,
    STATE(18291), 1,
      sym_limit_clause,
  [409916] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12284), 1,
      anon_sym_RPAREN,
    STATE(14638), 1,
      sym_order_by_clause,
    STATE(17909), 1,
      sym_limit_clause,
  [409935] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12286), 1,
      anon_sym_RPAREN,
    STATE(14636), 1,
      sym_order_by_clause,
    STATE(17911), 1,
      sym_limit_clause,
  [409954] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11116), 1,
      aux_sym__keyword_from_token1,
    ACTIONS(11905), 1,
      aux_sym_where_clause_token1,
    STATE(8222), 1,
      sym_where_clause,
    STATE(11191), 1,
      sym__keyword_from,
    STATE(16235), 1,
      sym_from_clause,
  [409973] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12288), 1,
      anon_sym_RPAREN,
    STATE(14697), 1,
      sym_order_by_clause,
    STATE(17854), 1,
      sym_limit_clause,
  [409992] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12290), 1,
      anon_sym_RPAREN,
    STATE(14695), 1,
      sym_order_by_clause,
    STATE(17855), 1,
      sym_limit_clause,
  [410011] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12292), 1,
      anon_sym_RPAREN,
    STATE(14629), 1,
      sym_order_by_clause,
    STATE(17919), 1,
      sym_limit_clause,
  [410030] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12294), 1,
      anon_sym_RPAREN,
    STATE(14628), 1,
      sym_order_by_clause,
    STATE(17921), 1,
      sym_limit_clause,
  [410049] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12296), 1,
      anon_sym_RPAREN,
    STATE(14623), 1,
      sym_order_by_clause,
    STATE(17924), 1,
      sym_limit_clause,
  [410068] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10158), 1,
      anon_sym_RPAREN,
    STATE(14620), 1,
      sym_order_by_clause,
    STATE(17926), 1,
      sym_limit_clause,
  [410087] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12298), 1,
      anon_sym_RPAREN,
    STATE(14596), 1,
      sym_order_by_clause,
    STATE(18283), 1,
      sym_limit_clause,
  [410106] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12300), 1,
      anon_sym_RPAREN,
    STATE(14593), 1,
      sym_order_by_clause,
    STATE(18282), 1,
      sym_limit_clause,
  [410125] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12302), 1,
      anon_sym_RPAREN,
    STATE(14610), 1,
      sym_order_by_clause,
    STATE(17935), 1,
      sym_limit_clause,
  [410144] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12304), 1,
      anon_sym_RPAREN,
    STATE(14688), 1,
      sym_order_by_clause,
    STATE(17864), 1,
      sym_limit_clause,
  [410163] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12306), 1,
      anon_sym_RPAREN,
    STATE(14686), 1,
      sym_order_by_clause,
    STATE(17865), 1,
      sym_limit_clause,
  [410182] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12308), 1,
      anon_sym_RPAREN,
    STATE(14609), 1,
      sym_order_by_clause,
    STATE(17937), 1,
      sym_limit_clause,
  [410201] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12310), 1,
      anon_sym_RPAREN,
    STATE(14574), 1,
      sym_order_by_clause,
    STATE(17969), 1,
      sym_limit_clause,
  [410220] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12312), 1,
      anon_sym_RPAREN,
    STATE(14608), 1,
      sym_order_by_clause,
    STATE(17939), 1,
      sym_limit_clause,
  [410239] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9616), 1,
      anon_sym_RPAREN,
    STATE(14614), 1,
      sym_order_by_clause,
    STATE(18293), 1,
      sym_limit_clause,
  [410258] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12314), 1,
      anon_sym_RPAREN,
    STATE(14604), 1,
      sym_order_by_clause,
    STATE(17942), 1,
      sym_limit_clause,
  [410277] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12316), 1,
      anon_sym_RPAREN,
    STATE(14602), 1,
      sym_order_by_clause,
    STATE(17944), 1,
      sym_limit_clause,
  [410296] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11827), 1,
      aux_sym_analytics_clause_token1,
    STATE(3915), 1,
      sym_analytics_clause,
    ACTIONS(1462), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [410311] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12318), 1,
      anon_sym_RPAREN,
    STATE(14681), 1,
      sym_order_by_clause,
    STATE(17873), 1,
      sym_limit_clause,
  [410330] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12320), 1,
      anon_sym_RPAREN,
    STATE(14679), 1,
      sym_order_by_clause,
    STATE(17874), 1,
      sym_limit_clause,
  [410349] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12322), 1,
      anon_sym_RPAREN,
    STATE(14594), 1,
      sym_order_by_clause,
    STATE(17953), 1,
      sym_limit_clause,
  [410368] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12324), 1,
      anon_sym_RPAREN,
    STATE(14591), 1,
      sym_order_by_clause,
    STATE(17955), 1,
      sym_limit_clause,
  [410387] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12326), 1,
      anon_sym_RPAREN,
    STATE(14667), 1,
      sym_order_by_clause,
    STATE(17887), 1,
      sym_limit_clause,
  [410406] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12328), 1,
      anon_sym_RPAREN,
    STATE(14581), 1,
      sym_order_by_clause,
    STATE(18274), 1,
      sym_limit_clause,
  [410425] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12330), 1,
      anon_sym_RPAREN,
    STATE(14570), 1,
      sym_order_by_clause,
    STATE(18273), 1,
      sym_limit_clause,
  [410444] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12332), 1,
      anon_sym_RPAREN,
    STATE(14665), 1,
      sym_order_by_clause,
    STATE(17889), 1,
      sym_limit_clause,
  [410463] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12334), 1,
      anon_sym_RPAREN,
    STATE(14662), 1,
      sym_order_by_clause,
    STATE(17892), 1,
      sym_limit_clause,
  [410482] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12336), 1,
      anon_sym_RPAREN,
    STATE(14577), 1,
      sym_order_by_clause,
    STATE(17964), 1,
      sym_limit_clause,
  [410501] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8370), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12338), 1,
      anon_sym_RPAREN,
    STATE(14575), 1,
      sym_order_by_clause,
    STATE(17967), 1,
      sym_limit_clause,
  [410520] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4855), 1,
      anon_sym_LBRACK,
    ACTIONS(4859), 1,
      anon_sym_LT,
    ACTIONS(12340), 1,
      anon_sym_LPAREN,
    STATE(11005), 1,
      sym_select_subexpression,
  [410536] = 5,
    ACTIONS(12342), 1,
      aux_sym_keyword_unbounded_preceding_token1,
    ACTIONS(12344), 1,
      aux_sym_range_content_token1,
    ACTIONS(12346), 1,
      sym_comment,
    STATE(15905), 1,
      sym_range_content,
    STATE(17222), 1,
      sym_range_end,
  [410552] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12350), 1,
      anon_sym_COMMA,
    STATE(14237), 1,
      aux_sym_set_clause_repeat1,
    ACTIONS(12348), 2,
      aux_sym__keyword_from_token1,
      aux_sym_where_clause_token1,
  [410566] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10781), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10783), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10785), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12352), 1,
      anon_sym_RPAREN,
  [410582] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4855), 1,
      anon_sym_LBRACK,
    ACTIONS(4859), 1,
      anon_sym_LT,
    ACTIONS(12354), 1,
      anon_sym_LPAREN,
    STATE(606), 1,
      sym_select_subexpression,
  [410598] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12356), 1,
      anon_sym_COMMA,
    STATE(14209), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3088), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [410612] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4855), 1,
      anon_sym_LBRACK,
    ACTIONS(4859), 1,
      anon_sym_LT,
    ACTIONS(12359), 1,
      anon_sym_LPAREN,
    STATE(2000), 1,
      sym_select_subexpression,
  [410628] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10781), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10783), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10785), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12361), 1,
      anon_sym_RPAREN,
  [410644] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12250), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
  [410654] = 5,
    ACTIONS(12342), 1,
      aux_sym_keyword_unbounded_preceding_token1,
    ACTIONS(12344), 1,
      aux_sym_range_content_token1,
    ACTIONS(12346), 1,
      sym_comment,
    STATE(15905), 1,
      sym_range_content,
    STATE(16723), 1,
      sym_range_end,
  [410670] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12363), 1,
      aux_sym__keyword_format_token1,
    ACTIONS(12365), 1,
      anon_sym_RPAREN,
    STATE(16151), 1,
      sym__keyword_format,
    STATE(17750), 1,
      sym_cast_format_clause,
  [410686] = 5,
    ACTIONS(12342), 1,
      aux_sym_keyword_unbounded_preceding_token1,
    ACTIONS(12344), 1,
      aux_sym_range_content_token1,
    ACTIONS(12346), 1,
      sym_comment,
    STATE(15905), 1,
      sym_range_content,
    STATE(16691), 1,
      sym_range_end,
  [410702] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12363), 1,
      aux_sym__keyword_format_token1,
    ACTIONS(12367), 1,
      anon_sym_RPAREN,
    STATE(16151), 1,
      sym__keyword_format,
    STATE(18388), 1,
      sym_cast_format_clause,
  [410718] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8630), 1,
      aux_sym_option_clause_token1,
    ACTIONS(12369), 1,
      aux_sym__keyword_begin_token1,
    STATE(8340), 1,
      sym_procedure_body,
    STATE(16259), 1,
      sym_option_clause,
  [410734] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10781), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10783), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10785), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12371), 1,
      anon_sym_RPAREN,
  [410750] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10781), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10783), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10785), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12373), 1,
      anon_sym_RPAREN,
  [410766] = 5,
    ACTIONS(12342), 1,
      aux_sym_keyword_unbounded_preceding_token1,
    ACTIONS(12344), 1,
      aux_sym_range_content_token1,
    ACTIONS(12346), 1,
      sym_comment,
    STATE(15905), 1,
      sym_range_content,
    STATE(17569), 1,
      sym_range_end,
  [410782] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12363), 1,
      aux_sym__keyword_format_token1,
    ACTIONS(12375), 1,
      anon_sym_RPAREN,
    STATE(16151), 1,
      sym__keyword_format,
    STATE(18234), 1,
      sym_cast_format_clause,
  [410798] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4855), 1,
      anon_sym_LBRACK,
    ACTIONS(4859), 1,
      anon_sym_LT,
    ACTIONS(12377), 1,
      anon_sym_LPAREN,
    STATE(10348), 1,
      sym_select_subexpression,
  [410814] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(977), 1,
      aux_sym_if_statement_token1,
    ACTIONS(12379), 1,
      aux_sym__keyword_end_token1,
    ACTIONS(12381), 1,
      aux_sym__keyword_else_token1,
    STATE(14224), 1,
      aux_sym_if_statement_repeat1,
  [410830] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12383), 1,
      aux_sym__keyword_end_token1,
    ACTIONS(12385), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(12387), 1,
      aux_sym_if_statement_token1,
    STATE(14224), 1,
      aux_sym_if_statement_repeat1,
  [410846] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4855), 1,
      anon_sym_LBRACK,
    ACTIONS(4859), 1,
      anon_sym_LT,
    ACTIONS(12390), 1,
      anon_sym_LPAREN,
    STATE(5708), 1,
      sym_select_subexpression,
  [410862] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9450), 1,
      aux_sym__function_language_token1,
    ACTIONS(10429), 1,
      aux_sym__keyword_as_token1,
    STATE(16200), 1,
      sym__function_language,
    STATE(16202), 1,
      sym__keyword_as,
  [410878] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10781), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10783), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10785), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12392), 1,
      anon_sym_RPAREN,
  [410894] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8630), 1,
      aux_sym_option_clause_token1,
    ACTIONS(12369), 1,
      aux_sym__keyword_begin_token1,
    STATE(8046), 1,
      sym_procedure_body,
    STATE(16197), 1,
      sym_option_clause,
  [410910] = 5,
    ACTIONS(12342), 1,
      aux_sym_keyword_unbounded_preceding_token1,
    ACTIONS(12344), 1,
      aux_sym_range_content_token1,
    ACTIONS(12346), 1,
      sym_comment,
    STATE(15905), 1,
      sym_range_content,
    STATE(18444), 1,
      sym_range_end,
  [410926] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10781), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10783), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10785), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12394), 1,
      anon_sym_RPAREN,
  [410942] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4855), 1,
      anon_sym_LBRACK,
    ACTIONS(4859), 1,
      anon_sym_LT,
    ACTIONS(12396), 1,
      anon_sym_LPAREN,
    STATE(10154), 1,
      sym_select_subexpression,
  [410958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12400), 1,
      sym__string_start,
    ACTIONS(12398), 3,
      aux_sym_set_operation_token2,
      aux_sym_quantitve_like_operator_token1,
      aux_sym_quantitve_like_operator_token2,
  [410970] = 5,
    ACTIONS(12342), 1,
      aux_sym_keyword_unbounded_preceding_token1,
    ACTIONS(12344), 1,
      aux_sym_range_content_token1,
    ACTIONS(12346), 1,
      sym_comment,
    STATE(15905), 1,
      sym_range_content,
    STATE(19229), 1,
      sym_range_end,
  [410986] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10781), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10783), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10785), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12402), 1,
      anon_sym_RPAREN,
  [411002] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(965), 1,
      aux_sym__keyword_end_token1,
    ACTIONS(967), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(977), 1,
      aux_sym_if_statement_token1,
    STATE(14224), 1,
      aux_sym_if_statement_repeat1,
  [411018] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12363), 1,
      aux_sym__keyword_format_token1,
    ACTIONS(12404), 1,
      anon_sym_RPAREN,
    STATE(16151), 1,
      sym__keyword_format,
    STATE(17535), 1,
      sym_cast_format_clause,
  [411034] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12350), 1,
      anon_sym_COMMA,
    STATE(14267), 1,
      aux_sym_set_clause_repeat1,
    ACTIONS(12406), 2,
      aux_sym__keyword_from_token1,
      aux_sym_where_clause_token1,
  [411048] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12363), 1,
      aux_sym__keyword_format_token1,
    ACTIONS(12408), 1,
      anon_sym_RPAREN,
    STATE(16151), 1,
      sym__keyword_format,
    STATE(17973), 1,
      sym_cast_format_clause,
  [411064] = 5,
    ACTIONS(12342), 1,
      aux_sym_keyword_unbounded_preceding_token1,
    ACTIONS(12344), 1,
      aux_sym_range_content_token1,
    ACTIONS(12346), 1,
      sym_comment,
    STATE(15905), 1,
      sym_range_content,
    STATE(19028), 1,
      sym_range_end,
  [411080] = 5,
    ACTIONS(12342), 1,
      aux_sym_keyword_unbounded_preceding_token1,
    ACTIONS(12344), 1,
      aux_sym_range_content_token1,
    ACTIONS(12346), 1,
      sym_comment,
    STATE(15905), 1,
      sym_range_content,
    STATE(18732), 1,
      sym_range_end,
  [411096] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12363), 1,
      aux_sym__keyword_format_token1,
    ACTIONS(12410), 1,
      anon_sym_RPAREN,
    STATE(16151), 1,
      sym__keyword_format,
    STATE(17321), 1,
      sym_cast_format_clause,
  [411112] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10781), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10783), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10785), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12412), 1,
      anon_sym_RPAREN,
  [411128] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4855), 1,
      anon_sym_LBRACK,
    ACTIONS(4859), 1,
      anon_sym_LT,
    ACTIONS(12414), 1,
      anon_sym_LPAREN,
    STATE(4457), 1,
      sym_select_subexpression,
  [411144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10306), 1,
      anon_sym_LPAREN,
    ACTIONS(10304), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
  [411156] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10781), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10783), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10785), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12416), 1,
      anon_sym_RPAREN,
  [411172] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12363), 1,
      aux_sym__keyword_format_token1,
    ACTIONS(12418), 1,
      anon_sym_RPAREN,
    STATE(16151), 1,
      sym__keyword_format,
    STATE(17401), 1,
      sym_cast_format_clause,
  [411188] = 5,
    ACTIONS(12342), 1,
      aux_sym_keyword_unbounded_preceding_token1,
    ACTIONS(12344), 1,
      aux_sym_range_content_token1,
    ACTIONS(12346), 1,
      sym_comment,
    STATE(15905), 1,
      sym_range_content,
    STATE(18511), 1,
      sym_range_end,
  [411204] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10781), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10783), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10785), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12420), 1,
      anon_sym_RPAREN,
  [411220] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12363), 1,
      aux_sym__keyword_format_token1,
    ACTIONS(12422), 1,
      anon_sym_RPAREN,
    STATE(16151), 1,
      sym__keyword_format,
    STATE(18585), 1,
      sym_cast_format_clause,
  [411236] = 5,
    ACTIONS(12342), 1,
      aux_sym_keyword_unbounded_preceding_token1,
    ACTIONS(12344), 1,
      aux_sym_range_content_token1,
    ACTIONS(12346), 1,
      sym_comment,
    STATE(15905), 1,
      sym_range_content,
    STATE(18323), 1,
      sym_range_end,
  [411252] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9450), 1,
      aux_sym__function_language_token1,
    ACTIONS(10631), 1,
      aux_sym__keyword_as_token1,
    STATE(16105), 1,
      sym__function_language,
    STATE(16107), 1,
      sym__keyword_as,
  [411268] = 5,
    ACTIONS(12342), 1,
      aux_sym_keyword_unbounded_preceding_token1,
    ACTIONS(12344), 1,
      aux_sym_range_content_token1,
    ACTIONS(12346), 1,
      sym_comment,
    STATE(15905), 1,
      sym_range_content,
    STATE(17820), 1,
      sym_range_end,
  [411284] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12424), 4,
      aux_sym__keyword_returns_token1,
      aux_sym__keyword_as_token1,
      aux_sym_option_clause_token1,
      aux_sym__function_language_token1,
  [411294] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4855), 1,
      anon_sym_LBRACK,
    ACTIONS(4859), 1,
      anon_sym_LT,
    ACTIONS(12426), 1,
      anon_sym_LPAREN,
    STATE(6335), 1,
      sym_select_subexpression,
  [411310] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12428), 4,
      aux_sym__keyword_as_token1,
      aux_sym_option_clause_token1,
      aux_sym_create_remote_function_statement_token1,
      aux_sym__function_language_token1,
  [411320] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10781), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10783), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10785), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12430), 1,
      anon_sym_RPAREN,
  [411336] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12432), 1,
      aux_sym__keyword_as_token1,
    STATE(16261), 1,
      sym__keyword_as,
    ACTIONS(12434), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [411350] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9450), 1,
      aux_sym__function_language_token1,
    ACTIONS(12436), 1,
      aux_sym__keyword_as_token1,
    STATE(16101), 1,
      sym__function_language,
    STATE(16102), 1,
      sym__keyword_as,
  [411366] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8630), 1,
      aux_sym_option_clause_token1,
    ACTIONS(12369), 1,
      aux_sym__keyword_begin_token1,
    STATE(8224), 1,
      sym_procedure_body,
    STATE(16054), 1,
      sym_option_clause,
  [411382] = 5,
    ACTIONS(12342), 1,
      aux_sym_keyword_unbounded_preceding_token1,
    ACTIONS(12344), 1,
      aux_sym_range_content_token1,
    ACTIONS(12346), 1,
      sym_comment,
    STATE(15905), 1,
      sym_range_content,
    STATE(18099), 1,
      sym_range_end,
  [411398] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12438), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
  [411408] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12363), 1,
      aux_sym__keyword_format_token1,
    ACTIONS(12440), 1,
      anon_sym_RPAREN,
    STATE(16151), 1,
      sym__keyword_format,
    STATE(17370), 1,
      sym_cast_format_clause,
  [411424] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12442), 1,
      anon_sym_COMMA,
    STATE(14263), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3088), 2,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
  [411438] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10781), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10783), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10785), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12445), 1,
      anon_sym_RPAREN,
  [411454] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4855), 1,
      anon_sym_LBRACK,
    ACTIONS(4859), 1,
      anon_sym_LT,
    ACTIONS(12447), 1,
      anon_sym_LPAREN,
    STATE(7561), 1,
      sym_select_subexpression,
  [411470] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10781), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10783), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10785), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12449), 1,
      anon_sym_RPAREN,
  [411486] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12451), 1,
      anon_sym_COMMA,
    STATE(14267), 1,
      aux_sym_set_clause_repeat1,
    ACTIONS(5212), 2,
      aux_sym__keyword_from_token1,
      aux_sym_where_clause_token1,
  [411500] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4855), 1,
      anon_sym_LBRACK,
    ACTIONS(4859), 1,
      anon_sym_LT,
    ACTIONS(12454), 1,
      anon_sym_LPAREN,
    STATE(3398), 1,
      sym_select_subexpression,
  [411516] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12363), 1,
      aux_sym__keyword_format_token1,
    ACTIONS(12456), 1,
      anon_sym_RPAREN,
    STATE(16151), 1,
      sym__keyword_format,
    STATE(18217), 1,
      sym_cast_format_clause,
  [411532] = 5,
    ACTIONS(12342), 1,
      aux_sym_keyword_unbounded_preceding_token1,
    ACTIONS(12344), 1,
      aux_sym_range_content_token1,
    ACTIONS(12346), 1,
      sym_comment,
    STATE(15905), 1,
      sym_range_content,
    STATE(17897), 1,
      sym_range_end,
  [411548] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4855), 1,
      anon_sym_LBRACK,
    ACTIONS(4859), 1,
      anon_sym_LT,
    ACTIONS(8261), 1,
      anon_sym_LPAREN,
    STATE(9922), 1,
      sym_select_subexpression,
  [411564] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10781), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10783), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10785), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12458), 1,
      anon_sym_RPAREN,
  [411580] = 5,
    ACTIONS(12342), 1,
      aux_sym_keyword_unbounded_preceding_token1,
    ACTIONS(12344), 1,
      aux_sym_range_content_token1,
    ACTIONS(12346), 1,
      sym_comment,
    STATE(15905), 1,
      sym_range_content,
    STATE(17557), 1,
      sym_range_end,
  [411596] = 5,
    ACTIONS(12342), 1,
      aux_sym_keyword_unbounded_preceding_token1,
    ACTIONS(12344), 1,
      aux_sym_range_content_token1,
    ACTIONS(12346), 1,
      sym_comment,
    STATE(15905), 1,
      sym_range_content,
    STATE(17477), 1,
      sym_range_end,
  [411612] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12462), 1,
      aux_sym_create_table_statement_token3,
    ACTIONS(12464), 1,
      aux_sym_create_function_statement_token1,
    ACTIONS(12460), 2,
      aux_sym_create_table_statement_token1,
      aux_sym_create_table_statement_token2,
  [411626] = 5,
    ACTIONS(12342), 1,
      aux_sym_keyword_unbounded_preceding_token1,
    ACTIONS(12344), 1,
      aux_sym_range_content_token1,
    ACTIONS(12346), 1,
      sym_comment,
    STATE(15905), 1,
      sym_range_content,
    STATE(17313), 1,
      sym_range_end,
  [411642] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9598), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(12466), 1,
      sym__unquoted_identifier,
    STATE(16929), 1,
      sym__column_definition_type_struct,
    STATE(17435), 1,
      sym__keyword_struct,
  [411658] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10781), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10783), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10785), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12468), 1,
      anon_sym_RPAREN,
  [411674] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12470), 4,
      aux_sym_partition_expression_token5,
      aux_sym_partition_expression_token6,
      aux_sym_partition_expression_token7,
      aux_sym_partition_expression_token8,
  [411684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12474), 1,
      sym__string_start,
    ACTIONS(12472), 3,
      aux_sym_set_operation_token2,
      aux_sym_quantitve_like_operator_token1,
      aux_sym_quantitve_like_operator_token2,
  [411696] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10781), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10783), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10785), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12476), 1,
      anon_sym_RPAREN,
  [411712] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4855), 1,
      anon_sym_LBRACK,
    ACTIONS(4859), 1,
      anon_sym_LT,
    ACTIONS(12478), 1,
      anon_sym_LPAREN,
    STATE(6795), 1,
      sym_select_subexpression,
  [411728] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8630), 1,
      aux_sym_option_clause_token1,
    ACTIONS(12480), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(16205), 1,
      sym_with_connection_clause,
    STATE(18615), 1,
      sym_option_clause,
  [411744] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12363), 1,
      aux_sym__keyword_format_token1,
    ACTIONS(12482), 1,
      anon_sym_RPAREN,
    STATE(16151), 1,
      sym__keyword_format,
    STATE(17245), 1,
      sym_cast_format_clause,
  [411760] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10781), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10783), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10785), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12484), 1,
      anon_sym_RPAREN,
  [411776] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4855), 1,
      anon_sym_LBRACK,
    ACTIONS(4859), 1,
      anon_sym_LT,
    ACTIONS(12486), 1,
      anon_sym_LPAREN,
    STATE(2171), 1,
      sym_select_subexpression,
  [411792] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10781), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10783), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10785), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12488), 1,
      anon_sym_RPAREN,
  [411808] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8630), 1,
      aux_sym_option_clause_token1,
    ACTIONS(12480), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(16110), 1,
      sym_with_connection_clause,
    STATE(16451), 1,
      sym_option_clause,
  [411824] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10781), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10783), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10785), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12490), 1,
      anon_sym_RPAREN,
  [411840] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12363), 1,
      aux_sym__keyword_format_token1,
    ACTIONS(12492), 1,
      anon_sym_RPAREN,
    STATE(16151), 1,
      sym__keyword_format,
    STATE(17089), 1,
      sym_cast_format_clause,
  [411856] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12363), 1,
      aux_sym__keyword_format_token1,
    ACTIONS(12494), 1,
      anon_sym_RPAREN,
    STATE(16151), 1,
      sym__keyword_format,
    STATE(18888), 1,
      sym_cast_format_clause,
  [411872] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9450), 1,
      aux_sym__function_language_token1,
    ACTIONS(12496), 1,
      aux_sym__keyword_as_token1,
    STATE(16043), 1,
      sym__keyword_as,
    STATE(16170), 1,
      sym__function_language,
  [411888] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12498), 4,
      aux_sym__keyword_returns_token1,
      aux_sym__keyword_as_token1,
      aux_sym_option_clause_token1,
      aux_sym__function_language_token1,
  [411898] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9450), 1,
      aux_sym__function_language_token1,
    ACTIONS(10523), 1,
      aux_sym__keyword_as_token1,
    STATE(16035), 1,
      sym__function_language,
    STATE(16037), 1,
      sym__keyword_as,
  [411914] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10781), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10783), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10785), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12500), 1,
      anon_sym_RPAREN,
  [411930] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      aux_sym__keyword_for_token1,
    ACTIONS(12502), 1,
      anon_sym_COMMA,
    STATE(11626), 1,
      sym__keyword_for,
    STATE(14322), 1,
      aux_sym_pivot_operator_repeat1,
  [411946] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12363), 1,
      aux_sym__keyword_format_token1,
    ACTIONS(12504), 1,
      anon_sym_RPAREN,
    STATE(16151), 1,
      sym__keyword_format,
    STATE(18949), 1,
      sym_cast_format_clause,
  [411962] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12506), 1,
      sym__integer,
    STATE(16832), 1,
      sym_query_parameter,
    ACTIONS(595), 2,
      sym__named_query_parameter,
      sym__positional_query_parameter,
  [411976] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10781), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10783), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10785), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12508), 1,
      anon_sym_RPAREN,
  [411992] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10781), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10783), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10785), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12510), 1,
      anon_sym_RPAREN,
  [412008] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4855), 1,
      anon_sym_LBRACK,
    ACTIONS(4859), 1,
      anon_sym_LT,
    ACTIONS(12512), 1,
      anon_sym_LPAREN,
    STATE(4896), 1,
      sym_select_subexpression,
  [412024] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4855), 1,
      anon_sym_LBRACK,
    ACTIONS(4859), 1,
      anon_sym_LT,
    ACTIONS(12514), 1,
      anon_sym_LPAREN,
    STATE(3202), 1,
      sym_select_subexpression,
  [412040] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(12516), 1,
      aux_sym_default_clause_token1,
    ACTIONS(12518), 1,
      aux_sym_set_data_type_token1,
    STATE(7555), 1,
      sym_option_clause,
  [412056] = 5,
    ACTIONS(12342), 1,
      aux_sym_keyword_unbounded_preceding_token1,
    ACTIONS(12344), 1,
      aux_sym_range_content_token1,
    ACTIONS(12346), 1,
      sym_comment,
    STATE(15905), 1,
      sym_range_content,
    STATE(16814), 1,
      sym_range_end,
  [412072] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12520), 1,
      aux_sym__keyword_then_token1,
    ACTIONS(12522), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(12524), 1,
      aux_sym__keyword_partition_by_token2,
    STATE(1235), 1,
      sym__keyword_and,
  [412088] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5600), 4,
      aux_sym__keyword_as_token1,
      aux_sym_option_clause_token1,
      aux_sym_create_remote_function_statement_token1,
      aux_sym__function_language_token1,
  [412098] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12363), 1,
      aux_sym__keyword_format_token1,
    ACTIONS(12526), 1,
      anon_sym_RPAREN,
    STATE(16151), 1,
      sym__keyword_format,
    STATE(18203), 1,
      sym_cast_format_clause,
  [412114] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9290), 1,
      aux_sym_create_function_statement_token1,
    ACTIONS(9324), 1,
      aux_sym_create_table_statement_token3,
    ACTIONS(9322), 2,
      aux_sym_create_table_statement_token1,
      aux_sym_create_table_statement_token2,
  [412128] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6613), 1,
      anon_sym_COMMA,
    STATE(14263), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(5342), 2,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
  [412142] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10781), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10783), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10785), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12528), 1,
      anon_sym_RPAREN,
  [412158] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10781), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10783), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10785), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12530), 1,
      anon_sym_RPAREN,
  [412174] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10781), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10783), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10785), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12532), 1,
      anon_sym_RPAREN,
  [412190] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5616), 1,
      anon_sym_RPAREN,
    ACTIONS(10781), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10783), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10785), 1,
      aux_sym_set_operation_token4,
  [412206] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10781), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10783), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10785), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12534), 1,
      anon_sym_RPAREN,
  [412222] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10781), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10783), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10785), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12536), 1,
      anon_sym_RPAREN,
  [412238] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12538), 4,
      aux_sym_create_table_statement_token1,
      aux_sym_create_table_statement_token2,
      aux_sym_create_table_statement_token3,
      aux_sym_create_function_statement_token1,
  [412248] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9450), 1,
      aux_sym__function_language_token1,
    ACTIONS(12540), 1,
      aux_sym__keyword_as_token1,
    STATE(16075), 1,
      sym__keyword_as,
    STATE(16079), 1,
      sym__function_language,
  [412264] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10781), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10783), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10785), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12542), 1,
      anon_sym_RPAREN,
  [412280] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10781), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10783), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10785), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12544), 1,
      anon_sym_RPAREN,
  [412296] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9450), 1,
      aux_sym__function_language_token1,
    ACTIONS(10459), 1,
      aux_sym__keyword_as_token1,
    STATE(16086), 1,
      sym__keyword_as,
    STATE(16088), 1,
      sym__function_language,
  [412312] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10781), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10783), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10785), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12546), 1,
      anon_sym_RPAREN,
  [412328] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      aux_sym__keyword_for_token1,
    ACTIONS(12502), 1,
      anon_sym_COMMA,
    STATE(11589), 1,
      sym__keyword_for,
    STATE(15586), 1,
      aux_sym_pivot_operator_repeat1,
  [412344] = 5,
    ACTIONS(12342), 1,
      aux_sym_keyword_unbounded_preceding_token1,
    ACTIONS(12344), 1,
      aux_sym_range_content_token1,
    ACTIONS(12346), 1,
      sym_comment,
    STATE(15905), 1,
      sym_range_content,
    STATE(18884), 1,
      sym_range_end,
  [412360] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      aux_sym_option_clause_token1,
    ACTIONS(12518), 1,
      aux_sym_set_data_type_token1,
    ACTIONS(12548), 1,
      aux_sym_default_clause_token1,
    STATE(7555), 1,
      sym_option_clause,
  [412376] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4855), 1,
      anon_sym_LBRACK,
    ACTIONS(4859), 1,
      anon_sym_LT,
    ACTIONS(12396), 1,
      anon_sym_LPAREN,
    STATE(6795), 1,
      sym_select_subexpression,
  [412392] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12363), 1,
      aux_sym__keyword_format_token1,
    ACTIONS(12550), 1,
      anon_sym_RPAREN,
    STATE(16151), 1,
      sym__keyword_format,
    STATE(19113), 1,
      sym_cast_format_clause,
  [412408] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9450), 1,
      aux_sym__function_language_token1,
    ACTIONS(12552), 1,
      aux_sym__keyword_as_token1,
    STATE(16247), 1,
      sym__keyword_as,
    STATE(16248), 1,
      sym__function_language,
  [412424] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12554), 1,
      aux_sym__keyword_then_token1,
    ACTIONS(12556), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(12558), 1,
      aux_sym__keyword_partition_by_token2,
    STATE(865), 1,
      sym__keyword_and,
  [412440] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9286), 1,
      aux_sym_create_table_statement_token3,
    ACTIONS(9290), 1,
      aux_sym_create_function_statement_token1,
    ACTIONS(9284), 2,
      aux_sym_create_table_statement_token1,
      aux_sym_create_table_statement_token2,
  [412454] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12464), 1,
      aux_sym_create_function_statement_token1,
    ACTIONS(12562), 1,
      aux_sym_create_table_statement_token3,
    ACTIONS(12560), 2,
      aux_sym_create_table_statement_token1,
      aux_sym_create_table_statement_token2,
  [412468] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4855), 1,
      anon_sym_LBRACK,
    ACTIONS(4859), 1,
      anon_sym_LT,
    ACTIONS(12564), 1,
      anon_sym_LPAREN,
    STATE(6548), 1,
      sym_select_subexpression,
  [412484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12566), 1,
      anon_sym_LPAREN,
    ACTIONS(5226), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [412496] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10781), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10783), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10785), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12568), 1,
      anon_sym_RPAREN,
  [412512] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12363), 1,
      aux_sym__keyword_format_token1,
    ACTIONS(12570), 1,
      anon_sym_RPAREN,
    STATE(16151), 1,
      sym__keyword_format,
    STATE(19073), 1,
      sym_cast_format_clause,
  [412528] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10781), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10783), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10785), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12572), 1,
      anon_sym_RPAREN,
  [412544] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4855), 1,
      anon_sym_LBRACK,
    ACTIONS(4859), 1,
      anon_sym_LT,
    ACTIONS(12574), 1,
      anon_sym_LPAREN,
    STATE(2633), 1,
      sym_select_subexpression,
  [412560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12576), 1,
      aux_sym_create_schema_statement_token2,
    ACTIONS(12578), 3,
      aux_sym_create_table_statement_token1,
      aux_sym_create_table_statement_token2,
      aux_sym_create_table_statement_token3,
  [412572] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12363), 1,
      aux_sym__keyword_format_token1,
    ACTIONS(12580), 1,
      anon_sym_RPAREN,
    STATE(16151), 1,
      sym__keyword_format,
    STATE(16403), 1,
      sym_cast_format_clause,
  [412588] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10781), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10783), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10785), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12582), 1,
      anon_sym_RPAREN,
  [412604] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10781), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10783), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10785), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12584), 1,
      anon_sym_RPAREN,
  [412620] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10781), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10783), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10785), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12586), 1,
      anon_sym_RPAREN,
  [412636] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      aux_sym__keyword_for_token1,
    ACTIONS(12502), 1,
      anon_sym_COMMA,
    STATE(11488), 1,
      sym__keyword_for,
    STATE(14343), 1,
      aux_sym_pivot_operator_repeat1,
  [412652] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      aux_sym__keyword_for_token1,
    ACTIONS(12502), 1,
      anon_sym_COMMA,
    STATE(11530), 1,
      sym__keyword_for,
    STATE(15586), 1,
      aux_sym_pivot_operator_repeat1,
  [412668] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      aux_sym__keyword_for_token1,
    ACTIONS(12502), 1,
      anon_sym_COMMA,
    STATE(11529), 1,
      sym__keyword_for,
    STATE(14345), 1,
      aux_sym_pivot_operator_repeat1,
  [412684] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      aux_sym__keyword_for_token1,
    ACTIONS(12502), 1,
      anon_sym_COMMA,
    STATE(11505), 1,
      sym__keyword_for,
    STATE(15586), 1,
      aux_sym_pivot_operator_repeat1,
  [412700] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      aux_sym__keyword_for_token1,
    ACTIONS(12502), 1,
      anon_sym_COMMA,
    STATE(11468), 1,
      sym__keyword_for,
    STATE(14347), 1,
      aux_sym_pivot_operator_repeat1,
  [412716] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      aux_sym__keyword_for_token1,
    ACTIONS(12502), 1,
      anon_sym_COMMA,
    STATE(11474), 1,
      sym__keyword_for,
    STATE(15586), 1,
      aux_sym_pivot_operator_repeat1,
  [412732] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10781), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10783), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10785), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12588), 1,
      anon_sym_RPAREN,
  [412748] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4855), 1,
      anon_sym_LBRACK,
    ACTIONS(4859), 1,
      anon_sym_LT,
    ACTIONS(12590), 1,
      anon_sym_LPAREN,
    STATE(3698), 1,
      sym_select_subexpression,
  [412764] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12592), 1,
      anon_sym_COMMA,
    ACTIONS(12594), 1,
      anon_sym_RPAREN,
    STATE(14948), 1,
      aux_sym_pivot_operator_repeat2,
  [412777] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12596), 1,
      anon_sym_RPAREN,
    STATE(18691), 1,
      sym_limit_clause,
  [412790] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12598), 1,
      anon_sym_RPAREN,
    STATE(18133), 1,
      sym_limit_clause,
  [412803] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10385), 1,
      anon_sym_RPAREN,
    STATE(18249), 1,
      sym_limit_clause,
  [412816] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12600), 1,
      anon_sym_RPAREN,
    STATE(18381), 1,
      sym_limit_clause,
  [412829] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12602), 1,
      anon_sym_RPAREN,
    STATE(18183), 1,
      sym_limit_clause,
  [412842] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11080), 1,
      anon_sym_RPAREN,
    STATE(18126), 1,
      sym_limit_clause,
  [412855] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10381), 1,
      anon_sym_RPAREN,
    STATE(18137), 1,
      sym_limit_clause,
  [412868] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12604), 1,
      anon_sym_RPAREN,
    STATE(18182), 1,
      sym_limit_clause,
  [412881] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12606), 1,
      anon_sym_RPAREN,
    STATE(18124), 1,
      sym_limit_clause,
  [412894] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12608), 1,
      anon_sym_RPAREN,
    STATE(17881), 1,
      sym_limit_clause,
  [412907] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11082), 1,
      anon_sym_RPAREN,
    STATE(18138), 1,
      sym_limit_clause,
  [412920] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12610), 1,
      anon_sym_RPAREN,
    STATE(18181), 1,
      sym_limit_clause,
  [412933] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12612), 1,
      anon_sym_RPAREN,
    STATE(18180), 1,
      sym_limit_clause,
  [412946] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12614), 1,
      anon_sym_RPAREN,
    STATE(18179), 1,
      sym_limit_clause,
  [412959] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12616), 1,
      anon_sym_RPAREN,
    STATE(18115), 1,
      sym_limit_clause,
  [412972] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12618), 1,
      anon_sym_RPAREN,
    STATE(18139), 1,
      sym_limit_clause,
  [412985] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12620), 1,
      anon_sym_RPAREN,
    STATE(18111), 1,
      sym_limit_clause,
  [412998] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11086), 1,
      anon_sym_RPAREN,
    STATE(17895), 1,
      sym_limit_clause,
  [413011] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12622), 1,
      anon_sym_RPAREN,
    STATE(18110), 1,
      sym_limit_clause,
  [413024] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12624), 1,
      anon_sym_RPAREN,
    STATE(16682), 1,
      sym_limit_clause,
  [413037] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12626), 1,
      anon_sym_RPAREN,
    STATE(18258), 1,
      sym_limit_clause,
  [413050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(117), 1,
      sym__keyword_struct,
    ACTIONS(12628), 2,
      aux_sym__keyword_struct_token1,
      aux_sym_select_token2,
  [413061] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12630), 1,
      anon_sym_RPAREN,
    STATE(18174), 1,
      sym_limit_clause,
  [413074] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12632), 1,
      anon_sym_RPAREN,
    STATE(18173), 1,
      sym_limit_clause,
  [413087] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12634), 1,
      anon_sym_RPAREN,
    STATE(18104), 1,
      sym_limit_clause,
  [413100] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12636), 1,
      anon_sym_RPAREN,
    STATE(18172), 1,
      sym_limit_clause,
  [413113] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12638), 1,
      anon_sym_RPAREN,
    STATE(18101), 1,
      sym_limit_clause,
  [413126] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12640), 1,
      anon_sym_RPAREN,
    STATE(18171), 1,
      sym_limit_clause,
  [413139] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10371), 1,
      anon_sym_RPAREN,
    STATE(18235), 1,
      sym_limit_clause,
  [413152] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12642), 1,
      anon_sym_COMMA,
    ACTIONS(12644), 1,
      anon_sym_RPAREN,
    STATE(15380), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [413165] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12646), 1,
      anon_sym_RPAREN,
    STATE(18152), 1,
      sym_limit_clause,
  [413178] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12648), 1,
      anon_sym_RPAREN,
    STATE(18166), 1,
      sym_limit_clause,
  [413191] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12650), 1,
      anon_sym_RPAREN,
    STATE(18094), 1,
      sym_limit_clause,
  [413204] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12652), 1,
      anon_sym_RPAREN,
    STATE(18165), 1,
      sym_limit_clause,
  [413217] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11248), 1,
      anon_sym_RPAREN,
    STATE(18093), 1,
      sym_limit_clause,
  [413230] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12654), 1,
      anon_sym_RPAREN,
    STATE(18168), 1,
      sym_limit_clause,
  [413243] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12656), 1,
      anon_sym_RPAREN,
    STATE(18164), 1,
      sym_limit_clause,
  [413256] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12658), 1,
      anon_sym_RPAREN,
    STATE(18091), 1,
      sym_limit_clause,
  [413269] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12660), 1,
      anon_sym_RPAREN,
    STATE(19312), 1,
      sym_limit_clause,
  [413282] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12662), 1,
      anon_sym_RPAREN,
    STATE(18321), 1,
      sym_limit_clause,
  [413295] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10397), 1,
      anon_sym_RPAREN,
    STATE(18178), 1,
      sym_limit_clause,
  [413308] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12664), 1,
      anon_sym_RPAREN,
    STATE(18007), 1,
      sym_limit_clause,
  [413321] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10401), 1,
      anon_sym_RPAREN,
    STATE(18193), 1,
      sym_limit_clause,
  [413334] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12666), 1,
      anon_sym_RPAREN,
    STATE(18084), 1,
      sym_limit_clause,
  [413347] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12668), 1,
      anon_sym_RPAREN,
    STATE(18159), 1,
      sym_limit_clause,
  [413360] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12670), 1,
      anon_sym_RPAREN,
    STATE(18083), 1,
      sym_limit_clause,
  [413373] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12672), 1,
      anon_sym_RPAREN,
    STATE(18158), 1,
      sym_limit_clause,
  [413386] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12674), 1,
      anon_sym_RPAREN,
    STATE(18081), 1,
      sym_limit_clause,
  [413399] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12676), 1,
      anon_sym_RPAREN,
    STATE(18157), 1,
      sym_limit_clause,
  [413412] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12678), 1,
      anon_sym_RPAREN,
    STATE(18156), 1,
      sym_limit_clause,
  [413425] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12680), 1,
      anon_sym_RPAREN,
    STATE(18080), 1,
      sym_limit_clause,
  [413438] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12682), 1,
      anon_sym_RPAREN,
    STATE(18155), 1,
      sym_limit_clause,
  [413451] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12684), 1,
      anon_sym_RPAREN,
    STATE(18078), 1,
      sym_limit_clause,
  [413464] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12686), 1,
      anon_sym_RPAREN,
    STATE(18154), 1,
      sym_limit_clause,
  [413477] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12688), 1,
      anon_sym_RPAREN,
    STATE(18077), 1,
      sym_limit_clause,
  [413490] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10781), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10783), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10785), 1,
      aux_sym_set_operation_token4,
  [413503] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12642), 1,
      anon_sym_COMMA,
    ACTIONS(12690), 1,
      anon_sym_RPAREN,
    STATE(15380), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [413516] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10403), 1,
      anon_sym_RPAREN,
    STATE(18196), 1,
      sym_limit_clause,
  [413529] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12692), 1,
      anon_sym_RPAREN,
    STATE(16697), 1,
      sym_limit_clause,
  [413542] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12694), 1,
      anon_sym_RPAREN,
    STATE(18145), 1,
      sym_limit_clause,
  [413555] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11482), 1,
      anon_sym_RPAREN,
    STATE(18199), 1,
      sym_limit_clause,
  [413568] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12696), 1,
      anon_sym_RPAREN,
    STATE(18072), 1,
      sym_limit_clause,
  [413581] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11496), 1,
      anon_sym_RPAREN,
    STATE(18143), 1,
      sym_limit_clause,
  [413594] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12698), 1,
      anon_sym_RPAREN,
    STATE(18071), 1,
      sym_limit_clause,
  [413607] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12700), 1,
      anon_sym_RPAREN,
    STATE(18142), 1,
      sym_limit_clause,
  [413620] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12702), 1,
      anon_sym_RPAREN,
    STATE(18069), 1,
      sym_limit_clause,
  [413633] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9832), 1,
      anon_sym_RPAREN,
    STATE(18017), 1,
      sym_limit_clause,
  [413646] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12642), 1,
      anon_sym_COMMA,
    ACTIONS(12704), 1,
      anon_sym_RPAREN,
    STATE(14380), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [413659] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12706), 1,
      anon_sym_RPAREN,
    STATE(18141), 1,
      sym_limit_clause,
  [413672] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12708), 1,
      anon_sym_RPAREN,
    STATE(18140), 1,
      sym_limit_clause,
  [413685] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12710), 1,
      anon_sym_RPAREN,
    STATE(16688), 1,
      sym_limit_clause,
  [413698] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11538), 1,
      anon_sym_RPAREN,
    STATE(18023), 1,
      sym_limit_clause,
  [413711] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10369), 1,
      anon_sym_RPAREN,
    STATE(18228), 1,
      sym_limit_clause,
  [413724] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12712), 1,
      anon_sym_RPAREN,
    STATE(18131), 1,
      sym_limit_clause,
  [413737] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12714), 1,
      anon_sym_RPAREN,
    STATE(18130), 1,
      sym_limit_clause,
  [413750] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12716), 1,
      anon_sym_RPAREN,
    STATE(18063), 1,
      sym_limit_clause,
  [413763] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12718), 1,
      anon_sym_RPAREN,
    STATE(18129), 1,
      sym_limit_clause,
  [413776] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12720), 1,
      anon_sym_RPAREN,
    STATE(17852), 1,
      sym_limit_clause,
  [413789] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12722), 1,
      anon_sym_RPAREN,
    STATE(18062), 1,
      sym_limit_clause,
  [413802] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(12724), 1,
      anon_sym_RPAREN,
    STATE(15102), 1,
      aux_sym_function_call_repeat1,
  [413815] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12726), 1,
      anon_sym_RPAREN,
    STATE(18060), 1,
      sym_limit_clause,
  [413828] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9731), 1,
      anon_sym_RPAREN,
    STATE(18221), 1,
      sym_limit_clause,
  [413841] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12728), 1,
      anon_sym_RPAREN,
    STATE(18059), 1,
      sym_limit_clause,
  [413854] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10411), 1,
      anon_sym_RPAREN,
    STATE(18209), 1,
      sym_limit_clause,
  [413867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(116), 1,
      sym__keyword_struct,
    ACTIONS(12730), 2,
      aux_sym__keyword_struct_token1,
      aux_sym_select_token2,
  [413878] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12732), 1,
      anon_sym_RPAREN,
    STATE(18120), 1,
      sym_limit_clause,
  [413891] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12734), 1,
      aux_sym_add_column_action_token2,
    ACTIONS(12736), 1,
      aux_sym_primary_key_token1,
    ACTIONS(12738), 1,
      aux_sym_add_foreign_key_action_token1,
  [413904] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11618), 1,
      anon_sym_RPAREN,
    STATE(18118), 1,
      sym_limit_clause,
  [413917] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11634), 1,
      anon_sym_RPAREN,
    STATE(18382), 1,
      sym_limit_clause,
  [413930] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10413), 1,
      anon_sym_RPAREN,
    STATE(18212), 1,
      sym_limit_clause,
  [413943] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12740), 1,
      anon_sym_RPAREN,
    STATE(18113), 1,
      sym_limit_clause,
  [413956] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12742), 1,
      anon_sym_RPAREN,
    STATE(17850), 1,
      sym_limit_clause,
  [413969] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12744), 1,
      anon_sym_RPAREN,
    STATE(18055), 1,
      sym_limit_clause,
  [413982] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9748), 1,
      anon_sym_RPAREN,
    STATE(16492), 1,
      sym_limit_clause,
  [413995] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12746), 1,
      anon_sym_RPAREN,
    STATE(18054), 1,
      sym_limit_clause,
  [414008] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9953), 1,
      anon_sym_RPAREN,
    STATE(18105), 1,
      sym_limit_clause,
  [414021] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12748), 1,
      anon_sym_RPAREN,
    STATE(18027), 1,
      sym_limit_clause,
  [414034] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11672), 1,
      anon_sym_RPAREN,
    STATE(18103), 1,
      sym_limit_clause,
  [414047] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12750), 1,
      anon_sym_RPAREN,
    STATE(18102), 1,
      sym_limit_clause,
  [414060] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12752), 1,
      anon_sym_RPAREN,
    STATE(18053), 1,
      sym_limit_clause,
  [414073] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10415), 1,
      anon_sym_RPAREN,
    STATE(18213), 1,
      sym_limit_clause,
  [414086] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12754), 1,
      anon_sym_RPAREN,
    STATE(18052), 1,
      sym_limit_clause,
  [414099] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12756), 1,
      anon_sym_COMMA,
    ACTIONS(12758), 1,
      anon_sym_RPAREN,
    STATE(15715), 1,
      aux_sym_option_clause_repeat1,
  [414112] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12760), 1,
      anon_sym_RPAREN,
    STATE(18097), 1,
      sym_limit_clause,
  [414125] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(12762), 1,
      anon_sym_RBRACK,
    STATE(14209), 1,
      aux_sym_set_statement_repeat1,
  [414138] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(12766), 1,
      anon_sym_RPAREN,
    STATE(14523), 1,
      aux_sym_struct_repeat1,
  [414151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(10327), 1,
      sym__identifier,
    ACTIONS(12768), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
  [414162] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12770), 1,
      anon_sym_RPAREN,
    STATE(18087), 1,
      sym_limit_clause,
  [414175] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12772), 1,
      anon_sym_RPAREN,
    STATE(18050), 1,
      sym_limit_clause,
  [414188] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12774), 1,
      anon_sym_RPAREN,
    STATE(17801), 1,
      sym_limit_clause,
  [414201] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12776), 1,
      anon_sym_RPAREN,
    STATE(18049), 1,
      sym_limit_clause,
  [414214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12778), 1,
      sym__string_start,
    STATE(4541), 2,
      sym__range_string,
      sym_string,
  [414225] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(12780), 1,
      anon_sym_RPAREN,
    STATE(15102), 1,
      aux_sym_function_call_repeat1,
  [414238] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9963), 1,
      anon_sym_RPAREN,
    STATE(18079), 1,
      sym_limit_clause,
  [414251] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12642), 1,
      anon_sym_COMMA,
    ACTIONS(12782), 1,
      anon_sym_RPAREN,
    STATE(15380), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [414264] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10417), 1,
      anon_sym_RPAREN,
    STATE(18386), 1,
      sym_limit_clause,
  [414277] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9979), 1,
      anon_sym_RPAREN,
    STATE(18070), 1,
      sym_limit_clause,
  [414290] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12784), 1,
      anon_sym_RPAREN,
    STATE(18402), 1,
      sym_limit_clause,
  [414303] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10409), 1,
      anon_sym_RPAREN,
    STATE(18236), 1,
      sym_limit_clause,
  [414316] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11839), 1,
      anon_sym_RPAREN,
    STATE(18220), 1,
      sym_limit_clause,
  [414329] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12786), 1,
      anon_sym_RPAREN,
    STATE(16526), 1,
      sym_limit_clause,
  [414342] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12788), 1,
      anon_sym_RPAREN,
    STATE(19267), 1,
      sym_limit_clause,
  [414355] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12790), 1,
      anon_sym_RPAREN,
    STATE(16630), 1,
      sym_limit_clause,
  [414368] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12792), 1,
      anon_sym_RPAREN,
    STATE(16509), 1,
      sym_limit_clause,
  [414381] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12794), 1,
      anon_sym_RPAREN,
    STATE(16645), 1,
      sym_limit_clause,
  [414394] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12642), 1,
      anon_sym_COMMA,
    ACTIONS(12796), 1,
      anon_sym_RPAREN,
    STATE(14407), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [414407] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10637), 1,
      sym__string_content,
    ACTIONS(10639), 1,
      sym__string_end,
    STATE(14483), 1,
      aux_sym_string_repeat1,
  [414420] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12798), 1,
      aux_sym_create_table_statement_token1,
    ACTIONS(12800), 1,
      aux_sym_create_table_statement_token2,
    ACTIONS(12802), 1,
      aux_sym_create_table_statement_token3,
  [414433] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(12804), 1,
      anon_sym_RPAREN,
    STATE(14456), 1,
      aux_sym_struct_repeat1,
  [414446] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9991), 1,
      anon_sym_RPAREN,
    STATE(18067), 1,
      sym_limit_clause,
  [414459] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12806), 1,
      anon_sym_RPAREN,
    STATE(19266), 1,
      sym_limit_clause,
  [414472] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12808), 1,
      anon_sym_RPAREN,
    STATE(18046), 1,
      sym_limit_clause,
  [414485] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12810), 1,
      sym__string_content,
    ACTIONS(12812), 1,
      sym__string_end,
    STATE(15117), 1,
      aux_sym_string_repeat1,
  [414498] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(7267), 1,
      anon_sym_RPAREN,
    STATE(14463), 1,
      aux_sym_function_call_repeat1,
  [414511] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(12814), 1,
      anon_sym_RPAREN,
    STATE(14497), 1,
      aux_sym_struct_repeat1,
  [414524] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11885), 1,
      anon_sym_RPAREN,
    STATE(18065), 1,
      sym_limit_clause,
  [414537] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(12816), 1,
      anon_sym_RPAREN,
    STATE(15102), 1,
      aux_sym_function_call_repeat1,
  [414550] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11911), 1,
      anon_sym_RPAREN,
    STATE(18410), 1,
      sym_limit_clause,
  [414563] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10336), 1,
      anon_sym_RPAREN,
    STATE(18170), 1,
      sym_limit_clause,
  [414576] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12818), 1,
      anon_sym_RPAREN,
    STATE(17830), 1,
      sym_limit_clause,
  [414589] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(7269), 1,
      anon_sym_RBRACK,
    STATE(14209), 1,
      aux_sym_set_statement_repeat1,
  [414602] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(12804), 1,
      anon_sym_RPAREN,
    STATE(14523), 1,
      aux_sym_struct_repeat1,
  [414615] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12820), 1,
      anon_sym_RPAREN,
    STATE(16361), 1,
      sym_limit_clause,
  [414628] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10328), 1,
      anon_sym_RPAREN,
    STATE(18048), 1,
      sym_limit_clause,
  [414641] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12822), 1,
      anon_sym_RPAREN,
    STATE(19265), 1,
      sym_limit_clause,
  [414654] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12824), 1,
      anon_sym_RPAREN,
    STATE(16360), 1,
      sym_limit_clause,
  [414667] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(12826), 1,
      anon_sym_RPAREN,
    STATE(14523), 1,
      aux_sym_struct_repeat1,
  [414680] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9999), 1,
      anon_sym_RPAREN,
    STATE(18051), 1,
      sym_limit_clause,
  [414693] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12828), 1,
      anon_sym_RPAREN,
    STATE(17824), 1,
      sym_limit_clause,
  [414706] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12810), 1,
      sym__string_content,
    ACTIONS(12830), 1,
      sym__string_end,
    STATE(15117), 1,
      aux_sym_string_repeat1,
  [414719] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(7279), 1,
      anon_sym_RBRACK,
    STATE(14209), 1,
      aux_sym_set_statement_repeat1,
  [414732] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12832), 1,
      anon_sym_RPAREN,
    STATE(18112), 1,
      sym_limit_clause,
  [414745] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(7275), 1,
      anon_sym_RPAREN,
    STATE(14518), 1,
      aux_sym_function_call_repeat1,
  [414758] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10326), 1,
      anon_sym_RPAREN,
    STATE(18188), 1,
      sym_limit_clause,
  [414771] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(12826), 1,
      anon_sym_RPAREN,
    STATE(14521), 1,
      aux_sym_struct_repeat1,
  [414784] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10001), 1,
      anon_sym_RPAREN,
    STATE(18042), 1,
      sym_limit_clause,
  [414797] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12834), 1,
      anon_sym_RPAREN,
    STATE(18412), 1,
      sym_limit_clause,
  [414810] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12836), 1,
      anon_sym_COMMA,
    ACTIONS(12838), 1,
      anon_sym_RPAREN,
    STATE(14729), 1,
      aux_sym_single_column_unpivot_repeat1,
  [414823] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10009), 1,
      anon_sym_RPAREN,
    STATE(18039), 1,
      sym_limit_clause,
  [414836] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10318), 1,
      anon_sym_RPAREN,
    STATE(18020), 1,
      sym_limit_clause,
  [414849] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(12840), 1,
      anon_sym_RBRACK,
    STATE(14209), 1,
      aux_sym_set_statement_repeat1,
  [414862] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9739), 1,
      anon_sym_RPAREN,
    STATE(18197), 1,
      sym_limit_clause,
  [414875] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(12842), 1,
      anon_sym_RPAREN,
    STATE(14523), 1,
      aux_sym_struct_repeat1,
  [414888] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11060), 1,
      anon_sym_RPAREN,
    STATE(16522), 1,
      sym_limit_clause,
  [414901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(10851), 1,
      sym__identifier,
    ACTIONS(12844), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
  [414912] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12846), 1,
      anon_sym_RPAREN,
    STATE(17815), 1,
      sym_limit_clause,
  [414925] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10059), 1,
      anon_sym_RPAREN,
    STATE(18024), 1,
      sym_limit_clause,
  [414938] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(12848), 1,
      anon_sym_RPAREN,
    STATE(15102), 1,
      aux_sym_function_call_repeat1,
  [414951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12850), 1,
      sym__string_start,
    STATE(3541), 2,
      sym__range_string,
      sym_string,
  [414962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4478), 1,
      sym__identifier,
    ACTIONS(12852), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
  [414973] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(12854), 1,
      anon_sym_RPAREN,
    STATE(14523), 1,
      aux_sym_struct_repeat1,
  [414986] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(12856), 1,
      anon_sym_RBRACK,
    STATE(14209), 1,
      aux_sym_set_statement_repeat1,
  [414999] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12861), 1,
      anon_sym_RPAREN,
    STATE(14523), 1,
      aux_sym_struct_repeat1,
  [415012] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10314), 1,
      anon_sym_RPAREN,
    STATE(18008), 1,
      sym_limit_clause,
  [415025] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12863), 1,
      anon_sym_RPAREN,
    STATE(18422), 1,
      sym_limit_clause,
  [415038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12865), 1,
      sym__string_start,
    STATE(10853), 2,
      sym__range_string,
      sym_string,
  [415049] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(12867), 1,
      anon_sym_RPAREN,
    STATE(15102), 1,
      aux_sym_function_call_repeat1,
  [415062] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11124), 1,
      anon_sym_RPAREN,
    STATE(16536), 1,
      sym_limit_clause,
  [415075] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10312), 1,
      anon_sym_RPAREN,
    STATE(17999), 1,
      sym_limit_clause,
  [415088] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11973), 1,
      anon_sym_RPAREN,
    STATE(17814), 1,
      sym_limit_clause,
  [415101] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(12869), 1,
      anon_sym_RPAREN,
    STATE(14492), 1,
      aux_sym_struct_repeat1,
  [415114] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12810), 1,
      sym__string_content,
    ACTIONS(12871), 1,
      sym__string_end,
    STATE(15117), 1,
      aux_sym_string_repeat1,
  [415127] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12873), 1,
      anon_sym_RPAREN,
    STATE(17808), 1,
      sym_limit_clause,
  [415140] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10300), 1,
      anon_sym_RPAREN,
    STATE(17989), 1,
      sym_limit_clause,
  [415153] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12875), 1,
      anon_sym_RPAREN,
    STATE(16362), 1,
      sym_limit_clause,
  [415166] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12642), 1,
      anon_sym_COMMA,
    ACTIONS(12877), 1,
      anon_sym_RPAREN,
    STATE(15380), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [415179] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(12879), 1,
      anon_sym_RPAREN,
    STATE(15102), 1,
      aux_sym_function_call_repeat1,
  [415192] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10296), 1,
      anon_sym_RPAREN,
    STATE(18030), 1,
      sym_limit_clause,
  [415205] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10557), 1,
      sym__string_content,
    ACTIONS(10559), 1,
      sym__string_end,
    STATE(14532), 1,
      aux_sym_string_repeat1,
  [415218] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9737), 1,
      anon_sym_RPAREN,
    STATE(18215), 1,
      sym_limit_clause,
  [415231] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12642), 1,
      anon_sym_COMMA,
    ACTIONS(12881), 1,
      anon_sym_RPAREN,
    STATE(14571), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [415244] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12836), 1,
      anon_sym_COMMA,
    ACTIONS(12883), 1,
      anon_sym_RPAREN,
    STATE(14508), 1,
      aux_sym_single_column_unpivot_repeat1,
  [415257] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12885), 1,
      anon_sym_RPAREN,
    STATE(16359), 1,
      sym_limit_clause,
  [415270] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(12887), 1,
      anon_sym_RPAREN,
    STATE(14513), 1,
      aux_sym_struct_repeat1,
  [415283] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12889), 1,
      anon_sym_RPAREN,
    STATE(18005), 1,
      sym_limit_clause,
  [415296] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12047), 1,
      anon_sym_RPAREN,
    STATE(17968), 1,
      sym_limit_clause,
  [415309] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12891), 1,
      anon_sym_RPAREN,
    STATE(18425), 1,
      sym_limit_clause,
  [415322] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12893), 1,
      anon_sym_RPAREN,
    STATE(18004), 1,
      sym_limit_clause,
  [415335] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10288), 1,
      anon_sym_RPAREN,
    STATE(17965), 1,
      sym_limit_clause,
  [415348] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12895), 1,
      anon_sym_RPAREN,
    STATE(19261), 1,
      sym_limit_clause,
  [415361] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(7248), 1,
      anon_sym_RPAREN,
    STATE(14527), 1,
      aux_sym_function_call_repeat1,
  [415374] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(7236), 1,
      anon_sym_RBRACK,
    STATE(14209), 1,
      aux_sym_set_statement_repeat1,
  [415387] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12897), 1,
      anon_sym_RPAREN,
    STATE(18003), 1,
      sym_limit_clause,
  [415400] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10286), 1,
      anon_sym_RPAREN,
    STATE(17960), 1,
      sym_limit_clause,
  [415413] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12899), 1,
      anon_sym_RPAREN,
    STATE(18428), 1,
      sym_limit_clause,
  [415426] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12901), 1,
      anon_sym_RPAREN,
    STATE(18002), 1,
      sym_limit_clause,
  [415439] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12903), 1,
      anon_sym_RPAREN,
    STATE(18001), 1,
      sym_limit_clause,
  [415452] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10282), 1,
      anon_sym_RPAREN,
    STATE(17958), 1,
      sym_limit_clause,
  [415465] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12905), 1,
      anon_sym_COMMA,
    ACTIONS(12908), 1,
      aux_sym_join_condition_token1,
    STATE(14559), 1,
      aux_sym_grant_statement_repeat1,
  [415478] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12910), 1,
      anon_sym_RPAREN,
    STATE(18000), 1,
      sym_limit_clause,
  [415491] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(12887), 1,
      anon_sym_RPAREN,
    STATE(14523), 1,
      aux_sym_struct_repeat1,
  [415504] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12592), 1,
      anon_sym_COMMA,
    ACTIONS(12912), 1,
      anon_sym_RPAREN,
    STATE(14564), 1,
      aux_sym_pivot_operator_repeat2,
  [415517] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12914), 1,
      anon_sym_RPAREN,
    STATE(17949), 1,
      sym_limit_clause,
  [415530] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12592), 1,
      anon_sym_COMMA,
    ACTIONS(12916), 1,
      anon_sym_RPAREN,
    STATE(14948), 1,
      aux_sym_pivot_operator_repeat2,
  [415543] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12592), 1,
      anon_sym_COMMA,
    ACTIONS(12918), 1,
      anon_sym_RPAREN,
    STATE(14567), 1,
      aux_sym_pivot_operator_repeat2,
  [415556] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12920), 1,
      anon_sym_RPAREN,
    STATE(16358), 1,
      sym_limit_clause,
  [415569] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12592), 1,
      anon_sym_COMMA,
    ACTIONS(12922), 1,
      anon_sym_RPAREN,
    STATE(14948), 1,
      aux_sym_pivot_operator_repeat2,
  [415582] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12924), 1,
      anon_sym_RPAREN,
    STATE(17940), 1,
      sym_limit_clause,
  [415595] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9238), 1,
      anon_sym_COMMA,
    ACTIONS(12926), 1,
      aux_sym__keyword_from_token1,
    STATE(15064), 1,
      aux_sym_declare_statement_repeat1,
  [415608] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12928), 1,
      anon_sym_RPAREN,
    STATE(18265), 1,
      sym_limit_clause,
  [415621] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12642), 1,
      anon_sym_COMMA,
    ACTIONS(12930), 1,
      anon_sym_RPAREN,
    STATE(15380), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [415634] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12932), 1,
      anon_sym_RPAREN,
    STATE(17995), 1,
      sym_limit_clause,
  [415647] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12934), 1,
      anon_sym_RPAREN,
    STATE(19257), 1,
      sym_limit_clause,
  [415660] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12936), 1,
      anon_sym_RPAREN,
    STATE(17994), 1,
      sym_limit_clause,
  [415673] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12938), 1,
      anon_sym_RPAREN,
    STATE(17993), 1,
      sym_limit_clause,
  [415686] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(12940), 1,
      anon_sym_RPAREN,
    STATE(14561), 1,
      aux_sym_struct_repeat1,
  [415699] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12942), 1,
      anon_sym_RPAREN,
    STATE(17992), 1,
      sym_limit_clause,
  [415712] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12944), 1,
      anon_sym_RPAREN,
    STATE(17931), 1,
      sym_limit_clause,
  [415725] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12081), 1,
      anon_sym_RPAREN,
    STATE(18232), 1,
      sym_limit_clause,
  [415738] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12095), 1,
      anon_sym_RPAREN,
    STATE(17930), 1,
      sym_limit_clause,
  [415751] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12946), 1,
      anon_sym_RPAREN,
    STATE(18266), 1,
      sym_limit_clause,
  [415764] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9238), 1,
      anon_sym_COMMA,
    ACTIONS(12948), 1,
      anon_sym_RPAREN,
    STATE(15014), 1,
      aux_sym_declare_statement_repeat1,
  [415777] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10270), 1,
      anon_sym_RPAREN,
    STATE(17826), 1,
      sym_limit_clause,
  [415790] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12756), 1,
      anon_sym_COMMA,
    ACTIONS(12950), 1,
      anon_sym_RPAREN,
    STATE(14453), 1,
      aux_sym_option_clause_repeat1,
  [415803] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12642), 1,
      anon_sym_COMMA,
    ACTIONS(12952), 1,
      anon_sym_RPAREN,
    STATE(14465), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [415816] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12810), 1,
      sym__string_content,
    ACTIONS(12954), 1,
      sym__string_end,
    STATE(15117), 1,
      aux_sym_string_repeat1,
  [415829] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12956), 1,
      anon_sym_RPAREN,
    STATE(17987), 1,
      sym_limit_clause,
  [415842] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12958), 1,
      anon_sym_RPAREN,
    STATE(17925), 1,
      sym_limit_clause,
  [415855] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9238), 1,
      anon_sym_COMMA,
    ACTIONS(12960), 1,
      aux_sym_alter_table_rename_statement_token2,
    STATE(15049), 1,
      aux_sym_declare_statement_repeat1,
  [415868] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(12962), 1,
      anon_sym_RPAREN,
    STATE(15102), 1,
      aux_sym_function_call_repeat1,
  [415881] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12964), 1,
      anon_sym_RPAREN,
    STATE(17986), 1,
      sym_limit_clause,
  [415894] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12227), 1,
      anon_sym_RPAREN,
    STATE(17916), 1,
      sym_limit_clause,
  [415907] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12966), 1,
      anon_sym_RPAREN,
    STATE(18267), 1,
      sym_limit_clause,
  [415920] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12968), 1,
      anon_sym_RPAREN,
    STATE(17985), 1,
      sym_limit_clause,
  [415933] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12970), 1,
      anon_sym_RPAREN,
    STATE(17915), 1,
      sym_limit_clause,
  [415946] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12972), 1,
      anon_sym_RPAREN,
    STATE(18268), 1,
      sym_limit_clause,
  [415959] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9716), 1,
      anon_sym_RPAREN,
    STATE(18257), 1,
      sym_limit_clause,
  [415972] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12974), 1,
      anon_sym_RPAREN,
    STATE(16368), 1,
      sym_limit_clause,
  [415985] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(7246), 1,
      anon_sym_RPAREN,
    STATE(15139), 1,
      aux_sym_function_call_repeat1,
  [415998] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12976), 1,
      anon_sym_RPAREN,
    STATE(17980), 1,
      sym_limit_clause,
  [416011] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12978), 1,
      anon_sym_RPAREN,
    STATE(17907), 1,
      sym_limit_clause,
  [416024] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12980), 1,
      anon_sym_RPAREN,
    STATE(17979), 1,
      sym_limit_clause,
  [416037] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12982), 1,
      anon_sym_RPAREN,
    STATE(17906), 1,
      sym_limit_clause,
  [416050] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12984), 1,
      anon_sym_RPAREN,
    STATE(17978), 1,
      sym_limit_clause,
  [416063] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12986), 1,
      anon_sym_RPAREN,
    STATE(17905), 1,
      sym_limit_clause,
  [416076] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12988), 1,
      anon_sym_RPAREN,
    STATE(18270), 1,
      sym_limit_clause,
  [416089] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9652), 1,
      anon_sym_RPAREN,
    STATE(18269), 1,
      sym_limit_clause,
  [416102] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12990), 1,
      anon_sym_RPAREN,
    STATE(17977), 1,
      sym_limit_clause,
  [416115] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12992), 1,
      anon_sym_RPAREN,
    STATE(17976), 1,
      sym_limit_clause,
  [416128] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12994), 1,
      anon_sym_RPAREN,
    STATE(17975), 1,
      sym_limit_clause,
  [416141] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12996), 1,
      anon_sym_RPAREN,
    STATE(17899), 1,
      sym_limit_clause,
  [416154] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12998), 1,
      anon_sym_RPAREN,
    STATE(18271), 1,
      sym_limit_clause,
  [416167] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13000), 1,
      anon_sym_RPAREN,
    STATE(17898), 1,
      sym_limit_clause,
  [416180] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9642), 1,
      anon_sym_RPAREN,
    STATE(18187), 1,
      sym_limit_clause,
  [416193] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(13002), 1,
      anon_sym_RBRACK,
    STATE(14209), 1,
      aux_sym_set_statement_repeat1,
  [416206] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13004), 1,
      anon_sym_RPAREN,
    STATE(16357), 1,
      sym_limit_clause,
  [416219] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13006), 1,
      anon_sym_RPAREN,
    STATE(17966), 1,
      sym_limit_clause,
  [416232] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(13008), 1,
      anon_sym_RPAREN,
    STATE(14523), 1,
      aux_sym_struct_repeat1,
  [416245] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13010), 1,
      anon_sym_RPAREN,
    STATE(17893), 1,
      sym_limit_clause,
  [416258] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12336), 1,
      anon_sym_RPAREN,
    STATE(17964), 1,
      sym_limit_clause,
  [416271] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12334), 1,
      anon_sym_RPAREN,
    STATE(17892), 1,
      sym_limit_clause,
  [416284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(111), 1,
      sym__keyword_struct,
    ACTIONS(13012), 2,
      aux_sym__keyword_struct_token1,
      aux_sym_select_token2,
  [416295] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13014), 1,
      anon_sym_RPAREN,
    STATE(17963), 1,
      sym_limit_clause,
  [416308] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13016), 1,
      anon_sym_RPAREN,
    STATE(17890), 1,
      sym_limit_clause,
  [416321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2004), 1,
      sym__identifier,
    ACTIONS(13018), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
  [416332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13020), 1,
      sym__string_start,
    STATE(2013), 2,
      sym__range_string,
      sym_string,
  [416343] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10620), 1,
      sym__string_content,
    ACTIONS(10622), 1,
      sym__string_end,
    STATE(14586), 1,
      aux_sym_string_repeat1,
  [416356] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13022), 1,
      anon_sym_RPAREN,
    STATE(17962), 1,
      sym_limit_clause,
  [416369] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13024), 1,
      anon_sym_RPAREN,
    STATE(17961), 1,
      sym_limit_clause,
  [416382] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13026), 1,
      anon_sym_RPAREN,
    STATE(17884), 1,
      sym_limit_clause,
  [416395] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13028), 1,
      anon_sym_RPAREN,
    STATE(18191), 1,
      sym_limit_clause,
  [416408] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13030), 1,
      anon_sym_RPAREN,
    STATE(17883), 1,
      sym_limit_clause,
  [416421] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13032), 1,
      anon_sym_RPAREN,
    STATE(16356), 1,
      sym_limit_clause,
  [416434] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13034), 1,
      anon_sym_RPAREN,
    STATE(17880), 1,
      sym_limit_clause,
  [416447] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13036), 1,
      anon_sym_RPAREN,
    STATE(17952), 1,
      sym_limit_clause,
  [416460] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13038), 1,
      anon_sym_RPAREN,
    STATE(17951), 1,
      sym_limit_clause,
  [416473] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13040), 1,
      anon_sym_RPAREN,
    STATE(17879), 1,
      sym_limit_clause,
  [416486] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13042), 1,
      anon_sym_RPAREN,
    STATE(17950), 1,
      sym_limit_clause,
  [416499] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13044), 1,
      anon_sym_RPAREN,
    STATE(17878), 1,
      sym_limit_clause,
  [416512] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13046), 1,
      anon_sym_RPAREN,
    STATE(17669), 1,
      sym_limit_clause,
  [416525] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13048), 1,
      anon_sym_RPAREN,
    STATE(17875), 1,
      sym_limit_clause,
  [416538] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13050), 1,
      anon_sym_RPAREN,
    STATE(18276), 1,
      sym_limit_clause,
  [416551] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(13052), 1,
      anon_sym_RPAREN,
    STATE(15102), 1,
      aux_sym_function_call_repeat1,
  [416564] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13054), 1,
      anon_sym_RPAREN,
    STATE(18277), 1,
      sym_limit_clause,
  [416577] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(13056), 1,
      anon_sym_RPAREN,
    STATE(14709), 1,
      aux_sym_struct_repeat1,
  [416590] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13058), 1,
      anon_sym_RPAREN,
    STATE(17941), 1,
      sym_limit_clause,
  [416603] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13060), 1,
      anon_sym_RPAREN,
    STATE(18279), 1,
      sym_limit_clause,
  [416616] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13062), 1,
      anon_sym_RPAREN,
    STATE(17870), 1,
      sym_limit_clause,
  [416629] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12312), 1,
      anon_sym_RPAREN,
    STATE(17939), 1,
      sym_limit_clause,
  [416642] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13064), 1,
      anon_sym_RPAREN,
    STATE(17869), 1,
      sym_limit_clause,
  [416655] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9616), 1,
      anon_sym_RPAREN,
    STATE(18293), 1,
      sym_limit_clause,
  [416668] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13066), 1,
      anon_sym_RPAREN,
    STATE(17867), 1,
      sym_limit_clause,
  [416681] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(13068), 1,
      anon_sym_RPAREN,
    STATE(14618), 1,
      aux_sym_struct_repeat1,
  [416694] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(7357), 1,
      anon_sym_RPAREN,
    STATE(14643), 1,
      aux_sym_function_call_repeat1,
  [416707] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(7355), 1,
      anon_sym_RBRACK,
    STATE(14209), 1,
      aux_sym_set_statement_repeat1,
  [416720] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13070), 1,
      anon_sym_RPAREN,
    STATE(17934), 1,
      sym_limit_clause,
  [416733] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13072), 1,
      anon_sym_RPAREN,
    STATE(17665), 1,
      sym_limit_clause,
  [416746] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12592), 1,
      anon_sym_COMMA,
    ACTIONS(13074), 1,
      anon_sym_RPAREN,
    STATE(14666), 1,
      aux_sym_pivot_operator_repeat2,
  [416759] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13076), 1,
      anon_sym_RPAREN,
    STATE(16378), 1,
      sym_limit_clause,
  [416772] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10158), 1,
      anon_sym_RPAREN,
    STATE(17926), 1,
      sym_limit_clause,
  [416785] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13078), 1,
      anon_sym_RPAREN,
    STATE(18287), 1,
      sym_limit_clause,
  [416798] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13080), 1,
      anon_sym_RPAREN,
    STATE(17861), 1,
      sym_limit_clause,
  [416811] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12296), 1,
      anon_sym_RPAREN,
    STATE(17924), 1,
      sym_limit_clause,
  [416824] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13082), 1,
      anon_sym_RPAREN,
    STATE(17923), 1,
      sym_limit_clause,
  [416837] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13084), 1,
      anon_sym_RPAREN,
    STATE(17859), 1,
      sym_limit_clause,
  [416850] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12592), 1,
      anon_sym_COMMA,
    ACTIONS(13086), 1,
      anon_sym_RPAREN,
    STATE(14948), 1,
      aux_sym_pivot_operator_repeat2,
  [416863] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13088), 1,
      anon_sym_RPAREN,
    STATE(17857), 1,
      sym_limit_clause,
  [416876] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13090), 1,
      anon_sym_RPAREN,
    STATE(18288), 1,
      sym_limit_clause,
  [416889] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13092), 1,
      anon_sym_RPAREN,
    STATE(17856), 1,
      sym_limit_clause,
  [416902] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12592), 1,
      anon_sym_COMMA,
    ACTIONS(13094), 1,
      anon_sym_RPAREN,
    STATE(14673), 1,
      aux_sym_pivot_operator_repeat2,
  [416915] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13096), 1,
      anon_sym_RPAREN,
    STATE(18289), 1,
      sym_limit_clause,
  [416928] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13098), 1,
      anon_sym_RPAREN,
    STATE(17918), 1,
      sym_limit_clause,
  [416941] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12592), 1,
      anon_sym_COMMA,
    ACTIONS(13100), 1,
      anon_sym_RPAREN,
    STATE(14948), 1,
      aux_sym_pivot_operator_repeat2,
  [416954] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(13068), 1,
      anon_sym_RPAREN,
    STATE(14523), 1,
      aux_sym_struct_repeat1,
  [416967] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13102), 1,
      anon_sym_RPAREN,
    STATE(17908), 1,
      sym_limit_clause,
  [416980] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13104), 1,
      anon_sym_RPAREN,
    STATE(17661), 1,
      sym_limit_clause,
  [416993] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4803), 1,
      aux_sym_set_operation_token1,
    ACTIONS(4805), 1,
      aux_sym_set_operation_token3,
    ACTIONS(13106), 1,
      aux_sym_set_operation_token4,
  [417006] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10172), 1,
      anon_sym_RPAREN,
    STATE(17900), 1,
      sym_limit_clause,
  [417019] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13108), 1,
      anon_sym_RPAREN,
    STATE(17851), 1,
      sym_limit_clause,
  [417032] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13110), 1,
      anon_sym_RPAREN,
    STATE(18294), 1,
      sym_limit_clause,
  [417045] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13112), 1,
      anon_sym_RPAREN,
    STATE(17849), 1,
      sym_limit_clause,
  [417058] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10176), 1,
      anon_sym_RPAREN,
    STATE(17891), 1,
      sym_limit_clause,
  [417071] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13114), 1,
      anon_sym_RPAREN,
    STATE(17660), 1,
      sym_limit_clause,
  [417084] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13116), 1,
      anon_sym_RPAREN,
    STATE(18298), 1,
      sym_limit_clause,
  [417097] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10178), 1,
      anon_sym_RPAREN,
    STATE(17888), 1,
      sym_limit_clause,
  [417110] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13118), 1,
      anon_sym_RPAREN,
    STATE(17847), 1,
      sym_limit_clause,
  [417123] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13120), 1,
      anon_sym_RPAREN,
    STATE(18369), 1,
      sym_limit_clause,
  [417136] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13122), 1,
      anon_sym_RPAREN,
    STATE(17845), 1,
      sym_limit_clause,
  [417149] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12278), 1,
      anon_sym_RPAREN,
    STATE(17886), 1,
      sym_limit_clause,
  [417162] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13124), 1,
      anon_sym_RPAREN,
    STATE(17653), 1,
      sym_limit_clause,
  [417175] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13126), 1,
      anon_sym_RPAREN,
    STATE(18299), 1,
      sym_limit_clause,
  [417188] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9718), 1,
      anon_sym_RPAREN,
    STATE(16384), 1,
      sym_limit_clause,
  [417201] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(13128), 1,
      anon_sym_RPAREN,
    STATE(14674), 1,
      aux_sym_struct_repeat1,
  [417214] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10200), 1,
      anon_sym_RPAREN,
    STATE(17872), 1,
      sym_limit_clause,
  [417227] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13130), 1,
      anon_sym_RPAREN,
    STATE(17844), 1,
      sym_limit_clause,
  [417240] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13132), 1,
      anon_sym_RPAREN,
    STATE(18300), 1,
      sym_limit_clause,
  [417253] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13134), 1,
      anon_sym_RPAREN,
    STATE(17841), 1,
      sym_limit_clause,
  [417266] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10216), 1,
      anon_sym_RPAREN,
    STATE(17863), 1,
      sym_limit_clause,
  [417279] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13136), 1,
      anon_sym_RPAREN,
    STATE(17670), 1,
      sym_limit_clause,
  [417292] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13138), 1,
      anon_sym_RPAREN,
    STATE(18302), 1,
      sym_limit_clause,
  [417305] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10218), 1,
      anon_sym_RPAREN,
    STATE(17860), 1,
      sym_limit_clause,
  [417318] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13140), 1,
      anon_sym_RPAREN,
    STATE(17642), 1,
      sym_limit_clause,
  [417331] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13142), 1,
      anon_sym_RPAREN,
    STATE(19247), 1,
      sym_limit_clause,
  [417344] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13144), 1,
      anon_sym_RPAREN,
    STATE(19241), 1,
      sym_limit_clause,
  [417357] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13146), 1,
      anon_sym_RPAREN,
    STATE(18303), 1,
      sym_limit_clause,
  [417370] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13148), 1,
      anon_sym_RPAREN,
    STATE(17638), 1,
      sym_limit_clause,
  [417383] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13150), 1,
      anon_sym_RPAREN,
    STATE(16353), 1,
      sym_limit_clause,
  [417396] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10537), 1,
      sym__string_content,
    ACTIONS(10539), 1,
      sym__string_end,
    STATE(14714), 1,
      aux_sym_string_repeat1,
  [417409] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(13152), 1,
      anon_sym_RPAREN,
    STATE(14523), 1,
      aux_sym_struct_repeat1,
  [417422] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12810), 1,
      sym__string_content,
    ACTIONS(13154), 1,
      sym__string_end,
    STATE(15117), 1,
      aux_sym_string_repeat1,
  [417435] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10226), 1,
      anon_sym_RPAREN,
    STATE(17843), 1,
      sym_limit_clause,
  [417448] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13156), 1,
      anon_sym_RPAREN,
    STATE(16398), 1,
      sym_limit_clause,
  [417461] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9710), 1,
      anon_sym_RPAREN,
    STATE(16390), 1,
      sym_limit_clause,
  [417474] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12810), 1,
      sym__string_content,
    ACTIONS(13158), 1,
      sym__string_end,
    STATE(15117), 1,
      aux_sym_string_repeat1,
  [417487] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13160), 1,
      anon_sym_RPAREN,
    STATE(18317), 1,
      sym_limit_clause,
  [417500] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(13162), 1,
      anon_sym_RPAREN,
    STATE(14728), 1,
      aux_sym_struct_repeat1,
  [417513] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12836), 1,
      anon_sym_COMMA,
    ACTIONS(13164), 1,
      anon_sym_RPAREN,
    STATE(14729), 1,
      aux_sym_single_column_unpivot_repeat1,
  [417526] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13166), 1,
      anon_sym_RPAREN,
    STATE(17636), 1,
      sym_limit_clause,
  [417539] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12256), 1,
      anon_sym_RPAREN,
    STATE(18318), 1,
      sym_limit_clause,
  [417552] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13168), 1,
      anon_sym_RPAREN,
    STATE(16404), 1,
      sym_limit_clause,
  [417565] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13170), 1,
      anon_sym_RPAREN,
    STATE(18320), 1,
      sym_limit_clause,
  [417578] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13172), 1,
      anon_sym_COMMA,
    ACTIONS(13174), 1,
      anon_sym_GT,
    STATE(15097), 1,
      aux_sym__type_struct_repeat1,
  [417591] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(7371), 1,
      anon_sym_RBRACK,
    STATE(14209), 1,
      aux_sym_set_statement_repeat1,
  [417604] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9708), 1,
      anon_sym_RPAREN,
    STATE(16395), 1,
      sym_limit_clause,
  [417617] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13172), 1,
      anon_sym_COMMA,
    ACTIONS(13174), 1,
      anon_sym_GT,
    STATE(15098), 1,
      aux_sym__type_struct_repeat1,
  [417630] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13176), 1,
      anon_sym_RPAREN,
    STATE(16406), 1,
      sym_limit_clause,
  [417643] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13172), 1,
      anon_sym_COMMA,
    ACTIONS(13178), 1,
      anon_sym_GT,
    STATE(14886), 1,
      aux_sym__type_struct_repeat1,
  [417656] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(13180), 1,
      anon_sym_RPAREN,
    STATE(14523), 1,
      aux_sym_struct_repeat1,
  [417669] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13182), 1,
      anon_sym_COMMA,
    ACTIONS(13185), 1,
      anon_sym_RPAREN,
    STATE(14729), 1,
      aux_sym_single_column_unpivot_repeat1,
  [417682] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(13187), 1,
      anon_sym_RPAREN,
    STATE(15102), 1,
      aux_sym_function_call_repeat1,
  [417695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13189), 1,
      sym__string_start,
    STATE(7141), 2,
      sym__range_string,
      sym_string,
  [417706] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(7283), 1,
      anon_sym_RBRACK,
    STATE(14209), 1,
      aux_sym_set_statement_repeat1,
  [417719] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11108), 1,
      anon_sym_RPAREN,
    STATE(16399), 1,
      sym_limit_clause,
  [417732] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(7281), 1,
      anon_sym_RPAREN,
    STATE(14749), 1,
      aux_sym_function_call_repeat1,
  [417745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(7185), 1,
      sym__identifier,
    ACTIONS(13191), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
  [417756] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(13180), 1,
      anon_sym_RPAREN,
    STATE(14752), 1,
      aux_sym_struct_repeat1,
  [417769] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(7373), 1,
      anon_sym_RPAREN,
    STATE(14930), 1,
      aux_sym_function_call_repeat1,
  [417782] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(13193), 1,
      anon_sym_RPAREN,
    STATE(14523), 1,
      aux_sym_struct_repeat1,
  [417795] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(13195), 1,
      anon_sym_RBRACK,
    STATE(14209), 1,
      aux_sym_set_statement_repeat1,
  [417808] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10254), 1,
      anon_sym_RPAREN,
    STATE(17484), 1,
      sym_limit_clause,
  [417821] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10232), 1,
      anon_sym_RPAREN,
    STATE(17810), 1,
      sym_limit_clause,
  [417834] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13197), 1,
      anon_sym_RPAREN,
    STATE(17839), 1,
      sym_limit_clause,
  [417847] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(13152), 1,
      anon_sym_RPAREN,
    STATE(14944), 1,
      aux_sym_struct_repeat1,
  [417860] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13199), 1,
      anon_sym_RPAREN,
    STATE(18442), 1,
      sym_limit_clause,
  [417873] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12836), 1,
      anon_sym_COMMA,
    ACTIONS(13201), 1,
      anon_sym_RPAREN,
    STATE(14717), 1,
      aux_sym_single_column_unpivot_repeat1,
  [417886] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13203), 1,
      anon_sym_RPAREN,
    STATE(17832), 1,
      sym_limit_clause,
  [417899] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10256), 1,
      anon_sym_RPAREN,
    STATE(17481), 1,
      sym_limit_clause,
  [417912] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13205), 1,
      anon_sym_RPAREN,
    STATE(17613), 1,
      sym_limit_clause,
  [417925] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(13207), 1,
      anon_sym_RPAREN,
    STATE(15102), 1,
      aux_sym_function_call_repeat1,
  [417938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13209), 1,
      sym__string_start,
    STATE(519), 2,
      sym__range_string,
      sym_string,
  [417949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3405), 1,
      sym__identifier,
    ACTIONS(13211), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
  [417960] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(13213), 1,
      anon_sym_RPAREN,
    STATE(14523), 1,
      aux_sym_struct_repeat1,
  [417973] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(13215), 1,
      anon_sym_RBRACK,
    STATE(14209), 1,
      aux_sym_set_statement_repeat1,
  [417986] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9624), 1,
      anon_sym_RPAREN,
    STATE(19197), 1,
      sym_limit_clause,
  [417999] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10224), 1,
      anon_sym_RPAREN,
    STATE(17776), 1,
      sym_limit_clause,
  [418012] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13217), 1,
      anon_sym_RPAREN,
    STATE(18326), 1,
      sym_limit_clause,
  [418025] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10258), 1,
      anon_sym_RPAREN,
    STATE(17470), 1,
      sym_limit_clause,
  [418038] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13219), 1,
      anon_sym_RPAREN,
    STATE(18327), 1,
      sym_limit_clause,
  [418051] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(13221), 1,
      anon_sym_RPAREN,
    STATE(15102), 1,
      aux_sym_function_call_repeat1,
  [418064] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10222), 1,
      anon_sym_RPAREN,
    STATE(17768), 1,
      sym_limit_clause,
  [418077] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13223), 1,
      anon_sym_RPAREN,
    STATE(17799), 1,
      sym_limit_clause,
  [418090] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10587), 1,
      sym__string_content,
    ACTIONS(10589), 1,
      sym__string_end,
    STATE(14710), 1,
      aux_sym_string_repeat1,
  [418103] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13225), 1,
      anon_sym_RPAREN,
    STATE(18443), 1,
      sym_limit_clause,
  [418116] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13227), 1,
      anon_sym_RPAREN,
    STATE(17798), 1,
      sym_limit_clause,
  [418129] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10220), 1,
      anon_sym_RPAREN,
    STATE(17762), 1,
      sym_limit_clause,
  [418142] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13229), 1,
      anon_sym_RPAREN,
    STATE(18332), 1,
      sym_limit_clause,
  [418155] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13231), 1,
      anon_sym_RPAREN,
    STATE(17797), 1,
      sym_limit_clause,
  [418168] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(13233), 1,
      anon_sym_RPAREN,
    STATE(15102), 1,
      aux_sym_function_call_repeat1,
  [418181] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13235), 1,
      anon_sym_RPAREN,
    STATE(17796), 1,
      sym_limit_clause,
  [418194] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13237), 1,
      anon_sym_RPAREN,
    STATE(17795), 1,
      sym_limit_clause,
  [418207] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13239), 1,
      anon_sym_RPAREN,
    STATE(17829), 1,
      sym_limit_clause,
  [418220] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12642), 1,
      anon_sym_COMMA,
    ACTIONS(13241), 1,
      anon_sym_RPAREN,
    STATE(14802), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [418233] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13243), 1,
      anon_sym_RPAREN,
    STATE(18333), 1,
      sym_limit_clause,
  [418246] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13245), 1,
      anon_sym_RPAREN,
    STATE(18334), 1,
      sym_limit_clause,
  [418259] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13247), 1,
      anon_sym_RPAREN,
    STATE(17794), 1,
      sym_limit_clause,
  [418272] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13249), 1,
      anon_sym_RPAREN,
    STATE(18339), 1,
      sym_limit_clause,
  [418285] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12217), 1,
      anon_sym_RPAREN,
    STATE(17741), 1,
      sym_limit_clause,
  [418298] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12225), 1,
      anon_sym_RPAREN,
    STATE(18340), 1,
      sym_limit_clause,
  [418311] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13251), 1,
      anon_sym_RPAREN,
    STATE(18347), 1,
      sym_limit_clause,
  [418324] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10214), 1,
      anon_sym_RPAREN,
    STATE(17739), 1,
      sym_limit_clause,
  [418337] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13253), 1,
      anon_sym_RPAREN,
    STATE(19239), 1,
      sym_limit_clause,
  [418350] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13255), 1,
      anon_sym_RPAREN,
    STATE(17928), 1,
      sym_limit_clause,
  [418363] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13257), 1,
      anon_sym_RPAREN,
    STATE(17789), 1,
      sym_limit_clause,
  [418376] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13259), 1,
      anon_sym_RPAREN,
    STATE(17788), 1,
      sym_limit_clause,
  [418389] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10212), 1,
      anon_sym_RPAREN,
    STATE(17737), 1,
      sym_limit_clause,
  [418402] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10344), 1,
      anon_sym_RPAREN,
    STATE(18352), 1,
      sym_limit_clause,
  [418415] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13261), 1,
      anon_sym_RPAREN,
    STATE(17787), 1,
      sym_limit_clause,
  [418428] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13263), 1,
      anon_sym_RPAREN,
    STATE(17786), 1,
      sym_limit_clause,
  [418441] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10208), 1,
      anon_sym_RPAREN,
    STATE(17726), 1,
      sym_limit_clause,
  [418454] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12213), 1,
      anon_sym_RPAREN,
    STATE(18355), 1,
      sym_limit_clause,
  [418467] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13265), 1,
      anon_sym_RPAREN,
    STATE(18356), 1,
      sym_limit_clause,
  [418480] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13267), 1,
      anon_sym_RPAREN,
    STATE(18446), 1,
      sym_limit_clause,
  [418493] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13269), 1,
      anon_sym_RPAREN,
    STATE(17781), 1,
      sym_limit_clause,
  [418506] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13271), 1,
      anon_sym_RPAREN,
    STATE(17722), 1,
      sym_limit_clause,
  [418519] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13273), 1,
      anon_sym_RPAREN,
    STATE(16410), 1,
      sym_limit_clause,
  [418532] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12197), 1,
      anon_sym_RPAREN,
    STATE(18610), 1,
      sym_limit_clause,
  [418545] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13275), 1,
      anon_sym_RPAREN,
    STATE(17823), 1,
      sym_limit_clause,
  [418558] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13277), 1,
      anon_sym_RPAREN,
    STATE(17780), 1,
      sym_limit_clause,
  [418571] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13279), 1,
      anon_sym_RPAREN,
    STATE(17711), 1,
      sym_limit_clause,
  [418584] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12642), 1,
      anon_sym_COMMA,
    ACTIONS(13281), 1,
      anon_sym_RPAREN,
    STATE(15380), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [418597] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10330), 1,
      anon_sym_RPAREN,
    STATE(18383), 1,
      sym_limit_clause,
  [418610] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12642), 1,
      anon_sym_COMMA,
    ACTIONS(13283), 1,
      anon_sym_RPAREN,
    STATE(15380), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [418623] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13285), 1,
      anon_sym_RPAREN,
    STATE(17779), 1,
      sym_limit_clause,
  [418636] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13287), 1,
      anon_sym_RPAREN,
    STATE(18373), 1,
      sym_limit_clause,
  [418649] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10334), 1,
      anon_sym_RPAREN,
    STATE(18376), 1,
      sym_limit_clause,
  [418662] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13289), 1,
      anon_sym_RPAREN,
    STATE(17822), 1,
      sym_limit_clause,
  [418675] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13291), 1,
      anon_sym_RPAREN,
    STATE(17774), 1,
      sym_limit_clause,
  [418688] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13293), 1,
      anon_sym_RPAREN,
    STATE(17773), 1,
      sym_limit_clause,
  [418701] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13295), 1,
      anon_sym_RPAREN,
    STATE(17700), 1,
      sym_limit_clause,
  [418714] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13297), 1,
      anon_sym_RPAREN,
    STATE(17772), 1,
      sym_limit_clause,
  [418727] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12181), 1,
      anon_sym_RPAREN,
    STATE(17699), 1,
      sym_limit_clause,
  [418740] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12642), 1,
      anon_sym_COMMA,
    ACTIONS(13299), 1,
      anon_sym_RPAREN,
    STATE(14536), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [418753] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13301), 1,
      anon_sym_RPAREN,
    STATE(17771), 1,
      sym_limit_clause,
  [418766] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10198), 1,
      anon_sym_RPAREN,
    STATE(17698), 1,
      sym_limit_clause,
  [418779] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13303), 1,
      anon_sym_COMMA,
    ACTIONS(13305), 1,
      anon_sym_RPAREN,
    STATE(14922), 1,
      aux_sym_call_statement_repeat1,
  [418792] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13307), 1,
      anon_sym_RPAREN,
    STATE(17770), 1,
      sym_limit_clause,
  [418805] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13309), 1,
      anon_sym_RPAREN,
    STATE(17769), 1,
      sym_limit_clause,
  [418818] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10324), 1,
      anon_sym_RPAREN,
    STATE(18384), 1,
      sym_limit_clause,
  [418831] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13311), 1,
      anon_sym_RPAREN,
    STATE(17693), 1,
      sym_limit_clause,
  [418844] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12177), 1,
      anon_sym_RPAREN,
    STATE(18385), 1,
      sym_limit_clause,
  [418857] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13313), 1,
      anon_sym_RPAREN,
    STATE(18584), 1,
      sym_limit_clause,
  [418870] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12642), 1,
      anon_sym_COMMA,
    ACTIONS(13315), 1,
      anon_sym_RPAREN,
    STATE(14800), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [418883] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12163), 1,
      anon_sym_RPAREN,
    STATE(17689), 1,
      sym_limit_clause,
  [418896] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13317), 1,
      anon_sym_RPAREN,
    STATE(18588), 1,
      sym_limit_clause,
  [418909] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13319), 1,
      anon_sym_RPAREN,
    STATE(17760), 1,
      sym_limit_clause,
  [418922] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13321), 1,
      anon_sym_RPAREN,
    STATE(17688), 1,
      sym_limit_clause,
  [418935] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(13323), 1,
      anon_sym_RPAREN,
    STATE(15102), 1,
      aux_sym_function_call_repeat1,
  [418948] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10294), 1,
      anon_sym_RPAREN,
    STATE(18394), 1,
      sym_limit_clause,
  [418961] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13325), 1,
      anon_sym_RPAREN,
    STATE(18590), 1,
      sym_limit_clause,
  [418974] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12157), 1,
      anon_sym_RPAREN,
    STATE(17758), 1,
      sym_limit_clause,
  [418987] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13327), 1,
      anon_sym_RPAREN,
    STATE(17757), 1,
      sym_limit_clause,
  [419000] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13329), 1,
      anon_sym_RPAREN,
    STATE(17683), 1,
      sym_limit_clause,
  [419013] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13331), 1,
      anon_sym_RPAREN,
    STATE(17756), 1,
      sym_limit_clause,
  [419026] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13333), 1,
      anon_sym_RPAREN,
    STATE(17681), 1,
      sym_limit_clause,
  [419039] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13335), 1,
      anon_sym_RPAREN,
    STATE(17755), 1,
      sym_limit_clause,
  [419052] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13337), 1,
      anon_sym_RPAREN,
    STATE(17679), 1,
      sym_limit_clause,
  [419065] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13339), 1,
      anon_sym_RPAREN,
    STATE(16413), 1,
      sym_limit_clause,
  [419078] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10290), 1,
      anon_sym_RPAREN,
    STATE(18404), 1,
      sym_limit_clause,
  [419091] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13341), 1,
      anon_sym_RPAREN,
    STATE(17607), 1,
      sym_limit_clause,
  [419104] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13343), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(13345), 1,
      aux_sym_constraint_enfoce_option_token1,
    STATE(6611), 1,
      sym_constraint_enfoce_option,
  [419117] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13347), 1,
      anon_sym_RPAREN,
    STATE(18592), 1,
      sym_limit_clause,
  [419130] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13349), 1,
      anon_sym_RPAREN,
    STATE(17674), 1,
      sym_limit_clause,
  [419143] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13351), 1,
      anon_sym_RPAREN,
    STATE(17746), 1,
      sym_limit_clause,
  [419156] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13353), 1,
      anon_sym_RPAREN,
    STATE(17673), 1,
      sym_limit_clause,
  [419169] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13355), 1,
      anon_sym_RPAREN,
    STATE(17745), 1,
      sym_limit_clause,
  [419182] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13357), 1,
      anon_sym_RPAREN,
    STATE(17744), 1,
      sym_limit_clause,
  [419195] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10284), 1,
      anon_sym_RPAREN,
    STATE(18405), 1,
      sym_limit_clause,
  [419208] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(13359), 1,
      anon_sym_RBRACK,
    STATE(14209), 1,
      aux_sym_set_statement_repeat1,
  [419221] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13361), 1,
      anon_sym_RPAREN,
    STATE(17735), 1,
      sym_limit_clause,
  [419234] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13363), 1,
      anon_sym_RPAREN,
    STATE(17667), 1,
      sym_limit_clause,
  [419247] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(13365), 1,
      anon_sym_RPAREN,
    STATE(14523), 1,
      aux_sym_struct_repeat1,
  [419260] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12141), 1,
      anon_sym_RPAREN,
    STATE(17664), 1,
      sym_limit_clause,
  [419273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(7666), 1,
      sym__identifier,
    ACTIONS(13367), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
  [419284] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12143), 1,
      anon_sym_RPAREN,
    STATE(17733), 1,
      sym_limit_clause,
  [419297] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13369), 1,
      anon_sym_RPAREN,
    STATE(17663), 1,
      sym_limit_clause,
  [419310] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13371), 1,
      sym__string_start,
    STATE(10315), 2,
      sym__range_string,
      sym_string,
  [419321] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(13373), 1,
      anon_sym_RPAREN,
    STATE(15102), 1,
      aux_sym_function_call_repeat1,
  [419334] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13375), 1,
      anon_sym_RPAREN,
    STATE(18594), 1,
      sym_limit_clause,
  [419347] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13377), 1,
      anon_sym_RPAREN,
    STATE(16414), 1,
      sym_limit_clause,
  [419360] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13379), 1,
      anon_sym_RPAREN,
    STATE(17728), 1,
      sym_limit_clause,
  [419373] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13381), 1,
      anon_sym_RPAREN,
    STATE(17655), 1,
      sym_limit_clause,
  [419386] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13383), 1,
      anon_sym_RPAREN,
    STATE(17605), 1,
      sym_limit_clause,
  [419399] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13385), 1,
      anon_sym_RPAREN,
    STATE(17651), 1,
      sym_limit_clause,
  [419412] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13387), 1,
      anon_sym_RPAREN,
    STATE(18599), 1,
      sym_limit_clause,
  [419425] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13389), 1,
      anon_sym_RPAREN,
    STATE(17650), 1,
      sym_limit_clause,
  [419438] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10262), 1,
      anon_sym_RPAREN,
    STATE(18416), 1,
      sym_limit_clause,
  [419451] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10310), 1,
      anon_sym_RPAREN,
    STATE(17720), 1,
      sym_limit_clause,
  [419464] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13391), 1,
      anon_sym_RPAREN,
    STATE(17648), 1,
      sym_limit_clause,
  [419477] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13393), 1,
      anon_sym_RPAREN,
    STATE(19237), 1,
      sym_limit_clause,
  [419490] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13395), 1,
      anon_sym_RPAREN,
    STATE(17647), 1,
      sym_limit_clause,
  [419503] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12125), 1,
      anon_sym_RPAREN,
    STATE(17718), 1,
      sym_limit_clause,
  [419516] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13397), 1,
      anon_sym_RPAREN,
    STATE(17645), 1,
      sym_limit_clause,
  [419529] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(13399), 1,
      anon_sym_RPAREN,
    STATE(14851), 1,
      aux_sym_struct_repeat1,
  [419542] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(7256), 1,
      anon_sym_RPAREN,
    STATE(14857), 1,
      aux_sym_function_call_repeat1,
  [419555] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13401), 1,
      anon_sym_RPAREN,
    STATE(17717), 1,
      sym_limit_clause,
  [419568] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10066), 1,
      anon_sym_RPAREN,
    ACTIONS(13403), 1,
      anon_sym_COMMA,
    STATE(14876), 1,
      aux_sym_call_statement_repeat1,
  [419581] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(7258), 1,
      anon_sym_RBRACK,
    STATE(14209), 1,
      aux_sym_set_statement_repeat1,
  [419594] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13406), 1,
      anon_sym_RPAREN,
    STATE(17712), 1,
      sym_limit_clause,
  [419607] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13408), 1,
      anon_sym_RPAREN,
    STATE(17640), 1,
      sym_limit_clause,
  [419620] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13410), 1,
      anon_sym_RPAREN,
    STATE(17610), 1,
      sym_limit_clause,
  [419633] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13412), 1,
      anon_sym_RPAREN,
    STATE(17637), 1,
      sym_limit_clause,
  [419646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(119), 1,
      sym__keyword_struct,
    ACTIONS(13414), 2,
      aux_sym__keyword_struct_token1,
      aux_sym_select_token2,
  [419657] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13416), 1,
      anon_sym_RPAREN,
    STATE(17635), 1,
      sym_limit_clause,
  [419670] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(13399), 1,
      anon_sym_RPAREN,
    STATE(14523), 1,
      aux_sym_struct_repeat1,
  [419683] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3806), 1,
      anon_sym_RPAREN,
    ACTIONS(13418), 1,
      anon_sym_COMMA,
    STATE(14885), 1,
      aux_sym_select_list_repeat1,
  [419696] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13172), 1,
      anon_sym_COMMA,
    ACTIONS(13421), 1,
      anon_sym_GT,
    STATE(15097), 1,
      aux_sym__type_struct_repeat1,
  [419709] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13423), 1,
      anon_sym_RPAREN,
    STATE(17702), 1,
      sym_limit_clause,
  [419722] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13425), 1,
      anon_sym_RPAREN,
    STATE(18612), 1,
      sym_limit_clause,
  [419735] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10342), 1,
      anon_sym_RPAREN,
    STATE(17694), 1,
      sym_limit_clause,
  [419748] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13427), 1,
      anon_sym_RPAREN,
    STATE(18614), 1,
      sym_limit_clause,
  [419761] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13429), 1,
      anon_sym_RPAREN,
    STATE(18617), 1,
      sym_limit_clause,
  [419774] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10363), 1,
      anon_sym_RPAREN,
    STATE(17685), 1,
      sym_limit_clause,
  [419787] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13431), 1,
      anon_sym_RPAREN,
    STATE(17627), 1,
      sym_limit_clause,
  [419800] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3961), 1,
      anon_sym_RPAREN,
    ACTIONS(13433), 1,
      anon_sym_COMMA,
    STATE(14894), 1,
      aux_sym__grouping_list_repeat1,
  [419813] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10373), 1,
      anon_sym_RPAREN,
    STATE(17682), 1,
      sym_limit_clause,
  [419826] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13436), 1,
      anon_sym_RPAREN,
    STATE(17625), 1,
      sym_limit_clause,
  [419839] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(13438), 1,
      anon_sym_RPAREN,
    STATE(14884), 1,
      aux_sym_struct_repeat1,
  [419852] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13440), 1,
      anon_sym_RPAREN,
    STATE(17620), 1,
      sym_limit_clause,
  [419865] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12103), 1,
      anon_sym_RPAREN,
    STATE(17680), 1,
      sym_limit_clause,
  [419878] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13442), 1,
      anon_sym_RPAREN,
    STATE(17617), 1,
      sym_limit_clause,
  [419891] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12810), 1,
      sym__string_content,
    ACTIONS(13444), 1,
      sym__string_end,
    STATE(15117), 1,
      aux_sym_string_repeat1,
  [419904] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13446), 1,
      anon_sym_RPAREN,
    STATE(16417), 1,
      sym_limit_clause,
  [419917] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(13448), 1,
      anon_sym_RPAREN,
    STATE(15102), 1,
      aux_sym_function_call_repeat1,
  [419930] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10383), 1,
      anon_sym_RPAREN,
    STATE(17666), 1,
      sym_limit_clause,
  [419943] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13450), 1,
      anon_sym_RPAREN,
    STATE(17596), 1,
      sym_limit_clause,
  [419956] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10439), 1,
      sym__string_content,
    ACTIONS(10441), 1,
      sym__string_end,
    STATE(14901), 1,
      aux_sym_string_repeat1,
  [419969] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10389), 1,
      anon_sym_RPAREN,
    STATE(17657), 1,
      sym_limit_clause,
  [419982] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13452), 1,
      anon_sym_RPAREN,
    STATE(17593), 1,
      sym_limit_clause,
  [419995] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13454), 1,
      anon_sym_RPAREN,
    STATE(16419), 1,
      sym_limit_clause,
  [420008] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13456), 1,
      anon_sym_RPAREN,
    STATE(17608), 1,
      sym_limit_clause,
  [420021] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10399), 1,
      anon_sym_RPAREN,
    STATE(17654), 1,
      sym_limit_clause,
  [420034] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13458), 1,
      anon_sym_RPAREN,
    STATE(17602), 1,
      sym_limit_clause,
  [420047] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13172), 1,
      anon_sym_COMMA,
    ACTIONS(13421), 1,
      anon_sym_GT,
    STATE(15199), 1,
      aux_sym__type_struct_repeat1,
  [420060] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10407), 1,
      anon_sym_RPAREN,
    STATE(17639), 1,
      sym_limit_clause,
  [420073] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13460), 1,
      anon_sym_RPAREN,
    STATE(18539), 1,
      sym_limit_clause,
  [420086] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13462), 1,
      anon_sym_RPAREN,
    STATE(17591), 1,
      sym_limit_clause,
  [420099] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13464), 1,
      anon_sym_RPAREN,
    STATE(17600), 1,
      sym_limit_clause,
  [420112] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13466), 1,
      anon_sym_RPAREN,
    STATE(16423), 1,
      sym_limit_clause,
  [420125] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13468), 1,
      anon_sym_RPAREN,
    STATE(17598), 1,
      sym_limit_clause,
  [420138] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13470), 1,
      anon_sym_RPAREN,
    STATE(17588), 1,
      sym_limit_clause,
  [420151] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12642), 1,
      anon_sym_COMMA,
    ACTIONS(13472), 1,
      anon_sym_RPAREN,
    STATE(15140), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [420164] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13303), 1,
      anon_sym_COMMA,
    ACTIONS(13474), 1,
      anon_sym_RPAREN,
    STATE(14876), 1,
      aux_sym_call_statement_repeat1,
  [420177] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9678), 1,
      anon_sym_RPAREN,
    STATE(16426), 1,
      sym_limit_clause,
  [420190] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9680), 1,
      anon_sym_RPAREN,
    STATE(16506), 1,
      sym_limit_clause,
  [420203] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13476), 1,
      anon_sym_RPAREN,
    STATE(16424), 1,
      sym_limit_clause,
  [420216] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13478), 1,
      anon_sym_RPAREN,
    STATE(17597), 1,
      sym_limit_clause,
  [420229] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13480), 1,
      anon_sym_COMMA,
    ACTIONS(13482), 1,
      anon_sym_RPAREN,
    STATE(15152), 1,
      aux_sym_create_table_parameters_repeat1,
  [420242] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13484), 1,
      anon_sym_RPAREN,
    STATE(17595), 1,
      sym_limit_clause,
  [420255] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13486), 1,
      anon_sym_RPAREN,
    STATE(17585), 1,
      sym_limit_clause,
  [420268] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(13488), 1,
      anon_sym_RPAREN,
    STATE(15102), 1,
      aux_sym_function_call_repeat1,
  [420281] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13490), 1,
      anon_sym_RPAREN,
    STATE(17582), 1,
      sym_limit_clause,
  [420294] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13492), 1,
      anon_sym_RPAREN,
    STATE(16425), 1,
      sym_limit_clause,
  [420307] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13494), 1,
      anon_sym_COMMA,
    ACTIONS(13496), 1,
      anon_sym_RPAREN,
    STATE(15167), 1,
      aux_sym_create_function_parameters_repeat1,
  [420320] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13498), 1,
      sym__string_start,
    STATE(4400), 2,
      sym__range_string,
      sym_string,
  [420331] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13500), 1,
      anon_sym_RPAREN,
    STATE(17805), 1,
      sym_limit_clause,
  [420344] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13502), 1,
      anon_sym_RPAREN,
    STATE(16427), 1,
      sym_limit_clause,
  [420357] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13504), 1,
      anon_sym_RPAREN,
    STATE(17691), 1,
      sym_limit_clause,
  [420370] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9670), 1,
      anon_sym_RPAREN,
    STATE(16432), 1,
      sym_limit_clause,
  [420383] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10451), 1,
      sym__string_content,
    ACTIONS(10453), 1,
      sym__string_end,
    STATE(14945), 1,
      aux_sym_string_repeat1,
  [420396] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10513), 1,
      sym__string_content,
    ACTIONS(10515), 1,
      sym__string_end,
    STATE(14500), 1,
      aux_sym_string_repeat1,
  [420409] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13506), 1,
      anon_sym_RPAREN,
    STATE(18449), 1,
      sym_limit_clause,
  [420422] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13508), 1,
      anon_sym_RPAREN,
    STATE(18450), 1,
      sym_limit_clause,
  [420435] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13510), 1,
      anon_sym_RPAREN,
    STATE(16433), 1,
      sym_limit_clause,
  [420448] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(13512), 1,
      anon_sym_RPAREN,
    STATE(14523), 1,
      aux_sym_struct_repeat1,
  [420461] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12810), 1,
      sym__string_content,
    ACTIONS(13514), 1,
      sym__string_end,
    STATE(15117), 1,
      aux_sym_string_repeat1,
  [420474] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11134), 1,
      anon_sym_RPAREN,
    STATE(16434), 1,
      sym_limit_clause,
  [420487] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(13516), 1,
      anon_sym_RPAREN,
    STATE(14959), 1,
      aux_sym_struct_repeat1,
  [420500] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13518), 1,
      anon_sym_COMMA,
    ACTIONS(13521), 1,
      anon_sym_RPAREN,
    STATE(14948), 1,
      aux_sym_pivot_operator_repeat2,
  [420513] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13523), 1,
      anon_sym_RPAREN,
    STATE(16435), 1,
      sym_limit_clause,
  [420526] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13525), 1,
      anon_sym_COMMA,
    ACTIONS(13527), 1,
      anon_sym_RPAREN,
    STATE(15806), 1,
      aux_sym_join_condition_repeat1,
  [420539] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13529), 1,
      anon_sym_RPAREN,
    STATE(16437), 1,
      sym_limit_clause,
  [420552] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9668), 1,
      anon_sym_RPAREN,
    STATE(16436), 1,
      sym_limit_clause,
  [420565] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13531), 1,
      anon_sym_COMMA,
    ACTIONS(13533), 1,
      anon_sym_RPAREN,
    STATE(15206), 1,
      aux_sym_procedure_parameters_repeat1,
  [420578] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12836), 1,
      anon_sym_COMMA,
    ACTIONS(13535), 1,
      anon_sym_RPAREN,
    STATE(14729), 1,
      aux_sym_single_column_unpivot_repeat1,
  [420591] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13537), 1,
      anon_sym_RPAREN,
    STATE(16438), 1,
      sym_limit_clause,
  [420604] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13539), 1,
      anon_sym_RPAREN,
    STATE(17825), 1,
      sym_limit_clause,
  [420617] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13541), 1,
      anon_sym_COMMA,
    ACTIONS(13544), 1,
      anon_sym_RPAREN,
    STATE(14957), 1,
      aux_sym_multi_column_unpivot_repeat1,
  [420630] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13546), 1,
      anon_sym_RPAREN,
    STATE(16649), 1,
      sym_limit_clause,
  [420643] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(13548), 1,
      anon_sym_RPAREN,
    STATE(14523), 1,
      aux_sym_struct_repeat1,
  [420656] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13550), 1,
      anon_sym_RPAREN,
    STATE(19318), 1,
      sym_limit_clause,
  [420669] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13552), 1,
      anon_sym_RPAREN,
    STATE(16448), 1,
      sym_limit_clause,
  [420682] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13554), 1,
      anon_sym_RPAREN,
    STATE(18451), 1,
      sym_limit_clause,
  [420695] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(7287), 1,
      anon_sym_RBRACK,
    STATE(14209), 1,
      aux_sym_set_statement_repeat1,
  [420708] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13556), 1,
      anon_sym_RPAREN,
    STATE(16453), 1,
      sym_limit_clause,
  [420721] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(7285), 1,
      anon_sym_RPAREN,
    STATE(14980), 1,
      aux_sym_function_call_repeat1,
  [420734] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13558), 1,
      anon_sym_RPAREN,
    STATE(17791), 1,
      sym_limit_clause,
  [420747] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(13548), 1,
      anon_sym_RPAREN,
    STATE(14983), 1,
      aux_sym_struct_repeat1,
  [420760] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13560), 1,
      anon_sym_RPAREN,
    STATE(18452), 1,
      sym_limit_clause,
  [420773] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13562), 1,
      anon_sym_RPAREN,
    STATE(16454), 1,
      sym_limit_clause,
  [420786] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12592), 1,
      anon_sym_COMMA,
    ACTIONS(13564), 1,
      anon_sym_RPAREN,
    STATE(14350), 1,
      aux_sym_pivot_operator_repeat2,
  [420799] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(13566), 1,
      anon_sym_RBRACK,
    STATE(14209), 1,
      aux_sym_set_statement_repeat1,
  [420812] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10170), 1,
      anon_sym_RPAREN,
    STATE(17563), 1,
      sym_limit_clause,
  [420825] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9238), 1,
      anon_sym_COMMA,
    ACTIONS(13568), 1,
      anon_sym_RPAREN,
    STATE(12830), 1,
      aux_sym_declare_statement_repeat1,
  [420838] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(13570), 1,
      anon_sym_RBRACK,
    STATE(14209), 1,
      aux_sym_set_statement_repeat1,
  [420851] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10591), 1,
      sym__string_content,
    ACTIONS(10593), 1,
      sym__string_end,
    STATE(14990), 1,
      aux_sym_string_repeat1,
  [420864] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12592), 1,
      anon_sym_COMMA,
    ACTIONS(13572), 1,
      anon_sym_RPAREN,
    STATE(14948), 1,
      aux_sym_pivot_operator_repeat2,
  [420877] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13574), 1,
      anon_sym_RPAREN,
    STATE(19320), 1,
      sym_limit_clause,
  [420890] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13576), 1,
      anon_sym_RPAREN,
    STATE(18453), 1,
      sym_limit_clause,
  [420903] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13578), 1,
      anon_sym_RPAREN,
    STATE(16463), 1,
      sym_limit_clause,
  [420916] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(13580), 1,
      anon_sym_RPAREN,
    STATE(15102), 1,
      aux_sym_function_call_repeat1,
  [420929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13582), 1,
      sym__string_start,
    STATE(5645), 2,
      sym__range_string,
      sym_string,
  [420940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(427), 1,
      sym__identifier,
    ACTIONS(13584), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
  [420951] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(13586), 1,
      anon_sym_RPAREN,
    STATE(14523), 1,
      aux_sym_struct_repeat1,
  [420964] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(13588), 1,
      anon_sym_RBRACK,
    STATE(14209), 1,
      aux_sym_set_statement_repeat1,
  [420977] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3874), 1,
      anon_sym_RPAREN,
    ACTIONS(13590), 1,
      anon_sym_COMMA,
    STATE(15024), 1,
      aux_sym_select_list_repeat1,
  [420990] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10164), 1,
      anon_sym_RPAREN,
    STATE(17545), 1,
      sym_limit_clause,
  [421003] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13592), 1,
      anon_sym_RPAREN,
    STATE(18454), 1,
      sym_limit_clause,
  [421016] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3830), 1,
      anon_sym_RPAREN,
    ACTIONS(13594), 1,
      anon_sym_COMMA,
    STATE(15029), 1,
      aux_sym_select_list_repeat1,
  [421029] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10182), 1,
      anon_sym_RPAREN,
    STATE(19173), 1,
      sym_limit_clause,
  [421042] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12810), 1,
      sym__string_content,
    ACTIONS(13596), 1,
      sym__string_end,
    STATE(15117), 1,
      aux_sym_string_repeat1,
  [421055] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10162), 1,
      anon_sym_RPAREN,
    STATE(17479), 1,
      sym_limit_clause,
  [421068] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13598), 1,
      anon_sym_RPAREN,
    STATE(18512), 1,
      sym_limit_clause,
  [421081] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13600), 1,
      anon_sym_RPAREN,
    STATE(18462), 1,
      sym_limit_clause,
  [421094] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13602), 1,
      anon_sym_RPAREN,
    STATE(17764), 1,
      sym_limit_clause,
  [421107] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13604), 1,
      anon_sym_RPAREN,
    STATE(18463), 1,
      sym_limit_clause,
  [421120] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10160), 1,
      anon_sym_RPAREN,
    STATE(17539), 1,
      sym_limit_clause,
  [421133] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13606), 1,
      anon_sym_RPAREN,
    STATE(18470), 1,
      sym_limit_clause,
  [421146] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(13608), 1,
      anon_sym_RPAREN,
    STATE(15034), 1,
      aux_sym_struct_repeat1,
  [421159] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(13610), 1,
      anon_sym_RPAREN,
    STATE(15102), 1,
      aux_sym_function_call_repeat1,
  [421172] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13612), 1,
      anon_sym_RPAREN,
    STATE(17759), 1,
      sym_limit_clause,
  [421185] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13614), 1,
      anon_sym_LPAREN,
    ACTIONS(13616), 1,
      aux_sym_unpivot_operator_token2,
    ACTIONS(13618), 1,
      aux_sym_unpivot_operator_token3,
  [421198] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11148), 1,
      anon_sym_RPAREN,
    STATE(16465), 1,
      sym_limit_clause,
  [421211] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12642), 1,
      anon_sym_COMMA,
    ACTIONS(13620), 1,
      anon_sym_RPAREN,
    STATE(15033), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [421224] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2412), 1,
      sym__string_start,
    STATE(8050), 1,
      sym__function_body_js,
    STATE(8249), 1,
      sym_string,
  [421237] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13622), 1,
      anon_sym_RPAREN,
    STATE(18472), 1,
      sym_limit_clause,
  [421250] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13624), 1,
      anon_sym_RPAREN,
    STATE(17754), 1,
      sym_limit_clause,
  [421263] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13626), 1,
      anon_sym_COMMA,
    ACTIONS(13628), 1,
      anon_sym_RPAREN,
    STATE(15249), 1,
      aux_sym_select_all_replace_repeat1,
  [421276] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12051), 1,
      anon_sym_RPAREN,
    STATE(17530), 1,
      sym_limit_clause,
  [421289] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13630), 1,
      anon_sym_RPAREN,
    STATE(18638), 1,
      sym_limit_clause,
  [421302] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13632), 1,
      anon_sym_COMMA,
    ACTIONS(13634), 1,
      anon_sym_RPAREN,
    STATE(15255), 1,
      aux_sym_select_all_except_repeat1,
  [421315] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9582), 1,
      anon_sym_RPAREN,
    STATE(17529), 1,
      sym_limit_clause,
  [421328] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13636), 1,
      anon_sym_RPAREN,
    STATE(18477), 1,
      sym_limit_clause,
  [421341] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13638), 1,
      anon_sym_RPAREN,
    STATE(18479), 1,
      sym_limit_clause,
  [421354] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9238), 1,
      anon_sym_COMMA,
    ACTIONS(13640), 1,
      anon_sym_RPAREN,
    STATE(12830), 1,
      aux_sym_declare_statement_repeat1,
  [421367] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13642), 1,
      anon_sym_RPAREN,
    STATE(19321), 1,
      sym_limit_clause,
  [421380] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10150), 1,
      anon_sym_RPAREN,
    STATE(17528), 1,
      sym_limit_clause,
  [421393] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13644), 1,
      anon_sym_RPAREN,
    STATE(18480), 1,
      sym_limit_clause,
  [421406] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10210), 1,
      anon_sym_RPAREN,
    STATE(19170), 1,
      sym_limit_clause,
  [421419] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10320), 1,
      anon_sym_RPAREN,
    STATE(17818), 1,
      sym_limit_clause,
  [421432] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10148), 1,
      anon_sym_RPAREN,
    STATE(17524), 1,
      sym_limit_clause,
  [421445] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13646), 1,
      anon_sym_RPAREN,
    STATE(16394), 1,
      sym_limit_clause,
  [421458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4404), 1,
      sym__identifier,
    ACTIONS(13648), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
  [421469] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13650), 1,
      anon_sym_RPAREN,
    STATE(18486), 1,
      sym_limit_clause,
  [421482] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 1,
      anon_sym_RPAREN,
    ACTIONS(13652), 1,
      anon_sym_COMMA,
    STATE(14885), 1,
      aux_sym_select_list_repeat1,
  [421495] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13654), 1,
      anon_sym_RPAREN,
    STATE(17521), 1,
      sym_limit_clause,
  [421508] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13656), 1,
      anon_sym_RPAREN,
    STATE(18490), 1,
      sym_limit_clause,
  [421521] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11154), 1,
      anon_sym_RPAREN,
    STATE(16695), 1,
      sym_limit_clause,
  [421534] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13658), 1,
      anon_sym_RPAREN,
    STATE(18491), 1,
      sym_limit_clause,
  [421547] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(143), 1,
      anon_sym_RPAREN,
    ACTIONS(13660), 1,
      anon_sym_COMMA,
    STATE(14885), 1,
      aux_sym_select_list_repeat1,
  [421560] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13662), 1,
      anon_sym_RPAREN,
    STATE(17515), 1,
      sym_limit_clause,
  [421573] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13664), 1,
      anon_sym_RPAREN,
    STATE(19325), 1,
      sym_limit_clause,
  [421586] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13666), 1,
      anon_sym_RPAREN,
    STATE(18492), 1,
      sym_limit_clause,
  [421599] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12642), 1,
      anon_sym_COMMA,
    ACTIONS(13668), 1,
      anon_sym_RPAREN,
    STATE(15380), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [421612] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(13670), 1,
      anon_sym_RPAREN,
    STATE(14523), 1,
      aux_sym_struct_repeat1,
  [421625] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13672), 1,
      anon_sym_RPAREN,
    STATE(17734), 1,
      sym_limit_clause,
  [421638] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(7303), 1,
      anon_sym_RBRACK,
    STATE(14209), 1,
      aux_sym_set_statement_repeat1,
  [421651] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(7305), 1,
      anon_sym_RPAREN,
    STATE(15071), 1,
      aux_sym_function_call_repeat1,
  [421664] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13674), 1,
      anon_sym_RPAREN,
    STATE(17732), 1,
      sym_limit_clause,
  [421677] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(13670), 1,
      anon_sym_RPAREN,
    STATE(15079), 1,
      aux_sym_struct_repeat1,
  [421690] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13676), 1,
      anon_sym_RPAREN,
    STATE(17506), 1,
      sym_limit_clause,
  [421703] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9238), 1,
      anon_sym_COMMA,
    ACTIONS(13678), 1,
      aux_sym_alter_table_rename_statement_token2,
    STATE(15284), 1,
      aux_sym_declare_statement_repeat1,
  [421716] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12027), 1,
      anon_sym_RPAREN,
    STATE(17505), 1,
      sym_limit_clause,
  [421729] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13680), 1,
      anon_sym_RPAREN,
    STATE(18441), 1,
      sym_limit_clause,
  [421742] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9238), 1,
      anon_sym_COMMA,
    ACTIONS(13682), 1,
      aux_sym_alter_table_rename_statement_token2,
    STATE(15292), 1,
      aux_sym_declare_statement_repeat1,
  [421755] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10138), 1,
      anon_sym_RPAREN,
    STATE(17503), 1,
      sym_limit_clause,
  [421768] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13684), 1,
      anon_sym_RPAREN,
    STATE(18500), 1,
      sym_limit_clause,
  [421781] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10274), 1,
      anon_sym_RPAREN,
    STATE(19155), 1,
      sym_limit_clause,
  [421794] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13686), 1,
      anon_sym_RPAREN,
    STATE(17724), 1,
      sym_limit_clause,
  [421807] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9238), 1,
      anon_sym_COMMA,
    ACTIONS(13682), 1,
      aux_sym_alter_table_rename_statement_token2,
    STATE(12830), 1,
      aux_sym_declare_statement_repeat1,
  [421820] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13688), 1,
      anon_sym_RPAREN,
    STATE(17500), 1,
      sym_limit_clause,
  [421833] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(13690), 1,
      anon_sym_RPAREN,
    STATE(14738), 1,
      aux_sym_struct_repeat1,
  [421846] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13692), 1,
      anon_sym_RPAREN,
    STATE(18506), 1,
      sym_limit_clause,
  [421859] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10156), 1,
      anon_sym_RPAREN,
    STATE(17502), 1,
      sym_limit_clause,
  [421872] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12015), 1,
      anon_sym_RPAREN,
    STATE(17493), 1,
      sym_limit_clause,
  [421885] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13172), 1,
      anon_sym_COMMA,
    ACTIONS(13694), 1,
      anon_sym_GT,
    STATE(14722), 1,
      aux_sym__type_struct_repeat1,
  [421898] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12017), 1,
      anon_sym_RPAREN,
    STATE(18508), 1,
      sym_limit_clause,
  [421911] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13696), 1,
      anon_sym_RPAREN,
    STATE(17492), 1,
      sym_limit_clause,
  [421924] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13698), 1,
      anon_sym_RPAREN,
    STATE(18509), 1,
      sym_limit_clause,
  [421937] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(7260), 1,
      anon_sym_RPAREN,
    STATE(14730), 1,
      aux_sym_function_call_repeat1,
  [421950] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9238), 1,
      anon_sym_COMMA,
    ACTIONS(13700), 1,
      aux_sym__keyword_from_token1,
    STATE(15302), 1,
      aux_sym_declare_statement_repeat1,
  [421963] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9238), 1,
      anon_sym_COMMA,
    ACTIONS(13702), 1,
      aux_sym__keyword_from_token1,
    STATE(15305), 1,
      aux_sym_declare_statement_repeat1,
  [421976] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9780), 1,
      anon_sym_RPAREN,
    STATE(16476), 1,
      sym_limit_clause,
  [421989] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13704), 1,
      anon_sym_RPAREN,
    STATE(17488), 1,
      sym_limit_clause,
  [422002] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9238), 1,
      anon_sym_COMMA,
    ACTIONS(13702), 1,
      aux_sym__keyword_from_token1,
    STATE(12830), 1,
      aux_sym_declare_statement_repeat1,
  [422015] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13706), 1,
      anon_sym_RPAREN,
    STATE(17486), 1,
      sym_limit_clause,
  [422028] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13708), 1,
      anon_sym_RPAREN,
    STATE(19326), 1,
      sym_limit_clause,
  [422041] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13710), 1,
      anon_sym_RPAREN,
    STATE(17485), 1,
      sym_limit_clause,
  [422054] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11160), 1,
      anon_sym_RPAREN,
    STATE(16477), 1,
      sym_limit_clause,
  [422067] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13712), 1,
      anon_sym_RPAREN,
    STATE(18642), 1,
      sym_limit_clause,
  [422080] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12756), 1,
      anon_sym_COMMA,
    ACTIONS(13714), 1,
      anon_sym_RPAREN,
    STATE(15311), 1,
      aux_sym_option_clause_repeat1,
  [422093] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(13716), 1,
      anon_sym_RPAREN,
    STATE(15102), 1,
      aux_sym_function_call_repeat1,
  [422106] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8726), 1,
      aux_sym__keyword_from_token1,
    STATE(7477), 1,
      sym_from_files_clause,
    STATE(17512), 1,
      sym__keyword_from,
  [422119] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13718), 1,
      anon_sym_RPAREN,
    STATE(17416), 1,
      sym_limit_clause,
  [422132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13720), 1,
      sym__string_start,
    STATE(10394), 2,
      sym__range_string,
      sym_string,
  [422143] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13722), 1,
      anon_sym_RPAREN,
    STATE(17478), 1,
      sym_limit_clause,
  [422156] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11941), 1,
      anon_sym_RPAREN,
    STATE(18582), 1,
      sym_limit_clause,
  [422169] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13724), 1,
      anon_sym_RPAREN,
    STATE(17714), 1,
      sym_limit_clause,
  [422182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(10388), 1,
      sym__identifier,
    ACTIONS(13726), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
  [422193] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(13728), 1,
      anon_sym_RPAREN,
    STATE(14523), 1,
      aux_sym_struct_repeat1,
  [422206] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(13730), 1,
      anon_sym_RBRACK,
    STATE(14209), 1,
      aux_sym_set_statement_repeat1,
  [422219] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13732), 1,
      anon_sym_RPAREN,
    STATE(17471), 1,
      sym_limit_clause,
  [422232] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10122), 1,
      anon_sym_RPAREN,
    STATE(17466), 1,
      sym_limit_clause,
  [422245] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12003), 1,
      anon_sym_RPAREN,
    STATE(17469), 1,
      sym_limit_clause,
  [422258] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13734), 1,
      anon_sym_RPAREN,
    STATE(18513), 1,
      sym_limit_clause,
  [422271] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13736), 1,
      anon_sym_RPAREN,
    STATE(16478), 1,
      sym_limit_clause,
  [422284] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13738), 1,
      anon_sym_RPAREN,
    STATE(17468), 1,
      sym_limit_clause,
  [422297] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(7273), 1,
      anon_sym_RBRACK,
    STATE(14209), 1,
      aux_sym_set_statement_repeat1,
  [422310] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13740), 1,
      anon_sym_RPAREN,
    STATE(18520), 1,
      sym_limit_clause,
  [422323] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13742), 1,
      anon_sym_RPAREN,
    STATE(17706), 1,
      sym_limit_clause,
  [422336] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10120), 1,
      anon_sym_RPAREN,
    STATE(17458), 1,
      sym_limit_clause,
  [422349] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(13744), 1,
      anon_sym_RPAREN,
    STATE(14523), 1,
      aux_sym_struct_repeat1,
  [422362] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13746), 1,
      anon_sym_RPAREN,
    STATE(17461), 1,
      sym_limit_clause,
  [422375] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10647), 1,
      sym__string_content,
    ACTIONS(10649), 1,
      sym__string_end,
    STATE(15149), 1,
      aux_sym_string_repeat1,
  [422388] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13748), 1,
      anon_sym_RPAREN,
    STATE(17460), 1,
      sym_limit_clause,
  [422401] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13750), 1,
      anon_sym_RPAREN,
    STATE(18527), 1,
      sym_limit_clause,
  [422414] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13752), 1,
      anon_sym_RPAREN,
    STATE(17459), 1,
      sym_limit_clause,
  [422427] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13754), 1,
      anon_sym_COMMA,
    ACTIONS(13757), 1,
      anon_sym_GT,
    STATE(15097), 1,
      aux_sym__type_struct_repeat1,
  [422440] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13172), 1,
      anon_sym_COMMA,
    ACTIONS(13759), 1,
      anon_sym_GT,
    STATE(15097), 1,
      aux_sym__type_struct_repeat1,
  [422453] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13761), 1,
      anon_sym_RPAREN,
    STATE(17455), 1,
      sym_limit_clause,
  [422466] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13763), 1,
      anon_sym_RPAREN,
    STATE(16482), 1,
      sym_limit_clause,
  [422479] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13765), 1,
      anon_sym_RPAREN,
    STATE(17454), 1,
      sym_limit_clause,
  [422492] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7451), 1,
      anon_sym_RPAREN,
    ACTIONS(13767), 1,
      anon_sym_COMMA,
    STATE(15102), 1,
      aux_sym_function_call_repeat1,
  [422505] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13770), 1,
      anon_sym_RPAREN,
    STATE(17453), 1,
      sym_limit_clause,
  [422518] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13772), 1,
      anon_sym_RPAREN,
    STATE(18529), 1,
      sym_limit_clause,
  [422531] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(6421), 1,
      sym__identifier,
    ACTIONS(13774), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
  [422542] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13776), 1,
      anon_sym_RPAREN,
    STATE(18643), 1,
      sym_limit_clause,
  [422555] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10112), 1,
      anon_sym_RPAREN,
    STATE(17437), 1,
      sym_limit_clause,
  [422568] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11985), 1,
      anon_sym_RPAREN,
    STATE(17314), 1,
      sym_limit_clause,
  [422581] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13778), 1,
      anon_sym_RPAREN,
    STATE(18534), 1,
      sym_limit_clause,
  [422594] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13780), 1,
      anon_sym_RPAREN,
    STATE(17448), 1,
      sym_limit_clause,
  [422607] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9580), 1,
      anon_sym_RPAREN,
    STATE(17312), 1,
      sym_limit_clause,
  [422620] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13782), 1,
      anon_sym_RPAREN,
    STATE(17447), 1,
      sym_limit_clause,
  [422633] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(13690), 1,
      anon_sym_RPAREN,
    STATE(14523), 1,
      aux_sym_struct_repeat1,
  [422646] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13784), 1,
      anon_sym_RPAREN,
    STATE(17444), 1,
      sym_limit_clause,
  [422659] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11983), 1,
      anon_sym_RPAREN,
    STATE(18535), 1,
      sym_limit_clause,
  [422672] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13786), 1,
      anon_sym_RPAREN,
    STATE(18538), 1,
      sym_limit_clause,
  [422685] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13788), 1,
      sym__string_content,
    ACTIONS(13791), 1,
      sym__string_end,
    STATE(15117), 1,
      aux_sym_string_repeat1,
  [422698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13793), 1,
      sym__string_start,
    STATE(6413), 2,
      sym__range_string,
      sym_string,
  [422709] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10102), 1,
      anon_sym_RPAREN,
    STATE(17309), 1,
      sym_limit_clause,
  [422722] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13795), 1,
      anon_sym_RPAREN,
    STATE(19327), 1,
      sym_limit_clause,
  [422735] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12642), 1,
      anon_sym_COMMA,
    ACTIONS(13797), 1,
      anon_sym_RPAREN,
    STATE(15201), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [422748] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10098), 1,
      anon_sym_RPAREN,
    STATE(17299), 1,
      sym_limit_clause,
  [422761] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13799), 1,
      anon_sym_RPAREN,
    STATE(18668), 1,
      sym_limit_clause,
  [422774] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13801), 1,
      anon_sym_RPAREN,
    STATE(17438), 1,
      sym_limit_clause,
  [422787] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10240), 1,
      anon_sym_RPAREN,
    STATE(18544), 1,
      sym_limit_clause,
  [422800] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13803), 1,
      anon_sym_RPAREN,
    STATE(17291), 1,
      sym_limit_clause,
  [422813] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13805), 1,
      anon_sym_RPAREN,
    STATE(17436), 1,
      sym_limit_clause,
  [422826] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11971), 1,
      anon_sym_RPAREN,
    STATE(18545), 1,
      sym_limit_clause,
  [422839] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13807), 1,
      anon_sym_RPAREN,
    STATE(17433), 1,
      sym_limit_clause,
  [422852] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13809), 1,
      anon_sym_RPAREN,
    STATE(18546), 1,
      sym_limit_clause,
  [422865] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13811), 1,
      anon_sym_RPAREN,
    STATE(17432), 1,
      sym_limit_clause,
  [422878] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13813), 1,
      anon_sym_RPAREN,
    STATE(16489), 1,
      sym_limit_clause,
  [422891] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12642), 1,
      anon_sym_COMMA,
    ACTIONS(13815), 1,
      anon_sym_RPAREN,
    STATE(15380), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [422904] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11949), 1,
      anon_sym_RPAREN,
    STATE(17398), 1,
      sym_limit_clause,
  [422917] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13817), 1,
      anon_sym_RPAREN,
    STATE(18558), 1,
      sym_limit_clause,
  [422930] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13819), 1,
      anon_sym_RPAREN,
    STATE(17281), 1,
      sym_limit_clause,
  [422943] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13821), 1,
      anon_sym_RPAREN,
    STATE(18566), 1,
      sym_limit_clause,
  [422956] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10234), 1,
      anon_sym_RPAREN,
    STATE(18493), 1,
      sym_limit_clause,
  [422969] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(13823), 1,
      anon_sym_RPAREN,
    STATE(15102), 1,
      aux_sym_function_call_repeat1,
  [422982] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12642), 1,
      anon_sym_COMMA,
    ACTIONS(13825), 1,
      anon_sym_RPAREN,
    STATE(15380), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [422995] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13827), 1,
      anon_sym_RPAREN,
    STATE(17426), 1,
      sym_limit_clause,
  [423008] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10055), 1,
      anon_sym_RPAREN,
    STATE(17395), 1,
      sym_limit_clause,
  [423021] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13829), 1,
      anon_sym_RPAREN,
    STATE(17422), 1,
      sym_limit_clause,
  [423034] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13831), 1,
      anon_sym_RPAREN,
    STATE(16776), 1,
      sym_limit_clause,
  [423047] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10230), 1,
      anon_sym_RPAREN,
    STATE(18574), 1,
      sym_limit_clause,
  [423060] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12800), 1,
      aux_sym_create_table_statement_token2,
    ACTIONS(12802), 1,
      aux_sym_create_table_statement_token3,
    ACTIONS(13833), 1,
      aux_sym_create_table_statement_token1,
  [423073] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10053), 1,
      anon_sym_RPAREN,
    STATE(17391), 1,
      sym_limit_clause,
  [423086] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13835), 1,
      anon_sym_RPAREN,
    STATE(17421), 1,
      sym_limit_clause,
  [423099] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12810), 1,
      sym__string_content,
    ACTIONS(13837), 1,
      sym__string_end,
    STATE(15117), 1,
      aux_sym_string_repeat1,
  [423112] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13839), 1,
      anon_sym_RPAREN,
    STATE(17420), 1,
      sym_limit_clause,
  [423125] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9786), 1,
      anon_sym_RPAREN,
    STATE(16494), 1,
      sym_limit_clause,
  [423138] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13480), 1,
      anon_sym_COMMA,
    ACTIONS(13841), 1,
      anon_sym_RPAREN,
    STATE(15393), 1,
      aux_sym_create_table_parameters_repeat1,
  [423151] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10039), 1,
      anon_sym_RPAREN,
    STATE(17368), 1,
      sym_limit_clause,
  [423164] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10228), 1,
      anon_sym_RPAREN,
    STATE(18581), 1,
      sym_limit_clause,
  [423177] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13843), 1,
      anon_sym_RPAREN,
    STATE(17346), 1,
      sym_limit_clause,
  [423190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13845), 1,
      sym__string_start,
    STATE(7916), 2,
      sym__range_string,
      sym_string,
  [423201] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13847), 1,
      anon_sym_RPAREN,
    STATE(17419), 1,
      sym_limit_clause,
  [423214] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13849), 1,
      anon_sym_RPAREN,
    STATE(18651), 1,
      sym_limit_clause,
  [423227] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13851), 1,
      anon_sym_RPAREN,
    STATE(17418), 1,
      sym_limit_clause,
  [423240] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(13853), 1,
      anon_sym_RPAREN,
    STATE(15265), 1,
      aux_sym_struct_repeat1,
  [423253] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12642), 1,
      anon_sym_COMMA,
    ACTIONS(13855), 1,
      anon_sym_RPAREN,
    STATE(15133), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [423266] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13857), 1,
      anon_sym_RPAREN,
    STATE(17320), 1,
      sym_limit_clause,
  [423279] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(13859), 1,
      anon_sym_RPAREN,
    STATE(15102), 1,
      aux_sym_function_call_repeat1,
  [423292] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(13861), 1,
      anon_sym_RPAREN,
    STATE(15102), 1,
      aux_sym_function_call_repeat1,
  [423305] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9788), 1,
      anon_sym_RPAREN,
    STATE(16497), 1,
      sym_limit_clause,
  [423318] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13863), 1,
      anon_sym_RPAREN,
    STATE(17704), 1,
      sym_limit_clause,
  [423331] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13494), 1,
      anon_sym_COMMA,
    ACTIONS(13865), 1,
      anon_sym_RPAREN,
    STATE(15578), 1,
      aux_sym_create_function_parameters_repeat1,
  [423344] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9658), 1,
      anon_sym_RPAREN,
    STATE(16565), 1,
      sym_limit_clause,
  [423357] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(13867), 1,
      anon_sym_RPAREN,
    STATE(15102), 1,
      aux_sym_function_call_repeat1,
  [423370] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10473), 1,
      sym__string_content,
    ACTIONS(10475), 1,
      sym__string_end,
    STATE(15176), 1,
      aux_sym_string_repeat1,
  [423383] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12642), 1,
      anon_sym_COMMA,
    ACTIONS(13869), 1,
      anon_sym_RPAREN,
    STATE(15902), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [423396] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13871), 1,
      anon_sym_RPAREN,
    STATE(19328), 1,
      sym_limit_clause,
  [423409] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10202), 1,
      anon_sym_RPAREN,
    STATE(18593), 1,
      sym_limit_clause,
  [423422] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12756), 1,
      anon_sym_COMMA,
    ACTIONS(13873), 1,
      anon_sym_RPAREN,
    STATE(15877), 1,
      aux_sym_option_clause_repeat1,
  [423435] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10190), 1,
      anon_sym_RPAREN,
    STATE(18601), 1,
      sym_limit_clause,
  [423448] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12810), 1,
      sym__string_content,
    ACTIONS(13875), 1,
      sym__string_end,
    STATE(15117), 1,
      aux_sym_string_repeat1,
  [423461] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13877), 1,
      anon_sym_COMMA,
    ACTIONS(13879), 1,
      aux_sym_join_condition_token1,
    STATE(14559), 1,
      aux_sym_grant_statement_repeat1,
  [423474] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(13881), 1,
      anon_sym_RPAREN,
    STATE(15190), 1,
      aux_sym_struct_repeat1,
  [423487] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13883), 1,
      anon_sym_RPAREN,
    STATE(18654), 1,
      sym_limit_clause,
  [423500] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10184), 1,
      anon_sym_RPAREN,
    STATE(18571), 1,
      sym_limit_clause,
  [423513] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9792), 1,
      anon_sym_RPAREN,
    STATE(16498), 1,
      sym_limit_clause,
  [423526] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13877), 1,
      anon_sym_COMMA,
    ACTIONS(13885), 1,
      aux_sym_join_condition_token1,
    STATE(14559), 1,
      aux_sym_grant_statement_repeat1,
  [423539] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13887), 1,
      anon_sym_RPAREN,
    STATE(17574), 1,
      sym_limit_clause,
  [423552] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9654), 1,
      anon_sym_RPAREN,
    STATE(16483), 1,
      sym_limit_clause,
  [423565] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13889), 1,
      anon_sym_RPAREN,
    STATE(19329), 1,
      sym_limit_clause,
  [423578] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11176), 1,
      anon_sym_RPAREN,
    STATE(16500), 1,
      sym_limit_clause,
  [423591] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(13891), 1,
      anon_sym_RBRACK,
    STATE(14209), 1,
      aux_sym_set_statement_repeat1,
  [423604] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9656), 1,
      anon_sym_RPAREN,
    STATE(16568), 1,
      sym_limit_clause,
  [423617] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13893), 1,
      anon_sym_RPAREN,
    STATE(16808), 1,
      sym_limit_clause,
  [423630] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(13895), 1,
      anon_sym_RPAREN,
    STATE(14523), 1,
      aux_sym_struct_repeat1,
  [423643] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(13897), 1,
      anon_sym_RPAREN,
    STATE(14523), 1,
      aux_sym_struct_repeat1,
  [423656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3189), 1,
      sym__identifier,
    ACTIONS(13899), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
  [423667] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2412), 1,
      sym__string_start,
    STATE(8249), 1,
      sym_string,
    STATE(8252), 1,
      sym__function_body_js,
  [423680] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(7291), 1,
      anon_sym_RBRACK,
    STATE(14209), 1,
      aux_sym_set_statement_repeat1,
  [423693] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12836), 1,
      anon_sym_COMMA,
    ACTIONS(13901), 1,
      anon_sym_RPAREN,
    STATE(14954), 1,
      aux_sym_single_column_unpivot_repeat1,
  [423706] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(7289), 1,
      anon_sym_RPAREN,
    STATE(15211), 1,
      aux_sym_function_call_repeat1,
  [423719] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11925), 1,
      anon_sym_RPAREN,
    STATE(17573), 1,
      sym_limit_clause,
  [423732] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(13895), 1,
      anon_sym_RPAREN,
    STATE(15214), 1,
      aux_sym_struct_repeat1,
  [423745] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13172), 1,
      anon_sym_COMMA,
    ACTIONS(13903), 1,
      anon_sym_GT,
    STATE(15097), 1,
      aux_sym__type_struct_repeat1,
  [423758] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(13905), 1,
      anon_sym_RPAREN,
    STATE(15091), 1,
      aux_sym_struct_repeat1,
  [423771] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12642), 1,
      anon_sym_COMMA,
    ACTIONS(13907), 1,
      anon_sym_RPAREN,
    STATE(15380), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [423784] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13909), 1,
      anon_sym_RPAREN,
    STATE(16821), 1,
      sym_limit_clause,
  [423797] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10116), 1,
      anon_sym_RPAREN,
    STATE(17394), 1,
      sym_limit_clause,
  [423810] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13911), 1,
      anon_sym_RPAREN,
    STATE(17572), 1,
      sym_limit_clause,
  [423823] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(13913), 1,
      anon_sym_RPAREN,
    STATE(15102), 1,
      aux_sym_function_call_repeat1,
  [423836] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13531), 1,
      anon_sym_COMMA,
    ACTIONS(13915), 1,
      anon_sym_RPAREN,
    STATE(15587), 1,
      aux_sym_procedure_parameters_repeat1,
  [423849] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12592), 1,
      anon_sym_COMMA,
    ACTIONS(13917), 1,
      anon_sym_RPAREN,
    STATE(14976), 1,
      aux_sym_pivot_operator_repeat2,
  [423862] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13919), 1,
      anon_sym_RPAREN,
    STATE(19330), 1,
      sym_limit_clause,
  [423875] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13921), 1,
      anon_sym_RPAREN,
    STATE(17230), 1,
      sym_limit_clause,
  [423888] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11919), 1,
      anon_sym_RPAREN,
    STATE(17282), 1,
      sym_limit_clause,
  [423901] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(13923), 1,
      anon_sym_RPAREN,
    STATE(15102), 1,
      aux_sym_function_call_repeat1,
  [423914] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13925), 1,
      sym__string_start,
    STATE(7781), 2,
      sym__range_string,
      sym_string,
  [423925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5647), 1,
      sym__identifier,
    ACTIONS(13927), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
  [423936] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(13929), 1,
      anon_sym_RPAREN,
    STATE(14523), 1,
      aux_sym_struct_repeat1,
  [423949] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(13931), 1,
      anon_sym_RBRACK,
    STATE(14209), 1,
      aux_sym_set_statement_repeat1,
  [423962] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9794), 1,
      anon_sym_RPAREN,
    STATE(16507), 1,
      sym_limit_clause,
  [423975] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10108), 1,
      anon_sym_RPAREN,
    STATE(17385), 1,
      sym_limit_clause,
  [423988] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13933), 1,
      anon_sym_RPAREN,
    STATE(18655), 1,
      sym_limit_clause,
  [424001] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10174), 1,
      anon_sym_RPAREN,
    STATE(18626), 1,
      sym_limit_clause,
  [424014] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13935), 1,
      anon_sym_RPAREN,
    STATE(17568), 1,
      sym_limit_clause,
  [424027] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9650), 1,
      anon_sym_RPAREN,
    STATE(16578), 1,
      sym_limit_clause,
  [424040] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10106), 1,
      anon_sym_RPAREN,
    STATE(17383), 1,
      sym_limit_clause,
  [424053] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11182), 1,
      anon_sym_RPAREN,
    STATE(19059), 1,
      sym_limit_clause,
  [424066] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(13937), 1,
      anon_sym_RPAREN,
    STATE(15191), 1,
      aux_sym_struct_repeat1,
  [424079] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13939), 1,
      anon_sym_RPAREN,
    STATE(17695), 1,
      sym_limit_clause,
  [424092] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9975), 1,
      anon_sym_RPAREN,
    STATE(17269), 1,
      sym_limit_clause,
  [424105] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10104), 1,
      anon_sym_RPAREN,
    STATE(17375), 1,
      sym_limit_clause,
  [424118] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(7265), 1,
      anon_sym_RPAREN,
    STATE(15205), 1,
      aux_sym_function_call_repeat1,
  [424131] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12756), 1,
      anon_sym_COMMA,
    ACTIONS(13941), 1,
      anon_sym_RPAREN,
    STATE(15623), 1,
      aux_sym_option_clause_repeat1,
  [424144] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(13943), 1,
      anon_sym_RPAREN,
    STATE(15102), 1,
      aux_sym_function_call_repeat1,
  [424157] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12756), 1,
      anon_sym_COMMA,
    ACTIONS(13945), 1,
      anon_sym_RPAREN,
    STATE(15624), 1,
      aux_sym_option_clause_repeat1,
  [424170] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13947), 1,
      anon_sym_COMMA,
    ACTIONS(13949), 1,
      anon_sym_RPAREN,
    STATE(15629), 1,
      aux_sym_grouping_sets_repeat1,
  [424183] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(7250), 1,
      anon_sym_RBRACK,
    STATE(14209), 1,
      aux_sym_set_statement_repeat1,
  [424196] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12642), 1,
      anon_sym_COMMA,
    ACTIONS(13951), 1,
      anon_sym_RPAREN,
    STATE(15264), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [424209] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13953), 1,
      anon_sym_RPAREN,
    STATE(18653), 1,
      sym_limit_clause,
  [424222] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(13937), 1,
      anon_sym_RPAREN,
    STATE(14523), 1,
      aux_sym_struct_repeat1,
  [424235] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13955), 1,
      anon_sym_RPAREN,
    STATE(17542), 1,
      sym_limit_clause,
  [424248] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13957), 1,
      anon_sym_RPAREN,
    STATE(16822), 1,
      sym_limit_clause,
  [424261] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11909), 1,
      anon_sym_RPAREN,
    STATE(17367), 1,
      sym_limit_clause,
  [424274] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9798), 1,
      anon_sym_RPAREN,
    STATE(16513), 1,
      sym_limit_clause,
  [424287] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13959), 1,
      anon_sym_RPAREN,
    STATE(17254), 1,
      sym_limit_clause,
  [424300] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10096), 1,
      anon_sym_RPAREN,
    STATE(17366), 1,
      sym_limit_clause,
  [424313] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13961), 1,
      anon_sym_RPAREN,
    STATE(18662), 1,
      sym_limit_clause,
  [424326] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(7244), 1,
      anon_sym_RBRACK,
    STATE(14209), 1,
      aux_sym_set_statement_repeat1,
  [424339] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13963), 1,
      anon_sym_RPAREN,
    STATE(17540), 1,
      sym_limit_clause,
  [424352] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13965), 1,
      anon_sym_RPAREN,
    STATE(18663), 1,
      sym_limit_clause,
  [424365] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10094), 1,
      anon_sym_RPAREN,
    STATE(17362), 1,
      sym_limit_clause,
  [424378] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2412), 1,
      sym__string_start,
    STATE(8101), 1,
      sym__function_body_js,
    STATE(8249), 1,
      sym_string,
  [424391] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13626), 1,
      anon_sym_COMMA,
    ACTIONS(13967), 1,
      anon_sym_RPAREN,
    STATE(15671), 1,
      aux_sym_select_all_replace_repeat1,
  [424404] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(13905), 1,
      anon_sym_RPAREN,
    STATE(14523), 1,
      aux_sym_struct_repeat1,
  [424417] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10090), 1,
      anon_sym_RPAREN,
    STATE(17359), 1,
      sym_limit_clause,
  [424430] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(13969), 1,
      anon_sym_RPAREN,
    STATE(15236), 1,
      aux_sym_struct_repeat1,
  [424443] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13971), 1,
      anon_sym_RPAREN,
    STATE(17538), 1,
      sym_limit_clause,
  [424456] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12810), 1,
      sym__string_content,
    ACTIONS(13973), 1,
      sym__string_end,
    STATE(15117), 1,
      aux_sym_string_repeat1,
  [424469] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13632), 1,
      anon_sym_COMMA,
    ACTIONS(13975), 1,
      anon_sym_RPAREN,
    STATE(15678), 1,
      aux_sym_select_all_except_repeat1,
  [424482] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13977), 1,
      anon_sym_RPAREN,
    STATE(17357), 1,
      sym_limit_clause,
  [424495] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9800), 1,
      anon_sym_RPAREN,
    STATE(16515), 1,
      sym_limit_clause,
  [424508] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13979), 1,
      anon_sym_RPAREN,
    STATE(16831), 1,
      sym_limit_clause,
  [424521] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(13981), 1,
      anon_sym_RPAREN,
    STATE(15250), 1,
      aux_sym_struct_repeat1,
  [424534] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(13983), 1,
      anon_sym_RPAREN,
    STATE(14209), 1,
      aux_sym_set_statement_repeat1,
  [424547] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13985), 1,
      anon_sym_RPAREN,
    STATE(17352), 1,
      sym_limit_clause,
  [424560] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10614), 1,
      sym__string_content,
    ACTIONS(10616), 1,
      sym__string_end,
    STATE(15254), 1,
      aux_sym_string_repeat1,
  [424573] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5831), 3,
      aux_sym__keyword_returns_token1,
      aux_sym__keyword_as_token1,
      aux_sym__function_language_token1,
  [424582] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12642), 1,
      anon_sym_COMMA,
    ACTIONS(13987), 1,
      anon_sym_RPAREN,
    STATE(15380), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [424595] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(13989), 1,
      anon_sym_RPAREN,
    STATE(14523), 1,
      aux_sym_struct_repeat1,
  [424608] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5811), 3,
      aux_sym__keyword_returns_token1,
      aux_sym__keyword_as_token1,
      aux_sym__function_language_token1,
  [424617] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11875), 1,
      anon_sym_RPAREN,
    STATE(17246), 1,
      sym_limit_clause,
  [424630] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5799), 3,
      aux_sym__keyword_returns_token1,
      aux_sym__keyword_as_token1,
      aux_sym__function_language_token1,
  [424639] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13991), 1,
      anon_sym_RPAREN,
    STATE(17516), 1,
      sym_limit_clause,
  [424652] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13993), 1,
      anon_sym_RPAREN,
    STATE(16868), 1,
      sym_limit_clause,
  [424665] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13995), 1,
      anon_sym_RPAREN,
    STATE(17348), 1,
      sym_limit_clause,
  [424678] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13997), 1,
      anon_sym_RPAREN,
    STATE(17244), 1,
      sym_limit_clause,
  [424691] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11873), 1,
      anon_sym_RPAREN,
    STATE(17347), 1,
      sym_limit_clause,
  [424704] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9808), 1,
      anon_sym_RPAREN,
    STATE(16528), 1,
      sym_limit_clause,
  [424717] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9897), 1,
      anon_sym_RPAREN,
    STATE(19052), 1,
      sym_limit_clause,
  [424730] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10082), 1,
      anon_sym_RPAREN,
    STATE(17345), 1,
      sym_limit_clause,
  [424743] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10493), 1,
      sym__string_content,
    ACTIONS(10495), 1,
      sym__string_end,
    STATE(15290), 1,
      aux_sym_string_repeat1,
  [424756] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9238), 1,
      anon_sym_COMMA,
    ACTIONS(13999), 1,
      aux_sym_alter_table_rename_statement_token2,
    STATE(15691), 1,
      aux_sym_declare_statement_repeat1,
  [424769] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12810), 1,
      sym__string_content,
    ACTIONS(14001), 1,
      sym__string_end,
    STATE(15117), 1,
      aux_sym_string_repeat1,
  [424782] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14003), 1,
      anon_sym_RPAREN,
    STATE(16845), 1,
      sym_limit_clause,
  [424795] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14005), 1,
      anon_sym_RPAREN,
    STATE(17341), 1,
      sym_limit_clause,
  [424808] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2412), 1,
      sym__string_start,
    STATE(8190), 1,
      sym__function_body_js,
    STATE(8249), 1,
      sym_string,
  [424821] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(7224), 1,
      anon_sym_RBRACK,
    STATE(14209), 1,
      aux_sym_set_statement_repeat1,
  [424834] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9238), 1,
      anon_sym_COMMA,
    ACTIONS(13999), 1,
      aux_sym_alter_table_rename_statement_token2,
    STATE(12830), 1,
      aux_sym_declare_statement_repeat1,
  [424847] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11859), 1,
      anon_sym_RPAREN,
    STATE(17338), 1,
      sym_limit_clause,
  [424860] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(7228), 1,
      anon_sym_RPAREN,
    STATE(15385), 1,
      aux_sym_function_call_repeat1,
  [424873] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(13989), 1,
      anon_sym_RPAREN,
    STATE(15418), 1,
      aux_sym_struct_repeat1,
  [424886] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14007), 1,
      anon_sym_RPAREN,
    STATE(17336), 1,
      sym_limit_clause,
  [424899] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14009), 1,
      anon_sym_RPAREN,
    STATE(19335), 1,
      sym_limit_clause,
  [424912] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12810), 1,
      sym__string_content,
    ACTIONS(14011), 1,
      sym__string_end,
    STATE(15117), 1,
      aux_sym_string_repeat1,
  [424925] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11867), 1,
      anon_sym_RPAREN,
    STATE(17508), 1,
      sym_limit_clause,
  [424938] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9238), 1,
      anon_sym_COMMA,
    ACTIONS(14013), 1,
      aux_sym_alter_table_rename_statement_token2,
    STATE(12830), 1,
      aux_sym_declare_statement_repeat1,
  [424951] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(14015), 1,
      anon_sym_RPAREN,
    STATE(15444), 1,
      aux_sym_struct_repeat1,
  [424964] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14017), 1,
      anon_sym_RPAREN,
    STATE(17330), 1,
      sym_limit_clause,
  [424977] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9238), 1,
      anon_sym_COMMA,
    ACTIONS(14013), 1,
      aux_sym_alter_table_rename_statement_token2,
    STATE(15702), 1,
      aux_sym_declare_statement_repeat1,
  [424990] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14019), 1,
      anon_sym_RPAREN,
    STATE(17329), 1,
      sym_limit_clause,
  [425003] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9238), 1,
      anon_sym_COMMA,
    ACTIONS(14021), 1,
      aux_sym__keyword_from_token1,
    STATE(15706), 1,
      aux_sym_declare_statement_repeat1,
  [425016] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14023), 1,
      anon_sym_RPAREN,
    STATE(17326), 1,
      sym_limit_clause,
  [425029] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(14025), 1,
      anon_sym_RPAREN,
    STATE(14209), 1,
      aux_sym_set_statement_repeat1,
  [425042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(120), 1,
      sym__keyword_struct,
    ACTIONS(14027), 2,
      aux_sym__keyword_struct_token1,
      aux_sym_select_token2,
  [425053] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10598), 1,
      sym__string_content,
    ACTIONS(10600), 1,
      sym__string_end,
    STATE(15448), 1,
      aux_sym_string_repeat1,
  [425066] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9238), 1,
      anon_sym_COMMA,
    ACTIONS(14021), 1,
      aux_sym__keyword_from_token1,
    STATE(12830), 1,
      aux_sym_declare_statement_repeat1,
  [425079] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9620), 1,
      anon_sym_RPAREN,
    STATE(19154), 1,
      sym_limit_clause,
  [425092] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14029), 1,
      anon_sym_RPAREN,
    STATE(17317), 1,
      sym_limit_clause,
  [425105] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9238), 1,
      anon_sym_COMMA,
    ACTIONS(14031), 1,
      aux_sym__keyword_from_token1,
    STATE(12830), 1,
      aux_sym_declare_statement_repeat1,
  [425118] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14033), 1,
      anon_sym_RPAREN,
    STATE(17315), 1,
      sym_limit_clause,
  [425131] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9238), 1,
      anon_sym_COMMA,
    ACTIONS(14031), 1,
      aux_sym__keyword_from_token1,
    STATE(15710), 1,
      aux_sym_declare_statement_repeat1,
  [425144] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14035), 1,
      anon_sym_RPAREN,
    STATE(18669), 1,
      sym_limit_clause,
  [425157] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14037), 1,
      anon_sym_RPAREN,
    STATE(18670), 1,
      sym_limit_clause,
  [425170] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11198), 1,
      anon_sym_RPAREN,
    STATE(19209), 1,
      sym_limit_clause,
  [425183] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12756), 1,
      anon_sym_COMMA,
    ACTIONS(14039), 1,
      anon_sym_RPAREN,
    STATE(15715), 1,
      aux_sym_option_clause_repeat1,
  [425196] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14041), 1,
      anon_sym_RPAREN,
    STATE(17308), 1,
      sym_limit_clause,
  [425209] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8726), 1,
      aux_sym__keyword_from_token1,
    STATE(7523), 1,
      sym_from_files_clause,
    STATE(17512), 1,
      sym__keyword_from,
  [425222] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11833), 1,
      anon_sym_RPAREN,
    STATE(17307), 1,
      sym_limit_clause,
  [425235] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14043), 1,
      anon_sym_RPAREN,
    STATE(18671), 1,
      sym_limit_clause,
  [425248] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14045), 1,
      anon_sym_RPAREN,
    STATE(16537), 1,
      sym_limit_clause,
  [425261] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14047), 1,
      anon_sym_RPAREN,
    STATE(17302), 1,
      sym_limit_clause,
  [425274] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14049), 1,
      anon_sym_RPAREN,
    STATE(18672), 1,
      sym_limit_clause,
  [425287] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14051), 1,
      anon_sym_RPAREN,
    STATE(18674), 1,
      sym_limit_clause,
  [425300] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14053), 1,
      anon_sym_RPAREN,
    STATE(17377), 1,
      sym_limit_clause,
  [425313] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8726), 1,
      aux_sym__keyword_from_token1,
    STATE(7521), 1,
      sym_from_files_clause,
    STATE(17512), 1,
      sym__keyword_from,
  [425326] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14055), 1,
      anon_sym_RPAREN,
    STATE(18675), 1,
      sym_limit_clause,
  [425339] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14057), 1,
      anon_sym_RPAREN,
    STATE(17297), 1,
      sym_limit_clause,
  [425352] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14059), 1,
      anon_sym_RPAREN,
    STATE(17235), 1,
      sym_limit_clause,
  [425365] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14061), 1,
      anon_sym_RPAREN,
    STATE(17295), 1,
      sym_limit_clause,
  [425378] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14063), 1,
      anon_sym_RPAREN,
    STATE(17234), 1,
      sym_limit_clause,
  [425391] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14065), 1,
      anon_sym_RPAREN,
    STATE(17294), 1,
      sym_limit_clause,
  [425404] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14067), 1,
      anon_sym_RPAREN,
    STATE(17233), 1,
      sym_limit_clause,
  [425417] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10581), 1,
      sym__string_content,
    ACTIONS(10583), 1,
      sym__string_end,
    STATE(15279), 1,
      aux_sym_string_repeat1,
  [425430] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14069), 1,
      anon_sym_RPAREN,
    STATE(17293), 1,
      sym_limit_clause,
  [425443] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14071), 1,
      anon_sym_RPAREN,
    STATE(18682), 1,
      sym_limit_clause,
  [425456] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14073), 1,
      anon_sym_RPAREN,
    STATE(17292), 1,
      sym_limit_clause,
  [425469] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14075), 1,
      anon_sym_RPAREN,
    STATE(18734), 1,
      sym_limit_clause,
  [425482] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14077), 1,
      anon_sym_RPAREN,
    STATE(17285), 1,
      sym_limit_clause,
  [425495] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14079), 1,
      anon_sym_RPAREN,
    STATE(18689), 1,
      sym_limit_clause,
  [425508] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14081), 1,
      anon_sym_RPAREN,
    STATE(16539), 1,
      sym_limit_clause,
  [425521] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14083), 1,
      anon_sym_COMMA,
    ACTIONS(14086), 1,
      anon_sym_GT,
    STATE(15337), 1,
      aux_sym__column_definition_type_struct_repeat1,
  [425534] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14088), 1,
      anon_sym_COMMA,
    ACTIONS(14091), 1,
      anon_sym_RPAREN,
    STATE(15338), 1,
      aux_sym_column_type_repeat1,
  [425547] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14093), 1,
      anon_sym_RPAREN,
    STATE(16540), 1,
      sym_limit_clause,
  [425560] = 4,
    ACTIONS(12342), 1,
      aux_sym_keyword_unbounded_preceding_token1,
    ACTIONS(12344), 1,
      aux_sym_range_content_token1,
    ACTIONS(12346), 1,
      sym_comment,
    STATE(17007), 1,
      sym_range_content,
  [425573] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14095), 1,
      anon_sym_RPAREN,
    STATE(17284), 1,
      sym_limit_clause,
  [425586] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14097), 1,
      anon_sym_RPAREN,
    STATE(16541), 1,
      sym_limit_clause,
  [425599] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14099), 1,
      anon_sym_RPAREN,
    STATE(17283), 1,
      sym_limit_clause,
  [425612] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14101), 1,
      anon_sym_RPAREN,
    STATE(17224), 1,
      sym_limit_clause,
  [425625] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14103), 1,
      anon_sym_RPAREN,
    STATE(17279), 1,
      sym_limit_clause,
  [425638] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14105), 1,
      anon_sym_RPAREN,
    STATE(18690), 1,
      sym_limit_clause,
  [425651] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14107), 1,
      anon_sym_COMMA,
    ACTIONS(14109), 1,
      anon_sym_GT,
    STATE(15337), 1,
      aux_sym__column_definition_type_struct_repeat1,
  [425664] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14111), 1,
      anon_sym_RPAREN,
    STATE(17223), 1,
      sym_limit_clause,
  [425677] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14113), 1,
      anon_sym_RPAREN,
    STATE(16995), 1,
      sym_limit_clause,
  [425690] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11807), 1,
      anon_sym_RPAREN,
    STATE(16994), 1,
      sym_limit_clause,
  [425703] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14115), 1,
      anon_sym_RPAREN,
    STATE(18184), 1,
      sym_limit_clause,
  [425716] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9929), 1,
      anon_sym_RPAREN,
    STATE(16980), 1,
      sym_limit_clause,
  [425729] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14117), 1,
      anon_sym_RPAREN,
    STATE(16446), 1,
      sym_limit_clause,
  [425742] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14119), 1,
      anon_sym_RPAREN,
    STATE(16972), 1,
      sym_limit_clause,
  [425755] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14121), 1,
      anon_sym_RPAREN,
    STATE(17273), 1,
      sym_limit_clause,
  [425768] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14123), 1,
      anon_sym_RPAREN,
    STATE(16459), 1,
      sym_limit_clause,
  [425781] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14125), 1,
      anon_sym_RPAREN,
    STATE(16542), 1,
      sym_limit_clause,
  [425794] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14127), 1,
      anon_sym_RPAREN,
    STATE(17272), 1,
      sym_limit_clause,
  [425807] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11798), 1,
      anon_sym_RPAREN,
    STATE(16967), 1,
      sym_limit_clause,
  [425820] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14129), 1,
      anon_sym_RPAREN,
    STATE(17271), 1,
      sym_limit_clause,
  [425833] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14131), 1,
      anon_sym_RPAREN,
    STATE(16544), 1,
      sym_limit_clause,
  [425846] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14133), 1,
      anon_sym_RPAREN,
    STATE(17268), 1,
      sym_limit_clause,
  [425859] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11200), 1,
      anon_sym_RPAREN,
    STATE(16653), 1,
      sym_limit_clause,
  [425872] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14135), 1,
      anon_sym_RPAREN,
    STATE(18608), 1,
      sym_limit_clause,
  [425885] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14137), 1,
      anon_sym_RPAREN,
    STATE(16965), 1,
      sym_limit_clause,
  [425898] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9877), 1,
      anon_sym_RPAREN,
    STATE(19041), 1,
      sym_limit_clause,
  [425911] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14139), 1,
      anon_sym_RPAREN,
    STATE(18697), 1,
      sym_limit_clause,
  [425924] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9610), 1,
      anon_sym_RPAREN,
    STATE(16655), 1,
      sym_limit_clause,
  [425937] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14141), 1,
      anon_sym_RPAREN,
    STATE(16956), 1,
      sym_limit_clause,
  [425950] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14143), 1,
      anon_sym_RPAREN,
    STATE(16955), 1,
      sym_limit_clause,
  [425963] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14145), 1,
      anon_sym_RPAREN,
    STATE(16954), 1,
      sym_limit_clause,
  [425976] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14147), 1,
      anon_sym_RPAREN,
    STATE(17264), 1,
      sym_limit_clause,
  [425989] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14149), 1,
      anon_sym_RPAREN,
    STATE(18698), 1,
      sym_limit_clause,
  [426002] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14151), 1,
      anon_sym_RPAREN,
    STATE(17263), 1,
      sym_limit_clause,
  [426015] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14153), 1,
      aux_sym__keyword_then_token1,
    ACTIONS(14155), 1,
      aux_sym__keyword_and_token1,
    STATE(1588), 1,
      sym__keyword_and,
  [426028] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14157), 1,
      anon_sym_RPAREN,
    STATE(16944), 1,
      sym_limit_clause,
  [426041] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14159), 1,
      anon_sym_RPAREN,
    STATE(16943), 1,
      sym_limit_clause,
  [426054] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14161), 1,
      anon_sym_RPAREN,
    STATE(17828), 1,
      sym_limit_clause,
  [426067] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14163), 1,
      anon_sym_RPAREN,
    STATE(17262), 1,
      sym_limit_clause,
  [426080] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14165), 1,
      anon_sym_COMMA,
    ACTIONS(14168), 1,
      anon_sym_RPAREN,
    STATE(15380), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [426093] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14170), 1,
      anon_sym_RPAREN,
    STATE(17261), 1,
      sym_limit_clause,
  [426106] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14172), 1,
      anon_sym_RPAREN,
    STATE(17220), 1,
      sym_limit_clause,
  [426119] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10152), 1,
      anon_sym_RPAREN,
    STATE(19020), 1,
      sym_limit_clause,
  [426132] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9608), 1,
      anon_sym_RPAREN,
    STATE(16658), 1,
      sym_limit_clause,
  [426145] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(14174), 1,
      anon_sym_RPAREN,
    STATE(15102), 1,
      aux_sym_function_call_repeat1,
  [426158] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11772), 1,
      anon_sym_RPAREN,
    STATE(17219), 1,
      sym_limit_clause,
  [426171] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14176), 1,
      anon_sym_RPAREN,
    STATE(18744), 1,
      sym_limit_clause,
  [426184] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14178), 1,
      anon_sym_RPAREN,
    STATE(17260), 1,
      sym_limit_clause,
  [426197] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14180), 1,
      anon_sym_RPAREN,
    STATE(17217), 1,
      sym_limit_clause,
  [426210] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14182), 1,
      anon_sym_RPAREN,
    STATE(17259), 1,
      sym_limit_clause,
  [426223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14184), 1,
      sym__string_start,
    STATE(2710), 2,
      sym__range_string,
      sym_string,
  [426234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2712), 1,
      sym__identifier,
    ACTIONS(14186), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
  [426245] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14188), 1,
      anon_sym_COMMA,
    ACTIONS(14191), 1,
      anon_sym_RPAREN,
    STATE(15393), 1,
      aux_sym_create_table_parameters_repeat1,
  [426258] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14193), 1,
      anon_sym_RPAREN,
    STATE(18701), 1,
      sym_limit_clause,
  [426271] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14195), 1,
      anon_sym_RPAREN,
    STATE(18745), 1,
      sym_limit_clause,
  [426284] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14197), 1,
      anon_sym_RPAREN,
    STATE(18702), 1,
      sym_limit_clause,
  [426297] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14199), 1,
      anon_sym_RPAREN,
    STATE(16548), 1,
      sym_limit_clause,
  [426310] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10068), 1,
      anon_sym_RPAREN,
    STATE(17407), 1,
      sym_limit_clause,
  [426323] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9606), 1,
      anon_sym_RPAREN,
    STATE(16668), 1,
      sym_limit_clause,
  [426336] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14201), 1,
      anon_sym_RPAREN,
    STATE(18705), 1,
      sym_limit_clause,
  [426349] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14203), 1,
      sym__string_content,
    ACTIONS(14205), 1,
      sym__string_end,
    STATE(15402), 1,
      aux_sym_string_repeat1,
  [426362] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12810), 1,
      sym__string_content,
    ACTIONS(14207), 1,
      sym__string_end,
    STATE(15117), 1,
      aux_sym_string_repeat1,
  [426375] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9238), 1,
      anon_sym_COMMA,
    ACTIONS(14209), 1,
      anon_sym_RPAREN,
    STATE(14973), 1,
      aux_sym_declare_statement_repeat1,
  [426388] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14211), 1,
      anon_sym_RPAREN,
    STATE(18749), 1,
      sym_limit_clause,
  [426401] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14213), 1,
      anon_sym_RPAREN,
    STATE(17208), 1,
      sym_limit_clause,
  [426414] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11760), 1,
      anon_sym_RPAREN,
    STATE(17404), 1,
      sym_limit_clause,
  [426427] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14215), 1,
      anon_sym_RPAREN,
    STATE(18706), 1,
      sym_limit_clause,
  [426440] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14217), 1,
      anon_sym_RPAREN,
    STATE(17403), 1,
      sym_limit_clause,
  [426453] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14219), 1,
      anon_sym_RPAREN,
    STATE(17207), 1,
      sym_limit_clause,
  [426466] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(7293), 1,
      anon_sym_RPAREN,
    STATE(15420), 1,
      aux_sym_function_call_repeat1,
  [426479] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14221), 1,
      anon_sym_RPAREN,
    STATE(17206), 1,
      sym_limit_clause,
  [426492] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14223), 1,
      anon_sym_RPAREN,
    STATE(17205), 1,
      sym_limit_clause,
  [426505] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14225), 1,
      anon_sym_RPAREN,
    STATE(17204), 1,
      sym_limit_clause,
  [426518] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10057), 1,
      anon_sym_RPAREN,
    STATE(17238), 1,
      sym_limit_clause,
  [426531] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12642), 1,
      anon_sym_COMMA,
    ACTIONS(14227), 1,
      anon_sym_RPAREN,
    STATE(15380), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [426544] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14229), 1,
      anon_sym_RPAREN,
    STATE(16549), 1,
      sym_limit_clause,
  [426557] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14231), 1,
      anon_sym_RPAREN,
    STATE(18707), 1,
      sym_limit_clause,
  [426570] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(14233), 1,
      anon_sym_RPAREN,
    STATE(14523), 1,
      aux_sym_struct_repeat1,
  [426583] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14235), 1,
      anon_sym_RPAREN,
    STATE(17203), 1,
      sym_limit_clause,
  [426596] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(14237), 1,
      anon_sym_RPAREN,
    STATE(15102), 1,
      aux_sym_function_call_repeat1,
  [426609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(7779), 1,
      sym__identifier,
    ACTIONS(14239), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
  [426620] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14241), 1,
      anon_sym_RPAREN,
    STATE(18696), 1,
      sym_limit_clause,
  [426633] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10051), 1,
      anon_sym_RPAREN,
    STATE(17225), 1,
      sym_limit_clause,
  [426646] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14243), 1,
      anon_sym_RPAREN,
    STATE(18747), 1,
      sym_limit_clause,
  [426659] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14245), 1,
      anon_sym_RPAREN,
    STATE(17387), 1,
      sym_limit_clause,
  [426672] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14247), 1,
      anon_sym_RPAREN,
    STATE(16550), 1,
      sym_limit_clause,
  [426685] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14249), 1,
      anon_sym_RPAREN,
    STATE(17198), 1,
      sym_limit_clause,
  [426698] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10047), 1,
      anon_sym_RPAREN,
    STATE(17218), 1,
      sym_limit_clause,
  [426711] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14251), 1,
      anon_sym_RPAREN,
    STATE(18718), 1,
      sym_limit_clause,
  [426724] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14253), 3,
      sym__unquoted_identifier,
      sym__quoted_identifier,
      anon_sym_STAR,
  [426733] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(14255), 1,
      anon_sym_RPAREN,
    STATE(15102), 1,
      aux_sym_function_call_repeat1,
  [426746] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14257), 1,
      anon_sym_RPAREN,
    STATE(17197), 1,
      sym_limit_clause,
  [426759] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10045), 1,
      anon_sym_RPAREN,
    STATE(17211), 1,
      sym_limit_clause,
  [426772] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11740), 1,
      anon_sym_RPAREN,
    STATE(18719), 1,
      sym_limit_clause,
  [426785] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14259), 1,
      anon_sym_RPAREN,
    STATE(17372), 1,
      sym_limit_clause,
  [426798] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(14261), 1,
      anon_sym_RPAREN,
    STATE(15102), 1,
      aux_sym_function_call_repeat1,
  [426811] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14263), 1,
      anon_sym_RPAREN,
    STATE(17196), 1,
      sym_limit_clause,
  [426824] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14265), 1,
      anon_sym_RPAREN,
    STATE(18750), 1,
      sym_limit_clause,
  [426837] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14267), 1,
      anon_sym_RPAREN,
    STATE(18723), 1,
      sym_limit_clause,
  [426850] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10041), 1,
      anon_sym_RPAREN,
    STATE(17353), 1,
      sym_limit_clause,
  [426863] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(14269), 1,
      anon_sym_RPAREN,
    STATE(15113), 1,
      aux_sym_struct_repeat1,
  [426876] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14271), 1,
      anon_sym_RPAREN,
    STATE(17188), 1,
      sym_limit_clause,
  [426889] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11734), 1,
      anon_sym_RPAREN,
    STATE(17192), 1,
      sym_limit_clause,
  [426902] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(14273), 1,
      anon_sym_RPAREN,
    STATE(14523), 1,
      aux_sym_struct_repeat1,
  [426915] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14275), 1,
      anon_sym_RPAREN,
    STATE(17187), 1,
      sym_limit_clause,
  [426928] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10035), 1,
      anon_sym_RPAREN,
    STATE(17183), 1,
      sym_limit_clause,
  [426941] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14277), 1,
      anon_sym_RPAREN,
    STATE(18751), 1,
      sym_limit_clause,
  [426954] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12810), 1,
      sym__string_content,
    ACTIONS(14279), 1,
      sym__string_end,
    STATE(15117), 1,
      aux_sym_string_repeat1,
  [426967] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10031), 1,
      anon_sym_RPAREN,
    STATE(17258), 1,
      sym_limit_clause,
  [426980] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14281), 1,
      anon_sym_RPAREN,
    STATE(17186), 1,
      sym_limit_clause,
  [426993] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10033), 1,
      anon_sym_RPAREN,
    STATE(17181), 1,
      sym_limit_clause,
  [427006] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14283), 1,
      anon_sym_RPAREN,
    STATE(18733), 1,
      sym_limit_clause,
  [427019] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14285), 1,
      anon_sym_RPAREN,
    STATE(17185), 1,
      sym_limit_clause,
  [427032] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6087), 1,
      aux_sym_set_operation_token1,
    ACTIONS(6089), 1,
      aux_sym_set_operation_token3,
    ACTIONS(6091), 1,
      aux_sym_set_operation_token4,
  [427045] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10027), 1,
      anon_sym_RPAREN,
    STATE(17169), 1,
      sym_limit_clause,
  [427058] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12642), 1,
      anon_sym_COMMA,
    ACTIONS(14287), 1,
      anon_sym_RPAREN,
    STATE(15520), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [427071] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14289), 1,
      anon_sym_RPAREN,
    STATE(16676), 1,
      sym_limit_clause,
  [427084] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10029), 1,
      anon_sym_RPAREN,
    STATE(17252), 1,
      sym_limit_clause,
  [427097] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(14291), 1,
      anon_sym_RBRACK,
    STATE(14209), 1,
      aux_sym_set_statement_repeat1,
  [427110] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14293), 1,
      anon_sym_RPAREN,
    STATE(17165), 1,
      sym_limit_clause,
  [427123] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14295), 1,
      anon_sym_RPAREN,
    STATE(18746), 1,
      sym_limit_clause,
  [427136] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14297), 1,
      anon_sym_RPAREN,
    STATE(16551), 1,
      sym_limit_clause,
  [427149] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14299), 1,
      anon_sym_RPAREN,
    STATE(17180), 1,
      sym_limit_clause,
  [427162] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14301), 1,
      anon_sym_RPAREN,
    STATE(17179), 1,
      sym_limit_clause,
  [427175] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14303), 1,
      anon_sym_RPAREN,
    STATE(17158), 1,
      sym_limit_clause,
  [427188] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14305), 1,
      anon_sym_RPAREN,
    STATE(18758), 1,
      sym_limit_clause,
  [427201] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14307), 1,
      anon_sym_RPAREN,
    STATE(16686), 1,
      sym_limit_clause,
  [427214] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14309), 1,
      anon_sym_RPAREN,
    STATE(18760), 1,
      sym_limit_clause,
  [427227] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14311), 1,
      anon_sym_RPAREN,
    STATE(17178), 1,
      sym_limit_clause,
  [427240] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11712), 1,
      anon_sym_RPAREN,
    STATE(17250), 1,
      sym_limit_clause,
  [427253] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14313), 1,
      anon_sym_RPAREN,
    STATE(17177), 1,
      sym_limit_clause,
  [427266] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14315), 1,
      anon_sym_RPAREN,
    STATE(17176), 1,
      sym_limit_clause,
  [427279] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14317), 1,
      anon_sym_RPAREN,
    STATE(17152), 1,
      sym_limit_clause,
  [427292] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14319), 1,
      anon_sym_RPAREN,
    STATE(17175), 1,
      sym_limit_clause,
  [427305] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11710), 1,
      anon_sym_RPAREN,
    STATE(17151), 1,
      sym_limit_clause,
  [427318] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9628), 1,
      anon_sym_RPAREN,
    STATE(19134), 1,
      sym_limit_clause,
  [427331] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(7232), 1,
      anon_sym_RBRACK,
    STATE(14209), 1,
      aux_sym_set_statement_repeat1,
  [427344] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10019), 1,
      anon_sym_RPAREN,
    STATE(17149), 1,
      sym_limit_clause,
  [427357] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14321), 1,
      anon_sym_RPAREN,
    STATE(18805), 1,
      sym_limit_clause,
  [427370] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11700), 1,
      anon_sym_RPAREN,
    STATE(18807), 1,
      sym_limit_clause,
  [427383] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12642), 1,
      anon_sym_COMMA,
    ACTIONS(14323), 1,
      anon_sym_RPAREN,
    STATE(15415), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [427396] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9636), 1,
      anon_sym_RPAREN,
    STATE(19131), 1,
      sym_limit_clause,
  [427409] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14325), 1,
      anon_sym_RPAREN,
    STATE(17144), 1,
      sym_limit_clause,
  [427422] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14327), 1,
      anon_sym_RPAREN,
    STATE(18708), 1,
      sym_limit_clause,
  [427435] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(7234), 1,
      anon_sym_RPAREN,
    STATE(15538), 1,
      aux_sym_function_call_repeat1,
  [427448] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14329), 1,
      anon_sym_RPAREN,
    STATE(16559), 1,
      sym_limit_clause,
  [427461] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11684), 1,
      anon_sym_RPAREN,
    STATE(17141), 1,
      sym_limit_clause,
  [427474] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(14273), 1,
      anon_sym_RPAREN,
    STATE(15552), 1,
      aux_sym_struct_repeat1,
  [427487] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14331), 1,
      anon_sym_RPAREN,
    STATE(19227), 1,
      sym_limit_clause,
  [427500] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14333), 1,
      anon_sym_RPAREN,
    STATE(17140), 1,
      sym_limit_clause,
  [427513] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9917), 1,
      anon_sym_RPAREN,
    STATE(18841), 1,
      sym_limit_clause,
  [427526] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14335), 1,
      anon_sym_RPAREN,
    STATE(18763), 1,
      sym_limit_clause,
  [427539] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11680), 1,
      anon_sym_RPAREN,
    STATE(18842), 1,
      sym_limit_clause,
  [427552] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14337), 1,
      anon_sym_RPAREN,
    STATE(16561), 1,
      sym_limit_clause,
  [427565] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12810), 1,
      sym__string_content,
    ACTIONS(14339), 1,
      sym__string_end,
    STATE(15117), 1,
      aux_sym_string_repeat1,
  [427578] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14341), 1,
      anon_sym_RPAREN,
    STATE(17134), 1,
      sym_limit_clause,
  [427591] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14343), 1,
      anon_sym_RPAREN,
    STATE(18771), 1,
      sym_limit_clause,
  [427604] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14345), 1,
      anon_sym_RPAREN,
    STATE(17132), 1,
      sym_limit_clause,
  [427617] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10567), 1,
      sym__string_content,
    ACTIONS(10569), 1,
      sym__string_end,
    STATE(15495), 1,
      aux_sym_string_repeat1,
  [427630] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14347), 1,
      anon_sym_RPAREN,
    STATE(17131), 1,
      sym_limit_clause,
  [427643] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14349), 1,
      anon_sym_RPAREN,
    STATE(18843), 1,
      sym_limit_clause,
  [427656] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14351), 1,
      anon_sym_RPAREN,
    STATE(18772), 1,
      sym_limit_clause,
  [427669] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14353), 1,
      anon_sym_RPAREN,
    STATE(16564), 1,
      sym_limit_clause,
  [427682] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14355), 1,
      anon_sym_RPAREN,
    STATE(16572), 1,
      sym_limit_clause,
  [427695] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(14357), 1,
      anon_sym_RPAREN,
    STATE(14523), 1,
      aux_sym_struct_repeat1,
  [427708] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14359), 1,
      anon_sym_RPAREN,
    STATE(17125), 1,
      sym_limit_clause,
  [427721] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(7252), 1,
      anon_sym_RBRACK,
    STATE(14209), 1,
      aux_sym_set_statement_repeat1,
  [427734] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14361), 1,
      anon_sym_RPAREN,
    STATE(17124), 1,
      sym_limit_clause,
  [427747] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(7254), 1,
      anon_sym_RPAREN,
    STATE(15522), 1,
      aux_sym_function_call_repeat1,
  [427760] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9901), 1,
      anon_sym_RPAREN,
    STATE(18825), 1,
      sym_limit_clause,
  [427773] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10005), 1,
      anon_sym_RPAREN,
    STATE(17226), 1,
      sym_limit_clause,
  [427786] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(14357), 1,
      anon_sym_RPAREN,
    STATE(15526), 1,
      aux_sym_struct_repeat1,
  [427799] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9722), 1,
      anon_sym_RPAREN,
    STATE(17139), 1,
      sym_limit_clause,
  [427812] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14363), 1,
      anon_sym_RPAREN,
    STATE(17121), 1,
      sym_limit_clause,
  [427825] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14365), 1,
      anon_sym_RPAREN,
    STATE(18784), 1,
      sym_limit_clause,
  [427838] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11666), 1,
      anon_sym_RPAREN,
    STATE(17119), 1,
      sym_limit_clause,
  [427851] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14367), 1,
      aux_sym__keyword_then_token1,
    ACTIONS(14369), 1,
      aux_sym__keyword_and_token1,
    STATE(1707), 1,
      sym__keyword_and,
  [427864] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14371), 1,
      anon_sym_RPAREN,
    STATE(16577), 1,
      sym_limit_clause,
  [427877] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14373), 1,
      anon_sym_RPAREN,
    STATE(17118), 1,
      sym_limit_clause,
  [427890] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12642), 1,
      anon_sym_COMMA,
    ACTIONS(14375), 1,
      anon_sym_RPAREN,
    STATE(15380), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [427903] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14377), 1,
      anon_sym_RPAREN,
    STATE(18860), 1,
      sym_limit_clause,
  [427916] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(14379), 1,
      anon_sym_RPAREN,
    STATE(15102), 1,
      aux_sym_function_call_repeat1,
  [427929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14381), 1,
      sym__string_start,
    STATE(2277), 2,
      sym__range_string,
      sym_string,
  [427940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2214), 1,
      sym__identifier,
    ACTIONS(14383), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
  [427951] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14385), 1,
      anon_sym_RPAREN,
    STATE(17112), 1,
      sym_limit_clause,
  [427964] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(14387), 1,
      anon_sym_RPAREN,
    STATE(14523), 1,
      aux_sym_struct_repeat1,
  [427977] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14389), 1,
      anon_sym_RPAREN,
    STATE(17111), 1,
      sym_limit_clause,
  [427990] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(14391), 1,
      anon_sym_RBRACK,
    STATE(14209), 1,
      aux_sym_set_statement_repeat1,
  [428003] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14393), 1,
      anon_sym_RPAREN,
    STATE(17110), 1,
      sym_limit_clause,
  [428016] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9714), 1,
      anon_sym_RPAREN,
    STATE(17126), 1,
      sym_limit_clause,
  [428029] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14395), 1,
      anon_sym_RPAREN,
    STATE(18867), 1,
      sym_limit_clause,
  [428042] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14397), 1,
      anon_sym_RPAREN,
    STATE(17109), 1,
      sym_limit_clause,
  [428055] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9704), 1,
      anon_sym_RPAREN,
    STATE(17123), 1,
      sym_limit_clause,
  [428068] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14399), 1,
      anon_sym_RPAREN,
    STATE(17107), 1,
      sym_limit_clause,
  [428081] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12756), 1,
      anon_sym_COMMA,
    ACTIONS(14401), 1,
      anon_sym_RPAREN,
    STATE(15715), 1,
      aux_sym_option_clause_repeat1,
  [428094] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14403), 1,
      anon_sym_RPAREN,
    STATE(17105), 1,
      sym_limit_clause,
  [428107] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14405), 1,
      anon_sym_RPAREN,
    STATE(19002), 1,
      sym_limit_clause,
  [428120] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(14407), 1,
      anon_sym_RPAREN,
    STATE(15102), 1,
      aux_sym_function_call_repeat1,
  [428133] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9702), 1,
      anon_sym_RPAREN,
    STATE(17116), 1,
      sym_limit_clause,
  [428146] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9859), 1,
      anon_sym_RPAREN,
    STATE(18869), 1,
      sym_limit_clause,
  [428159] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(14409), 1,
      anon_sym_RPAREN,
    STATE(15102), 1,
      aux_sym_function_call_repeat1,
  [428172] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12642), 1,
      anon_sym_COMMA,
    ACTIONS(14411), 1,
      anon_sym_RPAREN,
    STATE(15588), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [428185] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14413), 1,
      anon_sym_RPAREN,
    STATE(17102), 1,
      sym_limit_clause,
  [428198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14415), 1,
      sym__string_start,
    STATE(9893), 2,
      sym__range_string,
      sym_string,
  [428209] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14417), 1,
      anon_sym_RPAREN,
    STATE(17101), 1,
      sym_limit_clause,
  [428222] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11640), 1,
      anon_sym_RPAREN,
    STATE(17087), 1,
      sym_limit_clause,
  [428235] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14419), 1,
      anon_sym_RPAREN,
    STATE(17100), 1,
      sym_limit_clause,
  [428248] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9850), 1,
      anon_sym_RPAREN,
    STATE(18873), 1,
      sym_limit_clause,
  [428261] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14421), 1,
      anon_sym_RPAREN,
    STATE(16569), 1,
      sym_limit_clause,
  [428274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(9891), 1,
      sym__identifier,
    ACTIONS(14423), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
  [428285] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9686), 1,
      anon_sym_RPAREN,
    STATE(17085), 1,
      sym_limit_clause,
  [428298] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(14425), 1,
      anon_sym_RPAREN,
    STATE(14523), 1,
      aux_sym_struct_repeat1,
  [428311] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9841), 1,
      anon_sym_RPAREN,
    STATE(18875), 1,
      sym_limit_clause,
  [428324] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14427), 1,
      anon_sym_RPAREN,
    STATE(16520), 1,
      sym_limit_clause,
  [428337] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9684), 1,
      anon_sym_RPAREN,
    STATE(17079), 1,
      sym_limit_clause,
  [428350] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14429), 1,
      anon_sym_RPAREN,
    STATE(17095), 1,
      sym_limit_clause,
  [428363] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13877), 1,
      anon_sym_COMMA,
    ACTIONS(14431), 1,
      aux_sym_join_condition_token1,
    STATE(15177), 1,
      aux_sym_grant_statement_repeat1,
  [428376] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9682), 1,
      anon_sym_RPAREN,
    STATE(17070), 1,
      sym_limit_clause,
  [428389] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14433), 1,
      anon_sym_RPAREN,
    STATE(17094), 1,
      sym_limit_clause,
  [428402] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11638), 1,
      anon_sym_RPAREN,
    STATE(18876), 1,
      sym_limit_clause,
  [428415] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14435), 1,
      anon_sym_RPAREN,
    STATE(17093), 1,
      sym_limit_clause,
  [428428] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14437), 1,
      anon_sym_RPAREN,
    STATE(17021), 1,
      sym_limit_clause,
  [428441] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14439), 1,
      anon_sym_RPAREN,
    STATE(17092), 1,
      sym_limit_clause,
  [428454] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14441), 1,
      anon_sym_RPAREN,
    STATE(18835), 1,
      sym_limit_clause,
  [428467] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(14443), 1,
      anon_sym_RBRACK,
    STATE(14209), 1,
      aux_sym_set_statement_repeat1,
  [428480] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9640), 1,
      anon_sym_RPAREN,
    STATE(19127), 1,
      sym_limit_clause,
  [428493] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9802), 1,
      anon_sym_RPAREN,
    STATE(18893), 1,
      sym_limit_clause,
  [428506] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14445), 1,
      anon_sym_RPAREN,
    STATE(16571), 1,
      sym_limit_clause,
  [428519] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14447), 1,
      anon_sym_RPAREN,
    STATE(16940), 1,
      sym_limit_clause,
  [428532] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9810), 1,
      anon_sym_RPAREN,
    STATE(18924), 1,
      sym_limit_clause,
  [428545] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14449), 1,
      anon_sym_RPAREN,
    STATE(18836), 1,
      sym_limit_clause,
  [428558] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(14451), 1,
      anon_sym_RPAREN,
    STATE(15102), 1,
      aux_sym_function_call_repeat1,
  [428571] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14453), 1,
      anon_sym_RPAREN,
    STATE(17088), 1,
      sym_limit_clause,
  [428584] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2412), 1,
      sym__string_start,
    STATE(8084), 1,
      sym__function_body_js,
    STATE(8249), 1,
      sym_string,
  [428597] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14455), 1,
      anon_sym_RPAREN,
    STATE(17086), 1,
      sym_limit_clause,
  [428610] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13525), 1,
      anon_sym_COMMA,
    ACTIONS(14457), 1,
      anon_sym_RPAREN,
    STATE(14950), 1,
      aux_sym_join_condition_repeat1,
  [428623] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14459), 1,
      anon_sym_RPAREN,
    STATE(18837), 1,
      sym_limit_clause,
  [428636] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14461), 1,
      anon_sym_COMMA,
    ACTIONS(14464), 1,
      anon_sym_RPAREN,
    STATE(15578), 1,
      aux_sym_create_function_parameters_repeat1,
  [428649] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2412), 1,
      sym__string_start,
    STATE(8080), 1,
      sym__function_body_js,
    STATE(8249), 1,
      sym_string,
  [428662] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14466), 1,
      anon_sym_RPAREN,
    STATE(17084), 1,
      sym_limit_clause,
  [428675] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14468), 1,
      anon_sym_RPAREN,
    STATE(16575), 1,
      sym_limit_clause,
  [428688] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14470), 1,
      anon_sym_RPAREN,
    STATE(17083), 1,
      sym_limit_clause,
  [428701] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14472), 1,
      anon_sym_COMMA,
    ACTIONS(14474), 1,
      anon_sym_RPAREN,
    STATE(14957), 1,
      aux_sym_multi_column_unpivot_repeat1,
  [428714] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14476), 1,
      anon_sym_RPAREN,
    STATE(16576), 1,
      sym_limit_clause,
  [428727] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14478), 1,
      anon_sym_RPAREN,
    STATE(16579), 1,
      sym_limit_clause,
  [428740] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14480), 1,
      aux_sym__keyword_for_token1,
    ACTIONS(14482), 1,
      anon_sym_COMMA,
    STATE(15586), 1,
      aux_sym_pivot_operator_repeat1,
  [428753] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14485), 1,
      anon_sym_COMMA,
    ACTIONS(14488), 1,
      anon_sym_RPAREN,
    STATE(15587), 1,
      aux_sym_procedure_parameters_repeat1,
  [428766] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12642), 1,
      anon_sym_COMMA,
    ACTIONS(14490), 1,
      anon_sym_RPAREN,
    STATE(15380), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [428779] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14492), 1,
      anon_sym_RPAREN,
    STATE(17082), 1,
      sym_limit_clause,
  [428792] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(14494), 1,
      anon_sym_RPAREN,
    STATE(15505), 1,
      aux_sym_struct_repeat1,
  [428805] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14496), 1,
      anon_sym_RPAREN,
    STATE(17081), 1,
      sym_limit_clause,
  [428818] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14498), 1,
      anon_sym_RPAREN,
    STATE(16891), 1,
      sym_limit_clause,
  [428831] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11616), 1,
      anon_sym_RPAREN,
    STATE(16890), 1,
      sym_limit_clause,
  [428844] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13947), 1,
      anon_sym_COMMA,
    ACTIONS(14500), 1,
      anon_sym_RPAREN,
    STATE(15874), 1,
      aux_sym_grouping_sets_repeat1,
  [428857] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2412), 1,
      sym__string_start,
    STATE(8249), 1,
      sym_string,
    STATE(8300), 1,
      sym__function_body_js,
  [428870] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14502), 1,
      anon_sym_RPAREN,
    STATE(19138), 1,
      sym_limit_clause,
  [428883] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14504), 1,
      anon_sym_RPAREN,
    STATE(16587), 1,
      sym_limit_clause,
  [428896] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9995), 1,
      anon_sym_RPAREN,
    STATE(17209), 1,
      sym_limit_clause,
  [428909] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9586), 1,
      anon_sym_RPAREN,
    STATE(16887), 1,
      sym_limit_clause,
  [428922] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9804), 1,
      anon_sym_RPAREN,
    STATE(18936), 1,
      sym_limit_clause,
  [428935] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9768), 1,
      anon_sym_RPAREN,
    STATE(18896), 1,
      sym_limit_clause,
  [428948] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9766), 1,
      anon_sym_RPAREN,
    STATE(18940), 1,
      sym_limit_clause,
  [428961] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9764), 1,
      anon_sym_RPAREN,
    STATE(18897), 1,
      sym_limit_clause,
  [428974] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9993), 1,
      anon_sym_RPAREN,
    STATE(17194), 1,
      sym_limit_clause,
  [428987] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12642), 1,
      anon_sym_COMMA,
    ACTIONS(14506), 1,
      anon_sym_RPAREN,
    STATE(15819), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [429000] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11242), 1,
      anon_sym_RPAREN,
    STATE(16591), 1,
      sym_limit_clause,
  [429013] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(14508), 1,
      anon_sym_RBRACK,
    STATE(14209), 1,
      aux_sym_set_statement_repeat1,
  [429026] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(7307), 1,
      anon_sym_RPAREN,
    STATE(15618), 1,
      aux_sym_function_call_repeat1,
  [429039] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(14510), 1,
      anon_sym_RBRACK,
    STATE(14209), 1,
      aux_sym_set_statement_repeat1,
  [429052] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14512), 1,
      anon_sym_RPAREN,
    STATE(16874), 1,
      sym_limit_clause,
  [429065] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(14514), 1,
      anon_sym_RPAREN,
    STATE(14523), 1,
      aux_sym_struct_repeat1,
  [429078] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9989), 1,
      anon_sym_RPAREN,
    STATE(17071), 1,
      sym_limit_clause,
  [429091] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(14516), 1,
      anon_sym_RPAREN,
    STATE(14523), 1,
      aux_sym_struct_repeat1,
  [429104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(427), 1,
      sym__identifier,
    ACTIONS(13584), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
  [429115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4837), 1,
      sym__identifier,
    ACTIONS(14518), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
  [429126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14520), 1,
      sym__string_start,
    STATE(4835), 2,
      sym__range_string,
      sym_string,
  [429137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14522), 1,
      sym__string_start,
    STATE(3213), 2,
      sym__range_string,
      sym_string,
  [429148] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(14524), 1,
      anon_sym_RPAREN,
    STATE(15102), 1,
      aux_sym_function_call_repeat1,
  [429161] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11596), 1,
      anon_sym_RPAREN,
    STATE(16869), 1,
      sym_limit_clause,
  [429174] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9987), 1,
      anon_sym_RPAREN,
    STATE(17064), 1,
      sym_limit_clause,
  [429187] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(14526), 1,
      anon_sym_RPAREN,
    STATE(15102), 1,
      aux_sym_function_call_repeat1,
  [429200] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(14528), 1,
      anon_sym_RPAREN,
    STATE(15102), 1,
      aux_sym_function_call_repeat1,
  [429213] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12756), 1,
      anon_sym_COMMA,
    ACTIONS(14530), 1,
      anon_sym_RPAREN,
    STATE(15715), 1,
      aux_sym_option_clause_repeat1,
  [429226] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12756), 1,
      anon_sym_COMMA,
    ACTIONS(14532), 1,
      anon_sym_RPAREN,
    STATE(15715), 1,
      aux_sym_option_clause_repeat1,
  [429239] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9985), 1,
      anon_sym_RPAREN,
    STATE(17063), 1,
      sym_limit_clause,
  [429252] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14534), 1,
      anon_sym_RPAREN,
    STATE(18847), 1,
      sym_limit_clause,
  [429265] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14536), 1,
      anon_sym_RPAREN,
    STATE(18854), 1,
      sym_limit_clause,
  [429278] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14538), 1,
      anon_sym_RPAREN,
    STATE(16592), 1,
      sym_limit_clause,
  [429291] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13947), 1,
      anon_sym_COMMA,
    ACTIONS(14540), 1,
      anon_sym_RPAREN,
    STATE(15874), 1,
      aux_sym_grouping_sets_repeat1,
  [429304] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9981), 1,
      anon_sym_RPAREN,
    STATE(17059), 1,
      sym_limit_clause,
  [429317] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(14542), 1,
      anon_sym_RPAREN,
    STATE(15102), 1,
      aux_sym_function_call_repeat1,
  [429330] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9977), 1,
      anon_sym_RPAREN,
    STATE(17075), 1,
      sym_limit_clause,
  [429343] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(14544), 1,
      anon_sym_RPAREN,
    STATE(15102), 1,
      aux_sym_function_call_repeat1,
  [429356] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13947), 1,
      anon_sym_COMMA,
    ACTIONS(14546), 1,
      anon_sym_RPAREN,
    STATE(15879), 1,
      aux_sym_grouping_sets_repeat1,
  [429369] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12592), 1,
      anon_sym_COMMA,
    ACTIONS(14548), 1,
      anon_sym_RPAREN,
    STATE(14948), 1,
      aux_sym_pivot_operator_repeat2,
  [429382] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(14550), 1,
      anon_sym_RPAREN,
    STATE(15613), 1,
      aux_sym_struct_repeat1,
  [429395] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14552), 1,
      anon_sym_LPAREN,
    ACTIONS(14554), 1,
      aux_sym_unpivot_operator_token2,
    ACTIONS(14556), 1,
      aux_sym_unpivot_operator_token3,
  [429408] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(7242), 1,
      anon_sym_RPAREN,
    STATE(15622), 1,
      aux_sym_function_call_repeat1,
  [429421] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13947), 1,
      anon_sym_COMMA,
    ACTIONS(14558), 1,
      anon_sym_RPAREN,
    STATE(15882), 1,
      aux_sym_grouping_sets_repeat1,
  [429434] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11602), 1,
      anon_sym_RPAREN,
    STATE(17049), 1,
      sym_limit_clause,
  [429447] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9760), 1,
      anon_sym_RPAREN,
    STATE(18912), 1,
      sym_limit_clause,
  [429460] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14560), 1,
      anon_sym_RPAREN,
    STATE(16581), 1,
      sym_limit_clause,
  [429473] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9971), 1,
      anon_sym_RPAREN,
    STATE(17047), 1,
      sym_limit_clause,
  [429486] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12642), 1,
      anon_sym_COMMA,
    ACTIONS(14562), 1,
      anon_sym_RPAREN,
    STATE(15746), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [429499] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(7240), 1,
      anon_sym_RBRACK,
    STATE(14209), 1,
      aux_sym_set_statement_repeat1,
  [429512] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12592), 1,
      anon_sym_COMMA,
    ACTIONS(14564), 1,
      anon_sym_RPAREN,
    STATE(15635), 1,
      aux_sym_pivot_operator_repeat2,
  [429525] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12592), 1,
      anon_sym_COMMA,
    ACTIONS(14566), 1,
      anon_sym_RPAREN,
    STATE(14948), 1,
      aux_sym_pivot_operator_repeat2,
  [429538] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9969), 1,
      anon_sym_RPAREN,
    STATE(17046), 1,
      sym_limit_clause,
  [429551] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14568), 1,
      anon_sym_RPAREN,
    STATE(18855), 1,
      sym_limit_clause,
  [429564] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(14570), 1,
      anon_sym_RPAREN,
    STATE(15611), 1,
      aux_sym_struct_repeat1,
  [429577] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12592), 1,
      anon_sym_COMMA,
    ACTIONS(14572), 1,
      anon_sym_RPAREN,
    STATE(15647), 1,
      aux_sym_pivot_operator_repeat2,
  [429590] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9967), 1,
      anon_sym_RPAREN,
    STATE(17041), 1,
      sym_limit_clause,
  [429603] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11594), 1,
      anon_sym_RPAREN,
    STATE(18951), 1,
      sym_limit_clause,
  [429616] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(14550), 1,
      anon_sym_RPAREN,
    STATE(14523), 1,
      aux_sym_struct_repeat1,
  [429629] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14574), 1,
      anon_sym_RPAREN,
    STATE(16593), 1,
      sym_limit_clause,
  [429642] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14576), 1,
      anon_sym_RPAREN,
    STATE(16521), 1,
      sym_limit_clause,
  [429655] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14578), 1,
      anon_sym_RPAREN,
    STATE(17036), 1,
      sym_limit_clause,
  [429668] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(7230), 1,
      anon_sym_RPAREN,
    STATE(15621), 1,
      aux_sym_function_call_repeat1,
  [429681] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(7238), 1,
      anon_sym_RBRACK,
    STATE(14209), 1,
      aux_sym_set_statement_repeat1,
  [429694] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14580), 1,
      anon_sym_RPAREN,
    STATE(16596), 1,
      sym_limit_clause,
  [429707] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14582), 1,
      anon_sym_RPAREN,
    STATE(16860), 1,
      sym_limit_clause,
  [429720] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14584), 1,
      anon_sym_RPAREN,
    STATE(17029), 1,
      sym_limit_clause,
  [429733] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13877), 1,
      anon_sym_COMMA,
    ACTIONS(14586), 1,
      aux_sym_join_condition_token1,
    STATE(15182), 1,
      aux_sym_grant_statement_repeat1,
  [429746] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14588), 1,
      anon_sym_RPAREN,
    STATE(18857), 1,
      sym_limit_clause,
  [429759] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14590), 1,
      anon_sym_RPAREN,
    STATE(18858), 1,
      sym_limit_clause,
  [429772] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14592), 1,
      aux_sym__keyword_then_token1,
    ACTIONS(14594), 1,
      aux_sym__keyword_and_token1,
    STATE(1245), 1,
      sym__keyword_and,
  [429785] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(14596), 1,
      anon_sym_RPAREN,
    STATE(15654), 1,
      aux_sym_struct_repeat1,
  [429798] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(14570), 1,
      anon_sym_RPAREN,
    STATE(14523), 1,
      aux_sym_struct_repeat1,
  [429811] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14598), 1,
      anon_sym_RPAREN,
    STATE(16588), 1,
      sym_limit_clause,
  [429824] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14600), 1,
      anon_sym_RPAREN,
    STATE(17025), 1,
      sym_limit_clause,
  [429837] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14602), 1,
      anon_sym_COMMA,
    ACTIONS(14605), 1,
      anon_sym_RPAREN,
    STATE(15671), 1,
      aux_sym_select_all_replace_repeat1,
  [429850] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11582), 1,
      anon_sym_RPAREN,
    STATE(17024), 1,
      sym_limit_clause,
  [429863] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11254), 1,
      anon_sym_RPAREN,
    STATE(19108), 1,
      sym_limit_clause,
  [429876] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14607), 1,
      anon_sym_RPAREN,
    STATE(16606), 1,
      sym_limit_clause,
  [429889] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9951), 1,
      anon_sym_RPAREN,
    STATE(17023), 1,
      sym_limit_clause,
  [429902] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14609), 1,
      anon_sym_RPAREN,
    STATE(16612), 1,
      sym_limit_clause,
  [429915] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12810), 1,
      sym__string_content,
    ACTIONS(14611), 1,
      sym__string_end,
    STATE(15117), 1,
      aux_sym_string_repeat1,
  [429928] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14613), 1,
      anon_sym_COMMA,
    ACTIONS(14616), 1,
      anon_sym_RPAREN,
    STATE(15678), 1,
      aux_sym_select_all_except_repeat1,
  [429941] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9754), 1,
      anon_sym_RPAREN,
    STATE(18899), 1,
      sym_limit_clause,
  [429954] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14618), 1,
      anon_sym_RPAREN,
    STATE(17020), 1,
      sym_limit_clause,
  [429967] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14620), 1,
      anon_sym_RPAREN,
    STATE(18859), 1,
      sym_limit_clause,
  [429980] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9752), 1,
      anon_sym_RPAREN,
    STATE(18955), 1,
      sym_limit_clause,
  [429993] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2412), 1,
      sym__string_start,
    STATE(8249), 1,
      sym_string,
    STATE(8344), 1,
      sym__function_body_js,
  [430006] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11570), 1,
      anon_sym_RPAREN,
    STATE(17016), 1,
      sym_limit_clause,
  [430019] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14624), 1,
      anon_sym_STAR,
    ACTIONS(14622), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
  [430030] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14626), 1,
      anon_sym_RPAREN,
    STATE(16613), 1,
      sym_limit_clause,
  [430043] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14628), 1,
      anon_sym_RPAREN,
    STATE(17015), 1,
      sym_limit_clause,
  [430056] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9735), 1,
      anon_sym_RPAREN,
    STATE(19074), 1,
      sym_limit_clause,
  [430069] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_COMMA,
    ACTIONS(14630), 1,
      anon_sym_RPAREN,
    STATE(15668), 1,
      aux_sym_struct_repeat1,
  [430082] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14632), 1,
      anon_sym_RPAREN,
    STATE(16595), 1,
      sym_limit_clause,
  [430095] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9238), 1,
      anon_sym_COMMA,
    ACTIONS(14634), 1,
      aux_sym_alter_table_rename_statement_token2,
    STATE(12830), 1,
      aux_sym_declare_statement_repeat1,
  [430108] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14636), 1,
      anon_sym_RPAREN,
    STATE(16771), 1,
      sym_limit_clause,
  [430121] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14638), 1,
      anon_sym_RPAREN,
    STATE(17009), 1,
      sym_limit_clause,
  [430134] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11260), 1,
      anon_sym_RPAREN,
    STATE(16772), 1,
      sym_limit_clause,
  [430147] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14640), 1,
      anon_sym_RPAREN,
    STATE(17008), 1,
      sym_limit_clause,
  [430160] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9660), 1,
      anon_sym_RPAREN,
    STATE(19106), 1,
      sym_limit_clause,
  [430173] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14642), 1,
      anon_sym_RPAREN,
    STATE(17006), 1,
      sym_limit_clause,
  [430186] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12810), 1,
      sym__string_content,
    ACTIONS(14644), 1,
      sym__string_end,
    STATE(15117), 1,
      aux_sym_string_repeat1,
  [430199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(114), 1,
      sym__keyword_struct,
    ACTIONS(14646), 2,
      aux_sym__keyword_struct_token1,
      aux_sym_select_token2,
  [430210] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14648), 1,
      anon_sym_RPAREN,
    STATE(19192), 1,
      sym_limit_clause,
  [430223] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14650), 1,
      anon_sym_RPAREN,
    STATE(16621), 1,
      sym_limit_clause,
  [430236] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9238), 1,
      anon_sym_COMMA,
    ACTIONS(14652), 1,
      aux_sym_alter_table_rename_statement_token2,
    STATE(12830), 1,
      aux_sym_declare_statement_repeat1,
  [430249] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14654), 1,
      anon_sym_RPAREN,
    STATE(16987), 1,
      sym_limit_clause,
  [430262] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9662), 1,
      anon_sym_RPAREN,
    STATE(19103), 1,
      sym_limit_clause,
  [430275] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14656), 1,
      anon_sym_RPAREN,
    STATE(16981), 1,
      sym_limit_clause,
  [430288] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9238), 1,
      anon_sym_COMMA,
    ACTIONS(14658), 1,
      aux_sym__keyword_from_token1,
    STATE(12830), 1,
      aux_sym_declare_statement_repeat1,
  [430301] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11264), 1,
      anon_sym_RPAREN,
    STATE(16622), 1,
      sym_limit_clause,
  [430314] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10577), 1,
      sym__string_content,
    ACTIONS(10579), 1,
      sym__string_end,
    STATE(15677), 1,
      aux_sym_string_repeat1,
  [430327] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9594), 1,
      anon_sym_RPAREN,
    STATE(16774), 1,
      sym_limit_clause,
  [430340] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9238), 1,
      anon_sym_COMMA,
    ACTIONS(14660), 1,
      aux_sym__keyword_from_token1,
    STATE(12830), 1,
      aux_sym_declare_statement_repeat1,
  [430353] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14662), 1,
      anon_sym_RPAREN,
    STATE(16978), 1,
      sym_limit_clause,
  [430366] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14664), 1,
      anon_sym_RPAREN,
    STATE(19190), 1,
      sym_limit_clause,
  [430379] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11554), 1,
      anon_sym_RPAREN,
    STATE(16976), 1,
      sym_limit_clause,
  [430392] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13343), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(13345), 1,
      aux_sym_constraint_enfoce_option_token1,
    STATE(6745), 1,
      sym_constraint_enfoce_option,
  [430405] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14666), 1,
      anon_sym_COMMA,
    ACTIONS(14669), 1,
      anon_sym_RPAREN,
    STATE(15715), 1,
      aux_sym_option_clause_repeat1,
  [430418] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14671), 1,
      anon_sym_RPAREN,
    STATE(16975), 1,
      sym_limit_clause,
  [430431] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14673), 1,
      anon_sym_RPAREN,
    STATE(16629), 1,
      sym_limit_clause,
  [430444] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10545), 1,
      sym__string_content,
    ACTIONS(10547), 1,
      sym__string_end,
    STATE(15698), 1,
      aux_sym_string_repeat1,
  [430457] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9664), 1,
      anon_sym_RPAREN,
    STATE(19099), 1,
      sym_limit_clause,
  [430470] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8726), 1,
      aux_sym__keyword_from_token1,
    STATE(7502), 1,
      sym_from_files_clause,
    STATE(17512), 1,
      sym__keyword_from,
  [430483] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14675), 1,
      anon_sym_RPAREN,
    STATE(16854), 1,
      sym_limit_clause,
  [430496] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14677), 1,
      anon_sym_RPAREN,
    STATE(16968), 1,
      sym_limit_clause,
  [430509] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8726), 1,
      aux_sym__keyword_from_token1,
    STATE(7509), 1,
      sym_from_files_clause,
    STATE(17512), 1,
      sym__keyword_from,
  [430522] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14679), 1,
      anon_sym_RPAREN,
    STATE(16966), 1,
      sym_limit_clause,
  [430535] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14681), 1,
      anon_sym_RPAREN,
    STATE(16839), 1,
      sym_limit_clause,
  [430548] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14683), 1,
      anon_sym_RPAREN,
    STATE(16963), 1,
      sym_limit_clause,
  [430561] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14685), 1,
      anon_sym_RPAREN,
    STATE(19110), 1,
      sym_limit_clause,
  [430574] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14687), 1,
      anon_sym_RPAREN,
    STATE(16782), 1,
      sym_limit_clause,
  [430587] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14689), 1,
      anon_sym_RPAREN,
    STATE(16961), 1,
      sym_limit_clause,
  [430600] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9820), 1,
      anon_sym_RPAREN,
    STATE(16633), 1,
      sym_limit_clause,
  [430613] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14691), 1,
      anon_sym_RPAREN,
    STATE(16959), 1,
      sym_limit_clause,
  [430626] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14693), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [430635] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14695), 1,
      anon_sym_RPAREN,
    STATE(16958), 1,
      sym_limit_clause,
  [430648] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14697), 1,
      anon_sym_RPAREN,
    STATE(19189), 1,
      sym_limit_clause,
  [430661] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11272), 1,
      anon_sym_RPAREN,
    STATE(16635), 1,
      sym_limit_clause,
  [430674] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14699), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [430683] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14701), 1,
      anon_sym_RPAREN,
    STATE(19136), 1,
      sym_limit_clause,
  [430696] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14703), 1,
      anon_sym_RPAREN,
    STATE(16835), 1,
      sym_limit_clause,
  [430709] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14705), 1,
      anon_sym_RPAREN,
    STATE(16834), 1,
      sym_limit_clause,
  [430722] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14707), 1,
      anon_sym_RPAREN,
    STATE(16950), 1,
      sym_limit_clause,
  [430735] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14709), 1,
      anon_sym_RPAREN,
    STATE(17033), 1,
      sym_limit_clause,
  [430748] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14711), 1,
      anon_sym_RPAREN,
    STATE(16948), 1,
      sym_limit_clause,
  [430761] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14713), 1,
      anon_sym_RPAREN,
    STATE(17032), 1,
      sym_limit_clause,
  [430774] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14715), 1,
      anon_sym_RPAREN,
    STATE(16947), 1,
      sym_limit_clause,
  [430787] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13343), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(13345), 1,
      aux_sym_constraint_enfoce_option_token1,
    STATE(7842), 1,
      sym_constraint_enfoce_option,
  [430800] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12642), 1,
      anon_sym_COMMA,
    ACTIONS(14717), 1,
      anon_sym_RPAREN,
    STATE(15380), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [430813] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14719), 1,
      anon_sym_RPAREN,
    STATE(16759), 1,
      sym_limit_clause,
  [430826] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11522), 1,
      anon_sym_RPAREN,
    STATE(16758), 1,
      sym_limit_clause,
  [430839] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14721), 1,
      anon_sym_RPAREN,
    STATE(19153), 1,
      sym_limit_clause,
  [430852] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14723), 1,
      anon_sym_RPAREN,
    STATE(19094), 1,
      sym_limit_clause,
  [430865] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14725), 1,
      anon_sym_RPAREN,
    STATE(16756), 1,
      sym_limit_clause,
  [430878] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14727), 1,
      anon_sym_RPAREN,
    STATE(18879), 1,
      sym_limit_clause,
  [430891] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14729), 1,
      anon_sym_RPAREN,
    STATE(16939), 1,
      sym_limit_clause,
  [430904] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11516), 1,
      anon_sym_RPAREN,
    STATE(19161), 1,
      sym_limit_clause,
  [430917] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14731), 1,
      anon_sym_RPAREN,
    STATE(16637), 1,
      sym_limit_clause,
  [430930] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14733), 1,
      anon_sym_RPAREN,
    STATE(16937), 1,
      sym_limit_clause,
  [430943] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14735), 1,
      anon_sym_RPAREN,
    STATE(16744), 1,
      sym_limit_clause,
  [430956] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14737), 1,
      anon_sym_RPAREN,
    STATE(16935), 1,
      sym_limit_clause,
  [430969] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14739), 1,
      anon_sym_RPAREN,
    STATE(16743), 1,
      sym_limit_clause,
  [430982] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14741), 1,
      anon_sym_RPAREN,
    STATE(16934), 1,
      sym_limit_clause,
  [430995] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11284), 1,
      anon_sym_RPAREN,
    STATE(16787), 1,
      sym_limit_clause,
  [431008] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9712), 1,
      anon_sym_RPAREN,
    STATE(19163), 1,
      sym_limit_clause,
  [431021] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14743), 1,
      anon_sym_RPAREN,
    STATE(16742), 1,
      sym_limit_clause,
  [431034] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14745), 1,
      anon_sym_RPAREN,
    STATE(16741), 1,
      sym_limit_clause,
  [431047] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14747), 1,
      anon_sym_RPAREN,
    STATE(16740), 1,
      sym_limit_clause,
  [431060] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14749), 1,
      anon_sym_RPAREN,
    STATE(16739), 1,
      sym_limit_clause,
  [431073] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13343), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(13345), 1,
      aux_sym_constraint_enfoce_option_token1,
    STATE(7750), 1,
      sym_constraint_enfoce_option,
  [431086] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11512), 1,
      anon_sym_RPAREN,
    STATE(18881), 1,
      sym_limit_clause,
  [431099] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14751), 1,
      anon_sym_RPAREN,
    STATE(16734), 1,
      sym_limit_clause,
  [431112] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14753), 1,
      anon_sym_RPAREN,
    STATE(16930), 1,
      sym_limit_clause,
  [431125] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14755), 1,
      anon_sym_RPAREN,
    STATE(16733), 1,
      sym_limit_clause,
  [431138] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14757), 1,
      anon_sym_RPAREN,
    STATE(16928), 1,
      sym_limit_clause,
  [431151] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14759), 1,
      anon_sym_RPAREN,
    STATE(18985), 1,
      sym_limit_clause,
  [431164] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14761), 1,
      anon_sym_RPAREN,
    STATE(16732), 1,
      sym_limit_clause,
  [431177] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14763), 1,
      anon_sym_RPAREN,
    STATE(18882), 1,
      sym_limit_clause,
  [431190] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14765), 1,
      anon_sym_RPAREN,
    STATE(18958), 1,
      sym_limit_clause,
  [431203] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14767), 1,
      anon_sym_RPAREN,
    STATE(16927), 1,
      sym_limit_clause,
  [431216] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(7351), 1,
      anon_sym_RPAREN,
    STATE(14209), 1,
      aux_sym_set_statement_repeat1,
  [431229] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14769), 1,
      anon_sym_RPAREN,
    STATE(16923), 1,
      sym_limit_clause,
  [431242] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14771), 1,
      anon_sym_RPAREN,
    STATE(16644), 1,
      sym_limit_clause,
  [431255] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14773), 1,
      anon_sym_RPAREN,
    STATE(16726), 1,
      sym_limit_clause,
  [431268] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14775), 1,
      anon_sym_RPAREN,
    STATE(16724), 1,
      sym_limit_clause,
  [431281] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14777), 1,
      anon_sym_RPAREN,
    STATE(19087), 1,
      sym_limit_clause,
  [431294] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9238), 1,
      anon_sym_COMMA,
    ACTIONS(14779), 1,
      anon_sym_RPAREN,
    STATE(15974), 1,
      aux_sym_declare_statement_repeat1,
  [431307] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14781), 1,
      anon_sym_COMMA,
    ACTIONS(14783), 1,
      anon_sym_RPAREN,
    STATE(15972), 1,
      aux_sym_column_type_repeat1,
  [431320] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14785), 1,
      anon_sym_RPAREN,
    STATE(16920), 1,
      sym_limit_clause,
  [431333] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14107), 1,
      anon_sym_COMMA,
    ACTIONS(14787), 1,
      anon_sym_GT,
    STATE(15965), 1,
      aux_sym__column_definition_type_struct_repeat1,
  [431346] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14789), 1,
      anon_sym_RPAREN,
    STATE(16918), 1,
      sym_limit_clause,
  [431359] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14791), 1,
      anon_sym_RPAREN,
    STATE(18886), 1,
      sym_limit_clause,
  [431372] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13343), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(13345), 1,
      aux_sym_constraint_enfoce_option_token1,
    STATE(12902), 1,
      sym_constraint_enfoce_option,
  [431385] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14793), 1,
      anon_sym_RPAREN,
    STATE(18961), 1,
      sym_limit_clause,
  [431398] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14795), 1,
      anon_sym_RPAREN,
    STATE(16993), 1,
      sym_limit_clause,
  [431411] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14797), 1,
      anon_sym_RPAREN,
    STATE(16992), 1,
      sym_limit_clause,
  [431424] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14799), 1,
      anon_sym_RPAREN,
    STATE(16991), 1,
      sym_limit_clause,
  [431437] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14801), 1,
      anon_sym_RPAREN,
    STATE(16990), 1,
      sym_limit_clause,
  [431450] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14803), 1,
      anon_sym_RPAREN,
    STATE(18887), 1,
      sym_limit_clause,
  [431463] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14805), 1,
      anon_sym_RPAREN,
    STATE(18903), 1,
      sym_limit_clause,
  [431476] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14807), 1,
      anon_sym_RPAREN,
    STATE(18969), 1,
      sym_limit_clause,
  [431489] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14809), 1,
      anon_sym_RPAREN,
    STATE(16985), 1,
      sym_limit_clause,
  [431502] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14811), 1,
      aux_sym__keyword_then_token1,
    ACTIONS(14813), 1,
      aux_sym__keyword_and_token1,
    STATE(1264), 1,
      sym__keyword_and,
  [431515] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14815), 1,
      anon_sym_RPAREN,
    STATE(16984), 1,
      sym_limit_clause,
  [431528] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14817), 1,
      aux_sym__keyword_then_token1,
    ACTIONS(14819), 1,
      aux_sym__keyword_and_token1,
    STATE(1258), 1,
      sym__keyword_and,
  [431541] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14821), 1,
      anon_sym_RPAREN,
    STATE(16983), 1,
      sym_limit_clause,
  [431554] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(7299), 1,
      anon_sym_RPAREN,
    STATE(15814), 1,
      aux_sym_function_call_repeat1,
  [431567] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14823), 1,
      anon_sym_RPAREN,
    STATE(16982), 1,
      sym_limit_clause,
  [431580] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14825), 1,
      anon_sym_COMMA,
    ACTIONS(14828), 1,
      anon_sym_RPAREN,
    STATE(15806), 1,
      aux_sym_join_condition_repeat1,
  [431593] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14830), 1,
      anon_sym_RPAREN,
    STATE(16717), 1,
      sym_limit_clause,
  [431606] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9899), 1,
      anon_sym_RPAREN,
    STATE(16882), 1,
      sym_limit_clause,
  [431619] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11474), 1,
      anon_sym_RPAREN,
    STATE(16714), 1,
      sym_limit_clause,
  [431632] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14832), 1,
      anon_sym_RPAREN,
    STATE(18904), 1,
      sym_limit_clause,
  [431645] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14834), 1,
      anon_sym_RPAREN,
    STATE(16841), 1,
      sym_limit_clause,
  [431658] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14836), 1,
      anon_sym_RPAREN,
    STATE(18976), 1,
      sym_limit_clause,
  [431671] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2412), 1,
      sym__string_start,
    STATE(8249), 1,
      sym_string,
    STATE(8271), 1,
      sym__function_body_js,
  [431684] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(14838), 1,
      anon_sym_RPAREN,
    STATE(15102), 1,
      aux_sym_function_call_repeat1,
  [431697] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14840), 1,
      anon_sym_RPAREN,
    STATE(16857), 1,
      sym_limit_clause,
  [431710] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9895), 1,
      anon_sym_RPAREN,
    STATE(16867), 1,
      sym_limit_clause,
  [431723] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14842), 1,
      anon_sym_RPAREN,
    STATE(18905), 1,
      sym_limit_clause,
  [431736] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14844), 1,
      anon_sym_RPAREN,
    STATE(16903), 1,
      sym_limit_clause,
  [431749] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12642), 1,
      anon_sym_COMMA,
    ACTIONS(14846), 1,
      anon_sym_RPAREN,
    STATE(15380), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [431762] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14848), 1,
      anon_sym_RPAREN,
    STATE(16705), 1,
      sym_limit_clause,
  [431775] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9893), 1,
      anon_sym_RPAREN,
    STATE(16865), 1,
      sym_limit_clause,
  [431788] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14850), 1,
      anon_sym_RPAREN,
    STATE(16656), 1,
      sym_limit_clause,
  [431801] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14852), 1,
      anon_sym_RPAREN,
    STATE(18977), 1,
      sym_limit_clause,
  [431814] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14854), 1,
      anon_sym_RPAREN,
    STATE(18978), 1,
      sym_limit_clause,
  [431827] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2412), 1,
      sym__string_start,
    STATE(8249), 1,
      sym_string,
    STATE(8253), 1,
      sym__function_body_js,
  [431840] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9891), 1,
      anon_sym_RPAREN,
    STATE(16861), 1,
      sym_limit_clause,
  [431853] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14856), 1,
      anon_sym_RPAREN,
    STATE(16789), 1,
      sym_limit_clause,
  [431866] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14858), 1,
      anon_sym_RPAREN,
    STATE(16685), 1,
      sym_limit_clause,
  [431879] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(14860), 1,
      anon_sym_RPAREN,
    STATE(15102), 1,
      aux_sym_function_call_repeat1,
  [431892] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14862), 1,
      anon_sym_RPAREN,
    STATE(16675), 1,
      sym_limit_clause,
  [431905] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14864), 1,
      anon_sym_RPAREN,
    STATE(16859), 1,
      sym_limit_clause,
  [431918] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9826), 1,
      anon_sym_RPAREN,
    STATE(16660), 1,
      sym_limit_clause,
  [431931] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14866), 1,
      anon_sym_RPAREN,
    STATE(19071), 1,
      sym_limit_clause,
  [431944] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14868), 1,
      anon_sym_RPAREN,
    STATE(16901), 1,
      sym_limit_clause,
  [431957] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14870), 1,
      anon_sym_LPAREN,
    ACTIONS(14872), 1,
      aux_sym_unpivot_operator_token2,
    ACTIONS(14874), 1,
      aux_sym_unpivot_operator_token3,
  [431970] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11458), 1,
      anon_sym_RPAREN,
    STATE(16849), 1,
      sym_limit_clause,
  [431983] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13343), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(13345), 1,
      aux_sym_constraint_enfoce_option_token1,
    STATE(6746), 1,
      sym_constraint_enfoce_option,
  [431996] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2412), 1,
      sym__string_start,
    STATE(8180), 1,
      sym__function_body_js,
    STATE(8249), 1,
      sym_string,
  [432009] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9889), 1,
      anon_sym_RPAREN,
    STATE(16848), 1,
      sym_limit_clause,
  [432022] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14876), 1,
      anon_sym_RPAREN,
    STATE(18990), 1,
      sym_limit_clause,
  [432035] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14878), 1,
      anon_sym_RPAREN,
    STATE(16662), 1,
      sym_limit_clause,
  [432048] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14880), 1,
      anon_sym_RPAREN,
    STATE(16899), 1,
      sym_limit_clause,
  [432061] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14882), 1,
      anon_sym_RPAREN,
    STATE(18987), 1,
      sym_limit_clause,
  [432074] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9887), 1,
      anon_sym_RPAREN,
    STATE(16847), 1,
      sym_limit_clause,
  [432087] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14884), 1,
      anon_sym_RPAREN,
    STATE(18926), 1,
      sym_limit_clause,
  [432100] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11308), 1,
      anon_sym_RPAREN,
    STATE(19067), 1,
      sym_limit_clause,
  [432113] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9828), 1,
      anon_sym_RPAREN,
    STATE(16667), 1,
      sym_limit_clause,
  [432126] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9885), 1,
      anon_sym_RPAREN,
    STATE(16843), 1,
      sym_limit_clause,
  [432139] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14886), 1,
      anon_sym_RPAREN,
    STATE(18989), 1,
      sym_limit_clause,
  [432152] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14888), 1,
      anon_sym_RPAREN,
    STATE(16661), 1,
      sym_limit_clause,
  [432165] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14890), 1,
      anon_sym_RPAREN,
    STATE(16652), 1,
      sym_limit_clause,
  [432178] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14892), 1,
      anon_sym_RPAREN,
    STATE(16798), 1,
      sym_limit_clause,
  [432191] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14894), 1,
      anon_sym_RPAREN,
    STATE(16840), 1,
      sym_limit_clause,
  [432204] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14896), 1,
      anon_sym_RPAREN,
    STATE(19030), 1,
      sym_limit_clause,
  [432217] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11448), 1,
      anon_sym_RPAREN,
    STATE(18928), 1,
      sym_limit_clause,
  [432230] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14898), 1,
      anon_sym_RPAREN,
    STATE(16799), 1,
      sym_limit_clause,
  [432243] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14900), 1,
      anon_sym_RPAREN,
    STATE(18991), 1,
      sym_limit_clause,
  [432256] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14902), 1,
      anon_sym_RPAREN,
    STATE(16827), 1,
      sym_limit_clause,
  [432269] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14904), 1,
      anon_sym_RPAREN,
    STATE(19172), 1,
      sym_limit_clause,
  [432282] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9688), 1,
      anon_sym_RPAREN,
    STATE(19064), 1,
      sym_limit_clause,
  [432295] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14906), 1,
      anon_sym_RPAREN,
    STATE(16897), 1,
      sym_limit_clause,
  [432308] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14908), 1,
      anon_sym_RPAREN,
    STATE(16651), 1,
      sym_limit_clause,
  [432321] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9830), 1,
      anon_sym_RPAREN,
    STATE(16669), 1,
      sym_limit_clause,
  [432334] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14910), 1,
      anon_sym_RPAREN,
    STATE(16888), 1,
      sym_limit_clause,
  [432347] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14912), 1,
      anon_sym_RPAREN,
    STATE(18943), 1,
      sym_limit_clause,
  [432360] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14914), 1,
      anon_sym_RPAREN,
    STATE(16820), 1,
      sym_limit_clause,
  [432373] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14916), 1,
      anon_sym_RPAREN,
    STATE(16800), 1,
      sym_limit_clause,
  [432386] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11422), 1,
      anon_sym_RPAREN,
    STATE(16815), 1,
      sym_limit_clause,
  [432399] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14918), 1,
      anon_sym_RPAREN,
    STATE(18999), 1,
      sym_limit_clause,
  [432412] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14920), 1,
      anon_sym_RPAREN,
    STATE(19182), 1,
      sym_limit_clause,
  [432425] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9875), 1,
      anon_sym_RPAREN,
    STATE(16813), 1,
      sym_limit_clause,
  [432438] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14922), 1,
      anon_sym_RPAREN,
    STATE(19001), 1,
      sym_limit_clause,
  [432451] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11310), 1,
      anon_sym_RPAREN,
    STATE(16670), 1,
      sym_limit_clause,
  [432464] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14924), 1,
      anon_sym_COMMA,
    ACTIONS(14927), 1,
      anon_sym_RPAREN,
    STATE(15874), 1,
      aux_sym_grouping_sets_repeat1,
  [432477] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13947), 1,
      anon_sym_COMMA,
    ACTIONS(14929), 1,
      anon_sym_RPAREN,
    STATE(15594), 1,
      aux_sym_grouping_sets_repeat1,
  [432490] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14931), 1,
      anon_sym_RPAREN,
    STATE(16807), 1,
      sym_limit_clause,
  [432503] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12756), 1,
      anon_sym_COMMA,
    ACTIONS(14933), 1,
      anon_sym_RPAREN,
    STATE(15715), 1,
      aux_sym_option_clause_repeat1,
  [432516] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14935), 1,
      anon_sym_RPAREN,
    STATE(19003), 1,
      sym_limit_clause,
  [432529] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13947), 1,
      anon_sym_COMMA,
    ACTIONS(14937), 1,
      anon_sym_RPAREN,
    STATE(15874), 1,
      aux_sym_grouping_sets_repeat1,
  [432542] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11416), 1,
      anon_sym_RPAREN,
    STATE(16802), 1,
      sym_limit_clause,
  [432555] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14939), 1,
      anon_sym_LPAREN,
    ACTIONS(14941), 1,
      aux_sym_unpivot_operator_token2,
    ACTIONS(14943), 1,
      aux_sym_unpivot_operator_token3,
  [432568] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13947), 1,
      anon_sym_COMMA,
    ACTIONS(14945), 1,
      anon_sym_RPAREN,
    STATE(15874), 1,
      aux_sym_grouping_sets_repeat1,
  [432581] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14947), 1,
      anon_sym_RPAREN,
    STATE(16797), 1,
      sym_limit_clause,
  [432594] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13343), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(13345), 1,
      aux_sym_constraint_enfoce_option_token1,
    STATE(12895), 1,
      sym_constraint_enfoce_option,
  [432607] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13343), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(13345), 1,
      aux_sym_constraint_enfoce_option_token1,
    STATE(12894), 1,
      sym_constraint_enfoce_option,
  [432620] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14949), 1,
      anon_sym_RPAREN,
    STATE(19006), 1,
      sym_limit_clause,
  [432633] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9857), 1,
      anon_sym_RPAREN,
    STATE(18964), 1,
      sym_limit_clause,
  [432646] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14951), 1,
      anon_sym_RPAREN,
    STATE(19057), 1,
      sym_limit_clause,
  [432659] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14953), 1,
      anon_sym_RPAREN,
    STATE(16791), 1,
      sym_limit_clause,
  [432672] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14472), 1,
      anon_sym_COMMA,
    ACTIONS(14955), 1,
      anon_sym_RPAREN,
    STATE(15583), 1,
      aux_sym_multi_column_unpivot_repeat1,
  [432685] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14957), 1,
      anon_sym_RPAREN,
    STATE(16788), 1,
      sym_limit_clause,
  [432698] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14959), 1,
      anon_sym_RPAREN,
    STATE(16642), 1,
      sym_limit_clause,
  [432711] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14961), 1,
      anon_sym_RPAREN,
    STATE(16786), 1,
      sym_limit_clause,
  [432724] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14963), 1,
      anon_sym_RPAREN,
    STATE(19007), 1,
      sym_limit_clause,
  [432737] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14965), 1,
      anon_sym_RPAREN,
    STATE(16809), 1,
      sym_limit_clause,
  [432750] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14967), 1,
      aux_sym__keyword_then_token1,
    ACTIONS(14969), 1,
      aux_sym__keyword_and_token1,
    STATE(1297), 1,
      sym__keyword_and,
  [432763] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14971), 1,
      anon_sym_RPAREN,
    STATE(16810), 1,
      sym_limit_clause,
  [432776] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11324), 1,
      anon_sym_RPAREN,
    STATE(19050), 1,
      sym_limit_clause,
  [432789] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14973), 1,
      anon_sym_RPAREN,
    STATE(16778), 1,
      sym_limit_clause,
  [432802] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9839), 1,
      anon_sym_RPAREN,
    STATE(16678), 1,
      sym_limit_clause,
  [432815] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14975), 1,
      anon_sym_RPAREN,
    STATE(16694), 1,
      sym_limit_clause,
  [432828] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12642), 1,
      anon_sym_COMMA,
    ACTIONS(14977), 1,
      anon_sym_RPAREN,
    STATE(15380), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [432841] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12756), 1,
      anon_sym_COMMA,
    ACTIONS(14979), 1,
      anon_sym_RPAREN,
    STATE(15535), 1,
      aux_sym_option_clause_repeat1,
  [432854] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8726), 1,
      aux_sym__keyword_from_token1,
    STATE(7475), 1,
      sym_from_files_clause,
    STATE(17512), 1,
      sym__keyword_from,
  [432867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(16608), 1,
      sym_range_boundary_end,
    ACTIONS(14981), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [432878] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14983), 1,
      anon_sym_RPAREN,
    STATE(16640), 1,
      sym_limit_clause,
  [432891] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14985), 1,
      anon_sym_RPAREN,
    STATE(16773), 1,
      sym_limit_clause,
  [432904] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14987), 1,
      anon_sym_RPAREN,
    STATE(19047), 1,
      sym_limit_clause,
  [432917] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11396), 1,
      anon_sym_RPAREN,
    STATE(16770), 1,
      sym_limit_clause,
  [432930] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14989), 1,
      anon_sym_RPAREN,
    STATE(19011), 1,
      sym_limit_clause,
  [432943] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9846), 1,
      anon_sym_RPAREN,
    STATE(16683), 1,
      sym_limit_clause,
  [432956] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14991), 1,
      anon_sym_RPAREN,
    STATE(16769), 1,
      sym_limit_clause,
  [432969] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14993), 1,
      anon_sym_RPAREN,
    STATE(19012), 1,
      sym_limit_clause,
  [432982] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11398), 1,
      anon_sym_RPAREN,
    STATE(18972), 1,
      sym_limit_clause,
  [432995] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14995), 1,
      anon_sym_RPAREN,
    STATE(19015), 1,
      sym_limit_clause,
  [433008] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14997), 1,
      anon_sym_RPAREN,
    STATE(16916), 1,
      sym_limit_clause,
  [433021] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14999), 1,
      anon_sym_RPAREN,
    STATE(16915), 1,
      sym_limit_clause,
  [433034] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15001), 1,
      anon_sym_RPAREN,
    STATE(16765), 1,
      sym_limit_clause,
  [433047] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15003), 1,
      anon_sym_RPAREN,
    STATE(16914), 1,
      sym_limit_clause,
  [433060] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15005), 1,
      anon_sym_RPAREN,
    STATE(16764), 1,
      sym_limit_clause,
  [433073] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15007), 1,
      anon_sym_RPAREN,
    STATE(16872), 1,
      sym_limit_clause,
  [433086] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15009), 1,
      anon_sym_RPAREN,
    STATE(16763), 1,
      sym_limit_clause,
  [433099] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15011), 1,
      anon_sym_RPAREN,
    STATE(19016), 1,
      sym_limit_clause,
  [433112] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15013), 1,
      anon_sym_RPAREN,
    STATE(16909), 1,
      sym_limit_clause,
  [433125] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15015), 1,
      anon_sym_RPAREN,
    STATE(16762), 1,
      sym_limit_clause,
  [433138] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15017), 1,
      anon_sym_RPAREN,
    STATE(16908), 1,
      sym_limit_clause,
  [433151] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15019), 1,
      anon_sym_RPAREN,
    STATE(16761), 1,
      sym_limit_clause,
  [433164] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15021), 1,
      anon_sym_RPAREN,
    STATE(16907), 1,
      sym_limit_clause,
  [433177] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15023), 1,
      anon_sym_RPAREN,
    STATE(16760), 1,
      sym_limit_clause,
  [433190] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2412), 1,
      sym__string_start,
    STATE(8249), 1,
      sym_string,
    STATE(8321), 1,
      sym__function_body_js,
  [433203] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15025), 1,
      anon_sym_RPAREN,
    STATE(18973), 1,
      sym_limit_clause,
  [433216] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15027), 1,
      anon_sym_RPAREN,
    STATE(16906), 1,
      sym_limit_clause,
  [433229] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15029), 1,
      anon_sym_RPAREN,
    STATE(16905), 1,
      sym_limit_clause,
  [433242] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15031), 1,
      anon_sym_RPAREN,
    STATE(16904), 1,
      sym_limit_clause,
  [433255] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15033), 1,
      anon_sym_RPAREN,
    STATE(19022), 1,
      sym_limit_clause,
  [433268] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15035), 1,
      anon_sym_RPAREN,
    STATE(16754), 1,
      sym_limit_clause,
  [433281] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9848), 1,
      anon_sym_RPAREN,
    STATE(16684), 1,
      sym_limit_clause,
  [433294] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15037), 1,
      anon_sym_RPAREN,
    STATE(16752), 1,
      sym_limit_clause,
  [433307] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15039), 1,
      anon_sym_RPAREN,
    STATE(16895), 1,
      sym_limit_clause,
  [433320] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15041), 1,
      anon_sym_RPAREN,
    STATE(16750), 1,
      sym_limit_clause,
  [433333] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11370), 1,
      anon_sym_RPAREN,
    STATE(19023), 1,
      sym_limit_clause,
  [433346] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15043), 1,
      anon_sym_RPAREN,
    STATE(16611), 1,
      sym_limit_clause,
  [433359] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15045), 1,
      anon_sym_RPAREN,
    STATE(19024), 1,
      sym_limit_clause,
  [433372] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11362), 1,
      anon_sym_RPAREN,
    STATE(16893), 1,
      sym_limit_clause,
  [433385] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15047), 1,
      anon_sym_RPAREN,
    STATE(16892), 1,
      sym_limit_clause,
  [433398] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15049), 1,
      anon_sym_RPAREN,
    STATE(16623), 1,
      sym_limit_clause,
  [433411] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15051), 1,
      anon_sym_RPAREN,
    STATE(16875), 1,
      sym_limit_clause,
  [433424] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15053), 1,
      anon_sym_RPAREN,
    STATE(19040), 1,
      sym_limit_clause,
  [433437] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15055), 1,
      anon_sym_RPAREN,
    STATE(16746), 1,
      sym_limit_clause,
  [433450] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15057), 1,
      anon_sym_RPAREN,
    STATE(16625), 1,
      sym_limit_clause,
  [433463] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9855), 1,
      anon_sym_RPAREN,
    STATE(16699), 1,
      sym_limit_clause,
  [433476] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15059), 1,
      anon_sym_RPAREN,
    STATE(16745), 1,
      sym_limit_clause,
  [433489] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13343), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(13345), 1,
      aux_sym_constraint_enfoce_option_token1,
    STATE(12924), 1,
      sym_constraint_enfoce_option,
  [433502] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15061), 1,
      anon_sym_RPAREN,
    STATE(16737), 1,
      sym_limit_clause,
  [433515] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15063), 1,
      anon_sym_RPAREN,
    STATE(16877), 1,
      sym_limit_clause,
  [433528] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15065), 1,
      anon_sym_RPAREN,
    STATE(16735), 1,
      sym_limit_clause,
  [433541] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15067), 1,
      anon_sym_RPAREN,
    STATE(19039), 1,
      sym_limit_clause,
  [433554] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15069), 1,
      anon_sym_RPAREN,
    STATE(19029), 1,
      sym_limit_clause,
  [433567] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15071), 1,
      anon_sym_RPAREN,
    STATE(16878), 1,
      sym_limit_clause,
  [433580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(14894), 1,
      aux_sym__grouping_list_repeat1,
    ACTIONS(4035), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [433591] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15073), 1,
      anon_sym_RPAREN,
    STATE(16627), 1,
      sym_limit_clause,
  [433604] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15075), 1,
      anon_sym_RPAREN,
    STATE(19037), 1,
      sym_limit_clause,
  [433617] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15077), 1,
      anon_sym_RPAREN,
    STATE(16639), 1,
      sym_limit_clause,
  [433630] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15079), 1,
      anon_sym_RPAREN,
    STATE(16601), 1,
      sym_limit_clause,
  [433643] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14107), 1,
      anon_sym_COMMA,
    ACTIONS(15081), 1,
      anon_sym_GT,
    STATE(15337), 1,
      aux_sym__column_definition_type_struct_repeat1,
  [433656] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15083), 1,
      anon_sym_RPAREN,
    STATE(16727), 1,
      sym_limit_clause,
  [433669] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15085), 1,
      anon_sym_RPAREN,
    STATE(16600), 1,
      sym_limit_clause,
  [433682] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15087), 1,
      anon_sym_RPAREN,
    STATE(16725), 1,
      sym_limit_clause,
  [433695] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15089), 1,
      anon_sym_RPAREN,
    STATE(16599), 1,
      sym_limit_clause,
  [433708] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15091), 1,
      anon_sym_RPAREN,
    STATE(16598), 1,
      sym_limit_clause,
  [433721] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_COMMA,
    ACTIONS(15093), 1,
      anon_sym_RPAREN,
    STATE(15102), 1,
      aux_sym_function_call_repeat1,
  [433734] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14781), 1,
      anon_sym_COMMA,
    ACTIONS(15095), 1,
      anon_sym_RPAREN,
    STATE(15338), 1,
      aux_sym_column_type_repeat1,
  [433747] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15097), 1,
      anon_sym_RPAREN,
    STATE(16722), 1,
      sym_limit_clause,
  [433760] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9238), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_RPAREN,
    STATE(12830), 1,
      aux_sym_declare_statement_repeat1,
  [433773] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15101), 1,
      anon_sym_RPAREN,
    STATE(16721), 1,
      sym_limit_clause,
  [433786] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13343), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(13345), 1,
      aux_sym_constraint_enfoce_option_token1,
    STATE(7447), 1,
      sym_constraint_enfoce_option,
  [433799] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11334), 1,
      anon_sym_RPAREN,
    STATE(19178), 1,
      sym_limit_clause,
  [433812] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15103), 1,
      anon_sym_RPAREN,
    STATE(16558), 1,
      sym_limit_clause,
  [433825] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15105), 1,
      anon_sym_RPAREN,
    STATE(16557), 1,
      sym_limit_clause,
  [433838] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15107), 1,
      anon_sym_RPAREN,
    STATE(16556), 1,
      sym_limit_clause,
  [433851] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15109), 1,
      anon_sym_RPAREN,
    STATE(16555), 1,
      sym_limit_clause,
  [433864] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15111), 1,
      anon_sym_RPAREN,
    STATE(16720), 1,
      sym_limit_clause,
  [433877] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7214), 1,
      anon_sym_COMMA,
    ACTIONS(15113), 1,
      anon_sym_RPAREN,
    STATE(14209), 1,
      aux_sym_set_statement_repeat1,
  [433890] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15115), 1,
      anon_sym_RPAREN,
    STATE(16718), 1,
      sym_limit_clause,
  [433903] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14107), 1,
      anon_sym_COMMA,
    ACTIONS(15117), 1,
      anon_sym_GT,
    STATE(15347), 1,
      aux_sym__column_definition_type_struct_repeat1,
  [433916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15119), 1,
      anon_sym_DQUOTE,
    STATE(7520), 1,
      sym_privilege_user,
  [433926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15121), 1,
      aux_sym__keyword_as_token1,
    STATE(12149), 1,
      sym__keyword_as,
  [433936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4059), 1,
      aux_sym_foreign_key_references_token1,
    STATE(7439), 1,
      sym_foreign_key_references,
  [433946] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15123), 1,
      aux_sym__keyword_from_token1,
    STATE(1829), 1,
      sym__keyword_from,
  [433956] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15125), 1,
      anon_sym_DQUOTE,
    ACTIONS(15127), 1,
      anon_sym_SQUOTE,
  [433966] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15129), 2,
      aux_sym__keyword_and_token1,
      anon_sym_RPAREN,
  [433974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15131), 1,
      aux_sym_window_numeric_preceding_token1,
    ACTIONS(15133), 1,
      aux_sym_window_numeric_following_token1,
  [433984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15135), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(15137), 1,
      aux_sym_merge_matched_clause_token1,
  [433994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15139), 1,
      aux_sym__keyword_and_token1,
    STATE(11315), 1,
      sym__keyword_and,
  [434004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15141), 1,
      aux_sym__keyword_from_token1,
    STATE(1747), 1,
      sym__keyword_from,
  [434014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15143), 1,
      aux_sym__keyword_and_token1,
    STATE(11450), 1,
      sym__keyword_and,
  [434024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15145), 1,
      aux_sym__keyword_from_token1,
    STATE(1878), 1,
      sym__keyword_from,
  [434034] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15147), 1,
      aux_sym__keyword_and_token1,
    STATE(11301), 1,
      sym__keyword_and,
  [434044] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15149), 2,
      aux_sym__keyword_and_token1,
      anon_sym_RPAREN,
  [434052] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15151), 2,
      aux_sym__keyword_and_token1,
      anon_sym_RPAREN,
  [434060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15153), 1,
      anon_sym_DQUOTE,
    ACTIONS(15155), 1,
      anon_sym_SQUOTE,
  [434070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15157), 1,
      aux_sym__keyword_from_token1,
    STATE(1687), 1,
      sym__keyword_from,
  [434080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15159), 1,
      sym__string_start,
    STATE(6339), 1,
      sym_string,
  [434090] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15161), 1,
      anon_sym_DQUOTE,
    ACTIONS(15163), 1,
      anon_sym_SQUOTE,
  [434100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15165), 1,
      aux_sym__keyword_from_token1,
    STATE(1526), 1,
      sym__keyword_from,
  [434110] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15167), 1,
      anon_sym_DQUOTE,
    ACTIONS(15169), 1,
      anon_sym_SQUOTE,
  [434120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15171), 1,
      anon_sym_LPAREN,
    ACTIONS(15173), 1,
      anon_sym_LT,
  [434130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15175), 1,
      aux_sym__keyword_from_token1,
    STATE(1474), 1,
      sym__keyword_from,
  [434140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15177), 1,
      anon_sym_DQUOTE,
    ACTIONS(15179), 1,
      anon_sym_SQUOTE,
  [434150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15181), 1,
      anon_sym_DQUOTE,
    ACTIONS(15183), 1,
      anon_sym_SQUOTE,
  [434160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15185), 1,
      aux_sym__keyword_from_token1,
    STATE(1449), 1,
      sym__keyword_from,
  [434170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15187), 1,
      aux_sym__keyword_as_token1,
    STATE(12090), 1,
      sym__keyword_as,
  [434180] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15119), 1,
      anon_sym_DQUOTE,
    STATE(7480), 1,
      sym_privilege_user,
  [434190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(543), 1,
      sym__string_start,
    STATE(6537), 1,
      sym_string,
  [434200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11318), 1,
      aux_sym__keyword_as_token1,
    STATE(12150), 1,
      sym__keyword_as,
  [434210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15119), 1,
      anon_sym_DQUOTE,
    STATE(7496), 1,
      sym_privilege_user,
  [434220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15119), 1,
      anon_sym_DQUOTE,
    STATE(7503), 1,
      sym_privilege_user,
  [434230] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15189), 1,
      aux_sym__keyword_from_token1,
    STATE(1846), 1,
      sym__keyword_from,
  [434240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15119), 1,
      anon_sym_DQUOTE,
    STATE(7505), 1,
      sym_privilege_user,
  [434250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15191), 1,
      anon_sym_DQUOTE,
    ACTIONS(15193), 1,
      anon_sym_SQUOTE,
  [434260] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15195), 2,
      aux_sym__keyword_for_token1,
      anon_sym_COMMA,
  [434268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15197), 1,
      anon_sym_DQUOTE,
    ACTIONS(15199), 1,
      anon_sym_SQUOTE,
  [434278] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14927), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [434286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15201), 1,
      aux_sym__keyword_as_token1,
    STATE(15595), 1,
      sym__keyword_as,
  [434296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15203), 1,
      aux_sym__keyword_from_token1,
    STATE(1330), 1,
      sym__keyword_from,
  [434306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15205), 1,
      anon_sym_LPAREN,
    STATE(8158), 1,
      sym__function_body_sql,
  [434316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15207), 1,
      anon_sym_DQUOTE,
    ACTIONS(15209), 1,
      anon_sym_SQUOTE,
  [434326] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11438), 1,
      aux_sym__keyword_as_token1,
    STATE(12043), 1,
      sym__keyword_as,
  [434336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15211), 1,
      aux_sym__keyword_from_token1,
    STATE(1808), 1,
      sym__keyword_from,
  [434346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15213), 1,
      aux_sym__keyword_as_token1,
    STATE(12045), 1,
      sym__keyword_as,
  [434356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15215), 1,
      aux_sym__keyword_as_token1,
    STATE(12145), 1,
      sym__keyword_as,
  [434366] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11450), 1,
      aux_sym__keyword_as_token1,
    STATE(12146), 1,
      sym__keyword_as,
  [434376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      sym__string_start,
    STATE(7252), 1,
      sym_string,
  [434386] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15217), 1,
      anon_sym_DQUOTE,
    ACTIONS(15219), 1,
      anon_sym_SQUOTE,
  [434396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15221), 1,
      aux_sym__keyword_as_token1,
    STATE(15683), 1,
      sym__keyword_as,
  [434406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15223), 1,
      anon_sym_DQUOTE,
    ACTIONS(15225), 1,
      anon_sym_SQUOTE,
  [434416] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15205), 1,
      anon_sym_LPAREN,
    STATE(8180), 1,
      sym__function_body_sql,
  [434426] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15227), 1,
      aux_sym__keyword_from_token1,
    STATE(1772), 1,
      sym__keyword_from,
  [434436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15229), 1,
      aux_sym__keyword_from_token1,
    STATE(1254), 1,
      sym__keyword_from,
  [434446] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15231), 1,
      anon_sym_DQUOTE,
    ACTIONS(15233), 1,
      anon_sym_SQUOTE,
  [434456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15235), 1,
      anon_sym_DQUOTE,
    ACTIONS(15237), 1,
      anon_sym_SQUOTE,
  [434466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9536), 1,
      aux_sym__keyword_end_token1,
    STATE(3540), 1,
      sym__keyword_end,
  [434476] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15205), 1,
      anon_sym_LPAREN,
    STATE(8271), 1,
      sym__function_body_sql,
  [434486] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10747), 1,
      aux_sym_foreign_key_token1,
    STATE(7535), 1,
      sym_foreign_key,
  [434496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15239), 1,
      aux_sym__keyword_as_token1,
    STATE(12095), 1,
      sym__keyword_as,
  [434506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15241), 1,
      anon_sym_DQUOTE,
    ACTIONS(15243), 1,
      anon_sym_SQUOTE,
  [434516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15245), 1,
      aux_sym__keyword_as_token1,
    STATE(12059), 1,
      sym__keyword_as,
  [434526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9540), 1,
      aux_sym__keyword_end_token1,
    STATE(4547), 1,
      sym__keyword_end,
  [434536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9540), 1,
      aux_sym__keyword_end_token1,
    STATE(4528), 1,
      sym__keyword_end,
  [434546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9568), 1,
      aux_sym__keyword_end_token1,
    STATE(2698), 1,
      sym__keyword_end,
  [434556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15247), 1,
      aux_sym__keyword_as_token1,
    STATE(18679), 1,
      sym__keyword_as,
  [434566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15249), 1,
      aux_sym__keyword_from_token1,
    STATE(1726), 1,
      sym__keyword_from,
  [434576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9334), 1,
      aux_sym__keyword_end_token1,
    STATE(2275), 1,
      sym__keyword_end,
  [434586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12369), 1,
      aux_sym__keyword_begin_token1,
    STATE(8075), 1,
      sym_procedure_body,
  [434596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15251), 1,
      anon_sym_DQUOTE,
    ACTIONS(15253), 1,
      anon_sym_SQUOTE,
  [434606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15255), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(15257), 1,
      aux_sym_default_clause_token1,
  [434616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15259), 1,
      aux_sym_aggregation_threshold_clause_token1,
    ACTIONS(15261), 1,
      aux_sym_differential_privacy_clause_token1,
  [434626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9568), 1,
      aux_sym__keyword_end_token1,
    STATE(2711), 1,
      sym__keyword_end,
  [434636] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12514), 1,
      anon_sym_LPAREN,
    STATE(3261), 1,
      sym_select_subexpression,
  [434646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15263), 1,
      aux_sym__keyword_from_token1,
    STATE(1509), 1,
      sym__keyword_from,
  [434656] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14669), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [434664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15119), 1,
      anon_sym_DQUOTE,
    STATE(7500), 1,
      sym_privilege_user,
  [434674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12512), 1,
      anon_sym_LPAREN,
    STATE(4898), 1,
      sym_select_subexpression,
  [434684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15119), 1,
      anon_sym_DQUOTE,
    STATE(7495), 1,
      sym_privilege_user,
  [434694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15265), 1,
      anon_sym_DQUOTE,
    ACTIONS(15267), 1,
      anon_sym_SQUOTE,
  [434704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15269), 1,
      aux_sym_insert_statement_token1,
    STATE(7963), 1,
      sym_merge_insert_clause,
  [434714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2146), 1,
      sym__string_start,
    STATE(3262), 1,
      sym_string,
  [434724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15271), 1,
      aux_sym_merge_not_matched_by_target_clause_token1,
    ACTIONS(15273), 1,
      aux_sym_merge_not_matched_by_source_clause_token1,
  [434734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15119), 1,
      anon_sym_DQUOTE,
    STATE(7600), 1,
      sym_privilege_user,
  [434744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15119), 1,
      anon_sym_DQUOTE,
    STATE(7488), 1,
      sym_privilege_user,
  [434754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2656), 1,
      sym__string_start,
    STATE(4883), 1,
      sym_string,
  [434764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15119), 1,
      anon_sym_DQUOTE,
    STATE(7481), 1,
      sym_privilege_user,
  [434774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15275), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(15277), 1,
      aux_sym_merge_matched_clause_token1,
  [434784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2146), 1,
      sym__string_start,
    STATE(3225), 1,
      sym_string,
  [434794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15205), 1,
      anon_sym_LPAREN,
    STATE(8344), 1,
      sym__function_body_sql,
  [434804] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15279), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [434812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15281), 1,
      aux_sym__keyword_from_token1,
    STATE(1454), 1,
      sym__keyword_from,
  [434822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15283), 1,
      anon_sym_LPAREN,
    STATE(3136), 1,
      sym_quantitve_like_patterns,
  [434832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15285), 1,
      aux_sym__keyword_as_token1,
    STATE(15248), 1,
      sym__keyword_as,
  [434842] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14605), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [434850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15287), 1,
      aux_sym__keyword_as_token1,
    STATE(12080), 1,
      sym__keyword_as,
  [434860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2656), 1,
      sym__string_start,
    STATE(4800), 1,
      sym_string,
  [434870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      aux_sym__keyword_for_token1,
    STATE(11628), 1,
      sym__keyword_for,
  [434880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15289), 1,
      anon_sym_LPAREN,
    STATE(4810), 1,
      sym_quantitve_like_patterns,
  [434890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15291), 1,
      anon_sym_LPAREN,
    STATE(12899), 1,
      sym_create_function_parameters,
  [434900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15205), 1,
      anon_sym_LPAREN,
    STATE(8300), 1,
      sym__function_body_sql,
  [434910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9522), 1,
      aux_sym__keyword_end_token1,
    STATE(10392), 1,
      sym__keyword_end,
  [434920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15293), 1,
      aux_sym__keyword_as_token1,
    STATE(15004), 1,
      sym__keyword_as,
  [434930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15291), 1,
      anon_sym_LPAREN,
    STATE(12903), 1,
      sym_create_function_parameters,
  [434940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11610), 1,
      aux_sym__keyword_as_token1,
    STATE(12143), 1,
      sym__keyword_as,
  [434950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15295), 1,
      anon_sym_DQUOTE,
    ACTIONS(15297), 1,
      anon_sym_SQUOTE,
  [434960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15299), 1,
      aux_sym__keyword_as_token1,
    STATE(15838), 1,
      sym__keyword_as,
  [434970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15301), 1,
      aux_sym__keyword_from_token1,
    STATE(1325), 1,
      sym__keyword_from,
  [434980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15291), 1,
      anon_sym_LPAREN,
    STATE(12908), 1,
      sym_create_function_parameters,
  [434990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9334), 1,
      aux_sym__keyword_end_token1,
    STATE(2143), 1,
      sym__keyword_end,
  [435000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15205), 1,
      anon_sym_LPAREN,
    STATE(8023), 1,
      sym__function_body_sql,
  [435010] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15303), 2,
      aux_sym__keyword_begin_token1,
      aux_sym_option_clause_token1,
  [435018] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14488), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [435026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      aux_sym__keyword_for_token1,
    STATE(11490), 1,
      sym__keyword_for,
  [435036] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15305), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [435044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15307), 1,
      aux_sym__keyword_as_token1,
    STATE(15825), 1,
      sym__keyword_as,
  [435054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15205), 1,
      anon_sym_LPAREN,
    STATE(8080), 1,
      sym__function_body_sql,
  [435064] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14464), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [435072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12574), 1,
      anon_sym_LPAREN,
    STATE(2631), 1,
      sym_select_subexpression,
  [435082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15309), 1,
      aux_sym__keyword_as_token1,
    STATE(15813), 1,
      sym__keyword_as,
  [435092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15291), 1,
      anon_sym_LPAREN,
    STATE(12926), 1,
      sym_create_function_parameters,
  [435102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15205), 1,
      anon_sym_LPAREN,
    STATE(8084), 1,
      sym__function_body_sql,
  [435112] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14480), 2,
      aux_sym__keyword_for_token1,
      anon_sym_COMMA,
  [435120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15311), 1,
      aux_sym__keyword_from_token1,
    STATE(1102), 1,
      sym__keyword_from,
  [435130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8630), 1,
      aux_sym_option_clause_token1,
    STATE(16496), 1,
      sym_option_clause,
  [435140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15313), 1,
      aux_sym__keyword_from_token1,
    STATE(1290), 1,
      sym__keyword_from,
  [435150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15315), 1,
      aux_sym_set_statement_token1,
    STATE(13256), 1,
      sym_set_clause,
  [435160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12426), 1,
      anon_sym_LPAREN,
    STATE(6335), 1,
      sym_select_subexpression,
  [435170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15317), 1,
      anon_sym_LPAREN,
    STATE(2229), 1,
      sym_quantitve_like_patterns,
  [435180] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15319), 2,
      aux_sym__keyword_and_token1,
      anon_sym_RPAREN,
  [435188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(135), 1,
      sym__string_start,
    STATE(2210), 1,
      sym_string,
  [435198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11222), 1,
      aux_sym__keyword_as_token1,
    STATE(12064), 1,
      sym__keyword_as,
  [435208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(135), 1,
      sym__string_start,
    STATE(2085), 1,
      sym_string,
  [435218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12486), 1,
      anon_sym_LPAREN,
    STATE(2112), 1,
      sym_select_subexpression,
  [435228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9434), 1,
      aux_sym__keyword_end_token1,
    STATE(10852), 1,
      sym__keyword_end,
  [435238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9434), 1,
      aux_sym__keyword_end_token1,
    STATE(10857), 1,
      sym__keyword_end,
  [435248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15321), 1,
      aux_sym__keyword_from_token1,
    STATE(1339), 1,
      sym__keyword_from,
  [435258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15323), 1,
      aux_sym__keyword_from_token1,
    STATE(1163), 1,
      sym__keyword_from,
  [435268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15325), 1,
      anon_sym_DQUOTE,
    ACTIONS(15327), 1,
      anon_sym_SQUOTE,
  [435278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12478), 1,
      anon_sym_LPAREN,
    STATE(7227), 1,
      sym_select_subexpression,
  [435288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12396), 1,
      anon_sym_LPAREN,
    STATE(7227), 1,
      sym_select_subexpression,
  [435298] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15329), 2,
      aux_sym_into_clause_token1,
      aux_sym_load_data_statement_token2,
  [435306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15331), 1,
      aux_sym__keyword_in_token1,
    STATE(18591), 1,
      sym__keyword_in,
  [435316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15333), 1,
      aux_sym__keyword_distinct_token1,
    ACTIONS(15335), 1,
      aux_sym_set_operation_token2,
  [435326] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15337), 1,
      anon_sym_LPAREN,
    STATE(9904), 1,
      sym_quantitve_like_patterns,
  [435336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      sym__string_start,
    STATE(7174), 1,
      sym_string,
  [435346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15339), 1,
      anon_sym_LPAREN,
    STATE(7176), 1,
      sym_quantitve_like_patterns,
  [435356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2412), 1,
      sym__string_start,
    STATE(6339), 1,
      sym_string,
  [435366] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2412), 1,
      sym__string_start,
    STATE(8143), 1,
      sym_string,
  [435376] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14191), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [435384] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15341), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [435392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15343), 1,
      aux_sym__keyword_as_token1,
    STATE(12118), 1,
      sym__keyword_as,
  [435402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11778), 1,
      aux_sym__keyword_as_token1,
    STATE(12115), 1,
      sym__keyword_as,
  [435412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15291), 1,
      anon_sym_LPAREN,
    STATE(12148), 1,
      sym_create_function_parameters,
  [435422] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15345), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [435430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15347), 1,
      anon_sym_LPAREN,
    STATE(14217), 1,
      sym_procedure_parameters,
  [435440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      sym__string_start,
    STATE(15234), 1,
      sym_string,
  [435450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15269), 1,
      aux_sym_insert_statement_token1,
    STATE(7790), 1,
      sym_merge_insert_clause,
  [435460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15269), 1,
      aux_sym_insert_statement_token1,
    STATE(7792), 1,
      sym_merge_insert_clause,
  [435470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11118), 1,
      aux_sym_where_clause_token1,
    STATE(8212), 1,
      sym_where_clause,
  [435480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15269), 1,
      aux_sym_insert_statement_token1,
    STATE(7799), 1,
      sym_merge_insert_clause,
  [435490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym__string_start,
    STATE(9905), 1,
      sym_string,
  [435500] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15349), 1,
      anon_sym_LPAREN,
    ACTIONS(15351), 1,
      anon_sym_LT,
  [435510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9496), 1,
      aux_sym__keyword_end_token1,
    STATE(6397), 1,
      sym__keyword_end,
  [435520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9412), 1,
      aux_sym__keyword_end_token1,
    STATE(9899), 1,
      sym__keyword_end,
  [435530] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      sym__string_start,
    STATE(17005), 1,
      sym_string,
  [435540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3628), 1,
      aux_sym_clone_clause_token1,
    STATE(7411), 1,
      sym_clone_clause,
  [435550] = 2,
    ACTIONS(12346), 1,
      sym_comment,
    ACTIONS(15353), 2,
      aux_sym_keyword_unbounded_preceding_token1,
      aux_sym_range_content_token1,
  [435558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9412), 1,
      aux_sym__keyword_end_token1,
    STATE(9892), 1,
      sym__keyword_end,
  [435568] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14091), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [435576] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15355), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [435584] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14086), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [435592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10747), 1,
      aux_sym_foreign_key_token1,
    STATE(7715), 1,
      sym_foreign_key,
  [435602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9496), 1,
      aux_sym__keyword_end_token1,
    STATE(6418), 1,
      sym__keyword_end,
  [435612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15291), 1,
      anon_sym_LPAREN,
    STATE(12929), 1,
      sym_create_function_parameters,
  [435622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15357), 1,
      anon_sym_LPAREN,
    ACTIONS(15359), 1,
      anon_sym_LT,
  [435632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      sym__string_start,
    STATE(14772), 1,
      sym_string,
  [435642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12564), 1,
      anon_sym_LPAREN,
    STATE(6384), 1,
      sym_select_subexpression,
  [435652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15119), 1,
      anon_sym_DQUOTE,
    STATE(7525), 1,
      sym_privilege_user,
  [435662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15119), 1,
      anon_sym_DQUOTE,
    STATE(7524), 1,
      sym_privilege_user,
  [435672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15361), 1,
      anon_sym_LPAREN,
    ACTIONS(15363), 1,
      anon_sym_LT,
  [435682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9536), 1,
      aux_sym__keyword_end_token1,
    STATE(3550), 1,
      sym__keyword_end,
  [435692] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15365), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [435700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11344), 1,
      aux_sym__keyword_as_token1,
    STATE(12134), 1,
      sym__keyword_as,
  [435710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15367), 1,
      aux_sym__keyword_as_token1,
    STATE(15930), 1,
      sym__keyword_as,
  [435720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym__string_start,
    STATE(9920), 1,
      sym_string,
  [435730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8261), 1,
      anon_sym_LPAREN,
    STATE(9923), 1,
      sym_select_subexpression,
  [435740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15119), 1,
      anon_sym_DQUOTE,
    STATE(7519), 1,
      sym_privilege_user,
  [435750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9522), 1,
      aux_sym__keyword_end_token1,
    STATE(10403), 1,
      sym__keyword_end,
  [435760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9422), 1,
      aux_sym__keyword_end_token1,
    STATE(7914), 1,
      sym__keyword_end,
  [435770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9422), 1,
      aux_sym__keyword_end_token1,
    STATE(7928), 1,
      sym__keyword_end,
  [435780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9566), 1,
      aux_sym__keyword_end_token1,
    STATE(1915), 1,
      sym__keyword_end,
  [435790] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      sym__string_start,
    STATE(14541), 1,
      sym_string,
  [435800] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12447), 1,
      anon_sym_LPAREN,
    STATE(8010), 1,
      sym_select_subexpression,
  [435810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15369), 1,
      anon_sym_LPAREN,
    STATE(7322), 1,
      sym_value_element,
  [435820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(543), 1,
      sym__string_start,
    STATE(6378), 1,
      sym_string,
  [435830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15371), 1,
      anon_sym_LPAREN,
    STATE(6380), 1,
      sym_quantitve_like_patterns,
  [435840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2218), 1,
      sym__string_start,
    STATE(8007), 1,
      sym_string,
  [435850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15373), 1,
      anon_sym_LPAREN,
    STATE(2689), 1,
      sym_quantitve_like_patterns,
  [435860] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15375), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [435868] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9566), 1,
      aux_sym__keyword_end_token1,
    STATE(2010), 1,
      sym__keyword_end,
  [435878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15315), 1,
      aux_sym_set_statement_token1,
    STATE(14174), 1,
      sym_set_clause,
  [435888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2218), 1,
      sym__string_start,
    STATE(7942), 1,
      sym_string,
  [435898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15377), 1,
      anon_sym_LPAREN,
    STATE(7940), 1,
      sym_quantitve_like_patterns,
  [435908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 1,
      sym__string_start,
    STATE(2688), 1,
      sym_string,
  [435918] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15379), 1,
      anon_sym_LPAREN,
    ACTIONS(15381), 1,
      anon_sym_LT,
  [435928] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15291), 1,
      anon_sym_LPAREN,
    STATE(12099), 1,
      sym_create_function_parameters,
  [435938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      sym__string_start,
    STATE(14418), 1,
      sym_string,
  [435948] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15383), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [435956] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15385), 2,
      aux_sym__keyword_begin_token1,
      aux_sym_option_clause_token1,
  [435964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      sym__string_start,
    STATE(15003), 1,
      sym_string,
  [435974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12369), 1,
      aux_sym__keyword_begin_token1,
    STATE(8246), 1,
      sym_procedure_body,
  [435984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15387), 1,
      anon_sym_LPAREN,
    STATE(7821), 1,
      sym_quantitve_like_patterns,
  [435994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2492), 1,
      sym__string_start,
    STATE(7824), 1,
      sym_string,
  [436004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15389), 1,
      aux_sym__keyword_as_token1,
    STATE(15579), 1,
      sym__keyword_as,
  [436014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15391), 1,
      aux_sym_insert_statement_token1,
    STATE(7790), 1,
      sym_merge_insert_clause,
  [436024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15205), 1,
      anon_sym_LPAREN,
    STATE(8252), 1,
      sym__function_body_sql,
  [436034] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15391), 1,
      aux_sym_insert_statement_token1,
    STATE(7792), 1,
      sym_merge_insert_clause,
  [436044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2492), 1,
      sym__string_start,
    STATE(7875), 1,
      sym_string,
  [436054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8630), 1,
      aux_sym_option_clause_token1,
    STATE(18255), 1,
      sym_option_clause,
  [436064] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12426), 1,
      anon_sym_LPAREN,
    STATE(7877), 1,
      sym_select_subexpression,
  [436074] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15393), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [436082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15395), 1,
      anon_sym_LPAREN,
    ACTIONS(15397), 1,
      anon_sym_LT,
  [436092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15399), 1,
      aux_sym__keyword_as_token1,
    STATE(15574), 1,
      sym__keyword_as,
  [436102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15205), 1,
      anon_sym_LPAREN,
    STATE(8254), 1,
      sym__function_body_sql,
  [436112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8261), 1,
      anon_sym_LPAREN,
    STATE(6795), 1,
      sym_select_subexpression,
  [436122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10747), 1,
      aux_sym_foreign_key_token1,
    STATE(16136), 1,
      sym_foreign_key,
  [436132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      sym__string_start,
    STATE(14822), 1,
      sym_string,
  [436142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11943), 1,
      aux_sym__keyword_as_token1,
    STATE(12056), 1,
      sym__keyword_as,
  [436152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11905), 1,
      aux_sym_where_clause_token1,
    STATE(8256), 1,
      sym_where_clause,
  [436162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      sym__string_start,
    STATE(16140), 1,
      sym_string,
  [436172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15401), 1,
      anon_sym_LPAREN,
    ACTIONS(15403), 1,
      anon_sym_LT,
  [436182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 1,
      sym__string_start,
    STATE(2637), 1,
      sym_string,
  [436192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      sym__string_start,
    STATE(15161), 1,
      sym_string,
  [436202] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2090), 1,
      sym__string_start,
    STATE(10431), 1,
      sym_string,
  [436212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15405), 1,
      aux_sym__keyword_from_token1,
    STATE(1084), 1,
      sym__keyword_from,
  [436222] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7451), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [436230] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12590), 1,
      anon_sym_LPAREN,
    STATE(4380), 1,
      sym_select_subexpression,
  [436240] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13757), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [436248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15407), 1,
      aux_sym__nulls_preference_token2,
    ACTIONS(15409), 1,
      aux_sym__nulls_preference_token3,
  [436258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15411), 1,
      anon_sym_LPAREN,
    ACTIONS(15413), 1,
      anon_sym_LT,
  [436268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11118), 1,
      aux_sym_where_clause_token1,
    STATE(8103), 1,
      sym_where_clause,
  [436278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      sym__string_start,
    STATE(15456), 1,
      sym_string,
  [436288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12590), 1,
      anon_sym_LPAREN,
    STATE(3698), 1,
      sym_select_subexpression,
  [436298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11118), 1,
      aux_sym_where_clause_token1,
    STATE(8222), 1,
      sym_where_clause,
  [436308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15119), 1,
      anon_sym_DQUOTE,
    STATE(7474), 1,
      sym_privilege_user,
  [436318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15119), 1,
      anon_sym_DQUOTE,
    STATE(7470), 1,
      sym_privilege_user,
  [436328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15415), 1,
      aux_sym_having_max_clause_token1,
    ACTIONS(15417), 1,
      aux_sym_having_min_clause_token1,
  [436338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15419), 1,
      anon_sym_LPAREN,
    ACTIONS(15421), 1,
      anon_sym_LT,
  [436348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11905), 1,
      aux_sym_where_clause_token1,
    STATE(8212), 1,
      sym_where_clause,
  [436358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      sym__string_start,
    STATE(15605), 1,
      sym_string,
  [436368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15423), 1,
      anon_sym_LPAREN,
    STATE(10425), 1,
      sym_quantitve_like_patterns,
  [436378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15369), 1,
      anon_sym_LPAREN,
    STATE(7462), 1,
      sym_value_element,
  [436388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15425), 1,
      anon_sym_LPAREN,
    ACTIONS(15427), 1,
      anon_sym_LT,
  [436398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15429), 1,
      aux_sym_join_type_token5,
    ACTIONS(15431), 1,
      aux_sym__cross_join_operation_token2,
  [436408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      sym__string_start,
    STATE(14921), 1,
      sym_string,
  [436418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15433), 1,
      aux_sym__keyword_as_token1,
    STATE(11424), 1,
      sym__keyword_as,
  [436428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2090), 1,
      sym__string_start,
    STATE(10434), 1,
      sym_string,
  [436438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12396), 1,
      anon_sym_LPAREN,
    STATE(10486), 1,
      sym_select_subexpression,
  [436448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15435), 1,
      anon_sym_LPAREN,
    ACTIONS(15437), 1,
      anon_sym_LT,
  [436458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9452), 1,
      aux_sym__keyword_end_token1,
    STATE(4836), 1,
      sym__keyword_end,
  [436468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15205), 1,
      anon_sym_LPAREN,
    STATE(8050), 1,
      sym__function_body_sql,
  [436478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15439), 1,
      aux_sym__keyword_as_token1,
    STATE(15282), 1,
      sym__keyword_as,
  [436488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9452), 1,
      aux_sym__keyword_end_token1,
    STATE(4829), 1,
      sym__keyword_end,
  [436498] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15441), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [436506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15347), 1,
      anon_sym_LPAREN,
    STATE(14259), 1,
      sym_procedure_parameters,
  [436516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3628), 1,
      aux_sym_clone_clause_token1,
    STATE(7382), 1,
      sym_clone_clause,
  [436526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15291), 1,
      anon_sym_LPAREN,
    STATE(13010), 1,
      sym_create_function_parameters,
  [436536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15291), 1,
      anon_sym_LPAREN,
    STATE(12074), 1,
      sym_create_function_parameters,
  [436546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9488), 1,
      aux_sym__keyword_end_token1,
    STATE(10316), 1,
      sym__keyword_end,
  [436556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15443), 1,
      anon_sym_LPAREN,
    STATE(5633), 1,
      sym_quantitve_like_patterns,
  [436566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      aux_sym__keyword_for_token1,
    STATE(11479), 1,
      sym__keyword_for,
  [436576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2550), 1,
      sym__string_start,
    STATE(5631), 1,
      sym_string,
  [436586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12369), 1,
      aux_sym__keyword_begin_token1,
    STATE(8099), 1,
      sym_procedure_body,
  [436596] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15445), 2,
      aux_sym__keyword_begin_token1,
      aux_sym_option_clause_token1,
  [436604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      sym__string_start,
    STATE(16305), 1,
      sym_string,
  [436614] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15447), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [436622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15391), 1,
      aux_sym_insert_statement_token1,
    STATE(7963), 1,
      sym_merge_insert_clause,
  [436632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      sym__string_start,
    STATE(14476), 1,
      sym_string,
  [436642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15449), 1,
      aux_sym_merge_not_matched_by_target_clause_token1,
    ACTIONS(15451), 1,
      aux_sym_merge_not_matched_by_source_clause_token1,
  [436652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      sym__string_start,
    STATE(15644), 1,
      sym_string,
  [436662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15453), 1,
      aux_sym__keyword_as_token1,
    STATE(15193), 1,
      sym__keyword_as,
  [436672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9488), 1,
      aux_sym__keyword_end_token1,
    STATE(10311), 1,
      sym__keyword_end,
  [436682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2550), 1,
      sym__string_start,
    STATE(5601), 1,
      sym_string,
  [436692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15455), 1,
      aux_sym_set_operation_token2,
    ACTIONS(15457), 1,
      sym_privilege_role,
  [436702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15459), 1,
      aux_sym_set_operation_token2,
    ACTIONS(15461), 1,
      sym_privilege_role,
  [436712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12390), 1,
      anon_sym_LPAREN,
    STATE(5599), 1,
      sym_select_subexpression,
  [436722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      sym__string_start,
    STATE(15171), 1,
      sym_string,
  [436732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15291), 1,
      anon_sym_LPAREN,
    STATE(12873), 1,
      sym_create_function_parameters,
  [436742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15205), 1,
      anon_sym_LPAREN,
    STATE(8024), 1,
      sym__function_body_sql,
  [436752] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15463), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [436760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15465), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(15467), 1,
      aux_sym_create_remote_function_statement_token2,
  [436770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3628), 1,
      aux_sym_clone_clause_token1,
    STATE(8617), 1,
      sym_clone_clause,
  [436780] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15469), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [436788] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15291), 1,
      anon_sym_LPAREN,
    STATE(13003), 1,
      sym_create_function_parameters,
  [436798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2412), 1,
      sym__string_start,
    STATE(7154), 1,
      sym_string,
  [436808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15471), 1,
      anon_sym_LPAREN,
    ACTIONS(15473), 1,
      anon_sym_LT,
  [436818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9470), 1,
      aux_sym__keyword_end_token1,
    STATE(510), 1,
      sym__keyword_end,
  [436828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9470), 1,
      aux_sym__keyword_end_token1,
    STATE(521), 1,
      sym__keyword_end,
  [436838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12377), 1,
      anon_sym_LPAREN,
    STATE(10290), 1,
      sym_select_subexpression,
  [436848] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2294), 1,
      sym__string_start,
    STATE(10292), 1,
      sym_string,
  [436858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2294), 1,
      sym__string_start,
    STATE(10304), 1,
      sym_string,
  [436868] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15475), 1,
      anon_sym_LPAREN,
    STATE(10305), 1,
      sym_quantitve_like_patterns,
  [436878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11118), 1,
      aux_sym_where_clause_token1,
    STATE(8256), 1,
      sym_where_clause,
  [436888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15477), 1,
      anon_sym_LPAREN,
    STATE(4720), 1,
      sym_select_subexpression,
  [436898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      sym__string_start,
    STATE(15481), 1,
      sym_string,
  [436908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3628), 1,
      aux_sym_clone_clause_token1,
    STATE(9048), 1,
      sym_clone_clause,
  [436918] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9340), 1,
      aux_sym__keyword_end_token1,
    STATE(7177), 1,
      sym__keyword_end,
  [436928] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15479), 1,
      anon_sym_LPAREN,
    ACTIONS(15481), 1,
      anon_sym_LT,
  [436938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15347), 1,
      anon_sym_LPAREN,
    STATE(14228), 1,
      sym_procedure_parameters,
  [436948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      sym__string_start,
    STATE(14812), 1,
      sym_string,
  [436958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15291), 1,
      anon_sym_LPAREN,
    STATE(12063), 1,
      sym_create_function_parameters,
  [436968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15483), 1,
      anon_sym_LPAREN,
    ACTIONS(15485), 1,
      anon_sym_LT,
  [436978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      sym__string_start,
    STATE(15542), 1,
      sym_string,
  [436988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12359), 1,
      anon_sym_LPAREN,
    STATE(2062), 1,
      sym_select_subexpression,
  [436998] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13185), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [437006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9340), 1,
      aux_sym__keyword_end_token1,
    STATE(7142), 1,
      sym__keyword_end,
  [437016] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15487), 1,
      anon_sym_LPAREN,
    STATE(503), 1,
      sym_quantitve_like_patterns,
  [437026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1512), 1,
      sym__string_start,
    STATE(502), 1,
      sym_string,
  [437036] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15489), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [437044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15391), 1,
      aux_sym_insert_statement_token1,
    STATE(7799), 1,
      sym_merge_insert_clause,
  [437054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15491), 1,
      anon_sym_LPAREN,
    STATE(5107), 1,
      sym_select_subexpression,
  [437064] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(201), 1,
      sym__string_start,
    STATE(2066), 1,
      sym_string,
  [437074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1512), 1,
      sym__string_start,
    STATE(481), 1,
      sym_string,
  [437084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12354), 1,
      anon_sym_LPAREN,
    STATE(479), 1,
      sym_select_subexpression,
  [437094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15493), 1,
      anon_sym_LPAREN,
    ACTIONS(15495), 1,
      anon_sym_LT,
  [437104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9502), 1,
      aux_sym__keyword_end_token1,
    STATE(3218), 1,
      sym__keyword_end,
  [437114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15497), 1,
      aux_sym__keyword_as_token1,
    STATE(11385), 1,
      sym__keyword_as,
  [437124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(201), 1,
      sym__string_start,
    STATE(1972), 1,
      sym_string,
  [437134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15499), 1,
      anon_sym_LPAREN,
    STATE(1958), 1,
      sym_quantitve_like_patterns,
  [437144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15501), 1,
      anon_sym_LPAREN,
    STATE(4368), 1,
      sym_quantitve_like_patterns,
  [437154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15503), 1,
      aux_sym__keyword_distinct_token1,
    ACTIONS(15505), 1,
      aux_sym_set_operation_token2,
  [437164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9502), 1,
      aux_sym__keyword_end_token1,
    STATE(3212), 1,
      sym__keyword_end,
  [437174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2412), 1,
      sym__string_start,
    STATE(4366), 1,
      sym_string,
  [437184] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15507), 1,
      anon_sym_LPAREN,
    STATE(11134), 1,
      sym_select_subexpression,
  [437194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11905), 1,
      aux_sym_where_clause_token1,
    STATE(8222), 1,
      sym_where_clause,
  [437204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      sym__string_start,
    STATE(15121), 1,
      sym_string,
  [437214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12340), 1,
      anon_sym_LPAREN,
    STATE(10881), 1,
      sym_select_subexpression,
  [437224] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12908), 2,
      anon_sym_COMMA,
      aux_sym_join_condition_token1,
  [437232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15509), 1,
      anon_sym_LPAREN,
    ACTIONS(15511), 1,
      anon_sym_LT,
  [437242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15513), 1,
      anon_sym_LPAREN,
    ACTIONS(15515), 1,
      anon_sym_LT,
  [437252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2602), 1,
      sym__string_start,
    STATE(10865), 1,
      sym_string,
  [437262] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15517), 1,
      anon_sym_LPAREN,
    STATE(10864), 1,
      sym_quantitve_like_patterns,
  [437272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9498), 1,
      aux_sym__keyword_end_token1,
    STATE(5641), 1,
      sym__keyword_end,
  [437282] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9498), 1,
      aux_sym__keyword_end_token1,
    STATE(5646), 1,
      sym__keyword_end,
  [437292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12414), 1,
      anon_sym_LPAREN,
    STATE(4587), 1,
      sym_select_subexpression,
  [437302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2036), 1,
      sym__string_start,
    STATE(4580), 1,
      sym_string,
  [437312] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12861), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [437320] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9330), 1,
      aux_sym__keyword_end_token1,
    STATE(4401), 1,
      sym__keyword_end,
  [437330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2036), 1,
      sym__string_start,
    STATE(4561), 1,
      sym_string,
  [437340] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15519), 1,
      anon_sym_LPAREN,
    STATE(3556), 1,
      sym_quantitve_like_patterns,
  [437350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1978), 1,
      sym__string_start,
    STATE(3557), 1,
      sym_string,
  [437360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15521), 1,
      anon_sym_LPAREN,
    STATE(4559), 1,
      sym_quantitve_like_patterns,
  [437370] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1978), 1,
      sym__string_start,
    STATE(3573), 1,
      sym_string,
  [437380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12454), 1,
      anon_sym_LPAREN,
    STATE(3575), 1,
      sym_select_subexpression,
  [437390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9538), 1,
      aux_sym__keyword_end_token1,
    STATE(7780), 1,
      sym__keyword_end,
  [437400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9330), 1,
      aux_sym__keyword_end_token1,
    STATE(4390), 1,
      sym__keyword_end,
  [437410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9538), 1,
      aux_sym__keyword_end_token1,
    STATE(7806), 1,
      sym__keyword_end,
  [437420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2602), 1,
      sym__string_start,
    STATE(10910), 1,
      sym_string,
  [437430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15523), 1,
      aux_sym_set_statement_token1,
    ACTIONS(15525), 1,
      aux_sym_alter_table_rename_statement_token1,
  [437440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      sym__string_start,
    STATE(14585), 1,
      sym_string,
  [437450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15527), 1,
      aux_sym_alter_table_rename_statement_token2,
    ACTIONS(15529), 1,
      aux_sym_add_column_action_token2,
  [437460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11905), 1,
      aux_sym_where_clause_token1,
    STATE(8103), 1,
      sym_where_clause,
  [437470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2412), 1,
      sym__string_start,
    STATE(4384), 1,
      sym_string,
  [437480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15531), 1,
      aux_sym__keyword_distinct_token1,
    ACTIONS(15533), 1,
      aux_sym_set_operation_token2,
  [437490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15535), 1,
      anon_sym_LPAREN,
    ACTIONS(15537), 1,
      anon_sym_LT,
  [437500] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15539), 1,
      anon_sym_DQUOTE,
  [437507] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15541), 1,
      anon_sym_RPAREN,
  [437514] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15543), 1,
      anon_sym_RPAREN,
  [437521] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15545), 1,
      anon_sym_RPAREN,
  [437528] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15547), 1,
      anon_sym_RPAREN,
  [437535] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15549), 1,
      anon_sym_RPAREN,
  [437542] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15551), 1,
      anon_sym_RPAREN,
  [437549] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15553), 1,
      anon_sym_RPAREN,
  [437556] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15555), 1,
      anon_sym_RPAREN,
  [437563] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15557), 1,
      anon_sym_RPAREN,
  [437570] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15559), 1,
      anon_sym_RPAREN,
  [437577] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9770), 1,
      anon_sym_RPAREN,
  [437584] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15561), 1,
      anon_sym_RPAREN,
  [437591] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15563), 1,
      aux_sym__keyword_from_token1,
  [437598] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15565), 1,
      aux_sym__keyword_from_token1,
  [437605] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15567), 1,
      anon_sym_RPAREN,
  [437612] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15569), 1,
      anon_sym_RPAREN,
  [437619] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15571), 1,
      aux_sym__keyword_from_token1,
  [437626] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15573), 1,
      aux_sym__keyword_from_token1,
  [437633] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15575), 1,
      anon_sym_RPAREN,
  [437640] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15577), 1,
      aux_sym__keyword_from_token1,
  [437647] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15579), 1,
      aux_sym__keyword_from_token1,
  [437654] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15581), 1,
      anon_sym_RPAREN,
  [437661] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15583), 1,
      anon_sym_RPAREN,
  [437668] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15585), 1,
      aux_sym__keyword_from_token1,
  [437675] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15587), 1,
      aux_sym__keyword_from_token1,
  [437682] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15589), 1,
      anon_sym_RPAREN,
  [437689] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15591), 1,
      aux_sym__keyword_from_token1,
  [437696] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15593), 1,
      aux_sym__keyword_from_token1,
  [437703] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15595), 1,
      anon_sym_RPAREN,
  [437710] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15597), 1,
      aux_sym__keyword_from_token1,
  [437717] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15599), 1,
      aux_sym__keyword_from_token1,
  [437724] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11060), 1,
      anon_sym_RPAREN,
  [437731] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15601), 1,
      aux_sym__keyword_from_token1,
  [437738] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15603), 1,
      aux_sym__keyword_from_token1,
  [437745] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15605), 1,
      anon_sym_RPAREN,
  [437752] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15607), 1,
      aux_sym__keyword_from_token1,
  [437759] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15609), 1,
      aux_sym__keyword_from_token1,
  [437766] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9748), 1,
      anon_sym_RPAREN,
  [437773] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15611), 1,
      aux_sym__keyword_from_token1,
  [437780] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15613), 1,
      aux_sym__keyword_from_token1,
  [437787] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15615), 1,
      anon_sym_RPAREN,
  [437794] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15617), 1,
      anon_sym_RPAREN,
  [437801] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11124), 1,
      anon_sym_RPAREN,
  [437808] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15619), 1,
      aux_sym__keyword_from_token1,
  [437815] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15621), 1,
      aux_sym__keyword_from_token1,
  [437822] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15623), 1,
      anon_sym_RPAREN,
  [437829] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12875), 1,
      anon_sym_RPAREN,
  [437836] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9266), 1,
      anon_sym_RPAREN,
  [437843] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15625), 1,
      aux_sym__keyword_from_token1,
  [437850] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15627), 1,
      aux_sym__keyword_from_token1,
  [437857] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15629), 1,
      anon_sym_RPAREN,
  [437864] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15631), 1,
      anon_sym_RPAREN,
  [437871] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15633), 1,
      aux_sym_execute_immadiate_statement_token2,
  [437878] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15635), 1,
      anon_sym_RPAREN,
  [437885] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15637), 1,
      anon_sym_RPAREN,
  [437892] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15639), 1,
      anon_sym_RPAREN,
  [437899] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15641), 1,
      anon_sym_RPAREN,
  [437906] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15643), 1,
      anon_sym_RPAREN,
  [437913] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15645), 1,
      anon_sym_LBRACK,
  [437920] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15647), 1,
      aux_sym_set_statement_token2,
  [437927] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15649), 1,
      anon_sym_RPAREN,
  [437934] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15651), 1,
      anon_sym_RPAREN,
  [437941] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15653), 1,
      anon_sym_RPAREN,
  [437948] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15655), 1,
      anon_sym_RPAREN,
  [437955] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15657), 1,
      anon_sym_RPAREN,
  [437962] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15659), 1,
      aux_sym__keyword_partition_by_token2,
  [437969] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15661), 1,
      anon_sym_RPAREN,
  [437976] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15663), 1,
      aux_sym__keyword_distinct_token1,
  [437983] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15665), 1,
      aux_sym__keyword_distinct_token1,
  [437990] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15667), 1,
      anon_sym_RPAREN,
  [437997] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15669), 1,
      anon_sym_RPAREN,
  [438004] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15671), 1,
      anon_sym_RPAREN,
  [438011] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15673), 1,
      anon_sym_RPAREN,
  [438018] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9718), 1,
      anon_sym_RPAREN,
  [438025] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15675), 1,
      anon_sym_RPAREN,
  [438032] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15677), 1,
      anon_sym_RPAREN,
  [438039] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9710), 1,
      anon_sym_RPAREN,
  [438046] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15679), 1,
      anon_sym_RPAREN,
  [438053] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15681), 1,
      anon_sym_RPAREN,
  [438060] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9708), 1,
      anon_sym_RPAREN,
  [438067] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15683), 1,
      anon_sym_RPAREN,
  [438074] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13176), 1,
      anon_sym_RPAREN,
  [438081] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15685), 1,
      anon_sym_RPAREN,
  [438088] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11108), 1,
      anon_sym_RPAREN,
  [438095] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15687), 1,
      anon_sym_RPAREN,
  [438102] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15689), 1,
      anon_sym_RPAREN,
  [438109] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15691), 1,
      aux_sym_drop_notnull_token1,
  [438116] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15693), 1,
      anon_sym_RPAREN,
  [438123] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15695), 1,
      anon_sym_EQ,
  [438130] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15697), 1,
      aux_sym_drop_notnull_token1,
  [438137] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15699), 1,
      anon_sym_RPAREN,
  [438144] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15701), 1,
      aux_sym__keyword_as_token1,
  [438151] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15703), 1,
      anon_sym_RPAREN,
  [438158] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15705), 1,
      anon_sym_RPAREN,
  [438165] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15707), 1,
      aux_sym__keyword_partition_by_token2,
  [438172] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15709), 1,
      anon_sym_RPAREN,
  [438179] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15467), 1,
      aux_sym_create_remote_function_statement_token2,
  [438186] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15711), 1,
      anon_sym_LPAREN,
  [438193] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15713), 1,
      anon_sym_AS,
  [438200] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15715), 1,
      aux_sym__keyword_from_token1,
  [438207] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15717), 1,
      anon_sym_RPAREN,
  [438214] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15719), 1,
      anon_sym_RPAREN,
  [438221] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15721), 1,
      anon_sym_GT,
  [438228] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15723), 1,
      anon_sym_RPAREN,
  [438235] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15725), 1,
      anon_sym_RPAREN,
  [438242] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15727), 1,
      aux_sym__nulls_preference_token1,
  [438249] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15729), 1,
      anon_sym_RPAREN,
  [438256] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9680), 1,
      anon_sym_RPAREN,
  [438263] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15731), 1,
      anon_sym_RPAREN,
  [438270] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9678), 1,
      anon_sym_RPAREN,
  [438277] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15733), 1,
      anon_sym_RPAREN,
  [438284] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15133), 1,
      aux_sym_window_numeric_following_token1,
  [438291] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13476), 1,
      anon_sym_RPAREN,
  [438298] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15735), 1,
      anon_sym_RPAREN,
  [438305] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15737), 1,
      anon_sym_RPAREN,
  [438312] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15739), 1,
      anon_sym_RPAREN,
  [438319] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9670), 1,
      anon_sym_RPAREN,
  [438326] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15741), 1,
      aux_sym_window_numeric_following_token1,
  [438333] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9794), 1,
      anon_sym_RPAREN,
  [438340] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15743), 1,
      aux_sym__keyword_partition_by_token2,
  [438347] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15745), 1,
      anon_sym_RPAREN,
  [438354] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15747), 1,
      aux_sym_set_statement_token1,
  [438361] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15749), 1,
      anon_sym_RPAREN,
  [438368] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11134), 1,
      anon_sym_RPAREN,
  [438375] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13523), 1,
      anon_sym_RPAREN,
  [438382] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15751), 1,
      anon_sym_RPAREN,
  [438389] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15753), 1,
      anon_sym_LPAREN,
  [438396] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15755), 1,
      anon_sym_RPAREN,
  [438403] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15757), 1,
      anon_sym_RPAREN,
  [438410] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15759), 1,
      anon_sym_RPAREN,
  [438417] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9668), 1,
      anon_sym_RPAREN,
  [438424] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15761), 1,
      anon_sym_RPAREN,
  [438431] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15763), 1,
      aux_sym__keyword_in_token1,
  [438438] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15765), 1,
      anon_sym_LPAREN,
  [438445] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15767), 1,
      anon_sym_RPAREN,
  [438452] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15769), 1,
      anon_sym_RPAREN,
  [438459] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15771), 1,
      anon_sym_RPAREN,
  [438466] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15773), 1,
      anon_sym_LPAREN,
  [438473] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15775), 1,
      aux_sym_create_remote_function_statement_token2,
  [438480] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11154), 1,
      anon_sym_RPAREN,
  [438487] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15777), 1,
      anon_sym_RPAREN,
  [438494] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11148), 1,
      anon_sym_RPAREN,
  [438501] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15779), 1,
      anon_sym_RPAREN,
  [438508] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15781), 1,
      anon_sym_AS,
  [438515] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9780), 1,
      anon_sym_RPAREN,
  [438522] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11160), 1,
      anon_sym_RPAREN,
  [438529] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15783), 1,
      anon_sym_RPAREN,
  [438536] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13736), 1,
      anon_sym_RPAREN,
  [438543] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15785), 1,
      anon_sym_RPAREN,
  [438550] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15787), 1,
      anon_sym_RPAREN,
  [438557] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15789), 1,
      sym__unquoted_identifier,
  [438564] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15791), 1,
      anon_sym_RPAREN,
  [438571] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15793), 1,
      aux_sym__keyword_from_token1,
  [438578] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9658), 1,
      anon_sym_RPAREN,
  [438585] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9786), 1,
      anon_sym_RPAREN,
  [438592] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9788), 1,
      anon_sym_RPAREN,
  [438599] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15795), 1,
      anon_sym_RPAREN,
  [438606] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15797), 1,
      anon_sym_RPAREN,
  [438613] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15799), 1,
      aux_sym__nulls_preference_token1,
  [438620] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9656), 1,
      anon_sym_RPAREN,
  [438627] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_RPAREN,
  [438634] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9654), 1,
      anon_sym_RPAREN,
  [438641] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11176), 1,
      anon_sym_RPAREN,
  [438648] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15801), 1,
      aux_sym__keyword_from_token1,
  [438655] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15803), 1,
      aux_sym__nulls_preference_token1,
  [438662] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9650), 1,
      anon_sym_RPAREN,
  [438669] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15805), 1,
      anon_sym_RPAREN,
  [438676] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15807), 1,
      anon_sym_RPAREN,
  [438683] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15809), 1,
      anon_sym_RPAREN,
  [438690] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13957), 1,
      anon_sym_RPAREN,
  [438697] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9798), 1,
      anon_sym_RPAREN,
  [438704] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15811), 1,
      anon_sym_SQUOTE,
  [438711] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15811), 1,
      anon_sym_DQUOTE,
  [438718] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15813), 1,
      anon_sym_RPAREN,
  [438725] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15815), 1,
      anon_sym_RPAREN,
  [438732] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9800), 1,
      anon_sym_RPAREN,
  [438739] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15817), 1,
      aux_sym_limit_clause_token2,
  [438746] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15819), 1,
      aux_sym__keyword_from_token1,
  [438753] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15821), 1,
      anon_sym_RPAREN,
  [438760] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9808), 1,
      anon_sym_RPAREN,
  [438767] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15823), 1,
      aux_sym_argument_reference_token1,
  [438774] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15825), 1,
      anon_sym_RPAREN,
  [438781] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15827), 1,
      aux_sym_limit_clause_token2,
  [438788] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13546), 1,
      anon_sym_RPAREN,
  [438795] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15829), 1,
      anon_sym_RPAREN,
  [438802] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15831), 1,
      aux_sym_drop_notnull_token1,
  [438809] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15833), 1,
      anon_sym_RPAREN,
  [438816] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15835), 1,
      anon_sym_RPAREN,
  [438823] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15837), 1,
      anon_sym_RPAREN,
  [438830] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15839), 1,
      anon_sym_RPAREN,
  [438837] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15841), 1,
      anon_sym_DQUOTE,
  [438844] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15843), 1,
      anon_sym_RPAREN,
  [438851] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15845), 1,
      aux_sym_drop_notnull_token1,
  [438858] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15847), 1,
      anon_sym_RPAREN,
  [438865] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15849), 1,
      anon_sym_RPAREN,
  [438872] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15851), 1,
      anon_sym_RPAREN,
  [438879] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15853), 1,
      anon_sym_RPAREN,
  [438886] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15855), 1,
      anon_sym_RPAREN,
  [438893] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15857), 1,
      anon_sym_RPAREN,
  [438900] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15859), 1,
      anon_sym_RPAREN,
  [438907] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15861), 1,
      anon_sym_RPAREN,
  [438914] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15863), 1,
      aux_sym__keyword_as_token1,
  [438921] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15865), 1,
      anon_sym_RPAREN,
  [438928] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15867), 1,
      anon_sym_RPAREN,
  [438935] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15869), 1,
      anon_sym_RPAREN,
  [438942] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15871), 1,
      anon_sym_RPAREN,
  [438949] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15873), 1,
      anon_sym_RPAREN,
  [438956] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15875), 1,
      anon_sym_RPAREN,
  [438963] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15877), 1,
      anon_sym_RPAREN,
  [438970] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15879), 1,
      aux_sym__cross_join_operation_token2,
  [438977] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15881), 1,
      aux_sym__cross_join_operation_token2,
  [438984] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15883), 1,
      anon_sym_RPAREN,
  [438991] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11200), 1,
      anon_sym_RPAREN,
  [438998] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15885), 1,
      anon_sym_RPAREN,
  [439005] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15887), 1,
      anon_sym_RPAREN,
  [439012] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9610), 1,
      anon_sym_RPAREN,
  [439019] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15889), 1,
      anon_sym_RPAREN,
  [439026] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15891), 1,
      anon_sym_RPAREN,
  [439033] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15893), 1,
      anon_sym_RPAREN,
  [439040] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15895), 1,
      anon_sym_RPAREN,
  [439047] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15897), 1,
      aux_sym__nulls_preference_token1,
  [439054] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9608), 1,
      anon_sym_RPAREN,
  [439061] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15899), 1,
      anon_sym_RPAREN,
  [439068] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15901), 1,
      anon_sym_RPAREN,
  [439075] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15903), 1,
      anon_sym_RPAREN,
  [439082] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9606), 1,
      anon_sym_RPAREN,
  [439089] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15905), 1,
      anon_sym_RPAREN,
  [439096] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15907), 1,
      anon_sym_RPAREN,
  [439103] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15909), 1,
      anon_sym_RPAREN,
  [439110] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15911), 1,
      anon_sym_RPAREN,
  [439117] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15913), 1,
      aux_sym__nulls_preference_token1,
  [439124] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15915), 1,
      anon_sym_RPAREN,
  [439131] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15917), 1,
      anon_sym_RPAREN,
  [439138] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15919), 1,
      anon_sym_RPAREN,
  [439145] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15921), 1,
      anon_sym_RPAREN,
  [439152] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15923), 1,
      anon_sym_RPAREN,
  [439159] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15925), 1,
      aux_sym__nulls_preference_token1,
  [439166] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15927), 1,
      anon_sym_RPAREN,
  [439173] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14297), 1,
      anon_sym_RPAREN,
  [439180] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15929), 1,
      anon_sym_RPAREN,
  [439187] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15931), 1,
      anon_sym_RPAREN,
  [439194] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15933), 1,
      anon_sym_RPAREN,
  [439201] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15935), 1,
      anon_sym_RPAREN,
  [439208] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15937), 1,
      anon_sym_RPAREN,
  [439215] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15939), 1,
      anon_sym_RPAREN,
  [439222] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15941), 1,
      anon_sym_RPAREN,
  [439229] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15943), 1,
      anon_sym_RPAREN,
  [439236] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15945), 1,
      anon_sym_RPAREN,
  [439243] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15947), 1,
      anon_sym_RPAREN,
  [439250] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15949), 1,
      anon_sym_RPAREN,
  [439257] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15951), 1,
      anon_sym_RPAREN,
  [439264] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15953), 1,
      anon_sym_RPAREN,
  [439271] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15955), 1,
      anon_sym_RPAREN,
  [439278] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15957), 1,
      anon_sym_RPAREN,
  [439285] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15959), 1,
      anon_sym_RPAREN,
  [439292] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15961), 1,
      sym__string_end,
  [439299] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15963), 1,
      sym__string_end,
  [439306] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15965), 1,
      aux_sym__keyword_for_token1,
  [439313] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15967), 1,
      anon_sym_RPAREN,
  [439320] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15969), 1,
      anon_sym_RPAREN,
  [439327] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15971), 1,
      anon_sym_RPAREN,
  [439334] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15973), 1,
      anon_sym_RPAREN,
  [439341] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15975), 1,
      anon_sym_RPAREN,
  [439348] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15977), 1,
      anon_sym_RPAREN,
  [439355] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15979), 1,
      anon_sym_RPAREN,
  [439362] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15981), 1,
      anon_sym_RPAREN,
  [439369] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15983), 1,
      anon_sym_RPAREN,
  [439376] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15985), 1,
      aux_sym__keyword_in_token1,
  [439383] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15987), 1,
      anon_sym_RPAREN,
  [439390] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14468), 1,
      anon_sym_RPAREN,
  [439397] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15989), 1,
      anon_sym_RPAREN,
  [439404] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15991), 1,
      anon_sym_RPAREN,
  [439411] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15993), 1,
      anon_sym_RPAREN,
  [439418] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15995), 1,
      aux_sym__keyword_in_token1,
  [439425] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15997), 1,
      anon_sym_RPAREN,
  [439432] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15999), 1,
      anon_sym_RPAREN,
  [439439] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16001), 1,
      anon_sym_RPAREN,
  [439446] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16003), 1,
      anon_sym_RPAREN,
  [439453] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16005), 1,
      aux_sym_partition_columns_clause_token1,
  [439460] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16007), 1,
      anon_sym_RPAREN,
  [439467] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11242), 1,
      anon_sym_RPAREN,
  [439474] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16009), 1,
      anon_sym_RPAREN,
  [439481] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14538), 1,
      anon_sym_RPAREN,
  [439488] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16011), 1,
      anon_sym_RPAREN,
  [439495] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16013), 1,
      anon_sym_RPAREN,
  [439502] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16015), 1,
      anon_sym_RPAREN,
  [439509] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16017), 1,
      anon_sym_RPAREN,
  [439516] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16019), 1,
      anon_sym_RPAREN,
  [439523] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16021), 1,
      anon_sym_RPAREN,
  [439530] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16023), 1,
      anon_sym_RPAREN,
  [439537] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16025), 1,
      anon_sym_RPAREN,
  [439544] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16027), 1,
      anon_sym_RPAREN,
  [439551] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16029), 1,
      anon_sym_RPAREN,
  [439558] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16031), 1,
      aux_sym_create_remote_function_statement_token2,
  [439565] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16033), 1,
      anon_sym_RPAREN,
  [439572] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16035), 1,
      anon_sym_RPAREN,
  [439579] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16037), 1,
      anon_sym_RPAREN,
  [439586] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16039), 1,
      anon_sym_RPAREN,
  [439593] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16041), 1,
      anon_sym_RPAREN,
  [439600] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16043), 1,
      anon_sym_RPAREN,
  [439607] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14636), 1,
      anon_sym_RPAREN,
  [439614] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16045), 1,
      anon_sym_RPAREN,
  [439621] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11260), 1,
      anon_sym_RPAREN,
  [439628] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16047), 1,
      anon_sym_RPAREN,
  [439635] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16049), 1,
      anon_sym_RPAREN,
  [439642] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9594), 1,
      anon_sym_RPAREN,
  [439649] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16051), 1,
      anon_sym_RPAREN,
  [439656] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11264), 1,
      anon_sym_RPAREN,
  [439663] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16053), 1,
      anon_sym_RPAREN,
  [439670] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16055), 1,
      anon_sym_RPAREN,
  [439677] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16057), 1,
      aux_sym__nulls_preference_token1,
  [439684] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16059), 1,
      anon_sym_RPAREN,
  [439691] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16061), 1,
      anon_sym_RPAREN,
  [439698] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16063), 1,
      anon_sym_RPAREN,
  [439705] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9820), 1,
      anon_sym_RPAREN,
  [439712] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11284), 1,
      anon_sym_RPAREN,
  [439719] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11272), 1,
      anon_sym_RPAREN,
  [439726] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14731), 1,
      anon_sym_RPAREN,
  [439733] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16065), 1,
      anon_sym_RPAREN,
  [439740] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16067), 1,
      anon_sym_RPAREN,
  [439747] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16069), 1,
      anon_sym_RPAREN,
  [439754] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16071), 1,
      anon_sym_RPAREN,
  [439761] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16073), 1,
      anon_sym_RPAREN,
  [439768] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16075), 1,
      anon_sym_RPAREN,
  [439775] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16077), 1,
      anon_sym_RPAREN,
  [439782] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9826), 1,
      anon_sym_RPAREN,
  [439789] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16079), 1,
      anon_sym_RPAREN,
  [439796] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9828), 1,
      anon_sym_RPAREN,
  [439803] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16081), 1,
      anon_sym_RPAREN,
  [439810] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16083), 1,
      anon_sym_RPAREN,
  [439817] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9830), 1,
      anon_sym_RPAREN,
  [439824] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11310), 1,
      anon_sym_RPAREN,
  [439831] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16085), 1,
      anon_sym_RPAREN,
  [439838] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16087), 1,
      anon_sym_RPAREN,
  [439845] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16089), 1,
      anon_sym_RPAREN,
  [439852] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16091), 1,
      anon_sym_RPAREN,
  [439859] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16093), 1,
      anon_sym_RPAREN,
  [439866] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16095), 1,
      aux_sym__keyword_from_token1,
  [439873] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16097), 1,
      sym__string_end,
  [439880] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10719), 1,
      anon_sym_RPAREN,
  [439887] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9839), 1,
      anon_sym_RPAREN,
  [439894] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16099), 1,
      anon_sym_RPAREN,
  [439901] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15007), 1,
      anon_sym_RPAREN,
  [439908] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9846), 1,
      anon_sym_RPAREN,
  [439915] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16101), 1,
      anon_sym_RPAREN,
  [439922] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16103), 1,
      anon_sym_RPAREN,
  [439929] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9848), 1,
      anon_sym_RPAREN,
  [439936] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16105), 1,
      aux_sym__keyword_from_token1,
  [439943] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16107), 1,
      anon_sym_RPAREN,
  [439950] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16109), 1,
      anon_sym_RPAREN,
  [439957] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16111), 1,
      anon_sym_RPAREN,
  [439964] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16113), 1,
      anon_sym_RPAREN,
  [439971] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16115), 1,
      anon_sym_RPAREN,
  [439978] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16117), 1,
      aux_sym_drop_notnull_token1,
  [439985] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16119), 1,
      aux_sym_drop_notnull_token1,
  [439992] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16121), 1,
      anon_sym_RPAREN,
  [439999] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9855), 1,
      anon_sym_RPAREN,
  [440006] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16123), 1,
      aux_sym_drop_notnull_token1,
  [440013] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16125), 1,
      aux_sym__keyword_in_token1,
  [440020] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16127), 1,
      anon_sym_RPAREN,
  [440027] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16129), 1,
      anon_sym_LPAREN,
  [440034] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15073), 1,
      anon_sym_RPAREN,
  [440041] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16131), 1,
      aux_sym_constraint_enfoce_option_token1,
  [440048] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16133), 1,
      aux_sym_limit_clause_token2,
  [440055] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16135), 1,
      anon_sym_RPAREN,
  [440062] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16137), 1,
      anon_sym_RPAREN,
  [440069] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11002), 1,
      anon_sym_RPAREN,
  [440076] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16139), 1,
      anon_sym_RPAREN,
  [440083] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16141), 1,
      anon_sym_RPAREN,
  [440090] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16143), 1,
      anon_sym_RPAREN,
  [440097] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16145), 1,
      sym__string_end,
  [440104] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16147), 1,
      anon_sym_RPAREN,
  [440111] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16149), 1,
      anon_sym_RPAREN,
  [440118] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16151), 1,
      anon_sym_RPAREN,
  [440125] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16153), 1,
      anon_sym_RPAREN,
  [440132] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16155), 1,
      anon_sym_RPAREN,
  [440139] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16157), 1,
      anon_sym_RPAREN,
  [440146] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16159), 1,
      anon_sym_RPAREN,
  [440153] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16161), 1,
      anon_sym_RPAREN,
  [440160] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16163), 1,
      anon_sym_RPAREN,
  [440167] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16165), 1,
      anon_sym_RPAREN,
  [440174] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16167), 1,
      anon_sym_RPAREN,
  [440181] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16169), 1,
      anon_sym_RPAREN,
  [440188] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16171), 1,
      anon_sym_RPAREN,
  [440195] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16173), 1,
      anon_sym_RPAREN,
  [440202] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16175), 1,
      anon_sym_RPAREN,
  [440209] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16177), 1,
      anon_sym_RPAREN,
  [440216] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16179), 1,
      anon_sym_RPAREN,
  [440223] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16181), 1,
      anon_sym_RPAREN,
  [440230] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16183), 1,
      anon_sym_RPAREN,
  [440237] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16185), 1,
      anon_sym_RPAREN,
  [440244] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16187), 1,
      anon_sym_RPAREN,
  [440251] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16189), 1,
      anon_sym_RPAREN,
  [440258] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16191), 1,
      anon_sym_RPAREN,
  [440265] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16193), 1,
      anon_sym_RPAREN,
  [440272] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16195), 1,
      anon_sym_RPAREN,
  [440279] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16197), 1,
      anon_sym_RPAREN,
  [440286] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16199), 1,
      anon_sym_RPAREN,
  [440293] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16201), 1,
      anon_sym_RPAREN,
  [440300] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16203), 1,
      anon_sym_RPAREN,
  [440307] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16205), 1,
      anon_sym_RPAREN,
  [440314] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16207), 1,
      anon_sym_RPAREN,
  [440321] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16209), 1,
      anon_sym_RPAREN,
  [440328] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16211), 1,
      anon_sym_RPAREN,
  [440335] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16213), 1,
      anon_sym_RPAREN,
  [440342] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15079), 1,
      anon_sym_RPAREN,
  [440349] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16215), 1,
      anon_sym_RPAREN,
  [440356] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16217), 1,
      anon_sym_RPAREN,
  [440363] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16219), 1,
      anon_sym_RPAREN,
  [440370] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16221), 1,
      anon_sym_RPAREN,
  [440377] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16223), 1,
      anon_sym_RPAREN,
  [440384] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16225), 1,
      anon_sym_RPAREN,
  [440391] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16227), 1,
      anon_sym_RPAREN,
  [440398] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16229), 1,
      anon_sym_RPAREN,
  [440405] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16231), 1,
      anon_sym_RPAREN,
  [440412] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16233), 1,
      anon_sym_RPAREN,
  [440419] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16235), 1,
      anon_sym_RPAREN,
  [440426] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15055), 1,
      anon_sym_RPAREN,
  [440433] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16237), 1,
      anon_sym_RPAREN,
  [440440] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15047), 1,
      anon_sym_RPAREN,
  [440447] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16239), 1,
      anon_sym_RPAREN,
  [440454] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11362), 1,
      anon_sym_RPAREN,
  [440461] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10709), 1,
      anon_sym_RPAREN,
  [440468] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16241), 1,
      anon_sym_RPAREN,
  [440475] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16243), 1,
      anon_sym_RPAREN,
  [440482] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16245), 1,
      anon_sym_RPAREN,
  [440489] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16247), 1,
      anon_sym_RPAREN,
  [440496] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16249), 1,
      anon_sym_RPAREN,
  [440503] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9618), 1,
      anon_sym_RPAREN,
  [440510] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16251), 1,
      anon_sym_RPAREN,
  [440517] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16253), 1,
      anon_sym_RPAREN,
  [440524] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16255), 1,
      anon_sym_RPAREN,
  [440531] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16257), 1,
      anon_sym_RPAREN,
  [440538] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16259), 1,
      anon_sym_RPAREN,
  [440545] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15027), 1,
      anon_sym_RPAREN,
  [440552] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16261), 1,
      anon_sym_RPAREN,
  [440559] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16263), 1,
      anon_sym_RPAREN,
  [440566] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16265), 1,
      anon_sym_RPAREN,
  [440573] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16267), 1,
      anon_sym_RPAREN,
  [440580] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16269), 1,
      anon_sym_RPAREN,
  [440587] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16271), 1,
      anon_sym_RPAREN,
  [440594] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16273), 1,
      anon_sym_RPAREN,
  [440601] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16275), 1,
      anon_sym_RPAREN,
  [440608] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16277), 1,
      anon_sym_RPAREN,
  [440615] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16279), 1,
      anon_sym_RPAREN,
  [440622] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16281), 1,
      anon_sym_RPAREN,
  [440629] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16283), 1,
      anon_sym_RPAREN,
  [440636] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16285), 1,
      anon_sym_RPAREN,
  [440643] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16287), 1,
      anon_sym_RPAREN,
  [440650] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15009), 1,
      anon_sym_RPAREN,
  [440657] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16289), 1,
      anon_sym_RPAREN,
  [440664] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16291), 1,
      anon_sym_RPAREN,
  [440671] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16293), 1,
      anon_sym_RPAREN,
  [440678] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16295), 1,
      anon_sym_RPAREN,
  [440685] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16297), 1,
      anon_sym_RPAREN,
  [440692] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16299), 1,
      anon_sym_RPAREN,
  [440699] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16301), 1,
      anon_sym_RPAREN,
  [440706] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16303), 1,
      anon_sym_RPAREN,
  [440713] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16305), 1,
      anon_sym_RPAREN,
  [440720] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11008), 1,
      anon_sym_RPAREN,
  [440727] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11396), 1,
      anon_sym_RPAREN,
  [440734] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16307), 1,
      sym__string_end,
  [440741] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14985), 1,
      anon_sym_RPAREN,
  [440748] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16309), 1,
      aux_sym__keyword_for_token1,
  [440755] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16311), 1,
      anon_sym_RPAREN,
  [440762] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16313), 1,
      aux_sym_drop_notnull_token1,
  [440769] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16315), 1,
      aux_sym_set_data_type_token2,
  [440776] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16317), 1,
      anon_sym_RPAREN,
  [440783] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16319), 1,
      anon_sym_RPAREN,
  [440790] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16321), 1,
      anon_sym_RPAREN,
  [440797] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9865), 1,
      anon_sym_RPAREN,
  [440804] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16323), 1,
      anon_sym_RPAREN,
  [440811] = 2,
    ACTIONS(12346), 1,
      sym_comment,
    ACTIONS(16325), 1,
      aux_sym_privilege_user_token1,
  [440818] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16327), 1,
      anon_sym_RPAREN,
  [440825] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16329), 1,
      anon_sym_RPAREN,
  [440832] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16331), 1,
      aux_sym_merge_matched_clause_token1,
  [440839] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16333), 1,
      aux_sym_join_condition_token1,
  [440846] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16335), 1,
      aux_sym_join_condition_token1,
  [440853] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16337), 1,
      anon_sym_RPAREN,
  [440860] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16339), 1,
      aux_sym_tablesample_operator_token3,
  [440867] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16341), 1,
      anon_sym_RPAREN,
  [440874] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16343), 1,
      anon_sym_RPAREN,
  [440881] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16345), 1,
      anon_sym_RPAREN,
  [440888] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16347), 1,
      anon_sym_RPAREN,
  [440895] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16349), 1,
      anon_sym_RPAREN,
  [440902] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16351), 1,
      anon_sym_RPAREN,
  [440909] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16353), 1,
      anon_sym_RPAREN,
  [440916] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16355), 1,
      anon_sym_RPAREN,
  [440923] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16357), 1,
      anon_sym_RPAREN,
  [440930] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16359), 1,
      anon_sym_RPAREN,
  [440937] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11416), 1,
      anon_sym_RPAREN,
  [440944] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16361), 1,
      anon_sym_RPAREN,
  [440951] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16363), 1,
      anon_sym_RPAREN,
  [440958] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16365), 1,
      anon_sym_RPAREN,
  [440965] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9875), 1,
      anon_sym_RPAREN,
  [440972] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11422), 1,
      anon_sym_RPAREN,
  [440979] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14914), 1,
      anon_sym_RPAREN,
  [440986] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16367), 1,
      anon_sym_RPAREN,
  [440993] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16369), 1,
      anon_sym_RPAREN,
  [441000] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9226), 1,
      anon_sym_RPAREN,
  [441007] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16371), 1,
      anon_sym_RPAREN,
  [441014] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16373), 1,
      anon_sym_RPAREN,
  [441021] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16375), 1,
      anon_sym_RPAREN,
  [441028] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16377), 1,
      anon_sym_RPAREN,
  [441035] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16379), 1,
      anon_sym_RPAREN,
  [441042] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16381), 1,
      anon_sym_RPAREN,
  [441049] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16383), 1,
      anon_sym_RPAREN,
  [441056] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16385), 1,
      anon_sym_RPAREN,
  [441063] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9885), 1,
      anon_sym_RPAREN,
  [441070] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16387), 1,
      anon_sym_RPAREN,
  [441077] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9887), 1,
      anon_sym_RPAREN,
  [441084] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16389), 1,
      anon_sym_RPAREN,
  [441091] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9889), 1,
      anon_sym_RPAREN,
  [441098] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16391), 1,
      aux_sym_partition_columns_clause_token1,
  [441105] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11458), 1,
      anon_sym_RPAREN,
  [441112] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16393), 1,
      anon_sym_RPAREN,
  [441119] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14878), 1,
      anon_sym_RPAREN,
  [441126] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16395), 1,
      aux_sym__keyword_from_token1,
  [441133] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16397), 1,
      anon_sym_RPAREN,
  [441140] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16399), 1,
      anon_sym_RPAREN,
  [441147] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16401), 1,
      anon_sym_RPAREN,
  [441154] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16403), 1,
      anon_sym_RPAREN,
  [441161] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16405), 1,
      anon_sym_RPAREN,
  [441168] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9891), 1,
      anon_sym_RPAREN,
  [441175] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16407), 1,
      anon_sym_RPAREN,
  [441182] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16409), 1,
      anon_sym_RPAREN,
  [441189] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9893), 1,
      anon_sym_RPAREN,
  [441196] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16411), 1,
      anon_sym_RPAREN,
  [441203] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16413), 1,
      aux_sym_create_remote_function_statement_token2,
  [441210] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9895), 1,
      anon_sym_RPAREN,
  [441217] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16415), 1,
      anon_sym_RPAREN,
  [441224] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16417), 1,
      anon_sym_RPAREN,
  [441231] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16419), 1,
      aux_sym__keyword_from_token1,
  [441238] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16421), 1,
      anon_sym_RPAREN,
  [441245] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11474), 1,
      anon_sym_RPAREN,
  [441252] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16423), 1,
      anon_sym_RPAREN,
  [441259] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16425), 1,
      anon_sym_RPAREN,
  [441266] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14830), 1,
      anon_sym_RPAREN,
  [441273] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16427), 1,
      anon_sym_RPAREN,
  [441280] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16429), 1,
      anon_sym_RPAREN,
  [441287] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14823), 1,
      anon_sym_RPAREN,
  [441294] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9899), 1,
      anon_sym_RPAREN,
  [441301] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16431), 1,
      anon_sym_RPAREN,
  [441308] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16433), 1,
      anon_sym_RPAREN,
  [441315] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16435), 1,
      anon_sym_RPAREN,
  [441322] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16437), 1,
      anon_sym_RPAREN,
  [441329] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16439), 1,
      anon_sym_RPAREN,
  [441336] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16441), 1,
      anon_sym_RPAREN,
  [441343] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16443), 1,
      anon_sym_RPAREN,
  [441350] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16445), 1,
      aux_sym_limit_clause_token2,
  [441357] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16447), 1,
      anon_sym_RPAREN,
  [441364] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16449), 1,
      anon_sym_RPAREN,
  [441371] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16451), 1,
      anon_sym_RPAREN,
  [441378] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16453), 1,
      anon_sym_RPAREN,
  [441385] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16455), 1,
      anon_sym_RPAREN,
  [441392] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16457), 1,
      anon_sym_RPAREN,
  [441399] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16459), 1,
      anon_sym_RPAREN,
  [441406] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16461), 1,
      anon_sym_RPAREN,
  [441413] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16463), 1,
      anon_sym_RPAREN,
  [441420] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16465), 1,
      anon_sym_RPAREN,
  [441427] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16467), 1,
      anon_sym_RPAREN,
  [441434] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16469), 1,
      anon_sym_RPAREN,
  [441441] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16471), 1,
      anon_sym_RPAREN,
  [441448] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16473), 1,
      anon_sym_RPAREN,
  [441455] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16475), 1,
      anon_sym_RPAREN,
  [441462] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16477), 1,
      anon_sym_RPAREN,
  [441469] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16479), 1,
      anon_sym_RPAREN,
  [441476] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16481), 1,
      anon_sym_RPAREN,
  [441483] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16483), 1,
      aux_sym_primary_key_token2,
  [441490] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16485), 1,
      aux_sym_drop_notnull_token1,
  [441497] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16487), 1,
      anon_sym_RPAREN,
  [441504] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16489), 1,
      aux_sym_drop_notnull_token1,
  [441511] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16491), 1,
      aux_sym_drop_notnull_token1,
  [441518] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16493), 1,
      anon_sym_LPAREN,
  [441525] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16495), 1,
      anon_sym_RPAREN,
  [441532] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16497), 1,
      anon_sym_RPAREN,
  [441539] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16499), 1,
      anon_sym_GT,
  [441546] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16501), 1,
      anon_sym_RPAREN,
  [441553] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16503), 1,
      anon_sym_RPAREN,
  [441560] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16505), 1,
      anon_sym_RPAREN,
  [441567] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16507), 1,
      anon_sym_RPAREN,
  [441574] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16509), 1,
      anon_sym_RPAREN,
  [441581] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16511), 1,
      anon_sym_RPAREN,
  [441588] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16513), 1,
      anon_sym_RPAREN,
  [441595] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16515), 1,
      anon_sym_RPAREN,
  [441602] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16517), 1,
      anon_sym_RPAREN,
  [441609] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16519), 1,
      anon_sym_RPAREN,
  [441616] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16521), 1,
      anon_sym_RPAREN,
  [441623] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16523), 1,
      anon_sym_RPAREN,
  [441630] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16525), 1,
      aux_sym_keyword_if_not_exists_token1,
  [441637] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16527), 1,
      anon_sym_RPAREN,
  [441644] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16529), 1,
      anon_sym_RPAREN,
  [441651] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16531), 1,
      anon_sym_RPAREN,
  [441658] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16533), 1,
      anon_sym_RPAREN,
  [441665] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16535), 1,
      anon_sym_RPAREN,
  [441672] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16537), 1,
      anon_sym_RPAREN,
  [441679] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16539), 1,
      anon_sym_RPAREN,
  [441686] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16541), 1,
      anon_sym_RPAREN,
  [441693] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16543), 1,
      anon_sym_RPAREN,
  [441700] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16545), 1,
      anon_sym_RPAREN,
  [441707] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16547), 1,
      anon_sym_RPAREN,
  [441714] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16549), 1,
      anon_sym_RPAREN,
  [441721] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16551), 1,
      anon_sym_RPAREN,
  [441728] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16553), 1,
      anon_sym_RPAREN,
  [441735] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16555), 1,
      anon_sym_RPAREN,
  [441742] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16557), 1,
      anon_sym_RPAREN,
  [441749] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16559), 1,
      anon_sym_RPAREN,
  [441756] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16561), 1,
      anon_sym_RPAREN,
  [441763] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16563), 1,
      anon_sym_RPAREN,
  [441770] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16565), 1,
      anon_sym_RPAREN,
  [441777] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16567), 1,
      anon_sym_RPAREN,
  [441784] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16569), 1,
      anon_sym_RPAREN,
  [441791] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16571), 1,
      anon_sym_RPAREN,
  [441798] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16573), 1,
      anon_sym_RPAREN,
  [441805] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14743), 1,
      anon_sym_RPAREN,
  [441812] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16575), 1,
      anon_sym_RPAREN,
  [441819] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16577), 1,
      anon_sym_RPAREN,
  [441826] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16579), 1,
      anon_sym_RPAREN,
  [441833] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16581), 1,
      anon_sym_RPAREN,
  [441840] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16583), 1,
      anon_sym_RPAREN,
  [441847] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16585), 1,
      anon_sym_RPAREN,
  [441854] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16587), 1,
      anon_sym_RPAREN,
  [441861] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16589), 1,
      anon_sym_RPAREN,
  [441868] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14729), 1,
      anon_sym_RPAREN,
  [441875] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16591), 1,
      anon_sym_RPAREN,
  [441882] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16593), 1,
      anon_sym_RPAREN,
  [441889] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10691), 1,
      anon_sym_RPAREN,
  [441896] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11522), 1,
      anon_sym_RPAREN,
  [441903] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16595), 1,
      anon_sym_RPAREN,
  [441910] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16597), 1,
      anon_sym_RPAREN,
  [441917] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16599), 1,
      anon_sym_RPAREN,
  [441924] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16601), 1,
      anon_sym_RPAREN,
  [441931] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16603), 1,
      anon_sym_RPAREN,
  [441938] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16605), 1,
      anon_sym_RPAREN,
  [441945] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16607), 1,
      anon_sym_RPAREN,
  [441952] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16609), 1,
      anon_sym_RPAREN,
  [441959] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16611), 1,
      anon_sym_RPAREN,
  [441966] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16613), 1,
      anon_sym_RPAREN,
  [441973] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16615), 1,
      anon_sym_RPAREN,
  [441980] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16617), 1,
      anon_sym_RPAREN,
  [441987] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16619), 1,
      anon_sym_RPAREN,
  [441994] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14719), 1,
      anon_sym_RPAREN,
  [442001] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16621), 1,
      anon_sym_RPAREN,
  [442008] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16623), 1,
      anon_sym_RPAREN,
  [442015] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15131), 1,
      aux_sym_window_numeric_preceding_token1,
  [442022] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16625), 1,
      anon_sym_RPAREN,
  [442029] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16627), 1,
      anon_sym_RPAREN,
  [442036] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16629), 1,
      anon_sym_RPAREN,
  [442043] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16631), 1,
      aux_sym_keyword_current_row_token2,
  [442050] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16633), 1,
      aux_sym_window_numeric_preceding_token1,
  [442057] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16635), 1,
      anon_sym_RPAREN,
  [442064] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9634), 1,
      anon_sym_RPAREN,
  [442071] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16637), 1,
      anon_sym_RPAREN,
  [442078] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16639), 1,
      anon_sym_RPAREN,
  [442085] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16641), 1,
      anon_sym_COMMA,
  [442092] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16643), 1,
      anon_sym_RPAREN,
  [442099] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16645), 1,
      anon_sym_RPAREN,
  [442106] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16647), 1,
      anon_sym_RPAREN,
  [442113] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16649), 1,
      anon_sym_RPAREN,
  [442120] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16651), 1,
      aux_sym_alter_table_rename_statement_token2,
  [442127] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16653), 1,
      anon_sym_RPAREN,
  [442134] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16655), 1,
      anon_sym_RPAREN,
  [442141] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16657), 1,
      anon_sym_RPAREN,
  [442148] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14683), 1,
      anon_sym_RPAREN,
  [442155] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16659), 1,
      anon_sym_RPAREN,
  [442162] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16661), 1,
      anon_sym_RPAREN,
  [442169] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16663), 1,
      anon_sym_RPAREN,
  [442176] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16665), 1,
      anon_sym_RPAREN,
  [442183] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16667), 1,
      anon_sym_RPAREN,
  [442190] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16669), 1,
      anon_sym_RPAREN,
  [442197] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11554), 1,
      anon_sym_RPAREN,
  [442204] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14662), 1,
      anon_sym_RPAREN,
  [442211] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16671), 1,
      anon_sym_RPAREN,
  [442218] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9915), 1,
      anon_sym_RPAREN,
  [442225] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16673), 1,
      anon_sym_RPAREN,
  [442232] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16675), 1,
      anon_sym_RPAREN,
  [442239] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16677), 1,
      anon_sym_RPAREN,
  [442246] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16679), 1,
      anon_sym_RPAREN,
  [442253] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16681), 1,
      anon_sym_COLON,
  [442260] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16683), 1,
      anon_sym_RPAREN,
  [442267] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16685), 1,
      anon_sym_RPAREN,
  [442274] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9981), 1,
      anon_sym_RPAREN,
  [442281] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16687), 1,
      anon_sym_RPAREN,
  [442288] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16689), 1,
      anon_sym_RPAREN,
  [442295] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16691), 1,
      aux_sym_join_condition_token1,
  [442302] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16693), 1,
      aux_sym_join_condition_token1,
  [442309] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16695), 1,
      anon_sym_RPAREN,
  [442316] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9250), 1,
      anon_sym_RPAREN,
  [442323] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11570), 1,
      anon_sym_RPAREN,
  [442330] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16697), 1,
      aux_sym_join_condition_token1,
  [442337] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16699), 1,
      aux_sym_join_condition_token1,
  [442344] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16701), 1,
      anon_sym_RPAREN,
  [442351] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16703), 1,
      aux_sym_argument_reference_token1,
  [442358] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9951), 1,
      anon_sym_RPAREN,
  [442365] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11582), 1,
      anon_sym_RPAREN,
  [442372] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16705), 1,
      anon_sym_LPAREN,
  [442379] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14600), 1,
      anon_sym_RPAREN,
  [442386] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9264), 1,
      anon_sym_RPAREN,
  [442393] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16707), 1,
      aux_sym_limit_clause_token2,
  [442400] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16709), 1,
      anon_sym_LPAREN,
  [442407] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16711), 1,
      anon_sym_LPAREN,
  [442414] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16713), 1,
      anon_sym_RPAREN,
  [442421] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16715), 1,
      anon_sym_RPAREN,
  [442428] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16717), 1,
      anon_sym_RPAREN,
  [442435] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16719), 1,
      anon_sym_RPAREN,
  [442442] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16721), 1,
      anon_sym_LPAREN,
  [442449] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9967), 1,
      anon_sym_RPAREN,
  [442456] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16723), 1,
      anon_sym_DQUOTE,
  [442463] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9969), 1,
      anon_sym_RPAREN,
  [442470] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16723), 1,
      anon_sym_SQUOTE,
  [442477] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9971), 1,
      anon_sym_RPAREN,
  [442484] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11602), 1,
      anon_sym_RPAREN,
  [442491] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16725), 1,
      aux_sym__keyword_from_token1,
  [442498] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9977), 1,
      anon_sym_RPAREN,
  [442505] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16727), 1,
      aux_sym__keyword_from_token1,
  [442512] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9985), 1,
      anon_sym_RPAREN,
  [442519] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16729), 1,
      sym__unquoted_identifier,
  [442526] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11596), 1,
      anon_sym_RPAREN,
  [442533] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9987), 1,
      anon_sym_RPAREN,
  [442540] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16731), 1,
      aux_sym__keyword_from_token1,
  [442547] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9989), 1,
      anon_sym_RPAREN,
  [442554] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16733), 1,
      anon_sym_RPAREN,
  [442561] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9993), 1,
      anon_sym_RPAREN,
  [442568] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16735), 1,
      anon_sym_RPAREN,
  [442575] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16737), 1,
      aux_sym_limit_clause_token2,
  [442582] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16739), 1,
      aux_sym_drop_notnull_token1,
  [442589] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9586), 1,
      anon_sym_RPAREN,
  [442596] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9995), 1,
      anon_sym_RPAREN,
  [442603] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16741), 1,
      anon_sym_RPAREN,
  [442610] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16743), 1,
      anon_sym_RPAREN,
  [442617] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16745), 1,
      anon_sym_RPAREN,
  [442624] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16747), 1,
      anon_sym_RPAREN,
  [442631] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11616), 1,
      anon_sym_RPAREN,
  [442638] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16749), 1,
      anon_sym_RPAREN,
  [442645] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14498), 1,
      anon_sym_RPAREN,
  [442652] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16751), 1,
      anon_sym_RPAREN,
  [442659] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16753), 1,
      anon_sym_RPAREN,
  [442666] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16755), 1,
      anon_sym_RPAREN,
  [442673] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16757), 1,
      anon_sym_RPAREN,
  [442680] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16759), 1,
      anon_sym_RPAREN,
  [442687] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16761), 1,
      anon_sym_RPAREN,
  [442694] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16763), 1,
      anon_sym_RPAREN,
  [442701] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16765), 1,
      anon_sym_RPAREN,
  [442708] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16767), 1,
      anon_sym_RPAREN,
  [442715] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16769), 1,
      aux_sym_create_remote_function_statement_token2,
  [442722] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16771), 1,
      anon_sym_RPAREN,
  [442729] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16773), 1,
      anon_sym_RPAREN,
  [442736] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16775), 1,
      anon_sym_RPAREN,
  [442743] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16777), 1,
      anon_sym_RPAREN,
  [442750] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16779), 1,
      anon_sym_RPAREN,
  [442757] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16781), 1,
      anon_sym_RPAREN,
  [442764] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16783), 1,
      anon_sym_RPAREN,
  [442771] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16785), 1,
      anon_sym_RPAREN,
  [442778] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16787), 1,
      aux_sym_partition_columns_clause_token1,
  [442785] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16789), 1,
      anon_sym_RPAREN,
  [442792] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16791), 1,
      anon_sym_RPAREN,
  [442799] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16793), 1,
      anon_sym_RPAREN,
  [442806] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16795), 1,
      anon_sym_RPAREN,
  [442813] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16797), 1,
      anon_sym_RPAREN,
  [442820] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16799), 1,
      anon_sym_RPAREN,
  [442827] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16801), 1,
      anon_sym_RPAREN,
  [442834] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16803), 1,
      anon_sym_RPAREN,
  [442841] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16805), 1,
      anon_sym_RPAREN,
  [442848] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9682), 1,
      anon_sym_RPAREN,
  [442855] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16807), 1,
      anon_sym_RPAREN,
  [442862] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16809), 1,
      anon_sym_RPAREN,
  [442869] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14429), 1,
      anon_sym_RPAREN,
  [442876] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9684), 1,
      anon_sym_RPAREN,
  [442883] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16811), 1,
      anon_sym_RPAREN,
  [442890] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10673), 1,
      anon_sym_RPAREN,
  [442897] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9686), 1,
      anon_sym_RPAREN,
  [442904] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16813), 1,
      anon_sym_RPAREN,
  [442911] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16815), 1,
      anon_sym_RPAREN,
  [442918] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11640), 1,
      anon_sym_RPAREN,
  [442925] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16817), 1,
      anon_sym_RPAREN,
  [442932] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16819), 1,
      anon_sym_RPAREN,
  [442939] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16821), 1,
      aux_sym__keyword_from_token1,
  [442946] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16823), 1,
      anon_sym_RPAREN,
  [442953] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16825), 1,
      anon_sym_RPAREN,
  [442960] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16827), 1,
      anon_sym_RPAREN,
  [442967] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9702), 1,
      anon_sym_RPAREN,
  [442974] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16829), 1,
      anon_sym_RPAREN,
  [442981] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16831), 1,
      anon_sym_RPAREN,
  [442988] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9704), 1,
      anon_sym_RPAREN,
  [442995] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16833), 1,
      anon_sym_RPAREN,
  [443002] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16835), 1,
      anon_sym_RPAREN,
  [443009] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9714), 1,
      anon_sym_RPAREN,
  [443016] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16837), 1,
      anon_sym_RPAREN,
  [443023] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14393), 1,
      anon_sym_RPAREN,
  [443030] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
  [443037] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16841), 1,
      anon_sym_RPAREN,
  [443044] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16843), 1,
      anon_sym_RPAREN,
  [443051] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16845), 1,
      sym__unquoted_identifier,
  [443058] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10005), 1,
      anon_sym_RPAREN,
  [443065] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16847), 1,
      aux_sym__keyword_from_token1,
  [443072] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16849), 1,
      anon_sym_RPAREN,
  [443079] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11666), 1,
      anon_sym_RPAREN,
  [443086] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9722), 1,
      anon_sym_RPAREN,
  [443093] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14363), 1,
      anon_sym_RPAREN,
  [443100] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16851), 1,
      anon_sym_RPAREN,
  [443107] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10007), 1,
      anon_sym_RPAREN,
  [443114] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16853), 1,
      anon_sym_SQUOTE,
  [443121] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16853), 1,
      anon_sym_DQUOTE,
  [443128] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16855), 1,
      anon_sym_RPAREN,
  [443135] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16857), 1,
      anon_sym_RPAREN,
  [443142] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16859), 1,
      anon_sym_RPAREN,
  [443149] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16861), 1,
      aux_sym_limit_clause_token2,
  [443156] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16863), 1,
      anon_sym_RPAREN,
  [443163] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16865), 1,
      anon_sym_RPAREN,
  [443170] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16867), 1,
      anon_sym_RPAREN,
  [443177] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16869), 1,
      aux_sym_argument_reference_token1,
  [443184] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16871), 1,
      anon_sym_RPAREN,
  [443191] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16873), 1,
      anon_sym_RPAREN,
  [443198] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16875), 1,
      aux_sym__keyword_from_token1,
  [443205] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16877), 1,
      anon_sym_RPAREN,
  [443212] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16879), 1,
      anon_sym_RPAREN,
  [443219] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11684), 1,
      anon_sym_RPAREN,
  [443226] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16881), 1,
      anon_sym_RPAREN,
  [443233] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16883), 1,
      anon_sym_RPAREN,
  [443240] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16885), 1,
      anon_sym_RPAREN,
  [443247] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16887), 1,
      anon_sym_RPAREN,
  [443254] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16889), 1,
      anon_sym_RPAREN,
  [443261] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16891), 1,
      anon_sym_RPAREN,
  [443268] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16893), 1,
      anon_sym_RPAREN,
  [443275] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16895), 1,
      anon_sym_RPAREN,
  [443282] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16897), 1,
      anon_sym_RPAREN,
  [443289] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16899), 1,
      anon_sym_RPAREN,
  [443296] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16901), 1,
      anon_sym_RPAREN,
  [443303] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10019), 1,
      anon_sym_RPAREN,
  [443310] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16903), 1,
      anon_sym_RPAREN,
  [443317] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11710), 1,
      anon_sym_RPAREN,
  [443324] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16905), 1,
      anon_sym_RPAREN,
  [443331] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16907), 1,
      anon_sym_RPAREN,
  [443338] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16909), 1,
      anon_sym_RPAREN,
  [443345] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16911), 1,
      anon_sym_RPAREN,
  [443352] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16913), 1,
      anon_sym_RPAREN,
  [443359] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16915), 1,
      anon_sym_RPAREN,
  [443366] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16917), 1,
      anon_sym_RPAREN,
  [443373] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16919), 1,
      anon_sym_RPAREN,
  [443380] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14317), 1,
      anon_sym_RPAREN,
  [443387] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16921), 1,
      anon_sym_RPAREN,
  [443394] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11712), 1,
      anon_sym_RPAREN,
  [443401] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16923), 1,
      anon_sym_RPAREN,
  [443408] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16925), 1,
      anon_sym_RPAREN,
  [443415] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16927), 1,
      anon_sym_RPAREN,
  [443422] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16929), 1,
      anon_sym_RPAREN,
  [443429] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9242), 1,
      anon_sym_RPAREN,
  [443436] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16931), 1,
      anon_sym_RPAREN,
  [443443] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16933), 1,
      anon_sym_RPAREN,
  [443450] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16935), 1,
      anon_sym_RPAREN,
  [443457] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16937), 1,
      anon_sym_RPAREN,
  [443464] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16939), 1,
      anon_sym_RPAREN,
  [443471] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16941), 1,
      anon_sym_RPAREN,
  [443478] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16943), 1,
      anon_sym_RPAREN,
  [443485] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16945), 1,
      anon_sym_RPAREN,
  [443492] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16947), 1,
      anon_sym_RPAREN,
  [443499] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10029), 1,
      anon_sym_RPAREN,
  [443506] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16949), 1,
      anon_sym_RPAREN,
  [443513] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10027), 1,
      anon_sym_RPAREN,
  [443520] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16951), 1,
      anon_sym_RPAREN,
  [443527] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10031), 1,
      anon_sym_RPAREN,
  [443534] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16953), 1,
      anon_sym_RPAREN,
  [443541] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10033), 1,
      anon_sym_RPAREN,
  [443548] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16955), 1,
      anon_sym_RPAREN,
  [443555] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16957), 1,
      anon_sym_RPAREN,
  [443562] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10035), 1,
      anon_sym_RPAREN,
  [443569] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14271), 1,
      anon_sym_RPAREN,
  [443576] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16959), 1,
      anon_sym_RPAREN,
  [443583] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10703), 1,
      anon_sym_RPAREN,
  [443590] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16961), 1,
      sym__string_end,
  [443597] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16963), 1,
      anon_sym_RPAREN,
  [443604] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16965), 1,
      anon_sym_RPAREN,
  [443611] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11734), 1,
      anon_sym_RPAREN,
  [443618] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10041), 1,
      anon_sym_RPAREN,
  [443625] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16967), 1,
      aux_sym__keyword_from_token1,
  [443632] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16969), 1,
      anon_sym_RPAREN,
  [443639] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16971), 1,
      anon_sym_RPAREN,
  [443646] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16973), 1,
      anon_sym_RPAREN,
  [443653] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10045), 1,
      anon_sym_RPAREN,
  [443660] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16975), 1,
      anon_sym_RPAREN,
  [443667] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16977), 1,
      anon_sym_RPAREN,
  [443674] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16979), 1,
      anon_sym_RPAREN,
  [443681] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16981), 1,
      anon_sym_RPAREN,
  [443688] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10047), 1,
      anon_sym_RPAREN,
  [443695] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16983), 1,
      anon_sym_RPAREN,
  [443702] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10051), 1,
      anon_sym_RPAREN,
  [443709] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16985), 1,
      anon_sym_RPAREN,
  [443716] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16987), 1,
      aux_sym__keyword_from_token1,
  [443723] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16989), 1,
      anon_sym_RPAREN,
  [443730] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10057), 1,
      anon_sym_RPAREN,
  [443737] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16991), 1,
      anon_sym_RPAREN,
  [443744] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16993), 1,
      anon_sym_RPAREN,
  [443751] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16995), 1,
      anon_sym_RPAREN,
  [443758] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14221), 1,
      anon_sym_RPAREN,
  [443765] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16997), 1,
      aux_sym__keyword_system_as_of_token2,
  [443772] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9228), 1,
      anon_sym_RPAREN,
  [443779] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16999), 1,
      anon_sym_LPAREN,
  [443786] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14217), 1,
      anon_sym_RPAREN,
  [443793] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17001), 1,
      anon_sym_RPAREN,
  [443800] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11760), 1,
      anon_sym_RPAREN,
  [443807] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17003), 1,
      anon_sym_RPAREN,
  [443814] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17005), 1,
      anon_sym_RPAREN,
  [443821] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17007), 1,
      aux_sym_primary_key_token2,
  [443828] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17009), 1,
      aux_sym_limit_clause_token2,
  [443835] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17011), 1,
      aux_sym_drop_notnull_token1,
  [443842] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10068), 1,
      anon_sym_RPAREN,
  [443849] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17013), 1,
      anon_sym_RPAREN,
  [443856] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17015), 1,
      anon_sym_RPAREN,
  [443863] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17017), 1,
      anon_sym_RPAREN,
  [443870] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17019), 1,
      anon_sym_RPAREN,
  [443877] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17021), 1,
      anon_sym_RPAREN,
  [443884] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17023), 1,
      anon_sym_RPAREN,
  [443891] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17025), 1,
      anon_sym_RPAREN,
  [443898] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17027), 1,
      anon_sym_RPAREN,
  [443905] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17029), 1,
      anon_sym_RPAREN,
  [443912] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17031), 1,
      anon_sym_RPAREN,
  [443919] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11772), 1,
      anon_sym_RPAREN,
  [443926] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17033), 1,
      anon_sym_LT,
  [443933] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17035), 1,
      anon_sym_RPAREN,
  [443940] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17037), 1,
      anon_sym_RPAREN,
  [443947] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17039), 1,
      anon_sym_RPAREN,
  [443954] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17041), 1,
      anon_sym_RPAREN,
  [443961] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17043), 1,
      anon_sym_RPAREN,
  [443968] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17045), 1,
      aux_sym_keyword_if_not_exists_token1,
  [443975] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17047), 1,
      anon_sym_RPAREN,
  [443982] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17049), 1,
      anon_sym_RPAREN,
  [443989] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17051), 1,
      anon_sym_RPAREN,
  [443996] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17053), 1,
      anon_sym_RPAREN,
  [444003] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17055), 1,
      anon_sym_RPAREN,
  [444010] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14172), 1,
      anon_sym_RPAREN,
  [444017] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17057), 1,
      anon_sym_RPAREN,
  [444024] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17059), 1,
      anon_sym_RPAREN,
  [444031] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17061), 1,
      anon_sym_RPAREN,
  [444038] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17063), 1,
      anon_sym_RPAREN,
  [444045] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17065), 1,
      anon_sym_RPAREN,
  [444052] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17067), 1,
      anon_sym_RPAREN,
  [444059] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_RPAREN,
  [444066] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17069), 1,
      anon_sym_RPAREN,
  [444073] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17071), 1,
      anon_sym_RPAREN,
  [444080] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17073), 1,
      anon_sym_RPAREN,
  [444087] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17075), 1,
      anon_sym_RPAREN,
  [444094] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17077), 1,
      anon_sym_RPAREN,
  [444101] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17079), 1,
      anon_sym_RPAREN,
  [444108] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17081), 1,
      anon_sym_RPAREN,
  [444115] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17083), 1,
      anon_sym_RPAREN,
  [444122] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17085), 1,
      anon_sym_RPAREN,
  [444129] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11798), 1,
      anon_sym_RPAREN,
  [444136] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17087), 1,
      anon_sym_RPAREN,
  [444143] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17089), 1,
      anon_sym_RPAREN,
  [444150] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17091), 1,
      anon_sym_RPAREN,
  [444157] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17093), 1,
      anon_sym_RPAREN,
  [444164] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17095), 1,
      aux_sym__nulls_preference_token1,
  [444171] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9919), 1,
      anon_sym_RPAREN,
  [444178] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17097), 1,
      anon_sym_RPAREN,
  [444185] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14121), 1,
      anon_sym_RPAREN,
  [444192] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17099), 1,
      anon_sym_RPAREN,
  [444199] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9929), 1,
      anon_sym_RPAREN,
  [444206] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17101), 1,
      anon_sym_RPAREN,
  [444213] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10725), 1,
      anon_sym_RPAREN,
  [444220] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11807), 1,
      anon_sym_RPAREN,
  [444227] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17103), 1,
      sym__string_end,
  [444234] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14113), 1,
      anon_sym_RPAREN,
  [444241] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17105), 1,
      anon_sym_RPAREN,
  [444248] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17107), 1,
      anon_sym_RPAREN,
  [444255] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17109), 1,
      anon_sym_RPAREN,
  [444262] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9274), 1,
      anon_sym_RPAREN,
  [444269] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17111), 1,
      anon_sym_RPAREN,
  [444276] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17113), 1,
      anon_sym_RPAREN,
  [444283] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17115), 1,
      anon_sym_RPAREN,
  [444290] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17117), 1,
      anon_sym_RPAREN,
  [444297] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17119), 1,
      anon_sym_COMMA,
  [444304] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17121), 1,
      anon_sym_RPAREN,
  [444311] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17123), 1,
      anon_sym_RPAREN,
  [444318] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17125), 1,
      anon_sym_RPAREN,
  [444325] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17127), 1,
      aux_sym_while_statement_token2,
  [444332] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15529), 1,
      aux_sym_add_column_action_token2,
  [444339] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17129), 1,
      anon_sym_RPAREN,
  [444346] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17131), 1,
      anon_sym_RPAREN,
  [444353] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17133), 1,
      anon_sym_RPAREN,
  [444360] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17135), 1,
      aux_sym_alter_table_rename_statement_token2,
  [444367] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17137), 1,
      anon_sym_RPAREN,
  [444374] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17139), 1,
      anon_sym_RPAREN,
  [444381] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17141), 1,
      anon_sym_RPAREN,
  [444388] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17143), 1,
      anon_sym_RPAREN,
  [444395] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17145), 1,
      anon_sym_RPAREN,
  [444402] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14065), 1,
      anon_sym_RPAREN,
  [444409] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17147), 1,
      anon_sym_RPAREN,
  [444416] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17149), 1,
      anon_sym_RPAREN,
  [444423] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17151), 1,
      anon_sym_RPAREN,
  [444430] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17153), 1,
      anon_sym_RPAREN,
  [444437] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17155), 1,
      anon_sym_RPAREN,
  [444444] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17157), 1,
      anon_sym_LPAREN,
  [444451] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11833), 1,
      anon_sym_RPAREN,
  [444458] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17159), 1,
      anon_sym_RPAREN,
  [444465] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14041), 1,
      anon_sym_RPAREN,
  [444472] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17161), 1,
      anon_sym_RPAREN,
  [444479] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10074), 1,
      anon_sym_RPAREN,
  [444486] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17163), 1,
      anon_sym_RPAREN,
  [444493] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17165), 1,
      anon_sym_RPAREN,
  [444500] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17167), 1,
      anon_sym_RPAREN,
  [444507] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11867), 1,
      anon_sym_RPAREN,
  [444514] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17169), 1,
      anon_sym_RPAREN,
  [444521] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17171), 1,
      anon_sym_RPAREN,
  [444528] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17173), 1,
      anon_sym_RPAREN,
  [444535] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17175), 1,
      anon_sym_RPAREN,
  [444542] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17177), 1,
      anon_sym_RPAREN,
  [444549] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11859), 1,
      anon_sym_RPAREN,
  [444556] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17179), 1,
      anon_sym_RPAREN,
  [444563] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17181), 1,
      anon_sym_RPAREN,
  [444570] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10082), 1,
      anon_sym_RPAREN,
  [444577] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17183), 1,
      aux_sym_join_condition_token1,
  [444584] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17185), 1,
      aux_sym_join_condition_token1,
  [444591] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17187), 1,
      anon_sym_RPAREN,
  [444598] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11873), 1,
      anon_sym_RPAREN,
  [444605] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13995), 1,
      anon_sym_RPAREN,
  [444612] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11875), 1,
      anon_sym_RPAREN,
  [444619] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9218), 1,
      anon_sym_RPAREN,
  [444626] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17189), 1,
      anon_sym_RPAREN,
  [444633] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17191), 1,
      anon_sym_RPAREN,
  [444640] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17193), 1,
      anon_sym_RPAREN,
  [444647] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17195), 1,
      anon_sym_RPAREN,
  [444654] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17197), 1,
      anon_sym_RPAREN,
  [444661] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10090), 1,
      anon_sym_RPAREN,
  [444668] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17199), 1,
      anon_sym_RPAREN,
  [444675] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17201), 1,
      anon_sym_RPAREN,
  [444682] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17203), 1,
      aux_sym__cross_join_operation_token2,
  [444689] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17205), 1,
      anon_sym_LPAREN,
  [444696] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17207), 1,
      aux_sym__nulls_preference_token1,
  [444703] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17209), 1,
      aux_sym__nulls_preference_token1,
  [444710] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17211), 1,
      anon_sym_RPAREN,
  [444717] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10096), 1,
      anon_sym_RPAREN,
  [444724] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17213), 1,
      anon_sym_LPAREN,
  [444731] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11909), 1,
      anon_sym_RPAREN,
  [444738] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17215), 1,
      aux_sym__keyword_from_token1,
  [444745] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17217), 1,
      anon_sym_RPAREN,
  [444752] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17219), 1,
      anon_sym_RPAREN,
  [444759] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10104), 1,
      anon_sym_RPAREN,
  [444766] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17221), 1,
      anon_sym_RPAREN,
  [444773] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9975), 1,
      anon_sym_RPAREN,
  [444780] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10106), 1,
      anon_sym_RPAREN,
  [444787] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10110), 1,
      anon_sym_RPAREN,
  [444794] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10108), 1,
      anon_sym_RPAREN,
  [444801] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11919), 1,
      anon_sym_RPAREN,
  [444808] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17223), 1,
      anon_sym_LPAREN,
  [444815] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17225), 1,
      sym__unquoted_identifier,
  [444822] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13921), 1,
      anon_sym_RPAREN,
  [444829] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9256), 1,
      anon_sym_RPAREN,
  [444836] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17227), 1,
      anon_sym_RPAREN,
  [444843] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17229), 1,
      anon_sym_RPAREN,
  [444850] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17231), 1,
      aux_sym__keyword_from_token1,
  [444857] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17233), 1,
      anon_sym_RPAREN,
  [444864] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13911), 1,
      anon_sym_RPAREN,
  [444871] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10116), 1,
      anon_sym_RPAREN,
  [444878] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17235), 1,
      anon_sym_LPAREN,
  [444885] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11925), 1,
      anon_sym_RPAREN,
  [444892] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17237), 1,
      aux_sym__keyword_in_token1,
  [444899] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17239), 1,
      anon_sym_SQUOTE,
  [444906] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17241), 1,
      aux_sym_partition_columns_clause_token1,
  [444913] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17239), 1,
      anon_sym_DQUOTE,
  [444920] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17243), 1,
      anon_sym_RPAREN,
  [444927] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17245), 1,
      aux_sym_limit_clause_token2,
  [444934] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17247), 1,
      aux_sym__keyword_as_token1,
  [444941] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17249), 1,
      aux_sym_argument_reference_token1,
  [444948] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17251), 1,
      anon_sym_RPAREN,
  [444955] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17253), 1,
      anon_sym_RPAREN,
  [444962] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17255), 1,
      anon_sym_RPAREN,
  [444969] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17257), 1,
      anon_sym_RPAREN,
  [444976] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17259), 1,
      anon_sym_RPAREN,
  [444983] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17261), 1,
      anon_sym_RPAREN,
  [444990] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17263), 1,
      anon_sym_RPAREN,
  [444997] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15465), 1,
      aux_sym__keyword_partition_by_token1,
  [445004] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17265), 1,
      aux_sym_partition_columns_clause_token2,
  [445011] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17267), 1,
      anon_sym_RPAREN,
  [445018] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17269), 1,
      anon_sym_RPAREN,
  [445025] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17271), 1,
      anon_sym_RPAREN,
  [445032] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17273), 1,
      anon_sym_RPAREN,
  [445039] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17275), 1,
      aux_sym__keyword_as_token1,
  [445046] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17277), 1,
      anon_sym_RPAREN,
  [445053] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17279), 1,
      aux_sym_partition_expression_token10,
  [445060] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17281), 1,
      anon_sym_RPAREN,
  [445067] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17283), 1,
      anon_sym_RPAREN,
  [445074] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17285), 1,
      anon_sym_LT,
  [445081] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17287), 1,
      anon_sym_LT,
  [445088] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17289), 1,
      anon_sym_RPAREN,
  [445095] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10039), 1,
      anon_sym_RPAREN,
  [445102] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17291), 1,
      anon_sym_RPAREN,
  [445109] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17293), 1,
      anon_sym_LPAREN,
  [445116] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17295), 1,
      anon_sym_LPAREN,
  [445123] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17297), 1,
      anon_sym_RPAREN,
  [445130] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17299), 1,
      anon_sym_RPAREN,
  [445137] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17301), 1,
      anon_sym_RPAREN,
  [445144] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17303), 1,
      anon_sym_RPAREN,
  [445151] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10053), 1,
      anon_sym_RPAREN,
  [445158] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17305), 1,
      aux_sym_create_table_statement_token1,
  [445165] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17307), 1,
      anon_sym_RPAREN,
  [445172] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17309), 1,
      anon_sym_RPAREN,
  [445179] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17311), 1,
      anon_sym_RPAREN,
  [445186] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17313), 1,
      anon_sym_RPAREN,
  [445193] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17315), 1,
      aux_sym_keyword_if_not_exists_token1,
  [445200] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17317), 1,
      aux_sym_keyword_if_not_exists_token1,
  [445207] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17319), 1,
      anon_sym_RPAREN,
  [445214] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17321), 1,
      anon_sym_RPAREN,
  [445221] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17323), 1,
      anon_sym_RPAREN,
  [445228] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17325), 1,
      anon_sym_RPAREN,
  [445235] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17327), 1,
      aux_sym__nulls_preference_token1,
  [445242] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10055), 1,
      anon_sym_RPAREN,
  [445249] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17329), 1,
      anon_sym_RPAREN,
  [445256] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17331), 1,
      anon_sym_RPAREN,
  [445263] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17333), 1,
      anon_sym_RPAREN,
  [445270] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17335), 1,
      anon_sym_RPAREN,
  [445277] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17337), 1,
      anon_sym_RPAREN,
  [445284] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17339), 1,
      anon_sym_RPAREN,
  [445291] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17341), 1,
      aux_sym__nulls_preference_token1,
  [445298] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11949), 1,
      anon_sym_RPAREN,
  [445305] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17343), 1,
      anon_sym_RPAREN,
  [445312] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17345), 1,
      anon_sym_RPAREN,
  [445319] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13801), 1,
      anon_sym_RPAREN,
  [445326] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10098), 1,
      anon_sym_RPAREN,
  [445333] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17347), 1,
      anon_sym_RPAREN,
  [445340] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17349), 1,
      aux_sym__keyword_from_token1,
  [445347] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17351), 1,
      anon_sym_RPAREN,
  [445354] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10775), 1,
      anon_sym_RPAREN,
  [445361] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10102), 1,
      anon_sym_RPAREN,
  [445368] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17353), 1,
      aux_sym__nulls_preference_token1,
  [445375] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17355), 1,
      sym__string_end,
  [445382] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17357), 1,
      anon_sym_RPAREN,
  [445389] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9582), 1,
      anon_sym_RPAREN,
  [445396] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17359), 1,
      anon_sym_RPAREN,
  [445403] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9580), 1,
      anon_sym_RPAREN,
  [445410] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17361), 1,
      anon_sym_RPAREN,
  [445417] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17363), 1,
      anon_sym_RPAREN,
  [445424] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11985), 1,
      anon_sym_RPAREN,
  [445431] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17365), 1,
      anon_sym_RPAREN,
  [445438] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17367), 1,
      anon_sym_RPAREN,
  [445445] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10112), 1,
      anon_sym_RPAREN,
  [445452] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17369), 1,
      anon_sym_RPAREN,
  [445459] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17371), 1,
      anon_sym_RPAREN,
  [445466] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17373), 1,
      anon_sym_RPAREN,
  [445473] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17375), 1,
      anon_sym_RPAREN,
  [445480] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17377), 1,
      anon_sym_RPAREN,
  [445487] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13752), 1,
      anon_sym_RPAREN,
  [445494] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17379), 1,
      anon_sym_RPAREN,
  [445501] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17381), 1,
      anon_sym_RPAREN,
  [445508] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17383), 1,
      aux_sym__keyword_repeat_token1,
  [445515] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17385), 1,
      aux_sym_set_statement_token1,
  [445522] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17387), 1,
      anon_sym_RPAREN,
  [445529] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10120), 1,
      anon_sym_RPAREN,
  [445536] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17389), 1,
      anon_sym_RPAREN,
  [445543] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17391), 1,
      anon_sym_RPAREN,
  [445550] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10122), 1,
      anon_sym_RPAREN,
  [445557] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12003), 1,
      anon_sym_RPAREN,
  [445564] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17393), 1,
      aux_sym_primary_key_token2,
  [445571] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13732), 1,
      anon_sym_RPAREN,
  [445578] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17395), 1,
      anon_sym_RPAREN,
  [445585] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17397), 1,
      aux_sym_alter_table_rename_statement_token2,
  [445592] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13724), 1,
      anon_sym_RPAREN,
  [445599] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10128), 1,
      anon_sym_RPAREN,
  [445606] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17399), 1,
      anon_sym_RPAREN,
  [445613] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17401), 1,
      anon_sym_RPAREN,
  [445620] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17403), 1,
      aux_sym_from_files_clause_token1,
  [445627] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17405), 1,
      sym__unquoted_identifier,
  [445634] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17407), 1,
      anon_sym_EQ,
  [445641] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17409), 1,
      anon_sym_RPAREN,
  [445648] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17411), 1,
      anon_sym_RPAREN,
  [445655] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17413), 1,
      aux_sym__keyword_from_token1,
  [445662] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17415), 1,
      anon_sym_RPAREN,
  [445669] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17417), 1,
      anon_sym_RPAREN,
  [445676] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17419), 1,
      anon_sym_RPAREN,
  [445683] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17421), 1,
      anon_sym_RPAREN,
  [445690] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17423), 1,
      anon_sym_RPAREN,
  [445697] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17425), 1,
      anon_sym_RPAREN,
  [445704] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12015), 1,
      anon_sym_RPAREN,
  [445711] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17427), 1,
      anon_sym_RPAREN,
  [445718] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17429), 1,
      anon_sym_RPAREN,
  [445725] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10156), 1,
      anon_sym_RPAREN,
  [445732] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10138), 1,
      anon_sym_RPAREN,
  [445739] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12027), 1,
      anon_sym_RPAREN,
  [445746] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13676), 1,
      anon_sym_RPAREN,
  [445753] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17431), 1,
      anon_sym_RPAREN,
  [445760] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17433), 1,
      anon_sym_SQUOTE,
  [445767] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17433), 1,
      anon_sym_DQUOTE,
  [445774] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9222), 1,
      anon_sym_RPAREN,
  [445781] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17435), 1,
      anon_sym_RPAREN,
  [445788] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17437), 1,
      anon_sym_RPAREN,
  [445795] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17439), 1,
      anon_sym_RPAREN,
  [445802] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17441), 1,
      anon_sym_RPAREN,
  [445809] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10148), 1,
      anon_sym_RPAREN,
  [445816] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17443), 1,
      anon_sym_RPAREN,
  [445823] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10150), 1,
      anon_sym_RPAREN,
  [445830] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17445), 1,
      anon_sym_RPAREN,
  [445837] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17447), 1,
      anon_sym_RPAREN,
  [445844] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10162), 1,
      anon_sym_RPAREN,
  [445851] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12051), 1,
      anon_sym_RPAREN,
  [445858] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17449), 1,
      aux_sym__cross_join_operation_token2,
  [445865] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17451), 1,
      aux_sym_limit_clause_token2,
  [445872] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17453), 1,
      aux_sym__cross_join_operation_token2,
  [445879] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17455), 1,
      anon_sym_RPAREN,
  [445886] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15431), 1,
      aux_sym__cross_join_operation_token2,
  [445893] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17457), 1,
      aux_sym_tablesample_operator_token2,
  [445900] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17459), 1,
      anon_sym_RPAREN,
  [445907] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17461), 1,
      anon_sym_LPAREN,
  [445914] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17463), 1,
      aux_sym__keyword_from_token1,
  [445921] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17465), 1,
      anon_sym_RPAREN,
  [445928] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10160), 1,
      anon_sym_RPAREN,
  [445935] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17467), 1,
      sym__string_end,
  [445942] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17469), 1,
      anon_sym_LPAREN,
  [445949] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17471), 1,
      anon_sym_LPAREN,
  [445956] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17473), 1,
      aux_sym_grouping_sets_token2,
  [445963] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17475), 1,
      anon_sym_RPAREN,
  [445970] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17477), 1,
      aux_sym_argument_reference_token1,
  [445977] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10164), 1,
      anon_sym_RPAREN,
  [445984] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17479), 1,
      sym__unquoted_identifier,
  [445991] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17481), 1,
      aux_sym__keyword_from_token1,
  [445998] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17483), 1,
      aux_sym__keyword_from_token1,
  [446005] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17485), 1,
      aux_sym__keyword_from_token1,
  [446012] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17487), 1,
      anon_sym_RPAREN,
  [446019] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17489), 1,
      sym__string_end,
  [446026] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10829), 1,
      anon_sym_RPAREN,
  [446033] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10170), 1,
      anon_sym_RPAREN,
  [446040] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17491), 1,
      anon_sym_RPAREN,
  [446047] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13558), 1,
      anon_sym_RPAREN,
  [446054] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17493), 1,
      anon_sym_RPAREN,
  [446061] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17495), 1,
      anon_sym_SQUOTE,
  [446068] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17497), 1,
      anon_sym_RPAREN,
  [446075] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17495), 1,
      anon_sym_DQUOTE,
  [446082] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17499), 1,
      anon_sym_RPAREN,
  [446089] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17501), 1,
      anon_sym_RPAREN,
  [446096] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17503), 1,
      anon_sym_RPAREN,
  [446103] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17505), 1,
      anon_sym_RPAREN,
  [446110] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17507), 1,
      anon_sym_RPAREN,
  [446117] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17509), 1,
      anon_sym_RPAREN,
  [446124] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17511), 1,
      aux_sym_limit_clause_token2,
  [446131] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17513), 1,
      anon_sym_RPAREN,
  [446138] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17515), 1,
      anon_sym_RPAREN,
  [446145] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17517), 1,
      anon_sym_RPAREN,
  [446152] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17519), 1,
      anon_sym_RPAREN,
  [446159] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17521), 1,
      aux_sym_argument_reference_token1,
  [446166] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17523), 1,
      anon_sym_LPAREN,
  [446173] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17525), 1,
      anon_sym_RPAREN,
  [446180] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17527), 1,
      sym__unquoted_identifier,
  [446187] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17529), 1,
      anon_sym_RPAREN,
  [446194] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17531), 1,
      anon_sym_RPAREN,
  [446201] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17533), 1,
      anon_sym_RPAREN,
  [446208] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17535), 1,
      anon_sym_RPAREN,
  [446215] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17537), 1,
      anon_sym_RPAREN,
  [446222] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17539), 1,
      anon_sym_RPAREN,
  [446229] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17541), 1,
      anon_sym_RPAREN,
  [446236] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17543), 1,
      anon_sym_RPAREN,
  [446243] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17545), 1,
      aux_sym_keyword_if_not_exists_token1,
  [446250] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17547), 1,
      anon_sym_RPAREN,
  [446257] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17549), 1,
      aux_sym__keyword_system_as_of_token1,
  [446264] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17551), 1,
      anon_sym_RPAREN,
  [446271] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17553), 1,
      anon_sym_RPAREN,
  [446278] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17555), 1,
      anon_sym_LPAREN,
  [446285] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17557), 1,
      anon_sym_RPAREN,
  [446292] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17559), 1,
      anon_sym_RPAREN,
  [446299] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17561), 1,
      anon_sym_RPAREN,
  [446306] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17563), 1,
      anon_sym_RPAREN,
  [446313] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17565), 1,
      aux_sym_primary_key_token2,
  [446320] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17567), 1,
      aux_sym_primary_key_token2,
  [446327] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17569), 1,
      anon_sym_RPAREN,
  [446334] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17571), 1,
      anon_sym_RPAREN,
  [446341] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17573), 1,
      anon_sym_RPAREN,
  [446348] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17575), 1,
      anon_sym_RPAREN,
  [446355] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17577), 1,
      anon_sym_RPAREN,
  [446362] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17579), 1,
      anon_sym_RPAREN,
  [446369] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17581), 1,
      aux_sym_while_statement_token1,
  [446376] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17583), 1,
      anon_sym_RPAREN,
  [446383] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17585), 1,
      aux_sym_set_statement_token2,
  [446390] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17587), 1,
      anon_sym_LPAREN,
  [446397] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17589), 1,
      anon_sym_RPAREN,
  [446404] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17591), 1,
      aux_sym__keyword_then_token1,
  [446411] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17593), 1,
      anon_sym_RPAREN,
  [446418] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17595), 1,
      anon_sym_LPAREN,
  [446425] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17597), 1,
      anon_sym_RPAREN,
  [446432] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17599), 1,
      aux_sym__keyword_from_token1,
  [446439] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17601), 1,
      anon_sym_RPAREN,
  [446446] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17603), 1,
      anon_sym_RPAREN,
  [446453] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17605), 1,
      anon_sym_RPAREN,
  [446460] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17607), 1,
      anon_sym_RPAREN,
  [446467] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17609), 1,
      anon_sym_RPAREN,
  [446474] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10407), 1,
      anon_sym_RPAREN,
  [446481] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17611), 1,
      anon_sym_RPAREN,
  [446488] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17613), 1,
      anon_sym_RPAREN,
  [446495] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17615), 1,
      anon_sym_RPAREN,
  [446502] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17617), 1,
      anon_sym_RPAREN,
  [446509] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10399), 1,
      anon_sym_RPAREN,
  [446516] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17619), 1,
      anon_sym_RPAREN,
  [446523] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17621), 1,
      anon_sym_RPAREN,
  [446530] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17623), 1,
      anon_sym_RPAREN,
  [446537] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17625), 1,
      anon_sym_RPAREN,
  [446544] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10389), 1,
      anon_sym_RPAREN,
  [446551] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17627), 1,
      anon_sym_RPAREN,
  [446558] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17629), 1,
      anon_sym_RPAREN,
  [446565] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17631), 1,
      anon_sym_RPAREN,
  [446572] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17633), 1,
      anon_sym_RPAREN,
  [446579] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10383), 1,
      anon_sym_RPAREN,
  [446586] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17635), 1,
      anon_sym_RPAREN,
  [446593] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17637), 1,
      anon_sym_RPAREN,
  [446600] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17639), 1,
      anon_sym_RPAREN,
  [446607] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17641), 1,
      anon_sym_RPAREN,
  [446614] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12103), 1,
      anon_sym_RPAREN,
  [446621] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17643), 1,
      anon_sym_RPAREN,
  [446628] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17645), 1,
      anon_sym_RPAREN,
  [446635] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10373), 1,
      anon_sym_RPAREN,
  [446642] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17647), 1,
      anon_sym_RPAREN,
  [446649] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17649), 1,
      anon_sym_RPAREN,
  [446656] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17651), 1,
      anon_sym_RPAREN,
  [446663] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17653), 1,
      anon_sym_RPAREN,
  [446670] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10363), 1,
      anon_sym_RPAREN,
  [446677] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17655), 1,
      anon_sym_RPAREN,
  [446684] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13431), 1,
      anon_sym_RPAREN,
  [446691] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17657), 1,
      anon_sym_RPAREN,
  [446698] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10342), 1,
      anon_sym_RPAREN,
  [446705] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17659), 1,
      anon_sym_RPAREN,
  [446712] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10847), 1,
      anon_sym_RPAREN,
  [446719] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17661), 1,
      anon_sym_RPAREN,
  [446726] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17663), 1,
      anon_sym_RPAREN,
  [446733] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17665), 1,
      anon_sym_RPAREN,
  [446740] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17667), 1,
      anon_sym_RPAREN,
  [446747] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17669), 1,
      anon_sym_RPAREN,
  [446754] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17671), 1,
      anon_sym_RPAREN,
  [446761] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17673), 1,
      anon_sym_RPAREN,
  [446768] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17675), 1,
      anon_sym_RPAREN,
  [446775] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17677), 1,
      anon_sym_RPAREN,
  [446782] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17679), 1,
      anon_sym_RPAREN,
  [446789] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17681), 1,
      anon_sym_RPAREN,
  [446796] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13401), 1,
      anon_sym_RPAREN,
  [446803] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17683), 1,
      anon_sym_RPAREN,
  [446810] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12125), 1,
      anon_sym_RPAREN,
  [446817] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17685), 1,
      anon_sym_RPAREN,
  [446824] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17687), 1,
      anon_sym_RPAREN,
  [446831] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10310), 1,
      anon_sym_RPAREN,
  [446838] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17689), 1,
      anon_sym_RPAREN,
  [446845] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17691), 1,
      anon_sym_RPAREN,
  [446852] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17693), 1,
      anon_sym_RPAREN,
  [446859] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13389), 1,
      anon_sym_RPAREN,
  [446866] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17695), 1,
      anon_sym_RPAREN,
  [446873] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17697), 1,
      anon_sym_RPAREN,
  [446880] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17699), 1,
      anon_sym_RPAREN,
  [446887] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17701), 1,
      anon_sym_RPAREN,
  [446894] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12143), 1,
      anon_sym_RPAREN,
  [446901] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17703), 1,
      anon_sym_RPAREN,
  [446908] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17705), 1,
      anon_sym_RPAREN,
  [446915] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17707), 1,
      anon_sym_RPAREN,
  [446922] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12141), 1,
      anon_sym_RPAREN,
  [446929] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13363), 1,
      anon_sym_RPAREN,
  [446936] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17709), 1,
      anon_sym_RPAREN,
  [446943] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17711), 1,
      anon_sym_RPAREN,
  [446950] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17713), 1,
      anon_sym_RPAREN,
  [446957] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17715), 1,
      anon_sym_RPAREN,
  [446964] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17717), 1,
      anon_sym_RPAREN,
  [446971] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17719), 1,
      anon_sym_RPAREN,
  [446978] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17721), 1,
      anon_sym_RPAREN,
  [446985] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17723), 1,
      anon_sym_RPAREN,
  [446992] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10188), 1,
      anon_sym_RPAREN,
  [446999] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17725), 1,
      anon_sym_RPAREN,
  [447006] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17727), 1,
      anon_sym_RPAREN,
  [447013] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17729), 1,
      anon_sym_RPAREN,
  [447020] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17731), 1,
      anon_sym_RPAREN,
  [447027] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17733), 1,
      anon_sym_RPAREN,
  [447034] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17735), 1,
      anon_sym_RPAREN,
  [447041] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17737), 1,
      anon_sym_RPAREN,
  [447048] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17739), 1,
      anon_sym_RPAREN,
  [447055] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17741), 1,
      anon_sym_RPAREN,
  [447062] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13327), 1,
      anon_sym_RPAREN,
  [447069] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17743), 1,
      anon_sym_RPAREN,
  [447076] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12157), 1,
      anon_sym_RPAREN,
  [447083] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17745), 1,
      anon_sym_RPAREN,
  [447090] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17747), 1,
      anon_sym_RPAREN,
  [447097] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17749), 1,
      anon_sym_RPAREN,
  [447104] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17751), 1,
      anon_sym_RPAREN,
  [447111] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17753), 1,
      anon_sym_RPAREN,
  [447118] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12163), 1,
      anon_sym_RPAREN,
  [447125] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17755), 1,
      anon_sym_RPAREN,
  [447132] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17757), 1,
      anon_sym_RPAREN,
  [447139] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17759), 1,
      anon_sym_RPAREN,
  [447146] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17761), 1,
      anon_sym_RPAREN,
  [447153] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17763), 1,
      anon_sym_RPAREN,
  [447160] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17765), 1,
      anon_sym_RPAREN,
  [447167] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13301), 1,
      anon_sym_RPAREN,
  [447174] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17767), 1,
      anon_sym_RPAREN,
  [447181] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17769), 1,
      anon_sym_RPAREN,
  [447188] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17771), 1,
      anon_sym_RPAREN,
  [447195] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10198), 1,
      anon_sym_RPAREN,
  [447202] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17773), 1,
      anon_sym_RPAREN,
  [447209] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12181), 1,
      anon_sym_RPAREN,
  [447216] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17775), 1,
      anon_sym_RPAREN,
  [447223] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13295), 1,
      anon_sym_RPAREN,
  [447230] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17777), 1,
      anon_sym_RPAREN,
  [447237] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9248), 1,
      anon_sym_RPAREN,
  [447244] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17779), 1,
      anon_sym_RPAREN,
  [447251] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17781), 1,
      anon_sym_RPAREN,
  [447258] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17783), 1,
      anon_sym_RPAREN,
  [447265] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17785), 1,
      anon_sym_RPAREN,
  [447272] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17787), 1,
      anon_sym_RPAREN,
  [447279] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17789), 1,
      anon_sym_RPAREN,
  [447286] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17791), 1,
      anon_sym_RPAREN,
  [447293] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17793), 1,
      anon_sym_RPAREN,
  [447300] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17795), 1,
      anon_sym_RPAREN,
  [447307] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17797), 1,
      anon_sym_RPAREN,
  [447314] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17799), 1,
      anon_sym_RPAREN,
  [447321] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17801), 1,
      anon_sym_RPAREN,
  [447328] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17803), 1,
      anon_sym_RPAREN,
  [447335] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17805), 1,
      anon_sym_RPAREN,
  [447342] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13263), 1,
      anon_sym_RPAREN,
  [447349] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17807), 1,
      anon_sym_RPAREN,
  [447356] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17809), 1,
      anon_sym_RPAREN,
  [447363] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17811), 1,
      anon_sym_RPAREN,
  [447370] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10208), 1,
      anon_sym_RPAREN,
  [447377] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17813), 1,
      anon_sym_RPAREN,
  [447384] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17815), 1,
      anon_sym_RPAREN,
  [447391] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17817), 1,
      anon_sym_RPAREN,
  [447398] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10212), 1,
      anon_sym_RPAREN,
  [447405] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17819), 1,
      anon_sym_RPAREN,
  [447412] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10214), 1,
      anon_sym_RPAREN,
  [447419] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17821), 1,
      anon_sym_RPAREN,
  [447426] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17823), 1,
      anon_sym_RPAREN,
  [447433] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17825), 1,
      anon_sym_RPAREN,
  [447440] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17827), 1,
      anon_sym_RPAREN,
  [447447] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17829), 1,
      anon_sym_RPAREN,
  [447454] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17831), 1,
      anon_sym_RPAREN,
  [447461] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17833), 1,
      anon_sym_RPAREN,
  [447468] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12217), 1,
      anon_sym_RPAREN,
  [447475] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17835), 1,
      anon_sym_RPAREN,
  [447482] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17837), 1,
      anon_sym_RPAREN,
  [447489] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17839), 1,
      anon_sym_RPAREN,
  [447496] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17841), 1,
      anon_sym_RPAREN,
  [447503] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17843), 1,
      anon_sym_RPAREN,
  [447510] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17845), 1,
      anon_sym_RPAREN,
  [447517] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17847), 1,
      aux_sym__keyword_from_token1,
  [447524] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17849), 1,
      anon_sym_RPAREN,
  [447531] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17851), 1,
      anon_sym_RPAREN,
  [447538] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17853), 1,
      anon_sym_RPAREN,
  [447545] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17855), 1,
      anon_sym_RPAREN,
  [447552] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17857), 1,
      anon_sym_RPAREN,
  [447559] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17859), 1,
      anon_sym_RPAREN,
  [447566] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17861), 1,
      anon_sym_RPAREN,
  [447573] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17863), 1,
      anon_sym_RPAREN,
  [447580] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17865), 1,
      anon_sym_RPAREN,
  [447587] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10220), 1,
      anon_sym_RPAREN,
  [447594] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17867), 1,
      anon_sym_RPAREN,
  [447601] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17869), 1,
      anon_sym_RPAREN,
  [447608] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17871), 1,
      anon_sym_RPAREN,
  [447615] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17873), 1,
      anon_sym_RPAREN,
  [447622] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17875), 1,
      anon_sym_RPAREN,
  [447629] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17877), 1,
      anon_sym_RPAREN,
  [447636] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17879), 1,
      sym__unquoted_identifier,
  [447643] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17881), 1,
      anon_sym_RPAREN,
  [447650] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17883), 1,
      anon_sym_RPAREN,
  [447657] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17885), 1,
      anon_sym_RPAREN,
  [447664] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10222), 1,
      anon_sym_RPAREN,
  [447671] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17887), 1,
      anon_sym_RPAREN,
  [447678] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10258), 1,
      anon_sym_RPAREN,
  [447685] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17889), 1,
      aux_sym__nulls_preference_token1,
  [447692] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17891), 1,
      anon_sym_RPAREN,
  [447699] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17893), 1,
      anon_sym_RPAREN,
  [447706] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10224), 1,
      anon_sym_RPAREN,
  [447713] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17895), 1,
      sym__unquoted_identifier,
  [447720] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10256), 1,
      anon_sym_RPAREN,
  [447727] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17897), 1,
      aux_sym__nulls_preference_token1,
  [447734] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13205), 1,
      anon_sym_RPAREN,
  [447741] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17899), 1,
      anon_sym_RPAREN,
  [447748] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17901), 1,
      aux_sym__keyword_from_token1,
  [447755] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17903), 1,
      anon_sym_RPAREN,
  [447762] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10254), 1,
      anon_sym_RPAREN,
  [447769] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10989), 1,
      anon_sym_RPAREN,
  [447776] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17905), 1,
      sym__string_end,
  [447783] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10232), 1,
      anon_sym_RPAREN,
  [447790] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17907), 1,
      anon_sym_RPAREN,
  [447797] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17909), 1,
      anon_sym_RPAREN,
  [447804] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17911), 1,
      anon_sym_RPAREN,
  [447811] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17913), 1,
      anon_sym_RPAREN,
  [447818] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12334), 1,
      anon_sym_RPAREN,
  [447825] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15539), 1,
      anon_sym_SQUOTE,
  [447832] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17915), 1,
      anon_sym_RPAREN,
  [447839] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17917), 1,
      anon_sym_RPAREN,
  [447846] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17919), 1,
      anon_sym_RPAREN,
  [447853] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17921), 1,
      aux_sym_limit_clause_token2,
  [447860] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17923), 1,
      anon_sym_RPAREN,
  [447867] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17925), 1,
      anon_sym_RPAREN,
  [447874] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17927), 1,
      anon_sym_RPAREN,
  [447881] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17929), 1,
      anon_sym_RPAREN,
  [447888] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10226), 1,
      anon_sym_RPAREN,
  [447895] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17931), 1,
      aux_sym_argument_reference_token1,
  [447902] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17933), 1,
      anon_sym_RPAREN,
  [447909] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17935), 1,
      anon_sym_RPAREN,
  [447916] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17937), 1,
      anon_sym_RPAREN,
  [447923] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17939), 1,
      anon_sym_RPAREN,
  [447930] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17941), 1,
      aux_sym__keyword_from_token1,
  [447937] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10218), 1,
      anon_sym_RPAREN,
  [447944] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17943), 1,
      anon_sym_RPAREN,
  [447951] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17945), 1,
      anon_sym_RPAREN,
  [447958] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17947), 1,
      anon_sym_RPAREN,
  [447965] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17949), 1,
      anon_sym_RPAREN,
  [447972] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10216), 1,
      anon_sym_RPAREN,
  [447979] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17951), 1,
      anon_sym_RPAREN,
  [447986] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17953), 1,
      anon_sym_RPAREN,
  [447993] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17955), 1,
      anon_sym_RPAREN,
  [448000] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17957), 1,
      anon_sym_RPAREN,
  [448007] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10200), 1,
      anon_sym_RPAREN,
  [448014] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17959), 1,
      anon_sym_RPAREN,
  [448021] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17961), 1,
      anon_sym_RPAREN,
  [448028] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17963), 1,
      anon_sym_RPAREN,
  [448035] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17965), 1,
      anon_sym_RPAREN,
  [448042] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17967), 1,
      aux_sym__keyword_from_token1,
  [448049] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17969), 1,
      anon_sym_RPAREN,
  [448056] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12278), 1,
      anon_sym_RPAREN,
  [448063] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17971), 1,
      anon_sym_RPAREN,
  [448070] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17973), 1,
      anon_sym_RPAREN,
  [448077] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10178), 1,
      anon_sym_RPAREN,
  [448084] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17975), 1,
      anon_sym_RPAREN,
  [448091] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17977), 1,
      anon_sym_RPAREN,
  [448098] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17979), 1,
      anon_sym_RPAREN,
  [448105] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17981), 1,
      anon_sym_RPAREN,
  [448112] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10176), 1,
      anon_sym_RPAREN,
  [448119] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17983), 1,
      anon_sym_RPAREN,
  [448126] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17985), 1,
      anon_sym_RPAREN,
  [448133] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17987), 1,
      anon_sym_RPAREN,
  [448140] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10172), 1,
      anon_sym_RPAREN,
  [448147] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17989), 1,
      anon_sym_RPAREN,
  [448154] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17991), 1,
      anon_sym_RPAREN,
  [448161] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17993), 1,
      anon_sym_RPAREN,
  [448168] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17995), 1,
      anon_sym_RPAREN,
  [448175] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17997), 1,
      anon_sym_RPAREN,
  [448182] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17999), 1,
      anon_sym_RPAREN,
  [448189] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18001), 1,
      anon_sym_RPAREN,
  [448196] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18003), 1,
      anon_sym_RPAREN,
  [448203] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18005), 1,
      anon_sym_RPAREN,
  [448210] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18007), 1,
      anon_sym_RPAREN,
  [448217] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18009), 1,
      anon_sym_RPAREN,
  [448224] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18011), 1,
      anon_sym_RPAREN,
  [448231] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18013), 1,
      anon_sym_RPAREN,
  [448238] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13082), 1,
      anon_sym_RPAREN,
  [448245] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18015), 1,
      anon_sym_RPAREN,
  [448252] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12296), 1,
      anon_sym_RPAREN,
  [448259] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18017), 1,
      anon_sym_RPAREN,
  [448266] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18019), 1,
      anon_sym_RPAREN,
  [448273] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10158), 1,
      anon_sym_RPAREN,
  [448280] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13080), 1,
      anon_sym_RPAREN,
  [448287] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18021), 1,
      anon_sym_RPAREN,
  [448294] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10919), 1,
      anon_sym_RPAREN,
  [448301] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13072), 1,
      anon_sym_RPAREN,
  [448308] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18023), 1,
      anon_sym_RPAREN,
  [448315] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18025), 1,
      sym__string_end,
  [448322] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18027), 1,
      anon_sym_RPAREN,
  [448329] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18029), 1,
      anon_sym_RPAREN,
  [448336] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12312), 1,
      anon_sym_RPAREN,
  [448343] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18031), 1,
      anon_sym_RPAREN,
  [448350] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18033), 1,
      anon_sym_RPAREN,
  [448357] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18035), 1,
      anon_sym_RPAREN,
  [448364] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18037), 1,
      anon_sym_RPAREN,
  [448371] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18039), 1,
      anon_sym_RPAREN,
  [448378] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18041), 1,
      anon_sym_RPAREN,
  [448385] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18043), 1,
      anon_sym_RPAREN,
  [448392] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18045), 1,
      anon_sym_RPAREN,
  [448399] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18047), 1,
      anon_sym_RPAREN,
  [448406] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18049), 1,
      anon_sym_RPAREN,
  [448413] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18051), 1,
      anon_sym_RPAREN,
  [448420] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18053), 1,
      anon_sym_RPAREN,
  [448427] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18055), 1,
      anon_sym_RPAREN,
  [448434] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18057), 1,
      anon_sym_RPAREN,
  [448441] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18059), 1,
      anon_sym_RPAREN,
  [448448] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13034), 1,
      anon_sym_RPAREN,
  [448455] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18061), 1,
      anon_sym_RPAREN,
  [448462] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18063), 1,
      anon_sym_RPAREN,
  [448469] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18065), 1,
      anon_sym_RPAREN,
  [448476] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18067), 1,
      anon_sym_RPAREN,
  [448483] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18069), 1,
      anon_sym_RPAREN,
  [448490] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18071), 1,
      anon_sym_RPAREN,
  [448497] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18073), 1,
      anon_sym_RPAREN,
  [448504] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13014), 1,
      anon_sym_RPAREN,
  [448511] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18075), 1,
      anon_sym_RPAREN,
  [448518] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12336), 1,
      anon_sym_RPAREN,
  [448525] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18077), 1,
      anon_sym_RPAREN,
  [448532] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18079), 1,
      anon_sym_RPAREN,
  [448539] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18081), 1,
      anon_sym_RPAREN,
  [448546] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13010), 1,
      anon_sym_RPAREN,
  [448553] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18083), 1,
      anon_sym_RPAREN,
  [448560] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10260), 1,
      anon_sym_RPAREN,
  [448567] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18085), 1,
      anon_sym_RPAREN,
  [448574] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18087), 1,
      anon_sym_RPAREN,
  [448581] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18089), 1,
      anon_sym_RPAREN,
  [448588] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18091), 1,
      anon_sym_RPAREN,
  [448595] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18093), 1,
      anon_sym_RPAREN,
  [448602] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18095), 1,
      anon_sym_RPAREN,
  [448609] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12990), 1,
      anon_sym_RPAREN,
  [448616] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18097), 1,
      anon_sym_RPAREN,
  [448623] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18099), 1,
      anon_sym_RPAREN,
  [448630] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18101), 1,
      anon_sym_RPAREN,
  [448637] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18103), 1,
      anon_sym_RPAREN,
  [448644] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18105), 1,
      anon_sym_RPAREN,
  [448651] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18107), 1,
      anon_sym_RPAREN,
  [448658] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18109), 1,
      anon_sym_RPAREN,
  [448665] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18111), 1,
      anon_sym_RPAREN,
  [448672] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18113), 1,
      anon_sym_RPAREN,
  [448679] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18115), 1,
      anon_sym_RPAREN,
  [448686] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18117), 1,
      anon_sym_RPAREN,
  [448693] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18119), 1,
      anon_sym_RPAREN,
  [448700] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18121), 1,
      anon_sym_RPAREN,
  [448707] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18123), 1,
      anon_sym_RPAREN,
  [448714] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18125), 1,
      aux_sym_argument_reference_token1,
  [448721] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18127), 1,
      anon_sym_RPAREN,
  [448728] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18129), 1,
      anon_sym_RPAREN,
  [448735] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18131), 1,
      anon_sym_RPAREN,
  [448742] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12227), 1,
      anon_sym_RPAREN,
  [448749] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18133), 1,
      anon_sym_RPAREN,
  [448756] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10270), 1,
      anon_sym_RPAREN,
  [448763] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18135), 1,
      anon_sym_RPAREN,
  [448770] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18137), 1,
      anon_sym_RPAREN,
  [448777] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18139), 1,
      anon_sym_RPAREN,
  [448784] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12942), 1,
      anon_sym_RPAREN,
  [448791] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12095), 1,
      anon_sym_RPAREN,
  [448798] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18141), 1,
      anon_sym_RPAREN,
  [448805] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18143), 1,
      anon_sym_RPAREN,
  [448812] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12944), 1,
      anon_sym_RPAREN,
  [448819] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18145), 1,
      anon_sym_RPAREN,
  [448826] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18147), 1,
      aux_sym_limit_clause_token2,
  [448833] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18149), 1,
      anon_sym_RPAREN,
  [448840] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9240), 1,
      anon_sym_RPAREN,
  [448847] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18151), 1,
      anon_sym_RPAREN,
  [448854] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18153), 1,
      anon_sym_RPAREN,
  [448861] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18155), 1,
      anon_sym_RPAREN,
  [448868] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18157), 1,
      anon_sym_RPAREN,
  [448875] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18159), 1,
      anon_sym_RPAREN,
  [448882] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18161), 1,
      anon_sym_RPAREN,
  [448889] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18163), 1,
      anon_sym_RPAREN,
  [448896] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18165), 1,
      anon_sym_RPAREN,
  [448903] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18167), 1,
      anon_sym_RPAREN,
  [448910] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18169), 1,
      anon_sym_RPAREN,
  [448917] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18171), 1,
      anon_sym_RPAREN,
  [448924] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18173), 1,
      anon_sym_DQUOTE,
  [448931] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18175), 1,
      anon_sym_RPAREN,
  [448938] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18177), 1,
      anon_sym_RPAREN,
  [448945] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18179), 1,
      anon_sym_RPAREN,
  [448952] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18181), 1,
      anon_sym_RPAREN,
  [448959] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10282), 1,
      anon_sym_RPAREN,
  [448966] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18183), 1,
      anon_sym_RPAREN,
  [448973] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18173), 1,
      anon_sym_SQUOTE,
  [448980] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18185), 1,
      anon_sym_RPAREN,
  [448987] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18187), 1,
      anon_sym_RPAREN,
  [448994] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18189), 1,
      anon_sym_RPAREN,
  [449001] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18191), 1,
      anon_sym_RPAREN,
  [449008] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18193), 1,
      anon_sym_RPAREN,
  [449015] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10286), 1,
      anon_sym_RPAREN,
  [449022] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18195), 1,
      anon_sym_RPAREN,
  [449029] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10288), 1,
      anon_sym_RPAREN,
  [449036] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18197), 1,
      anon_sym_RPAREN,
  [449043] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18199), 1,
      anon_sym_RPAREN,
  [449050] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18201), 1,
      anon_sym_RPAREN,
  [449057] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18203), 1,
      anon_sym_RPAREN,
  [449064] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18205), 1,
      anon_sym_RPAREN,
  [449071] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18207), 1,
      anon_sym_RPAREN,
  [449078] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18209), 1,
      anon_sym_RPAREN,
  [449085] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18211), 1,
      anon_sym_RPAREN,
  [449092] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12047), 1,
      anon_sym_RPAREN,
  [449099] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10296), 1,
      anon_sym_RPAREN,
  [449106] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18213), 1,
      aux_sym__keyword_from_token1,
  [449113] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18215), 1,
      anon_sym_RPAREN,
  [449120] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18217), 1,
      aux_sym_limit_clause_token2,
  [449127] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10300), 1,
      anon_sym_RPAREN,
  [449134] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18219), 1,
      aux_sym__keyword_from_token1,
  [449141] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18221), 1,
      aux_sym_limit_clause_token2,
  [449148] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18223), 1,
      sym__unquoted_identifier,
  [449155] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11973), 1,
      anon_sym_RPAREN,
  [449162] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10312), 1,
      anon_sym_RPAREN,
  [449169] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10059), 1,
      anon_sym_RPAREN,
  [449176] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10314), 1,
      anon_sym_RPAREN,
  [449183] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18225), 1,
      sym__unquoted_identifier,
  [449190] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18227), 1,
      aux_sym__keyword_from_token1,
  [449197] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12846), 1,
      anon_sym_RPAREN,
  [449204] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10009), 1,
      anon_sym_RPAREN,
  [449211] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18229), 1,
      anon_sym_RPAREN,
  [449218] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10318), 1,
      anon_sym_RPAREN,
  [449225] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18231), 1,
      anon_sym_RPAREN,
  [449232] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10021), 1,
      anon_sym_RPAREN,
  [449239] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10001), 1,
      anon_sym_RPAREN,
  [449246] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10326), 1,
      anon_sym_RPAREN,
  [449253] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18233), 1,
      anon_sym_RPAREN,
  [449260] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18235), 1,
      anon_sym_RPAREN,
  [449267] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18237), 1,
      anon_sym_SQUOTE,
  [449274] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9999), 1,
      anon_sym_RPAREN,
  [449281] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18237), 1,
      anon_sym_DQUOTE,
  [449288] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10328), 1,
      anon_sym_RPAREN,
  [449295] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18239), 1,
      anon_sym_RPAREN,
  [449302] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18241), 1,
      aux_sym_limit_clause_token2,
  [449309] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11885), 1,
      anon_sym_RPAREN,
  [449316] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10336), 1,
      anon_sym_RPAREN,
  [449323] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18243), 1,
      aux_sym__keyword_from_token1,
  [449330] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9991), 1,
      anon_sym_RPAREN,
  [449337] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18245), 1,
      aux_sym_argument_reference_token1,
  [449344] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18247), 1,
      anon_sym_RPAREN,
  [449351] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18249), 1,
      anon_sym_RPAREN,
  [449358] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18251), 1,
      anon_sym_RPAREN,
  [449365] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_RPAREN,
  [449372] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10369), 1,
      anon_sym_RPAREN,
  [449379] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18253), 1,
      anon_sym_RPAREN,
  [449386] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18255), 1,
      anon_sym_RPAREN,
  [449393] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9963), 1,
      anon_sym_RPAREN,
  [449400] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18257), 1,
      anon_sym_RPAREN,
  [449407] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18259), 1,
      anon_sym_RPAREN,
  [449414] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18261), 1,
      anon_sym_RPAREN,
  [449421] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18263), 1,
      anon_sym_RPAREN,
  [449428] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18265), 1,
      anon_sym_RPAREN,
  [449435] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18267), 1,
      anon_sym_RPAREN,
  [449442] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18269), 1,
      anon_sym_RPAREN,
  [449449] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18271), 1,
      anon_sym_RPAREN,
  [449456] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18273), 1,
      anon_sym_RPAREN,
  [449463] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18275), 1,
      anon_sym_RPAREN,
  [449470] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18277), 1,
      anon_sym_RPAREN,
  [449477] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18279), 1,
      anon_sym_RPAREN,
  [449484] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18281), 1,
      anon_sym_RPAREN,
  [449491] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12750), 1,
      anon_sym_RPAREN,
  [449498] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18283), 1,
      anon_sym_RPAREN,
  [449505] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11672), 1,
      anon_sym_RPAREN,
  [449512] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18285), 1,
      anon_sym_RPAREN,
  [449519] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18287), 1,
      anon_sym_RPAREN,
  [449526] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9953), 1,
      anon_sym_RPAREN,
  [449533] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18289), 1,
      anon_sym_RPAREN,
  [449540] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18291), 1,
      anon_sym_RPAREN,
  [449547] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18293), 1,
      anon_sym_RPAREN,
  [449554] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18295), 1,
      anon_sym_RPAREN,
  [449561] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18297), 1,
      anon_sym_RPAREN,
  [449568] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18299), 1,
      anon_sym_RPAREN,
  [449575] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18301), 1,
      anon_sym_RPAREN,
  [449582] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18303), 1,
      anon_sym_RPAREN,
  [449589] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11618), 1,
      anon_sym_RPAREN,
  [449596] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18305), 1,
      anon_sym_RPAREN,
  [449603] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18307), 1,
      anon_sym_RPAREN,
  [449610] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18309), 1,
      anon_sym_RPAREN,
  [449617] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18311), 1,
      anon_sym_RPAREN,
  [449624] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18313), 1,
      anon_sym_RPAREN,
  [449631] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18315), 1,
      anon_sym_RPAREN,
  [449638] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18317), 1,
      anon_sym_RPAREN,
  [449645] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18319), 1,
      anon_sym_RPAREN,
  [449652] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18321), 1,
      anon_sym_RPAREN,
  [449659] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18323), 1,
      anon_sym_RPAREN,
  [449666] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18325), 1,
      anon_sym_RPAREN,
  [449673] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18327), 1,
      anon_sym_RPAREN,
  [449680] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18329), 1,
      anon_sym_RPAREN,
  [449687] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12716), 1,
      anon_sym_RPAREN,
  [449694] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18331), 1,
      anon_sym_RPAREN,
  [449701] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11022), 1,
      anon_sym_RPAREN,
  [449708] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18333), 1,
      anon_sym_RPAREN,
  [449715] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18335), 1,
      anon_sym_RPAREN,
  [449722] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18337), 1,
      anon_sym_RPAREN,
  [449729] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18339), 1,
      sym__string_end,
  [449736] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18341), 1,
      anon_sym_RPAREN,
  [449743] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18343), 1,
      anon_sym_RPAREN,
  [449750] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18345), 1,
      anon_sym_RPAREN,
  [449757] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12700), 1,
      anon_sym_RPAREN,
  [449764] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18347), 1,
      anon_sym_RPAREN,
  [449771] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11496), 1,
      anon_sym_RPAREN,
  [449778] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18349), 1,
      anon_sym_RPAREN,
  [449785] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18351), 1,
      anon_sym_RPAREN,
  [449792] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18353), 1,
      anon_sym_RPAREN,
  [449799] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18355), 1,
      anon_sym_RPAREN,
  [449806] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18357), 1,
      anon_sym_RPAREN,
  [449813] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18359), 1,
      anon_sym_RPAREN,
  [449820] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18361), 1,
      anon_sym_RPAREN,
  [449827] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18363), 1,
      anon_sym_RPAREN,
  [449834] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18365), 1,
      anon_sym_RPAREN,
  [449841] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18367), 1,
      anon_sym_RPAREN,
  [449848] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18369), 1,
      anon_sym_RPAREN,
  [449855] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18371), 1,
      anon_sym_RPAREN,
  [449862] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12678), 1,
      anon_sym_RPAREN,
  [449869] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18373), 1,
      anon_sym_RPAREN,
  [449876] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18375), 1,
      anon_sym_RPAREN,
  [449883] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18377), 1,
      anon_sym_RPAREN,
  [449890] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18379), 1,
      anon_sym_RPAREN,
  [449897] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18381), 1,
      anon_sym_RPAREN,
  [449904] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18383), 1,
      anon_sym_RPAREN,
  [449911] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18385), 1,
      anon_sym_RPAREN,
  [449918] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12674), 1,
      anon_sym_RPAREN,
  [449925] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18387), 1,
      anon_sym_RPAREN,
  [449932] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18389), 1,
      anon_sym_RPAREN,
  [449939] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18391), 1,
      anon_sym_RPAREN,
  [449946] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18393), 1,
      anon_sym_RPAREN,
  [449953] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18395), 1,
      anon_sym_RPAREN,
  [449960] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18397), 1,
      anon_sym_RPAREN,
  [449967] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18399), 1,
      anon_sym_RPAREN,
  [449974] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18401), 1,
      anon_sym_RPAREN,
  [449981] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18403), 1,
      anon_sym_RPAREN,
  [449988] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18405), 1,
      anon_sym_RPAREN,
  [449995] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11248), 1,
      anon_sym_RPAREN,
  [450002] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12650), 1,
      anon_sym_RPAREN,
  [450009] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18407), 1,
      anon_sym_RPAREN,
  [450016] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18409), 1,
      anon_sym_RPAREN,
  [450023] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18411), 1,
      anon_sym_RPAREN,
  [450030] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18413), 1,
      anon_sym_RPAREN,
  [450037] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12640), 1,
      anon_sym_RPAREN,
  [450044] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10371), 1,
      anon_sym_RPAREN,
  [450051] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18415), 1,
      anon_sym_RPAREN,
  [450058] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18417), 1,
      anon_sym_RPAREN,
  [450065] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10367), 1,
      anon_sym_RPAREN,
  [450072] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18419), 1,
      anon_sym_RPAREN,
  [450079] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18421), 1,
      anon_sym_RPAREN,
  [450086] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18423), 1,
      anon_sym_RPAREN,
  [450093] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18425), 1,
      anon_sym_RPAREN,
  [450100] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18427), 1,
      anon_sym_RPAREN,
  [450107] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18429), 1,
      anon_sym_RPAREN,
  [450114] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18431), 1,
      anon_sym_RPAREN,
  [450121] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18433), 1,
      anon_sym_RPAREN,
  [450128] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18435), 1,
      anon_sym_RPAREN,
  [450135] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18437), 1,
      anon_sym_RPAREN,
  [450142] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18439), 1,
      anon_sym_RPAREN,
  [450149] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18441), 1,
      anon_sym_RPAREN,
  [450156] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18443), 1,
      anon_sym_RPAREN,
  [450163] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18445), 1,
      anon_sym_RPAREN,
  [450170] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18447), 1,
      anon_sym_RPAREN,
  [450177] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18449), 1,
      anon_sym_RPAREN,
  [450184] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18451), 1,
      anon_sym_RPAREN,
  [450191] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18453), 1,
      anon_sym_RPAREN,
  [450198] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18455), 1,
      anon_sym_RPAREN,
  [450205] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18457), 1,
      anon_sym_RPAREN,
  [450212] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18459), 1,
      anon_sym_RPAREN,
  [450219] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18461), 1,
      anon_sym_RPAREN,
  [450226] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10385), 1,
      anon_sym_RPAREN,
  [450233] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18463), 1,
      anon_sym_RPAREN,
  [450240] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18465), 1,
      anon_sym_RPAREN,
  [450247] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18467), 1,
      anon_sym_RPAREN,
  [450254] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18469), 1,
      anon_sym_RPAREN,
  [450261] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18471), 1,
      anon_sym_RPAREN,
  [450268] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18473), 1,
      anon_sym_RPAREN,
  [450275] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18475), 1,
      anon_sym_RPAREN,
  [450282] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11080), 1,
      anon_sym_RPAREN,
  [450289] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18477), 1,
      anon_sym_RPAREN,
  [450296] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18479), 1,
      anon_sym_RPAREN,
  [450303] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18481), 1,
      anon_sym_RPAREN,
  [450310] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18483), 1,
      anon_sym_RPAREN,
  [450317] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18485), 1,
      anon_sym_RPAREN,
  [450324] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18487), 1,
      anon_sym_RPAREN,
  [450331] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18489), 1,
      aux_sym_limit_clause_token2,
  [450338] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18491), 1,
      aux_sym_limit_clause_token2,
  [450345] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12081), 1,
      anon_sym_RPAREN,
  [450352] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11839), 1,
      anon_sym_RPAREN,
  [450359] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18493), 1,
      aux_sym__keyword_from_token1,
  [450366] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18495), 1,
      aux_sym__keyword_from_token1,
  [450373] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18497), 1,
      anon_sym_RPAREN,
  [450380] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18499), 1,
      anon_sym_RPAREN,
  [450387] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10381), 1,
      anon_sym_RPAREN,
  [450394] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18501), 1,
      aux_sym__keyword_from_token1,
  [450401] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18503), 1,
      aux_sym__keyword_from_token1,
  [450408] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11082), 1,
      anon_sym_RPAREN,
  [450415] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11086), 1,
      anon_sym_RPAREN,
  [450422] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18505), 1,
      sym__integer,
  [450429] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12618), 1,
      anon_sym_RPAREN,
  [450436] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18507), 1,
      anon_sym_RPAREN,
  [450443] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18509), 1,
      anon_sym_LBRACK,
  [450450] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9260), 1,
      anon_sym_RPAREN,
  [450457] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18511), 1,
      anon_sym_RPAREN,
  [450464] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18513), 1,
      aux_sym__keyword_partition_by_token2,
  [450471] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18515), 1,
      anon_sym_RPAREN,
  [450478] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18517), 1,
      aux_sym__keyword_distinct_token1,
  [450485] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18519), 1,
      aux_sym__keyword_distinct_token1,
  [450492] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18521), 1,
      anon_sym_RPAREN,
  [450499] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10397), 1,
      anon_sym_RPAREN,
  [450506] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18523), 1,
      anon_sym_RPAREN,
  [450513] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10401), 1,
      anon_sym_RPAREN,
  [450520] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10403), 1,
      anon_sym_RPAREN,
  [450527] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11482), 1,
      anon_sym_RPAREN,
  [450534] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18525), 1,
      aux_sym_set_statement_token1,
  [450541] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9832), 1,
      anon_sym_RPAREN,
  [450548] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15523), 1,
      aux_sym_set_statement_token1,
  [450555] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18527), 1,
      anon_sym_RPAREN,
  [450562] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9254), 1,
      anon_sym_RPAREN,
  [450569] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18529), 1,
      aux_sym__keyword_from_token1,
  [450576] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12600), 1,
      anon_sym_RPAREN,
  [450583] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11538), 1,
      anon_sym_RPAREN,
  [450590] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18531), 1,
      aux_sym__keyword_partition_by_token2,
  [450597] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18533), 1,
      anon_sym_LPAREN,
  [450604] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18535), 1,
      anon_sym_GT,
  [450611] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18537), 1,
      aux_sym__nulls_preference_token1,
  [450618] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10411), 1,
      anon_sym_RPAREN,
  [450625] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18539), 1,
      aux_sym_add_column_action_token2,
  [450632] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11634), 1,
      anon_sym_RPAREN,
  [450639] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18541), 1,
      aux_sym__keyword_partition_by_token2,
  [450646] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10413), 1,
      anon_sym_RPAREN,
  [450653] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18543), 1,
      anon_sym_LPAREN,
  [450660] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12748), 1,
      anon_sym_RPAREN,
  [450667] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9252), 1,
      anon_sym_RPAREN,
  [450674] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18545), 1,
      anon_sym_RPAREN,
  [450681] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10417), 1,
      anon_sym_RPAREN,
  [450688] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10415), 1,
      anon_sym_RPAREN,
  [450695] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18547), 1,
      sym__unquoted_identifier,
  [450702] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18549), 1,
      aux_sym__keyword_from_token1,
  [450709] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18551), 1,
      anon_sym_RPAREN,
  [450716] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10409), 1,
      anon_sym_RPAREN,
  [450723] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18553), 1,
      aux_sym__nulls_preference_token1,
  [450730] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18555), 1,
      aux_sym__nulls_preference_token1,
  [450737] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18557), 1,
      anon_sym_RPAREN,
  [450744] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18559), 1,
      aux_sym__cross_join_operation_token2,
  [450751] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18561), 1,
      aux_sym__cross_join_operation_token2,
  [450758] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18563), 1,
      aux_sym__nulls_preference_token1,
  [450765] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18565), 1,
      aux_sym__nulls_preference_token1,
  [450772] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18567), 1,
      aux_sym__nulls_preference_token1,
  [450779] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11911), 1,
      anon_sym_RPAREN,
  [450786] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18569), 1,
      anon_sym_SQUOTE,
  [450793] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18569), 1,
      anon_sym_DQUOTE,
  [450800] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18571), 1,
      anon_sym_RPAREN,
  [450807] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18573), 1,
      anon_sym_RPAREN,
  [450814] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18575), 1,
      aux_sym__nulls_preference_token1,
  [450821] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18577), 1,
      anon_sym_AS,
  [450828] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18579), 1,
      aux_sym_limit_clause_token2,
  [450835] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9739), 1,
      anon_sym_RPAREN,
  [450842] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18581), 1,
      anon_sym_RPAREN,
  [450849] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18583), 1,
      anon_sym_RPAREN,
  [450856] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18585), 1,
      aux_sym_argument_reference_token1,
  [450863] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_RPAREN,
  [450870] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18587), 1,
      anon_sym_RPAREN,
  [450877] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18589), 1,
      anon_sym_RPAREN,
  [450884] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18591), 1,
      anon_sym_RPAREN,
  [450891] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18593), 1,
      anon_sym_RPAREN,
  [450898] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18595), 1,
      anon_sym_RPAREN,
  [450905] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18597), 1,
      anon_sym_RPAREN,
  [450912] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18599), 1,
      anon_sym_RPAREN,
  [450919] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9731), 1,
      anon_sym_RPAREN,
  [450926] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18601), 1,
      anon_sym_RPAREN,
  [450933] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18603), 1,
      anon_sym_RPAREN,
  [450940] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18605), 1,
      sym__unquoted_identifier,
  [450947] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18607), 1,
      anon_sym_RPAREN,
  [450954] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18609), 1,
      anon_sym_RPAREN,
  [450961] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18611), 1,
      anon_sym_RPAREN,
  [450968] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18613), 1,
      anon_sym_RPAREN,
  [450975] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18615), 1,
      anon_sym_RPAREN,
  [450982] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18617), 1,
      aux_sym__keyword_from_token1,
  [450989] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18619), 1,
      anon_sym_RPAREN,
  [450996] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18621), 1,
      anon_sym_RPAREN,
  [451003] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18623), 1,
      aux_sym_create_table_statement_token1,
  [451010] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18625), 1,
      anon_sym_RPAREN,
  [451017] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18627), 1,
      anon_sym_RPAREN,
  [451024] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9716), 1,
      anon_sym_RPAREN,
  [451031] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18629), 1,
      anon_sym_LBRACK,
  [451038] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18631), 1,
      aux_sym__keyword_partition_by_token2,
  [451045] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18633), 1,
      anon_sym_RPAREN,
  [451052] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18635), 1,
      anon_sym_RPAREN,
  [451059] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18637), 1,
      anon_sym_RPAREN,
  [451066] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9652), 1,
      anon_sym_RPAREN,
  [451073] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18639), 1,
      anon_sym_RPAREN,
  [451080] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18641), 1,
      anon_sym_RPAREN,
  [451087] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9642), 1,
      anon_sym_RPAREN,
  [451094] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18643), 1,
      anon_sym_RPAREN,
  [451101] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18645), 1,
      anon_sym_GT,
  [451108] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18647), 1,
      aux_sym__nulls_preference_token1,
  [451115] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18649), 1,
      aux_sym_using_clause_token1,
  [451122] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18651), 1,
      anon_sym_RPAREN,
  [451129] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18653), 1,
      anon_sym_RPAREN,
  [451136] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18655), 1,
      anon_sym_RPAREN,
  [451143] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15513), 1,
      anon_sym_LPAREN,
  [451150] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18657), 1,
      anon_sym_RPAREN,
  [451157] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18659), 1,
      anon_sym_RPAREN,
  [451164] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18661), 1,
      anon_sym_RPAREN,
  [451171] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18663), 1,
      aux_sym__nulls_preference_token1,
  [451178] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18665), 1,
      aux_sym__nulls_preference_token1,
  [451185] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18667), 1,
      aux_sym__cross_join_operation_token2,
  [451192] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18669), 1,
      aux_sym__cross_join_operation_token2,
  [451199] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18671), 1,
      aux_sym__nulls_preference_token1,
  [451206] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18673), 1,
      aux_sym__nulls_preference_token1,
  [451213] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18675), 1,
      aux_sym__nulls_preference_token1,
  [451220] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18677), 1,
      anon_sym_RPAREN,
  [451227] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18679), 1,
      anon_sym_EQ,
  [451234] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18681), 1,
      anon_sym_RPAREN,
  [451241] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18683), 1,
      aux_sym__keyword_from_token1,
  [451248] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18685), 1,
      aux_sym__nulls_preference_token1,
  [451255] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18687), 1,
      anon_sym_RPAREN,
  [451262] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13060), 1,
      anon_sym_RPAREN,
  [451269] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9616), 1,
      anon_sym_RPAREN,
  [451276] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18689), 1,
      anon_sym_RPAREN,
  [451283] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18691), 1,
      anon_sym_RPAREN,
  [451290] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11020), 1,
      anon_sym_RPAREN,
  [451297] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18693), 1,
      sym__string_end,
  [451304] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18695), 1,
      anon_sym_SQUOTE,
  [451311] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18695), 1,
      anon_sym_DQUOTE,
  [451318] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18697), 1,
      anon_sym_RPAREN,
  [451325] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18699), 1,
      anon_sym_RPAREN,
  [451332] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18701), 1,
      anon_sym_RPAREN,
  [451339] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18703), 1,
      anon_sym_RPAREN,
  [451346] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18705), 1,
      anon_sym_RPAREN,
  [451353] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18707), 1,
      anon_sym_EQ,
  [451360] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18709), 1,
      anon_sym_RPAREN,
  [451367] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18711), 1,
      anon_sym_RPAREN,
  [451374] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18713), 1,
      anon_sym_RPAREN,
  [451381] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18715), 1,
      anon_sym_RPAREN,
  [451388] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18717), 1,
      anon_sym_RPAREN,
  [451395] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18719), 1,
      aux_sym_limit_clause_token2,
  [451402] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18721), 1,
      anon_sym_RPAREN,
  [451409] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18723), 1,
      anon_sym_RPAREN,
  [451416] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13132), 1,
      anon_sym_RPAREN,
  [451423] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18725), 1,
      anon_sym_RPAREN,
  [451430] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18727), 1,
      anon_sym_LPAREN,
  [451437] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18729), 1,
      anon_sym_LBRACK,
  [451444] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18731), 1,
      aux_sym__keyword_partition_by_token2,
  [451451] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18733), 1,
      anon_sym_RPAREN,
  [451458] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18735), 1,
      aux_sym_argument_reference_token1,
  [451465] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18737), 1,
      anon_sym_RPAREN,
  [451472] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18739), 1,
      anon_sym_RPAREN,
  [451479] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18741), 1,
      anon_sym_RPAREN,
  [451486] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18743), 1,
      anon_sym_LPAREN,
  [451493] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18745), 1,
      anon_sym_LPAREN,
  [451500] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12256), 1,
      anon_sym_RPAREN,
  [451507] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18747), 1,
      anon_sym_GT,
  [451514] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18749), 1,
      aux_sym__nulls_preference_token1,
  [451521] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13170), 1,
      anon_sym_RPAREN,
  [451528] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18751), 1,
      anon_sym_RPAREN,
  [451535] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18753), 1,
      anon_sym_RPAREN,
  [451542] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15349), 1,
      anon_sym_LPAREN,
  [451549] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10354), 1,
      anon_sym_RPAREN,
  [451556] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18755), 1,
      anon_sym_RPAREN,
  [451563] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18757), 1,
      aux_sym__nulls_preference_token1,
  [451570] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18759), 1,
      aux_sym__nulls_preference_token1,
  [451577] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18761), 1,
      aux_sym__cross_join_operation_token2,
  [451584] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18763), 1,
      aux_sym__nulls_preference_token1,
  [451591] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18765), 1,
      aux_sym__nulls_preference_token1,
  [451598] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18767), 1,
      aux_sym__nulls_preference_token1,
  [451605] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18769), 1,
      anon_sym_RPAREN,
  [451612] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18771), 1,
      aux_sym__nulls_preference_token1,
  [451619] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18773), 1,
      anon_sym_RPAREN,
  [451626] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18775), 1,
      anon_sym_RPAREN,
  [451633] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18777), 1,
      anon_sym_RPAREN,
  [451640] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18779), 1,
      anon_sym_RPAREN,
  [451647] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18781), 1,
      anon_sym_RPAREN,
  [451654] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10346), 1,
      anon_sym_RPAREN,
  [451661] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18783), 1,
      anon_sym_RPAREN,
  [451668] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12225), 1,
      anon_sym_RPAREN,
  [451675] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18785), 1,
      anon_sym_RPAREN,
  [451682] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18787), 1,
      aux_sym_create_table_statement_token2,
  [451689] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18789), 1,
      anon_sym_LBRACK,
  [451696] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18791), 1,
      aux_sym__keyword_partition_by_token2,
  [451703] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18793), 1,
      anon_sym_RPAREN,
  [451710] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13267), 1,
      anon_sym_RPAREN,
  [451717] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10344), 1,
      anon_sym_RPAREN,
  [451724] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_RPAREN,
  [451731] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13265), 1,
      anon_sym_RPAREN,
  [451738] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12197), 1,
      anon_sym_RPAREN,
  [451745] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9246), 1,
      anon_sym_RPAREN,
  [451752] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18795), 1,
      anon_sym_RPAREN,
  [451759] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18797), 1,
      anon_sym_GT,
  [451766] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18799), 1,
      aux_sym__nulls_preference_token1,
  [451773] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18801), 1,
      aux_sym_argument_reference_token1,
  [451780] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18803), 1,
      anon_sym_RPAREN,
  [451787] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18805), 1,
      anon_sym_RPAREN,
  [451794] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10334), 1,
      anon_sym_RPAREN,
  [451801] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10330), 1,
      anon_sym_RPAREN,
  [451808] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18807), 1,
      aux_sym__nulls_preference_token1,
  [451815] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18809), 1,
      aux_sym__nulls_preference_token1,
  [451822] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18811), 1,
      aux_sym__cross_join_operation_token2,
  [451829] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18813), 1,
      aux_sym__nulls_preference_token1,
  [451836] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18815), 1,
      aux_sym__nulls_preference_token1,
  [451843] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18817), 1,
      aux_sym__nulls_preference_token1,
  [451850] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18819), 1,
      anon_sym_RPAREN,
  [451857] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18821), 1,
      aux_sym__nulls_preference_token1,
  [451864] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10324), 1,
      anon_sym_RPAREN,
  [451871] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12177), 1,
      anon_sym_RPAREN,
  [451878] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18823), 1,
      anon_sym_LPAREN,
  [451885] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18825), 1,
      anon_sym_RPAREN,
  [451892] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18827), 1,
      anon_sym_RPAREN,
  [451899] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18829), 1,
      aux_sym__keyword_from_token1,
  [451906] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13325), 1,
      anon_sym_RPAREN,
  [451913] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10294), 1,
      anon_sym_RPAREN,
  [451920] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18831), 1,
      anon_sym_RPAREN,
  [451927] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10290), 1,
      anon_sym_RPAREN,
  [451934] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18833), 1,
      anon_sym_LBRACK,
  [451941] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18835), 1,
      anon_sym_RPAREN,
  [451948] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10284), 1,
      anon_sym_RPAREN,
  [451955] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18837), 1,
      sym__unquoted_identifier,
  [451962] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18839), 1,
      aux_sym__keyword_from_token1,
  [451969] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18841), 1,
      anon_sym_RPAREN,
  [451976] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18843), 1,
      anon_sym_RPAREN,
  [451983] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10262), 1,
      anon_sym_RPAREN,
  [451990] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18845), 1,
      anon_sym_RPAREN,
  [451997] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18847), 1,
      anon_sym_GT,
  [452004] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18849), 1,
      aux_sym__nulls_preference_token1,
  [452011] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18851), 1,
      anon_sym_RPAREN,
  [452018] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18853), 1,
      anon_sym_SQUOTE,
  [452025] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18853), 1,
      anon_sym_DQUOTE,
  [452032] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18855), 1,
      anon_sym_RPAREN,
  [452039] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18857), 1,
      anon_sym_RPAREN,
  [452046] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18859), 1,
      aux_sym__nulls_preference_token1,
  [452053] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18861), 1,
      aux_sym__nulls_preference_token1,
  [452060] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18863), 1,
      aux_sym__cross_join_operation_token2,
  [452067] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18865), 1,
      aux_sym__nulls_preference_token1,
  [452074] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18867), 1,
      aux_sym__nulls_preference_token1,
  [452081] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18869), 1,
      aux_sym__nulls_preference_token1,
  [452088] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18871), 1,
      anon_sym_RPAREN,
  [452095] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18873), 1,
      aux_sym__nulls_preference_token1,
  [452102] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18875), 1,
      aux_sym_limit_clause_token2,
  [452109] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18877), 1,
      anon_sym_RPAREN,
  [452116] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18879), 1,
      aux_sym__keyword_partition_by_token2,
  [452123] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18881), 1,
      anon_sym_RPAREN,
  [452130] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18883), 1,
      anon_sym_RPAREN,
  [452137] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18885), 1,
      anon_sym_RPAREN,
  [452144] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18887), 1,
      sym__string_end,
  [452151] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10923), 1,
      anon_sym_RPAREN,
  [452158] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18889), 1,
      anon_sym_RPAREN,
  [452165] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18891), 1,
      aux_sym__keyword_partition_by_token2,
  [452172] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18893), 1,
      anon_sym_LBRACK,
  [452179] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18895), 1,
      anon_sym_RPAREN,
  [452186] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18897), 1,
      anon_sym_RPAREN,
  [452193] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18899), 1,
      anon_sym_RPAREN,
  [452200] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18901), 1,
      anon_sym_RPAREN,
  [452207] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18903), 1,
      anon_sym_RPAREN,
  [452214] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18905), 1,
      anon_sym_RPAREN,
  [452221] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18907), 1,
      aux_sym_default_collate_clause_token1,
  [452228] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18909), 1,
      aux_sym_keyword_if_not_exists_token3,
  [452235] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18911), 1,
      anon_sym_GT,
  [452242] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18913), 1,
      aux_sym__nulls_preference_token1,
  [452249] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18915), 1,
      aux_sym_while_statement_token1,
  [452256] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18917), 1,
      anon_sym_RPAREN,
  [452263] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18919), 1,
      anon_sym_RPAREN,
  [452270] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18921), 1,
      anon_sym_RPAREN,
  [452277] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18923), 1,
      anon_sym_RPAREN,
  [452284] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18925), 1,
      aux_sym__nulls_preference_token1,
  [452291] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18927), 1,
      aux_sym__nulls_preference_token1,
  [452298] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18929), 1,
      aux_sym__cross_join_operation_token2,
  [452305] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18931), 1,
      aux_sym__nulls_preference_token1,
  [452312] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18933), 1,
      aux_sym__nulls_preference_token1,
  [452319] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18935), 1,
      aux_sym__nulls_preference_token1,
  [452326] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18937), 1,
      anon_sym_RPAREN,
  [452333] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18939), 1,
      aux_sym__nulls_preference_token1,
  [452340] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18941), 1,
      anon_sym_RPAREN,
  [452347] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18943), 1,
      anon_sym_RPAREN,
  [452354] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18945), 1,
      anon_sym_RPAREN,
  [452361] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18947), 1,
      aux_sym_set_statement_token2,
  [452368] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18949), 1,
      anon_sym_RPAREN,
  [452375] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18951), 1,
      anon_sym_RPAREN,
  [452382] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18953), 1,
      anon_sym_LBRACK,
  [452389] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18955), 1,
      anon_sym_RPAREN,
  [452396] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18957), 1,
      anon_sym_RPAREN,
  [452403] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18959), 1,
      anon_sym_RPAREN,
  [452410] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18961), 1,
      anon_sym_RPAREN,
  [452417] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18963), 1,
      aux_sym_begin_exception_end_statement_token2,
  [452424] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18965), 1,
      aux_sym_set_statement_token1,
  [452431] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1514), 1,
      anon_sym_DOT,
  [452438] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18967), 1,
      anon_sym_RPAREN,
  [452445] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18969), 1,
      anon_sym_GT,
  [452452] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18971), 1,
      aux_sym__nulls_preference_token1,
  [452459] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18973), 1,
      anon_sym_LPAREN,
  [452466] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18975), 1,
      anon_sym_RPAREN,
  [452473] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18977), 1,
      anon_sym_RPAREN,
  [452480] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18979), 1,
      anon_sym_RPAREN,
  [452487] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11983), 1,
      anon_sym_RPAREN,
  [452494] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18981), 1,
      aux_sym__nulls_preference_token1,
  [452501] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18983), 1,
      aux_sym__nulls_preference_token1,
  [452508] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18985), 1,
      aux_sym__nulls_preference_token1,
  [452515] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18987), 1,
      aux_sym__nulls_preference_token1,
  [452522] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18989), 1,
      aux_sym__nulls_preference_token1,
  [452529] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18991), 1,
      aux_sym__nulls_preference_token1,
  [452536] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18993), 1,
      anon_sym_RPAREN,
  [452543] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18995), 1,
      aux_sym__keyword_from_token1,
  [452550] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18997), 1,
      anon_sym_RPAREN,
  [452557] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18999), 1,
      anon_sym_RPAREN,
  [452564] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19001), 1,
      anon_sym_RPAREN,
  [452571] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19003), 1,
      anon_sym_LBRACK,
  [452578] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19005), 1,
      anon_sym_RPAREN,
  [452585] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19007), 1,
      aux_sym_keyword_if_not_exists_token1,
  [452592] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13622), 1,
      anon_sym_RPAREN,
  [452599] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19009), 1,
      anon_sym_RPAREN,
  [452606] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10921), 1,
      anon_sym_RPAREN,
  [452613] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19011), 1,
      sym__string_end,
  [452620] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19013), 1,
      anon_sym_RPAREN,
  [452627] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19015), 1,
      anon_sym_RPAREN,
  [452634] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19017), 1,
      anon_sym_GT,
  [452641] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19019), 1,
      aux_sym__nulls_preference_token1,
  [452648] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19021), 1,
      anon_sym_RPAREN,
  [452655] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19023), 1,
      anon_sym_RPAREN,
  [452662] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19025), 1,
      anon_sym_RPAREN,
  [452669] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10320), 1,
      anon_sym_RPAREN,
  [452676] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19027), 1,
      anon_sym_RPAREN,
  [452683] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19029), 1,
      aux_sym__nulls_preference_token1,
  [452690] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19031), 1,
      aux_sym__nulls_preference_token1,
  [452697] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19033), 1,
      aux_sym__nulls_preference_token1,
  [452704] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19035), 1,
      aux_sym__nulls_preference_token1,
  [452711] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19037), 1,
      aux_sym__nulls_preference_token1,
  [452718] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19039), 1,
      aux_sym__nulls_preference_token1,
  [452725] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19041), 1,
      anon_sym_RPAREN,
  [452732] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19043), 1,
      aux_sym__nulls_preference_token1,
  [452739] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19045), 1,
      anon_sym_RPAREN,
  [452746] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19047), 1,
      anon_sym_RPAREN,
  [452753] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19049), 1,
      anon_sym_RPAREN,
  [452760] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19051), 1,
      anon_sym_LBRACK,
  [452767] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19053), 1,
      anon_sym_RPAREN,
  [452774] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19055), 1,
      anon_sym_RPAREN,
  [452781] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13666), 1,
      anon_sym_RPAREN,
  [452788] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19057), 1,
      anon_sym_RPAREN,
  [452795] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19059), 1,
      anon_sym_RPAREN,
  [452802] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19061), 1,
      anon_sym_RPAREN,
  [452809] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19063), 1,
      anon_sym_RPAREN,
  [452816] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19065), 1,
      anon_sym_RPAREN,
  [452823] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19067), 1,
      anon_sym_GT,
  [452830] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19069), 1,
      aux_sym__nulls_preference_token1,
  [452837] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19071), 1,
      anon_sym_GT,
  [452844] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12017), 1,
      anon_sym_RPAREN,
  [452851] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13698), 1,
      anon_sym_RPAREN,
  [452858] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19073), 1,
      anon_sym_RPAREN,
  [452865] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19075), 1,
      anon_sym_RPAREN,
  [452872] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19077), 1,
      aux_sym__nulls_preference_token1,
  [452879] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19079), 1,
      aux_sym__nulls_preference_token1,
  [452886] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19081), 1,
      aux_sym__nulls_preference_token1,
  [452893] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19083), 1,
      aux_sym__nulls_preference_token1,
  [452900] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19085), 1,
      aux_sym__nulls_preference_token1,
  [452907] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19087), 1,
      aux_sym__nulls_preference_token1,
  [452914] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10248), 1,
      anon_sym_RPAREN,
  [452921] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19089), 1,
      anon_sym_OPTIONS,
  [452928] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19091), 1,
      anon_sym_RPAREN,
  [452935] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19093), 1,
      anon_sym_RPAREN,
  [452942] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19095), 1,
      anon_sym_RPAREN,
  [452949] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19097), 1,
      anon_sym_LBRACK,
  [452956] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19099), 1,
      anon_sym_RPAREN,
  [452963] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19101), 1,
      anon_sym_SQUOTE,
  [452970] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19103), 1,
      anon_sym_RPAREN,
  [452977] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19105), 1,
      anon_sym_RPAREN,
  [452984] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19101), 1,
      anon_sym_DQUOTE,
  [452991] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19107), 1,
      anon_sym_RPAREN,
  [452998] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19109), 1,
      anon_sym_RPAREN,
  [453005] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19111), 1,
      anon_sym_RPAREN,
  [453012] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19113), 1,
      anon_sym_GT,
  [453019] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19115), 1,
      aux_sym__nulls_preference_token1,
  [453026] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19117), 1,
      anon_sym_GT,
  [453033] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11941), 1,
      anon_sym_RPAREN,
  [453040] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19119), 1,
      anon_sym_RPAREN,
  [453047] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19121), 1,
      anon_sym_RPAREN,
  [453054] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10240), 1,
      anon_sym_RPAREN,
  [453061] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19123), 1,
      aux_sym__nulls_preference_token1,
  [453068] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19125), 1,
      aux_sym__nulls_preference_token1,
  [453075] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19127), 1,
      aux_sym__nulls_preference_token1,
  [453082] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19129), 1,
      aux_sym__nulls_preference_token1,
  [453089] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19131), 1,
      aux_sym__nulls_preference_token1,
  [453096] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19133), 1,
      aux_sym__nulls_preference_token1,
  [453103] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11971), 1,
      anon_sym_RPAREN,
  [453110] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13809), 1,
      anon_sym_RPAREN,
  [453117] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9258), 1,
      anon_sym_RPAREN,
  [453124] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19135), 1,
      anon_sym_RPAREN,
  [453131] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19137), 1,
      anon_sym_RPAREN,
  [453138] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19139), 1,
      anon_sym_LBRACK,
  [453145] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19141), 1,
      anon_sym_RPAREN,
  [453152] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19143), 1,
      anon_sym_RPAREN,
  [453159] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19145), 1,
      anon_sym_RPAREN,
  [453166] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19147), 1,
      anon_sym_RPAREN,
  [453173] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19149), 1,
      anon_sym_LPAREN,
  [453180] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19151), 1,
      anon_sym_RPAREN,
  [453187] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10234), 1,
      anon_sym_RPAREN,
  [453194] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19153), 1,
      anon_sym_RPAREN,
  [453201] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19155), 1,
      anon_sym_GT,
  [453208] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19157), 1,
      aux_sym__nulls_preference_token1,
  [453215] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8343), 1,
      aux_sym_set_statement_token1,
  [453222] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10230), 1,
      anon_sym_RPAREN,
  [453229] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19159), 1,
      anon_sym_RPAREN,
  [453236] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19161), 1,
      anon_sym_RPAREN,
  [453243] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10228), 1,
      anon_sym_RPAREN,
  [453250] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19163), 1,
      aux_sym__nulls_preference_token1,
  [453257] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19165), 1,
      aux_sym__nulls_preference_token1,
  [453264] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19167), 1,
      aux_sym__nulls_preference_token1,
  [453271] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19169), 1,
      aux_sym__nulls_preference_token1,
  [453278] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19171), 1,
      aux_sym__nulls_preference_token1,
  [453285] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19173), 1,
      aux_sym__nulls_preference_token1,
  [453292] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19175), 1,
      anon_sym_RPAREN,
  [453299] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19177), 1,
      anon_sym_RPAREN,
  [453306] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13630), 1,
      anon_sym_RPAREN,
  [453313] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19179), 1,
      aux_sym__keyword_from_token1,
  [453320] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19181), 1,
      anon_sym_RPAREN,
  [453327] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19183), 1,
      anon_sym_LBRACK,
  [453334] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19185), 1,
      anon_sym_RPAREN,
  [453341] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19187), 1,
      anon_sym_AS,
  [453348] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10202), 1,
      anon_sym_RPAREN,
  [453355] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19189), 1,
      anon_sym_RPAREN,
  [453362] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19191), 1,
      anon_sym_LPAREN,
  [453369] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19193), 1,
      aux_sym_create_remote_function_statement_token2,
  [453376] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19195), 1,
      anon_sym_RPAREN,
  [453383] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10190), 1,
      anon_sym_RPAREN,
  [453390] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19197), 1,
      anon_sym_GT,
  [453397] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19199), 1,
      aux_sym__nulls_preference_token1,
  [453404] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19201), 1,
      aux_sym_join_condition_token1,
  [453411] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19203), 1,
      anon_sym_RPAREN,
  [453418] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10184), 1,
      anon_sym_RPAREN,
  [453425] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19205), 1,
      sym__unquoted_identifier,
  [453432] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19207), 1,
      aux_sym__keyword_from_token1,
  [453439] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19209), 1,
      aux_sym__nulls_preference_token1,
  [453446] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19211), 1,
      aux_sym__nulls_preference_token1,
  [453453] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19213), 1,
      aux_sym__nulls_preference_token1,
  [453460] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19215), 1,
      aux_sym__nulls_preference_token1,
  [453467] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19217), 1,
      aux_sym__nulls_preference_token1,
  [453474] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19219), 1,
      aux_sym__nulls_preference_token1,
  [453481] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19221), 1,
      anon_sym_RPAREN,
  [453488] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19223), 1,
      sym_privilege_role,
  [453495] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19225), 1,
      aux_sym_join_condition_token1,
  [453502] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19227), 1,
      anon_sym_RPAREN,
  [453509] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19229), 1,
      aux_sym_using_clause_token1,
  [453516] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19231), 1,
      anon_sym_LBRACK,
  [453523] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10174), 1,
      anon_sym_RPAREN,
  [453530] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19233), 1,
      anon_sym_RPAREN,
  [453537] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19235), 1,
      anon_sym_RPAREN,
  [453544] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19237), 1,
      anon_sym_SQUOTE,
  [453551] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19237), 1,
      anon_sym_DQUOTE,
  [453558] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19239), 1,
      anon_sym_RPAREN,
  [453565] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19241), 1,
      aux_sym_limit_clause_token2,
  [453572] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19243), 1,
      anon_sym_RPAREN,
  [453579] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19245), 1,
      anon_sym_GT,
  [453586] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19247), 1,
      aux_sym__nulls_preference_token1,
  [453593] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19249), 1,
      anon_sym_RPAREN,
  [453600] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19251), 1,
      aux_sym_argument_reference_token1,
  [453607] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19253), 1,
      anon_sym_RPAREN,
  [453614] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19255), 1,
      anon_sym_RPAREN,
  [453621] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19257), 1,
      anon_sym_RPAREN,
  [453628] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19259), 1,
      aux_sym__nulls_preference_token1,
  [453635] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19261), 1,
      aux_sym__nulls_preference_token1,
  [453642] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19263), 1,
      aux_sym__nulls_preference_token1,
  [453649] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19265), 1,
      aux_sym__nulls_preference_token1,
  [453656] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19267), 1,
      aux_sym__nulls_preference_token1,
  [453663] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19269), 1,
      aux_sym__nulls_preference_token1,
  [453670] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19271), 1,
      anon_sym_RPAREN,
  [453677] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19273), 1,
      anon_sym_RPAREN,
  [453684] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19275), 1,
      anon_sym_LPAREN,
  [453691] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19277), 1,
      aux_sym_argument_reference_token1,
  [453698] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19279), 1,
      anon_sym_LPAREN,
  [453705] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19281), 1,
      anon_sym_LBRACK,
  [453712] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19283), 1,
      anon_sym_RPAREN,
  [453719] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19285), 1,
      anon_sym_RPAREN,
  [453726] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19287), 1,
      anon_sym_RPAREN,
  [453733] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19289), 1,
      anon_sym_RPAREN,
  [453740] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19291), 1,
      anon_sym_RPAREN,
  [453747] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19293), 1,
      aux_sym__keyword_partition_by_token2,
  [453754] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19295), 1,
      anon_sym_RPAREN,
  [453761] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19297), 1,
      anon_sym_RPAREN,
  [453768] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19299), 1,
      anon_sym_GT,
  [453775] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19301), 1,
      aux_sym__nulls_preference_token1,
  [453782] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19303), 1,
      anon_sym_OPTIONS,
  [453789] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19305), 1,
      anon_sym_LPAREN,
  [453796] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19307), 1,
      anon_sym_RPAREN,
  [453803] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19309), 1,
      anon_sym_RPAREN,
  [453810] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19311), 1,
      anon_sym_RPAREN,
  [453817] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19313), 1,
      aux_sym__nulls_preference_token1,
  [453824] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19315), 1,
      aux_sym__nulls_preference_token1,
  [453831] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19317), 1,
      aux_sym__nulls_preference_token1,
  [453838] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19319), 1,
      aux_sym__nulls_preference_token1,
  [453845] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19321), 1,
      aux_sym__nulls_preference_token1,
  [453852] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19323), 1,
      aux_sym__nulls_preference_token1,
  [453859] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19325), 1,
      anon_sym_RPAREN,
  [453866] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19327), 1,
      anon_sym_RPAREN,
  [453873] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19329), 1,
      anon_sym_RPAREN,
  [453880] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19331), 1,
      anon_sym_RPAREN,
  [453887] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19333), 1,
      anon_sym_RPAREN,
  [453894] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19335), 1,
      anon_sym_LBRACK,
  [453901] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19337), 1,
      anon_sym_RPAREN,
  [453908] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19339), 1,
      anon_sym_RPAREN,
  [453915] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19341), 1,
      anon_sym_RPAREN,
  [453922] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19343), 1,
      anon_sym_RPAREN,
  [453929] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19345), 1,
      anon_sym_RPAREN,
  [453936] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19347), 1,
      anon_sym_RPAREN,
  [453943] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19349), 1,
      anon_sym_RPAREN,
  [453950] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19351), 1,
      anon_sym_RPAREN,
  [453957] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19353), 1,
      anon_sym_GT,
  [453964] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19355), 1,
      aux_sym__nulls_preference_token1,
  [453971] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19357), 1,
      anon_sym_RPAREN,
  [453978] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19359), 1,
      anon_sym_RPAREN,
  [453985] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19361), 1,
      anon_sym_RPAREN,
  [453992] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19363), 1,
      anon_sym_RPAREN,
  [453999] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19365), 1,
      anon_sym_RPAREN,
  [454006] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19367), 1,
      aux_sym__nulls_preference_token1,
  [454013] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19369), 1,
      aux_sym__nulls_preference_token1,
  [454020] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19371), 1,
      aux_sym__nulls_preference_token1,
  [454027] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19373), 1,
      aux_sym__nulls_preference_token1,
  [454034] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19375), 1,
      aux_sym__nulls_preference_token1,
  [454041] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19377), 1,
      aux_sym__nulls_preference_token1,
  [454048] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19379), 1,
      anon_sym_RPAREN,
  [454055] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19381), 1,
      anon_sym_RPAREN,
  [454062] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19383), 1,
      anon_sym_RPAREN,
  [454069] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12596), 1,
      anon_sym_RPAREN,
  [454076] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19385), 1,
      anon_sym_RPAREN,
  [454083] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19387), 1,
      anon_sym_LBRACK,
  [454090] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19389), 1,
      anon_sym_RPAREN,
  [454097] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19391), 1,
      anon_sym_RPAREN,
  [454104] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19393), 1,
      anon_sym_RPAREN,
  [454111] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19395), 1,
      anon_sym_RPAREN,
  [454118] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19397), 1,
      aux_sym_create_table_statement_token1,
  [454125] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19399), 1,
      anon_sym_RPAREN,
  [454132] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10667), 1,
      anon_sym_RPAREN,
  [454139] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19401), 1,
      aux_sym_create_table_statement_token2,
  [454146] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19403), 1,
      anon_sym_GT,
  [454153] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19405), 1,
      aux_sym__nulls_preference_token1,
  [454160] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19407), 1,
      sym__string_end,
  [454167] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19409), 1,
      anon_sym_RPAREN,
  [454174] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19411), 1,
      anon_sym_RPAREN,
  [454181] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19413), 1,
      anon_sym_RPAREN,
  [454188] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19415), 1,
      anon_sym_RPAREN,
  [454195] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19417), 1,
      aux_sym__nulls_preference_token1,
  [454202] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19419), 1,
      aux_sym__nulls_preference_token1,
  [454209] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19421), 1,
      aux_sym__nulls_preference_token1,
  [454216] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19423), 1,
      aux_sym__nulls_preference_token1,
  [454223] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19425), 1,
      aux_sym__nulls_preference_token1,
  [454230] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19427), 1,
      aux_sym__nulls_preference_token1,
  [454237] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19429), 1,
      anon_sym_RPAREN,
  [454244] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19431), 1,
      anon_sym_RPAREN,
  [454251] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19433), 1,
      anon_sym_RPAREN,
  [454258] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19435), 1,
      anon_sym_RPAREN,
  [454265] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19437), 1,
      anon_sym_RPAREN,
  [454272] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19439), 1,
      aux_sym__nulls_preference_token1,
  [454279] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19441), 1,
      anon_sym_RPAREN,
  [454286] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19443), 1,
      anon_sym_RPAREN,
  [454293] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19445), 1,
      anon_sym_RPAREN,
  [454300] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19447), 1,
      aux_sym__nulls_preference_token1,
  [454307] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19449), 1,
      aux_sym__nulls_preference_token1,
  [454314] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19451), 1,
      aux_sym__nulls_preference_token1,
  [454321] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19453), 1,
      aux_sym__nulls_preference_token1,
  [454328] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19455), 1,
      aux_sym__nulls_preference_token1,
  [454335] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19457), 1,
      aux_sym__nulls_preference_token1,
  [454342] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19459), 1,
      anon_sym_RPAREN,
  [454349] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19461), 1,
      anon_sym_RPAREN,
  [454356] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19463), 1,
      anon_sym_RPAREN,
  [454363] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19465), 1,
      aux_sym__nulls_preference_token1,
  [454370] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19467), 1,
      anon_sym_RPAREN,
  [454377] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19469), 1,
      anon_sym_RPAREN,
  [454384] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19471), 1,
      aux_sym_keyword_if_not_exists_token2,
  [454391] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19473), 1,
      aux_sym__nulls_preference_token1,
  [454398] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19475), 1,
      aux_sym__nulls_preference_token1,
  [454405] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19477), 1,
      aux_sym__nulls_preference_token1,
  [454412] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19479), 1,
      aux_sym__nulls_preference_token1,
  [454419] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19481), 1,
      aux_sym__nulls_preference_token1,
  [454426] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19483), 1,
      aux_sym__nulls_preference_token1,
  [454433] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19485), 1,
      anon_sym_RPAREN,
  [454440] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19487), 1,
      anon_sym_RPAREN,
  [454447] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19489), 1,
      anon_sym_RPAREN,
  [454454] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19491), 1,
      aux_sym__nulls_preference_token1,
  [454461] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19493), 1,
      anon_sym_EQ,
  [454468] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19495), 1,
      aux_sym_loop_statement_token1,
  [454475] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19497), 1,
      anon_sym_RPAREN,
  [454482] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19499), 1,
      aux_sym__nulls_preference_token1,
  [454489] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19501), 1,
      aux_sym__nulls_preference_token1,
  [454496] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19503), 1,
      aux_sym__nulls_preference_token1,
  [454503] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19505), 1,
      aux_sym__nulls_preference_token1,
  [454510] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19507), 1,
      aux_sym__nulls_preference_token1,
  [454517] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19509), 1,
      aux_sym__nulls_preference_token1,
  [454524] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19511), 1,
      anon_sym_RPAREN,
  [454531] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19513), 1,
      anon_sym_RPAREN,
  [454538] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19515), 1,
      aux_sym__nulls_preference_token1,
  [454545] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19517), 1,
      aux_sym__keyword_when_token1,
  [454552] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19519), 1,
      aux_sym__nulls_preference_token1,
  [454559] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19521), 1,
      aux_sym__nulls_preference_token1,
  [454566] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19523), 1,
      aux_sym__nulls_preference_token1,
  [454573] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19525), 1,
      aux_sym__nulls_preference_token1,
  [454580] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19527), 1,
      aux_sym__nulls_preference_token1,
  [454587] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19529), 1,
      aux_sym__nulls_preference_token1,
  [454594] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19531), 1,
      aux_sym_set_statement_token1,
  [454601] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19533), 1,
      anon_sym_RPAREN,
  [454608] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19535), 1,
      aux_sym__nulls_preference_token1,
  [454615] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19537), 1,
      aux_sym_keyword_if_not_exists_token3,
  [454622] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19539), 1,
      aux_sym__nulls_preference_token1,
  [454629] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19541), 1,
      aux_sym__nulls_preference_token1,
  [454636] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19543), 1,
      aux_sym__nulls_preference_token1,
  [454643] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19545), 1,
      aux_sym__nulls_preference_token1,
  [454650] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19547), 1,
      aux_sym__nulls_preference_token1,
  [454657] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19549), 1,
      aux_sym__nulls_preference_token1,
  [454664] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19551), 1,
      anon_sym_RPAREN,
  [454671] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19553), 1,
      anon_sym_RPAREN,
  [454678] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19555), 1,
      aux_sym__nulls_preference_token1,
  [454685] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14215), 1,
      anon_sym_RPAREN,
  [454692] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19557), 1,
      aux_sym__nulls_preference_token1,
  [454699] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19559), 1,
      aux_sym__nulls_preference_token1,
  [454706] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19561), 1,
      aux_sym__nulls_preference_token1,
  [454713] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19563), 1,
      aux_sym__nulls_preference_token1,
  [454720] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19565), 1,
      aux_sym__nulls_preference_token1,
  [454727] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19567), 1,
      aux_sym__nulls_preference_token1,
  [454734] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19569), 1,
      anon_sym_RPAREN,
  [454741] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19571), 1,
      anon_sym_RPAREN,
  [454748] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19573), 1,
      aux_sym__nulls_preference_token1,
  [454755] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19575), 1,
      anon_sym_RPAREN,
  [454762] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19577), 1,
      aux_sym__nulls_preference_token1,
  [454769] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19579), 1,
      aux_sym__nulls_preference_token1,
  [454776] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19581), 1,
      aux_sym__nulls_preference_token1,
  [454783] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19583), 1,
      aux_sym__nulls_preference_token1,
  [454790] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19585), 1,
      aux_sym__nulls_preference_token1,
  [454797] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19587), 1,
      aux_sym__nulls_preference_token1,
  [454804] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19589), 1,
      anon_sym_RPAREN,
  [454811] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9810), 1,
      anon_sym_RPAREN,
  [454818] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19591), 1,
      aux_sym__nulls_preference_token1,
  [454825] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19593), 1,
      anon_sym_RPAREN,
  [454832] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19595), 1,
      aux_sym__nulls_preference_token1,
  [454839] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19597), 1,
      aux_sym__nulls_preference_token1,
  [454846] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19599), 1,
      aux_sym__nulls_preference_token1,
  [454853] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19601), 1,
      aux_sym__nulls_preference_token1,
  [454860] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19603), 1,
      aux_sym__nulls_preference_token1,
  [454867] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19605), 1,
      aux_sym__nulls_preference_token1,
  [454874] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19607), 1,
      aux_sym_limit_clause_token2,
  [454881] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19609), 1,
      anon_sym_RPAREN,
  [454888] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19611), 1,
      anon_sym_RPAREN,
  [454895] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19613), 1,
      anon_sym_RPAREN,
  [454902] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19615), 1,
      anon_sym_RPAREN,
  [454909] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19617), 1,
      anon_sym_RPAREN,
  [454916] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19619), 1,
      sym__unquoted_identifier,
  [454923] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11740), 1,
      anon_sym_RPAREN,
  [454930] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14267), 1,
      anon_sym_RPAREN,
  [454937] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19621), 1,
      anon_sym_RPAREN,
  [454944] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19623), 1,
      anon_sym_RPAREN,
  [454951] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19625), 1,
      anon_sym_DQUOTE,
  [454958] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9939), 1,
      anon_sym_RPAREN,
  [454965] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19627), 1,
      anon_sym_RPAREN,
  [454972] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19629), 1,
      aux_sym__keyword_distinct_token1,
  [454979] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19631), 1,
      aux_sym__keyword_distinct_token1,
  [454986] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19633), 1,
      anon_sym_RPAREN,
  [454993] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19635), 1,
      aux_sym__keyword_partition_by_token2,
  [455000] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19637), 1,
      sym__integer,
  [455007] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19639), 1,
      anon_sym_RPAREN,
  [455014] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19641), 1,
      anon_sym_RPAREN,
  [455021] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19643), 1,
      anon_sym_RPAREN,
  [455028] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19645), 1,
      aux_sym_create_table_statement_token2,
  [455035] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19647), 1,
      anon_sym_RPAREN,
  [455042] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19649), 1,
      anon_sym_RPAREN,
  [455049] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19651), 1,
      anon_sym_RPAREN,
  [455056] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19653), 1,
      anon_sym_RPAREN,
  [455063] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19625), 1,
      anon_sym_SQUOTE,
  [455070] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19655), 1,
      anon_sym_RPAREN,
  [455077] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19657), 1,
      anon_sym_RPAREN,
  [455084] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19659), 1,
      anon_sym_LPAREN,
  [455091] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19661), 1,
      anon_sym_RPAREN,
  [455098] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19663), 1,
      anon_sym_LPAREN,
  [455105] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19665), 1,
      anon_sym_RPAREN,
  [455112] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19667), 1,
      anon_sym_RPAREN,
  [455119] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11700), 1,
      anon_sym_RPAREN,
  [455126] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19669), 1,
      aux_sym_raise_statement_token2,
  [455133] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19671), 1,
      anon_sym_RPAREN,
  [455140] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19673), 1,
      anon_sym_RPAREN,
  [455147] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9917), 1,
      anon_sym_RPAREN,
  [455154] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19675), 1,
      anon_sym_RPAREN,
  [455161] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11680), 1,
      anon_sym_RPAREN,
  [455168] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14349), 1,
      anon_sym_RPAREN,
  [455175] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19677), 1,
      anon_sym_RPAREN,
  [455182] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19679), 1,
      aux_sym_limit_clause_token2,
  [455189] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19681), 1,
      anon_sym_RPAREN,
  [455196] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9901), 1,
      anon_sym_RPAREN,
  [455203] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14365), 1,
      anon_sym_RPAREN,
  [455210] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19683), 1,
      anon_sym_RPAREN,
  [455217] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10853), 1,
      anon_sym_RPAREN,
  [455224] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19685), 1,
      sym__string_end,
  [455231] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9262), 1,
      anon_sym_RPAREN,
  [455238] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19687), 1,
      anon_sym_RPAREN,
  [455245] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19689), 1,
      anon_sym_RPAREN,
  [455252] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19691), 1,
      anon_sym_RPAREN,
  [455259] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19693), 1,
      anon_sym_RPAREN,
  [455266] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19695), 1,
      aux_sym__keyword_from_token1,
  [455273] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19697), 1,
      anon_sym_RPAREN,
  [455280] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19699), 1,
      sym__unquoted_identifier,
  [455287] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9859), 1,
      anon_sym_RPAREN,
  [455294] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9850), 1,
      anon_sym_RPAREN,
  [455301] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19701), 1,
      aux_sym__nulls_preference_token1,
  [455308] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9841), 1,
      anon_sym_RPAREN,
  [455315] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11638), 1,
      anon_sym_RPAREN,
  [455322] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19703), 1,
      anon_sym_RPAREN,
  [455329] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11516), 1,
      anon_sym_RPAREN,
  [455336] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19705), 1,
      anon_sym_RPAREN,
  [455343] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19707), 1,
      aux_sym__keyword_from_token1,
  [455350] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19709), 1,
      anon_sym_RPAREN,
  [455357] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19711), 1,
      anon_sym_RPAREN,
  [455364] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19713), 1,
      anon_sym_RPAREN,
  [455371] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19715), 1,
      anon_sym_RPAREN,
  [455378] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19717), 1,
      aux_sym__nulls_preference_token1,
  [455385] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19719), 1,
      aux_sym__nulls_preference_token1,
  [455392] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19721), 1,
      aux_sym_limit_clause_token2,
  [455399] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9802), 1,
      anon_sym_RPAREN,
  [455406] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9768), 1,
      anon_sym_RPAREN,
  [455413] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9766), 1,
      anon_sym_RPAREN,
  [455420] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9764), 1,
      anon_sym_RPAREN,
  [455427] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19723), 1,
      anon_sym_RPAREN,
  [455434] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19725), 1,
      sym__unquoted_identifier,
  [455441] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19727), 1,
      aux_sym__keyword_from_token1,
  [455448] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19729), 1,
      aux_sym__nulls_preference_token1,
  [455455] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19731), 1,
      aux_sym__nulls_preference_token1,
  [455462] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19733), 1,
      aux_sym__nulls_preference_token1,
  [455469] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19735), 1,
      aux_sym__keyword_from_token1,
  [455476] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19737), 1,
      anon_sym_RPAREN,
  [455483] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9760), 1,
      anon_sym_RPAREN,
  [455490] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19739), 1,
      anon_sym_RPAREN,
  [455497] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19741), 1,
      aux_sym_grant_statement_token2,
  [455504] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11594), 1,
      anon_sym_RPAREN,
  [455511] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19743), 1,
      aux_sym_grant_statement_token2,
  [455518] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19745), 1,
      anon_sym_RPAREN,
  [455525] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19747), 1,
      anon_sym_SQUOTE,
  [455532] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14588), 1,
      anon_sym_RPAREN,
  [455539] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19749), 1,
      anon_sym_COMMA,
  [455546] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19751), 1,
      aux_sym__nulls_preference_token1,
  [455553] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19753), 1,
      aux_sym_drop_notnull_token1,
  [455560] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19747), 1,
      anon_sym_DQUOTE,
  [455567] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19755), 1,
      anon_sym_LPAREN,
  [455574] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19757), 1,
      anon_sym_LPAREN,
  [455581] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19759), 1,
      anon_sym_RPAREN,
  [455588] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9754), 1,
      anon_sym_RPAREN,
  [455595] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9752), 1,
      anon_sym_RPAREN,
  [455602] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19761), 1,
      anon_sym_RPAREN,
  [455609] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19763), 1,
      aux_sym_limit_clause_token2,
  [455616] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9735), 1,
      anon_sym_RPAREN,
  [455623] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19765), 1,
      aux_sym_argument_reference_token1,
  [455630] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19767), 1,
      anon_sym_RPAREN,
  [455637] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19769), 1,
      anon_sym_RPAREN,
  [455644] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19771), 1,
      anon_sym_RPAREN,
  [455651] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19773), 1,
      aux_sym_drop_notnull_token1,
  [455658] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19775), 1,
      aux_sym_drop_notnull_token1,
  [455665] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19777), 1,
      aux_sym_drop_notnull_token1,
  [455672] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9804), 1,
      anon_sym_RPAREN,
  [455679] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19779), 1,
      anon_sym_RPAREN,
  [455686] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9230), 1,
      anon_sym_RPAREN,
  [455693] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14721), 1,
      anon_sym_RPAREN,
  [455700] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19781), 1,
      anon_sym_RPAREN,
  [455707] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19783), 1,
      anon_sym_RPAREN,
  [455714] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19785), 1,
      aux_sym_drop_notnull_token1,
  [455721] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9712), 1,
      anon_sym_RPAREN,
  [455728] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19787), 1,
      aux_sym_drop_notnull_token1,
  [455735] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19789), 1,
      aux_sym_drop_notnull_token1,
  [455742] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19791), 1,
      anon_sym_RPAREN,
  [455749] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19793), 1,
      aux_sym_create_table_statement_token1,
  [455756] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19795), 1,
      aux_sym_create_table_statement_token1,
  [455763] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19797), 1,
      anon_sym_RPAREN,
  [455770] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19799), 1,
      aux_sym_drop_notnull_token1,
  [455777] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19801), 1,
      aux_sym_drop_notnull_token1,
  [455784] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11512), 1,
      anon_sym_RPAREN,
  [455791] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19803), 1,
      aux_sym_create_table_statement_token1,
  [455798] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19805), 1,
      aux_sym_set_statement_token1,
  [455805] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19807), 1,
      aux_sym_drop_notnull_token1,
  [455812] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19809), 1,
      aux_sym_drop_notnull_token1,
  [455819] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19811), 1,
      anon_sym_RPAREN,
  [455826] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19813), 1,
      aux_sym_create_table_statement_token2,
  [455833] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19815), 1,
      aux_sym_drop_notnull_token1,
  [455840] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14763), 1,
      anon_sym_RPAREN,
  [455847] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19817), 1,
      anon_sym_RPAREN,
  [455854] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9696), 1,
      anon_sym_RPAREN,
  [455861] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19819), 1,
      anon_sym_RPAREN,
  [455868] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19821), 1,
      anon_sym_RPAREN,
  [455875] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19823), 1,
      anon_sym_RPAREN,
  [455882] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19825), 1,
      anon_sym_RPAREN,
  [455889] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19827), 1,
      anon_sym_RPAREN,
  [455896] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19829), 1,
      anon_sym_RPAREN,
  [455903] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19831), 1,
      aux_sym_create_table_statement_token1,
  [455910] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19833), 1,
      anon_sym_RPAREN,
  [455917] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19835), 1,
      aux_sym_create_table_statement_token1,
  [455924] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19837), 1,
      aux_sym_create_table_statement_token2,
  [455931] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19839), 1,
      anon_sym_RPAREN,
  [455938] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19841), 1,
      anon_sym_RPAREN,
  [455945] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19843), 1,
      anon_sym_RPAREN,
  [455952] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19845), 1,
      aux_sym_keyword_replace_token2,
  [455959] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19847), 1,
      anon_sym_RPAREN,
  [455966] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19849), 1,
      anon_sym_RPAREN,
  [455973] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19851), 1,
      anon_sym_RPAREN,
  [455980] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19853), 1,
      anon_sym_RPAREN,
  [455987] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19855), 1,
      anon_sym_RPAREN,
  [455994] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19857), 1,
      anon_sym_RPAREN,
  [456001] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19859), 1,
      anon_sym_RPAREN,
  [456008] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19861), 1,
      anon_sym_RPAREN,
  [456015] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19863), 1,
      anon_sym_RPAREN,
  [456022] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19865), 1,
      anon_sym_LPAREN,
  [456029] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19867), 1,
      anon_sym_RPAREN,
  [456036] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19869), 1,
      anon_sym_LPAREN,
  [456043] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19871), 1,
      anon_sym_RPAREN,
  [456050] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19873), 1,
      anon_sym_RPAREN,
  [456057] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19875), 1,
      anon_sym_RPAREN,
  [456064] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19877), 1,
      anon_sym_RPAREN,
  [456071] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19879), 1,
      anon_sym_RPAREN,
  [456078] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19881), 1,
      anon_sym_RPAREN,
  [456085] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19883), 1,
      anon_sym_RPAREN,
  [456092] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19885), 1,
      anon_sym_COMMA,
  [456099] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19887), 1,
      anon_sym_LPAREN,
  [456106] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19889), 1,
      anon_sym_LPAREN,
  [456113] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19891), 1,
      anon_sym_RPAREN,
  [456120] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19893), 1,
      anon_sym_RPAREN,
  [456127] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19895), 1,
      aux_sym_raise_statement_token2,
  [456134] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19897), 1,
      anon_sym_LPAREN,
  [456141] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19899), 1,
      anon_sym_RPAREN,
  [456148] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19901), 1,
      anon_sym_RPAREN,
  [456155] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19903), 1,
      anon_sym_RPAREN,
  [456162] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19905), 1,
      anon_sym_RPAREN,
  [456169] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19907), 1,
      anon_sym_RPAREN,
  [456176] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11448), 1,
      anon_sym_RPAREN,
  [456183] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19909), 1,
      anon_sym_RPAREN,
  [456190] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19911), 1,
      anon_sym_RPAREN,
  [456197] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14900), 1,
      anon_sym_RPAREN,
  [456204] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19913), 1,
      anon_sym_RPAREN,
  [456211] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19915), 1,
      anon_sym_LPAREN,
  [456218] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10911), 1,
      anon_sym_RPAREN,
  [456225] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19917), 1,
      anon_sym_LPAREN,
  [456232] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19919), 1,
      sym__string_end,
  [456239] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19921), 1,
      anon_sym_RPAREN,
  [456246] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19923), 1,
      anon_sym_RPAREN,
  [456253] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19925), 1,
      anon_sym_RPAREN,
  [456260] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19927), 1,
      anon_sym_RPAREN,
  [456267] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19929), 1,
      anon_sym_COMMA,
  [456274] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19931), 1,
      anon_sym_LPAREN,
  [456281] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19933), 1,
      anon_sym_LPAREN,
  [456288] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19935), 1,
      anon_sym_RPAREN,
  [456295] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19937), 1,
      anon_sym_RPAREN,
  [456302] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19939), 1,
      aux_sym_set_statement_token2,
  [456309] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19941), 1,
      anon_sym_RPAREN,
  [456316] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19943), 1,
      anon_sym_RPAREN,
  [456323] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9857), 1,
      anon_sym_RPAREN,
  [456330] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19945), 1,
      anon_sym_LPAREN,
  [456337] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19947), 1,
      anon_sym_RPAREN,
  [456344] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19949), 1,
      anon_sym_LPAREN,
  [456351] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19951), 1,
      anon_sym_RPAREN,
  [456358] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19953), 1,
      anon_sym_RPAREN,
  [456365] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19955), 1,
      anon_sym_RPAREN,
  [456372] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19957), 1,
      anon_sym_COMMA,
  [456379] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19959), 1,
      anon_sym_LPAREN,
  [456386] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14993), 1,
      anon_sym_RPAREN,
  [456393] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19961), 1,
      anon_sym_LPAREN,
  [456400] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11398), 1,
      anon_sym_RPAREN,
  [456407] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19963), 1,
      anon_sym_RPAREN,
  [456414] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19965), 1,
      anon_sym_RPAREN,
  [456421] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19967), 1,
      anon_sym_COMMA,
  [456428] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19969), 1,
      anon_sym_LPAREN,
  [456435] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19971), 1,
      anon_sym_RPAREN,
  [456442] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19973), 1,
      anon_sym_LPAREN,
  [456449] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15025), 1,
      anon_sym_RPAREN,
  [456456] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19975), 1,
      anon_sym_RPAREN,
  [456463] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19977), 1,
      ts_builtin_sym_end,
  [456470] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19979), 1,
      anon_sym_COMMA,
  [456477] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19981), 1,
      anon_sym_LPAREN,
  [456484] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11370), 1,
      anon_sym_RPAREN,
  [456491] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19983), 1,
      anon_sym_LPAREN,
  [456498] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_RPAREN,
  [456505] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15045), 1,
      anon_sym_RPAREN,
  [456512] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19985), 1,
      anon_sym_LBRACK,
  [456519] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19987), 1,
      anon_sym_COMMA,
  [456526] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19989), 1,
      anon_sym_LPAREN,
  [456533] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19991), 1,
      anon_sym_RPAREN,
  [456540] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19993), 1,
      anon_sym_LPAREN,
  [456547] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19995), 1,
      anon_sym_RPAREN,
  [456554] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11334), 1,
      anon_sym_RPAREN,
  [456561] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19997), 1,
      anon_sym_LPAREN,
  [456568] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19999), 1,
      anon_sym_COMMA,
  [456575] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20001), 1,
      anon_sym_LPAREN,
  [456582] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9698), 1,
      anon_sym_RPAREN,
  [456589] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20003), 1,
      anon_sym_LPAREN,
  [456596] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10274), 1,
      anon_sym_RPAREN,
  [456603] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20005), 1,
      anon_sym_RPAREN,
  [456610] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20007), 1,
      anon_sym_LPAREN,
  [456617] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20009), 1,
      anon_sym_COMMA,
  [456624] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20011), 1,
      anon_sym_LPAREN,
  [456631] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20013), 1,
      anon_sym_RPAREN,
  [456638] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20015), 1,
      anon_sym_LPAREN,
  [456645] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20017), 1,
      anon_sym_RPAREN,
  [456652] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20019), 1,
      anon_sym_RPAREN,
  [456659] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20021), 1,
      anon_sym_RPAREN,
  [456666] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20023), 1,
      anon_sym_COMMA,
  [456673] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20025), 1,
      anon_sym_LPAREN,
  [456680] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20027), 1,
      anon_sym_RPAREN,
  [456687] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20029), 1,
      anon_sym_LPAREN,
  [456694] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20031), 1,
      anon_sym_RPAREN,
  [456701] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20033), 1,
      anon_sym_RPAREN,
  [456708] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20035), 1,
      aux_sym_argument_reference_token1,
  [456715] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20037), 1,
      anon_sym_COMMA,
  [456722] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20039), 1,
      anon_sym_LPAREN,
  [456729] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11324), 1,
      anon_sym_RPAREN,
  [456736] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20041), 1,
      anon_sym_LPAREN,
  [456743] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20043), 1,
      anon_sym_RPAREN,
  [456750] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20045), 1,
      anon_sym_RPAREN,
  [456757] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9688), 1,
      anon_sym_RPAREN,
  [456764] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20047), 1,
      anon_sym_COMMA,
  [456771] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20049), 1,
      anon_sym_LPAREN,
  [456778] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11308), 1,
      anon_sym_RPAREN,
  [456785] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20051), 1,
      anon_sym_LPAREN,
  [456792] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14866), 1,
      anon_sym_RPAREN,
  [456799] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9224), 1,
      anon_sym_RPAREN,
  [456806] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20053), 1,
      anon_sym_RPAREN,
  [456813] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20055), 1,
      anon_sym_COMMA,
  [456820] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20057), 1,
      anon_sym_LPAREN,
  [456827] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20059), 1,
      anon_sym_RPAREN,
  [456834] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20061), 1,
      anon_sym_LPAREN,
  [456841] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20063), 1,
      anon_sym_RPAREN,
  [456848] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20065), 1,
      anon_sym_RPAREN,
  [456855] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20067), 1,
      anon_sym_LPAREN,
  [456862] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20069), 1,
      anon_sym_COMMA,
  [456869] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20071), 1,
      anon_sym_LPAREN,
  [456876] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20073), 1,
      anon_sym_RPAREN,
  [456883] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20075), 1,
      anon_sym_LPAREN,
  [456890] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20077), 1,
      anon_sym_RPAREN,
  [456897] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20079), 1,
      anon_sym_RPAREN,
  [456904] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20081), 1,
      anon_sym_LPAREN,
  [456911] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20083), 1,
      anon_sym_COMMA,
  [456918] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20085), 1,
      anon_sym_LPAREN,
  [456925] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9664), 1,
      anon_sym_RPAREN,
  [456932] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20087), 1,
      anon_sym_LPAREN,
  [456939] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9662), 1,
      anon_sym_RPAREN,
  [456946] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20089), 1,
      anon_sym_RPAREN,
  [456953] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9660), 1,
      anon_sym_RPAREN,
  [456960] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20091), 1,
      anon_sym_COMMA,
  [456967] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20093), 1,
      anon_sym_LPAREN,
  [456974] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11254), 1,
      anon_sym_RPAREN,
  [456981] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20095), 1,
      anon_sym_LPAREN,
  [456988] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20097), 1,
      anon_sym_RPAREN,
  [456995] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20099), 1,
      aux_sym__keyword_from_token1,
  [457002] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20101), 1,
      anon_sym_RPAREN,
  [457009] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20103), 1,
      anon_sym_COMMA,
  [457016] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20105), 1,
      anon_sym_LPAREN,
  [457023] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9640), 1,
      anon_sym_RPAREN,
  [457030] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20107), 1,
      anon_sym_LPAREN,
  [457037] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20109), 1,
      anon_sym_RPAREN,
  [457044] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20111), 1,
      anon_sym_LPAREN,
  [457051] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9636), 1,
      anon_sym_RPAREN,
  [457058] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20113), 1,
      anon_sym_LPAREN,
  [457065] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20115), 1,
      anon_sym_LPAREN,
  [457072] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20117), 1,
      anon_sym_LPAREN,
  [457079] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20119), 1,
      anon_sym_LPAREN,
  [457086] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20121), 1,
      anon_sym_LPAREN,
  [457093] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20123), 1,
      anon_sym_RPAREN,
  [457100] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9626), 1,
      anon_sym_RPAREN,
  [457107] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20125), 1,
      anon_sym_RPAREN,
  [457114] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9628), 1,
      anon_sym_RPAREN,
  [457121] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10152), 1,
      anon_sym_RPAREN,
  [457128] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20127), 1,
      aux_sym_set_data_type_token1,
  [457135] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20129), 1,
      aux_sym_create_table_statement_token2,
  [457142] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20131), 1,
      aux_sym_create_table_statement_token1,
  [457149] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20133), 1,
      sym__unquoted_identifier,
  [457156] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20135), 1,
      aux_sym__keyword_from_token1,
  [457163] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14161), 1,
      anon_sym_RPAREN,
  [457170] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20137), 1,
      sym__unquoted_identifier,
  [457177] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11198), 1,
      anon_sym_RPAREN,
  [457184] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9877), 1,
      anon_sym_RPAREN,
  [457191] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20139), 1,
      aux_sym_create_table_statement_token2,
  [457198] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9620), 1,
      anon_sym_RPAREN,
  [457205] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20141), 1,
      anon_sym_RPAREN,
  [457212] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20143), 1,
      anon_sym_SQUOTE,
  [457219] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20145), 1,
      aux_sym_create_table_statement_token2,
  [457226] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9897), 1,
      anon_sym_RPAREN,
  [457233] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20143), 1,
      anon_sym_DQUOTE,
  [457240] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20147), 1,
      anon_sym_RPAREN,
  [457247] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11182), 1,
      anon_sym_RPAREN,
  [457254] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20149), 1,
      anon_sym_RPAREN,
  [457261] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20151), 1,
      anon_sym_RPAREN,
  [457268] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20153), 1,
      aux_sym_limit_clause_token2,
  [457275] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20155), 1,
      anon_sym_RPAREN,
  [457282] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13871), 1,
      anon_sym_RPAREN,
  [457289] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20157), 1,
      aux_sym__nulls_preference_token1,
  [457296] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20159), 1,
      aux_sym__nulls_preference_token1,
  [457303] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20161), 1,
      aux_sym__keyword_from_token1,
  [457310] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20163), 1,
      anon_sym_RPAREN,
  [457317] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20165), 1,
      anon_sym_RPAREN,
  [457324] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20167), 1,
      aux_sym_argument_reference_token1,
  [457331] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20169), 1,
      anon_sym_RPAREN,
  [457338] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20171), 1,
      anon_sym_RPAREN,
  [457345] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20173), 1,
      aux_sym_join_condition_token1,
  [457352] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20175), 1,
      aux_sym_join_condition_token1,
  [457359] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20177), 1,
      anon_sym_RPAREN,
  [457366] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20179), 1,
      anon_sym_RPAREN,
  [457373] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10210), 1,
      anon_sym_RPAREN,
  [457380] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20181), 1,
      anon_sym_RPAREN,
  [457387] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20183), 1,
      aux_sym_primary_key_token2,
  [457394] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20185), 1,
      aux_sym_join_condition_token1,
  [457401] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20187), 1,
      aux_sym_join_condition_token1,
  [457408] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20189), 1,
      anon_sym_RPAREN,
  [457415] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10182), 1,
      anon_sym_RPAREN,
  [457422] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20191), 1,
      aux_sym_join_condition_token1,
  [457429] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20193), 1,
      aux_sym_join_condition_token1,
  [457436] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20195), 1,
      aux_sym_primary_key_token2,
  [457443] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20197), 1,
      aux_sym_join_condition_token1,
  [457450] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20199), 1,
      aux_sym_join_condition_token1,
  [457457] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20201), 1,
      aux_sym_merge_matched_clause_token1,
  [457464] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20203), 1,
      anon_sym_LPAREN,
  [457471] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20205), 1,
      anon_sym_LPAREN,
  [457478] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20207), 1,
      anon_sym_RPAREN,
  [457485] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20209), 1,
      anon_sym_RPAREN,
  [457492] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20211), 1,
      sym__unquoted_identifier,
  [457499] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12660), 1,
      anon_sym_RPAREN,
  [457506] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20213), 1,
      aux_sym__nulls_preference_token1,
  [457513] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20215), 1,
      aux_sym__nulls_preference_token1,
  [457520] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20217), 1,
      aux_sym_primary_key_token2,
  [457527] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20219), 1,
      aux_sym_primary_key_token2,
  [457534] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20221), 1,
      anon_sym_LPAREN,
  [457541] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20223), 1,
      anon_sym_LPAREN,
  [457548] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20225), 1,
      sym__unquoted_identifier,
  [457555] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20227), 1,
      aux_sym_set_data_type_token1,
  [457562] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20229), 1,
      aux_sym__nulls_preference_token1,
  [457569] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20231), 1,
      aux_sym__nulls_preference_token1,
  [457576] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20233), 1,
      aux_sym_primary_key_token2,
  [457583] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20235), 1,
      aux_sym_primary_key_token2,
  [457590] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20237), 1,
      anon_sym_LPAREN,
  [457597] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20239), 1,
      anon_sym_LPAREN,
  [457604] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20241), 1,
      sym__unquoted_identifier,
  [457611] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20243), 1,
      aux_sym_set_data_type_token1,
  [457618] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20245), 1,
      sym__unquoted_identifier,
  [457625] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20247), 1,
      anon_sym_RPAREN,
  [457632] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20249), 1,
      sym__unquoted_identifier,
  [457639] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20251), 1,
      sym__string_end,
  [457646] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20253), 1,
      sym__unquoted_identifier,
  [457653] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10799), 1,
      anon_sym_RPAREN,
  [457660] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20255), 1,
      sym__unquoted_identifier,
  [457667] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20257), 1,
      anon_sym_RPAREN,
  [457674] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20259), 1,
      sym__unquoted_identifier,
  [457681] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20261), 1,
      aux_sym_create_table_statement_token1,
  [457688] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20263), 1,
      sym__unquoted_identifier,
  [457695] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20265), 1,
      anon_sym_RPAREN,
  [457702] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20267), 1,
      sym__unquoted_identifier,
  [457709] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20269), 1,
      anon_sym_RPAREN,
  [457716] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20271), 1,
      sym__unquoted_identifier,
  [457723] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20273), 1,
      anon_sym_RPAREN,
  [457730] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20275), 1,
      sym__unquoted_identifier,
  [457737] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20277), 1,
      sym__unquoted_identifier,
  [457744] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20279), 1,
      sym__unquoted_identifier,
  [457751] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20281), 1,
      anon_sym_EQ,
  [457758] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20283), 1,
      sym__unquoted_identifier,
  [457765] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20285), 1,
      anon_sym_RPAREN,
  [457772] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20287), 1,
      sym__unquoted_identifier,
  [457779] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20289), 1,
      aux_sym_execute_immadiate_statement_token2,
  [457786] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20291), 1,
      sym__unquoted_identifier,
  [457793] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15171), 1,
      anon_sym_LPAREN,
  [457800] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20293), 1,
      sym__unquoted_identifier,
  [457807] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20295), 1,
      sym__unquoted_identifier,
  [457814] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20297), 1,
      sym__unquoted_identifier,
  [457821] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20299), 1,
      anon_sym_LPAREN,
  [457828] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20301), 1,
      anon_sym_LPAREN,
  [457835] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20303), 1,
      anon_sym_RPAREN,
  [457842] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20305), 1,
      aux_sym__keyword_partition_by_token2,
  [457849] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20307), 1,
      aux_sym__keyword_from_token1,
  [457856] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20309), 1,
      aux_sym_add_column_action_token2,
  [457863] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20311), 1,
      anon_sym_RPAREN,
  [457870] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20313), 1,
      anon_sym_RPAREN,
  [457877] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9624), 1,
      anon_sym_RPAREN,
  [457884] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20315), 1,
      anon_sym_RPAREN,
  [457891] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20317), 1,
      anon_sym_RPAREN,
  [457898] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20319), 1,
      anon_sym_RPAREN,
  [457905] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20321), 1,
      anon_sym_RPAREN,
  [457912] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20323), 1,
      aux_sym__keyword_in_token1,
  [457919] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20325), 1,
      aux_sym__keyword_in_token1,
  [457926] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20327), 1,
      anon_sym_LPAREN,
  [457933] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20329), 1,
      anon_sym_LPAREN,
  [457940] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20331), 1,
      aux_sym__keyword_in_token1,
  [457947] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20333), 1,
      aux_sym__keyword_in_token1,
  [457954] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20335), 1,
      anon_sym_LPAREN,
  [457961] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20337), 1,
      anon_sym_LPAREN,
  [457968] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20339), 1,
      aux_sym__keyword_in_token1,
  [457975] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20341), 1,
      aux_sym__keyword_in_token1,
  [457982] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20343), 1,
      anon_sym_LPAREN,
  [457989] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20345), 1,
      anon_sym_LPAREN,
  [457996] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20347), 1,
      anon_sym_LPAREN,
  [458003] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20349), 1,
      anon_sym_LPAREN,
  [458010] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20351), 1,
      anon_sym_LPAREN,
  [458017] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20353), 1,
      anon_sym_LPAREN,
  [458024] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20355), 1,
      anon_sym_LPAREN,
  [458031] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20357), 1,
      anon_sym_LPAREN,
  [458038] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20359), 1,
      anon_sym_LPAREN,
  [458045] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20361), 1,
      anon_sym_LPAREN,
  [458052] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20363), 1,
      anon_sym_LPAREN,
  [458059] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20365), 1,
      anon_sym_LPAREN,
  [458066] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20367), 1,
      anon_sym_LPAREN,
  [458073] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20369), 1,
      anon_sym_LPAREN,
  [458080] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20371), 1,
      anon_sym_LPAREN,
  [458087] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20373), 1,
      anon_sym_LPAREN,
  [458094] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20375), 1,
      anon_sym_LPAREN,
  [458101] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20377), 1,
      anon_sym_LPAREN,
  [458108] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20379), 1,
      anon_sym_LPAREN,
  [458115] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20381), 1,
      anon_sym_LPAREN,
  [458122] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20383), 1,
      anon_sym_LPAREN,
  [458129] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20385), 1,
      anon_sym_LPAREN,
  [458136] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20387), 1,
      anon_sym_LPAREN,
  [458143] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20389), 1,
      anon_sym_LPAREN,
  [458150] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20391), 1,
      anon_sym_LPAREN,
  [458157] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20393), 1,
      anon_sym_LPAREN,
  [458164] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20395), 1,
      anon_sym_LPAREN,
  [458171] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20397), 1,
      anon_sym_LPAREN,
  [458178] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20399), 1,
      anon_sym_LPAREN,
  [458185] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20401), 1,
      anon_sym_LPAREN,
  [458192] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20403), 1,
      anon_sym_LPAREN,
  [458199] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20405), 1,
      anon_sym_SQUOTE,
  [458206] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20407), 1,
      aux_sym_using_clause_token1,
  [458213] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20405), 1,
      anon_sym_DQUOTE,
  [458220] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20409), 1,
      anon_sym_RPAREN,
  [458227] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20411), 1,
      aux_sym_using_clause_token1,
  [458234] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20413), 1,
      anon_sym_RPAREN,
  [458241] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20415), 1,
      anon_sym_GT,
  [458248] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20417), 1,
      anon_sym_RPAREN,
  [458255] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20419), 1,
      anon_sym_RPAREN,
  [458262] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20421), 1,
      anon_sym_RPAREN,
  [458269] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20423), 1,
      aux_sym_limit_clause_token2,
  [458276] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20425), 1,
      anon_sym_RPAREN,
  [458283] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20427), 1,
      anon_sym_RPAREN,
  [458290] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20429), 1,
      anon_sym_RPAREN,
  [458297] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20431), 1,
      aux_sym__keyword_partition_by_token2,
  [458304] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20433), 1,
      anon_sym_RPAREN,
  [458311] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20435), 1,
      anon_sym_RPAREN,
  [458318] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20437), 1,
      anon_sym_RPAREN,
  [458325] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20439), 1,
      anon_sym_RPAREN,
  [458332] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20441), 1,
      anon_sym_RPAREN,
  [458339] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20443), 1,
      anon_sym_RPAREN,
  [458346] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20445), 1,
      anon_sym_RPAREN,
  [458353] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20447), 1,
      anon_sym_RPAREN,
  [458360] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20449), 1,
      aux_sym_argument_reference_token1,
  [458367] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20451), 1,
      anon_sym_RPAREN,
  [458374] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20453), 1,
      anon_sym_RPAREN,
  [458381] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20455), 1,
      anon_sym_RPAREN,
  [458388] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20457), 1,
      anon_sym_LPAREN,
  [458395] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20459), 1,
      anon_sym_LPAREN,
  [458402] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20461), 1,
      anon_sym_LPAREN,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(5257)] = 0,
  [SMALL_STATE(5258)] = 75,
  [SMALL_STATE(5259)] = 146,
  [SMALL_STATE(5260)] = 221,
  [SMALL_STATE(5261)] = 300,
  [SMALL_STATE(5262)] = 375,
  [SMALL_STATE(5263)] = 454,
  [SMALL_STATE(5264)] = 525,
  [SMALL_STATE(5265)] = 618,
  [SMALL_STATE(5266)] = 689,
  [SMALL_STATE(5267)] = 760,
  [SMALL_STATE(5268)] = 831,
  [SMALL_STATE(5269)] = 902,
  [SMALL_STATE(5270)] = 973,
  [SMALL_STATE(5271)] = 1044,
  [SMALL_STATE(5272)] = 1115,
  [SMALL_STATE(5273)] = 1186,
  [SMALL_STATE(5274)] = 1258,
  [SMALL_STATE(5275)] = 1330,
  [SMALL_STATE(5276)] = 1400,
  [SMALL_STATE(5277)] = 1470,
  [SMALL_STATE(5278)] = 1564,
  [SMALL_STATE(5279)] = 1633,
  [SMALL_STATE(5280)] = 1702,
  [SMALL_STATE(5281)] = 1795,
  [SMALL_STATE(5282)] = 1868,
  [SMALL_STATE(5283)] = 1955,
  [SMALL_STATE(5284)] = 2028,
  [SMALL_STATE(5285)] = 2112,
  [SMALL_STATE(5286)] = 2200,
  [SMALL_STATE(5287)] = 2312,
  [SMALL_STATE(5288)] = 2422,
  [SMALL_STATE(5289)] = 2522,
  [SMALL_STATE(5290)] = 2622,
  [SMALL_STATE(5291)] = 2688,
  [SMALL_STATE(5292)] = 2782,
  [SMALL_STATE(5293)] = 2848,
  [SMALL_STATE(5294)] = 2948,
  [SMALL_STATE(5295)] = 3042,
  [SMALL_STATE(5296)] = 3140,
  [SMALL_STATE(5297)] = 3236,
  [SMALL_STATE(5298)] = 3336,
  [SMALL_STATE(5299)] = 3430,
  [SMALL_STATE(5300)] = 3524,
  [SMALL_STATE(5301)] = 3636,
  [SMALL_STATE(5302)] = 3728,
  [SMALL_STATE(5303)] = 3822,
  [SMALL_STATE(5304)] = 3922,
  [SMALL_STATE(5305)] = 4022,
  [SMALL_STATE(5306)] = 4106,
  [SMALL_STATE(5307)] = 4200,
  [SMALL_STATE(5308)] = 4318,
  [SMALL_STATE(5309)] = 4383,
  [SMALL_STATE(5310)] = 4447,
  [SMALL_STATE(5311)] = 4549,
  [SMALL_STATE(5312)] = 4613,
  [SMALL_STATE(5313)] = 4703,
  [SMALL_STATE(5314)] = 4793,
  [SMALL_STATE(5315)] = 4895,
  [SMALL_STATE(5316)] = 4985,
  [SMALL_STATE(5317)] = 5049,
  [SMALL_STATE(5318)] = 5151,
  [SMALL_STATE(5319)] = 5223,
  [SMALL_STATE(5320)] = 5287,
  [SMALL_STATE(5321)] = 5377,
  [SMALL_STATE(5322)] = 5486,
  [SMALL_STATE(5323)] = 5625,
  [SMALL_STATE(5324)] = 5764,
  [SMALL_STATE(5325)] = 5845,
  [SMALL_STATE(5326)] = 5934,
  [SMALL_STATE(5327)] = 6073,
  [SMALL_STATE(5328)] = 6212,
  [SMALL_STATE(5329)] = 6351,
  [SMALL_STATE(5330)] = 6490,
  [SMALL_STATE(5331)] = 6629,
  [SMALL_STATE(5332)] = 6768,
  [SMALL_STATE(5333)] = 6853,
  [SMALL_STATE(5334)] = 6950,
  [SMALL_STATE(5335)] = 7089,
  [SMALL_STATE(5336)] = 7200,
  [SMALL_STATE(5337)] = 7339,
  [SMALL_STATE(5338)] = 7478,
  [SMALL_STATE(5339)] = 7617,
  [SMALL_STATE(5340)] = 7714,
  [SMALL_STATE(5341)] = 7799,
  [SMALL_STATE(5342)] = 7896,
  [SMALL_STATE(5343)] = 7977,
  [SMALL_STATE(5344)] = 8068,
  [SMALL_STATE(5345)] = 8207,
  [SMALL_STATE(5346)] = 8300,
  [SMALL_STATE(5347)] = 8395,
  [SMALL_STATE(5348)] = 8480,
  [SMALL_STATE(5349)] = 8577,
  [SMALL_STATE(5350)] = 8684,
  [SMALL_STATE(5351)] = 8781,
  [SMALL_STATE(5352)] = 8920,
  [SMALL_STATE(5353)] = 9009,
  [SMALL_STATE(5354)] = 9148,
  [SMALL_STATE(5355)] = 9287,
  [SMALL_STATE(5356)] = 9426,
  [SMALL_STATE(5357)] = 9511,
  [SMALL_STATE(5358)] = 9650,
  [SMALL_STATE(5359)] = 9717,
  [SMALL_STATE(5360)] = 9806,
  [SMALL_STATE(5361)] = 9945,
  [SMALL_STATE(5362)] = 10042,
  [SMALL_STATE(5363)] = 10127,
  [SMALL_STATE(5364)] = 10266,
  [SMALL_STATE(5365)] = 10403,
  [SMALL_STATE(5366)] = 10488,
  [SMALL_STATE(5367)] = 10627,
  [SMALL_STATE(5368)] = 10715,
  [SMALL_STATE(5369)] = 10803,
  [SMALL_STATE(5370)] = 10865,
  [SMALL_STATE(5371)] = 10953,
  [SMALL_STATE(5372)] = 11041,
  [SMALL_STATE(5373)] = 11129,
  [SMALL_STATE(5374)] = 11217,
  [SMALL_STATE(5375)] = 11279,
  [SMALL_STATE(5376)] = 11340,
  [SMALL_STATE(5377)] = 11401,
  [SMALL_STATE(5378)] = 11480,
  [SMALL_STATE(5379)] = 11559,
  [SMALL_STATE(5380)] = 11638,
  [SMALL_STATE(5381)] = 11717,
  [SMALL_STATE(5382)] = 11850,
  [SMALL_STATE(5383)] = 11911,
  [SMALL_STATE(5384)] = 11972,
  [SMALL_STATE(5385)] = 12033,
  [SMALL_STATE(5386)] = 12094,
  [SMALL_STATE(5387)] = 12159,
  [SMALL_STATE(5388)] = 12238,
  [SMALL_STATE(5389)] = 12299,
  [SMALL_STATE(5390)] = 12378,
  [SMALL_STATE(5391)] = 12468,
  [SMALL_STATE(5392)] = 12558,
  [SMALL_STATE(5393)] = 12622,
  [SMALL_STATE(5394)] = 12712,
  [SMALL_STATE(5395)] = 12802,
  [SMALL_STATE(5396)] = 12862,
  [SMALL_STATE(5397)] = 12958,
  [SMALL_STATE(5398)] = 13020,
  [SMALL_STATE(5399)] = 13116,
  [SMALL_STATE(5400)] = 13178,
  [SMALL_STATE(5401)] = 13240,
  [SMALL_STATE(5402)] = 13300,
  [SMALL_STATE(5403)] = 13360,
  [SMALL_STATE(5404)] = 13450,
  [SMALL_STATE(5405)] = 13546,
  [SMALL_STATE(5406)] = 13610,
  [SMALL_STATE(5407)] = 13674,
  [SMALL_STATE(5408)] = 13738,
  [SMALL_STATE(5409)] = 13800,
  [SMALL_STATE(5410)] = 13864,
  [SMALL_STATE(5411)] = 13954,
  [SMALL_STATE(5412)] = 14044,
  [SMALL_STATE(5413)] = 14108,
  [SMALL_STATE(5414)] = 14198,
  [SMALL_STATE(5415)] = 14258,
  [SMALL_STATE(5416)] = 14318,
  [SMALL_STATE(5417)] = 14378,
  [SMALL_STATE(5418)] = 14468,
  [SMALL_STATE(5419)] = 14558,
  [SMALL_STATE(5420)] = 14618,
  [SMALL_STATE(5421)] = 14681,
  [SMALL_STATE(5422)] = 14744,
  [SMALL_STATE(5423)] = 14817,
  [SMALL_STATE(5424)] = 14880,
  [SMALL_STATE(5425)] = 14943,
  [SMALL_STATE(5426)] = 15016,
  [SMALL_STATE(5427)] = 15079,
  [SMALL_STATE(5428)] = 15142,
  [SMALL_STATE(5429)] = 15205,
  [SMALL_STATE(5430)] = 15268,
  [SMALL_STATE(5431)] = 15331,
  [SMALL_STATE(5432)] = 15394,
  [SMALL_STATE(5433)] = 15473,
  [SMALL_STATE(5434)] = 15536,
  [SMALL_STATE(5435)] = 15599,
  [SMALL_STATE(5436)] = 15662,
  [SMALL_STATE(5437)] = 15725,
  [SMALL_STATE(5438)] = 15788,
  [SMALL_STATE(5439)] = 15851,
  [SMALL_STATE(5440)] = 15914,
  [SMALL_STATE(5441)] = 15977,
  [SMALL_STATE(5442)] = 16040,
  [SMALL_STATE(5443)] = 16103,
  [SMALL_STATE(5444)] = 16166,
  [SMALL_STATE(5445)] = 16229,
  [SMALL_STATE(5446)] = 16302,
  [SMALL_STATE(5447)] = 16365,
  [SMALL_STATE(5448)] = 16428,
  [SMALL_STATE(5449)] = 16491,
  [SMALL_STATE(5450)] = 16554,
  [SMALL_STATE(5451)] = 16617,
  [SMALL_STATE(5452)] = 16680,
  [SMALL_STATE(5453)] = 16753,
  [SMALL_STATE(5454)] = 16816,
  [SMALL_STATE(5455)] = 16879,
  [SMALL_STATE(5456)] = 16942,
  [SMALL_STATE(5457)] = 17005,
  [SMALL_STATE(5458)] = 17068,
  [SMALL_STATE(5459)] = 17131,
  [SMALL_STATE(5460)] = 17194,
  [SMALL_STATE(5461)] = 17257,
  [SMALL_STATE(5462)] = 17320,
  [SMALL_STATE(5463)] = 17383,
  [SMALL_STATE(5464)] = 17446,
  [SMALL_STATE(5465)] = 17509,
  [SMALL_STATE(5466)] = 17572,
  [SMALL_STATE(5467)] = 17635,
  [SMALL_STATE(5468)] = 17698,
  [SMALL_STATE(5469)] = 17761,
  [SMALL_STATE(5470)] = 17824,
  [SMALL_STATE(5471)] = 17887,
  [SMALL_STATE(5472)] = 17950,
  [SMALL_STATE(5473)] = 18013,
  [SMALL_STATE(5474)] = 18076,
  [SMALL_STATE(5475)] = 18139,
  [SMALL_STATE(5476)] = 18202,
  [SMALL_STATE(5477)] = 18275,
  [SMALL_STATE(5478)] = 18338,
  [SMALL_STATE(5479)] = 18397,
  [SMALL_STATE(5480)] = 18460,
  [SMALL_STATE(5481)] = 18523,
  [SMALL_STATE(5482)] = 18602,
  [SMALL_STATE(5483)] = 18665,
  [SMALL_STATE(5484)] = 18728,
  [SMALL_STATE(5485)] = 18791,
  [SMALL_STATE(5486)] = 18854,
  [SMALL_STATE(5487)] = 18933,
  [SMALL_STATE(5488)] = 18996,
  [SMALL_STATE(5489)] = 19059,
  [SMALL_STATE(5490)] = 19122,
  [SMALL_STATE(5491)] = 19185,
  [SMALL_STATE(5492)] = 19248,
  [SMALL_STATE(5493)] = 19311,
  [SMALL_STATE(5494)] = 19374,
  [SMALL_STATE(5495)] = 19437,
  [SMALL_STATE(5496)] = 19500,
  [SMALL_STATE(5497)] = 19563,
  [SMALL_STATE(5498)] = 19626,
  [SMALL_STATE(5499)] = 19689,
  [SMALL_STATE(5500)] = 19752,
  [SMALL_STATE(5501)] = 19815,
  [SMALL_STATE(5502)] = 19878,
  [SMALL_STATE(5503)] = 19941,
  [SMALL_STATE(5504)] = 20004,
  [SMALL_STATE(5505)] = 20067,
  [SMALL_STATE(5506)] = 20130,
  [SMALL_STATE(5507)] = 20193,
  [SMALL_STATE(5508)] = 20256,
  [SMALL_STATE(5509)] = 20319,
  [SMALL_STATE(5510)] = 20398,
  [SMALL_STATE(5511)] = 20461,
  [SMALL_STATE(5512)] = 20524,
  [SMALL_STATE(5513)] = 20587,
  [SMALL_STATE(5514)] = 20650,
  [SMALL_STATE(5515)] = 20713,
  [SMALL_STATE(5516)] = 20776,
  [SMALL_STATE(5517)] = 20839,
  [SMALL_STATE(5518)] = 20902,
  [SMALL_STATE(5519)] = 20965,
  [SMALL_STATE(5520)] = 21028,
  [SMALL_STATE(5521)] = 21091,
  [SMALL_STATE(5522)] = 21154,
  [SMALL_STATE(5523)] = 21217,
  [SMALL_STATE(5524)] = 21280,
  [SMALL_STATE(5525)] = 21343,
  [SMALL_STATE(5526)] = 21416,
  [SMALL_STATE(5527)] = 21479,
  [SMALL_STATE(5528)] = 21542,
  [SMALL_STATE(5529)] = 21605,
  [SMALL_STATE(5530)] = 21664,
  [SMALL_STATE(5531)] = 21723,
  [SMALL_STATE(5532)] = 21786,
  [SMALL_STATE(5533)] = 21849,
  [SMALL_STATE(5534)] = 21912,
  [SMALL_STATE(5535)] = 21985,
  [SMALL_STATE(5536)] = 22048,
  [SMALL_STATE(5537)] = 22111,
  [SMALL_STATE(5538)] = 22174,
  [SMALL_STATE(5539)] = 22237,
  [SMALL_STATE(5540)] = 22300,
  [SMALL_STATE(5541)] = 22363,
  [SMALL_STATE(5542)] = 22426,
  [SMALL_STATE(5543)] = 22489,
  [SMALL_STATE(5544)] = 22552,
  [SMALL_STATE(5545)] = 22615,
  [SMALL_STATE(5546)] = 22678,
  [SMALL_STATE(5547)] = 22741,
  [SMALL_STATE(5548)] = 22804,
  [SMALL_STATE(5549)] = 22867,
  [SMALL_STATE(5550)] = 22946,
  [SMALL_STATE(5551)] = 23009,
  [SMALL_STATE(5552)] = 23072,
  [SMALL_STATE(5553)] = 23135,
  [SMALL_STATE(5554)] = 23198,
  [SMALL_STATE(5555)] = 23261,
  [SMALL_STATE(5556)] = 23324,
  [SMALL_STATE(5557)] = 23387,
  [SMALL_STATE(5558)] = 23450,
  [SMALL_STATE(5559)] = 23513,
  [SMALL_STATE(5560)] = 23576,
  [SMALL_STATE(5561)] = 23639,
  [SMALL_STATE(5562)] = 23698,
  [SMALL_STATE(5563)] = 23761,
  [SMALL_STATE(5564)] = 23824,
  [SMALL_STATE(5565)] = 23887,
  [SMALL_STATE(5566)] = 23950,
  [SMALL_STATE(5567)] = 24013,
  [SMALL_STATE(5568)] = 24076,
  [SMALL_STATE(5569)] = 24139,
  [SMALL_STATE(5570)] = 24202,
  [SMALL_STATE(5571)] = 24265,
  [SMALL_STATE(5572)] = 24323,
  [SMALL_STATE(5573)] = 24381,
  [SMALL_STATE(5574)] = 24439,
  [SMALL_STATE(5575)] = 24497,
  [SMALL_STATE(5576)] = 24555,
  [SMALL_STATE(5577)] = 24613,
  [SMALL_STATE(5578)] = 24671,
  [SMALL_STATE(5579)] = 24729,
  [SMALL_STATE(5580)] = 24787,
  [SMALL_STATE(5581)] = 24847,
  [SMALL_STATE(5582)] = 24907,
  [SMALL_STATE(5583)] = 24965,
  [SMALL_STATE(5584)] = 25023,
  [SMALL_STATE(5585)] = 25081,
  [SMALL_STATE(5586)] = 25139,
  [SMALL_STATE(5587)] = 25197,
  [SMALL_STATE(5588)] = 25255,
  [SMALL_STATE(5589)] = 25339,
  [SMALL_STATE(5590)] = 25397,
  [SMALL_STATE(5591)] = 25454,
  [SMALL_STATE(5592)] = 25511,
  [SMALL_STATE(5593)] = 25572,
  [SMALL_STATE(5594)] = 25633,
  [SMALL_STATE(5595)] = 25694,
  [SMALL_STATE(5596)] = 25751,
  [SMALL_STATE(5597)] = 25808,
  [SMALL_STATE(5598)] = 25865,
  [SMALL_STATE(5599)] = 25926,
  [SMALL_STATE(5600)] = 25983,
  [SMALL_STATE(5601)] = 26040,
  [SMALL_STATE(5602)] = 26097,
  [SMALL_STATE(5603)] = 26158,
  [SMALL_STATE(5604)] = 26219,
  [SMALL_STATE(5605)] = 26276,
  [SMALL_STATE(5606)] = 26337,
  [SMALL_STATE(5607)] = 26398,
  [SMALL_STATE(5608)] = 26455,
  [SMALL_STATE(5609)] = 26512,
  [SMALL_STATE(5610)] = 26569,
  [SMALL_STATE(5611)] = 26626,
  [SMALL_STATE(5612)] = 26683,
  [SMALL_STATE(5613)] = 26740,
  [SMALL_STATE(5614)] = 26819,
  [SMALL_STATE(5615)] = 26876,
  [SMALL_STATE(5616)] = 26933,
  [SMALL_STATE(5617)] = 26990,
  [SMALL_STATE(5618)] = 27051,
  [SMALL_STATE(5619)] = 27108,
  [SMALL_STATE(5620)] = 27187,
  [SMALL_STATE(5621)] = 27244,
  [SMALL_STATE(5622)] = 27305,
  [SMALL_STATE(5623)] = 27362,
  [SMALL_STATE(5624)] = 27419,
  [SMALL_STATE(5625)] = 27476,
  [SMALL_STATE(5626)] = 27533,
  [SMALL_STATE(5627)] = 27590,
  [SMALL_STATE(5628)] = 27647,
  [SMALL_STATE(5629)] = 27708,
  [SMALL_STATE(5630)] = 27781,
  [SMALL_STATE(5631)] = 27838,
  [SMALL_STATE(5632)] = 27895,
  [SMALL_STATE(5633)] = 27956,
  [SMALL_STATE(5634)] = 28013,
  [SMALL_STATE(5635)] = 28070,
  [SMALL_STATE(5636)] = 28127,
  [SMALL_STATE(5637)] = 28184,
  [SMALL_STATE(5638)] = 28245,
  [SMALL_STATE(5639)] = 28302,
  [SMALL_STATE(5640)] = 28381,
  [SMALL_STATE(5641)] = 28438,
  [SMALL_STATE(5642)] = 28495,
  [SMALL_STATE(5643)] = 28552,
  [SMALL_STATE(5644)] = 28609,
  [SMALL_STATE(5645)] = 28666,
  [SMALL_STATE(5646)] = 28723,
  [SMALL_STATE(5647)] = 28780,
  [SMALL_STATE(5648)] = 28837,
  [SMALL_STATE(5649)] = 28894,
  [SMALL_STATE(5650)] = 28951,
  [SMALL_STATE(5651)] = 29008,
  [SMALL_STATE(5652)] = 29065,
  [SMALL_STATE(5653)] = 29144,
  [SMALL_STATE(5654)] = 29201,
  [SMALL_STATE(5655)] = 29258,
  [SMALL_STATE(5656)] = 29315,
  [SMALL_STATE(5657)] = 29372,
  [SMALL_STATE(5658)] = 29429,
  [SMALL_STATE(5659)] = 29486,
  [SMALL_STATE(5660)] = 29543,
  [SMALL_STATE(5661)] = 29600,
  [SMALL_STATE(5662)] = 29679,
  [SMALL_STATE(5663)] = 29740,
  [SMALL_STATE(5664)] = 29801,
  [SMALL_STATE(5665)] = 29858,
  [SMALL_STATE(5666)] = 29919,
  [SMALL_STATE(5667)] = 29978,
  [SMALL_STATE(5668)] = 30035,
  [SMALL_STATE(5669)] = 30092,
  [SMALL_STATE(5670)] = 30149,
  [SMALL_STATE(5671)] = 30206,
  [SMALL_STATE(5672)] = 30263,
  [SMALL_STATE(5673)] = 30320,
  [SMALL_STATE(5674)] = 30377,
  [SMALL_STATE(5675)] = 30438,
  [SMALL_STATE(5676)] = 30495,
  [SMALL_STATE(5677)] = 30562,
  [SMALL_STATE(5678)] = 30623,
  [SMALL_STATE(5679)] = 30680,
  [SMALL_STATE(5680)] = 30737,
  [SMALL_STATE(5681)] = 30798,
  [SMALL_STATE(5682)] = 30865,
  [SMALL_STATE(5683)] = 30922,
  [SMALL_STATE(5684)] = 30995,
  [SMALL_STATE(5685)] = 31052,
  [SMALL_STATE(5686)] = 31109,
  [SMALL_STATE(5687)] = 31170,
  [SMALL_STATE(5688)] = 31231,
  [SMALL_STATE(5689)] = 31288,
  [SMALL_STATE(5690)] = 31365,
  [SMALL_STATE(5691)] = 31422,
  [SMALL_STATE(5692)] = 31479,
  [SMALL_STATE(5693)] = 31540,
  [SMALL_STATE(5694)] = 31597,
  [SMALL_STATE(5695)] = 31658,
  [SMALL_STATE(5696)] = 31715,
  [SMALL_STATE(5697)] = 31776,
  [SMALL_STATE(5698)] = 31843,
  [SMALL_STATE(5699)] = 31900,
  [SMALL_STATE(5700)] = 31957,
  [SMALL_STATE(5701)] = 32018,
  [SMALL_STATE(5702)] = 32075,
  [SMALL_STATE(5703)] = 32132,
  [SMALL_STATE(5704)] = 32193,
  [SMALL_STATE(5705)] = 32260,
  [SMALL_STATE(5706)] = 32321,
  [SMALL_STATE(5707)] = 32382,
  [SMALL_STATE(5708)] = 32443,
  [SMALL_STATE(5709)] = 32500,
  [SMALL_STATE(5710)] = 32561,
  [SMALL_STATE(5711)] = 32618,
  [SMALL_STATE(5712)] = 32675,
  [SMALL_STATE(5713)] = 32732,
  [SMALL_STATE(5714)] = 32823,
  [SMALL_STATE(5715)] = 32902,
  [SMALL_STATE(5716)] = 32959,
  [SMALL_STATE(5717)] = 33020,
  [SMALL_STATE(5718)] = 33081,
  [SMALL_STATE(5719)] = 33148,
  [SMALL_STATE(5720)] = 33231,
  [SMALL_STATE(5721)] = 33316,
  [SMALL_STATE(5722)] = 33373,
  [SMALL_STATE(5723)] = 33434,
  [SMALL_STATE(5724)] = 33495,
  [SMALL_STATE(5725)] = 33582,
  [SMALL_STATE(5726)] = 33639,
  [SMALL_STATE(5727)] = 33700,
  [SMALL_STATE(5728)] = 33789,
  [SMALL_STATE(5729)] = 33888,
  [SMALL_STATE(5730)] = 33949,
  [SMALL_STATE(5731)] = 34050,
  [SMALL_STATE(5732)] = 34107,
  [SMALL_STATE(5733)] = 34168,
  [SMALL_STATE(5734)] = 34225,
  [SMALL_STATE(5735)] = 34282,
  [SMALL_STATE(5736)] = 34343,
  [SMALL_STATE(5737)] = 34400,
  [SMALL_STATE(5738)] = 34461,
  [SMALL_STATE(5739)] = 34522,
  [SMALL_STATE(5740)] = 34583,
  [SMALL_STATE(5741)] = 34640,
  [SMALL_STATE(5742)] = 34697,
  [SMALL_STATE(5743)] = 34758,
  [SMALL_STATE(5744)] = 34819,
  [SMALL_STATE(5745)] = 34880,
  [SMALL_STATE(5746)] = 34941,
  [SMALL_STATE(5747)] = 34998,
  [SMALL_STATE(5748)] = 35055,
  [SMALL_STATE(5749)] = 35112,
  [SMALL_STATE(5750)] = 35169,
  [SMALL_STATE(5751)] = 35260,
  [SMALL_STATE(5752)] = 35317,
  [SMALL_STATE(5753)] = 35374,
  [SMALL_STATE(5754)] = 35441,
  [SMALL_STATE(5755)] = 35498,
  [SMALL_STATE(5756)] = 35555,
  [SMALL_STATE(5757)] = 35612,
  [SMALL_STATE(5758)] = 35673,
  [SMALL_STATE(5759)] = 35730,
  [SMALL_STATE(5760)] = 35797,
  [SMALL_STATE(5761)] = 35854,
  [SMALL_STATE(5762)] = 35915,
  [SMALL_STATE(5763)] = 35972,
  [SMALL_STATE(5764)] = 36029,
  [SMALL_STATE(5765)] = 36086,
  [SMALL_STATE(5766)] = 36147,
  [SMALL_STATE(5767)] = 36204,
  [SMALL_STATE(5768)] = 36261,
  [SMALL_STATE(5769)] = 36322,
  [SMALL_STATE(5770)] = 36395,
  [SMALL_STATE(5771)] = 36452,
  [SMALL_STATE(5772)] = 36509,
  [SMALL_STATE(5773)] = 36570,
  [SMALL_STATE(5774)] = 36627,
  [SMALL_STATE(5775)] = 36688,
  [SMALL_STATE(5776)] = 36745,
  [SMALL_STATE(5777)] = 36806,
  [SMALL_STATE(5778)] = 36863,
  [SMALL_STATE(5779)] = 36920,
  [SMALL_STATE(5780)] = 36977,
  [SMALL_STATE(5781)] = 37034,
  [SMALL_STATE(5782)] = 37095,
  [SMALL_STATE(5783)] = 37152,
  [SMALL_STATE(5784)] = 37209,
  [SMALL_STATE(5785)] = 37266,
  [SMALL_STATE(5786)] = 37339,
  [SMALL_STATE(5787)] = 37400,
  [SMALL_STATE(5788)] = 37457,
  [SMALL_STATE(5789)] = 37514,
  [SMALL_STATE(5790)] = 37571,
  [SMALL_STATE(5791)] = 37632,
  [SMALL_STATE(5792)] = 37689,
  [SMALL_STATE(5793)] = 37746,
  [SMALL_STATE(5794)] = 37803,
  [SMALL_STATE(5795)] = 37860,
  [SMALL_STATE(5796)] = 37921,
  [SMALL_STATE(5797)] = 37982,
  [SMALL_STATE(5798)] = 38039,
  [SMALL_STATE(5799)] = 38096,
  [SMALL_STATE(5800)] = 38175,
  [SMALL_STATE(5801)] = 38232,
  [SMALL_STATE(5802)] = 38289,
  [SMALL_STATE(5803)] = 38350,
  [SMALL_STATE(5804)] = 38411,
  [SMALL_STATE(5805)] = 38468,
  [SMALL_STATE(5806)] = 38529,
  [SMALL_STATE(5807)] = 38586,
  [SMALL_STATE(5808)] = 38643,
  [SMALL_STATE(5809)] = 38704,
  [SMALL_STATE(5810)] = 38783,
  [SMALL_STATE(5811)] = 38840,
  [SMALL_STATE(5812)] = 38897,
  [SMALL_STATE(5813)] = 38954,
  [SMALL_STATE(5814)] = 39015,
  [SMALL_STATE(5815)] = 39072,
  [SMALL_STATE(5816)] = 39145,
  [SMALL_STATE(5817)] = 39202,
  [SMALL_STATE(5818)] = 39259,
  [SMALL_STATE(5819)] = 39316,
  [SMALL_STATE(5820)] = 39377,
  [SMALL_STATE(5821)] = 39434,
  [SMALL_STATE(5822)] = 39495,
  [SMALL_STATE(5823)] = 39552,
  [SMALL_STATE(5824)] = 39613,
  [SMALL_STATE(5825)] = 39674,
  [SMALL_STATE(5826)] = 39731,
  [SMALL_STATE(5827)] = 39792,
  [SMALL_STATE(5828)] = 39849,
  [SMALL_STATE(5829)] = 39910,
  [SMALL_STATE(5830)] = 39971,
  [SMALL_STATE(5831)] = 40028,
  [SMALL_STATE(5832)] = 40089,
  [SMALL_STATE(5833)] = 40146,
  [SMALL_STATE(5834)] = 40203,
  [SMALL_STATE(5835)] = 40264,
  [SMALL_STATE(5836)] = 40325,
  [SMALL_STATE(5837)] = 40382,
  [SMALL_STATE(5838)] = 40439,
  [SMALL_STATE(5839)] = 40500,
  [SMALL_STATE(5840)] = 40561,
  [SMALL_STATE(5841)] = 40618,
  [SMALL_STATE(5842)] = 40679,
  [SMALL_STATE(5843)] = 40758,
  [SMALL_STATE(5844)] = 40819,
  [SMALL_STATE(5845)] = 40880,
  [SMALL_STATE(5846)] = 40939,
  [SMALL_STATE(5847)] = 40996,
  [SMALL_STATE(5848)] = 41053,
  [SMALL_STATE(5849)] = 41128,
  [SMALL_STATE(5850)] = 41185,
  [SMALL_STATE(5851)] = 41246,
  [SMALL_STATE(5852)] = 41307,
  [SMALL_STATE(5853)] = 41364,
  [SMALL_STATE(5854)] = 41425,
  [SMALL_STATE(5855)] = 41482,
  [SMALL_STATE(5856)] = 41539,
  [SMALL_STATE(5857)] = 41600,
  [SMALL_STATE(5858)] = 41657,
  [SMALL_STATE(5859)] = 41718,
  [SMALL_STATE(5860)] = 41821,
  [SMALL_STATE(5861)] = 41896,
  [SMALL_STATE(5862)] = 41957,
  [SMALL_STATE(5863)] = 42018,
  [SMALL_STATE(5864)] = 42079,
  [SMALL_STATE(5865)] = 42136,
  [SMALL_STATE(5866)] = 42193,
  [SMALL_STATE(5867)] = 42302,
  [SMALL_STATE(5868)] = 42359,
  [SMALL_STATE(5869)] = 42416,
  [SMALL_STATE(5870)] = 42477,
  [SMALL_STATE(5871)] = 42534,
  [SMALL_STATE(5872)] = 42591,
  [SMALL_STATE(5873)] = 42648,
  [SMALL_STATE(5874)] = 42705,
  [SMALL_STATE(5875)] = 42762,
  [SMALL_STATE(5876)] = 42823,
  [SMALL_STATE(5877)] = 42884,
  [SMALL_STATE(5878)] = 42945,
  [SMALL_STATE(5879)] = 43006,
  [SMALL_STATE(5880)] = 43067,
  [SMALL_STATE(5881)] = 43128,
  [SMALL_STATE(5882)] = 43189,
  [SMALL_STATE(5883)] = 43250,
  [SMALL_STATE(5884)] = 43307,
  [SMALL_STATE(5885)] = 43368,
  [SMALL_STATE(5886)] = 43425,
  [SMALL_STATE(5887)] = 43482,
  [SMALL_STATE(5888)] = 43539,
  [SMALL_STATE(5889)] = 43600,
  [SMALL_STATE(5890)] = 43661,
  [SMALL_STATE(5891)] = 43722,
  [SMALL_STATE(5892)] = 43783,
  [SMALL_STATE(5893)] = 43840,
  [SMALL_STATE(5894)] = 43901,
  [SMALL_STATE(5895)] = 43958,
  [SMALL_STATE(5896)] = 44019,
  [SMALL_STATE(5897)] = 44080,
  [SMALL_STATE(5898)] = 44141,
  [SMALL_STATE(5899)] = 44198,
  [SMALL_STATE(5900)] = 44255,
  [SMALL_STATE(5901)] = 44316,
  [SMALL_STATE(5902)] = 44373,
  [SMALL_STATE(5903)] = 44434,
  [SMALL_STATE(5904)] = 44491,
  [SMALL_STATE(5905)] = 44552,
  [SMALL_STATE(5906)] = 44613,
  [SMALL_STATE(5907)] = 44692,
  [SMALL_STATE(5908)] = 44749,
  [SMALL_STATE(5909)] = 44806,
  [SMALL_STATE(5910)] = 44867,
  [SMALL_STATE(5911)] = 44924,
  [SMALL_STATE(5912)] = 45015,
  [SMALL_STATE(5913)] = 45106,
  [SMALL_STATE(5914)] = 45167,
  [SMALL_STATE(5915)] = 45228,
  [SMALL_STATE(5916)] = 45289,
  [SMALL_STATE(5917)] = 45350,
  [SMALL_STATE(5918)] = 45411,
  [SMALL_STATE(5919)] = 45468,
  [SMALL_STATE(5920)] = 45529,
  [SMALL_STATE(5921)] = 45590,
  [SMALL_STATE(5922)] = 45651,
  [SMALL_STATE(5923)] = 45712,
  [SMALL_STATE(5924)] = 45773,
  [SMALL_STATE(5925)] = 45830,
  [SMALL_STATE(5926)] = 45891,
  [SMALL_STATE(5927)] = 45948,
  [SMALL_STATE(5928)] = 46009,
  [SMALL_STATE(5929)] = 46066,
  [SMALL_STATE(5930)] = 46127,
  [SMALL_STATE(5931)] = 46184,
  [SMALL_STATE(5932)] = 46245,
  [SMALL_STATE(5933)] = 46302,
  [SMALL_STATE(5934)] = 46363,
  [SMALL_STATE(5935)] = 46420,
  [SMALL_STATE(5936)] = 46477,
  [SMALL_STATE(5937)] = 46534,
  [SMALL_STATE(5938)] = 46591,
  [SMALL_STATE(5939)] = 46648,
  [SMALL_STATE(5940)] = 46709,
  [SMALL_STATE(5941)] = 46768,
  [SMALL_STATE(5942)] = 46825,
  [SMALL_STATE(5943)] = 46904,
  [SMALL_STATE(5944)] = 46965,
  [SMALL_STATE(5945)] = 47022,
  [SMALL_STATE(5946)] = 47083,
  [SMALL_STATE(5947)] = 47144,
  [SMALL_STATE(5948)] = 47201,
  [SMALL_STATE(5949)] = 47268,
  [SMALL_STATE(5950)] = 47325,
  [SMALL_STATE(5951)] = 47386,
  [SMALL_STATE(5952)] = 47443,
  [SMALL_STATE(5953)] = 47516,
  [SMALL_STATE(5954)] = 47577,
  [SMALL_STATE(5955)] = 47634,
  [SMALL_STATE(5956)] = 47691,
  [SMALL_STATE(5957)] = 47752,
  [SMALL_STATE(5958)] = 47809,
  [SMALL_STATE(5959)] = 47870,
  [SMALL_STATE(5960)] = 47927,
  [SMALL_STATE(5961)] = 47988,
  [SMALL_STATE(5962)] = 48049,
  [SMALL_STATE(5963)] = 48106,
  [SMALL_STATE(5964)] = 48197,
  [SMALL_STATE(5965)] = 48258,
  [SMALL_STATE(5966)] = 48319,
  [SMALL_STATE(5967)] = 48410,
  [SMALL_STATE(5968)] = 48471,
  [SMALL_STATE(5969)] = 48532,
  [SMALL_STATE(5970)] = 48592,
  [SMALL_STATE(5971)] = 48652,
  [SMALL_STATE(5972)] = 48708,
  [SMALL_STATE(5973)] = 48768,
  [SMALL_STATE(5974)] = 48830,
  [SMALL_STATE(5975)] = 48886,
  [SMALL_STATE(5976)] = 48942,
  [SMALL_STATE(5977)] = 49000,
  [SMALL_STATE(5978)] = 49056,
  [SMALL_STATE(5979)] = 49176,
  [SMALL_STATE(5980)] = 49254,
  [SMALL_STATE(5981)] = 49332,
  [SMALL_STATE(5982)] = 49394,
  [SMALL_STATE(5983)] = 49454,
  [SMALL_STATE(5984)] = 49512,
  [SMALL_STATE(5985)] = 49568,
  [SMALL_STATE(5986)] = 49628,
  [SMALL_STATE(5987)] = 49684,
  [SMALL_STATE(5988)] = 49766,
  [SMALL_STATE(5989)] = 49822,
  [SMALL_STATE(5990)] = 49906,
  [SMALL_STATE(5991)] = 49964,
  [SMALL_STATE(5992)] = 50022,
  [SMALL_STATE(5993)] = 50084,
  [SMALL_STATE(5994)] = 50162,
  [SMALL_STATE(5995)] = 50246,
  [SMALL_STATE(5996)] = 50306,
  [SMALL_STATE(5997)] = 50390,
  [SMALL_STATE(5998)] = 50452,
  [SMALL_STATE(5999)] = 50536,
  [SMALL_STATE(6000)] = 50598,
  [SMALL_STATE(6001)] = 50658,
  [SMALL_STATE(6002)] = 50718,
  [SMALL_STATE(6003)] = 50778,
  [SMALL_STATE(6004)] = 50838,
  [SMALL_STATE(6005)] = 50898,
  [SMALL_STATE(6006)] = 50958,
  [SMALL_STATE(6007)] = 51018,
  [SMALL_STATE(6008)] = 51078,
  [SMALL_STATE(6009)] = 51138,
  [SMALL_STATE(6010)] = 51198,
  [SMALL_STATE(6011)] = 51258,
  [SMALL_STATE(6012)] = 51336,
  [SMALL_STATE(6013)] = 51396,
  [SMALL_STATE(6014)] = 51456,
  [SMALL_STATE(6015)] = 51516,
  [SMALL_STATE(6016)] = 51576,
  [SMALL_STATE(6017)] = 51636,
  [SMALL_STATE(6018)] = 51696,
  [SMALL_STATE(6019)] = 51756,
  [SMALL_STATE(6020)] = 51816,
  [SMALL_STATE(6021)] = 51900,
  [SMALL_STATE(6022)] = 51956,
  [SMALL_STATE(6023)] = 52016,
  [SMALL_STATE(6024)] = 52076,
  [SMALL_STATE(6025)] = 52136,
  [SMALL_STATE(6026)] = 52220,
  [SMALL_STATE(6027)] = 52280,
  [SMALL_STATE(6028)] = 52340,
  [SMALL_STATE(6029)] = 52424,
  [SMALL_STATE(6030)] = 52484,
  [SMALL_STATE(6031)] = 52544,
  [SMALL_STATE(6032)] = 52604,
  [SMALL_STATE(6033)] = 52664,
  [SMALL_STATE(6034)] = 52724,
  [SMALL_STATE(6035)] = 52784,
  [SMALL_STATE(6036)] = 52844,
  [SMALL_STATE(6037)] = 52904,
  [SMALL_STATE(6038)] = 52964,
  [SMALL_STATE(6039)] = 53024,
  [SMALL_STATE(6040)] = 53084,
  [SMALL_STATE(6041)] = 53144,
  [SMALL_STATE(6042)] = 53204,
  [SMALL_STATE(6043)] = 53264,
  [SMALL_STATE(6044)] = 53324,
  [SMALL_STATE(6045)] = 53384,
  [SMALL_STATE(6046)] = 53444,
  [SMALL_STATE(6047)] = 53504,
  [SMALL_STATE(6048)] = 53560,
  [SMALL_STATE(6049)] = 53616,
  [SMALL_STATE(6050)] = 53672,
  [SMALL_STATE(6051)] = 53732,
  [SMALL_STATE(6052)] = 53792,
  [SMALL_STATE(6053)] = 53852,
  [SMALL_STATE(6054)] = 53936,
  [SMALL_STATE(6055)] = 53996,
  [SMALL_STATE(6056)] = 54056,
  [SMALL_STATE(6057)] = 54140,
  [SMALL_STATE(6058)] = 54224,
  [SMALL_STATE(6059)] = 54280,
  [SMALL_STATE(6060)] = 54340,
  [SMALL_STATE(6061)] = 54398,
  [SMALL_STATE(6062)] = 54462,
  [SMALL_STATE(6063)] = 54522,
  [SMALL_STATE(6064)] = 54582,
  [SMALL_STATE(6065)] = 54642,
  [SMALL_STATE(6066)] = 54702,
  [SMALL_STATE(6067)] = 54764,
  [SMALL_STATE(6068)] = 54824,
  [SMALL_STATE(6069)] = 54884,
  [SMALL_STATE(6070)] = 54944,
  [SMALL_STATE(6071)] = 55004,
  [SMALL_STATE(6072)] = 55064,
  [SMALL_STATE(6073)] = 55124,
  [SMALL_STATE(6074)] = 55202,
  [SMALL_STATE(6075)] = 55262,
  [SMALL_STATE(6076)] = 55322,
  [SMALL_STATE(6077)] = 55382,
  [SMALL_STATE(6078)] = 55442,
  [SMALL_STATE(6079)] = 55502,
  [SMALL_STATE(6080)] = 55562,
  [SMALL_STATE(6081)] = 55622,
  [SMALL_STATE(6082)] = 55682,
  [SMALL_STATE(6083)] = 55742,
  [SMALL_STATE(6084)] = 55802,
  [SMALL_STATE(6085)] = 55862,
  [SMALL_STATE(6086)] = 55922,
  [SMALL_STATE(6087)] = 55982,
  [SMALL_STATE(6088)] = 56042,
  [SMALL_STATE(6089)] = 56102,
  [SMALL_STATE(6090)] = 56162,
  [SMALL_STATE(6091)] = 56222,
  [SMALL_STATE(6092)] = 56280,
  [SMALL_STATE(6093)] = 56340,
  [SMALL_STATE(6094)] = 56400,
  [SMALL_STATE(6095)] = 56460,
  [SMALL_STATE(6096)] = 56520,
  [SMALL_STATE(6097)] = 56580,
  [SMALL_STATE(6098)] = 56640,
  [SMALL_STATE(6099)] = 56700,
  [SMALL_STATE(6100)] = 56760,
  [SMALL_STATE(6101)] = 56820,
  [SMALL_STATE(6102)] = 56880,
  [SMALL_STATE(6103)] = 56940,
  [SMALL_STATE(6104)] = 57000,
  [SMALL_STATE(6105)] = 57060,
  [SMALL_STATE(6106)] = 57122,
  [SMALL_STATE(6107)] = 57182,
  [SMALL_STATE(6108)] = 57242,
  [SMALL_STATE(6109)] = 57302,
  [SMALL_STATE(6110)] = 57362,
  [SMALL_STATE(6111)] = 57422,
  [SMALL_STATE(6112)] = 57482,
  [SMALL_STATE(6113)] = 57542,
  [SMALL_STATE(6114)] = 57620,
  [SMALL_STATE(6115)] = 57680,
  [SMALL_STATE(6116)] = 57740,
  [SMALL_STATE(6117)] = 57800,
  [SMALL_STATE(6118)] = 57860,
  [SMALL_STATE(6119)] = 57920,
  [SMALL_STATE(6120)] = 57980,
  [SMALL_STATE(6121)] = 58040,
  [SMALL_STATE(6122)] = 58100,
  [SMALL_STATE(6123)] = 58178,
  [SMALL_STATE(6124)] = 58238,
  [SMALL_STATE(6125)] = 58300,
  [SMALL_STATE(6126)] = 58360,
  [SMALL_STATE(6127)] = 58438,
  [SMALL_STATE(6128)] = 58500,
  [SMALL_STATE(6129)] = 58560,
  [SMALL_STATE(6130)] = 58620,
  [SMALL_STATE(6131)] = 58680,
  [SMALL_STATE(6132)] = 58740,
  [SMALL_STATE(6133)] = 58800,
  [SMALL_STATE(6134)] = 58860,
  [SMALL_STATE(6135)] = 58920,
  [SMALL_STATE(6136)] = 58980,
  [SMALL_STATE(6137)] = 59040,
  [SMALL_STATE(6138)] = 59100,
  [SMALL_STATE(6139)] = 59160,
  [SMALL_STATE(6140)] = 59220,
  [SMALL_STATE(6141)] = 59280,
  [SMALL_STATE(6142)] = 59340,
  [SMALL_STATE(6143)] = 59400,
  [SMALL_STATE(6144)] = 59478,
  [SMALL_STATE(6145)] = 59538,
  [SMALL_STATE(6146)] = 59598,
  [SMALL_STATE(6147)] = 59658,
  [SMALL_STATE(6148)] = 59718,
  [SMALL_STATE(6149)] = 59796,
  [SMALL_STATE(6150)] = 59856,
  [SMALL_STATE(6151)] = 59916,
  [SMALL_STATE(6152)] = 59976,
  [SMALL_STATE(6153)] = 60091,
  [SMALL_STATE(6154)] = 60164,
  [SMALL_STATE(6155)] = 60231,
  [SMALL_STATE(6156)] = 60286,
  [SMALL_STATE(6157)] = 60345,
  [SMALL_STATE(6158)] = 60400,
  [SMALL_STATE(6159)] = 60455,
  [SMALL_STATE(6160)] = 60510,
  [SMALL_STATE(6161)] = 60583,
  [SMALL_STATE(6162)] = 60656,
  [SMALL_STATE(6163)] = 60729,
  [SMALL_STATE(6164)] = 60784,
  [SMALL_STATE(6165)] = 60839,
  [SMALL_STATE(6166)] = 60894,
  [SMALL_STATE(6167)] = 60949,
  [SMALL_STATE(6168)] = 61004,
  [SMALL_STATE(6169)] = 61059,
  [SMALL_STATE(6170)] = 61114,
  [SMALL_STATE(6171)] = 61187,
  [SMALL_STATE(6172)] = 61242,
  [SMALL_STATE(6173)] = 61297,
  [SMALL_STATE(6174)] = 61352,
  [SMALL_STATE(6175)] = 61407,
  [SMALL_STATE(6176)] = 61462,
  [SMALL_STATE(6177)] = 61517,
  [SMALL_STATE(6178)] = 61572,
  [SMALL_STATE(6179)] = 61627,
  [SMALL_STATE(6180)] = 61682,
  [SMALL_STATE(6181)] = 61737,
  [SMALL_STATE(6182)] = 61792,
  [SMALL_STATE(6183)] = 61847,
  [SMALL_STATE(6184)] = 61902,
  [SMALL_STATE(6185)] = 61957,
  [SMALL_STATE(6186)] = 62012,
  [SMALL_STATE(6187)] = 62085,
  [SMALL_STATE(6188)] = 62140,
  [SMALL_STATE(6189)] = 62195,
  [SMALL_STATE(6190)] = 62250,
  [SMALL_STATE(6191)] = 62305,
  [SMALL_STATE(6192)] = 62360,
  [SMALL_STATE(6193)] = 62415,
  [SMALL_STATE(6194)] = 62470,
  [SMALL_STATE(6195)] = 62543,
  [SMALL_STATE(6196)] = 62598,
  [SMALL_STATE(6197)] = 62653,
  [SMALL_STATE(6198)] = 62720,
  [SMALL_STATE(6199)] = 62775,
  [SMALL_STATE(6200)] = 62830,
  [SMALL_STATE(6201)] = 62885,
  [SMALL_STATE(6202)] = 62940,
  [SMALL_STATE(6203)] = 62995,
  [SMALL_STATE(6204)] = 63050,
  [SMALL_STATE(6205)] = 63105,
  [SMALL_STATE(6206)] = 63160,
  [SMALL_STATE(6207)] = 63215,
  [SMALL_STATE(6208)] = 63288,
  [SMALL_STATE(6209)] = 63343,
  [SMALL_STATE(6210)] = 63416,
  [SMALL_STATE(6211)] = 63471,
  [SMALL_STATE(6212)] = 63526,
  [SMALL_STATE(6213)] = 63581,
  [SMALL_STATE(6214)] = 63636,
  [SMALL_STATE(6215)] = 63691,
  [SMALL_STATE(6216)] = 63746,
  [SMALL_STATE(6217)] = 63801,
  [SMALL_STATE(6218)] = 63856,
  [SMALL_STATE(6219)] = 63911,
  [SMALL_STATE(6220)] = 63966,
  [SMALL_STATE(6221)] = 64021,
  [SMALL_STATE(6222)] = 64076,
  [SMALL_STATE(6223)] = 64131,
  [SMALL_STATE(6224)] = 64186,
  [SMALL_STATE(6225)] = 64253,
  [SMALL_STATE(6226)] = 64308,
  [SMALL_STATE(6227)] = 64363,
  [SMALL_STATE(6228)] = 64418,
  [SMALL_STATE(6229)] = 64473,
  [SMALL_STATE(6230)] = 64528,
  [SMALL_STATE(6231)] = 64583,
  [SMALL_STATE(6232)] = 64656,
  [SMALL_STATE(6233)] = 64711,
  [SMALL_STATE(6234)] = 64766,
  [SMALL_STATE(6235)] = 64821,
  [SMALL_STATE(6236)] = 64876,
  [SMALL_STATE(6237)] = 64931,
  [SMALL_STATE(6238)] = 64986,
  [SMALL_STATE(6239)] = 65041,
  [SMALL_STATE(6240)] = 65096,
  [SMALL_STATE(6241)] = 65169,
  [SMALL_STATE(6242)] = 65224,
  [SMALL_STATE(6243)] = 65279,
  [SMALL_STATE(6244)] = 65334,
  [SMALL_STATE(6245)] = 65407,
  [SMALL_STATE(6246)] = 65462,
  [SMALL_STATE(6247)] = 65517,
  [SMALL_STATE(6248)] = 65572,
  [SMALL_STATE(6249)] = 65627,
  [SMALL_STATE(6250)] = 65700,
  [SMALL_STATE(6251)] = 65755,
  [SMALL_STATE(6252)] = 65810,
  [SMALL_STATE(6253)] = 65865,
  [SMALL_STATE(6254)] = 65936,
  [SMALL_STATE(6255)] = 65991,
  [SMALL_STATE(6256)] = 66046,
  [SMALL_STATE(6257)] = 66101,
  [SMALL_STATE(6258)] = 66156,
  [SMALL_STATE(6259)] = 66211,
  [SMALL_STATE(6260)] = 66266,
  [SMALL_STATE(6261)] = 66339,
  [SMALL_STATE(6262)] = 66394,
  [SMALL_STATE(6263)] = 66449,
  [SMALL_STATE(6264)] = 66504,
  [SMALL_STATE(6265)] = 66559,
  [SMALL_STATE(6266)] = 66614,
  [SMALL_STATE(6267)] = 66669,
  [SMALL_STATE(6268)] = 66724,
  [SMALL_STATE(6269)] = 66779,
  [SMALL_STATE(6270)] = 66834,
  [SMALL_STATE(6271)] = 66889,
  [SMALL_STATE(6272)] = 66962,
  [SMALL_STATE(6273)] = 67017,
  [SMALL_STATE(6274)] = 67072,
  [SMALL_STATE(6275)] = 67127,
  [SMALL_STATE(6276)] = 67182,
  [SMALL_STATE(6277)] = 67237,
  [SMALL_STATE(6278)] = 67292,
  [SMALL_STATE(6279)] = 67347,
  [SMALL_STATE(6280)] = 67402,
  [SMALL_STATE(6281)] = 67459,
  [SMALL_STATE(6282)] = 67514,
  [SMALL_STATE(6283)] = 67569,
  [SMALL_STATE(6284)] = 67624,
  [SMALL_STATE(6285)] = 67679,
  [SMALL_STATE(6286)] = 67734,
  [SMALL_STATE(6287)] = 67789,
  [SMALL_STATE(6288)] = 67844,
  [SMALL_STATE(6289)] = 67899,
  [SMALL_STATE(6290)] = 67962,
  [SMALL_STATE(6291)] = 68017,
  [SMALL_STATE(6292)] = 68090,
  [SMALL_STATE(6293)] = 68145,
  [SMALL_STATE(6294)] = 68200,
  [SMALL_STATE(6295)] = 68255,
  [SMALL_STATE(6296)] = 68328,
  [SMALL_STATE(6297)] = 68383,
  [SMALL_STATE(6298)] = 68438,
  [SMALL_STATE(6299)] = 68505,
  [SMALL_STATE(6300)] = 68560,
  [SMALL_STATE(6301)] = 68633,
  [SMALL_STATE(6302)] = 68688,
  [SMALL_STATE(6303)] = 68743,
  [SMALL_STATE(6304)] = 68798,
  [SMALL_STATE(6305)] = 68865,
  [SMALL_STATE(6306)] = 68920,
  [SMALL_STATE(6307)] = 68975,
  [SMALL_STATE(6308)] = 69048,
  [SMALL_STATE(6309)] = 69103,
  [SMALL_STATE(6310)] = 69160,
  [SMALL_STATE(6311)] = 69233,
  [SMALL_STATE(6312)] = 69306,
  [SMALL_STATE(6313)] = 69379,
  [SMALL_STATE(6314)] = 69434,
  [SMALL_STATE(6315)] = 69489,
  [SMALL_STATE(6316)] = 69544,
  [SMALL_STATE(6317)] = 69611,
  [SMALL_STATE(6318)] = 69666,
  [SMALL_STATE(6319)] = 69721,
  [SMALL_STATE(6320)] = 69776,
  [SMALL_STATE(6321)] = 69831,
  [SMALL_STATE(6322)] = 69886,
  [SMALL_STATE(6323)] = 69941,
  [SMALL_STATE(6324)] = 70014,
  [SMALL_STATE(6325)] = 70069,
  [SMALL_STATE(6326)] = 70124,
  [SMALL_STATE(6327)] = 70179,
  [SMALL_STATE(6328)] = 70234,
  [SMALL_STATE(6329)] = 70291,
  [SMALL_STATE(6330)] = 70346,
  [SMALL_STATE(6331)] = 70401,
  [SMALL_STATE(6332)] = 70456,
  [SMALL_STATE(6333)] = 70513,
  [SMALL_STATE(6334)] = 70586,
  [SMALL_STATE(6335)] = 70641,
  [SMALL_STATE(6336)] = 70696,
  [SMALL_STATE(6337)] = 70769,
  [SMALL_STATE(6338)] = 70824,
  [SMALL_STATE(6339)] = 70879,
  [SMALL_STATE(6340)] = 70934,
  [SMALL_STATE(6341)] = 70997,
  [SMALL_STATE(6342)] = 71052,
  [SMALL_STATE(6343)] = 71107,
  [SMALL_STATE(6344)] = 71226,
  [SMALL_STATE(6345)] = 71285,
  [SMALL_STATE(6346)] = 71348,
  [SMALL_STATE(6347)] = 71407,
  [SMALL_STATE(6348)] = 71462,
  [SMALL_STATE(6349)] = 71535,
  [SMALL_STATE(6350)] = 71608,
  [SMALL_STATE(6351)] = 71663,
  [SMALL_STATE(6352)] = 71736,
  [SMALL_STATE(6353)] = 71809,
  [SMALL_STATE(6354)] = 71864,
  [SMALL_STATE(6355)] = 71931,
  [SMALL_STATE(6356)] = 72004,
  [SMALL_STATE(6357)] = 72058,
  [SMALL_STATE(6358)] = 72112,
  [SMALL_STATE(6359)] = 72166,
  [SMALL_STATE(6360)] = 72220,
  [SMALL_STATE(6361)] = 72274,
  [SMALL_STATE(6362)] = 72328,
  [SMALL_STATE(6363)] = 72382,
  [SMALL_STATE(6364)] = 72436,
  [SMALL_STATE(6365)] = 72490,
  [SMALL_STATE(6366)] = 72544,
  [SMALL_STATE(6367)] = 72598,
  [SMALL_STATE(6368)] = 72652,
  [SMALL_STATE(6369)] = 72706,
  [SMALL_STATE(6370)] = 72760,
  [SMALL_STATE(6371)] = 72814,
  [SMALL_STATE(6372)] = 72868,
  [SMALL_STATE(6373)] = 72922,
  [SMALL_STATE(6374)] = 72976,
  [SMALL_STATE(6375)] = 73030,
  [SMALL_STATE(6376)] = 73084,
  [SMALL_STATE(6377)] = 73138,
  [SMALL_STATE(6378)] = 73192,
  [SMALL_STATE(6379)] = 73246,
  [SMALL_STATE(6380)] = 73300,
  [SMALL_STATE(6381)] = 73354,
  [SMALL_STATE(6382)] = 73408,
  [SMALL_STATE(6383)] = 73462,
  [SMALL_STATE(6384)] = 73516,
  [SMALL_STATE(6385)] = 73570,
  [SMALL_STATE(6386)] = 73624,
  [SMALL_STATE(6387)] = 73678,
  [SMALL_STATE(6388)] = 73732,
  [SMALL_STATE(6389)] = 73786,
  [SMALL_STATE(6390)] = 73840,
  [SMALL_STATE(6391)] = 73894,
  [SMALL_STATE(6392)] = 73948,
  [SMALL_STATE(6393)] = 74002,
  [SMALL_STATE(6394)] = 74056,
  [SMALL_STATE(6395)] = 74110,
  [SMALL_STATE(6396)] = 74164,
  [SMALL_STATE(6397)] = 74218,
  [SMALL_STATE(6398)] = 74272,
  [SMALL_STATE(6399)] = 74326,
  [SMALL_STATE(6400)] = 74380,
  [SMALL_STATE(6401)] = 74434,
  [SMALL_STATE(6402)] = 74488,
  [SMALL_STATE(6403)] = 74542,
  [SMALL_STATE(6404)] = 74596,
  [SMALL_STATE(6405)] = 74650,
  [SMALL_STATE(6406)] = 74704,
  [SMALL_STATE(6407)] = 74758,
  [SMALL_STATE(6408)] = 74812,
  [SMALL_STATE(6409)] = 74866,
  [SMALL_STATE(6410)] = 74920,
  [SMALL_STATE(6411)] = 74974,
  [SMALL_STATE(6412)] = 75028,
  [SMALL_STATE(6413)] = 75082,
  [SMALL_STATE(6414)] = 75136,
  [SMALL_STATE(6415)] = 75190,
  [SMALL_STATE(6416)] = 75244,
  [SMALL_STATE(6417)] = 75298,
  [SMALL_STATE(6418)] = 75352,
  [SMALL_STATE(6419)] = 75406,
  [SMALL_STATE(6420)] = 75460,
  [SMALL_STATE(6421)] = 75514,
  [SMALL_STATE(6422)] = 75568,
  [SMALL_STATE(6423)] = 75634,
  [SMALL_STATE(6424)] = 75688,
  [SMALL_STATE(6425)] = 75742,
  [SMALL_STATE(6426)] = 75796,
  [SMALL_STATE(6427)] = 75850,
  [SMALL_STATE(6428)] = 75904,
  [SMALL_STATE(6429)] = 75958,
  [SMALL_STATE(6430)] = 76012,
  [SMALL_STATE(6431)] = 76066,
  [SMALL_STATE(6432)] = 76120,
  [SMALL_STATE(6433)] = 76174,
  [SMALL_STATE(6434)] = 76228,
  [SMALL_STATE(6435)] = 76282,
  [SMALL_STATE(6436)] = 76336,
  [SMALL_STATE(6437)] = 76390,
  [SMALL_STATE(6438)] = 76444,
  [SMALL_STATE(6439)] = 76498,
  [SMALL_STATE(6440)] = 76552,
  [SMALL_STATE(6441)] = 76606,
  [SMALL_STATE(6442)] = 76660,
  [SMALL_STATE(6443)] = 76714,
  [SMALL_STATE(6444)] = 76768,
  [SMALL_STATE(6445)] = 76822,
  [SMALL_STATE(6446)] = 76876,
  [SMALL_STATE(6447)] = 76930,
  [SMALL_STATE(6448)] = 76984,
  [SMALL_STATE(6449)] = 77038,
  [SMALL_STATE(6450)] = 77092,
  [SMALL_STATE(6451)] = 77146,
  [SMALL_STATE(6452)] = 77200,
  [SMALL_STATE(6453)] = 77254,
  [SMALL_STATE(6454)] = 77308,
  [SMALL_STATE(6455)] = 77362,
  [SMALL_STATE(6456)] = 77420,
  [SMALL_STATE(6457)] = 77478,
  [SMALL_STATE(6458)] = 77536,
  [SMALL_STATE(6459)] = 77590,
  [SMALL_STATE(6460)] = 77648,
  [SMALL_STATE(6461)] = 77706,
  [SMALL_STATE(6462)] = 77764,
  [SMALL_STATE(6463)] = 77822,
  [SMALL_STATE(6464)] = 77876,
  [SMALL_STATE(6465)] = 77930,
  [SMALL_STATE(6466)] = 78044,
  [SMALL_STATE(6467)] = 78098,
  [SMALL_STATE(6468)] = 78156,
  [SMALL_STATE(6469)] = 78210,
  [SMALL_STATE(6470)] = 78264,
  [SMALL_STATE(6471)] = 78318,
  [SMALL_STATE(6472)] = 78398,
  [SMALL_STATE(6473)] = 78460,
  [SMALL_STATE(6474)] = 78540,
  [SMALL_STATE(6475)] = 78658,
  [SMALL_STATE(6476)] = 78712,
  [SMALL_STATE(6477)] = 78766,
  [SMALL_STATE(6478)] = 78820,
  [SMALL_STATE(6479)] = 78878,
  [SMALL_STATE(6480)] = 78944,
  [SMALL_STATE(6481)] = 78998,
  [SMALL_STATE(6482)] = 79052,
  [SMALL_STATE(6483)] = 79114,
  [SMALL_STATE(6484)] = 79168,
  [SMALL_STATE(6485)] = 79222,
  [SMALL_STATE(6486)] = 79276,
  [SMALL_STATE(6487)] = 79338,
  [SMALL_STATE(6488)] = 79392,
  [SMALL_STATE(6489)] = 79446,
  [SMALL_STATE(6490)] = 79504,
  [SMALL_STATE(6491)] = 79558,
  [SMALL_STATE(6492)] = 79616,
  [SMALL_STATE(6493)] = 79670,
  [SMALL_STATE(6494)] = 79724,
  [SMALL_STATE(6495)] = 79778,
  [SMALL_STATE(6496)] = 79832,
  [SMALL_STATE(6497)] = 79886,
  [SMALL_STATE(6498)] = 79940,
  [SMALL_STATE(6499)] = 79994,
  [SMALL_STATE(6500)] = 80048,
  [SMALL_STATE(6501)] = 80114,
  [SMALL_STATE(6502)] = 80168,
  [SMALL_STATE(6503)] = 80222,
  [SMALL_STATE(6504)] = 80276,
  [SMALL_STATE(6505)] = 80330,
  [SMALL_STATE(6506)] = 80384,
  [SMALL_STATE(6507)] = 80438,
  [SMALL_STATE(6508)] = 80492,
  [SMALL_STATE(6509)] = 80546,
  [SMALL_STATE(6510)] = 80600,
  [SMALL_STATE(6511)] = 80654,
  [SMALL_STATE(6512)] = 80708,
  [SMALL_STATE(6513)] = 80762,
  [SMALL_STATE(6514)] = 80816,
  [SMALL_STATE(6515)] = 80870,
  [SMALL_STATE(6516)] = 80924,
  [SMALL_STATE(6517)] = 80978,
  [SMALL_STATE(6518)] = 81032,
  [SMALL_STATE(6519)] = 81086,
  [SMALL_STATE(6520)] = 81140,
  [SMALL_STATE(6521)] = 81194,
  [SMALL_STATE(6522)] = 81248,
  [SMALL_STATE(6523)] = 81302,
  [SMALL_STATE(6524)] = 81356,
  [SMALL_STATE(6525)] = 81418,
  [SMALL_STATE(6526)] = 81472,
  [SMALL_STATE(6527)] = 81526,
  [SMALL_STATE(6528)] = 81580,
  [SMALL_STATE(6529)] = 81634,
  [SMALL_STATE(6530)] = 81688,
  [SMALL_STATE(6531)] = 81742,
  [SMALL_STATE(6532)] = 81796,
  [SMALL_STATE(6533)] = 81850,
  [SMALL_STATE(6534)] = 81904,
  [SMALL_STATE(6535)] = 81958,
  [SMALL_STATE(6536)] = 82012,
  [SMALL_STATE(6537)] = 82066,
  [SMALL_STATE(6538)] = 82120,
  [SMALL_STATE(6539)] = 82174,
  [SMALL_STATE(6540)] = 82228,
  [SMALL_STATE(6541)] = 82282,
  [SMALL_STATE(6542)] = 82336,
  [SMALL_STATE(6543)] = 82390,
  [SMALL_STATE(6544)] = 82444,
  [SMALL_STATE(6545)] = 82510,
  [SMALL_STATE(6546)] = 82564,
  [SMALL_STATE(6547)] = 82618,
  [SMALL_STATE(6548)] = 82672,
  [SMALL_STATE(6549)] = 82726,
  [SMALL_STATE(6550)] = 82780,
  [SMALL_STATE(6551)] = 82834,
  [SMALL_STATE(6552)] = 82888,
  [SMALL_STATE(6553)] = 82942,
  [SMALL_STATE(6554)] = 82996,
  [SMALL_STATE(6555)] = 83050,
  [SMALL_STATE(6556)] = 83104,
  [SMALL_STATE(6557)] = 83158,
  [SMALL_STATE(6558)] = 83212,
  [SMALL_STATE(6559)] = 83266,
  [SMALL_STATE(6560)] = 83320,
  [SMALL_STATE(6561)] = 83374,
  [SMALL_STATE(6562)] = 83428,
  [SMALL_STATE(6563)] = 83482,
  [SMALL_STATE(6564)] = 83536,
  [SMALL_STATE(6565)] = 83590,
  [SMALL_STATE(6566)] = 83644,
  [SMALL_STATE(6567)] = 83698,
  [SMALL_STATE(6568)] = 83752,
  [SMALL_STATE(6569)] = 83806,
  [SMALL_STATE(6570)] = 83860,
  [SMALL_STATE(6571)] = 83914,
  [SMALL_STATE(6572)] = 83968,
  [SMALL_STATE(6573)] = 84022,
  [SMALL_STATE(6574)] = 84084,
  [SMALL_STATE(6575)] = 84142,
  [SMALL_STATE(6576)] = 84196,
  [SMALL_STATE(6577)] = 84250,
  [SMALL_STATE(6578)] = 84304,
  [SMALL_STATE(6579)] = 84358,
  [SMALL_STATE(6580)] = 84412,
  [SMALL_STATE(6581)] = 84466,
  [SMALL_STATE(6582)] = 84524,
  [SMALL_STATE(6583)] = 84578,
  [SMALL_STATE(6584)] = 84632,
  [SMALL_STATE(6585)] = 84686,
  [SMALL_STATE(6586)] = 84740,
  [SMALL_STATE(6587)] = 84802,
  [SMALL_STATE(6588)] = 84856,
  [SMALL_STATE(6589)] = 84910,
  [SMALL_STATE(6590)] = 84964,
  [SMALL_STATE(6591)] = 85018,
  [SMALL_STATE(6592)] = 85089,
  [SMALL_STATE(6593)] = 85146,
  [SMALL_STATE(6594)] = 85203,
  [SMALL_STATE(6595)] = 85260,
  [SMALL_STATE(6596)] = 85313,
  [SMALL_STATE(6597)] = 85384,
  [SMALL_STATE(6598)] = 85441,
  [SMALL_STATE(6599)] = 85502,
  [SMALL_STATE(6600)] = 85601,
  [SMALL_STATE(6601)] = 85688,
  [SMALL_STATE(6602)] = 85769,
  [SMALL_STATE(6603)] = 85826,
  [SMALL_STATE(6604)] = 85899,
  [SMALL_STATE(6605)] = 85956,
  [SMALL_STATE(6606)] = 86027,
  [SMALL_STATE(6607)] = 86080,
  [SMALL_STATE(6608)] = 86137,
  [SMALL_STATE(6609)] = 86210,
  [SMALL_STATE(6610)] = 86265,
  [SMALL_STATE(6611)] = 86318,
  [SMALL_STATE(6612)] = 86371,
  [SMALL_STATE(6613)] = 86444,
  [SMALL_STATE(6614)] = 86531,
  [SMALL_STATE(6615)] = 86618,
  [SMALL_STATE(6616)] = 86705,
  [SMALL_STATE(6617)] = 86792,
  [SMALL_STATE(6618)] = 86879,
  [SMALL_STATE(6619)] = 86932,
  [SMALL_STATE(6620)] = 87031,
  [SMALL_STATE(6621)] = 87128,
  [SMALL_STATE(6622)] = 87189,
  [SMALL_STATE(6623)] = 87274,
  [SMALL_STATE(6624)] = 87335,
  [SMALL_STATE(6625)] = 87408,
  [SMALL_STATE(6626)] = 87491,
  [SMALL_STATE(6627)] = 87572,
  [SMALL_STATE(6628)] = 87651,
  [SMALL_STATE(6629)] = 87726,
  [SMALL_STATE(6630)] = 87813,
  [SMALL_STATE(6631)] = 87884,
  [SMALL_STATE(6632)] = 87983,
  [SMALL_STATE(6633)] = 88044,
  [SMALL_STATE(6634)] = 88131,
  [SMALL_STATE(6635)] = 88204,
  [SMALL_STATE(6636)] = 88291,
  [SMALL_STATE(6637)] = 88364,
  [SMALL_STATE(6638)] = 88425,
  [SMALL_STATE(6639)] = 88498,
  [SMALL_STATE(6640)] = 88585,
  [SMALL_STATE(6641)] = 88660,
  [SMALL_STATE(6642)] = 88739,
  [SMALL_STATE(6643)] = 88800,
  [SMALL_STATE(6644)] = 88873,
  [SMALL_STATE(6645)] = 88928,
  [SMALL_STATE(6646)] = 89025,
  [SMALL_STATE(6647)] = 89108,
  [SMALL_STATE(6648)] = 89161,
  [SMALL_STATE(6649)] = 89248,
  [SMALL_STATE(6650)] = 89321,
  [SMALL_STATE(6651)] = 89406,
  [SMALL_STATE(6652)] = 89519,
  [SMALL_STATE(6653)] = 89594,
  [SMALL_STATE(6654)] = 89665,
  [SMALL_STATE(6655)] = 89744,
  [SMALL_STATE(6656)] = 89825,
  [SMALL_STATE(6657)] = 89930,
  [SMALL_STATE(6658)] = 90017,
  [SMALL_STATE(6659)] = 90088,
  [SMALL_STATE(6660)] = 90175,
  [SMALL_STATE(6661)] = 90258,
  [SMALL_STATE(6662)] = 90343,
  [SMALL_STATE(6663)] = 90440,
  [SMALL_STATE(6664)] = 90537,
  [SMALL_STATE(6665)] = 90598,
  [SMALL_STATE(6666)] = 90697,
  [SMALL_STATE(6667)] = 90784,
  [SMALL_STATE(6668)] = 90871,
  [SMALL_STATE(6669)] = 90970,
  [SMALL_STATE(6670)] = 91057,
  [SMALL_STATE(6671)] = 91162,
  [SMALL_STATE(6672)] = 91261,
  [SMALL_STATE(6673)] = 91348,
  [SMALL_STATE(6674)] = 91435,
  [SMALL_STATE(6675)] = 91522,
  [SMALL_STATE(6676)] = 91575,
  [SMALL_STATE(6677)] = 91662,
  [SMALL_STATE(6678)] = 91749,
  [SMALL_STATE(6679)] = 91836,
  [SMALL_STATE(6680)] = 91907,
  [SMALL_STATE(6681)] = 91994,
  [SMALL_STATE(6682)] = 92069,
  [SMALL_STATE(6683)] = 92140,
  [SMALL_STATE(6684)] = 92219,
  [SMALL_STATE(6685)] = 92272,
  [SMALL_STATE(6686)] = 92359,
  [SMALL_STATE(6687)] = 92412,
  [SMALL_STATE(6688)] = 92483,
  [SMALL_STATE(6689)] = 92582,
  [SMALL_STATE(6690)] = 92663,
  [SMALL_STATE(6691)] = 92746,
  [SMALL_STATE(6692)] = 92831,
  [SMALL_STATE(6693)] = 92886,
  [SMALL_STATE(6694)] = 92941,
  [SMALL_STATE(6695)] = 93014,
  [SMALL_STATE(6696)] = 93109,
  [SMALL_STATE(6697)] = 93170,
  [SMALL_STATE(6698)] = 93226,
  [SMALL_STATE(6699)] = 93278,
  [SMALL_STATE(6700)] = 93334,
  [SMALL_STATE(6701)] = 93392,
  [SMALL_STATE(6702)] = 93444,
  [SMALL_STATE(6703)] = 93500,
  [SMALL_STATE(6704)] = 93556,
  [SMALL_STATE(6705)] = 93614,
  [SMALL_STATE(6706)] = 93678,
  [SMALL_STATE(6707)] = 93730,
  [SMALL_STATE(6708)] = 93786,
  [SMALL_STATE(6709)] = 93844,
  [SMALL_STATE(6710)] = 93900,
  [SMALL_STATE(6711)] = 93956,
  [SMALL_STATE(6712)] = 94012,
  [SMALL_STATE(6713)] = 94068,
  [SMALL_STATE(6714)] = 94124,
  [SMALL_STATE(6715)] = 94180,
  [SMALL_STATE(6716)] = 94236,
  [SMALL_STATE(6717)] = 94300,
  [SMALL_STATE(6718)] = 94356,
  [SMALL_STATE(6719)] = 94420,
  [SMALL_STATE(6720)] = 94476,
  [SMALL_STATE(6721)] = 94532,
  [SMALL_STATE(6722)] = 94588,
  [SMALL_STATE(6723)] = 94640,
  [SMALL_STATE(6724)] = 94698,
  [SMALL_STATE(6725)] = 94754,
  [SMALL_STATE(6726)] = 94806,
  [SMALL_STATE(6727)] = 94862,
  [SMALL_STATE(6728)] = 94914,
  [SMALL_STATE(6729)] = 94978,
  [SMALL_STATE(6730)] = 95030,
  [SMALL_STATE(6731)] = 95082,
  [SMALL_STATE(6732)] = 95138,
  [SMALL_STATE(6733)] = 95194,
  [SMALL_STATE(6734)] = 95246,
  [SMALL_STATE(6735)] = 95302,
  [SMALL_STATE(6736)] = 95366,
  [SMALL_STATE(6737)] = 95422,
  [SMALL_STATE(6738)] = 95486,
  [SMALL_STATE(6739)] = 95542,
  [SMALL_STATE(6740)] = 95606,
  [SMALL_STATE(6741)] = 95670,
  [SMALL_STATE(6742)] = 95726,
  [SMALL_STATE(6743)] = 95790,
  [SMALL_STATE(6744)] = 95846,
  [SMALL_STATE(6745)] = 95902,
  [SMALL_STATE(6746)] = 95964,
  [SMALL_STATE(6747)] = 96026,
  [SMALL_STATE(6748)] = 96082,
  [SMALL_STATE(6749)] = 96154,
  [SMALL_STATE(6750)] = 96210,
  [SMALL_STATE(6751)] = 96264,
  [SMALL_STATE(6752)] = 96328,
  [SMALL_STATE(6753)] = 96384,
  [SMALL_STATE(6754)] = 96440,
  [SMALL_STATE(6755)] = 96496,
  [SMALL_STATE(6756)] = 96558,
  [SMALL_STATE(6757)] = 96620,
  [SMALL_STATE(6758)] = 96676,
  [SMALL_STATE(6759)] = 96732,
  [SMALL_STATE(6760)] = 96796,
  [SMALL_STATE(6761)] = 96852,
  [SMALL_STATE(6762)] = 96908,
  [SMALL_STATE(6763)] = 96964,
  [SMALL_STATE(6764)] = 97020,
  [SMALL_STATE(6765)] = 97076,
  [SMALL_STATE(6766)] = 97140,
  [SMALL_STATE(6767)] = 97192,
  [SMALL_STATE(6768)] = 97244,
  [SMALL_STATE(6769)] = 97300,
  [SMALL_STATE(6770)] = 97356,
  [SMALL_STATE(6771)] = 97412,
  [SMALL_STATE(6772)] = 97468,
  [SMALL_STATE(6773)] = 97524,
  [SMALL_STATE(6774)] = 97580,
  [SMALL_STATE(6775)] = 97632,
  [SMALL_STATE(6776)] = 97684,
  [SMALL_STATE(6777)] = 97756,
  [SMALL_STATE(6778)] = 97812,
  [SMALL_STATE(6779)] = 97868,
  [SMALL_STATE(6780)] = 97924,
  [SMALL_STATE(6781)] = 97988,
  [SMALL_STATE(6782)] = 98074,
  [SMALL_STATE(6783)] = 98126,
  [SMALL_STATE(6784)] = 98190,
  [SMALL_STATE(6785)] = 98262,
  [SMALL_STATE(6786)] = 98332,
  [SMALL_STATE(6787)] = 98384,
  [SMALL_STATE(6788)] = 98436,
  [SMALL_STATE(6789)] = 98522,
  [SMALL_STATE(6790)] = 98578,
  [SMALL_STATE(6791)] = 98634,
  [SMALL_STATE(6792)] = 98686,
  [SMALL_STATE(6793)] = 98742,
  [SMALL_STATE(6794)] = 98794,
  [SMALL_STATE(6795)] = 98894,
  [SMALL_STATE(6796)] = 98946,
  [SMALL_STATE(6797)] = 99002,
  [SMALL_STATE(6798)] = 99058,
  [SMALL_STATE(6799)] = 99110,
  [SMALL_STATE(6800)] = 99174,
  [SMALL_STATE(6801)] = 99226,
  [SMALL_STATE(6802)] = 99278,
  [SMALL_STATE(6803)] = 99334,
  [SMALL_STATE(6804)] = 99390,
  [SMALL_STATE(6805)] = 99446,
  [SMALL_STATE(6806)] = 99498,
  [SMALL_STATE(6807)] = 99554,
  [SMALL_STATE(6808)] = 99610,
  [SMALL_STATE(6809)] = 99674,
  [SMALL_STATE(6810)] = 99730,
  [SMALL_STATE(6811)] = 99794,
  [SMALL_STATE(6812)] = 99846,
  [SMALL_STATE(6813)] = 99910,
  [SMALL_STATE(6814)] = 99962,
  [SMALL_STATE(6815)] = 100018,
  [SMALL_STATE(6816)] = 100070,
  [SMALL_STATE(6817)] = 100126,
  [SMALL_STATE(6818)] = 100178,
  [SMALL_STATE(6819)] = 100242,
  [SMALL_STATE(6820)] = 100298,
  [SMALL_STATE(6821)] = 100362,
  [SMALL_STATE(6822)] = 100414,
  [SMALL_STATE(6823)] = 100486,
  [SMALL_STATE(6824)] = 100542,
  [SMALL_STATE(6825)] = 100598,
  [SMALL_STATE(6826)] = 100650,
  [SMALL_STATE(6827)] = 100702,
  [SMALL_STATE(6828)] = 100758,
  [SMALL_STATE(6829)] = 100810,
  [SMALL_STATE(6830)] = 100874,
  [SMALL_STATE(6831)] = 100944,
  [SMALL_STATE(6832)] = 100996,
  [SMALL_STATE(6833)] = 101060,
  [SMALL_STATE(6834)] = 101116,
  [SMALL_STATE(6835)] = 101172,
  [SMALL_STATE(6836)] = 101270,
  [SMALL_STATE(6837)] = 101322,
  [SMALL_STATE(6838)] = 101374,
  [SMALL_STATE(6839)] = 101426,
  [SMALL_STATE(6840)] = 101490,
  [SMALL_STATE(6841)] = 101542,
  [SMALL_STATE(6842)] = 101628,
  [SMALL_STATE(6843)] = 101680,
  [SMALL_STATE(6844)] = 101732,
  [SMALL_STATE(6845)] = 101784,
  [SMALL_STATE(6846)] = 101836,
  [SMALL_STATE(6847)] = 101888,
  [SMALL_STATE(6848)] = 101944,
  [SMALL_STATE(6849)] = 101996,
  [SMALL_STATE(6850)] = 102048,
  [SMALL_STATE(6851)] = 102100,
  [SMALL_STATE(6852)] = 102152,
  [SMALL_STATE(6853)] = 102204,
  [SMALL_STATE(6854)] = 102256,
  [SMALL_STATE(6855)] = 102308,
  [SMALL_STATE(6856)] = 102360,
  [SMALL_STATE(6857)] = 102416,
  [SMALL_STATE(6858)] = 102502,
  [SMALL_STATE(6859)] = 102558,
  [SMALL_STATE(6860)] = 102610,
  [SMALL_STATE(6861)] = 102674,
  [SMALL_STATE(6862)] = 102726,
  [SMALL_STATE(6863)] = 102778,
  [SMALL_STATE(6864)] = 102830,
  [SMALL_STATE(6865)] = 102882,
  [SMALL_STATE(6866)] = 102938,
  [SMALL_STATE(6867)] = 102990,
  [SMALL_STATE(6868)] = 103042,
  [SMALL_STATE(6869)] = 103094,
  [SMALL_STATE(6870)] = 103150,
  [SMALL_STATE(6871)] = 103206,
  [SMALL_STATE(6872)] = 103258,
  [SMALL_STATE(6873)] = 103314,
  [SMALL_STATE(6874)] = 103386,
  [SMALL_STATE(6875)] = 103450,
  [SMALL_STATE(6876)] = 103506,
  [SMALL_STATE(6877)] = 103562,
  [SMALL_STATE(6878)] = 103626,
  [SMALL_STATE(6879)] = 103682,
  [SMALL_STATE(6880)] = 103738,
  [SMALL_STATE(6881)] = 103790,
  [SMALL_STATE(6882)] = 103842,
  [SMALL_STATE(6883)] = 103898,
  [SMALL_STATE(6884)] = 103954,
  [SMALL_STATE(6885)] = 104010,
  [SMALL_STATE(6886)] = 104066,
  [SMALL_STATE(6887)] = 104130,
  [SMALL_STATE(6888)] = 104182,
  [SMALL_STATE(6889)] = 104238,
  [SMALL_STATE(6890)] = 104290,
  [SMALL_STATE(6891)] = 104376,
  [SMALL_STATE(6892)] = 104428,
  [SMALL_STATE(6893)] = 104492,
  [SMALL_STATE(6894)] = 104564,
  [SMALL_STATE(6895)] = 104620,
  [SMALL_STATE(6896)] = 104672,
  [SMALL_STATE(6897)] = 104724,
  [SMALL_STATE(6898)] = 104776,
  [SMALL_STATE(6899)] = 104846,
  [SMALL_STATE(6900)] = 104910,
  [SMALL_STATE(6901)] = 104968,
  [SMALL_STATE(6902)] = 105020,
  [SMALL_STATE(6903)] = 105076,
  [SMALL_STATE(6904)] = 105140,
  [SMALL_STATE(6905)] = 105204,
  [SMALL_STATE(6906)] = 105268,
  [SMALL_STATE(6907)] = 105320,
  [SMALL_STATE(6908)] = 105384,
  [SMALL_STATE(6909)] = 105482,
  [SMALL_STATE(6910)] = 105538,
  [SMALL_STATE(6911)] = 105594,
  [SMALL_STATE(6912)] = 105650,
  [SMALL_STATE(6913)] = 105746,
  [SMALL_STATE(6914)] = 105840,
  [SMALL_STATE(6915)] = 105896,
  [SMALL_STATE(6916)] = 105952,
  [SMALL_STATE(6917)] = 106004,
  [SMALL_STATE(6918)] = 106068,
  [SMALL_STATE(6919)] = 106120,
  [SMALL_STATE(6920)] = 106204,
  [SMALL_STATE(6921)] = 106256,
  [SMALL_STATE(6922)] = 106308,
  [SMALL_STATE(6923)] = 106390,
  [SMALL_STATE(6924)] = 106454,
  [SMALL_STATE(6925)] = 106506,
  [SMALL_STATE(6926)] = 106562,
  [SMALL_STATE(6927)] = 106614,
  [SMALL_STATE(6928)] = 106666,
  [SMALL_STATE(6929)] = 106718,
  [SMALL_STATE(6930)] = 106770,
  [SMALL_STATE(6931)] = 106822,
  [SMALL_STATE(6932)] = 106892,
  [SMALL_STATE(6933)] = 106972,
  [SMALL_STATE(6934)] = 107050,
  [SMALL_STATE(6935)] = 107114,
  [SMALL_STATE(6936)] = 107188,
  [SMALL_STATE(6937)] = 107240,
  [SMALL_STATE(6938)] = 107292,
  [SMALL_STATE(6939)] = 107348,
  [SMALL_STATE(6940)] = 107400,
  [SMALL_STATE(6941)] = 107486,
  [SMALL_STATE(6942)] = 107542,
  [SMALL_STATE(6943)] = 107598,
  [SMALL_STATE(6944)] = 107662,
  [SMALL_STATE(6945)] = 107718,
  [SMALL_STATE(6946)] = 107774,
  [SMALL_STATE(6947)] = 107830,
  [SMALL_STATE(6948)] = 107894,
  [SMALL_STATE(6949)] = 107958,
  [SMALL_STATE(6950)] = 108010,
  [SMALL_STATE(6951)] = 108062,
  [SMALL_STATE(6952)] = 108114,
  [SMALL_STATE(6953)] = 108178,
  [SMALL_STATE(6954)] = 108234,
  [SMALL_STATE(6955)] = 108306,
  [SMALL_STATE(6956)] = 108358,
  [SMALL_STATE(6957)] = 108414,
  [SMALL_STATE(6958)] = 108466,
  [SMALL_STATE(6959)] = 108518,
  [SMALL_STATE(6960)] = 108570,
  [SMALL_STATE(6961)] = 108656,
  [SMALL_STATE(6962)] = 108730,
  [SMALL_STATE(6963)] = 108808,
  [SMALL_STATE(6964)] = 108888,
  [SMALL_STATE(6965)] = 108944,
  [SMALL_STATE(6966)] = 109026,
  [SMALL_STATE(6967)] = 109078,
  [SMALL_STATE(6968)] = 109162,
  [SMALL_STATE(6969)] = 109214,
  [SMALL_STATE(6970)] = 109270,
  [SMALL_STATE(6971)] = 109366,
  [SMALL_STATE(6972)] = 109464,
  [SMALL_STATE(6973)] = 109536,
  [SMALL_STATE(6974)] = 109588,
  [SMALL_STATE(6975)] = 109644,
  [SMALL_STATE(6976)] = 109700,
  [SMALL_STATE(6977)] = 109764,
  [SMALL_STATE(6978)] = 109816,
  [SMALL_STATE(6979)] = 109868,
  [SMALL_STATE(6980)] = 109920,
  [SMALL_STATE(6981)] = 109972,
  [SMALL_STATE(6982)] = 110058,
  [SMALL_STATE(6983)] = 110110,
  [SMALL_STATE(6984)] = 110162,
  [SMALL_STATE(6985)] = 110218,
  [SMALL_STATE(6986)] = 110274,
  [SMALL_STATE(6987)] = 110326,
  [SMALL_STATE(6988)] = 110378,
  [SMALL_STATE(6989)] = 110430,
  [SMALL_STATE(6990)] = 110482,
  [SMALL_STATE(6991)] = 110534,
  [SMALL_STATE(6992)] = 110586,
  [SMALL_STATE(6993)] = 110638,
  [SMALL_STATE(6994)] = 110690,
  [SMALL_STATE(6995)] = 110742,
  [SMALL_STATE(6996)] = 110794,
  [SMALL_STATE(6997)] = 110858,
  [SMALL_STATE(6998)] = 110910,
  [SMALL_STATE(6999)] = 110962,
  [SMALL_STATE(7000)] = 111014,
  [SMALL_STATE(7001)] = 111070,
  [SMALL_STATE(7002)] = 111122,
  [SMALL_STATE(7003)] = 111186,
  [SMALL_STATE(7004)] = 111242,
  [SMALL_STATE(7005)] = 111294,
  [SMALL_STATE(7006)] = 111350,
  [SMALL_STATE(7007)] = 111402,
  [SMALL_STATE(7008)] = 111488,
  [SMALL_STATE(7009)] = 111544,
  [SMALL_STATE(7010)] = 111630,
  [SMALL_STATE(7011)] = 111682,
  [SMALL_STATE(7012)] = 111734,
  [SMALL_STATE(7013)] = 111786,
  [SMALL_STATE(7014)] = 111838,
  [SMALL_STATE(7015)] = 111924,
  [SMALL_STATE(7016)] = 111980,
  [SMALL_STATE(7017)] = 112032,
  [SMALL_STATE(7018)] = 112118,
  [SMALL_STATE(7019)] = 112174,
  [SMALL_STATE(7020)] = 112226,
  [SMALL_STATE(7021)] = 112278,
  [SMALL_STATE(7022)] = 112330,
  [SMALL_STATE(7023)] = 112382,
  [SMALL_STATE(7024)] = 112434,
  [SMALL_STATE(7025)] = 112486,
  [SMALL_STATE(7026)] = 112572,
  [SMALL_STATE(7027)] = 112636,
  [SMALL_STATE(7028)] = 112706,
  [SMALL_STATE(7029)] = 112758,
  [SMALL_STATE(7030)] = 112810,
  [SMALL_STATE(7031)] = 112896,
  [SMALL_STATE(7032)] = 112948,
  [SMALL_STATE(7033)] = 113000,
  [SMALL_STATE(7034)] = 113052,
  [SMALL_STATE(7035)] = 113138,
  [SMALL_STATE(7036)] = 113190,
  [SMALL_STATE(7037)] = 113242,
  [SMALL_STATE(7038)] = 113294,
  [SMALL_STATE(7039)] = 113392,
  [SMALL_STATE(7040)] = 113478,
  [SMALL_STATE(7041)] = 113574,
  [SMALL_STATE(7042)] = 113658,
  [SMALL_STATE(7043)] = 113710,
  [SMALL_STATE(7044)] = 113766,
  [SMALL_STATE(7045)] = 113848,
  [SMALL_STATE(7046)] = 113928,
  [SMALL_STATE(7047)] = 114014,
  [SMALL_STATE(7048)] = 114070,
  [SMALL_STATE(7049)] = 114148,
  [SMALL_STATE(7050)] = 114200,
  [SMALL_STATE(7051)] = 114252,
  [SMALL_STATE(7052)] = 114316,
  [SMALL_STATE(7053)] = 114390,
  [SMALL_STATE(7054)] = 114476,
  [SMALL_STATE(7055)] = 114532,
  [SMALL_STATE(7056)] = 114584,
  [SMALL_STATE(7057)] = 114636,
  [SMALL_STATE(7058)] = 114692,
  [SMALL_STATE(7059)] = 114748,
  [SMALL_STATE(7060)] = 114812,
  [SMALL_STATE(7061)] = 114864,
  [SMALL_STATE(7062)] = 114920,
  [SMALL_STATE(7063)] = 114972,
  [SMALL_STATE(7064)] = 115028,
  [SMALL_STATE(7065)] = 115080,
  [SMALL_STATE(7066)] = 115134,
  [SMALL_STATE(7067)] = 115198,
  [SMALL_STATE(7068)] = 115250,
  [SMALL_STATE(7069)] = 115306,
  [SMALL_STATE(7070)] = 115362,
  [SMALL_STATE(7071)] = 115414,
  [SMALL_STATE(7072)] = 115466,
  [SMALL_STATE(7073)] = 115518,
  [SMALL_STATE(7074)] = 115582,
  [SMALL_STATE(7075)] = 115634,
  [SMALL_STATE(7076)] = 115698,
  [SMALL_STATE(7077)] = 115754,
  [SMALL_STATE(7078)] = 115806,
  [SMALL_STATE(7079)] = 115862,
  [SMALL_STATE(7080)] = 115918,
  [SMALL_STATE(7081)] = 115974,
  [SMALL_STATE(7082)] = 116038,
  [SMALL_STATE(7083)] = 116094,
  [SMALL_STATE(7084)] = 116150,
  [SMALL_STATE(7085)] = 116206,
  [SMALL_STATE(7086)] = 116258,
  [SMALL_STATE(7087)] = 116330,
  [SMALL_STATE(7088)] = 116394,
  [SMALL_STATE(7089)] = 116458,
  [SMALL_STATE(7090)] = 116528,
  [SMALL_STATE(7091)] = 116580,
  [SMALL_STATE(7092)] = 116636,
  [SMALL_STATE(7093)] = 116692,
  [SMALL_STATE(7094)] = 116748,
  [SMALL_STATE(7095)] = 116800,
  [SMALL_STATE(7096)] = 116856,
  [SMALL_STATE(7097)] = 116912,
  [SMALL_STATE(7098)] = 116964,
  [SMALL_STATE(7099)] = 117016,
  [SMALL_STATE(7100)] = 117080,
  [SMALL_STATE(7101)] = 117152,
  [SMALL_STATE(7102)] = 117206,
  [SMALL_STATE(7103)] = 117262,
  [SMALL_STATE(7104)] = 117329,
  [SMALL_STATE(7105)] = 117380,
  [SMALL_STATE(7106)] = 117431,
  [SMALL_STATE(7107)] = 117482,
  [SMALL_STATE(7108)] = 117549,
  [SMALL_STATE(7109)] = 117600,
  [SMALL_STATE(7110)] = 117651,
  [SMALL_STATE(7111)] = 117708,
  [SMALL_STATE(7112)] = 117773,
  [SMALL_STATE(7113)] = 117824,
  [SMALL_STATE(7114)] = 117891,
  [SMALL_STATE(7115)] = 117942,
  [SMALL_STATE(7116)] = 117997,
  [SMALL_STATE(7117)] = 118048,
  [SMALL_STATE(7118)] = 118103,
  [SMALL_STATE(7119)] = 118170,
  [SMALL_STATE(7120)] = 118225,
  [SMALL_STATE(7121)] = 118276,
  [SMALL_STATE(7122)] = 118331,
  [SMALL_STATE(7123)] = 118398,
  [SMALL_STATE(7124)] = 118449,
  [SMALL_STATE(7125)] = 118554,
  [SMALL_STATE(7126)] = 118657,
  [SMALL_STATE(7127)] = 118714,
  [SMALL_STATE(7128)] = 118765,
  [SMALL_STATE(7129)] = 118850,
  [SMALL_STATE(7130)] = 118901,
  [SMALL_STATE(7131)] = 118974,
  [SMALL_STATE(7132)] = 119041,
  [SMALL_STATE(7133)] = 119096,
  [SMALL_STATE(7134)] = 119147,
  [SMALL_STATE(7135)] = 119198,
  [SMALL_STATE(7136)] = 119253,
  [SMALL_STATE(7137)] = 119304,
  [SMALL_STATE(7138)] = 119381,
  [SMALL_STATE(7139)] = 119432,
  [SMALL_STATE(7140)] = 119537,
  [SMALL_STATE(7141)] = 119588,
  [SMALL_STATE(7142)] = 119639,
  [SMALL_STATE(7143)] = 119690,
  [SMALL_STATE(7144)] = 119741,
  [SMALL_STATE(7145)] = 119792,
  [SMALL_STATE(7146)] = 119843,
  [SMALL_STATE(7147)] = 119894,
  [SMALL_STATE(7148)] = 119961,
  [SMALL_STATE(7149)] = 120040,
  [SMALL_STATE(7150)] = 120145,
  [SMALL_STATE(7151)] = 120212,
  [SMALL_STATE(7152)] = 120263,
  [SMALL_STATE(7153)] = 120314,
  [SMALL_STATE(7154)] = 120419,
  [SMALL_STATE(7155)] = 120470,
  [SMALL_STATE(7156)] = 120537,
  [SMALL_STATE(7157)] = 120642,
  [SMALL_STATE(7158)] = 120709,
  [SMALL_STATE(7159)] = 120776,
  [SMALL_STATE(7160)] = 120843,
  [SMALL_STATE(7161)] = 120910,
  [SMALL_STATE(7162)] = 120963,
  [SMALL_STATE(7163)] = 121014,
  [SMALL_STATE(7164)] = 121081,
  [SMALL_STATE(7165)] = 121132,
  [SMALL_STATE(7166)] = 121213,
  [SMALL_STATE(7167)] = 121280,
  [SMALL_STATE(7168)] = 121363,
  [SMALL_STATE(7169)] = 121468,
  [SMALL_STATE(7170)] = 121535,
  [SMALL_STATE(7171)] = 121602,
  [SMALL_STATE(7172)] = 121695,
  [SMALL_STATE(7173)] = 121790,
  [SMALL_STATE(7174)] = 121845,
  [SMALL_STATE(7175)] = 121896,
  [SMALL_STATE(7176)] = 121947,
  [SMALL_STATE(7177)] = 121998,
  [SMALL_STATE(7178)] = 122049,
  [SMALL_STATE(7179)] = 122154,
  [SMALL_STATE(7180)] = 122209,
  [SMALL_STATE(7181)] = 122294,
  [SMALL_STATE(7182)] = 122379,
  [SMALL_STATE(7183)] = 122464,
  [SMALL_STATE(7184)] = 122519,
  [SMALL_STATE(7185)] = 122624,
  [SMALL_STATE(7186)] = 122675,
  [SMALL_STATE(7187)] = 122780,
  [SMALL_STATE(7188)] = 122831,
  [SMALL_STATE(7189)] = 122916,
  [SMALL_STATE(7190)] = 122983,
  [SMALL_STATE(7191)] = 123038,
  [SMALL_STATE(7192)] = 123097,
  [SMALL_STATE(7193)] = 123202,
  [SMALL_STATE(7194)] = 123257,
  [SMALL_STATE(7195)] = 123310,
  [SMALL_STATE(7196)] = 123361,
  [SMALL_STATE(7197)] = 123466,
  [SMALL_STATE(7198)] = 123521,
  [SMALL_STATE(7199)] = 123606,
  [SMALL_STATE(7200)] = 123661,
  [SMALL_STATE(7201)] = 123728,
  [SMALL_STATE(7202)] = 123795,
  [SMALL_STATE(7203)] = 123862,
  [SMALL_STATE(7204)] = 123917,
  [SMALL_STATE(7205)] = 123978,
  [SMALL_STATE(7206)] = 124083,
  [SMALL_STATE(7207)] = 124138,
  [SMALL_STATE(7208)] = 124205,
  [SMALL_STATE(7209)] = 124310,
  [SMALL_STATE(7210)] = 124369,
  [SMALL_STATE(7211)] = 124474,
  [SMALL_STATE(7212)] = 124579,
  [SMALL_STATE(7213)] = 124646,
  [SMALL_STATE(7214)] = 124703,
  [SMALL_STATE(7215)] = 124754,
  [SMALL_STATE(7216)] = 124859,
  [SMALL_STATE(7217)] = 124910,
  [SMALL_STATE(7218)] = 125015,
  [SMALL_STATE(7219)] = 125082,
  [SMALL_STATE(7220)] = 125159,
  [SMALL_STATE(7221)] = 125210,
  [SMALL_STATE(7222)] = 125261,
  [SMALL_STATE(7223)] = 125330,
  [SMALL_STATE(7224)] = 125381,
  [SMALL_STATE(7225)] = 125448,
  [SMALL_STATE(7226)] = 125545,
  [SMALL_STATE(7227)] = 125602,
  [SMALL_STATE(7228)] = 125653,
  [SMALL_STATE(7229)] = 125722,
  [SMALL_STATE(7230)] = 125773,
  [SMALL_STATE(7231)] = 125840,
  [SMALL_STATE(7232)] = 125891,
  [SMALL_STATE(7233)] = 125942,
  [SMALL_STATE(7234)] = 125993,
  [SMALL_STATE(7235)] = 126044,
  [SMALL_STATE(7236)] = 126095,
  [SMALL_STATE(7237)] = 126146,
  [SMALL_STATE(7238)] = 126197,
  [SMALL_STATE(7239)] = 126264,
  [SMALL_STATE(7240)] = 126315,
  [SMALL_STATE(7241)] = 126366,
  [SMALL_STATE(7242)] = 126417,
  [SMALL_STATE(7243)] = 126484,
  [SMALL_STATE(7244)] = 126589,
  [SMALL_STATE(7245)] = 126656,
  [SMALL_STATE(7246)] = 126711,
  [SMALL_STATE(7247)] = 126762,
  [SMALL_STATE(7248)] = 126829,
  [SMALL_STATE(7249)] = 126886,
  [SMALL_STATE(7250)] = 126991,
  [SMALL_STATE(7251)] = 127042,
  [SMALL_STATE(7252)] = 127093,
  [SMALL_STATE(7253)] = 127144,
  [SMALL_STATE(7254)] = 127199,
  [SMALL_STATE(7255)] = 127254,
  [SMALL_STATE(7256)] = 127315,
  [SMALL_STATE(7257)] = 127376,
  [SMALL_STATE(7258)] = 127427,
  [SMALL_STATE(7259)] = 127482,
  [SMALL_STATE(7260)] = 127539,
  [SMALL_STATE(7261)] = 127596,
  [SMALL_STATE(7262)] = 127701,
  [SMALL_STATE(7263)] = 127752,
  [SMALL_STATE(7264)] = 127807,
  [SMALL_STATE(7265)] = 127868,
  [SMALL_STATE(7266)] = 127923,
  [SMALL_STATE(7267)] = 127978,
  [SMALL_STATE(7268)] = 128029,
  [SMALL_STATE(7269)] = 128134,
  [SMALL_STATE(7270)] = 128189,
  [SMALL_STATE(7271)] = 128247,
  [SMALL_STATE(7272)] = 128303,
  [SMALL_STATE(7273)] = 128361,
  [SMALL_STATE(7274)] = 128415,
  [SMALL_STATE(7275)] = 128469,
  [SMALL_STATE(7276)] = 128519,
  [SMALL_STATE(7277)] = 128577,
  [SMALL_STATE(7278)] = 128635,
  [SMALL_STATE(7279)] = 128693,
  [SMALL_STATE(7280)] = 128747,
  [SMALL_STATE(7281)] = 128807,
  [SMALL_STATE(7282)] = 128865,
  [SMALL_STATE(7283)] = 128919,
  [SMALL_STATE(7284)] = 128969,
  [SMALL_STATE(7285)] = 129019,
  [SMALL_STATE(7286)] = 129073,
  [SMALL_STATE(7287)] = 129131,
  [SMALL_STATE(7288)] = 129185,
  [SMALL_STATE(7289)] = 129243,
  [SMALL_STATE(7290)] = 129301,
  [SMALL_STATE(7291)] = 129359,
  [SMALL_STATE(7292)] = 129417,
  [SMALL_STATE(7293)] = 129471,
  [SMALL_STATE(7294)] = 129529,
  [SMALL_STATE(7295)] = 129587,
  [SMALL_STATE(7296)] = 129645,
  [SMALL_STATE(7297)] = 129703,
  [SMALL_STATE(7298)] = 129753,
  [SMALL_STATE(7299)] = 129807,
  [SMALL_STATE(7300)] = 129865,
  [SMALL_STATE(7301)] = 129919,
  [SMALL_STATE(7302)] = 129977,
  [SMALL_STATE(7303)] = 130035,
  [SMALL_STATE(7304)] = 130093,
  [SMALL_STATE(7305)] = 130151,
  [SMALL_STATE(7306)] = 130205,
  [SMALL_STATE(7307)] = 130255,
  [SMALL_STATE(7308)] = 130305,
  [SMALL_STATE(7309)] = 130355,
  [SMALL_STATE(7310)] = 130413,
  [SMALL_STATE(7311)] = 130471,
  [SMALL_STATE(7312)] = 130529,
  [SMALL_STATE(7313)] = 130587,
  [SMALL_STATE(7314)] = 130645,
  [SMALL_STATE(7315)] = 130703,
  [SMALL_STATE(7316)] = 130757,
  [SMALL_STATE(7317)] = 130811,
  [SMALL_STATE(7318)] = 130869,
  [SMALL_STATE(7319)] = 130927,
  [SMALL_STATE(7320)] = 130977,
  [SMALL_STATE(7321)] = 131031,
  [SMALL_STATE(7322)] = 131089,
  [SMALL_STATE(7323)] = 131143,
  [SMALL_STATE(7324)] = 131201,
  [SMALL_STATE(7325)] = 131259,
  [SMALL_STATE(7326)] = 131309,
  [SMALL_STATE(7327)] = 131359,
  [SMALL_STATE(7328)] = 131417,
  [SMALL_STATE(7329)] = 131467,
  [SMALL_STATE(7330)] = 131525,
  [SMALL_STATE(7331)] = 131581,
  [SMALL_STATE(7332)] = 131641,
  [SMALL_STATE(7333)] = 131699,
  [SMALL_STATE(7334)] = 131757,
  [SMALL_STATE(7335)] = 131815,
  [SMALL_STATE(7336)] = 131873,
  [SMALL_STATE(7337)] = 131923,
  [SMALL_STATE(7338)] = 131975,
  [SMALL_STATE(7339)] = 132033,
  [SMALL_STATE(7340)] = 132091,
  [SMALL_STATE(7341)] = 132147,
  [SMALL_STATE(7342)] = 132205,
  [SMALL_STATE(7343)] = 132263,
  [SMALL_STATE(7344)] = 132325,
  [SMALL_STATE(7345)] = 132427,
  [SMALL_STATE(7346)] = 132529,
  [SMALL_STATE(7347)] = 132587,
  [SMALL_STATE(7348)] = 132645,
  [SMALL_STATE(7349)] = 132703,
  [SMALL_STATE(7350)] = 132761,
  [SMALL_STATE(7351)] = 132819,
  [SMALL_STATE(7352)] = 132877,
  [SMALL_STATE(7353)] = 132935,
  [SMALL_STATE(7354)] = 132985,
  [SMALL_STATE(7355)] = 133043,
  [SMALL_STATE(7356)] = 133101,
  [SMALL_STATE(7357)] = 133159,
  [SMALL_STATE(7358)] = 133217,
  [SMALL_STATE(7359)] = 133275,
  [SMALL_STATE(7360)] = 133333,
  [SMALL_STATE(7361)] = 133387,
  [SMALL_STATE(7362)] = 133441,
  [SMALL_STATE(7363)] = 133499,
  [SMALL_STATE(7364)] = 133549,
  [SMALL_STATE(7365)] = 133607,
  [SMALL_STATE(7366)] = 133661,
  [SMALL_STATE(7367)] = 133715,
  [SMALL_STATE(7368)] = 133765,
  [SMALL_STATE(7369)] = 133823,
  [SMALL_STATE(7370)] = 133881,
  [SMALL_STATE(7371)] = 133939,
  [SMALL_STATE(7372)] = 133989,
  [SMALL_STATE(7373)] = 134047,
  [SMALL_STATE(7374)] = 134105,
  [SMALL_STATE(7375)] = 134163,
  [SMALL_STATE(7376)] = 134213,
  [SMALL_STATE(7377)] = 134273,
  [SMALL_STATE(7378)] = 134331,
  [SMALL_STATE(7379)] = 134405,
  [SMALL_STATE(7380)] = 134463,
  [SMALL_STATE(7381)] = 134519,
  [SMALL_STATE(7382)] = 134577,
  [SMALL_STATE(7383)] = 134637,
  [SMALL_STATE(7384)] = 134695,
  [SMALL_STATE(7385)] = 134753,
  [SMALL_STATE(7386)] = 134803,
  [SMALL_STATE(7387)] = 134861,
  [SMALL_STATE(7388)] = 134911,
  [SMALL_STATE(7389)] = 135013,
  [SMALL_STATE(7390)] = 135115,
  [SMALL_STATE(7391)] = 135165,
  [SMALL_STATE(7392)] = 135223,
  [SMALL_STATE(7393)] = 135281,
  [SMALL_STATE(7394)] = 135331,
  [SMALL_STATE(7395)] = 135389,
  [SMALL_STATE(7396)] = 135439,
  [SMALL_STATE(7397)] = 135497,
  [SMALL_STATE(7398)] = 135555,
  [SMALL_STATE(7399)] = 135613,
  [SMALL_STATE(7400)] = 135671,
  [SMALL_STATE(7401)] = 135727,
  [SMALL_STATE(7402)] = 135777,
  [SMALL_STATE(7403)] = 135831,
  [SMALL_STATE(7404)] = 135881,
  [SMALL_STATE(7405)] = 135931,
  [SMALL_STATE(7406)] = 135989,
  [SMALL_STATE(7407)] = 136047,
  [SMALL_STATE(7408)] = 136097,
  [SMALL_STATE(7409)] = 136147,
  [SMALL_STATE(7410)] = 136197,
  [SMALL_STATE(7411)] = 136255,
  [SMALL_STATE(7412)] = 136315,
  [SMALL_STATE(7413)] = 136367,
  [SMALL_STATE(7414)] = 136419,
  [SMALL_STATE(7415)] = 136471,
  [SMALL_STATE(7416)] = 136523,
  [SMALL_STATE(7417)] = 136581,
  [SMALL_STATE(7418)] = 136639,
  [SMALL_STATE(7419)] = 136691,
  [SMALL_STATE(7420)] = 136745,
  [SMALL_STATE(7421)] = 136803,
  [SMALL_STATE(7422)] = 136857,
  [SMALL_STATE(7423)] = 136909,
  [SMALL_STATE(7424)] = 136961,
  [SMALL_STATE(7425)] = 137012,
  [SMALL_STATE(7426)] = 137065,
  [SMALL_STATE(7427)] = 137116,
  [SMALL_STATE(7428)] = 137169,
  [SMALL_STATE(7429)] = 137222,
  [SMALL_STATE(7430)] = 137275,
  [SMALL_STATE(7431)] = 137328,
  [SMALL_STATE(7432)] = 137381,
  [SMALL_STATE(7433)] = 137434,
  [SMALL_STATE(7434)] = 137485,
  [SMALL_STATE(7435)] = 137534,
  [SMALL_STATE(7436)] = 137587,
  [SMALL_STATE(7437)] = 137636,
  [SMALL_STATE(7438)] = 137689,
  [SMALL_STATE(7439)] = 137742,
  [SMALL_STATE(7440)] = 137791,
  [SMALL_STATE(7441)] = 137844,
  [SMALL_STATE(7442)] = 137897,
  [SMALL_STATE(7443)] = 137948,
  [SMALL_STATE(7444)] = 137997,
  [SMALL_STATE(7445)] = 138050,
  [SMALL_STATE(7446)] = 138099,
  [SMALL_STATE(7447)] = 138148,
  [SMALL_STATE(7448)] = 138197,
  [SMALL_STATE(7449)] = 138250,
  [SMALL_STATE(7450)] = 138301,
  [SMALL_STATE(7451)] = 138352,
  [SMALL_STATE(7452)] = 138405,
  [SMALL_STATE(7453)] = 138454,
  [SMALL_STATE(7454)] = 138503,
  [SMALL_STATE(7455)] = 138574,
  [SMALL_STATE(7456)] = 138627,
  [SMALL_STATE(7457)] = 138676,
  [SMALL_STATE(7458)] = 138729,
  [SMALL_STATE(7459)] = 138782,
  [SMALL_STATE(7460)] = 138831,
  [SMALL_STATE(7461)] = 138880,
  [SMALL_STATE(7462)] = 138933,
  [SMALL_STATE(7463)] = 138982,
  [SMALL_STATE(7464)] = 139035,
  [SMALL_STATE(7465)] = 139088,
  [SMALL_STATE(7466)] = 139141,
  [SMALL_STATE(7467)] = 139190,
  [SMALL_STATE(7468)] = 139243,
  [SMALL_STATE(7469)] = 139294,
  [SMALL_STATE(7470)] = 139345,
  [SMALL_STATE(7471)] = 139398,
  [SMALL_STATE(7472)] = 139449,
  [SMALL_STATE(7473)] = 139502,
  [SMALL_STATE(7474)] = 139553,
  [SMALL_STATE(7475)] = 139606,
  [SMALL_STATE(7476)] = 139661,
  [SMALL_STATE(7477)] = 139716,
  [SMALL_STATE(7478)] = 139771,
  [SMALL_STATE(7479)] = 139824,
  [SMALL_STATE(7480)] = 139877,
  [SMALL_STATE(7481)] = 139930,
  [SMALL_STATE(7482)] = 139983,
  [SMALL_STATE(7483)] = 140036,
  [SMALL_STATE(7484)] = 140089,
  [SMALL_STATE(7485)] = 140142,
  [SMALL_STATE(7486)] = 140191,
  [SMALL_STATE(7487)] = 140240,
  [SMALL_STATE(7488)] = 140293,
  [SMALL_STATE(7489)] = 140346,
  [SMALL_STATE(7490)] = 140399,
  [SMALL_STATE(7491)] = 140452,
  [SMALL_STATE(7492)] = 140505,
  [SMALL_STATE(7493)] = 140558,
  [SMALL_STATE(7494)] = 140611,
  [SMALL_STATE(7495)] = 140664,
  [SMALL_STATE(7496)] = 140717,
  [SMALL_STATE(7497)] = 140770,
  [SMALL_STATE(7498)] = 140823,
  [SMALL_STATE(7499)] = 140876,
  [SMALL_STATE(7500)] = 140929,
  [SMALL_STATE(7501)] = 140982,
  [SMALL_STATE(7502)] = 141035,
  [SMALL_STATE(7503)] = 141090,
  [SMALL_STATE(7504)] = 141143,
  [SMALL_STATE(7505)] = 141196,
  [SMALL_STATE(7506)] = 141249,
  [SMALL_STATE(7507)] = 141302,
  [SMALL_STATE(7508)] = 141355,
  [SMALL_STATE(7509)] = 141410,
  [SMALL_STATE(7510)] = 141465,
  [SMALL_STATE(7511)] = 141518,
  [SMALL_STATE(7512)] = 141571,
  [SMALL_STATE(7513)] = 141620,
  [SMALL_STATE(7514)] = 141669,
  [SMALL_STATE(7515)] = 141718,
  [SMALL_STATE(7516)] = 141823,
  [SMALL_STATE(7517)] = 141874,
  [SMALL_STATE(7518)] = 141927,
  [SMALL_STATE(7519)] = 141980,
  [SMALL_STATE(7520)] = 142033,
  [SMALL_STATE(7521)] = 142086,
  [SMALL_STATE(7522)] = 142141,
  [SMALL_STATE(7523)] = 142194,
  [SMALL_STATE(7524)] = 142249,
  [SMALL_STATE(7525)] = 142302,
  [SMALL_STATE(7526)] = 142355,
  [SMALL_STATE(7527)] = 142408,
  [SMALL_STATE(7528)] = 142461,
  [SMALL_STATE(7529)] = 142513,
  [SMALL_STATE(7530)] = 142571,
  [SMALL_STATE(7531)] = 142673,
  [SMALL_STATE(7532)] = 142725,
  [SMALL_STATE(7533)] = 142777,
  [SMALL_STATE(7534)] = 142835,
  [SMALL_STATE(7535)] = 142887,
  [SMALL_STATE(7536)] = 142935,
  [SMALL_STATE(7537)] = 142983,
  [SMALL_STATE(7538)] = 143031,
  [SMALL_STATE(7539)] = 143079,
  [SMALL_STATE(7540)] = 143131,
  [SMALL_STATE(7541)] = 143179,
  [SMALL_STATE(7542)] = 143227,
  [SMALL_STATE(7543)] = 143275,
  [SMALL_STATE(7544)] = 143327,
  [SMALL_STATE(7545)] = 143379,
  [SMALL_STATE(7546)] = 143431,
  [SMALL_STATE(7547)] = 143483,
  [SMALL_STATE(7548)] = 143535,
  [SMALL_STATE(7549)] = 143587,
  [SMALL_STATE(7550)] = 143645,
  [SMALL_STATE(7551)] = 143703,
  [SMALL_STATE(7552)] = 143751,
  [SMALL_STATE(7553)] = 143809,
  [SMALL_STATE(7554)] = 143861,
  [SMALL_STATE(7555)] = 143909,
  [SMALL_STATE(7556)] = 143957,
  [SMALL_STATE(7557)] = 144015,
  [SMALL_STATE(7558)] = 144063,
  [SMALL_STATE(7559)] = 144111,
  [SMALL_STATE(7560)] = 144169,
  [SMALL_STATE(7561)] = 144227,
  [SMALL_STATE(7562)] = 144275,
  [SMALL_STATE(7563)] = 144323,
  [SMALL_STATE(7564)] = 144379,
  [SMALL_STATE(7565)] = 144427,
  [SMALL_STATE(7566)] = 144479,
  [SMALL_STATE(7567)] = 144531,
  [SMALL_STATE(7568)] = 144579,
  [SMALL_STATE(7569)] = 144631,
  [SMALL_STATE(7570)] = 144683,
  [SMALL_STATE(7571)] = 144741,
  [SMALL_STATE(7572)] = 144789,
  [SMALL_STATE(7573)] = 144841,
  [SMALL_STATE(7574)] = 144897,
  [SMALL_STATE(7575)] = 144945,
  [SMALL_STATE(7576)] = 144993,
  [SMALL_STATE(7577)] = 145045,
  [SMALL_STATE(7578)] = 145147,
  [SMALL_STATE(7579)] = 145199,
  [SMALL_STATE(7580)] = 145257,
  [SMALL_STATE(7581)] = 145359,
  [SMALL_STATE(7582)] = 145407,
  [SMALL_STATE(7583)] = 145459,
  [SMALL_STATE(7584)] = 145511,
  [SMALL_STATE(7585)] = 145559,
  [SMALL_STATE(7586)] = 145617,
  [SMALL_STATE(7587)] = 145669,
  [SMALL_STATE(7588)] = 145727,
  [SMALL_STATE(7589)] = 145779,
  [SMALL_STATE(7590)] = 145827,
  [SMALL_STATE(7591)] = 145885,
  [SMALL_STATE(7592)] = 145937,
  [SMALL_STATE(7593)] = 145985,
  [SMALL_STATE(7594)] = 146037,
  [SMALL_STATE(7595)] = 146085,
  [SMALL_STATE(7596)] = 146133,
  [SMALL_STATE(7597)] = 146191,
  [SMALL_STATE(7598)] = 146239,
  [SMALL_STATE(7599)] = 146287,
  [SMALL_STATE(7600)] = 146335,
  [SMALL_STATE(7601)] = 146383,
  [SMALL_STATE(7602)] = 146435,
  [SMALL_STATE(7603)] = 146493,
  [SMALL_STATE(7604)] = 146541,
  [SMALL_STATE(7605)] = 146589,
  [SMALL_STATE(7606)] = 146641,
  [SMALL_STATE(7607)] = 146689,
  [SMALL_STATE(7608)] = 146791,
  [SMALL_STATE(7609)] = 146843,
  [SMALL_STATE(7610)] = 146895,
  [SMALL_STATE(7611)] = 146947,
  [SMALL_STATE(7612)] = 146999,
  [SMALL_STATE(7613)] = 147101,
  [SMALL_STATE(7614)] = 147203,
  [SMALL_STATE(7615)] = 147251,
  [SMALL_STATE(7616)] = 147303,
  [SMALL_STATE(7617)] = 147355,
  [SMALL_STATE(7618)] = 147413,
  [SMALL_STATE(7619)] = 147471,
  [SMALL_STATE(7620)] = 147519,
  [SMALL_STATE(7621)] = 147577,
  [SMALL_STATE(7622)] = 147679,
  [SMALL_STATE(7623)] = 147727,
  [SMALL_STATE(7624)] = 147785,
  [SMALL_STATE(7625)] = 147837,
  [SMALL_STATE(7626)] = 147885,
  [SMALL_STATE(7627)] = 147943,
  [SMALL_STATE(7628)] = 147991,
  [SMALL_STATE(7629)] = 148043,
  [SMALL_STATE(7630)] = 148091,
  [SMALL_STATE(7631)] = 148193,
  [SMALL_STATE(7632)] = 148295,
  [SMALL_STATE(7633)] = 148397,
  [SMALL_STATE(7634)] = 148445,
  [SMALL_STATE(7635)] = 148497,
  [SMALL_STATE(7636)] = 148555,
  [SMALL_STATE(7637)] = 148603,
  [SMALL_STATE(7638)] = 148655,
  [SMALL_STATE(7639)] = 148757,
  [SMALL_STATE(7640)] = 148859,
  [SMALL_STATE(7641)] = 148907,
  [SMALL_STATE(7642)] = 148959,
  [SMALL_STATE(7643)] = 149011,
  [SMALL_STATE(7644)] = 149059,
  [SMALL_STATE(7645)] = 149107,
  [SMALL_STATE(7646)] = 149155,
  [SMALL_STATE(7647)] = 149213,
  [SMALL_STATE(7648)] = 149265,
  [SMALL_STATE(7649)] = 149313,
  [SMALL_STATE(7650)] = 149361,
  [SMALL_STATE(7651)] = 149413,
  [SMALL_STATE(7652)] = 149471,
  [SMALL_STATE(7653)] = 149519,
  [SMALL_STATE(7654)] = 149567,
  [SMALL_STATE(7655)] = 149625,
  [SMALL_STATE(7656)] = 149673,
  [SMALL_STATE(7657)] = 149721,
  [SMALL_STATE(7658)] = 149769,
  [SMALL_STATE(7659)] = 149821,
  [SMALL_STATE(7660)] = 149869,
  [SMALL_STATE(7661)] = 149917,
  [SMALL_STATE(7662)] = 149965,
  [SMALL_STATE(7663)] = 150013,
  [SMALL_STATE(7664)] = 150065,
  [SMALL_STATE(7665)] = 150113,
  [SMALL_STATE(7666)] = 150165,
  [SMALL_STATE(7667)] = 150213,
  [SMALL_STATE(7668)] = 150265,
  [SMALL_STATE(7669)] = 150317,
  [SMALL_STATE(7670)] = 150365,
  [SMALL_STATE(7671)] = 150423,
  [SMALL_STATE(7672)] = 150471,
  [SMALL_STATE(7673)] = 150523,
  [SMALL_STATE(7674)] = 150571,
  [SMALL_STATE(7675)] = 150623,
  [SMALL_STATE(7676)] = 150675,
  [SMALL_STATE(7677)] = 150777,
  [SMALL_STATE(7678)] = 150879,
  [SMALL_STATE(7679)] = 150931,
  [SMALL_STATE(7680)] = 150983,
  [SMALL_STATE(7681)] = 151035,
  [SMALL_STATE(7682)] = 151087,
  [SMALL_STATE(7683)] = 151135,
  [SMALL_STATE(7684)] = 151183,
  [SMALL_STATE(7685)] = 151285,
  [SMALL_STATE(7686)] = 151343,
  [SMALL_STATE(7687)] = 151445,
  [SMALL_STATE(7688)] = 151497,
  [SMALL_STATE(7689)] = 151599,
  [SMALL_STATE(7690)] = 151701,
  [SMALL_STATE(7691)] = 151803,
  [SMALL_STATE(7692)] = 151855,
  [SMALL_STATE(7693)] = 151907,
  [SMALL_STATE(7694)] = 151955,
  [SMALL_STATE(7695)] = 152007,
  [SMALL_STATE(7696)] = 152055,
  [SMALL_STATE(7697)] = 152107,
  [SMALL_STATE(7698)] = 152155,
  [SMALL_STATE(7699)] = 152207,
  [SMALL_STATE(7700)] = 152255,
  [SMALL_STATE(7701)] = 152307,
  [SMALL_STATE(7702)] = 152359,
  [SMALL_STATE(7703)] = 152407,
  [SMALL_STATE(7704)] = 152465,
  [SMALL_STATE(7705)] = 152513,
  [SMALL_STATE(7706)] = 152561,
  [SMALL_STATE(7707)] = 152613,
  [SMALL_STATE(7708)] = 152661,
  [SMALL_STATE(7709)] = 152709,
  [SMALL_STATE(7710)] = 152757,
  [SMALL_STATE(7711)] = 152805,
  [SMALL_STATE(7712)] = 152857,
  [SMALL_STATE(7713)] = 152905,
  [SMALL_STATE(7714)] = 152957,
  [SMALL_STATE(7715)] = 153009,
  [SMALL_STATE(7716)] = 153057,
  [SMALL_STATE(7717)] = 153105,
  [SMALL_STATE(7718)] = 153163,
  [SMALL_STATE(7719)] = 153215,
  [SMALL_STATE(7720)] = 153263,
  [SMALL_STATE(7721)] = 153311,
  [SMALL_STATE(7722)] = 153359,
  [SMALL_STATE(7723)] = 153461,
  [SMALL_STATE(7724)] = 153513,
  [SMALL_STATE(7725)] = 153561,
  [SMALL_STATE(7726)] = 153613,
  [SMALL_STATE(7727)] = 153671,
  [SMALL_STATE(7728)] = 153719,
  [SMALL_STATE(7729)] = 153777,
  [SMALL_STATE(7730)] = 153825,
  [SMALL_STATE(7731)] = 153877,
  [SMALL_STATE(7732)] = 153929,
  [SMALL_STATE(7733)] = 153987,
  [SMALL_STATE(7734)] = 154039,
  [SMALL_STATE(7735)] = 154087,
  [SMALL_STATE(7736)] = 154135,
  [SMALL_STATE(7737)] = 154187,
  [SMALL_STATE(7738)] = 154245,
  [SMALL_STATE(7739)] = 154297,
  [SMALL_STATE(7740)] = 154349,
  [SMALL_STATE(7741)] = 154397,
  [SMALL_STATE(7742)] = 154449,
  [SMALL_STATE(7743)] = 154507,
  [SMALL_STATE(7744)] = 154555,
  [SMALL_STATE(7745)] = 154607,
  [SMALL_STATE(7746)] = 154665,
  [SMALL_STATE(7747)] = 154713,
  [SMALL_STATE(7748)] = 154765,
  [SMALL_STATE(7749)] = 154813,
  [SMALL_STATE(7750)] = 154871,
  [SMALL_STATE(7751)] = 154927,
  [SMALL_STATE(7752)] = 155029,
  [SMALL_STATE(7753)] = 155131,
  [SMALL_STATE(7754)] = 155233,
  [SMALL_STATE(7755)] = 155335,
  [SMALL_STATE(7756)] = 155387,
  [SMALL_STATE(7757)] = 155435,
  [SMALL_STATE(7758)] = 155537,
  [SMALL_STATE(7759)] = 155639,
  [SMALL_STATE(7760)] = 155697,
  [SMALL_STATE(7761)] = 155745,
  [SMALL_STATE(7762)] = 155793,
  [SMALL_STATE(7763)] = 155895,
  [SMALL_STATE(7764)] = 155943,
  [SMALL_STATE(7765)] = 155995,
  [SMALL_STATE(7766)] = 156043,
  [SMALL_STATE(7767)] = 156095,
  [SMALL_STATE(7768)] = 156143,
  [SMALL_STATE(7769)] = 156191,
  [SMALL_STATE(7770)] = 156243,
  [SMALL_STATE(7771)] = 156301,
  [SMALL_STATE(7772)] = 156403,
  [SMALL_STATE(7773)] = 156451,
  [SMALL_STATE(7774)] = 156509,
  [SMALL_STATE(7775)] = 156557,
  [SMALL_STATE(7776)] = 156659,
  [SMALL_STATE(7777)] = 156707,
  [SMALL_STATE(7778)] = 156809,
  [SMALL_STATE(7779)] = 156857,
  [SMALL_STATE(7780)] = 156905,
  [SMALL_STATE(7781)] = 156953,
  [SMALL_STATE(7782)] = 157001,
  [SMALL_STATE(7783)] = 157049,
  [SMALL_STATE(7784)] = 157151,
  [SMALL_STATE(7785)] = 157199,
  [SMALL_STATE(7786)] = 157301,
  [SMALL_STATE(7787)] = 157353,
  [SMALL_STATE(7788)] = 157405,
  [SMALL_STATE(7789)] = 157457,
  [SMALL_STATE(7790)] = 157505,
  [SMALL_STATE(7791)] = 157553,
  [SMALL_STATE(7792)] = 157601,
  [SMALL_STATE(7793)] = 157649,
  [SMALL_STATE(7794)] = 157701,
  [SMALL_STATE(7795)] = 157753,
  [SMALL_STATE(7796)] = 157805,
  [SMALL_STATE(7797)] = 157853,
  [SMALL_STATE(7798)] = 157901,
  [SMALL_STATE(7799)] = 157949,
  [SMALL_STATE(7800)] = 157997,
  [SMALL_STATE(7801)] = 158045,
  [SMALL_STATE(7802)] = 158097,
  [SMALL_STATE(7803)] = 158149,
  [SMALL_STATE(7804)] = 158201,
  [SMALL_STATE(7805)] = 158253,
  [SMALL_STATE(7806)] = 158301,
  [SMALL_STATE(7807)] = 158349,
  [SMALL_STATE(7808)] = 158401,
  [SMALL_STATE(7809)] = 158453,
  [SMALL_STATE(7810)] = 158501,
  [SMALL_STATE(7811)] = 158549,
  [SMALL_STATE(7812)] = 158597,
  [SMALL_STATE(7813)] = 158649,
  [SMALL_STATE(7814)] = 158697,
  [SMALL_STATE(7815)] = 158747,
  [SMALL_STATE(7816)] = 158795,
  [SMALL_STATE(7817)] = 158847,
  [SMALL_STATE(7818)] = 158899,
  [SMALL_STATE(7819)] = 158947,
  [SMALL_STATE(7820)] = 158995,
  [SMALL_STATE(7821)] = 159053,
  [SMALL_STATE(7822)] = 159101,
  [SMALL_STATE(7823)] = 159203,
  [SMALL_STATE(7824)] = 159251,
  [SMALL_STATE(7825)] = 159299,
  [SMALL_STATE(7826)] = 159347,
  [SMALL_STATE(7827)] = 159399,
  [SMALL_STATE(7828)] = 159447,
  [SMALL_STATE(7829)] = 159497,
  [SMALL_STATE(7830)] = 159545,
  [SMALL_STATE(7831)] = 159597,
  [SMALL_STATE(7832)] = 159649,
  [SMALL_STATE(7833)] = 159697,
  [SMALL_STATE(7834)] = 159799,
  [SMALL_STATE(7835)] = 159851,
  [SMALL_STATE(7836)] = 159899,
  [SMALL_STATE(7837)] = 159947,
  [SMALL_STATE(7838)] = 160047,
  [SMALL_STATE(7839)] = 160099,
  [SMALL_STATE(7840)] = 160151,
  [SMALL_STATE(7841)] = 160203,
  [SMALL_STATE(7842)] = 160255,
  [SMALL_STATE(7843)] = 160311,
  [SMALL_STATE(7844)] = 160363,
  [SMALL_STATE(7845)] = 160465,
  [SMALL_STATE(7846)] = 160517,
  [SMALL_STATE(7847)] = 160569,
  [SMALL_STATE(7848)] = 160617,
  [SMALL_STATE(7849)] = 160665,
  [SMALL_STATE(7850)] = 160767,
  [SMALL_STATE(7851)] = 160815,
  [SMALL_STATE(7852)] = 160917,
  [SMALL_STATE(7853)] = 160965,
  [SMALL_STATE(7854)] = 161013,
  [SMALL_STATE(7855)] = 161065,
  [SMALL_STATE(7856)] = 161113,
  [SMALL_STATE(7857)] = 161171,
  [SMALL_STATE(7858)] = 161219,
  [SMALL_STATE(7859)] = 161267,
  [SMALL_STATE(7860)] = 161315,
  [SMALL_STATE(7861)] = 161363,
  [SMALL_STATE(7862)] = 161411,
  [SMALL_STATE(7863)] = 161513,
  [SMALL_STATE(7864)] = 161561,
  [SMALL_STATE(7865)] = 161619,
  [SMALL_STATE(7866)] = 161667,
  [SMALL_STATE(7867)] = 161715,
  [SMALL_STATE(7868)] = 161817,
  [SMALL_STATE(7869)] = 161865,
  [SMALL_STATE(7870)] = 161913,
  [SMALL_STATE(7871)] = 161961,
  [SMALL_STATE(7872)] = 162009,
  [SMALL_STATE(7873)] = 162057,
  [SMALL_STATE(7874)] = 162159,
  [SMALL_STATE(7875)] = 162207,
  [SMALL_STATE(7876)] = 162255,
  [SMALL_STATE(7877)] = 162303,
  [SMALL_STATE(7878)] = 162351,
  [SMALL_STATE(7879)] = 162399,
  [SMALL_STATE(7880)] = 162451,
  [SMALL_STATE(7881)] = 162509,
  [SMALL_STATE(7882)] = 162557,
  [SMALL_STATE(7883)] = 162605,
  [SMALL_STATE(7884)] = 162653,
  [SMALL_STATE(7885)] = 162701,
  [SMALL_STATE(7886)] = 162749,
  [SMALL_STATE(7887)] = 162797,
  [SMALL_STATE(7888)] = 162845,
  [SMALL_STATE(7889)] = 162893,
  [SMALL_STATE(7890)] = 162941,
  [SMALL_STATE(7891)] = 162989,
  [SMALL_STATE(7892)] = 163037,
  [SMALL_STATE(7893)] = 163095,
  [SMALL_STATE(7894)] = 163143,
  [SMALL_STATE(7895)] = 163191,
  [SMALL_STATE(7896)] = 163239,
  [SMALL_STATE(7897)] = 163287,
  [SMALL_STATE(7898)] = 163335,
  [SMALL_STATE(7899)] = 163383,
  [SMALL_STATE(7900)] = 163431,
  [SMALL_STATE(7901)] = 163479,
  [SMALL_STATE(7902)] = 163527,
  [SMALL_STATE(7903)] = 163575,
  [SMALL_STATE(7904)] = 163623,
  [SMALL_STATE(7905)] = 163671,
  [SMALL_STATE(7906)] = 163719,
  [SMALL_STATE(7907)] = 163767,
  [SMALL_STATE(7908)] = 163815,
  [SMALL_STATE(7909)] = 163863,
  [SMALL_STATE(7910)] = 163911,
  [SMALL_STATE(7911)] = 163959,
  [SMALL_STATE(7912)] = 164007,
  [SMALL_STATE(7913)] = 164055,
  [SMALL_STATE(7914)] = 164103,
  [SMALL_STATE(7915)] = 164151,
  [SMALL_STATE(7916)] = 164209,
  [SMALL_STATE(7917)] = 164257,
  [SMALL_STATE(7918)] = 164305,
  [SMALL_STATE(7919)] = 164353,
  [SMALL_STATE(7920)] = 164401,
  [SMALL_STATE(7921)] = 164449,
  [SMALL_STATE(7922)] = 164497,
  [SMALL_STATE(7923)] = 164545,
  [SMALL_STATE(7924)] = 164593,
  [SMALL_STATE(7925)] = 164641,
  [SMALL_STATE(7926)] = 164689,
  [SMALL_STATE(7927)] = 164737,
  [SMALL_STATE(7928)] = 164785,
  [SMALL_STATE(7929)] = 164833,
  [SMALL_STATE(7930)] = 164881,
  [SMALL_STATE(7931)] = 164929,
  [SMALL_STATE(7932)] = 164977,
  [SMALL_STATE(7933)] = 165025,
  [SMALL_STATE(7934)] = 165073,
  [SMALL_STATE(7935)] = 165121,
  [SMALL_STATE(7936)] = 165169,
  [SMALL_STATE(7937)] = 165217,
  [SMALL_STATE(7938)] = 165269,
  [SMALL_STATE(7939)] = 165317,
  [SMALL_STATE(7940)] = 165369,
  [SMALL_STATE(7941)] = 165417,
  [SMALL_STATE(7942)] = 165465,
  [SMALL_STATE(7943)] = 165513,
  [SMALL_STATE(7944)] = 165565,
  [SMALL_STATE(7945)] = 165613,
  [SMALL_STATE(7946)] = 165671,
  [SMALL_STATE(7947)] = 165719,
  [SMALL_STATE(7948)] = 165771,
  [SMALL_STATE(7949)] = 165819,
  [SMALL_STATE(7950)] = 165867,
  [SMALL_STATE(7951)] = 165915,
  [SMALL_STATE(7952)] = 165973,
  [SMALL_STATE(7953)] = 166021,
  [SMALL_STATE(7954)] = 166069,
  [SMALL_STATE(7955)] = 166117,
  [SMALL_STATE(7956)] = 166165,
  [SMALL_STATE(7957)] = 166213,
  [SMALL_STATE(7958)] = 166261,
  [SMALL_STATE(7959)] = 166309,
  [SMALL_STATE(7960)] = 166357,
  [SMALL_STATE(7961)] = 166415,
  [SMALL_STATE(7962)] = 166463,
  [SMALL_STATE(7963)] = 166511,
  [SMALL_STATE(7964)] = 166559,
  [SMALL_STATE(7965)] = 166607,
  [SMALL_STATE(7966)] = 166655,
  [SMALL_STATE(7967)] = 166703,
  [SMALL_STATE(7968)] = 166751,
  [SMALL_STATE(7969)] = 166799,
  [SMALL_STATE(7970)] = 166851,
  [SMALL_STATE(7971)] = 166899,
  [SMALL_STATE(7972)] = 166947,
  [SMALL_STATE(7973)] = 166995,
  [SMALL_STATE(7974)] = 167053,
  [SMALL_STATE(7975)] = 167101,
  [SMALL_STATE(7976)] = 167149,
  [SMALL_STATE(7977)] = 167197,
  [SMALL_STATE(7978)] = 167245,
  [SMALL_STATE(7979)] = 167293,
  [SMALL_STATE(7980)] = 167341,
  [SMALL_STATE(7981)] = 167389,
  [SMALL_STATE(7982)] = 167447,
  [SMALL_STATE(7983)] = 167495,
  [SMALL_STATE(7984)] = 167547,
  [SMALL_STATE(7985)] = 167595,
  [SMALL_STATE(7986)] = 167643,
  [SMALL_STATE(7987)] = 167691,
  [SMALL_STATE(7988)] = 167739,
  [SMALL_STATE(7989)] = 167787,
  [SMALL_STATE(7990)] = 167835,
  [SMALL_STATE(7991)] = 167883,
  [SMALL_STATE(7992)] = 167941,
  [SMALL_STATE(7993)] = 167993,
  [SMALL_STATE(7994)] = 168041,
  [SMALL_STATE(7995)] = 168089,
  [SMALL_STATE(7996)] = 168137,
  [SMALL_STATE(7997)] = 168185,
  [SMALL_STATE(7998)] = 168233,
  [SMALL_STATE(7999)] = 168285,
  [SMALL_STATE(8000)] = 168343,
  [SMALL_STATE(8001)] = 168401,
  [SMALL_STATE(8002)] = 168449,
  [SMALL_STATE(8003)] = 168497,
  [SMALL_STATE(8004)] = 168545,
  [SMALL_STATE(8005)] = 168603,
  [SMALL_STATE(8006)] = 168651,
  [SMALL_STATE(8007)] = 168699,
  [SMALL_STATE(8008)] = 168747,
  [SMALL_STATE(8009)] = 168795,
  [SMALL_STATE(8010)] = 168843,
  [SMALL_STATE(8011)] = 168891,
  [SMALL_STATE(8012)] = 168939,
  [SMALL_STATE(8013)] = 168987,
  [SMALL_STATE(8014)] = 169035,
  [SMALL_STATE(8015)] = 169083,
  [SMALL_STATE(8016)] = 169131,
  [SMALL_STATE(8017)] = 169179,
  [SMALL_STATE(8018)] = 169227,
  [SMALL_STATE(8019)] = 169275,
  [SMALL_STATE(8020)] = 169323,
  [SMALL_STATE(8021)] = 169371,
  [SMALL_STATE(8022)] = 169418,
  [SMALL_STATE(8023)] = 169465,
  [SMALL_STATE(8024)] = 169512,
  [SMALL_STATE(8025)] = 169559,
  [SMALL_STATE(8026)] = 169606,
  [SMALL_STATE(8027)] = 169653,
  [SMALL_STATE(8028)] = 169756,
  [SMALL_STATE(8029)] = 169803,
  [SMALL_STATE(8030)] = 169850,
  [SMALL_STATE(8031)] = 169897,
  [SMALL_STATE(8032)] = 169944,
  [SMALL_STATE(8033)] = 169991,
  [SMALL_STATE(8034)] = 170038,
  [SMALL_STATE(8035)] = 170085,
  [SMALL_STATE(8036)] = 170134,
  [SMALL_STATE(8037)] = 170181,
  [SMALL_STATE(8038)] = 170228,
  [SMALL_STATE(8039)] = 170275,
  [SMALL_STATE(8040)] = 170324,
  [SMALL_STATE(8041)] = 170371,
  [SMALL_STATE(8042)] = 170418,
  [SMALL_STATE(8043)] = 170465,
  [SMALL_STATE(8044)] = 170512,
  [SMALL_STATE(8045)] = 170559,
  [SMALL_STATE(8046)] = 170606,
  [SMALL_STATE(8047)] = 170653,
  [SMALL_STATE(8048)] = 170702,
  [SMALL_STATE(8049)] = 170751,
  [SMALL_STATE(8050)] = 170854,
  [SMALL_STATE(8051)] = 170901,
  [SMALL_STATE(8052)] = 170948,
  [SMALL_STATE(8053)] = 170995,
  [SMALL_STATE(8054)] = 171042,
  [SMALL_STATE(8055)] = 171089,
  [SMALL_STATE(8056)] = 171136,
  [SMALL_STATE(8057)] = 171183,
  [SMALL_STATE(8058)] = 171230,
  [SMALL_STATE(8059)] = 171277,
  [SMALL_STATE(8060)] = 171324,
  [SMALL_STATE(8061)] = 171371,
  [SMALL_STATE(8062)] = 171418,
  [SMALL_STATE(8063)] = 171521,
  [SMALL_STATE(8064)] = 171568,
  [SMALL_STATE(8065)] = 171615,
  [SMALL_STATE(8066)] = 171662,
  [SMALL_STATE(8067)] = 171709,
  [SMALL_STATE(8068)] = 171756,
  [SMALL_STATE(8069)] = 171803,
  [SMALL_STATE(8070)] = 171906,
  [SMALL_STATE(8071)] = 171953,
  [SMALL_STATE(8072)] = 172000,
  [SMALL_STATE(8073)] = 172047,
  [SMALL_STATE(8074)] = 172094,
  [SMALL_STATE(8075)] = 172141,
  [SMALL_STATE(8076)] = 172188,
  [SMALL_STATE(8077)] = 172235,
  [SMALL_STATE(8078)] = 172338,
  [SMALL_STATE(8079)] = 172385,
  [SMALL_STATE(8080)] = 172432,
  [SMALL_STATE(8081)] = 172479,
  [SMALL_STATE(8082)] = 172526,
  [SMALL_STATE(8083)] = 172573,
  [SMALL_STATE(8084)] = 172620,
  [SMALL_STATE(8085)] = 172667,
  [SMALL_STATE(8086)] = 172714,
  [SMALL_STATE(8087)] = 172761,
  [SMALL_STATE(8088)] = 172808,
  [SMALL_STATE(8089)] = 172855,
  [SMALL_STATE(8090)] = 172902,
  [SMALL_STATE(8091)] = 172949,
  [SMALL_STATE(8092)] = 172996,
  [SMALL_STATE(8093)] = 173099,
  [SMALL_STATE(8094)] = 173202,
  [SMALL_STATE(8095)] = 173249,
  [SMALL_STATE(8096)] = 173296,
  [SMALL_STATE(8097)] = 173399,
  [SMALL_STATE(8098)] = 173446,
  [SMALL_STATE(8099)] = 173493,
  [SMALL_STATE(8100)] = 173540,
  [SMALL_STATE(8101)] = 173587,
  [SMALL_STATE(8102)] = 173634,
  [SMALL_STATE(8103)] = 173681,
  [SMALL_STATE(8104)] = 173728,
  [SMALL_STATE(8105)] = 173775,
  [SMALL_STATE(8106)] = 173822,
  [SMALL_STATE(8107)] = 173869,
  [SMALL_STATE(8108)] = 173916,
  [SMALL_STATE(8109)] = 173963,
  [SMALL_STATE(8110)] = 174010,
  [SMALL_STATE(8111)] = 174057,
  [SMALL_STATE(8112)] = 174104,
  [SMALL_STATE(8113)] = 174151,
  [SMALL_STATE(8114)] = 174198,
  [SMALL_STATE(8115)] = 174245,
  [SMALL_STATE(8116)] = 174292,
  [SMALL_STATE(8117)] = 174339,
  [SMALL_STATE(8118)] = 174386,
  [SMALL_STATE(8119)] = 174433,
  [SMALL_STATE(8120)] = 174480,
  [SMALL_STATE(8121)] = 174583,
  [SMALL_STATE(8122)] = 174630,
  [SMALL_STATE(8123)] = 174677,
  [SMALL_STATE(8124)] = 174724,
  [SMALL_STATE(8125)] = 174771,
  [SMALL_STATE(8126)] = 174874,
  [SMALL_STATE(8127)] = 174921,
  [SMALL_STATE(8128)] = 174968,
  [SMALL_STATE(8129)] = 175015,
  [SMALL_STATE(8130)] = 175064,
  [SMALL_STATE(8131)] = 175113,
  [SMALL_STATE(8132)] = 175162,
  [SMALL_STATE(8133)] = 175209,
  [SMALL_STATE(8134)] = 175256,
  [SMALL_STATE(8135)] = 175303,
  [SMALL_STATE(8136)] = 175352,
  [SMALL_STATE(8137)] = 175455,
  [SMALL_STATE(8138)] = 175502,
  [SMALL_STATE(8139)] = 175549,
  [SMALL_STATE(8140)] = 175596,
  [SMALL_STATE(8141)] = 175645,
  [SMALL_STATE(8142)] = 175692,
  [SMALL_STATE(8143)] = 175739,
  [SMALL_STATE(8144)] = 175786,
  [SMALL_STATE(8145)] = 175833,
  [SMALL_STATE(8146)] = 175882,
  [SMALL_STATE(8147)] = 175929,
  [SMALL_STATE(8148)] = 175976,
  [SMALL_STATE(8149)] = 176023,
  [SMALL_STATE(8150)] = 176070,
  [SMALL_STATE(8151)] = 176117,
  [SMALL_STATE(8152)] = 176164,
  [SMALL_STATE(8153)] = 176211,
  [SMALL_STATE(8154)] = 176258,
  [SMALL_STATE(8155)] = 176305,
  [SMALL_STATE(8156)] = 176352,
  [SMALL_STATE(8157)] = 176445,
  [SMALL_STATE(8158)] = 176510,
  [SMALL_STATE(8159)] = 176557,
  [SMALL_STATE(8160)] = 176604,
  [SMALL_STATE(8161)] = 176651,
  [SMALL_STATE(8162)] = 176698,
  [SMALL_STATE(8163)] = 176745,
  [SMALL_STATE(8164)] = 176792,
  [SMALL_STATE(8165)] = 176895,
  [SMALL_STATE(8166)] = 176942,
  [SMALL_STATE(8167)] = 176989,
  [SMALL_STATE(8168)] = 177036,
  [SMALL_STATE(8169)] = 177083,
  [SMALL_STATE(8170)] = 177130,
  [SMALL_STATE(8171)] = 177177,
  [SMALL_STATE(8172)] = 177242,
  [SMALL_STATE(8173)] = 177289,
  [SMALL_STATE(8174)] = 177336,
  [SMALL_STATE(8175)] = 177383,
  [SMALL_STATE(8176)] = 177430,
  [SMALL_STATE(8177)] = 177477,
  [SMALL_STATE(8178)] = 177524,
  [SMALL_STATE(8179)] = 177571,
  [SMALL_STATE(8180)] = 177618,
  [SMALL_STATE(8181)] = 177665,
  [SMALL_STATE(8182)] = 177712,
  [SMALL_STATE(8183)] = 177815,
  [SMALL_STATE(8184)] = 177862,
  [SMALL_STATE(8185)] = 177909,
  [SMALL_STATE(8186)] = 177956,
  [SMALL_STATE(8187)] = 178003,
  [SMALL_STATE(8188)] = 178050,
  [SMALL_STATE(8189)] = 178099,
  [SMALL_STATE(8190)] = 178148,
  [SMALL_STATE(8191)] = 178195,
  [SMALL_STATE(8192)] = 178242,
  [SMALL_STATE(8193)] = 178289,
  [SMALL_STATE(8194)] = 178336,
  [SMALL_STATE(8195)] = 178383,
  [SMALL_STATE(8196)] = 178430,
  [SMALL_STATE(8197)] = 178477,
  [SMALL_STATE(8198)] = 178524,
  [SMALL_STATE(8199)] = 178575,
  [SMALL_STATE(8200)] = 178656,
  [SMALL_STATE(8201)] = 178737,
  [SMALL_STATE(8202)] = 178784,
  [SMALL_STATE(8203)] = 178831,
  [SMALL_STATE(8204)] = 178878,
  [SMALL_STATE(8205)] = 178959,
  [SMALL_STATE(8206)] = 179006,
  [SMALL_STATE(8207)] = 179087,
  [SMALL_STATE(8208)] = 179178,
  [SMALL_STATE(8209)] = 179267,
  [SMALL_STATE(8210)] = 179314,
  [SMALL_STATE(8211)] = 179393,
  [SMALL_STATE(8212)] = 179440,
  [SMALL_STATE(8213)] = 179487,
  [SMALL_STATE(8214)] = 179564,
  [SMALL_STATE(8215)] = 179639,
  [SMALL_STATE(8216)] = 179686,
  [SMALL_STATE(8217)] = 179759,
  [SMALL_STATE(8218)] = 179828,
  [SMALL_STATE(8219)] = 179877,
  [SMALL_STATE(8220)] = 179958,
  [SMALL_STATE(8221)] = 180005,
  [SMALL_STATE(8222)] = 180052,
  [SMALL_STATE(8223)] = 180099,
  [SMALL_STATE(8224)] = 180148,
  [SMALL_STATE(8225)] = 180195,
  [SMALL_STATE(8226)] = 180242,
  [SMALL_STATE(8227)] = 180289,
  [SMALL_STATE(8228)] = 180336,
  [SMALL_STATE(8229)] = 180383,
  [SMALL_STATE(8230)] = 180430,
  [SMALL_STATE(8231)] = 180477,
  [SMALL_STATE(8232)] = 180524,
  [SMALL_STATE(8233)] = 180571,
  [SMALL_STATE(8234)] = 180618,
  [SMALL_STATE(8235)] = 180665,
  [SMALL_STATE(8236)] = 180712,
  [SMALL_STATE(8237)] = 180761,
  [SMALL_STATE(8238)] = 180810,
  [SMALL_STATE(8239)] = 180857,
  [SMALL_STATE(8240)] = 180904,
  [SMALL_STATE(8241)] = 180951,
  [SMALL_STATE(8242)] = 181000,
  [SMALL_STATE(8243)] = 181047,
  [SMALL_STATE(8244)] = 181096,
  [SMALL_STATE(8245)] = 181143,
  [SMALL_STATE(8246)] = 181190,
  [SMALL_STATE(8247)] = 181237,
  [SMALL_STATE(8248)] = 181284,
  [SMALL_STATE(8249)] = 181331,
  [SMALL_STATE(8250)] = 181378,
  [SMALL_STATE(8251)] = 181425,
  [SMALL_STATE(8252)] = 181472,
  [SMALL_STATE(8253)] = 181519,
  [SMALL_STATE(8254)] = 181566,
  [SMALL_STATE(8255)] = 181613,
  [SMALL_STATE(8256)] = 181660,
  [SMALL_STATE(8257)] = 181707,
  [SMALL_STATE(8258)] = 181756,
  [SMALL_STATE(8259)] = 181803,
  [SMALL_STATE(8260)] = 181850,
  [SMALL_STATE(8261)] = 181897,
  [SMALL_STATE(8262)] = 181946,
  [SMALL_STATE(8263)] = 182049,
  [SMALL_STATE(8264)] = 182096,
  [SMALL_STATE(8265)] = 182143,
  [SMALL_STATE(8266)] = 182190,
  [SMALL_STATE(8267)] = 182293,
  [SMALL_STATE(8268)] = 182340,
  [SMALL_STATE(8269)] = 182387,
  [SMALL_STATE(8270)] = 182434,
  [SMALL_STATE(8271)] = 182481,
  [SMALL_STATE(8272)] = 182528,
  [SMALL_STATE(8273)] = 182609,
  [SMALL_STATE(8274)] = 182656,
  [SMALL_STATE(8275)] = 182703,
  [SMALL_STATE(8276)] = 182750,
  [SMALL_STATE(8277)] = 182853,
  [SMALL_STATE(8278)] = 182900,
  [SMALL_STATE(8279)] = 182947,
  [SMALL_STATE(8280)] = 182994,
  [SMALL_STATE(8281)] = 183041,
  [SMALL_STATE(8282)] = 183088,
  [SMALL_STATE(8283)] = 183135,
  [SMALL_STATE(8284)] = 183182,
  [SMALL_STATE(8285)] = 183231,
  [SMALL_STATE(8286)] = 183278,
  [SMALL_STATE(8287)] = 183327,
  [SMALL_STATE(8288)] = 183376,
  [SMALL_STATE(8289)] = 183423,
  [SMALL_STATE(8290)] = 183470,
  [SMALL_STATE(8291)] = 183517,
  [SMALL_STATE(8292)] = 183564,
  [SMALL_STATE(8293)] = 183611,
  [SMALL_STATE(8294)] = 183658,
  [SMALL_STATE(8295)] = 183705,
  [SMALL_STATE(8296)] = 183752,
  [SMALL_STATE(8297)] = 183799,
  [SMALL_STATE(8298)] = 183846,
  [SMALL_STATE(8299)] = 183893,
  [SMALL_STATE(8300)] = 183940,
  [SMALL_STATE(8301)] = 183987,
  [SMALL_STATE(8302)] = 184034,
  [SMALL_STATE(8303)] = 184081,
  [SMALL_STATE(8304)] = 184128,
  [SMALL_STATE(8305)] = 184175,
  [SMALL_STATE(8306)] = 184222,
  [SMALL_STATE(8307)] = 184269,
  [SMALL_STATE(8308)] = 184316,
  [SMALL_STATE(8309)] = 184419,
  [SMALL_STATE(8310)] = 184466,
  [SMALL_STATE(8311)] = 184513,
  [SMALL_STATE(8312)] = 184560,
  [SMALL_STATE(8313)] = 184607,
  [SMALL_STATE(8314)] = 184654,
  [SMALL_STATE(8315)] = 184701,
  [SMALL_STATE(8316)] = 184748,
  [SMALL_STATE(8317)] = 184795,
  [SMALL_STATE(8318)] = 184842,
  [SMALL_STATE(8319)] = 184889,
  [SMALL_STATE(8320)] = 184936,
  [SMALL_STATE(8321)] = 184983,
  [SMALL_STATE(8322)] = 185030,
  [SMALL_STATE(8323)] = 185077,
  [SMALL_STATE(8324)] = 185180,
  [SMALL_STATE(8325)] = 185227,
  [SMALL_STATE(8326)] = 185274,
  [SMALL_STATE(8327)] = 185321,
  [SMALL_STATE(8328)] = 185368,
  [SMALL_STATE(8329)] = 185415,
  [SMALL_STATE(8330)] = 185462,
  [SMALL_STATE(8331)] = 185509,
  [SMALL_STATE(8332)] = 185556,
  [SMALL_STATE(8333)] = 185603,
  [SMALL_STATE(8334)] = 185650,
  [SMALL_STATE(8335)] = 185697,
  [SMALL_STATE(8336)] = 185744,
  [SMALL_STATE(8337)] = 185791,
  [SMALL_STATE(8338)] = 185838,
  [SMALL_STATE(8339)] = 185885,
  [SMALL_STATE(8340)] = 185932,
  [SMALL_STATE(8341)] = 185979,
  [SMALL_STATE(8342)] = 186026,
  [SMALL_STATE(8343)] = 186073,
  [SMALL_STATE(8344)] = 186120,
  [SMALL_STATE(8345)] = 186167,
  [SMALL_STATE(8346)] = 186214,
  [SMALL_STATE(8347)] = 186261,
  [SMALL_STATE(8348)] = 186308,
  [SMALL_STATE(8349)] = 186355,
  [SMALL_STATE(8350)] = 186402,
  [SMALL_STATE(8351)] = 186449,
  [SMALL_STATE(8352)] = 186496,
  [SMALL_STATE(8353)] = 186543,
  [SMALL_STATE(8354)] = 186590,
  [SMALL_STATE(8355)] = 186637,
  [SMALL_STATE(8356)] = 186684,
  [SMALL_STATE(8357)] = 186731,
  [SMALL_STATE(8358)] = 186834,
  [SMALL_STATE(8359)] = 186881,
  [SMALL_STATE(8360)] = 186933,
  [SMALL_STATE(8361)] = 186983,
  [SMALL_STATE(8362)] = 187033,
  [SMALL_STATE(8363)] = 187135,
  [SMALL_STATE(8364)] = 187185,
  [SMALL_STATE(8365)] = 187231,
  [SMALL_STATE(8366)] = 187333,
  [SMALL_STATE(8367)] = 187383,
  [SMALL_STATE(8368)] = 187485,
  [SMALL_STATE(8369)] = 187587,
  [SMALL_STATE(8370)] = 187689,
  [SMALL_STATE(8371)] = 187791,
  [SMALL_STATE(8372)] = 187893,
  [SMALL_STATE(8373)] = 187995,
  [SMALL_STATE(8374)] = 188097,
  [SMALL_STATE(8375)] = 188199,
  [SMALL_STATE(8376)] = 188301,
  [SMALL_STATE(8377)] = 188403,
  [SMALL_STATE(8378)] = 188505,
  [SMALL_STATE(8379)] = 188607,
  [SMALL_STATE(8380)] = 188709,
  [SMALL_STATE(8381)] = 188811,
  [SMALL_STATE(8382)] = 188909,
  [SMALL_STATE(8383)] = 189011,
  [SMALL_STATE(8384)] = 189113,
  [SMALL_STATE(8385)] = 189215,
  [SMALL_STATE(8386)] = 189317,
  [SMALL_STATE(8387)] = 189419,
  [SMALL_STATE(8388)] = 189521,
  [SMALL_STATE(8389)] = 189623,
  [SMALL_STATE(8390)] = 189725,
  [SMALL_STATE(8391)] = 189827,
  [SMALL_STATE(8392)] = 189929,
  [SMALL_STATE(8393)] = 190031,
  [SMALL_STATE(8394)] = 190133,
  [SMALL_STATE(8395)] = 190229,
  [SMALL_STATE(8396)] = 190279,
  [SMALL_STATE(8397)] = 190381,
  [SMALL_STATE(8398)] = 190483,
  [SMALL_STATE(8399)] = 190585,
  [SMALL_STATE(8400)] = 190687,
  [SMALL_STATE(8401)] = 190737,
  [SMALL_STATE(8402)] = 190839,
  [SMALL_STATE(8403)] = 190885,
  [SMALL_STATE(8404)] = 190987,
  [SMALL_STATE(8405)] = 191089,
  [SMALL_STATE(8406)] = 191139,
  [SMALL_STATE(8407)] = 191241,
  [SMALL_STATE(8408)] = 191343,
  [SMALL_STATE(8409)] = 191445,
  [SMALL_STATE(8410)] = 191547,
  [SMALL_STATE(8411)] = 191649,
  [SMALL_STATE(8412)] = 191751,
  [SMALL_STATE(8413)] = 191853,
  [SMALL_STATE(8414)] = 191955,
  [SMALL_STATE(8415)] = 192057,
  [SMALL_STATE(8416)] = 192159,
  [SMALL_STATE(8417)] = 192261,
  [SMALL_STATE(8418)] = 192311,
  [SMALL_STATE(8419)] = 192361,
  [SMALL_STATE(8420)] = 192411,
  [SMALL_STATE(8421)] = 192461,
  [SMALL_STATE(8422)] = 192513,
  [SMALL_STATE(8423)] = 192563,
  [SMALL_STATE(8424)] = 192665,
  [SMALL_STATE(8425)] = 192717,
  [SMALL_STATE(8426)] = 192819,
  [SMALL_STATE(8427)] = 192921,
  [SMALL_STATE(8428)] = 192967,
  [SMALL_STATE(8429)] = 193069,
  [SMALL_STATE(8430)] = 193119,
  [SMALL_STATE(8431)] = 193169,
  [SMALL_STATE(8432)] = 193219,
  [SMALL_STATE(8433)] = 193269,
  [SMALL_STATE(8434)] = 193319,
  [SMALL_STATE(8435)] = 193369,
  [SMALL_STATE(8436)] = 193419,
  [SMALL_STATE(8437)] = 193473,
  [SMALL_STATE(8438)] = 193523,
  [SMALL_STATE(8439)] = 193573,
  [SMALL_STATE(8440)] = 193623,
  [SMALL_STATE(8441)] = 193673,
  [SMALL_STATE(8442)] = 193725,
  [SMALL_STATE(8443)] = 193775,
  [SMALL_STATE(8444)] = 193877,
  [SMALL_STATE(8445)] = 193929,
  [SMALL_STATE(8446)] = 193979,
  [SMALL_STATE(8447)] = 194031,
  [SMALL_STATE(8448)] = 194083,
  [SMALL_STATE(8449)] = 194135,
  [SMALL_STATE(8450)] = 194187,
  [SMALL_STATE(8451)] = 194239,
  [SMALL_STATE(8452)] = 194289,
  [SMALL_STATE(8453)] = 194341,
  [SMALL_STATE(8454)] = 194393,
  [SMALL_STATE(8455)] = 194445,
  [SMALL_STATE(8456)] = 194547,
  [SMALL_STATE(8457)] = 194597,
  [SMALL_STATE(8458)] = 194647,
  [SMALL_STATE(8459)] = 194697,
  [SMALL_STATE(8460)] = 194747,
  [SMALL_STATE(8461)] = 194845,
  [SMALL_STATE(8462)] = 194895,
  [SMALL_STATE(8463)] = 194945,
  [SMALL_STATE(8464)] = 194995,
  [SMALL_STATE(8465)] = 195045,
  [SMALL_STATE(8466)] = 195095,
  [SMALL_STATE(8467)] = 195145,
  [SMALL_STATE(8468)] = 195195,
  [SMALL_STATE(8469)] = 195245,
  [SMALL_STATE(8470)] = 195295,
  [SMALL_STATE(8471)] = 195345,
  [SMALL_STATE(8472)] = 195395,
  [SMALL_STATE(8473)] = 195445,
  [SMALL_STATE(8474)] = 195495,
  [SMALL_STATE(8475)] = 195545,
  [SMALL_STATE(8476)] = 195595,
  [SMALL_STATE(8477)] = 195645,
  [SMALL_STATE(8478)] = 195695,
  [SMALL_STATE(8479)] = 195745,
  [SMALL_STATE(8480)] = 195795,
  [SMALL_STATE(8481)] = 195845,
  [SMALL_STATE(8482)] = 195895,
  [SMALL_STATE(8483)] = 195945,
  [SMALL_STATE(8484)] = 195995,
  [SMALL_STATE(8485)] = 196045,
  [SMALL_STATE(8486)] = 196095,
  [SMALL_STATE(8487)] = 196145,
  [SMALL_STATE(8488)] = 196195,
  [SMALL_STATE(8489)] = 196245,
  [SMALL_STATE(8490)] = 196295,
  [SMALL_STATE(8491)] = 196345,
  [SMALL_STATE(8492)] = 196395,
  [SMALL_STATE(8493)] = 196445,
  [SMALL_STATE(8494)] = 196495,
  [SMALL_STATE(8495)] = 196545,
  [SMALL_STATE(8496)] = 196595,
  [SMALL_STATE(8497)] = 196645,
  [SMALL_STATE(8498)] = 196695,
  [SMALL_STATE(8499)] = 196745,
  [SMALL_STATE(8500)] = 196795,
  [SMALL_STATE(8501)] = 196845,
  [SMALL_STATE(8502)] = 196895,
  [SMALL_STATE(8503)] = 196945,
  [SMALL_STATE(8504)] = 196995,
  [SMALL_STATE(8505)] = 197045,
  [SMALL_STATE(8506)] = 197095,
  [SMALL_STATE(8507)] = 197145,
  [SMALL_STATE(8508)] = 197195,
  [SMALL_STATE(8509)] = 197293,
  [SMALL_STATE(8510)] = 197343,
  [SMALL_STATE(8511)] = 197393,
  [SMALL_STATE(8512)] = 197443,
  [SMALL_STATE(8513)] = 197493,
  [SMALL_STATE(8514)] = 197543,
  [SMALL_STATE(8515)] = 197593,
  [SMALL_STATE(8516)] = 197643,
  [SMALL_STATE(8517)] = 197693,
  [SMALL_STATE(8518)] = 197745,
  [SMALL_STATE(8519)] = 197795,
  [SMALL_STATE(8520)] = 197845,
  [SMALL_STATE(8521)] = 197895,
  [SMALL_STATE(8522)] = 197947,
  [SMALL_STATE(8523)] = 197999,
  [SMALL_STATE(8524)] = 198049,
  [SMALL_STATE(8525)] = 198101,
  [SMALL_STATE(8526)] = 198153,
  [SMALL_STATE(8527)] = 198203,
  [SMALL_STATE(8528)] = 198255,
  [SMALL_STATE(8529)] = 198307,
  [SMALL_STATE(8530)] = 198359,
  [SMALL_STATE(8531)] = 198409,
  [SMALL_STATE(8532)] = 198459,
  [SMALL_STATE(8533)] = 198509,
  [SMALL_STATE(8534)] = 198559,
  [SMALL_STATE(8535)] = 198609,
  [SMALL_STATE(8536)] = 198661,
  [SMALL_STATE(8537)] = 198713,
  [SMALL_STATE(8538)] = 198765,
  [SMALL_STATE(8539)] = 198817,
  [SMALL_STATE(8540)] = 198869,
  [SMALL_STATE(8541)] = 198971,
  [SMALL_STATE(8542)] = 199021,
  [SMALL_STATE(8543)] = 199073,
  [SMALL_STATE(8544)] = 199123,
  [SMALL_STATE(8545)] = 199173,
  [SMALL_STATE(8546)] = 199223,
  [SMALL_STATE(8547)] = 199273,
  [SMALL_STATE(8548)] = 199323,
  [SMALL_STATE(8549)] = 199373,
  [SMALL_STATE(8550)] = 199423,
  [SMALL_STATE(8551)] = 199473,
  [SMALL_STATE(8552)] = 199523,
  [SMALL_STATE(8553)] = 199573,
  [SMALL_STATE(8554)] = 199625,
  [SMALL_STATE(8555)] = 199675,
  [SMALL_STATE(8556)] = 199725,
  [SMALL_STATE(8557)] = 199775,
  [SMALL_STATE(8558)] = 199825,
  [SMALL_STATE(8559)] = 199875,
  [SMALL_STATE(8560)] = 199925,
  [SMALL_STATE(8561)] = 199975,
  [SMALL_STATE(8562)] = 200025,
  [SMALL_STATE(8563)] = 200079,
  [SMALL_STATE(8564)] = 200129,
  [SMALL_STATE(8565)] = 200179,
  [SMALL_STATE(8566)] = 200231,
  [SMALL_STATE(8567)] = 200281,
  [SMALL_STATE(8568)] = 200331,
  [SMALL_STATE(8569)] = 200381,
  [SMALL_STATE(8570)] = 200431,
  [SMALL_STATE(8571)] = 200481,
  [SMALL_STATE(8572)] = 200531,
  [SMALL_STATE(8573)] = 200583,
  [SMALL_STATE(8574)] = 200633,
  [SMALL_STATE(8575)] = 200683,
  [SMALL_STATE(8576)] = 200733,
  [SMALL_STATE(8577)] = 200783,
  [SMALL_STATE(8578)] = 200833,
  [SMALL_STATE(8579)] = 200883,
  [SMALL_STATE(8580)] = 200933,
  [SMALL_STATE(8581)] = 200983,
  [SMALL_STATE(8582)] = 201033,
  [SMALL_STATE(8583)] = 201083,
  [SMALL_STATE(8584)] = 201133,
  [SMALL_STATE(8585)] = 201183,
  [SMALL_STATE(8586)] = 201233,
  [SMALL_STATE(8587)] = 201283,
  [SMALL_STATE(8588)] = 201333,
  [SMALL_STATE(8589)] = 201383,
  [SMALL_STATE(8590)] = 201433,
  [SMALL_STATE(8591)] = 201483,
  [SMALL_STATE(8592)] = 201531,
  [SMALL_STATE(8593)] = 201581,
  [SMALL_STATE(8594)] = 201631,
  [SMALL_STATE(8595)] = 201681,
  [SMALL_STATE(8596)] = 201729,
  [SMALL_STATE(8597)] = 201779,
  [SMALL_STATE(8598)] = 201829,
  [SMALL_STATE(8599)] = 201881,
  [SMALL_STATE(8600)] = 201931,
  [SMALL_STATE(8601)] = 201981,
  [SMALL_STATE(8602)] = 202031,
  [SMALL_STATE(8603)] = 202081,
  [SMALL_STATE(8604)] = 202131,
  [SMALL_STATE(8605)] = 202181,
  [SMALL_STATE(8606)] = 202231,
  [SMALL_STATE(8607)] = 202281,
  [SMALL_STATE(8608)] = 202331,
  [SMALL_STATE(8609)] = 202383,
  [SMALL_STATE(8610)] = 202433,
  [SMALL_STATE(8611)] = 202485,
  [SMALL_STATE(8612)] = 202535,
  [SMALL_STATE(8613)] = 202587,
  [SMALL_STATE(8614)] = 202639,
  [SMALL_STATE(8615)] = 202689,
  [SMALL_STATE(8616)] = 202741,
  [SMALL_STATE(8617)] = 202793,
  [SMALL_STATE(8618)] = 202847,
  [SMALL_STATE(8619)] = 202899,
  [SMALL_STATE(8620)] = 202951,
  [SMALL_STATE(8621)] = 203003,
  [SMALL_STATE(8622)] = 203055,
  [SMALL_STATE(8623)] = 203105,
  [SMALL_STATE(8624)] = 203157,
  [SMALL_STATE(8625)] = 203209,
  [SMALL_STATE(8626)] = 203255,
  [SMALL_STATE(8627)] = 203307,
  [SMALL_STATE(8628)] = 203357,
  [SMALL_STATE(8629)] = 203409,
  [SMALL_STATE(8630)] = 203461,
  [SMALL_STATE(8631)] = 203513,
  [SMALL_STATE(8632)] = 203563,
  [SMALL_STATE(8633)] = 203615,
  [SMALL_STATE(8634)] = 203665,
  [SMALL_STATE(8635)] = 203767,
  [SMALL_STATE(8636)] = 203817,
  [SMALL_STATE(8637)] = 203867,
  [SMALL_STATE(8638)] = 203919,
  [SMALL_STATE(8639)] = 203969,
  [SMALL_STATE(8640)] = 204019,
  [SMALL_STATE(8641)] = 204069,
  [SMALL_STATE(8642)] = 204119,
  [SMALL_STATE(8643)] = 204169,
  [SMALL_STATE(8644)] = 204219,
  [SMALL_STATE(8645)] = 204271,
  [SMALL_STATE(8646)] = 204321,
  [SMALL_STATE(8647)] = 204371,
  [SMALL_STATE(8648)] = 204421,
  [SMALL_STATE(8649)] = 204471,
  [SMALL_STATE(8650)] = 204521,
  [SMALL_STATE(8651)] = 204571,
  [SMALL_STATE(8652)] = 204621,
  [SMALL_STATE(8653)] = 204671,
  [SMALL_STATE(8654)] = 204721,
  [SMALL_STATE(8655)] = 204771,
  [SMALL_STATE(8656)] = 204821,
  [SMALL_STATE(8657)] = 204871,
  [SMALL_STATE(8658)] = 204921,
  [SMALL_STATE(8659)] = 204971,
  [SMALL_STATE(8660)] = 205021,
  [SMALL_STATE(8661)] = 205071,
  [SMALL_STATE(8662)] = 205121,
  [SMALL_STATE(8663)] = 205171,
  [SMALL_STATE(8664)] = 205221,
  [SMALL_STATE(8665)] = 205273,
  [SMALL_STATE(8666)] = 205323,
  [SMALL_STATE(8667)] = 205373,
  [SMALL_STATE(8668)] = 205423,
  [SMALL_STATE(8669)] = 205473,
  [SMALL_STATE(8670)] = 205525,
  [SMALL_STATE(8671)] = 205577,
  [SMALL_STATE(8672)] = 205627,
  [SMALL_STATE(8673)] = 205729,
  [SMALL_STATE(8674)] = 205779,
  [SMALL_STATE(8675)] = 205829,
  [SMALL_STATE(8676)] = 205931,
  [SMALL_STATE(8677)] = 205981,
  [SMALL_STATE(8678)] = 206031,
  [SMALL_STATE(8679)] = 206081,
  [SMALL_STATE(8680)] = 206131,
  [SMALL_STATE(8681)] = 206181,
  [SMALL_STATE(8682)] = 206231,
  [SMALL_STATE(8683)] = 206281,
  [SMALL_STATE(8684)] = 206331,
  [SMALL_STATE(8685)] = 206381,
  [SMALL_STATE(8686)] = 206431,
  [SMALL_STATE(8687)] = 206481,
  [SMALL_STATE(8688)] = 206531,
  [SMALL_STATE(8689)] = 206581,
  [SMALL_STATE(8690)] = 206631,
  [SMALL_STATE(8691)] = 206681,
  [SMALL_STATE(8692)] = 206731,
  [SMALL_STATE(8693)] = 206781,
  [SMALL_STATE(8694)] = 206883,
  [SMALL_STATE(8695)] = 206933,
  [SMALL_STATE(8696)] = 206983,
  [SMALL_STATE(8697)] = 207033,
  [SMALL_STATE(8698)] = 207083,
  [SMALL_STATE(8699)] = 207133,
  [SMALL_STATE(8700)] = 207183,
  [SMALL_STATE(8701)] = 207233,
  [SMALL_STATE(8702)] = 207283,
  [SMALL_STATE(8703)] = 207333,
  [SMALL_STATE(8704)] = 207383,
  [SMALL_STATE(8705)] = 207433,
  [SMALL_STATE(8706)] = 207483,
  [SMALL_STATE(8707)] = 207533,
  [SMALL_STATE(8708)] = 207585,
  [SMALL_STATE(8709)] = 207635,
  [SMALL_STATE(8710)] = 207687,
  [SMALL_STATE(8711)] = 207737,
  [SMALL_STATE(8712)] = 207787,
  [SMALL_STATE(8713)] = 207837,
  [SMALL_STATE(8714)] = 207887,
  [SMALL_STATE(8715)] = 207937,
  [SMALL_STATE(8716)] = 207987,
  [SMALL_STATE(8717)] = 208037,
  [SMALL_STATE(8718)] = 208087,
  [SMALL_STATE(8719)] = 208137,
  [SMALL_STATE(8720)] = 208187,
  [SMALL_STATE(8721)] = 208237,
  [SMALL_STATE(8722)] = 208287,
  [SMALL_STATE(8723)] = 208337,
  [SMALL_STATE(8724)] = 208389,
  [SMALL_STATE(8725)] = 208439,
  [SMALL_STATE(8726)] = 208489,
  [SMALL_STATE(8727)] = 208539,
  [SMALL_STATE(8728)] = 208589,
  [SMALL_STATE(8729)] = 208639,
  [SMALL_STATE(8730)] = 208689,
  [SMALL_STATE(8731)] = 208739,
  [SMALL_STATE(8732)] = 208789,
  [SMALL_STATE(8733)] = 208839,
  [SMALL_STATE(8734)] = 208889,
  [SMALL_STATE(8735)] = 208939,
  [SMALL_STATE(8736)] = 208989,
  [SMALL_STATE(8737)] = 209039,
  [SMALL_STATE(8738)] = 209089,
  [SMALL_STATE(8739)] = 209139,
  [SMALL_STATE(8740)] = 209189,
  [SMALL_STATE(8741)] = 209239,
  [SMALL_STATE(8742)] = 209289,
  [SMALL_STATE(8743)] = 209341,
  [SMALL_STATE(8744)] = 209439,
  [SMALL_STATE(8745)] = 209537,
  [SMALL_STATE(8746)] = 209589,
  [SMALL_STATE(8747)] = 209641,
  [SMALL_STATE(8748)] = 209691,
  [SMALL_STATE(8749)] = 209743,
  [SMALL_STATE(8750)] = 209793,
  [SMALL_STATE(8751)] = 209843,
  [SMALL_STATE(8752)] = 209893,
  [SMALL_STATE(8753)] = 209945,
  [SMALL_STATE(8754)] = 210043,
  [SMALL_STATE(8755)] = 210095,
  [SMALL_STATE(8756)] = 210145,
  [SMALL_STATE(8757)] = 210195,
  [SMALL_STATE(8758)] = 210245,
  [SMALL_STATE(8759)] = 210295,
  [SMALL_STATE(8760)] = 210347,
  [SMALL_STATE(8761)] = 210397,
  [SMALL_STATE(8762)] = 210447,
  [SMALL_STATE(8763)] = 210497,
  [SMALL_STATE(8764)] = 210547,
  [SMALL_STATE(8765)] = 210597,
  [SMALL_STATE(8766)] = 210647,
  [SMALL_STATE(8767)] = 210699,
  [SMALL_STATE(8768)] = 210749,
  [SMALL_STATE(8769)] = 210799,
  [SMALL_STATE(8770)] = 210849,
  [SMALL_STATE(8771)] = 210899,
  [SMALL_STATE(8772)] = 210949,
  [SMALL_STATE(8773)] = 211001,
  [SMALL_STATE(8774)] = 211049,
  [SMALL_STATE(8775)] = 211099,
  [SMALL_STATE(8776)] = 211149,
  [SMALL_STATE(8777)] = 211199,
  [SMALL_STATE(8778)] = 211249,
  [SMALL_STATE(8779)] = 211299,
  [SMALL_STATE(8780)] = 211349,
  [SMALL_STATE(8781)] = 211399,
  [SMALL_STATE(8782)] = 211449,
  [SMALL_STATE(8783)] = 211499,
  [SMALL_STATE(8784)] = 211549,
  [SMALL_STATE(8785)] = 211599,
  [SMALL_STATE(8786)] = 211649,
  [SMALL_STATE(8787)] = 211699,
  [SMALL_STATE(8788)] = 211749,
  [SMALL_STATE(8789)] = 211797,
  [SMALL_STATE(8790)] = 211847,
  [SMALL_STATE(8791)] = 211899,
  [SMALL_STATE(8792)] = 211949,
  [SMALL_STATE(8793)] = 212003,
  [SMALL_STATE(8794)] = 212053,
  [SMALL_STATE(8795)] = 212103,
  [SMALL_STATE(8796)] = 212153,
  [SMALL_STATE(8797)] = 212203,
  [SMALL_STATE(8798)] = 212253,
  [SMALL_STATE(8799)] = 212303,
  [SMALL_STATE(8800)] = 212355,
  [SMALL_STATE(8801)] = 212405,
  [SMALL_STATE(8802)] = 212455,
  [SMALL_STATE(8803)] = 212505,
  [SMALL_STATE(8804)] = 212555,
  [SMALL_STATE(8805)] = 212605,
  [SMALL_STATE(8806)] = 212655,
  [SMALL_STATE(8807)] = 212705,
  [SMALL_STATE(8808)] = 212755,
  [SMALL_STATE(8809)] = 212805,
  [SMALL_STATE(8810)] = 212855,
  [SMALL_STATE(8811)] = 212905,
  [SMALL_STATE(8812)] = 212955,
  [SMALL_STATE(8813)] = 213005,
  [SMALL_STATE(8814)] = 213055,
  [SMALL_STATE(8815)] = 213105,
  [SMALL_STATE(8816)] = 213157,
  [SMALL_STATE(8817)] = 213207,
  [SMALL_STATE(8818)] = 213257,
  [SMALL_STATE(8819)] = 213307,
  [SMALL_STATE(8820)] = 213357,
  [SMALL_STATE(8821)] = 213407,
  [SMALL_STATE(8822)] = 213457,
  [SMALL_STATE(8823)] = 213507,
  [SMALL_STATE(8824)] = 213557,
  [SMALL_STATE(8825)] = 213607,
  [SMALL_STATE(8826)] = 213657,
  [SMALL_STATE(8827)] = 213707,
  [SMALL_STATE(8828)] = 213757,
  [SMALL_STATE(8829)] = 213807,
  [SMALL_STATE(8830)] = 213857,
  [SMALL_STATE(8831)] = 213907,
  [SMALL_STATE(8832)] = 213957,
  [SMALL_STATE(8833)] = 214007,
  [SMALL_STATE(8834)] = 214057,
  [SMALL_STATE(8835)] = 214107,
  [SMALL_STATE(8836)] = 214209,
  [SMALL_STATE(8837)] = 214259,
  [SMALL_STATE(8838)] = 214309,
  [SMALL_STATE(8839)] = 214359,
  [SMALL_STATE(8840)] = 214409,
  [SMALL_STATE(8841)] = 214459,
  [SMALL_STATE(8842)] = 214509,
  [SMALL_STATE(8843)] = 214559,
  [SMALL_STATE(8844)] = 214609,
  [SMALL_STATE(8845)] = 214659,
  [SMALL_STATE(8846)] = 214709,
  [SMALL_STATE(8847)] = 214759,
  [SMALL_STATE(8848)] = 214809,
  [SMALL_STATE(8849)] = 214859,
  [SMALL_STATE(8850)] = 214909,
  [SMALL_STATE(8851)] = 215011,
  [SMALL_STATE(8852)] = 215061,
  [SMALL_STATE(8853)] = 215111,
  [SMALL_STATE(8854)] = 215161,
  [SMALL_STATE(8855)] = 215211,
  [SMALL_STATE(8856)] = 215261,
  [SMALL_STATE(8857)] = 215311,
  [SMALL_STATE(8858)] = 215361,
  [SMALL_STATE(8859)] = 215411,
  [SMALL_STATE(8860)] = 215461,
  [SMALL_STATE(8861)] = 215511,
  [SMALL_STATE(8862)] = 215561,
  [SMALL_STATE(8863)] = 215611,
  [SMALL_STATE(8864)] = 215661,
  [SMALL_STATE(8865)] = 215711,
  [SMALL_STATE(8866)] = 215761,
  [SMALL_STATE(8867)] = 215811,
  [SMALL_STATE(8868)] = 215861,
  [SMALL_STATE(8869)] = 215911,
  [SMALL_STATE(8870)] = 215961,
  [SMALL_STATE(8871)] = 216011,
  [SMALL_STATE(8872)] = 216061,
  [SMALL_STATE(8873)] = 216111,
  [SMALL_STATE(8874)] = 216161,
  [SMALL_STATE(8875)] = 216211,
  [SMALL_STATE(8876)] = 216261,
  [SMALL_STATE(8877)] = 216311,
  [SMALL_STATE(8878)] = 216361,
  [SMALL_STATE(8879)] = 216411,
  [SMALL_STATE(8880)] = 216461,
  [SMALL_STATE(8881)] = 216511,
  [SMALL_STATE(8882)] = 216561,
  [SMALL_STATE(8883)] = 216611,
  [SMALL_STATE(8884)] = 216661,
  [SMALL_STATE(8885)] = 216711,
  [SMALL_STATE(8886)] = 216761,
  [SMALL_STATE(8887)] = 216811,
  [SMALL_STATE(8888)] = 216861,
  [SMALL_STATE(8889)] = 216911,
  [SMALL_STATE(8890)] = 216961,
  [SMALL_STATE(8891)] = 217011,
  [SMALL_STATE(8892)] = 217061,
  [SMALL_STATE(8893)] = 217111,
  [SMALL_STATE(8894)] = 217161,
  [SMALL_STATE(8895)] = 217211,
  [SMALL_STATE(8896)] = 217261,
  [SMALL_STATE(8897)] = 217311,
  [SMALL_STATE(8898)] = 217361,
  [SMALL_STATE(8899)] = 217411,
  [SMALL_STATE(8900)] = 217461,
  [SMALL_STATE(8901)] = 217511,
  [SMALL_STATE(8902)] = 217561,
  [SMALL_STATE(8903)] = 217611,
  [SMALL_STATE(8904)] = 217661,
  [SMALL_STATE(8905)] = 217711,
  [SMALL_STATE(8906)] = 217761,
  [SMALL_STATE(8907)] = 217811,
  [SMALL_STATE(8908)] = 217861,
  [SMALL_STATE(8909)] = 217911,
  [SMALL_STATE(8910)] = 217961,
  [SMALL_STATE(8911)] = 218011,
  [SMALL_STATE(8912)] = 218061,
  [SMALL_STATE(8913)] = 218111,
  [SMALL_STATE(8914)] = 218161,
  [SMALL_STATE(8915)] = 218211,
  [SMALL_STATE(8916)] = 218261,
  [SMALL_STATE(8917)] = 218311,
  [SMALL_STATE(8918)] = 218361,
  [SMALL_STATE(8919)] = 218411,
  [SMALL_STATE(8920)] = 218461,
  [SMALL_STATE(8921)] = 218511,
  [SMALL_STATE(8922)] = 218561,
  [SMALL_STATE(8923)] = 218611,
  [SMALL_STATE(8924)] = 218661,
  [SMALL_STATE(8925)] = 218711,
  [SMALL_STATE(8926)] = 218761,
  [SMALL_STATE(8927)] = 218811,
  [SMALL_STATE(8928)] = 218861,
  [SMALL_STATE(8929)] = 218911,
  [SMALL_STATE(8930)] = 218961,
  [SMALL_STATE(8931)] = 219011,
  [SMALL_STATE(8932)] = 219061,
  [SMALL_STATE(8933)] = 219111,
  [SMALL_STATE(8934)] = 219161,
  [SMALL_STATE(8935)] = 219211,
  [SMALL_STATE(8936)] = 219261,
  [SMALL_STATE(8937)] = 219311,
  [SMALL_STATE(8938)] = 219361,
  [SMALL_STATE(8939)] = 219411,
  [SMALL_STATE(8940)] = 219461,
  [SMALL_STATE(8941)] = 219511,
  [SMALL_STATE(8942)] = 219561,
  [SMALL_STATE(8943)] = 219611,
  [SMALL_STATE(8944)] = 219661,
  [SMALL_STATE(8945)] = 219711,
  [SMALL_STATE(8946)] = 219761,
  [SMALL_STATE(8947)] = 219811,
  [SMALL_STATE(8948)] = 219861,
  [SMALL_STATE(8949)] = 219911,
  [SMALL_STATE(8950)] = 219961,
  [SMALL_STATE(8951)] = 220011,
  [SMALL_STATE(8952)] = 220061,
  [SMALL_STATE(8953)] = 220111,
  [SMALL_STATE(8954)] = 220161,
  [SMALL_STATE(8955)] = 220211,
  [SMALL_STATE(8956)] = 220261,
  [SMALL_STATE(8957)] = 220311,
  [SMALL_STATE(8958)] = 220361,
  [SMALL_STATE(8959)] = 220411,
  [SMALL_STATE(8960)] = 220513,
  [SMALL_STATE(8961)] = 220563,
  [SMALL_STATE(8962)] = 220613,
  [SMALL_STATE(8963)] = 220663,
  [SMALL_STATE(8964)] = 220713,
  [SMALL_STATE(8965)] = 220763,
  [SMALL_STATE(8966)] = 220813,
  [SMALL_STATE(8967)] = 220863,
  [SMALL_STATE(8968)] = 220913,
  [SMALL_STATE(8969)] = 220963,
  [SMALL_STATE(8970)] = 221065,
  [SMALL_STATE(8971)] = 221115,
  [SMALL_STATE(8972)] = 221165,
  [SMALL_STATE(8973)] = 221215,
  [SMALL_STATE(8974)] = 221265,
  [SMALL_STATE(8975)] = 221315,
  [SMALL_STATE(8976)] = 221365,
  [SMALL_STATE(8977)] = 221415,
  [SMALL_STATE(8978)] = 221465,
  [SMALL_STATE(8979)] = 221515,
  [SMALL_STATE(8980)] = 221565,
  [SMALL_STATE(8981)] = 221615,
  [SMALL_STATE(8982)] = 221665,
  [SMALL_STATE(8983)] = 221715,
  [SMALL_STATE(8984)] = 221765,
  [SMALL_STATE(8985)] = 221815,
  [SMALL_STATE(8986)] = 221865,
  [SMALL_STATE(8987)] = 221915,
  [SMALL_STATE(8988)] = 221965,
  [SMALL_STATE(8989)] = 222015,
  [SMALL_STATE(8990)] = 222065,
  [SMALL_STATE(8991)] = 222115,
  [SMALL_STATE(8992)] = 222165,
  [SMALL_STATE(8993)] = 222217,
  [SMALL_STATE(8994)] = 222267,
  [SMALL_STATE(8995)] = 222317,
  [SMALL_STATE(8996)] = 222367,
  [SMALL_STATE(8997)] = 222417,
  [SMALL_STATE(8998)] = 222467,
  [SMALL_STATE(8999)] = 222517,
  [SMALL_STATE(9000)] = 222567,
  [SMALL_STATE(9001)] = 222617,
  [SMALL_STATE(9002)] = 222667,
  [SMALL_STATE(9003)] = 222717,
  [SMALL_STATE(9004)] = 222769,
  [SMALL_STATE(9005)] = 222819,
  [SMALL_STATE(9006)] = 222869,
  [SMALL_STATE(9007)] = 222919,
  [SMALL_STATE(9008)] = 222969,
  [SMALL_STATE(9009)] = 223019,
  [SMALL_STATE(9010)] = 223069,
  [SMALL_STATE(9011)] = 223119,
  [SMALL_STATE(9012)] = 223169,
  [SMALL_STATE(9013)] = 223219,
  [SMALL_STATE(9014)] = 223269,
  [SMALL_STATE(9015)] = 223319,
  [SMALL_STATE(9016)] = 223371,
  [SMALL_STATE(9017)] = 223421,
  [SMALL_STATE(9018)] = 223471,
  [SMALL_STATE(9019)] = 223521,
  [SMALL_STATE(9020)] = 223571,
  [SMALL_STATE(9021)] = 223621,
  [SMALL_STATE(9022)] = 223671,
  [SMALL_STATE(9023)] = 223721,
  [SMALL_STATE(9024)] = 223771,
  [SMALL_STATE(9025)] = 223821,
  [SMALL_STATE(9026)] = 223871,
  [SMALL_STATE(9027)] = 223921,
  [SMALL_STATE(9028)] = 223971,
  [SMALL_STATE(9029)] = 224021,
  [SMALL_STATE(9030)] = 224071,
  [SMALL_STATE(9031)] = 224121,
  [SMALL_STATE(9032)] = 224171,
  [SMALL_STATE(9033)] = 224221,
  [SMALL_STATE(9034)] = 224271,
  [SMALL_STATE(9035)] = 224321,
  [SMALL_STATE(9036)] = 224371,
  [SMALL_STATE(9037)] = 224421,
  [SMALL_STATE(9038)] = 224471,
  [SMALL_STATE(9039)] = 224523,
  [SMALL_STATE(9040)] = 224573,
  [SMALL_STATE(9041)] = 224623,
  [SMALL_STATE(9042)] = 224673,
  [SMALL_STATE(9043)] = 224723,
  [SMALL_STATE(9044)] = 224773,
  [SMALL_STATE(9045)] = 224823,
  [SMALL_STATE(9046)] = 224873,
  [SMALL_STATE(9047)] = 224923,
  [SMALL_STATE(9048)] = 224973,
  [SMALL_STATE(9049)] = 225027,
  [SMALL_STATE(9050)] = 225077,
  [SMALL_STATE(9051)] = 225127,
  [SMALL_STATE(9052)] = 225179,
  [SMALL_STATE(9053)] = 225229,
  [SMALL_STATE(9054)] = 225279,
  [SMALL_STATE(9055)] = 225328,
  [SMALL_STATE(9056)] = 225377,
  [SMALL_STATE(9057)] = 225426,
  [SMALL_STATE(9058)] = 225525,
  [SMALL_STATE(9059)] = 225624,
  [SMALL_STATE(9060)] = 225723,
  [SMALL_STATE(9061)] = 225822,
  [SMALL_STATE(9062)] = 225921,
  [SMALL_STATE(9063)] = 225970,
  [SMALL_STATE(9064)] = 226019,
  [SMALL_STATE(9065)] = 226118,
  [SMALL_STATE(9066)] = 226167,
  [SMALL_STATE(9067)] = 226266,
  [SMALL_STATE(9068)] = 226315,
  [SMALL_STATE(9069)] = 226364,
  [SMALL_STATE(9070)] = 226413,
  [SMALL_STATE(9071)] = 226462,
  [SMALL_STATE(9072)] = 226511,
  [SMALL_STATE(9073)] = 226560,
  [SMALL_STATE(9074)] = 226609,
  [SMALL_STATE(9075)] = 226658,
  [SMALL_STATE(9076)] = 226707,
  [SMALL_STATE(9077)] = 226756,
  [SMALL_STATE(9078)] = 226805,
  [SMALL_STATE(9079)] = 226854,
  [SMALL_STATE(9080)] = 226903,
  [SMALL_STATE(9081)] = 226952,
  [SMALL_STATE(9082)] = 227001,
  [SMALL_STATE(9083)] = 227100,
  [SMALL_STATE(9084)] = 227149,
  [SMALL_STATE(9085)] = 227198,
  [SMALL_STATE(9086)] = 227247,
  [SMALL_STATE(9087)] = 227296,
  [SMALL_STATE(9088)] = 227345,
  [SMALL_STATE(9089)] = 227394,
  [SMALL_STATE(9090)] = 227443,
  [SMALL_STATE(9091)] = 227542,
  [SMALL_STATE(9092)] = 227591,
  [SMALL_STATE(9093)] = 227640,
  [SMALL_STATE(9094)] = 227689,
  [SMALL_STATE(9095)] = 227738,
  [SMALL_STATE(9096)] = 227787,
  [SMALL_STATE(9097)] = 227886,
  [SMALL_STATE(9098)] = 227935,
  [SMALL_STATE(9099)] = 227984,
  [SMALL_STATE(9100)] = 228033,
  [SMALL_STATE(9101)] = 228082,
  [SMALL_STATE(9102)] = 228131,
  [SMALL_STATE(9103)] = 228180,
  [SMALL_STATE(9104)] = 228229,
  [SMALL_STATE(9105)] = 228278,
  [SMALL_STATE(9106)] = 228327,
  [SMALL_STATE(9107)] = 228376,
  [SMALL_STATE(9108)] = 228425,
  [SMALL_STATE(9109)] = 228472,
  [SMALL_STATE(9110)] = 228521,
  [SMALL_STATE(9111)] = 228570,
  [SMALL_STATE(9112)] = 228669,
  [SMALL_STATE(9113)] = 228718,
  [SMALL_STATE(9114)] = 228763,
  [SMALL_STATE(9115)] = 228812,
  [SMALL_STATE(9116)] = 228861,
  [SMALL_STATE(9117)] = 228910,
  [SMALL_STATE(9118)] = 228959,
  [SMALL_STATE(9119)] = 229058,
  [SMALL_STATE(9120)] = 229107,
  [SMALL_STATE(9121)] = 229156,
  [SMALL_STATE(9122)] = 229205,
  [SMALL_STATE(9123)] = 229252,
  [SMALL_STATE(9124)] = 229351,
  [SMALL_STATE(9125)] = 229400,
  [SMALL_STATE(9126)] = 229449,
  [SMALL_STATE(9127)] = 229548,
  [SMALL_STATE(9128)] = 229597,
  [SMALL_STATE(9129)] = 229646,
  [SMALL_STATE(9130)] = 229695,
  [SMALL_STATE(9131)] = 229744,
  [SMALL_STATE(9132)] = 229841,
  [SMALL_STATE(9133)] = 229890,
  [SMALL_STATE(9134)] = 229939,
  [SMALL_STATE(9135)] = 229988,
  [SMALL_STATE(9136)] = 230033,
  [SMALL_STATE(9137)] = 230082,
  [SMALL_STATE(9138)] = 230131,
  [SMALL_STATE(9139)] = 230180,
  [SMALL_STATE(9140)] = 230225,
  [SMALL_STATE(9141)] = 230324,
  [SMALL_STATE(9142)] = 230373,
  [SMALL_STATE(9143)] = 230472,
  [SMALL_STATE(9144)] = 230521,
  [SMALL_STATE(9145)] = 230568,
  [SMALL_STATE(9146)] = 230617,
  [SMALL_STATE(9147)] = 230664,
  [SMALL_STATE(9148)] = 230713,
  [SMALL_STATE(9149)] = 230762,
  [SMALL_STATE(9150)] = 230811,
  [SMALL_STATE(9151)] = 230860,
  [SMALL_STATE(9152)] = 230909,
  [SMALL_STATE(9153)] = 230958,
  [SMALL_STATE(9154)] = 231007,
  [SMALL_STATE(9155)] = 231056,
  [SMALL_STATE(9156)] = 231105,
  [SMALL_STATE(9157)] = 231154,
  [SMALL_STATE(9158)] = 231203,
  [SMALL_STATE(9159)] = 231252,
  [SMALL_STATE(9160)] = 231301,
  [SMALL_STATE(9161)] = 231398,
  [SMALL_STATE(9162)] = 231447,
  [SMALL_STATE(9163)] = 231496,
  [SMALL_STATE(9164)] = 231545,
  [SMALL_STATE(9165)] = 231594,
  [SMALL_STATE(9166)] = 231643,
  [SMALL_STATE(9167)] = 231692,
  [SMALL_STATE(9168)] = 231741,
  [SMALL_STATE(9169)] = 231788,
  [SMALL_STATE(9170)] = 231837,
  [SMALL_STATE(9171)] = 231886,
  [SMALL_STATE(9172)] = 231935,
  [SMALL_STATE(9173)] = 231984,
  [SMALL_STATE(9174)] = 232033,
  [SMALL_STATE(9175)] = 232082,
  [SMALL_STATE(9176)] = 232131,
  [SMALL_STATE(9177)] = 232180,
  [SMALL_STATE(9178)] = 232229,
  [SMALL_STATE(9179)] = 232278,
  [SMALL_STATE(9180)] = 232327,
  [SMALL_STATE(9181)] = 232376,
  [SMALL_STATE(9182)] = 232425,
  [SMALL_STATE(9183)] = 232474,
  [SMALL_STATE(9184)] = 232523,
  [SMALL_STATE(9185)] = 232572,
  [SMALL_STATE(9186)] = 232621,
  [SMALL_STATE(9187)] = 232670,
  [SMALL_STATE(9188)] = 232719,
  [SMALL_STATE(9189)] = 232768,
  [SMALL_STATE(9190)] = 232817,
  [SMALL_STATE(9191)] = 232866,
  [SMALL_STATE(9192)] = 232915,
  [SMALL_STATE(9193)] = 232964,
  [SMALL_STATE(9194)] = 233013,
  [SMALL_STATE(9195)] = 233062,
  [SMALL_STATE(9196)] = 233111,
  [SMALL_STATE(9197)] = 233160,
  [SMALL_STATE(9198)] = 233209,
  [SMALL_STATE(9199)] = 233308,
  [SMALL_STATE(9200)] = 233357,
  [SMALL_STATE(9201)] = 233406,
  [SMALL_STATE(9202)] = 233455,
  [SMALL_STATE(9203)] = 233504,
  [SMALL_STATE(9204)] = 233553,
  [SMALL_STATE(9205)] = 233602,
  [SMALL_STATE(9206)] = 233651,
  [SMALL_STATE(9207)] = 233700,
  [SMALL_STATE(9208)] = 233749,
  [SMALL_STATE(9209)] = 233798,
  [SMALL_STATE(9210)] = 233847,
  [SMALL_STATE(9211)] = 233896,
  [SMALL_STATE(9212)] = 233945,
  [SMALL_STATE(9213)] = 233994,
  [SMALL_STATE(9214)] = 234043,
  [SMALL_STATE(9215)] = 234092,
  [SMALL_STATE(9216)] = 234141,
  [SMALL_STATE(9217)] = 234190,
  [SMALL_STATE(9218)] = 234239,
  [SMALL_STATE(9219)] = 234288,
  [SMALL_STATE(9220)] = 234337,
  [SMALL_STATE(9221)] = 234386,
  [SMALL_STATE(9222)] = 234435,
  [SMALL_STATE(9223)] = 234484,
  [SMALL_STATE(9224)] = 234533,
  [SMALL_STATE(9225)] = 234582,
  [SMALL_STATE(9226)] = 234631,
  [SMALL_STATE(9227)] = 234680,
  [SMALL_STATE(9228)] = 234729,
  [SMALL_STATE(9229)] = 234778,
  [SMALL_STATE(9230)] = 234827,
  [SMALL_STATE(9231)] = 234876,
  [SMALL_STATE(9232)] = 234925,
  [SMALL_STATE(9233)] = 234974,
  [SMALL_STATE(9234)] = 235023,
  [SMALL_STATE(9235)] = 235072,
  [SMALL_STATE(9236)] = 235121,
  [SMALL_STATE(9237)] = 235170,
  [SMALL_STATE(9238)] = 235219,
  [SMALL_STATE(9239)] = 235268,
  [SMALL_STATE(9240)] = 235317,
  [SMALL_STATE(9241)] = 235366,
  [SMALL_STATE(9242)] = 235415,
  [SMALL_STATE(9243)] = 235464,
  [SMALL_STATE(9244)] = 235513,
  [SMALL_STATE(9245)] = 235562,
  [SMALL_STATE(9246)] = 235611,
  [SMALL_STATE(9247)] = 235660,
  [SMALL_STATE(9248)] = 235709,
  [SMALL_STATE(9249)] = 235758,
  [SMALL_STATE(9250)] = 235807,
  [SMALL_STATE(9251)] = 235856,
  [SMALL_STATE(9252)] = 235905,
  [SMALL_STATE(9253)] = 235954,
  [SMALL_STATE(9254)] = 236003,
  [SMALL_STATE(9255)] = 236052,
  [SMALL_STATE(9256)] = 236101,
  [SMALL_STATE(9257)] = 236150,
  [SMALL_STATE(9258)] = 236199,
  [SMALL_STATE(9259)] = 236248,
  [SMALL_STATE(9260)] = 236297,
  [SMALL_STATE(9261)] = 236346,
  [SMALL_STATE(9262)] = 236395,
  [SMALL_STATE(9263)] = 236444,
  [SMALL_STATE(9264)] = 236493,
  [SMALL_STATE(9265)] = 236542,
  [SMALL_STATE(9266)] = 236591,
  [SMALL_STATE(9267)] = 236640,
  [SMALL_STATE(9268)] = 236689,
  [SMALL_STATE(9269)] = 236738,
  [SMALL_STATE(9270)] = 236787,
  [SMALL_STATE(9271)] = 236836,
  [SMALL_STATE(9272)] = 236885,
  [SMALL_STATE(9273)] = 236934,
  [SMALL_STATE(9274)] = 236983,
  [SMALL_STATE(9275)] = 237032,
  [SMALL_STATE(9276)] = 237081,
  [SMALL_STATE(9277)] = 237130,
  [SMALL_STATE(9278)] = 237179,
  [SMALL_STATE(9279)] = 237228,
  [SMALL_STATE(9280)] = 237277,
  [SMALL_STATE(9281)] = 237326,
  [SMALL_STATE(9282)] = 237375,
  [SMALL_STATE(9283)] = 237424,
  [SMALL_STATE(9284)] = 237473,
  [SMALL_STATE(9285)] = 237522,
  [SMALL_STATE(9286)] = 237571,
  [SMALL_STATE(9287)] = 237620,
  [SMALL_STATE(9288)] = 237669,
  [SMALL_STATE(9289)] = 237718,
  [SMALL_STATE(9290)] = 237767,
  [SMALL_STATE(9291)] = 237816,
  [SMALL_STATE(9292)] = 237865,
  [SMALL_STATE(9293)] = 237914,
  [SMALL_STATE(9294)] = 237963,
  [SMALL_STATE(9295)] = 238012,
  [SMALL_STATE(9296)] = 238061,
  [SMALL_STATE(9297)] = 238110,
  [SMALL_STATE(9298)] = 238159,
  [SMALL_STATE(9299)] = 238208,
  [SMALL_STATE(9300)] = 238257,
  [SMALL_STATE(9301)] = 238306,
  [SMALL_STATE(9302)] = 238355,
  [SMALL_STATE(9303)] = 238404,
  [SMALL_STATE(9304)] = 238453,
  [SMALL_STATE(9305)] = 238502,
  [SMALL_STATE(9306)] = 238551,
  [SMALL_STATE(9307)] = 238600,
  [SMALL_STATE(9308)] = 238649,
  [SMALL_STATE(9309)] = 238698,
  [SMALL_STATE(9310)] = 238747,
  [SMALL_STATE(9311)] = 238796,
  [SMALL_STATE(9312)] = 238845,
  [SMALL_STATE(9313)] = 238894,
  [SMALL_STATE(9314)] = 238943,
  [SMALL_STATE(9315)] = 238992,
  [SMALL_STATE(9316)] = 239041,
  [SMALL_STATE(9317)] = 239090,
  [SMALL_STATE(9318)] = 239139,
  [SMALL_STATE(9319)] = 239188,
  [SMALL_STATE(9320)] = 239237,
  [SMALL_STATE(9321)] = 239286,
  [SMALL_STATE(9322)] = 239335,
  [SMALL_STATE(9323)] = 239384,
  [SMALL_STATE(9324)] = 239433,
  [SMALL_STATE(9325)] = 239482,
  [SMALL_STATE(9326)] = 239531,
  [SMALL_STATE(9327)] = 239580,
  [SMALL_STATE(9328)] = 239629,
  [SMALL_STATE(9329)] = 239678,
  [SMALL_STATE(9330)] = 239725,
  [SMALL_STATE(9331)] = 239774,
  [SMALL_STATE(9332)] = 239823,
  [SMALL_STATE(9333)] = 239872,
  [SMALL_STATE(9334)] = 239921,
  [SMALL_STATE(9335)] = 239970,
  [SMALL_STATE(9336)] = 240019,
  [SMALL_STATE(9337)] = 240068,
  [SMALL_STATE(9338)] = 240117,
  [SMALL_STATE(9339)] = 240166,
  [SMALL_STATE(9340)] = 240215,
  [SMALL_STATE(9341)] = 240264,
  [SMALL_STATE(9342)] = 240313,
  [SMALL_STATE(9343)] = 240362,
  [SMALL_STATE(9344)] = 240411,
  [SMALL_STATE(9345)] = 240460,
  [SMALL_STATE(9346)] = 240509,
  [SMALL_STATE(9347)] = 240556,
  [SMALL_STATE(9348)] = 240605,
  [SMALL_STATE(9349)] = 240654,
  [SMALL_STATE(9350)] = 240703,
  [SMALL_STATE(9351)] = 240752,
  [SMALL_STATE(9352)] = 240801,
  [SMALL_STATE(9353)] = 240850,
  [SMALL_STATE(9354)] = 240899,
  [SMALL_STATE(9355)] = 240948,
  [SMALL_STATE(9356)] = 240997,
  [SMALL_STATE(9357)] = 241046,
  [SMALL_STATE(9358)] = 241095,
  [SMALL_STATE(9359)] = 241144,
  [SMALL_STATE(9360)] = 241193,
  [SMALL_STATE(9361)] = 241242,
  [SMALL_STATE(9362)] = 241291,
  [SMALL_STATE(9363)] = 241340,
  [SMALL_STATE(9364)] = 241389,
  [SMALL_STATE(9365)] = 241438,
  [SMALL_STATE(9366)] = 241487,
  [SMALL_STATE(9367)] = 241536,
  [SMALL_STATE(9368)] = 241585,
  [SMALL_STATE(9369)] = 241634,
  [SMALL_STATE(9370)] = 241683,
  [SMALL_STATE(9371)] = 241732,
  [SMALL_STATE(9372)] = 241781,
  [SMALL_STATE(9373)] = 241830,
  [SMALL_STATE(9374)] = 241879,
  [SMALL_STATE(9375)] = 241928,
  [SMALL_STATE(9376)] = 241977,
  [SMALL_STATE(9377)] = 242026,
  [SMALL_STATE(9378)] = 242075,
  [SMALL_STATE(9379)] = 242124,
  [SMALL_STATE(9380)] = 242173,
  [SMALL_STATE(9381)] = 242222,
  [SMALL_STATE(9382)] = 242271,
  [SMALL_STATE(9383)] = 242320,
  [SMALL_STATE(9384)] = 242369,
  [SMALL_STATE(9385)] = 242418,
  [SMALL_STATE(9386)] = 242467,
  [SMALL_STATE(9387)] = 242516,
  [SMALL_STATE(9388)] = 242565,
  [SMALL_STATE(9389)] = 242614,
  [SMALL_STATE(9390)] = 242663,
  [SMALL_STATE(9391)] = 242712,
  [SMALL_STATE(9392)] = 242761,
  [SMALL_STATE(9393)] = 242810,
  [SMALL_STATE(9394)] = 242859,
  [SMALL_STATE(9395)] = 242908,
  [SMALL_STATE(9396)] = 242957,
  [SMALL_STATE(9397)] = 243006,
  [SMALL_STATE(9398)] = 243055,
  [SMALL_STATE(9399)] = 243104,
  [SMALL_STATE(9400)] = 243153,
  [SMALL_STATE(9401)] = 243202,
  [SMALL_STATE(9402)] = 243251,
  [SMALL_STATE(9403)] = 243300,
  [SMALL_STATE(9404)] = 243349,
  [SMALL_STATE(9405)] = 243398,
  [SMALL_STATE(9406)] = 243447,
  [SMALL_STATE(9407)] = 243496,
  [SMALL_STATE(9408)] = 243545,
  [SMALL_STATE(9409)] = 243594,
  [SMALL_STATE(9410)] = 243643,
  [SMALL_STATE(9411)] = 243692,
  [SMALL_STATE(9412)] = 243741,
  [SMALL_STATE(9413)] = 243790,
  [SMALL_STATE(9414)] = 243839,
  [SMALL_STATE(9415)] = 243888,
  [SMALL_STATE(9416)] = 243937,
  [SMALL_STATE(9417)] = 243986,
  [SMALL_STATE(9418)] = 244035,
  [SMALL_STATE(9419)] = 244084,
  [SMALL_STATE(9420)] = 244133,
  [SMALL_STATE(9421)] = 244182,
  [SMALL_STATE(9422)] = 244231,
  [SMALL_STATE(9423)] = 244280,
  [SMALL_STATE(9424)] = 244329,
  [SMALL_STATE(9425)] = 244378,
  [SMALL_STATE(9426)] = 244427,
  [SMALL_STATE(9427)] = 244476,
  [SMALL_STATE(9428)] = 244525,
  [SMALL_STATE(9429)] = 244574,
  [SMALL_STATE(9430)] = 244623,
  [SMALL_STATE(9431)] = 244672,
  [SMALL_STATE(9432)] = 244721,
  [SMALL_STATE(9433)] = 244770,
  [SMALL_STATE(9434)] = 244819,
  [SMALL_STATE(9435)] = 244868,
  [SMALL_STATE(9436)] = 244917,
  [SMALL_STATE(9437)] = 244966,
  [SMALL_STATE(9438)] = 245015,
  [SMALL_STATE(9439)] = 245064,
  [SMALL_STATE(9440)] = 245113,
  [SMALL_STATE(9441)] = 245162,
  [SMALL_STATE(9442)] = 245211,
  [SMALL_STATE(9443)] = 245260,
  [SMALL_STATE(9444)] = 245309,
  [SMALL_STATE(9445)] = 245358,
  [SMALL_STATE(9446)] = 245407,
  [SMALL_STATE(9447)] = 245456,
  [SMALL_STATE(9448)] = 245505,
  [SMALL_STATE(9449)] = 245554,
  [SMALL_STATE(9450)] = 245603,
  [SMALL_STATE(9451)] = 245652,
  [SMALL_STATE(9452)] = 245701,
  [SMALL_STATE(9453)] = 245750,
  [SMALL_STATE(9454)] = 245799,
  [SMALL_STATE(9455)] = 245848,
  [SMALL_STATE(9456)] = 245897,
  [SMALL_STATE(9457)] = 245946,
  [SMALL_STATE(9458)] = 245995,
  [SMALL_STATE(9459)] = 246044,
  [SMALL_STATE(9460)] = 246093,
  [SMALL_STATE(9461)] = 246142,
  [SMALL_STATE(9462)] = 246191,
  [SMALL_STATE(9463)] = 246240,
  [SMALL_STATE(9464)] = 246289,
  [SMALL_STATE(9465)] = 246338,
  [SMALL_STATE(9466)] = 246387,
  [SMALL_STATE(9467)] = 246436,
  [SMALL_STATE(9468)] = 246485,
  [SMALL_STATE(9469)] = 246534,
  [SMALL_STATE(9470)] = 246583,
  [SMALL_STATE(9471)] = 246632,
  [SMALL_STATE(9472)] = 246681,
  [SMALL_STATE(9473)] = 246730,
  [SMALL_STATE(9474)] = 246779,
  [SMALL_STATE(9475)] = 246828,
  [SMALL_STATE(9476)] = 246877,
  [SMALL_STATE(9477)] = 246926,
  [SMALL_STATE(9478)] = 246975,
  [SMALL_STATE(9479)] = 247020,
  [SMALL_STATE(9480)] = 247069,
  [SMALL_STATE(9481)] = 247118,
  [SMALL_STATE(9482)] = 247167,
  [SMALL_STATE(9483)] = 247216,
  [SMALL_STATE(9484)] = 247265,
  [SMALL_STATE(9485)] = 247314,
  [SMALL_STATE(9486)] = 247363,
  [SMALL_STATE(9487)] = 247412,
  [SMALL_STATE(9488)] = 247461,
  [SMALL_STATE(9489)] = 247510,
  [SMALL_STATE(9490)] = 247559,
  [SMALL_STATE(9491)] = 247608,
  [SMALL_STATE(9492)] = 247657,
  [SMALL_STATE(9493)] = 247706,
  [SMALL_STATE(9494)] = 247755,
  [SMALL_STATE(9495)] = 247804,
  [SMALL_STATE(9496)] = 247849,
  [SMALL_STATE(9497)] = 247898,
  [SMALL_STATE(9498)] = 247947,
  [SMALL_STATE(9499)] = 247996,
  [SMALL_STATE(9500)] = 248045,
  [SMALL_STATE(9501)] = 248094,
  [SMALL_STATE(9502)] = 248143,
  [SMALL_STATE(9503)] = 248192,
  [SMALL_STATE(9504)] = 248241,
  [SMALL_STATE(9505)] = 248290,
  [SMALL_STATE(9506)] = 248339,
  [SMALL_STATE(9507)] = 248388,
  [SMALL_STATE(9508)] = 248437,
  [SMALL_STATE(9509)] = 248486,
  [SMALL_STATE(9510)] = 248535,
  [SMALL_STATE(9511)] = 248584,
  [SMALL_STATE(9512)] = 248633,
  [SMALL_STATE(9513)] = 248682,
  [SMALL_STATE(9514)] = 248731,
  [SMALL_STATE(9515)] = 248780,
  [SMALL_STATE(9516)] = 248829,
  [SMALL_STATE(9517)] = 248878,
  [SMALL_STATE(9518)] = 248927,
  [SMALL_STATE(9519)] = 248976,
  [SMALL_STATE(9520)] = 249025,
  [SMALL_STATE(9521)] = 249074,
  [SMALL_STATE(9522)] = 249123,
  [SMALL_STATE(9523)] = 249220,
  [SMALL_STATE(9524)] = 249269,
  [SMALL_STATE(9525)] = 249318,
  [SMALL_STATE(9526)] = 249367,
  [SMALL_STATE(9527)] = 249416,
  [SMALL_STATE(9528)] = 249465,
  [SMALL_STATE(9529)] = 249514,
  [SMALL_STATE(9530)] = 249563,
  [SMALL_STATE(9531)] = 249612,
  [SMALL_STATE(9532)] = 249661,
  [SMALL_STATE(9533)] = 249710,
  [SMALL_STATE(9534)] = 249759,
  [SMALL_STATE(9535)] = 249808,
  [SMALL_STATE(9536)] = 249857,
  [SMALL_STATE(9537)] = 249906,
  [SMALL_STATE(9538)] = 249955,
  [SMALL_STATE(9539)] = 250004,
  [SMALL_STATE(9540)] = 250053,
  [SMALL_STATE(9541)] = 250102,
  [SMALL_STATE(9542)] = 250151,
  [SMALL_STATE(9543)] = 250200,
  [SMALL_STATE(9544)] = 250249,
  [SMALL_STATE(9545)] = 250298,
  [SMALL_STATE(9546)] = 250347,
  [SMALL_STATE(9547)] = 250444,
  [SMALL_STATE(9548)] = 250493,
  [SMALL_STATE(9549)] = 250542,
  [SMALL_STATE(9550)] = 250591,
  [SMALL_STATE(9551)] = 250640,
  [SMALL_STATE(9552)] = 250689,
  [SMALL_STATE(9553)] = 250738,
  [SMALL_STATE(9554)] = 250787,
  [SMALL_STATE(9555)] = 250836,
  [SMALL_STATE(9556)] = 250881,
  [SMALL_STATE(9557)] = 250930,
  [SMALL_STATE(9558)] = 250979,
  [SMALL_STATE(9559)] = 251028,
  [SMALL_STATE(9560)] = 251077,
  [SMALL_STATE(9561)] = 251126,
  [SMALL_STATE(9562)] = 251175,
  [SMALL_STATE(9563)] = 251224,
  [SMALL_STATE(9564)] = 251273,
  [SMALL_STATE(9565)] = 251322,
  [SMALL_STATE(9566)] = 251371,
  [SMALL_STATE(9567)] = 251420,
  [SMALL_STATE(9568)] = 251469,
  [SMALL_STATE(9569)] = 251518,
  [SMALL_STATE(9570)] = 251567,
  [SMALL_STATE(9571)] = 251616,
  [SMALL_STATE(9572)] = 251665,
  [SMALL_STATE(9573)] = 251714,
  [SMALL_STATE(9574)] = 251763,
  [SMALL_STATE(9575)] = 251812,
  [SMALL_STATE(9576)] = 251861,
  [SMALL_STATE(9577)] = 251910,
  [SMALL_STATE(9578)] = 251959,
  [SMALL_STATE(9579)] = 252008,
  [SMALL_STATE(9580)] = 252057,
  [SMALL_STATE(9581)] = 252106,
  [SMALL_STATE(9582)] = 252155,
  [SMALL_STATE(9583)] = 252204,
  [SMALL_STATE(9584)] = 252253,
  [SMALL_STATE(9585)] = 252302,
  [SMALL_STATE(9586)] = 252351,
  [SMALL_STATE(9587)] = 252400,
  [SMALL_STATE(9588)] = 252449,
  [SMALL_STATE(9589)] = 252546,
  [SMALL_STATE(9590)] = 252595,
  [SMALL_STATE(9591)] = 252644,
  [SMALL_STATE(9592)] = 252691,
  [SMALL_STATE(9593)] = 252740,
  [SMALL_STATE(9594)] = 252789,
  [SMALL_STATE(9595)] = 252838,
  [SMALL_STATE(9596)] = 252887,
  [SMALL_STATE(9597)] = 252936,
  [SMALL_STATE(9598)] = 252985,
  [SMALL_STATE(9599)] = 253034,
  [SMALL_STATE(9600)] = 253083,
  [SMALL_STATE(9601)] = 253132,
  [SMALL_STATE(9602)] = 253179,
  [SMALL_STATE(9603)] = 253228,
  [SMALL_STATE(9604)] = 253277,
  [SMALL_STATE(9605)] = 253374,
  [SMALL_STATE(9606)] = 253423,
  [SMALL_STATE(9607)] = 253472,
  [SMALL_STATE(9608)] = 253521,
  [SMALL_STATE(9609)] = 253570,
  [SMALL_STATE(9610)] = 253619,
  [SMALL_STATE(9611)] = 253668,
  [SMALL_STATE(9612)] = 253717,
  [SMALL_STATE(9613)] = 253766,
  [SMALL_STATE(9614)] = 253815,
  [SMALL_STATE(9615)] = 253864,
  [SMALL_STATE(9616)] = 253913,
  [SMALL_STATE(9617)] = 253962,
  [SMALL_STATE(9618)] = 254061,
  [SMALL_STATE(9619)] = 254110,
  [SMALL_STATE(9620)] = 254159,
  [SMALL_STATE(9621)] = 254208,
  [SMALL_STATE(9622)] = 254257,
  [SMALL_STATE(9623)] = 254306,
  [SMALL_STATE(9624)] = 254355,
  [SMALL_STATE(9625)] = 254404,
  [SMALL_STATE(9626)] = 254451,
  [SMALL_STATE(9627)] = 254550,
  [SMALL_STATE(9628)] = 254599,
  [SMALL_STATE(9629)] = 254643,
  [SMALL_STATE(9630)] = 254689,
  [SMALL_STATE(9631)] = 254733,
  [SMALL_STATE(9632)] = 254829,
  [SMALL_STATE(9633)] = 254925,
  [SMALL_STATE(9634)] = 254969,
  [SMALL_STATE(9635)] = 255065,
  [SMALL_STATE(9636)] = 255161,
  [SMALL_STATE(9637)] = 255257,
  [SMALL_STATE(9638)] = 255353,
  [SMALL_STATE(9639)] = 255449,
  [SMALL_STATE(9640)] = 255545,
  [SMALL_STATE(9641)] = 255641,
  [SMALL_STATE(9642)] = 255737,
  [SMALL_STATE(9643)] = 255833,
  [SMALL_STATE(9644)] = 255929,
  [SMALL_STATE(9645)] = 256025,
  [SMALL_STATE(9646)] = 256121,
  [SMALL_STATE(9647)] = 256217,
  [SMALL_STATE(9648)] = 256313,
  [SMALL_STATE(9649)] = 256409,
  [SMALL_STATE(9650)] = 256505,
  [SMALL_STATE(9651)] = 256601,
  [SMALL_STATE(9652)] = 256697,
  [SMALL_STATE(9653)] = 256793,
  [SMALL_STATE(9654)] = 256889,
  [SMALL_STATE(9655)] = 256985,
  [SMALL_STATE(9656)] = 257081,
  [SMALL_STATE(9657)] = 257177,
  [SMALL_STATE(9658)] = 257273,
  [SMALL_STATE(9659)] = 257369,
  [SMALL_STATE(9660)] = 257465,
  [SMALL_STATE(9661)] = 257561,
  [SMALL_STATE(9662)] = 257657,
  [SMALL_STATE(9663)] = 257753,
  [SMALL_STATE(9664)] = 257849,
  [SMALL_STATE(9665)] = 257945,
  [SMALL_STATE(9666)] = 258041,
  [SMALL_STATE(9667)] = 258137,
  [SMALL_STATE(9668)] = 258233,
  [SMALL_STATE(9669)] = 258329,
  [SMALL_STATE(9670)] = 258425,
  [SMALL_STATE(9671)] = 258521,
  [SMALL_STATE(9672)] = 258617,
  [SMALL_STATE(9673)] = 258713,
  [SMALL_STATE(9674)] = 258759,
  [SMALL_STATE(9675)] = 258805,
  [SMALL_STATE(9676)] = 258901,
  [SMALL_STATE(9677)] = 258997,
  [SMALL_STATE(9678)] = 259093,
  [SMALL_STATE(9679)] = 259139,
  [SMALL_STATE(9680)] = 259235,
  [SMALL_STATE(9681)] = 259331,
  [SMALL_STATE(9682)] = 259427,
  [SMALL_STATE(9683)] = 259473,
  [SMALL_STATE(9684)] = 259569,
  [SMALL_STATE(9685)] = 259665,
  [SMALL_STATE(9686)] = 259761,
  [SMALL_STATE(9687)] = 259857,
  [SMALL_STATE(9688)] = 259953,
  [SMALL_STATE(9689)] = 260049,
  [SMALL_STATE(9690)] = 260095,
  [SMALL_STATE(9691)] = 260191,
  [SMALL_STATE(9692)] = 260237,
  [SMALL_STATE(9693)] = 260333,
  [SMALL_STATE(9694)] = 260429,
  [SMALL_STATE(9695)] = 260475,
  [SMALL_STATE(9696)] = 260521,
  [SMALL_STATE(9697)] = 260567,
  [SMALL_STATE(9698)] = 260663,
  [SMALL_STATE(9699)] = 260759,
  [SMALL_STATE(9700)] = 260855,
  [SMALL_STATE(9701)] = 260951,
  [SMALL_STATE(9702)] = 260997,
  [SMALL_STATE(9703)] = 261093,
  [SMALL_STATE(9704)] = 261139,
  [SMALL_STATE(9705)] = 261235,
  [SMALL_STATE(9706)] = 261281,
  [SMALL_STATE(9707)] = 261327,
  [SMALL_STATE(9708)] = 261371,
  [SMALL_STATE(9709)] = 261417,
  [SMALL_STATE(9710)] = 261513,
  [SMALL_STATE(9711)] = 261559,
  [SMALL_STATE(9712)] = 261655,
  [SMALL_STATE(9713)] = 261717,
  [SMALL_STATE(9714)] = 261809,
  [SMALL_STATE(9715)] = 261855,
  [SMALL_STATE(9716)] = 261951,
  [SMALL_STATE(9717)] = 261997,
  [SMALL_STATE(9718)] = 262043,
  [SMALL_STATE(9719)] = 262089,
  [SMALL_STATE(9720)] = 262135,
  [SMALL_STATE(9721)] = 262181,
  [SMALL_STATE(9722)] = 262227,
  [SMALL_STATE(9723)] = 262323,
  [SMALL_STATE(9724)] = 262369,
  [SMALL_STATE(9725)] = 262415,
  [SMALL_STATE(9726)] = 262461,
  [SMALL_STATE(9727)] = 262557,
  [SMALL_STATE(9728)] = 262653,
  [SMALL_STATE(9729)] = 262697,
  [SMALL_STATE(9730)] = 262743,
  [SMALL_STATE(9731)] = 262789,
  [SMALL_STATE(9732)] = 262835,
  [SMALL_STATE(9733)] = 262881,
  [SMALL_STATE(9734)] = 262927,
  [SMALL_STATE(9735)] = 263005,
  [SMALL_STATE(9736)] = 263101,
  [SMALL_STATE(9737)] = 263147,
  [SMALL_STATE(9738)] = 263217,
  [SMALL_STATE(9739)] = 263289,
  [SMALL_STATE(9740)] = 263363,
  [SMALL_STATE(9741)] = 263439,
  [SMALL_STATE(9742)] = 263525,
  [SMALL_STATE(9743)] = 263613,
  [SMALL_STATE(9744)] = 263659,
  [SMALL_STATE(9745)] = 263703,
  [SMALL_STATE(9746)] = 263749,
  [SMALL_STATE(9747)] = 263815,
  [SMALL_STATE(9748)] = 263859,
  [SMALL_STATE(9749)] = 263937,
  [SMALL_STATE(9750)] = 264015,
  [SMALL_STATE(9751)] = 264059,
  [SMALL_STATE(9752)] = 264155,
  [SMALL_STATE(9753)] = 264201,
  [SMALL_STATE(9754)] = 264245,
  [SMALL_STATE(9755)] = 264323,
  [SMALL_STATE(9756)] = 264369,
  [SMALL_STATE(9757)] = 264415,
  [SMALL_STATE(9758)] = 264457,
  [SMALL_STATE(9759)] = 264553,
  [SMALL_STATE(9760)] = 264649,
  [SMALL_STATE(9761)] = 264745,
  [SMALL_STATE(9762)] = 264841,
  [SMALL_STATE(9763)] = 264903,
  [SMALL_STATE(9764)] = 264981,
  [SMALL_STATE(9765)] = 265027,
  [SMALL_STATE(9766)] = 265073,
  [SMALL_STATE(9767)] = 265119,
  [SMALL_STATE(9768)] = 265165,
  [SMALL_STATE(9769)] = 265211,
  [SMALL_STATE(9770)] = 265257,
  [SMALL_STATE(9771)] = 265303,
  [SMALL_STATE(9772)] = 265349,
  [SMALL_STATE(9773)] = 265445,
  [SMALL_STATE(9774)] = 265541,
  [SMALL_STATE(9775)] = 265587,
  [SMALL_STATE(9776)] = 265633,
  [SMALL_STATE(9777)] = 265679,
  [SMALL_STATE(9778)] = 265725,
  [SMALL_STATE(9779)] = 265771,
  [SMALL_STATE(9780)] = 265867,
  [SMALL_STATE(9781)] = 265913,
  [SMALL_STATE(9782)] = 265959,
  [SMALL_STATE(9783)] = 266005,
  [SMALL_STATE(9784)] = 266051,
  [SMALL_STATE(9785)] = 266097,
  [SMALL_STATE(9786)] = 266143,
  [SMALL_STATE(9787)] = 266187,
  [SMALL_STATE(9788)] = 266233,
  [SMALL_STATE(9789)] = 266279,
  [SMALL_STATE(9790)] = 266323,
  [SMALL_STATE(9791)] = 266369,
  [SMALL_STATE(9792)] = 266415,
  [SMALL_STATE(9793)] = 266461,
  [SMALL_STATE(9794)] = 266507,
  [SMALL_STATE(9795)] = 266551,
  [SMALL_STATE(9796)] = 266595,
  [SMALL_STATE(9797)] = 266639,
  [SMALL_STATE(9798)] = 266685,
  [SMALL_STATE(9799)] = 266731,
  [SMALL_STATE(9800)] = 266777,
  [SMALL_STATE(9801)] = 266823,
  [SMALL_STATE(9802)] = 266869,
  [SMALL_STATE(9803)] = 266915,
  [SMALL_STATE(9804)] = 267011,
  [SMALL_STATE(9805)] = 267057,
  [SMALL_STATE(9806)] = 267103,
  [SMALL_STATE(9807)] = 267149,
  [SMALL_STATE(9808)] = 267195,
  [SMALL_STATE(9809)] = 267241,
  [SMALL_STATE(9810)] = 267287,
  [SMALL_STATE(9811)] = 267333,
  [SMALL_STATE(9812)] = 267379,
  [SMALL_STATE(9813)] = 267425,
  [SMALL_STATE(9814)] = 267471,
  [SMALL_STATE(9815)] = 267549,
  [SMALL_STATE(9816)] = 267595,
  [SMALL_STATE(9817)] = 267641,
  [SMALL_STATE(9818)] = 267687,
  [SMALL_STATE(9819)] = 267733,
  [SMALL_STATE(9820)] = 267811,
  [SMALL_STATE(9821)] = 267907,
  [SMALL_STATE(9822)] = 267953,
  [SMALL_STATE(9823)] = 267999,
  [SMALL_STATE(9824)] = 268095,
  [SMALL_STATE(9825)] = 268141,
  [SMALL_STATE(9826)] = 268185,
  [SMALL_STATE(9827)] = 268231,
  [SMALL_STATE(9828)] = 268277,
  [SMALL_STATE(9829)] = 268373,
  [SMALL_STATE(9830)] = 268419,
  [SMALL_STATE(9831)] = 268465,
  [SMALL_STATE(9832)] = 268561,
  [SMALL_STATE(9833)] = 268657,
  [SMALL_STATE(9834)] = 268753,
  [SMALL_STATE(9835)] = 268799,
  [SMALL_STATE(9836)] = 268895,
  [SMALL_STATE(9837)] = 268941,
  [SMALL_STATE(9838)] = 268987,
  [SMALL_STATE(9839)] = 269033,
  [SMALL_STATE(9840)] = 269079,
  [SMALL_STATE(9841)] = 269125,
  [SMALL_STATE(9842)] = 269171,
  [SMALL_STATE(9843)] = 269217,
  [SMALL_STATE(9844)] = 269313,
  [SMALL_STATE(9845)] = 269409,
  [SMALL_STATE(9846)] = 269505,
  [SMALL_STATE(9847)] = 269551,
  [SMALL_STATE(9848)] = 269597,
  [SMALL_STATE(9849)] = 269643,
  [SMALL_STATE(9850)] = 269691,
  [SMALL_STATE(9851)] = 269787,
  [SMALL_STATE(9852)] = 269833,
  [SMALL_STATE(9853)] = 269929,
  [SMALL_STATE(9854)] = 270025,
  [SMALL_STATE(9855)] = 270121,
  [SMALL_STATE(9856)] = 270167,
  [SMALL_STATE(9857)] = 270213,
  [SMALL_STATE(9858)] = 270275,
  [SMALL_STATE(9859)] = 270365,
  [SMALL_STATE(9860)] = 270411,
  [SMALL_STATE(9861)] = 270457,
  [SMALL_STATE(9862)] = 270503,
  [SMALL_STATE(9863)] = 270565,
  [SMALL_STATE(9864)] = 270661,
  [SMALL_STATE(9865)] = 270707,
  [SMALL_STATE(9866)] = 270753,
  [SMALL_STATE(9867)] = 270799,
  [SMALL_STATE(9868)] = 270895,
  [SMALL_STATE(9869)] = 270991,
  [SMALL_STATE(9870)] = 271087,
  [SMALL_STATE(9871)] = 271183,
  [SMALL_STATE(9872)] = 271229,
  [SMALL_STATE(9873)] = 271307,
  [SMALL_STATE(9874)] = 271355,
  [SMALL_STATE(9875)] = 271401,
  [SMALL_STATE(9876)] = 271447,
  [SMALL_STATE(9877)] = 271525,
  [SMALL_STATE(9878)] = 271591,
  [SMALL_STATE(9879)] = 271637,
  [SMALL_STATE(9880)] = 271707,
  [SMALL_STATE(9881)] = 271779,
  [SMALL_STATE(9882)] = 271853,
  [SMALL_STATE(9883)] = 271929,
  [SMALL_STATE(9884)] = 272017,
  [SMALL_STATE(9885)] = 272107,
  [SMALL_STATE(9886)] = 272185,
  [SMALL_STATE(9887)] = 272263,
  [SMALL_STATE(9888)] = 272341,
  [SMALL_STATE(9889)] = 272384,
  [SMALL_STATE(9890)] = 272477,
  [SMALL_STATE(9891)] = 272520,
  [SMALL_STATE(9892)] = 272563,
  [SMALL_STATE(9893)] = 272606,
  [SMALL_STATE(9894)] = 272649,
  [SMALL_STATE(9895)] = 272692,
  [SMALL_STATE(9896)] = 272735,
  [SMALL_STATE(9897)] = 272778,
  [SMALL_STATE(9898)] = 272821,
  [SMALL_STATE(9899)] = 272864,
  [SMALL_STATE(9900)] = 272907,
  [SMALL_STATE(9901)] = 272950,
  [SMALL_STATE(9902)] = 272993,
  [SMALL_STATE(9903)] = 273036,
  [SMALL_STATE(9904)] = 273079,
  [SMALL_STATE(9905)] = 273122,
  [SMALL_STATE(9906)] = 273165,
  [SMALL_STATE(9907)] = 273208,
  [SMALL_STATE(9908)] = 273251,
  [SMALL_STATE(9909)] = 273294,
  [SMALL_STATE(9910)] = 273337,
  [SMALL_STATE(9911)] = 273380,
  [SMALL_STATE(9912)] = 273423,
  [SMALL_STATE(9913)] = 273466,
  [SMALL_STATE(9914)] = 273509,
  [SMALL_STATE(9915)] = 273552,
  [SMALL_STATE(9916)] = 273595,
  [SMALL_STATE(9917)] = 273638,
  [SMALL_STATE(9918)] = 273681,
  [SMALL_STATE(9919)] = 273774,
  [SMALL_STATE(9920)] = 273867,
  [SMALL_STATE(9921)] = 273910,
  [SMALL_STATE(9922)] = 273953,
  [SMALL_STATE(9923)] = 273996,
  [SMALL_STATE(9924)] = 274039,
  [SMALL_STATE(9925)] = 274082,
  [SMALL_STATE(9926)] = 274125,
  [SMALL_STATE(9927)] = 274168,
  [SMALL_STATE(9928)] = 274211,
  [SMALL_STATE(9929)] = 274254,
  [SMALL_STATE(9930)] = 274297,
  [SMALL_STATE(9931)] = 274340,
  [SMALL_STATE(9932)] = 274383,
  [SMALL_STATE(9933)] = 274476,
  [SMALL_STATE(9934)] = 274569,
  [SMALL_STATE(9935)] = 274662,
  [SMALL_STATE(9936)] = 274755,
  [SMALL_STATE(9937)] = 274798,
  [SMALL_STATE(9938)] = 274841,
  [SMALL_STATE(9939)] = 274884,
  [SMALL_STATE(9940)] = 274927,
  [SMALL_STATE(9941)] = 274970,
  [SMALL_STATE(9942)] = 275013,
  [SMALL_STATE(9943)] = 275056,
  [SMALL_STATE(9944)] = 275099,
  [SMALL_STATE(9945)] = 275142,
  [SMALL_STATE(9946)] = 275185,
  [SMALL_STATE(9947)] = 275228,
  [SMALL_STATE(9948)] = 275271,
  [SMALL_STATE(9949)] = 275314,
  [SMALL_STATE(9950)] = 275357,
  [SMALL_STATE(9951)] = 275400,
  [SMALL_STATE(9952)] = 275443,
  [SMALL_STATE(9953)] = 275486,
  [SMALL_STATE(9954)] = 275529,
  [SMALL_STATE(9955)] = 275572,
  [SMALL_STATE(9956)] = 275615,
  [SMALL_STATE(9957)] = 275658,
  [SMALL_STATE(9958)] = 275701,
  [SMALL_STATE(9959)] = 275744,
  [SMALL_STATE(9960)] = 275787,
  [SMALL_STATE(9961)] = 275830,
  [SMALL_STATE(9962)] = 275873,
  [SMALL_STATE(9963)] = 275916,
  [SMALL_STATE(9964)] = 275959,
  [SMALL_STATE(9965)] = 276052,
  [SMALL_STATE(9966)] = 276145,
  [SMALL_STATE(9967)] = 276238,
  [SMALL_STATE(9968)] = 276331,
  [SMALL_STATE(9969)] = 276372,
  [SMALL_STATE(9970)] = 276465,
  [SMALL_STATE(9971)] = 276558,
  [SMALL_STATE(9972)] = 276601,
  [SMALL_STATE(9973)] = 276694,
  [SMALL_STATE(9974)] = 276787,
  [SMALL_STATE(9975)] = 276880,
  [SMALL_STATE(9976)] = 276923,
  [SMALL_STATE(9977)] = 276966,
  [SMALL_STATE(9978)] = 277009,
  [SMALL_STATE(9979)] = 277102,
  [SMALL_STATE(9980)] = 277145,
  [SMALL_STATE(9981)] = 277188,
  [SMALL_STATE(9982)] = 277231,
  [SMALL_STATE(9983)] = 277274,
  [SMALL_STATE(9984)] = 277317,
  [SMALL_STATE(9985)] = 277360,
  [SMALL_STATE(9986)] = 277403,
  [SMALL_STATE(9987)] = 277446,
  [SMALL_STATE(9988)] = 277489,
  [SMALL_STATE(9989)] = 277532,
  [SMALL_STATE(9990)] = 277575,
  [SMALL_STATE(9991)] = 277618,
  [SMALL_STATE(9992)] = 277661,
  [SMALL_STATE(9993)] = 277704,
  [SMALL_STATE(9994)] = 277747,
  [SMALL_STATE(9995)] = 277790,
  [SMALL_STATE(9996)] = 277833,
  [SMALL_STATE(9997)] = 277876,
  [SMALL_STATE(9998)] = 277919,
  [SMALL_STATE(9999)] = 277962,
  [SMALL_STATE(10000)] = 278005,
  [SMALL_STATE(10001)] = 278048,
  [SMALL_STATE(10002)] = 278091,
  [SMALL_STATE(10003)] = 278134,
  [SMALL_STATE(10004)] = 278177,
  [SMALL_STATE(10005)] = 278270,
  [SMALL_STATE(10006)] = 278363,
  [SMALL_STATE(10007)] = 278456,
  [SMALL_STATE(10008)] = 278549,
  [SMALL_STATE(10009)] = 278642,
  [SMALL_STATE(10010)] = 278735,
  [SMALL_STATE(10011)] = 278828,
  [SMALL_STATE(10012)] = 278921,
  [SMALL_STATE(10013)] = 278964,
  [SMALL_STATE(10014)] = 279057,
  [SMALL_STATE(10015)] = 279150,
  [SMALL_STATE(10016)] = 279243,
  [SMALL_STATE(10017)] = 279286,
  [SMALL_STATE(10018)] = 279329,
  [SMALL_STATE(10019)] = 279372,
  [SMALL_STATE(10020)] = 279465,
  [SMALL_STATE(10021)] = 279508,
  [SMALL_STATE(10022)] = 279551,
  [SMALL_STATE(10023)] = 279594,
  [SMALL_STATE(10024)] = 279637,
  [SMALL_STATE(10025)] = 279680,
  [SMALL_STATE(10026)] = 279723,
  [SMALL_STATE(10027)] = 279766,
  [SMALL_STATE(10028)] = 279809,
  [SMALL_STATE(10029)] = 279852,
  [SMALL_STATE(10030)] = 279895,
  [SMALL_STATE(10031)] = 279938,
  [SMALL_STATE(10032)] = 279981,
  [SMALL_STATE(10033)] = 280024,
  [SMALL_STATE(10034)] = 280067,
  [SMALL_STATE(10035)] = 280110,
  [SMALL_STATE(10036)] = 280153,
  [SMALL_STATE(10037)] = 280196,
  [SMALL_STATE(10038)] = 280239,
  [SMALL_STATE(10039)] = 280282,
  [SMALL_STATE(10040)] = 280325,
  [SMALL_STATE(10041)] = 280368,
  [SMALL_STATE(10042)] = 280411,
  [SMALL_STATE(10043)] = 280454,
  [SMALL_STATE(10044)] = 280497,
  [SMALL_STATE(10045)] = 280540,
  [SMALL_STATE(10046)] = 280583,
  [SMALL_STATE(10047)] = 280626,
  [SMALL_STATE(10048)] = 280669,
  [SMALL_STATE(10049)] = 280712,
  [SMALL_STATE(10050)] = 280755,
  [SMALL_STATE(10051)] = 280798,
  [SMALL_STATE(10052)] = 280841,
  [SMALL_STATE(10053)] = 280884,
  [SMALL_STATE(10054)] = 280927,
  [SMALL_STATE(10055)] = 280970,
  [SMALL_STATE(10056)] = 281013,
  [SMALL_STATE(10057)] = 281056,
  [SMALL_STATE(10058)] = 281099,
  [SMALL_STATE(10059)] = 281142,
  [SMALL_STATE(10060)] = 281185,
  [SMALL_STATE(10061)] = 281228,
  [SMALL_STATE(10062)] = 281271,
  [SMALL_STATE(10063)] = 281314,
  [SMALL_STATE(10064)] = 281357,
  [SMALL_STATE(10065)] = 281400,
  [SMALL_STATE(10066)] = 281443,
  [SMALL_STATE(10067)] = 281486,
  [SMALL_STATE(10068)] = 281529,
  [SMALL_STATE(10069)] = 281572,
  [SMALL_STATE(10070)] = 281615,
  [SMALL_STATE(10071)] = 281658,
  [SMALL_STATE(10072)] = 281701,
  [SMALL_STATE(10073)] = 281744,
  [SMALL_STATE(10074)] = 281787,
  [SMALL_STATE(10075)] = 281830,
  [SMALL_STATE(10076)] = 281873,
  [SMALL_STATE(10077)] = 281916,
  [SMALL_STATE(10078)] = 281959,
  [SMALL_STATE(10079)] = 282002,
  [SMALL_STATE(10080)] = 282045,
  [SMALL_STATE(10081)] = 282088,
  [SMALL_STATE(10082)] = 282131,
  [SMALL_STATE(10083)] = 282174,
  [SMALL_STATE(10084)] = 282217,
  [SMALL_STATE(10085)] = 282260,
  [SMALL_STATE(10086)] = 282303,
  [SMALL_STATE(10087)] = 282346,
  [SMALL_STATE(10088)] = 282389,
  [SMALL_STATE(10089)] = 282432,
  [SMALL_STATE(10090)] = 282475,
  [SMALL_STATE(10091)] = 282518,
  [SMALL_STATE(10092)] = 282561,
  [SMALL_STATE(10093)] = 282604,
  [SMALL_STATE(10094)] = 282647,
  [SMALL_STATE(10095)] = 282690,
  [SMALL_STATE(10096)] = 282733,
  [SMALL_STATE(10097)] = 282776,
  [SMALL_STATE(10098)] = 282819,
  [SMALL_STATE(10099)] = 282862,
  [SMALL_STATE(10100)] = 282905,
  [SMALL_STATE(10101)] = 282948,
  [SMALL_STATE(10102)] = 282991,
  [SMALL_STATE(10103)] = 283034,
  [SMALL_STATE(10104)] = 283077,
  [SMALL_STATE(10105)] = 283120,
  [SMALL_STATE(10106)] = 283163,
  [SMALL_STATE(10107)] = 283206,
  [SMALL_STATE(10108)] = 283249,
  [SMALL_STATE(10109)] = 283292,
  [SMALL_STATE(10110)] = 283335,
  [SMALL_STATE(10111)] = 283378,
  [SMALL_STATE(10112)] = 283421,
  [SMALL_STATE(10113)] = 283464,
  [SMALL_STATE(10114)] = 283507,
  [SMALL_STATE(10115)] = 283550,
  [SMALL_STATE(10116)] = 283593,
  [SMALL_STATE(10117)] = 283636,
  [SMALL_STATE(10118)] = 283679,
  [SMALL_STATE(10119)] = 283722,
  [SMALL_STATE(10120)] = 283765,
  [SMALL_STATE(10121)] = 283808,
  [SMALL_STATE(10122)] = 283851,
  [SMALL_STATE(10123)] = 283894,
  [SMALL_STATE(10124)] = 283937,
  [SMALL_STATE(10125)] = 283980,
  [SMALL_STATE(10126)] = 284023,
  [SMALL_STATE(10127)] = 284066,
  [SMALL_STATE(10128)] = 284109,
  [SMALL_STATE(10129)] = 284152,
  [SMALL_STATE(10130)] = 284195,
  [SMALL_STATE(10131)] = 284238,
  [SMALL_STATE(10132)] = 284281,
  [SMALL_STATE(10133)] = 284324,
  [SMALL_STATE(10134)] = 284367,
  [SMALL_STATE(10135)] = 284410,
  [SMALL_STATE(10136)] = 284453,
  [SMALL_STATE(10137)] = 284496,
  [SMALL_STATE(10138)] = 284539,
  [SMALL_STATE(10139)] = 284582,
  [SMALL_STATE(10140)] = 284625,
  [SMALL_STATE(10141)] = 284668,
  [SMALL_STATE(10142)] = 284711,
  [SMALL_STATE(10143)] = 284754,
  [SMALL_STATE(10144)] = 284797,
  [SMALL_STATE(10145)] = 284840,
  [SMALL_STATE(10146)] = 284883,
  [SMALL_STATE(10147)] = 284926,
  [SMALL_STATE(10148)] = 284969,
  [SMALL_STATE(10149)] = 285012,
  [SMALL_STATE(10150)] = 285055,
  [SMALL_STATE(10151)] = 285098,
  [SMALL_STATE(10152)] = 285141,
  [SMALL_STATE(10153)] = 285184,
  [SMALL_STATE(10154)] = 285227,
  [SMALL_STATE(10155)] = 285270,
  [SMALL_STATE(10156)] = 285313,
  [SMALL_STATE(10157)] = 285356,
  [SMALL_STATE(10158)] = 285399,
  [SMALL_STATE(10159)] = 285442,
  [SMALL_STATE(10160)] = 285485,
  [SMALL_STATE(10161)] = 285528,
  [SMALL_STATE(10162)] = 285571,
  [SMALL_STATE(10163)] = 285614,
  [SMALL_STATE(10164)] = 285657,
  [SMALL_STATE(10165)] = 285700,
  [SMALL_STATE(10166)] = 285743,
  [SMALL_STATE(10167)] = 285786,
  [SMALL_STATE(10168)] = 285829,
  [SMALL_STATE(10169)] = 285872,
  [SMALL_STATE(10170)] = 285915,
  [SMALL_STATE(10171)] = 285958,
  [SMALL_STATE(10172)] = 286001,
  [SMALL_STATE(10173)] = 286044,
  [SMALL_STATE(10174)] = 286087,
  [SMALL_STATE(10175)] = 286130,
  [SMALL_STATE(10176)] = 286223,
  [SMALL_STATE(10177)] = 286266,
  [SMALL_STATE(10178)] = 286359,
  [SMALL_STATE(10179)] = 286452,
  [SMALL_STATE(10180)] = 286545,
  [SMALL_STATE(10181)] = 286588,
  [SMALL_STATE(10182)] = 286631,
  [SMALL_STATE(10183)] = 286674,
  [SMALL_STATE(10184)] = 286717,
  [SMALL_STATE(10185)] = 286760,
  [SMALL_STATE(10186)] = 286853,
  [SMALL_STATE(10187)] = 286896,
  [SMALL_STATE(10188)] = 286989,
  [SMALL_STATE(10189)] = 287082,
  [SMALL_STATE(10190)] = 287125,
  [SMALL_STATE(10191)] = 287168,
  [SMALL_STATE(10192)] = 287211,
  [SMALL_STATE(10193)] = 287304,
  [SMALL_STATE(10194)] = 287397,
  [SMALL_STATE(10195)] = 287490,
  [SMALL_STATE(10196)] = 287583,
  [SMALL_STATE(10197)] = 287676,
  [SMALL_STATE(10198)] = 287769,
  [SMALL_STATE(10199)] = 287862,
  [SMALL_STATE(10200)] = 287955,
  [SMALL_STATE(10201)] = 288048,
  [SMALL_STATE(10202)] = 288141,
  [SMALL_STATE(10203)] = 288234,
  [SMALL_STATE(10204)] = 288327,
  [SMALL_STATE(10205)] = 288420,
  [SMALL_STATE(10206)] = 288513,
  [SMALL_STATE(10207)] = 288606,
  [SMALL_STATE(10208)] = 288699,
  [SMALL_STATE(10209)] = 288792,
  [SMALL_STATE(10210)] = 288885,
  [SMALL_STATE(10211)] = 288978,
  [SMALL_STATE(10212)] = 289071,
  [SMALL_STATE(10213)] = 289114,
  [SMALL_STATE(10214)] = 289157,
  [SMALL_STATE(10215)] = 289250,
  [SMALL_STATE(10216)] = 289341,
  [SMALL_STATE(10217)] = 289384,
  [SMALL_STATE(10218)] = 289477,
  [SMALL_STATE(10219)] = 289520,
  [SMALL_STATE(10220)] = 289563,
  [SMALL_STATE(10221)] = 289606,
  [SMALL_STATE(10222)] = 289649,
  [SMALL_STATE(10223)] = 289692,
  [SMALL_STATE(10224)] = 289735,
  [SMALL_STATE(10225)] = 289778,
  [SMALL_STATE(10226)] = 289821,
  [SMALL_STATE(10227)] = 289864,
  [SMALL_STATE(10228)] = 289907,
  [SMALL_STATE(10229)] = 289950,
  [SMALL_STATE(10230)] = 289993,
  [SMALL_STATE(10231)] = 290036,
  [SMALL_STATE(10232)] = 290079,
  [SMALL_STATE(10233)] = 290122,
  [SMALL_STATE(10234)] = 290165,
  [SMALL_STATE(10235)] = 290208,
  [SMALL_STATE(10236)] = 290251,
  [SMALL_STATE(10237)] = 290294,
  [SMALL_STATE(10238)] = 290337,
  [SMALL_STATE(10239)] = 290380,
  [SMALL_STATE(10240)] = 290423,
  [SMALL_STATE(10241)] = 290516,
  [SMALL_STATE(10242)] = 290559,
  [SMALL_STATE(10243)] = 290602,
  [SMALL_STATE(10244)] = 290645,
  [SMALL_STATE(10245)] = 290688,
  [SMALL_STATE(10246)] = 290731,
  [SMALL_STATE(10247)] = 290774,
  [SMALL_STATE(10248)] = 290817,
  [SMALL_STATE(10249)] = 290860,
  [SMALL_STATE(10250)] = 290903,
  [SMALL_STATE(10251)] = 290946,
  [SMALL_STATE(10252)] = 290989,
  [SMALL_STATE(10253)] = 291032,
  [SMALL_STATE(10254)] = 291075,
  [SMALL_STATE(10255)] = 291118,
  [SMALL_STATE(10256)] = 291161,
  [SMALL_STATE(10257)] = 291204,
  [SMALL_STATE(10258)] = 291247,
  [SMALL_STATE(10259)] = 291340,
  [SMALL_STATE(10260)] = 291383,
  [SMALL_STATE(10261)] = 291476,
  [SMALL_STATE(10262)] = 291519,
  [SMALL_STATE(10263)] = 291562,
  [SMALL_STATE(10264)] = 291605,
  [SMALL_STATE(10265)] = 291648,
  [SMALL_STATE(10266)] = 291691,
  [SMALL_STATE(10267)] = 291734,
  [SMALL_STATE(10268)] = 291777,
  [SMALL_STATE(10269)] = 291820,
  [SMALL_STATE(10270)] = 291863,
  [SMALL_STATE(10271)] = 291906,
  [SMALL_STATE(10272)] = 291949,
  [SMALL_STATE(10273)] = 291992,
  [SMALL_STATE(10274)] = 292035,
  [SMALL_STATE(10275)] = 292078,
  [SMALL_STATE(10276)] = 292121,
  [SMALL_STATE(10277)] = 292164,
  [SMALL_STATE(10278)] = 292207,
  [SMALL_STATE(10279)] = 292300,
  [SMALL_STATE(10280)] = 292393,
  [SMALL_STATE(10281)] = 292484,
  [SMALL_STATE(10282)] = 292577,
  [SMALL_STATE(10283)] = 292670,
  [SMALL_STATE(10284)] = 292713,
  [SMALL_STATE(10285)] = 292756,
  [SMALL_STATE(10286)] = 292799,
  [SMALL_STATE(10287)] = 292842,
  [SMALL_STATE(10288)] = 292885,
  [SMALL_STATE(10289)] = 292928,
  [SMALL_STATE(10290)] = 292971,
  [SMALL_STATE(10291)] = 293014,
  [SMALL_STATE(10292)] = 293057,
  [SMALL_STATE(10293)] = 293100,
  [SMALL_STATE(10294)] = 293143,
  [SMALL_STATE(10295)] = 293186,
  [SMALL_STATE(10296)] = 293229,
  [SMALL_STATE(10297)] = 293322,
  [SMALL_STATE(10298)] = 293365,
  [SMALL_STATE(10299)] = 293408,
  [SMALL_STATE(10300)] = 293451,
  [SMALL_STATE(10301)] = 293494,
  [SMALL_STATE(10302)] = 293537,
  [SMALL_STATE(10303)] = 293580,
  [SMALL_STATE(10304)] = 293623,
  [SMALL_STATE(10305)] = 293666,
  [SMALL_STATE(10306)] = 293709,
  [SMALL_STATE(10307)] = 293752,
  [SMALL_STATE(10308)] = 293795,
  [SMALL_STATE(10309)] = 293838,
  [SMALL_STATE(10310)] = 293881,
  [SMALL_STATE(10311)] = 293924,
  [SMALL_STATE(10312)] = 293967,
  [SMALL_STATE(10313)] = 294010,
  [SMALL_STATE(10314)] = 294053,
  [SMALL_STATE(10315)] = 294096,
  [SMALL_STATE(10316)] = 294139,
  [SMALL_STATE(10317)] = 294182,
  [SMALL_STATE(10318)] = 294225,
  [SMALL_STATE(10319)] = 294268,
  [SMALL_STATE(10320)] = 294311,
  [SMALL_STATE(10321)] = 294354,
  [SMALL_STATE(10322)] = 294397,
  [SMALL_STATE(10323)] = 294440,
  [SMALL_STATE(10324)] = 294483,
  [SMALL_STATE(10325)] = 294526,
  [SMALL_STATE(10326)] = 294569,
  [SMALL_STATE(10327)] = 294612,
  [SMALL_STATE(10328)] = 294655,
  [SMALL_STATE(10329)] = 294698,
  [SMALL_STATE(10330)] = 294741,
  [SMALL_STATE(10331)] = 294784,
  [SMALL_STATE(10332)] = 294827,
  [SMALL_STATE(10333)] = 294870,
  [SMALL_STATE(10334)] = 294913,
  [SMALL_STATE(10335)] = 295006,
  [SMALL_STATE(10336)] = 295099,
  [SMALL_STATE(10337)] = 295192,
  [SMALL_STATE(10338)] = 295285,
  [SMALL_STATE(10339)] = 295378,
  [SMALL_STATE(10340)] = 295471,
  [SMALL_STATE(10341)] = 295564,
  [SMALL_STATE(10342)] = 295655,
  [SMALL_STATE(10343)] = 295748,
  [SMALL_STATE(10344)] = 295839,
  [SMALL_STATE(10345)] = 295932,
  [SMALL_STATE(10346)] = 296023,
  [SMALL_STATE(10347)] = 296116,
  [SMALL_STATE(10348)] = 296163,
  [SMALL_STATE(10349)] = 296206,
  [SMALL_STATE(10350)] = 296249,
  [SMALL_STATE(10351)] = 296292,
  [SMALL_STATE(10352)] = 296335,
  [SMALL_STATE(10353)] = 296378,
  [SMALL_STATE(10354)] = 296421,
  [SMALL_STATE(10355)] = 296464,
  [SMALL_STATE(10356)] = 296507,
  [SMALL_STATE(10357)] = 296550,
  [SMALL_STATE(10358)] = 296593,
  [SMALL_STATE(10359)] = 296636,
  [SMALL_STATE(10360)] = 296679,
  [SMALL_STATE(10361)] = 296722,
  [SMALL_STATE(10362)] = 296765,
  [SMALL_STATE(10363)] = 296808,
  [SMALL_STATE(10364)] = 296851,
  [SMALL_STATE(10365)] = 296894,
  [SMALL_STATE(10366)] = 296937,
  [SMALL_STATE(10367)] = 296980,
  [SMALL_STATE(10368)] = 297023,
  [SMALL_STATE(10369)] = 297066,
  [SMALL_STATE(10370)] = 297109,
  [SMALL_STATE(10371)] = 297152,
  [SMALL_STATE(10372)] = 297195,
  [SMALL_STATE(10373)] = 297238,
  [SMALL_STATE(10374)] = 297281,
  [SMALL_STATE(10375)] = 297324,
  [SMALL_STATE(10376)] = 297367,
  [SMALL_STATE(10377)] = 297410,
  [SMALL_STATE(10378)] = 297453,
  [SMALL_STATE(10379)] = 297496,
  [SMALL_STATE(10380)] = 297539,
  [SMALL_STATE(10381)] = 297582,
  [SMALL_STATE(10382)] = 297625,
  [SMALL_STATE(10383)] = 297668,
  [SMALL_STATE(10384)] = 297711,
  [SMALL_STATE(10385)] = 297754,
  [SMALL_STATE(10386)] = 297797,
  [SMALL_STATE(10387)] = 297840,
  [SMALL_STATE(10388)] = 297883,
  [SMALL_STATE(10389)] = 297926,
  [SMALL_STATE(10390)] = 297969,
  [SMALL_STATE(10391)] = 298012,
  [SMALL_STATE(10392)] = 298055,
  [SMALL_STATE(10393)] = 298098,
  [SMALL_STATE(10394)] = 298141,
  [SMALL_STATE(10395)] = 298184,
  [SMALL_STATE(10396)] = 298227,
  [SMALL_STATE(10397)] = 298270,
  [SMALL_STATE(10398)] = 298313,
  [SMALL_STATE(10399)] = 298356,
  [SMALL_STATE(10400)] = 298399,
  [SMALL_STATE(10401)] = 298442,
  [SMALL_STATE(10402)] = 298485,
  [SMALL_STATE(10403)] = 298528,
  [SMALL_STATE(10404)] = 298571,
  [SMALL_STATE(10405)] = 298614,
  [SMALL_STATE(10406)] = 298657,
  [SMALL_STATE(10407)] = 298700,
  [SMALL_STATE(10408)] = 298743,
  [SMALL_STATE(10409)] = 298786,
  [SMALL_STATE(10410)] = 298829,
  [SMALL_STATE(10411)] = 298872,
  [SMALL_STATE(10412)] = 298915,
  [SMALL_STATE(10413)] = 298958,
  [SMALL_STATE(10414)] = 299001,
  [SMALL_STATE(10415)] = 299044,
  [SMALL_STATE(10416)] = 299087,
  [SMALL_STATE(10417)] = 299130,
  [SMALL_STATE(10418)] = 299173,
  [SMALL_STATE(10419)] = 299216,
  [SMALL_STATE(10420)] = 299259,
  [SMALL_STATE(10421)] = 299302,
  [SMALL_STATE(10422)] = 299345,
  [SMALL_STATE(10423)] = 299388,
  [SMALL_STATE(10424)] = 299431,
  [SMALL_STATE(10425)] = 299474,
  [SMALL_STATE(10426)] = 299517,
  [SMALL_STATE(10427)] = 299560,
  [SMALL_STATE(10428)] = 299603,
  [SMALL_STATE(10429)] = 299646,
  [SMALL_STATE(10430)] = 299689,
  [SMALL_STATE(10431)] = 299732,
  [SMALL_STATE(10432)] = 299775,
  [SMALL_STATE(10433)] = 299818,
  [SMALL_STATE(10434)] = 299861,
  [SMALL_STATE(10435)] = 299904,
  [SMALL_STATE(10436)] = 299947,
  [SMALL_STATE(10437)] = 299990,
  [SMALL_STATE(10438)] = 300033,
  [SMALL_STATE(10439)] = 300076,
  [SMALL_STATE(10440)] = 300119,
  [SMALL_STATE(10441)] = 300162,
  [SMALL_STATE(10442)] = 300205,
  [SMALL_STATE(10443)] = 300248,
  [SMALL_STATE(10444)] = 300291,
  [SMALL_STATE(10445)] = 300334,
  [SMALL_STATE(10446)] = 300377,
  [SMALL_STATE(10447)] = 300420,
  [SMALL_STATE(10448)] = 300463,
  [SMALL_STATE(10449)] = 300506,
  [SMALL_STATE(10450)] = 300549,
  [SMALL_STATE(10451)] = 300592,
  [SMALL_STATE(10452)] = 300635,
  [SMALL_STATE(10453)] = 300678,
  [SMALL_STATE(10454)] = 300721,
  [SMALL_STATE(10455)] = 300764,
  [SMALL_STATE(10456)] = 300807,
  [SMALL_STATE(10457)] = 300850,
  [SMALL_STATE(10458)] = 300893,
  [SMALL_STATE(10459)] = 300936,
  [SMALL_STATE(10460)] = 300979,
  [SMALL_STATE(10461)] = 301022,
  [SMALL_STATE(10462)] = 301065,
  [SMALL_STATE(10463)] = 301108,
  [SMALL_STATE(10464)] = 301151,
  [SMALL_STATE(10465)] = 301194,
  [SMALL_STATE(10466)] = 301237,
  [SMALL_STATE(10467)] = 301280,
  [SMALL_STATE(10468)] = 301323,
  [SMALL_STATE(10469)] = 301366,
  [SMALL_STATE(10470)] = 301409,
  [SMALL_STATE(10471)] = 301452,
  [SMALL_STATE(10472)] = 301495,
  [SMALL_STATE(10473)] = 301538,
  [SMALL_STATE(10474)] = 301581,
  [SMALL_STATE(10475)] = 301624,
  [SMALL_STATE(10476)] = 301667,
  [SMALL_STATE(10477)] = 301710,
  [SMALL_STATE(10478)] = 301753,
  [SMALL_STATE(10479)] = 301796,
  [SMALL_STATE(10480)] = 301839,
  [SMALL_STATE(10481)] = 301882,
  [SMALL_STATE(10482)] = 301925,
  [SMALL_STATE(10483)] = 301968,
  [SMALL_STATE(10484)] = 302011,
  [SMALL_STATE(10485)] = 302054,
  [SMALL_STATE(10486)] = 302097,
  [SMALL_STATE(10487)] = 302140,
  [SMALL_STATE(10488)] = 302183,
  [SMALL_STATE(10489)] = 302226,
  [SMALL_STATE(10490)] = 302269,
  [SMALL_STATE(10491)] = 302312,
  [SMALL_STATE(10492)] = 302355,
  [SMALL_STATE(10493)] = 302398,
  [SMALL_STATE(10494)] = 302441,
  [SMALL_STATE(10495)] = 302484,
  [SMALL_STATE(10496)] = 302527,
  [SMALL_STATE(10497)] = 302570,
  [SMALL_STATE(10498)] = 302613,
  [SMALL_STATE(10499)] = 302656,
  [SMALL_STATE(10500)] = 302699,
  [SMALL_STATE(10501)] = 302742,
  [SMALL_STATE(10502)] = 302785,
  [SMALL_STATE(10503)] = 302828,
  [SMALL_STATE(10504)] = 302871,
  [SMALL_STATE(10505)] = 302914,
  [SMALL_STATE(10506)] = 302957,
  [SMALL_STATE(10507)] = 303000,
  [SMALL_STATE(10508)] = 303043,
  [SMALL_STATE(10509)] = 303086,
  [SMALL_STATE(10510)] = 303129,
  [SMALL_STATE(10511)] = 303172,
  [SMALL_STATE(10512)] = 303215,
  [SMALL_STATE(10513)] = 303258,
  [SMALL_STATE(10514)] = 303301,
  [SMALL_STATE(10515)] = 303344,
  [SMALL_STATE(10516)] = 303387,
  [SMALL_STATE(10517)] = 303430,
  [SMALL_STATE(10518)] = 303473,
  [SMALL_STATE(10519)] = 303516,
  [SMALL_STATE(10520)] = 303559,
  [SMALL_STATE(10521)] = 303602,
  [SMALL_STATE(10522)] = 303645,
  [SMALL_STATE(10523)] = 303688,
  [SMALL_STATE(10524)] = 303731,
  [SMALL_STATE(10525)] = 303774,
  [SMALL_STATE(10526)] = 303817,
  [SMALL_STATE(10527)] = 303860,
  [SMALL_STATE(10528)] = 303903,
  [SMALL_STATE(10529)] = 303946,
  [SMALL_STATE(10530)] = 303989,
  [SMALL_STATE(10531)] = 304032,
  [SMALL_STATE(10532)] = 304075,
  [SMALL_STATE(10533)] = 304118,
  [SMALL_STATE(10534)] = 304161,
  [SMALL_STATE(10535)] = 304204,
  [SMALL_STATE(10536)] = 304248,
  [SMALL_STATE(10537)] = 304292,
  [SMALL_STATE(10538)] = 304338,
  [SMALL_STATE(10539)] = 304406,
  [SMALL_STATE(10540)] = 304451,
  [SMALL_STATE(10541)] = 304492,
  [SMALL_STATE(10542)] = 304537,
  [SMALL_STATE(10543)] = 304582,
  [SMALL_STATE(10544)] = 304627,
  [SMALL_STATE(10545)] = 304672,
  [SMALL_STATE(10546)] = 304717,
  [SMALL_STATE(10547)] = 304762,
  [SMALL_STATE(10548)] = 304807,
  [SMALL_STATE(10549)] = 304852,
  [SMALL_STATE(10550)] = 304897,
  [SMALL_STATE(10551)] = 304942,
  [SMALL_STATE(10552)] = 304987,
  [SMALL_STATE(10553)] = 305032,
  [SMALL_STATE(10554)] = 305077,
  [SMALL_STATE(10555)] = 305122,
  [SMALL_STATE(10556)] = 305167,
  [SMALL_STATE(10557)] = 305212,
  [SMALL_STATE(10558)] = 305257,
  [SMALL_STATE(10559)] = 305302,
  [SMALL_STATE(10560)] = 305347,
  [SMALL_STATE(10561)] = 305392,
  [SMALL_STATE(10562)] = 305437,
  [SMALL_STATE(10563)] = 305482,
  [SMALL_STATE(10564)] = 305527,
  [SMALL_STATE(10565)] = 305572,
  [SMALL_STATE(10566)] = 305617,
  [SMALL_STATE(10567)] = 305662,
  [SMALL_STATE(10568)] = 305707,
  [SMALL_STATE(10569)] = 305752,
  [SMALL_STATE(10570)] = 305797,
  [SMALL_STATE(10571)] = 305842,
  [SMALL_STATE(10572)] = 305887,
  [SMALL_STATE(10573)] = 305932,
  [SMALL_STATE(10574)] = 305977,
  [SMALL_STATE(10575)] = 306022,
  [SMALL_STATE(10576)] = 306067,
  [SMALL_STATE(10577)] = 306112,
  [SMALL_STATE(10578)] = 306157,
  [SMALL_STATE(10579)] = 306202,
  [SMALL_STATE(10580)] = 306247,
  [SMALL_STATE(10581)] = 306292,
  [SMALL_STATE(10582)] = 306337,
  [SMALL_STATE(10583)] = 306382,
  [SMALL_STATE(10584)] = 306427,
  [SMALL_STATE(10585)] = 306472,
  [SMALL_STATE(10586)] = 306517,
  [SMALL_STATE(10587)] = 306562,
  [SMALL_STATE(10588)] = 306607,
  [SMALL_STATE(10589)] = 306652,
  [SMALL_STATE(10590)] = 306697,
  [SMALL_STATE(10591)] = 306742,
  [SMALL_STATE(10592)] = 306787,
  [SMALL_STATE(10593)] = 306832,
  [SMALL_STATE(10594)] = 306877,
  [SMALL_STATE(10595)] = 306922,
  [SMALL_STATE(10596)] = 306967,
  [SMALL_STATE(10597)] = 307012,
  [SMALL_STATE(10598)] = 307077,
  [SMALL_STATE(10599)] = 307122,
  [SMALL_STATE(10600)] = 307167,
  [SMALL_STATE(10601)] = 307212,
  [SMALL_STATE(10602)] = 307257,
  [SMALL_STATE(10603)] = 307302,
  [SMALL_STATE(10604)] = 307347,
  [SMALL_STATE(10605)] = 307392,
  [SMALL_STATE(10606)] = 307437,
  [SMALL_STATE(10607)] = 307482,
  [SMALL_STATE(10608)] = 307527,
  [SMALL_STATE(10609)] = 307572,
  [SMALL_STATE(10610)] = 307617,
  [SMALL_STATE(10611)] = 307662,
  [SMALL_STATE(10612)] = 307707,
  [SMALL_STATE(10613)] = 307752,
  [SMALL_STATE(10614)] = 307797,
  [SMALL_STATE(10615)] = 307842,
  [SMALL_STATE(10616)] = 307887,
  [SMALL_STATE(10617)] = 307932,
  [SMALL_STATE(10618)] = 307977,
  [SMALL_STATE(10619)] = 308022,
  [SMALL_STATE(10620)] = 308067,
  [SMALL_STATE(10621)] = 308112,
  [SMALL_STATE(10622)] = 308157,
  [SMALL_STATE(10623)] = 308202,
  [SMALL_STATE(10624)] = 308247,
  [SMALL_STATE(10625)] = 308292,
  [SMALL_STATE(10626)] = 308337,
  [SMALL_STATE(10627)] = 308382,
  [SMALL_STATE(10628)] = 308427,
  [SMALL_STATE(10629)] = 308472,
  [SMALL_STATE(10630)] = 308517,
  [SMALL_STATE(10631)] = 308562,
  [SMALL_STATE(10632)] = 308607,
  [SMALL_STATE(10633)] = 308652,
  [SMALL_STATE(10634)] = 308697,
  [SMALL_STATE(10635)] = 308742,
  [SMALL_STATE(10636)] = 308787,
  [SMALL_STATE(10637)] = 308832,
  [SMALL_STATE(10638)] = 308877,
  [SMALL_STATE(10639)] = 308922,
  [SMALL_STATE(10640)] = 308967,
  [SMALL_STATE(10641)] = 309012,
  [SMALL_STATE(10642)] = 309057,
  [SMALL_STATE(10643)] = 309102,
  [SMALL_STATE(10644)] = 309147,
  [SMALL_STATE(10645)] = 309192,
  [SMALL_STATE(10646)] = 309237,
  [SMALL_STATE(10647)] = 309282,
  [SMALL_STATE(10648)] = 309327,
  [SMALL_STATE(10649)] = 309372,
  [SMALL_STATE(10650)] = 309417,
  [SMALL_STATE(10651)] = 309462,
  [SMALL_STATE(10652)] = 309507,
  [SMALL_STATE(10653)] = 309552,
  [SMALL_STATE(10654)] = 309597,
  [SMALL_STATE(10655)] = 309642,
  [SMALL_STATE(10656)] = 309687,
  [SMALL_STATE(10657)] = 309732,
  [SMALL_STATE(10658)] = 309777,
  [SMALL_STATE(10659)] = 309822,
  [SMALL_STATE(10660)] = 309867,
  [SMALL_STATE(10661)] = 309912,
  [SMALL_STATE(10662)] = 309957,
  [SMALL_STATE(10663)] = 310002,
  [SMALL_STATE(10664)] = 310047,
  [SMALL_STATE(10665)] = 310092,
  [SMALL_STATE(10666)] = 310137,
  [SMALL_STATE(10667)] = 310182,
  [SMALL_STATE(10668)] = 310227,
  [SMALL_STATE(10669)] = 310272,
  [SMALL_STATE(10670)] = 310317,
  [SMALL_STATE(10671)] = 310362,
  [SMALL_STATE(10672)] = 310407,
  [SMALL_STATE(10673)] = 310452,
  [SMALL_STATE(10674)] = 310514,
  [SMALL_STATE(10675)] = 310558,
  [SMALL_STATE(10676)] = 310602,
  [SMALL_STATE(10677)] = 310646,
  [SMALL_STATE(10678)] = 310690,
  [SMALL_STATE(10679)] = 310734,
  [SMALL_STATE(10680)] = 310778,
  [SMALL_STATE(10681)] = 310822,
  [SMALL_STATE(10682)] = 310866,
  [SMALL_STATE(10683)] = 310910,
  [SMALL_STATE(10684)] = 310954,
  [SMALL_STATE(10685)] = 310998,
  [SMALL_STATE(10686)] = 311042,
  [SMALL_STATE(10687)] = 311086,
  [SMALL_STATE(10688)] = 311130,
  [SMALL_STATE(10689)] = 311174,
  [SMALL_STATE(10690)] = 311218,
  [SMALL_STATE(10691)] = 311262,
  [SMALL_STATE(10692)] = 311306,
  [SMALL_STATE(10693)] = 311350,
  [SMALL_STATE(10694)] = 311394,
  [SMALL_STATE(10695)] = 311438,
  [SMALL_STATE(10696)] = 311482,
  [SMALL_STATE(10697)] = 311526,
  [SMALL_STATE(10698)] = 311570,
  [SMALL_STATE(10699)] = 311614,
  [SMALL_STATE(10700)] = 311658,
  [SMALL_STATE(10701)] = 311702,
  [SMALL_STATE(10702)] = 311742,
  [SMALL_STATE(10703)] = 311786,
  [SMALL_STATE(10704)] = 311830,
  [SMALL_STATE(10705)] = 311874,
  [SMALL_STATE(10706)] = 311918,
  [SMALL_STATE(10707)] = 311962,
  [SMALL_STATE(10708)] = 312006,
  [SMALL_STATE(10709)] = 312050,
  [SMALL_STATE(10710)] = 312094,
  [SMALL_STATE(10711)] = 312138,
  [SMALL_STATE(10712)] = 312182,
  [SMALL_STATE(10713)] = 312226,
  [SMALL_STATE(10714)] = 312270,
  [SMALL_STATE(10715)] = 312314,
  [SMALL_STATE(10716)] = 312358,
  [SMALL_STATE(10717)] = 312402,
  [SMALL_STATE(10718)] = 312446,
  [SMALL_STATE(10719)] = 312490,
  [SMALL_STATE(10720)] = 312534,
  [SMALL_STATE(10721)] = 312578,
  [SMALL_STATE(10722)] = 312622,
  [SMALL_STATE(10723)] = 312666,
  [SMALL_STATE(10724)] = 312710,
  [SMALL_STATE(10725)] = 312754,
  [SMALL_STATE(10726)] = 312796,
  [SMALL_STATE(10727)] = 312840,
  [SMALL_STATE(10728)] = 312882,
  [SMALL_STATE(10729)] = 312926,
  [SMALL_STATE(10730)] = 312970,
  [SMALL_STATE(10731)] = 313014,
  [SMALL_STATE(10732)] = 313058,
  [SMALL_STATE(10733)] = 313102,
  [SMALL_STATE(10734)] = 313146,
  [SMALL_STATE(10735)] = 313190,
  [SMALL_STATE(10736)] = 313234,
  [SMALL_STATE(10737)] = 313278,
  [SMALL_STATE(10738)] = 313322,
  [SMALL_STATE(10739)] = 313366,
  [SMALL_STATE(10740)] = 313410,
  [SMALL_STATE(10741)] = 313454,
  [SMALL_STATE(10742)] = 313498,
  [SMALL_STATE(10743)] = 313542,
  [SMALL_STATE(10744)] = 313586,
  [SMALL_STATE(10745)] = 313630,
  [SMALL_STATE(10746)] = 313674,
  [SMALL_STATE(10747)] = 313718,
  [SMALL_STATE(10748)] = 313762,
  [SMALL_STATE(10749)] = 313806,
  [SMALL_STATE(10750)] = 313850,
  [SMALL_STATE(10751)] = 313894,
  [SMALL_STATE(10752)] = 313938,
  [SMALL_STATE(10753)] = 313982,
  [SMALL_STATE(10754)] = 314026,
  [SMALL_STATE(10755)] = 314070,
  [SMALL_STATE(10756)] = 314114,
  [SMALL_STATE(10757)] = 314158,
  [SMALL_STATE(10758)] = 314202,
  [SMALL_STATE(10759)] = 314246,
  [SMALL_STATE(10760)] = 314290,
  [SMALL_STATE(10761)] = 314334,
  [SMALL_STATE(10762)] = 314378,
  [SMALL_STATE(10763)] = 314422,
  [SMALL_STATE(10764)] = 314466,
  [SMALL_STATE(10765)] = 314510,
  [SMALL_STATE(10766)] = 314554,
  [SMALL_STATE(10767)] = 314598,
  [SMALL_STATE(10768)] = 314642,
  [SMALL_STATE(10769)] = 314686,
  [SMALL_STATE(10770)] = 314730,
  [SMALL_STATE(10771)] = 314774,
  [SMALL_STATE(10772)] = 314816,
  [SMALL_STATE(10773)] = 314858,
  [SMALL_STATE(10774)] = 314898,
  [SMALL_STATE(10775)] = 314942,
  [SMALL_STATE(10776)] = 314986,
  [SMALL_STATE(10777)] = 315030,
  [SMALL_STATE(10778)] = 315074,
  [SMALL_STATE(10779)] = 315118,
  [SMALL_STATE(10780)] = 315162,
  [SMALL_STATE(10781)] = 315206,
  [SMALL_STATE(10782)] = 315250,
  [SMALL_STATE(10783)] = 315294,
  [SMALL_STATE(10784)] = 315338,
  [SMALL_STATE(10785)] = 315378,
  [SMALL_STATE(10786)] = 315422,
  [SMALL_STATE(10787)] = 315466,
  [SMALL_STATE(10788)] = 315510,
  [SMALL_STATE(10789)] = 315554,
  [SMALL_STATE(10790)] = 315598,
  [SMALL_STATE(10791)] = 315642,
  [SMALL_STATE(10792)] = 315686,
  [SMALL_STATE(10793)] = 315730,
  [SMALL_STATE(10794)] = 315774,
  [SMALL_STATE(10795)] = 315814,
  [SMALL_STATE(10796)] = 315858,
  [SMALL_STATE(10797)] = 315902,
  [SMALL_STATE(10798)] = 315946,
  [SMALL_STATE(10799)] = 315990,
  [SMALL_STATE(10800)] = 316034,
  [SMALL_STATE(10801)] = 316078,
  [SMALL_STATE(10802)] = 316122,
  [SMALL_STATE(10803)] = 316166,
  [SMALL_STATE(10804)] = 316210,
  [SMALL_STATE(10805)] = 316254,
  [SMALL_STATE(10806)] = 316298,
  [SMALL_STATE(10807)] = 316342,
  [SMALL_STATE(10808)] = 316386,
  [SMALL_STATE(10809)] = 316430,
  [SMALL_STATE(10810)] = 316474,
  [SMALL_STATE(10811)] = 316518,
  [SMALL_STATE(10812)] = 316562,
  [SMALL_STATE(10813)] = 316606,
  [SMALL_STATE(10814)] = 316650,
  [SMALL_STATE(10815)] = 316694,
  [SMALL_STATE(10816)] = 316738,
  [SMALL_STATE(10817)] = 316777,
  [SMALL_STATE(10818)] = 316816,
  [SMALL_STATE(10819)] = 316855,
  [SMALL_STATE(10820)] = 316894,
  [SMALL_STATE(10821)] = 316933,
  [SMALL_STATE(10822)] = 316972,
  [SMALL_STATE(10823)] = 317011,
  [SMALL_STATE(10824)] = 317050,
  [SMALL_STATE(10825)] = 317089,
  [SMALL_STATE(10826)] = 317128,
  [SMALL_STATE(10827)] = 317167,
  [SMALL_STATE(10828)] = 317206,
  [SMALL_STATE(10829)] = 317245,
  [SMALL_STATE(10830)] = 317284,
  [SMALL_STATE(10831)] = 317323,
  [SMALL_STATE(10832)] = 317362,
  [SMALL_STATE(10833)] = 317401,
  [SMALL_STATE(10834)] = 317440,
  [SMALL_STATE(10835)] = 317479,
  [SMALL_STATE(10836)] = 317518,
  [SMALL_STATE(10837)] = 317557,
  [SMALL_STATE(10838)] = 317596,
  [SMALL_STATE(10839)] = 317635,
  [SMALL_STATE(10840)] = 317674,
  [SMALL_STATE(10841)] = 317713,
  [SMALL_STATE(10842)] = 317752,
  [SMALL_STATE(10843)] = 317791,
  [SMALL_STATE(10844)] = 317830,
  [SMALL_STATE(10845)] = 317869,
  [SMALL_STATE(10846)] = 317908,
  [SMALL_STATE(10847)] = 317947,
  [SMALL_STATE(10848)] = 317986,
  [SMALL_STATE(10849)] = 318025,
  [SMALL_STATE(10850)] = 318064,
  [SMALL_STATE(10851)] = 318103,
  [SMALL_STATE(10852)] = 318142,
  [SMALL_STATE(10853)] = 318181,
  [SMALL_STATE(10854)] = 318220,
  [SMALL_STATE(10855)] = 318259,
  [SMALL_STATE(10856)] = 318298,
  [SMALL_STATE(10857)] = 318337,
  [SMALL_STATE(10858)] = 318376,
  [SMALL_STATE(10859)] = 318415,
  [SMALL_STATE(10860)] = 318454,
  [SMALL_STATE(10861)] = 318493,
  [SMALL_STATE(10862)] = 318532,
  [SMALL_STATE(10863)] = 318571,
  [SMALL_STATE(10864)] = 318610,
  [SMALL_STATE(10865)] = 318649,
  [SMALL_STATE(10866)] = 318688,
  [SMALL_STATE(10867)] = 318727,
  [SMALL_STATE(10868)] = 318766,
  [SMALL_STATE(10869)] = 318805,
  [SMALL_STATE(10870)] = 318844,
  [SMALL_STATE(10871)] = 318883,
  [SMALL_STATE(10872)] = 318922,
  [SMALL_STATE(10873)] = 318961,
  [SMALL_STATE(10874)] = 319000,
  [SMALL_STATE(10875)] = 319039,
  [SMALL_STATE(10876)] = 319078,
  [SMALL_STATE(10877)] = 319117,
  [SMALL_STATE(10878)] = 319156,
  [SMALL_STATE(10879)] = 319195,
  [SMALL_STATE(10880)] = 319234,
  [SMALL_STATE(10881)] = 319273,
  [SMALL_STATE(10882)] = 319312,
  [SMALL_STATE(10883)] = 319351,
  [SMALL_STATE(10884)] = 319390,
  [SMALL_STATE(10885)] = 319429,
  [SMALL_STATE(10886)] = 319468,
  [SMALL_STATE(10887)] = 319507,
  [SMALL_STATE(10888)] = 319546,
  [SMALL_STATE(10889)] = 319585,
  [SMALL_STATE(10890)] = 319624,
  [SMALL_STATE(10891)] = 319663,
  [SMALL_STATE(10892)] = 319702,
  [SMALL_STATE(10893)] = 319741,
  [SMALL_STATE(10894)] = 319780,
  [SMALL_STATE(10895)] = 319819,
  [SMALL_STATE(10896)] = 319858,
  [SMALL_STATE(10897)] = 319897,
  [SMALL_STATE(10898)] = 319936,
  [SMALL_STATE(10899)] = 319975,
  [SMALL_STATE(10900)] = 320014,
  [SMALL_STATE(10901)] = 320053,
  [SMALL_STATE(10902)] = 320092,
  [SMALL_STATE(10903)] = 320131,
  [SMALL_STATE(10904)] = 320170,
  [SMALL_STATE(10905)] = 320209,
  [SMALL_STATE(10906)] = 320248,
  [SMALL_STATE(10907)] = 320287,
  [SMALL_STATE(10908)] = 320326,
  [SMALL_STATE(10909)] = 320365,
  [SMALL_STATE(10910)] = 320404,
  [SMALL_STATE(10911)] = 320443,
  [SMALL_STATE(10912)] = 320482,
  [SMALL_STATE(10913)] = 320521,
  [SMALL_STATE(10914)] = 320560,
  [SMALL_STATE(10915)] = 320599,
  [SMALL_STATE(10916)] = 320638,
  [SMALL_STATE(10917)] = 320677,
  [SMALL_STATE(10918)] = 320716,
  [SMALL_STATE(10919)] = 320755,
  [SMALL_STATE(10920)] = 320794,
  [SMALL_STATE(10921)] = 320833,
  [SMALL_STATE(10922)] = 320872,
  [SMALL_STATE(10923)] = 320911,
  [SMALL_STATE(10924)] = 320950,
  [SMALL_STATE(10925)] = 320989,
  [SMALL_STATE(10926)] = 321028,
  [SMALL_STATE(10927)] = 321067,
  [SMALL_STATE(10928)] = 321106,
  [SMALL_STATE(10929)] = 321145,
  [SMALL_STATE(10930)] = 321184,
  [SMALL_STATE(10931)] = 321223,
  [SMALL_STATE(10932)] = 321262,
  [SMALL_STATE(10933)] = 321301,
  [SMALL_STATE(10934)] = 321340,
  [SMALL_STATE(10935)] = 321379,
  [SMALL_STATE(10936)] = 321418,
  [SMALL_STATE(10937)] = 321457,
  [SMALL_STATE(10938)] = 321496,
  [SMALL_STATE(10939)] = 321535,
  [SMALL_STATE(10940)] = 321574,
  [SMALL_STATE(10941)] = 321613,
  [SMALL_STATE(10942)] = 321652,
  [SMALL_STATE(10943)] = 321691,
  [SMALL_STATE(10944)] = 321730,
  [SMALL_STATE(10945)] = 321769,
  [SMALL_STATE(10946)] = 321808,
  [SMALL_STATE(10947)] = 321847,
  [SMALL_STATE(10948)] = 321886,
  [SMALL_STATE(10949)] = 321925,
  [SMALL_STATE(10950)] = 321964,
  [SMALL_STATE(10951)] = 322003,
  [SMALL_STATE(10952)] = 322042,
  [SMALL_STATE(10953)] = 322081,
  [SMALL_STATE(10954)] = 322120,
  [SMALL_STATE(10955)] = 322159,
  [SMALL_STATE(10956)] = 322198,
  [SMALL_STATE(10957)] = 322237,
  [SMALL_STATE(10958)] = 322276,
  [SMALL_STATE(10959)] = 322315,
  [SMALL_STATE(10960)] = 322354,
  [SMALL_STATE(10961)] = 322393,
  [SMALL_STATE(10962)] = 322432,
  [SMALL_STATE(10963)] = 322471,
  [SMALL_STATE(10964)] = 322510,
  [SMALL_STATE(10965)] = 322549,
  [SMALL_STATE(10966)] = 322588,
  [SMALL_STATE(10967)] = 322627,
  [SMALL_STATE(10968)] = 322666,
  [SMALL_STATE(10969)] = 322705,
  [SMALL_STATE(10970)] = 322744,
  [SMALL_STATE(10971)] = 322783,
  [SMALL_STATE(10972)] = 322822,
  [SMALL_STATE(10973)] = 322861,
  [SMALL_STATE(10974)] = 322900,
  [SMALL_STATE(10975)] = 322939,
  [SMALL_STATE(10976)] = 322978,
  [SMALL_STATE(10977)] = 323017,
  [SMALL_STATE(10978)] = 323056,
  [SMALL_STATE(10979)] = 323095,
  [SMALL_STATE(10980)] = 323134,
  [SMALL_STATE(10981)] = 323173,
  [SMALL_STATE(10982)] = 323212,
  [SMALL_STATE(10983)] = 323251,
  [SMALL_STATE(10984)] = 323290,
  [SMALL_STATE(10985)] = 323329,
  [SMALL_STATE(10986)] = 323368,
  [SMALL_STATE(10987)] = 323407,
  [SMALL_STATE(10988)] = 323446,
  [SMALL_STATE(10989)] = 323485,
  [SMALL_STATE(10990)] = 323524,
  [SMALL_STATE(10991)] = 323563,
  [SMALL_STATE(10992)] = 323602,
  [SMALL_STATE(10993)] = 323641,
  [SMALL_STATE(10994)] = 323680,
  [SMALL_STATE(10995)] = 323719,
  [SMALL_STATE(10996)] = 323758,
  [SMALL_STATE(10997)] = 323797,
  [SMALL_STATE(10998)] = 323836,
  [SMALL_STATE(10999)] = 323875,
  [SMALL_STATE(11000)] = 323914,
  [SMALL_STATE(11001)] = 323953,
  [SMALL_STATE(11002)] = 323992,
  [SMALL_STATE(11003)] = 324031,
  [SMALL_STATE(11004)] = 324070,
  [SMALL_STATE(11005)] = 324109,
  [SMALL_STATE(11006)] = 324148,
  [SMALL_STATE(11007)] = 324187,
  [SMALL_STATE(11008)] = 324225,
  [SMALL_STATE(11009)] = 324263,
  [SMALL_STATE(11010)] = 324301,
  [SMALL_STATE(11011)] = 324339,
  [SMALL_STATE(11012)] = 324377,
  [SMALL_STATE(11013)] = 324415,
  [SMALL_STATE(11014)] = 324453,
  [SMALL_STATE(11015)] = 324491,
  [SMALL_STATE(11016)] = 324529,
  [SMALL_STATE(11017)] = 324567,
  [SMALL_STATE(11018)] = 324605,
  [SMALL_STATE(11019)] = 324643,
  [SMALL_STATE(11020)] = 324681,
  [SMALL_STATE(11021)] = 324719,
  [SMALL_STATE(11022)] = 324757,
  [SMALL_STATE(11023)] = 324795,
  [SMALL_STATE(11024)] = 324833,
  [SMALL_STATE(11025)] = 324871,
  [SMALL_STATE(11026)] = 324909,
  [SMALL_STATE(11027)] = 324947,
  [SMALL_STATE(11028)] = 324985,
  [SMALL_STATE(11029)] = 325023,
  [SMALL_STATE(11030)] = 325061,
  [SMALL_STATE(11031)] = 325099,
  [SMALL_STATE(11032)] = 325137,
  [SMALL_STATE(11033)] = 325175,
  [SMALL_STATE(11034)] = 325213,
  [SMALL_STATE(11035)] = 325251,
  [SMALL_STATE(11036)] = 325289,
  [SMALL_STATE(11037)] = 325327,
  [SMALL_STATE(11038)] = 325365,
  [SMALL_STATE(11039)] = 325403,
  [SMALL_STATE(11040)] = 325441,
  [SMALL_STATE(11041)] = 325479,
  [SMALL_STATE(11042)] = 325517,
  [SMALL_STATE(11043)] = 325555,
  [SMALL_STATE(11044)] = 325593,
  [SMALL_STATE(11045)] = 325631,
  [SMALL_STATE(11046)] = 325669,
  [SMALL_STATE(11047)] = 325707,
  [SMALL_STATE(11048)] = 325745,
  [SMALL_STATE(11049)] = 325783,
  [SMALL_STATE(11050)] = 325821,
  [SMALL_STATE(11051)] = 325859,
  [SMALL_STATE(11052)] = 325897,
  [SMALL_STATE(11053)] = 325935,
  [SMALL_STATE(11054)] = 325973,
  [SMALL_STATE(11055)] = 326011,
  [SMALL_STATE(11056)] = 326049,
  [SMALL_STATE(11057)] = 326087,
  [SMALL_STATE(11058)] = 326125,
  [SMALL_STATE(11059)] = 326163,
  [SMALL_STATE(11060)] = 326201,
  [SMALL_STATE(11061)] = 326239,
  [SMALL_STATE(11062)] = 326277,
  [SMALL_STATE(11063)] = 326315,
  [SMALL_STATE(11064)] = 326353,
  [SMALL_STATE(11065)] = 326391,
  [SMALL_STATE(11066)] = 326429,
  [SMALL_STATE(11067)] = 326467,
  [SMALL_STATE(11068)] = 326505,
  [SMALL_STATE(11069)] = 326543,
  [SMALL_STATE(11070)] = 326581,
  [SMALL_STATE(11071)] = 326619,
  [SMALL_STATE(11072)] = 326657,
  [SMALL_STATE(11073)] = 326695,
  [SMALL_STATE(11074)] = 326733,
  [SMALL_STATE(11075)] = 326771,
  [SMALL_STATE(11076)] = 326809,
  [SMALL_STATE(11077)] = 326847,
  [SMALL_STATE(11078)] = 326885,
  [SMALL_STATE(11079)] = 326923,
  [SMALL_STATE(11080)] = 326961,
  [SMALL_STATE(11081)] = 326999,
  [SMALL_STATE(11082)] = 327037,
  [SMALL_STATE(11083)] = 327075,
  [SMALL_STATE(11084)] = 327113,
  [SMALL_STATE(11085)] = 327151,
  [SMALL_STATE(11086)] = 327189,
  [SMALL_STATE(11087)] = 327227,
  [SMALL_STATE(11088)] = 327265,
  [SMALL_STATE(11089)] = 327303,
  [SMALL_STATE(11090)] = 327341,
  [SMALL_STATE(11091)] = 327379,
  [SMALL_STATE(11092)] = 327417,
  [SMALL_STATE(11093)] = 327455,
  [SMALL_STATE(11094)] = 327493,
  [SMALL_STATE(11095)] = 327531,
  [SMALL_STATE(11096)] = 327569,
  [SMALL_STATE(11097)] = 327607,
  [SMALL_STATE(11098)] = 327645,
  [SMALL_STATE(11099)] = 327683,
  [SMALL_STATE(11100)] = 327721,
  [SMALL_STATE(11101)] = 327759,
  [SMALL_STATE(11102)] = 327797,
  [SMALL_STATE(11103)] = 327835,
  [SMALL_STATE(11104)] = 327873,
  [SMALL_STATE(11105)] = 327911,
  [SMALL_STATE(11106)] = 327949,
  [SMALL_STATE(11107)] = 327987,
  [SMALL_STATE(11108)] = 328025,
  [SMALL_STATE(11109)] = 328063,
  [SMALL_STATE(11110)] = 328101,
  [SMALL_STATE(11111)] = 328139,
  [SMALL_STATE(11112)] = 328199,
  [SMALL_STATE(11113)] = 328259,
  [SMALL_STATE(11114)] = 328319,
  [SMALL_STATE(11115)] = 328379,
  [SMALL_STATE(11116)] = 328439,
  [SMALL_STATE(11117)] = 328499,
  [SMALL_STATE(11118)] = 328541,
  [SMALL_STATE(11119)] = 328579,
  [SMALL_STATE(11120)] = 328617,
  [SMALL_STATE(11121)] = 328655,
  [SMALL_STATE(11122)] = 328693,
  [SMALL_STATE(11123)] = 328731,
  [SMALL_STATE(11124)] = 328769,
  [SMALL_STATE(11125)] = 328807,
  [SMALL_STATE(11126)] = 328845,
  [SMALL_STATE(11127)] = 328883,
  [SMALL_STATE(11128)] = 328921,
  [SMALL_STATE(11129)] = 328981,
  [SMALL_STATE(11130)] = 329019,
  [SMALL_STATE(11131)] = 329057,
  [SMALL_STATE(11132)] = 329095,
  [SMALL_STATE(11133)] = 329133,
  [SMALL_STATE(11134)] = 329171,
  [SMALL_STATE(11135)] = 329209,
  [SMALL_STATE(11136)] = 329247,
  [SMALL_STATE(11137)] = 329285,
  [SMALL_STATE(11138)] = 329323,
  [SMALL_STATE(11139)] = 329361,
  [SMALL_STATE(11140)] = 329399,
  [SMALL_STATE(11141)] = 329437,
  [SMALL_STATE(11142)] = 329475,
  [SMALL_STATE(11143)] = 329513,
  [SMALL_STATE(11144)] = 329551,
  [SMALL_STATE(11145)] = 329589,
  [SMALL_STATE(11146)] = 329627,
  [SMALL_STATE(11147)] = 329665,
  [SMALL_STATE(11148)] = 329703,
  [SMALL_STATE(11149)] = 329741,
  [SMALL_STATE(11150)] = 329779,
  [SMALL_STATE(11151)] = 329817,
  [SMALL_STATE(11152)] = 329855,
  [SMALL_STATE(11153)] = 329893,
  [SMALL_STATE(11154)] = 329931,
  [SMALL_STATE(11155)] = 329969,
  [SMALL_STATE(11156)] = 330007,
  [SMALL_STATE(11157)] = 330045,
  [SMALL_STATE(11158)] = 330083,
  [SMALL_STATE(11159)] = 330121,
  [SMALL_STATE(11160)] = 330159,
  [SMALL_STATE(11161)] = 330197,
  [SMALL_STATE(11162)] = 330235,
  [SMALL_STATE(11163)] = 330308,
  [SMALL_STATE(11164)] = 330381,
  [SMALL_STATE(11165)] = 330454,
  [SMALL_STATE(11166)] = 330527,
  [SMALL_STATE(11167)] = 330600,
  [SMALL_STATE(11168)] = 330673,
  [SMALL_STATE(11169)] = 330746,
  [SMALL_STATE(11170)] = 330787,
  [SMALL_STATE(11171)] = 330860,
  [SMALL_STATE(11172)] = 330933,
  [SMALL_STATE(11173)] = 331006,
  [SMALL_STATE(11174)] = 331079,
  [SMALL_STATE(11175)] = 331152,
  [SMALL_STATE(11176)] = 331225,
  [SMALL_STATE(11177)] = 331298,
  [SMALL_STATE(11178)] = 331371,
  [SMALL_STATE(11179)] = 331444,
  [SMALL_STATE(11180)] = 331485,
  [SMALL_STATE(11181)] = 331558,
  [SMALL_STATE(11182)] = 331631,
  [SMALL_STATE(11183)] = 331704,
  [SMALL_STATE(11184)] = 331777,
  [SMALL_STATE(11185)] = 331850,
  [SMALL_STATE(11186)] = 331923,
  [SMALL_STATE(11187)] = 331996,
  [SMALL_STATE(11188)] = 332069,
  [SMALL_STATE(11189)] = 332142,
  [SMALL_STATE(11190)] = 332215,
  [SMALL_STATE(11191)] = 332256,
  [SMALL_STATE(11192)] = 332329,
  [SMALL_STATE(11193)] = 332402,
  [SMALL_STATE(11194)] = 332440,
  [SMALL_STATE(11195)] = 332508,
  [SMALL_STATE(11196)] = 332576,
  [SMALL_STATE(11197)] = 332644,
  [SMALL_STATE(11198)] = 332712,
  [SMALL_STATE(11199)] = 332780,
  [SMALL_STATE(11200)] = 332848,
  [SMALL_STATE(11201)] = 332916,
  [SMALL_STATE(11202)] = 332984,
  [SMALL_STATE(11203)] = 333052,
  [SMALL_STATE(11204)] = 333120,
  [SMALL_STATE(11205)] = 333188,
  [SMALL_STATE(11206)] = 333256,
  [SMALL_STATE(11207)] = 333324,
  [SMALL_STATE(11208)] = 333392,
  [SMALL_STATE(11209)] = 333460,
  [SMALL_STATE(11210)] = 333528,
  [SMALL_STATE(11211)] = 333596,
  [SMALL_STATE(11212)] = 333664,
  [SMALL_STATE(11213)] = 333732,
  [SMALL_STATE(11214)] = 333800,
  [SMALL_STATE(11215)] = 333864,
  [SMALL_STATE(11216)] = 333932,
  [SMALL_STATE(11217)] = 333996,
  [SMALL_STATE(11218)] = 334031,
  [SMALL_STATE(11219)] = 334066,
  [SMALL_STATE(11220)] = 334119,
  [SMALL_STATE(11221)] = 334158,
  [SMALL_STATE(11222)] = 334193,
  [SMALL_STATE(11223)] = 334232,
  [SMALL_STATE(11224)] = 334267,
  [SMALL_STATE(11225)] = 334325,
  [SMALL_STATE(11226)] = 334357,
  [SMALL_STATE(11227)] = 334415,
  [SMALL_STATE(11228)] = 334447,
  [SMALL_STATE(11229)] = 334499,
  [SMALL_STATE(11230)] = 334549,
  [SMALL_STATE(11231)] = 334591,
  [SMALL_STATE(11232)] = 334621,
  [SMALL_STATE(11233)] = 334673,
  [SMALL_STATE(11234)] = 334727,
  [SMALL_STATE(11235)] = 334757,
  [SMALL_STATE(11236)] = 334811,
  [SMALL_STATE(11237)] = 334841,
  [SMALL_STATE(11238)] = 334894,
  [SMALL_STATE(11239)] = 334947,
  [SMALL_STATE(11240)] = 335000,
  [SMALL_STATE(11241)] = 335051,
  [SMALL_STATE(11242)] = 335102,
  [SMALL_STATE(11243)] = 335155,
  [SMALL_STATE(11244)] = 335208,
  [SMALL_STATE(11245)] = 335259,
  [SMALL_STATE(11246)] = 335310,
  [SMALL_STATE(11247)] = 335358,
  [SMALL_STATE(11248)] = 335406,
  [SMALL_STATE(11249)] = 335454,
  [SMALL_STATE(11250)] = 335504,
  [SMALL_STATE(11251)] = 335554,
  [SMALL_STATE(11252)] = 335602,
  [SMALL_STATE(11253)] = 335650,
  [SMALL_STATE(11254)] = 335700,
  [SMALL_STATE(11255)] = 335754,
  [SMALL_STATE(11256)] = 335808,
  [SMALL_STATE(11257)] = 335858,
  [SMALL_STATE(11258)] = 335906,
  [SMALL_STATE(11259)] = 335954,
  [SMALL_STATE(11260)] = 336008,
  [SMALL_STATE(11261)] = 336056,
  [SMALL_STATE(11262)] = 336104,
  [SMALL_STATE(11263)] = 336152,
  [SMALL_STATE(11264)] = 336202,
  [SMALL_STATE(11265)] = 336256,
  [SMALL_STATE(11266)] = 336304,
  [SMALL_STATE(11267)] = 336350,
  [SMALL_STATE(11268)] = 336404,
  [SMALL_STATE(11269)] = 336454,
  [SMALL_STATE(11270)] = 336502,
  [SMALL_STATE(11271)] = 336552,
  [SMALL_STATE(11272)] = 336600,
  [SMALL_STATE(11273)] = 336647,
  [SMALL_STATE(11274)] = 336694,
  [SMALL_STATE(11275)] = 336741,
  [SMALL_STATE(11276)] = 336788,
  [SMALL_STATE(11277)] = 336835,
  [SMALL_STATE(11278)] = 336882,
  [SMALL_STATE(11279)] = 336929,
  [SMALL_STATE(11280)] = 336976,
  [SMALL_STATE(11281)] = 337023,
  [SMALL_STATE(11282)] = 337070,
  [SMALL_STATE(11283)] = 337117,
  [SMALL_STATE(11284)] = 337164,
  [SMALL_STATE(11285)] = 337211,
  [SMALL_STATE(11286)] = 337258,
  [SMALL_STATE(11287)] = 337301,
  [SMALL_STATE(11288)] = 337348,
  [SMALL_STATE(11289)] = 337395,
  [SMALL_STATE(11290)] = 337442,
  [SMALL_STATE(11291)] = 337489,
  [SMALL_STATE(11292)] = 337536,
  [SMALL_STATE(11293)] = 337583,
  [SMALL_STATE(11294)] = 337630,
  [SMALL_STATE(11295)] = 337677,
  [SMALL_STATE(11296)] = 337724,
  [SMALL_STATE(11297)] = 337771,
  [SMALL_STATE(11298)] = 337818,
  [SMALL_STATE(11299)] = 337865,
  [SMALL_STATE(11300)] = 337912,
  [SMALL_STATE(11301)] = 337959,
  [SMALL_STATE(11302)] = 338000,
  [SMALL_STATE(11303)] = 338047,
  [SMALL_STATE(11304)] = 338094,
  [SMALL_STATE(11305)] = 338141,
  [SMALL_STATE(11306)] = 338188,
  [SMALL_STATE(11307)] = 338235,
  [SMALL_STATE(11308)] = 338282,
  [SMALL_STATE(11309)] = 338329,
  [SMALL_STATE(11310)] = 338376,
  [SMALL_STATE(11311)] = 338418,
  [SMALL_STATE(11312)] = 338462,
  [SMALL_STATE(11313)] = 338504,
  [SMALL_STATE(11314)] = 338546,
  [SMALL_STATE(11315)] = 338588,
  [SMALL_STATE(11316)] = 338626,
  [SMALL_STATE(11317)] = 338668,
  [SMALL_STATE(11318)] = 338710,
  [SMALL_STATE(11319)] = 338752,
  [SMALL_STATE(11320)] = 338794,
  [SMALL_STATE(11321)] = 338836,
  [SMALL_STATE(11322)] = 338880,
  [SMALL_STATE(11323)] = 338922,
  [SMALL_STATE(11324)] = 338966,
  [SMALL_STATE(11325)] = 339008,
  [SMALL_STATE(11326)] = 339052,
  [SMALL_STATE(11327)] = 339094,
  [SMALL_STATE(11328)] = 339136,
  [SMALL_STATE(11329)] = 339178,
  [SMALL_STATE(11330)] = 339220,
  [SMALL_STATE(11331)] = 339262,
  [SMALL_STATE(11332)] = 339304,
  [SMALL_STATE(11333)] = 339346,
  [SMALL_STATE(11334)] = 339388,
  [SMALL_STATE(11335)] = 339430,
  [SMALL_STATE(11336)] = 339472,
  [SMALL_STATE(11337)] = 339514,
  [SMALL_STATE(11338)] = 339556,
  [SMALL_STATE(11339)] = 339598,
  [SMALL_STATE(11340)] = 339640,
  [SMALL_STATE(11341)] = 339682,
  [SMALL_STATE(11342)] = 339724,
  [SMALL_STATE(11343)] = 339766,
  [SMALL_STATE(11344)] = 339808,
  [SMALL_STATE(11345)] = 339850,
  [SMALL_STATE(11346)] = 339894,
  [SMALL_STATE(11347)] = 339936,
  [SMALL_STATE(11348)] = 339978,
  [SMALL_STATE(11349)] = 340020,
  [SMALL_STATE(11350)] = 340062,
  [SMALL_STATE(11351)] = 340104,
  [SMALL_STATE(11352)] = 340146,
  [SMALL_STATE(11353)] = 340188,
  [SMALL_STATE(11354)] = 340232,
  [SMALL_STATE(11355)] = 340276,
  [SMALL_STATE(11356)] = 340318,
  [SMALL_STATE(11357)] = 340360,
  [SMALL_STATE(11358)] = 340402,
  [SMALL_STATE(11359)] = 340443,
  [SMALL_STATE(11360)] = 340484,
  [SMALL_STATE(11361)] = 340525,
  [SMALL_STATE(11362)] = 340566,
  [SMALL_STATE(11363)] = 340607,
  [SMALL_STATE(11364)] = 340652,
  [SMALL_STATE(11365)] = 340693,
  [SMALL_STATE(11366)] = 340734,
  [SMALL_STATE(11367)] = 340775,
  [SMALL_STATE(11368)] = 340816,
  [SMALL_STATE(11369)] = 340857,
  [SMALL_STATE(11370)] = 340898,
  [SMALL_STATE(11371)] = 340939,
  [SMALL_STATE(11372)] = 340980,
  [SMALL_STATE(11373)] = 341021,
  [SMALL_STATE(11374)] = 341066,
  [SMALL_STATE(11375)] = 341107,
  [SMALL_STATE(11376)] = 341148,
  [SMALL_STATE(11377)] = 341189,
  [SMALL_STATE(11378)] = 341230,
  [SMALL_STATE(11379)] = 341271,
  [SMALL_STATE(11380)] = 341312,
  [SMALL_STATE(11381)] = 341353,
  [SMALL_STATE(11382)] = 341394,
  [SMALL_STATE(11383)] = 341435,
  [SMALL_STATE(11384)] = 341476,
  [SMALL_STATE(11385)] = 341517,
  [SMALL_STATE(11386)] = 341556,
  [SMALL_STATE(11387)] = 341597,
  [SMALL_STATE(11388)] = 341638,
  [SMALL_STATE(11389)] = 341679,
  [SMALL_STATE(11390)] = 341720,
  [SMALL_STATE(11391)] = 341761,
  [SMALL_STATE(11392)] = 341802,
  [SMALL_STATE(11393)] = 341843,
  [SMALL_STATE(11394)] = 341884,
  [SMALL_STATE(11395)] = 341925,
  [SMALL_STATE(11396)] = 341966,
  [SMALL_STATE(11397)] = 342007,
  [SMALL_STATE(11398)] = 342048,
  [SMALL_STATE(11399)] = 342093,
  [SMALL_STATE(11400)] = 342134,
  [SMALL_STATE(11401)] = 342175,
  [SMALL_STATE(11402)] = 342216,
  [SMALL_STATE(11403)] = 342261,
  [SMALL_STATE(11404)] = 342302,
  [SMALL_STATE(11405)] = 342343,
  [SMALL_STATE(11406)] = 342384,
  [SMALL_STATE(11407)] = 342425,
  [SMALL_STATE(11408)] = 342466,
  [SMALL_STATE(11409)] = 342507,
  [SMALL_STATE(11410)] = 342548,
  [SMALL_STATE(11411)] = 342589,
  [SMALL_STATE(11412)] = 342630,
  [SMALL_STATE(11413)] = 342671,
  [SMALL_STATE(11414)] = 342712,
  [SMALL_STATE(11415)] = 342753,
  [SMALL_STATE(11416)] = 342794,
  [SMALL_STATE(11417)] = 342835,
  [SMALL_STATE(11418)] = 342876,
  [SMALL_STATE(11419)] = 342917,
  [SMALL_STATE(11420)] = 342958,
  [SMALL_STATE(11421)] = 342999,
  [SMALL_STATE(11422)] = 343040,
  [SMALL_STATE(11423)] = 343081,
  [SMALL_STATE(11424)] = 343122,
  [SMALL_STATE(11425)] = 343161,
  [SMALL_STATE(11426)] = 343202,
  [SMALL_STATE(11427)] = 343243,
  [SMALL_STATE(11428)] = 343284,
  [SMALL_STATE(11429)] = 343325,
  [SMALL_STATE(11430)] = 343366,
  [SMALL_STATE(11431)] = 343407,
  [SMALL_STATE(11432)] = 343448,
  [SMALL_STATE(11433)] = 343493,
  [SMALL_STATE(11434)] = 343534,
  [SMALL_STATE(11435)] = 343575,
  [SMALL_STATE(11436)] = 343616,
  [SMALL_STATE(11437)] = 343657,
  [SMALL_STATE(11438)] = 343698,
  [SMALL_STATE(11439)] = 343736,
  [SMALL_STATE(11440)] = 343766,
  [SMALL_STATE(11441)] = 343804,
  [SMALL_STATE(11442)] = 343842,
  [SMALL_STATE(11443)] = 343880,
  [SMALL_STATE(11444)] = 343918,
  [SMALL_STATE(11445)] = 343956,
  [SMALL_STATE(11446)] = 343994,
  [SMALL_STATE(11447)] = 344024,
  [SMALL_STATE(11448)] = 344050,
  [SMALL_STATE(11449)] = 344088,
  [SMALL_STATE(11450)] = 344126,
  [SMALL_STATE(11451)] = 344162,
  [SMALL_STATE(11452)] = 344200,
  [SMALL_STATE(11453)] = 344238,
  [SMALL_STATE(11454)] = 344276,
  [SMALL_STATE(11455)] = 344302,
  [SMALL_STATE(11456)] = 344340,
  [SMALL_STATE(11457)] = 344378,
  [SMALL_STATE(11458)] = 344416,
  [SMALL_STATE(11459)] = 344454,
  [SMALL_STATE(11460)] = 344492,
  [SMALL_STATE(11461)] = 344530,
  [SMALL_STATE(11462)] = 344568,
  [SMALL_STATE(11463)] = 344606,
  [SMALL_STATE(11464)] = 344629,
  [SMALL_STATE(11465)] = 344664,
  [SMALL_STATE(11466)] = 344703,
  [SMALL_STATE(11467)] = 344738,
  [SMALL_STATE(11468)] = 344773,
  [SMALL_STATE(11469)] = 344808,
  [SMALL_STATE(11470)] = 344843,
  [SMALL_STATE(11471)] = 344878,
  [SMALL_STATE(11472)] = 344917,
  [SMALL_STATE(11473)] = 344952,
  [SMALL_STATE(11474)] = 344987,
  [SMALL_STATE(11475)] = 345022,
  [SMALL_STATE(11476)] = 345057,
  [SMALL_STATE(11477)] = 345092,
  [SMALL_STATE(11478)] = 345127,
  [SMALL_STATE(11479)] = 345162,
  [SMALL_STATE(11480)] = 345197,
  [SMALL_STATE(11481)] = 345232,
  [SMALL_STATE(11482)] = 345267,
  [SMALL_STATE(11483)] = 345302,
  [SMALL_STATE(11484)] = 345337,
  [SMALL_STATE(11485)] = 345372,
  [SMALL_STATE(11486)] = 345407,
  [SMALL_STATE(11487)] = 345442,
  [SMALL_STATE(11488)] = 345477,
  [SMALL_STATE(11489)] = 345512,
  [SMALL_STATE(11490)] = 345547,
  [SMALL_STATE(11491)] = 345582,
  [SMALL_STATE(11492)] = 345617,
  [SMALL_STATE(11493)] = 345652,
  [SMALL_STATE(11494)] = 345687,
  [SMALL_STATE(11495)] = 345722,
  [SMALL_STATE(11496)] = 345757,
  [SMALL_STATE(11497)] = 345792,
  [SMALL_STATE(11498)] = 345827,
  [SMALL_STATE(11499)] = 345862,
  [SMALL_STATE(11500)] = 345897,
  [SMALL_STATE(11501)] = 345932,
  [SMALL_STATE(11502)] = 345967,
  [SMALL_STATE(11503)] = 346002,
  [SMALL_STATE(11504)] = 346037,
  [SMALL_STATE(11505)] = 346072,
  [SMALL_STATE(11506)] = 346107,
  [SMALL_STATE(11507)] = 346142,
  [SMALL_STATE(11508)] = 346177,
  [SMALL_STATE(11509)] = 346212,
  [SMALL_STATE(11510)] = 346247,
  [SMALL_STATE(11511)] = 346282,
  [SMALL_STATE(11512)] = 346317,
  [SMALL_STATE(11513)] = 346352,
  [SMALL_STATE(11514)] = 346387,
  [SMALL_STATE(11515)] = 346422,
  [SMALL_STATE(11516)] = 346457,
  [SMALL_STATE(11517)] = 346492,
  [SMALL_STATE(11518)] = 346527,
  [SMALL_STATE(11519)] = 346562,
  [SMALL_STATE(11520)] = 346597,
  [SMALL_STATE(11521)] = 346632,
  [SMALL_STATE(11522)] = 346667,
  [SMALL_STATE(11523)] = 346702,
  [SMALL_STATE(11524)] = 346741,
  [SMALL_STATE(11525)] = 346776,
  [SMALL_STATE(11526)] = 346811,
  [SMALL_STATE(11527)] = 346846,
  [SMALL_STATE(11528)] = 346881,
  [SMALL_STATE(11529)] = 346916,
  [SMALL_STATE(11530)] = 346951,
  [SMALL_STATE(11531)] = 346986,
  [SMALL_STATE(11532)] = 347021,
  [SMALL_STATE(11533)] = 347056,
  [SMALL_STATE(11534)] = 347091,
  [SMALL_STATE(11535)] = 347126,
  [SMALL_STATE(11536)] = 347169,
  [SMALL_STATE(11537)] = 347204,
  [SMALL_STATE(11538)] = 347239,
  [SMALL_STATE(11539)] = 347274,
  [SMALL_STATE(11540)] = 347309,
  [SMALL_STATE(11541)] = 347344,
  [SMALL_STATE(11542)] = 347379,
  [SMALL_STATE(11543)] = 347414,
  [SMALL_STATE(11544)] = 347449,
  [SMALL_STATE(11545)] = 347484,
  [SMALL_STATE(11546)] = 347523,
  [SMALL_STATE(11547)] = 347558,
  [SMALL_STATE(11548)] = 347593,
  [SMALL_STATE(11549)] = 347628,
  [SMALL_STATE(11550)] = 347663,
  [SMALL_STATE(11551)] = 347698,
  [SMALL_STATE(11552)] = 347733,
  [SMALL_STATE(11553)] = 347768,
  [SMALL_STATE(11554)] = 347803,
  [SMALL_STATE(11555)] = 347838,
  [SMALL_STATE(11556)] = 347873,
  [SMALL_STATE(11557)] = 347908,
  [SMALL_STATE(11558)] = 347943,
  [SMALL_STATE(11559)] = 347978,
  [SMALL_STATE(11560)] = 348013,
  [SMALL_STATE(11561)] = 348048,
  [SMALL_STATE(11562)] = 348083,
  [SMALL_STATE(11563)] = 348118,
  [SMALL_STATE(11564)] = 348153,
  [SMALL_STATE(11565)] = 348188,
  [SMALL_STATE(11566)] = 348223,
  [SMALL_STATE(11567)] = 348258,
  [SMALL_STATE(11568)] = 348293,
  [SMALL_STATE(11569)] = 348328,
  [SMALL_STATE(11570)] = 348363,
  [SMALL_STATE(11571)] = 348398,
  [SMALL_STATE(11572)] = 348433,
  [SMALL_STATE(11573)] = 348468,
  [SMALL_STATE(11574)] = 348503,
  [SMALL_STATE(11575)] = 348538,
  [SMALL_STATE(11576)] = 348573,
  [SMALL_STATE(11577)] = 348608,
  [SMALL_STATE(11578)] = 348643,
  [SMALL_STATE(11579)] = 348678,
  [SMALL_STATE(11580)] = 348713,
  [SMALL_STATE(11581)] = 348748,
  [SMALL_STATE(11582)] = 348783,
  [SMALL_STATE(11583)] = 348818,
  [SMALL_STATE(11584)] = 348853,
  [SMALL_STATE(11585)] = 348888,
  [SMALL_STATE(11586)] = 348923,
  [SMALL_STATE(11587)] = 348958,
  [SMALL_STATE(11588)] = 348993,
  [SMALL_STATE(11589)] = 349028,
  [SMALL_STATE(11590)] = 349063,
  [SMALL_STATE(11591)] = 349098,
  [SMALL_STATE(11592)] = 349133,
  [SMALL_STATE(11593)] = 349168,
  [SMALL_STATE(11594)] = 349203,
  [SMALL_STATE(11595)] = 349238,
  [SMALL_STATE(11596)] = 349261,
  [SMALL_STATE(11597)] = 349296,
  [SMALL_STATE(11598)] = 349331,
  [SMALL_STATE(11599)] = 349366,
  [SMALL_STATE(11600)] = 349401,
  [SMALL_STATE(11601)] = 349436,
  [SMALL_STATE(11602)] = 349471,
  [SMALL_STATE(11603)] = 349510,
  [SMALL_STATE(11604)] = 349545,
  [SMALL_STATE(11605)] = 349580,
  [SMALL_STATE(11606)] = 349615,
  [SMALL_STATE(11607)] = 349650,
  [SMALL_STATE(11608)] = 349685,
  [SMALL_STATE(11609)] = 349720,
  [SMALL_STATE(11610)] = 349755,
  [SMALL_STATE(11611)] = 349794,
  [SMALL_STATE(11612)] = 349829,
  [SMALL_STATE(11613)] = 349864,
  [SMALL_STATE(11614)] = 349899,
  [SMALL_STATE(11615)] = 349934,
  [SMALL_STATE(11616)] = 349969,
  [SMALL_STATE(11617)] = 350004,
  [SMALL_STATE(11618)] = 350039,
  [SMALL_STATE(11619)] = 350074,
  [SMALL_STATE(11620)] = 350109,
  [SMALL_STATE(11621)] = 350144,
  [SMALL_STATE(11622)] = 350179,
  [SMALL_STATE(11623)] = 350214,
  [SMALL_STATE(11624)] = 350249,
  [SMALL_STATE(11625)] = 350284,
  [SMALL_STATE(11626)] = 350319,
  [SMALL_STATE(11627)] = 350354,
  [SMALL_STATE(11628)] = 350389,
  [SMALL_STATE(11629)] = 350424,
  [SMALL_STATE(11630)] = 350459,
  [SMALL_STATE(11631)] = 350494,
  [SMALL_STATE(11632)] = 350529,
  [SMALL_STATE(11633)] = 350564,
  [SMALL_STATE(11634)] = 350599,
  [SMALL_STATE(11635)] = 350634,
  [SMALL_STATE(11636)] = 350669,
  [SMALL_STATE(11637)] = 350704,
  [SMALL_STATE(11638)] = 350739,
  [SMALL_STATE(11639)] = 350774,
  [SMALL_STATE(11640)] = 350809,
  [SMALL_STATE(11641)] = 350855,
  [SMALL_STATE(11642)] = 350879,
  [SMALL_STATE(11643)] = 350925,
  [SMALL_STATE(11644)] = 350947,
  [SMALL_STATE(11645)] = 350971,
  [SMALL_STATE(11646)] = 350993,
  [SMALL_STATE(11647)] = 351025,
  [SMALL_STATE(11648)] = 351049,
  [SMALL_STATE(11649)] = 351073,
  [SMALL_STATE(11650)] = 351105,
  [SMALL_STATE(11651)] = 351129,
  [SMALL_STATE(11652)] = 351170,
  [SMALL_STATE(11653)] = 351211,
  [SMALL_STATE(11654)] = 351244,
  [SMALL_STATE(11655)] = 351277,
  [SMALL_STATE(11656)] = 351318,
  [SMALL_STATE(11657)] = 351359,
  [SMALL_STATE(11658)] = 351400,
  [SMALL_STATE(11659)] = 351421,
  [SMALL_STATE(11660)] = 351462,
  [SMALL_STATE(11661)] = 351503,
  [SMALL_STATE(11662)] = 351536,
  [SMALL_STATE(11663)] = 351577,
  [SMALL_STATE(11664)] = 351618,
  [SMALL_STATE(11665)] = 351639,
  [SMALL_STATE(11666)] = 351680,
  [SMALL_STATE(11667)] = 351713,
  [SMALL_STATE(11668)] = 351754,
  [SMALL_STATE(11669)] = 351795,
  [SMALL_STATE(11670)] = 351836,
  [SMALL_STATE(11671)] = 351877,
  [SMALL_STATE(11672)] = 351918,
  [SMALL_STATE(11673)] = 351959,
  [SMALL_STATE(11674)] = 351992,
  [SMALL_STATE(11675)] = 352033,
  [SMALL_STATE(11676)] = 352074,
  [SMALL_STATE(11677)] = 352115,
  [SMALL_STATE(11678)] = 352156,
  [SMALL_STATE(11679)] = 352197,
  [SMALL_STATE(11680)] = 352238,
  [SMALL_STATE(11681)] = 352271,
  [SMALL_STATE(11682)] = 352312,
  [SMALL_STATE(11683)] = 352353,
  [SMALL_STATE(11684)] = 352386,
  [SMALL_STATE(11685)] = 352427,
  [SMALL_STATE(11686)] = 352468,
  [SMALL_STATE(11687)] = 352509,
  [SMALL_STATE(11688)] = 352549,
  [SMALL_STATE(11689)] = 352589,
  [SMALL_STATE(11690)] = 352627,
  [SMALL_STATE(11691)] = 352665,
  [SMALL_STATE(11692)] = 352691,
  [SMALL_STATE(11693)] = 352729,
  [SMALL_STATE(11694)] = 352767,
  [SMALL_STATE(11695)] = 352807,
  [SMALL_STATE(11696)] = 352847,
  [SMALL_STATE(11697)] = 352887,
  [SMALL_STATE(11698)] = 352927,
  [SMALL_STATE(11699)] = 352967,
  [SMALL_STATE(11700)] = 353007,
  [SMALL_STATE(11701)] = 353047,
  [SMALL_STATE(11702)] = 353087,
  [SMALL_STATE(11703)] = 353127,
  [SMALL_STATE(11704)] = 353165,
  [SMALL_STATE(11705)] = 353205,
  [SMALL_STATE(11706)] = 353243,
  [SMALL_STATE(11707)] = 353281,
  [SMALL_STATE(11708)] = 353321,
  [SMALL_STATE(11709)] = 353361,
  [SMALL_STATE(11710)] = 353399,
  [SMALL_STATE(11711)] = 353439,
  [SMALL_STATE(11712)] = 353479,
  [SMALL_STATE(11713)] = 353517,
  [SMALL_STATE(11714)] = 353555,
  [SMALL_STATE(11715)] = 353593,
  [SMALL_STATE(11716)] = 353631,
  [SMALL_STATE(11717)] = 353671,
  [SMALL_STATE(11718)] = 353711,
  [SMALL_STATE(11719)] = 353749,
  [SMALL_STATE(11720)] = 353789,
  [SMALL_STATE(11721)] = 353829,
  [SMALL_STATE(11722)] = 353869,
  [SMALL_STATE(11723)] = 353909,
  [SMALL_STATE(11724)] = 353947,
  [SMALL_STATE(11725)] = 353987,
  [SMALL_STATE(11726)] = 354027,
  [SMALL_STATE(11727)] = 354067,
  [SMALL_STATE(11728)] = 354107,
  [SMALL_STATE(11729)] = 354145,
  [SMALL_STATE(11730)] = 354171,
  [SMALL_STATE(11731)] = 354211,
  [SMALL_STATE(11732)] = 354251,
  [SMALL_STATE(11733)] = 354289,
  [SMALL_STATE(11734)] = 354329,
  [SMALL_STATE(11735)] = 354369,
  [SMALL_STATE(11736)] = 354407,
  [SMALL_STATE(11737)] = 354447,
  [SMALL_STATE(11738)] = 354485,
  [SMALL_STATE(11739)] = 354523,
  [SMALL_STATE(11740)] = 354563,
  [SMALL_STATE(11741)] = 354601,
  [SMALL_STATE(11742)] = 354641,
  [SMALL_STATE(11743)] = 354681,
  [SMALL_STATE(11744)] = 354719,
  [SMALL_STATE(11745)] = 354757,
  [SMALL_STATE(11746)] = 354797,
  [SMALL_STATE(11747)] = 354835,
  [SMALL_STATE(11748)] = 354873,
  [SMALL_STATE(11749)] = 354913,
  [SMALL_STATE(11750)] = 354953,
  [SMALL_STATE(11751)] = 354993,
  [SMALL_STATE(11752)] = 355031,
  [SMALL_STATE(11753)] = 355057,
  [SMALL_STATE(11754)] = 355095,
  [SMALL_STATE(11755)] = 355133,
  [SMALL_STATE(11756)] = 355173,
  [SMALL_STATE(11757)] = 355211,
  [SMALL_STATE(11758)] = 355251,
  [SMALL_STATE(11759)] = 355289,
  [SMALL_STATE(11760)] = 355329,
  [SMALL_STATE(11761)] = 355369,
  [SMALL_STATE(11762)] = 355409,
  [SMALL_STATE(11763)] = 355447,
  [SMALL_STATE(11764)] = 355485,
  [SMALL_STATE(11765)] = 355525,
  [SMALL_STATE(11766)] = 355565,
  [SMALL_STATE(11767)] = 355605,
  [SMALL_STATE(11768)] = 355645,
  [SMALL_STATE(11769)] = 355671,
  [SMALL_STATE(11770)] = 355711,
  [SMALL_STATE(11771)] = 355751,
  [SMALL_STATE(11772)] = 355791,
  [SMALL_STATE(11773)] = 355829,
  [SMALL_STATE(11774)] = 355869,
  [SMALL_STATE(11775)] = 355907,
  [SMALL_STATE(11776)] = 355945,
  [SMALL_STATE(11777)] = 355985,
  [SMALL_STATE(11778)] = 356023,
  [SMALL_STATE(11779)] = 356061,
  [SMALL_STATE(11780)] = 356081,
  [SMALL_STATE(11781)] = 356119,
  [SMALL_STATE(11782)] = 356157,
  [SMALL_STATE(11783)] = 356195,
  [SMALL_STATE(11784)] = 356235,
  [SMALL_STATE(11785)] = 356275,
  [SMALL_STATE(11786)] = 356313,
  [SMALL_STATE(11787)] = 356353,
  [SMALL_STATE(11788)] = 356393,
  [SMALL_STATE(11789)] = 356431,
  [SMALL_STATE(11790)] = 356469,
  [SMALL_STATE(11791)] = 356495,
  [SMALL_STATE(11792)] = 356535,
  [SMALL_STATE(11793)] = 356573,
  [SMALL_STATE(11794)] = 356613,
  [SMALL_STATE(11795)] = 356653,
  [SMALL_STATE(11796)] = 356693,
  [SMALL_STATE(11797)] = 356733,
  [SMALL_STATE(11798)] = 356773,
  [SMALL_STATE(11799)] = 356811,
  [SMALL_STATE(11800)] = 356851,
  [SMALL_STATE(11801)] = 356877,
  [SMALL_STATE(11802)] = 356915,
  [SMALL_STATE(11803)] = 356955,
  [SMALL_STATE(11804)] = 356995,
  [SMALL_STATE(11805)] = 357035,
  [SMALL_STATE(11806)] = 357075,
  [SMALL_STATE(11807)] = 357115,
  [SMALL_STATE(11808)] = 357155,
  [SMALL_STATE(11809)] = 357193,
  [SMALL_STATE(11810)] = 357231,
  [SMALL_STATE(11811)] = 357269,
  [SMALL_STATE(11812)] = 357309,
  [SMALL_STATE(11813)] = 357347,
  [SMALL_STATE(11814)] = 357385,
  [SMALL_STATE(11815)] = 357423,
  [SMALL_STATE(11816)] = 357461,
  [SMALL_STATE(11817)] = 357501,
  [SMALL_STATE(11818)] = 357541,
  [SMALL_STATE(11819)] = 357581,
  [SMALL_STATE(11820)] = 357619,
  [SMALL_STATE(11821)] = 357659,
  [SMALL_STATE(11822)] = 357699,
  [SMALL_STATE(11823)] = 357739,
  [SMALL_STATE(11824)] = 357779,
  [SMALL_STATE(11825)] = 357817,
  [SMALL_STATE(11826)] = 357857,
  [SMALL_STATE(11827)] = 357897,
  [SMALL_STATE(11828)] = 357935,
  [SMALL_STATE(11829)] = 357975,
  [SMALL_STATE(11830)] = 358013,
  [SMALL_STATE(11831)] = 358051,
  [SMALL_STATE(11832)] = 358089,
  [SMALL_STATE(11833)] = 358129,
  [SMALL_STATE(11834)] = 358169,
  [SMALL_STATE(11835)] = 358188,
  [SMALL_STATE(11836)] = 358211,
  [SMALL_STATE(11837)] = 358234,
  [SMALL_STATE(11838)] = 358257,
  [SMALL_STATE(11839)] = 358280,
  [SMALL_STATE(11840)] = 358303,
  [SMALL_STATE(11841)] = 358326,
  [SMALL_STATE(11842)] = 358349,
  [SMALL_STATE(11843)] = 358372,
  [SMALL_STATE(11844)] = 358395,
  [SMALL_STATE(11845)] = 358418,
  [SMALL_STATE(11846)] = 358441,
  [SMALL_STATE(11847)] = 358464,
  [SMALL_STATE(11848)] = 358487,
  [SMALL_STATE(11849)] = 358510,
  [SMALL_STATE(11850)] = 358533,
  [SMALL_STATE(11851)] = 358556,
  [SMALL_STATE(11852)] = 358579,
  [SMALL_STATE(11853)] = 358602,
  [SMALL_STATE(11854)] = 358625,
  [SMALL_STATE(11855)] = 358648,
  [SMALL_STATE(11856)] = 358671,
  [SMALL_STATE(11857)] = 358694,
  [SMALL_STATE(11858)] = 358717,
  [SMALL_STATE(11859)] = 358740,
  [SMALL_STATE(11860)] = 358763,
  [SMALL_STATE(11861)] = 358786,
  [SMALL_STATE(11862)] = 358809,
  [SMALL_STATE(11863)] = 358832,
  [SMALL_STATE(11864)] = 358855,
  [SMALL_STATE(11865)] = 358878,
  [SMALL_STATE(11866)] = 358901,
  [SMALL_STATE(11867)] = 358924,
  [SMALL_STATE(11868)] = 358947,
  [SMALL_STATE(11869)] = 358970,
  [SMALL_STATE(11870)] = 358993,
  [SMALL_STATE(11871)] = 359016,
  [SMALL_STATE(11872)] = 359039,
  [SMALL_STATE(11873)] = 359062,
  [SMALL_STATE(11874)] = 359085,
  [SMALL_STATE(11875)] = 359108,
  [SMALL_STATE(11876)] = 359131,
  [SMALL_STATE(11877)] = 359154,
  [SMALL_STATE(11878)] = 359177,
  [SMALL_STATE(11879)] = 359200,
  [SMALL_STATE(11880)] = 359223,
  [SMALL_STATE(11881)] = 359246,
  [SMALL_STATE(11882)] = 359269,
  [SMALL_STATE(11883)] = 359292,
  [SMALL_STATE(11884)] = 359315,
  [SMALL_STATE(11885)] = 359338,
  [SMALL_STATE(11886)] = 359361,
  [SMALL_STATE(11887)] = 359384,
  [SMALL_STATE(11888)] = 359407,
  [SMALL_STATE(11889)] = 359430,
  [SMALL_STATE(11890)] = 359453,
  [SMALL_STATE(11891)] = 359480,
  [SMALL_STATE(11892)] = 359507,
  [SMALL_STATE(11893)] = 359544,
  [SMALL_STATE(11894)] = 359571,
  [SMALL_STATE(11895)] = 359608,
  [SMALL_STATE(11896)] = 359645,
  [SMALL_STATE(11897)] = 359682,
  [SMALL_STATE(11898)] = 359719,
  [SMALL_STATE(11899)] = 359756,
  [SMALL_STATE(11900)] = 359793,
  [SMALL_STATE(11901)] = 359828,
  [SMALL_STATE(11902)] = 359863,
  [SMALL_STATE(11903)] = 359896,
  [SMALL_STATE(11904)] = 359923,
  [SMALL_STATE(11905)] = 359960,
  [SMALL_STATE(11906)] = 359983,
  [SMALL_STATE(11907)] = 360020,
  [SMALL_STATE(11908)] = 360043,
  [SMALL_STATE(11909)] = 360066,
  [SMALL_STATE(11910)] = 360089,
  [SMALL_STATE(11911)] = 360112,
  [SMALL_STATE(11912)] = 360133,
  [SMALL_STATE(11913)] = 360170,
  [SMALL_STATE(11914)] = 360193,
  [SMALL_STATE(11915)] = 360216,
  [SMALL_STATE(11916)] = 360239,
  [SMALL_STATE(11917)] = 360262,
  [SMALL_STATE(11918)] = 360289,
  [SMALL_STATE(11919)] = 360312,
  [SMALL_STATE(11920)] = 360335,
  [SMALL_STATE(11921)] = 360358,
  [SMALL_STATE(11922)] = 360379,
  [SMALL_STATE(11923)] = 360402,
  [SMALL_STATE(11924)] = 360425,
  [SMALL_STATE(11925)] = 360448,
  [SMALL_STATE(11926)] = 360471,
  [SMALL_STATE(11927)] = 360494,
  [SMALL_STATE(11928)] = 360517,
  [SMALL_STATE(11929)] = 360554,
  [SMALL_STATE(11930)] = 360577,
  [SMALL_STATE(11931)] = 360600,
  [SMALL_STATE(11932)] = 360637,
  [SMALL_STATE(11933)] = 360660,
  [SMALL_STATE(11934)] = 360697,
  [SMALL_STATE(11935)] = 360734,
  [SMALL_STATE(11936)] = 360769,
  [SMALL_STATE(11937)] = 360806,
  [SMALL_STATE(11938)] = 360829,
  [SMALL_STATE(11939)] = 360852,
  [SMALL_STATE(11940)] = 360879,
  [SMALL_STATE(11941)] = 360902,
  [SMALL_STATE(11942)] = 360935,
  [SMALL_STATE(11943)] = 360958,
  [SMALL_STATE(11944)] = 360981,
  [SMALL_STATE(11945)] = 361018,
  [SMALL_STATE(11946)] = 361041,
  [SMALL_STATE(11947)] = 361064,
  [SMALL_STATE(11948)] = 361087,
  [SMALL_STATE(11949)] = 361110,
  [SMALL_STATE(11950)] = 361137,
  [SMALL_STATE(11951)] = 361160,
  [SMALL_STATE(11952)] = 361193,
  [SMALL_STATE(11953)] = 361230,
  [SMALL_STATE(11954)] = 361253,
  [SMALL_STATE(11955)] = 361276,
  [SMALL_STATE(11956)] = 361299,
  [SMALL_STATE(11957)] = 361322,
  [SMALL_STATE(11958)] = 361357,
  [SMALL_STATE(11959)] = 361380,
  [SMALL_STATE(11960)] = 361417,
  [SMALL_STATE(11961)] = 361440,
  [SMALL_STATE(11962)] = 361473,
  [SMALL_STATE(11963)] = 361496,
  [SMALL_STATE(11964)] = 361531,
  [SMALL_STATE(11965)] = 361554,
  [SMALL_STATE(11966)] = 361591,
  [SMALL_STATE(11967)] = 361614,
  [SMALL_STATE(11968)] = 361637,
  [SMALL_STATE(11969)] = 361672,
  [SMALL_STATE(11970)] = 361695,
  [SMALL_STATE(11971)] = 361732,
  [SMALL_STATE(11972)] = 361755,
  [SMALL_STATE(11973)] = 361778,
  [SMALL_STATE(11974)] = 361801,
  [SMALL_STATE(11975)] = 361824,
  [SMALL_STATE(11976)] = 361847,
  [SMALL_STATE(11977)] = 361870,
  [SMALL_STATE(11978)] = 361893,
  [SMALL_STATE(11979)] = 361916,
  [SMALL_STATE(11980)] = 361939,
  [SMALL_STATE(11981)] = 361962,
  [SMALL_STATE(11982)] = 361985,
  [SMALL_STATE(11983)] = 362008,
  [SMALL_STATE(11984)] = 362031,
  [SMALL_STATE(11985)] = 362054,
  [SMALL_STATE(11986)] = 362077,
  [SMALL_STATE(11987)] = 362100,
  [SMALL_STATE(11988)] = 362123,
  [SMALL_STATE(11989)] = 362146,
  [SMALL_STATE(11990)] = 362167,
  [SMALL_STATE(11991)] = 362190,
  [SMALL_STATE(11992)] = 362213,
  [SMALL_STATE(11993)] = 362234,
  [SMALL_STATE(11994)] = 362257,
  [SMALL_STATE(11995)] = 362280,
  [SMALL_STATE(11996)] = 362307,
  [SMALL_STATE(11997)] = 362330,
  [SMALL_STATE(11998)] = 362353,
  [SMALL_STATE(11999)] = 362376,
  [SMALL_STATE(12000)] = 362399,
  [SMALL_STATE(12001)] = 362422,
  [SMALL_STATE(12002)] = 362445,
  [SMALL_STATE(12003)] = 362468,
  [SMALL_STATE(12004)] = 362491,
  [SMALL_STATE(12005)] = 362514,
  [SMALL_STATE(12006)] = 362551,
  [SMALL_STATE(12007)] = 362574,
  [SMALL_STATE(12008)] = 362597,
  [SMALL_STATE(12009)] = 362620,
  [SMALL_STATE(12010)] = 362643,
  [SMALL_STATE(12011)] = 362675,
  [SMALL_STATE(12012)] = 362707,
  [SMALL_STATE(12013)] = 362737,
  [SMALL_STATE(12014)] = 362769,
  [SMALL_STATE(12015)] = 362801,
  [SMALL_STATE(12016)] = 362835,
  [SMALL_STATE(12017)] = 362865,
  [SMALL_STATE(12018)] = 362895,
  [SMALL_STATE(12019)] = 362927,
  [SMALL_STATE(12020)] = 362961,
  [SMALL_STATE(12021)] = 362995,
  [SMALL_STATE(12022)] = 363029,
  [SMALL_STATE(12023)] = 363053,
  [SMALL_STATE(12024)] = 363085,
  [SMALL_STATE(12025)] = 363114,
  [SMALL_STATE(12026)] = 363143,
  [SMALL_STATE(12027)] = 363172,
  [SMALL_STATE(12028)] = 363189,
  [SMALL_STATE(12029)] = 363218,
  [SMALL_STATE(12030)] = 363245,
  [SMALL_STATE(12031)] = 363274,
  [SMALL_STATE(12032)] = 363301,
  [SMALL_STATE(12033)] = 363328,
  [SMALL_STATE(12034)] = 363355,
  [SMALL_STATE(12035)] = 363382,
  [SMALL_STATE(12036)] = 363409,
  [SMALL_STATE(12037)] = 363438,
  [SMALL_STATE(12038)] = 363465,
  [SMALL_STATE(12039)] = 363492,
  [SMALL_STATE(12040)] = 363519,
  [SMALL_STATE(12041)] = 363546,
  [SMALL_STATE(12042)] = 363567,
  [SMALL_STATE(12043)] = 363596,
  [SMALL_STATE(12044)] = 363625,
  [SMALL_STATE(12045)] = 363652,
  [SMALL_STATE(12046)] = 363681,
  [SMALL_STATE(12047)] = 363710,
  [SMALL_STATE(12048)] = 363739,
  [SMALL_STATE(12049)] = 363760,
  [SMALL_STATE(12050)] = 363787,
  [SMALL_STATE(12051)] = 363816,
  [SMALL_STATE(12052)] = 363843,
  [SMALL_STATE(12053)] = 363872,
  [SMALL_STATE(12054)] = 363899,
  [SMALL_STATE(12055)] = 363920,
  [SMALL_STATE(12056)] = 363949,
  [SMALL_STATE(12057)] = 363978,
  [SMALL_STATE(12058)] = 364005,
  [SMALL_STATE(12059)] = 364034,
  [SMALL_STATE(12060)] = 364063,
  [SMALL_STATE(12061)] = 364090,
  [SMALL_STATE(12062)] = 364117,
  [SMALL_STATE(12063)] = 364144,
  [SMALL_STATE(12064)] = 364175,
  [SMALL_STATE(12065)] = 364204,
  [SMALL_STATE(12066)] = 364233,
  [SMALL_STATE(12067)] = 364262,
  [SMALL_STATE(12068)] = 364289,
  [SMALL_STATE(12069)] = 364316,
  [SMALL_STATE(12070)] = 364345,
  [SMALL_STATE(12071)] = 364374,
  [SMALL_STATE(12072)] = 364401,
  [SMALL_STATE(12073)] = 364430,
  [SMALL_STATE(12074)] = 364457,
  [SMALL_STATE(12075)] = 364488,
  [SMALL_STATE(12076)] = 364515,
  [SMALL_STATE(12077)] = 364536,
  [SMALL_STATE(12078)] = 364557,
  [SMALL_STATE(12079)] = 364584,
  [SMALL_STATE(12080)] = 364613,
  [SMALL_STATE(12081)] = 364642,
  [SMALL_STATE(12082)] = 364671,
  [SMALL_STATE(12083)] = 364698,
  [SMALL_STATE(12084)] = 364719,
  [SMALL_STATE(12085)] = 364746,
  [SMALL_STATE(12086)] = 364767,
  [SMALL_STATE(12087)] = 364788,
  [SMALL_STATE(12088)] = 364817,
  [SMALL_STATE(12089)] = 364846,
  [SMALL_STATE(12090)] = 364867,
  [SMALL_STATE(12091)] = 364896,
  [SMALL_STATE(12092)] = 364917,
  [SMALL_STATE(12093)] = 364938,
  [SMALL_STATE(12094)] = 364967,
  [SMALL_STATE(12095)] = 364994,
  [SMALL_STATE(12096)] = 365023,
  [SMALL_STATE(12097)] = 365052,
  [SMALL_STATE(12098)] = 365081,
  [SMALL_STATE(12099)] = 365110,
  [SMALL_STATE(12100)] = 365141,
  [SMALL_STATE(12101)] = 365162,
  [SMALL_STATE(12102)] = 365189,
  [SMALL_STATE(12103)] = 365216,
  [SMALL_STATE(12104)] = 365245,
  [SMALL_STATE(12105)] = 365274,
  [SMALL_STATE(12106)] = 365303,
  [SMALL_STATE(12107)] = 365330,
  [SMALL_STATE(12108)] = 365357,
  [SMALL_STATE(12109)] = 365386,
  [SMALL_STATE(12110)] = 365409,
  [SMALL_STATE(12111)] = 365436,
  [SMALL_STATE(12112)] = 365457,
  [SMALL_STATE(12113)] = 365478,
  [SMALL_STATE(12114)] = 365499,
  [SMALL_STATE(12115)] = 365528,
  [SMALL_STATE(12116)] = 365557,
  [SMALL_STATE(12117)] = 365586,
  [SMALL_STATE(12118)] = 365615,
  [SMALL_STATE(12119)] = 365644,
  [SMALL_STATE(12120)] = 365671,
  [SMALL_STATE(12121)] = 365700,
  [SMALL_STATE(12122)] = 365729,
  [SMALL_STATE(12123)] = 365756,
  [SMALL_STATE(12124)] = 365777,
  [SMALL_STATE(12125)] = 365798,
  [SMALL_STATE(12126)] = 365819,
  [SMALL_STATE(12127)] = 365848,
  [SMALL_STATE(12128)] = 365869,
  [SMALL_STATE(12129)] = 365890,
  [SMALL_STATE(12130)] = 365917,
  [SMALL_STATE(12131)] = 365938,
  [SMALL_STATE(12132)] = 365959,
  [SMALL_STATE(12133)] = 365980,
  [SMALL_STATE(12134)] = 366007,
  [SMALL_STATE(12135)] = 366036,
  [SMALL_STATE(12136)] = 366063,
  [SMALL_STATE(12137)] = 366084,
  [SMALL_STATE(12138)] = 366105,
  [SMALL_STATE(12139)] = 366134,
  [SMALL_STATE(12140)] = 366161,
  [SMALL_STATE(12141)] = 366182,
  [SMALL_STATE(12142)] = 366211,
  [SMALL_STATE(12143)] = 366240,
  [SMALL_STATE(12144)] = 366269,
  [SMALL_STATE(12145)] = 366298,
  [SMALL_STATE(12146)] = 366327,
  [SMALL_STATE(12147)] = 366356,
  [SMALL_STATE(12148)] = 366385,
  [SMALL_STATE(12149)] = 366416,
  [SMALL_STATE(12150)] = 366445,
  [SMALL_STATE(12151)] = 366474,
  [SMALL_STATE(12152)] = 366501,
  [SMALL_STATE(12153)] = 366522,
  [SMALL_STATE(12154)] = 366549,
  [SMALL_STATE(12155)] = 366576,
  [SMALL_STATE(12156)] = 366605,
  [SMALL_STATE(12157)] = 366634,
  [SMALL_STATE(12158)] = 366661,
  [SMALL_STATE(12159)] = 366690,
  [SMALL_STATE(12160)] = 366716,
  [SMALL_STATE(12161)] = 366742,
  [SMALL_STATE(12162)] = 366766,
  [SMALL_STATE(12163)] = 366792,
  [SMALL_STATE(12164)] = 366820,
  [SMALL_STATE(12165)] = 366846,
  [SMALL_STATE(12166)] = 366872,
  [SMALL_STATE(12167)] = 366898,
  [SMALL_STATE(12168)] = 366924,
  [SMALL_STATE(12169)] = 366950,
  [SMALL_STATE(12170)] = 366976,
  [SMALL_STATE(12171)] = 367002,
  [SMALL_STATE(12172)] = 367028,
  [SMALL_STATE(12173)] = 367054,
  [SMALL_STATE(12174)] = 367080,
  [SMALL_STATE(12175)] = 367106,
  [SMALL_STATE(12176)] = 367132,
  [SMALL_STATE(12177)] = 367158,
  [SMALL_STATE(12178)] = 367184,
  [SMALL_STATE(12179)] = 367210,
  [SMALL_STATE(12180)] = 367236,
  [SMALL_STATE(12181)] = 367264,
  [SMALL_STATE(12182)] = 367292,
  [SMALL_STATE(12183)] = 367320,
  [SMALL_STATE(12184)] = 367346,
  [SMALL_STATE(12185)] = 367372,
  [SMALL_STATE(12186)] = 367398,
  [SMALL_STATE(12187)] = 367424,
  [SMALL_STATE(12188)] = 367450,
  [SMALL_STATE(12189)] = 367476,
  [SMALL_STATE(12190)] = 367502,
  [SMALL_STATE(12191)] = 367528,
  [SMALL_STATE(12192)] = 367554,
  [SMALL_STATE(12193)] = 367580,
  [SMALL_STATE(12194)] = 367606,
  [SMALL_STATE(12195)] = 367632,
  [SMALL_STATE(12196)] = 367658,
  [SMALL_STATE(12197)] = 367684,
  [SMALL_STATE(12198)] = 367710,
  [SMALL_STATE(12199)] = 367736,
  [SMALL_STATE(12200)] = 367762,
  [SMALL_STATE(12201)] = 367788,
  [SMALL_STATE(12202)] = 367814,
  [SMALL_STATE(12203)] = 367840,
  [SMALL_STATE(12204)] = 367866,
  [SMALL_STATE(12205)] = 367892,
  [SMALL_STATE(12206)] = 367918,
  [SMALL_STATE(12207)] = 367944,
  [SMALL_STATE(12208)] = 367972,
  [SMALL_STATE(12209)] = 368000,
  [SMALL_STATE(12210)] = 368026,
  [SMALL_STATE(12211)] = 368052,
  [SMALL_STATE(12212)] = 368078,
  [SMALL_STATE(12213)] = 368104,
  [SMALL_STATE(12214)] = 368130,
  [SMALL_STATE(12215)] = 368158,
  [SMALL_STATE(12216)] = 368184,
  [SMALL_STATE(12217)] = 368210,
  [SMALL_STATE(12218)] = 368236,
  [SMALL_STATE(12219)] = 368262,
  [SMALL_STATE(12220)] = 368288,
  [SMALL_STATE(12221)] = 368314,
  [SMALL_STATE(12222)] = 368342,
  [SMALL_STATE(12223)] = 368368,
  [SMALL_STATE(12224)] = 368394,
  [SMALL_STATE(12225)] = 368420,
  [SMALL_STATE(12226)] = 368446,
  [SMALL_STATE(12227)] = 368472,
  [SMALL_STATE(12228)] = 368498,
  [SMALL_STATE(12229)] = 368526,
  [SMALL_STATE(12230)] = 368552,
  [SMALL_STATE(12231)] = 368578,
  [SMALL_STATE(12232)] = 368606,
  [SMALL_STATE(12233)] = 368632,
  [SMALL_STATE(12234)] = 368658,
  [SMALL_STATE(12235)] = 368682,
  [SMALL_STATE(12236)] = 368708,
  [SMALL_STATE(12237)] = 368734,
  [SMALL_STATE(12238)] = 368760,
  [SMALL_STATE(12239)] = 368786,
  [SMALL_STATE(12240)] = 368814,
  [SMALL_STATE(12241)] = 368840,
  [SMALL_STATE(12242)] = 368866,
  [SMALL_STATE(12243)] = 368892,
  [SMALL_STATE(12244)] = 368920,
  [SMALL_STATE(12245)] = 368946,
  [SMALL_STATE(12246)] = 368972,
  [SMALL_STATE(12247)] = 368998,
  [SMALL_STATE(12248)] = 369024,
  [SMALL_STATE(12249)] = 369050,
  [SMALL_STATE(12250)] = 369078,
  [SMALL_STATE(12251)] = 369106,
  [SMALL_STATE(12252)] = 369132,
  [SMALL_STATE(12253)] = 369156,
  [SMALL_STATE(12254)] = 369184,
  [SMALL_STATE(12255)] = 369210,
  [SMALL_STATE(12256)] = 369236,
  [SMALL_STATE(12257)] = 369262,
  [SMALL_STATE(12258)] = 369288,
  [SMALL_STATE(12259)] = 369316,
  [SMALL_STATE(12260)] = 369342,
  [SMALL_STATE(12261)] = 369368,
  [SMALL_STATE(12262)] = 369394,
  [SMALL_STATE(12263)] = 369420,
  [SMALL_STATE(12264)] = 369446,
  [SMALL_STATE(12265)] = 369474,
  [SMALL_STATE(12266)] = 369502,
  [SMALL_STATE(12267)] = 369528,
  [SMALL_STATE(12268)] = 369554,
  [SMALL_STATE(12269)] = 369580,
  [SMALL_STATE(12270)] = 369606,
  [SMALL_STATE(12271)] = 369632,
  [SMALL_STATE(12272)] = 369658,
  [SMALL_STATE(12273)] = 369684,
  [SMALL_STATE(12274)] = 369710,
  [SMALL_STATE(12275)] = 369736,
  [SMALL_STATE(12276)] = 369762,
  [SMALL_STATE(12277)] = 369786,
  [SMALL_STATE(12278)] = 369812,
  [SMALL_STATE(12279)] = 369838,
  [SMALL_STATE(12280)] = 369864,
  [SMALL_STATE(12281)] = 369892,
  [SMALL_STATE(12282)] = 369918,
  [SMALL_STATE(12283)] = 369944,
  [SMALL_STATE(12284)] = 369970,
  [SMALL_STATE(12285)] = 369996,
  [SMALL_STATE(12286)] = 370022,
  [SMALL_STATE(12287)] = 370048,
  [SMALL_STATE(12288)] = 370076,
  [SMALL_STATE(12289)] = 370102,
  [SMALL_STATE(12290)] = 370128,
  [SMALL_STATE(12291)] = 370154,
  [SMALL_STATE(12292)] = 370180,
  [SMALL_STATE(12293)] = 370206,
  [SMALL_STATE(12294)] = 370232,
  [SMALL_STATE(12295)] = 370260,
  [SMALL_STATE(12296)] = 370288,
  [SMALL_STATE(12297)] = 370316,
  [SMALL_STATE(12298)] = 370344,
  [SMALL_STATE(12299)] = 370370,
  [SMALL_STATE(12300)] = 370396,
  [SMALL_STATE(12301)] = 370422,
  [SMALL_STATE(12302)] = 370446,
  [SMALL_STATE(12303)] = 370472,
  [SMALL_STATE(12304)] = 370498,
  [SMALL_STATE(12305)] = 370524,
  [SMALL_STATE(12306)] = 370550,
  [SMALL_STATE(12307)] = 370578,
  [SMALL_STATE(12308)] = 370606,
  [SMALL_STATE(12309)] = 370634,
  [SMALL_STATE(12310)] = 370662,
  [SMALL_STATE(12311)] = 370680,
  [SMALL_STATE(12312)] = 370698,
  [SMALL_STATE(12313)] = 370726,
  [SMALL_STATE(12314)] = 370754,
  [SMALL_STATE(12315)] = 370780,
  [SMALL_STATE(12316)] = 370806,
  [SMALL_STATE(12317)] = 370832,
  [SMALL_STATE(12318)] = 370858,
  [SMALL_STATE(12319)] = 370884,
  [SMALL_STATE(12320)] = 370910,
  [SMALL_STATE(12321)] = 370938,
  [SMALL_STATE(12322)] = 370964,
  [SMALL_STATE(12323)] = 370990,
  [SMALL_STATE(12324)] = 371016,
  [SMALL_STATE(12325)] = 371042,
  [SMALL_STATE(12326)] = 371066,
  [SMALL_STATE(12327)] = 371092,
  [SMALL_STATE(12328)] = 371118,
  [SMALL_STATE(12329)] = 371144,
  [SMALL_STATE(12330)] = 371170,
  [SMALL_STATE(12331)] = 371196,
  [SMALL_STATE(12332)] = 371224,
  [SMALL_STATE(12333)] = 371250,
  [SMALL_STATE(12334)] = 371276,
  [SMALL_STATE(12335)] = 371302,
  [SMALL_STATE(12336)] = 371328,
  [SMALL_STATE(12337)] = 371356,
  [SMALL_STATE(12338)] = 371382,
  [SMALL_STATE(12339)] = 371408,
  [SMALL_STATE(12340)] = 371434,
  [SMALL_STATE(12341)] = 371460,
  [SMALL_STATE(12342)] = 371488,
  [SMALL_STATE(12343)] = 371514,
  [SMALL_STATE(12344)] = 371532,
  [SMALL_STATE(12345)] = 371550,
  [SMALL_STATE(12346)] = 371568,
  [SMALL_STATE(12347)] = 371586,
  [SMALL_STATE(12348)] = 371614,
  [SMALL_STATE(12349)] = 371642,
  [SMALL_STATE(12350)] = 371668,
  [SMALL_STATE(12351)] = 371696,
  [SMALL_STATE(12352)] = 371722,
  [SMALL_STATE(12353)] = 371748,
  [SMALL_STATE(12354)] = 371774,
  [SMALL_STATE(12355)] = 371800,
  [SMALL_STATE(12356)] = 371826,
  [SMALL_STATE(12357)] = 371848,
  [SMALL_STATE(12358)] = 371876,
  [SMALL_STATE(12359)] = 371900,
  [SMALL_STATE(12360)] = 371928,
  [SMALL_STATE(12361)] = 371954,
  [SMALL_STATE(12362)] = 371982,
  [SMALL_STATE(12363)] = 372006,
  [SMALL_STATE(12364)] = 372032,
  [SMALL_STATE(12365)] = 372058,
  [SMALL_STATE(12366)] = 372084,
  [SMALL_STATE(12367)] = 372110,
  [SMALL_STATE(12368)] = 372134,
  [SMALL_STATE(12369)] = 372160,
  [SMALL_STATE(12370)] = 372186,
  [SMALL_STATE(12371)] = 372212,
  [SMALL_STATE(12372)] = 372236,
  [SMALL_STATE(12373)] = 372262,
  [SMALL_STATE(12374)] = 372290,
  [SMALL_STATE(12375)] = 372316,
  [SMALL_STATE(12376)] = 372342,
  [SMALL_STATE(12377)] = 372368,
  [SMALL_STATE(12378)] = 372394,
  [SMALL_STATE(12379)] = 372420,
  [SMALL_STATE(12380)] = 372448,
  [SMALL_STATE(12381)] = 372474,
  [SMALL_STATE(12382)] = 372500,
  [SMALL_STATE(12383)] = 372526,
  [SMALL_STATE(12384)] = 372554,
  [SMALL_STATE(12385)] = 372580,
  [SMALL_STATE(12386)] = 372606,
  [SMALL_STATE(12387)] = 372632,
  [SMALL_STATE(12388)] = 372658,
  [SMALL_STATE(12389)] = 372684,
  [SMALL_STATE(12390)] = 372702,
  [SMALL_STATE(12391)] = 372728,
  [SMALL_STATE(12392)] = 372754,
  [SMALL_STATE(12393)] = 372782,
  [SMALL_STATE(12394)] = 372810,
  [SMALL_STATE(12395)] = 372838,
  [SMALL_STATE(12396)] = 372866,
  [SMALL_STATE(12397)] = 372894,
  [SMALL_STATE(12398)] = 372920,
  [SMALL_STATE(12399)] = 372948,
  [SMALL_STATE(12400)] = 372976,
  [SMALL_STATE(12401)] = 373002,
  [SMALL_STATE(12402)] = 373028,
  [SMALL_STATE(12403)] = 373054,
  [SMALL_STATE(12404)] = 373082,
  [SMALL_STATE(12405)] = 373108,
  [SMALL_STATE(12406)] = 373134,
  [SMALL_STATE(12407)] = 373160,
  [SMALL_STATE(12408)] = 373182,
  [SMALL_STATE(12409)] = 373208,
  [SMALL_STATE(12410)] = 373236,
  [SMALL_STATE(12411)] = 373262,
  [SMALL_STATE(12412)] = 373288,
  [SMALL_STATE(12413)] = 373314,
  [SMALL_STATE(12414)] = 373340,
  [SMALL_STATE(12415)] = 373362,
  [SMALL_STATE(12416)] = 373390,
  [SMALL_STATE(12417)] = 373416,
  [SMALL_STATE(12418)] = 373442,
  [SMALL_STATE(12419)] = 373468,
  [SMALL_STATE(12420)] = 373494,
  [SMALL_STATE(12421)] = 373522,
  [SMALL_STATE(12422)] = 373550,
  [SMALL_STATE(12423)] = 373578,
  [SMALL_STATE(12424)] = 373606,
  [SMALL_STATE(12425)] = 373632,
  [SMALL_STATE(12426)] = 373660,
  [SMALL_STATE(12427)] = 373688,
  [SMALL_STATE(12428)] = 373714,
  [SMALL_STATE(12429)] = 373740,
  [SMALL_STATE(12430)] = 373766,
  [SMALL_STATE(12431)] = 373792,
  [SMALL_STATE(12432)] = 373818,
  [SMALL_STATE(12433)] = 373846,
  [SMALL_STATE(12434)] = 373870,
  [SMALL_STATE(12435)] = 373896,
  [SMALL_STATE(12436)] = 373922,
  [SMALL_STATE(12437)] = 373944,
  [SMALL_STATE(12438)] = 373970,
  [SMALL_STATE(12439)] = 373996,
  [SMALL_STATE(12440)] = 374022,
  [SMALL_STATE(12441)] = 374046,
  [SMALL_STATE(12442)] = 374070,
  [SMALL_STATE(12443)] = 374096,
  [SMALL_STATE(12444)] = 374122,
  [SMALL_STATE(12445)] = 374148,
  [SMALL_STATE(12446)] = 374174,
  [SMALL_STATE(12447)] = 374202,
  [SMALL_STATE(12448)] = 374230,
  [SMALL_STATE(12449)] = 374258,
  [SMALL_STATE(12450)] = 374284,
  [SMALL_STATE(12451)] = 374312,
  [SMALL_STATE(12452)] = 374340,
  [SMALL_STATE(12453)] = 374368,
  [SMALL_STATE(12454)] = 374394,
  [SMALL_STATE(12455)] = 374420,
  [SMALL_STATE(12456)] = 374448,
  [SMALL_STATE(12457)] = 374476,
  [SMALL_STATE(12458)] = 374504,
  [SMALL_STATE(12459)] = 374532,
  [SMALL_STATE(12460)] = 374558,
  [SMALL_STATE(12461)] = 374586,
  [SMALL_STATE(12462)] = 374612,
  [SMALL_STATE(12463)] = 374638,
  [SMALL_STATE(12464)] = 374664,
  [SMALL_STATE(12465)] = 374690,
  [SMALL_STATE(12466)] = 374716,
  [SMALL_STATE(12467)] = 374742,
  [SMALL_STATE(12468)] = 374768,
  [SMALL_STATE(12469)] = 374794,
  [SMALL_STATE(12470)] = 374820,
  [SMALL_STATE(12471)] = 374846,
  [SMALL_STATE(12472)] = 374872,
  [SMALL_STATE(12473)] = 374898,
  [SMALL_STATE(12474)] = 374924,
  [SMALL_STATE(12475)] = 374950,
  [SMALL_STATE(12476)] = 374976,
  [SMALL_STATE(12477)] = 375004,
  [SMALL_STATE(12478)] = 375030,
  [SMALL_STATE(12479)] = 375056,
  [SMALL_STATE(12480)] = 375082,
  [SMALL_STATE(12481)] = 375108,
  [SMALL_STATE(12482)] = 375136,
  [SMALL_STATE(12483)] = 375164,
  [SMALL_STATE(12484)] = 375190,
  [SMALL_STATE(12485)] = 375218,
  [SMALL_STATE(12486)] = 375246,
  [SMALL_STATE(12487)] = 375274,
  [SMALL_STATE(12488)] = 375302,
  [SMALL_STATE(12489)] = 375330,
  [SMALL_STATE(12490)] = 375356,
  [SMALL_STATE(12491)] = 375384,
  [SMALL_STATE(12492)] = 375412,
  [SMALL_STATE(12493)] = 375440,
  [SMALL_STATE(12494)] = 375466,
  [SMALL_STATE(12495)] = 375494,
  [SMALL_STATE(12496)] = 375522,
  [SMALL_STATE(12497)] = 375548,
  [SMALL_STATE(12498)] = 375576,
  [SMALL_STATE(12499)] = 375604,
  [SMALL_STATE(12500)] = 375632,
  [SMALL_STATE(12501)] = 375660,
  [SMALL_STATE(12502)] = 375686,
  [SMALL_STATE(12503)] = 375714,
  [SMALL_STATE(12504)] = 375742,
  [SMALL_STATE(12505)] = 375768,
  [SMALL_STATE(12506)] = 375794,
  [SMALL_STATE(12507)] = 375822,
  [SMALL_STATE(12508)] = 375850,
  [SMALL_STATE(12509)] = 375878,
  [SMALL_STATE(12510)] = 375906,
  [SMALL_STATE(12511)] = 375934,
  [SMALL_STATE(12512)] = 375960,
  [SMALL_STATE(12513)] = 375986,
  [SMALL_STATE(12514)] = 376014,
  [SMALL_STATE(12515)] = 376042,
  [SMALL_STATE(12516)] = 376066,
  [SMALL_STATE(12517)] = 376094,
  [SMALL_STATE(12518)] = 376120,
  [SMALL_STATE(12519)] = 376146,
  [SMALL_STATE(12520)] = 376174,
  [SMALL_STATE(12521)] = 376202,
  [SMALL_STATE(12522)] = 376228,
  [SMALL_STATE(12523)] = 376254,
  [SMALL_STATE(12524)] = 376280,
  [SMALL_STATE(12525)] = 376308,
  [SMALL_STATE(12526)] = 376334,
  [SMALL_STATE(12527)] = 376360,
  [SMALL_STATE(12528)] = 376386,
  [SMALL_STATE(12529)] = 376412,
  [SMALL_STATE(12530)] = 376438,
  [SMALL_STATE(12531)] = 376464,
  [SMALL_STATE(12532)] = 376490,
  [SMALL_STATE(12533)] = 376516,
  [SMALL_STATE(12534)] = 376542,
  [SMALL_STATE(12535)] = 376570,
  [SMALL_STATE(12536)] = 376596,
  [SMALL_STATE(12537)] = 376622,
  [SMALL_STATE(12538)] = 376648,
  [SMALL_STATE(12539)] = 376674,
  [SMALL_STATE(12540)] = 376700,
  [SMALL_STATE(12541)] = 376726,
  [SMALL_STATE(12542)] = 376754,
  [SMALL_STATE(12543)] = 376780,
  [SMALL_STATE(12544)] = 376806,
  [SMALL_STATE(12545)] = 376832,
  [SMALL_STATE(12546)] = 376858,
  [SMALL_STATE(12547)] = 376884,
  [SMALL_STATE(12548)] = 376910,
  [SMALL_STATE(12549)] = 376938,
  [SMALL_STATE(12550)] = 376964,
  [SMALL_STATE(12551)] = 376990,
  [SMALL_STATE(12552)] = 377016,
  [SMALL_STATE(12553)] = 377042,
  [SMALL_STATE(12554)] = 377068,
  [SMALL_STATE(12555)] = 377094,
  [SMALL_STATE(12556)] = 377120,
  [SMALL_STATE(12557)] = 377146,
  [SMALL_STATE(12558)] = 377174,
  [SMALL_STATE(12559)] = 377200,
  [SMALL_STATE(12560)] = 377226,
  [SMALL_STATE(12561)] = 377254,
  [SMALL_STATE(12562)] = 377280,
  [SMALL_STATE(12563)] = 377308,
  [SMALL_STATE(12564)] = 377334,
  [SMALL_STATE(12565)] = 377362,
  [SMALL_STATE(12566)] = 377390,
  [SMALL_STATE(12567)] = 377418,
  [SMALL_STATE(12568)] = 377444,
  [SMALL_STATE(12569)] = 377472,
  [SMALL_STATE(12570)] = 377498,
  [SMALL_STATE(12571)] = 377524,
  [SMALL_STATE(12572)] = 377550,
  [SMALL_STATE(12573)] = 377576,
  [SMALL_STATE(12574)] = 377602,
  [SMALL_STATE(12575)] = 377630,
  [SMALL_STATE(12576)] = 377658,
  [SMALL_STATE(12577)] = 377686,
  [SMALL_STATE(12578)] = 377714,
  [SMALL_STATE(12579)] = 377740,
  [SMALL_STATE(12580)] = 377766,
  [SMALL_STATE(12581)] = 377792,
  [SMALL_STATE(12582)] = 377818,
  [SMALL_STATE(12583)] = 377844,
  [SMALL_STATE(12584)] = 377870,
  [SMALL_STATE(12585)] = 377898,
  [SMALL_STATE(12586)] = 377924,
  [SMALL_STATE(12587)] = 377950,
  [SMALL_STATE(12588)] = 377976,
  [SMALL_STATE(12589)] = 378002,
  [SMALL_STATE(12590)] = 378028,
  [SMALL_STATE(12591)] = 378056,
  [SMALL_STATE(12592)] = 378082,
  [SMALL_STATE(12593)] = 378108,
  [SMALL_STATE(12594)] = 378134,
  [SMALL_STATE(12595)] = 378160,
  [SMALL_STATE(12596)] = 378188,
  [SMALL_STATE(12597)] = 378214,
  [SMALL_STATE(12598)] = 378240,
  [SMALL_STATE(12599)] = 378266,
  [SMALL_STATE(12600)] = 378292,
  [SMALL_STATE(12601)] = 378318,
  [SMALL_STATE(12602)] = 378344,
  [SMALL_STATE(12603)] = 378370,
  [SMALL_STATE(12604)] = 378398,
  [SMALL_STATE(12605)] = 378424,
  [SMALL_STATE(12606)] = 378450,
  [SMALL_STATE(12607)] = 378476,
  [SMALL_STATE(12608)] = 378502,
  [SMALL_STATE(12609)] = 378528,
  [SMALL_STATE(12610)] = 378554,
  [SMALL_STATE(12611)] = 378580,
  [SMALL_STATE(12612)] = 378608,
  [SMALL_STATE(12613)] = 378634,
  [SMALL_STATE(12614)] = 378652,
  [SMALL_STATE(12615)] = 378678,
  [SMALL_STATE(12616)] = 378704,
  [SMALL_STATE(12617)] = 378732,
  [SMALL_STATE(12618)] = 378760,
  [SMALL_STATE(12619)] = 378788,
  [SMALL_STATE(12620)] = 378814,
  [SMALL_STATE(12621)] = 378842,
  [SMALL_STATE(12622)] = 378870,
  [SMALL_STATE(12623)] = 378898,
  [SMALL_STATE(12624)] = 378924,
  [SMALL_STATE(12625)] = 378950,
  [SMALL_STATE(12626)] = 378976,
  [SMALL_STATE(12627)] = 379004,
  [SMALL_STATE(12628)] = 379032,
  [SMALL_STATE(12629)] = 379060,
  [SMALL_STATE(12630)] = 379088,
  [SMALL_STATE(12631)] = 379114,
  [SMALL_STATE(12632)] = 379142,
  [SMALL_STATE(12633)] = 379168,
  [SMALL_STATE(12634)] = 379194,
  [SMALL_STATE(12635)] = 379220,
  [SMALL_STATE(12636)] = 379246,
  [SMALL_STATE(12637)] = 379272,
  [SMALL_STATE(12638)] = 379298,
  [SMALL_STATE(12639)] = 379326,
  [SMALL_STATE(12640)] = 379352,
  [SMALL_STATE(12641)] = 379378,
  [SMALL_STATE(12642)] = 379404,
  [SMALL_STATE(12643)] = 379430,
  [SMALL_STATE(12644)] = 379456,
  [SMALL_STATE(12645)] = 379482,
  [SMALL_STATE(12646)] = 379508,
  [SMALL_STATE(12647)] = 379536,
  [SMALL_STATE(12648)] = 379562,
  [SMALL_STATE(12649)] = 379590,
  [SMALL_STATE(12650)] = 379616,
  [SMALL_STATE(12651)] = 379640,
  [SMALL_STATE(12652)] = 379668,
  [SMALL_STATE(12653)] = 379694,
  [SMALL_STATE(12654)] = 379720,
  [SMALL_STATE(12655)] = 379746,
  [SMALL_STATE(12656)] = 379772,
  [SMALL_STATE(12657)] = 379798,
  [SMALL_STATE(12658)] = 379826,
  [SMALL_STATE(12659)] = 379852,
  [SMALL_STATE(12660)] = 379878,
  [SMALL_STATE(12661)] = 379904,
  [SMALL_STATE(12662)] = 379932,
  [SMALL_STATE(12663)] = 379960,
  [SMALL_STATE(12664)] = 379988,
  [SMALL_STATE(12665)] = 380016,
  [SMALL_STATE(12666)] = 380044,
  [SMALL_STATE(12667)] = 380072,
  [SMALL_STATE(12668)] = 380098,
  [SMALL_STATE(12669)] = 380126,
  [SMALL_STATE(12670)] = 380154,
  [SMALL_STATE(12671)] = 380182,
  [SMALL_STATE(12672)] = 380210,
  [SMALL_STATE(12673)] = 380238,
  [SMALL_STATE(12674)] = 380264,
  [SMALL_STATE(12675)] = 380290,
  [SMALL_STATE(12676)] = 380316,
  [SMALL_STATE(12677)] = 380342,
  [SMALL_STATE(12678)] = 380368,
  [SMALL_STATE(12679)] = 380396,
  [SMALL_STATE(12680)] = 380422,
  [SMALL_STATE(12681)] = 380448,
  [SMALL_STATE(12682)] = 380474,
  [SMALL_STATE(12683)] = 380500,
  [SMALL_STATE(12684)] = 380526,
  [SMALL_STATE(12685)] = 380552,
  [SMALL_STATE(12686)] = 380578,
  [SMALL_STATE(12687)] = 380606,
  [SMALL_STATE(12688)] = 380634,
  [SMALL_STATE(12689)] = 380660,
  [SMALL_STATE(12690)] = 380686,
  [SMALL_STATE(12691)] = 380712,
  [SMALL_STATE(12692)] = 380738,
  [SMALL_STATE(12693)] = 380764,
  [SMALL_STATE(12694)] = 380788,
  [SMALL_STATE(12695)] = 380814,
  [SMALL_STATE(12696)] = 380830,
  [SMALL_STATE(12697)] = 380854,
  [SMALL_STATE(12698)] = 380880,
  [SMALL_STATE(12699)] = 380906,
  [SMALL_STATE(12700)] = 380932,
  [SMALL_STATE(12701)] = 380960,
  [SMALL_STATE(12702)] = 380988,
  [SMALL_STATE(12703)] = 381014,
  [SMALL_STATE(12704)] = 381042,
  [SMALL_STATE(12705)] = 381070,
  [SMALL_STATE(12706)] = 381098,
  [SMALL_STATE(12707)] = 381124,
  [SMALL_STATE(12708)] = 381150,
  [SMALL_STATE(12709)] = 381176,
  [SMALL_STATE(12710)] = 381204,
  [SMALL_STATE(12711)] = 381232,
  [SMALL_STATE(12712)] = 381260,
  [SMALL_STATE(12713)] = 381286,
  [SMALL_STATE(12714)] = 381312,
  [SMALL_STATE(12715)] = 381338,
  [SMALL_STATE(12716)] = 381364,
  [SMALL_STATE(12717)] = 381390,
  [SMALL_STATE(12718)] = 381416,
  [SMALL_STATE(12719)] = 381442,
  [SMALL_STATE(12720)] = 381468,
  [SMALL_STATE(12721)] = 381494,
  [SMALL_STATE(12722)] = 381518,
  [SMALL_STATE(12723)] = 381544,
  [SMALL_STATE(12724)] = 381570,
  [SMALL_STATE(12725)] = 381596,
  [SMALL_STATE(12726)] = 381622,
  [SMALL_STATE(12727)] = 381648,
  [SMALL_STATE(12728)] = 381674,
  [SMALL_STATE(12729)] = 381700,
  [SMALL_STATE(12730)] = 381724,
  [SMALL_STATE(12731)] = 381750,
  [SMALL_STATE(12732)] = 381778,
  [SMALL_STATE(12733)] = 381806,
  [SMALL_STATE(12734)] = 381834,
  [SMALL_STATE(12735)] = 381858,
  [SMALL_STATE(12736)] = 381884,
  [SMALL_STATE(12737)] = 381912,
  [SMALL_STATE(12738)] = 381940,
  [SMALL_STATE(12739)] = 381968,
  [SMALL_STATE(12740)] = 381996,
  [SMALL_STATE(12741)] = 382024,
  [SMALL_STATE(12742)] = 382048,
  [SMALL_STATE(12743)] = 382076,
  [SMALL_STATE(12744)] = 382102,
  [SMALL_STATE(12745)] = 382126,
  [SMALL_STATE(12746)] = 382152,
  [SMALL_STATE(12747)] = 382178,
  [SMALL_STATE(12748)] = 382204,
  [SMALL_STATE(12749)] = 382230,
  [SMALL_STATE(12750)] = 382256,
  [SMALL_STATE(12751)] = 382282,
  [SMALL_STATE(12752)] = 382308,
  [SMALL_STATE(12753)] = 382334,
  [SMALL_STATE(12754)] = 382360,
  [SMALL_STATE(12755)] = 382386,
  [SMALL_STATE(12756)] = 382412,
  [SMALL_STATE(12757)] = 382438,
  [SMALL_STATE(12758)] = 382464,
  [SMALL_STATE(12759)] = 382490,
  [SMALL_STATE(12760)] = 382516,
  [SMALL_STATE(12761)] = 382544,
  [SMALL_STATE(12762)] = 382570,
  [SMALL_STATE(12763)] = 382598,
  [SMALL_STATE(12764)] = 382624,
  [SMALL_STATE(12765)] = 382652,
  [SMALL_STATE(12766)] = 382680,
  [SMALL_STATE(12767)] = 382706,
  [SMALL_STATE(12768)] = 382730,
  [SMALL_STATE(12769)] = 382758,
  [SMALL_STATE(12770)] = 382784,
  [SMALL_STATE(12771)] = 382810,
  [SMALL_STATE(12772)] = 382836,
  [SMALL_STATE(12773)] = 382862,
  [SMALL_STATE(12774)] = 382888,
  [SMALL_STATE(12775)] = 382916,
  [SMALL_STATE(12776)] = 382944,
  [SMALL_STATE(12777)] = 382970,
  [SMALL_STATE(12778)] = 382996,
  [SMALL_STATE(12779)] = 383024,
  [SMALL_STATE(12780)] = 383052,
  [SMALL_STATE(12781)] = 383078,
  [SMALL_STATE(12782)] = 383104,
  [SMALL_STATE(12783)] = 383130,
  [SMALL_STATE(12784)] = 383156,
  [SMALL_STATE(12785)] = 383182,
  [SMALL_STATE(12786)] = 383208,
  [SMALL_STATE(12787)] = 383234,
  [SMALL_STATE(12788)] = 383262,
  [SMALL_STATE(12789)] = 383288,
  [SMALL_STATE(12790)] = 383314,
  [SMALL_STATE(12791)] = 383340,
  [SMALL_STATE(12792)] = 383366,
  [SMALL_STATE(12793)] = 383394,
  [SMALL_STATE(12794)] = 383420,
  [SMALL_STATE(12795)] = 383446,
  [SMALL_STATE(12796)] = 383472,
  [SMALL_STATE(12797)] = 383492,
  [SMALL_STATE(12798)] = 383516,
  [SMALL_STATE(12799)] = 383540,
  [SMALL_STATE(12800)] = 383566,
  [SMALL_STATE(12801)] = 383592,
  [SMALL_STATE(12802)] = 383618,
  [SMALL_STATE(12803)] = 383644,
  [SMALL_STATE(12804)] = 383666,
  [SMALL_STATE(12805)] = 383694,
  [SMALL_STATE(12806)] = 383720,
  [SMALL_STATE(12807)] = 383746,
  [SMALL_STATE(12808)] = 383774,
  [SMALL_STATE(12809)] = 383800,
  [SMALL_STATE(12810)] = 383826,
  [SMALL_STATE(12811)] = 383852,
  [SMALL_STATE(12812)] = 383878,
  [SMALL_STATE(12813)] = 383906,
  [SMALL_STATE(12814)] = 383930,
  [SMALL_STATE(12815)] = 383956,
  [SMALL_STATE(12816)] = 383982,
  [SMALL_STATE(12817)] = 384010,
  [SMALL_STATE(12818)] = 384038,
  [SMALL_STATE(12819)] = 384066,
  [SMALL_STATE(12820)] = 384092,
  [SMALL_STATE(12821)] = 384118,
  [SMALL_STATE(12822)] = 384146,
  [SMALL_STATE(12823)] = 384174,
  [SMALL_STATE(12824)] = 384200,
  [SMALL_STATE(12825)] = 384228,
  [SMALL_STATE(12826)] = 384252,
  [SMALL_STATE(12827)] = 384280,
  [SMALL_STATE(12828)] = 384308,
  [SMALL_STATE(12829)] = 384336,
  [SMALL_STATE(12830)] = 384364,
  [SMALL_STATE(12831)] = 384384,
  [SMALL_STATE(12832)] = 384410,
  [SMALL_STATE(12833)] = 384438,
  [SMALL_STATE(12834)] = 384466,
  [SMALL_STATE(12835)] = 384492,
  [SMALL_STATE(12836)] = 384518,
  [SMALL_STATE(12837)] = 384544,
  [SMALL_STATE(12838)] = 384572,
  [SMALL_STATE(12839)] = 384600,
  [SMALL_STATE(12840)] = 384624,
  [SMALL_STATE(12841)] = 384652,
  [SMALL_STATE(12842)] = 384678,
  [SMALL_STATE(12843)] = 384704,
  [SMALL_STATE(12844)] = 384730,
  [SMALL_STATE(12845)] = 384758,
  [SMALL_STATE(12846)] = 384784,
  [SMALL_STATE(12847)] = 384812,
  [SMALL_STATE(12848)] = 384840,
  [SMALL_STATE(12849)] = 384868,
  [SMALL_STATE(12850)] = 384896,
  [SMALL_STATE(12851)] = 384922,
  [SMALL_STATE(12852)] = 384948,
  [SMALL_STATE(12853)] = 384974,
  [SMALL_STATE(12854)] = 385000,
  [SMALL_STATE(12855)] = 385028,
  [SMALL_STATE(12856)] = 385054,
  [SMALL_STATE(12857)] = 385080,
  [SMALL_STATE(12858)] = 385108,
  [SMALL_STATE(12859)] = 385134,
  [SMALL_STATE(12860)] = 385160,
  [SMALL_STATE(12861)] = 385186,
  [SMALL_STATE(12862)] = 385212,
  [SMALL_STATE(12863)] = 385238,
  [SMALL_STATE(12864)] = 385264,
  [SMALL_STATE(12865)] = 385290,
  [SMALL_STATE(12866)] = 385316,
  [SMALL_STATE(12867)] = 385342,
  [SMALL_STATE(12868)] = 385368,
  [SMALL_STATE(12869)] = 385394,
  [SMALL_STATE(12870)] = 385420,
  [SMALL_STATE(12871)] = 385448,
  [SMALL_STATE(12872)] = 385469,
  [SMALL_STATE(12873)] = 385490,
  [SMALL_STATE(12874)] = 385515,
  [SMALL_STATE(12875)] = 385538,
  [SMALL_STATE(12876)] = 385563,
  [SMALL_STATE(12877)] = 385584,
  [SMALL_STATE(12878)] = 385605,
  [SMALL_STATE(12879)] = 385628,
  [SMALL_STATE(12880)] = 385649,
  [SMALL_STATE(12881)] = 385670,
  [SMALL_STATE(12882)] = 385691,
  [SMALL_STATE(12883)] = 385714,
  [SMALL_STATE(12884)] = 385737,
  [SMALL_STATE(12885)] = 385758,
  [SMALL_STATE(12886)] = 385781,
  [SMALL_STATE(12887)] = 385802,
  [SMALL_STATE(12888)] = 385823,
  [SMALL_STATE(12889)] = 385848,
  [SMALL_STATE(12890)] = 385871,
  [SMALL_STATE(12891)] = 385894,
  [SMALL_STATE(12892)] = 385917,
  [SMALL_STATE(12893)] = 385940,
  [SMALL_STATE(12894)] = 385963,
  [SMALL_STATE(12895)] = 385986,
  [SMALL_STATE(12896)] = 386009,
  [SMALL_STATE(12897)] = 386030,
  [SMALL_STATE(12898)] = 386051,
  [SMALL_STATE(12899)] = 386074,
  [SMALL_STATE(12900)] = 386099,
  [SMALL_STATE(12901)] = 386122,
  [SMALL_STATE(12902)] = 386145,
  [SMALL_STATE(12903)] = 386168,
  [SMALL_STATE(12904)] = 386193,
  [SMALL_STATE(12905)] = 386208,
  [SMALL_STATE(12906)] = 386231,
  [SMALL_STATE(12907)] = 386254,
  [SMALL_STATE(12908)] = 386267,
  [SMALL_STATE(12909)] = 386292,
  [SMALL_STATE(12910)] = 386313,
  [SMALL_STATE(12911)] = 386328,
  [SMALL_STATE(12912)] = 386341,
  [SMALL_STATE(12913)] = 386364,
  [SMALL_STATE(12914)] = 386387,
  [SMALL_STATE(12915)] = 386404,
  [SMALL_STATE(12916)] = 386427,
  [SMALL_STATE(12917)] = 386450,
  [SMALL_STATE(12918)] = 386473,
  [SMALL_STATE(12919)] = 386490,
  [SMALL_STATE(12920)] = 386513,
  [SMALL_STATE(12921)] = 386534,
  [SMALL_STATE(12922)] = 386555,
  [SMALL_STATE(12923)] = 386578,
  [SMALL_STATE(12924)] = 386601,
  [SMALL_STATE(12925)] = 386624,
  [SMALL_STATE(12926)] = 386641,
  [SMALL_STATE(12927)] = 386666,
  [SMALL_STATE(12928)] = 386689,
  [SMALL_STATE(12929)] = 386712,
  [SMALL_STATE(12930)] = 386737,
  [SMALL_STATE(12931)] = 386752,
  [SMALL_STATE(12932)] = 386777,
  [SMALL_STATE(12933)] = 386798,
  [SMALL_STATE(12934)] = 386821,
  [SMALL_STATE(12935)] = 386844,
  [SMALL_STATE(12936)] = 386865,
  [SMALL_STATE(12937)] = 386886,
  [SMALL_STATE(12938)] = 386907,
  [SMALL_STATE(12939)] = 386930,
  [SMALL_STATE(12940)] = 386951,
  [SMALL_STATE(12941)] = 386964,
  [SMALL_STATE(12942)] = 386987,
  [SMALL_STATE(12943)] = 387010,
  [SMALL_STATE(12944)] = 387033,
  [SMALL_STATE(12945)] = 387054,
  [SMALL_STATE(12946)] = 387067,
  [SMALL_STATE(12947)] = 387090,
  [SMALL_STATE(12948)] = 387113,
  [SMALL_STATE(12949)] = 387136,
  [SMALL_STATE(12950)] = 387159,
  [SMALL_STATE(12951)] = 387182,
  [SMALL_STATE(12952)] = 387205,
  [SMALL_STATE(12953)] = 387228,
  [SMALL_STATE(12954)] = 387249,
  [SMALL_STATE(12955)] = 387270,
  [SMALL_STATE(12956)] = 387293,
  [SMALL_STATE(12957)] = 387314,
  [SMALL_STATE(12958)] = 387337,
  [SMALL_STATE(12959)] = 387360,
  [SMALL_STATE(12960)] = 387383,
  [SMALL_STATE(12961)] = 387406,
  [SMALL_STATE(12962)] = 387427,
  [SMALL_STATE(12963)] = 387450,
  [SMALL_STATE(12964)] = 387473,
  [SMALL_STATE(12965)] = 387496,
  [SMALL_STATE(12966)] = 387519,
  [SMALL_STATE(12967)] = 387542,
  [SMALL_STATE(12968)] = 387559,
  [SMALL_STATE(12969)] = 387582,
  [SMALL_STATE(12970)] = 387599,
  [SMALL_STATE(12971)] = 387620,
  [SMALL_STATE(12972)] = 387643,
  [SMALL_STATE(12973)] = 387666,
  [SMALL_STATE(12974)] = 387689,
  [SMALL_STATE(12975)] = 387710,
  [SMALL_STATE(12976)] = 387723,
  [SMALL_STATE(12977)] = 387746,
  [SMALL_STATE(12978)] = 387767,
  [SMALL_STATE(12979)] = 387790,
  [SMALL_STATE(12980)] = 387813,
  [SMALL_STATE(12981)] = 387834,
  [SMALL_STATE(12982)] = 387857,
  [SMALL_STATE(12983)] = 387874,
  [SMALL_STATE(12984)] = 387897,
  [SMALL_STATE(12985)] = 387914,
  [SMALL_STATE(12986)] = 387937,
  [SMALL_STATE(12987)] = 387954,
  [SMALL_STATE(12988)] = 387979,
  [SMALL_STATE(12989)] = 387996,
  [SMALL_STATE(12990)] = 388019,
  [SMALL_STATE(12991)] = 388040,
  [SMALL_STATE(12992)] = 388061,
  [SMALL_STATE(12993)] = 388082,
  [SMALL_STATE(12994)] = 388105,
  [SMALL_STATE(12995)] = 388126,
  [SMALL_STATE(12996)] = 388147,
  [SMALL_STATE(12997)] = 388170,
  [SMALL_STATE(12998)] = 388183,
  [SMALL_STATE(12999)] = 388206,
  [SMALL_STATE(13000)] = 388229,
  [SMALL_STATE(13001)] = 388252,
  [SMALL_STATE(13002)] = 388275,
  [SMALL_STATE(13003)] = 388290,
  [SMALL_STATE(13004)] = 388315,
  [SMALL_STATE(13005)] = 388336,
  [SMALL_STATE(13006)] = 388353,
  [SMALL_STATE(13007)] = 388378,
  [SMALL_STATE(13008)] = 388399,
  [SMALL_STATE(13009)] = 388422,
  [SMALL_STATE(13010)] = 388443,
  [SMALL_STATE(13011)] = 388468,
  [SMALL_STATE(13012)] = 388493,
  [SMALL_STATE(13013)] = 388516,
  [SMALL_STATE(13014)] = 388539,
  [SMALL_STATE(13015)] = 388556,
  [SMALL_STATE(13016)] = 388579,
  [SMALL_STATE(13017)] = 388602,
  [SMALL_STATE(13018)] = 388625,
  [SMALL_STATE(13019)] = 388646,
  [SMALL_STATE(13020)] = 388669,
  [SMALL_STATE(13021)] = 388692,
  [SMALL_STATE(13022)] = 388715,
  [SMALL_STATE(13023)] = 388731,
  [SMALL_STATE(13024)] = 388753,
  [SMALL_STATE(13025)] = 388775,
  [SMALL_STATE(13026)] = 388797,
  [SMALL_STATE(13027)] = 388819,
  [SMALL_STATE(13028)] = 388841,
  [SMALL_STATE(13029)] = 388863,
  [SMALL_STATE(13030)] = 388885,
  [SMALL_STATE(13031)] = 388907,
  [SMALL_STATE(13032)] = 388929,
  [SMALL_STATE(13033)] = 388945,
  [SMALL_STATE(13034)] = 388967,
  [SMALL_STATE(13035)] = 388983,
  [SMALL_STATE(13036)] = 389005,
  [SMALL_STATE(13037)] = 389027,
  [SMALL_STATE(13038)] = 389049,
  [SMALL_STATE(13039)] = 389071,
  [SMALL_STATE(13040)] = 389093,
  [SMALL_STATE(13041)] = 389115,
  [SMALL_STATE(13042)] = 389137,
  [SMALL_STATE(13043)] = 389155,
  [SMALL_STATE(13044)] = 389177,
  [SMALL_STATE(13045)] = 389199,
  [SMALL_STATE(13046)] = 389221,
  [SMALL_STATE(13047)] = 389243,
  [SMALL_STATE(13048)] = 389265,
  [SMALL_STATE(13049)] = 389287,
  [SMALL_STATE(13050)] = 389309,
  [SMALL_STATE(13051)] = 389331,
  [SMALL_STATE(13052)] = 389353,
  [SMALL_STATE(13053)] = 389375,
  [SMALL_STATE(13054)] = 389397,
  [SMALL_STATE(13055)] = 389419,
  [SMALL_STATE(13056)] = 389431,
  [SMALL_STATE(13057)] = 389453,
  [SMALL_STATE(13058)] = 389469,
  [SMALL_STATE(13059)] = 389491,
  [SMALL_STATE(13060)] = 389513,
  [SMALL_STATE(13061)] = 389529,
  [SMALL_STATE(13062)] = 389545,
  [SMALL_STATE(13063)] = 389567,
  [SMALL_STATE(13064)] = 389589,
  [SMALL_STATE(13065)] = 389611,
  [SMALL_STATE(13066)] = 389633,
  [SMALL_STATE(13067)] = 389647,
  [SMALL_STATE(13068)] = 389669,
  [SMALL_STATE(13069)] = 389691,
  [SMALL_STATE(13070)] = 389713,
  [SMALL_STATE(13071)] = 389735,
  [SMALL_STATE(13072)] = 389757,
  [SMALL_STATE(13073)] = 389779,
  [SMALL_STATE(13074)] = 389801,
  [SMALL_STATE(13075)] = 389823,
  [SMALL_STATE(13076)] = 389835,
  [SMALL_STATE(13077)] = 389857,
  [SMALL_STATE(13078)] = 389879,
  [SMALL_STATE(13079)] = 389901,
  [SMALL_STATE(13080)] = 389919,
  [SMALL_STATE(13081)] = 389941,
  [SMALL_STATE(13082)] = 389963,
  [SMALL_STATE(13083)] = 389981,
  [SMALL_STATE(13084)] = 389999,
  [SMALL_STATE(13085)] = 390021,
  [SMALL_STATE(13086)] = 390039,
  [SMALL_STATE(13087)] = 390061,
  [SMALL_STATE(13088)] = 390083,
  [SMALL_STATE(13089)] = 390105,
  [SMALL_STATE(13090)] = 390127,
  [SMALL_STATE(13091)] = 390141,
  [SMALL_STATE(13092)] = 390163,
  [SMALL_STATE(13093)] = 390185,
  [SMALL_STATE(13094)] = 390207,
  [SMALL_STATE(13095)] = 390223,
  [SMALL_STATE(13096)] = 390245,
  [SMALL_STATE(13097)] = 390261,
  [SMALL_STATE(13098)] = 390283,
  [SMALL_STATE(13099)] = 390305,
  [SMALL_STATE(13100)] = 390327,
  [SMALL_STATE(13101)] = 390349,
  [SMALL_STATE(13102)] = 390371,
  [SMALL_STATE(13103)] = 390393,
  [SMALL_STATE(13104)] = 390409,
  [SMALL_STATE(13105)] = 390431,
  [SMALL_STATE(13106)] = 390447,
  [SMALL_STATE(13107)] = 390463,
  [SMALL_STATE(13108)] = 390485,
  [SMALL_STATE(13109)] = 390501,
  [SMALL_STATE(13110)] = 390517,
  [SMALL_STATE(13111)] = 390533,
  [SMALL_STATE(13112)] = 390555,
  [SMALL_STATE(13113)] = 390571,
  [SMALL_STATE(13114)] = 390587,
  [SMALL_STATE(13115)] = 390609,
  [SMALL_STATE(13116)] = 390631,
  [SMALL_STATE(13117)] = 390647,
  [SMALL_STATE(13118)] = 390663,
  [SMALL_STATE(13119)] = 390677,
  [SMALL_STATE(13120)] = 390699,
  [SMALL_STATE(13121)] = 390713,
  [SMALL_STATE(13122)] = 390729,
  [SMALL_STATE(13123)] = 390745,
  [SMALL_STATE(13124)] = 390767,
  [SMALL_STATE(13125)] = 390789,
  [SMALL_STATE(13126)] = 390805,
  [SMALL_STATE(13127)] = 390827,
  [SMALL_STATE(13128)] = 390839,
  [SMALL_STATE(13129)] = 390857,
  [SMALL_STATE(13130)] = 390879,
  [SMALL_STATE(13131)] = 390901,
  [SMALL_STATE(13132)] = 390923,
  [SMALL_STATE(13133)] = 390945,
  [SMALL_STATE(13134)] = 390967,
  [SMALL_STATE(13135)] = 390983,
  [SMALL_STATE(13136)] = 390995,
  [SMALL_STATE(13137)] = 391011,
  [SMALL_STATE(13138)] = 391025,
  [SMALL_STATE(13139)] = 391041,
  [SMALL_STATE(13140)] = 391057,
  [SMALL_STATE(13141)] = 391079,
  [SMALL_STATE(13142)] = 391095,
  [SMALL_STATE(13143)] = 391111,
  [SMALL_STATE(13144)] = 391133,
  [SMALL_STATE(13145)] = 391145,
  [SMALL_STATE(13146)] = 391167,
  [SMALL_STATE(13147)] = 391183,
  [SMALL_STATE(13148)] = 391195,
  [SMALL_STATE(13149)] = 391217,
  [SMALL_STATE(13150)] = 391239,
  [SMALL_STATE(13151)] = 391251,
  [SMALL_STATE(13152)] = 391273,
  [SMALL_STATE(13153)] = 391295,
  [SMALL_STATE(13154)] = 391311,
  [SMALL_STATE(13155)] = 391333,
  [SMALL_STATE(13156)] = 391355,
  [SMALL_STATE(13157)] = 391373,
  [SMALL_STATE(13158)] = 391391,
  [SMALL_STATE(13159)] = 391407,
  [SMALL_STATE(13160)] = 391429,
  [SMALL_STATE(13161)] = 391445,
  [SMALL_STATE(13162)] = 391463,
  [SMALL_STATE(13163)] = 391479,
  [SMALL_STATE(13164)] = 391497,
  [SMALL_STATE(13165)] = 391519,
  [SMALL_STATE(13166)] = 391535,
  [SMALL_STATE(13167)] = 391557,
  [SMALL_STATE(13168)] = 391579,
  [SMALL_STATE(13169)] = 391595,
  [SMALL_STATE(13170)] = 391611,
  [SMALL_STATE(13171)] = 391629,
  [SMALL_STATE(13172)] = 391651,
  [SMALL_STATE(13173)] = 391673,
  [SMALL_STATE(13174)] = 391689,
  [SMALL_STATE(13175)] = 391711,
  [SMALL_STATE(13176)] = 391727,
  [SMALL_STATE(13177)] = 391749,
  [SMALL_STATE(13178)] = 391771,
  [SMALL_STATE(13179)] = 391787,
  [SMALL_STATE(13180)] = 391803,
  [SMALL_STATE(13181)] = 391825,
  [SMALL_STATE(13182)] = 391847,
  [SMALL_STATE(13183)] = 391869,
  [SMALL_STATE(13184)] = 391885,
  [SMALL_STATE(13185)] = 391907,
  [SMALL_STATE(13186)] = 391929,
  [SMALL_STATE(13187)] = 391945,
  [SMALL_STATE(13188)] = 391961,
  [SMALL_STATE(13189)] = 391973,
  [SMALL_STATE(13190)] = 391985,
  [SMALL_STATE(13191)] = 392007,
  [SMALL_STATE(13192)] = 392023,
  [SMALL_STATE(13193)] = 392045,
  [SMALL_STATE(13194)] = 392061,
  [SMALL_STATE(13195)] = 392077,
  [SMALL_STATE(13196)] = 392096,
  [SMALL_STATE(13197)] = 392115,
  [SMALL_STATE(13198)] = 392134,
  [SMALL_STATE(13199)] = 392153,
  [SMALL_STATE(13200)] = 392172,
  [SMALL_STATE(13201)] = 392191,
  [SMALL_STATE(13202)] = 392210,
  [SMALL_STATE(13203)] = 392229,
  [SMALL_STATE(13204)] = 392248,
  [SMALL_STATE(13205)] = 392267,
  [SMALL_STATE(13206)] = 392286,
  [SMALL_STATE(13207)] = 392305,
  [SMALL_STATE(13208)] = 392324,
  [SMALL_STATE(13209)] = 392343,
  [SMALL_STATE(13210)] = 392362,
  [SMALL_STATE(13211)] = 392381,
  [SMALL_STATE(13212)] = 392400,
  [SMALL_STATE(13213)] = 392419,
  [SMALL_STATE(13214)] = 392438,
  [SMALL_STATE(13215)] = 392457,
  [SMALL_STATE(13216)] = 392476,
  [SMALL_STATE(13217)] = 392495,
  [SMALL_STATE(13218)] = 392514,
  [SMALL_STATE(13219)] = 392533,
  [SMALL_STATE(13220)] = 392552,
  [SMALL_STATE(13221)] = 392571,
  [SMALL_STATE(13222)] = 392590,
  [SMALL_STATE(13223)] = 392609,
  [SMALL_STATE(13224)] = 392628,
  [SMALL_STATE(13225)] = 392647,
  [SMALL_STATE(13226)] = 392666,
  [SMALL_STATE(13227)] = 392685,
  [SMALL_STATE(13228)] = 392700,
  [SMALL_STATE(13229)] = 392719,
  [SMALL_STATE(13230)] = 392738,
  [SMALL_STATE(13231)] = 392757,
  [SMALL_STATE(13232)] = 392772,
  [SMALL_STATE(13233)] = 392791,
  [SMALL_STATE(13234)] = 392810,
  [SMALL_STATE(13235)] = 392829,
  [SMALL_STATE(13236)] = 392848,
  [SMALL_STATE(13237)] = 392867,
  [SMALL_STATE(13238)] = 392886,
  [SMALL_STATE(13239)] = 392905,
  [SMALL_STATE(13240)] = 392924,
  [SMALL_STATE(13241)] = 392943,
  [SMALL_STATE(13242)] = 392962,
  [SMALL_STATE(13243)] = 392981,
  [SMALL_STATE(13244)] = 392996,
  [SMALL_STATE(13245)] = 393015,
  [SMALL_STATE(13246)] = 393034,
  [SMALL_STATE(13247)] = 393053,
  [SMALL_STATE(13248)] = 393072,
  [SMALL_STATE(13249)] = 393091,
  [SMALL_STATE(13250)] = 393110,
  [SMALL_STATE(13251)] = 393129,
  [SMALL_STATE(13252)] = 393148,
  [SMALL_STATE(13253)] = 393167,
  [SMALL_STATE(13254)] = 393186,
  [SMALL_STATE(13255)] = 393205,
  [SMALL_STATE(13256)] = 393224,
  [SMALL_STATE(13257)] = 393243,
  [SMALL_STATE(13258)] = 393262,
  [SMALL_STATE(13259)] = 393281,
  [SMALL_STATE(13260)] = 393300,
  [SMALL_STATE(13261)] = 393319,
  [SMALL_STATE(13262)] = 393338,
  [SMALL_STATE(13263)] = 393357,
  [SMALL_STATE(13264)] = 393376,
  [SMALL_STATE(13265)] = 393395,
  [SMALL_STATE(13266)] = 393414,
  [SMALL_STATE(13267)] = 393433,
  [SMALL_STATE(13268)] = 393452,
  [SMALL_STATE(13269)] = 393471,
  [SMALL_STATE(13270)] = 393490,
  [SMALL_STATE(13271)] = 393509,
  [SMALL_STATE(13272)] = 393528,
  [SMALL_STATE(13273)] = 393547,
  [SMALL_STATE(13274)] = 393566,
  [SMALL_STATE(13275)] = 393585,
  [SMALL_STATE(13276)] = 393604,
  [SMALL_STATE(13277)] = 393623,
  [SMALL_STATE(13278)] = 393642,
  [SMALL_STATE(13279)] = 393661,
  [SMALL_STATE(13280)] = 393680,
  [SMALL_STATE(13281)] = 393699,
  [SMALL_STATE(13282)] = 393718,
  [SMALL_STATE(13283)] = 393737,
  [SMALL_STATE(13284)] = 393756,
  [SMALL_STATE(13285)] = 393775,
  [SMALL_STATE(13286)] = 393794,
  [SMALL_STATE(13287)] = 393813,
  [SMALL_STATE(13288)] = 393832,
  [SMALL_STATE(13289)] = 393851,
  [SMALL_STATE(13290)] = 393870,
  [SMALL_STATE(13291)] = 393889,
  [SMALL_STATE(13292)] = 393908,
  [SMALL_STATE(13293)] = 393927,
  [SMALL_STATE(13294)] = 393946,
  [SMALL_STATE(13295)] = 393961,
  [SMALL_STATE(13296)] = 393980,
  [SMALL_STATE(13297)] = 393999,
  [SMALL_STATE(13298)] = 394014,
  [SMALL_STATE(13299)] = 394029,
  [SMALL_STATE(13300)] = 394048,
  [SMALL_STATE(13301)] = 394067,
  [SMALL_STATE(13302)] = 394086,
  [SMALL_STATE(13303)] = 394101,
  [SMALL_STATE(13304)] = 394120,
  [SMALL_STATE(13305)] = 394139,
  [SMALL_STATE(13306)] = 394158,
  [SMALL_STATE(13307)] = 394177,
  [SMALL_STATE(13308)] = 394196,
  [SMALL_STATE(13309)] = 394215,
  [SMALL_STATE(13310)] = 394234,
  [SMALL_STATE(13311)] = 394253,
  [SMALL_STATE(13312)] = 394272,
  [SMALL_STATE(13313)] = 394291,
  [SMALL_STATE(13314)] = 394310,
  [SMALL_STATE(13315)] = 394329,
  [SMALL_STATE(13316)] = 394348,
  [SMALL_STATE(13317)] = 394367,
  [SMALL_STATE(13318)] = 394386,
  [SMALL_STATE(13319)] = 394405,
  [SMALL_STATE(13320)] = 394424,
  [SMALL_STATE(13321)] = 394443,
  [SMALL_STATE(13322)] = 394460,
  [SMALL_STATE(13323)] = 394479,
  [SMALL_STATE(13324)] = 394498,
  [SMALL_STATE(13325)] = 394517,
  [SMALL_STATE(13326)] = 394536,
  [SMALL_STATE(13327)] = 394555,
  [SMALL_STATE(13328)] = 394574,
  [SMALL_STATE(13329)] = 394593,
  [SMALL_STATE(13330)] = 394612,
  [SMALL_STATE(13331)] = 394631,
  [SMALL_STATE(13332)] = 394650,
  [SMALL_STATE(13333)] = 394669,
  [SMALL_STATE(13334)] = 394688,
  [SMALL_STATE(13335)] = 394707,
  [SMALL_STATE(13336)] = 394726,
  [SMALL_STATE(13337)] = 394745,
  [SMALL_STATE(13338)] = 394764,
  [SMALL_STATE(13339)] = 394783,
  [SMALL_STATE(13340)] = 394802,
  [SMALL_STATE(13341)] = 394821,
  [SMALL_STATE(13342)] = 394840,
  [SMALL_STATE(13343)] = 394859,
  [SMALL_STATE(13344)] = 394878,
  [SMALL_STATE(13345)] = 394897,
  [SMALL_STATE(13346)] = 394916,
  [SMALL_STATE(13347)] = 394935,
  [SMALL_STATE(13348)] = 394954,
  [SMALL_STATE(13349)] = 394973,
  [SMALL_STATE(13350)] = 394992,
  [SMALL_STATE(13351)] = 395011,
  [SMALL_STATE(13352)] = 395030,
  [SMALL_STATE(13353)] = 395049,
  [SMALL_STATE(13354)] = 395068,
  [SMALL_STATE(13355)] = 395087,
  [SMALL_STATE(13356)] = 395106,
  [SMALL_STATE(13357)] = 395125,
  [SMALL_STATE(13358)] = 395144,
  [SMALL_STATE(13359)] = 395163,
  [SMALL_STATE(13360)] = 395182,
  [SMALL_STATE(13361)] = 395201,
  [SMALL_STATE(13362)] = 395220,
  [SMALL_STATE(13363)] = 395239,
  [SMALL_STATE(13364)] = 395258,
  [SMALL_STATE(13365)] = 395277,
  [SMALL_STATE(13366)] = 395296,
  [SMALL_STATE(13367)] = 395315,
  [SMALL_STATE(13368)] = 395334,
  [SMALL_STATE(13369)] = 395353,
  [SMALL_STATE(13370)] = 395372,
  [SMALL_STATE(13371)] = 395391,
  [SMALL_STATE(13372)] = 395410,
  [SMALL_STATE(13373)] = 395429,
  [SMALL_STATE(13374)] = 395448,
  [SMALL_STATE(13375)] = 395467,
  [SMALL_STATE(13376)] = 395486,
  [SMALL_STATE(13377)] = 395505,
  [SMALL_STATE(13378)] = 395524,
  [SMALL_STATE(13379)] = 395543,
  [SMALL_STATE(13380)] = 395562,
  [SMALL_STATE(13381)] = 395581,
  [SMALL_STATE(13382)] = 395600,
  [SMALL_STATE(13383)] = 395619,
  [SMALL_STATE(13384)] = 395638,
  [SMALL_STATE(13385)] = 395657,
  [SMALL_STATE(13386)] = 395676,
  [SMALL_STATE(13387)] = 395695,
  [SMALL_STATE(13388)] = 395714,
  [SMALL_STATE(13389)] = 395733,
  [SMALL_STATE(13390)] = 395748,
  [SMALL_STATE(13391)] = 395763,
  [SMALL_STATE(13392)] = 395778,
  [SMALL_STATE(13393)] = 395797,
  [SMALL_STATE(13394)] = 395816,
  [SMALL_STATE(13395)] = 395835,
  [SMALL_STATE(13396)] = 395854,
  [SMALL_STATE(13397)] = 395873,
  [SMALL_STATE(13398)] = 395892,
  [SMALL_STATE(13399)] = 395911,
  [SMALL_STATE(13400)] = 395930,
  [SMALL_STATE(13401)] = 395949,
  [SMALL_STATE(13402)] = 395968,
  [SMALL_STATE(13403)] = 395987,
  [SMALL_STATE(13404)] = 396006,
  [SMALL_STATE(13405)] = 396025,
  [SMALL_STATE(13406)] = 396044,
  [SMALL_STATE(13407)] = 396063,
  [SMALL_STATE(13408)] = 396082,
  [SMALL_STATE(13409)] = 396101,
  [SMALL_STATE(13410)] = 396120,
  [SMALL_STATE(13411)] = 396139,
  [SMALL_STATE(13412)] = 396158,
  [SMALL_STATE(13413)] = 396177,
  [SMALL_STATE(13414)] = 396196,
  [SMALL_STATE(13415)] = 396215,
  [SMALL_STATE(13416)] = 396234,
  [SMALL_STATE(13417)] = 396253,
  [SMALL_STATE(13418)] = 396272,
  [SMALL_STATE(13419)] = 396291,
  [SMALL_STATE(13420)] = 396310,
  [SMALL_STATE(13421)] = 396329,
  [SMALL_STATE(13422)] = 396348,
  [SMALL_STATE(13423)] = 396367,
  [SMALL_STATE(13424)] = 396386,
  [SMALL_STATE(13425)] = 396405,
  [SMALL_STATE(13426)] = 396424,
  [SMALL_STATE(13427)] = 396443,
  [SMALL_STATE(13428)] = 396462,
  [SMALL_STATE(13429)] = 396481,
  [SMALL_STATE(13430)] = 396500,
  [SMALL_STATE(13431)] = 396519,
  [SMALL_STATE(13432)] = 396538,
  [SMALL_STATE(13433)] = 396557,
  [SMALL_STATE(13434)] = 396576,
  [SMALL_STATE(13435)] = 396595,
  [SMALL_STATE(13436)] = 396614,
  [SMALL_STATE(13437)] = 396633,
  [SMALL_STATE(13438)] = 396652,
  [SMALL_STATE(13439)] = 396671,
  [SMALL_STATE(13440)] = 396690,
  [SMALL_STATE(13441)] = 396709,
  [SMALL_STATE(13442)] = 396728,
  [SMALL_STATE(13443)] = 396747,
  [SMALL_STATE(13444)] = 396766,
  [SMALL_STATE(13445)] = 396785,
  [SMALL_STATE(13446)] = 396804,
  [SMALL_STATE(13447)] = 396823,
  [SMALL_STATE(13448)] = 396842,
  [SMALL_STATE(13449)] = 396861,
  [SMALL_STATE(13450)] = 396880,
  [SMALL_STATE(13451)] = 396899,
  [SMALL_STATE(13452)] = 396918,
  [SMALL_STATE(13453)] = 396937,
  [SMALL_STATE(13454)] = 396956,
  [SMALL_STATE(13455)] = 396975,
  [SMALL_STATE(13456)] = 396994,
  [SMALL_STATE(13457)] = 397013,
  [SMALL_STATE(13458)] = 397032,
  [SMALL_STATE(13459)] = 397051,
  [SMALL_STATE(13460)] = 397070,
  [SMALL_STATE(13461)] = 397089,
  [SMALL_STATE(13462)] = 397108,
  [SMALL_STATE(13463)] = 397127,
  [SMALL_STATE(13464)] = 397146,
  [SMALL_STATE(13465)] = 397165,
  [SMALL_STATE(13466)] = 397184,
  [SMALL_STATE(13467)] = 397203,
  [SMALL_STATE(13468)] = 397222,
  [SMALL_STATE(13469)] = 397241,
  [SMALL_STATE(13470)] = 397260,
  [SMALL_STATE(13471)] = 397279,
  [SMALL_STATE(13472)] = 397298,
  [SMALL_STATE(13473)] = 397317,
  [SMALL_STATE(13474)] = 397336,
  [SMALL_STATE(13475)] = 397355,
  [SMALL_STATE(13476)] = 397374,
  [SMALL_STATE(13477)] = 397393,
  [SMALL_STATE(13478)] = 397412,
  [SMALL_STATE(13479)] = 397431,
  [SMALL_STATE(13480)] = 397450,
  [SMALL_STATE(13481)] = 397469,
  [SMALL_STATE(13482)] = 397488,
  [SMALL_STATE(13483)] = 397507,
  [SMALL_STATE(13484)] = 397522,
  [SMALL_STATE(13485)] = 397541,
  [SMALL_STATE(13486)] = 397560,
  [SMALL_STATE(13487)] = 397579,
  [SMALL_STATE(13488)] = 397598,
  [SMALL_STATE(13489)] = 397617,
  [SMALL_STATE(13490)] = 397636,
  [SMALL_STATE(13491)] = 397655,
  [SMALL_STATE(13492)] = 397674,
  [SMALL_STATE(13493)] = 397693,
  [SMALL_STATE(13494)] = 397712,
  [SMALL_STATE(13495)] = 397731,
  [SMALL_STATE(13496)] = 397746,
  [SMALL_STATE(13497)] = 397765,
  [SMALL_STATE(13498)] = 397784,
  [SMALL_STATE(13499)] = 397803,
  [SMALL_STATE(13500)] = 397822,
  [SMALL_STATE(13501)] = 397841,
  [SMALL_STATE(13502)] = 397860,
  [SMALL_STATE(13503)] = 397879,
  [SMALL_STATE(13504)] = 397898,
  [SMALL_STATE(13505)] = 397913,
  [SMALL_STATE(13506)] = 397932,
  [SMALL_STATE(13507)] = 397951,
  [SMALL_STATE(13508)] = 397970,
  [SMALL_STATE(13509)] = 397989,
  [SMALL_STATE(13510)] = 398008,
  [SMALL_STATE(13511)] = 398027,
  [SMALL_STATE(13512)] = 398046,
  [SMALL_STATE(13513)] = 398065,
  [SMALL_STATE(13514)] = 398084,
  [SMALL_STATE(13515)] = 398103,
  [SMALL_STATE(13516)] = 398122,
  [SMALL_STATE(13517)] = 398141,
  [SMALL_STATE(13518)] = 398160,
  [SMALL_STATE(13519)] = 398179,
  [SMALL_STATE(13520)] = 398198,
  [SMALL_STATE(13521)] = 398217,
  [SMALL_STATE(13522)] = 398236,
  [SMALL_STATE(13523)] = 398255,
  [SMALL_STATE(13524)] = 398274,
  [SMALL_STATE(13525)] = 398293,
  [SMALL_STATE(13526)] = 398312,
  [SMALL_STATE(13527)] = 398331,
  [SMALL_STATE(13528)] = 398346,
  [SMALL_STATE(13529)] = 398365,
  [SMALL_STATE(13530)] = 398384,
  [SMALL_STATE(13531)] = 398403,
  [SMALL_STATE(13532)] = 398418,
  [SMALL_STATE(13533)] = 398437,
  [SMALL_STATE(13534)] = 398456,
  [SMALL_STATE(13535)] = 398475,
  [SMALL_STATE(13536)] = 398494,
  [SMALL_STATE(13537)] = 398513,
  [SMALL_STATE(13538)] = 398532,
  [SMALL_STATE(13539)] = 398551,
  [SMALL_STATE(13540)] = 398570,
  [SMALL_STATE(13541)] = 398589,
  [SMALL_STATE(13542)] = 398608,
  [SMALL_STATE(13543)] = 398627,
  [SMALL_STATE(13544)] = 398646,
  [SMALL_STATE(13545)] = 398665,
  [SMALL_STATE(13546)] = 398684,
  [SMALL_STATE(13547)] = 398703,
  [SMALL_STATE(13548)] = 398722,
  [SMALL_STATE(13549)] = 398741,
  [SMALL_STATE(13550)] = 398760,
  [SMALL_STATE(13551)] = 398777,
  [SMALL_STATE(13552)] = 398796,
  [SMALL_STATE(13553)] = 398815,
  [SMALL_STATE(13554)] = 398834,
  [SMALL_STATE(13555)] = 398853,
  [SMALL_STATE(13556)] = 398872,
  [SMALL_STATE(13557)] = 398887,
  [SMALL_STATE(13558)] = 398906,
  [SMALL_STATE(13559)] = 398925,
  [SMALL_STATE(13560)] = 398944,
  [SMALL_STATE(13561)] = 398963,
  [SMALL_STATE(13562)] = 398978,
  [SMALL_STATE(13563)] = 398993,
  [SMALL_STATE(13564)] = 399012,
  [SMALL_STATE(13565)] = 399031,
  [SMALL_STATE(13566)] = 399050,
  [SMALL_STATE(13567)] = 399069,
  [SMALL_STATE(13568)] = 399088,
  [SMALL_STATE(13569)] = 399107,
  [SMALL_STATE(13570)] = 399126,
  [SMALL_STATE(13571)] = 399145,
  [SMALL_STATE(13572)] = 399164,
  [SMALL_STATE(13573)] = 399183,
  [SMALL_STATE(13574)] = 399202,
  [SMALL_STATE(13575)] = 399221,
  [SMALL_STATE(13576)] = 399240,
  [SMALL_STATE(13577)] = 399259,
  [SMALL_STATE(13578)] = 399278,
  [SMALL_STATE(13579)] = 399297,
  [SMALL_STATE(13580)] = 399316,
  [SMALL_STATE(13581)] = 399335,
  [SMALL_STATE(13582)] = 399354,
  [SMALL_STATE(13583)] = 399373,
  [SMALL_STATE(13584)] = 399392,
  [SMALL_STATE(13585)] = 399411,
  [SMALL_STATE(13586)] = 399430,
  [SMALL_STATE(13587)] = 399449,
  [SMALL_STATE(13588)] = 399468,
  [SMALL_STATE(13589)] = 399487,
  [SMALL_STATE(13590)] = 399506,
  [SMALL_STATE(13591)] = 399525,
  [SMALL_STATE(13592)] = 399544,
  [SMALL_STATE(13593)] = 399563,
  [SMALL_STATE(13594)] = 399582,
  [SMALL_STATE(13595)] = 399601,
  [SMALL_STATE(13596)] = 399620,
  [SMALL_STATE(13597)] = 399639,
  [SMALL_STATE(13598)] = 399658,
  [SMALL_STATE(13599)] = 399677,
  [SMALL_STATE(13600)] = 399696,
  [SMALL_STATE(13601)] = 399715,
  [SMALL_STATE(13602)] = 399734,
  [SMALL_STATE(13603)] = 399753,
  [SMALL_STATE(13604)] = 399772,
  [SMALL_STATE(13605)] = 399791,
  [SMALL_STATE(13606)] = 399810,
  [SMALL_STATE(13607)] = 399829,
  [SMALL_STATE(13608)] = 399848,
  [SMALL_STATE(13609)] = 399867,
  [SMALL_STATE(13610)] = 399886,
  [SMALL_STATE(13611)] = 399905,
  [SMALL_STATE(13612)] = 399924,
  [SMALL_STATE(13613)] = 399943,
  [SMALL_STATE(13614)] = 399962,
  [SMALL_STATE(13615)] = 399981,
  [SMALL_STATE(13616)] = 400000,
  [SMALL_STATE(13617)] = 400019,
  [SMALL_STATE(13618)] = 400038,
  [SMALL_STATE(13619)] = 400057,
  [SMALL_STATE(13620)] = 400076,
  [SMALL_STATE(13621)] = 400095,
  [SMALL_STATE(13622)] = 400114,
  [SMALL_STATE(13623)] = 400133,
  [SMALL_STATE(13624)] = 400152,
  [SMALL_STATE(13625)] = 400171,
  [SMALL_STATE(13626)] = 400190,
  [SMALL_STATE(13627)] = 400209,
  [SMALL_STATE(13628)] = 400228,
  [SMALL_STATE(13629)] = 400247,
  [SMALL_STATE(13630)] = 400266,
  [SMALL_STATE(13631)] = 400285,
  [SMALL_STATE(13632)] = 400304,
  [SMALL_STATE(13633)] = 400323,
  [SMALL_STATE(13634)] = 400342,
  [SMALL_STATE(13635)] = 400361,
  [SMALL_STATE(13636)] = 400376,
  [SMALL_STATE(13637)] = 400395,
  [SMALL_STATE(13638)] = 400414,
  [SMALL_STATE(13639)] = 400433,
  [SMALL_STATE(13640)] = 400452,
  [SMALL_STATE(13641)] = 400471,
  [SMALL_STATE(13642)] = 400490,
  [SMALL_STATE(13643)] = 400509,
  [SMALL_STATE(13644)] = 400528,
  [SMALL_STATE(13645)] = 400547,
  [SMALL_STATE(13646)] = 400566,
  [SMALL_STATE(13647)] = 400585,
  [SMALL_STATE(13648)] = 400604,
  [SMALL_STATE(13649)] = 400623,
  [SMALL_STATE(13650)] = 400642,
  [SMALL_STATE(13651)] = 400661,
  [SMALL_STATE(13652)] = 400680,
  [SMALL_STATE(13653)] = 400699,
  [SMALL_STATE(13654)] = 400718,
  [SMALL_STATE(13655)] = 400737,
  [SMALL_STATE(13656)] = 400756,
  [SMALL_STATE(13657)] = 400775,
  [SMALL_STATE(13658)] = 400794,
  [SMALL_STATE(13659)] = 400813,
  [SMALL_STATE(13660)] = 400832,
  [SMALL_STATE(13661)] = 400851,
  [SMALL_STATE(13662)] = 400870,
  [SMALL_STATE(13663)] = 400889,
  [SMALL_STATE(13664)] = 400908,
  [SMALL_STATE(13665)] = 400927,
  [SMALL_STATE(13666)] = 400946,
  [SMALL_STATE(13667)] = 400965,
  [SMALL_STATE(13668)] = 400984,
  [SMALL_STATE(13669)] = 401003,
  [SMALL_STATE(13670)] = 401022,
  [SMALL_STATE(13671)] = 401041,
  [SMALL_STATE(13672)] = 401060,
  [SMALL_STATE(13673)] = 401079,
  [SMALL_STATE(13674)] = 401098,
  [SMALL_STATE(13675)] = 401117,
  [SMALL_STATE(13676)] = 401136,
  [SMALL_STATE(13677)] = 401151,
  [SMALL_STATE(13678)] = 401170,
  [SMALL_STATE(13679)] = 401189,
  [SMALL_STATE(13680)] = 401208,
  [SMALL_STATE(13681)] = 401227,
  [SMALL_STATE(13682)] = 401246,
  [SMALL_STATE(13683)] = 401265,
  [SMALL_STATE(13684)] = 401284,
  [SMALL_STATE(13685)] = 401303,
  [SMALL_STATE(13686)] = 401322,
  [SMALL_STATE(13687)] = 401341,
  [SMALL_STATE(13688)] = 401360,
  [SMALL_STATE(13689)] = 401379,
  [SMALL_STATE(13690)] = 401398,
  [SMALL_STATE(13691)] = 401417,
  [SMALL_STATE(13692)] = 401436,
  [SMALL_STATE(13693)] = 401455,
  [SMALL_STATE(13694)] = 401474,
  [SMALL_STATE(13695)] = 401493,
  [SMALL_STATE(13696)] = 401512,
  [SMALL_STATE(13697)] = 401527,
  [SMALL_STATE(13698)] = 401546,
  [SMALL_STATE(13699)] = 401565,
  [SMALL_STATE(13700)] = 401584,
  [SMALL_STATE(13701)] = 401603,
  [SMALL_STATE(13702)] = 401622,
  [SMALL_STATE(13703)] = 401641,
  [SMALL_STATE(13704)] = 401660,
  [SMALL_STATE(13705)] = 401679,
  [SMALL_STATE(13706)] = 401698,
  [SMALL_STATE(13707)] = 401717,
  [SMALL_STATE(13708)] = 401736,
  [SMALL_STATE(13709)] = 401751,
  [SMALL_STATE(13710)] = 401770,
  [SMALL_STATE(13711)] = 401789,
  [SMALL_STATE(13712)] = 401808,
  [SMALL_STATE(13713)] = 401827,
  [SMALL_STATE(13714)] = 401842,
  [SMALL_STATE(13715)] = 401857,
  [SMALL_STATE(13716)] = 401872,
  [SMALL_STATE(13717)] = 401887,
  [SMALL_STATE(13718)] = 401902,
  [SMALL_STATE(13719)] = 401917,
  [SMALL_STATE(13720)] = 401936,
  [SMALL_STATE(13721)] = 401951,
  [SMALL_STATE(13722)] = 401970,
  [SMALL_STATE(13723)] = 401985,
  [SMALL_STATE(13724)] = 402000,
  [SMALL_STATE(13725)] = 402015,
  [SMALL_STATE(13726)] = 402030,
  [SMALL_STATE(13727)] = 402049,
  [SMALL_STATE(13728)] = 402068,
  [SMALL_STATE(13729)] = 402087,
  [SMALL_STATE(13730)] = 402102,
  [SMALL_STATE(13731)] = 402117,
  [SMALL_STATE(13732)] = 402136,
  [SMALL_STATE(13733)] = 402151,
  [SMALL_STATE(13734)] = 402166,
  [SMALL_STATE(13735)] = 402185,
  [SMALL_STATE(13736)] = 402204,
  [SMALL_STATE(13737)] = 402219,
  [SMALL_STATE(13738)] = 402238,
  [SMALL_STATE(13739)] = 402257,
  [SMALL_STATE(13740)] = 402272,
  [SMALL_STATE(13741)] = 402287,
  [SMALL_STATE(13742)] = 402302,
  [SMALL_STATE(13743)] = 402317,
  [SMALL_STATE(13744)] = 402332,
  [SMALL_STATE(13745)] = 402343,
  [SMALL_STATE(13746)] = 402362,
  [SMALL_STATE(13747)] = 402377,
  [SMALL_STATE(13748)] = 402392,
  [SMALL_STATE(13749)] = 402411,
  [SMALL_STATE(13750)] = 402430,
  [SMALL_STATE(13751)] = 402445,
  [SMALL_STATE(13752)] = 402464,
  [SMALL_STATE(13753)] = 402483,
  [SMALL_STATE(13754)] = 402502,
  [SMALL_STATE(13755)] = 402521,
  [SMALL_STATE(13756)] = 402540,
  [SMALL_STATE(13757)] = 402559,
  [SMALL_STATE(13758)] = 402574,
  [SMALL_STATE(13759)] = 402593,
  [SMALL_STATE(13760)] = 402612,
  [SMALL_STATE(13761)] = 402627,
  [SMALL_STATE(13762)] = 402646,
  [SMALL_STATE(13763)] = 402661,
  [SMALL_STATE(13764)] = 402676,
  [SMALL_STATE(13765)] = 402695,
  [SMALL_STATE(13766)] = 402714,
  [SMALL_STATE(13767)] = 402733,
  [SMALL_STATE(13768)] = 402752,
  [SMALL_STATE(13769)] = 402771,
  [SMALL_STATE(13770)] = 402782,
  [SMALL_STATE(13771)] = 402801,
  [SMALL_STATE(13772)] = 402820,
  [SMALL_STATE(13773)] = 402839,
  [SMALL_STATE(13774)] = 402858,
  [SMALL_STATE(13775)] = 402873,
  [SMALL_STATE(13776)] = 402892,
  [SMALL_STATE(13777)] = 402911,
  [SMALL_STATE(13778)] = 402930,
  [SMALL_STATE(13779)] = 402949,
  [SMALL_STATE(13780)] = 402968,
  [SMALL_STATE(13781)] = 402983,
  [SMALL_STATE(13782)] = 403002,
  [SMALL_STATE(13783)] = 403021,
  [SMALL_STATE(13784)] = 403040,
  [SMALL_STATE(13785)] = 403057,
  [SMALL_STATE(13786)] = 403076,
  [SMALL_STATE(13787)] = 403091,
  [SMALL_STATE(13788)] = 403110,
  [SMALL_STATE(13789)] = 403129,
  [SMALL_STATE(13790)] = 403148,
  [SMALL_STATE(13791)] = 403167,
  [SMALL_STATE(13792)] = 403182,
  [SMALL_STATE(13793)] = 403197,
  [SMALL_STATE(13794)] = 403216,
  [SMALL_STATE(13795)] = 403231,
  [SMALL_STATE(13796)] = 403250,
  [SMALL_STATE(13797)] = 403265,
  [SMALL_STATE(13798)] = 403284,
  [SMALL_STATE(13799)] = 403301,
  [SMALL_STATE(13800)] = 403316,
  [SMALL_STATE(13801)] = 403333,
  [SMALL_STATE(13802)] = 403352,
  [SMALL_STATE(13803)] = 403371,
  [SMALL_STATE(13804)] = 403390,
  [SMALL_STATE(13805)] = 403409,
  [SMALL_STATE(13806)] = 403424,
  [SMALL_STATE(13807)] = 403441,
  [SMALL_STATE(13808)] = 403456,
  [SMALL_STATE(13809)] = 403471,
  [SMALL_STATE(13810)] = 403490,
  [SMALL_STATE(13811)] = 403509,
  [SMALL_STATE(13812)] = 403528,
  [SMALL_STATE(13813)] = 403547,
  [SMALL_STATE(13814)] = 403566,
  [SMALL_STATE(13815)] = 403583,
  [SMALL_STATE(13816)] = 403598,
  [SMALL_STATE(13817)] = 403617,
  [SMALL_STATE(13818)] = 403636,
  [SMALL_STATE(13819)] = 403651,
  [SMALL_STATE(13820)] = 403670,
  [SMALL_STATE(13821)] = 403689,
  [SMALL_STATE(13822)] = 403708,
  [SMALL_STATE(13823)] = 403723,
  [SMALL_STATE(13824)] = 403742,
  [SMALL_STATE(13825)] = 403757,
  [SMALL_STATE(13826)] = 403772,
  [SMALL_STATE(13827)] = 403791,
  [SMALL_STATE(13828)] = 403810,
  [SMALL_STATE(13829)] = 403825,
  [SMALL_STATE(13830)] = 403844,
  [SMALL_STATE(13831)] = 403863,
  [SMALL_STATE(13832)] = 403878,
  [SMALL_STATE(13833)] = 403893,
  [SMALL_STATE(13834)] = 403912,
  [SMALL_STATE(13835)] = 403931,
  [SMALL_STATE(13836)] = 403950,
  [SMALL_STATE(13837)] = 403969,
  [SMALL_STATE(13838)] = 403984,
  [SMALL_STATE(13839)] = 404003,
  [SMALL_STATE(13840)] = 404022,
  [SMALL_STATE(13841)] = 404037,
  [SMALL_STATE(13842)] = 404056,
  [SMALL_STATE(13843)] = 404075,
  [SMALL_STATE(13844)] = 404094,
  [SMALL_STATE(13845)] = 404109,
  [SMALL_STATE(13846)] = 404124,
  [SMALL_STATE(13847)] = 404143,
  [SMALL_STATE(13848)] = 404162,
  [SMALL_STATE(13849)] = 404177,
  [SMALL_STATE(13850)] = 404196,
  [SMALL_STATE(13851)] = 404215,
  [SMALL_STATE(13852)] = 404234,
  [SMALL_STATE(13853)] = 404249,
  [SMALL_STATE(13854)] = 404264,
  [SMALL_STATE(13855)] = 404279,
  [SMALL_STATE(13856)] = 404298,
  [SMALL_STATE(13857)] = 404317,
  [SMALL_STATE(13858)] = 404336,
  [SMALL_STATE(13859)] = 404351,
  [SMALL_STATE(13860)] = 404366,
  [SMALL_STATE(13861)] = 404385,
  [SMALL_STATE(13862)] = 404404,
  [SMALL_STATE(13863)] = 404423,
  [SMALL_STATE(13864)] = 404442,
  [SMALL_STATE(13865)] = 404461,
  [SMALL_STATE(13866)] = 404476,
  [SMALL_STATE(13867)] = 404491,
  [SMALL_STATE(13868)] = 404510,
  [SMALL_STATE(13869)] = 404529,
  [SMALL_STATE(13870)] = 404548,
  [SMALL_STATE(13871)] = 404567,
  [SMALL_STATE(13872)] = 404582,
  [SMALL_STATE(13873)] = 404601,
  [SMALL_STATE(13874)] = 404620,
  [SMALL_STATE(13875)] = 404639,
  [SMALL_STATE(13876)] = 404658,
  [SMALL_STATE(13877)] = 404677,
  [SMALL_STATE(13878)] = 404696,
  [SMALL_STATE(13879)] = 404715,
  [SMALL_STATE(13880)] = 404734,
  [SMALL_STATE(13881)] = 404753,
  [SMALL_STATE(13882)] = 404772,
  [SMALL_STATE(13883)] = 404791,
  [SMALL_STATE(13884)] = 404810,
  [SMALL_STATE(13885)] = 404829,
  [SMALL_STATE(13886)] = 404848,
  [SMALL_STATE(13887)] = 404867,
  [SMALL_STATE(13888)] = 404886,
  [SMALL_STATE(13889)] = 404905,
  [SMALL_STATE(13890)] = 404924,
  [SMALL_STATE(13891)] = 404943,
  [SMALL_STATE(13892)] = 404962,
  [SMALL_STATE(13893)] = 404977,
  [SMALL_STATE(13894)] = 404996,
  [SMALL_STATE(13895)] = 405011,
  [SMALL_STATE(13896)] = 405030,
  [SMALL_STATE(13897)] = 405045,
  [SMALL_STATE(13898)] = 405064,
  [SMALL_STATE(13899)] = 405083,
  [SMALL_STATE(13900)] = 405102,
  [SMALL_STATE(13901)] = 405121,
  [SMALL_STATE(13902)] = 405140,
  [SMALL_STATE(13903)] = 405155,
  [SMALL_STATE(13904)] = 405174,
  [SMALL_STATE(13905)] = 405193,
  [SMALL_STATE(13906)] = 405212,
  [SMALL_STATE(13907)] = 405227,
  [SMALL_STATE(13908)] = 405246,
  [SMALL_STATE(13909)] = 405261,
  [SMALL_STATE(13910)] = 405280,
  [SMALL_STATE(13911)] = 405299,
  [SMALL_STATE(13912)] = 405318,
  [SMALL_STATE(13913)] = 405333,
  [SMALL_STATE(13914)] = 405352,
  [SMALL_STATE(13915)] = 405371,
  [SMALL_STATE(13916)] = 405390,
  [SMALL_STATE(13917)] = 405409,
  [SMALL_STATE(13918)] = 405428,
  [SMALL_STATE(13919)] = 405447,
  [SMALL_STATE(13920)] = 405462,
  [SMALL_STATE(13921)] = 405481,
  [SMALL_STATE(13922)] = 405496,
  [SMALL_STATE(13923)] = 405515,
  [SMALL_STATE(13924)] = 405530,
  [SMALL_STATE(13925)] = 405549,
  [SMALL_STATE(13926)] = 405564,
  [SMALL_STATE(13927)] = 405583,
  [SMALL_STATE(13928)] = 405598,
  [SMALL_STATE(13929)] = 405617,
  [SMALL_STATE(13930)] = 405636,
  [SMALL_STATE(13931)] = 405655,
  [SMALL_STATE(13932)] = 405674,
  [SMALL_STATE(13933)] = 405689,
  [SMALL_STATE(13934)] = 405708,
  [SMALL_STATE(13935)] = 405727,
  [SMALL_STATE(13936)] = 405746,
  [SMALL_STATE(13937)] = 405765,
  [SMALL_STATE(13938)] = 405780,
  [SMALL_STATE(13939)] = 405799,
  [SMALL_STATE(13940)] = 405818,
  [SMALL_STATE(13941)] = 405829,
  [SMALL_STATE(13942)] = 405844,
  [SMALL_STATE(13943)] = 405863,
  [SMALL_STATE(13944)] = 405878,
  [SMALL_STATE(13945)] = 405897,
  [SMALL_STATE(13946)] = 405916,
  [SMALL_STATE(13947)] = 405935,
  [SMALL_STATE(13948)] = 405954,
  [SMALL_STATE(13949)] = 405969,
  [SMALL_STATE(13950)] = 405984,
  [SMALL_STATE(13951)] = 405999,
  [SMALL_STATE(13952)] = 406018,
  [SMALL_STATE(13953)] = 406033,
  [SMALL_STATE(13954)] = 406048,
  [SMALL_STATE(13955)] = 406063,
  [SMALL_STATE(13956)] = 406078,
  [SMALL_STATE(13957)] = 406097,
  [SMALL_STATE(13958)] = 406116,
  [SMALL_STATE(13959)] = 406131,
  [SMALL_STATE(13960)] = 406150,
  [SMALL_STATE(13961)] = 406169,
  [SMALL_STATE(13962)] = 406188,
  [SMALL_STATE(13963)] = 406207,
  [SMALL_STATE(13964)] = 406226,
  [SMALL_STATE(13965)] = 406241,
  [SMALL_STATE(13966)] = 406256,
  [SMALL_STATE(13967)] = 406275,
  [SMALL_STATE(13968)] = 406294,
  [SMALL_STATE(13969)] = 406313,
  [SMALL_STATE(13970)] = 406328,
  [SMALL_STATE(13971)] = 406343,
  [SMALL_STATE(13972)] = 406362,
  [SMALL_STATE(13973)] = 406377,
  [SMALL_STATE(13974)] = 406396,
  [SMALL_STATE(13975)] = 406411,
  [SMALL_STATE(13976)] = 406426,
  [SMALL_STATE(13977)] = 406445,
  [SMALL_STATE(13978)] = 406464,
  [SMALL_STATE(13979)] = 406479,
  [SMALL_STATE(13980)] = 406498,
  [SMALL_STATE(13981)] = 406517,
  [SMALL_STATE(13982)] = 406532,
  [SMALL_STATE(13983)] = 406547,
  [SMALL_STATE(13984)] = 406562,
  [SMALL_STATE(13985)] = 406577,
  [SMALL_STATE(13986)] = 406596,
  [SMALL_STATE(13987)] = 406615,
  [SMALL_STATE(13988)] = 406634,
  [SMALL_STATE(13989)] = 406649,
  [SMALL_STATE(13990)] = 406664,
  [SMALL_STATE(13991)] = 406683,
  [SMALL_STATE(13992)] = 406698,
  [SMALL_STATE(13993)] = 406713,
  [SMALL_STATE(13994)] = 406728,
  [SMALL_STATE(13995)] = 406743,
  [SMALL_STATE(13996)] = 406762,
  [SMALL_STATE(13997)] = 406781,
  [SMALL_STATE(13998)] = 406796,
  [SMALL_STATE(13999)] = 406811,
  [SMALL_STATE(14000)] = 406826,
  [SMALL_STATE(14001)] = 406841,
  [SMALL_STATE(14002)] = 406860,
  [SMALL_STATE(14003)] = 406875,
  [SMALL_STATE(14004)] = 406894,
  [SMALL_STATE(14005)] = 406909,
  [SMALL_STATE(14006)] = 406928,
  [SMALL_STATE(14007)] = 406947,
  [SMALL_STATE(14008)] = 406966,
  [SMALL_STATE(14009)] = 406985,
  [SMALL_STATE(14010)] = 407004,
  [SMALL_STATE(14011)] = 407023,
  [SMALL_STATE(14012)] = 407042,
  [SMALL_STATE(14013)] = 407061,
  [SMALL_STATE(14014)] = 407080,
  [SMALL_STATE(14015)] = 407099,
  [SMALL_STATE(14016)] = 407118,
  [SMALL_STATE(14017)] = 407137,
  [SMALL_STATE(14018)] = 407152,
  [SMALL_STATE(14019)] = 407171,
  [SMALL_STATE(14020)] = 407186,
  [SMALL_STATE(14021)] = 407201,
  [SMALL_STATE(14022)] = 407220,
  [SMALL_STATE(14023)] = 407235,
  [SMALL_STATE(14024)] = 407254,
  [SMALL_STATE(14025)] = 407273,
  [SMALL_STATE(14026)] = 407292,
  [SMALL_STATE(14027)] = 407311,
  [SMALL_STATE(14028)] = 407326,
  [SMALL_STATE(14029)] = 407341,
  [SMALL_STATE(14030)] = 407360,
  [SMALL_STATE(14031)] = 407379,
  [SMALL_STATE(14032)] = 407398,
  [SMALL_STATE(14033)] = 407413,
  [SMALL_STATE(14034)] = 407432,
  [SMALL_STATE(14035)] = 407451,
  [SMALL_STATE(14036)] = 407470,
  [SMALL_STATE(14037)] = 407489,
  [SMALL_STATE(14038)] = 407504,
  [SMALL_STATE(14039)] = 407523,
  [SMALL_STATE(14040)] = 407542,
  [SMALL_STATE(14041)] = 407561,
  [SMALL_STATE(14042)] = 407580,
  [SMALL_STATE(14043)] = 407599,
  [SMALL_STATE(14044)] = 407614,
  [SMALL_STATE(14045)] = 407629,
  [SMALL_STATE(14046)] = 407644,
  [SMALL_STATE(14047)] = 407663,
  [SMALL_STATE(14048)] = 407682,
  [SMALL_STATE(14049)] = 407701,
  [SMALL_STATE(14050)] = 407720,
  [SMALL_STATE(14051)] = 407739,
  [SMALL_STATE(14052)] = 407754,
  [SMALL_STATE(14053)] = 407773,
  [SMALL_STATE(14054)] = 407792,
  [SMALL_STATE(14055)] = 407811,
  [SMALL_STATE(14056)] = 407826,
  [SMALL_STATE(14057)] = 407845,
  [SMALL_STATE(14058)] = 407864,
  [SMALL_STATE(14059)] = 407883,
  [SMALL_STATE(14060)] = 407902,
  [SMALL_STATE(14061)] = 407921,
  [SMALL_STATE(14062)] = 407936,
  [SMALL_STATE(14063)] = 407955,
  [SMALL_STATE(14064)] = 407974,
  [SMALL_STATE(14065)] = 407989,
  [SMALL_STATE(14066)] = 408008,
  [SMALL_STATE(14067)] = 408027,
  [SMALL_STATE(14068)] = 408042,
  [SMALL_STATE(14069)] = 408061,
  [SMALL_STATE(14070)] = 408080,
  [SMALL_STATE(14071)] = 408099,
  [SMALL_STATE(14072)] = 408118,
  [SMALL_STATE(14073)] = 408137,
  [SMALL_STATE(14074)] = 408152,
  [SMALL_STATE(14075)] = 408171,
  [SMALL_STATE(14076)] = 408190,
  [SMALL_STATE(14077)] = 408205,
  [SMALL_STATE(14078)] = 408224,
  [SMALL_STATE(14079)] = 408243,
  [SMALL_STATE(14080)] = 408258,
  [SMALL_STATE(14081)] = 408277,
  [SMALL_STATE(14082)] = 408292,
  [SMALL_STATE(14083)] = 408311,
  [SMALL_STATE(14084)] = 408330,
  [SMALL_STATE(14085)] = 408349,
  [SMALL_STATE(14086)] = 408368,
  [SMALL_STATE(14087)] = 408387,
  [SMALL_STATE(14088)] = 408406,
  [SMALL_STATE(14089)] = 408425,
  [SMALL_STATE(14090)] = 408440,
  [SMALL_STATE(14091)] = 408455,
  [SMALL_STATE(14092)] = 408474,
  [SMALL_STATE(14093)] = 408493,
  [SMALL_STATE(14094)] = 408512,
  [SMALL_STATE(14095)] = 408531,
  [SMALL_STATE(14096)] = 408546,
  [SMALL_STATE(14097)] = 408565,
  [SMALL_STATE(14098)] = 408584,
  [SMALL_STATE(14099)] = 408603,
  [SMALL_STATE(14100)] = 408622,
  [SMALL_STATE(14101)] = 408637,
  [SMALL_STATE(14102)] = 408656,
  [SMALL_STATE(14103)] = 408671,
  [SMALL_STATE(14104)] = 408690,
  [SMALL_STATE(14105)] = 408709,
  [SMALL_STATE(14106)] = 408724,
  [SMALL_STATE(14107)] = 408743,
  [SMALL_STATE(14108)] = 408758,
  [SMALL_STATE(14109)] = 408777,
  [SMALL_STATE(14110)] = 408796,
  [SMALL_STATE(14111)] = 408811,
  [SMALL_STATE(14112)] = 408830,
  [SMALL_STATE(14113)] = 408849,
  [SMALL_STATE(14114)] = 408864,
  [SMALL_STATE(14115)] = 408883,
  [SMALL_STATE(14116)] = 408898,
  [SMALL_STATE(14117)] = 408917,
  [SMALL_STATE(14118)] = 408936,
  [SMALL_STATE(14119)] = 408955,
  [SMALL_STATE(14120)] = 408970,
  [SMALL_STATE(14121)] = 408989,
  [SMALL_STATE(14122)] = 409008,
  [SMALL_STATE(14123)] = 409023,
  [SMALL_STATE(14124)] = 409042,
  [SMALL_STATE(14125)] = 409061,
  [SMALL_STATE(14126)] = 409080,
  [SMALL_STATE(14127)] = 409095,
  [SMALL_STATE(14128)] = 409110,
  [SMALL_STATE(14129)] = 409125,
  [SMALL_STATE(14130)] = 409144,
  [SMALL_STATE(14131)] = 409163,
  [SMALL_STATE(14132)] = 409182,
  [SMALL_STATE(14133)] = 409197,
  [SMALL_STATE(14134)] = 409216,
  [SMALL_STATE(14135)] = 409235,
  [SMALL_STATE(14136)] = 409254,
  [SMALL_STATE(14137)] = 409273,
  [SMALL_STATE(14138)] = 409288,
  [SMALL_STATE(14139)] = 409307,
  [SMALL_STATE(14140)] = 409326,
  [SMALL_STATE(14141)] = 409341,
  [SMALL_STATE(14142)] = 409360,
  [SMALL_STATE(14143)] = 409379,
  [SMALL_STATE(14144)] = 409398,
  [SMALL_STATE(14145)] = 409417,
  [SMALL_STATE(14146)] = 409432,
  [SMALL_STATE(14147)] = 409451,
  [SMALL_STATE(14148)] = 409468,
  [SMALL_STATE(14149)] = 409487,
  [SMALL_STATE(14150)] = 409506,
  [SMALL_STATE(14151)] = 409525,
  [SMALL_STATE(14152)] = 409544,
  [SMALL_STATE(14153)] = 409563,
  [SMALL_STATE(14154)] = 409582,
  [SMALL_STATE(14155)] = 409601,
  [SMALL_STATE(14156)] = 409620,
  [SMALL_STATE(14157)] = 409635,
  [SMALL_STATE(14158)] = 409650,
  [SMALL_STATE(14159)] = 409669,
  [SMALL_STATE(14160)] = 409688,
  [SMALL_STATE(14161)] = 409707,
  [SMALL_STATE(14162)] = 409726,
  [SMALL_STATE(14163)] = 409745,
  [SMALL_STATE(14164)] = 409764,
  [SMALL_STATE(14165)] = 409783,
  [SMALL_STATE(14166)] = 409802,
  [SMALL_STATE(14167)] = 409821,
  [SMALL_STATE(14168)] = 409840,
  [SMALL_STATE(14169)] = 409859,
  [SMALL_STATE(14170)] = 409878,
  [SMALL_STATE(14171)] = 409897,
  [SMALL_STATE(14172)] = 409916,
  [SMALL_STATE(14173)] = 409935,
  [SMALL_STATE(14174)] = 409954,
  [SMALL_STATE(14175)] = 409973,
  [SMALL_STATE(14176)] = 409992,
  [SMALL_STATE(14177)] = 410011,
  [SMALL_STATE(14178)] = 410030,
  [SMALL_STATE(14179)] = 410049,
  [SMALL_STATE(14180)] = 410068,
  [SMALL_STATE(14181)] = 410087,
  [SMALL_STATE(14182)] = 410106,
  [SMALL_STATE(14183)] = 410125,
  [SMALL_STATE(14184)] = 410144,
  [SMALL_STATE(14185)] = 410163,
  [SMALL_STATE(14186)] = 410182,
  [SMALL_STATE(14187)] = 410201,
  [SMALL_STATE(14188)] = 410220,
  [SMALL_STATE(14189)] = 410239,
  [SMALL_STATE(14190)] = 410258,
  [SMALL_STATE(14191)] = 410277,
  [SMALL_STATE(14192)] = 410296,
  [SMALL_STATE(14193)] = 410311,
  [SMALL_STATE(14194)] = 410330,
  [SMALL_STATE(14195)] = 410349,
  [SMALL_STATE(14196)] = 410368,
  [SMALL_STATE(14197)] = 410387,
  [SMALL_STATE(14198)] = 410406,
  [SMALL_STATE(14199)] = 410425,
  [SMALL_STATE(14200)] = 410444,
  [SMALL_STATE(14201)] = 410463,
  [SMALL_STATE(14202)] = 410482,
  [SMALL_STATE(14203)] = 410501,
  [SMALL_STATE(14204)] = 410520,
  [SMALL_STATE(14205)] = 410536,
  [SMALL_STATE(14206)] = 410552,
  [SMALL_STATE(14207)] = 410566,
  [SMALL_STATE(14208)] = 410582,
  [SMALL_STATE(14209)] = 410598,
  [SMALL_STATE(14210)] = 410612,
  [SMALL_STATE(14211)] = 410628,
  [SMALL_STATE(14212)] = 410644,
  [SMALL_STATE(14213)] = 410654,
  [SMALL_STATE(14214)] = 410670,
  [SMALL_STATE(14215)] = 410686,
  [SMALL_STATE(14216)] = 410702,
  [SMALL_STATE(14217)] = 410718,
  [SMALL_STATE(14218)] = 410734,
  [SMALL_STATE(14219)] = 410750,
  [SMALL_STATE(14220)] = 410766,
  [SMALL_STATE(14221)] = 410782,
  [SMALL_STATE(14222)] = 410798,
  [SMALL_STATE(14223)] = 410814,
  [SMALL_STATE(14224)] = 410830,
  [SMALL_STATE(14225)] = 410846,
  [SMALL_STATE(14226)] = 410862,
  [SMALL_STATE(14227)] = 410878,
  [SMALL_STATE(14228)] = 410894,
  [SMALL_STATE(14229)] = 410910,
  [SMALL_STATE(14230)] = 410926,
  [SMALL_STATE(14231)] = 410942,
  [SMALL_STATE(14232)] = 410958,
  [SMALL_STATE(14233)] = 410970,
  [SMALL_STATE(14234)] = 410986,
  [SMALL_STATE(14235)] = 411002,
  [SMALL_STATE(14236)] = 411018,
  [SMALL_STATE(14237)] = 411034,
  [SMALL_STATE(14238)] = 411048,
  [SMALL_STATE(14239)] = 411064,
  [SMALL_STATE(14240)] = 411080,
  [SMALL_STATE(14241)] = 411096,
  [SMALL_STATE(14242)] = 411112,
  [SMALL_STATE(14243)] = 411128,
  [SMALL_STATE(14244)] = 411144,
  [SMALL_STATE(14245)] = 411156,
  [SMALL_STATE(14246)] = 411172,
  [SMALL_STATE(14247)] = 411188,
  [SMALL_STATE(14248)] = 411204,
  [SMALL_STATE(14249)] = 411220,
  [SMALL_STATE(14250)] = 411236,
  [SMALL_STATE(14251)] = 411252,
  [SMALL_STATE(14252)] = 411268,
  [SMALL_STATE(14253)] = 411284,
  [SMALL_STATE(14254)] = 411294,
  [SMALL_STATE(14255)] = 411310,
  [SMALL_STATE(14256)] = 411320,
  [SMALL_STATE(14257)] = 411336,
  [SMALL_STATE(14258)] = 411350,
  [SMALL_STATE(14259)] = 411366,
  [SMALL_STATE(14260)] = 411382,
  [SMALL_STATE(14261)] = 411398,
  [SMALL_STATE(14262)] = 411408,
  [SMALL_STATE(14263)] = 411424,
  [SMALL_STATE(14264)] = 411438,
  [SMALL_STATE(14265)] = 411454,
  [SMALL_STATE(14266)] = 411470,
  [SMALL_STATE(14267)] = 411486,
  [SMALL_STATE(14268)] = 411500,
  [SMALL_STATE(14269)] = 411516,
  [SMALL_STATE(14270)] = 411532,
  [SMALL_STATE(14271)] = 411548,
  [SMALL_STATE(14272)] = 411564,
  [SMALL_STATE(14273)] = 411580,
  [SMALL_STATE(14274)] = 411596,
  [SMALL_STATE(14275)] = 411612,
  [SMALL_STATE(14276)] = 411626,
  [SMALL_STATE(14277)] = 411642,
  [SMALL_STATE(14278)] = 411658,
  [SMALL_STATE(14279)] = 411674,
  [SMALL_STATE(14280)] = 411684,
  [SMALL_STATE(14281)] = 411696,
  [SMALL_STATE(14282)] = 411712,
  [SMALL_STATE(14283)] = 411728,
  [SMALL_STATE(14284)] = 411744,
  [SMALL_STATE(14285)] = 411760,
  [SMALL_STATE(14286)] = 411776,
  [SMALL_STATE(14287)] = 411792,
  [SMALL_STATE(14288)] = 411808,
  [SMALL_STATE(14289)] = 411824,
  [SMALL_STATE(14290)] = 411840,
  [SMALL_STATE(14291)] = 411856,
  [SMALL_STATE(14292)] = 411872,
  [SMALL_STATE(14293)] = 411888,
  [SMALL_STATE(14294)] = 411898,
  [SMALL_STATE(14295)] = 411914,
  [SMALL_STATE(14296)] = 411930,
  [SMALL_STATE(14297)] = 411946,
  [SMALL_STATE(14298)] = 411962,
  [SMALL_STATE(14299)] = 411976,
  [SMALL_STATE(14300)] = 411992,
  [SMALL_STATE(14301)] = 412008,
  [SMALL_STATE(14302)] = 412024,
  [SMALL_STATE(14303)] = 412040,
  [SMALL_STATE(14304)] = 412056,
  [SMALL_STATE(14305)] = 412072,
  [SMALL_STATE(14306)] = 412088,
  [SMALL_STATE(14307)] = 412098,
  [SMALL_STATE(14308)] = 412114,
  [SMALL_STATE(14309)] = 412128,
  [SMALL_STATE(14310)] = 412142,
  [SMALL_STATE(14311)] = 412158,
  [SMALL_STATE(14312)] = 412174,
  [SMALL_STATE(14313)] = 412190,
  [SMALL_STATE(14314)] = 412206,
  [SMALL_STATE(14315)] = 412222,
  [SMALL_STATE(14316)] = 412238,
  [SMALL_STATE(14317)] = 412248,
  [SMALL_STATE(14318)] = 412264,
  [SMALL_STATE(14319)] = 412280,
  [SMALL_STATE(14320)] = 412296,
  [SMALL_STATE(14321)] = 412312,
  [SMALL_STATE(14322)] = 412328,
  [SMALL_STATE(14323)] = 412344,
  [SMALL_STATE(14324)] = 412360,
  [SMALL_STATE(14325)] = 412376,
  [SMALL_STATE(14326)] = 412392,
  [SMALL_STATE(14327)] = 412408,
  [SMALL_STATE(14328)] = 412424,
  [SMALL_STATE(14329)] = 412440,
  [SMALL_STATE(14330)] = 412454,
  [SMALL_STATE(14331)] = 412468,
  [SMALL_STATE(14332)] = 412484,
  [SMALL_STATE(14333)] = 412496,
  [SMALL_STATE(14334)] = 412512,
  [SMALL_STATE(14335)] = 412528,
  [SMALL_STATE(14336)] = 412544,
  [SMALL_STATE(14337)] = 412560,
  [SMALL_STATE(14338)] = 412572,
  [SMALL_STATE(14339)] = 412588,
  [SMALL_STATE(14340)] = 412604,
  [SMALL_STATE(14341)] = 412620,
  [SMALL_STATE(14342)] = 412636,
  [SMALL_STATE(14343)] = 412652,
  [SMALL_STATE(14344)] = 412668,
  [SMALL_STATE(14345)] = 412684,
  [SMALL_STATE(14346)] = 412700,
  [SMALL_STATE(14347)] = 412716,
  [SMALL_STATE(14348)] = 412732,
  [SMALL_STATE(14349)] = 412748,
  [SMALL_STATE(14350)] = 412764,
  [SMALL_STATE(14351)] = 412777,
  [SMALL_STATE(14352)] = 412790,
  [SMALL_STATE(14353)] = 412803,
  [SMALL_STATE(14354)] = 412816,
  [SMALL_STATE(14355)] = 412829,
  [SMALL_STATE(14356)] = 412842,
  [SMALL_STATE(14357)] = 412855,
  [SMALL_STATE(14358)] = 412868,
  [SMALL_STATE(14359)] = 412881,
  [SMALL_STATE(14360)] = 412894,
  [SMALL_STATE(14361)] = 412907,
  [SMALL_STATE(14362)] = 412920,
  [SMALL_STATE(14363)] = 412933,
  [SMALL_STATE(14364)] = 412946,
  [SMALL_STATE(14365)] = 412959,
  [SMALL_STATE(14366)] = 412972,
  [SMALL_STATE(14367)] = 412985,
  [SMALL_STATE(14368)] = 412998,
  [SMALL_STATE(14369)] = 413011,
  [SMALL_STATE(14370)] = 413024,
  [SMALL_STATE(14371)] = 413037,
  [SMALL_STATE(14372)] = 413050,
  [SMALL_STATE(14373)] = 413061,
  [SMALL_STATE(14374)] = 413074,
  [SMALL_STATE(14375)] = 413087,
  [SMALL_STATE(14376)] = 413100,
  [SMALL_STATE(14377)] = 413113,
  [SMALL_STATE(14378)] = 413126,
  [SMALL_STATE(14379)] = 413139,
  [SMALL_STATE(14380)] = 413152,
  [SMALL_STATE(14381)] = 413165,
  [SMALL_STATE(14382)] = 413178,
  [SMALL_STATE(14383)] = 413191,
  [SMALL_STATE(14384)] = 413204,
  [SMALL_STATE(14385)] = 413217,
  [SMALL_STATE(14386)] = 413230,
  [SMALL_STATE(14387)] = 413243,
  [SMALL_STATE(14388)] = 413256,
  [SMALL_STATE(14389)] = 413269,
  [SMALL_STATE(14390)] = 413282,
  [SMALL_STATE(14391)] = 413295,
  [SMALL_STATE(14392)] = 413308,
  [SMALL_STATE(14393)] = 413321,
  [SMALL_STATE(14394)] = 413334,
  [SMALL_STATE(14395)] = 413347,
  [SMALL_STATE(14396)] = 413360,
  [SMALL_STATE(14397)] = 413373,
  [SMALL_STATE(14398)] = 413386,
  [SMALL_STATE(14399)] = 413399,
  [SMALL_STATE(14400)] = 413412,
  [SMALL_STATE(14401)] = 413425,
  [SMALL_STATE(14402)] = 413438,
  [SMALL_STATE(14403)] = 413451,
  [SMALL_STATE(14404)] = 413464,
  [SMALL_STATE(14405)] = 413477,
  [SMALL_STATE(14406)] = 413490,
  [SMALL_STATE(14407)] = 413503,
  [SMALL_STATE(14408)] = 413516,
  [SMALL_STATE(14409)] = 413529,
  [SMALL_STATE(14410)] = 413542,
  [SMALL_STATE(14411)] = 413555,
  [SMALL_STATE(14412)] = 413568,
  [SMALL_STATE(14413)] = 413581,
  [SMALL_STATE(14414)] = 413594,
  [SMALL_STATE(14415)] = 413607,
  [SMALL_STATE(14416)] = 413620,
  [SMALL_STATE(14417)] = 413633,
  [SMALL_STATE(14418)] = 413646,
  [SMALL_STATE(14419)] = 413659,
  [SMALL_STATE(14420)] = 413672,
  [SMALL_STATE(14421)] = 413685,
  [SMALL_STATE(14422)] = 413698,
  [SMALL_STATE(14423)] = 413711,
  [SMALL_STATE(14424)] = 413724,
  [SMALL_STATE(14425)] = 413737,
  [SMALL_STATE(14426)] = 413750,
  [SMALL_STATE(14427)] = 413763,
  [SMALL_STATE(14428)] = 413776,
  [SMALL_STATE(14429)] = 413789,
  [SMALL_STATE(14430)] = 413802,
  [SMALL_STATE(14431)] = 413815,
  [SMALL_STATE(14432)] = 413828,
  [SMALL_STATE(14433)] = 413841,
  [SMALL_STATE(14434)] = 413854,
  [SMALL_STATE(14435)] = 413867,
  [SMALL_STATE(14436)] = 413878,
  [SMALL_STATE(14437)] = 413891,
  [SMALL_STATE(14438)] = 413904,
  [SMALL_STATE(14439)] = 413917,
  [SMALL_STATE(14440)] = 413930,
  [SMALL_STATE(14441)] = 413943,
  [SMALL_STATE(14442)] = 413956,
  [SMALL_STATE(14443)] = 413969,
  [SMALL_STATE(14444)] = 413982,
  [SMALL_STATE(14445)] = 413995,
  [SMALL_STATE(14446)] = 414008,
  [SMALL_STATE(14447)] = 414021,
  [SMALL_STATE(14448)] = 414034,
  [SMALL_STATE(14449)] = 414047,
  [SMALL_STATE(14450)] = 414060,
  [SMALL_STATE(14451)] = 414073,
  [SMALL_STATE(14452)] = 414086,
  [SMALL_STATE(14453)] = 414099,
  [SMALL_STATE(14454)] = 414112,
  [SMALL_STATE(14455)] = 414125,
  [SMALL_STATE(14456)] = 414138,
  [SMALL_STATE(14457)] = 414151,
  [SMALL_STATE(14458)] = 414162,
  [SMALL_STATE(14459)] = 414175,
  [SMALL_STATE(14460)] = 414188,
  [SMALL_STATE(14461)] = 414201,
  [SMALL_STATE(14462)] = 414214,
  [SMALL_STATE(14463)] = 414225,
  [SMALL_STATE(14464)] = 414238,
  [SMALL_STATE(14465)] = 414251,
  [SMALL_STATE(14466)] = 414264,
  [SMALL_STATE(14467)] = 414277,
  [SMALL_STATE(14468)] = 414290,
  [SMALL_STATE(14469)] = 414303,
  [SMALL_STATE(14470)] = 414316,
  [SMALL_STATE(14471)] = 414329,
  [SMALL_STATE(14472)] = 414342,
  [SMALL_STATE(14473)] = 414355,
  [SMALL_STATE(14474)] = 414368,
  [SMALL_STATE(14475)] = 414381,
  [SMALL_STATE(14476)] = 414394,
  [SMALL_STATE(14477)] = 414407,
  [SMALL_STATE(14478)] = 414420,
  [SMALL_STATE(14479)] = 414433,
  [SMALL_STATE(14480)] = 414446,
  [SMALL_STATE(14481)] = 414459,
  [SMALL_STATE(14482)] = 414472,
  [SMALL_STATE(14483)] = 414485,
  [SMALL_STATE(14484)] = 414498,
  [SMALL_STATE(14485)] = 414511,
  [SMALL_STATE(14486)] = 414524,
  [SMALL_STATE(14487)] = 414537,
  [SMALL_STATE(14488)] = 414550,
  [SMALL_STATE(14489)] = 414563,
  [SMALL_STATE(14490)] = 414576,
  [SMALL_STATE(14491)] = 414589,
  [SMALL_STATE(14492)] = 414602,
  [SMALL_STATE(14493)] = 414615,
  [SMALL_STATE(14494)] = 414628,
  [SMALL_STATE(14495)] = 414641,
  [SMALL_STATE(14496)] = 414654,
  [SMALL_STATE(14497)] = 414667,
  [SMALL_STATE(14498)] = 414680,
  [SMALL_STATE(14499)] = 414693,
  [SMALL_STATE(14500)] = 414706,
  [SMALL_STATE(14501)] = 414719,
  [SMALL_STATE(14502)] = 414732,
  [SMALL_STATE(14503)] = 414745,
  [SMALL_STATE(14504)] = 414758,
  [SMALL_STATE(14505)] = 414771,
  [SMALL_STATE(14506)] = 414784,
  [SMALL_STATE(14507)] = 414797,
  [SMALL_STATE(14508)] = 414810,
  [SMALL_STATE(14509)] = 414823,
  [SMALL_STATE(14510)] = 414836,
  [SMALL_STATE(14511)] = 414849,
  [SMALL_STATE(14512)] = 414862,
  [SMALL_STATE(14513)] = 414875,
  [SMALL_STATE(14514)] = 414888,
  [SMALL_STATE(14515)] = 414901,
  [SMALL_STATE(14516)] = 414912,
  [SMALL_STATE(14517)] = 414925,
  [SMALL_STATE(14518)] = 414938,
  [SMALL_STATE(14519)] = 414951,
  [SMALL_STATE(14520)] = 414962,
  [SMALL_STATE(14521)] = 414973,
  [SMALL_STATE(14522)] = 414986,
  [SMALL_STATE(14523)] = 414999,
  [SMALL_STATE(14524)] = 415012,
  [SMALL_STATE(14525)] = 415025,
  [SMALL_STATE(14526)] = 415038,
  [SMALL_STATE(14527)] = 415049,
  [SMALL_STATE(14528)] = 415062,
  [SMALL_STATE(14529)] = 415075,
  [SMALL_STATE(14530)] = 415088,
  [SMALL_STATE(14531)] = 415101,
  [SMALL_STATE(14532)] = 415114,
  [SMALL_STATE(14533)] = 415127,
  [SMALL_STATE(14534)] = 415140,
  [SMALL_STATE(14535)] = 415153,
  [SMALL_STATE(14536)] = 415166,
  [SMALL_STATE(14537)] = 415179,
  [SMALL_STATE(14538)] = 415192,
  [SMALL_STATE(14539)] = 415205,
  [SMALL_STATE(14540)] = 415218,
  [SMALL_STATE(14541)] = 415231,
  [SMALL_STATE(14542)] = 415244,
  [SMALL_STATE(14543)] = 415257,
  [SMALL_STATE(14544)] = 415270,
  [SMALL_STATE(14545)] = 415283,
  [SMALL_STATE(14546)] = 415296,
  [SMALL_STATE(14547)] = 415309,
  [SMALL_STATE(14548)] = 415322,
  [SMALL_STATE(14549)] = 415335,
  [SMALL_STATE(14550)] = 415348,
  [SMALL_STATE(14551)] = 415361,
  [SMALL_STATE(14552)] = 415374,
  [SMALL_STATE(14553)] = 415387,
  [SMALL_STATE(14554)] = 415400,
  [SMALL_STATE(14555)] = 415413,
  [SMALL_STATE(14556)] = 415426,
  [SMALL_STATE(14557)] = 415439,
  [SMALL_STATE(14558)] = 415452,
  [SMALL_STATE(14559)] = 415465,
  [SMALL_STATE(14560)] = 415478,
  [SMALL_STATE(14561)] = 415491,
  [SMALL_STATE(14562)] = 415504,
  [SMALL_STATE(14563)] = 415517,
  [SMALL_STATE(14564)] = 415530,
  [SMALL_STATE(14565)] = 415543,
  [SMALL_STATE(14566)] = 415556,
  [SMALL_STATE(14567)] = 415569,
  [SMALL_STATE(14568)] = 415582,
  [SMALL_STATE(14569)] = 415595,
  [SMALL_STATE(14570)] = 415608,
  [SMALL_STATE(14571)] = 415621,
  [SMALL_STATE(14572)] = 415634,
  [SMALL_STATE(14573)] = 415647,
  [SMALL_STATE(14574)] = 415660,
  [SMALL_STATE(14575)] = 415673,
  [SMALL_STATE(14576)] = 415686,
  [SMALL_STATE(14577)] = 415699,
  [SMALL_STATE(14578)] = 415712,
  [SMALL_STATE(14579)] = 415725,
  [SMALL_STATE(14580)] = 415738,
  [SMALL_STATE(14581)] = 415751,
  [SMALL_STATE(14582)] = 415764,
  [SMALL_STATE(14583)] = 415777,
  [SMALL_STATE(14584)] = 415790,
  [SMALL_STATE(14585)] = 415803,
  [SMALL_STATE(14586)] = 415816,
  [SMALL_STATE(14587)] = 415829,
  [SMALL_STATE(14588)] = 415842,
  [SMALL_STATE(14589)] = 415855,
  [SMALL_STATE(14590)] = 415868,
  [SMALL_STATE(14591)] = 415881,
  [SMALL_STATE(14592)] = 415894,
  [SMALL_STATE(14593)] = 415907,
  [SMALL_STATE(14594)] = 415920,
  [SMALL_STATE(14595)] = 415933,
  [SMALL_STATE(14596)] = 415946,
  [SMALL_STATE(14597)] = 415959,
  [SMALL_STATE(14598)] = 415972,
  [SMALL_STATE(14599)] = 415985,
  [SMALL_STATE(14600)] = 415998,
  [SMALL_STATE(14601)] = 416011,
  [SMALL_STATE(14602)] = 416024,
  [SMALL_STATE(14603)] = 416037,
  [SMALL_STATE(14604)] = 416050,
  [SMALL_STATE(14605)] = 416063,
  [SMALL_STATE(14606)] = 416076,
  [SMALL_STATE(14607)] = 416089,
  [SMALL_STATE(14608)] = 416102,
  [SMALL_STATE(14609)] = 416115,
  [SMALL_STATE(14610)] = 416128,
  [SMALL_STATE(14611)] = 416141,
  [SMALL_STATE(14612)] = 416154,
  [SMALL_STATE(14613)] = 416167,
  [SMALL_STATE(14614)] = 416180,
  [SMALL_STATE(14615)] = 416193,
  [SMALL_STATE(14616)] = 416206,
  [SMALL_STATE(14617)] = 416219,
  [SMALL_STATE(14618)] = 416232,
  [SMALL_STATE(14619)] = 416245,
  [SMALL_STATE(14620)] = 416258,
  [SMALL_STATE(14621)] = 416271,
  [SMALL_STATE(14622)] = 416284,
  [SMALL_STATE(14623)] = 416295,
  [SMALL_STATE(14624)] = 416308,
  [SMALL_STATE(14625)] = 416321,
  [SMALL_STATE(14626)] = 416332,
  [SMALL_STATE(14627)] = 416343,
  [SMALL_STATE(14628)] = 416356,
  [SMALL_STATE(14629)] = 416369,
  [SMALL_STATE(14630)] = 416382,
  [SMALL_STATE(14631)] = 416395,
  [SMALL_STATE(14632)] = 416408,
  [SMALL_STATE(14633)] = 416421,
  [SMALL_STATE(14634)] = 416434,
  [SMALL_STATE(14635)] = 416447,
  [SMALL_STATE(14636)] = 416460,
  [SMALL_STATE(14637)] = 416473,
  [SMALL_STATE(14638)] = 416486,
  [SMALL_STATE(14639)] = 416499,
  [SMALL_STATE(14640)] = 416512,
  [SMALL_STATE(14641)] = 416525,
  [SMALL_STATE(14642)] = 416538,
  [SMALL_STATE(14643)] = 416551,
  [SMALL_STATE(14644)] = 416564,
  [SMALL_STATE(14645)] = 416577,
  [SMALL_STATE(14646)] = 416590,
  [SMALL_STATE(14647)] = 416603,
  [SMALL_STATE(14648)] = 416616,
  [SMALL_STATE(14649)] = 416629,
  [SMALL_STATE(14650)] = 416642,
  [SMALL_STATE(14651)] = 416655,
  [SMALL_STATE(14652)] = 416668,
  [SMALL_STATE(14653)] = 416681,
  [SMALL_STATE(14654)] = 416694,
  [SMALL_STATE(14655)] = 416707,
  [SMALL_STATE(14656)] = 416720,
  [SMALL_STATE(14657)] = 416733,
  [SMALL_STATE(14658)] = 416746,
  [SMALL_STATE(14659)] = 416759,
  [SMALL_STATE(14660)] = 416772,
  [SMALL_STATE(14661)] = 416785,
  [SMALL_STATE(14662)] = 416798,
  [SMALL_STATE(14663)] = 416811,
  [SMALL_STATE(14664)] = 416824,
  [SMALL_STATE(14665)] = 416837,
  [SMALL_STATE(14666)] = 416850,
  [SMALL_STATE(14667)] = 416863,
  [SMALL_STATE(14668)] = 416876,
  [SMALL_STATE(14669)] = 416889,
  [SMALL_STATE(14670)] = 416902,
  [SMALL_STATE(14671)] = 416915,
  [SMALL_STATE(14672)] = 416928,
  [SMALL_STATE(14673)] = 416941,
  [SMALL_STATE(14674)] = 416954,
  [SMALL_STATE(14675)] = 416967,
  [SMALL_STATE(14676)] = 416980,
  [SMALL_STATE(14677)] = 416993,
  [SMALL_STATE(14678)] = 417006,
  [SMALL_STATE(14679)] = 417019,
  [SMALL_STATE(14680)] = 417032,
  [SMALL_STATE(14681)] = 417045,
  [SMALL_STATE(14682)] = 417058,
  [SMALL_STATE(14683)] = 417071,
  [SMALL_STATE(14684)] = 417084,
  [SMALL_STATE(14685)] = 417097,
  [SMALL_STATE(14686)] = 417110,
  [SMALL_STATE(14687)] = 417123,
  [SMALL_STATE(14688)] = 417136,
  [SMALL_STATE(14689)] = 417149,
  [SMALL_STATE(14690)] = 417162,
  [SMALL_STATE(14691)] = 417175,
  [SMALL_STATE(14692)] = 417188,
  [SMALL_STATE(14693)] = 417201,
  [SMALL_STATE(14694)] = 417214,
  [SMALL_STATE(14695)] = 417227,
  [SMALL_STATE(14696)] = 417240,
  [SMALL_STATE(14697)] = 417253,
  [SMALL_STATE(14698)] = 417266,
  [SMALL_STATE(14699)] = 417279,
  [SMALL_STATE(14700)] = 417292,
  [SMALL_STATE(14701)] = 417305,
  [SMALL_STATE(14702)] = 417318,
  [SMALL_STATE(14703)] = 417331,
  [SMALL_STATE(14704)] = 417344,
  [SMALL_STATE(14705)] = 417357,
  [SMALL_STATE(14706)] = 417370,
  [SMALL_STATE(14707)] = 417383,
  [SMALL_STATE(14708)] = 417396,
  [SMALL_STATE(14709)] = 417409,
  [SMALL_STATE(14710)] = 417422,
  [SMALL_STATE(14711)] = 417435,
  [SMALL_STATE(14712)] = 417448,
  [SMALL_STATE(14713)] = 417461,
  [SMALL_STATE(14714)] = 417474,
  [SMALL_STATE(14715)] = 417487,
  [SMALL_STATE(14716)] = 417500,
  [SMALL_STATE(14717)] = 417513,
  [SMALL_STATE(14718)] = 417526,
  [SMALL_STATE(14719)] = 417539,
  [SMALL_STATE(14720)] = 417552,
  [SMALL_STATE(14721)] = 417565,
  [SMALL_STATE(14722)] = 417578,
  [SMALL_STATE(14723)] = 417591,
  [SMALL_STATE(14724)] = 417604,
  [SMALL_STATE(14725)] = 417617,
  [SMALL_STATE(14726)] = 417630,
  [SMALL_STATE(14727)] = 417643,
  [SMALL_STATE(14728)] = 417656,
  [SMALL_STATE(14729)] = 417669,
  [SMALL_STATE(14730)] = 417682,
  [SMALL_STATE(14731)] = 417695,
  [SMALL_STATE(14732)] = 417706,
  [SMALL_STATE(14733)] = 417719,
  [SMALL_STATE(14734)] = 417732,
  [SMALL_STATE(14735)] = 417745,
  [SMALL_STATE(14736)] = 417756,
  [SMALL_STATE(14737)] = 417769,
  [SMALL_STATE(14738)] = 417782,
  [SMALL_STATE(14739)] = 417795,
  [SMALL_STATE(14740)] = 417808,
  [SMALL_STATE(14741)] = 417821,
  [SMALL_STATE(14742)] = 417834,
  [SMALL_STATE(14743)] = 417847,
  [SMALL_STATE(14744)] = 417860,
  [SMALL_STATE(14745)] = 417873,
  [SMALL_STATE(14746)] = 417886,
  [SMALL_STATE(14747)] = 417899,
  [SMALL_STATE(14748)] = 417912,
  [SMALL_STATE(14749)] = 417925,
  [SMALL_STATE(14750)] = 417938,
  [SMALL_STATE(14751)] = 417949,
  [SMALL_STATE(14752)] = 417960,
  [SMALL_STATE(14753)] = 417973,
  [SMALL_STATE(14754)] = 417986,
  [SMALL_STATE(14755)] = 417999,
  [SMALL_STATE(14756)] = 418012,
  [SMALL_STATE(14757)] = 418025,
  [SMALL_STATE(14758)] = 418038,
  [SMALL_STATE(14759)] = 418051,
  [SMALL_STATE(14760)] = 418064,
  [SMALL_STATE(14761)] = 418077,
  [SMALL_STATE(14762)] = 418090,
  [SMALL_STATE(14763)] = 418103,
  [SMALL_STATE(14764)] = 418116,
  [SMALL_STATE(14765)] = 418129,
  [SMALL_STATE(14766)] = 418142,
  [SMALL_STATE(14767)] = 418155,
  [SMALL_STATE(14768)] = 418168,
  [SMALL_STATE(14769)] = 418181,
  [SMALL_STATE(14770)] = 418194,
  [SMALL_STATE(14771)] = 418207,
  [SMALL_STATE(14772)] = 418220,
  [SMALL_STATE(14773)] = 418233,
  [SMALL_STATE(14774)] = 418246,
  [SMALL_STATE(14775)] = 418259,
  [SMALL_STATE(14776)] = 418272,
  [SMALL_STATE(14777)] = 418285,
  [SMALL_STATE(14778)] = 418298,
  [SMALL_STATE(14779)] = 418311,
  [SMALL_STATE(14780)] = 418324,
  [SMALL_STATE(14781)] = 418337,
  [SMALL_STATE(14782)] = 418350,
  [SMALL_STATE(14783)] = 418363,
  [SMALL_STATE(14784)] = 418376,
  [SMALL_STATE(14785)] = 418389,
  [SMALL_STATE(14786)] = 418402,
  [SMALL_STATE(14787)] = 418415,
  [SMALL_STATE(14788)] = 418428,
  [SMALL_STATE(14789)] = 418441,
  [SMALL_STATE(14790)] = 418454,
  [SMALL_STATE(14791)] = 418467,
  [SMALL_STATE(14792)] = 418480,
  [SMALL_STATE(14793)] = 418493,
  [SMALL_STATE(14794)] = 418506,
  [SMALL_STATE(14795)] = 418519,
  [SMALL_STATE(14796)] = 418532,
  [SMALL_STATE(14797)] = 418545,
  [SMALL_STATE(14798)] = 418558,
  [SMALL_STATE(14799)] = 418571,
  [SMALL_STATE(14800)] = 418584,
  [SMALL_STATE(14801)] = 418597,
  [SMALL_STATE(14802)] = 418610,
  [SMALL_STATE(14803)] = 418623,
  [SMALL_STATE(14804)] = 418636,
  [SMALL_STATE(14805)] = 418649,
  [SMALL_STATE(14806)] = 418662,
  [SMALL_STATE(14807)] = 418675,
  [SMALL_STATE(14808)] = 418688,
  [SMALL_STATE(14809)] = 418701,
  [SMALL_STATE(14810)] = 418714,
  [SMALL_STATE(14811)] = 418727,
  [SMALL_STATE(14812)] = 418740,
  [SMALL_STATE(14813)] = 418753,
  [SMALL_STATE(14814)] = 418766,
  [SMALL_STATE(14815)] = 418779,
  [SMALL_STATE(14816)] = 418792,
  [SMALL_STATE(14817)] = 418805,
  [SMALL_STATE(14818)] = 418818,
  [SMALL_STATE(14819)] = 418831,
  [SMALL_STATE(14820)] = 418844,
  [SMALL_STATE(14821)] = 418857,
  [SMALL_STATE(14822)] = 418870,
  [SMALL_STATE(14823)] = 418883,
  [SMALL_STATE(14824)] = 418896,
  [SMALL_STATE(14825)] = 418909,
  [SMALL_STATE(14826)] = 418922,
  [SMALL_STATE(14827)] = 418935,
  [SMALL_STATE(14828)] = 418948,
  [SMALL_STATE(14829)] = 418961,
  [SMALL_STATE(14830)] = 418974,
  [SMALL_STATE(14831)] = 418987,
  [SMALL_STATE(14832)] = 419000,
  [SMALL_STATE(14833)] = 419013,
  [SMALL_STATE(14834)] = 419026,
  [SMALL_STATE(14835)] = 419039,
  [SMALL_STATE(14836)] = 419052,
  [SMALL_STATE(14837)] = 419065,
  [SMALL_STATE(14838)] = 419078,
  [SMALL_STATE(14839)] = 419091,
  [SMALL_STATE(14840)] = 419104,
  [SMALL_STATE(14841)] = 419117,
  [SMALL_STATE(14842)] = 419130,
  [SMALL_STATE(14843)] = 419143,
  [SMALL_STATE(14844)] = 419156,
  [SMALL_STATE(14845)] = 419169,
  [SMALL_STATE(14846)] = 419182,
  [SMALL_STATE(14847)] = 419195,
  [SMALL_STATE(14848)] = 419208,
  [SMALL_STATE(14849)] = 419221,
  [SMALL_STATE(14850)] = 419234,
  [SMALL_STATE(14851)] = 419247,
  [SMALL_STATE(14852)] = 419260,
  [SMALL_STATE(14853)] = 419273,
  [SMALL_STATE(14854)] = 419284,
  [SMALL_STATE(14855)] = 419297,
  [SMALL_STATE(14856)] = 419310,
  [SMALL_STATE(14857)] = 419321,
  [SMALL_STATE(14858)] = 419334,
  [SMALL_STATE(14859)] = 419347,
  [SMALL_STATE(14860)] = 419360,
  [SMALL_STATE(14861)] = 419373,
  [SMALL_STATE(14862)] = 419386,
  [SMALL_STATE(14863)] = 419399,
  [SMALL_STATE(14864)] = 419412,
  [SMALL_STATE(14865)] = 419425,
  [SMALL_STATE(14866)] = 419438,
  [SMALL_STATE(14867)] = 419451,
  [SMALL_STATE(14868)] = 419464,
  [SMALL_STATE(14869)] = 419477,
  [SMALL_STATE(14870)] = 419490,
  [SMALL_STATE(14871)] = 419503,
  [SMALL_STATE(14872)] = 419516,
  [SMALL_STATE(14873)] = 419529,
  [SMALL_STATE(14874)] = 419542,
  [SMALL_STATE(14875)] = 419555,
  [SMALL_STATE(14876)] = 419568,
  [SMALL_STATE(14877)] = 419581,
  [SMALL_STATE(14878)] = 419594,
  [SMALL_STATE(14879)] = 419607,
  [SMALL_STATE(14880)] = 419620,
  [SMALL_STATE(14881)] = 419633,
  [SMALL_STATE(14882)] = 419646,
  [SMALL_STATE(14883)] = 419657,
  [SMALL_STATE(14884)] = 419670,
  [SMALL_STATE(14885)] = 419683,
  [SMALL_STATE(14886)] = 419696,
  [SMALL_STATE(14887)] = 419709,
  [SMALL_STATE(14888)] = 419722,
  [SMALL_STATE(14889)] = 419735,
  [SMALL_STATE(14890)] = 419748,
  [SMALL_STATE(14891)] = 419761,
  [SMALL_STATE(14892)] = 419774,
  [SMALL_STATE(14893)] = 419787,
  [SMALL_STATE(14894)] = 419800,
  [SMALL_STATE(14895)] = 419813,
  [SMALL_STATE(14896)] = 419826,
  [SMALL_STATE(14897)] = 419839,
  [SMALL_STATE(14898)] = 419852,
  [SMALL_STATE(14899)] = 419865,
  [SMALL_STATE(14900)] = 419878,
  [SMALL_STATE(14901)] = 419891,
  [SMALL_STATE(14902)] = 419904,
  [SMALL_STATE(14903)] = 419917,
  [SMALL_STATE(14904)] = 419930,
  [SMALL_STATE(14905)] = 419943,
  [SMALL_STATE(14906)] = 419956,
  [SMALL_STATE(14907)] = 419969,
  [SMALL_STATE(14908)] = 419982,
  [SMALL_STATE(14909)] = 419995,
  [SMALL_STATE(14910)] = 420008,
  [SMALL_STATE(14911)] = 420021,
  [SMALL_STATE(14912)] = 420034,
  [SMALL_STATE(14913)] = 420047,
  [SMALL_STATE(14914)] = 420060,
  [SMALL_STATE(14915)] = 420073,
  [SMALL_STATE(14916)] = 420086,
  [SMALL_STATE(14917)] = 420099,
  [SMALL_STATE(14918)] = 420112,
  [SMALL_STATE(14919)] = 420125,
  [SMALL_STATE(14920)] = 420138,
  [SMALL_STATE(14921)] = 420151,
  [SMALL_STATE(14922)] = 420164,
  [SMALL_STATE(14923)] = 420177,
  [SMALL_STATE(14924)] = 420190,
  [SMALL_STATE(14925)] = 420203,
  [SMALL_STATE(14926)] = 420216,
  [SMALL_STATE(14927)] = 420229,
  [SMALL_STATE(14928)] = 420242,
  [SMALL_STATE(14929)] = 420255,
  [SMALL_STATE(14930)] = 420268,
  [SMALL_STATE(14931)] = 420281,
  [SMALL_STATE(14932)] = 420294,
  [SMALL_STATE(14933)] = 420307,
  [SMALL_STATE(14934)] = 420320,
  [SMALL_STATE(14935)] = 420331,
  [SMALL_STATE(14936)] = 420344,
  [SMALL_STATE(14937)] = 420357,
  [SMALL_STATE(14938)] = 420370,
  [SMALL_STATE(14939)] = 420383,
  [SMALL_STATE(14940)] = 420396,
  [SMALL_STATE(14941)] = 420409,
  [SMALL_STATE(14942)] = 420422,
  [SMALL_STATE(14943)] = 420435,
  [SMALL_STATE(14944)] = 420448,
  [SMALL_STATE(14945)] = 420461,
  [SMALL_STATE(14946)] = 420474,
  [SMALL_STATE(14947)] = 420487,
  [SMALL_STATE(14948)] = 420500,
  [SMALL_STATE(14949)] = 420513,
  [SMALL_STATE(14950)] = 420526,
  [SMALL_STATE(14951)] = 420539,
  [SMALL_STATE(14952)] = 420552,
  [SMALL_STATE(14953)] = 420565,
  [SMALL_STATE(14954)] = 420578,
  [SMALL_STATE(14955)] = 420591,
  [SMALL_STATE(14956)] = 420604,
  [SMALL_STATE(14957)] = 420617,
  [SMALL_STATE(14958)] = 420630,
  [SMALL_STATE(14959)] = 420643,
  [SMALL_STATE(14960)] = 420656,
  [SMALL_STATE(14961)] = 420669,
  [SMALL_STATE(14962)] = 420682,
  [SMALL_STATE(14963)] = 420695,
  [SMALL_STATE(14964)] = 420708,
  [SMALL_STATE(14965)] = 420721,
  [SMALL_STATE(14966)] = 420734,
  [SMALL_STATE(14967)] = 420747,
  [SMALL_STATE(14968)] = 420760,
  [SMALL_STATE(14969)] = 420773,
  [SMALL_STATE(14970)] = 420786,
  [SMALL_STATE(14971)] = 420799,
  [SMALL_STATE(14972)] = 420812,
  [SMALL_STATE(14973)] = 420825,
  [SMALL_STATE(14974)] = 420838,
  [SMALL_STATE(14975)] = 420851,
  [SMALL_STATE(14976)] = 420864,
  [SMALL_STATE(14977)] = 420877,
  [SMALL_STATE(14978)] = 420890,
  [SMALL_STATE(14979)] = 420903,
  [SMALL_STATE(14980)] = 420916,
  [SMALL_STATE(14981)] = 420929,
  [SMALL_STATE(14982)] = 420940,
  [SMALL_STATE(14983)] = 420951,
  [SMALL_STATE(14984)] = 420964,
  [SMALL_STATE(14985)] = 420977,
  [SMALL_STATE(14986)] = 420990,
  [SMALL_STATE(14987)] = 421003,
  [SMALL_STATE(14988)] = 421016,
  [SMALL_STATE(14989)] = 421029,
  [SMALL_STATE(14990)] = 421042,
  [SMALL_STATE(14991)] = 421055,
  [SMALL_STATE(14992)] = 421068,
  [SMALL_STATE(14993)] = 421081,
  [SMALL_STATE(14994)] = 421094,
  [SMALL_STATE(14995)] = 421107,
  [SMALL_STATE(14996)] = 421120,
  [SMALL_STATE(14997)] = 421133,
  [SMALL_STATE(14998)] = 421146,
  [SMALL_STATE(14999)] = 421159,
  [SMALL_STATE(15000)] = 421172,
  [SMALL_STATE(15001)] = 421185,
  [SMALL_STATE(15002)] = 421198,
  [SMALL_STATE(15003)] = 421211,
  [SMALL_STATE(15004)] = 421224,
  [SMALL_STATE(15005)] = 421237,
  [SMALL_STATE(15006)] = 421250,
  [SMALL_STATE(15007)] = 421263,
  [SMALL_STATE(15008)] = 421276,
  [SMALL_STATE(15009)] = 421289,
  [SMALL_STATE(15010)] = 421302,
  [SMALL_STATE(15011)] = 421315,
  [SMALL_STATE(15012)] = 421328,
  [SMALL_STATE(15013)] = 421341,
  [SMALL_STATE(15014)] = 421354,
  [SMALL_STATE(15015)] = 421367,
  [SMALL_STATE(15016)] = 421380,
  [SMALL_STATE(15017)] = 421393,
  [SMALL_STATE(15018)] = 421406,
  [SMALL_STATE(15019)] = 421419,
  [SMALL_STATE(15020)] = 421432,
  [SMALL_STATE(15021)] = 421445,
  [SMALL_STATE(15022)] = 421458,
  [SMALL_STATE(15023)] = 421469,
  [SMALL_STATE(15024)] = 421482,
  [SMALL_STATE(15025)] = 421495,
  [SMALL_STATE(15026)] = 421508,
  [SMALL_STATE(15027)] = 421521,
  [SMALL_STATE(15028)] = 421534,
  [SMALL_STATE(15029)] = 421547,
  [SMALL_STATE(15030)] = 421560,
  [SMALL_STATE(15031)] = 421573,
  [SMALL_STATE(15032)] = 421586,
  [SMALL_STATE(15033)] = 421599,
  [SMALL_STATE(15034)] = 421612,
  [SMALL_STATE(15035)] = 421625,
  [SMALL_STATE(15036)] = 421638,
  [SMALL_STATE(15037)] = 421651,
  [SMALL_STATE(15038)] = 421664,
  [SMALL_STATE(15039)] = 421677,
  [SMALL_STATE(15040)] = 421690,
  [SMALL_STATE(15041)] = 421703,
  [SMALL_STATE(15042)] = 421716,
  [SMALL_STATE(15043)] = 421729,
  [SMALL_STATE(15044)] = 421742,
  [SMALL_STATE(15045)] = 421755,
  [SMALL_STATE(15046)] = 421768,
  [SMALL_STATE(15047)] = 421781,
  [SMALL_STATE(15048)] = 421794,
  [SMALL_STATE(15049)] = 421807,
  [SMALL_STATE(15050)] = 421820,
  [SMALL_STATE(15051)] = 421833,
  [SMALL_STATE(15052)] = 421846,
  [SMALL_STATE(15053)] = 421859,
  [SMALL_STATE(15054)] = 421872,
  [SMALL_STATE(15055)] = 421885,
  [SMALL_STATE(15056)] = 421898,
  [SMALL_STATE(15057)] = 421911,
  [SMALL_STATE(15058)] = 421924,
  [SMALL_STATE(15059)] = 421937,
  [SMALL_STATE(15060)] = 421950,
  [SMALL_STATE(15061)] = 421963,
  [SMALL_STATE(15062)] = 421976,
  [SMALL_STATE(15063)] = 421989,
  [SMALL_STATE(15064)] = 422002,
  [SMALL_STATE(15065)] = 422015,
  [SMALL_STATE(15066)] = 422028,
  [SMALL_STATE(15067)] = 422041,
  [SMALL_STATE(15068)] = 422054,
  [SMALL_STATE(15069)] = 422067,
  [SMALL_STATE(15070)] = 422080,
  [SMALL_STATE(15071)] = 422093,
  [SMALL_STATE(15072)] = 422106,
  [SMALL_STATE(15073)] = 422119,
  [SMALL_STATE(15074)] = 422132,
  [SMALL_STATE(15075)] = 422143,
  [SMALL_STATE(15076)] = 422156,
  [SMALL_STATE(15077)] = 422169,
  [SMALL_STATE(15078)] = 422182,
  [SMALL_STATE(15079)] = 422193,
  [SMALL_STATE(15080)] = 422206,
  [SMALL_STATE(15081)] = 422219,
  [SMALL_STATE(15082)] = 422232,
  [SMALL_STATE(15083)] = 422245,
  [SMALL_STATE(15084)] = 422258,
  [SMALL_STATE(15085)] = 422271,
  [SMALL_STATE(15086)] = 422284,
  [SMALL_STATE(15087)] = 422297,
  [SMALL_STATE(15088)] = 422310,
  [SMALL_STATE(15089)] = 422323,
  [SMALL_STATE(15090)] = 422336,
  [SMALL_STATE(15091)] = 422349,
  [SMALL_STATE(15092)] = 422362,
  [SMALL_STATE(15093)] = 422375,
  [SMALL_STATE(15094)] = 422388,
  [SMALL_STATE(15095)] = 422401,
  [SMALL_STATE(15096)] = 422414,
  [SMALL_STATE(15097)] = 422427,
  [SMALL_STATE(15098)] = 422440,
  [SMALL_STATE(15099)] = 422453,
  [SMALL_STATE(15100)] = 422466,
  [SMALL_STATE(15101)] = 422479,
  [SMALL_STATE(15102)] = 422492,
  [SMALL_STATE(15103)] = 422505,
  [SMALL_STATE(15104)] = 422518,
  [SMALL_STATE(15105)] = 422531,
  [SMALL_STATE(15106)] = 422542,
  [SMALL_STATE(15107)] = 422555,
  [SMALL_STATE(15108)] = 422568,
  [SMALL_STATE(15109)] = 422581,
  [SMALL_STATE(15110)] = 422594,
  [SMALL_STATE(15111)] = 422607,
  [SMALL_STATE(15112)] = 422620,
  [SMALL_STATE(15113)] = 422633,
  [SMALL_STATE(15114)] = 422646,
  [SMALL_STATE(15115)] = 422659,
  [SMALL_STATE(15116)] = 422672,
  [SMALL_STATE(15117)] = 422685,
  [SMALL_STATE(15118)] = 422698,
  [SMALL_STATE(15119)] = 422709,
  [SMALL_STATE(15120)] = 422722,
  [SMALL_STATE(15121)] = 422735,
  [SMALL_STATE(15122)] = 422748,
  [SMALL_STATE(15123)] = 422761,
  [SMALL_STATE(15124)] = 422774,
  [SMALL_STATE(15125)] = 422787,
  [SMALL_STATE(15126)] = 422800,
  [SMALL_STATE(15127)] = 422813,
  [SMALL_STATE(15128)] = 422826,
  [SMALL_STATE(15129)] = 422839,
  [SMALL_STATE(15130)] = 422852,
  [SMALL_STATE(15131)] = 422865,
  [SMALL_STATE(15132)] = 422878,
  [SMALL_STATE(15133)] = 422891,
  [SMALL_STATE(15134)] = 422904,
  [SMALL_STATE(15135)] = 422917,
  [SMALL_STATE(15136)] = 422930,
  [SMALL_STATE(15137)] = 422943,
  [SMALL_STATE(15138)] = 422956,
  [SMALL_STATE(15139)] = 422969,
  [SMALL_STATE(15140)] = 422982,
  [SMALL_STATE(15141)] = 422995,
  [SMALL_STATE(15142)] = 423008,
  [SMALL_STATE(15143)] = 423021,
  [SMALL_STATE(15144)] = 423034,
  [SMALL_STATE(15145)] = 423047,
  [SMALL_STATE(15146)] = 423060,
  [SMALL_STATE(15147)] = 423073,
  [SMALL_STATE(15148)] = 423086,
  [SMALL_STATE(15149)] = 423099,
  [SMALL_STATE(15150)] = 423112,
  [SMALL_STATE(15151)] = 423125,
  [SMALL_STATE(15152)] = 423138,
  [SMALL_STATE(15153)] = 423151,
  [SMALL_STATE(15154)] = 423164,
  [SMALL_STATE(15155)] = 423177,
  [SMALL_STATE(15156)] = 423190,
  [SMALL_STATE(15157)] = 423201,
  [SMALL_STATE(15158)] = 423214,
  [SMALL_STATE(15159)] = 423227,
  [SMALL_STATE(15160)] = 423240,
  [SMALL_STATE(15161)] = 423253,
  [SMALL_STATE(15162)] = 423266,
  [SMALL_STATE(15163)] = 423279,
  [SMALL_STATE(15164)] = 423292,
  [SMALL_STATE(15165)] = 423305,
  [SMALL_STATE(15166)] = 423318,
  [SMALL_STATE(15167)] = 423331,
  [SMALL_STATE(15168)] = 423344,
  [SMALL_STATE(15169)] = 423357,
  [SMALL_STATE(15170)] = 423370,
  [SMALL_STATE(15171)] = 423383,
  [SMALL_STATE(15172)] = 423396,
  [SMALL_STATE(15173)] = 423409,
  [SMALL_STATE(15174)] = 423422,
  [SMALL_STATE(15175)] = 423435,
  [SMALL_STATE(15176)] = 423448,
  [SMALL_STATE(15177)] = 423461,
  [SMALL_STATE(15178)] = 423474,
  [SMALL_STATE(15179)] = 423487,
  [SMALL_STATE(15180)] = 423500,
  [SMALL_STATE(15181)] = 423513,
  [SMALL_STATE(15182)] = 423526,
  [SMALL_STATE(15183)] = 423539,
  [SMALL_STATE(15184)] = 423552,
  [SMALL_STATE(15185)] = 423565,
  [SMALL_STATE(15186)] = 423578,
  [SMALL_STATE(15187)] = 423591,
  [SMALL_STATE(15188)] = 423604,
  [SMALL_STATE(15189)] = 423617,
  [SMALL_STATE(15190)] = 423630,
  [SMALL_STATE(15191)] = 423643,
  [SMALL_STATE(15192)] = 423656,
  [SMALL_STATE(15193)] = 423667,
  [SMALL_STATE(15194)] = 423680,
  [SMALL_STATE(15195)] = 423693,
  [SMALL_STATE(15196)] = 423706,
  [SMALL_STATE(15197)] = 423719,
  [SMALL_STATE(15198)] = 423732,
  [SMALL_STATE(15199)] = 423745,
  [SMALL_STATE(15200)] = 423758,
  [SMALL_STATE(15201)] = 423771,
  [SMALL_STATE(15202)] = 423784,
  [SMALL_STATE(15203)] = 423797,
  [SMALL_STATE(15204)] = 423810,
  [SMALL_STATE(15205)] = 423823,
  [SMALL_STATE(15206)] = 423836,
  [SMALL_STATE(15207)] = 423849,
  [SMALL_STATE(15208)] = 423862,
  [SMALL_STATE(15209)] = 423875,
  [SMALL_STATE(15210)] = 423888,
  [SMALL_STATE(15211)] = 423901,
  [SMALL_STATE(15212)] = 423914,
  [SMALL_STATE(15213)] = 423925,
  [SMALL_STATE(15214)] = 423936,
  [SMALL_STATE(15215)] = 423949,
  [SMALL_STATE(15216)] = 423962,
  [SMALL_STATE(15217)] = 423975,
  [SMALL_STATE(15218)] = 423988,
  [SMALL_STATE(15219)] = 424001,
  [SMALL_STATE(15220)] = 424014,
  [SMALL_STATE(15221)] = 424027,
  [SMALL_STATE(15222)] = 424040,
  [SMALL_STATE(15223)] = 424053,
  [SMALL_STATE(15224)] = 424066,
  [SMALL_STATE(15225)] = 424079,
  [SMALL_STATE(15226)] = 424092,
  [SMALL_STATE(15227)] = 424105,
  [SMALL_STATE(15228)] = 424118,
  [SMALL_STATE(15229)] = 424131,
  [SMALL_STATE(15230)] = 424144,
  [SMALL_STATE(15231)] = 424157,
  [SMALL_STATE(15232)] = 424170,
  [SMALL_STATE(15233)] = 424183,
  [SMALL_STATE(15234)] = 424196,
  [SMALL_STATE(15235)] = 424209,
  [SMALL_STATE(15236)] = 424222,
  [SMALL_STATE(15237)] = 424235,
  [SMALL_STATE(15238)] = 424248,
  [SMALL_STATE(15239)] = 424261,
  [SMALL_STATE(15240)] = 424274,
  [SMALL_STATE(15241)] = 424287,
  [SMALL_STATE(15242)] = 424300,
  [SMALL_STATE(15243)] = 424313,
  [SMALL_STATE(15244)] = 424326,
  [SMALL_STATE(15245)] = 424339,
  [SMALL_STATE(15246)] = 424352,
  [SMALL_STATE(15247)] = 424365,
  [SMALL_STATE(15248)] = 424378,
  [SMALL_STATE(15249)] = 424391,
  [SMALL_STATE(15250)] = 424404,
  [SMALL_STATE(15251)] = 424417,
  [SMALL_STATE(15252)] = 424430,
  [SMALL_STATE(15253)] = 424443,
  [SMALL_STATE(15254)] = 424456,
  [SMALL_STATE(15255)] = 424469,
  [SMALL_STATE(15256)] = 424482,
  [SMALL_STATE(15257)] = 424495,
  [SMALL_STATE(15258)] = 424508,
  [SMALL_STATE(15259)] = 424521,
  [SMALL_STATE(15260)] = 424534,
  [SMALL_STATE(15261)] = 424547,
  [SMALL_STATE(15262)] = 424560,
  [SMALL_STATE(15263)] = 424573,
  [SMALL_STATE(15264)] = 424582,
  [SMALL_STATE(15265)] = 424595,
  [SMALL_STATE(15266)] = 424608,
  [SMALL_STATE(15267)] = 424617,
  [SMALL_STATE(15268)] = 424630,
  [SMALL_STATE(15269)] = 424639,
  [SMALL_STATE(15270)] = 424652,
  [SMALL_STATE(15271)] = 424665,
  [SMALL_STATE(15272)] = 424678,
  [SMALL_STATE(15273)] = 424691,
  [SMALL_STATE(15274)] = 424704,
  [SMALL_STATE(15275)] = 424717,
  [SMALL_STATE(15276)] = 424730,
  [SMALL_STATE(15277)] = 424743,
  [SMALL_STATE(15278)] = 424756,
  [SMALL_STATE(15279)] = 424769,
  [SMALL_STATE(15280)] = 424782,
  [SMALL_STATE(15281)] = 424795,
  [SMALL_STATE(15282)] = 424808,
  [SMALL_STATE(15283)] = 424821,
  [SMALL_STATE(15284)] = 424834,
  [SMALL_STATE(15285)] = 424847,
  [SMALL_STATE(15286)] = 424860,
  [SMALL_STATE(15287)] = 424873,
  [SMALL_STATE(15288)] = 424886,
  [SMALL_STATE(15289)] = 424899,
  [SMALL_STATE(15290)] = 424912,
  [SMALL_STATE(15291)] = 424925,
  [SMALL_STATE(15292)] = 424938,
  [SMALL_STATE(15293)] = 424951,
  [SMALL_STATE(15294)] = 424964,
  [SMALL_STATE(15295)] = 424977,
  [SMALL_STATE(15296)] = 424990,
  [SMALL_STATE(15297)] = 425003,
  [SMALL_STATE(15298)] = 425016,
  [SMALL_STATE(15299)] = 425029,
  [SMALL_STATE(15300)] = 425042,
  [SMALL_STATE(15301)] = 425053,
  [SMALL_STATE(15302)] = 425066,
  [SMALL_STATE(15303)] = 425079,
  [SMALL_STATE(15304)] = 425092,
  [SMALL_STATE(15305)] = 425105,
  [SMALL_STATE(15306)] = 425118,
  [SMALL_STATE(15307)] = 425131,
  [SMALL_STATE(15308)] = 425144,
  [SMALL_STATE(15309)] = 425157,
  [SMALL_STATE(15310)] = 425170,
  [SMALL_STATE(15311)] = 425183,
  [SMALL_STATE(15312)] = 425196,
  [SMALL_STATE(15313)] = 425209,
  [SMALL_STATE(15314)] = 425222,
  [SMALL_STATE(15315)] = 425235,
  [SMALL_STATE(15316)] = 425248,
  [SMALL_STATE(15317)] = 425261,
  [SMALL_STATE(15318)] = 425274,
  [SMALL_STATE(15319)] = 425287,
  [SMALL_STATE(15320)] = 425300,
  [SMALL_STATE(15321)] = 425313,
  [SMALL_STATE(15322)] = 425326,
  [SMALL_STATE(15323)] = 425339,
  [SMALL_STATE(15324)] = 425352,
  [SMALL_STATE(15325)] = 425365,
  [SMALL_STATE(15326)] = 425378,
  [SMALL_STATE(15327)] = 425391,
  [SMALL_STATE(15328)] = 425404,
  [SMALL_STATE(15329)] = 425417,
  [SMALL_STATE(15330)] = 425430,
  [SMALL_STATE(15331)] = 425443,
  [SMALL_STATE(15332)] = 425456,
  [SMALL_STATE(15333)] = 425469,
  [SMALL_STATE(15334)] = 425482,
  [SMALL_STATE(15335)] = 425495,
  [SMALL_STATE(15336)] = 425508,
  [SMALL_STATE(15337)] = 425521,
  [SMALL_STATE(15338)] = 425534,
  [SMALL_STATE(15339)] = 425547,
  [SMALL_STATE(15340)] = 425560,
  [SMALL_STATE(15341)] = 425573,
  [SMALL_STATE(15342)] = 425586,
  [SMALL_STATE(15343)] = 425599,
  [SMALL_STATE(15344)] = 425612,
  [SMALL_STATE(15345)] = 425625,
  [SMALL_STATE(15346)] = 425638,
  [SMALL_STATE(15347)] = 425651,
  [SMALL_STATE(15348)] = 425664,
  [SMALL_STATE(15349)] = 425677,
  [SMALL_STATE(15350)] = 425690,
  [SMALL_STATE(15351)] = 425703,
  [SMALL_STATE(15352)] = 425716,
  [SMALL_STATE(15353)] = 425729,
  [SMALL_STATE(15354)] = 425742,
  [SMALL_STATE(15355)] = 425755,
  [SMALL_STATE(15356)] = 425768,
  [SMALL_STATE(15357)] = 425781,
  [SMALL_STATE(15358)] = 425794,
  [SMALL_STATE(15359)] = 425807,
  [SMALL_STATE(15360)] = 425820,
  [SMALL_STATE(15361)] = 425833,
  [SMALL_STATE(15362)] = 425846,
  [SMALL_STATE(15363)] = 425859,
  [SMALL_STATE(15364)] = 425872,
  [SMALL_STATE(15365)] = 425885,
  [SMALL_STATE(15366)] = 425898,
  [SMALL_STATE(15367)] = 425911,
  [SMALL_STATE(15368)] = 425924,
  [SMALL_STATE(15369)] = 425937,
  [SMALL_STATE(15370)] = 425950,
  [SMALL_STATE(15371)] = 425963,
  [SMALL_STATE(15372)] = 425976,
  [SMALL_STATE(15373)] = 425989,
  [SMALL_STATE(15374)] = 426002,
  [SMALL_STATE(15375)] = 426015,
  [SMALL_STATE(15376)] = 426028,
  [SMALL_STATE(15377)] = 426041,
  [SMALL_STATE(15378)] = 426054,
  [SMALL_STATE(15379)] = 426067,
  [SMALL_STATE(15380)] = 426080,
  [SMALL_STATE(15381)] = 426093,
  [SMALL_STATE(15382)] = 426106,
  [SMALL_STATE(15383)] = 426119,
  [SMALL_STATE(15384)] = 426132,
  [SMALL_STATE(15385)] = 426145,
  [SMALL_STATE(15386)] = 426158,
  [SMALL_STATE(15387)] = 426171,
  [SMALL_STATE(15388)] = 426184,
  [SMALL_STATE(15389)] = 426197,
  [SMALL_STATE(15390)] = 426210,
  [SMALL_STATE(15391)] = 426223,
  [SMALL_STATE(15392)] = 426234,
  [SMALL_STATE(15393)] = 426245,
  [SMALL_STATE(15394)] = 426258,
  [SMALL_STATE(15395)] = 426271,
  [SMALL_STATE(15396)] = 426284,
  [SMALL_STATE(15397)] = 426297,
  [SMALL_STATE(15398)] = 426310,
  [SMALL_STATE(15399)] = 426323,
  [SMALL_STATE(15400)] = 426336,
  [SMALL_STATE(15401)] = 426349,
  [SMALL_STATE(15402)] = 426362,
  [SMALL_STATE(15403)] = 426375,
  [SMALL_STATE(15404)] = 426388,
  [SMALL_STATE(15405)] = 426401,
  [SMALL_STATE(15406)] = 426414,
  [SMALL_STATE(15407)] = 426427,
  [SMALL_STATE(15408)] = 426440,
  [SMALL_STATE(15409)] = 426453,
  [SMALL_STATE(15410)] = 426466,
  [SMALL_STATE(15411)] = 426479,
  [SMALL_STATE(15412)] = 426492,
  [SMALL_STATE(15413)] = 426505,
  [SMALL_STATE(15414)] = 426518,
  [SMALL_STATE(15415)] = 426531,
  [SMALL_STATE(15416)] = 426544,
  [SMALL_STATE(15417)] = 426557,
  [SMALL_STATE(15418)] = 426570,
  [SMALL_STATE(15419)] = 426583,
  [SMALL_STATE(15420)] = 426596,
  [SMALL_STATE(15421)] = 426609,
  [SMALL_STATE(15422)] = 426620,
  [SMALL_STATE(15423)] = 426633,
  [SMALL_STATE(15424)] = 426646,
  [SMALL_STATE(15425)] = 426659,
  [SMALL_STATE(15426)] = 426672,
  [SMALL_STATE(15427)] = 426685,
  [SMALL_STATE(15428)] = 426698,
  [SMALL_STATE(15429)] = 426711,
  [SMALL_STATE(15430)] = 426724,
  [SMALL_STATE(15431)] = 426733,
  [SMALL_STATE(15432)] = 426746,
  [SMALL_STATE(15433)] = 426759,
  [SMALL_STATE(15434)] = 426772,
  [SMALL_STATE(15435)] = 426785,
  [SMALL_STATE(15436)] = 426798,
  [SMALL_STATE(15437)] = 426811,
  [SMALL_STATE(15438)] = 426824,
  [SMALL_STATE(15439)] = 426837,
  [SMALL_STATE(15440)] = 426850,
  [SMALL_STATE(15441)] = 426863,
  [SMALL_STATE(15442)] = 426876,
  [SMALL_STATE(15443)] = 426889,
  [SMALL_STATE(15444)] = 426902,
  [SMALL_STATE(15445)] = 426915,
  [SMALL_STATE(15446)] = 426928,
  [SMALL_STATE(15447)] = 426941,
  [SMALL_STATE(15448)] = 426954,
  [SMALL_STATE(15449)] = 426967,
  [SMALL_STATE(15450)] = 426980,
  [SMALL_STATE(15451)] = 426993,
  [SMALL_STATE(15452)] = 427006,
  [SMALL_STATE(15453)] = 427019,
  [SMALL_STATE(15454)] = 427032,
  [SMALL_STATE(15455)] = 427045,
  [SMALL_STATE(15456)] = 427058,
  [SMALL_STATE(15457)] = 427071,
  [SMALL_STATE(15458)] = 427084,
  [SMALL_STATE(15459)] = 427097,
  [SMALL_STATE(15460)] = 427110,
  [SMALL_STATE(15461)] = 427123,
  [SMALL_STATE(15462)] = 427136,
  [SMALL_STATE(15463)] = 427149,
  [SMALL_STATE(15464)] = 427162,
  [SMALL_STATE(15465)] = 427175,
  [SMALL_STATE(15466)] = 427188,
  [SMALL_STATE(15467)] = 427201,
  [SMALL_STATE(15468)] = 427214,
  [SMALL_STATE(15469)] = 427227,
  [SMALL_STATE(15470)] = 427240,
  [SMALL_STATE(15471)] = 427253,
  [SMALL_STATE(15472)] = 427266,
  [SMALL_STATE(15473)] = 427279,
  [SMALL_STATE(15474)] = 427292,
  [SMALL_STATE(15475)] = 427305,
  [SMALL_STATE(15476)] = 427318,
  [SMALL_STATE(15477)] = 427331,
  [SMALL_STATE(15478)] = 427344,
  [SMALL_STATE(15479)] = 427357,
  [SMALL_STATE(15480)] = 427370,
  [SMALL_STATE(15481)] = 427383,
  [SMALL_STATE(15482)] = 427396,
  [SMALL_STATE(15483)] = 427409,
  [SMALL_STATE(15484)] = 427422,
  [SMALL_STATE(15485)] = 427435,
  [SMALL_STATE(15486)] = 427448,
  [SMALL_STATE(15487)] = 427461,
  [SMALL_STATE(15488)] = 427474,
  [SMALL_STATE(15489)] = 427487,
  [SMALL_STATE(15490)] = 427500,
  [SMALL_STATE(15491)] = 427513,
  [SMALL_STATE(15492)] = 427526,
  [SMALL_STATE(15493)] = 427539,
  [SMALL_STATE(15494)] = 427552,
  [SMALL_STATE(15495)] = 427565,
  [SMALL_STATE(15496)] = 427578,
  [SMALL_STATE(15497)] = 427591,
  [SMALL_STATE(15498)] = 427604,
  [SMALL_STATE(15499)] = 427617,
  [SMALL_STATE(15500)] = 427630,
  [SMALL_STATE(15501)] = 427643,
  [SMALL_STATE(15502)] = 427656,
  [SMALL_STATE(15503)] = 427669,
  [SMALL_STATE(15504)] = 427682,
  [SMALL_STATE(15505)] = 427695,
  [SMALL_STATE(15506)] = 427708,
  [SMALL_STATE(15507)] = 427721,
  [SMALL_STATE(15508)] = 427734,
  [SMALL_STATE(15509)] = 427747,
  [SMALL_STATE(15510)] = 427760,
  [SMALL_STATE(15511)] = 427773,
  [SMALL_STATE(15512)] = 427786,
  [SMALL_STATE(15513)] = 427799,
  [SMALL_STATE(15514)] = 427812,
  [SMALL_STATE(15515)] = 427825,
  [SMALL_STATE(15516)] = 427838,
  [SMALL_STATE(15517)] = 427851,
  [SMALL_STATE(15518)] = 427864,
  [SMALL_STATE(15519)] = 427877,
  [SMALL_STATE(15520)] = 427890,
  [SMALL_STATE(15521)] = 427903,
  [SMALL_STATE(15522)] = 427916,
  [SMALL_STATE(15523)] = 427929,
  [SMALL_STATE(15524)] = 427940,
  [SMALL_STATE(15525)] = 427951,
  [SMALL_STATE(15526)] = 427964,
  [SMALL_STATE(15527)] = 427977,
  [SMALL_STATE(15528)] = 427990,
  [SMALL_STATE(15529)] = 428003,
  [SMALL_STATE(15530)] = 428016,
  [SMALL_STATE(15531)] = 428029,
  [SMALL_STATE(15532)] = 428042,
  [SMALL_STATE(15533)] = 428055,
  [SMALL_STATE(15534)] = 428068,
  [SMALL_STATE(15535)] = 428081,
  [SMALL_STATE(15536)] = 428094,
  [SMALL_STATE(15537)] = 428107,
  [SMALL_STATE(15538)] = 428120,
  [SMALL_STATE(15539)] = 428133,
  [SMALL_STATE(15540)] = 428146,
  [SMALL_STATE(15541)] = 428159,
  [SMALL_STATE(15542)] = 428172,
  [SMALL_STATE(15543)] = 428185,
  [SMALL_STATE(15544)] = 428198,
  [SMALL_STATE(15545)] = 428209,
  [SMALL_STATE(15546)] = 428222,
  [SMALL_STATE(15547)] = 428235,
  [SMALL_STATE(15548)] = 428248,
  [SMALL_STATE(15549)] = 428261,
  [SMALL_STATE(15550)] = 428274,
  [SMALL_STATE(15551)] = 428285,
  [SMALL_STATE(15552)] = 428298,
  [SMALL_STATE(15553)] = 428311,
  [SMALL_STATE(15554)] = 428324,
  [SMALL_STATE(15555)] = 428337,
  [SMALL_STATE(15556)] = 428350,
  [SMALL_STATE(15557)] = 428363,
  [SMALL_STATE(15558)] = 428376,
  [SMALL_STATE(15559)] = 428389,
  [SMALL_STATE(15560)] = 428402,
  [SMALL_STATE(15561)] = 428415,
  [SMALL_STATE(15562)] = 428428,
  [SMALL_STATE(15563)] = 428441,
  [SMALL_STATE(15564)] = 428454,
  [SMALL_STATE(15565)] = 428467,
  [SMALL_STATE(15566)] = 428480,
  [SMALL_STATE(15567)] = 428493,
  [SMALL_STATE(15568)] = 428506,
  [SMALL_STATE(15569)] = 428519,
  [SMALL_STATE(15570)] = 428532,
  [SMALL_STATE(15571)] = 428545,
  [SMALL_STATE(15572)] = 428558,
  [SMALL_STATE(15573)] = 428571,
  [SMALL_STATE(15574)] = 428584,
  [SMALL_STATE(15575)] = 428597,
  [SMALL_STATE(15576)] = 428610,
  [SMALL_STATE(15577)] = 428623,
  [SMALL_STATE(15578)] = 428636,
  [SMALL_STATE(15579)] = 428649,
  [SMALL_STATE(15580)] = 428662,
  [SMALL_STATE(15581)] = 428675,
  [SMALL_STATE(15582)] = 428688,
  [SMALL_STATE(15583)] = 428701,
  [SMALL_STATE(15584)] = 428714,
  [SMALL_STATE(15585)] = 428727,
  [SMALL_STATE(15586)] = 428740,
  [SMALL_STATE(15587)] = 428753,
  [SMALL_STATE(15588)] = 428766,
  [SMALL_STATE(15589)] = 428779,
  [SMALL_STATE(15590)] = 428792,
  [SMALL_STATE(15591)] = 428805,
  [SMALL_STATE(15592)] = 428818,
  [SMALL_STATE(15593)] = 428831,
  [SMALL_STATE(15594)] = 428844,
  [SMALL_STATE(15595)] = 428857,
  [SMALL_STATE(15596)] = 428870,
  [SMALL_STATE(15597)] = 428883,
  [SMALL_STATE(15598)] = 428896,
  [SMALL_STATE(15599)] = 428909,
  [SMALL_STATE(15600)] = 428922,
  [SMALL_STATE(15601)] = 428935,
  [SMALL_STATE(15602)] = 428948,
  [SMALL_STATE(15603)] = 428961,
  [SMALL_STATE(15604)] = 428974,
  [SMALL_STATE(15605)] = 428987,
  [SMALL_STATE(15606)] = 429000,
  [SMALL_STATE(15607)] = 429013,
  [SMALL_STATE(15608)] = 429026,
  [SMALL_STATE(15609)] = 429039,
  [SMALL_STATE(15610)] = 429052,
  [SMALL_STATE(15611)] = 429065,
  [SMALL_STATE(15612)] = 429078,
  [SMALL_STATE(15613)] = 429091,
  [SMALL_STATE(15614)] = 429104,
  [SMALL_STATE(15615)] = 429115,
  [SMALL_STATE(15616)] = 429126,
  [SMALL_STATE(15617)] = 429137,
  [SMALL_STATE(15618)] = 429148,
  [SMALL_STATE(15619)] = 429161,
  [SMALL_STATE(15620)] = 429174,
  [SMALL_STATE(15621)] = 429187,
  [SMALL_STATE(15622)] = 429200,
  [SMALL_STATE(15623)] = 429213,
  [SMALL_STATE(15624)] = 429226,
  [SMALL_STATE(15625)] = 429239,
  [SMALL_STATE(15626)] = 429252,
  [SMALL_STATE(15627)] = 429265,
  [SMALL_STATE(15628)] = 429278,
  [SMALL_STATE(15629)] = 429291,
  [SMALL_STATE(15630)] = 429304,
  [SMALL_STATE(15631)] = 429317,
  [SMALL_STATE(15632)] = 429330,
  [SMALL_STATE(15633)] = 429343,
  [SMALL_STATE(15634)] = 429356,
  [SMALL_STATE(15635)] = 429369,
  [SMALL_STATE(15636)] = 429382,
  [SMALL_STATE(15637)] = 429395,
  [SMALL_STATE(15638)] = 429408,
  [SMALL_STATE(15639)] = 429421,
  [SMALL_STATE(15640)] = 429434,
  [SMALL_STATE(15641)] = 429447,
  [SMALL_STATE(15642)] = 429460,
  [SMALL_STATE(15643)] = 429473,
  [SMALL_STATE(15644)] = 429486,
  [SMALL_STATE(15645)] = 429499,
  [SMALL_STATE(15646)] = 429512,
  [SMALL_STATE(15647)] = 429525,
  [SMALL_STATE(15648)] = 429538,
  [SMALL_STATE(15649)] = 429551,
  [SMALL_STATE(15650)] = 429564,
  [SMALL_STATE(15651)] = 429577,
  [SMALL_STATE(15652)] = 429590,
  [SMALL_STATE(15653)] = 429603,
  [SMALL_STATE(15654)] = 429616,
  [SMALL_STATE(15655)] = 429629,
  [SMALL_STATE(15656)] = 429642,
  [SMALL_STATE(15657)] = 429655,
  [SMALL_STATE(15658)] = 429668,
  [SMALL_STATE(15659)] = 429681,
  [SMALL_STATE(15660)] = 429694,
  [SMALL_STATE(15661)] = 429707,
  [SMALL_STATE(15662)] = 429720,
  [SMALL_STATE(15663)] = 429733,
  [SMALL_STATE(15664)] = 429746,
  [SMALL_STATE(15665)] = 429759,
  [SMALL_STATE(15666)] = 429772,
  [SMALL_STATE(15667)] = 429785,
  [SMALL_STATE(15668)] = 429798,
  [SMALL_STATE(15669)] = 429811,
  [SMALL_STATE(15670)] = 429824,
  [SMALL_STATE(15671)] = 429837,
  [SMALL_STATE(15672)] = 429850,
  [SMALL_STATE(15673)] = 429863,
  [SMALL_STATE(15674)] = 429876,
  [SMALL_STATE(15675)] = 429889,
  [SMALL_STATE(15676)] = 429902,
  [SMALL_STATE(15677)] = 429915,
  [SMALL_STATE(15678)] = 429928,
  [SMALL_STATE(15679)] = 429941,
  [SMALL_STATE(15680)] = 429954,
  [SMALL_STATE(15681)] = 429967,
  [SMALL_STATE(15682)] = 429980,
  [SMALL_STATE(15683)] = 429993,
  [SMALL_STATE(15684)] = 430006,
  [SMALL_STATE(15685)] = 430019,
  [SMALL_STATE(15686)] = 430030,
  [SMALL_STATE(15687)] = 430043,
  [SMALL_STATE(15688)] = 430056,
  [SMALL_STATE(15689)] = 430069,
  [SMALL_STATE(15690)] = 430082,
  [SMALL_STATE(15691)] = 430095,
  [SMALL_STATE(15692)] = 430108,
  [SMALL_STATE(15693)] = 430121,
  [SMALL_STATE(15694)] = 430134,
  [SMALL_STATE(15695)] = 430147,
  [SMALL_STATE(15696)] = 430160,
  [SMALL_STATE(15697)] = 430173,
  [SMALL_STATE(15698)] = 430186,
  [SMALL_STATE(15699)] = 430199,
  [SMALL_STATE(15700)] = 430210,
  [SMALL_STATE(15701)] = 430223,
  [SMALL_STATE(15702)] = 430236,
  [SMALL_STATE(15703)] = 430249,
  [SMALL_STATE(15704)] = 430262,
  [SMALL_STATE(15705)] = 430275,
  [SMALL_STATE(15706)] = 430288,
  [SMALL_STATE(15707)] = 430301,
  [SMALL_STATE(15708)] = 430314,
  [SMALL_STATE(15709)] = 430327,
  [SMALL_STATE(15710)] = 430340,
  [SMALL_STATE(15711)] = 430353,
  [SMALL_STATE(15712)] = 430366,
  [SMALL_STATE(15713)] = 430379,
  [SMALL_STATE(15714)] = 430392,
  [SMALL_STATE(15715)] = 430405,
  [SMALL_STATE(15716)] = 430418,
  [SMALL_STATE(15717)] = 430431,
  [SMALL_STATE(15718)] = 430444,
  [SMALL_STATE(15719)] = 430457,
  [SMALL_STATE(15720)] = 430470,
  [SMALL_STATE(15721)] = 430483,
  [SMALL_STATE(15722)] = 430496,
  [SMALL_STATE(15723)] = 430509,
  [SMALL_STATE(15724)] = 430522,
  [SMALL_STATE(15725)] = 430535,
  [SMALL_STATE(15726)] = 430548,
  [SMALL_STATE(15727)] = 430561,
  [SMALL_STATE(15728)] = 430574,
  [SMALL_STATE(15729)] = 430587,
  [SMALL_STATE(15730)] = 430600,
  [SMALL_STATE(15731)] = 430613,
  [SMALL_STATE(15732)] = 430626,
  [SMALL_STATE(15733)] = 430635,
  [SMALL_STATE(15734)] = 430648,
  [SMALL_STATE(15735)] = 430661,
  [SMALL_STATE(15736)] = 430674,
  [SMALL_STATE(15737)] = 430683,
  [SMALL_STATE(15738)] = 430696,
  [SMALL_STATE(15739)] = 430709,
  [SMALL_STATE(15740)] = 430722,
  [SMALL_STATE(15741)] = 430735,
  [SMALL_STATE(15742)] = 430748,
  [SMALL_STATE(15743)] = 430761,
  [SMALL_STATE(15744)] = 430774,
  [SMALL_STATE(15745)] = 430787,
  [SMALL_STATE(15746)] = 430800,
  [SMALL_STATE(15747)] = 430813,
  [SMALL_STATE(15748)] = 430826,
  [SMALL_STATE(15749)] = 430839,
  [SMALL_STATE(15750)] = 430852,
  [SMALL_STATE(15751)] = 430865,
  [SMALL_STATE(15752)] = 430878,
  [SMALL_STATE(15753)] = 430891,
  [SMALL_STATE(15754)] = 430904,
  [SMALL_STATE(15755)] = 430917,
  [SMALL_STATE(15756)] = 430930,
  [SMALL_STATE(15757)] = 430943,
  [SMALL_STATE(15758)] = 430956,
  [SMALL_STATE(15759)] = 430969,
  [SMALL_STATE(15760)] = 430982,
  [SMALL_STATE(15761)] = 430995,
  [SMALL_STATE(15762)] = 431008,
  [SMALL_STATE(15763)] = 431021,
  [SMALL_STATE(15764)] = 431034,
  [SMALL_STATE(15765)] = 431047,
  [SMALL_STATE(15766)] = 431060,
  [SMALL_STATE(15767)] = 431073,
  [SMALL_STATE(15768)] = 431086,
  [SMALL_STATE(15769)] = 431099,
  [SMALL_STATE(15770)] = 431112,
  [SMALL_STATE(15771)] = 431125,
  [SMALL_STATE(15772)] = 431138,
  [SMALL_STATE(15773)] = 431151,
  [SMALL_STATE(15774)] = 431164,
  [SMALL_STATE(15775)] = 431177,
  [SMALL_STATE(15776)] = 431190,
  [SMALL_STATE(15777)] = 431203,
  [SMALL_STATE(15778)] = 431216,
  [SMALL_STATE(15779)] = 431229,
  [SMALL_STATE(15780)] = 431242,
  [SMALL_STATE(15781)] = 431255,
  [SMALL_STATE(15782)] = 431268,
  [SMALL_STATE(15783)] = 431281,
  [SMALL_STATE(15784)] = 431294,
  [SMALL_STATE(15785)] = 431307,
  [SMALL_STATE(15786)] = 431320,
  [SMALL_STATE(15787)] = 431333,
  [SMALL_STATE(15788)] = 431346,
  [SMALL_STATE(15789)] = 431359,
  [SMALL_STATE(15790)] = 431372,
  [SMALL_STATE(15791)] = 431385,
  [SMALL_STATE(15792)] = 431398,
  [SMALL_STATE(15793)] = 431411,
  [SMALL_STATE(15794)] = 431424,
  [SMALL_STATE(15795)] = 431437,
  [SMALL_STATE(15796)] = 431450,
  [SMALL_STATE(15797)] = 431463,
  [SMALL_STATE(15798)] = 431476,
  [SMALL_STATE(15799)] = 431489,
  [SMALL_STATE(15800)] = 431502,
  [SMALL_STATE(15801)] = 431515,
  [SMALL_STATE(15802)] = 431528,
  [SMALL_STATE(15803)] = 431541,
  [SMALL_STATE(15804)] = 431554,
  [SMALL_STATE(15805)] = 431567,
  [SMALL_STATE(15806)] = 431580,
  [SMALL_STATE(15807)] = 431593,
  [SMALL_STATE(15808)] = 431606,
  [SMALL_STATE(15809)] = 431619,
  [SMALL_STATE(15810)] = 431632,
  [SMALL_STATE(15811)] = 431645,
  [SMALL_STATE(15812)] = 431658,
  [SMALL_STATE(15813)] = 431671,
  [SMALL_STATE(15814)] = 431684,
  [SMALL_STATE(15815)] = 431697,
  [SMALL_STATE(15816)] = 431710,
  [SMALL_STATE(15817)] = 431723,
  [SMALL_STATE(15818)] = 431736,
  [SMALL_STATE(15819)] = 431749,
  [SMALL_STATE(15820)] = 431762,
  [SMALL_STATE(15821)] = 431775,
  [SMALL_STATE(15822)] = 431788,
  [SMALL_STATE(15823)] = 431801,
  [SMALL_STATE(15824)] = 431814,
  [SMALL_STATE(15825)] = 431827,
  [SMALL_STATE(15826)] = 431840,
  [SMALL_STATE(15827)] = 431853,
  [SMALL_STATE(15828)] = 431866,
  [SMALL_STATE(15829)] = 431879,
  [SMALL_STATE(15830)] = 431892,
  [SMALL_STATE(15831)] = 431905,
  [SMALL_STATE(15832)] = 431918,
  [SMALL_STATE(15833)] = 431931,
  [SMALL_STATE(15834)] = 431944,
  [SMALL_STATE(15835)] = 431957,
  [SMALL_STATE(15836)] = 431970,
  [SMALL_STATE(15837)] = 431983,
  [SMALL_STATE(15838)] = 431996,
  [SMALL_STATE(15839)] = 432009,
  [SMALL_STATE(15840)] = 432022,
  [SMALL_STATE(15841)] = 432035,
  [SMALL_STATE(15842)] = 432048,
  [SMALL_STATE(15843)] = 432061,
  [SMALL_STATE(15844)] = 432074,
  [SMALL_STATE(15845)] = 432087,
  [SMALL_STATE(15846)] = 432100,
  [SMALL_STATE(15847)] = 432113,
  [SMALL_STATE(15848)] = 432126,
  [SMALL_STATE(15849)] = 432139,
  [SMALL_STATE(15850)] = 432152,
  [SMALL_STATE(15851)] = 432165,
  [SMALL_STATE(15852)] = 432178,
  [SMALL_STATE(15853)] = 432191,
  [SMALL_STATE(15854)] = 432204,
  [SMALL_STATE(15855)] = 432217,
  [SMALL_STATE(15856)] = 432230,
  [SMALL_STATE(15857)] = 432243,
  [SMALL_STATE(15858)] = 432256,
  [SMALL_STATE(15859)] = 432269,
  [SMALL_STATE(15860)] = 432282,
  [SMALL_STATE(15861)] = 432295,
  [SMALL_STATE(15862)] = 432308,
  [SMALL_STATE(15863)] = 432321,
  [SMALL_STATE(15864)] = 432334,
  [SMALL_STATE(15865)] = 432347,
  [SMALL_STATE(15866)] = 432360,
  [SMALL_STATE(15867)] = 432373,
  [SMALL_STATE(15868)] = 432386,
  [SMALL_STATE(15869)] = 432399,
  [SMALL_STATE(15870)] = 432412,
  [SMALL_STATE(15871)] = 432425,
  [SMALL_STATE(15872)] = 432438,
  [SMALL_STATE(15873)] = 432451,
  [SMALL_STATE(15874)] = 432464,
  [SMALL_STATE(15875)] = 432477,
  [SMALL_STATE(15876)] = 432490,
  [SMALL_STATE(15877)] = 432503,
  [SMALL_STATE(15878)] = 432516,
  [SMALL_STATE(15879)] = 432529,
  [SMALL_STATE(15880)] = 432542,
  [SMALL_STATE(15881)] = 432555,
  [SMALL_STATE(15882)] = 432568,
  [SMALL_STATE(15883)] = 432581,
  [SMALL_STATE(15884)] = 432594,
  [SMALL_STATE(15885)] = 432607,
  [SMALL_STATE(15886)] = 432620,
  [SMALL_STATE(15887)] = 432633,
  [SMALL_STATE(15888)] = 432646,
  [SMALL_STATE(15889)] = 432659,
  [SMALL_STATE(15890)] = 432672,
  [SMALL_STATE(15891)] = 432685,
  [SMALL_STATE(15892)] = 432698,
  [SMALL_STATE(15893)] = 432711,
  [SMALL_STATE(15894)] = 432724,
  [SMALL_STATE(15895)] = 432737,
  [SMALL_STATE(15896)] = 432750,
  [SMALL_STATE(15897)] = 432763,
  [SMALL_STATE(15898)] = 432776,
  [SMALL_STATE(15899)] = 432789,
  [SMALL_STATE(15900)] = 432802,
  [SMALL_STATE(15901)] = 432815,
  [SMALL_STATE(15902)] = 432828,
  [SMALL_STATE(15903)] = 432841,
  [SMALL_STATE(15904)] = 432854,
  [SMALL_STATE(15905)] = 432867,
  [SMALL_STATE(15906)] = 432878,
  [SMALL_STATE(15907)] = 432891,
  [SMALL_STATE(15908)] = 432904,
  [SMALL_STATE(15909)] = 432917,
  [SMALL_STATE(15910)] = 432930,
  [SMALL_STATE(15911)] = 432943,
  [SMALL_STATE(15912)] = 432956,
  [SMALL_STATE(15913)] = 432969,
  [SMALL_STATE(15914)] = 432982,
  [SMALL_STATE(15915)] = 432995,
  [SMALL_STATE(15916)] = 433008,
  [SMALL_STATE(15917)] = 433021,
  [SMALL_STATE(15918)] = 433034,
  [SMALL_STATE(15919)] = 433047,
  [SMALL_STATE(15920)] = 433060,
  [SMALL_STATE(15921)] = 433073,
  [SMALL_STATE(15922)] = 433086,
  [SMALL_STATE(15923)] = 433099,
  [SMALL_STATE(15924)] = 433112,
  [SMALL_STATE(15925)] = 433125,
  [SMALL_STATE(15926)] = 433138,
  [SMALL_STATE(15927)] = 433151,
  [SMALL_STATE(15928)] = 433164,
  [SMALL_STATE(15929)] = 433177,
  [SMALL_STATE(15930)] = 433190,
  [SMALL_STATE(15931)] = 433203,
  [SMALL_STATE(15932)] = 433216,
  [SMALL_STATE(15933)] = 433229,
  [SMALL_STATE(15934)] = 433242,
  [SMALL_STATE(15935)] = 433255,
  [SMALL_STATE(15936)] = 433268,
  [SMALL_STATE(15937)] = 433281,
  [SMALL_STATE(15938)] = 433294,
  [SMALL_STATE(15939)] = 433307,
  [SMALL_STATE(15940)] = 433320,
  [SMALL_STATE(15941)] = 433333,
  [SMALL_STATE(15942)] = 433346,
  [SMALL_STATE(15943)] = 433359,
  [SMALL_STATE(15944)] = 433372,
  [SMALL_STATE(15945)] = 433385,
  [SMALL_STATE(15946)] = 433398,
  [SMALL_STATE(15947)] = 433411,
  [SMALL_STATE(15948)] = 433424,
  [SMALL_STATE(15949)] = 433437,
  [SMALL_STATE(15950)] = 433450,
  [SMALL_STATE(15951)] = 433463,
  [SMALL_STATE(15952)] = 433476,
  [SMALL_STATE(15953)] = 433489,
  [SMALL_STATE(15954)] = 433502,
  [SMALL_STATE(15955)] = 433515,
  [SMALL_STATE(15956)] = 433528,
  [SMALL_STATE(15957)] = 433541,
  [SMALL_STATE(15958)] = 433554,
  [SMALL_STATE(15959)] = 433567,
  [SMALL_STATE(15960)] = 433580,
  [SMALL_STATE(15961)] = 433591,
  [SMALL_STATE(15962)] = 433604,
  [SMALL_STATE(15963)] = 433617,
  [SMALL_STATE(15964)] = 433630,
  [SMALL_STATE(15965)] = 433643,
  [SMALL_STATE(15966)] = 433656,
  [SMALL_STATE(15967)] = 433669,
  [SMALL_STATE(15968)] = 433682,
  [SMALL_STATE(15969)] = 433695,
  [SMALL_STATE(15970)] = 433708,
  [SMALL_STATE(15971)] = 433721,
  [SMALL_STATE(15972)] = 433734,
  [SMALL_STATE(15973)] = 433747,
  [SMALL_STATE(15974)] = 433760,
  [SMALL_STATE(15975)] = 433773,
  [SMALL_STATE(15976)] = 433786,
  [SMALL_STATE(15977)] = 433799,
  [SMALL_STATE(15978)] = 433812,
  [SMALL_STATE(15979)] = 433825,
  [SMALL_STATE(15980)] = 433838,
  [SMALL_STATE(15981)] = 433851,
  [SMALL_STATE(15982)] = 433864,
  [SMALL_STATE(15983)] = 433877,
  [SMALL_STATE(15984)] = 433890,
  [SMALL_STATE(15985)] = 433903,
  [SMALL_STATE(15986)] = 433916,
  [SMALL_STATE(15987)] = 433926,
  [SMALL_STATE(15988)] = 433936,
  [SMALL_STATE(15989)] = 433946,
  [SMALL_STATE(15990)] = 433956,
  [SMALL_STATE(15991)] = 433966,
  [SMALL_STATE(15992)] = 433974,
  [SMALL_STATE(15993)] = 433984,
  [SMALL_STATE(15994)] = 433994,
  [SMALL_STATE(15995)] = 434004,
  [SMALL_STATE(15996)] = 434014,
  [SMALL_STATE(15997)] = 434024,
  [SMALL_STATE(15998)] = 434034,
  [SMALL_STATE(15999)] = 434044,
  [SMALL_STATE(16000)] = 434052,
  [SMALL_STATE(16001)] = 434060,
  [SMALL_STATE(16002)] = 434070,
  [SMALL_STATE(16003)] = 434080,
  [SMALL_STATE(16004)] = 434090,
  [SMALL_STATE(16005)] = 434100,
  [SMALL_STATE(16006)] = 434110,
  [SMALL_STATE(16007)] = 434120,
  [SMALL_STATE(16008)] = 434130,
  [SMALL_STATE(16009)] = 434140,
  [SMALL_STATE(16010)] = 434150,
  [SMALL_STATE(16011)] = 434160,
  [SMALL_STATE(16012)] = 434170,
  [SMALL_STATE(16013)] = 434180,
  [SMALL_STATE(16014)] = 434190,
  [SMALL_STATE(16015)] = 434200,
  [SMALL_STATE(16016)] = 434210,
  [SMALL_STATE(16017)] = 434220,
  [SMALL_STATE(16018)] = 434230,
  [SMALL_STATE(16019)] = 434240,
  [SMALL_STATE(16020)] = 434250,
  [SMALL_STATE(16021)] = 434260,
  [SMALL_STATE(16022)] = 434268,
  [SMALL_STATE(16023)] = 434278,
  [SMALL_STATE(16024)] = 434286,
  [SMALL_STATE(16025)] = 434296,
  [SMALL_STATE(16026)] = 434306,
  [SMALL_STATE(16027)] = 434316,
  [SMALL_STATE(16028)] = 434326,
  [SMALL_STATE(16029)] = 434336,
  [SMALL_STATE(16030)] = 434346,
  [SMALL_STATE(16031)] = 434356,
  [SMALL_STATE(16032)] = 434366,
  [SMALL_STATE(16033)] = 434376,
  [SMALL_STATE(16034)] = 434386,
  [SMALL_STATE(16035)] = 434396,
  [SMALL_STATE(16036)] = 434406,
  [SMALL_STATE(16037)] = 434416,
  [SMALL_STATE(16038)] = 434426,
  [SMALL_STATE(16039)] = 434436,
  [SMALL_STATE(16040)] = 434446,
  [SMALL_STATE(16041)] = 434456,
  [SMALL_STATE(16042)] = 434466,
  [SMALL_STATE(16043)] = 434476,
  [SMALL_STATE(16044)] = 434486,
  [SMALL_STATE(16045)] = 434496,
  [SMALL_STATE(16046)] = 434506,
  [SMALL_STATE(16047)] = 434516,
  [SMALL_STATE(16048)] = 434526,
  [SMALL_STATE(16049)] = 434536,
  [SMALL_STATE(16050)] = 434546,
  [SMALL_STATE(16051)] = 434556,
  [SMALL_STATE(16052)] = 434566,
  [SMALL_STATE(16053)] = 434576,
  [SMALL_STATE(16054)] = 434586,
  [SMALL_STATE(16055)] = 434596,
  [SMALL_STATE(16056)] = 434606,
  [SMALL_STATE(16057)] = 434616,
  [SMALL_STATE(16058)] = 434626,
  [SMALL_STATE(16059)] = 434636,
  [SMALL_STATE(16060)] = 434646,
  [SMALL_STATE(16061)] = 434656,
  [SMALL_STATE(16062)] = 434664,
  [SMALL_STATE(16063)] = 434674,
  [SMALL_STATE(16064)] = 434684,
  [SMALL_STATE(16065)] = 434694,
  [SMALL_STATE(16066)] = 434704,
  [SMALL_STATE(16067)] = 434714,
  [SMALL_STATE(16068)] = 434724,
  [SMALL_STATE(16069)] = 434734,
  [SMALL_STATE(16070)] = 434744,
  [SMALL_STATE(16071)] = 434754,
  [SMALL_STATE(16072)] = 434764,
  [SMALL_STATE(16073)] = 434774,
  [SMALL_STATE(16074)] = 434784,
  [SMALL_STATE(16075)] = 434794,
  [SMALL_STATE(16076)] = 434804,
  [SMALL_STATE(16077)] = 434812,
  [SMALL_STATE(16078)] = 434822,
  [SMALL_STATE(16079)] = 434832,
  [SMALL_STATE(16080)] = 434842,
  [SMALL_STATE(16081)] = 434850,
  [SMALL_STATE(16082)] = 434860,
  [SMALL_STATE(16083)] = 434870,
  [SMALL_STATE(16084)] = 434880,
  [SMALL_STATE(16085)] = 434890,
  [SMALL_STATE(16086)] = 434900,
  [SMALL_STATE(16087)] = 434910,
  [SMALL_STATE(16088)] = 434920,
  [SMALL_STATE(16089)] = 434930,
  [SMALL_STATE(16090)] = 434940,
  [SMALL_STATE(16091)] = 434950,
  [SMALL_STATE(16092)] = 434960,
  [SMALL_STATE(16093)] = 434970,
  [SMALL_STATE(16094)] = 434980,
  [SMALL_STATE(16095)] = 434990,
  [SMALL_STATE(16096)] = 435000,
  [SMALL_STATE(16097)] = 435010,
  [SMALL_STATE(16098)] = 435018,
  [SMALL_STATE(16099)] = 435026,
  [SMALL_STATE(16100)] = 435036,
  [SMALL_STATE(16101)] = 435044,
  [SMALL_STATE(16102)] = 435054,
  [SMALL_STATE(16103)] = 435064,
  [SMALL_STATE(16104)] = 435072,
  [SMALL_STATE(16105)] = 435082,
  [SMALL_STATE(16106)] = 435092,
  [SMALL_STATE(16107)] = 435102,
  [SMALL_STATE(16108)] = 435112,
  [SMALL_STATE(16109)] = 435120,
  [SMALL_STATE(16110)] = 435130,
  [SMALL_STATE(16111)] = 435140,
  [SMALL_STATE(16112)] = 435150,
  [SMALL_STATE(16113)] = 435160,
  [SMALL_STATE(16114)] = 435170,
  [SMALL_STATE(16115)] = 435180,
  [SMALL_STATE(16116)] = 435188,
  [SMALL_STATE(16117)] = 435198,
  [SMALL_STATE(16118)] = 435208,
  [SMALL_STATE(16119)] = 435218,
  [SMALL_STATE(16120)] = 435228,
  [SMALL_STATE(16121)] = 435238,
  [SMALL_STATE(16122)] = 435248,
  [SMALL_STATE(16123)] = 435258,
  [SMALL_STATE(16124)] = 435268,
  [SMALL_STATE(16125)] = 435278,
  [SMALL_STATE(16126)] = 435288,
  [SMALL_STATE(16127)] = 435298,
  [SMALL_STATE(16128)] = 435306,
  [SMALL_STATE(16129)] = 435316,
  [SMALL_STATE(16130)] = 435326,
  [SMALL_STATE(16131)] = 435336,
  [SMALL_STATE(16132)] = 435346,
  [SMALL_STATE(16133)] = 435356,
  [SMALL_STATE(16134)] = 435366,
  [SMALL_STATE(16135)] = 435376,
  [SMALL_STATE(16136)] = 435384,
  [SMALL_STATE(16137)] = 435392,
  [SMALL_STATE(16138)] = 435402,
  [SMALL_STATE(16139)] = 435412,
  [SMALL_STATE(16140)] = 435422,
  [SMALL_STATE(16141)] = 435430,
  [SMALL_STATE(16142)] = 435440,
  [SMALL_STATE(16143)] = 435450,
  [SMALL_STATE(16144)] = 435460,
  [SMALL_STATE(16145)] = 435470,
  [SMALL_STATE(16146)] = 435480,
  [SMALL_STATE(16147)] = 435490,
  [SMALL_STATE(16148)] = 435500,
  [SMALL_STATE(16149)] = 435510,
  [SMALL_STATE(16150)] = 435520,
  [SMALL_STATE(16151)] = 435530,
  [SMALL_STATE(16152)] = 435540,
  [SMALL_STATE(16153)] = 435550,
  [SMALL_STATE(16154)] = 435558,
  [SMALL_STATE(16155)] = 435568,
  [SMALL_STATE(16156)] = 435576,
  [SMALL_STATE(16157)] = 435584,
  [SMALL_STATE(16158)] = 435592,
  [SMALL_STATE(16159)] = 435602,
  [SMALL_STATE(16160)] = 435612,
  [SMALL_STATE(16161)] = 435622,
  [SMALL_STATE(16162)] = 435632,
  [SMALL_STATE(16163)] = 435642,
  [SMALL_STATE(16164)] = 435652,
  [SMALL_STATE(16165)] = 435662,
  [SMALL_STATE(16166)] = 435672,
  [SMALL_STATE(16167)] = 435682,
  [SMALL_STATE(16168)] = 435692,
  [SMALL_STATE(16169)] = 435700,
  [SMALL_STATE(16170)] = 435710,
  [SMALL_STATE(16171)] = 435720,
  [SMALL_STATE(16172)] = 435730,
  [SMALL_STATE(16173)] = 435740,
  [SMALL_STATE(16174)] = 435750,
  [SMALL_STATE(16175)] = 435760,
  [SMALL_STATE(16176)] = 435770,
  [SMALL_STATE(16177)] = 435780,
  [SMALL_STATE(16178)] = 435790,
  [SMALL_STATE(16179)] = 435800,
  [SMALL_STATE(16180)] = 435810,
  [SMALL_STATE(16181)] = 435820,
  [SMALL_STATE(16182)] = 435830,
  [SMALL_STATE(16183)] = 435840,
  [SMALL_STATE(16184)] = 435850,
  [SMALL_STATE(16185)] = 435860,
  [SMALL_STATE(16186)] = 435868,
  [SMALL_STATE(16187)] = 435878,
  [SMALL_STATE(16188)] = 435888,
  [SMALL_STATE(16189)] = 435898,
  [SMALL_STATE(16190)] = 435908,
  [SMALL_STATE(16191)] = 435918,
  [SMALL_STATE(16192)] = 435928,
  [SMALL_STATE(16193)] = 435938,
  [SMALL_STATE(16194)] = 435948,
  [SMALL_STATE(16195)] = 435956,
  [SMALL_STATE(16196)] = 435964,
  [SMALL_STATE(16197)] = 435974,
  [SMALL_STATE(16198)] = 435984,
  [SMALL_STATE(16199)] = 435994,
  [SMALL_STATE(16200)] = 436004,
  [SMALL_STATE(16201)] = 436014,
  [SMALL_STATE(16202)] = 436024,
  [SMALL_STATE(16203)] = 436034,
  [SMALL_STATE(16204)] = 436044,
  [SMALL_STATE(16205)] = 436054,
  [SMALL_STATE(16206)] = 436064,
  [SMALL_STATE(16207)] = 436074,
  [SMALL_STATE(16208)] = 436082,
  [SMALL_STATE(16209)] = 436092,
  [SMALL_STATE(16210)] = 436102,
  [SMALL_STATE(16211)] = 436112,
  [SMALL_STATE(16212)] = 436122,
  [SMALL_STATE(16213)] = 436132,
  [SMALL_STATE(16214)] = 436142,
  [SMALL_STATE(16215)] = 436152,
  [SMALL_STATE(16216)] = 436162,
  [SMALL_STATE(16217)] = 436172,
  [SMALL_STATE(16218)] = 436182,
  [SMALL_STATE(16219)] = 436192,
  [SMALL_STATE(16220)] = 436202,
  [SMALL_STATE(16221)] = 436212,
  [SMALL_STATE(16222)] = 436222,
  [SMALL_STATE(16223)] = 436230,
  [SMALL_STATE(16224)] = 436240,
  [SMALL_STATE(16225)] = 436248,
  [SMALL_STATE(16226)] = 436258,
  [SMALL_STATE(16227)] = 436268,
  [SMALL_STATE(16228)] = 436278,
  [SMALL_STATE(16229)] = 436288,
  [SMALL_STATE(16230)] = 436298,
  [SMALL_STATE(16231)] = 436308,
  [SMALL_STATE(16232)] = 436318,
  [SMALL_STATE(16233)] = 436328,
  [SMALL_STATE(16234)] = 436338,
  [SMALL_STATE(16235)] = 436348,
  [SMALL_STATE(16236)] = 436358,
  [SMALL_STATE(16237)] = 436368,
  [SMALL_STATE(16238)] = 436378,
  [SMALL_STATE(16239)] = 436388,
  [SMALL_STATE(16240)] = 436398,
  [SMALL_STATE(16241)] = 436408,
  [SMALL_STATE(16242)] = 436418,
  [SMALL_STATE(16243)] = 436428,
  [SMALL_STATE(16244)] = 436438,
  [SMALL_STATE(16245)] = 436448,
  [SMALL_STATE(16246)] = 436458,
  [SMALL_STATE(16247)] = 436468,
  [SMALL_STATE(16248)] = 436478,
  [SMALL_STATE(16249)] = 436488,
  [SMALL_STATE(16250)] = 436498,
  [SMALL_STATE(16251)] = 436506,
  [SMALL_STATE(16252)] = 436516,
  [SMALL_STATE(16253)] = 436526,
  [SMALL_STATE(16254)] = 436536,
  [SMALL_STATE(16255)] = 436546,
  [SMALL_STATE(16256)] = 436556,
  [SMALL_STATE(16257)] = 436566,
  [SMALL_STATE(16258)] = 436576,
  [SMALL_STATE(16259)] = 436586,
  [SMALL_STATE(16260)] = 436596,
  [SMALL_STATE(16261)] = 436604,
  [SMALL_STATE(16262)] = 436614,
  [SMALL_STATE(16263)] = 436622,
  [SMALL_STATE(16264)] = 436632,
  [SMALL_STATE(16265)] = 436642,
  [SMALL_STATE(16266)] = 436652,
  [SMALL_STATE(16267)] = 436662,
  [SMALL_STATE(16268)] = 436672,
  [SMALL_STATE(16269)] = 436682,
  [SMALL_STATE(16270)] = 436692,
  [SMALL_STATE(16271)] = 436702,
  [SMALL_STATE(16272)] = 436712,
  [SMALL_STATE(16273)] = 436722,
  [SMALL_STATE(16274)] = 436732,
  [SMALL_STATE(16275)] = 436742,
  [SMALL_STATE(16276)] = 436752,
  [SMALL_STATE(16277)] = 436760,
  [SMALL_STATE(16278)] = 436770,
  [SMALL_STATE(16279)] = 436780,
  [SMALL_STATE(16280)] = 436788,
  [SMALL_STATE(16281)] = 436798,
  [SMALL_STATE(16282)] = 436808,
  [SMALL_STATE(16283)] = 436818,
  [SMALL_STATE(16284)] = 436828,
  [SMALL_STATE(16285)] = 436838,
  [SMALL_STATE(16286)] = 436848,
  [SMALL_STATE(16287)] = 436858,
  [SMALL_STATE(16288)] = 436868,
  [SMALL_STATE(16289)] = 436878,
  [SMALL_STATE(16290)] = 436888,
  [SMALL_STATE(16291)] = 436898,
  [SMALL_STATE(16292)] = 436908,
  [SMALL_STATE(16293)] = 436918,
  [SMALL_STATE(16294)] = 436928,
  [SMALL_STATE(16295)] = 436938,
  [SMALL_STATE(16296)] = 436948,
  [SMALL_STATE(16297)] = 436958,
  [SMALL_STATE(16298)] = 436968,
  [SMALL_STATE(16299)] = 436978,
  [SMALL_STATE(16300)] = 436988,
  [SMALL_STATE(16301)] = 436998,
  [SMALL_STATE(16302)] = 437006,
  [SMALL_STATE(16303)] = 437016,
  [SMALL_STATE(16304)] = 437026,
  [SMALL_STATE(16305)] = 437036,
  [SMALL_STATE(16306)] = 437044,
  [SMALL_STATE(16307)] = 437054,
  [SMALL_STATE(16308)] = 437064,
  [SMALL_STATE(16309)] = 437074,
  [SMALL_STATE(16310)] = 437084,
  [SMALL_STATE(16311)] = 437094,
  [SMALL_STATE(16312)] = 437104,
  [SMALL_STATE(16313)] = 437114,
  [SMALL_STATE(16314)] = 437124,
  [SMALL_STATE(16315)] = 437134,
  [SMALL_STATE(16316)] = 437144,
  [SMALL_STATE(16317)] = 437154,
  [SMALL_STATE(16318)] = 437164,
  [SMALL_STATE(16319)] = 437174,
  [SMALL_STATE(16320)] = 437184,
  [SMALL_STATE(16321)] = 437194,
  [SMALL_STATE(16322)] = 437204,
  [SMALL_STATE(16323)] = 437214,
  [SMALL_STATE(16324)] = 437224,
  [SMALL_STATE(16325)] = 437232,
  [SMALL_STATE(16326)] = 437242,
  [SMALL_STATE(16327)] = 437252,
  [SMALL_STATE(16328)] = 437262,
  [SMALL_STATE(16329)] = 437272,
  [SMALL_STATE(16330)] = 437282,
  [SMALL_STATE(16331)] = 437292,
  [SMALL_STATE(16332)] = 437302,
  [SMALL_STATE(16333)] = 437312,
  [SMALL_STATE(16334)] = 437320,
  [SMALL_STATE(16335)] = 437330,
  [SMALL_STATE(16336)] = 437340,
  [SMALL_STATE(16337)] = 437350,
  [SMALL_STATE(16338)] = 437360,
  [SMALL_STATE(16339)] = 437370,
  [SMALL_STATE(16340)] = 437380,
  [SMALL_STATE(16341)] = 437390,
  [SMALL_STATE(16342)] = 437400,
  [SMALL_STATE(16343)] = 437410,
  [SMALL_STATE(16344)] = 437420,
  [SMALL_STATE(16345)] = 437430,
  [SMALL_STATE(16346)] = 437440,
  [SMALL_STATE(16347)] = 437450,
  [SMALL_STATE(16348)] = 437460,
  [SMALL_STATE(16349)] = 437470,
  [SMALL_STATE(16350)] = 437480,
  [SMALL_STATE(16351)] = 437490,
  [SMALL_STATE(16352)] = 437500,
  [SMALL_STATE(16353)] = 437507,
  [SMALL_STATE(16354)] = 437514,
  [SMALL_STATE(16355)] = 437521,
  [SMALL_STATE(16356)] = 437528,
  [SMALL_STATE(16357)] = 437535,
  [SMALL_STATE(16358)] = 437542,
  [SMALL_STATE(16359)] = 437549,
  [SMALL_STATE(16360)] = 437556,
  [SMALL_STATE(16361)] = 437563,
  [SMALL_STATE(16362)] = 437570,
  [SMALL_STATE(16363)] = 437577,
  [SMALL_STATE(16364)] = 437584,
  [SMALL_STATE(16365)] = 437591,
  [SMALL_STATE(16366)] = 437598,
  [SMALL_STATE(16367)] = 437605,
  [SMALL_STATE(16368)] = 437612,
  [SMALL_STATE(16369)] = 437619,
  [SMALL_STATE(16370)] = 437626,
  [SMALL_STATE(16371)] = 437633,
  [SMALL_STATE(16372)] = 437640,
  [SMALL_STATE(16373)] = 437647,
  [SMALL_STATE(16374)] = 437654,
  [SMALL_STATE(16375)] = 437661,
  [SMALL_STATE(16376)] = 437668,
  [SMALL_STATE(16377)] = 437675,
  [SMALL_STATE(16378)] = 437682,
  [SMALL_STATE(16379)] = 437689,
  [SMALL_STATE(16380)] = 437696,
  [SMALL_STATE(16381)] = 437703,
  [SMALL_STATE(16382)] = 437710,
  [SMALL_STATE(16383)] = 437717,
  [SMALL_STATE(16384)] = 437724,
  [SMALL_STATE(16385)] = 437731,
  [SMALL_STATE(16386)] = 437738,
  [SMALL_STATE(16387)] = 437745,
  [SMALL_STATE(16388)] = 437752,
  [SMALL_STATE(16389)] = 437759,
  [SMALL_STATE(16390)] = 437766,
  [SMALL_STATE(16391)] = 437773,
  [SMALL_STATE(16392)] = 437780,
  [SMALL_STATE(16393)] = 437787,
  [SMALL_STATE(16394)] = 437794,
  [SMALL_STATE(16395)] = 437801,
  [SMALL_STATE(16396)] = 437808,
  [SMALL_STATE(16397)] = 437815,
  [SMALL_STATE(16398)] = 437822,
  [SMALL_STATE(16399)] = 437829,
  [SMALL_STATE(16400)] = 437836,
  [SMALL_STATE(16401)] = 437843,
  [SMALL_STATE(16402)] = 437850,
  [SMALL_STATE(16403)] = 437857,
  [SMALL_STATE(16404)] = 437864,
  [SMALL_STATE(16405)] = 437871,
  [SMALL_STATE(16406)] = 437878,
  [SMALL_STATE(16407)] = 437885,
  [SMALL_STATE(16408)] = 437892,
  [SMALL_STATE(16409)] = 437899,
  [SMALL_STATE(16410)] = 437906,
  [SMALL_STATE(16411)] = 437913,
  [SMALL_STATE(16412)] = 437920,
  [SMALL_STATE(16413)] = 437927,
  [SMALL_STATE(16414)] = 437934,
  [SMALL_STATE(16415)] = 437941,
  [SMALL_STATE(16416)] = 437948,
  [SMALL_STATE(16417)] = 437955,
  [SMALL_STATE(16418)] = 437962,
  [SMALL_STATE(16419)] = 437969,
  [SMALL_STATE(16420)] = 437976,
  [SMALL_STATE(16421)] = 437983,
  [SMALL_STATE(16422)] = 437990,
  [SMALL_STATE(16423)] = 437997,
  [SMALL_STATE(16424)] = 438004,
  [SMALL_STATE(16425)] = 438011,
  [SMALL_STATE(16426)] = 438018,
  [SMALL_STATE(16427)] = 438025,
  [SMALL_STATE(16428)] = 438032,
  [SMALL_STATE(16429)] = 438039,
  [SMALL_STATE(16430)] = 438046,
  [SMALL_STATE(16431)] = 438053,
  [SMALL_STATE(16432)] = 438060,
  [SMALL_STATE(16433)] = 438067,
  [SMALL_STATE(16434)] = 438074,
  [SMALL_STATE(16435)] = 438081,
  [SMALL_STATE(16436)] = 438088,
  [SMALL_STATE(16437)] = 438095,
  [SMALL_STATE(16438)] = 438102,
  [SMALL_STATE(16439)] = 438109,
  [SMALL_STATE(16440)] = 438116,
  [SMALL_STATE(16441)] = 438123,
  [SMALL_STATE(16442)] = 438130,
  [SMALL_STATE(16443)] = 438137,
  [SMALL_STATE(16444)] = 438144,
  [SMALL_STATE(16445)] = 438151,
  [SMALL_STATE(16446)] = 438158,
  [SMALL_STATE(16447)] = 438165,
  [SMALL_STATE(16448)] = 438172,
  [SMALL_STATE(16449)] = 438179,
  [SMALL_STATE(16450)] = 438186,
  [SMALL_STATE(16451)] = 438193,
  [SMALL_STATE(16452)] = 438200,
  [SMALL_STATE(16453)] = 438207,
  [SMALL_STATE(16454)] = 438214,
  [SMALL_STATE(16455)] = 438221,
  [SMALL_STATE(16456)] = 438228,
  [SMALL_STATE(16457)] = 438235,
  [SMALL_STATE(16458)] = 438242,
  [SMALL_STATE(16459)] = 438249,
  [SMALL_STATE(16460)] = 438256,
  [SMALL_STATE(16461)] = 438263,
  [SMALL_STATE(16462)] = 438270,
  [SMALL_STATE(16463)] = 438277,
  [SMALL_STATE(16464)] = 438284,
  [SMALL_STATE(16465)] = 438291,
  [SMALL_STATE(16466)] = 438298,
  [SMALL_STATE(16467)] = 438305,
  [SMALL_STATE(16468)] = 438312,
  [SMALL_STATE(16469)] = 438319,
  [SMALL_STATE(16470)] = 438326,
  [SMALL_STATE(16471)] = 438333,
  [SMALL_STATE(16472)] = 438340,
  [SMALL_STATE(16473)] = 438347,
  [SMALL_STATE(16474)] = 438354,
  [SMALL_STATE(16475)] = 438361,
  [SMALL_STATE(16476)] = 438368,
  [SMALL_STATE(16477)] = 438375,
  [SMALL_STATE(16478)] = 438382,
  [SMALL_STATE(16479)] = 438389,
  [SMALL_STATE(16480)] = 438396,
  [SMALL_STATE(16481)] = 438403,
  [SMALL_STATE(16482)] = 438410,
  [SMALL_STATE(16483)] = 438417,
  [SMALL_STATE(16484)] = 438424,
  [SMALL_STATE(16485)] = 438431,
  [SMALL_STATE(16486)] = 438438,
  [SMALL_STATE(16487)] = 438445,
  [SMALL_STATE(16488)] = 438452,
  [SMALL_STATE(16489)] = 438459,
  [SMALL_STATE(16490)] = 438466,
  [SMALL_STATE(16491)] = 438473,
  [SMALL_STATE(16492)] = 438480,
  [SMALL_STATE(16493)] = 438487,
  [SMALL_STATE(16494)] = 438494,
  [SMALL_STATE(16495)] = 438501,
  [SMALL_STATE(16496)] = 438508,
  [SMALL_STATE(16497)] = 438515,
  [SMALL_STATE(16498)] = 438522,
  [SMALL_STATE(16499)] = 438529,
  [SMALL_STATE(16500)] = 438536,
  [SMALL_STATE(16501)] = 438543,
  [SMALL_STATE(16502)] = 438550,
  [SMALL_STATE(16503)] = 438557,
  [SMALL_STATE(16504)] = 438564,
  [SMALL_STATE(16505)] = 438571,
  [SMALL_STATE(16506)] = 438578,
  [SMALL_STATE(16507)] = 438585,
  [SMALL_STATE(16508)] = 438592,
  [SMALL_STATE(16509)] = 438599,
  [SMALL_STATE(16510)] = 438606,
  [SMALL_STATE(16511)] = 438613,
  [SMALL_STATE(16512)] = 438620,
  [SMALL_STATE(16513)] = 438627,
  [SMALL_STATE(16514)] = 438634,
  [SMALL_STATE(16515)] = 438641,
  [SMALL_STATE(16516)] = 438648,
  [SMALL_STATE(16517)] = 438655,
  [SMALL_STATE(16518)] = 438662,
  [SMALL_STATE(16519)] = 438669,
  [SMALL_STATE(16520)] = 438676,
  [SMALL_STATE(16521)] = 438683,
  [SMALL_STATE(16522)] = 438690,
  [SMALL_STATE(16523)] = 438697,
  [SMALL_STATE(16524)] = 438704,
  [SMALL_STATE(16525)] = 438711,
  [SMALL_STATE(16526)] = 438718,
  [SMALL_STATE(16527)] = 438725,
  [SMALL_STATE(16528)] = 438732,
  [SMALL_STATE(16529)] = 438739,
  [SMALL_STATE(16530)] = 438746,
  [SMALL_STATE(16531)] = 438753,
  [SMALL_STATE(16532)] = 438760,
  [SMALL_STATE(16533)] = 438767,
  [SMALL_STATE(16534)] = 438774,
  [SMALL_STATE(16535)] = 438781,
  [SMALL_STATE(16536)] = 438788,
  [SMALL_STATE(16537)] = 438795,
  [SMALL_STATE(16538)] = 438802,
  [SMALL_STATE(16539)] = 438809,
  [SMALL_STATE(16540)] = 438816,
  [SMALL_STATE(16541)] = 438823,
  [SMALL_STATE(16542)] = 438830,
  [SMALL_STATE(16543)] = 438837,
  [SMALL_STATE(16544)] = 438844,
  [SMALL_STATE(16545)] = 438851,
  [SMALL_STATE(16546)] = 438858,
  [SMALL_STATE(16547)] = 438865,
  [SMALL_STATE(16548)] = 438872,
  [SMALL_STATE(16549)] = 438879,
  [SMALL_STATE(16550)] = 438886,
  [SMALL_STATE(16551)] = 438893,
  [SMALL_STATE(16552)] = 438900,
  [SMALL_STATE(16553)] = 438907,
  [SMALL_STATE(16554)] = 438914,
  [SMALL_STATE(16555)] = 438921,
  [SMALL_STATE(16556)] = 438928,
  [SMALL_STATE(16557)] = 438935,
  [SMALL_STATE(16558)] = 438942,
  [SMALL_STATE(16559)] = 438949,
  [SMALL_STATE(16560)] = 438956,
  [SMALL_STATE(16561)] = 438963,
  [SMALL_STATE(16562)] = 438970,
  [SMALL_STATE(16563)] = 438977,
  [SMALL_STATE(16564)] = 438984,
  [SMALL_STATE(16565)] = 438991,
  [SMALL_STATE(16566)] = 438998,
  [SMALL_STATE(16567)] = 439005,
  [SMALL_STATE(16568)] = 439012,
  [SMALL_STATE(16569)] = 439019,
  [SMALL_STATE(16570)] = 439026,
  [SMALL_STATE(16571)] = 439033,
  [SMALL_STATE(16572)] = 439040,
  [SMALL_STATE(16573)] = 439047,
  [SMALL_STATE(16574)] = 439054,
  [SMALL_STATE(16575)] = 439061,
  [SMALL_STATE(16576)] = 439068,
  [SMALL_STATE(16577)] = 439075,
  [SMALL_STATE(16578)] = 439082,
  [SMALL_STATE(16579)] = 439089,
  [SMALL_STATE(16580)] = 439096,
  [SMALL_STATE(16581)] = 439103,
  [SMALL_STATE(16582)] = 439110,
  [SMALL_STATE(16583)] = 439117,
  [SMALL_STATE(16584)] = 439124,
  [SMALL_STATE(16585)] = 439131,
  [SMALL_STATE(16586)] = 439138,
  [SMALL_STATE(16587)] = 439145,
  [SMALL_STATE(16588)] = 439152,
  [SMALL_STATE(16589)] = 439159,
  [SMALL_STATE(16590)] = 439166,
  [SMALL_STATE(16591)] = 439173,
  [SMALL_STATE(16592)] = 439180,
  [SMALL_STATE(16593)] = 439187,
  [SMALL_STATE(16594)] = 439194,
  [SMALL_STATE(16595)] = 439201,
  [SMALL_STATE(16596)] = 439208,
  [SMALL_STATE(16597)] = 439215,
  [SMALL_STATE(16598)] = 439222,
  [SMALL_STATE(16599)] = 439229,
  [SMALL_STATE(16600)] = 439236,
  [SMALL_STATE(16601)] = 439243,
  [SMALL_STATE(16602)] = 439250,
  [SMALL_STATE(16603)] = 439257,
  [SMALL_STATE(16604)] = 439264,
  [SMALL_STATE(16605)] = 439271,
  [SMALL_STATE(16606)] = 439278,
  [SMALL_STATE(16607)] = 439285,
  [SMALL_STATE(16608)] = 439292,
  [SMALL_STATE(16609)] = 439299,
  [SMALL_STATE(16610)] = 439306,
  [SMALL_STATE(16611)] = 439313,
  [SMALL_STATE(16612)] = 439320,
  [SMALL_STATE(16613)] = 439327,
  [SMALL_STATE(16614)] = 439334,
  [SMALL_STATE(16615)] = 439341,
  [SMALL_STATE(16616)] = 439348,
  [SMALL_STATE(16617)] = 439355,
  [SMALL_STATE(16618)] = 439362,
  [SMALL_STATE(16619)] = 439369,
  [SMALL_STATE(16620)] = 439376,
  [SMALL_STATE(16621)] = 439383,
  [SMALL_STATE(16622)] = 439390,
  [SMALL_STATE(16623)] = 439397,
  [SMALL_STATE(16624)] = 439404,
  [SMALL_STATE(16625)] = 439411,
  [SMALL_STATE(16626)] = 439418,
  [SMALL_STATE(16627)] = 439425,
  [SMALL_STATE(16628)] = 439432,
  [SMALL_STATE(16629)] = 439439,
  [SMALL_STATE(16630)] = 439446,
  [SMALL_STATE(16631)] = 439453,
  [SMALL_STATE(16632)] = 439460,
  [SMALL_STATE(16633)] = 439467,
  [SMALL_STATE(16634)] = 439474,
  [SMALL_STATE(16635)] = 439481,
  [SMALL_STATE(16636)] = 439488,
  [SMALL_STATE(16637)] = 439495,
  [SMALL_STATE(16638)] = 439502,
  [SMALL_STATE(16639)] = 439509,
  [SMALL_STATE(16640)] = 439516,
  [SMALL_STATE(16641)] = 439523,
  [SMALL_STATE(16642)] = 439530,
  [SMALL_STATE(16643)] = 439537,
  [SMALL_STATE(16644)] = 439544,
  [SMALL_STATE(16645)] = 439551,
  [SMALL_STATE(16646)] = 439558,
  [SMALL_STATE(16647)] = 439565,
  [SMALL_STATE(16648)] = 439572,
  [SMALL_STATE(16649)] = 439579,
  [SMALL_STATE(16650)] = 439586,
  [SMALL_STATE(16651)] = 439593,
  [SMALL_STATE(16652)] = 439600,
  [SMALL_STATE(16653)] = 439607,
  [SMALL_STATE(16654)] = 439614,
  [SMALL_STATE(16655)] = 439621,
  [SMALL_STATE(16656)] = 439628,
  [SMALL_STATE(16657)] = 439635,
  [SMALL_STATE(16658)] = 439642,
  [SMALL_STATE(16659)] = 439649,
  [SMALL_STATE(16660)] = 439656,
  [SMALL_STATE(16661)] = 439663,
  [SMALL_STATE(16662)] = 439670,
  [SMALL_STATE(16663)] = 439677,
  [SMALL_STATE(16664)] = 439684,
  [SMALL_STATE(16665)] = 439691,
  [SMALL_STATE(16666)] = 439698,
  [SMALL_STATE(16667)] = 439705,
  [SMALL_STATE(16668)] = 439712,
  [SMALL_STATE(16669)] = 439719,
  [SMALL_STATE(16670)] = 439726,
  [SMALL_STATE(16671)] = 439733,
  [SMALL_STATE(16672)] = 439740,
  [SMALL_STATE(16673)] = 439747,
  [SMALL_STATE(16674)] = 439754,
  [SMALL_STATE(16675)] = 439761,
  [SMALL_STATE(16676)] = 439768,
  [SMALL_STATE(16677)] = 439775,
  [SMALL_STATE(16678)] = 439782,
  [SMALL_STATE(16679)] = 439789,
  [SMALL_STATE(16680)] = 439796,
  [SMALL_STATE(16681)] = 439803,
  [SMALL_STATE(16682)] = 439810,
  [SMALL_STATE(16683)] = 439817,
  [SMALL_STATE(16684)] = 439824,
  [SMALL_STATE(16685)] = 439831,
  [SMALL_STATE(16686)] = 439838,
  [SMALL_STATE(16687)] = 439845,
  [SMALL_STATE(16688)] = 439852,
  [SMALL_STATE(16689)] = 439859,
  [SMALL_STATE(16690)] = 439866,
  [SMALL_STATE(16691)] = 439873,
  [SMALL_STATE(16692)] = 439880,
  [SMALL_STATE(16693)] = 439887,
  [SMALL_STATE(16694)] = 439894,
  [SMALL_STATE(16695)] = 439901,
  [SMALL_STATE(16696)] = 439908,
  [SMALL_STATE(16697)] = 439915,
  [SMALL_STATE(16698)] = 439922,
  [SMALL_STATE(16699)] = 439929,
  [SMALL_STATE(16700)] = 439936,
  [SMALL_STATE(16701)] = 439943,
  [SMALL_STATE(16702)] = 439950,
  [SMALL_STATE(16703)] = 439957,
  [SMALL_STATE(16704)] = 439964,
  [SMALL_STATE(16705)] = 439971,
  [SMALL_STATE(16706)] = 439978,
  [SMALL_STATE(16707)] = 439985,
  [SMALL_STATE(16708)] = 439992,
  [SMALL_STATE(16709)] = 439999,
  [SMALL_STATE(16710)] = 440006,
  [SMALL_STATE(16711)] = 440013,
  [SMALL_STATE(16712)] = 440020,
  [SMALL_STATE(16713)] = 440027,
  [SMALL_STATE(16714)] = 440034,
  [SMALL_STATE(16715)] = 440041,
  [SMALL_STATE(16716)] = 440048,
  [SMALL_STATE(16717)] = 440055,
  [SMALL_STATE(16718)] = 440062,
  [SMALL_STATE(16719)] = 440069,
  [SMALL_STATE(16720)] = 440076,
  [SMALL_STATE(16721)] = 440083,
  [SMALL_STATE(16722)] = 440090,
  [SMALL_STATE(16723)] = 440097,
  [SMALL_STATE(16724)] = 440104,
  [SMALL_STATE(16725)] = 440111,
  [SMALL_STATE(16726)] = 440118,
  [SMALL_STATE(16727)] = 440125,
  [SMALL_STATE(16728)] = 440132,
  [SMALL_STATE(16729)] = 440139,
  [SMALL_STATE(16730)] = 440146,
  [SMALL_STATE(16731)] = 440153,
  [SMALL_STATE(16732)] = 440160,
  [SMALL_STATE(16733)] = 440167,
  [SMALL_STATE(16734)] = 440174,
  [SMALL_STATE(16735)] = 440181,
  [SMALL_STATE(16736)] = 440188,
  [SMALL_STATE(16737)] = 440195,
  [SMALL_STATE(16738)] = 440202,
  [SMALL_STATE(16739)] = 440209,
  [SMALL_STATE(16740)] = 440216,
  [SMALL_STATE(16741)] = 440223,
  [SMALL_STATE(16742)] = 440230,
  [SMALL_STATE(16743)] = 440237,
  [SMALL_STATE(16744)] = 440244,
  [SMALL_STATE(16745)] = 440251,
  [SMALL_STATE(16746)] = 440258,
  [SMALL_STATE(16747)] = 440265,
  [SMALL_STATE(16748)] = 440272,
  [SMALL_STATE(16749)] = 440279,
  [SMALL_STATE(16750)] = 440286,
  [SMALL_STATE(16751)] = 440293,
  [SMALL_STATE(16752)] = 440300,
  [SMALL_STATE(16753)] = 440307,
  [SMALL_STATE(16754)] = 440314,
  [SMALL_STATE(16755)] = 440321,
  [SMALL_STATE(16756)] = 440328,
  [SMALL_STATE(16757)] = 440335,
  [SMALL_STATE(16758)] = 440342,
  [SMALL_STATE(16759)] = 440349,
  [SMALL_STATE(16760)] = 440356,
  [SMALL_STATE(16761)] = 440363,
  [SMALL_STATE(16762)] = 440370,
  [SMALL_STATE(16763)] = 440377,
  [SMALL_STATE(16764)] = 440384,
  [SMALL_STATE(16765)] = 440391,
  [SMALL_STATE(16766)] = 440398,
  [SMALL_STATE(16767)] = 440405,
  [SMALL_STATE(16768)] = 440412,
  [SMALL_STATE(16769)] = 440419,
  [SMALL_STATE(16770)] = 440426,
  [SMALL_STATE(16771)] = 440433,
  [SMALL_STATE(16772)] = 440440,
  [SMALL_STATE(16773)] = 440447,
  [SMALL_STATE(16774)] = 440454,
  [SMALL_STATE(16775)] = 440461,
  [SMALL_STATE(16776)] = 440468,
  [SMALL_STATE(16777)] = 440475,
  [SMALL_STATE(16778)] = 440482,
  [SMALL_STATE(16779)] = 440489,
  [SMALL_STATE(16780)] = 440496,
  [SMALL_STATE(16781)] = 440503,
  [SMALL_STATE(16782)] = 440510,
  [SMALL_STATE(16783)] = 440517,
  [SMALL_STATE(16784)] = 440524,
  [SMALL_STATE(16785)] = 440531,
  [SMALL_STATE(16786)] = 440538,
  [SMALL_STATE(16787)] = 440545,
  [SMALL_STATE(16788)] = 440552,
  [SMALL_STATE(16789)] = 440559,
  [SMALL_STATE(16790)] = 440566,
  [SMALL_STATE(16791)] = 440573,
  [SMALL_STATE(16792)] = 440580,
  [SMALL_STATE(16793)] = 440587,
  [SMALL_STATE(16794)] = 440594,
  [SMALL_STATE(16795)] = 440601,
  [SMALL_STATE(16796)] = 440608,
  [SMALL_STATE(16797)] = 440615,
  [SMALL_STATE(16798)] = 440622,
  [SMALL_STATE(16799)] = 440629,
  [SMALL_STATE(16800)] = 440636,
  [SMALL_STATE(16801)] = 440643,
  [SMALL_STATE(16802)] = 440650,
  [SMALL_STATE(16803)] = 440657,
  [SMALL_STATE(16804)] = 440664,
  [SMALL_STATE(16805)] = 440671,
  [SMALL_STATE(16806)] = 440678,
  [SMALL_STATE(16807)] = 440685,
  [SMALL_STATE(16808)] = 440692,
  [SMALL_STATE(16809)] = 440699,
  [SMALL_STATE(16810)] = 440706,
  [SMALL_STATE(16811)] = 440713,
  [SMALL_STATE(16812)] = 440720,
  [SMALL_STATE(16813)] = 440727,
  [SMALL_STATE(16814)] = 440734,
  [SMALL_STATE(16815)] = 440741,
  [SMALL_STATE(16816)] = 440748,
  [SMALL_STATE(16817)] = 440755,
  [SMALL_STATE(16818)] = 440762,
  [SMALL_STATE(16819)] = 440769,
  [SMALL_STATE(16820)] = 440776,
  [SMALL_STATE(16821)] = 440783,
  [SMALL_STATE(16822)] = 440790,
  [SMALL_STATE(16823)] = 440797,
  [SMALL_STATE(16824)] = 440804,
  [SMALL_STATE(16825)] = 440811,
  [SMALL_STATE(16826)] = 440818,
  [SMALL_STATE(16827)] = 440825,
  [SMALL_STATE(16828)] = 440832,
  [SMALL_STATE(16829)] = 440839,
  [SMALL_STATE(16830)] = 440846,
  [SMALL_STATE(16831)] = 440853,
  [SMALL_STATE(16832)] = 440860,
  [SMALL_STATE(16833)] = 440867,
  [SMALL_STATE(16834)] = 440874,
  [SMALL_STATE(16835)] = 440881,
  [SMALL_STATE(16836)] = 440888,
  [SMALL_STATE(16837)] = 440895,
  [SMALL_STATE(16838)] = 440902,
  [SMALL_STATE(16839)] = 440909,
  [SMALL_STATE(16840)] = 440916,
  [SMALL_STATE(16841)] = 440923,
  [SMALL_STATE(16842)] = 440930,
  [SMALL_STATE(16843)] = 440937,
  [SMALL_STATE(16844)] = 440944,
  [SMALL_STATE(16845)] = 440951,
  [SMALL_STATE(16846)] = 440958,
  [SMALL_STATE(16847)] = 440965,
  [SMALL_STATE(16848)] = 440972,
  [SMALL_STATE(16849)] = 440979,
  [SMALL_STATE(16850)] = 440986,
  [SMALL_STATE(16851)] = 440993,
  [SMALL_STATE(16852)] = 441000,
  [SMALL_STATE(16853)] = 441007,
  [SMALL_STATE(16854)] = 441014,
  [SMALL_STATE(16855)] = 441021,
  [SMALL_STATE(16856)] = 441028,
  [SMALL_STATE(16857)] = 441035,
  [SMALL_STATE(16858)] = 441042,
  [SMALL_STATE(16859)] = 441049,
  [SMALL_STATE(16860)] = 441056,
  [SMALL_STATE(16861)] = 441063,
  [SMALL_STATE(16862)] = 441070,
  [SMALL_STATE(16863)] = 441077,
  [SMALL_STATE(16864)] = 441084,
  [SMALL_STATE(16865)] = 441091,
  [SMALL_STATE(16866)] = 441098,
  [SMALL_STATE(16867)] = 441105,
  [SMALL_STATE(16868)] = 441112,
  [SMALL_STATE(16869)] = 441119,
  [SMALL_STATE(16870)] = 441126,
  [SMALL_STATE(16871)] = 441133,
  [SMALL_STATE(16872)] = 441140,
  [SMALL_STATE(16873)] = 441147,
  [SMALL_STATE(16874)] = 441154,
  [SMALL_STATE(16875)] = 441161,
  [SMALL_STATE(16876)] = 441168,
  [SMALL_STATE(16877)] = 441175,
  [SMALL_STATE(16878)] = 441182,
  [SMALL_STATE(16879)] = 441189,
  [SMALL_STATE(16880)] = 441196,
  [SMALL_STATE(16881)] = 441203,
  [SMALL_STATE(16882)] = 441210,
  [SMALL_STATE(16883)] = 441217,
  [SMALL_STATE(16884)] = 441224,
  [SMALL_STATE(16885)] = 441231,
  [SMALL_STATE(16886)] = 441238,
  [SMALL_STATE(16887)] = 441245,
  [SMALL_STATE(16888)] = 441252,
  [SMALL_STATE(16889)] = 441259,
  [SMALL_STATE(16890)] = 441266,
  [SMALL_STATE(16891)] = 441273,
  [SMALL_STATE(16892)] = 441280,
  [SMALL_STATE(16893)] = 441287,
  [SMALL_STATE(16894)] = 441294,
  [SMALL_STATE(16895)] = 441301,
  [SMALL_STATE(16896)] = 441308,
  [SMALL_STATE(16897)] = 441315,
  [SMALL_STATE(16898)] = 441322,
  [SMALL_STATE(16899)] = 441329,
  [SMALL_STATE(16900)] = 441336,
  [SMALL_STATE(16901)] = 441343,
  [SMALL_STATE(16902)] = 441350,
  [SMALL_STATE(16903)] = 441357,
  [SMALL_STATE(16904)] = 441364,
  [SMALL_STATE(16905)] = 441371,
  [SMALL_STATE(16906)] = 441378,
  [SMALL_STATE(16907)] = 441385,
  [SMALL_STATE(16908)] = 441392,
  [SMALL_STATE(16909)] = 441399,
  [SMALL_STATE(16910)] = 441406,
  [SMALL_STATE(16911)] = 441413,
  [SMALL_STATE(16912)] = 441420,
  [SMALL_STATE(16913)] = 441427,
  [SMALL_STATE(16914)] = 441434,
  [SMALL_STATE(16915)] = 441441,
  [SMALL_STATE(16916)] = 441448,
  [SMALL_STATE(16917)] = 441455,
  [SMALL_STATE(16918)] = 441462,
  [SMALL_STATE(16919)] = 441469,
  [SMALL_STATE(16920)] = 441476,
  [SMALL_STATE(16921)] = 441483,
  [SMALL_STATE(16922)] = 441490,
  [SMALL_STATE(16923)] = 441497,
  [SMALL_STATE(16924)] = 441504,
  [SMALL_STATE(16925)] = 441511,
  [SMALL_STATE(16926)] = 441518,
  [SMALL_STATE(16927)] = 441525,
  [SMALL_STATE(16928)] = 441532,
  [SMALL_STATE(16929)] = 441539,
  [SMALL_STATE(16930)] = 441546,
  [SMALL_STATE(16931)] = 441553,
  [SMALL_STATE(16932)] = 441560,
  [SMALL_STATE(16933)] = 441567,
  [SMALL_STATE(16934)] = 441574,
  [SMALL_STATE(16935)] = 441581,
  [SMALL_STATE(16936)] = 441588,
  [SMALL_STATE(16937)] = 441595,
  [SMALL_STATE(16938)] = 441602,
  [SMALL_STATE(16939)] = 441609,
  [SMALL_STATE(16940)] = 441616,
  [SMALL_STATE(16941)] = 441623,
  [SMALL_STATE(16942)] = 441630,
  [SMALL_STATE(16943)] = 441637,
  [SMALL_STATE(16944)] = 441644,
  [SMALL_STATE(16945)] = 441651,
  [SMALL_STATE(16946)] = 441658,
  [SMALL_STATE(16947)] = 441665,
  [SMALL_STATE(16948)] = 441672,
  [SMALL_STATE(16949)] = 441679,
  [SMALL_STATE(16950)] = 441686,
  [SMALL_STATE(16951)] = 441693,
  [SMALL_STATE(16952)] = 441700,
  [SMALL_STATE(16953)] = 441707,
  [SMALL_STATE(16954)] = 441714,
  [SMALL_STATE(16955)] = 441721,
  [SMALL_STATE(16956)] = 441728,
  [SMALL_STATE(16957)] = 441735,
  [SMALL_STATE(16958)] = 441742,
  [SMALL_STATE(16959)] = 441749,
  [SMALL_STATE(16960)] = 441756,
  [SMALL_STATE(16961)] = 441763,
  [SMALL_STATE(16962)] = 441770,
  [SMALL_STATE(16963)] = 441777,
  [SMALL_STATE(16964)] = 441784,
  [SMALL_STATE(16965)] = 441791,
  [SMALL_STATE(16966)] = 441798,
  [SMALL_STATE(16967)] = 441805,
  [SMALL_STATE(16968)] = 441812,
  [SMALL_STATE(16969)] = 441819,
  [SMALL_STATE(16970)] = 441826,
  [SMALL_STATE(16971)] = 441833,
  [SMALL_STATE(16972)] = 441840,
  [SMALL_STATE(16973)] = 441847,
  [SMALL_STATE(16974)] = 441854,
  [SMALL_STATE(16975)] = 441861,
  [SMALL_STATE(16976)] = 441868,
  [SMALL_STATE(16977)] = 441875,
  [SMALL_STATE(16978)] = 441882,
  [SMALL_STATE(16979)] = 441889,
  [SMALL_STATE(16980)] = 441896,
  [SMALL_STATE(16981)] = 441903,
  [SMALL_STATE(16982)] = 441910,
  [SMALL_STATE(16983)] = 441917,
  [SMALL_STATE(16984)] = 441924,
  [SMALL_STATE(16985)] = 441931,
  [SMALL_STATE(16986)] = 441938,
  [SMALL_STATE(16987)] = 441945,
  [SMALL_STATE(16988)] = 441952,
  [SMALL_STATE(16989)] = 441959,
  [SMALL_STATE(16990)] = 441966,
  [SMALL_STATE(16991)] = 441973,
  [SMALL_STATE(16992)] = 441980,
  [SMALL_STATE(16993)] = 441987,
  [SMALL_STATE(16994)] = 441994,
  [SMALL_STATE(16995)] = 442001,
  [SMALL_STATE(16996)] = 442008,
  [SMALL_STATE(16997)] = 442015,
  [SMALL_STATE(16998)] = 442022,
  [SMALL_STATE(16999)] = 442029,
  [SMALL_STATE(17000)] = 442036,
  [SMALL_STATE(17001)] = 442043,
  [SMALL_STATE(17002)] = 442050,
  [SMALL_STATE(17003)] = 442057,
  [SMALL_STATE(17004)] = 442064,
  [SMALL_STATE(17005)] = 442071,
  [SMALL_STATE(17006)] = 442078,
  [SMALL_STATE(17007)] = 442085,
  [SMALL_STATE(17008)] = 442092,
  [SMALL_STATE(17009)] = 442099,
  [SMALL_STATE(17010)] = 442106,
  [SMALL_STATE(17011)] = 442113,
  [SMALL_STATE(17012)] = 442120,
  [SMALL_STATE(17013)] = 442127,
  [SMALL_STATE(17014)] = 442134,
  [SMALL_STATE(17015)] = 442141,
  [SMALL_STATE(17016)] = 442148,
  [SMALL_STATE(17017)] = 442155,
  [SMALL_STATE(17018)] = 442162,
  [SMALL_STATE(17019)] = 442169,
  [SMALL_STATE(17020)] = 442176,
  [SMALL_STATE(17021)] = 442183,
  [SMALL_STATE(17022)] = 442190,
  [SMALL_STATE(17023)] = 442197,
  [SMALL_STATE(17024)] = 442204,
  [SMALL_STATE(17025)] = 442211,
  [SMALL_STATE(17026)] = 442218,
  [SMALL_STATE(17027)] = 442225,
  [SMALL_STATE(17028)] = 442232,
  [SMALL_STATE(17029)] = 442239,
  [SMALL_STATE(17030)] = 442246,
  [SMALL_STATE(17031)] = 442253,
  [SMALL_STATE(17032)] = 442260,
  [SMALL_STATE(17033)] = 442267,
  [SMALL_STATE(17034)] = 442274,
  [SMALL_STATE(17035)] = 442281,
  [SMALL_STATE(17036)] = 442288,
  [SMALL_STATE(17037)] = 442295,
  [SMALL_STATE(17038)] = 442302,
  [SMALL_STATE(17039)] = 442309,
  [SMALL_STATE(17040)] = 442316,
  [SMALL_STATE(17041)] = 442323,
  [SMALL_STATE(17042)] = 442330,
  [SMALL_STATE(17043)] = 442337,
  [SMALL_STATE(17044)] = 442344,
  [SMALL_STATE(17045)] = 442351,
  [SMALL_STATE(17046)] = 442358,
  [SMALL_STATE(17047)] = 442365,
  [SMALL_STATE(17048)] = 442372,
  [SMALL_STATE(17049)] = 442379,
  [SMALL_STATE(17050)] = 442386,
  [SMALL_STATE(17051)] = 442393,
  [SMALL_STATE(17052)] = 442400,
  [SMALL_STATE(17053)] = 442407,
  [SMALL_STATE(17054)] = 442414,
  [SMALL_STATE(17055)] = 442421,
  [SMALL_STATE(17056)] = 442428,
  [SMALL_STATE(17057)] = 442435,
  [SMALL_STATE(17058)] = 442442,
  [SMALL_STATE(17059)] = 442449,
  [SMALL_STATE(17060)] = 442456,
  [SMALL_STATE(17061)] = 442463,
  [SMALL_STATE(17062)] = 442470,
  [SMALL_STATE(17063)] = 442477,
  [SMALL_STATE(17064)] = 442484,
  [SMALL_STATE(17065)] = 442491,
  [SMALL_STATE(17066)] = 442498,
  [SMALL_STATE(17067)] = 442505,
  [SMALL_STATE(17068)] = 442512,
  [SMALL_STATE(17069)] = 442519,
  [SMALL_STATE(17070)] = 442526,
  [SMALL_STATE(17071)] = 442533,
  [SMALL_STATE(17072)] = 442540,
  [SMALL_STATE(17073)] = 442547,
  [SMALL_STATE(17074)] = 442554,
  [SMALL_STATE(17075)] = 442561,
  [SMALL_STATE(17076)] = 442568,
  [SMALL_STATE(17077)] = 442575,
  [SMALL_STATE(17078)] = 442582,
  [SMALL_STATE(17079)] = 442589,
  [SMALL_STATE(17080)] = 442596,
  [SMALL_STATE(17081)] = 442603,
  [SMALL_STATE(17082)] = 442610,
  [SMALL_STATE(17083)] = 442617,
  [SMALL_STATE(17084)] = 442624,
  [SMALL_STATE(17085)] = 442631,
  [SMALL_STATE(17086)] = 442638,
  [SMALL_STATE(17087)] = 442645,
  [SMALL_STATE(17088)] = 442652,
  [SMALL_STATE(17089)] = 442659,
  [SMALL_STATE(17090)] = 442666,
  [SMALL_STATE(17091)] = 442673,
  [SMALL_STATE(17092)] = 442680,
  [SMALL_STATE(17093)] = 442687,
  [SMALL_STATE(17094)] = 442694,
  [SMALL_STATE(17095)] = 442701,
  [SMALL_STATE(17096)] = 442708,
  [SMALL_STATE(17097)] = 442715,
  [SMALL_STATE(17098)] = 442722,
  [SMALL_STATE(17099)] = 442729,
  [SMALL_STATE(17100)] = 442736,
  [SMALL_STATE(17101)] = 442743,
  [SMALL_STATE(17102)] = 442750,
  [SMALL_STATE(17103)] = 442757,
  [SMALL_STATE(17104)] = 442764,
  [SMALL_STATE(17105)] = 442771,
  [SMALL_STATE(17106)] = 442778,
  [SMALL_STATE(17107)] = 442785,
  [SMALL_STATE(17108)] = 442792,
  [SMALL_STATE(17109)] = 442799,
  [SMALL_STATE(17110)] = 442806,
  [SMALL_STATE(17111)] = 442813,
  [SMALL_STATE(17112)] = 442820,
  [SMALL_STATE(17113)] = 442827,
  [SMALL_STATE(17114)] = 442834,
  [SMALL_STATE(17115)] = 442841,
  [SMALL_STATE(17116)] = 442848,
  [SMALL_STATE(17117)] = 442855,
  [SMALL_STATE(17118)] = 442862,
  [SMALL_STATE(17119)] = 442869,
  [SMALL_STATE(17120)] = 442876,
  [SMALL_STATE(17121)] = 442883,
  [SMALL_STATE(17122)] = 442890,
  [SMALL_STATE(17123)] = 442897,
  [SMALL_STATE(17124)] = 442904,
  [SMALL_STATE(17125)] = 442911,
  [SMALL_STATE(17126)] = 442918,
  [SMALL_STATE(17127)] = 442925,
  [SMALL_STATE(17128)] = 442932,
  [SMALL_STATE(17129)] = 442939,
  [SMALL_STATE(17130)] = 442946,
  [SMALL_STATE(17131)] = 442953,
  [SMALL_STATE(17132)] = 442960,
  [SMALL_STATE(17133)] = 442967,
  [SMALL_STATE(17134)] = 442974,
  [SMALL_STATE(17135)] = 442981,
  [SMALL_STATE(17136)] = 442988,
  [SMALL_STATE(17137)] = 442995,
  [SMALL_STATE(17138)] = 443002,
  [SMALL_STATE(17139)] = 443009,
  [SMALL_STATE(17140)] = 443016,
  [SMALL_STATE(17141)] = 443023,
  [SMALL_STATE(17142)] = 443030,
  [SMALL_STATE(17143)] = 443037,
  [SMALL_STATE(17144)] = 443044,
  [SMALL_STATE(17145)] = 443051,
  [SMALL_STATE(17146)] = 443058,
  [SMALL_STATE(17147)] = 443065,
  [SMALL_STATE(17148)] = 443072,
  [SMALL_STATE(17149)] = 443079,
  [SMALL_STATE(17150)] = 443086,
  [SMALL_STATE(17151)] = 443093,
  [SMALL_STATE(17152)] = 443100,
  [SMALL_STATE(17153)] = 443107,
  [SMALL_STATE(17154)] = 443114,
  [SMALL_STATE(17155)] = 443121,
  [SMALL_STATE(17156)] = 443128,
  [SMALL_STATE(17157)] = 443135,
  [SMALL_STATE(17158)] = 443142,
  [SMALL_STATE(17159)] = 443149,
  [SMALL_STATE(17160)] = 443156,
  [SMALL_STATE(17161)] = 443163,
  [SMALL_STATE(17162)] = 443170,
  [SMALL_STATE(17163)] = 443177,
  [SMALL_STATE(17164)] = 443184,
  [SMALL_STATE(17165)] = 443191,
  [SMALL_STATE(17166)] = 443198,
  [SMALL_STATE(17167)] = 443205,
  [SMALL_STATE(17168)] = 443212,
  [SMALL_STATE(17169)] = 443219,
  [SMALL_STATE(17170)] = 443226,
  [SMALL_STATE(17171)] = 443233,
  [SMALL_STATE(17172)] = 443240,
  [SMALL_STATE(17173)] = 443247,
  [SMALL_STATE(17174)] = 443254,
  [SMALL_STATE(17175)] = 443261,
  [SMALL_STATE(17176)] = 443268,
  [SMALL_STATE(17177)] = 443275,
  [SMALL_STATE(17178)] = 443282,
  [SMALL_STATE(17179)] = 443289,
  [SMALL_STATE(17180)] = 443296,
  [SMALL_STATE(17181)] = 443303,
  [SMALL_STATE(17182)] = 443310,
  [SMALL_STATE(17183)] = 443317,
  [SMALL_STATE(17184)] = 443324,
  [SMALL_STATE(17185)] = 443331,
  [SMALL_STATE(17186)] = 443338,
  [SMALL_STATE(17187)] = 443345,
  [SMALL_STATE(17188)] = 443352,
  [SMALL_STATE(17189)] = 443359,
  [SMALL_STATE(17190)] = 443366,
  [SMALL_STATE(17191)] = 443373,
  [SMALL_STATE(17192)] = 443380,
  [SMALL_STATE(17193)] = 443387,
  [SMALL_STATE(17194)] = 443394,
  [SMALL_STATE(17195)] = 443401,
  [SMALL_STATE(17196)] = 443408,
  [SMALL_STATE(17197)] = 443415,
  [SMALL_STATE(17198)] = 443422,
  [SMALL_STATE(17199)] = 443429,
  [SMALL_STATE(17200)] = 443436,
  [SMALL_STATE(17201)] = 443443,
  [SMALL_STATE(17202)] = 443450,
  [SMALL_STATE(17203)] = 443457,
  [SMALL_STATE(17204)] = 443464,
  [SMALL_STATE(17205)] = 443471,
  [SMALL_STATE(17206)] = 443478,
  [SMALL_STATE(17207)] = 443485,
  [SMALL_STATE(17208)] = 443492,
  [SMALL_STATE(17209)] = 443499,
  [SMALL_STATE(17210)] = 443506,
  [SMALL_STATE(17211)] = 443513,
  [SMALL_STATE(17212)] = 443520,
  [SMALL_STATE(17213)] = 443527,
  [SMALL_STATE(17214)] = 443534,
  [SMALL_STATE(17215)] = 443541,
  [SMALL_STATE(17216)] = 443548,
  [SMALL_STATE(17217)] = 443555,
  [SMALL_STATE(17218)] = 443562,
  [SMALL_STATE(17219)] = 443569,
  [SMALL_STATE(17220)] = 443576,
  [SMALL_STATE(17221)] = 443583,
  [SMALL_STATE(17222)] = 443590,
  [SMALL_STATE(17223)] = 443597,
  [SMALL_STATE(17224)] = 443604,
  [SMALL_STATE(17225)] = 443611,
  [SMALL_STATE(17226)] = 443618,
  [SMALL_STATE(17227)] = 443625,
  [SMALL_STATE(17228)] = 443632,
  [SMALL_STATE(17229)] = 443639,
  [SMALL_STATE(17230)] = 443646,
  [SMALL_STATE(17231)] = 443653,
  [SMALL_STATE(17232)] = 443660,
  [SMALL_STATE(17233)] = 443667,
  [SMALL_STATE(17234)] = 443674,
  [SMALL_STATE(17235)] = 443681,
  [SMALL_STATE(17236)] = 443688,
  [SMALL_STATE(17237)] = 443695,
  [SMALL_STATE(17238)] = 443702,
  [SMALL_STATE(17239)] = 443709,
  [SMALL_STATE(17240)] = 443716,
  [SMALL_STATE(17241)] = 443723,
  [SMALL_STATE(17242)] = 443730,
  [SMALL_STATE(17243)] = 443737,
  [SMALL_STATE(17244)] = 443744,
  [SMALL_STATE(17245)] = 443751,
  [SMALL_STATE(17246)] = 443758,
  [SMALL_STATE(17247)] = 443765,
  [SMALL_STATE(17248)] = 443772,
  [SMALL_STATE(17249)] = 443779,
  [SMALL_STATE(17250)] = 443786,
  [SMALL_STATE(17251)] = 443793,
  [SMALL_STATE(17252)] = 443800,
  [SMALL_STATE(17253)] = 443807,
  [SMALL_STATE(17254)] = 443814,
  [SMALL_STATE(17255)] = 443821,
  [SMALL_STATE(17256)] = 443828,
  [SMALL_STATE(17257)] = 443835,
  [SMALL_STATE(17258)] = 443842,
  [SMALL_STATE(17259)] = 443849,
  [SMALL_STATE(17260)] = 443856,
  [SMALL_STATE(17261)] = 443863,
  [SMALL_STATE(17262)] = 443870,
  [SMALL_STATE(17263)] = 443877,
  [SMALL_STATE(17264)] = 443884,
  [SMALL_STATE(17265)] = 443891,
  [SMALL_STATE(17266)] = 443898,
  [SMALL_STATE(17267)] = 443905,
  [SMALL_STATE(17268)] = 443912,
  [SMALL_STATE(17269)] = 443919,
  [SMALL_STATE(17270)] = 443926,
  [SMALL_STATE(17271)] = 443933,
  [SMALL_STATE(17272)] = 443940,
  [SMALL_STATE(17273)] = 443947,
  [SMALL_STATE(17274)] = 443954,
  [SMALL_STATE(17275)] = 443961,
  [SMALL_STATE(17276)] = 443968,
  [SMALL_STATE(17277)] = 443975,
  [SMALL_STATE(17278)] = 443982,
  [SMALL_STATE(17279)] = 443989,
  [SMALL_STATE(17280)] = 443996,
  [SMALL_STATE(17281)] = 444003,
  [SMALL_STATE(17282)] = 444010,
  [SMALL_STATE(17283)] = 444017,
  [SMALL_STATE(17284)] = 444024,
  [SMALL_STATE(17285)] = 444031,
  [SMALL_STATE(17286)] = 444038,
  [SMALL_STATE(17287)] = 444045,
  [SMALL_STATE(17288)] = 444052,
  [SMALL_STATE(17289)] = 444059,
  [SMALL_STATE(17290)] = 444066,
  [SMALL_STATE(17291)] = 444073,
  [SMALL_STATE(17292)] = 444080,
  [SMALL_STATE(17293)] = 444087,
  [SMALL_STATE(17294)] = 444094,
  [SMALL_STATE(17295)] = 444101,
  [SMALL_STATE(17296)] = 444108,
  [SMALL_STATE(17297)] = 444115,
  [SMALL_STATE(17298)] = 444122,
  [SMALL_STATE(17299)] = 444129,
  [SMALL_STATE(17300)] = 444136,
  [SMALL_STATE(17301)] = 444143,
  [SMALL_STATE(17302)] = 444150,
  [SMALL_STATE(17303)] = 444157,
  [SMALL_STATE(17304)] = 444164,
  [SMALL_STATE(17305)] = 444171,
  [SMALL_STATE(17306)] = 444178,
  [SMALL_STATE(17307)] = 444185,
  [SMALL_STATE(17308)] = 444192,
  [SMALL_STATE(17309)] = 444199,
  [SMALL_STATE(17310)] = 444206,
  [SMALL_STATE(17311)] = 444213,
  [SMALL_STATE(17312)] = 444220,
  [SMALL_STATE(17313)] = 444227,
  [SMALL_STATE(17314)] = 444234,
  [SMALL_STATE(17315)] = 444241,
  [SMALL_STATE(17316)] = 444248,
  [SMALL_STATE(17317)] = 444255,
  [SMALL_STATE(17318)] = 444262,
  [SMALL_STATE(17319)] = 444269,
  [SMALL_STATE(17320)] = 444276,
  [SMALL_STATE(17321)] = 444283,
  [SMALL_STATE(17322)] = 444290,
  [SMALL_STATE(17323)] = 444297,
  [SMALL_STATE(17324)] = 444304,
  [SMALL_STATE(17325)] = 444311,
  [SMALL_STATE(17326)] = 444318,
  [SMALL_STATE(17327)] = 444325,
  [SMALL_STATE(17328)] = 444332,
  [SMALL_STATE(17329)] = 444339,
  [SMALL_STATE(17330)] = 444346,
  [SMALL_STATE(17331)] = 444353,
  [SMALL_STATE(17332)] = 444360,
  [SMALL_STATE(17333)] = 444367,
  [SMALL_STATE(17334)] = 444374,
  [SMALL_STATE(17335)] = 444381,
  [SMALL_STATE(17336)] = 444388,
  [SMALL_STATE(17337)] = 444395,
  [SMALL_STATE(17338)] = 444402,
  [SMALL_STATE(17339)] = 444409,
  [SMALL_STATE(17340)] = 444416,
  [SMALL_STATE(17341)] = 444423,
  [SMALL_STATE(17342)] = 444430,
  [SMALL_STATE(17343)] = 444437,
  [SMALL_STATE(17344)] = 444444,
  [SMALL_STATE(17345)] = 444451,
  [SMALL_STATE(17346)] = 444458,
  [SMALL_STATE(17347)] = 444465,
  [SMALL_STATE(17348)] = 444472,
  [SMALL_STATE(17349)] = 444479,
  [SMALL_STATE(17350)] = 444486,
  [SMALL_STATE(17351)] = 444493,
  [SMALL_STATE(17352)] = 444500,
  [SMALL_STATE(17353)] = 444507,
  [SMALL_STATE(17354)] = 444514,
  [SMALL_STATE(17355)] = 444521,
  [SMALL_STATE(17356)] = 444528,
  [SMALL_STATE(17357)] = 444535,
  [SMALL_STATE(17358)] = 444542,
  [SMALL_STATE(17359)] = 444549,
  [SMALL_STATE(17360)] = 444556,
  [SMALL_STATE(17361)] = 444563,
  [SMALL_STATE(17362)] = 444570,
  [SMALL_STATE(17363)] = 444577,
  [SMALL_STATE(17364)] = 444584,
  [SMALL_STATE(17365)] = 444591,
  [SMALL_STATE(17366)] = 444598,
  [SMALL_STATE(17367)] = 444605,
  [SMALL_STATE(17368)] = 444612,
  [SMALL_STATE(17369)] = 444619,
  [SMALL_STATE(17370)] = 444626,
  [SMALL_STATE(17371)] = 444633,
  [SMALL_STATE(17372)] = 444640,
  [SMALL_STATE(17373)] = 444647,
  [SMALL_STATE(17374)] = 444654,
  [SMALL_STATE(17375)] = 444661,
  [SMALL_STATE(17376)] = 444668,
  [SMALL_STATE(17377)] = 444675,
  [SMALL_STATE(17378)] = 444682,
  [SMALL_STATE(17379)] = 444689,
  [SMALL_STATE(17380)] = 444696,
  [SMALL_STATE(17381)] = 444703,
  [SMALL_STATE(17382)] = 444710,
  [SMALL_STATE(17383)] = 444717,
  [SMALL_STATE(17384)] = 444724,
  [SMALL_STATE(17385)] = 444731,
  [SMALL_STATE(17386)] = 444738,
  [SMALL_STATE(17387)] = 444745,
  [SMALL_STATE(17388)] = 444752,
  [SMALL_STATE(17389)] = 444759,
  [SMALL_STATE(17390)] = 444766,
  [SMALL_STATE(17391)] = 444773,
  [SMALL_STATE(17392)] = 444780,
  [SMALL_STATE(17393)] = 444787,
  [SMALL_STATE(17394)] = 444794,
  [SMALL_STATE(17395)] = 444801,
  [SMALL_STATE(17396)] = 444808,
  [SMALL_STATE(17397)] = 444815,
  [SMALL_STATE(17398)] = 444822,
  [SMALL_STATE(17399)] = 444829,
  [SMALL_STATE(17400)] = 444836,
  [SMALL_STATE(17401)] = 444843,
  [SMALL_STATE(17402)] = 444850,
  [SMALL_STATE(17403)] = 444857,
  [SMALL_STATE(17404)] = 444864,
  [SMALL_STATE(17405)] = 444871,
  [SMALL_STATE(17406)] = 444878,
  [SMALL_STATE(17407)] = 444885,
  [SMALL_STATE(17408)] = 444892,
  [SMALL_STATE(17409)] = 444899,
  [SMALL_STATE(17410)] = 444906,
  [SMALL_STATE(17411)] = 444913,
  [SMALL_STATE(17412)] = 444920,
  [SMALL_STATE(17413)] = 444927,
  [SMALL_STATE(17414)] = 444934,
  [SMALL_STATE(17415)] = 444941,
  [SMALL_STATE(17416)] = 444948,
  [SMALL_STATE(17417)] = 444955,
  [SMALL_STATE(17418)] = 444962,
  [SMALL_STATE(17419)] = 444969,
  [SMALL_STATE(17420)] = 444976,
  [SMALL_STATE(17421)] = 444983,
  [SMALL_STATE(17422)] = 444990,
  [SMALL_STATE(17423)] = 444997,
  [SMALL_STATE(17424)] = 445004,
  [SMALL_STATE(17425)] = 445011,
  [SMALL_STATE(17426)] = 445018,
  [SMALL_STATE(17427)] = 445025,
  [SMALL_STATE(17428)] = 445032,
  [SMALL_STATE(17429)] = 445039,
  [SMALL_STATE(17430)] = 445046,
  [SMALL_STATE(17431)] = 445053,
  [SMALL_STATE(17432)] = 445060,
  [SMALL_STATE(17433)] = 445067,
  [SMALL_STATE(17434)] = 445074,
  [SMALL_STATE(17435)] = 445081,
  [SMALL_STATE(17436)] = 445088,
  [SMALL_STATE(17437)] = 445095,
  [SMALL_STATE(17438)] = 445102,
  [SMALL_STATE(17439)] = 445109,
  [SMALL_STATE(17440)] = 445116,
  [SMALL_STATE(17441)] = 445123,
  [SMALL_STATE(17442)] = 445130,
  [SMALL_STATE(17443)] = 445137,
  [SMALL_STATE(17444)] = 445144,
  [SMALL_STATE(17445)] = 445151,
  [SMALL_STATE(17446)] = 445158,
  [SMALL_STATE(17447)] = 445165,
  [SMALL_STATE(17448)] = 445172,
  [SMALL_STATE(17449)] = 445179,
  [SMALL_STATE(17450)] = 445186,
  [SMALL_STATE(17451)] = 445193,
  [SMALL_STATE(17452)] = 445200,
  [SMALL_STATE(17453)] = 445207,
  [SMALL_STATE(17454)] = 445214,
  [SMALL_STATE(17455)] = 445221,
  [SMALL_STATE(17456)] = 445228,
  [SMALL_STATE(17457)] = 445235,
  [SMALL_STATE(17458)] = 445242,
  [SMALL_STATE(17459)] = 445249,
  [SMALL_STATE(17460)] = 445256,
  [SMALL_STATE(17461)] = 445263,
  [SMALL_STATE(17462)] = 445270,
  [SMALL_STATE(17463)] = 445277,
  [SMALL_STATE(17464)] = 445284,
  [SMALL_STATE(17465)] = 445291,
  [SMALL_STATE(17466)] = 445298,
  [SMALL_STATE(17467)] = 445305,
  [SMALL_STATE(17468)] = 445312,
  [SMALL_STATE(17469)] = 445319,
  [SMALL_STATE(17470)] = 445326,
  [SMALL_STATE(17471)] = 445333,
  [SMALL_STATE(17472)] = 445340,
  [SMALL_STATE(17473)] = 445347,
  [SMALL_STATE(17474)] = 445354,
  [SMALL_STATE(17475)] = 445361,
  [SMALL_STATE(17476)] = 445368,
  [SMALL_STATE(17477)] = 445375,
  [SMALL_STATE(17478)] = 445382,
  [SMALL_STATE(17479)] = 445389,
  [SMALL_STATE(17480)] = 445396,
  [SMALL_STATE(17481)] = 445403,
  [SMALL_STATE(17482)] = 445410,
  [SMALL_STATE(17483)] = 445417,
  [SMALL_STATE(17484)] = 445424,
  [SMALL_STATE(17485)] = 445431,
  [SMALL_STATE(17486)] = 445438,
  [SMALL_STATE(17487)] = 445445,
  [SMALL_STATE(17488)] = 445452,
  [SMALL_STATE(17489)] = 445459,
  [SMALL_STATE(17490)] = 445466,
  [SMALL_STATE(17491)] = 445473,
  [SMALL_STATE(17492)] = 445480,
  [SMALL_STATE(17493)] = 445487,
  [SMALL_STATE(17494)] = 445494,
  [SMALL_STATE(17495)] = 445501,
  [SMALL_STATE(17496)] = 445508,
  [SMALL_STATE(17497)] = 445515,
  [SMALL_STATE(17498)] = 445522,
  [SMALL_STATE(17499)] = 445529,
  [SMALL_STATE(17500)] = 445536,
  [SMALL_STATE(17501)] = 445543,
  [SMALL_STATE(17502)] = 445550,
  [SMALL_STATE(17503)] = 445557,
  [SMALL_STATE(17504)] = 445564,
  [SMALL_STATE(17505)] = 445571,
  [SMALL_STATE(17506)] = 445578,
  [SMALL_STATE(17507)] = 445585,
  [SMALL_STATE(17508)] = 445592,
  [SMALL_STATE(17509)] = 445599,
  [SMALL_STATE(17510)] = 445606,
  [SMALL_STATE(17511)] = 445613,
  [SMALL_STATE(17512)] = 445620,
  [SMALL_STATE(17513)] = 445627,
  [SMALL_STATE(17514)] = 445634,
  [SMALL_STATE(17515)] = 445641,
  [SMALL_STATE(17516)] = 445648,
  [SMALL_STATE(17517)] = 445655,
  [SMALL_STATE(17518)] = 445662,
  [SMALL_STATE(17519)] = 445669,
  [SMALL_STATE(17520)] = 445676,
  [SMALL_STATE(17521)] = 445683,
  [SMALL_STATE(17522)] = 445690,
  [SMALL_STATE(17523)] = 445697,
  [SMALL_STATE(17524)] = 445704,
  [SMALL_STATE(17525)] = 445711,
  [SMALL_STATE(17526)] = 445718,
  [SMALL_STATE(17527)] = 445725,
  [SMALL_STATE(17528)] = 445732,
  [SMALL_STATE(17529)] = 445739,
  [SMALL_STATE(17530)] = 445746,
  [SMALL_STATE(17531)] = 445753,
  [SMALL_STATE(17532)] = 445760,
  [SMALL_STATE(17533)] = 445767,
  [SMALL_STATE(17534)] = 445774,
  [SMALL_STATE(17535)] = 445781,
  [SMALL_STATE(17536)] = 445788,
  [SMALL_STATE(17537)] = 445795,
  [SMALL_STATE(17538)] = 445802,
  [SMALL_STATE(17539)] = 445809,
  [SMALL_STATE(17540)] = 445816,
  [SMALL_STATE(17541)] = 445823,
  [SMALL_STATE(17542)] = 445830,
  [SMALL_STATE(17543)] = 445837,
  [SMALL_STATE(17544)] = 445844,
  [SMALL_STATE(17545)] = 445851,
  [SMALL_STATE(17546)] = 445858,
  [SMALL_STATE(17547)] = 445865,
  [SMALL_STATE(17548)] = 445872,
  [SMALL_STATE(17549)] = 445879,
  [SMALL_STATE(17550)] = 445886,
  [SMALL_STATE(17551)] = 445893,
  [SMALL_STATE(17552)] = 445900,
  [SMALL_STATE(17553)] = 445907,
  [SMALL_STATE(17554)] = 445914,
  [SMALL_STATE(17555)] = 445921,
  [SMALL_STATE(17556)] = 445928,
  [SMALL_STATE(17557)] = 445935,
  [SMALL_STATE(17558)] = 445942,
  [SMALL_STATE(17559)] = 445949,
  [SMALL_STATE(17560)] = 445956,
  [SMALL_STATE(17561)] = 445963,
  [SMALL_STATE(17562)] = 445970,
  [SMALL_STATE(17563)] = 445977,
  [SMALL_STATE(17564)] = 445984,
  [SMALL_STATE(17565)] = 445991,
  [SMALL_STATE(17566)] = 445998,
  [SMALL_STATE(17567)] = 446005,
  [SMALL_STATE(17568)] = 446012,
  [SMALL_STATE(17569)] = 446019,
  [SMALL_STATE(17570)] = 446026,
  [SMALL_STATE(17571)] = 446033,
  [SMALL_STATE(17572)] = 446040,
  [SMALL_STATE(17573)] = 446047,
  [SMALL_STATE(17574)] = 446054,
  [SMALL_STATE(17575)] = 446061,
  [SMALL_STATE(17576)] = 446068,
  [SMALL_STATE(17577)] = 446075,
  [SMALL_STATE(17578)] = 446082,
  [SMALL_STATE(17579)] = 446089,
  [SMALL_STATE(17580)] = 446096,
  [SMALL_STATE(17581)] = 446103,
  [SMALL_STATE(17582)] = 446110,
  [SMALL_STATE(17583)] = 446117,
  [SMALL_STATE(17584)] = 446124,
  [SMALL_STATE(17585)] = 446131,
  [SMALL_STATE(17586)] = 446138,
  [SMALL_STATE(17587)] = 446145,
  [SMALL_STATE(17588)] = 446152,
  [SMALL_STATE(17589)] = 446159,
  [SMALL_STATE(17590)] = 446166,
  [SMALL_STATE(17591)] = 446173,
  [SMALL_STATE(17592)] = 446180,
  [SMALL_STATE(17593)] = 446187,
  [SMALL_STATE(17594)] = 446194,
  [SMALL_STATE(17595)] = 446201,
  [SMALL_STATE(17596)] = 446208,
  [SMALL_STATE(17597)] = 446215,
  [SMALL_STATE(17598)] = 446222,
  [SMALL_STATE(17599)] = 446229,
  [SMALL_STATE(17600)] = 446236,
  [SMALL_STATE(17601)] = 446243,
  [SMALL_STATE(17602)] = 446250,
  [SMALL_STATE(17603)] = 446257,
  [SMALL_STATE(17604)] = 446264,
  [SMALL_STATE(17605)] = 446271,
  [SMALL_STATE(17606)] = 446278,
  [SMALL_STATE(17607)] = 446285,
  [SMALL_STATE(17608)] = 446292,
  [SMALL_STATE(17609)] = 446299,
  [SMALL_STATE(17610)] = 446306,
  [SMALL_STATE(17611)] = 446313,
  [SMALL_STATE(17612)] = 446320,
  [SMALL_STATE(17613)] = 446327,
  [SMALL_STATE(17614)] = 446334,
  [SMALL_STATE(17615)] = 446341,
  [SMALL_STATE(17616)] = 446348,
  [SMALL_STATE(17617)] = 446355,
  [SMALL_STATE(17618)] = 446362,
  [SMALL_STATE(17619)] = 446369,
  [SMALL_STATE(17620)] = 446376,
  [SMALL_STATE(17621)] = 446383,
  [SMALL_STATE(17622)] = 446390,
  [SMALL_STATE(17623)] = 446397,
  [SMALL_STATE(17624)] = 446404,
  [SMALL_STATE(17625)] = 446411,
  [SMALL_STATE(17626)] = 446418,
  [SMALL_STATE(17627)] = 446425,
  [SMALL_STATE(17628)] = 446432,
  [SMALL_STATE(17629)] = 446439,
  [SMALL_STATE(17630)] = 446446,
  [SMALL_STATE(17631)] = 446453,
  [SMALL_STATE(17632)] = 446460,
  [SMALL_STATE(17633)] = 446467,
  [SMALL_STATE(17634)] = 446474,
  [SMALL_STATE(17635)] = 446481,
  [SMALL_STATE(17636)] = 446488,
  [SMALL_STATE(17637)] = 446495,
  [SMALL_STATE(17638)] = 446502,
  [SMALL_STATE(17639)] = 446509,
  [SMALL_STATE(17640)] = 446516,
  [SMALL_STATE(17641)] = 446523,
  [SMALL_STATE(17642)] = 446530,
  [SMALL_STATE(17643)] = 446537,
  [SMALL_STATE(17644)] = 446544,
  [SMALL_STATE(17645)] = 446551,
  [SMALL_STATE(17646)] = 446558,
  [SMALL_STATE(17647)] = 446565,
  [SMALL_STATE(17648)] = 446572,
  [SMALL_STATE(17649)] = 446579,
  [SMALL_STATE(17650)] = 446586,
  [SMALL_STATE(17651)] = 446593,
  [SMALL_STATE(17652)] = 446600,
  [SMALL_STATE(17653)] = 446607,
  [SMALL_STATE(17654)] = 446614,
  [SMALL_STATE(17655)] = 446621,
  [SMALL_STATE(17656)] = 446628,
  [SMALL_STATE(17657)] = 446635,
  [SMALL_STATE(17658)] = 446642,
  [SMALL_STATE(17659)] = 446649,
  [SMALL_STATE(17660)] = 446656,
  [SMALL_STATE(17661)] = 446663,
  [SMALL_STATE(17662)] = 446670,
  [SMALL_STATE(17663)] = 446677,
  [SMALL_STATE(17664)] = 446684,
  [SMALL_STATE(17665)] = 446691,
  [SMALL_STATE(17666)] = 446698,
  [SMALL_STATE(17667)] = 446705,
  [SMALL_STATE(17668)] = 446712,
  [SMALL_STATE(17669)] = 446719,
  [SMALL_STATE(17670)] = 446726,
  [SMALL_STATE(17671)] = 446733,
  [SMALL_STATE(17672)] = 446740,
  [SMALL_STATE(17673)] = 446747,
  [SMALL_STATE(17674)] = 446754,
  [SMALL_STATE(17675)] = 446761,
  [SMALL_STATE(17676)] = 446768,
  [SMALL_STATE(17677)] = 446775,
  [SMALL_STATE(17678)] = 446782,
  [SMALL_STATE(17679)] = 446789,
  [SMALL_STATE(17680)] = 446796,
  [SMALL_STATE(17681)] = 446803,
  [SMALL_STATE(17682)] = 446810,
  [SMALL_STATE(17683)] = 446817,
  [SMALL_STATE(17684)] = 446824,
  [SMALL_STATE(17685)] = 446831,
  [SMALL_STATE(17686)] = 446838,
  [SMALL_STATE(17687)] = 446845,
  [SMALL_STATE(17688)] = 446852,
  [SMALL_STATE(17689)] = 446859,
  [SMALL_STATE(17690)] = 446866,
  [SMALL_STATE(17691)] = 446873,
  [SMALL_STATE(17692)] = 446880,
  [SMALL_STATE(17693)] = 446887,
  [SMALL_STATE(17694)] = 446894,
  [SMALL_STATE(17695)] = 446901,
  [SMALL_STATE(17696)] = 446908,
  [SMALL_STATE(17697)] = 446915,
  [SMALL_STATE(17698)] = 446922,
  [SMALL_STATE(17699)] = 446929,
  [SMALL_STATE(17700)] = 446936,
  [SMALL_STATE(17701)] = 446943,
  [SMALL_STATE(17702)] = 446950,
  [SMALL_STATE(17703)] = 446957,
  [SMALL_STATE(17704)] = 446964,
  [SMALL_STATE(17705)] = 446971,
  [SMALL_STATE(17706)] = 446978,
  [SMALL_STATE(17707)] = 446985,
  [SMALL_STATE(17708)] = 446992,
  [SMALL_STATE(17709)] = 446999,
  [SMALL_STATE(17710)] = 447006,
  [SMALL_STATE(17711)] = 447013,
  [SMALL_STATE(17712)] = 447020,
  [SMALL_STATE(17713)] = 447027,
  [SMALL_STATE(17714)] = 447034,
  [SMALL_STATE(17715)] = 447041,
  [SMALL_STATE(17716)] = 447048,
  [SMALL_STATE(17717)] = 447055,
  [SMALL_STATE(17718)] = 447062,
  [SMALL_STATE(17719)] = 447069,
  [SMALL_STATE(17720)] = 447076,
  [SMALL_STATE(17721)] = 447083,
  [SMALL_STATE(17722)] = 447090,
  [SMALL_STATE(17723)] = 447097,
  [SMALL_STATE(17724)] = 447104,
  [SMALL_STATE(17725)] = 447111,
  [SMALL_STATE(17726)] = 447118,
  [SMALL_STATE(17727)] = 447125,
  [SMALL_STATE(17728)] = 447132,
  [SMALL_STATE(17729)] = 447139,
  [SMALL_STATE(17730)] = 447146,
  [SMALL_STATE(17731)] = 447153,
  [SMALL_STATE(17732)] = 447160,
  [SMALL_STATE(17733)] = 447167,
  [SMALL_STATE(17734)] = 447174,
  [SMALL_STATE(17735)] = 447181,
  [SMALL_STATE(17736)] = 447188,
  [SMALL_STATE(17737)] = 447195,
  [SMALL_STATE(17738)] = 447202,
  [SMALL_STATE(17739)] = 447209,
  [SMALL_STATE(17740)] = 447216,
  [SMALL_STATE(17741)] = 447223,
  [SMALL_STATE(17742)] = 447230,
  [SMALL_STATE(17743)] = 447237,
  [SMALL_STATE(17744)] = 447244,
  [SMALL_STATE(17745)] = 447251,
  [SMALL_STATE(17746)] = 447258,
  [SMALL_STATE(17747)] = 447265,
  [SMALL_STATE(17748)] = 447272,
  [SMALL_STATE(17749)] = 447279,
  [SMALL_STATE(17750)] = 447286,
  [SMALL_STATE(17751)] = 447293,
  [SMALL_STATE(17752)] = 447300,
  [SMALL_STATE(17753)] = 447307,
  [SMALL_STATE(17754)] = 447314,
  [SMALL_STATE(17755)] = 447321,
  [SMALL_STATE(17756)] = 447328,
  [SMALL_STATE(17757)] = 447335,
  [SMALL_STATE(17758)] = 447342,
  [SMALL_STATE(17759)] = 447349,
  [SMALL_STATE(17760)] = 447356,
  [SMALL_STATE(17761)] = 447363,
  [SMALL_STATE(17762)] = 447370,
  [SMALL_STATE(17763)] = 447377,
  [SMALL_STATE(17764)] = 447384,
  [SMALL_STATE(17765)] = 447391,
  [SMALL_STATE(17766)] = 447398,
  [SMALL_STATE(17767)] = 447405,
  [SMALL_STATE(17768)] = 447412,
  [SMALL_STATE(17769)] = 447419,
  [SMALL_STATE(17770)] = 447426,
  [SMALL_STATE(17771)] = 447433,
  [SMALL_STATE(17772)] = 447440,
  [SMALL_STATE(17773)] = 447447,
  [SMALL_STATE(17774)] = 447454,
  [SMALL_STATE(17775)] = 447461,
  [SMALL_STATE(17776)] = 447468,
  [SMALL_STATE(17777)] = 447475,
  [SMALL_STATE(17778)] = 447482,
  [SMALL_STATE(17779)] = 447489,
  [SMALL_STATE(17780)] = 447496,
  [SMALL_STATE(17781)] = 447503,
  [SMALL_STATE(17782)] = 447510,
  [SMALL_STATE(17783)] = 447517,
  [SMALL_STATE(17784)] = 447524,
  [SMALL_STATE(17785)] = 447531,
  [SMALL_STATE(17786)] = 447538,
  [SMALL_STATE(17787)] = 447545,
  [SMALL_STATE(17788)] = 447552,
  [SMALL_STATE(17789)] = 447559,
  [SMALL_STATE(17790)] = 447566,
  [SMALL_STATE(17791)] = 447573,
  [SMALL_STATE(17792)] = 447580,
  [SMALL_STATE(17793)] = 447587,
  [SMALL_STATE(17794)] = 447594,
  [SMALL_STATE(17795)] = 447601,
  [SMALL_STATE(17796)] = 447608,
  [SMALL_STATE(17797)] = 447615,
  [SMALL_STATE(17798)] = 447622,
  [SMALL_STATE(17799)] = 447629,
  [SMALL_STATE(17800)] = 447636,
  [SMALL_STATE(17801)] = 447643,
  [SMALL_STATE(17802)] = 447650,
  [SMALL_STATE(17803)] = 447657,
  [SMALL_STATE(17804)] = 447664,
  [SMALL_STATE(17805)] = 447671,
  [SMALL_STATE(17806)] = 447678,
  [SMALL_STATE(17807)] = 447685,
  [SMALL_STATE(17808)] = 447692,
  [SMALL_STATE(17809)] = 447699,
  [SMALL_STATE(17810)] = 447706,
  [SMALL_STATE(17811)] = 447713,
  [SMALL_STATE(17812)] = 447720,
  [SMALL_STATE(17813)] = 447727,
  [SMALL_STATE(17814)] = 447734,
  [SMALL_STATE(17815)] = 447741,
  [SMALL_STATE(17816)] = 447748,
  [SMALL_STATE(17817)] = 447755,
  [SMALL_STATE(17818)] = 447762,
  [SMALL_STATE(17819)] = 447769,
  [SMALL_STATE(17820)] = 447776,
  [SMALL_STATE(17821)] = 447783,
  [SMALL_STATE(17822)] = 447790,
  [SMALL_STATE(17823)] = 447797,
  [SMALL_STATE(17824)] = 447804,
  [SMALL_STATE(17825)] = 447811,
  [SMALL_STATE(17826)] = 447818,
  [SMALL_STATE(17827)] = 447825,
  [SMALL_STATE(17828)] = 447832,
  [SMALL_STATE(17829)] = 447839,
  [SMALL_STATE(17830)] = 447846,
  [SMALL_STATE(17831)] = 447853,
  [SMALL_STATE(17832)] = 447860,
  [SMALL_STATE(17833)] = 447867,
  [SMALL_STATE(17834)] = 447874,
  [SMALL_STATE(17835)] = 447881,
  [SMALL_STATE(17836)] = 447888,
  [SMALL_STATE(17837)] = 447895,
  [SMALL_STATE(17838)] = 447902,
  [SMALL_STATE(17839)] = 447909,
  [SMALL_STATE(17840)] = 447916,
  [SMALL_STATE(17841)] = 447923,
  [SMALL_STATE(17842)] = 447930,
  [SMALL_STATE(17843)] = 447937,
  [SMALL_STATE(17844)] = 447944,
  [SMALL_STATE(17845)] = 447951,
  [SMALL_STATE(17846)] = 447958,
  [SMALL_STATE(17847)] = 447965,
  [SMALL_STATE(17848)] = 447972,
  [SMALL_STATE(17849)] = 447979,
  [SMALL_STATE(17850)] = 447986,
  [SMALL_STATE(17851)] = 447993,
  [SMALL_STATE(17852)] = 448000,
  [SMALL_STATE(17853)] = 448007,
  [SMALL_STATE(17854)] = 448014,
  [SMALL_STATE(17855)] = 448021,
  [SMALL_STATE(17856)] = 448028,
  [SMALL_STATE(17857)] = 448035,
  [SMALL_STATE(17858)] = 448042,
  [SMALL_STATE(17859)] = 448049,
  [SMALL_STATE(17860)] = 448056,
  [SMALL_STATE(17861)] = 448063,
  [SMALL_STATE(17862)] = 448070,
  [SMALL_STATE(17863)] = 448077,
  [SMALL_STATE(17864)] = 448084,
  [SMALL_STATE(17865)] = 448091,
  [SMALL_STATE(17866)] = 448098,
  [SMALL_STATE(17867)] = 448105,
  [SMALL_STATE(17868)] = 448112,
  [SMALL_STATE(17869)] = 448119,
  [SMALL_STATE(17870)] = 448126,
  [SMALL_STATE(17871)] = 448133,
  [SMALL_STATE(17872)] = 448140,
  [SMALL_STATE(17873)] = 448147,
  [SMALL_STATE(17874)] = 448154,
  [SMALL_STATE(17875)] = 448161,
  [SMALL_STATE(17876)] = 448168,
  [SMALL_STATE(17877)] = 448175,
  [SMALL_STATE(17878)] = 448182,
  [SMALL_STATE(17879)] = 448189,
  [SMALL_STATE(17880)] = 448196,
  [SMALL_STATE(17881)] = 448203,
  [SMALL_STATE(17882)] = 448210,
  [SMALL_STATE(17883)] = 448217,
  [SMALL_STATE(17884)] = 448224,
  [SMALL_STATE(17885)] = 448231,
  [SMALL_STATE(17886)] = 448238,
  [SMALL_STATE(17887)] = 448245,
  [SMALL_STATE(17888)] = 448252,
  [SMALL_STATE(17889)] = 448259,
  [SMALL_STATE(17890)] = 448266,
  [SMALL_STATE(17891)] = 448273,
  [SMALL_STATE(17892)] = 448280,
  [SMALL_STATE(17893)] = 448287,
  [SMALL_STATE(17894)] = 448294,
  [SMALL_STATE(17895)] = 448301,
  [SMALL_STATE(17896)] = 448308,
  [SMALL_STATE(17897)] = 448315,
  [SMALL_STATE(17898)] = 448322,
  [SMALL_STATE(17899)] = 448329,
  [SMALL_STATE(17900)] = 448336,
  [SMALL_STATE(17901)] = 448343,
  [SMALL_STATE(17902)] = 448350,
  [SMALL_STATE(17903)] = 448357,
  [SMALL_STATE(17904)] = 448364,
  [SMALL_STATE(17905)] = 448371,
  [SMALL_STATE(17906)] = 448378,
  [SMALL_STATE(17907)] = 448385,
  [SMALL_STATE(17908)] = 448392,
  [SMALL_STATE(17909)] = 448399,
  [SMALL_STATE(17910)] = 448406,
  [SMALL_STATE(17911)] = 448413,
  [SMALL_STATE(17912)] = 448420,
  [SMALL_STATE(17913)] = 448427,
  [SMALL_STATE(17914)] = 448434,
  [SMALL_STATE(17915)] = 448441,
  [SMALL_STATE(17916)] = 448448,
  [SMALL_STATE(17917)] = 448455,
  [SMALL_STATE(17918)] = 448462,
  [SMALL_STATE(17919)] = 448469,
  [SMALL_STATE(17920)] = 448476,
  [SMALL_STATE(17921)] = 448483,
  [SMALL_STATE(17922)] = 448490,
  [SMALL_STATE(17923)] = 448497,
  [SMALL_STATE(17924)] = 448504,
  [SMALL_STATE(17925)] = 448511,
  [SMALL_STATE(17926)] = 448518,
  [SMALL_STATE(17927)] = 448525,
  [SMALL_STATE(17928)] = 448532,
  [SMALL_STATE(17929)] = 448539,
  [SMALL_STATE(17930)] = 448546,
  [SMALL_STATE(17931)] = 448553,
  [SMALL_STATE(17932)] = 448560,
  [SMALL_STATE(17933)] = 448567,
  [SMALL_STATE(17934)] = 448574,
  [SMALL_STATE(17935)] = 448581,
  [SMALL_STATE(17936)] = 448588,
  [SMALL_STATE(17937)] = 448595,
  [SMALL_STATE(17938)] = 448602,
  [SMALL_STATE(17939)] = 448609,
  [SMALL_STATE(17940)] = 448616,
  [SMALL_STATE(17941)] = 448623,
  [SMALL_STATE(17942)] = 448630,
  [SMALL_STATE(17943)] = 448637,
  [SMALL_STATE(17944)] = 448644,
  [SMALL_STATE(17945)] = 448651,
  [SMALL_STATE(17946)] = 448658,
  [SMALL_STATE(17947)] = 448665,
  [SMALL_STATE(17948)] = 448672,
  [SMALL_STATE(17949)] = 448679,
  [SMALL_STATE(17950)] = 448686,
  [SMALL_STATE(17951)] = 448693,
  [SMALL_STATE(17952)] = 448700,
  [SMALL_STATE(17953)] = 448707,
  [SMALL_STATE(17954)] = 448714,
  [SMALL_STATE(17955)] = 448721,
  [SMALL_STATE(17956)] = 448728,
  [SMALL_STATE(17957)] = 448735,
  [SMALL_STATE(17958)] = 448742,
  [SMALL_STATE(17959)] = 448749,
  [SMALL_STATE(17960)] = 448756,
  [SMALL_STATE(17961)] = 448763,
  [SMALL_STATE(17962)] = 448770,
  [SMALL_STATE(17963)] = 448777,
  [SMALL_STATE(17964)] = 448784,
  [SMALL_STATE(17965)] = 448791,
  [SMALL_STATE(17966)] = 448798,
  [SMALL_STATE(17967)] = 448805,
  [SMALL_STATE(17968)] = 448812,
  [SMALL_STATE(17969)] = 448819,
  [SMALL_STATE(17970)] = 448826,
  [SMALL_STATE(17971)] = 448833,
  [SMALL_STATE(17972)] = 448840,
  [SMALL_STATE(17973)] = 448847,
  [SMALL_STATE(17974)] = 448854,
  [SMALL_STATE(17975)] = 448861,
  [SMALL_STATE(17976)] = 448868,
  [SMALL_STATE(17977)] = 448875,
  [SMALL_STATE(17978)] = 448882,
  [SMALL_STATE(17979)] = 448889,
  [SMALL_STATE(17980)] = 448896,
  [SMALL_STATE(17981)] = 448903,
  [SMALL_STATE(17982)] = 448910,
  [SMALL_STATE(17983)] = 448917,
  [SMALL_STATE(17984)] = 448924,
  [SMALL_STATE(17985)] = 448931,
  [SMALL_STATE(17986)] = 448938,
  [SMALL_STATE(17987)] = 448945,
  [SMALL_STATE(17988)] = 448952,
  [SMALL_STATE(17989)] = 448959,
  [SMALL_STATE(17990)] = 448966,
  [SMALL_STATE(17991)] = 448973,
  [SMALL_STATE(17992)] = 448980,
  [SMALL_STATE(17993)] = 448987,
  [SMALL_STATE(17994)] = 448994,
  [SMALL_STATE(17995)] = 449001,
  [SMALL_STATE(17996)] = 449008,
  [SMALL_STATE(17997)] = 449015,
  [SMALL_STATE(17998)] = 449022,
  [SMALL_STATE(17999)] = 449029,
  [SMALL_STATE(18000)] = 449036,
  [SMALL_STATE(18001)] = 449043,
  [SMALL_STATE(18002)] = 449050,
  [SMALL_STATE(18003)] = 449057,
  [SMALL_STATE(18004)] = 449064,
  [SMALL_STATE(18005)] = 449071,
  [SMALL_STATE(18006)] = 449078,
  [SMALL_STATE(18007)] = 449085,
  [SMALL_STATE(18008)] = 449092,
  [SMALL_STATE(18009)] = 449099,
  [SMALL_STATE(18010)] = 449106,
  [SMALL_STATE(18011)] = 449113,
  [SMALL_STATE(18012)] = 449120,
  [SMALL_STATE(18013)] = 449127,
  [SMALL_STATE(18014)] = 449134,
  [SMALL_STATE(18015)] = 449141,
  [SMALL_STATE(18016)] = 449148,
  [SMALL_STATE(18017)] = 449155,
  [SMALL_STATE(18018)] = 449162,
  [SMALL_STATE(18019)] = 449169,
  [SMALL_STATE(18020)] = 449176,
  [SMALL_STATE(18021)] = 449183,
  [SMALL_STATE(18022)] = 449190,
  [SMALL_STATE(18023)] = 449197,
  [SMALL_STATE(18024)] = 449204,
  [SMALL_STATE(18025)] = 449211,
  [SMALL_STATE(18026)] = 449218,
  [SMALL_STATE(18027)] = 449225,
  [SMALL_STATE(18028)] = 449232,
  [SMALL_STATE(18029)] = 449239,
  [SMALL_STATE(18030)] = 449246,
  [SMALL_STATE(18031)] = 449253,
  [SMALL_STATE(18032)] = 449260,
  [SMALL_STATE(18033)] = 449267,
  [SMALL_STATE(18034)] = 449274,
  [SMALL_STATE(18035)] = 449281,
  [SMALL_STATE(18036)] = 449288,
  [SMALL_STATE(18037)] = 449295,
  [SMALL_STATE(18038)] = 449302,
  [SMALL_STATE(18039)] = 449309,
  [SMALL_STATE(18040)] = 449316,
  [SMALL_STATE(18041)] = 449323,
  [SMALL_STATE(18042)] = 449330,
  [SMALL_STATE(18043)] = 449337,
  [SMALL_STATE(18044)] = 449344,
  [SMALL_STATE(18045)] = 449351,
  [SMALL_STATE(18046)] = 449358,
  [SMALL_STATE(18047)] = 449365,
  [SMALL_STATE(18048)] = 449372,
  [SMALL_STATE(18049)] = 449379,
  [SMALL_STATE(18050)] = 449386,
  [SMALL_STATE(18051)] = 449393,
  [SMALL_STATE(18052)] = 449400,
  [SMALL_STATE(18053)] = 449407,
  [SMALL_STATE(18054)] = 449414,
  [SMALL_STATE(18055)] = 449421,
  [SMALL_STATE(18056)] = 449428,
  [SMALL_STATE(18057)] = 449435,
  [SMALL_STATE(18058)] = 449442,
  [SMALL_STATE(18059)] = 449449,
  [SMALL_STATE(18060)] = 449456,
  [SMALL_STATE(18061)] = 449463,
  [SMALL_STATE(18062)] = 449470,
  [SMALL_STATE(18063)] = 449477,
  [SMALL_STATE(18064)] = 449484,
  [SMALL_STATE(18065)] = 449491,
  [SMALL_STATE(18066)] = 449498,
  [SMALL_STATE(18067)] = 449505,
  [SMALL_STATE(18068)] = 449512,
  [SMALL_STATE(18069)] = 449519,
  [SMALL_STATE(18070)] = 449526,
  [SMALL_STATE(18071)] = 449533,
  [SMALL_STATE(18072)] = 449540,
  [SMALL_STATE(18073)] = 449547,
  [SMALL_STATE(18074)] = 449554,
  [SMALL_STATE(18075)] = 449561,
  [SMALL_STATE(18076)] = 449568,
  [SMALL_STATE(18077)] = 449575,
  [SMALL_STATE(18078)] = 449582,
  [SMALL_STATE(18079)] = 449589,
  [SMALL_STATE(18080)] = 449596,
  [SMALL_STATE(18081)] = 449603,
  [SMALL_STATE(18082)] = 449610,
  [SMALL_STATE(18083)] = 449617,
  [SMALL_STATE(18084)] = 449624,
  [SMALL_STATE(18085)] = 449631,
  [SMALL_STATE(18086)] = 449638,
  [SMALL_STATE(18087)] = 449645,
  [SMALL_STATE(18088)] = 449652,
  [SMALL_STATE(18089)] = 449659,
  [SMALL_STATE(18090)] = 449666,
  [SMALL_STATE(18091)] = 449673,
  [SMALL_STATE(18092)] = 449680,
  [SMALL_STATE(18093)] = 449687,
  [SMALL_STATE(18094)] = 449694,
  [SMALL_STATE(18095)] = 449701,
  [SMALL_STATE(18096)] = 449708,
  [SMALL_STATE(18097)] = 449715,
  [SMALL_STATE(18098)] = 449722,
  [SMALL_STATE(18099)] = 449729,
  [SMALL_STATE(18100)] = 449736,
  [SMALL_STATE(18101)] = 449743,
  [SMALL_STATE(18102)] = 449750,
  [SMALL_STATE(18103)] = 449757,
  [SMALL_STATE(18104)] = 449764,
  [SMALL_STATE(18105)] = 449771,
  [SMALL_STATE(18106)] = 449778,
  [SMALL_STATE(18107)] = 449785,
  [SMALL_STATE(18108)] = 449792,
  [SMALL_STATE(18109)] = 449799,
  [SMALL_STATE(18110)] = 449806,
  [SMALL_STATE(18111)] = 449813,
  [SMALL_STATE(18112)] = 449820,
  [SMALL_STATE(18113)] = 449827,
  [SMALL_STATE(18114)] = 449834,
  [SMALL_STATE(18115)] = 449841,
  [SMALL_STATE(18116)] = 449848,
  [SMALL_STATE(18117)] = 449855,
  [SMALL_STATE(18118)] = 449862,
  [SMALL_STATE(18119)] = 449869,
  [SMALL_STATE(18120)] = 449876,
  [SMALL_STATE(18121)] = 449883,
  [SMALL_STATE(18122)] = 449890,
  [SMALL_STATE(18123)] = 449897,
  [SMALL_STATE(18124)] = 449904,
  [SMALL_STATE(18125)] = 449911,
  [SMALL_STATE(18126)] = 449918,
  [SMALL_STATE(18127)] = 449925,
  [SMALL_STATE(18128)] = 449932,
  [SMALL_STATE(18129)] = 449939,
  [SMALL_STATE(18130)] = 449946,
  [SMALL_STATE(18131)] = 449953,
  [SMALL_STATE(18132)] = 449960,
  [SMALL_STATE(18133)] = 449967,
  [SMALL_STATE(18134)] = 449974,
  [SMALL_STATE(18135)] = 449981,
  [SMALL_STATE(18136)] = 449988,
  [SMALL_STATE(18137)] = 449995,
  [SMALL_STATE(18138)] = 450002,
  [SMALL_STATE(18139)] = 450009,
  [SMALL_STATE(18140)] = 450016,
  [SMALL_STATE(18141)] = 450023,
  [SMALL_STATE(18142)] = 450030,
  [SMALL_STATE(18143)] = 450037,
  [SMALL_STATE(18144)] = 450044,
  [SMALL_STATE(18145)] = 450051,
  [SMALL_STATE(18146)] = 450058,
  [SMALL_STATE(18147)] = 450065,
  [SMALL_STATE(18148)] = 450072,
  [SMALL_STATE(18149)] = 450079,
  [SMALL_STATE(18150)] = 450086,
  [SMALL_STATE(18151)] = 450093,
  [SMALL_STATE(18152)] = 450100,
  [SMALL_STATE(18153)] = 450107,
  [SMALL_STATE(18154)] = 450114,
  [SMALL_STATE(18155)] = 450121,
  [SMALL_STATE(18156)] = 450128,
  [SMALL_STATE(18157)] = 450135,
  [SMALL_STATE(18158)] = 450142,
  [SMALL_STATE(18159)] = 450149,
  [SMALL_STATE(18160)] = 450156,
  [SMALL_STATE(18161)] = 450163,
  [SMALL_STATE(18162)] = 450170,
  [SMALL_STATE(18163)] = 450177,
  [SMALL_STATE(18164)] = 450184,
  [SMALL_STATE(18165)] = 450191,
  [SMALL_STATE(18166)] = 450198,
  [SMALL_STATE(18167)] = 450205,
  [SMALL_STATE(18168)] = 450212,
  [SMALL_STATE(18169)] = 450219,
  [SMALL_STATE(18170)] = 450226,
  [SMALL_STATE(18171)] = 450233,
  [SMALL_STATE(18172)] = 450240,
  [SMALL_STATE(18173)] = 450247,
  [SMALL_STATE(18174)] = 450254,
  [SMALL_STATE(18175)] = 450261,
  [SMALL_STATE(18176)] = 450268,
  [SMALL_STATE(18177)] = 450275,
  [SMALL_STATE(18178)] = 450282,
  [SMALL_STATE(18179)] = 450289,
  [SMALL_STATE(18180)] = 450296,
  [SMALL_STATE(18181)] = 450303,
  [SMALL_STATE(18182)] = 450310,
  [SMALL_STATE(18183)] = 450317,
  [SMALL_STATE(18184)] = 450324,
  [SMALL_STATE(18185)] = 450331,
  [SMALL_STATE(18186)] = 450338,
  [SMALL_STATE(18187)] = 450345,
  [SMALL_STATE(18188)] = 450352,
  [SMALL_STATE(18189)] = 450359,
  [SMALL_STATE(18190)] = 450366,
  [SMALL_STATE(18191)] = 450373,
  [SMALL_STATE(18192)] = 450380,
  [SMALL_STATE(18193)] = 450387,
  [SMALL_STATE(18194)] = 450394,
  [SMALL_STATE(18195)] = 450401,
  [SMALL_STATE(18196)] = 450408,
  [SMALL_STATE(18197)] = 450415,
  [SMALL_STATE(18198)] = 450422,
  [SMALL_STATE(18199)] = 450429,
  [SMALL_STATE(18200)] = 450436,
  [SMALL_STATE(18201)] = 450443,
  [SMALL_STATE(18202)] = 450450,
  [SMALL_STATE(18203)] = 450457,
  [SMALL_STATE(18204)] = 450464,
  [SMALL_STATE(18205)] = 450471,
  [SMALL_STATE(18206)] = 450478,
  [SMALL_STATE(18207)] = 450485,
  [SMALL_STATE(18208)] = 450492,
  [SMALL_STATE(18209)] = 450499,
  [SMALL_STATE(18210)] = 450506,
  [SMALL_STATE(18211)] = 450513,
  [SMALL_STATE(18212)] = 450520,
  [SMALL_STATE(18213)] = 450527,
  [SMALL_STATE(18214)] = 450534,
  [SMALL_STATE(18215)] = 450541,
  [SMALL_STATE(18216)] = 450548,
  [SMALL_STATE(18217)] = 450555,
  [SMALL_STATE(18218)] = 450562,
  [SMALL_STATE(18219)] = 450569,
  [SMALL_STATE(18220)] = 450576,
  [SMALL_STATE(18221)] = 450583,
  [SMALL_STATE(18222)] = 450590,
  [SMALL_STATE(18223)] = 450597,
  [SMALL_STATE(18224)] = 450604,
  [SMALL_STATE(18225)] = 450611,
  [SMALL_STATE(18226)] = 450618,
  [SMALL_STATE(18227)] = 450625,
  [SMALL_STATE(18228)] = 450632,
  [SMALL_STATE(18229)] = 450639,
  [SMALL_STATE(18230)] = 450646,
  [SMALL_STATE(18231)] = 450653,
  [SMALL_STATE(18232)] = 450660,
  [SMALL_STATE(18233)] = 450667,
  [SMALL_STATE(18234)] = 450674,
  [SMALL_STATE(18235)] = 450681,
  [SMALL_STATE(18236)] = 450688,
  [SMALL_STATE(18237)] = 450695,
  [SMALL_STATE(18238)] = 450702,
  [SMALL_STATE(18239)] = 450709,
  [SMALL_STATE(18240)] = 450716,
  [SMALL_STATE(18241)] = 450723,
  [SMALL_STATE(18242)] = 450730,
  [SMALL_STATE(18243)] = 450737,
  [SMALL_STATE(18244)] = 450744,
  [SMALL_STATE(18245)] = 450751,
  [SMALL_STATE(18246)] = 450758,
  [SMALL_STATE(18247)] = 450765,
  [SMALL_STATE(18248)] = 450772,
  [SMALL_STATE(18249)] = 450779,
  [SMALL_STATE(18250)] = 450786,
  [SMALL_STATE(18251)] = 450793,
  [SMALL_STATE(18252)] = 450800,
  [SMALL_STATE(18253)] = 450807,
  [SMALL_STATE(18254)] = 450814,
  [SMALL_STATE(18255)] = 450821,
  [SMALL_STATE(18256)] = 450828,
  [SMALL_STATE(18257)] = 450835,
  [SMALL_STATE(18258)] = 450842,
  [SMALL_STATE(18259)] = 450849,
  [SMALL_STATE(18260)] = 450856,
  [SMALL_STATE(18261)] = 450863,
  [SMALL_STATE(18262)] = 450870,
  [SMALL_STATE(18263)] = 450877,
  [SMALL_STATE(18264)] = 450884,
  [SMALL_STATE(18265)] = 450891,
  [SMALL_STATE(18266)] = 450898,
  [SMALL_STATE(18267)] = 450905,
  [SMALL_STATE(18268)] = 450912,
  [SMALL_STATE(18269)] = 450919,
  [SMALL_STATE(18270)] = 450926,
  [SMALL_STATE(18271)] = 450933,
  [SMALL_STATE(18272)] = 450940,
  [SMALL_STATE(18273)] = 450947,
  [SMALL_STATE(18274)] = 450954,
  [SMALL_STATE(18275)] = 450961,
  [SMALL_STATE(18276)] = 450968,
  [SMALL_STATE(18277)] = 450975,
  [SMALL_STATE(18278)] = 450982,
  [SMALL_STATE(18279)] = 450989,
  [SMALL_STATE(18280)] = 450996,
  [SMALL_STATE(18281)] = 451003,
  [SMALL_STATE(18282)] = 451010,
  [SMALL_STATE(18283)] = 451017,
  [SMALL_STATE(18284)] = 451024,
  [SMALL_STATE(18285)] = 451031,
  [SMALL_STATE(18286)] = 451038,
  [SMALL_STATE(18287)] = 451045,
  [SMALL_STATE(18288)] = 451052,
  [SMALL_STATE(18289)] = 451059,
  [SMALL_STATE(18290)] = 451066,
  [SMALL_STATE(18291)] = 451073,
  [SMALL_STATE(18292)] = 451080,
  [SMALL_STATE(18293)] = 451087,
  [SMALL_STATE(18294)] = 451094,
  [SMALL_STATE(18295)] = 451101,
  [SMALL_STATE(18296)] = 451108,
  [SMALL_STATE(18297)] = 451115,
  [SMALL_STATE(18298)] = 451122,
  [SMALL_STATE(18299)] = 451129,
  [SMALL_STATE(18300)] = 451136,
  [SMALL_STATE(18301)] = 451143,
  [SMALL_STATE(18302)] = 451150,
  [SMALL_STATE(18303)] = 451157,
  [SMALL_STATE(18304)] = 451164,
  [SMALL_STATE(18305)] = 451171,
  [SMALL_STATE(18306)] = 451178,
  [SMALL_STATE(18307)] = 451185,
  [SMALL_STATE(18308)] = 451192,
  [SMALL_STATE(18309)] = 451199,
  [SMALL_STATE(18310)] = 451206,
  [SMALL_STATE(18311)] = 451213,
  [SMALL_STATE(18312)] = 451220,
  [SMALL_STATE(18313)] = 451227,
  [SMALL_STATE(18314)] = 451234,
  [SMALL_STATE(18315)] = 451241,
  [SMALL_STATE(18316)] = 451248,
  [SMALL_STATE(18317)] = 451255,
  [SMALL_STATE(18318)] = 451262,
  [SMALL_STATE(18319)] = 451269,
  [SMALL_STATE(18320)] = 451276,
  [SMALL_STATE(18321)] = 451283,
  [SMALL_STATE(18322)] = 451290,
  [SMALL_STATE(18323)] = 451297,
  [SMALL_STATE(18324)] = 451304,
  [SMALL_STATE(18325)] = 451311,
  [SMALL_STATE(18326)] = 451318,
  [SMALL_STATE(18327)] = 451325,
  [SMALL_STATE(18328)] = 451332,
  [SMALL_STATE(18329)] = 451339,
  [SMALL_STATE(18330)] = 451346,
  [SMALL_STATE(18331)] = 451353,
  [SMALL_STATE(18332)] = 451360,
  [SMALL_STATE(18333)] = 451367,
  [SMALL_STATE(18334)] = 451374,
  [SMALL_STATE(18335)] = 451381,
  [SMALL_STATE(18336)] = 451388,
  [SMALL_STATE(18337)] = 451395,
  [SMALL_STATE(18338)] = 451402,
  [SMALL_STATE(18339)] = 451409,
  [SMALL_STATE(18340)] = 451416,
  [SMALL_STATE(18341)] = 451423,
  [SMALL_STATE(18342)] = 451430,
  [SMALL_STATE(18343)] = 451437,
  [SMALL_STATE(18344)] = 451444,
  [SMALL_STATE(18345)] = 451451,
  [SMALL_STATE(18346)] = 451458,
  [SMALL_STATE(18347)] = 451465,
  [SMALL_STATE(18348)] = 451472,
  [SMALL_STATE(18349)] = 451479,
  [SMALL_STATE(18350)] = 451486,
  [SMALL_STATE(18351)] = 451493,
  [SMALL_STATE(18352)] = 451500,
  [SMALL_STATE(18353)] = 451507,
  [SMALL_STATE(18354)] = 451514,
  [SMALL_STATE(18355)] = 451521,
  [SMALL_STATE(18356)] = 451528,
  [SMALL_STATE(18357)] = 451535,
  [SMALL_STATE(18358)] = 451542,
  [SMALL_STATE(18359)] = 451549,
  [SMALL_STATE(18360)] = 451556,
  [SMALL_STATE(18361)] = 451563,
  [SMALL_STATE(18362)] = 451570,
  [SMALL_STATE(18363)] = 451577,
  [SMALL_STATE(18364)] = 451584,
  [SMALL_STATE(18365)] = 451591,
  [SMALL_STATE(18366)] = 451598,
  [SMALL_STATE(18367)] = 451605,
  [SMALL_STATE(18368)] = 451612,
  [SMALL_STATE(18369)] = 451619,
  [SMALL_STATE(18370)] = 451626,
  [SMALL_STATE(18371)] = 451633,
  [SMALL_STATE(18372)] = 451640,
  [SMALL_STATE(18373)] = 451647,
  [SMALL_STATE(18374)] = 451654,
  [SMALL_STATE(18375)] = 451661,
  [SMALL_STATE(18376)] = 451668,
  [SMALL_STATE(18377)] = 451675,
  [SMALL_STATE(18378)] = 451682,
  [SMALL_STATE(18379)] = 451689,
  [SMALL_STATE(18380)] = 451696,
  [SMALL_STATE(18381)] = 451703,
  [SMALL_STATE(18382)] = 451710,
  [SMALL_STATE(18383)] = 451717,
  [SMALL_STATE(18384)] = 451724,
  [SMALL_STATE(18385)] = 451731,
  [SMALL_STATE(18386)] = 451738,
  [SMALL_STATE(18387)] = 451745,
  [SMALL_STATE(18388)] = 451752,
  [SMALL_STATE(18389)] = 451759,
  [SMALL_STATE(18390)] = 451766,
  [SMALL_STATE(18391)] = 451773,
  [SMALL_STATE(18392)] = 451780,
  [SMALL_STATE(18393)] = 451787,
  [SMALL_STATE(18394)] = 451794,
  [SMALL_STATE(18395)] = 451801,
  [SMALL_STATE(18396)] = 451808,
  [SMALL_STATE(18397)] = 451815,
  [SMALL_STATE(18398)] = 451822,
  [SMALL_STATE(18399)] = 451829,
  [SMALL_STATE(18400)] = 451836,
  [SMALL_STATE(18401)] = 451843,
  [SMALL_STATE(18402)] = 451850,
  [SMALL_STATE(18403)] = 451857,
  [SMALL_STATE(18404)] = 451864,
  [SMALL_STATE(18405)] = 451871,
  [SMALL_STATE(18406)] = 451878,
  [SMALL_STATE(18407)] = 451885,
  [SMALL_STATE(18408)] = 451892,
  [SMALL_STATE(18409)] = 451899,
  [SMALL_STATE(18410)] = 451906,
  [SMALL_STATE(18411)] = 451913,
  [SMALL_STATE(18412)] = 451920,
  [SMALL_STATE(18413)] = 451927,
  [SMALL_STATE(18414)] = 451934,
  [SMALL_STATE(18415)] = 451941,
  [SMALL_STATE(18416)] = 451948,
  [SMALL_STATE(18417)] = 451955,
  [SMALL_STATE(18418)] = 451962,
  [SMALL_STATE(18419)] = 451969,
  [SMALL_STATE(18420)] = 451976,
  [SMALL_STATE(18421)] = 451983,
  [SMALL_STATE(18422)] = 451990,
  [SMALL_STATE(18423)] = 451997,
  [SMALL_STATE(18424)] = 452004,
  [SMALL_STATE(18425)] = 452011,
  [SMALL_STATE(18426)] = 452018,
  [SMALL_STATE(18427)] = 452025,
  [SMALL_STATE(18428)] = 452032,
  [SMALL_STATE(18429)] = 452039,
  [SMALL_STATE(18430)] = 452046,
  [SMALL_STATE(18431)] = 452053,
  [SMALL_STATE(18432)] = 452060,
  [SMALL_STATE(18433)] = 452067,
  [SMALL_STATE(18434)] = 452074,
  [SMALL_STATE(18435)] = 452081,
  [SMALL_STATE(18436)] = 452088,
  [SMALL_STATE(18437)] = 452095,
  [SMALL_STATE(18438)] = 452102,
  [SMALL_STATE(18439)] = 452109,
  [SMALL_STATE(18440)] = 452116,
  [SMALL_STATE(18441)] = 452123,
  [SMALL_STATE(18442)] = 452130,
  [SMALL_STATE(18443)] = 452137,
  [SMALL_STATE(18444)] = 452144,
  [SMALL_STATE(18445)] = 452151,
  [SMALL_STATE(18446)] = 452158,
  [SMALL_STATE(18447)] = 452165,
  [SMALL_STATE(18448)] = 452172,
  [SMALL_STATE(18449)] = 452179,
  [SMALL_STATE(18450)] = 452186,
  [SMALL_STATE(18451)] = 452193,
  [SMALL_STATE(18452)] = 452200,
  [SMALL_STATE(18453)] = 452207,
  [SMALL_STATE(18454)] = 452214,
  [SMALL_STATE(18455)] = 452221,
  [SMALL_STATE(18456)] = 452228,
  [SMALL_STATE(18457)] = 452235,
  [SMALL_STATE(18458)] = 452242,
  [SMALL_STATE(18459)] = 452249,
  [SMALL_STATE(18460)] = 452256,
  [SMALL_STATE(18461)] = 452263,
  [SMALL_STATE(18462)] = 452270,
  [SMALL_STATE(18463)] = 452277,
  [SMALL_STATE(18464)] = 452284,
  [SMALL_STATE(18465)] = 452291,
  [SMALL_STATE(18466)] = 452298,
  [SMALL_STATE(18467)] = 452305,
  [SMALL_STATE(18468)] = 452312,
  [SMALL_STATE(18469)] = 452319,
  [SMALL_STATE(18470)] = 452326,
  [SMALL_STATE(18471)] = 452333,
  [SMALL_STATE(18472)] = 452340,
  [SMALL_STATE(18473)] = 452347,
  [SMALL_STATE(18474)] = 452354,
  [SMALL_STATE(18475)] = 452361,
  [SMALL_STATE(18476)] = 452368,
  [SMALL_STATE(18477)] = 452375,
  [SMALL_STATE(18478)] = 452382,
  [SMALL_STATE(18479)] = 452389,
  [SMALL_STATE(18480)] = 452396,
  [SMALL_STATE(18481)] = 452403,
  [SMALL_STATE(18482)] = 452410,
  [SMALL_STATE(18483)] = 452417,
  [SMALL_STATE(18484)] = 452424,
  [SMALL_STATE(18485)] = 452431,
  [SMALL_STATE(18486)] = 452438,
  [SMALL_STATE(18487)] = 452445,
  [SMALL_STATE(18488)] = 452452,
  [SMALL_STATE(18489)] = 452459,
  [SMALL_STATE(18490)] = 452466,
  [SMALL_STATE(18491)] = 452473,
  [SMALL_STATE(18492)] = 452480,
  [SMALL_STATE(18493)] = 452487,
  [SMALL_STATE(18494)] = 452494,
  [SMALL_STATE(18495)] = 452501,
  [SMALL_STATE(18496)] = 452508,
  [SMALL_STATE(18497)] = 452515,
  [SMALL_STATE(18498)] = 452522,
  [SMALL_STATE(18499)] = 452529,
  [SMALL_STATE(18500)] = 452536,
  [SMALL_STATE(18501)] = 452543,
  [SMALL_STATE(18502)] = 452550,
  [SMALL_STATE(18503)] = 452557,
  [SMALL_STATE(18504)] = 452564,
  [SMALL_STATE(18505)] = 452571,
  [SMALL_STATE(18506)] = 452578,
  [SMALL_STATE(18507)] = 452585,
  [SMALL_STATE(18508)] = 452592,
  [SMALL_STATE(18509)] = 452599,
  [SMALL_STATE(18510)] = 452606,
  [SMALL_STATE(18511)] = 452613,
  [SMALL_STATE(18512)] = 452620,
  [SMALL_STATE(18513)] = 452627,
  [SMALL_STATE(18514)] = 452634,
  [SMALL_STATE(18515)] = 452641,
  [SMALL_STATE(18516)] = 452648,
  [SMALL_STATE(18517)] = 452655,
  [SMALL_STATE(18518)] = 452662,
  [SMALL_STATE(18519)] = 452669,
  [SMALL_STATE(18520)] = 452676,
  [SMALL_STATE(18521)] = 452683,
  [SMALL_STATE(18522)] = 452690,
  [SMALL_STATE(18523)] = 452697,
  [SMALL_STATE(18524)] = 452704,
  [SMALL_STATE(18525)] = 452711,
  [SMALL_STATE(18526)] = 452718,
  [SMALL_STATE(18527)] = 452725,
  [SMALL_STATE(18528)] = 452732,
  [SMALL_STATE(18529)] = 452739,
  [SMALL_STATE(18530)] = 452746,
  [SMALL_STATE(18531)] = 452753,
  [SMALL_STATE(18532)] = 452760,
  [SMALL_STATE(18533)] = 452767,
  [SMALL_STATE(18534)] = 452774,
  [SMALL_STATE(18535)] = 452781,
  [SMALL_STATE(18536)] = 452788,
  [SMALL_STATE(18537)] = 452795,
  [SMALL_STATE(18538)] = 452802,
  [SMALL_STATE(18539)] = 452809,
  [SMALL_STATE(18540)] = 452816,
  [SMALL_STATE(18541)] = 452823,
  [SMALL_STATE(18542)] = 452830,
  [SMALL_STATE(18543)] = 452837,
  [SMALL_STATE(18544)] = 452844,
  [SMALL_STATE(18545)] = 452851,
  [SMALL_STATE(18546)] = 452858,
  [SMALL_STATE(18547)] = 452865,
  [SMALL_STATE(18548)] = 452872,
  [SMALL_STATE(18549)] = 452879,
  [SMALL_STATE(18550)] = 452886,
  [SMALL_STATE(18551)] = 452893,
  [SMALL_STATE(18552)] = 452900,
  [SMALL_STATE(18553)] = 452907,
  [SMALL_STATE(18554)] = 452914,
  [SMALL_STATE(18555)] = 452921,
  [SMALL_STATE(18556)] = 452928,
  [SMALL_STATE(18557)] = 452935,
  [SMALL_STATE(18558)] = 452942,
  [SMALL_STATE(18559)] = 452949,
  [SMALL_STATE(18560)] = 452956,
  [SMALL_STATE(18561)] = 452963,
  [SMALL_STATE(18562)] = 452970,
  [SMALL_STATE(18563)] = 452977,
  [SMALL_STATE(18564)] = 452984,
  [SMALL_STATE(18565)] = 452991,
  [SMALL_STATE(18566)] = 452998,
  [SMALL_STATE(18567)] = 453005,
  [SMALL_STATE(18568)] = 453012,
  [SMALL_STATE(18569)] = 453019,
  [SMALL_STATE(18570)] = 453026,
  [SMALL_STATE(18571)] = 453033,
  [SMALL_STATE(18572)] = 453040,
  [SMALL_STATE(18573)] = 453047,
  [SMALL_STATE(18574)] = 453054,
  [SMALL_STATE(18575)] = 453061,
  [SMALL_STATE(18576)] = 453068,
  [SMALL_STATE(18577)] = 453075,
  [SMALL_STATE(18578)] = 453082,
  [SMALL_STATE(18579)] = 453089,
  [SMALL_STATE(18580)] = 453096,
  [SMALL_STATE(18581)] = 453103,
  [SMALL_STATE(18582)] = 453110,
  [SMALL_STATE(18583)] = 453117,
  [SMALL_STATE(18584)] = 453124,
  [SMALL_STATE(18585)] = 453131,
  [SMALL_STATE(18586)] = 453138,
  [SMALL_STATE(18587)] = 453145,
  [SMALL_STATE(18588)] = 453152,
  [SMALL_STATE(18589)] = 453159,
  [SMALL_STATE(18590)] = 453166,
  [SMALL_STATE(18591)] = 453173,
  [SMALL_STATE(18592)] = 453180,
  [SMALL_STATE(18593)] = 453187,
  [SMALL_STATE(18594)] = 453194,
  [SMALL_STATE(18595)] = 453201,
  [SMALL_STATE(18596)] = 453208,
  [SMALL_STATE(18597)] = 453215,
  [SMALL_STATE(18598)] = 453222,
  [SMALL_STATE(18599)] = 453229,
  [SMALL_STATE(18600)] = 453236,
  [SMALL_STATE(18601)] = 453243,
  [SMALL_STATE(18602)] = 453250,
  [SMALL_STATE(18603)] = 453257,
  [SMALL_STATE(18604)] = 453264,
  [SMALL_STATE(18605)] = 453271,
  [SMALL_STATE(18606)] = 453278,
  [SMALL_STATE(18607)] = 453285,
  [SMALL_STATE(18608)] = 453292,
  [SMALL_STATE(18609)] = 453299,
  [SMALL_STATE(18610)] = 453306,
  [SMALL_STATE(18611)] = 453313,
  [SMALL_STATE(18612)] = 453320,
  [SMALL_STATE(18613)] = 453327,
  [SMALL_STATE(18614)] = 453334,
  [SMALL_STATE(18615)] = 453341,
  [SMALL_STATE(18616)] = 453348,
  [SMALL_STATE(18617)] = 453355,
  [SMALL_STATE(18618)] = 453362,
  [SMALL_STATE(18619)] = 453369,
  [SMALL_STATE(18620)] = 453376,
  [SMALL_STATE(18621)] = 453383,
  [SMALL_STATE(18622)] = 453390,
  [SMALL_STATE(18623)] = 453397,
  [SMALL_STATE(18624)] = 453404,
  [SMALL_STATE(18625)] = 453411,
  [SMALL_STATE(18626)] = 453418,
  [SMALL_STATE(18627)] = 453425,
  [SMALL_STATE(18628)] = 453432,
  [SMALL_STATE(18629)] = 453439,
  [SMALL_STATE(18630)] = 453446,
  [SMALL_STATE(18631)] = 453453,
  [SMALL_STATE(18632)] = 453460,
  [SMALL_STATE(18633)] = 453467,
  [SMALL_STATE(18634)] = 453474,
  [SMALL_STATE(18635)] = 453481,
  [SMALL_STATE(18636)] = 453488,
  [SMALL_STATE(18637)] = 453495,
  [SMALL_STATE(18638)] = 453502,
  [SMALL_STATE(18639)] = 453509,
  [SMALL_STATE(18640)] = 453516,
  [SMALL_STATE(18641)] = 453523,
  [SMALL_STATE(18642)] = 453530,
  [SMALL_STATE(18643)] = 453537,
  [SMALL_STATE(18644)] = 453544,
  [SMALL_STATE(18645)] = 453551,
  [SMALL_STATE(18646)] = 453558,
  [SMALL_STATE(18647)] = 453565,
  [SMALL_STATE(18648)] = 453572,
  [SMALL_STATE(18649)] = 453579,
  [SMALL_STATE(18650)] = 453586,
  [SMALL_STATE(18651)] = 453593,
  [SMALL_STATE(18652)] = 453600,
  [SMALL_STATE(18653)] = 453607,
  [SMALL_STATE(18654)] = 453614,
  [SMALL_STATE(18655)] = 453621,
  [SMALL_STATE(18656)] = 453628,
  [SMALL_STATE(18657)] = 453635,
  [SMALL_STATE(18658)] = 453642,
  [SMALL_STATE(18659)] = 453649,
  [SMALL_STATE(18660)] = 453656,
  [SMALL_STATE(18661)] = 453663,
  [SMALL_STATE(18662)] = 453670,
  [SMALL_STATE(18663)] = 453677,
  [SMALL_STATE(18664)] = 453684,
  [SMALL_STATE(18665)] = 453691,
  [SMALL_STATE(18666)] = 453698,
  [SMALL_STATE(18667)] = 453705,
  [SMALL_STATE(18668)] = 453712,
  [SMALL_STATE(18669)] = 453719,
  [SMALL_STATE(18670)] = 453726,
  [SMALL_STATE(18671)] = 453733,
  [SMALL_STATE(18672)] = 453740,
  [SMALL_STATE(18673)] = 453747,
  [SMALL_STATE(18674)] = 453754,
  [SMALL_STATE(18675)] = 453761,
  [SMALL_STATE(18676)] = 453768,
  [SMALL_STATE(18677)] = 453775,
  [SMALL_STATE(18678)] = 453782,
  [SMALL_STATE(18679)] = 453789,
  [SMALL_STATE(18680)] = 453796,
  [SMALL_STATE(18681)] = 453803,
  [SMALL_STATE(18682)] = 453810,
  [SMALL_STATE(18683)] = 453817,
  [SMALL_STATE(18684)] = 453824,
  [SMALL_STATE(18685)] = 453831,
  [SMALL_STATE(18686)] = 453838,
  [SMALL_STATE(18687)] = 453845,
  [SMALL_STATE(18688)] = 453852,
  [SMALL_STATE(18689)] = 453859,
  [SMALL_STATE(18690)] = 453866,
  [SMALL_STATE(18691)] = 453873,
  [SMALL_STATE(18692)] = 453880,
  [SMALL_STATE(18693)] = 453887,
  [SMALL_STATE(18694)] = 453894,
  [SMALL_STATE(18695)] = 453901,
  [SMALL_STATE(18696)] = 453908,
  [SMALL_STATE(18697)] = 453915,
  [SMALL_STATE(18698)] = 453922,
  [SMALL_STATE(18699)] = 453929,
  [SMALL_STATE(18700)] = 453936,
  [SMALL_STATE(18701)] = 453943,
  [SMALL_STATE(18702)] = 453950,
  [SMALL_STATE(18703)] = 453957,
  [SMALL_STATE(18704)] = 453964,
  [SMALL_STATE(18705)] = 453971,
  [SMALL_STATE(18706)] = 453978,
  [SMALL_STATE(18707)] = 453985,
  [SMALL_STATE(18708)] = 453992,
  [SMALL_STATE(18709)] = 453999,
  [SMALL_STATE(18710)] = 454006,
  [SMALL_STATE(18711)] = 454013,
  [SMALL_STATE(18712)] = 454020,
  [SMALL_STATE(18713)] = 454027,
  [SMALL_STATE(18714)] = 454034,
  [SMALL_STATE(18715)] = 454041,
  [SMALL_STATE(18716)] = 454048,
  [SMALL_STATE(18717)] = 454055,
  [SMALL_STATE(18718)] = 454062,
  [SMALL_STATE(18719)] = 454069,
  [SMALL_STATE(18720)] = 454076,
  [SMALL_STATE(18721)] = 454083,
  [SMALL_STATE(18722)] = 454090,
  [SMALL_STATE(18723)] = 454097,
  [SMALL_STATE(18724)] = 454104,
  [SMALL_STATE(18725)] = 454111,
  [SMALL_STATE(18726)] = 454118,
  [SMALL_STATE(18727)] = 454125,
  [SMALL_STATE(18728)] = 454132,
  [SMALL_STATE(18729)] = 454139,
  [SMALL_STATE(18730)] = 454146,
  [SMALL_STATE(18731)] = 454153,
  [SMALL_STATE(18732)] = 454160,
  [SMALL_STATE(18733)] = 454167,
  [SMALL_STATE(18734)] = 454174,
  [SMALL_STATE(18735)] = 454181,
  [SMALL_STATE(18736)] = 454188,
  [SMALL_STATE(18737)] = 454195,
  [SMALL_STATE(18738)] = 454202,
  [SMALL_STATE(18739)] = 454209,
  [SMALL_STATE(18740)] = 454216,
  [SMALL_STATE(18741)] = 454223,
  [SMALL_STATE(18742)] = 454230,
  [SMALL_STATE(18743)] = 454237,
  [SMALL_STATE(18744)] = 454244,
  [SMALL_STATE(18745)] = 454251,
  [SMALL_STATE(18746)] = 454258,
  [SMALL_STATE(18747)] = 454265,
  [SMALL_STATE(18748)] = 454272,
  [SMALL_STATE(18749)] = 454279,
  [SMALL_STATE(18750)] = 454286,
  [SMALL_STATE(18751)] = 454293,
  [SMALL_STATE(18752)] = 454300,
  [SMALL_STATE(18753)] = 454307,
  [SMALL_STATE(18754)] = 454314,
  [SMALL_STATE(18755)] = 454321,
  [SMALL_STATE(18756)] = 454328,
  [SMALL_STATE(18757)] = 454335,
  [SMALL_STATE(18758)] = 454342,
  [SMALL_STATE(18759)] = 454349,
  [SMALL_STATE(18760)] = 454356,
  [SMALL_STATE(18761)] = 454363,
  [SMALL_STATE(18762)] = 454370,
  [SMALL_STATE(18763)] = 454377,
  [SMALL_STATE(18764)] = 454384,
  [SMALL_STATE(18765)] = 454391,
  [SMALL_STATE(18766)] = 454398,
  [SMALL_STATE(18767)] = 454405,
  [SMALL_STATE(18768)] = 454412,
  [SMALL_STATE(18769)] = 454419,
  [SMALL_STATE(18770)] = 454426,
  [SMALL_STATE(18771)] = 454433,
  [SMALL_STATE(18772)] = 454440,
  [SMALL_STATE(18773)] = 454447,
  [SMALL_STATE(18774)] = 454454,
  [SMALL_STATE(18775)] = 454461,
  [SMALL_STATE(18776)] = 454468,
  [SMALL_STATE(18777)] = 454475,
  [SMALL_STATE(18778)] = 454482,
  [SMALL_STATE(18779)] = 454489,
  [SMALL_STATE(18780)] = 454496,
  [SMALL_STATE(18781)] = 454503,
  [SMALL_STATE(18782)] = 454510,
  [SMALL_STATE(18783)] = 454517,
  [SMALL_STATE(18784)] = 454524,
  [SMALL_STATE(18785)] = 454531,
  [SMALL_STATE(18786)] = 454538,
  [SMALL_STATE(18787)] = 454545,
  [SMALL_STATE(18788)] = 454552,
  [SMALL_STATE(18789)] = 454559,
  [SMALL_STATE(18790)] = 454566,
  [SMALL_STATE(18791)] = 454573,
  [SMALL_STATE(18792)] = 454580,
  [SMALL_STATE(18793)] = 454587,
  [SMALL_STATE(18794)] = 454594,
  [SMALL_STATE(18795)] = 454601,
  [SMALL_STATE(18796)] = 454608,
  [SMALL_STATE(18797)] = 454615,
  [SMALL_STATE(18798)] = 454622,
  [SMALL_STATE(18799)] = 454629,
  [SMALL_STATE(18800)] = 454636,
  [SMALL_STATE(18801)] = 454643,
  [SMALL_STATE(18802)] = 454650,
  [SMALL_STATE(18803)] = 454657,
  [SMALL_STATE(18804)] = 454664,
  [SMALL_STATE(18805)] = 454671,
  [SMALL_STATE(18806)] = 454678,
  [SMALL_STATE(18807)] = 454685,
  [SMALL_STATE(18808)] = 454692,
  [SMALL_STATE(18809)] = 454699,
  [SMALL_STATE(18810)] = 454706,
  [SMALL_STATE(18811)] = 454713,
  [SMALL_STATE(18812)] = 454720,
  [SMALL_STATE(18813)] = 454727,
  [SMALL_STATE(18814)] = 454734,
  [SMALL_STATE(18815)] = 454741,
  [SMALL_STATE(18816)] = 454748,
  [SMALL_STATE(18817)] = 454755,
  [SMALL_STATE(18818)] = 454762,
  [SMALL_STATE(18819)] = 454769,
  [SMALL_STATE(18820)] = 454776,
  [SMALL_STATE(18821)] = 454783,
  [SMALL_STATE(18822)] = 454790,
  [SMALL_STATE(18823)] = 454797,
  [SMALL_STATE(18824)] = 454804,
  [SMALL_STATE(18825)] = 454811,
  [SMALL_STATE(18826)] = 454818,
  [SMALL_STATE(18827)] = 454825,
  [SMALL_STATE(18828)] = 454832,
  [SMALL_STATE(18829)] = 454839,
  [SMALL_STATE(18830)] = 454846,
  [SMALL_STATE(18831)] = 454853,
  [SMALL_STATE(18832)] = 454860,
  [SMALL_STATE(18833)] = 454867,
  [SMALL_STATE(18834)] = 454874,
  [SMALL_STATE(18835)] = 454881,
  [SMALL_STATE(18836)] = 454888,
  [SMALL_STATE(18837)] = 454895,
  [SMALL_STATE(18838)] = 454902,
  [SMALL_STATE(18839)] = 454909,
  [SMALL_STATE(18840)] = 454916,
  [SMALL_STATE(18841)] = 454923,
  [SMALL_STATE(18842)] = 454930,
  [SMALL_STATE(18843)] = 454937,
  [SMALL_STATE(18844)] = 454944,
  [SMALL_STATE(18845)] = 454951,
  [SMALL_STATE(18846)] = 454958,
  [SMALL_STATE(18847)] = 454965,
  [SMALL_STATE(18848)] = 454972,
  [SMALL_STATE(18849)] = 454979,
  [SMALL_STATE(18850)] = 454986,
  [SMALL_STATE(18851)] = 454993,
  [SMALL_STATE(18852)] = 455000,
  [SMALL_STATE(18853)] = 455007,
  [SMALL_STATE(18854)] = 455014,
  [SMALL_STATE(18855)] = 455021,
  [SMALL_STATE(18856)] = 455028,
  [SMALL_STATE(18857)] = 455035,
  [SMALL_STATE(18858)] = 455042,
  [SMALL_STATE(18859)] = 455049,
  [SMALL_STATE(18860)] = 455056,
  [SMALL_STATE(18861)] = 455063,
  [SMALL_STATE(18862)] = 455070,
  [SMALL_STATE(18863)] = 455077,
  [SMALL_STATE(18864)] = 455084,
  [SMALL_STATE(18865)] = 455091,
  [SMALL_STATE(18866)] = 455098,
  [SMALL_STATE(18867)] = 455105,
  [SMALL_STATE(18868)] = 455112,
  [SMALL_STATE(18869)] = 455119,
  [SMALL_STATE(18870)] = 455126,
  [SMALL_STATE(18871)] = 455133,
  [SMALL_STATE(18872)] = 455140,
  [SMALL_STATE(18873)] = 455147,
  [SMALL_STATE(18874)] = 455154,
  [SMALL_STATE(18875)] = 455161,
  [SMALL_STATE(18876)] = 455168,
  [SMALL_STATE(18877)] = 455175,
  [SMALL_STATE(18878)] = 455182,
  [SMALL_STATE(18879)] = 455189,
  [SMALL_STATE(18880)] = 455196,
  [SMALL_STATE(18881)] = 455203,
  [SMALL_STATE(18882)] = 455210,
  [SMALL_STATE(18883)] = 455217,
  [SMALL_STATE(18884)] = 455224,
  [SMALL_STATE(18885)] = 455231,
  [SMALL_STATE(18886)] = 455238,
  [SMALL_STATE(18887)] = 455245,
  [SMALL_STATE(18888)] = 455252,
  [SMALL_STATE(18889)] = 455259,
  [SMALL_STATE(18890)] = 455266,
  [SMALL_STATE(18891)] = 455273,
  [SMALL_STATE(18892)] = 455280,
  [SMALL_STATE(18893)] = 455287,
  [SMALL_STATE(18894)] = 455294,
  [SMALL_STATE(18895)] = 455301,
  [SMALL_STATE(18896)] = 455308,
  [SMALL_STATE(18897)] = 455315,
  [SMALL_STATE(18898)] = 455322,
  [SMALL_STATE(18899)] = 455329,
  [SMALL_STATE(18900)] = 455336,
  [SMALL_STATE(18901)] = 455343,
  [SMALL_STATE(18902)] = 455350,
  [SMALL_STATE(18903)] = 455357,
  [SMALL_STATE(18904)] = 455364,
  [SMALL_STATE(18905)] = 455371,
  [SMALL_STATE(18906)] = 455378,
  [SMALL_STATE(18907)] = 455385,
  [SMALL_STATE(18908)] = 455392,
  [SMALL_STATE(18909)] = 455399,
  [SMALL_STATE(18910)] = 455406,
  [SMALL_STATE(18911)] = 455413,
  [SMALL_STATE(18912)] = 455420,
  [SMALL_STATE(18913)] = 455427,
  [SMALL_STATE(18914)] = 455434,
  [SMALL_STATE(18915)] = 455441,
  [SMALL_STATE(18916)] = 455448,
  [SMALL_STATE(18917)] = 455455,
  [SMALL_STATE(18918)] = 455462,
  [SMALL_STATE(18919)] = 455469,
  [SMALL_STATE(18920)] = 455476,
  [SMALL_STATE(18921)] = 455483,
  [SMALL_STATE(18922)] = 455490,
  [SMALL_STATE(18923)] = 455497,
  [SMALL_STATE(18924)] = 455504,
  [SMALL_STATE(18925)] = 455511,
  [SMALL_STATE(18926)] = 455518,
  [SMALL_STATE(18927)] = 455525,
  [SMALL_STATE(18928)] = 455532,
  [SMALL_STATE(18929)] = 455539,
  [SMALL_STATE(18930)] = 455546,
  [SMALL_STATE(18931)] = 455553,
  [SMALL_STATE(18932)] = 455560,
  [SMALL_STATE(18933)] = 455567,
  [SMALL_STATE(18934)] = 455574,
  [SMALL_STATE(18935)] = 455581,
  [SMALL_STATE(18936)] = 455588,
  [SMALL_STATE(18937)] = 455595,
  [SMALL_STATE(18938)] = 455602,
  [SMALL_STATE(18939)] = 455609,
  [SMALL_STATE(18940)] = 455616,
  [SMALL_STATE(18941)] = 455623,
  [SMALL_STATE(18942)] = 455630,
  [SMALL_STATE(18943)] = 455637,
  [SMALL_STATE(18944)] = 455644,
  [SMALL_STATE(18945)] = 455651,
  [SMALL_STATE(18946)] = 455658,
  [SMALL_STATE(18947)] = 455665,
  [SMALL_STATE(18948)] = 455672,
  [SMALL_STATE(18949)] = 455679,
  [SMALL_STATE(18950)] = 455686,
  [SMALL_STATE(18951)] = 455693,
  [SMALL_STATE(18952)] = 455700,
  [SMALL_STATE(18953)] = 455707,
  [SMALL_STATE(18954)] = 455714,
  [SMALL_STATE(18955)] = 455721,
  [SMALL_STATE(18956)] = 455728,
  [SMALL_STATE(18957)] = 455735,
  [SMALL_STATE(18958)] = 455742,
  [SMALL_STATE(18959)] = 455749,
  [SMALL_STATE(18960)] = 455756,
  [SMALL_STATE(18961)] = 455763,
  [SMALL_STATE(18962)] = 455770,
  [SMALL_STATE(18963)] = 455777,
  [SMALL_STATE(18964)] = 455784,
  [SMALL_STATE(18965)] = 455791,
  [SMALL_STATE(18966)] = 455798,
  [SMALL_STATE(18967)] = 455805,
  [SMALL_STATE(18968)] = 455812,
  [SMALL_STATE(18969)] = 455819,
  [SMALL_STATE(18970)] = 455826,
  [SMALL_STATE(18971)] = 455833,
  [SMALL_STATE(18972)] = 455840,
  [SMALL_STATE(18973)] = 455847,
  [SMALL_STATE(18974)] = 455854,
  [SMALL_STATE(18975)] = 455861,
  [SMALL_STATE(18976)] = 455868,
  [SMALL_STATE(18977)] = 455875,
  [SMALL_STATE(18978)] = 455882,
  [SMALL_STATE(18979)] = 455889,
  [SMALL_STATE(18980)] = 455896,
  [SMALL_STATE(18981)] = 455903,
  [SMALL_STATE(18982)] = 455910,
  [SMALL_STATE(18983)] = 455917,
  [SMALL_STATE(18984)] = 455924,
  [SMALL_STATE(18985)] = 455931,
  [SMALL_STATE(18986)] = 455938,
  [SMALL_STATE(18987)] = 455945,
  [SMALL_STATE(18988)] = 455952,
  [SMALL_STATE(18989)] = 455959,
  [SMALL_STATE(18990)] = 455966,
  [SMALL_STATE(18991)] = 455973,
  [SMALL_STATE(18992)] = 455980,
  [SMALL_STATE(18993)] = 455987,
  [SMALL_STATE(18994)] = 455994,
  [SMALL_STATE(18995)] = 456001,
  [SMALL_STATE(18996)] = 456008,
  [SMALL_STATE(18997)] = 456015,
  [SMALL_STATE(18998)] = 456022,
  [SMALL_STATE(18999)] = 456029,
  [SMALL_STATE(19000)] = 456036,
  [SMALL_STATE(19001)] = 456043,
  [SMALL_STATE(19002)] = 456050,
  [SMALL_STATE(19003)] = 456057,
  [SMALL_STATE(19004)] = 456064,
  [SMALL_STATE(19005)] = 456071,
  [SMALL_STATE(19006)] = 456078,
  [SMALL_STATE(19007)] = 456085,
  [SMALL_STATE(19008)] = 456092,
  [SMALL_STATE(19009)] = 456099,
  [SMALL_STATE(19010)] = 456106,
  [SMALL_STATE(19011)] = 456113,
  [SMALL_STATE(19012)] = 456120,
  [SMALL_STATE(19013)] = 456127,
  [SMALL_STATE(19014)] = 456134,
  [SMALL_STATE(19015)] = 456141,
  [SMALL_STATE(19016)] = 456148,
  [SMALL_STATE(19017)] = 456155,
  [SMALL_STATE(19018)] = 456162,
  [SMALL_STATE(19019)] = 456169,
  [SMALL_STATE(19020)] = 456176,
  [SMALL_STATE(19021)] = 456183,
  [SMALL_STATE(19022)] = 456190,
  [SMALL_STATE(19023)] = 456197,
  [SMALL_STATE(19024)] = 456204,
  [SMALL_STATE(19025)] = 456211,
  [SMALL_STATE(19026)] = 456218,
  [SMALL_STATE(19027)] = 456225,
  [SMALL_STATE(19028)] = 456232,
  [SMALL_STATE(19029)] = 456239,
  [SMALL_STATE(19030)] = 456246,
  [SMALL_STATE(19031)] = 456253,
  [SMALL_STATE(19032)] = 456260,
  [SMALL_STATE(19033)] = 456267,
  [SMALL_STATE(19034)] = 456274,
  [SMALL_STATE(19035)] = 456281,
  [SMALL_STATE(19036)] = 456288,
  [SMALL_STATE(19037)] = 456295,
  [SMALL_STATE(19038)] = 456302,
  [SMALL_STATE(19039)] = 456309,
  [SMALL_STATE(19040)] = 456316,
  [SMALL_STATE(19041)] = 456323,
  [SMALL_STATE(19042)] = 456330,
  [SMALL_STATE(19043)] = 456337,
  [SMALL_STATE(19044)] = 456344,
  [SMALL_STATE(19045)] = 456351,
  [SMALL_STATE(19046)] = 456358,
  [SMALL_STATE(19047)] = 456365,
  [SMALL_STATE(19048)] = 456372,
  [SMALL_STATE(19049)] = 456379,
  [SMALL_STATE(19050)] = 456386,
  [SMALL_STATE(19051)] = 456393,
  [SMALL_STATE(19052)] = 456400,
  [SMALL_STATE(19053)] = 456407,
  [SMALL_STATE(19054)] = 456414,
  [SMALL_STATE(19055)] = 456421,
  [SMALL_STATE(19056)] = 456428,
  [SMALL_STATE(19057)] = 456435,
  [SMALL_STATE(19058)] = 456442,
  [SMALL_STATE(19059)] = 456449,
  [SMALL_STATE(19060)] = 456456,
  [SMALL_STATE(19061)] = 456463,
  [SMALL_STATE(19062)] = 456470,
  [SMALL_STATE(19063)] = 456477,
  [SMALL_STATE(19064)] = 456484,
  [SMALL_STATE(19065)] = 456491,
  [SMALL_STATE(19066)] = 456498,
  [SMALL_STATE(19067)] = 456505,
  [SMALL_STATE(19068)] = 456512,
  [SMALL_STATE(19069)] = 456519,
  [SMALL_STATE(19070)] = 456526,
  [SMALL_STATE(19071)] = 456533,
  [SMALL_STATE(19072)] = 456540,
  [SMALL_STATE(19073)] = 456547,
  [SMALL_STATE(19074)] = 456554,
  [SMALL_STATE(19075)] = 456561,
  [SMALL_STATE(19076)] = 456568,
  [SMALL_STATE(19077)] = 456575,
  [SMALL_STATE(19078)] = 456582,
  [SMALL_STATE(19079)] = 456589,
  [SMALL_STATE(19080)] = 456596,
  [SMALL_STATE(19081)] = 456603,
  [SMALL_STATE(19082)] = 456610,
  [SMALL_STATE(19083)] = 456617,
  [SMALL_STATE(19084)] = 456624,
  [SMALL_STATE(19085)] = 456631,
  [SMALL_STATE(19086)] = 456638,
  [SMALL_STATE(19087)] = 456645,
  [SMALL_STATE(19088)] = 456652,
  [SMALL_STATE(19089)] = 456659,
  [SMALL_STATE(19090)] = 456666,
  [SMALL_STATE(19091)] = 456673,
  [SMALL_STATE(19092)] = 456680,
  [SMALL_STATE(19093)] = 456687,
  [SMALL_STATE(19094)] = 456694,
  [SMALL_STATE(19095)] = 456701,
  [SMALL_STATE(19096)] = 456708,
  [SMALL_STATE(19097)] = 456715,
  [SMALL_STATE(19098)] = 456722,
  [SMALL_STATE(19099)] = 456729,
  [SMALL_STATE(19100)] = 456736,
  [SMALL_STATE(19101)] = 456743,
  [SMALL_STATE(19102)] = 456750,
  [SMALL_STATE(19103)] = 456757,
  [SMALL_STATE(19104)] = 456764,
  [SMALL_STATE(19105)] = 456771,
  [SMALL_STATE(19106)] = 456778,
  [SMALL_STATE(19107)] = 456785,
  [SMALL_STATE(19108)] = 456792,
  [SMALL_STATE(19109)] = 456799,
  [SMALL_STATE(19110)] = 456806,
  [SMALL_STATE(19111)] = 456813,
  [SMALL_STATE(19112)] = 456820,
  [SMALL_STATE(19113)] = 456827,
  [SMALL_STATE(19114)] = 456834,
  [SMALL_STATE(19115)] = 456841,
  [SMALL_STATE(19116)] = 456848,
  [SMALL_STATE(19117)] = 456855,
  [SMALL_STATE(19118)] = 456862,
  [SMALL_STATE(19119)] = 456869,
  [SMALL_STATE(19120)] = 456876,
  [SMALL_STATE(19121)] = 456883,
  [SMALL_STATE(19122)] = 456890,
  [SMALL_STATE(19123)] = 456897,
  [SMALL_STATE(19124)] = 456904,
  [SMALL_STATE(19125)] = 456911,
  [SMALL_STATE(19126)] = 456918,
  [SMALL_STATE(19127)] = 456925,
  [SMALL_STATE(19128)] = 456932,
  [SMALL_STATE(19129)] = 456939,
  [SMALL_STATE(19130)] = 456946,
  [SMALL_STATE(19131)] = 456953,
  [SMALL_STATE(19132)] = 456960,
  [SMALL_STATE(19133)] = 456967,
  [SMALL_STATE(19134)] = 456974,
  [SMALL_STATE(19135)] = 456981,
  [SMALL_STATE(19136)] = 456988,
  [SMALL_STATE(19137)] = 456995,
  [SMALL_STATE(19138)] = 457002,
  [SMALL_STATE(19139)] = 457009,
  [SMALL_STATE(19140)] = 457016,
  [SMALL_STATE(19141)] = 457023,
  [SMALL_STATE(19142)] = 457030,
  [SMALL_STATE(19143)] = 457037,
  [SMALL_STATE(19144)] = 457044,
  [SMALL_STATE(19145)] = 457051,
  [SMALL_STATE(19146)] = 457058,
  [SMALL_STATE(19147)] = 457065,
  [SMALL_STATE(19148)] = 457072,
  [SMALL_STATE(19149)] = 457079,
  [SMALL_STATE(19150)] = 457086,
  [SMALL_STATE(19151)] = 457093,
  [SMALL_STATE(19152)] = 457100,
  [SMALL_STATE(19153)] = 457107,
  [SMALL_STATE(19154)] = 457114,
  [SMALL_STATE(19155)] = 457121,
  [SMALL_STATE(19156)] = 457128,
  [SMALL_STATE(19157)] = 457135,
  [SMALL_STATE(19158)] = 457142,
  [SMALL_STATE(19159)] = 457149,
  [SMALL_STATE(19160)] = 457156,
  [SMALL_STATE(19161)] = 457163,
  [SMALL_STATE(19162)] = 457170,
  [SMALL_STATE(19163)] = 457177,
  [SMALL_STATE(19164)] = 457184,
  [SMALL_STATE(19165)] = 457191,
  [SMALL_STATE(19166)] = 457198,
  [SMALL_STATE(19167)] = 457205,
  [SMALL_STATE(19168)] = 457212,
  [SMALL_STATE(19169)] = 457219,
  [SMALL_STATE(19170)] = 457226,
  [SMALL_STATE(19171)] = 457233,
  [SMALL_STATE(19172)] = 457240,
  [SMALL_STATE(19173)] = 457247,
  [SMALL_STATE(19174)] = 457254,
  [SMALL_STATE(19175)] = 457261,
  [SMALL_STATE(19176)] = 457268,
  [SMALL_STATE(19177)] = 457275,
  [SMALL_STATE(19178)] = 457282,
  [SMALL_STATE(19179)] = 457289,
  [SMALL_STATE(19180)] = 457296,
  [SMALL_STATE(19181)] = 457303,
  [SMALL_STATE(19182)] = 457310,
  [SMALL_STATE(19183)] = 457317,
  [SMALL_STATE(19184)] = 457324,
  [SMALL_STATE(19185)] = 457331,
  [SMALL_STATE(19186)] = 457338,
  [SMALL_STATE(19187)] = 457345,
  [SMALL_STATE(19188)] = 457352,
  [SMALL_STATE(19189)] = 457359,
  [SMALL_STATE(19190)] = 457366,
  [SMALL_STATE(19191)] = 457373,
  [SMALL_STATE(19192)] = 457380,
  [SMALL_STATE(19193)] = 457387,
  [SMALL_STATE(19194)] = 457394,
  [SMALL_STATE(19195)] = 457401,
  [SMALL_STATE(19196)] = 457408,
  [SMALL_STATE(19197)] = 457415,
  [SMALL_STATE(19198)] = 457422,
  [SMALL_STATE(19199)] = 457429,
  [SMALL_STATE(19200)] = 457436,
  [SMALL_STATE(19201)] = 457443,
  [SMALL_STATE(19202)] = 457450,
  [SMALL_STATE(19203)] = 457457,
  [SMALL_STATE(19204)] = 457464,
  [SMALL_STATE(19205)] = 457471,
  [SMALL_STATE(19206)] = 457478,
  [SMALL_STATE(19207)] = 457485,
  [SMALL_STATE(19208)] = 457492,
  [SMALL_STATE(19209)] = 457499,
  [SMALL_STATE(19210)] = 457506,
  [SMALL_STATE(19211)] = 457513,
  [SMALL_STATE(19212)] = 457520,
  [SMALL_STATE(19213)] = 457527,
  [SMALL_STATE(19214)] = 457534,
  [SMALL_STATE(19215)] = 457541,
  [SMALL_STATE(19216)] = 457548,
  [SMALL_STATE(19217)] = 457555,
  [SMALL_STATE(19218)] = 457562,
  [SMALL_STATE(19219)] = 457569,
  [SMALL_STATE(19220)] = 457576,
  [SMALL_STATE(19221)] = 457583,
  [SMALL_STATE(19222)] = 457590,
  [SMALL_STATE(19223)] = 457597,
  [SMALL_STATE(19224)] = 457604,
  [SMALL_STATE(19225)] = 457611,
  [SMALL_STATE(19226)] = 457618,
  [SMALL_STATE(19227)] = 457625,
  [SMALL_STATE(19228)] = 457632,
  [SMALL_STATE(19229)] = 457639,
  [SMALL_STATE(19230)] = 457646,
  [SMALL_STATE(19231)] = 457653,
  [SMALL_STATE(19232)] = 457660,
  [SMALL_STATE(19233)] = 457667,
  [SMALL_STATE(19234)] = 457674,
  [SMALL_STATE(19235)] = 457681,
  [SMALL_STATE(19236)] = 457688,
  [SMALL_STATE(19237)] = 457695,
  [SMALL_STATE(19238)] = 457702,
  [SMALL_STATE(19239)] = 457709,
  [SMALL_STATE(19240)] = 457716,
  [SMALL_STATE(19241)] = 457723,
  [SMALL_STATE(19242)] = 457730,
  [SMALL_STATE(19243)] = 457737,
  [SMALL_STATE(19244)] = 457744,
  [SMALL_STATE(19245)] = 457751,
  [SMALL_STATE(19246)] = 457758,
  [SMALL_STATE(19247)] = 457765,
  [SMALL_STATE(19248)] = 457772,
  [SMALL_STATE(19249)] = 457779,
  [SMALL_STATE(19250)] = 457786,
  [SMALL_STATE(19251)] = 457793,
  [SMALL_STATE(19252)] = 457800,
  [SMALL_STATE(19253)] = 457807,
  [SMALL_STATE(19254)] = 457814,
  [SMALL_STATE(19255)] = 457821,
  [SMALL_STATE(19256)] = 457828,
  [SMALL_STATE(19257)] = 457835,
  [SMALL_STATE(19258)] = 457842,
  [SMALL_STATE(19259)] = 457849,
  [SMALL_STATE(19260)] = 457856,
  [SMALL_STATE(19261)] = 457863,
  [SMALL_STATE(19262)] = 457870,
  [SMALL_STATE(19263)] = 457877,
  [SMALL_STATE(19264)] = 457884,
  [SMALL_STATE(19265)] = 457891,
  [SMALL_STATE(19266)] = 457898,
  [SMALL_STATE(19267)] = 457905,
  [SMALL_STATE(19268)] = 457912,
  [SMALL_STATE(19269)] = 457919,
  [SMALL_STATE(19270)] = 457926,
  [SMALL_STATE(19271)] = 457933,
  [SMALL_STATE(19272)] = 457940,
  [SMALL_STATE(19273)] = 457947,
  [SMALL_STATE(19274)] = 457954,
  [SMALL_STATE(19275)] = 457961,
  [SMALL_STATE(19276)] = 457968,
  [SMALL_STATE(19277)] = 457975,
  [SMALL_STATE(19278)] = 457982,
  [SMALL_STATE(19279)] = 457989,
  [SMALL_STATE(19280)] = 457996,
  [SMALL_STATE(19281)] = 458003,
  [SMALL_STATE(19282)] = 458010,
  [SMALL_STATE(19283)] = 458017,
  [SMALL_STATE(19284)] = 458024,
  [SMALL_STATE(19285)] = 458031,
  [SMALL_STATE(19286)] = 458038,
  [SMALL_STATE(19287)] = 458045,
  [SMALL_STATE(19288)] = 458052,
  [SMALL_STATE(19289)] = 458059,
  [SMALL_STATE(19290)] = 458066,
  [SMALL_STATE(19291)] = 458073,
  [SMALL_STATE(19292)] = 458080,
  [SMALL_STATE(19293)] = 458087,
  [SMALL_STATE(19294)] = 458094,
  [SMALL_STATE(19295)] = 458101,
  [SMALL_STATE(19296)] = 458108,
  [SMALL_STATE(19297)] = 458115,
  [SMALL_STATE(19298)] = 458122,
  [SMALL_STATE(19299)] = 458129,
  [SMALL_STATE(19300)] = 458136,
  [SMALL_STATE(19301)] = 458143,
  [SMALL_STATE(19302)] = 458150,
  [SMALL_STATE(19303)] = 458157,
  [SMALL_STATE(19304)] = 458164,
  [SMALL_STATE(19305)] = 458171,
  [SMALL_STATE(19306)] = 458178,
  [SMALL_STATE(19307)] = 458185,
  [SMALL_STATE(19308)] = 458192,
  [SMALL_STATE(19309)] = 458199,
  [SMALL_STATE(19310)] = 458206,
  [SMALL_STATE(19311)] = 458213,
  [SMALL_STATE(19312)] = 458220,
  [SMALL_STATE(19313)] = 458227,
  [SMALL_STATE(19314)] = 458234,
  [SMALL_STATE(19315)] = 458241,
  [SMALL_STATE(19316)] = 458248,
  [SMALL_STATE(19317)] = 458255,
  [SMALL_STATE(19318)] = 458262,
  [SMALL_STATE(19319)] = 458269,
  [SMALL_STATE(19320)] = 458276,
  [SMALL_STATE(19321)] = 458283,
  [SMALL_STATE(19322)] = 458290,
  [SMALL_STATE(19323)] = 458297,
  [SMALL_STATE(19324)] = 458304,
  [SMALL_STATE(19325)] = 458311,
  [SMALL_STATE(19326)] = 458318,
  [SMALL_STATE(19327)] = 458325,
  [SMALL_STATE(19328)] = 458332,
  [SMALL_STATE(19329)] = 458339,
  [SMALL_STATE(19330)] = 458346,
  [SMALL_STATE(19331)] = 458353,
  [SMALL_STATE(19332)] = 458360,
  [SMALL_STATE(19333)] = 458367,
  [SMALL_STATE(19334)] = 458374,
  [SMALL_STATE(19335)] = 458381,
  [SMALL_STATE(19336)] = 458388,
  [SMALL_STATE(19337)] = 458395,
  [SMALL_STATE(19338)] = 458402,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14337),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11411),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13137),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11609),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11460),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12959),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19249),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8059),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11631),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8030),
  [37] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8029),
  [39] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8031),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8034),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10261),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [47] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11642),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12019),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11399),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11453),
  [57] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19235),
  [59] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11598),
  [61] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11449),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16271),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16270),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19225),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19217),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1950),
  [73] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select_list, 3, 0, 8),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7972),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16119),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7101),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11645),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14286),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(358),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19279),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2060),
  [91] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_list, 3, 0, 8),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2183),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19278),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19042),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2184),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2185),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2243),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16020),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1376),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16118),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2225),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2194),
  [121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1155),
  [129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5316),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2205),
  [133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17163),
  [135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15499),
  [137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select_list, 2, 0, 0),
  [139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_list, 2, 0, 0),
  [141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select_list, 2, 0, 8),
  [143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_list, 2, 0, 8),
  [145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select_list, 3, 0, 0),
  [147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_list, 3, 0, 0),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1329),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16300),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14210),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19271),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1072),
  [161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2014),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19270),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18998),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2018),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2025),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2042),
  [175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16040),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16308),
  [185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2027),
  [189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1441),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2034),
  [199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18346),
  [201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14762),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unnest_clause, 1, 0, 0),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11483),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(580),
  [211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unnest_clause, 1, 0, 0),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18015),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7828),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16172),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5894),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14271),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19287),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8625),
  [231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10541),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11556),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9921),
  [239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16233),
  [241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18852),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12790),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19323),
  [247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18458),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19286),
  [251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19063),
  [253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9930),
  [255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9929),
  [257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9925),
  [259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9925),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16001),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1691),
  [265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16171),
  [269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9926),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9928),
  [273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9928),
  [275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7828),
  [277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1176),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9927),
  [283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18665),
  [285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15277),
  [287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13978),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12474),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18786),
  [293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4195),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12761),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18596),
  [299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12333),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18354),
  [305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8564),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12605),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18806),
  [311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8596),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12861),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18650),
  [317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2953),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12690),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18569),
  [323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5972),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12271),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18390),
  [329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8787),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12725),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18623),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2405),
  [337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__aliasable_expression, 1, 0, 0),
  [339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12911),
  [341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7652),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1505),
  [345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12107),
  [347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1172),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1201),
  [351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14280),
  [353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11489),
  [355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2335),
  [357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__aliasable_expression, 1, 0, 0),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2405),
  [365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11485),
  [367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1173),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1175),
  [375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1193),
  [383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10806),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12805),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18677),
  [389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9480),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12480),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18488),
  [395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11923),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12855),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18796),
  [401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12227),
  [405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18225),
  [407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12230),
  [411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18515),
  [413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3934),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12688),
  [417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18731),
  [419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5487),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12416),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18826),
  [425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6969),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12649),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18748),
  [431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3684),
  [433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12238),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16458),
  [437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5850),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12602),
  [441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18761),
  [443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5091),
  [445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12375),
  [447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18542),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3154),
  [451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12550),
  [453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18774),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4339),
  [457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12536),
  [459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18424),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9141),
  [463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12728),
  [465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18704),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8405),
  [469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12806),
  [471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18528),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9422),
  [475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12299),
  [477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18895),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12442),
  [483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18816),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9062),
  [487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12679),
  [489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18296),
  [491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5940),
  [493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16163),
  [495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14331),
  [497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(370),
  [499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19281),
  [501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5984),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6533),
  [507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19280),
  [509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19049),
  [511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6496),
  [513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6511),
  [515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6582),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6582),
  [519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16009),
  [521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1467),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16014),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6583),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6547),
  [531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6547),
  [533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5940),
  [535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1313),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6550),
  [541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16533),
  [543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15329),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8773),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16125),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14282),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(228),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19082),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6435),
  [557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5586),
  [561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11399),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7162),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(78),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17559),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17558),
  [571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19124),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19117),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7114),
  [577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7109),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6684),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6684),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16041),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1849),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16033),
  [591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7104),
  [593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7094),
  [595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7094),
  [597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8773),
  [599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1443),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7143),
  [605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19096),
  [607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15301),
  [609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7092),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12642),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18752),
  [615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5742),
  [617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12594),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18765),
  [621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3240),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12545),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18778),
  [627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13713),
  [629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12469),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18788),
  [633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12437),
  [637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18818),
  [639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5539),
  [641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12410),
  [643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18828),
  [645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9579),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12652),
  [649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18305),
  [651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9092),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12273),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18906),
  [657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8668),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12745),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17813),
  [663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3670),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12713),
  [667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16511),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4222),
  [671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12556),
  [673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18430),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5078),
  [677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12391),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18548),
  [681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3931),
  [683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12683),
  [685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18737),
  [687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12319),
  [691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18361),
  [693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11938),
  [695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12845),
  [697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18798),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10542),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12810),
  [703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18464),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12269),
  [709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18241),
  [711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6043),
  [713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12293),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18396),
  [717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9251),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12722),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18710),
  [723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2823),
  [725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12702),
  [727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18575),
  [729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4191),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12785),
  [733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18602),
  [735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2408),
  [737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12251),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18521),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9493),
  [743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12413),
  [745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18494),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10790),
  [749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12800),
  [751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18683),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8749),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12864),
  [757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18656),
  [759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8812),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12716),
  [763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18629),
  [765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8600),
  [767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12559),
  [769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18808),
  [771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1126),
  [773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12051),
  [775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1517),
  [777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1542),
  [779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11536),
  [785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1521),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1522),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1540),
  [801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7246),
  [803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15699),
  [805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16057),
  [807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14622),
  [811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(82),
  [813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14372),
  [815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(90),
  [817] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(1324),
  [820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(14337),
  [823] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(11379),
  [826] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(138),
  [829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0),
  [831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statement_list, 2, 0, 0),
  [833] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(200),
  [836] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(13137),
  [839] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(11582),
  [842] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(11459),
  [845] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(12906),
  [848] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(16405),
  [851] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(8059),
  [854] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(11631),
  [857] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(202),
  [860] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(1663),
  [863] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(8030),
  [866] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(8029),
  [869] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(8031),
  [872] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(8034),
  [875] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(8039),
  [878] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(1267),
  [881] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(11640),
  [884] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(12019),
  [887] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(11399),
  [890] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(77),
  [893] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(11455),
  [896] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(19235),
  [899] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(11533),
  [902] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(11438),
  [905] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(16271),
  [908] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(16270),
  [911] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(19156),
  [914] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(19217),
  [917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 31),
  [919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12911),
  [921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 31),
  [923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12034),
  [927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1681),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1680),
  [935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1676),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1655),
  [947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 6, 0, 140),
  [949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 6, 0, 140),
  [951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14882),
  [953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17560),
  [957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19077),
  [959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11379),
  [965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17601),
  [967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11582),
  [971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11459),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12906),
  [975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16405),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8039),
  [981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11640),
  [985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11455),
  [989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11533),
  [991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11438),
  [993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19156),
  [995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19098),
  [997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1672),
  [1001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join_condition, 2, 0, 0),
  [1003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_join_condition, 2, 0, 0),
  [1005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [1007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14280),
  [1009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [1011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11544),
  [1013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14435),
  [1015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18507),
  [1017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(189),
  [1019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 11),
  [1021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 11),
  [1023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_between_operator, 6, 0, 141),
  [1025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_between_operator, 6, 0, 141),
  [1027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 13),
  [1029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 13),
  [1031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 5, 0, 105),
  [1033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 5, 0, 105),
  [1035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_between_operator, 5, 0, 104),
  [1037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_between_operator, 5, 0, 104),
  [1039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 4, 0, 65),
  [1041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 4, 0, 65),
  [1043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [1045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19119),
  [1047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [1049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1408),
  [1051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15300),
  [1053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11487),
  [1055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2132),
  [1057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16529),
  [1059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 3, 0, 102),
  [1061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 3, 0, 102),
  [1063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 4, 0, 138),
  [1065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 4, 0, 138),
  [1067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4908),
  [1069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16126),
  [1071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14325),
  [1073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [1075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4908),
  [1077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [1079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1671),
  [1081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unnest_operator, 4, 0, 0),
  [1083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unnest_operator, 4, 0, 0),
  [1085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8202),
  [1087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18787),
  [1089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16942),
  [1091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8245),
  [1093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8220),
  [1095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17276),
  [1097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18459),
  [1099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8144),
  [1101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [1103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 1, 0, 0),
  [1105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [1107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8098),
  [1109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16610),
  [1111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17452),
  [1113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0),
  [1115] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1324),
  [1118] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(14337),
  [1121] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(11411),
  [1124] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(138),
  [1127] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(200),
  [1130] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(13137),
  [1133] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(11609),
  [1136] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(11460),
  [1139] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(12959),
  [1142] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(19249),
  [1145] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(8059),
  [1148] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(11631),
  [1151] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(202),
  [1154] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1663),
  [1157] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(8030),
  [1160] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(8029),
  [1163] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(8031),
  [1166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(8034),
  [1169] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(10261),
  [1172] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1448),
  [1175] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(11642),
  [1178] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(12019),
  [1181] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(11399),
  [1184] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(76),
  [1187] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(11453),
  [1190] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(19235),
  [1193] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(11598),
  [1196] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(11449),
  [1199] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(16271),
  [1202] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(16270),
  [1205] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(19225),
  [1208] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(19217),
  [1211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17619),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18776),
  [1215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2519),
  [1217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11563),
  [1219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18012),
  [1221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2519),
  [1223] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(11379),
  [1226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(11582),
  [1229] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(11459),
  [1232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(12906),
  [1235] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(16405),
  [1238] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(8039),
  [1241] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1267),
  [1244] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(11640),
  [1247] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(77),
  [1250] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(11455),
  [1253] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(11533),
  [1256] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(11438),
  [1259] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(19156),
  [1262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8117),
  [1264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16902),
  [1266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11593),
  [1268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1884),
  [1270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18647),
  [1272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16816),
  [1274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [1276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8095),
  [1278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11486),
  [1280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [1282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12078),
  [1284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1732),
  [1286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [1288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [1290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [1292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1730),
  [1294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [1296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1728),
  [1298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [1300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [1302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [1304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1722),
  [1306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2993),
  [1308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11633),
  [1310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3320),
  [1312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18256),
  [1314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2993),
  [1316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18337),
  [1318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1827),
  [1320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12033),
  [1322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1775),
  [1324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1837),
  [1326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11541),
  [1328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2774),
  [1330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [1332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [1334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11605),
  [1336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [1338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1779),
  [1340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [1342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1788),
  [1344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [1346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [1348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [1350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1836),
  [1352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [1354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 9, 0, 98),
  [1356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 9, 0, 98),
  [1358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11324),
  [1360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 8, 0, 136),
  [1362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 8, 0, 136),
  [1364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 8, 0, 98),
  [1366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 8, 0, 98),
  [1368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7541),
  [1370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 7, 0, 98),
  [1372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 7, 0, 98),
  [1374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 10, 0, 96),
  [1376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 10, 0, 96),
  [1378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 9, 0, 136),
  [1380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 9, 0, 136),
  [1382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 9, 0, 62),
  [1384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 9, 0, 62),
  [1386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 8, 0, 63),
  [1388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 8, 0, 63),
  [1390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 9, 0, 96),
  [1392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 9, 0, 96),
  [1394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 7, 0, 63),
  [1396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 7, 0, 63),
  [1398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 7, 0, 136),
  [1400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 7, 0, 136),
  [1402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 3, 0, 10),
  [1404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 3, 0, 10),
  [1406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 7, 0, 96),
  [1408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 7, 0, 96),
  [1410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 7, 0, 62),
  [1412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 7, 0, 62),
  [1414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 7, 0, 10),
  [1416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 7, 0, 10),
  [1418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 6, 0, 98),
  [1420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 6, 0, 98),
  [1422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 6, 0, 63),
  [1424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 6, 0, 63),
  [1426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 6, 0, 136),
  [1428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 6, 0, 136),
  [1430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 6, 0, 96),
  [1432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 6, 0, 96),
  [1434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 6, 0, 62),
  [1436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 6, 0, 62),
  [1438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 6, 0, 10),
  [1440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 6, 0, 10),
  [1442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 10, 0, 98),
  [1444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 10, 0, 98),
  [1446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 11, 0, 136),
  [1448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 11, 0, 136),
  [1450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 5, 0, 98),
  [1452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 5, 0, 98),
  [1454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 5, 0, 63),
  [1456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 5, 0, 63),
  [1458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 5, 0, 96),
  [1460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 5, 0, 96),
  [1462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 10, 0, 136),
  [1464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 10, 0, 136),
  [1466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 5, 0, 62),
  [1468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 5, 0, 62),
  [1470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 5, 0, 10),
  [1472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 5, 0, 10),
  [1474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unnest_withoffset, 2, 0, 29),
  [1476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unnest_withoffset, 2, 0, 29),
  [1478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14982),
  [1480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 4, 0, 63),
  [1482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 4, 0, 63),
  [1484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 9, 0, 63),
  [1486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 9, 0, 63),
  [1488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 4, 0, 62),
  [1490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 4, 0, 62),
  [1492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 4, 0, 10),
  [1494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 4, 0, 10),
  [1496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 8, 0, 96),
  [1498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 8, 0, 96),
  [1500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 8, 0, 62),
  [1502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 8, 0, 62),
  [1504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 8, 0, 10),
  [1506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 8, 0, 10),
  [1508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 0),
  [1510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 1, 0, 0),
  [1512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14708),
  [1514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15430),
  [1516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_chrono, 1, 0, 0),
  [1518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_chrono, 1, 0, 0),
  [1520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7098),
  [1522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6485),
  [1524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interval, 3, 0, 26),
  [1526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interval, 3, 0, 26),
  [1528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17811),
  [1530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 2, 0, 0),
  [1532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 2, 0, 0),
  [1534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2675),
  [1536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [1538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3197),
  [1540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unnest_clause, 2, 0, 0),
  [1542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unnest_clause, 2, 0, 0),
  [1544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18015),
  [1546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4850),
  [1548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [1550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5111),
  [1552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4717),
  [1554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3686),
  [1556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7537),
  [1558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11152),
  [1560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10350),
  [1562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10822),
  [1564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4455),
  [1566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6341),
  [1568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10190),
  [1570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3396),
  [1572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9911),
  [1574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [1576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5711),
  [1578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unnest_withoffset, 4, 0, 29),
  [1580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unnest_withoffset, 4, 0, 29),
  [1582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unnest_clause, 3, 0, 0),
  [1584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unnest_clause, 3, 0, 0),
  [1586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 5, 0, 92),
  [1588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 5, 0, 92),
  [1590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_specification, 5, 0, 0),
  [1592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_window_specification, 5, 0, 0),
  [1594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_specification, 6, 0, 0),
  [1596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_window_specification, 6, 0, 0),
  [1598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 9, 0, 10),
  [1600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 9, 0, 10),
  [1602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_NULL, 1, 0, 4),
  [1604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_NULL, 1, 0, 4),
  [1606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_TRUE, 1, 0, 0),
  [1608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_TRUE, 1, 0, 0),
  [1610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_FALSE, 1, 0, 0),
  [1612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_FALSE, 1, 0, 0),
  [1614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_query_parameter, 1, 0, 0),
  [1616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_query_parameter, 1, 0, 0),
  [1618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 1, 0, 0),
  [1620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 1, 0, 0),
  [1622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0),
  [1624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0),
  [1626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number, 1, 0, 0),
  [1628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_number, 1, 0, 0),
  [1630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [1632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [1634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [1636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 9),
  [1638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 9),
  [1640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2, 0, 0),
  [1642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2, 0, 0),
  [1644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_json, 2, 0, 0),
  [1646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_json, 2, 0, 0),
  [1648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_reference, 2, 0, 0),
  [1650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_reference, 2, 0, 0),
  [1652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_time, 2, 0, 0),
  [1654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_time, 2, 0, 0),
  [1656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [1658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [1660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct, 3, 0, 0),
  [1662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct, 3, 0, 0),
  [1664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parenthesized_expression, 3, 0, 0),
  [1666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parenthesized_expression, 3, 0, 0),
  [1668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3, 0, 0),
  [1670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3, 0, 0),
  [1672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__keyword_end, 1, 0, 28),
  [1674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__keyword_end, 1, 0, 28),
  [1676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_casewhen_expression, 3, 0, 0),
  [1678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_casewhen_expression, 3, 0, 0),
  [1680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_access, 3, 0, 0),
  [1682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_access, 3, 0, 0),
  [1684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 10, 0, 62),
  [1686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 10, 0, 62),
  [1688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 3, 0, 0),
  [1690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 3, 0, 0),
  [1692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 32),
  [1694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 32),
  [1696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct, 4, 0, 0),
  [1698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct, 4, 0, 0),
  [1700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_numeric, 4, 0, 0),
  [1702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_numeric, 4, 0, 0),
  [1704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4, 0, 0),
  [1706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4, 0, 0),
  [1708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_casewhen_expression, 4, 0, 59),
  [1710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_casewhen_expression, 4, 0, 59),
  [1712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_casewhen_expression, 4, 0, 0),
  [1714] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_casewhen_expression, 4, 0, 0),
  [1716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element_access, 4, 0, 0),
  [1718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_element_access, 4, 0, 0),
  [1720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 4, 0, 0),
  [1722] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 4, 0, 0),
  [1724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interval, 5, 0, 91),
  [1726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interval, 5, 0, 91),
  [1728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range, 5, 0, 93),
  [1730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range, 5, 0, 93),
  [1732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_casewhen_expression, 5, 0, 59),
  [1734] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_casewhen_expression, 5, 0, 59),
  [1736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct, 5, 0, 0),
  [1738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct, 5, 0, 0),
  [1740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 5, 0, 0),
  [1742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 5, 0, 0),
  [1744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quantitve_like_patterns, 3, 0, 106),
  [1746] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quantitve_like_patterns, 3, 0, 106),
  [1748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 6, 0, 135),
  [1750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 6, 0, 135),
  [1752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 10, 0, 63),
  [1754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 10, 0, 63),
  [1756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quantitve_like_patterns, 4, 0, 106),
  [1758] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quantitve_like_patterns, 4, 0, 106),
  [1760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 7, 0, 135),
  [1762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 7, 0, 135),
  [1764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__range_string, 5, 0, 0),
  [1766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__range_string, 5, 0, 0),
  [1768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_specification, 4, 0, 0),
  [1770] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_window_specification, 4, 0, 0),
  [1772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 11, 0, 96),
  [1774] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 11, 0, 96),
  [1776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 11, 0, 98),
  [1778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 11, 0, 98),
  [1780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 12, 0, 136),
  [1782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 12, 0, 136),
  [1784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 2, 0, 10),
  [1786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 2, 0, 10),
  [1788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as_alias, 1, 0, 14),
  [1790] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_as_alias, 1, 0, 14),
  [1792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1117),
  [1794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12122),
  [1796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1203),
  [1798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1227),
  [1800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [1802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [1804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11526),
  [1806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [1808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1205),
  [1810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [1812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1215),
  [1814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [1816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [1818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [1820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1226),
  [1822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_subexpression, 3, 0, 0),
  [1824] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select_subexpression, 3, 0, 0),
  [1826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 3, 0, 27),
  [1828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 3, 0, 27),
  [1830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as_alias, 2, 0, 30),
  [1832] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_as_alias, 2, 0, 30),
  [1834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 5, 0, 101),
  [1836] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 5, 0, 101),
  [1838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 6, 0, 134),
  [1840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 6, 0, 134),
  [1842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_specification, 2, 0, 0),
  [1844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_window_specification, 2, 0, 0),
  [1846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_analytics_clause, 2, 0, 0),
  [1848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_analytics_clause, 2, 0, 0),
  [1850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_specification, 3, 0, 0),
  [1852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_window_specification, 3, 0, 0),
  [1854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_over_clause, 1, 0, 0),
  [1856] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_over_clause, 1, 0, 0),
  [1858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 4, 0, 58),
  [1860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 4, 0, 58),
  [1862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11314),
  [1864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4382),
  [1866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7116),
  [1868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10299),
  [1870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16104),
  [1872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14336),
  [1874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [1876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19289),
  [1878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2525),
  [1880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [1882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2740),
  [1884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19288),
  [1886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19149),
  [1888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2726),
  [1890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2685),
  [1892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2611),
  [1894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2611),
  [1896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15990),
  [1898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1755),
  [1900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [1902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16218),
  [1904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [1906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2748),
  [1908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2748),
  [1910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [1912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1272),
  [1914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2566),
  [1916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19184),
  [1918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15093),
  [1920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [1922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3231),
  [1924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [1926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3384),
  [1928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16340),
  [1930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14268),
  [1932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(326),
  [1934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19299),
  [1936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3373),
  [1938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [1940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3584),
  [1942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19306),
  [1944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19025),
  [1946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3583),
  [1948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3582),
  [1950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3578),
  [1952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3578),
  [1954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16046),
  [1956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1768),
  [1958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [1960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16339),
  [1962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3579),
  [1964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3581),
  [1966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3581),
  [1968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3384),
  [1970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [1972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1771),
  [1974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3580),
  [1976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18043),
  [1978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14477),
  [1980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3263),
  [1982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4413),
  [1984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4341),
  [1986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16331),
  [1988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14243),
  [1990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [1992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19297),
  [1994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4227),
  [1996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [1998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4601),
  [2000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19302),
  [2002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18864),
  [2004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4600),
  [2006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4599),
  [2008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4592),
  [2010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4592),
  [2012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16036),
  [2014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1871),
  [2016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [2018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16332),
  [2020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4593),
  [2022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4597),
  [2024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4597),
  [2026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4341),
  [2028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [2030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1184),
  [2032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4595),
  [2034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18260),
  [2036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14539),
  [2038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4585),
  [2040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4570),
  [2042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16244),
  [2044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14231),
  [2046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [2048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19275),
  [2050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9495),
  [2052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [2054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10484),
  [2056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19274),
  [2058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19142),
  [2060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10508),
  [2062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10506),
  [2064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10492),
  [2066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10492),
  [2068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16027),
  [2070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1236),
  [2072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [2074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16243),
  [2076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10495),
  [2078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10505),
  [2080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10505),
  [2082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [2084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1389),
  [2086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10499),
  [2088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17562),
  [2090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14975),
  [2092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3574),
  [2094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3565),
  [2096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [2098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16059),
  [2100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14302),
  [2102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(345),
  [2104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19291),
  [2106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3007),
  [2108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [2110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3325),
  [2112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19292),
  [2114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19112),
  [2116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3322),
  [2118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3321),
  [2120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3282),
  [2122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3282),
  [2124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16034),
  [2126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1838),
  [2128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [2130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16067),
  [2132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3283),
  [2134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3309),
  [2136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3309),
  [2138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [2140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1626),
  [2142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3284),
  [2144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18941),
  [2146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15718),
  [2148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [2150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5600),
  [2152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5623),
  [2154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10291),
  [2156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19091),
  [2158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [2160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1678),
  [2162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6555),
  [2164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6492),
  [2166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7194),
  [2168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16179),
  [2170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14265),
  [2172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(372),
  [2174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19293),
  [2176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7385),
  [2178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [2180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7993),
  [2182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19296),
  [2184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19150),
  [2186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7994),
  [2188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7995),
  [2190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8015),
  [2192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8015),
  [2194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16010),
  [2196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1877),
  [2198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [2200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16183),
  [2202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8017),
  [2204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8009),
  [2206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8009),
  [2208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7194),
  [2210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [2212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1821),
  [2214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8020),
  [2216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18652),
  [2218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15262),
  [2220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8008),
  [2222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10485),
  [2224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7847),
  [2226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7876),
  [2228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2673),
  [2230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2635),
  [2232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7858),
  [2234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9912),
  [2236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [2238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9917),
  [2240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [2242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8591),
  [2244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16285),
  [2246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14222),
  [2248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(353),
  [2250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19295),
  [2252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9555),
  [2254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [2256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10321),
  [2258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19300),
  [2260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19133),
  [2262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10283),
  [2264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10284),
  [2266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10288),
  [2268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10288),
  [2270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16022),
  [2272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1845),
  [2274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [2276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16286),
  [2278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10287),
  [2280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10285),
  [2282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10285),
  [2284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8591),
  [2286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [2288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1567),
  [2290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10286),
  [2292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18391),
  [2294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14906),
  [2296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10933),
  [2298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19148),
  [2300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [2302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(843),
  [2304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10908),
  [2306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10449),
  [2308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4854),
  [2310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7236),
  [2312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4884),
  [2314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16310),
  [2316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14208),
  [2318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [2320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19301),
  [2322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [2324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [2326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [2328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19307),
  [2330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19105),
  [2332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [2334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [2336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [2338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [2340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16055),
  [2342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1709),
  [2344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [2346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16309),
  [2348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [2350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(466),
  [2352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [2354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [2356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1684),
  [2358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [2360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17837),
  [2362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4215),
  [2364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16223),
  [2366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14349),
  [2368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(361),
  [2370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19256),
  [2372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4216),
  [2374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [2376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4361),
  [2378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19255),
  [2380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4363),
  [2382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4369),
  [2384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4377),
  [2386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4377),
  [2388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16124),
  [2390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1116),
  [2392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [2394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16349),
  [2396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4376),
  [2398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4371),
  [2400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4371),
  [2402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4215),
  [2404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [2406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(842),
  [2408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4373),
  [2410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19332),
  [2412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14940),
  [2414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11310),
  [2416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [2418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1251),
  [2420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19144),
  [2422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [2424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [2426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [2428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1782),
  [2430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19146),
  [2432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [2434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(916),
  [2436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [2438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1133),
  [2440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5408),
  [2442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16206),
  [2444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14254),
  [2446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(268),
  [2448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19305),
  [2450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7284),
  [2452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [2454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7936),
  [2456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19304),
  [2458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19140),
  [2460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7931),
  [2462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7930),
  [2464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7895),
  [2466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7895),
  [2468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16091),
  [2470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1440),
  [2472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [2474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16204),
  [2476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7910),
  [2478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7929),
  [2480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7929),
  [2482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5408),
  [2484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [2486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1820),
  [2488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7921),
  [2490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17415),
  [2492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15170),
  [2494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [2496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1075),
  [2498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5400),
  [2500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16272),
  [2502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14225),
  [2504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(281),
  [2506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19303),
  [2508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5561),
  [2510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [2512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5660),
  [2514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19308),
  [2516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19126),
  [2518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5659),
  [2520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5657),
  [2522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5650),
  [2524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5650),
  [2526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16065),
  [2528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1499),
  [2530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [2532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16269),
  [2534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5651),
  [2536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5654),
  [2538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5654),
  [2540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5400),
  [2542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [2544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1529),
  [2546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5653),
  [2548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17589),
  [2550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14939),
  [2552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10536),
  [2554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16323),
  [2556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14204),
  [2558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(374),
  [2560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19285),
  [2562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10540),
  [2564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [2566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10849),
  [2568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19284),
  [2570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10971),
  [2572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10823),
  [2574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10863),
  [2576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10863),
  [2578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16004),
  [2580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1537),
  [2582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [2584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16344),
  [2586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10861),
  [2588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10829),
  [2590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10829),
  [2592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10536),
  [2594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [2596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1063),
  [2598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10839),
  [2600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17954),
  [2602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14627),
  [2604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4755),
  [2606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16063),
  [2608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14301),
  [2610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(376),
  [2612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19283),
  [2614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4607),
  [2616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [2618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4962),
  [2620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19282),
  [2622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19070),
  [2624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4952),
  [2626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4946),
  [2628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4921),
  [2630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4921),
  [2632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16006),
  [2634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1498),
  [2636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [2638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16071),
  [2640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4924),
  [2642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4944),
  [2644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4944),
  [2646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4755),
  [2648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [2650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1424),
  [2652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4929),
  [2654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17045),
  [2656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15708),
  [2658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19147),
  [2660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [2662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1471),
  [2664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [2666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1299),
  [2668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19056),
  [2670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [2672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1664),
  [2674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [2676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1344),
  [2678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [2680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1472),
  [2682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_order_by_clause_body, 1, 0, 0),
  [2684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [2686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_order_by_clause_body, 1, 0, 0),
  [2688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12157),
  [2690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1277),
  [2692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [2694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [2696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [2698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5585),
  [2700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16225),
  [2702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [2704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11470),
  [2706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [2708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1280),
  [2710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [2712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1281),
  [2714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [2716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [2718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [2720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1287),
  [2722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [2724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1518),
  [2726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [2728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1571),
  [2730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19084),
  [2732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [2734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1737),
  [2736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18272),
  [2738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11549),
  [2740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18939),
  [2742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17145),
  [2744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7652),
  [2746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [2748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12039),
  [2750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1632),
  [2752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [2754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [2756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [2758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [2760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11496),
  [2762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [2764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1634),
  [2766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [2768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1635),
  [2770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [2772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [2774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [2776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1641),
  [2778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11499),
  [2780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4847),
  [2782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17970),
  [2784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [2786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_order_by_clause_body_repeat1, 2, 0, 0),
  [2788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_order_by_clause_body_repeat1, 2, 0, 0),
  [2790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19319),
  [2792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11629),
  [2794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3597),
  [2796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17077),
  [2798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [2800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [2802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1574),
  [2804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [2806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1575),
  [2808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [2810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1668),
  [2812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [2814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1662),
  [2816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [2818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [2820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [2822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1646),
  [2824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [2826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [2828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [2830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1587),
  [2832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_where_clause, 2, 0, 0),
  [2834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [2836] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_where_clause, 2, 0, 0),
  [2838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12040),
  [2840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1573),
  [2842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [2844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [2846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [2848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12110),
  [2850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1669),
  [2852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [2854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [2856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_grouping_item, 1, 0, 0),
  [2858] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_grouping_item, 1, 0, 0),
  [2860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [2862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12119),
  [2864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(864),
  [2866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [2868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [2870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [2872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [2874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [2876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [2878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(932),
  [2880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [2882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [2884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [2886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(946),
  [2888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11356),
  [2890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [2892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12062),
  [2894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1692),
  [2896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [2898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [2900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [2902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [2904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1693),
  [2906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [2908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1694),
  [2910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [2912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [2914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [2916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1700),
  [2918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_having_clause, 2, 0, 0),
  [2920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_having_clause, 2, 0, 0),
  [2922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11596),
  [2924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4734),
  [2926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17413),
  [2928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualify_clause, 2, 0, 0),
  [2930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualify_clause, 2, 0, 0),
  [2932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11547),
  [2934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18438),
  [2936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19159),
  [2938] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_from_item, 1, 0, 49),
  [2940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from_item, 1, 0, 49),
  [2942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [2944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [2946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1578),
  [2948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [2950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1579),
  [2952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [2954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [2956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [2958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1594),
  [2960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [2962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12053),
  [2964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1576),
  [2966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [2968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [2970] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_from_item, 1, 0, 0),
  [2972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from_item, 1, 0, 0),
  [2974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [2976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12073),
  [2978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1359),
  [2980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [2982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [2984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [2986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1360),
  [2988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [2990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1361),
  [2992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [2994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [2996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [2998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1365),
  [3000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [3002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_execute_immadiate_statement, 3, 0, 0),
  [3004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [3006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_execute_immadiate_statement, 3, 0, 0),
  [3008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12135),
  [3010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1426),
  [3012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [3014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11630),
  [3016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [3018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [3020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [3022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11500),
  [3024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [3026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1427),
  [3028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [3030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1428),
  [3032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [3034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [3036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [3038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1432),
  [3040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_cluster_clause, 3, 0, 111),
  [3042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [3044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_cluster_clause, 3, 0, 111),
  [3046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12133),
  [3048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [3050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [3052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [3054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [3056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [3058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11543),
  [3060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [3062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [3064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [3066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1146),
  [3068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [3070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [3072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [3074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1159),
  [3076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15392),
  [3078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14625),
  [3080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11355),
  [3082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16902),
  [3084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15192),
  [3086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18012),
  [3088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_set_statement_repeat1, 2, 0, 0),
  [3090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_set_statement_repeat1, 2, 0, 0),
  [3092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18647),
  [3094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18914),
  [3096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [3098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(847),
  [3100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [3102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(849),
  [3104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_clause, 2, 0, 0),
  [3106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [3108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_clause, 2, 0, 0),
  [3110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12151),
  [3112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(919),
  [3114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [3116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [3118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [3120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(920),
  [3122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [3124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [3126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [3128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [3130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [3132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(927),
  [3134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__assigment_expression, 3, 0, 0),
  [3136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [3138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__assigment_expression, 3, 0, 0),
  [3140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12106),
  [3142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1682),
  [3144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [3146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [3148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [3150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [3152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [3154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [3156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18256),
  [3158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_statement, 2, 0, 0),
  [3160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [3162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assert_statement, 2, 0, 0),
  [3164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12082),
  [3166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1302),
  [3168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [3170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16134),
  [3172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [3174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [3176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1303),
  [3178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [3180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1304),
  [3182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [3184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [3186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [3188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1308),
  [3190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [3192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [3194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_default, 3, 0, 217),
  [3196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_default, 3, 0, 217),
  [3198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11340),
  [3200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_system_time_clause, 2, 0, 0),
  [3202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_system_time_clause, 2, 0, 0),
  [3204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 5, 0, 70),
  [3206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_raise_statement, 5, 0, 70),
  [3208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [3210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12049),
  [3212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1507),
  [3214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [3216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11521),
  [3218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [3220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [3222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [3224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1506),
  [3226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [3228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1497),
  [3230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [3232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [3234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [3236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1490),
  [3238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [3240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12154),
  [3242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1787),
  [3244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [3246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [3248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [3250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [3252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1789),
  [3254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [3256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1791),
  [3258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [3260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [3262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [3264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1802),
  [3266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18021),
  [3268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_statement, 4, 0, 0),
  [3270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_statement, 4, 0, 0),
  [3272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [3274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11335),
  [3276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [3278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12153),
  [3280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(876),
  [3282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [3284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [3286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [3288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(877),
  [3290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [3292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(878),
  [3294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [3296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [3298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [3300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(884),
  [3302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [3304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12068),
  [3306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1558),
  [3308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [3310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [3312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [3314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1550),
  [3316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [3318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1548),
  [3320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [3322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [3324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [3326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1534),
  [3328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [3330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12139),
  [3332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1373),
  [3334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [3336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [3338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [3340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1380),
  [3342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [3344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1381),
  [3346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [3348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [3350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [3352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1407),
  [3354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11320),
  [3356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11351),
  [3358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15022),
  [3360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19243),
  [3362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11349),
  [3364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11635),
  [3366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5589),
  [3368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18186),
  [3370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18237),
  [3372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15615),
  [3374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [3376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19319),
  [3378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18939),
  [3380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [3382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17970),
  [3384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unpivot_operator, 4, 0, 0),
  [3386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unpivot_operator, 4, 0, 0),
  [3388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unpivot_operator, 6, 0, 237),
  [3390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unpivot_operator, 6, 0, 237),
  [3392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17069),
  [3394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pivot_operator, 10, 0, 283),
  [3396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pivot_operator, 10, 0, 283),
  [3398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pivot_operator, 11, 0, 283),
  [3400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pivot_operator, 11, 0, 283),
  [3402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pivot_operator, 11, 0, 285),
  [3404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pivot_operator, 11, 0, 285),
  [3406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pivot_operator, 12, 0, 285),
  [3408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pivot_operator, 12, 0, 285),
  [3410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unpivot_operator, 6, 0, 236),
  [3412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unpivot_operator, 6, 0, 236),
  [3414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [3416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11347),
  [3418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1569),
  [3420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12044),
  [3422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1556),
  [3424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1590),
  [3426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11580),
  [3428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6337),
  [3430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [3432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [3434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11577),
  [3436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [3438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1561),
  [3440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [3442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1570),
  [3444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [3446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [3448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [3450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1584),
  [3452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15614),
  [3454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__conditional_join_operator, 4, 0, 0),
  [3456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__conditional_join_operator, 4, 0, 0),
  [3458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__conditional_join_operator, 5, 0, 0),
  [3460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__conditional_join_operator, 5, 0, 0),
  [3462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18438),
  [3464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17048),
  [3466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [3468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__conditional_join_operator, 3, 0, 0),
  [3470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__conditional_join_operator, 3, 0, 0),
  [3472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from_item, 2, 0, 0),
  [3474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_from_item, 2, 0, 0),
  [3476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from_clause, 2, 0, 0),
  [3478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_from_clause, 2, 0, 0),
  [3480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11174),
  [3482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19336),
  [3484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15637),
  [3486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17551),
  [3488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17550),
  [3490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16240),
  [3492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16562),
  [3494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11173),
  [3496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from_item, 3, 0, 0),
  [3498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_from_item, 3, 0, 0),
  [3500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join_condition, 5, 0, 259),
  [3502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_join_condition, 5, 0, 259),
  [3504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from_item, 2, 0, 49),
  [3506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_from_item, 2, 0, 49),
  [3508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join_operation, 1, 0, 48),
  [3510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_join_operation, 1, 0, 48),
  [3512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join_operation, 1, 0, 0),
  [3514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_join_operation, 1, 0, 0),
  [3516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join_condition, 4, 0, 239),
  [3518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_join_condition, 4, 0, 239),
  [3520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__cross_join_operation, 3, 0, 119),
  [3522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__cross_join_operation, 3, 0, 119),
  [3524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__cross_join_operation, 4, 0, 152),
  [3526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__cross_join_operation, 4, 0, 152),
  [3528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11498),
  [3530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5668),
  [3532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16535),
  [3534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11581),
  [3536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6181),
  [3538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17051),
  [3540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [3542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11188),
  [3544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17553),
  [3546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15001),
  [3548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17548),
  [3550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11189),
  [3552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [3554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1486),
  [3556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [3558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12101),
  [3560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1515),
  [3562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [3564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [3566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [3568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1488),
  [3570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [3572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [3574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [3576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1260),
  [3578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select, 2, 0, 0),
  [3580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11163),
  [3582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select, 2, 0, 0),
  [3584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11457),
  [3586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [3588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [3590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16447),
  [3592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [3594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select, 4, 0, 0),
  [3596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select, 4, 0, 0),
  [3598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select, 3, 0, 0),
  [3600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select, 3, 0, 0),
  [3602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select, 6, 0, 0),
  [3604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select, 6, 0, 0),
  [3606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select, 5, 0, 0),
  [3608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select, 5, 0, 0),
  [3610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [3612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11472),
  [3614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 4, 0, 39),
  [3616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 4, 0, 39),
  [3618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11517),
  [3620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12782),
  [3622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18447),
  [3624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18455),
  [3626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11228),
  [3628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11512),
  [3630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11477),
  [3632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16450),
  [3634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16472),
  [3636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11592),
  [3638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5974),
  [3640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18834),
  [3642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11476),
  [3644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18185),
  [3646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 5, 0, 76),
  [3648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 5, 0, 76),
  [3650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12465),
  [3652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11554),
  [3654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9478),
  [3656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16716),
  [3658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asterisk_expression, 1, 0, 0),
  [3660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_asterisk_expression, 1, 0, 0),
  [3662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 3, 0, 20),
  [3664] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 3, 0, 20),
  [3666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12233),
  [3668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_all, 1, 0, 0),
  [3670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18666),
  [3672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select_all, 1, 0, 0),
  [3674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18664),
  [3676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asterisk_expression, 2, 0, 0),
  [3678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_asterisk_expression, 2, 0, 0),
  [3680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11504),
  [3682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18038),
  [3684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1321),
  [3686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12038),
  [3688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1862),
  [3690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1852),
  [3692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11527),
  [3694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8402),
  [3696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10452),
  [3698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [3700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [3702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11515),
  [3704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [3706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1861),
  [3708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [3710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1860),
  [3712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [3714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [3716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [3718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1854),
  [3720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2671),
  [3722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11522),
  [3724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9750),
  [3726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17584),
  [3728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4412),
  [3730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [3732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7133),
  [3734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3232),
  [3736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10931),
  [3738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2082),
  [3740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10298),
  [3742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [3744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3566),
  [3746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7863),
  [3748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4857),
  [3750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6506),
  [3752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7977),
  [3754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select, 7, 0, 0),
  [3756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select, 7, 0, 0),
  [3758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4572),
  [3760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_all, 2, 0, 0),
  [3762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select_all, 2, 0, 0),
  [3764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11568),
  [3766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9753),
  [3768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19176),
  [3770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9913),
  [3772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5620),
  [3774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11187),
  [3776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [3778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [3780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18673),
  [3782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [3784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_all_except, 5, 0, 154),
  [3786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select_all_except, 5, 0, 154),
  [3788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11637),
  [3790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9747),
  [3792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17256),
  [3794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_all_except, 4, 0, 120),
  [3796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select_all_except, 4, 0, 120),
  [3798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__aliasable_expression, 2, 0, 0),
  [3800] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__aliasable_expression, 2, 0, 0),
  [3802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_all_replace, 4, 0, 0),
  [3804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select_all_replace, 4, 0, 0),
  [3806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_select_list_repeat1, 2, 0, 0),
  [3808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_select_list_repeat1, 2, 0, 0),
  [3810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_select_list_repeat1, 2, 0, 50),
  [3812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_select_list_repeat1, 2, 0, 50),
  [3814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_all, 3, 0, 0),
  [3816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select_all, 3, 0, 0),
  [3818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from_clause, 3, 0, 0),
  [3820] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_from_clause, 3, 0, 0),
  [3822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select, 8, 0, 0),
  [3824] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select, 8, 0, 0),
  [3826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_all_replace, 5, 0, 0),
  [3828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select_all_replace, 5, 0, 0),
  [3830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_list, 1, 0, 8),
  [3832] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select_list, 1, 0, 8),
  [3834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [3836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 4, 0, 40),
  [3838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 4, 0, 40),
  [3840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12791),
  [3842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 5, 0, 74),
  [3844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 5, 0, 74),
  [3846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12526),
  [3848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pivot_operator, 12, 0, 283),
  [3850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pivot_operator, 12, 0, 283),
  [3852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12542),
  [3854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18440),
  [3856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12368),
  [3858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unpivot_operator, 7, 0, 236),
  [3860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unpivot_operator, 7, 0, 236),
  [3862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unpivot_operator, 7, 0, 237),
  [3864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unpivot_operator, 7, 0, 237),
  [3866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 7, 0, 151),
  [3868] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 7, 0, 151),
  [3870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12332),
  [3872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12867),
  [3874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_list, 1, 0, 0),
  [3876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select_list, 1, 0, 0),
  [3878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [3880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [3882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [3884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 6, 0, 116),
  [3886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 6, 0, 116),
  [3888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12353),
  [3890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 6, 0, 115),
  [3892] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 6, 0, 115),
  [3894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12355),
  [3896] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_list_repeat1, 2, 0, 0), SHIFT_REPEAT(270),
  [3899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 6, 0, 113),
  [3901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 6, 0, 113),
  [3903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12370),
  [3905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unpivot_operator, 5, 0, 0),
  [3907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unpivot_operator, 5, 0, 0),
  [3909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 5, 0, 77),
  [3911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 5, 0, 77),
  [3913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12464),
  [3915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pivot_operator, 13, 0, 285),
  [3917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pivot_operator, 13, 0, 285),
  [3919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11316),
  [3921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select, 9, 0, 0),
  [3923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select, 9, 0, 0),
  [3925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18186),
  [3927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15213),
  [3929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_order_by_clause_body_repeat1, 3, 0, 165),
  [3931] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_order_by_clause_body_repeat1, 3, 0, 165),
  [3933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from_clause, 4, 0, 0),
  [3935] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_from_clause, 4, 0, 0),
  [3937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tablesample_operator, 6, 0, 238),
  [3939] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tablesample_operator, 6, 0, 238),
  [3941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_group_by_clause_repeat1, 2, 0, 0),
  [3943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_group_by_clause_repeat1, 2, 0, 0),
  [3945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_grouping_sets, 6, 0, 0),
  [3947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_grouping_sets, 6, 0, 0),
  [3949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rollup, 4, 0, 0),
  [3951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rollup, 4, 0, 0),
  [3953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cube, 4, 0, 0),
  [3955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cube, 4, 0, 0),
  [3957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_grouping_item_sets, 4, 0, 0),
  [3959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_grouping_item_sets, 4, 0, 0),
  [3961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__grouping_list_repeat1, 2, 0, 0),
  [3963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__grouping_list_repeat1, 2, 0, 0),
  [3965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_grouping_item_sets, 3, 0, 0),
  [3967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_grouping_item_sets, 3, 0, 0),
  [3969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [3971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17564),
  [3973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_grouping_sets, 5, 0, 0),
  [3975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_grouping_sets, 5, 0, 0),
  [3977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rollup, 5, 0, 0),
  [3979] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rollup, 5, 0, 0),
  [3981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cube, 5, 0, 0),
  [3983] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cube, 5, 0, 0),
  [3985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__direction_keywords, 1, 0, 87),
  [3987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__direction_keywords, 1, 0, 87),
  [3989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_grouping_empty, 2, 0, 0),
  [3991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_grouping_empty, 2, 0, 0),
  [3993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11600),
  [3995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10794),
  [3997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18878),
  [3999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11357),
  [4001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_order_by_clause_body_repeat1, 4, 0, 194),
  [4003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_order_by_clause_body_repeat1, 4, 0, 194),
  [4005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 7, 0, 116),
  [4007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 7, 0, 116),
  [4009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12342),
  [4011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 5, 0, 39),
  [4013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 5, 0, 39),
  [4015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12553),
  [4017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 6, 0, 74),
  [4019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 6, 0, 74),
  [4021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12385),
  [4023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 6, 0, 77),
  [4025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 6, 0, 77),
  [4027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12364),
  [4029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 4, 0, 20),
  [4031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 4, 0, 20),
  [4033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12788),
  [4035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__grouping_list, 2, 0, 0),
  [4037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__grouping_list, 2, 0, 0),
  [4039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__nulls_preference, 2, 0, 129),
  [4041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__nulls_preference, 2, 0, 129),
  [4043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__nulls_preference, 2, 0, 128),
  [4045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__nulls_preference, 2, 0, 128),
  [4047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 2, 0, 110),
  [4049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18931),
  [4051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 2, 0, 110),
  [4053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [4055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16133),
  [4057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19212),
  [4059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11501),
  [4061] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__grouping_list_repeat1, 2, 0, 0), SHIFT_REPEAT(628),
  [4064] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_group_by_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(101),
  [4067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select, 10, 0, 0),
  [4069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select, 10, 0, 0),
  [4071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_group_by_clause, 3, 0, 0),
  [4073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_group_by_clause, 3, 0, 0),
  [4075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [4077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [4079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1279),
  [4081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [4083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1455),
  [4085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [4087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [4089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [4091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1828),
  [4093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_group_by_clause, 4, 0, 0),
  [4095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_group_by_clause, 4, 0, 0),
  [4097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [4099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12031),
  [4101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1853),
  [4103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [4105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [4107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 7, 0, 113),
  [4109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 7, 0, 113),
  [4111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12224),
  [4113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 8, 0, 151),
  [4115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 8, 0, 151),
  [4117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12802),
  [4119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 6, 0, 76),
  [4121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 6, 0, 76),
  [4123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12372),
  [4125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [4127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11627),
  [4129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__keyword_distinct, 1, 0, 7),
  [4131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__keyword_distinct, 1, 0, 7),
  [4133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 7, 0, 115),
  [4135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 7, 0, 115),
  [4137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12329),
  [4139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_order_by_clause_body_repeat1, 3, 0, 166),
  [4141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_order_by_clause_body_repeat1, 3, 0, 166),
  [4143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 5, 0, 40),
  [4145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 5, 0, 40),
  [4147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12493),
  [4149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11346),
  [4151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_type, 1, 0, 0),
  [4153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_type, 1, 0, 0),
  [4155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_type, 5, 0, 0),
  [4157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_type, 5, 0, 0),
  [4159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [4161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__column_definition_type_struct, 5, 0, 0),
  [4163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__column_definition_type_struct, 5, 0, 0),
  [4165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [4167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12037),
  [4169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1815),
  [4171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [4173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [4175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [4177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [4179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11632),
  [4181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [4183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1812),
  [4185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [4187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1811),
  [4189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [4191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [4193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [4195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1790),
  [4197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 5, 0, 40),
  [4199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 5, 0, 40),
  [4201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12682),
  [4203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 7, 0, 115),
  [4205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 7, 0, 115),
  [4207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12268),
  [4209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select, 11, 0, 0),
  [4211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select, 11, 0, 0),
  [4213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [4215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11513),
  [4217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17547),
  [4219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12275),
  [4221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [4223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [4225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 8, 0, 151),
  [4227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 8, 0, 151),
  [4229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12777),
  [4231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12260),
  [4233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12256),
  [4235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 7, 0, 113),
  [4237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 7, 0, 113),
  [4239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12222),
  [4241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12190),
  [4243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12674),
  [4245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_type, 4, 0, 0),
  [4247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_type, 4, 0, 0),
  [4249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__column_definition_type_struct, 4, 0, 0),
  [4251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__column_definition_type_struct, 4, 0, 0),
  [4253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__column_definition_type_array, 4, 0, 0),
  [4255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__column_definition_type_array, 4, 0, 0),
  [4257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12573),
  [4259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12540),
  [4261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_order_by_clause, 3, 0, 53),
  [4263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_order_by_clause, 3, 0, 53),
  [4265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11800),
  [4267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_order_by_clause_body, 2, 0, 88),
  [4269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_order_by_clause_body, 2, 0, 88),
  [4271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 4, 0, 20),
  [4273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 4, 0, 20),
  [4275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12786),
  [4277] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_list_repeat1, 2, 0, 0), SHIFT_REPEAT(249),
  [4280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 6, 0, 74),
  [4282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 6, 0, 74),
  [4284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12386),
  [4286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 7, 0, 116),
  [4288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 7, 0, 116),
  [4290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12340),
  [4292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 6, 0, 76),
  [4294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 6, 0, 76),
  [4296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12374),
  [4298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 5, 0, 39),
  [4300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 5, 0, 39),
  [4302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12554),
  [4304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 6, 0, 77),
  [4306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 6, 0, 77),
  [4308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12366),
  [4310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 5, 0, 20),
  [4312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 5, 0, 20),
  [4314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12533),
  [4316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 6, 0, 40),
  [4318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 6, 0, 40),
  [4320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12377),
  [4322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 6, 0, 40),
  [4324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 6, 0, 40),
  [4326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12380),
  [4328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 5, 0, 20),
  [4330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 5, 0, 20),
  [4332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12552),
  [4334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 6, 0, 39),
  [4336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 6, 0, 39),
  [4338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12405),
  [4340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 6, 0, 39),
  [4342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 6, 0, 39),
  [4344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12406),
  [4346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 7, 0, 74),
  [4348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 7, 0, 74),
  [4350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12170),
  [4352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 3, 0, 148),
  [4354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18947),
  [4356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 3, 0, 148),
  [4358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19213),
  [4360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 7, 0, 74),
  [4362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 7, 0, 74),
  [4364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12171),
  [4366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 7, 0, 76),
  [4368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 7, 0, 76),
  [4370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12206),
  [4372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [4374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 7, 0, 76),
  [4376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 7, 0, 76),
  [4378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12220),
  [4380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 8, 0, 113),
  [4382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 8, 0, 113),
  [4384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12645),
  [4386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 8, 0, 113),
  [4388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 8, 0, 113),
  [4390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12656),
  [4392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 8, 0, 115),
  [4394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 8, 0, 115),
  [4396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12698),
  [4398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 8, 0, 115),
  [4400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 8, 0, 115),
  [4402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12823),
  [4404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 8, 0, 116),
  [4406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 8, 0, 116),
  [4408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12859),
  [4410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16503),
  [4412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_limit_clause, 2, 0, 0),
  [4414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_limit_clause, 2, 0, 0),
  [4416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18198),
  [4418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 8, 0, 116),
  [4420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 8, 0, 116),
  [4422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12860),
  [4424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 7, 0, 77),
  [4426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 7, 0, 77),
  [4428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12229),
  [4430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_collate_clause, 2, 0, 175),
  [4432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_collate_clause, 2, 0, 175),
  [4434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_query_expr, 5, 0, 0),
  [4436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_query_expr, 5, 0, 0),
  [4438] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_query_expr, 4, 0, 0), REDUCE(sym_query_expr, 5, 0, 0),
  [4441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_query_expr, 4, 0, 0), REDUCE(sym_query_expr, 5, 0, 0),
  [4444] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_query_expr, 5, 0, 0), SHIFT(18852),
  [4447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [4449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12102),
  [4451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1562),
  [4453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [4455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [4457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [4459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [4461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11478),
  [4463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [4465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1559),
  [4467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [4469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1546),
  [4471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [4473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [4475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [4477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1516),
  [4479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_query_expr, 4, 0, 0),
  [4481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_query_expr, 4, 0, 0),
  [4483] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_query_expr, 4, 0, 0), SHIFT(18852),
  [4486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_query_expr, 3, 0, 0),
  [4488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_query_expr, 3, 0, 0),
  [4490] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_query_expr, 2, 0, 0), REDUCE(sym_query_expr, 3, 0, 0),
  [4493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_query_expr, 2, 0, 0), REDUCE(sym_query_expr, 3, 0, 0),
  [4496] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_query_expr, 3, 0, 0), SHIFT(18852),
  [4499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_query_expr, 2, 0, 0),
  [4501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_query_expr, 2, 0, 0),
  [4503] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_query_expr, 2, 0, 0), SHIFT(18852),
  [4506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 9, 0, 151),
  [4508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 9, 0, 151),
  [4510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12749),
  [4512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 9, 0, 151),
  [4514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 9, 0, 151),
  [4516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12748),
  [4518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 7, 0, 77),
  [4520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 7, 0, 77),
  [4522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12232),
  [4524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select, 12, 0, 0),
  [4526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select, 12, 0, 0),
  [4528] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_query_expr, 3, 0, 0), REDUCE(sym_query_expr, 4, 0, 0),
  [4531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_query_expr, 3, 0, 0), REDUCE(sym_query_expr, 4, 0, 0),
  [4534] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_query_expr, 4, 0, 0), SHIFT(18344),
  [4537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declare_statement_repeat1, 2, 0, 0),
  [4539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declare_statement_repeat1, 2, 0, 0),
  [4541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_order_by_clause_body, 2, 0, 89),
  [4543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_order_by_clause_body, 2, 0, 89),
  [4545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_order_by_clause_body, 2, 0, 90),
  [4547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_order_by_clause_body, 2, 0, 90),
  [4549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_order_by_clause_body, 3, 0, 130),
  [4551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_order_by_clause_body, 3, 0, 130),
  [4553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_order_by_clause_body, 3, 0, 131),
  [4555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_order_by_clause_body, 3, 0, 131),
  [4557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_order_by_clause_body, 3, 0, 132),
  [4559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_order_by_clause_body, 3, 0, 132),
  [4561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_order_by_clause_body_repeat1, 2, 0, 133),
  [4563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_order_by_clause_body_repeat1, 2, 0, 133),
  [4565] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_order_by_clause_body_repeat1, 2, 0, 133), SHIFT_REPEAT(1770),
  [4568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_order_by_clause_body, 4, 0, 167),
  [4570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_order_by_clause_body, 4, 0, 167),
  [4572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_query_expr, 6, 0, 0),
  [4574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_query_expr, 6, 0, 0),
  [4576] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_query_expr, 5, 0, 0), REDUCE(sym_query_expr, 6, 0, 0),
  [4579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_query_expr, 5, 0, 0), REDUCE(sym_query_expr, 6, 0, 0),
  [4582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18908),
  [4584] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_query_expr, 3, 0, 0), SHIFT(18344),
  [4587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17159),
  [4589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [4591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12071),
  [4593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [4595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [4597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [4599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1391),
  [4601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [4603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11528),
  [4605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [4607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1392),
  [4609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [4611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1394),
  [4613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [4615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [4617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [4619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1399),
  [4621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18852),
  [4623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_query_expr, 1, 0, 0), REDUCE(sym_query_expr, 2, 0, 0),
  [4626] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_query_expr, 1, 0, 0), REDUCE(sym_query_expr, 2, 0, 0),
  [4629] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_query_expr, 2, 0, 0), SHIFT(18344),
  [4632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_query_expr, 1, 0, 0),
  [4634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_query_expr, 1, 0, 0),
  [4636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16418),
  [4638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_clause, 2, 0, 0),
  [4640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_window_clause, 2, 0, 0),
  [4642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_limit_clause, 4, 0, 86),
  [4644] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_limit_clause, 4, 0, 86),
  [4646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_window_expression, 3, 0, 0),
  [4648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_window_expression, 3, 0, 0),
  [4650] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_query_expr, 1, 0, 0), SHIFT(18852),
  [4653] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_query_expr, 1, 0, 0), SHIFT(18344),
  [4656] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_order_by_clause_body_repeat1, 2, 0, 133), SHIFT_REPEAT(948),
  [4659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [4661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12075),
  [4663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1410),
  [4665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [4667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [4669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [4671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1411),
  [4673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [4675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1412),
  [4677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [4679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [4681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [4683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1416),
  [4685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [4687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1797),
  [4689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [4691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1256),
  [4693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [4695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [4697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [4699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1092),
  [4701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12863),
  [4703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12591),
  [4705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [4707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint_enfoce_option, 1, 0, 0),
  [4709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constraint_enfoce_option, 1, 0, 0),
  [4711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreign_key_references, 6, 0, 267),
  [4713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreign_key_references, 6, 0, 267),
  [4715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12567),
  [4717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_parameters, 4, 0, 0),
  [4719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_parameters, 4, 0, 0),
  [4721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12195),
  [4723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12205),
  [4725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12270),
  [4727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12281),
  [4729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12191),
  [4731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [4733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12029),
  [4735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [4737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [4739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1706),
  [4741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_parameters, 3, 0, 0),
  [4743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_parameters, 3, 0, 0),
  [4745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [4747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1523),
  [4749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [4751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1549),
  [4753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [4755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [4757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [4759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1554),
  [4761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12676),
  [4763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [4765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19193),
  [4767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [4769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12035),
  [4771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1510),
  [4773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [4775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [4777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11502),
  [4779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11638),
  [4781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_if_exists, 2, 0, 33),
  [4783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_if_exists, 2, 0, 33),
  [4785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint_enfoce_option, 2, 0, 223),
  [4787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constraint_enfoce_option, 2, 0, 223),
  [4789] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__grouping_list_repeat1, 2, 0, 0), SHIFT_REPEAT(634),
  [4792] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_group_by_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(105),
  [4795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12475),
  [4797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11333),
  [4799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_operation, 4, 0, 55),
  [4801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_operation, 4, 0, 55),
  [4803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16317),
  [4805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16420),
  [4807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16421),
  [4809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_operation, 4, 0, 56),
  [4811] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_operation, 4, 0, 56),
  [4813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 10, 0, 151),
  [4815] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 10, 0, 151),
  [4817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12547),
  [4819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_operation, 4, 0, 57),
  [4821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_operation, 4, 0, 57),
  [4823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_operation, 4, 0, 54),
  [4825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_operation, 4, 0, 54),
  [4827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 10, 0, 151),
  [4829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 10, 0, 151),
  [4831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12501),
  [4833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_model_statement, 4, 0, 42),
  [4835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_model_statement, 4, 0, 42),
  [4837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12793),
  [4839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18406),
  [4841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 6, 0, 230),
  [4843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18968),
  [4845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 6, 0, 230),
  [4847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 5, 0, 199),
  [4849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18962),
  [4851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 5, 0, 199),
  [4853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12572),
  [4855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_array, 1, 0, 0),
  [4857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_array, 1, 0, 0),
  [4859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12515),
  [4861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 4, 0, 180),
  [4863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18957),
  [4865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 4, 0, 180),
  [4867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 3, 0, 146),
  [4869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18946),
  [4871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 3, 0, 146),
  [4873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 8, 0, 74),
  [4875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 8, 0, 74),
  [4877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12619),
  [4879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_array, 4, 0, 0),
  [4881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_array, 4, 0, 0),
  [4883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12593),
  [4885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 7, 0, 40),
  [4887] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 7, 0, 40),
  [4889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12189),
  [4891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 8, 0, 74),
  [4893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 8, 0, 74),
  [4895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12624),
  [4897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12272),
  [4899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 8, 0, 76),
  [4901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 8, 0, 76),
  [4903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12719),
  [4905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 8, 0, 76),
  [4907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 8, 0, 76),
  [4909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12641),
  [4911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 7, 0, 39),
  [4913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 7, 0, 39),
  [4915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12164),
  [4917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12866),
  [4919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_model_statement, 3, 0, 21),
  [4921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_model_statement, 3, 0, 21),
  [4923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12288),
  [4925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [4927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12129),
  [4929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [4931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [4933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1186),
  [4935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [4937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1187),
  [4939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [4941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1188),
  [4943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [4945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [4947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [4949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [4951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 8, 0, 77),
  [4953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 8, 0, 77),
  [4955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12659),
  [4957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12194),
  [4959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 8, 0, 77),
  [4961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 8, 0, 77),
  [4963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12660),
  [4965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 9, 0, 116),
  [4967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 9, 0, 116),
  [4969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12746),
  [4971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12289),
  [4973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 9, 0, 116),
  [4975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 9, 0, 116),
  [4977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12747),
  [4979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 7, 0, 39),
  [4981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 7, 0, 39),
  [4983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12162),
  [4985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 6, 0, 20),
  [4987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 6, 0, 20),
  [4989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12390),
  [4991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12477),
  [4993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12210),
  [4995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 9, 0, 115),
  [4997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 9, 0, 115),
  [4999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12750),
  [5001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 9, 0, 115),
  [5003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 9, 0, 115),
  [5005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12751),
  [5007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 9, 0, 113),
  [5009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 9, 0, 113),
  [5011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12755),
  [5013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_model_statement, 5, 0, 79),
  [5015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_model_statement, 5, 0, 79),
  [5017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12463),
  [5019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17800),
  [5021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 7, 0, 40),
  [5023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 7, 0, 40),
  [5025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12202),
  [5027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12199),
  [5029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 9, 0, 113),
  [5031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 9, 0, 113),
  [5033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12756),
  [5035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 6, 0, 20),
  [5037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 6, 0, 20),
  [5039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12401),
  [5041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12165),
  [5043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_struct, 1, 0, 0),
  [5045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_struct, 1, 0, 0),
  [5047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12012),
  [5049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 5, 0, 205),
  [5051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18963),
  [5053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 5, 0, 205),
  [5055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19200),
  [5057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_statement, 8, 0, 189),
  [5059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15993),
  [5061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_statement, 8, 0, 189),
  [5063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_statement, 8, 0, 188),
  [5065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_statement, 8, 0, 188),
  [5067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12223),
  [5069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_statement, 8, 0, 187),
  [5071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_statement, 8, 0, 187),
  [5073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_struct, 6, 0, 0),
  [5075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_struct, 6, 0, 0),
  [5077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_merge_statement_repeat1, 2, 0, 0),
  [5079] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_merge_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(15993),
  [5082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_merge_statement_repeat1, 2, 0, 0),
  [5084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12203),
  [5086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 1, 0, 0),
  [5088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [5090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11570),
  [5092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12204),
  [5094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_statement, 8, 0, 186),
  [5096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_statement, 8, 0, 186),
  [5098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_statement, 8, 0, 185),
  [5100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_statement, 8, 0, 185),
  [5102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_struct, 5, 0, 0),
  [5104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_struct, 5, 0, 0),
  [5106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12184),
  [5108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__base_type, 4, 0, 0),
  [5110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__base_type, 4, 0, 0),
  [5112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_collate_clause, 3, 0, 109),
  [5114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_collate_clause, 3, 0, 109),
  [5116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12483),
  [5118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12192),
  [5120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12213),
  [5122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12185),
  [5124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12472),
  [5126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12215),
  [5128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12473),
  [5130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12263),
  [5132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_statement, 11, 0, 262),
  [5134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_statement, 11, 0, 262),
  [5136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_partition_expression, 5, 0, 0),
  [5138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_partition_expression, 5, 0, 0),
  [5140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_statement, 9, 0, 210),
  [5142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_statement, 9, 0, 210),
  [5144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_schema_statement, 4, 0, 38),
  [5146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_schema_statement, 4, 0, 38),
  [5148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_statement, 9, 0, 211),
  [5150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_statement, 9, 0, 211),
  [5152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_partition_expression, 7, 0, 0),
  [5154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_partition_expression, 7, 0, 0),
  [5156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_statement, 9, 0, 212),
  [5158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_statement, 9, 0, 212),
  [5160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_statement, 9, 0, 213),
  [5162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_statement, 9, 0, 213),
  [5164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12193),
  [5166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12218),
  [5168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_statement, 9, 0, 214),
  [5170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_statement, 9, 0, 214),
  [5172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_external_table_statement, 6, 0, 114),
  [5174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_external_table_statement, 6, 0, 114),
  [5176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16277),
  [5178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_statement, 9, 0, 215),
  [5180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_statement, 9, 0, 215),
  [5182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12196),
  [5184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_schema_statement, 3, 0, 19),
  [5186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_schema_statement, 3, 0, 19),
  [5188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12197),
  [5190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 6, 0, 224),
  [5192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18967),
  [5194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 6, 0, 224),
  [5196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__bqtype, 1, 0, 0),
  [5198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__bqtype, 1, 0, 0),
  [5200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11469),
  [5202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17831),
  [5204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12285),
  [5206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 3, 0, 145),
  [5208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18945),
  [5210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 3, 0, 145),
  [5212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_set_clause_repeat1, 2, 0, 0),
  [5214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_set_clause_repeat1, 2, 0, 0),
  [5216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12284),
  [5218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_struct, 4, 0, 0),
  [5220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_struct, 4, 0, 0),
  [5222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_like_clause, 2, 0, 72),
  [5224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_like_clause, 2, 0, 72),
  [5226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_partition_expression, 1, 0, 0),
  [5228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_partition_expression, 1, 0, 0),
  [5230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_partition_clause, 2, 0, 0),
  [5232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_partition_clause, 2, 0, 0),
  [5234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12588),
  [5236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12579),
  [5238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_statement, 7, 0, 156),
  [5240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_statement, 7, 0, 156),
  [5242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 7, 0, 252),
  [5244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18971),
  [5246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 7, 0, 252),
  [5248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_item, 1, 0, 0),
  [5250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_item, 1, 0, 0),
  [5252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_statement, 10, 0, 244),
  [5254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_statement, 10, 0, 244),
  [5256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_statement, 10, 0, 243),
  [5258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_statement, 10, 0, 243),
  [5260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_external_table_statement, 4, 0, 41),
  [5262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_external_table_statement, 4, 0, 41),
  [5264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_external_table_statement, 5, 0, 75),
  [5266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_external_table_statement, 5, 0, 75),
  [5268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_partition_expression, 6, 0, 0),
  [5270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_partition_expression, 6, 0, 0),
  [5272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_statement, 10, 0, 242),
  [5274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_statement, 10, 0, 242),
  [5276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 4, 0, 179),
  [5278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18956),
  [5280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 4, 0, 179),
  [5282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 4, 0, 177),
  [5284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18954),
  [5286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 4, 0, 177),
  [5288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_statement, 11, 0, 261),
  [5290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_statement, 11, 0, 261),
  [5292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_external_table_statement, 5, 0, 78),
  [5294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_external_table_statement, 5, 0, 78),
  [5296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_statement, 10, 0, 241),
  [5298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_statement, 10, 0, 241),
  [5300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_statement, 7, 0, 157),
  [5302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_statement, 7, 0, 157),
  [5304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_statement, 10, 0, 240),
  [5306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_statement, 10, 0, 240),
  [5308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 9, 0, 76),
  [5310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 9, 0, 76),
  [5312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12757),
  [5314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18851),
  [5316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 8, 0, 39),
  [5318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 8, 0, 39),
  [5320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12608),
  [5322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 6, 0, 228),
  [5324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 6, 0, 228),
  [5326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_schema_statement, 4, 0, 43),
  [5328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_schema_statement, 4, 0, 43),
  [5330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8353),
  [5332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 5, 0, 206),
  [5334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 5, 0, 206),
  [5336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 10, 0, 116),
  [5338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 10, 0, 116),
  [5340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12544),
  [5342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_cluster_clause, 4, 0, 111),
  [5344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_cluster_clause, 4, 0, 111),
  [5346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_clone_statement, 5, 0, 39),
  [5348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_clone_statement, 5, 0, 39),
  [5350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17603),
  [5352] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_set_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1316),
  [5355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 5, 0, 204),
  [5357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 5, 0, 204),
  [5359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 7, 0, 249),
  [5361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 7, 0, 249),
  [5363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 10, 0, 115),
  [5365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 10, 0, 115),
  [5367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12571),
  [5369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 7, 0, 256),
  [5371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 7, 0, 256),
  [5373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 7, 0, 20),
  [5375] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 7, 0, 20),
  [5377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12166),
  [5379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 10, 0, 115),
  [5381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 10, 0, 115),
  [5383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12587),
  [5385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_model_statement, 6, 0, 79),
  [5387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_model_statement, 6, 0, 79),
  [5389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12300),
  [5391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 4, 0, 174),
  [5393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 4, 0, 174),
  [5395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 10, 0, 113),
  [5397] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 10, 0, 113),
  [5399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12636),
  [5401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 10, 0, 113),
  [5403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 10, 0, 113),
  [5405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12644),
  [5407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 7, 0, 20),
  [5409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 7, 0, 20),
  [5411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12169),
  [5413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 5, 0, 202),
  [5415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 5, 0, 202),
  [5417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 6, 0, 232),
  [5419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 6, 0, 232),
  [5421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 11, 0, 151),
  [5423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 11, 0, 151),
  [5425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12522),
  [5427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 6, 0, 231),
  [5429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 6, 0, 231),
  [5431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_external_table_statement, 5, 0, 41),
  [5433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_external_table_statement, 5, 0, 41),
  [5435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17423),
  [5437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 11, 0, 151),
  [5439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 11, 0, 151),
  [5441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12521),
  [5443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 5, 0, 200),
  [5445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 5, 0, 200),
  [5447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 9, 0, 274),
  [5449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 9, 0, 274),
  [5451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 6, 0, 233),
  [5453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 6, 0, 233),
  [5455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 9, 0, 275),
  [5457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 9, 0, 275),
  [5459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_model_statement, 4, 0, 21),
  [5461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_model_statement, 4, 0, 21),
  [5463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12794),
  [5465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 8, 0, 266),
  [5467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 8, 0, 266),
  [5469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 8, 0, 268),
  [5471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 8, 0, 268),
  [5473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 6, 0, 229),
  [5475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 6, 0, 229),
  [5477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 9, 0, 276),
  [5479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 9, 0, 276),
  [5481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_values_clause, 2, 0, 0),
  [5483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_values_clause, 2, 0, 0),
  [5485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16238),
  [5487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 10, 0, 281),
  [5489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 10, 0, 281),
  [5491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 6, 0, 227),
  [5493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 6, 0, 227),
  [5495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 5, 0, 198),
  [5497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 5, 0, 198),
  [5499] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_query_expr, 1, 0, 0), SHIFT(18286),
  [5502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_clone_statement, 4, 0, 20),
  [5504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_clone_statement, 4, 0, 20),
  [5506] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_query_expr, 2, 0, 0), SHIFT(18286),
  [5509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 9, 0, 77),
  [5511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 9, 0, 77),
  [5513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12753),
  [5515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 3, 0, 147),
  [5517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 3, 0, 147),
  [5519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [5521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 9, 0, 77),
  [5523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 9, 0, 77),
  [5525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12754),
  [5527] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_query_expr, 3, 0, 0), SHIFT(18286),
  [5530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18204),
  [5532] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_query_expr, 4, 0, 0), SHIFT(18286),
  [5535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 8, 0, 40),
  [5537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 8, 0, 40),
  [5539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12625),
  [5541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 9, 0, 76),
  [5543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 9, 0, 76),
  [5545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12758),
  [5547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 8, 0, 40),
  [5549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 8, 0, 40),
  [5551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12637),
  [5553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 9, 0, 74),
  [5555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 9, 0, 74),
  [5557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12769),
  [5559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 9, 0, 74),
  [5561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 9, 0, 74),
  [5563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12770),
  [5565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 5, 0, 203),
  [5567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 5, 0, 203),
  [5569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 5, 0, 201),
  [5571] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 5, 0, 201),
  [5573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 4, 0, 176),
  [5575] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 4, 0, 176),
  [5577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_values_clause, 3, 0, 0),
  [5579] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_values_clause, 3, 0, 0),
  [5581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_values_clause_repeat1, 2, 0, 0),
  [5583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_values_clause_repeat1, 2, 0, 0),
  [5585] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_values_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(16238),
  [5588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 4, 0, 178),
  [5590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 4, 0, 178),
  [5592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_external_table_statement, 7, 0, 114),
  [5594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_external_table_statement, 7, 0, 114),
  [5596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 4, 0, 181),
  [5598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 4, 0, 181),
  [5600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 0),
  [5602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 1, 0, 0),
  [5604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_clone_statement, 6, 0, 76),
  [5606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_clone_statement, 6, 0, 76),
  [5608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 8, 0, 39),
  [5610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 8, 0, 39),
  [5612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12606),
  [5614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [5616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_query_statement, 1, 0, 0),
  [5618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_query_statement, 1, 0, 0),
  [5620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_snapshot_table_statement, 5, 0, 45),
  [5622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_snapshot_table_statement, 5, 0, 45),
  [5624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 8, 0, 269),
  [5626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 8, 0, 269),
  [5628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 3, 0, 100),
  [5630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 8, 0, 270),
  [5632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 8, 0, 270),
  [5634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 7, 0, 250),
  [5636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 7, 0, 250),
  [5638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_external_table_statement, 6, 0, 78),
  [5640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_external_table_statement, 6, 0, 78),
  [5642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 7, 0, 251),
  [5644] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 7, 0, 251),
  [5646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_model_statement, 5, 0, 42),
  [5648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_model_statement, 5, 0, 42),
  [5650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12428),
  [5652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 10, 0, 116),
  [5654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 10, 0, 116),
  [5656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12543),
  [5658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 7, 0, 253),
  [5660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 7, 0, 253),
  [5662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_schema_statement, 3, 0, 22),
  [5664] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_schema_statement, 3, 0, 22),
  [5666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 7, 0, 254),
  [5668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 7, 0, 254),
  [5670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 7, 0, 255),
  [5672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 7, 0, 255),
  [5674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_external_table_statement, 6, 0, 75),
  [5676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_external_table_statement, 6, 0, 75),
  [5678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 6, 0, 225),
  [5680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 6, 0, 225),
  [5682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 6, 0, 226),
  [5684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 6, 0, 226),
  [5686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 8, 0, 265),
  [5688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 8, 0, 265),
  [5690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_snapshot_table_statement, 6, 0, 81),
  [5692] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_snapshot_table_statement, 6, 0, 81),
  [5694] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_order_by_clause_body_repeat1, 2, 0, 133), SHIFT_REPEAT(1120),
  [5697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15421),
  [5699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16535),
  [5701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [5703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_external_table_statement, 7, 0, 75),
  [5705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_external_table_statement, 7, 0, 75),
  [5707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17397),
  [5709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_partition_columns_clause, 3, 0, 6),
  [5711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_partition_columns_clause, 3, 0, 6),
  [5713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_external_table_statement, 8, 0, 114),
  [5715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_external_table_statement, 8, 0, 114),
  [5717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_snapshot_table_statement, 7, 0, 81),
  [5719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_snapshot_table_statement, 7, 0, 81),
  [5721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_remote_function_statement, 9, 0, 207),
  [5723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_remote_function_statement, 9, 0, 207),
  [5725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_schema_statement, 4, 0, 34),
  [5727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alter_schema_statement, 4, 0, 34),
  [5729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_external_table_statement, 6, 0, 41),
  [5731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_external_table_statement, 6, 0, 41),
  [5733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_primary_key_action, 3, 0, 123),
  [5735] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_primary_key_action, 3, 0, 123),
  [5737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transoform_clause, 4, 0, 0),
  [5739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transoform_clause, 4, 0, 0),
  [5741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_snapshot_table_statement, 6, 0, 45),
  [5743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_snapshot_table_statement, 6, 0, 45),
  [5745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_copy_statement, 6, 0, 76),
  [5747] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_copy_statement, 6, 0, 76),
  [5749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreign_key, 6, 0, 222),
  [5751] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreign_key, 6, 0, 222),
  [5753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_remote_function_statement, 11, 0, 257),
  [5755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_remote_function_statement, 11, 0, 257),
  [5757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18627),
  [5759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_schema_statement, 4, 0, 19),
  [5761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_schema_statement, 4, 0, 19),
  [5763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_aggregation_threshold_clause, 5, 0, 117),
  [5765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_aggregation_threshold_clause, 5, 0, 117),
  [5767] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_differential_privacy_clause, 5, 0, 118),
  [5769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_differential_privacy_clause, 5, 0, 118),
  [5771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_key, 6, 0, 221),
  [5773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_key, 6, 0, 221),
  [5775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_table_statement, 6, 0, 74),
  [5777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alter_table_statement, 6, 0, 74),
  [5779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_grant_statement, 9, 0, 158),
  [5781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_grant_statement, 9, 0, 158),
  [5783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16069),
  [5785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_aggregation_threshold_clause, 7, 0, 117),
  [5787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_aggregation_threshold_clause, 7, 0, 117),
  [5789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_differential_privacy_clause, 7, 0, 118),
  [5791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_differential_privacy_clause, 7, 0, 118),
  [5793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_into_clause, 3, 0, 0),
  [5795] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_into_clause, 3, 0, 0),
  [5797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11546),
  [5799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_option_clause, 5, 0, 0),
  [5801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_option_clause, 5, 0, 0),
  [5803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_clone_statement, 7, 0, 76),
  [5805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_clone_statement, 7, 0, 76),
  [5807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_copy_statement, 4, 0, 20),
  [5809] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_copy_statement, 4, 0, 20),
  [5811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_option_clause, 4, 0, 0),
  [5813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_option_clause, 4, 0, 0),
  [5815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_element, 3, 0, 0),
  [5817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_element, 3, 0, 0),
  [5819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_external_table_statement, 7, 0, 78),
  [5821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_external_table_statement, 7, 0, 78),
  [5823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_schema_statement, 5, 0, 66),
  [5825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alter_schema_statement, 5, 0, 66),
  [5827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_clone_statement, 6, 0, 39),
  [5829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_clone_statement, 6, 0, 39),
  [5831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_option_clause, 3, 0, 0),
  [5833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_option_clause, 3, 0, 0),
  [5835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_table_statement, 5, 0, 40),
  [5837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alter_table_statement, 5, 0, 40),
  [5839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_grant_statement, 6, 0, 0),
  [5841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_grant_statement, 6, 0, 0),
  [5843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_schema_statement, 5, 0, 38),
  [5845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_schema_statement, 5, 0, 38),
  [5847] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_order_by_clause_body_repeat1, 2, 0, 133), SHIFT_REPEAT(938),
  [5850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_revoke_statement, 6, 0, 0),
  [5852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_revoke_statement, 6, 0, 0),
  [5854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_load_data_statement, 9, 0, 121),
  [5856] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_load_data_statement, 9, 0, 121),
  [5858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_load_data_statement, 6, 0, 121),
  [5860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_load_data_statement, 6, 0, 121),
  [5862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_load_data_statement, 6, 0, 39),
  [5864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_load_data_statement, 6, 0, 39),
  [5866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_copy_statement, 5, 0, 39),
  [5868] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_copy_statement, 5, 0, 39),
  [5870] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_set_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(11407),
  [5873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_revoke_statement, 9, 0, 0),
  [5875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_revoke_statement, 9, 0, 0),
  [5877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_grant_statement, 8, 0, 158),
  [5879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_grant_statement, 8, 0, 158),
  [5881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_revoke_statement, 10, 0, 0),
  [5883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_revoke_statement, 10, 0, 0),
  [5885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_revoke_statement, 10, 0, 158),
  [5887] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_revoke_statement, 10, 0, 158),
  [5889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_aggregation_threshold_clause, 6, 0, 117),
  [5891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_aggregation_threshold_clause, 6, 0, 117),
  [5893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_differential_privacy_clause, 6, 0, 118),
  [5895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_differential_privacy_clause, 6, 0, 118),
  [5897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_grant_statement, 8, 0, 0),
  [5899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_grant_statement, 8, 0, 0),
  [5901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_grant_statement, 10, 0, 0),
  [5903] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_grant_statement, 10, 0, 0),
  [5905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_grant_statement, 10, 0, 158),
  [5907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_grant_statement, 10, 0, 158),
  [5909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_clone_statement, 5, 0, 20),
  [5911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_clone_statement, 5, 0, 20),
  [5913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_table_statement, 4, 0, 20),
  [5915] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alter_table_statement, 4, 0, 20),
  [5917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_grant_statement_repeat2, 2, 0, 0),
  [5919] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_grant_statement_repeat2, 2, 0, 0),
  [5921] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_grant_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(16069),
  [5924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_revoke_statement, 8, 0, 158),
  [5926] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_revoke_statement, 8, 0, 158),
  [5928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_revoke_statement, 9, 0, 158),
  [5930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_revoke_statement, 9, 0, 158),
  [5932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_revoke_statement, 8, 0, 0),
  [5934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_revoke_statement, 8, 0, 0),
  [5936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_update_clause, 4, 0, 272),
  [5938] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_update_clause, 4, 0, 272),
  [5940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11407),
  [5942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_load_data_statement, 8, 0, 121),
  [5944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_load_data_statement, 8, 0, 121),
  [5946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_grant_statement, 9, 0, 0),
  [5948] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_grant_statement, 9, 0, 0),
  [5950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_update_clause, 3, 0, 272),
  [5952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_update_clause, 3, 0, 272),
  [5954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_table_statement, 5, 0, 39),
  [5956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alter_table_statement, 5, 0, 39),
  [5958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_load_data_statement, 5, 0, 39),
  [5960] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_load_data_statement, 5, 0, 39),
  [5962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_load_data_statement, 8, 0, 39),
  [5964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_load_data_statement, 8, 0, 39),
  [5966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_remote_function_statement, 12, 0, 271),
  [5968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_remote_function_statement, 12, 0, 271),
  [5970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_element, 4, 0, 0),
  [5972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_element, 4, 0, 0),
  [5974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_partition_clause, 2, 0, 170),
  [5976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [5978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_remote_function_statement, 10, 0, 234),
  [5980] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_remote_function_statement, 10, 0, 234),
  [5982] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declare_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(11546),
  [5985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_grant_statement, 7, 0, 158),
  [5987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_grant_statement, 7, 0, 158),
  [5989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_grant_statement, 7, 0, 0),
  [5991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_grant_statement, 7, 0, 0),
  [5993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_load_data_statement, 7, 0, 39),
  [5995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_load_data_statement, 7, 0, 39),
  [5997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_load_data_statement, 7, 0, 121),
  [5999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_load_data_statement, 7, 0, 121),
  [6001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_revoke_statement, 7, 0, 158),
  [6003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_revoke_statement, 7, 0, 158),
  [6005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_revoke_statement, 7, 0, 0),
  [6007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_revoke_statement, 7, 0, 0),
  [6009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_into_clause, 2, 0, 0),
  [6011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_into_clause, 2, 0, 0),
  [6013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11585),
  [6015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_foreign_key_action, 5, 0, 193),
  [6017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_add_foreign_key_action, 5, 0, 193),
  [6019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_copy_clause, 2, 0, 72),
  [6021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_copy_clause, 2, 0, 72),
  [6023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_clause, 2, 0, 67),
  [6025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_clause, 2, 0, 67),
  [6027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [6029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rename_column_action, 5, 0, 192),
  [6031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rename_column_action, 5, 0, 192),
  [6033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__keyword_when, 1, 0, 12),
  [6035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__keyword_when, 1, 0, 12),
  [6037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_default, 2, 0, 191),
  [6039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_default, 2, 0, 191),
  [6041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_option, 2, 0, 0),
  [6043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_option, 2, 0, 0),
  [6045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12537),
  [6047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column_action, 5, 0, 190),
  [6049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alter_column_action, 5, 0, 190),
  [6051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12858),
  [6053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12378),
  [6055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16449),
  [6057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12236),
  [6059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16073),
  [6061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 8, 0, 20),
  [6063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 8, 0, 20),
  [6065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12612),
  [6067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12237),
  [6069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 8, 0, 20),
  [6071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 8, 0, 20),
  [6073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12614),
  [6075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12216),
  [6077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_delete_clause, 1, 0, 0),
  [6079] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_delete_clause, 1, 0, 0),
  [6081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12186),
  [6083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_matched_clause, 4, 0, 0),
  [6085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_matched_clause, 4, 0, 0),
  [6087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16129),
  [6089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18849),
  [6091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18848),
  [6093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12387),
  [6095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_privilege_user, 5, 0, 0),
  [6097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_privilege_user, 5, 0, 0),
  [6099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_using_clause_repeat1, 2, 0, 0),
  [6101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_using_clause_repeat1, 2, 0, 0),
  [6103] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_using_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(661),
  [6106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_load_data_statement, 10, 0, 121),
  [6108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_load_data_statement, 10, 0, 121),
  [6110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_data_type, 4, 0, 246),
  [6112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_data_type, 4, 0, 246),
  [6114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_using_clause_repeat1, 2, 0, 67),
  [6116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_using_clause_repeat1, 2, 0, 67),
  [6118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12248),
  [6120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__keyword_or, 1, 0, 15),
  [6122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__keyword_or, 1, 0, 15),
  [6124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_matched_clause, 6, 0, 273),
  [6126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_matched_clause, 6, 0, 273),
  [6128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 12, 0, 151),
  [6130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 12, 0, 151),
  [6132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12504),
  [6134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 12, 0, 151),
  [6136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 12, 0, 151),
  [6138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12505),
  [6140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12254),
  [6142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 11, 0, 116),
  [6144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 11, 0, 116),
  [6146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12517),
  [6148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 11, 0, 116),
  [6150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 11, 0, 116),
  [6152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12518),
  [6154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 11, 0, 115),
  [6156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 11, 0, 115),
  [6158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12527),
  [6160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 11, 0, 115),
  [6162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 11, 0, 115),
  [6164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12530),
  [6166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 11, 0, 113),
  [6168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 11, 0, 113),
  [6170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12531),
  [6172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_connection_clause, 3, 0, 84),
  [6174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_connection_clause, 3, 0, 84),
  [6176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 11, 0, 113),
  [6178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 11, 0, 113),
  [6180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12532),
  [6182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_insert_clause, 2, 0, 0),
  [6184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_insert_clause, 2, 0, 0),
  [6186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alter_column_actions_list_repeat1, 2, 0, 0),
  [6188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_alter_column_actions_list_repeat1, 2, 0, 0),
  [6190] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_column_actions_list_repeat1, 2, 0, 0), SHIFT_REPEAT(11729),
  [6193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column_action, 4, 0, 161),
  [6195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alter_column_action, 4, 0, 161),
  [6197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_column_action, 4, 0, 162),
  [6199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_column_action, 4, 0, 162),
  [6201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_primary_key_action, 4, 0, 123),
  [6203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_primary_key_action, 4, 0, 123),
  [6205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_constraint_action, 4, 0, 163),
  [6207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_constraint_action, 4, 0, 163),
  [6209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_foreign_key_action, 4, 0, 164),
  [6211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_add_foreign_key_action, 4, 0, 164),
  [6213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 10, 0, 77),
  [6215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 10, 0, 77),
  [6217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12597),
  [6219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 10, 0, 77),
  [6221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 10, 0, 77),
  [6223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12601),
  [6225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12282),
  [6227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12283),
  [6229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 3, 0, 17),
  [6231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 3, 0, 17),
  [6233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [6235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 10, 0, 76),
  [6237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 10, 0, 76),
  [6239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12569),
  [6241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 10, 0, 76),
  [6243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 10, 0, 76),
  [6245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12685),
  [6247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 10, 0, 74),
  [6249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 10, 0, 74),
  [6251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12717),
  [6253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 10, 0, 74),
  [6255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 10, 0, 74),
  [6257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12724),
  [6259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12290),
  [6261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12286),
  [6263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_model_statement, 6, 0, 42),
  [6265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_model_statement, 6, 0, 42),
  [6267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12376),
  [6269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_column_action, 4, 0, 126),
  [6271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_add_column_action, 4, 0, 126),
  [6273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_column_action, 3, 0, 122),
  [6275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_column_action, 3, 0, 122),
  [6277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column_actions_list, 1, 0, 0),
  [6279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alter_column_actions_list, 1, 0, 0),
  [6281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11729),
  [6283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_insert_clause, 3, 0, 0),
  [6285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_insert_clause, 3, 0, 0),
  [6287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_not_matched_by_target_clause, 7, 0, 278),
  [6289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_not_matched_by_target_clause, 7, 0, 278),
  [6291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_not_matched_by_source_clause, 7, 0, 279),
  [6293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_not_matched_by_source_clause, 7, 0, 279),
  [6295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_not_matched_by_target_clause, 7, 0, 280),
  [6297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_not_matched_by_target_clause, 7, 0, 280),
  [6299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_model_statement, 7, 0, 79),
  [6301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_model_statement, 7, 0, 79),
  [6303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12266),
  [6305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_not_matched_by_target_clause, 9, 0, 287),
  [6307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_not_matched_by_target_clause, 9, 0, 287),
  [6309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_not_matched_by_source_clause, 9, 0, 288),
  [6311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_not_matched_by_source_clause, 9, 0, 288),
  [6313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_primary_key_action, 2, 0, 0),
  [6315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_add_primary_key_action, 2, 0, 0),
  [6317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_foreign_key_action, 2, 0, 0),
  [6319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_add_foreign_key_action, 2, 0, 0),
  [6321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 4, 0, 35),
  [6323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 4, 0, 35),
  [6325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_load_data_statement, 9, 0, 39),
  [6327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_load_data_statement, 9, 0, 39),
  [6329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12235),
  [6331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_notnull, 3, 0, 218),
  [6333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_notnull, 3, 0, 218),
  [6335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rename_column_action, 6, 0, 219),
  [6337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rename_column_action, 6, 0, 219),
  [6339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_execute_immadiate_statement, 4, 0, 0),
  [6341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_execute_immadiate_statement, 4, 0, 0),
  [6343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_column_action, 3, 0, 126),
  [6345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_add_column_action, 3, 0, 126),
  [6347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__keyword_partition_by, 2, 0, 73),
  [6349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__keyword_partition_by, 2, 0, 73),
  [6351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_window_partition_clause_repeat1, 2, 0, 170),
  [6353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 9, 0, 40),
  [6355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 9, 0, 40),
  [6357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12759),
  [6359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 9, 0, 40),
  [6361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 9, 0, 40),
  [6363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12763),
  [6365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 9, 0, 39),
  [6367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 9, 0, 39),
  [6369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12771),
  [6371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 9, 0, 39),
  [6373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 9, 0, 39),
  [6375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12772),
  [6377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_values_clause, 1, 0, 0),
  [6379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_values_clause, 1, 0, 0),
  [6381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_constraint_action, 3, 0, 124),
  [6383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_constraint_action, 3, 0, 124),
  [6385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__keyword_system_as_of, 4, 0, 182),
  [6387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__keyword_system_as_of, 4, 0, 182),
  [6389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12174),
  [6391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12198),
  [6393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_partition_columns_clause, 4, 0, 183),
  [6395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_partition_columns_clause, 4, 0, 183),
  [6397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12178),
  [6399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12179),
  [6401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_model_statement, 5, 0, 21),
  [6403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_model_statement, 5, 0, 21),
  [6405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12466),
  [6407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_clone_clause, 2, 0, 72),
  [6409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_clone_clause, 2, 0, 72),
  [6411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column_actions_list, 2, 0, 0),
  [6413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alter_column_actions_list, 2, 0, 0),
  [6415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12479),
  [6417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_not_matched_by_target_clause, 5, 0, 263),
  [6419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_not_matched_by_target_clause, 5, 0, 263),
  [6421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_clause, 3, 0, 67),
  [6423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_clause, 3, 0, 67),
  [6425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__keyword_not, 1, 0, 3),
  [6427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__keyword_not, 1, 0, 3),
  [6429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12478),
  [6431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12187),
  [6433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12188),
  [6435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_schema_statement, 6, 0, 66),
  [6437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alter_schema_statement, 6, 0, 66),
  [6439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function_statement, 8, 0, 150),
  [6441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_function_statement, 8, 0, 150),
  [6443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function_statement, 6, 0, 23),
  [6445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_function_statement, 6, 0, 23),
  [6447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7541),
  [6449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_leave_statement, 1, 0, 0),
  [6451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_leave_statement, 1, 0, 0),
  [6453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 1, 0, 0),
  [6455] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 1, 0, 0),
  [6457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 1, 0, 0),
  [6459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 1, 0, 0),
  [6461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 10, 0, 39),
  [6463] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 10, 0, 39),
  [6465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_model_statement, 3, 0, 21),
  [6467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_model_statement, 3, 0, 21),
  [6469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iterate_statement, 1, 0, 0),
  [6471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iterate_statement, 1, 0, 0),
  [6473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement, 1, 0, 0),
  [6475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement, 1, 0, 0),
  [6477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8364),
  [6479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_procedure_statement, 3, 0, 23),
  [6481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_procedure_statement, 3, 0, 23),
  [6483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 10, 0, 39),
  [6485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 10, 0, 39),
  [6487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 1, 0, 0),
  [6489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_raise_statement, 1, 0, 0),
  [6491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18870),
  [6493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_function_statement, 10, 0, 173),
  [6495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_function_statement, 10, 0, 173),
  [6497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert_statement, 3, 0, 24),
  [6499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_insert_statement, 3, 0, 24),
  [6501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_load_data_statement, 11, 0, 121),
  [6503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_load_data_statement, 11, 0, 121),
  [6505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_clone_statement, 6, 0, 20),
  [6507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_clone_statement, 6, 0, 20),
  [6509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_statement, 10, 0, 0),
  [6511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_statement, 10, 0, 0),
  [6513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_procedure_statement, 6, 0, 47),
  [6515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_procedure_statement, 6, 0, 47),
  [6517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function_statement, 11, 0, 209),
  [6519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_function_statement, 11, 0, 209),
  [6521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_function_statement, 8, 0, 184),
  [6523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_function_statement, 8, 0, 184),
  [6525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_copy_statement, 6, 0, 39),
  [6527] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_copy_statement, 6, 0, 39),
  [6529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 4, 0, 17),
  [6531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 4, 0, 17),
  [6533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_satement, 1, 0, 0),
  [6535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_satement, 1, 0, 0),
  [6537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_truncate_statement, 3, 0, 25),
  [6539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_truncate_statement, 3, 0, 25),
  [6541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_schema_statement, 6, 0, 38),
  [6543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_schema_statement, 6, 0, 38),
  [6545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 6, 0, 108),
  [6547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 6, 0, 108),
  [6549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_statement, 6, 0, 107),
  [6551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_statement, 6, 0, 107),
  [6553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 103),
  [6555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 103),
  [6557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_clone_statement, 8, 0, 76),
  [6559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_clone_statement, 8, 0, 76),
  [6561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_external_table_statement, 8, 0, 78),
  [6563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_external_table_statement, 8, 0, 78),
  [6565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_statement, 3, 0, 24),
  [6567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_statement, 3, 0, 24),
  [6569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_procedure_statement, 8, 0, 150),
  [6571] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_procedure_statement, 8, 0, 150),
  [6573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_model_statement, 8, 0, 79),
  [6575] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_model_statement, 8, 0, 79),
  [6577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_model_statement, 8, 0, 42),
  [6579] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_model_statement, 8, 0, 42),
  [6581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function_statement, 8, 0, 23),
  [6583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_function_statement, 8, 0, 23),
  [6585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_body_sql, 3, 0, 0),
  [6587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_body_sql, 3, 0, 0),
  [6589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function_statement, 8, 0, 47),
  [6591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_function_statement, 8, 0, 47),
  [6593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_external_table_statement, 8, 0, 75),
  [6595] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_external_table_statement, 8, 0, 75),
  [6597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_snapshot_table_statement, 8, 0, 81),
  [6599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_snapshot_table_statement, 8, 0, 81),
  [6601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_function_statement, 11, 0, 208),
  [6603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_function_statement, 11, 0, 208),
  [6605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [6607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12067),
  [6609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [6611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [6613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [6615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1857),
  [6617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [6619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11599),
  [6621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [6623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1864),
  [6625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [6627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1866),
  [6629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [6631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [6633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [6635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1880),
  [6637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_statement, 4, 0, 36),
  [6639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_statement, 4, 0, 36),
  [6641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_body, 2, 0, 5),
  [6643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_body, 2, 0, 5),
  [6645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_procedure_statement, 6, 0, 23),
  [6647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_procedure_statement, 6, 0, 23),
  [6649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function_statement, 11, 0, 150),
  [6651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_function_statement, 11, 0, 150),
  [6653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_statement, 5, 0, 20),
  [6655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_statement, 5, 0, 20),
  [6657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 11, 0, 40),
  [6659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 11, 0, 40),
  [6661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_repeat_statement, 6, 0, 127),
  [6663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_repeat_statement, 6, 0, 127),
  [6665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 11, 0, 77),
  [6667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 11, 0, 77),
  [6669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_model_statement, 6, 0, 21),
  [6671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_model_statement, 6, 0, 21),
  [6673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_table_rename_statement, 6, 0, 125),
  [6675] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alter_table_rename_statement, 6, 0, 125),
  [6677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 11, 0, 77),
  [6679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 11, 0, 77),
  [6681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_function_statement, 8, 0, 143),
  [6683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_function_statement, 8, 0, 143),
  [6685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_function_statement, 8, 0, 173),
  [6687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_function_statement, 8, 0, 173),
  [6689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_statement, 8, 0, 0),
  [6691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_statement, 8, 0, 0),
  [6693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_begin_exception_end_statement, 8, 0, 172),
  [6695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_begin_exception_end_statement, 8, 0, 172),
  [6697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 8, 0, 171),
  [6699] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 8, 0, 171),
  [6701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loop_statement, 4, 0, 37),
  [6703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_loop_statement, 4, 0, 37),
  [6705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from_files_clause, 5, 0, 216),
  [6707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_from_files_clause, 5, 0, 216),
  [6709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 14, 0, 151),
  [6711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 14, 0, 151),
  [6713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 14, 0, 151),
  [6715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 14, 0, 151),
  [6717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_remote_function_statement, 13, 0, 271),
  [6719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_remote_function_statement, 13, 0, 271),
  [6721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 13, 0, 116),
  [6723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 13, 0, 116),
  [6725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 13, 0, 116),
  [6727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 13, 0, 116),
  [6729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 11, 0, 76),
  [6731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 11, 0, 76),
  [6733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_remote_function_statement, 11, 0, 234),
  [6735] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_remote_function_statement, 11, 0, 234),
  [6737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_function_statement, 3, 0, 23),
  [6739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_function_statement, 3, 0, 23),
  [6741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_table_statement, 5, 0, 20),
  [6743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alter_table_statement, 5, 0, 20),
  [6745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 11, 0, 40),
  [6747] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 11, 0, 40),
  [6749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_statement, 4, 0, 0),
  [6751] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assert_statement, 4, 0, 0),
  [6753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_begin_end_statement, 2, 0, 5),
  [6755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_begin_end_statement, 2, 0, 5),
  [6757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 11, 0, 74),
  [6759] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 11, 0, 74),
  [6761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 13, 0, 151),
  [6763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 13, 0, 151),
  [6765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 12, 0, 113),
  [6767] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 12, 0, 113),
  [6769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 13, 0, 151),
  [6771] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 13, 0, 151),
  [6773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 13, 0, 115),
  [6775] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 13, 0, 115),
  [6777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 11, 0, 74),
  [6779] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 11, 0, 74),
  [6781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 13, 0, 115),
  [6783] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 13, 0, 115),
  [6785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 13, 0, 113),
  [6787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 13, 0, 113),
  [6789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_table_statement, 3, 0, 20),
  [6791] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_table_statement, 3, 0, 20),
  [6793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 13, 0, 113),
  [6795] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 13, 0, 113),
  [6797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function_statement, 9, 0, 209),
  [6799] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_function_statement, 9, 0, 209),
  [6801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 12, 0, 74),
  [6803] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 12, 0, 74),
  [6805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 11, 0, 39),
  [6807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 11, 0, 39),
  [6809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 11, 0, 39),
  [6811] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 11, 0, 39),
  [6813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_model_statement, 9, 0, 79),
  [6815] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_model_statement, 9, 0, 79),
  [6817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_external_table_statement, 9, 0, 114),
  [6819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_external_table_statement, 9, 0, 114),
  [6821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 9, 0, 220),
  [6823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 9, 0, 220),
  [6825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_table_statement, 7, 0, 74),
  [6827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alter_table_statement, 7, 0, 74),
  [6829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_function_statement, 9, 0, 208),
  [6831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_function_statement, 9, 0, 208),
  [6833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_table_statement, 6, 0, 40),
  [6835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alter_table_statement, 6, 0, 40),
  [6837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_table_rename_statement, 7, 0, 160),
  [6839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alter_table_rename_statement, 7, 0, 160),
  [6841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 12, 0, 74),
  [6843] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 12, 0, 74),
  [6845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function_statement, 9, 0, 150),
  [6847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_function_statement, 9, 0, 150),
  [6849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 12, 0, 76),
  [6851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 12, 0, 76),
  [6853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_data_statement, 5, 0, 85),
  [6855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_data_statement, 5, 0, 85),
  [6857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function_statement, 12, 0, 209),
  [6859] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_function_statement, 12, 0, 209),
  [6861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 12, 0, 116),
  [6863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 12, 0, 116),
  [6865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 12, 0, 116),
  [6867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 12, 0, 116),
  [6869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 12, 0, 76),
  [6871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 12, 0, 76),
  [6873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_copy_statement, 7, 0, 76),
  [6875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_copy_statement, 7, 0, 76),
  [6877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 12, 0, 115),
  [6879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 12, 0, 115),
  [6881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_begin_end_statement, 3, 0, 16),
  [6883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_begin_end_statement, 3, 0, 16),
  [6885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 137),
  [6887] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, 0, 137),
  [6889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 139),
  [6891] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, 0, 139),
  [6893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 12, 0, 113),
  [6895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 12, 0, 113),
  [6897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_statement, 6, 0, 24),
  [6899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_statement, 6, 0, 24),
  [6901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_begin_exception_end_statement, 7, 0, 142),
  [6903] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_begin_exception_end_statement, 7, 0, 142),
  [6905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_statement, 5, 0, 24),
  [6907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_statement, 5, 0, 24),
  [6909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_procedure_statement, 7, 0, 150),
  [6911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_procedure_statement, 7, 0, 150),
  [6913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 11, 0, 76),
  [6915] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 11, 0, 76),
  [6917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert_statement, 5, 0, 20),
  [6919] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_insert_statement, 5, 0, 20),
  [6921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 10, 0, 247),
  [6923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 10, 0, 247),
  [6925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_function_statement, 7, 0, 143),
  [6927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_function_statement, 7, 0, 143),
  [6929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_remote_function_statement, 12, 0, 257),
  [6931] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_remote_function_statement, 12, 0, 257),
  [6933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_load_data_statement, 10, 0, 39),
  [6935] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_load_data_statement, 10, 0, 39),
  [6937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 12, 0, 77),
  [6939] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 12, 0, 77),
  [6941] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_merge_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(16073),
  [6944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_data_statement, 6, 0, 85),
  [6946] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_data_statement, 6, 0, 85),
  [6948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_function_body, 1, 0, 0),
  [6950] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_function_body, 1, 0, 0),
  [6952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_model_statement, 7, 0, 21),
  [6954] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_model_statement, 7, 0, 21),
  [6956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_model_statement, 7, 0, 42),
  [6958] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_model_statement, 7, 0, 42),
  [6960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_body, 3, 0, 16),
  [6962] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_body, 3, 0, 16),
  [6964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_procedure_statement, 7, 0, 47),
  [6966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_procedure_statement, 7, 0, 47),
  [6968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from_files_clause, 6, 0, 245),
  [6970] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_from_files_clause, 6, 0, 245),
  [6972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_body_js, 1, 0, 0),
  [6974] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_body_js, 1, 0, 0),
  [6976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_function_statement, 9, 0, 184),
  [6978] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_function_statement, 9, 0, 184),
  [6980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function_statement, 7, 0, 23),
  [6982] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_function_statement, 7, 0, 23),
  [6984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function_statement, 9, 0, 23),
  [6986] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_function_statement, 9, 0, 23),
  [6988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function_statement, 7, 0, 47),
  [6990] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_function_statement, 7, 0, 47),
  [6992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_external_table_statement, 7, 0, 41),
  [6994] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_external_table_statement, 7, 0, 41),
  [6996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_statement, 4, 0, 24),
  [6998] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_statement, 4, 0, 24),
  [7000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_statement, 4, 0, 20),
  [7002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_statement, 4, 0, 20),
  [7004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_table_statement, 6, 0, 39),
  [7006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alter_table_statement, 6, 0, 39),
  [7008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_table_column_statement, 4, 0, 52),
  [7010] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alter_table_column_statement, 4, 0, 52),
  [7012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 12, 0, 77),
  [7014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 12, 0, 77),
  [7016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_snapshot_table_statement, 7, 0, 45),
  [7018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_snapshot_table_statement, 7, 0, 45),
  [7020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 12, 0, 115),
  [7022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 12, 0, 115),
  [7024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function_statement, 9, 0, 47),
  [7026] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_function_statement, 9, 0, 47),
  [7028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 9, 0, 197),
  [7030] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 9, 0, 197),
  [7032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_statement, 4, 0, 24),
  [7034] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_statement, 4, 0, 24),
  [7036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_statement, 9, 0, 0),
  [7038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_statement, 9, 0, 0),
  [7040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_function_statement, 9, 0, 173),
  [7042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_function_statement, 9, 0, 173),
  [7044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert_statement, 4, 0, 24),
  [7046] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_insert_statement, 4, 0, 24),
  [7048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert_statement, 4, 0, 20),
  [7050] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_insert_statement, 4, 0, 20),
  [7052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_clone_statement, 7, 0, 39),
  [7054] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_clone_statement, 7, 0, 39),
  [7056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_function_statement, 9, 0, 143),
  [7058] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_function_statement, 9, 0, 143),
  [7060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_table_statement, 5, 0, 82),
  [7062] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_table_statement, 5, 0, 82),
  [7064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_table_statement, 5, 0, 75),
  [7066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_table_statement, 5, 0, 75),
  [7068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_schema_statement, 5, 0, 34),
  [7070] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alter_schema_statement, 5, 0, 34),
  [7072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_table_statement, 5, 0, 81),
  [7074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_table_statement, 5, 0, 81),
  [7076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function_statement, 10, 0, 209),
  [7078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_function_statement, 10, 0, 209),
  [7080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 9, 0, 20),
  [7082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 9, 0, 20),
  [7084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_table_statement, 5, 0, 74),
  [7086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_table_statement, 5, 0, 74),
  [7088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_table_function_statement, 5, 0, 80),
  [7090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_table_function_statement, 5, 0, 80),
  [7092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_schema_statement, 5, 0, 43),
  [7094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_schema_statement, 5, 0, 43),
  [7096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 10, 0, 20),
  [7098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 10, 0, 20),
  [7100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 10, 0, 20),
  [7102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 10, 0, 20),
  [7104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_schema_statement, 5, 0, 19),
  [7106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_schema_statement, 5, 0, 19),
  [7108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 9, 0, 20),
  [7110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 9, 0, 20),
  [7112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 10, 0, 40),
  [7114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 10, 0, 40),
  [7116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 10, 0, 40),
  [7118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 10, 0, 40),
  [7120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, 0, 69),
  [7122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, 0, 69),
  [7124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function_statement, 10, 0, 47),
  [7126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_function_statement, 10, 0, 47),
  [7128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_remote_function_statement, 10, 0, 207),
  [7130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_remote_function_statement, 10, 0, 207),
  [7132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_model_statement, 4, 0, 42),
  [7134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_model_statement, 4, 0, 42),
  [7136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_procedure_statement, 4, 0, 47),
  [7138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_procedure_statement, 4, 0, 47),
  [7140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_function_statement, 4, 0, 47),
  [7142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_function_statement, 4, 0, 47),
  [7144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_table_statement, 4, 0, 46),
  [7146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_table_statement, 4, 0, 46),
  [7148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_statement, 5, 0, 68),
  [7150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_statement, 5, 0, 68),
  [7152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_table_statement, 4, 0, 41),
  [7154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_table_statement, 4, 0, 41),
  [7156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_execute_immadiate_statement, 5, 0, 0),
  [7158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_execute_immadiate_statement, 5, 0, 0),
  [7160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_table_statement, 4, 0, 45),
  [7162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_table_statement, 4, 0, 45),
  [7164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_table_statement, 4, 0, 40),
  [7166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_table_statement, 4, 0, 40),
  [7168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_procedure_statement, 5, 0, 23),
  [7170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_procedure_statement, 5, 0, 23),
  [7172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_table_statement, 4, 0, 39),
  [7174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_table_statement, 4, 0, 39),
  [7176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function_statement, 10, 0, 150),
  [7178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_function_statement, 10, 0, 150),
  [7180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_function_statement, 10, 0, 208),
  [7182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_function_statement, 10, 0, 208),
  [7184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_function_statement, 10, 0, 184),
  [7186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_function_statement, 10, 0, 184),
  [7188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_copy_statement, 5, 0, 20),
  [7190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_copy_statement, 5, 0, 20),
  [7192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_table_function_statement, 4, 0, 44),
  [7194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_table_function_statement, 4, 0, 44),
  [7196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_schema_statement, 4, 0, 22),
  [7198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_schema_statement, 4, 0, 22),
  [7200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 64),
  [7202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 64),
  [7204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_schema_option, 1, 0, 0),
  [7206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_schema_option, 1, 0, 0),
  [7208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 5, 0, 35),
  [7210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 5, 0, 35),
  [7212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11350),
  [7214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [7216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14853),
  [7218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement, 2, 0, 0),
  [7220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement, 2, 0, 0),
  [7222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18834),
  [7224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2692),
  [7226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [7228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2694),
  [7230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5108),
  [7232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9902),
  [7234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9901),
  [7236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10860),
  [7238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3220),
  [7240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4822),
  [7242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4825),
  [7244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6392),
  [7246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6394),
  [7248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10824),
  [7250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7934),
  [7252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [7254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [7256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4715),
  [7258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10308),
  [7260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6798),
  [7262] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_set_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1458),
  [7265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3195),
  [7267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7542),
  [7269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4550),
  [7271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14735),
  [7273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7234),
  [7275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11137),
  [7277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11317),
  [7279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3553),
  [7281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10351),
  [7283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [7285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4454),
  [7287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5638),
  [7289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6165),
  [7291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7815),
  [7293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3395),
  [7295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11334),
  [7297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12607),
  [7299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5734),
  [7301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12609),
  [7303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10410),
  [7305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10189),
  [7307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [7309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12418),
  [7311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12382),
  [7313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12856),
  [7315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12338),
  [7317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12337),
  [7319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12328),
  [7321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12324),
  [7323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12241),
  [7325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12261),
  [7327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12259),
  [7329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12247),
  [7331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12246),
  [7333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12242),
  [7335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7257),
  [7337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18185),
  [7339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12262),
  [7341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16716),
  [7343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11341),
  [7345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12175),
  [7347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12168),
  [7349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12167),
  [7351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8279),
  [7353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12176),
  [7355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [7357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [7359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_having_min_clause, 3, 0, 95),
  [7361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_having_max_clause, 3, 0, 95),
  [7363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_casewhen_clause, 4, 0, 94),
  [7365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12225),
  [7367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18038),
  [7369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12226),
  [7371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4388),
  [7373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3673),
  [7375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15105),
  [7377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8115),
  [7379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7460),
  [7381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14853),
  [7383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12468),
  [7385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11312),
  [7387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11313),
  [7389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11342),
  [7391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [7393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12094),
  [7395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [7397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [7399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12744),
  [7401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1098),
  [7403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [7405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1099),
  [7407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [7409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1100),
  [7411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [7413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [7415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [7417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1108),
  [7419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12358),
  [7421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12693),
  [7423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12721),
  [7425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12729),
  [7427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12734),
  [7429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11318),
  [7431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12767),
  [7433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12797),
  [7435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12813),
  [7437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12825),
  [7439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11534),
  [7441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12839),
  [7443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12371),
  [7445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [7447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12234),
  [7449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12161),
  [7451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_call_repeat1, 2, 0, 0),
  [7453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statement_list, 1, 0, 0),
  [7455] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statement_list, 1, 0, 0),
  [7457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12252),
  [7459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12362),
  [7461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [7463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [7465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_option_item, 3, 0, 159),
  [7467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12276),
  [7469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17584),
  [7471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19176),
  [7473] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_set_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(11428),
  [7476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15550),
  [7478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [7480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14457),
  [7482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11428),
  [7484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [7486] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declare_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(11534),
  [7489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12741),
  [7491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [7493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4546),
  [7495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7589),
  [7497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2796),
  [7499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2520),
  [7501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3545),
  [7503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4590),
  [7505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11146),
  [7507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10312),
  [7509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [7511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [7513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1439),
  [7515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12084),
  [7517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1048),
  [7519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1040),
  [7521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [7523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [7525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1047),
  [7527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [7529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1046),
  [7531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [7533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [7535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [7537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1042),
  [7539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1943),
  [7541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6895),
  [7543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2455),
  [7545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [7547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [7549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10360),
  [7551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5581),
  [7553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2278),
  [7555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2228),
  [7557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14147),
  [7559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9788),
  [7561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3179),
  [7563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6887),
  [7565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7923),
  [7567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7221),
  [7569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6328),
  [7571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16306),
  [7573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5308),
  [7575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6294),
  [7577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5642),
  [7579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4444),
  [7581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2966),
  [7583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6405),
  [7585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6484),
  [7587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7442),
  [7589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [7591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7108),
  [7593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7797),
  [7595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4492),
  [7597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6318),
  [7599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4220),
  [7601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12692),
  [7603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12654),
  [7605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4831),
  [7607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4859),
  [7609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5144),
  [7611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11768),
  [7613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6021),
  [7615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3408),
  [7617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7353),
  [7619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3386),
  [7621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16203),
  [7623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4246),
  [7625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5962),
  [7627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3379),
  [7629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8427),
  [7631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12655),
  [7633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10771),
  [7635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12635),
  [7637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2807),
  [7639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7136),
  [7641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [7643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [7645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10856),
  [7647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10844),
  [7649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2483),
  [7651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10172),
  [7653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6730),
  [7655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12604),
  [7657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10397),
  [7659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12600),
  [7661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12586),
  [7663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3385),
  [7665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12610),
  [7667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9716),
  [7669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9755),
  [7671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17513),
  [7673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [7675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3378),
  [7677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9897),
  [7679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9942),
  [7681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12335),
  [7683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12334),
  [7685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12318),
  [7687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13550),
  [7689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12317),
  [7691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12316),
  [7693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12315),
  [7695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2523),
  [7697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18892),
  [7699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7426),
  [7701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3216),
  [7703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17496),
  [7705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4200),
  [7707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2701),
  [7709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2731),
  [7711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_caseelse_clause, 2, 0, 60),
  [7713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12245),
  [7715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12244),
  [7717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12217),
  [7719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [7721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18417),
  [7723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12291),
  [7725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12219),
  [7727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7065),
  [7729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12172),
  [7731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12173),
  [7733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4305),
  [7735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [7737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [7739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [7741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1618),
  [7743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [7745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16146),
  [7747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [7749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12200),
  [7751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [7753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8082),
  [7755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16144),
  [7757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15078),
  [7759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [7761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [7763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3651),
  [7765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7072),
  [7767] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_column_actions_list_repeat1, 2, 0, 0), SHIFT_REPEAT(11768),
  [7770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13784),
  [7772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13798),
  [7774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4375),
  [7776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2968),
  [7778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4383),
  [7780] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_using_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(669),
  [7783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17256),
  [7785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12549),
  [7787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [7789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [7791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [7793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [7795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [7797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [7799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [7801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [7803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [7805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [7807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [7809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [7811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [7813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [7815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [7817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [7819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [7821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [7823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [7825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [7827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [7829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [7831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [7833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [7835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [7837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [7839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [7841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [7843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [7845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [7847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [7849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [7851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [7853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [7855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [7857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [7859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [7861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [7863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [7865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [7867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [7869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [7871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [7873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [7875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [7877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [7879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [7881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [7883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [7885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [7887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [7889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [7891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [7893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [7895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [7897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [7899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [7901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16113),
  [7903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10280),
  [7905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [7907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [7909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [7911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [7913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19013),
  [7915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [7917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [7919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [7921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [7923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [7925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [7927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [7929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [7931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [7933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [7935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [7937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [7939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [7941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [7943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [7945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [7947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11518),
  [7949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5101),
  [7951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11337),
  [7953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11338),
  [7955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18878),
  [7957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18016),
  [7959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [7961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14515),
  [7963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [7965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4262),
  [7967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16290),
  [7969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4726),
  [7971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10215),
  [7973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19294),
  [7975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4262),
  [7977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10725),
  [7979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16320),
  [7981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10904),
  [7983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10341),
  [7985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19298),
  [7987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10725),
  [7989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5099),
  [7991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16307),
  [7993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10345),
  [7995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19290),
  [7997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5099),
  [7999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10343),
  [8001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18908),
  [8003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19258),
  [8005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [8007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11779),
  [8009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10328),
  [8011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6274),
  [8013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6979),
  [8015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4476),
  [8017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10383),
  [8019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7883),
  [8021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6554),
  [8023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3650),
  [8025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [8027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2674),
  [8029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5818),
  [8031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4731),
  [8033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11124),
  [8035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5168),
  [8037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10846),
  [8039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3403),
  [8041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3127),
  [8043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4865),
  [8045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [8047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16229),
  [8049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7240),
  [8051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17606),
  [8053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11494),
  [8055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9944),
  [8057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17831),
  [8059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11165),
  [8061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19337),
  [8063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15835),
  [8065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18244),
  [8067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11164),
  [8069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [8071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15614),
  [8073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12796),
  [8075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6750),
  [8077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17612),
  [8079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17611),
  [8081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11492),
  [8083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11331),
  [8085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_frame_clause, 1, 0, 0),
  [8087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17002),
  [8089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17001),
  [8091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16041),
  [8093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12968),
  [8095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16211),
  [8097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [8099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13120),
  [8101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13118),
  [8103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18281),
  [8105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11394),
  [8107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11597),
  [8109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pivot_value, 1, 0, 0),
  [8111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pivot_value, 1, 0, 0),
  [8113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11180),
  [8115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11452),
  [8117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [8119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [8121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18222),
  [8123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [8125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1103),
  [8127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(872),
  [8129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11503),
  [8131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16260),
  [8133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11507),
  [8135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [8137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11395),
  [8139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(945),
  [8141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1237),
  [8143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1240),
  [8145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [8147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11390),
  [8149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [8151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1169),
  [8153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [8155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1017),
  [8157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11372),
  [8159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1230),
  [8161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1174),
  [8163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11437),
  [8165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1210),
  [8167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1197),
  [8169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1195),
  [8171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1608),
  [8173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1611),
  [8175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1160),
  [8177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1809),
  [8179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1122),
  [8181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1182),
  [8183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1019),
  [8185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1125),
  [8187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1216),
  [8189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1211),
  [8191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1801),
  [8193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1625),
  [8195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1614),
  [8197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1619),
  [8199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11203),
  [8201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18764),
  [8203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11358),
  [8205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11215),
  [8207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11197),
  [8209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11213),
  [8211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16470),
  [8213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11205),
  [8215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11199),
  [8217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11540),
  [8219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11206),
  [8221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11423),
  [8223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11194),
  [8225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11401),
  [8227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11202),
  [8229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11201),
  [8231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11209),
  [8233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11207),
  [8235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11210),
  [8237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11200),
  [8239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11195),
  [8241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11380),
  [8243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11208),
  [8245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11212),
  [8247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11198),
  [8249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18797),
  [8251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11426),
  [8253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11211),
  [8255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11204),
  [8257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11196),
  [8259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7445),
  [8261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12882),
  [8263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11611),
  [8265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7446),
  [8267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7466),
  [8269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11443),
  [8271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11619),
  [8273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13075),
  [8275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15263),
  [8277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11532),
  [8279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [8281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11576),
  [8283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11484),
  [8285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11612),
  [8287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11480),
  [8289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11186),
  [8291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19338),
  [8293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15881),
  [8295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18307),
  [8297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11185),
  [8299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14316),
  [8301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14316),
  [8303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18988),
  [8305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11392),
  [8307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11345),
  [8309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11368),
  [8311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19157),
  [8313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19158),
  [8315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18981),
  [8317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11410),
  [8319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11412),
  [8321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11415),
  [8323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [8325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11323),
  [8327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11405),
  [8329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18984),
  [8331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18983),
  [8333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11414),
  [8335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [8337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__keyword_range, 1, 0, 0),
  [8339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__keyword_range, 1, 0, 0),
  [8341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19260),
  [8343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7493),
  [8345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14437),
  [8347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16347),
  [8349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13154),
  [8351] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_list_repeat1, 2, 0, 0), SHIFT_REPEAT(260),
  [8354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [8356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18227),
  [8358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13065),
  [8360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [8362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [8364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10543),
  [8366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16233),
  [8368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12815),
  [8370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19323),
  [8372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18465),
  [8374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4223),
  [8376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12561),
  [8378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18431),
  [8380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [8382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12327),
  [8384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18242),
  [8386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9492),
  [8388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12388),
  [8390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18495),
  [8392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5076),
  [8394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12412),
  [8396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18549),
  [8398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8601),
  [8400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12558),
  [8402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18809),
  [8404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2407),
  [8406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12255),
  [8408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18522),
  [8410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [8412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12314),
  [8414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18362),
  [8416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3241),
  [8418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12539),
  [8420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18779),
  [8422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10792),
  [8424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12795),
  [8426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18684),
  [8428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8708),
  [8430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12752),
  [8432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17807),
  [8434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9252),
  [8436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12720),
  [8438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18711),
  [8440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3932),
  [8442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12681),
  [8444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18738),
  [8446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2933),
  [8448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12708),
  [8450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18576),
  [8452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9578),
  [8454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12647),
  [8456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18306),
  [8458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9093),
  [8460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12267),
  [8462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18907),
  [8464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8816),
  [8466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12707),
  [8468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18630),
  [8470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3669),
  [8472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12773),
  [8474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16517),
  [8476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13714),
  [8478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12467),
  [8480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18789),
  [8482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7069),
  [8484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12640),
  [8486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18753),
  [8488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6110),
  [8490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12298),
  [8492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18397),
  [8494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8750),
  [8496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12862),
  [8498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18657),
  [8500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11940),
  [8502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12842),
  [8504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18799),
  [8506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [8508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12434),
  [8510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18819),
  [8512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4190),
  [8514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12789),
  [8516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18603),
  [8518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5541),
  [8520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12408),
  [8522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18829),
  [8524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5745),
  [8526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12592),
  [8528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18766),
  [8530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [8532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [8534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12426),
  [8536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18821),
  [8538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13722),
  [8540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12457),
  [8542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18792),
  [8544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9570),
  [8546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12598),
  [8548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18309),
  [8550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6964),
  [8552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12632),
  [8554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18754),
  [8556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6944),
  [8558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12629),
  [8560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18755),
  [8562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6938),
  [8564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12627),
  [8566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18756),
  [8568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9568),
  [8570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12584),
  [8572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18310),
  [8574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8868),
  [8576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12495),
  [8578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17304),
  [8580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9567),
  [8582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12565),
  [8584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18311),
  [8586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3941),
  [8588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12671),
  [8590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18741),
  [8592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3939),
  [8594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12672),
  [8596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18740),
  [8598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6876),
  [8600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12622),
  [8602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18757),
  [8604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9341),
  [8606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12182),
  [8608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18930),
  [8610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3643),
  [8612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12494),
  [8614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16663),
  [8616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [8618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12278),
  [8620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18523),
  [8622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17257),
  [8624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [8626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16003),
  [8628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19220),
  [8630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18618),
  [8632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2395),
  [8634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12287),
  [8636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18524),
  [8638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2394),
  [8640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12294),
  [8642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18525),
  [8644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3936),
  [8646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12675),
  [8648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18739),
  [8650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3949),
  [8652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12666),
  [8654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18742),
  [8656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2385),
  [8658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12306),
  [8660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18526),
  [8662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [8664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12352),
  [8666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18246),
  [8668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [8670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12357),
  [8672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18247),
  [8674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [8676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12359),
  [8678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18248),
  [8680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5909),
  [8682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12582),
  [8684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18767),
  [8686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5943),
  [8688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12577),
  [8690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18768),
  [8692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5960),
  [8694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12576),
  [8696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18769),
  [8698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [8700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12432),
  [8702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18254),
  [8704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9560),
  [8706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12534),
  [8708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18316),
  [8710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [8712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17255),
  [8714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9475),
  [8716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12320),
  [8718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18499),
  [8720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4235),
  [8722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12616),
  [8724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18437),
  [8726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17512),
  [8728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18229),
  [8730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5927),
  [8732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12568),
  [8734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18770),
  [8736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17328),
  [8738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4231),
  [8740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12595),
  [8742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18435),
  [8744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4230),
  [8746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12590),
  [8748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18434),
  [8750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4226),
  [8752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12581),
  [8754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18433),
  [8756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9161),
  [8758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12207),
  [8760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18918),
  [8762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9129),
  [8764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12208),
  [8766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18917),
  [8768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9127),
  [8770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12211),
  [8772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18916),
  [8774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9483),
  [8776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12347),
  [8778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18498),
  [8780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9484),
  [8782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12350),
  [8784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18497),
  [8786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9486),
  [8788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12363),
  [8790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18496),
  [8792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9265),
  [8794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12705),
  [8796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18715),
  [8798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9259),
  [8800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12710),
  [8802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18714),
  [8804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5066),
  [8806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12439),
  [8808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18550),
  [8810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9258),
  [8812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12711),
  [8814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18713),
  [8816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3244),
  [8818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12528),
  [8820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18780),
  [8822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5057),
  [8824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12446),
  [8826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18551),
  [8828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3246),
  [8830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12524),
  [8832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18781),
  [8834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5056),
  [8836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12455),
  [8838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18552),
  [8840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11235),
  [8842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7693),
  [8844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16180),
  [8846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9256),
  [8848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12714),
  [8850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18712),
  [8852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5049),
  [8854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12497),
  [8856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18553),
  [8858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6132),
  [8860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12322),
  [8862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18399),
  [8864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3247),
  [8866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12520),
  [8868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18782),
  [8870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3251),
  [8872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12510),
  [8874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18783),
  [8876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [8878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12264),
  [8880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18368),
  [8882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6135),
  [8884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12331),
  [8886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18400),
  [8888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3660),
  [8890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12454),
  [8892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16573),
  [8894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10812),
  [8896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12779),
  [8898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18686),
  [8900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3657),
  [8902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12668),
  [8904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16583),
  [8906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3655),
  [8908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12631),
  [8910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16589),
  [8912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6136),
  [8914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12336),
  [8916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18401),
  [8918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [8920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12296),
  [8922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18366),
  [8924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10807),
  [8926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12765),
  [8928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18688),
  [8930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [8932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12265),
  [8934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18365),
  [8936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [8938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12303),
  [8940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18364),
  [8942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10811),
  [8944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12778),
  [8946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18687),
  [8948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6123),
  [8950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12361),
  [8952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18403),
  [8954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10814),
  [8956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12783),
  [8958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18685),
  [8960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rows_range, 1, 0, 0),
  [8962] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rows_range, 1, 0, 0),
  [8964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10548),
  [8966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12835),
  [8968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18467),
  [8970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8607),
  [8972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12513),
  [8974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18812),
  [8976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8606),
  [8978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12519),
  [8980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18811),
  [8982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8604),
  [8984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12538),
  [8986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18810),
  [8988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10554),
  [8990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12844),
  [8992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18468),
  [8994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10555),
  [8996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12849),
  [8998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18469),
  [9000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9019),
  [9002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12678),
  [9004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18634),
  [9006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2832),
  [9008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12727),
  [9010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18577),
  [9012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10585),
  [9014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12870),
  [9016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18471),
  [9018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9049),
  [9020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12686),
  [9022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18633),
  [9024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9052),
  [9026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12687),
  [9028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18632),
  [9030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2835),
  [9032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12731),
  [9034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18578),
  [9036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8770),
  [9038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12840),
  [9040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18661),
  [9042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8852),
  [9044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12691),
  [9046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18631),
  [9048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2841),
  [9050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12732),
  [9052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18579),
  [9054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8360),
  [9056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12847),
  [9058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18660),
  [9060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2877),
  [9062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12736),
  [9064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18580),
  [9066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5567),
  [9068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12396),
  [9070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18833),
  [9072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5558),
  [9074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12398),
  [9076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18832),
  [9078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5460),
  [9080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12399),
  [9082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18831),
  [9084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8627),
  [9086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12502),
  [9088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18813),
  [9090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5562),
  [9092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12402),
  [9094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18830),
  [9096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11233),
  [9098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8765),
  [9100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12848),
  [9102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18659),
  [9104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8763),
  [9106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12852),
  [9108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18658),
  [9110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8731),
  [9112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12639),
  [9114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17476),
  [9116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8717),
  [9118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12557),
  [9120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17465),
  [9122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [9124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12423),
  [9126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18823),
  [9128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8704),
  [9130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12611),
  [9132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17457),
  [9134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4185),
  [9136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12811),
  [9138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18604),
  [9140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [9142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12425),
  [9144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18822),
  [9146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4183),
  [9148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12816),
  [9150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18605),
  [9152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4182),
  [9154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12817),
  [9156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18606),
  [9158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4177),
  [9160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12822),
  [9162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18607),
  [9164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [9166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12429),
  [9168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18820),
  [9170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11955),
  [9172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12792),
  [9174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18803),
  [9176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11948),
  [9178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12804),
  [9180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18802),
  [9182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11947),
  [9184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12812),
  [9186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18801),
  [9188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11945),
  [9190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12831),
  [9192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18800),
  [9194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13717),
  [9196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12461),
  [9198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18790),
  [9200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13730),
  [9202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12452),
  [9204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18793),
  [9206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13720),
  [9208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12458),
  [9210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18791),
  [9212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11348),
  [9214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11645),
  [9216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19258),
  [9218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6261),
  [9220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11779),
  [9222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4474),
  [9224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2666),
  [9226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5787),
  [9228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4880),
  [9230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9953),
  [9232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3725),
  [9234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7789),
  [9236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7214),
  [9238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11506),
  [9240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11126),
  [9242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3402),
  [9244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [9246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4729),
  [9248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10329),
  [9250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [9252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [9254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10836),
  [9256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10380),
  [9258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3160),
  [9260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7860),
  [9262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5155),
  [9264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [9266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6561),
  [9268] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__grouping_list_repeat1, 2, 0, 0), SHIFT_REPEAT(826),
  [9271] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_group_by_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(107),
  [9274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6800),
  [9276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12798),
  [9278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16922),
  [9280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19221),
  [9282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11311),
  [9284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11381),
  [9286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19165),
  [9288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18726),
  [9290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11421),
  [9292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11431),
  [9294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11406),
  [9296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12301),
  [9298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12650),
  [9300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11404),
  [9302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11353),
  [9304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11362),
  [9306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18970),
  [9308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18965),
  [9310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18960),
  [9312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18959),
  [9314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11387),
  [9316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11435),
  [9318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11419),
  [9320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11325),
  [9322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11391),
  [9324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18729),
  [9326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11430),
  [9328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16921),
  [9330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4355),
  [9332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [9334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [9336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_replace, 2, 0, 18),
  [9338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_replace, 2, 0, 18),
  [9340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7106),
  [9342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18501),
  [9344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7162),
  [9346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7114),
  [9348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7109),
  [9350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16401),
  [9352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7936),
  [9354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7931),
  [9356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7930),
  [9358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14244),
  [9360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16365),
  [9362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3584),
  [9364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3583),
  [9366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3582),
  [9368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16391),
  [9370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [9372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [9374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [9376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17072),
  [9378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7993),
  [9380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7994),
  [9382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7995),
  [9384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16385),
  [9386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17517),
  [9388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17402),
  [9390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3325),
  [9392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3322),
  [9394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3321),
  [9396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17567),
  [9398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2740),
  [9400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2726),
  [9402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2685),
  [9404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18014),
  [9406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6533),
  [9408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6496),
  [9410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6511),
  [9412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9910),
  [9414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18890),
  [9416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4962),
  [9418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4952),
  [9420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4946),
  [9422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7970),
  [9424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18315),
  [9426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [9428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [9430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [9432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18238),
  [9434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10934),
  [9436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12930),
  [9438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12910),
  [9440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12904),
  [9442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18022),
  [9444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12060),
  [9446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16210),
  [9448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18223),
  [9450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17592),
  [9452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4846),
  [9454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16376),
  [9456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10849),
  [9458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10971),
  [9460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10823),
  [9462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17565),
  [9464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4361),
  [9466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4363),
  [9468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4369),
  [9470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [9472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16530),
  [9474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10484),
  [9476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10508),
  [9478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10506),
  [9480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18418),
  [9482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16096),
  [9484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17240),
  [9486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16388),
  [9488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10300),
  [9490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16505),
  [9492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8402),
  [9494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17147),
  [9496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6450),
  [9498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5625),
  [9500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19160),
  [9502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3230),
  [9504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16026),
  [9506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16396),
  [9508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5660),
  [9510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5659),
  [9512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5657),
  [9514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16885),
  [9516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10321),
  [9518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10283),
  [9520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10284),
  [9522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10447),
  [9524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17842),
  [9526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17067),
  [9528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2183),
  [9530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [9532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2185),
  [9534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17816),
  [9536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3563),
  [9538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7857),
  [9540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4569),
  [9542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16379),
  [9544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16700),
  [9546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4601),
  [9548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4600),
  [9550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4599),
  [9552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18915),
  [9554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9921),
  [9556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9930),
  [9558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9929),
  [9560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16372),
  [9562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18628),
  [9564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19259),
  [9566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [9568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2676),
  [9570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16275),
  [9572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18194),
  [9574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18189),
  [9576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16369),
  [9578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16382),
  [9580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8856),
  [9582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3946),
  [9584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9187),
  [9586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [9588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9218),
  [9590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9236),
  [9592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9580),
  [9594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9577),
  [9596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6060),
  [9598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17435),
  [9600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17434),
  [9602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9523),
  [9604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9343),
  [9606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9342),
  [9608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9339),
  [9610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9338),
  [9612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [9614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9418),
  [9616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [9618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2106),
  [9620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2409),
  [9622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3733),
  [9624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3671),
  [9626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9980),
  [9628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2400),
  [9630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [9632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8587),
  [9634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6701),
  [9636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2399),
  [9638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [9640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2396),
  [9642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [9644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9435),
  [9646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [9648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [9650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9128),
  [9652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [9654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6000),
  [9656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9124),
  [9658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9121),
  [9660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [9662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2386),
  [9664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [9666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2381),
  [9668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6120),
  [9670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6129),
  [9672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [9674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9445),
  [9676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [9678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6133),
  [9680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9091),
  [9682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [9684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [9686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [9688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2367),
  [9690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2365),
  [9692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2417),
  [9694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2468),
  [9696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3721),
  [9698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2665),
  [9700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2505),
  [9702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [9704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [9706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9457),
  [9708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6138),
  [9710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6141),
  [9712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9458),
  [9714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [9716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [9718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6151),
  [9720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6150),
  [9722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [9724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6144),
  [9726] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_order_by_clause_body_repeat1, 2, 0, 133), SHIFT_REPEAT(1465),
  [9729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9467),
  [9731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [9733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9473),
  [9735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9474),
  [9737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [9739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [9741] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_query_expr, 1, 0, 0), SHIFT(18380),
  [9744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [9746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [9748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6128),
  [9750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6125),
  [9752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9476),
  [9754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9477),
  [9756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18204),
  [9758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6065),
  [9760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5082),
  [9762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6099),
  [9764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5075),
  [9766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9485),
  [9768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5067),
  [9770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6420),
  [9772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5533),
  [9774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5503),
  [9776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5472),
  [9778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5434),
  [9780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5430),
  [9782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5480),
  [9784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5491),
  [9786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5563),
  [9788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5488),
  [9790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6085),
  [9792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5551),
  [9794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5570),
  [9796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3711),
  [9798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5559),
  [9800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5556),
  [9802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5060),
  [9804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9488),
  [9806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3607),
  [9808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5538),
  [9810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9489),
  [9812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [9814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [9816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [9818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [9820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [9822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [9824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [9826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [9828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [9830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [9832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [9834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [9836] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_query_expr, 2, 0, 0), SHIFT(18380),
  [9839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [9841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5052),
  [9843] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_query_expr, 3, 0, 0), SHIFT(18380),
  [9846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [9848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [9850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5051),
  [9852] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_query_expr, 4, 0, 0), SHIFT(18380),
  [9855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [9857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3621),
  [9859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5048),
  [9861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5047),
  [9863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13923),
  [9865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5725),
  [9867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [9869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13859),
  [9871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13832),
  [9873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13792),
  [9875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13791),
  [9877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3644),
  [9879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5038),
  [9881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13743),
  [9883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13736),
  [9885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13732),
  [9887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13725),
  [9889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13724),
  [9891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13718),
  [9893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13716),
  [9895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13715),
  [9897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3646),
  [9899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13723),
  [9901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9494),
  [9903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8727),
  [9905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9315),
  [9907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [9909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8645),
  [9911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3311),
  [9913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8711),
  [9915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [9917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5018),
  [9919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10378),
  [9921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8695),
  [9923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8671),
  [9925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3619),
  [9927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8631),
  [9929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8694),
  [9931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5015),
  [9933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4991),
  [9935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4969),
  [9937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8667),
  [9939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5109),
  [9941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5088),
  [9943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3296),
  [9945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3286),
  [9947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9496),
  [9949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3271),
  [9951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3270),
  [9953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8661),
  [9955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8652),
  [9957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9447),
  [9959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8639),
  [9961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3258),
  [9963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8635),
  [9965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3253),
  [9967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3252),
  [9969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3250),
  [9971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3217),
  [9973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9526),
  [9975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9532),
  [9977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4221),
  [9979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8622),
  [9981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3245),
  [9983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [9985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3243),
  [9987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3242),
  [9989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3239),
  [9991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8611),
  [9993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4224),
  [9995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4225),
  [9997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8883),
  [9999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8605),
  [10001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8603),
  [10003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5605),
  [10005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4228),
  [10007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3401),
  [10009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8602),
  [10011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5835),
  [10013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9552),
  [10015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5878),
  [10017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5897),
  [10019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5900),
  [10021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [10023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5917),
  [10025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5923),
  [10027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5925),
  [10029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4233),
  [10031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4234),
  [10033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5929),
  [10035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5931),
  [10037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9558),
  [10039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9559),
  [10041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4236),
  [10043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4237),
  [10045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5939),
  [10047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5890),
  [10049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4242),
  [10051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5862),
  [10053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9561),
  [10055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9562),
  [10057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5739),
  [10059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8599),
  [10061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8908),
  [10063] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_statement_repeat1, 2, 0, 99), SHIFT_REPEAT(186),
  [10066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_call_statement_repeat1, 2, 0, 99),
  [10068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4249),
  [10070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4251),
  [10072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7005),
  [10074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6251),
  [10076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6872),
  [10078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6769),
  [10080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6714),
  [10082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6715),
  [10084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6772),
  [10086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4261),
  [10088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6847),
  [10090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6856),
  [10092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3633),
  [10094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6878),
  [10096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6883),
  [10098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8876),
  [10100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4272),
  [10102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8860),
  [10104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6946),
  [10106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6974),
  [10108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6975),
  [10110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4906),
  [10112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9569),
  [10114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [10116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7096),
  [10118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8857),
  [10120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9572),
  [10122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9573),
  [10124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4285),
  [10126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4022),
  [10128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4473),
  [10130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8878),
  [10132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4001),
  [10134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3984),
  [10136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3972),
  [10138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3970),
  [10140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3639),
  [10142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8902),
  [10144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3959),
  [10146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3953),
  [10148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3951),
  [10150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3948),
  [10152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3641),
  [10154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8934),
  [10156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9581),
  [10158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8939),
  [10160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3938),
  [10162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3935),
  [10164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3933),
  [10166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8974),
  [10168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9009),
  [10170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3930),
  [10172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9017),
  [10174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2868),
  [10176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9020),
  [10178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9031),
  [10180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5266),
  [10182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3663),
  [10184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2825),
  [10186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9335),
  [10188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10332),
  [10190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2827),
  [10192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9321),
  [10194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9306),
  [10196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9330),
  [10198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9284),
  [10200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8997),
  [10202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2833),
  [10204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9275),
  [10206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9268),
  [10208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9267),
  [10210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3661),
  [10212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9263),
  [10214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9262),
  [10216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8834),
  [10218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8819),
  [10220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9257),
  [10222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9255),
  [10224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9253),
  [10226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8810),
  [10228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2863),
  [10230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2864),
  [10232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9250),
  [10234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2885),
  [10236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2961),
  [10238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2900),
  [10240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2939),
  [10242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2940),
  [10244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2955),
  [10246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2931),
  [10248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3029),
  [10250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2914),
  [10252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10695),
  [10254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8741),
  [10256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8689),
  [10258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8722),
  [10260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11127),
  [10262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4192),
  [10264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10715),
  [10266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10746),
  [10268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10758),
  [10270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10775),
  [10272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11888),
  [10274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3658),
  [10276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11986),
  [10278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10800),
  [10280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10805),
  [10282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10743),
  [10284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4188),
  [10286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10808),
  [10288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10809),
  [10290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4187),
  [10292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12007),
  [10294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4184),
  [10296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10661),
  [10298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11985),
  [10300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10813),
  [10302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__identifier, 1, 0, 0),
  [10304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__base_type, 1, 0, 0),
  [10306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11790),
  [10308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__identifier, 1, 0, 0),
  [10310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11984),
  [10312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10815),
  [10314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10738),
  [10316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11967),
  [10318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10788),
  [10320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8614),
  [10322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10665),
  [10324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4091),
  [10326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10544),
  [10328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10545),
  [10330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4178),
  [10332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11958),
  [10334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4175),
  [10336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10553),
  [10338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4174),
  [10340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4168),
  [10342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11956),
  [10344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4160),
  [10346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10834),
  [10348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4159),
  [10350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3929),
  [10352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4127),
  [10354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4728),
  [10356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4106),
  [10358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10646),
  [10360] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declare_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(11506),
  [10363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11954),
  [10365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9042),
  [10367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7810),
  [10369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10558),
  [10371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10584),
  [10373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11953),
  [10375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8832),
  [10377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8809),
  [10379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8794),
  [10381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8793),
  [10383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11946),
  [10385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10586),
  [10387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10588),
  [10389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11943),
  [10391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8781),
  [10393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8774),
  [10395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10599),
  [10397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8771),
  [10399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11942),
  [10401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8769),
  [10403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9032),
  [10405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10630),
  [10407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11937),
  [10409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8768),
  [10411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8764),
  [10413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8762),
  [10415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8757),
  [10417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10613),
  [10419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10614),
  [10421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19137),
  [10423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17227),
  [10425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17446),
  [10427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12120),
  [10429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16202),
  [10431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17410),
  [10433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19181),
  [10435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16870),
  [10437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16153),
  [10439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14901),
  [10441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10289),
  [10443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16383),
  [10445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18611),
  [10447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18195),
  [10449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18190),
  [10451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14945),
  [10453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5595),
  [10455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16397),
  [10457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16370),
  [10459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16086),
  [10461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16631),
  [10463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13021),
  [10465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16439),
  [10467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16545),
  [10469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17628),
  [10471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16402),
  [10473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15176),
  [10475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7878),
  [10477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12138),
  [10479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13013),
  [10481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12042),
  [10483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12325),
  [10485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16706),
  [10487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12065),
  [10489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18901),
  [10491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12016),
  [10493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15290),
  [10495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9924),
  [10497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14324),
  [10499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16056),
  [10501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16924),
  [10503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18919),
  [10505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16373),
  [10507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13020),
  [10509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14303),
  [10511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12081),
  [10513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14500),
  [10515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2969),
  [10517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12962),
  [10519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12142),
  [10521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11752),
  [10523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16037),
  [10525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16866),
  [10527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16452),
  [10529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12998),
  [10531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17472),
  [10533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18409),
  [10535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16516),
  [10537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14714),
  [10539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [10541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16389),
  [10543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bigquery_resource, 2, 0, 61),
  [10545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15698),
  [10547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3277),
  [10549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18010),
  [10551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16377),
  [10553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16380),
  [10555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16690),
  [10557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14532),
  [10559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4589),
  [10561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17783),
  [10563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12958),
  [10565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17858),
  [10567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15495),
  [10569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [10571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12999),
  [10573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17166),
  [10575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18041),
  [10577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15677),
  [10579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4900),
  [10581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15279),
  [10583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6566),
  [10585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18278),
  [10587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14710),
  [10589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [10591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14990),
  [10593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10323),
  [10595] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_order_by_clause_body_repeat1, 2, 0, 133), SHIFT_REPEAT(1758),
  [10598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15448),
  [10600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7251),
  [10602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17554),
  [10604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17566),
  [10606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17386),
  [10608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12963),
  [10610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17065),
  [10612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16386),
  [10614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15254),
  [10616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8011),
  [10618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_call_statement_repeat1, 2, 0, 97),
  [10620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14586),
  [10622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10819),
  [10624] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_statement_repeat1, 2, 0, 97), REDUCE(aux_sym_function_call_repeat1, 2, 0, 0),
  [10627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12055),
  [10629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16392),
  [10631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16107),
  [10633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17106),
  [10635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17129),
  [10637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14483),
  [10639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3576),
  [10641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16366),
  [10643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12030),
  [10645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12942),
  [10647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15149),
  [10649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2628),
  [10651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18219),
  [10653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18427),
  [10655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18427),
  [10657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [10659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [10661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14232),
  [10663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [10665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [10667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5110),
  [10669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [10671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [10673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3400),
  [10675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [10677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [10679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17409),
  [10681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17409),
  [10683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17411),
  [10685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17411),
  [10687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [10689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [10691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [10693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16925),
  [10695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [10697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [10699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [10701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [10703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10364),
  [10705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [10707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [10709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5656),
  [10711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [10713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [10715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [10717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [10719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6508),
  [10721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18561),
  [10723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18561),
  [10725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6219),
  [10727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18325),
  [10729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18325),
  [10731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18324),
  [10733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18324),
  [10735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [10737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [10739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [10741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [10743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11354),
  [10745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17612),
  [10747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17611),
  [10749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11364),
  [10751] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_if_not_exists, 3, 0, 71),
  [10753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_if_not_exists, 3, 0, 71),
  [10755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [10757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [10759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [10761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [10763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [10765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [10767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [10769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [10771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [10773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [10775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4469),
  [10777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [10779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [10781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16350),
  [10783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18206),
  [10785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18207),
  [10787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [10789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [10791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [10793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [10795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [10797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [10799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10024),
  [10801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [10803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [10805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [10807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [10809] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 2, 0, 83),
  [10811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 2, 0, 83),
  [10813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [10815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [10817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [10819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [10821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [10823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [10825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17575),
  [10827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17575),
  [10829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4943),
  [10831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17577),
  [10833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17577),
  [10835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [10837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [10839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [10841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [10843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [10845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [10847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10331),
  [10849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17827),
  [10851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17827),
  [10853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3786),
  [10855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17062),
  [10857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17062),
  [10859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17060),
  [10861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17060),
  [10863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16352),
  [10865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16352),
  [10867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18564),
  [10869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18564),
  [10871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18033),
  [10873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18033),
  [10875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18035),
  [10877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18035),
  [10879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [10881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [10883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [10885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [10887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18250),
  [10889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18250),
  [10891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18251),
  [10893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18251),
  [10895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 1, 0, 0),
  [10897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 1, 0, 0),
  [10899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 1, 0, 51),
  [10901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 1, 0, 51),
  [10903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19311),
  [10905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19311),
  [10907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19309),
  [10909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19309),
  [10911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2650),
  [10913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18426),
  [10915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18426),
  [10917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17078),
  [10919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11129),
  [10921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3235),
  [10923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10831),
  [10925] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_order_by_clause_body_repeat1, 2, 0, 133), SHIFT_REPEAT(1649),
  [10928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__keyword_for, 1, 0, 2),
  [10930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__keyword_for, 1, 0, 2),
  [10932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17533),
  [10934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17533),
  [10936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [10938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [10940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [10942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [10944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17532),
  [10946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17532),
  [10948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11321),
  [10950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [10952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [10954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16710),
  [10956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16707),
  [10958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18644),
  [10960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18644),
  [10962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18645),
  [10964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18645),
  [10966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_casewhen_expression_repeat1, 2, 0, 0),
  [10968] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_casewhen_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(7541),
  [10971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18927),
  [10973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18927),
  [10975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16442),
  [10977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [10979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [10981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18932),
  [10983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18932),
  [10985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [10987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [10989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [10991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_window_partition_clause_repeat1, 2, 0, 0),
  [10993] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_window_partition_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1708),
  [10996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19168),
  [10998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19168),
  [11000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16538),
  [11002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2247),
  [11004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19171),
  [11006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19171),
  [11008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7085),
  [11010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_partition_clause, 3, 0, 170),
  [11012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18861),
  [11014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18861),
  [11016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18845),
  [11018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18845),
  [11020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4725),
  [11022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7734),
  [11024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17991),
  [11026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17991),
  [11028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [11030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [11032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17984),
  [11034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17984),
  [11036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16525),
  [11038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16525),
  [11040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16524),
  [11042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16524),
  [11044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [11046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [11048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17155),
  [11050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17155),
  [11052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17154),
  [11054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17154),
  [11056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8597),
  [11058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9519),
  [11060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6116),
  [11062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [11064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6117),
  [11066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6101),
  [11068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6112),
  [11070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6111),
  [11072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6100),
  [11074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9379),
  [11076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9378),
  [11078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8800),
  [11080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8802),
  [11082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8791),
  [11084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8807),
  [11086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [11088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8808),
  [11090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6134),
  [11092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6139),
  [11094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8884),
  [11096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6145),
  [11098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6146),
  [11100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5454),
  [11102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8882),
  [11104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5455),
  [11106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8823),
  [11108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6137),
  [11110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [11112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5496),
  [11114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5502),
  [11116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11191),
  [11118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [11120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5560),
  [11122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5566),
  [11124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6130),
  [11126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5532),
  [11128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5528),
  [11130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5098),
  [11132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10595),
  [11134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5522),
  [11136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5500),
  [11138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5499),
  [11140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9391),
  [11142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9392),
  [11144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5471),
  [11146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5469),
  [11148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5451),
  [11150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5450),
  [11152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5448),
  [11154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6090),
  [11156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9402),
  [11158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9403),
  [11160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5429),
  [11162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5495),
  [11164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5465),
  [11166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5505),
  [11168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8825),
  [11170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5507),
  [11172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6087),
  [11174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6086),
  [11176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5565),
  [11178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8785),
  [11180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8784),
  [11182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3648),
  [11184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6070),
  [11186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6069),
  [11188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9419),
  [11190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8836),
  [11192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9421),
  [11194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [11196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10598),
  [11198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9425),
  [11200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9336),
  [11202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5845),
  [11204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8780),
  [11206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [11208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [11210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9516),
  [11212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9518),
  [11214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9529),
  [11216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9530),
  [11218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [11220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [11222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12064),
  [11224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [11226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [11228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7595),
  [11230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16474),
  [11232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8779),
  [11234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [11236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [11238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8833),
  [11240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3636),
  [11242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [11244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [11246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9436),
  [11248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9047),
  [11250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9437),
  [11252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [11254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [11256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [11258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [11260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9576),
  [11262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3635),
  [11264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [11266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [11268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [11270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9589),
  [11272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [11274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9246),
  [11276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [11278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2378),
  [11280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [11282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [11284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9242),
  [11286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [11288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2372),
  [11290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [11292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [11294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9238),
  [11296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3630),
  [11298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9446),
  [11300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9448),
  [11302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9237),
  [11304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6055),
  [11306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6054),
  [11308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [11310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [11312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9222),
  [11314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3629),
  [11316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9220),
  [11318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12150),
  [11320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [11322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [11324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [11326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [11328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [11330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2439),
  [11332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2416),
  [11334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9451),
  [11336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6037),
  [11338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [11340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [11342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2466),
  [11344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12134),
  [11346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8485),
  [11348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8487),
  [11350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [11352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14028),
  [11354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14027),
  [11356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9044),
  [11358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9453),
  [11360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6036),
  [11362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9194),
  [11364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13992),
  [11366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13991),
  [11368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9190),
  [11370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [11372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9188),
  [11374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13969),
  [11376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2501),
  [11378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2502),
  [11380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9454),
  [11382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13965),
  [11384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9170),
  [11386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9167),
  [11388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9149),
  [11390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13921),
  [11392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13919),
  [11394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9147),
  [11396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13906),
  [11398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3623),
  [11400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13858),
  [11402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13854),
  [11404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9043),
  [11406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [11408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13831),
  [11410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2509),
  [11412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [11414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13825),
  [11416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13818),
  [11418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13808),
  [11420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13805),
  [11422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13786),
  [11424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [11426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2392),
  [11428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [11430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10606),
  [11432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13774),
  [11434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13763),
  [11436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3616),
  [11438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12043),
  [11440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3615),
  [11442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13742),
  [11444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8758),
  [11446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13741),
  [11448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3613),
  [11450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12146),
  [11452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2419),
  [11454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2421),
  [11456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3609),
  [11458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13871),
  [11460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8756),
  [11462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3608),
  [11464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10607),
  [11466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [11468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9023),
  [11470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [11472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9022),
  [11474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [11476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9115),
  [11478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8726),
  [11480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9114),
  [11482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8767),
  [11484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8725),
  [11486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3709),
  [11488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3710),
  [11490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [11492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8547),
  [11494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8549),
  [11496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8720),
  [11498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8561),
  [11500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9006),
  [11502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8566),
  [11504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3355),
  [11506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9464),
  [11508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3354),
  [11510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2990),
  [11512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3727),
  [11514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [11516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9459),
  [11518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8588),
  [11520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [11522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8592),
  [11524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3342),
  [11526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3731),
  [11528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11458),
  [11530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte_clause, 2, 0, 6),
  [11532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3732),
  [11534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3341),
  [11536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9463),
  [11538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [11540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3331),
  [11542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3330),
  [11544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9469),
  [11546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9054),
  [11548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9005),
  [11550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3308),
  [11552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3307),
  [11554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3304),
  [11556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8710),
  [11558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8705),
  [11560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3295),
  [11562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3294),
  [11564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3285),
  [11566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8692),
  [11568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3281),
  [11570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3278),
  [11572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [11574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3276),
  [11576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3274),
  [11578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4824),
  [11580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [11582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3269),
  [11584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8690),
  [11586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3267),
  [11588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3266),
  [11590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3257),
  [11592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3256),
  [11594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9479),
  [11596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [11598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8983),
  [11600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8982),
  [11602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3248),
  [11604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4747),
  [11606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [11608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [11610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12143),
  [11612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3757),
  [11614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3758),
  [11616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [11618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8679),
  [11620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8678),
  [11622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8677),
  [11624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [11626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [11628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [11630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [11632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5606),
  [11634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10612),
  [11636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5603),
  [11638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5055),
  [11640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [11642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5706),
  [11644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5707),
  [11646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5965),
  [11648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5968),
  [11650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5593),
  [11652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5040),
  [11654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5039),
  [11656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3599),
  [11658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3778),
  [11660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5768),
  [11662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5026),
  [11664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5022),
  [11666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5786),
  [11668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5838),
  [11670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5839),
  [11672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8660),
  [11674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8658),
  [11676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8656),
  [11678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5879),
  [11680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5020),
  [11682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5880),
  [11684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5884),
  [11686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5888),
  [11688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5891),
  [11690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [11692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8650),
  [11694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5011),
  [11696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5009),
  [11698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3805),
  [11700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5006),
  [11702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8649),
  [11704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [11706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4996),
  [11708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4993),
  [11710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5902),
  [11712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4232),
  [11714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [11716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5913),
  [11718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5914),
  [11720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5919),
  [11722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5920),
  [11724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9210),
  [11726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4973),
  [11728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4971),
  [11730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3806),
  [11732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9211),
  [11734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5945),
  [11736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9234),
  [11738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9244),
  [11740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5043),
  [11742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4241),
  [11744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9278),
  [11746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5096),
  [11748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5095),
  [11750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9283),
  [11752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [11754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4245),
  [11756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4217),
  [11758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [11760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4248),
  [11762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5397),
  [11764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4240),
  [11766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [11768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9408),
  [11770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9430),
  [11772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9452),
  [11774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4997),
  [11776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4995),
  [11778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12115),
  [11780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8646),
  [11782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8648),
  [11784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9547),
  [11786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8673),
  [11788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8681),
  [11790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6823),
  [11792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6827),
  [11794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4965),
  [11796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5036),
  [11798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8684),
  [11800] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_identifier_repeat1, 2, 0, 0), SHIFT_REPEAT(18485),
  [11803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8685),
  [11805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8686),
  [11807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8696),
  [11809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6911),
  [11811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6914),
  [11813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7083),
  [11815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7093),
  [11817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9497),
  [11819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5399),
  [11821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9498),
  [11823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5081),
  [11825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5083),
  [11827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11352),
  [11829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7003),
  [11831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7000),
  [11833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6953),
  [11835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9507),
  [11837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte_clause, 3, 0, 6),
  [11839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10557),
  [11841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4254),
  [11843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4255),
  [11845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6870),
  [11847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6824),
  [11849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17031),
  [11851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6758),
  [11853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8595),
  [11855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4250),
  [11857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6753),
  [11859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6707),
  [11861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6984),
  [11863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6699),
  [11865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10619),
  [11867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4256),
  [11869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9509),
  [11871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7814),
  [11873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6721),
  [11875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9513),
  [11877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2522),
  [11879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10621),
  [11881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4259),
  [11883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4260),
  [11885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8609),
  [11887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6732),
  [11889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6743),
  [11891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert_columns, 4, 0, 0),
  [11893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6777),
  [11895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6779),
  [11897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8798),
  [11899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [11901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9520),
  [11903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [11905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [11907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18966),
  [11909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6885),
  [11911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10622),
  [11913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4270),
  [11915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4271),
  [11917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4214),
  [11919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9539),
  [11921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2355),
  [11923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9544),
  [11925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4280),
  [11927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4283),
  [11929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10627),
  [11931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4284),
  [11933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10628),
  [11935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [11937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9553),
  [11939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9554),
  [11941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2862),
  [11943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12056),
  [11945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8936),
  [11947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8932),
  [11949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9565),
  [11951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2897),
  [11953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2898),
  [11955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4095),
  [11957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2915),
  [11959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2918),
  [11961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4094),
  [11963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8904),
  [11965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10587),
  [11967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10562),
  [11969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8898),
  [11971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2938),
  [11973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [11975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4068),
  [11977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4067),
  [11979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2944),
  [11981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2952),
  [11983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2954),
  [11985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8849),
  [11987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2965),
  [11989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2934),
  [11991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4047),
  [11993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4046),
  [11995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4021),
  [11997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4020),
  [11999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2937),
  [12001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2932),
  [12003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4016),
  [12005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [12007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4000),
  [12009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3999),
  [12011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3983),
  [12013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3982),
  [12015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3978),
  [12017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2922),
  [12019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3976),
  [12021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3975),
  [12023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2919),
  [12025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2917),
  [12027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3968),
  [12029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3964),
  [12031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3963),
  [12033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4299),
  [12035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3957),
  [12037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3956),
  [12039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4300),
  [12041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2894),
  [12043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2892),
  [12045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [12047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10810),
  [12049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert_columns, 3, 0, 0),
  [12051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3944),
  [12053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2880),
  [12055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2879),
  [12057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8788),
  [12059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10727),
  [12061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10643),
  [12063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4311),
  [12065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2967),
  [12067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2867),
  [12069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4312),
  [12071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8418),
  [12073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [12075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10802),
  [12077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10801),
  [12079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8478),
  [12081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [12083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10796),
  [12085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3382),
  [12087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10795),
  [12089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8420),
  [12091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7161),
  [12093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9602),
  [12095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10776),
  [12097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10615),
  [12099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9603),
  [12101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8581),
  [12103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11950),
  [12105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10618),
  [12107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4324),
  [12109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11964),
  [12111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9615),
  [12113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9614),
  [12115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11966),
  [12117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11975),
  [12119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11981),
  [12121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9545),
  [12123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9543),
  [12125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11983),
  [12127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10589),
  [12129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10647),
  [12131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [12133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11993),
  [12135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11999),
  [12137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9334),
  [12139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9333),
  [12141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9598),
  [12143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12001),
  [12145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12008),
  [12147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12009),
  [12149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11991),
  [12151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11990),
  [12153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9320),
  [12155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9319),
  [12157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11972),
  [12159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9304),
  [12161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9303),
  [12163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9297),
  [12165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11920),
  [12167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10755),
  [12169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9295),
  [12171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9293),
  [12173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10753),
  [12175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11889),
  [12177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4181),
  [12179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10666),
  [12181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9282),
  [12183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10667),
  [12185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11874),
  [12187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11873),
  [12189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10645),
  [12191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9280),
  [12193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4171),
  [12195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4169),
  [12197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10670),
  [12199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9279),
  [12201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4164),
  [12203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4163),
  [12205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9274),
  [12207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9271),
  [12209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11863),
  [12211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11862),
  [12213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4161),
  [12215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11850),
  [12217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9260),
  [12219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4153),
  [12221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4151),
  [12223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11849),
  [12225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4150),
  [12227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10752),
  [12229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4145),
  [12231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4144),
  [12233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6118),
  [12235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10748),
  [12237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4325),
  [12239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4130),
  [12241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4129),
  [12243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte_clause, 4, 0, 6),
  [12245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10747),
  [12247] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_cte_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(11458),
  [12250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_cte_clause_repeat1, 2, 0, 0),
  [12252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [12254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [12256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4114),
  [12258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8824),
  [12260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8827),
  [12262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4109),
  [12264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4108),
  [12266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10717),
  [12268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4350),
  [12270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10535),
  [12272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10716),
  [12274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [12276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [12278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9040),
  [12280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4078),
  [12282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4077),
  [12284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8988),
  [12286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8976),
  [12288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10737),
  [12290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10777),
  [12292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8958),
  [12294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8955),
  [12296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8941),
  [12298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4055),
  [12300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4053),
  [12302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8922),
  [12304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10714),
  [12306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10711),
  [12308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8919),
  [12310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8858),
  [12312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8914),
  [12314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8907),
  [12316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8905),
  [12318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10744),
  [12320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10678),
  [12322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8881),
  [12324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8879),
  [12326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10697),
  [12328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4024),
  [12330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4023),
  [12332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10700),
  [12334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10705),
  [12336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8865),
  [12338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8859),
  [12340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12892),
  [12342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15732),
  [12344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15736),
  [12346] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [12348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_clause, 2, 0, 0),
  [12350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11383),
  [12352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [12354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12917),
  [12356] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_set_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1872),
  [12359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13000),
  [12361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10349),
  [12363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16151),
  [12365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [12367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10320),
  [12369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [12371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10821),
  [12373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4718),
  [12375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [12377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12964),
  [12379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17451),
  [12381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(207),
  [12383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 0),
  [12385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 0),
  [12387] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1759),
  [12390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12981),
  [12392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4456),
  [12394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14261),
  [12396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13012),
  [12398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17626),
  [12400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_like_operator, 2, 0, 0),
  [12402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2094),
  [12404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5658),
  [12406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_clause, 3, 0, 0),
  [12408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3529),
  [12410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7129),
  [12412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7343),
  [12414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12973),
  [12416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7338),
  [12418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10384),
  [12420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7538),
  [12422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7884),
  [12424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function_parameters, 3, 0, 0),
  [12426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13015),
  [12428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function_return_clause, 2, 0, 0),
  [12430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6334),
  [12432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16261),
  [12434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unpivot_column, 1, 0, 0),
  [12436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16102),
  [12438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 5, 0, 14),
  [12440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7761),
  [12442] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_set_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1686),
  [12445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3198),
  [12447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12955),
  [12449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11135),
  [12451] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_set_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(11383),
  [12454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12923),
  [12456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10847),
  [12458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6880),
  [12460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11382),
  [12462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18378),
  [12464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11386),
  [12466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16929),
  [12468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3397),
  [12470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16889),
  [12472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18489),
  [12474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_like_operator, 1, 0, 0),
  [12476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7164),
  [12478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12943),
  [12480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18619),
  [12482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4769),
  [12484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6524),
  [12486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12874),
  [12488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6519),
  [12490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6544),
  [12492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [12494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3208),
  [12496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16043),
  [12498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function_parameters, 4, 0, 0),
  [12500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [12502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11243),
  [12504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9943),
  [12506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16832),
  [12508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10191),
  [12510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5106),
  [12512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12965),
  [12514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12916),
  [12516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [12518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16819),
  [12520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16066),
  [12522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [12524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16068),
  [12526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4516),
  [12528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6472),
  [12530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6422),
  [12532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5710),
  [12534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12407),
  [12536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12367),
  [12538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_temporary, 1, 0, 0),
  [12540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16075),
  [12542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12436),
  [12544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12441),
  [12546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7400),
  [12548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [12550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2732),
  [12552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16247),
  [12554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16263),
  [12556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [12558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16265),
  [12560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11434),
  [12562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19169),
  [12564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12883),
  [12566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [12568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4862),
  [12570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4372),
  [12572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2669),
  [12574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12901),
  [12576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11388),
  [12578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__keyword_alter, 1, 0, 1),
  [12580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6538),
  [12582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11230),
  [12584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7346),
  [12586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3690),
  [12588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7340),
  [12590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12952),
  [12592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [12594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17833),
  [12596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5061),
  [12598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8797),
  [12600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10608),
  [12602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8954),
  [12604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8940),
  [12606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8806),
  [12608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [12610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8937),
  [12612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8921),
  [12614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8916),
  [12616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8814),
  [12618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8789),
  [12620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8818),
  [12622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8822),
  [12624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6096),
  [12626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10593),
  [12628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [12630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8880),
  [12632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8863),
  [12634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9012),
  [12636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8854),
  [12638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9039),
  [12640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8843),
  [12642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16216),
  [12644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4511),
  [12646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8783),
  [12648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8826),
  [12650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9050),
  [12652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8803),
  [12654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8778),
  [12656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8795),
  [12658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9045),
  [12660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9387),
  [12662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10604),
  [12664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [12666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9035),
  [12668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8755),
  [12670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9033),
  [12672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8747),
  [12674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8993),
  [12676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8739),
  [12678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8734),
  [12680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9028),
  [12682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8733),
  [12684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9026),
  [12686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8730),
  [12688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9024),
  [12690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10843),
  [12692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6107),
  [12694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8724),
  [12696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9013),
  [12698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9010),
  [12700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8719),
  [12702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9007),
  [12704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4523),
  [12706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8716),
  [12708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8714),
  [12710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6094),
  [12712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8703),
  [12714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8701),
  [12716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8996),
  [12718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8699),
  [12720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [12722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8912),
  [12724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7581),
  [12726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8989),
  [12728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8986),
  [12730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [12732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8687),
  [12734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11367),
  [12736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17504),
  [12738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11366),
  [12740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8676),
  [12742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [12744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8965),
  [12746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8960),
  [12748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [12750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8659),
  [12752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8947),
  [12754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8942),
  [12756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11442),
  [12758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15268),
  [12760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8654),
  [12762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4524),
  [12764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [12766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4525),
  [12768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10327),
  [12770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8647),
  [12772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8917),
  [12774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [12776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8864),
  [12778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12957),
  [12780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7558),
  [12782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [12784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10617),
  [12786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6114),
  [12788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9384),
  [12790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6104),
  [12792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6119),
  [12794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6102),
  [12796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10833),
  [12798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11409),
  [12800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11384),
  [12802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18856),
  [12804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4552),
  [12806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9382),
  [12808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [12810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15117),
  [12812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3569),
  [12814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3567),
  [12816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10841),
  [12818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [12820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5535),
  [12822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9380),
  [12824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5550),
  [12826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3555),
  [12828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [12830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2970),
  [12832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [12834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10625),
  [12836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11245),
  [12838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18032),
  [12840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10848),
  [12842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10850),
  [12844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10851),
  [12846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [12848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11139),
  [12850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13008),
  [12852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4478),
  [12854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3539),
  [12856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3538),
  [12858] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_struct_repeat1, 2, 0, 0), SHIFT_REPEAT(752),
  [12861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_struct_repeat1, 2, 0, 0),
  [12863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10637),
  [12865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13001),
  [12867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10826),
  [12869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4574),
  [12871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4575),
  [12873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [12875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6131),
  [12877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6542),
  [12879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11145),
  [12881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3530),
  [12883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18025),
  [12885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5482),
  [12887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10816),
  [12889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8523),
  [12891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10639),
  [12893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8519),
  [12895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9370),
  [12897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8506),
  [12899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10642),
  [12901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8504),
  [12903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8494),
  [12905] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_grant_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(18636),
  [12908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_grant_statement_repeat1, 2, 0, 0),
  [12910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8492),
  [12912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17580),
  [12914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10803),
  [12916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17579),
  [12918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17578),
  [12920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5426),
  [12922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17576),
  [12924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10797),
  [12926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16231),
  [12928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3958),
  [12930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3512),
  [12932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8475),
  [12934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9368),
  [12936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8472),
  [12938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8462),
  [12940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10930),
  [12942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8457),
  [12944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10791),
  [12946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3940),
  [12948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13940),
  [12950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15266),
  [12952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [12954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10818),
  [12956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8545),
  [12958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10756),
  [12960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16232),
  [12962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [12964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8577),
  [12966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3979),
  [12968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8584),
  [12970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10749),
  [12972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3986),
  [12974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6140),
  [12976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8828),
  [12978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10723),
  [12980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8830),
  [12982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10721),
  [12984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8737),
  [12986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10718),
  [12988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4096),
  [12990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8844),
  [12992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8845),
  [12994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8848),
  [12996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10710),
  [12998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4002),
  [13000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10708),
  [13002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [13004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5437),
  [13006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8862),
  [13008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [13010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10706),
  [13012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [13014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8867),
  [13016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10703),
  [13018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [13020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12983),
  [13022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8871),
  [13024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8872),
  [13026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10691),
  [13028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4026),
  [13030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10688),
  [13032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5439),
  [13034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10687),
  [13036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8885),
  [13038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8888),
  [13040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10680),
  [13042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8891),
  [13044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10675),
  [13046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [13048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10677),
  [13050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4032),
  [13052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2043),
  [13054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4035),
  [13056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4409),
  [13058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8910),
  [13060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4048),
  [13062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10693),
  [13064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10698),
  [13066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10702),
  [13068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [13070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8928),
  [13072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [13074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17174),
  [13076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6147),
  [13078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4056),
  [13080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10726),
  [13082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8945),
  [13084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10730),
  [13086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17173),
  [13088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10732),
  [13090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4061),
  [13092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10734),
  [13094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17172),
  [13096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4069),
  [13098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8968),
  [13100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17171),
  [13102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8991),
  [13104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [13106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16421),
  [13108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10760),
  [13110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4080),
  [13112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10762),
  [13114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [13116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4083),
  [13118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10767),
  [13120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4165),
  [13122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10769),
  [13124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [13126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4088),
  [13128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2072),
  [13130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10778),
  [13132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4097),
  [13134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10786),
  [13136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [13138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4099),
  [13140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [13142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9363),
  [13144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9361),
  [13146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4102),
  [13148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [13150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5456),
  [13152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4381),
  [13154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [13156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5462),
  [13158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [13160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4111),
  [13162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [13164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17943),
  [13166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [13168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5464),
  [13170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4117),
  [13172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12017),
  [13174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7140),
  [13176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5479),
  [13178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13188),
  [13180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [13182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_single_column_unpivot_repeat1, 2, 0, 0), SHIFT_REPEAT(11245),
  [13185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_single_column_unpivot_repeat1, 2, 0, 0),
  [13187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7006),
  [13189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12989),
  [13191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7185),
  [13193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7145),
  [13195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7146),
  [13197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4395),
  [13199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10654),
  [13201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17835),
  [13203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4410),
  [13205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [13207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10417),
  [13209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12938),
  [13211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3405),
  [13213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [13215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [13217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4121),
  [13219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4123),
  [13221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6983),
  [13223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11905),
  [13225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10539),
  [13227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11918),
  [13229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4132),
  [13231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11909),
  [13233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10359),
  [13235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11907),
  [13237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11839),
  [13239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4344),
  [13241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [13243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4138),
  [13245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4140),
  [13247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11841),
  [13249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4147),
  [13251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4156),
  [13253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9355),
  [13255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4342),
  [13257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11851),
  [13259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11853),
  [13261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11855),
  [13263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11858),
  [13265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4162),
  [13267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10671),
  [13269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11864),
  [13271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9270),
  [13273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5504),
  [13275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4335),
  [13277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11866),
  [13279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9277),
  [13281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10325),
  [13283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [13285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11868),
  [13287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4172),
  [13289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4333),
  [13291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11875),
  [13293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11877),
  [13295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9281),
  [13297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11879),
  [13299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6454),
  [13301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11882),
  [13303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [13305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8330),
  [13307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11883),
  [13309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11885),
  [13311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9288),
  [13313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10662),
  [13315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10319),
  [13317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10660),
  [13319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11922),
  [13321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9301),
  [13323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4699),
  [13325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10659),
  [13327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11973),
  [13329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9312),
  [13331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11976),
  [13333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9316),
  [13335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11978),
  [13337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9318),
  [13339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5511),
  [13341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [13343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16715),
  [13345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6610),
  [13347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10656),
  [13349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9324),
  [13351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11994),
  [13353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9326),
  [13355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11835),
  [13357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12000),
  [13359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10318),
  [13361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12004),
  [13363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9328),
  [13365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10317),
  [13367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7666),
  [13369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9332),
  [13371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12878),
  [13373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4710),
  [13375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10652),
  [13377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5520),
  [13379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11988),
  [13381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9508),
  [13383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [13385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9531),
  [13387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10649),
  [13389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9533),
  [13391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9536),
  [13393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9353),
  [13395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9538),
  [13397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9542),
  [13399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10306),
  [13401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11982),
  [13403] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_statement_repeat1, 2, 0, 99), SHIFT_REPEAT(201),
  [13406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11971),
  [13408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9595),
  [13410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [13412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9605),
  [13414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [13416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9608),
  [13418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_list_repeat1, 2, 0, 0), SHIFT_REPEAT(290),
  [13421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13150),
  [13423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11962),
  [13425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10631),
  [13427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10626),
  [13429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10620),
  [13431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9624),
  [13433] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__grouping_list_repeat1, 2, 0, 0), SHIFT_REPEAT(645),
  [13436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9621),
  [13438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10297),
  [13440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9610),
  [13442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9607),
  [13444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10295),
  [13446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5568),
  [13448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6452),
  [13450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [13452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [13454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5564),
  [13456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9583),
  [13458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9575),
  [13460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10668),
  [13462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [13464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9230),
  [13466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5497),
  [13468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9125),
  [13470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [13472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7151),
  [13474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8066),
  [13476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5547),
  [13478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9517),
  [13480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11232),
  [13482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6647),
  [13484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9566),
  [13486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [13488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3667),
  [13490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [13492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5544),
  [13494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11224),
  [13496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14253),
  [13498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12927),
  [13500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4323),
  [13502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5542),
  [13504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4321),
  [13506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2820),
  [13508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2811),
  [13510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5526),
  [13512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4405),
  [13514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5611),
  [13516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5615),
  [13518] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pivot_operator_repeat2, 2, 0, 0), SHIFT_REPEAT(731),
  [13521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pivot_operator_repeat2, 2, 0, 0),
  [13523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5521),
  [13525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11495),
  [13527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5267),
  [13529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5517),
  [13531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11286),
  [13533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16195),
  [13535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17802),
  [13537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5514),
  [13539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4319),
  [13541] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_multi_column_unpivot_repeat1, 2, 0, 0), SHIFT_REPEAT(11587),
  [13544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_multi_column_unpivot_repeat1, 2, 0, 0),
  [13546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6092),
  [13548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5635),
  [13550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9393),
  [13552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5554),
  [13554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2839),
  [13556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5493),
  [13558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4316),
  [13560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2842),
  [13562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5489),
  [13564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17838),
  [13566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6427),
  [13568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17621),
  [13570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4406),
  [13572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17587),
  [13574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9395),
  [13576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2849),
  [13578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5457),
  [13580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4451),
  [13582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12885),
  [13584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [13586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5648),
  [13588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5649),
  [13590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [13592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2851),
  [13594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [13596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10309),
  [13598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2926),
  [13600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2925),
  [13602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4310),
  [13604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2869),
  [13606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2871),
  [13608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10455),
  [13610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4445),
  [13612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4308),
  [13614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11336),
  [13616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17381),
  [13618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17380),
  [13620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5655),
  [13622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2874),
  [13624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4306),
  [13626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [13628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5382),
  [13630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10605),
  [13632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11591),
  [13634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5374),
  [13636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2881),
  [13638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2883),
  [13640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13769),
  [13642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9397),
  [13644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2886),
  [13646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5442),
  [13648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4404),
  [13650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2895),
  [13652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [13654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3955),
  [13656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2899),
  [13658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2903),
  [13660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [13662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3962),
  [13664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9404),
  [13666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2906),
  [13668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5671),
  [13670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10421),
  [13672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4298),
  [13674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4296),
  [13676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3966),
  [13678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16173),
  [13680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2907),
  [13682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15986),
  [13684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2909),
  [13686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4294),
  [13688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3974),
  [13690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7235),
  [13692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2920),
  [13694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7232),
  [13696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3981),
  [13698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2923),
  [13700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16165),
  [13702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16164),
  [13704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3992),
  [13706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3995),
  [13708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9406),
  [13710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3998),
  [13712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10600),
  [13714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13055),
  [13716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10184),
  [13718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4007),
  [13720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12985),
  [13722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4010),
  [13724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4291),
  [13726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10388),
  [13728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10387),
  [13730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10386),
  [13732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4014),
  [13734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2928),
  [13736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5424),
  [13738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4019),
  [13740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2941),
  [13742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4290),
  [13744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6423),
  [13746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4028),
  [13748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4031),
  [13750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2946),
  [13752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4033),
  [13754] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_struct_repeat1, 2, 0, 0), SHIFT_REPEAT(12017),
  [13757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_struct_repeat1, 2, 0, 0),
  [13759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7120),
  [13761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4039),
  [13763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5470),
  [13765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4042),
  [13767] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_call_repeat1, 2, 0, 0), SHIFT_REPEAT(613),
  [13770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4045),
  [13772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2948),
  [13774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6421),
  [13776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10594),
  [13778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2964),
  [13780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4060),
  [13782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4063),
  [13784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4066),
  [13786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2943),
  [13788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(15117),
  [13791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [13793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12979),
  [13795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9376),
  [13797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10385),
  [13799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10590),
  [13801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4081),
  [13803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8895),
  [13805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4087),
  [13807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4090),
  [13809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2936),
  [13811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4093),
  [13813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5508),
  [13815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7865),
  [13817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2911),
  [13819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8926),
  [13821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2896),
  [13823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6409),
  [13825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7112),
  [13827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4116),
  [13829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4119),
  [13831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6088),
  [13833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11374),
  [13835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4134),
  [13837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2667),
  [13839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4137),
  [13841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6618),
  [13843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9556),
  [13845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12996),
  [13847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4155),
  [13849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10576),
  [13851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4158),
  [13853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2670),
  [13855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7886),
  [13857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9548),
  [13859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3656),
  [13861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10173),
  [13863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4288),
  [13865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14293),
  [13867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3180),
  [13869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4218),
  [13871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9411),
  [13873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7459),
  [13875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7868),
  [13877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18636),
  [13879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11247),
  [13881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7866),
  [13883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10569),
  [13885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11257),
  [13887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4282),
  [13889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9412),
  [13891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7907),
  [13893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6082),
  [13895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7819),
  [13897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7912),
  [13899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3189),
  [13901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17583),
  [13903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13135),
  [13905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6388),
  [13907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10382),
  [13909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6080),
  [13911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4279),
  [13913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3028),
  [13915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16097),
  [13917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17549),
  [13919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9414),
  [13921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9541),
  [13923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6327),
  [13925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12898),
  [13927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5647),
  [13929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7778),
  [13931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7776),
  [13933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10567),
  [13935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4277),
  [13937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7938),
  [13939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4275),
  [13941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7485),
  [13943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6320),
  [13945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7486),
  [13947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [13949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5577),
  [13951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7763),
  [13953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10574),
  [13955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4269),
  [13957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6079),
  [13959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9506),
  [13961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10561),
  [13963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4267),
  [13965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10559),
  [13967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5388),
  [13969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7978),
  [13971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4265),
  [13973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7982),
  [13975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5369),
  [13977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6806),
  [13979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6076),
  [13981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6512),
  [13983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7513),
  [13985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6744),
  [13987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7712),
  [13989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2690),
  [13991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4258),
  [13993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6074),
  [13995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6724),
  [13997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9511),
  [13999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16072),
  [14001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6522),
  [14003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6071),
  [14005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6702),
  [14007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6747),
  [14009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9423),
  [14011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9914),
  [14013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16070),
  [14015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9628),
  [14017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6792),
  [14019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6807),
  [14021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16064),
  [14023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6819),
  [14025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7195),
  [14027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [14029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6894),
  [14031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16062),
  [14033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6925),
  [14035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4977),
  [14037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4966),
  [14039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13147),
  [14041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6942),
  [14043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4981),
  [14045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [14047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6697),
  [14049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4984),
  [14051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5062),
  [14053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4253),
  [14055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5085),
  [14057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7043),
  [14059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9503),
  [14061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7054),
  [14063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9501),
  [14065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7061),
  [14067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9499),
  [14069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7079),
  [14071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5077),
  [14073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7091),
  [14075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5007),
  [14077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7095),
  [14079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5073),
  [14081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [14083] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__column_definition_type_struct_repeat1, 2, 0, 0), SHIFT_REPEAT(11451),
  [14086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__column_definition_type_struct_repeat1, 2, 0, 0),
  [14088] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_type_repeat1, 2, 0, 0), SHIFT_REPEAT(11691),
  [14091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_column_type_repeat1, 2, 0, 0),
  [14093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [14095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7058),
  [14097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [14099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7015),
  [14101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9487),
  [14103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6945),
  [14105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5069),
  [14107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11451),
  [14109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16444),
  [14111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9481),
  [14113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8706),
  [14115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8963),
  [14117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8433),
  [14119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8688),
  [14121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6888),
  [14123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8435),
  [14125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [14127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6869),
  [14129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6858),
  [14131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [14133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6833),
  [14135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5032),
  [14137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8682),
  [14139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5025),
  [14141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8663),
  [14143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8657),
  [14145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8651),
  [14147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6712),
  [14149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5004),
  [14151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6717),
  [14153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13800),
  [14155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [14157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8640),
  [14159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8636),
  [14161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9426),
  [14163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6736),
  [14165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_quantitve_like_patterns_repeat1, 2, 0, 0), SHIFT_REPEAT(16216),
  [14168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_quantitve_like_patterns_repeat1, 2, 0, 0),
  [14170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6741),
  [14172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9461),
  [14174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2709),
  [14176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3871),
  [14178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6762),
  [14180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9431),
  [14182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6764),
  [14184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13017),
  [14186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2712),
  [14188] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_table_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(11232),
  [14191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_table_parameters_repeat1, 2, 0, 0),
  [14193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5008),
  [14195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3868),
  [14197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4970),
  [14199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [14201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5041),
  [14203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15402),
  [14205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12945),
  [14207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12975),
  [14209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18475),
  [14211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3846),
  [14213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9309),
  [14215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5063),
  [14217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4247),
  [14219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9298),
  [14221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9296),
  [14223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9291),
  [14225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9289),
  [14227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4876),
  [14229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [14231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5068),
  [14233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2715),
  [14235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9286),
  [14237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3393),
  [14239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7779),
  [14241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5079),
  [14243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3849),
  [14245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4244),
  [14247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [14249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9254),
  [14251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5097),
  [14253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dotted_identifier, 2, 0, 0),
  [14255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4852),
  [14257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9248),
  [14259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4239),
  [14261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3407),
  [14263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9245),
  [14265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3831),
  [14267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5028),
  [14269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7123),
  [14271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9223),
  [14273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9744),
  [14275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9217),
  [14277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3828),
  [14279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7127),
  [14281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9215),
  [14283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5016),
  [14285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9212),
  [14287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3209),
  [14289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9510),
  [14291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2716),
  [14293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5921),
  [14295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4974),
  [14297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [14299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9189),
  [14301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9177),
  [14303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5915),
  [14305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4978),
  [14307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9527),
  [14309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4986),
  [14311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9159),
  [14313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9155),
  [14315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9119),
  [14317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5904),
  [14319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9055),
  [14321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4999),
  [14323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4856),
  [14325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5893),
  [14327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5012),
  [14329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [14331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9428),
  [14333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5881),
  [14335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3804),
  [14337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [14339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [14341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5858),
  [14343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3800),
  [14345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5853),
  [14347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5841),
  [14349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5021),
  [14351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3797),
  [14353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [14355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [14357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2272),
  [14359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5823),
  [14361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5802),
  [14363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5790),
  [14365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3791),
  [14367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13806),
  [14369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [14371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [14373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5772),
  [14375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3206),
  [14377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5029),
  [14379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2281),
  [14381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12971),
  [14383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2214),
  [14385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5632),
  [14387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [14389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5805),
  [14391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2261),
  [14393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5933),
  [14395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5042),
  [14397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5953),
  [14399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5958),
  [14401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8247),
  [14403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5967),
  [14405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3637),
  [14407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9894),
  [14409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [14411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [14413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5743),
  [14415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12913),
  [14417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5735),
  [14419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5716),
  [14421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [14423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9891),
  [14425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9728),
  [14427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [14429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5674),
  [14431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11269),
  [14433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5662),
  [14435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5594),
  [14437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [14439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5602),
  [14441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3777),
  [14443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9937),
  [14445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [14447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [14449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3774),
  [14451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5136),
  [14453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5729),
  [14455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5737),
  [14457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5272),
  [14459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3771),
  [14461] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(11224),
  [14464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_function_parameters_repeat1, 2, 0, 0),
  [14466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5889),
  [14468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [14470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5876),
  [14472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11587),
  [14474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16257),
  [14476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [14478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [14480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pivot_operator_repeat1, 2, 0, 0),
  [14482] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pivot_operator_repeat1, 2, 0, 0), SHIFT_REPEAT(11243),
  [14485] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_procedure_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(11286),
  [14488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_procedure_parameters_repeat1, 2, 0, 0),
  [14490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [14492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5828),
  [14494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [14496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5819),
  [14498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [14500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5572),
  [14502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9432),
  [14504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [14506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2729),
  [14508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3210),
  [14510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4840),
  [14512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [14514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3211),
  [14516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4839),
  [14518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4837),
  [14520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12978),
  [14522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12941),
  [14524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [14526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5122),
  [14528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4834),
  [14530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7452),
  [14532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7453),
  [14534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3756),
  [14536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3753),
  [14538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [14540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5575),
  [14542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9940),
  [14544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [14546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5573),
  [14548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18722),
  [14550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4817),
  [14552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11330),
  [14554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19179),
  [14556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19180),
  [14558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5574),
  [14560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [14562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9941),
  [14564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18724),
  [14566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18725),
  [14568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3750),
  [14570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3223),
  [14572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18727),
  [14574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [14576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [14578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3255),
  [14580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [14582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [14584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3265),
  [14586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11271),
  [14588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3744),
  [14590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3742),
  [14592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16143),
  [14594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [14596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4861),
  [14598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [14600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3268),
  [14602] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_all_replace_repeat1, 2, 0, 0), SHIFT_REPEAT(632),
  [14605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_select_all_replace_repeat1, 2, 0, 0),
  [14607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [14609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [14611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4871),
  [14613] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_all_except_repeat1, 2, 0, 155), SHIFT_REPEAT(11591),
  [14616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_select_all_except_repeat1, 2, 0, 155),
  [14618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3273),
  [14620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3739),
  [14622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_identifier_repeat1, 1, 0, 0),
  [14624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5319),
  [14626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [14628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3280),
  [14630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3234),
  [14632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [14634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16019),
  [14636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9574),
  [14638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3289),
  [14640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3291),
  [14642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3293),
  [14644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3236),
  [14646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [14648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9438),
  [14650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [14652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16017),
  [14654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3299),
  [14656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3301),
  [14658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16016),
  [14660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16013),
  [14662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3303),
  [14664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9440),
  [14666] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_option_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(11442),
  [14669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_option_clause_repeat1, 2, 0, 0),
  [14671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3306),
  [14673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [14675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6063),
  [14677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3314),
  [14679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3316),
  [14681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [14683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3318),
  [14685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9107),
  [14687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9587),
  [14689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3324),
  [14691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3327),
  [14693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_content, 1, 0, 168),
  [14695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3329),
  [14697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9442),
  [14699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_content, 1, 0, 0),
  [14701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9465),
  [14703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [14705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [14707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3336),
  [14709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9073),
  [14711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3338),
  [14713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9075),
  [14715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3340),
  [14717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9951),
  [14719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8593),
  [14721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9460),
  [14723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2379),
  [14725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8589),
  [14727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3730),
  [14729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3346),
  [14731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [14733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3349),
  [14735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8579),
  [14737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3351),
  [14739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8576),
  [14741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3353),
  [14743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8575),
  [14745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8571),
  [14747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8569),
  [14749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8567),
  [14751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8556),
  [14753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3363),
  [14755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8554),
  [14757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3365),
  [14759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3631),
  [14761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8550),
  [14763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3793),
  [14765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2465),
  [14767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3370),
  [14769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3372),
  [14771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [14773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [14775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [14777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2373),
  [14779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_list, 1, 0, 0),
  [14781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11691),
  [14783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6047),
  [14785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3222),
  [14787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6048),
  [14789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3200),
  [14791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3720),
  [14793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [14795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9083),
  [14797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9086),
  [14799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9095),
  [14801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9098),
  [14803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3717),
  [14805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3708),
  [14807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [14809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9116),
  [14811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13814),
  [14813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [14815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9120),
  [14817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16201),
  [14819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [14821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9132),
  [14823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9137),
  [14825] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_join_condition_repeat1, 2, 0, 260), SHIFT_REPEAT(11495),
  [14828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_join_condition_repeat1, 2, 0, 260),
  [14830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [14832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3653),
  [14834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6007),
  [14836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2444),
  [14838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5751),
  [14840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5985),
  [14842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3601),
  [14844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6009),
  [14846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [14848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [14850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [14852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2438),
  [14854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2436),
  [14856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9239),
  [14858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [14860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5957),
  [14862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [14864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5969),
  [14866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [14868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6016),
  [14870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11327),
  [14872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19210),
  [14874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19211),
  [14876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2410),
  [14878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [14880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6018),
  [14882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [14884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3610),
  [14886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2412),
  [14888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [14890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [14892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9231),
  [14894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13740),
  [14896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2485),
  [14898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9227),
  [14900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2403),
  [14902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13762),
  [14904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9455),
  [14906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6059),
  [14908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [14910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6027),
  [14912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3617),
  [14914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13780),
  [14916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9224),
  [14918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2391),
  [14920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9449),
  [14922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [14924] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_grouping_sets_repeat1, 2, 0, 0), SHIFT_REPEAT(121),
  [14927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_grouping_sets_repeat1, 2, 0, 0),
  [14929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5582),
  [14931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13799),
  [14933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7456),
  [14935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2382),
  [14937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5583),
  [14939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11329),
  [14941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19218),
  [14943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19219),
  [14945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5584),
  [14947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13824),
  [14949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2463),
  [14951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [14953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13844),
  [14955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16099),
  [14957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13848),
  [14959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [14961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13853),
  [14963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2413),
  [14965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9205),
  [14967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13321),
  [14969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [14971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9199),
  [14973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14004),
  [14975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13894),
  [14977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4354),
  [14979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8124),
  [14981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16609),
  [14983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [14985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13902),
  [14987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2356),
  [14989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2477),
  [14991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13912),
  [14993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [14995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [14997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9171),
  [14999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9154),
  [15001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13932),
  [15003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9157),
  [15005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13941),
  [15007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6046),
  [15009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13943),
  [15011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2508),
  [15013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9233),
  [15015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13950),
  [15017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9173),
  [15019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13953),
  [15021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9176),
  [15023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13964),
  [15025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3625),
  [15027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9180),
  [15029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9182),
  [15031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9184),
  [15033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [15035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13981),
  [15037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13983),
  [15039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9192),
  [15041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13988),
  [15043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [15045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2494),
  [15047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9196),
  [15049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [15051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6042),
  [15053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2435),
  [15055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13998),
  [15057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [15059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14113),
  [15061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14019),
  [15063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6040),
  [15065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14022),
  [15067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2450),
  [15069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [15071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6038),
  [15073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [15075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [15077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [15079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8511),
  [15081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5977),
  [15083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14061),
  [15085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8503),
  [15087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14067),
  [15089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8500),
  [15091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8497),
  [15093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2725),
  [15095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5975),
  [15097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14089),
  [15099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_list, 2, 0, 0),
  [15101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14095),
  [15103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8471),
  [15105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8514),
  [15107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8464),
  [15109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8461),
  [15111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14192),
  [15113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8045),
  [15115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14119),
  [15117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16554),
  [15119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13744),
  [15121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12149),
  [15123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [15125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13173),
  [15127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13169),
  [15129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_numeric_preceding, 2, 0, 0),
  [15131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15991),
  [15133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16115),
  [15135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19203),
  [15137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15517),
  [15139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11315),
  [15141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [15143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11450),
  [15145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [15147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11301),
  [15149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_current_row, 2, 0, 196),
  [15151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_unbounded_preceding, 2, 0, 195),
  [15153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13179),
  [15155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13178),
  [15157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [15159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15401),
  [15161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13186),
  [15163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13183),
  [15165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [15167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13106),
  [15169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13105),
  [15171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [15173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12091),
  [15175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [15177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13187),
  [15179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13191),
  [15181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13160),
  [15183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13158),
  [15185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [15187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12090),
  [15189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [15191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13193),
  [15193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13194),
  [15195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pivot_value, 2, 0, 0),
  [15197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13022),
  [15199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13125),
  [15201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15595),
  [15203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [15205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [15207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13138),
  [15209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13146),
  [15211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [15213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12045),
  [15215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12145),
  [15217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13165),
  [15219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13162),
  [15221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15683),
  [15223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13117),
  [15225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13116),
  [15227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [15229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [15231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13060),
  [15233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13061),
  [15235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13109),
  [15237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13057),
  [15239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12095),
  [15241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13113),
  [15243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13112),
  [15245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12059),
  [15247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18679),
  [15249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [15251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13108),
  [15253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13103),
  [15255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16818),
  [15257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7554),
  [15259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18678),
  [15261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18555),
  [15263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [15265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13096),
  [15267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13094),
  [15269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11751),
  [15271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15666),
  [15273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15375),
  [15275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16828),
  [15277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15896),
  [15279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_select_all_except_repeat1, 2, 0, 153),
  [15281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [15283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16228),
  [15285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15248),
  [15287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12080),
  [15289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16291),
  [15291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11226),
  [15293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15004),
  [15295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13034),
  [15297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13032),
  [15299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15838),
  [15301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [15303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_parameters, 4, 0, 0),
  [15305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_argument, 3, 0, 149),
  [15307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15825),
  [15309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15813),
  [15311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [15313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [15315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11394),
  [15317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16299),
  [15319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_numeric_following, 2, 0, 0),
  [15321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [15323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [15325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13121),
  [15327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13122),
  [15329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11607),
  [15331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18591),
  [15333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12950),
  [15335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12947),
  [15337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16266),
  [15339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16241),
  [15341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint_definition, 3, 0, 144),
  [15343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12118),
  [15345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_quantitve_like_patterns_repeat1, 2, 0, 106),
  [15347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11266),
  [15349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [15351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12140),
  [15353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range_boundary_start, 1, 0, 0),
  [15355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_struct_repeat1, 3, 0, 0),
  [15357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [15359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12137),
  [15361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [15363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12136),
  [15365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_join_condition_repeat1, 2, 0, 258),
  [15367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15930),
  [15369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [15371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16296),
  [15373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16236),
  [15375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_replace_expression, 2, 0, 0),
  [15377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16219),
  [15379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [15381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12131),
  [15383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_argument, 2, 0, 0),
  [15385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_parameters, 3, 0, 0),
  [15387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16142),
  [15389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15579),
  [15391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11809),
  [15393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function_parameter, 2, 0, 0),
  [15395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [15397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12130),
  [15399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15574),
  [15401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [15403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12128),
  [15405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [15407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5670),
  [15409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5669),
  [15411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [15413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12083),
  [15415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [15417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [15419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [15421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12092),
  [15423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16322),
  [15425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [15427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12132),
  [15429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17378),
  [15431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join_type, 1, 0, 0),
  [15433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11424),
  [15435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [15437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12127),
  [15439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15282),
  [15441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_multi_column_unpivot_repeat1, 2, 0, 235),
  [15443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16196),
  [15445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_parameters, 2, 0, 0),
  [15447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pivot_operator_repeat2, 2, 0, 282),
  [15449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15802),
  [15451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15800),
  [15453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15193),
  [15455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18923),
  [15457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15557),
  [15459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18925),
  [15461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15663),
  [15463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function_parameter, 1, 0, 0),
  [15465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17424),
  [15467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11615),
  [15469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint_definition, 1, 0, 0),
  [15471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [15473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12125),
  [15475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16213),
  [15477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12949),
  [15479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [15481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12123),
  [15483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [15485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12112),
  [15487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16162),
  [15489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unpivot_column, 3, 0, 284),
  [15491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12912),
  [15493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [15495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12111),
  [15497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11385),
  [15499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16346),
  [15501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16273),
  [15503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12951),
  [15505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12948),
  [15507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12960),
  [15509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [15511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12100),
  [15513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [15515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12089),
  [15517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16264),
  [15519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16178),
  [15521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16193),
  [15523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7507),
  [15525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17507),
  [15527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11537),
  [15529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11365),
  [15531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12889),
  [15533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12890),
  [15535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [15537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12085),
  [15539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [15541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5545),
  [15543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5468),
  [15545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5548),
  [15547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5527),
  [15549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5523),
  [15551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5485),
  [15553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5474),
  [15555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5423),
  [15557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5427),
  [15559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6093),
  [15561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6095),
  [15563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [15565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [15567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6097),
  [15569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6098),
  [15571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [15573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [15575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6103),
  [15577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [15579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [15581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6106),
  [15583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6108),
  [15585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [15587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [15589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6109),
  [15591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [15593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [15595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6115),
  [15597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [15599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [15601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [15603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [15605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6121),
  [15607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [15609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [15611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [15613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [15615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6142),
  [15617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5536),
  [15619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [15621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [15623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5519),
  [15625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [15627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [15629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6559),
  [15631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5501),
  [15633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [15635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5498),
  [15637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__window_frame_end_a, 1, 0, 0),
  [15639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5466),
  [15641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5428),
  [15643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5431),
  [15645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [15647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [15649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5433),
  [15651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5435),
  [15653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5438),
  [15655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5440),
  [15657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5441),
  [15659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [15661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5443),
  [15663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12946),
  [15665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12934),
  [15667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6149),
  [15669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5444),
  [15671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5446),
  [15673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5447),
  [15675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5449),
  [15677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5459),
  [15679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5463),
  [15681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5420),
  [15683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5477),
  [15685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5484),
  [15687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5492),
  [15689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5421),
  [15691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13562),
  [15693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5510),
  [15695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [15697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13561),
  [15699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5512),
  [15701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_function_returns, 6, 0, 0),
  [15703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5531),
  [15705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8417),
  [15707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [15709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5540),
  [15711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11397),
  [15713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12339),
  [15715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [15717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5546),
  [15719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5553),
  [15721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14934),
  [15723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5569),
  [15725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5557),
  [15727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12697),
  [15729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8419),
  [15731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5555),
  [15733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5552),
  [15735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5543),
  [15737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__window_frame_end_c, 1, 0, 0),
  [15739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5537),
  [15741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17074),
  [15743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [15745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_frame_between, 4, 0, 248),
  [15747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11393),
  [15749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5524),
  [15751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5518),
  [15753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11240),
  [15755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5516),
  [15757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5513),
  [15759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5506),
  [15761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5494),
  [15763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16713),
  [15765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [15767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5490),
  [15769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5483),
  [15771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5475),
  [15773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [15775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11467),
  [15777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5453),
  [15779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5436),
  [15781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12776),
  [15783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14840),
  [15785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5473),
  [15787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6089),
  [15789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6407),
  [15791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5461),
  [15793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [15795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6084),
  [15797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6083),
  [15799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12471),
  [15801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [15803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12677),
  [15805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6081),
  [15807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [15809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [15811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6391),
  [15813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6078),
  [15815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6077),
  [15817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [15819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [15821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6075),
  [15823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6536),
  [15825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6072),
  [15827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7419),
  [15829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [15831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13227),
  [15833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [15835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [15837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [15839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [15841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7604),
  [15843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [15845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13231),
  [15847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [15849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [15851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [15853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [15855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [15857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [15859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [15861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [15863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_function_returns, 5, 0, 0),
  [15865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8429),
  [15867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8430),
  [15869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8431),
  [15871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8432),
  [15873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [15875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8434),
  [15877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [15879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11181),
  [15881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11162),
  [15883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [15885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [15887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [15889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [15891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [15893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [15895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [15897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12443),
  [15899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [15901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [15903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [15905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [15907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [15909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [15911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [15913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12415),
  [15915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9417),
  [15917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [15919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [15921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [15923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [15925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12409),
  [15927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9525),
  [15929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [15931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [15933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8437),
  [15935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [15937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [15939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [15941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8438),
  [15943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8439),
  [15945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8440),
  [15947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8442),
  [15949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6782),
  [15951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [15953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [15955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [15957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [15959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [15961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_end, 2, 0, 0),
  [15963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_boundary_end, 1, 0, 0),
  [15965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8230),
  [15967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [15969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [15971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [15973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [15975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [15977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [15979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5530),
  [15981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5148),
  [15983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5146),
  [15985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16479),
  [15987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [15989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [15991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [15993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [15995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16486),
  [15997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [15999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [16001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [16003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6067),
  [16005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16491),
  [16007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [16009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [16011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [16013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [16015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [16017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [16019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [16021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [16023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [16025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [16027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [16029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6030),
  [16031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11616),
  [16033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [16035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [16037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6050),
  [16039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [16041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [16043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [16045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [16047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [16049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6064),
  [16051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [16053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [16055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [16057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12231),
  [16059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9586),
  [16061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [16063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6062),
  [16065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9240),
  [16067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [16069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [16071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6015),
  [16073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [16075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9235),
  [16077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9243),
  [16079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9229),
  [16081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9225),
  [16083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6052),
  [16085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [16087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9214),
  [16089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9209),
  [16091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6051),
  [16093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9202),
  [16095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [16097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6507),
  [16099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13994),
  [16101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6068),
  [16103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [16105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [16107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8507),
  [16109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [16111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6044),
  [16113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [16115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [16117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13294),
  [16119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13297),
  [16121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6041),
  [16123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13298),
  [16125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17406),
  [16127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6039),
  [16129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [16131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6686),
  [16133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8363),
  [16135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [16137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14137),
  [16139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14132),
  [16141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14128),
  [16143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14127),
  [16145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [16147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [16149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14126),
  [16151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [16153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14122),
  [16155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14115),
  [16157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8463),
  [16159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14110),
  [16161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8465),
  [16163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8466),
  [16165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8467),
  [16167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8468),
  [16169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14107),
  [16171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8470),
  [16173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14105),
  [16175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8474),
  [16177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8476),
  [16179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8477),
  [16181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8479),
  [16183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8480),
  [16185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8481),
  [16187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8483),
  [16189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14102),
  [16191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14100),
  [16193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5949),
  [16195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14090),
  [16197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14081),
  [16199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14079),
  [16201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8499),
  [16203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14076),
  [16205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8502),
  [16207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14073),
  [16209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14064),
  [16211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8510),
  [16213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14055),
  [16215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8512),
  [16217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14051),
  [16219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14045),
  [16221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14044),
  [16223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14043),
  [16225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14037),
  [16227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14032),
  [16229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14020),
  [16231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14017),
  [16233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14002),
  [16235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14000),
  [16237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9197),
  [16239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13997),
  [16241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6045),
  [16243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9193),
  [16245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13993),
  [16247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13984),
  [16249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13982),
  [16251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9186),
  [16253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9185),
  [16255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13975),
  [16257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9183),
  [16259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13974),
  [16261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13972),
  [16263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9179),
  [16265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9178),
  [16267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13970),
  [16269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9175),
  [16271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13958),
  [16273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9172),
  [16275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13952),
  [16277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13949),
  [16279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13948),
  [16281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9166),
  [16283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9165),
  [16285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9163),
  [16287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9162),
  [16289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9156),
  [16291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13937),
  [16293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9151),
  [16295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13927),
  [16297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13925),
  [16299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6035),
  [16301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9145),
  [16303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9143),
  [16305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13908),
  [16307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7105),
  [16309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8172),
  [16311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [16313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7823),
  [16315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12201),
  [16317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13896),
  [16319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6034),
  [16321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6033),
  [16323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13892),
  [16325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16543),
  [16327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13866),
  [16329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13865),
  [16331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14328),
  [16333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [16335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [16337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6032),
  [16339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16617),
  [16341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [16343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [16345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [16347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13852),
  [16349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13845),
  [16351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13840),
  [16353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [16355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13837),
  [16357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6001),
  [16359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13822),
  [16361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13796),
  [16363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5995),
  [16365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6029),
  [16367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6026),
  [16369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [16371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13750),
  [16373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6024),
  [16375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13739),
  [16377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [16379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6023),
  [16381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [16383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6022),
  [16385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [16387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6019),
  [16389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6017),
  [16391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16646),
  [16393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6031),
  [16395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [16397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [16399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5970),
  [16401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [16403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [16405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6014),
  [16407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6013),
  [16409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6012),
  [16411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6010),
  [16413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11590),
  [16415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15976),
  [16417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [16419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [16421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6008),
  [16423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6006),
  [16425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7187),
  [16427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [16429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9138),
  [16431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9136),
  [16433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9134),
  [16435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6005),
  [16437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9130),
  [16439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6004),
  [16441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9117),
  [16443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6003),
  [16445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2808),
  [16447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6002),
  [16449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9112),
  [16451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9110),
  [16453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9105),
  [16455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9103),
  [16457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9101),
  [16459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9100),
  [16461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9099),
  [16463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3350),
  [16465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9097),
  [16467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6448),
  [16469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9094),
  [16471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9089),
  [16473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9088),
  [16475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9087),
  [16477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3128),
  [16479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9472),
  [16481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3129),
  [16483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15953),
  [16485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13389),
  [16487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3130),
  [16489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13390),
  [16491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13391),
  [16493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11456),
  [16495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3131),
  [16497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3132),
  [16499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6049),
  [16501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3175),
  [16503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3201),
  [16505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15988),
  [16507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3312),
  [16509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3233),
  [16511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3237),
  [16513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [16515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3238),
  [16517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [16519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3317),
  [16521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [16523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [16525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8277),
  [16527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8543),
  [16529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8544),
  [16531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3371),
  [16533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3369),
  [16535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3368),
  [16537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3367),
  [16539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8551),
  [16541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3366),
  [16543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8555),
  [16545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3364),
  [16547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8557),
  [16549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8558),
  [16551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8559),
  [16553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8560),
  [16555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3362),
  [16557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3361),
  [16559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3360),
  [16561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8568),
  [16563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3359),
  [16565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8570),
  [16567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3358),
  [16569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8573),
  [16571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8574),
  [16573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3357),
  [16575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3356),
  [16577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8578),
  [16579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3352),
  [16581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8580),
  [16583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8583),
  [16585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3290),
  [16587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3348),
  [16589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3347),
  [16591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8590),
  [16593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3345),
  [16595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3344),
  [16597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9081),
  [16599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9080),
  [16601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9079),
  [16603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9078),
  [16605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9076),
  [16607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3343),
  [16609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9074),
  [16611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3339),
  [16613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9072),
  [16615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9071),
  [16617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9070),
  [16619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9069),
  [16621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8594),
  [16623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3337),
  [16625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_frame_start, 1, 0, 0),
  [16627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_frame_clause, 2, 0, 0),
  [16629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [16631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15999),
  [16633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16000),
  [16635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3335),
  [16637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_format_clause, 2, 0, 169),
  [16639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3334),
  [16641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_start, 2, 0, 0),
  [16643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3333),
  [16645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3332),
  [16647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [16649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3328),
  [16651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11491),
  [16653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3326),
  [16655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3323),
  [16657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3319),
  [16659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3315),
  [16661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3313),
  [16663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [16665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3260),
  [16667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [16669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3305),
  [16671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3302),
  [16673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3300),
  [16675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3298),
  [16677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3297),
  [16679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3292),
  [16681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16825),
  [16683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9068),
  [16685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9065),
  [16687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3288),
  [16689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3287),
  [16691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [16693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [16695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3279),
  [16697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [16699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [16701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3272),
  [16703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4881),
  [16705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11601),
  [16707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6309),
  [16709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11344),
  [16711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11343),
  [16713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3264),
  [16715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5114),
  [16717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3254),
  [16719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [16721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [16723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4819),
  [16725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [16727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [16729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4833),
  [16731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [16733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_unbounded_following, 2, 0, 264),
  [16735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [16737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3375),
  [16739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13815),
  [16741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5757),
  [16743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5761),
  [16745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5776),
  [16747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5781),
  [16749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5796),
  [16751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5803),
  [16753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [16755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5821),
  [16757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5831),
  [16759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5834),
  [16761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5843),
  [16763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5851),
  [16765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5861),
  [16767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3399),
  [16769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11551),
  [16771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5877),
  [16773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5895),
  [16775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5905),
  [16777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5961),
  [16779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5826),
  [16781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5732),
  [16783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5726),
  [16785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5717),
  [16787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16881),
  [16789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5705),
  [16791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [16793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5700),
  [16795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5692),
  [16797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5686),
  [16799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5621),
  [16801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [16803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5598),
  [16805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5592),
  [16807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5663),
  [16809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5665),
  [16811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5677),
  [16813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5680),
  [16815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5687),
  [16817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5723),
  [16819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5738),
  [16821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [16823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5744),
  [16825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5765),
  [16827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5808),
  [16829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5875),
  [16831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5964),
  [16833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5956),
  [16835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5950),
  [16837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5946),
  [16839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5637),
  [16841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5628),
  [16843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5617),
  [16845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [16847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [16849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5774),
  [16851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5795),
  [16853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [16855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5813),
  [16857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5824),
  [16859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5829),
  [16861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11190),
  [16863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6713),
  [16865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5844),
  [16867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5856),
  [16869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [16871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5863),
  [16873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5869),
  [16875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [16877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9249),
  [16879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5882),
  [16881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5896),
  [16883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11251),
  [16885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11252),
  [16887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11258),
  [16889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11260),
  [16891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9067),
  [16893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9077),
  [16895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9084),
  [16897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9102),
  [16899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9104),
  [16901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9106),
  [16903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9109),
  [16905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9133),
  [16907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9148),
  [16909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9150),
  [16911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9152),
  [16913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9153),
  [16915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10363),
  [16917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11261),
  [16919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11246),
  [16921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9158),
  [16923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9164),
  [16925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9470),
  [16927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9169),
  [16929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9174),
  [16931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9261),
  [16933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5916),
  [16935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9191),
  [16937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9200),
  [16939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9201),
  [16941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9203),
  [16943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9204),
  [16945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9181),
  [16947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9208),
  [16949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5922),
  [16951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9213),
  [16953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9216),
  [16955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9219),
  [16957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9221),
  [16959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9207),
  [16961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10356),
  [16963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9228),
  [16965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9232),
  [16967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [16969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9247),
  [16971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4238),
  [16973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9564),
  [16975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9226),
  [16977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9264),
  [16979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9272),
  [16981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9273),
  [16983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4243),
  [16985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9287),
  [16987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [16989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9290),
  [16991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9292),
  [16993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9294),
  [16995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4877),
  [16997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7852),
  [16999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [17001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9300),
  [17003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9311),
  [17005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9313),
  [17007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15790),
  [17009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9849),
  [17011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13483),
  [17013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6796),
  [17015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6790),
  [17017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6773),
  [17019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6771),
  [17021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6770),
  [17023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6768),
  [17025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9462),
  [17027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6763),
  [17029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6761),
  [17031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6760),
  [17033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11462),
  [17035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6757),
  [17037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6754),
  [17039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6749),
  [17041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6201),
  [17043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6738),
  [17045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8118),
  [17047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6734),
  [17049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8638),
  [17051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6731),
  [17053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8641),
  [17055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8642),
  [17057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6720),
  [17059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6719),
  [17061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6710),
  [17063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8655),
  [17065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6711),
  [17067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8662),
  [17069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8665),
  [17071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8666),
  [17073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6703),
  [17075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6797),
  [17077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6802),
  [17079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6803),
  [17081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8683),
  [17083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6814),
  [17085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6834),
  [17087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6865),
  [17089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6875),
  [17091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6879),
  [17093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8691),
  [17095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12249),
  [17097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11262),
  [17099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6902),
  [17101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4252),
  [17103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7574),
  [17105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6909),
  [17107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9482),
  [17109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6910),
  [17111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9490),
  [17113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9491),
  [17115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7233),
  [17117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6956),
  [17119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14304),
  [17121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7057),
  [17123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7068),
  [17125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7076),
  [17127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [17129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7080),
  [17131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7082),
  [17133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7102),
  [17135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11511),
  [17137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7084),
  [17139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7078),
  [17141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9500),
  [17143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7063),
  [17145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9502),
  [17147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7047),
  [17149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7018),
  [17151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7008),
  [17153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9504),
  [17155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6985),
  [17157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11441),
  [17159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9505),
  [17161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6941),
  [17163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6915),
  [17165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6884),
  [17167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6882),
  [17169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6809),
  [17171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6804),
  [17173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6789),
  [17175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6778),
  [17177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6726),
  [17179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6709),
  [17181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4257),
  [17183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [17185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [17187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9512),
  [17189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7705),
  [17191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6752),
  [17193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4263),
  [17195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6816),
  [17197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4264),
  [17199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4266),
  [17201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4286),
  [17203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join_type, 2, 0, 0),
  [17205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14298),
  [17207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17052),
  [17209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17053),
  [17211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9524),
  [17213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [17215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [17217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4273),
  [17219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4274),
  [17221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4276),
  [17223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [17225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7784),
  [17227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7434),
  [17229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10381),
  [17231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [17233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4278),
  [17235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11241),
  [17237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17590),
  [17239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7818),
  [17241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17097),
  [17243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4281),
  [17245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4367),
  [17247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_language, 2, 0, 112),
  [17249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7874),
  [17251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4072),
  [17253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4287),
  [17255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4189),
  [17257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4186),
  [17259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4179),
  [17261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4176),
  [17263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4170),
  [17265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7427),
  [17267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9550),
  [17269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4167),
  [17271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4089),
  [17273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4154),
  [17275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17247),
  [17277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9557),
  [17279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17249),
  [17281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4152),
  [17283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4149),
  [17285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14277),
  [17287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11448),
  [17289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4146),
  [17291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4142),
  [17293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11445),
  [17295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11444),
  [17297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4465),
  [17299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4136),
  [17301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4133),
  [17303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4131),
  [17305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17270),
  [17307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4128),
  [17309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4125),
  [17311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4118),
  [17313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4115),
  [17315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8209),
  [17317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8205),
  [17319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4113),
  [17321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4110),
  [17323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4107),
  [17325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8923),
  [17327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12485),
  [17329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4103),
  [17331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4101),
  [17333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4098),
  [17335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4092),
  [17337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4040),
  [17339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8893),
  [17341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12492),
  [17343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4086),
  [17345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4084),
  [17347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4079),
  [17349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [17351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4268),
  [17353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12496),
  [17355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5938),
  [17357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4075),
  [17359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4065),
  [17361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4062),
  [17363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4059),
  [17365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4057),
  [17367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4054),
  [17369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4051),
  [17371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4044),
  [17373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4041),
  [17375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4038),
  [17377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4036),
  [17379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4030),
  [17381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17327),
  [17383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8107),
  [17385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7448),
  [17387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4027),
  [17389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4025),
  [17391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4018),
  [17393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7433),
  [17395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4012),
  [17397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11565),
  [17399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4009),
  [17401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4006),
  [17403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17344),
  [17405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10395),
  [17407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [17409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4004),
  [17411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4292),
  [17413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [17415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3997),
  [17417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3994),
  [17419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3991),
  [17421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3987),
  [17423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4293),
  [17425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3980),
  [17427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3973),
  [17429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4295),
  [17431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4297),
  [17433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10415),
  [17435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5672),
  [17437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3937),
  [17439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3954),
  [17441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4301),
  [17443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4302),
  [17445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4303),
  [17447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4304),
  [17449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11192),
  [17451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9682),
  [17453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11182),
  [17455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5213),
  [17457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17379),
  [17459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4307),
  [17461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11237),
  [17463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [17465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4309),
  [17467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [17469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [17471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [17473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17384),
  [17475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4289),
  [17477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10482),
  [17479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5644),
  [17481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [17483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [17485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [17487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4314),
  [17489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4948),
  [17491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4315),
  [17493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4317),
  [17495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5636),
  [17497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11128),
  [17499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11112),
  [17501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11113),
  [17503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11114),
  [17505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4318),
  [17507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [17509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_single_column_unpivot, 7, 0, 277),
  [17511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9521),
  [17513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [17515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4320),
  [17517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5234),
  [17519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [17521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5604),
  [17523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11244),
  [17525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [17527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17414),
  [17529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [17531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4322),
  [17533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9613),
  [17535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [17537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9616),
  [17539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9622),
  [17541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [17543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9611),
  [17545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8067),
  [17547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9600),
  [17549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17429),
  [17551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [17553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [17555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11622),
  [17557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [17559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9596),
  [17561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9563),
  [17563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [17565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17439),
  [17567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17440),
  [17569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [17571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [17573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11115),
  [17575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9515),
  [17577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9468),
  [17579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11111),
  [17581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8065),
  [17583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9266),
  [17585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17396),
  [17587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [17589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7152),
  [17591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [17593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9195),
  [17595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quantitve_like_operator, 3, 0, 0),
  [17597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9063),
  [17599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [17601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10333),
  [17603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [17605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9056),
  [17607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [17609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9305),
  [17611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9307),
  [17613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [17615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9471),
  [17617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [17619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9528),
  [17621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9582),
  [17623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [17625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9584),
  [17627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9585),
  [17629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [17631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9590),
  [17633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9592),
  [17635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9593),
  [17637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9206),
  [17639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [17641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [17643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9599),
  [17645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9609),
  [17647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9612),
  [17649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9623),
  [17651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [17653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [17655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9627),
  [17657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [17659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9620),
  [17661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [17663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [17665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11960),
  [17667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9514),
  [17669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9619),
  [17671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9618),
  [17673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9606),
  [17675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11969),
  [17677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9597),
  [17679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9594),
  [17681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9571),
  [17683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9551),
  [17685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9549),
  [17687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9540),
  [17689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9537),
  [17691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9535),
  [17693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9534),
  [17695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11987),
  [17697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4351),
  [17699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9344),
  [17701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9340),
  [17703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4313),
  [17705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9331),
  [17707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12003),
  [17709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9327),
  [17711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [17713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12006),
  [17715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12002),
  [17717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4326),
  [17719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11998),
  [17721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4327),
  [17723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11996),
  [17725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9325),
  [17727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9323),
  [17729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9322),
  [17731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11980),
  [17733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11979),
  [17735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4328),
  [17737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11977),
  [17739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9317),
  [17741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11974),
  [17743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9314),
  [17745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9310),
  [17747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9308),
  [17749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11924),
  [17751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4329),
  [17753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9299),
  [17755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [17757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11887),
  [17759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11886),
  [17761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9285),
  [17763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11884),
  [17765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4330),
  [17767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4331),
  [17769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11881),
  [17771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11880),
  [17773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11878),
  [17775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11876),
  [17777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4332),
  [17779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11872),
  [17781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11871),
  [17783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11870),
  [17785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11869),
  [17787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4334),
  [17789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11867),
  [17791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [17793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11865),
  [17795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9276),
  [17797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9269),
  [17799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4336),
  [17801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11861),
  [17803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11860),
  [17805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11859),
  [17807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4337),
  [17809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11857),
  [17811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11856),
  [17813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11854),
  [17815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4338),
  [17817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11852),
  [17819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4340),
  [17821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11848),
  [17823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11847),
  [17825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11846),
  [17827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11845),
  [17829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11844),
  [17831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11843),
  [17833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11842),
  [17835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11840),
  [17837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4343),
  [17839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11838),
  [17841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11837),
  [17843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11836),
  [17845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11997),
  [17847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [17849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11908),
  [17851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4821),
  [17853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11910),
  [17855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11913),
  [17857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11914),
  [17859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11915),
  [17861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11916),
  [17863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4345),
  [17865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11919),
  [17867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11925),
  [17869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11926),
  [17871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11927),
  [17873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11929),
  [17875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11930),
  [17877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11932),
  [17879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7138),
  [17881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [17883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_single_column_unpivot, 8, 0, 277),
  [17885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [17887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4352),
  [17889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12634),
  [17891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [17893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4353),
  [17895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [17897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12159),
  [17899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [17901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [17903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4396),
  [17905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [17907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4402),
  [17909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4398),
  [17911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [17913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4347),
  [17915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9388),
  [17917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4358),
  [17919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [17921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11223),
  [17923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4411),
  [17925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5244),
  [17927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [17929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_multi_column_unpivot, 9, 0, 286),
  [17931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [17933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5235),
  [17935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4408),
  [17937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [17939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10779),
  [17941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [17943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10780),
  [17945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10781),
  [17947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [17949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10782),
  [17951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10783),
  [17953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [17955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10785),
  [17957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [17959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10787),
  [17961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10681),
  [17963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10798),
  [17965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10793),
  [17967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [17969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10789),
  [17971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10770),
  [17973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11131),
  [17975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10768),
  [17977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10766),
  [17979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [17981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10765),
  [17983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10764),
  [17985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10763),
  [17987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [17989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10761),
  [17991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10759),
  [17993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10754),
  [17995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [17997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8999),
  [17999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10751),
  [18001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10742),
  [18003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10741),
  [18005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [18007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8973),
  [18009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10740),
  [18011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10739),
  [18013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10733),
  [18015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10731),
  [18017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10729),
  [18019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10728),
  [18021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10724),
  [18023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8933),
  [18025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3446),
  [18027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10735),
  [18029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10720),
  [18031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10699),
  [18033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10696),
  [18035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8911),
  [18037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10690),
  [18039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10686),
  [18041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10683),
  [18043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10682),
  [18045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8899),
  [18047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8896),
  [18049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10676),
  [18051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8890),
  [18053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10679),
  [18055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8887),
  [18057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10684),
  [18059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10685),
  [18061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [18063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8874),
  [18065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8873),
  [18067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10689),
  [18069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9004),
  [18071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10692),
  [18073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8870),
  [18075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10694),
  [18077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10704),
  [18079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4370),
  [18081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8839),
  [18083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10707),
  [18085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [18087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8855),
  [18089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8851),
  [18091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10709),
  [18093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8847),
  [18095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10712),
  [18097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10713),
  [18099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8842),
  [18101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8841),
  [18103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_multi_column_unpivot, 10, 0, 286),
  [18105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8831),
  [18107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10719),
  [18109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8829),
  [18111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10722),
  [18113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10674),
  [18115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10745),
  [18117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8541),
  [18119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8633),
  [18121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8586),
  [18123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8585),
  [18125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10817),
  [18127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8582),
  [18129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10750),
  [18131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8546),
  [18133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10757),
  [18135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8445),
  [18137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8451),
  [18139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8456),
  [18141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8458),
  [18143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8459),
  [18145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8469),
  [18147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4360),
  [18149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8473),
  [18151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3511),
  [18153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10799),
  [18155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8482),
  [18157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8484),
  [18159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8486),
  [18161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8488),
  [18163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8489),
  [18165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8490),
  [18167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8491),
  [18169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10804),
  [18171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8493),
  [18173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10862),
  [18175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8495),
  [18177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8496),
  [18179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8498),
  [18181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8501),
  [18183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8505),
  [18185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8509),
  [18187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8513),
  [18189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8515),
  [18191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8516),
  [18193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8518),
  [18195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8520),
  [18197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8526),
  [18199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8530),
  [18201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8531),
  [18203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8532),
  [18205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8533),
  [18207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8534),
  [18209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [18211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [18213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [18215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [18217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2804),
  [18219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [18221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [18223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10854),
  [18225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3543),
  [18227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [18229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_multi_column_unpivot, 10, 0, 289),
  [18231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [18233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11116),
  [18235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_multi_column_unpivot, 11, 0, 289),
  [18237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3554),
  [18239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [18241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8866),
  [18243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [18245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3572),
  [18247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8913),
  [18249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [18251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [18253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8875),
  [18255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8877),
  [18257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8886),
  [18259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8889),
  [18261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8897),
  [18263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8901),
  [18265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8643),
  [18267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8796),
  [18269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8918),
  [18271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8920),
  [18273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8924),
  [18275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8653),
  [18277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8930),
  [18279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8935),
  [18281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7584),
  [18283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8944),
  [18285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8950),
  [18287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8952),
  [18289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8953),
  [18291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8956),
  [18293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8961),
  [18295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [18297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8674),
  [18299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8966),
  [18301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8971),
  [18303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8975),
  [18305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8977),
  [18307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8979),
  [18309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8680),
  [18311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8980),
  [18313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8981),
  [18315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8987),
  [18317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8990),
  [18319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8697),
  [18321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8698),
  [18323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8994),
  [18325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8700),
  [18327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8995),
  [18329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8702),
  [18331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8998),
  [18333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [18335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8712),
  [18337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8713),
  [18339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4501),
  [18341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8715),
  [18343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9001),
  [18345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8718),
  [18347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9002),
  [18349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9008),
  [18351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9011),
  [18353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8721),
  [18355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9014),
  [18357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9016),
  [18359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9018),
  [18361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [18363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8728),
  [18365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8729),
  [18367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9021),
  [18369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8732),
  [18371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9025),
  [18373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9027),
  [18375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8735),
  [18377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8738),
  [18379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9029),
  [18381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8740),
  [18383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9030),
  [18385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8751),
  [18387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9034),
  [18389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9037),
  [18391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8760),
  [18393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8761),
  [18395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8776),
  [18397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8777),
  [18399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9041),
  [18401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8801),
  [18403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9046),
  [18405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8820),
  [18407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9053),
  [18409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8837),
  [18411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8838),
  [18413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8840),
  [18415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8846),
  [18417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8853),
  [18419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8861),
  [18421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9036),
  [18423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8736),
  [18425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9000),
  [18427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8962),
  [18429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8821),
  [18431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8892),
  [18433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8894),
  [18435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8900),
  [18437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8903),
  [18439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8906),
  [18441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8909),
  [18443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8915),
  [18445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8817),
  [18447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8869),
  [18449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8813),
  [18451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8925),
  [18453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8927),
  [18455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8929),
  [18457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8931),
  [18459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8811),
  [18461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8938),
  [18463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8943),
  [18465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8946),
  [18467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8948),
  [18469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8949),
  [18471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8951),
  [18473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8805),
  [18475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8957),
  [18477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8964),
  [18479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8967),
  [18481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8970),
  [18483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8972),
  [18485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8978),
  [18487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8984),
  [18489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8985),
  [18491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5467),
  [18493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [18495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [18497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3967),
  [18499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [18501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [18503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [18505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6560),
  [18507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10592),
  [18509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [18511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4507),
  [18513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [18515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8782),
  [18517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12891),
  [18519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12893),
  [18521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8775),
  [18523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [18525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7467),
  [18527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10837),
  [18529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [18531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [18533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11433),
  [18535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14626),
  [18537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12257),
  [18539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11369),
  [18541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [18543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [18545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [18547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4543),
  [18549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [18551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10616),
  [18553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12349),
  [18555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12354),
  [18557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [18559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11170),
  [18561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11176),
  [18563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12431),
  [18565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12484),
  [18567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12541),
  [18569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4551),
  [18571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [18573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10624),
  [18575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12648),
  [18577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12658),
  [18579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2890),
  [18581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10633),
  [18583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10636),
  [18585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4579),
  [18587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10638),
  [18589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10640),
  [18591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10601),
  [18593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3942),
  [18595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3943),
  [18597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3945),
  [18599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3947),
  [18601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3950),
  [18603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3952),
  [18605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [18607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3960),
  [18609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3965),
  [18611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4034),
  [18613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3969),
  [18615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3971),
  [18617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [18619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3977),
  [18621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4724),
  [18623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13090),
  [18625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3985),
  [18627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3988),
  [18629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [18631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [18633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3989),
  [18635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3990),
  [18637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3993),
  [18639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3996),
  [18641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4003),
  [18643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4005),
  [18645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15074),
  [18647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12653),
  [18649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11376),
  [18651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4008),
  [18653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4011),
  [18655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4013),
  [18657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4015),
  [18659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4017),
  [18661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4029),
  [18663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12599),
  [18665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12585),
  [18667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11184),
  [18669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11183),
  [18671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12535),
  [18673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12516),
  [18675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12509),
  [18677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4166),
  [18679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [18681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4037),
  [18683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [18685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12482),
  [18687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4043),
  [18689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4049),
  [18691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10648),
  [18693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10324),
  [18695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [18697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4050),
  [18699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4052),
  [18701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4058),
  [18703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4064),
  [18705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4070),
  [18707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [18709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4071),
  [18711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4073),
  [18713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4074),
  [18715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4082),
  [18717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4085),
  [18719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2432),
  [18721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3961),
  [18723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4148),
  [18725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4100),
  [18727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [18729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [18731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [18733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4104),
  [18735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [18737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4105),
  [18739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10651),
  [18741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4112),
  [18743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11389),
  [18745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11359),
  [18747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15523),
  [18749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12326),
  [18751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4120),
  [18753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10655),
  [18755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4122),
  [18757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12304),
  [18759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12302),
  [18761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11168),
  [18763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12177),
  [18765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12253),
  [18767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12243),
  [18769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4124),
  [18771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12214),
  [18773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4126),
  [18775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4135),
  [18777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4139),
  [18779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4141),
  [18781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4143),
  [18783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4193),
  [18785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4157),
  [18787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11413),
  [18789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [18791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [18793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10672),
  [18795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10322),
  [18797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15118),
  [18799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12292),
  [18801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10293),
  [18803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4173),
  [18805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10669),
  [18807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12321),
  [18809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12330),
  [18811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11167),
  [18813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12360),
  [18815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12373),
  [18817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12383),
  [18819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10664),
  [18821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12403),
  [18823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [18825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10663),
  [18827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10653),
  [18829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [18831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10658),
  [18833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [18835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10657),
  [18837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10314),
  [18839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [18841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10644),
  [18843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10650),
  [18845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10641),
  [18847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15616),
  [18849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12555),
  [18851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10635),
  [18853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10307),
  [18855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10634),
  [18857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10632),
  [18859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12580),
  [18861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12589),
  [18863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11178),
  [18865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12615),
  [18867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12628),
  [18869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12638),
  [18871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10629),
  [18873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12657),
  [18875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5139),
  [18877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10623),
  [18879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [18881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2865),
  [18883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10611),
  [18885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10610),
  [18887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10828),
  [18889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10609),
  [18891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11643),
  [18893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [18895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2813),
  [18897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2814),
  [18899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2815),
  [18901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2816),
  [18903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2817),
  [18905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2819),
  [18907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16281),
  [18909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13066),
  [18911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14526),
  [18913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12809),
  [18915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8320),
  [18917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2821),
  [18919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2824),
  [18921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2826),
  [18923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2828),
  [18925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12834),
  [18927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12843),
  [18929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11177),
  [18931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12869),
  [18933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12854),
  [18935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12829),
  [18937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2837),
  [18939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12807),
  [18941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2838),
  [18943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3310),
  [18945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2840),
  [18947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17622),
  [18949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2844),
  [18951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2845),
  [18953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [18955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2846),
  [18957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2848),
  [18959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2850),
  [18961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2852),
  [18963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17624),
  [18965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7464),
  [18967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2856),
  [18969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15544),
  [18971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12417),
  [18973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quantitve_like_operator, 2, 0, 0),
  [18975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2859),
  [18977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2860),
  [18979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2861),
  [18981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12365),
  [18983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12351),
  [18985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12323),
  [18987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12295),
  [18989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12258),
  [18991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12221),
  [18993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2866),
  [18995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [18997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2963),
  [18999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2870),
  [19001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2888),
  [19003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [19005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2873),
  [19007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8352),
  [19009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2875),
  [19011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7735),
  [19013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2876),
  [19015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2878),
  [19017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15391),
  [19019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12240),
  [19021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2882),
  [19023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2884),
  [19025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2887),
  [19027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2889),
  [19029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12277),
  [19031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12279),
  [19033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12305),
  [19035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12307),
  [19037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12308),
  [19039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12313),
  [19041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2812),
  [19043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12743),
  [19045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2891),
  [19047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2872),
  [19049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2902),
  [19051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [19053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2904),
  [19055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2905),
  [19057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2908),
  [19059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2910),
  [19061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2913),
  [19063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10603),
  [19065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2921),
  [19067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15617),
  [19069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12384),
  [19071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14731),
  [19073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2924),
  [19075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10602),
  [19077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12435),
  [19079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12444),
  [19081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12489),
  [19083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12498),
  [19085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12500),
  [19087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12506),
  [19089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18350),
  [19091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2927),
  [19093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2929),
  [19095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2930),
  [19097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [19099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10596),
  [19101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6595),
  [19103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2945),
  [19105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2947),
  [19107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2949),
  [19109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2950),
  [19111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2958),
  [19113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15156),
  [19115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12699),
  [19117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6775),
  [19119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2942),
  [19121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10591),
  [19123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12726),
  [19125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12730),
  [19127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12735),
  [19129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12737),
  [19131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12738),
  [19133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12740),
  [19135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10583),
  [19137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7861),
  [19139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [19141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2901),
  [19143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10582),
  [19145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2893),
  [19147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10581),
  [19149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12449),
  [19151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10580),
  [19153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10579),
  [19155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14856),
  [19157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12781),
  [19159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10578),
  [19161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10577),
  [19163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12808),
  [19165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12814),
  [19167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12820),
  [19169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12824),
  [19171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12826),
  [19173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12828),
  [19175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5027),
  [19177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10575),
  [19179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [19181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10573),
  [19183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [19185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10572),
  [19187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12381),
  [19189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10571),
  [19191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11416),
  [19193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11574),
  [19195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10570),
  [19197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14462),
  [19199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12718),
  [19201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11248),
  [19203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10568),
  [19205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7917),
  [19207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [19209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12694),
  [19211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12689),
  [19213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12680),
  [19215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12669),
  [19217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12663),
  [19219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12651),
  [19221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10830),
  [19223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16324),
  [19225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11265),
  [19227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10566),
  [19229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11436),
  [19231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [19233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10565),
  [19235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10564),
  [19237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7935),
  [19239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10546),
  [19241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2806),
  [19243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10560),
  [19245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14519),
  [19247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12865),
  [19249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10556),
  [19251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8005),
  [19253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10552),
  [19255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10551),
  [19257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10550),
  [19259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12853),
  [19261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12850),
  [19263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12841),
  [19265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12838),
  [19267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12837),
  [19269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12832),
  [19271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10549),
  [19273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10547),
  [19275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11586),
  [19277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9907),
  [19279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [19281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [19283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10563),
  [19285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5017),
  [19287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5014),
  [19289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5005),
  [19291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4998),
  [19293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [19295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4992),
  [19297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4987),
  [19299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14750),
  [19301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12801),
  [19303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18351),
  [19305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12976),
  [19307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4975),
  [19309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5033),
  [19311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4967),
  [19313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12784),
  [19315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12780),
  [19317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12766),
  [19319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12764),
  [19321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12762),
  [19323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12742),
  [19325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5034),
  [19327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4968),
  [19329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4980),
  [19331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5178),
  [19333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4982),
  [19335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [19337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4985),
  [19339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5089),
  [19341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5003),
  [19343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5023),
  [19345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5071),
  [19347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5086),
  [19349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5044),
  [19351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5045),
  [19353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14981),
  [19355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12723),
  [19357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5090),
  [19359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5094),
  [19361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5093),
  [19363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5084),
  [19365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5074),
  [19367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12715),
  [19369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12712),
  [19371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12706),
  [19373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12704),
  [19375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12703),
  [19377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12700),
  [19379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5072),
  [19381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5065),
  [19383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5064),
  [19385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4515),
  [19387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [19389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4506),
  [19391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5059),
  [19393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4505),
  [19395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4503),
  [19397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11361),
  [19399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4493),
  [19401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11408),
  [19403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15212),
  [19405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12684),
  [19407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3204),
  [19409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5054),
  [19411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5050),
  [19413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5031),
  [19415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5035),
  [19417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12160),
  [19419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12673),
  [19421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12667),
  [19423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12665),
  [19425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12664),
  [19427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12661),
  [19429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5002),
  [19431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3919),
  [19433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3916),
  [19435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4994),
  [19437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3895),
  [19439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12643),
  [19441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3892),
  [19443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3885),
  [19445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3882),
  [19447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12633),
  [19449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12630),
  [19451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12623),
  [19453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12621),
  [19455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12620),
  [19457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12617),
  [19459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4983),
  [19461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3870),
  [19463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4972),
  [19465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12596),
  [19467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3867),
  [19469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3865),
  [19471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18456),
  [19473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12583),
  [19475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12578),
  [19477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12570),
  [19479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12566),
  [19481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12564),
  [19483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12560),
  [19485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3862),
  [19487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3859),
  [19489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5024),
  [19491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12546),
  [19493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [19495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8123),
  [19497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5037),
  [19499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12529),
  [19501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12525),
  [19503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12511),
  [19505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12508),
  [19507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12507),
  [19509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12486),
  [19511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3855),
  [19513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3852),
  [19515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12470),
  [19517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18483),
  [19519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12462),
  [19521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12459),
  [19523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12453),
  [19525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12451),
  [19527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12450),
  [19529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12447),
  [19531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7431),
  [19533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4491),
  [19535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12851),
  [19537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6675),
  [19539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12836),
  [19541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12819),
  [19543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12799),
  [19545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12787),
  [19547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12775),
  [19549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12768),
  [19551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5053),
  [19553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5058),
  [19555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12563),
  [19557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12551),
  [19559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12523),
  [19561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12512),
  [19563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12491),
  [19565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12487),
  [19567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12481),
  [19569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5070),
  [19571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5080),
  [19573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12438),
  [19575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3848),
  [19577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12430),
  [19579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12427),
  [19581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12424),
  [19583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12422),
  [19585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12421),
  [19587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12420),
  [19589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3773),
  [19591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12411),
  [19593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3845),
  [19595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12404),
  [19597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12400),
  [19599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12397),
  [19601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12395),
  [19603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12394),
  [19605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12393),
  [19607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8400),
  [19609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3843),
  [19611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3840),
  [19613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3837),
  [19615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5087),
  [19617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3830),
  [19619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16221),
  [19621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5019),
  [19623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3827),
  [19625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9903),
  [19627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3825),
  [19629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12928),
  [19631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12933),
  [19633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5010),
  [19635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [19637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6332),
  [19639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5001),
  [19641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3822),
  [19643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3819),
  [19645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11400),
  [19647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3815),
  [19649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3813),
  [19651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3810),
  [19653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4988),
  [19655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4976),
  [19657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4979),
  [19659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [19661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4989),
  [19663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [19665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4990),
  [19667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5000),
  [19669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16441),
  [19671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5013),
  [19673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3802),
  [19675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3799),
  [19677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3796),
  [19679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10774),
  [19681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3794),
  [19683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3789),
  [19685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4346),
  [19687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3785),
  [19689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3782),
  [19691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3205),
  [19693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5030),
  [19695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [19697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5046),
  [19699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9895),
  [19701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12274),
  [19703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3776),
  [19705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3729),
  [19707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [19709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3770),
  [19711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3768),
  [19713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3765),
  [19715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3762),
  [19717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12212),
  [19719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12209),
  [19721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11193),
  [19723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3755),
  [19725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3214),
  [19727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [19729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12183),
  [19731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12181),
  [19733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12180),
  [19735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [19737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3752),
  [19739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3749),
  [19741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18624),
  [19743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18637),
  [19745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3747),
  [19747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3221),
  [19749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14323),
  [19751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12163),
  [19753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7292),
  [19755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11332),
  [19757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11339),
  [19759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3741),
  [19761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3738),
  [19763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4196),
  [19765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3224),
  [19767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9085),
  [19769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3736),
  [19771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9466),
  [19773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7305),
  [19775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7361),
  [19777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7360),
  [19779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9952),
  [19781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3618),
  [19783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2411),
  [19785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7273),
  [19787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7300),
  [19789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7298),
  [19791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2482),
  [19793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11378),
  [19795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11377),
  [19797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2481),
  [19799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7285),
  [19801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7287),
  [19803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11429),
  [19805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11375),
  [19807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7315),
  [19809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7316),
  [19811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [19813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11371),
  [19815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7320),
  [19817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3723),
  [19819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4490),
  [19821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [19823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2472),
  [19825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2470),
  [19827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3719),
  [19829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2464),
  [19831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11418),
  [19833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3716),
  [19835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11420),
  [19837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11422),
  [19839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3714),
  [19841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2461),
  [19843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2460),
  [19845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12027),
  [19847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2458),
  [19849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [19851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [19853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3707),
  [19855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2645),
  [19857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3654),
  [19859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2447),
  [19861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3602),
  [19863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [19865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [19867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2442),
  [19869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [19871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2441),
  [19873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3604),
  [19875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2440),
  [19877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2437),
  [19879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2433),
  [19881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [19883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [19885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14252),
  [19887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11322),
  [19889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11319),
  [19891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [19893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2426),
  [19895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18775),
  [19897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [19899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [19901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [19903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3611),
  [19905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2415),
  [19907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2488),
  [19909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2406),
  [19911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [19913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2402),
  [19915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [19917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [19919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [19921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2401),
  [19923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2397),
  [19925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2389),
  [19927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [19929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14205),
  [19931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11326),
  [19933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11328),
  [19935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2376),
  [19937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2370),
  [19939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [19941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2491),
  [19943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [19945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [19947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2404),
  [19949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [19951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2366),
  [19953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [19955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [19957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14213),
  [19959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [19961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [19963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2510),
  [19965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [19967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14215),
  [19969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [19971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [19973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [19975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2497),
  [19977] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [19979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14220),
  [19981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [19983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [19985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [19987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14229),
  [19989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [19991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2492),
  [19993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [19995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4349),
  [19997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [19999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14233),
  [20001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [20003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [20005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9433),
  [20007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [20009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14239),
  [20011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [20013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2475),
  [20015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [20017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2473),
  [20019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2453),
  [20021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [20023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14240),
  [20025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [20027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2434),
  [20029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [20031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [20033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2357),
  [20035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7262),
  [20037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14247),
  [20039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [20041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [20043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2364),
  [20045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9450),
  [20047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14250),
  [20049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [20051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [20053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9444),
  [20055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14260),
  [20057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [20059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2768),
  [20061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [20063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2374),
  [20065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9443),
  [20067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [20069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14270),
  [20071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [20073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2380),
  [20075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [20077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3632),
  [20079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9441),
  [20081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18840),
  [20083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14273),
  [20085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [20087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [20089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9439),
  [20091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14274),
  [20093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [20095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [20097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9434),
  [20099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [20101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9390),
  [20103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14276),
  [20105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [20107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [20109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9456),
  [20111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [20113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [20115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [20117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [20119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [20121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [20123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3638),
  [20125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9427),
  [20127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14288),
  [20129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11403),
  [20131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11396),
  [20133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2707),
  [20135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [20137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16109),
  [20139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11370),
  [20141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9424),
  [20143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [20145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11427),
  [20147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9416),
  [20149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9415),
  [20151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9413),
  [20153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9345),
  [20155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13144),
  [20157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18933),
  [20159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18934),
  [20161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [20163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9410),
  [20165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9409),
  [20167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2643),
  [20169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9407),
  [20171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9405),
  [20173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [20175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [20177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9401),
  [20179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9400),
  [20181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9399),
  [20183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15745),
  [20185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [20187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [20189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9398),
  [20191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [20193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [20195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15767),
  [20197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [20199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [20201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14305),
  [20203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [20205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [20207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9396),
  [20209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9394),
  [20211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16039),
  [20213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19009),
  [20215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19010),
  [20217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15837),
  [20219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15714),
  [20221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [20223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [20225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16025),
  [20227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16127),
  [20229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19034),
  [20231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19035),
  [20233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15884),
  [20235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15885),
  [20237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [20239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [20241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16011),
  [20243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14283),
  [20245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16008),
  [20247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9389),
  [20249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16005),
  [20251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10023),
  [20253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16002),
  [20255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15995),
  [20257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9429),
  [20259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15989),
  [20261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11481),
  [20263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15997),
  [20265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9347),
  [20267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16018),
  [20269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9348),
  [20271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16029),
  [20273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9349),
  [20275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16038),
  [20277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4399),
  [20279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16052),
  [20281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [20283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16060),
  [20285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9350),
  [20287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16077),
  [20289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [20291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16093),
  [20293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16111),
  [20295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16122),
  [20297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16123),
  [20299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19162),
  [20301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [20303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9351),
  [20305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7836),
  [20307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [20309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11417),
  [20311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9337),
  [20313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9354),
  [20315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9356),
  [20317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9357),
  [20319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9358),
  [20321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9359),
  [20323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19204),
  [20325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19205),
  [20327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19208),
  [20329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [20331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19214),
  [20333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19215),
  [20335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19216),
  [20337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [20339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19222),
  [20341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19223),
  [20343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19224),
  [20345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [20347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19226),
  [20349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [20351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19228),
  [20353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [20355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19230),
  [20357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [20359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19232),
  [20361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [20363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19234),
  [20365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [20367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19236),
  [20369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [20371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19238),
  [20373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [20375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19240),
  [20377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [20379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19242),
  [20381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [20383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19244),
  [20385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [20387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19246),
  [20389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [20391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19248),
  [20393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [20395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19250),
  [20397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [20399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19252),
  [20401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19253),
  [20403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19254),
  [20405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4387),
  [20407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11360),
  [20409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9360),
  [20411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11425),
  [20413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10230),
  [20415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13189),
  [20417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9362),
  [20419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9364),
  [20421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9365),
  [20423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4357),
  [20425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9366),
  [20427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9367),
  [20429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9369),
  [20431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [20433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9371),
  [20435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9372),
  [20437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9373),
  [20439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9374),
  [20441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9375),
  [20443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9352),
  [20445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9377),
  [20447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9381),
  [20449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4385),
  [20451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9383),
  [20453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9385),
  [20455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9386),
  [20457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11242),
  [20459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11238),
  [20461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11239),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__string_start = 0,
  ts_external_token__string_content = 1,
  ts_external_token__string_end = 2,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__string_start] = sym__string_start,
  [ts_external_token__string_content] = sym__string_content,
  [ts_external_token__string_end] = sym__string_end,
};

static const bool ts_external_scanner_states[5][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__string_start] = true,
    [ts_external_token__string_content] = true,
    [ts_external_token__string_end] = true,
  },
  [2] = {
    [ts_external_token__string_start] = true,
  },
  [3] = {
    [ts_external_token__string_content] = true,
    [ts_external_token__string_end] = true,
  },
  [4] = {
    [ts_external_token__string_end] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_sql_bigquery_external_scanner_create(void);
void tree_sitter_sql_bigquery_external_scanner_destroy(void *);
bool tree_sitter_sql_bigquery_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_sql_bigquery_external_scanner_serialize(void *, char *);
void tree_sitter_sql_bigquery_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_sql_bigquery(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym__unquoted_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_sql_bigquery_external_scanner_create,
      tree_sitter_sql_bigquery_external_scanner_destroy,
      tree_sitter_sql_bigquery_external_scanner_scan,
      tree_sitter_sql_bigquery_external_scanner_serialize,
      tree_sitter_sql_bigquery_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
